(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[  23647241,    1159550]*)
(*NotebookOutlinePosition[  23648284,    1159582]*)
(*  CellTagsIndexPosition[  23648240,    1159578]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Definition of color maps and option groups for plots", "Subtitle"],

Cell[BoxData[{
    \(\(m10 = {FontFamily -> "\<Times\>", 
          FontSize -> 10};\)\), "\[IndentingNewLine]", 
    \(\(m10white = {FontFamily -> "\<Times\>", FontSize -> 10, 
          FontColor \[Rule] RGBColor[1, 1, 1]};\)\), "\[IndentingNewLine]", 
    \(\(m8 = {FontFamily -> "\<Times\>", 
          FontSize \[Rule] 8};\)\), "\[IndentingNewLine]", 
    \(\(tx10 = {FontSlant \[Rule] "\<Italic\>", FontSize \[Rule] 10, 
          FontFamily -> "\<Times\>"};\)\), "\[IndentingNewLine]", 
    \(\(tx8 = {FontSlant \[Rule] "\<Italic\>", FontSize \[Rule] 8, 
          FontFamily -> "\<Times\>"};\)\)}], "Input",
  CellLabel->"In[15]:=",
  InitializationCell->True],

Cell[BoxData[{
    \(linmapexpwhite[x_] := 
      Which[x <= 1/2, RGBColor[Exp[62 \((x - 1/2)\)], 2  x, 1], x > 1/2, 
        RGBColor[1, 2 - 2  x, Exp[\(-62\) \((x - 1/2)\)]]]\), "\n", 
    \(linmapmanwhite[x_] := 
      Which[x < 0.497, RGBColor[0, 2  x, 1], x > 0.503, 
        RGBColor[1, 2 - 2  x, 0], True, 
        RGBColor[1, 1, 1]]\), "\[IndentingNewLine]", 
    \(halflin[x_] := 
      Which[x > 0.01, RGBColor[1, 1 - x, 0], True, 
        RGBColor[1, 1, 1]]\), "\[IndentingNewLine]", 
    \(halfexp[x_] := RGBColor[1, 1 - x, Exp[\(-62\) x]]\)}], "Input",
  CellLabel->"In[20]:=",
  InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
    \(trymap = 
      Block[{xg = \(-8\), pg = 6, l = 5, h = 1.8, P = 0, sp = 1, sx = 1, 
          t = 5, m = 1}, 
        DensityPlot[p, {x, 0, 1}, {p, 0, 1}, PlotPoints \[Rule] 300, 
          PlotRange -> All, Background -> White, Mesh \[Rule] False, 
          ColorFunction \[Rule] \((GrayLevel[1 - #] &)\), 
          AspectRatio \[Rule] 5, Frame \[Rule] None, 
          Epilog \[Rule] {Text["\<0\>", {1/2, 0.0}, TextStyle \[Rule] m10], 
              Text["\<1\>", {1/2, 0.96}, TextStyle \[Rule] m10white, 
                TextStyle \[Rule] {FontColor \[Rule] 
                      RGBColor[1, 1, 1]}]}]]\)], "Input",
  CellLabel->"In[24]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 5 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.0192308 0.961538 0.0961538 4.80769 [
[ 0 0 0 0 ]
[ 1 5 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 5 L
0 5 L
closepath
clip
newpath
% Start of gray image
p
.01923 .09615 translate
.96154 4.8077 scale
300 string
300 300 8 [300 0 0 300 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFE
FDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFD
FDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFD
FDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFD
FDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFD
FDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFD
FDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFD
FDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFD
FDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFD
FDFDFDFDFDFDFDFDFDFDFDFD
FCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFC
FCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFC
FCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFC
FCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFC
FCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFC
FCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFC
FCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFC
FCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFC
FCFCFCFCFCFCFCFCFCFCFCFC
FBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFB
FBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFB
FBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFB
FBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFB
FBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFB
FBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFB
FBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFB
FBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFB
FBFBFBFBFBFBFBFBFBFBFBFB
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFA
FAFAFAFAFAFAFAFAFAFAFAFA
F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9
F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9
F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9
F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9
F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9
F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9
F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9
F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9
F9F9F9F9F9F9F9F9F9F9F9F9
F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8
F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8
F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8
F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8
F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8
F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8
F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8
F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8
F8F8F8F8F8F8F8F8F8F8F8F8
F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7
F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7
F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7
F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7
F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7
F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7
F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7
F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7
F7F7F7F7F7F7F7F7F7F7F7F7
F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6
F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6
F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6
F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6
F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6
F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6
F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6
F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6
F6F6F6F6F6F6F6F6F6F6F6F6
F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5
F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5
F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5
F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5
F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5
F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5
F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5
F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5
F5F5F5F5F5F5F5F5F5F5F5F5
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4
F4F4F4F4F4F4F4F4F4F4F4F4
F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3
F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3
F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3
F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3
F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3
F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3
F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3
F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3
F3F3F3F3F3F3F3F3F3F3F3F3
F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2
F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2
F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2
F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2
F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2
F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2
F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2
F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2
F2F2F2F2F2F2F2F2F2F2F2F2
F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1
F1F1F1F1F1F1F1F1F1F1F1F1
F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0
F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0
F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0
F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0
F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0
F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0
F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0
F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0
F0F0F0F0F0F0F0F0F0F0F0F0
EFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEF
EFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEF
EFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEF
EFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEF
EFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEF
EFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEF
EFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEF
EFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEF
EFEFEFEFEFEFEFEFEFEFEFEF
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
EEEEEEEEEEEEEEEEEEEEEEEE
EDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDED
EDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDED
EDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDED
EDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDED
EDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDED
EDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDED
EDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDED
EDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDED
EDEDEDEDEDEDEDEDEDEDEDED
ECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECEC
ECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECEC
ECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECEC
ECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECEC
ECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECEC
ECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECEC
ECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECEC
ECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECEC
ECECECECECECECECECECECEC
EBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEB
EBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEB
EBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEB
EBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEB
EBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEB
EBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEB
EBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEB
EBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEB
EBEBEBEBEBEBEBEBEBEBEBEB
EAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEA
EAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEA
EAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEA
EAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEA
EAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEA
EAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEA
EAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEA
EAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEA
EAEAEAEAEAEAEAEAEAEAEAEA
E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9
E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9
E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9
E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9
E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9
E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9
E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9
E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9
E9E9E9E9E9E9E9E9E9E9E9E9
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8
E8E8E8E8E8E8E8E8E8E8E8E8
E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7
E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7
E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7
E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7
E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7
E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7
E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7
E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7
E7E7E7E7E7E7E7E7E7E7E7E7
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5
E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E4E4E4E4E4
E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3
E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3
E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3
E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3
E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3
E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3
E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3
E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3
E3E3E3E3E3E3E3E3E3E3E3E3
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2
E2E2E2E2E2E2E2E2E2E2E2E2
E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1
E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1
E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1
E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1
E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1
E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1
E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1
E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1
E1E1E1E1E1E1E1E1E1E1E1E1
E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0
E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0
E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0
E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0
E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0
E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0
E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0
E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0
E0E0E0E0E0E0E0E0E0E0E0E0
DFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDF
DFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDF
DFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDF
DFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDF
DFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDF
DFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDF
DFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDF
DFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDF
DFDFDFDFDFDFDFDFDFDFDFDF
DEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDE
DEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDE
DEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDE
DEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDE
DEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDE
DEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDE
DEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDE
DEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDE
DEDEDEDEDEDEDEDEDEDEDEDE
DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
DDDDDDDDDDDDDDDDDDDDDDDD
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDC
DCDCDCDCDCDCDCDCDCDCDCDC
DBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDB
DBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDB
DBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDB
DBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDB
DBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDB
DBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDB
DBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDB
DBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDB
DBDBDBDBDBDBDBDBDBDBDBDB
DADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADA
DADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADA
DADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADA
DADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADA
DADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADA
DADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADA
DADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADA
DADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADA
DADADADADADADADADADADADA
D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9
D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9
D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9
D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9
D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9
D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9
D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9
D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9
D9D9D9D9D9D9D9D9D9D9D9D9
D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8
D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8
D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8
D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8
D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8
D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8
D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8
D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8
D8D8D8D8D8D8D8D8D8D8D8D8
D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7
D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7
D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7
D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7
D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7
D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7
D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7
D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7
D7D7D7D7D7D7D7D7D7D7D7D7
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6
D6D6D6D6D6D6D6D6D6D6D6D6
D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5
D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5
D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5
D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5
D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5
D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5
D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5
D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5
D5D5D5D5D5D5D5D5D5D5D5D5
D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4
D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4
D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4
D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4
D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4
D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4
D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4
D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4
D4D4D4D4D4D4D4D4D4D4D4D4
D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3
D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3
D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3
D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3
D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3
D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3
D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3
D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3
D3D3D3D3D3D3D3D3D3D3D3D3
D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2
D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2
D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2
D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2
D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2
D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2
D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2
D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2
D2D2D2D2D2D2D2D2D2D2D2D2
D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1
D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1
D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1
D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1
D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1
D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1
D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1
D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1
D1D1D1D1D1D1D1D1D1D1D1D1
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0
D0D0D0D0D0D0D0D0D0D0D0D0
CFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCF
CFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCF
CFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCF
CFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCF
CFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCF
CFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCF
CFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCF
CFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCF
CFCFCFCFCFCFCFCFCFCFCFCF
CECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECE
CECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECE
CECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECE
CECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECE
CECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECE
CECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECE
CECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECE
CECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECECE
CECECECECECECECECECECECE
CDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCD
CDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCD
CDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCD
CDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCD
CDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCD
CDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCD
CDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCD
CDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCDCD
CDCDCDCDCDCDCDCDCDCDCDCD
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CCCCCCCCCCCCCCCCCCCCCCCC
CBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCB
CBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCB
CBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCB
CBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCB
CBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCB
CBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCB
CBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCB
CBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCB
CBCBCBCBCBCBCBCBCBCBCBCB
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACA
C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9
C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9
C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9
C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9
C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9
C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9
C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9
C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9
C9C9C9C9C9C9C9C9C9C9C9C9
C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8
C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8
C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8
C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8
C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8
C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8
C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8
C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8
C8C8C8C8C8C8C8C8C8C8C8C8
C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7
C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7
C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7
C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7
C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7
C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7
C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7
C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7
C7C7C7C7C7C7C7C7C7C7C7C7
C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6
C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6
C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6
C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6
C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6
C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6
C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6
C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6
C6C6C6C6C6C6C6C6C6C6C6C6
C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5
C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5
C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5
C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5
C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5
C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5
C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5
C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5
C5C5C5C5C5C5C5C5C5C5C5C5
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4
C4C4C4C4C4C4C4C4C4C4C4C4
C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3
C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3
C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3
C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3
C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3
C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3
C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3
C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3
C3C3C3C3C3C3C3C3C3C3C3C3
C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2
C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2
C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2
C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2
C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2
C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2
C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2
C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2
C2C2C2C2C2C2C2C2C2C2C2C2
C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1
C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1
C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1
C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1
C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1
C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1
C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1
C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1
C1C1C1C1C1C1C1C1C1C1C1C1
C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0
C0C0C0C0C0C0C0C0C0C0C0C0
BFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBF
BFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBF
BFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBF
BFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBF
BFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBF
BFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBF
BFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBF
BFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBFBF
BFBFBFBFBFBFBFBFBFBFBFBF
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBEBE
BEBEBEBEBEBEBEBEBEBEBEBE
BDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBD
BDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBD
BDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBD
BDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBD
BDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBD
BDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBD
BDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBD
BDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBDBD
BDBDBDBDBDBDBDBDBDBDBDBD
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBC
BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB
BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB
BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB
BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB
BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB
BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB
BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB
BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB
BBBBBBBBBBBBBBBBBBBBBBBB
BABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABA
BABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABA
BABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABA
BABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABA
BABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABA
BABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABA
BABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABA
BABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABA
BABABABABABABABABABABABA
B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9
B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9
B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9
B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9
B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9
B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9
B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9
B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9
B9B9B9B9B9B9B9B9B9B9B9B9
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8
B8B8B8B8B8B8B8B8B8B8B8B8
B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7
B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7
B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7
B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7
B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7
B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7
B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7
B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7
B7B7B7B7B7B7B7B7B7B7B7B7
B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6
B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6
B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6
B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6
B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6
B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6
B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6
B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6
B6B6B6B6B6B6B6B6B6B6B6B6
B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5
B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5
B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5
B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5
B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5
B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5
B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5
B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5
B5B5B5B5B5B5B5B5B5B5B5B5
B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4
B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4
B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4
B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4
B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4
B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4
B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4
B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4
B4B4B4B4B4B4B4B4B4B4B4B4
B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3
B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3
B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3
B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3
B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3
B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3
B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3
B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3
B3B3B3B3B3B3B3B3B3B3B3B3
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2
B2B2B2B2B2B2B2B2B2B2B2B2
B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1
B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1
B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1
B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1
B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1
B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1
B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1
B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1
B1B1B1B1B1B1B1B1B1B1B1B1
B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0
B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0
B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0
B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0
B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0
B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0
B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0
B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0
B0B0B0B0B0B0B0B0B0B0B0B0
AFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAF
AFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAF
AFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAF
AFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAF
AFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAF
AFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAF
AFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAF
AFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAFAF
AFAFAFAFAFAFAFAFAFAFAFAF
AEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAE
AEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAE
AEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAE
AEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAE
AEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAE
AEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAE
AEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAE
AEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAEAE
AEAEAEAEAEAEAEAEAEAEAEAE
ADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADAD
ADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADAD
ADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADAD
ADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADAD
ADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADAD
ADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADAD
ADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADAD
ADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADADAD
ADADADADADADADADADADADAD
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACAC
ACACACACACACACACACACACAC
ABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABAB
ABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABAB
ABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABAB
ABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABAB
ABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABAB
ABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABAB
ABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABAB
ABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABABAB
ABABABABABABABABABABABAB
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAA
A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9
A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9
A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9
A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9
A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9
A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9
A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9
A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9
A9A9A9A9A9A9A9A9A9A9A9A9
A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8
A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8
A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8
A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8
A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8
A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8
A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8
A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8
A8A8A8A8A8A8A8A8A8A8A8A8
A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7
A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7
A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7
A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7
A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7
A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7
A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7
A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7
A7A7A7A7A7A7A7A7A7A7A7A7
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6
A6A6A6A6A6A6A6A6A6A6A6A6
A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5
A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5
A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5
A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5
A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5
A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5
A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5
A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5
A5A5A5A5A5A5A5A5A5A5A5A5
A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4
A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4
A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4
A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4
A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4
A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4
A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4
A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4
A4A4A4A4A4A4A4A4A4A4A4A4
A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3
A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3
A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3
A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3
A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3
A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3
A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3
A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3
A3A3A3A3A3A3A3A3A3A3A3A3
A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2
A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2
A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2
A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2
A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2
A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2
A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2
A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2
A2A2A2A2A2A2A2A2A2A2A2A2
A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1
A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1
A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1
A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1
A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1
A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1
A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1
A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1
A1A1A1A1A1A1A1A1A1A1A1A1
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0
A0A0A0A0A0A0A0A0A0A0A0A0
9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F
9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F
9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F
9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F
9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F
9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F
9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F
9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F9F
9F9F9F9F9F9F9F9F9F9F9F9F
9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E
9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E
9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E
9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E
9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E
9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E
9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E
9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E9E
9E9E9E9E9E9E9E9E9E9E9E9E
9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D
9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D
9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D
9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D
9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D
9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D
9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D
9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D9D
9D9D9D9D9D9D9D9D9D9D9D9D
9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C
9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C
9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C
9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C
9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C
9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C
9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C
9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C9C
9C9C9C9C9C9C9C9C9C9C9C9C
9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B
9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B
9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B
9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B
9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B
9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B
9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B
9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B9B
9B9B9B9B9B9B9B9B9B9B9B9B
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A9A
9A9A9A9A9A9A9A9A9A9A9A9A
999999999999999999999999999999999999999999999999999999999999999999999999
999999999999999999999999999999999999999999999999999999999999999999999999
999999999999999999999999999999999999999999999999999999999999999999999999
999999999999999999999999999999999999999999999999999999999999999999999999
999999999999999999999999999999999999999999999999999999999999999999999999
999999999999999999999999999999999999999999999999999999999999999999999999
999999999999999999999999999999999999999999999999999999999999999999999999
999999999999999999999999999999999999999999999999999999999999999999999999
999999999999999999999999
989898989898989898989898989898989898989898989898989898989898989898989898
989898989898989898989898989898989898989898989898989898989898989898989898
989898989898989898989898989898989898989898989898989898989898989898989898
989898989898989898989898989898989898989898989898989898989898989898989898
989898989898989898989898989898989898989898989898989898989898989898989898
989898989898989898989898989898989898989898989898989898989898989898989898
989898989898989898989898989898989898989898989898989898989898989898989898
989898989898989898989898989898989898989898989898989898989898989898989898
989898989898989898989898
979797979797979797979797979797979797979797979797979797979797979797979797
979797979797979797979797979797979797979797979797979797979797979797979797
979797979797979797979797979797979797979797979797979797979797979797979797
979797979797979797979797979797979797979797979797979797979797979797979797
979797979797979797979797979797979797979797979797979797979797979797979797
979797979797979797979797979797979797979797979797979797979797979797979797
979797979797979797979797979797979797979797979797979797979797979797979797
979797979797979797979797979797979797979797979797979797979797979797979797
979797979797979797979797
969696969696969696969696969696969696969696969696969696969696969696969696
969696969696969696969696969696969696969696969696969696969696969696969696
969696969696969696969696969696969696969696969696969696969696969696969696
969696969696969696969696969696969696969696969696969696969696969696969696
969696969696969696969696969696969696969696969696969696969696969696969696
969696969696969696969696969696969696969696969696969696969696969696969696
969696969696969696969696969696969696969696969696969696969696969696969696
969696969696969696969696969696969696969696969696969696969696969696969696
969696969696969696969696
959595959595959595959595959595959595959595959595959595959595959595959595
959595959595959595959595959595959595959595959595959595959595959595959595
959595959595959595959595959595959595959595959595959595959595959595959595
959595959595959595959595959595959595959595959595959595959595959595959595
959595959595959595959595959595959595959595959595959595959595959595959595
959595959595959595959595959595959595959595959595959595959595959595959595
959595959595959595959595959595959595959595959595959595959595959595959595
959595959595959595959595959595959595959595959595959595959595959595959595
959595959595959595959595
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494949494949494949494949494949494949494949494949494
949494949494949494949494
939393939393939393939393939393939393939393939393939393939393939393939393
939393939393939393939393939393939393939393939393939393939393939393939393
939393939393939393939393939393939393939393939393939393939393939393939393
939393939393939393939393939393939393939393939393939393939393939393939393
939393939393939393939393939393939393939393939393939393939393939393939393
939393939393939393939393939393939393939393939393939393939393939393939393
939393939393939393939393939393939393939393939393939393939393939393939393
939393939393939393939393939393939393939393939393939393939393939393939393
939393939393939393939393
929292929292929292929292929292929292929292929292929292929292929292929292
929292929292929292929292929292929292929292929292929292929292929292929292
929292929292929292929292929292929292929292929292929292929292929292929292
929292929292929292929292929292929292929292929292929292929292929292929292
929292929292929292929292929292929292929292929292929292929292929292929292
929292929292929292929292929292929292929292929292929292929292929292929292
929292929292929292929292929292929292929292929292929292929292929292929292
929292929292929292929292929292929292929292929292929292929292929292929292
929292929292929292929292
919191919191919191919191919191919191919191919191919191919191919191919191
919191919191919191919191919191919191919191919191919191919191919191919191
919191919191919191919191919191919191919191919191919191919191919191919191
919191919191919191919191919191919191919191919191919191919191919191919191
919191919191919191919191919191919191919191919191919191919191919191919191
919191919191919191919191919191919191919191919191919191919191919191919191
919191919191919191919191919191919191919191919191919191919191919191919191
919191919191919191919191919191919191919191919191919191919191919191919191
919191919191919191919191
909090909090909090909090909090909090909090909090909090909090909090909090
909090909090909090909090909090909090909090909090909090909090909090909090
909090909090909090909090909090909090909090909090909090909090909090909090
909090909090909090909090909090909090909090909090909090909090909090909090
909090909090909090909090909090909090909090909090909090909090909090909090
909090909090909090909090909090909090909090909090909090909090909090909090
909090909090909090909090909090909090909090909090909090909090909090909090
909090909090909090909090909090909090909090909090909090909090909090909090
909090909090909090909090
8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F
8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F
8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F
8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F
8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F
8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F
8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F
8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F8F
8F8F8F8F8F8F8F8F8F8F8F8F
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E8E
8E8E8E8E8E8E8E8E8E8E8E8E
8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D
8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D
8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D
8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D
8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D
8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D
8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D
8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D8D
8D8D8D8D8D8D8D8D8D8D8D8D
8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C
8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C
8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C
8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C
8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C
8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C
8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C
8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C8C
8C8C8C8C8C8C8C8C8C8C8C8C
8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B
8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B
8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B
8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B
8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B
8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B
8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B
8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B8B
8B8B8B8B8B8B8B8B8B8B8B8B
8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A
8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A
8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A
8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A
8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A
8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A
8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A
8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A8A
8A8A8A8A8A8A8A8A8A8A8A8A
898989898989898989898989898989898989898989898989898989898989898989898989
898989898989898989898989898989898989898989898989898989898989898989898989
898989898989898989898989898989898989898989898989898989898989898989898989
898989898989898989898989898989898989898989898989898989898989898989898989
898989898989898989898989898989898989898989898989898989898989898989898989
898989898989898989898989898989898989898989898989898989898989898989898989
898989898989898989898989898989898989898989898989898989898989898989898989
898989898989898989898989898989898989898989898989898989898989898989898989
898989898989898989898989
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888888888888888888888888888888888888888888888888888
888888888888888888888888
878787878787878787878787878787878787878787878787878787878787878787878787
878787878787878787878787878787878787878787878787878787878787878787878787
878787878787878787878787878787878787878787878787878787878787878787878787
878787878787878787878787878787878787878787878787878787878787878787878787
878787878787878787878787878787878787878787878787878787878787878787878787
878787878787878787878787878787878787878787878787878787878787878787878787
878787878787878787878787878787878787878787878787878787878787878787878787
878787878787878787878787878787878787878787878787878787878787878787878787
878787878787878787878787
868686868686868686868686868686868686868686868686868686868686868686868686
868686868686868686868686868686868686868686868686868686868686868686868686
868686868686868686868686868686868686868686868686868686868686868686868686
868686868686868686868686868686868686868686868686868686868686868686868686
868686868686868686868686868686868686868686868686868686868686868686868686
868686868686868686868686868686868686868686868686868686868686868686868686
868686868686868686868686868686868686868686868686868686868686868686868686
868686868686868686868686868686868686868686868686868686868686868686868686
868686868686868686868686
858585858585858585858585858585858585858585858585858585858585858585858585
858585858585858585858585858585858585858585858585858585858585858585858585
858585858585858585858585858585858585858585858585858585858585858585858585
858585858585858585858585858585858585858585858585858585858585858585858585
858585858585858585858585858585858585858585858585858585858585858585858585
858585858585858585858585858585858585858585858585858585858585858585858585
858585858585858585858585858585858585858585858585858585858585858585858585
858585858585858585858585858585858585858585858585858585858585858585858585
858585858585858585858585
848484848484848484848484848484848484848484848484848484848484848484848484
848484848484848484848484848484848484848484848484848484848484848484848484
848484848484848484848484848484848484848484848484848484848484848484848484
848484848484848484848484848484848484848484848484848484848484848484848484
848484848484848484848484848484848484848484848484848484848484848484848484
848484848484848484848484848484848484848484848484848484848484848484848484
848484848484848484848484848484848484848484848484848484848484848484848484
848484848484848484848484848484848484848484848484848484848484848484848484
848484848484848484848484
838383838383838383838383838383838383838383838383838383838383838383838383
838383838383838383838383838383838383838383838383838383838383838383838383
838383838383838383838383838383838383838383838383838383838383838383838383
838383838383838383838383838383838383838383838383838383838383838383838383
838383838383838383838383838383838383838383838383838383838383838383838383
838383838383838383838383838383838383838383838383838383838383838383838383
838383838383838383838383838383838383838383838383838383838383838383838383
838383838383838383838383838383838383838383838383838383838383838383838383
838383838383838383838383
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282828282828282828282828282828282828282828282828282
828282828282828282828282
818181818181818181818181818181818181818181818181818181818181818181818181
818181818181818181818181818181818181818181818181818181818181818181818181
818181818181818181818181818181818181818181818181818181818181818181818181
818181818181818181818181818181818181818181818181818181818181818181818181
818181818181818181818181818181818181818181818181818181818181818181818181
818181818181818181818181818181818181818181818181818181818181818181818181
818181818181818181818181818181818181818181818181818181818181818181818181
818181818181818181818181818181818181818181818181818181818181818181818181
818181818181818181818181
808080808080808080808080808080808080808080808080808080808080808080808080
808080808080808080808080808080808080808080808080808080808080808080808080
808080808080808080808080808080808080808080808080808080808080808080808080
808080808080808080808080808080808080808080808080808080808080808080808080
808080808080808080808080808080808080808080808080808080808080808080808080
808080808080808080808080808080808080808080808080808080808080808080808080
808080808080808080808080808080808080808080808080808080808080808080808080
808080808080808080808080808080808080808080808080808080808080808080808080
808080808080808080808080
7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F
7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F
7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F
7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F
7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F
7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F
7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F
7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F
7F7F7F7F7F7F7F7F7F7F7F7F
7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E
7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E
7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E
7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E
7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E
7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E
7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E
7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E7E
7E7E7E7E7E7E7E7E7E7E7E7E
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D7D
7D7D7D7D7D7D7D7D7D7D7D7D
7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C
7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C
7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C
7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C
7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C
7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C
7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C
7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C7C
7C7C7C7C7C7C7C7C7C7C7C7C
7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B
7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B
7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B
7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B
7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B
7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B
7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B
7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B
7B7B7B7B7B7B7B7B7B7B7B7B
7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A
7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A
7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A
7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A
7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A
7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A
7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A
7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A7A
7A7A7A7A7A7A7A7A7A7A7A7A
797979797979797979797979797979797979797979797979797979797979797979797979
797979797979797979797979797979797979797979797979797979797979797979797979
797979797979797979797979797979797979797979797979797979797979797979797979
797979797979797979797979797979797979797979797979797979797979797979797979
797979797979797979797979797979797979797979797979797979797979797979797979
797979797979797979797979797979797979797979797979797979797979797979797979
797979797979797979797979797979797979797979797979797979797979797979797979
797979797979797979797979797979797979797979797979797979797979797979797979
797979797979797979797979
787878787878787878787878787878787878787878787878787878787878787878787878
787878787878787878787878787878787878787878787878787878787878787878787878
787878787878787878787878787878787878787878787878787878787878787878787878
787878787878787878787878787878787878787878787878787878787878787878787878
787878787878787878787878787878787878787878787878787878787878787878787878
787878787878787878787878787878787878787878787878787878787878787878787878
787878787878787878787878787878787878787878787878787878787878787878787878
787878787878787878787878787878787878787878787878787878787878787878787878
787878787878787878787878
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777777777777777777777777777777777777777777777777777
777777777777777777777777
767676767676767676767676767676767676767676767676767676767676767676767676
767676767676767676767676767676767676767676767676767676767676767676767676
767676767676767676767676767676767676767676767676767676767676767676767676
767676767676767676767676767676767676767676767676767676767676767676767676
767676767676767676767676767676767676767676767676767676767676767676767676
767676767676767676767676767676767676767676767676767676767676767676767676
767676767676767676767676767676767676767676767676767676767676767676767676
767676767676767676767676767676767676767676767676767676767676767676767676
767676767676767676767676
757575757575757575757575757575757575757575757575757575757575757575757575
757575757575757575757575757575757575757575757575757575757575757575757575
757575757575757575757575757575757575757575757575757575757575757575757575
757575757575757575757575757575757575757575757575757575757575757575757575
757575757575757575757575757575757575757575757575757575757575757575757575
757575757575757575757575757575757575757575757575757575757575757575757575
757575757575757575757575757575757575757575757575757575757575757575757575
757575757575757575757575757575757575757575757575757575757575757575757575
757575757575757575757575
747474747474747474747474747474747474747474747474747474747474747474747474
747474747474747474747474747474747474747474747474747474747474747474747474
747474747474747474747474747474747474747474747474747474747474747474747474
747474747474747474747474747474747474747474747474747474747474747474747474
747474747474747474747474747474747474747474747474747474747474747474747474
747474747474747474747474747474747474747474747474747474747474747474747474
747474747474747474747474747474747474747474747474747474747474747474747474
747474747474747474747474747474747474747474747474747474747474747474747474
747474747474747474747474
737373737373737373737373737373737373737373737373737373737373737373737373
737373737373737373737373737373737373737373737373737373737373737373737373
737373737373737373737373737373737373737373737373737373737373737373737373
737373737373737373737373737373737373737373737373737373737373737373737373
737373737373737373737373737373737373737373737373737373737373737373737373
737373737373737373737373737373737373737373737373737373737373737373737373
737373737373737373737373737373737373737373737373737373737373737373737373
737373737373737373737373737373737373737373737373737373737373737373737373
737373737373737373737373
727272727272727272727272727272727272727272727272727272727272727272727272
727272727272727272727272727272727272727272727272727272727272727272727272
727272727272727272727272727272727272727272727272727272727272727272727272
727272727272727272727272727272727272727272727272727272727272727272727272
727272727272727272727272727272727272727272727272727272727272727272727272
727272727272727272727272727272727272727272727272727272727272727272727272
727272727272727272727272727272727272727272727272727272727272727272727272
727272727272727272727272727272727272727272727272727272727272727272727272
727272727272727272727272
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171717171717171717171717171717171717171717171717171
717171717171717171717171
707070707070707070707070707070707070707070707070707070707070707070707070
707070707070707070707070707070707070707070707070707070707070707070707070
707070707070707070707070707070707070707070707070707070707070707070707070
707070707070707070707070707070707070707070707070707070707070707070707070
707070707070707070707070707070707070707070707070707070707070707070707070
707070707070707070707070707070707070707070707070707070707070707070707070
707070707070707070707070707070707070707070707070707070707070707070707070
707070707070707070707070707070707070707070707070707070707070707070707070
707070707070707070707070
6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F
6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F
6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F
6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F
6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F
6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F
6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F
6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F6F
6F6F6F6F6F6F6F6F6F6F6F6F
6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E
6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E
6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E
6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E
6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E
6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E
6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E
6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E
6E6E6E6E6E6E6E6E6E6E6E6E
6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D
6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D
6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D
6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D
6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D
6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D
6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D
6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D6D
6D6D6D6D6D6D6D6D6D6D6D6D
6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C
6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C
6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C
6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C
6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C
6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C
6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C
6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C6C
6C6C6C6C6C6C6C6C6C6C6C6C
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B6B
6B6B6B6B6B6B6B6B6B6B6B6B
6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A
6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A
6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A
6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A
6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A
6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A
6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A
6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A6A
6A6A6A6A6A6A6A6A6A6A6A6A
696969696969696969696969696969696969696969696969696969696969696969696969
696969696969696969696969696969696969696969696969696969696969696969696969
696969696969696969696969696969696969696969696969696969696969696969696969
696969696969696969696969696969696969696969696969696969696969696969696969
696969696969696969696969696969696969696969696969696969696969696969696969
696969696969696969696969696969696969696969696969696969696969696969696969
696969696969696969696969696969696969696969696969696969696969696969696969
696969696969696969696969696969696969696969696969696969696969696969696969
696969696969696969696969
686868686868686868686868686868686868686868686868686868686868686868686868
686868686868686868686868686868686868686868686868686868686868686868686868
686868686868686868686868686868686868686868686868686868686868686868686868
686868686868686868686868686868686868686868686868686868686868686868686868
686868686868686868686868686868686868686868686868686868686868686868686868
686868686868686868686868686868686868686868686868686868686868686868686868
686868686868686868686868686868686868686868686868686868686868686868686868
686868686868686868686868686868686868686868686868686868686868686868686868
686868686868686868686868
676767676767676767676767676767676767676767676767676767676767676767676767
676767676767676767676767676767676767676767676767676767676767676767676767
676767676767676767676767676767676767676767676767676767676767676767676767
676767676767676767676767676767676767676767676767676767676767676767676767
676767676767676767676767676767676767676767676767676767676767676767676767
676767676767676767676767676767676767676767676767676767676767676767676767
676767676767676767676767676767676767676767676767676767676767676767676767
676767676767676767676767676767676767676767676767676767676767676767676767
676767676767676767676767
666666666666666666666666666666666666666666666666666666666666666666666666
666666666666666666666666666666666666666666666666666666666666666666666666
666666666666666666666666666666666666666666666666666666666666666666666666
666666666666666666666666666666666666666666666666666666666666666666666666
666666666666666666666666666666666666666666666666666666666666666666666666
666666666666666666666666666666666666666666666666666666666666666666666666
666666666666666666666666666666666666666666666666666666666666666666666666
666666666666666666666666666666666666666666666666666666666666666666666666
666666666666666666666666
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565656565656565656565656565656565656565656565656565
656565656565656565656565
646464646464646464646464646464646464646464646464646464646464646464646464
646464646464646464646464646464646464646464646464646464646464646464646464
646464646464646464646464646464646464646464646464646464646464646464646464
646464646464646464646464646464646464646464646464646464646464646464646464
646464646464646464646464646464646464646464646464646464646464646464646464
646464646464646464646464646464646464646464646464646464646464646464646464
646464646464646464646464646464646464646464646464646464646464646464646464
646464646464646464646464646464646464646464646464646464646464646464646464
646464646464646464646464
636363636363636363636363636363636363636363636363636363636363636363636363
636363636363636363636363636363636363636363636363636363636363636363636363
636363636363636363636363636363636363636363636363636363636363636363636363
636363636363636363636363636363636363636363636363636363636363636363636363
636363636363636363636363636363636363636363636363636363636363636363636363
636363636363636363636363636363636363636363636363636363636363636363636363
636363636363636363636363636363636363636363636363636363636363636363636363
636363636363636363636363636363636363636363636363636363636363636363636363
636363636363636363636363
626262626262626262626262626262626262626262626262626262626262626262626262
626262626262626262626262626262626262626262626262626262626262626262626262
626262626262626262626262626262626262626262626262626262626262626262626262
626262626262626262626262626262626262626262626262626262626262626262626262
626262626262626262626262626262626262626262626262626262626262626262626262
626262626262626262626262626262626262626262626262626262626262626262626262
626262626262626262626262626262626262626262626262626262626262626262626262
626262626262626262626262626262626262626262626262626262626262626262626262
626262626262626262626262
616161616161616161616161616161616161616161616161616161616161616161616161
616161616161616161616161616161616161616161616161616161616161616161616161
616161616161616161616161616161616161616161616161616161616161616161616161
616161616161616161616161616161616161616161616161616161616161616161616161
616161616161616161616161616161616161616161616161616161616161616161616161
616161616161616161616161616161616161616161616161616161616161616161616161
616161616161616161616161616161616161616161616161616161616161616161616161
616161616161616161616161616161616161616161616161616161616161616161616161
616161616161616161616161
606060606060606060606060606060606060606060606060606060606060606060606060
606060606060606060606060606060606060606060606060606060606060606060606060
606060606060606060606060606060606060606060606060606060606060606060606060
606060606060606060606060606060606060606060606060606060606060606060606060
606060606060606060606060606060606060606060606060606060606060606060606060
606060606060606060606060606060606060606060606060606060606060606060606060
606060606060606060606060606060606060606060606060606060606060606060606060
606060606060606060606060606060606060606060606060606060606060606060606060
606060606060606060606060
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F5F
5F5F5F5F5F5F5F5F5F5F5F5F
5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E
5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E
5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E
5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E
5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E
5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E
5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E
5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E
5E5E5E5E5E5E5E5E5E5E5E5E
5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D
5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D
5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D
5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D
5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D
5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D
5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D
5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D5D
5D5D5D5D5D5D5D5D5D5D5D5D
5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C
5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C
5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C
5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C
5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C
5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C
5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C
5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C5C
5C5C5C5C5C5C5C5C5C5C5C5C
5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B
5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B
5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B
5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B
5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B
5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B
5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B
5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B5B
5B5B5B5B5B5B5B5B5B5B5B5B
5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A
5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A
5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A
5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A
5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A
5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A
5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A
5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A5A
5A5A5A5A5A5A5A5A5A5A5A5A
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959595959595959595959595959595959595959595959595959
595959595959595959595959
585858585858585858585858585858585858585858585858585858585858585858585858
585858585858585858585858585858585858585858585858585858585858585858585858
585858585858585858585858585858585858585858585858585858585858585858585858
585858585858585858585858585858585858585858585858585858585858585858585858
585858585858585858585858585858585858585858585858585858585858585858585858
585858585858585858585858585858585858585858585858585858585858585858585858
585858585858585858585858585858585858585858585858585858585858585858585858
585858585858585858585858585858585858585858585858585858585858585858585858
585858585858585858585858
575757575757575757575757575757575757575757575757575757575757575757575757
575757575757575757575757575757575757575757575757575757575757575757575757
575757575757575757575757575757575757575757575757575757575757575757575757
575757575757575757575757575757575757575757575757575757575757575757575757
575757575757575757575757575757575757575757575757575757575757575757575757
575757575757575757575757575757575757575757575757575757575757575757575757
575757575757575757575757575757575757575757575757575757575757575757575757
575757575757575757575757575757575757575757575757575757575757575757575757
575757575757575757575757
565656565656565656565656565656565656565656565656565656565656565656565656
565656565656565656565656565656565656565656565656565656565656565656565656
565656565656565656565656565656565656565656565656565656565656565656565656
565656565656565656565656565656565656565656565656565656565656565656565656
565656565656565656565656565656565656565656565656565656565656565656565656
565656565656565656565656565656565656565656565656565656565656565656565656
565656565656565656565656565656565656565656565656565656565656565656565656
565656565656565656565656565656565656565656565656565656565656565656565656
565656565656565656565656
555555555555555555555555555555555555555555555555555555555555555555555555
555555555555555555555555555555555555555555555555555555555555555555555555
555555555555555555555555555555555555555555555555555555555555555555555555
555555555555555555555555555555555555555555555555555555555555555555555555
555555555555555555555555555555555555555555555555555555555555555555555555
555555555555555555555555555555555555555555555555555555555555555555555555
555555555555555555555555555555555555555555555555555555555555555555555555
555555555555555555555555555555555555555555555555555555555555555555555555
555555555555555555555555
545454545454545454545454545454545454545454545454545454545454545454545454
545454545454545454545454545454545454545454545454545454545454545454545454
545454545454545454545454545454545454545454545454545454545454545454545454
545454545454545454545454545454545454545454545454545454545454545454545454
545454545454545454545454545454545454545454545454545454545454545454545454
545454545454545454545454545454545454545454545454545454545454545454545454
545454545454545454545454545454545454545454545454545454545454545454545454
545454545454545454545454545454545454545454545454545454545454545454545454
545454545454545454545454
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353535353535353535353535353535353535353535353535353
535353535353535353535353
525252525252525252525252525252525252525252525252525252525252525252525252
525252525252525252525252525252525252525252525252525252525252525252525252
525252525252525252525252525252525252525252525252525252525252525252525252
525252525252525252525252525252525252525252525252525252525252525252525252
525252525252525252525252525252525252525252525252525252525252525252525252
525252525252525252525252525252525252525252525252525252525252525252525252
525252525252525252525252525252525252525252525252525252525252525252525252
525252525252525252525252525252525252525252525252525252525252525252525252
525252525252525252525252
515151515151515151515151515151515151515151515151515151515151515151515151
515151515151515151515151515151515151515151515151515151515151515151515151
515151515151515151515151515151515151515151515151515151515151515151515151
515151515151515151515151515151515151515151515151515151515151515151515151
515151515151515151515151515151515151515151515151515151515151515151515151
515151515151515151515151515151515151515151515151515151515151515151515151
515151515151515151515151515151515151515151515151515151515151515151515151
515151515151515151515151515151515151515151515151515151515151515151515151
515151515151515151515151
505050505050505050505050505050505050505050505050505050505050505050505050
505050505050505050505050505050505050505050505050505050505050505050505050
505050505050505050505050505050505050505050505050505050505050505050505050
505050505050505050505050505050505050505050505050505050505050505050505050
505050505050505050505050505050505050505050505050505050505050505050505050
505050505050505050505050505050505050505050505050505050505050505050505050
505050505050505050505050505050505050505050505050505050505050505050505050
505050505050505050505050505050505050505050505050505050505050505050505050
505050505050505050505050
4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F
4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F
4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F
4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F
4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F
4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F
4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F
4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F4F
4F4F4F4F4F4F4F4F4F4F4F4F
4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E
4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E
4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E
4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E
4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E
4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E
4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E
4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E
4E4E4E4E4E4E4E4E4E4E4E4E
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D4D
4D4D4D4D4D4D4D4D4D4D4D4D
4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C
4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C
4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C
4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C
4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C
4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C
4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C
4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C4C
4C4C4C4C4C4C4C4C4C4C4C4C
4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B
4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B
4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B
4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B
4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B
4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B
4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B
4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B4B
4B4B4B4B4B4B4B4B4B4B4B4B
4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A
4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A
4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A
4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A
4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A
4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A
4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A
4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A4A
4A4A4A4A4A4A4A4A4A4A4A4A
494949494949494949494949494949494949494949494949494949494949494949494949
494949494949494949494949494949494949494949494949494949494949494949494949
494949494949494949494949494949494949494949494949494949494949494949494949
494949494949494949494949494949494949494949494949494949494949494949494949
494949494949494949494949494949494949494949494949494949494949494949494949
494949494949494949494949494949494949494949494949494949494949494949494949
494949494949494949494949494949494949494949494949494949494949494949494949
494949494949494949494949494949494949494949494949494949494949494949494949
494949494949494949494949
484848484848484848484848484848484848484848484848484848484848484848484848
484848484848484848484848484848484848484848484848484848484848484848484848
484848484848484848484848484848484848484848484848484848484848484848484848
484848484848484848484848484848484848484848484848484848484848484848484848
484848484848484848484848484848484848484848484848484848484848484848484848
484848484848484848484848484848484848484848484848484848484848484848484848
484848484848484848484848484848484848484848484848484848484848484848484848
484848484848484848484848484848484848484848484848484848484848484848484848
484848484848484848484848
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747474747474747474747474747474747474747474747474747
474747474747474747474747
464646464646464646464646464646464646464646464646464646464646464646464646
464646464646464646464646464646464646464646464646464646464646464646464646
464646464646464646464646464646464646464646464646464646464646464646464646
464646464646464646464646464646464646464646464646464646464646464646464646
464646464646464646464646464646464646464646464646464646464646464646464646
464646464646464646464646464646464646464646464646464646464646464646464646
464646464646464646464646464646464646464646464646464646464646464646464646
464646464646464646464646464646464646464646464646464646464646464646464646
464646464646464646464646
454545454545454545454545454545454545454545454545454545454545454545454545
454545454545454545454545454545454545454545454545454545454545454545454545
454545454545454545454545454545454545454545454545454545454545454545454545
454545454545454545454545454545454545454545454545454545454545454545454545
454545454545454545454545454545454545454545454545454545454545454545454545
454545454545454545454545454545454545454545454545454545454545454545454545
454545454545454545454545454545454545454545454545454545454545454545454545
454545454545454545454545454545454545454545454545454545454545454545454545
454545454545454545454545
444444444444444444444444444444444444444444444444444444444444444444444444
444444444444444444444444444444444444444444444444444444444444444444444444
444444444444444444444444444444444444444444444444444444444444444444444444
444444444444444444444444444444444444444444444444444444444444444444444444
444444444444444444444444444444444444444444444444444444444444444444444444
444444444444444444444444444444444444444444444444444444444444444444444444
444444444444444444444444444444444444444444444444444444444444444444444444
444444444444444444444444444444444444444444444444444444444444444444444444
444444444444444444444444
434343434343434343434343434343434343434343434343434343434343434343434343
434343434343434343434343434343434343434343434343434343434343434343434343
434343434343434343434343434343434343434343434343434343434343434343434343
434343434343434343434343434343434343434343434343434343434343434343434343
434343434343434343434343434343434343434343434343434343434343434343434343
434343434343434343434343434343434343434343434343434343434343434343434343
434343434343434343434343434343434343434343434343434343434343434343434343
434343434343434343434343434343434343434343434343434343434343434343434343
434343434343434343434343
424242424242424242424242424242424242424242424242424242424242424242424242
424242424242424242424242424242424242424242424242424242424242424242424242
424242424242424242424242424242424242424242424242424242424242424242424242
424242424242424242424242424242424242424242424242424242424242424242424242
424242424242424242424242424242424242424242424242424242424242424242424242
424242424242424242424242424242424242424242424242424242424242424242424242
424242424242424242424242424242424242424242424242424242424242424242424242
424242424242424242424242424242424242424242424242424242424242424242424242
424242424242424242424242
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141414141414141414141414141414141414141414141414141
414141414141414141414141
404040404040404040404040404040404040404040404040404040404040404040404040
404040404040404040404040404040404040404040404040404040404040404040404040
404040404040404040404040404040404040404040404040404040404040404040404040
404040404040404040404040404040404040404040404040404040404040404040404040
404040404040404040404040404040404040404040404040404040404040404040404040
404040404040404040404040404040404040404040404040404040404040404040404040
404040404040404040404040404040404040404040404040404040404040404040404040
404040404040404040404040404040404040404040404040404040404040404040404040
404040404040404040404040
3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F
3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F
3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F
3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F
3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F
3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F
3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F
3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F3F
3F3F3F3F3F3F3F3F3F3F3F3F
3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E
3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E
3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E
3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E
3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E
3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E
3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E
3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E
3E3E3E3E3E3E3E3E3E3E3E3E
3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D
3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D
3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D
3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D
3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D
3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D
3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D
3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D3D
3D3D3D3D3D3D3D3D3D3D3D3D
3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C
3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C
3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C
3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C
3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C
3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C
3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C
3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C3C
3C3C3C3C3C3C3C3C3C3C3C3C
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B3B
3B3B3B3B3B3B3B3B3B3B3B3B
3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A
3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A
3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A
3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A
3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A
3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A
3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A
3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A3A
3A3A3A3A3A3A3A3A3A3A3A3A
393939393939393939393939393939393939393939393939393939393939393939393939
393939393939393939393939393939393939393939393939393939393939393939393939
393939393939393939393939393939393939393939393939393939393939393939393939
393939393939393939393939393939393939393939393939393939393939393939393939
393939393939393939393939393939393939393939393939393939393939393939393939
393939393939393939393939393939393939393939393939393939393939393939393939
393939393939393939393939393939393939393939393939393939393939393939393939
393939393939393939393939393939393939393939393939393939393939393939393939
393939393939393939393939
383838383838383838383838383838383838383838383838383838383838383838383838
383838383838383838383838383838383838383838383838383838383838383838383838
383838383838383838383838383838383838383838383838383838383838383838383838
383838383838383838383838383838383838383838383838383838383838383838383838
383838383838383838383838383838383838383838383838383838383838383838383838
383838383838383838383838383838383838383838383838383838383838383838383838
383838383838383838383838383838383838383838383838383838383838383838383838
383838383838383838383838383838383838383838383838383838383838383838383838
383838383838383838383838
373737373737373737373737373737373737373737373737373737373737373737373737
373737373737373737373737373737373737373737373737373737373737373737373737
373737373737373737373737373737373737373737373737373737373737373737373737
373737373737373737373737373737373737373737373737373737373737373737373737
373737373737373737373737373737373737373737373737373737373737373737373737
373737373737373737373737373737373737373737373737373737373737373737373737
373737373737373737373737373737373737373737373737373737373737373737373737
373737373737373737373737373737373737373737373737373737373737373737373737
373737373737373737373737
363636363636363636363636363636363636363636363636363636363636363636363636
363636363636363636363636363636363636363636363636363636363636363636363636
363636363636363636363636363636363636363636363636363636363636363636363636
363636363636363636363636363636363636363636363636363636363636363636363636
363636363636363636363636363636363636363636363636363636363636363636363636
363636363636363636363636363636363636363636363636363636363636363636363636
363636363636363636363636363636363636363636363636363636363636363636363636
363636363636363636363636363636363636363636363636363636363636363636363636
363636363636363636363636
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535353535353535353535353535353535353535353535353535
353535353535353535353535
343434343434343434343434343434343434343434343434343434343434343434343434
343434343434343434343434343434343434343434343434343434343434343434343434
343434343434343434343434343434343434343434343434343434343434343434343434
343434343434343434343434343434343434343434343434343434343434343434343434
343434343434343434343434343434343434343434343434343434343434343434343434
343434343434343434343434343434343434343434343434343434343434343434343434
343434343434343434343434343434343434343434343434343434343434343434343434
343434343434343434343434343434343434343434343434343434343434343434343434
343434343434343434343434
333333333333333333333333333333333333333333333333333333333333333333333333
333333333333333333333333333333333333333333333333333333333333333333333333
333333333333333333333333333333333333333333333333333333333333333333333333
333333333333333333333333333333333333333333333333333333333333333333333333
333333333333333333333333333333333333333333333333333333333333333333333333
333333333333333333333333333333333333333333333333333333333333333333333333
333333333333333333333333333333333333333333333333333333333333333333333333
333333333333333333333333333333333333333333333333333333333333333333333333
333333333333333333333333
323232323232323232323232323232323232323232323232323232323232323232323232
323232323232323232323232323232323232323232323232323232323232323232323232
323232323232323232323232323232323232323232323232323232323232323232323232
323232323232323232323232323232323232323232323232323232323232323232323232
323232323232323232323232323232323232323232323232323232323232323232323232
323232323232323232323232323232323232323232323232323232323232323232323232
323232323232323232323232323232323232323232323232323232323232323232323232
323232323232323232323232323232323232323232323232323232323232323232323232
323232323232323232323232
313131313131313131313131313131313131313131313131313131313131313131313131
313131313131313131313131313131313131313131313131313131313131313131313131
313131313131313131313131313131313131313131313131313131313131313131313131
313131313131313131313131313131313131313131313131313131313131313131313131
313131313131313131313131313131313131313131313131313131313131313131313131
313131313131313131313131313131313131313131313131313131313131313131313131
313131313131313131313131313131313131313131313131313131313131313131313131
313131313131313131313131313131313131313131313131313131313131313131313131
313131313131313131313131
303030303030303030303030303030303030303030303030303030303030303030303030
303030303030303030303030303030303030303030303030303030303030303030303030
303030303030303030303030303030303030303030303030303030303030303030303030
303030303030303030303030303030303030303030303030303030303030303030303030
303030303030303030303030303030303030303030303030303030303030303030303030
303030303030303030303030303030303030303030303030303030303030303030303030
303030303030303030303030303030303030303030303030303030303030303030303030
303030303030303030303030303030303030303030303030303030303030303030303030
303030303030303030303030
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F2F
2F2F2F2F2F2F2F2F2F2F2F2F
2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E
2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E
2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E
2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E
2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E
2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E
2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E
2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E2E
2E2E2E2E2E2E2E2E2E2E2E2E
2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D
2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D
2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D
2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D
2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D
2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D
2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D
2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D2D
2D2D2D2D2D2D2D2D2D2D2D2D
2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C
2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C
2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C
2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C
2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C
2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C
2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C
2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C2C
2C2C2C2C2C2C2C2C2C2C2C2C
2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B
2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B
2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B
2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B
2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B
2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B
2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B
2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B
2B2B2B2B2B2B2B2B2B2B2B2B
2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A
2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A
2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A
2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A
2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A
2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A
2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A
2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A2A
2A2A2A2A2A2A2A2A2A2A2A2A
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929292929292929292929292929292929292929292929292929
292929292929292929292929
282828282828282828282828282828282828282828282828282828282828282828282828
282828282828282828282828282828282828282828282828282828282828282828282828
282828282828282828282828282828282828282828282828282828282828282828282828
282828282828282828282828282828282828282828282828282828282828282828282828
282828282828282828282828282828282828282828282828282828282828282828282828
282828282828282828282828282828282828282828282828282828282828282828282828
282828282828282828282828282828282828282828282828282828282828282828282828
282828282828282828282828282828282828282828282828282828282828282828282828
282828282828282828282828
272727272727272727272727272727272727272727272727272727272727272727272727
272727272727272727272727272727272727272727272727272727272727272727272727
272727272727272727272727272727272727272727272727272727272727272727272727
272727272727272727272727272727272727272727272727272727272727272727272727
272727272727272727272727272727272727272727272727272727272727272727272727
272727272727272727272727272727272727272727272727272727272727272727272727
272727272727272727272727272727272727272727272727272727272727272727272727
272727272727272727272727272727272727272727272727272727272727272727272727
272727272727272727272727
262626262626262626262626262626262626262626262626262626262626262626262626
262626262626262626262626262626262626262626262626262626262626262626262626
262626262626262626262626262626262626262626262626262626262626262626262626
262626262626262626262626262626262626262626262626262626262626262626262626
262626262626262626262626262626262626262626262626262626262626262626262626
262626262626262626262626262626262626262626262626262626262626262626262626
262626262626262626262626262626262626262626262626262626262626262626262626
262626262626262626262626262626262626262626262626262626262626262626262626
262626262626262626262626
252525252525252525252525252525252525252525252525252525252525252525252525
252525252525252525252525252525252525252525252525252525252525252525252525
252525252525252525252525252525252525252525252525252525252525252525252525
252525252525252525252525252525252525252525252525252525252525252525252525
252525252525252525252525252525252525252525252525252525252525252525252525
252525252525252525252525252525252525252525252525252525252525252525252525
252525252525252525252525252525252525252525252525252525252525252525252525
252525252525252525252525252525252525252525252525252525252525252525252525
252525252525252525252525
242424242424242424242424242424242424242424242424242424242424242424242424
242424242424242424242424242424242424242424242424242424242424242424242424
242424242424242424242424242424242424242424242424242424242424242424242424
242424242424242424242424242424242424242424242424242424242424242424242424
242424242424242424242424242424242424242424242424242424242424242424242424
242424242424242424242424242424242424242424242424242424242424242424242424
242424242424242424242424242424242424242424242424242424242424242424242424
242424242424242424242424242424242424242424242424242424242424242424242424
242424242424242424242424
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323232323232323232323232323232323232323232323232323
232323232323232323232323
222222222222222222222222222222222222222222222222222222222222222222222222
222222222222222222222222222222222222222222222222222222222222222222222222
222222222222222222222222222222222222222222222222222222222222222222222222
222222222222222222222222222222222222222222222222222222222222222222222222
222222222222222222222222222222222222222222222222222222222222222222222222
222222222222222222222222222222222222222222222222222222222222222222222222
222222222222222222222222222222222222222222222222222222222222222222222222
222222222222222222222222222222222222222222222222222222222222222222222222
222222222222222222222222
212121212121212121212121212121212121212121212121212121212121212121212121
212121212121212121212121212121212121212121212121212121212121212121212121
212121212121212121212121212121212121212121212121212121212121212121212121
212121212121212121212121212121212121212121212121212121212121212121212121
212121212121212121212121212121212121212121212121212121212121212121212121
212121212121212121212121212121212121212121212121212121212121212121212121
212121212121212121212121212121212121212121212121212121212121212121212121
212121212121212121212121212121212121212121212121212121212121212121212121
212121212121212121212121
202020202020202020202020202020202020202020202020202020202020202020202020
202020202020202020202020202020202020202020202020202020202020202020202020
202020202020202020202020202020202020202020202020202020202020202020202020
202020202020202020202020202020202020202020202020202020202020202020202020
202020202020202020202020202020202020202020202020202020202020202020202020
202020202020202020202020202020202020202020202020202020202020202020202020
202020202020202020202020202020202020202020202020202020202020202020202020
202020202020202020202020202020202020202020202020202020202020202020202020
202020202020202020202020
1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F
1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F
1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F
1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F
1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F
1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F
1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F
1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F1F
1F1F1F1F1F1F1F1F1F1F1F1F
1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E
1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E
1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E
1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E
1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E
1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E
1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E
1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E1E
1E1E1E1E1E1E1E1E1E1E1E1E
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D1D
1D1D1D1D1D1D1D1D1D1D1D1D
1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C
1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C
1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C
1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C
1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C
1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C
1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C
1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C1C
1C1C1C1C1C1C1C1C1C1C1C1C
1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B
1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B
1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B
1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B
1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B
1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B
1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B
1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B1B
1B1B1B1B1B1B1B1B1B1B1B1B
1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A
1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A
1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A
1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A
1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A
1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A
1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A
1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A1A
1A1A1A1A1A1A1A1A1A1A1A1A
191919191919191919191919191919191919191919191919191919191919191919191919
191919191919191919191919191919191919191919191919191919191919191919191919
191919191919191919191919191919191919191919191919191919191919191919191919
191919191919191919191919191919191919191919191919191919191919191919191919
191919191919191919191919191919191919191919191919191919191919191919191919
191919191919191919191919191919191919191919191919191919191919191919191919
191919191919191919191919191919191919191919191919191919191919191919191919
191919191919191919191919191919191919191919191919191919191919191919191919
191919191919191919191919
181818181818181818181818181818181818181818181818181818181818181818181818
181818181818181818181818181818181818181818181818181818181818181818181818
181818181818181818181818181818181818181818181818181818181818181818181818
181818181818181818181818181818181818181818181818181818181818181818181818
181818181818181818181818181818181818181818181818181818181818181818181818
181818181818181818181818181818181818181818181818181818181818181818181818
181818181818181818181818181818181818181818181818181818181818181818181818
181818181818181818181818181818181818181818181818181818181818181818181818
181818181818181818181818
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717171717171717171717171717171717171717171717171717
171717171717171717171717
161616161616161616161616161616161616161616161616161616161616161616161616
161616161616161616161616161616161616161616161616161616161616161616161616
161616161616161616161616161616161616161616161616161616161616161616161616
161616161616161616161616161616161616161616161616161616161616161616161616
161616161616161616161616161616161616161616161616161616161616161616161616
161616161616161616161616161616161616161616161616161616161616161616161616
161616161616161616161616161616161616161616161616161616161616161616161616
161616161616161616161616161616161616161616161616161616161616161616161616
161616161616161616161616
151515151515151515151515151515151515151515151515151515151515151515151515
151515151515151515151515151515151515151515151515151515151515151515151515
151515151515151515151515151515151515151515151515151515151515151515151515
151515151515151515151515151515151515151515151515151515151515151515151515
151515151515151515151515151515151515151515151515151515151515151515151515
151515151515151515151515151515151515151515151515151515151515151515151515
151515151515151515151515151515151515151515151515151515151515151515151515
151515151515151515151515151515151515151515151515151515151515151515151515
151515151515151515151515
141414141414141414141414141414141414141414141414141414141414141414141414
141414141414141414141414141414141414141414141414141414141414141414141414
141414141414141414141414141414141414141414141414141414141414141414141414
141414141414141414141414141414141414141414141414141414141414141414141414
141414141414141414141414141414141414141414141414141414141414141414141414
141414141414141414141414141414141414141414141414141414141414141414141414
141414141414141414141414141414141414141414141414141414141414141414141414
141414141414141414141414141414141414141414141414141414141414141414141414
141414141414141414141414
131313131313131313131313131313131313131313131313131313131313131313131313
131313131313131313131313131313131313131313131313131313131313131313131313
131313131313131313131313131313131313131313131313131313131313131313131313
131313131313131313131313131313131313131313131313131313131313131313131313
131313131313131313131313131313131313131313131313131313131313131313131313
131313131313131313131313131313131313131313131313131313131313131313131313
131313131313131313131313131313131313131313131313131313131313131313131313
131313131313131313131313131313131313131313131313131313131313131313131313
131313131313131313131313
121212121212121212121212121212121212121212121212121212121212121212121212
121212121212121212121212121212121212121212121212121212121212121212121212
121212121212121212121212121212121212121212121212121212121212121212121212
121212121212121212121212121212121212121212121212121212121212121212121212
121212121212121212121212121212121212121212121212121212121212121212121212
121212121212121212121212121212121212121212121212121212121212121212121212
121212121212121212121212121212121212121212121212121212121212121212121212
121212121212121212121212121212121212121212121212121212121212121212121212
121212121212121212121212
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111111111111111111111111111111111111111111111111111
111111111111111111111111
101010101010101010101010101010101010101010101010101010101010101010101010
101010101010101010101010101010101010101010101010101010101010101010101010
101010101010101010101010101010101010101010101010101010101010101010101010
101010101010101010101010101010101010101010101010101010101010101010101010
101010101010101010101010101010101010101010101010101010101010101010101010
101010101010101010101010101010101010101010101010101010101010101010101010
101010101010101010101010101010101010101010101010101010101010101010101010
101010101010101010101010101010101010101010101010101010101010101010101010
101010101010101010101010
0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F
0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F
0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F
0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F
0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F
0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F
0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F
0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F0F
0F0F0F0F0F0F0F0F0F0F0F0F
0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E
0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E
0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E
0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E
0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E
0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E
0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E
0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E0E
0E0E0E0E0E0E0E0E0E0E0E0E
0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D
0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D
0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D
0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D
0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D
0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D
0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D
0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D
0D0D0D0D0D0D0D0D0D0D0D0D
0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C
0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C
0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C
0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C
0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C
0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C
0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C
0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C0C
0C0C0C0C0C0C0C0C0C0C0C0C
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B0B
0B0B0B0B0B0B0B0B0B0B0B0B
0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A
0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A
0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A
0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A
0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A
0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A
0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A
0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A0A
0A0A0A0A0A0A0A0A0A0A0A0A
090909090909090909090909090909090909090909090909090909090909090909090909
090909090909090909090909090909090909090909090909090909090909090909090909
090909090909090909090909090909090909090909090909090909090909090909090909
090909090909090909090909090909090909090909090909090909090909090909090909
090909090909090909090909090909090909090909090909090909090909090909090909
090909090909090909090909090909090909090909090909090909090909090909090909
090909090909090909090909090909090909090909090909090909090909090909090909
090909090909090909090909090909090909090909090909090909090909090909090909
090909090909090909090909
080808080808080808080808080808080808080808080808080808080808080808080808
080808080808080808080808080808080808080808080808080808080808080808080808
080808080808080808080808080808080808080808080808080808080808080808080808
080808080808080808080808080808080808080808080808080808080808080808080808
080808080808080808080808080808080808080808080808080808080808080808080808
080808080808080808080808080808080808080808080808080808080808080808080808
080808080808080808080808080808080808080808080808080808080808080808080808
080808080808080808080808080808080808080808080808080808080808080808080808
080808080808080808080808
070707070707070707070707070707070707070707070707070707070707070707070707
070707070707070707070707070707070707070707070707070707070707070707070707
070707070707070707070707070707070707070707070707070707070707070707070707
070707070707070707070707070707070707070707070707070707070707070707070707
070707070707070707070707070707070707070707070707070707070707070707070707
070707070707070707070707070707070707070707070707070707070707070707070707
070707070707070707070707070707070707070707070707070707070707070707070707
070707070707070707070707070707070707070707070707070707070707070707070707
070707070707070707070707
060606060606060606060606060606060606060606060606060606060606060606060606
060606060606060606060606060606060606060606060606060606060606060606060606
060606060606060606060606060606060606060606060606060606060606060606060606
060606060606060606060606060606060606060606060606060606060606060606060606
060606060606060606060606060606060606060606060606060606060606060606060606
060606060606060606060606060606060606060606060606060606060606060606060606
060606060606060606060606060606060606060606060606060606060606060606060606
060606060606060606060606060606060606060606060606060606060606060606060606
060606060606060606060606
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505050505050505050505050505050505050505050505050505
050505050505050505050505
040404040404040404040404040404040404040404040404040404040404040404040404
040404040404040404040404040404040404040404040404040404040404040404040404
040404040404040404040404040404040404040404040404040404040404040404040404
040404040404040404040404040404040404040404040404040404040404040404040404
040404040404040404040404040404040404040404040404040404040404040404040404
040404040404040404040404040404040404040404040404040404040404040404040404
040404040404040404040404040404040404040404040404040404040404040404040404
040404040404040404040404040404040404040404040404040404040404040404040404
040404040404040404040404
030303030303030303030303030303030303030303030303030303030303030303030303
030303030303030303030303030303030303030303030303030303030303030303030303
030303030303030303030303030303030303030303030303030303030303030303030303
030303030303030303030303030303030303030303030303030303030303030303030303
030303030303030303030303030303030303030303030303030303030303030303030303
030303030303030303030303030303030303030303030303030303030303030303030303
030303030303030303030303030303030303030303030303030303030303030303030303
030303030303030303030303030303030303030303030303030303030303030303030303
030303030303030303030303
020202020202020202020202020202020202020202020202020202020202020202020202
020202020202020202020202020202020202020202020202020202020202020202020202
020202020202020202020202020202020202020202020202020202020202020202020202
020202020202020202020202020202020202020202020202020202020202020202020202
020202020202020202020202020202020202020202020202020202020202020202020202
020202020202020202020202020202020202020202020202020202020202020202020202
020202020202020202020202020202020202020202020202020202020202020202020202
020202020202020202020202020202020202020202020202020202020202020202020202
020202020202020202020202
010101010101010101010101010101010101010101010101010101010101010101010101
010101010101010101010101010101010101010101010101010101010101010101010101
010101010101010101010101010101010101010101010101010101010101010101010101
010101010101010101010101010101010101010101010101010101010101010101010101
010101010101010101010101010101010101010101010101010101010101010101010101
010101010101010101010101010101010101010101010101010101010101010101010101
010101010101010101010101010101010101010101010101010101010101010101010101
010101010101010101010101010101010101010101010101010101010101010101010101
010101010101010101010101
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000
pop
P
% End of image
0 g
gsave
.5 .09615 -65.5 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(0) show
68.000 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 4.71154 -65.5 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
1.000 1.000 1.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(1) show
68.000 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[24]:=",
  ImageSize->{57.5625, 287.812},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40000i00017b000`400?l00000o`00003o>@3oool0
03T0oooo000i0?ooo`00>@3oool003T0oooo000i0?ooo`006P3oool2000001d0oooo000I0?ooo`04
0000003oool0oooo000001`0oooo000I0?ooo`040000003oool0oooo000001`0oooo000I0?ooo`04
0000003oool0oooo000001`0oooo00000`3oool0o_kn0?knoP0F0?knoP040000003no_h0o_kn0000
01/0o_kn0@3oool000030?ooo`3moOd0oOgm01H0oOgm00@000000?gmo@3moOd000006`3moOd10?oo
o`0000<0oooo0?clo03lo?`05`3lo?`2000001`0o?cl0@3oool000030?ooo`3kno/0no_k03D0no_k
0@3oool000030?ooo`3jn_X0n_[j03D0n_[j0@3oool000030?ooo`3inOT0nOWi03D0nOWi0@3oool0
00030?ooo`3hn?P0n?Sh03D0n?Sh0@3oool000030?ooo`3gmoL0moOg03D0moOg0@3oool000030?oo
o`3fm_H0m_Kf03D0m_Kf0@3oool000030?ooo`3emOD0mOGe03D0mOGe0@3oool000030?ooo`3dm?@0
m?Cd03D0m?Cd0@3oool000030?ooo`3dm?@0m?Cd03D0m?Cd0@3oool000030?ooo`3clo<0lo?c03D0
lo?c0@3oool000030?ooo`3bl_80l_;b03D0l_;b0@3oool000030?ooo`3`l?00l?3`03D0l?3`0@3o
ool000030?ooo`3_knl0kno_03D0kno_0@3oool000030?ooo`3^k^h0k^k^03D0k^k^0@3oool00003
0?ooo`3^k^h0k^k^03D0k^k^0@3oool000030?ooo`3]kNd0kNg]03D0kNg]0@3oool000030?ooo`3/
k>`0k>c/03D0k>c/0@3oool000030?ooo`3[jn/0jn_[03D0jn_[0@3oool000030?ooo`3Zj^X0j^[Z
03D0j^[Z0@3oool000030?ooo`3YjNT0jNWY03D0jNWY0@3oool000030?ooo`3Xj>P0j>SX03D0j>SX
0@3oool000030?ooo`3WinL0inOW03D0inOW0@3oool000030?ooo`3Vi^H0i^KV03D0i^KV0@3oool0
00030?ooo`3UiND0iNGU03D0iNGU0@3oool000030?ooo`3Ti>@0i>CT03D0i>CT0@3oool000030?oo
o`3Shn<0hn?S03D0hn?S0@3oool000030?ooo`3Rh^80h^;R03D0h^;R0@3oool000030?ooo`3Rh^80
h^;R03D0h^;R0@3oool000030?ooo`3QhN40hN7Q03D0hN7Q0@3oool000030?ooo`3Ogml0gmoO03D0
gmoO0@3oool000030?ooo`3Ng]h0g]kN03D0g]kN0@3oool000030?ooo`3MgMd0gMgM03D0gMgM0@3o
ool000030?ooo`3Lg=`0g=cL03D0g=cL0@3oool000030?ooo`3Lg=`0g=cL03D0g=cL0@3oool00003
0?ooo`3Kfm/0fm_K03D0fm_K0@3oool000030?ooo`3Jf]X0f][J03D0f][J0@3oool000030?ooo`3I
fMT0fMWI03D0fMWI0@3oool000030?ooo`3Hf=P0f=SH03D0f=SH0@3oool000030?ooo`3GemL0emOG
03D0emOG0@3oool000030?ooo`3Fe]H0e]KF03D0e]KF0@3oool000030?ooo`3EeMD0eMGE03D0eMGE
0@3oool000030?ooo`3De=@0e=CD03D0e=CD0@3oool000030?ooo`3Cdm<0dm?C03D0dm?C0@3oool0
00030?ooo`3Bd]80d];B03D0d];B0@3oool000030?ooo`3AdM40dM7A03D0dM7A0@3oool000030?oo
o`3@d=00d=3@03D0d=3@0@3oool000030?ooo`3@d=00d=3@03D0d=3@0@3oool000030?ooo`3?cll0
clo?03D0clo?0@3oool000030?ooo`3=cLd0cLg=03D0cLg=0@3oool000030?ooo`3<c<`0c<c<03D0
c<c<0@3oool000030?ooo`3;bl/0bl_;03D0bl_;0@3oool000030?ooo`3:b/X0b/[:03D0b/[:0@3o
ool000030?ooo`3:b/X0b/[:03D0b/[:0@3oool000030?ooo`39bLT0bLW903D0bLW90@3oool00003
0?ooo`38b<P0b<S803D0b<S80@3oool000030?ooo`37alL0alO703D0alO70@3oool000030?ooo`36
a/H0a/K603D0a/K60@3oool000030?ooo`34a<@0a<C403D0a<C40@3oool000030?ooo`34a<@0a<C4
03D0a<C40@3oool000030?ooo`33`l<0`l?303D0`l?30@3oool000030?ooo`32`/80`/;203D0`/;2
0@3oool000030?ooo`31`L40`L7103D0`L710@3oool000030?ooo`30`<00`<3003D0`<300@3oool0
00030?ooo`2o_kl0_kno03D0_kno0@3oool000030?ooo`2n_[h0_[jn03D0_[jn0@3oool000030?oo
o`2n_[h0_[jn03D0_[jn0@3oool000030?ooo`2m_Kd0_Kfm03D0_Kfm0@3oool000030?ooo`2k^k/0
^k^k03D0^k^k0@3oool000030?ooo`2j^[X0^[Zj03D0^[Zj0@3oool000030?ooo`2i^KT0^KVi03D0
^KVi0@3oool000030?ooo`2h^;P0^;Rh03D0^;Rh0@3oool000030?ooo`2h^;P0^;Rh03D0^;Rh0@3o
ool000030?ooo`2g]kL0]kNg03D0]kNg0@3oool000030?ooo`2f][H0][Jf03D0][Jf0@3oool00003
0?ooo`2e]KD0]KFe03D0]KFe0@3oool000030?ooo`2d];@0];Bd03D0];Bd0@3oool000030?ooo`2b
/[80/[:b03D0/[:b0@3oool000030?ooo`2b/[80/[:b03D0/[:b0@3oool000030?ooo`2a/K40/K6a
03D0/K6a0@3oool000030?ooo`2`/;00/;2`03D0/;2`0@3oool000030?ooo`2_[jl0[jn_03D0[jn_
0@3oool000030?ooo`2^[Zh0[Zj^03D0[Zj^0@3oool000030?ooo`2][Jd0[Jf]03D0[Jf]0@3oool0
00030?ooo`2/[:`0[:b/03D0[:b/0@3oool000030?ooo`2/[:`0[:b/03D0[:b/0@3oool000030?oo
o`2ZZZX0ZZZZ03D0ZZZZ0@3oool000030?ooo`2YZJT0ZJVY03D0ZJVY0@3oool000030?ooo`2XZ:P0
Z:RX03D0Z:RX0@3oool000030?ooo`2WYjL0YjNW03D0YjNW0@3oool000030?ooo`2VYZH0YZJV03D0
YZJV0@3oool000030?ooo`2VYZH0YZJV03D0YZJV0@3oool000030?ooo`2UYJD0YJFU03D0YJFU0@3o
ool000030?ooo`2TY:@0Y:BT03D0Y:BT0@3oool000030?ooo`2SXj<0Xj>S03D0Xj>S0@3oool00003
0?ooo`2RXZ80XZ:R03D0XZ:R0@3oool000030?ooo`2PX:00X:2P03D0X:2P0@3oool000030?ooo`2P
X:00X:2P03D0X:2P0@3oool000030?ooo`2OWil0WinO03D0WinO0@3oool000030?ooo`2NWYh0WYjN
03D0WYjN0@3oool000030?ooo`2MWId0WIfM03D0WIfM0@3oool000030?ooo`2LW9`0W9bL03D0W9bL
0@3oool000030?ooo`2KVi/0Vi^K03D0Vi^K0@3oool000030?ooo`2JVYX0VYZJ03D0VYZJ0@3oool0
00030?ooo`2JVYX0VYZJ03D0VYZJ0@3oool000030?ooo`2HV9P0V9RH03D0V9RH0@3oool000030?oo
o`2GUiL0UiNG03D0UiNG0@3oool000030?ooo`2FUYH0UYJF03D0UYJF0@3oool000030?ooo`2EUID0
UIFE03D0UIFE0@3oool000030?ooo`2DU9@0U9BD03D0U9BD0@3oool000030?ooo`2DU9@0U9BD03D0
U9BD0@3oool000030?ooo`2CTi<0Ti>C03D0Ti>C0@3oool000030?ooo`2BTY80TY:B03D0TY:B0@3o
ool000030?ooo`2ATI40TI6A03D0TI6A0@3oool000030?ooo`2?Shl0Shn?03D0Shn?0@3oool00003
0?ooo`2>SXh0SXj>03D0SXj>0@3oool000030?ooo`2>SXh0SXj>03D0SXj>0@3oool000030?ooo`2=
SHd0SHf=03D0SHf=0@3oool000030?ooo`2<S8`0S8b<03D0S8b<0@3oool000030?ooo`2;Rh/0Rh^;
03D0Rh^;0@3oool000030?ooo`2:RXX0RXZ:03D0RXZ:0@3oool000030?ooo`29RHT0RHV903D0RHV9
0@3oool000030?ooo`28R8P0R8R803D0R8R80@3oool000030?ooo`27QhL0QhN703D0QhN70@3oool0
00030?ooo`26QXH0QXJ603D0QXJ60@3oool000030?ooo`25QHD0QHF503D0QHF50@3oool000030?oo
o`24Q8@0Q8B403D0Q8B40@3oool000030?ooo`23Ph<0Ph>303D0Ph>30@3oool000030?ooo`22PX80
PX:203D0PX:20@3oool000030?ooo`22PX80PX:203D0PX:20@3oool000030?ooo`21PH40PH6103D0
PH610@3oool000030?ooo`20P800P82003D0P8200@3oool000030?ooo`1oOgl0Ogmo03D0Ogmo0@3o
ool000030?ooo`1mOGd0OGem03D0OGem0@3oool000030?ooo`1mOGd0OGem03D0OGem0@3oool00003
0?ooo`1lO7`0O7al03D0O7al0@3oool000030?ooo`1kNg/0Ng]k03D0Ng]k0@3oool000030?ooo`1j
NWX0NWYj03D0NWYj0@3oool000030?ooo`1iNGT0NGUi03D0NGUi0@3oool000030?ooo`1hN7P0N7Qh
03D0N7Qh0@3oool000030?ooo`1gMgL0MgMg03D0MgMg0@3oool000030?ooo`1gMgL0MgMg03D0MgMg
0@3oool000030?ooo`1eMGD0MGEe03D0MGEe0@3oool000030?ooo`1dM7@0M7Ad03D0M7Ad0@3oool0
00030?ooo`1cLg<0Lg=c03D0Lg=c0@3oool000030?ooo`1bLW80LW9b03D0LW9b0@3oool000030?oo
o`1aLG40LG5a03D0LG5a0@3oool000030?ooo`1aLG40LG5a03D0LG5a0@3oool000030?ooo`1`L700
L71`03D0L71`0@3oool000030?ooo`1_Kfl0Kfm_03D0Kfm_0@3oool000030?ooo`1^KVh0KVi^03D0
KVi^0@3oool000030?ooo`1/K6`0K6a/03D0K6a/0@3oool000030?ooo`1[Jf/0Jf][03D0Jf][0@3o
ool000030?ooo`1[Jf/0Jf][03D0Jf][0@3oool000030?ooo`1ZJVX0JVYZ03D0JVYZ0@3oool00003
0?ooo`1YJFT0JFUY03D0JFUY0@3oool000030?ooo`1XJ6P0J6QX03D0J6QX0@3oool000030?ooo`1W
IfL0IfMW03D0IfMW0@3oool000030?ooo`1VIVH0IVIV03D0IVIV0@3oool000030?ooo`1UIFD0IFEU
03D0IFEU0@3oool000030?ooo`1UIFD0IFEU03D0IFEU0@3oool000030?ooo`1SHf<0Hf=S03D0Hf=S
0@3oool000030?ooo`1RHV80HV9R03D0HV9R0@3oool000030?ooo`1QHF40HF5Q03D0HF5Q0@3oool0
00030?ooo`1PH600H61P03D0H61P0@3oool000030?ooo`1OGel0GemO03D0GemO0@3oool000030?oo
o`1OGel0GemO03D0GemO0@3oool000030?ooo`1NGUh0GUiN03D0GUiN0@3oool000030?ooo`1MGEd0
GEeM03D0GEeM0@3oool000030?ooo`1LG5`0G5aL03D0G5aL0@3oool000030?ooo`1JFUX0FUYJ03D0
FUYJ0@3oool000030?ooo`1IFET0FEUI03D0FEUI0@3oool000030?ooo`1IFET0FEUI03D0FEUI0@3o
ool000030?ooo`1HF5P0F5QH03D0F5QH0@3oool000030?ooo`1GEeL0EeMG03D0EeMG0@3oool00003
0?ooo`1FEUH0EUIF03D0EUIF0@3oool000030?ooo`1EEED0EEEE03D0EEEE0@3oool000030?ooo`1D
E5@0E5AD03D0E5AD0@3oool000030?ooo`1CDe<0De=C03D0De=C0@3oool000030?ooo`1BDU80DU9B
03D0DU9B0@3oool000030?ooo`1ADE40DE5A03D0DE5A0@3oool000030?ooo`1@D500D51@03D0D51@
0@3oool000030?ooo`1?Cdl0Cdm?03D0Cdm?0@3oool000030?ooo`1>CTh0CTi>03D0CTi>0@3oool0
00030?ooo`1=CDd0CDe=03D0CDe=0@3oool000030?ooo`1=CDd0CDe=03D0CDe=0@3oool000030?oo
o`1<C4`0C4a<03D0C4a<0@3oool000030?ooo`1;Bd/0Bd];03D0Bd];0@3oool000030?ooo`1:BTX0
BTY:03D0BTY:0@3oool000030?ooo`18B4P0B4Q803D0B4Q80@3oool000030?ooo`17AdL0AdM703D0
AdM70@3oool000030?ooo`17AdL0AdM703D0AdM70@3oool000030?ooo`16ATH0ATI603D0ATI60@3o
ool000030?ooo`15ADD0ADE503D0ADE50@3oool000030?ooo`14A4@0A4A403D0A4A40@3oool00003
0?ooo`13@d<0@d=303D0@d=30@3oool000030?ooo`12@T80@T9203D0@T920@3oool000030?ooo`11
@D40@D5103D0@D510@3oool000030?ooo`10@400@41003D0@4100@3oool000030?ooo`0o?cl0?clo
03D0?clo0@3oool000030?ooo`0n?Sh0?Shn03D0?Shn0@3oool000030?ooo`0m?Cd0?Cdm03D0?Cdm
0@3oool000030?ooo`0l?3`0?3`l03D0?3`l0@3oool000030?ooo`0k>c/0>c/k03D0>c/k0@3oool0
00030?ooo`0k>c/0>c/k03D0>c/k0@3oool000030?ooo`0j>SX0>SXj03D0>SXj0@3oool000030?oo
o`0i>CT0>CTi03D0>CTi0@3oool000030?ooo`0g=cL0=cLg03D0=cLg0@3oool000030?ooo`0f=SH0
=SHf03D0=SHf0@3oool000030?ooo`0e=CD0=CDe03D0=CDe0@3oool000030?ooo`0e=CD0=CDe03D0
=CDe0@3oool000030?ooo`0d=3@0=3@d03D0=3@d0@3oool000030?ooo`0c<c<0<c<c03D0<c<c0@3o
ool000030?ooo`0b<S80<S8b03D0<S8b0@3oool000030?ooo`0a<C40<C4a03D0<C4a0@3oool00003
0?ooo`0`<300<30`03D0<30`0@3oool000030?ooo`0_;bl0;bl_03D0;bl_0@3oool000030?ooo`0^
;Rh0;Rh^03D0;Rh^0@3oool000030?ooo`0];Bd0;Bd]03D0;Bd]0@3oool000030?ooo`0/;2`0;2`/
03D0;2`/0@3oool000030?ooo`0[:b/0:b/[03D0:b/[0@3oool000030?ooo`0Z:RX0:RXZ03D0:RXZ
0@3oool000030?ooo`0Y:BT0:BTY03D0:BTY0@3oool000030?ooo`0Y:BT0:BTY03D0:BTY0@3oool0
00030?ooo`0X:2P0:2PX03D0:2PX0@3oool000030?ooo`0W9bL09bLW03D09bLW0@3oool000030?oo
o`0U9BD09BDU03D09BDU0@3oool000030?ooo`0T92@092@T03D092@T0@3oool000030?ooo`0S8b<0
8b<S03D08b<S0@3oool000030?ooo`0S8b<08b<S03D08b<S0@3oool000030?ooo`0R8R808R8R03D0
8R8R0@3oool000030?ooo`0Q8B408B4Q03D08B4Q0@3oool000030?ooo`0P8200820P03D0820P0@3o
ool000030?ooo`0O7al07alO03D07alO0@3oool000030?ooo`0N7Qh07QhN03D07QhN0@3oool00003
0?ooo`0M7Ad07AdM03D07AdM0@3oool000030?ooo`0L71`071`L03D071`L0@3oool000030?ooo`0K
6a/06a/K03D06a/K0@3oool000030?ooo`0J6QX06QXJ03D06QXJ0@3oool000030?ooo`0I6AT06ATI
03D06ATI0@3oool000030?ooo`0H61P061PH03D061PH0@3oool000030?ooo`0G5aL05aLG03D05aLG
0@3oool000030?ooo`0G5aL05aLG03D05aLG0@3oool000030?ooo`0F5QH05QHF03D05QHF0@3oool0
00030?ooo`0D51@051@D03D051@D0@3oool000030?ooo`0C4a<04a<C03D04a<C0@3oool000030?oo
o`0B4Q804Q8B03D04Q8B0@3oool000030?ooo`0A4A404A4A03D04A4A0@3oool000030?ooo`0A4A40
4A4A03D04A4A0@3oool000030?ooo`0@4100410@03D0410@0@3oool000030?ooo`0?3`l03`l?03D0
3`l?0@3oool000030?ooo`0>3Ph03Ph>03D03Ph>0@3oool000030?ooo`0=3@d03@d=03D03@d=0@3o
ool000030?ooo`0<30`030`<03D030`<0@3oool000030?ooo`0;2`/02`/;03D02`/;0@3oool00003
0?ooo`0:2PX02PX:01L02PX:0`3ooolK00X:2P40oooo00000`3oool02@T900T92@0H00T92@030?oo
o`092@T02@T901X02@T90@3oool000030?ooo`0820P020P801P020P800<0oooo00P8200820P06P08
20P10?ooo`0000<0oooo00L71`071`L060071`L00`3oool01`L700L71`0J00L71`40oooo00000`3o
ool01PH600H61P0H00H61P030?ooo`061PH01PH601X01PH60@3oool000030?ooo`051@D01@D501L0
1@D50P3ooolL00D51@40oooo00000`3oool01@D500D51@0H00D51@030?ooo`051@D01@D501X01@D5
0@3oool000030?ooo`0410@010@403D010@40@3oool000030?ooo`020P800P8203D00P820@3oool0
00030?ooo`010@400@4103D00@410@3oool000030?ooo`000000000003D000000@3oool000030?oo
o`000000000003D000000@3oool003T0oooo000i0?ooo`00>@3oool003T0oooo000i0?ooo`00>@3o
ool003T0oooo000i0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 56.5625}, {286.812, 0}} -> {-0.0200052, -0.02736, \
0.0183869, 0.00367739}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  DensityGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[24]="]
}, Open  ]],

Cell["\<\
Diverse color maps (linear and exponential), some of them handle \
separately values close to 1/2 or 0 so that white is used where due. \
\>", \
"Text"],

Cell[BoxData[{
    \(lincolormap[x_] := 
      Which[x < 1/2, RGBColor[2  x, 2  x, 1], x > 1/2, 
        RGBColor[1, 2 - 2  x, 2 - 2  x], True, White]\), "\n", 
    \(expcolormap[x_] := 
      Which[x < 1/2, 
        RGBColor[Exp[10 \((x - 1/2)\)], Exp[10 \((x - 1/2)\)], 1], x > 1/2, 
        RGBColor[1, Exp[\(-10\) \((x - 1/2)\)], Exp[\(-10\) \((x - 1/2)\)]], 
        True, White]\), "\n", 
    \(expcolormap2[x_] := 
      Which[x > 0.02, RGBColor[1, Exp[\(-5.5\)\ x], Exp[\(-5.5\)\ x]], True, 
        White]\), "\n", 
    \(expcolormapwhite0[x_] := 
      Which[x < 0.499, 
        RGBColor[Exp[10 \((x - 1/2)\)], Exp[10 \((x - 1/2)\)], 1], x >  .501, 
        RGBColor[1, Exp[\(-10\) \((x - 1/2)\)], Exp[\(-10\) \((x - 1/2)\)]], 
        True, White]\), "\n", 
    \(expcolormapwhite1[x_] := 
      Which[x < 0.49, 
        RGBColor[Exp[10 \((x - 1/2)\)], Exp[10 \((x - 1/2)\)], 1], x >  .51, 
        RGBColor[1, Exp[\(-10\) \((x - 1/2)\)], Exp[\(-10\) \((x - 1/2)\)]], 
        True, White]\)}], "Input",
  CellLabel->"In[25]:=",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Functions used for plotting (unfold me)", \
"Subtitle"]], "Text"],

Cell[BoxData[
    \(gswf[x_, p_, sx_, sp_] := \(1\/\(2\ Pi\ sx\ sp\)\) 
        Exp[\(-x\^2\)/\((2 
                 sx\^2)\)]\ Exp[\(-p\^2\)/\((2\ sp\^2)\)]\)], "Input",
  CellLabel->"In[30]:="],

Cell["\<\
Now define the direct and crossed transformed terms, gs1 and gs2 \
respectively.\
\>", "Text"],

Cell[BoxData[{
    \(\(gs1 = \((1 - P\^2)\) 
            Cos[2\ p\ l/h]\ gswf[x - xg, p - pg, sx, sp]/
              2 + \(\((1 + P)\)\^2\) 
            gswf[x - xg - l, p - pg, sx, sp]/4 + \(\((1 - P)\)\^2\) 
            gswf[x - xg + l, p - pg, sx, sp]/4;\)\), "\[IndentingNewLine]", 
    \(\(gs2 = \((1 - P\^2)\) 
            Cos[2\ p\ l/h]\ gswf[x + xg, p + pg, sx, sp]/2 + \((1 - P\^2)\) 
            gswf[x + xg - l, p + pg, sx, sp]/4 + \((1 - P\^2)\) 
            gswf[x + xg + l, p + pg, sx, sp]/4;\)\), "\[IndentingNewLine]", 
    \(\)}], "Input",
  CellLabel->"In[33]:="],

Cell["\<\
gs3 (port coherences) can be expressed with the sinuses of \
symplectic products\
\>", "Text"],

Cell[BoxData[
    \(\(gs3 = \[IndentingNewLine]\(Sqrt[
                  1 - P\^2]\/2\) \(h\/\(2\ sx\ sp\)\) \((\((1 - P)\) 
                  Sin[2 \((x\ pg - \((xg - l)\) p)\)/h] - \((1 + P)\) 
                  Sin[2 \((x\ pg - \((xg + l)\) p)\)/h])\)\ gswf[x, p, 
              h/\((2\ sp)\), h/\((2\ sx)\)] - \((1 - P)\) 
            Sin[2 \((\((x + l)\)\ pg - xg\ p)\)/h]\ gswf[x + l, p, 
              h/\((2\ sp)\), h/\((2\ sx)\)] + \((1 + P)\) 
            Sin[2 \((\((x - l)\)\ pg - xg\ p)\)/h]\ gswf[x - l, p, 
              h/\((2\ sp)\), h/\((2\ sx)\)];\)\)], "Input",
  CellLabel->"In[35]:="],

Cell["time-sheared versions", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(gs1t = gs1 /. {x -> x - p\ t/m}; gs2t = gs2 /. {x -> x - p\ t/m}; 
    gs3t = gs3 /. {x -> x - p\ t/m};\)], "Input",
  CellLabel->"In[46]:="],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(gs1t\\)\\\" is similar to existing symbol \\\
\"\\!\\(gs1\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\
\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[46]:="],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(gs2t\\)\\\" is similar to existing symbol \\\
\"\\!\\(gs2\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\
\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[46]:="],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(gs3t\\)\\\" is similar to existing symbol \\\
\"\\!\\(gs3\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\
\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[46]:="],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(General :: \\\"spell1\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[46]:="]
}, Open  ]],

Cell["\<\
time superposed gaussian state, in the expression below \"t\" is \
the time delay, also known as \"tau\"\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(gsH = \((\(r\/\(h\ t\)\) \(\((\(2\ m\)\/\(h\ t\ R\))\)\^\(1/2\)\) 
            Exp[\(-\((p - pg)\)\^2\)/\((2\ sp\^2)\) - \(\(2\ \(r\^2\) 
                        sp\^2\)\/h\^2\) \(Sin[
                        beta]\^2\) \((x - xg - \(p\ t\)\/\(2\ m\))\)\^2] 
            Cos[\(\(\(r\^2\) sp\^2\)\/h\^2\) 
                  Sin[2  beta] \((x - xg - \(p\ t\)\/\(2\ m\))\)\^2 - \
\(\(p\^2\) t\)\/\(2\ m\ h\) - Pi\/4 + beta\/2])\) /. {R \[Rule] 
            Sqrt[\((\(2\ \(r\^2\) sp\^2\)\/h\^2)\)\^2 + \((\(2\ m\)\/\(h\ \
t\))\)\^2], beta -> ArcTan[\(h\ m\)\/\(\(r\^2\) \(sp\^2\) t\)]}; 
    gsTime = gswf[x - xg, p - pg, sx, sp]/2 + 
        gswf[x - xg - p\ t/m, p - pg, sx, sp]/2 + gsH;\)], "Input",
  CellLabel->"In[36]:="],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(beta\\)\\\" is similar to existing symbol \\\
\"\\!\\(Beta\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[36]:="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(contourlineart = 
      Block[{xg = \(-8\), pg = 6, l = 5, h = 1.8, P = \(-0.5\), sp = 1, 
          sx = 1}, 
        ContourPlot[\((gs1 + gs2 + gs3)\), {x, 
            xg - l - 2\ sx, \(-xg\) + l + 2\ sx}, {p, \(-pg\) - 2\ sp, 
            pg + 2\ sp}, PlotPoints \[Rule] 200, PlotRange -> All, 
          ContourShading -> False, Contours \[Rule] 25]]\)], "Input",
  CellLabel->"In[36]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0320513 0.5 0.0600962 [
[.01923 -0.0125 -9 -9 ]
[.01923 -0.0125 9 0 ]
[.17949 -0.0125 -9 -9 ]
[.17949 -0.0125 9 0 ]
[.33974 -0.0125 -6 -9 ]
[.33974 -0.0125 6 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.66026 -0.0125 -3 -9 ]
[.66026 -0.0125 3 0 ]
[.82051 -0.0125 -6 -9 ]
[.82051 -0.0125 6 0 ]
[.98077 -0.0125 -6 -9 ]
[.98077 -0.0125 6 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .04928 -24 -4.5 ]
[-0.0125 .04928 0 4.5 ]
[-0.0125 .19952 -12 -4.5 ]
[-0.0125 .19952 0 4.5 ]
[-0.0125 .34976 -24 -4.5 ]
[-0.0125 .34976 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .65024 -18 -4.5 ]
[-0.0125 .65024 0 4.5 ]
[-0.0125 .80048 -6 -4.5 ]
[-0.0125 .80048 0 4.5 ]
[-0.0125 .95072 -18 -4.5 ]
[-0.0125 .95072 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01923 0 m
.01923 .00625 L
s
[(-15)] .01923 -0.0125 0 1 Mshowa
.17949 0 m
.17949 .00625 L
s
[(-10)] .17949 -0.0125 0 1 Mshowa
.33974 0 m
.33974 .00625 L
s
[(-5)] .33974 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.66026 0 m
.66026 .00625 L
s
[(5)] .66026 -0.0125 0 1 Mshowa
.82051 0 m
.82051 .00625 L
s
[(10)] .82051 -0.0125 0 1 Mshowa
.98077 0 m
.98077 .00625 L
s
[(15)] .98077 -0.0125 0 1 Mshowa
.125 Mabswid
.05128 0 m
.05128 .00375 L
s
.08333 0 m
.08333 .00375 L
s
.11538 0 m
.11538 .00375 L
s
.14744 0 m
.14744 .00375 L
s
.21154 0 m
.21154 .00375 L
s
.24359 0 m
.24359 .00375 L
s
.27564 0 m
.27564 .00375 L
s
.30769 0 m
.30769 .00375 L
s
.37179 0 m
.37179 .00375 L
s
.40385 0 m
.40385 .00375 L
s
.4359 0 m
.4359 .00375 L
s
.46795 0 m
.46795 .00375 L
s
.53205 0 m
.53205 .00375 L
s
.5641 0 m
.5641 .00375 L
s
.59615 0 m
.59615 .00375 L
s
.62821 0 m
.62821 .00375 L
s
.69231 0 m
.69231 .00375 L
s
.72436 0 m
.72436 .00375 L
s
.75641 0 m
.75641 .00375 L
s
.78846 0 m
.78846 .00375 L
s
.85256 0 m
.85256 .00375 L
s
.88462 0 m
.88462 .00375 L
s
.91667 0 m
.91667 .00375 L
s
.94872 0 m
.94872 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .04928 m
.00625 .04928 L
s
[(-7.5)] -0.0125 .04928 1 0 Mshowa
0 .19952 m
.00625 .19952 L
s
[(-5)] -0.0125 .19952 1 0 Mshowa
0 .34976 m
.00625 .34976 L
s
[(-2.5)] -0.0125 .34976 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .65024 m
.00625 .65024 L
s
[(2.5)] -0.0125 .65024 1 0 Mshowa
0 .80048 m
.00625 .80048 L
s
[(5)] -0.0125 .80048 1 0 Mshowa
0 .95072 m
.00625 .95072 L
s
[(7.5)] -0.0125 .95072 1 0 Mshowa
.125 Mabswid
0 .07933 m
.00375 .07933 L
s
0 .10938 m
.00375 .10938 L
s
0 .13942 m
.00375 .13942 L
s
0 .16947 m
.00375 .16947 L
s
0 .22957 m
.00375 .22957 L
s
0 .25962 m
.00375 .25962 L
s
0 .28966 m
.00375 .28966 L
s
0 .31971 m
.00375 .31971 L
s
0 .37981 m
.00375 .37981 L
s
0 .40986 m
.00375 .40986 L
s
0 .4399 m
.00375 .4399 L
s
0 .46995 m
.00375 .46995 L
s
0 .53005 m
.00375 .53005 L
s
0 .5601 m
.00375 .5601 L
s
0 .59014 m
.00375 .59014 L
s
0 .62019 m
.00375 .62019 L
s
0 .68029 m
.00375 .68029 L
s
0 .71034 m
.00375 .71034 L
s
0 .74038 m
.00375 .74038 L
s
0 .77043 m
.00375 .77043 L
s
0 .83053 m
.00375 .83053 L
s
0 .86058 m
.00375 .86058 L
s
0 .89063 m
.00375 .89063 L
s
0 .92067 m
.00375 .92067 L
s
0 .01923 m
.00375 .01923 L
s
0 .98077 m
.00375 .98077 L
s
.25 Mabswid
0 0 m
0 1 L
s
.01923 .99375 m
.01923 1 L
s
.17949 .99375 m
.17949 1 L
s
.33974 .99375 m
.33974 1 L
s
.5 .99375 m
.5 1 L
s
.66026 .99375 m
.66026 1 L
s
.82051 .99375 m
.82051 1 L
s
.98077 .99375 m
.98077 1 L
s
.125 Mabswid
.05128 .99625 m
.05128 1 L
s
.08333 .99625 m
.08333 1 L
s
.11538 .99625 m
.11538 1 L
s
.14744 .99625 m
.14744 1 L
s
.21154 .99625 m
.21154 1 L
s
.24359 .99625 m
.24359 1 L
s
.27564 .99625 m
.27564 1 L
s
.30769 .99625 m
.30769 1 L
s
.37179 .99625 m
.37179 1 L
s
.40385 .99625 m
.40385 1 L
s
.4359 .99625 m
.4359 1 L
s
.46795 .99625 m
.46795 1 L
s
.53205 .99625 m
.53205 1 L
s
.5641 .99625 m
.5641 1 L
s
.59615 .99625 m
.59615 1 L
s
.62821 .99625 m
.62821 1 L
s
.69231 .99625 m
.69231 1 L
s
.72436 .99625 m
.72436 1 L
s
.75641 .99625 m
.75641 1 L
s
.78846 .99625 m
.78846 1 L
s
.85256 .99625 m
.85256 1 L
s
.88462 .99625 m
.88462 1 L
s
.91667 .99625 m
.91667 1 L
s
.94872 .99625 m
.94872 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .04928 m
1 .04928 L
s
.99375 .19952 m
1 .19952 L
s
.99375 .34976 m
1 .34976 L
s
.99375 .5 m
1 .5 L
s
.99375 .65024 m
1 .65024 L
s
.99375 .80048 m
1 .80048 L
s
.99375 .95072 m
1 .95072 L
s
.125 Mabswid
.99625 .07933 m
1 .07933 L
s
.99625 .10938 m
1 .10938 L
s
.99625 .13942 m
1 .13942 L
s
.99625 .16947 m
1 .16947 L
s
.99625 .22957 m
1 .22957 L
s
.99625 .25962 m
1 .25962 L
s
.99625 .28966 m
1 .28966 L
s
.99625 .31971 m
1 .31971 L
s
.99625 .37981 m
1 .37981 L
s
.99625 .40986 m
1 .40986 L
s
.99625 .4399 m
1 .4399 L
s
.99625 .46995 m
1 .46995 L
s
.99625 .53005 m
1 .53005 L
s
.99625 .5601 m
1 .5601 L
s
.99625 .59014 m
1 .59014 L
s
.99625 .62019 m
1 .62019 L
s
.99625 .68029 m
1 .68029 L
s
.99625 .71034 m
1 .71034 L
s
.99625 .74038 m
1 .74038 L
s
.99625 .77043 m
1 .77043 L
s
.99625 .83053 m
1 .83053 L
s
.99625 .86058 m
1 .86058 L
s
.99625 .89063 m
1 .89063 L
s
.99625 .92067 m
1 .92067 L
s
.99625 .01923 m
1 .01923 L
s
.99625 .98077 m
1 .98077 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.5 Mabswid
.3333 .49691 m
.33482 .49758 L
.3333 .49991 L
.33292 .49758 L
.3333 .49691 L
s
.33813 .48999 m
.33866 .49275 L
.33813 .49362 L
.33644 .49275 L
.33813 .48999 L
s
.34296 .52608 m
.34369 .52658 L
.34296 .52765 L
.34275 .52658 L
.34296 .52608 L
s
.3478 .51871 m
.34789 .52174 L
.3478 .5219 L
.34614 .52174 L
.3478 .51871 L
s
.32847 .50288 m
.32863 .50725 L
.32847 .50746 L
.32652 .50725 L
.32847 .50288 L
s
.3333 .49537 m
.33609 .49758 L
.3333 .50159 L
.33192 .49758 L
.3333 .49537 L
s
.33813 .48846 m
.3396 .49275 L
.33813 .49501 L
.33527 .49275 L
.33813 .48846 L
s
.34296 .4822 m
.34568 .48309 L
.343 .48792 L
.34296 .48797 L
.33859 .48792 L
.34232 .48309 L
.34296 .4822 L
s
.3478 .47712 m
.34832 .47826 L
.3478 .47961 L
.34681 .47826 L
.3478 .47712 L
s
.34296 .52402 m
.34532 .52658 L
.34296 .52988 L
.34145 .52658 L
.34296 .52402 L
s
.3478 .51694 m
.34897 .52174 L
.3478 .52349 L
.34466 .52174 L
.3478 .51694 L
s
.35263 .51059 m
.35524 .51208 L
.35263 .51654 L
.35159 .51208 L
.35263 .51059 L
s
.32364 .50974 m
.32528 .51208 L
.32364 .51397 L
.32257 .51208 L
.32364 .50974 L
s
.35746 .50511 m
.35814 .50725 L
.35746 .50862 L
.35575 .50725 L
.35746 .50511 L
s
.3333 .4943 m
.33691 .49758 L
.33348 .50242 L
.3333 .50267 L
.32959 .50725 L
.32847 .50876 L
.32515 .50725 L
.32793 .50242 L
.32847 .50155 L
.33118 .49758 L
.3333 .4943 L
s
.34296 .48108 m
.34671 .48309 L
.34368 .48792 L
.34296 .48904 L
.34031 .49275 L
.33813 .49603 L
.33446 .49275 L
.3378 .48792 L
.33813 .48744 L
.34151 .48309 L
.34296 .48108 L
s
.3478 .47526 m
.34954 .47826 L
.3478 .48146 L
.34544 .47826 L
.3478 .47526 L
s
.3333 .53872 m
.33418 .54107 L
.3333 .54199 L
.33249 .54107 L
.3333 .53872 L
s
.33813 .5302 m
.34274 .53141 L
.33882 .53624 L
.33813 .53713 L
.33472 .53624 L
.33741 .53141 L
.33813 .5302 L
s
.34296 .52282 m
.34625 .52658 L
.34296 .53115 L
.3406 .52658 L
.34296 .52282 L
s
.35263 .50942 m
.35625 .51208 L
.35318 .51691 L
.35263 .51774 L
.34975 .52174 L
.3478 .52461 L
.34377 .52174 L
.34711 .51691 L
.3478 .5159 L
.35075 .51208 L
.35263 .50942 L
s
.32364 .5082 m
.32641 .51208 L
.32364 .51552 L
.3215 .51208 L
.32364 .5082 L
s
.35746 .50337 m
.35924 .50725 L
.35746 .51031 L
.35449 .50725 L
.35746 .50337 L
s
.3333 .49341 m
.33758 .49758 L
.33407 .50242 L
.3333 .5035 L
.33032 .50725 L
.32847 .50976 L
.32426 .50725 L
.32729 .50242 L
.32847 .50057 L
.33055 .49758 L
.3333 .49341 L
s
.34296 .48016 m
.34748 .48309 L
.34427 .48792 L
.34296 .48992 L
.34092 .49275 L
.33813 .49688 L
.3338 .49275 L
.33722 .48792 L
.33813 .48662 L
.34085 .48309 L
.34296 .48016 L
s
.3478 .47407 m
.35039 .47826 L
.3478 .48263 L
.34457 .47826 L
.3478 .47407 L
s
.35263 .46869 m
.35326 .47342 L
.35263 .4746 L
.34841 .47342 L
.35263 .46869 L
s
.32364 .4684 m
.32539 .46859 L
.32364 .47146 L
.32352 .46859 L
.32364 .4684 L
s
.32847 .46178 m
.32908 .46376 L
.32847 .46487 L
.3272 .46376 L
.32847 .46178 L
s
.3333 .53678 m
.33563 .54107 L
.3333 .54389 L
.33105 .54107 L
.3333 .53678 L
s
.34296 .52186 m
.347 .52658 L
.34348 .53141 L
.34296 .5325 L
.33967 .53624 L
.33813 .53829 L
.33365 .53624 L
.3367 .53141 L
.33813 .52911 L
.3399 .52658 L
.34296 .52186 L
s
.31881 .51521 m
.32339 .51691 L
.319 .52174 L
.31881 .52197 L
.3159 .52174 L
.31789 .51691 L
.31881 .51521 L
s
.35263 .50846 m
.35705 .51208 L
.35382 .51691 L
.35263 .51868 L
.35042 .52174 L
.3478 .52555 L
.34305 .52174 L
.34651 .51691 L
.3478 .51504 L
.35007 .51208 L
.35263 .50846 L
s
.36229 .49656 m
.36548 .49758 L
.36306 .50242 L
.36229 .50373 L
.36007 .50725 L
.35746 .51149 L
.35364 .50725 L
.35731 .50242 L
.35746 .50207 L
.36148 .49758 L
.36229 .49656 L
s
.31397 .48246 m
.31511 .48309 L
.31397 .48423 L
.31374 .48309 L
.31397 .48246 L
s
.31881 .47374 m
.31977 .47826 L
.31881 .47958 L
.31632 .47826 L
.31881 .47374 L
s
.35263 .46738 m
.35669 .46859 L
.35405 .47342 L
.35263 .47586 L
.35109 .47826 L
.34839 .48309 L
.3478 .48377 L
.34481 .48792 L
.34296 .49069 L
.34147 .49275 L
.33818 .49758 L
.33813 .49764 L
.3346 .50242 L
.3333 .50425 L
.33094 .50725 L
.32847 .51062 L
.32722 .51208 L
.32364 .51665 L
.32068 .51208 L
.32345 .50725 L
.32364 .507 L
.32671 .50242 L
.32847 .49973 L
.32998 .49758 L
.33317 .49275 L
.3333 .49261 L
.3367 .48792 L
.33813 .48588 L
.34027 .48309 L
.34296 .47935 L
.34387 .47826 L
.34756 .47342 L
.3478 .47298 L
.35166 .46859 L
.35263 .46738 L
s
.32364 .46649 m
.32703 .46859 L
.3237 .47342 L
.32364 .47352 L
.31903 .47342 L
.32226 .46859 L
.32364 .46649 L
s
.35746 .46279 m
.35858 .46376 L
.35746 .46714 L
.35646 .46376 L
.35746 .46279 L
s
.32847 .45975 m
.33037 .46376 L
.32847 .46676 L
.3257 .46376 L
.32847 .45975 L
s
.3333 .45356 m
.33637 .4541 L
.3337 .45893 L
.3333 .45959 L
.32917 .45893 L
.3329 .4541 L
.3333 .45356 L
s
.33813 .44859 m
.33872 .44927 L
.33813 .45113 L
.33751 .44927 L
.33813 .44859 L
s
.32847 .54377 m
.33261 .5459 L
.32847 .55039 L
.32737 .5459 L
.32847 .54377 L
s
.31397 .52262 m
.3153 .52658 L
.31397 .52787 L
.31253 .52658 L
.31397 .52262 L
s
.36229 .49535 m
.36667 .49758 L
.36385 .50242 L
.36229 .50495 L
.36079 .50725 L
.35786 .51208 L
.35746 .51257 L
.35441 .51691 L
.35263 .51952 L
.35102 .52174 L
.3478 .52638 L
.34765 .52658 L
.34409 .53141 L
.34296 .53365 L
.34039 .53624 L
.33813 .53927 L
.33658 .54107 L
.3333 .5452 L
.33008 .54107 L
.33228 .53624 L
.3333 .5356 L
.33607 .53141 L
.33813 .5282 L
.33928 .52658 L
.34206 .52174 L
.34296 .52083 L
.34597 .51691 L
.3478 .51427 L
.34947 .51208 L
.35263 .50763 L
.35294 .50725 L
.35664 .50242 L
.35746 .50065 L
.36057 .49758 L
.36229 .49535 L
s
.36712 .49013 m
.36908 .49275 L
.36712 .4968 L
.3648 .49275 L
.36712 .49013 L
s
.31397 .47991 m
.31696 .48309 L
.31397 .48685 L
.31218 .48309 L
.31397 .47991 L
s
.32364 .46519 m
.32801 .46859 L
.32451 .47342 L
.32364 .47469 L
.32079 .47826 L
.31881 .48101 L
.31505 .47826 L
.31805 .47342 L
.31881 .47227 L
.32135 .46859 L
.32364 .46519 L
s
.35746 .46099 m
.36007 .46376 L
.35766 .46859 L
.35746 .46894 L
.35474 .47342 L
.35263 .47688 L
.35171 .47826 L
.34935 .48309 L
.3478 .48487 L
.3453 .48792 L
.34296 .49139 L
.34197 .49275 L
.33895 .49758 L
.33813 .49844 L
.33509 .50242 L
.3333 .50493 L
.33149 .50725 L
.32847 .5114 L
.3279 .51208 L
.32413 .51691 L
.32364 .5178 L
.32002 .52174 L
.31881 .52326 L
.31444 .52174 L
.31707 .51691 L
.31881 .51393 L
.31997 .51208 L
.3224 .50725 L
.32364 .50569 L
.32618 .50242 L
.32847 .49897 L
.32945 .49758 L
.33243 .49275 L
.3333 .49178 L
.33622 .48792 L
.33813 .4852 L
.33974 .48309 L
.34296 .47861 L
.34325 .47826 L
.34695 .47342 L
.3478 .4719 L
.35087 .46859 L
.35263 .46633 L
.35504 .46376 L
.35746 .46099 L
s
.3333 .45211 m
.3377 .4541 L
.33457 .45893 L
.3333 .46093 L
.33127 .46376 L
.32847 .468 L
.32471 .46376 L
.32812 .45893 L
.32847 .45815 L
.33183 .4541 L
.3333 .45211 L
s
.33813 .4463 m
.34043 .44927 L
.33813 .45346 L
.33577 .44927 L
.33813 .4463 L
s
.34296 .44188 m
.34309 .44443 L
.34296 .44473 L
.34017 .44443 L
.34296 .44188 L
s
.3478 .56027 m
.35074 .5604 L
.3478 .56377 L
.34773 .5604 L
.3478 .56027 L
s
.35263 .55239 m
.35476 .55557 L
.35263 .55847 L
.3508 .55557 L
.35263 .55239 L
s
.32364 .55096 m
.32458 .55557 L
.32364 .55646 L
.3221 .55557 L
.32364 .55096 L
s
.35746 .54526 m
.3619 .5459 L
.35849 .55073 L
.35746 .55221 L
.35385 .55073 L
.35704 .5459 L
.35746 .54526 L
s
.36229 .53874 m
.36498 .54107 L
.36229 .54539 L
.3607 .54107 L
.36229 .53874 L
s
.36712 .53279 m
.36805 .53624 L
.36712 .53786 L
.3645 .53624 L
.36712 .53279 L
s
.30914 .53125 m
.31172 .53141 L
.30914 .53236 L
.3091 .53141 L
.30914 .53125 L
s
.36712 .48861 m
.37023 .49275 L
.36794 .49758 L
.36712 .49883 L
.36455 .50242 L
.36229 .50597 L
.36144 .50725 L
.3587 .51208 L
.35746 .51362 L
.35495 .51691 L
.35263 .5203 L
.35158 .52174 L
.34835 .52658 L
.3478 .52721 L
.34465 .53141 L
.34296 .53452 L
.34102 .53624 L
.33813 .54015 L
.33737 .54107 L
.33359 .5459 L
.3333 .54636 L
.32944 .55073 L
.32847 .55191 L
.32376 .55073 L
.32643 .5459 L
.32847 .54234 L
.32928 .54107 L
.33091 .53624 L
.3333 .53466 L
.3355 .53141 L
.33813 .52739 L
.33871 .52658 L
.34119 .52174 L
.34296 .51993 L
.34547 .51691 L
.3478 .51356 L
.34892 .51208 L
.35219 .50725 L
.35263 .50683 L
.35606 .50242 L
.35746 .49959 L
.35983 .49758 L
.36229 .49433 L
.36371 .49275 L
.36712 .48861 L
s
.37196 .48399 m
.3727 .48792 L
.37196 .4895 L
.36785 .48792 L
.37196 .48399 L
s
.49758 .48181 m
.49811 .48309 L
.49758 .48362 L
.49613 .48309 L
.49758 .48181 L
s
.31397 .47843 m
.318 .48309 L
.31424 .48792 L
.31397 .48849 L
.30998 .49275 L
.30914 .49379 L
.30593 .49275 L
.30825 .48792 L
.30914 .48637 L
.31114 .48309 L
.31397 .47843 L
s
.35746 .45967 m
.36111 .46376 L
.35839 .46859 L
.35746 .4701 L
.35536 .47342 L
.35263 .47776 L
.35229 .47826 L
.35012 .48309 L
.3478 .48575 L
.34577 .48792 L
.34296 .49205 L
.34245 .49275 L
.33961 .49758 L
.33813 .49916 L
.33554 .50242 L
.3333 .50558 L
.33201 .50725 L
.32851 .51208 L
.32847 .51212 L
.32473 .51691 L
.32364 .51882 L
.32082 .52174 L
.31881 .52433 L
.31668 .52658 L
.31397 .52966 L
.31105 .52658 L
.31274 .52174 L
.31397 .52089 L
.31634 .51691 L
.31881 .51288 L
.31933 .51208 L
.32157 .50725 L
.32364 .50467 L
.32569 .50242 L
.32847 .49827 L
.32896 .49758 L
.3318 .49275 L
.3333 .49104 L
.33576 .48792 L
.33813 .48455 L
.33924 .48309 L
.34262 .47826 L
.34296 .47789 L
.3464 .47342 L
.3478 .47102 L
.35019 .46859 L
.35263 .46539 L
.35408 .46376 L
.35746 .45967 L
s
.36229 .45487 m
.36358 .45893 L
.36229 .46161 L
.35823 .45893 L
.36229 .45487 L
s
.33813 .44483 m
.34149 .44927 L
.33856 .4541 L
.33813 .45476 L
.3353 .45893 L
.3333 .46199 L
.33201 .46376 L
.32904 .46859 L
.32847 .46913 L
.32519 .47342 L
.32364 .47566 L
.3216 .47826 L
.31881 .48213 L
.31409 .47826 L
.31726 .47342 L
.31881 .47112 L
.32058 .46859 L
.32364 .4641 L
.32389 .46376 L
.32736 .45893 L
.32847 .45666 L
.33099 .4541 L
.3333 .45094 L
.3347 .44927 L
.33813 .44483 L
s
.34296 .43928 m
.34677 .4396 L
.34436 .44443 L
.34296 .44695 L
.3385 .44443 L
.34269 .4396 L
.34296 .43928 L
s
.34296 .56594 m
.34439 .57006 L
.34296 .57168 L
.3411 .57006 L
.34296 .56594 L
s
.3478 .55801 m
.35262 .5604 L
.34872 .56523 L
.3478 .56641 L
.34341 .56523 L
.34636 .5604 L
.3478 .55801 L
s
.31881 .55892 m
.32121 .5604 L
.31881 .5619 L
.31838 .5604 L
.31881 .55892 L
s
.36229 .5371 m
.36635 .54107 L
.36313 .5459 L
.36229 .5481 L
.35968 .55073 L
.35746 .5539 L
.35616 .55557 L
.35263 .56039 L
.34948 .55557 L
.35257 .55073 L
.35263 .55058 L
.35602 .5459 L
.35746 .54376 L
.35952 .54107 L
.36229 .5371 L
s
.30914 .52807 m
.31359 .53141 L
.30914 .53593 L
.3075 .53141 L
.30914 .52807 L
s
.37196 .525 m
.37505 .52658 L
.3725 .53141 L
.37196 .53231 L
.36947 .53624 L
.36712 .53996 L
.363 .53624 L
.36667 .53141 L
.36712 .53077 L
.37074 .52658 L
.37196 .525 L
s
.37679 .52077 m
.37719 .52174 L
.37679 .52303 L
.37562 .52174 L
.37679 .52077 L
s
.51691 .5167 m
.51842 .51691 L
.51691 .51874 L
.51667 .51691 L
.51691 .5167 L
s
.48792 .51472 m
.49048 .51691 L
.48792 .51905 L
.48602 .51691 L
.48792 .51472 L
s
.49275 .51033 m
.49494 .51208 L
.49275 .5146 L
.49052 .51208 L
.49275 .51033 L
s
.30431 .49298 m
.30693 .49758 L
.30431 .50051 L
.30206 .49758 L
.30431 .49298 L
s
.49275 .48468 m
.49471 .48792 L
.49275 .48931 L
.49033 .48792 L
.49275 .48468 L
s
.49758 .47973 m
.49983 .48309 L
.49758 .48539 L
.4941 .48309 L
.49758 .47973 L
s
.37196 .48202 m
.3762 .48309 L
.37389 .48792 L
.37196 .49142 L
.37117 .49275 L
.36916 .49758 L
.36712 .50055 L
.3652 .50242 L
.36229 .50689 L
.36205 .50725 L
.35938 .51208 L
.35746 .51449 L
.35547 .51691 L
.35263 .52103 L
.35211 .52174 L
.34899 .52658 L
.3478 .52798 L
.34518 .53141 L
.34296 .53518 L
.34161 .53624 L
.33813 .54098 L
.33806 .54107 L
.3343 .5459 L
.3333 .54747 L
.33037 .55073 L
.32847 .55314 L
.32619 .55557 L
.32364 .55847 L
.32029 .55557 L
.32274 .55073 L
.32364 .54918 L
.32562 .5459 L
.32847 .54121 L
.32856 .54107 L
.32991 .53624 L
.3333 .53383 L
.33496 .53141 L
.33813 .52665 L
.33818 .52658 L
.34049 .52174 L
.34296 .51918 L
.345 .51691 L
.3478 .51289 L
.34841 .51208 L
.35142 .50725 L
.35263 .50605 L
.35552 .50242 L
.35746 .49882 L
.35918 .49758 L
.36229 .49341 L
Mistroke
.36286 .49275 L
.36674 .48792 L
.36712 .48729 L
.37106 .48309 L
.37196 .48202 L
Mfstroke
.50242 .47652 m
.50354 .47826 L
.50242 .47985 L
.49943 .47826 L
.50242 .47652 L
s
.36229 .45254 m
.3671 .4541 L
.36467 .45893 L
.36229 .46324 L
.36198 .46376 L
.35905 .46859 L
.35746 .4711 L
.35595 .47342 L
.35282 .47826 L
.35263 .47859 L
.35072 .48309 L
.3478 .48643 L
.34622 .48792 L
.34296 .49267 L
.3429 .49275 L
.34017 .49758 L
.33813 .49979 L
.33598 .50242 L
.3333 .5062 L
.33249 .50725 L
.32921 .51208 L
.32847 .51284 L
.32528 .51691 L
.32364 .51965 L
.32151 .52174 L
.31881 .52528 L
.31765 .52658 L
.31397 .53103 L
.30996 .52658 L
.31116 .52174 L
.31397 .51965 L
.31568 .51691 L
.31874 .51208 L
.31881 .51195 L
.32092 .50725 L
.32364 .5039 L
.32521 .50242 L
.32847 .4976 L
.32848 .49758 L
.33126 .49275 L
.3333 .49039 L
.33532 .48792 L
.33813 .48393 L
.33877 .48309 L
.34199 .47826 L
.34296 .4772 L
.34588 .47342 L
.3478 .47029 L
.34957 .46859 L
.35263 .46453 L
Mistroke
.35329 .46376 L
.35717 .45893 L
.35746 .4585 L
.36148 .4541 L
.36229 .45254 L
Mfstroke
.36712 .44914 m
.36782 .44927 L
.36712 .45405 L
.36695 .44927 L
.36712 .44914 L
s
.3478 .43252 m
.35055 .43477 L
.34823 .4396 L
.3478 .44037 L
.34533 .44443 L
.34296 .44836 L
.34236 .44927 L
.33924 .4541 L
.33813 .45578 L
.33595 .45893 L
.3333 .46291 L
.33268 .46376 L
.33017 .46859 L
.32847 .47021 L
.3258 .47342 L
.32364 .47653 L
.32229 .47826 L
.31882 .48309 L
.31881 .4831 L
.31503 .48792 L
.31397 .4901 L
.31111 .49275 L
.30914 .49529 L
.30444 .49275 L
.30724 .48792 L
.30914 .48482 L
.31025 .48309 L
.31301 .47826 L
.31397 .47696 L
.31655 .47342 L
.31881 .4701 L
.31987 .46859 L
.32307 .46376 L
.32364 .46306 L
.32668 .45893 L
.32847 .45561 L
.33024 .4541 L
.3333 .4499 L
.33382 .44927 L
.33752 .44443 L
.33813 .44346 L
.34149 .4396 L
.34296 .43774 L
.34579 .43477 L
.3478 .43252 L
s
.33813 .57201 m
.34207 .57489 L
.33813 .57916 L
.33666 .57489 L
.33813 .57201 L
s
.31881 .556 m
.32325 .5604 L
.31881 .56503 L
.31659 .5604 L
.31881 .556 L
s
.37196 .52324 m
.37669 .52658 L
.37373 .53141 L
.37196 .53417 L
.37059 .53624 L
.36751 .54107 L
.36712 .54159 L
.3641 .5459 L
.36229 .54981 L
.36067 .55073 L
.35746 .55529 L
.35725 .55557 L
.35369 .5604 L
.35263 .5622 L
.34996 .56523 L
.3478 .56809 L
.34611 .57006 L
.34296 .57398 L
.33931 .57006 L
.34217 .56523 L
.34296 .56395 L
.34533 .5604 L
.3478 .55652 L
.34848 .55557 L
.35175 .55073 L
.35263 .54873 L
.35518 .5459 L
.35746 .54256 L
.35859 .54107 L
.36171 .53624 L
.36229 .53574 L
.3657 .53141 L
.36712 .52941 L
.36946 .52658 L
.37196 .52324 L
s
.51208 .51978 m
.51635 .52174 L
.51208 .52498 L
.51038 .52174 L
.51208 .51978 L
s
.48309 .51891 m
.48638 .52174 L
.48309 .5237 L
.4812 .52174 L
.48309 .51891 L
s
.37679 .51752 m
.37938 .52174 L
.37679 .52641 L
.3733 .52174 L
.37679 .51752 L
s
.51691 .51486 m
.52091 .51691 L
.51691 .52121 L
.51475 .51691 L
.51691 .51486 L
s
.48792 .51319 m
.49196 .51691 L
.48792 .52058 L
.48455 .51691 L
.48792 .51319 L
s
.38162 .51314 m
.38183 .51691 L
.38162 .51736 L
.37743 .51691 L
.38162 .51314 L
s
.52174 .5113 m
.5239 .51208 L
.52174 .51576 L
.52049 .51208 L
.52174 .5113 L
s
.49275 .50892 m
.4964 .51208 L
.49275 .51609 L
.48902 .51208 L
.49275 .50892 L
s
.66187 .50652 m
.66344 .50725 L
.66187 .50985 L
.66143 .50725 L
.66187 .50652 L
s
.49758 .50584 m
.50012 .50725 L
.49758 .51058 L
.4951 .50725 L
.49758 .50584 L
s
.6667 .50029 m
.66698 .50242 L
.6667 .50293 L
.66533 .50242 L
.6667 .50029 L
s
.29948 .49972 m
.30423 .50242 L
.29952 .50725 L
.29948 .50729 L
.29659 .50725 L
.29812 .50242 L
.29948 .49972 L
s
.48792 .48923 m
.4893 .49275 L
.48792 .49339 L
.48603 .49275 L
.48792 .48923 L
s
.52174 .48639 m
.52377 .48792 L
.52174 .48967 L
.52024 .48792 L
.52174 .48639 L
s
.49275 .48318 m
.49616 .48792 L
.49275 .49063 L
.4888 .48792 L
.49275 .48318 L
s
.52658 .48282 m
.52703 .48309 L
.52658 .4841 L
.526 .48309 L
.52658 .48282 L
s
.49758 .47841 m
.50101 .48309 L
.49758 .4866 L
.49284 .48309 L
.49758 .47841 L
s
.50242 .47485 m
.50501 .47826 L
.50242 .48144 L
.49776 .47826 L
.50242 .47485 L
s
.37679 .47549 m
.37985 .47826 L
.37887 .48309 L
.37679 .48457 L
.3749 .48792 L
.37201 .49275 L
.37196 .49288 L
.37002 .49758 L
.36712 .5016 L
.36582 .50242 L
.36253 .50725 L
.36229 .50776 L
.35994 .51208 L
.35746 .51521 L
.35597 .51691 L
.35263 .52172 L
.35261 .52174 L
.34954 .52658 L
.3478 .52868 L
.34568 .53141 L
.34296 .53567 L
.34217 .53624 L
.33875 .54107 L
.33813 .54177 L
.33495 .5459 L
.3333 .5484 L
.33117 .55073 L
.32847 .55425 L
.3273 .55557 L
.32364 .56001 L
.31905 .55557 L
.32187 .55073 L
.32364 .54786 L
.32488 .5459 L
.32789 .54107 L
.32847 .54009 L
.32924 .53624 L
.3333 .53305 L
.33444 .53141 L
.33772 .52658 L
.33813 .52591 L
.33994 .52174 L
.34296 .51855 L
.34454 .51691 L
.3478 .51225 L
.34793 .51208 L
.35077 .50725 L
.35263 .50536 L
.35501 .50242 L
.35746 .49827 L
Mistroke
.35859 .49758 L
.36209 .49275 L
.36229 .49256 L
.36599 .48792 L
.36712 .48608 L
.36997 .48309 L
.37196 .48059 L
.37425 .47826 L
.37679 .47549 L
Mfstroke
.50725 .47299 m
.50766 .47342 L
.50725 .47449 L
.50522 .47342 L
.50725 .47299 L
s
.50242 .45149 m
.50263 .4541 L
.50242 .45427 L
.50018 .4541 L
.50242 .45149 L
s
.30431 .45311 m
.30646 .4541 L
.30431 .45667 L
.3038 .4541 L
.30431 .45311 L
s
.36712 .44667 m
.37059 .44927 L
.36835 .4541 L
.36712 .45629 L
.36561 .45893 L
.36278 .46376 L
.36229 .46469 L
.35968 .46859 L
.35746 .47199 L
.35651 .47342 L
.35327 .47826 L
.35263 .47939 L
.35119 .48309 L
.3478 .48696 L
.34665 .48792 L
.34326 .49275 L
.34296 .49328 L
.34064 .49758 L
.33813 .50037 L
.3364 .50242 L
.3333 .50679 L
.33295 .50725 L
.32982 .51208 L
.32847 .5135 L
.32579 .51691 L
.32364 .52033 L
.32213 .52174 L
.31881 .52617 L
.31846 .52658 L
.31457 .53141 L
.31397 .53229 L
.31034 .53624 L
.30914 .53843 L
.30537 .54107 L
.30431 .54202 L
.30241 .54107 L
.30386 .53624 L
.30431 .53531 L
.30632 .53141 L
.30902 .52658 L
.30914 .52631 L
.31017 .52174 L
.31397 .51858 L
.31505 .51691 L
.31826 .51208 L
.31881 .51103 L
.32042 .50725 L
.32364 .50332 L
.32474 .50242 L
.32816 .49758 L
Mistroke
.32847 .49695 L
.33081 .49275 L
.3333 .48981 L
.33489 .48792 L
.33813 .48333 L
.33831 .48309 L
.34146 .47826 L
.34296 .47655 L
.3454 .47342 L
.3478 .46969 L
.349 .46859 L
.35258 .46376 L
.35263 .46371 L
.35642 .45893 L
.35746 .45739 L
.36043 .4541 L
.36229 .45081 L
.36474 .44927 L
.36712 .44667 L
Mfstroke
.30914 .44502 m
.31058 .44927 L
.30914 .45131 L
.30664 .44927 L
.30914 .44502 L
s
.31397 .43789 m
.31775 .4396 L
.3144 .44443 L
.31397 .44507 L
.30957 .44443 L
.31282 .4396 L
.31397 .43789 L
s
.3478 .4307 m
.35201 .43477 L
.3492 .4396 L
.3478 .4419 L
.34617 .44443 L
.34315 .44927 L
.34296 .44955 L
.33986 .4541 L
.33813 .45668 L
.33655 .45893 L
.3333 .46374 L
.33329 .46376 L
.33105 .46859 L
.32847 .4711 L
.32637 .47342 L
.32364 .47733 L
.32292 .47826 L
.31987 .48309 L
.31881 .48407 L
.31573 .48792 L
.31397 .49122 L
.31199 .49275 L
.30914 .49653 L
.3082 .49758 L
.30431 .50233 L
.30064 .49758 L
.3027 .49275 L
.30431 .49011 L
.30635 .48792 L
.30914 .48354 L
.30944 .48309 L
.31213 .47826 L
.31397 .47578 L
.31589 .47342 L
.31881 .46916 L
.31921 .46859 L
.32233 .46376 L
.32364 .46211 L
.32604 .45893 L
.32847 .45489 L
.32955 .4541 L
.33302 .44927 L
.3333 .44893 L
.33673 .44443 L
.33813 .44227 L
.34052 .4396 L
.34296 .43643 L
.34443 .43477 L
.3478 .4307 L
s
.31881 .4313 m
.32095 .43477 L
.31881 .43824 L
.31635 .43477 L
.31881 .4313 L
s
.35263 .42576 m
.35447 .42994 L
.35263 .43369 L
.34857 .42994 L
.35263 .42576 L
s
.32364 .42526 m
.32419 .42994 L
.32364 .43091 L
.31999 .42994 L
.32364 .42526 L
s
.07721 .82048 m
.08204 .81894 L
.08688 .8194 L
.09083 .82132 L
.09171 .82194 L
.09597 .82615 L
.09654 .82702 L
.09905 .83098 L
.10124 .83581 L
.10137 .83617 L
.10289 .84065 L
.10408 .84548 L
.1049 .85031 L
.10539 .85514 L
.10558 .85997 L
.10547 .8648 L
.10505 .86964 L
.10432 .87447 L
.10322 .8793 L
.10169 .88413 L
.10137 .88498 L
.09967 .88896 L
.09679 .8938 L
.09654 .89413 L
.09252 .89863 L
.09171 .89921 L
.08688 .90175 L
.08204 .90221 L
.07721 .90067 L
.0738 .89863 L
.07238 .89688 L
.06981 .8938 L
.06755 .88996 L
.06703 .88896 L
.06496 .88413 L
.06345 .8793 L
.06272 .87627 L
.06236 .87447 L
.06162 .86964 L
.0612 .8648 L
.06109 .85997 L
.06127 .85514 L
.06177 .85031 L
.0626 .84548 L
.06272 .84491 L
.06378 .84065 L
.06541 .83581 L
.06755 .83119 L
.06766 .83098 L
.07071 .82615 L
Mistroke
.07238 .82428 L
.0755 .82132 L
.07721 .82048 L
Mfstroke
.47826 .55002 m
.48117 .55073 L
.47826 .55214 L
.47778 .55073 L
.47826 .55002 L
s
.51208 .54471 m
.51653 .5459 L
.51249 .55073 L
.51208 .55117 L
.50729 .55557 L
.50725 .55567 L
.50242 .55813 L
.50198 .55557 L
.50242 .55497 L
.50576 .55073 L
.50725 .54915 L
.51064 .5459 L
.51208 .54471 L
s
.48309 .54434 m
.48662 .5459 L
.48309 .54924 L
.48142 .5459 L
.48309 .54434 L
s
.29948 .54246 m
.30257 .5459 L
.29948 .54823 L
.29829 .5459 L
.29948 .54246 L
s
.48792 .54051 m
.4907 .54107 L
.48792 .54442 L
.48703 .54107 L
.48792 .54051 L
s
.67153 .53535 m
.67262 .53624 L
.67153 .53797 L
.67105 .53624 L
.67153 .53535 L
s
.64737 .52552 m
.65151 .52658 L
.64737 .53118 L
.64681 .52658 L
.64737 .52552 L
s
.50725 .52397 m
.51205 .52658 L
.50725 .52934 L
.50504 .52658 L
.50725 .52397 L
s
.47826 .52407 m
.48061 .52658 L
.47826 .52731 L
.47719 .52658 L
.47826 .52407 L
s
.6522 .51745 m
.65537 .52174 L
.6522 .52585 L
.64967 .52174 L
.6522 .51745 L
s
.52174 .50968 m
.52608 .51208 L
.52266 .51691 L
.52174 .51864 L
.5186 .52174 L
.51691 .52308 L
.51208 .52655 L
.50907 .52174 L
.51208 .51841 L
.51348 .51691 L
.51691 .51355 L
.51861 .51208 L
.52174 .50968 L
s
.48792 .51203 m
.49275 .50778 L
.49753 .51208 L
.49317 .51691 L
.49275 .51727 L
.48802 .52174 L
.48792 .52177 L
.48309 .52531 L
.4796 .52174 L
.48309 .51727 L
.48337 .51691 L
.48783 .51208 L
.48792 .51203 L
s
.38162 .51009 m
.3862 .51208 L
.38368 .51691 L
.38162 .52045 L
.38084 .52174 L
.37833 .52658 L
.37679 .52891 L
.37479 .53141 L
.37196 .53568 L
.37158 .53624 L
.36857 .54107 L
.36712 .54305 L
.36498 .5459 L
.36229 .55053 L
.36157 .55073 L
.35824 .55557 L
.35746 .55658 L
.35462 .5604 L
.35263 .56353 L
.35101 .56523 L
.3478 .56955 L
.34738 .57006 L
.34435 .57489 L
.34296 .57582 L
.3396 .57973 L
.33813 .5823 L
.33523 .58456 L
.3333 .58666 L
.33006 .58456 L
.33235 .57973 L
.3333 .57801 L
.33517 .57489 L
.33803 .57006 L
.33813 .56989 L
.34121 .56523 L
.34296 .56253 L
.34443 .5604 L
.34759 .55557 L
.3478 .55527 L
.35101 .55073 L
.35263 .54746 L
.35443 .5459 L
.35746 .5415 L
.35779 .54107 L
.36032 .53624 L
.36229 .53448 L
.36488 .53141 L
.36712 .52825 L
.36846 .52658 L
.37196 .52183 L
Mistroke
.37203 .52174 L
.37591 .51691 L
.37679 .51529 L
.38002 .51208 L
.38162 .51009 L
Mfstroke
.66187 .50318 m
.66616 .50725 L
.66274 .51208 L
.66187 .51332 L
.6591 .51691 L
.65704 .51978 L
.65257 .51691 L
.65577 .51208 L
.65704 .51014 L
.65912 .50725 L
.66187 .50318 L
s
.52658 .50721 m
.52724 .50725 L
.52658 .51119 L
.52647 .50725 L
.52658 .50721 L
s
.49758 .50456 m
.50175 .50725 L
.49758 .51201 L
.49345 .50725 L
.49758 .50456 L
s
.38645 .50554 m
.38811 .50725 L
.38645 .51156 L
.38466 .50725 L
.38645 .50554 L
s
.50242 .50186 m
.506 .50242 L
.50242 .50639 L
.50133 .50242 L
.50242 .50186 L
s
.51208 .49508 m
.51277 .49758 L
.51208 .49794 L
.50954 .49758 L
.51208 .49508 L
s
.67153 .49031 m
.67569 .49275 L
.67267 .49758 L
.67153 .49936 L
.66941 .50242 L
.6667 .50652 L
.66246 .50242 L
.66597 .49758 L
.6667 .49655 L
.66973 .49275 L
.67153 .49031 L
s
.64254 .48979 m
.64543 .49275 L
.64254 .49653 L
.64083 .49275 L
.64254 .48979 L
s
.51691 .48951 m
.52044 .49275 L
.51691 .49506 L
.51395 .49275 L
.51691 .48951 L
s
.67636 .48457 m
.67843 .48792 L
.67636 .49171 L
.67366 .48792 L
.67636 .48457 L
s
.52174 .48445 m
.52588 .48792 L
.52174 .49168 L
.51835 .48792 L
.52174 .48445 L
s
.52658 .48027 m
.52989 .48309 L
.52658 .48713 L
.52321 .48309 L
.52658 .48027 L
s
.46859 .47946 m
.46924 .48309 L
.46859 .48362 L
.46593 .48309 L
.46859 .47946 L
s
.6522 .47546 m
.65617 .47826 L
.65284 .48309 L
.6522 .48403 L
.64919 .48792 L
.64737 .49051 L
.64381 .48792 L
.64688 .48309 L
.64737 .48234 L
.6503 .47826 L
.6522 .47546 L
s
.53141 .47785 m
.53202 .47826 L
.53141 .48032 L
.53005 .47826 L
.53141 .47785 L
s
.49758 .47736 m
.50242 .47358 L
.50617 .47826 L
.50242 .48261 L
.502 .48309 L
.49758 .48763 L
.49728 .48792 L
.49275 .49172 L
.49131 .49275 L
.48792 .4948 L
.48385 .49275 L
.48756 .48792 L
.48792 .48759 L
.49152 .48309 L
.49275 .48163 L
.49597 .47826 L
.49758 .47736 L
s
.47342 .47518 m
.47426 .47826 L
.47342 .47916 L
.46966 .47826 L
.47342 .47518 L
s
.37679 .47362 m
.38143 .47826 L
.38072 .48309 L
.37679 .48632 L
.37582 .48792 L
.37266 .49275 L
.37196 .49425 L
.37062 .49758 L
.36712 .50215 L
.36642 .50242 L
.3629 .50725 L
.36229 .50859 L
.36041 .51208 L
.35746 .51583 L
.35646 .51691 L
.35287 .52174 L
.35263 .52239 L
.35001 .52658 L
.3478 .52934 L
.34617 .53141 L
.34296 .53606 L
.3427 .53624 L
.33936 .54107 L
.33813 .54253 L
.33556 .5459 L
.3333 .54922 L
.3319 .55073 L
.32847 .55529 L
.32824 .55557 L
.32527 .5604 L
.32364 .56141 L
.32024 .56523 L
.31881 .56743 L
.31562 .57006 L
.31397 .57173 L
.31078 .57006 L
.31268 .56523 L
.31397 .56276 L
.31528 .5604 L
.31791 .55557 L
.31881 .55379 L
.32107 .55073 L
.32364 .54673 L
.32418 .5459 L
.32731 .54107 L
.32847 .53912 L
.32882 .53624 L
.3333 .53233 L
.33395 .53141 L
.33731 .52658 L
Mistroke
.33813 .52522 L
.3395 .52174 L
.34296 .51802 L
.3441 .51691 L
.34753 .51208 L
.3478 .51164 L
.35023 .50725 L
.35263 .50472 L
.35453 .50242 L
.35746 .49789 L
.35803 .49758 L
.36127 .49275 L
.36229 .49174 L
.36531 .48792 L
.36712 .4851 L
.36908 .48309 L
.37196 .47933 L
.37292 .47826 L
.37679 .47362 L
Mfstroke
.65704 .46894 m
.65935 .47342 L
.65704 .4771 L
.65381 .47342 L
.65704 .46894 L
s
.50725 .47093 m
.50986 .47342 L
.50725 .47682 L
.50265 .47342 L
.50725 .47093 L
s
.38162 .46873 m
.3838 .47342 L
.38162 .4779 L
.37698 .47342 L
.38162 .46873 L
s
.29465 .46667 m
.2962 .46859 L
.29465 .46998 L
.29396 .46859 L
.29465 .46667 L
s
.66187 .46297 m
.66518 .46376 L
.66253 .46859 L
.66187 .46971 L
.65734 .46859 L
.66125 .46376 L
.66187 .46297 L
s
.6667 .45822 m
.66734 .45893 L
.6667 .46104 L
.666 .45893 L
.6667 .45822 L
s
.30431 .44972 m
.30879 .4541 L
.30501 .45893 L
.30431 .45989 L
.30093 .46376 L
.29948 .46562 L
.29607 .46376 L
.2986 .45893 L
.29948 .45748 L
.30156 .4541 L
.30431 .44972 L
s
.50242 .44854 m
.50725 .44491 L
.50919 .44927 L
.50725 .45147 L
.50477 .4541 L
.50242 .45618 L
.49882 .45893 L
.49758 .45969 L
.49383 .45893 L
.49749 .4541 L
.49758 .45405 L
.50211 .44927 L
.50242 .44854 L
s
.51208 .44312 m
.51236 .44443 L
.51208 .44492 L
.50798 .44443 L
.51208 .44312 L
s
.37196 .44002 m
.37444 .44443 L
.37216 .44927 L
.37196 .4498 L
.36941 .4541 L
.36712 .45787 L
.36647 .45893 L
.36346 .46376 L
.36229 .46595 L
.36028 .46859 L
.35746 .47282 L
.35705 .47342 L
.35368 .47826 L
.35263 .48012 L
.35155 .48309 L
.3478 .48738 L
.34708 .48792 L
.34357 .49275 L
.34296 .49386 L
.34103 .49758 L
.33813 .50089 L
.33681 .50242 L
.33336 .50725 L
.3333 .50737 L
.33034 .51208 L
.32847 .51413 L
.32628 .51691 L
.32364 .52091 L
.32272 .52174 L
.31924 .52658 L
.31881 .52702 L
.31533 .53141 L
.31397 .53341 L
.31142 .53624 L
.30914 .53997 L
.3073 .54107 L
.30431 .54445 L
.3001 .54107 L
.3025 .53624 L
.30431 .53309 L
.30528 .53141 L
.30822 .52658 L
.30914 .52468 L
.30962 .52174 L
.31397 .51761 L
.31444 .51691 L
.31783 .51208 L
.31881 .5102 L
.32003 .50725 L
.32364 .50288 L
Mistroke
.32428 .50242 L
.32786 .49758 L
.32847 .49634 L
.33042 .49275 L
.3333 .48928 L
.33447 .48792 L
.33799 .48309 L
.33813 .48275 L
.34099 .47826 L
.34296 .47594 L
.34493 .47342 L
.3478 .46918 L
.34846 .46859 L
.35187 .46376 L
.35263 .46294 L
.35574 .45893 L
.35746 .45643 L
.35954 .4541 L
.36229 .44985 L
.36344 .44927 L
.36712 .44487 L
.36757 .44443 L
.37196 .44002 L
Mfstroke
.35746 .4188 m
.36043 .42027 L
.35854 .42511 L
.35746 .42717 L
.35591 .42994 L
.35326 .43477 L
.35263 .43595 L
.35007 .4396 L
.3478 .44315 L
.34694 .44443 L
.34387 .44927 L
.34296 .4507 L
.34046 .4541 L
.33813 .45752 L
.33713 .45893 L
.33384 .46376 L
.3333 .46457 L
.33172 .46859 L
.32847 .47182 L
.32691 .47342 L
.32364 .47809 L
.32351 .47826 L
.32072 .48309 L
.31881 .48493 L
.31636 .48792 L
.31397 .49197 L
.31276 .49275 L
.30919 .49758 L
.30914 .49763 L
.30529 .50242 L
.30431 .50401 L
.30121 .50725 L
.29948 .5094 L
.2967 .51208 L
.29465 .51416 L
.29214 .51208 L
.29327 .50725 L
.29465 .50619 L
.29665 .50242 L
.29946 .49758 L
.29948 .49753 L
.30152 .49275 L
.30431 .48857 L
.30552 .48792 L
.30885 .48309 L
.30914 .48236 L
.31144 .47826 L
.31397 .47486 L
.31525 .47342 L
.31871 .46859 L
Mistroke
.31881 .46828 L
.32171 .46376 L
.32364 .46126 L
.32543 .45893 L
.32847 .45438 L
.3289 .4541 L
.33229 .44927 L
.3333 .44801 L
.33601 .44443 L
.33813 .44128 L
.33967 .4396 L
.34296 .43523 L
.34336 .43477 L
.34654 .42994 L
.3478 .42913 L
.35134 .42511 L
.35263 .4231 L
.356 .42027 L
.35746 .4188 L
Mfstroke
.32847 .41653 m
.33193 .42027 L
.32904 .42511 L
.32847 .42602 L
.3258 .42994 L
.32364 .43332 L
.32259 .43477 L
.31931 .4396 L
.31881 .44079 L
.3158 .44443 L
.31397 .4471 L
.31228 .44927 L
.30914 .45367 L
.30461 .44927 L
.3078 .44443 L
.30914 .44107 L
.31115 .4396 L
.31397 .43553 L
.31454 .43477 L
.31801 .42994 L
.31881 .42854 L
.32169 .42511 L
.32364 .4225 L
.32551 .42027 L
.32847 .41653 L
s
.3333 .4112 m
.33467 .41544 L
.3333 .41808 L
.32951 .41544 L
.3333 .4112 L
s
.23183 .8354 m
.23666 .8341 L
.2415 .83359 L
.24633 .83363 L
.25116 .83422 L
.25599 .83566 L
.25635 .83581 L
.26082 .83782 L
.26267 .84065 L
.26082 .84312 L
.25599 .84517 L
.25493 .84548 L
.25116 .84639 L
.24633 .84697 L
.2415 .847 L
.23666 .8465 L
.2323 .84548 L
.23183 .84534 L
.227 .84353 L
.2245 .84065 L
.227 .8374 L
.2308 .83581 L
.23183 .8354 L
s
.07238 .79575 m
.07721 .79355 L
.08204 .79262 L
.08688 .7929 L
.09171 .79441 L
.09644 .79716 L
.09654 .79724 L
.10137 .80159 L
.10175 .80199 L
.10555 .80682 L
.1062 .80781 L
.10852 .81165 L
.11094 .81649 L
.11104 .8167 L
.11295 .82132 L
.11461 .82615 L
.11587 .83049 L
.116 .83098 L
.11712 .83581 L
.11802 .84065 L
.11871 .84548 L
.1192 .85031 L
.11949 .85514 L
.11959 .85997 L
.11952 .8648 L
.11926 .86964 L
.11882 .87447 L
.11818 .8793 L
.11735 .88413 L
.11629 .88896 L
.11587 .89063 L
.11498 .8938 L
.1134 .89863 L
.11149 .90346 L
.11104 .90448 L
.10919 .90829 L
.10636 .91312 L
.1062 .91336 L
.10281 .91796 L
.10137 .91957 L
.09802 .92279 L
.09654 .92391 L
.09171 .92674 L
.0894 .92762 L
.08688 .92825 L
.08204 .92854 L
.07726 .92762 L
.07721 .9276 L
.07238 .9254 L
.06863 .92279 L
Mistroke
.06755 .9218 L
.06385 .91796 L
.06272 .91652 L
.0603 .91312 L
.05789 .90903 L
.05749 .90829 L
.05518 .90346 L
.05327 .89863 L
.05305 .89801 L
.05169 .8938 L
.05038 .88896 L
.04931 .88413 L
.04847 .8793 L
.04822 .87765 L
.04783 .87447 L
.04739 .86964 L
.04714 .8648 L
.04707 .85997 L
.04718 .85514 L
.04748 .85031 L
.04797 .84548 L
.04822 .84351 L
.04866 .84065 L
.04956 .83581 L
.05068 .83098 L
.05206 .82615 L
.05305 .82314 L
.05372 .82132 L
.05572 .81649 L
.05789 .81212 L
.05814 .81165 L
.06111 .80682 L
.06272 .80463 L
.0649 .80199 L
.06755 .79935 L
.07017 .79716 L
.07238 .79575 L
Mfstroke
.35263 .59454 m
.35354 .59905 L
.35263 .60004 L
.35078 .59905 L
.35263 .59454 L
s
.35746 .58655 m
.36193 .58939 L
.35802 .59422 L
.35746 .59564 L
.35282 .59422 L
.35579 .58939 L
.35746 .58655 L
s
.37196 .56544 m
.37591 .57006 L
.37265 .57489 L
.37196 .57633 L
.36917 .57973 L
.36712 .58258 L
.36558 .58456 L
.36229 .58896 L
.35884 .58456 L
.36192 .57973 L
.36229 .57916 L
.36535 .57489 L
.36712 .57221 L
.36876 .57006 L
.37196 .56544 L
s
.65704 .55317 m
.66141 .55557 L
.6572 .5604 L
.65704 .56059 L
.65339 .5604 L
.65572 .55557 L
.65704 .55317 L
s
.47342 .5536 m
.47797 .55557 L
.47342 .55762 L
.47228 .55557 L
.47342 .5536 L
s
.38162 .55303 m
.38499 .55557 L
.38222 .5604 L
.38162 .56135 L
.37912 .56523 L
.37679 .56881 L
.37212 .56523 L
.37584 .5604 L
.37679 .55905 L
.37972 .55557 L
.38162 .55303 L
s
.38645 .54785 m
.38756 .55073 L
.38645 .55297 L
.38386 .55073 L
.38645 .54785 L
s
.63771 .53854 m
.64167 .54107 L
.63771 .54497 L
.63651 .54107 L
.63771 .53854 L
s
.51691 .53971 m
.52174 .53753 L
.52304 .54107 L
.52174 .54169 L
.51997 .5459 L
.51691 .54756 L
.51407 .55073 L
.51208 .55282 L
.50921 .55557 L
.50725 .55898 L
.50306 .5604 L
.50242 .56105 L
.49758 .56287 L
.49655 .5604 L
.49758 .55902 L
.50011 .55557 L
.50242 .55287 L
.50425 .55073 L
.50725 .54758 L
.50894 .5459 L
.51208 .54315 L
.51483 .54107 L
.51691 .53971 L
s
.49275 .53556 m
.49758 .53236 L
.49854 .53624 L
.49758 .53697 L
.4937 .54107 L
.49275 .54154 L
.48916 .5459 L
.48792 .54756 L
.48373 .55073 L
.48309 .55169 L
.47826 .55538 L
.47526 .55073 L
.47826 .54718 L
.47937 .5459 L
.48309 .54239 L
.48461 .54107 L
.48792 .5387 L
.4916 .53624 L
.49275 .53556 L
s
.50242 .52788 m
.50629 .53141 L
.50242 .53355 L
.4986 .53141 L
.50242 .52788 L
s
.68119 .51795 m
.68585 .52174 L
.68268 .52658 L
.68119 .5288 L
.67937 .53141 L
.67636 .53582 L
.67605 .53624 L
.67259 .54107 L
.67153 .54325 L
.66895 .5459 L
.6667 .54898 L
.66523 .55073 L
.66187 .55508 L
.65858 .55073 L
.6615 .5459 L
.66187 .54532 L
.66476 .54107 L
.6667 .53808 L
.66804 .53624 L
.67105 .53141 L
.67153 .53096 L
.67485 .52658 L
.67636 .52441 L
.67846 .52174 L
.68119 .51795 L
s
.45893 .51382 m
.46042 .51691 L
.45893 .51787 L
.45711 .51691 L
.45893 .51382 L
s
.62804 .51069 m
.63204 .51208 L
.62804 .5158 L
.62741 .51208 L
.62804 .51069 L
s
.46376 .50848 m
.46613 .51208 L
.46376 .51431 L
.46016 .51208 L
.46376 .50848 L
s
.69086 .50634 m
.69392 .50725 L
.69167 .51208 L
.69086 .5135 L
.68879 .51691 L
.68603 .52148 L
.68207 .51691 L
.68583 .51208 L
.68603 .51165 L
.69012 .50725 L
.69086 .50634 L
s
.52658 .50532 m
.53115 .50725 L
.52778 .51208 L
.52658 .51326 L
.52407 .51691 L
.52174 .52078 L
.52015 .52174 L
.51691 .52434 L
.51471 .52658 L
.51208 .5275 L
.50725 .53084 L
.50355 .52658 L
.50725 .52257 L
.50797 .52174 L
.51208 .51727 L
.51242 .51691 L
.51691 .51241 L
.51727 .51208 L
.52174 .50836 L
.52336 .50725 L
.52658 .50532 L
s
.46859 .50478 m
.47097 .50725 L
.46859 .50962 L
.4651 .50725 L
.46859 .50478 L
s
.47342 .50145 m
.47644 .50242 L
.47342 .50471 L
.47187 .50242 L
.47342 .50145 L
s
.50725 .49728 m
.51208 .49303 L
.51531 .49758 L
.51208 .49954 L
.50927 .50242 L
.50725 .50317 L
.50309 .50725 L
.50242 .50781 L
.49858 .51208 L
.49758 .51358 L
.49431 .51691 L
.49275 .51821 L
.48976 .52174 L
.48792 .52223 L
.48325 .52658 L
.48309 .52664 L
.47826 .52936 L
.47463 .52658 L
.47826 .52176 L
.47827 .52174 L
.48244 .51691 L
.48309 .51591 L
.4868 .51208 L
.48792 .51148 L
.49211 .50725 L
.49275 .50679 L
.49758 .50347 L
.49928 .50242 L
.50242 .50059 L
.5064 .49758 L
.50725 .49728 L
s
.39128 .49726 m
.39471 .49758 L
.39317 .50242 L
.39128 .50621 L
.39074 .50725 L
.38899 .51208 L
.38645 .51475 L
.38516 .51691 L
.38192 .52174 L
.38162 .52261 L
.37946 .52658 L
.37679 .53043 L
.37578 .53141 L
.37217 .53624 L
.37196 .53706 L
.3694 .54107 L
.36712 .54425 L
.36582 .5459 L
.3623 .55073 L
.36229 .5509 L
.35906 .55557 L
.35746 .55775 L
.35549 .5604 L
.35263 .56456 L
.35196 .56523 L
.34843 .57006 L
.3478 .57088 L
.34618 .57489 L
.34296 .57743 L
.34101 .57973 L
.33813 .58397 L
.33719 .58456 L
.3333 .58931 L
.33322 .58939 L
.32879 .59422 L
.32847 .59465 L
.32364 .59835 L
.32309 .59422 L
.32364 .59292 L
.32538 .58939 L
.32773 .58456 L
.32847 .58373 L
.33091 .57973 L
.3333 .57588 L
.33395 .57489 L
.33681 .57006 L
.33813 .56799 L
.34034 .56523 L
.34296 .56132 L
.34361 .5604 L
Mistroke
.34678 .55557 L
.3478 .5541 L
.35033 .55073 L
.35263 .54664 L
.35373 .5459 L
.35707 .54107 L
.35746 .54052 L
.35931 .53624 L
.36229 .53346 L
.36413 .53141 L
.36712 .52718 L
.3676 .52658 L
.3706 .52174 L
.37196 .52052 L
.37488 .51691 L
.37679 .51368 L
.37861 .51208 L
.38162 .50811 L
.38239 .50725 L
.38639 .50242 L
.38645 .50232 L
.39112 .49758 L
.39128 .49726 L
Mfstroke
.53141 .47522 m
.53508 .47826 L
.53162 .48309 L
.53141 .48359 L
.52747 .48792 L
.52658 .48889 L
.52227 .49275 L
.52174 .49312 L
.51691 .49651 L
.51234 .49275 L
.51691 .48803 L
.51701 .48792 L
.52167 .48309 L
.52174 .48305 L
.52658 .4786 L
.52701 .47826 L
.53141 .47522 L
s
.68603 .47045 m
.68886 .47342 L
.68712 .47826 L
.68603 .47901 L
.6836 .48309 L
.68119 .48704 L
.68062 .48792 L
.67838 .49275 L
.67636 .49526 L
.67428 .49758 L
.67153 .50168 L
.67101 .50242 L
.66816 .50725 L
.6667 .50891 L
.66421 .51208 L
.66187 .51541 L
.66072 .51691 L
.65733 .52174 L
.65704 .52206 L
.65356 .52658 L
.6522 .52892 L
.64977 .53141 L
.64737 .53454 L
.64585 .53624 L
.64254 .54024 L
.63896 .53624 L
.64166 .53141 L
.64254 .52997 L
.64468 .52658 L
.64737 .5223 L
.64775 .52174 L
.64993 .51691 L
.6522 .51431 L
.65427 .51208 L
.65704 .508 L
.65758 .50725 L
.66043 .50242 L
.66187 .50089 L
.66449 .49758 L
.6667 .49447 L
.66803 .49275 L
.67153 .48794 L
.67154 .48792 L
.67531 .48309 L
.67636 .48125 L
.67924 .47826 L
.68119 .47575 L
.6834 .47342 L
.68603 .47045 L
s
.50242 .47252 m
.50725 .46953 L
.51139 .47342 L
.50725 .47819 L
.50719 .47826 L
.50282 .48309 L
.50242 .4835 L
.49827 .48792 L
.49758 .48854 L
.49275 .49273 L
.49272 .49275 L
.48792 .49596 L
.48508 .49758 L
.48309 .49865 L
.47826 .5011 L
.47715 .49758 L
.47826 .49721 L
.48223 .49275 L
.48309 .492 L
.48648 .48792 L
.48792 .48654 L
.49053 .48309 L
.49275 .48059 L
.49472 .47826 L
.49758 .47662 L
.5004 .47342 L
.50242 .47252 L
s
.47342 .47244 m
.47826 .46967 L
.48063 .47342 L
.47826 .47592 L
.47613 .47826 L
.47342 .48111 L
.47144 .48309 L
.46859 .48576 L
.46585 .48792 L
.46376 .48938 L
.45999 .48792 L
.46268 .48309 L
.46376 .4823 L
.466 .47826 L
.46859 .477 L
.4717 .47342 L
.47342 .47244 L
s
.51208 .46705 m
.51572 .46859 L
.51208 .47254 L
.50899 .46859 L
.51208 .46705 L
s
.48309 .46683 m
.48558 .46859 L
.48309 .47072 L
.47998 .46859 L
.48309 .46683 L
s
.63288 .46235 m
.63534 .46376 L
.63288 .467 L
.63208 .46376 L
.63288 .46235 L
s
.38645 .46149 m
.39004 .46376 L
.38809 .46859 L
.38645 .47169 L
.38553 .47342 L
.38269 .47826 L
.38162 .48074 L
.38142 .48309 L
.37679 .48779 L
.3767 .48792 L
.37324 .49275 L
.37196 .49538 L
.37105 .49758 L
.36712 .50239 L
.36701 .50242 L
.36326 .50725 L
.36229 .50935 L
.36081 .51208 L
.35746 .51637 L
.35694 .51691 L
.3531 .52174 L
.35263 .52303 L
.35044 .52658 L
.3478 .52996 L
.34665 .53141 L
.34302 .53624 L
.34296 .53654 L
.33989 .54107 L
.33813 .54326 L
.33614 .5459 L
.3333 .54996 L
.33259 .55073 L
.32908 .55557 L
.32847 .55626 L
.32682 .5604 L
.32364 .56268 L
.32146 .56523 L
.31881 .56901 L
.31752 .57006 L
.31397 .57426 L
.31331 .57489 L
.30914 .57903 L
.30628 .57489 L
.30829 .57006 L
.30914 .56895 L
.31121 .56523 L
.31397 .56062 L
.31411 .5604 L
.31698 .55557 L
.31881 .55224 L
Mistroke
.3203 .55073 L
.32351 .5459 L
.32364 .54571 L
.32679 .54107 L
.32847 .53829 L
.3286 .53624 L
.3333 .53163 L
.33346 .53141 L
.33693 .52658 L
.33813 .52459 L
.33916 .52174 L
.34296 .51757 L
.34367 .51691 L
.3472 .51208 L
.3478 .51106 L
.34978 .50725 L
.35263 .50414 L
.35407 .50242 L
.35746 .49761 L
.35751 .49758 L
.36059 .49275 L
.36229 .49097 L
.36469 .48792 L
.36712 .48427 L
.36829 .48309 L
.37187 .47826 L
.37196 .47817 L
.37577 .47342 L
.37679 .47195 L
.37982 .46859 L
.38162 .46577 L
.38426 .46376 L
.38645 .46149 L
Mfstroke
.63771 .45478 m
.63919 .45893 L
.63771 .46111 L
.63515 .45893 L
.63771 .45478 L
s
.52658 .45583 m
.52829 .45893 L
.52658 .46015 L
.52341 .45893 L
.52658 .45583 L
s
.53141 .45159 m
.53314 .4541 L
.53141 .45591 L
.52838 .4541 L
.53141 .45159 L
s
.67153 .44819 m
.67614 .44927 L
.67351 .4541 L
.67153 .45757 L
.67067 .45893 L
.66901 .46376 L
.6667 .46527 L
.66446 .46859 L
.66187 .47256 L
.66125 .47342 L
.65875 .47826 L
.65704 .48001 L
.65449 .48309 L
.6522 .48639 L
.65104 .48792 L
.64775 .49275 L
.64737 .49311 L
.6439 .49758 L
.64254 .50034 L
.64012 .50242 L
.63771 .5056 L
.63622 .50725 L
.63288 .51129 L
.62985 .50725 L
.63216 .50242 L
.63288 .50133 L
.6355 .49758 L
.63771 .4941 L
.63861 .49275 L
.64136 .48792 L
.64254 .48645 L
.64509 .48309 L
.64737 .47976 L
.64846 .47826 L
.6517 .47342 L
.6522 .47285 L
.65539 .46859 L
.65704 .46554 L
.65902 .46376 L
.66187 .45991 L
.66269 .45893 L
.66647 .4541 L
.6667 .45373 L
.67064 .44927 L
.67153 .44819 L
s
.64254 .44794 m
.64603 .44927 L
.64287 .4541 L
.64254 .45461 L
.63823 .4541 L
.64162 .44927 L
.64254 .44794 L
s
.67636 .44373 m
.67769 .44443 L
.67636 .44884 L
.6756 .44443 L
.67636 .44373 L
s
.64737 .44171 m
.64908 .44443 L
.64737 .44744 L
.64537 .44443 L
.64737 .44171 L
s
.50725 .44274 m
.51208 .43991 L
.51455 .44443 L
.51208 .44755 L
.51072 .44927 L
.50725 .45307 L
.50627 .4541 L
.50242 .4576 L
.5008 .45893 L
.49758 .46117 L
.49339 .46376 L
.49275 .46412 L
.48792 .46666 L
.48693 .46376 L
.48792 .46293 L
.49065 .45893 L
.49275 .45786 L
.49488 .4541 L
.49758 .45255 L
.50071 .44927 L
.50242 .44602 L
.50581 .44443 L
.50725 .44274 L
s
.51691 .43879 m
.51725 .4396 L
.51691 .44034 L
.51271 .4396 L
.51691 .43879 L
s
.48309 .43958 m
.48788 .4396 L
.48424 .44443 L
.48309 .44574 L
.47989 .44927 L
.47826 .45092 L
.4747 .4541 L
.47342 .45511 L
.46859 .45734 L
.46855 .4541 L
.46859 .45404 L
.47223 .44927 L
.47342 .44795 L
.47688 .44443 L
.47826 .4432 L
.48308 .4396 L
.48309 .43958 L
s
.37679 .43284 m
.38059 .43477 L
.37868 .4396 L
.37679 .44323 L
.37614 .44443 L
.37352 .44927 L
.37196 .45269 L
.37039 .4541 L
.36731 .45893 L
.36712 .45922 L
.36407 .46376 L
.36229 .46692 L
.36087 .46859 L
.35759 .47342 L
.35746 .4736 L
.35407 .47826 L
.35263 .48078 L
.35182 .48309 L
.3478 .48771 L
.3475 .48792 L
.34386 .49275 L
.34296 .49442 L
.34137 .49758 L
.33813 .50137 L
.33721 .50242 L
.33362 .50725 L
.3333 .50791 L
.33079 .51208 L
.32847 .51473 L
.32676 .51691 L
.32364 .52141 L
.32327 .52174 L
.31996 .52658 L
.31881 .52782 L
.31603 .53141 L
.31397 .5344 L
.31233 .53624 L
.30914 .5408 L
.3086 .54107 L
.30466 .5459 L
.30431 .54637 L
.30028 .55073 L
.29948 .55187 L
.29465 .55551 L
.29377 .55073 L
.29465 .54869 L
.29594 .5459 L
.29839 .54107 L
.29948 .53828 L
.30129 .53624 L
Mistroke
.3043 .53141 L
.30431 .53139 L
.30752 .52658 L
.30914 .52347 L
.30937 .52174 L
.31383 .51691 L
.31397 .51671 L
.31741 .51208 L
.31881 .50946 L
.31972 .50725 L
.32364 .50254 L
.32383 .50242 L
.32757 .49758 L
.32847 .49575 L
.33008 .49275 L
.3333 .48878 L
.33406 .48792 L
.33778 .48309 L
.33813 .48221 L
.34057 .47826 L
.34296 .47536 L
.34447 .47342 L
.3478 .46872 L
.34794 .46859 L
.35126 .46376 L
.35263 .46219 L
.35511 .45893 L
.35746 .45555 L
.35875 .4541 L
.36229 .44931 L
.36238 .44927 L
.36526 .44443 L
.36712 .44326 L
.37036 .4396 L
.37196 .43733 L
.3749 .43477 L
.37679 .43284 L
Mfstroke
.36229 .41127 m
.36511 .41544 L
.36305 .42027 L
.36229 .42118 L
.36005 .42511 L
.35746 .42941 L
.35713 .42994 L
.35433 .43477 L
.35263 .43772 L
.35088 .4396 L
.3478 .44425 L
.34767 .44443 L
.34449 .44927 L
.34296 .45165 L
.34103 .4541 L
.33813 .4583 L
.33768 .45893 L
.33432 .46376 L
.3333 .46532 L
.33221 .46859 L
.32847 .47242 L
.32742 .47342 L
.324 .47826 L
.32364 .47881 L
.32139 .48309 L
.31881 .48569 L
.31695 .48792 L
.31397 .49247 L
.31346 .49275 L
.31029 .49758 L
.30914 .49868 L
.30617 .50242 L
.30431 .50531 L
.30242 .50725 L
.29948 .5111 L
.2986 .51208 L
.29465 .51683 L
.29457 .51691 L
.28981 .52172 L
.28747 .51691 L
.28981 .51208 L
.28981 .51206 L
.29073 .50725 L
.29465 .50362 L
.29536 .50242 L
.29864 .49758 L
.29948 .49562 L
.30076 .49275 L
.30431 .48801 L
.30471 .48792 L
Mistroke
.30842 .48309 L
.30914 .48127 L
.31087 .47826 L
.31397 .47411 L
.31462 .47342 L
.31847 .46859 L
.31881 .46744 L
.32117 .46376 L
.32364 .46047 L
.32484 .45893 L
.32846 .4541 L
.32847 .45386 L
.33166 .44927 L
.3333 .44713 L
.33532 .44443 L
.33813 .44041 L
.33888 .4396 L
.34242 .43477 L
.34296 .43412 L
.34482 .42994 L
.3478 .4277 L
.35 .42511 L
.35263 .42134 L
.35394 .42027 L
.35746 .4161 L
.35814 .41544 L
.36229 .41127 L
Mfstroke
.33813 .40251 m
.3423 .40578 L
.33957 .41061 L
.33813 .41303 L
.33659 .41544 L
.33369 .42027 L
.3333 .42086 L
.33032 .42511 L
.32847 .42792 L
.32705 .42994 L
.32385 .43477 L
.32364 .43506 L
.32036 .4396 L
.31881 .44274 L
.31691 .44443 L
.31397 .44867 L
.31351 .44927 L
.31093 .4541 L
.30914 .45559 L
.30634 .45893 L
.30431 .46178 L
.30269 .46376 L
.29948 .46807 L
.29903 .46859 L
.29509 .47342 L
.29465 .47425 L
.29068 .47826 L
.28981 .47927 L
.28626 .47826 L
.28832 .47342 L
.28981 .47068 L
.29098 .46859 L
.29348 .46376 L
.29465 .46182 L
.29679 .45893 L
.29948 .4548 L
.29994 .4541 L
.30296 .44927 L
.30431 .44729 L
.30641 .44443 L
.30914 .4397 L
.30978 .4396 L
.31312 .43477 L
.31397 .43357 L
.31663 .42994 L
.31881 .42654 L
.32018 .42511 L
.32364 .42041 L
.32375 .42027 L
.3265 .41544 L
Mistroke
.32847 .41396 L
.3313 .41061 L
.3333 .4072 L
.33535 .40578 L
.33813 .40251 L
Mfstroke
.34296 .39794 m
.34455 .40095 L
.34296 .40459 L
.33981 .40095 L
.34296 .39794 L
s
.74884 .15361 m
.75367 .15303 L
.7585 .153 L
.76334 .1535 L
.7677 .15452 L
.76817 .15467 L
.773 .15647 L
.7755 .15935 L
.773 .1626 L
.76919 .16419 L
.76817 .1646 L
.76334 .1659 L
.7585 .16641 L
.75367 .16637 L
.74884 .16578 L
.74401 .16434 L
.74365 .16419 L
.73918 .16218 L
.73733 .15935 L
.73918 .15688 L
.74401 .15483 L
.74507 .15452 L
.74884 .15361 L
s
.22217 .89782 m
.227 .897 L
.23183 .89648 L
.23666 .89617 L
.2415 .89604 L
.24633 .89605 L
.25116 .89621 L
.25599 .89653 L
.26082 .89709 L
.26566 .89796 L
.26826 .89863 L
.27049 .89927 L
.27532 .90137 L
.27789 .90346 L
.27852 .90829 L
.27532 .91152 L
.27232 .91312 L
.27049 .91395 L
.26566 .91547 L
.26082 .91639 L
.25599 .91697 L
.25116 .91731 L
.24633 .91748 L
.2415 .91749 L
.23666 .91734 L
.23183 .91703 L
.227 .91649 L
.22217 .91562 L
.21734 .91421 L
.21484 .91312 L
.2125 .91193 L
.20862 .90829 L
.20925 .90346 L
.2125 .90099 L
.21734 .89906 L
.2189 .89863 L
.22217 .89782 L
s
.21734 .83031 m
.22217 .82942 L
.227 .82881 L
.23183 .8284 L
.23666 .82815 L
.2415 .82803 L
.24633 .82804 L
.25116 .82818 L
.25599 .82844 L
.26082 .82887 L
.26566 .82952 L
.27049 .83046 L
.27255 .83098 L
.27532 .83131 L
.28015 .83305 L
.28296 .83581 L
.28498 .83848 L
.28544 .84065 L
.28498 .84247 L
.28248 .84548 L
.28015 .84756 L
.27532 .84955 L
.27049 .85023 L
.26954 .85031 L
.26566 .85099 L
.26082 .85159 L
.25599 .85199 L
.25116 .85223 L
.24633 .85236 L
.2415 .85236 L
.23666 .85226 L
.23183 .85203 L
.227 .85165 L
.22217 .85108 L
.21762 .85031 L
.21734 .85029 L
.2125 .84969 L
.20767 .84799 L
.20464 .84548 L
.20284 .84368 L
.20165 .84065 L
.20284 .83725 L
.20415 .83581 L
.20767 .83263 L
.2125 .83121 L
.21461 .83098 L
.21734 .83031 L
s
.08204 .76313 m
.08688 .76333 L
.08695 .76334 L
.09171 .76437 L
.09654 .7663 L
.09992 .76817 L
.10137 .76916 L
.10616 .773 L
.1062 .77304 L
.11082 .77783 L
.11104 .77809 L
.11458 .78266 L
.11587 .78454 L
.11774 .7875 L
.12044 .79233 L
.1207 .79282 L
.12279 .79716 L
.12485 .80199 L
.12553 .80375 L
.12665 .80682 L
.12824 .81165 L
.12966 .81649 L
.13036 .81914 L
.1309 .82132 L
.132 .82615 L
.13294 .83098 L
.13373 .83581 L
.13436 .84065 L
.13482 .84548 L
.13512 .85031 L
.1352 .85221 L
.13526 .85514 L
.13527 .85997 L
.1352 .86382 L
.13516 .8648 L
.13495 .86964 L
.13464 .87447 L
.13423 .8793 L
.1337 .88413 L
.13304 .88896 L
.13223 .8938 L
.13125 .89863 L
.13036 .90241 L
.13009 .90346 L
.12873 .90829 L
.12716 .91312 L
.12553 .91758 L
.12539 .91796 L
.12336 .92279 L
.12107 .92762 L
Mistroke
.1207 .92833 L
.11844 .93245 L
.11587 .93659 L
.1154 .93728 L
.11182 .94211 L
.11104 .94305 L
.10743 .94695 L
.1062 .94811 L
.10169 .95178 L
.10137 .952 L
.09654 .95485 L
.09231 .95661 L
.09171 .95678 L
.08688 .95783 L
.08204 .95802 L
.07721 .95738 L
.07398 .95661 L
.07238 .95587 L
.06755 .95345 L
.06496 .95178 L
.06272 .95006 L
.05923 .94695 L
.05789 .94558 L
.05484 .94211 L
.05305 .93981 L
.05125 .93728 L
.04822 .93246 L
.04821 .93245 L
.0456 .92762 L
.04339 .92297 L
.04331 .92279 L
.04131 .91796 L
.03955 .91312 L
.03856 .91011 L
.038 .90829 L
.03665 .90346 L
.03547 .89863 L
.03446 .8938 L
.03373 .88974 L
.0336 .88896 L
.03289 .88413 L
.03232 .8793 L
.03188 .87447 L
.03158 .86964 L
.0314 .8648 L
.03135 .85997 L
.03143 .85514 L
.03164 .85031 L
.03198 .84548 L
.03245 .84065 L
Mistroke
.03305 .83581 L
.03373 .83142 L
.0338 .83098 L
.0347 .82615 L
.03575 .82132 L
.03697 .81649 L
.03837 .81165 L
.03856 .81104 L
.03997 .80682 L
.04179 .80199 L
.04339 .79819 L
.04385 .79716 L
.04622 .79233 L
.04822 .78869 L
.04893 .7875 L
.05209 .78266 L
.05305 .78134 L
.05585 .77783 L
.05789 .77558 L
.0605 .773 L
.06272 .77109 L
.06678 .76817 L
.06755 .7677 L
.07238 .76529 L
.07721 .76378 L
.07973 .76334 L
.08204 .76313 L
Mfstroke
.33813 .61437 m
.3406 .61838 L
.33813 .62049 L
.33665 .61838 L
.33813 .61437 L
s
.31397 .60706 m
.31821 .60872 L
.31397 .61092 L
.31351 .60872 L
.31397 .60706 L
s
.6667 .58219 m
.67027 .58456 L
.6667 .58848 L
.6655 .58456 L
.6667 .58219 L
s
.53141 .5821 m
.53167 .58456 L
.53141 .58485 L
.52823 .58456 L
.53141 .5821 L
s
.50725 .57363 m
.51208 .57065 L
.51415 .57489 L
.51208 .5771 L
.50972 .57973 L
.50725 .58238 L
.50511 .58456 L
.50242 .5872 L
.49984 .58939 L
.49758 .59121 L
.49275 .59387 L
.4919 .58939 L
.49275 .58829 L
.49561 .58456 L
.49758 .58238 L
.50004 .57973 L
.50242 .57751 L
.5055 .57489 L
.50725 .57363 L
s
.47826 .57369 m
.48309 .57014 L
.48379 .57489 L
.48309 .57557 L
.47875 .57973 L
.47826 .58022 L
.47342 .58426 L
.47185 .57973 L
.47342 .57809 L
.47666 .57489 L
.47826 .57369 L
s
.51691 .56818 m
.51886 .57006 L
.51691 .57182 L
.51309 .57006 L
.51691 .56818 L
s
.48792 .56684 m
.48959 .57006 L
.48792 .57126 L
.48319 .57006 L
.48792 .56684 L
s
.52174 .56436 m
.52601 .56523 L
.52174 .56757 L
.52067 .56523 L
.52174 .56436 L
s
.69086 .54648 m
.69526 .55073 L
.69209 .55557 L
.69086 .55873 L
.68874 .5604 L
.68603 .56432 L
.68534 .56523 L
.68187 .57006 L
.68119 .57127 L
.67819 .57489 L
.67636 .57733 L
.67434 .57973 L
.67153 .58327 L
.66822 .57973 L
.67107 .57489 L
.67153 .57415 L
.6743 .57006 L
.67636 .56682 L
.67751 .56523 L
.68077 .5604 L
.68119 .5594 L
.68429 .55557 L
.68603 .55303 L
.68783 .55073 L
.69086 .54648 L
s
.54107 .54502 m
.5459 .54296 L
.54638 .5459 L
.5459 .54661 L
.54305 .55073 L
.54107 .553 L
.53875 .55557 L
.53624 .55794 L
.53336 .5604 L
.53141 .56185 L
.52658 .56489 L
.52548 .5604 L
.52658 .55926 L
.52994 .55557 L
.53141 .55399 L
.53458 .55073 L
.53624 .54909 L
.53996 .5459 L
.54107 .54502 L
s
.4541 .54366 m
.45669 .5459 L
.4541 .54781 L
.45221 .5459 L
.4541 .54366 L
s
.45893 .53906 m
.4623 .54107 L
.45893 .54401 L
.45639 .54107 L
.45893 .53906 L
s
.70052 .53461 m
.70371 .53624 L
.70124 .54107 L
.70052 .54228 L
.6983 .5459 L
.69569 .5501 L
.69134 .5459 L
.69511 .54107 L
.69569 .54027 L
.69924 .53624 L
.70052 .53461 L
s
.52174 .53375 m
.52658 .53249 L
.52946 .53624 L
.52658 .53872 L
.52612 .54107 L
.52174 .5438 L
.52137 .5459 L
.51691 .54913 L
.51545 .55073 L
.51208 .55427 L
.51076 .55557 L
.50725 .55992 L
.50532 .5604 L
.50242 .56279 L
.49867 .56523 L
.49758 .56556 L
.49275 .56808 L
.48952 .56523 L
.49275 .56217 L
.49425 .5604 L
.49758 .55679 L
.49861 .55557 L
.50242 .55134 L
.50295 .55073 L
.50725 .54622 L
.50756 .5459 L
.51208 .54177 L
.51294 .54107 L
.51691 .5382 L
.52006 .53624 L
.52174 .53375 L
s
.39612 .53178 m
.39951 .53624 L
.39727 .54107 L
.39612 .54341 L
.39413 .5459 L
.39128 .55044 L
.3911 .55073 L
.38816 .55557 L
.38645 .5583 L
.38484 .5604 L
.38162 .56514 L
.38156 .56523 L
.37823 .57006 L
.37679 .57229 L
.3749 .57489 L
.37196 .57932 L
.37146 .57973 L
.36793 .58456 L
.36712 .58578 L
.36578 .58939 L
.36229 .59257 L
.36089 .59422 L
.35746 .59905 L
.35726 .59905 L
.35407 .60388 L
.35263 .60507 L
.34959 .60872 L
.3478 .61136 L
.34539 .61355 L
.34296 .61631 L
.33857 .61355 L
.34122 .60872 L
.34296 .60569 L
.3441 .60388 L
.3467 .59905 L
.3478 .59737 L
.3503 .59422 L
.35263 .59065 L
.35352 .58939 L
.3565 .58456 L
.35746 .58327 L
.36017 .57973 L
.36229 .5766 L
.36355 .57489 L
.36681 .57006 L
.36712 .56966 L
.37041 .56523 L
.37196 .56237 L
.37393 .5604 L
.37679 .55633 L
Mistroke
.37739 .55557 L
.38021 .55073 L
.38162 .54961 L
.3847 .5459 L
.38645 .54244 L
.38847 .54107 L
.39128 .53738 L
.39232 .53624 L
.39612 .53178 L
Mfstroke
.70535 .53076 m
.70562 .53141 L
.70535 .53253 L
.70434 .53141 L
.70535 .53076 L
s
.53141 .5289 m
.53614 .53141 L
.53141 .53454 L
.52809 .53141 L
.53141 .5289 L
s
.40095 .52763 m
.40168 .53141 L
.40095 .53312 L
.39651 .53141 L
.40095 .52763 L
s
.61838 .52232 m
.62289 .52658 L
.61838 .53105 L
.61635 .52658 L
.61838 .52232 L
s
.55073 .51153 m
.55357 .51208 L
.55199 .51691 L
.55073 .51782 L
.54761 .52174 L
.5459 .52347 L
.54265 .52658 L
.54107 .52784 L
.53624 .53134 L
.53384 .52658 L
.53624 .52422 L
.53867 .52174 L
.54107 .5193 L
.54363 .51691 L
.5459 .51484 L
.54982 .51208 L
.55073 .51153 L
s
.46376 .50616 m
.46859 .5025 L
.47326 .50725 L
.46859 .51181 L
.46833 .51208 L
.46376 .51667 L
.46351 .51691 L
.45893 .52104 L
.45801 .52174 L
.4541 .52434 L
.45027 .52174 L
.45344 .51691 L
.4541 .51603 L
.45731 .51208 L
.45893 .5096 L
.46222 .50725 L
.46376 .50616 L
s
.53141 .50109 m
.53624 .49858 L
.53788 .50242 L
.53624 .50388 L
.53342 .50725 L
.53141 .50918 L
.52906 .51208 L
.52658 .51467 L
.52504 .51691 L
.52174 .52151 L
.52096 .52174 L
.51691 .52513 L
.51599 .52658 L
.51208 .52813 L
.50839 .53141 L
.50725 .53209 L
.50242 .535 L
.50064 .53624 L
.49758 .53852 L
.496 .54107 L
.49275 .543 L
.49111 .5459 L
.48792 .54976 L
.48521 .55073 L
.48309 .55333 L
.48022 .55557 L
.47826 .55706 L
.47407 .5604 L
.47342 .56086 L
.46859 .56298 L
.46631 .5604 L
.46859 .55695 L
.46949 .55557 L
.47336 .55073 L
.47342 .55066 L
.47799 .5459 L
.47826 .54534 L
.48295 .54107 L
.48309 .54083 L
.48792 .53727 L
.4894 .53624 L
.49275 .53417 L
.49652 .53141 L
.49758 .53073 L
.50234 .52658 L
.50242 .52637 L
.5071 .52174 L
.50725 .52149 L
.51158 .51691 L
.51208 .5163 L
Mistroke
.51615 .51208 L
.51691 .51137 L
.52158 .50725 L
.52174 .50713 L
.52658 .50381 L
.52901 .50242 L
.53141 .50109 L
Mfstroke
.54107 .49541 m
.54347 .49758 L
.54107 .49928 L
.53781 .49758 L
.54107 .49541 L
s
.61355 .48877 m
.61507 .49275 L
.61355 .49412 L
.61215 .49275 L
.61355 .48877 L
s
.5459 .49109 m
.5494 .49275 L
.5459 .49549 L
.54407 .49275 L
.5459 .49109 L
s
.70535 .48609 m
.70764 .48792 L
.70642 .49275 L
.70535 .49358 L
.70325 .49758 L
.70052 .50232 L
.70047 .50242 L
.69841 .50725 L
.69569 .51135 L
.69442 .51208 L
.69111 .51691 L
.69086 .51756 L
.68851 .52174 L
.68603 .52508 L
.68471 .52658 L
.68127 .53141 L
.68119 .53166 L
.67825 .53624 L
.67636 .53868 L
.67452 .54107 L
.67153 .54559 L
.67105 .5459 L
.66766 .55073 L
.6667 .55193 L
.66394 .55557 L
.66187 .55865 L
.66027 .5604 L
.65704 .56468 L
.65657 .56523 L
.6533 .57006 L
.6522 .57076 L
.64854 .57489 L
.64737 .57673 L
.64379 .57973 L
.64254 .58096 L
.63982 .57973 L
.64159 .57489 L
.64254 .57304 L
.64419 .57006 L
.64683 .56523 L
.64737 .56422 L
.64999 .5604 L
.6522 .55694 L
.65312 .55557 L
.65618 .55073 L
.65704 .54938 L
.65959 .5459 L
.66187 .54254 L
.66291 .54107 L
.6662 .53624 L
Mistroke
.6667 .53549 L
.66832 .53141 L
.67153 .52823 L
.67313 .52658 L
.67636 .52197 L
.67654 .52174 L
.67934 .51691 L
.68119 .51513 L
.68369 .51208 L
.68603 .50808 L
.68729 .50725 L
.69086 .50245 L
.69089 .50242 L
.69478 .49758 L
.69569 .4961 L
.69889 .49275 L
.70052 .49074 L
.70349 .48792 L
.70535 .48609 L
Mfstroke
.55073 .48688 m
.5536 .48792 L
.55073 .49129 L
.5495 .48792 L
.55073 .48688 L
s
.40095 .48397 m
.40318 .48792 L
.40102 .49275 L
.40095 .493 L
.40051 .49758 L
.39612 .50171 L
.39572 .50242 L
.39238 .50725 L
.39128 .51 L
.39032 .51208 L
.38658 .51691 L
.38645 .51708 L
.38268 .52174 L
.38162 .52444 L
.38033 .52658 L
.37679 .53138 L
.37676 .53141 L
.37256 .53624 L
.37196 .53834 L
.37014 .54107 L
.36712 .54531 L
.36665 .5459 L
.36235 .55073 L
.36229 .55198 L
.35979 .55557 L
.35746 .55887 L
.35634 .5604 L
.35288 .56523 L
.35263 .5655 L
.34929 .57006 L
.3478 .57217 L
.34711 .57489 L
.34296 .57887 L
.34226 .57973 L
.33863 .58456 L
.33813 .5852 L
.33588 .58939 L
.3333 .59159 L
.33116 .59422 L
.32847 .59785 L
.32723 .59905 L
.32364 .60333 L
.32308 .60388 L
.31881 .60827 L
.31526 .60388 L
.31692 .59905 L
.31881 .59699 L
.32041 .59422 L
.32344 .58939 L
.32364 .5888 L
Mistroke
.32595 .58456 L
.32847 .58149 L
.32964 .57973 L
.33312 .57489 L
.3333 .57417 L
.33589 .57006 L
.33813 .56668 L
.33952 .56523 L
.34284 .5604 L
.34296 .56022 L
.3461 .55557 L
.3478 .5531 L
.34967 .55073 L
.35263 .54614 L
.35307 .5459 L
.35645 .54107 L
.35746 .5396 L
.35862 .53624 L
.36229 .53262 L
.36344 .53141 L
.36686 .52658 L
.36712 .52619 L
.36951 .52174 L
.37196 .51938 L
.37397 .51691 L
.37679 .51262 L
.37747 .51208 L
.38071 .50725 L
.38162 .50642 L
.3848 .50242 L
.38645 .49988 L
.38859 .49758 L
.39128 .49325 L
.39249 .49275 L
.39612 .48848 L
.3967 .48792 L
.40095 .48397 L
Mfstroke
.53141 .47328 m
.53624 .47046 L
.54079 .47342 L
.53685 .47826 L
.53624 .47933 L
.53288 .48309 L
.53141 .48589 L
.52871 .48792 L
.52658 .49001 L
.52369 .49275 L
.52174 .49433 L
.51703 .49758 L
.51691 .49775 L
.51208 .50076 L
.51122 .50242 L
.50725 .50432 L
.50418 .50725 L
.50242 .50879 L
.49942 .51208 L
.49758 .51463 L
.49517 .51691 L
.49275 .51893 L
.4909 .52174 L
.48792 .52264 L
.48552 .52658 L
.48309 .52785 L
.47826 .53095 L
.47743 .53141 L
.47342 .53355 L
.46879 .53624 L
.46859 .53637 L
.46376 .53975 L
.46229 .53624 L
.46376 .53524 L
.46792 .53141 L
.46859 .53094 L
.47301 .52658 L
.47342 .52588 L
.47752 .52174 L
.47826 .51959 L
.48167 .51691 L
.48309 .51494 L
.48595 .51208 L
.48792 .51105 L
.49104 .50725 L
.49275 .50586 L
.49758 .50247 L
.49767 .50242 L
.50242 .49953 L
.50401 .49758 L
Mistroke
.50725 .49614 L
.51101 .49275 L
.51208 .491 L
.51584 .48792 L
.51691 .48678 L
.52024 .48309 L
.52174 .48233 L
.52484 .47826 L
.52658 .47717 L
.5311 .47342 L
.53141 .47328 L
Mfstroke
.69569 .45571 m
.69977 .45893 L
.69741 .46376 L
.69569 .46678 L
.69465 .46859 L
.69173 .47342 L
.69086 .47521 L
.69035 .47826 L
.68603 .48232 L
.68552 .48309 L
.68214 .48792 L
.68119 .48974 L
.67995 .49275 L
.67636 .49709 L
.67568 .49758 L
.67212 .50242 L
.67153 .50362 L
.66955 .50725 L
.6667 .51069 L
.6655 .51208 L
.66199 .51691 L
.66187 .5172 L
.65898 .52174 L
.65704 .52402 L
.65504 .52658 L
.6522 .53078 L
.6515 .53141 L
.64808 .53624 L
.64737 .53701 L
.64421 .54107 L
.64254 .54351 L
.64039 .5459 L
.63771 .5501 L
.63648 .55073 L
.63288 .55501 L
.6323 .55557 L
.62804 .55977 L
.6257 .55557 L
.62796 .55073 L
.62804 .55051 L
.63067 .5459 L
.63288 .54224 L
.63359 .54107 L
.63659 .53624 L
.63771 .53414 L
.63976 .53141 L
.64254 .52724 L
.64299 .52658 L
.64635 .52174 L
.64737 .51993 L
Mistroke
.64847 .51691 L
.6522 .51265 L
.65295 .51208 L
.65645 .50725 L
.65704 .50618 L
.65899 .50242 L
.66187 .49915 L
.66322 .49758 L
.66666 .49275 L
.6667 .49267 L
.6697 .48792 L
.67153 .48591 L
.67375 .48309 L
.67636 .47913 L
.67733 .47826 L
.68082 .47342 L
.68119 .47305 L
.68472 .46859 L
.68603 .46666 L
.68866 .46376 L
.69086 .46011 L
.69281 .45893 L
.69569 .45571 L
Mfstroke
.70052 .45214 m
.70148 .4541 L
.70052 .45716 L
.69768 .4541 L
.70052 .45214 L
s
.53141 .44849 m
.53624 .44448 L
.5402 .44927 L
.53625 .4541 L
.53624 .45412 L
.53141 .45888 L
.53135 .45893 L
.52658 .46256 L
.52494 .46376 L
.52174 .4658 L
.51823 .46859 L
.51691 .46948 L
.51244 .47342 L
.51208 .47474 L
.50776 .47826 L
.50725 .47943 L
.50347 .48309 L
.50242 .48408 L
.49908 .48792 L
.49758 .48939 L
.4939 .49275 L
.49275 .49366 L
.48792 .49702 L
.48702 .49758 L
.48309 .49991 L
.47998 .50242 L
.47826 .50309 L
.47342 .50709 L
.46871 .50242 L
.47342 .49935 L
.47387 .49758 L
.47826 .49553 L
.48096 .49275 L
.48309 .4908 L
.48561 .48792 L
.48792 .48559 L
.48977 .48309 L
.49275 .47988 L
.49393 .47826 L
.49758 .47594 L
.49902 .47342 L
.50242 .4715 L
.50673 .46859 L
.50725 .4683 L
.51208 .46551 L
.51477 .46376 L
.51691 .46221 L
.51998 .45893 L
.52174 .45799 L
.52504 .4541 L
Mistroke
.52658 .45274 L
.53065 .44927 L
.53141 .44849 L
Mfstroke
.39612 .44877 m
.39808 .44927 L
.39753 .4541 L
.39612 .45738 L
.39542 .45893 L
.39294 .46376 L
.39128 .46653 L
.39012 .46859 L
.38716 .47342 L
.38645 .47459 L
.38378 .47826 L
.38162 .48236 L
.38155 .48309 L
.37764 .48792 L
.37679 .48913 L
.37387 .49275 L
.37196 .49634 L
.3714 .49758 L
.36764 .50242 L
.36712 .50308 L
.36365 .50725 L
.36229 .51008 L
.36118 .51208 L
.35746 .51688 L
.35743 .51691 L
.35334 .52174 L
.35263 .52366 L
.35083 .52658 L
.3478 .53056 L
.34712 .53141 L
.34311 .53624 L
.34296 .53715 L
.34037 .54107 L
.33813 .54398 L
.33671 .5459 L
.3333 .55067 L
.33324 .55073 L
.32978 .55557 L
.32847 .5572 L
.32772 .5604 L
.32364 .56387 L
.32253 .56523 L
.31894 .57006 L
.31881 .57021 L
.31603 .57489 L
.31397 .57642 L
.3112 .57973 L
.30914 .58247 L
.30701 .58456 L
.30431 .58845 L
Mistroke
.30213 .58939 L
.29948 .59147 L
.29732 .58939 L
.29842 .58456 L
.29948 .5832 L
.30119 .57973 L
.30409 .57489 L
.30431 .57395 L
.30648 .57006 L
.30914 .56639 L
.30987 .56523 L
.31372 .5604 L
.31397 .5588 L
.31619 .55557 L
.31881 .5513 L
.31955 .55073 L
.32284 .5459 L
.32364 .54474 L
.32629 .54107 L
.32847 .53758 L
.32851 .53624 L
.33298 .53141 L
.3333 .53097 L
.33656 .52658 L
.33813 .52399 L
.3389 .52174 L
.34296 .51717 L
.34325 .51691 L
.34689 .51208 L
.3478 .51049 L
.3494 .50725 L
.35263 .50359 L
.35362 .50242 L
.35718 .49758 L
.35746 .49703 L
.36002 .49275 L
.36229 .49024 L
.36409 .48792 L
.36712 .48353 L
.36756 .48309 L
.37084 .47826 L
.37196 .4771 L
.37477 .47342 L
.37679 .47051 L
.37844 .46859 L
.38162 .46414 L
.38213 .46376 L
.38604 .45893 L
.38645 .45838 L
.39037 .4541 L
Mistroke
.39128 .45285 L
.39577 .44927 L
.39612 .44877 L
Mfstroke
.54107 .442 m
.54306 .44443 L
.54107 .44785 L
.5363 .44443 L
.54107 .442 L
s
.51208 .43856 m
.51691 .43522 L
.52032 .4396 L
.51691 .44361 L
.51627 .44443 L
.51208 .44926 L
.51207 .44927 L
.50738 .4541 L
.50725 .45442 L
.50242 .45889 L
.50236 .45893 L
.49758 .46244 L
.49558 .46376 L
.49275 .46548 L
.48814 .46859 L
.48792 .46886 L
.48309 .47266 L
.48232 .47342 L
.47826 .47751 L
.47756 .47826 L
.47342 .48262 L
.47297 .48309 L
.46859 .48744 L
.46806 .48792 L
.46376 .49153 L
.46195 .49275 L
.45893 .49459 L
.4541 .49598 L
.45374 .49275 L
.4541 .49238 L
.45694 .48792 L
.45893 .48584 L
.46055 .48309 L
.46376 .48019 L
.46432 .47826 L
.46859 .47527 L
.46925 .47342 L
.47342 .4708 L
.47707 .46859 L
.47826 .46833 L
.48309 .46486 L
.48454 .46376 L
.48792 .46111 L
.48879 .45893 L
.49275 .4564 L
.4936 .4541 L
.49758 .45126 L
.49949 .44927 L
.50242 .44506 L
.50428 .44443 L
Mistroke
.50725 .44147 L
.5099 .4396 L
.51208 .43856 L
Mfstroke
.28498 .43733 m
.28755 .4396 L
.28498 .44231 L
.2839 .4396 L
.28498 .43733 L
s
.52174 .43318 m
.52405 .43477 L
.52174 .43758 L
.51787 .43477 L
.52174 .43318 L
s
.48792 .43417 m
.49275 .43157 L
.49556 .43477 L
.49275 .43719 L
.49054 .4396 L
.48792 .44233 L
.48607 .44443 L
.48309 .44768 L
.48162 .44927 L
.47826 .45274 L
.47684 .4541 L
.47342 .45714 L
.47105 .45893 L
.46859 .4606 L
.46376 .46304 L
.46206 .45893 L
.46376 .45691 L
.46593 .4541 L
.46859 .45106 L
.47012 .44927 L
.47342 .44574 L
.4747 .44443 L
.47826 .44111 L
.48008 .4396 L
.48309 .43557 L
.48626 .43477 L
.48792 .43417 L
s
.68603 .42849 m
.689 .42994 L
.6872 .43477 L
.68603 .43705 L
.68463 .4396 L
.68201 .44443 L
.68119 .44607 L
.67887 .44927 L
.67636 .45319 L
.67577 .4541 L
.67265 .45893 L
.67153 .46082 L
.67116 .46376 L
.6667 .46762 L
.66602 .46859 L
.66266 .47342 L
.66187 .47473 L
.66047 .47826 L
.65704 .48194 L
.65587 .48309 L
.65244 .48792 L
.6522 .48831 L
.64973 .49275 L
.64737 .49523 L
.64543 .49758 L
.64254 .50209 L
.64193 .50242 L
.63867 .50725 L
.63771 .5082 L
.63464 .51208 L
.63288 .51484 L
.63086 .51691 L
.62804 .52058 L
.62699 .52174 L
.62321 .52626 L
.61868 .52174 L
.61939 .51691 L
.62321 .5138 L
.62425 .51208 L
.62739 .50725 L
.62804 .50584 L
.62941 .50242 L
.63288 .49788 L
.63362 .49758 L
.63713 .49275 L
.63771 .49147 L
.63962 .48792 L
.64254 .48421 L
.64358 .48309 L
.64715 .47826 L
Mistroke
.64737 .47766 L
.65002 .47342 L
.6522 .47071 L
.65387 .46859 L
.65704 .46396 L
.65734 .46376 L
.66068 .45893 L
.66187 .45753 L
.66448 .4541 L
.6667 .45084 L
.66815 .44927 L
.67153 .44478 L
.67183 .44443 L
.67488 .4396 L
.67636 .43869 L
.67986 .43477 L
.68119 .43272 L
.68456 .42994 L
.68603 .42849 L
Mfstroke
.38162 .42434 m
.38645 .42051 L
.38802 .42511 L
.38645 .42886 L
.38595 .42994 L
.38381 .43477 L
.38162 .4379 L
.38065 .4396 L
.37701 .44443 L
.37679 .44603 L
.37459 .44927 L
.37196 .45386 L
.37136 .4541 L
.36814 .45893 L
.36712 .46046 L
.36466 .46376 L
.36229 .4677 L
.36146 .46859 L
.35813 .47342 L
.35746 .47435 L
.35446 .47826 L
.35263 .48139 L
.35204 .48309 L
.34792 .48792 L
.3478 .48808 L
.34415 .49275 L
.34296 .49496 L
.34167 .49758 L
.33813 .50183 L
.33761 .50242 L
.33385 .50725 L
.3333 .50844 L
.33119 .51208 L
.32847 .51531 L
.32722 .51691 L
.32369 .52174 L
.32364 .52192 L
.32057 .52658 L
.31881 .5286 L
.31669 .53141 L
.31397 .53531 L
.31317 .53624 L
.30972 .54107 L
.30914 .54167 L
.30589 .5459 L
.30431 .5481 L
.3021 .55073 L
.29948 .55439 L
.2982 .55557 L
.29465 .5598 L
Mistroke
.29402 .5604 L
.28981 .56454 L
.28648 .5604 L
.28833 .55557 L
.28981 .55331 L
.29117 .55073 L
.29457 .5459 L
.29465 .5447 L
.29706 .54107 L
.29948 .53648 L
.30013 .53624 L
.30329 .53141 L
.30431 .52986 L
.30683 .52658 L
.30914 .52255 L
.30926 .52174 L
.3132 .51691 L
.31397 .51585 L
.31698 .51208 L
.31881 .50878 L
.31945 .50725 L
.32337 .50242 L
.32364 .50208 L
.32728 .49758 L
.32847 .49517 L
.32977 .49275 L
.3333 .48831 L
.33365 .48792 L
.33758 .48309 L
.33813 .48166 L
.3402 .47826 L
.34296 .47478 L
.34402 .47342 L
.34772 .46859 L
.3478 .46819 L
.35073 .46376 L
.35263 .46145 L
.3545 .45893 L
.35746 .45473 L
.358 .4541 L
.36145 .44927 L
.36229 .44832 L
.36363 .44443 L
.36712 .44179 L
.36892 .4396 L
.37196 .43544 L
.37267 .43477 L
.37641 .42994 L
.37679 .4297 L
.38101 .42511 L
Mistroke
.38162 .42434 L
Mfstroke
.6667 .41357 m
.66973 .41544 L
.66753 .42027 L
.6667 .4218 L
.66473 .42511 L
.66187 .42994 L
.66187 .42994 L
.65872 .43477 L
.65704 .43737 L
.6555 .4396 L
.65234 .44443 L
.6522 .44463 L
.64893 .44927 L
.64737 .45246 L
.64552 .4541 L
.64254 .45842 L
.64215 .45893 L
.63959 .46376 L
.63771 .46544 L
.63506 .46859 L
.63288 .47167 L
.63147 .47342 L
.62804 .47807 L
.62789 .47826 L
.62401 .48309 L
.62321 .48457 L
.61986 .48792 L
.61838 .48975 L
.61395 .48792 L
.61643 .48309 L
.61838 .47972 L
.61925 .47826 L
.62177 .47342 L
.62321 .47123 L
.62529 .46859 L
.62804 .46442 L
.62849 .46376 L
.6315 .45893 L
.63288 .45705 L
.63508 .4541 L
.63771 .4495 L
.63849 .44927 L
.64183 .44443 L
.64254 .44351 L
.64544 .4396 L
.64737 .43655 L
.64906 .43477 L
.6522 .43055 L
.65271 .42994 L
.65583 .42511 L
Mistroke
.65704 .42431 L
.66052 .42027 L
.66187 .41788 L
.66495 .41544 L
.6667 .41357 L
Mfstroke
.51691 .4092 m
.52174 .40916 L
.52176 .41061 L
.52174 .41064 L
.51879 .41544 L
.51691 .41766 L
.51468 .42027 L
.51208 .42278 L
.5095 .42511 L
.50725 .42677 L
.50288 .42994 L
.50242 .43006 L
.49758 .43301 L
.49504 .42994 L
.49758 .42794 L
.50053 .42511 L
.50242 .42322 L
.50528 .42027 L
.50725 .41823 L
.51017 .41544 L
.51208 .41362 L
.516 .41061 L
.51691 .4092 L
s
.48792 .40873 m
.49275 .40586 L
.49305 .41061 L
.49275 .41098 L
.48908 .41544 L
.48792 .41669 L
.48439 .42027 L
.48309 .42145 L
.47833 .42511 L
.47826 .42523 L
.47342 .427 L
.47266 .42511 L
.47342 .42406 L
.47625 .42027 L
.47826 .41797 L
.48055 .41544 L
.48309 .41288 L
.48563 .41061 L
.48792 .40873 L
s
.37196 .39839 m
.37446 .40095 L
.37325 .40578 L
.37196 .40729 L
.37024 .41061 L
.36735 .41544 L
.36712 .41622 L
.36496 .42027 L
.36229 .42372 L
.36141 .42511 L
.35776 .42994 L
.35746 .43125 L
.35518 .43477 L
.35263 .43882 L
.35167 .4396 L
.34837 .44443 L
.3478 .44528 L
.34504 .44927 L
.34296 .45246 L
.34159 .4541 L
.33822 .45893 L
.33813 .45905 L
.33476 .46376 L
.3333 .46601 L
.33256 .46859 L
.32847 .47292 L
.32792 .47342 L
.32441 .47826 L
.32364 .47949 L
.32193 .48309 L
.31881 .48639 L
.31752 .48792 L
.31407 .49275 L
.31397 .49292 L
.31115 .49758 L
.30914 .49964 L
.30697 .50242 L
.30431 .50636 L
.30344 .50725 L
.30005 .51208 L
.29948 .51262 L
.2961 .51691 L
.29465 .51904 L
.29225 .52174 L
.28981 .52539 L
.28825 .52658 L
.28498 .53034 L
.28379 .53141 L
.28015 .53448 L
.27808 .53141 L
Mistroke
.27988 .52658 L
.28015 .52608 L
.28226 .52174 L
.28498 .51698 L
.28502 .51691 L
.28818 .51208 L
.28981 .50842 L
.29006 .50725 L
.29407 .50242 L
.29465 .50157 L
.29782 .49758 L
.29948 .49416 L
.30019 .49275 L
.30387 .48792 L
.30431 .48734 L
.30792 .48309 L
.30914 .48027 L
.31035 .47826 L
.31397 .47344 L
.31399 .47342 L
.31821 .46859 L
.31881 .46662 L
.32067 .46376 L
.32364 .45971 L
.32425 .45893 L
.32843 .4541 L
.32847 .45311 L
.3311 .44927 L
.3333 .44626 L
.33465 .44443 L
.33812 .4396 L
.33813 .43959 L
.34166 .43477 L
.34296 .43304 L
.34386 .42994 L
.3478 .42637 L
.34882 .42511 L
.35243 .42027 L
.35263 .42005 L
.35539 .41544 L
.35746 .41382 L
.36013 .41061 L
.36229 .40774 L
.36427 .40578 L
.36712 .40167 L
.36897 .40095 L
.37196 .39839 L
Mfstroke
.31881 .38829 m
.3223 .39128 L
.31947 .39612 L
.31881 .39722 L
.31628 .40095 L
.31397 .40462 L
.31313 .40578 L
.30985 .41061 L
.30914 .41168 L
.30636 .41544 L
.30431 .41849 L
.30292 .42027 L
.2995 .42511 L
.29948 .42516 L
.2957 .42994 L
.29465 .43143 L
.29178 .43477 L
.28981 .43734 L
.28634 .43477 L
.28903 .42994 L
.28981 .42868 L
.29204 .42511 L
.29465 .42106 L
.29518 .42027 L
.29837 .41544 L
.29948 .4132 L
.30176 .41061 L
.30431 .407 L
.30523 .40578 L
.30833 .40095 L
.30914 .4003 L
.31245 .39612 L
.31397 .39412 L
.31637 .39128 L
.31881 .38829 L
s
.35263 .38353 m
.35503 .38645 L
.35335 .39128 L
.35263 .39201 L
.35034 .39612 L
.3478 .40046 L
.34749 .40095 L
.34504 .40578 L
.34296 .40806 L
.34128 .41061 L
.33813 .4154 L
.33811 .41544 L
.33519 .42027 L
.3333 .42302 L
.33146 .42511 L
.32847 .42948 L
.32814 .42994 L
.32497 .43477 L
.32364 .43661 L
.32131 .4396 L
.31881 .44384 L
.3179 .44443 L
.31457 .44927 L
.31397 .45006 L
.31247 .4541 L
.30914 .45708 L
.30745 .45893 L
.30431 .46338 L
.30401 .46376 L
.30116 .46859 L
.29948 .47006 L
.29674 .47342 L
.29465 .47689 L
.29307 .47826 L
.28981 .48258 L
.28937 .48309 L
.28539 .48792 L
.28498 .48856 L
.28092 .49275 L
.28015 .49422 L
.27573 .49275 L
.27763 .48792 L
.28014 .48309 L
.28015 .48306 L
.28206 .47826 L
.28498 .47477 L
.28578 .47342 L
.28931 .46859 L
.28981 .46695 L
.29169 .46376 L
Mistroke
.29465 .4594 L
.29518 .45893 L
.29918 .4541 L
.29948 .45259 L
.30171 .44927 L
.30431 .44545 L
.30511 .44443 L
.30847 .4396 L
.30914 .43875 L
.31198 .43477 L
.31397 .43183 L
.31536 .42994 L
.31881 .42513 L
.31883 .42511 L
.32245 .42027 L
.32364 .41853 L
.32471 .41544 L
.32847 .41185 L
.32949 .41061 L
.33314 .40578 L
.3333 .40556 L
.33617 .40095 L
.33813 .3993 L
.34078 .39612 L
.34296 .39313 L
.34489 .39128 L
.3478 .38795 L
.34945 .38645 L
.35263 .38353 L
Mfstroke
.32364 .38327 m
.32488 .38645 L
.32364 .38909 L
.32063 .38645 L
.32364 .38327 L
s
.73434 .14901 m
.73918 .14841 L
.74401 .14801 L
.74884 .14777 L
.75367 .14764 L
.7585 .14764 L
.76334 .14774 L
.76817 .14797 L
.773 .14835 L
.77783 .14892 L
.78236 .14969 L
.78266 .14971 L
.7875 .15032 L
.79233 .15203 L
.79531 .15452 L
.79716 .15639 L
.79828 .15935 L
.79716 .16268 L
.7958 .16419 L
.79233 .16735 L
.7875 .16879 L
.78537 .16902 L
.78266 .16969 L
.77783 .17058 L
.773 .17119 L
.76817 .1716 L
.76334 .17185 L
.7585 .17197 L
.75367 .17196 L
.74884 .17183 L
.74401 .17156 L
.73918 .17113 L
.73434 .17048 L
.72951 .16954 L
.72745 .16902 L
.72468 .16869 L
.71985 .16696 L
.71702 .16419 L
.71502 .16156 L
.71454 .15935 L
.71502 .15748 L
.71751 .15452 L
.71985 .15244 L
.72468 .15045 L
.72951 .14976 L
.73046 .14969 L
.73434 .14901 L
s
.91312 .10041 m
.91796 .09992 L
.92247 .10137 L
.92279 .10155 L
.92762 .10559 L
.92817 .1062 L
.93143 .11104 L
.93245 .11314 L
.93365 .11587 L
.93529 .1207 L
.93644 .12553 L
.93721 .13036 L
.93728 .13093 L
.93766 .1352 L
.93777 .14003 L
.93758 .14486 L
.93728 .14855 L
.93706 .14969 L
.93619 .15452 L
.93493 .15935 L
.93314 .16419 L
.93245 .16571 L
.93075 .16902 L
.92762 .17326 L
.92726 .17385 L
.92279 .1773 L
.91932 .17868 L
.91796 .17893 L
.91401 .17868 L
.91312 .17844 L
.90829 .17575 L
.90609 .17385 L
.90346 .1703 L
.90263 .16902 L
.90016 .16419 L
.89863 .16 L
.89842 .15935 L
.89714 .15452 L
.89626 .14969 L
.89574 .14486 L
.89555 .14003 L
.89567 .1352 L
.89611 .13036 L
.8969 .12553 L
.89807 .1207 L
.89863 .11887 L
.89968 .11587 L
.90192 .11104 L
.90346 .10855 L
.90503 .1062 L
Mistroke
.90829 .10309 L
.91087 .10137 L
.91312 .10041 L
Mfstroke
.59422 .10001 m
.59905 .10022 L
.60195 .10137 L
.60388 .10259 L
.60779 .1062 L
.60872 .10762 L
.61091 .11104 L
.61313 .11587 L
.61355 .117 L
.61476 .1207 L
.61593 .12553 L
.61671 .13036 L
.61715 .1352 L
.61727 .14003 L
.61708 .14486 L
.61656 .14969 L
.61569 .15452 L
.61441 .15935 L
.61355 .16187 L
.61265 .16419 L
.61021 .16902 L
.60872 .17123 L
.60679 .17385 L
.60388 .17625 L
.59905 .17862 L
.59882 .17868 L
.59422 .17883 L
.59349 .17868 L
.58939 .17691 L
.58549 .17385 L
.58456 .17249 L
.58208 .16902 L
.57973 .16427 L
.57969 .16419 L
.5779 .15935 L
.57662 .15452 L
.57576 .14969 L
.57524 .14486 L
.57505 .14003 L
.57516 .1352 L
.5756 .13036 L
.57637 .12553 L
.57754 .1207 L
.57918 .11587 L
.57973 .11457 L
.58139 .11104 L
.58456 .10635 L
.58465 .1062 L
.58939 .10193 L
.59035 .10137 L
Mistroke
.59422 .10001 L
Mfstroke
.72951 .08605 m
.73434 .08453 L
.73918 .08361 L
.74401 .08303 L
.74884 .08269 L
.75367 .08252 L
.7585 .08251 L
.76334 .08266 L
.76817 .08297 L
.773 .08351 L
.77783 .08438 L
.78266 .08579 L
.78514 .08688 L
.7875 .08808 L
.79135 .09171 L
.79072 .09654 L
.7875 .099 L
.78266 .10093 L
.78109 .10137 L
.77783 .10218 L
.773 .103 L
.76817 .10352 L
.76334 .10383 L
.7585 .10396 L
.75367 .10395 L
.74884 .10379 L
.74401 .10347 L
.73918 .10291 L
.73434 .10204 L
.73174 .10137 L
.72951 .10073 L
.72468 .09864 L
.7221 .09654 L
.72147 .09171 L
.72468 .08848 L
.72768 .08688 L
.72951 .08605 L
s
.32364 .85509 m
.32557 .85514 L
.32847 .85544 L
.3333 .85709 L
.33665 .85997 L
.33813 .86205 L
.33938 .8648 L
.34066 .86964 L
.34106 .87447 L
.34067 .8793 L
.33939 .88413 L
.33813 .88685 L
.33662 .88896 L
.3333 .89161 L
.32847 .89298 L
.32364 .89308 L
.31881 .89276 L
.31397 .89238 L
.30914 .89204 L
.30431 .89176 L
.29948 .89155 L
.29465 .89139 L
.28981 .89127 L
.28498 .89119 L
.28015 .89112 L
.27532 .89107 L
.27049 .89103 L
.26566 .89101 L
.26082 .89099 L
.25599 .89098 L
.25116 .89097 L
.24633 .89096 L
.2415 .89096 L
.23666 .89097 L
.23183 .89097 L
.227 .89099 L
.22217 .891 L
.21734 .89103 L
.2125 .89106 L
.20767 .8911 L
.20284 .89114 L
.19801 .89119 L
.19318 .89123 L
.18835 .89123 L
.18351 .89109 L
.17868 .89064 L
.17385 .88944 L
.17272 .88896 L
.16902 .88645 L
.16715 .88413 L
Mistroke
.16502 .8793 L
.16433 .87447 L
.16477 .86964 L
.16653 .8648 L
.16902 .86138 L
.17085 .85997 L
.17385 .85839 L
.17868 .85713 L
.18351 .85664 L
.18835 .85648 L
.19318 .85645 L
.19801 .85647 L
.20284 .85651 L
.20767 .85655 L
.2125 .85658 L
.21734 .85661 L
.22217 .85663 L
.227 .85665 L
.23183 .85666 L
.23666 .85667 L
.2415 .85667 L
.24633 .85667 L
.25116 .85666 L
.25599 .85666 L
.26082 .85665 L
.26566 .85663 L
.27049 .8566 L
.27532 .85657 L
.28015 .85653 L
.28498 .85647 L
.28981 .8564 L
.29465 .85629 L
.29948 .85616 L
.30431 .85598 L
.30914 .85576 L
.31397 .85549 L
.31881 .85522 L
.32079 .85514 L
.32364 .85509 L
Mfstroke
.227 .69547 m
.23183 .69501 L
.23666 .69472 L
.2415 .69459 L
.24633 .69459 L
.25116 .69472 L
.25599 .69501 L
.26082 .69554 L
.26183 .69569 L
.26566 .69636 L
.27049 .69736 L
.27532 .69842 L
.28015 .69987 L
.28145 .70052 L
.28498 .70335 L
.28623 .70535 L
.28672 .71019 L
.28498 .71248 L
.28015 .71499 L
.28008 .71502 L
.27532 .71658 L
.27049 .7175 L
.26566 .71804 L
.26082 .71837 L
.25599 .71858 L
.25116 .71871 L
.24633 .71877 L
.2415 .71878 L
.23666 .71872 L
.23183 .7186 L
.227 .7184 L
.22217 .71807 L
.21734 .71756 L
.2125 .71673 L
.20767 .71536 L
.2068 .71502 L
.20284 .71335 L
.19954 .71019 L
.20038 .70535 L
.20284 .70294 L
.20693 .70052 L
.20767 .70016 L
.2125 .69831 L
.21734 .69704 L
.22217 .69613 L
.22521 .69569 L
.227 .69547 L
s
.35263 .67851 m
.35646 .68119 L
.35263 .68402 L
.35167 .68119 L
.35263 .67851 L
s
.32364 .67675 m
.32616 .68119 L
.32364 .6823 L
.32282 .68119 L
.32364 .67675 L
s
.67153 .65968 m
.67578 .66187 L
.67153 .66522 L
.67066 .66187 L
.67153 .65968 L
s
.64254 .65816 m
.64556 .66187 L
.64254 .66329 L
.64174 .66187 L
.64254 .65816 L
s
.47342 .65733 m
.47462 .66187 L
.47342 .6621 L
.47273 .66187 L
.47342 .65733 L
s
.53624 .6566 m
.53872 .65704 L
.53624 .65816 L
.53595 .65704 L
.53624 .6566 L
s
.54107 .6508 m
.54427 .6522 L
.54107 .65528 L
.53968 .6522 L
.54107 .6508 L
s
.5459 .64687 m
.54768 .64737 L
.5459 .65015 L
.54509 .64737 L
.5459 .64687 L
s
.45893 .64204 m
.46376 .63794 L
.46701 .64254 L
.46376 .6453 L
.46109 .64737 L
.45893 .64914 L
.45451 .64737 L
.45814 .64254 L
.45893 .64204 L
s
.42994 .61678 m
.43451 .61838 L
.42994 .61991 L
.42909 .61838 L
.42994 .61678 L
s
.5604 .60601 m
.56516 .60872 L
.56103 .61355 L
.5604 .61582 L
.5569 .61838 L
.55557 .62041 L
.55264 .62321 L
.55073 .62463 L
.54758 .62804 L
.5459 .62955 L
.54108 .63288 L
.54107 .63289 L
.53624 .63597 L
.53374 .63771 L
.53141 .6395 L
.52801 .64254 L
.52658 .64395 L
.52318 .64737 L
.52174 .64905 L
.51876 .6522 L
.51691 .65327 L
.51412 .65704 L
.51208 .65842 L
.50757 .66187 L
.50725 .662 L
.50242 .66463 L
.4992 .66187 L
.50242 .65736 L
.50265 .65704 L
.50663 .6522 L
.50725 .65109 L
.51093 .64737 L
.51208 .64639 L
.51624 .64254 L
.51691 .64211 L
.52174 .63877 L
.52334 .63771 L
.52658 .63584 L
.53007 .63288 L
.53141 .63236 L
.53614 .62804 L
.53624 .62786 L
.54074 .62321 L
.54107 .62278 L
.54507 .61838 L
.5459 .6177 L
.54971 .61355 L
.55073 .613 L
.55557 .60895 L
.55589 .60872 L
Mistroke
.5604 .60601 L
Mfstroke
.56523 .60368 m
.56777 .60388 L
.56523 .6086 L
.56472 .60388 L
.56523 .60368 L
s
.41544 .58654 m
.41967 .58939 L
.4192 .59422 L
.41596 .59905 L
.41544 .60353 L
.41475 .60388 L
.41098 .60872 L
.41061 .60993 L
.40786 .61355 L
.40578 .61695 L
.40531 .61838 L
.40138 .62321 L
.40095 .62368 L
.39731 .62804 L
.39612 .63059 L
.39483 .63288 L
.39128 .63747 L
.3911 .63771 L
.38692 .64254 L
.38645 .644 L
.38427 .64737 L
.38162 .65075 L
.38057 .6522 L
.3768 .65704 L
.37679 .65718 L
.37333 .66187 L
.37196 .66343 L
.36946 .6667 L
.36712 .66966 L
.36547 .67153 L
.36229 .67583 L
.36126 .67636 L
.35746 .68039 L
.35372 .67636 L
.35632 .67153 L
.35746 .66956 L
.35927 .6667 L
.36222 .66187 L
.36229 .66173 L
.36548 .65704 L
.36712 .65452 L
.36874 .6522 L
.37193 .64737 L
.37196 .64734 L
.37418 .64254 L
.37679 .63945 L
.37875 .63771 L
.38162 .63346 L
.38206 .63288 L
.38483 .62804 L
Mistroke
.38645 .62624 L
.38899 .62321 L
.39128 .61985 L
.3924 .61838 L
.39561 .61355 L
.39612 .61301 L
.39941 .60872 L
.40095 .60582 L
.40298 .60388 L
.40578 .59992 L
.40648 .59905 L
.41014 .59422 L
.41061 .59339 L
.41402 .58939 L
.41544 .58654 L
Mfstroke
.42027 .57949 m
.42239 .57973 L
.42049 .58456 L
.42027 .5859 L
.41796 .58456 L
.42018 .57973 L
.42027 .57949 L
s
.56523 .57412 m
.57006 .57174 L
.57429 .57489 L
.5709 .57973 L
.57006 .58118 L
.56697 .58456 L
.56523 .58604 L
.56094 .58939 L
.5604 .59001 L
.55642 .59422 L
.55557 .59609 L
.55155 .59905 L
.55073 .59962 L
.5459 .60274 L
.54422 .60388 L
.54107 .60627 L
.53724 .60872 L
.53624 .61136 L
.53227 .61355 L
.53141 .61506 L
.52811 .61838 L
.52658 .6192 L
.52384 .62321 L
.52174 .6257 L
.51887 .62804 L
.51691 .62996 L
.51231 .63288 L
.51208 .63331 L
.50725 .63627 L
.50617 .63771 L
.50242 .63949 L
.49858 .64254 L
.49758 .64333 L
.49345 .64737 L
.49275 .6481 L
.48868 .6522 L
.48792 .65286 L
.48326 .65704 L
.48309 .65714 L
.47826 .6605 L
.47358 .65704 L
.47693 .6522 L
.47826 .65076 L
.48085 .64737 L
.48309 .64544 L
.48586 .64254 L
.48792 .64065 L
.49265 .63771 L
.49275 .63758 L
.49758 .63455 L
Mistroke
.49834 .63288 L
.50242 .63083 L
.50498 .62804 L
.50725 .62621 L
.50962 .62321 L
.51208 .62106 L
.51372 .61838 L
.51691 .61416 L
.5178 .61355 L
.52174 .61054 L
.523 .60872 L
.52658 .60683 L
.53069 .60388 L
.53141 .60348 L
.53624 .60059 L
.53844 .59905 L
.54107 .59715 L
.54319 .59422 L
.5459 .59278 L
.54798 .58939 L
.55073 .58649 L
.55387 .58456 L
.55557 .5822 L
.55864 .57973 L
.5604 .57856 L
.56424 .57489 L
.56523 .57412 L
Mfstroke
.73918 .56468 m
.74199 .56523 L
.74044 .57006 L
.73918 .57255 L
.73804 .57489 L
.7354 .57973 L
.73434 .58203 L
.73257 .58456 L
.72951 .58936 L
.7295 .58939 L
.72617 .59422 L
.72468 .59704 L
.72328 .59905 L
.71999 .60388 L
.71985 .60406 L
.71627 .60872 L
.71502 .61114 L
.71405 .61355 L
.71019 .6181 L
.70993 .61838 L
.70605 .62321 L
.70535 .62472 L
.70347 .62804 L
.70052 .63151 L
.69948 .63288 L
.69577 .63771 L
.69569 .63793 L
.69249 .64254 L
.69086 .64428 L
.68845 .64737 L
.68603 .65061 L
.68452 .6522 L
.68119 .65619 L
.68038 .65704 L
.67636 .66138 L
.67292 .65704 L
.67555 .6522 L
.67636 .65082 L
.67855 .64737 L
.68119 .64308 L
.68156 .64254 L
.6837 .63771 L
.68603 .63581 L
.68808 .63288 L
.69086 .62867 L
.69131 .62804 L
.69399 .62321 L
.69569 .62119 L
.69811 .61838 L
.70052 .61482 L
Mistroke
.70147 .61355 L
.70457 .60872 L
.70535 .60783 L
.7084 .60388 L
.71019 .60032 L
.71189 .59905 L
.71502 .59458 L
.7153 .59422 L
.71892 .58939 L
.71985 .58767 L
.7226 .58456 L
.72468 .58162 L
.72625 .57973 L
.72951 .57539 L
.72995 .57489 L
.73398 .57006 L
.73434 .56936 L
.73867 .56523 L
.73918 .56468 L
Mfstroke
.74401 .51412 m
.74811 .51691 L
.74626 .52174 L
.74401 .52602 L
.74374 .52658 L
.74037 .53141 L
.73918 .53508 L
.73841 .53624 L
.7352 .54107 L
.73434 .54231 L
.73099 .5459 L
.72951 .5498 L
.7288 .55073 L
.72563 .55557 L
.72468 .55675 L
.72085 .5604 L
.71985 .5639 L
.71879 .56523 L
.7156 .57006 L
.71502 .57068 L
.71229 .57489 L
.71019 .57765 L
.70851 .57973 L
.70537 .58456 L
.70535 .58457 L
.70204 .58939 L
.70052 .5912 L
.69808 .59422 L
.69569 .59818 L
.69536 .59905 L
.69168 .60388 L
.69086 .60466 L
.68757 .60872 L
.68603 .61156 L
.68502 .61355 L
.6812 .61838 L
.68119 .61838 L
.67707 .62321 L
.67636 .62474 L
.67444 .62804 L
.67153 .63152 L
.67056 .63288 L
.66676 .63771 L
.6667 .63788 L
.66345 .64254 L
.66187 .64412 L
.65939 .64737 L
.65704 .65028 L
.65536 .6522 L
.6522 .65603 L
Mistroke
.65101 .65704 L
.64737 .66066 L
.64299 .65704 L
.6453 .6522 L
.64737 .64849 L
.64803 .64737 L
.65092 .64254 L
.6522 .64063 L
.65251 .63771 L
.65704 .63321 L
.65726 .63288 L
.66063 .62804 L
.66187 .62556 L
.66285 .62321 L
.6667 .61908 L
.66719 .61838 L
.67073 .61355 L
.67153 .61192 L
.67322 .60872 L
.67636 .60458 L
.67737 .60388 L
.68089 .59905 L
.68119 .59834 L
.68366 .59422 L
.68603 .5912 L
.68765 .58939 L
.69086 .58476 L
.69101 .58456 L
.69415 .57973 L
.69569 .5778 L
.69798 .57489 L
.70052 .57079 L
.70139 .57006 L
.70467 .56523 L
.70535 .56439 L
.7067 .5604 L
.71019 .55745 L
.71183 .55557 L
.71502 .55082 L
.71522 .55073 L
.71789 .5459 L
.71985 .54424 L
.72239 .54107 L
.72468 .53743 L
.72591 .53624 L
.72937 .53141 L
.72951 .53129 L
.73327 .52658 L
.73434 .5249 L
.73721 .52174 L
Mistroke
.73918 .51854 L
.7414 .51691 L
.74401 .51412 L
Mfstroke
.57973 .51169 m
.5801 .51208 L
.58033 .51691 L
.57973 .5183 L
.57803 .52174 L
.57489 .52569 L
.57416 .52658 L
.57006 .53037 L
.56865 .53141 L
.56523 .53402 L
.56228 .53624 L
.5604 .53819 L
.55637 .54107 L
.55557 .54154 L
.55148 .5459 L
.55073 .54665 L
.54697 .55073 L
.5459 .55185 L
.54243 .55557 L
.54107 .55696 L
.53747 .5604 L
.53624 .5615 L
.53141 .56512 L
.53138 .56523 L
.52658 .56907 L
.52281 .57006 L
.52174 .57094 L
.51746 .57489 L
.51691 .57538 L
.51243 .57973 L
.51208 .58009 L
.50785 .58456 L
.50725 .58523 L
.50328 .58939 L
.50242 .59033 L
.4983 .59422 L
.49758 .59492 L
.49275 .59876 L
.49209 .59905 L
.48792 .6011 L
.48457 .60388 L
.48309 .60489 L
.47826 .60856 L
.47807 .60872 L
.47342 .6131 L
.47295 .61355 L
.46859 .61805 L
.46824 .61838 L
.46376 .62288 L
.46337 .62321 L
Mistroke
.45893 .62732 L
.45751 .62804 L
.4541 .63009 L
.44927 .63209 L
.44683 .62804 L
.44927 .62553 L
.45037 .62321 L
.4541 .61919 L
.45426 .61838 L
.45893 .61366 L
.45902 .61355 L
.46376 .60893 L
.46397 .60872 L
.46859 .60515 L
.47034 .60388 L
.47342 .60197 L
.4776 .59905 L
.47826 .59843 L
.48309 .59469 L
.48354 .59422 L
.48792 .58993 L
.4884 .58939 L
.49275 .58475 L
.49292 .58456 L
.49749 .57973 L
.49758 .57963 L
.50242 .57501 L
.50255 .57489 L
.50725 .57125 L
.50799 .57006 L
.51208 .56756 L
.51676 .56523 L
.51691 .56506 L
.52174 .56118 L
.52258 .5604 L
.52658 .55655 L
.52752 .55557 L
.53141 .55143 L
.53207 .55073 L
.53624 .5463 L
.53664 .5459 L
.54107 .54162 L
.54173 .54107 L
.5459 .53738 L
.54819 .53624 L
.55073 .53548 L
.55557 .5315 L
.5557 .53141 L
.5604 .52794 L
.56198 .52658 L
Mistroke
.56523 .52345 L
.56699 .52174 L
.57006 .51847 L
.57171 .51691 L
.57489 .51373 L
.57771 .51208 L
.57973 .51169 L
Mfstroke
.74401 .47166 m
.74789 .47342 L
.74667 .47826 L
.74448 .48309 L
.74401 .4843 L
.74166 .48792 L
.73918 .49266 L
.73912 .49275 L
.73628 .49758 L
.73434 .50063 L
.73265 .50242 L
.72988 .50725 L
.72951 .50772 L
.72672 .51208 L
.72468 .51492 L
.7227 .51691 L
.71994 .52174 L
.71985 .52184 L
.71667 .52658 L
.71502 .52874 L
.7123 .53141 L
.71019 .5357 L
.70979 .53624 L
.70645 .54107 L
.70535 .54237 L
.70168 .5459 L
.70052 .54933 L
.69947 .55073 L
.69614 .55557 L
.69569 .55599 L
.69276 .5604 L
.69086 .56284 L
.68907 .56523 L
.68603 .56976 L
.68581 .57006 L
.68243 .57489 L
.68119 .57629 L
.67862 .57973 L
.67636 .58327 L
.67599 .58456 L
.67205 .58939 L
.67153 .58979 L
.66817 .59422 L
.6667 .59664 L
.66565 .59905 L
.66187 .60356 L
.66163 .60388 L
.65774 .60872 L
.65704 .60989 L
.6551 .61355 L
Mistroke
.6522 .61678 L
.65107 .61838 L
.64744 .62321 L
.64737 .62328 L
.6442 .62804 L
.64254 .62957 L
.64011 .63288 L
.63771 .63593 L
.63622 .63771 L
.63288 .64181 L
.6321 .64254 L
.62804 .64722 L
.62728 .64737 L
.62321 .65015 L
.6212 .64737 L
.62265 .64254 L
.62321 .6415 L
.62506 .63771 L
.6278 .63288 L
.62804 .63238 L
.63097 .62804 L
.63288 .62483 L
.63309 .62321 L
.63709 .61838 L
.63771 .61738 L
.64078 .61355 L
.64254 .60977 L
.64322 .60872 L
.64708 .60388 L
.64737 .60345 L
.65099 .59905 L
.6522 .59624 L
.65346 .59422 L
.65704 .58973 L
.65728 .58939 L
.66127 .58456 L
.66187 .58274 L
.66381 .57973 L
.6667 .5757 L
.66756 .57489 L
.67144 .57006 L
.67153 .56922 L
.6742 .56523 L
.67636 .56223 L
.67787 .5604 L
.68119 .5556 L
.68125 .55557 L
.68462 .55073 L
.68603 .54877 L
.68672 .5459 L
Mistroke
.69086 .54186 L
.69162 .54107 L
.69502 .53624 L
.69569 .53529 L
.69745 .53141 L
.70052 .52839 L
.702 .52658 L
.70535 .52175 L
.70536 .52174 L
.70821 .51691 L
.71019 .515 L
.71243 .51208 L
.71502 .50818 L
.71586 .50725 L
.71907 .50242 L
.71985 .50169 L
.72297 .49758 L
.72468 .49501 L
.72656 .49275 L
.72951 .48849 L
.73013 .48792 L
.7339 .48309 L
.73434 .48247 L
.73802 .47826 L
.73918 .47665 L
.74272 .47342 L
.74401 .47166 L
Mfstroke
.57973 .4557 m
.58395 .45893 L
.58118 .46376 L
.57973 .46579 L
.5788 .46859 L
.57489 .47162 L
.57335 .47342 L
.57006 .47698 L
.56877 .47826 L
.56523 .48235 L
.56447 .48309 L
.5604 .48758 L
.56006 .48792 L
.55557 .49234 L
.55507 .49275 L
.55073 .49644 L
.54808 .49758 L
.5459 .49828 L
.54143 .50242 L
.54107 .50265 L
.53624 .5063 L
.5352 .50725 L
.53141 .51086 L
.53025 .51208 L
.52658 .51596 L
.52587 .51691 L
.52174 .52164 L
.52146 .52174 L
.51691 .52593 L
.51659 .52658 L
.51208 .52907 L
.50995 .53141 L
.50725 .53324 L
.50245 .53624 L
.50242 .53626 L
.49758 .53981 L
.497 .54107 L
.49275 .54427 L
.49206 .5459 L
.48792 .55042 L
.48654 .55073 L
.48309 .5545 L
.48197 .55557 L
.47826 .55879 L
.47698 .5604 L
.47342 .56347 L
.47176 .56523 L
.46859 .56678 L
.46376 .5697 L
.46318 .57006 L
Mistroke
.45893 .57313 L
.45673 .57489 L
.4541 .57742 L
.45163 .57973 L
.44927 .58255 L
.44689 .58456 L
.44443 .58667 L
.44195 .58939 L
.4396 .58983 L
.43546 .59422 L
.43477 .59465 L
.42994 .59425 L
.42992 .59422 L
.42994 .59211 L
.43078 .58939 L
.43399 .58456 L
.43477 .58335 L
.43797 .57973 L
.4396 .57879 L
.44275 .57489 L
.44443 .57352 L
.44898 .57006 L
.44927 .56988 L
.4541 .56681 L
.45706 .56523 L
.45893 .56331 L
.4621 .5604 L
.46376 .55756 L
.46698 .55557 L
.46859 .55355 L
.47152 .55073 L
.47342 .54914 L
.47712 .5459 L
.47826 .54378 L
.4821 .54107 L
.48309 .53941 L
.48746 .53624 L
.48792 .53593 L
.49275 .53295 L
.495 .53141 L
.49758 .52961 L
.50178 .52658 L
.50242 .52501 L
.50663 .52174 L
.50725 .52077 L
.51093 .51691 L
.51208 .51539 L
.51526 .51208 L
.51691 .51035 L
.52023 .50725 L
Mistroke
.52174 .5059 L
.52657 .50242 L
.52658 .50237 L
.53141 .49934 L
.53314 .49758 L
.53624 .49532 L
.54022 .49275 L
.54107 .49219 L
.54523 .48792 L
.5459 .48729 L
.54966 .48309 L
.55073 .48216 L
.55408 .47826 L
.55557 .47715 L
.55929 .47342 L
.5604 .47271 L
.56523 .46911 L
.56605 .46859 L
.57006 .46589 L
.5732 .46376 L
.57489 .46147 L
.57866 .45893 L
.57973 .4557 L
Mfstroke
.73918 .43697 m
.74258 .4396 L
.74171 .44443 L
.73918 .44857 L
.73886 .44927 L
.73516 .4541 L
.73434 .45824 L
.73332 .45893 L
.73041 .46376 L
.72951 .46511 L
.72731 .46859 L
.72468 .47258 L
.72378 .47342 L
.7207 .47826 L
.71985 .47938 L
.71741 .48309 L
.71502 .48647 L
.71362 .48792 L
.71056 .49275 L
.71019 .4932 L
.70724 .49758 L
.70535 .50013 L
.70319 .50242 L
.70052 .50699 L
.70037 .50725 L
.69696 .51208 L
.69569 .51369 L
.69267 .51691 L
.69086 .52062 L
.69014 .52174 L
.68664 .52658 L
.68603 .52725 L
.68213 .53141 L
.68119 .53414 L
.6798 .53624 L
.67636 .54099 L
.6763 .54107 L
.67165 .5459 L
.67153 .54762 L
.6694 .55073 L
.6667 .55455 L
.66597 .55557 L
.66256 .5604 L
.66187 .56111 L
.65898 .56523 L
.65704 .56801 L
.65661 .57006 L
.6522 .57488 L
.6522 .57489 L
.64856 .57973 L
Mistroke
.64737 .58139 L
.64611 .58456 L
.64254 .58832 L
.64176 .58939 L
.63817 .59422 L
.63771 .59474 L
.63542 .59905 L
.63288 .6015 L
.63117 .60388 L
.62804 .6082 L
.62763 .60872 L
.62425 .61355 L
.62321 .61431 L
.62006 .61838 L
.61838 .62045 L
.61594 .62321 L
.61355 .62604 L
.6112 .62804 L
.60872 .63081 L
.60482 .62804 L
.60625 .62321 L
.60862 .61838 L
.60872 .61812 L
.61163 .61355 L
.61355 .60993 L
.61377 .60872 L
.61733 .60388 L
.61838 .60212 L
.62116 .59905 L
.62321 .59451 L
.62368 .59422 L
.62716 .58939 L
.62804 .58809 L
.63136 .58456 L
.63288 .58087 L
.63381 .57973 L
.63733 .57489 L
.63771 .57438 L
.64177 .57006 L
.64254 .56734 L
.6441 .56523 L
.64737 .56055 L
.6476 .5604 L
.65099 .55557 L
.6522 .55384 L
.65447 .55073 L
.65704 .54688 L
.6579 .5459 L
.6613 .54107 L
.66187 .54031 L
Mistroke
.66486 .53624 L
.6667 .53338 L
.66721 .53141 L
.67153 .52666 L
.67162 .52658 L
.67523 .52174 L
.67636 .5199 L
.67768 .51691 L
.68119 .513 L
.68197 .51208 L
.68554 .50725 L
.68603 .50639 L
.68822 .50242 L
.69086 .49951 L
.69234 .49758 L
.69569 .49277 L
.69571 .49275 L
.69879 .48792 L
.70052 .48607 L
.70273 .48309 L
.70535 .47922 L
.70615 .47826 L
.70942 .47342 L
.71019 .47267 L
.71318 .46859 L
.71502 .46592 L
.71671 .46376 L
.71985 .45929 L
.72018 .45893 L
.72305 .4541 L
.72468 .45301 L
.7277 .44927 L
.72951 .44676 L
.73168 .44443 L
.73434 .44096 L
.73617 .4396 L
.73918 .43697 L
Mfstroke
.57006 .43937 m
.57489 .43778 L
.57751 .4396 L
.57596 .44443 L
.57489 .44577 L
.57254 .44927 L
.57006 .45201 L
.56667 .4541 L
.56523 .45789 L
.56244 .45893 L
.5604 .46097 L
.55749 .46376 L
.55557 .46498 L
.55073 .4681 L
.55005 .46859 L
.5459 .47171 L
.54335 .47342 L
.54107 .47622 L
.53846 .47826 L
.53624 .48129 L
.53424 .48309 L
.53141 .48697 L
.52993 .48792 L
.52658 .49105 L
.52495 .49275 L
.52174 .49552 L
.51788 .49758 L
.51691 .49887 L
.51208 .50185 L
.51185 .50242 L
.50725 .50532 L
.50509 .50725 L
.50242 .50969 L
.50015 .51208 L
.49758 .51534 L
.49586 .51691 L
.49275 .51963 L
.49165 .52174 L
.48792 .52346 L
.48676 .52658 L
.48309 .52907 L
.47982 .53141 L
.47826 .53246 L
.47342 .53541 L
.47214 .53624 L
.46859 .53881 L
.46684 .54107 L
.46376 .54407 L
.46179 .5459 L
.45893 .5478 L
Mistroke
.45773 .55073 L
.4541 .55197 L
.45155 .55557 L
.44927 .55802 L
.44645 .5604 L
.44443 .56227 L
.44047 .56523 L
.4396 .56566 L
.43477 .56877 L
.4328 .57006 L
.42994 .57241 L
.427 .57489 L
.42511 .57711 L
.42251 .57489 L
.42479 .57006 L
.42511 .56983 L
.4284 .56523 L
.42994 .56372 L
.43316 .5604 L
.43477 .55835 L
.43809 .55557 L
.4396 .55299 L
.44247 .55073 L
.44443 .54678 L
.44675 .5459 L
.44927 .54285 L
.45184 .54107 L
.4541 .53858 L
.45728 .53624 L
.45893 .5352 L
.46376 .5322 L
.46491 .53141 L
.46859 .52872 L
.47178 .52658 L
.47342 .52433 L
.47666 .52174 L
.47826 .5184 L
.48086 .51691 L
.48309 .51416 L
.48515 .51208 L
.48792 .51038 L
.49011 .50725 L
.49275 .50492 L
.49706 .50242 L
.49758 .50152 L
.50242 .49855 L
.50298 .49758 L
.50725 .49515 L
.50996 .49275 L
.51208 .48969 L
Mistroke
.51492 .48792 L
.51691 .4859 L
.51921 .48309 L
.52174 .48166 L
.52341 .47826 L
.52658 .47577 L
.52835 .47342 L
.53141 .47143 L
.53533 .46859 L
.53624 .46798 L
.54107 .46502 L
.54309 .46376 L
.5459 .46171 L
.54854 .45893 L
.55073 .45743 L
.55365 .4541 L
.55557 .45342 L
.55781 .44927 L
.5604 .44777 L
.56393 .44443 L
.56523 .44303 L
.56977 .4396 L
.57006 .43937 L
Mfstroke
.72951 .40652 m
.73379 .41061 L
.73342 .41544 L
.72974 .42027 L
.72951 .42078 L
.72625 .42511 L
.72468 .42892 L
.72415 .42994 L
.72104 .43477 L
.71985 .43662 L
.7167 .4396 L
.71502 .44398 L
.71444 .44443 L
.71121 .44927 L
.71019 .45068 L
.7063 .4541 L
.70535 .45777 L
.70427 .45893 L
.70103 .46376 L
.70052 .46441 L
.69767 .46859 L
.69569 .47137 L
.6939 .47342 L
.69086 .47814 L
.69083 .47826 L
.68738 .48309 L
.68603 .48491 L
.68347 .48792 L
.68119 .49182 L
.68078 .49275 L
.67706 .49758 L
.67636 .49845 L
.67302 .50242 L
.67153 .50535 L
.6705 .50725 L
.66673 .51208 L
.6667 .51211 L
.66262 .51691 L
.66187 .51884 L
.66013 .52174 L
.65704 .52574 L
.65639 .52658 L
.65236 .53141 L
.6522 .53234 L
.64971 .53624 L
.64737 .53924 L
.64605 .54107 L
.64265 .5459 L
.64254 .54599 L
.63927 .55073 L
Mistroke
.63771 .55267 L
.63716 .55557 L
.63288 .55957 L
.63224 .5604 L
.62881 .56523 L
.62804 .56607 L
.62638 .57006 L
.62321 .57291 L
.62175 .57489 L
.61838 .57963 L
.6183 .57973 L
.61533 .58456 L
.61355 .58595 L
.61097 .58939 L
.60872 .59244 L
.60722 .59422 L
.60388 .59853 L
.60332 .59905 L
.59905 .60378 L
.59894 .60388 L
.59422 .60778 L
.59174 .60388 L
.59387 .59905 L
.59422 .59785 L
.59509 .59422 L
.59846 .58939 L
.59905 .58823 L
.60232 .58456 L
.60388 .58053 L
.6043 .57973 L
.60748 .57489 L
.60872 .57301 L
.61179 .57006 L
.61355 .56575 L
.61415 .56523 L
.61747 .5604 L
.61838 .55914 L
.62222 .55557 L
.62321 .55207 L
.62438 .55073 L
.6277 .5459 L
.62804 .54546 L
.63107 .54107 L
.63288 .53852 L
.63475 .53624 L
.63771 .53169 L
.63799 .53141 L
.64137 .52658 L
.64254 .52499 L
.64516 .52174 L
Mistroke
.64737 .51807 L
.64778 .51691 L
.65169 .51208 L
.6522 .51144 L
.65557 .50725 L
.65704 .50455 L
.65808 .50242 L
.66187 .49776 L
.66202 .49758 L
.66593 .49275 L
.6667 .49106 L
.66848 .48792 L
.67153 .48416 L
.67236 .48309 L
.67616 .47826 L
.67636 .47754 L
.67893 .47342 L
.68119 .47067 L
.68272 .46859 L
.68603 .46386 L
.68611 .46376 L
.68941 .45893 L
.69086 .45724 L
.6931 .4541 L
.69569 .45036 L
.69654 .44927 L
.69992 .44443 L
.70052 .44383 L
.7023 .4396 L
.70535 .43707 L
.70708 .43477 L
.71019 .43037 L
.71055 .42994 L
.71363 .42511 L
.71502 .42411 L
.71801 .42027 L
.71985 .41782 L
.72195 .41544 L
.72468 .412 L
.7263 .41061 L
.72951 .40652 L
Mfstroke
.57973 .40723 m
.58417 .41061 L
.58067 .41544 L
.57973 .41644 L
.57659 .42027 L
.57489 .42315 L
.57156 .42511 L
.57006 .42609 L
.56553 .42994 L
.56523 .43012 L
.5604 .43325 L
.55764 .43477 L
.55557 .43693 L
.55284 .4396 L
.55073 .44146 L
.54805 .44443 L
.5459 .44776 L
.54195 .44927 L
.54107 .45202 L
.53798 .4541 L
.53624 .45577 L
.53296 .45893 L
.53141 .46103 L
.52765 .46376 L
.52658 .46445 L
.52174 .46742 L
.52005 .46859 L
.51691 .47084 L
.51317 .47342 L
.51208 .47646 L
.5083 .47826 L
.50725 .48031 L
.50409 .48309 L
.50242 .48462 L
.4998 .48792 L
.49758 .49025 L
.49484 .49275 L
.49275 .49461 L
.48812 .49758 L
.48792 .49807 L
.48309 .50105 L
.48203 .50242 L
.47826 .50439 L
.47494 .50725 L
.47342 .50885 L
.46997 .51208 L
.46859 .51297 L
.46564 .51691 L
.46376 .51857 L
.46138 .52174 L
Mistroke
.45893 .52359 L
.45637 .52658 L
.4541 .528 L
.44932 .53141 L
.44927 .53144 L
.44443 .53435 L
.44118 .53624 L
.4396 .53776 L
.43477 .541 L
.43469 .54107 L
.42994 .5454 L
.42943 .5459 L
.42511 .55034 L
.42491 .55073 L
.42043 .55557 L
.42027 .55585 L
.41578 .5604 L
.41544 .56185 L
.41218 .56523 L
.41061 .56906 L
.4098 .57006 L
.40674 .57489 L
.40578 .57598 L
.40349 .57973 L
.40095 .58315 L
.39974 .58456 L
.39667 .58939 L
.39612 .58986 L
.39334 .59422 L
.39128 .5968 L
.38936 .59905 L
.38645 .60378 L
.38641 .60388 L
.38303 .60872 L
.38162 .61025 L
.37883 .61355 L
.37679 .61728 L
.3762 .61838 L
.37265 .62321 L
.37196 .62366 L
.36825 .62804 L
.36712 .6306 L
.36579 .63288 L
.36229 .63753 L
.36217 .63771 L
.35775 .64254 L
.35746 .64374 L
.3552 .64737 L
.35263 .65061 L
.35154 .6522 L
Mistroke
.34793 .65704 L
.3478 .65706 L
.34426 .66187 L
.34296 .66317 L
.34213 .6667 L
.33813 .66936 L
.33631 .67153 L
.3333 .67505 L
.33188 .67636 L
.32847 .68057 L
.32379 .67636 L
.32605 .67153 L
.32847 .66713 L
.32872 .6667 L
.33147 .66187 L
.3333 .65934 L
.33479 .65704 L
.33796 .6522 L
.33813 .65191 L
.34122 .64737 L
.34296 .64402 L
.34321 .64254 L
.3478 .63788 L
.34792 .63771 L
.35137 .63288 L
.35263 .63058 L
.35367 .62804 L
.35746 .62412 L
.35812 .62321 L
.36162 .61838 L
.36229 .61711 L
.36416 .61355 L
.36712 .60987 L
.3684 .60872 L
.37182 .60388 L
.37196 .60359 L
.3747 .59905 L
.37679 .59653 L
.37873 .59422 L
.38162 .58959 L
.3821 .58939 L
.38525 .58456 L
.38645 .58313 L
.38907 .57973 L
.39128 .57609 L
.39249 .57489 L
.39579 .57006 L
.39612 .56968 L
.39795 .56523 L
.40095 .56275 L
Mistroke
.40292 .5604 L
.40578 .55592 L
.40635 .55557 L
.40961 .55073 L
.41061 .54978 L
.4127 .5459 L
.41544 .5436 L
.41684 .54107 L
.42027 .53847 L
.423 .53624 L
.42511 .53485 L
.42994 .53275 L
.43458 .53141 L
.43477 .53131 L
.4396 .52792 L
.44187 .52658 L
.44443 .52331 L
.44652 .52174 L
.44927 .51815 L
.45067 .51691 L
.4541 .51294 L
.45501 .51208 L
.45893 .50794 L
.45998 .50725 L
.46376 .50483 L
.46706 .50242 L
.46859 .50078 L
.47342 .49774 L
.47345 .49758 L
.47826 .49419 L
.47986 .49275 L
.48309 .48973 L
.4848 .48792 L
.48792 .48468 L
.48912 .48309 L
.49275 .47928 L
.4934 .47826 L
.49758 .47507 L
.49827 .47342 L
.50242 .47047 L
.5051 .46859 L
.50725 .46713 L
.51208 .46416 L
.51269 .46376 L
.51691 .46069 L
.51799 .45893 L
.52174 .45634 L
.52297 .4541 L
.52658 .45095 L
.52862 .44927 L
Mistroke
.53141 .44661 L
.53321 .44443 L
.53624 .44278 L
.53823 .4396 L
.54107 .43706 L
.54369 .43477 L
.5459 .43375 L
.55073 .43091 L
.55238 .42994 L
.55557 .42768 L
.55892 .42511 L
.5604 .42293 L
.56421 .42027 L
.56523 .41933 L
.56934 .41544 L
.57006 .41517 L
.57489 .41073 L
.57506 .41061 L
.57973 .40723 L
Mfstroke
.58456 .40341 m
.58737 .40578 L
.58456 .40999 L
.58165 .40578 L
.58456 .40341 L
s
.58939 .39808 m
.59059 .40095 L
.58939 .40281 L
.58708 .40095 L
.58939 .39808 L
s
.55557 .40029 m
.5604 .398 L
.56457 .40095 L
.56051 .40578 L
.5604 .40604 L
.55636 .41061 L
.55557 .41184 L
.55213 .41544 L
.55073 .41683 L
.54768 .42027 L
.5459 .42197 L
.54267 .42511 L
.54107 .42641 L
.53626 .42994 L
.53624 .42995 L
.53141 .43295 L
.52793 .43477 L
.52658 .43633 L
.52283 .4396 L
.52174 .44102 L
.51791 .44443 L
.51691 .4454 L
.51336 .44927 L
.51208 .44956 L
.50789 .4541 L
.50725 .45564 L
.50295 .45893 L
.50242 .4601 L
.49758 .46365 L
.49742 .46376 L
.49275 .46667 L
.48994 .46859 L
.48792 .47083 L
.48337 .47342 L
.48309 .47399 L
.4785 .47826 L
.47826 .47835 L
.47407 .48309 L
.47342 .48395 L
.46965 .48792 L
.46859 .48902 L
.46465 .49275 L
.46376 .49354 L
.45893 .49716 L
.45827 .49758 L
.4541 .50167 L
.45155 .50242 L
.44927 .50342 L
.44456 .50725 L
.44443 .50734 L
Mistroke
.4396 .51202 L
.43954 .51208 L
.43504 .51691 L
.43477 .51708 L
.42995 .52174 L
.42994 .52176 L
.42511 .52278 L
.42463 .52174 L
.42507 .51691 L
.42511 .51682 L
.42747 .51208 L
.42994 .50907 L
.43146 .50725 L
.43477 .50325 L
.43876 .50242 L
.4396 .50054 L
.44375 .49758 L
.44443 .49712 L
.44927 .49324 L
.44978 .49275 L
.4541 .48855 L
.45469 .48792 L
.45893 .48341 L
.45916 .48309 L
.46376 .47827 L
.46377 .47826 L
.46859 .47356 L
.46864 .47342 L
.47342 .46971 L
.475 .46859 L
.47826 .46807 L
.48243 .46376 L
.48309 .46332 L
.48792 .45967 L
.48816 .45893 L
.49275 .45513 L
.49306 .4541 L
.49758 .45005 L
.49832 .44927 L
.50242 .44464 L
.50289 .44443 L
.50725 .44019 L
.50786 .4396 L
.51208 .43705 L
.51309 .43477 L
.51691 .4328 L
.52171 .42994 L
.52174 .42981 L
.52658 .42628 L
.52799 .42511 L
Mistroke
.53141 .42185 L
.53306 .42027 L
.53624 .41601 L
.53769 .41544 L
.54107 .41188 L
.54236 .41061 L
.5459 .40778 L
.5476 .40578 L
.55073 .40319 L
.55456 .40095 L
.55557 .40029 L
Mfstroke
.56523 .39604 m
.5668 .39612 L
.56523 .39982 L
.56506 .39612 L
.56523 .39604 L
s
.59422 .39016 m
.5981 .39128 L
.59441 .39612 L
.59422 .39641 L
.59084 .39612 L
.59358 .39128 L
.59422 .39016 L
s
.59905 .38176 m
.60171 .38645 L
.59905 .39019 L
.59635 .38645 L
.59905 .38176 L
s
.41061 .3835 m
.41469 .38645 L
.41386 .39128 L
.41182 .39612 L
.41061 .39813 L
.40866 .40095 L
.40599 .40578 L
.40578 .40611 L
.40289 .41061 L
.40095 .41375 L
.39896 .41544 L
.39617 .42027 L
.39612 .42034 L
.39291 .42511 L
.39128 .42747 L
.38851 .42994 L
.38645 .43443 L
.38603 .43477 L
.38269 .4396 L
.38162 .44106 L
.37787 .44443 L
.37679 .44806 L
.37571 .44927 L
.37238 .4541 L
.37196 .45464 L
.36899 .45893 L
.36712 .46156 L
.3653 .46376 L
.36229 .46836 L
.36206 .46859 L
.35867 .47342 L
.35746 .47506 L
.35487 .47826 L
.35263 .48198 L
.35223 .48309 L
.34834 .48792 L
.3478 .4886 L
.34445 .49275 L
.34296 .49548 L
.34194 .49758 L
.33813 .50227 L
.33801 .50242 L
.33408 .50725 L
.3333 .50898 L
.33154 .51208 L
.32847 .51588 L
.32767 .51691 L
.32385 .52174 L
.32364 .5225 L
.3211 .52658 L
Mistroke
.31881 .52938 L
.31733 .53141 L
.31397 .53621 L
.31395 .53624 L
.31065 .54107 L
.30914 .54285 L
.30698 .5459 L
.30431 .54977 L
.30357 .55073 L
.30021 .55557 L
.29948 .55631 L
.29788 .5604 L
.29465 .56319 L
.29315 .56523 L
.28981 .57001 L
.28977 .57006 L
.28697 .57489 L
.28498 .57646 L
.28262 .57973 L
.28015 .58322 L
.27909 .58456 L
.27563 .58939 L
.27532 .58956 L
.27158 .59422 L
.27049 .59557 L
.26736 .59905 L
.26566 .60106 L
.26202 .60388 L
.26082 .60492 L
.25821 .60388 L
.25859 .59905 L
.26054 .59422 L
.26082 .59332 L
.26355 .58939 L
.26566 .58478 L
.26572 .58456 L
.26867 .57973 L
.27049 .57669 L
.27263 .57489 L
.2752 .57006 L
.27532 .5699 L
.2784 .56523 L
.28015 .5627 L
.28286 .5604 L
.28498 .55578 L
.28528 .55557 L
.28857 .55073 L
.28981 .54905 L
.29355 .5459 L
.29465 .54207 L
Mistroke
.29561 .54107 L
.29887 .53624 L
.29948 .53547 L
.30225 .53141 L
.30431 .52854 L
.30603 .52658 L
.30914 .5218 L
.30916 .52174 L
.31257 .51691 L
.31397 .51503 L
.3165 .51208 L
.31881 .50813 L
.3192 .50725 L
.3229 .50242 L
.32364 .50151 L
.32696 .49758 L
.32847 .49461 L
.32948 .49275 L
.33324 .48792 L
.3333 .48786 L
.33736 .48309 L
.33813 .48112 L
.33985 .47826 L
.34296 .47422 L
.34357 .47342 L
.34764 .46859 L
.3478 .46761 L
.35026 .46376 L
.35263 .4607 L
.35391 .45893 L
.3573 .4541 L
.35746 .45396 L
.36068 .44927 L
.36229 .44724 L
.36279 .44443 L
.36712 .44031 L
.36767 .4396 L
.37109 .43477 L
.37196 .4338 L
.37348 .42994 L
.37679 .42687 L
.37807 .42511 L
.38147 .42027 L
.38162 .42018 L
.38427 .41544 L
.38645 .41358 L
.38856 .41061 L
.39128 .40675 L
.39204 .40578 L
.39535 .40095 L
Mistroke
.39612 .40049 L
.39941 .39612 L
.40095 .39417 L
.40335 .39128 L
.40578 .38829 L
.40774 .38645 L
.41061 .3835 L
Mfstroke
.71985 .38003 m
.72255 .38162 L
.72179 .38645 L
.71985 .3909 L
.71968 .39128 L
.71674 .39612 L
.71502 .3997 L
.7147 .40095 L
.71132 .40578 L
.71019 .40769 L
.70741 .41061 L
.70535 .41527 L
.70493 .41544 L
.70157 .42027 L
.70052 .42181 L
.69723 .42511 L
.69569 .429 L
.69484 .42994 L
.69142 .43477 L
.69086 .43554 L
.68675 .4396 L
.68603 .44257 L
.68454 .44443 L
.68119 .44923 L
.68115 .44927 L
.67777 .4541 L
.67636 .45608 L
.67417 .45893 L
.67153 .463 L
.67151 .46376 L
.66746 .46859 L
.6667 .46961 L
.66377 .47342 L
.66187 .47654 L
.66129 .47826 L
.65714 .48309 L
.65704 .48321 L
.65339 .48792 L
.6522 .49003 L
.6509 .49275 L
.64737 .4969 L
.6468 .49758 L
.64308 .50242 L
.64254 .50353 L
.64043 .50725 L
.63771 .51042 L
.63644 .51208 L
.63294 .51691 L
.63288 .51711 L
.62992 .52174 L
Mistroke
.62804 .52388 L
.62607 .52658 L
.62321 .53074 L
.62266 .53141 L
.61938 .53624 L
.61838 .53729 L
.61741 .54107 L
.61355 .54412 L
.61217 .5459 L
.60875 .55073 L
.60872 .55076 L
.60598 .55557 L
.60388 .55716 L
.60137 .5604 L
.59905 .56356 L
.59759 .56523 L
.59422 .56945 L
.59355 .57006 L
.58939 .57416 L
.58456 .57268 L
.58312 .57006 L
.58456 .56539 L
.58459 .56523 L
.58788 .5604 L
.58939 .55704 L
.59135 .55557 L
.59422 .55133 L
.59456 .55073 L
.59789 .5459 L
.59905 .54425 L
.60251 .54107 L
.60388 .53708 L
.60475 .53624 L
.60792 .53141 L
.60872 .53037 L
.61125 .52658 L
.61355 .52332 L
.61502 .52174 L
.61813 .51691 L
.61838 .51662 L
.62147 .51208 L
.62321 .50972 L
.62544 .50725 L
.62804 .50285 L
.62826 .50242 L
.63177 .49758 L
.63288 .49618 L
.63593 .49275 L
.63771 .48926 L
.63848 .48792 L
Mistroke
.6421 .48309 L
.64254 .4826 L
.6464 .47826 L
.64737 .47575 L
.64882 .47342 L
.6522 .46889 L
.65244 .46859 L
.65679 .46376 L
.65704 .46227 L
.65922 .45893 L
.66187 .45534 L
.66277 .4541 L
.66618 .44927 L
.6667 .44874 L
.66964 .44443 L
.67153 .44189 L
.67185 .4396 L
.67636 .43501 L
.67655 .43477 L
.68006 .42994 L
.68119 .4285 L
.68245 .42511 L
.68603 .42158 L
.68699 .42027 L
.69049 .41544 L
.69086 .41509 L
.69324 .41061 L
.69569 .4084 L
.69759 .40578 L
.70052 .40172 L
.70115 .40095 L
.70457 .39612 L
.70535 .39559 L
.70878 .39128 L
.71019 .38957 L
.71303 .38645 L
.71502 .38414 L
.71828 .38162 L
.71985 .38003 L
Mfstroke
.43477 .37934 m
.43636 .38162 L
.43477 .38253 L
.43361 .38162 L
.43477 .37934 L
s
.26566 .3791 m
.26969 .38162 L
.26566 .38645 L
.26566 .38646 L
.26198 .38645 L
.26419 .38162 L
.26566 .3791 L
s
.55557 .37494 m
.5604 .37338 L
.56242 .37679 L
.5604 .37902 L
.55896 .38162 L
.55557 .38586 L
.55513 .38645 L
.55073 .39095 L
.55042 .39128 L
.5459 .39486 L
.54428 .39612 L
.54107 .39815 L
.53728 .40095 L
.53624 .40235 L
.53147 .40578 L
.53141 .40585 L
.52667 .41061 L
.52658 .41068 L
.52218 .41544 L
.52174 .41589 L
.51763 .42027 L
.51691 .42098 L
.51257 .42511 L
.51208 .42553 L
.50725 .42918 L
.50691 .42994 L
.50242 .43227 L
.49803 .43477 L
.49758 .43572 L
.49275 .43944 L
.49259 .4396 L
.48792 .44414 L
.48765 .44443 L
.48311 .44927 L
.48309 .44929 L
.47831 .4541 L
.47826 .45439 L
.47344 .45893 L
.47342 .45899 L
.46859 .46276 L
.46708 .46376 L
.46376 .46617 L
.45964 .46859 L
.45893 .46904 L
.4541 .47275 L
.45335 .47342 L
.44927 .47734 L
.44835 .47826 L
.44443 .48241 L
.44377 .48309 L
Mistroke
.4396 .48748 L
.43915 .48792 L
.43477 .49221 L
.43416 .49275 L
.42994 .49711 L
.42898 .49758 L
.42511 .50227 L
.42467 .50242 L
.42165 .50725 L
.42027 .50937 L
.41928 .51208 L
.41715 .51691 L
.41544 .51978 L
.41442 .52174 L
.41125 .52658 L
.41061 .52737 L
.40801 .53141 L
.40578 .53437 L
.40376 .53624 L
.40103 .54107 L
.40095 .54114 L
.39771 .5459 L
.39612 .54786 L
.393 .55073 L
.39128 .55481 L
.39068 .55557 L
.38739 .5604 L
.38645 .56138 L
.38399 .56523 L
.38162 .56835 L
.38026 .57006 L
.37704 .57489 L
.37679 .57505 L
.37367 .57973 L
.37196 .58181 L
.36979 .58456 L
.36712 .5888 L
.36694 .58939 L
.36333 .59422 L
.36229 .59522 L
.35931 .59905 L
.35746 .60225 L
.35672 .60388 L
.35296 .60872 L
.35263 .6088 L
.34884 .61355 L
.3478 .61559 L
.34634 .61838 L
.34296 .62261 L
.34255 .62321 L
Mistroke
.33848 .62804 L
.33813 .62882 L
.33582 .63288 L
.3333 .63582 L
.33203 .63771 L
.32852 .64254 L
.32847 .64261 L
.32505 .64737 L
.32364 .64865 L
.32116 .6522 L
.31881 .65515 L
.31732 .65704 L
.31397 .66112 L
.31324 .66187 L
.30914 .66633 L
.30848 .6667 L
.30431 .66965 L
.30171 .6667 L
.30293 .66187 L
.30431 .65954 L
.30556 .65704 L
.30906 .6522 L
.30914 .65038 L
.31142 .64737 L
.31397 .64344 L
.31455 .64254 L
.31777 .63771 L
.31881 .63594 L
.32132 .63288 L
.32364 .62928 L
.32383 .62804 L
.32782 .62321 L
.32847 .62222 L
.33157 .61838 L
.3333 .61493 L
.33405 .61355 L
.33806 .60872 L
.33813 .6086 L
.3419 .60388 L
.34296 .60153 L
.3444 .59905 L
.3478 .59453 L
.34835 .59422 L
.35217 .58939 L
.35263 .58807 L
.35482 .58456 L
.35746 .58103 L
.35867 .57973 L
.36225 .57489 L
.36229 .57455 L
Mistroke
.36526 .57006 L
.36712 .5676 L
.369 .56523 L
.37196 .56074 L
.37239 .5604 L
.37571 .55557 L
.37679 .55414 L
.3778 .55073 L
.38162 .54719 L
.38276 .5459 L
.38612 .54107 L
.38645 .54063 L
.38863 .53624 L
.39128 .53376 L
.39315 .53141 L
.39612 .52696 L
.39652 .52658 L
.39937 .52174 L
.40095 .52032 L
.40352 .51691 L
.40578 .51338 L
.40689 .51208 L
.40988 .50725 L
.41061 .50662 L
.41366 .50242 L
.41544 .49936 L
.41704 .49758 L
.42027 .49318 L
.42061 .49275 L
.42468 .48792 L
.42511 .48755 L
.42919 .48309 L
.42994 .48201 L
.43441 .47826 L
.43477 .47696 L
.43851 .47342 L
.4396 .47248 L
.44443 .46889 L
.44489 .46859 L
.44927 .46451 L
.45229 .46376 L
.4541 .46278 L
.45857 .45893 L
.45893 .45862 L
.46356 .4541 L
.46376 .45389 L
.4681 .44927 L
.46859 .44874 L
.47264 .44443 L
.47342 .44362 L
Mistroke
.47761 .4396 L
.47826 .439 L
.48309 .435 L
.4833 .43477 L
.48792 .43255 L
.49214 .42994 L
.49275 .42892 L
.49758 .42517 L
.49765 .42511 L
.50242 .42056 L
.50269 .42027 L
.50725 .41547 L
.50727 .41544 L
.51185 .41061 L
.51208 .41035 L
.51684 .40578 L
.51691 .40571 L
.52174 .40213 L
.52314 .40095 L
.52658 .39863 L
.53074 .39612 L
.53141 .39569 L
.53624 .39219 L
.53738 .39128 L
.54107 .38784 L
.54261 .38645 L
.5459 .38309 L
.54757 .38162 L
.55073 .37802 L
.55314 .37679 L
.55557 .37494 L
Mfstroke
.4396 .37364 m
.44177 .37679 L
.4396 .37894 L
.43652 .37679 L
.4396 .37364 L
s
.44443 .36987 m
.44622 .37196 L
.44443 .37388 L
.4415 .37196 L
.44443 .36987 L
s
.53624 .366 m
.54107 .3636 L
.5434 .36712 L
.54107 .36952 L
.53947 .37196 L
.53624 .37516 L
.53519 .37679 L
.53141 .38072 L
.53107 .38162 L
.52658 .38603 L
.5262 .38645 L
.52174 .39073 L
.52116 .39128 L
.51691 .39456 L
.51476 .39612 L
.51208 .39855 L
.50734 .40095 L
.50725 .401 L
.50242 .40474 L
.50137 .40578 L
.49758 .4094 L
.49649 .41061 L
.49275 .41455 L
.49195 .41544 L
.48792 .4197 L
.48737 .42027 L
.48309 .4244 L
.48229 .42511 L
.47826 .42897 L
.47693 .42994 L
.47342 .43085 L
.46859 .43461 L
.46837 .43477 L
.46376 .4382 L
.46221 .4396 L
.45893 .44274 L
.45727 .44443 L
.4541 .44782 L
.4527 .44927 L
.44927 .45294 L
.44807 .4541 L
.44443 .45815 L
.44283 .45893 L
.4396 .46063 L
.43537 .46376 L
.43477 .46408 L
.42994 .46553 L
.42511 .46763 L
.4242 .46859 L
.42027 .47255 L
Mistroke
.41957 .47342 L
.41571 .47826 L
.41544 .47857 L
.41215 .48309 L
.41061 .48509 L
.40736 .48792 L
.40578 .49193 L
.40493 .49275 L
.40178 .49758 L
.40095 .4986 L
.39844 .50242 L
.39612 .50558 L
.39443 .50725 L
.39151 .51208 L
.39128 .51232 L
.38818 .51691 L
.38645 .51915 L
.38386 .52174 L
.38162 .52605 L
.38125 .52658 L
.37786 .53141 L
.37679 .53267 L
.37322 .53624 L
.37196 .5396 L
.37092 .54107 L
.36751 .5459 L
.36712 .54626 L
.36258 .55073 L
.36229 .55309 L
.36052 .55557 L
.35746 .56001 L
.35718 .5604 L
.35378 .56523 L
.35263 .56654 L
.3501 .57006 L
.3478 .57352 L
.34752 .57489 L
.34344 .57973 L
.34296 .58008 L
.33968 .58456 L
.33813 .58695 L
.3372 .58939 L
.3333 .59392 L
.33308 .59422 L
.32931 .59905 L
.32847 .60031 L
.32673 .60388 L
.32364 .60734 L
.32268 .60872 L
.31903 .61355 L
Mistroke
.31881 .61374 L
.31614 .61838 L
.31397 .62055 L
.31217 .62321 L
.30914 .6274 L
.30866 .62804 L
.30526 .63288 L
.30431 .6335 L
.30128 .63771 L
.29948 .63991 L
.29736 .64254 L
.29465 .64583 L
.2931 .64737 L
.28981 .6509 L
.28738 .6522 L
.28498 .65313 L
.28378 .6522 L
.28404 .64737 L
.28498 .64539 L
.2862 .64254 L
.28874 .63771 L
.28981 .63504 L
.29188 .63288 L
.29465 .62824 L
.29477 .62804 L
.29788 .62321 L
.29948 .62048 L
.3016 .61838 L
.30431 .61394 L
.30441 .61355 L
.30787 .60872 L
.30914 .60678 L
.31186 .60388 L
.31397 .5996 L
.31449 .59905 L
.3181 .59422 L
.31881 .59321 L
.32228 .58939 L
.32364 .58612 L
.32475 .58456 L
.3284 .57973 L
.32847 .57964 L
.33269 .57489 L
.3333 .57268 L
.33511 .57006 L
.33813 .56575 L
.33871 .56523 L
.34212 .5604 L
.34296 .55919 L
.3455 .55557 L
Mistroke
.3478 .55223 L
.34904 .55073 L
.35243 .5459 L
.35263 .54564 L
.3559 .54107 L
.35746 .53876 L
.35816 .53624 L
.36229 .5319 L
.36277 .53141 L
.36627 .52658 L
.36712 .52527 L
.36873 .52174 L
.37196 .51835 L
.37313 .51691 L
.37656 .51208 L
.37679 .51171 L
.37934 .50725 L
.38162 .50487 L
.38349 .50242 L
.38645 .49804 L
.38686 .49758 L
.38995 .49275 L
.39128 .49141 L
.39385 .48792 L
.39612 .48455 L
.39729 .48309 L
.40062 .47826 L
.40095 .47797 L
.40299 .47342 L
.40578 .47137 L
.40794 .46859 L
.41061 .46482 L
.41151 .46376 L
.41517 .45893 L
.41544 .45855 L
.41921 .4541 L
.42027 .45199 L
.42195 .4541 L
.42395 .45893 L
.42511 .4601 L
.42893 .45893 L
.42994 .45723 L
.43391 .4541 L
.43477 .4537 L
.43825 .44927 L
.4396 .44785 L
.44271 .44443 L
.44443 .44269 L
.44764 .4396 L
.44927 .43817 L
Mistroke
.45384 .43477 L
.4541 .43459 L
.45893 .43147 L
.46219 .42994 L
.46376 .42766 L
.46746 .42511 L
.46859 .42467 L
.47247 .42027 L
.47342 .41929 L
.47704 .41544 L
.47826 .41412 L
.48161 .41061 L
.48309 .40905 L
.48772 .40578 L
.48792 .40453 L
.49275 .40096 L
.49277 .40095 L
.49758 .39728 L
.50032 .39612 L
.50242 .39545 L
.50717 .39128 L
.50725 .39079 L
.51207 .38645 L
.51208 .38613 L
.51664 .38162 L
.51691 .38108 L
.5212 .37679 L
.52174 .37613 L
.52642 .37196 L
.52658 .37181 L
.53141 .36798 L
.53367 .36712 L
.53624 .366 L
Mfstroke
.44927 .36682 m
.45051 .36712 L
.44927 .3682 L
.44873 .36712 L
.44927 .36682 L
s
.70535 .35877 m
.70796 .36229 L
.70625 .36712 L
.70535 .36887 L
.70382 .37196 L
.70106 .37679 L
.70052 .37788 L
.69773 .38162 L
.69569 .38523 L
.69541 .38645 L
.69173 .39128 L
.69086 .39268 L
.68788 .39612 L
.68603 .40018 L
.68538 .40095 L
.68172 .40578 L
.68119 .40655 L
.67762 .41061 L
.67636 .41372 L
.67517 .41544 L
.67153 .42024 L
.6715 .42027 L
.66727 .42511 L
.6667 .42722 L
.66484 .42994 L
.66187 .43419 L
.66123 .43477 L
.65783 .4396 L
.65704 .44073 L
.65446 .44443 L
.6522 .44771 L
.65092 .44927 L
.64752 .4541 L
.64737 .4543 L
.64406 .45893 L
.64254 .46118 L
.64181 .46376 L
.63771 .46805 L
.63718 .46859 L
.63369 .47342 L
.63288 .47467 L
.63121 .47826 L
.62804 .48157 L
.62681 .48309 L
.62339 .48792 L
.62321 .4882 L
.62057 .49275 L
.61838 .49501 L
.61642 .49758 L
.61355 .50183 L
Mistroke
.61302 .50242 L
.60989 .50725 L
.60872 .50839 L
.60598 .51208 L
.60388 .51521 L
.60251 .51691 L
.59918 .52174 L
.59905 .52185 L
.59555 .52658 L
.59422 .52864 L
.59205 .53141 L
.58939 .5359 L
.5886 .53624 L
.58495 .54107 L
.58456 .5415 L
.58086 .5459 L
.57973 .54723 L
.57643 .55073 L
.57489 .55219 L
.57154 .55557 L
.57006 .55764 L
.56591 .5604 L
.56523 .56204 L
.56087 .56523 L
.5604 .56555 L
.55557 .56865 L
.55263 .57006 L
.55073 .57208 L
.54748 .57489 L
.5459 .57635 L
.54255 .57973 L
.54107 .58029 L
.53801 .58456 L
.53624 .58644 L
.53196 .58939 L
.53141 .59149 L
.52718 .59422 L
.52658 .59592 L
.52228 .59905 L
.52174 .59943 L
.51691 .6025 L
.51469 .60388 L
.51208 .60607 L
.50757 .60872 L
.50725 .60893 L
.5026 .61355 L
.50242 .61455 L
.49828 .61838 L
.49758 .61967 L
.49391 .62321 L
Mistroke
.49275 .62464 L
.48888 .62804 L
.48792 .62899 L
.48309 .63243 L
.48231 .63288 L
.47826 .63606 L
.47446 .63771 L
.47342 .6379 L
.46859 .64135 L
.46403 .63771 L
.46859 .63439 L
.47016 .63288 L
.47342 .63011 L
.47507 .62804 L
.47826 .62509 L
.47959 .62321 L
.48309 .61976 L
.48373 .61838 L
.48792 .61451 L
.48794 .61355 L
.49275 .60976 L
.49292 .60872 L
.49758 .60468 L
.50025 .60388 L
.50242 .60288 L
.50725 .59946 L
.50779 .59905 L
.51208 .59584 L
.51241 .59422 L
.51691 .59127 L
.51867 .58939 L
.52174 .58616 L
.52322 .58456 L
.52658 .58099 L
.52782 .57973 L
.53141 .57542 L
.53292 .57489 L
.53624 .5726 L
.53843 .57006 L
.54107 .56895 L
.5459 .56599 L
.54701 .56523 L
.55073 .56251 L
.55316 .5604 L
.55557 .5581 L
.55812 .55557 L
.5604 .55313 L
.56276 .55073 L
.56523 .54716 L
.5675 .5459 L
Mistroke
.57006 .54322 L
.57264 .54107 L
.57489 .53935 L
.57671 .53624 L
.57973 .53435 L
.58199 .53141 L
.58456 .52671 L
.58497 .52658 L
.58715 .52174 L
.58939 .51713 L
.58951 .51691 L
.59197 .51208 L
.59422 .50857 L
.59568 .50725 L
.5984 .50242 L
.59905 .50158 L
.60169 .49758 L
.60388 .49458 L
.60566 .49275 L
.60862 .48792 L
.60872 .48782 L
.61194 .48309 L
.61355 .48099 L
.61623 .47826 L
.61838 .47407 L
.61882 .47342 L
.62223 .46859 L
.62321 .46743 L
.62684 .46376 L
.62804 .46049 L
.62914 .45893 L
.63256 .4541 L
.63288 .4538 L
.63745 .44927 L
.63771 .447 L
.63954 .44443 L
.64254 .44008 L
.64289 .4396 L
.64628 .43477 L
.64737 .43354 L
.64996 .42994 L
.6522 .42658 L
.6525 .42511 L
.65665 .42027 L
.65704 .41999 L
.66039 .41544 L
.66187 .41319 L
.66287 .41061 L
.6667 .40626 L
.66705 .40578 L
Mistroke
.6708 .40095 L
.67153 .39989 L
.67344 .39612 L
.67636 .393 L
.67758 .39128 L
.68113 .38645 L
.68119 .38641 L
.68432 .38162 L
.68603 .38011 L
.68845 .37679 L
.69086 .37367 L
.69227 .37196 L
.69569 .36769 L
.69627 .36712 L
.70052 .36237 L
.70081 .36229 L
.70535 .35877 L
Mfstroke
.5459 .36194 m
.54656 .36229 L
.5459 .36323 L
.54467 .36229 L
.5459 .36194 L
s
.61838 .35409 m
.62222 .35746 L
.61909 .36229 L
.61838 .36344 L
.61572 .36712 L
.61355 .37049 L
.61243 .37196 L
.60906 .37679 L
.60872 .37731 L
.60538 .38162 L
.60388 .38383 L
.59914 .38162 L
.6021 .37679 L
.60388 .3741 L
.60534 .37196 L
.60863 .36712 L
.60872 .36703 L
.61213 .36229 L
.61355 .36038 L
.6158 .35746 L
.61838 .35409 L
s
.40095 .35743 m
.40237 .35746 L
.40296 .36229 L
.4011 .36712 L
.40095 .36741 L
.39846 .37196 L
.39612 .37639 L
.3959 .37679 L
.39298 .38162 L
.39128 .38473 L
.38934 .38645 L
.38646 .39128 L
.38645 .39129 L
.38323 .39612 L
.38162 .39861 L
.37922 .40095 L
.37679 .40565 L
.37651 .40578 L
.37306 .41061 L
.37196 .41221 L
.36878 .41544 L
.36712 .41928 L
.36629 .42027 L
.36277 .42511 L
.36229 .42576 L
.35828 .42994 L
.35746 .43276 L
.35596 .43477 L
.35263 .43949 L
.35245 .4396 L
.34906 .44443 L
.3478 .44623 L
.34557 .44927 L
.34296 .45317 L
.34214 .4541 L
.33874 .45893 L
.33813 .45975 L
.33518 .46376 L
.3333 .46667 L
.3328 .46859 L
.32847 .47338 L
.32841 .47342 L
.3248 .47826 L
.32364 .48015 L
.32235 .48309 L
.31881 .48705 L
.31807 .48792 L
.31449 .49275 L
.31397 .49367 L
.31183 .49758 L
Mistroke
.30914 .50056 L
.30772 .50242 L
.30433 .50725 L
.30431 .50729 L
.30129 .51208 L
.29948 .51403 L
.29736 .51691 L
.29465 .52091 L
.29397 .52174 L
.29074 .52658 L
.28981 .5275 L
.287 .53141 L
.28498 .53436 L
.28354 .53624 L
.28018 .54107 L
.28015 .54109 L
.2777 .5459 L
.27532 .54764 L
.27299 .55073 L
.27049 .55435 L
.26947 .55557 L
.26606 .5604 L
.26566 .56064 L
.26192 .56523 L
.26082 .56666 L
.25765 .57006 L
.25599 .57207 L
.25184 .57489 L
.25116 .5754 L
.24972 .57489 L
.24791 .57006 L
.25116 .56592 L
.25142 .56523 L
.25461 .5604 L
.25599 .5564 L
.25642 .55557 L
.25928 .55073 L
.26082 .54824 L
.26355 .5459 L
.26566 .5411 L
.26574 .54107 L
.26889 .53624 L
.27049 .534 L
.27222 .53141 L
.27532 .527 L
.27581 .52658 L
.27901 .52174 L
.28015 .52027 L
.28238 .51691 L
.28498 .5133 L
Mistroke
.2862 .51208 L
.2893 .50725 L
.28981 .50664 L
.29266 .50242 L
.29465 .49974 L
.29671 .49758 L
.29948 .49292 L
.29958 .49275 L
.30297 .48792 L
.30431 .48623 L
.30727 .48309 L
.30914 .47931 L
.30982 .47826 L
.31331 .47342 L
.31397 .47269 L
.31784 .46859 L
.31881 .4658 L
.32016 .46376 L
.32364 .45896 L
.32366 .45893 L
.32834 .4541 L
.32847 .45232 L
.33056 .44927 L
.3333 .44538 L
.33398 .44443 L
.33739 .4396 L
.33813 .43883 L
.34097 .43477 L
.34296 .4319 L
.34337 .42994 L
.34773 .42511 L
.3478 .42508 L
.35136 .42027 L
.35263 .41849 L
.35381 .41544 L
.35746 .4115 L
.3581 .41061 L
.36171 .40578 L
.36229 .40509 L
.36437 .40095 L
.36712 .39813 L
.36852 .39612 L
.37195 .39128 L
.37196 .39126 L
.37507 .38645 L
.37679 .38498 L
.37911 .38162 L
.38162 .3782 L
.3827 .37679 L
.3863 .37196 L
Mistroke
.38645 .3719 L
.39034 .36712 L
.39128 .3661 L
.39475 .36229 L
.39612 .36083 L
.40091 .35746 L
.40095 .35743 L
Mfstroke
.62321 .34826 m
.62512 .35263 L
.62321 .35602 L
.61964 .35263 L
.62321 .34826 L
s
.68119 .3475 m
.68603 .34334 L
.68888 .3478 L
.6869 .35263 L
.68603 .35406 L
.68416 .35746 L
.68126 .36229 L
.68119 .36243 L
.67808 .36712 L
.67636 .36986 L
.67603 .37196 L
.67176 .37679 L
.67153 .37715 L
.66817 .38162 L
.6667 .38469 L
.6658 .38645 L
.66187 .39108 L
.66173 .39128 L
.65798 .39612 L
.65704 .39823 L
.65548 .40095 L
.6522 .40537 L
.65151 .40578 L
.64777 .41061 L
.64737 .41175 L
.64508 .41544 L
.64254 .41884 L
.64122 .42027 L
.63773 .42511 L
.63771 .42531 L
.63464 .42994 L
.63288 .43227 L
.6309 .43477 L
.62804 .43917 L
.6275 .4396 L
.62419 .44443 L
.62321 .44571 L
.62211 .44927 L
.61838 .45266 L
.61711 .4541 L
.61375 .45893 L
.61355 .4592 L
.61121 .46376 L
.60872 .46605 L
.60669 .46859 L
.60388 .47286 L
.60327 .47342 L
.60008 .47826 L
.59905 .47924 L
.59604 .48309 L
Mistroke
.59422 .48573 L
.59227 .48792 L
.58939 .49168 L
.58822 .49275 L
.58456 .49644 L
.58279 .49758 L
.57973 .49932 L
.57489 .50071 L
.57159 .50242 L
.57006 .50351 L
.56523 .50709 L
.56506 .50725 L
.5604 .51192 L
.56024 .51208 L
.55579 .51691 L
.55557 .51714 L
.55128 .52174 L
.55073 .5223 L
.54631 .52658 L
.5459 .52694 L
.54107 .53074 L
.54003 .53141 L
.53624 .53371 L
.53267 .53624 L
.53141 .53708 L
.52658 .54086 L
.52654 .54107 L
.52174 .54549 L
.52168 .5459 L
.51691 .5506 L
.51679 .55073 L
.51224 .55557 L
.51208 .55573 L
.50727 .5604 L
.50725 .56042 L
.50242 .56414 L
.50188 .56523 L
.49758 .56759 L
.49301 .57006 L
.49275 .57065 L
.48792 .57428 L
.4872 .57489 L
.48309 .5788 L
.48215 .57973 L
.47826 .58386 L
.47756 .58456 L
.47342 .5891 L
.47296 .58939 L
.46859 .59353 L
.46789 .59422 L
Mistroke
.46376 .59649 L
.46143 .59905 L
.45893 .60075 L
.4541 .60347 L
.45337 .60388 L
.44927 .60664 L
.44645 .60872 L
.44443 .61053 L
.44077 .61355 L
.4396 .61544 L
.43477 .61822 L
.43171 .61355 L
.43477 .61017 L
.43599 .60872 L
.4396 .60578 L
.44163 .60388 L
.44443 .60218 L
.44829 .59905 L
.44927 .59837 L
.45369 .59422 L
.4541 .59361 L
.45834 .58939 L
.45893 .58872 L
.46276 .58456 L
.46376 .58412 L
.46729 .57973 L
.46859 .57847 L
.47234 .57489 L
.47342 .57399 L
.47826 .57041 L
.47834 .57006 L
.48309 .56738 L
.48706 .56523 L
.48792 .56314 L
.49228 .5604 L
.49275 .55994 L
.49721 .55557 L
.49758 .5554 L
.50176 .55073 L
.50242 .55004 L
.50697 .5459 L
.50725 .54496 L
.51187 .54107 L
.51208 .54043 L
.51691 .53679 L
.51773 .53624 L
.52174 .53198 L
.52516 .53141 L
.52658 .53039 L
.5314 .52658 L
Mistroke
.53141 .52657 L
.53624 .52188 L
.53637 .52174 L
.54096 .51691 L
.54107 .51676 L
.54551 .51208 L
.5459 .51167 L
.55058 .50725 L
.55073 .50711 L
.55557 .50341 L
.55718 .50242 L
.5604 .50037 L
.5651 .49758 L
.56523 .49753 L
.57006 .49423 L
.57186 .49275 L
.57489 .48999 L
.57647 .48792 L
.57973 .48368 L
.58139 .48309 L
.58456 .47929 L
.58559 .47826 L
.58939 .4735 L
.58942 .47342 L
.59282 .46859 L
.59422 .46677 L
.59733 .46376 L
.59905 .45949 L
.59949 .45893 L
.60267 .4541 L
.60388 .45259 L
.60758 .44927 L
.60872 .44552 L
.60957 .44443 L
.61283 .4396 L
.61355 .43884 L
.61619 .43477 L
.61838 .4319 L
.61991 .42994 L
.62313 .42511 L
.62321 .42506 L
.62649 .42027 L
.62804 .41841 L
.63036 .41544 L
.63288 .41144 L
.63313 .41061 L
.63686 .40578 L
.63771 .40498 L
.64085 .40095 L
.64254 .39804 L
Mistroke
.64341 .39612 L
.64729 .39128 L
.64737 .39127 L
.65133 .38645 L
.6522 .38479 L
.65391 .38162 L
.65704 .37791 L
.65783 .37679 L
.66168 .37196 L
.66187 .37161 L
.66472 .36712 L
.6667 .36509 L
.66873 .36229 L
.67153 .35868 L
.67254 .35746 L
.67636 .35275 L
.67649 .35263 L
.6809 .3478 L
.68119 .3475 L
Mfstroke
.62804 .34339 m
.62807 .3478 L
.62804 .34784 L
.62369 .3478 L
.62804 .34339 L
s
.28981 .34347 m
.29423 .3478 L
.2909 .35263 L
.28981 .35433 L
.2875 .35746 L
.28498 .36126 L
.28419 .36229 L
.28072 .36712 L
.28015 .36798 L
.27704 .37196 L
.27532 .37446 L
.27339 .37679 L
.27049 .38072 L
.26698 .37679 L
.26937 .37196 L
.27049 .37067 L
.27298 .36712 L
.27532 .36369 L
.27626 .36229 L
.2793 .35746 L
.28015 .35652 L
.28297 .35263 L
.28498 .3499 L
.28656 .3478 L
.28981 .34347 L
s
.53624 .34197 m
.53848 .34296 L
.53679 .3478 L
.53624 .34843 L
.53344 .35263 L
.53141 .35437 L
.52865 .35746 L
.52658 .3607 L
.52195 .36229 L
.52174 .3626 L
.51691 .36574 L
.51667 .36712 L
.51208 .36963 L
.51007 .37196 L
.50725 .3744 L
.50547 .37679 L
.50242 .37963 L
.50135 .38162 L
.49758 .38486 L
.49725 .38645 L
.49275 .391 L
.49218 .39128 L
.48792 .39362 L
.48463 .39612 L
.48309 .39702 L
.47826 .40002 L
.47698 .40095 L
.47342 .40356 L
.47243 .40578 L
.46859 .40804 L
.46769 .41061 L
.46376 .41309 L
.46154 .41544 L
.45893 .41947 L
.45691 .42027 L
.4541 .42321 L
.45174 .42511 L
.44927 .42717 L
.44576 .42994 L
.44443 .43049 L
.4396 .43345 L
.43771 .43477 L
.43477 .43703 L
.43188 .4396 L
.42994 .44162 L
.42715 .44443 L
.42511 .4471 L
.42299 .44443 L
.4249 .4396 L
.42511 .43878 L
Mistroke
.4272 .43477 L
.42994 .43308 L
.4333 .42994 L
.43477 .42837 L
.43928 .42511 L
.4396 .42286 L
.44267 .42027 L
.44443 .4187 L
.44711 .41544 L
.44927 .41444 L
.45297 .41061 L
.4541 .40814 L
.45786 .40578 L
.45893 .40377 L
.46283 .40095 L
.46376 .4003 L
.46859 .39726 L
.4704 .39612 L
.47342 .39389 L
.47758 .39128 L
.47826 .3899 L
.48259 .38645 L
.48309 .38614 L
.4868 .38162 L
.48792 .37971 L
.49109 .37679 L
.49275 .37475 L
.49605 .37196 L
.49758 .37043 L
.50239 .36712 L
.50242 .36706 L
.50725 .36407 L
.50919 .36229 L
.51208 .36073 L
.51677 .35746 L
.51691 .35734 L
.52174 .35293 L
.52208 .35263 L
.52658 .34841 L
.52733 .3478 L
.53141 .34447 L
.53411 .34296 L
.53624 .34197 L
Mfstroke
.47342 .3424 m
.47826 .33846 L
.48169 .34296 L
.47826 .34713 L
.4777 .3478 L
.47342 .35235 L
.47315 .35263 L
.46859 .3566 L
.46749 .35746 L
.46376 .35983 L
.4595 .36229 L
.45893 .36257 L
.45451 .36229 L
.45864 .35746 L
.45893 .35717 L
.46288 .35263 L
.46376 .35089 L
.46714 .3478 L
.46859 .34651 L
.47183 .34296 L
.47342 .3424 L
s
.66187 .33517 m
.6653 .33813 L
.66316 .34296 L
.66187 .34537 L
.66045 .3478 L
.65765 .35263 L
.65704 .35395 L
.65621 .35746 L
.6522 .36094 L
.65129 .36229 L
.64807 .36712 L
.64737 .36844 L
.64589 .37196 L
.64254 .37518 L
.6414 .37679 L
.63805 .38162 L
.63771 .38226 L
.63545 .38645 L
.63288 .38967 L
.63123 .39128 L
.62804 .39592 L
.6279 .39612 L
.62493 .40095 L
.62321 .40301 L
.62094 .40578 L
.61838 .4102 L
.61754 .41061 L
.61432 .41544 L
.61355 .41635 L
.61055 .42027 L
.60872 .42338 L
.60705 .42511 L
.60388 .4296 L
.60362 .42994 L
.59998 .43477 L
.59905 .43628 L
.59629 .4396 L
.59422 .443 L
.59268 .44443 L
.58941 .44927 L
.58939 .4493 L
.58615 .4541 L
.58456 .45781 L
.58266 .4541 L
.5845 .44927 L
.58456 .44924 L
.5853 .44443 L
.58565 .4396 L
.58734 .43477 L
.58939 .43117 L
Mistroke
.59055 .42994 L
.59385 .42511 L
.59422 .42465 L
.59807 .42027 L
.59905 .41777 L
.60084 .41544 L
.60388 .41084 L
.60406 .41061 L
.60736 .40578 L
.60872 .40412 L
.6113 .40095 L
.61355 .39711 L
.61392 .39612 L
.61763 .39128 L
.61838 .39051 L
.62175 .38645 L
.62321 .38364 L
.62426 .38162 L
.62804 .37684 L
.62808 .37679 L
.63223 .37196 L
.63288 .37044 L
.63489 .36712 L
.63771 .36374 L
.63877 .36229 L
.64251 .35746 L
.64254 .35736 L
.64599 .35263 L
.64737 .35123 L
.65007 .3478 L
.6522 .34517 L
.6542 .34296 L
.65704 .33937 L
.65875 .33813 L
.66187 .33517 L
Mfstroke
.51208 .33591 m
.51531 .33813 L
.51226 .34296 L
.51208 .3432 L
.50845 .3478 L
.50725 .34905 L
.50432 .35263 L
.50242 .35508 L
.49917 .35746 L
.49758 .35854 L
.49275 .362 L
.49233 .36229 L
.48792 .36495 L
.4863 .36712 L
.48309 .36855 L
.47973 .37196 L
.47826 .37306 L
.47509 .37679 L
.47342 .37956 L
.47094 .38162 L
.46859 .38406 L
.46676 .38645 L
.46376 .38788 L
.46131 .39128 L
.45893 .39242 L
.4541 .3957 L
.45342 .39612 L
.44927 .39842 L
.4454 .40095 L
.44443 .40162 L
.4396 .40568 L
.4395 .40578 L
.43477 .4104 L
.43458 .41061 L
.42994 .41543 L
.42993 .41544 L
.42546 .42027 L
.42511 .42066 L
.42134 .42511 L
.42027 .42689 L
.41756 .42994 L
.41544 .43446 L
.41496 .43477 L
.41206 .4396 L
.41061 .44186 L
.409 .44443 L
.40578 .44919 L
.40565 .44927 L
.40249 .4541 L
.40095 .45625 L
Mistroke
.39753 .45893 L
.39612 .46323 L
.39553 .46376 L
.39229 .46859 L
.39128 .46989 L
.3889 .47342 L
.38645 .47685 L
.38512 .47826 L
.38196 .48309 L
.38162 .48349 L
.3786 .48792 L
.37679 .49037 L
.37462 .49275 L
.37196 .49721 L
.37177 .49758 L
.36827 .50242 L
.36712 .50388 L
.36411 .50725 L
.36229 .51079 L
.36155 .51208 L
.35793 .51691 L
.35746 .51744 L
.35362 .52174 L
.35263 .5243 L
.35121 .52658 L
.3478 .53115 L
.3476 .53141 L
.34322 .53624 L
.34296 .53778 L
.34081 .54107 L
.33813 .54471 L
.33727 .5459 L
.33386 .55073 L
.3333 .55131 L
.33041 .55557 L
.32847 .55819 L
.32817 .5604 L
.32364 .56508 L
.32353 .56523 L
.32001 .57006 L
.31881 .57162 L
.31763 .57489 L
.31397 .57859 L
.31315 .57973 L
.30964 .58456 L
.30914 .58506 L
.307 .58939 L
.30431 .59195 L
.30271 .59422 L
.29948 .59882 L
Mistroke
.2993 .59905 L
.2962 .60388 L
.29465 .60511 L
.29211 .60872 L
.28981 .61183 L
.28849 .61355 L
.28498 .61819 L
.28481 .61838 L
.28075 .62321 L
.28015 .62384 L
.27609 .62804 L
.27532 .62883 L
.27049 .6313 L
.2693 .62804 L
.27049 .62397 L
.27076 .62321 L
.2732 .61838 L
.27532 .6141 L
.27561 .61355 L
.27843 .60872 L
.28015 .6055 L
.28207 .60388 L
.28485 .59905 L
.28498 .59887 L
.28805 .59422 L
.28981 .5915 L
.29213 .58939 L
.29465 .58461 L
.29483 .58456 L
.29819 .57973 L
.29948 .57788 L
.30261 .57489 L
.30431 .57085 L
.30505 .57006 L
.30847 .56523 L
.30914 .56432 L
.3132 .5604 L
.31397 .55733 L
.31539 .55557 L
.3188 .55073 L
.31881 .55072 L
.32218 .5459 L
.32364 .54385 L
.32579 .54107 L
.32847 .53695 L
.32849 .53624 L
.3325 .53141 L
.3333 .53034 L
.3362 .52658 L
.33813 .52342 L
Mistroke
.33869 .52174 L
.34283 .51691 L
.34296 .51675 L
.34658 .51208 L
.3478 .50993 L
.34908 .50725 L
.35263 .50306 L
.35317 .50242 L
.3569 .49758 L
.35746 .49643 L
.35953 .49275 L
.36229 .48952 L
.36352 .48792 L
.36704 .48309 L
.36712 .48284 L
.37002 .47826 L
.37196 .47604 L
.37386 .47342 L
.37679 .46917 L
.37726 .46859 L
.38052 .46376 L
.38162 .46258 L
.38422 .45893 L
.38645 .45568 L
.38766 .4541 L
.391 .44927 L
.39128 .44903 L
.39339 .44443 L
.39612 .44231 L
.39811 .4396 L
.40095 .43549 L
.40153 .43477 L
.40459 .42994 L
.40578 .42911 L
.4088 .42511 L
.41061 .42266 L
.4126 .42027 L
.41544 .41666 L
.41669 .41544 L
.42027 .41136 L
.4214 .41061 L
.42511 .40708 L
.42688 .40578 L
.42994 .40434 L
.43469 .40095 L
.43477 .4009 L
.4396 .39791 L
.442 .39612 L
.44443 .39418 L
.44848 .39128 L
Mistroke
.44927 .3895 L
.45315 .38645 L
.4541 .38411 L
.45722 .38162 L
.45893 .37974 L
.46146 .37679 L
.46376 .37595 L
.46646 .37196 L
.46859 .36993 L
.4731 .36712 L
.47342 .3666 L
.47826 .36362 L
.47886 .36229 L
.48309 .36026 L
.48648 .35746 L
.48792 .35544 L
.4915 .35263 L
.49275 .35174 L
.49604 .3478 L
.49758 .34768 L
.50087 .34296 L
.50242 .34193 L
.50725 .33839 L
.50771 .33813 L
.51208 .33591 L
Mfstroke
.48309 .33599 m
.48505 .33813 L
.48309 .341 L
.47881 .33813 L
.48309 .33599 L
s
.38645 .33743 m
.38732 .33813 L
.38711 .34296 L
.38645 .34428 L
.38497 .3478 L
.3817 .35263 L
.38162 .35471 L
.37944 .35746 L
.37679 .36175 L
.37646 .36229 L
.37333 .36712 L
.37196 .36951 L
.36972 .37196 L
.36712 .37609 L
.36701 .37679 L
.36335 .38162 L
.36229 .38325 L
.35949 .38645 L
.35746 .39053 L
.35691 .39128 L
.35313 .39612 L
.35263 .39684 L
.34913 .40095 L
.3478 .40395 L
.34664 .40578 L
.34296 .41043 L
.34284 .41061 L
.33878 .41544 L
.33813 .41739 L
.33627 .42027 L
.3333 .42438 L
.33252 .42511 L
.32857 .42994 L
.32847 .43087 L
.32586 .43477 L
.32364 .43786 L
.32219 .4396 L
.31881 .44443 L
.31881 .44444 L
.31544 .44927 L
.31397 .45132 L
.31332 .4541 L
.30914 .45822 L
.30845 .45893 L
.30505 .46376 L
.30431 .46481 L
.30263 .46859 L
.29948 .47172 L
.29809 .47342 L
.29473 .47826 L
Mistroke
.29465 .47837 L
.29194 .48309 L
.28981 .48518 L
.28772 .48792 L
.28498 .49203 L
.28434 .49275 L
.28124 .49758 L
.28015 .49862 L
.27733 .50242 L
.27532 .50545 L
.27386 .50725 L
.27049 .51208 L
.27048 .51208 L
.26683 .51691 L
.26566 .51863 L
.26319 .52174 L
.26082 .52519 L
.25957 .52658 L
.25599 .53131 L
.25584 .53141 L
.25158 .53624 L
.25116 .53679 L
.24633 .54088 L
.24376 .53624 L
.24617 .53141 L
.24633 .52988 L
.24799 .52658 L
.25053 .52174 L
.25116 .52067 L
.25333 .51691 L
.25599 .51262 L
.2567 .51208 L
.25962 .50725 L
.26082 .50559 L
.26283 .50242 L
.26566 .49839 L
.26653 .49758 L
.26956 .49275 L
.27049 .49161 L
.27288 .48792 L
.27532 .4846 L
.2769 .48309 L
.27978 .47826 L
.28015 .47787 L
.28311 .47342 L
.28498 .471 L
.28749 .46859 L
.28981 .4641 L
.29007 .46376 L
.29341 .45893 L
Mistroke
.29465 .45747 L
.29821 .4541 L
.29948 .45052 L
.30042 .44927 L
.30375 .44443 L
.30431 .44391 L
.30714 .4396 L
.30914 .43702 L
.31084 .43477 L
.31397 .43011 L
.31409 .42994 L
.31747 .42511 L
.31881 .42358 L
.32128 .42027 L
.32364 .41658 L
.32396 .41544 L
.32782 .41061 L
.32847 .41011 L
.33173 .40578 L
.3333 .40316 L
.33425 .40095 L
.33813 .39619 L
.33819 .39612 L
.34213 .39128 L
.34296 .38983 L
.34468 .38645 L
.3478 .38278 L
.3486 .38162 L
.35241 .37679 L
.35263 .37649 L
.35525 .37196 L
.35746 .36961 L
.35913 .36712 L
.36229 .36279 L
.36266 .36229 L
.36614 .35746 L
.36712 .35676 L
.3701 .35263 L
.37196 .35041 L
.37408 .3478 L
.37679 .34459 L
.37844 .34296 L
.38162 .33956 L
.38441 .33813 L
.38645 .33743 L
Mfstroke
.29948 .33179 m
.30301 .3333 L
.30033 .33813 L
.29948 .33964 L
.29724 .34296 L
.29465 .34722 L
.29023 .34296 L
.29402 .33813 L
.29465 .33713 L
.29815 .3333 L
.29948 .33179 L
s
.30431 .3275 m
.305 .32847 L
.30431 .33094 L
.30312 .32847 L
.30431 .3275 L
s
.36712 .32248 m
.36822 .32364 L
.36748 .32847 L
.36712 .32907 L
.36517 .3333 L
.36235 .33813 L
.36229 .33869 L
.3597 .34296 L
.35746 .34625 L
.35648 .3478 L
.35331 .35263 L
.35263 .35382 L
.34993 .35746 L
.3478 .36063 L
.3477 .36229 L
.34334 .36712 L
.34296 .3677 L
.33975 .37196 L
.33813 .37506 L
.33738 .37679 L
.3333 .38139 L
.33314 .38162 L
.32947 .38645 L
.32847 .38848 L
.32698 .39128 L
.32364 .39561 L
.32285 .39612 L
.31922 .40095 L
.31881 .40194 L
.31652 .40578 L
.31397 .40903 L
.31253 .41061 L
.30915 .41544 L
.30914 .41548 L
.30603 .42027 L
.30431 .42244 L
.3022 .42511 L
.29948 .42938 L
.2988 .42994 L
.29554 .43477 L
.29465 .43588 L
.29356 .4396 L
.28981 .44285 L
.28842 .44443 L
.28508 .44927 L
.28498 .44938 L
.28257 .4541 L
.28015 .45623 L
.278 .45893 L
.27532 .46307 L
Mistroke
.2746 .46376 L
.27158 .46859 L
.27049 .46954 L
.2675 .47342 L
.26566 .47631 L
.26397 .47826 L
.26082 .48284 L
.26048 .48309 L
.25671 .48792 L
.25599 .48901 L
.25277 .49275 L
.25116 .49515 L
.24854 .49758 L
.24633 .50114 L
.24162 .49758 L
.24327 .49275 L
.24564 .48792 L
.24633 .48648 L
.24887 .48309 L
.25116 .47831 L
.25119 .47826 L
.25405 .47342 L
.25599 .47053 L
.25795 .46859 L
.26051 .46376 L
.26082 .4634 L
.26367 .45893 L
.26566 .45626 L
.268 .4541 L
.27048 .44927 L
.27049 .44926 L
.27373 .44443 L
.27532 .44246 L
.27857 .4396 L
.28015 .43545 L
.28072 .43477 L
.28396 .42994 L
.28498 .42885 L
.28734 .42511 L
.28981 .42186 L
.29112 .42027 L
.29428 .41544 L
.29465 .41521 L
.29764 .41061 L
.29948 .40838 L
.30161 .40578 L
.30431 .40138 L
.30448 .40095 L
.30799 .39612 L
.30914 .39498 L
Mistroke
.31214 .39128 L
.31397 .38793 L
.31472 .38645 L
.31837 .38162 L
.31881 .38148 L
.32266 .37679 L
.32364 .37463 L
.32513 .37196 L
.32847 .36763 L
.32882 .36712 L
.33306 .36229 L
.3333 .36146 L
.3357 .35746 L
.33813 .35453 L
.33941 .35263 L
.34296 .34783 L
.34299 .3478 L
.34659 .34296 L
.3478 .34187 L
.3488 .33813 L
.35263 .3356 L
.35453 .3333 L
.35746 .32986 L
.35891 .32847 L
.36229 .32467 L
.3646 .32364 L
.36712 .32248 L
Mfstroke
.33813 .31775 m
.34296 .3152 L
.3433 .31881 L
.34296 .31977 L
.3412 .32364 L
.33885 .32847 L
.33813 .32938 L
.33574 .3333 L
.3333 .33723 L
.33271 .33813 L
.3297 .34296 L
.32847 .3453 L
.32627 .3478 L
.32364 .35172 L
.323 .35263 L
.31973 .35746 L
.31881 .35905 L
.31759 .36229 L
.31397 .36564 L
.3129 .36712 L
.30954 .37196 L
.30914 .37265 L
.30701 .37679 L
.30431 .37999 L
.30265 .38162 L
.29948 .38622 L
.29931 .38645 L
.29639 .39128 L
.29465 .39329 L
.29233 .39612 L
.28981 .40047 L
.28893 .40095 L
.28574 .40578 L
.28498 .40663 L
.28195 .41061 L
.28015 .41369 L
.27846 .41544 L
.27532 .41996 L
.27507 .42027 L
.27147 .42511 L
.27049 .42676 L
.26785 .42994 L
.26566 .43369 L
.2643 .43477 L
.26082 .4395 L
.26074 .4396 L
.25682 .44443 L
.25599 .44583 L
.25271 .44927 L
.25116 .45225 L
Mistroke
.24796 .4541 L
.24633 .45547 L
.24411 .4541 L
.24486 .44927 L
.24633 .44749 L
.24764 .44443 L
.25085 .4396 L
.25116 .43765 L
.25291 .43477 L
.2559 .42994 L
.25599 .42981 L
.26036 .42511 L
.26082 .42211 L
.26226 .42027 L
.26524 .41544 L
.26566 .41496 L
.2684 .41061 L
.27049 .40778 L
.27217 .40578 L
.27515 .40095 L
.27532 .4008 L
.27841 .39612 L
.28015 .39394 L
.28244 .39128 L
.28498 .38691 L
.28519 .38645 L
.28864 .38162 L
.28981 .38037 L
.29293 .37679 L
.29465 .37338 L
.29546 .37196 L
.29904 .36712 L
.29948 .36685 L
.3035 .36229 L
.30431 .36011 L
.30597 .35746 L
.30914 .35328 L
.30959 .35263 L
.3139 .3478 L
.31397 .34704 L
.31675 .34296 L
.31881 .34047 L
.32048 .33813 L
.32364 .33408 L
.32428 .3333 L
.32817 .32847 L
.32847 .32821 L
.33136 .32364 L
.3333 .32267 L
.33714 .31881 L
Mistroke
.33813 .31775 L
Mfstroke
.71985 .28495 m
.72468 .28342 L
.72951 .28252 L
.73434 .28198 L
.73918 .28164 L
.74401 .28142 L
.74884 .28129 L
.75367 .28123 L
.7585 .28122 L
.76334 .28128 L
.76817 .2814 L
.773 .2816 L
.77783 .28193 L
.78266 .28245 L
.7875 .28328 L
.79233 .28466 L
.79314 .28498 L
.79716 .28669 L
.80036 .28981 L
.79954 .29465 L
.79716 .29702 L
.79304 .29948 L
.79233 .29983 L
.7875 .30169 L
.78266 .30296 L
.77783 .30387 L
.77478 .30431 L
.773 .30453 L
.76817 .30499 L
.76334 .30528 L
.7585 .30542 L
.75367 .30541 L
.74884 .30526 L
.74401 .30496 L
.73918 .30445 L
.73809 .30431 L
.73434 .30372 L
.72951 .30276 L
.72468 .30152 L
.71985 .29972 L
.71937 .29948 L
.71502 .29655 L
.71346 .29465 L
.71273 .28981 L
.71502 .28722 L
.71976 .28498 L
.71985 .28495 L
s
.67636 .17819 m
.68119 .17672 L
.68603 .17625 L
.69086 .17619 L
.69569 .17628 L
.70052 .17641 L
.70535 .17654 L
.71019 .17664 L
.71502 .17672 L
.71985 .17679 L
.72468 .17684 L
.72951 .17688 L
.73434 .17691 L
.73918 .17693 L
.74401 .17694 L
.74884 .17695 L
.75367 .17695 L
.7585 .17696 L
.76334 .17695 L
.76817 .17694 L
.773 .17693 L
.77783 .17691 L
.78266 .17688 L
.7875 .17685 L
.79233 .1768 L
.79716 .17673 L
.80199 .17665 L
.80682 .17655 L
.81165 .17643 L
.81649 .1763 L
.82132 .1762 L
.82615 .17622 L
.83098 .17661 L
.83581 .1779 L
.83738 .17868 L
.84065 .18121 L
.84232 .18351 L
.84448 .18835 L
.84544 .19318 L
.84548 .19355 L
.84553 .19801 L
.84548 .1987 L
.84478 .20284 L
.84293 .20767 L
.84065 .2107 L
.83842 .2125 L
.83581 .21323 L
.83098 .21368 L
.82615 .21346 L
.82132 .2131 L
Mistroke
.81649 .21275 L
.81232 .2125 L
.81165 .21246 L
.80682 .21219 L
.80199 .21198 L
.79716 .21183 L
.79233 .21171 L
.7875 .21163 L
.78266 .21156 L
.77783 .21151 L
.773 .21148 L
.76817 .21146 L
.76334 .21144 L
.7585 .21143 L
.75367 .21143 L
.74884 .21144 L
.74401 .21146 L
.73918 .21148 L
.73434 .21152 L
.72951 .21157 L
.72468 .21164 L
.71985 .21173 L
.71502 .21185 L
.71019 .21201 L
.70535 .21222 L
.70052 .2125 L
.70045 .2125 L
.69569 .21279 L
.69086 .21315 L
.68603 .21351 L
.68119 .21367 L
.67636 .21308 L
.67443 .2125 L
.67153 .21 L
.66989 .20767 L
.66804 .20284 L
.66729 .19801 L
.66738 .19318 L
.66834 .18835 L
.6705 .18351 L
.67153 .18198 L
.67544 .17868 L
.67636 .17819 L
Mfstroke
.67636 .11062 m
.68119 .10897 L
.68603 .10843 L
.69086 .10834 L
.69569 .10842 L
.70052 .10853 L
.70535 .10865 L
.71019 .10874 L
.71502 .10882 L
.71985 .10888 L
.72468 .10893 L
.72951 .10897 L
.73434 .10899 L
.73918 .10901 L
.74401 .10903 L
.74884 .10903 L
.75367 .10904 L
.7585 .10904 L
.76334 .10903 L
.76817 .10903 L
.773 .10901 L
.77783 .109 L
.78266 .10897 L
.7875 .10894 L
.79233 .10889 L
.79716 .10883 L
.80199 .10876 L
.80682 .10866 L
.81165 .10855 L
.81649 .10843 L
.82132 .10835 L
.82615 .1084 L
.83098 .10886 L
.83581 .1103 L
.83717 .11104 L
.84065 .11428 L
.84164 .11587 L
.84347 .1207 L
.84405 .12553 L
.84363 .13036 L
.84204 .1352 L
.84065 .13765 L
.83832 .14003 L
.83581 .14167 L
.83098 .14322 L
.82615 .14376 L
.82132 .14388 L
.81649 .14384 L
.81165 .14375 L
.80682 .14366 L
Mistroke
.80199 .14358 L
.79716 .14351 L
.79233 .14346 L
.7875 .14342 L
.78266 .14339 L
.77783 .14337 L
.773 .14335 L
.76817 .14334 L
.76334 .14333 L
.7585 .14333 L
.75367 .14333 L
.74884 .14334 L
.74401 .14334 L
.73918 .14335 L
.73434 .14337 L
.72951 .14339 L
.72468 .14343 L
.71985 .14347 L
.71502 .14352 L
.71019 .14359 L
.70535 .14367 L
.70052 .14376 L
.69569 .14384 L
.69086 .14387 L
.68603 .14372 L
.68119 .14309 L
.67636 .14132 L
.6745 .14003 L
.67153 .13666 L
.67078 .1352 L
.66919 .13036 L
.66877 .12553 L
.66935 .1207 L
.67118 .11587 L
.67153 .11525 L
.67565 .11104 L
.67636 .11062 L
Mfstroke
.01923 .72212 m
.02064 .71985 L
.02387 .71502 L
.02406 .71474 L
.0274 .71019 L
.02889 .70827 L
.03129 .70535 L
.03373 .70257 L
.03563 .70052 L
.03856 .69758 L
.04057 .69569 L
.04339 .69322 L
.04633 .69086 L
.04822 .68946 L
.05305 .68624 L
.0534 .68603 L
.05789 .68355 L
.06272 .68135 L
.06309 .68119 L
.06755 .67964 L
.07238 .67839 L
.07721 .67759 L
.08204 .67724 L
.08688 .67735 L
.09171 .67791 L
.09654 .67891 L
.10137 .68038 L
.10358 .68119 L
.1062 .68232 L
.11104 .68474 L
.11327 .68603 L
.11587 .68768 L
.12034 .69086 L
.1207 .69113 L
.12553 .69515 L
.12613 .69569 L
.13036 .69975 L
.13112 .70052 L
.1352 .70495 L
.13555 .70535 L
.13951 .71019 L
.14003 .71085 L
.14303 .71502 L
.14486 .71781 L
.14608 .71985 L
.14862 .72468 L
.14969 .72705 L
.1507 .72951 L
.15248 .73434 L
.1542 .73918 L
Mistroke
.15452 .74007 L
.1561 .74401 L
.15848 .74884 L
.15935 .75031 L
.16198 .75367 L
.16419 .75568 L
.16902 .75804 L
.17142 .7585 L
.17385 .75868 L
.17868 .75851 L
.1788 .7585 L
.18351 .75806 L
.18835 .75757 L
.19318 .75713 L
.19801 .75676 L
.20284 .75646 L
.20767 .75623 L
.2125 .75605 L
.21734 .75592 L
.22217 .75582 L
.227 .75574 L
.23183 .75569 L
.23666 .75566 L
.2415 .75565 L
.24633 .75565 L
.25116 .75566 L
.25599 .7557 L
.26082 .75575 L
.26566 .75583 L
.27049 .75594 L
.27532 .75608 L
.28015 .75628 L
.28498 .75653 L
.28981 .75687 L
.29465 .75733 L
.29948 .75793 L
.30295 .7585 L
.30431 .75877 L
.30914 .75996 L
.31397 .76159 L
.31775 .76334 L
.31881 .76382 L
.32364 .76718 L
.32441 .76817 L
.32784 .773 L
.32778 .77783 L
.32364 .78195 L
.32218 .78266 L
.31881 .78427 L
.31397 .78564 L
Mistroke
.30914 .78649 L
.30431 .78705 L
.29948 .78743 L
.29839 .7875 L
.29465 .78774 L
.28981 .78797 L
.28498 .78814 L
.28015 .78827 L
.27532 .78836 L
.27049 .78843 L
.26566 .78848 L
.26082 .78852 L
.25599 .78854 L
.25116 .78856 L
.24633 .78857 L
.2415 .78857 L
.23666 .78856 L
.23183 .78854 L
.227 .78852 L
.22217 .78849 L
.21734 .78844 L
.2125 .78838 L
.20767 .7883 L
.20284 .7882 L
.19801 .78807 L
.19318 .78792 L
.18835 .78778 L
.18351 .78771 L
.17868 .78788 L
.17385 .78873 L
.16902 .79122 L
.16782 .79233 L
.16488 .79716 L
.16419 .79933 L
.16368 .80199 L
.16356 .80682 L
.16419 .81058 L
.16449 .81165 L
.16687 .81649 L
.16902 .81897 L
.17296 .82132 L
.17385 .82167 L
.17868 .82281 L
.18351 .82323 L
.18835 .82335 L
.19318 .82334 L
.19801 .8233 L
.20284 .82324 L
.20767 .82319 L
.2125 .82315 L
Mistroke
.21734 .82312 L
.22217 .82309 L
.227 .82307 L
.23183 .82306 L
.23666 .82305 L
.2415 .82304 L
.24633 .82305 L
.25116 .82305 L
.25599 .82306 L
.26082 .82307 L
.26566 .82309 L
.27049 .82312 L
.27532 .82316 L
.28015 .82321 L
.28498 .82328 L
.28981 .82338 L
.29465 .8235 L
.29948 .82367 L
.30431 .82389 L
.30914 .82418 L
.31397 .82453 L
.31881 .82492 L
.32364 .82524 L
.32847 .82521 L
.3333 .82415 L
.33753 .82132 L
.33813 .8207 L
.34089 .81649 L
.34274 .81165 L
.34296 .81129 L
.3438 .80682 L
.34431 .80199 L
.3444 .79716 L
.3442 .79233 L
.3439 .7875 L
.34399 .78266 L
.34547 .77783 L
.3478 .7731 L
.34787 .773 L
.35121 .76817 L
.35263 .76605 L
.35454 .76334 L
.35746 .75915 L
.35791 .7585 L
.3614 .75367 L
.36229 .75248 L
.36514 .74884 L
.36712 .74647 L
.36935 .74401 L
.37196 .74135 L
Mistroke
.37434 .73918 L
.37679 .73716 L
.38085 .73434 L
.38162 .73387 L
.38645 .73141 L
.39128 .72961 L
.39157 .72951 L
.39612 .72834 L
.40095 .72757 L
.40578 .72739 L
.41061 .72791 L
.41544 .72913 L
.41664 .72951 L
.42027 .73098 L
.42511 .73347 L
.42655 .73434 L
.42994 .73668 L
.43311 .73918 L
.43477 .74063 L
.43825 .74401 L
.4396 .74545 L
.44252 .74884 L
.44443 .75125 L
.44623 .75367 L
.44927 .75812 L
.44951 .7585 L
.45241 .76334 L
.4541 .7664 L
.45502 .76817 L
.45738 .773 L
.45893 .77643 L
.45953 .77783 L
.46147 .78266 L
.46325 .7875 L
.46376 .78898 L
.46486 .79233 L
.46632 .79716 L
.46765 .80199 L
.46859 .80572 L
.46885 .80682 L
.46992 .81165 L
.47088 .81649 L
.47173 .82132 L
.47247 .82615 L
.47312 .83098 L
.47342 .8336 L
.47365 .83581 L
.47409 .84065 L
.47442 .84548 L
.47467 .85031 L
Mistroke
.47482 .85514 L
.47488 .85997 L
.47484 .8648 L
.47472 .86964 L
.47449 .87447 L
.47418 .8793 L
.47377 .88413 L
.47342 .88756 L
.47326 .88896 L
.47264 .8938 L
.47192 .89863 L
.4711 .90346 L
.47017 .90829 L
.46913 .91312 L
.46859 .91543 L
.46796 .91796 L
.46666 .92279 L
.46523 .92762 L
.46376 .93218 L
.46367 .93245 L
.46193 .93728 L
.46003 .94211 L
.45893 .94472 L
.45794 .94695 L
.45563 .95178 L
.4541 .95475 L
.45309 .95661 L
.45026 .96144 L
.44927 .96302 L
.44709 .96627 L
.44443 .96992 L
.44351 .97111 L
.4396 .9757 L
.43938 .97594 L
.43477 .98052 L
.43449 .98077 L
Mfstroke
.37312 .98077 m
.37196 .97972 L
.36814 .97594 L
.36712 .97484 L
.36392 .97111 L
.36229 .96903 L
.36031 .96627 L
.35746 .96179 L
.35726 .96144 L
.3548 .95661 L
.35284 .95178 L
.35263 .95119 L
.35121 .94695 L
.3497 .94211 L
.34811 .93728 L
.3478 .93641 L
.3462 .93245 L
.34366 .92762 L
.34296 .92656 L
.33962 .92279 L
.33813 .92174 L
.3333 .92003 L
.32847 .92004 L
.32364 .92073 L
.31881 .92154 L
.31397 .92225 L
.30951 .92279 L
.30914 .92283 L
.30431 .92326 L
.29948 .92358 L
.29465 .92382 L
.28981 .924 L
.28498 .92414 L
.28015 .92423 L
.27532 .92431 L
.27049 .92436 L
.26566 .9244 L
.26082 .92443 L
.25599 .92445 L
.25116 .92447 L
.24633 .92447 L
.2415 .92448 L
.23666 .92447 L
.23183 .92446 L
.227 .92444 L
.22217 .92441 L
.21734 .92437 L
.2125 .92432 L
.20767 .92426 L
.20284 .92418 L
Mistroke
.19801 .92409 L
.19318 .92398 L
.18835 .9239 L
.18351 .92391 L
.17868 .92416 L
.17385 .92503 L
.16902 .92734 L
.16865 .92762 L
.16458 .93245 L
.16419 .93274 L
.16268 .93728 L
.16187 .94211 L
.16187 .94695 L
.16268 .95178 L
.16419 .95597 L
.16451 .95661 L
.16899 .96144 L
.16902 .96145 L
.17385 .96191 L
.17868 .96192 L
.18351 .96163 L
.18691 .96144 L
.18835 .96123 L
.19318 .96073 L
.19801 .96034 L
.20284 .96005 L
.20767 .95982 L
.2125 .95966 L
.21734 .95953 L
.22217 .95944 L
.227 .95938 L
.23183 .95933 L
.23666 .9593 L
.2415 .95929 L
.24633 .95929 L
.25116 .95931 L
.25599 .95934 L
.26082 .95939 L
.26566 .95946 L
.27049 .95955 L
.27532 .95969 L
.28015 .95987 L
.28498 .96012 L
.28981 .96047 L
.29465 .96097 L
.29799 .96144 L
.29948 .96157 L
.30431 .96226 L
.30914 .96389 L
.31226 .96627 L
Mistroke
.31397 .96795 L
.31537 .97111 L
.31445 .97594 L
.31397 .97678 L
.31019 .98077 L
Mfstroke
.17154 .98077 m
.16902 .98017 L
.16419 .98046 L
.16332 .98077 L
s
.98077 .03342 m
.97857 .02889 L
.976 .02406 L
.97594 .02396 L
.97319 .01923 L
s
.82377 .01923 m
.82615 .0211 L
.82859 .02406 L
.83008 .02889 L
.82667 .03373 L
.82615 .03432 L
.82132 .03693 L
.81649 .03801 L
.81165 .03853 L
.81133 .03856 L
.80682 .03915 L
.80199 .0396 L
.79716 .03993 L
.79233 .04016 L
.7875 .04034 L
.78266 .04046 L
.77783 .04055 L
.773 .04062 L
.76817 .04067 L
.76334 .04069 L
.7585 .04071 L
.75367 .04071 L
.74884 .04069 L
.74401 .04066 L
.73918 .04061 L
.73434 .04054 L
.72951 .04045 L
.72468 .04032 L
.71985 .04014 L
.71502 .03989 L
.71019 .03955 L
.70535 .03908 L
.7015 .03856 L
.70052 .03848 L
.69569 .03791 L
.69086 .0367 L
.68603 .03374 L
.68602 .03373 L
.6828 .02889 L
.68425 .02406 L
.68603 .02172 L
.68905 .01923 L
s
.85924 .01923 m
.85572 .02406 L
.85514 .02485 L
.85262 .02889 L
.85031 .0334 L
.85023 .03373 L
.84929 .03856 L
.84911 .04339 L
.84914 .04822 L
.84899 .05305 L
.84847 .05789 L
.84742 .06272 L
.84559 .06755 L
.84548 .06778 L
.84225 .07238 L
.84065 .07383 L
.83581 .07619 L
.83098 .07692 L
.82615 .07698 L
.82132 .07679 L
.81649 .07654 L
.81165 .07631 L
.80682 .07612 L
.80199 .07596 L
.79716 .07584 L
.79233 .07575 L
.7875 .07568 L
.78266 .07563 L
.77783 .07559 L
.773 .07556 L
.76817 .07554 L
.76334 .07553 L
.7585 .07552 L
.75367 .07553 L
.74884 .07553 L
.74401 .07554 L
.73918 .07557 L
.73434 .0756 L
.72951 .07564 L
.72468 .07569 L
.71985 .07576 L
.71502 .07586 L
.71019 .07598 L
.70535 .07614 L
.70052 .07634 L
.69569 .07658 L
.69086 .07682 L
.68603 .07699 L
.68119 .07688 L
.67636 .076 L
Mistroke
.67153 .0733 L
.67057 .07238 L
.66724 .06755 L
.6667 .06663 L
.6654 .06272 L
.66435 .05789 L
.66383 .05305 L
.66368 .04822 L
.66371 .04339 L
.66352 .03856 L
.66248 .03373 L
.66187 .03176 L
.66024 .02889 L
.65711 .02406 L
.65704 .02394 L
.65357 .01923 L
Mfstroke
.98077 .24542 m
.98035 .24633 L
.97795 .25116 L
.97594 .25489 L
.97532 .25599 L
.97246 .26082 L
.97111 .26297 L
.96932 .26566 L
.96627 .26993 L
.96585 .27049 L
.96197 .27532 L
.96144 .27593 L
.95756 .28015 L
.95661 .2811 L
.95242 .28498 L
.95178 .28553 L
.94695 .28929 L
.9462 .28981 L
.94211 .29241 L
.93793 .29465 L
.93728 .29495 L
.93245 .29692 L
.92762 .29836 L
.92279 .29927 L
.92096 .29948 L
.91796 .29966 L
.91312 .29954 L
.91237 .29948 L
.90829 .29891 L
.90346 .29775 L
.89863 .29607 L
.89539 .29465 L
.8938 .29384 L
.88896 .29104 L
.88712 .28981 L
.88413 .28763 L
.88088 .28498 L
.8793 .28358 L
.87577 .28015 L
.87447 .27878 L
.87143 .27532 L
.86964 .27307 L
.86772 .27049 L
.8648 .26616 L
.86449 .26566 L
.86162 .26082 L
.85997 .25786 L
.85894 .25599 L
.85625 .25116 L
.85514 .24928 L
Mistroke
.85327 .24633 L
.85031 .24241 L
.84953 .2415 L
.84548 .23816 L
.84172 .23666 L
.84065 .23651 L
.8366 .23666 L
.83581 .2368 L
.83098 .23802 L
.82615 .23936 L
.82132 .24055 L
.81654 .2415 L
.81649 .24151 L
.81165 .24222 L
.80682 .24277 L
.80199 .2432 L
.79716 .24352 L
.79233 .24376 L
.7875 .24394 L
.78266 .24408 L
.77783 .24418 L
.773 .24425 L
.76817 .24431 L
.76334 .24434 L
.7585 .24435 L
.75367 .24435 L
.74884 .24434 L
.74401 .2443 L
.73918 .24425 L
.73434 .24417 L
.72951 .24406 L
.72468 .24392 L
.71985 .24373 L
.71502 .24348 L
.71019 .24315 L
.70535 .24271 L
.70052 .24214 L
.69628 .2415 L
.69569 .24139 L
.69086 .2404 L
.68603 .23919 L
.68119 .23783 L
.67636 .2367 L
.67617 .23666 L
.67153 .2366 L
.67115 .23666 L
.6667 .23857 L
.66328 .2415 L
.66187 .24318 L
.65956 .24633 L
Mistroke
.65704 .25037 L
.65658 .25116 L
.6539 .25599 L
.6522 .25909 L
.65125 .26082 L
.64842 .26566 L
.64737 .26733 L
.64526 .27049 L
.64254 .27415 L
.6416 .27532 L
.63771 .2797 L
.63727 .28015 L
.63288 .28421 L
.63196 .28498 L
.62804 .28786 L
.62508 .28981 L
.62321 .29088 L
.61838 .29352 L
.61616 .29465 L
.61355 .29585 L
.60872 .29783 L
.60388 .29924 L
.60261 .29948 L
.59905 .29988 L
.59422 .29976 L
.59163 .29948 L
.58939 .29914 L
.58456 .29813 L
.57973 .29665 L
.57492 .29465 L
.57489 .29463 L
.57006 .29211 L
.56653 .28981 L
.56523 .28884 L
.56059 .28498 L
.5604 .28482 L
.55557 .28053 L
.55516 .28015 L
.55076 .27532 L
.55073 .27529 L
.54706 .27049 L
.5459 .26894 L
.54351 .26566 L
.54107 .26202 L
.54033 .26082 L
.53754 .25599 L
.53624 .25365 L
.53491 .25116 L
.53247 .24633 L
.53141 .24409 L
Mistroke
.53026 .2415 L
.52823 .23666 L
.52658 .23248 L
.52633 .23183 L
.52459 .227 L
.52297 .22217 L
.52174 .21827 L
.52147 .21734 L
.52011 .2125 L
.51884 .20767 L
.51767 .20284 L
.51691 .19948 L
.51661 .19801 L
.51566 .19318 L
.51479 .18835 L
.51401 .18351 L
.51331 .17868 L
.51269 .17385 L
.51215 .16902 L
.51208 .16828 L
.51172 .16419 L
.51137 .15935 L
.51109 .15452 L
.51089 .14969 L
.51076 .14486 L
.51072 .14003 L
.51074 .1352 L
.51085 .13036 L
.51103 .12553 L
.51129 .1207 L
.51162 .11587 L
.51204 .11104 L
.51208 .11057 L
.51255 .1062 L
.51314 .10137 L
.51383 .09654 L
.51459 .09171 L
.51543 .08688 L
.51636 .08204 L
.51691 .07937 L
.51739 .07721 L
.51854 .07238 L
.51978 .06755 L
.52112 .06272 L
.52174 .06058 L
.52258 .05789 L
.52418 .05305 L
.52588 .04822 L
.52658 .04635 L
.52774 .04339 L
Mistroke
.52975 .03856 L
.53141 .03481 L
.53191 .03373 L
.53428 .02889 L
.53624 .02513 L
.53683 .02406 L
.53963 .01923 L
Mfstroke
.23183 .93675 m
.23666 .93544 L
.2415 .93496 L
.24633 .93499 L
.25116 .93555 L
.25599 .93706 L
.2564 .93728 L
.25599 .94157 L
.2551 .94211 L
.25116 .94325 L
.24633 .94388 L
.2415 .94391 L
.23666 .94337 L
.23215 .94211 L
.23183 .94192 L
.23076 .93728 L
.23183 .93675 L
s
.2125 .86371 m
.21734 .86267 L
.22217 .86198 L
.227 .8615 L
.23183 .86119 L
.23666 .861 L
.2415 .86091 L
.24633 .86091 L
.25116 .86102 L
.25599 .86122 L
.26082 .86156 L
.26566 .86205 L
.27049 .86279 L
.27532 .86388 L
.27823 .8648 L
.28015 .86552 L
.28498 .86822 L
.28647 .86964 L
.28787 .87447 L
.28498 .87866 L
.28414 .8793 L
.28015 .88184 L
.27532 .88335 L
.27079 .88413 L
.27049 .88419 L
.26566 .88499 L
.26082 .88554 L
.25599 .88592 L
.25116 .88615 L
.24633 .88627 L
.2415 .88627 L
.23666 .88617 L
.23183 .88595 L
.227 .8856 L
.22217 .88507 L
.21734 .88431 L
.21641 .88413 L
.2125 .88348 L
.20767 .88209 L
.20312 .8793 L
.20284 .8791 L
.19942 .87447 L
.20081 .86964 L
.20284 .8678 L
.20767 .86529 L
.209 .8648 L
.2125 .86371 L
s
.23666 .79682 m
.2415 .79664 L
.24633 .79665 L
.25116 .79686 L
.25502 .79716 L
.25599 .79724 L
.26082 .79771 L
.26566 .79853 L
.27049 .80008 L
.27377 .80199 L
.27532 .80303 L
.27809 .80682 L
.27567 .81165 L
.27532 .8119 L
.27049 .81419 L
.26566 .81549 L
.26082 .81632 L
.25964 .81649 L
.25599 .8169 L
.25116 .81725 L
.24633 .81742 L
.2415 .81743 L
.23666 .81728 L
.23183 .81696 L
.22756 .81649 L
.227 .81641 L
.22217 .81562 L
.21734 .81439 L
.2125 .8123 L
.21154 .81165 L
.20912 .80682 L
.2125 .80258 L
.21343 .80199 L
.21734 .79981 L
.22217 .7984 L
.227 .79764 L
.23183 .79719 L
.23222 .79716 L
.23666 .79682 L
s
.35263 .61613 m
.35484 .61838 L
.35263 .62036 L
.35179 .61838 L
.35263 .61613 L
s
.32364 .61414 m
.32474 .61838 L
.32364 .61895 L
.32294 .61838 L
.32364 .61414 L
s
.6522 .58045 m
.65614 .58456 L
.6522 .58862 L
.65019 .58456 L
.6522 .58045 L
s
.52174 .57417 m
.52658 .57239 L
.52781 .57489 L
.52658 .57647 L
.52406 .57973 L
.52174 .58235 L
.51973 .58456 L
.51691 .58741 L
.51471 .58939 L
.51208 .59158 L
.50794 .59422 L
.50725 .59461 L
.50392 .59422 L
.50665 .58939 L
.50725 .58868 L
.51068 .58456 L
.51208 .58306 L
.51536 .57973 L
.51691 .57831 L
.52128 .57489 L
.52174 .57417 L
s
.63288 .56538 m
.63652 .57006 L
.63288 .57343 L
.63086 .57006 L
.63288 .56538 L
s
.49758 .56975 m
.50242 .56673 L
.50529 .57006 L
.50242 .5723 L
.4997 .57489 L
.49758 .577 L
.49493 .57973 L
.49275 .58199 L
.49007 .58456 L
.48792 .58662 L
.4844 .58939 L
.48309 .59139 L
.47826 .59209 L
.47779 .58939 L
.47826 .58865 L
.48094 .58456 L
.48309 .58205 L
.48509 .57973 L
.48792 .577 L
.49026 .57489 L
.49275 .57304 L
.49648 .57006 L
.49758 .56975 L
s
.38645 .56607 m
.39082 .57006 L
.38784 .57489 L
.38645 .57699 L
.38465 .57973 L
.38162 .58424 L
.3814 .58456 L
.37954 .58939 L
.37679 .59167 L
.3746 .59422 L
.37196 .59788 L
.37105 .59905 L
.36773 .60388 L
.36712 .60437 L
.36363 .60872 L
.36229 .61138 L
.35953 .61355 L
.35746 .61599 L
.35405 .61355 L
.35671 .60872 L
.35746 .60742 L
.35979 .60388 L
.36229 .59981 L
.36283 .59905 L
.36609 .59422 L
.36712 .59264 L
.36948 .58939 L
.37196 .58568 L
.37281 .58456 L
.37624 .57973 L
.37679 .5785 L
.37988 .57489 L
.38162 .57239 L
.38352 .57006 L
.38645 .56607 L
s
.47826 .56209 m
.48257 .56523 L
.47826 .56714 L
.47552 .56523 L
.47826 .56209 L
s
.39612 .55513 m
.39812 .55557 L
.39631 .5604 L
.39612 .56075 L
.39369 .56523 L
.39128 .56931 L
.38718 .56523 L
.39109 .5604 L
.39128 .56014 L
.39573 .55557 L
.39612 .55513 L
s
.53141 .53923 m
.53624 .53665 L
.5382 .54107 L
.53624 .54335 L
.53424 .5459 L
.53141 .54912 L
.53002 .55073 L
.52658 .55441 L
.52545 .55557 L
.52174 .55904 L
.5201 .5604 L
.51691 .56452 L
.51423 .56523 L
.51208 .56602 L
.50725 .56866 L
.50417 .56523 L
.50725 .56261 L
.5093 .5604 L
.51208 .55752 L
.51381 .55557 L
.51691 .5522 L
.51826 .55073 L
.52174 .54713 L
.52302 .5459 L
.52658 .54272 L
.52874 .54107 L
.53141 .53923 L
s
.54107 .53546 m
.5415 .53624 L
.54107 .53684 L
.53721 .53624 L
.54107 .53546 L
s
.45893 .52663 m
.45973 .53141 L
.45893 .53168 L
.4568 .53141 L
.45893 .52663 L
s
.27532 .51424 m
.27772 .51691 L
.27532 .51787 L
.27483 .51691 L
.27532 .51424 L
s
.61355 .50898 m
.61771 .51208 L
.61355 .51585 L
.6122 .51208 L
.61355 .50898 L
s
.44927 .50819 m
.45099 .51208 L
.44927 .51357 L
.4459 .51208 L
.44927 .50819 L
s
.70535 .50634 m
.7091 .50725 L
.70704 .51208 L
.70535 .5152 L
.70439 .51691 L
.70209 .52174 L
.70052 .52431 L
.69857 .52658 L
.69569 .53103 L
.69544 .53141 L
.69256 .53624 L
.69086 .53862 L
.68896 .54107 L
.68603 .54532 L
.68561 .5459 L
.68237 .55073 L
.68119 .5523 L
.67877 .55557 L
.67636 .55939 L
.67524 .5604 L
.67174 .56523 L
.67153 .56549 L
.66953 .57006 L
.6667 .57206 L
.66425 .57489 L
.66187 .57907 L
.66031 .57973 L
.65704 .58367 L
.65263 .57973 L
.65546 .57489 L
.65704 .57231 L
.65849 .57006 L
.66145 .56523 L
.66187 .56459 L
.66481 .5604 L
.6667 .55756 L
.6681 .55557 L
.67134 .55073 L
.67153 .55046 L
.67316 .5459 L
.67636 .54297 L
.67827 .54107 L
.68119 .53688 L
.68168 .53624 L
.68447 .53141 L
.68603 .53003 L
.68886 .52658 L
.69086 .52266 L
.69253 .52174 L
.69569 .51752 L
Mistroke
.69622 .51691 L
.70015 .51208 L
.70052 .51143 L
.70457 .50725 L
.70535 .50634 L
Mfstroke
.54107 .50522 m
.5459 .50349 L
.54663 .50725 L
.5459 .508 L
.54321 .51208 L
.54107 .51435 L
.53955 .51691 L
.53624 .51995 L
.53573 .52174 L
.53141 .52485 L
.53082 .52658 L
.52658 .52928 L
.5231 .53141 L
.52174 .5317 L
.51691 .53526 L
.51562 .53624 L
.51208 .539 L
.51129 .54107 L
.50725 .54369 L
.50646 .5459 L
.50242 .54883 L
.5006 .55073 L
.49758 .55497 L
.49582 .55557 L
.49275 .55861 L
.49026 .5604 L
.48792 .56151 L
.48309 .56498 L
.4795 .5604 L
.48309 .55623 L
.48361 .55557 L
.48783 .55073 L
.48792 .5507 L
.49258 .5459 L
.49275 .54549 L
.49756 .54107 L
.49758 .54102 L
.50242 .53747 L
.50428 .53624 L
.50725 .53443 L
.5117 .53141 L
.51208 .53095 L
.51691 .52722 L
.51756 .52658 L
.52174 .52238 L
.52234 .52174 L
.52658 .51727 L
.52693 .51691 L
.53141 .51244 L
.5318 .51208 L
Mistroke
.53624 .50833 L
.5378 .50725 L
.54107 .50522 L
Mfstroke
.4541 .50409 m
.45635 .50725 L
.4541 .5093 L
.45014 .50725 L
.4541 .50409 L
s
.40095 .50436 m
.40417 .50725 L
.40315 .51208 L
.40095 .51428 L
.39959 .51691 L
.39652 .52174 L
.39612 .52311 L
.3944 .52658 L
.39128 .53064 L
.39081 .53141 L
.387 .53624 L
.38645 .53813 L
.38459 .54107 L
.38162 .5454 L
.38115 .5459 L
.37699 .55073 L
.37679 .5522 L
.37446 .55557 L
.37196 .55925 L
.37108 .5604 L
.36769 .56523 L
.36712 .56592 L
.36411 .57006 L
.36229 .57277 L
.36207 .57489 L
.35746 .57949 L
.35725 .57973 L
.35359 .58456 L
.35263 .58597 L
.35118 .58939 L
.3478 .59259 L
.34647 .59422 L
.34296 .59892 L
.3428 .59905 L
.33943 .60388 L
.33813 .60492 L
.33491 .60872 L
.3333 .61084 L
.3305 .61355 L
.32847 .61701 L
.32389 .61355 L
.32623 .60872 L
.32847 .60462 L
.32891 .60388 L
.33115 .59905 L
.3333 .59673 L
.33492 .59422 L
.33808 .58939 L
.33813 .58923 L
.34085 .58456 L
Mistroke
.34296 .5814 L
.34462 .57973 L
.3478 .57504 L
.3479 .57489 L
.35101 .57006 L
.35263 .5678 L
.3547 .56523 L
.35746 .56059 L
.35808 .5604 L
.36136 .55557 L
.36229 .55431 L
.36323 .55073 L
.36712 .54723 L
.36846 .5459 L
.37185 .54107 L
.37196 .54094 L
.37441 .53624 L
.37679 .53411 L
.37904 .53141 L
.38162 .52722 L
.38259 .52658 L
.38598 .52174 L
.38645 .52134 L
.39003 .51691 L
.39128 .51489 L
.394 .51208 L
.39612 .5094 L
.39825 .50725 L
.40095 .50436 L
Mfstroke
.45893 .50039 m
.46264 .50242 L
.45893 .50495 L
.45607 .50242 L
.45893 .50039 L
s
.5459 .47536 m
.55011 .47826 L
.54678 .48309 L
.5459 .48424 L
.54287 .48792 L
.54107 .4906 L
.53796 .49275 L
.53624 .49394 L
.53145 .49758 L
.53141 .49764 L
.52658 .50078 L
.52622 .50242 L
.52174 .50458 L
.51912 .50725 L
.51691 .50929 L
.51445 .51208 L
.51208 .51448 L
.51028 .51691 L
.50725 .52017 L
.50612 .52174 L
.50242 .52412 L
.50105 .52658 L
.49758 .52857 L
.49341 .53141 L
.49275 .53179 L
.48792 .5346 L
.4854 .53624 L
.48309 .53791 L
.48023 .54107 L
.47826 .54214 L
.47517 .5459 L
.47342 .54745 L
.46951 .55073 L
.46859 .55166 L
.464 .55557 L
.46376 .55565 L
.45893 .55845 L
.45652 .55557 L
.45893 .55171 L
.45955 .55073 L
.46364 .5459 L
.46376 .5457 L
.46852 .54107 L
.46859 .54095 L
.47342 .53729 L
.47486 .53624 L
.47826 .53407 L
.48162 .53141 L
.48309 .53041 L
.48751 .52658 L
Mistroke
.48792 .52509 L
.4922 .52174 L
.49275 .5205 L
.49648 .51691 L
.49758 .51588 L
.50087 .51208 L
.50242 .51055 L
.50603 .50725 L
.50725 .50627 L
.51208 .5029 L
.51285 .50242 L
.51691 .5 L
.5198 .49758 L
.52174 .4968 L
.52658 .49278 L
.5266 .49275 L
.53141 .48806 L
.53154 .48792 L
.53624 .48318 L
.53633 .48309 L
.54107 .47876 L
.54171 .47826 L
.5459 .47536 L
Mfstroke
.70052 .46991 m
.70457 .47342 L
.70218 .47826 L
.70052 .48112 L
.69939 .48309 L
.69638 .48792 L
.69569 .48944 L
.6946 .49275 L
.69086 .49665 L
.69025 .49758 L
.68677 .50242 L
.68603 .50402 L
.68441 .50725 L
.68119 .51135 L
.68041 .51208 L
.67677 .51691 L
.67636 .51792 L
.67408 .52174 L
.67153 .52496 L
.67021 .52658 L
.66673 .53141 L
.6667 .53152 L
.66354 .53624 L
.66187 .53827 L
.65973 .54107 L
.65704 .54503 L
.65616 .5459 L
.65265 .55073 L
.6522 .55123 L
.64883 .55557 L
.64737 .55764 L
.64496 .5604 L
.64254 .5641 L
.64093 .56523 L
.63771 .56898 L
.63296 .56523 L
.63559 .5604 L
.63771 .5568 L
.63846 .55557 L
.64132 .55073 L
.64254 .54852 L
.6446 .5459 L
.64737 .54171 L
.6478 .54107 L
.65105 .53624 L
.6522 .53432 L
.65286 .53141 L
.65704 .52695 L
.65774 .52658 L
.66116 .52174 L
Mistroke
.66187 .52058 L
.66351 .51691 L
.6667 .51348 L
.668 .51208 L
.67143 .50725 L
.67153 .50707 L
.67429 .50242 L
.67636 .50026 L
.67852 .49758 L
.68119 .49343 L
.68207 .49275 L
.68548 .48792 L
.68603 .48739 L
.68944 .48309 L
.69086 .48092 L
.69334 .47826 L
.69569 .47412 L
.69743 .47342 L
.70052 .46991 L
Mfstroke
.70535 .46615 m
.70642 .46859 L
.70535 .47163 L
.70208 .46859 L
.70535 .46615 L
s
.46376 .46837 m
.46859 .46523 L
.47218 .46859 L
.46859 .47131 L
.46637 .47342 L
.46376 .47598 L
.46152 .47826 L
.45893 .4809 L
.45662 .48309 L
.4541 .48542 L
.45074 .48792 L
.44927 .48891 L
.44555 .48792 L
.44737 .48309 L
.44927 .48173 L
.45209 .47826 L
.4541 .47624 L
.45706 .47342 L
.45893 .47193 L
.46348 .46859 L
.46376 .46837 L
s
.39612 .46749 m
.40095 .46405 L
.40195 .46859 L
.40095 .47105 L
.39993 .47342 L
.39741 .47826 L
.39612 .48055 L
.3947 .48309 L
.39174 .48792 L
.39128 .48866 L
.38828 .49275 L
.38645 .49651 L
.38605 .49758 L
.38229 .50242 L
.38162 .50336 L
.37839 .50725 L
.37679 .51059 L
.37597 .51208 L
.37233 .51691 L
.37196 .51737 L
.36818 .52174 L
.36712 .52436 L
.36575 .52658 L
.36229 .53123 L
.36214 .53141 L
.35787 .53624 L
.35746 .53795 L
.35539 .54107 L
.35263 .54485 L
.35183 .5459 L
.3484 .55073 L
.3478 .55144 L
.34493 .55557 L
.34296 .55824 L
.34139 .5604 L
.33813 .56496 L
.3379 .56523 L
.33434 .57006 L
.3333 .5714 L
.33198 .57489 L
.32847 .57801 L
.3271 .57973 L
.32364 .58437 L
.32344 .58456 L
.32011 .58939 L
.31881 .59035 L
.31549 .59422 L
.31397 .59616 L
.31096 .59905 L
.30914 .6016 L
Mistroke
.30447 .59905 L
.3065 .59422 L
.30906 .58939 L
.30914 .58911 L
.31129 .58456 L
.31397 .58116 L
.31486 .57973 L
.31841 .57489 L
.31881 .57341 L
.32092 .57006 L
.32364 .56568 L
.32445 .56523 L
.32836 .5604 L
.32847 .55927 L
.331 .55557 L
.3333 .55202 L
.33447 .55073 L
.33783 .5459 L
.33813 .54547 L
.34126 .54107 L
.34296 .53844 L
.34339 .53624 L
.3478 .53162 L
.34808 .53141 L
.35159 .52658 L
.35263 .52495 L
.35397 .52174 L
.35746 .51802 L
.35845 .51691 L
.36194 .51208 L
.36229 .5115 L
.36468 .50725 L
.36712 .50469 L
.36893 .50242 L
.37196 .49799 L
.3724 .49758 L
.3756 .49275 L
.37679 .49158 L
.37963 .48792 L
.38162 .48497 L
.3833 .48309 L
.38645 .47857 L
.387 .47826 L
.39093 .47342 L
.39128 .47294 L
.39533 .46859 L
.39612 .46749 L
Mfstroke
.61838 .45973 m
.6218 .46376 L
.61838 .46788 L
.61615 .46376 L
.61838 .45973 L
s
.53141 .46341 m
.53624 .45988 L
.53813 .46376 L
.53624 .46505 L
.53235 .46859 L
.53141 .46926 L
.52707 .47342 L
.52658 .47425 L
.52254 .47826 L
.52174 .48053 L
.51839 .48309 L
.51691 .48512 L
.5141 .48792 L
.51208 .48899 L
.50903 .49275 L
.50725 .49421 L
.50243 .49758 L
.50242 .4976 L
.49758 .50054 L
.4961 .50242 L
.49275 .50393 L
.48908 .50725 L
.48792 .50913 L
.48423 .51208 L
.48309 .51329 L
.47984 .51691 L
.47826 .51771 L
.4753 .52174 L
.47342 .52293 L
.46919 .52658 L
.46859 .52685 L
.46376 .52972 L
.45896 .52658 L
.46306 .52174 L
.46376 .52052 L
.46703 .51691 L
.46859 .514 L
.4712 .51208 L
.47342 .50992 L
.47622 .50725 L
.47826 .50559 L
.48291 .50242 L
.48309 .50217 L
.48792 .49916 L
.4887 .49758 L
.49275 .49561 L
.49575 .49275 L
.49758 .49114 L
.50053 .48792 L
.50242 .4853 L
Mistroke
.50477 .48309 L
.50725 .48102 L
.50903 .47826 L
.51208 .47732 L
.51436 .47342 L
.51691 .47206 L
.52174 .46894 L
.52236 .46859 L
.52658 .4663 L
.53089 .46376 L
.53141 .46341 L
Mfstroke
.54107 .45558 m
.54405 .45893 L
.54107 .46131 L
.53728 .45893 L
.54107 .45558 L
s
.5459 .45163 m
.54833 .4541 L
.5459 .45689 L
.54277 .4541 L
.5459 .45163 L
s
.69086 .44119 m
.69524 .44443 L
.69282 .44927 L
.69086 .45271 L
.69005 .4541 L
.68719 .45893 L
.68603 .46122 L
.68405 .46376 L
.68119 .46811 L
.68088 .46859 L
.67757 .47342 L
.67636 .47557 L
.6756 .47826 L
.67153 .48287 L
.67102 .48309 L
.66752 .48792 L
.6667 .4894 L
.66512 .49275 L
.66187 .49648 L
.66083 .49758 L
.65732 .50242 L
.65704 .50297 L
.65451 .50725 L
.6522 .50983 L
.6504 .51208 L
.64737 .51657 L
.64691 .51691 L
.64362 .52174 L
.64254 .52288 L
.63966 .52658 L
.63771 .52949 L
.63592 .53141 L
.63288 .5361 L
.63214 .53624 L
.62817 .54107 L
.62804 .54124 L
.62363 .5459 L
.62321 .54653 L
.61838 .54922 L
.61833 .5459 L
.61838 .54576 L
.62036 .54107 L
.6228 .53624 L
.62321 .53522 L
.62562 .53141 L
.62804 .52748 L
.62861 .52658 L
.63177 .52174 L
.63288 .51958 L
.63358 .51691 L
Mistroke
.63771 .51266 L
.6381 .51208 L
.6416 .50725 L
.64254 .50544 L
.64394 .50242 L
.64737 .49826 L
.6481 .49758 L
.65171 .49275 L
.6522 .4917 L
.65437 .48792 L
.65704 .48472 L
.65838 .48309 L
.66184 .47826 L
.66187 .47819 L
.66501 .47342 L
.6667 .47147 L
.66892 .46859 L
.67153 .46474 L
.6725 .46376 L
.67603 .45893 L
.67636 .45858 L
.67989 .4541 L
.68119 .45224 L
.68383 .44927 L
.68603 .44586 L
.68798 .44443 L
.69086 .44119 L
Mfstroke
.69569 .43737 m
.697 .4396 L
.69569 .44345 L
.69276 .4396 L
.69569 .43737 L
s
.52658 .43895 m
.53141 .4367 L
.53402 .4396 L
.53141 .44336 L
.53069 .44443 L
.52677 .44927 L
.52658 .44949 L
.52206 .4541 L
.52174 .45477 L
.51711 .45893 L
.51691 .45928 L
.51208 .46283 L
.51074 .46376 L
.50725 .46593 L
.5036 .46859 L
.50242 .46936 L
.49771 .47342 L
.49758 .47375 L
.49294 .47826 L
.49275 .47857 L
.48847 .48309 L
.48792 .48377 L
.48392 .48792 L
.48309 .48871 L
.47854 .49275 L
.47826 .49296 L
.47342 .4963 L
.4712 .49758 L
.46859 .49905 L
.46376 .50169 L
.46185 .49758 L
.46376 .4959 L
.46645 .49275 L
.46859 .49068 L
.47085 .48792 L
.47342 .48524 L
.4749 .48309 L
.47826 .47847 L
.47899 .47826 L
.48309 .47482 L
.48395 .47342 L
.48792 .47182 L
.49148 .46859 L
.49275 .46783 L
.49758 .46491 L
.49923 .46376 L
.50242 .46138 L
.5039 .45893 L
.50725 .4569 L
.50879 .4541 L
Mistroke
.51208 .45015 L
.51469 .44927 L
.51691 .44658 L
.51964 .44443 L
.52174 .44285 L
.52568 .4396 L
.52658 .43895 L
Mfstroke
.50242 .43429 m
.50725 .43171 L
.51076 .43477 L
.50725 .43803 L
.5059 .4396 L
.50242 .44335 L
.5015 .44443 L
.49758 .44876 L
.49714 .44927 L
.49275 .45388 L
.49254 .4541 L
.48792 .45833 L
.48719 .45893 L
.48309 .4619 L
.48012 .46376 L
.47826 .46648 L
.47342 .4677 L
.4703 .46376 L
.47342 .4611 L
.4738 .45893 L
.47826 .45606 L
.47859 .4541 L
.48309 .45076 L
.48445 .44927 L
.48792 .44562 L
.48913 .44443 L
.49275 .44005 L
.49453 .4396 L
.49758 .43712 L
.50088 .43477 L
.50242 .43429 L
s
.47342 .43476 m
.47826 .43198 L
.47976 .43477 L
.47826 .43598 L
.47477 .4396 L
.47342 .44098 L
.47027 .44443 L
.46859 .44622 L
.46563 .44927 L
.46376 .45113 L
.46035 .4541 L
.45893 .45525 L
.4541 .45772 L
.45322 .4541 L
.4541 .45286 L
.45666 .44927 L
.45893 .4467 L
.46098 .44443 L
.46376 .4418 L
.46632 .4396 L
.46859 .4379 L
.47342 .43477 L
.47342 .43476 L
s
.39128 .43313 m
.39474 .43477 L
.3934 .4396 L
.39128 .44405 L
.3911 .44443 L
.38863 .44927 L
.38645 .45265 L
.38561 .4541 L
.38262 .45893 L
.38162 .4606 L
.37931 .46376 L
.37679 .46821 L
.37623 .46859 L
.373 .47342 L
.37196 .47494 L
.36935 .47826 L
.36712 .48212 L
.36685 .48309 L
.36295 .48792 L
.36229 .48881 L
.35911 .49275 L
.35746 .49582 L
.35663 .49758 L
.35273 .50242 L
.35263 .50254 L
.34879 .50725 L
.3478 .50938 L
.34628 .51208 L
.34296 .51626 L
.34242 .51691 L
.33851 .52174 L
.33813 .52287 L
.33582 .52658 L
.3333 .52973 L
.33203 .53141 L
.32848 .53624 L
.32847 .53637 L
.32525 .54107 L
.32364 .54301 L
.3215 .5459 L
.31881 .54973 L
.31796 .55073 L
.31446 .55557 L
.31397 .55609 L
.31199 .5604 L
.30914 .5625 L
.30688 .56523 L
.30431 .56875 L
.30297 .57006 L
.29948 .57479 L
Mistroke
.29877 .57489 L
.29465 .57895 L
.29112 .57489 L
.2928 .57006 L
.29465 .56749 L
.29585 .56523 L
.29921 .5604 L
.29948 .55886 L
.30161 .55557 L
.30431 .55158 L
.30485 .55073 L
.30801 .5459 L
.30914 .54415 L
.31142 .54107 L
.31397 .53685 L
.31464 .53624 L
.31795 .53141 L
.31881 .53019 L
.32157 .52658 L
.32364 .52311 L
.324 .52174 L
.32812 .51691 L
.32847 .51645 L
.33187 .51208 L
.3333 .50951 L
.33433 .50725 L
.33813 .50269 L
.3384 .50242 L
.34219 .49758 L
.34296 .49601 L
.34477 .49275 L
.3478 .48912 L
.34876 .48792 L
.35242 .48309 L
.35263 .48254 L
.35532 .47826 L
.35746 .47576 L
.35923 .47342 L
.36229 .46904 L
.3627 .46859 L
.36605 .46376 L
.36712 .46259 L
.36988 .45893 L
.37196 .45598 L
.37353 .4541 L
.37679 .44961 L
.37719 .44927 L
.38045 .44443 L
.38162 .44371 L
.38527 .4396 L
Mistroke
.38645 .43803 L
.39015 .43477 L
.39128 .43313 L
Mfstroke
.48309 .42782 m
.48739 .42994 L
.48309 .43218 L
.48068 .42994 L
.48309 .42782 L
s
.67636 .41974 m
.68119 .41623 L
.68152 .42027 L
.68119 .42106 L
.67924 .42511 L
.67678 .42994 L
.67636 .43079 L
.67375 .43477 L
.67153 .43832 L
.6707 .4396 L
.66774 .44443 L
.6667 .44612 L
.66434 .44927 L
.66187 .45294 L
.66106 .4541 L
.65781 .45893 L
.65704 .46011 L
.65594 .46376 L
.6522 .4675 L
.65094 .46859 L
.64757 .47342 L
.64737 .47372 L
.64503 .47826 L
.64254 .4807 L
.64051 .48309 L
.63771 .48773 L
.63701 .48792 L
.63379 .49275 L
.63288 .4936 L
.6297 .49758 L
.62804 .5003 L
.62588 .50242 L
.62321 .50588 L
.62196 .50725 L
.61838 .51145 L
.61439 .50725 L
.61569 .50242 L
.61838 .5 L
.6198 .49758 L
.6229 .49275 L
.62321 .492 L
.62518 .48792 L
.62804 .48391 L
.6291 .48309 L
.63258 .47826 L
.63288 .47745 L
.63526 .47342 L
.63771 .47017 L
.63902 .46859 L
.64249 .46376 L
Mistroke
.64254 .46358 L
.64563 .45893 L
.64737 .45668 L
.64933 .4541 L
.6522 .44983 L
.65285 .44927 L
.6563 .44443 L
.65704 .44355 L
.66004 .4396 L
.66187 .43695 L
.66379 .43477 L
.6667 .43028 L
.6676 .42994 L
.67153 .42512 L
.67154 .42511 L
.67599 .42027 L
.67636 .41974 L
Mfstroke
.6522 .41239 m
.6555 .41544 L
.65279 .42027 L
.6522 .42126 L
.64967 .42511 L
.64737 .4288 L
.64656 .42994 L
.64333 .43477 L
.64254 .4368 L
.63991 .4396 L
.63771 .44286 L
.63651 .44443 L
.63343 .44927 L
.63288 .44972 L
.62941 .4541 L
.62804 .45603 L
.62565 .45893 L
.62321 .4622 L
.61887 .45893 L
.62178 .4541 L
.62321 .45187 L
.62492 .44927 L
.62804 .44451 L
.6281 .44443 L
.63141 .4396 L
.63288 .43658 L
.63486 .43477 L
.63771 .43076 L
.63835 .42994 L
.64101 .42511 L
.64254 .42407 L
.64569 .42027 L
.64737 .41809 L
.64969 .41544 L
.6522 .41239 L
s
.52658 .41511 m
.53141 .41313 L
.53186 .41544 L
.53141 .41615 L
.52854 .42027 L
.52658 .42229 L
.5237 .42511 L
.52174 .42659 L
.51767 .42994 L
.51691 .43013 L
.51208 .43348 L
.51003 .42994 L
.51208 .42846 L
.51591 .42511 L
.51691 .42414 L
.52094 .42027 L
.52174 .41946 L
.5264 .41544 L
.52658 .41511 L
s
.46859 .41441 m
.47258 .41544 L
.46859 .41889 L
.46764 .41544 L
.46859 .41441 L
s
.65704 .40773 m
.65797 .41061 L
.65704 .41275 L
.65408 .41061 L
.65704 .40773 L
s
.47342 .40997 m
.47641 .41061 L
.47342 .4145 L
.47261 .41061 L
.47342 .40997 L
s
.37679 .41047 m
.38162 .40714 L
.38278 .41061 L
.38162 .41385 L
.38093 .41544 L
.3791 .42027 L
.37679 .4233 L
.37576 .42511 L
.37234 .42994 L
.37196 .43157 L
.36992 .43477 L
.36712 .43869 L
.36654 .4396 L
.36245 .44443 L
.36229 .44604 L
.36001 .44927 L
.35746 .45334 L
.35665 .4541 L
.35333 .45893 L
.35263 .45992 L
.34981 .46376 L
.3478 .46701 L
.34753 .46859 L
.34313 .47342 L
.34296 .47364 L
.33951 .47826 L
.33813 .48056 L
.33712 .48309 L
.3333 .48743 L
.33282 .48792 L
.32919 .49275 L
.32847 .49404 L
.32659 .49758 L
.32364 .50092 L
.32243 .50242 L
.31893 .50725 L
.31881 .5075 L
.31594 .51208 L
.31397 .51422 L
.31192 .51691 L
.30914 .52095 L
.30841 .52174 L
.30504 .52658 L
.30431 .5273 L
.30115 .53141 L
.29948 .53379 L
.29739 .53624 L
.29465 .54013 L
.29355 .54107 L
.28981 .54556 L
Mistroke
.28947 .5459 L
.28498 .55043 L
.28159 .5459 L
.28366 .54107 L
.28498 .53887 L
.28638 .53624 L
.28922 .53141 L
.28981 .53035 L
.29244 .52658 L
.29465 .52225 L
.29536 .52174 L
.29852 .51691 L
.29948 .5155 L
.30221 .51208 L
.30431 .50821 L
.30468 .50725 L
.30843 .50242 L
.30914 .50147 L
.31238 .49758 L
.31397 .49442 L
.31486 .49275 L
.3186 .48792 L
.31881 .48768 L
.32269 .48309 L
.32364 .4808 L
.32517 .47826 L
.32847 .47393 L
.32888 .47342 L
.33298 .46859 L
.3333 .4673 L
.33559 .46376 L
.33813 .46042 L
.33926 .45893 L
.3427 .4541 L
.34296 .45381 L
.34612 .44927 L
.3478 .44712 L
.34976 .44443 L
.35263 .44039 L
.35328 .4396 L
.35681 .43477 L
.35746 .43402 L
.35931 .42994 L
.36229 .42754 L
.36427 .42511 L
.36712 .42124 L
.3681 .42027 L
.37196 .41545 L
.3721 .41544 L
.37667 .41061 L
Mistroke
.37679 .41047 L
Mfstroke
.50725 .40548 m
.51047 .40578 L
.50839 .41061 L
.50725 .41204 L
.5046 .41544 L
.50242 .41785 L
.50016 .42027 L
.49758 .42269 L
.49475 .42511 L
.49275 .42656 L
.48792 .42962 L
.48559 .42511 L
.48792 .42264 L
.49006 .42027 L
.49275 .4174 L
.49468 .41544 L
.49758 .41257 L
.49987 .41061 L
.50242 .40852 L
.50703 .40578 L
.50725 .40548 L
s
.36229 .38916 m
.3665 .39128 L
.36458 .39612 L
.36229 .40056 L
.36208 .40095 L
.35996 .40578 L
.35746 .40868 L
.35626 .41061 L
.35294 .41544 L
.35263 .41641 L
.35036 .42027 L
.3478 .42434 L
.34668 .42511 L
.3431 .42994 L
.34296 .43062 L
.34027 .43477 L
.33813 .43793 L
.33666 .4396 L
.33331 .44443 L
.3333 .44445 L
.32999 .44927 L
.32847 .45148 L
.3281 .4541 L
.32364 .45845 L
.32303 .45893 L
.31962 .46376 L
.31881 .46494 L
.3173 .46859 L
.31397 .47188 L
.31261 .47342 L
.3092 .47826 L
.30914 .47833 L
.30637 .48309 L
.30431 .48507 L
.30203 .48792 L
.29948 .49182 L
.29848 .49275 L
.29505 .49758 L
.29465 .49794 L
.29107 .50242 L
.28981 .50431 L
.28713 .50725 L
.28498 .51071 L
.28294 .51208 L
.28015 .51513 L
.27604 .51208 L
.27814 .50725 L
.28015 .50358 L
.28077 .50242 L
.28389 .49758 L
Mistroke
.28498 .49476 L
.28575 .49275 L
.28963 .48792 L
.28981 .48765 L
.29342 .48309 L
.29465 .48015 L
.29574 .47826 L
.29932 .47342 L
.29948 .47323 L
.30348 .46859 L
.30431 .46616 L
.30587 .46376 L
.30914 .45921 L
.30938 .45893 L
.31373 .4541 L
.31397 .45247 L
.31618 .44927 L
.31881 .44554 L
.31964 .44443 L
.32306 .4396 L
.32364 .43893 L
.32663 .43477 L
.32847 .43214 L
.32876 .42994 L
.3333 .42543 L
.33358 .42511 L
.33721 .42027 L
.33813 .419 L
.33968 .41544 L
.34296 .41243 L
.34442 .41061 L
.3478 .40608 L
.34813 .40578 L
.35161 .40095 L
.35263 .40018 L
.35616 .39612 L
.35746 .39446 L
.36083 .39128 L
.36229 .38916 L
Mfstroke
.33813 .3815 m
.34296 .37761 L
.34358 .38162 L
.34296 .38306 L
.34121 .38645 L
.33894 .39128 L
.33813 .39205 L
.33559 .39612 L
.3333 .39981 L
.33254 .40095 L
.32981 .40578 L
.32847 .4077 L
.32609 .41061 L
.32364 .41428 L
.32281 .41544 L
.31974 .42027 L
.31881 .42149 L
.31605 .42511 L
.31397 .42918 L
.31263 .42994 L
.30931 .43477 L
.30914 .43498 L
.30571 .4396 L
.30431 .44209 L
.30215 .44443 L
.29948 .44822 L
.29864 .44927 L
.2955 .4541 L
.29465 .45478 L
.29125 .45893 L
.28981 .46164 L
.28735 .46376 L
.28498 .4668 L
.28325 .46859 L
.28015 .47201 L
.27728 .46859 L
.2793 .46376 L
.28015 .46278 L
.28225 .45893 L
.28498 .4544 L
.28517 .4541 L
.28795 .44927 L
.28981 .4462 L
.29127 .44443 L
.29464 .4396 L
.29465 .43938 L
.29775 .43477 L
.29948 .43209 L
.30106 .42994 L
.30431 .42518 L
Mistroke
.30445 .42511 L
.30796 .42027 L
.30914 .41845 L
.30987 .41544 L
.31397 .41158 L
.31484 .41061 L
.31845 .40578 L
.31881 .40524 L
.32114 .40095 L
.32364 .39873 L
.32578 .39612 L
.32847 .39219 L
.32964 .39128 L
.3333 .38681 L
.33364 .38645 L
.33804 .38162 L
.33813 .3815 L
Mfstroke
.74401 .1831 m
.74884 .18275 L
.75367 .18258 L
.7585 .18257 L
.76334 .18272 L
.76817 .18304 L
.77244 .18351 L
.773 .18359 L
.77783 .18438 L
.78266 .1856 L
.7875 .18769 L
.78848 .18835 L
.7909 .19318 L
.7875 .19743 L
.78658 .19801 L
.78266 .2002 L
.77783 .20161 L
.773 .20236 L
.76817 .20281 L
.76778 .20284 L
.76334 .20318 L
.7585 .20336 L
.75367 .20335 L
.74884 .20314 L
.74499 .20284 L
.74401 .20276 L
.73918 .20229 L
.73434 .20147 L
.72951 .19992 L
.72624 .19801 L
.72468 .19697 L
.72192 .19318 L
.72434 .18835 L
.72468 .1881 L
.72951 .18581 L
.73434 .18451 L
.73918 .18368 L
.74037 .18351 L
.74401 .1831 L
s
.72951 .11581 m
.73434 .11501 L
.73918 .11446 L
.74401 .11408 L
.74884 .11385 L
.75367 .11373 L
.7585 .11373 L
.76334 .11383 L
.76817 .11405 L
.773 .1144 L
.77783 .11493 L
.78266 .11569 L
.78361 .11587 L
.7875 .11651 L
.79233 .1179 L
.79694 .1207 L
.79716 .12086 L
.80066 .12553 L
.79926 .13036 L
.79716 .13224 L
.79233 .13473 L
.79104 .1352 L
.7875 .13629 L
.78266 .13733 L
.77783 .13802 L
.773 .1385 L
.76817 .13881 L
.76334 .139 L
.7585 .13909 L
.75367 .13909 L
.74884 .13898 L
.74401 .13878 L
.73918 .13844 L
.73434 .13795 L
.72951 .13721 L
.72468 .13612 L
.72178 .1352 L
.71985 .13447 L
.71502 .13176 L
.71356 .13036 L
.71216 .12553 L
.71502 .12136 L
.71588 .1207 L
.71985 .11817 L
.72468 .11665 L
.72921 .11587 L
.72951 .11581 L
s
.74884 .05675 m
.75367 .05612 L
.7585 .05609 L
.76334 .05663 L
.76786 .05789 L
.76817 .05808 L
.76925 .06272 L
.76817 .06325 L
.76334 .06456 L
.7585 .06504 L
.75367 .06501 L
.74884 .06445 L
.74401 .06294 L
.7436 .06272 L
.74401 .05843 L
.7449 .05789 L
.74884 .05675 L
s
.227 .86846 m
.23183 .86725 L
.23666 .86659 L
.2415 .8663 L
.24633 .86632 L
.25116 .86666 L
.25599 .86737 L
.26082 .86868 L
.26302 .86964 L
.26566 .87191 L
.26593 .87447 L
.26566 .87496 L
.26082 .87818 L
.25713 .8793 L
.25599 .8796 L
.25116 .88051 L
.24633 .88092 L
.2415 .88095 L
.23666 .88059 L
.23183 .87976 L
.23004 .8793 L
.227 .87841 L
.22217 .87572 L
.22125 .87447 L
.22217 .87111 L
.22416 .86964 L
.227 .86846 L
s
.31397 .58487 m
.31648 .58939 L
.31397 .59129 L
.3125 .58939 L
.31397 .58487 L
s
.6667 .56294 m
.66724 .56523 L
.6667 .56581 L
.666 .56523 L
.6667 .56294 L
s
.48309 .55923 m
.48765 .5604 L
.48309 .56167 L
.48245 .5604 L
.48309 .55923 L
s
.67153 .55455 m
.67559 .55557 L
.67185 .5604 L
.67153 .56081 L
.66822 .5604 L
.67093 .55557 L
.67153 .55455 L
s
.64254 .55422 m
.6453 .55557 L
.64254 .55764 L
.64207 .55557 L
.64254 .55422 L
s
.67636 .54733 m
.67911 .55073 L
.67636 .55466 L
.67421 .55073 L
.67636 .54733 L
s
.52658 .54472 m
.53141 .5422 L
.53168 .5459 L
.53141 .54626 L
.52794 .55073 L
.52658 .55223 L
.5233 .55557 L
.52174 .55697 L
.51721 .5604 L
.51691 .56096 L
.51208 .5624 L
.51186 .5604 L
.51208 .56012 L
.51561 .55557 L
.51691 .55409 L
.51997 .55073 L
.52174 .54893 L
.52511 .5459 L
.52658 .54472 L
s
.46859 .5438 m
.47191 .5459 L
.46859 .54872 L
.46656 .5459 L
.46859 .5438 L
s
.68119 .54055 m
.68586 .54107 L
.68259 .5459 L
.68119 .54799 L
.67747 .5459 L
.68084 .54107 L
.68119 .54055 L
s
.47342 .53963 m
.47688 .54107 L
.47342 .54444 L
.47142 .54107 L
.47342 .53963 L
s
.68603 .53435 m
.6887 .53624 L
.68603 .54084 L
.68468 .53624 L
.68603 .53435 L
s
.50725 .53577 m
.51208 .53313 L
.51327 .53624 L
.51208 .53724 L
.50956 .54107 L
.50725 .54226 L
.50525 .5459 L
.50242 .54755 L
.49938 .55073 L
.49758 .55409 L
.49431 .55557 L
.49275 .55738 L
.48792 .56026 L
.48531 .55557 L
.48792 .55231 L
.48917 .55073 L
.49275 .54682 L
.49363 .5459 L
.49758 .5423 L
.49908 .54107 L
.50242 .53873 L
.50642 .53624 L
.50725 .53577 L
s
.47826 .53615 m
.48252 .53624 L
.47826 .53957 L
.47811 .53624 L
.47826 .53615 L
s
.69086 .52906 m
.69148 .53141 L
.69086 .53268 L
.68888 .53141 L
.69086 .52906 L
s
.51691 .5291 m
.52028 .53141 L
.51691 .53335 L
.51418 .53141 L
.51691 .5291 L
s
.48792 .52731 m
.49121 .53141 L
.48792 .53308 L
.48406 .53141 L
.48792 .52731 L
s
.63288 .52359 m
.63752 .52658 L
.63295 .53141 L
.63288 .53157 L
.62953 .53141 L
.63133 .52658 L
.63288 .52359 L
s
.46376 .52392 m
.46416 .52658 L
.46376 .52659 L
.46373 .52658 L
.46376 .52392 L
s
.39128 .51894 m
.39357 .52174 L
.3914 .52658 L
.39128 .5267 L
.38872 .53141 L
.38645 .53518 L
.38581 .53624 L
.3831 .54107 L
.38162 .54338 L
.37968 .5459 L
.37679 .55023 L
.37644 .55073 L
.37329 .55557 L
.37196 .55749 L
.36982 .5604 L
.36712 .56478 L
.3664 .56523 L
.36298 .57006 L
.36229 .57101 L
.36122 .57489 L
.35746 .57787 L
.35581 .57973 L
.35263 .58398 L
.35216 .58456 L
.34892 .58939 L
.3478 .59021 L
.34437 .59422 L
.34296 .5965 L
.33999 .59905 L
.33813 .60108 L
.33467 .59905 L
.33699 .59422 L
.33813 .59216 L
.33982 .58939 L
.34258 .58456 L
.34296 .58394 L
.34587 .57973 L
.3478 .57675 L
.34908 .57489 L
.35218 .57006 L
.35263 .56944 L
.35568 .56523 L
.35746 .56143 L
.35907 .5604 L
.36229 .55572 L
.36241 .55557 L
.36455 .55073 L
.36712 .54855 L
.36949 .5459 L
.37196 .54241 L
Mistroke
.37302 .54107 L
.37636 .53624 L
.37679 .53589 L
.38041 .53141 L
.38162 .52905 L
.38438 .52658 L
.38645 .52395 L
.38865 .52174 L
.39128 .51894 L
Mfstroke
.53624 .51045 m
.54025 .51208 L
.53754 .51691 L
.53624 .51787 L
.5342 .52174 L
.53141 .52313 L
.52861 .52658 L
.52658 .52773 L
.52174 .53048 L
.51923 .52658 L
.52174 .52394 L
.52375 .52174 L
.52658 .51877 L
.52844 .51691 L
.53141 .51411 L
.53395 .51208 L
.53624 .51045 L
s
.47826 .50679 m
.48309 .50339 L
.48776 .50725 L
.48309 .51207 L
.48308 .51208 L
.47845 .51691 L
.47826 .51701 L
.47342 .52151 L
.47314 .52174 L
.46859 .52494 L
.46476 .52174 L
.46828 .51691 L
.46859 .51617 L
.47243 .51208 L
.47342 .51101 L
.47761 .50725 L
.47826 .50679 L
s
.51691 .50125 m
.52174 .49868 L
.52327 .50242 L
.52174 .50294 L
.51788 .50725 L
.51691 .5081 L
.51359 .51208 L
.51208 .51353 L
.50954 .51691 L
.50725 .51947 L
.50535 .52174 L
.50242 .52343 L
.49973 .52658 L
.49758 .52756 L
.49275 .53057 L
.4885 .52658 L
.49274 .52174 L
.49275 .52172 L
.49713 .51691 L
.49758 .51645 L
.50167 .51208 L
.50242 .5114 L
.50719 .50725 L
.50725 .5072 L
.51208 .50396 L
.51476 .50242 L
.51691 .50125 L
s
.28498 .50034 m
.28852 .50242 L
.28498 .50491 L
.28426 .50242 L
.28498 .50034 L
s
.52658 .49504 m
.52844 .49758 L
.52658 .49875 L
.52325 .49758 L
.52658 .49504 L
s
.62804 .48893 m
.63059 .49275 L
.62804 .49566 L
.62615 .49275 L
.62804 .48893 L
s
.53141 .49018 m
.53515 .49275 L
.53141 .49543 L
.52882 .49275 L
.53141 .49018 L
s
.69086 .48507 m
.69332 .48792 L
.6911 .49275 L
.69086 .49294 L
.68814 .49758 L
.68603 .50105 L
.68515 .50242 L
.6826 .50725 L
.68119 .50907 L
.67884 .51208 L
.67636 .51575 L
.67554 .51691 L
.67249 .52174 L
.67153 .52288 L
.66874 .52658 L
.6667 .53052 L
.66522 .53141 L
.66187 .53604 L
.6617 .53624 L
.658 .54107 L
.65704 .54268 L
.65412 .5459 L
.6522 .54836 L
.65002 .55073 L
.64737 .55382 L
.64422 .55073 L
.64675 .5459 L
.64737 .54484 L
.64971 .54107 L
.6522 .53701 L
.65272 .53624 L
.65461 .53141 L
.65704 .52875 L
.65919 .52658 L
.66187 .52258 L
.66248 .52174 L
.66519 .51691 L
.6667 .51539 L
.66937 .51208 L
.67153 .50901 L
.6729 .50725 L
.67636 .50246 L
.6764 .50242 L
.68017 .49758 L
.68119 .49566 L
.68411 .49275 L
.68603 .49029 L
.68831 .48792 L
.69086 .48507 L
s
.53624 .48549 m
.54009 .48792 L
.53624 .49176 L
.53367 .48792 L
.53624 .48549 L
s
.54107 .48181 m
.54331 .48309 L
.54107 .48659 L
.53922 .48309 L
.54107 .48181 L
s
.39128 .47672 m
.3939 .47826 L
.39226 .48309 L
.39128 .48503 L
.38983 .48792 L
.38704 .49275 L
.38645 .49424 L
.38549 .49758 L
.38162 .50171 L
.38118 .50242 L
.37769 .50725 L
.37679 .50935 L
.37542 .51208 L
.37196 .51667 L
.37157 .51691 L
.36776 .52174 L
.36712 .52344 L
.36524 .52658 L
.36229 .53053 L
.36153 .53141 L
.35767 .53624 L
.35746 .53716 L
.35488 .54107 L
.35263 .54407 L
.35123 .5459 L
.3478 .55071 L
.34777 .55073 L
.34432 .55557 L
.34296 .55731 L
.34066 .5604 L
.33813 .56399 L
.33705 .56523 L
.33344 .57006 L
.3333 .57022 L
.33062 .57489 L
.32847 .57645 L
.32566 .57973 L
.32364 .58259 L
.32144 .58456 L
.31881 .58749 L
.31412 .58456 L
.31657 .57973 L
.31881 .57578 L
.31933 .57489 L
.32195 .57006 L
.32364 .56691 L
.32537 .56523 L
.32847 .56048 L
.32852 .5604 L
.33162 .55557 L
Mistroke
.3333 .55288 L
.33508 .55073 L
.33813 .54627 L
.3384 .5459 L
.34172 .54107 L
.34296 .53916 L
.34367 .53624 L
.3478 .53203 L
.34858 .53141 L
.35201 .52658 L
.35263 .52562 L
.35443 .52174 L
.35746 .51865 L
.35898 .51691 L
.36229 .5121 L
.36242 .51208 L
.36539 .50725 L
.36712 .50554 L
.36962 .50242 L
.37196 .49878 L
.37324 .49758 L
.37679 .49284 L
.37686 .49275 L
.38078 .48792 L
.38162 .48666 L
.38493 .48309 L
.38645 .48048 L
.38966 .47826 L
.39128 .47672 L
Mfstroke
.51691 .47327 m
.52174 .47051 L
.52552 .47342 L
.5218 .47826 L
.52174 .47843 L
.51762 .48309 L
.51691 .48417 L
.51326 .48792 L
.51208 .48855 L
.50797 .49275 L
.50725 .49328 L
.50242 .4966 L
.50085 .49758 L
.49758 .49949 L
.49384 .50242 L
.49275 .50281 L
.48792 .50708 L
.48455 .50242 L
.48792 .50036 L
.49052 .49758 L
.49275 .49674 L
.49682 .49275 L
.49758 .49211 L
.50136 .48792 L
.50242 .48633 L
.50562 .48309 L
.50725 .48173 L
.51014 .47826 L
.51208 .47775 L
.51654 .47342 L
.51691 .47327 L
s
.48792 .47245 m
.49275 .46906 L
.49655 .47342 L
.49275 .47751 L
.4921 .47826 L
.48792 .48281 L
.48765 .48309 L
.48309 .48767 L
.48282 .48792 L
.47826 .49174 L
.47679 .49275 L
.47342 .4948 L
.46867 .49275 L
.47211 .48792 L
.47342 .48663 L
.47584 .48309 L
.47826 .47913 L
.47977 .47826 L
.48309 .47559 L
.48516 .47342 L
.48792 .47245 L
s
.49758 .46633 m
.50157 .46859 L
.49758 .47225 L
.49353 .46859 L
.49758 .46633 L
s
.68119 .45608 m
.68421 .45893 L
.68182 .46376 L
.68119 .46484 L
.67895 .46859 L
.67636 .47286 L
.676 .47342 L
.67412 .47826 L
.67153 .48135 L
.66964 .48309 L
.6667 .48749 L
.66639 .48792 L
.66377 .49275 L
.66187 .49482 L
.65959 .49758 L
.65704 .50123 L
.65614 .50242 L
.65291 .50725 L
.6522 .50797 L
.649 .51208 L
.64737 .51502 L
.64527 .51691 L
.64254 .52053 L
.64148 .52174 L
.63771 .52639 L
.63393 .52174 L
.63565 .51691 L
.63771 .51533 L
.63977 .51208 L
.64254 .50775 L
.64288 .50725 L
.64533 .50242 L
.64737 .49997 L
.64942 .49758 L
.6522 .49352 L
.65277 .49275 L
.65576 .48792 L
.65704 .4865 L
.65968 .48309 L
.66187 .47908 L
.66324 .47826 L
.6667 .47352 L
.66678 .47342 L
.67054 .46859 L
.67153 .46696 L
.67448 .46376 L
.67636 .46136 L
.67868 .45893 L
.68119 .45608 L
s
.68603 .45377 m
.68604 .4541 L
.68603 .45416 L
.68388 .4541 L
.68603 .45377 L
s
.28981 .45358 m
.29088 .4541 L
.28981 .4546 L
.2897 .4541 L
.28981 .45358 L
s
.51691 .44815 m
.52174 .44445 L
.52489 .44927 L
.52174 .45298 L
.52076 .4541 L
.51691 .45773 L
.51553 .45893 L
.51208 .46141 L
.50858 .46376 L
.50725 .46455 L
.50242 .46781 L
.50128 .46376 L
.50242 .4629 L
.50607 .45893 L
.50725 .45834 L
.51065 .4541 L
.51208 .4522 L
.51615 .44927 L
.51691 .44815 L
s
.38162 .44658 m
.38588 .44927 L
.38374 .4541 L
.38162 .45798 L
.3811 .45893 L
.37828 .46376 L
.37679 .46701 L
.37527 .46859 L
.37215 .47342 L
.37196 .47373 L
.36876 .47826 L
.36712 .48131 L
.36667 .48309 L
.3624 .48792 L
.36229 .48807 L
.35873 .49275 L
.35746 .49518 L
.35635 .49758 L
.35263 .50212 L
.3523 .50242 L
.34853 .50725 L
.3478 .50882 L
.34595 .51208 L
.34296 .51576 L
.34201 .51691 L
.33834 .52174 L
.33813 .52232 L
.33541 .52658 L
.3333 .52911 L
.33154 .53141 L
.32847 .5358 L
.32803 .53624 L
.32464 .54107 L
.32364 .54219 L
.3208 .5459 L
.31881 .54873 L
.31708 .55073 L
.31397 .55511 L
.31331 .55557 L
.30961 .5604 L
.30914 .56067 L
.30492 .56523 L
.30431 .56604 L
.29948 .56963 L
.29857 .56523 L
.29948 .56304 L
.30069 .5604 L
.30301 .55557 L
.30431 .5537 L
.30603 .55073 L
Mistroke
.30902 .5459 L
.30914 .5457 L
.31212 .54107 L
.31397 .53769 L
.31532 .53624 L
.31856 .53141 L
.31881 .53105 L
.32202 .52658 L
.32364 .52376 L
.32418 .52174 L
.32847 .51695 L
.32857 .51691 L
.33219 .51208 L
.3333 .51007 L
.3346 .50725 L
.33813 .5031 L
.3388 .50242 L
.34244 .49758 L
.34296 .49654 L
.34512 .49275 L
.3478 .48965 L
.34919 .48792 L
.35263 .48309 L
.35264 .48309 L
.35583 .47826 L
.35746 .47646 L
.35979 .47342 L
.36229 .46978 L
.36339 .46859 L
.36695 .46376 L
.36712 .46359 L
.37083 .45893 L
.37196 .45735 L
.37483 .4541 L
.37679 .45121 L
.37914 .44927 L
.38162 .44658 L
Mfstroke
.66187 .44084 m
.66499 .44443 L
.66224 .44927 L
.66187 .44987 L
.65909 .4541 L
.65704 .45735 L
.65592 .45893 L
.65333 .46376 L
.6522 .46485 L
.64925 .46859 L
.64737 .47134 L
.64578 .47342 L
.64254 .47801 L
.64234 .47826 L
.63863 .48309 L
.63771 .48531 L
.63474 .48792 L
.63288 .49036 L
.62864 .48792 L
.63146 .48309 L
.63288 .48081 L
.63454 .47826 L
.63761 .47342 L
.63771 .4733 L
.64094 .46859 L
.64254 .46627 L
.64436 .46376 L
.64737 .45945 L
.64777 .45893 L
.65132 .4541 L
.6522 .45245 L
.65507 .44927 L
.65704 .44665 L
.65896 .44443 L
.66187 .44084 L
s
.52658 .44206 m
.52797 .44443 L
.52658 .4467 L
.52177 .44443 L
.52658 .44206 L
s
.38645 .44377 m
.38693 .44443 L
.38645 .44764 L
.38473 .44443 L
.38645 .44377 L
s
.6667 .43595 m
.6676 .4396 L
.6667 .44148 L
.66313 .4396 L
.6667 .43595 L
s
.49758 .43876 m
.50242 .43686 L
.50365 .4396 L
.50242 .44119 L
.50001 .44443 L
.49758 .44725 L
.49585 .44927 L
.49275 .45253 L
.49116 .4541 L
.48792 .45696 L
.48533 .45893 L
.48309 .46041 L
.47826 .46273 L
.47657 .45893 L
.47826 .45812 L
.47986 .4541 L
.48309 .45232 L
.48582 .44927 L
.48792 .44707 L
.49067 .44443 L
.49275 .4409 L
.49675 .4396 L
.49758 .43876 L
s
.29948 .4358 m
.30389 .4396 L
.30012 .44443 L
.29948 .44532 L
.296 .44927 L
.29465 .451 L
.29166 .44927 L
.29415 .44443 L
.29465 .44361 L
.29709 .4396 L
.29948 .4358 L
s
.37196 .41856 m
.37484 .42027 L
.37345 .42511 L
.37196 .42821 L
.37106 .42994 L
.36867 .43477 L
.36712 .43684 L
.36545 .4396 L
.36231 .44443 L
.36229 .44463 L
.35935 .44927 L
.35746 .45252 L
.35601 .4541 L
.35274 .45893 L
.35263 .4591 L
.34938 .46376 L
.3478 .46635 L
.34737 .46859 L
.34296 .4733 L
.34268 .47342 L
.33917 .47826 L
.33813 .47998 L
.33682 .48309 L
.3333 .48697 L
.3324 .48792 L
.32888 .49275 L
.32847 .49347 L
.32617 .49758 L
.32364 .50033 L
.32195 .50242 L
.31881 .507 L
.31847 .50725 L
.31527 .51208 L
.31397 .5134 L
.31123 .51691 L
.30914 .52003 L
.30755 .52174 L
.30431 .52647 L
.30384 .52658 L
.29989 .53141 L
.29948 .53198 L
.29552 .53624 L
.29465 .53755 L
.28981 .54106 L
.28913 .53624 L
.28981 .53464 L
.29128 .53141 L
.29382 .52658 L
.29465 .52443 L
.29662 .52174 L
Mistroke
.29948 .51716 L
.29963 .51691 L
.30296 .51208 L
.30431 .50929 L
.305 .50725 L
.30914 .50242 L
.30914 .50241 L
.31284 .49758 L
.31397 .4952 L
.31522 .49275 L
.31881 .4882 L
.31912 .48792 L
.32298 .48309 L
.32364 .48146 L
.32555 .47826 L
.32847 .4745 L
.32935 .47342 L
.33313 .46859 L
.3333 .46791 L
.33603 .46376 L
.33813 .4611 L
.33978 .45893 L
.34296 .45441 L
.34328 .4541 L
.34671 .44927 L
.3478 .44797 L
.35047 .44443 L
.35263 .44139 L
.35416 .4396 L
.35746 .43505 L
.35788 .43477 L
.36128 .42994 L
.36229 .42928 L
.36604 .42511 L
.36712 .42363 L
.37102 .42027 L
.37196 .41856 L
Mfstroke
.35263 .40361 m
.35658 .40578 L
.35431 .41061 L
.35263 .41368 L
.35159 .41544 L
.34904 .42027 L
.3478 .4225 L
.34561 .42511 L
.34296 .4292 L
.34246 .42994 L
.33947 .43477 L
.33813 .43679 L
.33591 .4396 L
.3333 .44345 L
.33259 .44443 L
.32935 .44927 L
.32847 .45053 L
.32761 .4541 L
.32364 .45782 L
.32237 .45893 L
.319 .46376 L
.31881 .46402 L
.31653 .46859 L
.31397 .47096 L
.31187 .47342 L
.30914 .47798 L
.30835 .47826 L
.30511 .48309 L
.30431 .48379 L
.30099 .48792 L
.29948 .49043 L
.29712 .49275 L
.29465 .49593 L
.29309 .49758 L
.28981 .50131 L
.28615 .49758 L
.28749 .49275 L
.28981 .49054 L
.29129 .48792 L
.29436 .48309 L
.29465 .48231 L
.29668 .47826 L
.29948 .47411 L
.30042 .47342 L
.304 .46859 L
.30431 .46756 L
.30664 .46376 L
.30914 .46024 L
.31024 .45893 L
.31391 .4541 L
Mistroke
.31397 .45359 L
.3169 .44927 L
.31881 .44663 L
.32045 .44443 L
.32364 .43985 L
.32393 .4396 L
.32741 .43477 L
.32847 .43336 L
.32931 .42994 L
.3333 .42667 L
.33466 .42511 L
.33813 .42032 L
.33832 .42027 L
.34147 .41544 L
.34296 .41436 L
.3462 .41061 L
.3478 .40829 L
.35061 .40578 L
.35263 .40361 L
Mfstroke
.32364 .40289 m
.32676 .40578 L
.32402 .41061 L
.32364 .41124 L
.32082 .41544 L
.31881 .41865 L
.31763 .42027 L
.3144 .42511 L
.31397 .42622 L
.31088 .42994 L
.30914 .43252 L
.30737 .43477 L
.30431 .4391 L
.30017 .43477 L
.30333 .42994 L
.30431 .42766 L
.3067 .42511 L
.30914 .42161 L
.31014 .42027 L
.31316 .41544 L
.31397 .41485 L
.31735 .41061 L
.31881 .4087 L
.32129 .40578 L
.32364 .40289 L
s
.35746 .40087 m
.35752 .40095 L
.35746 .40337 L
.35685 .40095 L
.35746 .40087 L
s
.32847 .39803 m
.32935 .40095 L
.32847 .4029 L
.32562 .40095 L
.32847 .39803 L
s
.74401 .1204 m
.74884 .11949 L
.75367 .11908 L
.7585 .11905 L
.76334 .11941 L
.76817 .12024 L
.76997 .1207 L
.773 .12159 L
.77783 .12427 L
.77876 .12553 L
.77783 .1289 L
.77584 .13036 L
.773 .13154 L
.76817 .13275 L
.76334 .13341 L
.7585 .1337 L
.75367 .13368 L
.74884 .13334 L
.74401 .13263 L
.73918 .13132 L
.73698 .13036 L
.73434 .12809 L
.73407 .12553 L
.73434 .12504 L
.73918 .12183 L
.74287 .1207 L
.74401 .1204 L
s
.34296 .58768 m
.34559 .58939 L
.34296 .59179 L
.34228 .58939 L
.34296 .58768 L
s
.30431 .55692 m
.30697 .5604 L
.30431 .56225 L
.30324 .5604 L
.30431 .55692 L
s
.48792 .55478 m
.49228 .55557 L
.48792 .5573 L
.48744 .55557 L
.48792 .55478 L
s
.50242 .54018 m
.50638 .54107 L
.50276 .5459 L
.50242 .54607 L
.498 .55073 L
.49758 .55172 L
.49275 .55525 L
.49069 .55073 L
.49275 .5484 L
.49511 .5459 L
.49758 .5437 L
.501 .54107 L
.50242 .54018 L
s
.37679 .53797 m
.38098 .54107 L
.3781 .5459 L
.37679 .54795 L
.37497 .55073 L
.37196 .55533 L
.37179 .55557 L
.36849 .5604 L
.36712 .56326 L
.36504 .56523 L
.36229 .56909 L
.36154 .57006 L
.35873 .57489 L
.35746 .57574 L
.35417 .57973 L
.35263 .58173 L
.35014 .58456 L
.3478 .58737 L
.34468 .58456 L
.34733 .57973 L
.3478 .57893 L
.35044 .57489 L
.35263 .57136 L
.35354 .57006 L
.35675 .56523 L
.35746 .5634 L
.36018 .5604 L
.36229 .55726 L
.36359 .55557 L
.36677 .55073 L
.36712 .55045 L
.37068 .5459 L
.37196 .5441 L
.37447 .54107 L
.37679 .53797 L
s
.65704 .53261 m
.65934 .53624 L
.65704 .53914 L
.65507 .53624 L
.65704 .53261 L
s
.38162 .53238 m
.38367 .53624 L
.38162 .54001 L
.37838 .53624 L
.38162 .53238 L
s
.29465 .52879 m
.29766 .53141 L
.29465 .53342 L
.29382 .53141 L
.29465 .52879 L
s
.52174 .52647 m
.52429 .52658 L
.52174 .52719 L
.52167 .52658 L
.52174 .52647 L
s
.49275 .52306 m
.49748 .52658 L
.49275 .52918 L
.49002 .52658 L
.49275 .52306 L
s
.6667 .51803 m
.67037 .52174 L
.667 .52658 L
.6667 .52735 L
.66328 .53141 L
.66187 .53334 L
.65785 .53141 L
.66091 .52658 L
.66187 .52507 L
.66425 .52174 L
.6667 .51803 L
s
.52658 .52067 m
.53057 .52174 L
.52658 .52507 L
.52557 .52174 L
.52658 .52067 L
s
.46859 .51929 m
.47037 .52174 L
.46859 .52242 L
.46762 .52174 L
.46859 .51929 L
s
.53141 .51618 m
.53437 .51691 L
.53141 .52081 L
.53054 .51691 L
.53141 .51618 L
s
.47342 .51273 m
.47692 .51691 L
.47342 .51987 L
.46997 .51691 L
.47342 .51273 L
s
.64254 .51074 m
.64724 .51208 L
.64301 .51691 L
.64254 .51748 L
.63952 .51691 L
.64178 .51208 L
.64254 .51074 L
s
.47826 .5082 m
.48176 .51208 L
.47826 .51566 L
.474 .51208 L
.47826 .5082 L
s
.67636 .50516 m
.67987 .50725 L
.67698 .51208 L
.67636 .51304 L
.6737 .51691 L
.67153 .52021 L
.66757 .51691 L
.67103 .51208 L
.67153 .51136 L
.67484 .50725 L
.67636 .50516 L
s
.64737 .50288 m
.65095 .50725 L
.64737 .51194 L
.64472 .50725 L
.64737 .50288 L
s
.51208 .50511 m
.51627 .50725 L
.51253 .51208 L
.51208 .51249 L
.50856 .51691 L
.50725 .51846 L
.50414 .52174 L
.50242 .5227 L
.49758 .5265 L
.49376 .52174 L
.49758 .51731 L
.49793 .51691 L
.50242 .5123 L
.50264 .51208 L
.50725 .5082 L
.50858 .50725 L
.51208 .50511 L
s
.48309 .50482 m
.48619 .50725 L
.48309 .51061 L
.47941 .50725 L
.48309 .50482 L
s
.68119 .49961 m
.68261 .50242 L
.68119 .50515 L
.67889 .50242 L
.68119 .49961 L
s
.48792 .50191 m
.49078 .50242 L
.48792 .50515 L
.48697 .50242 L
.48792 .50191 L
s
.49758 .49346 m
.49886 .49758 L
.49758 .49825 L
.49377 .49758 L
.49758 .49346 L
s
.65704 .48874 m
.66161 .49275 L
.65817 .49758 L
.65704 .49922 L
.65458 .50242 L
.6522 .50574 L
.64769 .50242 L
.65092 .49758 L
.6522 .49565 L
.65429 .49275 L
.65704 .48874 L
s
.47342 .48855 m
.47398 .49275 L
.47342 .49296 L
.47205 .49275 L
.47342 .48855 L
s
.38162 .4887 m
.38549 .49275 L
.38418 .49758 L
.38162 .49984 L
.38011 .50242 L
.37705 .50725 L
.37679 .50788 L
.37477 .51208 L
.37196 .51602 L
.37085 .51691 L
.3674 .52174 L
.36712 .52248 L
.3647 .52658 L
.36229 .52977 L
.36093 .53141 L
.35749 .53624 L
.35746 .53636 L
.35433 .54107 L
.35263 .54326 L
.35062 .5459 L
.3478 .55013 L
.3471 .55073 L
.34364 .55557 L
.34296 .55638 L
.3399 .5604 L
.33813 .56297 L
.33615 .56523 L
.3333 .56967 L
.33231 .57006 L
.32847 .57476 L
.32834 .57489 L
.32385 .57973 L
.32364 .58003 L
.31881 .58323 L
.31867 .57973 L
.31881 .57937 L
.32089 .57489 L
.32334 .57006 L
.32364 .56945 L
.32633 .56523 L
.32847 .56178 L
.32936 .5604 L
.33232 .55557 L
.3333 .55397 L
.33571 .55073 L
.33813 .54712 L
.33899 .5459 L
.34223 .54107 L
.34296 .53995 L
.3441 .53624 L
Mistroke
.3478 .53255 L
.3491 .53141 L
.35247 .52658 L
.35263 .52634 L
.35502 .52174 L
.35746 .51935 L
.35953 .51691 L
.36229 .51229 L
.36304 .51208 L
.36628 .50725 L
.36712 .50647 L
.37036 .50242 L
.37196 .49978 L
.37419 .49758 L
.37679 .49422 L
.37814 .49275 L
.38162 .4887 L
Mfstroke
.38645 .48444 m
.38764 .48792 L
.38645 .49073 L
.38246 .48792 L
.38645 .48444 L
s
.6667 .47592 m
.6711 .47826 L
.66805 .48309 L
.6667 .48522 L
.66482 .48792 L
.66187 .49241 L
.65767 .48792 L
.66118 .48309 L
.66187 .4815 L
.66496 .47826 L
.6667 .47592 L
s
.51208 .47818 m
.51691 .47459 L
.52051 .47826 L
.51691 .48284 L
.51671 .48309 L
.51225 .48792 L
.51208 .48803 L
.50725 .49229 L
.50666 .49275 L
.50242 .49553 L
.49814 .49275 L
.50239 .48792 L
.50242 .48788 L
.50673 .48309 L
.50725 .48265 L
.51182 .47826 L
.51208 .47818 L
s
.67153 .47021 m
.67379 .47342 L
.67153 .47759 L
.66892 .47342 L
.67153 .47021 L
s
.64254 .47061 m
.6429 .47342 L
.64254 .47396 L
.64114 .47342 L
.64254 .47061 L
s
.52174 .4725 m
.52307 .47342 L
.52174 .47618 L
.51911 .47342 L
.52174 .4725 L
s
.48792 .47335 m
.49275 .47054 L
.49508 .47342 L
.49275 .47615 L
.49102 .47826 L
.48792 .48168 L
.4866 .48309 L
.48309 .48654 L
.4815 .48792 L
.47826 .49042 L
.47379 .48792 L
.47722 .48309 L
.47826 .48114 L
.48125 .47826 L
.48309 .4768 L
.48772 .47342 L
.48792 .47335 L
s
.49758 .46844 m
.49809 .46859 L
.49758 .4696 L
.49705 .46859 L
.49758 .46844 L
s
.64737 .46341 m
.6496 .46376 L
.64737 .4676 L
.64714 .46376 L
.64737 .46341 L
s
.6522 .45749 m
.65281 .45893 L
.6522 .4602 L
.65117 .45893 L
.6522 .45749 L
s
.51208 .45534 m
.51321 .45893 L
.51208 .45965 L
.50902 .45893 L
.51208 .45534 L
s
.51691 .45055 m
.51876 .4541 L
.51691 .45583 L
.51319 .4541 L
.51691 .45055 L
s
.37679 .4537 m
.38143 .4541 L
.37952 .45893 L
.3771 .46376 L
.37679 .46455 L
.37431 .46859 L
.37196 .47242 L
.37133 .47342 L
.36819 .47826 L
.36712 .48034 L
.36639 .48309 L
.36229 .48728 L
.36186 .48792 L
.35837 .49275 L
.35746 .49451 L
.35603 .49758 L
.35263 .50171 L
.35187 .50242 L
.34827 .50725 L
.3478 .50826 L
.3456 .51208 L
.34296 .51524 L
.34159 .51691 L
.33814 .52174 L
.33813 .52177 L
.33496 .52658 L
.3333 .52848 L
.33104 .53141 L
.32847 .53522 L
.32745 .53624 L
.32391 .54107 L
.32364 .54136 L
.32005 .5459 L
.31881 .54768 L
.3161 .55073 L
.31397 .55405 L
.31191 .55557 L
.30914 .55865 L
.3049 .55557 L
.30727 .55073 L
.30914 .54743 L
.31003 .5459 L
.31287 .54107 L
.31397 .53888 L
.316 .53624 L
.31881 .53195 L
.31917 .53141 L
.32246 .52658 L
.32364 .52448 L
.32442 .52174 L
Mistroke
.32847 .51715 L
.32901 .51691 L
.3325 .51208 L
.3333 .51065 L
.33491 .50725 L
.33813 .50355 L
.3392 .50242 L
.3427 .49758 L
.34296 .49707 L
.34552 .49275 L
.3478 .49021 L
.34963 .48792 L
.35263 .48345 L
.35313 .48309 L
.35643 .47826 L
.35746 .47717 L
.36039 .47342 L
.36229 .47058 L
.36413 .46859 L
.36712 .46393 L
.36794 .46376 L
.37192 .45893 L
.37196 .45888 L
.37652 .4541 L
.37679 .4537 L
Mfstroke
.52174 .44747 m
.52247 .44927 L
.52174 .45031 L
.51852 .44927 L
.52174 .44747 L
s
.49275 .44397 m
.49758 .44157 L
.49819 .44443 L
.49758 .44523 L
.49436 .44927 L
.49275 .45098 L
.48951 .4541 L
.48792 .45541 L
.48329 .4541 L
.48738 .44927 L
.48792 .4487 L
.49254 .44443 L
.49275 .44397 L
s
.36229 .43117 m
.36692 .43477 L
.36433 .4396 L
.36229 .44307 L
.36147 .44443 L
.35862 .44927 L
.35746 .45138 L
.35535 .4541 L
.35263 .45823 L
.35215 .45893 L
.34892 .46376 L
.3478 .46562 L
.34711 .46859 L
.34296 .47303 L
.34222 .47342 L
.33882 .47826 L
.33813 .47938 L
.33646 .48309 L
.3333 .48648 L
.33197 .48792 L
.32855 .49275 L
.32847 .49288 L
.32567 .49758 L
.32364 .49969 L
.32145 .50242 L
.31881 .50654 L
.31789 .50725 L
.31446 .51208 L
.31397 .51255 L
.3105 .51691 L
.30914 .519 L
.30658 .52174 L
.30431 .5258 L
.30246 .52658 L
.29948 .52992 L
.29558 .52658 L
.29792 .52174 L
.29948 .51903 L
.30069 .51691 L
.30367 .51208 L
.30431 .51067 L
.30544 .50725 L
.30914 .50343 L
.3098 .50242 L
.31326 .49758 L
.31397 .49604 L
.31563 .49275 L
.31881 .48869 L
.31963 .48792 L
.32325 .48309 L
Mistroke
.32364 .48213 L
.32595 .47826 L
.32847 .47509 L
.32982 .47342 L
.33328 .46859 L
.3333 .46852 L
.3365 .46376 L
.33813 .46178 L
.34031 .45893 L
.34296 .45502 L
.34388 .4541 L
.34741 .44927 L
.3478 .44883 L
.35123 .44443 L
.35263 .44244 L
.35511 .4396 L
.35746 .43598 L
.35918 .43477 L
.36229 .43117 L
Mfstroke
.36712 .42685 m
.36896 .42994 L
.36712 .43437 L
.36366 .42994 L
.36712 .42685 L
s
.34296 .41649 m
.34725 .42027 L
.34445 .42511 L
.34296 .42756 L
.34143 .42994 L
.33847 .43477 L
.33813 .43529 L
.33513 .4396 L
.3333 .44236 L
.33184 .44443 L
.3286 .44927 L
.32847 .44946 L
.32677 .4541 L
.32364 .45695 L
.32168 .45893 L
.31881 .46305 L
.31826 .46376 L
.31544 .46859 L
.31397 .46988 L
.31108 .47342 L
.30914 .47726 L
.30739 .47826 L
.30431 .48237 L
.30369 .48309 L
.29975 .48792 L
.29948 .48839 L
.29525 .49275 L
.29465 .49345 L
.29117 .49275 L
.29311 .48792 L
.29465 .48504 L
.29572 .48309 L
.29803 .47826 L
.29948 .47588 L
.30152 .47342 L
.30431 .46909 L
.30464 .46859 L
.30751 .46376 L
.30914 .46148 L
.31111 .45893 L
.31397 .45477 L
.31445 .4541 L
.31769 .44927 L
.31881 .44778 L
.32129 .44443 L
.32364 .44068 L
.32482 .4396 L
.32834 .43477 L
.32847 .43461 L
.3306 .42994 L
Mistroke
.3333 .42805 L
.33584 .42511 L
.33813 .42102 L
.33981 .42027 L
.34296 .41649 L
Mfstroke
.3478 .41165 m
.34964 .41544 L
.3478 .41931 L
.34404 .41544 L
.3478 .41165 L
s
.35263 .57419 m
.35567 .57489 L
.35263 .57844 L
.35227 .57489 L
.35263 .57419 L
s
.32364 .57283 m
.32597 .57489 L
.32364 .5765 L
.32302 .57489 L
.32364 .57283 L
s
.35746 .56635 m
.35966 .57006 L
.35746 .57302 L
.3553 .57006 L
.35746 .56635 L
s
.36229 .55925 m
.36684 .5604 L
.36339 .56523 L
.36229 .56678 L
.35828 .56523 L
.36155 .5604 L
.36229 .55925 L
s
.36712 .55262 m
.36999 .55557 L
.36712 .56002 L
.36513 .55557 L
.36712 .55262 L
s
.37196 .54643 m
.37313 .55073 L
.37196 .55267 L
.36874 .55073 L
.37196 .54643 L
s
.49758 .54554 m
.50015 .5459 L
.49758 .54882 L
.49715 .5459 L
.49758 .54554 L
s
.49275 .5252 m
.49509 .52658 L
.49275 .52723 L
.49211 .52658 L
.49275 .5252 L
s
.49758 .51847 m
.50234 .52174 L
.49758 .52526 L
.4949 .52174 L
.49758 .51847 L
s
.50242 .51332 m
.50725 .51691 L
.50242 .52167 L
.49892 .51691 L
.50242 .51332 L
s
.47342 .51546 m
.47441 .51691 L
.47342 .51748 L
.47258 .51691 L
.47342 .51546 L
s
.50725 .50929 m
.5113 .51208 L
.50725 .51691 L
.50375 .51208 L
.50725 .50929 L
s
.47826 .51013 m
.47994 .51208 L
.47826 .51379 L
.47603 .51208 L
.47826 .51013 L
s
.51208 .50649 m
.51419 .50725 L
.51208 .51093 L
.5105 .50725 L
.51208 .50649 L
s
.48309 .50703 m
.48346 .50725 L
.48309 .50797 L
.48245 .50725 L
.48309 .50703 L
s
.37679 .49579 m
.38149 .49758 L
.37897 .50242 L
.37679 .5062 L
.37616 .50725 L
.37388 .51208 L
.37196 .51491 L
.3701 .51691 L
.36712 .52144 L
.36692 .52174 L
.36406 .52658 L
.36229 .5289 L
.36032 .53141 L
.35746 .53551 L
.35693 .53624 L
.3537 .54107 L
.35263 .54241 L
.34999 .5459 L
.3478 .54945 L
.34641 .55073 L
.34296 .55541 L
.34284 .55557 L
.33909 .5604 L
.33813 .56182 L
.33515 .56523 L
.3333 .56868 L
.33095 .57006 L
.32847 .57288 L
.32491 .57006 L
.32737 .56523 L
.32847 .56333 L
.33026 .5604 L
.33317 .55557 L
.3333 .55534 L
.33636 .55073 L
.33813 .54804 L
.3396 .5459 L
.3428 .54107 L
.34296 .54083 L
.34473 .53624 L
.3478 .53322 L
.34963 .53141 L
.35263 .52708 L
.35301 .52658 L
.35577 .52174 L
.35746 .52015 L
.36011 .51691 L
.36229 .51272 L
.36371 .51208 L
.36712 .50747 L
Mistroke
.36731 .50725 L
.37119 .50242 L
.37196 .50108 L
.37533 .49758 L
.37679 .49579 L
Mfstroke
.65704 .49186 m
.65909 .49275 L
.65704 .49609 L
.65647 .49275 L
.65704 .49186 L
s
.50242 .4893 m
.50505 .49275 L
.50242 .49427 L
.49974 .49275 L
.50242 .4893 L
s
.38162 .49131 m
.38328 .49275 L
.38162 .49732 L
.38008 .49275 L
.38162 .49131 L
s
.66187 .48563 m
.66248 .48792 L
.66187 .48904 L
.6603 .48792 L
.66187 .48563 L
s
.50725 .48381 m
.51107 .48792 L
.50725 .49117 L
.50351 .48792 L
.50725 .48381 L
s
.47826 .48405 m
.47969 .48792 L
.47826 .48884 L
.47589 .48792 L
.47826 .48405 L
s
.51208 .47932 m
.51554 .48309 L
.51208 .4869 L
.50795 .48309 L
.51208 .47932 L
s
.48309 .47867 m
.48535 .48309 L
.48309 .48525 L
.47896 .48309 L
.48309 .47867 L
s
.29948 .47912 m
.30203 .48309 L
.29948 .48591 L
.29757 .48309 L
.29948 .47912 L
s
.51691 .47617 m
.51893 .47826 L
.51691 .48124 L
.51348 .47826 L
.51691 .47617 L
s
.48792 .47488 m
.48973 .47826 L
.48792 .48034 L
.48352 .47826 L
.48792 .47488 L
s
.49275 .47298 m
.49296 .47342 L
.49275 .47382 L
.49052 .47342 L
.49275 .47298 L
s
.37196 .46056 m
.37567 .46376 L
.37329 .46859 L
.37196 .47091 L
.3705 .47342 L
.36757 .47826 L
.36712 .47915 L
.36596 .48309 L
.36229 .48645 L
.36132 .48792 L
.358 .49275 L
.35746 .49379 L
.35566 .49758 L
.35263 .50124 L
.35144 .50242 L
.348 .50725 L
.3478 .50767 L
.3452 .51208 L
.34296 .51469 L
.34117 .51691 L
.33813 .52156 L
.3377 .52174 L
.33444 .52658 L
.3333 .52783 L
.33053 .53141 L
.32847 .53458 L
.32684 .53624 L
.32364 .54048 L
.32313 .54107 L
.31923 .5459 L
.31881 .54651 L
.31494 .55073 L
.31397 .55236 L
.30974 .55557 L
.30914 .55606 L
.30756 .55557 L
.30868 .55073 L
.30914 .54976 L
.3111 .5459 L
.31374 .54107 L
.31397 .54059 L
.3167 .53624 L
.31881 .53292 L
.31978 .53141 L
.32293 .52658 L
.32364 .5253 L
.32477 .52174 L
.32847 .51748 L
.32946 .51691 L
.33284 .51208 L
Mistroke
.3333 .51125 L
.33528 .50725 L
.33813 .50404 L
.3396 .50242 L
.34296 .49763 L
.343 .49758 L
.34598 .49275 L
.3478 .49079 L
.35008 .48792 L
.35263 .48387 L
.35364 .48309 L
.35713 .47826 L
.35746 .47792 L
.36102 .47342 L
.36229 .47147 L
.36495 .46859 L
.36712 .46455 L
.36911 .46376 L
.37196 .46056 L
Mfstroke
.37679 .45711 m
.37745 .45893 L
.37679 .46113 L
.37398 .45893 L
.37679 .45711 L
s
.36229 .43344 m
.36484 .43477 L
.36307 .4396 L
.36229 .4411 L
.36046 .44443 L
.35775 .44927 L
.35746 .44982 L
.35468 .4541 L
.35263 .4573 L
.35155 .45893 L
.34842 .46376 L
.3478 .46479 L
.34671 .46859 L
.34296 .47263 L
.34176 .47342 L
.33843 .47826 L
.33813 .47873 L
.33601 .48309 L
.3333 .48592 L
.33153 .48792 L
.32847 .49226 L
.32809 .49275 L
.32507 .49758 L
.32364 .49902 L
.32093 .50242 L
.31881 .50596 L
.31727 .50725 L
.31397 .51164 L
.3136 .51208 L
.30969 .51691 L
.30914 .51777 L
.30543 .52174 L
.30431 .52404 L
.30021 .52658 L
.29948 .52716 L
.29824 .52658 L
.29943 .52174 L
.29948 .52163 L
.30182 .51691 L
.30431 .51242 L
.30451 .51208 L
.30616 .50725 L
.30914 .50451 L
.31048 .50242 L
.31369 .49758 L
.31397 .49697 L
.31611 .49275 L
.31881 .48929 L
.32014 .48792 L
.32353 .48309 L
Mistroke
.32364 .48282 L
.32641 .47826 L
.32847 .47572 L
.3303 .47342 L
.3333 .46876 L
.33375 .46859 L
.33704 .46376 L
.33813 .46249 L
.34086 .45893 L
.34296 .45569 L
.34452 .4541 L
.3478 .44973 L
.34819 .44927 L
.35205 .44443 L
.35263 .44361 L
.35621 .4396 L
.35746 .43748 L
.36094 .43477 L
.36229 .43344 L
Mfstroke
.34296 .41919 m
.34494 .42027 L
.34308 .42511 L
.34296 .42532 L
.34026 .42994 L
.33813 .4336 L
.33736 .43477 L
.33429 .4396 L
.3333 .44114 L
.33102 .44443 L
.32847 .44832 L
.32778 .44927 L
.32548 .4541 L
.32364 .45575 L
.32093 .45893 L
.31881 .462 L
.31743 .46376 L
.31397 .46858 L
.31397 .46859 L
.31018 .47342 L
.30914 .4758 L
.30624 .47826 L
.30431 .48076 L
.29996 .47826 L
.3027 .47342 L
.30431 .47081 L
.30572 .46859 L
.30865 .46376 L
.30914 .46308 L
.31201 .45893 L
.31397 .45605 L
.31535 .4541 L
.31866 .44927 L
.31881 .44909 L
.32218 .44443 L
.32364 .44181 L
.32578 .4396 L
.32847 .43595 L
.32943 .43477 L
.33296 .42994 L
.3333 .42972 L
.33725 .42511 L
.33813 .42317 L
.3419 .42027 L
.34296 .41919 L
s
.32847 .56562 m
.32874 .57006 L
.32847 .57029 L
.32756 .57006 L
.32847 .56562 L
s
.31397 .54247 m
.31811 .5459 L
.31397 .55 L
.31234 .5459 L
.31397 .54247 L
s
.49758 .52001 m
.50073 .52174 L
.49758 .52364 L
.49633 .52174 L
.49758 .52001 L
s
.50242 .51452 m
.50601 .51691 L
.50242 .52038 L
.50007 .51691 L
.50242 .51452 L
s
.30431 .51442 m
.30858 .51691 L
.30431 .52105 L
.30313 .51691 L
.30431 .51442 L
s
.50725 .51058 m
.50981 .51208 L
.50725 .51546 L
.50516 .51208 L
.50725 .51058 L
s
.37196 .50271 m
.37507 .50725 L
.3726 .51208 L
.37196 .51307 L
.36932 .51691 L
.36712 .52034 L
.36619 .52174 L
.36328 .52658 L
.36229 .52786 L
.35968 .53141 L
.35746 .53462 L
.35628 .53624 L
.35296 .54107 L
.35263 .54147 L
.34934 .5459 L
.3478 .54859 L
.34568 .55073 L
.34296 .55438 L
.34197 .55557 L
.33818 .5604 L
.33813 .56046 L
.33395 .56523 L
.3333 .56658 L
.32867 .56523 L
.33126 .5604 L
.3333 .55677 L
.33406 .55557 L
.33705 .55073 L
.33813 .54905 L
.34025 .5459 L
.34296 .54174 L
.34344 .54107 L
.3456 .53624 L
.3478 .53411 L
.35019 .53141 L
.35263 .52787 L
.35361 .52658 L
.35671 .52174 L
.35746 .52106 L
.36073 .51691 L
.36229 .51351 L
.36446 .51208 L
.36712 .50853 L
.36826 .50725 L
.37196 .50271 L
s
.37679 .49783 m
.37763 .50242 L
.37679 .5041 L
.37225 .50242 L
.37679 .49783 L
s
.50725 .48526 m
.50961 .48792 L
.50725 .48979 L
.50493 .48792 L
.50725 .48526 L
s
.51208 .48082 m
.51411 .48309 L
.51208 .48542 L
.50939 .48309 L
.51208 .48082 L
s
.48309 .48095 m
.48353 .48309 L
.48309 .48348 L
.48126 .48309 L
.48309 .48095 L
s
.30431 .47313 m
.30905 .47342 L
.30456 .47826 L
.30431 .47856 L
.3023 .47826 L
.30415 .47342 L
.30431 .47313 L
s
.30914 .46493 m
.31282 .46859 L
.30914 .47333 L
.30695 .46859 L
.30914 .46493 L
s
.37196 .4627 m
.37371 .46376 L
.37213 .46859 L
.37196 .46895 L
.3696 .47342 L
.36712 .47779 L
.36684 .47826 L
.36527 .48309 L
.36229 .48557 L
.36076 .48792 L
.35759 .49275 L
.35746 .493 L
.3552 .49758 L
.35263 .50067 L
.351 .50242 L
.3478 .50706 L
.34766 .50725 L
.34473 .51208 L
.34296 .5141 L
.34073 .51691 L
.33813 .52129 L
.33722 .52174 L
.33384 .52658 L
.3333 .52715 L
.32999 .53141 L
.32847 .53384 L
.32619 .53624 L
.32364 .53955 L
.32228 .54107 L
.31881 .54523 L
.31474 .54107 L
.31744 .53624 L
.31881 .534 L
.32042 .53141 L
.32345 .52658 L
.32364 .52624 L
.32526 .52174 L
.32847 .51798 L
.32992 .51691 L
.3332 .51208 L
.3333 .5119 L
.33573 .50725 L
.33813 .50459 L
.34002 .50242 L
.34296 .49821 L
.34344 .49758 L
.34652 .49275 L
.3478 .49141 L
.35054 .48792 L
.35263 .48439 L
Mistroke
.35419 .48309 L
.35746 .47871 L
.35784 .47826 L
.36171 .47342 L
.36229 .47251 L
.3659 .46859 L
.36712 .466 L
.3708 .46376 L
.37196 .4627 L
Mfstroke
.35263 .44489 m
.35679 .44927 L
.35397 .4541 L
.35263 .45626 L
.35092 .45893 L
.34785 .46376 L
.3478 .46385 L
.34613 .46859 L
.34296 .47203 L
.34128 .47342 L
.33813 .47806 L
.33799 .47826 L
.33545 .48309 L
.3333 .48528 L
.33107 .48792 L
.32847 .49162 L
.32759 .49275 L
.32436 .49758 L
.32364 .49828 L
.32038 .50242 L
.31881 .50522 L
.31659 .50725 L
.31397 .51068 L
.31271 .51208 L
.30914 .51637 L
.30555 .51208 L
.30731 .50725 L
.30914 .50572 L
.31117 .50242 L
.31397 .49797 L
.31423 .49758 L
.3167 .49275 L
.31881 .49004 L
.32066 .48792 L
.32364 .48355 L
.32396 .48309 L
.32694 .47826 L
.32847 .47641 L
.33079 .47342 L
.3333 .46905 L
.33428 .46859 L
.33766 .46376 L
.33813 .46323 L
.34143 .45893 L
.34296 .45647 L
.34519 .4541 L
.3478 .45069 L
.34905 .44927 L
.35263 .44489 L
s
.35746 .43982 m
.35932 .44443 L
.35746 .4481 L
.35308 .44443 L
.35746 .43982 L
s
.3333 .43158 m
.33606 .43477 L
.33333 .4396 L
.3333 .43965 L
.33011 .44443 L
.32847 .44702 L
.32685 .44927 L
.32367 .4541 L
.32364 .45412 L
.32009 .45893 L
.31881 .4608 L
.31647 .46376 L
.31397 .46725 L
.30992 .46376 L
.31301 .45893 L
.31397 .45749 L
.31634 .4541 L
.31881 .45048 L
.31972 .44927 L
.32316 .44443 L
.32364 .44349 L
.32686 .4396 L
.32847 .43745 L
.33076 .43477 L
.3333 .43158 L
s
.33813 .4267 m
.33874 .42994 L
.33813 .43124 L
.33498 .42994 L
.33813 .4267 L
s
.3333 .5587 m
.33673 .5604 L
.3333 .56385 L
.33251 .5604 L
.3333 .5587 L
s
.50242 .51619 m
.50411 .51691 L
.50242 .51843 L
.50172 .51691 L
.50242 .51619 L
s
.36712 .50974 m
.37127 .51208 L
.36847 .51691 L
.36712 .51909 L
.3654 .52174 L
.36231 .52658 L
.36229 .5266 L
.359 .53141 L
.35746 .53366 L
.35559 .53624 L
.35263 .54048 L
.35217 .54107 L
.34862 .5459 L
.3478 .54745 L
.34487 .55073 L
.34296 .55326 L
.34095 .55557 L
.33813 .55905 L
.3351 .55557 L
.33782 .55073 L
.33813 .55022 L
.34096 .5459 L
.34296 .54273 L
.34413 .54107 L
.34677 .53624 L
.3478 .53524 L
.3508 .53141 L
.35263 .52872 L
.35427 .52658 L
.35746 .52206 L
.35771 .52174 L
.36142 .51691 L
.36229 .51481 L
.36533 .51208 L
.36712 .50974 L
s
.37196 .5045 m
.37374 .50725 L
.37196 .5109 L
.36953 .50725 L
.37196 .5045 L
s
.36229 .4737 m
.36601 .47826 L
.36426 .48309 L
.36229 .4846 L
.36019 .48792 L
.35746 .49219 L
.35708 .49275 L
.35463 .49758 L
.35263 .49997 L
.35054 .50242 L
.3478 .50643 L
.3472 .50725 L
.34419 .51208 L
.34296 .51345 L
.34028 .51691 L
.33813 .52089 L
.33672 .52174 L
.3333 .52643 L
.33318 .52658 L
.32942 .53141 L
.32847 .53297 L
.32547 .53624 L
.32364 .53856 L
.32124 .54107 L
.31881 .5438 L
.31589 .54107 L
.31824 .53624 L
.31881 .53526 L
.3211 .53141 L
.32364 .52721 L
.32405 .52658 L
.32594 .52174 L
.32847 .51872 L
.3304 .51691 L
.3333 .51256 L
.33365 .51208 L
.33627 .50725 L
.33813 .50523 L
.34045 .50242 L
.34296 .49881 L
.3439 .49758 L
.34714 .49275 L
.3478 .49209 L
.35103 .48792 L
.35263 .48504 L
.35477 .48309 L
.35746 .47953 L
.35858 .47826 L
.36229 .4737 L
s
.36712 .46864 m
.36859 .47342 L
.36712 .47629 L
.36256 .47342 L
.36712 .46864 L
s
.30914 .46763 m
.3109 .46859 L
.30914 .47061 L
.30869 .46859 L
.30914 .46763 L
s
.31397 .45933 m
.31521 .46376 L
.31397 .46549 L
.31143 .46376 L
.31397 .45933 L
s
.31881 .45215 m
.32243 .4541 L
.31908 .45893 L
.31881 .45933 L
.31426 .45893 L
.31751 .4541 L
.31881 .45215 L
s
.35263 .44629 m
.35569 .44927 L
.35319 .4541 L
.35263 .45506 L
.35024 .45893 L
.3478 .46292 L
.34723 .46376 L
.34532 .46859 L
.34296 .47118 L
.34078 .47342 L
.33813 .47736 L
.33748 .47826 L
.33476 .48309 L
.3333 .48455 L
.33059 .48792 L
.32847 .49094 L
.32706 .49275 L
.32364 .49748 L
.32355 .49758 L
.31978 .50242 L
.31881 .50426 L
.31583 .50725 L
.31397 .50962 L
.31159 .51208 L
.30914 .5148 L
.30678 .51208 L
.30906 .50725 L
.30914 .50718 L
.31192 .50242 L
.31397 .49903 L
.3149 .49758 L
.31746 .49275 L
.31881 .49101 L
.32121 .48792 L
.32364 .48431 L
.3245 .48309 L
.32756 .47826 L
.32847 .47718 L
.33129 .47342 L
.3333 .46952 L
.33482 .46859 L
.33813 .46402 L
.33834 .46376 L
.34204 .45893 L
.34296 .45739 L
.34594 .4541 L
.3478 .45171 L
.35007 .44927 L
.35263 .44629 L
s
.32364 .44548 m
.32569 .44927 L
.32364 .45254 L
.32099 .44927 L
.32364 .44548 L
s
.35746 .4427 m
.35779 .44443 L
.35746 .44547 L
.35489 .44443 L
.35746 .4427 L
s
.32847 .43935 m
.3316 .4396 L
.32898 .44443 L
.32847 .4453 L
.32454 .44443 L
.32828 .4396 L
.32847 .43935 L
s
.3333 .43457 m
.3336 .43477 L
.3333 .4366 L
.3331 .43477 L
.3333 .43457 L
s
.33813 .55193 m
.33957 .55557 L
.33813 .55721 L
.33651 .55557 L
.33813 .55193 L
s
.3478 .53656 m
.35133 .54107 L
.34782 .5459 L
.3478 .54595 L
.34392 .55073 L
.34296 .55197 L
.33887 .55073 L
.34176 .5459 L
.34296 .54391 L
.34492 .54107 L
.3478 .53656 L
s
.31881 .53709 m
.3197 .54107 L
.31881 .54189 L
.31758 .54107 L
.31881 .53709 L
s
.35746 .52308 m
.36145 .52658 L
.35827 .53141 L
.35746 .53259 L
.35483 .53624 L
.35263 .53941 L
.34803 .53624 L
.35146 .53141 L
.35263 .52968 L
.35501 .52658 L
.35746 .52308 L
s
.36712 .51126 m
.36977 .51208 L
.36748 .51691 L
.36712 .51753 L
.36451 .52174 L
.36229 .52535 L
.35858 .52174 L
.36223 .51691 L
.36229 .51674 L
.36647 .51208 L
.36712 .51126 L
s
.30914 .50995 m
.30946 .51208 L
.30914 .51227 L
.30891 .51208 L
.30914 .50995 L
s
.36229 .47493 m
.36506 .47826 L
.36283 .48309 L
.36229 .48348 L
.35958 .48792 L
.35746 .49133 L
.35651 .49275 L
.35392 .49758 L
.35263 .49913 L
.35007 .50242 L
.3478 .50577 L
.34672 .50725 L
.34357 .51208 L
.34296 .51274 L
.33981 .51691 L
.33813 .52031 L
.3362 .52174 L
.3333 .52569 L
.33256 .52658 L
.32879 .53141 L
.32847 .53194 L
.32462 .53624 L
.32364 .53745 L
.31924 .53624 L
.32183 .53141 L
.32364 .52827 L
.3247 .52658 L
.32683 .52174 L
.32847 .51975 L
.3309 .51691 L
.3333 .51326 L
.33414 .51208 L
.33692 .50725 L
.33813 .50595 L
.34089 .50242 L
.34296 .49944 L
.34438 .49758 L
.3478 .49281 L
.34785 .49275 L
.35155 .48792 L
.35263 .48587 L
.35541 .48309 L
.35746 .48042 L
.35946 .47826 L
.36229 .47493 L
s
.36712 .47137 m
.36727 .47342 L
.36712 .47385 L
.36408 .47342 L
.36712 .47137 L
s
.3478 .45287 m
.35222 .4541 L
.3495 .45893 L
.3478 .46185 L
.34655 .46376 L
.34426 .46859 L
.34296 .47002 L
.34025 .47342 L
.33813 .47662 L
.33694 .47826 L
.33393 .48309 L
.3333 .48371 L
.33009 .48792 L
.32847 .49022 L
.32649 .49275 L
.32364 .49668 L
.32288 .49758 L
.31911 .50242 L
.31881 .50302 L
.3149 .50725 L
.31397 .50839 L
.31032 .50725 L
.31274 .50242 L
.31397 .50027 L
.31563 .49758 L
.31841 .49275 L
.31881 .49224 L
.32178 .48792 L
.32364 .48512 L
.32507 .48309 L
.32829 .47826 L
.32847 .47805 L
.33183 .47342 L
.3333 .47025 L
.33541 .46859 L
.33813 .46484 L
.33902 .46376 L
.34272 .45893 L
.34296 .45851 L
.34681 .4541 L
.3478 .45287 L
s
.35263 .44813 m
.35414 .44927 L
.35263 .45336 L
.3515 .44927 L
.35263 .44813 L
s
.34296 .54551 m
.34652 .5459 L
.34296 .55019 L
.34275 .5459 L
.34296 .54551 L
s
.3478 .53786 m
.35031 .54107 L
.3478 .54454 L
.34588 .54107 L
.3478 .53786 L
s
.35263 .53081 m
.35739 .53141 L
.35395 .53624 L
.35263 .53816 L
.349 .53624 L
.35223 .53141 L
.35263 .53081 L
s
.32364 .52959 m
.32793 .53141 L
.32364 .53608 L
.32268 .53141 L
.32364 .52959 L
s
.35746 .52434 m
.36039 .52658 L
.35746 .53132 L
.35591 .52658 L
.35746 .52434 L
s
.36229 .51843 m
.36341 .52174 L
.36229 .52373 L
.35975 .52174 L
.36229 .51843 L
s
.31397 .50194 m
.31811 .50242 L
.31397 .50668 L
.31373 .50242 L
.31397 .50194 L
s
.31881 .49351 m
.32208 .49758 L
.31881 .50173 L
.31645 .49758 L
.31881 .49351 L
s
.35746 .48142 m
.36163 .48309 L
.35891 .48792 L
.35746 .49035 L
.3559 .49275 L
.35306 .49758 L
.35263 .4981 L
.34958 .50242 L
.3478 .50506 L
.34621 .50725 L
.34296 .51196 L
.34287 .51208 L
.33931 .51691 L
.33813 .5195 L
.33563 .52174 L
.3333 .52489 L
.33185 .52658 L
.32847 .53086 L
.32543 .52658 L
.32799 .52174 L
.32847 .52115 L
.33142 .51691 L
.3333 .51401 L
.33466 .51208 L
.3377 .50725 L
.33813 .50679 L
.34136 .50242 L
.34296 .50011 L
.3449 .49758 L
.3478 .49353 L
.34844 .49275 L
.35213 .48792 L
.35263 .48692 L
.35615 .48309 L
.35746 .48142 L
s
.32847 .47892 m
.33308 .48309 L
.32954 .48792 L
.32847 .48944 L
.32585 .49275 L
.32364 .49579 L
.3193 .49275 L
.32239 .48792 L
.32364 .48601 L
.32568 .48309 L
.32847 .47892 L
s
.36229 .47652 m
.36382 .47826 L
.36229 .48191 L
.36065 .47826 L
.36229 .47652 L
s
.33813 .46573 m
.34292 .46859 L
.33968 .47342 L
.33813 .4758 L
.33636 .47826 L
.3333 .4828 L
.32897 .47826 L
.33241 .47342 L
.3333 .47131 L
.33605 .46859 L
.33813 .46573 L
s
.34296 .45966 m
.34578 .46376 L
.34296 .46853 L
.33979 .46376 L
.34296 .45966 L
s
.3478 .45429 m
.34863 .45893 L
.3478 .4605 L
.34367 .45893 L
.3478 .45429 L
s
.3478 .54006 m
.34863 .54107 L
.3478 .54224 L
.34735 .54107 L
.3478 .54006 L
s
.35263 .53259 m
.35275 .53624 L
.35263 .53642 L
.35058 .53624 L
.35263 .53259 L
s
.35746 .52623 m
.35864 .52658 L
.35746 .52915 L
.35723 .52658 L
.35746 .52623 L
s
.32847 .5225 m
.33101 .52658 L
.32847 .52969 L
.32628 .52658 L
.32847 .5225 L
s
.33813 .50765 m
.34228 .51208 L
.33877 .51691 L
.33813 .51841 L
.33499 .52174 L
.3333 .52401 L
.32896 .52174 L
.332 .51691 L
.3333 .51485 L
.33523 .51208 L
.33813 .50765 L
s
.3478 .49432 m
.35226 .49758 L
.34904 .50242 L
.3478 .50429 L
.34566 .50725 L
.34296 .5112 L
.33843 .50725 L
.34187 .50242 L
.34296 .50083 L
.34546 .49758 L
.3478 .49432 L
s
.31881 .49498 m
.32101 .49758 L
.31881 .50026 L
.31748 .49758 L
.31881 .49498 L
s
.35263 .48813 m
.35523 .49275 L
.35263 .49705 L
.34911 .49275 L
.35263 .48813 L
s
.35746 .48262 m
.36036 .48309 L
.35816 .48792 L
.35746 .48916 L
.35283 .48792 L
.35707 .48309 L
.35746 .48262 L
s
.32847 .47987 m
.33237 .48309 L
.32892 .48792 L
.32847 .48857 L
.3251 .49275 L
.32364 .49476 L
.3202 .49275 L
.32308 .48792 L
.32364 .48704 L
.32635 .48309 L
.32847 .47987 L
s
.33813 .46674 m
.34209 .46859 L
.33904 .47342 L
.33813 .47486 L
.3357 .47826 L
.3333 .4819 L
.32968 .47826 L
.33305 .47342 L
.3333 .47278 L
.33678 .46859 L
.33813 .46674 L
s
.34296 .46097 m
.34485 .46376 L
.34296 .46728 L
.34075 .46376 L
.34296 .46097 L
s
.32847 .52413 m
.32981 .52658 L
.32847 .52808 L
.32744 .52658 L
.32847 .52413 L
s
.33813 .50852 m
.34161 .51208 L
.33816 .51691 L
.33813 .51699 L
.33424 .52174 L
.3333 .52299 L
.32989 .52174 L
.33264 .51691 L
.3333 .51582 L
.33586 .51208 L
.33813 .50852 L
s
.3478 .49521 m
.35152 .49758 L
.34846 .50242 L
.3478 .50343 L
.34506 .50725 L
.34296 .51036 L
.33909 .50725 L
.34243 .50242 L
.34296 .50164 L
.3461 .49758 L
.3478 .49521 L
s
.35263 .48926 m
.35444 .49275 L
.35263 .49594 L
.34992 .49275 L
.35263 .48926 L
s
.32364 .48841 m
.32414 .49275 L
.32364 .49343 L
.32147 .49275 L
.32364 .48841 L
s
.32847 .48101 m
.3315 .48309 L
.32847 .48748 L
.32715 .48309 L
.32847 .48101 L
s
.3333 .4742 m
.33493 .47826 L
.3333 .4808 L
.33055 .47826 L
.3333 .4742 L
s
.33813 .46798 m
.34092 .46859 L
.3383 .47342 L
.33813 .47369 L
.33396 .47342 L
.33768 .46859 L
.33813 .46798 L
s
.34296 .4631 m
.34337 .46376 L
.34296 .4651 L
.34234 .46376 L
.34296 .4631 L
s
.33813 .50958 m
.34079 .51208 L
.33813 .51585 L
.3366 .51208 L
.33813 .50958 L
s
.34296 .50259 m
.34436 .50725 L
.34296 .50936 L
.33988 .50725 L
.34296 .50259 L
s
.3478 .49628 m
.35057 .49758 L
.3478 .50239 L
.34687 .49758 L
.3478 .49628 L
s
.35263 .49088 m
.35338 .49275 L
.35263 .49435 L
.3511 .49275 L
.35263 .49088 L
s
.32847 .48267 m
.33009 .48309 L
.32847 .48566 L
.32823 .48309 L
.32847 .48267 L
s
.3333 .47591 m
.33387 .47826 L
.3333 .47923 L
.33183 .47826 L
.3333 .47591 L
s
.33813 .51111 m
.33957 .51208 L
.33813 .51421 L
.33761 .51208 L
.33813 .51111 L
s
.34296 .50405 m
.34345 .50725 L
.34296 .50802 L
.34102 .50725 L
.34296 .50405 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[36]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ
0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ
0=WIf@007P3IfMT400000080fMWI0`00000P0=WIf@@000000`3IfMT2000002@0fMWI0`00000T0=WI
f@8000009`3IfMT3000002<0fMWI100000030=WIf@8000008@3IfMT400000080fMWI0`0000030=WI
f@00803IfMT00`000000fMWI0=WIf@040=WIf@030000003IfMT0fMWI01l0fMWI00D000000=WIf@3I
fMT0fMWI000000020=WIf@030000003IfMT0fMWI02@0fMWI00<000000=WIf@3IfMT0803IfMT01000
0000fMWI0=WIf@00000Y0=WIf@030000003IfMT0fMWI0280fMWI00D000000=WIf@3IfMT0fMWI0000
00020=WIf@030000003IfMT0fMWI0200fMWI00<000000=WIf@3IfMT0103IfMT100000040fMWI0@3I
fMT00200fMWI00<000000=WIf@3IfMT0103IfMT00`000000fMWI0=WIf@0O0=WIf@050000003IfMT0
fMWI0=WIf@0000000P3IfMT00`000000fMWI0=WIf@0T0=WIf@030000003IfMT0fMWI0200fMWI00@0
00000=WIf@3IfMT00000:@3IfMT00`000000fMWI0=WIf@0R0=WIf@050000003IfMT0fMWI0=WIf@00
00000P3IfMT00`000000fMWI0=WIf@0P0=WIf@030000003IfMT0fMWI00@0fMWI0@0000010=WIf@40
fMWI000H0=WIf@@00000103IfMT010000000fMWI0=WIf@3IfMT3000001X0fMWI100000040=WIf@05
0000003IfMT0fMWI0=WIf@0000000P3IfMT00`000000fMWI0=WIf@0K0=WIf@@000000P3IfMT30000
02<0fMWI00@000000=WIf@3IfMT000009P3IfMT3000002D0fMWI00D000000=WIf@3IfMT0fMWI0000
00020=WIf@030000003IfMT0fMWI0200fMWI00@000000=WIf@3IfMT0fMWI0`0000030=WIf@00803I
fMT01@000000fMWI0=WIf@3IfMT0000002@0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@03
0000003IfMT0fMWI0240fMWI00<000000=WIf@3IfMT08`3IfMT010000000fMWI0=WIf@00000V0=WI
f@030000003IfMT0fMWI02D0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@030000003IfMT0
fMWI0200fMWI00D000000=WIf@3IfMT0fMWI000000050=WIf@007P3IfMT3000000<0fMWI00<00000
0=WIf@3IfMT0803IfMT3000000<0fMWI00@000000=WIf@3IfMT000008`3IfMT00`000000fMWI0=WI
f@0S0=WIf@040000003IfMT0fMWI000002H0fMWI00<000000=WIf@3IfMT08`3IfMT3000000<0fMWI
00@000000=WIf@3IfMT00000803IfMT3000000<0fMWI00<000000=WIf@3IfMT00`3IfMT00200fMWI
00@000000=WIf@3IfMT0fMWI1000000Q0=WIf@030000003IfMT0fMWI0080fMWI0P00000T0=WIf@@0
00008`3IfMT2000002L0fMWI1000000T0=WIf@030000003IfMT0fMWI0080fMWI0P00000S0=WIf@04
0000003IfMT0fMWI0=WIf@@000000P3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3I
fMT001/0fMWIo`00000400000080fMWI000K0=WIf@030000003IfMT0fMWI0080fMWI00<000000=WI
f@3IfMT01@3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00H0fMWI00<000000=WI
f@3IfMT01@3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00D0fMWI00<000000=WI
f@3IfMT01P3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00D0fMWI00<000000=WI
f@3IfMT01P3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00D0fMWI00<000000=WI
f@3IfMT01P3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00D0fMWI00<000000=WI
f@3IfMT01@3IfMT00`000000fMWI0=WIf@060=WIf@030000003IfMT0fMWI00D0fMWI00<000000=WI
f@3IfMT01@3IfMT00`000000fMWI0=WIf@060=WIf@030000003IfMT0fMWI00D0fMWI00<000000=WI
f@3IfMT01@3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00H0fMWI00<000000=WI
f@3IfMT01@3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00H0fMWI00<000000=WI
f@3IfMT01@3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00H0fMWI00D000000=WI
f@3IfMT0fMWI000000020=WIf@006`3IfMT00`000000fMWI0=WIf@3o0=WIf@4000000@3IfMT10=WI
f@006`3IfMT00`000000fMWI0=WIf@3o0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI
0=WIf@3o0=WIf@4000000@3IfMT10=WIf@006`3IfMT2000008T0fMWI00<000000=WIf@3IfMT06`3I
fMT00`000000fMWI0=WIf@050=WIf@8000008P3IfMT00`000000fMWI0=WIf@060=WIf@030000003I
fMT0fMWI01/0fMWI00<000000=WIf@3IfMT00`3IfMT100000040fMWI0@3IfMT001/0fMWI00<00000
0=WIf@3IfMT0Q`3IfMT2000001h0fMWI00<000000=WIf@3IfMT0103IfMT00`000000fMWI0=WIf@0R
0=WIf@030000003IfMT0fMWI00@0fMWI00<000000=WIf@3IfMT0703IfMT2000000@0fMWI0@000001
0=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI08L0fMWI00<000000=WIf@3IfMT07P3IfMT00`00
0000fMWI0=WIf@020=WIf@030000003IfMT0fMWI02@0fMWI00<000000=WIf@3IfMT00P3IfMT00`00
0000fMWI0=WIf@0N0=WIf@030000003IfMT0fMWI0080fMWI0@0000010=WIf@40fMWI000K0=WIf@03
0000003IfMT0fMWI08H0fMWI00<000000=WIf@3IfMT07`3IfMT00`000000fMWI0=WIf@030=WIf@03
0000003IfMT0fMWI0280fMWI00<000000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@0O0=WIf@05
0000003IfMT0fMWI0=WIf@0000000P3IfMT001/0fMWI00<000000=WIf@3IfMT0QP3IfMT00`000000
fMWI0=WIf@0O0=WIf@030000003IfMT0fMWI00@0fMWI00<000000=WIf@3IfMT07`3IfMT2000000H0
fMWI00<000000=WIf@3IfMT08`3IfMT100000040fMWI0@3IfMT000P0fMWI00<000000=WIf@3IfMT0
0`3IfMT00`000000fMWI0=WIf@020=WIf@<000001@3IfMT00`000000fMWI0=WIf@260=WIf@030000
003IfMT0fMWI01l0fMWI00<000000=WIf@3IfMT01@3IfMTQ000000L0fMWI00<000000=WIf@3IfMT0
903IfMT100000040fMWI0@3IfMT000P0fMWI00<000000=WIf@3IfMT02`3IfMT00`000000fMWI0=WI
f@020=WIf@030000003IfMT0fMWI08D0fMWI00<000000=WIf@3IfMT0803IfMT00`000000fMWI0=WI
f@0]0=WIf@030000003IfMT0fMWI02@0fMWI0@0000010=WIf@40fMWI00090=WIf@030000003IfMT0
fMWI00X0fMWI00<000000=WIf@3IfMT00P3IfMT2000008H0fMWI00<000000=WIf@3IfMT0803IfMT0
0`000000fMWI0=WIf@0]0=WIf@030000003IfMT0fMWI02<0fMWI0P0000020=WIf@0000<0fMWI0000
000000000P0000040=WIf@030000003IfMT0fMWI00L0fMWI0`0000050=WIf@030000003IfMT0fMWI
08@0fMWI00<000000=WIf@3IfMT08@3IfMT00`000000fMWI0=WIf@0]0=WIf@030000003IfMT0fMWI
02@0fMWI0@0000010=WIf@40fMWI000:0=WIf@030000003IfMT0fMWI00H0fMWI00<000000=WIf@3I
fMT01@3IfMT00`000000fMWI0=WIf@240=WIf@030000003IfMT0fMWI0240fMWI00<000000=WIf@3I
fMT04`3IfMT5000001D0fMWI00<000000=WIf@3IfMT0903IfMT100000040fMWI0@3IfMT000L0fMWI
00@000000=WIf@3IfMT00000203IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI08@0
fMWI00<000000=WIf@3IfMT08P3IfMT00`000000fMWI0=WIf@0A0=WIf@030000003IfMT0fMWI00<0
fMWI00<000000=WIf@3IfMT04P3IfMT00`000000fMWI0=WIf@0T0=WIf@4000000@3IfMT10=WIf@00
1`3IfMT4000000P0fMWI100000040=WIf@030000003IfMT0fMWI08@0fMWI00<000000=WIf@3IfMT0
8P3IfMT00`000000fMWI0=WIf@0A0=WIf@8000000`3IfMT3000001<0fMWI00<000000=WIf@3IfMT0
903IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0P`3IfMT00`000000fMWI0=WI
f@0S0=WIf@030000003IfMT0fMWI01<0fMWI0`00000E0=WIf@8000009P3IfMT100000040fMWI0@3I
fMT001/0fMWI00<000000=WIf@3IfMT0P`3IfMT00`000000fMWI0=WIf@0T0=WIf@030000003IfMT0
fMWI02X0fMWI00<000000=WIf@3IfMT09@3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WI
f@3IfMT0P`3IfMT00`000000fMWI0=WIf@0T0=WIf@<000001@3IfMTN000000D0fMWI0P00000X0=WI
f@4000000@3IfMT10=WIf@006`3IfMT2000008<0fMWI0P00000Y0=WIf@D000007P3IfMT5000002X0
fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0880fMWI00<000000=WIf@3IfMT0
=`3IfMT:000003T0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0880fMWI00<0
00000=WIf@3IfMT0=03IfMT3000000X0fMWI0`00000f0=WIf@4000000@3IfMT10=WIf@006`3IfMT0
0`000000fMWI0=WIf@220=WIf@030000003IfMT0fMWI0380fMWI0P00000?0=WIf@800000=@3IfMT1
00000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0PP3IfMT00`000000fMWI0=WIf@0b0=WI
f@030000003IfMT0fMWI00l0fMWI00<000000=WIf@3IfMT0<`3IfMT100000040fMWI0@3IfMT001/0
fMWI00<000000=WIf@3IfMT0PP3IfMT00`000000fMWI0=WIf@0c0=WIf@030000003IfMT0fMWI00d0
fMWI0P00000e0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@220=WIf@030000
003IfMT0fMWI0100fMWI1@00000O0=WIf@@000001`3IfMT400000200fMWI1000000C0=WIf@400000
0@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@210=WIf@030000003IfMT0fMWI0100fMWI00<0
00000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@0P0=WIf@L000008`3IfMT00`000000fMWI0=WI
f@020=WIf@8000004@3IfMT100000040fMWI0@3IfMT001/0fMWI0P0000220=WIf@030000003IfMT0
fMWI00l0fMWI00<000000=WIf@3IfMT0103IfMT200000100fMWI:P00000@0=WIf@030000003IfMT0
fMWI00D0fMWI00<000000=WIf@3IfMT03P3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WI
f@3IfMT0P@3IfMT00`000000fMWI0=WIf@0?0=WIf@030000003IfMT0fMWI00D0fMWI00<000000=WI
f@3IfMT03@3IfMT00`000000fMWI0=WIf@0>0=WIf@/000003`3IfMT00`000000fMWI0=WIf@0=0=WI
f@030000003IfMT0fMWI00D0fMWI00<000000=WIf@3IfMT03P3IfMT100000040fMWI0@3IfMT001/0
fMWI00<000000=WIf@3IfMT0P@3IfMT00`000000fMWI0=WIf@0?0=WIf@030000003IfMT0fMWI00D0
fMWI00<000000=WIf@3IfMT0303IfMT00`000000fMWI0=WIf@0:0=WIf@D000002`3IfMT4000000`0
fMWI00<000000=WIf@3IfMT0303IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00h0
fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0840fMWI00<000000=WIf@3IfMT0
3P3IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00/0fMWI00<000000=WIf@3IfMT0
2@3IfMT00`000000fMWI0=WIf@030=WIf@X000001@3IfMT00`000000fMWI0=WIf@090=WIf@030000
003IfMT0fMWI00/0fMWI00<000000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@0=0=WIf@400000
0@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@210=WIf@030000003IfMT0fMWI00h0fMWI00<0
00000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@0;0=WIf@030000003IfMT0fMWI00P0fMWI00<0
00000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00<0fMWI00<0
00000=WIf@3IfMT0203IfMT00`000000fMWI0=WIf@0;0=WIf@030000003IfMT0fMWI00L0fMWI00<0
00000=WIf@3IfMT03@3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0P@3IfMT0
0`000000fMWI0=WIf@0>0=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT02`3IfMT0
0`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT01`3IfMT2
000000D0fMWI00<000000=WIf@3IfMT0203IfMT00`000000fMWI0=WIf@0;0=WIf@030000003IfMT0
fMWI00L0fMWI00<000000=WIf@3IfMT03@3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WI
f@3IfMT0P@3IfMT00`000000fMWI0=WIf@0>0=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WI
f@3IfMT02`3IfMT00`000000fMWI0=WIf@090=WIf@030000003IfMT0fMWI00<0fMWI2P0000050=WI
f@030000003IfMT0fMWI00T0fMWI00<000000=WIf@3IfMT02`3IfMT00`000000fMWI0=WIf@070=WI
f@030000003IfMT0fMWI00d0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0840
fMWI00<000000=WIf@3IfMT03P3IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00/0
fMWI00<000000=WIf@3IfMT02P3IfMT5000000X0fMWI1@00000;0=WIf@800000303IfMT00`000000
fMWI0=WIf@080=WIf@030000003IfMT0fMWI00d0fMWI0@0000010=WIf@40fMWI000K0=WIf@800000
PP3IfMT00`000000fMWI0=WIf@0>0=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT0
303IfMT2000000l0fMWI2P00000?0=WIf@8000003@3IfMT00`000000fMWI0=WIf@080=WIf@030000
003IfMT0fMWI00d0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0840fMWI00<0
00000=WIf@3IfMT03P3IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00h0fMWI:000
000@0=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT03@3IfMT100000040fMWI0@3I
fMT001/0fMWI00<000000=WIf@3IfMT0P@3IfMT00`000000fMWI0=WIf@0>0=WIf@030000003IfMT0
fMWI00L0fMWI00<000000=WIf@3IfMT06P3IfMT?000001d0fMWI00<000000=WIf@3IfMT01`3IfMT0
0`000000fMWI0=WIf@0=0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@210=WI
f@030000003IfMT0fMWI00h0fMWI00<000000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@0H0=WI
f@8000001@3IfMT5000000D0fMWI0`00000J0=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WI
f@3IfMT03@3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0P@3IfMT00`000000
fMWI0=WIf@0>0=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT05`3IfMT00`000000
fMWI0=WIf@030=WIf@<00000103IfMT3000000D0fMWI00<000000=WIf@3IfMT05`3IfMT00`000000
fMWI0=WIf@070=WIf@030000003IfMT0fMWI00d0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000
003IfMT0fMWI0840fMWI00<000000=WIf@3IfMT03P3IfMT00`000000fMWI0=WIf@070=WIf@030000
003IfMT0fMWI01L0fMWI00<000000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@060=WIf@030000
003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT05`3IfMT00`000000fMWI0=WIf@070=WIf@030000
003IfMT0fMWI00d0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0840fMWI00<0
00000=WIf@3IfMT03`3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI01P0fMWI00<0
00000=WIf@3IfMT00`3IfMT2000000D0fMWI0`0000050=WIf@030000003IfMT0fMWI01P0fMWI00<0
00000=WIf@3IfMT01@3IfMT00`000000fMWI0=WIf@0>0=WIf@4000000@3IfMT10=WIf@006`3IfMT0
0`000000fMWI0=WIf@210=WIf@030000003IfMT0fMWI00l0fMWI00<000000=WIf@3IfMT01@3IfMT0
0`000000fMWI0=WIf@0I0=WIf@<00000103IfMT5000000D0fMWI0`00000K0=WIf@030000003IfMT0
fMWI00D0fMWI00<000000=WIf@3IfMT03P3IfMT100000040fMWI0@3IfMT001/0fMWI0P0000220=WI
f@030000003IfMT0fMWI0100fMWI00<000000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@0L0=WI
f@l000007P3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00h0fMWI0@0000010=WI
f@40fMWI000K0=WIf@030000003IfMT0fMWI0840fMWI00<000000=WIf@3IfMT0403IfMT00`000000
fMWI0=WIf@020=WIf@8000004P3IfMT;00000140fMWI3000000B0=WIf@8000000`3IfMT200000140
fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0880fMWI00<000000=WIf@3IfMT0
403IfMT400000180fMWI0P00000;0=WIfA400000303IfMT00`000000fMWI0=WIf@0A0=WIf@<00000
4`3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0PP3IfMT00`000000fMWI0=WI
f@0U0=WIf@030000003IfMT0fMWI00d0fMWI3@00000?0=WIf@8000009`3IfMT100000040fMWI0@3I
fMT001/0fMWI00<000000=WIf@3IfMT0PP3IfMT00`000000fMWI0=WIf@0U0=WIf@030000003IfMT0
fMWI00/0fMWI0P00000=0=WIf@<000003@3IfMT00`000000fMWI0=WIf@0U0=WIf@4000000@3IfMT1
0=WIf@004`3IfMT3000000D0fMWI00<000000=WIf@3IfMT0PP3IfMT00`000000fMWI0=WIf@0U0=WI
f@030000003IfMT0fMWI00/0fMWI00<000000=WIf@3IfMT03P3IfMT00`000000fMWI0=WIf@0;0=WI
f@030000003IfMT0fMWI02D0fMWI0@0000010=WIf@40fMWI000F0=WIf@030000003IfMT0fMWI0080
fMWI00<000000=WIf@3IfMT0PP3IfMT00`000000fMWI0=WIf@0T0=WIf@030000003IfMT0fMWI00`0
fMWI00<000000=WIf@3IfMT03P3IfMT00`000000fMWI0=WIf@0;0=WIf@030000003IfMT0fMWI02D0
fMWI0@0000010=WIf@40fMWI000F0=WIf@030000003IfMT0fMWI0080fMWI0P0000230=WIf@030000
003IfMT0fMWI02@0fMWI00<000000=WIf@3IfMT0303IfMT2000000h0fMWI00<000000=WIf@3IfMT0
303IfMT2000002D0fMWI0P0000020=WIf@003@3IfMT400000080fMWI0`0000050=WIf@030000003I
fMT0fMWI08<0fMWI00<000000=WIf@3IfMT0903IfMT00`000000fMWI0=WIf@0=0=WIf@h000003`3I
fMT00`000000fMWI0=WIf@0U0=WIf@4000000@3IfMT10=WIf@004`3IfMT00`000000fMWI0=WIf@05
0=WIf@030000003IfMT0fMWI08<0fMWI00<000000=WIf@3IfMT0903IfMT00`000000fMWI0=WIf@0Z
0=WIf@030000003IfMT0fMWI02D0fMWI0@0000010=WIf@40fMWI000C0=WIf@030000003IfMT0fMWI
00D0fMWI00<000000=WIf@3IfMT0P`3IfMT00`000000fMWI0=WIf@0T0=WIf@030000003IfMT0fMWI
00D0fMWI00<000000=WIf@3IfMT0103IfMT?000000h0fMWI00<000000=WIf@3IfMT09P3IfMT10000
0040fMWI0@3IfMT001<0fMWI100000040=WIf@030000003IfMT0fMWI08<0fMWI00<000000=WIf@3I
fMT09@3IfMT>000000l0fMWI3`00000X0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI
0=WIf@240=WIf@030000003IfMT0fMWI07P0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003I
fMT0fMWI08@0fMWI00<000000=WIf@3IfMT0N03IfMT100000040fMWI0@3IfMT001/0fMWI00<00000
0=WIf@3IfMT0Q03IfMT00`000000fMWI0=WIf@1h0=WIf@4000000@3IfMT10=WIf@006`3IfMT20000
08D0fMWI00<000000=WIf@3IfMT0N03IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3I
fMT0Q@3IfMT00`000000fMWI0=WIf@1g0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI
0=WIf@250=WIf@030000003IfMT0fMWI0240fMWI1@00000U0=WIf@D000009`3IfMT100000040fMWI
0@3IfMT001/0fMWI00<000000=WIf@3IfMT0QP3IfMT00`000000fMWI0=WIf@0O0=WIf@030000003I
fMT0fMWI00<0fMWI1@00000K0=WIf@D000001@3IfMT2000002D0fMWI0@0000010=WIf@40fMWI000K
0=WIf@030000003IfMT0fMWI08H0fMWI0P00000O0=WIf@8000002P3IfMTK000000`0fMWI00<00000
0=WIf@3IfMT07@3IfMT2000000<0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI
08L0fMWI00<000000=WIf@3IfMT07@3IfMT00`000000fMWI0=WIf@0`0=WIf@030000003IfMT0fMWI
01d0fMWI00<000000=WIf@3IfMT00P3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3I
fMT0Q`3IfMT00`000000fMWI0=WIf@0M0=WIf@030000003IfMT0fMWI0300fMWI00<000000=WIf@3I
fMT07@3IfMT00`000000fMWI0=WIf@020=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI
0=WIf@280=WIf@030000003IfMT0fMWI01/0fMWI00<000000=WIf@3IfMT0<P3IfMT00`000000fMWI
0=WIf@0K0=WIf@030000003IfMT0fMWI00<0fMWI0@0000010=WIf@40fMWI000K0=WIf@800000RP3I
fMT00`000000fMWI0=WIf@0I0=WIf@030000003IfMT0fMWI03@0fMWI00<000000=WIf@3IfMT06@3I
fMT00`000000fMWI0=WIf@040=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@29
0=WIf@030000003IfMT0fMWI01T0fMWI00<000000=WIf@3IfMT0=03IfMT00`000000fMWI0=WIf@0I
0=WIf@030000003IfMT0fMWI00@0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI
08X0fMWI00<000000=WIf@3IfMT05`3IfMT00`000000fMWI0=WIf@0e0=WIf@030000003IfMT0fMWI
01T0fMWI00<000000=WIf@3IfMT0103IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3I
fMT0RP3IfMT00`000000fMWI0=WIf@0G0=WIf@030000003IfMT0fMWI03H0fMWI0P00000H0=WIf@03
0000003IfMT0fMWI00D0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI08/0fMWI
00<000000=WIf@3IfMT05@3IfMT00`000000fMWI0=WIf@0h0=WIf@030000003IfMT0fMWI01@0fMWI
0P0000080=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@2<0=WIf@030000003I
fMT0fMWI0180fMWI0P00000l0=WIf@030000003IfMT0fMWI0180fMWI00<000000=WIf@3IfMT0203I
fMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0S@3IfMT200000140fMWI00<00000
0=WIf@3IfMT0503IfMTD000001D0fMWI0P00000A0=WIf@030000003IfMT0fMWI00T0fMWI0@000001
0=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI08l0fMWI00<000000=WIf@3IfMT03@3IfMT00`00
0000fMWI0=WIf@0D0=WIf@030000003IfMT0fMWI0180fMWI00<000000=WIf@3IfMT04`3IfMT00`00
0000fMWI0=WIf@0?0=WIf@030000003IfMT0fMWI00T0fMWI0@0000010=WIf@40fMWI000K0=WIf@80
0000T03IfMT2000000d0fMWI00<000000=WIf@3IfMT0503IfMT00`000000fMWI0=WIf@0D0=WIf@03
0000003IfMT0fMWI01<0fMWI0P00000<0=WIf@<00000303IfMT100000040fMWI0@3IfMT001/0fMWI
00<000000=WIf@3IfMT0T@3IfMT2000000P0fMWI0`00000G0=WIf@8000005@3IfMT00`000000fMWI
0=WIf@0E0=WIf@8000002@3IfMT00`000000fMWI0=WIf@0=0=WIf@4000000@3IfMT10=WIf@006`3I
fMT00`000000fMWI0=WIf@2B0=WIf@T00000703IfMT00`000000fMWI0=WIf@0?0=WIf@<000006P3I
fMT900000100fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0;P0fMWI1@000008
0=WIf@@00000=P3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0_03IfMT:0000
03T0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0?l0fMWI0@0000010=WIf@40
fMWI000K0=WIf@030000003IfMT0fMWI05D0fMWI00<000000=WIf@3IfMT0Y`3IfMT100000040fMWI
0@3IfMT001/0fMWI0P00001E0=WIf@<00000Z03IfMT100000040fMWI0@3IfMT001/0fMWI00<00000
0=WIf@3IfMT0DP3IfMT2000000030=WIf@000000fMWI00@0fMWI0P00002R0=WIf@4000000@3IfMT1
0=WIf@006`3IfMT00`000000fMWI0=WIf@1;0=WIf@030000003IfMT0fMWI00@0fMWI00@000000=WI
f@3IfMT00000103IfMT00`000000fMWI0000002R0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`00
0000fMWI0=WIf@1;0=WIf@8000001@3IfMT00`000000fMWI000000040=WIf@80000000<0fMWI0000
003IfMT0X@3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0BP3IfMT2000000@0
fMWI0P0000020=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT00`000000fMWI0=WIf@1:0=WI
f@030000003IfMT0fMWI05@0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI04T0
fMWI0P0000050=WIf@040000003IfMT0fMWI000000<0fMWI0P0000000`3IfMT000000=WIf@040=WI
f@8000005P3IfMT3000000D0fMWI0`00000T0=WIf@030000003IfMT0000005D0fMWI0@0000010=WI
f@40fMWI00070=WIf@@000000`3IfMT00`000000fMWI0=WIf@020=WIf@<000001@3IfMT00`000000
fMWI0=WIf@180=WIf@030000003IfMT0000000@0fMWI00@000000=WIf@3IfMT000000`3IfMT20000
0080fMWI00<000000=WIf@3IfMT00P3IfMT00`000000fMWI0000000E0=WIf@040000003IfMT00000
000000<0fMWI0P0000000`3IfMT000000=WIf@040=WIf@8000007@3IfMT3000005H0fMWI0@000001
0=WIf@40fMWI00070=WIf@030000003IfMT0fMWI00`0fMWI00<000000=WIf@3IfMT00P3IfMT00`00
0000fMWI0=WIf@180=WIf@030000003IfMT0000000@0fMWI00@000000=WIf@3IfMT000000`3IfMT0
10000000fMWI0=WIf@0000040=WIf@040000003IfMT0fMWI000001@0fMWI00@000000=WIf@3IfMT0
0000103IfMT010000000fMWI0=WIf@0000040=WIf@030000003IfMT0000001H0fMWI00<000000=WI
f@3IfMT00`3IfMT010000000fMWI0=WIf@0000050=WIf@030000003IfMT0fMWI04h0fMWI0@000001
0=WIf@40fMWI00080=WIf@030000003IfMT0fMWI00/0fMWI00<000000=WIf@3IfMT00P3IfMT20000
04L0fMWI0P0000000`3IfMT000000=WIf@030=WIf@040000003IfMT0fMWI000000<0fMWI00D00000
0=WIf@3IfMT0fMWI000000030=WIf@80000000<0fMWI0000003IfMT0503IfMT00`000000fMWI0000
00040=WIf@040000003IfMT0fMWI000000@0fMWI00@000000=WIf@00000000005@3IfMT2000000D0
fMWI00@000000=WIf@3IfMT00000103IfMT00`000000fMWI0000001>0=WIf@8000000P3IfMT00003
0=WIf@000000000000800000103IfMT00`000000fMWI0=WIf@070=WIf@<000001@3IfMT00`000000
fMWI0=WIf@160=WIf@030000003IfMT0000000@0fMWI00@000000=WIf@3IfMT000000`3IfMT20000
0080fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@030000003IfMT0fMWI0180fMWI0P000000
0`3IfMT000000=WIf@030=WIf@040000003IfMT0fMWI000000<0fMWI0P0000000`3IfMT000000000
000E0=WIf@8000001@3IfMT010000000fMWI0=WIf@0000040=WIf@030000003IfMT000000500fMWI
0@0000010=WIf@40fMWI000:0=WIf@030000003IfMT0fMWI00H0fMWI00<000000=WIf@3IfMT01@3I
fMT00`000000fMWI0=WIf@150=WIf@030000003IfMT0000000@0fMWI00@000000=WIf@3IfMT00000
103IfMT010000000fMWI0=WIf@0000030=WIf@8000000P3IfMT00`000000fMWI0=WIf@020=WIf@80
00003@3IfMT010000000fMWI0=WIf@0000040=WIf@030000003IfMT0fMWI008000000P3IfMT20000
0080fMWI00<000000=WIf@3IfMT04`3IfMT00`000000fMWI000000040=WIf@030000003IfMT0fMWI
008000000`3IfMT010000000fMWI0=WIf@00001@0=WIf@4000000@3IfMT10=WIf@001`3IfMT01000
0000fMWI0=WIf@0000080=WIf@030000003IfMT0fMWI00D0fMWI00<000000=WIf@3IfMT0A03IfMT0
0`000000fMWI000000040=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT01@000000fMWI0=WI
f@3IfMT0000000<0fMWI00@000000=WIf@3IfMT00000103IfMT00`000000fMWI0000000<0=WIf@04
0000003IfMT00000000000<0fMWI0P0000000`3IfMT00000000000020=WIf@8000000P3IfMT20000
00@0fMWI00<000000=WIf@3IfMT03P3IfMT00`000000fMWI000000040=WIf@040000003IfMT0fMWI
000000@0fMWI00@000000=WIf@3IfMT00000103IfMT3000004X0fMWI0@0000010=WIf@40fMWI0008
0=WIf@8000002@3IfMT4000000@0fMWI00<000000=WIf@3IfMT0A03IfMT00`000000fMWI00000004
0=WIf@040000003IfMT0fMWI000000@0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@050000
003IfMT0fMWI0=WIf@0000000`3IfMT010000000fMWI0=WIf@00000=0=WIf@030000003IfMT0fMWI
0080fMWI00@000000=WIf@3IfMT000000`3IfMT2000000040=WIf@000000000000000080fMWI1000
000?0=WIf@80000000<0fMWI0000003IfMT00`3IfMT010000000fMWI0=WIf@0000030=WIf@050000
003IfMT0fMWI0=WIf@000000103IfMT00`000000fMWI0000001:0=WIf@4000000@3IfMT10=WIf@00
6`3IfMT00`000000fMWI0=WIf@130=WIf@030000003IfMT0000000@0fMWI00D000000=WIf@3IfMT0
fMWI000000030=WIf@030000003IfMT0fMWI008000000P3IfMT200000080fMWI00<000000=WIf@3I
fMT00P3IfMT010000000fMWI00000000000:0=WIf@030000003IfMT0fMWI00<0fMWI0P0000020=WI
f@8000000P3IfMT2000000030=WIf@000000000000<0fMWI0P0000000`3IfMT000000=WIf@0?0=WI
f@030000003IfMT0000000@0fMWI00@000000=WIf@3IfMT00000103IfMT010000000fMWI0=WIf@00
00040=WIf@030000003IfMT0000004/0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0
fMWI0480fMWI0`0000040=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT01@000000fMWI0=WI
f@3IfMT0000000<0fMWI00@000000=WIf@3IfMT00000103IfMT010000000fMWI0=WIf@0000090=WI
f@<00000103IfMT00`000000fMWI0=WIf@02000000<0fMWI00D000000=WIf@3IfMT0fMWI00000003
0=WIf@040000003IfMT0fMWI000000@0fMWI0P00000:0=WIf@030000003IfMT0000000@0fMWI00D0
00000=WIf@3IfMT0fMWI000000030=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT200000080
fMWI00<000000=WIf@3IfMT0B@3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0
@P3IfMT3000000@0fMWI00@000000=WIf@3IfMT000000`3IfMT010000000fMWI0=WIf@3IfMT20000
0080fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@040000003IfMT0fMWI000000X0fMWI0P00
00040=WIf@8000000P3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00<000000=WIf@3IfMT0
0P0000020=WIf@030000003IfMT0fMWI0080fMWI00<000000=WIf@0000002P3IfMT2000000@0fMWI
00D000000=WIf@3IfMT0fMWI000000030=WIf@030000003IfMT0fMWI008000000`3IfMT010000000
fMWI0=WIf@00001<0=WIf@4000000@3IfMT10=WIf@006`3IfMT200000480fMWI0`0000030=WIf@80
00000P3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI0P0000000`3IfMT00000000000030=WI
f@050000003IfMT0fMWI0=WIf@0000000P3IfMT00`000000fMWI0=WIf@080=WIf@800000103IfMT0
1@000000fMWI0=WIf@3IfMT0000000<0fMWI00<000000=WIf@3IfMT00P0000020=WIf@050000003I
fMT0fMWI0=WIf@0000000`3IfMT2000000030=WIf@000000000000T0fMWI0P0000040=WIf@050000
003IfMT0fMWI0=WIf@0000000`3IfMT200000080fMWI00D000000=WIf@3IfMT0fMWI000000020=WI
f@800000103IfMT2000004H0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0440
fMWI0P0000040=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT200000080fMWI0`0000001@3I
fMT000000000003IfMT0000000<0fMWI00D000000=WIf@3IfMT0fMWI000000040=WIf@030000003I
fMT0fMWI00<0fMWI00<000000=WIf@3IfMT00P3IfMT01@000000fMWI0=WIf@3IfMT0000000@0fMWI
00<000000=WIf@000000103IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00@000000=WIf@3I
fMT000002P3IfMT2000000@0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@050000003IfMT0
fMWI0=WIf@0000000`3IfMT200000080fMWI00<000000=WIf@3IfMT00P3IfMT00`000000fMWI0000
00160=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@110=WIf@030000003IfMT0
fMWI0080fMWI0P0000020=WIf@040000003IfMT0fMWI0=WIf@H0000000D0fMWI0000000000000000
0=WIf@02000000<0fMWI00@000000=WIf@3IfMT00000103IfMT00`000000fMWI000000090=WIf@03
0000003IfMT0fMWI008000000P3IfMT200000080fMWI00D000000=WIf@3IfMT0fMWI000000030=WI
f@050000003IfMT0fMWI0=WIf@0000000P3IfMT00`000000fMWI0=WIf@080=WIf@8000001@3IfMT0
10000000fMWI0=WIf@0000030=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT01@000000fMWI
0=WIf@3IfMT0000000<0fMWI00<000000=WIf@000000A`3IfMT100000040fMWI0@3IfMT001/0fMWI
00<000000=WIf@3IfMT0AP3IfMT010000000fMWI0=WIf@0000040=WIf@D0000000D0fMWI00000000
000000000=WIf@06000000<0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@030000003IfMT0
fMWI00H0fMWI00@000000=WIf@00000000000`3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI
00<000000=WIf@3IfMT00P0000020=WIf@8000000P3IfMT00`000000fMWI0=WIf@080=WIf@<00000
103IfMT010000000fMWI0=WIf@0000030=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT00`00
0000fMWI0=WIf@02000000<0fMWI00@000000=WIf@3IfMT00000A`3IfMT100000040fMWI0@3IfMT0
01/0fMWI00<000000=WIf@3IfMT0A@3IfMT00`000000fMWI0=WIf@0200000080fMWI1P0000020=WI
f@80000000D0fMWI00000000000000000=WIf@02000000<0fMWI00D000000=WIf@3IfMT0fMWI0000
00020=WIf@030000003IfMT0fMWI00D0fMWI0P0000000`3IfMT000000=WIf@020=WIf@80000000@0
fMWI00000000000000000P3IfMT200000080fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@03
0000003IfMT0fMWI0080fMWI00<000000=WIf@3IfMT0103IfMT2000000<0fMWI0P0000020=WIf@05
0000003IfMT0fMWI0=WIf@0000000`3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00D00000
0=WIf@3IfMT0fMWI000000020=WIf@030000003IfMT0fMWI04H0fMWI0@0000010=WIf@40fMWI000K
0=WIf@030000003IfMT0fMWI04@0fMWI00<000000=WIf@3IfMT00P0000030=WIf@80000000<0fMWI
0000000000003`0000030=WIf@030000003IfMT0fMWI008000001@3IfMT2000000030=WIf@000000
00000080fMWI0`0000000`3IfMT000000=WIf@020=WIf@8000000P3IfMT200000080fMWI0P000002
0=WIf@8000000P3IfMT4000000D0fMWI0P0000040=WIf@040000003IfMT0fMWI000000@0fMWI00<0
00000=WIf@3IfMT00P0000020=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT01@000000fMWI
0=WIf@3IfMT0000004P0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI04@0fMWI
00@000000=WIf@3IfMT000000`3IfMT00`000000fMWI00000003000000030=WIf@00000000000080
000000<0fMWI000000000000100000000`3IfMT00000000000030=WIf@040000003IfMT0fMWI0000
00D0fMWI00<000000=WIf@3IfMT00P0000020=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT0
10000000fMWI0=WIf@3IfMT200000080fMWI0P0000020=WIf@050000003IfMT0fMWI0=WIf@000000
0`3IfMT00`000000fMWI0=WIf@020=WIf@800000103IfMT01@000000fMWI0=WIf@3IfMT0000000@0
fMWI00@000000=WIf@3IfMT000000`3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00D00000
0=WIf@3IfMT0fMWI000000180=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@13
0=WIf@030000003IfMT0fMWI008000000P3IfMT3000000030=WIf@000000000000P0000000D0fMWI
00000000000000000=WIf@0300000080fMWI00D000000=WIf@3IfMT0fMWI000000040=WIf@040000
003IfMT0fMWI000000<0fMWI0P0000020=WIf@8000000`3IfMT2000000030=WIf@000000000000<0
00000`3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00<000000=WIf@3IfMT00P3IfMT00`00
0000fMWI000000040=WIf@040000003IfMT0fMWI000000@0fMWI00P000000=WIf@3IfMT000000=WI
f@000000fMWI000000<0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@8000000`3IfMT00`00
0000fMWI0=WIf@130=WIf@4000000@3IfMT10=WIf@006`3IfMT2000004<0fMWI00D000000=WIf@3I
fMT0fMWI000000030=WIf@80000000<0fMWI0000000000001@0000000`3IfMT00000000000040000
0080fMWI0P0000000`3IfMT00000000000030=WIf@040000003IfMT0fMWI0=WIf@8000000P3IfMT0
0`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI0=WIf@T0000000<0fMWI0000000000001000
00030=WIf@030000003IfMT0fMWI008000000`3IfMT2000000030=WIf@000000fMWI00<0fMWI00D0
00000=WIf@3IfMT0fMWI000000020=WIf@8000000P3IfMT5000000<0fMWI00D000000=WIf@3IfMT0
fMWI000000030=WIf@040000003IfMT0fMWI0=WIf@@00000@`3IfMT100000040fMWI0@3IfMT001/0
fMWI00<000000=WIf@3IfMT0@@3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI0P0000001@3I
fMT00000000000000000fMWI00X0000000D0fMWI00000000000000000=WIf@0300000080fMWI00<0
00000=WIf@3IfMT00P3IfMT010000000fMWI0=WIf@0000030=WIf@8000000P3IfMT:000000050=WI
f@00000000000000003IfMT01P0000030=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT00`00
0000fMWI0=WIf@020=WIf@030000003IfMT0fMWI008000000`3IfMT010000000fMWI0=WIf@3IfMT:
000000030=WIf@000000fMWI0080fMWI00<000000=WIf@3IfMT00P3IfMT010000000fMWI0=WIf@00
00130=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@110=WIf@040000003IfMT0
fMWI000000<0fMWI0P0000001@3IfMT00000000000000000fMWI018000000P3IfMT010000000fMWI
0=WIf@3IfMT200000080fMWI00@000000=WIf@3IfMT0fMWI0P0000020=WIf@030000003IfMT0fMWI
00<0000000D0fMWI00000000000000000=WIf@03000000030=WIf@00000000000080000000@0fMWI
0000003IfMT0fMWI0P0000030=WIf@040000003IfMT0fMWI000000@0fMWI0P0000020=WIf@050000
003IfMT0fMWI0=WIf@0000000`3IfMT2000000030=WIf@000000000000L000000`3IfMT00`000000
fMWI0=WIf@020=WIf@040000003IfMT0fMWI000004@0fMWI0@0000010=WIf@40fMWI000K0=WIf@03
0000003IfMT0fMWI0400fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@80000000D0fMWI0000
0000000000000=WIf@0200000080fMWI0P0000002@3IfMT00000000000000000fMWI0000003IfMT0
00000=WIf@04000000030=WIf@000000fMWI0080fMWI00D000000=WIf@3IfMT0fMWI000000020=WI
f@050000003IfMT0fMWI0=WIf@000000103IfMT00`000000fMWI00000002000000050=WIf@000000
00000000003IfMT00P0000020=WIf@8000000`3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI
00<000000=WIf@3IfMT00`3IfMT010000000fMWI0=WIf@0000030=WIf@8000000`3IfMT010000000
fMWI0000003IfMT5000000030=WIf@000000000000<0fMWI00D000000=WIf@3IfMT0fMWI00000002
0=WIf@030000003IfMT0fMWI04<0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI
0400fMWI00@000000=WIf@3IfMT000000`3IfMT2000000050=WIf@00000000000000003IfMT00`00
00000`3IfMT000000000000<000000030=WIf@000000000000@0fMWI00@000000=WIf@0000000000
0`3IfMT00`000000fMWI0=WIf@0200000080fMWI1P0000001@3IfMT00000000000000000fMWI00<0
000000<0fMWI0000000000000P3IfMT200000080fMWI0P0000020=WIf@800000103IfMT01@000000
fMWI0=WIf@3IfMT0000000<0fMWI00@000000=WIf@3IfMT0fMWI0P0000001@3IfMT0000000000000
0000fMWI0080000000<0fMWI0000000000000`3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI
00<000000=WIf@3IfMT0@`3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0?`3I
fMT010000000fMWI0=WIf@0000030=WIf@030000003IfMT0000000<0000000<0fMWI000000000000
400000020=WIf@040000003IfMT0fMWI0=WIf@8000000P3IfMT01P000000fMWI0=WIf@3IfMT00000
0=WIf@8000000P3IfMT200000080fMWI0`0000000`3IfMT000000000000800000080fMWI0P000002
0=WIf@8000000P3IfMT00`000000fMWI0=WIf@030=WIf@8000000P3IfMT01@000000fMWI0=WIf@3I
fMT0000000<0fMWI0P0000001@3IfMT00000000000000000fMWI008000000P3IfMT4000000040=WI
f@000000fMWI0=WIf@8000000P3IfMT00`000000fMWI0=WIf@140=WIf@4000000@3IfMT10=WIf@00
6`3IfMT00`000000fMWI0=WIf@0n0=WIf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@00
00000`0000000`3IfMT000000000000H00000080fMWI00<000000=WIf@3IfMT00P0000000`3IfMT0
00000=WIf@020=WIf@040000003IfMT0fMWI0=WIf@H0000000D0fMWI00000000000000000=WIf@06
00000080fMWI0P0000020=WIf@8000001P3IfMT010000000fMWI0=WIf@0000030=WIf@040000003I
fMT0fMWI0=WIf@80000000D0fMWI00000000000000000=WIf@0200000080fMWI0`0000000`3IfMT0
0000000000030=WIf@040000003IfMT0fMWI000004L0fMWI0@0000010=WIf@40fMWI000K0=WIf@03
0000003IfMT0fMWI03h0fMWI00<000000=WIf@000000103IfMTE000000050=WIf@00000000000000
003IfMT00`0000000`3IfMT00000000000020=WIf@040000003IfMT0fMWI0=WIf@<000000`3IfMT0
0`000000fMWI0=WIf@03000000030=WIf@0000000000010000000P3IfMT010000000fMWI0=WIf@3I
fMT3000000040=WIf@000000fMWI0=WIf@8000000P3IfMT010000000fMWI0=WIf@3IfMT200000005
0=WIf@00000000000000003IfMT01`0000000`3IfMT000000=WIf@0400000080fMWI0P0000030=WI
f@<00000@@3IfMT100000040fMWI0@3IfMT001/0fMWI0P00000o0=WIf@030000003IfMT0000000<0
fMWI00@000000=WIf@000000fMWI2@0000000`3IfMT000000000000=00000080fMWI00D000000=WI
f@3IfMT0fMWI000000030=WIf@8000000`3IfMT01`000000fMWI0=WIf@000000fMWI0000003IfMT0
0P0000020=WIf@<0000000<0fMWI0000000000002@0000000`3IfMT000000=WIf@020=WIf@080000
003IfMT0fMWI0000003IfMT000000=WIf@0000040=WIf@040000003IfMT0fMWI0=WIf@80000000D0
fMWI00000000000000000=WIf@0600000080fMWI0P0000000`3IfMT00000000000030=WIf@030000
003IfMT0fMWI0080fMWI00<000000=WIf@000000@@3IfMT100000040fMWI0@3IfMT001/0fMWI00<0
00000=WIf@3IfMT0?@3IfMT00`000000fMWI000000040=WIf@030000003IfMT0fMWI01H0000000<0
fMWI000000000000100000030=WIf@030000003IfMT0fMWI008000000`3IfMT010000000fMWI0=WI
f@3IfMT2000000050=WIf@00000000000000003IfMT03P000000103IfMT000000=WIf@0000030=WI
f@080000003IfMT000000000003IfMT000000=WIf@0000030=WIf@040000003IfMT0fMWI0=WIf@80
000000<0fMWI0000000000001@0000000`3IfMT0000000000008000000<0fMWI00<000000=WIf@3I
fMT00P0000020=WIf@030000003IfMT0fMWI03l0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000
003IfMT0fMWI03`0fMWI00<000000=WIf@000000103IfMT00`000000fMWI0=WIf@0O000000030=WI
f@000000fMWI00H0fMWI00@000000=WIf@3IfMT0fMWI0P0000000`3IfMT000000000000@00000004
0=WIf@000000000000000080fMWI0P0000020=WIf@030000003IfMT0fMWI00800000103IfMT01P00
0000fMWI0=WIf@3IfMT000000=WIf@L0000000<0fMWI0000000000001@0000000`3IfMT000000000
00020=WIf@8000000`3IfMT010000000fMWI0=WIf@0000120=WIf@4000000@3IfMT10=WIf@006`3I
fMT00`000000fMWI0=WIf@0l0=WIf@<000000`3IfMT010000000fMWI0=WIf@3IfMT2000000030=WI
f@000000000001P0000000<0fMWI0000000000000`3IfMT200000080fMWI00@000000=WIf@3IfMT0
fMWI0P0000001@3IfMT00000000000000000fMWI01D000000P3IfMT200000080fMWI0P0000040=WI
f@030000003IfMT0fMWI00<0000000<0fMWI000000000000100000001@3IfMT00000000000000000
fMWI00<0000000<0fMWI0000000000000`0000040=WIf@040000003IfMT0fMWI000004<0fMWI0@00
00010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI03`0fMWI00<000000=WIf@3IfMT00P3IfMT0
10000000fMWI0=WIf@3IfMT2000000030=WIf@00000000000100000000<0fMWI0000000000001@00
00000`3IfMT00000000000030=WIf@050000003IfMT000000=WIf@0000000P3IfMT2000000030=WI
f@000000000000D0000000<0fMWI000000000000400000020=WIf@8000000P3IfMT3000000<0fMWI
00@000000=WIf@3IfMT0fMWI0P0000000`3IfMT000000000000C000000<0fMWI00<000000=WIf@3I
fMT00P0000130=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@110=WIf@050000
003IfMT0fMWI0=WIf@0000000P3IfMT>000000030=WIf@000000000000L0000000<0fMWI0000003I
fMT00P0000030=WIf@040000003IfMT0fMWI00000080fMWI00P000000=WIf@3IfMT0fMWI0000003I
fMT000000=WIf@d000000P3IfMT3000000030=WIf@000000000000<0fMWI00@000000=WIf@3IfMT0
00000P3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00<000000=WIf@0000000`0000000`3I
fMT0000000000009000000030=WIf@00000000000080fMWI0P0000030=WIf@040000003IfMT0fMWI
000004@0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0400fMWI00@000000=WI
f@3IfMT0fMWI0P0000000`3IfMT000000000000H000000040=WIf@000000000000000080fMWI00<0
00000=WIf@3IfMT00P3IfMT2000000<0fMWI0P0000020=WIf@80000000<0fMWI0000000000002@00
00000`3IfMT000000000000400000080fMWI0P0000020=WIf@80000000<0fMWI0000003IfMT00P3I
fMT00`000000fMWI0=WIf@03000000030=WIf@000000000000`0000000D0fMWI0000000000000000
0=WIf@0300000080fMWI00<000000=WIf@3IfMT00P0000140=WIf@4000000@3IfMT10=WIf@006`3I
fMT200000400fMWI00@000000=WIf@3IfMT0fMWI0P0000000`3IfMT000000000000H000000050=WI
f@00000000000000003IfMT00P0000030=WIf@8000000`3IfMT200000080fMWI0`0000000`3IfMT0
00000000000<000000030=WIf@000000000000<0fMWI00D000000=WIf@3IfMT0fMWI000000020=WI
f@050000003IfMT0fMWI0=WIf@0000000`3IfMT00`000000fMWI0=WIf@0>000000050=WIf@000000
00000000003IfMT00`0000000`3IfMT00000000000030=WIf@030000003IfMT0fMWI04<0fMWI0@00
00010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI03h0fMWI00D000000=WIf@3IfMT0fMWI0000
00020=WIfAX0000000D0fMWI00000000000000000=WIf@0300000080fMWI00<000000=WIf@3IfMT0
0P3IfMT010000000fMWI0=WIf@3IfMT2000000050=WIf@00000000000000003IfMT00`0000000`3I
fMT0000000000008000000040=WIf@000000000000000080fMWI0P0000020=WIf@050000003IfMT0
fMWI0=WIf@0000000`3IfMT010000000fMWI0=WIf@3IfMT2000000050=WIf@00000000000000003I
fMT03P0000000`3IfMT00000000000030=WIf@030000003IfMT0fMWI0080fMWI0P0000100=WIf@40
00000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@0n0=WIf@040000003IfMT0fMWI000000<0
fMWI800000030=WIf@030000003IfMT0fMWI0080fMWI00@000000=WIf@3IfMT0fMWI0P0000000`3I
fMT000000000000G000000<0fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@040000003IfMT0
fMWI0=WIf@80000000D0fMWI00000000000000000=WIf@0;000000040=WIf@00000000000=WIf@80
00000`3IfMT00`000000fMWI0=WIf@020=WIf@030000003IfMT000000400fMWI0@0000010=WIf@40
fMWI000K0=WIf@030000003IfMT0fMWI03h0fMWI00@000000=WIf@3IfMT000000`3IfMT200000003
0=WIf@000000000001@0000000D0fMWI00000000000000000=WIf@02000000<0fMWI00D000000=WI
f@3IfMT0fMWI000000040=WIf@040000003IfMT000000=WIf@@0000000<0fMWI0000000000000P00
00000`3IfMT0000000000007000000040=WIf@000000fMWI000000@0fMWI00D000000=WIf@3IfMT0
fMWI000000030=WIf@070000003IfMT0fMWI0000003IfMT000000=WIf@0200000080fMWI0`000000
103IfMT000000000003IfMT3000000030=WIf@00000000000080fMWI0P0000030=WIf@030000003I
fMT0fMWI0080fMWI00<000000=WIf@000000@03IfMT100000040fMWI0@3IfMT001/0fMWI00<00000
0=WIf@3IfMT0?@3IfMT010000000fMWI0=WIf@0000030=WIf@8000000P3IfMT:000000030=WIf@00
00000000010000000P3IfMT00`000000fMWI0=WIf@020=WIf@030000003IfMT0fMWI0080000000<0
fMWI0000000000004@0000000`3IfMT0000000000004000000<0fMWI00D000000=WIf@3IfMT0fMWI
000000020=WIf@8000000`3IfMT2000000050=WIf@00000000000000003IfMT02`0000000`3IfMT0
0000000000020=WIf@8000000P3IfMT00`000000fMWI0=WIf@020=WIf@030000003IfMT000000440
fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI03`0fMWI00@000000=WIf@3IfMT0
00000`3IfMT00`000000fMWI0000000;000000030=WIf@00000000000100000000<0fMWI00000000
0000103IfMT01@000000fMWI0=WIf@000000fMWI01l000000`3IfMT01@000000fMWI0=WIf@3IfMT0
000000<0fMWI1P0000001@3IfMT00000000000000000fMWI018000000P3IfMT200000080fMWI00<0
00000=WIf@3IfMT0?`3IfMT100000040fMWI0@3IfMT001@0fMWI0P0000050=WIf@030000003IfMT0
fMWI03`0fMWI00<000000=WIf@0000000`3IfMTB000000030=WIf@000000000000`0000000@0fMWI
0000003IfMT000000P3IfMT200000080fMWI00@000000=WIf@3IfMT0fMWI0P0000000`3IfMT00000
0000000G000000@0fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@030000003IfMT0000001X0
00000`3IfMT010000000fMWI0=WIf@0000120=WIf@4000000@3IfMT10=WIf@004`3IfMT010000000
fMWI0=WIf@0000040=WIf@030000003IfMT0fMWI03/0fMWI00@000000=WIf@00000000000`3IfMT0
0`000000fMWI0=WIf@03000000030=WIf@000000000001/000000`3IfMT010000000fMWI0=WIf@00
00020=WIf@80000000<0fMWI0000000000000P000000103IfMT000000000003IfMT3000000030=WI
f@000000000000`000000`3IfMT2000000<0fMWI00@000000=WIf@3IfMT0fMWI0P0000001@3IfMT0
0000000000000000fMWI00L0000000D0fMWI00000000000000000=WIf@03000000050=WIf@000000
00000000003IfMT00P0000030=WIf@040000003IfMT0fMWI000004<0fMWI0@0000010=WIf@40fMWI
000C0=WIf@040000003IfMT0fMWI000000@0fMWI0P00000m0=WIf@030000003IfMT0fMWI0080fMWI
00@000000=WIf@3IfMT0fMWI0P0000000`3IfMT000000000000K000000<0fMWI00L000000=WIf@3I
fMT0fMWI0000003IfMT0000000@0fMWI0P0000000`3IfMT0000000000004000000050=WIf@000000
00000000003IfMT01`0000000`3IfMT00000000000030=WIf@030000003IfMT0fMWI00<00000103I
fMT010000000fMWI0=WIf@3IfMT2000000030=WIf@00000000000080fMWI0`0000000`3IfMT00000
00000008000000030=WIf@000000000000@0fMWI00@000000=WIf@3IfMT00000@P3IfMT200000080
fMWI000C0=WIf@040000003IfMT0fMWI000000@0fMWI00<000000=WIf@3IfMT0@@3IfMT00`000000
fMWI0=WIf@0B000000030=WIf@000000000000`000000`3IfMT01@000000fMWI0=WIf@000000fMWI
008000000P3IfMTB000000030=WIf@000000000000D0000000<0fMWI0000000000000P3IfMT20000
00H0fMWI00<000000=WIf@3IfMT00P0000020=WIf@80000000D0fMWI00000000000000000=WIf@0:
00000080fMWI0P0000030=WIf@040000003IfMT0fMWI000004@0fMWI0@0000010=WIf@40fMWI000C
0=WIf@040000003IfMT0fMWI000000@0fMWI00<000000=WIf@3IfMT0@03IfMT010000000fMWI0=WI
f@3IfMT2000000030=WIf@000000000001d0000000L0fMWI0000003IfMT0fMWI0000003IfMT00000
0080fMWI0`0000001@3IfMT00000000000000000fMWI00<0000000<0fMWI00000000000030000000
0`3IfMT00000000000030=WIf@030000003IfMT0fMWI00@0fMWI0P0000020=WIf@<0000000<0fMWI
000000000000300000000`3IfMT0000000000006000000040=WIf@000000fMWI0=WIf@800000A03I
fMT100000040fMWI0@3IfMT001<0fMWI00@000000=WIf@3IfMT00000103IfMT00`000000fMWI0=WI
f@0o0=WIf@040000003IfMT0fMWI0=WIf@80000000D0fMWI00000000000000000=WIf@0J00000003
0=WIf@00000000000080fMWI00<000000=WIf@0000000P3IfMTO000000030=WIf@000000fMWI0080
fMWI0P0000020=WIf@040000003IfMT0fMWI0=WIfA40000000D0fMWI00000000000000000=WIf@03
000000030=WIf@000000000000<0fMWI00<000000=WIf@3IfMT0@`3IfMT100000040fMWI0@3IfMT0
01@0fMWI0P0000050=WIf@030000003IfMT0fMWI03h0fMWI00H000000=WIf@3IfMT0fMWI0000003I
fMT4000000030=WIf@000000000001P0000000@0fMWI00000000000000000P3IfMT01@000000fMWI
0000003IfMT0000000<0fMWI6P0000000`3IfMT00000000000030=WIf@050000003IfMT000000=WI
f@0000000`3IfMT010000000fMWI0000003IfMT=000000050=WIf@00000000000000003IfMT00`00
00000`3IfMT00000000000030=WIf@030000003IfMT0fMWI0080fMWI0P0000100=WIf@4000000@3I
fMT10=WIf@006`3IfMT00`000000fMWI0=WIf@0n0=WIf@040000003IfMT0fMWI00000080fMWI1000
00000`3IfMT000000000000@000000030=WIf@000000000000D0000000<0fMWI0000003IfMT00P3I
fMT00`000000fMWI0=WIf@03000000<0fMWI5`0000000`3IfMT000000=WIf@02000000<0fMWI00H0
00000=WIf@3IfMT000000=WIf@0000030=WIf@060000003IfMT0fMWI0=WIf@000000fMWI0`000000
1@3IfMT00000000000000000fMWI00@0000000P0fMWI000000000000fMWI0000003IfMT000000=WI
f@8000000`3IfMT01`000000fMWI0=WIf@3IfMT000000=WIf@000000@03IfMT100000040fMWI0@3I
fMT001/0fMWI00<000000=WIf@3IfMT0?P3IfMT010000000fMWI0=WIf@0000030=WIf@80000000<0
fMWI000000000000600000000`3IfMT00000000000030=WIf@030000003IfMT0fMWI008000000`3I
fMTI000000030=WIf@000000000000<0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI
0=WIf@0000020=WIf@<0000000D0fMWI00000000000000000=WIf@0:000000050=WIf@0000000000
0000003IfMT00P0000030=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT00`000000fMWI0=WI
f@0n0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@0m0=WIf@040000003IfMT0
fMWI000000<0fMWI0P0000000`3IfMT000000000000H000000040=WIf@000000000000000080fMWI
00<000000=WIf@3IfMT0103IfMT200000080fMWI0P0000000`3IfMT0000000000009000000030=WI
f@000000000000P000000`3IfMT010000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI0000
00<0fMWI0P0000000`3IfMT000000000000<000000050=WIf@00000000000000003IfMT00P000003
0=WIf@040000003IfMT0fMWI0=WIf@80000000<0fMWI0000003IfMT0@03IfMT100000040fMWI0@3I
fMT001/0fMWI0P00000m0=WIf@040000003IfMT0fMWI000000<0fMWI00<000000=WIf@0000006P00
00001@3IfMT00000000000000000fMWI008000001P3IfMT01P000000fMWI0=WIf@3IfMT000000=WI
f@@0000000D0fMWI00000000000000000=WIf@03000000030=WIf@000000000000P000000P3IfMT2
00000080fMWI00@000000=WIf@3IfMT000000P3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI
3P0000020=WIf@D0000000<0fMWI0000003IfMT00P0000020=WIf@80000000<0fMWI0000003IfMT0
@@3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0?03IfMT00`000000fMWI0000
00030=WIf@80000000<0fMWI0000000000001@0000000`3IfMT000000000000D000000040=WIf@00
00000000000000<0fMWI0`0000020=WIf@8000000P3IfMT:000000030=WIf@000000000000X00000
00@0fMWI0000003IfMT0fMWI0P0000020=WIf@80000000<0fMWI0000003IfMT00P3IfMT010000000
fMWI0=WIf@3IfMT2000000050=WIf@00000000000000003IfMT04@0000040=WIf@040000003IfMT0
fMWI00000480fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI03`0fMWI0`000003
0=WIf@030000003IfMT0fMWI0080000000<0fMWI0000000000000P0000000`3IfMT000000000000<
000000030=WIf@00000000000080000000@0fMWI000000000000fMWI0P0000030=WIf@040000003I
fMT0fMWI0=WIf@8000000`3IfMT2000000030=WIf@00000000000080000000@0fMWI000000000000
fMWI0`0000000`3IfMT0000000000005000000030=WIf@000000000000<0fMWI00@000000=WIf@3I
fMT000000`3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI0P0000001@3IfMT0000000000000
0000fMWI0080000000<0fMWI0000000000000P0000000`3IfMT0000000000002000000030=WIf@00
00000000008000000`3IfMT01@000000fMWI0=WIf@3IfMT000000480fMWI0@0000010=WIf@40fMWI
000K0=WIf@030000003IfMT0fMWI03`0fMWI00<000000=WIf@3IfMT00P3IfMT010000000fMWI0=WI
f@3IfMT2000000030=WIf@000000000001P0000000<0fMWI0000000000000`3IfMT2000000<0fMWI
00@000000=WIf@3IfMT0fMWI100000000`3IfMT000000000000;000000030=WIf@000000000000D0
000000<0fMWI0000000000000P3IfMT200000080fMWI00<000000=WIf@3IfMT00P3IfMT00`000000
fMWI0=WIf@02000000050=WIf@00000000000000003IfMT00`0000000`3IfMT000000000000<0000
00<0fMWI00@000000=WIf@3IfMT00000@`3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WI
f@3IfMT0@@3IfMT00`000000fMWI0=WIf@0>000000030=WIf@000000000000T0000000D0fMWI0000
0000000000000=WIf@02000000<0fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@030000003I
fMT0000000<0000000<0fMWI0000000000004`0000030=WIf@8000000P3IfMT010000000fMWI0=WI
f@3IfMT200000080fMWI00<000000=WIf@0000000`0000001@3IfMT00000000000000000fMWI00<0
000000<0fMWI0000000000001`0000030=WIf@8000000P3IfMT00`000000fMWI0=WIf@120=WIf@40
00000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@100=WIf@040000003IfMT0fMWI00000080
fMWI7@0000040=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT010000000fMWI0=WIf@3IfMT2
000000030=WIf@00000000000100000000<0fMWI0000000000000`3IfMT01@000000fMWI0=WIf@3I
fMT0000000<0fMWI0P0000020=WIf@030000003IfMT0fMWI00<0000000D0fMWI0000000000000000
0=WIf@03000000030=WIf@000000000000P000000`3IfMT010000000fMWI0=WIf@0000150=WIf@40
00000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@0o0=WIf@030000003IfMT0fMWI00800000
0`3IfMTN000000030=WIf@000000fMWI0080fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@80
000000<0fMWI000000000000300000001@3IfMT00000000000000000fMWI00<000000P3IfMT20000
0080fMWI00<000000=WIf@3IfMT00P3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI0`000000
0`3IfMT000000000000;000000030=WIf@000000000000<0fMWI00@000000=WIf@3IfMT00000AP3I
fMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0?`3IfMT010000000fMWI0=WIf@00
00030=WIf@8000000P3IfMT2000000030=WIf@00000000000100000000<0fMWI0000000000000`00
00001@3IfMT000000=WIf@3IfMT0000000<0fMWI00H000000=WIf@3IfMT0fMWI0000003IfMT60000
00030=WIf@00000000000080000000<0fMWI0000000000000P0000001`3IfMT000000000003IfMT0
00000=WIf@0000000P3IfMT01@000000fMWI0=WIf@3IfMT0000000@0fMWI00D000000=WIf@3IfMT0
fMWI000000030=WIf@030000003IfMT0000000L0000000D0fMWI00000000000000000=WIf@020000
00040=WIf@000000fMWI00000080fMWI00D000000=WIf@3IfMT0fMWI000000160=WIf@4000000@3I
fMT10=WIf@006`3IfMT200000400fMWI00@000000=WIf@00000000000P3IfMT3000000030=WIf@00
0000000001/000000P3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI00000080fMWI
5P0000020=WIf@8000000P3IfMT00`000000fMWI0=WIf@030=WIf@040000003IfMT0fMWI000000@0
fMWI00<000000=WIf@0000000P0000020=WIf@X0000000<0fMWI0000000000000`3IfMT010000000
fMWI0=WIf@0000170=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@0n0=WIf@04
0000003IfMT00000000000<0fMWI00<000000=WIf@3IfMT05P0000001@3IfMT00000000000000000
fMWI008000000P3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0000000000080fMWI0P00
00020=WIf@H0000000D0fMWI00000000000000000=WIf@06000000<0fMWI00<000000=WIf@3IfMT0
0P0000050=WIf@030000003IfMT0fMWI008000000P3IfMT200000080fMWI0`0000000`3IfMT00000
000000020=WIf@H0000000<0fMWI0000000000000`3IfMT01@000000fMWI0=WIf@3IfMT0000000@0
fMWI0P0000110=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@0m0=WIf@030000
003IfMT0000000@0fMWI00@000000=WIf@3IfMT0fMWI5@0000001@3IfMT00000000000000000fMWI
008000000`3IfMT01`000000fMWI0=WIf@3IfMT000000=WIf@0000000`3IfMT00`000000fMWI0=WI
f@0200000080fMWI1P0000000`3IfMT000000000000500000080fMWI0P0000020=WIf@030000003I
fMT0fMWI00D0fMWI00<000000=WIf@000000103IfMT010000000fMWI0=WIf@3IfMT5000000040=WI
f@000000000000000080fMWI0P0000000`3IfMT00000000000030=WIf@050000003IfMT0fMWI0=WI
f@000000103IfMT200000480fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI03d0
fMWI0`0000030=WIf@040000003IfMT0fMWI0=WIf@80000000D0fMWI00000000000000000=WIf@0B
000000030=WIf@000000000000<0fMWI00@000000=WIf@3IfMT0fMWI0`0000020=WIf@8000000P3I
fMT010000000fMWI0=WIf@3IfMT2000000050=WIf@00000000000000003IfMT00`0000000`3IfMT0
000000000002000000040=WIf@000000fMWI0=WIf@8000000`3IfMT300000080fMWI0P0000040=WI
f@080000003IfMT0fMWI0=WIf@000000fMWI0000003IfMT2000000050=WIf@00000000000000003I
fMT00P0000000`3IfMT00000000000030=WIf@050000003IfMT0fMWI0=WIf@000000103IfMT00`00
0000fMWI000000120=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@0n0=WIf@03
0000003IfMT0fMWI0080fMWI00L000000=WIf@3IfMT000000=WIf@000000fMWI00<0000000D0fMWI
00000000000000000=WIf@0:000000030=WIf@00000000000080fMWI0P0000030=WIf@030000003I
fMT0fMWI0080fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@040000003IfMT0fMWI0=WIf@80
00000P3IfMT2000000050=WIf@00000000000000003IfMT00P0000020=WIf@8000000`3IfMT01@00
0000fMWI0=WIf@3IfMT000000080fMWI00<000000=WIf@3IfMT01P3IfMT00`000000fMWI0=WIf@02
000000<0fMWI1@0000020=WIf@80000000<0fMWI0000000000000`3IfMT010000000fMWI0=WIf@00
00040=WIf@040000003IfMT0fMWI00000480fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003I
fMT0fMWI0480fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@<0000000<0fMWI000000000000
300000001@3IfMT00000000000000000fMWI008000000`3IfMT010000000fMWI0=WIf@3IfMT20000
00<0fMWI00<000000=WIf@3IfMT00P0000030=WIf@D0000000D0fMWI00000000000000000=WIf@03
000000040=WIf@000000000000000080fMWI00<000000=WIf@3IfMT00P0000020=WIf@030000003I
fMT0fMWI00H0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@L0000000<0fMWI000000000000
0`0000030=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT2000000030=WIf@000000fMWI0480
fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0440fMWI00D000000=WIf@3IfMT0
fMWI000000030=WIf@80000000<0fMWI00000000000040000000103IfMT000000000000000020=WI
f@030000003IfMT0fMWI0080fMWI0P0000020=WIf@040000003IfMT0fMWI000000<0fMWI0P000000
103IfMT000000000000000020=WIf@80000000D0fMWI00000000000000000=WIf@0600000080fMWI
0P0000020=WIf@030000003IfMT0fMWI00L0fMWI00@000000=WIf@00000000000`3IfMT010000000
fMWI0=WIf@3IfMT7000000040=WIf@000000fMWI0=WIf@8000000P3IfMT00`000000fMWI0=WIf@02
0=WIf@030000003IfMT0000004@0fMWI0@0000010=WIf@40fMWI000K0=WIf@800000@P3IfMT01000
0000fMWI0=WIf@0000030=WIf@030000003IfMT0000000L0000000<0fMWI00000000000020000002
0=WIf@8000000P3IfMT00`000000fMWI0=WIf@020=WIf@8000000P3IfMT00`000000fMWI00000002
00000080fMWI00@000000=WIf@3IfMT0fMWI0P0000001@3IfMT00000000000000000fMWI00<00000
00<0fMWI0000000000000P3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI000000T0
fMWI00@000000=WIf@3IfMT000000`3IfMT02P000000fMWI0=WIf@3IfMT000000=WIf@000000fMWI
0000003IfMT3000000<0fMWI00@000000=WIf@3IfMT00000103IfMT010000000fMWI000000000014
0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@100=WIf@040000003IfMT0fMWI
000000<0fMWI0P0000001@3IfMT00000000000000000fMWI00<0000000<0fMWI0000000000002@00
00000`3IfMT00000000000030=WIf@070000003IfMT0fMWI0=WIf@000000fMWI000000020=WIf@80
0000103IfMT01P000000fMWI0=WIf@3IfMT000000=WIf@<0000000<0fMWI0000000000001@000002
0=WIf@8000000P3IfMT200000080fMWI00<000000=WIf@3IfMT01`3IfMT010000000fMWI0=WIf@00
00030=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT01@000000fMWI0=WIf@3IfMT0000000<0
fMWI00<000000=WIf@3IfMT00P0000030=WIf@040000003IfMT0fMWI000004D0fMWI0@0000010=WI
f@40fMWI000K0=WIf@030000003IfMT0fMWI0400fMWI00@000000=WIf@3IfMT000000`3IfMT01000
0000fMWI0=WIf@3IfMT2000000030=WIf@000000000000`0000000<0fMWI0000000000000`3IfMT0
0`000000fMWI0=WIf@020=WIf@030000003IfMT000000080fMWI0P0000040=WIf@040000003IfMT0
fMWI000000<0fMWI0P0000020=WIf@030000003IfMT0fMWI008000000`3IfMT01@000000fMWI0=WI
f@3IfMT000000080fMWI00<000000=WIf@3IfMT01`3IfMT01@000000fMWI0=WIf@3IfMT0000000<0
fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@050000003IfMT0fMWI0=WIf@000000103IfMT0
10000000fMWI0=WIf@0000040=WIf@030000003IfMT0000004H0fMWI0@0000010=WIf@40fMWI000K
0=WIf@030000003IfMT0fMWI0400fMWI0`0000030=WIf@060000003IfMT0fMWI0=WIf@000000fMWI
400000000`3IfMT00000000000020=WIf@030000003IfMT0fMWI0080fMWI00<000000=WIf@000000
203IfMT010000000fMWI0000000000020=WIf@8000000P3IfMT2000000<0fMWI00<000000=WIf@3I
fMT00P0000020=WIf@8000000P3IfMT00`000000fMWI0=WIf@080=WIf@040000003IfMT0fMWI0000
00<0fMWI00<000000=WIf@3IfMT00P0000030=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT0
1@000000fMWI0=WIf@3IfMT000000080fMWI0P0000020=WIf@030000003IfMT0fMWI04@0fMWI0@00
00010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0400fMWI0P0000030=WIf@8000000P3IfMT0
10000000fMWI0=WIf@3IfMT2000000050=WIf@00000000000000003IfMT00`0000001@3IfMT00000
000000000000fMWI008000000`3IfMT00`000000fMWI0=WIf@0200000080fMWI00<000000=WIf@3I
fMT00`3IfMT3000000030=WIf@000000fMWI0080fMWI00<000000=WIf@3IfMT00P0000020=WIf@<0
00000P3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00<000000=WIf@3IfMT00P3IfMT20000
00D0fMWI0`0000030=WIf@8000000P3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00D00000
0=WIf@3IfMT0fMWI000000020=WIf@8000000`3IfMT010000000fMWI0=WIf@0000170=WIf@400000
0@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@150=WIf@040000003IfMT0fMWI000000<0fMWI
1P0000001@3IfMT00000000000000000fMWI00<0000000<0fMWI0000000000000`3IfMT01@000000
fMWI0=WIf@3IfMT000000080fMWI00<000000=WIf@3IfMT0103IfMT010000000fMWI000000000003
0=WIf@040000003IfMT0fMWI000000<0fMWI00@000000=WIf@3IfMT0fMWI0P0000020=WIf@800000
0P3IfMT200000080fMWI100000060=WIf@030000003IfMT0fMWI00<0fMWI00@000000=WIf@3IfMT0
00000`3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00D000000=WIf@3IfMT0fMWI00000003
0=WIf@040000003IfMT0fMWI000004P0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0
fMWI04@0fMWI00<000000=WIf@3IfMT00P0000030=WIf@050000003IfMT000000000003IfMT01000
00001@3IfMT00000000000000000fMWI00<000000P3IfMT01@000000fMWI0=WIf@3IfMT000000080
fMWI0P0000040=WIf@80000000<0fMWI0000000000000`3IfMT010000000fMWI0=WIf@0000030=WI
f@8000000P3IfMT010000000fMWI0=WIf@3IfMT2000000030=WIf@000000000000<0fMWI00@00000
0=WIf@3IfMT00000303IfMT010000000fMWI0=WIf@0000040=WIf@030000003IfMT0fMWI00800000
0P3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00<000000=WIf@3IfMT00P0000180=WIf@40
00000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@140=WIf@040000003IfMT0fMWI000000<0
fMWI00@000000=WIf@3IfMT0fMWI0P0000000`3IfMT0000000000002000000030=WIf@0000000000
008000000`3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI000000D0fMWI00<00000
0=WIf@000000103IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00D000000=WIf@3IfMT0fMWI
000000020=WIf@050000003IfMT0fMWI0=WIf@000000103IfMT010000000fMWI0=WIf@00000<0=WI
f@040000003IfMT0fMWI000000<0fMWI00@000000=WIf@3IfMT00000103IfMT00`000000fMWI0=WI
f@02000000<0fMWI00@000000=WIf@3IfMT00000B@3IfMT100000040fMWI0@3IfMT001/0fMWI0P00
00140=WIf@040000003IfMT0fMWI000000<0fMWI0P0000020=WIf@@0000000<0fMWI000000000000
0P000000103IfMT000000000000000030=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT00`00
0000fMWI0=WIf@030=WIf@800000103IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00<00000
0=WIf@3IfMT00P0000020=WIf@8000000P3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0
0000000000`0fMWI00@000000=WIf@3IfMT00000103IfMT010000000fMWI0=WIf@0000030=WIf@05
0000003IfMT0fMWI0=WIf@0000000`3IfMT010000000fMWI0=WIf@00001:0=WIf@4000000@3IfMT1
0=WIf@006`3IfMT00`000000fMWI0=WIf@130=WIf@030000003IfMT0000000@0fMWI00D000000=WI
f@3IfMT0fMWI000000030=WIf@040000003IfMT0fMWI000000<0fMWI00D000000=WIf@3IfMT0fMWI
000000030=WIf@030000003IfMT0fMWI008000002`3IfMT00`000000fMWI0=WIf@0200000080fMWI
0P0000020=WIf@8000000`3IfMT010000000fMWI0=WIf@0000030=WIf@80000000<0fMWI00000000
00003@3IfMT00`000000fMWI000000030=WIf@8000000P3IfMT01@000000fMWI0=WIf@3IfMT00000
00<0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@030000003IfMT0fMWI04T0fMWI0@000001
0=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0480fMWI00<000000=WIf@000000103IfMT01@00
0000fMWI0=WIf@3IfMT0000000<0fMWI00@000000=WIf@3IfMT000000`3IfMT01@000000fMWI0=WI
f@3IfMT0000000<0fMWI0P0000020=WIf@030000003IfMT0fMWI00T0fMWI0P0000000`3IfMT00000
0=WIf@030=WIf@040000003IfMT0fMWI000000<0fMWI0P0000020=WIf@8000000P3IfMT200000003
0=WIf@000000fMWI00d0fMWI00<000000=WIf@000000103IfMT010000000fMWI0=WIf@0000040=WI
f@040000003IfMT0fMWI000000<0fMWI0P0000020=WIf@030000003IfMT0fMWI04T0fMWI0@000001
0=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI04<0fMWI00<000000=WIf@3IfMT00P3IfMT01@00
0000fMWI0=WIf@3IfMT0000000<0fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@030000003I
fMT0fMWI008000000`3IfMT010000000fMWI0=WIf@00000=0=WIf@8000000`3IfMT2000000030=WI
f@000000000000<0fMWI0P0000000`3IfMT00000000000030=WIf@030000003IfMT0000000800000
3`3IfMT00`000000fMWI0=WIf@020=WIf@030000003IfMT0fMWI008000000`3IfMT010000000fMWI
0=WIf@0000040=WIf@040000003IfMT0fMWI000004`0fMWI0@0000010=WIf@40fMWI000K0=WIf@03
0000003IfMT0fMWI04P0fMWI00@000000=WIf@3IfMT000000`3IfMT01@000000fMWI0=WIf@3IfMT0
000000@0fMWI00@000000=WIf@3IfMT000000`3IfMT01@000000fMWI0=WIf@3IfMT000000180fMWI
00<000000=WIf@0000000`3IfMT200000080fMWI0P0000030=WIf@030000003IfMT0000001L0fMWI
00@000000=WIf@3IfMT00000103IfMT010000000fMWI0=WIf@0000030=WIf@050000003IfMT0fMWI
0=WIf@000000C03IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0A`3IfMT00`00
0000fMWI0=WIf@02000000<0fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@040000003IfMT0
fMWI000000<0fMWI0P0000020=WIf@030000003IfMT0fMWI00l0fMWI0P0000000`3IfMT000000=WI
f@030=WIf@030000003IfMT0fMWI008000000P3IfMT2000000030=WIf@000000000001H0fMWI00@0
00000=WIf@3IfMT00000103IfMT010000000fMWI0=WIf@0000040=WIf@040000003IfMT0fMWI0000
04d0fMWI0@0000010=WIf@40fMWI00070=WIf@@000000`3IfMT00`000000fMWI0=WIf@020=WIf@<0
00001@3IfMT00`000000fMWI0=WIf@170=WIf@040000003IfMT0fMWI000000<0fMWI00D000000=WI
f@3IfMT0fMWI000000020=WIf@8000000P3IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0
fMWI00000140fMWI00@000000=WIf@3IfMT000000`3IfMT2000000030=WIf@000000000000<0fMWI
00@000000=WIf@3IfMT00000603IfMT00`000000fMWI000000040=WIf@040000003IfMT0fMWI0000
00@0fMWI00@000000=WIf@0000000000CP3IfMT100000040fMWI0@3IfMT000L0fMWI00<000000=WI
f@3IfMT0303IfMT00`000000fMWI0=WIf@020=WIf@030000003IfMT0fMWI04H0fMWI00@000000=WI
f@3IfMT000000`3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00D000000=WIf@3IfMT0fMWI
000000030=WIf@040000003IfMT0fMWI00000140fMWI00@000000=WIf@00000000000`3IfMT20000
00030=WIf@000000fMWI00<0fMWI00@000000=WIf@3IfMT000001@3IfMT00`000000fMWI0=WIf@0@
0=WIf@030000003IfMT0000000@0fMWI00@000000=WIf@3IfMT00000103IfMT010000000fMWI0=WI
f@00001?0=WIf@4000000@3IfMT10=WIf@00203IfMT00`000000fMWI0=WIf@0;0=WIf@030000003I
fMT0fMWI0080fMWI0P0000170=WIf@<00000103IfMT010000000fMWI0=WIf@0000030=WIf@050000
003IfMT0fMWI0=WIf@0000000`3IfMT010000000fMWI0=WIf@00000C0=WIf@030000003IfMT0fMWI
0080fMWI00@000000=WIf@3IfMT00000103IfMT00`000000fMWI0=WIf@02000000<0fMWI0`00000C
0=WIf@030000003IfMT0fMWI00<0fMWI00@000000=WIf@0000000000103IfMT00`000000fMWI0000
001?0=WIf@8000000P3IfMT000T0fMWI00<000000=WIf@3IfMT01`3IfMT3000000D0fMWI00<00000
0=WIf@3IfMT0AP3IfMT00`000000fMWI0=WIf@040=WIf@030000003IfMT0000000@0fMWI00D00000
0=WIf@3IfMT0fMWI000000030=WIf@040000003IfMT0fMWI000001P0fMWI00@000000=WIf@3IfMT0
0000103IfMT00`000000fMWI000000060=WIf@030000003IfMT0fMWI01P0fMWI0P0000060=WIf@03
0000003IfMT000000500fMWI0@0000010=WIf@40fMWI000:0=WIf@030000003IfMT0fMWI00H0fMWI
00<000000=WIf@3IfMT01@3IfMT00`000000fMWI0=WIf@1;0=WIf@8000000P3IfMT01@000000fMWI
0=WIf@3IfMT0000000<0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@030000003IfMT0fMWI
01H0fMWI00@000000=WIf@0000000000103IfMT010000000fMWI0000000000040=WIf@8000006P3I
fMT00`000000fMWI000000040=WIf@80000000<0fMWI0000003IfMT0D03IfMT100000040fMWI0@3I
fMT000L0fMWI00@000000=WIf@3IfMT00000203IfMT00`000000fMWI0=WIf@050=WIf@030000003I
fMT0fMWI04/0fMWI00@000000=WIf@3IfMT00000103IfMT010000000fMWI0000000000030=WIf@80
000000<0fMWI0000003IfMT0603IfMT2000000D0fMWI00<000000=WIf@0000008P3IfMT2000000D0
fMWI0`00001B0=WIf@4000000@3IfMT10=WIf@00203IfMT2000000T0fMWI100000040=WIf@030000
003IfMT0fMWI04/0fMWI0`0000040=WIf@040000003IfMT0fMWI000000@0fMWI00<000000=WIf@00
00008P3IfMT00`000000fMWI0=WIf@0X0=WIf@030000003IfMT0fMWI0580fMWI0@0000010=WIf@40
fMWI000K0=WIf@030000003IfMT0fMWI04/0fMWI00<000000=WIf@3IfMT00`3IfMT010000000fMWI
0=WIf@0000040=WIf@040000003IfMT0000000000:80fMWI0@0000010=WIf@40fMWI000K0=WIf@03
0000003IfMT0fMWI0540fMWI00<000000=WIf@0000001@3IfMT00`000000fMWI0000002S0=WIf@40
00000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@0?0=WIf@P00000>@3IfMT2000000030=WI
f@000000fMWI00<0fMWI00<000000=WIf@000000Y03IfMT100000040fMWI0@3IfMT001/0fMWI0P00
000>0=WIf@800000203IfMT2000003L0fMWI0`0000050=WIf@800000Y@3IfMT100000040fMWI0@3I
fMT001/0fMWI00<000000=WIf@3IfMT02P3IfMT3000000`0fMWI0P00000m0=WIf@030000003IfMT0
fMWI0:@0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI00T0fMWI00<000000=WI
f@3IfMT03`3IfMT200000>80fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI00P0
fMWI00<000000=WIf@3IfMT04@3IfMT00`000000fMWI0=WIf@0K0=WIf@D00000`03IfMT100000040
fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@0C0=WIf@030000
003IfMT0fMWI01<0fMWI1`0000050=WIf@H00000^P3IfMT100000040fMWI0@3IfMT001/0fMWI00<0
00000=WIf@3IfMT01P3IfMT00`000000fMWI0=WIf@0E0=WIf@8000004P3IfMT00`000000fMWI0=WI
f@0@0=WIf@800000^03IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT01@3IfMT0
0`000000fMWI0=WIf@0H0=WIf@030000003IfMT0fMWI00h0fMWI00<000000=WIf@3IfMT04P3IfMT2
00000;L0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI00@0fMWI00<000000=WI
f@3IfMT06P3IfMT00`000000fMWI0=WIf@0<0=WIf@030000003IfMT0fMWI01@0fMWI00<000000=WI
f@3IfMT0]@3IfMT100000040fMWI0@3IfMT001/0fMWI0P0000050=WIf@030000003IfMT0fMWI01X0
fMWI00<000000=WIf@3IfMT03@3IfMT00`000000fMWI0=WIf@0A0=WIf@800000^03IfMT100000040
fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@0L0=WIf@030000
003IfMT0fMWI00d0fMWI1000000<0=WIf@@00000^@3IfMT100000040fMWI0@3IfMT001/0fMWI00<0
00000=WIf@3IfMT00P3IfMT00`000000fMWI0=WIf@0N0=WIf@030000003IfMT0fMWI0100fMWI3000
002m0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@020=WIf@030000003IfMT0
fMWI01h0fMWI00<000000=WIf@3IfMT0f@3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WI
f@3IfMT08`3IfMT2000003d0fMWI2000002E0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000
fMWI0=WIf@0T0=WIf@030000003IfMT0fMWI03T0fMWI0`0000060=WIf@030000003IfMT0fMWI09<0
fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI02@0fMWI00<000000=WIf@3IfMT0
=`3IfMT2000000X0fMWI0`00002B0=WIf@4000000@3IfMT10=WIf@006`3IfMT2000002H0fMWI00<0
00000=WIf@3IfMT0=P3IfMT00`000000fMWI0=WIf@0<0=WIf@030000003IfMT0fMWI08l0fMWI0@00
00010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI02D0fMWI00<000000=WIf@3IfMT0=03IfMT2
00000100fMWI00<000000=WIf@3IfMT0SP3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WI
f@3IfMT09P3IfMT00`000000fMWI0=WIf@0b0=WIf@8000004@3IfMT2000008l0fMWI0@0000010=WI
f@40fMWI000K0=WIf@030000003IfMT0fMWI02H0fMWI00<000000=WIf@3IfMT0<@3IfMT00`000000
fMWI0=WIf@0C0=WIf@030000003IfMT0fMWI08`0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000
003IfMT0fMWI02L0fMWI00<000000=WIf@3IfMT01`3IfMTF000001<0fMWI00<000000=WIf@3IfMT0
4`3IfMT00`000000fMWI0=WIf@2<0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WI
f@0X0=WIf@T000005P3IfMT7000000/0fMWI00<000000=WIf@3IfMT05@3IfMT00`000000fMWI0=WI
f@2;0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@0@0=WIf@@00000>P3IfMT2
000000P0fMWI00<000000=WIf@3IfMT05`3IfMT00`000000fMWI0=WIf@2:0=WIf@4000000@3IfMT1
0=WIf@006`3IfMT00`000000fMWI0=WIf@0>0=WIf@800000103IfMT3000003T0fMWI00<000000=WI
f@3IfMT01@3IfMT00`000000fMWI0=WIf@0G0=WIf@030000003IfMT0fMWI08X0fMWI0@0000010=WI
f@40fMWI000K0=WIf@8000003P3IfMT2000000P0fMWI00<000000=WIf@3IfMT0=`3IfMT00`000000
fMWI0=WIf@040=WIf@030000003IfMT0fMWI01L0fMWI00<000000=WIf@3IfMT0RP3IfMT100000040
fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT0303IfMT00`000000fMWI0=WIf@090=WIf@030000
003IfMT0fMWI03L0fMWI00<000000=WIf@3IfMT00P3IfMT00`000000fMWI0=WIf@0I0=WIf@030000
003IfMT0fMWI08T0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI00/0fMWI00<0
00000=WIf@3IfMT02`3IfMT00`000000fMWI0=WIf@0e0=WIf@8000000`3IfMT00`000000fMWI0=WI
f@0J0=WIf@800000RP3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT02P3IfMT0
0`000000fMWI0=WIf@0=0=WIf@030000003IfMT0fMWI03<0fMWI00<000000=WIf@3IfMT00`3IfMT0
0`000000fMWI0=WIf@0K0=WIf@030000003IfMT0fMWI08P0fMWI0@0000010=WIf@40fMWI000K0=WI
f@030000003IfMT0fMWI00X0fMWI00<000000=WIf@3IfMT03P3IfMT00`000000fMWI0=WIf@0/0=WI
f@H000001P3IfMT00`000000fMWI0=WIf@0K0=WIf@030000003IfMT0fMWI08P0fMWI0@0000010=WI
f@40fMWI000K0=WIf@030000003IfMT0fMWI00T0fMWI00<000000=WIf@3IfMT03`3IfMT00`000000
fMWI0=WIf@0:0=WIfB<000002`3IfMT00`000000fMWI0=WIf@0L0=WIf@030000003IfMT0fMWI08L0
fMWI0@0000010=WIf@40fMWI000C0=WIf@<000001@3IfMT00`000000fMWI0=WIf@090=WIf@030000
003IfMT0fMWI00@0fMWI1@0000070=WIf@030000003IfMT0fMWI00T0fMWI00<000000=WIf@3IfMT0
:`3IfMT00`000000fMWI0=WIf@0L0=WIf@030000003IfMT0fMWI08L0fMWI0@0000010=WIf@40fMWI
000F0=WIf@030000003IfMT0fMWI0080fMWI00<000000=WIf@3IfMT0203IfMT00`000000fMWI0=WI
f@040=WIf@030000003IfMT0fMWI00<0fMWI0P0000060=WIf@030000003IfMT0fMWI00L0fMWI00<0
00000=WIf@3IfMT0303IfMT<000001@0fMWI00<000000=WIf@3IfMT0703IfMT00`000000fMWI0=WI
f@270=WIf@4000000@3IfMT10=WIf@005P3IfMT00`000000fMWI0=WIf@020=WIf@8000002@3IfMT0
0`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI00H0fMWI00<000000=WIf@3IfMT00`3IfMT0
0`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00X0fMWI0P00000<0=WIf@<000004@3IfMT0
0`000000fMWI0=WIf@0M0=WIf@030000003IfMT0fMWI08D0fMWI0P0000020=WIf@004`3IfMT30000
00D0fMWI00<000000=WIf@3IfMT0203IfMT00`000000fMWI0=WIf@020=WIf@030000003IfMT0fMWI
00L0fMWI00<000000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI
00X0fMWI00<000000=WIf@3IfMT03@3IfMT00`000000fMWI0=WIf@0?0=WIf@030000003IfMT0fMWI
01d0fMWI00<000000=WIf@3IfMT0QP3IfMT100000040fMWI0@3IfMT001<0fMWI00<000000=WIf@3I
fMT01@3IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3I
fMT0203IfMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI00H0fMWI00<000000=WIf@3I
fMT02@3IfMT00`000000fMWI0=WIf@0?0=WIf@030000003IfMT0fMWI00h0fMWI00<000000=WIf@3I
fMT07@3IfMT00`000000fMWI0=WIf@260=WIf@4000000@3IfMT10=WIf@004`3IfMT00`000000fMWI
0=WIf@050=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT00P3IfMT00`000000fMWI
0=WIf@0:0=WIf@030000003IfMT0fMWI0080fMWI00<000000=WIf@3IfMT01P3IfMT00`000000fMWI
0=WIf@090=WIf@<00000303IfMT300000100fMWI00<000000=WIf@3IfMT07P3IfMT00`000000fMWI
0=WIf@260=WIf@4000000@3IfMT10=WIf@004`3IfMT4000000@0fMWI00<000000=WIf@3IfMT01P3I
fMT00`000000fMWI0=WIf@020=WIf@030000003IfMT0fMWI00/0fMWI0P0000030=WIf@030000003I
fMT0fMWI00L0fMWI00<000000=WIf@3IfMT02`3IfMT<000001<0fMWI00<000000=WIf@3IfMT07`3I
fMT00`000000fMWI0=WIf@250=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@06
0=WIf@030000003IfMT0fMWI0080fMWI00<000000=WIf@3IfMT00P3IfMT5000000D0fMWI00@00000
0=WIf@3IfMT0fMWI0P0000080=WIf@<00000:@3IfMT00`000000fMWI0=WIf@0P0=WIf@030000003I
fMT0fMWI08D0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI00H0fMWI00D00000
0=WIf@3IfMT0fMWI000000040=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT00P3I
fMT00`000000fMWI0=WIf@020=WIf@030000003IfMT0fMWI00T0fMWI:@00000S0=WIf@030000003I
fMT0fMWI08D0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI00H0fMWI00D00000
0=WIf@3IfMT0fMWI000000040=WIf@030000003IfMT0fMWI00@0fMWI00D000000=WIf@3IfMT0fMWI
000000040=WIf@030000003IfMT0fMWI01@0fMWI3000000e0=WIf@030000003IfMT0fMWI08D0fMWI
0@0000010=WIf@40fMWI000K0=WIf@8000001P3IfMT00`000000fMWI0=WIf@020=WIf@050000003I
fMT0fMWI0=WIf@0000001`3IfMT00`000000fMWI0=WIf@020=WIf@050000003IfMT0fMWI0=WIf@00
00004P3IfMT4000000D0fMWI0P0000050=WIf@@00000<@3IfMT00`000000fMWI0=WIf@250=WIf@40
00000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI0080fMWI
00D000000=WIf@3IfMT0fMWI000000080=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT00`00
0000fMWI0=WIf@0?0=WIf@800000103IfMT400000080fMWI0`0000060=WIf@030000003IfMT0fMWI
02h0fMWI00<000000=WIf@3IfMT0Q@3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3I
fMT01@3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00<000000=WIf@3IfMT01`3IfMT01@00
0000fMWI0=WIf@3IfMT0000000@0fMWI00<000000=WIf@3IfMT03P3IfMT00`000000fMWI0=WIf@03
0=WIf@030000003IfMT0fMWI00H0fMWI0P0000040=WIf@800000;`3IfMT00`000000fMWI0=WIf@25
0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@050=WIf@050000003IfMT0fMWI
0=WIf@0000000`3IfMT00`000000fMWI0=WIf@070=WIf@050000003IfMT0fMWI0=WIf@000000103I
fMT00`000000fMWI0=WIf@0>0=WIf@030000003IfMT0fMWI00<0fMWI0`0000050=WIf@8000001@3I
fMT00`000000fMWI0=WIf@0^0=WIf@030000003IfMT0fMWI08D0fMWI0@0000010=WIf@40fMWI000K
0=WIf@030000003IfMT0fMWI00D0fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@030000003I
fMT0fMWI00P0fMWI00@000000=WIf@3IfMT00000103IfMT00`000000fMWI0=WIf@0?0=WIf@030000
003IfMT0fMWI00@0fMWI1`0000050=WIf@800000<03IfMT00`000000fMWI0=WIf@250=WIf@400000
0@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@050=WIf@050000003IfMT0fMWI0=WIf@000000
0`3IfMT00`000000fMWI0=WIf@080=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT00`000000
fMWI0=WIf@0@0=WIfA800000<`3IfMT00`000000fMWI0=WIf@240=WIf@4000000@3IfMT10=WIf@00
6`3IfMT00`000000fMWI0=WIf@050=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT00`000000
fMWI0=WIf@080=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT00`000000fMWI0=WIf@090=WI
fBL000009@3IfMT00`000000fMWI0=WIf@240=WIf@4000000@3IfMT10=WIf@006`3IfMT2000000H0
fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@030000003IfMT0fMWI00P0fMWI00D000000=WI
f@3IfMT0fMWI000000030=WIf@030000003IfMT0fMWI00H0fMWI0`00000?0=WIf@8000005P3IfMT2
000002<0fMWI00<000000=WIf@3IfMT0Q03IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WI
f@3IfMT01@3IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00<000000=WIf@3IfMT0203IfMT0
1@000000fMWI0=WIf@3IfMT0000000<0fMWI00<000000=WIf@3IfMT01@3IfMT00`000000fMWI0=WI
f@090=WIf@L000000P3IfMT8000000l0fMWI00<000000=WIf@3IfMT08@3IfMT00`000000fMWI0=WI
f@240=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@050=WIf@050000003IfMT0
fMWI0=WIf@0000000`3IfMT00`000000fMWI0=WIf@080=WIf@050000003IfMT0fMWI0=WIf@000000
0`3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00H0fMWI0`0000030=WIf@T00000
1@3IfMT2000000h0fMWI00<000000=WIf@3IfMT0803IfMT00`000000fMWI0=WIf@240=WIf@400000
0@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@050=WIf@050000003IfMT0fMWI0=WIf@000000
0`3IfMT00`000000fMWI0=WIf@080=WIf@050000003IfMT0fMWI0=WIf@0000000`3IfMT00`000000
fMWI0=WIf@040=WIf@030000003IfMT0fMWI00L0fMWI00<000000=WIf@3IfMT00P3IfMT2000000P0
fMWI0P0000050=WIf@030000003IfMT0fMWI00/0fMWI00<000000=WIf@3IfMT0803IfMT00`000000
fMWI0=WIf@240=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@050=WIf@050000
003IfMT0fMWI0=WIf@0000000`3IfMT00`000000fMWI0=WIf@080=WIf@040000003IfMT0fMWI0000
00@0fMWI00<000000=WIf@3IfMT0103IfMT00`000000fMWI0=WIf@060=WIf@030000003IfMT0fMWI
00<0fMWI00<000000=WIf@3IfMT0203IfMT2000000@0fMWI00<000000=WIf@3IfMT02`3IfMT00`00
0000fMWI0=WIf@0P0=WIf@030000003IfMT0fMWI08@0fMWI0@0000010=WIf@40fMWI000K0=WIf@03
0000003IfMT0fMWI00D0fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@030000003IfMT0fMWI
00L0fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@030000003IfMT0fMWI00D0fMWI00<00000
0=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@030=WIf@<000001@3IfMT2000000D0fMWI00<00000
0=WIf@3IfMT0303IfMT00`000000fMWI0=WIf@0O0=WIf@030000003IfMT0fMWI08D0fMWI0@000001
0=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI00D0fMWI00D000000=WIf@3IfMT0fMWI00000003
0=WIf@030000003IfMT0fMWI00L0fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@030000003I
fMT0fMWI00D0fMWI00<000000=WIf@3IfMT0203IfMT3000000D0fMWI1@0000050=WIf@8000003`3I
fMT00`000000fMWI0=WIf@0O0=WIf@030000003IfMT0fMWI08D0fMWI0@0000010=WIf@40fMWI000K
0=WIf@030000003IfMT0fMWI00D0fMWI00D000000=WIf@3IfMT0fMWI000000040=WIf@030000003I
fMT0fMWI00H0fMWI00D000000=WIf@3IfMT0fMWI000000030=WIf@030000003IfMT0fMWI00H0fMWI
00<000000=WIf@3IfMT02P3IfMT?00000100fMWI0P00000Q0=WIf@030000003IfMT0fMWI08D0fMWI
0@0000010=WIf@40fMWI000K0=WIf@8000001P3IfMT00`000000fMWI0=WIf@020=WIf@050000003I
fMT0fMWI0=WIf@000000203IfMT01@000000fMWI0=WIf@3IfMT0000000<0fMWI00<000000=WIf@3I
fMT01`3IfMTS000000L0fMWI0P00000R0=WIf@030000003IfMT0fMWI08D0fMWI0@0000010=WIf@40
fMWI000K0=WIf@030000003IfMT0fMWI00H0fMWI00D000000=WIf@3IfMT0fMWI000000040=WIf@03
0000003IfMT0fMWI00@0fMWI00D000000=WIf@3IfMT0fMWI000000040=WIf@030000003IfMT0fMWI
02X0fMWI1`00000T0=WIf@030000003IfMT0fMWI08D0fMWI0@0000010=WIf@40fMWI000K0=WIf@03
0000003IfMT0fMWI00H0fMWI00@000000=WIf@3IfMT0fMWI0P0000030=WIf@8000000`3IfMT20000
00@0fMWI00<000000=WIf@3IfMT00P3IfMT00`000000fMWI0=WIf@0C0=WIf@l00000<`3IfMT00`00
0000fMWI0=WIf@250=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@060=WIf@03
0000003IfMT0fMWI0080fMWI00<000000=WIf@3IfMT00`3IfMT3000000H0fMWI00D000000=WIf@3I
fMT0fMWI0000000E0=WIf@030000003IfMT0fMWI00d0fMWI00<000000=WIf@3IfMT0<03IfMT00`00
0000fMWI0=WIf@250=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@060=WIf@03
0000003IfMT0fMWI0080fMWI00<000000=WIf@3IfMT02`3IfMT2000000<0fMWI00<000000=WIf@3I
fMT04P3IfMT00`000000fMWI0=WIf@0?0=WIf@030000003IfMT0fMWI02l0fMWI00<000000=WIf@3I
fMT0Q@3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT01`3IfMT00`000000fMWI
0=WIf@020=WIf@030000003IfMT0fMWI00X0fMWI00<000000=WIf@3IfMT00P3IfMT00`000000fMWI
0=WIf@0B0=WIf@030000003IfMT0fMWI00l0fMWI00<000000=WIf@3IfMT0;P3IfMT00`000000fMWI
0=WIf@260=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@070=WIf@030000003I
fMT0fMWI0080fMWI00<000000=WIf@3IfMT02@3IfMT00`000000fMWI0=WIf@030=WIf@030000003I
fMT0fMWI01<0fMWI0P00000<0=WIf@<00000<@3IfMT00`000000fMWI0=WIf@260=WIf@4000000@3I
fMT10=WIf@006`3IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI00<0fMWI00<00000
0=WIf@3IfMT01`3IfMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI01H0fMWI3000000d
0=WIf@030000003IfMT0fMWI08H0fMWI0@0000010=WIf@40fMWI000K0=WIf@800000203IfMT20000
00D0fMWI00<000000=WIf@3IfMT01P3IfMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI
02h0fMWI1`00000Q0=WIf@030000003IfMT0fMWI08H0fMWI0@0000010=WIf@40fMWI000K0=WIf@03
0000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT00`3IfMT2000000D0fMWI0P0000060=WIf@03
0000003IfMT0fMWI00T0fMWI9@0000070=WIf@030000003IfMT0fMWI01d0fMWI00<000000=WIf@3I
fMT0Q`3IfMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT02@3IfMT00`000000fMWI
0=WIf@040=WIf@D000001`3IfMT00`000000fMWI0=WIf@090=WIf@030000003IfMT0fMWI02/0fMWI
00<000000=WIf@3IfMT0703IfMT00`000000fMWI0=WIf@270=WIf@4000000@3IfMT10=WIf@006`3I
fMT00`000000fMWI0=WIf@090=WIf@030000003IfMT0fMWI00l0fMWI00<000000=WIf@3IfMT02@3I
fMT00`000000fMWI0=WIf@0/0=WIf@030000003IfMT0fMWI01`0fMWI00<000000=WIf@3IfMT0Q`3I
fMT100000040fMWI0@3IfMT001/0fMWI00<000000=WIf@3IfMT02P3IfMT00`000000fMWI0=WIf@0>
0=WIf@030000003IfMT0fMWI00T0fMWI00<000000=WIf@3IfMT03P3IfMT8000001L0fMWI00<00000
0=WIf@3IfMT06P3IfMT00`000000fMWI0=WIf@280=WIf@4000000@3IfMT10=WIf@006`3IfMT00`00
0000fMWI0=WIf@0:0=WIf@030000003IfMT0fMWI00h0fMWI00<000000=WIf@3IfMT02@3IfMT00`00
0000fMWI0=WIf@0?0=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT05@3IfMT00`00
0000fMWI0=WIf@0J0=WIf@030000003IfMT0fMWI08P0fMWI0@0000010=WIf@40fMWI00080=WIf@03
0000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT00P3IfMT3000000D0fMWI00<000000=WIf@3I
fMT02`3IfMT2000000`0fMWI0P00000<0=WIf@030000003IfMT0fMWI00l0fMWI1`00000G0=WIf@03
0000003IfMT0fMWI01T0fMWI0P00002:0=WIf@4000000@3IfMT10=WIf@00203IfMT00`000000fMWI
0=WIf@0;0=WIf@030000003IfMT0fMWI0080fMWI00<000000=WIf@3IfMT0303IfMT00`000000fMWI
0=WIf@090=WIf@8000003@3IfMT00`000000fMWI0=WIf@0^0=WIf@030000003IfMT0fMWI01P0fMWI
00<000000=WIf@3IfMT0R@3IfMT100000040fMWI0@3IfMT000T0fMWI00<000000=WIf@3IfMT02P3I
fMT00`000000fMWI0=WIf@020=WIf@8000003P3IfMT2000000P0fMWI00<000000=WIf@3IfMT03@3I
fMT00`000000fMWI0=WIf@0^0=WIf@030000003IfMT0fMWI01P0fMWI00<000000=WIf@3IfMT0R03I
fMT200000080fMWI00090=WIf@030000003IfMT0fMWI00L0fMWI0`0000050=WIf@030000003IfMT0
fMWI00l0fMWI0`0000020=WIf@<00000403IfMT00`000000fMWI0=WIf@0_0=WIf@030000003IfMT0
fMWI01H0fMWI00<000000=WIf@3IfMT0RP3IfMT100000040fMWI0@3IfMT000X0fMWI00<000000=WI
f@3IfMT01P3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI0180fMWI0P00000C0=WI
f@030000003IfMT0000000<0fMWI7@00000?0=WIf@030000003IfMT0fMWI01H0fMWI00<000000=WI
f@3IfMT0RP3IfMT100000040fMWI0@3IfMT000L0fMWI00@000000=WIf@3IfMT00000203IfMT00`00
0000fMWI0=WIf@050=WIf@030000003IfMT0fMWI02P0fMWI1P00000L0=WIf@@000002`3IfMT00`00
0000fMWI0=WIf@0E0=WIf@030000003IfMT0fMWI08/0fMWI0@0000010=WIf@40fMWI00070=WIf@@0
0000203IfMT4000000@0fMWI00<000000=WIf@3IfMT0CP3IfMT00`000000fMWI0=WIf@090=WIf@03
0000003IfMT0fMWI01<0fMWI00<000000=WIf@3IfMT0S03IfMT100000040fMWI0@3IfMT001/0fMWI
00<000000=WIf@3IfMT0CP3IfMT00`000000fMWI0=WIf@0:0=WIf@030000003IfMT0fMWI0140fMWI
0P00002>0=WIf@4000000@3IfMT10=WIf@006`3IfMT00`000000fMWI0=WIf@1>0=WIf@030000003I
fMT0fMWI00/0fMWI00<000000=WIf@3IfMT03`3IfMT00`000000fMWI0=WIf@2>0=WIf@4000000@3I
fMT10=WIf@006`3IfMT00`000000fMWI0=WIf@0W0=WIf@8000009@3IfMT00`000000fMWI0=WIf@0<
0=WIf@030000003IfMT0fMWI00d0fMWI00<000000=WIf@3IfMT0S`3IfMT100000040fMWI0@3IfMT0
01/0fMWI0P00000X0=WIf@030000003IfMT0000002<0fMWI00<000000=WIf@3IfMT03@3IfMT00`00
0000fMWI0=WIf@0=0=WIf@030000003IfMT0fMWI08l0fMWI0@0000010=WIf@40fMWI000K0=WIf@03
0000003IfMT0fMWI0?l0fMWI0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0?l0fMWI
0@0000010=WIf@40fMWI000K0=WIf@030000003IfMT0fMWI0080fMWI00<000000=WIf@3IfMT09P3I
fMT00`000000fMWI0=WIf@0W0=WIf@030000003IfMT0fMWI02H0fMWI00<000000=WIf@3IfMT09`3I
fMT00`000000fMWI0=WIf@0V0=WIf@030000003IfMT0fMWI02L0fMWI00D000000=WIf@3IfMT0fMWI
000000020=WIf@006`3IfMWo000000@000000P3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0
fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0fMWI8@3IfMT00?l0
fMWI8@3IfMT00001\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-18.8842, -9.62216, 0.120585, \
0.0643119}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  ContourGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[36]="]
}, Open  ]],

Cell[BoxData[
    \(center1 = \(Sqrt[1 - P\^2]\/2\) \(h\/\(2\ sx\ sp\)\) \((\((1 - P)\) 
            Sin[2 \((x\ pg - \((xg - l)\) p)\)/h])\)\ gswf[x, p, 
          h/\((2\ sp)\), h/\((2\ sx)\)]; 
    center2 = \(Sqrt[1 - P\^2]\/2\) \(h\/\(2\ sx\ sp\)\) \((\(-\((1 + P)\)\) 
            Sin[2 \((x\ pg - \((xg + l)\) p)\)/h])\)\ gswf[x, p, 
          h/\((2\ sp)\), h/\((2\ sx)\)];\)], "Input",
  CellLabel->"In[37]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(contourlineartcenter = 
      Block[{xg = \(-8\), pg = 6, l = 5, h = 1.8, P = 0, sp = 1, sx = 1}, 
        ContourPlot[
          center1, {x, \(-l\) - 3\ sx, l + 3\ sx}, {p, \(-2\) sp, 2\ sp}, 
          PlotPoints -> 200, PlotRange -> All, 
          ColorFunction -> \((GrayLevel[\((1 - #)\)] &)\), 
          ContourShading \[Rule] False, 
          Epilog -> {Line[{{xg - l, pg}, {\(-xg\) - l, \(-pg\)}}], 
              Line[{{xg + l, pg}, {\(-xg\) + l, \(-pg\)}}], 
              Line[{{xg + l, pg}, {\(-xg\) - l, \(-pg\)}}], 
              Line[{{xg - l, pg}, {\(-xg\) + l, \(-pg\)}}]}]]\)], "Input",
  CellLabel->"In[76]:="],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  ContourGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[76]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[""], "Input",
  CellLabel->"In[49]:="],

Cell[BoxData[
    \(3.636641098767616`\)], "Output",
  CellLabel->"Out[49]="]
}, Open  ]],

Cell["\<\
heightlev gives the height level corresponding to level times sx in \
the normal gaussian when p=pg.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"tgraph1", "=", 
      RowBox[{"Block", "[", 
        RowBox[{\({level = 2, r = 1, xg = \(-8\), pg = 1, l = 5, 
            h = \((2\ sx\ sp\ r)\), P = 0, sp = 1/6, sx = 1}\), ",", 
          
          RowBox[{\(heightlev = \(r\/\(Pi\ h\)\) Exp[\(-level\^2\)/2]\), ";", 
            
            RowBox[{"ContourPlot", "[", 
              
              RowBox[{\((gs1 + gs2 + gs3)\), 
                ",", \({x, xg - l - 3\ sx, \(-xg\) + l + 3\ sx}\), 
                ",", \({p, \(-pg\) - 3\ sp, pg + 3\ sp}\), 
                ",", \(PlotPoints \[Rule] 300\), ",", \(PlotRange -> All\), 
                ",", \(ContourShading -> False\), 
                ",", \(Contours -> {\(-heightlev\), heightlev}\), 
                ",", \(FrameTicks -> {{\(-xg\), 0, xg}, {\(-pg\), 0, pg}}\), 
                ",", " ", \(Background -> White\), 
                ",", \(TextStyle \[Rule] m10\), ",", 
                RowBox[{"FrameLabel", "\[Rule]", 
                  RowBox[{"{", 
                    RowBox[{"\"\<\!\(\*
StyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*
StyleBox[\"/\",\nFontSlant->\"Italic\"]\)\!\(\(\*
StyleBox[\"\[Sigma]\",\nFontSlant->\"Italic\"]\)\_x\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"p\",\nFontSlant->\"Italic\"]\)\!\(\*
StyleBox[\"/\",\nFontSlant->\"Italic\"]\)\!\(\*
StyleBox[\"\[LeftAngleBracket]\",\nFontSlant->\"Italic\"]\)\!\(\*
StyleBox[\"p\",\n\
FontSlant->\"Plain\"]\)\!\(\(\[RightAngleBracket]\_i1\)\)\>\""}], "}"}]}], 
                ",", \(RotateLabel \[Rule] False\), ",", 
                "\[IndentingNewLine]", 
                RowBox[{"ContourStyle", "->", 
                  RowBox[{"{", 
                    RowBox[{
                      RowBox[{"{", 
                        RowBox[{
                        Cell[" Dashing[{0.005,0.005}]"], 
                          ",", \(RGBColor[0, 0, 1]\)}], "}"}], 
                      ",", \({RGBColor[1, 0, 0]}\)}], "}"}]}], ",", 
                "\[IndentingNewLine]", \(Prolog -> {Thickness[
                      0.008], {GrayLevel[ .7], {Dashing[{0.27, 0.26}], 
                        Line[{{xg - l, 
                              pg}, {\(-xg\) - l, \(-pg\)}}]}, {Dashing[{0.27, 
                            0.26}], 
                        Line[{{xg + l, 
                              pg}, {\(-xg\) + l, \(-pg\)}}]}, {Dashing[{0.22, 
                            0.23}], 
                        Line[{{xg + l, 
                              pg}, {\(-xg\) - l, \(-pg\)}}]}, {Dashing[{0.40, 
                            0.21}], 
                        Line[{{xg - l, 
                              pg}, {\(-xg\) + l, \(-pg\)}}]}, {Dashing[{0.09, 
                            0.12}], 
                        Line[{{xg - l, pg}, {xg + l, pg}}]}, {Dashing[{0.09, 
                            0.12}], 
                        Line[{{\(-xg\) - l, \(-pg\)}, {\(-xg\) + 
                                l, \(-pg\)}}]}}, 
                    Text["\<r r (long)\>", {xg - l, pg + 1.6  sp}, {0, 0}, 
                      TextStyle \[Rule] tx10], 
                    Text["\<t t (short)\>", {xg + l, pg + 1.6  sp}, {0, 0}, 
                      TextStyle \[Rule] 
                        tx10], \[IndentingNewLine]Text["\<r t (long)\>", \
{\(-xg\) + l, \(-pg\) - 1.6  sp}, {0, 0}, 
                      TextStyle \[Rule] 
                        tx10], \[IndentingNewLine]Text["\<t r (short)\>", \
{\(-xg\) - l, \(-pg\) - 1.6  sp}, {0, 0}, TextStyle \[Rule] tx10]}\), 
                ",", \(Epilog -> 
                  Rectangle[{l, 2\ \ sp}, {\(-xg\) + l + 2\ sx, 
                      pg + \ 3  sp}, \[IndentingNewLine]ContourPlot[
                      gswf[x - xg, p - pg, sx, sp], {x, 
                        xg - l - 3  sx, \(-xg\) + l + 3\ sx}, {p, \(-pg\) - 
                          3\ sp, pg + 3\ sp}, ContourShading -> False, 
                      Contours -> {heightlev}, 
                      FrameTicks -> {{\(-xg\), 0, xg}, {\(-pg\), 0, pg}}, \ 
                      TextStyle \[Rule] 
                        m8, \[IndentingNewLine]ContourStyle -> {{RGBColor[1, 
                              0, 0]}}, DisplayFunction -> Identity, 
                      PlotPoints \[Rule] 150, 
                      Epilog -> {Text["\<input (port 1)\>", {0, \(-1\)}, {0, 
                              0}, TextStyle \[Rule] tx8]}]]\)}], "]"}]}]}], 
        "]"}]}]], "Input",
  CellLabel->"In[35]:="],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(level\\)\\\" is similar to existing symbol \
\\\"\\!\\(Level\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[35]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.5 0.0300481 0.5 0.320513 [
[.74038 -0.0125 -4.5 -10.9375 ]
[.74038 -0.0125 4.5 0 ]
[.5 -0.0125 -4.5 -10.9375 ]
[.5 -0.0125 4.5 0 ]
[.25962 -0.0125 -7.5625 -10.9375 ]
[.25962 -0.0125 7.5625 0 ]
[ 0 0 -0.125 0 ]
[.5 -0.0125 -12.25 -21.875 ]
[.5 -0.0125 12.25 -10.9375 ]
[-0.0125 .17949 -15.125 -5.46875 ]
[-0.0125 .17949 0 5.46875 ]
[-0.0125 .5 -9 -5.46875 ]
[-0.0125 .5 0 5.46875 ]
[-0.0125 .82051 -9 -5.46875 ]
[-0.0125 .82051 0 5.46875 ]
[ 0 0 -0.125 0 ]
[-0.01875 .5 -48 -5.46875 ]
[-0.01875 .5 -15.125 5.46875 ]
[.74038 1.0125 -4.5 0 ]
[.74038 1.0125 4.5 10.9375 ]
[.5 1.0125 -4.5 0 ]
[.5 1.0125 4.5 10.9375 ]
[.25962 1.0125 -7.5625 0 ]
[.25962 1.0125 7.5625 10.9375 ]
[ 0 1 .125 0 ]
[1.0125 .17949 0 -5.46875 ]
[1.0125 .17949 15.125 5.46875 ]
[1.0125 .5 0 -5.46875 ]
[1.0125 .5 9 5.46875 ]
[1.0125 .82051 0 -5.46875 ]
[1.0125 .82051 9 5.46875 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.74038 0 m
.74038 .00625 L
s
gsave
.74038 -0.0125 -65.5 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -65.5 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 0 m
.25962 .00625 L
s
gsave
.25962 -0.0125 -68.5625 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(8) show
1.000 setlinewidth
grestore
0 0 m
1 0 L
s
gsave
.5 -0.0125 -73.25 -25.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.250 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
68.312 11.812 moveto
(/) show
72.125 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
78.875 13.375 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
83.500 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .17949 m
.00625 .17949 L
s
gsave
-0.0125 .17949 -76.125 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(1) show
1.000 setlinewidth
grestore
0 .5 m
.00625 .5 L
s
gsave
-0.0125 .5 -70 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
0 .82051 m
.00625 .82051 L
s
gsave
-0.0125 .82051 -70 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
0 0 m
0 1 L
s
gsave
-0.01875 .5 -109 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.750 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(p) show
69.375 11.812 moveto
(/) show
73.188 11.812 moveto
%%IncludeResource: font Mathematica2
%%IncludeFont: Mathematica2
/Mathematica2 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(X) show
76.750 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(p) show
81.750 11.812 moveto
%%IncludeResource: font Mathematica2
%%IncludeFont: Mathematica2
/Mathematica2 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(\\\\) show
85.312 13.375 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(i1) show
91.875 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.74038 .99375 m
.74038 1 L
s
gsave
.74038 1.0125 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 .99375 m
.5 1 L
s
gsave
.5 1.0125 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 .99375 m
.25962 1 L
s
gsave
.25962 1.0125 -68.5625 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(8) show
1.000 setlinewidth
grestore
0 1 m
1 1 L
s
.99375 .17949 m
1 .17949 L
s
gsave
1.0125 .17949 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(1) show
1.000 setlinewidth
grestore
.99375 .5 m
1 .5 L
s
gsave
1.0125 .5 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.99375 .82051 m
1 .82051 L
s
gsave
1.0125 .82051 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.7 g
.008 w
[ .27 .26 ] 0 setdash
.10938 .82051 m
.59014 .17949 L
s
.40986 .82051 m
.89063 .17949 L
s
[ .22 .23 ] 0 setdash
.40986 .82051 m
.59014 .17949 L
s
[ .4 .21 ] 0 setdash
.10938 .82051 m
.89063 .17949 L
s
[ .09 .12 ] 0 setdash
.10938 .82051 m
.40986 .82051 L
s
.59014 .17949 m
.89063 .17949 L
s
0 g
gsave
.10938 .90598 -81.75 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(r) show
69.562 11.812 moveto
(r) show
76.125 11.812 moveto
(\\() show
79.438 11.812 moveto
(long) show
97.188 11.812 moveto
(\\)) show
100.500 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.40986 .90598 -82.0938 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(t) show
68.438 11.812 moveto
(t) show
73.875 11.812 moveto
(\\() show
77.188 11.812 moveto
(short) show
97.875 11.812 moveto
(\\)) show
101.188 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.89063 .09402 -81.1875 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(r) show
69.562 11.812 moveto
(t) show
75.000 11.812 moveto
(\\() show
78.312 11.812 moveto
(long) show
96.062 11.812 moveto
(\\)) show
99.375 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.59014 .09402 -82.6562 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(t) show
68.438 11.812 moveto
(r) show
75.000 11.812 moveto
(\\() show
78.312 11.812 moveto
(short) show
99.000 11.812 moveto
(\\)) show
102.312 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
1 0 0 r
.5 Mabswid
[ ] 0 setdash
.24434 .89703 m
.24756 .89573 L
.25077 .89501 L
.25399 .89458 L
.2572 .89436 L
.26042 .89432 L
.26364 .89445 L
.26685 .89477 L
.27007 .89532 L
.27328 .89627 L
.27511 .89716 L
.2765 .89841 L
.27683 .90037 L
.2765 .90101 L
.27328 .90334 L
.2727 .90359 L
.27007 .90463 L
.26685 .90536 L
.26364 .90574 L
.26042 .90589 L
.2572 .90584 L
.25399 .90559 L
.25077 .90505 L
.24756 .90405 L
.24653 .90359 L
.24434 .90248 L
.2424 .90037 L
.24413 .89716 L
.24434 .89703 L
s
.23469 .82305 m
.23791 .82269 L
.24112 .82242 L
.24434 .8222 L
.24756 .82203 L
.25077 .82191 L
.25399 .82183 L
.2572 .82179 L
.26042 .82178 L
.26364 .82181 L
.26685 .82187 L
.27007 .82197 L
.27328 .82211 L
.2765 .8223 L
.27971 .82255 L
.28293 .82286 L
.28568 .82319 L
.28615 .82325 L
.28936 .82374 L
.29258 .82436 L
.29579 .82519 L
.29901 .8263 L
.29928 .82641 L
.30223 .82771 L
.30476 .82962 L
.30544 .83028 L
.30714 .83284 L
.30749 .83606 L
.30598 .83927 L
.30544 .84005 L
.30223 .84247 L
.30219 .84249 L
.29901 .84413 L
.29579 .84528 L
.2943 .8457 L
.29258 .84616 L
.28936 .84685 L
.28615 .8474 L
.28293 .84784 L
.27971 .84818 L
.2765 .84845 L
.27328 .84866 L
.27007 .84882 L
.26728 .84892 L
.26685 .84893 L
.26364 .849 L
.26042 .84903 L
.2572 .84902 L
.25399 .84897 L
.25186 .84892 L
Mistroke
.25077 .84888 L
.24756 .84875 L
.24434 .84857 L
.24112 .84833 L
.23791 .84802 L
.23469 .84763 L
.23148 .84714 L
.22826 .84653 L
.22505 .84573 L
.22494 .8457 L
.22183 .84475 L
.21861 .84338 L
.21704 .84249 L
.2154 .84159 L
.21325 .83927 L
.21218 .8375 L
.21174 .83606 L
.21209 .83284 L
.21218 .83263 L
.21447 .82962 L
.2154 .8288 L
.21861 .82692 L
.21996 .82641 L
.22183 .8257 L
.22505 .82475 L
.22826 .82403 L
.23148 .82348 L
.23355 .82319 L
.23469 .82305 L
Mfstroke
.40513 .76193 m
.40835 .76139 L
.41156 .76141 L
.41478 .76198 L
.41524 .76209 L
.418 .76313 L
.42121 .76488 L
.42186 .76531 L
.42443 .7673 L
.42577 .76852 L
.42764 .77049 L
.42871 .77174 L
.43086 .7746 L
.4311 .77495 L
.43312 .77817 L
.43408 .77991 L
.43483 .78139 L
.43632 .7846 L
.43729 .78699 L
.4376 .78782 L
.43872 .79103 L
.43969 .79425 L
.44051 .79742 L
.44052 .79747 L
.44122 .80068 L
.44181 .8039 L
.44228 .80711 L
.44265 .81033 L
.44291 .81355 L
.44308 .81676 L
.44314 .81998 L
.44311 .82319 L
.44298 .82641 L
.44275 .82962 L
.44242 .83284 L
.44198 .83606 L
.44143 .83927 L
.44077 .84249 L
.44051 .84361 L
.43998 .8457 L
.43906 .84892 L
.438 .85214 L
.43729 .85403 L
.43677 .85535 L
.43535 .85857 L
.43408 .86112 L
.43372 .86178 L
.43181 .865 L
.43086 .86643 L
.42956 .86821 L
Mistroke
.42764 .87054 L
.42683 .87143 L
.42443 .87372 L
.42332 .87465 L
.42121 .87614 L
.41808 .87786 L
.418 .8779 L
.41478 .87904 L
.41156 .87962 L
.40835 .87963 L
.40513 .8791 L
.40192 .87799 L
.40163 .87786 L
.3987 .87627 L
.39639 .87465 L
.39548 .87389 L
.39289 .87143 L
.39227 .87075 L
.39016 .86821 L
.38905 .8667 L
.38791 .865 L
.38601 .86178 L
.38584 .86147 L
.38437 .85857 L
.38295 .85535 L
.38262 .85454 L
.38172 .85214 L
.38064 .84892 L
.37971 .8457 L
.37941 .84453 L
.37892 .84249 L
.37824 .83927 L
.37769 .83606 L
.37725 .83284 L
.37692 .82962 L
.3767 .82641 L
.37658 .82319 L
.37656 .81998 L
.37664 .81676 L
.37682 .81355 L
.3771 .81033 L
.37747 .80711 L
.37795 .8039 L
.37853 .80068 L
.37923 .79747 L
.37941 .79672 L
.38005 .79425 L
.381 .79103 L
.38211 .78782 L
.38262 .78648 L
Mistroke
.38339 .7846 L
.38487 .78139 L
.38584 .77952 L
.38659 .77817 L
.3886 .77495 L
.38905 .7743 L
.39099 .77174 L
.39227 .77026 L
.39394 .76852 L
.39548 .76712 L
.39784 .76531 L
.3987 .76475 L
.40192 .76304 L
.40443 .76209 L
.40513 .76193 L
Mfstroke
.10606 .76163 m
.10927 .76133 L
.11249 .76159 L
.1147 .76209 L
.11571 .76241 L
.11892 .76382 L
.12139 .76531 L
.12214 .76585 L
.12529 .76852 L
.12535 .76859 L
.12824 .77174 L
.12857 .77215 L
.13063 .77495 L
.13179 .77673 L
.13264 .77817 L
.13436 .78139 L
.135 .78273 L
.13584 .7846 L
.13712 .78782 L
.13822 .791 L
.13823 .79103 L
.13918 .79425 L
.14 .79747 L
.1407 .80068 L
.14128 .8039 L
.14143 .80482 L
.14176 .80711 L
.14213 .81033 L
.14241 .81355 L
.14259 .81676 L
.14267 .81998 L
.14265 .82319 L
.14253 .82641 L
.14231 .82962 L
.14198 .83284 L
.14154 .83606 L
.14143 .83674 L
.14099 .83927 L
.14031 .84249 L
.13952 .8457 L
.13859 .84892 L
.13822 .85009 L
.13752 .85214 L
.13628 .85535 L
.135 .85827 L
.13486 .85857 L
.13322 .86178 L
.13179 .86426 L
.13132 .865 L
.12907 .86821 L
Mistroke
.12857 .86886 L
.12634 .87143 L
.12535 .87243 L
.12283 .87465 L
.12214 .87517 L
.11892 .87721 L
.11768 .87786 L
.11571 .87861 L
.11249 .87943 L
.10927 .87969 L
.10606 .8794 L
.10284 .87854 L
.10108 .87786 L
.09963 .8771 L
.09641 .87502 L
.09592 .87465 L
.0932 .87223 L
.0924 .87143 L
.08998 .86861 L
.08967 .86821 L
.08742 .865 L
.08676 .86395 L
.08551 .86178 L
.08388 .85857 L
.08355 .85785 L
.08246 .85535 L
.08124 .85214 L
.08033 .84944 L
.08017 .84892 L
.07925 .8457 L
.07846 .84249 L
.0778 .83927 L
.07725 .83606 L
.07712 .83514 L
.07682 .83284 L
.07648 .82962 L
.07625 .82641 L
.07612 .82319 L
.07609 .81998 L
.07615 .81676 L
.07632 .81355 L
.07658 .81033 L
.07695 .80711 L
.07712 .80589 L
.07742 .8039 L
.07801 .80068 L
.07871 .79747 L
.07954 .79425 L
.08033 .79159 L
.08051 .79103 L
Mistroke
.08163 .78782 L
.08291 .7846 L
.08355 .78317 L
.0844 .78139 L
.08612 .77817 L
.08676 .77708 L
.08812 .77495 L
.08998 .77241 L
.09052 .77174 L
.0932 .76879 L
.09347 .76852 L
.09641 .766 L
.09736 .76531 L
.09963 .76392 L
.10284 .76248 L
.1035 .76209 L
.10606 .76163 L
Mfstroke
.24434 .75864 m
.24756 .75831 L
.25077 .75807 L
.25399 .75791 L
.2572 .75783 L
.26042 .75781 L
.26364 .75786 L
.26685 .75798 L
.27007 .75818 L
.27328 .75846 L
.2765 .75884 L
.27679 .75888 L
.27971 .75931 L
.28293 .75993 L
.28615 .76073 L
.28936 .76178 L
.29016 .76209 L
.29258 .76308 L
.29579 .76524 L
.29587 .76531 L
.29843 .76852 L
.29868 .77174 L
.29642 .77495 L
.29579 .77555 L
.29258 .77744 L
.29004 .77817 L
.28936 .77839 L
.28615 .77926 L
.28293 .77989 L
.27971 .78036 L
.2765 .78071 L
.27328 .78098 L
.27007 .78117 L
.26685 .78131 L
.26404 .78139 L
.26364 .78139 L
.26042 .78143 L
.2572 .78142 L
.25528 .78139 L
.25399 .78136 L
.25077 .78125 L
.24756 .78109 L
.24434 .78086 L
.24112 .78055 L
.23791 .78014 L
.23469 .7796 L
.23148 .77886 L
.22919 .77817 L
.22826 .77795 L
.22505 .77669 L
Mistroke
.22281 .77495 L
.22183 .774 L
.22055 .77174 L
.2208 .76852 L
.22183 .76684 L
.22336 .76531 L
.22505 .76399 L
.22826 .76239 L
.22907 .76209 L
.23148 .76121 L
.23469 .7603 L
.23791 .7596 L
.24112 .75906 L
.24244 .75888 L
.24434 .75864 L
Mfstroke
.35689 .60257 m
.35919 .60452 L
.35689 .60605 L
.35618 .60452 L
.35689 .60257 L
s
.62059 .58851 m
.62327 .59165 L
.62059 .59273 L
.61991 .59165 L
.62059 .58851 L
s
.31187 .57882 m
.31426 .582 L
.31187 .58271 L
.31137 .582 L
.31187 .57882 L
s
.53377 .57758 m
.53679 .57879 L
.53527 .582 L
.53377 .58413 L
.53289 .58522 L
.53055 .58765 L
.52962 .58844 L
.52733 .5899 L
.52514 .58844 L
.52667 .58522 L
.52733 .58423 L
.52903 .582 L
.53055 .58028 L
.53213 .57879 L
.53377 .57758 L
s
.47267 .57442 m
.47588 .57252 L
.47904 .57557 L
.47695 .57879 L
.47588 .58018 L
.4743 .582 L
.47267 .58436 L
.47092 .58522 L
.46945 .58668 L
.46623 .58696 L
.46571 .58522 L
.46623 .5835 L
.46691 .582 L
.46881 .57879 L
.46945 .57785 L
.47106 .57557 L
.47267 .57442 L
s
.50804 .57084 m
.51126 .57131 L
.51254 .57236 L
.51126 .57539 L
.51117 .57557 L
.50936 .57879 L
.50804 .58104 L
.50721 .582 L
.50482 .58477 L
.5043 .58522 L
.50161 .58821 L
.50134 .58844 L
.49839 .59108 L
.49747 .59165 L
.49518 .59295 L
.49196 .593 L
.49118 .59165 L
.49196 .58852 L
.492 .58844 L
.49355 .58522 L
.49518 .58307 L
.49551 .582 L
.49833 .57879 L
.49839 .57871 L
.50105 .57557 L
.50161 .5752 L
.50482 .57238 L
.5049 .57236 L
.50804 .57084 L
s
.4791 .57224 m
.47929 .57236 L
.4791 .57544 L
.47631 .57236 L
.4791 .57224 L
s
.45015 .54343 m
.45316 .54663 L
.45015 .54934 L
.44799 .54663 L
.45015 .54343 L
s
.54341 .54194 m
.54663 .54095 L
.54852 .54341 L
.54747 .54663 L
.54663 .54801 L
.54578 .54985 L
.54341 .55279 L
.54321 .55306 L
.54052 .55628 L
.5402 .55658 L
.53708 .55949 L
.53698 .55954 L
.53377 .56181 L
.53055 .56185 L
.52957 .55949 L
.53055 .55723 L
.53108 .55628 L
.53304 .55306 L
.53377 .55198 L
.53502 .54985 L
.53698 .54788 L
.53834 .54663 L
.5402 .54448 L
.54161 .54341 L
.54341 .54194 L
s
.45337 .54064 m
.4556 .54341 L
.45337 .54639 L
.45017 .54341 L
.45337 .54064 L
s
.40192 .54207 m
.40415 .54341 L
.40273 .54663 L
.40192 .54818 L
.401 .54985 L
.39922 .55306 L
.3987 .55391 L
.39793 .55628 L
.39548 .55877 L
.39501 .55949 L
.39291 .56271 L
.39227 .56362 L
.39096 .56592 L
.38905 .56833 L
.38833 .56914 L
.38602 .57236 L
.38584 .5726 L
.38379 .57557 L
.38262 .57701 L
.38174 .57879 L
.37941 .58131 L
.37876 .582 L
.37628 .58522 L
.37619 .58533 L
.3739 .58844 L
.37297 .58942 L
.3719 .59165 L
.36976 .59343 L
.36839 .59487 L
.36654 .59739 L
.36559 .59808 L
.36333 .60057 L
.3626 .6013 L
.36011 .60375 L
.35751 .6013 L
.35927 .59808 L
.36011 .59664 L
.36121 .59487 L
.36322 .59165 L
.36333 .59149 L
.3647 .58844 L
.36654 .58675 L
.36761 .58522 L
.36976 .58212 L
.36984 .582 L
.37184 .57879 L
.37297 .5774 L
.37449 .57557 L
.37619 .57276 L
.37684 .57236 L
Mistroke
.37918 .56914 L
.37941 .56887 L
.38122 .56592 L
.38262 .56447 L
.38415 .56271 L
.38584 .56011 L
.38665 .55949 L
.38905 .55644 L
.38919 .55628 L
.39182 .55306 L
.39227 .5524 L
.39453 .54985 L
.39548 .54838 L
.39738 .54663 L
.3987 .54517 L
.40049 .54341 L
.40192 .54207 L
Mfstroke
.51769 .53658 m
.5209 .5354 L
.52317 .53698 L
.52289 .5402 L
.52097 .54341 L
.5209 .54355 L
.5188 .54663 L
.51769 .5483 L
.5165 .54985 L
.51447 .55246 L
.51405 .55306 L
.51134 .55628 L
.51126 .55629 L
.5084 .55949 L
.50804 .55985 L
.50482 .56236 L
.50429 .56271 L
.50161 .56347 L
.49839 .56468 L
.49604 .56271 L
.49653 .55949 L
.49839 .55651 L
.49847 .55628 L
.50067 .55306 L
.50161 .55158 L
.50292 .54985 L
.50482 .54734 L
.5053 .54663 L
.50801 .54341 L
.50804 .54338 L
.51084 .5402 L
.51126 .5398 L
.51447 .53729 L
.51495 .53698 L
.51769 .53658 L
s
.48553 .53609 m
.48874 .53529 L
.49196 .53597 L
.49311 .53698 L
.49196 .53992 L
.49182 .5402 L
.48984 .54341 L
.48874 .54537 L
.48763 .54663 L
.48553 .54932 L
.48524 .54985 L
.48243 .55306 L
.48231 .55317 L
.47966 .55628 L
.4791 .5566 L
.47629 .55949 L
.47588 .55976 L
.47267 .56158 L
.46945 .56216 L
.46713 .55949 L
.46815 .55628 L
.46945 .55401 L
.46993 .55306 L
.47214 .54985 L
.47267 .54902 L
.47442 .54663 L
.47588 .54472 L
.47686 .54341 L
.4791 .54092 L
.47958 .5402 L
.48231 .53809 L
.48289 .53698 L
.48553 .53609 L
s
.70421 .5172 m
.70742 .51457 L
.70902 .51769 L
.70763 .5209 L
.70742 .52143 L
.70662 .52412 L
.70421 .52704 L
.70403 .52733 L
.70216 .53055 L
.70099 .53246 L
.70026 .53377 L
.69791 .53698 L
.69777 .5372 L
.69579 .5402 L
.69456 .54201 L
.69365 .54341 L
.69134 .54657 L
.69131 .54663 L
.68902 .54985 L
.68813 .55111 L
.68677 .55306 L
.68491 .55557 L
.68447 .55628 L
.682 .55949 L
.6817 .55992 L
.67965 .56271 L
.67848 .56426 L
.67732 .56592 L
.67526 .56854 L
.67493 .56914 L
.67234 .57236 L
.67205 .57273 L
.66991 .57557 L
.66883 .57691 L
.66752 .57879 L
.66562 .58102 L
.66515 .582 L
.6624 .58503 L
.66223 .58522 L
.65965 .58844 L
.65918 .58895 L
.65712 .59165 L
.65597 .59279 L
.65483 .59487 L
.65275 .5965 L
.65122 .59808 L
.64954 .60004 L
.64809 .6013 L
.64632 .60344 L
.64441 .60452 L
Mistroke
.64311 .6054 L
.64129 .60452 L
.64227 .6013 L
.64311 .59951 L
.64385 .59808 L
.64546 .59487 L
.64632 .5932 L
.64762 .59165 L
.64954 .58863 L
.64966 .58844 L
.65164 .58522 L
.65275 .58356 L
.65358 .582 L
.65597 .57892 L
.6562 .57879 L
.65839 .57557 L
.65918 .57446 L
.66052 .57236 L
.6624 .5699 L
.66267 .56914 L
.66539 .56592 L
.66562 .56563 L
.66764 .56271 L
.66883 .56118 L
.66983 .55949 L
.67205 .55684 L
.67256 .55628 L
.67493 .55306 L
.67526 .55264 L
.67722 .54985 L
.67848 .54834 L
.67939 .54663 L
.6817 .54411 L
.68233 .54341 L
.68479 .5402 L
.68491 .54006 L
.68713 .53698 L
.68813 .53591 L
.68926 .53377 L
.69134 .53183 L
.6925 .53055 L
.69456 .52786 L
.69514 .52733 L
.69777 .52415 L
.69786 .52412 L
.70072 .5209 L
.70099 .52057 L
.70381 .51769 L
.70421 .5172 L
Mfstroke
.55306 .50863 m
.55628 .50913 L
.55698 .51126 L
.55628 .5129 L
.5556 .51447 L
.55377 .51769 L
.55306 .51892 L
.55161 .5209 L
.54985 .52305 L
.54917 .52412 L
.54663 .52626 L
.54515 .52733 L
.54341 .5284 L
.5402 .5293 L
.53794 .52733 L
.53902 .52412 L
.5402 .52281 L
.54152 .5209 L
.54341 .51838 L
.54397 .51769 L
.54663 .51456 L
.54671 .51447 L
.54985 .51141 L
.55003 .51126 L
.55306 .50863 L
s
.52412 .50345 m
.52733 .50248 L
.53055 .50251 L
.53295 .50482 L
.53152 .50804 L
.53055 .5097 L
.52961 .51126 L
.52738 .51447 L
.52733 .51454 L
.52501 .51769 L
.52412 .51889 L
.52261 .5209 L
.5209 .52295 L
.52007 .52412 L
.51769 .52664 L
.51725 .52733 L
.51447 .52911 L
.51361 .53055 L
.51126 .53127 L
.50804 .53174 L
.50482 .53139 L
.50347 .53055 L
.50453 .52733 L
.50482 .52684 L
.50643 .52412 L
.50804 .52192 L
.50863 .5209 L
.51111 .51769 L
.51126 .51749 L
.51351 .51447 L
.51447 .51334 L
.51597 .51126 L
.51769 .50949 L
.51856 .50804 L
.5209 .50631 L
.52143 .50482 L
.52412 .50345 L
s
.46302 .50395 m
.46623 .50196 L
.46945 .50315 L
.47032 .50482 L
.46945 .50645 L
.46859 .50804 L
.46648 .51126 L
.46623 .51163 L
.46425 .51447 L
.46302 .51591 L
.46198 .51769 L
.4598 .51968 L
.4586 .5209 L
.45659 .52294 L
.45514 .52412 L
.45337 .52532 L
.45015 .52643 L
.44771 .52412 L
.44849 .5209 L
.45015 .518 L
.45027 .51769 L
.45242 .51447 L
.45337 .51305 L
.45473 .51126 L
.45659 .50905 L
.45736 .50804 L
.4598 .50587 L
.46049 .50482 L
.46302 .50395 L
s
.49839 .50154 m
.50098 .50161 L
.50161 .50175 L
.50271 .50482 L
.50161 .50674 L
.50093 .50804 L
.49862 .51126 L
.49839 .51162 L
.49631 .51447 L
.49518 .51601 L
.49395 .51769 L
.49196 .52014 L
.49148 .5209 L
.48874 .5241 L
.48874 .52412 L
.48578 .52733 L
.48553 .52758 L
.48231 .52978 L
.48105 .53055 L
.4791 .5311 L
.47588 .53125 L
.47413 .53055 L
.47365 .52733 L
.47544 .52412 L
.47588 .52291 L
.47751 .5209 L
.4791 .51832 L
.47974 .51769 L
.48216 .51447 L
.48231 .51428 L
.48462 .51126 L
.48553 .51038 L
.48718 .50804 L
.48874 .50627 L
.49009 .50482 L
.49196 .50333 L
.49518 .50195 L
.49668 .50161 L
.49839 .50154 L
s
.40513 .49475 m
.40835 .49314 L
.40914 .49518 L
.40835 .49802 L
.40821 .49839 L
.40722 .50161 L
.40513 .50462 L
.40502 .50482 L
.40319 .50804 L
.40192 .51022 L
.40126 .51126 L
.39903 .51447 L
.3987 .51501 L
.39692 .51769 L
.39548 .51985 L
.39477 .5209 L
.39247 .52412 L
.39227 .52444 L
.39022 .52733 L
.38905 .52903 L
.38798 .53055 L
.38584 .53352 L
.38567 .53377 L
.38329 .53698 L
.38262 .53795 L
.38098 .5402 L
.37941 .54236 L
.37866 .54341 L
.37623 .54663 L
.37619 .54669 L
.37383 .54985 L
.37297 .55101 L
.37147 .55306 L
.36976 .5553 L
.36909 .55628 L
.36657 .55949 L
.36654 .55954 L
.36413 .56271 L
.36333 .56375 L
.36172 .56592 L
.36011 .56793 L
.3593 .56914 L
.35689 .57205 L
.35677 .57236 L
.35412 .57557 L
.35368 .5761 L
.35162 .57879 L
.35046 .58011 L
.34917 .582 L
.34725 .58403 L
Mistroke
.34685 .58522 L
.34403 .58784 L
.34347 .58844 L
.34082 .59147 L
.34061 .59165 L
.3376 .59486 L
.33758 .59487 L
.33438 .5979 L
.33417 .59808 L
.33117 .60024 L
.3293 .59808 L
.33013 .59487 L
.33117 .59348 L
.33212 .59165 L
.33388 .58844 L
.33438 .58747 L
.33561 .58522 L
.3376 .58253 L
.33794 .582 L
.34001 .57879 L
.34082 .57754 L
.34208 .57557 L
.34403 .5728 L
.34428 .57236 L
.34669 .56914 L
.34725 .56833 L
.3489 .56592 L
.35046 .56376 L
.35113 .56271 L
.35362 .55949 L
.35368 .55941 L
.35593 .55628 L
.35689 .55496 L
.3582 .55306 L
.36011 .55058 L
.36052 .54985 L
.36308 .54663 L
.36333 .5463 L
.36542 .54341 L
.36654 .54196 L
.36772 .5402 L
.36976 .53767 L
.37007 .53698 L
.37274 .53377 L
.37297 .53347 L
.3751 .53055 L
.37619 .52922 L
.3774 .52733 L
.37941 .52501 L
.37969 .52412 L
Mistroke
.38262 .52091 L
.38263 .5209 L
.38504 .51769 L
.38584 .51679 L
.38736 .51447 L
.38905 .51271 L
.39029 .51126 L
.39227 .50873 L
.39291 .50804 L
.39548 .50492 L
.39559 .50482 L
.39824 .50161 L
.3987 .50123 L
.40136 .49839 L
.40192 .49775 L
.40472 .49518 L
.40513 .49475 L
Mfstroke
.55628 .48429 m
.55818 .48553 L
.55651 .48874 L
.55628 .48904 L
.55323 .49196 L
.55306 .49207 L
.55027 .49196 L
.55183 .48874 L
.55306 .48717 L
.55467 .48553 L
.55628 .48429 L
s
.70421 .47567 m
.70742 .47377 L
.70854 .47588 L
.70754 .4791 L
.70742 .47933 L
.70663 .48231 L
.70434 .48553 L
.70421 .4858 L
.70257 .48874 L
.70099 .49145 L
.70063 .49196 L
.69846 .49518 L
.69777 .49631 L
.69639 .49839 L
.69456 .50115 L
.69424 .50161 L
.69196 .50482 L
.69134 .50579 L
.68975 .50804 L
.68813 .51038 L
.68751 .51126 L
.68516 .51447 L
.68491 .51486 L
.68284 .51769 L
.6817 .51933 L
.68055 .5209 L
.67848 .52373 L
.67821 .52412 L
.67579 .52733 L
.67526 .52809 L
.67344 .53055 L
.67205 .53244 L
.67109 .53377 L
.66883 .53675 L
.66868 .53698 L
.66623 .5402 L
.66562 .54103 L
.66384 .54341 L
.6624 .54531 L
.66146 .54663 L
.65918 .54955 L
.659 .54985 L
.6565 .55306 L
.65597 .55375 L
.65407 .55628 L
.65275 .55794 L
.65166 .55949 L
.64954 .56208 L
.64919 .56271 L
.64652 .56592 L
Mistroke
.64632 .56616 L
.64402 .56914 L
.64311 .5702 L
.64154 .57236 L
.63989 .57417 L
.63913 .57557 L
.63667 .57804 L
.636 .57879 L
.63346 .58176 L
.63321 .582 L
.6303 .58522 L
.63024 .58527 L
.62717 .58844 L
.62703 .58852 L
.62381 .59128 L
.62062 .58844 L
.62205 .58522 L
.62373 .582 L
.62381 .58184 L
.62545 .57879 L
.62703 .57599 L
.62735 .57557 L
.62964 .57236 L
.63024 .57138 L
.63171 .56914 L
.63346 .56653 L
.63387 .56592 L
.63621 .56271 L
.63667 .562 L
.63842 .55949 L
.63989 .5574 L
.64066 .55628 L
.64306 .55306 L
.64311 .553 L
.64538 .54985 L
.64632 .54853 L
.64767 .54663 L
.64954 .54412 L
.65 .54341 L
.65247 .5402 L
.65275 .5398 L
.65481 .53698 L
.65597 .53544 L
.65714 .53377 L
.65918 .53112 L
.65952 .53055 L
.66204 .52733 L
.6624 .52685 L
.6644 .52412 L
.66562 .52256 L
Mistroke
.66674 .5209 L
.66883 .5183 L
.66914 .51769 L
.67175 .51447 L
.67205 .5141 L
.67414 .51126 L
.67526 .50988 L
.67648 .50804 L
.67848 .50569 L
.67883 .50482 L
.68168 .50161 L
.6817 .50159 L
.68412 .49839 L
.68491 .4975 L
.68648 .49518 L
.68813 .49345 L
.68867 .49196 L
.69134 .4895 L
.69203 .48874 L
.69456 .4857 L
.69474 .48553 L
.69748 .48231 L
.69777 .48207 L
.70059 .4791 L
.70099 .47864 L
.70399 .47588 L
.70421 .47567 L
Mfstroke
.53377 .47118 m
.53698 .46983 L
.5402 .47207 L
.54028 .47267 L
.5402 .47323 L
.53939 .47588 L
.53749 .4791 L
.53698 .48016 L
.5354 .48231 L
.53377 .48477 L
.53314 .48553 L
.53067 .48874 L
.53055 .48884 L
.52803 .49196 L
.52733 .49279 L
.52496 .49518 L
.52412 .49587 L
.5209 .49744 L
.51769 .49825 L
.51447 .49808 L
.51309 .49518 L
.51447 .49291 L
.51483 .49196 L
.51724 .48874 L
.51769 .48805 L
.51952 .48553 L
.5209 .48375 L
.52188 .48231 L
.52412 .47974 L
.52436 .4791 L
.52733 .47601 L
.52745 .47588 L
.53055 .47293 L
.53085 .47267 L
.53377 .47118 L
s
.50482 .46854 m
.50804 .46819 L
.51126 .46897 L
.51178 .46945 L
.51126 .47233 L
.51116 .47267 L
.50921 .47588 L
.50804 .47758 L
.50705 .4791 L
.50482 .48222 L
.5047 .48231 L
.50226 .48553 L
.50161 .48631 L
.49981 .48874 L
.49839 .49023 L
.49725 .49196 L
.49518 .49352 L
.49436 .49518 L
.49196 .49689 L
.48874 .49806 L
.48553 .49837 L
.48231 .49758 L
.48193 .49518 L
.48231 .49433 L
.48356 .49196 L
.48553 .48906 L
.48571 .48874 L
.48806 .48553 L
.48874 .48454 L
.49041 .48231 L
.49196 .48032 L
.49283 .4791 L
.49518 .47628 L
.49542 .47588 L
.49833 .47267 L
.49839 .47259 L
.50161 .47012 L
.50239 .46945 L
.50482 .46854 L
s
.47588 .46887 m
.4791 .46918 L
.47952 .46945 L
.47938 .47267 L
.4791 .47313 L
.47766 .47588 L
.47588 .47816 L
.47553 .4791 L
.47285 .48231 L
.47267 .48255 L
.47044 .48553 L
.46945 .48659 L
.46794 .48874 L
.46623 .49021 L
.46531 .49196 L
.46302 .493 L
.45994 .49518 L
.4598 .49523 L
.45659 .49575 L
.45512 .49518 L
.45422 .49196 L
.45585 .48874 L
.45659 .48747 L
.45776 .48553 L
.4598 .48244 L
.45997 .48231 L
.46241 .4791 L
.46302 .47837 L
.46499 .47588 L
.46623 .47478 L
.46795 .47267 L
.46945 .47142 L
.47267 .46958 L
.47302 .46945 L
.47588 .46887 L
s
.59487 .45744 m
.59613 .4598 L
.59487 .46046 L
.59425 .4598 L
.59487 .45744 L
s
.40192 .45788 m
.40503 .4598 L
.4038 .46302 L
.40226 .46623 L
.40192 .46702 L
.40065 .46945 L
.3987 .47251 L
.39866 .47267 L
.39664 .47588 L
.39548 .47782 L
.39463 .4791 L
.39244 .48231 L
.39227 .48261 L
.39027 .48553 L
.38905 .48739 L
.3881 .48874 L
.38584 .49195 L
.38583 .49196 L
.38351 .49518 L
.38262 .4965 L
.38124 .49839 L
.37941 .50097 L
.37895 .50161 L
.37655 .50482 L
.37619 .50537 L
.37421 .50804 L
.37297 .50977 L
.37189 .51126 L
.36976 .51413 L
.36952 .51447 L
.36708 .51769 L
.36654 .51845 L
.36472 .5209 L
.36333 .52278 L
.36236 .52412 L
.36011 .52707 L
.35993 .52733 L
.35747 .53055 L
.35689 .53133 L
.35508 .53377 L
.35368 .53559 L
.35269 .53698 L
.35046 .53982 L
.35024 .5402 L
.34772 .54341 L
.34725 .54402 L
.34529 .54663 L
.34403 .5482 L
.34288 .54985 L
.34082 .55235 L
Mistroke
.34043 .55306 L
.33773 .55628 L
.3376 .55643 L
.33523 .55949 L
.33438 .56047 L
.33277 .56271 L
.33117 .56444 L
.33037 .56592 L
.32795 .56832 L
.32722 .56914 L
.32474 .57204 L
.32442 .57236 L
.32152 .57555 L
.32149 .57557 L
.3183 .57878 L
.31829 .57879 L
.31509 .58148 L
.31188 .57879 L
.31323 .57557 L
.31485 .57236 L
.31509 .57185 L
.31655 .56914 L
.3183 .56608 L
.3185 .56592 L
.32068 .56271 L
.32152 .56132 L
.32274 .55949 L
.32474 .55654 L
.32493 .55628 L
.3272 .55306 L
.32795 .55192 L
.32941 .54985 L
.33117 .54733 L
.33166 .54663 L
.33404 .54341 L
.33438 .5429 L
.33634 .5402 L
.3376 .53843 L
.33863 .53698 L
.34082 .53404 L
.341 .53377 L
.34341 .53055 L
.34403 .52968 L
.34575 .52733 L
.34725 .52531 L
.34809 .52412 L
.35046 .52101 L
.35053 .5209 L
.35295 .51769 L
.35368 .5167 L
Mistroke
.3553 .51447 L
.35689 .5124 L
.35766 .51126 L
.36011 .50814 L
.36016 .50804 L
.3626 .50482 L
.36333 .50389 L
.36497 .50161 L
.36654 .49964 L
.36734 .49839 L
.36976 .49544 L
.36985 .49518 L
.37241 .49196 L
.37297 .49126 L
.3748 .48874 L
.37619 .4871 L
.37716 .48553 L
.37941 .48299 L
.37955 .48231 L
.3825 .4791 L
.38262 .47896 L
.38498 .47588 L
.38584 .47497 L
.38738 .47267 L
.38905 .47108 L
.39049 .46945 L
.39227 .46731 L
.3933 .46623 L
.39548 .46373 L
.39628 .46302 L
.3987 .46036 L
.39959 .4598 L
.40192 .45788 L
Mfstroke
.69777 .44309 m
.70099 .44282 L
.7011 .44372 L
.70099 .44455 L
.70029 .44694 L
.69912 .45015 L
.69777 .45238 L
.69765 .45337 L
.69544 .45659 L
.69456 .45822 L
.69356 .4598 L
.69142 .46302 L
.69134 .46316 L
.68931 .46623 L
.68813 .4681 L
.68719 .46945 L
.68494 .47267 L
.68491 .47272 L
.68267 .47588 L
.6817 .47735 L
.68044 .4791 L
.67848 .48186 L
.67815 .48231 L
.67577 .48553 L
.67526 .48629 L
.67346 .48874 L
.67205 .49073 L
.67115 .49196 L
.66883 .49509 L
.66877 .49518 L
.66637 .49839 L
.66562 .49945 L
.66402 .50161 L
.6624 .5038 L
.66167 .50482 L
.65922 .50804 L
.65918 .50809 L
.65681 .51126 L
.65597 .51239 L
.65444 .51447 L
.65275 .51669 L
.65206 .51769 L
.64956 .5209 L
.64954 .52094 L
.64714 .52412 L
.64632 .52518 L
.64475 .52733 L
.64311 .52941 L
.64235 .53055 L
.63989 .53361 L
Mistroke
.63982 .53377 L
.63731 .53698 L
.63667 .53777 L
.63489 .5402 L
.63346 .54191 L
.63248 .54341 L
.63024 .546 L
.63003 .54663 L
.62717 .54985 L
.62703 .55001 L
.62465 .55306 L
.62381 .55396 L
.62218 .55628 L
.62059 .55781 L
.6191 .55949 L
.61738 .56151 L
.61623 .56271 L
.61416 .56501 L
.61315 .56592 L
.61095 .56823 L
.6096 .56914 L
.60773 .57109 L
.60503 .56914 L
.60597 .56592 L
.60739 .56271 L
.60773 .56184 L
.6089 .55949 L
.61095 .55633 L
.61095 .55628 L
.61292 .55306 L
.61416 .55097 L
.61493 .54985 L
.61715 .54663 L
.61738 .54625 L
.61931 .54341 L
.62059 .54147 L
.62149 .5402 L
.62379 .53698 L
.62381 .53695 L
.62609 .53377 L
.62703 .53239 L
.62836 .53055 L
.63024 .52793 L
.63066 .52733 L
.63306 .52412 L
.63346 .52354 L
.6354 .5209 L
.63667 .51913 L
.63772 .51769 L
.63989 .51478 L
Mistroke
.6401 .51447 L
.64253 .51126 L
.64311 .51046 L
.64489 .50804 L
.64632 .50613 L
.64725 .50482 L
.64954 .50183 L
.64968 .50161 L
.65213 .49839 L
.65275 .49756 L
.65451 .49518 L
.65597 .49328 L
.65688 .49196 L
.65918 .48903 L
.65934 .48874 L
.66184 .48553 L
.6624 .48481 L
.66424 .48231 L
.66562 .48059 L
.66662 .4791 L
.66883 .47641 L
.66908 .47588 L
.67173 .47267 L
.67205 .47228 L
.67417 .46945 L
.67526 .46817 L
.67656 .46623 L
.67848 .46411 L
.67891 .46302 L
.6817 .46014 L
.682 .4598 L
.68462 .45659 L
.68491 .45629 L
.68721 .45337 L
.68813 .45255 L
.69032 .45015 L
.69134 .449 L
.69343 .44694 L
.69456 .44575 L
.69707 .44372 L
.69777 .44309 L
Mfstroke
.5402 .44191 m
.54341 .44125 L
.54503 .44372 L
.54405 .44694 L
.54341 .44812 L
.54241 .45015 L
.5402 .45329 L
.54017 .45337 L
.53772 .45659 L
.53698 .45738 L
.53486 .4598 L
.53377 .46037 L
.53055 .46287 L
.53 .46302 L
.52733 .46375 L
.52416 .46302 L
.52452 .4598 L
.52633 .45659 L
.52733 .4547 L
.52839 .45337 L
.53055 .45088 L
.53138 .45015 L
.53377 .44732 L
.53421 .44694 L
.53698 .44418 L
.53762 .44372 L
.5402 .44191 L
s
.51447 .43663 m
.51769 .43587 L
.51866 .43729 L
.51865 .44051 L
.51769 .44238 L
.51705 .44372 L
.51488 .44694 L
.51447 .44764 L
.51265 .45015 L
.51126 .45211 L
.51032 .45337 L
.50804 .4562 L
.5078 .45659 L
.50496 .4598 L
.50482 .45995 L
.50161 .46271 L
.50123 .46302 L
.49839 .46423 L
.49518 .46496 L
.49196 .46382 L
.49137 .46302 L
.49196 .46083 L
.4923 .4598 L
.49443 .45659 L
.49518 .45521 L
.49665 .45337 L
.49839 .45097 L
.499 .45015 L
.50161 .44695 L
.50162 .44694 L
.50428 .44372 L
.50482 .44345 L
.50725 .44051 L
.50804 .43983 L
.51126 .43757 L
.51177 .43729 L
.51447 .43663 L
s
.48231 .43703 m
.48553 .43594 L
.48786 .43729 L
.48781 .44051 L
.48556 .44372 L
.48553 .44378 L
.48347 .44694 L
.48231 .44869 L
.48126 .45015 L
.4791 .45277 L
.47888 .45337 L
.47588 .45653 L
.47583 .45659 L
.47267 .45979 L
.47265 .4598 L
.46945 .46188 L
.46623 .46279 L
.46302 .46131 L
.46294 .4598 L
.46302 .45953 L
.46416 .45659 L
.46621 .45337 L
.46623 .45333 L
.46845 .45015 L
.46945 .44876 L
.47083 .44694 L
.47267 .44474 L
.47341 .44372 L
.47588 .44121 L
.47627 .44051 L
.4791 .43857 L
.48105 .43729 L
.48231 .43703 L
s
.39227 .42897 m
.39494 .43086 L
.39403 .43408 L
.39263 .43729 L
.39227 .43823 L
.39112 .44051 L
.38905 .44369 L
.38905 .44372 L
.38709 .44694 L
.38584 .44904 L
.38508 .45015 L
.38286 .45337 L
.38262 .45376 L
.38069 .45659 L
.37941 .45853 L
.37851 .4598 L
.37621 .46302 L
.37619 .46305 L
.37391 .46623 L
.37297 .46761 L
.37164 .46945 L
.36976 .47207 L
.36934 .47267 L
.36694 .47588 L
.36654 .47646 L
.3646 .4791 L
.36333 .48087 L
.36228 .48231 L
.36011 .48522 L
.3599 .48553 L
.35747 .48874 L
.35689 .48954 L
.35511 .49196 L
.35368 .49387 L
.35275 .49518 L
.35046 .49817 L
.35032 .49839 L
.34787 .50161 L
.34725 .50244 L
.34549 .50482 L
.34403 .50672 L
.34312 .50804 L
.34082 .51097 L
.34066 .51126 L
.33816 .51447 L
.3376 .51519 L
.33576 .51769 L
.33438 .51941 L
.33338 .5209 L
.33117 .52359 L
Mistroke
.33092 .52412 L
.32827 .52733 L
.32795 .52772 L
.32583 .53055 L
.32474 .53183 L
.32344 .53377 L
.32152 .53589 L
.32109 .53698 L
.3183 .53986 L
.318 .5402 L
.31538 .54341 L
.31509 .54371 L
.31279 .54663 L
.31187 .54745 L
.30968 .54985 L
.30866 .551 L
.30657 .55306 L
.30544 .55425 L
.30293 .55628 L
.30223 .55691 L
.29901 .55718 L
.2989 .55628 L
.29901 .55545 L
.29971 .55306 L
.30088 .54985 L
.30223 .54762 L
.30235 .54663 L
.30456 .54341 L
.30544 .54178 L
.30644 .5402 L
.30858 .53698 L
.30866 .53684 L
.31069 .53377 L
.31187 .5319 L
.31281 .53055 L
.31506 .52733 L
.31509 .52728 L
.31733 .52412 L
.3183 .52265 L
.31956 .5209 L
.32152 .51814 L
.32185 .51769 L
.32423 .51447 L
.32474 .51371 L
.32654 .51126 L
.32795 .50927 L
.32885 .50804 L
.33117 .50491 L
.33123 .50482 L
.33363 .50161 L
Mistroke
.33438 .50055 L
.33598 .49839 L
.3376 .4962 L
.33833 .49518 L
.34078 .49196 L
.34082 .49191 L
.34319 .48874 L
.34403 .48761 L
.34556 .48553 L
.34725 .48331 L
.34794 .48231 L
.35044 .4791 L
.35046 .47906 L
.35286 .47588 L
.35368 .47482 L
.35525 .47267 L
.35689 .47059 L
.35765 .46945 L
.36011 .46639 L
.36018 .46623 L
.36269 .46302 L
.36333 .46223 L
.36511 .4598 L
.36654 .45809 L
.36752 .45659 L
.36976 .454 L
.36997 .45337 L
.37283 .45015 L
.37297 .44999 L
.37535 .44694 L
.37619 .44604 L
.37782 .44372 L
.37941 .44219 L
.3809 .44051 L
.38262 .43849 L
.38377 .43729 L
.38584 .43499 L
.38685 .43408 L
.38905 .43178 L
.39041 .43086 L
.39227 .42897 L
Mfstroke
.68491 .41852 m
.68812 .42121 L
.68677 .42443 L
.68515 .42764 L
.68491 .42815 L
.68345 .43086 L
.6817 .43392 L
.6815 .43408 L
.67932 .43729 L
.67848 .43868 L
.67726 .44051 L
.67526 .44346 L
.67507 .44372 L
.6728 .44694 L
.67205 .44808 L
.67059 .45015 L
.66883 .45267 L
.66834 .45337 L
.66596 .45659 L
.66562 .4571 L
.66366 .4598 L
.6624 .46157 L
.66137 .46302 L
.65918 .46596 L
.659 .46623 L
.65659 .46945 L
.65597 .47032 L
.65425 .47267 L
.65275 .47469 L
.65191 .47588 L
.64954 .47899 L
.64947 .4791 L
.64705 .48231 L
.64632 .4833 L
.6447 .48553 L
.64311 .4876 L
.64234 .48874 L
.63989 .49186 L
.63984 .49196 L
.6374 .49518 L
.63667 .49611 L
.63503 .49839 L
.63346 .50036 L
.63266 .50161 L
.63024 .50456 L
.63015 .50482 L
.62759 .50804 L
.62703 .50874 L
.6252 .51126 L
.62381 .5129 L
Mistroke
.62284 .51447 L
.62059 .51701 L
.62045 .51769 L
.6175 .5209 L
.61738 .52104 L
.61502 .52412 L
.61416 .52503 L
.61262 .52733 L
.61095 .52893 L
.60951 .53055 L
.60773 .53269 L
.6067 .53377 L
.60452 .53625 L
.6037 .53698 L
.6013 .53957 L
.6003 .5402 L
.59808 .54188 L
.59535 .5402 L
.59632 .53698 L
.59775 .53377 L
.59808 .53293 L
.5993 .53055 L
.6013 .52741 L
.60132 .52733 L
.60331 .52412 L
.60452 .52211 L
.60533 .5209 L
.60753 .51769 L
.60773 .51736 L
.60971 .51447 L
.61095 .5126 L
.61189 .51126 L
.61416 .50805 L
.61417 .50804 L
.61649 .50482 L
.61738 .5035 L
.61875 .50161 L
.62059 .49903 L
.62105 .49839 L
.62345 .49518 L
.62381 .49463 L
.62579 .49196 L
.62703 .49023 L
.62811 .48874 L
.63024 .48587 L
.63048 .48553 L
.63292 .48231 L
.63346 .48155 L
.63528 .4791 L
.63667 .47722 L
Mistroke
.63764 .47588 L
.63989 .47293 L
.64007 .47267 L
.64253 .46945 L
.64311 .46867 L
.64492 .46623 L
.64632 .46441 L
.64731 .46302 L
.64954 .46018 L
.64976 .4598 L
.65228 .45659 L
.65275 .45598 L
.65471 .45337 L
.65597 .4518 L
.65712 .45015 L
.65918 .44765 L
.65957 .44694 L
.66227 .44372 L
.6624 .44357 L
.66477 .44051 L
.66562 .43953 L
.66723 .43729 L
.66883 .43556 L
.66963 .43408 L
.67205 .43168 L
.67278 .43086 L
.67526 .42796 L
.67558 .42764 L
.67848 .42445 L
.67851 .42443 L
.6817 .42122 L
.68171 .42121 L
.68491 .41852 L
Mfstroke
.68813 .41729 m
.68863 .418 L
.68813 .42118 L
.68574 .418 L
.68813 .41729 L
s
.51769 .40934 m
.5209 .40844 L
.52254 .41156 L
.52123 .41478 L
.5209 .41531 L
.51947 .418 L
.51769 .42085 L
.51737 .42121 L
.51447 .42431 L
.51425 .42443 L
.51126 .42729 L
.51055 .42764 L
.50804 .42897 L
.50482 .42914 L
.50329 .42764 L
.50431 .42443 L
.50482 .42367 L
.5061 .42121 L
.50804 .41833 L
.50888 .418 L
.51126 .41502 L
.51162 .41478 L
.51447 .41183 L
.51489 .41156 L
.51769 .40934 L
s
.37297 .41148 m
.37619 .40872 L
.37937 .41156 L
.37795 .41478 L
.37627 .418 L
.37619 .41815 L
.37455 .42121 L
.37297 .424 L
.37265 .42443 L
.37036 .42764 L
.36976 .42862 L
.36829 .43086 L
.36654 .43347 L
.36613 .43408 L
.36379 .43729 L
.36333 .438 L
.36158 .44051 L
.36011 .4426 L
.35934 .44372 L
.35694 .44694 L
.35689 .447 L
.35462 .45015 L
.35368 .45147 L
.35233 .45337 L
.35046 .45588 L
.35 .45659 L
.34753 .4598 L
.34725 .4602 L
.34519 .46302 L
.34403 .46456 L
.34286 .46623 L
.34082 .46888 L
.34048 .46945 L
.33796 .47267 L
.3376 .47315 L
.3356 .47588 L
.33438 .47744 L
.33326 .4791 L
.33117 .4817 L
.33086 .48231 L
.32825 .48553 L
.32795 .4859 L
.32586 .48874 L
.32474 .49012 L
.32352 .49196 L
.32152 .49431 L
.32117 .49518 L
.31832 .49839 L
.3183 .49841 L
.31588 .50161 L
Mistroke
.31509 .5025 L
.31352 .50482 L
.31187 .50655 L
.31133 .50804 L
.30866 .5105 L
.30797 .51126 L
.30544 .5143 L
.30526 .51447 L
.30252 .51769 L
.30223 .51793 L
.29941 .5209 L
.29901 .52136 L
.29601 .52412 L
.29579 .52433 L
.29258 .52623 L
.29146 .52412 L
.29246 .5209 L
.29258 .52067 L
.29337 .51769 L
.29566 .51447 L
.29579 .5142 L
.29743 .51126 L
.29901 .50855 L
.29937 .50804 L
.30154 .50482 L
.30223 .50369 L
.30361 .50161 L
.30544 .49885 L
.30576 .49839 L
.30804 .49518 L
.30866 .49421 L
.31025 .49196 L
.31187 .48962 L
.31249 .48874 L
.31484 .48553 L
.31509 .48514 L
.31716 .48231 L
.3183 .48067 L
.31945 .4791 L
.32152 .47627 L
.32179 .47588 L
.32421 .47267 L
.32474 .47191 L
.32656 .46945 L
.32795 .46756 L
.32891 .46623 L
.33117 .46325 L
.33132 .46302 L
.33377 .4598 L
.33438 .45897 L
Mistroke
.33616 .45659 L
.3376 .45469 L
.33854 .45337 L
.34082 .45045 L
.341 .45015 L
.3435 .44694 L
.34403 .44625 L
.34593 .44372 L
.34725 .44206 L
.34834 .44051 L
.35046 .43792 L
.35081 .43729 L
.35348 .43408 L
.35368 .43384 L
.35598 .43086 L
.35689 .4298 L
.35846 .42764 L
.36011 .42583 L
.36087 .42443 L
.36333 .42196 L
.364 .42121 L
.36654 .41824 L
.36679 .418 L
.3697 .41478 L
.36976 .41473 L
.37283 .41156 L
.37297 .41148 L
Mfstroke
.48874 .40754 m
.49196 .40687 L
.4932 .40835 L
.49235 .41156 L
.49196 .41216 L
.49099 .41478 L
.48874 .41721 L
.48817 .418 L
.48564 .42121 L
.48553 .42133 L
.48266 .42443 L
.48231 .42463 L
.4791 .42742 L
.47665 .42764 L
.47588 .42768 L
.47572 .42764 L
.47361 .42443 L
.47588 .4213 L
.47593 .42121 L
.47797 .418 L
.4791 .41645 L
.48026 .41478 L
.48231 .41272 L
.48355 .41156 L
.48553 .40966 L
.48742 .40835 L
.48874 .40754 L
s
.37941 .40729 m
.38008 .40835 L
.37941 .41147 L
.37674 .40835 L
.37941 .40729 L
s
.66883 .39976 m
.6707 .40192 L
.66987 .40513 L
.66883 .40652 L
.66788 .40835 L
.66612 .41156 L
.66562 .41253 L
.66439 .41478 L
.6624 .41747 L
.66206 .418 L
.65999 .42121 L
.65918 .42246 L
.65792 .42443 L
.65597 .4272 L
.65572 .42764 L
.65331 .43086 L
.65275 .43167 L
.6511 .43408 L
.64954 .43624 L
.64887 .43729 L
.64638 .44051 L
.64632 .44059 L
.64407 .44372 L
.64311 .44504 L
.6418 .44694 L
.63989 .44942 L
.63948 .45015 L
.63692 .45337 L
.63667 .4537 L
.63458 .45659 L
.63346 .45804 L
.63228 .4598 L
.63024 .46233 L
.62993 .46302 L
.62726 .46623 L
.62703 .46653 L
.6249 .46945 L
.62381 .47078 L
.6226 .47267 L
.62059 .47499 L
.62031 .47588 L
.61738 .47909 L
.61737 .4791 L
.61496 .48231 L
.61416 .48321 L
.61265 .48553 L
.61095 .48728 L
.6097 .48874 L
.60773 .49126 L
.60708 .49196 L
Mistroke
.60452 .49507 L
.6044 .49518 L
.60175 .49839 L
.6013 .49876 L
.59866 .50161 L
.59808 .5023 L
.59547 .50482 L
.59487 .50553 L
.59165 .50798 L
.59022 .50482 L
.59165 .50164 L
.59167 .50161 L
.59289 .49839 L
.59487 .49563 L
.59513 .49518 L
.59697 .49196 L
.59808 .49003 L
.59886 .48874 L
.60106 .48553 L
.6013 .48512 L
.60315 .48231 L
.60452 .48022 L
.60526 .4791 L
.60755 .47588 L
.60773 .47559 L
.60979 .47267 L
.61095 .47097 L
.61202 .46945 L
.61416 .46648 L
.61433 .46623 L
.6167 .46302 L
.61738 .46205 L
.61902 .4598 L
.62059 .45764 L
.62134 .45659 L
.62377 .45337 L
.62381 .45331 L
.62617 .45015 L
.62703 .44899 L
.62853 .44694 L
.63024 .44469 L
.63091 .44372 L
.63342 .44051 L
.63346 .44046 L
.63587 .43729 L
.63667 .43625 L
.63828 .43408 L
.63989 .43207 L
.6407 .43086 L
.64311 .42795 L
Mistroke
.64323 .42764 L
.64588 .42443 L
.64632 .4239 L
.64838 .42121 L
.64954 .41989 L
.65083 .418 L
.65275 .41597 L
.65315 .41478 L
.65597 .41216 L
.65653 .41156 L
.65918 .40853 L
.65939 .40835 L
.6624 .40514 L
.66242 .40513 L
.66562 .4021 L
.66583 .40192 L
.66883 .39976 L
Mfstroke
.63989 .39625 m
.64249 .3987 L
.64073 .40192 L
.63989 .40336 L
.63879 .40513 L
.63678 .40835 L
.63667 .40851 L
.6353 .41156 L
.63346 .41325 L
.63239 .41478 L
.63024 .41788 L
.63016 .418 L
.62816 .42121 L
.62703 .4226 L
.62551 .42443 L
.62381 .42724 L
.62316 .42764 L
.62082 .43086 L
.62059 .43112 L
.61878 .43408 L
.61738 .43553 L
.61585 .43729 L
.61416 .4399 L
.61335 .44051 L
.61095 .44357 L
.61082 .44372 L
.60821 .44694 L
.60773 .44764 L
.60552 .45015 L
.60452 .4517 L
.60273 .45337 L
.6013 .45498 L
.59974 .45659 L
.59808 .45825 L
.59523 .45659 L
.59687 .45337 L
.59808 .45125 L
.59873 .45015 L
.60057 .44694 L
.6013 .4458 L
.60191 .44372 L
.60452 .44114 L
.60494 .44051 L
.60706 .43729 L
.60773 .43636 L
.60903 .43408 L
.61095 .43168 L
.61168 .43086 L
.61399 .42764 L
.61416 .42741 L
Mistroke
.61622 .42443 L
.61738 .423 L
.61827 .42121 L
.62059 .41869 L
.62124 .418 L
.62372 .41478 L
.62381 .41468 L
.6261 .41156 L
.62703 .41058 L
.6281 .40835 L
.63024 .40657 L
.63161 .40513 L
.63346 .40261 L
.63441 .40192 L
.63667 .39943 L
.6374 .3987 L
.63989 .39625 L
Mfstroke
.64311 .39395 m
.64382 .39548 L
.64311 .39743 L
.64081 .39548 L
.64311 .39395 L
s
.35689 .3946 m
.35871 .39548 L
.35773 .3987 L
.35689 .40049 L
.35615 .40192 L
.35454 .40513 L
.35368 .40679 L
.35238 .40835 L
.35046 .41137 L
.35034 .41156 L
.34836 .41478 L
.34725 .41644 L
.34642 .418 L
.34403 .42108 L
.3438 .42121 L
.34161 .42443 L
.34082 .42554 L
.33948 .42764 L
.3376 .4301 L
.33733 .43086 L
.33461 .43408 L
.33438 .43437 L
.33236 .43729 L
.33117 .43882 L
.33017 .44051 L
.32795 .44316 L
.32744 .44372 L
.32507 .44694 L
.32474 .44736 L
.32278 .45015 L
.32152 .45166 L
.32061 .45337 L
.3183 .45589 L
.31767 .45659 L
.31521 .4598 L
.31509 .45994 L
.31287 .46302 L
.31187 .46409 L
.31074 .46623 L
.30866 .46817 L
.3075 .46945 L
.30544 .47214 L
.30486 .47267 L
.30223 .47585 L
.30214 .47588 L
.29928 .4791 L
.29901 .47943 L
.29619 .48231 L
.29579 .4828 L
.29258 .48543 L
Mistroke
.29098 .48231 L
.29237 .4791 L
.29258 .47857 L
.29338 .47588 L
.29579 .47296 L
.29597 .47267 L
.29784 .46945 L
.29901 .46754 L
.29974 .46623 L
.30209 .46302 L
.30223 .4628 L
.30421 .4598 L
.30544 .45799 L
.30635 .45659 L
.30866 .45343 L
.30869 .45337 L
.31098 .45015 L
.31187 .44889 L
.31323 .44694 L
.31509 .44443 L
.31553 .44372 L
.318 .44051 L
.3183 .44008 L
.32035 .43729 L
.32152 .43574 L
.32268 .43408 L
.32474 .43146 L
.32507 .43086 L
.32766 .42764 L
.32795 .42727 L
.33009 .42443 L
.33117 .42309 L
.33248 .42121 L
.33438 .41898 L
.33485 .418 L
.3376 .41497 L
.33777 .41478 L
.34035 .41156 L
.34082 .41105 L
.34288 .40835 L
.34403 .40721 L
.34517 .40513 L
.34725 .4035 L
.34878 .40192 L
.35046 .39996 L
.35191 .3987 L
.35368 .39656 L
.35559 .39548 L
.35689 .3946 L
Mfstroke
.73636 .21861 m
.73958 .21857 L
.7428 .21858 L
.74472 .21861 L
.74601 .21864 L
.74923 .21875 L
.75244 .21891 L
.75566 .21914 L
.75888 .21945 L
.76209 .21986 L
.76531 .2204 L
.76852 .22114 L
.77081 .22183 L
.77174 .22205 L
.77495 .22331 L
.77719 .22505 L
.77817 .226 L
.77945 .22826 L
.7792 .23148 L
.77817 .23316 L
.77664 .23469 L
.77495 .23601 L
.77174 .23761 L
.77093 .23791 L
.76852 .23879 L
.76531 .2397 L
.76209 .2404 L
.75888 .24094 L
.75756 .24112 L
.75566 .24136 L
.75244 .24169 L
.74923 .24193 L
.74601 .24209 L
.7428 .24217 L
.73958 .24219 L
.73636 .24214 L
.73315 .24202 L
.72993 .24182 L
.72672 .24154 L
.7235 .24116 L
.72321 .24112 L
.72029 .24069 L
.71707 .24007 L
.71385 .23927 L
.71064 .23822 L
.70984 .23791 L
.70742 .23692 L
.70421 .23476 L
.70413 .23469 L
.70157 .23148 L
Mistroke
.70132 .22826 L
.70358 .22505 L
.70421 .22445 L
.70742 .22256 L
.70996 .22183 L
.71064 .22161 L
.71385 .22074 L
.71707 .22011 L
.72029 .21964 L
.7235 .21929 L
.72672 .21902 L
.72993 .21883 L
.73315 .21869 L
.73596 .21861 L
.73636 .21861 L
Mfstroke
.73315 .15107 m
.73636 .151 L
.73958 .15097 L
.7428 .15098 L
.74601 .15103 L
.74814 .15108 L
.74923 .15112 L
.75244 .15125 L
.75566 .15143 L
.75888 .15167 L
.76209 .15198 L
.76531 .15237 L
.76852 .15286 L
.77174 .15347 L
.77495 .15427 L
.77506 .1543 L
.77817 .15525 L
.78139 .15662 L
.78296 .15751 L
.7846 .15841 L
.78675 .16073 L
.78782 .1625 L
.78826 .16394 L
.78791 .16716 L
.78782 .16737 L
.78553 .17038 L
.7846 .1712 L
.78139 .17308 L
.78004 .17359 L
.77817 .1743 L
.77495 .17525 L
.77174 .17597 L
.76852 .17652 L
.76645 .17681 L
.76531 .17695 L
.76209 .17731 L
.75888 .17758 L
.75566 .1778 L
.75244 .17797 L
.74923 .17809 L
.74601 .17817 L
.7428 .17821 L
.73958 .17822 L
.73636 .17819 L
.73315 .17813 L
.72993 .17803 L
.72672 .17789 L
.7235 .1777 L
.72029 .17745 L
.71707 .17714 L
Mistroke
.71432 .17681 L
.71385 .17675 L
.71064 .17626 L
.70742 .17564 L
.70421 .17481 L
.70099 .1737 L
.70072 .17359 L
.69777 .17229 L
.69524 .17038 L
.69456 .16972 L
.69286 .16716 L
.69251 .16394 L
.69402 .16073 L
.69456 .15995 L
.69777 .15753 L
.69781 .15751 L
.70099 .15587 L
.70421 .15472 L
.7057 .1543 L
.70742 .15384 L
.71064 .15315 L
.71385 .1526 L
.71707 .15216 L
.72029 .15182 L
.7235 .15155 L
.72672 .15134 L
.72993 .15118 L
.73272 .15108 L
.73315 .15107 L
Mfstroke
.88429 .12139 m
.88751 .12057 L
.89073 .12031 L
.89394 .1206 L
.89716 .12146 L
.89892 .12214 L
.90037 .1229 L
.90359 .12498 L
.90408 .12535 L
.9068 .12777 L
.9076 .12857 L
.91002 .13139 L
.91033 .13179 L
.91258 .135 L
.91324 .13605 L
.91449 .13822 L
.91612 .14143 L
.91645 .14215 L
.91754 .14465 L
.91876 .14786 L
.91967 .15056 L
.91983 .15108 L
.92075 .1543 L
.92154 .15751 L
.9222 .16073 L
.92275 .16394 L
.92288 .16486 L
.92318 .16716 L
.92352 .17038 L
.92375 .17359 L
.92388 .17681 L
.92391 .18002 L
.92385 .18324 L
.92368 .18645 L
.92342 .18967 L
.92305 .19289 L
.92288 .19411 L
.92258 .1961 L
.92199 .19932 L
.92129 .20253 L
.92046 .20575 L
.91967 .20841 L
.91949 .20897 L
.91837 .21218 L
.91709 .2154 L
.91645 .21683 L
.9156 .21861 L
.91388 .22183 L
.91324 .22292 L
.91188 .22505 L
Mistroke
.91002 .22759 L
.90948 .22826 L
.9068 .23121 L
.90653 .23148 L
.90359 .234 L
.90264 .23469 L
.90037 .23608 L
.89716 .23752 L
.8965 .23791 L
.89394 .23837 L
.89073 .23867 L
.88751 .23841 L
.8853 .23791 L
.88429 .23759 L
.88108 .23618 L
.87861 .23469 L
.87786 .23415 L
.87471 .23148 L
.87465 .23141 L
.87176 .22826 L
.87143 .22785 L
.86937 .22505 L
.86821 .22327 L
.86736 .22183 L
.86564 .21861 L
.865 .21727 L
.86416 .2154 L
.86288 .21218 L
.86178 .209 L
.86177 .20897 L
.86082 .20575 L
.86 .20253 L
.8593 .19932 L
.85872 .1961 L
.85857 .19518 L
.85824 .19289 L
.85787 .18967 L
.85759 .18645 L
.85741 .18324 L
.85733 .18002 L
.85735 .17681 L
.85747 .17359 L
.85769 .17038 L
.85802 .16716 L
.85846 .16394 L
.85857 .16326 L
.85901 .16073 L
.85969 .15751 L
.86048 .1543 L
.86141 .15108 L
Mistroke
.86178 .14991 L
.86248 .14786 L
.86372 .14465 L
.865 .14173 L
.86514 .14143 L
.86678 .13822 L
.86821 .13574 L
.86868 .135 L
.87093 .13179 L
.87143 .13114 L
.87366 .12857 L
.87465 .12757 L
.87717 .12535 L
.87786 .12483 L
.88108 .12279 L
.88232 .12214 L
.88429 .12139 L
Mfstroke
.582 .1221 m
.58522 .12096 L
.58844 .12038 L
.59165 .12037 L
.59487 .1209 L
.59808 .12201 L
.59837 .12214 L
.6013 .12373 L
.60361 .12535 L
.60452 .12611 L
.60711 .12857 L
.60773 .12925 L
.60984 .13179 L
.61095 .1333 L
.61209 .135 L
.61399 .13822 L
.61416 .13853 L
.61563 .14143 L
.61705 .14465 L
.61738 .14546 L
.61828 .14786 L
.61936 .15108 L
.62029 .1543 L
.62059 .15547 L
.62108 .15751 L
.62176 .16073 L
.62231 .16394 L
.62275 .16716 L
.62308 .17038 L
.6233 .17359 L
.62342 .17681 L
.62344 .18002 L
.62336 .18324 L
.62318 .18645 L
.6229 .18967 L
.62253 .19289 L
.62205 .1961 L
.62147 .19932 L
.62077 .20253 L
.62059 .20328 L
.61995 .20575 L
.619 .20897 L
.61789 .21218 L
.61738 .21352 L
.61661 .2154 L
.61513 .21861 L
.61416 .22048 L
.61341 .22183 L
.6114 .22505 L
.61095 .2257 L
Mistroke
.60901 .22826 L
.60773 .22974 L
.60606 .23148 L
.60452 .23288 L
.60216 .23469 L
.6013 .23525 L
.59808 .23696 L
.59557 .23791 L
.59487 .23807 L
.59165 .23861 L
.58844 .23859 L
.58522 .23802 L
.58476 .23791 L
.582 .23687 L
.57879 .23512 L
.57814 .23469 L
.57557 .2327 L
.57423 .23148 L
.57236 .22951 L
.57129 .22826 L
.56914 .2254 L
.5689 .22505 L
.56688 .22183 L
.56592 .22009 L
.56517 .21861 L
.56368 .2154 L
.56271 .21301 L
.5624 .21218 L
.56128 .20897 L
.56031 .20575 L
.55949 .20258 L
.55948 .20253 L
.55878 .19932 L
.55819 .1961 L
.55772 .19289 L
.55735 .18967 L
.55709 .18645 L
.55692 .18324 L
.55686 .18002 L
.55689 .17681 L
.55702 .17359 L
.55725 .17038 L
.55758 .16716 L
.55802 .16394 L
.55857 .16073 L
.55923 .15751 L
.55949 .15639 L
.56002 .1543 L
.56094 .15108 L
.562 .14786 L
Mistroke
.56271 .14597 L
.56323 .14465 L
.56465 .14143 L
.56592 .13888 L
.56628 .13822 L
.56819 .135 L
.56914 .13357 L
.57044 .13179 L
.57236 .12946 L
.57317 .12857 L
.57557 .12628 L
.57668 .12535 L
.57879 .12386 L
.58192 .12214 L
.582 .1221 L
Mfstroke
.72993 .09537 m
.73315 .09464 L
.73636 .09426 L
.73958 .09411 L
.7428 .09416 L
.74601 .09441 L
.74923 .09495 L
.75244 .09595 L
.75347 .09641 L
.75566 .09752 L
.7576 .09963 L
.75587 .10284 L
.75566 .10297 L
.75244 .10427 L
.74923 .10499 L
.74601 .10542 L
.7428 .10564 L
.73958 .10568 L
.73636 .10555 L
.73315 .10523 L
.72993 .10468 L
.72672 .10373 L
.72489 .10284 L
.7235 .10159 L
.72317 .09963 L
.7235 .09899 L
.72672 .09666 L
.7273 .09641 L
.72993 .09537 L
s
0 0 1 r
[ .005 .005 ] 0 setdash
.23148 .85852 m
.23469 .85784 L
.23791 .85733 L
.24112 .85694 L
.24434 .85664 L
.24756 .85642 L
.25077 .85626 L
.25399 .85615 L
.2572 .8561 L
.26042 .85609 L
.26364 .85612 L
.26685 .8562 L
.27007 .85633 L
.27328 .85652 L
.2765 .85678 L
.27971 .85712 L
.28293 .85757 L
.28615 .85816 L
.28793 .85857 L
.28936 .85888 L
.29258 .85985 L
.29579 .86146 L
.29626 .86178 L
.29901 .86428 L
.29946 .865 L
.29998 .86821 L
.29901 .87053 L
.29832 .87143 L
.29579 .87382 L
.29406 .87465 L
.29258 .8754 L
.28936 .87667 L
.28615 .8776 L
.28505 .87786 L
.28293 .87833 L
.27971 .87891 L
.2765 .87936 L
.27328 .87971 L
.27007 .87997 L
.26685 .88015 L
.26364 .88027 L
.26042 .88031 L
.2572 .8803 L
.25399 .88022 L
.25077 .88007 L
.24756 .87985 L
.24434 .87955 L
.24112 .87915 L
.23791 .87864 L
.23469 .87798 L
Mistroke
.23418 .87786 L
.23148 .87717 L
.22826 .87609 L
.22517 .87465 L
.22505 .8746 L
.22183 .87255 L
.22091 .87143 L
.21925 .86821 L
.21978 .865 L
.22183 .86261 L
.22297 .86178 L
.22505 .86054 L
.22826 .85931 L
.2313 .85857 L
.23148 .85852 L
Mfstroke
.23148 .79077 m
.23469 .79026 L
.23791 .78985 L
.24112 .78953 L
.24434 .78929 L
.24756 .7891 L
.25077 .78896 L
.25399 .78886 L
.2572 .78881 L
.26042 .7888 L
.26364 .78883 L
.26685 .7889 L
.27007 .78902 L
.27328 .78918 L
.2765 .7894 L
.27971 .78968 L
.28293 .79004 L
.28615 .7905 L
.28919 .79103 L
.28936 .79107 L
.29258 .79177 L
.29579 .7927 L
.29901 .79395 L
.29965 .79425 L
.30223 .79557 L
.30447 .79747 L
.30544 .79856 L
.30664 .80068 L
.30691 .8039 L
.30544 .80694 L
.3053 .80711 L
.30223 .80984 L
.30108 .81033 L
.29901 .81133 L
.29579 .81247 L
.29258 .81329 L
.29134 .81355 L
.28936 .81393 L
.28615 .81444 L
.28293 .81484 L
.27971 .81516 L
.2765 .81541 L
.27328 .8156 L
.27007 .81574 L
.26685 .81584 L
.26364 .8159 L
.26042 .81593 L
.2572 .81592 L
.25399 .81587 L
.25077 .81579 L
Mistroke
.24756 .81567 L
.24434 .81551 L
.24112 .81529 L
.23791 .81501 L
.23469 .81466 L
.23148 .8142 L
.22826 .81362 L
.22789 .81355 L
.22505 .81291 L
.22183 .81195 L
.21861 .81058 L
.21815 .81033 L
.2154 .80878 L
.21393 .80711 L
.21232 .8039 L
.21259 .80068 L
.21476 .79747 L
.2154 .79682 L
.21861 .79468 L
.21958 .79425 L
.22183 .79327 L
.22505 .7922 L
.22826 .7914 L
.23004 .79103 L
.23148 .79077 L
Mfstroke
.25077 .73567 m
.25399 .73474 L
.2572 .73432 L
.26042 .73424 L
.26364 .73448 L
.26685 .73512 L
.26981 .73636 L
.27007 .73656 L
.2702 .73958 L
.27007 .73968 L
.26685 .741 L
.26364 .74157 L
.26042 .74178 L
.2572 .74171 L
.25399 .74134 L
.25077 .7405 L
.249 .73958 L
.24941 .73636 L
.25077 .73567 L
s
.34082 .60412 m
.34399 .60452 L
.34082 .60532 L
.34075 .60452 L
.34082 .60412 L
s
.52412 .57232 m
.52432 .57236 L
.5264 .57557 L
.52412 .5787 L
.52407 .57879 L
.52203 .582 L
.5209 .58355 L
.51974 .58522 L
.51769 .58728 L
.51645 .58844 L
.51447 .59034 L
.51258 .59165 L
.51126 .59246 L
.50804 .59313 L
.5068 .59165 L
.50765 .58844 L
.50804 .58784 L
.50901 .58522 L
.51126 .58279 L
.51183 .582 L
.51436 .57879 L
.51447 .57867 L
.51734 .57557 L
.51769 .57537 L
.5209 .57257 L
.52331 .57236 L
.52412 .57232 L
s
.49196 .57103 m
.49518 .57086 L
.49671 .57236 L
.49569 .57557 L
.49518 .57633 L
.4939 .57879 L
.49196 .58167 L
.49112 .582 L
.48874 .58498 L
.48838 .58522 L
.48553 .58817 L
.48511 .58844 L
.48231 .59066 L
.4791 .59157 L
.47746 .58844 L
.47877 .58522 L
.4791 .58469 L
.48053 .582 L
.48231 .57914 L
.48263 .57879 L
.48553 .57569 L
.48575 .57557 L
.48874 .57271 L
.48945 .57236 L
.49196 .57103 L
s
.70099 .54313 m
.70421 .54049 L
.70496 .54341 L
.70421 .54506 L
.70341 .54663 L
.70193 .54985 L
.70099 .55153 L
.69967 .55306 L
.69777 .55606 L
.69763 .55628 L
.69571 .55949 L
.69456 .56111 L
.69405 .56271 L
.69134 .56578 L
.69109 .56592 L
.68889 .56914 L
.68813 .57015 L
.68681 .57236 L
.68491 .57464 L
.68411 .57557 L
.6817 .57879 L
.6817 .5788 L
.67937 .582 L
.67848 .58305 L
.67724 .58522 L
.67526 .58723 L
.67419 .58844 L
.67205 .59128 L
.67158 .59165 L
.66891 .59487 L
.66883 .59494 L
.66644 .59808 L
.66562 .59867 L
.66309 .6013 L
.6624 .6022 L
.6597 .60452 L
.65918 .60495 L
.65667 .60452 L
.65801 .6013 L
.65918 .59905 L
.65975 .59808 L
.66169 .59487 L
.6624 .59372 L
.66375 .59165 L
.66562 .58881 L
.66587 .58844 L
.66778 .58522 L
.66883 .58384 L
.67034 .582 L
.67205 .57958 L
Mistroke
.67263 .57879 L
.67486 .57557 L
.67526 .57508 L
.67679 .57236 L
.67848 .57051 L
.67973 .56914 L
.6817 .5661 L
.68215 .56592 L
.6845 .56271 L
.68491 .56227 L
.68713 .55949 L
.68813 .55799 L
.68969 .55628 L
.69134 .5537 L
.6923 .55306 L
.69456 .55032 L
.69497 .54985 L
.69776 .54663 L
.69777 .54661 L
.7008 .54341 L
.70099 .54313 L
Mfstroke
.53055 .53813 m
.53377 .53723 L
.53698 .53884 L
.53703 .5402 L
.53698 .54038 L
.53582 .54341 L
.53378 .54663 L
.53377 .54666 L
.53155 .54985 L
.53055 .55124 L
.52917 .55306 L
.52733 .55526 L
.52659 .55628 L
.52412 .55879 L
.52372 .55949 L
.5209 .56142 L
.51895 .56271 L
.51769 .56297 L
.51447 .56406 L
.51214 .56271 L
.51219 .55949 L
.51444 .55628 L
.51447 .55622 L
.51653 .55306 L
.51769 .55131 L
.51874 .54985 L
.5209 .54723 L
.52112 .54663 L
.52412 .54347 L
.52417 .54341 L
.52733 .54021 L
.52735 .5402 L
.53055 .53813 L
s
.50161 .53577 m
.50482 .53504 L
.50804 .53618 L
.50863 .53698 L
.50804 .53917 L
.5077 .5402 L
.50557 .54341 L
.50482 .54479 L
.50335 .54663 L
.50161 .54903 L
.501 .54985 L
.49839 .55305 L
.49838 .55306 L
.49572 .55628 L
.49518 .55655 L
.49275 .55949 L
.49196 .56017 L
.48874 .56243 L
.48823 .56271 L
.48553 .56337 L
.48231 .56413 L
.48134 .56271 L
.48135 .55949 L
.48231 .55762 L
.48295 .55628 L
.48512 .55306 L
.48553 .55237 L
.48735 .54985 L
.48874 .54789 L
.48968 .54663 L
.49196 .5438 L
.4922 .54341 L
.49504 .5402 L
.49518 .54005 L
.49839 .53729 L
.49877 .53698 L
.50161 .53577 L
s
.47267 .53626 m
.47584 .53698 L
.47548 .5402 L
.47367 .54341 L
.47267 .5453 L
.47161 .54663 L
.46945 .54912 L
.46861 .54985 L
.46623 .55268 L
.46579 .55306 L
.46302 .55581 L
.46236 .55628 L
.4598 .55806 L
.45659 .55864 L
.45507 .55628 L
.456 .55306 L
.45659 .55196 L
.45762 .54985 L
.4598 .54674 L
.45984 .54663 L
.4623 .54341 L
.46302 .54264 L
.46516 .5402 L
.46623 .53965 L
.46945 .53714 L
.47003 .53698 L
.47267 .53626 L
s
.40835 .51306 m
.41041 .51447 L
.40911 .51769 L
.40835 .51918 L
.40742 .5209 L
.40564 .52412 L
.40513 .52504 L
.40397 .52733 L
.40192 .53044 L
.40162 .53055 L
.39958 .53377 L
.3987 .53514 L
.39756 .53698 L
.39548 .53993 L
.39536 .5402 L
.39305 .54341 L
.39227 .54457 L
.39087 .54663 L
.38905 .54915 L
.38863 .54985 L
.38621 .55306 L
.38584 .55359 L
.38391 .55628 L
.38262 .55803 L
.38162 .55949 L
.37941 .56237 L
.37923 .56271 L
.37674 .56592 L
.37619 .56666 L
.37437 .56914 L
.37297 .57092 L
.37201 .57236 L
.36976 .5751 L
.36956 .57557 L
.36688 .57879 L
.36654 .57921 L
.36442 .582 L
.36333 .58328 L
.36201 .58522 L
.36011 .58728 L
.35977 .58844 L
.35689 .59116 L
.35643 .59165 L
.35368 .59485 L
.35366 .59487 L
.35087 .59808 L
.35046 .59841 L
.34763 .6013 L
.34725 .60172 L
.34403 .60449 L
Mistroke
.3418 .6013 L
.34301 .59808 L
.34403 .59686 L
.34519 .59487 L
.34711 .59165 L
.34725 .59142 L
.34891 .58844 L
.35046 .58604 L
.35068 .58522 L
.35347 .582 L
.35368 .5817 L
.35556 .57879 L
.35689 .57693 L
.35762 .57557 L
.36011 .57248 L
.36027 .57236 L
.36252 .56914 L
.36333 .56805 L
.3647 .56592 L
.36654 .56359 L
.36688 .56271 L
.36966 .55949 L
.36976 .55937 L
.37195 .55628 L
.37297 .555 L
.37416 .55306 L
.37619 .55069 L
.37693 .54985 L
.37936 .54663 L
.37941 .54657 L
.38169 .54341 L
.38262 .54234 L
.38389 .5402 L
.38584 .53816 L
.38687 .53698 L
.38905 .5341 L
.38941 .53377 L
.39192 .53055 L
.39227 .53019 L
.39423 .52733 L
.39548 .52624 L
.39739 .52412 L
.3987 .52239 L
.40021 .5209 L
.40192 .5186 L
.4032 .51769 L
.40513 .51574 L
.40656 .51447 L
.40835 .51306 L
Mfstroke
.44694 .50725 m
.45015 .50721 L
.45018 .50804 L
.45015 .50812 L
.44844 .51126 L
.44694 .51321 L
.44582 .51447 L
.44372 .51647 L
.44199 .51769 L
.44051 .51824 L
.43955 .51769 L
.44031 .51447 L
.44051 .51426 L
.44251 .51126 L
.44372 .50988 L
.44573 .50804 L
.44694 .50725 L
s
.5402 .50473 m
.54341 .50413 L
.54517 .50482 L
.54587 .50804 L
.54419 .51126 L
.54341 .51259 L
.54227 .51447 L
.5402 .51757 L
.54005 .51769 L
.5376 .5209 L
.53698 .52164 L
.53502 .52412 L
.53377 .52523 L
.53206 .52733 L
.53055 .52859 L
.52733 .53043 L
.527 .53055 L
.52412 .53113 L
.5209 .53083 L
.52047 .53055 L
.52062 .52733 L
.5209 .52687 L
.52234 .52412 L
.52412 .52184 L
.52447 .5209 L
.52715 .51769 L
.52733 .51745 L
.52956 .51447 L
.53055 .5134 L
.53206 .51126 L
.53377 .50979 L
.53471 .50804 L
.53698 .50699 L
.53997 .50482 L
.5402 .50473 L
s
.50804 .50311 m
.51126 .50194 L
.51447 .50163 L
.51769 .50242 L
.51807 .50482 L
.51769 .50567 L
.51644 .50804 L
.51447 .51094 L
.51429 .51126 L
.51194 .51447 L
.51126 .51546 L
.50959 .51769 L
.50804 .51968 L
.50717 .5209 L
.50482 .52372 L
.50458 .52412 L
.50167 .52733 L
.50161 .52741 L
.49839 .52988 L
.49761 .53055 L
.49518 .53146 L
.49196 .53181 L
.48874 .53103 L
.48822 .53055 L
.48874 .52767 L
.48884 .52733 L
.49079 .52412 L
.49196 .52242 L
.49295 .5209 L
.49518 .51778 L
.4953 .51769 L
.49774 .51447 L
.49839 .51369 L
.50019 .51126 L
.50161 .50977 L
.50275 .50804 L
.50482 .50648 L
.50564 .50482 L
.50804 .50311 L
s
.47588 .50412 m
.4791 .50256 L
.48231 .50174 L
.48553 .50192 L
.48691 .50482 L
.48553 .50709 L
.48517 .50804 L
.48276 .51126 L
.48231 .51195 L
.48048 .51447 L
.4791 .51625 L
.47812 .51769 L
.47588 .52026 L
.47564 .5209 L
.47267 .52399 L
.47255 .52412 L
.46945 .52708 L
.46915 .52733 L
.46623 .52883 L
.46302 .53019 L
.4598 .52816 L
.45967 .52733 L
.4598 .52657 L
.46059 .52412 L
.4625 .5209 L
.46302 .51983 L
.4646 .51769 L
.46623 .51523 L
.46685 .51447 L
.46933 .51126 L
.46945 .51116 L
.47196 .50804 L
.47267 .50721 L
.47504 .50482 L
.47588 .50412 L
s
.70742 .49329 m
.70994 .49518 L
.70876 .49839 L
.70742 .50115 L
.70719 .50161 L
.70555 .50482 L
.70421 .50733 L
.70378 .50804 L
.70154 .51126 L
.70099 .51219 L
.69953 .51447 L
.69777 .51715 L
.69742 .51769 L
.69516 .5209 L
.69456 .52183 L
.69297 .52412 L
.69134 .52648 L
.69076 .52733 L
.68841 .53055 L
.68813 .53098 L
.68611 .53377 L
.68491 .53547 L
.68383 .53698 L
.6817 .53989 L
.68149 .5402 L
.67907 .54341 L
.67848 .54425 L
.67673 .54663 L
.67526 .5486 L
.67438 .54985 L
.67205 .55289 L
.67194 .55306 L
.66949 .55628 L
.66883 .55715 L
.66709 .55949 L
.66562 .56139 L
.6647 .56271 L
.6624 .56559 L
.66222 .56592 L
.65965 .56914 L
.65918 .56972 L
.65719 .57236 L
.65597 .57383 L
.65475 .57557 L
.65275 .57788 L
.65232 .57879 L
.64954 .58183 L
.64939 .582 L
.64676 .58522 L
.64632 .58569 L
Mistroke
.64415 .58844 L
.64311 .58943 L
.64171 .59165 L
.63989 .59301 L
.63803 .59487 L
.63667 .59634 L
.63462 .59808 L
.63346 .59927 L
.63024 .60063 L
.62976 .59808 L
.63024 .59662 L
.63099 .59487 L
.63236 .59165 L
.63346 .5901 L
.63442 .58844 L
.63634 .58522 L
.63667 .58465 L
.63825 .582 L
.63989 .57946 L
.64028 .57879 L
.6427 .57557 L
.64311 .57495 L
.64484 .57236 L
.64632 .57023 L
.64702 .56914 L
.64947 .56592 L
.64954 .56583 L
.65173 .56271 L
.65275 .56129 L
.65398 .55949 L
.65597 .55686 L
.6563 .55628 L
.6588 .55306 L
.65918 .55254 L
.66111 .54985 L
.6624 .54815 L
.6634 .54663 L
.66562 .54384 L
.6658 .54341 L
.66836 .5402 L
.66883 .53958 L
.67069 .53698 L
.67205 .53529 L
.67299 .53377 L
.67526 .53105 L
.67538 .53055 L
.67811 .52733 L
.67848 .52688 L
.68047 .52412 L
.6817 .52269 L
Mistroke
.68275 .5209 L
.68491 .51854 L
.68564 .51769 L
.68813 .51452 L
.68817 .51447 L
.69063 .51126 L
.69134 .51051 L
.69294 .50804 L
.69456 .50656 L
.69611 .50482 L
.69777 .50274 L
.69889 .50161 L
.70099 .49907 L
.70184 .49839 L
.70421 .49549 L
.70511 .49518 L
.70742 .49329 L
Mfstroke
.54663 .47476 m
.54985 .47384 L
.55193 .47588 L
.55131 .4791 L
.54985 .48181 L
.54966 .48231 L
.54751 .48553 L
.54663 .48687 L
.54521 .48874 L
.54341 .4909 L
.54259 .49196 L
.5402 .49409 L
.53944 .49518 L
.53698 .49602 L
.53377 .49802 L
.53055 .49683 L
.52968 .49518 L
.53055 .49356 L
.53142 .49196 L
.53353 .48874 L
.53377 .48838 L
.53575 .48553 L
.53698 .48409 L
.538 .48231 L
.5402 .48033 L
.54141 .4791 L
.54341 .47709 L
.54492 .47588 L
.54663 .47476 L
s
.40513 .47429 m
.40755 .47588 L
.40672 .4791 L
.40537 .48231 L
.40513 .48296 L
.40397 .48553 L
.40193 .48874 L
.40192 .48877 L
.40003 .49196 L
.3987 .4942 L
.39805 .49518 L
.39586 .49839 L
.39548 .49901 L
.39372 .50161 L
.39227 .5038 L
.39155 .50482 L
.38926 .50804 L
.38905 .50836 L
.38698 .51126 L
.38584 .51292 L
.38472 .51447 L
.38262 .51738 L
.38241 .51769 L
.38002 .5209 L
.37941 .5218 L
.37769 .52412 L
.37619 .5262 L
.37537 .52733 L
.37297 .53054 L
.37296 .53055 L
.37055 .53377 L
.36976 .53486 L
.36819 .53698 L
.36654 .53917 L
.36582 .5402 L
.36335 .54341 L
.36333 .54344 L
.36091 .54663 L
.36011 .54769 L
.35852 .54985 L
.35689 .55192 L
.35611 .55306 L
.35368 .55611 L
.35359 .55628 L
.35108 .55949 L
.35046 .56026 L
.34863 .56271 L
.34725 .56439 L
.3462 .56592 L
.34403 .56846 L
Mistroke
.34373 .56914 L
.34088 .57236 L
.34082 .57244 L
.33831 .57557 L
.3376 .57634 L
.33577 .57879 L
.33438 .58014 L
.33342 .582 L
.33117 .58379 L
.32978 .58522 L
.32795 .58723 L
.3266 .58844 L
.32474 .59037 L
.32275 .59165 L
.32152 .59285 L
.31945 .59165 L
.32016 .58844 L
.32152 .5853 L
.32156 .58522 L
.32297 .582 L
.32474 .57945 L
.32513 .57879 L
.32706 .57557 L
.32795 .57406 L
.32904 .57236 L
.33117 .56925 L
.33125 .56914 L
.33348 .56592 L
.33438 .56456 L
.33565 .56271 L
.3376 .55995 L
.33791 .55949 L
.34027 .55628 L
.34082 .55549 L
.34254 .55306 L
.34403 .55099 L
.34482 .54985 L
.34725 .54664 L
.34725 .54663 L
.3496 .54341 L
.35046 .54223 L
.35191 .5402 L
.35368 .53786 L
.35426 .53698 L
.35676 .53377 L
.35689 .53358 L
.35912 .53055 L
.36011 .52925 L
.36146 .52733 L
.36333 .52495 L
Mistroke
.36383 .52412 L
.3664 .5209 L
.36654 .52072 L
.36879 .51769 L
.36976 .51646 L
.37113 .51447 L
.37297 .51223 L
.37349 .51126 L
.37619 .50807 L
.37621 .50804 L
.37863 .50482 L
.37941 .5039 L
.38099 .50161 L
.38262 .49977 L
.38328 .49839 L
.38584 .49571 L
.3863 .49518 L
.38886 .49196 L
.38905 .49175 L
.39134 .48874 L
.39227 .48785 L
.39362 .48553 L
.39548 .48407 L
.39714 .48231 L
.3987 .48048 L
.40019 .4791 L
.40192 .47715 L
.40374 .47588 L
.40513 .47429 L
Mfstroke
.45659 .4717 m
.4598 .47077 L
.46203 .47267 L
.46098 .47588 L
.4598 .47717 L
.45847 .4791 L
.45659 .4816 L
.45601 .48231 L
.45337 .4854 L
.45325 .48553 L
.45015 .48848 L
.44981 .48874 L
.44694 .49107 L
.44397 .48874 L
.44479 .48553 L
.44649 .48231 L
.44694 .48147 L
.44858 .4791 L
.45015 .47712 L
.451 .47588 L
.45337 .47387 L
.455 .47267 L
.45659 .4717 L
s
.5209 .46891 m
.52412 .46876 L
.52586 .46945 L
.52635 .47267 L
.52456 .47588 L
.52412 .47709 L
.52249 .4791 L
.5209 .48168 L
.52026 .48231 L
.51784 .48553 L
.51769 .48572 L
.51538 .48874 L
.51447 .48962 L
.51282 .49196 L
.51126 .49373 L
.50991 .49518 L
.50804 .49667 L
.50482 .49805 L
.50332 .49839 L
.50161 .49846 L
.49902 .49839 L
.49839 .49825 L
.49729 .49518 L
.49839 .49326 L
.49907 .49196 L
.50138 .48874 L
.50161 .48838 L
.50369 .48553 L
.50482 .48399 L
.50605 .48231 L
.50804 .47986 L
.50852 .4791 L
.51126 .4759 L
.51126 .47588 L
.51422 .47267 L
.51447 .47242 L
.51769 .47022 L
.51895 .46945 L
.5209 .46891 L
s
.48874 .46873 m
.49196 .46826 L
.49518 .46861 L
.49653 .46945 L
.49547 .47267 L
.49518 .47316 L
.49357 .47588 L
.49196 .47808 L
.49137 .4791 L
.48889 .48231 L
.48874 .48251 L
.48649 .48553 L
.48553 .48666 L
.48403 .48874 L
.48231 .49051 L
.48144 .49196 L
.4791 .49369 L
.47858 .49518 L
.47588 .49655 L
.47267 .49751 L
.46945 .49748 L
.46706 .49518 L
.46848 .49196 L
.46945 .49031 L
.47039 .48874 L
.47263 .48553 L
.47267 .48546 L
.47499 .48231 L
.47588 .48111 L
.47739 .4791 L
.4791 .47705 L
.47993 .47588 L
.48231 .47336 L
.48275 .47267 L
.48553 .47089 L
.48639 .46945 L
.48874 .46873 L
s
.70099 .45893 m
.70421 .45714 L
.70532 .4598 L
.70423 .46302 L
.70421 .46306 L
.70307 .46623 L
.70099 .46944 L
.70099 .46945 L
.69916 .47267 L
.69777 .47508 L
.69722 .47588 L
.69506 .4791 L
.69456 .47993 L
.69296 .48231 L
.69134 .48477 L
.69081 .48553 L
.68853 .48874 L
.68813 .48938 L
.68629 .49196 L
.68491 .49398 L
.68405 .49518 L
.68172 .49839 L
.6817 .49844 L
.67937 .50161 L
.67848 .5029 L
.67707 .50482 L
.67526 .50732 L
.67474 .50804 L
.67233 .51126 L
.67205 .51167 L
.66996 .51447 L
.66883 .51603 L
.66761 .51769 L
.66562 .52036 L
.66523 .5209 L
.66278 .52412 L
.6624 .52464 L
.66039 .52733 L
.65918 .52894 L
.65801 .53055 L
.65597 .53321 L
.6556 .53377 L
.65309 .53698 L
.65275 .53743 L
.65068 .5402 L
.64954 .54166 L
.64828 .54341 L
.64632 .54586 L
.64585 .54663 L
.64324 .54985 L
Mistroke
.64311 .55001 L
.64078 .55306 L
.63989 .55413 L
.63834 .55628 L
.63667 .55822 L
.63592 .55949 L
.63346 .56223 L
.63305 .56271 L
.63043 .56592 L
.63024 .56613 L
.62783 .56914 L
.62703 .56995 L
.6253 .57236 L
.62381 .57361 L
.62194 .57557 L
.62059 .57705 L
.61873 .57879 L
.61738 .58016 L
.61477 .582 L
.61416 .58249 L
.61185 .582 L
.61236 .57879 L
.61362 .57557 L
.61416 .57463 L
.61492 .57236 L
.61717 .56914 L
.61738 .56874 L
.61905 .56592 L
.62059 .56335 L
.62105 .56271 L
.62329 .55949 L
.62381 .55866 L
.62542 .55628 L
.62703 .55389 L
.62761 .55306 L
.62994 .54985 L
.63024 .54938 L
.6322 .54663 L
.63346 .54481 L
.63445 .54341 L
.63667 .54038 L
.6368 .5402 L
.63918 .53698 L
.63989 .53597 L
.64149 .53377 L
.64311 .53156 L
.64382 .53055 L
.64626 .52733 L
.64632 .52724 L
.64864 .52412 L
Mistroke
.64954 .52289 L
.65098 .5209 L
.65275 .51856 L
.65334 .51769 L
.65584 .51447 L
.65597 .5143 L
.65823 .51126 L
.65918 .51 L
.66059 .50804 L
.6624 .50573 L
.66297 .50482 L
.66554 .50161 L
.66562 .50151 L
.66795 .49839 L
.66883 .49728 L
.67032 .49518 L
.67205 .49307 L
.67269 .49196 L
.67526 .48892 L
.67528 .48874 L
.67786 .48553 L
.67848 .4848 L
.68027 .48231 L
.6817 .48071 L
.6826 .4791 L
.68491 .47668 L
.6856 .47588 L
.68813 .47278 L
.68823 .47267 L
.69084 .46945 L
.69134 .46897 L
.69338 .46623 L
.69456 .46532 L
.69678 .46302 L
.69777 .46191 L
.70012 .4598 L
.70099 .45893 L
Mfstroke
.54341 .4584 m
.54626 .4598 L
.54341 .46006 L
.54324 .4598 L
.54341 .4584 L
s
.54985 .45041 m
.55242 .45337 L
.55035 .45659 L
.54985 .45712 L
.54663 .4596 L
.54431 .45659 L
.54663 .45348 L
.54673 .45337 L
.54985 .45041 L
s
.55306 .44926 m
.55353 .45015 L
.55306 .45198 L
.5502 .45015 L
.55306 .44926 L
s
.3987 .44232 m
.40077 .44372 L
.39992 .44694 L
.3987 .44971 L
.39849 .45015 L
.39692 .45337 L
.39548 .45627 L
.39513 .45659 L
.393 .4598 L
.39227 .46106 L
.391 .46302 L
.38905 .46599 L
.38887 .46623 L
.38665 .46945 L
.38584 .47072 L
.38447 .47267 L
.38262 .47536 L
.38225 .47588 L
.37991 .4791 L
.37941 .47987 L
.37763 .48231 L
.37619 .48437 L
.37535 .48553 L
.37299 .48874 L
.37297 .48877 L
.37061 .49196 L
.36976 .49318 L
.36829 .49518 L
.36654 .49756 L
.36595 .49839 L
.36352 .50161 L
.36333 .50188 L
.36113 .50482 L
.36011 .50622 L
.35877 .50804 L
.35689 .51053 L
.35639 .51126 L
.35392 .51447 L
.35368 .5148 L
.35152 .51769 L
.35046 .51908 L
.34914 .5209 L
.34725 .52334 L
.34674 .52412 L
.3442 .52733 L
.34403 .52756 L
.34178 .53055 L
.34082 .53177 L
.33938 .53377 L
.3376 .53596 L
Mistroke
.33697 .53698 L
.33438 .54011 L
.33436 .5402 L
.33183 .54341 L
.33117 .54421 L
.32939 .54663 L
.32795 .54827 L
.32699 .54985 L
.32474 .55226 L
.32405 .55306 L
.32152 .55614 L
.32139 .55628 L
.31872 .55949 L
.3183 .55989 L
.31605 .56271 L
.31509 .56347 L
.31267 .56592 L
.31187 .56677 L
.30914 .56914 L
.30866 .56958 L
.30544 .57109 L
.30456 .56914 L
.30544 .56604 L
.30548 .56592 L
.30647 .56271 L
.30863 .55949 L
.30866 .55944 L
.31042 .55628 L
.31187 .55371 L
.31235 .55306 L
.31453 .54985 L
.31509 .54892 L
.31662 .54663 L
.3183 .54408 L
.31878 .54341 L
.32107 .5402 L
.32152 .5395 L
.32331 .53698 L
.32474 .53491 L
.32555 .53377 L
.3279 .53055 L
.32795 .53047 L
.33024 .52733 L
.33117 .526 L
.33254 .52412 L
.33438 .52159 L
.33487 .5209 L
.3373 .51769 L
.3376 .51725 L
.33966 .51447 L
Mistroke
.34082 .51288 L
.342 .51126 L
.34403 .50855 L
.34438 .50804 L
.34684 .50482 L
.34725 .50426 L
.34922 .50161 L
.35046 .49995 L
.35158 .49839 L
.35368 .49568 L
.35399 .49518 L
.35649 .49196 L
.35689 .49143 L
.35889 .48874 L
.36011 .48718 L
.36126 .48553 L
.36333 .48295 L
.36369 .48231 L
.36629 .4791 L
.36654 .47877 L
.36871 .47588 L
.36976 .4746 L
.3711 .47267 L
.37297 .47046 L
.37349 .46945 L
.37619 .46639 L
.37632 .46623 L
.37884 .46302 L
.37941 .46238 L
.3813 .4598 L
.38262 .45844 L
.38364 .45659 L
.38584 .4546 L
.38696 .45337 L
.38905 .45093 L
.38983 .45015 L
.39227 .44747 L
.39292 .44694 L
.39548 .44423 L
.39653 .44372 L
.3987 .44232 L
Mfstroke
.52412 .44024 m
.52733 .43841 L
.53055 .43783 L
.53288 .44051 L
.53186 .44372 L
.53055 .44599 L
.53007 .44694 L
.52786 .45015 L
.52733 .45098 L
.52558 .45337 L
.52412 .45528 L
.52314 .45659 L
.5209 .45908 L
.52042 .4598 L
.51769 .46191 L
.51711 .46302 L
.51447 .46391 L
.51126 .46471 L
.50804 .46403 L
.50689 .46302 L
.50804 .46008 L
.50818 .4598 L
.51016 .45659 L
.51126 .45463 L
.51237 .45337 L
.51447 .45068 L
.51477 .45015 L
.51757 .44694 L
.51769 .44683 L
.52034 .44372 L
.5209 .4434 L
.52371 .44051 L
.52412 .44024 L
s
.46302 .44044 m
.46623 .43817 L
.46945 .43813 L
.47043 .44051 L
.46945 .44278 L
.46893 .44372 L
.46696 .44694 L
.46623 .44803 L
.46497 .45015 L
.46302 .45213 L
.46167 .45337 L
.4598 .45553 L
.45843 .45659 L
.45659 .45811 L
.45337 .45924 L
.45127 .45659 L
.45242 .45337 L
.45337 .45186 L
.45416 .45015 L
.45659 .44715 L
.45675 .44694 L
.45944 .44372 L
.4598 .44338 L
.46288 .44051 L
.46302 .44044 L
s
.49839 .43653 m
.50161 .43532 L
.50396 .43729 L
.50347 .44051 L
.50161 .44349 L
.50153 .44372 L
.49933 .44694 L
.49839 .44842 L
.49708 .45015 L
.49518 .45266 L
.4947 .45337 L
.49199 .45659 L
.49196 .45662 L
.48916 .4598 L
.48874 .4602 L
.48553 .46271 L
.48505 .46302 L
.48231 .46342 L
.4791 .4646 L
.47682 .46302 L
.4771 .4598 L
.47903 .45659 L
.4791 .45645 L
.4812 .45337 L
.48231 .4517 L
.4835 .45015 L
.48553 .44754 L
.48595 .44694 L
.48866 .44372 L
.48874 .44371 L
.4916 .44051 L
.49196 .44015 L
.49518 .43764 L
.49571 .43729 L
.49839 .43653 L
s
.69134 .43042 m
.69456 .42891 L
.69544 .43086 L
.69456 .43396 L
.69452 .43408 L
.69353 .43729 L
.69137 .44051 L
.69134 .44056 L
.68958 .44372 L
.68813 .44629 L
.68765 .44694 L
.68547 .45015 L
.68491 .45108 L
.68338 .45337 L
.6817 .45592 L
.68122 .45659 L
.67893 .4598 L
.67848 .4605 L
.67669 .46302 L
.67526 .46509 L
.67445 .46623 L
.6721 .46945 L
.67205 .46953 L
.66976 .47267 L
.66883 .474 L
.66746 .47588 L
.66562 .47841 L
.66513 .4791 L
.6627 .48231 L
.6624 .48275 L
.66034 .48553 L
.65918 .48712 L
.658 .48874 L
.65597 .49145 L
.65562 .49196 L
.65316 .49518 L
.65275 .49574 L
.65078 .49839 L
.64954 .50005 L
.64842 .50161 L
.64632 .50432 L
.64601 .50482 L
.64351 .50804 L
.64311 .50857 L
.64111 .51126 L
.63989 .51282 L
.63874 .51447 L
.63667 .51705 L
.63631 .51769 L
.63371 .5209 L
Mistroke
.63346 .52123 L
.63129 .52412 L
.63024 .5254 L
.6289 .52733 L
.62703 .52954 L
.62651 .53055 L
.62381 .53361 L
.62368 .53377 L
.62116 .53698 L
.62059 .53762 L
.6187 .5402 L
.61738 .54156 L
.61637 .54341 L
.61416 .54539 L
.61304 .54663 L
.61095 .54906 L
.61015 .54985 L
.60773 .5525 L
.60704 .55306 L
.60452 .55572 L
.60333 .55628 L
.6013 .55747 L
.59958 .55628 L
.59956 .55306 L
.6013 .55059 L
.60164 .54985 L
.60316 .54663 L
.60452 .54379 L
.60491 .54341 L
.60702 .5402 L
.60773 .53896 L
.60901 .53698 L
.61095 .53401 L
.61113 .53377 L
.61335 .53055 L
.61416 .52928 L
.61552 .52733 L
.61738 .52464 L
.61775 .52412 L
.62009 .5209 L
.62059 .52013 L
.62237 .51769 L
.62381 .51562 L
.62465 .51447 L
.62701 .51126 L
.62703 .51123 L
.62939 .50804 L
.63024 .50682 L
.63171 .50482 L
.63346 .50244 L
Mistroke
.63405 .50161 L
.63648 .49839 L
.63667 .49812 L
.63887 .49518 L
.63989 .49378 L
.64123 .49196 L
.64311 .48947 L
.64361 .48874 L
.64608 .48553 L
.64632 .4852 L
.64848 .48231 L
.64954 .48092 L
.65086 .4791 L
.65275 .47666 L
.65326 .47588 L
.6558 .47267 L
.65597 .47244 L
.65822 .46945 L
.65918 .46823 L
.66062 .46623 L
.6624 .46404 L
.66303 .46302 L
.66562 .45989 L
.66564 .4598 L
.66817 .45659 L
.66883 .45579 L
.67061 .45337 L
.67205 .45173 L
.67301 .45015 L
.67526 .44774 L
.67595 .44694 L
.67848 .44386 L
.67861 .44372 L
.68128 .44051 L
.6817 .44011 L
.68395 .43729 L
.68491 .43653 L
.68733 .43408 L
.68813 .43323 L
.69086 .43086 L
.69134 .43042 L
Mfstroke
.5209 .42456 m
.52367 .42764 L
.5209 .42776 L
.52072 .42764 L
.5209 .42456 L
s
.38584 .41755 m
.38808 .418 L
.38761 .42121 L
.38637 .42443 L
.38584 .42535 L
.38507 .42764 L
.38283 .43086 L
.38262 .43126 L
.38095 .43408 L
.37941 .43665 L
.37895 .43729 L
.37671 .44051 L
.37619 .44134 L
.37458 .44372 L
.37297 .44611 L
.37239 .44694 L
.37007 .45015 L
.36976 .45062 L
.3678 .45337 L
.36654 .45519 L
.36555 .45659 L
.36333 .45962 L
.3632 .4598 L
.36082 .46302 L
.36011 .46403 L
.35851 .46623 L
.35689 .46844 L
.35618 .46945 L
.35374 .47267 L
.35368 .47276 L
.35136 .47588 L
.35046 .47711 L
.34902 .4791 L
.34725 .48144 L
.34666 .48231 L
.34416 .48553 L
.34403 .4857 L
.34177 .48874 L
.34082 .49 L
.33941 .49196 L
.3376 .49427 L
.33703 .49518 L
.33446 .49839 L
.33438 .49849 L
.33205 .50161 L
.33117 .50272 L
.32968 .50482 L
.32795 .50693 L
.32731 .50804 L
.32474 .51108 L
Mistroke
.32472 .51126 L
.32214 .51447 L
.32152 .5152 L
.31973 .51769 L
.3183 .51929 L
.3174 .5209 L
.31509 .52332 L
.3144 .52412 L
.31187 .52722 L
.31177 .52733 L
.30916 .53055 L
.30866 .53103 L
.30662 .53377 L
.30544 .53468 L
.30322 .53698 L
.30223 .53809 L
.29988 .5402 L
.29901 .54107 L
.29579 .54286 L
.29468 .5402 L
.29577 .53698 L
.29579 .53694 L
.29693 .53377 L
.29901 .53056 L
.29901 .53055 L
.30084 .52733 L
.30223 .52492 L
.30278 .52412 L
.30494 .5209 L
.30544 .52007 L
.30704 .51769 L
.30866 .51523 L
.30919 .51447 L
.31147 .51126 L
.31187 .51062 L
.31371 .50804 L
.31509 .50602 L
.31595 .50482 L
.31828 .50161 L
.3183 .50156 L
.32063 .49839 L
.32152 .4971 L
.32293 .49518 L
.32474 .49268 L
.32526 .49196 L
.32767 .48874 L
.32795 .48833 L
.33004 .48553 L
.33117 .48397 L
.33239 .48231 L
Mistroke
.33438 .47964 L
.33477 .4791 L
.33722 .47588 L
.3376 .47536 L
.33961 .47267 L
.34082 .47106 L
.34199 .46945 L
.34403 .46679 L
.3444 .46623 L
.34691 .46302 L
.34725 .46257 L
.34932 .4598 L
.35046 .45834 L
.35172 .45659 L
.35368 .45414 L
.35415 .45337 L
.35676 .45015 L
.35689 .44999 L
.35922 .44694 L
.36011 .44587 L
.36166 .44372 L
.36333 .44178 L
.36408 .44051 L
.36654 .43777 L
.36695 .43729 L
.36957 .43408 L
.36976 .43387 L
.37217 .43086 L
.37297 .43005 L
.3747 .42764 L
.37619 .42639 L
.37806 .42443 L
.37941 .42295 L
.38127 .42121 L
.38262 .41985 L
.38527 .418 L
.38584 .41755 L
Mfstroke
.53055 .41333 m
.53377 .41308 L
.53427 .41478 L
.53377 .41646 L
.53308 .418 L
.53118 .42121 L
.53055 .42214 L
.52892 .42443 L
.52733 .42557 L
.52412 .42748 L
.52096 .42443 L
.52305 .42121 L
.52412 .41983 L
.5257 .418 L
.52733 .41564 L
.52908 .41478 L
.53055 .41333 L
s
.47267 .41011 m
.47486 .41156 L
.47332 .41478 L
.47267 .41576 L
.47096 .418 L
.46945 .41971 L
.46785 .42121 L
.46623 .4224 L
.46325 .42121 L
.46475 .418 L
.46623 .41589 L
.46713 .41478 L
.46945 .41236 L
.47039 .41156 L
.47267 .41011 L
s
.67848 .40715 m
.68055 .40835 L
.67984 .41156 L
.67848 .4147 L
.67844 .41478 L
.67703 .418 L
.67526 .42055 L
.67487 .42121 L
.67294 .42443 L
.67205 .42594 L
.67096 .42764 L
.66883 .43075 L
.66875 .43086 L
.66652 .43408 L
.66562 .43544 L
.66435 .43729 L
.6624 .44005 L
.66209 .44051 L
.65973 .44372 L
.65918 .44451 L
.65746 .44694 L
.65597 .44901 L
.65518 .45015 L
.65275 .45336 L
.65275 .45337 L
.6504 .45659 L
.64954 .45777 L
.64809 .4598 L
.64632 .46214 L
.64574 .46302 L
.64324 .46623 L
.64311 .46642 L
.64088 .46945 L
.63989 .47075 L
.63854 .47267 L
.63667 .47505 L
.63617 .47588 L
.6336 .4791 L
.63346 .47928 L
.63121 .48231 L
.63024 .48354 L
.62887 .48553 L
.62703 .48777 L
.62651 .48874 L
.62381 .49193 L
.62379 .49196 L
.62137 .49518 L
.62059 .4961 L
.61901 .49839 L
.61738 .50023 L
Mistroke
.61671 .50161 L
.61416 .50429 L
.6137 .50482 L
.61114 .50804 L
.61095 .50825 L
.60866 .51126 L
.60773 .51217 L
.60634 .51447 L
.60452 .51596 L
.60291 .51769 L
.6013 .51959 L
.59993 .5209 L
.59808 .523 L
.59659 .52412 L
.59487 .52609 L
.59165 .52664 L
.5913 .52412 L
.59165 .52351 L
.59265 .5209 L
.59415 .51769 L
.59487 .51604 L
.59575 .51447 L
.59792 .51126 L
.59808 .51097 L
.59988 .50804 L
.6013 .50574 L
.60191 .50482 L
.60413 .50161 L
.60452 .50098 L
.60629 .49839 L
.60773 .49622 L
.60846 .49518 L
.61075 .49196 L
.61095 .49165 L
.61303 .48874 L
.61416 .48709 L
.61528 .48553 L
.61738 .48262 L
.61759 .48231 L
.61998 .4791 L
.62059 .47821 L
.62231 .47588 L
.62381 .4738 L
.62463 .47267 L
.62703 .46946 L
.62704 .46945 L
.62945 .46623 L
.63024 .46514 L
.63181 .46302 L
.63346 .46082 L
Mistroke
.63418 .4598 L
.63665 .45659 L
.63667 .45656 L
.63909 .45337 L
.63989 .45231 L
.64148 .45015 L
.64311 .44808 L
.64389 .44694 L
.64632 .44389 L
.64641 .44372 L
.64892 .44051 L
.64954 .43974 L
.65137 .43729 L
.65275 .43561 L
.6538 .43408 L
.65597 .43154 L
.65627 .43086 L
.65912 .42764 L
.65918 .42756 L
.66169 .42443 L
.6624 .42366 L
.66423 .42121 L
.66562 .41986 L
.66658 .418 L
.66883 .41621 L
.67022 .41478 L
.67205 .41277 L
.6734 .41156 L
.67526 .40963 L
.67725 .40835 L
.67848 .40715 L
Mfstroke
.50482 .40706 m
.50804 .40701 L
.50882 .40835 L
.50804 .41148 L
.508 .41156 L
.50645 .41478 L
.50482 .41693 L
.50449 .418 L
.50167 .42121 L
.50161 .42129 L
.49895 .42443 L
.49839 .4248 L
.49518 .42762 L
.4951 .42764 L
.49196 .42916 L
.48874 .42869 L
.48746 .42764 L
.48874 .42461 L
.48883 .42443 L
.49064 .42121 L
.49196 .41896 L
.49279 .418 L
.49518 .41523 L
.4957 .41478 L
.49839 .41179 L
.49866 .41156 L
.50161 .40892 L
.50253 .40835 L
.50482 .40706 L
s
.36654 .40073 m
.36976 .39937 L
.37024 .40192 L
.36976 .40338 L
.36901 .40513 L
.36764 .40835 L
.36654 .4099 L
.36558 .41156 L
.36366 .41478 L
.36333 .41535 L
.36174 .418 L
.36011 .42054 L
.35972 .42121 L
.3573 .42443 L
.35689 .42505 L
.35516 .42764 L
.35368 .42977 L
.35298 .43086 L
.35053 .43408 L
.35046 .43417 L
.34827 .43729 L
.34725 .43871 L
.34602 .44051 L
.34403 .44314 L
.3437 .44372 L
.3412 .44694 L
.34082 .44746 L
.33889 .45015 L
.3376 .45185 L
.3366 .45337 L
.33438 .45616 L
.3342 .45659 L
.33164 .4598 L
.33117 .46042 L
.32931 .46302 L
.32795 .46471 L
.32701 .46623 L
.32474 .46895 L
.32462 .46945 L
.32189 .47267 L
.32152 .47312 L
.31953 .47588 L
.3183 .47731 L
.31725 .4791 L
.31509 .48146 L
.31436 .48231 L
.31187 .48548 L
.31183 .48553 L
.30937 .48874 L
.30866 .48949 L
Mistroke
.30706 .49196 L
.30544 .49344 L
.30389 .49518 L
.30223 .49726 L
.30111 .49839 L
.29901 .50093 L
.29816 .50161 L
.29579 .50451 L
.29489 .50482 L
.29258 .50671 L
.29006 .50482 L
.29124 .50161 L
.29258 .49885 L
.29281 .49839 L
.29445 .49518 L
.29579 .49267 L
.29622 .49196 L
.29846 .48874 L
.29901 .48781 L
.30047 .48553 L
.30223 .48285 L
.30258 .48231 L
.30484 .4791 L
.30544 .47817 L
.30703 .47588 L
.30866 .47352 L
.30924 .47267 L
.31159 .46945 L
.31187 .46902 L
.31389 .46623 L
.31509 .46453 L
.31617 .46302 L
.3183 .46011 L
.31851 .4598 L
.32093 .45659 L
.32152 .45575 L
.32327 .45337 L
.32474 .4514 L
.32562 .45015 L
.32795 .44711 L
.32806 .44694 L
.33051 .44372 L
.33117 .44285 L
.33291 .44051 L
.33438 .43861 L
.3353 .43729 L
.3376 .43441 L
.33778 .43408 L
.34035 .43086 L
.34082 .43028 L
Mistroke
.34281 .42764 L
.34403 .42617 L
.34525 .42443 L
.34725 .42212 L
.34768 .42121 L
.35046 .41817 L
.35061 .418 L
.35324 .41478 L
.35368 .41431 L
.35585 .41156 L
.35689 .41057 L
.35829 .40835 L
.36011 .40699 L
.36197 .40513 L
.36333 .40366 L
.36538 .40192 L
.36654 .40073 L
Mfstroke
.65275 .39828 m
.65597 .39551 L
.6582 .3987 L
.65699 .40192 L
.65597 .40314 L
.65481 .40513 L
.65289 .40835 L
.65275 .40858 L
.65109 .41156 L
.64954 .41396 L
.64932 .41478 L
.64653 .418 L
.64632 .4183 L
.64444 .42121 L
.64311 .42307 L
.64238 .42443 L
.63989 .42752 L
.63973 .42764 L
.63748 .43086 L
.63667 .43195 L
.6353 .43408 L
.63346 .43641 L
.63312 .43729 L
.63034 .44051 L
.63024 .44063 L
.62805 .44372 L
.62703 .445 L
.62584 .44694 L
.62381 .44931 L
.62307 .45015 L
.62064 .45337 L
.62059 .45343 L
.61831 .45659 L
.61738 .45766 L
.61611 .4598 L
.61416 .46184 L
.61313 .46302 L
.61095 .4659 L
.61059 .46623 L
.60808 .46945 L
.60773 .4698 L
.60578 .47267 L
.60452 .47372 L
.60257 .47588 L
.6013 .47752 L
.59967 .4791 L
.59808 .48118 L
.59646 .48231 L
.59487 .48371 L
.59207 .48231 L
Mistroke
.59322 .4791 L
.59475 .47588 L
.59487 .47562 L
.59622 .47267 L
.59808 .47003 L
.59844 .46945 L
.60042 .46623 L
.6013 .46483 L
.60242 .46302 L
.60452 .46003 L
.60462 .4598 L
.60692 .45659 L
.60773 .4554 L
.60911 .45337 L
.61095 .45083 L
.61136 .45015 L
.61378 .44694 L
.61416 .4464 L
.61608 .44372 L
.61738 .44197 L
.61838 .44051 L
.62059 .43762 L
.62077 .43729 L
.62326 .43408 L
.62381 .43334 L
.62563 .43086 L
.62703 .42908 L
.628 .42764 L
.63024 .4249 L
.63044 .42443 L
.63312 .42121 L
.63346 .42079 L
.63558 .418 L
.63667 .41672 L
.63799 .41478 L
.63989 .41272 L
.64023 .41156 L
.64311 .40884 L
.64357 .40835 L
.64632 .40515 L
.64634 .40513 L
.64913 .40192 L
.64954 .40159 L
.65237 .3987 L
.65275 .39828 L
Mfstroke
.65918 .39468 m
.65925 .39548 L
.65918 .39588 L
.65601 .39548 L
.65918 .39468 L
s
.34082 .39505 m
.34333 .39548 L
.34199 .3987 L
.34082 .40095 L
.34025 .40192 L
.33831 .40513 L
.3376 .40628 L
.33625 .40835 L
.33438 .41119 L
.33413 .41156 L
.33222 .41478 L
.33117 .41616 L
.32966 .418 L
.32795 .42042 L
.32737 .42121 L
.32514 .42443 L
.32474 .42492 L
.32321 .42764 L
.32152 .42949 L
.32027 .43086 L
.3183 .4339 L
.31785 .43408 L
.3155 .43729 L
.31509 .43773 L
.31287 .44051 L
.31187 .44201 L
.31031 .44372 L
.30866 .4463 L
.3077 .44694 L
.30544 .44968 L
.30503 .45015 L
.30224 .45337 L
.30223 .45339 L
.2992 .45659 L
.29901 .45687 L
.29579 .45951 L
.29504 .45659 L
.29579 .45494 L
.29659 .45337 L
.29807 .45015 L
.29901 .44847 L
.30033 .44694 L
.30223 .44394 L
.30237 .44372 L
.30429 .44051 L
.30544 .43889 L
.30595 .43729 L
.30866 .43422 L
.30891 .43408 L
.31111 .43086 L
Mistroke
.31187 .42985 L
.31319 .42764 L
.31509 .42536 L
.31589 .42443 L
.3183 .42121 L
.3183 .4212 L
.32063 .418 L
.32152 .41695 L
.32276 .41478 L
.32474 .41277 L
.32581 .41156 L
.32795 .40872 L
.32842 .40835 L
.33109 .40513 L
.33117 .40506 L
.33356 .40192 L
.33438 .40133 L
.33691 .3987 L
.3376 .3978 L
.3403 .39548 L
.34082 .39505 L
Mfstroke
.72993 .26032 m
.73315 .259 L
.73636 .25843 L
.73958 .25822 L
.7428 .25829 L
.74601 .25866 L
.74923 .2595 L
.751 .26042 L
.75059 .26364 L
.74923 .26433 L
.74601 .26526 L
.7428 .26568 L
.73958 .26576 L
.73636 .26552 L
.73315 .26488 L
.73019 .26364 L
.72993 .26344 L
.7298 .26042 L
.72993 .26032 L
s
.71064 .18607 m
.71385 .18556 L
.71707 .18516 L
.72029 .18484 L
.7235 .18459 L
.72672 .1844 L
.72993 .18426 L
.73315 .18416 L
.73636 .1841 L
.73958 .18407 L
.7428 .18408 L
.74601 .18413 L
.74923 .18421 L
.75244 .18433 L
.75566 .18449 L
.75888 .18471 L
.76209 .18499 L
.76531 .18534 L
.76852 .1858 L
.77174 .18638 L
.77211 .18645 L
.77495 .18709 L
.77817 .18805 L
.78139 .18942 L
.78185 .18967 L
.7846 .19122 L
.78607 .19289 L
.78768 .1961 L
.78741 .19932 L
.78524 .20253 L
.7846 .20318 L
.78139 .20532 L
.78042 .20575 L
.77817 .20673 L
.77495 .2078 L
.77174 .2086 L
.76996 .20897 L
.76852 .20923 L
.76531 .20974 L
.76209 .21015 L
.75888 .21047 L
.75566 .21071 L
.75244 .2109 L
.74923 .21104 L
.74601 .21114 L
.7428 .21119 L
.73958 .2112 L
.73636 .21117 L
.73315 .2111 L
.72993 .21098 L
Mistroke
.72672 .21082 L
.7235 .2106 L
.72029 .21032 L
.71707 .20996 L
.71385 .2095 L
.71081 .20897 L
.71064 .20893 L
.70742 .20823 L
.70421 .2073 L
.70099 .20605 L
.70035 .20575 L
.69777 .20443 L
.69553 .20253 L
.69456 .20144 L
.69336 .19932 L
.69309 .1961 L
.69456 .19306 L
.6947 .19289 L
.69777 .19016 L
.69892 .18967 L
.70099 .18867 L
.70421 .18753 L
.70742 .18671 L
.70866 .18645 L
.71064 .18607 L
Mfstroke
.71707 .12167 m
.72029 .12109 L
.7235 .12064 L
.72672 .12029 L
.72993 .12003 L
.73315 .11985 L
.73636 .11973 L
.73958 .11969 L
.7428 .1197 L
.74601 .11978 L
.74923 .11993 L
.75244 .12015 L
.75566 .12045 L
.75888 .12085 L
.76209 .12136 L
.76531 .12202 L
.76582 .12214 L
.76852 .12283 L
.77174 .12391 L
.77483 .12535 L
.77495 .1254 L
.77817 .12745 L
.77909 .12857 L
.78075 .13179 L
.78022 .135 L
.77817 .13739 L
.77703 .13822 L
.77495 .13946 L
.77174 .14069 L
.7687 .14143 L
.76852 .14148 L
.76531 .14216 L
.76209 .14267 L
.75888 .14306 L
.75566 .14336 L
.75244 .14358 L
.74923 .14374 L
.74601 .14385 L
.7428 .1439 L
.73958 .14391 L
.73636 .14388 L
.73315 .1438 L
.72993 .14367 L
.72672 .14348 L
.7235 .14322 L
.72029 .14288 L
.71707 .14243 L
.71385 .14184 L
.71207 .14143 L
.71064 .14112 L
Mistroke
.70742 .14015 L
.70421 .13854 L
.70374 .13822 L
.70099 .13572 L
.70054 .135 L
.70002 .13179 L
.70099 .12947 L
.70168 .12857 L
.70421 .12618 L
.70594 .12535 L
.70742 .1246 L
.71064 .12333 L
.71385 .1224 L
.71495 .12214 L
.71707 .12167 L
Mfstroke
% Start of sub-graphic
p
0.65024 0.606838 0.950721 0.980769 MathSubStart
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0300481 0.5 0.320513 [
[.74038 -0.0125 -4 -9.125 ]
[.74038 -0.0125 4 0 ]
[.5 -0.0125 -4 -9.125 ]
[.5 -0.0125 4 0 ]
[.25962 -0.0125 -6.4375 -9.125 ]
[.25962 -0.0125 6.4375 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .17949 -12.875 -4.5625 ]
[-0.0125 .17949 0 4.5625 ]
[-0.0125 .5 -8 -4.5625 ]
[-0.0125 .5 0 4.5625 ]
[-0.0125 .82051 -8 -4.5625 ]
[-0.0125 .82051 0 4.5625 ]
[ 0 0 -0.125 0 ]
[.74038 1.0125 -4 0 ]
[.74038 1.0125 4 9.125 ]
[.5 1.0125 -4 0 ]
[.5 1.0125 4 9.125 ]
[.25962 1.0125 -6.4375 0 ]
[.25962 1.0125 6.4375 9.125 ]
[ 0 1 .125 0 ]
[1.0125 .17949 0 -4.5625 ]
[1.0125 .17949 12.875 4.5625 ]
[1.0125 .5 0 -4.5625 ]
[1.0125 .5 8 4.5625 ]
[1.0125 .82051 0 -4.5625 ]
[1.0125 .82051 8 4.5625 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.74038 0 m
.74038 .00625 L
s
gsave
.74038 -0.0125 -65 -13.125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -65 -13.125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 0 m
.25962 .00625 L
s
gsave
.25962 -0.0125 -67.4375 -13.125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
67.875 10.438 moveto
(8) show
1.000 setlinewidth
grestore
0 0 m
1 0 L
s
0 .17949 m
.00625 .17949 L
s
gsave
-0.0125 .17949 -73.875 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
67.875 10.438 moveto
(1) show
1.000 setlinewidth
grestore
0 .5 m
.00625 .5 L
s
gsave
-0.0125 .5 -69 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
0 .82051 m
.00625 .82051 L
s
gsave
-0.0125 .82051 -69 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
0 0 m
0 1 L
s
.74038 .99375 m
.74038 1 L
s
gsave
.74038 1.0125 -65 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 .99375 m
.5 1 L
s
gsave
.5 1.0125 -65 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 .99375 m
.25962 1 L
s
gsave
.25962 1.0125 -67.4375 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
67.875 10.438 moveto
(8) show
1.000 setlinewidth
grestore
0 1 m
1 1 L
s
.99375 .17949 m
1 .17949 L
s
gsave
1.0125 .17949 -61 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
67.875 10.438 moveto
(1) show
1.000 setlinewidth
grestore
.99375 .5 m
1 .5 L
s
gsave
1.0125 .5 -61 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.99375 .82051 m
1 .82051 L
s
gsave
1.0125 .82051 -61 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.25155 .71465 m
.258 .71372 L
.26446 .71403 L
.27091 .71558 L
.27271 .71618 L
.27736 .71845 L
.28371 .72264 L
.28382 .72272 L
.29027 .72862 L
.29071 .72909 L
.29605 .73554 L
.29672 .73647 L
.30036 .742 L
.30318 .74691 L
.30397 .74845 L
.30703 .7549 L
.30963 .76128 L
.30966 .76136 L
.31186 .76781 L
.31376 .77426 L
.31538 .78072 L
.31608 .78394 L
.31669 .78717 L
.31774 .79362 L
.31855 .80008 L
.31915 .80653 L
.31951 .81298 L
.31966 .81944 L
.31959 .82589 L
.31929 .83234 L
.31878 .8388 L
.31804 .84525 L
.31707 .8517 L
.31608 .85709 L
.31585 .85816 L
.31433 .86461 L
.31253 .87106 L
.31043 .87752 L
.30963 .87975 L
.30795 .88397 L
.30504 .89042 L
.30318 .89411 L
.30164 .89688 L
.29758 .90333 L
.29672 .90455 L
.29263 .90978 L
.29027 .9124 L
.28631 .91624 L
.28382 .9183 L
.27736 .92259 L
Mistroke
.27719 .92269 L
.27091 .92544 L
.26446 .927 L
.258 .92731 L
.25155 .92638 L
.2451 .92418 L
.24197 .92269 L
.23864 .92063 L
.23292 .91624 L
.23219 .91557 L
.2266 .90978 L
.22574 .90875 L
.22166 .90333 L
.21928 .89971 L
.2176 .89688 L
.21418 .89042 L
.21283 .88756 L
.21129 .88397 L
.20881 .87752 L
.20668 .87106 L
.20638 .87007 L
.20491 .86461 L
.20341 .85816 L
.20217 .8517 L
.20117 .84525 L
.20041 .8388 L
.19992 .83292 L
.19989 .83234 L
.19961 .82589 L
.19954 .81944 L
.19968 .81298 L
.19992 .80754 L
.20004 .80653 L
.20064 .80008 L
.20148 .79362 L
.20256 .78717 L
.20388 .78072 L
.20546 .77426 L
.20638 .77095 L
.20735 .76781 L
.2096 .76136 L
.21219 .7549 L
.21283 .75346 L
.21526 .74845 L
.21886 .742 L
.21928 .74131 L
.22319 .73554 L
.22574 .73228 L
.22852 .72909 L
.23219 .72546 L
Mistroke
.2355 .72264 L
.23864 .7204 L
.2451 .71684 L
.24624 .71618 L
.25155 .71465 L
Mfstroke
0 g
gsave
.5 .17949 -84.8438 -8.53125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.0625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 10.438 moveto
(input) show
81.500 10.438 moveto
(\\() show
84.688 10.438 moveto
(port) show
100.062 10.438 moveto
(1) show
104.062 10.438 moveto
(\\)) show
106.688 10.438 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[35]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3o
oolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40
fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?oo
ob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3I
fMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo
803oool10=WIf@00YP3oool00`000000oooo0000001f0?ooo`40fMWI002E0?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool00P3oool3000000@0oooo00<000000?ooo`3oool0M@3o
ool10=WIf@00UP3oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`3oool000000P3oool3000007H0oooo0@3IfMT009L0oooo00<000000?ooo`3oool00P3oool0
1@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool0N@3oool10=WIf@00U`3oool2
000000<0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo07T0oooo0@3I
fMT009H0oooo00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`3oool5000007T0oooo
0@3IfMT009h0oooo00<000000?ooo`3oool0OP3oool10=WIf@00WP3oool00`000000oooo0?ooo`1n
0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI
003o0?ooob00oooo0@3IfMT006d0oooo0P00000`0?ooo`800000<P3oool2000004X0oooo0@3IfMT0
06`0oooo00@000000?ooo`3oool00000;P3oool010000000oooo0?ooo`00000`0?ooo`040000003o
ool0oooo000004T0oooo0@3IfMT006H0oooo0`0000030?ooo`040000003oool0oooo000002h0oooo
00@000000?ooo`3oool00000<03oool010000000oooo0?ooo`0000190?ooo`40fMWI001]0?ooo`80
0000;`3oool010000000oooo0?ooo`00000a0?ooo`800000BP3oool10=WIf@00K03oool010000000
oooo0?ooo`00000^0?ooo`040000003oool0oooo00000300oooo00@000000?ooo`3oool00000B@3o
ool10=WIf@00K03oool010000000oooo0?ooo`00000^0?ooo`040000003oool0oooo00000300oooo
00@000000?ooo`3oool00000B@3oool10=WIf@00K@3oool200000300oooo0P00000b0?ooo`800000
BP3oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WI
f@00=03ooooJ00000140oooo0@3IfMT003@0oooo00<000000?ooo`3oool0=@3oool00`000000oooo
0?ooo`0a0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0=P3oool00`000000oooo
0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo0=H0oooo00<000000?ooo`3oool03`3o
ool10=WIf@00=03oool00`000000oooo0?ooo`3F0?ooo`030000003oool0oooo00l0oooo0@3IfMT0
03@0oooo00<000000?ooo`3oool0eP3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`03
0000003oool0oooo0=H0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo
0?ooo`3F0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0eP3o
ool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo0=H0oooo00<00000
0?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`3F0?ooo`030000003oool0oooo
00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0eP3oool00`000000oooo0?ooo`0?0?ooo`40
fMWI000d0?ooo`030000003oool0oooo0=H0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03o
ool00`000000oooo0?ooo`3F0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<00000
0?ooo`3oool0eP3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo
0=H0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`3F0?ooo`03
0000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0b03oool2000000`0oooo
00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`1f0?ooo`030000003o
ool0oooo01<0oooo0P00000[0?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool00000
0?ooo`02000000P0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?oo
o`1e0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?oo
o`0<0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo06T0oooo0P0000030?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool00P0000020?ooo`050000003oool000000000003oool0
0`0000020?ooo`040000003oool0oooo0?ooo`8000000P3oool00`000000oooo0?ooo`0K0?ooo`03
0000003oool0oooo00<0oooo0P0000040?ooo`030000003oool0oooo0080000000@0oooo00000000
000000000P3oool01@000000oooo000000000000oooo00800000103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0J@3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool01@00
0000oooo0000003oool000000080oooo00<000000?ooo`0000000P3oool01@000000oooo0?ooo`3o
ool0000000@0oooo00<000000?ooo`3oool02P3oool40?l000`0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`000000
0P3oool00`000000oooo000000030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo06T0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`000000
0`3oool01@000000oooo0000003oool000000080oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00P0oooo0P3o00030?ooo`<0o`002`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`070000003oool000000?ooo`000000oooo000000040?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo
0?ooo`1Z0?ooo`030000003oool0oooo0080oooo0P0000040?ooo`040000003oool0oooo000000@0
oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`8000000P3oool01@000000
oooo0?ooo`3oool0000000X0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`090?oo
o`800000103oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000000P3oool0
0`000000oooo000000020?ooo`070000003oool000000?ooo`000000oooo000000040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?oo
o`1Y0?ooo`@000000P3oool00`000000oooo000000040?ooo`030000003oool0oooo008000000`3o
ool200000080oooo0`0000020?ooo`030000003oool0000000@0000000<0oooo0000003oool02P3o
ool60?l000`0oooo00<000000?ooo`0000000P3oool4000000<0oooo00@000000?ooo`3oool00000
0P3oool3000000030?ooo`000000oooo008000000P3oool3000000<0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo06/0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00/0oooo00@0
00000?ooo`3oool00000903oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`00
00004@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo
00<000000?ooo`3oool0M`3oool2000000@0oooo0P00000?0?ooo`030000003oool0oooo02T0oooo
1000000@0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03o
ool00`000000oooo0?ooo`1k0?ooo`@0o`006@3oool<0000oaP0oooo1@3o000E0?ooo`030000003o
ool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0NP3oool00`3o0000oooo0?ooo`02
0?ooo`80o`00503oool30000o`/0oooo0`000?lE0?ooo`80o`000`3oool20?l001@0oooo00<00000
0?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`1i0?ooo`030?l0003oool0oooo
00@0oooo0P3o000C0?ooo`030000o`3oool0oooo00d0oooo0P000?lC0?ooo`030?l0003oool0oooo
00@0oooo0P3o000C0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3o
ool0N03oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo0140oooo00<0003o0?ooo`3o
ool03P3oool00`000?l0oooo0?ooo`0@0?ooo`80o`001`3oool20?l00180oooo00<000000?ooo`3o
ool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`1g0?ooo`80o`002@3oool00`3o0000oooo
0?ooo`0@0?ooo`80003o3@3oool20000oa<0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo
0?ooo`0@0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0M`3o
ool00`3o0000oooo0?ooo`080?ooo`80o`004`3oool>0000oa<0oooo00<0o`000?ooo`3oool0203o
ool20?l00140oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`1g
0?ooo`030?l0003oool0oooo00T0oooo00<0o`000?ooo`3oool0<P3oool00`3o0000oooo0?ooo`09
0?ooo`030?l0003oool0oooo00l0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`00
0000oooo0?ooo`1f0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3oool0403oool@0?l0
0140oooo0P3o000;0?ooo`030?l0003oool0oooo00l0oooo00<000000?ooo`3oool03`3oool10=WI
f@00=03oool00`000000oooo0?ooo`1f0?ooo`030?l0003oool0oooo00X0oooo00<0o`000?ooo`3o
ool03P3oool20?l00100oooo0P3o000?0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3o
ool03P3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo07H0oooo
00<0o`000?ooo`3oool02`3oool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo0140oooo
0P3o000>0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool03P3oool00`000000oooo
0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo07H0oooo00<0o`000?ooo`3oool02`3o
ool00`3o0000oooo0?ooo`0<0?ooo`030?l0003oool0oooo0180oooo00<0o`000?ooo`3oool0303o
ool00`3o0000oooo0?ooo`0;0?ooo`030?l0003oool0oooo00h0oooo00<000000?ooo`3oool03`3o
ool10=WIf@00=03oool00`000000oooo0?ooo`1f0?ooo`030?l0003oool0oooo00/0oooo00<0o`00
0?ooo`3oool0303oool20?l00140oooo0P3o000?0?ooo`030?l0003oool0oooo00/0oooo00<0o`00
0?ooo`3oool03P3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000[0?ooo`<000001P3oool00`00
0000oooo0?ooo`1e0?ooo`030?l0003oool0oooo00`0oooo00<0o`000?ooo`3oool03P3oool60?l0
00H0oooo1P3o000@0?ooo`030?l0003oool0oooo00/0oooo00<0o`000?ooo`3oool03P3oool00`00
0000oooo0?ooo`090?ooo`<000000`3oool10=WIf@00;03oool00`000000oooo0?ooo`050?ooo`80
0000MP3oool00`3o0000oooo0?ooo`040?ooo`P0/k>c00<0o`000;>c/`2c/k<02P2c/k<90?ooo`P0
o`00203oool=0;>c/`030?l0002c/k<0/k>c00D0/k>c1P3oool00`3o0000oooo0?ooo`0<0?ooo`<0
0000303oool00`000000oooo0?ooo`020?ooo`40fMWI000T0?ooo`<000001@3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo07D0oooo0P3o00040?ooo`030;>c/`3oool0/k>c00H0oooo
00<0o`000?ooo`3oool04@3oool=0000oa80oooo00<0o`000?ooo`3oool00P3oool20;>c/`L0oooo
00<0o`000?ooo`3oool03P3oool010000000oooo0?ooo`3oool3000000H0oooo00<000000?ooo`3o
ool00P3oool10=WIf@00;03oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo07H0oooo
00@0o`000?ooo`3oool0oooo0`2c/k<70?ooo`030?l0003oool0oooo00d0oooo0`000?l>0?ooo`<0
003o3`3oool0103o0000oooo0?ooo`3oool30;>c/`L0oooo00<0o`000?ooo`3oool03P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo0@3IfMT002`0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`1f0?ooo`070?l0003oool0oooo0?ooo`2c/k<0oooo0;>c/`07
0?ooo`030?l0003oool0oooo00`0oooo00<0003o0?ooo`3oool04@3oool00`000?l0oooo0?ooo`0=
0?ooo`030?l0003oool0oooo00<0/k>c203oool00`3o0000oooo0?ooo`0>0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool00P3oool10=WIf@00:`3oool2000000L0oooo00<000000?oo
o`3oool0MP3oool0103o0000oooo0?ooo`2c/k<20?ooo`030;>c/`3oool0oooo00@0oooo00<0o`00
0?ooo`3oool03@3oool00`000?l0oooo0?ooo`0A0?ooo`030000o`3oool0oooo00d0oooo00D0o`00
0?ooo`2c/k<0oooo0;>c/`090?ooo`030?l0003oool0oooo00h0oooo00<000000?ooo`3oool02@3o
ool2000000@0oooo0@3IfMT002`0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1f
0?ooo`030?l0003oool0/k>c00<0oooo00<0/k>c0?ooo`3oool0103oool00`3o0000oooo0?ooo`0=
0?ooo`80003o4P3oool00`000?l0oooo0?ooo`0=0?ooo`040?l0002c/k<0oooo0;>c/`X0oooo00<0
o`000?ooo`3oool03P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo0@3I
fMT003@0oooo00<000000?ooo`3oool0MP3oool00`3o0000/k>c0;>c/`020?ooo`030;>c/`3oool0
oooo00D0oooo00<0o`000?ooo`3oool03`3oool40000o`X0oooo10000?l?0?ooo`030;>c/`3o0000
o`000080/k>c2@3oool00`3o0000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo0@3IfMT0
03@0oooo00<000000?ooo`3oool0M`3oool01@3o0000oooo0?ooo`3oool0/k>c00L0oooo00<0o`00
0?ooo`3oool04`3oool20000o`030?ooo`000?l0003o0080003o00<0oooo0000o`000?l04P3oool2
0;>c/`030?ooo`3o0000/k>c00X0oooo00<0o`000?ooo`3oool03`3oool00`000000oooo0?ooo`0?
0?ooo`40fMWI000d0?ooo`030000003oool0oooo07H0oooo00<0/k>c0?l0003oool00P3oool00`2c
/k<0oooo0?ooo`040?ooo`030?l0003oool0oooo01D0oooo203o000B0?ooo`80/k>c0P3oool00`3o
0000oooo0?ooo`080?ooo`80o`004@3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`03
0000003oool0oooo07D0oooo00H0/k>c0?ooo`3o0000o`000?ooo`2c/k<70?ooo`030?l0003oool0
oooo0140oooo1@3o00060?ooo`D0o`003@3oool01`2c/k<0oooo0?ooo`3oool0/k>c0?ooo`3o0000
2@3oool00`3o0000oooo0?ooo`0@0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<0
00000?ooo`3oool0M03oool20;>c/`80oooo0P3o00000`2c/k<0oooo0?ooo`040?ooo`030?l0003o
ool0oooo0140oooo00<0o`000?ooo`3oool03@3oool20?l000/0oooo00@0/k>c0?ooo`3oool0oooo
0P2c/k<00`3oool0o`000?l000070?ooo`80o`004P3oool00`000000oooo0?ooo`0?0?ooo`40fMWI
000d0?ooo`030000003oool0oooo07@0oooo00<0/k>c0?ooo`3oool00P3oool20?l000D0oooo0P3o
000C0?ooo`030?l0003oool0oooo00h0oooo00<0o`000?ooo`3oool01`3oool20;>c/`@0oooo00@0
/k>c0?ooo`3oool0oooo0P3o00050?ooo`030?l0003oool0oooo0180oooo00<000000?ooo`3oool0
3`3oool10=WIf@00=03oool00`000000oooo0?ooo`1c0?ooo`030;>c/`3oool0oooo00@0oooo0P3o
00020?ooo`80o`005@3oool20?l000h0oooo0P3o00080?ooo`80/k>c103oool00`2c/k<0oooo0?oo
o`030?ooo`80o`000P3oool30?l001@0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool0
0`000000oooo0?ooo`1b0?ooo`030;>c/`3oool0oooo00@0oooo00<0/k>c0?ooo`3oool00`3o000H
0?ooo`h0o`002@3oool00`2c/k<0oooo0?ooo`030?ooo`030;>c/`3oool0oooo00H0oooo0`3o000F
0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0L@3oool20;>c
/`H0oooo00<0/k>c0?ooo`3oool0<@3oool00`2c/k<0oooo0?ooo`030?ooo`80/k>c8@3oool00`00
0000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo0740oooo00<0/k>c0?ooo`3o
ool01@3oool00`2c/k<0oooo0?ooo`0_0?ooo`80/k>c1P3oool00`2c/k<0oooo0?ooo`0P0?ooo`03
0000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0L03oool00`2c/k<0oooo
0?ooo`050?ooo`030;>c/`3oool0oooo02l0oooo0P2c/k<60?ooo`030;>c/`3oool0oooo0240oooo
00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`1_0?ooo`030;>c/`3o
ool0oooo00H0oooo00<0/k>c0?ooo`3oool0803oool60000o`P0oooo0P2c/k<60?ooo`030;>c/`3o
ool0oooo0280oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`1^
0?ooo`80/k>c203oool00`2c/k<0oooo0?ooo`0P0?ooo`80003o0P3oool20000o`L0oooo00<0/k>c
0?ooo`3oool01@3oool20;>c/b@0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`00
0000oooo0?ooo`1^0?ooo`030;>c/`3oool0oooo00H0oooo0P2c/k<S0?ooo`<0003o203oool00`2c
/k<0oooo0?ooo`060?ooo`030;>c/`3oool0oooo02<0oooo00<000000?ooo`3oool03`3oool10=WI
f@00=03oool00`000000oooo0?ooo`1]0?ooo`030;>c/`3oool0oooo00L0oooo00<0/k>c0?ooo`3o
ool0:`3oool20;>c/`P0oooo00<0/k>c0?ooo`3oool0903oool00`000000oooo0?ooo`0?0?ooo`40
fMWI000d0?ooo`030000003oool0oooo06`0oooo00<0/k>c0?ooo`3oool0203oool00`2c/k<0oooo
0?ooo`0Z0?ooo`80/k>c203oool00`2c/k<0oooo0?ooo`0U0?ooo`030000003oool0oooo00l0oooo
0@3IfMT003@0oooo00<000000?ooo`3oool0J`3oool20;>c/`X0oooo00<0/k>c0?ooo`3oool0:@3o
ool00`2c/k<0oooo0?ooo`070?ooo`80/k>c9`3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d
0?ooo`030000003oool0oooo06/0oooo00<0/k>c0?ooo`3oool0203oool00`2c/k<0oooo0?ooo`0Y
0?ooo`030;>c/`3oool0oooo00P0oooo00<0/k>c0?ooo`3oool09P3oool00`000000oooo0?ooo`0?
0?ooo`40fMWI000d0?ooo`030000003oool0oooo06X0oooo00<0/k>c0?ooo`3oool02@3oool00`2c
/k<0oooo0?ooo`0W0?ooo`80/k>c2P3oool00`2c/k<0oooo0?ooo`0W0?ooo`030000003oool0oooo
00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0J@3oool20;>c/`/0oooo00<0/k>c0?ooo`3o
ool09P3oool20;>c/`X0oooo0P2c/k<Y0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo
00<000000?ooo`3oool0J@3oool00`2c/k<0oooo0?ooo`090?ooo`80/k>c9`3oool20;>c/`/0oooo
00<0/k>c0?ooo`3oool0:03oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003o
ool0oooo06P0oooo00<0/k>c0?ooo`3oool02P3oool00`2c/k<0oooo0?ooo`0U0?ooo`030;>c/`3o
ool0oooo00X0oooo00<0/k>c0?ooo`3oool0:@3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d
0?ooo`030000003oool0oooo06L0oooo00<0/k>c0?ooo`3oool02`3oool00`2c/k<0oooo0?ooo`0T
0?ooo`030;>c/`3oool0oooo00X0oooo00<0/k>c0?ooo`3oool0:P3oool00`000000oooo0?ooo`0?
0?ooo`40fMWI000d0?ooo`030000003oool0oooo06H0oooo0P2c/k<=0?ooo`030;>c/`3oool0oooo
0280oooo0P2c/k<<0?ooo`80/k>c;03oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`03
0000003oool0oooo06H0oooo00<0/k>c0?ooo`3oool02`3oool00`2c/k<0oooo0?ooo`0R0?ooo`80
/k>c3@3oool00`2c/k<0oooo0?ooo`0[0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo
00<000000?ooo`3oool0I@3oool00`2c/k<0oooo0?ooo`0<0?ooo`030;>c/`3oool0oooo0240oooo
0P2c/k<=0?ooo`030;>c/`3oool0oooo02`0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03o
ool00`000000oooo0?ooo`1T0?ooo`030;>c/`3oool0oooo00d0oooo00<0/k>c0?ooo`3oool0803o
ool00`2c/k<0oooo0?ooo`0<0?ooo`030;>c/`3oool0oooo02d0oooo00<000000?ooo`3oool03`3o
ool10=WIf@00=03oool00`000000oooo0?ooo`1S0?ooo`80/k>c3P3oool00`2c/k<0oooo0?ooo`0P
0?ooo`030;>c/`3oool0oooo00`0oooo0P2c/k<_0?ooo`030000003oool0oooo00l0oooo0@3IfMT0
03@0oooo00<000000?ooo`3oool0H`3oool00`2c/k<0oooo0?ooo`0=0?ooo`030;>c/`3oool0oooo
01h0oooo0P2c/k<?0?ooo`030;>c/`3oool0oooo02h0oooo00<000000?ooo`3oool03`3oool10=WI
f@00=03oool00`000000oooo0?ooo`1R0?ooo`030;>c/`3oool0oooo00h0oooo00<0/k>c0?ooo`3o
ool07@3oool20;>c/`l0oooo00<0/k>c0?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`40
fMWI000d0?ooo`030000003oool0oooo0640oooo00<0/k>c0?ooo`3oool03`3oool00`2c/k<0oooo
0?ooo`0L0?ooo`030;>c/`3oool0oooo00h0oooo00<0/k>c0?ooo`3oool0<03oool00`000000oooo
0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo0600oooo0P2c/k<@0?ooo`030;>c/`3o
ool0oooo01`0oooo00<0/k>c0?ooo`3oool03P3oool20;>c/c80oooo00<000000?ooo`3oool03`3o
ool10=WIf@00=03oool00`000000oooo0?ooo`1P0?ooo`030;>c/`3oool0oooo00l0oooo00<0/k>c
0?ooo`3oool06P3oool20;>c/a40oooo00<0/k>c0?ooo`3oool0<@3oool00`000000oooo0?ooo`0?
0?ooo`40fMWI000d0?ooo`030000003oool0oooo05l0oooo00<0/k>c0?ooo`3oool0403oool00`2c
/k<0oooo0?ooo`0I0?ooo`80/k>c4@3oool00`2c/k<0oooo0?ooo`0b0?ooo`030000003oool0oooo
00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0GP3oool00`2c/k<0oooo0?ooo`0@0?ooo`03
0;>c/`3oool0oooo01T0oooo0P2c/k<A0?ooo`030;>c/`3oool0oooo03<0oooo00<000000?ooo`3o
ool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`1M0?ooo`80/k>c4P3oool00`2c/k<0oooo
0?ooo`0H0?ooo`030;>c/`3oool0oooo0100oooo0P2c/k<e0?ooo`030000003oool0oooo00l0oooo
0@3IfMT003@0oooo00<000000?ooo`3oool0G@3oool00`2c/k<0oooo0?ooo`0A0?ooo`030;>c/`3o
ool0oooo01L0oooo00<0/k>c0?ooo`3oool04@3oool00`2c/k<0oooo0?ooo`0d0?ooo`030000003o
ool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0G03oool00`2c/k<0oooo0?ooo`0B
0?ooo`030;>c/`3oool0oooo01D0oooo0P2c/k<C0?ooo`030;>c/`3oool0oooo03D0oooo00<00000
0?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`1K0?ooo`030;>c/`3oool0oooo
0180oooo00<0/k>c0?ooo`3oool05@3oool20;>c/a<0oooo00<0/k>c0?ooo`3oool0=P3oool00`00
0000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo05X0oooo0P2c/k<D0?ooo`03
0;>c/`3oool0oooo01@0oooo00<0/k>c0?ooo`3oool04P3oool20;>c/cP0oooo00<000000?ooo`3o
ool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`1J0?ooo`030;>c/`3oool0oooo02T0oooo
00<0/k>c0?ooo`3o00004`3oool00`2c/k<0oooo0?ooo`0g0?ooo`030000003oool0oooo00l0oooo
0@3IfMT003@0oooo00<000000?ooo`3oool0AP3oool20000o`030?ooo`3o0000o`0000h0oooo00<0
/k>c0?ooo`3oool0:03oool20;>c/`040?ooo`3o0000o`000?ooo`<0003o3P3oool00`2c/k<0oooo
0?ooo`0h0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0A@3o
ool00`000?l0oooo0000o`030?l00080oooo00<0003o0?ooo`3oool0<`3oool20;>c/`050?ooo`3o
0000o`000?l0003oool00P000?l00`3oool0o`000?l000170?ooo`030000003oool0oooo00l0oooo
0@3IfMT003@0oooo00<000000?ooo`3oool0A03oool00`000?l0oooo0000o`040?l000050000o`3o
ool0003o0?ooo`3o00005`3oool00`3o0000oooo0?ooo`020000oaH0oooo0P2c/k<0103oool0o`00
0?l0003o00020000o`070?ooo`000?l0o`000?ooo`3o0000oooo0000o`150?ooo`030000003oool0
oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0@`3oool40000o`070?l0003oool0o`00
0000o`3oool0003o0?ooo`020?l00180oooo0`000?l0103oool0o`000?l0003o00030000o`<0o`00
4P3oool00`2c/k<0oooo0?ooo`040?l000030000o`3oool0003o00@0o`000P000?m50?ooo`030000
003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0@P3oool02@000?l0oooo0000
o`000?l0o`000?ooo`3o0000003o0?ooo`020000o`030?l0003oool0o`000180oooo0P000?l0103o
ool0o`000?ooo`3o00020?ooo`80003o00<0o`000?ooo`3o00004@3oool02@2c/k<0oooo0?ooo`3o
ool0o`000?ooo`3o0000003o0?ooo`020000o`80oooo00@0o`000000o`3oool0003oA@3oool00`00
0000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo0480oooo00L0003o0?ooo`00
0?l0o`000?ooo`3o0000003o0080oooo00@0003o0?l0003oool0o`000`000?l?0?ooo`<0003o00D0
o`000?ooo`3o0000003o0?ooo`020000o`030?l0003oool0o`0000<0003o3@3oool20;>c/`<0oooo
00D0o`000?ooo`3o0000003o0?ooo`020000o`070?l0003oool0o`000000o`3oool0003o0?ooo`02
0?l004<0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`110?oo
o`040000o`3oool0003o0?l00080oooo00X0o`000000o`3oool0003o0?l0003oool0o`000000o`3o
ool0003o4P3oool03P3o0000oooo0?l0003oool0003o0?ooo`000?l0o`000?ooo`3o0000oooo0000
o`3oool0003o303oool20;>c/`<0oooo103o00001`000?l0oooo0000o`3o0000oooo0?l000000?l0
0P3oool010000?l0o`000?ooo`3o00130?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo
00<000000?ooo`3oool0@03oool40000o`050?l0003oool0o`000000o`3oool00P000?l20?ooo`04
0?l000000?l0oooo0000o`80o`004@3oool20?l000040?ooo`000?l0003o0?ooo`<0o`0000<0oooo
0000o`000?l0303oool20;>c/`<0oooo0`3o00020000o`050?ooo`000?l0003o0?ooo`3o00000P00
0?l01P3oool0003o0?l0003oool0o`000?ooo`80003o@@3oool00`000000oooo0?ooo`0?0?ooo`40
fMWI000d0?ooo`030000003oool0oooo0400oooo00L0003o0?ooo`000?l0o`000?ooo`3o0000003o
0080oooo00H0003o0?ooo`3oool0o`000000o`3oool20000o`80o`005P3oool00`000?l0oooo0?oo
o`0?0?ooo`030;>c/`3oool0oooo00<0oooo00L0o`000?ooo`3o0000003o0?ooo`000?l0o`000080
oooo00D0003o0?ooo`3oool0oooo0000o`020?ooo`030?l000000?l0003o0480oooo00<000000?oo
o`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0o0?ooo`070000o`3oool0003o0?l0
003oool0o`000000o`030?ooo`040?l0003oool0o`000000o`80oooo00@0003o0?l0003oool0o`00
3`3oool00`000?l0oooo0?ooo`020?l000040?ooo`000?l0003o0000o`<0o`000`000?l?0?ooo`<0
o`0000T0003o0?ooo`3oool0003o0?l0003oool0o`000000o`3oool00P000?l20?ooo`040?l00000
0?l0oooo0000od80oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?oo
o`0n0?ooo`<0003o0P3o00001P3oool0003o0000o`3oool0003o0?l00080oooo0P000?l01@3oool0
003o0?l0003oool0o`000080003o303oool40000o`050?l0003oool0003o0000o`3oool00P000?l0
1P3o0000oooo0?l000000?l0oooo0000o`<0o`002`3oool30?l000080000o`3oool0oooo0000o`3o
0000oooo0?l000000?l20?ooo`060000o`3o0000oooo0?l000000?l0oooo0P000?l20?l00400oooo
00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0m0?ooo`@0003o00D0
o`000?ooo`3o0000003o0?ooo`020000o`80oooo00<0003o0?ooo`3oool00P000?l00`3oool0o`00
0?l000020000o``0oooo00L0003o0?ooo`000?l0o`000?ooo`3o0000003o0080oooo00L0003o0?l0
003oool0o`000000o`3oool0003o0080o`0000@0oooo0?l0003oool0003o2@3oool01@3o0000oooo
0?l000000?l0oooo0080003o00<0oooo0?l000000?l00P3oool01@000?l0o`000?ooo`3o0000003o
0080oooo00@0003o0?l0003oool0o`00@03oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?oo
o`030000003oool0oooo03d0oooo0P000?l00`3oool0o`000?ooo`020?l00080oooo00H0003o0?l0
003oool0o`000000o`3oool20000o`060?l0003oool0o`000000o`3oool0003o2`3oool010000?l0
oooo0000o`000?l20?ooo`80003o00@0oooo0000o`3o0000oooo0P3o00020?ooo`040000o`3o0000
oooo0?l000<0003o203oool30?l000060000o`3oool0003o0000o`3o0000oooo0P000?l00`3oool0
003o0?l000020?ooo`070000o`3oool0oooo0000o`3o0000oooo0?l000110?ooo`030000003oool0
oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0?@3oool20000o`040?l0003oool0oooo
0000o`80oooo00D0003o0?l0003oool0oooo0000o`020?ooo`090000o`3oool0oooo0?l000000?l0
oooo0000o`3oool0o`0000X0oooo0P000?l0203o0000oooo0?l0003o0000003o0?ooo`000?l0o`00
0P3oool020000?l0oooo0?ooo`000?l0o`000?ooo`3o0000oooo0P000?l90?ooo`80o`0000@0oooo
0000o`3oool0003o0P3oool20000o`80oooo00H0003o0?ooo`3oool0o`000000o`3oool20000o`04
0?ooo`3o0000o`000000od00oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000
oooo0?ooo`0m0?ooo`040000o`3o0000o`000?l00080003o00<0oooo0000o`000?l00P3oool02000
0?l0oooo0?ooo`000?l0o`000?ooo`3o0000003o0P3oool010000?l0o`000?l0003o00090?ooo`03
0000o`3oool0o`000080o`0000D0003o0?ooo`3oool0003o0?ooo`020?l000050000o`3oool0003o
0000o`3oool00P3o00000`3oool0003o0?ooo`090?ooo`040?l000000?l0003o0?ooo`80o`0000<0
oooo0?l000000?l00P3oool01@000?l0o`000?ooo`3o0000003o0080oooo00@0003o0?l0003oool0
o`000`000?lo0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0
?@3oool20?l000030?ooo`3o0000003o0080oooo00<0003o0?ooo`3oool00P000?l00`3oool0003o
0000o`020?ooo`80003o00D0oooo0000o`3o0000oooo0?l0000@0?ooo`80003o0`3o00001P3oool0
003o0000o`000?l0oooo0?l000l0oooo00@0003o0?ooo`000?l0o`000P3oool20000o`030?ooo`00
0?l0o`000080oooo00L0003o0?ooo`3oool0003o0?l0003oool0o`0000<0003o@03oool00`000000
oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo03d0oooo00@0o`000?ooo`3o0000
003o0P3oool00`3o0000oooo0?ooo`020000o`80oooo00@0003o0?ooo`3oool0003o0P3oool20000
o`030?ooo`3o0000o`0000/0oooo0P000?l40?l000<0003o0`3o00040000o`<0o`002`3oool01000
0?l0oooo0000o`000?l20?ooo`80003o00<0oooo0000o`000?l00P3oool20000o`030?ooo`000?l0
003o0080oooo0P000?l00`3oool0003o0?ooo`0o0?ooo`030000003oool0oooo00l0oooo0@3IfMT0
03@0oooo00<000000?ooo`3oool0?03oool30?l00080003o00H0oooo0000o`3o0000oooo0?l00000
0?l20?ooo`060000o`3o0000oooo0?l000000?l0oooo0P000?l0103o0000oooo0?l000000?l<0?oo
o`050000o`3o0000oooo0?l000000?l00P3oool00`000?l0o`000?ooo`020000o`060?ooo`000?l0
003o0?l0003oool0o`000P000?l90?ooo`<0003o00@0o`000?ooo`3o0000003o0P3oool01P000?l0
o`000?ooo`000?l0o`000?ooo`80003o0P3oool20000o`040?ooo`000?l0o`000?l003l0oooo00<0
00000?ooo`3oool03`3oool10=WIf@000`00000a0?ooo`030000003oool0oooo03`0oooo0`3o0000
1`000?l0oooo0000o`000?l0oooo0?l000000?l00P3oool01@000?l0o`000?ooo`3o0000003o0080
oooo00@0003o0?l0003oool0o`000`000?l80?ooo`040000o`3oool0003o0?l00080oooo00D0003o
0?ooo`3oool0003o0?l000020?ooo`040000o`3oool0oooo0000o`80oooo00@0o`000000o`3oool0
003o203oool010000?l0oooo0000o`3o00020?ooo`050000o`3oool0oooo0000o`3o00000P3oool0
10000?l0oooo0?ooo`000?l20?ooo`050?l000000?l0oooo0000o`3oool00P3o000o0?ooo`030000
003oool0oooo00l0oooo0@3IfMT000030?ooo`000000oooo00`0oooo0P0000030?ooo`030000003o
ool0oooo01d0oooo00<000000?ooo`3oool0?03oool20?l00080oooo0P000?l20?ooo`80003o00<0
oooo0000o`000?l00P3oool20000o`050?ooo`000?l0003o0?ooo`3o00000P000?l00`3oool0003o
0?ooo`060?ooo`<0003o00@0o`000?ooo`3oool0003o0P3oool20000o`030?ooo`3o0000003o0080
oooo00D0003o0?l0003oool0o`000000o`020?ooo`030000o`3o0000o`0000H0oooo0P000?l20?l0
00060?ooo`000?l0003o0?ooo`000?l0o`000P3oool01P000?l0oooo0?ooo`000?l0o`000?ooo`80
o`000P3oool010000?l0o`000?l0003o000o0?ooo`030000003oool0oooo00l0oooo0@3IfMT00003
0?ooo`000000oooo00/0oooo0P0000050?ooo`030000003oool0000000D000005`3oool00`000000
oooo0?ooo`0m0?ooo`040000o`3oool0oooo0000o`80oooo00D0o`000000o`3oool0oooo0000o`02
0?ooo`80003o0P3oool01`000?l0oooo0?ooo`3o0000003o0?ooo`000?l0203oool30000o`050?l0
003oool0o`000000o`3oool00P000?l20?ooo`030000o`3oool0oooo0080003o0P3oool010000?l0
oooo0?ooo`000?l20?l000P0oooo0P3o00000`3oool0o`000000o`020?ooo`040000o`3oool0oooo
0000o`80oooo00D0003o0?l0003oool0o`000000o`020?ooo`040000o`3o0000oooo0?l00400oooo
00<000000?ooo`3oool03`3oool10=WIf@000P3oool2000000@0oooo00<000000?ooo`3oool00`3o
ool4000000<0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0=0?ooo`800000
1`3oool00`000000oooo0?ooo`0m0?ooo`070000o`3oool0003o0?l0003oool0o`000000o`020?oo
o`030000o`3o0000oooo0080003o0P3oool00`000?l0o`000?ooo`020000o`040?ooo`000?l0003o
0?l000P0oooo00H0003o0?l0003o0000o`000000o`3oool20000o`050?l0003oool0o`000000o`3o
ool00P000?l20?ooo`050?l000000?l0oooo0000o`3oool00P3o00080?ooo`050?l0003oool0o`00
0000o`3oool00P000?l20?ooo`80003o0P3oool00`000?l0oooo0?ooo`020000o`040?ooo`000?l0
003o0?ooo`80o`00@03oool00`000000oooo0?ooo`020?ooo`8000002`3oool10=WIf@000P3oool0
0`000000oooo000000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000P3oool0
1`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo0?ooo`0<0?ooo`040000
003oool0oooo000000H0oooo0P00000m0?ooo`040000o`3oool0oooo0?l00080oooo00D0003o0?oo
o`3oool0003o0?l000020?ooo`040000o`3oool0oooo0000o`80oooo00<0o`000000o`3oool00P00
0?l20?l000X0oooo00<0o`000?ooo`000?l00P000?l30?l000040?ooo`000?l0003o0000o`<0o`00
00<0oooo0000o`000?l02`3oool30?l00080003o00@0oooo0000o`3oool0oooo0P000?l20?ooo`06
0000o`3oool0oooo0?l000000?l0oooo0P000?l20?ooo`030?l000000?l0003o03d0oooo0`000003
0?ooo`040000003oool0oooo000000X0oooo0@3IfMT00080oooo00@000000?ooo`3oool000000`3o
ool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool00000
00@0oooo00<000000?ooo`3oool0303oool010000000oooo0?ooo`0000060?ooo`030000003oool0
oooo03`0oooo0P000?l01P3o0000oooo0?ooo`3o0000003o0?ooo`80003o0P3oool00`000?l0oooo
0?ooo`020000o`80oooo00L0003o0?ooo`3oool0003o0?l0003oool0o`0000/0oooo0P3o0000103o
ool0003o0000o`000?l30?l000040?ooo`000?l0003o0000o`<0o`0000<0oooo0000o`000?l02@3o
ool20?l00080003o00H0oooo0000o`000?l0oooo0?l000000?l20?ooo`80003o00<0oooo0?l00000
0?l00P3oool01`000?l0o`000?ooo`3o0000003o0?ooo`000?l0?`3oool01@000000oooo0?ooo`3o
ool000000080oooo00<000000?ooo`3oool0203oool10=WIf@000`3oool00`000000oooo00000003
0?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`070000003oool0oooo0?ooo`00
0000oooo000000020?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3oool000001P3oool0
0`000000oooo0?ooo`0l0?ooo`80003o00@0o`000?ooo`3o0000003o0P3oool00`000?l0oooo0?oo
o`020000o`030?ooo`000?l0003o0080oooo00<0003o0?ooo`3oool00P000?l00`3oool0o`000?oo
o`070?ooo`80003o00@0oooo0?l0003o0000o`000P000?l01P3oool0003o0?l0003oool0o`000000
o`80oooo00T0003o0?l0003oool0o`000000o`3oool0003o0?ooo`3o00001`3oool20?l000040000
o`3oool0003o0?l00080oooo0P000?l00`3oool0003o0000o`020?ooo`070000o`3oool0oooo0000
o`3o0000oooo0?l000040000ocl0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003o
ool0oooo00P0oooo0@3IfMT00080oooo0`0000050?ooo`040000003oool0oooo0?ooo`@000000`3o
ool00`000000oooo0?ooo`0B0?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool0
?@3oool0103o0000oooo0?l000000?l20?ooo`050?l0003oool0oooo0?ooo`000?l00P3oool01P00
0?l0oooo0?ooo`3o0000003o0?ooo`80003o0P3oool00`3o0000oooo0?ooo`050?ooo`040000o`3o
ool0003o0?l00080oooo0P000?l00`3oool0003o0?l000020?ooo`090000o`3oool0oooo0000o`3o
0000oooo0?l000000?l0oooo0080003o0P3o00080?ooo`040000o`3oool0oooo0000o`80oooo00<0
003o0?ooo`3oool00P000?l20?ooo`80003o00<0oooo0000o`000?l00P3oool010000?l0oooo0?oo
o`000?m00?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`080?ooo`40
fMWI000;0?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool04P3oool010000000
oooo0?ooo`0000060?ooo`030000003oool0oooo03`0oooo0`3o000020000?l0oooo0?ooo`000?l0
o`000?ooo`3o0000003o0P3oool01@000?l0o`000?ooo`3o0000003o0080oooo00@0003o0?l0003o
ool0o`000P000?l60?ooo`80003o0P3o00000`3oool0003o0?ooo`020?ooo`030000o`3oool0oooo
0080003o0P3oool00`000?l0oooo0?ooo`020000o`050?ooo`000?l0o`000?ooo`3o0000203oool3
0000o`040?l0003oool0o`000000o`80oooo00<0003o0?l0003oool00P000?l20?ooo`070000o`3o
ool0oooo0?l000000?l0oooo0000o`020?l003l0oooo00D000000?ooo`3oool0oooo000000020?oo
o`030000003oool0oooo00P0oooo0@3IfMT000/0oooo00D000000?ooo`3oool0oooo000000040?oo
o`030000003oool0oooo01@0oooo0P0000070?ooo`030000003oool0oooo03`0oooo0`3o00001000
0?l0oooo0000o`000?l20?ooo`080000o`3oool0oooo0000o`3o0000oooo0?l000000?l20?ooo`05
0000o`3o0000oooo0?l0003oool00P000?l80?ooo`050?l0003oool0o`000000o`3oool00P000?l2
0?ooo`80003o0P3oool00`000?l0oooo0?ooo`020000o`040?ooo`000?l0o`000?ooo`80o`001`3o
ool30000o`040?l0003oool0oooo0000o`80oooo00D0003o0?l0003oool0oooo0000o`020?ooo`03
0000o`3oool0oooo0080o`000P3oool00`000?l0o`000?l0000o0?ooo`030000003oool0oooo0080
oooo0P00000;0?ooo`40fMWI000d0?ooo`030000003oool0oooo03`0oooo0P3o000010000?l0oooo
0000o`000?l20?ooo`80003o0P3oool00`000?l0oooo0?ooo`020000o`80oooo00<0003o0?ooo`3o
00000`000?l90?ooo`80o`0000T0003o0?ooo`000?l0003o0?l0003oool0o`000000o`3oool00P00
0?l01P3o0000oooo0?l000000?l0oooo0000o`@0o`00203oool20000o`80o`0000@0oooo0?l00000
0?l0oooo0P000?l20?ooo`030000o`3oool0oooo0080003o00<0oooo0?l000000?l00P3oool40?l0
03l0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0n0?ooo`03
0000o`3oool0003o0080oooo00<0o`000000o`3oool00P000?l20?ooo`80003o00<0oooo0000o`00
0?l00P3oool20000o`030?ooo`000?l0oooo00X0oooo0`000?l0103oool0o`000?l0003oool30000
o`<0o`0000D0oooo0000o`000?l0003o0?ooo`020?l000/0oooo00D0o`000?ooo`3o0000003o0?oo
o`020000o`80oooo00D0003o0?ooo`3oool0003o0?l000020?ooo`070000o`3oool0oooo0000o`3o
0000oooo0?l000100?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3o
ool0?@3oool30000o`040?l0003oool0o`000000o`80oooo00<0003o0?l0003oool00P000?l20?oo
o`070000o`3o0000oooo0?l000000?l0oooo0000o`0?0?ooo`80003o103o00020000o`040?ooo`3o
0000o`000?l000l0oooo00D0o`000?ooo`3o0000003o0?ooo`020000o`80oooo0P000?l20?ooo`03
0000o`3oool0oooo0080003o00@0oooo0000o`000?l0oooo0P3o00100?ooo`030000003oool0oooo
00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0?@3oool20000o`040?l0003oool0oooo0000
o`80oooo00D0003o0?l0003oool0oooo0000o`020?ooo`050000o`3o0000oooo0?l000000?l00P3o
ool00`000?l0oooo0?ooo`090?ooo`090?l0003oool0003o0000o`3oool0003o0?l0003oool0o`00
0080003o00D0oooo0000o`3o0000oooo0?l000030000o`030?ooo`3o0000oooo00T0oooo0P3o0002
0000o`060?ooo`000?l0oooo0?ooo`3o0000003o0P3oool01@000?l0oooo0?ooo`3o0000003o0080
oooo00D0003o0?ooo`3oool0o`000000o`100?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0
oooo00<000000?ooo`3oool0?@3oool01`000?l0oooo0?l0003oool0o`000000o`3oool00P000?l2
0?ooo`070000o`3oool0oooo0000o`3o0000oooo0?l000040000o`80o`002@3oool20?l000030?oo
o`000?l0oooo0080003o0P3oool01@000?l0oooo0?ooo`000?l0o`000080oooo0P000?l20?ooo`<0
o`002@3oool02@3o0000oooo0000o`3oool0003o0?l0003oool0o`000000o`020?ooo`80003o00<0
oooo0?l000000?l00P3oool010000?l0o`000?ooo`3o00030000ocl0oooo00<000000?ooo`3oool0
3`3oool10=WIf@00=03oool00`000000oooo0?ooo`0n0?ooo`040?l0003oool0o`000000o`80oooo
00H0003o0?l0003oool0o`000000o`3oool20000o`80oooo0P000?l00`3oool0003o0?l000020?l0
00T0oooo0P3o00001P000?l0oooo0?ooo`000?l0o`000?ooo`80003o00<0oooo0000o`000?l00P3o
ool20000o`050?ooo`000?l0o`000?ooo`3o00002`3oool40000o`050?l0003oool0003o0000o`3o
ool00P000?l20?ooo`070000o`3oool0oooo0000o`3o0000oooo0?l000030000od00oooo00<00000
0?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0n0?ooo`80o`0000P0003o0?oo
o`3oool0oooo0?l0003oool0o`000000o`80oooo00P0003o0?ooo`3oool0o`000000o`3oool0003o
0?ooo`80o`00303oool30000o`040?l0003oool0o`000000o`80oooo00H0003o0?ooo`3oool0o`00
0000o`3oool20000o`030?ooo`3o0000o`0000/0oooo0`000?l01@3o0000oooo0?l000000?l0oooo
0080003o0P3oool00`3o0000003o0?ooo`020000o`80oooo00@0o`000000o`000?l0003o@03oool0
0`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo03d0oooo0P3o00001`3o
ool0003o0?ooo`000?l0o`000?ooo`3o00000P000?l0103oool0003o0?l0003oool20?l000030?oo
o`000?l0003o00<0o`003P3oool0103o0000oooo0?l000000?l20?ooo`80o`0000@0oooo0?l00000
0?l0oooo0P000?l30?l000`0oooo00H0003o0?ooo`3o0000oooo0?l000000?l20?ooo`060000o`3o
0000oooo0?l000000?l0oooo0P000?l01P3o0000oooo0?l000000?l0oooo0000od40oooo00<00000
0?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0o0?ooo`070000o`3oool0003o
0?l0003oool0o`000000o`020?ooo`80003o00<0oooo0?l000000?l00P3oool010000?l0o`000?oo
o`3o000?0?ooo`80o`0000@0oooo0000o`000?l0003o0`3o00001P3oool0003o0000o`000?l0oooo
0?l000l0oooo0`3o00001@000?l0oooo0?ooo`000?l0o`000080oooo00X0003o0?ooo`3oool0003o
0?l0003oool0o`000000o`3oool0003o@P3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?oo
o`030000003oool0oooo03l0oooo0P000?l20?l000060?ooo`000?l0003o0?ooo`000?l0o`000P3o
ool01`3o0000003o0?ooo`000?l0o`000?ooo`3o00001@3oool00`2c/k<0oooo0?ooo`0?0?ooo`03
0?l0003oool0oooo01@0oooo0`3o00001P000?l0oooo0000o`3o0000oooo0?l00080003o00D0oooo
0000o`3o0000oooo0?l000040000od80oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool0
0`000000oooo0?ooo`0o0?ooo`80003o00@0o`000?ooo`3o0000003o0P3oool01@000?l0oooo0?oo
o`3o0000003o0080oooo00<0003o0?ooo`3o0000103oool20;>c/`d0oooo0P3o0000103oool0003o
0000o`3oool30?l00080003o4P3oool01@3o0000003o0?ooo`000?l0o`000080oooo00P0003o0?oo
o`3oool0003o0?l0003oool0o`000000o`80oooo00<0003o0?ooo`3oool0@@3oool00`000000oooo
0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo0440oooo0P3o00002@000?l0oooo0?oo
o`000?l0o`000?ooo`3o0000003o0?ooo`020000o`030?l0003oool0o`0000<0oooo0P2c/k<<0?oo
o`80o`0000H0oooo0?l000000?l0oooo0000o`3o00020?ooo`050?l000000?l0oooo0000o`3o0000
4@3oool30000o`040?l0003oool0o`000000o`80oooo00D0003o0?l0003oool0o`000000o`160?oo
o`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0@03oool30?l00006
0000o`3oool0003o0?l0003oool0o`000P000?l01@3oool0003o0?l0003oool0o`0000<0oooo0P2c
/k<=0?ooo`050?l0003oool0o`000000o`3oool00P000?l01P3o0000oooo0?l000000?l0oooo0000
o`<0o`003`3oool30000o`050?l0003oool0o`000000o`3oool00P000?l00`3o0000oooo0?l00002
0?ooo`030000o`3oool0oooo04<0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`00
0000oooo0?ooo`120?ooo`<0003o00X0o`000?ooo`3oool0o`000000o`3oool0003o0?l0003oool0
o`000`3oool00`2c/k<0oooo0?ooo`0=0?ooo`80o`0000T0oooo0000o`3oool0003o0?l0003oool0
o`000000o`3oool00P000?l20?l001<0oooo0`3o000020000?l0oooo0000o`3o0000oooo0?l00000
0?l0oooo0P000?m50?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3o
ool0@P3oool20000o`040?ooo`3o0000oooo0?l00080oooo00<0003o0?l0003o00000P3o00020?oo
o`030;>c/`3oool0oooo0100oooo0`000?l0103o0000oooo0?l0003oool30000o`030?ooo`3o0000
o`000180oooo0`3o00000`000?l0oooo0000o`040?l000<0003oAP3oool00`000000oooo0?ooo`0?
0?ooo`40fMWI000d0?ooo`030000003oool0oooo0480oooo00H0003o0?ooo`3o0000oooo0?l00000
0?l20?ooo`050000o`3o0000oooo0?l0003oool00P2c/k<F0?ooo`80o`000P3oool00`000?l0oooo
0?ooo`0E0?ooo`030?l0003oool0oooo00<0003o0`3o00000`000?l0oooo0000o`170?ooo`030000
003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0A03oool20?l000040?ooo`00
0?l0003o0000o`<0o`0000<0oooo0;>c/`2c/k<0=@3oool20000o`060?ooo`3o0000o`000?l0003o
ool0003oB@3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo03L0
oooo00<0/k>c0?ooo`3oool0403oool20?l000030?ooo`2c/k<0/k>c02X0oooo00<0/k>c0?ooo`3o
ool0303oool20?l000030?ooo`000?l0003o04T0oooo00<000000?ooo`3oool03`3oool10=WIf@00
=03oool00`000000oooo0?ooo`0f0?ooo`030;>c/`3oool0oooo01<0oooo00<0/k>c0?ooo`3oool0
4`3oool00`2c/k<0oooo0?ooo`0C0?ooo`030;>c/`3oool0oooo05/0oooo00<000000?ooo`3oool0
3`3oool10=WIf@00=03oool00`000000oooo0?ooo`0e0?ooo`80/k>c503oool00`2c/k<0oooo0?oo
o`0D0?ooo`030;>c/`3oool0oooo0180oooo0P2c/k=M0?ooo`030000003oool0oooo00l0oooo0@3I
fMT003@0oooo00<000000?ooo`3oool0=@3oool00`2c/k<0oooo0?ooo`0A0?ooo`80/k>c5P3oool0
0`2c/k<0oooo0?ooo`0C0?ooo`030;>c/`3oool0oooo05`0oooo00<000000?ooo`3oool03`3oool1
0=WIf@00=03oool00`000000oooo0?ooo`0d0?ooo`030;>c/`3oool0oooo0140oooo0P2c/k<G0?oo
o`030;>c/`3oool0oooo0180oooo00<0/k>c0?ooo`3oool0G@3oool00`000000oooo0?ooo`0?0?oo
o`40fMWI000d0?ooo`030000003oool0oooo03<0oooo00<0/k>c0?ooo`3oool04@3oool00`2c/k<0
oooo0?ooo`0G0?ooo`030;>c/`3oool0oooo0140oooo00<0/k>c0?ooo`3oool0GP3oool00`000000
oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo0380oooo0P2c/k<B0?ooo`030;>c
/`3oool0oooo01P0oooo00<0/k>c0?ooo`3oool0403oool20;>c/f00oooo00<000000?ooo`3oool0
3`3oool10=WIf@00=03oool00`000000oooo0?ooo`0b0?ooo`030;>c/`3oool0oooo00l0oooo0P2c
/k<J0?ooo`030;>c/`3oool0oooo0140oooo00<0/k>c0?ooo`3oool0G`3oool00`000000oooo0?oo
o`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo0340oooo00<0/k>c0?ooo`3oool03`3oool2
0;>c/a/0oooo00<0/k>c0?ooo`3oool0403oool00`2c/k<0oooo0?ooo`1P0?ooo`030000003oool0
oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0<03oool00`2c/k<0oooo0?ooo`0?0?oo
o`80/k>c703oool00`2c/k<0oooo0?ooo`0?0?ooo`030;>c/`3oool0oooo0640oooo00<000000?oo
o`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0_0?ooo`80/k>c403oool00`2c/k<0
oooo0?ooo`0L0?ooo`030;>c/`3oool0oooo00h0oooo0P2c/k=S0?ooo`030000003oool0oooo00l0
oooo0@3IfMT003@0oooo00<000000?ooo`3oool0;`3oool00`2c/k<0oooo0?ooo`0>0?ooo`030;>c
/`3oool0oooo01`0oooo00<0/k>c0?ooo`3oool03`3oool00`2c/k<0oooo0?ooo`1R0?ooo`030000
003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0;P3oool00`2c/k<0oooo0?oo
o`0=0?ooo`80/k>c7`3oool00`2c/k<0oooo0?ooo`0>0?ooo`030;>c/`3oool0oooo06<0oooo00<0
00000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0]0?ooo`030;>c/`3oool0
oooo00d0oooo0P2c/k<P0?ooo`030;>c/`3oool0oooo00d0oooo00<0/k>c0?ooo`3oool0I03oool0
0`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo02`0oooo0P2c/k<>0?oo
o`030;>c/`3oool0oooo0200oooo00<0/k>c0?ooo`3oool0303oool20;>c/fH0oooo00<000000?oo
o`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0/0?ooo`030;>c/`3oool0oooo00`0
oooo00<0/k>c0?ooo`3oool0803oool00`2c/k<0oooo0?ooo`0=0?ooo`030;>c/`3oool0oooo06D0
oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0[0?ooo`030;>c
/`3oool0oooo00/0oooo0P2c/k<S0?ooo`030;>c/`3oool0oooo00`0oooo00<0/k>c0?ooo`3oool0
<P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
803oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo02X0oooo00<0
/k>c0?ooo`3oool02`3oool20;>c/b@0oooo00<0/k>c0?ooo`3oool02`3oool00`2c/k<0oooo0?oo
o`0b0?ooo`030000003oool0000000@0oooo00<000000?ooo`0000001`3oool00`000000oooo0000
000Q0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0:@3oool2
0;>c/``0oooo0P2c/k<U0?ooo`030;>c/`3oool0oooo00X0oooo0P2c/k<`0?ooo`8000000`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0000000P0oooo00<000000?ooo`3oool0803oool0
0`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo02T0oooo00<0/k>c0?oo
o`3oool02P3oool00`2c/k<0oooo0?ooo`0T0?ooo`030;>c/`3oool0oooo00/0oooo00<0/k>c0?oo
o`3oool0<`3oool00`000000oooo000000040?ooo`030000003oool0000000L0oooo00<000000?oo
o`0000008@3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo02P0
oooo00<0/k>c0?ooo`3oool02P3oool00`2c/k<0oooo0?ooo`0U0?ooo`030;>c/`3oool0oooo00X0
oooo00<0/k>c0?ooo`3oool0=@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000
003oool0oooo02L0oooo00<0/k>c0?ooo`3oool02@3oool20;>c/bP0oooo00<0/k>c0?ooo`3oool0
2@3oool00`2c/k<0oooo0?ooo`1Z0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<0
00000?ooo`3oool09P3oool20;>c/`X0oooo0P2c/k<Y0?ooo`030;>c/`3oool0oooo00P0oooo0P2c
/k<]0?ooobP000005`3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0
oooo02H0oooo00<0/k>c0?ooo`3oool0203oool20;>c/bT0oooo00<0/k>c0?ooo`3oool02@3oool0
0`2c/k<0oooo0?ooo`0/0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool05@3oool0
0`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo02D0oooo00<0/k>c0?oo
o`3oool0203oool00`2c/k<0oooo0?ooo`0Y0?ooo`030;>c/`3oool0oooo00P0oooo00<0/k>c0?oo
o`3oool0;@3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0T0?ooo`80/k>c2@3oool00`2c/k<0
oooo0?ooo`0Z0?ooo`030;>c/`3oool0oooo00L0oooo0P2c/k<_0?ooo`030000003oool0oooo02@0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000
003oool0oooo02@0oooo00<0/k>c0?ooo`3oool01P3oool20;>c/b`0oooo00<0/k>c0?ooo`3oool0
203oool00`2c/k<0oooo0?ooo`0^0?ooo`030000003oool0000000l0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<0
00000?ooo`3oool08`3oool00`2c/k<0oooo0?ooo`060?ooo`80/k>c;@3oool00`2c/k<0oooo0?oo
o`070?ooo`030;>c/`3oool0oooo02l0oooo00<000000?ooo`0000003@3oool00`000000oooo0000
000C0?ooo`8000005`3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0
oooo0280oooo00<0/k>c0?ooo`3oool01P3oool00`2c/k<0oooo0?ooo`060?ooo`<0003o903oool0
0`2c/k<0oooo0?ooo`060?ooo`030;>c/`3oool0oooo02X0oooo0`0000030?ooo`80000000<0oooo
0000000000000`3oool00`000000oooo0000000200000080oooo00@000000?ooo`3oool0oooo0P00
00020?ooo`8000000P3oool010000000oooo0?ooo`3oool200000080oooo0P0000020?ooo`030000
003oool0oooo00@0oooo0`00000>0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<0
00000?ooo`3oool08@3oool20;>c/`L0oooo00<0/k>c0?ooo`3oool01P3oool01@000?l0oooo0?oo
o`3oool0003o02<0oooo00<0/k>c0?ooo`3oool01@3oool20;>c/bd0oooo00<000000?ooo`3oool0
0P3oool20000000:0?ooo`000000oooo0000003oool000000?ooo`000000oooo000000<0oooo00d0
00000?ooo`3oool0oooo0000003oool000000?ooo`000000oooo0000003oool0000000<0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0000000000070?ooo`030000003oool0oooo00d0oooo
00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0Q0?ooo`030;>c/`3o
ool0oooo00@0oooo0P2c/k<90?ooo`D0003o8P3oool00`2c/k<0oooo0?ooo`060?ooo`030;>c/`3o
ool0oooo02H0oooo0P0000040?ooo`030000003oool0oooo0080oooo00H000000?ooo`0000000000
0?ooo`0000020?ooo`050000003oool000000?ooo`0000000P3oool02`000000oooo0?ooo`3oool0
00000?ooo`000000oooo0000003oool000000080oooo00D000000?ooo`3oool0oooo000000030?oo
o`050000003oool0oooo0000003oool00P0000040?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0P0?ooo`030;>c/`3oool0oooo
00@0oooo0P2c/k<a0?ooo`030;>c/`3oool0oooo00D0oooo00<0/k>c0?ooo`3oool0;03oool20000
00@0oooo0P000000103oool000000000000000020?ooo`030000003oool0000000<0000000<0oooo
0000003oool00P3oool300000080oooo0P0000000`3oool000000?ooo`05000000060?ooo`000000
00000000003oool000001P3oool2000000l0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03o
ool00`000000oooo0?ooo`0O0?ooo`030;>c/`3oool0oooo00@0oooo0P2c/k<b0?ooo`030;>c/`3o
ool0oooo00@0oooo00<0/k>c0?ooo`3oool0;P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00T0oooo00D000000?ooo`3oool0oooo0000000?0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`0000001`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00l0oooo
0@3IfMT003@0oooo00<000000?ooo`3oool07P3oool20;>c/`D0oooo00<0/k>c0?ooo`3oool02`3o
ool50?l00280oooo00<0/k>c0?ooo`3oool00`3oool20;>c/cD0oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool03`3o
ool10=WIf@00=03oool00`000000oooo0?ooo`0C0?ooo`@0o`001`3oool00`2c/k<0oooo0?ooo`03
0?ooo`030;>c/`3oool0oooo00L0oooo1@3o00040?ooo`H0o`005`3oool40?l000030?ooo`2c/k<0
oooo00D0oooo00<0/k>c0?ooo`3oool0=03oool00`000000oooo0?ooo`0T0?ooo`030000003oool0
oooo01D0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0B0?oo
o`040?l0003oool0oooo0?ooo`80o`001@3oool00`2c/k<0oooo0?ooo`020?ooo`80/k>c2@3oool0
0`3o0000oooo0?ooo`0<0?ooo`80o`00503oool30?l00080oooo0`3o00050?ooo`030;>c/`3oool0
oooo03D0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0E0?ooo`030000003oool0
oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0403oool20?l000H0oooo00D0o`000?oo
o`3oool0oooo0;>c/`040?ooo`80/k>c2@3oool20?l000l0oooo00<0o`000?ooo`3oool04@3oool2
0?l000H0oooo0P3o00030?ooo`030;>c/`3oool0oooo03H0oooo00<000000?ooo`3oool0903oool0
0`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?oo
o`3oool0403oool00`3o0000oooo0?ooo`050?ooo`80o`0000<0oooo0;>c/`2c/k<00`3oool00`2c
/k<0oooo0?ooo`0:0?ooo`030?l0003oool0oooo00d0oooo00<0o`000?ooo`3oool04@3oool00`3o
0000oooo0?ooo`050?ooo`040;>c/`3o0000oooo0?ooo`80/k>c>03oool00`000000oooo0?ooo`0T
0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`00
0000oooo0?ooo`0?0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`2c/k<00`3oool00`2c
/k<0oooo0?ooo`0;0?ooo`H0o`001@3oool50?l001<0oooo00<0o`000?ooo`3oool01@3oool01P2c
/k<0oooo0?ooo`3o0000oooo0;>c/cT0oooo00<000000?ooo`3oool0903oool00`000000oooo0?oo
o`0E0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool03`3oool0
0`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo0080/k>c503oool50?l001P0oooo00<0o`00
0?ooo`3oool01@3oool01@2c/k<0oooo0?ooo`3o0000/k>c03X0oooo00<000000?ooo`3oool0903o
ool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<00000
0?ooo`3oool03P3oool00`3o0000oooo0?ooo`080?ooo`030;>c/`3o0000o`000080/k>c4@3oool0
0`000?l0oooo0000o`090000oaD0oooo00<0o`000?ooo`3oool01@3oool01@2c/k<0oooo0?ooo`2c
/k<0o`0003D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0T0?ooo`040000003o
ool0oooo000001@0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?oo
o`0>0?ooo`030?l0003oool0oooo00L0oooo0P2c/k<00`3oool0o`000;>c/`0@0?ooo`<0003o2`3o
ool40000oa00oooo00<0o`000?ooo`3oool01P3oool01@2c/k<0oooo0;>c/`2c/k<0o`0003@0oooo
00<000000?ooo`0000000`3oool00`000000oooo0?ooo`0S0?ooo`80000000@0oooo0000003oool0
00004`3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo00h0oooo
00<0o`000?ooo`3oool01`3oool0102c/k<0oooo0;>c/`3o000?0?ooo`80003o4@3oool00`000?l0
oooo0?ooo`0>0?ooo`030?l0003oool0oooo00D0oooo00H0/k>c0?ooo`3oool0/k>c0?ooo`3o000d
0?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool0903oool01@000000oooo0000003o
ool0000001<0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0=
0?ooo`80o`00203oool01@2c/k<0oooo0;>c/`3oool0o`0000l0oooo00<0003o0?ooo`3oool04@3o
ool00`000?l0oooo0?ooo`0=0?ooo`030?l0003oool0oooo00D0oooo00<0/k>c0?ooo`2c/k<00P3o
ool00`3o0000oooo0?ooo`0b0?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool0903o
ool01@000000oooo0000003oool0000001<0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03o
ool00`000000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00H0oooo0`2c/k<20?ooo`030?l0003o
ool0oooo00d0oooo00<0003o0?ooo`3oool04@3oool00`000?l0oooo0?ooo`0=0?ooo`030?l0003o
ool0oooo00D0oooo0P2c/k<40?ooo`030?l0003oool0oooo0380oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`0T0?ooo`040000003oool0oooo000001@0oooo00<000000?ooo`3oool0
3`3oool10=WIf@00=03oool00`000000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00D0oooo0`2c
/k<30?ooo`030?l0003oool0oooo00h0oooo0P000?l>0?ooo`<0003o3`3oool00`3o0000oooo0?oo
o`060?ooo`80/k>c103oool00`3o0000oooo0?ooo`0g0?ooo`030000003oool0oooo02@0oooo00<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000[0?ooo`<000001P3oool0
0`000000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00D0oooo0P2c/k<40?ooo`80o`004@3oool?
0000oa40oooo00<0o`000?ooo`3oool01@3oool20;>c/`D0oooo00<0o`000?ooo`3oool0=`3oool0
0`000000oooo0?ooo`0T0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool00P3oool3
000000X0oooo0@3IfMT002`0oooo00<000000?ooo`3oool01@3oool2000000h0oooo00<0o`000?oo
o`3oool0103oool80;>c/`030?l0002c/k<0/k>c00X0/k>c203oool90?l000P0oooo302c/k<00`3o
0000/k>c0;>c/`060;>c/`H0oooo00<0o`000?ooo`3oool0=`3oool00`000000oooo0?ooo`0T0?oo
o`030000003oool0oooo01<0oooo0`0000050?ooo`030000003oool0oooo00T0oooo0@3IfMT002`0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00`0
oooo00<0o`000?ooo`3oool03@3oool50?l000T0oooo1@3o000?0?ooo`030?l0003oool0oooo00`0
oooo00<0o`000?ooo`3oool0=`3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo01D0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`40fMWI000/0?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool03@3oool00`3o0000oooo0?ooo`0;0?ooo`030?l0
003oool0oooo00d0oooo00<0o`000?ooo`3oool0403oool20?l000h0oooo00<0o`000?ooo`3oool0
303oool00`3o0000oooo0?ooo`0g0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0
5@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo0@3IfMT002`0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`0=0?ooo`030?l0003oool0oooo00/0oooo00<0
o`000?ooo`3oool03@3oool00`3o0000oooo0?ooo`0A0?ooo`030?l0003oool0oooo00`0oooo0P3o
000=0?ooo`030?l0003oool0oooo03L0oooo00<000000?ooo`3oool01P3oool30?l001/0oooo00<0
00000?ooo`3oool05@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo0@3I
fMT002/0oooo0P0000070?ooo`030000003oool0oooo00d0oooo00<0o`000?ooo`3oool02`3oool0
0`3o0000oooo0?ooo`0=0?ooo`030?l0003oool0oooo0140oooo00<0o`000?ooo`3oool03@3oool0
0`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo03P0oooo00<000000?ooo`3oool01@3oool0
1@3o0000oooo0?ooo`3oool0o`0001X0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`020?ooo`8000002`3oool10=WIf@00;03oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00h0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0=0?ooo`@0o`003P3oool2
0?l00100oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0h0?ooo`030000003oool0
oooo00D0oooo00D0o`000?ooo`3oool0oooo0?l0000J0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`40fMWI000d0?ooo`030000003oool0
oooo00h0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`0?0?oooa00o`004P3oool0
0`3o0000oooo0?ooo`0:0?ooo`030?l0003oool0oooo0380oooo0`0000030?ooo`030000003oool0
oooo00D0oooo00D0o`000?ooo`3oool0oooo0?l0000J0?ooo`030000003oool00000008000004`3o
ool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo00h0oooo00<0o`00
0?ooo`3oool02@3oool00`3o0000oooo0?ooo`0b0?ooo`80o`002`3oool00`3o0000oooo0?ooo`0c
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool01@3o0000oooo0?ooo`3o
ool0o`0001T0oooo0P0000020?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool03`3o
ool10=WIf@00=03oool00`000000oooo0?ooo`0>0?ooo`80o`002P3oool00`3o0000oooo0?ooo`0C
0?ooo``0003o503oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo03@0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`050?l0003oool0oooo0?ooo`3o00006P3o
ool010000000oooo0?ooo`00000D0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<0
00000?ooo`3oool03`3oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo0140oooo0P00
0?l=0?ooo`80003o4P3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo03<0oooo0P00
00040?ooo`030000003oool0oooo00D0oooo00D0o`000?ooo`3oool0oooo0?l0000J0?ooo`040000
003oool00000000001@0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo
0?ooo`0@0?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0403oool00`000?l0oooo
0?ooo`0>0?ooo`80003o4P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo03D0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`80o`0000<0oooo0?l0003o0000
6P3oool010000000oooo0?ooo`00000D0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo
00<000000?ooo`3oool04@3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0140oooo
00<0003o0?ooo`3oool03P3oool20000oa<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`0k0?ooo`030000003oool0oooo00H0oooo0`3o000K0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`0A0?ooo`<0o`000P3o
ool20?l001D0oooo0`000?l:0?ooo`@0003o503oool30?l00080oooo0`3o000m0?ooo`030000003o
ool0oooo02@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d
0?ooo`030000003oool0oooo01<0oooo103o000I0?ooo`X0003o6P3oool40?l003l0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00l0oooo0@3IfMT0
03@0oooo00<000000?ooo`3oool07`3oool2000007H0oooo:000000G0?ooo`030000003oool0oooo
00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0;0?ooo`05
0000003oool0oooo0000003oool00P00000Y0?ooo`030000003oool0oooo01<0oooo0P00001`0?oo
o`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool03`3oool00`000000
oooo0?ooo`0<0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool02P3oool70?l0
01@0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`1]0?ooo`030000003oool0oooo
00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool00P000000103oool000000000000000020?oo
o`050000003oool000000000003oool00P0000040?ooo`030000003oool0oooo00T0oooo0P3o0005
0?ooo`80o`00203oool2000000@0oooo0P0000030?ooo`040000003oool0oooo0?ooo`8000000P3o
ool01@000000oooo000000000000oooo00<000000P3oool010000000oooo0?ooo`3oool200000003
0?ooo`000000oooo06h0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool010000000oooo
0?ooo`0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000`3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo0P3o00030?ooo`<0o`00203oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool01@000000
oooo0000003oool000000080oooo00<000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool0
000000<0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool01`000000oooo0000
003oool000000?ooo`000000103oool00`000000oooo0?ooo`0;0?ooo`<0o`002`3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool02@000000
oooo0?ooo`3oool000000?ooo`000000oooo000000020?ooo`040000003oool0oooo00000080oooo
00D000000?ooo`3oool0oooo0000000i0?ooo`030000003oool0000000@0oooo00<000000?ooo`00
00001`3oool00`000000oooo0000000Q0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo
00<000000?ooo`3oool00`3oool2000000@0oooo0P0000040?ooo`050000003oool0oooo0?ooo`00
00000P3oool00`000000oooo000000020?ooo`070000003oool000000?ooo`000000oooo00000004
0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3o
ool0000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000020?ooo`030000003o
ool000000080oooo0P0000020?ooo`040000003oool0oooo000003D0oooo0P0000030?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`000000203oool00`000000oooo0?ooo`0P0?ooo`030000
003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0000
00030?ooo`030000003oool0000000@0oooo00@000000?ooo`3oool000000P3oool3000000030?oo
o`000000oooo008000000P3oool3000000<0oooo00<000000?ooo`3oool06@3oool400000080oooo
100000020?ooo`040000003oool0oooo0?ooo`8000000`3oool200000080oooo0`0000020?ooo`03
0000003oool0000000D00000>@3oool00`000000oooo000000040?ooo`030000003oool0000000L0
oooo00<000000?ooo`0000008@3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000
003oool0oooo0100oooo00D000000?ooo`3oool0oooo0000000A0?ooo`030000003oool0oooo01/0
oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?oo
o`3oool02`3oool00`000000oooo0000000j0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0
oooo00<000000?ooo`3oool04@3oool400000100oooo00<000000?ooo`3oool09`3oool2000000D0
oooo0P00000>0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool03`3oool10=WIf@00
=03oool00`000000oooo0?ooo`3F0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<0
00000?ooo`3oool0eP3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0
oooo0=H0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`3F0?oo
o`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0eP3oool00`000000
oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo0=H0oooo00<000000?ooo`3oool0
3`3oool10=WIf@00=03oool00`000000oooo0?ooo`3F0?ooo`030000003oool0oooo00l0oooo0@3I
fMT003@0oooo00<000000?ooo`3oool0eP3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?oo
o`030000003oool0oooo0=H0oooo00<000000?ooo`3oool03`3oool10=WIf@00=03oool00`000000
oooo0?ooo`3F0?ooo`030000003oool0oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0
eP3oool00`000000oooo0?ooo`0?0?ooo`40fMWI000d0?ooo`030000003oool0oooo0=H0oooo00<0
00000?ooo`3oool03`3oool10=WIf@00=03oool00`000000oooo0?ooo`3F0?ooo`030000003oool0
oooo00l0oooo0@3IfMT003@0oooo00<000000?ooo`3oool0eP3oool00`000000oooo0?ooo`0?0?oo
o`40fMWI000d0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0<@3oool00`000000
oooo0?ooo`0a0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool03`3oool10=WIf@00
=03ooooJ00000140oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?oo
ob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3I
fMT006d0oooo0P00000`0?ooo`800000<P3oool2000004X0oooo0@3IfMT006`0oooo00@000000?oo
o`3oool00000;P3oool010000000oooo0?ooo`00000`0?ooo`040000003oool0oooo000004T0oooo
0@3IfMT006H0oooo0`0000030?ooo`040000003oool0oooo000002h0oooo00@000000?ooo`3oool0
0000<03oool010000000oooo0?ooo`0000190?ooo`40fMWI001]0?ooo`800000;`3oool010000000
oooo0?ooo`00000a0?ooo`800000BP3oool10=WIf@00K03oool010000000oooo0?ooo`00000^0?oo
o`040000003oool0oooo00000300oooo00@000000?ooo`3oool00000B@3oool10=WIf@00K03oool0
10000000oooo0?ooo`00000^0?ooo`040000003oool0oooo00000300oooo00@000000?ooo`3oool0
0000B@3oool10=WIf@00K@3oool200000300oooo0P00000b0?ooo`800000BP3oool10=WIf@00o`3o
oolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40
fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?oo
ob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3I
fMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo
803oool10=WIf@00o`3ooolP0?ooo`40fMWI0000\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-24.6226, -2.14098, 0.153301, \
0.014372}, {{193.188, 258.438}, {114.812, 33.625}} -> {-195.012, -17.2274, \
0.863603, 0.0809628}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  ContourGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[35]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(NIntegrate[\((gs1 + gs2 + gs3)\) /. {xg -> \(-6\), pg -> 4, l -> 4, 
          h -> 1, P -> 0, sp -> 1, sx -> 1}, {x, \(-20\), 20}, {p, \(-8\), 
        8}]\)], "Input",
  CellLabel->"In[68]:="],

Cell[BoxData[
    RowBox[{\(NIntegrate::"slwcon"\), \(\(:\)\(\ \)\), "\<\"Numerical \
integration converging too slowly; suspect one of the following: singularity, \
value of the integration being 0, oscillatory integrand, or insufficient \
WorkingPrecision. If your integrand is oscillatory try using the option \
Method->Oscillatory in NIntegrate. \
\\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\
\\\", ButtonFrame->None, ButtonData:>\\\"NIntegrate::slwcon\\\"]\\)\"\>"}]], \
"Message",
  CellLabel->"From In[68]:="],

Cell[BoxData[
    \(0.9999779713225366`\)], "Output",
  CellLabel->"Out[68]="]
}, Open  ]],

Cell["\<\
Hi res version has 600 points, 200 contours for container, 100 \
points 200 contours for inset.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(tgraph3 = 
      Block[{xg = \(-8\), pg = 1, l = 5, h = 2\ sx\ sp\ r, r = 1, P = 0, 
          sp = 1/6, sx = 1}, max = gswf[0, 0, 1, 1]; 
        ContourPlot[\((gs1 + gs2 + gs3)\), {x, 
            xg - l - 3\ sx, \(-xg\) + l + 3\ sx}, {p, \(-pg\) - 3\ sp, 
            pg + 3\ sp}, PlotPoints \[Rule] 200, PlotRange -> All, 
          ContourShading -> True, ContourLines -> False, Contours \[Rule] 80, 
          Background -> White, 
          FrameTicks -> {{\(-xg\), 0, xg}, {\(-pg\), 0, pg}}, 
          TextStyle \[Rule] m10, ColorFunction -> \((linmapexpwhite[#] &)\), 
          Epilog -> {Rectangle[{l, 2  sp}, {\(-xg\) + l + 2\ sx, 
                  pg + \ 3  sp}, \[IndentingNewLine]ContourPlot[
                  gswf[x - xg, p - pg, 1, 1], {x, 
                    xg - l - 3  sx, \(-xg\) + l + 3\ sx}, {p, \(-pg\) - 
                      3\ sp, pg + 3\ sp}, ContourShading -> True, 
                  ContourLines -> False, 
                  FrameTicks -> {{\(-xg\), 0, xg}, {\(-pg\), 0, pg}}, \ 
                  TextStyle \[Rule] m8, 
                  FrameTicks -> {{\(-xg\), 0, xg}, {\(-pg\), 0, pg}}, 
                  PlotPoints -> 100, PlotRange -> All, \ 
                  DisplayFunction -> Identity, Contours -> 20, 
                  ColorFunction -> \((RGBColor[1, 1 - #, 
                          Exp[\(-10\) #]] &)\), 
                  Epilog -> {Text["\<input (port 1)\>", {0, \(-1\)}, {0, 0}, 
                        TextStyle \[Rule] tx8]}]]}]]\)], "Input",
  CellLabel->"In[173]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.5 0.0300481 0.5 0.0534188 [
[.74038 -0.0125 -5 -12.75 ]
[.74038 -0.0125 5 0 ]
[.5 -0.0125 -5 -12.75 ]
[.5 -0.0125 5 0 ]
[.25962 -0.0125 -8.65625 -12.75 ]
[.25962 -0.0125 8.65625 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .17949 -17.3125 -6.375 ]
[-0.0125 .17949 0 6.375 ]
[-0.0125 .5 -10 -6.375 ]
[-0.0125 .5 0 6.375 ]
[-0.0125 .82051 -10 -6.375 ]
[-0.0125 .82051 0 6.375 ]
[ 0 0 -0.125 0 ]
[.74038 1.0125 -5 0 ]
[.74038 1.0125 5 12.75 ]
[.5 1.0125 -5 0 ]
[.5 1.0125 5 12.75 ]
[.25962 1.0125 -8.65625 0 ]
[.25962 1.0125 8.65625 12.75 ]
[ 0 1 .125 0 ]
[1.0125 .17949 0 -6.375 ]
[1.0125 .17949 17.3125 6.375 ]
[1.0125 .5 0 -6.375 ]
[1.0125 .5 10 6.375 ]
[1.0125 .82051 0 -6.375 ]
[1.0125 .82051 10 6.375 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.74038 0 m
.74038 .00625 L
s
gsave
.74038 -0.0125 -66 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -66 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 0 m
.25962 .00625 L
s
gsave
.25962 -0.0125 -69.6562 -16.75 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
70.312 13.188 moveto
(8) show
1.000 setlinewidth
grestore
0 0 m
1 0 L
s
0 .17949 m
.00625 .17949 L
s
gsave
-0.0125 .17949 -78.3125 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
70.312 13.188 moveto
(6) show
1.000 setlinewidth
grestore
0 .5 m
.00625 .5 L
s
gsave
-0.0125 .5 -71 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
0 .82051 m
.00625 .82051 L
s
gsave
-0.0125 .82051 -71 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
0 0 m
0 1 L
s
.74038 .99375 m
.74038 1 L
s
gsave
.74038 1.0125 -66 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 .99375 m
.5 1 L
s
gsave
.5 1.0125 -66 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 .99375 m
.25962 1 L
s
gsave
.25962 1.0125 -69.6562 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
70.312 13.188 moveto
(8) show
1.000 setlinewidth
grestore
0 1 m
1 1 L
s
.99375 .17949 m
1 .17949 L
s
gsave
1.0125 .17949 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
70.312 13.188 moveto
(6) show
1.000 setlinewidth
grestore
.99375 .5 m
1 .5 L
s
gsave
1.0125 .5 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.99375 .82051 m
1 .82051 L
s
gsave
1.0125 .82051 -61 -10.375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.75 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 1 1 r
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
1 .975 .461 r
.09654 .70943 m
.10137 .70801 L
.1062 .70725 L
.11104 .70715 L
.11587 .7077 L
.1207 .70891 L
.12419 .71019 L
.12553 .71081 L
.13036 .71343 L
.13278 .71502 L
.1352 .71683 L
.13874 .71985 L
.14003 .72108 L
.14347 .72468 L
.14486 .72628 L
.14747 .72951 L
.14969 .73251 L
.15096 .73434 L
.15407 .73918 L
.15452 .73992 L
.15682 .74401 L
.1592 .74884 L
.15935 .74918 L
.16112 .75367 L
.16262 .7585 L
.16379 .76334 L
.16419 .7652 L
.1648 .76817 L
.16583 .773 L
.16704 .77783 L
.16855 .78266 L
.16902 .78392 L
.17054 .7875 L
.17333 .79233 L
.17385 .79288 L
.17868 .79691 L
.18351 .79652 L
.18835 .79427 L
.19318 .79269 L
.19493 .79233 L
.19801 .79139 L
.20284 .79032 L
.20767 .78954 L
.2125 .78898 L
.21734 .78857 L
.22217 .78827 L
.227 .78806 L
.23183 .7879 L
.23666 .78778 L
.2415 .7877 L
.24633 .78764 L
.25116 .78761 L
.25599 .78759 L
.26082 .78758 L
.26566 .78759 L
.27049 .78762 L
.27532 .78767 L
.28015 .78774 L
.28498 .78784 L
.28981 .78797 L
.29465 .78816 L
.29948 .78841 L
.30431 .78876 L
.30914 .78924 L
.31397 .7899 L
.31881 .79081 L
.32364 .79208 L
.32422 .79233 L
.32847 .79337 L
.3333 .79538 L
.33766 .79716 L
.33813 .79722 L
.33978 .79716 L
.34296 .79531 L
.3461 .79233 L
.3478 .78919 L
.34868 .7875 L
.35068 .78266 L
.3522 .77783 L
.35263 .77624 L
.3534 .773 L
.35443 .76817 L
.35544 .76334 L
.35661 .7585 L
.35746 .75558 L
.3581 .75367 L
.36004 .74884 L
.36229 .74421 L
.3624 .74401 L
.36516 .73918 L
.36712 .73605 L
.36826 .73434 L
.37175 .72951 L
.37196 .72925 L
.37575 .72468 L
.37679 .72354 L
.38048 .71985 L
.38162 .71883 L
.38645 .71502 L
.38646 .71502 L
.39128 .71204 L
.39512 .71019 L
.39612 .70979 L
.40095 .70824 L
.40578 .70734 L
.41061 .70711 L
.41544 .70754 L
.42027 .70863 L
.42464 .71019 L
.42511 .7104 L
.42994 .71288 L
.43327 .71502 L
.43477 .71611 L
.43924 .71985 L
.4396 .72019 L
.44396 .72468 L
.44443 .72522 L
.44792 .72951 L
.44927 .73134 L
.45133 .73434 L
.4541 .73881 L
.45431 .73918 L
.45694 .74401 L
.45893 .74806 L
.45929 .74884 L
.46138 .75367 L
.46326 .7585 L
.46376 .75987 L
.46494 .76334 L
.46643 .76817 L
.46777 .773 L
.46859 .77627 L
.46895 .77783 L
.46997 .78266 L
.47087 .7875 L
.47163 .79233 L
.47227 .79716 L
.47278 .80199 L
.47318 .80682 L
.47342 .81101 L
.47345 .81165 L
.4736 .81649 L
.47364 .82132 L
.47357 .82615 L
.47342 .83038 L
.47337 .83098 L
.47306 .83581 L
.47263 .84065 L
.47207 .84548 L
.47139 .85031 L
.47058 .85514 L
.46965 .85997 L
.46859 .86475 L
.46858 .8648 L
.46734 .86964 L
.46595 .87447 L
.4644 .8793 L
.46376 .88115 L
.46266 .88413 L
.46071 .88896 L
.45893 .89297 L
.45854 .8938 L
.45609 .89863 L
.4541 .90221 L
.45335 .90346 L
.45024 .90829 L
.44927 .90969 L
.44667 .91312 L
.44443 .91581 L
.44249 .91796 L
.4396 .92083 L
.43742 .92279 L
.43477 .92491 L
.43083 .92762 L
.42994 .92815 L
.42511 .93063 L
.42027 .9324 L
.42018 .93245 L
.41544 .93348 L
.41061 .93391 L
.40578 .93368 L
.40095 .93281 L
.39952 .93245 L
.39612 .93126 L
.39128 .92901 L
.38887 .92762 L
.38645 .92602 L
.38227 .92279 L
.38162 .92223 L
.37718 .91796 L
.37679 .91754 L
.373 .91312 L
.37196 .91178 L
.36946 .90829 L
.36712 .90461 L
.36645 .90346 L
.36387 .89863 L
.36229 .89533 L
.3616 .8938 L
.35954 .88896 L
.35754 .88413 L
.35746 .88394 L
.3555 .8793 L
.3533 .87447 L
.35263 .87311 L
.35098 .86964 L
.34846 .8648 L
.3478 .86354 L
.34653 .85997 L
.34689 .85514 L
.3473 .85031 L
.3478 .84749 L
.34825 .84548 L
.34896 .84065 L
.34929 .83581 L
.34919 .83098 L
.34864 .82615 L
.3478 .82208 L
.34756 .82132 L
.34581 .81649 L
.34296 .81186 L
.34281 .81165 L
.33813 .80895 L
.3333 .80985 L
.32847 .81147 L
.32777 .81165 L
.32364 .81292 L
.31881 .814 L
.31397 .81477 L
.30914 .81532 L
.30431 .81571 L
.29948 .816 L
.29465 .8162 L
.28981 .81635 L
.28498 .81646 L
.28348 .81649 L
.28015 .81654 L
.27532 .8166 L
.27049 .81664 L
.26566 .81666 L
.26082 .81667 L
.25599 .81667 L
.25116 .81665 L
.24633 .81662 L
.2415 .81657 L
.23666 .8165 L
.23575 .81649 L
.23183 .81641 L
.227 .81628 L
.22217 .81611 L
.21734 .81587 L
.2125 .81553 L
.20767 .81507 L
.20284 .81442 L
.19801 .81351 L
.19318 .81224 L
.19134 .81165 L
.18835 .81066 L
.18351 .80917 L
.17868 .80969 L
.17567 .81165 L
.17385 .81573 L
.17344 .81649 L
.17168 .82132 L
.17059 .82615 L
.17004 .83098 L
.16994 .83581 L
.17027 .84065 L
.17098 .84548 L
.17192 .85031 L
.17275 .85514 L
.17239 .85997 L
.17036 .8648 L
.16902 .86841 L
.16833 .86964 L
.16592 .87447 L
.16419 .87829 L
.16374 .8793 L
.16169 .88413 L
.15969 .88896 L
.15935 .88978 L
.15763 .8938 L
.15537 .89863 L
.15452 .90029 L
.15278 .90346 L
.14977 .90829 L
.14969 .90841 L
.14623 .91312 L
.14486 .91481 L
.14205 .91796 L
.14003 .92 L
.13696 .92279 L
.1352 .92423 L
.13036 .92761 L
.13035 .92762 L
.12553 .93022 L
.1207 .93212 L
.11987 .93245 L
.11587 .93333 L
.11104 .93388 L
.1062 .93378 L
.10137 .93302 L
.09895 .93245 L
.09654 .9316 L
.09171 .92948 L
.0884 .92762 L
.08688 .92663 L
.08204 .92298 L
.08181 .92279 L
.07721 .91845 L
.07674 .91796 L
.07256 .91312 L
.07238 .9129 L
.06899 .90829 L
.06755 .90614 L
.06588 .90346 L
.06313 .89863 L
.06272 .89785 L
.0607 .8938 L
.05852 .88896 L
.05789 .88746 L
.05658 .88413 L
.05483 .8793 L
.05327 .87447 L
.05305 .87376 L
.05189 .86964 L
.05067 .8648 L
.04958 .85997 L
.04863 .85514 L
.04822 .85279 L
.04783 .85031 L
.04716 .84548 L
.04662 .84065 L
.04619 .83581 L
.04588 .83098 L
.04568 .82615 L
.0456 .82132 L
.04564 .81649 L
.0458 .81165 L
.04607 .80682 L
.04646 .80199 L
.04697 .79716 L
.04759 .79233 L
.04822 .78824 L
.04835 .7875 L
.04925 .78266 L
.05029 .77783 L
.05147 .773 L
.05279 .76817 L
.05305 .76726 L
.05429 .76334 L
.05598 .7585 L
.05784 .75367 L
.05789 .75357 L
.05995 .74884 L
.06229 .74401 L
.06272 .74318 L
.06493 .73918 L
.06755 .73489 L
.0679 .73434 L
.07131 .72951 L
.07238 .72813 L
.07527 .72468 L
.07721 .72258 L
.08 .71985 L
.08204 .71804 L
.08596 .71502 L
.08688 .7144 L
.09171 .71155 L
.09457 .71019 L
F
1 .95 .212 r
.1062 .72908 m
.11104 .72896 L
.11527 .72951 L
.11587 .72964 L
.1207 .73115 L
.12553 .73353 L
.12688 .73434 L
.13036 .73685 L
.1331 .73918 L
.1352 .74122 L
.13774 .74401 L
.14003 .74684 L
.14149 .74884 L
.14463 .75367 L
.14486 .75406 L
.14728 .7585 L
.14955 .76334 L
.14969 .76367 L
.15149 .76817 L
.1532 .773 L
.15452 .77713 L
.15474 .77783 L
.15614 .78266 L
.15745 .7875 L
.15866 .79233 L
.15935 .79541 L
.15969 .79716 L
.16046 .80199 L
.1609 .80682 L
.16102 .81165 L
.16089 .81649 L
.16062 .82132 L
.16029 .82615 L
.15996 .83098 L
.15964 .83581 L
.15935 .83978 L
.15929 .84065 L
.15885 .84548 L
.15823 .85031 L
.15736 .85514 L
.1562 .85997 L
.15475 .8648 L
.15452 .86549 L
.15302 .86964 L
.15106 .87447 L
.14969 .87756 L
.14887 .8793 L
.14639 .88413 L
.14486 .88684 L
.14356 .88896 L
.14025 .8938 L
.14003 .8941 L
.13627 .89863 L
.1352 .89977 L
.13124 .90346 L
.13036 .90417 L
.12553 .9075 L
.12416 .90829 L
.1207 .90987 L
.11587 .91138 L
.11104 .91207 L
.1062 .91194 L
.10137 .911 L
.09654 .90923 L
.0946 .90829 L
.09171 .90656 L
.0875 .90346 L
.08688 .90292 L
.08246 .89863 L
.08204 .89817 L
.07846 .8938 L
.07721 .89208 L
.07514 .88896 L
.07238 .88428 L
.0723 .88413 L
.06986 .8793 L
.06774 .87447 L
.06755 .87401 L
.06589 .86964 L
.06428 .8648 L
.06287 .85997 L
.06272 .85938 L
.06168 .85514 L
.06066 .85031 L
.05981 .84548 L
.05911 .84065 L
.05858 .83581 L
.05819 .83098 L
.05795 .82615 L
.05789 .82398 L
.05785 .82132 L
.05789 .81704 L
.0579 .81649 L
.05809 .81165 L
.05843 .80682 L
.05892 .80199 L
.05956 .79716 L
.06036 .79233 L
.06132 .7875 L
.06245 .78266 L
.06272 .78164 L
.06379 .77783 L
.06533 .773 L
.06709 .76817 L
.06755 .76701 L
.06912 .76334 L
.07145 .7585 L
.07238 .75675 L
.07414 .75367 L
.07721 .74895 L
.07729 .74884 L
.08104 .74401 L
.08204 .74286 L
.08567 .73918 L
.08688 .7381 L
.09171 .73446 L
.09189 .73434 L
.09654 .7318 L
.10137 .73002 L
.10348 .72951 L
F
1 .925 .098 r
.1062 .74381 m
.11104 .74366 L
.11382 .74401 L
.11587 .74447 L
.1207 .74628 L
.1251 .74884 L
.12553 .74916 L
.13036 .75325 L
.13078 .75367 L
.13497 .7585 L
.1352 .75881 L
.1383 .76334 L
.14003 .76629 L
.14103 .76817 L
.14334 .773 L
.14486 .77667 L
.1453 .77783 L
.14699 .78266 L
.14845 .7875 L
.14969 .79228 L
.1497 .79233 L
.15073 .79716 L
.15154 .80199 L
.15211 .80682 L
.15245 .81165 L
.15259 .81649 L
.15255 .82132 L
.15236 .82615 L
.15204 .83098 L
.1516 .83581 L
.15102 .84065 L
.15026 .84548 L
.14969 .84849 L
.1493 .85031 L
.14808 .85514 L
.14659 .85997 L
.14486 .86469 L
.14481 .8648 L
.1427 .86964 L
.14022 .87447 L
.14003 .87481 L
.13727 .8793 L
.1352 .88221 L
.13368 .88413 L
.13036 .88776 L
.12911 .88896 L
.12553 .89186 L
.12257 .8938 L
.1207 .89474 L
.11587 .89655 L
.11104 .89737 L
.1062 .89722 L
.10137 .8961 L
.09654 .89396 L
.09623 .8938 L
.09171 .89072 L
.08963 .88896 L
.08688 .88621 L
.08506 .88413 L
.08204 .88013 L
.08148 .8793 L
.07854 .87447 L
.07721 .87196 L
.07609 .86964 L
.07401 .8648 L
.07238 .86039 L
.07224 .85997 L
.07075 .85514 L
.06949 .85031 L
.06846 .84548 L
.06762 .84065 L
.06755 .84018 L
.06698 .83581 L
.06652 .83098 L
.06623 .82615 L
.06612 .82132 L
.06618 .81649 L
.0664 .81165 L
.06681 .80682 L
.06739 .80199 L
.06755 .80084 L
.06816 .79716 L
.06912 .79233 L
.0703 .7875 L
.07171 .78266 L
.07238 .78063 L
.07339 .77783 L
.07536 .773 L
.07721 .76907 L
.07768 .76817 L
.08044 .76334 L
.08204 .76089 L
.08378 .7585 L
.08688 .75482 L
.08796 .75367 L
.09171 .75031 L
.09364 .74884 L
.09654 .74706 L
.10137 .74493 L
.10493 .74401 L
F
1 .9 .045 r
.10137 .75733 m
.1062 .75599 L
.11104 .75581 L
.11587 .75678 L
.1201 .7585 L
.1207 .75896 L
.12553 .76247 L
.12649 .76334 L
.13036 .76759 L
.13082 .76817 L
.13412 .773 L
.1352 .77486 L
.13676 .77783 L
.13892 .78266 L
.14003 .78552 L
.14072 .7875 L
.1422 .79233 L
.1434 .79716 L
.14435 .80199 L
.14486 .8053 L
.14504 .80682 L
.1455 .81165 L
.14574 .81649 L
.14577 .82132 L
.1456 .82615 L
.14525 .83098 L
.14486 .83471 L
.14471 .83581 L
.14396 .84065 L
.14298 .84548 L
.14173 .85031 L
.14019 .85514 L
.14003 .85559 L
.13829 .85997 L
.13598 .8648 L
.1352 .86623 L
.13313 .86964 L
.13036 .87346 L
.12954 .87447 L
.12553 .87856 L
.1247 .8793 L
.1207 .88207 L
.11627 .88413 L
.11587 .88424 L
.11104 .88521 L
.1062 .88503 L
.10256 .88413 L
.10137 .8837 L
.09654 .88113 L
.09404 .8793 L
.09171 .87715 L
.08921 .87447 L
.08688 .87145 L
.08563 .86964 L
.08279 .8648 L
.08204 .86334 L
.08049 .85997 L
.07859 .85514 L
.07721 .85093 L
.07703 .85031 L
.07576 .84548 L
.07475 .84065 L
.07398 .83581 L
.07342 .83098 L
.07308 .82615 L
.07295 .82132 L
.07302 .81649 L
.07329 .81165 L
.07377 .80682 L
.07447 .80199 L
.0754 .79716 L
.07658 .79233 L
.07721 .79009 L
.07803 .7875 L
.07981 .78266 L
.08197 .77783 L
.08204 .77769 L
.08461 .773 L
.08688 .76957 L
.08791 .76817 L
.09171 .76387 L
.09225 .76334 L
.09654 .7599 L
.09866 .7585 L
F
1 .875 .021 r
.1062 .7672 m
.11104 .76698 L
.11587 .76816 L
.11589 .76817 L
.1207 .77083 L
.12341 .773 L
.12553 .77525 L
.12764 .77783 L
.13036 .78203 L
.13073 .78266 L
.13314 .7875 L
.13504 .79233 L
.1352 .79278 L
.13654 .79716 L
.1377 .80199 L
.13856 .80682 L
.13914 .81165 L
.13945 .81649 L
.13951 .82132 L
.13934 .82615 L
.13892 .83098 L
.13825 .83581 L
.13731 .84065 L
.13606 .84548 L
.1352 .84822 L
.13445 .85031 L
.13241 .85514 L
.13036 .85903 L
.12981 .85997 L
.12638 .8648 L
.12553 .86579 L
.12149 .86964 L
.1207 .8702 L
.11587 .87287 L
.11104 .87404 L
.1062 .87383 L
.10137 .8722 L
.09719 .86964 L
.09654 .86903 L
.09236 .8648 L
.09171 .86396 L
.08895 .85997 L
.08688 .85621 L
.08635 .85514 L
.0843 .85031 L
.08269 .84548 L
.08204 .84319 L
.08143 .84065 L
.08047 .83581 L
.0798 .83098 L
.07938 .82615 L
.07922 .82132 L
.0793 .81649 L
.07963 .81165 L
.08022 .80682 L
.08107 .80199 L
.08204 .79784 L
.08223 .79716 L
.08372 .79233 L
.08561 .7875 L
.08688 .78481 L
.08801 .78266 L
.09112 .77783 L
.09171 .77706 L
.09538 .773 L
.09654 .772 L
.10137 .76882 L
.10287 .76817 L
F
1 .85 .01 r
.10137 .78051 m
.1062 .77843 L
.11104 .77816 L
.11587 .77966 L
.12033 .78266 L
.1207 .78313 L
.12444 .7875 L
.12553 .78924 L
.12726 .79233 L
.12934 .79716 L
.13036 .80021 L
.13088 .80199 L
.132 .80682 L
.13275 .81165 L
.13316 .81649 L
.13325 .82132 L
.13304 .82615 L
.13251 .83098 L
.13165 .83581 L
.13039 .84065 L
.13036 .84075 L
.12871 .84548 L
.1264 .85031 L
.12553 .85179 L
.12326 .85514 L
.1207 .8579 L
.11855 .85997 L
.11587 .86137 L
.11104 .86287 L
.1062 .86259 L
.10137 .86051 L
.10047 .85997 L
.09654 .85632 L
.09553 .85514 L
.09234 .85031 L
.09171 .84909 L
.09005 .84548 L
.08834 .84065 L
.0871 .83581 L
.08688 .83482 L
.08623 .83098 L
.0857 .82615 L
.08549 .82132 L
.0856 .81649 L
.08602 .81165 L
.08677 .80682 L
.08688 .80626 L
.08788 .80199 L
.08942 .79716 L
.09151 .79233 L
.09171 .79194 L
.09432 .7875 L
.09654 .78471 L
.09836 .78266 L
F
1 .825 .004 r
.1062 .79103 m
.11104 .79064 L
.11517 .79233 L
.11587 .79281 L
.12017 .79716 L
.1207 .79824 L
.12273 .80199 L
.12445 .80682 L
.12551 .81165 L
.12553 .81179 L
.12611 .81649 L
.12626 .82132 L
.12596 .82615 L
.12553 .82974 L
.12521 .83098 L
.12395 .83581 L
.12194 .84065 L
.1207 .84278 L
.1191 .84548 L
.11587 .84822 L
.11139 .85031 L
.11104 .85038 L
.10737 .85031 L
.1062 .84999 L
.10137 .84694 L
.09986 .84548 L
.09681 .84065 L
.09654 .84002 L
.09481 .83581 L
.09351 .83098 L
.09276 .82615 L
.09248 .82132 L
.09262 .81649 L
.09321 .81165 L
.09431 .80682 L
.09608 .80199 L
.09654 .80101 L
.09858 .79716 L
.10137 .79408 L
.10358 .79233 L
F
1 .8 .002 r
.1062 .81095 m
.11104 .80972 L
.11308 .81165 L
.11516 .81649 L
.11557 .82132 L
.11471 .82615 L
.11135 .83098 L
.11104 .83117 L
.10741 .83098 L
.1062 .83042 L
.10404 .82615 L
.10318 .82132 L
.10359 .81649 L
.10566 .81165 L
F
.461 .975 1 r
.19318 .8194 m
.19801 .81844 L
.20284 .81795 L
.20767 .81769 L
.2125 .81753 L
.21734 .81744 L
.22217 .81738 L
.227 .81734 L
.23183 .81731 L
.23666 .81729 L
.2415 .81728 L
.24633 .81727 L
.25116 .81727 L
.25599 .81726 L
.26082 .81726 L
.26566 .81726 L
.27049 .81727 L
.27532 .81728 L
.28015 .81729 L
.28498 .8173 L
.28981 .81733 L
.29465 .81736 L
.29948 .81741 L
.30431 .81748 L
.30914 .8176 L
.31397 .8178 L
.31881 .81816 L
.32364 .81884 L
.32847 .82022 L
.33069 .82132 L
.3333 .8229 L
.33545 .82615 L
.33689 .83098 L
.33643 .83581 L
.33373 .84065 L
.3333 .84111 L
.32847 .84424 L
.32418 .84548 L
.32364 .84559 L
.31881 .84628 L
.31397 .84666 L
.30914 .84687 L
.30431 .847 L
.29948 .84708 L
.29465 .84714 L
.28981 .84717 L
.28498 .8472 L
.28015 .84722 L
.27532 .84723 L
.27049 .84724 L
.26566 .84724 L
.26082 .84724 L
.25599 .84724 L
.25116 .84724 L
.24633 .84723 L
.2415 .84722 L
.23666 .84721 L
.23183 .84719 L
.227 .84716 L
.22217 .84711 L
.21734 .84705 L
.2125 .84694 L
.20767 .84678 L
.20284 .8465 L
.19801 .84599 L
.19505 .84548 L
.19318 .84503 L
.18835 .84305 L
.1855 .84065 L
.18351 .83767 L
.1828 .83581 L
.18234 .83098 L
.18351 .82669 L
.18378 .82615 L
.18835 .8214 L
.18854 .82132 L
F
.20284 .75814 m
.20767 .75777 L
.2125 .75753 L
.21734 .75737 L
.22217 .75727 L
.227 .7572 L
.23183 .75714 L
.23666 .75711 L
.2415 .75708 L
.24633 .75706 L
.25116 .75705 L
.25599 .75705 L
.26082 .75704 L
.26566 .75705 L
.27049 .75706 L
.27532 .75707 L
.28015 .75709 L
.28498 .75712 L
.28981 .75717 L
.29465 .75723 L
.29948 .75732 L
.30431 .75744 L
.30914 .75763 L
.31397 .75793 L
.31881 .75842 L
.31943 .7585 L
.32364 .75932 L
.32847 .76102 L
.33194 .76334 L
.3333 .76415 L
.33527 .76817 L
.33604 .773 L
.33478 .77783 L
.3333 .78083 L
.33016 .78266 L
.32847 .78359 L
.32364 .78514 L
.31881 .78589 L
.31397 .78629 L
.30914 .78651 L
.30431 .78664 L
.29948 .78673 L
.29465 .78678 L
.28981 .78682 L
.28498 .78685 L
.28015 .78687 L
.27532 .78688 L
.27049 .78689 L
.26566 .78689 L
.26082 .78689 L
.25599 .78689 L
.25116 .78689 L
.24633 .78688 L
.2415 .78687 L
.23666 .78686 L
.23183 .78683 L
.227 .7868 L
.22217 .78676 L
.21734 .78669 L
.2125 .78658 L
.20767 .78641 L
.20284 .78612 L
.19801 .78558 L
.19318 .78452 L
.18908 .78266 L
.18835 .78253 L
.18446 .77783 L
.18351 .77519 L
.1832 .773 L
.18351 .76969 L
.18396 .76817 L
.18729 .76334 L
.18835 .76247 L
.19318 .76003 L
.19801 .7588 L
.1998 .7585 L
F
.20284 .87884 m
.20767 .87843 L
.2125 .87819 L
.21734 .87804 L
.22217 .87793 L
.227 .87787 L
.23183 .87782 L
.23666 .87778 L
.2415 .87776 L
.24633 .87774 L
.25116 .87773 L
.25599 .87772 L
.26082 .87772 L
.26566 .87773 L
.27049 .87773 L
.27532 .87775 L
.28015 .87777 L
.28498 .8778 L
.28981 .87784 L
.29465 .8779 L
.29948 .87798 L
.30431 .87811 L
.30914 .8783 L
.31397 .87861 L
.31881 .87915 L
.3198 .8793 L
.32364 .87989 L
.32847 .88165 L
.33131 .88413 L
.3333 .88701 L
.33402 .88896 L
.33407 .8938 L
.3333 .89608 L
.33173 .89863 L
.32847 .9016 L
.32464 .90346 L
.32364 .90381 L
.31881 .90506 L
.31397 .90583 L
.30914 .90633 L
.30431 .90666 L
.29948 .90689 L
.29465 .90706 L
.28981 .90717 L
.28498 .90726 L
.28015 .90732 L
.27532 .90736 L
.27049 .90739 L
.26566 .90741 L
.26082 .90741 L
.25599 .90741 L
.25116 .9074 L
.24633 .90738 L
.2415 .90734 L
.23666 .90729 L
.23183 .90722 L
.227 .90712 L
.22217 .90698 L
.21734 .90679 L
.2125 .90651 L
.20767 .90611 L
.20284 .90549 L
.19801 .90452 L
.19459 .90346 L
.19318 .90288 L
.18835 .89962 L
.18751 .89863 L
.18516 .8938 L
.18521 .88896 L
.18793 .88413 L
.18835 .88365 L
.19318 .88054 L
.19801 .87948 L
.19943 .8793 L
F
1 .975 .461 r
.20767 .84992 m
.2125 .84933 L
.21734 .84891 L
.22217 .84861 L
.227 .84839 L
.23183 .84823 L
.23666 .84812 L
.2415 .84804 L
.24633 .84798 L
.25116 .84795 L
.25599 .84793 L
.26082 .84792 L
.26566 .84794 L
.27049 .84796 L
.27532 .84801 L
.28015 .84808 L
.28498 .84817 L
.28981 .84831 L
.29465 .84849 L
.29948 .84874 L
.30431 .8491 L
.30914 .8496 L
.31396 .85031 L
.31397 .85031 L
.31881 .85103 L
.32364 .85233 L
.32847 .85507 L
.32855 .85514 L
.33235 .85997 L
.3304 .8648 L
.32847 .86713 L
.32444 .86964 L
.32364 .87012 L
.31881 .87211 L
.31397 .87343 L
.30914 .87434 L
.30833 .87447 L
.30431 .87501 L
.29948 .8755 L
.29465 .87585 L
.28981 .87611 L
.28498 .87631 L
.28015 .87644 L
.27532 .87654 L
.27049 .87661 L
.26566 .87665 L
.26082 .87667 L
.25599 .87666 L
.25116 .87664 L
.24633 .87658 L
.2415 .8765 L
.23666 .87638 L
.23183 .87622 L
.227 .87599 L
.22217 .87569 L
.21734 .87527 L
.2125 .8747 L
.21091 .87447 L
.20767 .87392 L
.20284 .87283 L
.19801 .87122 L
.19475 .86964 L
.19318 .86879 L
.18835 .86483 L
.18833 .8648 L
.18666 .85997 L
.18835 .85704 L
.19111 .85514 L
.19318 .85343 L
.19801 .85157 L
.20284 .85062 L
.20531 .85031 L
F
.212 .95 1 r
.20767 .82042 m
.2125 .8196 L
.21734 .81905 L
.22217 .81868 L
.227 .81841 L
.23183 .81822 L
.23666 .81809 L
.2415 .81799 L
.24633 .81792 L
.25116 .81788 L
.25599 .81786 L
.26082 .81785 L
.26566 .81787 L
.27049 .8179 L
.27532 .81795 L
.28015 .81804 L
.28498 .81815 L
.28981 .81831 L
.29465 .81853 L
.29948 .81885 L
.30431 .8193 L
.30914 .81996 L
.31397 .82099 L
.31511 .82132 L
.31881 .82231 L
.32364 .82572 L
.32396 .82615 L
.32634 .83098 L
.3254 .83581 L
.32364 .83816 L
.32037 .84065 L
.31881 .8415 L
.31397 .84328 L
.30914 .84433 L
.30431 .84502 L
.29965 .84548 L
.29948 .84549 L
.29465 .84583 L
.28981 .84608 L
.28498 .84625 L
.28015 .84638 L
.27532 .84647 L
.27049 .84653 L
.26566 .84656 L
.26082 .84658 L
.25599 .84657 L
.25116 .84655 L
.24633 .8465 L
.2415 .84643 L
.23666 .84632 L
.23183 .84617 L
.227 .84596 L
.22217 .84568 L
.21959 .84548 L
.21734 .84528 L
.2125 .84471 L
.20767 .84387 L
.20284 .84251 L
.19886 .84065 L
.19801 .84012 L
.19383 .83581 L
.19318 .83419 L
.19289 .83098 L
.19318 .82973 L
.19527 .82615 L
.19801 .8235 L
.20284 .82159 L
.20412 .82132 L
F
.461 .975 1 r
.21734 .6998 m
.22217 .69922 L
.227 .6988 L
.23183 .69847 L
.23666 .69823 L
.2415 .69806 L
.24633 .69794 L
.25116 .69785 L
.25599 .69781 L
.26082 .6978 L
.26566 .69783 L
.27049 .69789 L
.27532 .69799 L
.28015 .69814 L
.28498 .69834 L
.28981 .69861 L
.29465 .69898 L
.29948 .69949 L
.30431 .70019 L
.30625 .70052 L
.30914 .70114 L
.31397 .70246 L
.31881 .70453 L
.32013 .70535 L
.32364 .70769 L
.32489 .71019 L
.32616 .71502 L
.32364 .71979 L
.32357 .71985 L
.31881 .72339 L
.31397 .72439 L
.30914 .72467 L
.30865 .72468 L
.30431 .72514 L
.29948 .72548 L
.29465 .72571 L
.28981 .72587 L
.28498 .72598 L
.28015 .72606 L
.27532 .72612 L
.27049 .72616 L
.26566 .72618 L
.26082 .72619 L
.25599 .72619 L
.25116 .72617 L
.24633 .72614 L
.2415 .72609 L
.23666 .72603 L
.23183 .72593 L
.227 .72579 L
.22217 .7256 L
.21734 .72532 L
.2125 .7249 L
.21058 .72468 L
.20767 .72457 L
.20284 .72406 L
.19801 .72216 L
.19563 .71985 L
.19318 .7159 L
.19302 .71502 L
.19318 .71277 L
.19422 .71019 L
.19801 .70576 L
.19922 .70535 L
.20284 .70345 L
.20767 .70175 L
.2125 .70057 L
.21277 .70052 L
F
.212 .95 1 r
.2415 .75842 m
.24633 .7583 L
.25116 .75822 L
.25599 .75818 L
.26082 .75817 L
.26566 .75819 L
.27049 .75825 L
.27532 .75835 L
.28015 .7585 L
.28032 .7585 L
.28498 .75872 L
.28981 .75902 L
.29465 .75943 L
.29948 .76001 L
.30431 .76082 L
.30914 .762 L
.31291 .76334 L
.31397 .76364 L
.31881 .76649 L
.32005 .76817 L
.32208 .773 L
.32036 .77783 L
.31881 .77932 L
.31397 .78195 L
.31189 .78266 L
.30914 .78342 L
.30431 .78434 L
.29948 .78494 L
.29465 .78534 L
.28981 .78563 L
.28498 .78583 L
.28015 .78597 L
.27532 .78607 L
.27049 .78613 L
.26566 .78617 L
.26082 .78619 L
.25599 .78618 L
.25116 .78615 L
.24633 .7861 L
.2415 .78602 L
.23666 .7859 L
.23183 .78573 L
.227 .7855 L
.22217 .78516 L
.21734 .78467 L
.2125 .78394 L
.20767 .78277 L
.20734 .78266 L
.20284 .78087 L
.19887 .77783 L
.19801 .77654 L
.19715 .773 L
.19801 .76994 L
.19918 .76817 L
.20284 .76462 L
.20632 .76334 L
.20767 .7628 L
.2125 .76135 L
.21734 .76038 L
.22217 .7597 L
.227 .75921 L
.23183 .75886 L
.23666 .7586 L
.2389 .7585 L
F
1 .95 .212 r
.2125 .79145 m
.21734 .79049 L
.22217 .78981 L
.227 .78933 L
.23183 .78898 L
.23666 .78873 L
.2415 .78855 L
.24633 .78843 L
.25116 .78834 L
.25599 .7883 L
.26082 .78829 L
.26566 .78832 L
.27049 .78838 L
.27532 .78848 L
.28015 .78863 L
.28498 .78885 L
.28981 .78914 L
.29465 .78955 L
.29948 .79012 L
.30431 .79092 L
.30914 .79209 L
.30992 .79233 L
.31397 .79343 L
.31881 .79657 L
.3193 .79716 L
.32207 .80199 L
.3205 .80682 L
.31881 .80848 L
.31397 .81118 L
.31274 .81165 L
.30914 .81281 L
.30431 .81386 L
.29948 .81456 L
.29465 .81505 L
.28981 .81539 L
.28498 .81564 L
.28015 .81581 L
.27532 .81594 L
.27049 .81602 L
.26566 .81607 L
.26082 .81609 L
.25599 .81608 L
.25116 .81605 L
.24633 .81598 L
.2415 .81588 L
.23666 .81573 L
.23183 .81552 L
.227 .81523 L
.22217 .81482 L
.21734 .81424 L
.2125 .81339 L
.20767 .81208 L
.2065 .81165 L
.20284 .81004 L
.1987 .80682 L
.19801 .80583 L
.19716 .80199 L
.19801 .79951 L
.19994 .79716 L
.20284 .79459 L
.20767 .79269 L
.20932 .79233 L
F
.098 .925 1 r
.21734 .82075 m
.22217 .82002 L
.227 .81951 L
.23183 .81915 L
.23666 .81889 L
.2415 .81871 L
.24633 .81858 L
.25116 .8185 L
.25599 .81846 L
.26082 .81845 L
.26566 .81848 L
.27049 .81854 L
.27532 .81864 L
.28015 .81879 L
.28498 .81901 L
.28981 .81931 L
.29465 .81974 L
.29948 .82035 L
.30431 .82124 L
.30463 .82132 L
.30914 .82224 L
.31397 .82443 L
.31587 .82615 L
.3188 .83098 L
.31761 .83581 L
.31397 .8392 L
.3113 .84065 L
.30914 .84157 L
.30431 .843 L
.29948 .84393 L
.29465 .84456 L
.28981 .845 L
.28498 .84532 L
.28179 .84548 L
.28015 .84555 L
.27532 .84571 L
.27049 .84583 L
.26566 .84589 L
.26082 .84592 L
.25599 .84591 L
.25116 .84586 L
.24633 .84578 L
.2415 .84564 L
.23744 .84548 L
.23666 .84544 L
.23183 .84517 L
.227 .8448 L
.22217 .84427 L
.21734 .84351 L
.2125 .84237 L
.20793 .84065 L
.20767 .84053 L
.20284 .83728 L
.20162 .83581 L
.20043 .83098 L
.20284 .82664 L
.20336 .82615 L
.20767 .82308 L
.2125 .82168 L
.2146 .82132 L
F
1 .975 .461 r
.23666 .72949 m
.2415 .72922 L
.24633 .72904 L
.25116 .72891 L
.25599 .72885 L
.26082 .72884 L
.26566 .72888 L
.27049 .72897 L
.27532 .72912 L
.28015 .72935 L
.28292 .72951 L
.28498 .72967 L
.28981 .73013 L
.29465 .73076 L
.29948 .73162 L
.30431 .73282 L
.30866 .73434 L
.30914 .73447 L
.31397 .73667 L
.31624 .73918 L
.31858 .74401 L
.31608 .74884 L
.31397 .75026 L
.30914 .7522 L
.30431 .75336 L
.30252 .75367 L
.29948 .75414 L
.29465 .75468 L
.28981 .75506 L
.28498 .75533 L
.28015 .75551 L
.27532 .75565 L
.27049 .75573 L
.26566 .75579 L
.26082 .75581 L
.25599 .7558 L
.25116 .75576 L
.24633 .75569 L
.2415 .75559 L
.23666 .75543 L
.23183 .7552 L
.227 .75489 L
.22217 .75444 L
.21734 .75378 L
.21671 .75367 L
.2125 .75284 L
.20767 .75137 L
.20312 .74884 L
.20284 .74859 L
.20068 .74401 L
.20284 .73931 L
.20296 .73918 L
.20767 .73527 L
.21058 .73434 L
.2125 .7336 L
.21734 .73217 L
.22217 .73116 L
.227 .73042 L
.23183 .72989 L
.23632 .72951 L
F
1 .95 .212 r
.22217 .85022 m
.227 .8497 L
.23183 .84933 L
.23666 .84907 L
.2415 .84889 L
.24633 .84876 L
.25116 .84868 L
.25599 .84863 L
.26082 .84862 L
.26566 .84865 L
.27049 .84871 L
.27532 .84882 L
.28015 .84897 L
.28498 .84919 L
.28981 .8495 L
.29465 .84994 L
.29773 .85031 L
.29948 .85047 L
.30431 .85112 L
.30914 .85233 L
.31397 .85496 L
.31419 .85514 L
.31798 .85997 L
.31687 .8648 L
.31397 .8677 L
.31072 .86964 L
.30914 .87039 L
.30431 .87207 L
.29948 .87318 L
.29465 .87394 L
.29006 .87447 L
.28981 .87449 L
.28498 .8749 L
.28015 .87519 L
.27532 .8754 L
.27049 .87554 L
.26566 .87563 L
.26082 .87567 L
.25599 .87565 L
.25116 .87559 L
.24633 .87548 L
.2415 .87531 L
.23666 .87506 L
.23183 .87471 L
.22917 .87447 L
.227 .87424 L
.22217 .87359 L
.21734 .87268 L
.2125 .87133 L
.2085 .86964 L
.20767 .86921 L
.20284 .86546 L
.20235 .8648 L
.20127 .85997 L
.20284 .85704 L
.20505 .85514 L
.20767 .85337 L
.2125 .85162 L
.21734 .85076 L
.2215 .85031 L
F
.212 .95 1 r
.2415 .87912 m
.24633 .87899 L
.25116 .8789 L
.25599 .87886 L
.26082 .87885 L
.26566 .87887 L
.27049 .87894 L
.27532 .87904 L
.28015 .87921 L
.28234 .8793 L
.28498 .87939 L
.28981 .87961 L
.29465 .87995 L
.29948 .88048 L
.30431 .88142 L
.30914 .88325 L
.31059 .88413 L
.31397 .88685 L
.31514 .88896 L
.3144 .8938 L
.31397 .89444 L
.30914 .8985 L
.30891 .89863 L
.30431 .90073 L
.29948 .90213 L
.29465 .90309 L
.29229 .90346 L
.28981 .90379 L
.28498 .9043 L
.28015 .90467 L
.27532 .90494 L
.27049 .90512 L
.26566 .90523 L
.26082 .90527 L
.25599 .90526 L
.25116 .90518 L
.24633 .90504 L
.2415 .90482 L
.23666 .9045 L
.23183 .90406 L
.227 .90347 L
.22694 .90346 L
.22217 .90265 L
.21734 .9015 L
.2125 .89975 L
.21033 .89863 L
.20767 .89689 L
.20484 .8938 L
.20409 .88896 L
.20767 .88472 L
.20864 .88413 L
.2125 .88217 L
.21734 .88088 L
.22217 .88018 L
.227 .87976 L
.23183 .87949 L
.23666 .87931 L
.2369 .8793 L
F
1 .925 .098 r
.22217 .7914 m
.227 .79062 L
.23183 .79007 L
.23666 .78968 L
.2415 .7894 L
.24633 .7892 L
.25116 .78908 L
.25599 .78901 L
.26082 .789 L
.26566 .78904 L
.27049 .78913 L
.27532 .78929 L
.28015 .78953 L
.28498 .78986 L
.28981 .79033 L
.29465 .79098 L
.29948 .79191 L
.30117 .79233 L
.30431 .79298 L
.30914 .7949 L
.31182 .79716 L
.31397 .79966 L
.3148 .80199 L
.31397 .80563 L
.31311 .80682 L
.30914 .80975 L
.30443 .81165 L
.30431 .81169 L
.29948 .81297 L
.29465 .81381 L
.28981 .81438 L
.28498 .81478 L
.28015 .81507 L
.27532 .81526 L
.27049 .8154 L
.26566 .81548 L
.26082 .81551 L
.25599 .8155 L
.25116 .81544 L
.24633 .81534 L
.2415 .81518 L
.23666 .81494 L
.23183 .8146 L
.227 .81412 L
.22217 .81343 L
.21734 .8124 L
.21481 .81165 L
.2125 .81085 L
.20767 .80823 L
.20613 .80682 L
.20443 .80199 L
.2074 .79716 L
.20767 .79686 L
.2125 .79373 L
.21734 .79245 L
.21806 .79233 L
F
.098 .925 1 r
.22217 .76215 m
.227 .76123 L
.23183 .76057 L
.23666 .7601 L
.2415 .75977 L
.24633 .75953 L
.25116 .75938 L
.25599 .7593 L
.26082 .75929 L
.26566 .75933 L
.27049 .75945 L
.27532 .75964 L
.28015 .75992 L
.28498 .76032 L
.28981 .76087 L
.29465 .76165 L
.29948 .76275 L
.30144 .76334 L
.30431 .76404 L
.30914 .76661 L
.31058 .76817 L
.31316 .773 L
.31108 .77783 L
.30914 .77933 L
.30431 .78154 L
.30023 .78266 L
.29948 .78284 L
.29465 .78372 L
.28981 .78431 L
.28498 .78472 L
.28015 .78501 L
.27532 .78521 L
.27049 .78534 L
.26566 .78541 L
.26082 .78545 L
.25599 .78544 L
.25116 .78538 L
.24633 .78528 L
.2415 .78512 L
.23666 .78488 L
.23183 .78454 L
.227 .78404 L
.22217 .78332 L
.219 .78266 L
.21734 .78226 L
.2125 .7806 L
.20814 .77783 L
.20767 .77732 L
.20607 .773 L
.20767 .76924 L
.20865 .76817 L
.2125 .76499 L
.21734 .76343 L
.21779 .76334 L
F
.045 .9 1 r
.227 .82066 m
.23183 .82011 L
.23666 .81972 L
.2415 .81944 L
.24633 .81925 L
.25116 .81913 L
.25599 .81907 L
.26082 .81906 L
.26566 .81909 L
.27049 .81919 L
.27532 .81934 L
.28015 .81957 L
.28498 .8199 L
.28981 .82036 L
.29465 .82102 L
.29635 .82132 L
.29948 .82177 L
.30431 .82294 L
.30914 .82563 L
.30971 .82615 L
.31305 .83098 L
.31169 .83581 L
.30914 .83817 L
.30438 .84065 L
.30431 .84067 L
.29948 .84223 L
.29465 .84323 L
.28981 .84392 L
.28498 .8444 L
.28015 .84474 L
.27532 .84497 L
.27049 .84513 L
.26566 .84523 L
.26082 .84527 L
.25599 .84526 L
.25116 .84519 L
.24633 .84506 L
.2415 .84487 L
.23666 .84458 L
.23183 .84418 L
.227 .84361 L
.22217 .84278 L
.21734 .84154 L
.21486 .84065 L
.2125 .83961 L
.20767 .83599 L
.20753 .83581 L
.20618 .83098 L
.20767 .82792 L
.20953 .82615 L
.2125 .82398 L
.21734 .82225 L
.22217 .82141 L
.22288 .82132 L
F
.461 .975 1 r
.21734 .94126 m
.22217 .94035 L
.227 .93979 L
.23183 .93941 L
.23666 .93917 L
.2415 .939 L
.24633 .93888 L
.25116 .93881 L
.25599 .93878 L
.26082 .93877 L
.26566 .93879 L
.27049 .93884 L
.27532 .93893 L
.28015 .93907 L
.28498 .93928 L
.28981 .93958 L
.29465 .94004 L
.29948 .94075 L
.30431 .94193 L
.30487 .94211 L
.30914 .94371 L
.31296 .94695 L
.31291 .95178 L
.30914 .95584 L
.30799 .95661 L
.30431 .9586 L
.29948 .96034 L
.29517 .96144 L
.29465 .96156 L
.28981 .96245 L
.28498 .96312 L
.28015 .96362 L
.27532 .96399 L
.27049 .96424 L
.26566 .9644 L
.26082 .96446 L
.25599 .96444 L
.25116 .96433 L
.24633 .96413 L
.2415 .96382 L
.23666 .96339 L
.23183 .96281 L
.227 .96203 L
.22406 .96144 L
.22217 .961 L
.21734 .95956 L
.2125 .95739 L
.21124 .95661 L
.20767 .95372 L
.20632 .95178 L
.20627 .94695 L
.20767 .9453 L
.2125 .9427 L
.21436 .94211 L
F
1 .925 .098 r
.23666 .85008 m
.2415 .84977 L
.24633 .84957 L
.25116 .84943 L
.25599 .84936 L
.26082 .84935 L
.26566 .84939 L
.27049 .84949 L
.27532 .84966 L
.28015 .84991 L
.28498 .85027 L
.28539 .85031 L
.28981 .85063 L
.29465 .85117 L
.29948 .85212 L
.30431 .85396 L
.30615 .85514 L
.30914 .85758 L
.31044 .85997 L
.30924 .8648 L
.30914 .86494 L
.30431 .86865 L
.30219 .86964 L
.29948 .87068 L
.29465 .87201 L
.28981 .8729 L
.28498 .87353 L
.28015 .87398 L
.27532 .87429 L
.27157 .87447 L
.27049 .87451 L
.26566 .87464 L
.26082 .87469 L
.25599 .87467 L
.25116 .87458 L
.24757 .87447 L
.24633 .87441 L
.2415 .87415 L
.23666 .87377 L
.23183 .87324 L
.227 .8725 L
.22217 .87141 L
.21734 .86977 L
.21704 .86964 L
.2125 .86717 L
.20999 .8648 L
.20879 .85997 L
.2125 .8555 L
.21308 .85514 L
.21734 .85287 L
.22217 .85157 L
.227 .85087 L
.23183 .85044 L
.23384 .85031 L
F
1 .9 .045 r
.227 .79198 m
.23183 .79119 L
.23666 .79064 L
.2415 .79026 L
.24633 .78999 L
.25116 .78982 L
.25599 .78973 L
.26082 .78971 L
.26566 .78976 L
.27049 .78989 L
.27532 .79011 L
.28015 .79043 L
.28498 .79089 L
.28981 .79155 L
.29394 .79233 L
.29465 .79243 L
.29948 .79343 L
.30431 .7956 L
.30617 .79716 L
.30914 .80086 L
.30945 .80199 L
.30914 .80441 L
.30758 .80682 L
.30431 .80918 L
.29948 .81116 L
.29778 .81165 L
.29465 .81243 L
.28981 .81329 L
.28498 .81388 L
.28015 .81429 L
.27532 .81457 L
.27049 .81475 L
.26566 .81487 L
.26082 .81491 L
.25599 .8149 L
.25116 .81482 L
.24633 .81467 L
.2415 .81444 L
.23666 .8141 L
.23183 .81361 L
.227 .81291 L
.22217 .81185 L
.22145 .81165 L
.21734 .8103 L
.2125 .80759 L
.21165 .80682 L
.20979 .80199 L
.2125 .79761 L
.21306 .79716 L
.21734 .79428 L
.22217 .79285 L
.22529 .79233 L
F
.021 .875 1 r
.23183 .82111 m
.23666 .82057 L
.2415 .8202 L
.24633 .81994 L
.25116 .81978 L
.25599 .81969 L
.26082 .81968 L
.26566 .81973 L
.27049 .81985 L
.27532 .82006 L
.28015 .82037 L
.28498 .82082 L
.28887 .82132 L
.28981 .82141 L
.29465 .82207 L
.29948 .82327 L
.30431 .82591 L
.30459 .82615 L
.30833 .83098 L
.30681 .83581 L
.30431 .83794 L
.29948 .8403 L
.2985 .84065 L
.29465 .84179 L
.28981 .84277 L
.28498 .84344 L
.28015 .84391 L
.27532 .84423 L
.27049 .84444 L
.26566 .84457 L
.26082 .84463 L
.25599 .84461 L
.25116 .84452 L
.24633 .84435 L
.2415 .84408 L
.23666 .8437 L
.23183 .84314 L
.227 .84233 L
.22217 .84112 L
.22073 .84065 L
.21734 .83929 L
.2125 .83591 L
.21242 .83581 L
.21091 .83098 L
.2125 .828 L
.21465 .82615 L
.21734 .82432 L
.22217 .82257 L
.227 .8217 L
.23036 .82132 L
F
.045 .9 1 r
.227 .76333 m
.23183 .76232 L
.23666 .76161 L
.2415 .76111 L
.24633 .76077 L
.25116 .76055 L
.25599 .76043 L
.26082 .76041 L
.26566 .76048 L
.27049 .76064 L
.27532 .76092 L
.28015 .76134 L
.28498 .76193 L
.28981 .76277 L
.29227 .76334 L
.29465 .76376 L
.29948 .76526 L
.30346 .76817 L
.30431 .76893 L
.30648 .773 L
.30431 .77763 L
.30408 .77783 L
.29948 .78038 L
.29465 .78186 L
.29072 .78266 L
.28981 .78282 L
.28498 .7835 L
.28015 .78396 L
.27532 .78428 L
.27049 .78449 L
.26566 .78461 L
.26082 .78466 L
.25599 .78464 L
.25116 .78456 L
.24633 .78439 L
.2415 .78414 L
.23666 .78375 L
.23183 .78319 L
.22851 .78266 L
.227 .78239 L
.22217 .78121 L
.21734 .77927 L
.21516 .77783 L
.21274 .773 L
.21577 .76817 L
.21734 .76672 L
.22217 .76436 L
.22696 .76334 L
F
1 .975 .461 r
.22217 .91289 m
.227 .91156 L
.23183 .91076 L
.23666 .91026 L
.2415 .90993 L
.24633 .90972 L
.25116 .90959 L
.25599 .90953 L
.26082 .90951 L
.26566 .90955 L
.27049 .90965 L
.27532 .90982 L
.28015 .91008 L
.28498 .91048 L
.28981 .91111 L
.29465 .91214 L
.29768 .91312 L
.29948 .91375 L
.30431 .91677 L
.30514 .91796 L
.30453 .92279 L
.30431 .92308 L
.29948 .92685 L
.29792 .92762 L
.29465 .92897 L
.28981 .93036 L
.28498 .93133 L
.28015 .93201 L
.27592 .93245 L
.27532 .9325 L
.27049 .93283 L
.26566 .93303 L
.26082 .93311 L
.25599 .93309 L
.25116 .93295 L
.24633 .93268 L
.24329 .93245 L
.2415 .93228 L
.23666 .9317 L
.23183 .93089 L
.227 .92974 L
.22217 .92802 L
.22131 .92762 L
.21734 .92535 L
.21471 .92279 L
.21409 .91796 L
.21734 .9149 L
.22155 .91312 L
F
1 .875 .021 r
.23666 .79164 m
.2415 .79113 L
.24633 .79079 L
.25116 .79057 L
.25599 .79045 L
.26082 .79043 L
.26566 .7905 L
.27049 .79066 L
.27532 .79094 L
.28015 .79136 L
.28498 .79197 L
.28717 .79233 L
.28981 .79267 L
.29465 .79365 L
.29948 .7957 L
.30139 .79716 L
.30431 .80017 L
.30499 .80199 L
.30431 .80511 L
.30294 .80682 L
.29948 .80909 L
.29465 .81092 L
.29181 .81165 L
.28981 .8121 L
.28498 .81291 L
.28015 .81346 L
.27532 .81384 L
.27049 .81408 L
.26566 .81423 L
.26082 .81429 L
.25599 .81427 L
.25116 .81417 L
.24633 .81397 L
.2415 .81367 L
.23666 .81321 L
.23183 .81254 L
.22742 .81165 L
.227 .81156 L
.22217 .81012 L
.21734 .80767 L
.21629 .80682 L
.21425 .80199 L
.21734 .79753 L
.21784 .79716 L
.22217 .79447 L
.227 .79308 L
.23183 .79235 L
.23207 .79233 L
F
1 .9 .045 r
.25116 .85023 m
.25599 .85013 L
.26082 .85011 L
.26566 .85017 L
.27049 .85031 L
.27053 .85031 L
.27532 .85047 L
.28015 .85071 L
.28498 .8511 L
.28981 .85173 L
.29465 .85282 L
.29948 .85494 L
.29979 .85514 L
.30431 .85911 L
.30467 .85997 L
.30431 .86327 L
.30332 .8648 L
.29948 .86775 L
.29517 .86964 L
.29465 .86983 L
.28981 .8712 L
.28498 .87213 L
.28015 .87276 L
.27532 .8732 L
.27049 .87349 L
.26566 .87366 L
.26082 .87374 L
.25599 .87371 L
.25116 .87359 L
.24633 .87336 L
.2415 .873 L
.23666 .87247 L
.23183 .87171 L
.227 .87059 L
.22406 .86964 L
.22217 .86891 L
.21734 .86616 L
.21591 .8648 L
.21457 .85997 L
.21734 .85643 L
.21944 .85514 L
.22217 .8537 L
.227 .85219 L
.23183 .85137 L
.23666 .85088 L
.2415 .85058 L
.24633 .85038 L
.24854 .85031 L
F
1 .95 .212 r
.23183 .73352 m
.23666 .73266 L
.2415 .73206 L
.24633 .73164 L
.25116 .73137 L
.25599 .73123 L
.26082 .7312 L
.26566 .73128 L
.27049 .73149 L
.27532 .73183 L
.28015 .73233 L
.28498 .73305 L
.28981 .73407 L
.29085 .73434 L
.29465 .73513 L
.29948 .73729 L
.30152 .73918 L
.30431 .74324 L
.30441 .74401 L
.30431 .74488 L
.30117 .74884 L
.29948 .74976 L
.29465 .75146 L
.28981 .7525 L
.28498 .75319 L
.28015 .75366 L
.27996 .75367 L
.27532 .754 L
.27049 .75422 L
.26566 .75435 L
.26082 .75441 L
.25599 .75439 L
.25116 .7543 L
.24633 .75412 L
.2415 .75384 L
.23926 .75367 L
.23666 .75344 L
.23183 .75288 L
.227 .75204 L
.22217 .75073 L
.21806 .74884 L
.21734 .74833 L
.21483 .74401 L
.21734 .7395 L
.21771 .73918 L
.22217 .73594 L
.227 .73458 L
.22838 .73434 L
F
.098 .925 1 r
.22217 .88354 m
.227 .88199 L
.23183 .88111 L
.23666 .88058 L
.2415 .88025 L
.24633 .88003 L
.25116 .8799 L
.25599 .87984 L
.26082 .87982 L
.26566 .87986 L
.27049 .87996 L
.27532 .88013 L
.28015 .8804 L
.28498 .88082 L
.28981 .88149 L
.29465 .88265 L
.29831 .88413 L
.29948 .88465 L
.30424 .88896 L
.30325 .8938 L
.29948 .89692 L
.29594 .89863 L
.29465 .89914 L
.28981 .90061 L
.28498 .90159 L
.28015 .90227 L
.27532 .90275 L
.27049 .90307 L
.26566 .90326 L
.26082 .90334 L
.25599 .90331 L
.25116 .90318 L
.24633 .90292 L
.2415 .90253 L
.23666 .90196 L
.23183 .90114 L
.227 .89995 L
.22329 .89863 L
.22217 .89815 L
.21734 .89521 L
.21599 .8938 L
.215 .88896 L
.21734 .88611 L
.22092 .88413 L
F
.01 .85 1 r
.2415 .82098 m
.24633 .82065 L
.25116 .82044 L
.25599 .82033 L
.26082 .82031 L
.26566 .82038 L
.27049 .82053 L
.27532 .8208 L
.28015 .8212 L
.28124 .82132 L
.28498 .82163 L
.28981 .82226 L
.29465 .82339 L
.29948 .82571 L
.30008 .82615 L
.30422 .83098 L
.30255 .83581 L
.29948 .83811 L
.29465 .84019 L
.29316 .84065 L
.28981 .84153 L
.28498 .84243 L
.28015 .84304 L
.27532 .84346 L
.27049 .84374 L
.26566 .8439 L
.26082 .84397 L
.25599 .84395 L
.25116 .84383 L
.24633 .84361 L
.2415 .84327 L
.23666 .84276 L
.23183 .84202 L
.227 .84092 L
.22607 .84065 L
.22217 .83929 L
.21734 .83643 L
.21668 .83581 L
.21502 .83098 L
.21734 .82747 L
.21915 .82615 L
.22217 .82432 L
.227 .82273 L
.23183 .82191 L
.23666 .82142 L
.23799 .82132 L
F
1 .85 .01 r
.2415 .79204 m
.24633 .79161 L
.25116 .79134 L
.25599 .79119 L
.26082 .79116 L
.26566 .79125 L
.27049 .79146 L
.27532 .7918 L
.2801 .79233 L
.28015 .79233 L
.28498 .79285 L
.28981 .79375 L
.29465 .79554 L
.29709 .79716 L
.29948 .7991 L
.30104 .80199 L
.29948 .80617 L
.2988 .80682 L
.29465 .80922 L
.28981 .81082 L
.28601 .81165 L
.28498 .81185 L
.28015 .81257 L
.27532 .81306 L
.27049 .81338 L
.26566 .81356 L
.26082 .81364 L
.25599 .81362 L
.25116 .81349 L
.24633 .81324 L
.2415 .81284 L
.23666 .81225 L
.23321 .81165 L
.23183 .81138 L
.227 .81011 L
.22217 .80802 L
.22043 .80682 L
.21818 .80199 L
.22214 .79716 L
.22217 .79714 L
.227 .79448 L
.23183 .79323 L
.23666 .79256 L
.23912 .79233 L
F
.021 .875 1 r
.23666 .76317 m
.2415 .76248 L
.24633 .76202 L
.25116 .76172 L
.25599 .76156 L
.26082 .76153 L
.26566 .76162 L
.27049 .76185 L
.27532 .76223 L
.28015 .76279 L
.28351 .76334 L
.28498 .76352 L
.28981 .76438 L
.29465 .76616 L
.29742 .76817 L
.29948 .77 L
.30091 .773 L
.29948 .77664 L
.29814 .77783 L
.29465 .77968 L
.28981 .78119 L
.28498 .78215 L
.28134 .78266 L
.28015 .78281 L
.27532 .78327 L
.27049 .78356 L
.26566 .78374 L
.26082 .78381 L
.25599 .78379 L
.25116 .78367 L
.24633 .78343 L
.2415 .78306 L
.23788 .78266 L
.23666 .78251 L
.23183 .78172 L
.227 .78053 L
.22217 .77852 L
.22109 .77783 L
.21832 .773 L
.22181 .76817 L
.22217 .76784 L
.227 .76509 L
.23183 .76388 L
.23572 .76334 L
F
.004 .825 1 r
.25116 .82113 m
.25599 .82099 L
.26082 .82097 L
.26566 .82105 L
.27049 .82124 L
.27182 .82132 L
.27532 .82149 L
.28015 .82184 L
.28498 .82241 L
.28981 .8234 L
.29465 .82534 L
.29594 .82615 L
.29948 .82898 L
.30051 .83098 L
.29948 .8349 L
.29867 .83581 L
.29465 .83841 L
.28981 .84017 L
.28801 .84065 L
.28498 .84133 L
.28015 .84212 L
.27532 .84265 L
.27049 .843 L
.26566 .8432 L
.26082 .84329 L
.25599 .84326 L
.25116 .84312 L
.24633 .84285 L
.2415 .84241 L
.23666 .84177 L
.23183 .8408 L
.23122 .84065 L
.227 .8394 L
.22217 .83707 L
.22056 .83581 L
.21873 .83098 L
.22217 .82683 L
.22329 .82615 L
.227 .8242 L
.23183 .82283 L
.23666 .82209 L
.2415 .82164 L
.24633 .82137 L
.24734 .82132 L
F
1 .875 .021 r
.227 .85419 m
.23183 .85267 L
.23666 .85182 L
.2415 .85132 L
.24633 .85101 L
.25116 .85082 L
.25599 .85073 L
.26082 .85071 L
.26566 .85077 L
.27049 .8509 L
.27532 .85114 L
.28015 .85154 L
.28498 .85219 L
.28981 .85332 L
.29417 .85514 L
.29465 .85536 L
.29948 .8594 L
.29972 .85997 L
.29948 .86295 L
.29821 .8648 L
.29465 .86734 L
.28981 .8693 L
.28869 .86964 L
.28498 .8706 L
.28015 .87147 L
.27532 .87206 L
.27049 .87244 L
.26566 .87267 L
.26082 .87277 L
.25599 .87274 L
.25116 .87258 L
.24633 .87227 L
.2415 .87179 L
.23666 .87108 L
.23183 .87001 L
.23054 .86964 L
.227 .86844 L
.22217 .86582 L
.22102 .8648 L
.21951 .85997 L
.22217 .85676 L
.22506 .85514 L
F
1 .825 .004 r
.25116 .79213 m
.25599 .79196 L
.26082 .79192 L
.26566 .79202 L
.27049 .79228 L
.27122 .79233 L
.27532 .79257 L
.28015 .79303 L
.28498 .79382 L
.28981 .79532 L
.29305 .79716 L
.29465 .7982 L
.29743 .80199 L
.29496 .80682 L
.29465 .80705 L
.28981 .80939 L
.28498 .81074 L
.28015 .81162 L
.2799 .81165 L
.27532 .81223 L
.27049 .81263 L
.26566 .81286 L
.26082 .81295 L
.25599 .81292 L
.25116 .81276 L
.24633 .81245 L
.2415 .81195 L
.23933 .81165 L
.23666 .81122 L
.23183 .81014 L
.227 .80842 L
.22427 .80682 L
.22217 .80433 L
.2218 .80199 L
.22217 .80093 L
.22618 .79716 L
.227 .7966 L
.23183 .79444 L
.23666 .79337 L
.2415 .79278 L
.24633 .79242 L
.24789 .79233 L
F
.002 .8 1 r
.23183 .82408 m
.23666 .82293 L
.2415 .82228 L
.24633 .8219 L
.25116 .82167 L
.25599 .82156 L
.26082 .82154 L
.26566 .8216 L
.27049 .82177 L
.27532 .82206 L
.28015 .82256 L
.28498 .82342 L
.28981 .825 L
.29199 .82615 L
.29465 .82777 L
.29705 .83098 L
.29504 .83581 L
.29465 .83613 L
.28981 .83869 L
.28498 .84016 L
.28275 .84065 L
.28015 .84113 L
.27532 .8418 L
.27049 .84222 L
.26566 .84248 L
.26082 .84258 L
.25599 .84254 L
.25116 .84237 L
.24633 .84204 L
.2415 .8415 L
.23666 .84068 L
.23649 .84065 L
.23183 .83951 L
.227 .83763 L
.22419 .83581 L
.22217 .83098 L
.227 .82627 L
.22724 .82615 L
F
.01 .85 1 r
.24633 .76332 m
.25116 .76293 L
.25599 .76273 L
.26082 .76269 L
.26566 .76281 L
.27049 .7631 L
.27318 .76334 L
.27532 .7635 L
.28015 .76401 L
.28498 .76492 L
.28981 .76678 L
.29189 .76817 L
.29465 .7704 L
.29592 .773 L
.29465 .77626 L
.29274 .77783 L
.28981 .77923 L
.28498 .78068 L
.28015 .78158 L
.27532 .78218 L
.27049 .78256 L
.26916 .78266 L
.26566 .7828 L
.26082 .78289 L
.25599 .78286 L
.25116 .7827 L
.25044 .78266 L
.24633 .78239 L
.2415 .78191 L
.23666 .78118 L
.23183 .78005 L
.227 .77812 L
.22649 .77783 L
.22331 .773 L
.227 .76838 L
.22734 .76817 L
.23183 .76567 L
.23666 .76439 L
.2415 .76372 L
.24613 .76334 L
F
.045 .9 1 r
.23183 .88387 m
.23666 .88258 L
.2415 .88182 L
.24633 .88135 L
.25116 .88108 L
.25599 .88094 L
.26082 .88091 L
.26566 .88099 L
.27049 .8812 L
.27532 .88156 L
.28015 .88215 L
.28498 .88314 L
.28813 .88413 L
.28981 .8847 L
.29465 .88746 L
.29579 .88896 L
.29465 .89369 L
.29455 .8938 L
.28981 .89686 L
.28498 .89857 L
.28479 .89863 L
.28015 .89974 L
.27532 .90052 L
.27049 .90102 L
.26566 .90132 L
.26082 .90144 L
.25599 .9014 L
.25116 .90119 L
.24633 .9008 L
.2415 .90017 L
.23666 .89922 L
.23443 .89863 L
.23183 .89782 L
.227 .89559 L
.22469 .8938 L
.22344 .88896 L
.227 .88577 L
.2311 .88413 L
F
1 .85 .01 r
.23183 .85452 m
.23666 .85309 L
.2415 .85227 L
.24633 .85179 L
.25116 .85151 L
.25599 .85137 L
.26082 .85134 L
.26566 .85143 L
.27049 .85163 L
.27532 .852 L
.28015 .85263 L
.28498 .8537 L
.28885 .85514 L
.28981 .85553 L
.29465 .85893 L
.29522 .85997 L
.29465 .86348 L
.29352 .8648 L
.28981 .86715 L
.28498 .86891 L
.28212 .86964 L
.28015 .87006 L
.27532 .87084 L
.27049 .87134 L
.26566 .87163 L
.26082 .87175 L
.25599 .87171 L
.25116 .87151 L
.24633 .87112 L
.2415 .87049 L
.23712 .86964 L
.23666 .86953 L
.23183 .86814 L
.227 .8658 L
.22571 .8648 L
.22401 .85997 L
.227 .85678 L
.23038 .85514 L
F
1 .925 .098 r
.24633 .73428 m
.25116 .73384 L
.25599 .73361 L
.26082 .73357 L
.26566 .7337 L
.27049 .73403 L
.27353 .73434 L
.27532 .73449 L
.28015 .73505 L
.28498 .7361 L
.28981 .73843 L
.29076 .73918 L
.29452 .74401 L
.29028 .74884 L
.28981 .74905 L
.28498 .7506 L
.28015 .75154 L
.27532 .75214 L
.27049 .75252 L
.26566 .75275 L
.26082 .75284 L
.25599 .75281 L
.25116 .75265 L
.24633 .75235 L
.2415 .75187 L
.23666 .75112 L
.23183 .74994 L
.22895 .74884 L
.227 .74768 L
.22471 .74401 L
.227 .74023 L
.22847 .73918 L
.23183 .73702 L
.23666 .73548 L
.2415 .73473 L
.24576 .73434 L
F
1 .8 .002 r
.23183 .79618 m
.23666 .79445 L
.2415 .79355 L
.24633 .79304 L
.25116 .79275 L
.25599 .7926 L
.26082 .79258 L
.26566 .79266 L
.27049 .79287 L
.27532 .79326 L
.28015 .79393 L
.28498 .79517 L
.28913 .79716 L
.28981 .79752 L
.29401 .80199 L
.29127 .80682 L
.28981 .80767 L
.28498 .80952 L
.28015 .81063 L
.27532 .81135 L
.27252 .81165 L
.27049 .81183 L
.26566 .81211 L
.26082 .81223 L
.25599 .81219 L
.25116 .81199 L
.24673 .81165 L
.24633 .81161 L
.2415 .81103 L
.23666 .81014 L
.23183 .80873 L
.22796 .80682 L
.227 .80606 L
.22523 .80199 L
.227 .79922 L
.2301 .79716 L
F
.001 .775 1 r
.23183 .82577 m
.23666 .82403 L
.2415 .82307 L
.24633 .82253 L
.25116 .82222 L
.25599 .82207 L
.26082 .82204 L
.26566 .82213 L
.27049 .82235 L
.27532 .82277 L
.28015 .82348 L
.28498 .82476 L
.28813 .82615 L
.28981 .82697 L
.29377 .83098 L
.29154 .83581 L
.28981 .83693 L
.28498 .8389 L
.28015 .84009 L
.27692 .84065 L
.27532 .84088 L
.27049 .8414 L
.26566 .8417 L
.26082 .84183 L
.25599 .84179 L
.25116 .84158 L
.24633 .84117 L
.24231 .84065 L
.2415 .84052 L
.23666 .83956 L
.23183 .83805 L
.22769 .83581 L
.227 .8352 L
.22546 .83098 L
.227 .82868 L
.23111 .82615 L
F
.212 .95 1 r
.25116 .70496 m
.25599 .7047 L
.26082 .70465 L
.26566 .7048 L
.27049 .70517 L
.27219 .70535 L
.27532 .70559 L
.28015 .7062 L
.28498 .7075 L
.28921 .71019 L
.28981 .71059 L
.29269 .71502 L
.28981 .71849 L
.28677 .71985 L
.28498 .72067 L
.28015 .72213 L
.27532 .72291 L
.27049 .72334 L
.26566 .72356 L
.26082 .72365 L
.25599 .72362 L
.25116 .72347 L
.24633 .72316 L
.2415 .72258 L
.23666 .72151 L
.23246 .71985 L
.23183 .71962 L
.227 .7163 L
.22654 .71502 L
.227 .71309 L
.23002 .71019 L
.23183 .70876 L
.23666 .70672 L
.2415 .70585 L
.24633 .7054 L
.24701 .70535 L
F
.004 .825 1 r
.23666 .76622 m
.2415 .76494 L
.24633 .76427 L
.25116 .76391 L
.25599 .76373 L
.26082 .7637 L
.26566 .7638 L
.27049 .76406 L
.27532 .76456 L
.28015 .76547 L
.28498 .76728 L
.28649 .76817 L
.28981 .77047 L
.29122 .773 L
.28981 .7762 L
.2875 .77783 L
.28498 .77889 L
.28015 .78021 L
.27532 .78102 L
.27049 .78152 L
.26566 .78182 L
.26082 .78194 L
.25599 .7819 L
.25116 .78169 L
.24633 .7813 L
.2415 .78066 L
.23666 .77963 L
.23183 .77788 L
.23173 .77783 L
.22801 .773 L
.23183 .76866 L
.23274 .76817 L
F
1 .825 .004 r
.23666 .85481 m
.2415 .85354 L
.24633 .8528 L
.25116 .85238 L
.25599 .85217 L
.26082 .85213 L
.26566 .85225 L
.27049 .85256 L
.27532 .85312 L
.28015 .85409 L
.28347 .85514 L
.28498 .85565 L
.28981 .85841 L
.29095 .85997 L
.28981 .86405 L
.289 .8648 L
.28498 .86701 L
.28015 .86854 L
.27532 .86951 L
.27451 .86964 L
.27049 .87015 L
.26566 .87052 L
.26082 .87067 L
.25599 .87062 L
.25116 .87036 L
.24633 .86986 L
.24473 .86964 L
.2415 .86908 L
.23666 .86787 L
.23183 .86586 L
.23023 .8648 L
.22828 .85997 L
.23183 .85672 L
.23576 .85514 L
F
1 .775 .001 r
.23666 .79593 m
.2415 .79455 L
.24633 .79381 L
.25116 .7934 L
.25599 .7932 L
.26082 .79317 L
.26566 .79328 L
.27049 .79357 L
.27532 .79413 L
.28015 .79513 L
.28498 .79704 L
.28519 .79716 L
.28981 .80031 L
.29069 .80199 L
.28981 .80496 L
.28764 .80682 L
.28498 .80809 L
.28015 .80955 L
.27532 .81044 L
.27049 .811 L
.26566 .81133 L
.26082 .81146 L
.25599 .81142 L
.25116 .81119 L
.24633 .81076 L
.2415 .81004 L
.23666 .80891 L
.23183 .80696 L
.2316 .80682 L
.22854 .80199 L
.23183 .79829 L
.23404 .79716 L
F
0 .75 1 r
.23666 .82546 m
.2415 .82408 L
.24633 .82332 L
.25116 .82289 L
.25599 .82268 L
.26082 .82264 L
.26566 .82276 L
.27049 .82307 L
.27532 .82364 L
.28015 .82467 L
.2842 .82615 L
.28498 .82646 L
.28981 .82965 L
.29057 .83098 L
.28981 .83418 L
.28809 .83581 L
.28498 .83744 L
.28015 .83897 L
.27532 .83992 L
.27049 .84052 L
.26949 .84065 L
.26566 .84088 L
.26082 .84103 L
.25599 .84098 L
.25116 .84073 L
.25002 .84065 L
.24633 .84026 L
.2415 .8395 L
.23666 .83831 L
.23183 .83625 L
.23114 .83581 L
.22866 .83098 L
.23183 .82765 L
.23503 .82615 L
F
.021 .875 1 r
.24633 .8833 m
.25116 .88277 L
.25599 .88251 L
.26082 .88246 L
.26566 .88261 L
.27049 .883 L
.27532 .88369 L
.27743 .88413 L
.28015 .88473 L
.28498 .88645 L
.28813 .88896 L
.28653 .8938 L
.28498 .89482 L
.28015 .89681 L
.27532 .89799 L
.27138 .89863 L
.27049 .89874 L
.26566 .89919 L
.26082 .89937 L
.25599 .89931 L
.25116 .899 L
.24775 .89863 L
.24633 .89841 L
.2415 .89747 L
.23666 .89597 L
.2327 .8938 L
.23183 .89297 L
.2311 .88896 L
.23183 .88809 L
.23666 .88545 L
.2415 .88419 L
.24181 .88413 L
F
1 .75 0 r
.2415 .79589 m
.24633 .7948 L
.25116 .79422 L
.25599 .79394 L
.26082 .79389 L
.26566 .79405 L
.27049 .79446 L
.27532 .79526 L
.28015 .79675 L
.28108 .79716 L
.28498 .79909 L
.2874 .80199 L
.28498 .80619 L
.28394 .80682 L
.28015 .8083 L
.27532 .80944 L
.27049 .81013 L
.26566 .81052 L
.26082 .81067 L
.25599 .81062 L
.25116 .81035 L
.24633 .80983 L
.2415 .80894 L
.23666 .80745 L
.23529 .80682 L
.23183 .80199 L
.23666 .79776 L
.23815 .79716 L
F
0 .725 1 r
.2415 .82537 m
.24633 .82429 L
.25116 .82371 L
.25599 .82342 L
.26082 .82337 L
.26566 .82353 L
.27049 .82395 L
.27532 .82475 L
.28004 .82615 L
.28015 .82618 L
.28498 .82834 L
.28739 .83098 L
.28498 .83556 L
.2846 .83581 L
.28015 .83772 L
.27532 .8389 L
.27049 .83963 L
.26566 .84004 L
.26082 .8402 L
.25599 .84015 L
.25116 .83986 L
.24633 .83931 L
.2415 .83838 L
.23666 .83683 L
.23463 .83581 L
.23185 .83098 L
.23666 .82706 L
.23918 .82615 L
F
1 .8 .002 r
.24633 .85409 m
.25116 .85348 L
.25599 .85318 L
.26082 .85312 L
.26566 .8533 L
.27049 .85374 L
.27532 .85457 L
.27759 .85514 L
.28015 .85584 L
.28498 .85808 L
.28673 .85997 L
.28498 .86442 L
.28446 .8648 L
.28015 .86681 L
.27532 .8681 L
.27049 .86887 L
.26566 .86932 L
.26082 .8695 L
.25599 .86944 L
.25116 .86913 L
.24633 .86853 L
.2415 .86753 L
.23666 .86585 L
.23477 .8648 L
.2325 .85997 L
.23666 .85673 L
.2415 .85518 L
.24166 .85514 L
F
.002 .8 1 r
.2415 .76685 m
.24633 .76565 L
.25116 .76502 L
.25599 .76473 L
.26082 .76468 L
.26566 .76484 L
.27049 .76528 L
.27532 .76615 L
.28015 .76782 L
.28085 .76817 L
.28498 .77052 L
.28659 .773 L
.28498 .77615 L
.28212 .77783 L
.28015 .77853 L
.27532 .77968 L
.27049 .78036 L
.26566 .78075 L
.26082 .7809 L
.25599 .78085 L
.25116 .78059 L
.24633 .78007 L
.2415 .77918 L
.23711 .77783 L
.23666 .77763 L
.23264 .773 L
.23666 .76894 L
.23838 .76817 L
F
1 .9 .045 r
.2415 .73799 m
.24633 .73662 L
.25116 .73594 L
.25599 .73563 L
.26082 .73557 L
.26566 .73575 L
.27049 .73622 L
.27532 .73718 L
.28015 .73913 L
.28023 .73918 L
.28498 .74246 L
.28556 .74401 L
.28498 .74563 L
.28015 .74862 L
.2795 .74884 L
.27532 .74982 L
.27049 .75051 L
.26566 .75089 L
.26082 .75104 L
.25599 .75099 L
.25116 .75073 L
.24633 .75021 L
.2415 .74931 L
.23973 .74884 L
.23666 .74758 L
.23367 .74401 L
.23666 .74034 L
.23899 .73918 L
F
1 .95 .212 r
.25599 .91303 m
.26082 .91298 L
.26519 .91312 L
.26566 .91315 L
.27049 .9135 L
.27532 .91415 L
.28015 .91529 L
.28498 .91779 L
.28515 .91796 L
.28498 .92189 L
.28406 .92279 L
.28015 .92488 L
.27532 .92633 L
.27049 .9272 L
.26703 .92762 L
.26566 .92771 L
.26082 .92792 L
.25599 .92785 L
.25249 .92762 L
.25116 .92749 L
.24633 .92682 L
.2415 .9257 L
.23666 .92376 L
.23518 .92279 L
.23408 .91796 L
.23666 .91621 L
.2415 .91464 L
.24633 .91379 L
.25116 .91329 L
.25404 .91312 L
F
0 .7 1 r
.24633 .82551 m
.25116 .82471 L
.25599 .82433 L
.26082 .82426 L
.26566 .82448 L
.27049 .82505 L
.27532 .82614 L
.27535 .82615 L
.28015 .82771 L
.28415 .83098 L
.28094 .83581 L
.28015 .83619 L
.27532 .83776 L
.27049 .83865 L
.26566 .83914 L
.26082 .83934 L
.25599 .83928 L
.25116 .83894 L
.24633 .83826 L
.2415 .83709 L
.23828 .83581 L
.23666 .83475 L
.23508 .83098 L
.23666 .82912 L
.2415 .8268 L
.24384 .82615 L
F
1 .725 0 r
.24633 .79609 m
.25116 .79526 L
.25599 .79487 L
.26082 .7948 L
.26566 .79502 L
.27049 .79561 L
.27532 .79675 L
.27653 .79716 L
.28015 .7985 L
.28405 .80199 L
.28015 .80676 L
.28003 .80682 L
.27532 .80831 L
.27049 .80916 L
.26566 .80964 L
.26082 .80983 L
.25599 .80977 L
.25116 .80944 L
.24633 .80879 L
.2415 .80766 L
.23919 .80682 L
.23666 .80529 L
.23518 .80199 L
.23666 .79999 L
.2415 .79754 L
.24269 .79716 L
F
1 .775 .001 r
.25116 .85487 m
.25599 .85445 L
.26082 .85437 L
.26566 .85461 L
.27009 .85514 L
.27049 .85522 L
.27532 .85617 L
.28015 .85801 L
.28239 .85997 L
.28015 .86449 L
.27963 .8648 L
.27532 .86645 L
.27049 .86749 L
.26566 .86805 L
.26082 .86828 L
.25599 .8682 L
.25116 .86782 L
.24633 .86704 L
.2415 .86566 L
.2396 .8648 L
.23685 .85997 L
.2415 .85691 L
.24633 .85563 L
.2492 .85514 L
F
.001 .775 1 r
.24633 .76772 m
.25116 .76666 L
.25599 .76617 L
.26082 .76608 L
.26566 .76636 L
.27049 .7671 L
.27431 .76817 L
.27532 .76848 L
.28015 .77077 L
.2818 .773 L
.28015 .7759 L
.27606 .77783 L
.27532 .77804 L
.27049 .77901 L
.26566 .77953 L
.26082 .77973 L
.25599 .77967 L
.25116 .77932 L
.24633 .7786 L
.24314 .77783 L
.2415 .77722 L
.23743 .773 L
.2415 .76938 L
.24494 .76817 L
F
0 .675 1 r
.25116 .82595 m
.25599 .82544 L
.26082 .82535 L
.26566 .82564 L
.26961 .82615 L
.27049 .82635 L
.27532 .8275 L
.28015 .83014 L
.28076 .83098 L
.28015 .83366 L
.27694 .83581 L
.27532 .8364 L
.27049 .83755 L
.26566 .83816 L
.26082 .8384 L
.25599 .83832 L
.25116 .83791 L
.24633 .83707 L
.24228 .83581 L
.2415 .83543 L
.23846 .83098 L
.2415 .82846 L
.24633 .82683 L
.24987 .82615 L
F
1 .7 0 r
.25116 .79659 m
.25599 .79605 L
.26082 .79595 L
.26566 .79626 L
.27049 .79707 L
.27087 .79716 L
.27532 .79832 L
.28015 .80129 L
.28053 .80199 L
.28015 .80395 L
.27566 .80682 L
.27532 .80693 L
.27049 .80807 L
.26566 .80866 L
.26082 .8089 L
.25599 .80882 L
.25116 .80842 L
.24633 .80759 L
.24354 .80682 L
.2415 .80592 L
.23869 .80199 L
.2415 .79936 L
.24633 .79761 L
.24822 .79716 L
F
.01 .85 1 r
.2415 .88727 m
.24633 .88575 L
.25116 .88498 L
.25599 .88461 L
.26082 .88455 L
.26566 .88476 L
.27049 .8853 L
.27532 .88637 L
.28015 .8889 L
.28021 .88896 L
.28015 .89202 L
.27795 .8938 L
.27532 .89491 L
.27049 .89613 L
.26566 .89679 L
.26082 .89704 L
.25599 .89696 L
.25116 .89652 L
.24633 .89561 L
.2415 .8939 L
.2413 .8938 L
.23901 .88896 L
F
1 .75 0 r
.24633 .85736 m
.25116 .85633 L
.25599 .85585 L
.26082 .85576 L
.26566 .85603 L
.27049 .85675 L
.27532 .85828 L
.27766 .85997 L
.27532 .8642 L
.27405 .8648 L
.27049 .86583 L
.26566 .8666 L
.26082 .86689 L
.25599 .8668 L
.25116 .86628 L
.24633 .86518 L
.24521 .8648 L
.24159 .85997 L
F
0 .65 1 r
.24633 .82834 m
.25116 .82718 L
.25599 .82665 L
.26082 .82655 L
.26566 .82685 L
.27049 .82765 L
.27532 .82943 L
.27708 .83098 L
.27532 .83443 L
.27221 .83581 L
.27049 .83625 L
.26566 .83704 L
.26082 .83734 L
.25599 .83724 L
.25116 .83672 L
.247 .83581 L
.24633 .83556 L
.24216 .83098 L
F
1 .675 0 r
.24633 .79928 m
.25116 .79801 L
.25599 .79745 L
.26082 .79735 L
.26566 .79767 L
.27049 .79852 L
.27532 .80051 L
.27669 .80199 L
.27532 .80476 L
.27049 .80674 L
.27026 .80682 L
.26566 .80754 L
.26082 .80783 L
.25599 .80774 L
.25116 .80722 L
.24893 .80682 L
.24633 .806 L
.24253 .80199 L
F
0 .75 1 r
.26082 .76811 m
.262 .76817 L
.26566 .76846 L
.27049 .76936 L
.27532 .77151 L
.27646 .773 L
.27532 .77519 L
.27049 .77724 L
.26786 .77783 L
.26566 .77805 L
.26082 .77834 L
.25599 .77825 L
.25178 .77783 L
.25116 .77773 L
.24633 .77649 L
.24276 .773 L
.24633 .77016 L
.25116 .76883 L
.25599 .76824 L
.25723 .76817 L
F
1 .875 .021 r
.26082 .7391 m
.26223 .73918 L
.26566 .73948 L
.27049 .74047 L
.27532 .74326 L
.27558 .74401 L
.27532 .74485 L
.27049 .74747 L
.26566 .74833 L
.26082 .74864 L
.25599 .74854 L
.25116 .74799 L
.24633 .74665 L
.24361 .74401 L
.24633 .74137 L
.25116 .73988 L
.25599 .73924 L
.257 .73918 L
F
0 .625 1 r
.25116 .82872 m
.25599 .82796 L
.26082 .82782 L
.26566 .82824 L
.27049 .8295 L
.2728 .83098 L
.27049 .83435 L
.26566 .83566 L
.26458 .83581 L
.26082 .83608 L
.25599 .83595 L
.25466 .83581 L
.25116 .83517 L
.24648 .83098 L
F
1 .65 0 r
.25116 .79975 m
.25599 .7989 L
.26082 .79875 L
.26566 .79921 L
.27049 .80067 L
.27215 .80199 L
.27049 .80459 L
.26566 .80606 L
.26082 .80652 L
.25599 .80637 L
.25116 .80553 L
.24705 .80199 L
F
1 .725 0 r
.25116 .85828 m
.25599 .85749 L
.26082 .85736 L
.26566 .85778 L
.27049 .85911 L
.27192 .85997 L
.27049 .86328 L
.26566 .86474 L
.26525 .8648 L
.26082 .86519 L
.25599 .86504 L
.25398 .8648 L
.25116 .8642 L
.24726 .85997 L
F
.004 .825 1 r
.25116 .88824 m
.25599 .88733 L
.26082 .88718 L
.26566 .88766 L
.27004 .88896 L
.26566 .89346 L
.26354 .8938 L
.26082 .89399 L
.25599 .89383 L
.25568 .8938 L
.25116 .8928 L
.24926 .88896 L
F
0 .725 1 r
.25116 .77184 m
.25599 .77054 L
.26082 .77035 L
.26566 .77098 L
.26974 .773 L
.26566 .7757 L
.26082 .77631 L
.25599 .77613 L
.25116 .77485 L
.2497 .773 L
F
0 .6 1 r
.25599 .82988 m
.26082 .82963 L
.26566 .83051 L
.26685 .83098 L
.26566 .83325 L
.26082 .83421 L
.25599 .83394 L
.25264 .83098 L
F
1 .625 0 r
.25599 .80126 m
.26082 .80091 L
.26505 .80199 L
.26082 .80435 L
.25599 .80397 L
.25418 .80199 L
F
.461 .975 1 r
.38162 .35157 m
.38347 .35263 L
.38318 .35746 L
.38162 .35931 L
.38011 .36229 L
.37724 .36712 L
.37679 .36816 L
.37378 .37196 L
.37196 .37494 L
.37073 .37679 L
.36729 .38162 L
.36712 .38188 L
.36252 .38645 L
.36229 .38914 L
.36043 .39128 L
.35746 .39502 L
.35667 .39612 L
.35312 .40095 L
.35263 .40165 L
.34899 .40578 L
.3478 .40856 L
.34674 .41061 L
.34296 .41451 L
.34226 .41544 L
.33868 .42027 L
.33813 .42105 L
.33512 .42511 L
.3333 .42781 L
.33137 .42994 L
.32847 .43458 L
.32777 .43477 L
.32385 .4396 L
.32364 .44036 L
.32116 .44443 L
.31881 .44703 L
.31684 .44927 L
.31397 .45369 L
.31325 .4541 L
.30967 .45893 L
.30914 .45963 L
.30725 .46376 L
.30431 .46622 L
.30227 .46859 L
.29948 .47282 L
.29869 .47342 L
.29526 .47826 L
.29465 .47881 L
.2913 .48309 L
.28981 .4853 L
.28758 .48792 L
.28498 .49182 L
.28393 .49275 L
.28036 .49758 L
.28015 .49772 L
.27628 .50242 L
.27532 .5038 L
.27219 .50725 L
.27049 .50976 L
.26779 .51208 L
.26566 .5157 L
.26092 .51208 L
.26273 .50725 L
.26542 .50242 L
.26566 .50197 L
.26815 .49758 L
.27049 .49348 L
.27169 .49275 L
.27467 .48792 L
.27532 .48714 L
.27795 .48309 L
.28015 .48015 L
.2826 .47826 L
.28498 .47353 L
.2851 .47342 L
.28852 .46859 L
.28981 .46719 L
.29205 .46376 L
.29465 .46047 L
.29629 .45893 L
.29938 .4541 L
.29948 .45409 L
.30287 .44927 L
.30431 .44781 L
.30648 .44443 L
.30914 .4411 L
.31036 .4396 L
.31382 .43477 L
.31397 .43458 L
.31736 .42994 L
.31881 .42859 L
.32207 .42511 L
.32364 .42182 L
.32443 .42027 L
.32832 .41544 L
.32847 .41526 L
.33191 .41061 L
.3333 .40947 L
.33593 .40578 L
.33813 .40263 L
.33926 .40095 L
.3429 .39612 L
.34296 .39604 L
.34765 .39128 L
.3478 .39049 L
.34996 .38645 L
.35263 .38365 L
.35401 .38162 L
.35746 .37713 L
.35773 .37679 L
.36169 .37196 L
.36229 .37178 L
.36443 .36712 L
.36712 .36551 L
.36965 .36229 L
.37196 .35971 L
.37416 .35746 L
.37679 .35456 L
.37991 .35263 L
F
.35746 .34419 m
.36146 .3478 L
.36033 .35263 L
.35746 .35507 L
.35596 .35746 L
.35282 .36229 L
.35263 .36266 L
.34965 .36712 L
.3478 .36941 L
.34599 .37196 L
.34296 .37619 L
.34252 .37679 L
.33864 .38162 L
.33813 .38315 L
.3362 .38645 L
.3333 .38931 L
.33181 .39128 L
.32847 .39588 L
.32828 .39612 L
.32471 .40095 L
.32364 .40264 L
.3227 .40578 L
.31881 .40974 L
.31737 .41061 L
.31397 .41528 L
.31384 .41544 L
.31059 .42027 L
.30914 .42191 L
.30646 .42511 L
.30431 .4288 L
.30282 .42994 L
.29948 .43453 L
.29928 .43477 L
.29631 .4396 L
.29465 .44103 L
.2918 .44443 L
.28981 .44775 L
.28811 .44927 L
.28498 .45351 L
.28449 .4541 L
.28068 .45893 L
.28015 .45976 L
.27671 .46376 L
.27532 .46607 L
.27267 .46859 L
.27049 .47134 L
.26837 .47342 L
.26566 .47628 L
.26172 .47342 L
.26349 .46859 L
.26566 .46542 L
.2665 .46376 L
.26938 .45893 L
.27049 .45722 L
.27354 .4541 L
.27532 .44969 L
.27562 .44927 L
.27912 .44443 L
.28015 .44325 L
.28248 .4396 L
.28498 .43633 L
.28649 .43477 L
.28963 .42994 L
.28981 .42987 L
.29306 .42511 L
.29465 .42343 L
.29823 .42027 L
.29948 .41666 L
.30038 .41544 L
.30391 .41061 L
.30431 .41011 L
.30745 .40578 L
.30914 .4041 L
.31194 .40095 L
.31397 .39734 L
.31443 .39612 L
.31844 .39128 L
.31881 .39083 L
.32206 .38645 L
.32364 .38505 L
.32598 .38162 L
.32847 .37833 L
.32953 .37679 L
.33327 .37196 L
.3333 .37192 L
.3377 .36712 L
.33813 .36639 L
.34037 .36229 L
.34296 .36007 L
.34495 .35746 L
.3478 .35409 L
.34914 .35263 L
.35263 .34846 L
.35368 .3478 L
F
.39128 .37195 m
.39612 .36785 L
.39949 .37196 L
.39695 .37679 L
.39612 .3789 L
.39545 .38162 L
.39149 .38645 L
.39128 .3868 L
.38828 .39128 L
.38645 .39479 L
.38451 .39612 L
.38162 .40045 L
.38128 .40095 L
.3778 .40578 L
.37679 .40727 L
.37297 .41061 L
.37196 .41433 L
.37079 .41544 L
.36712 .42008 L
.36699 .42027 L
.36343 .42511 L
.36229 .42671 L
.35932 .42994 L
.35746 .43354 L
.35703 .43477 L
.35263 .43948 L
.35253 .4396 L
.34894 .44443 L
.3478 .44602 L
.34544 .44927 L
.34296 .45273 L
.34163 .4541 L
.33813 .45882 L
.33805 .45893 L
.33397 .46376 L
.3333 .46529 L
.33158 .46859 L
.32847 .47194 L
.32711 .47342 L
.32364 .47823 L
.32355 .47826 L
.31996 .48309 L
.31881 .48453 L
.31797 .48792 L
.31397 .49116 L
.31256 .49275 L
.30914 .49751 L
.30902 .49758 L
.30578 .50242 L
.30431 .50374 L
.30161 .50725 L
.29948 .51033 L
.29797 .51208 L
.29465 .51672 L
.29441 .51691 L
.29141 .52174 L
.28981 .52279 L
.28686 .52658 L
.28498 .52922 L
.28308 .53141 L
.28015 .53547 L
.27929 .53624 L
.27532 .54106 L
.27531 .54107 L
.27069 .5459 L
.27049 .54614 L
.26566 .54928 L
.26408 .5459 L
.26566 .54161 L
.26585 .54107 L
.26921 .53624 L
.27049 .53249 L
.27083 .53141 L
.27411 .52658 L
.27532 .52478 L
.27734 .52174 L
.28015 .51754 L
.28123 .51691 L
.28434 .51208 L
.28498 .51135 L
.28777 .50725 L
.28981 .5046 L
.29289 .50242 L
.29465 .49799 L
.29512 .49758 L
.29858 .49275 L
.29948 .49182 L
.30212 .48792 L
.30431 .48518 L
.30663 .48309 L
.30914 .47864 L
.30936 .47826 L
.31303 .47342 L
.31397 .47253 L
.31662 .46859 L
.31881 .46589 L
.32062 .46376 L
.32364 .45932 L
.32396 .45893 L
.32753 .4541 L
.32847 .45332 L
.33244 .44927 L
.3333 .44664 L
.33461 .44443 L
.33813 .44003 L
.33847 .4396 L
.34205 .43477 L
.34296 .43418 L
.34615 .42994 L
.3478 .42742 L
.34839 .42511 L
.35263 .42076 L
.353 .42027 L
.35661 .41544 L
.35746 .41511 L
.3601 .41061 L
.36229 .40829 L
.36399 .40578 L
.36712 .40161 L
.36763 .40095 L
.37156 .39612 L
.37196 .39521 L
.37426 .39128 L
.37679 .38949 L
.37892 .38645 L
.38162 .38306 L
.3828 .38162 L
.38645 .37714 L
.38682 .37679 L
.39124 .37196 L
F
.27532 .41616 m
.28006 .42027 L
.27566 .42511 L
.27532 .42554 L
.27057 .42511 L
.27284 .42027 L
F
.40578 .39054 m
.41061 .38691 L
.41272 .39128 L
.41081 .39612 L
.41061 .39647 L
.40743 .40095 L
.40578 .40489 L
.40527 .40578 L
.40209 .41061 L
.40095 .41246 L
.39872 .41544 L
.39612 .41884 L
.39499 .42027 L
.3916 .42511 L
.39128 .42551 L
.38812 .42994 L
.38645 .43232 L
.38347 .43477 L
.38162 .43915 L
.38103 .4396 L
.37725 .44443 L
.37679 .445 L
.37369 .44927 L
.37196 .45165 L
.36964 .4541 L
.36712 .45833 L
.36637 .45893 L
.36278 .46376 L
.36229 .46433 L
.35781 .46859 L
.35746 .47092 L
.35572 .47342 L
.35263 .47754 L
.35187 .47826 L
.34828 .48309 L
.3478 .48362 L
.3442 .48792 L
.34296 .49017 L
.34194 .49275 L
.33813 .49677 L
.33735 .49758 L
.33377 .50242 L
.3333 .50288 L
.33026 .50725 L
.32847 .50941 L
.32643 .51208 L
.32364 .51601 L
.32282 .51691 L
.319 .52174 L
.31881 .52211 L
.31624 .52658 L
.31397 .52862 L
.31186 .53141 L
.30914 .53522 L
.30826 .53624 L
.3047 .54107 L
.30431 .54128 L
.3022 .5459 L
.29948 .54771 L
.29718 .55073 L
.29465 .55423 L
.2935 .55557 L
.28985 .5604 L
.28981 .5604 L
.28582 .56523 L
.28498 .56615 L
.28161 .57006 L
.28015 .57184 L
.2768 .57489 L
.27532 .57658 L
.27089 .57489 L
.27224 .57006 L
.27466 .56523 L
.27532 .56364 L
.27879 .5604 L
.28015 .55641 L
.28066 .55557 L
.28389 .55073 L
.28498 .54918 L
.28725 .5459 L
.28981 .54209 L
.29142 .54107 L
.29443 .53624 L
.29465 .536 L
.29789 .53141 L
.29948 .52937 L
.30148 .52658 L
.30431 .52267 L
.30537 .52174 L
.30878 .51691 L
.30914 .51655 L
.31232 .51208 L
.31397 .51001 L
.3171 .50725 L
.31881 .50339 L
.31949 .50242 L
.32325 .49758 L
.32364 .49725 L
.32682 .49275 L
.32847 .49074 L
.33093 .48792 L
.3333 .48412 L
.33339 .48309 L
.33775 .47826 L
.33813 .47799 L
.34282 .47342 L
.34296 .47149 L
.34486 .46859 L
.3478 .46486 L
.34867 .46376 L
.35226 .45893 L
.35263 .45877 L
.35639 .4541 L
.35746 .45228 L
.35868 .44927 L
.36229 .44561 L
.3632 .44443 L
.36679 .4396 L
.36712 .43914 L
.37035 .43477 L
.37196 .43312 L
.37415 .42994 L
.37679 .42641 L
.37779 .42511 L
.38154 .42027 L
.38162 .41994 L
.38453 .41544 L
.38645 .41413 L
.3889 .41061 L
.39128 .40753 L
.39266 .40578 L
.39612 .40129 L
.39643 .40095 L
.39997 .39612 L
.40095 .39582 L
.40503 .39128 L
F
1 .975 .461 r
.37196 .38025 m
.37679 .37681 L
.37801 .38162 L
.37679 .3842 L
.37564 .38645 L
.37259 .39128 L
.37196 .39261 L
.37074 .39612 L
.36712 .3999 L
.36642 .40095 L
.36308 .40578 L
.36229 .40708 L
.35953 .41061 L
.35746 .41462 L
.35606 .41544 L
.35263 .42014 L
.35253 .42027 L
.34824 .42511 L
.3478 .42692 L
.34589 .42994 L
.34296 .4339 L
.34174 .43477 L
.33819 .4396 L
.33813 .43967 L
.33442 .44443 L
.3333 .44629 L
.33226 .44927 L
.32847 .45307 L
.32726 .4541 L
.3237 .45893 L
.32364 .45901 L
.32034 .46376 L
.31881 .46551 L
.31631 .46859 L
.31397 .47217 L
.31266 .47342 L
.30914 .4782 L
.30909 .47826 L
.30603 .48309 L
.30431 .48454 L
.30155 .48792 L
.29948 .49105 L
.29779 .49275 L
.29465 .49742 L
.29406 .49758 L
.29064 .50242 L
.28981 .50289 L
.28595 .50725 L
.28498 .50866 L
.28131 .51208 L
.28015 .51401 L
.27554 .51208 L
.27735 .50725 L
.27999 .50242 L
.28015 .5021 L
.28359 .49758 L
.28498 .49432 L
.28529 .49275 L
.28918 .48792 L
.28981 .4871 L
.29246 .48309 L
.29465 .48001 L
.29632 .47826 L
.29948 .47345 L
.29952 .47342 L
.30294 .46859 L
.30431 .46698 L
.30785 .46376 L
.30914 .46025 L
.31007 .45893 L
.31373 .4541 L
.31397 .45397 L
.31726 .44927 L
.31881 .44754 L
.32153 .44443 L
.32364 .44087 L
.32395 .4396 L
.32819 .43477 L
.32847 .43472 L
.33179 .42994 L
.3333 .42835 L
.33549 .42511 L
.33813 .4217 L
.33918 .42027 L
.34284 .41544 L
.34296 .41528 L
.3471 .41061 L
.3478 .40941 L
.34956 .40578 L
.35263 .40291 L
.35412 .40095 L
.35746 .39665 L
.35796 .39612 L
.36185 .39128 L
.36229 .39101 L
.36478 .38645 L
.36712 .38539 L
.37073 .38162 L
F
.461 .975 1 r
.32847 .34485 m
.33266 .3478 L
.32997 .35263 L
.32847 .35516 L
.32692 .35746 L
.32393 .36229 L
.32364 .36275 L
.32036 .36712 L
.31881 .36939 L
.31688 .37196 L
.31397 .37615 L
.31348 .37679 L
.31072 .38162 L
.30914 .38331 L
.30625 .38645 L
.30431 .38919 L
.30264 .39128 L
.29948 .39566 L
.29911 .39612 L
.29537 .40095 L
.29465 .40241 L
.29154 .40578 L
.28981 .40818 L
.28774 .41061 L
.28498 .41428 L
.28396 .41544 L
.28015 .42017 L
.27572 .41544 L
.27864 .41061 L
.28015 .40772 L
.28183 .40578 L
.28498 .4013 L
.28521 .40095 L
.28931 .39612 L
.28981 .3944 L
.29146 .39128 L
.29465 .38744 L
.29556 .38645 L
.29916 .38162 L
.29948 .38133 L
.30312 .37679 L
.30431 .37492 L
.30649 .37196 L
.30914 .36843 L
.31032 .36712 L
.31397 .36257 L
.31421 .36229 L
.31803 .35746 L
.31881 .3568 L
.3224 .35263 L
.32364 .3511 L
.32703 .3478 L
F
1 .975 .461 r
.35263 .36989 m
.35683 .37196 L
.35438 .37679 L
.35263 .37976 L
.35145 .38162 L
.34839 .38645 L
.3478 .38777 L
.34688 .39128 L
.34296 .39422 L
.3416 .39612 L
.33821 .40095 L
.33813 .40107 L
.33508 .40578 L
.3333 .40834 L
.33107 .41061 L
.32847 .41421 L
.32751 .41544 L
.32393 .42027 L
.32364 .42081 L
.32133 .42511 L
.31881 .42772 L
.31664 .42994 L
.31397 .4336 L
.31303 .43477 L
.30953 .4396 L
.30914 .44004 L
.30566 .44443 L
.30431 .44669 L
.30188 .44927 L
.29948 .45369 L
.29816 .4541 L
.29465 .45871 L
.29445 .45893 L
.29046 .46376 L
.28981 .46482 L
.28626 .46859 L
.28498 .47109 L
.28169 .47342 L
.28015 .47508 L
.27654 .47342 L
.27854 .46859 L
.28015 .46582 L
.28124 .46376 L
.28414 .45893 L
.28498 .4575 L
.28729 .4541 L
.28981 .4495 L
.29054 .44927 L
.29385 .44443 L
.29465 .44346 L
.29825 .4396 L
.29948 .4365 L
.30037 .43477 L
.30431 .42996 L
.30434 .42994 L
.3078 .42511 L
.30914 .42359 L
.31183 .42027 L
.31397 .41691 L
.31506 .41544 L
.31873 .41061 L
.31881 .41058 L
.32342 .40578 L
.32364 .40443 L
.32585 .40095 L
.32847 .39795 L
.32988 .39612 L
.3333 .39167 L
.3337 .39128 L
.3377 .38645 L
.33813 .38595 L
.34057 .38162 L
.34296 .38008 L
.34588 .37679 L
.3478 .37439 L
.35057 .37196 L
F
.212 .95 1 r
.36229 .3764 m
.36567 .37679 L
.36418 .38162 L
.36229 .38524 L
.36159 .38645 L
.359 .39128 L
.35746 .39304 L
.35542 .39612 L
.35263 .4002 L
.3521 .40095 L
.34849 .40578 L
.3478 .40745 L
.34626 .41061 L
.34296 .41369 L
.34167 .41544 L
.33818 .42027 L
.33813 .42034 L
.33472 .42511 L
.3333 .42721 L
.33094 .42994 L
.32847 .43434 L
.32734 .43477 L
.32371 .4396 L
.32364 .43982 L
.32071 .44443 L
.31881 .44648 L
.3164 .44927 L
.31397 .45333 L
.31275 .4541 L
.30918 .45893 L
.30914 .45897 L
.30642 .46376 L
.30431 .4654 L
.30156 .46859 L
.29948 .47203 L
.29775 .47342 L
.29465 .47748 L
.29395 .47826 L
.28997 .48309 L
.28981 .48331 L
.28553 .48792 L
.28498 .48883 L
.28015 .4927 L
.27902 .48792 L
.28015 .48562 L
.28134 .48309 L
.28465 .47826 L
.28498 .47625 L
.28656 .47342 L
.28981 .46926 L
.29023 .46859 L
.29343 .46376 L
.29465 .4621 L
.29748 .45893 L
.29948 .45504 L
.3003 .4541 L
.30379 .44927 L
.30431 .44874 L
.30725 .44443 L
.30914 .44206 L
.31101 .4396 L
.31397 .43539 L
.31449 .43477 L
.31805 .42994 L
.31881 .42928 L
.32257 .42511 L
.32364 .42271 L
.32486 .42027 L
.32847 .41617 L
.32906 .41544 L
.33273 .41061 L
.3333 .41021 L
.33663 .40578 L
.33813 .40388 L
.34029 .40095 L
.34296 .39755 L
.34418 .39612 L
.3478 .39151 L
.34811 .39128 L
.35203 .38645 L
.35263 .38606 L
.35669 .38162 L
.35746 .38077 L
.36198 .37679 L
F
1 .975 .461 r
.28015 .54254 m
.28355 .5459 L
.28015 .54742 L
.27932 .5459 L
F
.212 .95 1 r
.28015 .52438 m
.28404 .52658 L
.28015 .52834 L
.27954 .52658 L
F
.461 .975 1 r
.42027 .41042 m
.42503 .41061 L
.42503 .41544 L
.4226 .42027 L
.42027 .42334 L
.41946 .42511 L
.41572 .42994 L
.41544 .43033 L
.4124 .43477 L
.41061 .43749 L
.40745 .4396 L
.40578 .44374 L
.40525 .44443 L
.40185 .44927 L
.40095 .45041 L
.39834 .4541 L
.39612 .45721 L
.39393 .45893 L
.39128 .46369 L
.39114 .46376 L
.3875 .46859 L
.38645 .46987 L
.38391 .47342 L
.38162 .47653 L
.37997 .47826 L
.37679 .48295 L
.37658 .48309 L
.37302 .48792 L
.37196 .48917 L
.3682 .49275 L
.36712 .49579 L
.36597 .49758 L
.36229 .50224 L
.36208 .50242 L
.35851 .50725 L
.35746 .50842 L
.35446 .51208 L
.35263 .51505 L
.35223 .51691 L
.3478 .52153 L
.34758 .52174 L
.34398 .52658 L
.34296 .52765 L
.34055 .53141 L
.33813 .53429 L
.33666 .53624 L
.3333 .54082 L
.33307 .54107 L
.32911 .5459 L
.32847 .54683 L
.32667 .55073 L
.32364 .5535 L
.32209 .55557 L
.31881 .56007 L
.31852 .5604 L
.31497 .56523 L
.31397 .56592 L
.31295 .57006 L
.30914 .57258 L
.30741 .57489 L
.30431 .57909 L
.30377 .57973 L
.30029 .58456 L
.29948 .58479 L
.29601 .58939 L
.29465 .59092 L
.29184 .59422 L
.28981 .59663 L
.28714 .59905 L
.28498 .60146 L
.28041 .59905 L
.282 .59422 L
.28457 .58939 L
.28498 .58846 L
.2891 .58456 L
.28981 .58115 L
.29081 .57973 L
.29403 .57489 L
.29465 .57403 L
.2974 .57006 L
.29948 .5669 L
.30186 .56523 L
.30431 .56083 L
.30452 .5604 L
.30811 .55557 L
.30914 .55424 L
.31168 .55073 L
.31397 .54747 L
.31571 .5459 L
.31881 .54109 L
.319 .54107 L
.32255 .53624 L
.32364 .53488 L
.32758 .53141 L
.32847 .52821 L
.32971 .52658 L
.3333 .52183 L
.33348 .52174 L
.33705 .51691 L
.33813 .51559 L
.34124 .51208 L
.34296 .50896 L
.34354 .50725 L
.3478 .50255 L
.34797 .50242 L
.35157 .49758 L
.35263 .49634 L
.35513 .49275 L
.35746 .48972 L
.35889 .48792 L
.36229 .48326 L
.36248 .48309 L
.36658 .47826 L
.36712 .47711 L
.36902 .47342 L
.37196 .47048 L
.37343 .46859 L
.37679 .46398 L
.377 .46376 L
.38061 .45893 L
.38162 .45793 L
.38273 .4541 L
.38645 .45128 L
.38801 .44927 L
.39128 .44476 L
.39158 .44443 L
.39492 .4396 L
.39612 .43888 L
.39906 .43477 L
.40095 .43233 L
.40283 .42994 L
.40578 .42599 L
.40659 .42511 L
.4104 .42027 L
.41061 .42024 L
.41482 .41544 L
.41544 .4149 L
.42001 .41061 L
F
1 .975 .461 r
.39128 .39358 m
.39454 .39612 L
.39332 .40095 L
.39128 .40352 L
.39007 .40578 L
.38711 .41061 L
.38645 .41188 L
.38338 .41544 L
.38162 .41863 L
.38137 .42027 L
.3771 .42511 L
.37679 .42554 L
.37365 .42994 L
.37196 .43256 L
.37002 .43477 L
.36712 .43871 L
.36648 .4396 L
.36294 .44443 L
.36229 .44528 L
.35854 .44927 L
.35746 .45203 L
.35627 .4541 L
.35263 .45868 L
.35209 .45893 L
.34851 .46376 L
.3478 .46467 L
.34474 .46859 L
.34296 .47132 L
.34278 .47342 L
.33813 .47788 L
.3376 .47826 L
.33338 .48309 L
.3333 .48395 L
.33079 .48792 L
.32847 .49054 L
.32665 .49275 L
.32364 .49707 L
.32305 .49758 L
.31934 .50242 L
.31881 .50314 L
.31682 .50725 L
.31397 .50965 L
.31199 .51208 L
.30914 .51614 L
.30835 .51691 L
.3048 .52174 L
.30431 .52213 L
.30082 .52658 L
.29948 .52837 L
.29691 .53141 L
.29465 .53458 L
.29293 .53624 L
.28981 .54066 L
.28871 .54107 L
.28498 .54488 L
.28065 .54107 L
.28286 .53624 L
.28498 .53273 L
.2857 .53141 L
.28869 .52658 L
.28981 .52475 L
.29303 .52174 L
.29465 .51724 L
.2952 .51691 L
.29873 .51208 L
.29948 .51117 L
.30216 .50725 L
.30431 .50432 L
.30627 .50242 L
.30914 .49775 L
.30937 .49758 L
.31288 .49275 L
.31397 .4915 L
.31818 .48792 L
.31881 .48483 L
.32016 .48309 L
.32364 .47837 L
.32376 .47826 L
.3273 .47342 L
.32847 .47216 L
.33173 .46859 L
.3333 .46552 L
.33407 .46376 L
.33813 .45904 L
.33824 .45893 L
.34183 .4541 L
.34296 .45295 L
.3456 .44927 L
.3478 .4463 L
.34917 .44443 L
.35263 .4398 L
.3528 .4396 L
.35712 .43477 L
.35746 .43387 L
.35961 .42994 L
.36229 .42726 L
.36389 .42511 L
.36712 .4208 L
.36758 .42027 L
.37136 .41544 L
.37196 .41504 L
.37398 .41061 L
.37679 .40884 L
.37927 .40578 L
.38162 .40287 L
.38351 .40095 L
.38645 .39727 L
.38832 .39612 L
F
.212 .95 1 r
.38162 .38835 m
.38416 .39128 L
.38226 .39612 L
.38162 .39712 L
.3795 .40095 L
.37679 .40523 L
.37645 .40578 L
.37246 .41061 L
.37196 .41319 L
.37028 .41544 L
.36712 .41928 L
.36643 .42027 L
.36298 .42511 L
.36229 .42612 L
.35905 .42994 L
.35746 .43317 L
.35693 .43477 L
.35263 .43912 L
.35227 .4396 L
.34872 .44443 L
.3478 .44572 L
.34527 .44927 L
.34296 .45251 L
.34144 .4541 L
.33813 .45857 L
.33786 .45893 L
.33388 .46376 L
.3333 .46505 L
.33142 .46859 L
.32847 .47172 L
.32691 .47342 L
.32364 .47815 L
.32332 .47826 L
.31975 .48309 L
.31881 .48424 L
.31771 .48792 L
.31397 .49081 L
.31224 .49275 L
.30914 .49725 L
.30862 .49758 L
.30521 .50242 L
.30431 .50317 L
.30103 .50725 L
.29948 .50948 L
.29714 .51208 L
.29465 .51577 L
.29318 .51691 L
.28981 .52096 L
.28901 .52174 L
.28498 .52587 L
.28107 .52174 L
.28367 .51691 L
.28498 .51432 L
.28621 .51208 L
.28929 .50725 L
.28981 .50646 L
.29402 .50242 L
.29465 .49893 L
.29591 .49758 L
.2993 .49275 L
.29948 .49256 L
.30268 .48792 L
.30431 .48582 L
.30711 .48309 L
.30914 .47906 L
.30956 .47826 L
.31338 .47342 L
.31397 .47287 L
.31692 .46859 L
.31881 .46625 L
.32087 .46376 L
.32364 .45963 L
.32421 .45893 L
.32779 .4541 L
.32847 .45355 L
.33259 .44927 L
.3333 .44697 L
.3348 .44443 L
.33813 .44037 L
.33875 .4396 L
.34236 .43477 L
.34296 .43441 L
.34639 .42994 L
.3478 .42789 L
.34857 .42511 L
.35263 .42134 L
.35348 .42027 L
.35718 .41544 L
.35746 .41537 L
.36075 .41061 L
.36229 .40925 L
.36493 .40578 L
.36712 .40307 L
.36896 .40095 L
.37196 .39718 L
.3732 .39612 L
.37679 .39226 L
.378 .39128 L
F
1 .95 .212 r
.28498 .49777 m
.28807 .50242 L
.28498 .50494 L
.28308 .50242 L
F
.36712 .38848 m
.37033 .39128 L
.36898 .39612 L
.36712 .39776 L
.36523 .40095 L
.36229 .40557 L
.36215 .40578 L
.35896 .41061 L
.35746 .41377 L
.35549 .41544 L
.35263 .41947 L
.35205 .42027 L
.34811 .42511 L
.3478 .42636 L
.3456 .42994 L
.34296 .43356 L
.34143 .43477 L
.33813 .43929 L
.33789 .4396 L
.33421 .44443 L
.3333 .44593 L
.33204 .44927 L
.32847 .45279 L
.32699 .4541 L
.32364 .45866 L
.32342 .45893 L
.32003 .46376 L
.31881 .46513 L
.316 .46859 L
.31397 .47179 L
.31229 .47342 L
.30914 .47766 L
.30863 .47826 L
.3053 .48309 L
.30431 .48388 L
.30093 .48792 L
.29948 .49018 L
.29692 .49275 L
.29465 .49678 L
.29275 .49758 L
.28981 .50092 L
.28507 .49758 L
.28573 .49275 L
.28981 .48911 L
.2905 .48792 L
.29354 .48309 L
.29465 .48135 L
.2971 .47826 L
.29948 .47387 L
.30019 .47342 L
.30358 .46859 L
.30431 .46771 L
.30827 .46376 L
.30914 .46087 L
.31042 .45893 L
.31397 .45427 L
.31417 .4541 L
.31768 .44927 L
.31881 .44802 L
.32186 .44443 L
.32364 .44136 L
.32404 .4396 L
.32847 .4349 L
.3286 .43477 L
.33221 .42994 L
.3333 .42883 L
.33585 .42511 L
.33813 .42231 L
.33967 .42027 L
.34296 .41593 L
.34342 .41544 L
.34744 .41061 L
.3478 .41009 L
.35034 .40578 L
.35263 .404 L
.35517 .40095 L
.35746 .39804 L
.35942 .39612 L
.36229 .39192 L
.36412 .39128 L
F
.212 .95 1 r
.39128 .41034 m
.39612 .40649 L
.3983 .41061 L
.39614 .41544 L
.39612 .41548 L
.39354 .42027 L
.39128 .42365 L
.3904 .42511 L
.3872 .42994 L
.38645 .43115 L
.38291 .43477 L
.38162 .4387 L
.38073 .4396 L
.37685 .44443 L
.37679 .44452 L
.37338 .44927 L
.37196 .4513 L
.36944 .4541 L
.36712 .45814 L
.36618 .45893 L
.3626 .46376 L
.36229 .46412 L
.35776 .46859 L
.35746 .47073 L
.35561 .47342 L
.35263 .47741 L
.35174 .47826 L
.34815 .48309 L
.3478 .48348 L
.34412 .48792 L
.34296 .49002 L
.34186 .49275 L
.33813 .49663 L
.33722 .49758 L
.33363 .50242 L
.3333 .50274 L
.33012 .50725 L
.32847 .50921 L
.32626 .51208 L
.32364 .51578 L
.32261 .51691 L
.3189 .52174 L
.31881 .52191 L
.3159 .52658 L
.31397 .52821 L
.31147 .53141 L
.30914 .53465 L
.30771 .53624 L
.30431 .54083 L
.30396 .54107 L
.30055 .5459 L
.29948 .54647 L
.29568 .55073 L
.29465 .55205 L
.29078 .55557 L
.28981 .55684 L
.28557 .55557 L
.28709 .55073 L
.2896 .5459 L
.28981 .54541 L
.29303 .54107 L
.29465 .53771 L
.29553 .53624 L
.29879 .53141 L
.29948 .53044 L
.30211 .52658 L
.30431 .52326 L
.30585 .52174 L
.30914 .51698 L
.30919 .51691 L
.31263 .51208 L
.31397 .51038 L
.31733 .50725 L
.31881 .50364 L
.31964 .50242 L
.32345 .49758 L
.32364 .49742 L
.32699 .49275 L
.32847 .49094 L
.33106 .48792 L
.3333 .4843 L
.33339 .48309 L
.33789 .47826 L
.33813 .47809 L
.34285 .47342 L
.34296 .47167 L
.34497 .46859 L
.3478 .46505 L
.34882 .46376 L
.35243 .45893 L
.35263 .45885 L
.3565 .4541 L
.35746 .45252 L
.35883 .44927 L
.36229 .44592 L
.36347 .44443 L
.3671 .4396 L
.36712 .43956 L
.3707 .43477 L
.37196 .43361 L
.37466 .42994 L
.37679 .42721 L
.37851 .42511 L
.38162 .42104 L
.3824 .42027 L
.38644 .41544 L
.38645 .41544 L
.39102 .41061 L
F
.098 .925 1 r
.37679 .39581 m
.37824 .39612 L
.37759 .40095 L
.37679 .40257 L
.37513 .40578 L
.37211 .41061 L
.37196 .41143 L
.36972 .41544 L
.36712 .41843 L
.36588 .42027 L
.36253 .42511 L
.36229 .42547 L
.35879 .42994 L
.35746 .43274 L
.35681 .43477 L
.35263 .43876 L
.35201 .4396 L
.34849 .44443 L
.3478 .44542 L
.3451 .44927 L
.34296 .45226 L
.34124 .4541 L
.33813 .45832 L
.33766 .45893 L
.33379 .46376 L
.3333 .46481 L
.33124 .46859 L
.32847 .47149 L
.32671 .47342 L
.32364 .47806 L
.3231 .47826 L
.31953 .48309 L
.31881 .48394 L
.31738 .48792 L
.31397 .49045 L
.31192 .49275 L
.30914 .49697 L
.30819 .49758 L
.30453 .50242 L
.30431 .50259 L
.30041 .50725 L
.29948 .50859 L
.29619 .51208 L
.29465 .51453 L
.29155 .51691 L
.28981 .5187 L
.28597 .51691 L
.28789 .51208 L
.28981 .50869 L
.29058 .50725 L
.29446 .50242 L
.29465 .50018 L
.29653 .49758 L
.29948 .49343 L
.29992 .49275 L
.30322 .48792 L
.30431 .48646 L
.30751 .48309 L
.30914 .47949 L
.30973 .47826 L
.31373 .47342 L
.31397 .47319 L
.31722 .46859 L
.31881 .46661 L
.32111 .46376 L
.32364 .45994 L
.32446 .45893 L
.32806 .4541 L
.32847 .45377 L
.33271 .44927 L
.3333 .44729 L
.33499 .44443 L
.33813 .4407 L
.33902 .4396 L
.34267 .43477 L
.34296 .4346 L
.34663 .42994 L
.3478 .42832 L
.34881 .42511 L
.35263 .4219 L
.35397 .42027 L
.35746 .41572 L
.35779 .41544 L
.36156 .41061 L
.36229 .41007 L
.36593 .40578 L
.36712 .40439 L
.37051 .40095 L
.37196 .3991 L
.37635 .39612 L
F
1 .95 .212 r
.38162 .40511 m
.38645 .40184 L
.38758 .40578 L
.38645 .40842 L
.38541 .41061 L
.38253 .41544 L
.38162 .41715 L
.38118 .42027 L
.37679 .42459 L
.37645 .42511 L
.37316 .42994 L
.37196 .43193 L
.36972 .43477 L
.36712 .43826 L
.36618 .4396 L
.36268 .44443 L
.36229 .44495 L
.35841 .44927 L
.35746 .45177 L
.35615 .4541 L
.35263 .45858 L
.35192 .45893 L
.34835 .46376 L
.3478 .46447 L
.34463 .46859 L
.34296 .47113 L
.34273 .47342 L
.33813 .47777 L
.33745 .47826 L
.33338 .48309 L
.3333 .48377 L
.33064 .48792 L
.32847 .49033 L
.32648 .49275 L
.32364 .49689 L
.32284 .49758 L
.31917 .50242 L
.31881 .50289 L
.31651 .50725 L
.31397 .50929 L
.31166 .51208 L
.30914 .51573 L
.3079 .51691 L
.30431 .52156 L
.30414 .52174 L
.3001 .52658 L
.29948 .52739 L
.29578 .53141 L
.29465 .53299 L
.29082 .53624 L
.28981 .53791 L
.28629 .53624 L
.28776 .53141 L
.28981 .5275 L
.29028 .52658 L
.29387 .52174 L
.29465 .5182 L
.2957 .51691 L
.29945 .51208 L
.29948 .51205 L
.3027 .50725 L
.30431 .50494 L
.30668 .50242 L
.30914 .49801 L
.3097 .49758 L
.31318 .49275 L
.31397 .49184 L
.31834 .48792 L
.31881 .48512 L
.32034 .48309 L
.32364 .47855 L
.32395 .47826 L
.3275 .47342 L
.32847 .47238 L
.33186 .46859 L
.3333 .46575 L
.33416 .46376 L
.33813 .45923 L
.33842 .45893 L
.34202 .4541 L
.34296 .45316 L
.34576 .44927 L
.3478 .44658 L
.3494 .44443 L
.35263 .44009 L
.35307 .4396 L
.3572 .43477 L
.35746 .43416 L
.35995 .42994 L
.36229 .42777 L
.36435 .42511 L
.36712 .42147 L
.36821 .42027 L
.37196 .41554 L
.37213 .41544 L
.37581 .41061 L
.37679 .41014 L
.38103 .40578 L
F
.098 .925 1 r
.35263 .38853 m
.35674 .39128 L
.35409 .39612 L
.35263 .39848 L
.35103 .40095 L
.34789 .40578 L
.3478 .40599 L
.34557 .41061 L
.34296 .41282 L
.34107 .41544 L
.33813 .41961 L
.33763 .42027 L
.33427 .42511 L
.3333 .42652 L
.3305 .42994 L
.32847 .43396 L
.32689 .43477 L
.32364 .43925 L
.32335 .4396 L
.32018 .44443 L
.31881 .44587 L
.31595 .44927 L
.31397 .45285 L
.31223 .4541 L
.30914 .45824 L
.30856 .45893 L
.3053 .46376 L
.30431 .46449 L
.30078 .46859 L
.29948 .47093 L
.29666 .47342 L
.29465 .47594 L
.29228 .47826 L
.28981 .48089 L
.28652 .47826 L
.28825 .47342 L
.28981 .47183 L
.29164 .46859 L
.29465 .46391 L
.29474 .46376 L
.29828 .45893 L
.29948 .45621 L
.30117 .4541 L
.30431 .44971 L
.30462 .44927 L
.30801 .44443 L
.30914 .44298 L
.31156 .4396 L
.31397 .43615 L
.31513 .43477 L
.31874 .42994 L
.31881 .42988 L
.32295 .42511 L
.32364 .42353 L
.32531 .42027 L
.32847 .41701 L
.32978 .41544 L
.3333 .41074 L
.33355 .41061 L
.33738 .40578 L
.33813 .40496 L
.34136 .40095 L
.34296 .39893 L
.34553 .39612 L
.3478 .39284 L
.35001 .39128 L
F
.212 .95 1 r
.28981 .43503 m
.29294 .4396 L
.28981 .44315 L
.2872 .4396 L
F
1 .95 .212 r
.34296 .38363 m
.34584 .38645 L
.34388 .39128 L
.34296 .39186 L
.34019 .39612 L
.33813 .3993 L
.33697 .40095 L
.33389 .40578 L
.3333 .40663 L
.33019 .41061 L
.32847 .41305 L
.32666 .41544 L
.32364 .4197 L
.32318 .42027 L
.32026 .42511 L
.31881 .42657 L
.31587 .42994 L
.31397 .43256 L
.31217 .43477 L
.30914 .43888 L
.30853 .4396 L
.30475 .44443 L
.30431 .44523 L
.30076 .44927 L
.29948 .45221 L
.29664 .4541 L
.29465 .45658 L
.29223 .45893 L
.28981 .46148 L
.28732 .45893 L
.28971 .4541 L
.28981 .45385 L
.2925 .44927 L
.29465 .446 L
.29562 .44443 L
.29912 .4396 L
.29948 .43856 L
.30121 .43477 L
.30431 .43094 L
.30558 .42994 L
.30909 .42511 L
.30914 .42505 L
.31276 .42027 L
.31397 .41842 L
.31623 .41544 L
.31881 .41165 L
.31996 .41061 L
.32364 .40585 L
.3237 .40578 L
.3272 .40095 L
.32847 .39977 L
.3315 .39612 L
.3333 .39355 L
.33569 .39128 L
.33813 .38845 L
.34021 .38645 L
F
1 .975 .461 r
.40578 .41341 m
.40746 .41544 L
.40593 .42027 L
.40578 .42067 L
.40463 .42511 L
.40095 .42945 L
.40067 .42994 L
.39763 .43477 L
.39612 .43751 L
.39386 .4396 L
.39128 .44379 L
.39086 .44443 L
.38745 .44927 L
.38645 .45063 L
.38238 .4541 L
.38162 .45756 L
.38035 .45893 L
.37679 .46368 L
.37673 .46376 L
.37321 .46859 L
.37196 .47023 L
.36888 .47342 L
.36712 .47693 L
.36652 .47826 L
.36233 .48309 L
.36229 .48313 L
.35876 .48792 L
.35746 .48956 L
.35503 .49275 L
.35263 .4962 L
.35145 .49758 L
.34785 .50242 L
.3478 .50246 L
.3435 .50725 L
.34296 .50881 L
.34114 .51208 L
.33813 .51543 L
.33691 .51691 L
.33332 .52174 L
.3333 .52175 L
.32958 .52658 L
.32847 .52799 L
.32742 .53141 L
.32364 .53457 L
.32228 .53624 L
.31881 .54095 L
.31868 .54107 L
.31527 .5459 L
.31397 .54696 L
.31112 .55073 L
.30914 .55337 L
.3073 .55557 L
.30431 .55958 L
.30345 .5604 L
.29948 .56523 L
.29946 .56523 L
.29491 .57006 L
.29465 .57036 L
.28981 .57417 L
.28762 .57006 L
.28972 .56523 L
.28981 .56493 L
.29258 .5604 L
.29465 .55673 L
.29532 .55557 L
.29847 .55073 L
.29948 .54918 L
.3032 .5459 L
.30431 .54178 L
.30527 .54107 L
.30879 .53624 L
.30914 .53581 L
.31225 .53141 L
.31397 .52905 L
.31654 .52658 L
.31881 .52232 L
.31908 .52174 L
.32304 .51691 L
.32364 .51624 L
.32661 .51208 L
.32847 .50962 L
.33039 .50725 L
.3333 .50302 L
.3339 .50242 L
.33748 .49758 L
.33813 .49691 L
.34201 .49275 L
.34296 .49033 L
.34428 .48792 L
.3478 .48375 L
.34841 .48309 L
.352 .47826 L
.35263 .47767 L
.35582 .47342 L
.35746 .47111 L
.35787 .46859 L
.36229 .46453 L
.36296 .46376 L
.36657 .45893 L
.36712 .4585 L
.36987 .4541 L
.37196 .452 L
.37399 .44927 L
.37679 .44546 L
.37766 .44443 L
.38137 .4396 L
.38162 .43946 L
.38426 .43477 L
.38645 .43328 L
.38909 .42994 L
.39128 .42709 L
.3931 .42511 L
.39612 .42123 L
.39735 .42027 L
.40095 .41655 L
.40246 .41544 L
F
1 .925 .098 r
.36229 .39433 m
.36591 .39612 L
.36393 .40095 L
.36229 .4039 L
.36117 .40578 L
.35828 .41061 L
.35746 .41244 L
.35492 .41544 L
.35263 .41876 L
.35156 .42027 L
.34797 .42511 L
.3478 .42576 L
.34527 .42994 L
.34296 .43315 L
.34112 .43477 L
.33813 .43889 L
.33759 .4396 L
.33399 .44443 L
.3333 .44555 L
.33178 .44927 L
.32847 .45248 L
.32671 .4541 L
.32364 .45828 L
.32312 .45893 L
.31969 .46376 L
.31881 .46472 L
.31568 .46859 L
.31397 .47136 L
.3119 .47342 L
.30914 .4771 L
.30814 .47826 L
.30441 .48309 L
.30431 .48317 L
.30025 .48792 L
.29948 .48916 L
.29588 .49275 L
.29465 .49528 L
.29073 .49758 L
.28981 .49839 L
.2878 .49758 L
.28831 .49275 L
.28981 .49169 L
.29171 .48792 L
.2946 .48309 L
.29465 .48301 L
.29774 .47826 L
.29948 .47454 L
.30083 .47342 L
.3042 .46859 L
.30431 .46846 L
.30856 .46376 L
.30914 .4615 L
.31074 .45893 L
.31397 .45462 L
.31458 .4541 L
.31809 .44927 L
.31881 .44848 L
.32215 .44443 L
.32364 .44185 L
.32416 .4396 L
.32847 .43529 L
.32899 .43477 L
.33263 .42994 L
.3333 .42927 L
.33622 .42511 L
.33813 .42289 L
.34017 .42027 L
.34296 .41653 L
.34402 .41544 L
.3478 .41072 L
.34789 .41061 L
.35149 .40578 L
.35263 .40503 L
.35632 .40095 L
.35746 .3995 L
.36128 .39612 L
F
1 .975 .461 r
.28981 .41984 m
.29113 .42027 L
.28981 .42123 L
.28965 .42027 L
F
.045 .9 1 r
.36712 .40574 m
.37196 .40171 L
.37366 .40578 L
.37196 .40936 L
.37128 .41061 L
.36901 .41544 L
.36712 .41748 L
.36533 .42027 L
.36229 .42479 L
.36208 .42511 L
.35853 .42994 L
.35746 .43224 L
.35664 .43477 L
.35263 .4384 L
.35174 .4396 L
.34826 .44443 L
.3478 .4451 L
.34491 .44927 L
.34296 .45201 L
.34105 .4541 L
.33813 .45807 L
.33746 .45893 L
.33368 .46376 L
.3333 .46457 L
.33105 .46859 L
.32847 .47124 L
.32651 .47342 L
.32364 .47795 L
.32287 .47826 L
.31929 .48309 L
.31881 .48364 L
.31699 .48792 L
.31397 .49007 L
.31158 .49275 L
.30914 .49664 L
.30774 .49758 L
.30431 .50194 L
.30387 .50242 L
.29972 .50725 L
.29948 .5076 L
.29503 .51208 L
.29465 .5127 L
.28985 .51208 L
.29181 .50725 L
.29462 .50242 L
.29465 .502 L
.2971 .49758 L
.29948 .49438 L
.30049 .49275 L
.30374 .48792 L
.30431 .48713 L
.30783 .48309 L
.30914 .47995 L
.30988 .47826 L
.31397 .47355 L
.31406 .47342 L
.31751 .46859 L
.31881 .46697 L
.32133 .46376 L
.32364 .46024 L
.32471 .45893 L
.32832 .4541 L
.32847 .45398 L
.33282 .44927 L
.3333 .4476 L
.33518 .44443 L
.33813 .44103 L
.3393 .4396 L
.34296 .43478 L
.34298 .43477 L
.34688 .42994 L
.3478 .42873 L
.34914 .42511 L
.35263 .42243 L
.35446 .42027 L
.35746 .41625 L
.35844 .41544 L
.36229 .41088 L
.36257 .41061 L
.36709 .40578 L
F
.212 .95 1 r
.32847 .38274 m
.33299 .38645 L
.32975 .39128 L
.32847 .39321 L
.32636 .39612 L
.32364 .40014 L
.32302 .40095 L
.32048 .40578 L
.31881 .40746 L
.31588 .41061 L
.31397 .41329 L
.31225 .41544 L
.30914 .41973 L
.30869 .42027 L
.30494 .42511 L
.30431 .42643 L
.30102 .42994 L
.29948 .43203 L
.29705 .43477 L
.29465 .43784 L
.28997 .43477 L
.2929 .42994 L
.29465 .42739 L
.29613 .42511 L
.29948 .42027 L
.29948 .42027 L
.30248 .41544 L
.30431 .41312 L
.30637 .41061 L
.30914 .40691 L
.31 .40578 L
.31372 .40095 L
.31397 .40054 L
.31617 .39612 L
.31881 .39411 L
.32127 .39128 L
.32364 .38693 L
.32533 .38645 L
F
.045 .9 1 r
.3478 .39512 m
.35244 .39612 L
.34984 .40095 L
.3478 .40446 L
.34693 .40578 L
.34455 .41061 L
.34296 .41185 L
.34044 .41544 L
.33813 .41881 L
.33705 .42027 L
.33373 .42511 L
.3333 .42573 L
.33005 .42994 L
.32847 .43339 L
.32643 .43477 L
.32364 .43864 L
.32287 .4396 L
.31955 .44443 L
.31881 .44519 L
.31547 .44927 L
.31397 .45221 L
.31167 .4541 L
.30914 .45747 L
.30787 .45893 L
.30431 .46347 L
.30404 .46376 L
.29988 .46859 L
.29948 .46936 L
.29522 .47342 L
.29465 .47408 L
.29113 .47342 L
.29315 .46859 L
.29465 .46602 L
.29593 .46376 L
.299 .45893 L
.29948 .45781 L
.30203 .4541 L
.30431 .45086 L
.30538 .44927 L
.30876 .44443 L
.30914 .44393 L
.31211 .4396 L
.31397 .43696 L
.31576 .43477 L
.31881 .42997 L
.31938 .42994 L
.32327 .42511 L
.32364 .42433 L
.3259 .42027 L
.32847 .41786 L
.33052 .41544 L
.3333 .4112 L
.33441 .41061 L
.33813 .40603 L
.33836 .40578 L
.34254 .40095 L
.34296 .40042 L
.34717 .39612 L
F
.098 .925 1 r
.39128 .41354 m
.39338 .41544 L
.39193 .42027 L
.39128 .42122 L
.38927 .42511 L
.38645 .42972 L
.38632 .42994 L
.38251 .43477 L
.38162 .43802 L
.38046 .4396 L
.37679 .444 L
.37649 .44443 L
.37309 .44927 L
.37196 .45092 L
.36924 .4541 L
.36712 .45794 L
.36598 .45893 L
.36242 .46376 L
.36229 .46391 L
.35772 .46859 L
.35746 .47054 L
.35551 .47342 L
.35263 .47727 L
.35161 .47826 L
.34803 .48309 L
.3478 .48334 L
.34404 .48792 L
.34296 .48986 L
.34178 .49275 L
.33813 .49649 L
.33708 .49758 L
.33349 .50242 L
.3333 .50261 L
.32998 .50725 L
.32847 .50901 L
.32608 .51208 L
.32364 .51555 L
.32239 .51691 L
.31881 .52172 L
.31876 .52174 L
.31551 .52658 L
.31397 .52781 L
.31106 .53141 L
.30914 .53407 L
.30712 .53624 L
.30431 .54024 L
.30306 .54107 L
.29948 .54516 L
.29865 .5459 L
.29465 .54956 L
.29168 .5459 L
.29405 .54107 L
.29465 .53974 L
.29654 .53624 L
.29948 .53164 L
.29962 .53141 L
.30272 .52658 L
.30431 .52396 L
.30627 .52174 L
.30914 .5175 L
.30954 .51691 L
.31295 .51208 L
.31397 .51074 L
.31754 .50725 L
.31881 .5039 L
.31978 .50242 L
.32364 .49759 L
.32364 .49758 L
.32716 .49275 L
.32847 .49114 L
.33119 .48792 L
.3333 .48448 L
.3334 .48309 L
.33804 .47826 L
.33813 .47819 L
.34287 .47342 L
.34296 .47184 L
.34509 .46859 L
.3478 .46524 L
.34898 .46376 L
.3526 .45893 L
.35263 .45892 L
.35662 .4541 L
.35746 .45275 L
.359 .44927 L
.36229 .44623 L
.36373 .44443 L
.36712 .4399 L
.36744 .4396 L
.37111 .43477 L
.37196 .43405 L
.37519 .42994 L
.37679 .42795 L
.37928 .42511 L
.38162 .42205 L
.38362 .42027 L
.38645 .41592 L
.38874 .41544 L
F
1 .925 .098 r
.37679 .41153 m
.38153 .41544 L
.38067 .42027 L
.37679 .42355 L
.37582 .42511 L
.37266 .42994 L
.37196 .43119 L
.36942 .43477 L
.36712 .43781 L
.36587 .4396 L
.36241 .44443 L
.36229 .4446 L
.35829 .44927 L
.35746 .4515 L
.35602 .4541 L
.35263 .45847 L
.35175 .45893 L
.3482 .46376 L
.3478 .46428 L
.34451 .46859 L
.34296 .47095 L
.34267 .47342 L
.33813 .47765 L
.3373 .47826 L
.33336 .48309 L
.3333 .48359 L
.33049 .48792 L
.32847 .49012 L
.3263 .49275 L
.32364 .49671 L
.32264 .49758 L
.31898 .50242 L
.31881 .50264 L
.31614 .50725 L
.31397 .50893 L
.31132 .51208 L
.30914 .51529 L
.30743 .51691 L
.30431 .52084 L
.30346 .52174 L
.29948 .52634 L
.29923 .52658 L
.29465 .531 L
.29175 .52658 L
.2944 .52174 L
.29465 .52035 L
.29617 .51691 L
.29948 .51303 L
.30006 .51208 L
.30322 .50725 L
.30431 .5056 L
.30704 .50242 L
.30914 .4983 L
.31002 .49758 L
.31348 .49275 L
.31397 .49218 L
.31847 .48792 L
.31881 .48542 L
.32052 .48309 L
.32364 .47874 L
.32415 .47826 L
.32769 .47342 L
.32847 .47259 L
.33199 .46859 L
.3333 .46597 L
.33425 .46376 L
.33813 .45943 L
.3386 .45893 L
.34221 .4541 L
.34296 .45336 L
.34593 .44927 L
.3478 .44685 L
.34962 .44443 L
.35263 .44038 L
.35334 .4396 L
.3573 .43477 L
.35746 .43443 L
.36033 .42994 L
.36229 .42826 L
.36483 .42511 L
.36712 .42211 L
.36887 .42027 L
.37196 .41608 L
.37312 .41544 L
F
1 .975 .461 r
.29465 .41098 m
.29609 .41544 L
.29465 .4173 L
.29202 .41544 L
F
1 .9 .045 r
.29465 .48488 m
.29948 .48792 L
.29465 .49254 L
.29303 .48792 L
F
.461 .975 1 r
.42027 .44501 m
.42421 .44927 L
.42281 .4541 L
.42109 .45893 L
.42027 .46068 L
.41865 .46376 L
.41544 .46844 L
.41534 .46859 L
.41205 .47342 L
.41061 .47531 L
.40853 .47826 L
.40578 .48205 L
.40445 .48309 L
.40123 .48792 L
.40095 .48818 L
.39772 .49275 L
.39612 .49471 L
.39223 .49758 L
.39128 .50135 L
.39027 .50242 L
.38679 .50725 L
.38645 .50752 L
.38324 .51208 L
.38162 .514 L
.37862 .51691 L
.37679 .52063 L
.37617 .52174 L
.3723 .52658 L
.37196 .52678 L
.36872 .53141 L
.36712 .53325 L
.36475 .53624 L
.36229 .5399 L
.3614 .54107 L
.3578 .5459 L
.35746 .546 L
.353 .55073 L
.35263 .55247 L
.35083 .55557 L
.3478 .55916 L
.34687 .5604 L
.34328 .56523 L
.34296 .56565 L
.3393 .57006 L
.33813 .57163 L
.33705 .57489 L
.3333 .57837 L
.3323 .57973 L
.3287 .58456 L
.32847 .58488 L
.32523 .58939 L
.32364 .59066 L
.32126 .59422 L
.31881 .59737 L
.31755 .59905 L
.31397 .60376 L
.31386 .60388 L
.31047 .60872 L
.30914 .60923 L
.30582 .61355 L
.30431 .61517 L
.30129 .61838 L
.29948 .6203 L
.29488 .62321 L
.29465 .62337 L
.29363 .62321 L
.29317 .61838 L
.29465 .61497 L
.29528 .61355 L
.29792 .60872 L
.29948 .60647 L
.3013 .60388 L
.30431 .5992 L
.3044 .59905 L
.30772 .59422 L
.30914 .59196 L
.31242 .58939 L
.31397 .5858 L
.31471 .58456 L
.31839 .57973 L
.31881 .57918 L
.32192 .57489 L
.32364 .57239 L
.32607 .57006 L
.32847 .56556 L
.32859 .56523 L
.3328 .5604 L
.3333 .55977 L
.33639 .55557 L
.33813 .55309 L
.33998 .55073 L
.34296 .54641 L
.3437 .5459 L
.34728 .54107 L
.3478 .54045 L
.35152 .53624 L
.35263 .53384 L
.35381 .53141 L
.35746 .52722 L
.3582 .52658 L
.36179 .52174 L
.36229 .52116 L
.36541 .51691 L
.36712 .51459 L
.36911 .51208 L
.37196 .508 L
.37272 .50725 L
.37667 .50242 L
.37679 .5019 L
.37941 .49758 L
.38162 .49536 L
.38367 .49275 L
.38645 .48878 L
.38726 .48792 L
.39086 .48309 L
.39128 .48268 L
.39341 .47826 L
.39612 .47619 L
.39827 .47342 L
.40095 .46962 L
.40187 .46859 L
.40533 .46376 L
.40578 .46354 L
.40928 .45893 L
.41061 .45716 L
.41307 .4541 L
.41544 .45071 L
.41687 .44927 L
F
.021 .875 1 r
.29465 .50407 m
.29865 .50725 L
.29465 .51054 L
.29322 .50725 L
F
1 .9 .045 r
.29465 .52331 m
.29766 .52658 L
.29465 .52853 L
.29354 .52658 L
F
1 .95 .212 r
.39612 .4237 m
.40067 .42511 L
.39888 .42994 L
.39627 .43477 L
.39612 .43514 L
.39308 .4396 L
.39128 .4427 L
.3902 .44443 L
.3869 .44927 L
.38645 .44992 L
.38213 .4541 L
.38162 .45714 L
.3801 .45893 L
.37679 .46333 L
.37649 .46376 L
.373 .46859 L
.37196 .46997 L
.36874 .47342 L
.36712 .47674 L
.36645 .47826 L
.36229 .48307 L
.36219 .48309 L
.35863 .48792 L
.35746 .48941 L
.35494 .49275 L
.35263 .49606 L
.35134 .49758 L
.3478 .50238 L
.34773 .50242 L
.34345 .50725 L
.34296 .50867 L
.34104 .51208 L
.33813 .51526 L
.33677 .51691 L
.3333 .52163 L
.33316 .52174 L
.32943 .52658 L
.32847 .52777 L
.32722 .53141 L
.32364 .53427 L
.32201 .53624 L
.31881 .54063 L
.31831 .54107 L
.31475 .5459 L
.31397 .54648 L
.31054 .55073 L
.30914 .55254 L
.30642 .55557 L
.30431 .5584 L
.30197 .5604 L
.29948 .56451 L
.29611 .56523 L
.29465 .56591 L
.29375 .56523 L
.29462 .5604 L
.29465 .56035 L
.29683 .55557 L
.29948 .55105 L
.29966 .55073 L
.30374 .5459 L
.30431 .54258 L
.30573 .54107 L
.30914 .53644 L
.30928 .53624 L
.31262 .53141 L
.31397 .52949 L
.31681 .52658 L
.31881 .52255 L
.31915 .52174 L
.32325 .51691 L
.32364 .51647 L
.32678 .51208 L
.32847 .50982 L
.33052 .50725 L
.3333 .50316 L
.33404 .50242 L
.33762 .49758 L
.33813 .49705 L
.34208 .49275 L
.34296 .49048 L
.34436 .48792 L
.3478 .48389 L
.34853 .48309 L
.35213 .47826 L
.35263 .47779 L
.35593 .47342 L
.35746 .47129 L
.35794 .46859 L
.36229 .46473 L
.36314 .46376 L
.36677 .45893 L
.36712 .45867 L
.37011 .4541 L
.37196 .45233 L
.3743 .44927 L
.37679 .44591 L
.37808 .44443 L
.38162 .43978 L
.38186 .4396 L
.38535 .43477 L
.38645 .43414 L
.39017 .42994 L
.39128 .42857 L
.39502 .42511 L
F
1 .975 .461 r
.29948 .40373 m
.30425 .40578 L
.30027 .41061 L
.29948 .41172 L
.29489 .41061 L
.29803 .40578 L
F
.212 .95 1 r
.40095 .43453 m
.40578 .43009 L
.40884 .43477 L
.40594 .4396 L
.40578 .44074 L
.40387 .44443 L
.40095 .44869 L
.4006 .44927 L
.39745 .4541 L
.39612 .4562 L
.39326 .45893 L
.39128 .46349 L
.39093 .46376 L
.38711 .46859 L
.38645 .46941 L
.38362 .47342 L
.38162 .47621 L
.37975 .47826 L
.37679 .48282 L
.37638 .48309 L
.37284 .48792 L
.37196 .48896 L
.36809 .49275 L
.36712 .49561 L
.36588 .49758 L
.36229 .50213 L
.36196 .50242 L
.35838 .50725 L
.35746 .50828 L
.35437 .51208 L
.35263 .51489 L
.35219 .51691 L
.3478 .5214 L
.34745 .52174 L
.34384 .52658 L
.34296 .52749 L
.34042 .53141 L
.33813 .53408 L
.33648 .53624 L
.3333 .54059 L
.33285 .54107 L
.32897 .5459 L
.32847 .54658 L
.32637 .55073 L
.32364 .55306 L
.3217 .55557 L
.31881 .55948 L
.31797 .5604 L
.31425 .56523 L
.31397 .56538 L
.31148 .57006 L
.30914 .57124 L
.30591 .57489 L
.30431 .57687 L
.30112 .57973 L
.29948 .58188 L
.29503 .57973 L
.29682 .57489 L
.29946 .57006 L
.29948 .57001 L
.30311 .56523 L
.30431 .56235 L
.30502 .5604 L
.30887 .55557 L
.30914 .55519 L
.31221 .55073 L
.31397 .54805 L
.31609 .5459 L
.31881 .54114 L
.3193 .54107 L
.32281 .53624 L
.32364 .53519 L
.32772 .53141 L
.32847 .52844 L
.32985 .52658 L
.3333 .52191 L
.33363 .52174 L
.33719 .51691 L
.33813 .51576 L
.34134 .51208 L
.34296 .50911 L
.34359 .50725 L
.3478 .50264 L
.34809 .50242 L
.35169 .49758 L
.35263 .49648 L
.35523 .49275 L
.35746 .48987 L
.35901 .48792 L
.36229 .48339 L
.36262 .48309 L
.36665 .47826 L
.36712 .47729 L
.36918 .47342 L
.37196 .47073 L
.37364 .46859 L
.37679 .46426 L
.37728 .46376 L
.38091 .45893 L
.38162 .45828 L
.38321 .4541 L
.38645 .4519 L
.3886 .44927 L
.39128 .44562 L
.39244 .44443 L
.39612 .43971 L
.39639 .4396 L
.40073 .43477 L
F
1 .9 .045 r
.37679 .41311 m
.38009 .41544 L
.37952 .42027 L
.37679 .42233 L
.37518 .42511 L
.37216 .42994 L
.37196 .43033 L
.3691 .43477 L
.36712 .43734 L
.36557 .4396 L
.36229 .44424 L
.36215 .44443 L
.35818 .44927 L
.35746 .45121 L
.35589 .4541 L
.35263 .45834 L
.35157 .45893 L
.34804 .46376 L
.3478 .46408 L
.3444 .46859 L
.34296 .47076 L
.3426 .47342 L
.33813 .47752 L
.33715 .47826 L
.33335 .48309 L
.3333 .48341 L
.33033 .48792 L
.32847 .48991 L
.32613 .49275 L
.32364 .49651 L
.32243 .49758 L
.31881 .50238 L
.31878 .50242 L
.31573 .50725 L
.31397 .50855 L
.31096 .51208 L
.30914 .51482 L
.30692 .51691 L
.30431 .52011 L
.30266 .52174 L
.29948 .52517 L
.2953 .52174 L
.29682 .51691 L
.29948 .51411 L
.30065 .51208 L
.30374 .50725 L
.30431 .50633 L
.30736 .50242 L
.30914 .49865 L
.31034 .49758 L
.31378 .49275 L
.31397 .49252 L
.31856 .48792 L
.31881 .48572 L
.32068 .48309 L
.32364 .47893 L
.32434 .47826 L
.32789 .47342 L
.32847 .4728 L
.33211 .46859 L
.3333 .4662 L
.33435 .46376 L
.33813 .45962 L
.33879 .45893 L
.34241 .4541 L
.34296 .45356 L
.3461 .44927 L
.3478 .44712 L
.34985 .44443 L
.35263 .44067 L
.35361 .4396 L
.35742 .43477 L
.35746 .43469 L
.36078 .42994 L
.36229 .42873 L
.36532 .42511 L
.36712 .42277 L
.36959 .42027 L
.37196 .41678 L
.37433 .41544 L
F
.045 .9 1 r
.38645 .41807 m
.38967 .42027 L
.38809 .42511 L
.38645 .42817 L
.38549 .42994 L
.38218 .43477 L
.38162 .43705 L
.38017 .4396 L
.37679 .44345 L
.37613 .44443 L
.37279 .44927 L
.37196 .45052 L
.36905 .4541 L
.36712 .45771 L
.36578 .45893 L
.36229 .4637 L
.36224 .46376 L
.35769 .46859 L
.35746 .47035 L
.3554 .47342 L
.35263 .47713 L
.35148 .47826 L
.3479 .48309 L
.3478 .48321 L
.34396 .48792 L
.34296 .4897 L
.34169 .49275 L
.33813 .49634 L
.33695 .49758 L
.33335 .50242 L
.3333 .50247 L
.32984 .50725 L
.32847 .50881 L
.3259 .51208 L
.32364 .51532 L
.32217 .51691 L
.31881 .52159 L
.31848 .52174 L
.31507 .52658 L
.31397 .52741 L
.31064 .53141 L
.30914 .53348 L
.30648 .53624 L
.30431 .53952 L
.30198 .54107 L
.29948 .54365 L
.29541 .54107 L
.29756 .53624 L
.29948 .53298 L
.30035 .53141 L
.30331 .52658 L
.30431 .52479 L
.30663 .52174 L
.30914 .51803 L
.30988 .51691 L
.31325 .51208 L
.31397 .51112 L
.31771 .50725 L
.31881 .50417 L
.31991 .50242 L
.32364 .49763 L
.32382 .49758 L
.32733 .49275 L
.32847 .49134 L
.33131 .48792 L
.3333 .48465 L
.33341 .48309 L
.33813 .47829 L
.33819 .47826 L
.34289 .47342 L
.34296 .47202 L
.3452 .46859 L
.3478 .46542 L
.34913 .46376 L
.35263 .45905 L
.35277 .45893 L
.35673 .4541 L
.35746 .45297 L
.35919 .44927 L
.36229 .44653 L
.36401 .44443 L
.36712 .44022 L
.36779 .4396 L
.37157 .43477 L
.37196 .43447 L
.37575 .42994 L
.37679 .42868 L
.38013 .42511 L
.38162 .42316 L
.38521 .42027 L
F
.021 .875 1 r
.36712 .40724 m
.37011 .41061 L
.36805 .41544 L
.36712 .4164 L
.36476 .42027 L
.36229 .42409 L
.36161 .42511 L
.35826 .42994 L
.35746 .43168 L
.35643 .43477 L
.35263 .43802 L
.35148 .4396 L
.34803 .44443 L
.3478 .44477 L
.34472 .44927 L
.34296 .45173 L
.34085 .4541 L
.33813 .45781 L
.33726 .45893 L
.33357 .46376 L
.3333 .46432 L
.33084 .46859 L
.32847 .47099 L
.3263 .47342 L
.32364 .47782 L
.32263 .47826 L
.31902 .48309 L
.31881 .48333 L
.31653 .48792 L
.31397 .48968 L
.31123 .49275 L
.30914 .49625 L
.30726 .49758 L
.30431 .50125 L
.30317 .50242 L
.29948 .50653 L
.29544 .50242 L
.29774 .49758 L
.29948 .49539 L
.30106 .49275 L
.30426 .48792 L
.30431 .48785 L
.3081 .48309 L
.30914 .48045 L
.31004 .47826 L
.31397 .47398 L
.31437 .47342 L
.31781 .46859 L
.31881 .46733 L
.32154 .46376 L
.32364 .46055 L
.32496 .45893 L
.32847 .45414 L
.32857 .4541 L
.33291 .44927 L
.3333 .44791 L
.33539 .44443 L
.33813 .44136 L
.33958 .4396 L
.34296 .43501 L
.3433 .43477 L
.34715 .42994 L
.3478 .42913 L
.34958 .42511 L
.35263 .42297 L
.35497 .42027 L
.35746 .41682 L
.35915 .41544 L
.36229 .41185 L
.36366 .41061 L
F
1 .9 .045 r
.35263 .40609 m
.35743 .41061 L
.35433 .41544 L
.35263 .41799 L
.35107 .42027 L
.3478 .42509 L
.34779 .42511 L
.3449 .42994 L
.34296 .43266 L
.3408 .43477 L
.33813 .43848 L
.33728 .4396 L
.33375 .44443 L
.3333 .44515 L
.33146 .44927 L
.32847 .45213 L
.32643 .4541 L
.32364 .4579 L
.3228 .45893 L
.31931 .46376 L
.31881 .4643 L
.31534 .46859 L
.31397 .47089 L
.31149 .47342 L
.30914 .47653 L
.30761 .47826 L
.30431 .48241 L
.30367 .48309 L
.29948 .48792 L
.29559 .48309 L
.2984 .47826 L
.29948 .47571 L
.30148 .47342 L
.30431 .46928 L
.30477 .46859 L
.30876 .46376 L
.30914 .46216 L
.31106 .45893 L
.31397 .45501 L
.31499 .4541 L
.31851 .44927 L
.31881 .44893 L
.32242 .44443 L
.32364 .44233 L
.32431 .4396 L
.32847 .43568 L
.32939 .43477 L
.33306 .42994 L
.3333 .4297 L
.33662 .42511 L
.33813 .42346 L
.34067 .42027 L
.34296 .41714 L
.34463 .41544 L
.3478 .41156 L
.34869 .41061 L
F
.01 .85 1 r
.36229 .41287 m
.36686 .41544 L
.36417 .42027 L
.36229 .42331 L
.36114 .42511 L
.35796 .42994 L
.35746 .43103 L
.35616 .43477 L
.35263 .43762 L
.35121 .4396 L
.3478 .44443 L
.34779 .44443 L
.34452 .44927 L
.34296 .45144 L
.34065 .4541 L
.33813 .45755 L
.33706 .45893 L
.33345 .46376 L
.3333 .46406 L
.33061 .46859 L
.32847 .47073 L
.32609 .47342 L
.32364 .47766 L
.32239 .47826 L
.31881 .483 L
.31873 .48309 L
.316 .48792 L
.31397 .48926 L
.31086 .49275 L
.30914 .49577 L
.30674 .49758 L
.30431 .50052 L
.30233 .50242 L
.29948 .50534 L
.2965 .50242 L
.29859 .49758 L
.29948 .49653 L
.30164 .49275 L
.30431 .48861 L
.30474 .48792 L
.30835 .48309 L
.30914 .481 L
.31021 .47826 L
.31397 .47443 L
.31467 .47342 L
.3181 .46859 L
.31881 .46769 L
.32175 .46376 L
.32364 .46086 L
.32521 .45893 L
.32847 .45425 L
.32882 .4541 L
.33299 .44927 L
.3333 .44821 L
.33561 .44443 L
.33813 .44169 L
.33986 .4396 L
.34296 .43524 L
.34362 .43477 L
.34744 .42994 L
.3478 .42952 L
.35016 .42511 L
.35263 .42351 L
.35551 .42027 L
.35746 .41746 L
.35993 .41544 L
F
1 .875 .021 r
.37679 .41507 m
.37786 .41544 L
.37741 .42027 L
.37679 .42075 L
.37453 .42511 L
.37196 .42945 L
.37166 .42994 L
.36877 .43477 L
.36712 .43684 L
.36527 .4396 L
.36229 .44387 L
.36189 .44443 L
.35806 .44927 L
.35746 .45091 L
.35575 .4541 L
.35263 .45819 L
.3514 .45893 L
.34788 .46376 L
.3478 .46387 L
.34427 .46859 L
.34296 .47056 L
.34251 .47342 L
.33813 .47739 L
.337 .47826 L
.33332 .48309 L
.3333 .48323 L
.33015 .48792 L
.32847 .4897 L
.32595 .49275 L
.32364 .49631 L
.32221 .49758 L
.31881 .50207 L
.31851 .50242 L
.31526 .50725 L
.31397 .50817 L
.31059 .51208 L
.30914 .5143 L
.30636 .51691 L
.30431 .51935 L
.30166 .52174 L
.29948 .52385 L
.29657 .52174 L
.29786 .51691 L
.29948 .51534 L
.30125 .51208 L
.30425 .50725 L
.30431 .50715 L
.30765 .50242 L
.30914 .49907 L
.31065 .49758 L
.31397 .49289 L
.31407 .49275 L
.31863 .48792 L
.31881 .48602 L
.32085 .48309 L
.32364 .47913 L
.32453 .47826 L
.32808 .47342 L
.32847 .473 L
.33223 .46859 L
.3333 .46643 L
.33445 .46376 L
.33813 .45981 L
.33897 .45893 L
.3426 .4541 L
.34296 .45375 L
.34627 .44927 L
.3478 .44739 L
.35008 .44443 L
.35263 .44096 L
.35389 .4396 L
.35746 .43483 L
.35769 .43477 L
.3613 .42994 L
.36229 .4292 L
.36585 .42511 L
.36712 .42345 L
.3704 .42027 L
.37196 .41781 L
.37622 .41544 L
F
.35263 .40727 m
.35649 .41061 L
.35371 .41544 L
.35263 .41713 L
.35055 .42027 L
.3478 .42445 L
.34733 .42511 L
.34447 .42994 L
.34296 .43207 L
.34047 .43477 L
.33813 .43805 L
.33696 .4396 L
.33349 .44443 L
.3333 .44472 L
.33108 .44927 L
.32847 .45174 L
.32614 .4541 L
.32364 .45751 L
.32248 .45893 L
.31889 .46376 L
.31881 .46385 L
.315 .46859 L
.31397 .47036 L
.31105 .47342 L
.30914 .47593 L
.30703 .47826 L
.30431 .4816 L
.30281 .48309 L
.29948 .48667 L
.29666 .48309 L
.29922 .47826 L
.29948 .47762 L
.30214 .47342 L
.30431 .47017 L
.30532 .46859 L
.30893 .46376 L
.30914 .46288 L
.31141 .45893 L
.31397 .45546 L
.31539 .4541 L
.31881 .44941 L
.31891 .44927 L
.32269 .44443 L
.32364 .44282 L
.32453 .4396 L
.32847 .43609 L
.32978 .43477 L
.3333 .43017 L
.33349 .42994 L
.33709 .42511 L
.33813 .42403 L
.3412 .42027 L
.34296 .41779 L
.34528 .41544 L
.3478 .41242 L
.34958 .41061 L
F
.021 .875 1 r
.29948 .4598 m
.30294 .46376 L
.29948 .46755 L
.29725 .46376 L
F
.38162 .42448 m
.38645 .42198 L
.38673 .42511 L
.38645 .42582 L
.38463 .42994 L
.38184 .43477 L
.38162 .43572 L
.37984 .4396 L
.37679 .44288 L
.37577 .44443 L
.37249 .44927 L
.37196 .45009 L
.36887 .4541 L
.36712 .45746 L
.36559 .45893 L
.36229 .46346 L
.36207 .46376 L
.35766 .46859 L
.35746 .47015 L
.35529 .47342 L
.35263 .47699 L
.35135 .47826 L
.3478 .48306 L
.34778 .48309 L
.34388 .48792 L
.34296 .48955 L
.34159 .49275 L
.33813 .4962 L
.33681 .49758 L
.3333 .50241 L
.33321 .50242 L
.32968 .50725 L
.32847 .5086 L
.32572 .51208 L
.32364 .51508 L
.32194 .51691 L
.31881 .52145 L
.31819 .52174 L
.31456 .52658 L
.31397 .527 L
.31019 .53141 L
.30914 .53286 L
.30577 .53624 L
.30431 .53855 L
.30044 .54107 L
.29948 .54186 L
.29741 .54107 L
.29864 .53624 L
.29948 .53461 L
.30108 .53141 L
.30391 .52658 L
.30431 .5258 L
.30698 .52174 L
.30914 .51858 L
.31022 .51691 L
.31356 .51208 L
.31397 .51152 L
.31787 .50725 L
.31881 .50446 L
.32004 .50242 L
.32364 .49769 L
.324 .49758 L
.3275 .49275 L
.32847 .49154 L
.33143 .48792 L
.3333 .48483 L
.33343 .48309 L
.33813 .47838 L
.33833 .47826 L
.3429 .47342 L
.34296 .47219 L
.34532 .46859 L
.3478 .46561 L
.34929 .46376 L
.35263 .4592 L
.35295 .45893 L
.35686 .4541 L
.35746 .4532 L
.35941 .44927 L
.36229 .44683 L
.36428 .44443 L
.36712 .44054 L
.36815 .4396 L
.37196 .43491 L
.37209 .43477 L
.37635 .42994 L
.37679 .42942 L
.38113 .42511 L
F
1 .925 .098 r
.29948 .44112 m
.30343 .44443 L
.29948 .449 L
.29745 .44443 L
F
.004 .825 1 r
.29948 .49799 m
.30116 .50242 L
.29948 .50386 L
.29782 .50242 L
F
1 .85 .01 r
.29948 .47962 m
.30161 .48309 L
.29948 .48503 L
.29798 .48309 L
F
1 .975 .461 r
.41061 .44137 m
.41527 .44443 L
.41433 .44927 L
.41061 .45374 L
.41042 .4541 L
.40759 .45893 L
.40578 .46227 L
.40399 .46376 L
.40095 .46855 L
.40092 .46859 L
.3976 .47342 L
.39612 .47545 L
.39286 .47826 L
.39128 .48231 L
.39056 .48309 L
.38693 .48792 L
.38645 .48844 L
.38341 .49275 L
.38162 .49507 L
.3792 .49758 L
.37679 .5017 L
.37664 .50242 L
.37255 .50725 L
.37196 .50783 L
.36896 .51208 L
.36712 .5144 L
.36529 .51691 L
.36229 .521 L
.36165 .52174 L
.35806 .52658 L
.35746 .52709 L
.35372 .53141 L
.35263 .53365 L
.35143 .53624 L
.3478 .54024 L
.34711 .54107 L
.34351 .5459 L
.34296 .54627 L
.33981 .55073 L
.33813 .5528 L
.33613 .55557 L
.3333 .55938 L
.33247 .5604 L
.32855 .56523 L
.32847 .56536 L
.32557 .57006 L
.32364 .57167 L
.32124 .57489 L
.31881 .57806 L
.3174 .57973 L
.31397 .58413 L
.31349 .58456 L
.30953 .58939 L
.30914 .58955 L
.30455 .59422 L
.30431 .59447 L
.29948 .59746 L
.29819 .59422 L
.29948 .59076 L
.30006 .58939 L
.30291 .58456 L
.30431 .58183 L
.30554 .57973 L
.30874 .57489 L
.30914 .57426 L
.31366 .57006 L
.31397 .56669 L
.31555 .56523 L
.31881 .56071 L
.31902 .5604 L
.32248 .55557 L
.32364 .55397 L
.32692 .55073 L
.32847 .5471 L
.32924 .5459 L
.33328 .54107 L
.3333 .54105 L
.33683 .53624 L
.33813 .5345 L
.34068 .53141 L
.34296 .5278 L
.34412 .52658 L
.34771 .52174 L
.3478 .52166 L
.35226 .51691 L
.35263 .5152 L
.35456 .51208 L
.35746 .50857 L
.35863 .50725 L
.36221 .50242 L
.36229 .50235 L
.36607 .49758 L
.36712 .49597 L
.36831 .49275 L
.37196 .48937 L
.3732 .48792 L
.37677 .48309 L
.37679 .48308 L
.38021 .47826 L
.38162 .47685 L
.38421 .47342 L
.38645 .47031 L
.38791 .46859 L
.39128 .46398 L
.39155 .46376 L
.39482 .45893 L
.39612 .45807 L
.3993 .4541 L
.40095 .45191 L
.40336 .44927 L
.40578 .44598 L
.4077 .44443 L
F
1 .925 .098 r
.39128 .43017 m
.39498 .43477 L
.39238 .4396 L
.39128 .4415 L
.38956 .44443 L
.38645 .44914 L
.38637 .44927 L
.38197 .4541 L
.38162 .45667 L
.37987 .45893 L
.37679 .46298 L
.37624 .46376 L
.37279 .46859 L
.37196 .4697 L
.36861 .47342 L
.36712 .47655 L
.36638 .47826 L
.36229 .48305 L
.36205 .48309 L
.3585 .48792 L
.35746 .48925 L
.35484 .49275 L
.35263 .49592 L
.35122 .49758 L
.3478 .50231 L
.34761 .50242 L
.34341 .50725 L
.34296 .50852 L
.34093 .51208 L
.33813 .5151 L
.33662 .51691 L
.3333 .5215 L
.33299 .52174 L
.32929 .52658 L
.32847 .52755 L
.327 .53141 L
.32364 .53397 L
.32173 .53624 L
.31881 .5403 L
.31794 .54107 L
.31415 .5459 L
.31397 .54602 L
.30992 .55073 L
.30914 .55171 L
.30539 .55557 L
.30431 .55702 L
.29952 .5604 L
.29948 .56047 L
.29825 .5604 L
.29843 .55557 L
.29948 .55334 L
.30071 .55073 L
.30404 .5459 L
.30431 .54384 L
.30615 .54107 L
.30914 .53713 L
.30971 .53624 L
.31299 .53141 L
.31397 .52996 L
.31705 .52658 L
.31881 .5228 L
.31922 .52174 L
.32346 .51691 L
.32364 .5167 L
.32695 .51208 L
.32847 .51003 L
.33064 .50725 L
.3333 .50331 L
.33418 .50242 L
.33775 .49758 L
.33813 .49718 L
.34215 .49275 L
.34296 .49064 L
.34444 .48792 L
.3478 .48403 L
.34866 .48309 L
.35226 .47826 L
.35263 .47791 L
.35604 .47342 L
.35746 .47147 L
.35802 .46859 L
.36229 .46493 L
.36333 .46376 L
.36698 .45893 L
.36712 .45882 L
.37037 .4541 L
.37196 .45265 L
.37462 .44927 L
.37679 .44635 L
.37852 .44443 L
.38162 .44022 L
.3825 .4396 L
.38645 .435 L
.3867 .43477 L
F
1 .85 .01 r
.29948 .51693 m
.30009 .52174 L
.29948 .52216 L
.29845 .52174 L
F
.01 .85 1 r
.29948 .46274 m
.30097 .46376 L
.29948 .46474 L
.29914 .46376 L
F
1 .85 .01 r
.37196 .41934 m
.37568 .42027 L
.37382 .42511 L
.37196 .42853 L
.37113 .42994 L
.36839 .43477 L
.36712 .43632 L
.36496 .4396 L
.36229 .44349 L
.36163 .44443 L
.35795 .44927 L
.35746 .45059 L
.35559 .4541 L
.35263 .45802 L
.35123 .45893 L
.3478 .46366 L
.34772 .46376 L
.34415 .46859 L
.34296 .47036 L
.3424 .47342 L
.33813 .47725 L
.33684 .47826 L
.3333 .48304 L
.33326 .48309 L
.32997 .48792 L
.32847 .48948 L
.32577 .49275 L
.32364 .4961 L
.32199 .49758 L
.31881 .50177 L
.31824 .50242 L
.31473 .50725 L
.31397 .50777 L
.3102 .51208 L
.30914 .51372 L
.30573 .51691 L
.30431 .51854 L
.29949 .51691 L
.30187 .51208 L
.30431 .50797 L
.30473 .50725 L
.30794 .50242 L
.30914 .49959 L
.31097 .49758 L
.31397 .49329 L
.31434 .49275 L
.31867 .48792 L
.31881 .48634 L
.32102 .48309 L
.32364 .47934 L
.32473 .47826 L
.32827 .47342 L
.32847 .47321 L
.33234 .46859 L
.3333 .46665 L
.33456 .46376 L
.33813 .46001 L
.33915 .45893 L
.3428 .4541 L
.34296 .45394 L
.34645 .44927 L
.3478 .44765 L
.35032 .44443 L
.35263 .44125 L
.35417 .4396 L
.35746 .43494 L
.35805 .43477 L
.36191 .42994 L
.36229 .42967 L
.36641 .42511 L
.36712 .42419 L
.37137 .42027 L
F
.004 .825 1 r
.36229 .41399 m
.36573 .41544 L
.36353 .42027 L
.36229 .42241 L
.36065 .42511 L
.35762 .42994 L
.35746 .43029 L
.35582 .43477 L
.35263 .43722 L
.35094 .4396 L
.3478 .44409 L
.34754 .44443 L
.3443 .44927 L
.34296 .45113 L
.34045 .4541 L
.33813 .45728 L
.33686 .45893 L
.33332 .46376 L
.3333 .4638 L
.33036 .46859 L
.32847 .47045 L
.32588 .47342 L
.32364 .47748 L
.32214 .47826 L
.31881 .48266 L
.31844 .48309 L
.31537 .48792 L
.31397 .48882 L
.31047 .49275 L
.30914 .49518 L
.30615 .49758 L
.30431 .49975 L
.29967 .49758 L
.30223 .49275 L
.30431 .48942 L
.30522 .48792 L
.3086 .48309 L
.30914 .48162 L
.31043 .47826 L
.31397 .47487 L
.31497 .47342 L
.31839 .46859 L
.31881 .46806 L
.32196 .46376 L
.32364 .46119 L
.32546 .45893 L
.32847 .45437 L
.32907 .4541 L
.33307 .44927 L
.3333 .44852 L
.33584 .44443 L
.33813 .44203 L
.34014 .4396 L
.34296 .43548 L
.34395 .43477 L
.34778 .42994 L
.3478 .42992 L
.3509 .42511 L
.35263 .42406 L
.35609 .42027 L
.35746 .41822 L
.36086 .41544 L
F
.01 .85 1 r
.37679 .4302 m
.38133 .43477 L
.37941 .4396 L
.37679 .44227 L
.37542 .44443 L
.37219 .44927 L
.37196 .44964 L
.36869 .4541 L
.36712 .45719 L
.36539 .45893 L
.36229 .46322 L
.3619 .46376 L
.35763 .46859 L
.35746 .46995 L
.35518 .47342 L
.35263 .47684 L
.35122 .47826 L
.3478 .48289 L
.34764 .48309 L
.34379 .48792 L
.34296 .48938 L
.34148 .49275 L
.33813 .49605 L
.33668 .49758 L
.3333 .5024 L
.33305 .50242 L
.32952 .50725 L
.32847 .5084 L
.32554 .51208 L
.32364 .51484 L
.32171 .51691 L
.31881 .52129 L
.31788 .52174 L
.314 .52658 L
.31397 .52659 L
.30971 .53141 L
.30914 .53219 L
.30492 .53624 L
.30431 .53722 L
.29994 .53624 L
.30185 .53141 L
.30431 .52692 L
.30451 .52658 L
.30734 .52174 L
.30914 .51915 L
.31056 .51691 L
.31386 .51208 L
.31397 .51192 L
.318 .50725 L
.31881 .50475 L
.32017 .50242 L
.32364 .49776 L
.32418 .49758 L
.32767 .49275 L
.32847 .49175 L
.33155 .48792 L
.3333 .48501 L
.33345 .48309 L
.33813 .47847 L
.33847 .47826 L
.3429 .47342 L
.34296 .47236 L
.34544 .46859 L
.3478 .4658 L
.34945 .46376 L
.35263 .45935 L
.35313 .45893 L
.35698 .4541 L
.35746 .45341 L
.35966 .44927 L
.36229 .44713 L
.36456 .44443 L
.36712 .44088 L
.36853 .4396 L
.37196 .43545 L
.37263 .43477 L
F
.021 .875 1 r
.34296 .40207 m
.34579 .40578 L
.34312 .41061 L
.34296 .41072 L
.33978 .41544 L
.33813 .41792 L
.33643 .42027 L
.3333 .42487 L
.33312 .42511 L
.32958 .42994 L
.32847 .43258 L
.32595 .43477 L
.32364 .438 L
.32235 .4396 L
.31881 .44443 L
.31881 .44444 L
.31497 .44927 L
.31397 .45136 L
.31106 .4541 L
.30914 .45664 L
.30708 .45893 L
.30431 .46238 L
.29999 .45893 L
.30293 .4541 L
.30431 .45208 L
.30616 .44927 L
.30914 .44495 L
.30951 .44443 L
.31272 .4396 L
.31397 .43787 L
.3164 .43477 L
.31881 .4302 L
.32003 .42994 L
.32364 .42515 L
.32367 .42511 L
.32672 .42027 L
.32847 .41877 L
.33129 .41544 L
.3333 .41192 L
.33533 .41061 L
.33813 .40725 L
.33958 .40578 L
F
1 .85 .01 r
.35263 .4086 m
.35535 .41061 L
.35304 .41544 L
.35263 .41612 L
.35 .42027 L
.3478 .42375 L
.34685 .42511 L
.34397 .42994 L
.34296 .43136 L
.34013 .43477 L
.33813 .43761 L
.33663 .4396 L
.3333 .44428 L
.33318 .44443 L
.33064 .44927 L
.32847 .4513 L
.32584 .4541 L
.32364 .45711 L
.32215 .45893 L
.31881 .4634 L
.3185 .46376 L
.31464 .46859 L
.31397 .46976 L
.31059 .47342 L
.30914 .4753 L
.30636 .47826 L
.30431 .48071 L
.30017 .47826 L
.30283 .47342 L
.30431 .47113 L
.30589 .46859 L
.30912 .46376 L
.30914 .46367 L
.31182 .45893 L
.31397 .456 L
.3158 .4541 L
.31881 .44995 L
.31931 .44927 L
.32297 .44443 L
.32364 .44333 L
.32485 .4396 L
.32847 .43653 L
.33018 .43477 L
.3333 .43071 L
.33394 .42994 L
.33763 .42511 L
.33813 .42462 L
.34175 .42027 L
.34296 .41852 L
.34598 .41544 L
.3478 .41333 L
.35065 .41061 L
F
1 .925 .098 r
.32847 .40173 m
.33246 .40578 L
.32921 .41061 L
.32847 .41171 L
.32571 .41544 L
.32364 .41846 L
.32222 .42027 L
.31881 .42508 L
.31879 .42511 L
.31502 .42994 L
.31397 .43139 L
.31119 .43477 L
.30914 .43755 L
.30735 .4396 L
.30431 .4435 L
.30043 .4396 L
.30287 .43477 L
.30431 .433 L
.30685 .42994 L
.30914 .42675 L
.31033 .42511 L
.31383 .42027 L
.31397 .42008 L
.31746 .41544 L
.31881 .41313 L
.32125 .41061 L
.32364 .40757 L
.32516 .40578 L
F
1 .825 .004 r
.36712 .425 m
.37196 .42105 L
.37304 .42511 L
.37196 .42738 L
.37058 .42994 L
.36796 .43477 L
.36712 .43577 L
.36465 .4396 L
.36229 .44309 L
.36137 .44443 L
.35783 .44927 L
.35746 .45025 L
.35542 .4541 L
.35263 .45782 L
.35106 .45893 L
.3478 .46344 L
.34755 .46376 L
.34402 .46859 L
.34296 .47015 L
.34228 .47342 L
.33813 .4771 L
.33669 .47826 L
.3333 .48283 L
.33309 .48309 L
.32977 .48792 L
.32847 .48925 L
.32559 .49275 L
.32364 .49587 L
.32177 .49758 L
.31881 .50145 L
.31795 .50242 L
.31414 .50725 L
.31397 .50736 L
.30977 .51208 L
.30914 .51307 L
.30499 .51691 L
.30431 .51764 L
.30062 .51691 L
.30252 .51208 L
.30431 .50888 L
.30522 .50725 L
.30825 .50242 L
.30914 .50023 L
.31128 .49758 L
.31397 .49369 L
.31461 .49275 L
.31871 .48792 L
.31881 .48666 L
.32119 .48309 L
.32364 .47956 L
.32492 .47826 L
.32847 .47342 L
.32847 .47342 L
.33245 .46859 L
.3333 .46688 L
.33469 .46376 L
.33813 .4602 L
.33934 .45893 L
.34296 .45413 L
.34299 .4541 L
.34664 .44927 L
.3478 .44792 L
.35055 .44443 L
.35263 .44155 L
.35445 .4396 L
.35746 .43507 L
.35842 .43477 L
.36229 .43017 L
.36253 .42994 L
.36704 .42511 L
F
.002 .8 1 r
.36229 .41531 m
.36389 .41544 L
.36284 .42027 L
.36229 .42131 L
.36013 .42511 L
.35746 .42957 L
.35721 .42994 L
.3554 .43477 L
.35263 .43679 L
.35066 .4396 L
.3478 .44374 L
.34728 .44443 L
.34407 .44927 L
.34296 .4508 L
.34025 .4541 L
.33813 .45701 L
.33665 .45893 L
.3333 .46353 L
.33311 .46376 L
.33009 .46859 L
.32847 .47016 L
.32566 .47342 L
.32364 .47725 L
.32189 .47826 L
.31881 .48231 L
.31813 .48309 L
.31466 .48792 L
.31397 .48835 L
.31005 .49275 L
.30914 .49447 L
.30547 .49758 L
.30431 .49888 L
.30065 .49758 L
.30286 .49275 L
.30431 .49032 L
.30571 .48792 L
.30886 .48309 L
.30914 .48232 L
.3107 .47826 L
.31397 .47533 L
.31528 .47342 L
.31869 .46859 L
.31881 .46844 L
.32217 .46376 L
.32364 .46153 L
.32571 .45893 L
.32847 .45451 L
.32933 .4541 L
.33316 .44927 L
.3333 .44882 L
.33611 .44443 L
.33813 .44237 L
.34043 .4396 L
.34296 .43575 L
.34429 .43477 L
.3478 .43037 L
.34819 .42994 L
.35182 .42511 L
.35263 .42465 L
.35673 .42027 L
.35746 .41916 L
.36214 .41544 L
F
.01 .85 1 r
.33813 .4086 m
.34193 .41061 L
.33904 .41544 L
.33813 .41688 L
.33576 .42027 L
.3333 .42402 L
.33248 .42511 L
.32908 .42994 L
.32847 .4315 L
.32544 .43477 L
.32364 .43731 L
.3218 .4396 L
.31881 .44371 L
.31819 .44443 L
.31442 .44927 L
.31397 .45026 L
.31037 .4541 L
.30914 .45571 L
.3061 .45893 L
.30431 .46108 L
.30126 .45893 L
.30392 .4541 L
.30431 .4535 L
.30698 .44927 L
.30914 .44607 L
.31026 .44443 L
.31349 .4396 L
.31397 .43896 L
.31707 .43477 L
.31881 .43082 L
.32071 .42994 L
.32364 .42605 L
.3244 .42511 L
.32789 .42027 L
.32847 .41981 L
.33213 .41544 L
.3333 .41312 L
.33639 .41061 L
F
1 .825 .004 r
.3478 .41431 m
.35216 .41544 L
.34942 .42027 L
.3478 .42295 L
.34635 .42511 L
.34338 .42994 L
.34296 .43054 L
.33978 .43477 L
.33813 .43714 L
.33629 .4396 L
.3333 .44385 L
.33284 .44443 L
.33013 .44927 L
.32847 .4508 L
.32553 .4541 L
.32364 .4567 L
.3218 .45893 L
.31881 .46293 L
.31809 .46376 L
.31425 .46859 L
.31397 .46909 L
.31008 .47342 L
.30914 .47463 L
.30556 .47826 L
.30431 .47967 L
.30126 .47826 L
.30357 .47342 L
.30431 .47222 L
.30648 .46859 L
.30914 .46446 L
.30961 .46376 L
.31231 .45893 L
.31397 .45667 L
.31621 .4541 L
.31881 .4505 L
.31971 .44927 L
.32328 .44443 L
.32364 .44386 L
.32529 .4396 L
.32847 .43702 L
.33059 .43477 L
.3333 .43126 L
.33441 .42994 L
.33813 .42524 L
.33826 .42511 L
.34234 .42027 L
.34296 .41935 L
.34679 .41544 L
F
.098 .925 1 r
.40095 .43706 m
.40408 .4396 L
.40257 .44443 L
.40095 .44662 L
.39955 .44927 L
.3966 .4541 L
.39612 .45495 L
.39275 .45893 L
.39128 .46312 L
.39078 .46376 L
.38672 .46859 L
.38645 .46894 L
.38332 .47342 L
.38162 .47587 L
.37954 .47826 L
.37679 .48268 L
.37619 .48309 L
.37266 .48792 L
.37196 .48876 L
.368 .49275 L
.36712 .49543 L
.36578 .49758 L
.36229 .50201 L
.36183 .50242 L
.35825 .50725 L
.35746 .50814 L
.35428 .51208 L
.35263 .51474 L
.35215 .51691 L
.3478 .52127 L
.34732 .52174 L
.3437 .52658 L
.34296 .52734 L
.34029 .53141 L
.33813 .53387 L
.3363 .53624 L
.3333 .54036 L
.33264 .54107 L
.32882 .5459 L
.32847 .54634 L
.32603 .55073 L
.32364 .55264 L
.32129 .55557 L
.31881 .55891 L
.31738 .5604 L
.31397 .56492 L
.31338 .56523 L
.30914 .56998 L
.30906 .57006 L
.30431 .57444 L
.30129 .57006 L
.30388 .56523 L
.30431 .56411 L
.30545 .5604 L
.30914 .55623 L
.30955 .55557 L
.31273 .55073 L
.31397 .54871 L
.31643 .5459 L
.31881 .54126 L
.3196 .54107 L
.32307 .53624 L
.32364 .53551 L
.32783 .53141 L
.32847 .52868 L
.32998 .52658 L
.3333 .522 L
.33378 .52174 L
.33733 .51691 L
.33813 .51593 L
.34143 .51208 L
.34296 .50927 L
.34364 .50725 L
.3478 .50273 L
.34821 .50242 L
.3518 .49758 L
.35263 .49661 L
.35533 .49275 L
.35746 .49003 L
.35914 .48792 L
.36229 .48353 L
.36277 .48309 L
.36672 .47826 L
.36712 .47747 L
.36936 .47342 L
.37196 .47098 L
.37386 .46859 L
.37679 .46453 L
.37756 .46376 L
.38124 .45893 L
.38162 .4586 L
.38384 .4541 L
.38645 .4525 L
.38922 .44927 L
.39128 .44647 L
.39342 .44443 L
.39612 .44044 L
.39812 .4396 L
F
1 .975 .461 r
.30431 .397 m
.30775 .40095 L
.30431 .40571 L
.30146 .40095 L
F
1 .9 .045 r
.39128 .432 m
.39354 .43477 L
.39155 .4396 L
.39128 .44006 L
.38891 .44443 L
.38645 .44834 L
.38589 .44927 L
.38186 .4541 L
.38162 .45613 L
.37964 .45893 L
.37679 .46262 L
.376 .46376 L
.37258 .46859 L
.37196 .46943 L
.36848 .47342 L
.36712 .47635 L
.36631 .47826 L
.36229 .48302 L
.36192 .48309 L
.35837 .48792 L
.35746 .48909 L
.35475 .49275 L
.35263 .49577 L
.3511 .49758 L
.3478 .50225 L
.34749 .50242 L
.34336 .50725 L
.34296 .50837 L
.34082 .51208 L
.33813 .51493 L
.33648 .51691 L
.3333 .52137 L
.33282 .52174 L
.32913 .52658 L
.32847 .52734 L
.32674 .53141 L
.32364 .53367 L
.32144 .53624 L
.31881 .53997 L
.31755 .54107 L
.31397 .54547 L
.31355 .5459 L
.30923 .55073 L
.30914 .55084 L
.30431 .55529 L
.30183 .55073 L
.30429 .5459 L
.30431 .54573 L
.30659 .54107 L
.30914 .53786 L
.31014 .53624 L
.31336 .53141 L
.31397 .53047 L
.31727 .52658 L
.31881 .52308 L
.31928 .52174 L
.32364 .51695 L
.32366 .51691 L
.32712 .51208 L
.32847 .51024 L
.33076 .50725 L
.3333 .50345 L
.33431 .50242 L
.33788 .49758 L
.33813 .49732 L
.34221 .49275 L
.34296 .49079 L
.34453 .48792 L
.3478 .48417 L
.34878 .48309 L
.35239 .47826 L
.35263 .47804 L
.35615 .47342 L
.35746 .47165 L
.35812 .46859 L
.36229 .46513 L
.36351 .46376 L
.36712 .45896 L
.36719 .45893 L
.37066 .4541 L
.37196 .45296 L
.37494 .44927 L
.37679 .44679 L
.37897 .44443 L
.38162 .4407 L
.38319 .4396 L
.38645 .43601 L
.38795 .43477 L
F
.001 .775 1 r
.30914 .48311 m
.31391 .48792 L
.30959 .49275 L
.30914 .49362 L
.30459 .49758 L
.30431 .49787 L
.30201 .49758 L
.30355 .49275 L
.30431 .49138 L
.30622 .48792 L
F
1 .9 .045 r
.30431 .4363 m
.30561 .4396 L
.30431 .4412 L
.30252 .4396 L
F
.004 .825 1 r
.37679 .43103 m
.38063 .43477 L
.37887 .4396 L
.37679 .44162 L
.37506 .44443 L
.37196 .44917 L
.37189 .44927 L
.3685 .4541 L
.36712 .45687 L
.36519 .45893 L
.36229 .46297 L
.36172 .46376 L
.35761 .46859 L
.35746 .46974 L
.35506 .47342 L
.35263 .47668 L
.35109 .47826 L
.3478 .48272 L
.34751 .48309 L
.34371 .48792 L
.34296 .48922 L
.34137 .49275 L
.33813 .49589 L
.33654 .49758 L
.3333 .50238 L
.3329 .50242 L
.32935 .50725 L
.32847 .50819 L
.32535 .51208 L
.32364 .51459 L
.32148 .51691 L
.31881 .52111 L
.31756 .52174 L
.31397 .52613 L
.31354 .52658 L
.30917 .53141 L
.30914 .53145 L
.30431 .53567 L
.30268 .53141 L
.30431 .52809 L
.30509 .52658 L
.30772 .52174 L
.30914 .51975 L
.3109 .51691 L
.31397 .51235 L
.31415 .51208 L
.31813 .50725 L
.31881 .50506 L
.3203 .50242 L
.32364 .49784 L
.32436 .49758 L
.32783 .49275 L
.32847 .49195 L
.33166 .48792 L
.3333 .4852 L
.33347 .48309 L
.33813 .47857 L
.33861 .47826 L
.34291 .47342 L
.34296 .47253 L
.34557 .46859 L
.3478 .46599 L
.3496 .46376 L
.35263 .4595 L
.35331 .45893 L
.35712 .4541 L
.35746 .45363 L
.35994 .44927 L
.36229 .44743 L
.36485 .44443 L
.36712 .44122 L
.36892 .4396 L
.37196 .436 L
.37323 .43477 L
F
.098 .925 1 r
.30431 .41769 m
.30601 .42027 L
.30431 .42255 L
.3027 .42027 L
F
1 .8 .002 r
.30431 .47368 m
.30439 .47826 L
.30431 .47833 L
.30307 .47826 L
F
1 .875 .021 r
.30431 .5476 m
.30808 .55073 L
.30431 .55332 L
.30313 .55073 L
F
1 .8 .002 r
.36712 .42582 m
.36999 .42994 L
.36746 .43477 L
.36712 .43517 L
.36433 .4396 L
.36229 .44267 L
.3611 .44443 L
.3577 .44927 L
.35746 .4499 L
.35523 .4541 L
.35263 .4576 L
.35088 .45893 L
.3478 .46322 L
.34739 .46376 L
.34388 .46859 L
.34296 .46994 L
.34214 .47342 L
.33813 .47693 L
.33653 .47826 L
.3333 .48262 L
.33292 .48309 L
.32956 .48792 L
.32847 .48902 L
.3254 .49275 L
.32364 .49563 L
.32154 .49758 L
.31881 .50113 L
.31765 .50242 L
.31397 .50693 L
.31367 .50725 L
.30931 .51208 L
.30914 .51234 L
.30431 .51655 L
.30323 .51208 L
.30431 .50995 L
.30572 .50725 L
.30857 .50242 L
.30914 .501 L
.3116 .49758 L
.31397 .49411 L
.31488 .49275 L
.31873 .48792 L
.31881 .487 L
.32136 .48309 L
.32364 .47979 L
.32511 .47826 L
.32847 .47367 L
.32865 .47342 L
.33256 .46859 L
.3333 .46711 L
.33482 .46376 L
.33813 .46041 L
.33952 .45893 L
.34296 .45439 L
.3432 .4541 L
.34684 .44927 L
.3478 .44818 L
.35079 .44443 L
.35263 .44186 L
.35475 .4396 L
.35746 .43524 L
.35881 .43477 L
.36229 .43071 L
.3631 .42994 L
F
.004 .825 1 r
.30431 .45571 m
.30458 .45893 L
.30431 .45921 L
.30329 .45893 L
F
.045 .9 1 r
.30431 .567 m
.30681 .57006 L
.30431 .57114 L
.30365 .57006 L
F
.002 .8 1 r
.30431 .52968 m
.30826 .53141 L
.30431 .53395 L
.30365 .53141 L
F
1 .775 .001 r
.30431 .51145 m
.30858 .51208 L
.30431 .51484 L
.30405 .51208 L
F
1 .8 .002 r
.30914 .46533 m
.31378 .46859 L
.3095 .47342 L
.30914 .47388 L
.30444 .47342 L
.30711 .46859 L
F
.045 .9 1 r
.39612 .44196 m
.40044 .44443 L
.39848 .44927 L
.39612 .4535 L
.39579 .4541 L
.39235 .45893 L
.39128 .4625 L
.39063 .46376 L
.38645 .46844 L
.38635 .46859 L
.38303 .47342 L
.38162 .47551 L
.37934 .47826 L
.37679 .48253 L
.376 .48309 L
.37248 .48792 L
.37196 .48855 L
.36791 .49275 L
.36712 .49525 L
.36569 .49758 L
.36229 .5019 L
.3617 .50242 L
.35813 .50725 L
.35746 .508 L
.35419 .51208 L
.35263 .51458 L
.3521 .51691 L
.3478 .52113 L
.34718 .52174 L
.34356 .52658 L
.34296 .52719 L
.34016 .53141 L
.33813 .53367 L
.33613 .53624 L
.3333 .54014 L
.33242 .54107 L
.32865 .5459 L
.32847 .54612 L
.32564 .55073 L
.32364 .55223 L
.32087 .55557 L
.31881 .55833 L
.31676 .5604 L
.31397 .56439 L
.31237 .56523 L
.30914 .56852 L
.30498 .56523 L
.30613 .5604 L
.30914 .55739 L
.3102 .55557 L
.31325 .55073 L
.31397 .54947 L
.31674 .5459 L
.31881 .54147 L
.3199 .54107 L
.32333 .53624 L
.32364 .53584 L
.32793 .53141 L
.32847 .52892 L
.3301 .52658 L
.3333 .52209 L
.33393 .52174 L
.33747 .51691 L
.33813 .51609 L
.34152 .51208 L
.34296 .50942 L
.3437 .50725 L
.3478 .50283 L
.34833 .50242 L
.35192 .49758 L
.35263 .49675 L
.35543 .49275 L
.35746 .49018 L
.35927 .48792 L
.36229 .48366 L
.36292 .48309 L
.3668 .47826 L
.36712 .47764 L
.36954 .47342 L
.37196 .47122 L
.37409 .46859 L
.37679 .46481 L
.37785 .46376 L
.38161 .45893 L
.38162 .45892 L
.38465 .4541 L
.38645 .45309 L
.38989 .44927 L
.39128 .44739 L
.39461 .44443 L
F
1 .975 .461 r
.31397 .38464 m
.31816 .38645 L
.31483 .39128 L
.31397 .39259 L
.31127 .39612 L
.30914 .39925 L
.305 .39612 L
.30862 .39128 L
.30914 .3902 L
.3125 .38645 L
F
1 .875 .021 r
.38645 .43708 m
.39051 .4396 L
.38825 .44443 L
.38645 .44745 L
.3854 .44927 L
.38178 .4541 L
.38162 .45552 L
.37941 .45893 L
.37679 .46225 L
.37576 .46376 L
.37236 .46859 L
.37196 .46916 L
.36836 .47342 L
.36712 .47614 L
.36624 .47826 L
.36229 .48298 L
.36178 .48309 L
.35825 .48792 L
.35746 .48893 L
.35465 .49275 L
.35263 .49563 L
.35098 .49758 L
.3478 .50217 L
.34737 .50242 L
.34332 .50725 L
.34296 .50822 L
.3407 .51208 L
.33813 .51476 L
.33634 .51691 L
.3333 .52124 L
.33265 .52174 L
.32896 .52658 L
.32847 .52712 L
.32644 .53141 L
.32364 .53337 L
.32115 .53624 L
.31881 .53962 L
.31713 .54107 L
.31397 .54487 L
.31292 .5459 L
.30914 .5499 L
.30507 .5459 L
.30711 .54107 L
.30914 .53864 L
.31057 .53624 L
.31372 .53141 L
.31397 .53101 L
.31747 .52658 L
.31881 .52339 L
.31935 .52174 L
.32364 .51722 L
.32385 .51691 L
.32729 .51208 L
.32847 .51046 L
.33088 .50725 L
.3333 .50361 L
.33444 .50242 L
.33801 .49758 L
.33813 .49746 L
.34227 .49275 L
.34296 .49095 L
.34462 .48792 L
.3478 .48431 L
.34891 .48309 L
.35252 .47826 L
.35263 .47816 L
.35626 .47342 L
.35746 .47183 L
.35824 .46859 L
.36229 .46534 L
.3637 .46376 L
.36712 .45909 L
.36742 .45893 L
.37097 .4541 L
.37196 .45328 L
.37528 .44927 L
.37679 .44725 L
.37946 .44443 L
.38162 .44125 L
.384 .4396 L
F
1 .95 .212 r
.40578 .44879 m
.40968 .44927 L
.40841 .4541 L
.40602 .45893 L
.40578 .45955 L
.40307 .46376 L
.40095 .46731 L
.40017 .46859 L
.39696 .47342 L
.39612 .47465 L
.39244 .47826 L
.39128 .48189 L
.39029 .48309 L
.3866 .48792 L
.38645 .48809 L
.38315 .49275 L
.38162 .49477 L
.37901 .49758 L
.37679 .5015 L
.37661 .50242 L
.37237 .50725 L
.37196 .50766 L
.36881 .51208 L
.36712 .51421 L
.36518 .51691 L
.36229 .52084 L
.36151 .52174 L
.35791 .52658 L
.35746 .52696 L
.35363 .53141 L
.35263 .53346 L
.35133 .53624 L
.3478 .54005 L
.34694 .54107 L
.34332 .5459 L
.34296 .54613 L
.33963 .55073 L
.33813 .55251 L
.33587 .55557 L
.3333 .559 L
.33214 .5604 L
.32847 .5652 L
.32843 .56523 L
.32497 .57006 L
.32364 .57104 L
.32052 .57489 L
.31881 .57703 L
.3163 .57973 L
.31397 .58275 L
.31161 .58456 L
.30914 .58693 L
.30516 .58456 L
.30717 .57973 L
.30914 .57629 L
.30992 .57489 L
.3139 .57006 L
.31397 .56784 L
.31605 .56523 L
.31881 .56141 L
.31948 .5604 L
.32287 .55557 L
.32364 .55446 L
.32714 .55073 L
.32847 .54739 L
.32936 .5459 L
.3333 .54132 L
.33348 .54107 L
.33701 .53624 L
.33813 .53472 L
.3408 .53141 L
.34296 .52797 L
.34426 .52658 L
.3478 .52181 L
.34785 .52174 L
.3523 .51691 L
.35263 .51536 L
.35465 .51208 L
.35746 .50871 L
.35876 .50725 L
.36229 .50244 L
.36235 .50242 L
.36617 .49758 L
.36712 .49615 L
.36844 .49275 L
.37196 .48957 L
.37338 .48792 L
.37679 .48323 L
.37699 .48309 L
.38047 .47826 L
.38162 .47716 L
.38452 .47342 L
.38645 .47075 L
.38833 .46859 L
.39128 .46447 L
.39214 .46376 L
.396 .45893 L
.39612 .45886 L
.40039 .4541 L
.40095 .4534 L
.40542 .44927 L
F
.004 .825 1 r
.30914 .44735 m
.31373 .44927 L
.30955 .4541 L
.30914 .45462 L
.30518 .4541 L
.3079 .44927 L
F
1 .9 .045 r
.31397 .42195 m
.31755 .42511 L
.31402 .42994 L
.31397 .43 L
.30997 .43477 L
.30914 .4359 L
.30529 .43477 L
.30832 .42994 L
.30914 .42875 L
.31173 .42511 L
F
.002 .8 1 r
.37679 .43194 m
.37986 .43477 L
.37817 .4396 L
.37679 .44089 L
.37469 .44443 L
.37196 .44871 L
.37159 .44927 L
.36831 .4541 L
.36712 .45653 L
.365 .45893 L
.36229 .46272 L
.36155 .46376 L
.35759 .46859 L
.35746 .46953 L
.35494 .47342 L
.35263 .47652 L
.35095 .47826 L
.3478 .48255 L
.34738 .48309 L
.34362 .48792 L
.34296 .48906 L
.34125 .49275 L
.33813 .49573 L
.3364 .49758 L
.3333 .50236 L
.33274 .50242 L
.32917 .50725 L
.32847 .50798 L
.32517 .51208 L
.32364 .51433 L
.32124 .51691 L
.31881 .52089 L
.31723 .52174 L
.31397 .52566 L
.31305 .52658 L
.30914 .53071 L
.30569 .52658 L
.30815 .52174 L
.30914 .52039 L
.31124 .51691 L
.31397 .51278 L
.31443 .51208 L
.31824 .50725 L
.31881 .50539 L
.32044 .50242 L
.32364 .49794 L
.32453 .49758 L
.328 .49275 L
.32847 .49216 L
.33178 .48792 L
.3333 .48539 L
.33351 .48309 L
.33813 .47867 L
.33876 .47826 L
.34292 .47342 L
.34296 .4727 L
.3457 .46859 L
.3478 .46618 L
.34976 .46376 L
.35263 .45965 L
.35349 .45893 L
.35727 .4541 L
.35746 .45384 L
.36025 .44927 L
.36229 .44774 L
.36514 .44443 L
.36712 .44159 L
.36934 .4396 L
.37196 .43656 L
.37391 .43477 L
F
.098 .925 1 r
.30914 .41063 m
.31007 .41544 L
.30914 .41679 L
.3059 .41544 L
F
1 .85 .01 r
.38645 .43827 m
.38924 .4396 L
.38754 .44443 L
.38645 .44642 L
.3849 .44927 L
.3817 .4541 L
.38162 .45482 L
.37917 .45893 L
.37679 .46188 L
.37553 .46376 L
.37215 .46859 L
.37196 .46887 L
.36825 .47342 L
.36712 .47593 L
.36616 .47826 L
.36229 .48293 L
.36164 .48309 L
.35812 .48792 L
.35746 .48877 L
.35455 .49275 L
.35263 .49548 L
.35087 .49758 L
.3478 .5021 L
.34725 .50242 L
.34327 .50725 L
.34296 .50807 L
.34058 .51208 L
.33813 .51459 L
.33619 .51691 L
.3333 .5211 L
.33248 .52174 L
.32878 .52658 L
.32847 .52691 L
.3261 .53141 L
.32364 .53306 L
.32085 .53624 L
.31881 .53924 L
.31669 .54107 L
.31397 .54426 L
.31218 .5459 L
.30914 .54888 L
.30596 .5459 L
.30778 .54107 L
.30914 .5395 L
.31101 .53624 L
.31397 .53158 L
.31408 .53141 L
.31766 .52658 L
.31881 .52374 L
.31943 .52174 L
.32364 .51749 L
.32404 .51691 L
.32746 .51208 L
.32847 .51068 L
.331 .50725 L
.3333 .50376 L
.33458 .50242 L
.33813 .4976 L
.33815 .49758 L
.34233 .49275 L
.34296 .49111 L
.34471 .48792 L
.3478 .48445 L
.34903 .48309 L
.35263 .47826 L
.35265 .47826 L
.35638 .47342 L
.35746 .47201 L
.35837 .46859 L
.36229 .46554 L
.36389 .46376 L
.36712 .45921 L
.36766 .45893 L
.37132 .4541 L
.37196 .45359 L
.37562 .44927 L
.37679 .44771 L
.37998 .44443 L
.38162 .44193 L
.385 .4396 L
F
1 .775 .001 r
.36229 .43126 m
.36693 .43477 L
.36401 .4396 L
.36229 .44223 L
.36083 .44443 L
.35756 .44927 L
.35746 .44952 L
.35502 .4541 L
.35263 .45734 L
.35071 .45893 L
.3478 .46299 L
.34721 .46376 L
.34374 .46859 L
.34296 .46972 L
.34197 .47342 L
.33813 .47676 L
.33638 .47826 L
.3333 .48241 L
.33275 .48309 L
.32934 .48792 L
.32847 .48878 L
.32521 .49275 L
.32364 .49537 L
.3213 .49758 L
.31881 .50081 L
.31734 .50242 L
.31397 .50649 L
.31322 .50725 L
.30914 .51162 L
.30625 .50725 L
.30895 .50242 L
.30914 .50192 L
.31192 .49758 L
.31397 .49454 L
.31515 .49275 L
.31875 .48792 L
.31881 .48735 L
.32154 .48309 L
.32364 .48004 L
.32531 .47826 L
.32847 .47392 L
.32884 .47342 L
.33267 .46859 L
.3333 .46735 L
.33497 .46376 L
.33813 .46062 L
.33971 .45893 L
.34296 .45464 L
.34341 .4541 L
.34706 .44927 L
.3478 .44845 L
.35104 .44443 L
.35263 .44218 L
.35505 .4396 L
.35746 .43548 L
.35922 .43477 L
F
.001 .775 1 r
.37679 .43296 m
.37895 .43477 L
.37728 .4396 L
.37679 .44005 L
.37431 .44443 L
.37196 .44822 L
.37129 .44927 L
.36811 .4541 L
.36712 .45615 L
.3648 .45893 L
.36229 .46247 L
.36137 .46376 L
.35756 .46859 L
.35746 .46931 L
.35481 .47342 L
.35263 .47635 L
.35082 .47826 L
.3478 .48238 L
.34725 .48309 L
.34353 .48792 L
.34296 .48889 L
.34112 .49275 L
.33813 .49557 L
.33626 .49758 L
.3333 .50232 L
.33258 .50242 L
.32897 .50725 L
.32847 .50777 L
.32497 .51208 L
.32364 .51406 L
.32099 .51691 L
.31881 .52063 L
.31688 .52174 L
.31397 .52518 L
.31248 .52658 L
.30914 .52991 L
.30635 .52658 L
.30865 .52174 L
.30914 .5211 L
.31159 .51691 L
.31397 .51324 L
.31471 .51208 L
.31835 .50725 L
.31881 .50574 L
.32059 .50242 L
.32364 .49807 L
.32471 .49758 L
.32817 .49275 L
.32847 .49237 L
.33189 .48792 L
.3333 .48558 L
.33356 .48309 L
.33813 .47877 L
.3389 .47826 L
.34292 .47342 L
.34296 .47287 L
.34584 .46859 L
.3478 .46637 L
.34992 .46376 L
.35263 .45981 L
.35368 .45893 L
.35743 .4541 L
.35746 .45406 L
.3606 .44927 L
.36229 .44805 L
.36545 .44443 L
.36712 .44199 L
.36979 .4396 L
.37196 .43714 L
.37474 .43477 L
F
.021 .875 1 r
.39128 .44843 m
.39612 .44475 L
.39732 .44927 L
.39612 .45182 L
.39501 .4541 L
.39198 .45893 L
.39128 .46154 L
.39045 .46376 L
.38645 .46792 L
.38601 .46859 L
.38275 .47342 L
.38162 .47514 L
.37916 .47826 L
.37679 .48236 L
.37581 .48309 L
.37231 .48792 L
.37196 .48835 L
.36784 .49275 L
.36712 .49507 L
.36559 .49758 L
.36229 .50178 L
.36157 .50242 L
.358 .50725 L
.35746 .50786 L
.3541 .51208 L
.35263 .51443 L
.35204 .51691 L
.3478 .521 L
.34705 .52174 L
.34342 .52658 L
.34296 .52705 L
.34001 .53141 L
.33813 .53346 L
.33595 .53624 L
.3333 .53991 L
.33219 .54107 L
.32847 .5459 L
.32846 .5459 L
.32518 .55073 L
.32364 .55182 L
.32043 .55557 L
.31881 .55774 L
.31608 .5604 L
.31397 .56365 L
.31104 .56523 L
.30914 .56686 L
.30659 .56523 L
.30739 .5604 L
.30914 .55877 L
.31084 .55557 L
.31377 .55073 L
.31397 .55035 L
.31704 .5459 L
.31881 .54179 L
.32019 .54107 L
.32359 .53624 L
.32364 .53618 L
.32801 .53141 L
.32847 .52918 L
.33023 .52658 L
.3333 .5222 L
.33408 .52174 L
.33761 .51691 L
.33813 .51626 L
.34161 .51208 L
.34296 .50958 L
.34376 .50725 L
.3478 .50293 L
.34845 .50242 L
.35204 .49758 L
.35263 .49689 L
.35553 .49275 L
.35746 .49034 L
.3594 .48792 L
.36229 .4838 L
.36306 .48309 L
.36688 .47826 L
.36712 .47781 L
.36975 .47342 L
.37196 .47147 L
.37431 .46859 L
.37679 .46509 L
.37815 .46376 L
.38162 .45894 L
.38202 .45893 L
.38567 .4541 L
.38645 .45369 L
.39066 .44927 L
F
0 .75 1 r
.30914 .48383 m
.31344 .48792 L
.30914 .49265 L
.30675 .48792 L
F
1 .75 0 r
.30914 .50282 m
.31271 .50725 L
.30914 .51088 L
.30682 .50725 L
F
1 .825 .004 r
.38162 .44278 m
.38645 .43978 L
.38677 .44443 L
.38645 .44511 L
.38439 .44927 L
.38162 .45404 L
.38159 .4541 L
.37891 .45893 L
.37679 .46149 L
.37529 .46376 L
.37196 .46857 L
.37194 .46859 L
.36814 .47342 L
.36712 .4757 L
.36607 .47826 L
.36229 .48287 L
.3615 .48309 L
.35799 .48792 L
.35746 .48861 L
.35445 .49275 L
.35263 .49533 L
.35075 .49758 L
.3478 .50202 L
.34712 .50242 L
.34322 .50725 L
.34296 .50792 L
.34045 .51208 L
.33813 .51442 L
.33604 .51691 L
.3333 .52096 L
.33231 .52174 L
.32858 .52658 L
.32847 .5267 L
.32571 .53141 L
.32364 .53275 L
.32054 .53624 L
.31881 .53883 L
.31622 .54107 L
.31397 .54362 L
.31125 .5459 L
.30914 .54771 L
.30702 .5459 L
.30865 .54107 L
.30914 .54052 L
.31145 .53624 L
.31397 .53215 L
.31443 .53141 L
.31784 .52658 L
.31881 .52413 L
.31953 .52174 L
.32364 .51777 L
.32424 .51691 L
.32763 .51208 L
.32847 .5109 L
.33112 .50725 L
.3333 .50393 L
.33471 .50242 L
.33813 .49777 L
.33828 .49758 L
.34239 .49275 L
.34296 .49126 L
.34481 .48792 L
.3478 .48459 L
.34916 .48309 L
.35263 .47828 L
.35279 .47826 L
.3565 .47342 L
.35746 .47219 L
.35853 .46859 L
.36229 .46575 L
.36408 .46376 L
.36712 .45934 L
.3679 .45893 L
.37171 .4541 L
.37196 .45391 L
.37599 .44927 L
.37679 .4482 L
.38056 .44443 L
F
0 .75 1 r
.30914 .52192 m
.3118 .52658 L
.30914 .529 L
.30709 .52658 L
F
0 .725 1 r
.30914 .48465 m
.31289 .48792 L
.30914 .49184 L
.30734 .48792 L
F
.461 .975 1 r
.42994 .47058 m
.43477 .46925 L
.4396 .47028 L
.44252 .47342 L
.4396 .47564 L
.43778 .47826 L
.43477 .48232 L
.43418 .48309 L
.43032 .48792 L
.42994 .48838 L
.42606 .49275 L
.42511 .49397 L
.4221 .49758 L
.42027 .49939 L
.41837 .50242 L
.41544 .50628 L
.41405 .50725 L
.41123 .51208 L
.41061 .5127 L
.40781 .51691 L
.40578 .51943 L
.40266 .52174 L
.40095 .52607 L
.40048 .52658 L
.39699 .53141 L
.39612 .53218 L
.39343 .53624 L
.39128 .53882 L
.38903 .54107 L
.38645 .54542 L
.38626 .5459 L
.38251 .55073 L
.38162 .5514 L
.37892 .55557 L
.37679 .55809 L
.37503 .5604 L
.37196 .56473 L
.37158 .56523 L
.368 .57006 L
.36712 .57054 L
.3633 .57489 L
.36229 .57731 L
.36105 .57973 L
.35746 .58399 L
.35704 .58456 L
.35344 .58939 L
.35263 .58959 L
.3495 .59422 L
.3478 .59644 L
.34737 .59905 L
.34296 .60315 L
.34242 .60388 L
.33877 .60872 L
.33813 .60958 L
.33537 .61355 L
.3333 .61528 L
.33122 .61838 L
.32847 .62182 L
.32738 .62321 L
.32364 .62788 L
.32348 .62804 L
.31967 .63288 L
.31881 .63314 L
.31453 .63771 L
.31397 .63819 L
.30914 .64176 L
.30739 .63771 L
.30914 .63354 L
.30945 .63288 L
.31226 .62804 L
.31397 .62507 L
.31509 .62321 L
.31832 .61838 L
.31881 .61756 L
.32303 .61355 L
.32364 .60973 L
.32507 .60872 L
.32847 .60427 L
.32874 .60388 L
.33224 .59905 L
.3333 .59746 L
.33645 .59422 L
.33813 .59037 L
.33875 .58939 L
.34296 .5847 L
.34307 .58456 L
.34665 .57973 L
.3478 .57805 L
.35027 .57489 L
.35263 .5712 L
.35394 .57006 L
.35746 .56532 L
.35753 .56523 L
.36175 .5604 L
.36229 .55876 L
.36414 .55557 L
.36712 .55202 L
.36846 .55073 L
.37196 .54598 L
.37202 .5459 L
.37569 .54107 L
.37679 .5395 L
.37781 .53624 L
.38162 .53283 L
.38299 .53141 L
.38645 .52659 L
.38653 .52658 L
.38983 .52174 L
.39128 .52026 L
.39392 .51691 L
.39612 .51364 L
.39755 .51208 L
.40095 .50732 L
.40108 .50725 L
.40405 .50242 L
.40578 .50111 L
.40858 .49758 L
.41061 .4946 L
.4123 .49275 L
.41544 .48827 L
.41602 .48792 L
.41985 .48309 L
.42027 .48287 L
.42374 .47826 L
.42511 .47658 L
.42741 .47342 L
F
1 .725 0 r
.30914 .5037 m
.31209 .50725 L
.30914 .51001 L
.30746 .50725 L
F
1 .775 .001 r
.30914 .46634 m
.31311 .46859 L
.30914 .47294 L
.30782 .46859 L
F
.212 .95 1 r
.41061 .45999 m
.41524 .46376 L
.41378 .46859 L
.41061 .47287 L
.4103 .47342 L
.4073 .47826 L
.40578 .48075 L
.40348 .48309 L
.40095 .4873 L
.40054 .48792 L
.39715 .49275 L
.39612 .49406 L
.39182 .49758 L
.39128 .5009 L
.38994 .50242 L
.38647 .50725 L
.38645 .50726 L
.38298 .51208 L
.38162 .5137 L
.37841 .51691 L
.37679 .52038 L
.37605 .52174 L
.3721 .52658 L
.37196 .52666 L
.36854 .53141 L
.36712 .53303 L
.3646 .53624 L
.36229 .53967 L
.36122 .54107 L
.3576 .5459 L
.35746 .54594 L
.35294 .55073 L
.35263 .55222 L
.35065 .55557 L
.3478 .55884 L
.34661 .5604 L
.34297 .56523 L
.34296 .56524 L
.33905 .57006 L
.33813 .57119 L
.3367 .57489 L
.3333 .57769 L
.33171 .57973 L
.32847 .58397 L
.32791 .58456 L
.32411 .58939 L
.32364 .58966 L
.31979 .59422 L
.31881 .5953 L
.31517 .59905 L
.31397 .60044 L
.30914 .60368 L
.30798 .59905 L
.30914 .59648 L
.31022 .59422 L
.3135 .58939 L
.31397 .58783 L
.3155 .58456 L
.31881 .58045 L
.31928 .57973 L
.32259 .57489 L
.32364 .57322 L
.32649 .57006 L
.32847 .56586 L
.32863 .56523 L
.33312 .5604 L
.3333 .56017 L
.33665 .55557 L
.33813 .55341 L
.34015 .55073 L
.34296 .54657 L
.34388 .5459 L
.34745 .54107 L
.3478 .54065 L
.35162 .53624 L
.35263 .53403 L
.3539 .53141 L
.35746 .52736 L
.35835 .52658 L
.36193 .52174 L
.36229 .52132 L
.36553 .51691 L
.36712 .51478 L
.36927 .51208 L
.37196 .50818 L
.3729 .50725 L
.3767 .50242 L
.37679 .5021 L
.37964 .49758 L
.38162 .49566 L
.38393 .49275 L
.38645 .48912 L
.3876 .48792 L
.39122 .48309 L
.39128 .48303 L
.39414 .47826 L
.39612 .47689 L
.39898 .47342 L
.40095 .47066 L
.40295 .46859 L
.40578 .46458 L
.4071 .46376 L
F
0 .7 1 r
.30914 .48565 m
.31221 .48792 L
.30914 .49084 L
.30801 .48792 L
F
0 .725 1 r
.30914 .5231 m
.31088 .52658 L
.30914 .52786 L
.30801 .52658 L
F
1 .7 0 r
.30914 .50485 m
.31127 .50725 L
.30914 .5089 L
.30824 .50725 L
F
1 .75 0 r
.30914 .46767 m
.3122 .46859 L
.30914 .47154 L
.30866 .46859 L
F
1 .8 .002 r
.30914 .54206 m
.30965 .5459 L
.30914 .54615 L
.30868 .5459 L
F
0 .675 1 r
.30914 .48716 m
.31118 .48792 L
.30914 .48925 L
.30887 .48792 L
F
1 .925 .098 r
.40095 .45506 m
.40456 .45893 L
.40226 .46376 L
.40095 .46591 L
.39944 .46859 L
.39633 .47342 L
.39612 .47377 L
.39213 .47826 L
.39128 .48141 L
.39005 .48309 L
.38645 .48771 L
.38631 .48792 L
.3829 .49275 L
.38162 .49446 L
.37883 .49758 L
.37679 .50129 L
.37659 .50242 L
.3722 .50725 L
.37196 .50749 L
.36865 .51208 L
.36712 .51403 L
.36506 .51691 L
.36229 .52067 L
.36137 .52174 L
.35777 .52658 L
.35746 .52684 L
.35355 .53141 L
.35263 .53328 L
.35122 .53624 L
.3478 .53985 L
.34677 .54107 L
.34313 .5459 L
.34296 .54601 L
.33944 .55073 L
.33813 .55223 L
.33561 .55557 L
.3333 .55864 L
.3318 .5604 L
.32847 .56483 L
.32798 .56523 L
.32422 .57006 L
.32364 .57045 L
.31974 .57489 L
.31881 .57602 L
.31497 .57973 L
.31397 .58102 L
.30914 .58309 L
.30901 .57973 L
.30914 .57938 L
.31107 .57489 L
.31395 .57006 L
.31397 .56951 L
.31653 .56523 L
.31881 .56215 L
.31994 .5604 L
.32325 .55557 L
.32364 .55498 L
.32733 .55073 L
.32847 .54772 L
.32949 .5459 L
.3333 .5416 L
.33368 .54107 L
.33718 .53624 L
.33813 .53494 L
.34092 .53141 L
.34296 .52813 L
.34439 .52658 L
.3478 .52198 L
.34798 .52174 L
.35233 .51691 L
.35263 .51551 L
.35476 .51208 L
.35746 .50886 L
.35888 .50725 L
.36229 .5025 L
.36248 .50242 L
.36627 .49758 L
.36712 .49632 L
.36858 .49275 L
.37196 .48978 L
.37357 .48792 L
.37679 .48339 L
.37722 .48309 L
.38075 .47826 L
.38162 .47746 L
.38484 .47342 L
.38645 .4712 L
.38877 .46859 L
.39128 .46498 L
.3928 .46376 L
.39612 .45984 L
.39708 .45893 L
F
.002 .8 1 r
.30914 .4491 m
.3125 .44927 L
.30914 .45287 L
.30905 .44927 L
F
.001 .775 1 r
.35263 .42527 m
.35677 .42994 L
.35488 .43477 L
.35263 .43635 L
.35038 .4396 L
.3478 .44337 L
.34702 .44443 L
.34381 .44927 L
.34296 .45044 L
.34004 .4541 L
.33813 .45674 L
.33644 .45893 L
.3333 .46325 L
.33289 .46376 L
.32978 .46859 L
.32847 .46985 L
.32544 .47342 L
.32364 .47698 L
.32163 .47826 L
.31881 .48195 L
.3178 .48309 L
.31397 .48785 L
.30916 .48309 L
.31105 .47826 L
.31397 .47581 L
.31559 .47342 L
.31881 .46884 L
.31898 .46859 L
.32239 .46376 L
.32364 .46189 L
.32596 .45893 L
.32847 .45468 L
.32958 .4541 L
.33325 .44927 L
.3333 .44913 L
.3364 .44443 L
.33813 .44272 L
.34072 .4396 L
.34296 .43605 L
.34463 .43477 L
.3478 .43084 L
.34863 .42994 L
F
0 .75 1 r
.37196 .43775 m
.37644 .4396 L
.37392 .44443 L
.37196 .4477 L
.37098 .44927 L
.3679 .4541 L
.36712 .45572 L
.3646 .45893 L
.36229 .46221 L
.3612 .46376 L
.35754 .46859 L
.35746 .46909 L
.35468 .47342 L
.35263 .47617 L
.35069 .47826 L
.3478 .48221 L
.34712 .48309 L
.34344 .48792 L
.34296 .48872 L
.34097 .49275 L
.33813 .4954 L
.33612 .49758 L
.3333 .50227 L
.33242 .50242 L
.32877 .50725 L
.32847 .50755 L
.32478 .51208 L
.32364 .51378 L
.32073 .51691 L
.31881 .52033 L
.31651 .52174 L
.31397 .52467 L
.30923 .52174 L
.31194 .51691 L
.31397 .51371 L
.315 .51208 L
.31847 .50725 L
.31881 .50612 L
.32075 .50242 L
.32364 .49823 L
.32489 .49758 L
.32834 .49275 L
.32847 .49258 L
.332 .48792 L
.3333 .48577 L
.33362 .48309 L
.33813 .47888 L
.33904 .47826 L
.34293 .47342 L
.34296 .47304 L
.34598 .46859 L
.3478 .46656 L
.35008 .46376 L
.35263 .45998 L
.35387 .45893 L
.35746 .45431 L
.35765 .4541 L
.36099 .44927 L
.36229 .44836 L
.36577 .44443 L
.36712 .44242 L
.37027 .4396 L
F
.01 .85 1 r
.39128 .44961 m
.39419 .4541 L
.39159 .45893 L
.39128 .46015 L
.3902 .46376 L
.38645 .46736 L
.38567 .46859 L
.38246 .47342 L
.38162 .47474 L
.37897 .47826 L
.37679 .48216 L
.37562 .48309 L
.37213 .48792 L
.37196 .48814 L
.36777 .49275 L
.36712 .49488 L
.3655 .49758 L
.36229 .50166 L
.36144 .50242 L
.35788 .50725 L
.35746 .50772 L
.35401 .51208 L
.35263 .51427 L
.35198 .51691 L
.3478 .52087 L
.34691 .52174 L
.34328 .52658 L
.34296 .5269 L
.33986 .53141 L
.33813 .53326 L
.33577 .53624 L
.3333 .53969 L
.33197 .54107 L
.32847 .54584 L
.32817 .5459 L
.32465 .55073 L
.32364 .55141 L
.31996 .55557 L
.31881 .55711 L
.31529 .5604 L
.31397 .56255 L
.30932 .5604 L
.31151 .55557 L
.31397 .55126 L
.31428 .55073 L
.31734 .5459 L
.31881 .54225 L
.32049 .54107 L
.32364 .53653 L
.32384 .53624 L
.32808 .53141 L
.32847 .52945 L
.33036 .52658 L
.3333 .52231 L
.33423 .52174 L
.33775 .51691 L
.33813 .51643 L
.3417 .51208 L
.34296 .50973 L
.34382 .50725 L
.3478 .50303 L
.34857 .50242 L
.35215 .49758 L
.35263 .49703 L
.35564 .49275 L
.35746 .4905 L
.35953 .48792 L
.36229 .48394 L
.36321 .48309 L
.36697 .47826 L
.36712 .47798 L
.36997 .47342 L
.37196 .47172 L
.37454 .46859 L
.37679 .46539 L
.37846 .46376 L
.38162 .45899 L
.38246 .45893 L
.38645 .45433 L
.3867 .4541 L
F
1 .75 0 r
.36229 .43184 m
.36642 .43477 L
.36367 .4396 L
.36229 .44177 L
.36055 .44443 L
.35746 .44914 L
.35737 .44927 L
.35479 .4541 L
.35263 .45705 L
.35053 .45893 L
.3478 .46276 L
.34704 .46376 L
.34359 .46859 L
.34296 .46949 L
.34179 .47342 L
.33813 .47657 L
.33622 .47826 L
.3333 .4822 L
.33257 .48309 L
.3291 .48792 L
.32847 .48854 L
.32502 .49275 L
.32364 .49509 L
.32106 .49758 L
.31881 .50048 L
.31701 .50242 L
.31397 .50604 L
.30938 .50242 L
.31225 .49758 L
.31397 .49499 L
.31542 .49275 L
.31879 .48792 L
.31881 .48772 L
.32173 .48309 L
.32364 .48032 L
.3255 .47826 L
.32847 .47418 L
.32903 .47342 L
.33278 .46859 L
.3333 .46759 L
.33514 .46376 L
.33813 .46084 L
.3399 .45893 L
.34296 .45489 L
.34362 .4541 L
.34729 .44927 L
.3478 .44872 L
.35129 .44443 L
.35263 .44251 L
.35536 .4396 L
.35746 .43579 L
.35967 .43477 L
F
1 .8 .002 r
.38162 .44383 m
.38578 .44443 L
.38385 .44927 L
.38162 .45334 L
.38118 .4541 L
.37862 .45893 L
.37679 .46109 L
.37505 .46376 L
.37196 .46828 L
.37174 .46859 L
.36803 .47342 L
.36712 .47547 L
.36598 .47826 L
.36229 .48279 L
.36137 .48309 L
.35786 .48792 L
.35746 .48845 L
.35435 .49275 L
.35263 .49518 L
.35063 .49758 L
.3478 .50194 L
.347 .50242 L
.34317 .50725 L
.34296 .50777 L
.34031 .51208 L
.33813 .51425 L
.3359 .51691 L
.3333 .52081 L
.33213 .52174 L
.32847 .52646 L
.32837 .52658 L
.32527 .53141 L
.32364 .53243 L
.32021 .53624 L
.31881 .53838 L
.31569 .54107 L
.31397 .54295 L
.30954 .54107 L
.3119 .53624 L
.31397 .53276 L
.31478 .53141 L
.31804 .52658 L
.31881 .52457 L
.31964 .52174 L
.32364 .51806 L
.32443 .51691 L
.32781 .51208 L
.32847 .51113 L
.33124 .50725 L
.3333 .5041 L
.33485 .50242 L
.33813 .49795 L
.33841 .49758 L
.34244 .49275 L
.34296 .49142 L
.34491 .48792 L
.3478 .48474 L
.34929 .48309 L
.35263 .4783 L
.35293 .47826 L
.35662 .47342 L
.35746 .47237 L
.3587 .46859 L
.36229 .46596 L
.36427 .46376 L
.36712 .45949 L
.36815 .45893 L
.37196 .45424 L
.37209 .4541 L
.37638 .44927 L
.37679 .44872 L
.38124 .44443 L
F
0 .75 1 r
.35263 .4259 m
.35629 .42994 L
.35425 .43477 L
.35263 .43587 L
.35008 .4396 L
.3478 .44299 L
.34675 .44443 L
.34354 .44927 L
.34296 .45005 L
.33983 .4541 L
.33813 .45645 L
.33623 .45893 L
.3333 .46297 L
.33266 .46376 L
.32946 .46859 L
.32847 .46952 L
.32522 .47342 L
.32364 .47666 L
.32135 .47826 L
.31881 .48158 L
.31745 .48309 L
.31397 .48737 L
.3096 .48309 L
.31149 .47826 L
.31397 .4763 L
.3159 .47342 L
.31881 .46925 L
.31927 .46859 L
.32263 .46376 L
.32364 .46226 L
.32621 .45893 L
.32847 .45489 L
.32984 .4541 L
.3333 .44947 L
.33346 .44927 L
.33673 .44443 L
.33813 .44308 L
.34102 .4396 L
.34296 .43639 L
.34499 .43477 L
.3478 .43132 L
.3491 .42994 L
F
0 .725 1 r
.37196 .43841 m
.37571 .4396 L
.37351 .44443 L
.37196 .44713 L
.37067 .44927 L
.36767 .4541 L
.36712 .45525 L
.3644 .45893 L
.36229 .46195 L
.36102 .46376 L
.3575 .46859 L
.35746 .46886 L
.35454 .47342 L
.35263 .47598 L
.35056 .47826 L
.3478 .48203 L
.34698 .48309 L
.34334 .48792 L
.34296 .48855 L
.34082 .49275 L
.33813 .49523 L
.33598 .49758 L
.3333 .50221 L
.33225 .50242 L
.32855 .50725 L
.32847 .50733 L
.32458 .51208 L
.32364 .51349 L
.32046 .51691 L
.31881 .51996 L
.3161 .52174 L
.31397 .52414 L
.30977 .52174 L
.3123 .51691 L
.31397 .51422 L
.31528 .51208 L
.31858 .50725 L
.31881 .50652 L
.32092 .50242 L
.32364 .49842 L
.32507 .49758 L
.32847 .4928 L
.32851 .49275 L
.33212 .48792 L
.3333 .48597 L
.33369 .48309 L
.33813 .479 L
.33919 .47826 L
.34294 .47342 L
.34296 .47321 L
.34613 .46859 L
.3478 .46676 L
.35024 .46376 L
.35263 .46015 L
.35405 .45893 L
.35746 .45457 L
.35788 .4541 L
.36143 .44927 L
.36229 .44869 L
.3661 .44443 L
.36712 .4429 L
.37082 .4396 L
F
1 .725 0 r
.36229 .43245 m
.36586 .43477 L
.36332 .4396 L
.36229 .44126 L
.36027 .44443 L
.35746 .44878 L
.35712 .44927 L
.35454 .4541 L
.35263 .45672 L
.35035 .45893 L
.3478 .46253 L
.34687 .46376 L
.34343 .46859 L
.34296 .46926 L
.34158 .47342 L
.33813 .47636 L
.33606 .47826 L
.3333 .48198 L
.33239 .48309 L
.32885 .48792 L
.32847 .48829 L
.32482 .49275 L
.32364 .49479 L
.32081 .49758 L
.31881 .50013 L
.31665 .50242 L
.31397 .50555 L
.30983 .50242 L
.31259 .49758 L
.31397 .49546 L
.3157 .49275 L
.31881 .4881 L
.31893 .48792 L
.32194 .48309 L
.32364 .48061 L
.3257 .47826 L
.32847 .47444 L
.32922 .47342 L
.3329 .46859 L
.3333 .46783 L
.33533 .46376 L
.33813 .46107 L
.34009 .45893 L
.34296 .45515 L
.34383 .4541 L
.34755 .44927 L
.3478 .449 L
.35154 .44443 L
.35263 .44286 L
.35569 .4396 L
.35746 .43621 L
.36015 .43477 L
F
0 .725 1 r
.35263 .42657 m
.35576 .42994 L
.35351 .43477 L
.35263 .43535 L
.34978 .4396 L
.3478 .44259 L
.34647 .44443 L
.34324 .44927 L
.34296 .44964 L
.33961 .4541 L
.33813 .45616 L
.33601 .45893 L
.3333 .46268 L
.33243 .46376 L
.3291 .46859 L
.32847 .46918 L
.32498 .47342 L
.32364 .47629 L
.32107 .47826 L
.31881 .4812 L
.31708 .48309 L
.31397 .48686 L
.31006 .48309 L
.31205 .47826 L
.31397 .47682 L
.31622 .47342 L
.31881 .46967 L
.31957 .46859 L
.32289 .46376 L
.32364 .46266 L
.32647 .45893 L
.32847 .45514 L
.3301 .4541 L
.3333 .44981 L
.33374 .44927 L
.3371 .44443 L
.33813 .44347 L
.34133 .4396 L
.34296 .43679 L
.34537 .43477 L
.3478 .43181 L
.34961 .42994 L
F
1 .8 .002 r
.33813 .42589 m
.34279 .42994 L
.33942 .43477 L
.33813 .43665 L
.33594 .4396 L
.3333 .44339 L
.33249 .44443 L
.32954 .44927 L
.32847 .45025 L
.32521 .4541 L
.32364 .45626 L
.32143 .45893 L
.31881 .46243 L
.31764 .46376 L
.31397 .46839 L
.31015 .46376 L
.31292 .45893 L
.31397 .4575 L
.31664 .4541 L
.31881 .45107 L
.32013 .44927 L
.32363 .44443 L
.32364 .44442 L
.32588 .4396 L
.32847 .43758 L
.33102 .43477 L
.3333 .43182 L
.33489 .42994 L
F
1 .7 0 r
.36229 .43312 m
.36522 .43477 L
.36295 .4396 L
.36229 .4407 L
.35997 .44443 L
.35746 .4484 L
.35687 .44927 L
.35427 .4541 L
.35263 .45635 L
.35016 .45893 L
.3478 .46229 L
.34669 .46376 L
.34326 .46859 L
.34296 .46901 L
.34135 .47342 L
.33813 .47614 L
.33589 .47826 L
.3333 .48176 L
.33221 .48309 L
.32858 .48792 L
.32847 .48803 L
.32461 .49275 L
.32364 .49446 L
.32054 .49758 L
.31881 .49978 L
.31626 .50242 L
.31397 .50504 L
.31032 .50242 L
.31294 .49758 L
.31397 .49596 L
.31598 .49275 L
.31881 .48847 L
.31918 .48792 L
.32216 .48309 L
.32364 .48093 L
.3259 .47826 L
.32847 .4747 L
.32941 .47342 L
.33302 .46859 L
.3333 .46808 L
.33553 .46376 L
.33813 .46131 L
.34028 .45893 L
.34296 .45541 L
.34405 .4541 L
.3478 .44929 L
.34782 .44927 L
.35181 .44443 L
.35263 .44324 L
.35604 .4396 L
.35746 .43673 L
.3607 .43477 L
F
0 .7 1 r
.37196 .43913 m
.37477 .4396 L
.37308 .44443 L
.37196 .44648 L
.37034 .44927 L
.36742 .4541 L
.36712 .45473 L
.36419 .45893 L
.36229 .46168 L
.36084 .46376 L
.35747 .46859 L
.35746 .46862 L
.3544 .47342 L
.35263 .47578 L
.35042 .47826 L
.3478 .48185 L
.34684 .48309 L
.34324 .48792 L
.34296 .48837 L
.34066 .49275 L
.33813 .49505 L
.33584 .49758 L
.3333 .50213 L
.33208 .50242 L
.32847 .5071 L
.32834 .50725 L
.32437 .51208 L
.32364 .51319 L
.32018 .51691 L
.31881 .51953 L
.31565 .52174 L
.31397 .52357 L
.31036 .52174 L
.31268 .51691 L
.31397 .51476 L
.31558 .51208 L
.31871 .50725 L
.31881 .50694 L
.32111 .50242 L
.32364 .49864 L
.32525 .49758 L
.32847 .49303 L
.32867 .49275 L
.33224 .48792 L
.3333 .48618 L
.33378 .48309 L
.33813 .47913 L
.33933 .47826 L
.34296 .47342 L
.34296 .47338 L
.34629 .46859 L
.3478 .46696 L
.35041 .46376 L
.35263 .46034 L
.35425 .45893 L
.35746 .45483 L
.35812 .4541 L
.36192 .44927 L
.36229 .44902 L
.36646 .44443 L
.36712 .44343 L
.37147 .4396 L
F
1 .775 .001 r
.37679 .44928 m
.38077 .4541 L
.3783 .45893 L
.37679 .46066 L
.3748 .46376 L
.37196 .46797 L
.37153 .46859 L
.36791 .47342 L
.36712 .47522 L
.36588 .47826 L
.36229 .48271 L
.36123 .48309 L
.35773 .48792 L
.35746 .48828 L
.35425 .49275 L
.35263 .49502 L
.35051 .49758 L
.3478 .50185 L
.34688 .50242 L
.34312 .50725 L
.34296 .50762 L
.34016 .51208 L
.33813 .51407 L
.33575 .51691 L
.3333 .52066 L
.33195 .52174 L
.32847 .52621 L
.32814 .52658 L
.32477 .53141 L
.32364 .5321 L
.31987 .53624 L
.31881 .53788 L
.31509 .54107 L
.31397 .54223 L
.31038 .54107 L
.31238 .53624 L
.31397 .53343 L
.31513 .53141 L
.31823 .52658 L
.31881 .52507 L
.31979 .52174 L
.32364 .51835 L
.32462 .51691 L
.32798 .51208 L
.32847 .51137 L
.33136 .50725 L
.3333 .50427 L
.33498 .50242 L
.33813 .49812 L
.33854 .49758 L
.3425 .49275 L
.34296 .49158 L
.34502 .48792 L
.3478 .48489 L
.34942 .48309 L
.35263 .47833 L
.35307 .47826 L
.35675 .47342 L
.35746 .47255 L
.3589 .46859 L
.36229 .46617 L
.36447 .46376 L
.36712 .45965 L
.3684 .45893 L
.37196 .4546 L
.37245 .4541 L
F
0 .7 1 r
.35263 .42731 m
.35518 .42994 L
.35263 .43477 L
.35263 .43477 L
.34947 .4396 L
.3478 .44216 L
.34619 .44443 L
.34296 .44921 L
.34292 .44927 L
.33939 .4541 L
.33813 .45586 L
.33578 .45893 L
.3333 .46238 L
.33219 .46376 L
.32871 .46859 L
.32847 .46882 L
.32474 .47342 L
.32364 .47586 L
.32077 .47826 L
.31881 .4808 L
.31667 .48309 L
.31397 .48631 L
.31056 .48309 L
.31273 .47826 L
.31397 .47737 L
.31655 .47342 L
.31881 .47011 L
.31987 .46859 L
.32318 .46376 L
.32364 .46309 L
.32673 .45893 L
.32847 .45545 L
.33036 .4541 L
.3333 .45017 L
.33403 .44927 L
.33751 .44443 L
.33813 .44387 L
.34165 .4396 L
.34296 .43726 L
.34577 .43477 L
.3478 .43232 L
.35019 .42994 L
F
1 .775 .001 r
.33813 .42658 m
.34226 .42994 L
.33904 .43477 L
.33813 .43611 L
.33557 .4396 L
.3333 .44291 L
.33211 .44443 L
.32887 .44927 L
.32847 .44963 L
.32488 .4541 L
.32364 .4558 L
.32104 .45893 L
.31881 .4619 L
.31714 .46376 L
.31397 .46772 L
.31073 .46376 L
.31366 .45893 L
.31397 .45851 L
.31708 .4541 L
.31881 .45167 L
.32056 .44927 L
.32364 .44499 L
.32407 .44443 L
.32664 .4396 L
.32847 .43823 L
.33147 .43477 L
.3333 .43241 L
.33541 .42994 L
F
.004 .825 1 r
.38645 .45501 m
.39108 .45893 L
.38984 .46376 L
.38645 .46678 L
.38534 .46859 L
.38217 .47342 L
.38162 .47431 L
.37879 .47826 L
.37679 .48194 L
.37543 .48309 L
.37196 .48792 L
.37196 .48792 L
.3677 .49275 L
.36712 .49469 L
.3654 .49758 L
.36229 .50153 L
.36132 .50242 L
.35775 .50725 L
.35746 .50758 L
.35392 .51208 L
.35263 .51411 L
.35191 .51691 L
.3478 .52073 L
.34678 .52174 L
.34314 .52658 L
.34296 .52676 L
.3397 .53141 L
.33813 .53305 L
.33558 .53624 L
.3333 .53945 L
.33174 .54107 L
.32847 .54577 L
.32787 .5459 L
.32404 .55073 L
.32364 .55099 L
.31945 .55557 L
.31881 .55642 L
.3143 .5604 L
.31397 .56093 L
.31083 .5604 L
.31223 .55557 L
.31397 .55223 L
.31479 .55073 L
.31766 .5459 L
.31881 .54288 L
.32078 .54107 L
.32364 .53689 L
.32408 .53624 L
.32815 .53141 L
.32847 .52973 L
.33049 .52658 L
.3333 .52244 L
.33439 .52174 L
.33789 .51691 L
.33813 .51661 L
.34178 .51208 L
.34296 .5099 L
.34389 .50725 L
.3478 .50313 L
.34869 .50242 L
.35227 .49758 L
.35263 .49717 L
.35575 .49275 L
.35746 .49066 L
.35966 .48792 L
.36229 .48408 L
.36336 .48309 L
.36706 .47826 L
.36712 .47815 L
.37021 .47342 L
.37196 .47196 L
.37478 .46859 L
.37679 .46569 L
.37878 .46376 L
.38162 .4591 L
.38293 .45893 L
F
1 .675 0 r
.36229 .43387 m
.3644 .43477 L
.36255 .4396 L
.36229 .44006 L
.35967 .44443 L
.35746 .448 L
.3566 .44927 L
.35396 .4541 L
.35263 .45594 L
.34998 .45893 L
.3478 .46204 L
.34651 .46376 L
.34308 .46859 L
.34296 .46876 L
.34109 .47342 L
.33813 .4759 L
.33573 .47826 L
.3333 .48154 L
.33202 .48309 L
.32847 .48777 L
.32834 .48792 L
.3244 .49275 L
.32364 .49411 L
.32027 .49758 L
.31881 .49941 L
.31583 .50242 L
.31397 .50448 L
.31086 .50242 L
.3133 .49758 L
.31397 .4965 L
.31627 .49275 L
.31881 .48886 L
.31943 .48792 L
.3224 .48309 L
.32364 .48128 L
.3261 .47826 L
.32847 .47497 L
.32961 .47342 L
.33316 .46859 L
.3333 .46834 L
.33576 .46376 L
.33813 .46156 L
.34048 .45893 L
.34296 .45567 L
.34427 .4541 L
.3478 .44959 L
.34808 .44927 L
.35208 .44443 L
.35263 .44363 L
.35641 .4396 L
.35746 .43739 L
.36137 .43477 L
F
0 .675 1 r
.36712 .44401 m
.37196 .44 L
.37261 .44443 L
.37196 .44573 L
.37 .44927 L
.36715 .4541 L
.36712 .45415 L
.36399 .45893 L
.36229 .4614 L
.36066 .46376 L
.35746 .46839 L
.35731 .46859 L
.35425 .47342 L
.35263 .47558 L
.35029 .47826 L
.3478 .48168 L
.34671 .48309 L
.34313 .48792 L
.34296 .48819 L
.34048 .49275 L
.33813 .49487 L
.33569 .49758 L
.3333 .50203 L
.33191 .50242 L
.32847 .50687 L
.32813 .50725 L
.32416 .51208 L
.32364 .51287 L
.31989 .51691 L
.31881 .51903 L
.31513 .52174 L
.31397 .52294 L
.31105 .52174 L
.31308 .51691 L
.31397 .51536 L
.31588 .51208 L
.31881 .50738 L
.31889 .50725 L
.32132 .50242 L
.32364 .49891 L
.32543 .49758 L
.32847 .49327 L
.32884 .49275 L
.33236 .48792 L
.3333 .48639 L
.33389 .48309 L
.33813 .47926 L
.33948 .47826 L
.34296 .47357 L
.34308 .47342 L
.34646 .46859 L
.3478 .46716 L
.35057 .46376 L
.35263 .46053 L
.35444 .45893 L
.35746 .4551 L
.35836 .4541 L
.36229 .44937 L
.36239 .44927 L
.36685 .44443 L
F
.004 .825 1 r
.31397 .44015 m
.31748 .44443 L
.31397 .449 L
.31109 .44443 L
F
0 .675 1 r
.3478 .43287 m
.35214 .43477 L
.34914 .4396 L
.3478 .44171 L
.34589 .44443 L
.34296 .44884 L
.34264 .44927 L
.33917 .4541 L
.33813 .45555 L
.33555 .45893 L
.3333 .46207 L
.33194 .46376 L
.32847 .46846 L
.32835 .46859 L
.32449 .47342 L
.32364 .47536 L
.32045 .47826 L
.31881 .48038 L
.31621 .48309 L
.31397 .4857 L
.3111 .48309 L
.31356 .47826 L
.31397 .47797 L
.31688 .47342 L
.31881 .47057 L
.32018 .46859 L
.32349 .46376 L
.32364 .46355 L
.327 .45893 L
.32847 .45583 L
.33064 .4541 L
.3333 .45053 L
.33432 .44927 L
.33797 .44443 L
.33813 .44429 L
.34199 .4396 L
.34296 .4378 L
.34619 .43477 L
F
1 .75 0 r
.31397 .45948 m
.31657 .46376 L
.31397 .46696 L
.31138 .46376 L
F
1 .65 0 r
.35746 .43819 m
.36208 .4396 L
.35935 .44443 L
.35746 .44756 L
.35633 .44927 L
.35363 .4541 L
.35263 .45549 L
.34979 .45893 L
.3478 .46179 L
.34633 .46376 L
.34296 .46851 L
.3429 .46859 L
.3408 .47342 L
.33813 .47564 L
.33556 .47826 L
.3333 .48131 L
.33183 .48309 L
.32847 .48751 L
.32811 .48792 L
.32418 .49275 L
.32364 .49373 L
.31997 .49758 L
.31881 .49903 L
.31532 .50242 L
.31397 .50386 L
.31148 .50242 L
.31369 .49758 L
.31397 .49711 L
.31657 .49275 L
.31881 .48926 L
.3197 .48792 L
.32266 .48309 L
.32364 .48166 L
.3263 .47826 L
.32847 .47524 L
.32981 .47342 L
.3333 .4686 L
.33331 .46859 L
.33601 .46376 L
.33813 .46183 L
.34068 .45893 L
.34296 .45593 L
.34449 .4541 L
.3478 .44989 L
.34835 .44927 L
.35237 .44443 L
.35263 .44406 L
.35681 .4396 L
F
1 .75 0 r
.37679 .44982 m
.38033 .4541 L
.37794 .45893 L
.37679 .46022 L
.37456 .46376 L
.37196 .46765 L
.37132 .46859 L
.3678 .47342 L
.36712 .47496 L
.36576 .47826 L
.36229 .4826 L
.36109 .48309 L
.3576 .48792 L
.35746 .48811 L
.35414 .49275 L
.35263 .49486 L
.3504 .49758 L
.3478 .50176 L
.34675 .50242 L
.34306 .50725 L
.34296 .50747 L
.34001 .51208 L
.33813 .51389 L
.3356 .51691 L
.3333 .52049 L
.33176 .52174 L
.32847 .52595 L
.32791 .52658 L
.32423 .53141 L
.32364 .53175 L
.3195 .53624 L
.31881 .53731 L
.31434 .54107 L
.31397 .54142 L
.31151 .54107 L
.31288 .53624 L
.31397 .53419 L
.3155 .53141 L
.31845 .52658 L
.31881 .52563 L
.31997 .52174 L
.32364 .51865 L
.32481 .51691 L
.32815 .51208 L
.32847 .51161 L
.33149 .50725 L
.3333 .50446 L
.33512 .50242 L
.33813 .4983 L
.33867 .49758 L
.34256 .49275 L
.34296 .49174 L
.34513 .48792 L
.3478 .48504 L
.34954 .48309 L
.35263 .47837 L
.35322 .47826 L
.35689 .47342 L
.35746 .47273 L
.35913 .46859 L
.36229 .46639 L
.36467 .46376 L
.36712 .45984 L
.36867 .45893 L
.37196 .45497 L
.37283 .4541 L
F
0 .65 1 r
.31397 .47871 m
.31567 .48309 L
.31397 .48501 L
.31172 .48309 L
F
.36229 .44972 m
.36687 .4541 L
.36377 .45893 L
.36229 .46111 L
.36047 .46376 L
.35746 .46815 L
.35714 .46859 L
.35409 .47342 L
.35263 .47536 L
.35015 .47826 L
.3478 .48149 L
.34657 .48309 L
.34302 .48792 L
.34296 .48801 L
.34029 .49275 L
.33813 .49467 L
.33554 .49758 L
.3333 .50192 L
.33174 .50242 L
.32847 .50663 L
.32792 .50725 L
.32393 .51208 L
.32364 .51253 L
.31957 .51691 L
.31881 .51845 L
.31449 .52174 L
.31397 .52223 L
.31196 .52174 L
.3135 .51691 L
.31397 .51605 L
.31619 .51208 L
.31881 .50778 L
.31915 .50725 L
.32156 .50242 L
.32364 .49923 L
.32561 .49758 L
.32847 .4935 L
.32901 .49275 L
.33249 .48792 L
.3333 .48661 L
.33401 .48309 L
.33813 .47941 L
.33963 .47826 L
.34296 .47377 L
.34324 .47342 L
.34663 .46859 L
.3478 .46737 L
.35074 .46376 L
.35263 .46074 L
.35464 .45893 L
.35746 .45537 L
.35862 .4541 L
F
.002 .8 1 r
.31397 .44143 m
.31658 .44443 L
.31397 .44783 L
.31204 .44443 L
F
1 .725 0 r
.31397 .46048 m
.31587 .46376 L
.31397 .46604 L
.31214 .46376 L
F
1 .975 .461 r
.42027 .46836 m
.42182 .46859 L
.42269 .47342 L
.42034 .47826 L
.42027 .47844 L
.4173 .48309 L
.41544 .4858 L
.41436 .48792 L
.41069 .49275 L
.41061 .49285 L
.40743 .49758 L
.40578 .49987 L
.40295 .50242 L
.40095 .50678 L
.40057 .50725 L
.39696 .51208 L
.39612 .51302 L
.39346 .51691 L
.39128 .51975 L
.38942 .52174 L
.38645 .52631 L
.3862 .52658 L
.38267 .53141 L
.38162 .53249 L
.3776 .53624 L
.37679 .53915 L
.37548 .54107 L
.37196 .54568 L
.37176 .5459 L
.36819 .55073 L
.36712 .55174 L
.36393 .55557 L
.36229 .5584 L
.36164 .5604 L
.35746 .56494 L
.35722 .56523 L
.3536 .57006 L
.35263 .57084 L
.34996 .57489 L
.3478 .57747 L
.34618 .57973 L
.34296 .58398 L
.34248 .58456 L
.33846 .58939 L
.33813 .58974 L
.33563 .59422 L
.3333 .59605 L
.33099 .59905 L
.32847 .60219 L
.32694 .60388 L
.32364 .60798 L
.32264 .60872 L
.31881 .61265 L
.31758 .61355 L
.31397 .61596 L
.31224 .61355 L
.31395 .60872 L
.31397 .60866 L
.31505 .60388 L
.31881 .60017 L
.31948 .59905 L
.32261 .59422 L
.32364 .59229 L
.32606 .58939 L
.32847 .58594 L
.32942 .58456 L
.33288 .57973 L
.3333 .57913 L
.33731 .57489 L
.33813 .57213 L
.33954 .57006 L
.34296 .56606 L
.34358 .56523 L
.34713 .5604 L
.3478 .55949 L
.351 .55557 L
.35263 .55273 L
.35307 .55073 L
.35746 .54607 L
.358 .5459 L
.36159 .54107 L
.36229 .54014 L
.36491 .53624 L
.36712 .53348 L
.36891 .53141 L
.37196 .52691 L
.37251 .52658 L
.3763 .52174 L
.37679 .52089 L
.37885 .51691 L
.38162 .51431 L
.38351 .51208 L
.38645 .50778 L
.38712 .50725 L
.39064 .50242 L
.39128 .50178 L
.3928 .49758 L
.39612 .49535 L
.39832 .49275 L
.40095 .48892 L
.40206 .48792 L
.40578 .48313 L
.40582 .48309 L
.40992 .47826 L
.41061 .47736 L
.41429 .47342 L
.41544 .47194 L
.41996 .46859 L
F
1 .625 0 r
.31397 .49785 m
.3147 .50242 L
.31397 .50314 L
.31228 .50242 L
F
1 .9 .045 r
.40095 .45706 m
.40284 .45893 L
.40121 .46376 L
.40095 .46419 L
.3987 .46859 L
.39612 .47282 L
.39576 .47342 L
.39189 .47826 L
.39128 .48085 L
.38982 .48309 L
.38645 .48729 L
.38603 .48792 L
.38265 .49275 L
.38162 .49415 L
.37866 .49758 L
.37679 .50107 L
.37657 .50242 L
.37203 .50725 L
.37196 .50732 L
.3685 .51208 L
.36712 .51384 L
.36495 .51691 L
.36229 .52051 L
.36123 .52174 L
.35762 .52658 L
.35746 .52671 L
.35346 .53141 L
.35263 .53309 L
.35111 .53624 L
.3478 .53965 L
.34659 .54107 L
.34296 .54588 L
.34293 .5459 L
.33925 .55073 L
.33813 .55196 L
.33535 .55557 L
.3333 .55827 L
.33145 .5604 L
.32847 .56447 L
.3275 .56523 L
.32364 .56982 L
.32339 .57006 L
.31884 .57489 L
.31881 .57494 L
.31397 .57879 L
.31235 .57489 L
.31397 .57132 L
.31461 .57006 L
.31707 .56523 L
.31881 .56296 L
.32039 .5604 L
.32363 .55557 L
.32364 .55555 L
.32751 .55073 L
.32847 .54808 L
.32963 .5459 L
.3333 .54188 L
.33388 .54107 L
.33736 .53624 L
.33813 .53517 L
.34104 .53141 L
.34296 .52831 L
.34453 .52658 L
.3478 .52216 L
.34811 .52174 L
.35236 .51691 L
.35263 .51567 L
.35486 .51208 L
.35746 .50901 L
.35901 .50725 L
.36229 .50256 L
.36262 .50242 L
.36638 .49758 L
.36712 .4965 L
.36873 .49275 L
.37196 .48998 L
.37375 .48792 L
.37679 .48355 L
.37745 .48309 L
.38106 .47826 L
.38162 .47777 L
.38516 .47342 L
.38645 .47165 L
.38924 .46859 L
.39128 .46555 L
.39353 .46376 L
.39612 .46087 L
.39854 .45893 L
F
0 .625 1 r
.31397 .47967 m
.31498 .48309 L
.31397 .48416 L
.31251 .48309 L
F
.098 .925 1 r
.31397 .40427 m
.31712 .40578 L
.31397 .41055 L
.31282 .40578 L
F
.31397 .59099 m
.31753 .59422 L
.31397 .59625 L
.31296 .59422 L
F
.002 .8 1 r
.38645 .45572 m
.39042 .45893 L
.38933 .46376 L
.38645 .46616 L
.38499 .46859 L
.38188 .47342 L
.38162 .47386 L
.37861 .47826 L
.37679 .48169 L
.37524 .48309 L
.37196 .48769 L
.37179 .48792 L
.36764 .49275 L
.36712 .49449 L
.36529 .49758 L
.36229 .5014 L
.36119 .50242 L
.35762 .50725 L
.35746 .50743 L
.35383 .51208 L
.35263 .51396 L
.35183 .51691 L
.3478 .52059 L
.34664 .52174 L
.343 .52658 L
.34296 .52661 L
.33954 .53141 L
.33813 .53285 L
.3354 .53624 L
.3333 .53922 L
.3315 .54107 L
.32847 .54567 L
.32755 .5459 L
.32364 .55055 L
.32345 .55073 L
.31888 .55557 L
.31881 .55567 L
.31397 .55933 L
.31302 .55557 L
.31397 .55345 L
.31532 .55073 L
.318 .5459 L
.31881 .5437 L
.32108 .54107 L
.32364 .53727 L
.32432 .53624 L
.3282 .53141 L
.32847 .53002 L
.33063 .52658 L
.3333 .52259 L
.33454 .52174 L
.33803 .51691 L
.33813 .51678 L
.34187 .51208 L
.34296 .51006 L
.34396 .50725 L
.3478 .50324 L
.34881 .50242 L
.35239 .49758 L
.35263 .49731 L
.35586 .49275 L
.35746 .49082 L
.35979 .48792 L
.36229 .48422 L
.36351 .48309 L
.36712 .47834 L
.3672 .47826 L
.37047 .47342 L
.37196 .47222 L
.37502 .46859 L
.37679 .46601 L
.37911 .46376 L
.38162 .45931 L
.38345 .45893 L
F
1 .7 0 r
.31397 .46194 m
.31485 .46376 L
.31397 .46473 L
.31319 .46376 L
F
.001 .775 1 r
.31397 .44334 m
.31516 .44443 L
.31397 .44597 L
.31338 .44443 L
F
1 .725 0 r
.37679 .45039 m
.37988 .4541 L
.37753 .45893 L
.37679 .45975 L
.37431 .46376 L
.37196 .46733 L
.37111 .46859 L
.36768 .47342 L
.36712 .47469 L
.36563 .47826 L
.36229 .48248 L
.36095 .48309 L
.35747 .48792 L
.35746 .48794 L
.35403 .49275 L
.35263 .4947 L
.35028 .49758 L
.3478 .50166 L
.34663 .50242 L
.34299 .50725 L
.34296 .50731 L
.33984 .51208 L
.33813 .51371 L
.33544 .51691 L
.3333 .52032 L
.33158 .52174 L
.32847 .52569 L
.32766 .52658 L
.32364 .5314 L
.32363 .53141 L
.31909 .53624 L
.31881 .53669 L
.31397 .54037 L
.31344 .53624 L
.31397 .53512 L
.31587 .53141 L
.31869 .52658 L
.31881 .52626 L
.32019 .52174 L
.32364 .51895 L
.325 .51691 L
.32832 .51208 L
.32847 .51187 L
.33161 .50725 L
.3333 .50465 L
.33526 .50242 L
.33813 .49848 L
.3388 .49758 L
.34262 .49275 L
.34296 .49191 L
.34525 .48792 L
.3478 .4852 L
.34967 .48309 L
.35263 .47841 L
.35336 .47826 L
.35703 .47342 L
.35746 .47291 L
.35937 .46859 L
.36229 .46661 L
.36487 .46376 L
.36712 .46004 L
.36895 .45893 L
.37196 .45534 L
.37324 .4541 L
F
1 .875 .021 r
.31397 .4248 m
.31521 .42511 L
.31397 .42717 L
.31377 .42511 L
F
0 .625 1 r
.36229 .45007 m
.36657 .4541 L
.36356 .45893 L
.36229 .46082 L
.36029 .46376 L
.35746 .46791 L
.35697 .46859 L
.35392 .47342 L
.35263 .47513 L
.35001 .47826 L
.3478 .48131 L
.34643 .48309 L
.34296 .48782 L
.34289 .48792 L
.34008 .49275 L
.33813 .49447 L
.33539 .49758 L
.3333 .50177 L
.33156 .50242 L
.32847 .50639 L
.32769 .50725 L
.3237 .51208 L
.32364 .51218 L
.31923 .51691 L
.31881 .51777 L
.31397 .52129 L
.31396 .51691 L
.31397 .51688 L
.31651 .51208 L
.31881 .50821 L
.31941 .50725 L
.32182 .50242 L
.32364 .4996 L
.32579 .49758 L
.32847 .49375 L
.32918 .49275 L
.33263 .48792 L
.3333 .48683 L
.33416 .48309 L
.33813 .47958 L
.33978 .47826 L
.34296 .47397 L
.3434 .47342 L
.34682 .46859 L
.3478 .46758 L
.35091 .46376 L
.35263 .46096 L
.35485 .45893 L
.35746 .45564 L
.35888 .4541 L
F
1 .625 0 r
.35263 .4445 m
.35605 .44927 L
.35327 .4541 L
.35263 .45499 L
.3496 .45893 L
.3478 .46153 L
.34614 .46376 L
.34296 .46827 L
.34271 .46859 L
.34048 .47342 L
.33813 .47537 L
.33538 .47826 L
.3333 .48108 L
.33163 .48309 L
.32847 .48725 L
.32788 .48792 L
.32395 .49275 L
.32364 .49333 L
.31966 .49758 L
.31881 .49863 L
.31412 .49758 L
.31688 .49275 L
.31881 .48969 L
.31996 .48792 L
.32294 .48309 L
.32364 .48208 L
.32651 .47826 L
.32847 .47551 L
.33001 .47342 L
.3333 .46886 L
.33351 .46859 L
.33629 .46376 L
.33813 .46211 L
.34088 .45893 L
.34296 .4562 L
.34473 .4541 L
.3478 .4502 L
.34864 .44927 L
F
0 .65 1 r
.32364 .464 m
.32806 .46859 L
.32422 .47342 L
.32364 .4748 L
.32011 .47826 L
.31881 .47992 L
.31425 .47826 L
.31724 .47342 L
.31881 .47107 L
.3205 .46859 L
F
1 .75 0 r
.32364 .44558 m
.32827 .44927 L
.32452 .4541 L
.32364 .45531 L
.32061 .45893 L
.31881 .46133 L
.31435 .45893 L
.31755 .4541 L
.31881 .45231 L
.321 .44927 L
F
.004 .825 1 r
.32847 .42092 m
.33176 .42511 L
.32853 .42994 L
.32847 .4301 L
.32488 .43477 L
.32364 .43655 L
.32118 .4396 L
.31881 .44289 L
.31437 .4396 L
.31779 .43477 L
.31881 .43206 L
.32143 .42994 L
.32364 .42701 L
.3252 .42511 L
F
0 .6 1 r
.31881 .50867 m
.3234 .51208 L
.31885 .51691 L
.31881 .51701 L
.31458 .51691 L
.31684 .51208 L
F
1 .6 0 r
.35263 .4449 m
.35575 .44927 L
.35287 .4541 L
.35263 .45444 L
.3494 .45893 L
.3478 .46126 L
.34595 .46376 L
.34296 .46802 L
.34252 .46859 L
.34014 .47342 L
.33813 .47507 L
.33521 .47826 L
.3333 .48084 L
.33143 .48309 L
.32847 .48697 L
.32763 .48792 L
.32371 .49275 L
.32364 .49289 L
.31931 .49758 L
.31881 .49819 L
.31465 .49758 L
.31721 .49275 L
.31881 .49015 L
.32024 .48792 L
.32325 .48309 L
.32364 .48253 L
.32672 .47826 L
.32847 .4758 L
.33021 .47342 L
.3333 .46913 L
.33372 .46859 L
.3366 .46376 L
.33813 .46241 L
.34109 .45893 L
.34296 .45648 L
.34497 .4541 L
.3478 .45052 L
.34894 .44927 L
F
.098 .925 1 r
.40578 .46623 m
.41061 .46383 L
.4113 .46859 L
.41061 .46944 L
.40887 .47342 L
.40612 .47826 L
.40578 .47894 L
.40275 .48309 L
.40095 .48629 L
.39993 .48792 L
.3966 .49275 L
.39612 .49339 L
.39156 .49758 L
.39128 .50044 L
.38964 .50242 L
.38645 .50713 L
.38619 .50725 L
.38272 .51208 L
.38162 .51341 L
.37823 .51691 L
.37679 .52012 L
.37594 .52174 L
.37196 .52654 L
.37191 .52658 L
.36835 .53141 L
.36712 .53282 L
.36445 .53624 L
.36229 .53945 L
.36104 .54107 L
.35746 .54585 L
.35741 .5459 L
.35289 .55073 L
.35263 .55197 L
.35047 .55557 L
.3478 .55853 L
.34635 .5604 L
.34296 .56491 L
.34265 .56523 L
.33879 .57006 L
.33813 .5708 L
.33624 .57489 L
.3333 .57704 L
.33109 .57973 L
.32847 .58314 L
.32702 .58456 L
.32364 .58912 L
.3227 .58939 L
.31881 .59332 L
.31466 .58939 L
.31645 .58456 L
.31881 .58189 L
.32011 .57973 L
.32324 .57489 L
.32364 .57421 L
.32687 .57006 L
.32847 .56629 L
.32867 .56523 L
.3333 .56059 L
.33344 .5604 L
.3369 .55557 L
.33813 .55373 L
.34032 .55073 L
.34296 .54675 L
.34407 .5459 L
.34762 .54107 L
.3478 .54086 L
.35171 .53624 L
.35263 .53423 L
.35401 .53141 L
.35746 .5275 L
.3585 .52658 L
.36207 .52174 L
.36229 .52149 L
.36566 .51691 L
.36712 .51498 L
.36943 .51208 L
.37196 .50836 L
.37308 .50725 L
.37675 .50242 L
.37679 .5023 L
.37989 .49758 L
.38162 .49595 L
.3842 .49275 L
.38645 .48947 L
.38795 .48792 L
.39128 .48322 L
.39168 .48309 L
.39506 .47826 L
.39612 .47759 L
.39976 .47342 L
.40095 .47176 L
.40426 .46859 L
F
0 .625 1 r
.32364 .46444 m
.32775 .46859 L
.32394 .47342 L
.32364 .47416 L
.31974 .47826 L
.31881 .47944 L
.31479 .47826 L
.31761 .47342 L
.31881 .47159 L
.32083 .46859 L
F
1 .725 0 r
.32364 .44623 m
.32781 .44927 L
.32413 .4541 L
.32364 .45478 L
.32013 .45893 L
.31881 .4607 L
.31499 .45893 L
.31805 .4541 L
.31881 .45301 L
.32148 .44927 L
F
1 .9 .045 r
.31881 .41552 m
.32105 .42027 L
.31881 .42358 L
.31528 .42027 L
F
.002 .8 1 r
.32364 .42809 m
.32772 .42994 L
.32425 .43477 L
.32364 .43567 L
.32046 .4396 L
.31881 .44193 L
.31529 .4396 L
.31859 .43477 L
.31881 .43414 L
.32225 .42994 L
F
1 .575 0 r
.31881 .49066 m
.32339 .49275 L
.31892 .49758 L
.31881 .49772 L
.31529 .49758 L
.31755 .49275 L
F
0 .6 1 r
.32364 .46491 m
.32741 .46859 L
.32364 .47342 L
.32364 .47344 L
.31932 .47826 L
.31881 .4789 L
.31542 .47826 L
.31801 .47342 L
.31881 .47218 L
.32119 .46859 L
F
1 .875 .021 r
.39612 .462 m
.39996 .46376 L
.39794 .46859 L
.39612 .47178 L
.3952 .47342 L
.3917 .47826 L
.39128 .48017 L
.38958 .48309 L
.38645 .48686 L
.38575 .48792 L
.3824 .49275 L
.38162 .49383 L
.3785 .49758 L
.37679 .50085 L
.37655 .50242 L
.37196 .50712 L
.37186 .50725 L
.36835 .51208 L
.36712 .51365 L
.36483 .51691 L
.36229 .52034 L
.36109 .52174 L
.35748 .52658 L
.35746 .52659 L
.35338 .53141 L
.35263 .53291 L
.35099 .53624 L
.3478 .53945 L
.34642 .54107 L
.34296 .54575 L
.34273 .5459 L
.33904 .55073 L
.33813 .55169 L
.33507 .55557 L
.3333 .55791 L
.33109 .5604 L
.32847 .56408 L
.32699 .56523 L
.32364 .5691 L
.32259 .57006 L
.31881 .57377 L
.31554 .57006 L
.31771 .56523 L
.31881 .56385 L
.32085 .5604 L
.32364 .55611 L
.32399 .55557 L
.32768 .55073 L
.32847 .54848 L
.32977 .5459 L
.3333 .54217 L
.33408 .54107 L
.33753 .53624 L
.33813 .5354 L
.34116 .53141 L
.34296 .52848 L
.34467 .52658 L
.3478 .52234 L
.34825 .52174 L
.35239 .51691 L
.35263 .51583 L
.35497 .51208 L
.35746 .50916 L
.35914 .50725 L
.36229 .50262 L
.36276 .50242 L
.36649 .49758 L
.36712 .49668 L
.3689 .49275 L
.37196 .49019 L
.37394 .48792 L
.37679 .48371 L
.37769 .48309 L
.38141 .47826 L
.38162 .47807 L
.3855 .47342 L
.38645 .47212 L
.38974 .46859 L
.39128 .46623 L
.39441 .46376 L
F
1 .7 0 r
.32364 .44694 m
.32727 .44927 L
.32371 .4541 L
.32364 .4542 L
.31958 .45893 L
.31881 .45996 L
.31577 .45893 L
.31861 .4541 L
.31881 .45382 L
.322 .44927 L
F
.001 .775 1 r
.38645 .4565 m
.3897 .45893 L
.38862 .46376 L
.38645 .46548 L
.38465 .46859 L
.38162 .47338 L
.38159 .47342 L
.37842 .47826 L
.37679 .48141 L
.37505 .48309 L
.37196 .48745 L
.37162 .48792 L
.36758 .49275 L
.36712 .4943 L
.36519 .49758 L
.36229 .50127 L
.36106 .50242 L
.3575 .50725 L
.35746 .50729 L
.35374 .51208 L
.35263 .5138 L
.35174 .51691 L
.3478 .52045 L
.34651 .52174 L
.34296 .52643 L
.34285 .52658 L
.33936 .53141 L
.33813 .53264 L
.33521 .53624 L
.3333 .53897 L
.33126 .54107 L
.32847 .54554 L
.32722 .5459 L
.32364 .55008 L
.32295 .55073 L
.31881 .55492 L
.31588 .55073 L
.3184 .5459 L
.31881 .54474 L
.32138 .54107 L
.32364 .53766 L
.32457 .53624 L
.32826 .53141 L
.32847 .53033 L
.33077 .52658 L
.3333 .52275 L
.33469 .52174 L
.33813 .51696 L
.33817 .51691 L
.34196 .51208 L
.34296 .51023 L
.34404 .50725 L
.3478 .50335 L
.34893 .50242 L
.35251 .49758 L
.35263 .49745 L
.35598 .49275 L
.35746 .49098 L
.35992 .48792 L
.36229 .48437 L
.36367 .48309 L
.36712 .47856 L
.36738 .47826 L
.37076 .47342 L
.37196 .47247 L
.37527 .46859 L
.37679 .46634 L
.37947 .46376 L
.38162 .45965 L
.38405 .45893 L
F
1 .7 0 r
.31881 .52685 m
.32326 .53141 L
.31881 .53604 L
.31627 .53141 L
F
0 .575 1 r
.31881 .47285 m
.32317 .47342 L
.31882 .47826 L
.31881 .47828 L
.31628 .47826 L
.31845 .47342 L
F
0 .75 1 r
.31881 .54597 m
.32238 .55073 L
.31881 .55411 L
.31649 .55073 L
F
.001 .775 1 r
.31881 .43596 m
.31955 .4396 L
.31881 .44069 L
.3165 .4396 L
F
1 .85 .01 r
.39612 .4633 m
.39828 .46376 L
.39713 .46859 L
.39612 .47055 L
.39464 .47342 L
.39152 .47826 L
.39128 .47937 L
.38932 .48309 L
.38645 .48642 L
.38547 .48792 L
.38215 .49275 L
.38162 .4935 L
.37834 .49758 L
.37679 .50062 L
.37652 .50242 L
.37196 .50689 L
.3717 .50725 L
.36819 .51208 L
.36712 .51346 L
.36472 .51691 L
.36229 .52018 L
.36095 .52174 L
.35746 .52653 L
.35733 .52658 L
.3533 .53141 L
.35263 .53273 L
.35086 .53624 L
.3478 .53925 L
.34624 .54107 L
.34296 .54562 L
.34252 .5459 L
.33881 .55073 L
.33813 .55143 L
.3348 .55557 L
.3333 .55754 L
.33072 .5604 L
.32847 .56365 L
.32644 .56523 L
.32364 .56835 L
.32159 .57006 L
.31881 .57245 L
.31662 .57006 L
.31853 .56523 L
.31881 .56489 L
.32132 .5604 L
.32364 .55671 L
.32436 .55557 L
.32785 .55073 L
.32847 .54892 L
.32994 .5459 L
.3333 .54246 L
.33428 .54107 L
.33771 .53624 L
.33813 .53564 L
.34128 .53141 L
.34296 .52867 L
.34481 .52658 L
.3478 .52251 L
.34838 .52174 L
.35242 .51691 L
.35263 .51599 L
.35508 .51208 L
.35746 .50931 L
.35927 .50725 L
.36229 .50269 L
.3629 .50242 L
.3666 .49758 L
.36712 .49686 L
.36909 .49275 L
.37196 .49041 L
.37413 .48792 L
.37679 .4839 L
.37793 .48309 L
.38162 .4784 L
.38175 .47826 L
.38586 .47342 L
.38645 .47261 L
.39029 .46859 L
.39128 .46704 L
.39559 .46376 L
F
1 .675 0 r
.31881 .5274 m
.32286 .53141 L
.31881 .53545 L
.31669 .53141 L
F
1 .975 .461 r
.31881 .37919 m
.32102 .38162 L
.31881 .38556 L
.3167 .38162 L
F
.098 .925 1 r
.31881 .39849 m
.32032 .40095 L
.31881 .40359 L
.31682 .40095 L
F
.045 .9 1 r
.40095 .47303 m
.40578 .46909 L
.40734 .47342 L
.40578 .47672 L
.40504 .47826 L
.40213 .48309 L
.40095 .48522 L
.39933 .48792 L
.39612 .49268 L
.39607 .49275 L
.3914 .49758 L
.39128 .49995 L
.38937 .50242 L
.38645 .50699 L
.38592 .50725 L
.38246 .51208 L
.38162 .51311 L
.37807 .51691 L
.37679 .51987 L
.37583 .52174 L
.37196 .5264 L
.37172 .52658 L
.36817 .53141 L
.36712 .5326 L
.36431 .53624 L
.36229 .53922 L
.36086 .54107 L
.35746 .54567 L
.35721 .5459 L
.35285 .55073 L
.35263 .55174 L
.35028 .55557 L
.3478 .55822 L
.34608 .5604 L
.34296 .56459 L
.34233 .56523 L
.3385 .57006 L
.33813 .57044 L
.33563 .57489 L
.3333 .57643 L
.33044 .57973 L
.32847 .58229 L
.32603 .58456 L
.32364 .58836 L
.32077 .58939 L
.31881 .5909 L
.31683 .58939 L
.31806 .58456 L
.31881 .58375 L
.32095 .57973 L
.32364 .57531 L
.32389 .57489 L
.32723 .57006 L
.32847 .5669 L
.32876 .56523 L
.3333 .56103 L
.33374 .5604 L
.33716 .55557 L
.33813 .55408 L
.34049 .55073 L
.34296 .54694 L
.34426 .5459 L
.3478 .54107 L
.3478 .54107 L
.3518 .53624 L
.35263 .53443 L
.35411 .53141 L
.35746 .52765 L
.35864 .52658 L
.36221 .52174 L
.36229 .52165 L
.36579 .51691 L
.36712 .51517 L
.36958 .51208 L
.37196 .50854 L
.37326 .50725 L
.37679 .50252 L
.37687 .50242 L
.38016 .49758 L
.38162 .49625 L
.38447 .49275 L
.38645 .48984 L
.38831 .48792 L
.39128 .48342 L
.39218 .48309 L
.39612 .47832 L
.39618 .47826 L
.40066 .47342 L
F
1 .675 0 r
.31881 .45496 m
.31888 .45893 L
.31881 .45903 L
.31692 .45893 L
F
1 .65 0 r
.31881 .52803 m
.32241 .53141 L
.31881 .53478 L
.31714 .53141 L
F
0 .725 1 r
.31881 .54686 m
.32169 .55073 L
.31881 .55317 L
.31717 .55073 L
F
0 .575 1 r
.31881 .50918 m
.32305 .51208 L
.31881 .51644 L
.3172 .51208 L
F
1 .875 .021 r
.31881 .41844 m
.31927 .42027 L
.31881 .42109 L
.31753 .42027 L
F
0 .55 1 r
.31881 .50975 m
.32265 .51208 L
.31881 .51583 L
.31758 .51208 L
F
1 .625 0 r
.31881 .52878 m
.32186 .53141 L
.31881 .534 L
.31765 .53141 L
F
1 .55 0 r
.31881 .49122 m
.323 .49275 L
.31881 .49714 L
.31793 .49275 L
F
0 .525 1 r
.31881 .51043 m
.32218 .51208 L
.31881 .5151 L
.318 .51208 L
F
0 .7 1 r
.31881 .54808 m
.32073 .55073 L
.31881 .55196 L
.31803 .55073 L
F
1 .825 .004 r
.31881 .56657 m
.32 .57006 L
.31881 .57069 L
.31814 .57006 L
F
1 .6 0 r
.31881 .52979 m
.32115 .53141 L
.31881 .53296 L
.31825 .53141 L
F
1 .525 0 r
.31881 .49189 m
.32253 .49275 L
.31881 .49639 L
.31834 .49275 L
F
0 .5 1 r
.31881 .51132 m
.32157 .51208 L
.31881 .51408 L
.31849 .51208 L
F
0 .75 1 r
.38645 .45737 m
.38885 .45893 L
.38768 .46376 L
.38645 .46471 L
.3843 .46859 L
.38162 .47293 L
.38131 .47342 L
.37823 .47826 L
.37679 .48109 L
.37486 .48309 L
.37196 .48721 L
.37145 .48792 L
.36752 .49275 L
.36712 .49409 L
.36508 .49758 L
.36229 .50112 L
.36093 .50242 L
.35746 .50713 L
.35737 .50725 L
.35364 .51208 L
.35263 .51364 L
.35165 .51691 L
.3478 .5203 L
.34637 .52174 L
.34296 .52625 L
.34269 .52658 L
.33917 .53141 L
.33813 .53243 L
.33502 .53624 L
.3333 .53872 L
.33101 .54107 L
.32847 .54537 L
.32687 .5459 L
.32364 .5496 L
.31884 .5459 L
.32168 .54107 L
.32364 .53807 L
.32481 .53624 L
.32832 .53141 L
.32847 .53065 L
.33092 .52658 L
.3333 .52294 L
.33484 .52174 L
.33813 .51716 L
.33831 .51691 L
.34205 .51208 L
.34296 .5104 L
.34413 .50725 L
.3478 .50347 L
.34905 .50242 L
.35263 .49759 L
.35263 .49758 L
.3561 .49275 L
.35746 .49114 L
.36006 .48792 L
.36229 .48453 L
.36382 .48309 L
.36712 .47877 L
.36757 .47826 L
.37106 .47342 L
.37196 .47274 L
.37552 .46859 L
.37679 .4667 L
.37984 .46376 L
.38162 .46014 L
.38476 .45893 L
F
1 .9 .045 r
.32364 .40954 m
.32787 .41061 L
.32459 .41544 L
.32364 .4169 L
.31888 .41544 L
.32277 .41061 L
F
1 .7 0 r
.37679 .45101 m
.37938 .4541 L
.37707 .45893 L
.37679 .45923 L
.37405 .46376 L
.37196 .46699 L
.3709 .46859 L
.36756 .47342 L
.36712 .4744 L
.3655 .47826 L
.36229 .48233 L
.36081 .48309 L
.35746 .48776 L
.35734 .48792 L
.35392 .49275 L
.35263 .49453 L
.35016 .49758 L
.3478 .50155 L
.3465 .50242 L
.34296 .50715 L
.34288 .50725 L
.33967 .51208 L
.33813 .51353 L
.33529 .51691 L
.3333 .52013 L
.33138 .52174 L
.32847 .52543 L
.32741 .52658 L
.32364 .53104 L
.31897 .52658 L
.32045 .52174 L
.32364 .51926 L
.3252 .51691 L
.32847 .51212 L
.3285 .51208 L
.33175 .50725 L
.3333 .50486 L
.33539 .50242 L
.33813 .49865 L
.33894 .49758 L
.34268 .49275 L
.34296 .49208 L
.34537 .48792 L
.3478 .48536 L
.3498 .48309 L
.35263 .47846 L
.3535 .47826 L
.35718 .47342 L
.35746 .4731 L
.35965 .46859 L
.36229 .46684 L
.36508 .46376 L
.36712 .46028 L
.36923 .45893 L
.37196 .45573 L
.37371 .4541 L
F
1 .675 0 r
.37196 .45613 m
.37661 .45893 L
.3738 .46376 L
.37196 .46664 L
.37069 .46859 L
.36742 .47342 L
.36712 .4741 L
.36534 .47826 L
.36229 .48216 L
.36067 .48309 L
.35746 .48758 L
.3572 .48792 L
.3538 .49275 L
.35263 .49436 L
.35003 .49758 L
.3478 .50143 L
.34637 .50242 L
.34296 .50698 L
.34274 .50725 L
.33949 .51208 L
.33813 .51333 L
.33513 .51691 L
.3333 .51993 L
.33119 .52174 L
.32847 .52516 L
.32715 .52658 L
.32364 .53068 L
.31929 .52658 L
.32076 .52174 L
.32364 .51959 L
.3254 .51691 L
.32847 .51237 L
.32868 .51208 L
.33189 .50725 L
.3333 .50507 L
.33553 .50242 L
.33813 .49883 L
.33907 .49758 L
.34275 .49275 L
.34296 .49225 L
.34551 .48792 L
.3478 .48552 L
.34994 .48309 L
.35263 .47852 L
.35365 .47826 L
.35734 .47342 L
.35746 .47329 L
.35996 .46859 L
.36229 .46708 L
.3653 .46376 L
.36712 .46055 L
.36954 .45893 L
F
0 .725 1 r
.38645 .45841 m
.38766 .45893 L
.38647 .46376 L
.38645 .46378 L
.38393 .46859 L
.38162 .47245 L
.38102 .47342 L
.37802 .47826 L
.37679 .48072 L
.37467 .48309 L
.37196 .48696 L
.37128 .48792 L
.36746 .49275 L
.36712 .49388 L
.36497 .49758 L
.36229 .50097 L
.3608 .50242 L
.35746 .50696 L
.35724 .50725 L
.35354 .51208 L
.35263 .51347 L
.35154 .51691 L
.3478 .52015 L
.34623 .52174 L
.34296 .52606 L
.34253 .52658 L
.33898 .53141 L
.33813 .53222 L
.33482 .53624 L
.3333 .53846 L
.33076 .54107 L
.32847 .54515 L
.3265 .5459 L
.32364 .5491 L
.3193 .5459 L
.322 .54107 L
.32364 .53849 L
.32506 .53624 L
.32838 .53141 L
.32847 .531 L
.33108 .52658 L
.3333 .52314 L
.33499 .52174 L
.33813 .51735 L
.33846 .51691 L
.34214 .51208 L
.34296 .51057 L
.34423 .50725 L
.3478 .5036 L
.34917 .50242 L
.35263 .49775 L
.35276 .49758 L
.35623 .49275 L
.35746 .49131 L
.36019 .48792 L
.36229 .48469 L
.36398 .48309 L
.36712 .47899 L
.36776 .47826 L
.3714 .47342 L
.37196 .473 L
.37579 .46859 L
.37679 .46708 L
.38025 .46376 L
.38162 .46082 L
.38577 .45893 L
F
1 .825 .004 r
.39128 .46802 m
.39612 .4654 L
.39619 .46859 L
.39612 .46878 L
.39405 .47342 L
.39132 .47826 L
.39128 .47841 L
.38904 .48309 L
.38645 .48597 L
.38519 .48792 L
.3819 .49275 L
.38162 .49316 L
.37819 .49758 L
.37679 .50037 L
.37648 .50242 L
.37196 .50667 L
.37153 .50725 L
.36804 .51208 L
.36712 .51327 L
.3646 .51691 L
.36229 .52001 L
.36081 .52174 L
.35746 .52648 L
.35718 .52658 L
.35322 .53141 L
.35263 .53255 L
.35072 .53624 L
.3478 .53905 L
.34607 .54107 L
.34296 .54548 L
.34231 .5459 L
.33857 .55073 L
.33813 .55116 L
.33451 .55557 L
.3333 .55716 L
.33033 .5604 L
.32847 .56317 L
.32583 .56523 L
.32364 .56756 L
.31937 .56523 L
.32181 .5604 L
.32364 .55736 L
.32473 .55557 L
.32802 .55073 L
.32847 .54942 L
.33012 .5459 L
.3333 .54276 L
.33448 .54107 L
.33788 .53624 L
.33813 .53588 L
.3414 .53141 L
.34296 .52887 L
.34494 .52658 L
.3478 .52269 L
.34852 .52174 L
.35245 .51691 L
.35263 .51616 L
.3552 .51208 L
.35746 .50947 L
.3594 .50725 L
.36229 .50277 L
.36305 .50242 L
.36672 .49758 L
.36712 .49704 L
.3693 .49275 L
.37196 .49063 L
.37433 .48792 L
.37679 .48409 L
.37819 .48309 L
.38162 .47876 L
.38209 .47826 L
.38624 .47342 L
.38645 .47313 L
.39091 .46859 L
F
1 .95 .212 r
.41061 .47961 m
.41495 .48309 L
.41302 .48792 L
.41061 .49073 L
.40945 .49275 L
.40635 .49758 L
.40578 .49848 L
.40223 .50242 L
.40095 .50612 L
.40023 .50725 L
.3964 .51208 L
.39612 .5124 L
.39302 .51691 L
.39128 .51923 L
.38906 .52174 L
.38645 .52599 L
.38589 .52658 L
.38236 .53141 L
.38162 .53217 L
.37742 .53624 L
.37679 .53882 L
.37529 .54107 L
.37196 .5454 L
.37151 .5459 L
.36793 .55073 L
.36712 .55148 L
.36374 .55557 L
.36229 .55806 L
.36151 .5604 L
.35746 .56459 L
.35691 .56523 L
.35326 .57006 L
.35263 .57054 L
.34963 .57489 L
.3478 .57694 L
.34571 .57973 L
.34296 .58331 L
.34188 .58456 L
.33813 .58932 L
.33803 .58939 L
.33439 .59422 L
.3333 .5949 L
.3296 .59905 L
.32847 .60036 L
.32459 .60388 L
.32364 .60511 L
.31949 .60388 L
.32132 .59905 L
.32364 .59477 L
.32395 .59422 L
.32683 .58939 L
.32847 .5871 L
.33012 .58456 L
.3333 .57995 L
.33345 .57973 L
.33753 .57489 L
.33813 .57269 L
.33979 .57006 L
.34296 .56649 L
.34388 .56523 L
.34739 .5604 L
.3478 .55984 L
.35117 .55557 L
.35263 .55301 L
.35316 .55073 L
.35746 .54616 L
.3582 .5459 L
.36177 .54107 L
.36229 .54037 L
.36507 .53624 L
.36712 .53371 L
.3691 .53141 L
.37196 .52705 L
.37272 .52658 L
.37643 .52174 L
.37679 .52114 L
.3791 .51691 L
.38162 .51462 L
.38378 .51208 L
.38645 .50806 L
.38746 .50725 L
.39107 .50242 L
.39128 .50221 L
.39358 .49758 L
.39612 .496 L
.39896 .49275 L
.40095 .48974 L
.40301 .48792 L
.40578 .48456 L
.40728 .48309 L
F
1 .65 0 r
.37196 .45654 m
.37621 .45893 L
.37353 .46376 L
.37196 .46627 L
.37047 .46859 L
.36728 .47342 L
.36712 .47378 L
.36517 .47826 L
.36229 .48197 L
.36053 .48309 L
.35746 .48739 L
.35706 .48792 L
.35368 .49275 L
.35263 .49418 L
.34991 .49758 L
.3478 .50131 L
.34624 .50242 L
.34296 .5068 L
.3426 .50725 L
.33929 .51208 L
.33813 .51314 L
.33497 .51691 L
.3333 .51972 L
.33099 .52174 L
.32847 .52489 L
.32687 .52658 L
.32364 .5303 L
.31962 .52658 L
.32112 .52174 L
.32364 .51993 L
.3256 .51691 L
.32847 .51263 L
.32885 .51208 L
.33203 .50725 L
.3333 .5053 L
.33567 .50242 L
.33813 .49902 L
.3392 .49758 L
.34282 .49275 L
.34296 .49242 L
.34565 .48792 L
.3478 .48569 L
.35007 .48309 L
.35263 .4786 L
.3538 .47826 L
.35746 .47349 L
.35751 .47342 L
.3603 .46859 L
.36229 .46733 L
.36552 .46376 L
.36712 .46086 L
.36986 .45893 L
F
0 .6 1 r
.36229 .45044 m
.36626 .4541 L
.36334 .45893 L
.36229 .46051 L
.3601 .46376 L
.35746 .46767 L
.35679 .46859 L
.35373 .47342 L
.35263 .47488 L
.34987 .47826 L
.3478 .48113 L
.34629 .48309 L
.34296 .48764 L
.34274 .48792 L
.33987 .49275 L
.33813 .49426 L
.33524 .49758 L
.3333 .50161 L
.33138 .50242 L
.32847 .50614 L
.32746 .50725 L
.32364 .51185 L
.31968 .50725 L
.32211 .50242 L
.32364 .50002 L
.32598 .49758 L
.32847 .49399 L
.32936 .49275 L
.33277 .48792 L
.3333 .48707 L
.33432 .48309 L
.33813 .47975 L
.33993 .47826 L
.34296 .47417 L
.34356 .47342 L
.34702 .46859 L
.3478 .4678 L
.35109 .46376 L
.35263 .4612 L
.35506 .45893 L
.35746 .45592 L
.35916 .4541 L
F
0 .7 1 r
.38162 .46171 m
.38581 .46376 L
.38356 .46859 L
.38162 .47193 L
.38072 .47342 L
.37781 .47826 L
.37679 .48032 L
.37448 .48309 L
.37196 .48671 L
.37111 .48792 L
.3674 .49275 L
.36712 .49367 L
.36484 .49758 L
.36229 .50082 L
.36067 .50242 L
.35746 .50679 L
.35711 .50725 L
.35344 .51208 L
.35263 .51331 L
.35142 .51691 L
.3478 .52 L
.34609 .52174 L
.34296 .52587 L
.34237 .52658 L
.33877 .53141 L
.33813 .53201 L
.33462 .53624 L
.3333 .53818 L
.3305 .54107 L
.32847 .54486 L
.3261 .5459 L
.32364 .54858 L
.31979 .5459 L
.32232 .54107 L
.32364 .53895 L
.32532 .53624 L
.32846 .53141 L
.32847 .53136 L
.33125 .52658 L
.3333 .52337 L
.33514 .52174 L
.33813 .51755 L
.3386 .51691 L
.34223 .51208 L
.34296 .51075 L
.34434 .50725 L
.3478 .50373 L
.3493 .50242 L
.35263 .49791 L
.35289 .49758 L
.35636 .49275 L
.35746 .49148 L
.36033 .48792 L
.36229 .48486 L
.36414 .48309 L
.36712 .47921 L
.36796 .47826 L
.37176 .47342 L
.37196 .47328 L
.37606 .46859 L
.37679 .46749 L
.3807 .46376 L
F
0 .575 1 r
.36229 .45083 m
.36594 .4541 L
.36311 .45893 L
.36229 .46018 L
.3599 .46376 L
.35746 .46741 L
.35662 .46859 L
.35354 .47342 L
.35263 .47463 L
.34973 .47826 L
.3478 .48094 L
.34615 .48309 L
.34296 .48745 L
.34259 .48792 L
.33963 .49275 L
.33813 .49405 L
.33508 .49758 L
.3333 .50141 L
.33119 .50242 L
.32847 .50589 L
.32722 .50725 L
.32364 .51151 L
.31996 .50725 L
.32243 .50242 L
.32364 .5005 L
.32616 .49758 L
.32847 .49424 L
.32953 .49275 L
.33291 .48792 L
.3333 .48731 L
.33451 .48309 L
.33813 .47995 L
.34008 .47826 L
.34296 .47437 L
.34372 .47342 L
.34723 .46859 L
.3478 .46803 L
.35126 .46376 L
.35263 .46145 L
.35527 .45893 L
.35746 .4562 L
.35946 .4541 L
F
.021 .875 1 r
.40095 .47442 m
.40392 .47826 L
.40148 .48309 L
.40095 .48402 L
.39873 .48792 L
.39612 .49192 L
.3956 .49275 L
.39133 .49758 L
.39128 .49942 L
.38911 .50242 L
.38645 .50681 L
.38565 .50725 L
.38221 .51208 L
.38162 .51281 L
.37792 .51691 L
.37679 .5196 L
.37572 .52174 L
.37196 .52625 L
.37154 .52658 L
.36799 .53141 L
.36712 .53239 L
.36417 .53624 L
.36229 .53899 L
.36068 .54107 L
.35746 .54549 L
.35702 .5459 L
.35281 .55073 L
.35263 .55151 L
.35007 .55557 L
.3478 .55791 L
.34582 .5604 L
.34296 .56427 L
.342 .56523 L
.33816 .57006 L
.33813 .57009 L
.33484 .57489 L
.3333 .57582 L
.32974 .57973 L
.32847 .58138 L
.3248 .58456 L
.32364 .5866 L
.31996 .58456 L
.32185 .57973 L
.32364 .57648 L
.32455 .57489 L
.3276 .57006 L
.32847 .56773 L
.32892 .56523 L
.3333 .56149 L
.33405 .5604 L
.33741 .55557 L
.33813 .55444 L
.34067 .55073 L
.34296 .54716 L
.34445 .5459 L
.3478 .5413 L
.34797 .54107 L
.35189 .53624 L
.35263 .53464 L
.35423 .53141 L
.35746 .5278 L
.35879 .52658 L
.36229 .52183 L
.36236 .52174 L
.36592 .51691 L
.36712 .51537 L
.36974 .51208 L
.37196 .50873 L
.37344 .50725 L
.37679 .50278 L
.37709 .50242 L
.38046 .49758 L
.38162 .49655 L
.38475 .49275 L
.38645 .49022 L
.3887 .48792 L
.39128 .48369 L
.39273 .48309 L
.39612 .47913 L
.39704 .47826 L
F
1 .625 0 r
.37196 .45698 m
.37577 .45893 L
.37325 .46376 L
.37196 .46587 L
.37024 .46859 L
.36713 .47342 L
.36712 .47344 L
.36498 .47826 L
.36229 .48175 L
.36038 .48309 L
.35746 .48721 L
.35692 .48792 L
.35355 .49275 L
.35263 .494 L
.34979 .49758 L
.3478 .50117 L
.34611 .50242 L
.34296 .50663 L
.34246 .50725 L
.33909 .51208 L
.33813 .51294 L
.33481 .51691 L
.3333 .51949 L
.33078 .52174 L
.32847 .52461 L
.32657 .52658 L
.32364 .5299 L
.31996 .52658 L
.32155 .52174 L
.32364 .52028 L
.3258 .51691 L
.32847 .5129 L
.32903 .51208 L
.33219 .50725 L
.3333 .50553 L
.33581 .50242 L
.33813 .4992 L
.33934 .49758 L
.34289 .49275 L
.34296 .49259 L
.3458 .48792 L
.3478 .48587 L
.3502 .48309 L
.35263 .47869 L
.35395 .47826 L
.35746 .47369 L
.35769 .47342 L
.36067 .46859 L
.36229 .46759 L
.36575 .46376 L
.36712 .46121 L
.37021 .45893 L
F
0 .55 1 r
.36229 .45123 m
.36559 .4541 L
.36288 .45893 L
.36229 .45984 L
.35971 .46376 L
.35746 .46715 L
.35644 .46859 L
.35334 .47342 L
.35263 .47436 L
.34959 .47826 L
.3478 .48074 L
.346 .48309 L
.34296 .48726 L
.34243 .48792 L
.33938 .49275 L
.33813 .49382 L
.33493 .49758 L
.3333 .50119 L
.33099 .50242 L
.32847 .50563 L
.32696 .50725 L
.32364 .51116 L
.32025 .50725 L
.32278 .50242 L
.32364 .50105 L
.32636 .49758 L
.32847 .4945 L
.32971 .49275 L
.33307 .48792 L
.3333 .48756 L
.33473 .48309 L
.33813 .48016 L
.34023 .47826 L
.34296 .47457 L
.34389 .47342 L
.34746 .46859 L
.3478 .46826 L
.35145 .46376 L
.35263 .46172 L
.35549 .45893 L
.35746 .4565 L
.35977 .4541 L
F
1 .8 .002 r
.38645 .47367 m
.39089 .47826 L
.38871 .48309 L
.38645 .4855 L
.38492 .48792 L
.38165 .49275 L
.38162 .4928 L
.37805 .49758 L
.37679 .50011 L
.37642 .50242 L
.37196 .50644 L
.37137 .50725 L
.36789 .51208 L
.36712 .51307 L
.36448 .51691 L
.36229 .51983 L
.36067 .52174 L
.35746 .52643 L
.35704 .52658 L
.35314 .53141 L
.35263 .53237 L
.35057 .53624 L
.3478 .53885 L
.34589 .54107 L
.34296 .54533 L
.3421 .5459 L
.3383 .55073 L
.33813 .5509 L
.33422 .55557 L
.3333 .55678 L
.32992 .5604 L
.32847 .56261 L
.32512 .56523 L
.32364 .56671 L
.32027 .56523 L
.32231 .5604 L
.32364 .55809 L
.32511 .55557 L
.32821 .55073 L
.32847 .54997 L
.33033 .5459 L
.3333 .54306 L
.33468 .54107 L
.33806 .53624 L
.33813 .53613 L
.34153 .53141 L
.34296 .52907 L
.34508 .52658 L
.3478 .52287 L
.34865 .52174 L
.35248 .51691 L
.35263 .51632 L
.35532 .51208 L
.35746 .50964 L
.35953 .50725 L
.36229 .50285 L
.36319 .50242 L
.36685 .49758 L
.36712 .49722 L
.36953 .49275 L
.37196 .49085 L
.37452 .48792 L
.37679 .48431 L
.37844 .48309 L
.38162 .47913 L
.38245 .47826 L
F
0 .675 1 r
.38162 .46286 m
.38501 .46376 L
.38316 .46859 L
.38162 .47136 L
.38042 .47342 L
.37757 .47826 L
.37679 .47986 L
.37428 .48309 L
.37196 .48646 L
.37094 .48792 L
.36734 .49275 L
.36712 .49345 L
.36472 .49758 L
.36229 .50065 L
.36054 .50242 L
.35746 .50662 L
.35698 .50725 L
.35334 .51208 L
.35263 .51314 L
.35128 .51691 L
.3478 .51984 L
.34595 .52174 L
.34296 .52568 L
.34221 .52658 L
.33854 .53141 L
.33813 .53179 L
.33442 .53624 L
.3333 .5379 L
.33022 .54107 L
.32847 .5445 L
.32565 .5459 L
.32364 .54802 L
.32032 .5459 L
.32265 .54107 L
.32364 .53944 L
.32558 .53624 L
.32847 .53169 L
.32866 .53141 L
.33143 .52658 L
.3333 .52363 L
.3353 .52174 L
.33813 .51775 L
.33874 .51691 L
.34233 .51208 L
.34296 .51093 L
.34445 .50725 L
.3478 .50387 L
.34942 .50242 L
.35263 .49808 L
.35302 .49758 L
.3565 .49275 L
.35746 .49165 L
.36047 .48792 L
.36229 .48503 L
.3643 .48309 L
.36712 .47943 L
.36816 .47826 L
.37196 .47356 L
.37208 .47342 L
.37636 .46859 L
.37679 .46794 L
.38122 .46376 L
F
1 .6 0 r
.37196 .45745 m
.37528 .45893 L
.37297 .46376 L
.37196 .46545 L
.37002 .46859 L
.36712 .47315 L
.36694 .47342 L
.36478 .47826 L
.36229 .4815 L
.36024 .48309 L
.35746 .48702 L
.35678 .48792 L
.35341 .49275 L
.35263 .49381 L
.34967 .49758 L
.3478 .50102 L
.34598 .50242 L
.34296 .50645 L
.34231 .50725 L
.33887 .51208 L
.33813 .51273 L
.33464 .51691 L
.3333 .51924 L
.33056 .52174 L
.32847 .52433 L
.32625 .52658 L
.32364 .52948 L
.32033 .52658 L
.32204 .52174 L
.32364 .52065 L
.326 .51691 L
.32847 .51317 L
.32921 .51208 L
.33235 .50725 L
.3333 .50578 L
.33595 .50242 L
.33813 .49939 L
.33948 .49758 L
.34296 .49277 L
.34298 .49275 L
.34596 .48792 L
.3478 .48605 L
.35034 .48309 L
.35263 .47879 L
.3541 .47826 L
.35746 .4739 L
.35787 .47342 L
.36108 .46859 L
.36229 .46786 L
.36599 .46376 L
.36712 .4616 L
.37059 .45893 L
F
1 .575 0 r
.3478 .45084 m
.35251 .4541 L
.3492 .45893 L
.3478 .46098 L
.34575 .46376 L
.34296 .46776 L
.34232 .46859 L
.33976 .47342 L
.33813 .47475 L
.33502 .47826 L
.3333 .48059 L
.33121 .48309 L
.32847 .48669 L
.32736 .48792 L
.32364 .4925 L
.32053 .48792 L
.32359 .48309 L
.32364 .48302 L
.32693 .47826 L
.32847 .47609 L
.33042 .47342 L
.3333 .4694 L
.33393 .46859 L
.33694 .46376 L
.33813 .46272 L
.3413 .45893 L
.34296 .45676 L
.34521 .4541 L
F
0 .525 1 r
.36229 .45167 m
.36522 .4541 L
.36264 .45893 L
.36229 .45947 L
.3595 .46376 L
.35746 .46688 L
.35625 .46859 L
.35313 .47342 L
.35263 .47407 L
.34944 .47826 L
.3478 .48055 L
.34585 .48309 L
.34296 .48707 L
.34227 .48792 L
.33912 .49275 L
.33813 .49359 L
.33476 .49758 L
.3333 .50093 L
.33079 .50242 L
.32847 .50537 L
.32668 .50725 L
.32364 .51079 L
.32056 .50725 L
.32317 .50242 L
.32364 .50166 L
.32655 .49758 L
.32847 .49477 L
.32989 .49275 L
.33323 .48792 L
.3333 .48782 L
.33497 .48309 L
.33813 .48038 L
.34039 .47826 L
.34296 .47478 L
.34406 .47342 L
.3477 .46859 L
.3478 .4685 L
.35163 .46376 L
.35263 .46201 L
.35573 .45893 L
.35746 .4568 L
.36011 .4541 L
F
1 .575 0 r
.37196 .45795 m
.37471 .45893 L
.37267 .46376 L
.37196 .46499 L
.36978 .46859 L
.36712 .47285 L
.36674 .47342 L
.36455 .47826 L
.36229 .48122 L
.36009 .48309 L
.35746 .48682 L
.35664 .48792 L
.35328 .49275 L
.35263 .49362 L
.34954 .49758 L
.3478 .50086 L
.34585 .50242 L
.34296 .50628 L
.34216 .50725 L
.33864 .51208 L
.33813 .51252 L
.33447 .51691 L
.3333 .51898 L
.33034 .52174 L
.32847 .52404 L
.32591 .52658 L
.32364 .52904 L
.32073 .52658 L
.3226 .52174 L
.32364 .52105 L
.32621 .51691 L
.32847 .51345 L
.3294 .51208 L
.33252 .50725 L
.3333 .50605 L
.33609 .50242 L
.33813 .49958 L
.33961 .49758 L
.34296 .49295 L
.34312 .49275 L
.34613 .48792 L
.3478 .48624 L
.35047 .48309 L
.35263 .47891 L
.35426 .47826 L
.35746 .4741 L
.35806 .47342 L
.36152 .46859 L
.36229 .46813 L
.36624 .46376 L
.36712 .46205 L
.37102 .45893 L
F
1 .55 0 r
.32364 .48343 m
.32708 .48792 L
.32364 .49213 L
.32083 .48792 L
F
0 .5 1 r
.36229 .45213 m
.3648 .4541 L
.36238 .45893 L
.36229 .45908 L
.3593 .46376 L
.35746 .46659 L
.35606 .46859 L
.3529 .47342 L
.35263 .47378 L
.3493 .47826 L
.3478 .48035 L
.3457 .48309 L
.34296 .48687 L
.34211 .48792 L
.33884 .49275 L
.33813 .49334 L
.3346 .49758 L
.3333 .50064 L
.33059 .50242 L
.32847 .50509 L
.32639 .50725 L
.32364 .5104 L
.32088 .50725 L
.3236 .50242 L
.32364 .50235 L
.32675 .49758 L
.32847 .49504 L
.33007 .49275 L
.3333 .48807 L
.33341 .48792 L
.33524 .48309 L
.33813 .48063 L
.34055 .47826 L
.34296 .47499 L
.34423 .47342 L
.3478 .46873 L
.34791 .46859 L
.35182 .46376 L
.35263 .46233 L
.35597 .45893 L
.35746 .45711 L
.36048 .4541 L
F
0 .65 1 r
.37679 .46842 m
.38162 .46402 L
.38274 .46859 L
.38162 .47072 L
.38011 .47342 L
.37731 .47826 L
.37679 .47934 L
.37409 .48309 L
.37196 .4862 L
.37077 .48792 L
.36727 .49275 L
.36712 .49322 L
.36458 .49758 L
.36229 .50047 L
.36041 .50242 L
.35746 .50645 L
.35685 .50725 L
.35323 .51208 L
.35263 .51297 L
.35113 .51691 L
.3478 .51967 L
.34581 .52174 L
.34296 .52548 L
.34204 .52658 L
.3383 .53141 L
.33813 .53156 L
.33421 .53624 L
.3333 .5376 L
.32993 .54107 L
.32847 .54405 L
.32514 .5459 L
.32364 .54741 L
.32094 .5459 L
.323 .54107 L
.32364 .53998 L
.32584 .53624 L
.32847 .53203 L
.32888 .53141 L
.33162 .52658 L
.3333 .52391 L
.33545 .52174 L
.33813 .51795 L
.33889 .51691 L
.34243 .51208 L
.34296 .51112 L
.34458 .50725 L
.3478 .50401 L
.34954 .50242 L
.35263 .49824 L
.35315 .49758 L
.35664 .49275 L
.35746 .49183 L
.3606 .48792 L
.36229 .48522 L
.36446 .48309 L
.36712 .47965 L
.36837 .47826 L
.37196 .47385 L
.37236 .47342 L
.37667 .46859 L
F
1 .525 0 r
.32364 .48384 m
.32678 .48792 L
.32364 .49173 L
.32115 .48792 L
F
1 .55 0 r
.37196 .45851 m
.37397 .45893 L
.37235 .46376 L
.37196 .46447 L
.36954 .46859 L
.36712 .47253 L
.36653 .47342 L
.3643 .47826 L
.36229 .48091 L
.35995 .48309 L
.35746 .48663 L
.3565 .48792 L
.35313 .49275 L
.35263 .49342 L
.34941 .49758 L
.3478 .50069 L
.34571 .50242 L
.34296 .5061 L
.34201 .50725 L
.33839 .51208 L
.33813 .5123 L
.3343 .51691 L
.3333 .5187 L
.33011 .52174 L
.32847 .52374 L
.32552 .52658 L
.32364 .52856 L
.32116 .52658 L
.32324 .52174 L
.32364 .52148 L
.32643 .51691 L
.32847 .51374 L
.32959 .51208 L
.3327 .50725 L
.3333 .50632 L
.33623 .50242 L
.33813 .49977 L
.33975 .49758 L
.34296 .49313 L
.34326 .49275 L
.3463 .48792 L
.3478 .48643 L
.35061 .48309 L
.35263 .47905 L
.35441 .47826 L
.35746 .47431 L
.35825 .47342 L
.362 .46859 L
.36229 .46842 L
.36651 .46376 L
.36712 .46254 L
.37153 .45893 L
F
0 .475 1 r
.32364 .50281 m
.32606 .50725 L
.32364 .50998 L
.32123 .50725 L
F
1 .5 0 r
.32364 .48429 m
.32645 .48792 L
.32364 .49129 L
.32149 .48792 L
F
1 .775 .001 r
.38645 .47422 m
.39041 .47826 L
.38832 .48309 L
.38645 .48501 L
.38464 .48792 L
.38162 .49244 L
.38141 .49275 L
.3779 .49758 L
.37679 .49983 L
.37635 .50242 L
.37196 .50622 L
.37121 .50725 L
.36773 .51208 L
.36712 .51288 L
.36436 .51691 L
.36229 .51965 L
.36053 .52174 L
.35746 .52637 L
.35689 .52658 L
.35305 .53141 L
.35263 .53218 L
.35041 .53624 L
.3478 .53864 L
.34571 .54107 L
.34296 .54518 L
.34188 .5459 L
.33813 .55061 L
.33802 .55073 L
.33391 .55557 L
.3333 .55637 L
.32948 .5604 L
.32847 .56197 L
.32421 .56523 L
.32364 .56574 L
.3215 .56523 L
.32286 .5604 L
.32364 .55893 L
.3255 .55557 L
.32842 .55073 L
.32847 .55058 L
.33056 .5459 L
.3333 .54338 L
.33488 .54107 L
.33813 .53639 L
.33824 .53624 L
.34166 .53141 L
.34296 .52928 L
.34522 .52658 L
.3478 .52305 L
.34879 .52174 L
.35252 .51691 L
.35263 .51649 L
.35545 .51208 L
.35746 .5098 L
.35966 .50725 L
.36229 .50294 L
.36334 .50242 L
.36699 .49758 L
.36712 .49741 L
.36978 .49275 L
.37196 .49108 L
.37473 .48792 L
.37679 .48454 L
.37871 .48309 L
.38162 .4795 L
.38284 .47826 L
F
0 .575 1 r
.32364 .46542 m
.32704 .46859 L
.32364 .47294 L
.32156 .46859 L
F
0 .45 1 r
.32364 .50329 m
.3257 .50725 L
.32364 .50951 L
.32161 .50725 L
F
1 .975 .461 r
.32364 .37518 m
.32381 .37679 L
.32364 .37723 L
.32163 .37679 L
F
1 .525 0 r
.32364 .522 m
.32508 .52658 L
.32364 .52802 L
.32166 .52658 L
F
0 .625 1 r
.37679 .46887 m
.37979 .47342 L
.37704 .47826 L
.37679 .47877 L
.37389 .48309 L
.37196 .48593 L
.3706 .48792 L
.3672 .49275 L
.36712 .49299 L
.36444 .49758 L
.36229 .50029 L
.36028 .50242 L
.35746 .50628 L
.35671 .50725 L
.35312 .51208 L
.35263 .5128 L
.35097 .51691 L
.3478 .5195 L
.34567 .52174 L
.34296 .52529 L
.34187 .52658 L
.33813 .53133 L
.33807 .53141 L
.33399 .53624 L
.3333 .53728 L
.32962 .54107 L
.32847 .54351 L
.32453 .5459 L
.32364 .54673 L
.32171 .5459 L
.32337 .54107 L
.32364 .54059 L
.32611 .53624 L
.32847 .53239 L
.32911 .53141 L
.33183 .52658 L
.3333 .52423 L
.33561 .52174 L
.33813 .51815 L
.33903 .51691 L
.34253 .51208 L
.34296 .51131 L
.34471 .50725 L
.3478 .50417 L
.34967 .50242 L
.35263 .49841 L
.35329 .49758 L
.35679 .49275 L
.35746 .49201 L
.36075 .48792 L
.36229 .48541 L
.36463 .48309 L
.36712 .47988 L
.36858 .47826 L
.37196 .47414 L
.37266 .47342 L
F
1 .475 0 r
.32364 .4848 m
.32608 .48792 L
.32364 .49079 L
.32186 .48792 L
F
0 .55 1 r
.32364 .46598 m
.32662 .46859 L
.32364 .47239 L
.32197 .46859 L
F
0 .425 1 r
.32364 .50385 m
.32528 .50725 L
.32364 .50898 L
.32205 .50725 L
F
1 .45 0 r
.32364 .48538 m
.32565 .48792 L
.32364 .49023 L
.32228 .48792 L
F
1 .5 0 r
.32364 .52268 m
.32453 .52658 L
.32364 .5274 L
.32229 .52658 L
F
0 .525 1 r
.32364 .46663 m
.32612 .46859 L
.32364 .47174 L
.32243 .46859 L
F
0 .4 1 r
.32364 .50455 m
.32476 .50725 L
.32364 .50835 L
.32258 .50725 L
F
1 .675 0 r
.32364 .44776 m
.32661 .44927 L
.32364 .4534 L
.3226 .44927 L
F
1 .425 0 r
.32364 .48611 m
.3251 .48792 L
.32364 .48952 L
.32277 .48792 L
F
.01 .85 1 r
.39612 .47999 m
.40065 .48309 L
.39812 .48792 L
.39612 .4911 L
.39513 .49275 L
.3913 .49758 L
.39128 .49883 L
.38885 .50242 L
.38645 .50658 L
.38538 .50725 L
.38196 .51208 L
.38162 .5125 L
.37779 .51691 L
.37679 .51934 L
.37561 .52174 L
.37196 .52611 L
.37135 .52658 L
.3678 .53141 L
.36712 .53218 L
.36403 .53624 L
.36229 .53877 L
.3605 .54107 L
.35746 .54531 L
.35682 .5459 L
.35277 .55073 L
.35263 .55129 L
.34985 .55557 L
.3478 .55761 L
.34555 .5604 L
.34296 .56395 L
.34166 .56523 L
.33813 .56961 L
.33772 .57006 L
.33385 .57489 L
.3333 .5752 L
.32894 .57973 L
.32847 .58033 L
.32364 .58384 L
.32285 .57973 L
.32364 .57802 L
.32523 .57489 L
.32802 .57006 L
.32847 .56881 L
.32918 .56523 L
.3333 .56197 L
.33436 .5604 L
.33767 .55557 L
.33813 .55483 L
.34085 .55073 L
.34296 .5474 L
.34464 .5459 L
.3478 .54154 L
.34815 .54107 L
.35198 .53624 L
.35263 .53485 L
.35436 .53141 L
.35746 .52796 L
.35894 .52658 L
.36229 .52203 L
.36252 .52174 L
.36607 .51691 L
.36712 .51557 L
.3699 .51208 L
.37196 .50893 L
.37363 .50725 L
.37679 .50304 L
.37731 .50242 L
.38078 .49758 L
.38162 .49686 L
.38504 .49275 L
.38645 .49063 L
.3891 .48792 L
.39128 .48408 L
.39335 .48309 L
F
0 .5 1 r
.32364 .46745 m
.32546 .46859 L
.32364 .47088 L
.32298 .46859 L
F
.001 .775 1 r
.32364 .42944 m
.32652 .42994 L
.32364 .43451 L
.32326 .42994 L
F
1 .65 0 r
.32364 .44882 m
.32565 .44927 L
.32364 .45224 L
.32335 .44927 L
F
0 .375 1 r
.32364 .50562 m
.32395 .50725 L
.32364 .50748 L
.32337 .50725 L
F
1 .75 0 r
.38645 .4748 m
.3899 .47826 L
.38785 .48309 L
.38645 .48448 L
.38435 .48792 L
.38162 .49208 L
.38117 .49275 L
.37775 .49758 L
.37679 .49954 L
.37627 .50242 L
.37196 .50599 L
.37105 .50725 L
.36758 .51208 L
.36712 .51268 L
.36424 .51691 L
.36229 .51947 L
.36038 .52174 L
.35746 .5263 L
.35674 .52658 L
.35296 .53141 L
.35263 .532 L
.35023 .53624 L
.3478 .53843 L
.34553 .54107 L
.34296 .54501 L
.34166 .5459 L
.33813 .5503 L
.33773 .55073 L
.33359 .55557 L
.3333 .55595 L
.32899 .5604 L
.32847 .56121 L
.32364 .56441 L
.32346 .5604 L
.32364 .56002 L
.32591 .55557 L
.32847 .55113 L
.32872 .55073 L
.33084 .5459 L
.3333 .5437 L
.33508 .54107 L
.33813 .53664 L
.33842 .53624 L
.3418 .53141 L
.34296 .5295 L
.34536 .52658 L
.3478 .52324 L
.34892 .52174 L
.35256 .51691 L
.35263 .51666 L
.35558 .51208 L
.35746 .50997 L
.35979 .50725 L
.36229 .50304 L
.36348 .50242 L
.36712 .4976 L
.36714 .49758 L
.37005 .49275 L
.37196 .49132 L
.37493 .48792 L
.37679 .4848 L
.37899 .48309 L
.38162 .47988 L
.38326 .47826 L
F
1 .475 0 r
.32364 .52363 m
.32369 .52658 L
.32364 .52661 L
.32346 .52658 L
F
1 .4 0 r
.32364 .48732 m
.32418 .48792 L
.32364 .48837 L
.32347 .48792 L
F
.212 .95 1 r
.32364 .61775 m
.32668 .61838 L
.32364 .6186 L
.3236 .61838 L
F
1 .525 0 r
.36229 .46871 m
.36632 .47342 L
.36403 .47826 L
.36229 .48056 L
.3598 .48309 L
.35746 .48643 L
.35636 .48792 L
.35298 .49275 L
.35263 .49321 L
.34928 .49758 L
.3478 .5005 L
.34558 .50242 L
.34296 .50591 L
.34186 .50725 L
.33813 .51208 L
.33813 .51208 L
.33412 .51691 L
.3333 .5184 L
.32986 .52174 L
.32847 .52342 L
.32378 .52174 L
.32665 .51691 L
.32847 .51405 L
.32978 .51208 L
.33289 .50725 L
.3333 .50662 L
.33638 .50242 L
.33813 .49996 L
.33989 .49758 L
.34296 .49332 L
.34341 .49275 L
.34649 .48792 L
.3478 .48663 L
.35075 .48309 L
.35263 .47921 L
.35457 .47826 L
.35746 .47453 L
.35844 .47342 L
F
0 .6 1 r
.37196 .47444 m
.37674 .47826 L
.37369 .48309 L
.37196 .48565 L
.37042 .48792 L
.36712 .49274 L
.36712 .49275 L
.36429 .49758 L
.36229 .50009 L
.36015 .50242 L
.35746 .5061 L
.35658 .50725 L
.35301 .51208 L
.35263 .51262 L
.35079 .51691 L
.3478 .51932 L
.34552 .52174 L
.34296 .52509 L
.3417 .52658 L
.33813 .5311 L
.33785 .53141 L
.33377 .53624 L
.3333 .53694 L
.32929 .54107 L
.32847 .54285 L
.32379 .54107 L
.32639 .53624 L
.32847 .53277 L
.32934 .53141 L
.33205 .52658 L
.3333 .52457 L
.33577 .52174 L
.33813 .51836 L
.33918 .51691 L
.34264 .51208 L
.34296 .51151 L
.34486 .50725 L
.3478 .50433 L
.34979 .50242 L
.35263 .49858 L
.35342 .49758 L
.35695 .49275 L
.35746 .49219 L
.36089 .48792 L
.36229 .48561 L
.3648 .48309 L
.36712 .48011 L
.3688 .47826 L
F
0 .65 1 r
.33813 .44471 m
.34235 .44927 L
.33893 .4541 L
.33813 .45523 L
.33531 .45893 L
.3333 .46175 L
.33168 .46376 L
.32847 .46812 L
.32381 .46376 L
.32728 .45893 L
.32847 .45629 L
.33092 .4541 L
.3333 .4509 L
.33463 .44927 L
F
1 .55 0 r
.3478 .45118 m
.35223 .4541 L
.34899 .45893 L
.3478 .46069 L
.34555 .46376 L
.34296 .4675 L
.34211 .46859 L
.33934 .47342 L
.33813 .47441 L
.33484 .47826 L
.3333 .48034 L
.33099 .48309 L
.32847 .4864 L
.32387 .48309 L
.32715 .47826 L
.32847 .47639 L
.33063 .47342 L
.3333 .46969 L
.33415 .46859 L
.33732 .46376 L
.33813 .46306 L
.34152 .45893 L
.34296 .45705 L
.34547 .4541 L
F
0 .475 1 r
.35746 .45743 m
.36208 .45893 L
.35908 .46376 L
.35746 .4663 L
.35587 .46859 L
.35266 .47342 L
.35263 .47346 L
.34915 .47826 L
.3478 .48015 L
.34555 .48309 L
.34296 .48666 L
.34195 .48792 L
.33854 .49275 L
.33813 .49309 L
.33443 .49758 L
.3333 .50031 L
.33037 .50242 L
.32847 .50481 L
.32389 .50242 L
.32696 .49758 L
.32847 .49533 L
.33026 .49275 L
.3333 .48831 L
.33359 .48792 L
.33554 .48309 L
.33813 .4809 L
.34071 .47826 L
.34296 .47521 L
.34441 .47342 L
.3478 .46896 L
.34812 .46859 L
.35202 .46376 L
.35263 .46266 L
.35622 .45893 L
F
0 .625 1 r
.33813 .44513 m
.34203 .44927 L
.33869 .4541 L
.33813 .45489 L
.33507 .45893 L
.3333 .46141 L
.3314 .46376 L
.32847 .46776 L
.32414 .46376 L
.32756 .45893 L
.32847 .45682 L
.33121 .4541 L
.3333 .45129 L
.33495 .44927 L
F
1 .5 0 r
.36229 .46898 m
.3661 .47342 L
.36374 .47826 L
.36229 .48018 L
.35964 .48309 L
.35746 .48623 L
.35621 .48792 L
.35282 .49275 L
.35263 .493 L
.34915 .49758 L
.3478 .50031 L
.34544 .50242 L
.34296 .50573 L
.3417 .50725 L
.33813 .51187 L
.33795 .51208 L
.33393 .51691 L
.3333 .51807 L
.3296 .52174 L
.32847 .52309 L
.32414 .52174 L
.32687 .51691 L
.32847 .51437 L
.32997 .51208 L
.33309 .50725 L
.3333 .50692 L
.33653 .50242 L
.33813 .50016 L
.34004 .49758 L
.34296 .49351 L
.34355 .49275 L
.34669 .48792 L
.3478 .48684 L
.35089 .48309 L
.35263 .4794 L
.35474 .47826 L
.35746 .47475 L
.35865 .47342 L
F
1 .525 0 r
.3478 .45154 m
.35192 .4541 L
.34877 .45893 L
.3478 .46038 L
.34534 .46376 L
.34296 .46722 L
.3419 .46859 L
.33889 .47342 L
.33813 .47404 L
.33464 .47826 L
.3333 .48008 L
.33076 .48309 L
.32847 .48609 L
.32416 .48309 L
.32738 .47826 L
.32847 .4767 L
.33085 .47342 L
.3333 .46998 L
.33438 .46859 L
.33773 .46376 L
.33813 .46342 L
.34175 .45893 L
.34296 .45735 L
.34574 .4541 L
F
0 .45 1 r
.3478 .4692 m
.35246 .47342 L
.34899 .47826 L
.3478 .47994 L
.34539 .48309 L
.34296 .48646 L
.34178 .48792 L
.33822 .49275 L
.33813 .49282 L
.33425 .49758 L
.3333 .49995 L
.33014 .50242 L
.32847 .50451 L
.32418 .50242 L
.32717 .49758 L
.32847 .49562 L
.33045 .49275 L
.3333 .48856 L
.33378 .48792 L
.33587 .48309 L
.33813 .48119 L
.34087 .47826 L
.34296 .47543 L
.34459 .47342 L
F
0 .575 1 r
.37196 .47475 m
.37646 .47826 L
.37348 .48309 L
.37196 .48537 L
.37024 .48792 L
.36712 .49251 L
.36695 .49275 L
.36413 .49758 L
.36229 .49988 L
.36001 .50242 L
.35746 .50592 L
.35644 .50725 L
.35288 .51208 L
.35263 .51244 L
.3506 .51691 L
.3478 .51914 L
.34537 .52174 L
.34296 .52489 L
.34153 .52658 L
.33813 .53086 L
.33763 .53141 L
.33353 .53624 L
.3333 .53659 L
.32893 .54107 L
.32847 .54209 L
.32433 .54107 L
.32668 .53624 L
.32847 .53318 L
.32958 .53141 L
.3323 .52658 L
.3333 .52495 L
.33593 .52174 L
.33813 .51857 L
.33933 .51691 L
.34275 .51208 L
.34296 .51171 L
.34502 .50725 L
.3478 .50451 L
.34992 .50242 L
.35263 .49875 L
.35356 .49758 L
.35712 .49275 L
.35746 .49238 L
.36103 .48792 L
.36229 .48582 L
.36498 .48309 L
.36712 .48035 L
.36903 .47826 L
F
1 .5 0 r
.33813 .46379 m
.34168 .46859 L
.33841 .47342 L
.33813 .47365 L
.33444 .47826 L
.3333 .47981 L
.33052 .48309 L
.32847 .48577 L
.32445 .48309 L
.32761 .47826 L
.32847 .47703 L
.33107 .47342 L
.3333 .47028 L
.33461 .46859 L
F
0 .6 1 r
.33813 .44557 m
.3417 .44927 L
.33844 .4541 L
.33813 .45453 L
.33481 .45893 L
.3333 .46106 L
.33112 .46376 L
.32847 .46738 L
.32448 .46376 L
.32786 .45893 L
.32847 .45746 L
.33151 .4541 L
.3333 .45169 L
.33529 .44927 L
F
0 .425 1 r
.3333 .48882 m
.33799 .49275 L
.33407 .49758 L
.3333 .49954 L
.3299 .50242 L
.32847 .5042 L
.3245 .50242 L
.32738 .49758 L
.32847 .49593 L
.33064 .49275 L
F
1 .475 0 r
.3333 .50725 m
.33775 .51208 L
.33374 .51691 L
.3333 .51773 L
.32933 .52174 L
.32847 .52275 L
.32453 .52174 L
.32711 .51691 L
.32847 .5147 L
.33017 .51208 L
F
1 .75 0 r
.33813 .42732 m
.34166 .42994 L
.33863 .43477 L
.33813 .43553 L
.33518 .4396 L
.3333 .44238 L
.33171 .44443 L
.32847 .44903 L
.32453 .44443 L
.32759 .4396 L
.32847 .43897 L
.33194 .43477 L
.3333 .43303 L
.33599 .42994 L
F
1 .475 0 r
.3333 .47059 m
.33802 .47342 L
.33424 .47826 L
.3333 .47953 L
.33027 .48309 L
.32847 .48544 L
.32477 .48309 L
.32786 .47826 L
.32847 .47737 L
.3313 .47342 L
F
0 .4 1 r
.3333 .48909 m
.33778 .49275 L
.33388 .49758 L
.3333 .49909 L
.32965 .50242 L
.32847 .50387 L
.32484 .50242 L
.32761 .49758 L
.32847 .49626 L
.33085 .49275 L
F
0 .575 1 r
.33813 .44605 m
.34134 .44927 L
.33817 .4541 L
.33813 .45415 L
.33454 .45893 L
.3333 .46069 L
.33081 .46376 L
.32847 .46697 L
.32484 .46376 L
.32817 .45893 L
.32847 .45819 L
.33182 .4541 L
.3333 .45211 L
.33565 .44927 L
F
1 .45 0 r
.3333 .50751 m
.33755 .51208 L
.33354 .51691 L
.3333 .51736 L
.32902 .52174 L
.32847 .52238 L
.32497 .52174 L
.32736 .51691 L
.32847 .51507 L
.33038 .51208 L
F
.212 .95 1 r
.42994 .47749 m
.43437 .47826 L
.43081 .48309 L
.42994 .48408 L
.42639 .48792 L
.42511 .48923 L
.42232 .49275 L
.42027 .49536 L
.4189 .49758 L
.41585 .50242 L
.41544 .50313 L
.41197 .50725 L
.41061 .51073 L
.4098 .51208 L
.40661 .51691 L
.40578 .51803 L
.40168 .52174 L
.40095 .52516 L
.39983 .52658 L
.3963 .53141 L
.39612 .53157 L
.39287 .53624 L
.39128 .53817 L
.38854 .54107 L
.38645 .54488 L
.3861 .5459 L
.38207 .55073 L
.38162 .55106 L
.37852 .55557 L
.37679 .55759 L
.37469 .5604 L
.37196 .56422 L
.37119 .56523 L
.36756 .57006 L
.36712 .57027 L
.36305 .57489 L
.36229 .57672 L
.36072 .57973 L
.35746 .58328 L
.35647 .58456 L
.35277 .58939 L
.35263 .5894 L
.34889 .59422 L
.3478 .59541 L
.34675 .59905 L
.34296 .60164 L
.3411 .60388 L
.33813 .60763 L
.33696 .60872 L
.3333 .61283 L
.33249 .61355 L
.32847 .61735 L
.32498 .61355 L
.32698 .60872 L
.32847 .60695 L
.33031 .60388 L
.3333 .59929 L
.33346 .59905 L
.33708 .59422 L
.33813 .59141 L
.33909 .58939 L
.34296 .5855 L
.34364 .58456 L
.34711 .57973 L
.3478 .57869 L
.35059 .57489 L
.35263 .57161 L
.35428 .57006 L
.35746 .56574 L
.35785 .56523 L
.36186 .5604 L
.36229 .55913 L
.36437 .55557 L
.36712 .55232 L
.36872 .55073 L
.37196 .54633 L
.37229 .5459 L
.37592 .54107 L
.37679 .53985 L
.37809 .53624 L
.38162 .53318 L
.38331 .53141 L
.38645 .52667 L
.38691 .52658 L
.3903 .52174 L
.39128 .52079 L
.39439 .51691 L
.39612 .5143 L
.39817 .51208 L
.40095 .50778 L
.40192 .50725 L
.40568 .50242 L
.40578 .50235 L
.40991 .49758 L
.41061 .49653 L
.41433 .49275 L
.41544 .49073 L
.41905 .48792 L
.42027 .48662 L
.42383 .48309 L
.42511 .48183 L
.42889 .47826 L
F
0 .55 1 r
.32847 .53362 m
.33328 .53624 L
.32852 .54107 L
.32847 .54119 L
.32499 .54107 L
.32699 .53624 L
F
1 .725 0 r
.32847 .43976 m
.33127 .44443 L
.32847 .44846 L
.32503 .44443 L
F
1 .45 0 r
.3333 .47092 m
.33776 .47342 L
.33402 .47826 L
.3333 .47923 L
.32999 .48309 L
.32847 .48507 L
.32512 .48309 L
.32811 .47826 L
.32847 .47774 L
.33154 .47342 L
F
0 .375 1 r
.3333 .48937 m
.33757 .49275 L
.33368 .49758 L
.3333 .4986 L
.32937 .50242 L
.32847 .50352 L
.32522 .50242 L
.32785 .49758 L
.32847 .49661 L
.33105 .49275 L
F
0 .55 1 r
.32847 .45899 m
.33048 .46376 L
.32847 .46653 L
.32524 .46376 L
F
.461 .975 1 r
.42511 .51093 m
.42714 .51208 L
.42577 .51691 L
.42567 .52174 L
.4262 .52658 L
.42511 .53012 L
.42457 .53141 L
.4208 .53624 L
.42027 .53777 L
.41726 .54107 L
.41544 .54424 L
.41385 .5459 L
.41061 .55063 L
.41053 .55073 L
.40701 .55557 L
.40578 .55672 L
.40345 .5604 L
.40095 .56347 L
.39924 .56523 L
.39612 .57004 L
.3961 .57006 L
.3926 .57489 L
.39128 .57603 L
.38715 .57973 L
.38645 .58281 L
.3852 .58456 L
.38163 .58939 L
.38162 .58941 L
.37808 .59422 L
.37679 .59516 L
.37355 .59905 L
.37196 .60201 L
.37118 .60388 L
.36712 .60862 L
.36705 .60872 L
.36343 .61355 L
.36229 .61413 L
.35955 .61838 L
.35746 .62094 L
.35595 .62321 L
.35263 .62747 L
.35218 .62804 L
.34799 .63288 L
.3478 .63364 L
.34494 .63771 L
.34296 .63907 L
.3403 .64254 L
.33813 .64494 L
.33587 .64737 L
.3333 .65029 L
.33071 .6522 L
.32847 .65406 L
.32534 .6522 L
.32535 .64737 L
.32847 .64492 L
.32981 .64254 L
.33277 .63771 L
.3333 .63648 L
.33583 .63288 L
.33813 .62988 L
.33939 .62804 L
.3428 .62321 L
.34296 .62296 L
.34688 .61838 L
.3478 .61564 L
.34913 .61355 L
.35263 .60983 L
.35345 .60872 L
.35699 .60388 L
.35746 .60318 L
.36063 .59905 L
.36229 .59622 L
.36426 .59422 L
.36712 .59033 L
.36785 .58939 L
.37185 .58456 L
.37196 .58378 L
.37456 .57973 L
.37679 .57698 L
.37876 .57489 L
.38162 .57097 L
.38234 .57006 L
.38597 .56523 L
.38645 .56448 L
.38848 .5604 L
.39128 .55779 L
.39331 .55557 L
.39612 .55109 L
.39689 .55073 L
.40035 .5459 L
.40095 .54528 L
.40426 .54107 L
.40578 .53873 L
.40797 .53624 L
.41061 .53217 L
.41158 .53141 L
.41486 .52658 L
.41544 .52619 L
.41891 .52174 L
.42027 .51942 L
.42243 .51691 L
.4246 .51208 L
F
1 .925 .098 r
.40578 .48611 m
.41057 .48792 L
.40823 .49275 L
.40578 .49685 L
.40537 .49758 L
.40175 .50242 L
.40095 .50523 L
.39995 .50725 L
.39612 .51173 L
.39588 .51208 L
.39259 .51691 L
.39128 .5187 L
.38875 .52174 L
.38645 .52565 L
.38558 .52658 L
.38206 .53141 L
.38162 .53186 L
.37729 .53624 L
.37679 .53848 L
.37509 .54107 L
.37196 .54513 L
.37127 .5459 L
.36767 .55073 L
.36712 .55123 L
.36356 .55557 L
.36229 .55772 L
.36137 .5604 L
.35746 .56424 L
.3566 .56523 L
.35291 .57006 L
.35263 .57027 L
.34928 .57489 L
.3478 .57643 L
.34523 .57973 L
.34296 .58266 L
.34126 .58456 L
.33813 .58875 L
.33716 .58939 L
.3333 .59375 L
.33279 .59422 L
.32847 .59838 L
.32539 .59422 L
.32776 .58939 L
.32847 .58844 L
.33084 .58456 L
.3333 .58081 L
.33402 .57973 L
.33772 .57489 L
.33813 .57335 L
.34007 .57006 L
.34296 .56693 L
.34418 .56523 L
.34765 .5604 L
.3478 .5602 L
.35134 .55557 L
.35263 .55331 L
.35327 .55073 L
.35746 .54628 L
.3584 .5459 L
.36195 .54107 L
.36229 .54062 L
.36525 .53624 L
.36712 .53395 L
.36929 .53141 L
.37196 .5272 L
.37292 .52658 L
.37658 .52174 L
.37679 .52141 L
.37939 .51691 L
.38162 .51494 L
.38406 .51208 L
.38645 .50836 L
.38781 .50725 L
.39128 .5027 L
.39153 .50242 L
.39459 .49758 L
.39612 .4967 L
.39966 .49275 L
.40095 .49074 L
.40415 .48792 L
F
1 .425 0 r
.3333 .47127 m
.33748 .47342 L
.33379 .47826 L
.3333 .47892 L
.3297 .48309 L
.32847 .48468 L
.3255 .48309 L
.32838 .47826 L
.32847 .47813 L
.3318 .47342 L
F
.3333 .50779 m
.33734 .51208 L
.33333 .51691 L
.3333 .51696 L
.32869 .52174 L
.32847 .52199 L
.32552 .52174 L
.32761 .51691 L
.32847 .51546 L
.33059 .51208 L
F
1 .7 0 r
.32847 .44048 m
.33077 .44443 L
.32847 .44783 L
.32559 .44443 L
F
0 .35 1 r
.3333 .48966 m
.33734 .49275 L
.33348 .49758 L
.3333 .49805 L
.32907 .50242 L
.32847 .50314 L
.32565 .50242 L
.3281 .49758 L
.32847 .49699 L
.33127 .49275 L
F
0 .525 1 r
.32847 .45953 m
.33011 .46376 L
.32847 .46605 L
.32567 .46376 L
F
1 .4 0 r
.32847 .47861 m
.32937 .48309 L
.32847 .48425 L
.32593 .48309 L
F
.004 .825 1 r
.32847 .57013 m
.33291 .57489 L
.32847 .57919 L
.32597 .57489 L
F
.002 .8 1 r
.32847 .42214 m
.33088 .42511 L
.32847 .42897 L
.32614 .42511 L
F
0 .5 1 r
.32847 .46017 m
.3297 .46376 L
.32847 .46549 L
.32617 .46376 L
F
0 .325 1 r
.32847 .49741 m
.33324 .49758 L
.32872 .50242 L
.32847 .50272 L
.32621 .50242 L
.32836 .49758 L
F
1 .675 0 r
.32847 .44131 m
.3302 .44443 L
.32847 .44708 L
.32622 .44443 L
F
1 .725 0 r
.32847 .5517 m
.33324 .55557 L
.32847 .56035 L
.32634 .55557 L
F
1 .375 0 r
.32847 .4792 m
.32898 .48309 L
.32847 .48375 L
.32647 .48309 L
F
0 .475 1 r
.32847 .46095 m
.3292 .46376 L
.32847 .46481 L
.3268 .46376 L
F
1 .7 0 r
.32847 .55234 m
.33276 .55557 L
.32847 .55963 L
.3268 .55557 L
F
.002 .8 1 r
.32847 .57121 m
.33205 .57489 L
.32847 .57795 L
.32681 .57489 L
F
1 .65 0 r
.32847 .44239 m
.32947 .44443 L
.32847 .44608 L
.32704 .44443 L
F
1 .9 .045 r
.32847 .40416 m
.33058 .40578 L
.32847 .40977 L
.32706 .40578 L
F
.32847 .59043 m
.33091 .59422 L
.32847 .59591 L
.32722 .59422 L
F
1 .675 0 r
.32847 .55309 m
.3322 .55557 L
.32847 .55878 L
.32731 .55557 L
F
0 .525 1 r
.32847 .53411 m
.33293 .53624 L
.32847 .54058 L
.32732 .53624 L
F
1 .35 0 r
.32847 .47998 m
.32852 .48309 L
.32847 .48315 L
.32733 .48309 L
F
.001 .775 1 r
.32847 .42379 m
.32963 .42511 L
.32847 .42739 L
.32741 .42511 L
F
0 .5 1 r
.32847 .53466 m
.33253 .53624 L
.32847 .53995 L
.32767 .53624 L
F
.001 .775 1 r
.32847 .57282 m
.3308 .57489 L
.32847 .57626 L
.32787 .57489 L
F
1 .4 0 r
.32847 .51589 m
.33303 .51691 L
.32847 .52152 L
.32789 .51691 L
F
1 .65 0 r
.32847 .5541 m
.33148 .55557 L
.32847 .55768 L
.32791 .55557 L
F
0 .45 1 r
.32847 .46225 m
.32851 .46376 L
.32847 .46383 L
.32796 .46376 L
F
0 .475 1 r
.32847 .53535 m
.33205 .53624 L
.32847 .53914 L
.32806 .53624 L
F
1 .375 0 r
.32847 .51638 m
.33267 .51691 L
.32847 .52093 L
.32818 .51691 L
F
.004 .825 1 r
.39612 .48093 m
.3997 .48309 L
.39748 .48792 L
.39612 .4902 L
.39466 .49275 L
.3913 .49758 L
.39128 .49819 L
.3886 .50242 L
.38645 .5063 L
.38512 .50725 L
.3817 .51208 L
.38162 .51219 L
.37766 .51691 L
.37679 .51907 L
.37549 .52174 L
.37196 .52595 L
.37117 .52658 L
.36762 .53141 L
.36712 .53197 L
.36389 .53624 L
.36229 .53854 L
.36032 .54107 L
.35746 .54513 L
.35662 .5459 L
.35272 .55073 L
.35263 .55106 L
.34961 .55557 L
.3478 .55731 L
.34527 .5604 L
.34296 .56362 L
.34131 .56523 L
.33813 .56913 L
.33724 .57006 L
.3333 .57454 L
.32851 .57006 L
.32957 .56523 L
.3333 .56248 L
.33468 .5604 L
.33793 .55557 L
.33813 .55524 L
.34104 .55073 L
.34296 .54767 L
.34483 .5459 L
.3478 .54178 L
.34833 .54107 L
.35208 .53624 L
.35263 .53507 L
.35449 .53141 L
.35746 .52813 L
.35909 .52658 L
.36229 .52223 L
.36268 .52174 L
.36621 .51691 L
.36712 .51577 L
.37007 .51208 L
.37196 .50914 L
.37382 .50725 L
.37679 .5033 L
.37754 .50242 L
.38114 .49758 L
.38162 .49718 L
.38534 .49275 L
.38645 .49106 L
.38953 .48792 L
.39128 .48463 L
.39407 .48309 L
F
0 .55 1 r
.3333 .45257 m
.3378 .4541 L
.33425 .45893 L
.3333 .46029 L
.32852 .45893 L
.33216 .4541 L
F
1 .725 0 r
.33813 .42815 m
.34095 .42994 L
.33819 .43477 L
.33813 .43486 L
.33476 .4396 L
.3333 .4418 L
.32861 .4396 L
.33246 .43477 L
.3333 .43371 L
.33664 .42994 L
F
1 .4 0 r
.3333 .47164 m
.33718 .47342 L
.33354 .47826 L
.3333 .47859 L
.32873 .47826 L
.33206 .47342 L
F
0 .525 1 r
.3333 .45306 m
.33737 .4541 L
.33393 .45893 L
.3333 .45985 L
.32896 .45893 L
.33253 .4541 L
F
1 .9 .045 r
.40095 .492 m
.40578 .48801 L
.40688 .49275 L
.40578 .4949 L
.40443 .49758 L
.40135 .50242 L
.40095 .50398 L
.39964 .50725 L
.39612 .51099 L
.39541 .51208 L
.39215 .51691 L
.39128 .51814 L
.38846 .52174 L
.38645 .52529 L
.38528 .52658 L
.38175 .53141 L
.38162 .53155 L
.37718 .53624 L
.37679 .53815 L
.37491 .54107 L
.37196 .54485 L
.37102 .5459 L
.36741 .55073 L
.36712 .55099 L
.36339 .55557 L
.36229 .55739 L
.36121 .5604 L
.35746 .56389 L
.35629 .56523 L
.35263 .57003 L
.35256 .57006 L
.34888 .57489 L
.3478 .57595 L
.34474 .57973 L
.34296 .58201 L
.3406 .58456 L
.33813 .5881 L
.33618 .58939 L
.3333 .59244 L
.32897 .58939 L
.33158 .58456 L
.3333 .58178 L
.33459 .57973 L
.33792 .57489 L
.33813 .57411 L
.34038 .57006 L
.34296 .56738 L
.34449 .56523 L
.3478 .56057 L
.34792 .5604 L
.35152 .55557 L
.35263 .55362 L
.35341 .55073 L
.35746 .54642 L
.3586 .5459 L
.36214 .54107 L
.36229 .54086 L
.36543 .53624 L
.36712 .5342 L
.36948 .53141 L
.37196 .52737 L
.37314 .52658 L
.37674 .52174 L
.37679 .52167 L
.37972 .51691 L
.38162 .51527 L
.38434 .51208 L
.38645 .50869 L
.38817 .50725 L
.39128 .50323 L
.39202 .50242 L
.39586 .49758 L
.39612 .49744 L
.40047 .49275 L
F
1 .725 0 r
.38645 .47543 m
.38936 .47826 L
.3873 .48309 L
.38645 .48391 L
.38406 .48792 L
.38162 .49169 L
.38093 .49275 L
.37759 .49758 L
.37679 .49923 L
.37616 .50242 L
.37196 .50575 L
.37088 .50725 L
.36742 .51208 L
.36712 .51248 L
.36411 .51691 L
.36229 .51929 L
.36024 .52174 L
.35746 .52623 L
.35659 .52658 L
.35286 .53141 L
.35263 .53181 L
.35004 .53624 L
.3478 .53822 L
.34534 .54107 L
.34296 .54483 L
.34143 .5459 L
.33813 .54999 L
.33743 .55073 L
.3333 .55551 L
.32905 .55073 L
.33115 .5459 L
.3333 .54404 L
.33529 .54107 L
.33813 .5369 L
.33861 .53624 L
.34194 .53141 L
.34296 .52973 L
.34551 .52658 L
.3478 .52342 L
.34906 .52174 L
.35261 .51691 L
.35263 .51684 L
.35573 .51208 L
.35746 .51015 L
.35992 .50725 L
.36229 .50316 L
.36363 .50242 L
.36712 .4978 L
.36731 .49758 L
.37035 .49275 L
.37196 .49157 L
.37515 .48792 L
.37679 .48509 L
.37929 .48309 L
.38162 .48028 L
.38373 .47826 L
F
.004 .825 1 r
.33813 .41029 m
.34011 .41061 L
.33818 .41544 L
.33813 .41553 L
.335 .42027 L
.3333 .423 L
.32906 .42027 L
.33311 .41544 L
.3333 .41504 L
.33783 .41061 L
F
.002 .8 1 r
.39612 .48201 m
.39853 .48309 L
.3968 .48792 L
.39612 .48915 L
.39417 .49275 L
.39128 .49749 L
.39122 .49758 L
.38833 .50242 L
.38645 .50593 L
.38485 .50725 L
.38162 .51185 L
.38146 .51208 L
.37754 .51691 L
.37679 .51879 L
.37536 .52174 L
.37196 .52579 L
.37098 .52658 L
.36743 .53141 L
.36712 .53176 L
.36375 .53624 L
.36229 .53831 L
.36014 .54107 L
.35746 .54494 L
.35642 .5459 L
.35266 .55073 L
.35263 .55084 L
.34935 .55557 L
.3478 .55701 L
.34499 .5604 L
.34296 .56327 L
.34095 .56523 L
.33813 .56864 L
.33673 .57006 L
.3333 .57384 L
.32909 .57006 L
.33011 .56523 L
.3333 .56302 L
.33499 .5604 L
.33813 .55566 L
.3382 .55557 L
.34125 .55073 L
.34296 .54798 L
.34502 .5459 L
.3478 .54202 L
.3485 .54107 L
.35218 .53624 L
.35263 .53529 L
.35464 .53141 L
.35746 .52832 L
.35924 .52658 L
.36229 .52243 L
.36284 .52174 L
.36637 .51691 L
.36712 .51598 L
.37023 .51208 L
.37196 .50935 L
.37401 .50725 L
.37679 .50357 L
.37778 .50242 L
.38153 .49758 L
.38162 .49751 L
.38565 .49275 L
.38645 .49153 L
.38999 .48792 L
.39128 .48537 L
.39498 .48309 L
F
1 .925 .098 r
.3333 .39632 m
.33548 .40095 L
.3333 .40459 L
.32921 .40095 L
F
1 .7 0 r
.3333 .43446 m
.33749 .43477 L
.33429 .4396 L
.3333 .44113 L
.32924 .4396 L
.33305 .43477 L
F
.38645 .47614 m
.38874 .47826 L
.38665 .48309 L
.38645 .48327 L
.38377 .48792 L
.38162 .4913 L
.38069 .49275 L
.37743 .49758 L
.37679 .4989 L
.37603 .50242 L
.37196 .50552 L
.37072 .50725 L
.36726 .51208 L
.36712 .51227 L
.36397 .51691 L
.36229 .51909 L
.3601 .52174 L
.35746 .52614 L
.35644 .52658 L
.35275 .53141 L
.35263 .53162 L
.34983 .53624 L
.3478 .538 L
.34515 .54107 L
.34296 .54463 L
.34119 .5459 L
.33813 .54967 L
.33712 .55073 L
.3333 .55508 L
.3294 .55073 L
.3315 .5459 L
.3333 .54439 L
.3355 .54107 L
.33813 .53717 L
.33879 .53624 L
.34208 .53141 L
.34296 .52998 L
.34565 .52658 L
.3478 .52361 L
.3492 .52174 L
.35263 .51702 L
.35271 .51691 L
.35588 .51208 L
.35746 .51033 L
.36006 .50725 L
.36229 .50328 L
.36378 .50242 L
.36712 .498 L
.36748 .49758 L
.37067 .49275 L
.37196 .49182 L
.37537 .48792 L
.37679 .48541 L
.3796 .48309 L
.38162 .48069 L
.38428 .47826 L
F
0 .5 1 r
.3333 .4536 m
.33685 .4541 L
.33359 .45893 L
.3333 .45936 L
.32947 .45893 L
.33294 .4541 L
F
.212 .95 1 r
.3333 .37764 m
.33578 .38162 L
.3333 .386 L
.32958 .38162 L
F
.001 .775 1 r
.39128 .48635 m
.39604 .48792 L
.39367 .49275 L
.39128 .49681 L
.39082 .49758 L
.38803 .50242 L
.38645 .50547 L
.38458 .50725 L
.38162 .51151 L
.38122 .51208 L
.37742 .51691 L
.37679 .5185 L
.37522 .52174 L
.37196 .52561 L
.3708 .52658 L
.36725 .53141 L
.36712 .53155 L
.3636 .53624 L
.36229 .53808 L
.35995 .54107 L
.35746 .54474 L
.35622 .5459 L
.35263 .55059 L
.35251 .55073 L
.34906 .55557 L
.3478 .5567 L
.34471 .5604 L
.34296 .5629 L
.34057 .56523 L
.33813 .56814 L
.33616 .57006 L
.3333 .5731 L
.32972 .57006 L
.33084 .56523 L
.3333 .5636 L
.33532 .5604 L
.33813 .55607 L
.33847 .55557 L
.34147 .55073 L
.34296 .54832 L
.34521 .5459 L
.3478 .54227 L
.34868 .54107 L
.35228 .53624 L
.35263 .53552 L
.3548 .53141 L
.35746 .52851 L
.35939 .52658 L
.36229 .52263 L
.363 .52174 L
.36654 .51691 L
.36712 .5162 L
.3704 .51208 L
.37196 .50958 L
.37421 .50725 L
.37679 .50384 L
.37802 .50242 L
.38162 .49785 L
.38186 .49758 L
.38599 .49275 L
.38645 .49203 L
.39051 .48792 L
F
1 .675 0 r
.38162 .48112 m
.38612 .48309 L
.38347 .48792 L
.38162 .49088 L
.38044 .49275 L
.37726 .49758 L
.37679 .49854 L
.37586 .50242 L
.37196 .50528 L
.37056 .50725 L
.36712 .51206 L
.36711 .51208 L
.36383 .51691 L
.36229 .51889 L
.35995 .52174 L
.35746 .52604 L
.35629 .52658 L
.35264 .53141 L
.35263 .53143 L
.3496 .53624 L
.3478 .53777 L
.34496 .54107 L
.34296 .54441 L
.34095 .5459 L
.33813 .54935 L
.33678 .55073 L
.3333 .55462 L
.32976 .55073 L
.33191 .5459 L
.3333 .54475 L
.33571 .54107 L
.33813 .53745 L
.33898 .53624 L
.34224 .53141 L
.34296 .53023 L
.34579 .52658 L
.3478 .5238 L
.34934 .52174 L
.35263 .5172 L
.35285 .51691 L
.35603 .51208 L
.35746 .51052 L
.36019 .50725 L
.36229 .50342 L
.36394 .50242 L
.36712 .49821 L
.36766 .49758 L
.37101 .49275 L
.37196 .49208 L
.37559 .48792 L
.37679 .48577 L
.37993 .48309 L
F
0 .55 1 r
.37196 .47507 m
.37617 .47826 L
.37327 .48309 L
.37196 .48508 L
.37006 .48792 L
.36712 .49228 L
.36679 .49275 L
.36395 .49758 L
.36229 .49966 L
.35988 .50242 L
.35746 .50574 L
.35631 .50725 L
.35276 .51208 L
.35263 .51226 L
.35039 .51691 L
.3478 .51894 L
.34522 .52174 L
.34296 .52469 L
.34135 .52658 L
.33813 .53062 L
.3374 .53141 L
.3333 .53622 L
.32982 .53141 L
.33256 .52658 L
.3333 .52537 L
.33609 .52174 L
.33813 .51879 L
.33948 .51691 L
.34287 .51208 L
.34296 .51192 L
.34519 .50725 L
.3478 .50469 L
.35005 .50242 L
.35263 .49892 L
.3537 .49758 L
.35729 .49275 L
.35746 .49257 L
.36118 .48792 L
.36229 .48605 L
.36516 .48309 L
.36712 .48059 L
.36928 .47826 L
F
1 .675 0 r
.3333 .43543 m
.33375 .4396 L
.3333 .44033 L
.33002 .4396 L
F
0 .525 1 r
.37196 .4754 m
.37587 .47826 L
.37306 .48309 L
.37196 .48477 L
.36988 .48792 L
.36712 .49204 L
.36662 .49275 L
.36377 .49758 L
.36229 .49943 L
.35974 .50242 L
.35746 .50556 L
.35617 .50725 L
.35263 .51207 L
.35262 .51208 L
.35016 .51691 L
.3478 .51874 L
.34507 .52174 L
.34296 .52449 L
.34116 .52658 L
.33813 .53038 L
.33716 .53141 L
.3333 .53589 L
.33007 .53141 L
.33284 .52658 L
.3333 .52582 L
.33626 .52174 L
.33813 .51901 L
.33963 .51691 L
.34296 .51213 L
.34301 .51208 L
.34538 .50725 L
.3478 .50489 L
.35018 .50242 L
.35263 .49909 L
.35384 .49758 L
.35746 .49277 L
.35747 .49275 L
.36133 .48792 L
.36229 .48628 L
.36534 .48309 L
.36712 .48083 L
.36953 .47826 L
F
1 .65 0 r
.38162 .48157 m
.38562 .48309 L
.38315 .48792 L
.38162 .49043 L
.38018 .49275 L
.37707 .49758 L
.37679 .49816 L
.37567 .50242 L
.37196 .50504 L
.37039 .50725 L
.36712 .51184 L
.36695 .51208 L
.36368 .51691 L
.36229 .51869 L
.35981 .52174 L
.35746 .52593 L
.35614 .52658 L
.35263 .53123 L
.35248 .53141 L
.34936 .53624 L
.3478 .53754 L
.34477 .54107 L
.34296 .54416 L
.3407 .5459 L
.33813 .54902 L
.33643 .55073 L
.3333 .55415 L
.33015 .55073 L
.33236 .5459 L
.3333 .54514 L
.33592 .54107 L
.33813 .53774 L
.33917 .53624 L
.3424 .53141 L
.34296 .5305 L
.34594 .52658 L
.3478 .52399 L
.34948 .52174 L
.35263 .51738 L
.353 .51691 L
.3562 .51208 L
.35746 .51071 L
.36033 .50725 L
.36229 .50358 L
.36409 .50242 L
.36712 .49842 L
.36785 .49758 L
.37139 .49275 L
.37196 .49235 L
.37583 .48792 L
.37679 .48616 L
.38029 .48309 L
F
.002 .8 1 r
.3333 .41684 m
.33407 .42027 L
.3333 .42166 L
.33029 .42027 L
F
.098 .925 1 r
.41061 .49897 m
.41362 .50242 L
.41105 .50725 L
.41061 .50832 L
.40857 .51208 L
.40578 .51649 L
.40553 .51691 L
.40123 .52174 L
.40095 .52416 L
.3993 .52658 L
.39612 .53135 L
.39571 .53141 L
.39232 .53624 L
.39128 .53753 L
.38814 .54107 L
.38645 .54435 L
.38598 .5459 L
.38165 .55073 L
.38162 .55075 L
.37812 .55557 L
.37679 .55711 L
.37437 .5604 L
.37196 .56374 L
.3708 .56523 L
.36713 .57006 L
.36712 .57007 L
.36284 .57489 L
.36229 .57617 L
.36034 .57973 L
.35746 .58261 L
.3559 .58456 L
.35263 .58887 L
.35207 .58939 L
.34818 .59422 L
.3478 .59456 L
.34533 .59905 L
.34296 .6003 L
.33962 .60388 L
.33813 .60579 L
.33447 .60872 L
.3333 .60976 L
.33032 .60872 L
.332 .60388 L
.3333 .60149 L
.3347 .59905 L
.33772 .59422 L
.33813 .59306 L
.3396 .58939 L
.34296 .58636 L
.34422 .58456 L
.34758 .57973 L
.3478 .57939 L
.35093 .57489 L
.35263 .5721 L
.35463 .57006 L
.35746 .56617 L
.35817 .56523 L
.36198 .5604 L
.36229 .55952 L
.36463 .55557 L
.36712 .55265 L
.36899 .55073 L
.37196 .54668 L
.37258 .5459 L
.37616 .54107 L
.37679 .54021 L
.37842 .53624 L
.38162 .53356 L
.38364 .53141 L
.38645 .52681 L
.3873 .52658 L
.39084 .52174 L
.39128 .52134 L
.39489 .51691 L
.39612 .51502 L
.39885 .51208 L
.40095 .50846 L
.4029 .50725 L
.40578 .5038 L
.40722 .50242 L
F
0 .5 1 r
.37196 .47575 m
.37554 .47826 L
.37283 .48309 L
.37196 .48445 L
.36969 .48792 L
.36712 .49179 L
.36645 .49275 L
.36357 .49758 L
.36229 .49918 L
.3596 .50242 L
.35746 .50538 L
.35603 .50725 L
.35263 .51189 L
.35247 .51208 L
.34991 .51691 L
.3478 .51853 L
.34492 .52174 L
.34296 .52428 L
.34097 .52658 L
.33813 .53012 L
.33691 .53141 L
.3333 .53555 L
.33034 .53141 L
.33314 .52658 L
.3333 .52632 L
.33642 .52174 L
.33813 .51924 L
.33979 .51691 L
.34296 .51233 L
.34316 .51208 L
.34558 .50725 L
.3478 .5051 L
.35031 .50242 L
.35263 .49927 L
.35398 .49758 L
.35746 .49295 L
.35763 .49275 L
.36149 .48792 L
.36229 .48653 L
.36553 .48309 L
.36712 .48108 L
.3698 .47826 L
F
1 .875 .021 r
.39612 .49823 m
.40088 .50242 L
.39919 .50725 L
.39612 .51021 L
.39495 .51208 L
.39173 .51691 L
.39128 .51756 L
.38818 .52174 L
.38645 .5249 L
.38497 .52658 L
.38162 .53119 L
.38146 .53141 L
.3771 .53624 L
.37679 .53782 L
.37471 .54107 L
.37196 .54456 L
.37078 .5459 L
.36715 .55073 L
.36712 .55076 L
.36321 .55557 L
.36229 .55707 L
.361 .5604 L
.35746 .56355 L
.35598 .56523 L
.35263 .56987 L
.35218 .57006 L
.34843 .57489 L
.3478 .57547 L
.34422 .57973 L
.34296 .58135 L
.33988 .58456 L
.33813 .58724 L
.33497 .58939 L
.3333 .59096 L
.3304 .58939 L
.33237 .58456 L
.3333 .58293 L
.33519 .57973 L
.33813 .57497 L
.33818 .57489 L
.34075 .57006 L
.34296 .56785 L
.3448 .56523 L
.3478 .56095 L
.3482 .5604 L
.35171 .55557 L
.35263 .55395 L
.35358 .55073 L
.35746 .54659 L
.35881 .5459 L
.36229 .54112 L
.36233 .54107 L
.36563 .53624 L
.36712 .53446 L
.36967 .53141 L
.37196 .52756 L
.37335 .52658 L
.37679 .52197 L
.37697 .52174 L
.38008 .51691 L
.38162 .51562 L
.38463 .51208 L
.38645 .50906 L
.38856 .50725 L
.39128 .50377 L
.39255 .50242 L
F
0 .75 1 r
.39128 .4876 m
.39502 .48792 L
.39313 .49275 L
.39128 .49607 L
.39041 .49758 L
.38771 .50242 L
.38645 .50491 L
.38431 .50725 L
.38162 .51115 L
.38098 .51208 L
.3773 .51691 L
.37679 .5182 L
.37507 .52174 L
.37196 .52542 L
.37062 .52658 L
.36712 .53132 L
.36706 .53141 L
.36345 .53624 L
.36229 .53785 L
.35977 .54107 L
.35746 .54454 L
.35602 .5459 L
.35263 .55032 L
.35228 .55073 L
.34874 .55557 L
.3478 .55639 L
.34441 .5604 L
.34296 .56251 L
.34017 .56523 L
.33813 .56762 L
.33552 .57006 L
.3333 .57229 L
.33044 .57006 L
.33178 .56523 L
.3333 .56425 L
.33565 .5604 L
.33813 .55649 L
.33876 .55557 L
.34171 .55073 L
.34296 .54869 L
.34541 .5459 L
.3478 .54252 L
.34887 .54107 L
.35239 .53624 L
.35263 .53576 L
.35497 .53141 L
.35746 .52871 L
.35955 .52658 L
.36229 .52284 L
.36316 .52174 L
.36671 .51691 L
.36712 .51642 L
.37057 .51208 L
.37196 .50982 L
.37441 .50725 L
.37679 .50411 L
.37827 .50242 L
.38162 .4982 L
.38219 .49758 L
.38634 .49275 L
.38645 .49258 L
.39113 .48792 L
F
1 .625 0 r
.38162 .48206 m
.38506 .48309 L
.38282 .48792 L
.38162 .48995 L
.37992 .49275 L
.37687 .49758 L
.37679 .49775 L
.37545 .50242 L
.37196 .50479 L
.37022 .50725 L
.36712 .51162 L
.36678 .51208 L
.36352 .51691 L
.36229 .51848 L
.35966 .52174 L
.35746 .5258 L
.35598 .52658 L
.35263 .53102 L
.35231 .53141 L
.34909 .53624 L
.3478 .5373 L
.34457 .54107 L
.34296 .54389 L
.34044 .5459 L
.33813 .54868 L
.33603 .55073 L
.3333 .55364 L
.33056 .55073 L
.33288 .5459 L
.3333 .54556 L
.33614 .54107 L
.33813 .53803 L
.33937 .53624 L
.34258 .53141 L
.34296 .53078 L
.34608 .52658 L
.3478 .52419 L
.34962 .52174 L
.35263 .51757 L
.35314 .51691 L
.35638 .51208 L
.35746 .51091 L
.36047 .50725 L
.36229 .50375 L
.36425 .50242 L
.36712 .49864 L
.36804 .49758 L
.37179 .49275 L
.37196 .49264 L
.37608 .48792 L
.37679 .4866 L
.38069 .48309 L
F
1 .975 .461 r
.41544 .5095 m
.41996 .51208 L
.41824 .51691 L
.41583 .52174 L
.41544 .52247 L
.41193 .52658 L
.41061 .53084 L
.40982 .53141 L
.40648 .53624 L
.40578 .53707 L
.40311 .54107 L
.40095 .54395 L
.39931 .5459 L
.39612 .55058 L
.39596 .55073 L
.39249 .55557 L
.39128 .55686 L
.38774 .5604 L
.38645 .56356 L
.38547 .56523 L
.38162 .57006 L
.38162 .57006 L
.37806 .57489 L
.37679 .57616 L
.37394 .57973 L
.37196 .5828 L
.37179 .58456 L
.36712 .58926 L
.36701 .58939 L
.36334 .59422 L
.36229 .59513 L
.3598 .59905 L
.35746 .60159 L
.35575 .60388 L
.35263 .60788 L
.35189 .60872 L
.34792 .61355 L
.3478 .61365 L
.34445 .61838 L
.34296 .61922 L
.33927 .62321 L
.33813 .62448 L
.33377 .62804 L
.3333 .62863 L
.33058 .62804 L
.33174 .62321 L
.3333 .62014 L
.33428 .61838 L
.33715 .61355 L
.33813 .61214 L
.34037 .60872 L
.34296 .60495 L
.3437 .60388 L
.34762 .59905 L
.3478 .59779 L
.35013 .59422 L
.35263 .59013 L
.35411 .58939 L
.35746 .58477 L
.35762 .58456 L
.36139 .57973 L
.36229 .57797 L
.36363 .57489 L
.36712 .5709 L
.36844 .57006 L
.37196 .56525 L
.37198 .56523 L
.3754 .5604 L
.37679 .55863 L
.37932 .55557 L
.38162 .5518 L
.38296 .55073 L
.38645 .54599 L
.38652 .5459 L
.38964 .54107 L
.39128 .53952 L
.39401 .53624 L
.39612 .53287 L
.39772 .53141 L
.40095 .52706 L
.40136 .52658 L
.4044 .52174 L
.40578 .52087 L
.40918 .51691 L
.41061 .51462 L
.41334 .51208 L
F
0 .475 1 r
.3333 .52675 m
.33664 .53141 L
.3333 .53519 L
.33061 .53141 L
F
1 .4 0 r
.3333 .50808 m
.33712 .51208 L
.3333 .51665 L
.33081 .51208 L
F
0 .45 1 r
.3333 .52712 m
.33635 .53141 L
.3333 .5348 L
.3309 .53141 L
F
1 .6 0 r
.3333 .54604 m
.33559 .55073 L
.3333 .55308 L
.33102 .55073 L
F
1 .375 0 r
.3333 .50838 m
.33688 .51208 L
.3333 .51633 L
.33104 .51208 L
F
0 .425 1 r
.3333 .52752 m
.33604 .53141 L
.3333 .53439 L
.33121 .53141 L
F
1 .35 0 r
.3333 .50871 m
.33663 .51208 L
.3333 .516 L
.33128 .51208 L
F
0 .725 1 r
.38645 .49312 m
.38999 .49758 L
.38734 .50242 L
.38645 .50422 L
.38404 .50725 L
.38162 .51079 L
.38074 .51208 L
.37718 .51691 L
.37679 .51788 L
.3749 .52174 L
.37196 .5252 L
.37043 .52658 L
.36712 .53108 L
.36687 .53141 L
.36329 .53624 L
.36229 .53761 L
.35958 .54107 L
.35746 .54432 L
.35582 .5459 L
.35263 .55004 L
.35204 .55073 L
.34839 .55557 L
.3478 .55607 L
.3441 .5604 L
.34296 .56208 L
.33975 .56523 L
.33813 .56708 L
.33473 .57006 L
.3333 .57136 L
.33132 .57006 L
.33296 .56523 L
.3333 .56501 L
.336 .5604 L
.33813 .55695 L
.33905 .55557 L
.34198 .55073 L
.34296 .54911 L
.3456 .5459 L
.3478 .54278 L
.34905 .54107 L
.35251 .53624 L
.35263 .53601 L
.35516 .53141 L
.35746 .52893 L
.3597 .52658 L
.36229 .52304 L
.36333 .52174 L
.3669 .51691 L
.36712 .51664 L
.37074 .51208 L
.37196 .51007 L
.37461 .50725 L
.37679 .50439 L
.37853 .50242 L
.38162 .49855 L
.38255 .49758 L
F
0 .325 1 r
.3333 .48997 m
.3371 .49275 L
.3333 .49752 L
.3315 .49275 L
F
1 .325 0 r
.3333 .50906 m
.33636 .51208 L
.3333 .51563 L
.33154 .51208 L
F
1 .575 0 r
.3333 .54666 m
.33508 .55073 L
.3333 .55245 L
.33155 .55073 L
F
0 .4 1 r
.3333 .52796 m
.33569 .53141 L
.3333 .53393 L
.33155 .53141 L
F
0 .3 1 r
.3333 .4903 m
.33684 .49275 L
.3333 .49718 L
.33173 .49275 L
F
1 .3 0 r
.3333 .50944 m
.33606 .51208 L
.3333 .51524 L
.33181 .51208 L
F
0 .375 1 r
.3333 .52848 m
.33528 .53141 L
.3333 .53342 L
.33193 .53141 L
F
0 .275 1 r
.3333 .49066 m
.33655 .49275 L
.3333 .4968 L
.33199 .49275 L
F
1 .275 0 r
.3333 .50987 m
.33572 .51208 L
.3333 .51479 L
.33211 .51208 L
F
1 .55 0 r
.3333 .54744 m
.33443 .55073 L
.3333 .5517 L
.33221 .55073 L
F
0 .25 1 r
.3333 .49105 m
.33623 .49275 L
.3333 .49638 L
.33226 .49275 L
F
1 .375 0 r
.3333 .47204 m
.33684 .47342 L
.3333 .47822 L
.33235 .47342 L
F
0 .35 1 r
.3333 .52911 m
.33479 .53141 L
.3333 .5328 L
.33238 .53141 L
F
1 .25 0 r
.3333 .51037 m
.33533 .51208 L
.3333 .51426 L
.33244 .51208 L
F
0 .225 1 r
.3333 .4915 m
.33586 .49275 L
.3333 .49589 L
.33256 .49275 L
F
1 .35 0 r
.3333 .47248 m
.33644 .47342 L
.3333 .47774 L
.33267 .47342 L
F
1 .225 0 r
.3333 .51102 m
.33481 .51208 L
.3333 .51358 L
.33284 .51208 L
F
0 .7 1 r
.3333 .56619 m
.33347 .57006 L
.3333 .57018 L
.33288 .57006 L
F
0 .2 1 r
.3333 .49203 m
.3354 .49275 L
.3333 .49528 L
.3329 .49275 L
F
0 .325 1 r
.3333 .53005 m
.33406 .53141 L
.3333 .53196 L
.33297 .53141 L
F
1 .325 0 r
.3333 .473 m
.33596 .47342 L
.3333 .47715 L
.33302 .47342 L
F
1 .85 .01 r
.39612 .49907 m
.40008 .50242 L
.39854 .50725 L
.39612 .50937 L
.39447 .51208 L
.3913 .51691 L
.39128 .51693 L
.38791 .52174 L
.38645 .52446 L
.38467 .52658 L
.38162 .5308 L
.38118 .53141 L
.37703 .53624 L
.37679 .53748 L
.37451 .54107 L
.37196 .54427 L
.37053 .5459 L
.36712 .55044 L
.36689 .55073 L
.36303 .55557 L
.36229 .55674 L
.36076 .5604 L
.35746 .56319 L
.35567 .56523 L
.35263 .56968 L
.3518 .57006 L
.3479 .57489 L
.3478 .57498 L
.34367 .57973 L
.34296 .58064 L
.33906 .58456 L
.33813 .58605 L
.3333 .58897 L
.33328 .58456 L
.3333 .5845 L
.33582 .57973 L
.33813 .57576 L
.33868 .57489 L
.34118 .57006 L
.34296 .56835 L
.34511 .56523 L
.3478 .56134 L
.34848 .5604 L
.35191 .55557 L
.35263 .55431 L
.35378 .55073 L
.35746 .54679 L
.35901 .5459 L
.36229 .54139 L
.36254 .54107 L
.36584 .53624 L
.36712 .53473 L
.36987 .53141 L
.37196 .52777 L
.37357 .52658 L
.37679 .52227 L
.37723 .52174 L
.38048 .51691 L
.38162 .51598 L
.38494 .51208 L
.38645 .50949 L
.38896 .50725 L
.39128 .50434 L
.39316 .50242 L
F
0 .175 1 r
.3333 .49275 m
.33469 .49275 L
.3333 .4943 L
.3333 .49275 L
F
1 .475 0 r
.36229 .46926 m
.36587 .47342 L
.36342 .47826 L
.36229 .47976 L
.35949 .48309 L
.35746 .48602 L
.35606 .48792 L
.35265 .49275 L
.35263 .49278 L
.34902 .49758 L
.3478 .50009 L
.3453 .50242 L
.34296 .50554 L
.34154 .50725 L
.33813 .51166 L
.3333 .50725 L
.33667 .50242 L
.33813 .50036 L
.34018 .49758 L
.34296 .4937 L
.3437 .49275 L
.34691 .48792 L
.3478 .48705 L
.35104 .48309 L
.35263 .47961 L
.35491 .47826 L
.35746 .47497 L
.35886 .47342 L
F
1 .6 0 r
.37196 .49291 m
.37665 .49758 L
.37519 .50242 L
.37196 .50453 L
.37005 .50725 L
.36712 .5114 L
.36662 .51208 L
.36336 .51691 L
.36229 .51826 L
.35951 .52174 L
.35746 .52565 L
.35582 .52658 L
.35263 .53081 L
.35213 .53141 L
.3488 .53624 L
.3478 .53705 L
.34436 .54107 L
.34296 .54359 L
.34017 .5459 L
.33813 .54833 L
.33339 .5459 L
.33637 .54107 L
.33813 .53834 L
.33956 .53624 L
.34276 .53141 L
.34296 .53108 L
.34623 .52658 L
.3478 .52439 L
.34977 .52174 L
.35263 .51776 L
.35329 .51691 L
.35656 .51208 L
.35746 .51112 L
.36061 .50725 L
.36229 .50394 L
.36441 .50242 L
.36712 .49885 L
.36823 .49758 L
F
0 .475 1 r
.37196 .47612 m
.3752 .47826 L
.3726 .48309 L
.37196 .48411 L
.3695 .48792 L
.36712 .49154 L
.36627 .49275 L
.36337 .49758 L
.36229 .49892 L
.35947 .50242 L
.35746 .50519 L
.35589 .50725 L
.35263 .5117 L
.35232 .51208 L
.34964 .51691 L
.3478 .51831 L
.34476 .52174 L
.34296 .52407 L
.34078 .52658 L
.33813 .52987 L
.33342 .52658 L
.33659 .52174 L
.33813 .51948 L
.33995 .51691 L
.34296 .51254 L
.34331 .51208 L
.3458 .50725 L
.3478 .50532 L
.35045 .50242 L
.35263 .49945 L
.35413 .49758 L
.35746 .49315 L
.3578 .49275 L
.36165 .48792 L
.36229 .48679 L
.36573 .48309 L
.36712 .48134 L
.37009 .47826 L
F
1 .45 0 r
.36229 .46956 m
.36564 .47342 L
.36307 .47826 L
.36229 .4793 L
.35933 .48309 L
.35746 .48581 L
.35591 .48792 L
.35263 .49258 L
.3525 .49275 L
.34889 .49758 L
.3478 .49986 L
.34515 .50242 L
.34296 .50535 L
.34137 .50725 L
.33813 .51144 L
.33349 .50725 L
.33683 .50242 L
.33813 .50057 L
.34033 .49758 L
.34296 .49389 L
.34385 .49275 L
.34713 .48792 L
.3478 .48728 L
.35119 .48309 L
.35263 .47984 L
.35508 .47826 L
.35746 .4752 L
.35908 .47342 L
F
1 .925 .098 r
.33813 .39191 m
.33842 .39612 L
.33813 .39667 L
.33353 .39612 L
F
0 .45 1 r
.37196 .47651 m
.37482 .47826 L
.37237 .48309 L
.37196 .48375 L
.36931 .48792 L
.36712 .49127 L
.36609 .49275 L
.36315 .49758 L
.36229 .49864 L
.35932 .50242 L
.35746 .505 L
.35574 .50725 L
.35263 .51151 L
.35217 .51208 L
.34936 .51691 L
.3478 .51808 L
.3446 .52174 L
.34296 .52386 L
.34058 .52658 L
.33813 .5296 L
.33365 .52658 L
.33677 .52174 L
.33813 .51972 L
.34011 .51691 L
.34296 .51274 L
.34346 .51208 L
.34603 .50725 L
.3478 .50555 L
.35058 .50242 L
.35263 .49963 L
.35427 .49758 L
.35746 .49334 L
.35797 .49275 L
.36181 .48792 L
.36229 .48707 L
.36593 .48309 L
.36712 .4816 L
.3704 .47826 L
F
1 .425 0 r
.36229 .46986 m
.36539 .47342 L
.36269 .47826 L
.36229 .4788 L
.35917 .48309 L
.35746 .48559 L
.35575 .48792 L
.35263 .49238 L
.35234 .49275 L
.34875 .49758 L
.3478 .49962 L
.34501 .50242 L
.34296 .50515 L
.3412 .50725 L
.33813 .51121 L
.33368 .50725 L
.33698 .50242 L
.33813 .50078 L
.34047 .49758 L
.34296 .49409 L
.34401 .49275 L
.34737 .48792 L
.3478 .48751 L
.35134 .48309 L
.35263 .4801 L
.35525 .47826 L
.35746 .47543 L
.35931 .47342 L
F
1 .575 0 r
.37196 .49319 m
.37641 .49758 L
.37489 .50242 L
.37196 .50427 L
.36988 .50725 L
.36712 .51117 L
.36645 .51208 L
.36319 .51691 L
.36229 .51803 L
.35936 .52174 L
.35746 .52548 L
.35566 .52658 L
.35263 .5306 L
.35195 .53141 L
.3485 .53624 L
.3478 .53679 L
.34415 .54107 L
.34296 .54326 L
.33989 .5459 L
.33813 .54796 L
.33374 .5459 L
.3366 .54107 L
.33813 .53867 L
.33977 .53624 L
.34295 .53141 L
.34296 .53139 L
.34638 .52658 L
.3478 .52459 L
.34991 .52174 L
.35263 .51795 L
.35344 .51691 L
.35676 .51208 L
.35746 .51133 L
.36075 .50725 L
.36229 .50414 L
.36458 .50242 L
.36712 .49907 L
.36843 .49758 L
F
0 .7 1 r
.38645 .49366 m
.38954 .49758 L
.38693 .50242 L
.38645 .50339 L
.38376 .50725 L
.38162 .51042 L
.3805 .51208 L
.37705 .51691 L
.37679 .51756 L
.37471 .52174 L
.37196 .52497 L
.37024 .52658 L
.36712 .53083 L
.36668 .53141 L
.36313 .53624 L
.36229 .53736 L
.35939 .54107 L
.35746 .5441 L
.35561 .5459 L
.35263 .54976 L
.3518 .55073 L
.348 .55557 L
.3478 .55574 L
.34378 .5604 L
.34296 .56162 L
.33928 .56523 L
.33813 .5665 L
.33376 .56523 L
.33636 .5604 L
.33813 .55744 L
.33934 .55557 L
.34226 .55073 L
.34296 .54957 L
.3458 .5459 L
.3478 .54305 L
.34924 .54107 L
.35263 .53626 L
.35264 .53624 L
.35537 .53141 L
.35746 .52916 L
.35986 .52658 L
.36229 .52325 L
.3635 .52174 L
.36709 .51691 L
.36712 .51687 L
.37091 .51208 L
.37196 .51034 L
.37482 .50725 L
.37679 .50468 L
.37881 .50242 L
.38162 .49893 L
.38293 .49758 L
F
1 .4 0 r
.35746 .47567 m
.36229 .47826 L
.35901 .48309 L
.35746 .48536 L
.35559 .48792 L
.35263 .49218 L
.35218 .49275 L
.34861 .49758 L
.3478 .49935 L
.34486 .50242 L
.34296 .50495 L
.34102 .50725 L
.33813 .51098 L
.33388 .50725 L
.33714 .50242 L
.33813 .501 L
.34063 .49758 L
.34296 .49429 L
.34416 .49275 L
.34762 .48792 L
.3478 .48775 L
.35149 .48309 L
.35263 .48039 L
.35544 .47826 L
F
0 .425 1 r
.37196 .47694 m
.37439 .47826 L
.37212 .48309 L
.37196 .48335 L
.3691 .48792 L
.36712 .491 L
.36591 .49275 L
.36291 .49758 L
.36229 .49835 L
.35918 .50242 L
.35746 .50481 L
.3556 .50725 L
.35263 .51132 L
.35201 .51208 L
.34905 .51691 L
.3478 .51784 L
.34443 .52174 L
.34296 .52364 L
.34037 .52658 L
.33813 .52932 L
.3339 .52658 L
.33695 .52174 L
.33813 .51997 L
.34027 .51691 L
.34296 .51296 L
.34362 .51208 L
.34628 .50725 L
.3478 .50579 L
.35072 .50242 L
.35263 .49981 L
.35443 .49758 L
.35746 .49354 L
.35814 .49275 L
.36197 .48792 L
.36229 .48735 L
.36615 .48309 L
.36712 .48188 L
.37075 .47826 L
F
.3478 .46944 m
.35227 .47342 L
.34884 .47826 L
.3478 .47972 L
.34523 .48309 L
.34296 .48624 L
.3416 .48792 L
.33813 .49258 L
.33397 .48792 L
.33623 .48309 L
.33813 .4815 L
.34104 .47826 L
.34296 .47565 L
.34477 .47342 L
F
1 .375 0 r
.3478 .48799 m
.35201 .49275 L
.34847 .49758 L
.3478 .49907 L
.34471 .50242 L
.34296 .50475 L
.34084 .50725 L
.33813 .51074 L
.33408 .50725 L
.3373 .50242 L
.33813 .50122 L
.34078 .49758 L
.34296 .4945 L
.34432 .49275 L
F
1 .55 0 r
.37196 .49347 m
.37616 .49758 L
.37455 .50242 L
.37196 .504 L
.3697 .50725 L
.36712 .51094 L
.36628 .51208 L
.363 .51691 L
.36229 .51779 L
.35921 .52174 L
.35746 .52529 L
.3555 .52658 L
.35263 .53038 L
.35177 .53141 L
.34816 .53624 L
.3478 .53652 L
.34393 .54107 L
.34296 .54289 L
.33958 .5459 L
.33813 .54758 L
.33412 .5459 L
.33684 .54107 L
.33813 .53901 L
.33997 .53624 L
.34296 .53166 L
.34314 .53141 L
.34654 .52658 L
.3478 .5248 L
.35006 .52174 L
.35263 .51815 L
.35359 .51691 L
.35696 .51208 L
.35746 .51156 L
.3609 .50725 L
.36229 .50437 L
.36474 .50242 L
.36712 .4993 L
.36864 .49758 L
F
0 .4 1 r
.36712 .48216 m
.37183 .48309 L
.3689 .48792 L
.36712 .49071 L
.36573 .49275 L
.36266 .49758 L
.36229 .49804 L
.35903 .50242 L
.35746 .50461 L
.35545 .50725 L
.35263 .51112 L
.35185 .51208 L
.34872 .51691 L
.3478 .51759 L
.34426 .52174 L
.34296 .52341 L
.34015 .52658 L
.33813 .52904 L
.33416 .52658 L
.33713 .52174 L
.33813 .52023 L
.34044 .51691 L
.34296 .51318 L
.34379 .51208 L
.34654 .50725 L
.3478 .50605 L
.35086 .50242 L
.35263 .5 L
.35458 .49758 L
.35746 .49375 L
.35832 .49275 L
.36215 .48792 L
.36229 .48766 L
.36637 .48309 L
F
.3478 .46969 m
.35207 .47342 L
.34868 .47826 L
.3478 .4795 L
.34507 .48309 L
.34296 .48602 L
.34143 .48792 L
.33813 .49235 L
.33417 .48792 L
.33663 .48309 L
.33813 .48184 L
.34121 .47826 L
.34296 .47588 L
.34496 .47342 L
F
1 .35 0 r
.3478 .4882 m
.35185 .49275 L
.34833 .49758 L
.3478 .49877 L
.34455 .50242 L
.34296 .50454 L
.34066 .50725 L
.33813 .51049 L
.3343 .50725 L
.33746 .50242 L
.33813 .50146 L
.34094 .49758 L
.34296 .49471 L
.34449 .49275 L
F
0 .375 1 r
.3478 .46995 m
.35186 .47342 L
.34851 .47826 L
.3478 .47927 L
.3449 .48309 L
.34296 .4858 L
.34124 .48792 L
.33813 .49211 L
.33437 .48792 L
.33706 .48309 L
.33813 .4822 L
.34138 .47826 L
.34296 .47611 L
.34516 .47342 L
F
.212 .95 1 r
.33813 .37403 m
.3384 .37679 L
.33813 .37741 L
.33439 .37679 L
F
0 .375 1 r
.36229 .48797 m
.36553 .49275 L
.36239 .49758 L
.36229 .49771 L
.35888 .50242 L
.35746 .50441 L
.3553 .50725 L
.35263 .51092 L
.35168 .51208 L
.34836 .51691 L
.3478 .51732 L
.34408 .52174 L
.34296 .52318 L
.33992 .52658 L
.33813 .52874 L
.33444 .52658 L
.33732 .52174 L
.33813 .5205 L
.34061 .51691 L
.34296 .51341 L
.34395 .51208 L
.34683 .50725 L
.3478 .50633 L
.351 .50242 L
.35263 .50019 L
.35474 .49758 L
.35746 .49396 L
.35851 .49275 L
F
0 .675 1 r
.38162 .49931 m
.38645 .50242 L
.38347 .50725 L
.38162 .51003 L
.38025 .51208 L
.37692 .51691 L
.37679 .51721 L
.3745 .52174 L
.37196 .52471 L
.37005 .52658 L
.36712 .53058 L
.36649 .53141 L
.36295 .53624 L
.36229 .53711 L
.3592 .54107 L
.35746 .54385 L
.3554 .5459 L
.35263 .54948 L
.35155 .55073 L
.3478 .5554 L
.34764 .55557 L
.34344 .5604 L
.34296 .56112 L
.33875 .56523 L
.33813 .56589 L
.33449 .56523 L
.33674 .5604 L
.33813 .55799 L
.33965 .55557 L
.34257 .55073 L
.34296 .55008 L
.34601 .5459 L
.3478 .54332 L
.34943 .54107 L
.35263 .5365 L
.35283 .53624 L
.35558 .53141 L
.35746 .52941 L
.36002 .52658 L
.36229 .52347 L
.36367 .52174 L
.36712 .5171 L
.36728 .51691 L
.37109 .51208 L
.37196 .51062 L
.37504 .50725 L
.37679 .50497 L
.37909 .50242 L
F
1 .325 0 r
.3478 .48842 m
.35167 .49275 L
.34818 .49758 L
.3478 .49845 L
.34439 .50242 L
.34296 .50432 L
.34046 .50725 L
.33813 .51024 L
.33452 .50725 L
.33763 .50242 L
.33813 .5017 L
.3411 .49758 L
.34296 .49493 L
.34466 .49275 L
F
1 .525 0 r
.37196 .49376 m
.37591 .49758 L
.37416 .50242 L
.37196 .50373 L
.36953 .50725 L
.36712 .5107 L
.36611 .51208 L
.36281 .51691 L
.36229 .51754 L
.35906 .52174 L
.35746 .52508 L
.35534 .52658 L
.35263 .53017 L
.35158 .53141 L
.34781 .53624 L
.3478 .53625 L
.3437 .54107 L
.34296 .54249 L
.33925 .5459 L
.33813 .54717 L
.33455 .5459 L
.3371 .54107 L
.33813 .53938 L
.34019 .53624 L
.34296 .53193 L
.34334 .53141 L
.34669 .52658 L
.3478 .52501 L
.35021 .52174 L
.35263 .51835 L
.35375 .51691 L
.35718 .51208 L
.35746 .51178 L
.36105 .50725 L
.36229 .50462 L
.36492 .50242 L
.36712 .49953 L
.36886 .49758 L
F
0 .35 1 r
.3478 .47022 m
.35164 .47342 L
.34834 .47826 L
.3478 .47904 L
.34473 .48309 L
.34296 .48557 L
.34105 .48792 L
.33813 .49185 L
.33458 .48792 L
.33753 .48309 L
.33813 .48259 L
.34157 .47826 L
.34296 .47636 L
.34536 .47342 L
F
.35746 .49417 m
.36217 .49758 L
.35873 .50242 L
.35746 .5042 L
.35514 .50725 L
.35263 .51071 L
.35152 .51208 L
.34798 .51691 L
.3478 .51705 L
.3439 .52174 L
.34296 .52295 L
.33967 .52658 L
.33813 .52843 L
.33474 .52658 L
.33752 .52174 L
.33813 .52079 L
.34078 .51691 L
.34296 .51364 L
.34412 .51208 L
.34713 .50725 L
.3478 .50662 L
.35115 .50242 L
.35263 .50039 L
.3549 .49758 L
F
1 .3 0 r
.3478 .48865 m
.35149 .49275 L
.34802 .49758 L
.3478 .49811 L
.34422 .50242 L
.34296 .5041 L
.34026 .50725 L
.33813 .50997 L
.33475 .50725 L
.33781 .50242 L
.33813 .50195 L
.34127 .49758 L
.34296 .49516 L
.34483 .49275 L
F
0 .325 1 r
.3478 .4705 m
.3514 .47342 L
.34817 .47826 L
.3478 .47879 L
.34455 .48309 L
.34296 .48532 L
.34085 .48792 L
.33813 .49159 L
.3348 .48792 L
.33804 .48309 L
.33813 .48301 L
.34175 .47826 L
.34296 .47661 L
.34557 .47342 L
F
1 .475 0 r
.33813 .4641 m
.34145 .46859 L
.33813 .47329 L
.33485 .46859 L
F
1 .275 0 r
.3478 .48889 m
.3513 .49275 L
.34787 .49758 L
.3478 .49775 L
.34405 .50242 L
.34296 .50387 L
.34004 .50725 L
.33813 .50968 L
.335 .50725 L
.33799 .50242 L
.33813 .50221 L
.34144 .49758 L
.34296 .4954 L
.34501 .49275 L
F
0 .3 1 r
.33813 .48333 m
.34064 .48792 L
.33813 .49132 L
.33503 .48792 L
F
1 .5 0 r
.34296 .53222 m
.34757 .53624 L
.34346 .54107 L
.34296 .54204 L
.33888 .5459 L
.33813 .54674 L
.33505 .5459 L
.33736 .54107 L
.33813 .53978 L
.34041 .53624 L
F
0 .325 1 r
.34296 .51389 m
.34769 .51691 L
.34371 .52174 L
.34296 .5227 L
.33941 .52658 L
.33813 .5281 L
.33507 .52658 L
.33772 .52174 L
.33813 .5211 L
.34096 .51691 L
F
1 .45 0 r
.33813 .46443 m
.3412 .46859 L
.33813 .47298 L
.33511 .46859 L
F
0 .275 1 r
.33813 .48363 m
.34041 .48792 L
.33813 .49102 L
.33527 .48792 L
F
1 .25 0 r
.33813 .5025 m
.33981 .50725 L
.33813 .50939 L
.33527 .50725 L
F
1 .425 0 r
.33813 .46478 m
.34095 .46859 L
.33813 .47265 L
.33538 .46859 L
F
0 .3 1 r
.34296 .51414 m
.34748 .51691 L
.34352 .52174 L
.34296 .52244 L
.33912 .52658 L
.33813 .52774 L
.33544 .52658 L
.33793 .52174 L
.33813 .52142 L
.34115 .51691 L
F
0 .25 1 r
.33813 .48396 m
.34018 .48792 L
.33813 .49071 L
.33553 .48792 L
F
1 .225 0 r
.33813 .50284 m
.33957 .50725 L
.33813 .50906 L
.33556 .50725 L
F
1 .4 0 r
.33813 .46515 m
.34067 .46859 L
.33813 .4723 L
.33566 .46859 L
F
1 .475 0 r
.34296 .53252 m
.34733 .53624 L
.34321 .54107 L
.34296 .54155 L
.33846 .5459 L
.33813 .54626 L
.33568 .5459 L
.33764 .54107 L
.33813 .54021 L
.34063 .53624 L
F
0 .225 1 r
.33813 .48432 m
.33992 .48792 L
.33813 .49037 L
.3358 .48792 L
F
0 .275 1 r
.33813 .52179 m
.3388 .52658 L
.33813 .52735 L
.33587 .52658 L
F
1 .2 0 r
.33813 .50322 m
.3393 .50725 L
.33813 .50872 L
.33588 .50725 L
F
1 .375 0 r
.33813 .46556 m
.34037 .46859 L
.33813 .47191 L
.33597 .46859 L
F
0 .55 1 r
.33813 .44656 m
.34094 .44927 L
.33813 .45368 L
.33604 .44927 L
F
.045 .9 1 r
.33813 .59508 m
.34282 .59905 L
.33813 .60337 L
.33609 .59905 L
F
0 .2 1 r
.33813 .48471 m
.33964 .48792 L
.33813 .49 L
.33611 .48792 L
F
1 .175 0 r
.33813 .50365 m
.339 .50725 L
.33813 .50833 L
.33626 .50725 L
F
1 .35 0 r
.33813 .46601 m
.34003 .46859 L
.33813 .47147 L
.33631 .46859 L
F
0 .25 1 r
.33813 .52228 m
.33843 .52658 L
.33813 .52691 L
.33644 .52658 L
F
0 .175 1 r
.33813 .48516 m
.33933 .48792 L
.33813 .48959 L
.33646 .48792 L
F
0 .525 1 r
.33813 .44713 m
.34048 .44927 L
.33813 .45313 L
.33647 .44927 L
F
1 .825 .004 r
.39612 .50001 m
.39919 .50242 L
.39757 .50725 L
.39612 .50844 L
.39399 .51208 L
.39128 .51629 L
.39089 .51691 L
.38763 .52174 L
.38645 .52398 L
.38437 .52658 L
.38162 .5304 L
.3809 .53141 L
.37697 .53624 L
.37679 .53713 L
.3743 .54107 L
.37196 .54397 L
.37028 .5459 L
.36712 .55011 L
.36664 .55073 L
.36285 .55557 L
.36229 .55641 L
.36047 .5604 L
.35746 .56283 L
.35534 .56523 L
.35263 .56946 L
.3514 .57006 L
.3478 .57445 L
.34737 .57489 L
.34307 .57973 L
.34296 .57986 L
.33813 .58445 L
.33651 .57973 L
.33813 .57669 L
.33921 .57489 L
.34169 .57006 L
.34296 .56888 L
.34543 .56523 L
.3478 .56175 L
.34876 .5604 L
.35212 .55557 L
.35263 .55469 L
.35402 .55073 L
.35746 .54704 L
.35922 .5459 L
.36229 .54166 L
.36275 .54107 L
.36607 .53624 L
.36712 .53502 L
.37007 .53141 L
.37196 .52801 L
.3738 .52658 L
.37679 .52257 L
.37749 .52174 L
.38093 .51691 L
.38162 .51636 L
.38525 .51208 L
.38645 .50997 L
.3894 .50725 L
.39128 .50493 L
.39387 .50242 L
F
1 .325 0 r
.33813 .46652 m
.33965 .46859 L
.33813 .47097 L
.33669 .46859 L
F
1 .15 0 r
.33813 .50417 m
.33865 .50725 L
.33813 .50788 L
.33672 .50725 L
F
0 .15 1 r
.33813 .48571 m
.33896 .48792 L
.33813 .48909 L
.33688 .48792 L
F
0 .5 1 r
.33813 .44779 m
.33992 .44927 L
.33813 .45246 L
.33698 .44927 L
F
0 .65 1 r
.38162 .49971 m
.38605 .50242 L
.38318 .50725 L
.38162 .50962 L
.38 .51208 L
.37679 .51686 L
.37675 .51691 L
.37427 .52174 L
.37196 .52443 L
.36986 .52658 L
.36712 .53033 L
.3663 .53141 L
.36276 .53624 L
.36229 .53685 L
.35901 .54107 L
.35746 .5436 L
.35518 .5459 L
.35263 .54919 L
.35129 .55073 L
.3478 .55505 L
.34731 .55557 L
.34307 .5604 L
.34296 .56056 L
.33813 .56519 L
.33715 .5604 L
.33813 .55861 L
.33998 .55557 L
.34291 .55073 L
.34296 .55064 L
.34621 .5459 L
.3478 .5436 L
.34962 .54107 L
.35263 .53675 L
.35301 .53624 L
.35582 .53141 L
.35746 .52967 L
.36018 .52658 L
.36229 .52368 L
.36385 .52174 L
.36712 .51734 L
.36748 .51691 L
.37128 .51208 L
.37196 .51092 L
.37526 .50725 L
.37679 .50527 L
.3794 .50242 L
F
1 .3 0 r
.33813 .46715 m
.33918 .46859 L
.33813 .47034 L
.33716 .46859 L
F
1 .8 .002 r
.33813 .5779 m
.34218 .57973 L
.33813 .58302 L
.3373 .57973 L
F
1 .7 0 r
.33813 .42917 m
.33996 .42994 L
.33813 .43386 L
.33746 .42994 L
F
0 .125 1 r
.33813 .48647 m
.33849 .48792 L
.33813 .48844 L
.33746 .48792 L
F
1 .125 0 r
.33813 .50489 m
.3382 .50725 L
.33813 .50733 L
.33752 .50725 L
F
0 .625 1 r
.33813 .55934 m
.34257 .5604 L
.33813 .56429 L
.3376 .5604 L
F
0 .475 1 r
.33813 .44864 m
.33914 .44927 L
.33813 .45152 L
.33764 .44927 L
F
1 .275 0 r
.33813 .4681 m
.33848 .46859 L
.33813 .46934 L
.33783 .46859 L
F
1 .45 0 r
.33813 .54071 m
.34293 .54107 L
.33813 .54568 L
.33793 .54107 L
F
.021 .875 1 r
.33813 .59838 m
.3404 .59905 L
.33813 .59969 L
.33801 .59905 L
F
0 .6 1 r
.33813 .56035 m
.34188 .5604 L
.33813 .56295 L
.33811 .5604 L
F
1 .5 0 r
.3478 .45191 m
.35159 .4541 L
.34855 .45893 L
.3478 .46006 L
.34513 .46376 L
.34296 .46694 L
.33815 .46376 L
.34198 .45893 L
.34296 .45766 L
.34603 .4541 L
F
0 .275 1 r
.34296 .51441 m
.34726 .51691 L
.34331 .52174 L
.34296 .52218 L
.33816 .52174 L
.34134 .51691 L
F
1 .25 0 r
.34296 .49564 m
.34768 .49758 L
.34387 .50242 L
.34296 .50363 L
.33819 .50242 L
.34162 .49758 L
F
0 .3 1 r
.3478 .47079 m
.35116 .47342 L
.34799 .47826 L
.3478 .47853 L
.34437 .48309 L
.34296 .48507 L
.33832 .48309 L
.34195 .47826 L
.34296 .47687 L
.34579 .47342 L
F
0 .65 1 r
.3478 .43346 m
.35156 .43477 L
.3488 .4396 L
.3478 .44121 L
.34558 .44443 L
.34296 .44844 L
.33838 .44443 L
.34235 .4396 L
.34296 .43842 L
.34667 .43477 L
F
1 .475 0 r
.3478 .4523 m
.35123 .4541 L
.34831 .45893 L
.3478 .45972 L
.3449 .46376 L
.34296 .46663 L
.33842 .46376 L
.34223 .45893 L
.34296 .45798 L
.34634 .4541 L
F
1 .225 0 r
.34296 .4959 m
.34746 .49758 L
.34368 .50242 L
.34296 .50338 L
.33844 .50242 L
.3418 .49758 L
F
0 .25 1 r
.34296 .51469 m
.34703 .51691 L
.34309 .52174 L
.34296 .5219 L
.33848 .52174 L
.34154 .51691 L
F
0 .275 1 r
.3478 .4711 m
.35089 .47342 L
.3478 .47826 L
.3478 .47826 L
.34417 .48309 L
.34296 .48481 L
.33857 .48309 L
.34215 .47826 L
.34296 .47714 L
.34603 .47342 L
F
.045 .9 1 r
.40578 .50546 m
.40942 .50725 L
.40731 .51208 L
.40578 .51472 L
.40457 .51691 L
.40106 .52174 L
.40095 .52294 L
.39881 .52658 L
.39612 .53113 L
.39516 .53141 L
.39179 .53624 L
.39128 .53688 L
.3878 .54107 L
.38645 .54381 L
.38585 .5459 L
.38162 .55052 L
.38125 .55073 L
.37772 .55557 L
.37679 .55665 L
.37407 .5604 L
.37196 .56326 L
.37041 .56523 L
.36712 .56973 L
.36671 .57006 L
.36265 .57489 L
.36229 .57567 L
.35989 .57973 L
.35746 .58195 L
.35532 .58456 L
.35263 .58822 L
.35133 .58939 L
.3478 .59364 L
.34723 .59422 L
.34296 .59893 L
.33864 .59422 L
.34042 .58939 L
.34296 .58731 L
.3448 .58456 L
.3478 .58012 L
.34808 .57973 L
.3513 .57489 L
.35263 .57268 L
.35498 .57006 L
.35746 .56661 L
.3585 .56523 L
.36212 .5604 L
.36229 .55994 L
.36491 .55557 L
.36712 .55301 L
.36926 .55073 L
.37196 .54705 L
.37287 .5459 L
.37643 .54107 L
.37679 .54059 L
.37882 .53624 L
.38162 .53396 L
.38398 .53141 L
.38645 .52702 L
.38772 .52658 L
.39128 .52191 L
.39143 .52174 L
.39542 .51691 L
.39612 .51582 L
.3996 .51208 L
.40095 .50954 L
.40415 .50725 L
F
1 .45 0 r
.3478 .45273 m
.35082 .4541 L
.34806 .45893 L
.3478 .45934 L
.34467 .46376 L
.34296 .46631 L
.3387 .46376 L
.34249 .45893 L
.34296 .45832 L
.34667 .4541 L
F
1 .2 0 r
.34296 .49617 m
.34723 .49758 L
.34349 .50242 L
.34296 .50312 L
.33872 .50242 L
.34199 .49758 L
F
0 .625 1 r
.3478 .43411 m
.35085 .43477 L
.34842 .4396 L
.3478 .44064 L
.34525 .44443 L
.34296 .448 L
.33875 .44443 L
.34273 .4396 L
.34296 .43914 L
.34721 .43477 L
F
0 .25 1 r
.34296 .47743 m
.34753 .47826 L
.34397 .48309 L
.34296 .48453 L
.33883 .48309 L
.34236 .47826 L
F
1 .8 .002 r
.34296 .42032 m
.3458 .42511 L
.34296 .42969 L
.33886 .42511 L
F
1 .425 0 r
.3478 .4532 m
.35034 .4541 L
.3478 .45893 L
.3478 .45893 L
.34442 .46376 L
.34296 .46597 L
.33901 .46376 L
.34277 .45893 L
.34296 .45868 L
.34705 .4541 L
F
1 .175 0 r
.34296 .49645 m
.34697 .49758 L
.34328 .50242 L
.34296 .50284 L
.33902 .50242 L
.3422 .49758 L
F
0 .225 1 r
.34296 .47774 m
.34724 .47826 L
.34376 .48309 L
.34296 .48423 L
.33912 .48309 L
.34259 .47826 L
F
0 .6 1 r
.34296 .43984 m
.34489 .44443 L
.34296 .44753 L
.33917 .44443 L
F
1 .4 0 r
.34296 .45908 m
.34416 .46376 L
.34296 .4656 L
.33934 .46376 L
F
1 .15 0 r
.34296 .49676 m
.34669 .49758 L
.34305 .50242 L
.34296 .50253 L
.33937 .50242 L
.34241 .49758 L
F
0 .2 1 r
.34296 .47807 m
.34691 .47826 L
.34353 .48309 L
.34296 .48391 L
.33944 .48309 L
.34283 .47826 L
F
1 .775 .001 r
.34296 .42121 m
.34519 .42511 L
.34296 .42893 L
.33954 .42511 L
F
0 .575 1 r
.34296 .44044 m
.34451 .44443 L
.34296 .447 L
.33963 .44443 L
F
1 .375 0 r
.34296 .45955 m
.34387 .46376 L
.34296 .46519 L
.33971 .46376 L
F
1 .8 .002 r
.39612 .50115 m
.39808 .50242 L
.39622 .50725 L
.39612 .50733 L
.39349 .51208 L
.39128 .51562 L
.39047 .51691 L
.38734 .52174 L
.38645 .52342 L
.38406 .52658 L
.38162 .53 L
.38062 .53141 L
.3769 .53624 L
.37679 .53677 L
.37407 .54107 L
.37196 .54365 L
.37003 .5459 L
.36712 .54978 L
.36637 .55073 L
.36264 .55557 L
.36229 .55608 L
.36011 .5604 L
.35746 .56245 L
.35501 .56523 L
.35263 .56919 L
.35099 .57006 L
.3478 .57389 L
.3468 .57489 L
.34296 .57907 L
.33978 .57489 L
.34229 .57006 L
.34296 .56945 L
.34575 .56523 L
.3478 .56218 L
.34905 .5604 L
.35235 .55557 L
.35263 .5551 L
.35429 .55073 L
.35746 .54734 L
.35943 .5459 L
.36229 .54193 L
.36297 .54107 L
.36631 .53624 L
.36712 .53531 L
.37027 .53141 L
.37196 .52827 L
.37403 .52658 L
.37679 .52288 L
.37776 .52174 L
.38142 .51691 L
.38162 .51676 L
.38559 .51208 L
.38645 .51052 L
.38989 .50725 L
.39128 .50556 L
.39479 .50242 L
F
0 .175 1 r
.34296 .47846 m
.34328 .48309 L
.34296 .48356 L
.33981 .48309 L
F
.021 .875 1 r
.40095 .5112 m
.40578 .50792 L
.40586 .51208 L
.40578 .51225 L
.40358 .51691 L
.40095 .52147 L
.40078 .52174 L
.39827 .52658 L
.39612 .53055 L
.39461 .53141 L
.39128 .53621 L
.39126 .53624 L
.38749 .54107 L
.38645 .54323 L
.38568 .5459 L
.38162 .55027 L
.38087 .55073 L
.37733 .55557 L
.37679 .5562 L
.37376 .5604 L
.37196 .56278 L
.37003 .56523 L
.36712 .56938 L
.36629 .57006 L
.36244 .57489 L
.36229 .57518 L
.35933 .57973 L
.35746 .5813 L
.35471 .58456 L
.35263 .58751 L
.35054 .58939 L
.3478 .59258 L
.34607 .59422 L
.34296 .59739 L
.33983 .59422 L
.34169 .58939 L
.34296 .58841 L
.34541 .58456 L
.3478 .58088 L
.34859 .57973 L
.35172 .57489 L
.35263 .57337 L
.35533 .57006 L
.35746 .56707 L
.35883 .56523 L
.36228 .5604 L
.36229 .56037 L
.36524 .55557 L
.36712 .5534 L
.36954 .55073 L
.37196 .54742 L
.37316 .5459 L
.37673 .54107 L
.37679 .54099 L
.37931 .53624 L
.38162 .53441 L
.38433 .53141 L
.38645 .52733 L
.38816 .52658 L
.39128 .52253 L
.392 .52174 L
.396 .51691 L
.39612 .51673 L
.4005 .51208 L
F
1 .95 .212 r
.41061 .51747 m
.41348 .52174 L
.4109 .52658 L
.41061 .52805 L
.40838 .53141 L
.40578 .53532 L
.40521 .53624 L
.40201 .54107 L
.40095 .5426 L
.39853 .5459 L
.39612 .5498 L
.39518 .55073 L
.3917 .55557 L
.39128 .55601 L
.38727 .5604 L
.38645 .5627 L
.38504 .56523 L
.38162 .56937 L
.38098 .57006 L
.37738 .57489 L
.37679 .57546 L
.37342 .57973 L
.37196 .58191 L
.37164 .58456 L
.36712 .58837 L
.36621 .58939 L
.36242 .59422 L
.36229 .59432 L
.35881 .59905 L
.35746 .60026 L
.35446 .60388 L
.35263 .6062 L
.35017 .60872 L
.3478 .61235 L
.34542 .61355 L
.34296 .6159 L
.33983 .61355 L
.34209 .60872 L
.34296 .60724 L
.34502 .60388 L
.3478 .59949 L
.3481 .59905 L
.35092 .59422 L
.35263 .59123 L
.3548 .58939 L
.35746 .58561 L
.35824 .58456 L
.36177 .57973 L
.36229 .57873 L
.36408 .57489 L
.36712 .5714 L
.36889 .57006 L
.37196 .56583 L
.37243 .56523 L
.37584 .5604 L
.37679 .55921 L
.37974 .55557 L
.38162 .55229 L
.38343 .55073 L
.38645 .54663 L
.38705 .5459 L
.39039 .54107 L
.39128 .54027 L
.39462 .53624 L
.39612 .53371 L
.39852 .53141 L
.40095 .52822 L
.40245 .52658 L
.40578 .52251 L
.40654 .52174 L
F
1 .35 0 r
.34296 .46011 m
.34356 .46376 L
.34296 .46473 L
.34015 .46376 L
F
0 .55 1 r
.34296 .44114 m
.34408 .44443 L
.34296 .44639 L
.34016 .44443 L
F
0 .15 1 r
.34296 .47896 m
.34301 .48309 L
.34296 .48316 L
.34026 .48309 L
F
0 .625 1 r
.34296 .55109 m
.34696 .55557 L
.34296 .56005 L
.34031 .55557 L
F
1 .75 0 r
.34296 .42228 m
.34448 .42511 L
.34296 .42798 L
.34035 .42511 L
F
1 .775 .001 r
.34296 .57009 m
.34617 .57489 L
.34296 .57823 L
.34041 .57489 L
F
0 .6 1 r
.34296 .55155 m
.34657 .55557 L
.34296 .55953 L
.34068 .55557 L
F
1 .325 0 r
.34296 .46081 m
.3432 .46376 L
.34296 .46417 L
.3407 .46376 L
F
0 .525 1 r
.34296 .44204 m
.34357 .44443 L
.34296 .44561 L
.34083 .44443 L
F
1 .45 0 r
.34296 .53283 m
.34707 .53624 L
.34296 .54104 L
.34087 .53624 L
F
0 .575 1 r
.34296 .55206 m
.34615 .55557 L
.34296 .55897 L
.34107 .55557 L
F
1 .425 0 r
.34296 .53317 m
.34679 .53624 L
.34296 .54066 L
.34112 .53624 L
F
1 .75 0 r
.34296 .57097 m
.3454 .57489 L
.34296 .57726 L
.34114 .57489 L
F
.01 .85 1 r
.34296 .40417 m
.34424 .40578 L
.34296 .40888 L
.34125 .40578 L
F
1 .4 0 r
.34296 .53354 m
.34649 .53624 L
.34296 .54026 L
.34139 .53624 L
F
.01 .85 1 r
.34296 .58993 m
.34449 .59422 L
.34296 .5955 L
.34145 .59422 L
F
0 .55 1 r
.34296 .55265 m
.34566 .55557 L
.34296 .55833 L
.3415 .55557 L
F
1 .725 0 r
.34296 .42378 m
.34353 .42511 L
.34296 .42656 L
.34153 .42511 L
F
1 .375 0 r
.34296 .53395 m
.34615 .53624 L
.34296 .53981 L
.34167 .53624 L
F
0 .225 1 r
.34296 .51499 m
.34678 .51691 L
.34296 .52158 L
.34175 .51691 L
F
0 .2 1 r
.34296 .51532 m
.3465 .51691 L
.34296 .52122 L
.34198 .51691 L
F
1 .35 0 r
.34296 .53441 m
.34578 .53624 L
.34296 .5393 L
.34198 .53624 L
F
0 .525 1 r
.34296 .55339 m
.34507 .55557 L
.34296 .55756 L
.342 .55557 L
F
1 .725 0 r
.34296 .57222 m
.34434 .57489 L
.34296 .57599 L
.34211 .57489 L
F
0 .175 1 r
.34296 .51567 m
.34619 .51691 L
.34296 .52081 L
.34222 .51691 L
F
1 .325 0 r
.34296 .53496 m
.34532 .53624 L
.34296 .53868 L
.34232 .53624 L
F
0 .15 1 r
.34296 .51608 m
.34584 .51691 L
.34296 .52033 L
.34248 .51691 L
F
1 .125 0 r
.34296 .4971 m
.34637 .49758 L
.34296 .50216 L
.34264 .49758 L
F
0 .5 1 r
.34296 .5545 m
.34419 .55557 L
.34296 .55644 L
.34265 .55557 L
F
1 .3 0 r
.34296 .53569 m
.34472 .53624 L
.34296 .53782 L
.34273 .53624 L
F
0 .125 1 r
.34296 .51655 m
.3454 .51691 L
.34296 .51974 L
.34276 .51691 L
F
1 .1 0 r
.34296 .49747 m
.34598 .49758 L
.34296 .50171 L
.34289 .49758 L
F
1 .775 .001 r
.39128 .50625 m
.39534 .50725 L
.39297 .51208 L
.39128 .51487 L
.39005 .51691 L
.38701 .52174 L
.38645 .5228 L
.38375 .52658 L
.38162 .52958 L
.38034 .53141 L
.37683 .53624 L
.37679 .53641 L
.37383 .54107 L
.37196 .54332 L
.36978 .5459 L
.36712 .54944 L
.36611 .55073 L
.36242 .55557 L
.36229 .55575 L
.35969 .5604 L
.35746 .56206 L
.35467 .56523 L
.35263 .56883 L
.35055 .57006 L
.3478 .57332 L
.34299 .57006 L
.34609 .56523 L
.3478 .56264 L
.34935 .5604 L
.35261 .55557 L
.35263 .55553 L
.35462 .55073 L
.35746 .54768 L
.35965 .5459 L
.36229 .54222 L
.36319 .54107 L
.36658 .53624 L
.36712 .53562 L
.37048 .53141 L
.37196 .52857 L
.37426 .52658 L
.37679 .5232 L
.37804 .52174 L
.38162 .51716 L
.38184 .51691 L
.38594 .51208 L
.38645 .51114 L
.39043 .50725 L
F
1 .8 .002 r
.3478 .41545 m
.34876 .42027 L
.3478 .42199 L
.34301 .42027 L
F
0 .625 1 r
.38162 .50014 m
.38563 .50242 L
.38288 .50725 L
.38162 .50919 L
.37975 .51208 L
.37679 .51652 L
.37652 .51691 L
.37401 .52174 L
.37196 .52412 L
.36967 .52658 L
.36712 .53007 L
.3661 .53141 L
.36256 .53624 L
.36229 .53659 L
.35881 .54107 L
.35746 .54332 L
.35496 .5459 L
.35263 .5489 L
.35102 .55073 L
.3478 .5547 L
.3432 .55073 L
.34643 .5459 L
.3478 .5439 L
.34982 .54107 L
.35263 .537 L
.35321 .53624 L
.35608 .53141 L
.35746 .52995 L
.36035 .52658 L
.36229 .52391 L
.36403 .52174 L
.36712 .51757 L
.36768 .51691 L
.37147 .51208 L
.37196 .51123 L
.37549 .50725 L
.37679 .50558 L
.37972 .50242 L
F
0 .6 1 r
.3478 .43488 m
.34801 .4396 L
.3478 .43998 L
.34321 .4396 L
F
.01 .85 1 r
.39612 .51766 m
.39995 .52174 L
.39756 .52658 L
.39612 .52944 L
.39405 .53141 L
.39128 .53547 L
.39077 .53624 L
.38719 .54107 L
.38645 .54262 L
.38545 .5459 L
.38162 .54996 L
.38048 .55073 L
.37693 .55557 L
.37679 .55574 L
.37343 .5604 L
.37196 .56229 L
.36963 .56523 L
.36712 .569 L
.36586 .57006 L
.36229 .57465 L
.36208 .57489 L
.35862 .57973 L
.35746 .58063 L
.35407 .58456 L
.35263 .58668 L
.34966 .58939 L
.3478 .59146 L
.34326 .58939 L
.34606 .58456 L
.3478 .58175 L
.34914 .57973 L
.3522 .57489 L
.35263 .57417 L
.3557 .57006 L
.35746 .56755 L
.35917 .56523 L
.36229 .5608 L
.3626 .5604 L
.3656 .55557 L
.36712 .55384 L
.36982 .55073 L
.37196 .5478 L
.37347 .5459 L
.37679 .5414 L
.37706 .54107 L
.37987 .53624 L
.38162 .53489 L
.3847 .53141 L
.38645 .52778 L
.38862 .52658 L
.39128 .52318 L
.39263 .52174 L
F
0 .6 1 r
.38162 .5006 m
.38516 .50242 L
.38256 .50725 L
.38162 .50873 L
.37948 .51208 L
.37679 .51617 L
.37627 .51691 L
.37372 .52174 L
.37196 .52378 L
.36947 .52658 L
.36712 .52981 L
.3659 .53141 L
.36235 .53624 L
.36229 .53631 L
.35861 .54107 L
.35746 .54302 L
.35474 .5459 L
.35263 .5486 L
.35074 .55073 L
.3478 .55433 L
.3435 .55073 L
.34664 .5459 L
.3478 .5442 L
.35002 .54107 L
.35263 .53726 L
.3534 .53624 L
.35635 .53141 L
.35746 .53024 L
.36051 .52658 L
.36229 .52413 L
.36421 .52174 L
.36712 .51782 L
.36789 .51691 L
.37166 .51208 L
.37196 .51157 L
.37574 .50725 L
.37679 .5059 L
.38008 .50242 L
F
1 .75 0 r
.39128 .50704 m
.39426 .50725 L
.3924 .51208 L
.39128 .51403 L
.3896 .51691 L
.38663 .52174 L
.38645 .52208 L
.38343 .52658 L
.38162 .52915 L
.38005 .53141 L
.37679 .53603 L
.37663 .53624 L
.37355 .54107 L
.37196 .54296 L
.36953 .5459 L
.36712 .5491 L
.36584 .55073 L
.36229 .55539 L
.36215 .55557 L
.35919 .5604 L
.35746 .56164 L
.35431 .56523 L
.35263 .56838 L
.35008 .57006 L
.3478 .57271 L
.34351 .57006 L
.34644 .56523 L
.3478 .56313 L
.34966 .5604 L
.35263 .55592 L
.35289 .55557 L
.35499 .55073 L
.35746 .54807 L
.35987 .5459 L
.36229 .54251 L
.36342 .54107 L
.36686 .53624 L
.36712 .53594 L
.37069 .53141 L
.37196 .52891 L
.37451 .52658 L
.37679 .52353 L
.37834 .52174 L
.38162 .51756 L
.38222 .51691 L
.38633 .51208 L
.38645 .51185 L
.3911 .50725 L
F
1 .5 0 r
.37196 .49406 m
.37565 .49758 L
.37372 .50242 L
.37196 .50344 L
.36935 .50725 L
.36712 .51046 L
.36594 .51208 L
.3626 .51691 L
.36229 .51728 L
.3589 .52174 L
.35746 .52484 L
.35517 .52658 L
.35263 .52994 L
.35139 .53141 L
.3478 .53599 L
.34354 .53141 L
.34685 .52658 L
.3478 .52523 L
.35037 .52174 L
.35263 .51856 L
.35391 .51691 L
.3574 .51208 L
.35746 .51202 L
.3612 .50725 L
.36229 .50489 L
.36509 .50242 L
.36712 .49977 L
.36909 .49758 L
F
1 .475 0 r
.37196 .49438 m
.37537 .49758 L
.37323 .50242 L
.37196 .50314 L
.36916 .50725 L
.36712 .51021 L
.36576 .51208 L
.36238 .51691 L
.36229 .51702 L
.35874 .52174 L
.35746 .52458 L
.355 .52658 L
.35263 .52971 L
.35119 .53141 L
.3478 .53573 L
.34375 .53141 L
.34701 .52658 L
.3478 .52546 L
.35052 .52174 L
.35263 .51877 L
.35407 .51691 L
.35746 .51224 L
.35759 .51208 L
.36136 .50725 L
.36229 .50518 L
.36528 .50242 L
.36712 .50001 L
.36933 .49758 L
F
0 .575 1 r
.38162 .50109 m
.38463 .50242 L
.38223 .50725 L
.38162 .50823 L
.37921 .51208 L
.37679 .51581 L
.37603 .51691 L
.37339 .52174 L
.37196 .5234 L
.36927 .52658 L
.36712 .52954 L
.3657 .53141 L
.36229 .53604 L
.36213 .53624 L
.3584 .54107 L
.35746 .5427 L
.35451 .5459 L
.35263 .54829 L
.35045 .55073 L
.3478 .55395 L
.34382 .55073 L
.34687 .5459 L
.3478 .54452 L
.35022 .54107 L
.35263 .53754 L
.3536 .53624 L
.35664 .53141 L
.35746 .53056 L
.36068 .52658 L
.36229 .52436 L
.3644 .52174 L
.36712 .51807 L
.36811 .51691 L
.37186 .51208 L
.37196 .51192 L
.37599 .50725 L
.37679 .50624 L
.38047 .50242 L
F
1 .45 0 r
.35746 .51246 m
.36218 .51691 L
.35858 .52174 L
.35746 .52429 L
.35483 .52658 L
.35263 .52948 L
.35099 .53141 L
.3478 .53546 L
.34396 .53141 L
.34718 .52658 L
.3478 .52569 L
.35068 .52174 L
.35263 .51898 L
.35424 .51691 L
F
1 .775 .001 r
.3478 .41715 m
.34798 .42027 L
.3478 .42066 L
.34408 .42027 L
F
1 .725 0 r
.38162 .51798 m
.38622 .52174 L
.3831 .52658 L
.38162 .52871 L
.37976 .53141 L
.37679 .53564 L
.37635 .53624 L
.37325 .54107 L
.37196 .54257 L
.36927 .5459 L
.36712 .54876 L
.36556 .55073 L
.36229 .55503 L
.36184 .55557 L
.35861 .5604 L
.35746 .56119 L
.35393 .56523 L
.35263 .5678 L
.34956 .57006 L
.3478 .57206 L
.34411 .57006 L
.34681 .56523 L
.3478 .56366 L
.34998 .5604 L
.35263 .55633 L
.35318 .55557 L
.35542 .55073 L
.35746 .54853 L
.3601 .5459 L
.36229 .54281 L
.36365 .54107 L
.36712 .53628 L
.36716 .53624 L
.37091 .53141 L
.37196 .52928 L
.37476 .52658 L
.37679 .52387 L
.37865 .52174 L
F
0 .55 1 r
.37196 .51225 m
.37577 .51691 L
.37304 .52174 L
.37196 .52298 L
.36907 .52658 L
.36712 .52927 L
.36549 .53141 L
.36229 .53576 L
.36191 .53624 L
.35819 .54107 L
.35746 .54236 L
.35426 .5459 L
.35263 .54798 L
.35014 .55073 L
.3478 .55355 L
.34416 .55073 L
.3471 .5459 L
.3478 .54485 L
.35043 .54107 L
.35263 .53782 L
.35381 .53624 L
.35696 .53141 L
.35746 .53089 L
.36086 .52658 L
.36229 .5246 L
.36459 .52174 L
.36712 .51832 L
.36833 .51691 L
F
1 .425 0 r
.35746 .51268 m
.36199 .51691 L
.35841 .52174 L
.35746 .52397 L
.35465 .52658 L
.35263 .52924 L
.35077 .53141 L
.3478 .53518 L
.34418 .53141 L
.34735 .52658 L
.3478 .52593 L
.35084 .52174 L
.35263 .5192 L
.35441 .51691 L
F
0 .325 1 r
.35746 .49439 m
.36198 .49758 L
.35858 .50242 L
.35746 .50399 L
.35498 .50725 L
.35263 .5105 L
.35134 .51208 L
.3478 .51679 L
.3443 .51208 L
.34745 .50725 L
.3478 .50692 L
.3513 .50242 L
.35263 .50059 L
.35507 .49758 L
F
.021 .875 1 r
.3478 .39824 m
.34833 .40095 L
.3478 .40219 L
.34436 .40095 L
F
1 .4 0 r
.35746 .51291 m
.36179 .51691 L
.35824 .52174 L
.35746 .52361 L
.35446 .52658 L
.35263 .529 L
.35055 .53141 L
.3478 .53489 L
.34442 .53141 L
.34752 .52658 L
.3478 .52618 L
.35101 .52174 L
.35263 .51943 L
.35458 .51691 L
F
0 .3 1 r
.35746 .49462 m
.36178 .49758 L
.35842 .50242 L
.35746 .50377 L
.35482 .50725 L
.35263 .51028 L
.35116 .51208 L
.3478 .51656 L
.34448 .51208 L
.34779 .50725 L
.3478 .50724 L
.35145 .50242 L
.35263 .5008 L
.35524 .49758 L
F
0 .525 1 r
.37196 .51256 m
.37551 .51691 L
.37264 .52174 L
.37196 .52252 L
.36886 .52658 L
.36712 .52898 L
.36528 .53141 L
.36229 .53548 L
.36168 .53624 L
.35797 .54107 L
.35746 .54199 L
.35401 .5459 L
.35263 .54765 L
.34981 .55073 L
.3478 .55312 L
.34453 .55073 L
.34735 .5459 L
.3478 .54521 L
.35065 .54107 L
.35263 .53811 L
.35402 .53624 L
.3573 .53141 L
.35746 .53124 L
.36104 .52658 L
.36229 .52485 L
.36479 .52174 L
.36712 .51859 L
.36857 .51691 L
F
.004 .825 1 r
.39612 .51871 m
.39902 .52174 L
.39661 .52658 L
.39612 .5276 L
.39348 .53141 L
.39128 .5347 L
.39027 .53624 L
.38688 .54107 L
.38645 .54195 L
.38511 .5459 L
.38162 .54955 L
.38009 .55073 L
.37679 .55524 L
.37654 .55557 L
.37307 .5604 L
.37196 .56178 L
.36923 .56523 L
.36712 .56857 L
.36542 .57006 L
.36229 .57406 L
.36156 .57489 L
.35774 .57973 L
.35746 .57993 L
.35336 .58456 L
.35263 .58567 L
.34858 .58939 L
.3478 .59019 L
.34462 .58939 L
.34677 .58456 L
.3478 .58277 L
.34972 .57973 L
.35263 .57506 L
.35274 .57489 L
.35608 .57006 L
.35746 .56806 L
.35952 .56523 L
.36229 .56125 L
.36294 .5604 L
.36601 .55557 L
.36712 .55432 L
.37011 .55073 L
.37196 .54819 L
.37378 .5459 L
.37679 .54182 L
.37741 .54107 L
.38053 .53624 L
.38162 .53542 L
.38509 .53141 L
.38645 .52839 L
.38914 .52658 L
.39128 .52387 L
.39339 .52174 L
F
1 .375 0 r
.35746 .51314 m
.36159 .51691 L
.35806 .52174 L
.35746 .52322 L
.35427 .52658 L
.35263 .52874 L
.35032 .53141 L
.3478 .53458 L
.34466 .53141 L
.34771 .52658 L
.3478 .52644 L
.35118 .52174 L
.35263 .51967 L
.35476 .51691 L
F
0 .275 1 r
.3478 .50748 m
.35097 .51208 L
.3478 .51631 L
.34467 .51208 L
F
1 .7 0 r
.38162 .51843 m
.3858 .52174 L
.38277 .52658 L
.38162 .52825 L
.37946 .53141 L
.37679 .53524 L
.37606 .53624 L
.37291 .54107 L
.37196 .54216 L
.369 .5459 L
.36712 .5484 L
.36528 .55073 L
.36229 .55465 L
.36151 .55557 L
.35794 .5604 L
.35746 .56072 L
.35353 .56523 L
.35263 .56709 L
.34897 .57006 L
.3478 .57134 L
.34482 .57006 L
.34721 .56523 L
.3478 .56426 L
.35032 .5604 L
.35263 .55677 L
.35349 .55557 L
.3559 .55073 L
.35746 .54905 L
.36033 .5459 L
.36229 .54312 L
.36389 .54107 L
.36712 .53659 L
.36741 .53624 L
.37114 .53141 L
.37196 .5297 L
.37502 .52658 L
.37679 .52423 L
.37899 .52174 L
F
0 .25 1 r
.3478 .50773 m
.35078 .51208 L
.3478 .51606 L
.34486 .51208 L
F
1 .35 0 r
.3478 .52674 m
.35007 .53141 L
.3478 .53426 L
.34492 .53141 L
F
0 .5 1 r
.35746 .53156 m
.36144 .53624 L
.35775 .54107 L
.35746 .54159 L
.35375 .5459 L
.35263 .54731 L
.34945 .55073 L
.3478 .55267 L
.34493 .55073 L
.3476 .5459 L
.3478 .5456 L
.35088 .54107 L
.35263 .53842 L
.35425 .53624 L
F
1 .925 .098 r
.40578 .52446 m
.40912 .52658 L
.40688 .53141 L
.40578 .53322 L
.40404 .53624 L
.40095 .54105 L
.40093 .54107 L
.39782 .5459 L
.39612 .54882 L
.39442 .55073 L
.39128 .5551 L
.39096 .55557 L
.38694 .5604 L
.38645 .56183 L
.38459 .56523 L
.38162 .56867 L
.38035 .57006 L
.37679 .57479 L
.37671 .57489 L
.37291 .57973 L
.37196 .58106 L
.37119 .58456 L
.36712 .58749 L
.36538 .58939 L
.36229 .59413 L
.36143 .59422 L
.35746 .59897 L
.35738 .59905 L
.35298 .60388 L
.35263 .60433 L
.34781 .60872 L
.3478 .60875 L
.34501 .60872 L
.34653 .60388 L
.3478 .60151 L
.34928 .59905 L
.35201 .59422 L
.35263 .59309 L
.35551 .58939 L
.35746 .58652 L
.35887 .58456 L
.36222 .57973 L
.36229 .57959 L
.36467 .57489 L
.36712 .57207 L
.36935 .57006 L
.37196 .56643 L
.3729 .56523 L
.37634 .5604 L
.37679 .55985 L
.38018 .55557 L
.38162 .55289 L
.38392 .55073 L
.38645 .5473 L
.38763 .5459 L
.39128 .5411 L
.39131 .54107 L
.39529 .53624 L
.39612 .53477 L
.39943 .53141 L
.40095 .52948 L
.40386 .52658 L
F
0 .225 1 r
.3478 .50799 m
.35058 .51208 L
.3478 .5158 L
.34507 .51208 L
F
1 .25 0 r
.3478 .48913 m
.35111 .49275 L
.3478 .49744 L
.3452 .49275 L
F
1 .325 0 r
.3478 .52708 m
.34981 .53141 L
.3478 .53392 L
.3452 .53141 L
F
0 .2 1 r
.3478 .50827 m
.35036 .51208 L
.3478 .51552 L
.34528 .51208 L
F
1 .225 0 r
.3478 .48939 m
.3509 .49275 L
.3478 .49719 L
.3454 .49275 L
F
0 .475 1 r
.3478 .54604 m
.34905 .55073 L
.3478 .55216 L
.3454 .55073 L
F
0 .175 1 r
.3478 .50856 m
.35014 .51208 L
.3478 .51522 L
.34551 .51208 L
F
1 .3 0 r
.3478 .52745 m
.34952 .53141 L
.3478 .53355 L
.34551 .53141 L
F
1 .2 0 r
.3478 .48966 m
.35069 .49275 L
.3478 .49691 L
.3456 .49275 L
F
0 .15 1 r
.3478 .50888 m
.34989 .51208 L
.3478 .5149 L
.34575 .51208 L
F
1 .675 0 r
.35263 .55725 m
.3573 .5604 L
.35309 .56523 L
.35263 .56622 L
.34824 .57006 L
.3478 .57051 L
.34581 .57006 L
.34764 .56523 L
.3478 .56496 L
.35067 .5604 L
F
1 .175 0 r
.3478 .48995 m
.35046 .49275 L
.3478 .49662 L
.34582 .49275 L
F
1 .275 0 r
.3478 .52787 m
.34921 .53141 L
.3478 .53314 L
.34585 .53141 L
F
0 .45 1 r
.3478 .54664 m
.34857 .55073 L
.3478 .55159 L
.34599 .55073 L
F
0 .125 1 r
.3478 .50923 m
.34963 .51208 L
.3478 .51455 L
.34601 .51208 L
F
1 .15 0 r
.3478 .49025 m
.35021 .49275 L
.3478 .49631 L
.34605 .49275 L
F
1 .25 0 r
.3478 .52836 m
.34884 .53141 L
.3478 .53268 L
.34626 .53141 L
F
0 .25 1 r
.3478 .47143 m
.35061 .47342 L
.3478 .47792 L
.34628 .47342 L
F
1 .125 0 r
.3478 .49059 m
.34994 .49275 L
.3478 .49596 L
.3463 .49275 L
F
0 .1 1 r
.3478 .50962 m
.34933 .51208 L
.3478 .51417 L
.34631 .51208 L
F
.212 .95 1 r
.3478 .62047 m
.35235 .62321 L
.3478 .62696 L
.34651 .62321 L
F
0 .225 1 r
.3478 .47179 m
.35029 .47342 L
.3478 .47755 L
.34655 .47342 L
F
1 .1 0 r
.3478 .49096 m
.34964 .49275 L
.3478 .49557 L
.34657 .49275 L
F
0 .075 1 r
.3478 .51008 m
.34899 .51208 L
.3478 .51371 L
.34665 .51208 L
F
1 .225 0 r
.3478 .52898 m
.3484 .53141 L
.3478 .53212 L
.34678 .53141 L
F
0 .2 1 r
.3478 .47219 m
.34993 .47342 L
.3478 .47713 L
.34685 .47342 L
F
1 .075 0 r
.3478 .49138 m
.34928 .49275 L
.3478 .49512 L
.34688 .49275 L
F
0 .425 1 r
.3478 .54743 m
.34795 .55073 L
.3478 .55089 L
.34693 .55073 L
F
0 .05 1 r
.3478 .51066 m
.34856 .51208 L
.3478 .51315 L
.34707 .51208 L
F
0 .175 1 r
.3478 .47264 m
.34948 .47342 L
.3478 .47662 L
.3472 .47342 L
F
1 .05 0 r
.3478 .4919 m
.34884 .49275 L
.3478 .49454 L
.34725 .49275 L
F
1 .4 0 r
.3478 .45374 m
.34969 .4541 L
.3478 .45835 L
.34749 .4541 L
F
.002 .8 1 r
.3478 .58416 m
.3525 .58456 L
.3478 .58843 L
.3476 .58456 L
F
0 .15 1 r
.3478 .47319 m
.34882 .47342 L
.3478 .47595 L
.34762 .47342 L
F
0 .025 1 r
.3478 .51175 m
.34788 .51208 L
.3478 .51221 L
.34772 .51208 L
F
1 .025 0 r
.3478 .49267 m
.34801 .49275 L
.3478 .49352 L
.34775 .49275 L
F
1 .375 0 r
.35746 .47592 m
.36206 .47826 L
.35884 .48309 L
.35746 .48513 L
.35543 .48792 L
.35263 .49196 L
.34785 .48792 L
.35165 .48309 L
.35263 .48071 L
.35563 .47826 L
F
0 .475 1 r
.35746 .53186 m
.36119 .53624 L
.35751 .54107 L
.35746 .54116 L
.35347 .5459 L
.35263 .54695 L
.34789 .5459 L
.35112 .54107 L
.35263 .53875 L
.35448 .53624 L
F
1 .35 0 r
.35746 .51339 m
.36138 .51691 L
.35788 .52174 L
.35746 .5228 L
.35407 .52658 L
.35263 .52848 L
.34792 .52658 L
.35136 .52174 L
.35263 .51991 L
.35495 .51691 L
F
0 .275 1 r
.35746 .49486 m
.36157 .49758 L
.35825 .50242 L
.35746 .50354 L
.35465 .50725 L
.35263 .51006 L
.34798 .50725 L
.35161 .50242 L
.35263 .50101 L
.35542 .49758 L
F
1 .35 0 r
.35746 .47618 m
.36182 .47826 L
.35867 .48309 L
.35746 .48489 L
.35527 .48792 L
.35263 .49175 L
.34803 .48792 L
.35181 .48309 L
.35263 .48106 L
.35582 .47826 L
F
1 .325 0 r
.35746 .51365 m
.36116 .51691 L
.35769 .52174 L
.35746 .52234 L
.35386 .52658 L
.35263 .52821 L
.34817 .52658 L
.35155 .52174 L
.35263 .52017 L
.35515 .51691 L
F
0 .25 1 r
.35746 .4951 m
.36135 .49758 L
.35809 .50242 L
.35746 .5033 L
.35448 .50725 L
.35263 .50983 L
.34818 .50725 L
.35177 .50242 L
.35263 .50124 L
.3556 .49758 L
F
1 .325 0 r
.35746 .47645 m
.36157 .47826 L
.35849 .48309 L
.35746 .48463 L
.3551 .48792 L
.35263 .49152 L
.34822 .48792 L
.35198 .48309 L
.35263 .48144 L
.35603 .47826 L
F
0 .45 1 r
.35263 .5391 m
.35721 .54107 L
.35317 .5459 L
.35263 .54658 L
.34828 .5459 L
.35136 .54107 L
F
.35746 .45777 m
.36173 .45893 L
.35886 .46376 L
.35746 .46598 L
.35567 .46859 L
.35263 .4732 L
.34832 .46859 L
.35223 .46376 L
.35263 .46303 L
.35649 .45893 L
F
0 .225 1 r
.35746 .49536 m
.36112 .49758 L
.35791 .50242 L
.35746 .50306 L
.3543 .50725 L
.35263 .50959 L
.34839 .50725 L
.35194 .50242 L
.35263 .50146 L
.35579 .49758 L
F
1 .3 0 r
.35746 .47673 m
.36129 .47826 L
.35831 .48309 L
.35746 .48437 L
.35492 .48792 L
.35263 .49129 L
.34841 .48792 L
.35215 .48309 L
.35263 .48186 L
.35624 .47826 L
F
.35746 .51392 m
.36093 .51691 L
.3575 .52174 L
.35746 .52184 L
.35365 .52658 L
.35263 .52792 L
.34844 .52658 L
.35174 .52174 L
.35263 .52044 L
.35535 .51691 L
F
0 .425 1 r
.35746 .45813 m
.36133 .45893 L
.35863 .46376 L
.35746 .46565 L
.35546 .46859 L
.35263 .47294 L
.34854 .46859 L
.35244 .46376 L
.35263 .46341 L
.35678 .45893 L
F
0 .2 1 r
.35746 .49563 m
.36087 .49758 L
.35773 .50242 L
.35746 .5028 L
.35412 .50725 L
.35263 .50934 L
.34861 .50725 L
.35211 .50242 L
.35263 .5017 L
.356 .49758 L
F
1 .275 0 r
.35746 .47702 m
.36099 .47826 L
.35811 .48309 L
.35746 .48409 L
.35474 .48792 L
.35263 .49104 L
.34861 .48792 L
.35233 .48309 L
.35263 .48231 L
.35647 .47826 L
F
.35263 .52073 m
.35724 .52174 L
.35342 .52658 L
.35263 .52761 L
.34873 .52658 L
.35194 .52174 L
F
0 .425 1 r
.35263 .53948 m
.35688 .54107 L
.35284 .5459 L
.35263 .54617 L
.34873 .5459 L
.35163 .54107 L
F
0 .4 1 r
.35263 .46381 m
.35525 .46859 L
.35263 .47266 L
.34877 .46859 L
F
1 .25 0 r
.35746 .47734 m
.36066 .47826 L
.35791 .48309 L
.35746 .48379 L
.35455 .48792 L
.35263 .49079 L
.34882 .48792 L
.35252 .48309 L
.35263 .48281 L
.35672 .47826 L
F
0 .175 1 r
.35746 .49591 m
.36061 .49758 L
.35754 .50242 L
.35746 .50253 L
.35392 .50725 L
.35263 .50907 L
.34884 .50725 L
.3523 .50242 L
.35263 .50196 L
.35621 .49758 L
F
.212 .95 1 r
.41544 .53023 m
.41941 .53141 L
.41768 .53624 L
.41544 .53994 L
.4148 .54107 L
.41154 .5459 L
.41061 .54784 L
.40936 .55073 L
.40578 .55453 L
.40509 .55557 L
.40176 .5604 L
.40095 .56142 L
.39785 .56523 L
.39612 .5684 L
.39482 .57006 L
.39128 .57488 L
.39124 .57489 L
.38655 .57973 L
.38645 .58124 L
.3842 .58456 L
.38162 .58786 L
.38041 .58939 L
.37679 .59416 L
.3767 .59422 L
.37262 .59905 L
.37196 .60017 L
.37015 .60388 L
.36712 .60644 L
.36523 .60872 L
.36229 .61266 L
.36118 .61355 L
.35746 .6179 L
.35697 .61838 L
.35263 .62298 L
.34898 .61838 L
.35122 .61355 L
.35263 .61233 L
.35504 .60872 L
.35746 .6051 L
.35833 .60388 L
.3616 .59905 L
.36229 .59785 L
.36519 .59422 L
.36712 .59152 L
.36873 .58939 L
.37196 .58488 L
.3722 .58456 L
.37536 .57973 L
.37679 .57801 L
.37948 .57489 L
.38162 .57193 L
.38311 .57006 L
.38645 .56549 L
.38666 .56523 L
.38958 .5604 L
.39128 .55891 L
.39419 .55557 L
.39612 .55191 L
.39797 .55073 L
.40095 .54678 L
.40171 .5459 L
.40558 .54107 L
.40578 .54075 L
.40978 .53624 L
.41061 .53472 L
.41437 .53141 L
F
0 .375 1 r
.35263 .46412 m
.35502 .46859 L
.35263 .47237 L
.34901 .46859 L
F
1 .225 0 r
.35263 .48322 m
.35435 .48792 L
.35263 .49052 L
.34905 .48792 L
F
1 .25 0 r
.35263 .52103 m
.35696 .52174 L
.35317 .52658 L
.35263 .52729 L
.34906 .52658 L
.35215 .52174 L
F
0 .15 1 r
.35263 .50222 m
.35729 .50242 L
.35372 .50725 L
.35263 .50879 L
.34909 .50725 L
.35249 .50242 L
F
0 .35 1 r
.35263 .46446 m
.35479 .46859 L
.35263 .47206 L
.34926 .46859 L
F
1 .575 0 r
.35263 .44532 m
.35544 .44927 L
.35263 .45393 L
.34926 .44927 L
F
1 .2 0 r
.35263 .48353 m
.35415 .48792 L
.35263 .49024 L
.34929 .48792 L
F
0 .125 1 r
.35263 .50252 m
.3535 .50725 L
.35263 .50849 L
.34937 .50725 L
F
1 .225 0 r
.35263 .52137 m
.35663 .52174 L
.3529 .52658 L
.35263 .52693 L
.34945 .52658 L
.35238 .52174 L
F
0 .325 1 r
.35263 .46481 m
.35454 .46859 L
.35263 .47173 L
.34953 .46859 L
F
1 .175 0 r
.35263 .48386 m
.35393 .48792 L
.35263 .48993 L
.34955 .48792 L
F
1 .55 0 r
.35263 .44578 m
.3551 .44927 L
.35263 .45352 L
.34961 .44927 L
F
0 .1 1 r
.35263 .50288 m
.35327 .50725 L
.35263 .50817 L
.34968 .50725 L
F
0 .3 1 r
.35263 .4652 m
.35428 .46859 L
.35263 .47137 L
.34983 .46859 L
F
1 .15 0 r
.35263 .48423 m
.35369 .48792 L
.35263 .4896 L
.34984 .48792 L
F
1 .525 0 r
.35263 .44627 m
.35474 .44927 L
.35263 .45306 L
.34999 .44927 L
F
0 .075 1 r
.35263 .50331 m
.35301 .50725 L
.35263 .50781 L
.35005 .50725 L
F
0 .275 1 r
.35263 .46563 m
.35399 .46859 L
.35263 .47097 L
.35016 .46859 L
F
1 .125 0 r
.35263 .48465 m
.35344 .48792 L
.35263 .48923 L
.35016 .48792 L
F
.002 .8 1 r
.35263 .57585 m
.35693 .57973 L
.35263 .58445 L
.35035 .57973 L
F
.461 .975 1 r
.46859 .43995 m
.47342 .43974 L
.47781 .44443 L
.47404 .44927 L
.47342 .45154 L
.4716 .4541 L
.46859 .45688 L
.46691 .45893 L
.46376 .46324 L
.4633 .46376 L
.45929 .46859 L
.46376 .46984 L
.46859 .47011 L
.4708 .47342 L
.46859 .4754 L
.46658 .47826 L
.46376 .48208 L
.463 .48309 L
.4594 .48792 L
.45893 .48865 L
.45684 .49275 L
.4541 .4952 L
.45169 .49758 L
.4541 .50001 L
.45893 .50025 L
.46248 .50242 L
.45902 .50725 L
.45893 .50774 L
.45615 .51208 L
.4541 .51364 L
.45167 .51691 L
.44927 .52034 L
.448 .52174 L
.44443 .52636 L
.44416 .52658 L
.44443 .53041 L
.44927 .53044 L
.4541 .53117 L
.45444 .53141 L
.4541 .53176 L
.4512 .53624 L
.44927 .53891 L
.44759 .54107 L
.44443 .54538 L
.44399 .5459 L
.44042 .55073 L
.4396 .55151 L
.43595 .55557 L
.43477 .55646 L
.42994 .55957 L
.42891 .5604 L
.42511 .56401 L
.42418 .56523 L
.4213 .57006 L
.42027 .57172 L
.41864 .57489 L
.41562 .57973 L
.41544 .57993 L
.41256 .58456 L
.41061 .5871 L
.40866 .58939 L
.40578 .5939 L
.40552 .59422 L
.40203 .59905 L
.40095 .60003 L
.39715 .60388 L
.39612 .60672 L
.39487 .60872 L
.39128 .61328 L
.39107 .61355 L
.38746 .61838 L
.38645 .61914 L
.38317 .62321 L
.38162 .62566 L
.38104 .62804 L
.37679 .63204 L
.37611 .63288 L
.37225 .63771 L
.37196 .63785 L
.3684 .64254 L
.36712 .64365 L
.36404 .64737 L
.36229 .64933 L
.35948 .6522 L
.35746 .6548 L
.35406 .65704 L
.35263 .65817 L
.3504 .65704 L
.35201 .6522 L
.35263 .65106 L
.35481 .64737 L
.35746 .64303 L
.35779 .64254 L
.36044 .63771 L
.36229 .63593 L
.36446 .63288 L
.36712 .62906 L
.36787 .62804 L
.37132 .62321 L
.37196 .62205 L
.37345 .61838 L
.37679 .6158 L
.37851 .61355 L
.38162 .60923 L
.38202 .60872 L
.38532 .60388 L
.38645 .60245 L
.38931 .59905 L
.39128 .59519 L
.39295 .59422 L
.39612 .58985 L
.39649 .58939 L
.39955 .58456 L
.40095 .58325 L
.40393 .57973 L
.40578 .57628 L
.40762 .57489 L
.41061 .57078 L
.41122 .57006 L
.41498 .56523 L
.41544 .5644 L
.41897 .5604 L
.42027 .55868 L
.4229 .55557 L
.42511 .55285 L
.42638 .55073 L
.42994 .54658 L
.43027 .5459 L
.43404 .54107 L
.43477 .54012 L
.43879 .53624 L
.4396 .53373 L
.44217 .53141 L
.4396 .5293 L
.43477 .52754 L
.43385 .52658 L
.43477 .5225 L
.43522 .52174 L
.43803 .51691 L
.4396 .515 L
.44151 .51208 L
.44443 .50832 L
.44559 .50725 L
.44915 .50242 L
.44443 .49987 L
.4396 .49951 L
.43884 .49758 L
.4396 .49636 L
.44178 .49275 L
.44443 .48944 L
.44584 .48792 L
.44906 .48309 L
.44927 .48282 L
.45259 .47826 L
.4541 .47618 L
.45816 .47342 L
.4541 .46964 L
.44927 .46924 L
.44717 .46859 L
.44927 .46436 L
.44952 .46376 L
.45297 .45893 L
.4541 .45785 L
.45653 .4541 L
.45893 .45099 L
.46067 .44927 L
.46376 .44468 L
.46399 .44443 L
F
1 .5 0 r
.35263 .44682 m
.35433 .44927 L
.35263 .45253 L
.35042 .44927 L
F
0 .05 1 r
.35263 .50382 m
.35273 .50725 L
.35263 .50739 L
.35053 .50725 L
F
0 .25 1 r
.35263 .46612 m
.35367 .46859 L
.35263 .47051 L
.35053 .46859 L
F
1 .1 0 r
.35263 .48514 m
.35316 .48792 L
.35263 .4888 L
.35055 .48792 L
F
1 .9 .045 r
.35263 .59525 m
.3558 .59905 L
.35263 .60216 L
.35073 .59905 L
F
0 .675 1 r
.35263 .42816 m
.35448 .42994 L
.35263 .43397 L
.35088 .42994 L
F
1 .475 0 r
.35263 .44747 m
.35386 .44927 L
.35263 .4519 L
.35093 .44927 L
F
0 .225 1 r
.35263 .46672 m
.3533 .46859 L
.35263 .46995 L
.35099 .46859 L
F
1 .65 0 r
.35263 .55777 m
.35685 .5604 L
.35263 .5652 L
.35105 .5604 L
F
1 .075 0 r
.35263 .48579 m
.35283 .48792 L
.35263 .48828 L
.35107 .48792 L
F
.001 .775 1 r
.35263 .57682 m
.35609 .57973 L
.35263 .58331 L
.35108 .57973 L
F
1 .625 0 r
.35263 .55837 m
.35633 .5604 L
.35263 .56449 L
.35147 .5604 L
F
1 .45 0 r
.35263 .44831 m
.35325 .44927 L
.35263 .45102 L
.35162 .44927 L
F
0 .2 1 r
.35263 .46761 m
.35285 .46859 L
.35263 .46914 L
.35167 .46859 L
F
0 .65 1 r
.35263 .42925 m
.35349 .42994 L
.35263 .43285 L
.35184 .42994 L
F
0 .4 1 r
.35263 .5399 m
.35651 .54107 L
.35263 .5457 L
.35191 .54107 L
F
1 .6 0 r
.35263 .5591 m
.35571 .5604 L
.35263 .56363 L
.35194 .5604 L
F
0 .75 1 r
.35263 .5782 m
.35493 .57973 L
.35263 .58176 L
.35198 .57973 L
F
0 .375 1 r
.35263 .54038 m
.35607 .54107 L
.35263 .54511 L
.35222 .54107 L
F
1 .825 .004 r
.35263 .41036 m
.3534 .41061 L
.35263 .41456 L
.3523 .41061 L
F
1 .575 0 r
.35263 .56013 m
.35483 .5604 L
.35263 .56233 L
.35251 .5604 L
F
0 .35 1 r
.35263 .54096 m
.35552 .54107 L
.35263 .54435 L
.35256 .54107 L
F
1 .2 0 r
.35263 .52174 m
.35625 .52174 L
.35263 .52654 L
.35262 .52174 L
F
0 .4 1 r
.35746 .45851 m
.36086 .45893 L
.35839 .46376 L
.35746 .46529 L
.35268 .46376 L
.3571 .45893 L
F
1 .625 0 r
.35746 .43916 m
.36143 .4396 L
.35901 .44443 L
.35746 .44709 L
.35269 .44443 L
.35726 .4396 L
F
1 .225 0 r
.35746 .47768 m
.36027 .47826 L
.3577 .48309 L
.35746 .48347 L
.35276 .48309 L
.35699 .47826 L
F
.001 .775 1 r
.35746 .4203 m
.35957 .42511 L
.35746 .42885 L
.3528 .42511 L
F
1 .9 .045 r
.35746 .40126 m
.36009 .40578 L
.35746 .41056 L
.35296 .40578 L
F
0 .375 1 r
.35746 .45893 m
.35813 .46376 L
.35746 .46489 L
.35299 .46376 L
F
1 .2 0 r
.35746 .47805 m
.35978 .47826 L
.35748 .48309 L
.35746 .48312 L
.35306 .48309 L
.35729 .47826 L
F
1 .6 0 r
.35746 .43998 m
.35865 .44443 L
.35746 .44656 L
.35312 .44443 L
F
1 .9 .045 r
.40095 .53097 m
.40502 .53141 L
.40278 .53624 L
.40095 .53931 L
.3999 .54107 L
.39699 .5459 L
.39612 .54743 L
.39365 .55073 L
.39128 .55408 L
.39025 .55557 L
.38664 .5604 L
.38645 .56092 L
.38403 .56523 L
.38162 .5679 L
.37971 .57006 L
.37679 .57394 L
.37603 .57489 L
.37233 .57973 L
.37196 .5802 L
.37026 .58456 L
.36712 .58653 L
.36451 .58939 L
.36229 .59364 L
.36033 .59422 L
.35746 .59752 L
.35327 .59422 L
.35628 .58939 L
.35746 .58757 L
.35955 .58456 L
.36229 .58045 L
.36283 .57973 L
.36543 .57489 L
.36712 .57294 L
.36983 .57006 L
.37196 .56707 L
.3734 .56523 L
.37679 .56054 L
.3769 .5604 L
.38064 .55557 L
.38162 .55363 L
.38444 .55073 L
.38645 .54801 L
.38825 .5459 L
.39128 .54195 L
.39208 .54107 L
.39606 .53624 L
.39612 .53613 L
.40058 .53141 L
F
.002 .8 1 r
.39128 .52464 m
.39563 .52658 L
.39287 .53141 L
.39128 .53386 L
.38975 .53624 L
.38652 .54107 L
.38645 .5412 L
.38465 .5459 L
.38162 .54903 L
.37969 .55073 L
.37679 .55471 L
.37613 .55557 L
.37265 .5604 L
.37196 .56124 L
.36882 .56523 L
.36712 .56806 L
.36497 .57006 L
.36229 .57345 L
.36102 .57489 L
.35746 .57919 L
.35328 .57489 L
.35647 .57006 L
.35746 .56861 L
.35989 .56523 L
.36229 .56173 L
.3633 .5604 L
.36648 .55557 L
.36712 .55485 L
.37041 .55073 L
.37196 .5486 L
.37411 .5459 L
.37679 .54225 L
.37778 .54107 L
.38129 .53624 L
.38162 .536 L
.3855 .53141 L
.38645 .52918 L
.38971 .52658 L
F
0 .35 1 r
.35746 .45947 m
.35785 .46376 L
.35746 .46445 L
.35335 .46376 L
F
0 .75 1 r
.35746 .42131 m
.35895 .42511 L
.35746 .42799 L
.3535 .42511 L
F
1 .575 0 r
.35746 .44071 m
.35825 .44443 L
.35746 .44595 L
.3536 .44443 L
F
0 .325 1 r
.35746 .46015 m
.35755 .46376 L
.35746 .46393 L
.35378 .46376 L
F
1 .675 0 r
.38162 .51891 m
.38535 .52174 L
.38242 .52658 L
.38162 .52775 L
.37915 .53141 L
.37679 .53482 L
.37576 .53624 L
.37253 .54107 L
.37196 .54172 L
.36873 .5459 L
.36712 .54804 L
.36499 .55073 L
.36229 .55426 L
.36118 .55557 L
.35746 .56023 L
.35381 .55557 L
.35645 .55073 L
.35746 .54964 L
.36057 .5459 L
.36229 .54345 L
.36414 .54107 L
.36712 .53691 L
.36768 .53624 L
.37137 .53141 L
.37196 .53016 L
.3753 .52658 L
.37679 .5246 L
.37935 .52174 L
F
.001 .775 1 r
.38162 .53656 m
.38604 .54107 L
.38401 .5459 L
.38162 .54835 L
.37928 .55073 L
.37679 .55416 L
.37572 .55557 L
.37218 .5604 L
.37196 .56066 L
.36839 .56523 L
.36712 .56746 L
.36449 .57006 L
.36229 .57282 L
.36042 .57489 L
.35746 .57841 L
.35387 .57489 L
.35689 .57006 L
.35746 .5692 L
.36027 .56523 L
.36229 .56224 L
.36368 .5604 L
.367 .55557 L
.36712 .55543 L
.37072 .55073 L
.37196 .54902 L
.37445 .5459 L
.37679 .54271 L
.37818 .54107 L
F
1 .65 0 r
.38162 .51943 m
.38486 .52174 L
.38205 .52658 L
.38162 .52722 L
.37883 .53141 L
.37679 .53439 L
.37545 .53624 L
.37211 .54107 L
.37196 .54124 L
.36845 .5459 L
.36712 .54766 L
.36468 .55073 L
.36229 .55386 L
.36082 .55557 L
.35746 .55976 L
.35416 .55557 L
.35705 .55073 L
.35746 .55029 L
.36082 .5459 L
.36229 .54378 L
.3644 .54107 L
.36712 .53725 L
.36796 .53624 L
.37162 .53141 L
.37196 .53066 L
.37559 .52658 L
.37679 .52499 L
.37975 .52174 L
F
1 .55 0 r
.35746 .44165 m
.35781 .44443 L
.35746 .44517 L
.35421 .44443 L
F
0 .725 1 r
.35746 .42259 m
.35822 .42511 L
.35746 .42687 L
.3544 .42511 L
F
1 .875 .021 r
.35746 .40327 m
.35876 .40578 L
.35746 .40885 L
.35444 .40578 L
F
1 .625 0 r
.35746 .55091 m
.36044 .55557 L
.35746 .55926 L
.35453 .55557 L
F
0 .75 1 r
.36712 .55596 m
.37169 .5604 L
.36794 .56523 L
.36712 .56674 L
.36397 .57006 L
.36229 .57215 L
.35975 .57489 L
.35746 .57754 L
.35456 .57489 L
.35733 .57006 L
.35746 .56986 L
.36067 .56523 L
.36229 .56279 L
.36407 .5604 L
F
0 .45 1 r
.35746 .53216 m
.36093 .53624 L
.35746 .5408 L
.35472 .53624 L
F
1 .875 .021 r
.39128 .54291 m
.3959 .5459 L
.39284 .55073 L
.39128 .55298 L
.38952 .55557 L
.38645 .55995 L
.38612 .5604 L
.38327 .56523 L
.38162 .56697 L
.37906 .57006 L
.37679 .57306 L
.37534 .57489 L
.37196 .57928 L
.37158 .57973 L
.36862 .58456 L
.36712 .5854 L
.36354 .58939 L
.36229 .59226 L
.35897 .59422 L
.35746 .59582 L
.35473 .59422 L
.35714 .58939 L
.35746 .58885 L
.36029 .58456 L
.36229 .58142 L
.36351 .57973 L
.36641 .57489 L
.36712 .57407 L
.37034 .57006 L
.37196 .56776 L
.37393 .56523 L
.37679 .56123 L
.37746 .5604 L
.38112 .55557 L
.38162 .55454 L
.385 .55073 L
.38645 .54878 L
.38896 .5459 L
F
1 .6 0 r
.35746 .55141 m
.36003 .55557 L
.35746 .55872 L
.35493 .55557 L
F
0 .425 1 r
.35746 .53249 m
.36065 .53624 L
.35746 .54044 L
.35497 .53624 L
F
.098 .925 1 r
.40578 .54326 m
.40912 .5459 L
.40703 .55073 L
.40578 .5517 L
.40341 .55557 L
.40095 .55924 L
.40019 .5604 L
.39683 .56523 L
.39612 .56656 L
.39357 .57006 L
.39128 .57435 L
.39005 .57489 L
.38646 .57973 L
.38645 .57978 L
.38317 .58456 L
.38162 .58635 L
.37919 .58939 L
.37679 .59321 L
.37537 .59422 L
.37196 .59851 L
.37148 .59905 L
.36782 .60388 L
.36712 .60433 L
.36315 .60872 L
.36229 .61007 L
.35818 .61355 L
.35746 .61423 L
.35502 .61355 L
.35691 .60872 L
.35746 .60773 L
.35987 .60388 L
.36229 .59995 L
.36292 .59905 L
.3662 .59422 L
.36712 .59288 L
.36967 .58939 L
.37196 .58608 L
.37312 .58456 L
.37643 .57973 L
.37679 .5793 L
.38024 .57489 L
.38162 .57298 L
.38394 .57006 L
.38645 .5666 L
.38759 .56523 L
.39117 .5604 L
.39128 .5603 L
.39518 .55557 L
.39612 .55352 L
.39925 .55073 L
.40095 .54855 L
.4035 .5459 L
F
0 .4 1 r
.35746 .53285 m
.36036 .53624 L
.35746 .54006 L
.35525 .53624 L
F
1 .575 0 r
.35746 .55197 m
.35956 .55557 L
.35746 .55812 L
.35538 .55557 L
F
0 .725 1 r
.35746 .57077 m
.35894 .57489 L
.35746 .57653 L
.35541 .57489 L
F
.098 .925 1 r
.35746 .38508 m
.35848 .38645 L
.35746 .38983 L
.35544 .38645 L
F
0 .375 1 r
.35746 .53324 m
.36004 .53624 L
.35746 .53964 L
.35554 .53624 L
F
1 .275 0 r
.35746 .5142 m
.36068 .51691 L
.35746 .52149 L
.35556 .51691 L
F
1 .25 0 r
.35746 .51451 m
.36042 .51691 L
.35746 .52116 L
.35579 .51691 L
F
0 .35 1 r
.35746 .53367 m
.35968 .53624 L
.35746 .53918 L
.35586 .53624 L
F
1 .55 0 r
.35746 .55266 m
.35901 .55557 L
.35746 .55742 L
.35592 .55557 L
F
1 .225 0 r
.35746 .51484 m
.36014 .51691 L
.35746 .5208 L
.35603 .51691 L
F
0 .325 1 r
.35746 .53417 m
.35927 .53624 L
.35746 .53865 L
.35623 .53624 L
F
1 .2 0 r
.35746 .5152 m
.35982 .51691 L
.35746 .5204 L
.3563 .51691 L
F
0 .15 1 r
.35746 .49622 m
.36031 .49758 L
.35746 .50221 L
.35644 .49758 L
F
1 .175 0 r
.35746 .51561 m
.35945 .51691 L
.35746 .51994 L
.35659 .51691 L
F
1 .525 0 r
.35746 .55361 m
.35828 .55557 L
.35746 .5565 L
.35664 .55557 L
F
0 .3 1 r
.35746 .53479 m
.35877 .53624 L
.35746 .53799 L
.35666 .53624 L
F
0 .125 1 r
.35746 .49655 m
.35998 .49758 L
.35746 .50183 L
.35669 .49758 L
F
1 .975 .461 r
.42027 .54364 m
.42478 .5459 L
.42082 .55073 L
.42027 .55144 L
.41707 .55557 L
.41544 .55782 L
.41383 .5604 L
.41066 .56523 L
.41061 .56531 L
.40765 .57006 L
.40578 .57331 L
.40428 .57489 L
.40095 .57959 L
.40086 .57973 L
.3969 .58456 L
.39612 .58638 L
.39494 .58939 L
.39128 .59323 L
.3903 .59422 L
.38666 .59905 L
.38645 .59926 L
.38293 .60388 L
.38162 .60556 L
.37919 .60872 L
.37679 .61198 L
.37528 .61355 L
.37196 .61764 L
.37129 .61838 L
.36719 .62321 L
.36712 .62325 L
.36263 .62804 L
.36229 .62847 L
.35746 .63245 L
.35681 .62804 L
.35746 .62674 L
.35954 .62321 L
.36229 .61857 L
.36242 .61838 L
.3657 .61355 L
.36712 .61144 L
.36909 .60872 L
.37196 .60453 L
.37244 .60388 L
.3753 .59905 L
.37679 .59725 L
.37955 .59422 L
.38162 .59131 L
.38313 .58939 L
.38645 .58478 L
.38663 .58456 L
.3891 .57973 L
.39128 .57793 L
.39412 .57489 L
.39612 .57214 L
.39786 .57006 L
.40095 .56594 L
.40156 .56523 L
.40543 .5604 L
.40578 .55975 L
.40958 .55557 L
.41061 .55422 L
.41386 .55073 L
.41544 .54883 L
.41823 .5459 L
F
0 .7 1 r
.35746 .57225 m
.35772 .57489 L
.35746 .57514 L
.35686 .57489 L
F
1 .15 0 r
.35746 .51609 m
.359 .51691 L
.35746 .51938 L
.35693 .51691 L
F
0 .1 1 r
.35746 .49693 m
.35958 .49758 L
.35746 .5014 L
.35697 .49758 L
F
0 .275 1 r
.35746 .53575 m
.35798 .53624 L
.35746 .53696 L
.35725 .53624 L
F
0 .075 1 r
.35746 .49735 m
.35905 .49758 L
.35746 .50087 L
.35729 .49758 L
F
1 .125 0 r
.35746 .51672 m
.35829 .51691 L
.35746 .51856 L
.35735 .51691 L
F
0 .5 1 r
.37196 .51289 m
.37523 .51691 L
.3722 .52174 L
.37196 .52203 L
.36864 .52658 L
.36712 .52869 L
.36506 .53141 L
.36229 .53519 L
.35758 .53141 L
.36122 .52658 L
.36229 .5251 L
.36499 .52174 L
.36712 .51886 L
.36882 .51691 L
F
1 .625 0 r
.36712 .53761 m
.37173 .54107 L
.36815 .5459 L
.36712 .54727 L
.36437 .55073 L
.36229 .55344 L
.35759 .55073 L
.36107 .5459 L
.36229 .54414 L
.36467 .54107 L
F
1 .45 0 r
.37196 .49472 m
.37508 .49758 L
.37269 .50242 L
.37196 .50282 L
.36897 .50725 L
.36712 .50995 L
.36558 .51208 L
.36229 .51676 L
.35777 .51208 L
.36152 .50725 L
.36229 .5055 L
.36547 .50242 L
.36712 .50026 L
.36959 .49758 L
F
0 .475 1 r
.36712 .51915 m
.37183 .52174 L
.36842 .52658 L
.36712 .52839 L
.36483 .53141 L
.36229 .53489 L
.35782 .53141 L
.36142 .52658 L
.36229 .52536 L
.36521 .52174 L
F
1 .9 .045 r
.36229 .39882 m
.36232 .40095 L
.36229 .40104 L
.3579 .40095 L
F
0 .725 1 r
.36712 .55651 m
.37119 .5604 L
.36746 .56523 L
.36712 .56587 L
.3634 .57006 L
.36229 .57142 L
.35794 .57006 L
.36111 .56523 L
.36229 .5634 L
.3645 .5604 L
F
1 .425 0 r
.37196 .49507 m
.37477 .49758 L
.37209 .50242 L
.37196 .50249 L
.36878 .50725 L
.36712 .50968 L
.36539 .51208 L
.36229 .51652 L
.35796 .51208 L
.36168 .50725 L
.36229 .50585 L
.36566 .50242 L
.36712 .50052 L
.36986 .49758 L
F
1 .6 0 r
.36712 .53799 m
.37139 .54107 L
.36785 .5459 L
.36712 .54686 L
.36403 .55073 L
.36229 .553 L
.35796 .55073 L
.36134 .5459 L
.36229 .54452 L
.36495 .54107 L
F
0 .45 1 r
.36712 .51945 m
.37154 .52174 L
.36819 .52658 L
.36712 .52808 L
.3646 .53141 L
.36229 .53458 L
.35806 .53141 L
.36161 .52658 L
.36229 .52563 L
.36543 .52174 L
F
1 .4 0 r
.36712 .50079 m
.37174 .50242 L
.36858 .50725 L
.36712 .5094 L
.3652 .51208 L
.36229 .51627 L
.35815 .51208 L
.36185 .50725 L
.36229 .50622 L
.36587 .50242 L
F
1 .95 .212 r
.40578 .7292 m
.41061 .72892 L
.41544 .72945 L
.41587 .72951 L
.42027 .7308 L
.42511 .73302 L
.42736 .73434 L
.42994 .73616 L
.43356 .73918 L
.43477 .74033 L
.4382 .74401 L
.4396 .74572 L
.44194 .74884 L
.44443 .7526 L
.44509 .75367 L
.44778 .7585 L
.44927 .7615 L
.45011 .76334 L
.45214 .76817 L
.45391 .773 L
.4541 .77356 L
.45544 .77783 L
.45677 .78266 L
.45791 .7875 L
.45888 .79233 L
.45893 .79258 L
.45967 .79716 L
.46031 .80199 L
.4608 .80682 L
.46113 .81165 L
.46132 .81649 L
.46137 .82132 L
.46128 .82615 L
.46104 .83098 L
.46065 .83581 L
.46012 .84065 L
.45943 .84548 L
.45893 .84845 L
.45858 .85031 L
.45755 .85514 L
.45635 .85997 L
.45496 .8648 L
.4541 .86747 L
.45334 .86964 L
.45149 .87447 L
.44937 .8793 L
.44927 .87952 L
.44693 .88413 L
.44443 .88843 L
.4441 .88896 L
.44077 .8938 L
.4396 .89531 L
.43677 .89863 L
.43477 .90069 L
.43173 .90346 L
.42994 .90487 L
.42511 .90801 L
.42462 .90829 L
.42027 .91022 L
.41544 .91157 L
.41061 .9121 L
.40578 .91183 L
.40095 .91073 L
.39612 .9088 L
.3951 .90829 L
.39128 .90596 L
.38799 .90346 L
.38645 .90211 L
.38296 .89863 L
.38162 .89711 L
.37898 .8938 L
.37679 .89069 L
.37567 .88896 L
.37284 .88413 L
.37196 .88248 L
.37036 .8793 L
.36817 .87447 L
.36712 .87198 L
.36621 .86964 L
.36449 .8648 L
.36303 .85997 L
.36229 .85711 L
.36186 .85514 L
.361 .85031 L
.36039 .84548 L
.35995 .84065 L
.3596 .83581 L
.35927 .83098 L
.35894 .82615 L
.35861 .82132 L
.35833 .81649 L
.3582 .81165 L
.35831 .80682 L
.35877 .80199 L
.35955 .79716 L
.36058 .79233 L
.36177 .7875 L
.36229 .78553 L
.36309 .78266 L
.3645 .77783 L
.36603 .773 L
.36712 .76983 L
.36774 .76817 L
.36969 .76334 L
.37195 .7585 L
.37196 .75849 L
.3746 .75367 L
.37679 .75022 L
.37774 .74884 L
.38149 .74401 L
.38162 .74386 L
.38614 .73918 L
.38645 .73889 L
.39128 .73506 L
.39234 .73434 L
.39612 .73223 L
.40095 .73029 L
.40396 .72951 L
F
0 .425 1 r
.36712 .51977 m
.37124 .52174 L
.36795 .52658 L
.36712 .52774 L
.36436 .53141 L
.36229 .53426 L
.35832 .53141 L
.36182 .52658 L
.36229 .52592 L
.36567 .52174 L
F
1 .375 0 r
.36712 .50108 m
.37145 .50242 L
.36837 .50725 L
.36712 .50911 L
.365 .51208 L
.36229 .51601 L
.35835 .51208 L
.36203 .50725 L
.36229 .50662 L
.36608 .50242 L
F
1 .575 0 r
.36712 .5384 m
.37101 .54107 L
.36752 .5459 L
.36712 .54643 L
.36367 .55073 L
.36229 .55253 L
.35837 .55073 L
.36163 .5459 L
.36229 .54493 L
.36526 .54107 L
F
1 .85 .01 r
.36229 .58261 m
.3667 .58456 L
.36233 .58939 L
.36229 .58949 L
.35854 .58939 L
.36114 .58456 L
F
1 .35 0 r
.36712 .50138 m
.37112 .50242 L
.36815 .50725 L
.36712 .5088 L
.36479 .51208 L
.36229 .51574 L
.35856 .51208 L
.36221 .50725 L
.36229 .50705 L
.36631 .50242 L
F
0 .4 1 r
.36712 .52011 m
.3709 .52174 L
.3677 .52658 L
.36712 .52739 L
.3641 .53141 L
.36229 .53391 L
.3586 .53141 L
.36204 .52658 L
.36229 .52622 L
.36592 .52174 L
F
0 .35 1 r
.36229 .48822 m
.36533 .49275 L
.36229 .49742 L
.3587 .49275 L
F
0 .7 1 r
.36229 .5641 m
.36688 .56523 L
.36275 .57006 L
.36229 .5706 L
.35877 .57006 L
.36159 .56523 L
F
1 .325 0 r
.36229 .50741 m
.36458 .51208 L
.36229 .51546 L
.35878 .51208 L
F
1 .55 0 r
.36712 .53884 m
.37061 .54107 L
.36717 .5459 L
.36712 .54596 L
.36328 .55073 L
.36229 .55201 L
.35884 .55073 L
.36194 .5459 L
.36229 .54538 L
.36559 .54107 L
F
0 .325 1 r
.36229 .48849 m
.36513 .49275 L
.36229 .49716 L
.3589 .49275 L
F
0 .375 1 r
.36712 .52047 m
.37054 .52174 L
.36743 .52658 L
.36712 .52702 L
.36383 .53141 L
.36229 .53354 L
.35891 .53141 L
.36227 .52658 L
.36229 .52654 L
.36619 .52174 L
F
1 .3 0 r
.36229 .50771 m
.36436 .51208 L
.36229 .51516 L
.35901 .51208 L
F
0 .3 1 r
.36229 .48877 m
.36492 .49275 L
.36229 .49689 L
.35911 .49275 L
F
0 .35 1 r
.36229 .52694 m
.36353 .53141 L
.36229 .53314 L
.35925 .53141 L
F
1 .275 0 r
.36229 .50803 m
.36412 .51208 L
.36229 .51484 L
.35927 .51208 L
F
0 .275 1 r
.36229 .48906 m
.36469 .49275 L
.36229 .49659 L
.35934 .49275 L
F
1 .525 0 r
.36229 .54588 m
.36667 .5459 L
.36283 .55073 L
.36229 .55143 L
.35941 .55073 L
.36228 .5459 L
F
.461 .975 1 r
.36229 .34183 m
.36288 .34296 L
.36229 .34584 L
.3595 .34296 L
F
1 .25 0 r
.36229 .50838 m
.36387 .51208 L
.36229 .51449 L
.35954 .51208 L
F
1 .4 0 r
.36229 .47018 m
.36514 .47342 L
.36229 .47825 L
.35955 .47342 L
F
0 .25 1 r
.36229 .48937 m
.36446 .49275 L
.36229 .49628 L
.35958 .49275 L
F
0 .325 1 r
.36229 .52741 m
.36321 .53141 L
.36229 .5327 L
.35964 .53141 L
F
1 .375 0 r
.36229 .47052 m
.36486 .47342 L
.36229 .47792 L
.35982 .47342 L
F
0 .225 1 r
.36229 .48971 m
.3642 .49275 L
.36229 .49595 L
.35984 .49275 L
F
1 .225 0 r
.36229 .50878 m
.3636 .51208 L
.36229 .51412 L
.35985 .51208 L
F
1 .35 0 r
.36229 .47089 m
.36457 .47342 L
.36229 .47756 L
.3601 .47342 L
F
0 .3 1 r
.36229 .52797 m
.36284 .53141 L
.36229 .5322 L
.36012 .53141 L
F
0 .2 1 r
.36229 .49008 m
.36393 .49275 L
.36229 .49558 L
.36012 .49275 L
F
1 .2 0 r
.36229 .50922 m
.3633 .51208 L
.36229 .51369 L
.36019 .51208 L
F
1 .325 0 r
.36229 .47128 m
.36425 .47342 L
.36229 .47716 L
.36041 .47342 L
F
0 .175 1 r
.36229 .4905 m
.36363 .49275 L
.36229 .49516 L
.36044 .49275 L
F
1 .175 0 r
.36229 .50977 m
.36296 .51208 L
.36229 .51319 L
.36062 .51208 L
F
1 .3 0 r
.36229 .47173 m
.36388 .47342 L
.36229 .4767 L
.36076 .47342 L
F
0 .15 1 r
.36229 .49098 m
.36329 .49275 L
.36229 .49468 L
.36081 .49275 L
F
0 .275 1 r
.36229 .52873 m
.3624 .53141 L
.36229 .53157 L
.36082 .53141 L
F
0 .475 1 r
.36229 .45265 m
.36433 .4541 L
.36229 .45858 L
.3609 .4541 L
F
1 .275 0 r
.36229 .47224 m
.36345 .47342 L
.36229 .47615 L
.36118 .47342 L
F
1 .15 0 r
.36229 .51054 m
.36254 .51208 L
.36229 .51254 L
.36122 .51208 L
F
0 .125 1 r
.36229 .4916 m
.36287 .49275 L
.36229 .49405 L
.3613 .49275 L
F
0 .45 1 r
.36229 .45324 m
.36373 .4541 L
.36229 .45796 L
.36142 .4541 L
F
1 .25 0 r
.36229 .47289 m
.36288 .47342 L
.36229 .4754 L
.36174 .47342 L
F
.045 .9 1 r
.36229 .60327 m
.36461 .60388 L
.36229 .60561 L
.36206 .60388 L
F
0 .675 1 r
.36229 .56497 m
.36605 .56523 L
.36229 .56954 L
.36214 .56523 L
F
0 .425 1 r
.36229 .45398 m
.36272 .4541 L
.36229 .4571 L
.36215 .4541 L
F
1 .825 .004 r
.36229 .58443 m
.36507 .58456 L
.36229 .58706 L
.36223 .58456 L
F
0 .375 1 r
.36712 .48246 m
.37149 .48309 L
.36868 .48792 L
.36712 .49041 L
.36233 .48792 L
.36661 .48309 L
F
1 .525 0 r
.36712 .4631 m
.37196 .45921 L
.37201 .46376 L
.37196 .46387 L
.36929 .46859 L
.36712 .4722 L
.36241 .46859 L
.36679 .46376 L
F
1 .325 0 r
.36712 .5017 m
.37077 .50242 L
.36793 .50725 L
.36712 .50848 L
.36244 .50725 L
.36656 .50242 L
F
0 .35 1 r
.36712 .48278 m
.37109 .48309 L
.36846 .48792 L
.36712 .49009 L
.36258 .48792 L
.36687 .48309 L
F
.36712 .52087 m
.37012 .52174 L
.36714 .52658 L
.36712 .5266 L
.36262 .52658 L
.36649 .52174 L
F
1 .5 0 r
.36712 .46372 m
.37155 .46376 L
.36903 .46859 L
.36712 .47184 L
.36268 .46859 L
.3671 .46376 L
F
1 .3 0 r
.36712 .50204 m
.37035 .50242 L
.36769 .50725 L
.36712 .50812 L
.36272 .50725 L
.36683 .50242 L
F
0 .65 1 r
.36712 .44461 m
.36965 .44927 L
.36712 .45369 L
.36275 .44927 L
F
0 .325 1 r
.36712 .48312 m
.36822 .48792 L
.36712 .48974 L
.36285 .48792 L
F
1 .475 0 r
.36712 .46416 m
.36876 .46859 L
.36712 .47146 L
.36297 .46859 L
F
1 .275 0 r
.36712 .50242 m
.36743 .50725 L
.36712 .50774 L
.36304 .50725 L
F
0 .625 1 r
.36712 .44515 m
.36927 .44927 L
.36712 .4532 L
.36313 .44927 L
F
0 .3 1 r
.36712 .48354 m
.36797 .48792 L
.36712 .48937 L
.36314 .48792 L
F
1 .45 0 r
.36712 .46462 m
.36847 .46859 L
.36712 .47104 L
.36329 .46859 L
F
1 .25 0 r
.36712 .50294 m
.36715 .50725 L
.36712 .50729 L
.36342 .50725 L
F
0 .275 1 r
.36712 .48403 m
.36771 .48792 L
.36712 .48894 L
.36347 .48792 L
F
0 .6 1 r
.36712 .44576 m
.36887 .44927 L
.36712 .45266 L
.36356 .44927 L
F
1 .425 0 r
.36712 .46514 m
.36816 .46859 L
.36712 .47056 L
.36366 .46859 L
F
1 .775 .001 r
.36712 .42671 m
.36934 .42994 L
.36712 .43444 L
.36375 .42994 L
F
0 .25 1 r
.36712 .48462 m
.36741 .48792 L
.36712 .48846 L
.36386 .48792 L
F
0 .575 1 r
.36712 .44645 m
.36842 .44927 L
.36712 .45202 L
.36406 .44927 L
F
1 .4 0 r
.36712 .46576 m
.36781 .46859 L
.36712 .47001 L
.36408 .46859 L
F
1 .85 .01 r
.36712 .57527 m
.37071 .57973 L
.36712 .58413 L
.36428 .57973 L
F
1 .75 0 r
.36712 .42776 m
.36858 .42994 L
.36712 .43347 L
.36456 .42994 L
F
1 .375 0 r
.36712 .4666 m
.36742 .46859 L
.36712 .4693 L
.36462 .46859 L
F
.045 .9 1 r
.36712 .59466 m
.3696 .59905 L
.36712 .60185 L
.36466 .59905 L
F
0 .55 1 r
.36712 .4473 m
.3679 .44927 L
.36712 .45121 L
.36469 .44927 L
F
0 .7 1 r
.36712 .55712 m
.37064 .5604 L
.36712 .56496 L
.36497 .5604 L
F
.01 .85 1 r
.36712 .40908 m
.36862 .41061 L
.36712 .41492 L
.36515 .41061 L
F
1 .825 .004 r
.36712 .57645 m
.36967 .57973 L
.36712 .58277 L
.36522 .57973 L
F
0 .675 1 r
.36712 .55783 m
.37001 .5604 L
.36712 .56415 L
.3655 .5604 L
F
0 .525 1 r
.36712 .4487 m
.36725 .44927 L
.36712 .44984 L
.36566 .44927 L
F
1 .725 0 r
.36712 .42923 m
.36755 .42994 L
.36712 .43196 L
.36581 .42994 L
F
1 .525 0 r
.36712 .53934 m
.37014 .54107 L
.36712 .54539 L
.36595 .54107 L
F
0 .65 1 r
.36712 .55873 m
.36923 .5604 L
.36712 .56314 L
.36614 .5604 L
F
1 .5 0 r
.36712 .53992 m
.3696 .54107 L
.36712 .54471 L
.36636 .54107 L
F
1 .8 .002 r
.36712 .57842 m
.36804 .57973 L
.36712 .5807 L
.36662 .57973 L
F
1 .925 .098 r
.40578 .74394 m
.41061 .74361 L
.4143 .74401 L
.41544 .74424 L
.42027 .74586 L
.42511 .74854 L
.42556 .74884 L
.42994 .75239 L
.43127 .75367 L
.43477 .75763 L
.43545 .7585 L
.43879 .76334 L
.4396 .76466 L
.44155 .76817 L
.44388 .773 L
.44443 .77429 L
.44584 .77783 L
.44752 .78266 L
.44893 .7875 L
.44927 .78878 L
.45011 .79233 L
.45107 .79716 L
.45184 .80199 L
.45242 .80682 L
.45283 .81165 L
.45306 .81649 L
.45311 .82132 L
.453 .82615 L
.45271 .83098 L
.45225 .83581 L
.45161 .84065 L
.45077 .84548 L
.44974 .85031 L
.44927 .85225 L
.44848 .85514 L
.44699 .85997 L
.44522 .8648 L
.44443 .86674 L
.44314 .86964 L
.44069 .87447 L
.4396 .87636 L
.43775 .8793 L
.43477 .88339 L
.43417 .88413 L
.42994 .88864 L
.42959 .88896 L
.42511 .89249 L
.42308 .8938 L
.42027 .89516 L
.41544 .89678 L
.41061 .89741 L
.40578 .89708 L
.40095 .89577 L
.39667 .8938 L
.39612 .89344 L
.39128 .88997 L
.39013 .88896 L
.38645 .88519 L
.38555 .88413 L
.38196 .8793 L
.38162 .87878 L
.37901 .87447 L
.37679 .87018 L
.37653 .86964 L
.37442 .8648 L
.37264 .85997 L
.37196 .85788 L
.37115 .85514 L
.36994 .85031 L
.36897 .84548 L
.36821 .84065 L
.36763 .83581 L
.36719 .83098 L
.36712 .83026 L
.36687 .82615 L
.36668 .82132 L
.36664 .81649 L
.36677 .81165 L
.36711 .80682 L
.36712 .80671 L
.36769 .80199 L
.3685 .79716 L
.36953 .79233 L
.37078 .7875 L
.37196 .78353 L
.37223 .78266 L
.37393 .77783 L
.37589 .773 L
.37679 .77102 L
.3782 .76817 L
.38094 .76334 L
.38162 .76226 L
.38426 .7585 L
.38645 .75583 L
.38844 .75367 L
.39128 .75105 L
.39412 .74884 L
.39612 .74758 L
.40095 .74525 L
.40541 .74401 L
F
0 .325 1 r
.36712 .52133 m
.3696 .52174 L
.36712 .52606 L
.36682 .52174 L
F
1 .475 0 r
.36712 .54064 m
.36884 .54107 L
.36712 .5438 L
.36685 .54107 L
F
0 .625 1 r
.36712 .56021 m
.36783 .5604 L
.36712 .56133 L
.36704 .5604 L
F
0 .65 1 r
.37196 .44126 m
.37209 .44443 L
.37196 .44474 L
.36734 .44443 L
F
1 .85 .01 r
.38162 .55562 m
.38537 .5604 L
.38222 .56523 L
.38162 .56584 L
.37836 .57006 L
.37679 .57213 L
.37459 .57489 L
.37196 .57829 L
.36741 .57489 L
.37089 .57006 L
.37196 .56852 L
.3745 .56523 L
.37679 .56199 L
.37809 .5604 L
F
.045 .9 1 r
.39128 .56179 m
.39544 .56523 L
.39224 .57006 L
.39128 .57249 L
.3888 .57489 L
.38645 .57811 L
.38523 .57973 L
.38164 .58456 L
.38162 .58457 L
.37786 .58939 L
.37679 .59148 L
.37387 .59422 L
.37196 .59656 L
.36743 .59422 L
.37073 .58939 L
.37196 .58753 L
.37417 .58456 L
.37679 .5807 L
.37756 .57973 L
.3811 .57489 L
.38162 .57415 L
.38488 .57006 L
.38645 .56788 L
.3887 .56523 L
F
0 .75 1 r
.38162 .53713 m
.38551 .54107 L
.38318 .5459 L
.38162 .54749 L
.37886 .55073 L
.37679 .55359 L
.37528 .55557 L
.37196 .56007 L
.36743 .55557 L
.37105 .55073 L
.37196 .54947 L
.37481 .5459 L
.37679 .5432 L
.37861 .54107 L
F
0 .725 1 r
.38162 .53777 m
.38494 .54107 L
.38211 .5459 L
.38162 .5464 L
.37841 .55073 L
.37679 .55298 L
.37483 .55557 L
.37196 .55947 L
.36787 .55557 L
.3714 .55073 L
.37196 .54995 L
.3752 .5459 L
.37679 .54373 L
.37909 .54107 L
F
1 .8 .002 r
.37196 .42324 m
.37211 .42511 L
.37196 .42557 L
.36811 .42511 L
F
1 .625 0 r
.38162 .52001 m
.3843 .52174 L
.38165 .52658 L
.38162 .52663 L
.37849 .53141 L
.37679 .53392 L
.37512 .53624 L
.37196 .54079 L
.36826 .53624 L
.37187 .53141 L
.37196 .53122 L
.3759 .52658 L
.37679 .5254 L
.3802 .52174 L
F
1 .825 .004 r
.37679 .56286 m
.38114 .56523 L
.37759 .57006 L
.37679 .57111 L
.37375 .57489 L
.37196 .57719 L
.36826 .57489 L
.3715 .57006 L
.37196 .56939 L
.37515 .56523 L
F
0 .7 1 r
.37679 .5443 m
.38125 .5459 L
.37793 .55073 L
.37679 .55233 L
.37433 .55557 L
.37196 .55881 L
.36835 .55557 L
.37177 .55073 L
.37196 .55048 L
.37563 .5459 L
F
1 .6 0 r
.37196 .5317 m
.37478 .53624 L
.37196 .54034 L
.36858 .53624 L
F
0 .675 1 r
.37196 .55111 m
.37379 .55557 L
.37196 .55809 L
.3689 .55557 L
F
1 .575 0 r
.37196 .53214 m
.37442 .53624 L
.37196 .53986 L
.36893 .53624 L
F
0 .475 1 r
.37196 .51324 m
.37494 .51691 L
.37196 .52157 L
.36909 .51691 L
F
1 .55 0 r
.37196 .53264 m
.37403 .53624 L
.37196 .53934 L
.36932 .53624 L
F
0 .45 1 r
.37196 .51361 m
.37463 .51691 L
.37196 .52117 L
.36937 .51691 L
F
1 .8 .002 r
.37196 .57057 m
.3727 .57489 L
.37196 .57583 L
.36946 .57489 L
F
0 .65 1 r
.37196 .55194 m
.37316 .55557 L
.37196 .55724 L
.36959 .55557 L
F
0 .425 1 r
.37196 .51402 m
.3743 .51691 L
.37196 .52074 L
.36968 .51691 L
F
1 .525 0 r
.37196 .53322 m
.37359 .53624 L
.37196 .53874 L
.36976 .53624 L
F
0 .4 1 r
.37196 .51447 m
.37394 .51691 L
.37196 .52027 L
.37003 .51691 L
F
1 .4 0 r
.37196 .49546 m
.37443 .49758 L
.37196 .50209 L
.37016 .49758 L
F
1 .5 0 r
.37196 .53393 m
.37307 .53624 L
.37196 .53802 L
.37031 .53624 L
F
0 .375 1 r
.37196 .51499 m
.37352 .51691 L
.37196 .51971 L
.37042 .51691 L
F
1 .375 0 r
.37196 .49588 m
.37405 .49758 L
.37196 .50164 L
.37049 .49758 L
F
0 .625 1 r
.37196 .55317 m
.37233 .55557 L
.37196 .5561 L
.37063 .55557 L
F
1 .35 0 r
.37196 .49636 m
.37361 .49758 L
.37196 .5011 L
.37088 .49758 L
F
0 .35 1 r
.37196 .51563 m
.37302 .51691 L
.37196 .51903 L
.37091 .51691 L
F
1 .475 0 r
.37196 .53499 m
.37238 .53624 L
.37196 .53701 L
.37112 .53624 L
F
0 .4 1 r
.37196 .47741 m
.37387 .47826 L
.37196 .48288 L
.37115 .47826 L
F
1 .325 0 r
.37196 .49693 m
.37303 .49758 L
.37196 .50044 L
.37135 .49758 L
F
0 .375 1 r
.37196 .47796 m
.37314 .47826 L
.37196 .48225 L
.37166 .47826 L
F
0 .325 1 r
.37196 .51657 m
.37226 .51691 L
.37196 .51793 L
.37166 .51691 L
F
1 .95 .212 r
.37196 .60848 m
.37558 .60872 L
.37196 .61224 L
.37183 .60872 L
F
1 .6 0 r
.38162 .48259 m
.38436 .48309 L
.38248 .48792 L
.38162 .48942 L
.37965 .49275 L
.37679 .49737 L
.37211 .49275 L
.37634 .48792 L
.37679 .48708 L
.38116 .48309 L
F
0 .55 1 r
.38162 .50165 m
.38399 .50242 L
.38188 .50725 L
.38162 .50768 L
.37893 .51208 L
.37679 .51542 L
.37211 .51208 L
.37627 .50725 L
.37679 .50659 L
.38093 .50242 L
F
1 .6 0 r
.37679 .52585 m
.38115 .52658 L
.37813 .53141 L
.37679 .53342 L
.37221 .53141 L
.37623 .52658 L
F
0 .675 1 r
.37679 .54495 m
.38056 .5459 L
.37739 .55073 L
.37679 .55159 L
.37228 .55073 L
.37611 .5459 L
F
1 .575 0 r
.37679 .4876 m
.38162 .48322 L
.3821 .48792 L
.38162 .48881 L
.37937 .49275 L
.37679 .49701 L
.37237 .49275 L
.37662 .48792 L
F
0 .525 1 r
.37679 .50696 m
.38146 .50725 L
.37863 .51208 L
.37679 .51501 L
.37241 .51208 L
.37656 .50725 L
F
1 .575 0 r
.37679 .52634 m
.38055 .52658 L
.37774 .53141 L
.37679 .53287 L
.37263 .53141 L
.37661 .52658 L
F
1 .55 0 r
.37679 .4881 m
.37909 .49275 L
.37679 .49662 L
.37265 .49275 L
F
0 .5 1 r
.37679 .50738 m
.37832 .51208 L
.37679 .51457 L
.37273 .51208 L
F
1 .525 0 r
.37679 .48853 m
.37878 .49275 L
.37679 .49621 L
.37295 .49275 L
F
0 .6 1 r
.37679 .46932 m
.37945 .47342 L
.37679 .47818 L
.37298 .47342 L
F
0 .475 1 r
.37679 .50789 m
.37798 .51208 L
.37679 .51408 L
.37309 .51208 L
F
1 .55 0 r
.37679 .52698 m
.37732 .53141 L
.37679 .53224 L
.37313 .53141 L
F
1 .5 0 r
.37679 .489 m
.37846 .49275 L
.37679 .49575 L
.37329 .49275 L
F
0 .575 1 r
.37679 .4698 m
.37909 .47342 L
.37679 .47772 L
.37332 .47342 L
F
1 .9 .045 r
.40095 .75771 m
.40578 .75615 L
.41061 .75576 L
.41544 .75651 L
.42027 .75845 L
.42038 .7585 L
.42511 .7617 L
.42699 .76334 L
.42994 .76648 L
.43132 .76817 L
.43461 .773 L
.43477 .77326 L
.43726 .77783 L
.43942 .78266 L
.4396 .78312 L
.4412 .7875 L
.44266 .79233 L
.44384 .79716 L
.44443 .80011 L
.44476 .80199 L
.44546 .80682 L
.44594 .81165 L
.44621 .81649 L
.44628 .82132 L
.44615 .82615 L
.44581 .83098 L
.44525 .83581 L
.44448 .84065 L
.44443 .84091 L
.44347 .84548 L
.4422 .85031 L
.44064 .85514 L
.4396 .85791 L
.43875 .85997 L
.43644 .8648 L
.43477 .86777 L
.4336 .86964 L
.43001 .87447 L
.42994 .87455 L
.42514 .8793 L
.42511 .87933 L
.42027 .88257 L
.41707 .88413 L
.41544 .88451 L
.41061 .88526 L
.40578 .88487 L
.40304 .88413 L
.40095 .88331 L
.39612 .88049 L
.39454 .8793 L
.39128 .87623 L
.38969 .87447 L
.38645 .87016 L
.3861 .86964 L
.38325 .8648 L
.38162 .86149 L
.38094 .85997 L
.37904 .85514 L
.3775 .85031 L
.37679 .8477 L
.37625 .84548 L
.37527 .84065 L
.37452 .83581 L
.37398 .83098 L
.37363 .82615 L
.37346 .82132 L
.37349 .81649 L
.37373 .81165 L
.37419 .80682 L
.37488 .80199 L
.37583 .79716 L
.37679 .79321 L
.37703 .79233 L
.37851 .7875 L
.38031 .78266 L
.38162 .77963 L
.38247 .77783 L
.38511 .773 L
.38645 .7709 L
.3884 .76817 L
.39128 .7648 L
.39272 .76334 L
.39612 .76053 L
.39922 .7585 L
F
0 .45 1 r
.37679 .50849 m
.37762 .51208 L
.37679 .51353 L
.37351 .51208 L
F
1 .475 0 r
.37679 .48953 m
.3781 .49275 L
.37679 .49524 L
.37367 .49275 L
F
0 .55 1 r
.37679 .47033 m
.37871 .47342 L
.37679 .47721 L
.37371 .47342 L
F
1 .525 0 r
.37679 .52789 m
.37682 .53141 L
.37679 .53146 L
.37378 .53141 L
F
0 .425 1 r
.37679 .50925 m
.3772 .51208 L
.37679 .51285 L
.37404 .51208 L
F
1 .45 0 r
.37679 .49016 m
.37771 .49275 L
.37679 .49464 L
.37411 .49275 L
F
0 .525 1 r
.37679 .47092 m
.37828 .47342 L
.37679 .47662 L
.37415 .47342 L
F
1 .675 0 r
.37679 .4517 m
.37883 .4541 L
.37679 .45861 L
.37424 .4541 L
F
1 .425 0 r
.37679 .49099 m
.37726 .49275 L
.37679 .49386 L
.37469 .49275 L
F
0 .5 1 r
.37679 .47164 m
.37779 .47342 L
.37679 .4759 L
.3747 .47342 L
F
1 .65 0 r
.37679 .45251 m
.37818 .4541 L
.37679 .45781 L
.3749 .4541 L
F
1 .95 .212 r
.37679 .60078 m
.37993 .60388 L
.37679 .60762 L
.37494 .60388 L
F
0 .475 1 r
.37679 .47263 m
.37717 .47342 L
.37679 .47485 L
.37549 .47342 L
F
.021 .875 1 r
.37679 .58248 m
.37994 .58456 L
.37679 .58859 L
.37549 .58456 L
F
1 .625 0 r
.37679 .45358 m
.37728 .4541 L
.37679 .45664 L
.37589 .4541 L
F
1 .8 .002 r
.37679 .56392 m
.38008 .56523 L
.37679 .56988 L
.37591 .56523 L
F
0 .75 1 r
.37679 .43425 m
.37764 .43477 L
.37679 .43884 L
.37599 .43477 L
F
0 .65 1 r
.37679 .54574 m
.37964 .5459 L
.37679 .55071 L
.37667 .5459 L
F
1 .775 .001 r
.38162 .44492 m
.38327 .44927 L
.38162 .45254 L
.3768 .44927 L
F
1 .55 0 r
.38162 .48413 m
.3817 .48792 L
.38162 .48807 L
.37699 .48792 L
F
.01 .85 1 r
.38162 .42595 m
.38369 .42994 L
.38162 .43424 L
.37709 .42994 L
F
0 .625 1 r
.38162 .4649 m
.38227 .46859 L
.38162 .46995 L
.37711 .46859 L
F
1 .75 0 r
.38162 .44602 m
.38263 .44927 L
.38162 .45155 L
.37746 .44927 L
F
0 .6 1 r
.38162 .46618 m
.38175 .46859 L
.38162 .46891 L
.37771 .46859 L
F
1 .925 .098 r
.38162 .40775 m
.38353 .41061 L
.38162 .41526 L
.37794 .41061 L
F
1 .95 .212 r
.39128 .5809 m
.39475 .58456 L
.39147 .58939 L
.39128 .58955 L
.38777 .59422 L
.38645 .59595 L
.38395 .59905 L
.38162 .60201 L
.37806 .59905 L
.38131 .59422 L
.38162 .59375 L
.38497 .58939 L
.38645 .58723 L
.38865 .58456 L
F
.004 .825 1 r
.38162 .42773 m
.38257 .42994 L
.38162 .43262 L
.37825 .42994 L
F
1 .725 0 r
.38162 .44771 m
.38186 .44927 L
.38162 .45005 L
.37835 .44927 L
F
1 .825 .004 r
.38162 .55656 m
.38453 .5604 L
.38162 .56461 L
.37882 .5604 L
F
.021 .875 1 r
.38162 .57575 m
.38372 .57973 L
.38162 .58258 L
.37894 .57973 L
F
0 .7 1 r
.38162 .53849 m
.3843 .54107 L
.38162 .5454 L
.37963 .54107 L
F
1 .875 .021 r
.40578 .76739 m
.41061 .76692 L
.41544 .76783 L
.41668 .76817 L
.42027 .7702 L
.42389 .773 L
.42511 .77426 L
.42813 .77783 L
.42994 .78052 L
.43122 .78266 L
.43362 .7875 L
.43477 .7903 L
.43551 .79233 L
.437 .79716 L
.43816 .80199 L
.43901 .80682 L
.4396 .81165 L
.4396 .8117 L
.43993 .81649 L
.44001 .82132 L
.43984 .82615 L
.4396 .82988 L
.43943 .83098 L
.43876 .83581 L
.43781 .84065 L
.43655 .84548 L
.43493 .85031 L
.43477 .85072 L
.43289 .85514 L
.43027 .85997 L
.42994 .86051 L
.42687 .8648 L
.42511 .86676 L
.42201 .86964 L
.42027 .87082 L
.41544 .8732 L
.41061 .87411 L
.40578 .87363 L
.40095 .87173 L
.39765 .86964 L
.39612 .86824 L
.39283 .8648 L
.39128 .86276 L
.38942 .85997 L
.38682 .85514 L
.38645 .85434 L
.38478 .85031 L
.38317 .84548 L
.38192 .84065 L
.38162 .83927 L
.38098 .83581 L
.38031 .83098 L
.37989 .82615 L
.37972 .82132 L
.37978 .81649 L
.3801 .81165 L
.38067 .80682 L
.38153 .80199 L
.38162 .80156 L
.38269 .79716 L
.38419 .79233 L
.3861 .7875 L
.38645 .78671 L
.38849 .78266 L
.39128 .77828 L
.39161 .77783 L
.39589 .773 L
.39612 .77279 L
.40095 .7693 L
.40335 .76817 L
F
1 .8 .002 r
.38162 .55777 m
.38352 .5604 L
.38162 .56327 L
.37975 .5604 L
F
0 .675 1 r
.38162 .53937 m
.38353 .54107 L
.38162 .5444 L
.38031 .54107 L
F
1 .6 0 r
.38162 .52069 m
.38362 .52174 L
.38162 .52585 L
.38073 .52174 L
F
0 .65 1 r
.38162 .54067 m
.3823 .54107 L
.38162 .54284 L
.3813 .54107 L
F
1 .575 0 r
.38162 .52157 m
.38251 .52174 L
.38162 .52475 L
.38146 .52174 L
F
1 .775 .001 r
.38162 .56019 m
.38173 .5604 L
.38162 .56068 L
.38151 .5604 L
F
0 .525 1 r
.38162 .50231 m
.38302 .50242 L
.38162 .50697 L
.38152 .50242 L
F
1 .85 .01 r
.39128 .54403 m
.39476 .5459 L
.39195 .55073 L
.39128 .55172 L
.38874 .55557 L
.38645 .55889 L
.38166 .55557 L
.38563 .55073 L
.38645 .54963 L
.3898 .5459 L
F
.001 .775 1 r
.39128 .52551 m
.39465 .52658 L
.39222 .53141 L
.39128 .53291 L
.38921 .53624 L
.38645 .54047 L
.38191 .53624 L
.38595 .53141 L
.38645 .53019 L
.39039 .52658 L
F
.021 .875 1 r
.38645 .56949 m
.39053 .57006 L
.38732 .57489 L
.38645 .57611 L
.38234 .57489 L
.38605 .57006 L
F
0 .75 1 r
.38645 .53142 m
.38863 .53624 L
.38645 .53968 L
.38244 .53624 L
F
1 .825 .004 r
.38645 .55063 m
.39081 .55073 L
.38785 .55557 L
.38645 .55768 L
.38251 .55557 L
.38637 .55073 L
F
1 .725 0 r
.38645 .5125 m
.38914 .51691 L
.38645 .52139 L
.38264 .51691 L
F
0 .725 1 r
.38645 .53231 m
.38798 .53624 L
.38645 .53876 L
.38308 .53624 L
F
1 .7 0 r
.38645 .51316 m
.38863 .51691 L
.38645 .52071 L
.38311 .51691 L
F
0 .675 1 r
.38645 .49425 m
.38906 .49758 L
.38645 .50241 L
.38337 .49758 L
F
1 .675 0 r
.38645 .51393 m
.38806 .51691 L
.38645 .51992 L
.38367 .51691 L
F
1 .8 .002 r
.38645 .55232 m
.38673 .55557 L
.38645 .55603 L
.38378 .55557 L
F
0 .65 1 r
.38645 .49492 m
.38852 .49758 L
.38645 .50172 L
.38386 .49758 L
F
0 .7 1 r
.38645 .53351 m
.38719 .53624 L
.38645 .53759 L
.38395 .53624 L
F
1 .65 0 r
.38645 .51492 m
.38738 .51691 L
.38645 .51891 L
.3844 .51691 L
F
0 .625 1 r
.38645 .49571 m
.3879 .49758 L
.38645 .50089 L
.38448 .49758 L
F
1 .675 0 r
.38645 .47697 m
.38799 .47826 L
.38645 .48243 L
.38498 .47826 L
F
0 .6 1 r
.38645 .49677 m
.38708 .49758 L
.38645 .49972 L
.38536 .49758 L
F
1 .85 .01 r
.40095 .78112 m
.40578 .77868 L
.41061 .77808 L
.41544 .77923 L
.42027 .78231 L
.4207 .78266 L
.42488 .7875 L
.42511 .78784 L
.42774 .79233 L
.4298 .79716 L
.42994 .79753 L
.43135 .80199 L
.43247 .80682 L
.43322 .81165 L
.43364 .81649 L
.43374 .82132 L
.43353 .82615 L
.43301 .83098 L
.43214 .83581 L
.43089 .84065 L
.42994 .8435 L
.42919 .84548 L
.42689 .85031 L
.42511 .85319 L
.42375 .85514 L
.42027 .85872 L
.4192 .85997 L
.41544 .86179 L
.41061 .86295 L
.40578 .86235 L
.40104 .85997 L
.40095 .85991 L
.39612 .85524 L
.39603 .85514 L
.39281 .85031 L
.39128 .84721 L
.39053 .84548 L
.38882 .84065 L
.38758 .83581 L
.38672 .83098 L
.38645 .8294 L
.3862 .82615 L
.38598 .82132 L
.38608 .81649 L
.38645 .812 L
.38649 .81165 L
.38723 .80682 L
.38834 .80199 L
.38989 .79716 L
.39128 .7938 L
.39198 .79233 L
.39482 .7875 L
.39612 .78579 L
.39891 .78266 L
F
1 .65 0 r
.38645 .47806 m
.3868 .47826 L
.38645 .48115 L
.38612 .47826 L
F
0 .75 1 r
.39128 .52658 m
.39148 .53141 L
.39128 .53174 L
.38647 .53141 L
F
1 .8 .002 r
.39128 .46904 m
.39342 .47342 L
.39128 .47754 L
.38671 .47342 L
F
0 .725 1 r
.39128 .48864 m
.39255 .49275 L
.39128 .4952 L
.38684 .49275 L
F
1 .725 0 r
.39128 .50814 m
.39176 .51208 L
.39128 .51299 L
.38691 .51208 L
F
1 .775 .001 r
.39128 .47009 m
.39273 .47342 L
.39128 .47655 L
.38737 .47342 L
F
.004 .825 1 r
.39128 .45085 m
.39328 .4541 L
.39128 .45853 L
.38751 .4541 L
F
0 .7 1 r
.39128 .48985 m
.39188 .49275 L
.39128 .49409 L
.38753 .49275 L
F
1 .75 0 r
.39128 .47152 m
.3919 .47342 L
.39128 .47517 L
.38825 .47342 L
F
.002 .8 1 r
.39128 .45249 m
.39216 .4541 L
.39128 .45693 L
.38865 .4541 L
F
.021 .875 1 r
.39128 .56384 m
.39347 .56523 L
.39128 .56899 L
.39024 .56523 L
F
1 .825 .004 r
.39128 .54553 m
.39307 .5459 L
.39128 .54998 L
.39097 .5459 L
F
1 .925 .098 r
.39612 .42749 m
.39681 .42994 L
.39612 .432 L
.3916 .42994 L
F
1 .95 .212 r
.40095 .56949 m
.40356 .57006 L
.40112 .57489 L
.40095 .57517 L
.39807 .57973 L
.39612 .58262 L
.39231 .57973 L
.39608 .57489 L
.39612 .57485 L
.4005 .57006 L
F
.045 .9 1 r
.39612 .55602 m
.39855 .5604 L
.39612 .56423 L
.39255 .5604 L
F
1 .825 .004 r
.40578 .79139 m
.41061 .79053 L
.41544 .79219 L
.41573 .79233 L
.42027 .7969 L
.42047 .79716 L
.42322 .80199 L
.42489 .80682 L
.42511 .80755 L
.426 .81165 L
.42661 .81649 L
.42675 .82132 L
.42646 .82615 L
.42569 .83098 L
.42511 .83348 L
.42442 .83581 L
.42246 .84065 L
.42027 .84414 L
.41964 .84548 L
.41544 .84884 L
.41186 .85031 L
.41061 .85049 L
.40786 .85031 L
.40578 .84964 L
.40095 .84601 L
.40045 .84548 L
.39723 .84065 L
.39612 .83797 L
.39532 .83581 L
.39401 .83098 L
.39325 .82615 L
.39295 .82132 L
.39309 .81649 L
.39369 .81165 L
.3948 .80682 L
.39612 .80303 L
.39652 .80199 L
.39913 .79716 L
.40095 .79501 L
.40406 .79233 L
F
1 .875 .021 r
.39612 .53749 m
.39875 .54107 L
.39612 .54556 L
.39304 .54107 L
F
.002 .8 1 r
.39612 .52002 m
.39788 .52174 L
.39612 .52567 L
.3944 .52174 L
F
1 .85 .01 r
.39612 .5394 m
.39724 .54107 L
.39612 .54347 L
.39447 .54107 L
F
.045 .9 1 r
.40095 .55102 m
.40141 .55557 L
.40095 .55635 L
.39657 .55557 L
F
1 .875 .021 r
.40095 .49342 m
.40343 .49758 L
.40095 .50229 L
.39678 .49758 L
F
.01 .85 1 r
.40095 .51306 m
.40246 .51691 L
.40095 .51987 L
.39691 .51691 L
F
1 .875 .021 r
.40095 .53359 m
.40119 .53624 L
.40095 .53675 L
.39754 .53624 L
F
1 .85 .01 r
.40095 .49508 m
.40224 .49758 L
.40095 .50061 L
.39787 .49758 L
F
.01 .85 1 r
.40095 .4761 m
.4026 .47826 L
.40095 .48246 L
.39822 .47826 L
F
.004 .825 1 r
.40095 .51646 m
.40095 .51691 L
.40095 .51691 L
.39854 .51691 L
F
.461 .975 1 r
.40095 .62634 m
.4023 .62804 L
.40095 .62972 L
.40004 .62804 L
F
1 .925 .098 r
.40578 .45348 m
.4059 .4541 L
.40578 .45497 L
.4024 .4541 L
F
.461 .975 1 r
.40578 .61963 m
.40619 .62321 L
.40578 .62375 L
.4035 .62321 L
F
1 .8 .002 r
.41061 .80939 m
.41356 .81165 L
.41544 .81567 L
.41571 .81649 L
.41627 .82132 L
.41544 .82535 L
.4152 .82615 L
.41183 .83098 L
.41061 .83151 L
.40789 .83098 L
.40578 .82944 L
.40452 .82615 L
.40366 .82132 L
.40407 .81649 L
.40578 .81217 L
.40614 .81165 L
F
.098 .925 1 r
.41061 .5395 m
.41131 .54107 L
.41061 .54275 L
.40841 .54107 L
F
1 .925 .098 r
.41061 .48269 m
.41166 .48309 L
.41061 .48782 L
.40994 .48309 L
F
.461 .975 1 r
.41061 .61344 m
.41308 .61355 L
.41061 .61705 L
.41054 .61355 L
F
.212 .95 1 r
.41544 .45729 m
.41627 .45893 L
.41544 .46314 L
.41206 .45893 L
F
1 .95 .212 r
.41544 .47648 m
.41674 .47826 L
.41544 .48191 L
.41238 .47826 L
F
1 .975 .461 r
.41544 .43831 m
.41668 .4396 L
.41544 .44395 L
.41313 .4396 L
F
.461 .975 1 r
.41544 .60774 m
.41707 .60872 L
.41544 .61052 L
.41476 .60872 L
F
1 .975 .461 r
.42027 .50539 m
.42141 .50725 L
.42027 .51118 L
.41814 .50725 L
F
.461 .975 1 r
.42027 .60189 m
.42162 .60388 L
.42027 .60503 L
.41866 .60388 L
F
.42511 .44001 m
.42653 .44443 L
.42511 .4471 L
.42088 .44443 L
F
.42511 .59725 m
.42596 .59905 L
.42511 .5999 L
.42258 .59905 L
F
1 .975 .461 r
.42511 .53867 m
.42926 .54107 L
.42511 .5455 L
.42263 .54107 L
F
.461 .975 1 r
.4541 .41034 m
.45731 .41061 L
.45649 .41544 L
.4541 .41886 L
.4531 .42027 L
.44966 .42511 L
.44927 .42552 L
.44569 .42994 L
.44443 .43171 L
.44143 .43477 L
.4396 .43667 L
.43477 .43863 L
.43232 .4396 L
.42994 .4407 L
.4255 .4396 L
.42953 .43477 L
.42994 .43429 L
.43328 .42994 L
.43477 .42765 L
.43693 .42511 L
.4396 .42108 L
.44006 .42027 L
.4443 .41544 L
.44443 .41529 L
.44927 .41129 L
.45195 .41061 L
F
.42994 .50453 m
.43057 .50725 L
.42994 .50837 L
.42753 .50725 L
F
1 .975 .461 r
.42994 .53543 m
.43193 .53624 L
.42994 .54002 L
.42793 .53624 L
F
.461 .975 1 r
.4396 .44203 m
.44443 .44053 L
.44917 .44443 L
.44711 .44927 L
.44443 .4509 L
.44193 .4541 L
.4396 .45865 L
.43826 .45893 L
.43477 .4635 L
.43447 .46376 L
.42994 .46509 L
.42917 .46376 L
.42842 .45893 L
.42994 .45504 L
.43033 .4541 L
.43321 .44927 L
.43477 .44722 L
.43709 .44443 L
F
.43477 .56448 m
.4396 .5623 L
.44288 .56523 L
.4396 .57003 L
.43958 .57006 L
.4355 .57489 L
.43477 .57593 L
.42994 .57909 L
.42871 .57489 L
.42994 .57145 L
.4305 .57006 L
.43391 .56523 L
F
1 .975 .461 r
.44927 .47127 m
.4541 .4717 L
.45568 .47342 L
.4541 .4745 L
.45167 .47826 L
.44927 .48161 L
.44811 .48309 L
.44443 .48783 L
.44435 .48792 L
.43978 .49275 L
.4396 .49296 L
.43477 .49594 L
.43014 .49275 L
.43296 .48792 L
.43477 .48541 L
.43595 .48309 L
.4396 .47883 L
.44003 .47826 L
.44443 .47365 L
.44473 .47342 L
F
.4396 .50354 m
.44348 .50725 L
.43996 .51208 L
.4396 .51286 L
.43547 .51691 L
.43477 .51771 L
.43084 .51691 L
.43194 .51208 L
.43477 .50772 L
.43512 .50725 L
F
.212 .95 1 r
.44443 .53376 m
.44927 .53321 L
.4496 .53624 L
.44927 .53678 L
.44604 .54107 L
.44443 .54316 L
.44168 .5459 L
.4396 .54792 L
.43477 .54957 L
.4343 .5459 L
.43477 .54536 L
.43709 .54107 L
.4396 .53794 L
.44105 .53624 L
F
1 .95 .212 r
.44927 .47316 m
.45186 .47342 L
.45062 .47826 L
.44927 .48024 L
.44702 .48309 L
.44443 .48624 L
.4427 .48792 L
.4396 .4905 L
.43559 .48792 L
.43758 .48309 L
.4396 .4812 L
.44188 .47826 L
.44443 .47576 L
.44838 .47342 L
F
.212 .95 1 r
.4541 .50143 m
.45893 .50124 L
.46091 .50242 L
.45893 .50637 L
.4584 .50725 L
.45538 .51208 L
.4541 .5131 L
.45095 .51691 L
.44927 .51916 L
.44659 .52174 L
.44443 .52391 L
.4396 .52499 L
.43719 .52174 L
.4396 .51752 L
.43987 .51691 L
.44284 .51208 L
.44443 .51 L
.44697 .50725 L
.44927 .50421 L
.45179 .50242 L
F
.4396 .44798 m
.44261 .44927 L
.4396 .45339 L
.43828 .44927 L
F
1 .975 .461 r
.4541 .44246 m
.45893 .44112 L
.46255 .44443 L
.45971 .44927 L
.45893 .44999 L
.45578 .4541 L
.4541 .45718 L
.45194 .45893 L
.44927 .46223 L
.44751 .46376 L
.44443 .46601 L
.4396 .46503 L
.43906 .46376 L
.4396 .46195 L
.44077 .45893 L
.44387 .4541 L
.44443 .45334 L
.44906 .44927 L
.44927 .44699 L
.45156 .44443 L
F
1 .925 .098 r
.44443 .47788 m
.44927 .47615 L
.44933 .47826 L
.44927 .47836 L
.44562 .48309 L
.44443 .48445 L
.44035 .48309 L
.44402 .47826 L
F
.098 .925 1 r
.44927 .50566 m
.4541 .50268 L
.45764 .50725 L
.45442 .51208 L
.4541 .51236 L
.45016 .51691 L
.44927 .51804 L
.44463 .52174 L
.44443 .52189 L
.44111 .52174 L
.44134 .51691 L
.44411 .51208 L
.44443 .51163 L
.44792 .50725 L
F
1 .975 .461 r
.44927 .56437 m
.4541 .5631 L
.45578 .56523 L
.4541 .56808 L
.45266 .57006 L
.44927 .57418 L
.44852 .57489 L
.44443 .57815 L
.44145 .57489 L
.44417 .57006 L
.44443 .56942 L
.44626 .56523 L
F
.461 .975 1 r
.4541 .38515 m
.45893 .38219 L
.4636 .38645 L
.46028 .39128 L
.45893 .39313 L
.45664 .39612 L
.4541 .39947 L
.4528 .40095 L
.44927 .40468 L
.44745 .40578 L
.44443 .40664 L
.44174 .40578 L
.44238 .40095 L
.44443 .39722 L
.44511 .39612 L
.44867 .39128 L
.44927 .39053 L
.45346 .38645 L
F
.4541 .59267 m
.45893 .59161 L
.46376 .59274 L
.46382 .59422 L
.46376 .59429 L
.46191 .59905 L
.45893 .60109 L
.45656 .60388 L
.4541 .60695 L
.4524 .60872 L
.44927 .61094 L
.44603 .61355 L
.44443 .61409 L
.44248 .61355 L
.44185 .60872 L
.44443 .60493 L
.44496 .60388 L
.44821 .59905 L
.44927 .59773 L
.45283 .59422 L
F
1 .975 .461 r
.46376 .53092 m
.46686 .53141 L
.46607 .53624 L
.46376 .5381 L
.46152 .54107 L
.45893 .5446 L
.45782 .5459 L
.4541 .55066 L
.4539 .55073 L
.44927 .5548 L
.44832 .55557 L
.44443 .5567 L
.44195 .55557 L
.44312 .55073 L
.44443 .54788 L
.44512 .5459 L
.44892 .54107 L
.44927 .54061 L
.45259 .53624 L
.4541 .53441 L
.45893 .53141 L
.45894 .53141 L
F
1 .95 .212 r
.44927 .44907 m
.4541 .44463 L
.45854 .44927 L
.45496 .4541 L
.4541 .45606 L
.45074 .45893 L
.44927 .46056 L
.44443 .46306 L
.44283 .45893 L
.44443 .45598 L
.44547 .4541 L
.44926 .44927 L
F
.212 .95 1 r
.44443 .42274 m
.44531 .42511 L
.44443 .42587 L
.44289 .42511 L
F
.045 .9 1 r
.44443 .51372 m
.44922 .51691 L
.44443 .51966 L
.44293 .51691 L
F
.212 .95 1 r
.45893 .47225 m
.46376 .47067 L
.46859 .47113 L
.4699 .47342 L
.46859 .47462 L
.46617 .47826 L
.46376 .48158 L
.46261 .48309 L
.459 .48792 L
.45893 .48801 L
.45573 .49275 L
.4541 .49389 L
.44927 .49725 L
.44443 .49753 L
.4435 .49275 L
.44443 .4913 L
.44688 .48792 L
.44927 .48392 L
.44981 .48309 L
.45345 .47826 L
.4541 .47741 L
.45885 .47342 L
F
.461 .975 1 r
.45893 .56451 m
.46376 .56085 L
.46859 .56064 L
.47205 .56523 L
.46859 .57001 L
.46855 .57006 L
.46519 .57489 L
.46376 .57651 L
.46108 .57973 L
.45893 .58278 L
.45712 .58456 L
.4541 .58791 L
.44927 .58906 L
.44499 .58456 L
.44775 .57973 L
.44927 .57782 L
.4526 .57489 L
.4541 .57107 L
.45478 .57006 L
.45846 .56523 L
F
1 .95 .212 r
.4541 .53603 m
.45893 .53258 L
.46376 .53201 L
.46501 .53624 L
.46376 .53722 L
.46091 .54107 L
.45893 .54375 L
.45702 .5459 L
.4541 .5505 L
.45231 .55073 L
.44927 .55311 L
.44507 .55073 L
.44586 .5459 L
.44927 .5423 L
.45003 .54107 L
.45391 .53624 L
F
.098 .925 1 r
.46376 .47146 m
.46859 .47292 L
.46866 .47342 L
.46859 .4735 L
.46575 .47826 L
.46376 .48104 L
.46221 .48309 L
.45893 .48741 L
.45848 .48792 L
.45416 .49275 L
.4541 .49279 L
.44927 .49578 L
.44509 .49275 L
.44764 .48792 L
.44927 .48501 L
.4505 .48309 L
.4541 .47845 L
.45425 .47826 L
.45893 .47355 L
.45911 .47342 L
F
.045 .9 1 r
.44927 .50703 m
.4541 .50389 L
.45677 .50725 L
.4541 .51132 L
.45351 .51208 L
.44927 .51687 L
.44529 .51208 L
.44903 .50725 L
F
.021 .875 1 r
.44927 .50856 m
.4525 .51208 L
.44927 .51545 L
.44654 .51208 L
F
.045 .9 1 r
.46376 .47224 m
.46747 .47342 L
.46531 .47826 L
.46376 .48048 L
.46179 .48309 L
.45893 .4868 L
.45791 .48792 L
.4541 .49189 L
.45285 .49275 L
.44927 .49436 L
.44672 .49275 L
.44831 .48792 L
.44927 .48618 L
.45117 .48309 L
.4541 .47933 L
.45497 .47826 L
.45893 .47441 L
.46054 .47342 L
F
1 .975 .461 r
.46376 .41268 m
.46859 .41209 L
.46967 .41544 L
.46859 .41719 L
.46662 .42027 L
.46376 .4243 L
.46316 .42511 L
.45963 .42994 L
.45893 .43048 L
.45443 .43477 L
.4541 .43507 L
.44927 .43628 L
.447 .43477 L
.44857 .42994 L
.44927 .42889 L
.45182 .42511 L
.4541 .42108 L
.4554 .42027 L
.45893 .41669 L
.45992 .41544 L
F
1 .925 .098 r
.44927 .45112 m
.45398 .4541 L
.44927 .45878 L
.44708 .4541 L
F
1 .975 .461 r
.48309 .44053 m
.48792 .44014 L
.49161 .44443 L
.48825 .44927 L
.48792 .45007 L
.48473 .4541 L
.48309 .45591 L
.48095 .45893 L
.47826 .46257 L
.4772 .46376 L
.47342 .468 L
.47201 .46859 L
.47342 .4706 L
.47826 .47012 L
.48309 .47053 L
.484 .47342 L
.48309 .47469 L
.48195 .47826 L
.47826 .48146 L
.47704 .48309 L
.47347 .48792 L
.47342 .48799 L
.46998 .49275 L
.46859 .49443 L
.46532 .49758 L
.46859 .50034 L
.47342 .50054 L
.47622 .50242 L
.47342 .50663 L
.47303 .50725 L
.46951 .51208 L
.46859 .51279 L
.46741 .51691 L
.46376 .51966 L
.46191 .52174 L
.45893 .52552 L
.45753 .52658 L
.4541 .52875 L
.44927 .52847 L
.44709 .52658 L
.44921 .52174 L
.44927 .52167 L
.45234 .51691 L
.4541 .51416 L
.45676 .51208 L
.45893 .50932 L
.45932 .50725 L
.46376 .50248 L
.46385 .50242 L
.46376 .49904 L
.45893 .49935 L
.4541 .49763 L
.45408 .49758 L
.4541 .49754 L
.4576 .49275 L
.45893 .4893 L
.45974 .48792 L
.46338 .48309 L
.46376 .48258 L
.46697 .47826 L
.46859 .47606 L
.47147 .47342 L
.46859 .46926 L
.46376 .46889 L
.46259 .46859 L
.46376 .46436 L
.46404 .46376 L
.46735 .45893 L
.46859 .45725 L
.47193 .4541 L
.47342 .45229 L
.4743 .44927 L
.47826 .44472 L
.47855 .44443 L
F
1 .925 .098 r
.45893 .53367 m
.46364 .53624 L
.46027 .54107 L
.45893 .54287 L
.4561 .5459 L
.4541 .55008 L
.44927 .5507 L
.44739 .5459 L
.44927 .54421 L
.45108 .54107 L
.4541 .53738 L
.45516 .53624 L
F
.01 .85 1 r
.44927 .51059 m
.45096 .51208 L
.44927 .5135 L
.44819 .51208 L
F
.021 .875 1 r
.46376 .47306 m
.46574 .47342 L
.46484 .47826 L
.46376 .47987 L
.46135 .48309 L
.45893 .48619 L
.45728 .48792 L
.4541 .49102 L
.45006 .49275 L
.44927 .49276 L
.44924 .49275 L
.44908 .48792 L
.44927 .48758 L
.45186 .48309 L
.4541 .48019 L
.4557 .47826 L
.45893 .47521 L
.46238 .47342 L
F
1 .9 .045 r
.44927 .45408 m
.45179 .4541 L
.44927 .45485 L
.44925 .4541 L
F
.45893 .53478 m
.46246 .53624 L
.45955 .54107 L
.45893 .54191 L
.45498 .5459 L
.4541 .54818 L
.44995 .5459 L
.45221 .54107 L
.4541 .53875 L
.45654 .53624 L
F
1 .95 .212 r
.47342 .47167 m
.47826 .47058 L
.48309 .47129 L
.4836 .47342 L
.48309 .47416 L
.48175 .47826 L
.47826 .48117 L
.47683 .48309 L
.47342 .48768 L
.47323 .48792 L
.46958 .49275 L
.46859 .49382 L
.464 .49758 L
.46859 .50097 L
.47342 .50108 L
.47539 .50242 L
.47342 .50602 L
.47269 .50725 L
.46926 .51208 L
.46859 .51262 L
.46702 .51691 L
.46376 .51917 L
.46137 .52174 L
.45893 .52459 L
.45556 .52658 L
.4541 .52721 L
.45002 .52658 L
.45016 .52174 L
.45299 .51691 L
.4541 .51483 L
.45723 .51208 L
.45893 .51033 L
.45954 .50725 L
.46376 .5033 L
.46505 .50242 L
.46376 .49775 L
.45893 .49846 L
.45619 .49758 L
.45809 .49275 L
.45893 .49 L
.46004 .48792 L
.46374 .48309 L
.46376 .48307 L
.46737 .47826 L
.46859 .47664 L
.47201 .47342 L
F
.01 .85 1 r
.45893 .47601 m
.46376 .47408 L
.46434 .47826 L
.46376 .47917 L
.46087 .48309 L
.45893 .48555 L
.45656 .48792 L
.4541 .49012 L
.45005 .48792 L
.45256 .48309 L
.4541 .48108 L
.45646 .47826 L
F
.212 .95 1 r
.46859 .44151 m
.47342 .44068 L
.47701 .44443 L
.47376 .44927 L
.47342 .45053 L
.4712 .4541 L
.46859 .45652 L
.46646 .45893 L
.46376 .46245 L
.46247 .46376 L
.45893 .46711 L
.4541 .46801 L
.45041 .46376 L
.45392 .45893 L
.4541 .45869 L
.45725 .4541 L
.45893 .45191 L
.46139 .44927 L
.46376 .44582 L
.46514 .44443 L
F
.021 .875 1 r
.4541 .50524 m
.4557 .50725 L
.4541 .51 L
.45052 .50725 L
F
1 .925 .098 r
.4541 .44646 m
.45723 .44927 L
.4541 .45395 L
.45081 .44927 L
F
.212 .95 1 r
.46376 .56282 m
.46859 .56209 L
.47079 .56523 L
.46859 .56862 L
.46756 .57006 L
.46388 .57489 L
.46376 .575 L
.45935 .57973 L
.45893 .5802 L
.4541 .58313 L
.45101 .57973 L
.45383 .57489 L
.4541 .57356 L
.456 .57006 L
.45893 .56693 L
.46047 .56523 L
F
1 .925 .098 r
.46859 .50156 m
.47342 .50168 L
.47449 .50242 L
.47342 .50524 L
.47233 .50725 L
.46898 .51208 L
.46859 .51241 L
.46654 .51691 L
.46376 .5187 L
.4608 .52174 L
.45893 .52377 L
.4541 .52592 L
.4511 .52174 L
.45362 .51691 L
.4541 .51582 L
.45761 .51208 L
.45893 .51091 L
.45975 .50725 L
.46376 .50399 L
.46629 .50242 L
F
.004 .825 1 r
.45893 .47682 m
.46376 .47561 L
.46379 .47826 L
.46376 .47831 L
.46035 .48309 L
.45893 .48488 L
.45567 .48792 L
.4541 .48917 L
.4512 .48792 L
.45331 .48309 L
.4541 .48204 L
.45728 .47826 L
F
1 .95 .212 r
.45893 .4186 m
.46376 .41554 L
.46516 .42027 L
.46376 .4224 L
.46173 .42511 L
.45893 .42846 L
.45735 .42994 L
.4541 .43215 L
.45134 .42994 L
.4537 .42511 L
.4541 .42405 L
.45754 .42027 L
F
.098 .925 1 r
.46859 .44267 m
.47342 .4416 L
.47616 .44443 L
.47342 .44924 L
.47341 .44927 L
.47072 .4541 L
.46859 .45612 L
.46599 .45893 L
.46376 .46173 L
.46155 .46376 L
.45893 .46592 L
.4541 .46636 L
.45143 .46376 L
.4541 .46021 L
.45473 .45893 L
.45795 .4541 L
.45893 .45281 L
.46198 .44927 L
.46376 .44678 L
.46629 .44443 L
F
1 .9 .045 r
.46859 .50214 m
.47342 .50241 L
.47343 .50242 L
.47342 .50392 L
.47197 .50725 L
.46867 .51208 L
.46859 .51215 L
.46596 .51691 L
.46376 .51822 L
.46018 .52174 L
.45893 .52299 L
.4541 .52468 L
.45206 .52174 L
.4541 .51719 L
.45423 .51691 L
.45793 .51208 L
.45893 .51121 L
.46002 .50725 L
.46376 .50462 L
.46772 .50242 L
F
.002 .8 1 r
.4541 .48321 m
.45431 .48792 L
.4541 .48804 L
.45308 .48792 L
F
1 .875 .021 r
.46376 .50521 m
.46859 .50271 L
.47158 .50725 L
.46859 .51173 L
.46833 .51208 L
.46527 .51691 L
.46376 .51775 L
.45947 .52174 L
.45893 .52224 L
.4541 .52329 L
.45312 .52174 L
.4541 .51862 L
.4548 .51691 L
.45822 .51208 L
.45893 .51138 L
.46041 .50725 L
F
.461 .975 1 r
.49275 .44345 m
.49758 .43975 L
.50242 .43968 L
.50618 .44443 L
.50262 .44927 L
.50242 .44966 L
.49805 .4541 L
.49758 .45518 L
.49579 .45893 L
.49275 .46248 L
.49169 .46376 L
.48794 .46859 L
.49275 .46979 L
.49758 .47013 L
.49865 .47342 L
.49758 .47461 L
.49515 .47826 L
.49275 .4812 L
.49138 .48309 L
.48792 .48775 L
.48779 .48792 L
.48369 .49275 L
.48309 .49444 L
.48121 .49758 L
.48309 .49986 L
.48792 .5002 L
.49247 .50242 L
.48792 .50648 L
.48742 .50725 L
.48383 .51208 L
.48309 .51309 L
.48059 .51691 L
.47826 .51961 L
.47649 .52174 L
.47342 .52601 L
.47284 .52658 L
.47342 .53003 L
.47826 .53031 L
.48309 .53107 L
.48328 .53141 L
.48309 .53159 L
.47994 .53624 L
.47826 .53826 L
.47615 .54107 L
.47342 .5448 L
.47253 .5459 L
.46873 .55073 L
.46859 .55128 L
.46578 .55557 L
.46376 .55795 L
.45893 .56004 L
.4541 .56001 L
.45327 .55557 L
.4541 .55222 L
.45517 .55073 L
.45856 .5459 L
.45893 .54544 L
.46209 .54107 L
.46376 .53889 L
.46683 .53624 L
.46859 .53236 L
.46944 .53141 L
.46859 .53041 L
.46376 .53008 L
.45903 .52658 L
.46243 .52174 L
.46376 .52017 L
.46772 .51691 L
.46859 .51295 L
.46975 .51208 L
.47337 .50725 L
.47342 .50716 L
.47699 .50242 L
.47342 .50004 L
.46859 .49964 L
.46648 .49758 L
.46859 .49512 L
.47034 .49275 L
.47342 .48832 L
.47369 .48792 L
.47725 .48309 L
.47826 .48174 L
.48213 .47826 L
.48309 .47515 L
.48435 .47342 L
.48309 .46991 L
.47826 .46964 L
.47367 .46859 L
.47764 .46376 L
.47826 .46303 L
.48122 .45893 L
.48309 .45612 L
.48493 .4541 L
.48792 .45067 L
.48854 .44927 L
.49217 .44443 L
F
1 .9 .045 r
.4541 .4488 m
.45497 .44927 L
.4541 .45133 L
.4533 .44927 L
F
1 .875 .021 r
.4541 .54034 m
.45858 .54107 L
.4541 .54495 L
.45352 .54107 L
F
.461 .975 1 r
.4541 .36998 m
.45716 .37196 L
.4541 .37246 L
.45361 .37196 L
F
.045 .9 1 r
.46859 .44369 m
.47342 .44258 L
.47521 .44443 L
.47342 .44835 L
.47289 .44927 L
.47014 .4541 L
.46859 .45563 L
.46549 .45893 L
.46376 .46103 L
.46047 .46376 L
.45893 .46485 L
.4541 .46408 L
.45381 .46376 L
.4541 .46289 L
.45551 .45893 L
.45864 .4541 L
.45893 .45371 L
.46252 .44927 L
.46376 .44767 L
.46751 .44443 L
F
.212 .95 1 r
.49275 .4444 m
.49758 .44056 L
.50242 .44028 L
.50565 .44443 L
.50242 .44915 L
.50234 .44927 L
.49799 .4541 L
.49758 .45506 L
.49563 .45893 L
.49275 .46215 L
.49138 .46376 L
.48792 .46783 L
.48636 .46859 L
.48792 .47041 L
.49275 .47014 L
.49758 .47073 L
.49824 .47342 L
.49758 .47421 L
.495 .47826 L
.49275 .48099 L
.49123 .48309 L
.48792 .48754 L
.48762 .48792 L
.48358 .49275 L
.48309 .49403 L
.48051 .49758 L
.48309 .50026 L
.48792 .50056 L
.49219 .50242 L
.48792 .50609 L
.4872 .50725 L
.48367 .51208 L
.48309 .51287 L
.48042 .51691 L
.47826 .51933 L
.47621 .52174 L
.47342 .52543 L
.4721 .52658 L
.47342 .53096 L
.47826 .53078 L
.48151 .53141 L
.47959 .53624 L
.47826 .53781 L
.47584 .54107 L
.47342 .54437 L
.47217 .5459 L
.46859 .55055 L
.46841 .55073 L
.46404 .55557 L
.46376 .55576 L
.45893 .55817 L
.4541 .5565 L
.45408 .55557 L
.4541 .55502 L
.45607 .55073 L
.45893 .54636 L
.45921 .5459 L
.46264 .54107 L
.46376 .53961 L
.46737 .53624 L
.46859 .53352 L
.47119 .53141 L
.46859 .52924 L
.46376 .52927 L
.46018 .52658 L
.46293 .52174 L
.46376 .5207 L
.46795 .51691 L
.46859 .51311 L
.46997 .51208 L
.47342 .50785 L
.47367 .50725 L
.47775 .50242 L
.47342 .49957 L
.46859 .4988 L
.46757 .49758 L
.46859 .496 L
.47065 .49275 L
.47342 .48865 L
.47391 .48792 L
.47746 .48309 L
.47826 .48202 L
.48227 .47826 L
.48309 .47556 L
.48469 .47342 L
.48309 .46935 L
.47826 .46913 L
.47449 .46859 L
.47807 .46376 L
.47826 .46352 L
.48148 .45893 L
.48309 .45635 L
.48512 .4541 L
.48792 .45117 L
.48883 .44927 L
.49273 .44443 L
F
.002 .8 1 r
.45893 .4777 m
.46286 .47826 L
.45977 .48309 L
.45893 .48414 L
.45416 .48309 L
.45824 .47826 L
F
1 .95 .212 r
.45893 .44296 m
.4607 .44443 L
.45893 .4486 L
.45442 .44443 L
F
.098 .925 1 r
.46376 .56445 m
.46859 .56393 L
.46931 .56523 L
.46859 .56675 L
.46643 .57006 L
.46376 .57347 L
.46236 .57489 L
.45893 .57799 L
.4552 .57489 L
.4575 .57006 L
.45893 .56888 L
.46254 .56523 L
F
.001 .775 1 r
.45893 .4789 m
.45907 .48309 L
.45893 .48326 L
.45532 .48309 L
F
1 .85 .01 r
.46376 .50579 m
.46859 .50329 L
.47118 .50725 L
.46859 .51124 L
.46798 .51208 L
.46445 .51691 L
.46376 .51727 L
.45893 .52149 L
.45539 .51691 L
.45851 .51208 L
.45893 .51158 L
.46099 .50725 L
F
.461 .975 1 r
.45893 .36262 m
.46227 .36712 L
.45893 .37068 L
.45544 .36712 L
F
1 .825 .004 r
.46376 .50636 m
.46859 .50388 L
.47075 .50725 L
.46859 .51072 L
.46761 .51208 L
.46376 .51678 L
.46363 .51691 L
.45893 .52072 L
.45599 .51691 L
.45885 .51208 L
.45893 .51196 L
.46184 .50725 L
F
.021 .875 1 r
.46376 .44853 m
.46859 .44463 L
.47234 .44927 L
.46944 .4541 L
.46859 .45498 L
.46497 .45893 L
.46376 .46034 L
.45898 .46376 L
.45893 .46379 L
.45632 .46376 L
.45631 .45893 L
.45893 .45469 L
.45931 .4541 L
.46312 .44927 L
F
.098 .925 1 r
.47826 .53129 m
.47911 .53141 L
.47919 .53624 L
.47826 .53733 L
.47553 .54107 L
.47342 .54394 L
.4718 .5459 L
.46859 .55009 L
.46779 .55073 L
.46376 .55373 L
.46198 .55557 L
.45893 .55656 L
.45635 .55557 L
.45683 .55073 L
.45893 .54742 L
.45979 .5459 L
.46318 .54107 L
.46376 .54031 L
.46776 .53624 L
.46859 .53439 L
.47342 .53167 L
.47498 .53141 L
F
1 .925 .098 r
.45893 .42204 m
.45967 .42511 L
.45893 .42592 L
.45656 .42511 L
F
1 .8 .002 r
.45893 .51273 m
.46305 .51691 L
.45893 .51991 L
.45665 .51691 L
F
.461 .975 1 r
.49275 .35636 m
.49758 .35377 L
.49918 .35746 L
.49758 .35905 L
.49575 .36229 L
.49275 .36665 L
.49242 .36712 L
.48879 .37196 L
.48792 .37293 L
.48337 .37679 L
.48792 .38017 L
.49275 .38018 L
.49495 .38162 L
.49275 .38622 L
.49262 .38645 L
.48897 .39128 L
.48792 .39292 L
.48679 .39612 L
.48309 .39983 L
.48191 .40095 L
.47826 .40561 L
.47809 .40578 L
.47826 .40971 L
.48309 .40955 L
.48792 .41028 L
.48808 .41061 L
.48792 .41095 L
.48603 .41544 L
.48309 .41832 L
.48174 .42027 L
.47826 .42502 L
.47819 .42511 L
.47453 .42994 L
.47342 .43154 L
.47238 .43477 L
.46859 .43803 L
.46376 .43927 L
.45893 .43919 L
.45713 .43477 L
.45893 .43251 L
.4614 .42994 L
.46376 .42583 L
.46404 .42511 L
.46787 .42027 L
.46859 .41928 L
.47157 .41544 L
.47342 .41281 L
.47631 .41061 L
.47342 .40878 L
.46859 .40863 L
.46502 .40578 L
.46851 .40095 L
.46859 .40084 L
.472 .39612 L
.47342 .39421 L
.47621 .39128 L
.47826 .38792 L
.47852 .38645 L
.48309 .38252 L
.48463 .38162 L
.48309 .37695 L
.47826 .37755 L
.47577 .37679 L
.47757 .37196 L
.47826 .37031 L
.47973 .36712 L
.48309 .36324 L
.48443 .36229 L
.48792 .35868 L
.48901 .35746 L
F
.01 .85 1 r
.46859 .4455 m
.47173 .44927 L
.46862 .4541 L
.46859 .45413 L
.46439 .45893 L
.46376 .45964 L
.45893 .46255 L
.45716 .45893 L
.45893 .45581 L
.45998 .4541 L
.46376 .44939 L
.46387 .44927 L
F
1 .775 .001 r
.45893 .51371 m
.46235 .51691 L
.45893 .51899 L
.45738 .51691 L
F
.045 .9 1 r
.46859 .53515 m
.47342 .53227 L
.47826 .53203 L
.47873 .53624 L
.47826 .5368 L
.47521 .54107 L
.47342 .54351 L
.47141 .5459 L
.46859 .54976 L
.46712 .55073 L
.46376 .55262 L
.45893 .55485 L
.45765 .55073 L
.45893 .54866 L
.46036 .5459 L
.46371 .54107 L
.46376 .54101 L
.46807 .53624 L
F
.004 .825 1 r
.45893 .45722 m
.46372 .45893 L
.45893 .46101 L
.45812 .45893 L
F
.045 .9 1 r
.45893 .57187 m
.45972 .57489 L
.45893 .57529 L
.45813 .57489 L
F
1 .75 0 r
.45893 .51505 m
.46137 .51691 L
.45893 .51783 L
.45828 .51691 L
F
1 .975 .461 r
.46859 .38794 m
.47273 .39128 L
.46943 .39612 L
.46859 .3972 L
.46509 .40095 L
.46376 .40219 L
.45893 .40315 L
.4584 .40095 L
.45893 .39985 L
.46106 .39612 L
.46376 .39265 L
.46499 .39128 L
F
1 .925 .098 r
.47342 .47245 m
.47826 .47102 L
.48309 .47258 L
.48313 .47342 L
.48309 .47349 L
.4815 .47826 L
.47826 .48087 L
.47662 .48309 L
.47342 .48737 L
.47297 .48792 L
.46913 .49275 L
.46859 .49327 L
.46376 .497 L
.45893 .49753 L
.45841 .49275 L
.45893 .49076 L
.46032 .48792 L
.46376 .48353 L
.46407 .48309 L
.46775 .47826 L
.46859 .47718 L
.47251 .47342 L
F
1 .875 .021 r
.45893 .53606 m
.46037 .53624 L
.45893 .54058 L
.45851 .53624 L
F
1 .9 .045 r
.47342 .47311 m
.47826 .47146 L
.48252 .47342 L
.48121 .47826 L
.47826 .48057 L
.47641 .48309 L
.47342 .48707 L
.47271 .48792 L
.46861 .49275 L
.46859 .49276 L
.46376 .49636 L
.45893 .49626 L
.45867 .49275 L
.45893 .49165 L
.46058 .48792 L
.46376 .484 L
.46438 .48309 L
.46814 .47826 L
.46859 .47769 L
.47308 .47342 L
F
.021 .875 1 r
.46859 .53585 m
.47342 .53284 L
.47821 .53624 L
.47489 .54107 L
.47342 .54307 L
.47101 .5459 L
.46859 .54947 L
.46637 .55073 L
.46376 .55211 L
.45893 .55228 L
.45877 .55073 L
.45893 .55042 L
.46094 .5459 L
.46376 .54174 L
.46421 .54107 L
.46838 .53624 L
F
1 .875 .021 r
.47826 .47191 m
.48185 .47342 L
.48088 .47826 L
.47826 .48025 L
.47619 .48309 L
.47342 .48677 L
.47245 .48792 L
.46859 .49234 L
.46812 .49275 L
.46376 .49576 L
.45897 .49275 L
.46086 .48792 L
.46376 .48447 L
.4647 .48309 L
.46852 .47826 L
.46859 .47817 L
.47342 .47365 L
.47381 .47342 L
F
.461 .975 1 r
.46376 .3586 m
.46559 .36229 L
.46376 .36514 L
.45924 .36229 L
F
1 .8 .002 r
.46376 .50694 m
.46859 .50452 L
.47029 .50725 L
.46859 .51014 L
.46721 .51208 L
.46376 .51623 L
.45933 .51208 L
.46301 .50725 L
F
.212 .95 1 r
.47342 .41534 m
.47826 .41204 L
.48309 .41174 L
.48469 .41544 L
.48309 .41697 L
.481 .42027 L
.47826 .42411 L
.47753 .42511 L
.47389 .42994 L
.47342 .43052 L
.47059 .43477 L
.46859 .43577 L
.46376 .43755 L
.45938 .43477 L
.46243 .42994 L
.46376 .42723 L
.4644 .42511 L
.46859 .42077 L
.46901 .42027 L
.47333 .41544 L
F
1 .85 .01 r
.47826 .47236 m
.48109 .47342 L
.48049 .47826 L
.47826 .47992 L
.47597 .48309 L
.47342 .48646 L
.47217 .48792 L
.46859 .49193 L
.46758 .49275 L
.46376 .49516 L
.45965 .49275 L
.46116 .48792 L
.46376 .48495 L
.46501 .48309 L
.46859 .4786 L
.46889 .47826 L
.47342 .47409 L
.47469 .47342 L
F
1 .775 .001 r
.46376 .50757 m
.46677 .51208 L
.46376 .51566 L
.45987 .51208 L
F
.045 .9 1 r
.46376 .56651 m
.46501 .57006 L
.46376 .57167 L
.45989 .57006 L
F
1 .975 .461 r
.46859 .59468 m
.47331 .59905 L
.46936 .60388 L
.46859 .60483 L
.46398 .60872 L
.46376 .60879 L
.45992 .60872 L
.461 .60388 L
.46376 .5996 L
.46413 .59905 L
F
.01 .85 1 r
.47342 .5334 m
.47768 .53624 L
.47455 .54107 L
.47342 .54261 L
.47059 .5459 L
.46859 .54913 L
.46549 .55073 L
.46376 .55175 L
.45998 .55073 L
.46153 .5459 L
.46376 .5425 L
.4647 .54107 L
.46859 .53651 L
.46887 .53624 L
F
1 .825 .004 r
.47826 .47283 m
.48016 .47342 L
.48005 .47826 L
.47826 .47957 L
.47574 .48309 L
.47342 .48615 L
.47188 .48792 L
.46859 .49153 L
.46698 .49275 L
.46376 .49457 L
.46037 .49275 L
.46151 .48792 L
.46376 .48545 L
.46533 .48309 L
.46859 .47901 L
.46927 .47826 L
.47342 .47451 L
.47574 .47342 L
F
1 .975 .461 r
.47342 .56495 m
.47826 .56149 L
.48309 .56116 L
.48576 .56523 L
.48309 .56902 L
.48235 .57006 L
.47858 .57489 L
.47826 .57557 L
.47564 .57973 L
.47342 .58161 L
.47028 .58456 L
.46859 .58619 L
.46376 .58762 L
.46043 .58456 L
.46259 .57973 L
.46376 .57814 L
.46611 .57489 L
.46859 .57118 L
.46937 .57006 L
.47322 .56523 L
F
1 .75 0 r
.46376 .50827 m
.46629 .51208 L
.46376 .51504 L
.46046 .51208 L
F
.004 .825 1 r
.46376 .45026 m
.46801 .4541 L
.46376 .4589 L
.46068 .4541 L
F
1 .725 0 r
.46376 .50905 m
.46573 .51208 L
.46376 .51435 L
.46112 .51208 L
F
1 .8 .002 r
.47826 .47333 m
.47875 .47342 L
.47955 .47826 L
.47826 .47919 L
.47551 .48309 L
.47342 .48584 L
.47159 .48792 L
.46859 .49113 L
.46626 .49275 L
.46376 .49397 L
.46119 .49275 L
.46193 .48792 L
.46376 .48598 L
.46565 .48309 L
.46859 .47942 L
.46965 .47826 L
.47342 .47493 L
.47737 .47342 L
F
.098 .925 1 r
.49758 .44123 m
.50242 .44088 L
.50511 .44443 L
.50242 .44869 L
.50207 .44927 L
.49793 .4541 L
.49758 .45494 L
.49545 .45893 L
.49275 .46183 L
.49106 .46376 L
.48792 .46725 L
.48445 .46859 L
.48792 .47115 L
.49275 .47048 L
.49758 .47152 L
.49782 .47342 L
.49758 .47374 L
.49484 .47826 L
.49275 .48077 L
.49108 .48309 L
.48792 .48733 L
.48746 .48792 L
.48346 .49275 L
.48309 .49365 L
.47955 .49758 L
.48309 .50064 L
.48792 .50094 L
.49168 .50242 L
.48792 .50565 L
.48698 .50725 L
.4835 .51208 L
.48309 .51264 L
.48024 .51691 L
.47826 .51905 L
.47593 .52174 L
.47342 .52492 L
.47131 .52658 L
.46859 .52838 L
.46376 .52845 L
.46132 .52658 L
.46341 .52174 L
.46376 .52128 L
.46813 .51691 L
.46859 .51331 L
.47017 .51208 L
.47342 .50846 L
.47397 .50725 L
.47826 .50257 L
.4785 .50242 L
.47826 .49826 L
.47342 .49911 L
.46866 .49758 L
.47094 .49275 L
.47342 .489 L
.47412 .48792 L
.47766 .48309 L
.47826 .48229 L
.4824 .47826 L
.48309 .47594 L
.48504 .47342 L
.48309 .46884 L
.47843 .46859 L
.47848 .46376 L
.48174 .45893 L
.48309 .45661 L
.48531 .4541 L
.48792 .45159 L
.48912 .44927 L
.49275 .44491 L
.49329 .44443 L
F
.002 .8 1 r
.46376 .45122 m
.46731 .4541 L
.46376 .45793 L
.46146 .4541 L
F
.004 .825 1 r
.47342 .53396 m
.4771 .53624 L
.47419 .54107 L
.47342 .54213 L
.47014 .5459 L
.46859 .54867 L
.4643 .55073 L
.46376 .55108 L
.46162 .55073 L
.46214 .5459 L
.46376 .54332 L
.46521 .54107 L
.46859 .53714 L
.46955 .53624 L
F
.098 .925 1 r
.47826 .41366 m
.48262 .41544 L
.48022 .42027 L
.47826 .42313 L
.47683 .42511 L
.47342 .42952 L
.47306 .42994 L
.46859 .43428 L
.46779 .43477 L
.46376 .43591 L
.46165 .43477 L
.4632 .42994 L
.46376 .42875 L
.46487 .42511 L
.46859 .422 L
.47006 .42027 L
.47342 .41658 L
.47519 .41544 L
F
1 .7 0 r
.46376 .51 m
.46503 .51208 L
.46376 .51351 L
.46193 .51208 L
F
1 .775 .001 r
.47342 .47534 m
.47826 .47399 L
.47898 .47826 L
.47826 .47878 L
.47527 .48309 L
.47342 .48552 L
.47128 .48792 L
.46859 .49073 L
.46532 .49275 L
.46376 .49333 L
.4622 .49275 L
.46243 .48792 L
.46376 .48654 L
.46598 .48309 L
.46859 .47983 L
.47004 .47826 L
F
.001 .775 1 r
.46376 .45233 m
.46639 .4541 L
.46376 .45674 L
.46237 .4541 L
F
.045 .9 1 r
.48309 .50101 m
.48792 .50135 L
.49087 .50242 L
.48792 .50515 L
.48675 .50725 L
.48333 .51208 L
.48309 .51242 L
.48005 .51691 L
.47826 .51878 L
.47565 .52174 L
.47342 .52446 L
.47043 .52658 L
.46859 .52764 L
.46376 .52755 L
.46251 .52658 L
.46376 .52202 L
.46388 .52174 L
.46826 .51691 L
.46859 .51355 L
.47036 .51208 L
.47342 .50895 L
.47426 .50725 L
.47826 .50302 L
.47924 .50242 L
F
.002 .8 1 r
.47342 .53455 m
.47643 .53624 L
.47382 .54107 L
.47342 .54163 L
.46966 .5459 L
.46859 .54799 L
.46376 .54989 L
.46279 .5459 L
.46376 .54425 L
.46574 .54107 L
.46859 .53778 L
.4703 .53624 L
F
1 .75 0 r
.47342 .47576 m
.47826 .47485 L
.47833 .47826 L
.47826 .47831 L
.47502 .48309 L
.47342 .4852 L
.47095 .48792 L
.46859 .49032 L
.46376 .49258 L
.46304 .48792 L
.46376 .48717 L
.46631 .48309 L
.46859 .48025 L
.47044 .47826 L
F
1 .675 0 r
.46376 .5116 m
.46394 .51208 L
.46376 .51227 L
.46331 .51208 L
F
.001 .775 1 r
.46859 .53844 m
.47342 .54107 L
.46912 .5459 L
.46859 .54702 L
.46376 .5482 L
.46352 .5459 L
.46376 .54543 L
.46629 .54107 L
F
0 .75 1 r
.46376 .45406 m
.46457 .4541 L
.46376 .45435 L
.46373 .4541 L
F
1 .725 0 r
.47342 .47618 m
.4779 .47826 L
.47476 .48309 L
.47342 .48486 L
.4706 .48792 L
.46859 .48991 L
.46376 .48792 L
.46665 .48309 L
.46859 .48067 L
.47087 .47826 L
F
.461 .975 1 r
.47826 .62244 m
.4825 .62321 L
.48039 .62804 L
.47826 .63101 L
.47667 .63288 L
.47342 .6367 L
.47227 .63771 L
.46859 .64078 L
.46387 .63771 L
.46471 .63288 L
.46859 .62962 L
.46969 .62804 L
.47342 .62431 L
.47518 .62321 L
F
.021 .875 1 r
.48309 .50137 m
.48792 .50182 L
.48967 .50242 L
.48792 .50451 L
.48652 .50725 L
.48316 .51208 L
.48309 .51218 L
.47984 .51691 L
.47826 .51851 L
.47536 .52174 L
.47342 .52402 L
.46938 .52658 L
.46859 .52696 L
.46391 .52658 L
.46431 .52174 L
.46835 .51691 L
.46859 .51386 L
.47055 .51208 L
.47342 .50934 L
.47455 .50725 L
.47826 .50342 L
.48002 .50242 L
F
1 .95 .212 r
.47826 .56251 m
.48309 .56212 L
.48495 .56523 L
.48309 .56812 L
.48175 .57006 L
.47826 .57473 L
.47811 .57489 L
.47431 .57973 L
.47342 .58033 L
.46859 .58406 L
.46406 .57973 L
.46685 .57489 L
.46859 .57233 L
.47017 .57006 L
.47342 .56615 L
.47431 .56523 L
F
1 .775 .001 r
.46859 .50523 m
.46977 .50725 L
.46859 .50946 L
.46413 .50725 L
F
.045 .9 1 r
.47826 .41531 m
.47967 .41544 L
.47938 .42027 L
.47826 .42201 L
.47608 .42511 L
.47342 .42849 L
.47208 .42994 L
.46859 .43298 L
.46423 .42994 L
.46584 .42511 L
.46859 .42323 L
.47117 .42027 L
.47342 .41722 L
.47788 .41544 L
F
1 .7 0 r
.47342 .4766 m
.47746 .47826 L
.4745 .48309 L
.47342 .48451 L
.47022 .48792 L
.46859 .48948 L
.46427 .48792 L
.467 .48309 L
.46859 .4811 L
.47132 .47826 L
F
1 .95 .212 r
.48309 .44137 m
.48792 .44078 L
.49104 .44443 L
.48796 .44927 L
.48792 .44937 L
.48452 .4541 L
.48309 .4557 L
.48069 .45893 L
.47826 .46214 L
.47676 .46376 L
.47342 .4672 L
.46859 .46849 L
.46469 .46376 L
.46778 .45893 L
.46859 .45769 L
.4722 .4541 L
.47342 .45282 L
.47453 .44927 L
.47826 .44536 L
.47925 .44443 L
F
.004 .825 1 r
.46859 .44641 m
.47104 .44927 L
.46859 .45331 L
.46473 .44927 L
F
.01 .85 1 r
.48309 .50173 m
.48792 .50239 L
.488 .50242 L
.48792 .5034 L
.48629 .50725 L
.48309 .51193 L
.48298 .51208 L
.47962 .51691 L
.47826 .51824 L
.47506 .52174 L
.47342 .5236 L
.46859 .52635 L
.46475 .52174 L
.46842 .51691 L
.46859 .51427 L
.47074 .51208 L
.47342 .50965 L
.47484 .50725 L
.47826 .5038 L
.48086 .50242 L
F
1 .675 0 r
.47342 .47705 m
.47694 .47826 L
.47421 .48309 L
.47342 .48414 L
.46981 .48792 L
.46859 .48904 L
.46484 .48792 L
.46737 .48309 L
.46859 .48156 L
.47182 .47826 L
F
1 .75 0 r
.46859 .50611 m
.46918 .50725 L
.46859 .50858 L
.46501 .50725 L
F
.461 .975 1 r
.48792 .56296 m
.49275 .56058 L
.49758 .56053 L
.50115 .56523 L
.49758 .56912 L
.49692 .57006 L
.49333 .57489 L
.49275 .57572 L
.48959 .57973 L
.48792 .58225 L
.48762 .58456 L
.48309 .5884 L
.48128 .58939 L
.48309 .59112 L
.48792 .59107 L
.49266 .59422 L
.48889 .59905 L
.48792 .60189 L
.48661 .60388 L
.48309 .60629 L
.48177 .60872 L
.47826 .61318 L
.47785 .61355 L
.47342 .61777 L
.47163 .61838 L
.46859 .61906 L
.46535 .61838 L
.46501 .61355 L
.46856 .60872 L
.46859 .60864 L
.47193 .60388 L
.47342 .60199 L
.476 .59905 L
.47826 .59556 L
.47833 .59422 L
.47826 .59039 L
.47342 .59029 L
.47002 .58939 L
.47218 .58456 L
.47342 .58312 L
.47652 .57973 L
.47826 .57643 L
.4789 .57489 L
.48293 .57006 L
.48309 .56984 L
.48654 .56523 L
F
.004 .825 1 r
.48309 .50208 m
.4869 .50242 L
.48605 .50725 L
.48309 .51166 L
.48279 .51208 L
.47939 .51691 L
.47826 .51797 L
.47475 .52174 L
.47342 .5232 L
.46859 .5258 L
.46519 .52174 L
.46846 .51691 L
.46859 .51478 L
.47094 .51208 L
.47342 .50989 L
.47513 .50725 L
.47826 .50416 L
.48183 .50242 L
F
1 .925 .098 r
.48309 .4421 m
.48792 .44143 L
.49045 .44443 L
.48792 .44881 L
.48764 .44927 L
.48429 .4541 L
.48309 .45548 L
.48042 .45893 L
.47826 .46173 L
.47629 .46376 L
.47342 .46653 L
.46859 .46776 L
.46534 .46376 L
.46821 .45893 L
.46859 .45826 L
.47243 .4541 L
.47342 .45318 L
.47478 .44927 L
.47826 .44593 L
.47995 .44443 L
F
1 .65 0 r
.47342 .47752 m
.47632 .47826 L
.47391 .48309 L
.47342 .48375 L
.46933 .48792 L
.46859 .48857 L
.46552 .48792 L
.46776 .48309 L
.46859 .48205 L
.47238 .47826 L
F
1 .925 .098 r
.47826 .56344 m
.48309 .56325 L
.48407 .56523 L
.48309 .56704 L
.48113 .57006 L
.47826 .57389 L
.47738 .57489 L
.47342 .57918 L
.47274 .57973 L
.46859 .58237 L
.46557 .57973 L
.46763 .57489 L
.46859 .57355 L
.47097 .57006 L
.47342 .56718 L
.47544 .56523 L
F
.002 .8 1 r
.47826 .5045 m
.48309 .50243 L
.48581 .50725 L
.48309 .51138 L
.48259 .51208 L
.47913 .51691 L
.47826 .51771 L
.47442 .52174 L
.47342 .52281 L
.46859 .52525 L
.46564 .52174 L
.46851 .51691 L
.46859 .51543 L
.47114 .51208 L
.47342 .51009 L
.47543 .50725 L
F
.021 .875 1 r
.47342 .41854 m
.47826 .4177 L
.47839 .42027 L
.47826 .42052 L
.47524 .42511 L
.47342 .42739 L
.47085 .42994 L
.46859 .43162 L
.46568 .42994 L
.46769 .42511 L
.46859 .42458 L
.47243 .42027 L
F
.002 .8 1 r
.46859 .44743 m
.47021 .44927 L
.46859 .4523 L
.46575 .44927 L
F
1 .9 .045 r
.48309 .44276 m
.48792 .44211 L
.48983 .44443 L
.48792 .44821 L
.48731 .44927 L
.48405 .4541 L
.48309 .45524 L
.48014 .45893 L
.47826 .46133 L
.47581 .46376 L
.47342 .46592 L
.46859 .46703 L
.466 .46376 L
.46859 .459 L
.46863 .45893 L
.47263 .4541 L
.47342 .45342 L
.47505 .44927 L
.47826 .44646 L
.48068 .44443 L
F
.001 .775 1 r
.47826 .50484 m
.48309 .5028 L
.48557 .50725 L
.48309 .51108 L
.48239 .51208 L
.47886 .51691 L
.47826 .51744 L
.47408 .52174 L
.47342 .52242 L
.46859 .52469 L
.46611 .52174 L
.46855 .51691 L
.46859 .51623 L
.47135 .51208 L
.47342 .51026 L
.47572 .50725 L
F
1 .625 0 r
.47342 .47804 m
.47543 .47826 L
.47359 .48309 L
.47342 .48331 L
.46875 .48792 L
.46859 .48805 L
.46646 .48792 L
.46819 .48309 L
.46859 .48258 L
.47308 .47826 L
F
0 .75 1 r
.47826 .50517 m
.48309 .50317 L
.48531 .50725 L
.48309 .51078 L
.48219 .51208 L
.47856 .51691 L
.47826 .51717 L
.47372 .52174 L
.47342 .52204 L
.46859 .52412 L
.46661 .52174 L
.46859 .51708 L
.46868 .51691 L
.47158 .51208 L
.47342 .51043 L
.47603 .50725 L
F
1 .875 .021 r
.48309 .44338 m
.48792 .44285 L
.48916 .44443 L
.48792 .44748 L
.48697 .44927 L
.48379 .4541 L
.48309 .45496 L
.47986 .45893 L
.47826 .46094 L
.4753 .46376 L
.47342 .46536 L
.46859 .46626 L
.46668 .46376 L
.46859 .45976 L
.46903 .45893 L
.47281 .4541 L
.47342 .45358 L
.47538 .44927 L
.47826 .44697 L
.48145 .44443 L
F
1 .975 .461 r
.50725 .44362 m
.51208 .44034 L
.51691 .44021 L
.52017 .44443 L
.51691 .44866 L
.51654 .44927 L
.51304 .4541 L
.51208 .45424 L
.50893 .45893 L
.50725 .46183 L
.50666 .46376 L
.50242 .46785 L
.5012 .46859 L
.50242 .47 L
.50725 .47004 L
.51208 .47071 L
.5125 .47342 L
.51208 .47389 L
.50825 .47826 L
.50725 .48061 L
.506 .48309 L
.50242 .48717 L
.50184 .48792 L
.49821 .49275 L
.49758 .49372 L
.4942 .49758 L
.49758 .50009 L
.50242 .50046 L
.5051 .50242 L
.50242 .5057 L
.50146 .50725 L
.49792 .51208 L
.49758 .51252 L
.49384 .51691 L
.49275 .51904 L
.49154 .52174 L
.48792 .52539 L
.48671 .52658 L
.48792 .53044 L
.49275 .53055 L
.49655 .53141 L
.49316 .53624 L
.49275 .53761 L
.49078 .54107 L
.48792 .54573 L
.48656 .5459 L
.48309 .55046 L
.48291 .55073 L
.47894 .55557 L
.47826 .55659 L
.47342 .55942 L
.46859 .55937 L
.46685 .55557 L
.46859 .55218 L
.46886 .55073 L
.47289 .5459 L
.47342 .54523 L
.47645 .54107 L
.47826 .53868 L
.48026 .53624 L
.48309 .53253 L
.48479 .53141 L
.48309 .5299 L
.47826 .52985 L
.47353 .52658 L
.47676 .52174 L
.47826 .5199 L
.48075 .51691 L
.48309 .51332 L
.484 .51208 L
.48764 .50725 L
.48792 .50683 L
.4926 .50242 L
.48792 .49986 L
.48309 .49942 L
.48173 .49758 L
.48309 .4949 L
.4838 .49275 L
.48792 .48796 L
.48795 .48792 L
.49152 .48309 L
.49275 .48141 L
.4953 .47826 L
.49758 .47497 L
.49906 .47342 L
.49758 .46961 L
.49275 .46943 L
.48934 .46859 L
.492 .46376 L
.49275 .46282 L
.49595 .45893 L
.49758 .45532 L
.49813 .4541 L
.50242 .45013 L
.5029 .44927 L
.50671 .44443 L
F
0 .75 1 r
.46859 .53914 m
.47284 .54107 L
.46859 .54576 L
.4669 .54107 L
F
0 .725 1 r
.46859 .51772 m
.4733 .52174 L
.46859 .5235 L
.46714 .52174 L
F
.001 .775 1 r
.46859 .44878 m
.46904 .44927 L
.46859 .4507 L
.46728 .44927 L
F
1 .85 .01 r
.48309 .44399 m
.48792 .44375 L
.48841 .44443 L
.48792 .44645 L
.48663 .44927 L
.4835 .4541 L
.48309 .45462 L
.47957 .45893 L
.47826 .46056 L
.47474 .46376 L
.47342 .46481 L
.46859 .46542 L
.4674 .46376 L
.46859 .46068 L
.46944 .45893 L
.473 .4541 L
.47342 .45372 L
.47578 .44927 L
.47826 .44747 L
.48232 .44443 L
F
1 .9 .045 r
.46859 .57502 m
.47077 .57973 L
.46859 .58048 L
.46754 .57973 L
F
0 .725 1 r
.46859 .53993 m
.47211 .54107 L
.46859 .54478 L
.46759 .54107 L
F
1 .95 .212 r
.51208 .44107 m
.51691 .44096 L
.51967 .44443 L
.51691 .44808 L
.51623 .44927 L
.51281 .4541 L
.51208 .45424 L
.50877 .45893 L
.50725 .46152 L
.50653 .46376 L
.50242 .46727 L
.49979 .46859 L
.50242 .4707 L
.50725 .47038 L
.51203 .47342 L
.50814 .47826 L
.50725 .48039 L
.50591 .48309 L
.50242 .48698 L
.5017 .48792 L
.49802 .49275 L
.49758 .4934 L
.49376 .49758 L
.49758 .5004 L
.50242 .50082 L
.50466 .50242 L
.50242 .5053 L
.50127 .50725 L
.49777 .51208 L
.49758 .51233 L
.49375 .51691 L
.49275 .51883 L
.4914 .52174 L
.48792 .52502 L
.48623 .52658 L
.48792 .53099 L
.49275 .53092 L
.4951 .53141 L
.49306 .53624 L
.49275 .53726 L
.4906 .54107 L
.48792 .54567 L
.48633 .5459 L
.48309 .55002 L
.48255 .55073 L
.47826 .55554 L
.47824 .55557 L
.47342 .55846 L
.46859 .55802 L
.46764 .55557 L
.46859 .5533 L
.46897 .55073 L
.47324 .5459 L
.47342 .54567 L
.47675 .54107 L
.47826 .53909 L
.48057 .53624 L
.48309 .5332 L
.48636 .53141 L
.48309 .52918 L
.47826 .52939 L
.47417 .52658 L
.47703 .52174 L
.47826 .52019 L
.4809 .51691 L
.48309 .51354 L
.48416 .51208 L
.48786 .50725 L
.48792 .50716 L
.49266 .50242 L
.48792 .49953 L
.48309 .49894 L
.48216 .49758 L
.48309 .49544 L
.4839 .49275 L
.48792 .48819 L
.4881 .48792 L
.49167 .48309 L
.49275 .48162 L
.49545 .47826 L
.49758 .4753 L
.49947 .47342 L
.49758 .46914 L
.49275 .46905 L
.4908 .46859 L
.49231 .46376 L
.49275 .46319 L
.4961 .45893 L
.49758 .45548 L
.49821 .4541 L
.50242 .45054 L
.50317 .44927 L
.50725 .44444 L
.50726 .44443 L
F
0 .7 1 r
.46859 .51852 m
.47268 .52174 L
.46859 .5228 L
.46773 .52174 L
F
1 .825 .004 r
.47826 .44795 m
.48309 .44457 L
.48626 .44927 L
.48318 .4541 L
.48309 .45422 L
.47928 .45893 L
.47826 .46017 L
.47412 .46376 L
.47342 .46427 L
.46859 .46438 L
.4682 .46376 L
.46859 .46199 L
.46984 .45893 L
.47319 .4541 L
.47342 .45387 L
.47627 .44927 L
F
0 .675 1 r
.46859 .51974 m
.47184 .52174 L
.46859 .52195 L
.46844 .52174 L
F
0 .7 1 r
.46859 .54091 m
.47102 .54107 L
.46859 .54328 L
.46845 .54107 L
F
1 .925 .098 r
.49275 .53131 m
.49329 .53141 L
.49295 .53624 L
.49275 .53688 L
.49039 .54107 L
.48792 .54556 L
.48609 .5459 L
.48309 .54965 L
.48219 .55073 L
.47826 .55381 L
.47733 .55557 L
.47342 .5576 L
.46859 .55595 L
.46851 .55557 L
.46859 .5552 L
.4691 .55073 L
.47342 .54615 L
.47358 .5459 L
.47705 .54107 L
.47826 .53949 L
.48086 .53624 L
.48309 .53376 L
.48792 .53147 L
.48838 .53141 L
F
.01 .85 1 r
.46859 .42693 m
.4686 .42994 L
.46859 .42994 L
.46858 .42994 L
F
1 .9 .045 r
.47826 .56434 m
.48306 .56523 L
.48046 .57006 L
.47826 .57302 L
.47656 .57489 L
.47342 .5781 L
.46865 .57489 L
.4718 .57006 L
.47342 .56818 L
.4767 .56523 L
F
0 .725 1 r
.47826 .50549 m
.48309 .50355 L
.48505 .50725 L
.48309 .51046 L
.48198 .51208 L
.47826 .5169 L
.47825 .51691 L
.47342 .52166 L
.46898 .51691 L
.47183 .51208 L
.47342 .5106 L
.47634 .50725 L
F
.021 .875 1 r
.47342 .44375 m
.47406 .44443 L
.47342 .44706 L
.46903 .44443 L
F
0 .7 1 r
.47826 .50581 m
.48309 .50395 L
.48479 .50725 L
.48309 .51011 L
.48176 .51208 L
.47826 .51661 L
.47799 .51691 L
.47342 .52129 L
.46928 .51691 L
.47211 .51208 L
.47342 .5108 L
.47666 .50725 L
F
1 .9 .045 r
.48309 .53426 m
.48792 .53189 L
.49275 .53191 L
.49283 .53624 L
.49275 .53647 L
.49017 .54107 L
.48792 .54538 L
.48584 .5459 L
.48309 .54934 L
.48182 .55073 L
.47826 .55259 L
.47625 .55557 L
.47342 .55678 L
.46979 .55557 L
.46931 .55073 L
.47342 .54668 L
.4739 .5459 L
.47734 .54107 L
.47826 .53989 L
.48117 .53624 L
F
1 .975 .461 r
.47342 .59324 m
.47542 .59422 L
.47342 .59888 L
.46931 .59422 L
F
.01 .85 1 r
.47342 .42101 m
.47421 .42511 L
.47342 .4261 L
.46959 .42511 L
F
0 .675 1 r
.47826 .50614 m
.48309 .50437 L
.4845 .50725 L
.48309 .50974 L
.48154 .51208 L
.47826 .51632 L
.47771 .51691 L
.47342 .52091 L
.4696 .51691 L
.47241 .51208 L
.47342 .51104 L
.47699 .50725 L
F
1 .875 .021 r
.48309 .53472 m
.48792 .53229 L
.49258 .53624 L
.48993 .54107 L
.48792 .54512 L
.4856 .5459 L
.48309 .54906 L
.48144 .55073 L
.47826 .5518 L
.47477 .55557 L
.47342 .55597 L
.47149 .55557 L
.46966 .55073 L
.47342 .54726 L
.47422 .5459 L
.47764 .54107 L
.47826 .54027 L
.48151 .53624 L
F
.045 .9 1 r
.48792 .47173 m
.49275 .47082 L
.49739 .47342 L
.49467 .47826 L
.49275 .48055 L
.49093 .48309 L
.48792 .48713 L
.48729 .48792 L
.48334 .49275 L
.48309 .4933 L
.47826 .49758 L
.47824 .49758 L
.47342 .49865 L
.46976 .49758 L
.47121 .49275 L
.47342 .48935 L
.47433 .48792 L
.47786 .48309 L
.47826 .48256 L
.48251 .47826 L
.48309 .47629 L
.48544 .47342 L
F
1 .875 .021 r
.47342 .56923 m
.47826 .56532 L
.47972 .57006 L
.47826 .57207 L
.4756 .57489 L
.47342 .57695 L
.46983 .57489 L
.4727 .57006 L
F
0 .65 1 r
.47826 .50646 m
.48309 .50482 L
.48421 .50725 L
.48309 .50934 L
.48131 .51208 L
.47826 .51602 L
.47742 .51691 L
.47342 .52053 L
.46993 .51691 L
.47275 .51208 L
.47342 .51135 L
.47734 .50725 L
F
1 .85 .01 r
.48309 .53517 m
.48792 .53268 L
.49222 .53624 L
.48966 .54107 L
.48792 .54476 L
.48535 .5459 L
.48309 .54882 L
.48104 .55073 L
.47826 .55133 L
.47342 .55513 L
.4702 .55073 L
.47342 .54789 L
.47454 .5459 L
.47794 .54107 L
.47826 .54066 L
.48188 .53624 L
F
1 .8 .002 r
.47826 .44843 m
.48309 .44513 L
.48588 .44927 L
.48309 .45377 L
.48286 .4541 L
.47897 .45893 L
.47826 .45978 L
.47342 .46373 L
.47027 .45893 L
.47342 .4541 L
.47342 .45409 L
.47688 .44927 L
F
0 .625 1 r
.47826 .50679 m
.48309 .50533 L
.4839 .50725 L
.48309 .50888 L
.48107 .51208 L
.47826 .51571 L
.47712 .51691 L
.47342 .52014 L
.47027 .51691 L
.47313 .51208 L
.47342 .51174 L
.47771 .50725 L
F
0 .6 1 r
.47342 .5122 m
.47678 .51691 L
.47342 .51973 L
.47062 .51691 L
F
1 .775 .001 r
.47826 .44892 m
.48309 .4457 L
.48548 .44927 L
.48309 .45329 L
.48253 .4541 L
.47864 .45893 L
.47826 .45938 L
.47342 .46314 L
.4707 .45893 L
.47342 .45462 L
.47379 .4541 L
.47763 .44927 L
F
1 .825 .004 r
.48309 .53559 m
.48792 .53306 L
.49185 .53624 L
.48937 .54107 L
.48792 .54429 L
.48509 .5459 L
.48309 .54858 L
.48062 .55073 L
.47826 .55111 L
.47342 .55421 L
.47097 .55073 L
.47342 .5486 L
.47487 .5459 L
.47824 .54107 L
.47826 .54106 L
.4823 .53624 L
F
.021 .875 1 r
.48792 .47224 m
.49275 .47115 L
.49693 .47342 L
.4945 .47826 L
.49275 .48032 L
.49078 .48309 L
.48792 .48692 L
.48713 .48792 L
.48319 .49275 L
.48309 .49296 L
.47826 .49717 L
.4771 .49758 L
.47342 .4982 L
.47098 .49758 L
.47148 .49275 L
.47342 .48972 L
.47454 .48792 L
.47807 .48309 L
.47826 .48284 L
.4826 .47826 L
.48309 .47663 L
.48591 .47342 L
F
0 .575 1 r
.47342 .51267 m
.47642 .51691 L
.47342 .5193 L
.47101 .51691 L
F
.212 .95 1 r
.48309 .38708 m
.48709 .39128 L
.48478 .39612 L
.48309 .39831 L
.47996 .40095 L
.47826 .40275 L
.47342 .40546 L
.47114 .40095 L
.47342 .39738 L
.47431 .39612 L
.47826 .39132 L
.47829 .39128 L
F
1 .75 0 r
.47826 .44941 m
.48219 .4541 L
.4783 .45893 L
.47826 .45898 L
.47342 .46252 L
.47116 .45893 L
.47342 .45521 L
.47419 .4541 L
F
.001 .775 1 r
.47342 .53517 m
.47564 .53624 L
.47342 .54107 L
.47116 .53624 L
F
0 .55 1 r
.47342 .51319 m
.47601 .51691 L
.47342 .51884 L
.47143 .51691 L
F
1 .85 .01 r
.47342 .57061 m
.4743 .57489 L
.47342 .57561 L
.47144 .57489 L
F
1 .975 .461 r
.47342 .38609 m
.47389 .38645 L
.47342 .38984 L
.47152 .38645 L
F
1 .725 0 r
.47342 .45585 m
.47782 .45893 L
.47342 .46185 L
.47165 .45893 L
F
.01 .85 1 r
.48792 .47269 m
.49275 .47148 L
.49645 .47342 L
.49432 .47826 L
.49275 .48009 L
.49063 .48309 L
.48792 .48672 L
.48696 .48792 L
.48309 .49266 L
.483 .49275 L
.47826 .49679 L
.47535 .49758 L
.47342 .49773 L
.47262 .49758 L
.47174 .49275 L
.47342 .4901 L
.47476 .48792 L
.47826 .48311 L
.47827 .48309 L
.48269 .47826 L
.48309 .47695 L
.48649 .47342 L
F
0 .525 1 r
.47342 .51378 m
.47553 .51691 L
.47342 .51833 L
.4719 .51691 L
F
.212 .95 1 r
.48309 .59398 m
.48792 .59313 L
.48971 .59422 L
.48792 .59848 L
.48758 .59905 L
.48459 .60388 L
.48309 .60459 L
.47924 .60872 L
.47826 .6097 L
.47342 .61182 L
.4719 .60872 L
.47342 .60547 L
.47424 .60388 L
.47763 .59905 L
.47826 .59827 L
.48198 .59422 L
F
.004 .825 1 r
.48792 .47311 m
.49275 .47182 L
.49594 .47342 L
.49412 .47826 L
.49275 .47985 L
.49048 .48309 L
.48792 .48651 L
.48679 .48792 L
.48309 .4924 L
.48272 .49275 L
.47826 .49643 L
.47342 .49719 L
.47202 .49275 L
.47342 .49051 L
.47497 .48792 L
.47826 .48337 L
.47846 .48309 L
.48277 .47826 L
.48309 .47727 L
.48722 .47342 L
F
1 .8 .002 r
.48309 .53601 m
.48792 .53345 L
.49147 .53624 L
.48905 .54107 L
.48792 .54369 L
.48483 .5459 L
.48309 .54833 L
.48016 .55073 L
.47826 .55103 L
.47342 .5531 L
.47205 .55073 L
.47342 .54947 L
.4752 .5459 L
.47826 .54148 L
.47855 .54107 L
.48278 .53624 L
F
1 .7 0 r
.47342 .4566 m
.47725 .45893 L
.47342 .46109 L
.47219 .45893 L
F
.002 .8 1 r
.49275 .47216 m
.49539 .47342 L
.49392 .47826 L
.49275 .4796 L
.49032 .48309 L
.48792 .48631 L
.48662 .48792 L
.48309 .49214 L
.48244 .49275 L
.47826 .49608 L
.47342 .4966 L
.47231 .49275 L
.47342 .49096 L
.47518 .48792 L
.47826 .48364 L
.47866 .48309 L
.48286 .47826 L
.48309 .47757 L
.48792 .47348 L
.48804 .47342 L
F
0 .75 1 r
.47342 .53587 m
.4745 .53624 L
.47342 .54013 L
.47235 .53624 L
F
0 .5 1 r
.47342 .51453 m
.47492 .51691 L
.47342 .51775 L
.47247 .51691 L
F
.001 .775 1 r
.49275 .47251 m
.49479 .47342 L
.4937 .47826 L
.49275 .47934 L
.49017 .48309 L
.48792 .4861 L
.48644 .48792 L
.48309 .49189 L
.48215 .49275 L
.47826 .49574 L
.47342 .49592 L
.47264 .49275 L
.47342 .49145 L
.47539 .48792 L
.47826 .48391 L
.47885 .48309 L
.48295 .47826 L
.48309 .47787 L
.48792 .47379 L
.48874 .47342 L
F
1 .675 0 r
.47342 .45756 m
.47651 .45893 L
.47342 .46015 L
.47282 .45893 L
F
0 .75 1 r
.49275 .47288 m
.49409 .47342 L
.49346 .47826 L
.49275 .47906 L
.49001 .48309 L
.48792 .4859 L
.48627 .48792 L
.48309 .49164 L
.48185 .49275 L
.47826 .49541 L
.47342 .4951 L
.47301 .49275 L
.47342 .49202 L
.4756 .48792 L
.47826 .48418 L
.47904 .48309 L
.48305 .47826 L
.48309 .47816 L
.48792 .47409 L
.48958 .47342 L
F
1 .975 .461 r
.48792 .4137 m
.49275 .41103 L
.49758 .41074 L
.49877 .41544 L
.49758 .41715 L
.49712 .42027 L
.49275 .4241 L
.49204 .42511 L
.48843 .42994 L
.48792 .43065 L
.4849 .43477 L
.48309 .43666 L
.47826 .43865 L
.47342 .43846 L
.47308 .43477 L
.47342 .43268 L
.47507 .42994 L
.47826 .42582 L
.47878 .42511 L
.48246 .42027 L
.48309 .41942 L
.48688 .41544 L
F
0 .475 1 r
.47342 .51578 m
.47381 .51691 L
.47342 .517 L
.47331 .51691 L
F
1 .95 .212 r
.48792 .41519 m
.49275 .41234 L
.49758 .41304 L
.49779 .41544 L
.49758 .41577 L
.49673 .42027 L
.49275 .42341 L
.49156 .42511 L
.48794 .42994 L
.48792 .42996 L
.48394 .43477 L
.48309 .43546 L
.47826 .43769 L
.47342 .43655 L
.47334 .43477 L
.47342 .43416 L
.47557 .42994 L
.47826 .42662 L
.47936 .42511 L
.48309 .42037 L
.48317 .42027 L
.48772 .41544 L
F
0 .725 1 r
.49275 .47327 m
.4932 .47342 L
.4932 .47826 L
.49275 .47877 L
.48985 .48309 L
.48792 .48569 L
.48609 .48792 L
.48309 .49139 L
.48153 .49275 L
.47826 .49508 L
.47343 .49275 L
.47582 .48792 L
.47826 .48445 L
.47924 .48309 L
.48309 .47844 L
.48326 .47826 L
.48792 .47438 L
.49078 .47342 L
F
1 .775 .001 r
.48792 .53385 m
.49106 .53624 L
.48869 .54107 L
.48792 .54294 L
.48456 .5459 L
.48309 .54806 L
.47967 .55073 L
.47826 .55102 L
.47345 .55073 L
.47553 .5459 L
.47826 .54191 L
.47886 .54107 L
.48309 .53641 L
.4833 .53624 L
F
0 .6 1 r
.47826 .50713 m
.48309 .50594 L
.48356 .50725 L
.48309 .50833 L
.48083 .51208 L
.47826 .5154 L
.47351 .51208 L
.47811 .50725 L
F
1 .85 .01 r
.47826 .56687 m
.47885 .57006 L
.47826 .57092 L
.47381 .57006 L
F
0 .7 1 r
.48792 .47467 m
.49275 .47378 L
.49292 .47826 L
.49275 .47846 L
.48969 .48309 L
.48792 .48548 L
.4859 .48792 L
.48309 .49115 L
.48119 .49275 L
.47826 .49475 L
.47383 .49275 L
.47603 .48792 L
.47826 .48473 L
.47944 .48309 L
.48309 .4787 L
.48352 .47826 L
F
0 .575 1 r
.47826 .50751 m
.48057 .51208 L
.47826 .51507 L
.47383 .51208 L
F
.212 .95 1 r
.48792 .56442 m
.49275 .56146 L
.49758 .56129 L
.50065 .56523 L
.49758 .56843 L
.49646 .57006 L
.49288 .57489 L
.49275 .57507 L
.48908 .57973 L
.48792 .58126 L
.48648 .58456 L
.48309 .58624 L
.47826 .58815 L
.47391 .58456 L
.47713 .57973 L
.47826 .57734 L
.47919 .57489 L
.48309 .57059 L
.48347 .57006 L
.48731 .56523 L
F
0 .55 1 r
.47826 .50792 m
.48029 .51208 L
.47826 .51472 L
.47417 .51208 L
F
1 .75 0 r
.48792 .53425 m
.49062 .53624 L
.4883 .54107 L
.48792 .54202 L
.48428 .5459 L
.48309 .54775 L
.47912 .55073 L
.47826 .55097 L
.47422 .55073 L
.47588 .5459 L
.47826 .54236 L
.47919 .54107 L
.48309 .53682 L
.4838 .53624 L
F
0 .675 1 r
.48792 .47496 m
.49265 .47826 L
.48953 .48309 L
.48792 .48526 L
.48572 .48792 L
.48309 .49091 L
.48083 .49275 L
.47826 .49442 L
.47426 .49275 L
.47625 .48792 L
.47826 .48502 L
.47964 .48309 L
.48309 .47896 L
.48379 .47826 L
F
1 .925 .098 r
.49275 .41355 m
.49645 .41544 L
.49607 .42027 L
.49275 .42266 L
.49107 .42511 L
.48792 .42929 L
.48738 .42994 L
.48309 .43451 L
.48274 .43477 L
.47826 .43679 L
.47432 .43477 L
.47612 .42994 L
.47826 .42743 L
.47993 .42511 L
.48309 .42115 L
.48388 .42027 L
.48792 .41621 L
.48907 .41544 L
F
0 .525 1 r
.47826 .50836 m
.48 .51208 L
.47826 .51435 L
.47454 .51208 L
F
1 .725 0 r
.47826 .44993 m
.48181 .4541 L
.47826 .4585 L
.47461 .4541 L
F
0 .65 1 r
.48792 .47525 m
.49239 .47826 L
.48936 .48309 L
.48792 .48504 L
.48553 .48792 L
.48309 .49066 L
.48044 .49275 L
.47826 .49409 L
.47472 .49275 L
.47648 .48792 L
.47826 .48531 L
.47984 .48309 L
.48309 .47922 L
.48406 .47826 L
F
1 .925 .098 r
.51208 .44171 m
.51691 .44176 L
.51907 .44443 L
.51691 .44741 L
.51591 .44927 L
.51258 .4541 L
.51208 .45423 L
.50861 .45893 L
.50725 .46121 L
.50637 .46376 L
.50242 .46678 L
.49812 .46859 L
.50242 .47126 L
.50725 .47072 L
.51157 .47342 L
.50804 .47826 L
.50725 .48017 L
.50581 .48309 L
.50242 .4868 L
.50156 .48792 L
.49783 .49275 L
.49758 .4931 L
.49324 .49758 L
.49758 .50071 L
.50242 .50121 L
.50414 .50242 L
.50242 .50484 L
.50108 .50725 L
.49763 .51208 L
.49758 .51214 L
.49366 .51691 L
.49275 .51862 L
.49124 .52174 L
.48792 .52468 L
.48573 .52658 L
.48309 .52859 L
.47826 .52894 L
.4748 .52658 L
.4773 .52174 L
.47826 .5205 L
.48105 .51691 L
.48309 .51376 L
.48432 .51208 L
.48792 .50752 L
.48808 .50725 L
.49273 .50242 L
.48792 .49921 L
.48309 .49837 L
.48258 .49758 L
.48309 .49611 L
.48402 .49275 L
.48792 .48842 L
.48826 .48792 L
.49182 .48309 L
.49275 .48183 L
.4956 .47826 L
.49758 .47561 L
.49988 .47342 L
.49758 .4687 L
.49275 .46864 L
.49254 .46859 L
.49262 .46376 L
.49275 .46359 L
.49625 .45893 L
.49758 .45566 L
.49832 .4541 L
.50242 .45089 L
.50345 .44927 L
.50725 .44491 L
.50787 .44443 L
F
0 .5 1 r
.47826 .50884 m
.47968 .51208 L
.47826 .51395 L
.47494 .51208 L
F
1 .7 0 r
.47826 .45047 m
.48141 .4541 L
.47826 .45798 L
.47505 .4541 L
F
0 .625 1 r
.48792 .47553 m
.49212 .47826 L
.48919 .48309 L
.48792 .48482 L
.48533 .48792 L
.48309 .49042 L
.48001 .49275 L
.47826 .49375 L
.47524 .49275 L
.47671 .48792 L
.47826 .48561 L
.48004 .48309 L
.48309 .47947 L
.48434 .47826 L
F
1 .725 0 r
.48309 .53722 m
.48788 .54107 L
.48399 .5459 L
.48309 .54738 L
.47845 .55073 L
.47826 .55081 L
.47525 .55073 L
.47624 .5459 L
.47826 .54284 L
.47952 .54107 L
F
0 .475 1 r
.47826 .50938 m
.47933 .51208 L
.47826 .51351 L
.4754 .51208 L
F
1 .9 .045 r
.49758 .501 m
.50242 .50165 L
.50352 .50242 L
.50242 .50429 L
.50088 .50725 L
.49758 .51193 L
.49748 .51208 L
.49357 .51691 L
.49275 .51842 L
.49106 .52174 L
.48792 .52436 L
.48521 .52658 L
.48309 .52807 L
.47826 .52849 L
.47544 .52658 L
.47757 .52174 L
.47826 .52082 L
.48119 .51691 L
.48309 .51398 L
.48448 .51208 L
.48792 .50785 L
.48829 .50725 L
.49275 .50269 L
.49324 .50242 L
F
1 .675 0 r
.47826 .45104 m
.48097 .4541 L
.47826 .45742 L
.47553 .4541 L
F
.098 .925 1 r
.49275 .56222 m
.49758 .56213 L
.49998 .56523 L
.49758 .56767 L
.496 .57006 L
.49275 .57445 L
.4924 .57489 L
.48849 .57973 L
.48792 .58038 L
.48368 .58456 L
.48309 .58475 L
.47826 .58648 L
.47569 .58456 L
.47762 .57973 L
.47826 .57835 L
.47951 .57489 L
.48309 .57131 L
.484 .57006 L
.48792 .5654 L
.4881 .56523 L
F
1 .9 .045 r
.49275 .4148 m
.49461 .41544 L
.49505 .42027 L
.49275 .42183 L
.49056 .42511 L
.48792 .4286 L
.4868 .42994 L
.48309 .4337 L
.48143 .43477 L
.47826 .43587 L
.47572 .43477 L
.4768 .42994 L
.47826 .42831 L
.48052 .42511 L
.48309 .42191 L
.48463 .42027 L
.48792 .41711 L
.49094 .41544 L
F
0 .6 1 r
.48792 .47583 m
.49183 .47826 L
.48902 .48309 L
.48792 .48459 L
.48513 .48792 L
.48309 .49017 L
.47951 .49275 L
.47826 .49339 L
.47585 .49275 L
.47694 .48792 L
.47826 .48592 L
.48025 .48309 L
.48309 .47974 L
.48464 .47826 L
F
0 .45 1 r
.47826 .51004 m
.47893 .51208 L
.47826 .513 L
.47594 .51208 L
F
1 .65 0 r
.47826 .45168 m
.48046 .4541 L
.47826 .45679 L
.47607 .4541 L
F
1 .875 .021 r
.49758 .50129 m
.50242 .50218 L
.50274 .50242 L
.50242 .50346 L
.50069 .50725 L
.49758 .51172 L
.49733 .51208 L
.49348 .51691 L
.49275 .51821 L
.49085 .52174 L
.48792 .52405 L
.48467 .52658 L
.48309 .5276 L
.47826 .52802 L
.47611 .52658 L
.47784 .52174 L
.47826 .52116 L
.48132 .51691 L
.48309 .5142 L
.48465 .51208 L
.48792 .50812 L
.4885 .50725 L
.49275 .503 L
.49388 .50242 L
F
1 .7 0 r
.48309 .53763 m
.48755 .54107 L
.48369 .5459 L
.48309 .54693 L
.47826 .55027 L
.47662 .5459 L
.47826 .54334 L
.47986 .54107 L
F
0 .575 1 r
.48792 .47612 m
.49153 .47826 L
.48885 .48309 L
.48792 .48436 L
.48493 .48792 L
.48309 .48992 L
.47889 .49275 L
.47826 .49303 L
.47664 .49275 L
.47718 .48792 L
.47826 .48625 L
.48046 .48309 L
.48309 .48 L
.48495 .47826 L
F
1 .625 0 r
.47826 .45243 m
.47984 .4541 L
.47826 .45603 L
.47671 .4541 L
F
0 .425 1 r
.47826 .51101 m
.47845 .51208 L
.47826 .51235 L
.47672 .51208 L
F
1 .85 .01 r
.49758 .50158 m
.50195 .50242 L
.50049 .50725 L
.49758 .5115 L
.49718 .51208 L
.49338 .51691 L
.49275 .51801 L
.49063 .52174 L
.48792 .52375 L
.48407 .52658 L
.48309 .52716 L
.47826 .52752 L
.47683 .52658 L
.47811 .52174 L
.47826 .52153 L
.48146 .51691 L
.48309 .51442 L
.48481 .51208 L
.48792 .50836 L
.48872 .50725 L
.49275 .5033 L
.49457 .50242 L
F
.098 .925 1 r
.47826 .60169 m
.48132 .60388 L
.47826 .60599 L
.47699 .60388 L
F
1 .675 0 r
.48309 .53805 m
.4872 .54107 L
.48336 .5459 L
.48309 .5464 L
.47826 .54961 L
.47702 .5459 L
.47826 .54389 L
.48022 .54107 L
F
.098 .925 1 r
.47826 .39466 m
.48141 .39612 L
.47826 .39955 L
.47704 .39612 L
F
0 .55 1 r
.48792 .47642 m
.49121 .47826 L
.48867 .48309 L
.48792 .48412 L
.48471 .48792 L
.48309 .48967 L
.47826 .49262 L
.47743 .48792 L
.47826 .4866 L
.48068 .48309 L
.48309 .48026 L
.48527 .47826 L
F
1 .65 0 r
.47826 .54452 m
.48298 .5459 L
.47826 .54882 L
.47745 .5459 L
F
1 .6 0 r
.47826 .45345 m
.47893 .4541 L
.47826 .45494 L
.47762 .4541 L
F
1 .825 .004 r
.49758 .50187 m
.50111 .50242 L
.5003 .50725 L
.49758 .51127 L
.49703 .51208 L
.49328 .51691 L
.49275 .51781 L
.49037 .52174 L
.48792 .52346 L
.48341 .52658 L
.48309 .52675 L
.47826 .52698 L
.47763 .52658 L
.47826 .52202 L
.47838 .52174 L
.4816 .51691 L
.48309 .51465 L
.48497 .51208 L
.48792 .50856 L
.48893 .50725 L
.49275 .50358 L
.49535 .50242 L
F
1 .875 .021 r
.48792 .41799 m
.49275 .41637 L
.49358 .42027 L
.49275 .42083 L
.49003 .42511 L
.48792 .4279 L
.48617 .42994 L
.48309 .43291 L
.47909 .43477 L
.47826 .43486 L
.47788 .43477 L
.47768 .42994 L
.47826 .4293 L
.48113 .42511 L
.48309 .42268 L
.48542 .42027 L
F
0 .525 1 r
.48792 .47673 m
.49085 .47826 L
.48848 .48309 L
.48792 .48387 L
.48449 .48792 L
.48309 .48941 L
.47826 .49208 L
.47768 .48792 L
.47826 .48698 L
.4809 .48309 L
.48309 .48054 L
.48562 .47826 L
F
1 .625 0 r
.47826 .54528 m
.48241 .5459 L
.47826 .54778 L
.47793 .5459 L
F
0 .5 1 r
.48792 .47705 m
.49046 .47826 L
.48829 .48309 L
.48792 .4836 L
.48426 .48792 L
.48309 .48915 L
.47826 .49144 L
.47795 .48792 L
.47826 .4874 L
.48113 .48309 L
.48309 .48081 L
.486 .47826 L
F
.045 .9 1 r
.49275 .56292 m
.49758 .56313 L
.49904 .56523 L
.49758 .56676 L
.49553 .57006 L
.49275 .57384 L
.49189 .57489 L
.48792 .57956 L
.48775 .57973 L
.48309 .58366 L
.48051 .58456 L
.47826 .58462 L
.47816 .58456 L
.47818 .57973 L
.47826 .57956 L
.47994 .57489 L
.48309 .57203 L
.48453 .57006 L
.48792 .56615 L
.48892 .56523 L
F
0 .475 1 r
.48792 .47739 m
.49001 .47826 L
.48809 .48309 L
.48792 .48333 L
.48402 .48792 L
.48309 .48888 L
.47826 .49058 L
.47824 .48792 L
.47826 .48788 L
.48137 .48309 L
.48309 .4811 L
.48643 .47826 L
F
1 .75 0 r
.48309 .4463 m
.48505 .44927 L
.48309 .45275 L
.47842 .44927 L
F
0 .45 1 r
.48309 .48139 m
.48787 .48309 L
.48376 .48792 L
.48309 .4886 L
.4786 .48792 L
.48162 .48309 L
F
0 .575 1 r
.48309 .50684 m
.48319 .50725 L
.48309 .50755 L
.47864 .50725 L
F
1 .8 .002 r
.49758 .50216 m
.50004 .50242 L
.5001 .50725 L
.49758 .51104 L
.49688 .51208 L
.49317 .51691 L
.49275 .51761 L
.49009 .52174 L
.48792 .52318 L
.48309 .52638 L
.47864 .52174 L
.48173 .51691 L
.48309 .51487 L
.48514 .51208 L
.48792 .50873 L
.48915 .50725 L
.49275 .50385 L
.4963 .50242 L
F
1 .85 .01 r
.48792 .41891 m
.49219 .42027 L
.48946 .42511 L
.48792 .42716 L
.48547 .42994 L
.48309 .43211 L
.47867 .42994 L
.48178 .42511 L
.48309 .42348 L
.48631 .42027 L
F
.045 .9 1 r
.49758 .44182 m
.50242 .4415 L
.50457 .44443 L
.50242 .44818 L
.50179 .44927 L
.49787 .4541 L
.49758 .45481 L
.49527 .45893 L
.49275 .46152 L
.49074 .46376 L
.48792 .46675 L
.48309 .46836 L
.47887 .46376 L
.482 .45893 L
.48309 .45691 L
.48549 .4541 L
.48792 .45194 L
.48941 .44927 L
.49275 .44535 L
.49386 .44443 L
F
1 .775 .001 r
.49275 .50411 m
.49758 .50245 L
.49989 .50725 L
.49758 .5108 L
.49673 .51208 L
.49306 .51691 L
.49275 .51741 L
.48977 .52174 L
.48792 .52291 L
.48309 .52604 L
.47892 .52174 L
.48187 .51691 L
.48309 .5151 L
.4853 .51208 L
.48792 .50888 L
.48937 .50725 L
F
0 .425 1 r
.48309 .4817 m
.48758 .48309 L
.48348 .48792 L
.48309 .48831 L
.47901 .48792 L
.48188 .48309 L
F
1 .725 0 r
.48309 .44695 m
.48458 .44927 L
.48309 .45214 L
.47902 .44927 L
F
.021 .875 1 r
.49275 .5636 m
.49758 .5648 L
.49773 .56523 L
.49758 .56543 L
.49504 .57006 L
.49275 .57321 L
.49137 .57489 L
.48792 .57884 L
.48691 .57973 L
.48309 .58265 L
.47909 .57973 L
.48054 .57489 L
.48309 .57278 L
.48508 .57006 L
.48792 .56686 L
.48981 .56523 L
F
1 .75 0 r
.49275 .50437 m
.49758 .50276 L
.49969 .50725 L
.49758 .51056 L
.49658 .51208 L
.49294 .51691 L
.49275 .51721 L
.48942 .52174 L
.48792 .52264 L
.48309 .52571 L
.47919 .52174 L
.48202 .51691 L
.48309 .51533 L
.48546 .51208 L
.48792 .50901 L
.48959 .50725 L
F
.021 .875 1 r
.49758 .44237 m
.50242 .44215 L
.504 .44443 L
.50242 .4476 L
.50151 .44927 L
.49781 .4541 L
.49758 .45467 L
.49507 .45893 L
.49275 .46122 L
.49042 .46376 L
.48792 .4663 L
.48309 .46792 L
.47927 .46376 L
.48226 .45893 L
.48309 .45727 L
.48568 .4541 L
.48792 .45223 L
.4897 .44927 L
.49275 .44577 L
.49446 .44443 L
F
1 .725 0 r
.49275 .50462 m
.49758 .50308 L
.49948 .50725 L
.49758 .5103 L
.49642 .51208 L
.49282 .51691 L
.49275 .51701 L
.48903 .52174 L
.48792 .52238 L
.48309 .52538 L
.47948 .52174 L
.48217 .51691 L
.48309 .51557 L
.48563 .51208 L
.48792 .50912 L
.48982 .50725 L
F
.461 .975 1 r
.52174 .44232 m
.52658 .4398 L
.53141 .43978 L
.53381 .44443 L
.53141 .44845 L
.53122 .44927 L
.52735 .4541 L
.52658 .45507 L
.52376 .45893 L
.52174 .4616 L
.51995 .46376 L
.51691 .46805 L
.51623 .46859 L
.51691 .46942 L
.52174 .46984 L
.52658 .47033 L
.52694 .47342 L
.52658 .47379 L
.52343 .47826 L
.52174 .4803 L
.51936 .48309 L
.51691 .48683 L
.51612 .48792 L
.51251 .49275 L
.51208 .49341 L
.50748 .49758 L
.51208 .49991 L
.51691 .50028 L
.51861 .50242 L
.51691 .50542 L
.51628 .50725 L
.51216 .51208 L
.51208 .51219 L
.50858 .51691 L
.50725 .51873 L
.5048 .52174 L
.50242 .52528 L
.50122 .52658 L
.50242 .53004 L
.50725 .53032 L
.51162 .53141 L
.50821 .53624 L
.50725 .53742 L
.50416 .54107 L
.50242 .54477 L
.50192 .5459 L
.49758 .55018 L
.49729 .55073 L
.49365 .55557 L
.49275 .55716 L
.48792 .56025 L
.48309 .5603 L
.47949 .55557 L
.48309 .55097 L
.48324 .55073 L
.4868 .5459 L
.48792 .54575 L
.49096 .54107 L
.49275 .53795 L
.49326 .53624 L
.49758 .53163 L
.4979 .53141 L
.49758 .53076 L
.49275 .53019 L
.48792 .52981 L
.48718 .52658 L
.48792 .5258 L
.49167 .52174 L
.49275 .51925 L
.49393 .51691 L
.49758 .51271 L
.49806 .51208 L
.50165 .50725 L
.50242 .50606 L
.50551 .50242 L
.50242 .50013 L
.49758 .49977 L
.49462 .49758 L
.49758 .49405 L
.49841 .49275 L
.50199 .48792 L
.50242 .48735 L
.50609 .48309 L
.50725 .48082 L
.50837 .47826 L
.51208 .47434 L
.51297 .47342 L
.51208 .46998 L
.50725 .4697 L
.50252 .46859 L
.50677 .46376 L
.50725 .46216 L
.5091 .45893 L
.51208 .45425 L
.51328 .4541 L
.51686 .44927 L
.51691 .44919 L
.52067 .44443 L
F
0 .4 1 r
.48309 .48202 m
.48725 .48309 L
.48317 .48792 L
.48309 .488 L
.47951 .48792 L
.48216 .48309 L
F
1 .825 .004 r
.48792 .41991 m
.49082 .42027 L
.48884 .42511 L
.48792 .42634 L
.48465 .42994 L
.48309 .43126 L
.47966 .42994 L
.48248 .42511 L
.48309 .42436 L
.48743 .42027 L
F
.01 .85 1 r
.49758 .4429 m
.50242 .44288 L
.5034 .44443 L
.50242 .44688 L
.50123 .44927 L
.49774 .4541 L
.49758 .45451 L
.49486 .45893 L
.49275 .46093 L
.49008 .46376 L
.48792 .46588 L
.48309 .46748 L
.47968 .46376 L
.48252 .45893 L
.48309 .4577 L
.48588 .4541 L
.48792 .45247 L
.48999 .44927 L
.49275 .44618 L
.49508 .44443 L
F
1 .7 0 r
.48309 .4477 m
.48404 .44927 L
.48309 .45139 L
.47974 .44927 L
F
.49275 .50487 m
.49758 .50341 L
.49927 .50725 L
.49758 .51003 L
.49626 .51208 L
.49275 .5168 L
.49266 .51691 L
.48861 .52174 L
.48792 .52211 L
.48309 .52505 L
.47977 .52174 L
.48232 .51691 L
.48309 .51581 L
.4858 .51208 L
.48792 .50924 L
.49005 .50725 L
F
.212 .95 1 r
.52174 .44378 m
.52658 .4409 L
.53141 .44104 L
.53287 .44443 L
.53141 .4475 L
.5311 .44927 L
.527 .4541 L
.52658 .45464 L
.52346 .45893 L
.52174 .46118 L
.51964 .46376 L
.51691 .46724 L
.51472 .46859 L
.51691 .47035 L
.52174 .4703 L
.52627 .47342 L
.52315 .47826 L
.52174 .48001 L
.5192 .48309 L
.51691 .48661 L
.51595 .48792 L
.51229 .49275 L
.51208 .49306 L
.50738 .49758 L
.51208 .50024 L
.51691 .50073 L
.51813 .50242 L
.51691 .50494 L
.51617 .50725 L
.51208 .51197 L
.512 .51208 L
.50843 .51691 L
.50725 .51852 L
.50465 .52174 L
.50242 .52493 L
.50081 .52658 L
.50242 .53055 L
.50725 .53069 L
.51021 .53141 L
.5079 .53624 L
.50725 .53706 L
.50401 .54107 L
.50242 .54463 L
.50185 .5459 L
.49758 .54973 L
.49702 .55073 L
.49312 .55557 L
.49275 .55609 L
.48792 .55942 L
.48309 .55955 L
.47998 .55557 L
.48309 .55151 L
.48356 .55073 L
.48703 .5459 L
.48792 .54576 L
.49112 .54107 L
.49275 .53827 L
.49338 .53624 L
.49758 .53234 L
.49923 .53141 L
.49758 .52975 L
.49275 .52985 L
.48792 .529 L
.48765 .52658 L
.48792 .52626 L
.49179 .52174 L
.49275 .51946 L
.49403 .51691 L
.49758 .51289 L
.4982 .51208 L
.50185 .50725 L
.50242 .50639 L
.50593 .50242 L
.50242 .49981 L
.49758 .49943 L
.49503 .49758 L
.49758 .49442 L
.4986 .49275 L
.50213 .48792 L
.50242 .48754 L
.50619 .48309 L
.50725 .48103 L
.5085 .47826 L
.51208 .47473 L
.51344 .47342 L
.51208 .46938 L
.50725 .46934 L
.50389 .46859 L
.50687 .46376 L
.50725 .4625 L
.50927 .45893 L
.51208 .45429 L
.51351 .4541 L
.51691 .44969 L
.5172 .44927 L
.52126 .44443 L
F
1 .675 0 r
.49275 .50511 m
.49758 .50376 L
.49905 .50725 L
.49758 .50975 L
.4961 .51208 L
.49275 .51659 L
.49249 .51691 L
.48813 .52174 L
.48792 .52185 L
.48309 .52471 L
.48007 .52174 L
.48249 .51691 L
.48309 .51606 L
.48597 .51208 L
.48792 .50935 L
.49028 .50725 L
F
.004 .825 1 r
.49758 .4434 m
.50242 .4438 L
.50275 .44443 L
.50242 .44584 L
.50094 .44927 L
.49766 .4541 L
.49758 .45431 L
.49462 .45893 L
.49275 .46064 L
.48974 .46376 L
.48792 .46548 L
.48309 .46703 L
.48009 .46376 L
.48278 .45893 L
.48309 .45821 L
.48608 .4541 L
.48792 .45268 L
.49028 .44927 L
.49275 .44656 L
.49576 .44443 L
F
.098 .925 1 r
.48309 .5968 m
.4853 .59905 L
.48309 .60213 L
.48016 .59905 L
F
.01 .85 1 r
.49275 .56428 m
.49658 .56523 L
.49453 .57006 L
.49275 .57256 L
.49081 .57489 L
.48792 .57812 L
.48591 .57973 L
.48309 .5816 L
.48017 .57973 L
.48138 .57489 L
.48309 .57358 L
.48565 .57006 L
.48792 .56755 L
.49082 .56523 L
F
1 .65 0 r
.49275 .50536 m
.49758 .50412 L
.49883 .50725 L
.49758 .50945 L
.49594 .51208 L
.49275 .51638 L
.49231 .51691 L
.48792 .5216 L
.48774 .52174 L
.48309 .52437 L
.48038 .52174 L
.48267 .51691 L
.48309 .51632 L
.48614 .51208 L
.48792 .50947 L
.49052 .50725 L
F
.098 .925 1 r
.52658 .44182 m
.53141 .44249 L
.5321 .44443 L
.53141 .44626 L
.53099 .44927 L
.52665 .4541 L
.52658 .45419 L
.52316 .45893 L
.52174 .46078 L
.51934 .46376 L
.51691 .46662 L
.51309 .46859 L
.51691 .47102 L
.52174 .47075 L
.52563 .47342 L
.52288 .47826 L
.52174 .47971 L
.51905 .48309 L
.51691 .48639 L
.51579 .48792 L
.51208 .49273 L
.51207 .49275 L
.50732 .49758 L
.51208 .50057 L
.51691 .50123 L
.51771 .50242 L
.51691 .50437 L
.51606 .50725 L
.51208 .51174 L
.51185 .51208 L
.50828 .51691 L
.50725 .51831 L
.5045 .52174 L
.50242 .5246 L
.5004 .52658 L
.50242 .531 L
.50725 .53108 L
.50869 .53141 L
.50759 .53624 L
.50725 .53669 L
.50385 .54107 L
.50242 .54447 L
.50176 .5459 L
.49758 .54934 L
.49674 .55073 L
.49275 .5554 L
.49255 .55557 L
.48792 .55872 L
.48309 .55879 L
.48051 .55557 L
.48309 .55212 L
.48387 .55073 L
.48727 .5459 L
.48792 .54576 L
.49128 .54107 L
.49275 .53858 L
.49352 .53624 L
.49758 .53289 L
.50069 .53141 L
.49758 .52911 L
.49275 .52951 L
.48811 .52658 L
.49189 .52174 L
.49275 .51968 L
.49412 .51691 L
.49758 .51308 L
.49834 .51208 L
.50204 .50725 L
.50242 .5067 L
.5064 .50242 L
.50242 .4995 L
.49758 .49906 L
.4955 .49758 L
.49758 .49484 L
.49879 .49275 L
.50227 .48792 L
.50242 .48773 L
.50628 .48309 L
.50725 .48124 L
.50865 .47826 L
.51208 .47509 L
.51393 .47342 L
.51208 .46885 L
.50725 .46896 L
.50541 .46859 L
.50697 .46376 L
.50725 .46286 L
.50947 .45893 L
.51208 .45436 L
.51375 .4541 L
.51691 .45011 L
.51756 .44927 L
.52174 .44507 L
.52203 .44443 L
F
.002 .8 1 r
.49758 .4439 m
.50191 .44443 L
.50064 .44927 L
.49758 .45406 L
.49756 .4541 L
.49437 .45893 L
.49275 .46034 L
.48939 .46376 L
.48792 .4651 L
.48309 .46658 L
.48051 .46376 L
.48305 .45893 L
.48309 .45882 L
.4863 .4541 L
.48792 .45287 L
.49058 .44927 L
.49275 .44694 L
.49653 .44443 L
F
1 .65 0 r
.48309 .53849 m
.48682 .54107 L
.48309 .5458 L
.4806 .54107 L
F
1 .625 0 r
.49275 .5056 m
.49758 .50451 L
.4986 .50725 L
.49758 .50913 L
.49578 .51208 L
.49275 .51617 L
.49213 .51691 L
.48792 .52135 L
.48741 .52174 L
.48309 .52403 L
.4807 .52174 L
.48286 .51691 L
.48309 .51659 L
.48631 .51208 L
.48792 .5096 L
.49077 .50725 L
F
1 .675 0 r
.48309 .44869 m
.48338 .44927 L
.48309 .45028 L
.48071 .44927 L
F
.001 .775 1 r
.49758 .4444 m
.50056 .44443 L
.50034 .44927 L
.49758 .45371 L
.49733 .4541 L
.49409 .45893 L
.49275 .46005 L
.48901 .46376 L
.48792 .46472 L
.48309 .46612 L
.48095 .46376 L
.48309 .45934 L
.48332 .45893 L
.48654 .4541 L
.48792 .45304 L
.49089 .44927 L
.49275 .44731 L
.4975 .44443 L
F
1 .625 0 r
.48309 .53895 m
.4864 .54107 L
.48309 .54528 L
.48101 .54107 L
F
1 .6 0 r
.49275 .50584 m
.49758 .50493 L
.49836 .50725 L
.49758 .50877 L
.49561 .51208 L
.49275 .51595 L
.49194 .51691 L
.48792 .52111 L
.48705 .52174 L
.48309 .52367 L
.48105 .52174 L
.48306 .51691 L
.48309 .51687 L
.48648 .51208 L
.48792 .50975 L
.49103 .50725 L
F
1 .8 .002 r
.48309 .42548 m
.48358 .42994 L
.48309 .4303 L
.4811 .42994 L
F
.045 .9 1 r
.49758 .53336 m
.50242 .53143 L
.50725 .53156 L
.50728 .53624 L
.50725 .53628 L
.5037 .54107 L
.50242 .54427 L
.50165 .5459 L
.49758 .54901 L
.49646 .55073 L
.49275 .55494 L
.49193 .55557 L
.48792 .5581 L
.48309 .55797 L
.48115 .55557 L
.48309 .55283 L
.48419 .55073 L
.4875 .5459 L
.48792 .54578 L
.49144 .54107 L
.49275 .53889 L
.49369 .53624 L
F
1 .975 .461 r
.49758 .38503 m
.50242 .38357 L
.50449 .38645 L
.50242 .39083 L
.50217 .39128 L
.49908 .39612 L
.49758 .39817 L
.49517 .40095 L
.49275 .4038 L
.49047 .40578 L
.48792 .40725 L
.48309 .40727 L
.48132 .40578 L
.48309 .40202 L
.48368 .40095 L
.48756 .39612 L
.48792 .39505 L
.49043 .39128 L
.49275 .38925 L
.49589 .38645 L
F
0 .75 1 r
.49275 .44767 m
.49758 .44488 L
.50003 .44927 L
.49758 .45334 L
.49709 .4541 L
.49378 .45893 L
.49275 .45976 L
.48862 .46376 L
.48792 .46435 L
.48309 .46563 L
.48141 .46376 L
.48309 .45987 L
.4836 .45893 L
.48679 .4541 L
.48792 .45322 L
.49121 .44927 L
F
1 .575 0 r
.48309 .51726 m
.48666 .52174 L
.48309 .52329 L
.48142 .52174 L
F
1 .6 0 r
.48309 .53944 m
.48592 .54107 L
.48309 .5447 L
.48146 .54107 L
F
.004 .825 1 r
.49275 .565 m
.49497 .56523 L
.49399 .57006 L
.49275 .57185 L
.49021 .57489 L
.48792 .57738 L
.48455 .57973 L
.48309 .58044 L
.48159 .57973 L
.48253 .57489 L
.48309 .57448 L
.48625 .57006 L
.48792 .56825 L
.49216 .56523 L
F
1 .55 0 r
.48309 .51771 m
.4862 .52174 L
.48309 .52289 L
.48182 .52174 L
F
0 .725 1 r
.49275 .44803 m
.49758 .44536 L
.49971 .44927 L
.49758 .45294 L
.49684 .4541 L
.49344 .45893 L
.49275 .45947 L
.48819 .46376 L
.48792 .46398 L
.48309 .4651 L
.48191 .46376 L
.48309 .4605 L
.48388 .45893 L
.48706 .4541 L
.48792 .45342 L
.49153 .44927 L
F
1 .575 0 r
.48309 .53999 m
.48534 .54107 L
.48309 .54401 L
.48198 .54107 L
F
.021 .875 1 r
.49758 .53378 m
.50242 .53181 L
.50696 .53624 L
.50355 .54107 L
.50242 .54403 L
.50152 .5459 L
.49758 .54872 L
.49618 .55073 L
.49275 .55452 L
.49127 .55557 L
.48792 .55751 L
.48309 .55701 L
.482 .55557 L
.48309 .55375 L
.48451 .55073 L
.48773 .5459 L
.48792 .54583 L
.49159 .54107 L
.49275 .53918 L
.49391 .53624 L
F
1 .975 .461 r
.49758 .59268 m
.50242 .59231 L
.50505 .59422 L
.50242 .59905 L
.50241 .59905 L
.49896 .60388 L
.49758 .60445 L
.49479 .60872 L
.49275 .6111 L
.48969 .61355 L
.48792 .61488 L
.48309 .61545 L
.48205 .61355 L
.48309 .61066 L
.48398 .60872 L
.48747 .60388 L
.48792 .60289 L
.48997 .59905 L
.49275 .59655 L
.49521 .59422 L
F
1 .525 0 r
.48309 .51826 m
.48565 .52174 L
.48309 .52245 L
.48228 .52174 L
F
0 .375 1 r
.48309 .48237 m
.48689 .48309 L
.48309 .48757 L
.48246 .48309 L
F
0 .7 1 r
.48309 .4613 m
.48765 .46376 L
.48309 .46449 L
.48247 .46376 L
F
1 .55 0 r
.48309 .54065 m
.48451 .54107 L
.48309 .54305 L
.48263 .54107 L
F
0 .35 1 r
.48309 .48275 m
.48646 .48309 L
.48309 .48703 L
.48279 .48309 L
F
1 .5 0 r
.48309 .51898 m
.48486 .52174 L
.48309 .52195 L
.48284 .52174 L
F
1 .9 .045 r
.50242 .47173 m
.50725 .47106 L
.5111 .47342 L
.50794 .47826 L
.50725 .47994 L
.50571 .48309 L
.50242 .48661 L
.50142 .48792 L
.49763 .49275 L
.49758 .49282 L
.49275 .49751 L
.49261 .49758 L
.48792 .4989 L
.48309 .49759 L
.48308 .49758 L
.48309 .49751 L
.48414 .49275 L
.48792 .48866 L
.48841 .48792 L
.49197 .48309 L
.49275 .48203 L
.49576 .47826 L
.49758 .4759 L
.5003 .47342 L
F
.01 .85 1 r
.49758 .53418 m
.50242 .53217 L
.50663 .53624 L
.50339 .54107 L
.50242 .54374 L
.50137 .5459 L
.49758 .54846 L
.49589 .55073 L
.49275 .55411 L
.49055 .55557 L
.48792 .55695 L
.48313 .55557 L
.48483 .55073 L
.48792 .54597 L
.48797 .5459 L
.49175 .54107 L
.49275 .53948 L
.49419 .53624 L
F
1 .575 0 r
.49275 .50609 m
.49758 .50542 L
.49811 .50725 L
.49758 .50837 L
.49544 .51208 L
.49275 .51573 L
.49175 .51691 L
.48792 .52086 L
.48327 .51691 L
.48666 .51208 L
.48792 .50993 L
.49129 .50725 L
F
1 .8 .002 r
.48792 .42136 m
.48811 .42511 L
.48792 .42537 L
.48337 .42511 L
F
1 .55 0 r
.49275 .50634 m
.49758 .50604 L
.49785 .50725 L
.49758 .50789 L
.49527 .51208 L
.49275 .51551 L
.49155 .51691 L
.48792 .52061 L
.48349 .51691 L
.48684 .51208 L
.48792 .51014 L
.49158 .50725 L
F
.002 .8 1 r
.48792 .56898 m
.49275 .56602 L
.4934 .57006 L
.49275 .57104 L
.48954 .57489 L
.48792 .5766 L
.4836 .57489 L
.4869 .57006 L
F
1 .525 0 r
.49275 .50659 m
.49757 .50725 L
.49509 .51208 L
.49275 .51528 L
.49135 .51691 L
.48792 .52035 L
.48371 .51691 L
.48703 .51208 L
.48792 .51038 L
.49187 .50725 L
F
1 .875 .021 r
.50242 .47216 m
.50725 .47139 L
.51062 .47342 L
.50784 .47826 L
.50725 .4797 L
.50561 .48309 L
.50242 .48643 L
.50127 .48792 L
.49758 .4926 L
.49743 .49275 L
.49275 .4972 L
.4919 .49758 L
.48792 .49858 L
.48385 .49758 L
.48427 .49275 L
.48792 .4889 L
.48857 .48792 L
.49212 .48309 L
.49275 .48223 L
.49591 .47826 L
.49758 .47619 L
.50074 .47342 L
F
1 .5 0 r
.49275 .50684 m
.49717 .50725 L
.49491 .51208 L
.49275 .51504 L
.49114 .51691 L
.48792 .5201 L
.48394 .51691 L
.48722 .51208 L
.48792 .51067 L
.49219 .50725 L
F
.004 .825 1 r
.49758 .53455 m
.50242 .53253 L
.5063 .53624 L
.50323 .54107 L
.50242 .54339 L
.50118 .5459 L
.49758 .54823 L
.4956 .55073 L
.49275 .55372 L
.48972 .55557 L
.48792 .5564 L
.48412 .55557 L
.48515 .55073 L
.48792 .54635 L
.4882 .5459 L
.49191 .54107 L
.49275 .53977 L
.49454 .53624 L
F
0 .7 1 r
.49275 .4484 m
.49758 .44587 L
.49937 .44927 L
.49758 .45251 L
.49659 .4541 L
.49307 .45893 L
.49275 .45917 L
.48792 .46361 L
.48417 .45893 L
.48737 .4541 L
.48792 .45364 L
.49187 .44927 L
F
1 .475 0 r
.49275 .5071 m
.4967 .50725 L
.49472 .51208 L
.49275 .5148 L
.49092 .51691 L
.48792 .51983 L
.48418 .51691 L
.48742 .51208 L
.48792 .51101 L
.49254 .50725 L
F
1 .725 0 r
.48792 .53467 m
.49014 .53624 L
.48792 .54101 L
.48435 .53624 L
F
.212 .95 1 r
.48792 .38576 m
.48851 .38645 L
.48792 .38946 L
.48438 .38645 L
F
1 .85 .01 r
.50242 .47256 m
.50725 .47173 L
.51012 .47342 L
.50774 .47826 L
.50725 .47946 L
.5055 .48309 L
.50242 .48624 L
.50113 .48792 L
.49758 .49243 L
.49722 .49275 L
.49275 .4969 L
.49108 .49758 L
.48792 .49827 L
.48471 .49758 L
.48442 .49275 L
.48792 .48915 L
.48872 .48792 L
.49227 .48309 L
.49275 .48244 L
.49608 .47826 L
.49758 .47646 L
.50119 .47342 L
F
1 .45 0 r
.48792 .51141 m
.49275 .50739 L
.49452 .51208 L
.49275 .51455 L
.49069 .51691 L
.48792 .51957 L
.48444 .51691 L
.48762 .51208 L
F
0 .675 1 r
.49275 .44877 m
.49758 .44641 L
.49902 .44927 L
.49758 .45203 L
.49633 .4541 L
.49275 .45886 L
.4927 .45893 L
.48792 .46322 L
.48447 .45893 L
.4877 .4541 L
.48792 .45391 L
.49223 .44927 L
F
1 .825 .004 r
.50242 .47293 m
.50725 .47208 L
.50959 .47342 L
.50764 .47826 L
.50725 .47921 L
.50538 .48309 L
.50242 .48606 L
.50099 .48792 L
.49758 .4923 L
.49701 .49275 L
.49275 .49662 L
.49009 .49758 L
.48792 .49795 L
.48575 .49758 L
.4846 .49275 L
.48792 .4894 L
.48888 .48792 L
.49242 .48309 L
.49275 .48264 L
.49625 .47826 L
.49758 .47672 L
.50167 .47342 L
F
.001 .775 1 r
.48792 .56978 m
.49271 .57006 L
.48875 .57489 L
.48792 .57572 L
.48464 .57489 L
.48765 .57006 L
F
1 .425 0 r
.48792 .51186 m
.49275 .50772 L
.49432 .51208 L
.49275 .51429 L
.49045 .51691 L
.48792 .51929 L
.4847 .51691 L
.48783 .51208 L
F
0 .65 1 r
.48792 .45424 m
.49239 .45893 L
.48792 .46282 L
.48478 .45893 L
F
1 .8 .002 r
.50242 .47328 m
.50725 .47244 L
.50903 .47342 L
.50753 .47826 L
.50725 .47894 L
.50526 .48309 L
.50242 .48588 L
.50084 .48792 L
.49758 .4922 L
.4968 .49275 L
.49275 .49635 L
.48848 .49758 L
.48792 .49763 L
.48738 .49758 L
.4848 .49275 L
.48792 .48967 L
.48903 .48792 L
.49257 .48309 L
.49275 .48284 L
.49643 .47826 L
.49758 .47698 L
.50219 .47342 L
F
1 .7 0 r
.48792 .53512 m
.4896 .53624 L
.48792 .54047 L
.48498 .53624 L
F
1 .4 0 r
.48792 .51227 m
.49019 .51691 L
.48792 .519 L
.48498 .51691 L
F
1 .775 .001 r
.50725 .47282 m
.5084 .47342 L
.50742 .47826 L
.50725 .47866 L
.50512 .48309 L
.50242 .48569 L
.5007 .48792 L
.49758 .49212 L
.49658 .49275 L
.49275 .49608 L
.48792 .49728 L
.48502 .49275 L
.48792 .48994 L
.48919 .48792 L
.49272 .48309 L
.49275 .48304 L
.49662 .47826 L
.49758 .47723 L
.50242 .47359 L
.50286 .47342 L
F
0 .625 1 r
.48792 .45464 m
.49206 .45893 L
.48792 .46241 L
.4851 .45893 L
F
1 .375 0 r
.48792 .51262 m
.48991 .51691 L
.48792 .5187 L
.48529 .51691 L
F
1 .75 0 r
.50725 .47323 m
.50766 .47342 L
.50729 .47826 L
.50725 .47836 L
.50498 .48309 L
.50242 .4855 L
.50055 .48792 L
.49758 .49206 L
.49636 .49275 L
.49275 .49582 L
.48792 .49691 L
.48529 .49275 L
.48792 .49023 L
.48935 .48792 L
.49275 .48324 L
.49287 .48309 L
.49682 .47826 L
.49758 .47748 L
.50242 .47387 L
.50382 .47342 L
F
0 .6 1 r
.48792 .45507 m
.49171 .45893 L
.48792 .46199 L
.48545 .45893 L
F
.002 .8 1 r
.49758 .53491 m
.50242 .53289 L
.50596 .53624 L
.50306 .54107 L
.50242 .54297 L
.50097 .5459 L
.49758 .54802 L
.4953 .55073 L
.49275 .55335 L
.48868 .55557 L
.48792 .55585 L
.48545 .55557 L
.48548 .55073 L
.48792 .54674 L
.48844 .5459 L
.49207 .54107 L
.49275 .54006 L
.49496 .53624 L
F
1 .95 .212 r
.49275 .39167 m
.49741 .39612 L
.49359 .40095 L
.49275 .40185 L
.48792 .40495 L
.48551 .40095 L
.48792 .39728 L
.4888 .39612 L
F
1 .725 0 r
.49758 .47772 m
.50242 .47414 L
.5071 .47826 L
.50483 .48309 L
.50242 .48531 L
.5004 .48792 L
.49758 .49201 L
.49614 .49275 L
.49275 .49557 L
.48792 .49652 L
.48559 .49275 L
.48792 .49053 L
.4895 .48792 L
.49275 .48345 L
.49303 .48309 L
.49704 .47826 L
F
1 .35 0 r
.48792 .513 m
.48961 .51691 L
.48792 .51838 L
.48562 .51691 L
F
.461 .975 1 r
.51691 .38021 m
.52174 .38082 L
.52275 .38162 L
.52174 .38442 L
.5208 .38645 L
.51752 .39128 L
.51691 .39262 L
.51305 .39612 L
.51208 .3977 L
.51079 .40095 L
.50725 .40497 L
.50654 .40578 L
.50725 .40947 L
.51208 .40955 L
.5164 .41061 L
.51225 .41544 L
.51208 .41741 L
.51026 .42027 L
.50725 .42407 L
.50653 .42511 L
.50294 .42994 L
.50242 .43067 L
.49872 .43477 L
.49758 .43756 L
.49275 .43943 L
.48792 .43945 L
.48562 .43477 L
.48792 .43137 L
.48891 .42994 L
.49251 .42511 L
.49275 .42477 L
.49732 .42027 L
.49758 .41819 L
.49956 .41544 L
.50242 .41182 L
.50428 .41061 L
.50242 .40901 L
.49758 .40895 L
.49319 .40578 L
.4966 .40095 L
.49758 .39925 L
.50024 .39612 L
.50242 .39466 L
.50397 .39128 L
.50725 .38701 L
.50781 .38645 L
.51208 .38199 L
.51289 .38162 L
F
1 .675 0 r
.48792 .53562 m
.48895 .53624 L
.48792 .53981 L
.48576 .53624 L
F
0 .575 1 r
.48792 .45553 m
.49133 .45893 L
.48792 .46154 L
.48581 .45893 L
F
.001 .775 1 r
.49758 .53526 m
.50242 .53325 L
.50562 .53624 L
.50287 .54107 L
.50242 .54248 L
.50072 .5459 L
.49758 .54782 L
.49499 .55073 L
.49275 .55297 L
.48792 .5553 L
.48581 .55073 L
.48792 .54715 L
.48868 .5459 L
.49225 .54107 L
.49275 .54035 L
.49548 .53624 L
F
1 .7 0 r
.49758 .47796 m
.50242 .47441 L
.50687 .47826 L
.50467 .48309 L
.50242 .48512 L
.50025 .48792 L
.49758 .49197 L
.49591 .49275 L
.49275 .49532 L
.48792 .49611 L
.48593 .49275 L
.48792 .49086 L
.48966 .48792 L
.49275 .48365 L
.49319 .48309 L
.49727 .47826 L
F
1 .325 0 r
.48792 .51343 m
.48928 .51691 L
.48792 .51804 L
.48599 .51691 L
F
0 .75 1 r
.49758 .53561 m
.50242 .53361 L
.50525 .53624 L
.50268 .54107 L
.50242 .54189 L
.50043 .5459 L
.49758 .54763 L
.49467 .55073 L
.49275 .55261 L
.48792 .55473 L
.48616 .55073 L
.48792 .5476 L
.48893 .5459 L
.49245 .54107 L
.49275 .54064 L
.4961 .53624 L
F
0 .55 1 r
.48792 .45604 m
.4909 .45893 L
.48792 .46106 L
.48621 .45893 L
F
.212 .95 1 r
.50242 .41372 m
.50725 .4114 L
.51208 .41175 L
.51212 .41544 L
.51208 .41612 L
.50979 .42027 L
.50725 .4234 L
.50608 .42511 L
.50248 .42994 L
.50242 .43003 L
.4983 .43477 L
.49758 .43612 L
.49275 .43858 L
.48792 .43858 L
.48623 .43477 L
.48792 .43214 L
.48938 .42994 L
.49275 .42539 L
.49297 .42511 L
.49742 .42027 L
.49758 .41908 L
.50047 .41544 L
F
1 .675 0 r
.49758 .4782 m
.50242 .47467 L
.50664 .47826 L
.50449 .48309 L
.50242 .48493 L
.5001 .48792 L
.49758 .49193 L
.49567 .49275 L
.49275 .49508 L
.48792 .49565 L
.48632 .49275 L
.48792 .49121 L
.48982 .48792 L
.49275 .48386 L
.49335 .48309 L
.49752 .47826 L
F
1 .95 .212 r
.48792 .60538 m
.49266 .60872 L
.48792 .61119 L
.48641 .60872 L
F
1 .3 0 r
.48792 .51394 m
.48888 .51691 L
.48792 .51766 L
.48644 .51691 L
F
0 .725 1 r
.49758 .53594 m
.50242 .53399 L
.50488 .53624 L
.50246 .54107 L
.50242 .54122 L
.5001 .5459 L
.49758 .54742 L
.49434 .55073 L
.49275 .55224 L
.48792 .55414 L
.48652 .55073 L
.48792 .54809 L
.48918 .5459 L
.49265 .54107 L
.49275 .54094 L
.49684 .53624 L
F
0 .525 1 r
.48792 .45663 m
.49039 .45893 L
.48792 .46051 L
.48666 .45893 L
F
1 .65 0 r
.50242 .47494 m
.5064 .47826 L
.5043 .48309 L
.50242 .48473 L
.49995 .48792 L
.49758 .49188 L
.49542 .49275 L
.49275 .49483 L
.48792 .49514 L
.48676 .49275 L
.48792 .4916 L
.48999 .48792 L
.49275 .48407 L
.49351 .48309 L
.49758 .47843 L
.49777 .47826 L
F
.098 .925 1 r
.50242 .41502 m
.50725 .41266 L
.5113 .41544 L
.50927 .42027 L
.50725 .42269 L
.50563 .42511 L
.50242 .42942 L
.50202 .42994 L
.49784 .43477 L
.49758 .43515 L
.49275 .43785 L
.48792 .43756 L
.48686 .43477 L
.48792 .43303 L
.48986 .42994 L
.49275 .426 L
.49343 .42511 L
.49751 .42027 L
.49758 .41988 L
.50178 .41544 L
F
0 .7 1 r
.49758 .53628 m
.50221 .54107 L
.49973 .5459 L
.49758 .5472 L
.49399 .55073 L
.49275 .55187 L
.48792 .55348 L
.4869 .55073 L
.48792 .54864 L
.48943 .5459 L
.49275 .54125 L
.4929 .54107 L
F
0 .45 1 r
.48792 .47775 m
.48944 .47826 L
.48792 .483 L
.48694 .47826 L
F
1 .275 0 r
.48792 .51459 m
.48839 .51691 L
.48792 .51724 L
.48705 .51691 L
F
1 .65 0 r
.48792 .53618 m
.48803 .53624 L
.48792 .53887 L
.48713 .53624 L
F
0 .5 1 r
.48792 .45738 m
.48974 .45893 L
.48792 .45986 L
.48719 .45893 L
F
1 .625 0 r
.50242 .47521 m
.50615 .47826 L
.5041 .48309 L
.50242 .48453 L
.49979 .48792 L
.49758 .49183 L
.49517 .49275 L
.49275 .49459 L
.48792 .49452 L
.48725 .49275 L
.48792 .49205 L
.49015 .48792 L
.49275 .48428 L
.49368 .48309 L
.49758 .47864 L
.49802 .47826 L
F
0 .675 1 r
.49758 .53662 m
.50195 .54107 L
.4993 .5459 L
.49758 .54695 L
.49362 .55073 L
.49275 .5515 L
.48792 .55271 L
.4873 .55073 L
.48792 .54929 L
.48969 .5459 L
.49275 .54159 L
.49316 .54107 L
F
.461 .975 1 r
.51691 .56208 m
.52174 .56061 L
.52658 .56062 L
.5273 .56523 L
.52658 .56811 L
.52529 .57006 L
.52174 .57472 L
.52162 .57489 L
.51803 .57973 L
.51691 .58131 L
.51367 .58456 L
.51208 .58778 L
.51094 .58939 L
.51208 .59102 L
.51691 .59113 L
.52087 .59422 L
.51752 .59905 L
.51691 .5998 L
.5129 .60388 L
.51208 .60639 L
.51062 .60872 L
.50725 .61262 L
.50637 .61355 L
.50242 .6179 L
.50151 .61838 L
.50242 .62288 L
.50725 .62206 L
.51122 .62321 L
.50931 .62804 L
.50725 .6306 L
.50552 .63288 L
.50242 .63684 L
.50162 .63771 L
.49758 .64204 L
.49703 .64254 L
.49275 .64448 L
.48792 .64541 L
.48757 .64254 L
.48792 .64194 L
.49012 .63771 L
.49275 .63388 L
.49341 .63288 L
.49741 .62804 L
.49758 .62734 L
.50167 .62321 L
.49758 .61998 L
.49275 .61976 L
.48956 .61838 L
.49275 .61442 L
.49323 .61355 L
.49659 .60872 L
.49758 .60619 L
.50011 .60388 L
.50242 .60115 L
.50385 .59905 L
.50725 .59464 L
.50763 .59422 L
.50725 .59051 L
.50242 .59049 L
.49758 .58942 L
.49757 .58939 L
.49758 .58937 L
.50069 .58456 L
.50242 .58212 L
.50273 .57973 L
.50725 .57544 L
.50764 .57489 L
.51124 .57006 L
.51208 .56887 L
.51459 .56523 L
F
.045 .9 1 r
.50725 .4139 m
.50986 .41544 L
.50866 .42027 L
.50725 .42191 L
.50518 .42511 L
.50242 .42881 L
.50154 .42994 L
.49758 .43438 L
.49713 .43477 L
.49275 .43715 L
.48792 .43609 L
.48762 .43477 L
.48792 .43419 L
.49034 .42994 L
.49275 .4266 L
.4939 .42511 L
.49758 .4206 L
.4979 .42027 L
.50242 .41599 L
.50339 .41544 L
F
0 .425 1 r
.48792 .47814 m
.48857 .47826 L
.48792 .4825 L
.48764 .47826 L
F
0 .65 1 r
.49758 .53696 m
.50168 .54107 L
.49882 .5459 L
.49758 .54667 L
.49321 .55073 L
.49275 .55113 L
.48792 .55163 L
.48774 .55073 L
.48792 .55019 L
.48996 .5459 L
.49275 .54193 L
.49344 .54107 L
F
1 .6 0 r
.50242 .47548 m
.5059 .47826 L
.50389 .48309 L
.50242 .48433 L
.49964 .48792 L
.49758 .49175 L
.49491 .49275 L
.49275 .49434 L
.48792 .49353 L
.48781 .49275 L
.48792 .49262 L
.49032 .48792 L
.49275 .48449 L
.49384 .48309 L
.49758 .47886 L
.49828 .47826 L
F
1 .975 .461 r
.50242 .56351 m
.50725 .56116 L
.51208 .56113 L
.51396 .56523 L
.51208 .56811 L
.51077 .57006 L
.50725 .5748 L
.50717 .57489 L
.5026 .57973 L
.50242 .58119 L
.49985 .58456 L
.49758 .58678 L
.49275 .58903 L
.48792 .58903 L
.48786 .58456 L
.48792 .58342 L
.49006 .57973 L
.49275 .57638 L
.49378 .57489 L
.49737 .57006 L
.49758 .56977 L
.50157 .56523 L
F
0 .65 1 r
.49275 .44914 m
.49758 .44701 L
.49864 .44927 L
.49758 .45149 L
.49606 .4541 L
.49275 .45852 L
.48803 .4541 L
.49262 .44927 L
F
1 .4 0 r
.49275 .50806 m
.49411 .51208 L
.49275 .51401 L
.48807 .51208 L
F
1 .575 0 r
.50242 .47575 m
.50563 .47826 L
.50365 .48309 L
.50242 .48411 L
.49948 .48792 L
.49758 .49165 L
.49463 .49275 L
.49275 .4941 L
.48819 .49275 L
.49048 .48792 L
.49275 .48471 L
.49401 .48309 L
.49758 .47908 L
.49855 .47826 L
F
1 .95 .212 r
.50242 .56456 m
.50725 .56193 L
.51208 .56209 L
.51335 .56523 L
.51208 .56727 L
.5103 .57006 L
.50725 .5742 L
.50671 .57489 L
.50252 .57973 L
.50242 .58037 L
.4987 .58456 L
.49758 .58536 L
.49275 .58773 L
.48828 .58456 L
.49056 .57973 L
.49275 .57708 L
.49423 .57489 L
.49758 .57039 L
.49783 .57006 L
.502 .56523 L
F
0 .625 1 r
.49275 .44953 m
.49578 .4541 L
.49275 .45816 L
.48835 .4541 L
F
.49758 .53731 m
.5014 .54107 L
.49829 .5459 L
.49758 .54635 L
.49276 .55073 L
.49275 .55074 L
.48835 .55073 L
.49023 .5459 L
.49275 .54229 L
.49372 .54107 L
F
1 .375 0 r
.49275 .50843 m
.49389 .51208 L
.49275 .51372 L
.48835 .51208 L
F
1 .55 0 r
.50242 .47602 m
.50536 .47826 L
.50341 .48309 L
.50242 .4839 L
.49931 .48792 L
.49758 .49152 L
.49434 .49275 L
.49275 .49385 L
.48855 .49275 L
.49066 .48792 L
.49275 .48494 L
.49419 .48309 L
.49758 .4793 L
.49883 .47826 L
F
.021 .875 1 r
.50725 .41524 m
.50775 .41544 L
.50789 .42027 L
.50725 .42102 L
.50471 .42511 L
.50242 .4282 L
.50106 .42994 L
.49758 .43372 L
.49625 .43477 L
.49275 .43648 L
.48856 .43477 L
.49082 .42994 L
.49275 .42723 L
.49438 .42511 L
.49758 .42124 L
.49857 .42027 L
.50242 .41683 L
.50581 .41544 L
F
.045 .9 1 r
.51691 .47158 m
.52174 .4712 L
.525 .47342 L
.52262 .47826 L
.52174 .4794 L
.51891 .48309 L
.51691 .48617 L
.51563 .48792 L
.51208 .49237 L
.51186 .49275 L
.50725 .49754 L
.50718 .49758 L
.50725 .50217 L
.51208 .50089 L
.51691 .50184 L
.51727 .50242 L
.51691 .50361 L
.51595 .50725 L
.51208 .5115 L
.51169 .51208 L
.50813 .51691 L
.50725 .51811 L
.50435 .52174 L
.50242 .5243 L
.49998 .52658 L
.49758 .52858 L
.49275 .52917 L
.48858 .52658 L
.492 .52174 L
.49275 .51991 L
.49422 .51691 L
.49758 .51326 L
.49849 .51208 L
.50223 .50725 L
.50242 .50699 L
.50695 .50242 L
.50242 .4992 L
.49758 .49866 L
.49604 .49758 L
.49758 .49532 L
.49899 .49275 L
.50242 .48792 L
.50242 .48792 L
.50637 .48309 L
.50725 .48144 L
.50882 .47826 L
.51208 .47543 L
.51443 .47342 L
F
1 .35 0 r
.49275 .50884 m
.49366 .51208 L
.49275 .51341 L
.48866 .51208 L
F
0 .6 1 r
.49275 .44994 m
.49548 .4541 L
.49275 .45778 L
.48867 .4541 L
F
1 .95 .212 r
.49275 .59849 m
.49758 .59476 L
.50079 .59905 L
.49758 .60358 L
.49733 .60388 L
.49275 .60865 L
.48873 .60388 L
.4919 .59905 L
F
1 .525 0 r
.50242 .47631 m
.50506 .47826 L
.50314 .48309 L
.50242 .48367 L
.49915 .48792 L
.49758 .49136 L
.49402 .49275 L
.49275 .49359 L
.48894 .49275 L
.49083 .48792 L
.49275 .48516 L
.49436 .48309 L
.49758 .47952 L
.49913 .47826 L
F
1 .325 0 r
.49275 .5093 m
.49341 .51208 L
.49275 .51307 L
.489 .51208 L
F
0 .575 1 r
.49275 .45038 m
.49517 .4541 L
.49275 .45739 L
.48902 .4541 L
F
.021 .875 1 r
.51208 .5012 m
.51668 .50242 L
.51582 .50725 L
.51208 .51127 L
.51154 .51208 L
.50798 .51691 L
.50725 .51791 L
.50419 .52174 L
.50242 .524 L
.49956 .52658 L
.49758 .52813 L
.49275 .52884 L
.48905 .52658 L
.49209 .52174 L
.49275 .52014 L
.49432 .51691 L
.49758 .51345 L
.49863 .51208 L
.50242 .50726 L
.50243 .50725 L
.50725 .50259 L
.50761 .50242 L
F
1 .5 0 r
.50242 .4766 m
.50475 .47826 L
.50286 .48309 L
.50242 .48344 L
.49898 .48792 L
.49758 .49115 L
.49368 .49275 L
.49275 .49334 L
.48939 .49275 L
.49101 .48792 L
.49275 .4854 L
.49454 .48309 L
.49758 .47975 L
.49946 .47826 L
F
1 .3 0 r
.49275 .50986 m
.49314 .51208 L
.49275 .51269 L
.48939 .51208 L
F
0 .55 1 r
.49275 .45083 m
.49483 .4541 L
.49275 .45696 L
.4894 .4541 L
F
.01 .85 1 r
.51208 .50152 m
.51589 .50242 L
.51568 .50725 L
.51208 .51102 L
.51138 .51208 L
.50784 .51691 L
.50725 .5177 L
.50404 .52174 L
.50242 .52373 L
.49912 .52658 L
.49758 .52771 L
.49275 .5285 L
.48954 .52658 L
.49219 .52174 L
.49275 .52037 L
.49443 .51691 L
.49758 .51363 L
.49877 .51208 L
.50242 .50746 L
.50264 .50725 L
.50725 .5029 L
.50835 .50242 L
F
1 .925 .098 r
.50725 .56263 m
.51208 .56334 L
.51265 .56523 L
.51208 .56623 L
.50982 .57006 L
.50725 .57359 L
.50625 .57489 L
.50242 .57961 L
.50231 .57973 L
.49758 .58428 L
.49712 .58456 L
.49275 .5865 L
.48965 .58456 L
.49113 .57973 L
.49275 .57783 L
.49468 .57489 L
.49758 .57099 L
.4983 .57006 L
.50242 .5654 L
.5026 .56523 L
F
.01 .85 1 r
.50242 .41765 m
.50699 .42027 L
.50423 .42511 L
.50242 .42758 L
.50055 .42994 L
.49758 .43308 L
.4952 .43477 L
.49275 .43579 L
.48968 .43477 L
.49133 .42994 L
.49275 .42789 L
.49487 .42511 L
.49758 .42188 L
.49929 .42027 L
F
0 .525 1 r
.49275 .45133 m
.49447 .4541 L
.49275 .4565 L
.48982 .4541 L
F
1 .275 0 r
.49275 .51067 m
.49284 .51208 L
.49275 .51223 L
.48987 .51208 L
F
1 .475 0 r
.50242 .4769 m
.50441 .47826 L
.50255 .48309 L
.50242 .4832 L
.49881 .48792 L
.49758 .4909 L
.49329 .49275 L
.49275 .49307 L
.48993 .49275 L
.49119 .48792 L
.49275 .48564 L
.49473 .48309 L
.49758 .47997 L
.49982 .47826 L
F
.004 .825 1 r
.51208 .50183 m
.51498 .50242 L
.51552 .50725 L
.51208 .51077 L
.51123 .51208 L
.50769 .51691 L
.50725 .5175 L
.50387 .52174 L
.50242 .52346 L
.49866 .52658 L
.49758 .52732 L
.49275 .52816 L
.49005 .52658 L
.49229 .52174 L
.49275 .52062 L
.49454 .51691 L
.49758 .51381 L
.49892 .51208 L
.50242 .50761 L
.50284 .50725 L
.50725 .50319 L
.5092 .50242 L
F
0 .5 1 r
.49275 .4519 m
.49406 .4541 L
.49275 .45597 L
.4903 .4541 L
F
0 .6 1 r
.49758 .53766 m
.50111 .54107 L
.49769 .5459 L
.49758 .54597 L
.49275 .55031 L
.49052 .5459 L
.49275 .54266 L
.49402 .54107 L
F
.002 .8 1 r
.51208 .50215 m
.51385 .50242 L
.51534 .50725 L
.51208 .51051 L
.51107 .51208 L
.50754 .51691 L
.50725 .5173 L
.5037 .52174 L
.50242 .52319 L
.49817 .52658 L
.49758 .52696 L
.49275 .52781 L
.49058 .52658 L
.49239 .52174 L
.49275 .52088 L
.49466 .51691 L
.49758 .514 L
.49906 .51208 L
.50242 .50773 L
.50306 .50725 L
.50725 .50347 L
.5103 .50242 L
F
1 .45 0 r
.49758 .4802 m
.5023 .48309 L
.49863 .48792 L
.49758 .4906 L
.49284 .49275 L
.49275 .4928 L
.49068 .49275 L
.49138 .48792 L
.49275 .48589 L
.49492 .48309 L
F
0 .575 1 r
.49275 .54305 m
.4973 .5459 L
.49275 .54986 L
.49082 .5459 L
F
0 .475 1 r
.49275 .45258 m
.49358 .4541 L
.49275 .45534 L
.4909 .4541 L
F
1 .925 .098 r
.49275 .60114 m
.49509 .60388 L
.49275 .60592 L
.49095 .60388 L
F
.49275 .3943 m
.49516 .39612 L
.49275 .39927 L
.49101 .39612 L
F
0 .55 1 r
.49275 .54348 m
.49694 .5459 L
.49275 .54938 L
.49114 .5459 L
F
.001 .775 1 r
.50725 .50374 m
.51208 .50248 L
.51513 .50725 L
.51208 .51025 L
.51092 .51208 L
.50739 .51691 L
.50725 .5171 L
.50351 .52174 L
.50242 .52294 L
.49764 .52658 L
.49758 .52661 L
.49275 .52744 L
.49117 .52658 L
.4925 .52174 L
.49275 .52115 L
.49478 .51691 L
.49758 .51418 L
.4992 .51208 L
.50242 .50783 L
.50327 .50725 L
F
.004 .825 1 r
.50242 .41849 m
.5061 .42027 L
.50373 .42511 L
.50242 .42692 L
.50001 .42994 L
.49758 .43244 L
.49375 .43477 L
.49275 .43506 L
.49127 .43477 L
.49187 .42994 L
.49275 .42861 L
.49539 .42511 L
.49758 .42253 L
.50011 .42027 L
F
1 .9 .045 r
.50725 .56331 m
.51175 .56523 L
.50933 .57006 L
.50725 .57297 L
.50577 .57489 L
.50242 .57896 L
.50165 .57973 L
.49758 .58343 L
.49522 .58456 L
.49275 .58521 L
.49142 .58456 L
.49184 .57973 L
.49275 .57868 L
.49514 .57489 L
.49758 .5716 L
.49879 .57006 L
.50242 .56607 L
.50346 .56523 L
F
0 .525 1 r
.49275 .54394 m
.49654 .5459 L
.49275 .54885 L
.49149 .5459 L
F
1 .425 0 r
.49758 .48043 m
.50209 .48309 L
.49845 .48792 L
.49758 .49023 L
.49275 .49246 L
.49157 .48792 L
.49275 .48615 L
.49511 .48309 L
F
1 .4 0 r
.49758 .48067 m
.50186 .48309 L
.49825 .48792 L
.49758 .4898 L
.49275 .4921 L
.49178 .48792 L
.49275 .48643 L
.49532 .48309 L
F
0 .75 1 r
.50725 .504 m
.51208 .50284 L
.5149 .50725 L
.51208 .50997 L
.51076 .51208 L
.50725 .5169 L
.50724 .51691 L
.50332 .52174 L
.50242 .52269 L
.49758 .52632 L
.49687 .52658 L
.49275 .52705 L
.49182 .52658 L
.49262 .52174 L
.49275 .52143 L
.49492 .51691 L
.49758 .51437 L
.49935 .51208 L
.50242 .5079 L
.50349 .50725 L
F
0 .45 1 r
.49275 .45361 m
.49294 .4541 L
.49275 .45444 L
.49183 .4541 L
F
0 .5 1 r
.49275 .54446 m
.49607 .5459 L
.49275 .54823 L
.49187 .5459 L
F
1 .375 0 r
.49758 .48091 m
.50163 .48309 L
.49806 .48792 L
.49758 .4893 L
.49275 .49169 L
.49198 .48792 L
.49275 .48672 L
.49553 .48309 L
F
1 .35 0 r
.49758 .48116 m
.50138 .48309 L
.49785 .48792 L
.49758 .48873 L
.49275 .49124 L
.4922 .48792 L
.49275 .48704 L
.49575 .48309 L
F
0 .475 1 r
.49275 .5451 m
.49548 .5459 L
.49275 .54745 L
.4923 .5459 L
F
1 .325 0 r
.49758 .48142 m
.50111 .48309 L
.49763 .48792 L
.49758 .48807 L
.49275 .49071 L
.49243 .48792 L
.49275 .48739 L
.49598 .48309 L
F
.002 .8 1 r
.50242 .41939 m
.50496 .42027 L
.50319 .42511 L
.50242 .4262 L
.49944 .42994 L
.49758 .43179 L
.49275 .43398 L
.49244 .42994 L
.49275 .42944 L
.49595 .42511 L
.49758 .42321 L
.50111 .42027 L
F
0 .725 1 r
.50725 .50426 m
.51208 .50321 L
.51462 .50725 L
.51208 .50968 L
.5106 .51208 L
.50725 .51669 L
.50708 .51691 L
.50311 .52174 L
.50242 .52244 L
.49758 .52605 L
.49577 .52658 L
.49275 .52664 L
.49262 .52658 L
.49275 .52174 L
.49275 .52174 L
.49506 .51691 L
.49758 .51456 L
.4995 .51208 L
.50242 .50796 L
.50371 .50725 L
F
1 .3 0 r
.49275 .48779 m
.49733 .48792 L
.49275 .48998 L
.49268 .48792 L
F
1 .875 .021 r
.50725 .56399 m
.5107 .56523 L
.50883 .57006 L
.50725 .57233 L
.50528 .57489 L
.50242 .57832 L
.50095 .57973 L
.49758 .58261 L
.49275 .57973 L
.49562 .57489 L
.49758 .57222 L
.49929 .57006 L
.50242 .56672 L
.50444 .56523 L
F
1 .9 .045 r
.51208 .4423 m
.51691 .44266 L
.5183 .44443 L
.51691 .44658 L
.51559 .44927 L
.51234 .4541 L
.51208 .45419 L
.50846 .45893 L
.50725 .46091 L
.50617 .46376 L
.50242 .46635 L
.49758 .46831 L
.49294 .46376 L
.4964 .45893 L
.49758 .45589 L
.49844 .4541 L
.50242 .4512 L
.50373 .44927 L
.50725 .44535 L
.50851 .44443 L
F
0 .7 1 r
.50725 .50451 m
.51208 .50361 L
.51431 .50725 L
.51208 .50937 L
.51045 .51208 L
.50725 .51649 L
.50692 .51691 L
.50289 .52174 L
.50242 .5222 L
.49758 .52578 L
.49297 .52174 L
.49522 .51691 L
.49758 .51475 L
.49965 .51208 L
.50242 .508 L
.50394 .50725 L
F
0 .625 1 r
.49758 .44771 m
.49823 .44927 L
.49758 .45083 L
.49312 .44927 L
F
.001 .775 1 r
.49758 .42393 m
.50242 .42049 L
.50259 .42511 L
.50242 .42537 L
.49879 .42994 L
.49758 .4311 L
.49316 .42994 L
.49656 .42511 L
F
1 .95 .212 r
.49758 .38825 m
.50001 .39128 L
.49758 .39584 L
.4932 .39128 L
F
0 .675 1 r
.50725 .50475 m
.51208 .50403 L
.51395 .50725 L
.51208 .50904 L
.51029 .51208 L
.50725 .51628 L
.50676 .51691 L
.50265 .52174 L
.50242 .52196 L
.49758 .52551 L
.4932 .52174 L
.49539 .51691 L
.49758 .51494 L
.4998 .51208 L
.50242 .50804 L
.50417 .50725 L
F
1 .875 .021 r
.51208 .44287 m
.51691 .44388 L
.51725 .44443 L
.51691 .44529 L
.51528 .44927 L
.51211 .4541 L
.51208 .45411 L
.5083 .45893 L
.50725 .46061 L
.50591 .46376 L
.50242 .46594 L
.49758 .46794 L
.49326 .46376 L
.49655 .45893 L
.49758 .45616 L
.49858 .4541 L
.50242 .45146 L
.50402 .44927 L
.50725 .44576 L
.50921 .44443 L
F
0 .65 1 r
.50725 .505 m
.51208 .5045 L
.51355 .50725 L
.51208 .50868 L
.51013 .51208 L
.50725 .51607 L
.5066 .51691 L
.50242 .52172 L
.5024 .52174 L
.49758 .52524 L
.49344 .52174 L
.49557 .51691 L
.49758 .51513 L
.49995 .51208 L
.50242 .50808 L
.50441 .50725 L
F
1 .85 .01 r
.51208 .44343 m
.51622 .44443 L
.51495 .44927 L
.51208 .45377 L
.51187 .4541 L
.50815 .45893 L
.50725 .46032 L
.50558 .46376 L
.50242 .46556 L
.49758 .46758 L
.49359 .46376 L
.49672 .45893 L
.49758 .45649 L
.49876 .4541 L
.50242 .4517 L
.50431 .44927 L
.50725 .44615 L
.51 .44443 L
F
.50725 .5647 m
.50934 .56523 L
.50831 .57006 L
.50725 .57163 L
.50477 .57489 L
.50242 .57768 L
.50017 .57973 L
.49758 .58178 L
.4936 .57973 L
.49611 .57489 L
.49758 .57287 L
.49981 .57006 L
.50242 .56736 L
.5057 .56523 L
F
0 .625 1 r
.50725 .50525 m
.51208 .50504 L
.51309 .50725 L
.51208 .50827 L
.50996 .51208 L
.50725 .51587 L
.50644 .51691 L
.50242 .5215 L
.50215 .52174 L
.49758 .52497 L
.49368 .52174 L
.49576 .51691 L
.49758 .51533 L
.5001 .51208 L
.50242 .50813 L
.50466 .50725 L
F
0 .6 1 r
.49758 .44869 m
.49776 .44927 L
.49758 .44987 L
.49379 .44927 L
F
.50725 .50549 m
.51208 .50572 L
.51258 .50725 L
.51208 .50779 L
.5098 .51208 L
.50725 .51565 L
.50627 .51691 L
.50242 .52129 L
.5019 .52174 L
.49758 .52471 L
.49393 .52174 L
.49596 .51691 L
.49758 .51553 L
.50026 .51208 L
.50242 .5082 L
.50491 .50725 L
F
1 .825 .004 r
.51208 .44398 m
.51504 .44443 L
.51463 .44927 L
.51208 .45339 L
.51163 .4541 L
.50798 .45893 L
.50725 .46003 L
.50518 .46376 L
.50242 .4652 L
.49758 .46722 L
.49393 .46376 L
.49689 .45893 L
.49758 .45689 L
.49896 .4541 L
.50242 .45191 L
.5046 .44927 L
.50725 .44653 L
.51095 .44443 L
F
0 .575 1 r
.50725 .50574 m
.51204 .50725 L
.50963 .51208 L
.50725 .51544 L
.5061 .51691 L
.50242 .52107 L
.50164 .52174 L
.49758 .52444 L
.49418 .52174 L
.49619 .51691 L
.49758 .51574 L
.50041 .51208 L
.50242 .50828 L
.50518 .50725 L
F
1 .975 .461 r
.53624 .44371 m
.54107 .4413 L
.5459 .44213 L
.54682 .44443 L
.5459 .44612 L
.54415 .44927 L
.54107 .45394 L
.54098 .4541 L
.53753 .45893 L
.53624 .46061 L
.53276 .46376 L
.53141 .4668 L
.52951 .46859 L
.53141 .47044 L
.53624 .47046 L
.54019 .47342 L
.53723 .47826 L
.53624 .47947 L
.53213 .48309 L
.53141 .48694 L
.5301 .48792 L
.52658 .49237 L
.52642 .49275 L
.52249 .49758 L
.52658 .50028 L
.53141 .50092 L
.53277 .50242 L
.53141 .50431 L
.52944 .50725 L
.52658 .51145 L
.52616 .51208 L
.52261 .51691 L
.52174 .51807 L
.51777 .52174 L
.51691 .52457 L
.51542 .52658 L
.51691 .53048 L
.52174 .5307 L
.52596 .53141 L
.52207 .53624 L
.52174 .53664 L
.51861 .54107 L
.51691 .54372 L
.51494 .5459 L
.51208 .54898 L
.51126 .55073 L
.50745 .55557 L
.50725 .55586 L
.50242 .55967 L
.49758 .55991 L
.49419 .55557 L
.49757 .55073 L
.49758 .5507 L
.50199 .5459 L
.50242 .5449 L
.50432 .54107 L
.50725 .53775 L
.50852 .53624 L
.51208 .53195 L
.51312 .53141 L
.51208 .52989 L
.50725 .52997 L
.50242 .52947 L
.50163 .52658 L
.50242 .52566 L
.50495 .52174 L
.50725 .51894 L
.50873 .51691 L
.51208 .51239 L
.51232 .51208 L
.51638 .50725 L
.51691 .50584 L
.51924 .50242 L
.51691 .49987 L
.51208 .49956 L
.5077 .49758 L
.51208 .49378 L
.51273 .49275 L
.51628 .48792 L
.51691 .48706 L
.51953 .48309 L
.52174 .48058 L
.5237 .47826 L
.52658 .4744 L
.52766 .47342 L
.52658 .46931 L
.52174 .46937 L
.51789 .46859 L
.5203 .46376 L
.52174 .46204 L
.52406 .45893 L
.52658 .4555 L
.52771 .4541 L
.53141 .44927 L
.53141 .44926 L
.53531 .44443 L
F
0 .75 1 r
.49758 .42474 m
.50173 .42511 L
.49803 .42994 L
.49758 .43034 L
.49419 .42994 L
.49726 .42511 L
F
1 .8 .002 r
.50725 .44691 m
.51208 .44453 L
.5143 .44927 L
.51208 .45298 L
.51139 .4541 L
.50781 .45893 L
.50725 .45974 L
.50469 .46376 L
.50242 .46485 L
.49758 .46687 L
.49427 .46376 L
.49707 .45893 L
.49758 .45736 L
.4992 .4541 L
.50242 .45211 L
.50491 .44927 L
F
0 .575 1 r
.49758 .53803 m
.5008 .54107 L
.49758 .54559 L
.49433 .54107 L
F
0 .55 1 r
.50725 .50598 m
.5117 .50725 L
.50946 .51208 L
.50725 .51522 L
.50593 .51691 L
.50242 .52085 L
.50137 .52174 L
.49758 .52416 L
.49445 .52174 L
.49642 .51691 L
.49758 .51595 L
.50057 .51208 L
.50242 .50839 L
.50546 .50725 L
F
1 .925 .098 r
.49758 .59742 m
.49869 .59905 L
.49758 .60094 L
.49461 .59905 L
F
1 .775 .001 r
.50725 .44728 m
.51208 .44509 L
.51395 .44927 L
.51208 .45255 L
.51115 .4541 L
.50762 .45893 L
.50725 .45945 L
.50411 .46376 L
.50242 .4645 L
.49758 .4665 L
.49463 .46376 L
.49726 .45893 L
.49758 .45791 L
.49947 .4541 L
.50242 .45231 L
.50522 .44927 L
F
1 .825 .004 r
.50242 .56801 m
.50725 .5656 L
.50775 .57006 L
.50725 .57084 L
.50423 .57489 L
.50242 .57701 L
.49924 .57973 L
.49758 .5809 L
.49464 .57973 L
.49664 .57489 L
.49758 .57357 L
.50038 .57006 L
F
0 .55 1 r
.49758 .53841 m
.50046 .54107 L
.49758 .54518 L
.49467 .54107 L
F
1 .95 .212 r
.53141 .47136 m
.53624 .47128 L
.53906 .47342 L
.53674 .47826 L
.53624 .47891 L
.53193 .48309 L
.53141 .48676 L
.5299 .48792 L
.52658 .49172 L
.52613 .49275 L
.52174 .49758 L
.52174 .49758 L
.52174 .50148 L
.52658 .50074 L
.53141 .50199 L
.53168 .50242 L
.53141 .50309 L
.52915 .50725 L
.52658 .51111 L
.52595 .51208 L
.5224 .51691 L
.52174 .51779 L
.51764 .52174 L
.51691 .52418 L
.51508 .52658 L
.51691 .531 L
.52174 .53125 L
.52325 .53141 L
.52174 .53604 L
.52165 .53624 L
.51834 .54107 L
.51691 .54348 L
.51475 .5459 L
.51208 .54853 L
.51097 .55073 L
.50725 .55525 L
.50689 .55557 L
.50242 .55897 L
.49758 .55931 L
.49472 .55557 L
.49758 .55116 L
.49785 .55073 L
.50205 .5459 L
.50242 .54502 L
.50449 .54107 L
.50725 .53807 L
.50884 .53624 L
.51208 .53258 L
.51488 .53141 L
.51208 .52906 L
.50725 .52963 L
.50242 .52877 L
.50204 .52658 L
.50242 .5261 L
.50511 .52174 L
.50725 .51916 L
.50887 .51691 L
.51208 .5126 L
.51249 .51208 L
.5165 .50725 L
.51691 .50623 L
.52011 .50242 L
.51691 .49948 L
.51208 .49918 L
.50813 .49758 L
.51208 .4942 L
.51295 .49275 L
.51645 .48792 L
.51691 .48728 L
.5197 .48309 L
.52174 .48086 L
.52398 .47826 L
.52658 .47492 L
.52844 .47342 L
F
0 .525 1 r
.50725 .50623 m
.51133 .50725 L
.50929 .51208 L
.50725 .51499 L
.50576 .51691 L
.50242 .52063 L
.50107 .52174 L
.49758 .52389 L
.49473 .52174 L
.49668 .51691 L
.49758 .51617 L
.50074 .51208 L
.50242 .50853 L
.50576 .50725 L
F
1 .75 0 r
.50725 .44764 m
.51208 .44567 L
.5136 .44927 L
.51208 .45207 L
.5109 .4541 L
.50741 .45893 L
.50725 .45915 L
.50341 .46376 L
.50242 .46416 L
.49758 .46613 L
.495 .46376 L
.49747 .45893 L
.49758 .45856 L
.49979 .4541 L
.50242 .45251 L
.50555 .44927 L
F
0 .5 1 r
.50725 .50649 m
.51092 .50725 L
.50911 .51208 L
.50725 .51476 L
.50558 .51691 L
.50242 .52041 L
.50077 .52174 L
.49758 .5236 L
.49503 .52174 L
.49695 .51691 L
.49758 .5164 L
.5009 .51208 L
.50242 .5087 L
.50608 .50725 L
F
0 .525 1 r
.49758 .53881 m
.50011 .54107 L
.49758 .54475 L
.49503 .54107 L
F
1 .925 .098 r
.51208 .5331 m
.51691 .53149 L
.52125 .53624 L
.51809 .54107 L
.51691 .54319 L
.51457 .5459 L
.51208 .54816 L
.51068 .55073 L
.50725 .55478 L
.50632 .55557 L
.50242 .55836 L
.49758 .5587 L
.49526 .55557 L
.49758 .55165 L
.49812 .55073 L
.50211 .5459 L
.50242 .54514 L
.50467 .54107 L
.50725 .53838 L
.50916 .53624 L
F
0 .475 1 r
.50725 .50675 m
.51045 .50725 L
.50893 .51208 L
.50725 .51453 L
.5054 .51691 L
.50242 .52018 L
.50043 .52174 L
.49758 .52331 L
.49535 .52174 L
.49724 .51691 L
.49758 .51663 L
.50107 .51208 L
.50242 .50892 L
.50644 .50725 L
F
1 .725 0 r
.50725 .44801 m
.51208 .4463 L
.51322 .44927 L
.51208 .45154 L
.51065 .4541 L
.50725 .45885 L
.50719 .45893 L
.50259 .46376 L
.50242 .46383 L
.49758 .46575 L
.49539 .46376 L
.49758 .45913 L
.49771 .45893 L
.50015 .4541 L
.50242 .45273 L
.5059 .44927 L
F
0 .5 1 r
.49758 .53924 m
.49971 .54107 L
.49758 .54427 L
.49544 .54107 L
F
0 .45 1 r
.50725 .50701 m
.50987 .50725 L
.50875 .51208 L
.50725 .51428 L
.50521 .51691 L
.50242 .51996 L
.50006 .52174 L
.49758 .523 L
.4957 .52174 L
.49755 .51691 L
.49758 .51688 L
.50125 .51208 L
.50242 .50919 L
.50684 .50725 L
F
1 .7 0 r
.49758 .45959 m
.50203 .46376 L
.49758 .46535 L
.49582 .46376 L
F
1 .9 .045 r
.51208 .53356 m
.51691 .53194 L
.52085 .53624 L
.51783 .54107 L
.51691 .54285 L
.51438 .5459 L
.51208 .54786 L
.51039 .55073 L
.50725 .55436 L
.50573 .55557 L
.50242 .5578 L
.49758 .55806 L
.49582 .55557 L
.49758 .55221 L
.4984 .55073 L
.50217 .5459 L
.50242 .54528 L
.50486 .54107 L
.50725 .53868 L
.50948 .53624 L
F
.212 .95 1 r
.51208 .38633 m
.51599 .38645 L
.51531 .39128 L
.51229 .39612 L
.51208 .39665 L
.50956 .40095 L
.50725 .40283 L
.50391 .40578 L
.50242 .40666 L
.49758 .40704 L
.49584 .40578 L
.49758 .40181 L
.49808 .40095 L
.50148 .39612 L
.50242 .39574 L
.50582 .39128 L
.50725 .38969 L
.51188 .38645 L
F
0 .475 1 r
.49758 .53971 m
.49925 .54107 L
.49758 .54371 L
.4959 .54107 L
F
0 .425 1 r
.49758 .51724 m
.49964 .52174 L
.49758 .52267 L
.49609 .52174 L
F
1 .3 0 r
.49758 .4817 m
.50082 .48309 L
.49758 .48766 L
.49623 .48309 L
F
1 .675 0 r
.49758 .46012 m
.50148 .46376 L
.49758 .46492 L
.49628 .46376 L
F
1 .8 .002 r
.50242 .56868 m
.5071 .57006 L
.50364 .57489 L
.50242 .57631 L
.49793 .57973 L
.49758 .57992 L
.4963 .57973 L
.49721 .57489 L
.49758 .57435 L
.50099 .57006 L
F
1 .875 .021 r
.51208 .53399 m
.51691 .53238 L
.52045 .53624 L
.51756 .54107 L
.51691 .54245 L
.51418 .5459 L
.51208 .5476 L
.5101 .55073 L
.50725 .55395 L
.50512 .55557 L
.50242 .55727 L
.49758 .55736 L
.4964 .55557 L
.49758 .55287 L
.49868 .55073 L
.50224 .5459 L
.50242 .54544 L
.50507 .54107 L
.50725 .53898 L
.50981 .53624 L
F
0 .45 1 r
.49758 .54026 m
.49868 .54107 L
.49758 .54301 L
.49647 .54107 L
F
1 .275 0 r
.49758 .48199 m
.50049 .48309 L
.49758 .48729 L
.49649 .48309 L
F
0 .4 1 r
.49758 .51767 m
.49913 .52174 L
.49758 .52233 L
.49656 .52174 L
F
.021 .875 1 r
.51691 .47208 m
.52174 .47166 L
.52435 .47342 L
.52235 .47826 L
.52174 .47907 L
.51877 .48309 L
.51691 .48595 L
.51546 .48792 L
.51208 .49206 L
.51164 .49275 L
.50725 .49721 L
.50656 .49758 L
.50242 .4989 L
.49758 .4982 L
.49671 .49758 L
.49758 .49593 L
.49918 .49275 L
.50242 .48813 L
.50256 .48792 L
.50646 .48309 L
.50725 .48165 L
.50901 .47826 L
.51208 .47574 L
.51496 .47342 L
F
1 .25 0 r
.49758 .48229 m
.50012 .48309 L
.49758 .48688 L
.49678 .48309 L
F
.212 .95 1 r
.51208 .59344 m
.51691 .59366 L
.51754 .59422 L
.51691 .59664 L
.51576 .59905 L
.51223 .60388 L
.51208 .60428 L
.50887 .60872 L
.50725 .60997 L
.50285 .61355 L
.50242 .61387 L
.49758 .61478 L
.49678 .61355 L
.49758 .61066 L
.49846 .60872 L
.50137 .60388 L
.50242 .6023 L
.50531 .59905 L
.50725 .59683 L
.51056 .59422 L
F
1 .65 0 r
.49758 .46076 m
.50082 .46376 L
.49758 .46444 L
.4968 .46376 L
F
1 .85 .01 r
.51208 .53439 m
.51691 .53283 L
.52004 .53624 L
.5173 .54107 L
.51691 .54196 L
.51398 .5459 L
.51208 .54738 L
.50981 .55073 L
.50725 .55356 L
.50446 .55557 L
.50242 .55676 L
.49758 .55653 L
.49703 .55557 L
.49758 .55377 L
.49897 .55073 L
.50231 .5459 L
.50242 .54562 L
.5053 .54107 L
.50725 .53927 L
.51015 .53624 L
F
1 .225 0 r
.49758 .48263 m
.49967 .48309 L
.49758 .4864 L
.49711 .48309 L
F
0 .375 1 r
.49758 .51819 m
.4984 .52174 L
.49758 .52194 L
.49716 .52174 L
F
0 .425 1 r
.49758 .54098 m
.49777 .54107 L
.49758 .54181 L
.4974 .54107 L
F
1 .625 0 r
.49758 .46169 m
.49988 .46376 L
.49758 .46389 L
.49743 .46376 L
F
1 .2 0 r
.49758 .48301 m
.49901 .48309 L
.49758 .48577 L
.4975 .48309 L
F
.01 .85 1 r
.51691 .47254 m
.52174 .47214 L
.52367 .47342 L
.52208 .47826 L
.52174 .47873 L
.51863 .48309 L
.51691 .48573 L
.5153 .48792 L
.51208 .4918 L
.51143 .49275 L
.50725 .4969 L
.50591 .49758 L
.50242 .49861 L
.49758 .49762 L
.49754 .49758 L
.49758 .49708 L
.49937 .49275 L
.50242 .48835 L
.50271 .48792 L
.50655 .48309 L
.50725 .48185 L
.50921 .47826 L
.51208 .47605 L
.51552 .47342 L
F
0 .7 1 r
.50242 .53438 m
.50448 .53624 L
.50242 .54073 L
.49764 .53624 L
F
0 .425 1 r
.50242 .50951 m
.50725 .5073 L
.50856 .51208 L
.50725 .51403 L
.50502 .51691 L
.50242 .51973 L
.49777 .51691 L
.50143 .51208 L
F
1 .825 .004 r
.51208 .53478 m
.51691 .53327 L
.51963 .53624 L
.51704 .54107 L
.51691 .54138 L
.51377 .5459 L
.51208 .54719 L
.50951 .55073 L
.50725 .55318 L
.50372 .55557 L
.50242 .55626 L
.49777 .55557 L
.49926 .55073 L
.5024 .5459 L
.50242 .54585 L
.50555 .54107 L
.50725 .53956 L
.5105 .53624 L
F
1 .775 .001 r
.50242 .56941 m
.50618 .57006 L
.50298 .57489 L
.50242 .57553 L
.49795 .57489 L
.50171 .57006 L
F
1 .7 0 r
.50725 .44838 m
.51208 .44702 L
.51283 .44927 L
.51208 .45093 L
.51039 .4541 L
.50725 .45852 L
.50692 .45893 L
.50242 .46349 L
.49796 .45893 L
.50056 .4541 L
.50242 .45297 L
.50626 .44927 L
F
0 .4 1 r
.50242 .5099 m
.50725 .50765 L
.50836 .51208 L
.50725 .51376 L
.50482 .51691 L
.50242 .51949 L
.49798 .51691 L
.50161 .51208 L
F
0 .675 1 r
.50242 .53478 m
.50404 .53624 L
.50242 .54025 L
.49814 .53624 L
F
0 .375 1 r
.50242 .51035 m
.50725 .50803 L
.50816 .51208 L
.50725 .51348 L
.50462 .51691 L
.50242 .51925 L
.49821 .51691 L
.50181 .51208 L
F
1 .675 0 r
.50725 .44875 m
.51208 .44796 L
.5124 .44927 L
.51208 .45014 L
.51013 .4541 L
.50725 .45818 L
.50665 .45893 L
.50242 .46315 L
.49823 .45893 L
.50102 .4541 L
.50242 .45324 L
.50665 .44927 L
F
.004 .825 1 r
.51691 .47297 m
.52174 .47265 L
.52293 .47342 L
.52181 .47826 L
.52174 .47835 L
.5185 .48309 L
.51691 .48551 L
.51514 .48792 L
.51208 .49157 L
.51121 .49275 L
.50725 .49661 L
.50519 .49758 L
.50242 .49833 L
.4983 .49758 L
.49957 .49275 L
.50242 .48857 L
.50286 .48792 L
.50665 .48309 L
.50725 .48205 L
.50945 .47826 L
.51208 .47634 L
.51613 .47342 L
F
0 .35 1 r
.50242 .51087 m
.50725 .50844 L
.50795 .51208 L
.50725 .51318 L
.5044 .51691 L
.50242 .51901 L
.49845 .51691 L
.50201 .51208 L
F
1 .65 0 r
.50725 .44914 m
.51188 .44927 L
.50986 .4541 L
.50725 .45783 L
.50637 .45893 L
.50242 .4628 L
.49851 .45893 L
.50154 .4541 L
.50242 .45355 L
.50709 .44927 L
F
0 .325 1 r
.50242 .51147 m
.50725 .50892 L
.50773 .51208 L
.50725 .51285 L
.50418 .51691 L
.50242 .51875 L
.49871 .51691 L
.50222 .51208 L
F
0 .65 1 r
.50242 .53523 m
.50357 .53624 L
.50242 .53969 L
.49872 .53624 L
F
1 .625 0 r
.50242 .4539 m
.50725 .44955 L
.50957 .4541 L
.50725 .45746 L
.50608 .45893 L
.50242 .46245 L
.4988 .45893 L
.50211 .4541 L
F
1 .8 .002 r
.51208 .53516 m
.51691 .53373 L
.51919 .53624 L
.51691 .54082 L
.51677 .54107 L
.51354 .5459 L
.51208 .54701 L
.50921 .55073 L
.50725 .55281 L
.50284 .55557 L
.50242 .55576 L
.49892 .55557 L
.49956 .55073 L
.50242 .54618 L
.5026 .5459 L
.50582 .54107 L
.50725 .53985 L
.51087 .53624 L
F
0 .3 1 r
.50242 .51211 m
.50394 .51691 L
.50242 .51849 L
.49898 .51691 L
F
1 .6 0 r
.50242 .45429 m
.50577 .45893 L
.50242 .46209 L
.4991 .45893 L
F
1 .975 .461 r
.51691 .4132 m
.52174 .41129 L
.52658 .41223 L
.52662 .41544 L
.52658 .41551 L
.52305 .42027 L
.52174 .42295 L
.52091 .42511 L
.51691 .42965 L
.5167 .42994 L
.51293 .43477 L
.51208 .43597 L
.50725 .4388 L
.50242 .43896 L
.49918 .43477 L
.50242 .43135 L
.50339 .42994 L
.50698 .42511 L
.50725 .42473 L
.51075 .42027 L
.51208 .41844 L
.51301 .41544 L
F
.002 .8 1 r
.51691 .47338 m
.52174 .47321 L
.52208 .47342 L
.52174 .47775 L
.52154 .47826 L
.51836 .48309 L
.51691 .48528 L
.51498 .48792 L
.51208 .49138 L
.511 .49275 L
.50725 .49634 L
.50437 .49758 L
.50242 .49804 L
.49919 .49758 L
.49977 .49275 L
.50242 .4888 L
.50301 .48792 L
.50675 .48309 L
.50725 .48225 L
.50971 .47826 L
.51208 .47663 L
.51683 .47342 L
F
0 .275 1 r
.50242 .51246 m
.50369 .51691 L
.50242 .51821 L
.49928 .51691 L
F
1 .575 0 r
.50242 .45468 m
.50544 .45893 L
.50242 .46171 L
.49943 .45893 L
F
0 .625 1 r
.50242 .53572 m
.50302 .53624 L
.50242 .53899 L
.49944 .53624 L
F
0 .25 1 r
.50242 .51283 m
.50342 .51691 L
.50242 .51792 L
.49962 .51691 L
F
1 .55 0 r
.50242 .45511 m
.50509 .45893 L
.50242 .46132 L
.49978 .45893 L
F
1 .95 .212 r
.51691 .41481 m
.52174 .41299 L
.5249 .41544 L
.52253 .42027 L
.52174 .42199 L
.5206 .42511 L
.51691 .42892 L
.51617 .42994 L
.51216 .43477 L
.51208 .43486 L
.50725 .43801 L
.50242 .43815 L
.49978 .43477 L
.50242 .43208 L
.50385 .42994 L
.50725 .42535 L
.50745 .42511 L
.51131 .42027 L
.51208 .41935 L
.5152 .41544 L
F
.098 .925 1 r
.50242 .39713 m
.50718 .40095 L
.50242 .40449 L
.49979 .40095 L
F
1 .775 .001 r
.51208 .53553 m
.51691 .53421 L
.51874 .53624 L
.51691 .5403 L
.51649 .54107 L
.51329 .5459 L
.51208 .54683 L
.50889 .55073 L
.50725 .55244 L
.50242 .55528 L
.49987 .55073 L
.50242 .54654 L
.50284 .5459 L
.50612 .54107 L
.50725 .54014 L
.51125 .53624 L
F
.001 .775 1 r
.51208 .4769 m
.51691 .47373 L
.52127 .47826 L
.51822 .48309 L
.51691 .48506 L
.51481 .48792 L
.51208 .49122 L
.51078 .49275 L
.50725 .49607 L
.50333 .49758 L
.50242 .49775 L
.50041 .49758 L
.49997 .49275 L
.50242 .48903 L
.50317 .48792 L
.50686 .48309 L
.50725 .48245 L
.51001 .47826 L
F
0 .225 1 r
.50242 .51326 m
.50312 .51691 L
.50242 .5176 L
.50001 .51691 L
F
1 .525 0 r
.50242 .45557 m
.5047 .45893 L
.50242 .4609 L
.50016 .45893 L
F
0 .75 1 r
.51208 .47718 m
.51691 .47406 L
.521 .47826 L
.51808 .48309 L
.51691 .48483 L
.51465 .48792 L
.51208 .49108 L
.51056 .49275 L
.50725 .49581 L
.50242 .49745 L
.50017 .49275 L
.50242 .48927 L
.50332 .48792 L
.50698 .48309 L
.50725 .48265 L
.51033 .47826 L
F
1 .75 0 r
.51208 .5359 m
.51691 .53473 L
.51825 .53624 L
.51691 .53971 L
.51621 .54107 L
.51303 .5459 L
.51208 .54664 L
.50857 .55073 L
.50725 .55208 L
.50242 .55479 L
.50019 .55073 L
.50242 .54693 L
.50308 .5459 L
.50645 .54107 L
.50725 .54044 L
.51167 .53624 L
F
1 .45 0 r
.50242 .47722 m
.50404 .47826 L
.50242 .48288 L
.50022 .47826 L
F
0 .725 1 r
.51208 .47744 m
.51691 .4744 L
.52072 .47826 L
.51794 .48309 L
.51691 .48459 L
.51448 .48792 L
.51208 .49096 L
.51034 .49275 L
.50725 .49555 L
.50242 .49714 L
.50038 .49275 L
.50242 .48952 L
.50347 .48792 L
.5071 .48309 L
.50725 .48285 L
.5107 .47826 L
F
0 .2 1 r
.50242 .51378 m
.50278 .51691 L
.50242 .51726 L
.50051 .51691 L
F
1 .725 0 r
.50725 .54073 m
.51208 .53627 L
.51592 .54107 L
.51273 .5459 L
.51208 .54643 L
.50824 .55073 L
.50725 .55172 L
.50242 .55429 L
.50052 .55073 L
.50242 .54735 L
.50333 .5459 L
.50681 .54107 L
F
0 .7 1 r
.51208 .47771 m
.51691 .47473 L
.52043 .47826 L
.51778 .48309 L
.51691 .48435 L
.51432 .48792 L
.51208 .49084 L
.51011 .49275 L
.50725 .4953 L
.50242 .49681 L
.50059 .49275 L
.50242 .48978 L
.50363 .48792 L
.50723 .48309 L
.50725 .48306 L
.5111 .47826 L
F
1 .5 0 r
.50242 .4561 m
.50426 .45893 L
.50242 .46044 L
.5006 .45893 L
F
1 .925 .098 r
.52174 .41474 m
.52281 .41544 L
.52201 .42027 L
.52174 .42086 L
.52021 .42511 L
.51691 .4282 L
.51564 .42994 L
.51208 .43408 L
.51135 .43477 L
.50725 .4373 L
.50242 .43722 L
.50063 .43477 L
.50242 .43293 L
.50432 .42994 L
.50725 .42596 L
.50794 .42511 L
.512 .42027 L
.51208 .4202 L
.51691 .41601 L
.5182 .41544 L
F
1 .425 0 r
.50242 .47756 m
.5036 .47826 L
.50242 .48248 L
.50069 .47826 L
F
0 .675 1 r
.51208 .47797 m
.51691 .47506 L
.52014 .47826 L
.51762 .48309 L
.51691 .48411 L
.51415 .48792 L
.51208 .49073 L
.50988 .49275 L
.50725 .49505 L
.50242 .49648 L
.5008 .49275 L
.50242 .49005 L
.50379 .48792 L
.50725 .48326 L
.50739 .48309 L
.51154 .47826 L
F
.098 .925 1 r
.50242 .60522 m
.5058 .60872 L
.50242 .61066 L
.50086 .60872 L
F
1 .7 0 r
.50725 .54103 m
.51208 .53666 L
.51563 .54107 L
.51241 .5459 L
.51208 .54618 L
.50788 .55073 L
.50725 .55135 L
.50242 .55376 L
.50087 .55073 L
.50242 .54781 L
.50359 .5459 L
.5072 .54107 L
F
0 .65 1 r
.51208 .47823 m
.51691 .47539 L
.51984 .47826 L
.51745 .48309 L
.51691 .48386 L
.51398 .48792 L
.51208 .49061 L
.50964 .49275 L
.50725 .49481 L
.50242 .49613 L
.50102 .49275 L
.50242 .49034 L
.50395 .48792 L
.50725 .48347 L
.50757 .48309 L
.51203 .47826 L
F
1 .475 0 r
.50242 .45674 m
.50373 .45893 L
.50242 .45992 L
.50112 .45893 L
F
1 .675 0 r
.50725 .54137 m
.51206 .5459 L
.50751 .55073 L
.50725 .55098 L
.50242 .55319 L
.50124 .55073 L
.50242 .54833 L
.50385 .5459 L
F
0 .625 1 r
.51691 .47573 m
.51952 .47826 L
.51727 .48309 L
.51691 .4836 L
.51381 .48792 L
.51208 .49049 L
.5094 .49275 L
.50725 .49457 L
.50242 .49576 L
.50124 .49275 L
.50242 .49065 L
.50411 .48792 L
.50725 .48369 L
.50775 .48309 L
.51208 .47848 L
.51236 .47826 L
F
1 .4 0 r
.50242 .47793 m
.50306 .47826 L
.50242 .48199 L
.50132 .47826 L
F
0 .6 1 r
.51691 .47608 m
.51919 .47826 L
.51708 .48309 L
.51691 .48333 L
.51364 .48792 L
.51208 .49035 L
.50915 .49275 L
.50725 .49432 L
.50242 .49536 L
.50148 .49275 L
.50242 .49098 L
.50428 .48792 L
.50725 .4839 L
.50793 .48309 L
.51208 .47872 L
.5127 .47826 L
F
.212 .95 1 r
.51691 .56376 m
.52174 .56166 L
.52658 .56204 L
.52681 .56523 L
.52658 .56691 L
.52477 .57006 L
.52174 .57393 L
.52104 .57489 L
.51732 .57973 L
.51691 .58027 L
.51287 .58456 L
.51208 .58578 L
.50725 .58854 L
.50242 .58864 L
.50151 .58456 L
.50242 .58323 L
.50298 .57973 L
.50725 .57612 L
.50811 .57489 L
.51173 .57006 L
.51208 .56957 L
.51537 .56523 L
F
1 .65 0 r
.50242 .54894 m
.50706 .55073 L
.50242 .55253 L
.50164 .55073 L
F
0 .575 1 r
.51208 .47897 m
.51688 .48309 L
.51346 .48792 L
.51208 .49019 L
.50889 .49275 L
.50725 .49408 L
.50242 .49492 L
.50172 .49275 L
.50242 .49135 L
.50444 .48792 L
.50725 .48412 L
.50812 .48309 L
F
1 .9 .045 r
.51691 .41703 m
.52122 .42027 L
.51967 .42511 L
.51691 .42746 L
.51509 .42994 L
.51208 .43336 L
.51048 .43477 L
.50725 .43662 L
.50242 .43592 L
.50181 .43477 L
.50242 .43404 L
.5048 .42994 L
.50725 .42658 L
.50846 .42511 L
.51208 .42093 L
.51281 .42027 L
F
1 .45 0 r
.50242 .45767 m
.50299 .45893 L
.50242 .45928 L
.50186 .45893 L
F
0 .55 1 r
.51208 .47922 m
.51666 .48309 L
.51328 .48792 L
.51208 .49001 L
.50862 .49275 L
.50725 .49383 L
.50242 .4944 L
.50197 .49275 L
.50242 .49177 L
.50461 .48792 L
.50725 .48434 L
.50831 .48309 L
F
1 .625 0 r
.50242 .54976 m
.50644 .55073 L
.50242 .55168 L
.50209 .55073 L
F
0 .525 1 r
.51208 .47947 m
.51644 .48309 L
.5131 .48792 L
.51208 .48979 L
.50833 .49275 L
.50725 .49359 L
.50242 .49371 L
.50223 .49275 L
.50242 .49229 L
.50479 .48792 L
.50725 .48457 L
.50851 .48309 L
F
.045 .9 1 r
.50242 .40077 m
.5038 .40095 L
.50242 .40106 L
.50236 .40095 L
F
0 .3 1 r
.50725 .50949 m
.50749 .51208 L
.50725 .51249 L
.50245 .51208 L
F
1 .925 .098 r
.53141 .47213 m
.53624 .47214 L
.53789 .47342 L
.53626 .47826 L
.53624 .47829 L
.53179 .48309 L
.53141 .48653 L
.5297 .48792 L
.52658 .4912 L
.52584 .49275 L
.52174 .49712 L
.521 .49758 L
.52174 .50223 L
.52658 .5012 L
.5306 .50242 L
.52887 .50725 L
.52658 .51076 L
.52573 .51208 L
.5222 .51691 L
.52174 .51752 L
.51753 .52174 L
.51691 .52382 L
.5147 .52658 L
.51208 .52844 L
.50725 .52929 L
.50247 .52658 L
.50527 .52174 L
.50725 .51938 L
.50902 .51691 L
.51208 .51281 L
.51265 .51208 L
.51662 .50725 L
.51691 .50659 L
.5213 .50242 L
.51691 .4991 L
.51208 .49878 L
.50884 .49758 L
.51208 .49468 L
.51318 .49275 L
.51661 .48792 L
.51691 .48751 L
.51989 .48309 L
.52174 .48114 L
.52426 .47826 L
.52658 .4754 L
.52928 .47342 L
F
0 .5 1 r
.51208 .47973 m
.51622 .48309 L
.51291 .48792 L
.51208 .48953 L
.50803 .49275 L
.50725 .49333 L
.50255 .49275 L
.50497 .48792 L
.50725 .4848 L
.50872 .48309 L
F
1 .6 0 r
.50725 .44999 m
.50927 .4541 L
.50725 .45707 L
.50259 .4541 L
F
.098 .925 1 r
.51691 .56487 m
.52174 .5626 L
.52653 .56523 L
.52426 .57006 L
.52174 .57313 L
.52046 .57489 L
.51691 .57938 L
.51661 .57973 L
.51208 .58444 L
.51192 .58456 L
.50725 .58728 L
.5026 .58456 L
.50344 .57973 L
.50725 .57682 L
.50859 .57489 L
.51208 .57025 L
.51223 .57006 L
.51643 .56523 L
F
.461 .975 1 r
.52174 .35523 m
.52522 .35746 L
.524 .36229 L
.52174 .36502 L
.52046 .36712 L
.51691 .37193 L
.51689 .37196 L
.51208 .37672 L
.51197 .37679 L
.50725 .37795 L
.50269 .37679 L
.50352 .37196 L
.50725 .36896 L
.50872 .36712 L
.51208 .36292 L
.5127 .36229 L
.51691 .35788 L
.51779 .35746 L
F
1 .9 .045 r
.52658 .50166 m
.52942 .50242 L
.5286 .50725 L
.52658 .5104 L
.52552 .51208 L
.522 .51691 L
.52174 .51725 L
.51743 .52174 L
.51691 .52348 L
.51425 .52658 L
.51208 .52792 L
.50725 .52896 L
.50292 .52658 L
.50544 .52174 L
.50725 .51961 L
.50917 .51691 L
.51208 .51301 L
.51282 .51208 L
.51676 .50725 L
.51691 .50693 L
.52174 .5027 L
.5225 .50242 L
F
1 .575 0 r
.50725 .45046 m
.50896 .4541 L
.50725 .45666 L
.50294 .4541 L
F
0 .475 1 r
.51208 .47999 m
.51598 .48309 L
.51272 .48792 L
.51208 .48922 L
.5077 .49275 L
.50725 .49308 L
.50297 .49275 L
.50515 .48792 L
.50725 .48503 L
.50893 .48309 L
F
1 .875 .021 r
.51691 .41806 m
.5202 .42027 L
.51891 .42511 L
.51691 .42668 L
.51454 .42994 L
.51208 .43267 L
.50952 .43477 L
.50725 .43594 L
.50304 .43477 L
.5053 .42994 L
.50725 .42723 L
.50901 .42511 L
.51208 .42165 L
.51375 .42027 L
F
.098 .925 1 r
.50725 .59878 m
.51208 .59595 L
.51383 .59905 L
.51208 .60188 L
.51059 .60388 L
.50725 .60757 L
.50319 .60388 L
.50698 .59905 L
F
.50725 .39213 m
.51065 .39612 L
.50725 .40086 L
.50327 .39612 L
F
1 .55 0 r
.50725 .45098 m
.50862 .4541 L
.50725 .45621 L
.50333 .4541 L
F
1 .875 .021 r
.52658 .50212 m
.52798 .50242 L
.52834 .50725 L
.52658 .51002 L
.52531 .51208 L
.52179 .51691 L
.52174 .51698 L
.51734 .52174 L
.51691 .52315 L
.5137 .52658 L
.51208 .52745 L
.50725 .52862 L
.5034 .52658 L
.50562 .52174 L
.50725 .51984 L
.50932 .51691 L
.51208 .51322 L
.51299 .51208 L
.51691 .50725 L
.51692 .50725 L
.52174 .50309 L
.52395 .50242 L
F
0 .45 1 r
.51208 .48025 m
.51574 .48309 L
.51252 .48792 L
.51208 .48887 L
.50734 .49275 L
.50725 .49281 L
.50347 .49275 L
.50534 .48792 L
.50725 .48528 L
.50915 .48309 L
F
1 .525 0 r
.50725 .45156 m
.50826 .4541 L
.50725 .45571 L
.50378 .4541 L
F
1 .85 .01 r
.52174 .50346 m
.52658 .50263 L
.52807 .50725 L
.52658 .50962 L
.5251 .51208 L
.52174 .51671 L
.5216 .51691 L
.51726 .52174 L
.51691 .52283 L
.51303 .52658 L
.51208 .52702 L
.50725 .52829 L
.5039 .52658 L
.50581 .52174 L
.50725 .52008 L
.50948 .51691 L
.51208 .51342 L
.51316 .51208 L
.51691 .50752 L
.51719 .50725 L
F
.045 .9 1 r
.52174 .5635 m
.52527 .56523 L
.52368 .57006 L
.52174 .5723 L
.51988 .57489 L
.51691 .57861 L
.51589 .57973 L
.51208 .5835 L
.51041 .58456 L
.50725 .58606 L
.50405 .58456 L
.50421 .57973 L
.50725 .57759 L
.50909 .57489 L
.51208 .57093 L
.5128 .57006 L
.51691 .56575 L
.51763 .56523 L
F
1 .65 0 r
.50725 .54173 m
.51175 .5459 L
.50725 .55059 L
.50413 .5459 L
F
1 .5 0 r
.50725 .45227 m
.50785 .4541 L
.50725 .45512 L
.50431 .4541 L
F
1 .85 .01 r
.51691 .41917 m
.51893 .42027 L
.51787 .42511 L
.51691 .42582 L
.51395 .42994 L
.51208 .43198 L
.50833 .43477 L
.50725 .43524 L
.5044 .43477 L
.50583 .42994 L
.50725 .42792 L
.50959 .42511 L
.51208 .42238 L
.51494 .42027 L
F
1 .625 0 r
.50725 .5421 m
.51143 .5459 L
.50725 .55019 L
.50442 .5459 L
F
1 .825 .004 r
.52174 .50381 m
.52658 .50321 L
.52778 .50725 L
.52658 .50919 L
.52489 .51208 L
.52174 .51645 L
.52141 .51691 L
.51717 .52174 L
.51691 .52252 L
.5122 .52658 L
.51208 .52662 L
.50725 .52795 L
.50443 .52658 L
.50602 .52174 L
.50725 .52032 L
.50963 .51691 L
.51208 .51363 L
.51333 .51208 L
.51691 .50778 L
.51747 .50725 L
F
1 .6 0 r
.50725 .54249 m
.51109 .5459 L
.50725 .54976 L
.50473 .5459 L
F
1 .8 .002 r
.52174 .50415 m
.52658 .50385 L
.52746 .50725 L
.52658 .50871 L
.52468 .51208 L
.52174 .51618 L
.52121 .51691 L
.51708 .52174 L
.51691 .52222 L
.51208 .5263 L
.51149 .52658 L
.50725 .5276 L
.50501 .52658 L
.50623 .52174 L
.50725 .52058 L
.50978 .51691 L
.51208 .51383 L
.5135 .51208 L
.51691 .50803 L
.51776 .50725 L
F
1 .475 0 r
.50725 .4534 m
.50736 .4541 L
.50725 .45432 L
.50506 .4541 L
F
1 .575 0 r
.50725 .5429 m
.51072 .5459 L
.50725 .54931 L
.50506 .5459 L
F
.021 .875 1 r
.52174 .56443 m
.52375 .56523 L
.52295 .57006 L
.52174 .5714 L
.51929 .57489 L
.51691 .57785 L
.51513 .57973 L
.51208 .58261 L
.50811 .58456 L
.50725 .58477 L
.50634 .58456 L
.50537 .57973 L
.50725 .57846 L
.5096 .57489 L
.51208 .57162 L
.5134 .57006 L
.51691 .56655 L
.5191 .56523 L
F
1 .55 0 r
.50725 .54335 m
.51032 .5459 L
.50725 .54883 L
.50541 .5459 L
F
0 .425 1 r
.51208 .48052 m
.51548 .48309 L
.51232 .48792 L
.51208 .48846 L
.50725 .49251 L
.50554 .48792 L
.50725 .48553 L
.50939 .48309 L
F
1 .775 .001 r
.52174 .50449 m
.52658 .50461 L
.52711 .50725 L
.52658 .50817 L
.52446 .51208 L
.52174 .51591 L
.52102 .51691 L
.51698 .52174 L
.51691 .52193 L
.51208 .526 L
.51071 .52658 L
.50725 .52724 L
.50568 .52658 L
.50647 .52174 L
.50725 .52085 L
.50994 .51691 L
.51208 .51404 L
.51368 .51208 L
.51691 .50828 L
.51806 .50725 L
F
0 .4 1 r
.51208 .4808 m
.51521 .48309 L
.5121 .48792 L
.51208 .48798 L
.50725 .49218 L
.50574 .48792 L
.50725 .4858 L
.50963 .48309 L
F
1 .525 0 r
.50725 .54385 m
.50986 .5459 L
.50725 .54829 L
.50581 .5459 L
F
0 .375 1 r
.50725 .48608 m
.51184 .48792 L
.50725 .49182 L
.50596 .48792 L
F
.045 .9 1 r
.50725 .60225 m
.50787 .60388 L
.50725 .60448 L
.50611 .60388 L
F
.50725 .3954 m
.50791 .39612 L
.50725 .39736 L
.50617 .39612 L
F
0 .35 1 r
.50725 .48637 m
.51155 .48792 L
.50725 .49144 L
.50618 .48792 L
F
1 .5 0 r
.50725 .54444 m
.50931 .5459 L
.50725 .54766 L
.50626 .5459 L
F
1 .825 .004 r
.51208 .42315 m
.51668 .42511 L
.51331 .42994 L
.51208 .43126 L
.50725 .43436 L
.5064 .42994 L
.50725 .42869 L
.51024 .42511 L
F
0 .325 1 r
.50725 .48669 m
.51124 .48792 L
.50725 .49102 L
.50642 .48792 L
F
1 .75 0 r
.52174 .50482 m
.52658 .50571 L
.52671 .50725 L
.52658 .50751 L
.52425 .51208 L
.52174 .51564 L
.52082 .51691 L
.51691 .52165 L
.51682 .52174 L
.51208 .52571 L
.50968 .52658 L
.50725 .52685 L
.50648 .52658 L
.50672 .52174 L
.50725 .52113 L
.5101 .51691 L
.51208 .51425 L
.51386 .51208 L
.51691 .50853 L
.51837 .50725 L
F
0 .3 1 r
.50725 .48705 m
.51088 .48792 L
.50725 .49053 L
.50667 .48792 L
F
1 .475 0 r
.50725 .54522 m
.50855 .5459 L
.50725 .5468 L
.50683 .5459 L
F
0 .275 1 r
.50725 .48745 m
.51047 .48792 L
.50725 .48993 L
.50695 .48792 L
F
1 .725 0 r
.52174 .50515 m
.5263 .50725 L
.52403 .51208 L
.52174 .51536 L
.52063 .51691 L
.51691 .52139 L
.51656 .52174 L
.51208 .52542 L
.50725 .5264 L
.50699 .52174 L
.50725 .52144 L
.51026 .51691 L
.51208 .51446 L
.51404 .51208 L
.51691 .50877 L
.5187 .50725 L
F
.01 .85 1 r
.51691 .56734 m
.52174 .56564 L
.52199 .57006 L
.52174 .57033 L
.51867 .57489 L
.51691 .57707 L
.51431 .57973 L
.51208 .58172 L
.50725 .58293 L
.507 .57973 L
.50725 .57955 L
.51014 .57489 L
.51208 .57233 L
.51405 .57006 L
F
1 .8 .002 r
.51208 .42398 m
.51573 .42511 L
.5126 .42994 L
.51208 .43048 L
.50725 .43295 L
.50705 .42994 L
.50725 .42962 L
.51098 .42511 L
F
.045 .9 1 r
.52658 .44266 m
.53111 .44443 L
.53084 .44927 L
.52658 .45369 L
.52632 .4541 L
.52286 .45893 L
.52174 .46038 L
.51904 .46376 L
.51691 .46608 L
.51208 .46839 L
.50725 .46854 L
.50708 .46376 L
.50725 .46325 L
.50967 .45893 L
.51208 .45449 L
.51399 .4541 L
.51691 .45046 L
.51792 .44927 L
.52174 .44663 L
.52299 .44443 L
F
.021 .875 1 r
.52658 .44348 m
.52974 .44443 L
.53059 .44927 L
.52658 .45314 L
.526 .4541 L
.52256 .45893 L
.52174 .45999 L
.51872 .46376 L
.51691 .46559 L
.51208 .46799 L
.50725 .46785 L
.50722 .46376 L
.50725 .46368 L
.5099 .45893 L
.51208 .45469 L
.51423 .4541 L
.51691 .45075 L
.5183 .44927 L
.52174 .4477 L
.52416 .44443 L
F
1 .7 0 r
.52174 .50547 m
.52588 .50725 L
.52382 .51208 L
.52174 .51508 L
.52043 .51691 L
.51691 .52113 L
.5163 .52174 L
.51208 .52513 L
.50727 .52174 L
.51042 .51691 L
.51208 .51467 L
.51422 .51208 L
.51691 .50902 L
.51905 .50725 L
F
1 .675 0 r
.51208 .53705 m
.51532 .54107 L
.51208 .54588 L
.50751 .54107 L
F
.52174 .50581 m
.52543 .50725 L
.52359 .51208 L
.52174 .51479 L
.52023 .51691 L
.51691 .52087 L
.51603 .52174 L
.51208 .52484 L
.50753 .52174 L
.51058 .51691 L
.51208 .51489 L
.51441 .51208 L
.51691 .50926 L
.51943 .50725 L
F
.01 .85 1 r
.52658 .44429 m
.52764 .44443 L
.53019 .44927 L
.52658 .45255 L
.52568 .4541 L
.52226 .45893 L
.52174 .4596 L
.51838 .46376 L
.51691 .46513 L
.51208 .46759 L
.50753 .46376 L
.51015 .45893 L
.51208 .45498 L
.51448 .4541 L
.51691 .45102 L
.51869 .44927 L
.52174 .44838 L
.52597 .44443 L
F
1 .65 0 r
.52174 .50615 m
.52493 .50725 L
.52337 .51208 L
.52174 .51449 L
.52002 .51691 L
.51691 .52061 L
.51575 .52174 L
.51208 .52456 L
.50779 .52174 L
.51075 .51691 L
.51208 .51511 L
.5146 .51208 L
.51691 .5095 L
.51985 .50725 L
F
.51208 .53745 m
.515 .54107 L
.51208 .54548 L
.50783 .54107 L
F
.004 .825 1 r
.52174 .44876 m
.52658 .44516 L
.52958 .44927 L
.52658 .4519 L
.52536 .4541 L
.52196 .45893 L
.52174 .45921 L
.518 .46376 L
.51691 .4647 L
.51208 .4672 L
.50789 .46376 L
.51043 .45893 L
.51208 .45537 L
.51473 .4541 L
.51691 .45126 L
.51909 .44927 L
F
.461 .975 1 r
.55073 .44225 m
.55557 .44056 L
.5604 .44162 L
.56156 .44443 L
.5604 .44628 L
.55714 .44927 L
.55557 .4538 L
.5554 .4541 L
.55194 .45893 L
.55073 .46049 L
.54832 .46376 L
.5459 .46702 L
.54344 .46859 L
.5459 .46985 L
.55073 .47004 L
.55499 .47342 L
.55164 .47826 L
.55073 .47931 L
.54813 .48309 L
.5459 .48622 L
.54369 .48792 L
.54107 .49171 L
.54088 .49275 L
.53708 .49758 L
.54107 .50006 L
.5459 .50061 L
.54747 .50242 L
.5459 .50424 L
.54278 .50725 L
.54107 .51114 L
.54048 .51208 L
.53688 .51691 L
.53624 .51776 L
.5333 .52174 L
.53141 .52438 L
.52896 .52658 L
.53141 .53017 L
.53624 .53044 L
.53953 .53141 L
.53645 .53624 L
.53624 .53648 L
.53295 .54107 L
.53141 .54301 L
.52829 .5459 L
.52658 .5482 L
.52587 .55073 L
.52195 .55557 L
.52174 .55589 L
.51691 .5602 L
.51208 .56031 L
.508 .55557 L
.51155 .55073 L
.51208 .54951 L
.51514 .5459 L
.51691 .54394 L
.51887 .54107 L
.52174 .53712 L
.5225 .53624 L
.52649 .53141 L
.52174 .53021 L
.51691 .5299 L
.51576 .52658 L
.51691 .52499 L
.51792 .52174 L
.52174 .51835 L
.52281 .51691 L
.52638 .51208 L
.52658 .51179 L
.52977 .50725 L
.53141 .50511 L
.53387 .50242 L
.53141 .50013 L
.52658 .4998 L
.52325 .49758 L
.52658 .493 L
.52674 .49275 L
.53033 .48792 L
.53141 .4871 L
.53239 .48309 L
.53624 .48 L
.53773 .47826 L
.54107 .47374 L
.54141 .47342 L
.54107 .46982 L
.53624 .46965 L
.53141 .46902 L
.53108 .46859 L
.53141 .46819 L
.53336 .46376 L
.53624 .46135 L
.53809 .45893 L
.54107 .45482 L
.54167 .4541 L
.54517 .44927 L
.5459 .44836 L
.54929 .44443 L
F
1 .625 0 r
.52174 .50649 m
.52436 .50725 L
.52313 .51208 L
.52174 .51418 L
.51982 .51691 L
.51691 .52035 L
.51546 .52174 L
.51208 .52427 L
.50807 .52174 L
.51092 .51691 L
.51208 .51534 L
.5148 .51208 L
.51691 .50975 L
.52032 .50725 L
F
.51208 .53787 m
.51467 .54107 L
.51208 .54507 L
.50817 .54107 L
F
.004 .825 1 r
.51691 .56815 m
.52104 .57006 L
.51801 .57489 L
.51691 .57625 L
.51337 .57973 L
.51208 .58079 L
.50817 .57973 L
.51073 .57489 L
.51208 .57309 L
.51478 .57006 L
F
.002 .8 1 r
.52174 .44893 m
.52658 .44612 L
.52872 .44927 L
.52658 .45115 L
.52503 .4541 L
.52174 .45881 L
.52166 .45893 L
.51756 .46376 L
.51691 .46427 L
.51208 .46681 L
.50827 .46376 L
.51073 .45893 L
.51208 .45589 L
.51499 .4541 L
.51691 .4515 L
.51952 .44927 L
F
1 .6 0 r
.52174 .50685 m
.52364 .50725 L
.5229 .51208 L
.52174 .51385 L
.5196 .51691 L
.51691 .52009 L
.51515 .52174 L
.51208 .52397 L
.50837 .52174 L
.5111 .51691 L
.51208 .51557 L
.51501 .51208 L
.51691 .51 L
.5209 .50725 L
F
.51208 .53831 m
.51431 .54107 L
.51208 .54462 L
.50855 .54107 L
F
.212 .95 1 r
.5459 .47175 m
.55073 .47205 L
.55281 .47342 L
.55073 .47777 L
.55052 .47826 L
.54747 .48309 L
.5459 .48567 L
.54314 .48792 L
.54107 .49033 L
.54062 .49275 L
.53624 .49724 L
.53578 .49758 L
.53624 .50145 L
.54107 .50095 L
.5452 .50242 L
.54212 .50725 L
.54107 .51047 L
.54015 .51208 L
.5365 .51691 L
.53624 .51726 L
.5329 .52174 L
.53141 .52375 L
.52834 .52658 L
.53141 .53099 L
.53607 .53141 L
.53575 .53624 L
.53251 .54107 L
.53141 .54262 L
.52798 .5459 L
.52658 .54753 L
.52563 .55073 L
.52174 .55507 L
.52123 .55557 L
.51691 .55919 L
.51208 .55966 L
.50857 .55557 L
.51184 .55073 L
.51208 .55014 L
.51534 .5459 L
.51691 .54415 L
.51913 .54107 L
.52174 .53756 L
.52294 .53624 L
.52658 .53228 L
.52894 .53141 L
.52658 .529 L
.52174 .52974 L
.51691 .52925 L
.51612 .52658 L
.51691 .52547 L
.51811 .52174 L
.52174 .51864 L
.52302 .51691 L
.52658 .51211 L
.5266 .51208 L
.53014 .50725 L
.53141 .50577 L
.53507 .50242 L
.53141 .49946 L
.52658 .4993 L
.52404 .49758 L
.52658 .49355 L
.52708 .49275 L
.53057 .48792 L
.53141 .48726 L
.53272 .48309 L
.53624 .48049 L
.53826 .47826 L
.54107 .4748 L
.54301 .47342 L
F
.098 .925 1 r
.51208 .39035 m
.51256 .39128 L
.51208 .393 L
.50859 .39128 L
F
.001 .775 1 r
.52174 .44897 m
.52658 .44734 L
.52754 .44927 L
.52658 .4502 L
.5247 .4541 L
.52174 .45839 L
.52135 .45893 L
.51705 .46376 L
.51691 .46386 L
.51208 .46642 L
.50866 .46376 L
.51106 .45893 L
.51208 .45653 L
.51525 .4541 L
.51691 .45175 L
.51999 .44927 L
F
1 .575 0 r
.52174 .50723 m
.52232 .50725 L
.52265 .51208 L
.52174 .51351 L
.51939 .51691 L
.51691 .51982 L
.51483 .52174 L
.51208 .52368 L
.50869 .52174 L
.51128 .51691 L
.51208 .51581 L
.51522 .51208 L
.51691 .51025 L
.5217 .50725 L
F
.51208 .53878 m
.51392 .54107 L
.51208 .54413 L
.50896 .54107 L
F
1 .55 0 r
.51691 .5105 m
.52174 .50774 L
.5224 .51208 L
.52174 .51314 L
.51917 .51691 L
.51691 .51955 L
.51449 .52174 L
.51208 .52337 L
.50903 .52174 L
.51146 .51691 L
.51208 .51605 L
.51544 .51208 L
F
0 .75 1 r
.52174 .44899 m
.52632 .44927 L
.52436 .4541 L
.52174 .45795 L
.52103 .45893 L
.51691 .46346 L
.51655 .46376 L
.51208 .46603 L
.50908 .46376 L
.51143 .45893 L
.51208 .45734 L
.51552 .4541 L
.51691 .45203 L
.5205 .44927 L
F
.098 .925 1 r
.52658 .53302 m
.53141 .53174 L
.5351 .53624 L
.53208 .54107 L
.53141 .54215 L
.52773 .5459 L
.52658 .54705 L
.52539 .55073 L
.52174 .55446 L
.52053 .55557 L
.51691 .55839 L
.51208 .55901 L
.50914 .55557 L
.51208 .55083 L
.51214 .55073 L
.51555 .5459 L
.51691 .54436 L
.5194 .54107 L
.52174 .53799 L
.52339 .53624 L
F
1 .975 .461 r
.52658 .38644 m
.52853 .38645 L
.52922 .39128 L
.52658 .39597 L
.52649 .39612 L
.52291 .40095 L
.52174 .40254 L
.52039 .40578 L
.51691 .40681 L
.51208 .40757 L
.50925 .40578 L
.51189 .40095 L
.51208 .40024 L
.51456 .39612 L
.51691 .39499 L
.51988 .39128 L
.52174 .38927 L
.52655 .38645 L
F
1 .525 0 r
.51691 .51076 m
.52174 .50834 L
.52213 .51208 L
.52174 .51274 L
.51894 .51691 L
.51691 .51928 L
.51412 .52174 L
.51208 .52305 L
.50941 .52174 L
.51165 .51691 L
.51208 .51631 L
.51566 .51208 L
F
1 .55 0 r
.51208 .53931 m
.51349 .54107 L
.51208 .54357 L
.50944 .54107 L
F
0 .725 1 r
.52174 .44906 m
.5255 .44927 L
.52401 .4541 L
.52174 .45749 L
.52071 .45893 L
.51691 .46306 L
.51604 .46376 L
.51208 .46562 L
.50953 .46376 L
.51184 .45893 L
.51208 .45831 L
.51581 .4541 L
.51691 .45236 L
.52108 .44927 L
F
.045 .9 1 r
.52658 .53367 m
.53141 .53247 L
.53445 .53624 L
.53166 .54107 L
.53141 .54152 L
.52751 .5459 L
.52658 .54673 L
.52514 .55073 L
.52174 .5539 L
.51982 .55557 L
.51691 .55769 L
.51208 .55836 L
.50974 .55557 L
.51208 .55137 L
.51246 .55073 L
.51578 .5459 L
.51691 .54459 L
.51967 .54107 L
.52174 .53839 L
.52386 .53624 L
F
1 .5 0 r
.51691 .51103 m
.52174 .50911 L
.52186 .51208 L
.52174 .51228 L
.5187 .51691 L
.51691 .51899 L
.51371 .52174 L
.51208 .52272 L
.50984 .52174 L
.51185 .51691 L
.51208 .51658 L
.51591 .51208 L
F
0 .375 1 r
.51208 .48109 m
.51492 .48309 L
.51208 .48762 L
.50989 .48309 L
F
1 .975 .461 r
.52658 .59349 m
.53091 .59422 L
.52971 .59905 L
.52658 .60367 L
.52642 .60388 L
.52247 .60872 L
.52174 .6097 L
.51859 .61355 L
.51691 .61412 L
.51208 .61606 L
.5099 .61355 L
.51208 .60882 L
.51214 .60872 L
.51436 .60388 L
.51691 .60091 L
.51938 .59905 L
.52174 .59643 L
.52488 .59422 L
F
1 .9 .045 r
.53141 .47283 m
.53624 .47314 L
.5366 .47342 L
.53624 .47715 L
.53583 .47826 L
.53168 .48309 L
.53141 .48625 L
.52951 .48792 L
.52658 .49078 L
.52554 .49275 L
.52174 .4967 L
.52024 .49758 L
.51691 .49874 L
.51208 .49834 L
.50991 .49758 L
.51208 .49526 L
.51341 .49275 L
.51678 .48792 L
.51691 .48774 L
.52009 .48309 L
.52174 .48141 L
.52455 .47826 L
.52658 .47584 L
.53026 .47342 L
F
.002 .8 1 r
.51691 .56902 m
.51996 .57006 L
.51727 .57489 L
.51691 .57534 L
.5121 .57973 L
.51208 .57974 L
.50991 .57973 L
.51138 .57489 L
.51208 .57394 L
.51565 .57006 L
F
0 .7 1 r
.51208 .45915 m
.51546 .46376 L
.51208 .46519 L
.51003 .46376 L
F
1 .525 0 r
.51208 .53991 m
.51299 .54107 L
.51208 .54289 L
.51003 .54107 L
F
0 .35 1 r
.51208 .4814 m
.51461 .48309 L
.51208 .48726 L
.51018 .48309 L
F
1 .475 0 r
.51691 .51131 m
.52152 .51208 L
.51846 .51691 L
.51691 .5187 L
.51323 .52174 L
.51208 .52237 L
.51036 .52174 L
.51205 .51691 L
.51208 .51687 L
.51616 .51208 L
F
.021 .875 1 r
.52658 .53426 m
.53141 .53321 L
.53379 .53624 L
.53141 .54077 L
.53124 .54107 L
.52732 .5459 L
.52658 .54652 L
.52485 .55073 L
.52174 .55337 L
.51908 .55557 L
.51691 .55704 L
.51208 .55766 L
.51038 .55557 L
.51208 .55201 L
.51279 .55073 L
.51603 .5459 L
.51691 .54485 L
.51995 .54107 L
.52174 .53879 L
.52435 .53624 L
F
0 .325 1 r
.51208 .48172 m
.51427 .48309 L
.51208 .48687 L
.51049 .48309 L
F
0 .675 1 r
.51208 .45973 m
.5148 .46376 L
.51208 .46473 L
.5106 .46376 L
F
0 .3 1 r
.51208 .48208 m
.51387 .48309 L
.51208 .48642 L
.51084 .48309 L
F
1 .5 0 r
.51208 .54072 m
.51234 .54107 L
.51208 .54186 L
.51092 .54107 L
F
.01 .85 1 r
.52658 .53482 m
.53141 .53399 L
.5331 .53624 L
.53141 .53997 L
.53084 .54107 L
.52713 .5459 L
.52658 .54637 L
.52451 .55073 L
.52174 .55287 L
.51828 .55557 L
.51691 .55642 L
.51208 .55689 L
.51107 .55557 L
.51208 .5528 L
.51314 .55073 L
.5163 .5459 L
.51691 .54514 L
.52023 .54107 L
.52174 .53918 L
.52487 .53624 L
F
1 .45 0 r
.51208 .51733 m
.51261 .52174 L
.51208 .52198 L
.51108 .52174 L
F
0 .275 1 r
.51208 .48247 m
.51339 .48309 L
.51208 .48588 L
.51126 .48309 L
F
0 .65 1 r
.51208 .46044 m
.51392 .46376 L
.51208 .46421 L
.5113 .46376 L
F
1 .875 .021 r
.52658 .47627 m
.53141 .47347 L
.53539 .47826 L
.53161 .48309 L
.53141 .48587 L
.52932 .48792 L
.52658 .49044 L
.52525 .49275 L
.52174 .49632 L
.51942 .49758 L
.51691 .49838 L
.51208 .49781 L
.51142 .49758 L
.51208 .49612 L
.51364 .49275 L
.51691 .48799 L
.51696 .48792 L
.5203 .48309 L
.52174 .48167 L
.52485 .47826 L
F
0 .25 1 r
.51208 .48292 m
.51267 .48309 L
.51208 .48514 L
.51182 .48309 L
F
.004 .825 1 r
.52658 .53536 m
.53141 .53487 L
.53236 .53624 L
.53141 .53897 L
.53044 .54107 L
.52695 .5459 L
.52658 .54624 L
.52408 .55073 L
.52174 .55238 L
.51737 .55557 L
.51691 .55582 L
.51208 .55589 L
.51186 .55557 L
.51208 .55406 L
.51349 .55073 L
.5166 .5459 L
.51691 .5455 L
.52052 .54107 L
.52174 .53957 L
.52545 .53624 L
F
1 .775 .001 r
.51208 .42498 m
.51429 .42511 L
.51208 .42939 L
.51194 .42511 L
F
1 .725 0 r
.51691 .53531 m
.51772 .53624 L
.51691 .53899 L
.51214 .53624 L
F
0 .7 1 r
.51691 .45275 m
.52174 .44931 L
.52364 .4541 L
.52174 .45701 L
.52038 .45893 L
.51691 .46265 L
.51222 .45893 L
.5161 .4541 L
F
1 .45 0 r
.51691 .5116 m
.52112 .51208 L
.5182 .51691 L
.51691 .5184 L
.51233 .51691 L
.51643 .51208 L
F
0 .675 1 r
.51691 .45323 m
.52174 .44993 L
.52326 .4541 L
.52174 .45649 L
.52003 .45893 L
.51691 .46224 L
.51255 .45893 L
.51641 .4541 L
F
1 .425 0 r
.51691 .5119 m
.52066 .51208 L
.51793 .51691 L
.51691 .51808 L
.51264 .51691 L
.51673 .51208 L
F
1 .85 .01 r
.52658 .47667 m
.53141 .47403 L
.53495 .47826 L
.53156 .48309 L
.53141 .4854 L
.52913 .48792 L
.52658 .49018 L
.52496 .49275 L
.52174 .49596 L
.5185 .49758 L
.51691 .49803 L
.51273 .49758 L
.51387 .49275 L
.51691 .48826 L
.51715 .48792 L
.52054 .48309 L
.52174 .48194 L
.52515 .47826 L
F
1 .7 0 r
.51691 .536 m
.5171 .53624 L
.51691 .5379 L
.51289 .53624 L
F
0 .65 1 r
.51691 .45379 m
.52174 .45063 L
.52285 .4541 L
.52174 .45592 L
.51967 .45893 L
.51691 .46181 L
.51291 .45893 L
.51675 .4541 L
F
1 .4 0 r
.51691 .51228 m
.51764 .51691 L
.51691 .51774 L
.51299 .51691 L
F
0 .575 1 r
.51691 .47645 m
.51884 .47826 L
.51691 .48302 L
.51307 .47826 L
F
0 .625 1 r
.51691 .45436 m
.51928 .45893 L
.51691 .46137 L
.5133 .45893 L
F
1 .375 0 r
.51691 .51278 m
.51732 .51691 L
.51691 .51738 L
.5134 .51691 L
F
0 .55 1 r
.51691 .47683 m
.51846 .47826 L
.51691 .48261 L
.51348 .47826 L
F
.461 .975 1 r
.54107 .38316 m
.5459 .38289 L
.54716 .38645 L
.5459 .38954 L
.54506 .39128 L
.54188 .39612 L
.54107 .39714 L
.53672 .40095 L
.53624 .40367 L
.53448 .40578 L
.53624 .40999 L
.54107 .41019 L
.5439 .41061 L
.54171 .41544 L
.54107 .41619 L
.53843 .42027 L
.53624 .423 L
.53449 .42511 L
.53141 .42961 L
.53118 .42994 L
.52758 .43477 L
.52658 .43637 L
.52174 .43935 L
.51691 .43944 L
.5137 .43477 L
.51691 .43041 L
.51726 .42994 L
.5212 .42511 L
.52174 .42384 L
.52372 .42027 L
.52658 .4174 L
.5284 .41544 L
.53141 .41162 L
.5338 .41061 L
.53141 .40844 L
.52658 .4088 L
.52174 .408 L
.52172 .40578 L
.52174 .40561 L
.52463 .40095 L
.52658 .39891 L
.52883 .39612 L
.53141 .39313 L
.53264 .39128 L
.53624 .38768 L
.5369 .38645 L
F
0 .6 1 r
.51691 .45489 m
.51886 .45893 L
.51691 .4609 L
.51374 .45893 L
F
.002 .8 1 r
.52658 .5359 m
.53141 .53604 L
.53152 .53624 L
.53141 .53729 L
.53002 .54107 L
.52674 .5459 L
.52658 .54607 L
.52355 .55073 L
.52174 .5519 L
.51691 .55525 L
.51386 .55073 L
.51691 .54592 L
.51692 .5459 L
.52082 .54107 L
.52174 .53995 L
.5261 .53624 L
F
1 .95 .212 r
.51691 .39685 m
.52078 .40095 L
.51691 .40418 L
.51387 .40095 L
F
1 .35 0 r
.51691 .51342 m
.51696 .51691 L
.51691 .51697 L
.51391 .51691 L
F
0 .525 1 r
.51691 .47725 m
.51804 .47826 L
.51691 .48213 L
.51396 .47826 L
F
1 .825 .004 r
.52658 .47707 m
.53141 .47457 L
.5345 .47826 L
.53151 .48309 L
.53141 .48479 L
.52893 .48792 L
.52658 .48997 L
.52467 .49275 L
.52174 .49561 L
.51733 .49758 L
.51691 .49768 L
.51414 .49758 L
.51411 .49275 L
.51691 .48853 L
.51735 .48792 L
.52078 .48309 L
.52174 .48221 L
.52547 .47826 L
F
.001 .775 1 r
.52174 .54035 m
.52658 .53646 L
.5296 .54107 L
.52658 .54575 L
.52647 .5459 L
.5229 .55073 L
.52174 .55141 L
.51691 .55469 L
.51424 .55073 L
.51691 .54638 L
.51724 .5459 L
.52114 .54107 L
F
0 .575 1 r
.51691 .4555 m
.51839 .45893 L
.51691 .46039 L
.51425 .45893 L
F
1 .8 .002 r
.52658 .47746 m
.53141 .47513 L
.53404 .47826 L
.53147 .48309 L
.53141 .48404 L
.52872 .48792 L
.52658 .48979 L
.52437 .49275 L
.52174 .49527 L
.51691 .49732 L
.51435 .49275 L
.51691 .48882 L
.51754 .48792 L
.52105 .48309 L
.52174 .48247 L
.52581 .47826 L
F
.212 .95 1 r
.53141 .41457 m
.53624 .41333 L
.53859 .41544 L
.53694 .42027 L
.53624 .42128 L
.53365 .42511 L
.53141 .42845 L
.53037 .42994 L
.52658 .43461 L
.52643 .43477 L
.52174 .43817 L
.51691 .43855 L
.51449 .43477 L
.51691 .43125 L
.51784 .42994 L
.52154 .42511 L
.52174 .4247 L
.52473 .42027 L
.52658 .41881 L
.53041 .41544 L
F
0 .5 1 r
.51691 .4777 m
.51756 .47826 L
.51691 .48154 L
.51457 .47826 L
F
1 .775 .001 r
.52658 .47784 m
.53141 .4757 L
.53356 .47826 L
.53141 .48309 L
.53141 .48312 L
.52849 .48792 L
.52658 .48963 L
.52407 .49275 L
.52174 .49494 L
.51691 .49695 L
.5146 .49275 L
.51691 .48912 L
.51775 .48792 L
.52134 .48309 L
.52174 .48274 L
.52616 .47826 L
F
0 .75 1 r
.52174 .54074 m
.52658 .53706 L
.52916 .54107 L
.52658 .5452 L
.52608 .5459 L
.5221 .55073 L
.52174 .55093 L
.51691 .55411 L
.51465 .55073 L
.51691 .54687 L
.51757 .5459 L
.52147 .54107 L
F
1 .975 .461 r
.53141 .56366 m
.53624 .56194 L
.54107 .56334 L
.54129 .56523 L
.54107 .56562 L
.53782 .57006 L
.53624 .57322 L
.5357 .57489 L
.53141 .57963 L
.53133 .57973 L
.52723 .58456 L
.52658 .58531 L
.52174 .58851 L
.51691 .58898 L
.5148 .58456 L
.51691 .58256 L
.51876 .57973 L
.52174 .57559 L
.52226 .57489 L
.52589 .57006 L
.52658 .56916 L
.52867 .56523 L
F
1 .75 0 r
.52658 .47822 m
.53141 .4763 L
.53304 .47826 L
.53141 .4825 L
.53112 .48309 L
.52825 .48792 L
.52658 .48946 L
.52376 .49275 L
.52174 .49461 L
.51691 .49657 L
.51486 .49275 L
.51691 .48944 L
.51796 .48792 L
.52165 .48309 L
.52174 .48301 L
.52654 .47826 L
F
0 .55 1 r
.51691 .45625 m
.51783 .45893 L
.51691 .45981 L
.51488 .45893 L
F
1 .95 .212 r
.51691 .60482 m
.51932 .60872 L
.51691 .61034 L
.51505 .60872 L
F
0 .725 1 r
.51691 .54743 m
.5214 .55073 L
.51691 .5535 L
.51509 .55073 L
F
1 .725 0 r
.52658 .47859 m
.53081 .48309 L
.52798 .48792 L
.52658 .48927 L
.52344 .49275 L
.52174 .49429 L
.51691 .49618 L
.51513 .49275 L
.51691 .48978 L
.51817 .48792 L
.52174 .48329 L
.52193 .48309 L
F
.098 .925 1 r
.52658 .42006 m
.53141 .41647 L
.53548 .42027 L
.53292 .42511 L
.53141 .42729 L
.52958 .42994 L
.52658 .43351 L
.52534 .43477 L
.52174 .43719 L
.51691 .43755 L
.51532 .43477 L
.51691 .43219 L
.51844 .42994 L
.52174 .42554 L
.52211 .42511 L
.52623 .42027 L
F
1 .7 0 r
.52658 .47897 m
.5305 .48309 L
.52769 .48792 L
.52658 .48904 L
.52311 .49275 L
.52174 .49397 L
.51691 .49577 L
.51541 .49275 L
.51691 .49014 L
.51839 .48792 L
.52174 .48359 L
.5222 .48309 L
F
0 .475 1 r
.51691 .47823 m
.51694 .47826 L
.51691 .48071 L
.51555 .47826 L
F
0 .7 1 r
.51691 .54808 m
.52076 .55073 L
.51691 .55282 L
.51559 .55073 L
F
1 .675 0 r
.52658 .47935 m
.53018 .48309 L
.52736 .48792 L
.52658 .48876 L
.52277 .49275 L
.52174 .49364 L
.51691 .49533 L
.5157 .49275 L
.51691 .49053 L
.51862 .48792 L
.52174 .48388 L
.52248 .48309 L
F
0 .525 1 r
.51691 .45741 m
.5171 .45893 L
.51691 .4591 L
.51591 .45893 L
F
1 .65 0 r
.52658 .47974 m
.52984 .48309 L
.527 .48792 L
.52658 .4884 L
.52241 .49275 L
.52174 .49331 L
.51691 .49484 L
.516 .49275 L
.51691 .49097 L
.51885 .48792 L
.52174 .48419 L
.52278 .48309 L
F
0 .675 1 r
.51691 .5489 m
.51999 .55073 L
.51691 .55202 L
.51615 .55073 L
F
.461 .975 1 r
.52658 .62738 m
.53141 .62401 L
.53587 .62804 L
.53273 .63288 L
.53141 .63523 L
.52897 .63771 L
.52658 .63977 L
.5241 .64254 L
.52174 .64438 L
.51691 .64532 L
.51618 .64254 L
.51691 .64108 L
.5188 .63771 L
.52174 .63338 L
.5221 .63288 L
.52555 .62804 L
F
.045 .9 1 r
.53141 .41818 m
.53389 .42027 L
.53208 .42511 L
.53141 .42604 L
.52878 .42994 L
.52658 .4325 L
.52418 .43477 L
.52174 .43628 L
.51691 .4363 L
.51623 .43477 L
.51691 .43339 L
.51908 .42994 L
.52174 .42638 L
.52287 .42511 L
.52658 .42116 L
.52776 .42027 L
F
1 .625 0 r
.52658 .48014 m
.52949 .48309 L
.52659 .48792 L
.52658 .48794 L
.52202 .49275 L
.52174 .49298 L
.51691 .49427 L
.51633 .49275 L
.51691 .49148 L
.51909 .48792 L
.52174 .4845 L
.52311 .48309 L
F
.098 .925 1 r
.54107 .50185 m
.54298 .50242 L
.5417 .50725 L
.54107 .50976 L
.53986 .51208 L
.53624 .51678 L
.53615 .51691 L
.53251 .52174 L
.53141 .52318 L
.52782 .52658 L
.52658 .52806 L
.52174 .52928 L
.51691 .52841 L
.51654 .52658 L
.51691 .52603 L
.51833 .52174 L
.52174 .51893 L
.52323 .51691 L
.52658 .51242 L
.52685 .51208 L
.53055 .50725 L
.53141 .50636 L
.53624 .50253 L
.53659 .50242 L
F
1 .6 0 r
.51691 .49216 m
.52155 .49275 L
.51691 .49351 L
.51669 .49275 L
F
1 .95 .212 r
.53624 .56356 m
.53911 .56523 L
.53703 .57006 L
.53624 .57176 L
.5353 .57489 L
.53141 .57838 L
.53027 .57973 L
.52658 .58369 L
.52543 .58456 L
.52174 .58685 L
.51691 .58605 L
.51675 .58456 L
.51691 .58439 L
.51953 .57973 L
.52174 .57654 L
.52294 .57489 L
.52658 .57016 L
.52666 .57006 L
.53141 .56529 L
.5315 .56523 L
F
0 .65 1 r
.51691 .55044 m
.51882 .55073 L
.51691 .55083 L
.51687 .55073 L
F
.001 .775 1 r
.51691 .57006 m
.51799 .57006 L
.51691 .57393 L
.5169 .57006 L
F
.045 .9 1 r
.53141 .50689 m
.53624 .50321 L
.54107 .50287 L
.54144 .50725 L
.54107 .50896 L
.53959 .51208 L
.53624 .51632 L
.53583 .51691 L
.53212 .52174 L
.53141 .52266 L
.52731 .52658 L
.52658 .52733 L
.52174 .52884 L
.51706 .52658 L
.51858 .52174 L
.52174 .51922 L
.52345 .51691 L
.52658 .51272 L
.52711 .51208 L
.53103 .50725 L
F
0 .625 1 r
.52174 .45146 m
.5224 .4541 L
.52174 .45526 L
.51719 .4541 L
F
.021 .875 1 r
.52658 .42225 m
.531 .42511 L
.52793 .42994 L
.52658 .4315 L
.52284 .43477 L
.52174 .43536 L
.51744 .43477 L
.51976 .42994 L
.52174 .42727 L
.52372 .42511 L
F
1 .95 .212 r
.52174 .59907 m
.52396 .60388 L
.52174 .60654 L
.51752 .60388 L
F
.52174 .39265 m
.52402 .39612 L
.52174 .39965 L
.51761 .39612 L
F
.021 .875 1 r
.53624 .50384 m
.54107 .50428 L
.54122 .50725 L
.54107 .508 L
.53932 .51208 L
.53624 .51585 L
.53551 .51691 L
.53174 .52174 L
.53141 .52216 L
.52671 .52658 L
.52658 .52669 L
.52174 .5284 L
.51768 .52658 L
.51889 .52174 L
.52174 .51953 L
.52366 .51691 L
.52658 .51303 L
.52737 .51208 L
.53141 .50737 L
.53155 .50725 L
F
0 .6 1 r
.52174 .45271 m
.5219 .4541 L
.52174 .45441 L
.5178 .4541 L
F
0 .725 1 r
.52174 .54117 m
.52568 .5459 L
.52174 .55042 L
.51793 .5459 L
F
0 .7 1 r
.52174 .54166 m
.52526 .5459 L
.52174 .5499 L
.51831 .5459 L
F
.01 .85 1 r
.53624 .50444 m
.5408 .50725 L
.53904 .51208 L
.53624 .51538 L
.5352 .51691 L
.53141 .52169 L
.53136 .52174 L
.52658 .52621 L
.52592 .52658 L
.52174 .52795 L
.51838 .52658 L
.51924 .52174 L
.52174 .51985 L
.52388 .51691 L
.52658 .51333 L
.52764 .51208 L
.53141 .50779 L
.53205 .50725 L
F
0 .675 1 r
.52174 .54219 m
.5248 .5459 L
.52174 .54936 L
.51872 .5459 L
F
1 .925 .098 r
.53141 .56661 m
.53618 .57006 L
.53454 .57489 L
.53141 .57716 L
.52919 .57973 L
.52658 .58299 L
.52321 .58456 L
.52174 .58524 L
.519 .58456 L
.52035 .57973 L
.52174 .57761 L
.52367 .57489 L
.52658 .57118 L
.52759 .57006 L
F
.004 .825 1 r
.53624 .50503 m
.54012 .50725 L
.53872 .51208 L
.53624 .51489 L
.53488 .51691 L
.53141 .52127 L
.53099 .52174 L
.52658 .52578 L
.525 .52658 L
.52174 .52749 L
.51918 .52658 L
.51964 .52174 L
.52174 .52019 L
.52411 .51691 L
.52658 .51364 L
.52792 .51208 L
.53141 .5082 L
.5326 .50725 L
F
0 .65 1 r
.52174 .54277 m
.52431 .5459 L
.52174 .54876 L
.51919 .5459 L
F
1 .6 0 r
.52174 .48483 m
.52627 .48792 L
.52174 .49262 L
.51935 .48792 L
F
1 .575 0 r
.52174 .48517 m
.52594 .48792 L
.52174 .49221 L
.51962 .48792 L
F
0 .625 1 r
.52174 .54344 m
.52374 .5459 L
.52174 .5481 L
.51972 .5459 L
F
.461 .975 1 r
.5459 .56224 m
.55073 .56117 L
.55557 .56198 L
.55632 .56523 L
.55557 .5663 L
.55329 .57006 L
.55073 .57341 L
.5494 .57489 L
.54604 .57973 L
.5459 .57991 L
.54233 .58456 L
.54107 .58625 L
.53647 .58939 L
.54107 .59173 L
.5459 .59209 L
.54761 .59422 L
.5459 .59781 L
.54522 .59905 L
.54181 .60388 L
.54107 .60487 L
.53649 .60872 L
.53624 .61122 L
.53418 .61355 L
.53141 .61664 L
.52846 .61838 L
.52658 .6192 L
.52174 .61949 L
.51979 .61838 L
.52173 .61355 L
.52174 .61349 L
.52459 .60872 L
.52658 .60681 L
.52876 .60388 L
.53141 .60033 L
.53244 .59905 L
.53624 .59446 L
.5365 .59422 L
.53624 .58965 L
.53141 .59025 L
.52658 .58952 L
.52641 .58939 L
.52658 .58911 L
.529 .58456 L
.53141 .5813 L
.53251 .57973 L
.53612 .57489 L
.53624 .57462 L
.53904 .57006 L
.54107 .56817 L
.54364 .56523 L
F
1 .55 0 r
.52174 .48553 m
.52558 .48792 L
.52174 .49178 L
.51991 .48792 L
F
1 .95 .212 r
.54107 .44295 m
.54445 .44443 L
.54337 .44927 L
.54107 .45292 L
.54039 .4541 L
.53699 .45893 L
.53624 .45991 L
.53234 .46376 L
.53141 .46587 L
.52658 .46852 L
.52622 .46859 L
.52174 .46888 L
.51999 .46859 L
.52068 .46376 L
.52174 .46251 L
.52437 .45893 L
.52658 .45592 L
.52808 .4541 L
.53141 .44978 L
.53201 .44927 L
.53624 .44572 L
.53728 .44443 L
F
.002 .8 1 r
.53624 .50562 m
.53937 .50725 L
.53835 .51208 L
.53624 .51438 L
.53457 .51691 L
.53141 .52086 L
.53061 .52174 L
.52658 .52535 L
.52385 .52658 L
.52174 .52702 L
.5202 .52658 L
.5201 .52174 L
.52174 .52055 L
.52433 .51691 L
.52658 .51395 L
.52821 .51208 L
.53141 .5086 L
.53324 .50725 L
F
1 .525 0 r
.52174 .48592 m
.52519 .48792 L
.52174 .49132 L
.52021 .48792 L
F
0 .6 1 r
.52174 .54426 m
.52305 .5459 L
.52174 .5473 L
.5204 .5459 L
F
.01 .85 1 r
.52658 .42344 m
.52974 .42511 L
.52699 .42994 L
.52658 .43042 L
.52174 .43425 L
.52054 .42994 L
.52174 .42826 L
.52475 .42511 L
F
1 .5 0 r
.52174 .48635 m
.52476 .48792 L
.52174 .4908 L
.52055 .48792 L
F
.001 .775 1 r
.53624 .50624 m
.53851 .50725 L
.53791 .51208 L
.53624 .51384 L
.53424 .51691 L
.53141 .52045 L
.53023 .52174 L
.52658 .52494 L
.52174 .52649 L
.52063 .52174 L
.52174 .52093 L
.52457 .51691 L
.52658 .51426 L
.52851 .51208 L
.53141 .509 L
.53401 .50725 L
F
1 .475 0 r
.52174 .48683 m
.52424 .48792 L
.52174 .49019 L
.52093 .48792 L
F
1 .925 .098 r
.53624 .44712 m
.54107 .44459 L
.5426 .44927 L
.54107 .45175 L
.53982 .4541 L
.53645 .45893 L
.53624 .45921 L
.53202 .46376 L
.53141 .46508 L
.52658 .46792 L
.52174 .46824 L
.52112 .46376 L
.52174 .46303 L
.52469 .45893 L
.52658 .45636 L
.52846 .4541 L
.53141 .45015 L
.53266 .44927 L
F
0 .75 1 r
.53624 .50689 m
.53735 .50725 L
.53738 .51208 L
.53624 .51326 L
.53392 .51691 L
.53141 .52004 L
.52983 .52174 L
.52658 .52453 L
.52174 .52577 L
.52122 .52174 L
.52174 .52136 L
.52481 .51691 L
.52658 .51458 L
.52883 .51208 L
.53141 .5094 L
.5351 .50725 L
F
1 .9 .045 r
.53141 .56793 m
.53481 .57006 L
.53301 .57489 L
.53141 .57587 L
.528 .57973 L
.52658 .58203 L
.52174 .58325 L
.52127 .57973 L
.52174 .57893 L
.52448 .57489 L
.52658 .57225 L
.52872 .57006 L
F
1 .45 0 r
.52174 .48742 m
.52357 .48792 L
.52174 .48937 L
.52139 .48792 L
F
.004 .825 1 r
.52174 .42953 m
.52569 .42994 L
.52174 .43242 L
.52147 .42994 L
F
0 .575 1 r
.52174 .54569 m
.52189 .5459 L
.52174 .54604 L
.52158 .5459 L
F
1 .9 .045 r
.53624 .44778 m
.54107 .44668 L
.54161 .44927 L
.54107 .45023 L
.53924 .4541 L
.53624 .45849 L
.53595 .45893 L
.53172 .46376 L
.53141 .46437 L
.52658 .46734 L
.52174 .46727 L
.52162 .46376 L
.52174 .46362 L
.52501 .45893 L
.52658 .45679 L
.52886 .4541 L
.53141 .45044 L
.53338 .44927 L
F
1 .95 .212 r
.52658 .59837 m
.5267 .59905 L
.52658 .59937 L
.52176 .59905 L
F
0 .725 1 r
.53141 .50981 m
.53624 .50777 L
.53674 .51208 L
.53624 .5126 L
.53358 .51691 L
.53141 .51962 L
.52942 .52174 L
.52658 .52411 L
.52182 .52174 L
.52506 .51691 L
.52658 .51491 L
.52916 .51208 L
F
.52658 .53769 m
.52869 .54107 L
.52658 .54459 L
.52184 .54107 L
F
1 .875 .021 r
.53624 .44813 m
.5404 .44927 L
.53866 .4541 L
.53624 .45774 L
.53545 .45893 L
.53141 .46369 L
.53134 .46376 L
.52658 .46678 L
.52215 .46376 L
.52534 .45893 L
.52658 .45724 L
.52927 .4541 L
.53141 .45075 L
.53421 .44927 L
F
0 .7 1 r
.53141 .51022 m
.53608 .51208 L
.53324 .51691 L
.53141 .51919 L
.52899 .52174 L
.52658 .52369 L
.52224 .52174 L
.52532 .51691 L
.52658 .51525 L
.52952 .51208 L
F
.52658 .53838 m
.52818 .54107 L
.52658 .54392 L
.52235 .54107 L
F
0 .675 1 r
.53141 .51066 m
.53555 .51208 L
.53288 .51691 L
.53141 .51875 L
.52853 .52174 L
.52658 .52326 L
.5227 .52174 L
.52559 .51691 L
.52658 .51561 L
.52991 .51208 L
F
1 .85 .01 r
.53624 .44865 m
.53899 .44927 L
.53805 .4541 L
.53624 .45694 L
.53495 .45893 L
.53141 .46306 L
.53067 .46376 L
.52658 .46622 L
.52271 .46376 L
.52569 .45893 L
.52658 .45771 L
.52971 .4541 L
.53141 .45116 L
.53527 .44927 L
F
1 .975 .461 r
.54107 .53246 m
.5459 .53143 L
.54997 .53624 L
.54639 .54107 L
.5459 .54165 L
.54298 .5459 L
.54107 .54838 L
.53883 .55073 L
.53624 .55452 L
.53522 .55557 L
.53141 .55892 L
.52658 .55962 L
.52273 .55557 L
.52615 .55073 L
.52658 .54912 L
.52866 .5459 L
.53141 .54337 L
.5334 .54107 L
.53624 .53731 L
.53726 .53624 L
F
0 .675 1 r
.52658 .53918 m
.52762 .54107 L
.52658 .54313 L
.52296 .54107 L
F
0 .65 1 r
.53141 .51111 m
.53495 .51208 L
.5325 .51691 L
.53141 .51829 L
.52801 .52174 L
.52658 .5228 L
.52324 .52174 L
.52588 .51691 L
.52658 .51598 L
.53034 .51208 L
F
1 .825 .004 r
.53141 .45176 m
.53624 .44971 L
.53742 .4541 L
.53624 .45606 L
.53443 .45893 L
.53141 .46242 L
.52995 .46376 L
.52658 .46564 L
.52334 .46376 L
.52606 .45893 L
.52658 .45821 L
.53018 .4541 L
F
1 .6 0 r
.52658 .48056 m
.52912 .48309 L
.52658 .48749 L
.52346 .48309 L
F
1 .95 .212 r
.54107 .53372 m
.5459 .53304 L
.54916 .53624 L
.5459 .54036 L
.54553 .54107 L
.54228 .5459 L
.54107 .54748 L
.53822 .55073 L
.53624 .55352 L
.53408 .55557 L
.53141 .55768 L
.52658 .55869 L
.52356 .55557 L
.52647 .55073 L
.52658 .55033 L
.52912 .5459 L
.53141 .54375 L
.53386 .54107 L
.53624 .53805 L
.53814 .53624 L
F
0 .65 1 r
.52658 .54024 m
.52695 .54107 L
.52658 .54203 L
.52379 .54107 L
F
1 .575 0 r
.52658 .48101 m
.52871 .48309 L
.52658 .48699 L
.52386 .48309 L
F
0 .625 1 r
.53141 .51159 m
.53422 .51208 L
.5321 .51691 L
.53141 .51779 L
.52742 .52174 L
.52658 .52232 L
.52392 .52174 L
.52619 .51691 L
.52658 .51639 L
.53084 .51208 L
F
1 .8 .002 r
.53141 .45264 m
.53624 .45116 L
.53671 .4541 L
.53624 .45498 L
.53388 .45893 L
.53141 .46177 L
.52913 .46376 L
.52658 .46503 L
.52409 .46376 L
.52645 .45893 L
.52658 .45875 L
.5307 .4541 L
F
1 .55 0 r
.52658 .4815 m
.52826 .48309 L
.52658 .48642 L
.52431 .48309 L
F
1 .925 .098 r
.54107 .53481 m
.5459 .53493 L
.54732 .53624 L
.5459 .53838 L
.54475 .54107 L
.54159 .5459 L
.54107 .54659 L
.53767 .55073 L
.53624 .55261 L
.53289 .55557 L
.53141 .55663 L
.52658 .55774 L
.52447 .55557 L
.52658 .55134 L
.52694 .55073 L
.52967 .5459 L
.53141 .5442 L
.53435 .54107 L
.53624 .53875 L
.53916 .53624 L
F
1 .525 0 r
.52658 .48206 m
.52773 .48309 L
.52658 .48574 L
.52487 .48309 L
F
.098 .925 1 r
.5459 .4732 m
.54895 .47342 L
.54959 .47826 L
.54683 .48309 L
.5459 .48493 L
.54269 .48792 L
.54107 .48948 L
.54042 .49275 L
.53624 .49648 L
.53458 .49758 L
.53141 .49884 L
.52658 .49874 L
.52488 .49758 L
.52658 .49421 L
.52742 .49275 L
.53083 .48792 L
.53141 .48744 L
.53313 .48309 L
.53624 .48098 L
.5388 .47826 L
.54107 .47568 L
.54528 .47342 L
F
0 .6 1 r
.52658 .51683 m
.53141 .51215 L
.53166 .51691 L
.53141 .51724 L
.52664 .52174 L
.52658 .52178 L
.52503 .52174 L
.52652 .51691 L
F
1 .775 .001 r
.52658 .45953 m
.52809 .46376 L
.52658 .46436 L
.52507 .46376 L
F
1 .875 .021 r
.52658 .57345 m
.53092 .57489 L
.52658 .57963 L
.52543 .57489 L
F
1 .9 .045 r
.54107 .53586 m
.54472 .53624 L
.54396 .54107 L
.54107 .54565 L
.54091 .5459 L
.53709 .55073 L
.53624 .55175 L
.53154 .55557 L
.53141 .55565 L
.52658 .55665 L
.52554 .55557 L
.52658 .55245 L
.52748 .55073 L
.53032 .5459 L
.53141 .54479 L
.53486 .54107 L
.53624 .53944 L
.54045 .53624 L
F
1 .5 0 r
.52658 .48273 m
.52702 .48309 L
.52658 .48476 L
.52569 .48309 L
F
.045 .9 1 r
.54107 .47648 m
.5459 .47443 L
.54865 .47826 L
.5462 .48309 L
.5459 .48381 L
.54233 .48792 L
.54107 .48901 L
.5402 .49275 L
.53624 .49581 L
.5333 .49758 L
.53141 .49826 L
.52658 .49811 L
.52582 .49758 L
.52658 .49507 L
.52778 .49275 L
.53112 .48792 L
.53141 .48767 L
.53364 .48309 L
.53624 .48145 L
.53939 .47826 L
F
.004 .825 1 r
.52658 .42492 m
.52766 .42511 L
.52658 .42863 L
.52632 .42511 L
F
1 .975 .461 r
.58456 .06652 m
.58939 .06609 L
.59422 .06632 L
.59905 .06719 L
.60048 .06755 L
.60388 .06874 L
.60872 .07099 L
.61113 .07238 L
.61355 .07398 L
.61773 .07721 L
.61838 .07777 L
.62282 .08204 L
.62321 .08246 L
.627 .08688 L
.62804 .08822 L
.63054 .09171 L
.63288 .09539 L
.63355 .09654 L
.63613 .10137 L
.63771 .10467 L
.6384 .1062 L
.64046 .11104 L
.64246 .11587 L
.64254 .11606 L
.6445 .1207 L
.6467 .12553 L
.64737 .12689 L
.64902 .13036 L
.65154 .1352 L
.6522 .13646 L
.65347 .14003 L
.65311 .14486 L
.6527 .14969 L
.6522 .15251 L
.65175 .15452 L
.65104 .15935 L
.65071 .16419 L
.65081 .16902 L
.65136 .17385 L
.6522 .17792 L
.65244 .17868 L
.65419 .18351 L
.65704 .18814 L
.65719 .18835 L
.66187 .19105 L
.6667 .19015 L
.67153 .18853 L
.67223 .18835 L
.67636 .18708 L
.68119 .186 L
.68603 .18523 L
.69086 .18468 L
.69569 .18429 L
.70052 .184 L
.70535 .1838 L
.71019 .18365 L
.71502 .18354 L
.71652 .18351 L
.71985 .18346 L
.72468 .1834 L
.72951 .18336 L
.73434 .18334 L
.73918 .18333 L
.74401 .18333 L
.74884 .18335 L
.75367 .18338 L
.7585 .18343 L
.76334 .1835 L
.76425 .18351 L
.76817 .18359 L
.773 .18372 L
.77783 .18389 L
.78266 .18413 L
.7875 .18447 L
.79233 .18493 L
.79716 .18558 L
.80199 .18649 L
.80682 .18776 L
.80866 .18835 L
.81165 .18934 L
.81649 .19083 L
.82132 .19031 L
.82433 .18835 L
.82615 .18427 L
.82656 .18351 L
.82832 .17868 L
.82941 .17385 L
.82996 .16902 L
.83006 .16419 L
.82973 .15935 L
.82902 .15452 L
.82808 .14969 L
.82725 .14486 L
.82761 .14003 L
.82964 .1352 L
.83098 .13159 L
.83167 .13036 L
.83408 .12553 L
.83581 .12171 L
.83626 .1207 L
.83831 .11587 L
.84031 .11104 L
.84065 .11022 L
.84237 .1062 L
.84463 .10137 L
.84548 .09971 L
.84722 .09654 L
.85023 .09171 L
.85031 .09159 L
.85377 .08688 L
.85514 .08519 L
.85795 .08204 L
.85997 .08 L
.86304 .07721 L
.8648 .07577 L
.86964 .07239 L
.86965 .07238 L
.87447 .06978 L
.8793 .06788 L
.88013 .06755 L
.88413 .06667 L
.88896 .06612 L
.8938 .06622 L
.89863 .06698 L
.90105 .06755 L
.90346 .0684 L
.90829 .07052 L
.9116 .07238 L
.91312 .07337 L
.91796 .07702 L
.91819 .07721 L
.92279 .08155 L
.92326 .08204 L
.92744 .08688 L
.92762 .0871 L
.93101 .09171 L
.93245 .09386 L
.93412 .09654 L
.93687 .10137 L
.93728 .10215 L
.9393 .1062 L
.94148 .11104 L
.94211 .11254 L
.94342 .11587 L
.94517 .1207 L
.94673 .12553 L
.94695 .12624 L
.94811 .13036 L
.94933 .1352 L
.95042 .14003 L
.95137 .14486 L
.95178 .14721 L
.95217 .14969 L
.95284 .15452 L
.95338 .15935 L
.95381 .16419 L
.95412 .16902 L
.95432 .17385 L
.9544 .17868 L
.95436 .18351 L
.9542 .18835 L
.95393 .19318 L
.95354 .19801 L
.95303 .20284 L
.95241 .20767 L
.95178 .21176 L
.95165 .2125 L
.95075 .21734 L
.94971 .22217 L
.94853 .227 L
.94721 .23183 L
.94695 .23274 L
.94571 .23666 L
.94402 .2415 L
.94216 .24633 L
.94211 .24643 L
.94005 .25116 L
.93771 .25599 L
.93728 .25682 L
.93507 .26082 L
.93245 .26511 L
.9321 .26566 L
.92869 .27049 L
.92762 .27187 L
.92473 .27532 L
.92279 .27742 L
.92 .28015 L
.91796 .28196 L
.91404 .28498 L
.91312 .2856 L
.90829 .28845 L
.90543 .28981 L
.90346 .29057 L
.89863 .29199 L
.8938 .29275 L
.88896 .29285 L
.88413 .2923 L
.8793 .29109 L
.87581 .28981 L
.87447 .28919 L
.86964 .28657 L
.86722 .28498 L
.8648 .28317 L
.86126 .28015 L
.85997 .27892 L
.85653 .27532 L
.85514 .27372 L
.85253 .27049 L
.85031 .26749 L
.84904 .26566 L
.84593 .26082 L
.84548 .26008 L
.84318 .25599 L
.8408 .25116 L
.84065 .25082 L
.83888 .24633 L
.83738 .2415 L
.83621 .23666 L
.83581 .2348 L
.8352 .23183 L
.83417 .227 L
.83296 .22217 L
.83145 .21734 L
.83098 .21608 L
.82946 .2125 L
.82667 .20767 L
.82615 .20712 L
.82132 .20309 L
.81649 .20348 L
.81165 .20573 L
.80682 .20731 L
.80507 .20767 L
.80199 .20861 L
.79716 .20968 L
.79233 .21046 L
.7875 .21102 L
.78266 .21143 L
.77783 .21173 L
.773 .21194 L
.76817 .2121 L
.76334 .21222 L
.7585 .2123 L
.75367 .21236 L
.74884 .21239 L
.74401 .21241 L
.73918 .21242 L
.73434 .21241 L
.72951 .21238 L
.72468 .21233 L
.71985 .21226 L
.71502 .21216 L
.71019 .21203 L
.70535 .21184 L
.70052 .21159 L
.69569 .21124 L
.69086 .21076 L
.68603 .2101 L
.68119 .20919 L
.67636 .20792 L
.67578 .20767 L
.67153 .20663 L
.6667 .20462 L
.66234 .20284 L
.66187 .20278 L
.66022 .20284 L
.65704 .20469 L
.6539 .20767 L
.6522 .21081 L
.65132 .2125 L
.64932 .21734 L
.6478 .22217 L
.64737 .22376 L
.6466 .227 L
.64557 .23183 L
.64456 .23666 L
.64339 .2415 L
.64254 .24442 L
.6419 .24633 L
.63996 .25116 L
.63771 .25579 L
.6376 .25599 L
.63484 .26082 L
.63288 .26395 L
.63174 .26566 L
.62825 .27049 L
.62804 .27075 L
.62425 .27532 L
.62321 .27646 L
.61952 .28015 L
.61838 .28117 L
.61355 .28498 L
.61354 .28498 L
.60872 .28796 L
.60488 .28981 L
.60388 .29021 L
.59905 .29176 L
.59422 .29265 L
.58939 .29289 L
.58456 .29246 L
.57973 .29137 L
.57536 .28981 L
.57489 .2896 L
.57006 .28712 L
.56673 .28498 L
.56523 .28388 L
.56077 .28015 L
.5604 .27981 L
.55603 .27532 L
.55557 .27479 L
.55208 .27049 L
.55073 .26866 L
.54868 .26566 L
.5459 .26119 L
.54569 .26082 L
.54306 .25599 L
.54107 .25194 L
.54071 .25116 L
.53862 .24633 L
.53674 .2415 L
.53624 .24013 L
.53506 .23666 L
.53357 .23183 L
.53223 .227 L
.53141 .22373 L
.53105 .22217 L
.53003 .21734 L
.52913 .2125 L
.52837 .20767 L
.52773 .20284 L
.52722 .19801 L
.52682 .19318 L
.52658 .18899 L
.52655 .18835 L
.5264 .18351 L
.52636 .17868 L
.52643 .17385 L
.52658 .16962 L
.52663 .16902 L
.52694 .16419 L
.52737 .15935 L
.52793 .15452 L
.52861 .14969 L
.52942 .14486 L
.53035 .14003 L
.53141 .13525 L
.53142 .1352 L
.53266 .13036 L
.53405 .12553 L
.5356 .1207 L
.53624 .11885 L
.53734 .11587 L
.53929 .11104 L
.54107 .10703 L
.54146 .1062 L
.54391 .10137 L
.5459 .09779 L
.54665 .09654 L
.54976 .09171 L
.55073 .09031 L
.55333 .08688 L
.55557 .08419 L
.55751 .08204 L
.5604 .07917 L
.56258 .07721 L
.56523 .07509 L
.56917 .07238 L
.57006 .07185 L
.57489 .06937 L
.57973 .0676 L
.57982 .06755 L
F
1 .775 .001 r
.53141 .45387 m
.53582 .4541 L
.5333 .45893 L
.53141 .46108 L
.52697 .45893 L
.5313 .4541 L
F
1 .725 0 r
.53141 .47696 m
.53247 .47826 L
.53141 .48176 L
.5271 .47826 L
F
.021 .875 1 r
.54107 .47724 m
.5459 .47568 L
.54767 .47826 L
.5459 .48246 L
.54561 .48309 L
.54202 .48792 L
.54107 .48876 L
.5399 .49275 L
.53624 .4952 L
.53174 .49758 L
.53141 .49768 L
.52717 .49758 L
.52815 .49275 L
.53141 .48796 L
.53144 .48792 L
.53425 .48309 L
.53624 .48193 L
.54003 .47826 L
F
1 .75 0 r
.53141 .45488 m
.53264 .45893 L
.53141 .46033 L
.52764 .45893 L
F
.212 .95 1 r
.53141 .39648 m
.53461 .40095 L
.53141 .40394 L
.52776 .40095 L
F
1 .7 0 r
.53141 .47775 m
.53181 .47826 L
.53141 .48075 L
.52785 .47826 L
F
1 .875 .021 r
.53624 .54014 m
.54107 .53702 L
.54313 .54107 L
.54107 .54458 L
.54025 .5459 L
.53639 .55073 L
.53624 .55089 L
.53141 .55478 L
.52807 .55073 L
.5311 .5459 L
.53141 .54558 L
.53542 .54107 L
F
.01 .85 1 r
.54107 .47799 m
.5459 .47718 L
.54656 .47826 L
.5459 .48084 L
.54503 .48309 L
.54172 .48792 L
.54107 .48858 L
.53945 .49275 L
.53624 .49461 L
.53141 .49711 L
.52854 .49275 L
.53141 .48842 L
.53178 .48792 L
.53498 .48309 L
.53624 .4824 L
.54077 .47826 L
F
1 .725 0 r
.53141 .45613 m
.53185 .45893 L
.53141 .45943 L
.52856 .45893 L
F
1 .85 .01 r
.53141 .54642 m
.53556 .55073 L
.53141 .55389 L
.52873 .55073 L
F
1 .975 .461 r
.54107 .41903 m
.5459 .41567 L
.55002 .42027 L
.54654 .42511 L
.5459 .42728 L
.5444 .42994 L
.54107 .43372 L
.54015 .43477 L
.53624 .43774 L
.53141 .43839 L
.52879 .43477 L
.53141 .43091 L
.53211 .42994 L
.53565 .42511 L
.53624 .42452 L
.54006 .42027 L
F
.004 .825 1 r
.53624 .48288 m
.54107 .47874 L
.54444 .48309 L
.54141 .48792 L
.54107 .48834 L
.53879 .49275 L
.53624 .49404 L
.53141 .49653 L
.52895 .49275 L
.53141 .48892 L
.53213 .48792 L
.53583 .48309 L
F
.212 .95 1 r
.53141 .60427 m
.53319 .60872 L
.53141 .61015 L
.52896 .60872 L
F
.002 .8 1 r
.53624 .48339 m
.54103 .48792 L
.53785 .49275 L
.53624 .49346 L
.53141 .49592 L
.52939 .49275 L
.53141 .48946 L
.53251 .48792 L
F
1 .825 .004 r
.53141 .54735 m
.53461 .55073 L
.53141 .55292 L
.5295 .55073 L
F
1 .975 .461 r
.5604 .47308 m
.56414 .47342 L
.56386 .47826 L
.56098 .48309 L
.5604 .48412 L
.55632 .48792 L
.55557 .49066 L
.55377 .49275 L
.55073 .4964 L
.54917 .49758 L
.55073 .50223 L
.55557 .50208 L
.55648 .50242 L
.55684 .50725 L
.55557 .50915 L
.55308 .51208 L
.55073 .51638 L
.55039 .51691 L
.5468 .52174 L
.5459 .52293 L
.5427 .52658 L
.54107 .52827 L
.53624 .52958 L
.53141 .52922 L
.52978 .52658 L
.53141 .52511 L
.5337 .52174 L
.53624 .51826 L
.53726 .51691 L
.54086 .51208 L
.54107 .51178 L
.54379 .50725 L
.5459 .50572 L
.55041 .50242 L
.5459 .49905 L
.54107 .4991 L
.53856 .49758 L
.54107 .49324 L
.54138 .49275 L
.54439 .48792 L
.5459 .48673 L
.54882 .48309 L
.55073 .48049 L
.55293 .47826 L
.55557 .47539 L
.55946 .47342 L
F
.001 .775 1 r
.53624 .48394 m
.54051 .48792 L
.53656 .49275 L
.53624 .49288 L
.53141 .49527 L
.52987 .49275 L
.53141 .49006 L
.53292 .48792 L
F
1 .95 .212 r
.54107 .4213 m
.54548 .42511 L
.54312 .42994 L
.54107 .43175 L
.53817 .43477 L
.53624 .43607 L
.53141 .43675 L
.53018 .43477 L
.53141 .43255 L
.53319 .42994 L
.53624 .42603 L
.53711 .42511 L
F
1 .875 .021 r
.53141 .56946 m
.53292 .57006 L
.53141 .5741 L
.53037 .57006 L
F
0 .75 1 r
.53141 .49079 m
.53563 .49275 L
.53141 .49452 L
.5304 .49275 L
F
1 .8 .002 r
.53141 .54865 m
.53334 .55073 L
.53141 .55172 L
.53051 .55073 L
F
1 .95 .212 r
.5459 .50688 m
.55073 .50384 L
.55518 .50725 L
.55226 .51208 L
.55073 .51528 L
.54969 .51691 L
.54596 .52174 L
.5459 .52182 L
.54131 .52658 L
.54107 .52678 L
.53624 .52878 L
.53141 .52791 L
.5309 .52658 L
.53141 .52607 L
.53412 .52174 L
.53624 .51878 L
.53766 .51691 L
.54107 .5124 L
.54135 .51208 L
.54526 .50725 L
F
.212 .95 1 r
.5459 .56589 m
.55049 .57006 L
.54758 .57489 L
.5459 .57847 L
.54393 .57973 L
.54107 .58252 L
.53904 .58456 L
.53624 .58642 L
.53141 .58651 L
.53102 .58456 L
.53141 .58381 L
.53381 .57973 L
.53624 .57625 L
.53726 .57489 L
.54107 .57013 L
.54113 .57006 L
F
0 .725 1 r
.53141 .49179 m
.53466 .49275 L
.53141 .49354 L
.53104 .49275 L
F
.212 .95 1 r
.53624 .59954 m
.53746 .60388 L
.53624 .60549 L
.53169 .60388 L
F
1 .85 .01 r
.53624 .54086 m
.54107 .53842 L
.54222 .54107 L
.54107 .5433 L
.53955 .5459 L
.53624 .55003 L
.53179 .5459 L
.53604 .54107 L
F
.212 .95 1 r
.53624 .39334 m
.53749 .39612 L
.53624 .39836 L
.5318 .39612 L
F
1 .925 .098 r
.55073 .50527 m
.55361 .50725 L
.55166 .51208 L
.55073 .51413 L
.54901 .51691 L
.5459 .52092 L
.54524 .52174 L
.54107 .52584 L
.53991 .52658 L
.53624 .528 L
.53212 .52658 L
.53455 .52174 L
.53624 .51934 L
.53807 .51691 L
.54107 .513 L
.5419 .51208 L
.5459 .50784 L
.54671 .50725 L
F
1 .825 .004 r
.53624 .54174 m
.53881 .5459 L
.53624 .5491 L
.53245 .5459 L
F
1 .8 .002 r
.53624 .54284 m
.53795 .5459 L
.53624 .54806 L
.53328 .5459 L
F
0 .75 1 r
.53624 .48453 m
.53996 .48792 L
.53624 .49222 L
.53337 .48792 L
F
1 .9 .045 r
.55073 .50682 m
.55157 .50725 L
.55106 .51208 L
.55073 .51279 L
.54833 .51691 L
.5459 .52005 L
.54451 .52174 L
.54107 .52503 L
.53827 .52658 L
.53624 .5272 L
.5336 .52658 L
.53501 .52174 L
.53624 .51993 L
.53851 .51691 L
.54107 .51361 L
.54251 .51208 L
.5459 .50872 L
.54864 .50725 L
F
0 .725 1 r
.53624 .48517 m
.53935 .48792 L
.53624 .4915 L
.53388 .48792 L
F
.212 .95 1 r
.55073 .44612 m
.55557 .44512 L
.55563 .44927 L
.55557 .45084 L
.55442 .4541 L
.55073 .4588 L
.55065 .45893 L
.54696 .46376 L
.5459 .465 L
.54107 .46818 L
.53918 .46859 L
.53624 .46879 L
.53457 .46859 L
.53421 .46376 L
.53624 .46216 L
.53867 .45893 L
.54107 .45567 L
.54242 .4541 L
.5459 .44943 L
.54655 .44927 L
F
0 .7 1 r
.53624 .48589 m
.53866 .48792 L
.53624 .49068 L
.53447 .48792 L
F
1 .925 .098 r
.53624 .4277 m
.54082 .42994 L
.53624 .4343 L
.53449 .42994 L
F
1 .775 .001 r
.53624 .54443 m
.53682 .5459 L
.53624 .54666 L
.53454 .5459 L
F
.461 .975 1 r
.54107 .36532 m
.5451 .36712 L
.54241 .37196 L
.54107 .37329 L
.53624 .37601 L
.53496 .37196 L
.53624 .37016 L
.53918 .36712 L
F
0 .675 1 r
.53624 .4868 m
.53777 .48792 L
.53624 .48964 L
.53523 .48792 L
F
.098 .925 1 r
.54107 .57225 m
.54547 .57489 L
.54168 .57973 L
.54107 .58057 L
.53624 .58336 L
.53539 .57973 L
.53624 .57836 L
.53881 .57489 L
F
.55073 .44735 m
.55386 .44927 L
.55352 .4541 L
.55073 .45705 L
.54959 .45893 L
.5459 .46349 L
.54566 .46376 L
.54107 .46705 L
.53624 .4675 L
.5354 .46376 L
.53624 .4631 L
.53929 .45893 L
.54107 .45652 L
.54326 .4541 L
.5459 .44951 L
.54837 .44927 L
F
1 .875 .021 r
.5459 .50961 m
.55019 .51208 L
.54763 .51691 L
.5459 .51917 L
.54377 .52174 L
.54107 .52423 L
.53624 .52628 L
.53549 .52174 L
.53624 .5206 L
.53898 .51691 L
.54107 .51424 L
.5432 .51208 L
F
1 .85 .01 r
.5459 .51054 m
.54911 .51208 L
.54689 .51691 L
.5459 .51824 L
.54297 .52174 L
.54107 .52343 L
.53624 .52497 L
.53603 .52174 L
.53624 .52139 L
.53948 .51691 L
.54107 .5149 L
.54403 .51208 L
F
.461 .975 1 r
.67153 .34594 m
.67466 .3478 L
.67465 .35263 L
.67153 .35508 L
.67019 .35746 L
.66723 .36229 L
.6667 .36352 L
.66417 .36712 L
.66187 .37012 L
.66061 .37196 L
.6572 .37679 L
.65704 .37704 L
.65312 .38162 L
.6522 .38436 L
.65087 .38645 L
.64737 .39017 L
.64655 .39128 L
.64301 .39612 L
.64254 .39682 L
.63937 .40095 L
.63771 .40378 L
.63574 .40578 L
.63288 .40967 L
.63215 .41061 L
.62815 .41544 L
.62804 .41622 L
.62544 .42027 L
.62321 .42302 L
.62124 .42511 L
.61838 .42903 L
.61766 .42994 L
.61402 .43477 L
.61355 .43552 L
.61152 .4396 L
.60872 .44221 L
.60669 .44443 L
.60388 .4489 L
.60311 .44927 L
.59969 .4541 L
.59905 .45475 L
.59576 .45893 L
.59422 .46135 L
.59206 .46376 L
.58939 .46805 L
.58844 .46859 L
.58485 .47342 L
.58456 .47368 L
.58122 .47826 L
.57973 .47981 L
.57702 .48309 L
.57489 .48586 L
.57306 .48792 L
.57006 .49128 L
.56927 .49275 L
.56523 .49751 L
.56515 .49758 L
.56523 .50183 L
.56633 .50242 L
.56953 .50725 L
.5679 .51208 L
.56523 .51588 L
.56391 .51691 L
.56113 .52174 L
.5604 .52274 L
.55734 .52658 L
.5604 .53038 L
.56523 .52989 L
.56787 .53141 L
.56523 .53496 L
.56461 .53624 L
.56101 .54107 L
.5604 .54148 L
.55751 .5459 L
.55557 .54839 L
.55262 .55073 L
.55073 .55472 L
.54997 .55557 L
.5459 .55965 L
.54107 .56012 L
.53642 .55557 L
.53962 .55073 L
.54107 .54932 L
.5437 .5459 L
.5459 .54237 L
.54735 .54107 L
.55073 .53654 L
.55102 .53624 L
.55557 .53161 L
.55608 .53141 L
.55557 .52878 L
.55073 .52991 L
.5459 .52975 L
.54414 .52658 L
.5459 .52426 L
.54768 .52174 L
.55073 .51753 L
.55121 .51691 L
.55437 .51208 L
.55557 .511 L
.5587 .50725 L
.5604 .50459 L
.56345 .50242 L
.5604 .50022 L
.55557 .49972 L
.55204 .49758 L
.55521 .49275 L
.55557 .49237 L
.55779 .48792 L
.5604 .48593 L
.56282 .48309 L
.56523 .481 L
.56675 .47826 L
.57006 .47611 L
.57107 .47342 L
.57489 .47016 L
.57658 .46859 L
.57959 .46376 L
.57973 .46373 L
.5827 .45893 L
.58456 .45656 L
.58606 .4541 L
.58939 .44956 L
.58964 .44927 L
.59303 .44443 L
.59422 .44326 L
.59655 .4396 L
.59905 .43651 L
.60071 .43477 L
.60388 .42995 L
.60389 .42994 L
.6074 .42511 L
.60872 .42397 L
.61282 .42027 L
.61355 .41719 L
.6148 .41544 L
.61837 .41061 L
.61838 .41059 L
.62192 .40578 L
.62321 .40484 L
.62646 .40095 L
.62804 .39799 L
.62882 .39612 L
.63288 .39138 L
.63295 .39128 L
.63657 .38645 L
.63771 .38587 L
.64045 .38162 L
.64254 .37906 L
.64405 .37679 L
.64737 .37253 L
.64782 .37196 L
.65201 .36712 L
.6522 .36636 L
.65506 .36229 L
.65704 .36093 L
.6597 .35746 L
.66187 .35506 L
.66413 .35263 L
.6667 .34971 L
.66929 .3478 L
F
.002 .8 1 r
.54107 .47952 m
.54382 .48309 L
.54107 .48786 L
.53654 .48309 L
F
.045 .9 1 r
.5459 .45027 m
.55073 .45053 L
.55155 .4541 L
.55073 .45489 L
.54852 .45893 L
.5459 .46215 L
.54439 .46376 L
.54107 .46597 L
.5367 .46376 L
.53995 .45893 L
.54107 .45742 L
.54423 .4541 L
F
1 .825 .004 r
.5459 .51161 m
.54762 .51208 L
.54609 .51691 L
.5459 .51717 L
.54206 .52174 L
.54107 .52257 L
.5368 .52174 L
.54004 .51691 L
.54107 .51562 L
.54519 .51208 L
F
.54107 .54089 m
.5411 .54107 L
.54107 .54117 L
.5371 .54107 L
F
.001 .775 1 r
.54107 .48036 m
.54315 .48309 L
.54107 .487 L
.53715 .48309 L
F
0 .75 1 r
.54107 .48132 m
.54238 .48309 L
.54107 .48595 L
.53791 .48309 L
F
.212 .95 1 r
.55557 .53472 m
.5604 .53565 L
.56068 .53624 L
.5604 .537 L
.55886 .54107 L
.5557 .5459 L
.55557 .54608 L
.55128 .55073 L
.55073 .5524 L
.54795 .55557 L
.5459 .55684 L
.54107 .55834 L
.53797 .55557 L
.54066 .55073 L
.54107 .55036 L
.54447 .5459 L
.5459 .54311 L
.54842 .54107 L
.55073 .53831 L
.5533 .53624 L
F
.021 .875 1 r
.5459 .45297 m
.54922 .4541 L
.54736 .45893 L
.5459 .46074 L
.54291 .46376 L
.54107 .46482 L
.53803 .46376 L
.54071 .45893 L
.54107 .45844 L
.54548 .4541 L
F
1 .95 .212 r
.57973 .08978 m
.58456 .08843 L
.58939 .0879 L
.59422 .08817 L
.59905 .08927 L
.60388 .0912 L
.6049 .09171 L
.60872 .09404 L
.61201 .09654 L
.61355 .09789 L
.61704 .10137 L
.61838 .10289 L
.62102 .1062 L
.62321 .10931 L
.62433 .11104 L
.62716 .11587 L
.62804 .11752 L
.62964 .1207 L
.63183 .12553 L
.63288 .12802 L
.63379 .13036 L
.63551 .1352 L
.63697 .14003 L
.63771 .14289 L
.63814 .14486 L
.639 .14969 L
.63961 .15452 L
.64005 .15935 L
.6404 .16419 L
.64073 .16902 L
.64106 .17385 L
.64139 .17868 L
.64167 .18351 L
.6418 .18835 L
.64169 .19318 L
.64123 .19801 L
.64045 .20284 L
.63942 .20767 L
.63823 .2125 L
.63771 .21447 L
.63691 .21734 L
.6355 .22217 L
.63397 .227 L
.63288 .23017 L
.63226 .23183 L
.63031 .23666 L
.62805 .2415 L
.62804 .24151 L
.6254 .24633 L
.62321 .24978 L
.62226 .25116 L
.61851 .25599 L
.61838 .25614 L
.61386 .26082 L
.61355 .26111 L
.60872 .26494 L
.60766 .26566 L
.60388 .26777 L
.59905 .26971 L
.59604 .27049 L
.59422 .2708 L
.58939 .27108 L
.58456 .27055 L
.58413 .27049 L
.57973 .2692 L
.57489 .26698 L
.57264 .26566 L
.57006 .26384 L
.56644 .26082 L
.56523 .25967 L
.5618 .25599 L
.5604 .25428 L
.55806 .25116 L
.55557 .2474 L
.55491 .24633 L
.55222 .2415 L
.55073 .2385 L
.54989 .23666 L
.54786 .23183 L
.54609 .227 L
.5459 .22644 L
.54456 .22217 L
.54323 .21734 L
.54209 .2125 L
.54112 .20767 L
.54107 .20742 L
.54033 .20284 L
.53969 .19801 L
.5392 .19318 L
.53887 .18835 L
.53868 .18351 L
.53863 .17868 L
.53872 .17385 L
.53896 .16902 L
.53935 .16419 L
.53988 .15935 L
.54057 .15452 L
.54107 .15155 L
.54142 .14969 L
.54245 .14486 L
.54365 .14003 L
.54504 .1352 L
.5459 .13253 L
.54666 .13036 L
.54851 .12553 L
.55063 .1207 L
.55073 .12048 L
.55307 .11587 L
.55557 .11157 L
.5559 .11104 L
.55923 .1062 L
.5604 .10469 L
.56323 .10137 L
.56523 .09931 L
.56827 .09654 L
.57006 .09513 L
.57489 .09199 L
.57538 .09171 L
F
0 .725 1 r
.54107 .48263 m
.54138 .48309 L
.54107 .48433 L
.53908 .48309 L
F
1 .925 .098 r
.54107 .42369 m
.54313 .42511 L
.54107 .42953 L
.53911 .42511 L
F
.098 .925 1 r
.54107 .55214 m
.54454 .55557 L
.54107 .55637 L
.54007 .55557 L
F
1 .95 .212 r
.55557 .47737 m
.5604 .47683 L
.56113 .47826 L
.5604 .48062 L
.55945 .48309 L
.55576 .48792 L
.55557 .48909 L
.55273 .49275 L
.55073 .49488 L
.5464 .49758 L
.5459 .49776 L
.54107 .49797 L
.5404 .49758 L
.54107 .49473 L
.54211 .49275 L
.54527 .48792 L
.5459 .48739 L
.54958 .48309 L
.55073 .48161 L
.55454 .47826 L
F
1 .8 .002 r
.54107 .51645 m
.54505 .51691 L
.54107 .52155 L
.5407 .51691 L
F
.098 .925 1 r
.55073 .53995 m
.55557 .53775 L
.55677 .54107 L
.55557 .54334 L
.55416 .5459 L
.55073 .55039 L
.55045 .55073 L
.5459 .55484 L
.54184 .55073 L
.54532 .5459 L
.5459 .5445 L
.54968 .54107 L
F
.01 .85 1 r
.5459 .4562 m
.54591 .45893 L
.5459 .45894 L
.54197 .45893 L
F
.461 .975 1 r
.5604 .41354 m
.56523 .41231 L
.56819 .41544 L
.5654 .42027 L
.56523 .42088 L
.56148 .42511 L
.5604 .42945 L
.55871 .42994 L
.55557 .43438 L
.55526 .43477 L
.55073 .43866 L
.5459 .43914 L
.54231 .43477 L
.54576 .42994 L
.5459 .42974 L
.54852 .42511 L
.55073 .42338 L
.55351 .42027 L
.55557 .41758 L
.55815 .41544 L
F
1 .95 .212 r
.5459 .41973 m
.54644 .42027 L
.5459 .42395 L
.54293 .42027 L
F
1 .925 .098 r
.55073 .48273 m
.55557 .47935 L
.55794 .48309 L
.55557 .48736 L
.55525 .48792 L
.5516 .49275 L
.55073 .49352 L
.5459 .49656 L
.54293 .49275 L
.5459 .48833 L
.54622 .48792 L
.55044 .48309 L
F
.045 .9 1 r
.5459 .54665 m
.54865 .55073 L
.5459 .55295 L
.54328 .55073 L
F
.098 .925 1 r
.5459 .56894 m
.54746 .57006 L
.5459 .57409 L
.5437 .57006 L
F
1 .9 .045 r
.5459 .48952 m
.55011 .49275 L
.5459 .49527 L
.54391 .49275 L
F
1 .875 .021 r
.5459 .49128 m
.54825 .49275 L
.5459 .49362 L
.54525 .49275 L
F
.212 .95 1 r
.5459 .43349 m
.55031 .43477 L
.5459 .43555 L
.54538 .43477 L
F
.5604 .50802 m
.56491 .51208 L
.56158 .51691 L
.5604 .51988 L
.55904 .52174 L
.55557 .52473 L
.5539 .52658 L
.55073 .528 L
.5459 .52704 L
.54581 .52658 L
.5459 .52639 L
.54865 .52174 L
.55073 .51879 L
.55221 .51691 L
.55557 .51265 L
.55611 .51208 L
F
.045 .9 1 r
.55073 .54192 m
.55248 .5459 L
.55073 .54828 L
.5465 .5459 L
F
1 .925 .098 r
.57973 .10484 m
.58456 .10322 L
.58939 .10259 L
.59422 .10292 L
.59905 .10423 L
.60333 .1062 L
.60388 .10656 L
.60872 .11003 L
.60987 .11104 L
.61355 .11481 L
.61445 .11587 L
.61804 .1207 L
.61838 .12122 L
.62099 .12553 L
.62321 .12982 L
.62347 .13036 L
.62558 .1352 L
.62736 .14003 L
.62804 .14212 L
.62885 .14486 L
.63006 .14969 L
.63103 .15452 L
.63179 .15935 L
.63237 .16419 L
.63281 .16902 L
.63288 .16974 L
.63313 .17385 L
.63332 .17868 L
.63336 .18351 L
.63323 .18835 L
.63289 .19318 L
.63288 .19329 L
.63231 .19801 L
.6315 .20284 L
.63047 .20767 L
.62922 .2125 L
.62804 .21647 L
.62777 .21734 L
.62607 .22217 L
.62411 .227 L
.62321 .22898 L
.6218 .23183 L
.61906 .23666 L
.61838 .23774 L
.61574 .2415 L
.61355 .24417 L
.61156 .24633 L
.60872 .24895 L
.60588 .25116 L
.60388 .25242 L
.59905 .25475 L
.59459 .25599 L
.59422 .25606 L
.58939 .25639 L
.5857 .25599 L
.58456 .25576 L
.57973 .25414 L
.57489 .25146 L
.57444 .25116 L
.57006 .24761 L
.56873 .24633 L
.56523 .24237 L
.56455 .2415 L
.56121 .23666 L
.5604 .23534 L
.55845 .23183 L
.55612 .227 L
.55557 .22571 L
.55416 .22217 L
.55248 .21734 L
.55107 .2125 L
.55073 .21122 L
.54989 .20767 L
.54893 .20284 L
.54816 .19801 L
.54758 .19318 L
.54717 .18835 L
.54694 .18351 L
.54689 .17868 L
.547 .17385 L
.54729 .16902 L
.54775 .16419 L
.54839 .15935 L
.54923 .15452 L
.55026 .14969 L
.55073 .14775 L
.55152 .14486 L
.55301 .14003 L
.55478 .1352 L
.55557 .13326 L
.55686 .13036 L
.55931 .12553 L
.5604 .12364 L
.56225 .1207 L
.56523 .11661 L
.56583 .11587 L
.57006 .11136 L
.57041 .11104 L
.57489 .10751 L
.57692 .1062 L
F
1 .9 .045 r
.55073 .48402 m
.55405 .48792 L
.55073 .49209 L
.54713 .48792 L
F
.212 .95 1 r
.55073 .42706 m
.55494 .42994 L
.55073 .43446 L
.54828 .42994 L
F
1 .875 .021 r
.55073 .48565 m
.55261 .48792 L
.55073 .49035 L
.54838 .48792 L
F
1 .975 .461 r
.55557 .57196 m
.55905 .57489 L
.5558 .57973 L
.55557 .57987 L
.55073 .58387 L
.54916 .57973 L
.55073 .57741 L
.55279 .57489 L
F
.098 .925 1 r
.5604 .51091 m
.56207 .51208 L
.56053 .51691 L
.5604 .51714 L
.55713 .52174 L
.55557 .52424 L
.55073 .52596 L
.54977 .52174 L
.55073 .52028 L
.55341 .51691 L
.55557 .51435 L
.55834 .51208 L
F
1 .975 .461 r
.5604 .45113 m
.56523 .45019 L
.56536 .4541 L
.56523 .45439 L
.56309 .45893 L
.5604 .46248 L
.55937 .46376 L
.55557 .46675 L
.55073 .46779 L
.54985 .46376 L
.55073 .46243 L
.55343 .45893 L
.55557 .45611 L
.55751 .4541 L
F
1 .9 .045 r
.55557 .48201 m
.55609 .48309 L
.55557 .48461 L
.55194 .48309 L
F
.461 .975 1 r
.5604 .39419 m
.56478 .39612 L
.56285 .40095 L
.5604 .40379 L
.55813 .40578 L
.55557 .40674 L
.55218 .40578 L
.55491 .40095 L
.55557 .40001 L
.55939 .39612 L
F
1 .95 .212 r
.55557 .45879 m
.55958 .45893 L
.55558 .46376 L
.55557 .46377 L
.55288 .46376 L
.55545 .45893 L
F
.212 .95 1 r
.55557 .42382 m
.55699 .42511 L
.55557 .42871 L
.55316 .42511 L
F
.461 .975 1 r
.56523 .59818 m
.56964 .59905 L
.56676 .60388 L
.56523 .60581 L
.56296 .60872 L
.5604 .61132 L
.55753 .61355 L
.55557 .61458 L
.55323 .61355 L
.5553 .60872 L
.55557 .60833 L
.55914 .60388 L
.5604 .60239 L
.56407 .59905 L
F
1 .9 .045 r
.58456 .11549 m
.58939 .11474 L
.59422 .11513 L
.59696 .11587 L
.59905 .11669 L
.60388 .11951 L
.60546 .1207 L
.60872 .12377 L
.61031 .12553 L
.61355 .12984 L
.6139 .13036 L
.61675 .1352 L
.61838 .13851 L
.61906 .14003 L
.62096 .14486 L
.6225 .14969 L
.62321 .1523 L
.62375 .15452 L
.62473 .15935 L
.62548 .16419 L
.62602 .16902 L
.62637 .17385 L
.62654 .17868 L
.62651 .18351 L
.62627 .18835 L
.62581 .19318 L
.62512 .19801 L
.62417 .20284 L
.62321 .20679 L
.62297 .20767 L
.62149 .2125 L
.61969 .21734 L
.61838 .22037 L
.61753 .22217 L
.61489 .227 L
.61355 .2291 L
.6116 .23183 L
.60872 .2352 L
.60728 .23666 L
.60388 .23947 L
.60078 .2415 L
.59905 .24229 L
.59422 .24385 L
.58939 .24424 L
.58456 .24349 L
.57973 .24155 L
.57962 .2415 L
.57489 .2383 L
.57301 .23666 L
.57006 .23352 L
.56868 .23183 L
.56539 .227 L
.56523 .22674 L
.56274 .22217 L
.56058 .21734 L
.5604 .21688 L
.5588 .2125 L
.55734 .20767 L
.55616 .20284 L
.55557 .19989 L
.55524 .19801 L
.55454 .19318 L
.55406 .18835 L
.55379 .18351 L
.55372 .17868 L
.55385 .17385 L
.55419 .16902 L
.55475 .16419 L
.55552 .15935 L
.55557 .15909 L
.55653 .15452 L
.5578 .14969 L
.55936 .14486 L
.5604 .14209 L
.56125 .14003 L
.56356 .1352 L
.56523 .13223 L
.5664 .13036 L
.56999 .12553 L
.57006 .12545 L
.57486 .1207 L
.57489 .12067 L
.57973 .11743 L
.58293 .11587 L
F
1 .975 .461 r
.55557 .55137 m
.55892 .55557 L
.55557 .55661 L
.55398 .55557 L
F
.045 .9 1 r
.55557 .51646 m
.55793 .51691 L
.55557 .52058 L
.55515 .51691 L
F
1 .975 .461 r
.56523 .53973 m
.57006 .53689 L
.57188 .54107 L
.57006 .54351 L
.56854 .5459 L
.56523 .54997 L
.56462 .55073 L
.5604 .55464 L
.55594 .55073 L
.55967 .5459 L
.5604 .54391 L
.56422 .54107 L
F
.212 .95 1 r
.56523 .48303 m
.57006 .47944 L
.57303 .48309 L
.57006 .48725 L
.56964 .48792 L
.56576 .49275 L
.56523 .49318 L
.5604 .49645 L
.55723 .49275 L
.5604 .48824 L
.56065 .48792 L
.56515 .48309 L
F
.461 .975 1 r
.56523 .57516 m
.56949 .57973 L
.56564 .58456 L
.56523 .58492 L
.5604 .58717 L
.55892 .58456 L
.5604 .582 L
.56194 .57973 L
F
1 .875 .021 r
.57973 .12918 m
.58456 .1268 L
.58939 .12589 L
.59422 .12637 L
.59905 .12827 L
.60235 .13036 L
.60388 .13176 L
.60717 .1352 L
.60872 .13724 L
.61058 .14003 L
.61318 .14486 L
.61355 .14566 L
.61522 .14969 L
.61683 .15452 L
.61808 .15935 L
.61838 .16073 L
.61902 .16419 L
.61969 .16902 L
.62011 .17385 L
.62028 .17868 L
.62022 .18351 L
.6199 .18835 L
.61933 .19318 L
.61847 .19801 L
.61838 .19844 L
.61731 .20284 L
.61581 .20767 L
.6139 .2125 L
.61355 .21329 L
.61151 .21734 L
.60872 .22172 L
.60839 .22217 L
.60411 .227 L
.60388 .22721 L
.59905 .2307 L
.59665 .23183 L
.59422 .23261 L
.58939 .23308 L
.58456 .23217 L
.58332 .23183 L
.57973 .2298 L
.57611 .227 L
.57489 .22574 L
.57187 .22217 L
.57006 .21948 L
.56878 .21734 L
.56638 .2125 L
.56523 .2097 L
.56449 .20767 L
.563 .20284 L
.56184 .19801 L
.56099 .19318 L
.5604 .18835 L
.5604 .1883 L
.56007 .18351 L
.55999 .17868 L
.56016 .17385 L
.5604 .17012 L
.56057 .16902 L
.56124 .16419 L
.56219 .15935 L
.56345 .15452 L
.56507 .14969 L
.56523 .14928 L
.56711 .14486 L
.56973 .14003 L
.57006 .13949 L
.57313 .1352 L
.57489 .13324 L
.57799 .13036 L
F
.461 .975 1 r
.57006 .45445 m
.57287 .45893 L
.57034 .46376 L
.57006 .46408 L
.56523 .46738 L
.56337 .46376 L
.56523 .46099 L
.5669 .45893 L
F
1 .975 .461 r
.56523 .52139 m
.56658 .52174 L
.56523 .52261 L
.56502 .52174 L
F
.461 .975 1 r
.57006 .57048 m
.57149 .57489 L
.57006 .57861 L
.56546 .57489 L
F
.70535 .37663 m
.70637 .37679 L
.70683 .38162 L
.70535 .38503 L
.70472 .38645 L
.70208 .39128 L
.70052 .39353 L
.6987 .39612 L
.69569 .4008 L
.6956 .40095 L
.69228 .40578 L
.69086 .40804 L
.68758 .41061 L
.68603 .4142 L
.68529 .41544 L
.68161 .42027 L
.68119 .42082 L
.67808 .42511 L
.67636 .42761 L
.67393 .42994 L
.67153 .43444 L
.67141 .43477 L
.6672 .4396 L
.6667 .44023 L
.66361 .44443 L
.66187 .44691 L
.66002 .44927 L
.65704 .45359 L
.6563 .4541 L
.65272 .45893 L
.6522 .45955 L
.64848 .46376 L
.64737 .46616 L
.64619 .46859 L
.64254 .47278 L
.6418 .47342 L
.63821 .47826 L
.63771 .47884 L
.63459 .48309 L
.63288 .48541 L
.63089 .48792 L
.62804 .492 L
.62728 .49275 L
.62333 .49758 L
.62321 .4981 L
.62059 .50242 L
.61838 .50464 L
.61633 .50725 L
.61355 .51122 L
.61274 .51208 L
.60914 .51691 L
.60872 .51732 L
.60664 .52174 L
.60388 .52382 L
.60174 .52658 L
.59905 .53038 L
.59813 .53141 L
.59461 .53624 L
.59422 .53643 L
.59193 .54107 L
.58939 .54265 L
.58681 .5459 L
.58456 .54887 L
.58294 .55073 L
.57973 .55477 L
.57898 .55557 L
.57489 .56 L
.57451 .5604 L
.57006 .56168 L
.5676 .5604 L
.56618 .55557 L
.56934 .55073 L
.57006 .5491 L
.57307 .5459 L
.57489 .54323 L
.57704 .54107 L
.57973 .53725 L
.58107 .53624 L
.58456 .53147 L
.58459 .53141 L
.58803 .52658 L
.58939 .52488 L
.59153 .52174 L
.59422 .51806 L
.59575 .51691 L
.5988 .51208 L
.59905 .51184 L
.60229 .50725 L
.60388 .5053 L
.60589 .50242 L
.60872 .49865 L
.60973 .49758 L
.61321 .49275 L
.61355 .49248 L
.61676 .48792 L
.61838 .48599 L
.62138 .48309 L
.62321 .47937 L
.62383 .47826 L
.62769 .47342 L
.62804 .47322 L
.63128 .46859 L
.63288 .46675 L
.63525 .46376 L
.63771 .4601 L
.6386 .45893 L
.6422 .4541 L
.64254 .454 L
.647 .44927 L
.64737 .44753 L
.64917 .44443 L
.6522 .44084 L
.65313 .4396 L
.65672 .43477 L
.65704 .43435 L
.6607 .42994 L
.66187 .42837 L
.66295 .42511 L
.6667 .42163 L
.6677 .42027 L
.6713 .41544 L
.67153 .41512 L
.67477 .41061 L
.67636 .40934 L
.67874 .40578 L
.68119 .40263 L
.68245 .40095 L
.68603 .39624 L
.68614 .39612 L
.68953 .39128 L
.69086 .39077 L
.69418 .38645 L
.69569 .38483 L
.69871 .38162 L
.70052 .3797 L
.70512 .37679 L
F
1 .85 .01 r
.58456 .13821 m
.58939 .13705 L
.59422 .13765 L
.59896 .14003 L
.59905 .14009 L
.60388 .14476 L
.60397 .14486 L
.60719 .14969 L
.60872 .15279 L
.60947 .15452 L
.61118 .15935 L
.61242 .16419 L
.61328 .16902 L
.61355 .1706 L
.6138 .17385 L
.61402 .17868 L
.61392 .18351 L
.61355 .188 L
.61351 .18835 L
.61277 .19318 L
.61166 .19801 L
.61011 .20284 L
.60872 .2062 L
.60802 .20767 L
.60518 .2125 L
.60388 .21421 L
.60109 .21734 L
.59905 .21888 L
.59422 .22132 L
.58939 .22192 L
.58456 .22077 L
.57973 .21769 L
.5793 .21734 L
.57512 .2125 L
.57489 .21216 L
.57226 .20767 L
.5702 .20284 L
.57006 .20247 L
.56865 .19801 L
.56753 .19318 L
.56678 .18835 L
.56636 .18351 L
.56626 .17868 L
.56647 .17385 L
.56699 .16902 L
.56786 .16419 L
.56911 .15935 L
.57006 .1565 L
.57081 .15452 L
.57311 .14969 L
.57489 .14681 L
.57625 .14486 L
.57973 .14128 L
.5808 .14003 L
F
1 .975 .461 r
.57489 .53416 m
.57509 .53624 L
.57489 .53647 L
.57102 .53624 L
F
.461 .975 1 r
.64737 .34183 m
.6496 .34296 L
.64799 .3478 L
.64737 .34894 L
.64519 .35263 L
.64254 .35697 L
.64221 .35746 L
.63956 .36229 L
.63771 .36407 L
.63554 .36712 L
.63288 .37094 L
.63213 .37196 L
.62868 .37679 L
.62804 .37795 L
.62655 .38162 L
.62321 .3842 L
.62149 .38645 L
.61838 .39077 L
.61798 .39128 L
.61468 .39612 L
.61355 .39755 L
.61069 .40095 L
.60872 .40481 L
.60705 .40578 L
.60388 .41015 L
.60351 .41061 L
.6004 .41544 L
.59905 .41674 L
.59606 .42027 L
.59422 .42369 L
.59235 .42511 L
.58939 .42912 L
.5887 .42994 L
.58531 .43477 L
.58456 .43538 L
.58103 .4396 L
.57973 .44162 L
.57689 .44443 L
.57489 .44735 L
.57338 .44443 L
.57111 .4396 L
.57256 .43477 L
.57489 .43174 L
.57565 .42994 L
.57973 .42541 L
.57994 .42511 L
.58436 .42027 L
.58456 .41947 L
.58856 .41544 L
.58939 .41284 L
.59126 .41061 L
.59422 .40615 L
.59451 .40578 L
.598 .40095 L
.59905 .40001 L
.60303 .39612 L
.60388 .3933 L
.60515 .39128 L
.60872 .38673 L
.60893 .38645 L
.61254 .38162 L
.61355 .38086 L
.61683 .37679 L
.61838 .37434 L
.61896 .37196 L
.62321 .36796 L
.62389 .36712 L
.62775 .36229 L
.62804 .36215 L
.6316 .35746 L
.63288 .35635 L
.63596 .35263 L
.63771 .35067 L
.64052 .3478 L
.64254 .3452 L
.64594 .34296 L
F
.212 .95 1 r
.57489 .47691 m
.57587 .47826 L
.57489 .47966 L
.57189 .47826 L
F
1 .975 .461 r
.6667 .37137 m
.66942 .37196 L
.66826 .37679 L
.6667 .37986 L
.66572 .38162 L
.66285 .38645 L
.66187 .38786 L
.65963 .39128 L
.65704 .39505 L
.6563 .39612 L
.65238 .40095 L
.6522 .40221 L
.64987 .40578 L
.64737 .40987 L
.64589 .41061 L
.64254 .41523 L
.64238 .41544 L
.63861 .42027 L
.63771 .42203 L
.63636 .42511 L
.63288 .4291 L
.63156 .42994 L
.62804 .43475 L
.62802 .43477 L
.6246 .4396 L
.62321 .44137 L
.62068 .44443 L
.61838 .4482 L
.61704 .44927 L
.61355 .45401 L
.61348 .4541 L
.61037 .45893 L
.60872 .46049 L
.60599 .46376 L
.60388 .46714 L
.60229 .46859 L
.59905 .47293 L
.59863 .47342 L
.59542 .47826 L
.59422 .47911 L
.59081 .48309 L
.58939 .48533 L
.58675 .48792 L
.58456 .49164 L
.58251 .49275 L
.57973 .49578 L
.57737 .49758 L
.57489 .49963 L
.57247 .49758 L
.5732 .49275 L
.57489 .49021 L
.57633 .48792 L
.57973 .48343 L
.57995 .48309 L
.58378 .47826 L
.58456 .4766 L
.58728 .47342 L
.58939 .46931 L
.5902 .46859 L
.59358 .46376 L
.59422 .46302 L
.59693 .45893 L
.59905 .45609 L
.60077 .4541 L
.60388 .44943 L
.60405 .44927 L
.60751 .44443 L
.60872 .44314 L
.61226 .4396 L
.61355 .43643 L
.61452 .43477 L
.61838 .42994 L
.61838 .42994 L
.62194 .42511 L
.62321 .42384 L
.62605 .42027 L
.62804 .4172 L
.62821 .41544 L
.63288 .41074 L
.63299 .41061 L
.63666 .40578 L
.63771 .40487 L
.6402 .40095 L
.64254 .39841 L
.64425 .39612 L
.64737 .39212 L
.64811 .39128 L
.65208 .38645 L
.6522 .38635 L
.65555 .38162 L
.65704 .38078 L
.66073 .37679 L
.66187 .37552 L
.66623 .37196 L
F
1 .825 .004 r
.58939 .14951 m
.59214 .14969 L
.59422 .15036 L
.59905 .15399 L
.59955 .15452 L
.60277 .15935 L
.60388 .16203 L
.60468 .16419 L
.60599 .16902 L
.60675 .17385 L
.60705 .17868 L
.60691 .18351 L
.60631 .18835 L
.6052 .19318 L
.60388 .19697 L
.60348 .19801 L
.60087 .20284 L
.59905 .20499 L
.59594 .20767 L
.59422 .20861 L
.58939 .20947 L
.58456 .20781 L
.58427 .20767 L
.57973 .2031 L
.57953 .20284 L
.57678 .19801 L
.57511 .19318 L
.57489 .19245 L
.574 .18835 L
.57339 .18351 L
.57325 .17868 L
.57354 .17385 L
.57431 .16902 L
.57489 .16652 L
.57558 .16419 L
.57754 .15935 L
.57973 .15586 L
.58036 .15452 L
.58456 .15116 L
.58814 .14969 L
F
.461 .975 1 r
.57489 .51706 m
.57667 .52174 L
.57489 .52418 L
.57354 .52174 L
F
.68603 .36181 m
.69086 .35824 L
.69261 .36229 L
.69086 .36646 L
.69055 .36712 L
.68774 .37196 L
.68603 .37493 L
.68491 .37679 L
.68168 .38162 L
.68119 .38244 L
.67697 .38645 L
.67636 .39027 L
.67493 .39128 L
.67153 .39573 L
.67126 .39612 L
.66776 .40095 L
.6667 .40254 L
.66355 .40578 L
.66187 .40963 L
.66125 .41061 L
.65704 .4153 L
.65693 .41544 L
.65335 .42027 L
.6522 .42195 L
.64973 .42511 L
.64737 .4288 L
.64606 .42994 L
.64254 .43468 L
.64247 .43477 L
.63825 .4396 L
.63771 .44124 L
.63586 .44443 L
.63288 .44798 L
.63154 .44927 L
.62804 .45402 L
.62798 .4541 L
.62431 .45893 L
.62321 .4605 L
.62219 .46376 L
.61838 .46717 L
.61701 .46859 L
.61355 .47341 L
.61347 .47342 L
.61016 .47826 L
.60872 .47973 L
.60608 .48309 L
.60388 .48635 L
.60244 .48792 L
.59905 .49267 L
.5989 .49275 L
.59588 .49758 L
.59422 .49886 L
.59144 .50242 L
.58939 .50542 L
.58779 .50725 L
.58456 .51187 L
.58431 .51208 L
.5806 .51691 L
.57973 .51839 L
.57494 .51691 L
.57579 .51208 L
.57635 .50725 L
.57834 .50242 L
.57973 .49999 L
.58272 .49758 L
.58456 .49312 L
.58513 .49275 L
.58858 .48792 L
.58939 .48711 L
.59212 .48309 L
.59422 .4805 L
.59699 .47826 L
.59905 .47392 L
.5995 .47342 L
.60302 .46859 L
.60388 .46783 L
.60658 .46376 L
.60872 .46118 L
.61098 .45893 L
.61355 .45458 L
.61374 .4541 L
.61749 .44927 L
.61838 .4486 L
.62108 .44443 L
.62321 .44191 L
.62497 .4396 L
.62804 .43527 L
.62842 .43477 L
.632 .42994 L
.63288 .42946 L
.6367 .42511 L
.63771 .42269 L
.63895 .42027 L
.64254 .41601 L
.64296 .41544 L
.64656 .41061 L
.64737 .41041 L
.6505 .40578 L
.6522 .40356 L
.65263 .40095 L
.65704 .39685 L
.65758 .39612 L
.66123 .39128 L
.66187 .39042 L
.66463 .38645 L
.6667 .38472 L
.66878 .38162 L
.67153 .37818 L
.67262 .37679 L
.67636 .37212 L
.67652 .37196 L
.68033 .36712 L
.68119 .36686 L
.68547 .36229 L
F
1 .975 .461 r
.68603 .38404 m
.68776 .38645 L
.68605 .39128 L
.68603 .39134 L
.68495 .39612 L
.68119 .39983 L
.68052 .40095 L
.67739 .40578 L
.67636 .40771 L
.67394 .41061 L
.67153 .41406 L
.67058 .41544 L
.66712 .42027 L
.6667 .42087 L
.66269 .42511 L
.66187 .42787 L
.66046 .42994 L
.65704 .43394 L
.65642 .43477 L
.65287 .4396 L
.6522 .44051 L
.649 .44443 L
.64737 .44727 L
.64693 .44927 L
.64254 .45393 L
.642 .4541 L
.63841 .45893 L
.63771 .45986 L
.63509 .46376 L
.63288 .46652 L
.63109 .46859 L
.62804 .47309 L
.62749 .47342 L
.6237 .47826 L
.62321 .47911 L
.62115 .48309 L
.61838 .48569 L
.61649 .48792 L
.61355 .49222 L
.61288 .49275 L
.60936 .49758 L
.60872 .49822 L
.60545 .50242 L
.60388 .50465 L
.60168 .50725 L
.59905 .51108 L
.59795 .51208 L
.59422 .5169 L
.59421 .51691 L
.59009 .52174 L
.58939 .52271 L
.58564 .52658 L
.58456 .52831 L
.58046 .53141 L
.57973 .53212 L
.57661 .53141 L
.57905 .52658 L
.57973 .52528 L
.5813 .52174 L
.58366 .51691 L
.58456 .5149 L
.58721 .51208 L
.58939 .50739 L
.58947 .50725 L
.5926 .50242 L
.59422 .50011 L
.59696 .49758 L
.59905 .49319 L
.59941 .49275 L
.60303 .48792 L
.60388 .48697 L
.60653 .48309 L
.60872 .48025 L
.61057 .47826 L
.61355 .47369 L
.6138 .47342 L
.61733 .46859 L
.61838 .46751 L
.62241 .46376 L
.62321 .46085 L
.62452 .45893 L
.62804 .45432 L
.62824 .4541 L
.63181 .44927 L
.63288 .44826 L
.63607 .44443 L
.63771 .4416 L
.63836 .4396 L
.64254 .43506 L
.64278 .43477 L
.6464 .42994 L
.64737 .42916 L
.65004 .42511 L
.6522 .42253 L
.65382 .42027 L
.65704 .41602 L
.65752 .41544 L
.66154 .41061 L
.66187 .41026 L
.66437 .40578 L
.6667 .40395 L
.66901 .40095 L
.67153 .39781 L
.67306 .39612 L
.67636 .39202 L
.67736 .39128 L
.68119 .38735 L
.68242 .38645 L
F
.461 .975 1 r
.71502 .39854 m
.71959 .40095 L
.718 .40578 L
.71543 .41061 L
.71502 .41154 L
.7109 .41544 L
.71019 .41885 L
.70919 .42027 L
.70597 .42511 L
.70535 .42597 L
.7026 .42994 L
.70052 .4331 L
.69814 .43477 L
.69569 .43917 L
.69548 .4396 L
.69189 .44443 L
.69086 .44576 L
.68832 .44927 L
.68603 .45253 L
.68429 .4541 L
.68119 .45891 L
.681 .45893 L
.67745 .46376 L
.67636 .46512 L
.67242 .46859 L
.67153 .47179 L
.67029 .47342 L
.6667 .47817 L
.66652 .47826 L
.66295 .48309 L
.66187 .48441 L
.65876 .48792 L
.65704 .49104 L
.65646 .49275 L
.6522 .49745 L
.65203 .49758 L
.64843 .50242 L
.64737 .50366 L
.64487 .50725 L
.64254 .51028 L
.64111 .51208 L
.63771 .51674 L
.63752 .51691 L
.63342 .52174 L
.63288 .52289 L
.63098 .52658 L
.62804 .52952 L
.62657 .53141 L
.62321 .53602 L
.623 .53624 L
.61939 .54107 L
.61838 .54207 L
.61726 .5459 L
.61355 .54871 L
.61199 .55073 L
.60872 .55524 L
.60842 .55557 L
.60508 .5604 L
.60388 .56112 L
.60094 .56523 L
.59905 .56768 L
.59719 .57006 L
.59422 .57406 L
.59345 .57489 L
.58979 .57973 L
.58939 .57984 L
.58515 .58456 L
.58456 .58525 L
.57974 .58939 L
.57973 .58941 L
.5768 .58939 L
.57808 .58456 L
.57973 .58048 L
.58001 .57973 L
.58198 .57489 L
.58456 .57049 L
.58478 .57006 L
.58772 .56523 L
.58939 .56251 L
.59255 .5604 L
.59422 .55622 L
.5947 .55557 L
.59813 .55073 L
.59905 .54956 L
.60165 .5459 L
.60388 .54278 L
.60603 .54107 L
.60872 .53631 L
.60886 .53624 L
.6125 .53141 L
.61355 .53013 L
.61609 .52658 L
.61838 .52347 L
.62003 .52174 L
.62321 .51705 L
.62342 .51691 L
.62698 .51208 L
.62804 .51083 L
.6318 .50725 L
.63288 .50421 L
.63403 .50242 L
.63771 .49776 L
.63792 .49758 L
.64149 .49275 L
.64254 .49158 L
.64554 .48792 L
.64737 .48495 L
.64777 .48309 L
.6522 .47847 L
.65242 .47826 L
.65602 .47342 L
.65704 .47235 L
.65945 .46859 L
.66187 .46571 L
.66334 .46376 L
.6667 .45918 L
.66693 .45893 L
.67089 .4541 L
.67153 .45317 L
.67333 .44927 L
.67636 .4465 L
.67791 .44443 L
.68119 .43993 L
.68148 .4396 L
.68503 .43477 L
.68603 .43408 L
.68705 .42994 L
.69086 .42742 L
.69259 .42511 L
.69569 .42091 L
.69623 .42027 L
.69971 .41544 L
.70052 .41521 L
.70399 .41061 L
.70535 .40908 L
.70816 .40578 L
.71019 .40337 L
.71286 .40095 L
F
.212 .95 1 r
.57973 .47152 m
.58003 .47342 L
.57973 .4737 L
.57851 .47342 L
F
.67153 .38265 m
.67502 .38645 L
.67302 .39128 L
.67153 .39305 L
.66969 .39612 L
.6667 .40071 L
.66654 .40095 L
.66292 .40578 L
.66187 .40859 L
.66091 .41061 L
.65704 .4145 L
.65636 .41544 L
.65289 .42027 L
.6522 .42131 L
.64941 .42511 L
.64737 .42839 L
.64572 .42994 L
.64254 .43426 L
.64215 .43477 L
.63814 .4396 L
.63771 .44087 L
.63563 .44443 L
.63288 .44768 L
.63128 .44927 L
.62804 .45367 L
.62771 .4541 L
.62408 .45893 L
.62321 .46015 L
.62192 .46376 L
.61838 .46682 L
.61669 .46859 L
.61355 .47333 L
.61309 .47342 L
.6097 .47826 L
.60872 .47921 L
.60561 .48309 L
.60388 .48569 L
.60182 .48792 L
.59905 .49219 L
.59807 .49275 L
.59431 .49758 L
.59422 .49764 L
.59009 .50242 L
.58939 .50341 L
.58543 .50725 L
.58456 .5085 L
.5808 .50725 L
.5816 .50242 L
.58438 .49758 L
.58456 .49597 L
.58677 .49275 L
.58939 .48891 L
.59 .48792 L
.59328 .48309 L
.59422 .48185 L
.59794 .47826 L
.59905 .47482 L
.60015 .47342 L
.6037 .46859 L
.60388 .46843 L
.60714 .46376 L
.60872 .46184 L
.61148 .45893 L
.61355 .45512 L
.6139 .4541 L
.61793 .44927 L
.61838 .44894 L
.62148 .44443 L
.62321 .44241 L
.62531 .4396 L
.62804 .43578 L
.62881 .43477 L
.63244 .42994 L
.63288 .42973 L
.63695 .42511 L
.63771 .42328 L
.63928 .42027 L
.64254 .41672 L
.64353 .41544 L
.64723 .41061 L
.64737 .4106 L
.65111 .40578 L
.6522 .40459 L
.65325 .40095 L
.65704 .39836 L
.6589 .39612 L
.66187 .39237 L
.66304 .39128 L
.6667 .38717 L
.66751 .38645 L
F
.64737 .37702 m
.65102 .38162 L
.64878 .38645 L
.64737 .38767 L
.64496 .39128 L
.64254 .3949 L
.64167 .39612 L
.6384 .40095 L
.63771 .40215 L
.63481 .40578 L
.63288 .40848 L
.63127 .41061 L
.62804 .41512 L
.6278 .41544 L
.62464 .42027 L
.62321 .42199 L
.62052 .42511 L
.61838 .42807 L
.61689 .42994 L
.61355 .43451 L
.61334 .43477 L
.61042 .4396 L
.60872 .44109 L
.60581 .44443 L
.60388 .44807 L
.60203 .44927 L
.59905 .45323 L
.59829 .4541 L
.59442 .45893 L
.59422 .45925 L
.59018 .46376 L
.58939 .46537 L
.58555 .46859 L
.58456 .46972 L
.58112 .46859 L
.58341 .46376 L
.58456 .4617 L
.58598 .45893 L
.58873 .4541 L
.58939 .45287 L
.59117 .44927 L
.59422 .44557 L
.59495 .44443 L
.59824 .4396 L
.59905 .43856 L
.6021 .43477 L
.60388 .43159 L
.60517 .42994 L
.60872 .42512 L
.60876 .42511 L
.61343 .42027 L
.61355 .41876 L
.6158 .41544 L
.61838 .41214 L
.61959 .41061 L
.62321 .40584 L
.6233 .40578 L
.62739 .40095 L
.62804 .39983 L
.62985 .39612 L
.63288 .39356 L
.63477 .39128 L
.63771 .38734 L
.63882 .38645 L
.64254 .3821 L
.64303 .38162 L
F
.68603 .39956 m
.69086 .39632 L
.69202 .40095 L
.69086 .40352 L
.68978 .40578 L
.6865 .41061 L
.68603 .41217 L
.6845 .41544 L
.68119 .41955 L
.68072 .42027 L
.67741 .42511 L
.67636 .42678 L
.67351 .42994 L
.67153 .43414 L
.67137 .43477 L
.66688 .4396 L
.6667 .43983 L
.66335 .44443 L
.66187 .44659 L
.65985 .44927 L
.65704 .45343 L
.65612 .4541 L
.65255 .45893 L
.6522 .45935 L
.64838 .46376 L
.64737 .46597 L
.6461 .46859 L
.64254 .47264 L
.64165 .47342 L
.63807 .47826 L
.63771 .47868 L
.63447 .48309 L
.63288 .48522 L
.63073 .48792 L
.62804 .49182 L
.6271 .49275 L
.6233 .49758 L
.62321 .4979 L
.62036 .50242 L
.61838 .50434 L
.61607 .50725 L
.61355 .51088 L
.6124 .51208 L
.60878 .51691 L
.60872 .51697 L
.6059 .52174 L
.60388 .52312 L
.60102 .52658 L
.59905 .52936 L
.59705 .53141 L
.59422 .53552 L
.59292 .53624 L
.58939 .54011 L
.5883 .54107 L
.58456 .54431 L
.58147 .54107 L
.58406 .53624 L
.58456 .53542 L
.586 .53141 L
.58939 .52728 L
.58979 .52658 L
.59279 .52174 L
.59422 .51942 L
.5968 .51691 L
.59905 .51274 L
.59948 .51208 L
.60286 .50725 L
.60388 .50594 L
.60632 .50242 L
.60872 .49909 L
.61006 .49758 L
.61353 .49275 L
.61355 .49274 L
.61702 .48792 L
.61838 .4863 L
.62158 .48309 L
.62321 .47962 L
.62395 .47826 L
.6279 .47342 L
.62804 .47334 L
.63146 .46859 L
.63288 .46697 L
.6354 .46376 L
.63771 .46033 L
.63878 .45893 L
.6424 .4541 L
.64254 .45406 L
.64706 .44927 L
.64737 .44778 L
.64935 .44443 L
.6522 .44116 L
.65339 .4396 L
.65703 .43477 L
.65704 .43476 L
.66095 .42994 L
.66187 .42881 L
.6633 .42511 L
.6667 .42231 L
.66829 .42027 L
.67153 .41603 L
.67209 .41544 L
.67589 .41061 L
.67636 .41034 L
.68021 .40578 L
.68119 .4047 L
.68483 .40095 L
F
1 .975 .461 r
.63771 .37153 m
.64254 .36755 L
.64319 .37196 L
.64254 .37326 L
.64046 .37679 L
.63771 .38143 L
.63758 .38162 L
.6343 .38645 L
.63288 .38856 L
.63091 .39128 L
.62804 .39547 L
.62756 .39612 L
.62471 .40095 L
.62321 .40275 L
.62045 .40578 L
.61838 .40869 L
.61687 .41061 L
.61355 .41522 L
.61337 .41544 L
.61088 .42027 L
.60872 .42207 L
.60588 .42511 L
.60388 .42786 L
.60214 .42994 L
.59905 .43406 L
.59844 .43477 L
.59457 .4396 L
.59422 .44023 L
.59037 .44443 L
.58939 .44671 L
.58557 .44927 L
.58456 .45029 L
.58272 .44927 L
.5838 .44443 L
.58456 .44288 L
.58617 .4396 L
.58927 .43477 L
.58939 .43434 L
.59189 .42994 L
.59422 .4264 L
.59563 .42511 L
.59905 .42035 L
.5991 .42027 L
.60305 .41544 L
.60388 .41361 L
.60505 .41061 L
.60872 .40677 L
.6097 .40578 L
.61334 .40095 L
.61355 .40075 L
.61707 .39612 L
.61838 .39444 L
.62081 .39128 L
.62321 .38802 L
.62472 .38645 L
.62804 .38236 L
.62871 .38162 L
.63281 .37679 L
.63288 .37675 L
.63737 .37196 L
F
1 .95 .212 r
.58456 .48053 m
.58906 .48309 L
.58456 .48707 L
.58302 .48309 L
F
1 .975 .461 r
.69569 .40553 m
.70052 .40254 L
.70181 .40578 L
.70052 .40924 L
.69994 .41061 L
.69709 .41544 L
.69569 .41817 L
.69446 .42027 L
.69126 .42511 L
.69086 .42574 L
.68634 .42994 L
.68603 .43331 L
.68445 .43477 L
.68119 .43929 L
.68098 .4396 L
.67752 .44443 L
.67636 .44603 L
.67308 .44927 L
.67153 .4529 L
.67076 .4541 L
.66672 .45893 L
.6667 .45895 L
.66317 .46376 L
.66187 .4655 L
.65932 .46859 L
.65704 .4722 L
.65588 .47342 L
.65229 .47826 L
.6522 .47834 L
.64774 .48309 L
.64737 .4848 L
.64544 .48792 L
.64254 .49143 L
.64137 .49275 L
.63779 .49758 L
.63771 .49765 L
.63393 .50242 L
.63288 .50403 L
.63169 .50725 L
.62804 .51063 L
.6268 .51208 L
.62323 .51691 L
.62321 .51692 L
.61979 .52174 L
.61838 .52315 L
.61579 .52658 L
.61355 .52969 L
.61209 .53141 L
.60872 .53601 L
.60845 .53624 L
.60515 .54107 L
.60388 .54193 L
.60069 .5459 L
.59905 .54807 L
.59664 .55073 L
.59422 .55398 L
.59233 .55557 L
.58939 .55986 L
.58687 .5604 L
.58456 .56149 L
.58332 .5604 L
.58406 .55557 L
.58456 .55461 L
.58635 .55073 L
.5893 .5459 L
.58939 .54574 L
.59371 .54107 L
.59422 .53762 L
.59589 .53624 L
.59905 .53144 L
.59908 .53141 L
.60241 .52658 L
.60388 .52456 L
.60719 .52174 L
.60872 .5177 L
.60945 .51691 L
.61307 .51208 L
.61355 .51157 L
.61659 .50725 L
.61838 .50494 L
.6208 .50242 L
.62321 .4983 L
.62336 .49758 L
.62745 .49275 L
.62804 .49217 L
.63104 .48792 L
.63288 .4856 L
.63471 .48309 L
.63771 .479 L
.63835 .47826 L
.64194 .47342 L
.64254 .47291 L
.64628 .46859 L
.64737 .46635 L
.64857 .46376 L
.6522 .45976 L
.65289 .45893 L
.65649 .4541 L
.65704 .45373 L
.66019 .44927 L
.66187 .4472 L
.66387 .44443 L
.6667 .44062 L
.66753 .4396 L
.67145 .43477 L
.67153 .43464 L
.67443 .42994 L
.67636 .42833 L
.67876 .42511 L
.68119 .42194 L
.6826 .42027 L
.68603 .41587 L
.68651 .41544 L
.69047 .41061 L
.69086 .41045 L
.69545 .40578 L
F
1 .8 .002 r
.58939 .16849 m
.59211 .16902 L
.59422 .17056 L
.59548 .17385 L
.59634 .17868 L
.59593 .18351 L
.59422 .18783 L
.59386 .18835 L
.58939 .19061 L
.58644 .18835 L
.58456 .18433 L
.58429 .18351 L
.58373 .17868 L
.58456 .17465 L
.5848 .17385 L
.58817 .16902 L
F
1 .95 .212 r
.65704 .3841 m
.66017 .38645 L
.65791 .39128 L
.65704 .39276 L
.65498 .39612 L
.6522 .40051 L
.6519 .40095 L
.64908 .40578 L
.64737 .40877 L
.6452 .41061 L
.64254 .41439 L
.64176 .41544 L
.63823 .42027 L
.63771 .42127 L
.63592 .42511 L
.63288 .4286 L
.63111 .42994 L
.62804 .43417 L
.62757 .43477 L
.62416 .4396 L
.62321 .44079 L
.62026 .44443 L
.61838 .44771 L
.61657 .44927 L
.61355 .45337 L
.61295 .4541 L
.60961 .45893 L
.60872 .45973 L
.60538 .46376 L
.60388 .4663 L
.60148 .46859 L
.59905 .47178 L
.59756 .47342 L
.59422 .47751 L
.5935 .47826 L
.58939 .48278 L
.58578 .47826 L
.58876 .47342 L
.58939 .47178 L
.59165 .46859 L
.59422 .46477 L
.59485 .46376 L
.59803 .45893 L
.59905 .45746 L
.60156 .4541 L
.60388 .45022 L
.60483 .44927 L
.6083 .44443 L
.60872 .44399 L
.61273 .4396 L
.61355 .4373 L
.61495 .43477 L
.61838 .43063 L
.61902 .42994 L
.62262 .42511 L
.62321 .42454 L
.62658 .42027 L
.62804 .41809 L
.62836 .41544 L
.63288 .41163 L
.63379 .41061 L
.63758 .40578 L
.63771 .40568 L
.64119 .40095 L
.64254 .39974 L
.64554 .39612 L
.64737 .3938 L
.64983 .39128 L
.6522 .38765 L
.65458 .38645 L
F
.098 .925 1 r
.6667 .39024 m
.66968 .39128 L
.668 .39612 L
.6667 .39851 L
.6653 .40095 L
.66228 .40578 L
.66187 .40694 L
.6604 .41061 L
.65704 .41364 L
.65578 .41544 L
.65242 .42027 L
.6522 .42061 L
.64907 .42511 L
.64737 .4279 L
.64537 .42994 L
.64254 .43383 L
.64183 .43477 L
.63802 .4396 L
.63771 .44048 L
.63537 .44443 L
.63288 .44735 L
.63101 .44927 L
.62804 .45332 L
.62742 .4541 L
.62384 .45893 L
.62321 .45979 L
.62158 .46376 L
.61838 .46644 L
.61636 .46859 L
.61355 .47319 L
.6127 .47342 L
.60915 .47826 L
.60872 .47866 L
.60511 .48309 L
.60388 .48498 L
.60115 .48792 L
.59905 .49151 L
.59711 .49275 L
.59422 .49622 L
.5928 .49758 L
.58939 .50101 L
.58612 .49758 L
.58825 .49275 L
.58939 .49115 L
.59121 .48792 L
.59422 .48332 L
.59437 .48309 L
.59847 .47826 L
.59905 .47581 L
.60067 .47342 L
.60388 .46865 L
.60429 .46859 L
.60768 .46376 L
.60872 .46248 L
.61188 .45893 L
.61355 .45565 L
.61403 .4541 L
.61836 .44927 L
.61838 .44925 L
.62188 .44443 L
.62321 .44289 L
.62563 .4396 L
.62804 .43626 L
.6292 .43477 L
.63287 .42994 L
.63288 .42993 L
.63716 .42511 L
.63771 .42383 L
.63966 .42027 L
.64254 .41739 L
.6441 .41544 L
.64737 .41113 L
.64793 .41061 L
.65182 .40578 L
.6522 .40544 L
.65467 .40095 L
.65704 .3997 L
.66038 .39612 L
.66187 .39421 L
.66553 .39128 L
F
1 .95 .212 r
.67636 .39489 m
.68051 .39612 L
.67868 .40095 L
.67636 .40523 L
.67605 .40578 L
.67317 .41061 L
.67153 .4129 L
.66988 .41544 L
.6667 .42005 L
.66655 .42027 L
.66247 .42511 L
.66187 .42731 L
.66021 .42994 L
.65704 .43351 L
.65612 .43477 L
.65261 .4396 L
.6522 .44016 L
.64883 .44443 L
.64737 .44699 L
.64684 .44927 L
.64254 .45384 L
.6418 .4541 L
.63823 .45893 L
.63771 .45963 L
.63493 .46376 L
.63288 .46629 L
.6309 .46859 L
.62804 .47295 L
.62728 .47342 L
.62357 .47826 L
.62321 .47885 L
.62089 .48309 L
.61838 .48538 L
.61622 .48792 L
.61355 .49194 L
.61254 .49275 L
.60893 .49758 L
.60872 .49778 L
.605 .50242 L
.60388 .50399 L
.60104 .50725 L
.59905 .51025 L
.59699 .51208 L
.59422 .51542 L
.59264 .51691 L
.58939 .52017 L
.58613 .51691 L
.58835 .51208 L
.58939 .50978 L
.59071 .50725 L
.59368 .50242 L
.59422 .50154 L
.59768 .49758 L
.59905 .49383 L
.59972 .49275 L
.60359 .48792 L
.60388 .48758 L
.60697 .48309 L
.60872 .48077 L
.61093 .47826 L
.61355 .47401 L
.61411 .47342 L
.61764 .46859 L
.61838 .46783 L
.62258 .46376 L
.62321 .46118 L
.62471 .45893 L
.62804 .4546 L
.62849 .4541 L
.63207 .44927 L
.63288 .44852 L
.63626 .44443 L
.63771 .44194 L
.63849 .4396 L
.64254 .43541 L
.64309 .43477 L
.64674 .42994 L
.64737 .42946 L
.65037 .42511 L
.6522 .42306 L
.65429 .42027 L
.65704 .41669 L
.65812 .41544 L
.66187 .41068 L
.66197 .41061 L
.66561 .40578 L
.6667 .4051 L
.6704 .40095 L
.67153 .39964 L
.67541 .39612 L
F
.461 .975 1 r
.72468 .42342 m
.72911 .42511 L
.72776 .42994 L
.72534 .43477 L
.72468 .43636 L
.72121 .4396 L
.71985 .44359 L
.71934 .44443 L
.71611 .44927 L
.71502 .45082 L
.71275 .4541 L
.71019 .45791 L
.70858 .45893 L
.70557 .46376 L
.70535 .464 L
.70211 .46859 L
.70052 .47063 L
.69852 .47342 L
.69569 .47733 L
.69463 .47826 L
.69122 .48309 L
.69086 .48345 L
.68768 .48792 L
.68603 .48999 L
.6829 .49275 L
.68119 .49661 L
.68051 .49758 L
.67675 .50242 L
.67636 .50275 L
.67318 .50725 L
.67153 .50926 L
.66907 .51208 L
.6667 .51588 L
.66661 .51691 L
.66225 .52174 L
.66187 .52201 L
.65718 .52658 L
.65704 .52851 L
.65514 .53141 L
.6522 .53514 L
.65133 .53624 L
.64774 .54107 L
.64737 .54123 L
.64361 .5459 L
.64254 .54772 L
.64132 .55073 L
.63771 .55439 L
.6368 .55557 L
.63321 .5604 L
.63288 .56086 L
.62965 .56523 L
.62804 .56688 L
.62585 .57006 L
.62321 .57359 L
.62221 .57489 L
.61846 .57973 L
.61838 .58006 L
.61547 .58456 L
.61355 .58587 L
.6111 .58939 L
.60872 .59247 L
.60734 .59422 L
.60388 .59871 L
.60356 .59905 L
.59997 .60388 L
.59905 .60417 L
.59499 .60872 L
.59422 .60947 L
.58939 .61337 L
.58658 .60872 L
.58923 .60388 L
.58939 .60297 L
.59199 .59905 L
.59422 .59505 L
.59471 .59422 L
.59792 .58939 L
.59905 .58757 L
.60129 .58456 L
.60388 .58006 L
.60503 .57973 L
.6084 .57489 L
.60872 .57449 L
.61188 .57006 L
.61355 .56769 L
.61654 .56523 L
.61838 .56085 L
.61897 .5604 L
.62275 .55557 L
.62321 .555 L
.62631 .55073 L
.62804 .54835 L
.63036 .5459 L
.63288 .54167 L
.63363 .54107 L
.63722 .53624 L
.63771 .53567 L
.64219 .53141 L
.64254 .52908 L
.64428 .52658 L
.64737 .52246 L
.64813 .52174 L
.65172 .51691 L
.6522 .51638 L
.6558 .51208 L
.65704 .50983 L
.65806 .50725 L
.66187 .50323 L
.66265 .50242 L
.66623 .49758 L
.6667 .49712 L
.66974 .49275 L
.67153 .49059 L
.67357 .48792 L
.67636 .48399 L
.67718 .48309 L
.681 .47826 L
.68119 .47789 L
.68376 .47342 L
.68603 .47138 L
.68814 .46859 L
.69086 .46478 L
.69174 .46376 L
.6953 .45893 L
.69569 .45872 L
.6978 .4541 L
.70052 .45229 L
.70282 .44927 L
.70535 .44577 L
.7065 .44443 L
.71015 .4396 L
.71019 .4396 L
.71418 .43477 L
.71502 .43385 L
.71839 .42994 L
.71985 .42816 L
.7232 .42511 L
F
.098 .925 1 r
.68119 .40668 m
.68534 .41061 L
.68355 .41544 L
.68119 .41811 L
.67989 .42027 L
.67676 .42511 L
.67636 .42579 L
.67313 .42994 L
.67153 .43371 L
.67133 .43477 L
.6667 .43941 L
.66656 .4396 L
.6631 .44443 L
.66187 .44627 L
.65968 .44927 L
.65704 .45325 L
.65593 .4541 L
.65238 .45893 L
.6522 .45914 L
.64829 .46376 L
.64737 .46577 L
.64599 .46859 L
.64254 .4725 L
.6415 .47342 L
.63793 .47826 L
.63771 .47851 L
.63434 .48309 L
.63288 .48502 L
.63057 .48792 L
.62804 .49164 L
.62692 .49275 L
.62325 .49758 L
.62321 .4977 L
.62011 .50242 L
.61838 .50405 L
.6158 .50725 L
.61355 .51053 L
.61205 .51208 L
.60872 .51678 L
.60832 .51691 L
.60496 .52174 L
.60388 .52241 L
.60024 .52658 L
.59905 .52825 L
.59575 .53141 L
.59422 .53392 L
.59002 .53624 L
.58939 .53667 L
.58795 .53624 L
.58853 .53141 L
.58939 .53052 L
.59123 .52658 L
.59398 .52174 L
.59422 .52128 L
.59751 .51691 L
.59905 .51376 L
.6001 .51208 L
.60341 .50725 L
.60388 .50662 L
.60674 .50242 L
.60872 .49956 L
.61036 .49758 L
.61355 .49287 L
.61381 .49275 L
.61728 .48792 L
.61838 .48659 L
.62177 .48309 L
.62321 .47988 L
.62406 .47826 L
.62804 .47346 L
.62809 .47342 L
.63165 .46859 L
.63288 .46718 L
.63555 .46376 L
.63771 .46055 L
.63896 .45893 L
.64254 .45415 L
.64259 .4541 L
.64711 .44927 L
.64737 .44803 L
.64953 .44443 L
.6522 .44147 L
.65365 .4396 L
.65704 .43509 L
.65735 .43477 L
.66121 .42994 L
.66187 .4292 L
.66376 .42511 L
.6667 .42296 L
.66891 .42027 L
.67153 .41686 L
.67298 .41544 L
.67636 .41088 L
.6773 .41061 L
F
1 .925 .098 r
.58939 .47665 m
.59059 .47826 L
.58939 .47883 L
.58898 .47826 L
F
1 .95 .212 r
.69086 .41307 m
.69484 .41544 L
.69283 .42027 L
.69086 .42371 L
.69008 .42511 L
.6861 .42994 L
.68603 .43216 L
.68395 .43477 L
.68119 .43859 L
.68052 .4396 L
.67713 .44443 L
.67636 .44554 L
.67286 .44927 L
.67153 .45261 L
.67064 .4541 L
.6667 .45868 L
.66652 .45893 L
.66299 .46376 L
.66187 .46528 L
.6592 .46859 L
.65704 .47203 L
.65574 .47342 L
.6522 .47819 L
.65215 .47826 L
.6477 .48309 L
.64737 .48464 L
.64535 .48792 L
.64254 .49129 L
.64124 .49275 L
.63771 .49756 L
.63765 .49758 L
.63383 .50242 L
.63288 .50385 L
.63156 .50725 L
.62804 .51043 L
.62662 .51208 L
.62321 .51677 L
.62301 .51691 L
.61953 .52174 L
.61838 .52285 L
.61548 .52658 L
.61355 .52925 L
.61167 .53141 L
.60872 .53553 L
.60786 .53624 L
.60399 .54107 L
.60388 .54113 L
.59961 .5459 L
.59905 .54661 L
.59467 .55073 L
.59422 .55131 L
.5897 .55073 L
.5913 .5459 L
.59416 .54107 L
.59422 .54013 L
.59679 .53624 L
.59905 .53268 L
.59983 .53141 L
.60305 .52658 L
.60388 .52536 L
.60761 .52174 L
.60872 .51811 L
.60972 .51691 L
.6134 .51208 L
.61355 .51191 L
.61685 .50725 L
.61838 .50523 L
.62099 .50242 L
.62321 .4985 L
.62339 .49758 L
.62763 .49275 L
.62804 .49234 L
.63119 .48792 L
.63288 .48578 L
.63482 .48309 L
.63771 .47916 L
.63849 .47826 L
.64209 .47342 L
.64254 .47304 L
.64637 .46859 L
.64737 .46654 L
.64867 .46376 L
.6522 .45995 L
.65306 .45893 L
.65668 .4541 L
.65704 .45387 L
.66037 .44927 L
.66187 .44749 L
.66413 .44443 L
.6667 .441 L
.66786 .4396 L
.67153 .4348 L
.67157 .43477 L
.67503 .42994 L
.67636 .42896 L
.67948 .42511 L
.68119 .42297 L
.6837 .42027 L
.68603 .41725 L
.68839 .41544 L
F
1 .925 .098 r
.67153 .40162 m
.67461 .40578 L
.67224 .41061 L
.67153 .41156 L
.66916 .41544 L
.6667 .41919 L
.66598 .42027 L
.66228 .42511 L
.66187 .42665 L
.65993 .42994 L
.65704 .43307 L
.65582 .43477 L
.65235 .4396 L
.6522 .4398 L
.64866 .44443 L
.64737 .44669 L
.64673 .44927 L
.64254 .45372 L
.6416 .4541 L
.63805 .45893 L
.63771 .45938 L
.63475 .46376 L
.63288 .46605 L
.63071 .46859 L
.62804 .4728 L
.62708 .47342 L
.62342 .47826 L
.62321 .47859 L
.62061 .48309 L
.61838 .48506 L
.61594 .48792 L
.61355 .49164 L
.61219 .49275 L
.60872 .4973 L
.60847 .49758 L
.60451 .50242 L
.60388 .5033 L
.60033 .50725 L
.59905 .50924 L
.59579 .51208 L
.59422 .5138 L
.58997 .51208 L
.59195 .50725 L
.59422 .50323 L
.59466 .50242 L
.59819 .49758 L
.59905 .4947 L
.59999 .49275 L
.60388 .48825 L
.6041 .48792 L
.60741 .48309 L
.60872 .4813 L
.61124 .47826 L
.61355 .47435 L
.61442 .47342 L
.61794 .46859 L
.61838 .46814 L
.62272 .46376 L
.62321 .46152 L
.62491 .45893 L
.62804 .45487 L
.62873 .4541 L
.63233 .44927 L
.63288 .44877 L
.63644 .44443 L
.63771 .44228 L
.63863 .4396 L
.64254 .43576 L
.6434 .43477 L
.64709 .42994 L
.64737 .42973 L
.65072 .42511 L
.6522 .42357 L
.65477 .42027 L
.65704 .41734 L
.65874 .41544 L
.66187 .41125 L
.66284 .41061 L
.6667 .40625 L
.66721 .40578 L
F
.045 .9 1 r
.65704 .40107 m
.66136 .40578 L
.65958 .41061 L
.65704 .41269 L
.6552 .41544 L
.6522 .41988 L
.65192 .42027 L
.6487 .42511 L
.64737 .42732 L
.64502 .42994 L
.64254 .43339 L
.6415 .43477 L
.63788 .4396 L
.63771 .44006 L
.63509 .44443 L
.63288 .44699 L
.63074 .44927 L
.62804 .45295 L
.62713 .4541 L
.62357 .45893 L
.62321 .45941 L
.62118 .46376 L
.61838 .46604 L
.61602 .46859 L
.61355 .47298 L
.61228 .47342 L
.60872 .47808 L
.60857 .47826 L
.60458 .48309 L
.60388 .48418 L
.60041 .48792 L
.59905 .49045 L
.59591 .49275 L
.59422 .49461 L
.59021 .49275 L
.59246 .48792 L
.59422 .48501 L
.59532 .48309 L
.59879 .47826 L
.59905 .477 L
.60116 .47342 L
.60388 .46889 L
.60484 .46859 L
.60821 .46376 L
.60872 .46312 L
.61222 .45893 L
.61355 .4562 L
.61416 .4541 L
.61838 .44948 L
.61875 .44927 L
.62228 .44443 L
.62321 .44335 L
.62593 .4396 L
.62804 .43674 L
.62959 .43477 L
.63288 .43027 L
.63329 .42994 L
.63735 .42511 L
.63771 .42433 L
.64011 .42027 L
.64254 .41805 L
.64468 .41544 L
.64737 .41178 L
.64867 .41061 L
.6522 .40636 L
.65277 .40578 L
F
1 .925 .098 r
.6522 .39125 m
.65499 .39128 L
.65347 .39612 L
.6522 .39849 L
.65072 .40095 L
.64799 .40578 L
.64737 .40691 L
.64449 .41061 L
.64254 .41348 L
.64113 .41544 L
.63778 .42027 L
.63771 .42041 L
.63533 .42511 L
.63288 .42793 L
.63065 .42994 L
.62804 .43357 L
.6271 .43477 L
.62366 .4396 L
.62321 .44015 L
.61982 .44443 L
.61838 .44711 L
.61608 .44927 L
.61355 .4527 L
.61237 .4541 L
.60872 .4589 L
.60869 .45893 L
.6047 .46376 L
.60388 .46523 L
.60057 .46859 L
.59905 .47052 L
.59616 .47342 L
.59422 .47561 L
.59069 .47342 L
.59314 .46859 L
.59422 .46686 L
.59602 .46376 L
.59905 .45903 L
.59912 .45893 L
.60225 .4541 L
.60388 .45121 L
.60559 .44927 L
.60872 .4449 L
.60905 .44443 L
.61306 .4396 L
.61355 .43817 L
.61541 .43477 L
.61838 .43132 L
.61965 .42994 L
.62321 .42521 L
.62329 .42511 L
.62709 .42027 L
.62804 .41894 L
.62881 .41544 L
.63288 .41251 L
.63462 .41061 L
.63771 .40587 L
.63857 .40578 L
.64254 .40103 L
.64262 .40095 L
.64702 .39612 L
.64737 .39567 L
.65219 .39128 L
F
.212 .95 1 r
.70052 .41812 m
.70497 .42027 L
.70318 .42511 L
.70054 .42994 L
.70052 .42999 L
.69689 .43477 L
.69569 .43765 L
.69498 .4396 L
.69113 .44443 L
.69086 .44481 L
.68779 .44927 L
.68603 .45195 L
.68391 .4541 L
.68119 .45886 L
.6807 .45893 L
.67719 .46376 L
.67636 .46481 L
.67228 .46859 L
.67153 .47156 L
.67015 .47342 L
.6667 .47809 L
.66637 .47826 L
.66281 .48309 L
.66187 .48424 L
.65866 .48792 L
.65704 .49089 L
.65641 .49275 L
.6522 .49736 L
.65191 .49758 L
.64831 .50242 L
.64737 .50352 L
.64477 .50725 L
.64254 .51013 L
.64099 .51208 L
.63771 .51661 L
.63738 .51691 L
.63335 .52174 L
.63288 .52271 L
.63082 .52658 L
.62804 .52927 L
.62636 .53141 L
.62321 .53574 L
.62272 .53624 L
.61909 .54107 L
.61838 .54172 L
.61678 .5459 L
.61355 .5481 L
.6114 .55073 L
.60872 .55438 L
.60756 .55557 L
.60388 .56028 L
.60361 .5604 L
.59926 .56523 L
.59905 .56546 L
.59422 .56981 L
.59131 .56523 L
.59406 .5604 L
.59422 .55924 L
.59603 .55557 L
.59905 .55127 L
.59937 .55073 L
.60253 .5459 L
.60388 .54378 L
.6067 .54107 L
.60872 .53651 L
.60906 .53624 L
.61289 .53141 L
.61355 .53059 L
.61638 .52658 L
.61838 .5238 L
.62025 .52174 L
.62321 .51718 L
.62362 .51691 L
.62716 .51208 L
.62804 .51104 L
.63191 .50725 L
.63288 .50439 L
.63412 .50242 L
.63771 .49787 L
.63804 .49758 L
.64162 .49275 L
.64254 .49172 L
.64563 .48792 L
.64737 .48511 L
.64781 .48309 L
.6522 .4786 L
.65255 .47826 L
.65616 .47342 L
.65704 .47251 L
.65958 .46859 L
.66187 .46592 L
.66352 .46376 L
.6667 .45941 L
.66715 .45893 L
.67103 .4541 L
.67153 .45342 L
.67363 .44927 L
.67636 .44694 L
.6783 .44443 L
.68119 .44052 L
.68203 .4396 L
.68575 .43477 L
.68603 .43462 L
.68852 .42994 L
.69086 .42876 L
.69409 .42511 L
.69569 .42313 L
.69888 .42027 L
F
.098 .925 1 r
.64254 .38577 m
.64498 .38645 L
.64309 .39128 L
.64254 .39227 L
.64013 .39612 L
.63771 .40005 L
.63708 .40095 L
.6338 .40578 L
.63288 .40712 L
.63033 .41061 L
.62804 .41392 L
.62688 .41544 L
.62357 .42027 L
.62321 .4207 L
.61976 .42511 L
.61838 .42702 L
.61606 .42994 L
.61355 .4334 L
.61241 .43477 L
.60883 .4396 L
.60872 .4397 L
.60481 .44443 L
.60388 .44647 L
.60074 .44927 L
.59905 .45143 L
.59643 .4541 L
.59422 .4566 L
.59135 .4541 L
.59342 .44927 L
.59422 .44855 L
.59664 .44443 L
.59905 .44077 L
.59981 .4396 L
.60315 .43477 L
.60388 .43342 L
.60642 .42994 L
.60872 .42564 L
.60995 .42511 L
.61354 .42027 L
.61355 .42022 L
.61683 .41544 L
.61838 .41365 L
.62081 .41061 L
.62321 .40679 L
.62464 .40578 L
.62804 .40149 L
.62852 .40095 L
.63218 .39612 L
.63288 .39567 L
.63685 .39128 L
.63771 .38993 L
.64182 .38645 L
F
1 .975 .461 r
.70535 .42964 m
.71019 .42583 L
.71238 .42994 L
.71028 .43477 L
.71019 .43507 L
.70742 .4396 L
.70535 .44327 L
.70468 .44443 L
.70153 .44927 L
.70052 .45082 L
.6968 .4541 L
.69569 .45822 L
.69473 .45893 L
.69121 .46376 L
.69086 .46419 L
.68775 .46859 L
.68603 .47095 L
.68346 .47342 L
.68119 .47768 L
.68092 .47826 L
.67696 .48309 L
.67636 .48376 L
.67339 .48792 L
.67153 .49038 L
.66961 .49275 L
.6667 .49698 L
.6661 .49758 L
.66252 .50242 L
.66187 .50309 L
.65799 .50725 L
.65704 .50967 L
.65572 .51208 L
.6522 .51625 L
.65159 .51691 L
.648 .52174 L
.64737 .52233 L
.64418 .52658 L
.64254 .52889 L
.64213 .53141 L
.63771 .53547 L
.63704 .53624 L
.63343 .54107 L
.63288 .5415 L
.63013 .5459 L
.62804 .548 L
.62601 .55073 L
.62321 .55454 L
.62234 .55557 L
.61863 .5604 L
.61838 .56054 L
.61575 .56523 L
.61355 .56672 L
.61091 .57006 L
.60872 .57291 L
.6069 .57489 L
.60388 .57877 L
.60264 .57973 L
.59905 .58344 L
.59749 .58456 L
.59422 .58647 L
.59276 .58456 L
.5942 .57973 L
.59422 .57963 L
.59562 .57489 L
.59905 .57061 L
.59936 .57006 L
.60237 .56523 L
.60388 .56249 L
.60614 .5604 L
.60872 .55621 L
.60914 .55557 L
.61255 .55073 L
.61355 .54937 L
.61761 .5459 L
.61838 .54244 L
.61965 .54107 L
.62321 .53632 L
.62327 .53624 L
.62679 .53141 L
.62804 .52977 L
.63113 .52658 L
.63288 .52307 L
.63348 .52174 L
.63767 .51691 L
.63771 .51687 L
.64124 .51208 L
.64254 .51044 L
.64497 .50725 L
.64737 .5038 L
.64855 .50242 L
.65215 .49758 L
.6522 .49754 L
.6565 .49275 L
.65704 .49119 L
.65886 .48792 L
.66187 .48457 L
.66309 .48309 L
.66668 .47826 L
.6667 .47825 L
.67042 .47342 L
.67153 .47201 L
.67258 .46859 L
.67636 .46543 L
.67772 .46376 L
.68119 .45905 L
.68132 .45893 L
.68473 .4541 L
.68603 .45304 L
.68888 .44927 L
.69086 .44663 L
.6927 .44443 L
.69569 .44042 L
.69655 .4396 L
.70052 .43477 L
.70054 .43477 L
.70509 .42994 L
F
.045 .9 1 r
.68119 .4091 m
.68317 .41061 L
.68194 .41544 L
.68119 .41625 L
.67905 .42027 L
.67636 .42469 L
.67611 .42511 L
.67277 .42994 L
.67153 .4331 L
.67124 .43477 L
.6667 .43897 L
.66626 .4396 L
.66284 .44443 L
.66187 .44592 L
.65951 .44927 L
.65704 .45306 L
.65574 .4541 L
.6522 .45893 L
.6522 .45893 L
.6482 .46376 L
.64737 .46557 L
.64589 .46859 L
.64254 .47235 L
.64136 .47342 L
.63779 .47826 L
.63771 .47835 L
.63421 .48309 L
.63288 .48483 L
.63042 .48792 L
.62804 .49146 L
.62674 .49275 L
.62321 .49748 L
.62313 .49758 L
.61984 .50242 L
.61838 .50375 L
.61553 .50725 L
.61355 .51016 L
.61169 .51208 L
.60872 .51658 L
.60781 .51691 L
.60388 .52168 L
.60382 .52174 L
.59933 .52658 L
.59905 .52697 L
.59422 .53092 L
.59277 .52658 L
.59422 .52351 L
.59506 .52174 L
.59807 .51691 L
.59905 .51485 L
.6007 .51208 L
.60388 .50733 L
.60394 .50725 L
.60715 .50242 L
.60872 .50005 L
.61063 .49758 L
.61355 .49301 L
.61408 .49275 L
.61753 .48792 L
.61838 .48689 L
.62193 .48309 L
.62321 .48013 L
.62417 .47826 L
.62804 .4736 L
.62828 .47342 L
.63183 .46859 L
.63288 .4674 L
.63569 .46376 L
.63771 .46078 L
.63914 .45893 L
.64254 .45433 L
.64279 .4541 L
.64715 .44927 L
.64737 .44826 L
.64972 .44443 L
.6522 .44178 L
.65392 .4396 L
.65704 .43541 L
.65767 .43477 L
.6615 .42994 L
.66187 .42956 L
.66437 .42511 L
.6667 .42357 L
.66956 .42027 L
.67153 .41771 L
.67397 .41544 L
.67636 .41164 L
.67923 .41061 L
F
1 .9 .045 r
.6667 .40756 m
.67103 .41061 L
.66842 .41544 L
.6667 .41822 L
.66541 .42027 L
.66208 .42511 L
.66187 .42589 L
.65962 .42994 L
.65704 .43262 L
.65551 .43477 L
.6522 .43943 L
.65208 .4396 L
.64848 .44443 L
.64737 .44638 L
.64659 .44927 L
.64254 .45358 L
.6414 .4541 L
.63786 .45893 L
.63771 .45914 L
.63457 .46376 L
.63288 .4658 L
.63052 .46859 L
.62804 .47263 L
.62686 .47342 L
.62326 .47826 L
.62321 .47832 L
.62028 .48309 L
.61838 .48473 L
.61566 .48792 L
.61355 .49131 L
.61183 .49275 L
.60872 .49677 L
.60798 .49758 L
.60398 .50242 L
.60388 .50256 L
.59951 .50725 L
.59905 .50797 L
.59422 .51174 L
.5933 .50725 L
.59422 .5053 L
.5956 .50242 L
.59861 .49758 L
.59905 .49596 L
.6003 .49275 L
.60388 .48899 L
.60457 .48792 L
.60784 .48309 L
.60872 .48185 L
.61153 .47826 L
.61355 .47471 L
.61472 .47342 L
.61825 .46859 L
.61838 .46845 L
.62282 .46376 L
.62321 .46185 L
.62509 .45893 L
.62804 .45515 L
.62898 .4541 L
.63259 .44927 L
.63288 .44901 L
.63661 .44443 L
.63771 .44261 L
.63879 .4396 L
.64254 .43611 L
.64371 .43477 L
.64737 .42997 L
.64744 .42994 L
.65112 .42511 L
.6522 .42405 L
.65526 .42027 L
.65704 .41799 L
.6594 .41544 L
.66187 .4119 L
.66382 .41061 L
F
.461 .975 1 r
.59422 .3761 m
.59656 .37679 L
.59422 .38033 L
.5937 .37679 L
F
1 .925 .098 r
.59422 .54406 m
.59773 .5459 L
.59422 .54733 L
.59374 .5459 L
F
.021 .875 1 r
.65704 .40261 m
.66017 .40578 L
.65831 .41061 L
.65704 .41159 L
.65459 .41544 L
.6522 .41912 L
.65141 .42027 L
.64828 .42511 L
.64737 .42663 L
.64467 .42994 L
.64254 .43293 L
.64117 .43477 L
.63772 .4396 L
.63771 .43963 L
.63476 .44443 L
.63288 .4466 L
.63046 .44927 L
.62804 .45258 L
.62684 .4541 L
.62328 .45893 L
.62321 .45901 L
.6207 .46376 L
.61838 .46559 L
.61567 .46859 L
.61355 .47267 L
.61185 .47342 L
.60872 .47747 L
.608 .47826 L
.604 .48309 L
.60388 .48328 L
.59953 .48792 L
.59905 .48885 L
.59422 .4924 L
.59389 .48792 L
.59422 .48726 L
.59631 .48309 L
.59905 .47846 L
.59917 .47826 L
.60171 .47342 L
.60388 .46946 L
.60539 .46859 L
.60872 .4638 L
.60874 .46376 L
.61252 .45893 L
.61355 .45677 L
.61432 .4541 L
.61838 .44974 L
.61913 .44927 L
.62267 .44443 L
.62321 .4438 L
.62624 .4396 L
.62804 .43722 L
.62997 .43477 L
.63288 .43062 L
.63371 .42994 L
.63756 .42511 L
.63771 .42482 L
.64067 .42027 L
.64254 .4187 L
.64529 .41544 L
.64737 .41249 L
.64946 .41061 L
.6522 .40742 L
.65393 .40578 L
F
1 .9 .045 r
.64254 .40248 m
.64673 .40578 L
.64372 .41061 L
.64254 .41243 L
.64045 .41544 L
.63771 .41955 L
.63717 .42027 L
.63457 .42511 L
.63288 .42706 L
.63017 .42994 L
.62804 .43293 L
.6266 .43477 L
.62321 .43946 L
.6231 .4396 L
.61936 .44443 L
.61838 .44637 L
.61556 .44927 L
.61355 .45199 L
.61175 .4541 L
.60872 .45805 L
.60792 .45893 L
.60394 .46376 L
.60388 .46386 L
.59941 .46859 L
.59905 .46903 L
.59501 .46859 L
.59728 .46376 L
.59905 .46078 L
.60015 .45893 L
.60307 .4541 L
.60388 .45262 L
.60636 .44927 L
.60872 .44593 L
.60975 .44443 L
.61336 .4396 L
.61355 .43908 L
.61597 .43477 L
.61838 .4321 L
.62028 .42994 L
.62321 .42606 L
.62396 .42511 L
.62767 .42027 L
.62804 .4198 L
.62974 .41544 L
.63288 .41347 L
.63549 .41061 L
.63771 .40636 L
.63967 .40578 L
F
1 .925 .098 r
.68603 .41898 m
.69086 .41691 L
.69099 .42027 L
.69086 .42062 L
.68893 .42511 L
.68605 .42994 L
.68603 .43049 L
.68347 .43477 L
.68119 .43785 L
.68006 .4396 L
.67675 .44443 L
.67636 .44502 L
.67267 .44927 L
.67153 .45228 L
.67051 .4541 L
.6667 .4584 L
.66632 .45893 L
.66282 .46376 L
.66187 .46506 L
.65908 .46859 L
.65704 .47187 L
.65561 .47342 L
.6522 .47802 L
.65202 .47826 L
.64767 .48309 L
.64737 .48449 L
.64524 .48792 L
.64254 .49114 L
.64112 .49275 L
.63771 .4975 L
.63752 .49758 L
.63373 .50242 L
.63288 .50368 L
.63142 .50725 L
.62804 .51022 L
.62643 .51208 L
.62321 .51661 L
.62278 .51691 L
.61925 .52174 L
.61838 .52254 L
.61516 .52658 L
.61355 .5288 L
.61123 .53141 L
.60872 .53502 L
.6072 .53624 L
.60388 .54016 L
.60293 .54107 L
.59905 .54498 L
.59531 .54107 L
.59764 .53624 L
.59905 .53406 L
.60056 .53141 L
.60367 .52658 L
.60388 .52624 L
.60791 .52174 L
.60872 .5186 L
.60996 .51691 L
.61355 .5123 L
.6137 .51208 L
.6171 .50725 L
.61838 .50554 L
.62117 .50242 L
.62321 .49871 L
.62341 .49758 L
.6278 .49275 L
.62804 .49251 L
.63135 .48792 L
.63288 .48597 L
.63494 .48309 L
.63771 .47933 L
.63863 .47826 L
.64223 .47342 L
.64254 .47316 L
.64645 .46859 L
.64737 .46672 L
.64878 .46376 L
.6522 .46015 L
.65323 .45893 L
.65687 .4541 L
.65704 .45399 L
.66056 .44927 L
.66187 .44777 L
.66439 .44443 L
.6667 .44136 L
.6682 .4396 L
.67153 .43517 L
.67202 .43477 L
.67578 .42994 L
.67636 .42955 L
.68026 .42511 L
.68119 .42398 L
.68503 .42027 L
F
.098 .925 1 r
.69569 .42556 m
.69871 .42994 L
.69612 .43477 L
.69569 .43589 L
.69455 .4396 L
.69086 .44377 L
.69045 .44443 L
.68727 .44927 L
.68603 .45129 L
.68357 .4541 L
.68119 .45874 L
.6804 .45893 L
.67693 .46376 L
.67636 .46449 L
.67217 .46859 L
.67153 .47132 L
.67002 .47342 L
.6667 .478 L
.66622 .47826 L
.66267 .48309 L
.66187 .48407 L
.65857 .48792 L
.65704 .49073 L
.65636 .49275 L
.6522 .49727 L
.65179 .49758 L
.6482 .50242 L
.64737 .50339 L
.64467 .50725 L
.64254 .50997 L
.64086 .51208 L
.63771 .51647 L
.63723 .51691 L
.63328 .52174 L
.63288 .52253 L
.63064 .52658 L
.62804 .52902 L
.62614 .53141 L
.62321 .53547 L
.62244 .53624 L
.61876 .54107 L
.61838 .5414 L
.61615 .5459 L
.61355 .5475 L
.61078 .55073 L
.60872 .55353 L
.60658 .55557 L
.60388 .55953 L
.60188 .5604 L
.59905 .56293 L
.59592 .5604 L
.59735 .55557 L
.59905 .55332 L
.60042 .55073 L
.60338 .5459 L
.60388 .54502 L
.60721 .54107 L
.60872 .53687 L
.60922 .53624 L
.61328 .53141 L
.61355 .53106 L
.61668 .52658 L
.61838 .52413 L
.62046 .52174 L
.62321 .51732 L
.62381 .51691 L
.62734 .51208 L
.62804 .51124 L
.632 .50725 L
.63288 .50457 L
.63422 .50242 L
.63771 .49799 L
.63817 .49758 L
.64175 .49275 L
.64254 .49186 L
.64572 .48792 L
.64737 .48526 L
.64785 .48309 L
.6522 .47873 L
.65268 .47826 L
.6563 .47342 L
.65704 .47266 L
.65971 .46859 L
.66187 .46613 L
.6637 .46376 L
.6667 .45964 L
.66736 .45893 L
.67118 .4541 L
.67153 .45366 L
.67397 .44927 L
.67636 .44736 L
.67871 .44443 L
.68119 .44109 L
.68262 .4396 L
.68603 .43508 L
.68662 .43477 L
.69086 .43002 L
.69094 .42994 L
F
.021 .875 1 r
.67636 .4134 m
.68004 .41544 L
.67815 .42027 L
.67636 .42352 L
.67545 .42511 L
.6724 .42994 L
.67153 .43227 L
.67108 .43477 L
.6667 .43851 L
.66595 .4396 L
.66259 .44443 L
.66187 .44556 L
.65933 .44927 L
.65704 .45284 L
.65555 .4541 L
.6522 .4587 L
.65203 .45893 L
.64811 .46376 L
.64737 .46536 L
.64577 .46859 L
.64254 .4722 L
.64121 .47342 L
.63771 .47817 L
.63764 .47826 L
.63408 .48309 L
.63288 .48463 L
.63026 .48792 L
.62804 .49127 L
.62656 .49275 L
.62321 .49722 L
.62291 .49758 L
.61954 .50242 L
.61838 .50345 L
.61525 .50725 L
.61355 .50978 L
.6113 .51208 L
.60872 .51631 L
.60726 .51691 L
.60388 .52086 L
.60295 .52174 L
.59905 .52555 L
.59619 .52174 L
.59864 .51691 L
.59905 .51607 L
.6013 .51208 L
.60388 .5081 L
.60441 .50725 L
.60755 .50242 L
.60872 .50058 L
.61089 .49758 L
.61355 .49319 L
.61435 .49275 L
.61779 .48792 L
.61838 .48719 L
.62208 .48309 L
.62321 .48039 L
.62428 .47826 L
.62804 .47375 L
.62846 .47342 L
.63201 .46859 L
.63288 .46761 L
.63583 .46376 L
.63771 .46101 L
.63932 .45893 L
.64254 .45451 L
.64298 .4541 L
.64719 .44927 L
.64737 .44849 L
.64993 .44443 L
.6522 .44209 L
.65418 .4396 L
.65704 .43573 L
.658 .43477 L
.66184 .42994 L
.66187 .42991 L
.66516 .42511 L
.6667 .42418 L
.67026 .42027 L
.67153 .41862 L
.6752 .41544 L
F
1 .95 .212 r
.60388 .41735 m
.6077 .42027 L
.60393 .42511 L
.60388 .42517 L
.59956 .42994 L
.59905 .43058 L
.59621 .42994 L
.59877 .42511 L
.59905 .42468 L
.60189 .42027 L
F
1 .875 .021 r
.59905 .49768 m
.60321 .50242 L
.59905 .50654 L
.5966 .50242 L
F
1 .9 .045 r
.68119 .42506 m
.68603 .42121 L
.68765 .42511 L
.68603 .42868 L
.68539 .42994 L
.68293 .43477 L
.68119 .43704 L
.67961 .4396 L
.67637 .44443 L
.67636 .44445 L
.67249 .44927 L
.67153 .45192 L
.67037 .4541 L
.6667 .45812 L
.66612 .45893 L
.66264 .46376 L
.66187 .46483 L
.65896 .46859 L
.65704 .47169 L
.65547 .47342 L
.6522 .47784 L
.65189 .47826 L
.64764 .48309 L
.64737 .48433 L
.64514 .48792 L
.64254 .49099 L
.64099 .49275 L
.63771 .49744 L
.63738 .49758 L
.63362 .50242 L
.63288 .5035 L
.63127 .50725 L
.62804 .51002 L
.62625 .51208 L
.62321 .51645 L
.62255 .51691 L
.61894 .52174 L
.61838 .52223 L
.61484 .52658 L
.61355 .52835 L
.61076 .53141 L
.60872 .53445 L
.60647 .53624 L
.60388 .53913 L
.6015 .54107 L
.59905 .54302 L
.59701 .54107 L
.59873 .53624 L
.59905 .53575 L
.60129 .53141 L
.60388 .52719 L
.60425 .52658 L
.60814 .52174 L
.60872 .51917 L
.6102 .51691 L
.61355 .51271 L
.61398 .51208 L
.61735 .50725 L
.61838 .50585 L
.62134 .50242 L
.62321 .49893 L
.62343 .49758 L
.62797 .49275 L
.62804 .49268 L
.6315 .48792 L
.63288 .48616 L
.63505 .48309 L
.63771 .47949 L
.63877 .47826 L
.64238 .47342 L
.64254 .47329 L
.64654 .46859 L
.64737 .46691 L
.64889 .46376 L
.6522 .46035 L
.65341 .45893 L
.65704 .45412 L
.65707 .4541 L
.66075 .44927 L
.66187 .44804 L
.66465 .44443 L
.6667 .44173 L
.66855 .4396 L
.67153 .43553 L
.6725 .43477 L
.67636 .43018 L
.67661 .42994 L
.68116 .42511 L
F
.01 .85 1 r
.59905 .48001 m
.60311 .48309 L
.59905 .48703 L
.59742 .48309 L
F
.59905 .51769 m
.60175 .52174 L
.59905 .52384 L
.59752 .52174 L
F
.461 .975 1 r
.59905 .37011 m
.60003 .37196 L
.59905 .37374 L
.59754 .37196 L
F
1 .85 .01 r
.59905 .49938 m
.60212 .50242 L
.59905 .50487 L
.59779 .50242 L
F
.045 .9 1 r
.59905 .44372 m
.60342 .44443 L
.59905 .44888 L
.59864 .44443 L
F
1 .875 .021 r
.59905 .46341 m
.60242 .46376 L
.59905 .46632 L
.59889 .46376 L
F
.004 .825 1 r
.59905 .4826 m
.60156 .48309 L
.59905 .48428 L
.5989 .48309 L
F
1 .875 .021 r
.6667 .40904 m
.6696 .41061 L
.66763 .41544 L
.6667 .41707 L
.66481 .42027 L
.66187 .42503 L
.66182 .42511 L
.65925 .42994 L
.65704 .43215 L
.6552 .43477 L
.6522 .43905 L
.6518 .4396 L
.64829 .44443 L
.64737 .44605 L
.64642 .44927 L
.64254 .45341 L
.64119 .4541 L
.63771 .45888 L
.63767 .45893 L
.63437 .46376 L
.63288 .46554 L
.63033 .46859 L
.62804 .47244 L
.62665 .47342 L
.62321 .47803 L
.62303 .47826 L
.61992 .48309 L
.61838 .48438 L
.61537 .48792 L
.61355 .49094 L
.61144 .49275 L
.60872 .49623 L
.60745 .49758 L
.60388 .50177 L
.59911 .49758 L
.60074 .49275 L
.60388 .48977 L
.60504 .48792 L
.60827 .48309 L
.60872 .48243 L
.61181 .47826 L
.61355 .4751 L
.61503 .47342 L
.61838 .46881 L
.61854 .46859 L
.6229 .46376 L
.62321 .46219 L
.62529 .45893 L
.62804 .45544 L
.62922 .4541 L
.63285 .44927 L
.63288 .44924 L
.63679 .44443 L
.63771 .44293 L
.639 .4396 L
.64254 .43645 L
.64402 .43477 L
.64737 .43013 L
.64782 .42994 L
.65157 .42511 L
.6522 .42453 L
.65578 .42027 L
.65704 .41865 L
.66012 .41544 L
.66187 .41276 L
.66503 .41061 L
F
.01 .85 1 r
.67153 .41967 m
.67636 .41616 L
.67715 .42027 L
.67636 .42198 L
.67477 .42511 L
.67198 .42994 L
.67153 .43119 L
.67082 .43477 L
.6667 .43803 L
.66564 .4396 L
.66233 .44443 L
.66187 .44517 L
.65915 .44927 L
.65704 .4526 L
.65536 .4541 L
.6522 .45846 L
.65185 .45893 L
.64802 .46376 L
.64737 .46515 L
.64564 .46859 L
.64254 .47204 L
.64106 .47342 L
.63771 .47797 L
.63748 .47826 L
.63393 .48309 L
.63288 .48443 L
.6301 .48792 L
.62804 .49107 L
.62637 .49275 L
.62321 .49696 L
.62269 .49758 L
.61922 .50242 L
.61838 .50314 L
.61496 .50725 L
.61355 .50937 L
.6109 .51208 L
.60872 .51592 L
.60664 .51691 L
.60388 .52 L
.59941 .51691 L
.60191 .51208 L
.60388 .50892 L
.60488 .50725 L
.60796 .50242 L
.60872 .50117 L
.61114 .49758 L
.61355 .49341 L
.61461 .49275 L
.61804 .48792 L
.61838 .4875 L
.62221 .48309 L
.62321 .48066 L
.62439 .47826 L
.62804 .47389 L
.62865 .47342 L
.6322 .46859 L
.63288 .46782 L
.63597 .46376 L
.63771 .46123 L
.6395 .45893 L
.64254 .45469 L
.64318 .4541 L
.64723 .44927 L
.64737 .44871 L
.65015 .44443 L
.6522 .44239 L
.65445 .4396 L
.65704 .43605 L
.65834 .43477 L
.66187 .43039 L
.66228 .42994 L
.66615 .42511 L
.6667 .4248 L
.67106 .42027 L
F
1 .95 .212 r
.70535 .43409 m
.70625 .43477 L
.70538 .4396 L
.70535 .43965 L
.70317 .44443 L
.70052 .44895 L
.70034 .44927 L
.69626 .4541 L
.69569 .45742 L
.69427 .45893 L
.69086 .46356 L
.69072 .46376 L
.68738 .46859 L
.68603 .47051 L
.68319 .47342 L
.68119 .47745 L
.68085 .47826 L
.67675 .48309 L
.67636 .48353 L
.67322 .48792 L
.67153 .49018 L
.66948 .49275 L
.6667 .49684 L
.66596 .49758 L
.66238 .50242 L
.66187 .50295 L
.65792 .50725 L
.65704 .50952 L
.65564 .51208 L
.6522 .51611 L
.65147 .51691 L
.64787 .52174 L
.64737 .52221 L
.64407 .52658 L
.64254 .52871 L
.64206 .53141 L
.63771 .53527 L
.63686 .53624 L
.63323 .54107 L
.63288 .54133 L
.62989 .5459 L
.62804 .54767 L
.6257 .55073 L
.62321 .55409 L
.62192 .55557 L
.61838 .56022 L
.61814 .5604 L
.61465 .56523 L
.61355 .56586 L
.60983 .57006 L
.60872 .57143 L
.60497 .57489 L
.60388 .57629 L
.59942 .57489 L
.60115 .57006 L
.60373 .56523 L
.60388 .56488 L
.60692 .5604 L
.60872 .55729 L
.60979 .55557 L
.6131 .55073 L
.61355 .55008 L
.61786 .5459 L
.61838 .54286 L
.6199 .54107 L
.62321 .53667 L
.62351 .53624 L
.627 .53141 L
.62804 .53003 L
.63126 .52658 L
.63288 .52326 L
.63355 .52174 L
.63771 .51693 L
.63781 .51691 L
.64137 .51208 L
.64254 .51059 L
.64506 .50725 L
.64737 .50394 L
.64866 .50242 L
.6522 .49762 L
.65227 .49758 L
.65655 .49275 L
.65704 .49133 L
.65896 .48792 L
.66187 .48474 L
.66323 .48309 L
.6667 .47837 L
.66684 .47826 L
.67057 .47342 L
.67153 .47223 L
.67278 .46859 L
.67636 .46573 L
.67799 .46376 L
.68119 .45937 L
.68169 .45893 L
.68525 .4541 L
.68603 .45352 L
.68946 .44927 L
.69086 .44746 L
.69358 .44443 L
.69569 .4416 L
.69803 .4396 L
.70052 .43549 L
.70389 .43477 L
F
.045 .9 1 r
.69086 .43148 m
.69502 .43477 L
.69387 .4396 L
.69086 .44261 L
.6898 .44443 L
.68675 .44927 L
.68603 .45053 L
.68326 .4541 L
.68119 .45853 L
.6801 .45893 L
.67667 .46376 L
.67636 .46416 L
.67207 .46859 L
.67153 .47108 L
.6699 .47342 L
.6667 .47791 L
.66607 .47826 L
.66253 .48309 L
.66187 .48391 L
.65848 .48792 L
.65704 .49058 L
.6563 .49275 L
.6522 .49717 L
.65167 .49758 L
.64808 .50242 L
.64737 .50325 L
.64457 .50725 L
.64254 .50982 L
.64073 .51208 L
.63771 .51634 L
.63708 .51691 L
.6332 .52174 L
.63288 .52236 L
.63046 .52658 L
.62804 .52878 L
.62591 .53141 L
.62321 .53519 L
.62215 .53624 L
.61839 .54107 L
.61838 .54108 L
.61534 .5459 L
.61355 .54691 L
.61011 .55073 L
.60872 .55261 L
.60539 .55557 L
.60388 .55802 L
.59952 .55557 L
.60149 .55073 L
.60388 .54647 L
.6042 .5459 L
.60762 .54107 L
.60872 .53749 L
.60936 .53624 L
.61355 .53156 L
.61365 .53141 L
.61697 .52658 L
.61838 .52449 L
.62066 .52174 L
.62321 .51747 L
.624 .51691 L
.62752 .51208 L
.62804 .51145 L
.63209 .50725 L
.63288 .50475 L
.63431 .50242 L
.63771 .4981 L
.6383 .49758 L
.64187 .49275 L
.64254 .492 L
.64581 .48792 L
.64737 .48542 L
.6479 .48309 L
.6522 .47887 L
.65282 .47826 L
.65644 .47342 L
.65704 .47281 L
.65984 .46859 L
.66187 .46633 L
.66387 .46376 L
.6667 .45986 L
.66758 .45893 L
.67135 .4541 L
.67153 .45388 L
.67436 .44927 L
.67636 .44777 L
.67913 .44443 L
.68119 .44167 L
.68324 .4396 L
.68603 .43561 L
.68763 .43477 L
F
1 .85 .01 r
.66187 .41395 m
.6667 .41103 L
.66672 .41544 L
.6667 .4155 L
.66418 .42027 L
.66187 .42424 L
.66132 .42511 L
.65882 .42994 L
.65704 .43165 L
.65489 .43477 L
.6522 .43866 L
.65152 .4396 L
.64809 .44443 L
.64737 .44569 L
.64622 .44927 L
.64254 .45321 L
.64099 .4541 L
.63771 .45861 L
.63746 .45893 L
.63416 .46376 L
.63288 .46527 L
.63013 .46859 L
.62804 .47223 L
.62643 .47342 L
.62321 .47773 L
.62277 .47826 L
.61952 .48309 L
.61838 .48402 L
.61506 .48792 L
.61355 .49051 L
.61104 .49275 L
.60872 .49567 L
.60685 .49758 L
.60388 .50093 L
.5999 .49758 L
.6014 .49275 L
.60388 .4906 L
.60551 .48792 L
.6087 .48309 L
.60872 .48306 L
.61208 .47826 L
.61355 .47554 L
.61533 .47342 L
.61838 .4692 L
.61882 .46859 L
.62297 .46376 L
.62321 .46252 L
.62549 .45893 L
.62804 .45573 L
.62947 .4541 L
.63288 .44956 L
.63311 .44927 L
.63697 .44443 L
.63771 .44326 L
.63924 .4396 L
.64254 .43681 L
.64433 .43477 L
.64737 .43032 L
.6482 .42994 L
.6521 .42511 L
.6522 .42502 L
.65633 .42027 L
.65704 .41936 L
.66094 .41544 L
F
1 .875 .021 r
.68119 .42623 m
.68446 .42994 L
.68229 .43477 L
.68119 .43615 L
.67915 .4396 L
.67636 .44389 L
.67601 .44443 L
.67232 .44927 L
.67153 .45152 L
.67023 .4541 L
.6667 .45783 L
.66592 .45893 L
.66247 .46376 L
.66187 .4646 L
.65884 .46859 L
.65704 .47152 L
.65533 .47342 L
.6522 .47766 L
.65175 .47826 L
.64761 .48309 L
.64737 .48417 L
.64503 .48792 L
.64254 .49084 L
.64086 .49275 L
.63771 .49738 L
.63724 .49758 L
.63351 .50242 L
.63288 .50332 L
.6311 .50725 L
.62804 .50981 L
.62606 .51208 L
.62321 .51629 L
.62231 .51691 L
.6186 .52174 L
.61838 .52193 L
.6145 .52658 L
.61355 .52788 L
.61026 .53141 L
.60872 .53378 L
.6056 .53624 L
.60388 .53801 L
.6 .53624 L
.60205 .53141 L
.60388 .52822 L
.6048 .52658 L
.60832 .52174 L
.60872 .51984 L
.61043 .51691 L
.61355 .51314 L
.61425 .51208 L
.6176 .50725 L
.61838 .50617 L
.6215 .50242 L
.62321 .49915 L
.62345 .49758 L
.62804 .49288 L
.62814 .49275 L
.63165 .48792 L
.63288 .48635 L
.63517 .48309 L
.63771 .47966 L
.63891 .47826 L
.64252 .47342 L
.64254 .47341 L
.64662 .46859 L
.64737 .46709 L
.64901 .46376 L
.6522 .46055 L
.65358 .45893 L
.65704 .45425 L
.65727 .4541 L
.66096 .44927 L
.66187 .44831 L
.66493 .44443 L
.6667 .44209 L
.66891 .4396 L
.67153 .43592 L
.67301 .43477 L
.67636 .4309 L
.67741 .42994 L
F
.01 .85 1 r
.6522 .40854 m
.65674 .41061 L
.65394 .41544 L
.6522 .41825 L
.65086 .42027 L
.6478 .42511 L
.64737 .42583 L
.6443 .42994 L
.64254 .43245 L
.64083 .43477 L
.63771 .4392 L
.6374 .4396 L
.6344 .44443 L
.63288 .44616 L
.63018 .44927 L
.62804 .4522 L
.62653 .4541 L
.62321 .4586 L
.62294 .45893 L
.62013 .46376 L
.61838 .46511 L
.6153 .46859 L
.61355 .47222 L
.61138 .47342 L
.60872 .47682 L
.60737 .47826 L
.60388 .48235 L
.60001 .47826 L
.60241 .47342 L
.60388 .47056 L
.60595 .46859 L
.60872 .46453 L
.60924 .46376 L
.61281 .45893 L
.61355 .45738 L
.61456 .4541 L
.61838 .45005 L
.61952 .44927 L
.62307 .44443 L
.62321 .44426 L
.62657 .4396 L
.62804 .43771 L
.63037 .43477 L
.63288 .431 L
.63414 .42994 L
.63771 .42535 L
.63792 .42511 L
.64138 .42027 L
.64254 .41937 L
.64593 .41544 L
.64737 .41332 L
.65034 .41061 L
F
.004 .825 1 r
.6667 .42546 m
.67149 .42994 L
.67043 .43477 L
.6667 .43752 L
.66532 .4396 L
.66207 .44443 L
.66187 .44476 L
.65896 .44927 L
.65704 .45233 L
.65517 .4541 L
.6522 .45822 L
.65167 .45893 L
.64792 .46376 L
.64737 .46493 L
.64551 .46859 L
.64254 .47187 L
.64091 .47342 L
.63771 .47777 L
.63732 .47826 L
.63379 .48309 L
.63288 .48423 L
.62993 .48792 L
.62804 .49086 L
.62618 .49275 L
.62321 .4967 L
.62246 .49758 L
.61886 .50242 L
.61838 .50282 L
.61466 .50725 L
.61355 .50894 L
.61047 .51208 L
.60872 .51537 L
.60592 .51691 L
.60388 .51905 L
.60037 .51691 L
.60255 .51208 L
.60388 .50983 L
.60535 .50725 L
.60837 .50242 L
.60872 .50181 L
.6114 .49758 L
.61355 .4937 L
.61488 .49275 L
.61829 .48792 L
.61838 .48781 L
.62234 .48309 L
.62321 .48093 L
.62451 .47826 L
.62804 .47405 L
.62883 .47342 L
.63238 .46859 L
.63288 .46803 L
.63611 .46376 L
.63771 .46146 L
.63968 .45893 L
.64254 .45487 L
.64338 .4541 L
.64728 .44927 L
.64737 .44894 L
.65039 .44443 L
.6522 .44269 L
.65473 .4396 L
.65704 .43638 L
.65869 .43477 L
.66187 .43087 L
.66276 .42994 L
F
.461 .975 1 r
.72951 .45386 m
.73434 .45072 L
.73592 .4541 L
.73434 .45839 L
.73415 .45893 L
.73079 .46376 L
.72951 .46751 L
.72917 .46859 L
.72589 .47342 L
.72468 .47522 L
.72266 .47826 L
.71985 .48246 L
.71877 .48309 L
.71566 .48792 L
.71502 .48865 L
.71223 .49275 L
.71019 .4954 L
.70711 .49758 L
.70535 .50201 L
.70488 .50242 L
.70142 .50725 L
.70052 .50818 L
.69788 .51208 L
.69569 .51482 L
.69337 .51691 L
.69086 .52136 L
.69064 .52174 L
.68697 .52658 L
.68603 .52747 L
.68338 .53141 L
.68119 .53411 L
.67938 .53624 L
.67636 .54068 L
.67604 .54107 L
.67247 .5459 L
.67153 .54668 L
.66756 .55073 L
.6667 .55336 L
.66539 .55557 L
.66187 .55997 L
.66153 .5604 L
.65795 .56523 L
.65704 .56582 L
.65385 .57006 L
.6522 .57258 L
.65161 .57489 L
.64737 .57924 L
.647 .57973 L
.64339 .58456 L
.64254 .58489 L
.6399 .58939 L
.63771 .59171 L
.63601 .59422 L
.63288 .59839 L
.63237 .59905 L
.62844 .60388 L
.62804 .60479 L
.62574 .60872 L
.62321 .61051 L
.62108 .61355 L
.61838 .61694 L
.6172 .61838 L
.61355 .62286 L
.61318 .62321 L
.60876 .62804 L
.60872 .62805 L
.60388 .63213 L
.60054 .62804 L
.60308 .62321 L
.60388 .6211 L
.60455 .61838 L
.60851 .61355 L
.60872 .6132 L
.61172 .60872 L
.61355 .6052 L
.61548 .60388 L
.61838 .59955 L
.61872 .59905 L
.6222 .59422 L
.62321 .59273 L
.62703 .58939 L
.62804 .58567 L
.62921 .58456 L
.63288 .57992 L
.63301 .57973 L
.63657 .57489 L
.63771 .57329 L
.64068 .57006 L
.64254 .56646 L
.64297 .56523 L
.64737 .56052 L
.64747 .5604 L
.65106 .55557 L
.6522 .55398 L
.65456 .55073 L
.65704 .54727 L
.65837 .5459 L
.66187 .54118 L
.66195 .54107 L
.66603 .53624 L
.6667 .53471 L
.66842 .53141 L
.67153 .52806 L
.67289 .52658 L
.67636 .52177 L
.67645 .52174 L
.68004 .51691 L
.68119 .51547 L
.68203 .51208 L
.68603 .50884 L
.68744 .50725 L
.69086 .50249 L
.69098 .50242 L
.69422 .49758 L
.69569 .49626 L
.69839 .49275 L
.70052 .48967 L
.70203 .48792 L
.70535 .48328 L
.70559 .48309 L
.70859 .47826 L
.71019 .47721 L
.71314 .47342 L
.71502 .47078 L
.71692 .46859 L
.71985 .46453 L
.72071 .46376 L
.72468 .45894 L
.72469 .45893 L
.72931 .4541 L
F
1 .825 .004 r
.65704 .42014 m
.66187 .41555 L
.66349 .42027 L
.66187 .42331 L
.66079 .42511 L
.65831 .42994 L
.65704 .43112 L
.65457 .43477 L
.6522 .43825 L
.65124 .4396 L
.64788 .44443 L
.64737 .44531 L
.64598 .44927 L
.64254 .45296 L
.64078 .4541 L
.63771 .45834 L
.63725 .45893 L
.63393 .46376 L
.63288 .46498 L
.62993 .46859 L
.62804 .47199 L
.6262 .47342 L
.62321 .47743 L
.62251 .47826 L
.61907 .48309 L
.61838 .48364 L
.61475 .48792 L
.61355 .49003 L
.6106 .49275 L
.60872 .49507 L
.60614 .49758 L
.60388 .49999 L
.60079 .49758 L
.60237 .49275 L
.60388 .49153 L
.60599 .48792 L
.60872 .48369 L
.60911 .48309 L
.61236 .47826 L
.61355 .47602 L
.61563 .47342 L
.61838 .4696 L
.6191 .46859 L
.62304 .46376 L
.62321 .46287 L
.6257 .45893 L
.62804 .45603 L
.62972 .4541 L
.63288 .44989 L
.63336 .44927 L
.63715 .44443 L
.63771 .44359 L
.63953 .4396 L
.64254 .43717 L
.64466 .43477 L
.64737 .43054 L
.6486 .42994 L
.6522 .42555 L
.65263 .42511 L
.65693 .42027 L
F
.004 .825 1 r
.6522 .40981 m
.65538 .41061 L
.65323 .41544 L
.6522 .41723 L
.65028 .42027 L
.64737 .42494 L
.64726 .42511 L
.64392 .42994 L
.64254 .43194 L
.64048 .43477 L
.63771 .43875 L
.63706 .4396 L
.63399 .44443 L
.63288 .44568 L
.62989 .44927 L
.62804 .45181 L
.62622 .4541 L
.62321 .45818 L
.62259 .45893 L
.61947 .46376 L
.61838 .46458 L
.61491 .46859 L
.61355 .47162 L
.61086 .47342 L
.60872 .47613 L
.60661 .47826 L
.60388 .48131 L
.60093 .47826 L
.60337 .47342 L
.60388 .47238 L
.60652 .46859 L
.60872 .46531 L
.60974 .46376 L
.61313 .45893 L
.61355 .45806 L
.61489 .4541 L
.61838 .45045 L
.61991 .44927 L
.62321 .44476 L
.62347 .44443 L
.62693 .4396 L
.62804 .43822 L
.63077 .43477 L
.63288 .43143 L
.63458 .42994 L
.63771 .42594 L
.63844 .42511 L
.64226 .42027 L
.64254 .42007 L
.64664 .41544 L
.64737 .41433 L
.65142 .41061 L
F
1 .875 .021 r
.60388 .45449 m
.60695 .45893 L
.60388 .4625 L
.6013 .45893 L
F
.045 .9 1 r
.60388 .43576 m
.60745 .4396 L
.60388 .44397 L
.60145 .4396 L
F
.002 .8 1 r
.6667 .42616 m
.67091 .42994 L
.66989 .43477 L
.6667 .43698 L
.66501 .4396 L
.66187 .44434 L
.6618 .44443 L
.65875 .44927 L
.65704 .45202 L
.65498 .4541 L
.6522 .45798 L
.6515 .45893 L
.64782 .46376 L
.64737 .46471 L
.64536 .46859 L
.64254 .47168 L
.64076 .47342 L
.63771 .47757 L
.63716 .47826 L
.63363 .48309 L
.63288 .48402 L
.62977 .48792 L
.62804 .49065 L
.62599 .49275 L
.62321 .49643 L
.62222 .49758 L
.61847 .50242 L
.61838 .50249 L
.61435 .50725 L
.61355 .50847 L
.61 .51208 L
.60872 .51462 L
.605 .51691 L
.60388 .51796 L
.60156 .51691 L
.60323 .51208 L
.60388 .51089 L
.60584 .50725 L
.60872 .50252 L
.60878 .50242 L
.61167 .49758 L
.61355 .49406 L
.61515 .49275 L
.61838 .48815 L
.61854 .48792 L
.62246 .48309 L
.62321 .48121 L
.62464 .47826 L
.62804 .47421 L
.62901 .47342 L
.63257 .46859 L
.63288 .46824 L
.63625 .46376 L
.63771 .46169 L
.63986 .45893 L
.64254 .45506 L
.64358 .4541 L
.64734 .44927 L
.64737 .44916 L
.65065 .44443 L
.6522 .44299 L
.65501 .4396 L
.65704 .43673 L
.65905 .43477 L
.66187 .43136 L
.66327 .42994 L
F
1 .85 .01 r
.68119 .42755 m
.68338 .42994 L
.68147 .43477 L
.68119 .43511 L
.67868 .4396 L
.67636 .44329 L
.67564 .44443 L
.67215 .44927 L
.67153 .45108 L
.67006 .4541 L
.6667 .45754 L
.66572 .45893 L
.66229 .46376 L
.66187 .46436 L
.65872 .46859 L
.65704 .47133 L
.65519 .47342 L
.6522 .47749 L
.65162 .47826 L
.64758 .48309 L
.64737 .48401 L
.64492 .48792 L
.64254 .49069 L
.64073 .49275 L
.63771 .49731 L
.6371 .49758 L
.6334 .50242 L
.63288 .50314 L
.63091 .50725 L
.62804 .50959 L
.62587 .51208 L
.62321 .5161 L
.62207 .51691 L
.61838 .5216 L
.61825 .52174 L
.61414 .52658 L
.61355 .52739 L
.60971 .53141 L
.60872 .53297 L
.60442 .53624 L
.60388 .53672 L
.60166 .53624 L
.60287 .53141 L
.60388 .52945 L
.60537 .52658 L
.6085 .52174 L
.60872 .52065 L
.61069 .51691 L
.61355 .51358 L
.61453 .51208 L
.61785 .50725 L
.61838 .5065 L
.62166 .50242 L
.62321 .49938 L
.62348 .49758 L
.62804 .49311 L
.6283 .49275 L
.63181 .48792 L
.63288 .48654 L
.63528 .48309 L
.63771 .47982 L
.63905 .47826 L
.64254 .47347 L
.64267 .47342 L
.6467 .46859 L
.64737 .46727 L
.64914 .46376 L
.6522 .46075 L
.65376 .45893 L
.65704 .45438 L
.65748 .4541 L
.66119 .44927 L
.66187 .44857 L
.6652 .44443 L
.6667 .44246 L
.66928 .4396 L
.67153 .43635 L
.67356 .43477 L
.67636 .43165 L
.67841 .42994 L
F
.212 .95 1 r
.71019 .44316 m
.71443 .44443 L
.71291 .44927 L
.7104 .4541 L
.71019 .45459 L
.70697 .45893 L
.70535 .46229 L
.70447 .46376 L
.70121 .46859 L
.70052 .46956 L
.69789 .47342 L
.69569 .47674 L
.69415 .47826 L
.69086 .48302 L
.69081 .48309 L
.68737 .48792 L
.68603 .48962 L
.68267 .49275 L
.68119 .49636 L
.68036 .49758 L
.67655 .50242 L
.67636 .50258 L
.67301 .50725 L
.67153 .50906 L
.66894 .51208 L
.6667 .5157 L
.66661 .51691 L
.66211 .52174 L
.66187 .52191 L
.65715 .52658 L
.65704 .52833 L
.65503 .53141 L
.6522 .53495 L
.65118 .53624 L
.64757 .54107 L
.64737 .54115 L
.6435 .5459 L
.64254 .54748 L
.64117 .55073 L
.63771 .55408 L
.63653 .55557 L
.6329 .5604 L
.63288 .56044 L
.6293 .56523 L
.62804 .56639 L
.62534 .57006 L
.62321 .57279 L
.62149 .57489 L
.61838 .57896 L
.6176 .57973 L
.61356 .58456 L
.61355 .58456 L
.60898 .58939 L
.60872 .58966 L
.60388 .59351 L
.60171 .58939 L
.60388 .58456 L
.60388 .58453 L
.60649 .57973 L
.60872 .57636 L
.6096 .57489 L
.6128 .57006 L
.61355 .56886 L
.61709 .56523 L
.61838 .5613 L
.61927 .5604 L
.62315 .55557 L
.62321 .55548 L
.62662 .55073 L
.62804 .5487 L
.63056 .5459 L
.63288 .54186 L
.63382 .54107 L
.6374 .53624 L
.63771 .53588 L
.64224 .53141 L
.64254 .52927 L
.64439 .52658 L
.64737 .52259 L
.64826 .52174 L
.65185 .51691 L
.6522 .51652 L
.65588 .51208 L
.65704 .50998 L
.65814 .50725 L
.66187 .50337 L
.66278 .50242 L
.66637 .49758 L
.6667 .49726 L
.66988 .49275 L
.67153 .49079 L
.67374 .48792 L
.67636 .48422 L
.67739 .48309 L
.6811 .47826 L
.68119 .47809 L
.6841 .47342 L
.68603 .47179 L
.68853 .46859 L
.69086 .46535 L
.69229 .46376 L
.69569 .45917 L
.69604 .45893 L
.69945 .4541 L
.70052 .45353 L
.70432 .44927 L
.70535 .44795 L
.70922 .44443 L
F
1 .8 .002 r
.65704 .42093 m
.66022 .42511 L
.65771 .42994 L
.65704 .43055 L
.65425 .43477 L
.6522 .43782 L
.65095 .4396 L
.64765 .44443 L
.64737 .4449 L
.64571 .44927 L
.64254 .45266 L
.64057 .4541 L
.63771 .45807 L
.63703 .45893 L
.63369 .46376 L
.63288 .46469 L
.62973 .46859 L
.62804 .47173 L
.62597 .47342 L
.62321 .47712 L
.62224 .47826 L
.61858 .48309 L
.61838 .48324 L
.61441 .48792 L
.61355 .48948 L
.61012 .49275 L
.60872 .49444 L
.60522 .49758 L
.60388 .49886 L
.6019 .49758 L
.60373 .49275 L
.60388 .49263 L
.60649 .48792 L
.60872 .48437 L
.60952 .48309 L
.61266 .47826 L
.61355 .47657 L
.61594 .47342 L
.61838 .47 L
.61938 .46859 L
.6231 .46376 L
.62321 .46323 L
.62593 .45893 L
.62804 .45635 L
.62997 .4541 L
.63288 .45022 L
.63363 .44927 L
.63736 .44443 L
.63771 .44392 L
.63989 .4396 L
.64254 .43755 L
.64499 .43477 L
.64737 .43081 L
.64901 .42994 L
.6522 .42611 L
.6532 .42511 L
F
.002 .8 1 r
.60388 .4743 m
.60562 .47826 L
.60388 .48001 L
.60207 .47826 L
F
.021 .875 1 r
.69086 .43314 m
.69341 .43477 L
.69261 .4396 L
.69086 .44123 L
.68916 .44443 L
.68623 .44927 L
.68603 .44965 L
.68296 .4541 L
.68119 .45821 L
.67981 .45893 L
.67641 .46376 L
.67636 .46382 L
.67199 .46859 L
.67153 .47082 L
.66977 .47342 L
.6667 .4778 L
.66592 .47826 L
.66239 .48309 L
.66187 .48374 L
.65839 .48792 L
.65704 .49042 L
.65624 .49275 L
.6522 .49707 L
.65155 .49758 L
.64796 .50242 L
.64737 .50311 L
.64447 .50725 L
.64254 .50966 L
.6406 .51208 L
.63771 .5162 L
.63694 .51691 L
.63312 .52174 L
.63288 .52219 L
.63025 .52658 L
.62804 .52853 L
.62569 .53141 L
.62321 .53491 L
.62185 .53624 L
.61838 .54106 L
.61798 .54107 L
.61433 .5459 L
.61355 .54631 L
.60934 .55073 L
.60872 .55157 L
.60388 .55527 L
.60265 .55073 L
.60388 .54813 L
.60498 .5459 L
.608 .54107 L
.60872 .53845 L
.60954 .53624 L
.61355 .53208 L
.61399 .53141 L
.61725 .52658 L
.61838 .52486 L
.62085 .52174 L
.62321 .51764 L
.62419 .51691 L
.62769 .51208 L
.62804 .51165 L
.63216 .50725 L
.63288 .50493 L
.63441 .50242 L
.63771 .49822 L
.63843 .49758 L
.642 .49275 L
.64254 .49214 L
.6459 .48792 L
.64737 .48557 L
.64796 .48309 L
.6522 .479 L
.65295 .47826 L
.65658 .47342 L
.65704 .47295 L
.65999 .46859 L
.66187 .46654 L
.66405 .46376 L
.6667 .46009 L
.66781 .45893 L
.67153 .4541 L
.67154 .4541 L
.67482 .44927 L
.67636 .44818 L
.67957 .44443 L
.68119 .44226 L
.68392 .4396 L
.68603 .43635 L
.68896 .43477 L
F
1 .85 .01 r
.60388 .45661 m
.6055 .45893 L
.60388 .46055 L
.60282 .45893 L
F
1 .925 .098 r
.60388 .56805 m
.60839 .57006 L
.60388 .57245 L
.60323 .57006 L
F
1 .825 .004 r
.67636 .43244 m
.68063 .43477 L
.67819 .4396 L
.67636 .44264 L
.67527 .44443 L
.67198 .44927 L
.67153 .45058 L
.66988 .4541 L
.6667 .45724 L
.66552 .45893 L
.66212 .46376 L
.66187 .46412 L
.6586 .46859 L
.65704 .47113 L
.65506 .47342 L
.6522 .47731 L
.65148 .47826 L
.64755 .48309 L
.64737 .48384 L
.6448 .48792 L
.64254 .49053 L
.6406 .49275 L
.63771 .49723 L
.63695 .49758 L
.63328 .50242 L
.63288 .50296 L
.6307 .50725 L
.62804 .50937 L
.62567 .51208 L
.62321 .51591 L
.62181 .51691 L
.61838 .52124 L
.61791 .52174 L
.61376 .52658 L
.61355 .52687 L
.60909 .53141 L
.60872 .53199 L
.60388 .53464 L
.6038 .53141 L
.60388 .53121 L
.60596 .52658 L
.60869 .52174 L
.60872 .5216 L
.61097 .51691 L
.61355 .51403 L
.61481 .51208 L
.6181 .50725 L
.61838 .50684 L
.62181 .50242 L
.62321 .49963 L
.62352 .49758 L
.62804 .49333 L
.62847 .49275 L
.63196 .48792 L
.63288 .48673 L
.6354 .48309 L
.63771 .47999 L
.63919 .47826 L
.64254 .47352 L
.64282 .47342 L
.64678 .46859 L
.64737 .46745 L
.64928 .46376 L
.6522 .46095 L
.65393 .45893 L
.65704 .45452 L
.65769 .4541 L
.66143 .44927 L
.66187 .44884 L
.66549 .44443 L
.6667 .44284 L
.66967 .4396 L
.67153 .43683 L
.67417 .43477 L
F
.001 .775 1 r
.6667 .4269 m
.67028 .42994 L
.66916 .43477 L
.6667 .4364 L
.66468 .4396 L
.66187 .44393 L
.66153 .44443 L
.65853 .44927 L
.65704 .45168 L
.65479 .4541 L
.6522 .45773 L
.65132 .45893 L
.64772 .46376 L
.64737 .46448 L
.6452 .46859 L
.64254 .47149 L
.64061 .47342 L
.63771 .47737 L
.637 .47826 L
.63346 .48309 L
.63288 .4838 L
.6296 .48792 L
.62804 .49042 L
.62579 .49275 L
.62321 .49616 L
.62198 .49758 L
.61838 .50215 L
.61814 .50242 L
.61401 .50725 L
.61355 .50797 L
.60948 .51208 L
.60872 .51364 L
.604 .51208 L
.60634 .50725 L
.60872 .50319 L
.60918 .50242 L
.61196 .49758 L
.61355 .49452 L
.61542 .49275 L
.61838 .48849 L
.61878 .48792 L
.62258 .48309 L
.62321 .4815 L
.62478 .47826 L
.62804 .47439 L
.6292 .47342 L
.63275 .46859 L
.63288 .46845 L
.6364 .46376 L
.63771 .46192 L
.64005 .45893 L
.64254 .45526 L
.64378 .4541 L
.64737 .44941 L
.64749 .44927 L
.65094 .44443 L
.6522 .4433 L
.65529 .4396 L
.65704 .4371 L
.65943 .43477 L
.66187 .43186 L
.66384 .42994 L
F
1 .875 .021 r
.64254 .40418 m
.64527 .40578 L
.64286 .41061 L
.64254 .41115 L
.63971 .41544 L
.63771 .41858 L
.63649 .42027 L
.63359 .42511 L
.63288 .42593 L
.62966 .42994 L
.62804 .43224 L
.62607 .43477 L
.62321 .43877 L
.62254 .4396 L
.61888 .44443 L
.61838 .44546 L
.615 .44927 L
.61355 .45122 L
.61104 .4541 L
.60872 .45709 L
.60413 .4541 L
.60718 .44927 L
.60872 .44703 L
.61049 .44443 L
.61355 .44006 L
.61388 .4396 L
.61673 .43477 L
.61838 .43302 L
.62094 .42994 L
.62321 .42694 L
.62466 .42511 L
.62804 .42072 L
.62842 .42027 L
.63137 .41544 L
.63288 .4146 L
.63646 .41061 L
.63771 .40774 L
.64103 .40578 L
F
.002 .8 1 r
.64254 .42081 m
.64672 .42511 L
.64353 .42994 L
.64254 .43139 L
.64011 .43477 L
.63771 .43827 L
.6367 .4396 L
.63352 .44443 L
.63288 .44515 L
.62959 .44927 L
.62804 .4514 L
.62589 .4541 L
.62321 .45775 L
.62222 .45893 L
.61871 .46376 L
.61838 .464 L
.6145 .46859 L
.61355 .47082 L
.61029 .47342 L
.60872 .47537 L
.60436 .47342 L
.60713 .46859 L
.60872 .46615 L
.61025 .46376 L
.61349 .45893 L
.61355 .4588 L
.61536 .4541 L
.61838 .45097 L
.62031 .44927 L
.62321 .44529 L
.62387 .44443 L
.62735 .4396 L
.62804 .43876 L
.63118 .43477 L
.63288 .43194 L
.63503 .42994 L
.63771 .42655 L
.63898 .42511 L
F
.045 .9 1 r
.62804 .40344 m
.63257 .40578 L
.62927 .41061 L
.62804 .41247 L
.62583 .41544 L
.62321 .4193 L
.62244 .42027 L
.6189 .42511 L
.61838 .42585 L
.61512 .42994 L
.61355 .43212 L
.6113 .43477 L
.60872 .43821 L
.60455 .43477 L
.60775 .42994 L
.60872 .42748 L
.6112 .42511 L
.61355 .42188 L
.61477 .42027 L
.61836 .41544 L
.61838 .41542 L
.62214 .41061 L
.62321 .40852 L
.62613 .40578 L
F
1 .775 .001 r
.6522 .42668 m
.65701 .42994 L
.65391 .43477 L
.6522 .43736 L
.65065 .4396 L
.64739 .44443 L
.64737 .44447 L
.64538 .44927 L
.64254 .45232 L
.64035 .4541 L
.63771 .45778 L
.63681 .45893 L
.63342 .46376 L
.63288 .46438 L
.62952 .46859 L
.62804 .47143 L
.62574 .47342 L
.62321 .4768 L
.62196 .47826 L
.61838 .48284 L
.61816 .48309 L
.61406 .48792 L
.61355 .48886 L
.60957 .49275 L
.60872 .49375 L
.60464 .49275 L
.60702 .48792 L
.60872 .48511 L
.60995 .48309 L
.61299 .47826 L
.61355 .4772 L
.61625 .47342 L
.61838 .47042 L
.61966 .46859 L
.62317 .46376 L
.62321 .46359 L
.62617 .45893 L
.62804 .45668 L
.63022 .4541 L
.63288 .45056 L
.63389 .44927 L
.63758 .44443 L
.63771 .44425 L
.64031 .4396 L
.64254 .43794 L
.64533 .43477 L
.64737 .43117 L
.64945 .42994 L
F
0 .75 1 r
.6667 .42771 m
.66956 .42994 L
.66822 .43477 L
.6667 .43575 L
.66435 .4396 L
.66187 .44351 L
.66124 .44443 L
.65829 .44927 L
.65704 .45131 L
.65459 .4541 L
.6522 .45748 L
.65113 .45893 L
.64761 .46376 L
.64737 .46424 L
.64503 .46859 L
.64254 .47129 L
.64045 .47342 L
.63771 .47716 L
.63684 .47826 L
.63329 .48309 L
.63288 .48358 L
.62943 .48792 L
.62804 .49018 L
.62559 .49275 L
.62321 .49589 L
.62173 .49758 L
.61838 .5018 L
.61781 .50242 L
.61366 .50725 L
.61355 .50742 L
.60887 .51208 L
.60872 .51239 L
.60502 .51208 L
.60688 .50725 L
.60872 .50394 L
.60959 .50242 L
.61229 .49758 L
.61355 .49509 L
.61569 .49275 L
.61838 .48885 L
.61901 .48792 L
.62269 .48309 L
.62321 .4818 L
.62493 .47826 L
.62804 .47458 L
.62938 .47342 L
.63288 .46868 L
.63294 .46859 L
.63655 .46376 L
.63771 .46215 L
.64023 .45893 L
.64254 .45546 L
.64398 .4541 L
.64737 .44968 L
.64772 .44927 L
.65126 .44443 L
.6522 .44361 L
.65559 .4396 L
.65704 .43749 L
.65983 .43477 L
.66187 .43238 L
.66448 .42994 L
F
1 .925 .098 r
.70052 .43953 m
.70175 .4396 L
.70157 .44443 L
.70052 .44666 L
.69929 .44927 L
.69596 .4541 L
.69569 .45616 L
.69385 .45893 L
.69086 .46287 L
.69029 .46376 L
.68701 .46859 L
.68603 .47004 L
.68295 .47342 L
.68119 .4772 L
.68078 .47826 L
.67654 .48309 L
.67636 .4833 L
.67305 .48792 L
.67153 .48997 L
.66936 .49275 L
.6667 .49669 L
.66582 .49758 L
.66225 .50242 L
.66187 .50282 L
.65785 .50725 L
.65704 .50936 L
.65556 .51208 L
.6522 .51597 L
.65134 .51691 L
.64774 .52174 L
.64737 .52209 L
.64396 .52658 L
.64254 .52853 L
.64198 .53141 L
.63771 .53507 L
.63667 .53624 L
.63302 .54107 L
.63288 .54118 L
.62963 .5459 L
.62804 .54735 L
.62538 .55073 L
.62321 .55365 L
.62148 .55557 L
.61838 .55978 L
.6175 .5604 L
.61355 .565 L
.6133 .56523 L
.60872 .56982 L
.60503 .56523 L
.60762 .5604 L
.60872 .5585 L
.61044 .55557 L
.61355 .55086 L
.61363 .55073 L
.61802 .5459 L
.61838 .54333 L
.62013 .54107 L
.62321 .53702 L
.62376 .53624 L
.62721 .53141 L
.62804 .5303 L
.63139 .52658 L
.63288 .52345 L
.63362 .52174 L
.63771 .51695 L
.63795 .51691 L
.6415 .51208 L
.64254 .51075 L
.64516 .50725 L
.64737 .50408 L
.64878 .50242 L
.6522 .49769 L
.65239 .49758 L
.65659 .49275 L
.65704 .49148 L
.65907 .48792 L
.66187 .4849 L
.66338 .48309 L
.6667 .4785 L
.66701 .47826 L
.67071 .47342 L
.67153 .47245 L
.673 .46859 L
.67636 .46603 L
.67827 .46376 L
.68119 .4597 L
.68206 .45893 L
.68585 .4541 L
.68603 .45398 L
.69008 .44927 L
.69086 .44829 L
.69461 .44443 L
.69569 .44298 L
.70048 .4396 L
F
1 .95 .212 r
.61838 .39799 m
.62194 .40095 L
.61869 .40578 L
.61838 .40625 L
.61503 .41061 L
.61355 .41277 L
.61136 .41544 L
.60872 .41911 L
.60524 .41544 L
.60852 .41061 L
.60872 .41045 L
.61223 .40578 L
.61355 .40406 L
.61605 .40095 L
F
1 .85 .01 r
.61355 .44111 m
.61834 .44443 L
.61437 .44927 L
.61355 .45037 L
.61019 .4541 L
.60872 .45596 L
.60527 .4541 L
.60807 .44927 L
.60872 .44829 L
.61127 .44443 L
F
.001 .775 1 r
.61355 .45954 m
.61809 .46376 L
.61405 .46859 L
.61355 .46981 L
.60961 .47342 L
.60872 .4745 L
.60534 .47342 L
.60778 .46859 L
.60872 .4671 L
.6108 .46376 L
F
1 .975 .461 r
.71502 .45512 m
.71935 .45893 L
.71714 .46376 L
.71502 .46727 L
.7143 .46859 L
.71131 .47342 L
.71019 .47525 L
.70697 .47826 L
.70535 .48276 L
.7048 .48309 L
.70127 .48792 L
.70052 .48883 L
.69784 .49275 L
.69569 .49568 L
.69373 .49758 L
.69086 .50225 L
.69063 .50242 L
.68712 .50725 L
.68603 .5085 L
.68182 .51208 L
.68119 .51517 L
.67984 .51691 L
.67636 .52163 L
.67624 .52174 L
.6727 .52658 L
.67153 .52784 L
.66827 .53141 L
.6667 .53448 L
.66593 .53624 L
.66187 .54096 L
.66176 .54107 L
.65817 .5459 L
.65704 .54705 L
.6544 .55073 L
.6522 .5537 L
.65083 .55557 L
.64737 .5602 L
.6472 .5604 L
.64288 .56523 L
.64254 .56613 L
.64039 .57006 L
.63771 .57274 L
.63611 .57489 L
.63288 .5792 L
.63242 .57973 L
.62864 .58456 L
.62804 .58496 L
.62602 .58939 L
.62321 .59116 L
.62073 .59422 L
.61838 .59713 L
.61649 .59905 L
.61355 .60273 L
.61168 .60388 L
.60872 .60643 L
.60543 .60388 L
.60666 .59905 L
.60872 .59647 L
.60993 .59422 L
.61289 .58939 L
.61355 .58812 L
.61662 .58456 L
.61838 .58137 L
.61863 .57973 L
.6229 .57489 L
.62321 .57446 L
.62635 .57006 L
.62804 .56744 L
.62998 .56523 L
.63288 .56129 L
.63352 .5604 L
.63706 .55557 L
.63771 .55472 L
.64146 .55073 L
.64254 .54797 L
.64373 .5459 L
.64737 .54132 L
.64791 .54107 L
.65149 .53624 L
.6522 .53533 L
.65526 .53141 L
.65704 .52868 L
.65722 .52658 L
.66187 .52212 L
.6624 .52174 L
.66662 .51691 L
.6667 .51605 L
.66921 .51208 L
.67153 .50946 L
.67335 .50725 L
.67636 .50293 L
.67695 .50242 L
.68066 .49758 L
.68119 .49686 L
.68318 .49275 L
.68603 .49035 L
.68801 .48792 L
.69086 .48386 L
.69165 .48309 L
.6952 .47826 L
.69569 .47787 L
.69918 .47342 L
.70052 .47163 L
.70309 .46859 L
.70535 .46542 L
.70707 .46376 L
.71019 .45934 L
.71129 .45893 L
F
1 .75 0 r
.6522 .42729 m
.65649 .42994 L
.65356 .43477 L
.6522 .43687 L
.65034 .4396 L
.64737 .44408 L
.64711 .44443 L
.64501 .44927 L
.64254 .45193 L
.64013 .4541 L
.63771 .45749 L
.63658 .45893 L
.63314 .46376 L
.63288 .46406 L
.62931 .46859 L
.62804 .47109 L
.62549 .47342 L
.62321 .47647 L
.62166 .47826 L
.61838 .48244 L
.61778 .48309 L
.61367 .48792 L
.61355 .48815 L
.60891 .49275 L
.60872 .49297 L
.60571 .49275 L
.60759 .48792 L
.60872 .48595 L
.61039 .48309 L
.61337 .47826 L
.61355 .47791 L
.61657 .47342 L
.61838 .47085 L
.61995 .46859 L
.62321 .46397 L
.62337 .46376 L
.62645 .45893 L
.62804 .45704 L
.63047 .4541 L
.63288 .4509 L
.63416 .44927 L
.63771 .44461 L
.63785 .44443 L
.64081 .4396 L
.64254 .43836 L
.64569 .43477 L
.64737 .43162 L
.64992 .42994 L
F
.01 .85 1 r
.68603 .43745 m
.69068 .4396 L
.68849 .44443 L
.68603 .44874 L
.68572 .44927 L
.68266 .4541 L
.68119 .45775 L
.67951 .45893 L
.67636 .46347 L
.67616 .46376 L
.67192 .46859 L
.67153 .47055 L
.66964 .47342 L
.6667 .47769 L
.66577 .47826 L
.66225 .48309 L
.66187 .48357 L
.6583 .48792 L
.65704 .49027 L
.65618 .49275 L
.6522 .49697 L
.65143 .49758 L
.64785 .50242 L
.64737 .50297 L
.64436 .50725 L
.64254 .5095 L
.64047 .51208 L
.63771 .51606 L
.63679 .51691 L
.63303 .52174 L
.63288 .52202 L
.63003 .52658 L
.62804 .52828 L
.62546 .53141 L
.62321 .53461 L
.62154 .53624 L
.61838 .54101 L
.61754 .54107 L
.61355 .54567 L
.61331 .5459 L
.60872 .5504 L
.60579 .5459 L
.6084 .54107 L
.60872 .53983 L
.60979 .53624 L
.61355 .53263 L
.61433 .53141 L
.61754 .52658 L
.61838 .52526 L
.62103 .52174 L
.62321 .51784 L
.62438 .51691 L
.62787 .51208 L
.62804 .51186 L
.63223 .50725 L
.63288 .50512 L
.6345 .50242 L
.63771 .49834 L
.63856 .49758 L
.64212 .49275 L
.64254 .49228 L
.64599 .48792 L
.64737 .48573 L
.64802 .48309 L
.6522 .47913 L
.65309 .47826 L
.65672 .47342 L
.65704 .4731 L
.66014 .46859 L
.66187 .46674 L
.66423 .46376 L
.6667 .46031 L
.66803 .45893 L
.67153 .45416 L
.67183 .4541 L
.67535 .44927 L
.67636 .44859 L
.68004 .44443 L
.68119 .44289 L
.68471 .4396 L
F
1 .9 .045 r
.69086 .44916 m
.69569 .44471 L
.69817 .44927 L
.69571 .4541 L
.69569 .45427 L
.69341 .45893 L
.69086 .46214 L
.68986 .46376 L
.68664 .46859 L
.68603 .46953 L
.68273 .47342 L
.68119 .47692 L
.68072 .47826 L
.67636 .48305 L
.67634 .48309 L
.67288 .48792 L
.67153 .48976 L
.66924 .49275 L
.6667 .49655 L
.66569 .49758 L
.66212 .50242 L
.66187 .50268 L
.65779 .50725 L
.65704 .50921 L
.65547 .51208 L
.6522 .51583 L
.65122 .51691 L
.64761 .52174 L
.64737 .52196 L
.64385 .52658 L
.64254 .52835 L
.64188 .53141 L
.63771 .53487 L
.63649 .53624 L
.63288 .54104 L
.63281 .54107 L
.62934 .5459 L
.62804 .54704 L
.62506 .55073 L
.62321 .55321 L
.62103 .55557 L
.61838 .5593 L
.61681 .5604 L
.61355 .56399 L
.61205 .56523 L
.60872 .56799 L
.60647 .56523 L
.60845 .5604 L
.60872 .55994 L
.61109 .55557 L
.61355 .55166 L
.61411 .55073 L
.61814 .5459 L
.61838 .54387 L
.62036 .54107 L
.62321 .53738 L
.624 .53624 L
.62742 .53141 L
.62804 .53057 L
.63152 .52658 L
.63288 .52365 L
.63369 .52174 L
.63771 .51698 L
.63808 .51691 L
.64163 .51208 L
.64254 .51091 L
.64525 .50725 L
.64737 .50423 L
.6489 .50242 L
.6522 .49775 L
.65251 .49758 L
.65664 .49275 L
.65704 .49163 L
.65918 .48792 L
.66187 .48507 L
.66352 .48309 L
.6667 .47863 L
.66718 .47826 L
.67087 .47342 L
.67153 .47266 L
.67326 .46859 L
.67636 .46633 L
.67856 .46376 L
.68119 .46003 L
.68245 .45893 L
.68603 .45453 L
.68645 .4541 L
.69077 .44927 L
F
.021 .875 1 r
.60872 .43099 m
.60976 .43477 L
.60872 .43616 L
.60651 .43477 L
F
1 .8 .002 r
.60872 .52247 m
.61329 .52658 L
.60872 .53096 L
.60658 .52658 L
F
.098 .925 1 r
.70535 .45044 m
.70832 .4541 L
.70595 .45893 L
.70535 .46026 L
.70346 .46376 L
.70052 .46836 L
.70038 .46859 L
.69728 .47342 L
.69569 .47604 L
.69373 .47826 L
.69086 .4825 L
.69046 .48309 L
.68705 .48792 L
.68603 .48926 L
.68246 .49275 L
.68119 .4961 L
.68022 .49758 L
.67636 .50241 L
.67636 .50242 L
.67284 .50725 L
.67153 .50886 L
.66881 .51208 L
.6667 .51552 L
.6666 .51691 L
.66196 .52174 L
.66187 .52181 L
.65713 .52658 L
.65704 .52816 L
.65491 .53141 L
.6522 .53476 L
.65102 .53624 L
.6474 .54107 L
.64737 .54108 L
.64338 .5459 L
.64254 .54725 L
.641 .55073 L
.63771 .55377 L
.63627 .55557 L
.63288 .5601 L
.63256 .5604 L
.62889 .56523 L
.62804 .56595 L
.62481 .57006 L
.62321 .57205 L
.62072 .57489 L
.61838 .57795 L
.61638 .57973 L
.61355 .58408 L
.61126 .58456 L
.60872 .58645 L
.60663 .58456 L
.60809 .57973 L
.60872 .57879 L
.61073 .57489 L
.61355 .57028 L
.61368 .57006 L
.6175 .56523 L
.61838 .56198 L
.61954 .5604 L
.62321 .556 L
.62351 .55557 L
.62691 .55073 L
.62804 .54908 L
.63076 .5459 L
.63288 .54206 L
.63402 .54107 L
.63758 .53624 L
.63771 .53609 L
.64228 .53141 L
.64254 .52946 L
.64449 .52658 L
.64737 .52273 L
.64839 .52174 L
.65197 .51691 L
.6522 .51666 L
.65596 .51208 L
.65704 .51014 L
.65822 .50725 L
.66187 .50351 L
.66292 .50242 L
.66651 .49758 L
.6667 .49739 L
.67002 .49275 L
.67153 .49099 L
.67392 .48792 L
.67636 .48445 L
.67761 .48309 L
.68119 .47828 L
.68124 .47826 L
.68449 .47342 L
.68603 .47219 L
.68894 .46859 L
.69086 .46593 L
.69288 .46376 L
.69569 .45976 L
.69694 .45893 L
.70052 .45484 L
.70135 .4541 L
F
.004 .825 1 r
.60872 .54145 m
.61249 .5459 L
.60872 .54916 L
.6067 .5459 L
F
1 .825 .004 r
.60872 .45005 m
.60901 .4541 L
.60872 .45445 L
.60698 .4541 L
F
1 .775 .001 r
.60872 .52347 m
.61263 .52658 L
.60872 .52991 L
.60728 .52658 L
F
0 .725 1 r
.60872 .50481 m
.61315 .50725 L
.60872 .51134 L
.60746 .50725 L
F
.002 .8 1 r
.60872 .54304 m
.61136 .5459 L
.60872 .54754 L
.60782 .5459 L
F
1 .75 0 r
.60872 .52484 m
.61175 .52658 L
.60872 .52848 L
.60811 .52658 L
F
0 .7 1 r
.60872 .50593 m
.61247 .50725 L
.60872 .51013 L
.60813 .50725 L
F
1 .725 0 r
.60872 .48699 m
.61309 .48792 L
.60872 .49187 L
.60823 .48792 L
F
0 .75 1 r
.60872 .46826 m
.61353 .46859 L
.60872 .47342 L
.60853 .46859 L
F
.004 .825 1 r
.68603 .43907 m
.68917 .4396 L
.68777 .44443 L
.68603 .44777 L
.68521 .44927 L
.68234 .4541 L
.68119 .45712 L
.67922 .45893 L
.67636 .46311 L
.67592 .46376 L
.67185 .46859 L
.67153 .47027 L
.66951 .47342 L
.6667 .47756 L
.66561 .47826 L
.66211 .48309 L
.66187 .48339 L
.65822 .48792 L
.65704 .4901 L
.65611 .49275 L
.6522 .49687 L
.65131 .49758 L
.64773 .50242 L
.64737 .50283 L
.64425 .50725 L
.64254 .50934 L
.64034 .51208 L
.63771 .51592 L
.63664 .51691 L
.63294 .52174 L
.63288 .52185 L
.62979 .52658 L
.62804 .52804 L
.62522 .53141 L
.62321 .53431 L
.62122 .53624 L
.61838 .5409 L
.61707 .54107 L
.61355 .54499 L
.60891 .54107 L
.61015 .53624 L
.61355 .53321 L
.61466 .53141 L
.61783 .52658 L
.61838 .52569 L
.62121 .52174 L
.62321 .51806 L
.62457 .51691 L
.62804 .51208 L
.62804 .51208 L
.6323 .50725 L
.63288 .50531 L
.6346 .50242 L
.63771 .49847 L
.63868 .49758 L
.64225 .49275 L
.64254 .49242 L
.64608 .48792 L
.64737 .48589 L
.64809 .48309 L
.6522 .47927 L
.65322 .47826 L
.65686 .47342 L
.65704 .47324 L
.6603 .46859 L
.66187 .46695 L
.66442 .46376 L
.6667 .46055 L
.66826 .45893 L
.67153 .45423 L
.67213 .4541 L
.67596 .44927 L
.67636 .44901 L
.68055 .44443 L
.68119 .44358 L
.6857 .4396 L
F
1 .8 .002 r
.67636 .43329 m
.67973 .43477 L
.67769 .4396 L
.67636 .44191 L
.67489 .44443 L
.67179 .44927 L
.67153 .45003 L
.66967 .4541 L
.6667 .45694 L
.66532 .45893 L
.66194 .46376 L
.66187 .46387 L
.65847 .46859 L
.65704 .47093 L
.65492 .47342 L
.6522 .47713 L
.65135 .47826 L
.64752 .48309 L
.64737 .48368 L
.64468 .48792 L
.64254 .49036 L
.64047 .49275 L
.63771 .49715 L
.63681 .49758 L
.63315 .50242 L
.63288 .50278 L
.63047 .50725 L
.62804 .50915 L
.62548 .51208 L
.62321 .51569 L
.62156 .51691 L
.61838 .52087 L
.61755 .52174 L
.61355 .52633 L
.60912 .52174 L
.6113 .51691 L
.61355 .5145 L
.61508 .51208 L
.61835 .50725 L
.61838 .5072 L
.62195 .50242 L
.62321 .49989 L
.62358 .49758 L
.62804 .49356 L
.62863 .49275 L
.63211 .48792 L
.63288 .48693 L
.63552 .48309 L
.63771 .48017 L
.63933 .47826 L
.64254 .47357 L
.64296 .47342 L
.64686 .46859 L
.64737 .46763 L
.64943 .46376 L
.6522 .46115 L
.65411 .45893 L
.65704 .45467 L
.6579 .4541 L
.6617 .44927 L
.66187 .4491 L
.66578 .44443 L
.6667 .44322 L
.67008 .4396 L
.67153 .43739 L
.67488 .43477 L
F
1 .825 .004 r
.61355 .44233 m
.61749 .44443 L
.61362 .44927 L
.61355 .44937 L
.6092 .44927 L
.61215 .44443 L
F
.021 .875 1 r
.61355 .42388 m
.61766 .42511 L
.61395 .42994 L
.61355 .43051 L
.60946 .42994 L
.61267 .42511 L
F
1 .875 .021 r
.69086 .4501 m
.69493 .4541 L
.69289 .45893 L
.69086 .46136 L
.68943 .46376 L
.68628 .46859 L
.68603 .46899 L
.68253 .47342 L
.68119 .47661 L
.68065 .47826 L
.67636 .48278 L
.67615 .48309 L
.67271 .48792 L
.67153 .48954 L
.66912 .49275 L
.6667 .49639 L
.66556 .49758 L
.66199 .50242 L
.66187 .50254 L
.65773 .50725 L
.65704 .50905 L
.65538 .51208 L
.6522 .51569 L
.65109 .51691 L
.64748 .52174 L
.64737 .52184 L
.64374 .52658 L
.64254 .52817 L
.64176 .53141 L
.63771 .53466 L
.6363 .53624 L
.63288 .54091 L
.63258 .54107 L
.62903 .5459 L
.62804 .54672 L
.62472 .55073 L
.62321 .55275 L
.62054 .55557 L
.61838 .55875 L
.616 .5604 L
.61355 .56292 L
.60949 .5604 L
.61175 .55557 L
.61355 .55255 L
.6146 .55073 L
.61822 .5459 L
.61838 .54448 L
.62059 .54107 L
.62321 .53775 L
.62423 .53624 L
.62764 .53141 L
.62804 .53084 L
.63164 .52658 L
.63288 .52386 L
.63376 .52174 L
.63771 .51702 L
.63822 .51691 L
.64175 .51208 L
.64254 .51107 L
.64535 .50725 L
.64737 .50437 L
.64902 .50242 L
.6522 .49783 L
.65263 .49758 L
.65668 .49275 L
.65704 .49178 L
.6593 .48792 L
.66187 .48524 L
.66366 .48309 L
.6667 .47876 L
.66735 .47826 L
.67104 .47342 L
.67153 .47288 L
.67356 .46859 L
.67636 .46663 L
.67885 .46376 L
.68119 .46038 L
.68287 .45893 L
.68603 .45513 L
.68708 .4541 L
F
.002 .8 1 r
.68119 .44433 m
.68603 .44067 L
.68698 .44443 L
.68603 .44655 L
.68468 .44927 L
.682 .4541 L
.68119 .4563 L
.67892 .45893 L
.67636 .46273 L
.67568 .46376 L
.6718 .46859 L
.67153 .46998 L
.66937 .47342 L
.6667 .47741 L
.66546 .47826 L
.66197 .48309 L
.66187 .48322 L
.65813 .48792 L
.65704 .48994 L
.65604 .49275 L
.6522 .49676 L
.65119 .49758 L
.64761 .50242 L
.64737 .50269 L
.64414 .50725 L
.64254 .50918 L
.64021 .51208 L
.63771 .51578 L
.63649 .51691 L
.63288 .52166 L
.6328 .52174 L
.62953 .52658 L
.62804 .52778 L
.62498 .53141 L
.62321 .53399 L
.62089 .53624 L
.61838 .54069 L
.61655 .54107 L
.61355 .54428 L
.60957 .54107 L
.61066 .53624 L
.61355 .53384 L
.61501 .53141 L
.61812 .52658 L
.61838 .52614 L
.62139 .52174 L
.62321 .51831 L
.62476 .51691 L
.62804 .51231 L
.62821 .51208 L
.63236 .50725 L
.63288 .50551 L
.63471 .50242 L
.63771 .4986 L
.63881 .49758 L
.64238 .49275 L
.64254 .49257 L
.64617 .48792 L
.64737 .48604 L
.64817 .48309 L
.6522 .47941 L
.65336 .47826 L
.657 .47342 L
.65704 .47339 L
.66046 .46859 L
.66187 .46715 L
.6646 .46376 L
.6667 .46078 L
.6685 .45893 L
.67153 .45433 L
.67245 .4541 L
.67636 .44945 L
.67655 .44927 L
.68112 .44443 L
F
1 .775 .001 r
.67636 .43426 m
.6785 .43477 L
.67714 .4396 L
.67636 .44107 L
.6745 .44443 L
.67158 .44927 L
.67153 .44942 L
.66944 .4541 L
.6667 .45662 L
.66512 .45893 L
.66187 .46361 L
.66176 .46376 L
.65834 .46859 L
.65704 .47072 L
.65478 .47342 L
.6522 .47695 L
.65121 .47826 L
.64748 .48309 L
.64737 .48351 L
.64455 .48792 L
.64254 .4902 L
.64034 .49275 L
.63771 .49706 L
.63666 .49758 L
.63301 .50242 L
.63288 .50259 L
.63022 .50725 L
.62804 .50892 L
.62527 .51208 L
.62321 .51546 L
.62129 .51691 L
.61838 .5205 L
.61716 .52174 L
.61355 .52578 L
.6096 .52174 L
.61169 .51691 L
.61355 .515 L
.61537 .51208 L
.61838 .50756 L
.61859 .50725 L
.6221 .50242 L
.62321 .50017 L
.62365 .49758 L
.62804 .49378 L
.62879 .49275 L
.63227 .48792 L
.63288 .48712 L
.63564 .48309 L
.63771 .48035 L
.63947 .47826 L
.64254 .47363 L
.64311 .47342 L
.64695 .46859 L
.64737 .46782 L
.64959 .46376 L
.6522 .46136 L
.65429 .45893 L
.65704 .45482 L
.65812 .4541 L
.66187 .44939 L
.66198 .44927 L
.66609 .44443 L
.6667 .44363 L
.67052 .4396 L
.67153 .43803 L
.67579 .43477 L
F
0 .725 1 r
.6667 .42864 m
.66868 .42994 L
.66704 .43477 L
.6667 .43499 L
.664 .4396 L
.66187 .44305 L
.66095 .44443 L
.65802 .44927 L
.65704 .45089 L
.6544 .4541 L
.6522 .45722 L
.65095 .45893 L
.64749 .46376 L
.64737 .46399 L
.64484 .46859 L
.64254 .47107 L
.6403 .47342 L
.63771 .47696 L
.63667 .47826 L
.6331 .48309 L
.63288 .48336 L
.62926 .48792 L
.62804 .48993 L
.62539 .49275 L
.62321 .49561 L
.62147 .49758 L
.61838 .50145 L
.61745 .50242 L
.61355 .50688 L
.61002 .50242 L
.61266 .49758 L
.61355 .49578 L
.61596 .49275 L
.61838 .48921 L
.61926 .48792 L
.62282 .48309 L
.62321 .48212 L
.6251 .47826 L
.62804 .4748 L
.62957 .47342 L
.63288 .46892 L
.63313 .46859 L
.63671 .46376 L
.63771 .46239 L
.64042 .45893 L
.64254 .45568 L
.64418 .4541 L
.64737 .44996 L
.64796 .44927 L
.65161 .44443 L
.6522 .44393 L
.6559 .4396 L
.65704 .43792 L
.66025 .43477 L
.66187 .43292 L
.66527 .42994 L
F
1 .75 0 r
.67153 .43879 m
.67636 .43559 L
.67654 .4396 L
.67636 .43998 L
.67409 .44443 L
.67153 .44887 L
.67128 .44927 L
.66916 .4541 L
.6667 .4563 L
.66492 .45893 L
.66187 .46336 L
.66158 .46376 L
.6582 .46859 L
.65704 .4705 L
.65464 .47342 L
.6522 .47676 L
.65108 .47826 L
.64744 .48309 L
.64737 .48334 L
.64442 .48792 L
.64254 .49003 L
.64021 .49275 L
.63771 .49696 L
.63652 .49758 L
.63288 .5024 L
.63286 .50242 L
.62995 .50725 L
.62804 .50868 L
.62507 .51208 L
.62321 .5152 L
.62101 .51691 L
.61838 .52012 L
.61674 .52174 L
.61355 .5252 L
.6101 .52174 L
.61216 .51691 L
.61355 .51552 L
.61565 .51208 L
.61838 .50792 L
.61883 .50725 L
.62225 .50242 L
.62321 .50046 L
.62373 .49758 L
.62804 .49401 L
.62895 .49275 L
.63242 .48792 L
.63288 .48732 L
.63576 .48309 L
.63771 .48053 L
.63962 .47826 L
.64254 .4737 L
.64326 .47342 L
.64704 .46859 L
.64737 .468 L
.64977 .46376 L
.6522 .46157 L
.65447 .45893 L
.65704 .45499 L
.65834 .4541 L
.66187 .4497 L
.66227 .44927 L
.66641 .44443 L
.6667 .44405 L
.67101 .4396 L
F
.001 .775 1 r
.68119 .44508 m
.68412 .44927 L
.6816 .4541 L
.68119 .45526 L
.67862 .45893 L
.67636 .46234 L
.67543 .46376 L
.67174 .46859 L
.67153 .46967 L
.66923 .47342 L
.6667 .47725 L
.66531 .47826 L
.66187 .48304 L
.66183 .48309 L
.65804 .48792 L
.65704 .48977 L
.65596 .49275 L
.6522 .49665 L
.65107 .49758 L
.64749 .50242 L
.64737 .50255 L
.64402 .50725 L
.64254 .50902 L
.64008 .51208 L
.63771 .51563 L
.63633 .51691 L
.63288 .52144 L
.63262 .52174 L
.62924 .52658 L
.62804 .52753 L
.62473 .53141 L
.62321 .53366 L
.62053 .53624 L
.61838 .54036 L
.61596 .54107 L
.61355 .5435 L
.61029 .54107 L
.61137 .53624 L
.61355 .53452 L
.61535 .53141 L
.61838 .52662 L
.61841 .52658 L
.62158 .52174 L
.62321 .51859 L
.62495 .51691 L
.62804 .51255 L
.62838 .51208 L
.63242 .50725 L
.63288 .5057 L
.63481 .50242 L
.63771 .49873 L
.63894 .49758 L
.6425 .49275 L
.64254 .49271 L
.64626 .48792 L
.64737 .4862 L
.64826 .48309 L
.6522 .47955 L
.65349 .47826 L
.65704 .47357 L
.65715 .47342 L
.66064 .46859 L
.66187 .46736 L
.66479 .46376 L
.6667 .46103 L
.66874 .45893 L
.67153 .45446 L
.67278 .4541 L
.67636 .44992 L
.67705 .44927 L
F
.045 .9 1 r
.70052 .45635 m
.70459 .45893 L
.70244 .46376 L
.70052 .46702 L
.69965 .46859 L
.69669 .47342 L
.69569 .47521 L
.69337 .47826 L
.69086 .48197 L
.69012 .48309 L
.68675 .48792 L
.68603 .48888 L
.68229 .49275 L
.68119 .49583 L
.68009 .49758 L
.67636 .50237 L
.67618 .50242 L
.67267 .50725 L
.67153 .50866 L
.66869 .51208 L
.6667 .51535 L
.66659 .51691 L
.66187 .52171 L
.66181 .52174 L
.65711 .52658 L
.65704 .52798 L
.6548 .53141 L
.6522 .53458 L
.65087 .53624 L
.64737 .54095 L
.64723 .54107 L
.64327 .5459 L
.64254 .54703 L
.64081 .55073 L
.63771 .55347 L
.63599 .55557 L
.63288 .55978 L
.63221 .5604 L
.62843 .56523 L
.62804 .56553 L
.62425 .57006 L
.62321 .57132 L
.61987 .57489 L
.61838 .57684 L
.61479 .57973 L
.61355 .58193 L
.61034 .57973 L
.61191 .57489 L
.61355 .57184 L
.61451 .57006 L
.61782 .56523 L
.61838 .56295 L
.61983 .5604 L
.62321 .55655 L
.62387 .55557 L
.62721 .55073 L
.62804 .54948 L
.63095 .5459 L
.63288 .54229 L
.63422 .54107 L
.63771 .5363 L
.63776 .53624 L
.64231 .53141 L
.64254 .52965 L
.6446 .52658 L
.64737 .52287 L
.64852 .52174 L
.6521 .51691 L
.6522 .51679 L
.65604 .51208 L
.65704 .5103 L
.65831 .50725 L
.66187 .50366 L
.66305 .50242 L
.66665 .49758 L
.6667 .49753 L
.67016 .49275 L
.67153 .49119 L
.6741 .48792 L
.67636 .48468 L
.67783 .48309 L
.68119 .47841 L
.68152 .47826 L
.68493 .47342 L
.68603 .47259 L
.68936 .46859 L
.69086 .46652 L
.69352 .46376 L
.69569 .46048 L
.69802 .45893 L
F
0 .7 1 r
.66187 .4335 m
.66624 .43477 L
.66364 .4396 L
.66187 .44256 L
.66066 .44443 L
.65774 .44927 L
.65704 .45043 L
.6542 .4541 L
.6522 .45695 L
.65076 .45893 L
.64737 .46374 L
.64736 .46376 L
.64463 .46859 L
.64254 .47084 L
.64014 .47342 L
.63771 .47675 L
.6365 .47826 L
.63291 .48309 L
.63288 .48313 L
.62909 .48792 L
.62804 .48966 L
.62518 .49275 L
.62321 .49532 L
.62119 .49758 L
.61838 .50107 L
.61707 .50242 L
.61355 .50634 L
.61046 .50242 L
.61307 .49758 L
.61355 .49661 L
.61624 .49275 L
.61838 .48958 L
.6195 .48792 L
.62294 .48309 L
.62321 .48244 L
.62529 .47826 L
.62804 .47503 L
.62976 .47342 L
.63288 .46917 L
.63332 .46859 L
.63687 .46376 L
.63771 .46264 L
.64061 .45893 L
.64254 .4559 L
.64439 .4541 L
.64737 .45024 L
.6482 .44927 L
.652 .44443 L
.6522 .44426 L
.65622 .4396 L
.65704 .43838 L
.66072 .43477 L
F
1 .725 0 r
.6667 .44449 m
.67095 .44927 L
.66885 .4541 L
.6667 .45596 L
.66471 .45893 L
.66187 .4631 L
.66139 .46376 L
.65806 .46859 L
.65704 .47027 L
.65449 .47342 L
.6522 .47658 L
.65094 .47826 L
.64739 .48309 L
.64737 .48316 L
.64427 .48792 L
.64254 .48985 L
.64008 .49275 L
.63771 .49684 L
.63637 .49758 L
.63288 .5022 L
.63269 .50242 L
.62966 .50725 L
.62804 .50843 L
.62485 .51208 L
.62321 .51491 L
.62071 .51691 L
.61838 .51972 L
.61627 .52174 L
.61355 .52456 L
.61065 .52174 L
.61271 .51691 L
.61355 .5161 L
.61594 .51208 L
.61838 .50831 L
.61907 .50725 L
.62241 .50242 L
.62321 .50077 L
.62384 .49758 L
.62804 .49425 L
.62912 .49275 L
.63258 .48792 L
.63288 .48752 L
.63589 .48309 L
.63771 .48071 L
.63976 .47826 L
.64254 .47377 L
.64341 .47342 L
.64714 .46859 L
.64737 .46819 L
.64996 .46376 L
.6522 .46178 L
.65466 .45893 L
.65704 .45517 L
.65857 .4541 L
.66187 .45001 L
.66257 .44927 L
F
1 .85 .01 r
.69086 .45112 m
.69404 .4541 L
.69222 .45893 L
.69086 .4605 L
.68899 .46376 L
.68603 .46842 L
.68592 .46859 L
.68234 .47342 L
.68119 .47626 L
.68057 .47826 L
.67636 .48251 L
.67596 .48309 L
.67254 .48792 L
.67153 .48932 L
.669 .49275 L
.6667 .49624 L
.66542 .49758 L
.66187 .5024 L
.66185 .50242 L
.65767 .50725 L
.65704 .50889 L
.65529 .51208 L
.6522 .51555 L
.65097 .51691 L
.64737 .52174 L
.64735 .52174 L
.64362 .52658 L
.64254 .52799 L
.64163 .53141 L
.63771 .53446 L
.63611 .53624 L
.63288 .54079 L
.63234 .54107 L
.62868 .5459 L
.62804 .54641 L
.62438 .55073 L
.62321 .55229 L
.62002 .55557 L
.61838 .55807 L
.615 .5604 L
.61355 .56173 L
.61076 .5604 L
.61245 .55557 L
.61355 .55357 L
.6151 .55073 L
.61829 .5459 L
.61838 .54518 L
.62083 .54107 L
.62321 .53812 L
.62447 .53624 L
.62785 .53141 L
.62804 .53113 L
.63175 .52658 L
.63288 .52407 L
.63384 .52174 L
.63771 .51707 L
.63836 .51691 L
.64188 .51208 L
.64254 .51123 L
.64545 .50725 L
.64737 .50452 L
.64913 .50242 L
.6522 .4979 L
.65275 .49758 L
.65673 .49275 L
.65704 .49193 L
.65942 .48792 L
.66187 .48541 L
.66381 .48309 L
.6667 .4789 L
.66752 .47826 L
.67122 .47342 L
.67153 .47309 L
.6739 .46859 L
.67636 .46694 L
.67915 .46376 L
.68119 .46076 L
.68331 .45893 L
.68603 .45574 L
.68782 .4541 L
F
1 .725 0 r
.61355 .4786 m
.61737 .48309 L
.61355 .4875 L
.61086 .48309 L
F
0 .675 1 r
.61355 .49759 m
.61663 .50242 L
.61355 .50575 L
.61095 .50242 L
F
0 .75 1 r
.67636 .4504 m
.68116 .4541 L
.67832 .45893 L
.67636 .46193 L
.67519 .46376 L
.67168 .46859 L
.67153 .46935 L
.66908 .47342 L
.6667 .47706 L
.66516 .47826 L
.66187 .48284 L
.66169 .48309 L
.65795 .48792 L
.65704 .4896 L
.65587 .49275 L
.6522 .49653 L
.65095 .49758 L
.64737 .50241 L
.64737 .50242 L
.6439 .50725 L
.64254 .50886 L
.63994 .51208 L
.63771 .51547 L
.63618 .51691 L
.63288 .52123 L
.63243 .52174 L
.62894 .52658 L
.62804 .52726 L
.62448 .53141 L
.62321 .5333 L
.62016 .53624 L
.61838 .53986 L
.61524 .54107 L
.61355 .54264 L
.61114 .54107 L
.61231 .53624 L
.61355 .53529 L
.6157 .53141 L
.61838 .52707 L
.61869 .52658 L
.62177 .52174 L
.62321 .51891 L
.62514 .51691 L
.62804 .51279 L
.62855 .51208 L
.63248 .50725 L
.63288 .50591 L
.63492 .50242 L
.63771 .49888 L
.63907 .49758 L
.64254 .49287 L
.64263 .49275 L
.64636 .48792 L
.64737 .48636 L
.64835 .48309 L
.6522 .4797 L
.65363 .47826 L
.65704 .47375 L
.65731 .47342 L
.66083 .46859 L
.66187 .46757 L
.66498 .46376 L
.6667 .46128 L
.66899 .45893 L
.67153 .45463 L
.67313 .4541 L
F
1 .7 0 r
.6667 .44492 m
.6706 .44927 L
.6685 .4541 L
.6667 .45561 L
.6645 .45893 L
.66187 .46283 L
.66121 .46376 L
.65792 .46859 L
.65704 .47002 L
.65435 .47342 L
.6522 .47639 L
.6508 .47826 L
.64737 .48298 L
.64729 .48309 L
.64412 .48792 L
.64254 .48967 L
.63994 .49275 L
.63771 .49672 L
.63622 .49758 L
.63288 .502 L
.63252 .50242 L
.62933 .50725 L
.62804 .50818 L
.62463 .51208 L
.62321 .51459 L
.6204 .51691 L
.61838 .51931 L
.61571 .52174 L
.61355 .52386 L
.61127 .52174 L
.61336 .51691 L
.61355 .51673 L
.61623 .51208 L
.61838 .50871 L
.61932 .50725 L
.62257 .50242 L
.62321 .5011 L
.62397 .49758 L
.62804 .49448 L
.62928 .49275 L
.63274 .48792 L
.63288 .48773 L
.63603 .48309 L
.63771 .48091 L
.6399 .47826 L
.64254 .47386 L
.64356 .47342 L
.64725 .46859 L
.64737 .46838 L
.65017 .46376 L
.6522 .462 L
.65485 .45893 L
.65704 .45537 L
.65881 .4541 L
.66187 .45033 L
.66288 .44927 L
F
.61355 .47928 m
.61689 .48309 L
.61355 .48685 L
.61136 .48309 L
F
0 .75 1 r
.61355 .46033 m
.61756 .46376 L
.61355 .46858 L
.61138 .46376 L
F
0 .65 1 r
.61355 .49827 m
.61613 .50242 L
.61355 .50508 L
.61148 .50242 L
F
1 .675 0 r
.61355 .48007 m
.61633 .48309 L
.61355 .48608 L
.61193 .48309 L
F
.61355 .51758 m
.61502 .52174 L
.61355 .52303 L
.61202 .52174 L
F
0 .725 1 r
.61355 .46124 m
.61691 .46376 L
.61355 .46769 L
.61203 .46376 L
F
0 .625 1 r
.61355 .49911 m
.61552 .50242 L
.61355 .50429 L
.6121 .50242 L
F
0 .725 1 r
.67636 .4509 m
.6807 .4541 L
.678 .45893 L
.67636 .46151 L
.67494 .46376 L
.67162 .46859 L
.67153 .469 L
.66892 .47342 L
.6667 .47686 L
.66501 .47826 L
.66187 .48265 L
.66154 .48309 L
.65786 .48792 L
.65704 .48943 L
.65577 .49275 L
.6522 .4964 L
.65083 .49758 L
.64737 .50225 L
.64724 .50242 L
.64377 .50725 L
.64254 .50869 L
.63981 .51208 L
.63771 .51531 L
.63602 .51691 L
.63288 .52101 L
.63224 .52174 L
.6286 .52658 L
.62804 .527 L
.62421 .53141 L
.62321 .53292 L
.61975 .53624 L
.61838 .53919 L
.61424 .54107 L
.61355 .54159 L
.61233 .54107 L
.61352 .53624 L
.61355 .53622 L
.61607 .53141 L
.61838 .52755 L
.61898 .52658 L
.62198 .52174 L
.62321 .51928 L
.62533 .51691 L
.62804 .51304 L
.62872 .51208 L
.63254 .50725 L
.63288 .50612 L
.63503 .50242 L
.63771 .49903 L
.6392 .49758 L
.64254 .49304 L
.64276 .49275 L
.64646 .48792 L
.64737 .48653 L
.64846 .48309 L
.6522 .47985 L
.65377 .47826 L
.65704 .47394 L
.65747 .47342 L
.66102 .46859 L
.66187 .46778 L
.66518 .46376 L
.6667 .46154 L
.66924 .45893 L
.67153 .45485 L
.6735 .4541 L
F
1 .95 .212 r
.71019 .46209 m
.71371 .46376 L
.71224 .46859 L
.71019 .4725 L
.70972 .47342 L
.70613 .47826 L
.70535 .4818 L
.7043 .48309 L
.70055 .48792 L
.70052 .48795 L
.6973 .49275 L
.69569 .49506 L
.69332 .49758 L
.69086 .50199 L
.6903 .50242 L
.68682 .50725 L
.68603 .50816 L
.68166 .51208 L
.68119 .51488 L
.67966 .51691 L
.67636 .52145 L
.67605 .52174 L
.6725 .52658 L
.67153 .52762 L
.66814 .53141 L
.6667 .53425 L
.66584 .53624 L
.66187 .54077 L
.66158 .54107 L
.65798 .5459 L
.65704 .54684 L
.65424 .55073 L
.6522 .55342 L
.6506 .55557 L
.64737 .55991 L
.64693 .5604 L
.6428 .56523 L
.64254 .56584 L
.64005 .57006 L
.63771 .57223 L
.63565 .57489 L
.63288 .57853 L
.63179 .57973 L
.62804 .58446 L
.62787 .58456 L
.62419 .58939 L
.62321 .58986 L
.61897 .59422 L
.61838 .59489 L
.61355 .59817 L
.61242 .59422 L
.61355 .59158 L
.61459 .58939 L
.61747 .58456 L
.61838 .58285 L
.61882 .57973 L
.62321 .57542 L
.62355 .57489 L
.62684 .57006 L
.62804 .56807 L
.63028 .56523 L
.63288 .56174 L
.63382 .5604 L
.63732 .55557 L
.63771 .55505 L
.64159 .55073 L
.64254 .54823 L
.64385 .5459 L
.64737 .54142 L
.64808 .54107 L
.65165 .53624 L
.6522 .53553 L
.65537 .53141 L
.65704 .52887 L
.65727 .52658 L
.66187 .52223 L
.66255 .52174 L
.66662 .51691 L
.6667 .51623 L
.66936 .51208 L
.67153 .50967 L
.67352 .50725 L
.67636 .50311 L
.67716 .50242 L
.68083 .49758 L
.68119 .49711 L
.68349 .49275 L
.68603 .49071 L
.68834 .48792 L
.69086 .48427 L
.6921 .48309 L
.69569 .47844 L
.69586 .47826 L
.6999 .47342 L
.70052 .47261 L
.70422 .46859 L
.70535 .46701 L
.70918 .46376 L
F
1 .65 0 r
.61355 .48108 m
.61561 .48309 L
.61355 .48509 L
.61261 .48309 L
F
0 .7 1 r
.61355 .46242 m
.61605 .46376 L
.61355 .46649 L
.61281 .46376 L
F
0 .6 1 r
.61355 .50028 m
.61464 .50242 L
.61355 .50323 L
.61292 .50242 L
F
1 .65 0 r
.61355 .51887 m
.61387 .52174 L
.61355 .52193 L
.61321 .52174 L
F
1 .825 .004 r
.69086 .45229 m
.69298 .4541 L
.69135 .45893 L
.69086 .45948 L
.68855 .46376 L
.68603 .46785 L
.68557 .46859 L
.68216 .47342 L
.68119 .47587 L
.68047 .47826 L
.67636 .48223 L
.67576 .48309 L
.67237 .48792 L
.67153 .4891 L
.66888 .49275 L
.6667 .49607 L
.66529 .49758 L
.66187 .50223 L
.66172 .50242 L
.65761 .50725 L
.65704 .50874 L
.65519 .51208 L
.6522 .51541 L
.65084 .51691 L
.64737 .52172 L
.64721 .52174 L
.6435 .52658 L
.64254 .52781 L
.64147 .53141 L
.63771 .53425 L
.63592 .53624 L
.63288 .54066 L
.6321 .54107 L
.62829 .5459 L
.62804 .54609 L
.62401 .55073 L
.62321 .5518 L
.61944 .55557 L
.61838 .55722 L
.61355 .56022 L
.61322 .55557 L
.61355 .55489 L
.61561 .55073 L
.61838 .54596 L
.61841 .5459 L
.62109 .54107 L
.62321 .53851 L
.62471 .53624 L
.62804 .53143 L
.62806 .53141 L
.63186 .52658 L
.63288 .5243 L
.63393 .52174 L
.63771 .51713 L
.6385 .51691 L
.64201 .51208 L
.64254 .51139 L
.64555 .50725 L
.64737 .50467 L
.64925 .50242 L
.6522 .49798 L
.65288 .49758 L
.65678 .49275 L
.65704 .49208 L
.65955 .48792 L
.66187 .48558 L
.66396 .48309 L
.6667 .47904 L
.66769 .47826 L
.67142 .47342 L
.67153 .4733 L
.67429 .46859 L
.67636 .46725 L
.67946 .46376 L
.68119 .46117 L
.68378 .45893 L
.68603 .45638 L
.68875 .4541 L
F
1 .8 .002 r
.61355 .44398 m
.61621 .44443 L
.61355 .44767 L
.61327 .44443 L
F
.021 .875 1 r
.70052 .45814 m
.70259 .45893 L
.70136 .46376 L
.70052 .46539 L
.69892 .46859 L
.69609 .47342 L
.69569 .4742 L
.69302 .47826 L
.69086 .48142 L
.68978 .48309 L
.68644 .48792 L
.68603 .48848 L
.68213 .49275 L
.68119 .49554 L
.67996 .49758 L
.67636 .50231 L
.676 .50242 L
.6725 .50725 L
.67153 .50846 L
.66857 .51208 L
.6667 .51517 L
.66657 .51691 L
.66187 .52162 L
.66167 .52174 L
.6571 .52658 L
.65704 .52781 L
.65468 .53141 L
.6522 .53439 L
.65071 .53624 L
.64737 .5408 L
.64705 .54107 L
.64314 .5459 L
.64254 .5468 L
.64059 .55073 L
.63771 .55317 L
.63572 .55557 L
.63288 .55946 L
.63185 .5604 L
.62804 .56509 L
.62791 .56523 L
.62365 .57006 L
.62321 .57058 L
.61887 .57489 L
.61838 .57552 L
.61355 .57801 L
.61328 .57489 L
.61355 .57419 L
.61537 .57006 L
.61816 .56523 L
.61838 .56428 L
.62016 .5604 L
.62321 .55712 L
.62422 .55557 L
.62751 .55073 L
.62804 .54991 L
.63113 .5459 L
.63288 .54254 L
.63441 .54107 L
.63771 .53654 L
.63793 .53624 L
.64234 .53141 L
.64254 .52985 L
.64471 .52658 L
.64737 .52301 L
.64865 .52174 L
.6522 .51694 L
.65222 .51691 L
.65612 .51208 L
.65704 .51045 L
.65841 .50725 L
.66187 .5038 L
.66319 .50242 L
.6667 .49759 L
.66679 .49758 L
.67032 .49275 L
.67153 .4914 L
.67428 .48792 L
.67636 .48492 L
.67806 .48309 L
.68119 .47855 L
.68181 .47826 L
.68544 .47342 L
.68603 .473 L
.68981 .46859 L
.69086 .46714 L
.69423 .46376 L
.69569 .46145 L
.69956 .45893 L
F
0 .675 1 r
.66187 .43411 m
.66551 .43477 L
.66326 .4396 L
.66187 .44201 L
.66035 .44443 L
.65743 .44927 L
.65704 .44992 L
.65399 .4541 L
.6522 .45668 L
.65057 .45893 L
.64737 .4635 L
.64717 .46376 L
.64442 .46859 L
.64254 .47059 L
.63998 .47342 L
.63771 .47653 L
.63633 .47826 L
.63288 .4829 L
.63272 .48309 L
.62891 .48792 L
.62804 .48938 L
.62496 .49275 L
.62321 .49503 L
.62091 .49758 L
.61838 .50069 L
.61355 .49758 L
.61653 .49275 L
.61838 .48997 L
.61975 .48792 L
.62308 .48309 L
.62321 .48279 L
.6255 .47826 L
.62804 .47529 L
.62995 .47342 L
.63288 .46942 L
.63351 .46859 L
.63705 .46376 L
.63771 .46289 L
.6408 .45893 L
.64254 .45615 L
.6446 .4541 L
.64737 .45052 L
.64845 .44927 L
.6522 .4446 L
.65236 .44443 L
.65656 .4396 L
.65704 .43888 L
.66125 .43477 L
F
1 .725 0 r
.6522 .42794 m
.65589 .42994 L
.65319 .43477 L
.6522 .43634 L
.65002 .4396 L
.64737 .44367 L
.64682 .44443 L
.64458 .44927 L
.64254 .45147 L
.6399 .4541 L
.63771 .45719 L
.63635 .45893 L
.63288 .46372 L
.63284 .46376 L
.62909 .46859 L
.62804 .47072 L
.62524 .47342 L
.62321 .47613 L
.62135 .47826 L
.61838 .48202 L
.61377 .47826 L
.61689 .47342 L
.61838 .47129 L
.62024 .46859 L
.62321 .46436 L
.62365 .46376 L
.62675 .45893 L
.62804 .45743 L
.63073 .4541 L
.63288 .45124 L
.63444 .44927 L
.63771 .44497 L
.63816 .44443 L
.64139 .4396 L
.64254 .43881 L
.64607 .43477 L
.64737 .4322 L
.65044 .42994 L
F
1 .675 0 r
.6667 .44538 m
.67024 .44927 L
.66809 .4541 L
.6667 .45525 L
.66429 .45893 L
.66187 .46255 L
.66102 .46376 L
.65776 .46859 L
.65704 .46977 L
.65421 .47342 L
.6522 .4762 L
.65066 .47826 L
.64737 .4828 L
.64715 .48309 L
.64397 .48792 L
.64254 .48948 L
.63981 .49275 L
.63771 .49658 L
.63606 .49758 L
.63288 .50179 L
.63234 .50242 L
.62899 .50725 L
.62804 .50792 L
.62441 .51208 L
.62321 .51423 L
.62007 .51691 L
.61838 .51888 L
.61389 .51691 L
.61654 .51208 L
.61838 .50913 L
.61956 .50725 L
.62274 .50242 L
.62321 .50146 L
.62414 .49758 L
.62804 .49472 L
.62944 .49275 L
.63288 .48794 L
.63289 .48792 L
.63617 .48309 L
.63771 .48111 L
.64005 .47826 L
.64254 .47396 L
.64371 .47342 L
.64736 .46859 L
.64737 .46857 L
.6504 .46376 L
.6522 .46223 L
.65504 .45893 L
.65704 .45559 L
.65905 .4541 L
.66187 .45065 L
.66322 .44927 L
F
0 .65 1 r
.65704 .43944 m
.66187 .43481 L
.66285 .4396 L
.66187 .44139 L
.66002 .44443 L
.65709 .44927 L
.65704 .44936 L
.65379 .4541 L
.6522 .4564 L
.65038 .45893 L
.64737 .46325 L
.64699 .46376 L
.64418 .46859 L
.64254 .47033 L
.63982 .47342 L
.63771 .47632 L
.63615 .47826 L
.63288 .48266 L
.63252 .48309 L
.62872 .48792 L
.62804 .48908 L
.62474 .49275 L
.62321 .49473 L
.6206 .49758 L
.61838 .50029 L
.61395 .49758 L
.61682 .49275 L
.61838 .49038 L
.62 .48792 L
.62321 .48314 L
.62325 .48309 L
.62573 .47826 L
.62804 .47557 L
.63014 .47342 L
.63288 .46967 L
.6337 .46859 L
.63724 .46376 L
.63771 .46315 L
.64099 .45893 L
.64254 .4564 L
.64482 .4541 L
.64737 .45081 L
.64871 .44927 L
.6522 .44495 L
.65269 .44443 L
.65693 .4396 L
F
.001 .775 1 r
.64254 .42159 m
.64613 .42511 L
.64311 .42994 L
.64254 .4308 L
.63973 .43477 L
.63771 .43776 L
.63632 .4396 L
.633 .44443 L
.63288 .44457 L
.62928 .44927 L
.62804 .45098 L
.62555 .4541 L
.62321 .45729 L
.62182 .45893 L
.61838 .46344 L
.61397 .45893 L
.61599 .4541 L
.61838 .45165 L
.62072 .44927 L
.62321 .44584 L
.62428 .44443 L
.62782 .4396 L
.62804 .43934 L
.63161 .43477 L
.63288 .43254 L
.63551 .42994 L
.63771 .42718 L
.63958 .42511 L
F
0 .7 1 r
.67636 .45142 m
.68021 .4541 L
.67768 .45893 L
.67636 .46105 L
.67468 .46376 L
.67154 .46859 L
.67153 .46864 L
.66875 .47342 L
.6667 .47663 L
.66486 .47826 L
.66187 .48245 L
.6614 .48309 L
.65777 .48792 L
.65704 .48925 L
.65566 .49275 L
.6522 .49627 L
.6507 .49758 L
.64737 .50209 L
.64711 .50242 L
.64364 .50725 L
.64254 .50852 L
.63967 .51208 L
.63771 .51514 L
.63586 .51691 L
.63288 .52079 L
.63204 .52174 L
.62824 .52658 L
.62804 .52672 L
.62394 .53141 L
.62321 .53251 L
.6193 .53624 L
.61838 .53829 L
.61419 .53624 L
.61644 .53141 L
.61838 .52807 L
.61928 .52658 L
.6222 .52174 L
.62321 .51969 L
.62552 .51691 L
.62804 .51329 L
.62889 .51208 L
.6326 .50725 L
.63288 .50633 L
.63516 .50242 L
.63771 .49918 L
.63933 .49758 L
.64254 .49321 L
.64289 .49275 L
.64656 .48792 L
.64737 .48669 L
.64858 .48309 L
.6522 .48 L
.65391 .47826 L
.65704 .47413 L
.65763 .47342 L
.66123 .46859 L
.66187 .46799 L
.66538 .46376 L
.6667 .46182 L
.6695 .45893 L
.67153 .45514 L
.6739 .4541 L
F
1 .7 0 r
.6522 .42866 m
.65518 .42994 L
.65279 .43477 L
.6522 .43574 L
.64968 .4396 L
.64737 .44323 L
.64651 .44443 L
.6441 .44927 L
.64254 .45095 L
.63967 .4541 L
.63771 .45688 L
.63611 .45893 L
.63288 .46341 L
.63259 .46376 L
.62886 .46859 L
.62804 .4703 L
.62498 .47342 L
.62321 .47577 L
.62101 .47826 L
.61838 .48157 L
.61419 .47826 L
.61723 .47342 L
.61838 .47175 L
.62054 .46859 L
.62321 .46476 L
.62394 .46376 L
.62709 .45893 L
.62804 .45784 L
.631 .4541 L
.63288 .4516 L
.63472 .44927 L
.63771 .44535 L
.63849 .44443 L
.64206 .4396 L
.64254 .43928 L
.64647 .43477 L
.64737 .43291 L
.65103 .42994 L
F
1 .8 .002 r
.68603 .45705 m
.69046 .45893 L
.6881 .46376 L
.68603 .46724 L
.68522 .46859 L
.68196 .47342 L
.68119 .47543 L
.68036 .47826 L
.67636 .48194 L
.67557 .48309 L
.67219 .48792 L
.67153 .48887 L
.66876 .49275 L
.6667 .4959 L
.66515 .49758 L
.66187 .50205 L
.66159 .50242 L
.65756 .50725 L
.65704 .50858 L
.65509 .51208 L
.6522 .51526 L
.65071 .51691 L
.64737 .5217 L
.64707 .52174 L
.64338 .52658 L
.64254 .52763 L
.6413 .53141 L
.63771 .53404 L
.63573 .53624 L
.63288 .54051 L
.63185 .54107 L
.62804 .54576 L
.62791 .5459 L
.62362 .55073 L
.62321 .55128 L
.61877 .55557 L
.61838 .55617 L
.61422 .55557 L
.61615 .55073 L
.61838 .54666 L
.61882 .5459 L
.62138 .54107 L
.62321 .53891 L
.62495 .53624 L
.62804 .53172 L
.62826 .53141 L
.63197 .52658 L
.63288 .52454 L
.63402 .52174 L
.63771 .51721 L
.63863 .51691 L
.64214 .51208 L
.64254 .51155 L
.64565 .50725 L
.64737 .50482 L
.64937 .50242 L
.6522 .49806 L
.653 .49758 L
.65683 .49275 L
.65704 .49223 L
.65969 .48792 L
.66187 .48575 L
.6641 .48309 L
.6667 .47919 L
.66787 .47826 L
.67153 .47354 L
.67163 .47342 L
.67473 .46859 L
.67636 .46757 L
.67979 .46376 L
.68119 .46162 L
.68431 .45893 L
F
0 .625 1 r
.6522 .4453 m
.6568 .44927 L
.65357 .4541 L
.6522 .4561 L
.65018 .45893 L
.64737 .463 L
.64679 .46376 L
.64392 .46859 L
.64254 .47005 L
.63965 .47342 L
.63771 .47609 L
.63597 .47826 L
.63288 .48243 L
.63232 .48309 L
.62853 .48792 L
.62804 .48877 L
.62451 .49275 L
.62321 .49442 L
.62028 .49758 L
.61838 .49986 L
.61437 .49758 L
.61712 .49275 L
.61838 .49081 L
.62025 .48792 L
.62321 .48348 L
.62348 .48309 L
.62599 .47826 L
.62804 .47588 L
.63033 .47342 L
.63288 .46993 L
.6339 .46859 L
.63744 .46376 L
.63771 .46341 L
.64119 .45893 L
.64254 .45668 L
.64504 .4541 L
.64737 .4511 L
.64898 .44927 L
F
1 .65 0 r
.6667 .44585 m
.66985 .44927 L
.66764 .4541 L
.6667 .45486 L
.66408 .45893 L
.66187 .46226 L
.66083 .46376 L
.6576 .46859 L
.65704 .4695 L
.65406 .47342 L
.6522 .47601 L
.65052 .47826 L
.64737 .48262 L
.647 .48309 L
.6438 .48792 L
.64254 .48929 L
.63967 .49275 L
.63771 .49642 L
.63591 .49758 L
.63288 .50158 L
.63215 .50242 L
.62861 .50725 L
.62804 .50765 L
.62417 .51208 L
.62321 .51384 L
.61971 .51691 L
.61838 .51843 L
.61438 .51691 L
.61685 .51208 L
.61838 .50957 L
.61982 .50725 L
.62293 .50242 L
.62321 .50184 L
.62433 .49758 L
.62804 .49496 L
.62961 .49275 L
.63288 .48816 L
.63305 .48792 L
.63632 .48309 L
.63771 .48131 L
.64019 .47826 L
.64254 .47407 L
.64386 .47342 L
.64737 .46877 L
.64752 .46859 L
.65064 .46376 L
.6522 .46246 L
.65523 .45893 L
.65704 .45584 L
.6593 .4541 L
.66187 .45098 L
.66357 .44927 L
F
0 .75 1 r
.62804 .43993 m
.63257 .44443 L
.62895 .44927 L
.62804 .45053 L
.62519 .4541 L
.62321 .4568 L
.62139 .45893 L
.61838 .46287 L
.61449 .45893 L
.61683 .4541 L
.61838 .45252 L
.62114 .44927 L
.62321 .44641 L
.62472 .44443 L
F
1 .85 .01 r
.62804 .42171 m
.63259 .42511 L
.62911 .42994 L
.62804 .43148 L
.6255 .43477 L
.62321 .43801 L
.62191 .4396 L
.61838 .44438 L
.61463 .4396 L
.61778 .43477 L
.61838 .43416 L
.62164 .42994 L
.62321 .42786 L
.62541 .42511 L
F
1 .675 0 r
.64254 .43977 m
.64619 .44443 L
.64355 .44927 L
.64254 .45036 L
.63943 .4541 L
.63771 .45655 L
.63586 .45893 L
.63288 .46309 L
.63232 .46376 L
.62863 .46859 L
.62804 .46984 L
.6247 .47342 L
.62321 .4754 L
.62065 .47826 L
.61838 .48109 L
.61464 .47826 L
.61758 .47342 L
.61838 .47225 L
.62085 .46859 L
.62321 .46518 L
.62424 .46376 L
.62747 .45893 L
.62804 .45828 L
.63127 .4541 L
.63288 .45196 L
.63501 .44927 L
.63771 .44574 L
.63882 .44443 L
F
0 .6 1 r
.6522 .44567 m
.6565 .44927 L
.65336 .4541 L
.6522 .4558 L
.64998 .45893 L
.64737 .46274 L
.6466 .46376 L
.64365 .46859 L
.64254 .46976 L
.63949 .47342 L
.63771 .47587 L
.63579 .47826 L
.63288 .48218 L
.63211 .48309 L
.62834 .48792 L
.62804 .48843 L
.62426 .49275 L
.62321 .4941 L
.61992 .49758 L
.61838 .4994 L
.61484 .49758 L
.61744 .49275 L
.61838 .49127 L
.62052 .48792 L
.62321 .48382 L
.62373 .48309 L
.62628 .47826 L
.62804 .47622 L
.63053 .47342 L
.63288 .47019 L
.6341 .46859 L
.63765 .46376 L
.63771 .46369 L
.64139 .45893 L
.64254 .45698 L
.64526 .4541 L
.64737 .4514 L
.64926 .44927 L
F
1 .625 0 r
.6667 .44636 m
.66944 .44927 L
.66712 .4541 L
.6667 .45444 L
.66386 .45893 L
.66187 .46197 L
.66063 .46376 L
.65742 .46859 L
.65704 .46922 L
.65392 .47342 L
.6522 .47581 L
.65038 .47826 L
.64737 .48243 L
.64686 .48309 L
.64362 .48792 L
.64254 .48909 L
.63953 .49275 L
.63771 .49625 L
.63575 .49758 L
.63288 .50136 L
.63196 .50242 L
.62821 .50725 L
.62804 .50736 L
.62392 .51208 L
.62321 .5134 L
.61931 .51691 L
.61838 .51794 L
.61495 .51691 L
.61718 .51208 L
.61838 .51005 L
.62008 .50725 L
.62313 .50242 L
.62321 .50225 L
.62455 .49758 L
.62804 .49521 L
.62978 .49275 L
.63288 .48838 L
.63322 .48792 L
.63648 .48309 L
.63771 .48152 L
.64034 .47826 L
.64254 .4742 L
.64402 .47342 L
.64737 .46898 L
.64769 .46859 L
.65091 .46376 L
.6522 .4627 L
.65543 .45893 L
.65704 .45611 L
.65956 .4541 L
.66187 .45132 L
.66397 .44927 L
F
0 .675 1 r
.67636 .45198 m
.67968 .4541 L
.67735 .45893 L
.67636 .46056 L
.67442 .46376 L
.67153 .46831 L
.67134 .46859 L
.66857 .47342 L
.6667 .47637 L
.6647 .47826 L
.66187 .48225 L
.66126 .48309 L
.65767 .48792 L
.65704 .48907 L
.65555 .49275 L
.6522 .49613 L
.65058 .49758 L
.64737 .50192 L
.64698 .50242 L
.6435 .50725 L
.64254 .50835 L
.63953 .51208 L
.63771 .51497 L
.6357 .51691 L
.63288 .52057 L
.63184 .52174 L
.62804 .52644 L
.62792 .52658 L
.62364 .53141 L
.62321 .53206 L
.61878 .53624 L
.61838 .53715 L
.61499 .53624 L
.61684 .53141 L
.61838 .52864 L
.61958 .52658 L
.62243 .52174 L
.62321 .52014 L
.62572 .51691 L
.62804 .51354 L
.62906 .51208 L
.63266 .50725 L
.63288 .50655 L
.63528 .50242 L
.63771 .49935 L
.63946 .49758 L
.64254 .49338 L
.64302 .49275 L
.64666 .48792 L
.64737 .48686 L
.64872 .48309 L
.6522 .48016 L
.65405 .47826 L
.65704 .47432 L
.65779 .47342 L
.66146 .46859 L
.66187 .46821 L
.66558 .46376 L
.6667 .4621 L
.66978 .45893 L
.67153 .4555 L
.67435 .4541 L
F
0 .725 1 r
.62804 .44053 m
.63213 .44443 L
.6286 .44927 L
.62804 .45005 L
.6248 .4541 L
.62321 .45627 L
.62091 .45893 L
.61838 .46223 L
.61506 .45893 L
.61789 .4541 L
.61838 .45361 L
.62159 .44927 L
.62321 .44702 L
.62517 .44443 L
F
1 .65 0 r
.64254 .44024 m
.64584 .44443 L
.64295 .44927 L
.64254 .44971 L
.63918 .4541 L
.63771 .45622 L
.6356 .45893 L
.63288 .46275 L
.63204 .46376 L
.62838 .46859 L
.62804 .46934 L
.62441 .47342 L
.62321 .47501 L
.62025 .47826 L
.61838 .48057 L
.61513 .47826 L
.61795 .47342 L
.61838 .47278 L
.62117 .46859 L
.62321 .46562 L
.62455 .46376 L
.62789 .45893 L
.62804 .45876 L
.63155 .4541 L
.63288 .45234 L
.63532 .44927 L
.63771 .44614 L
.63918 .44443 L
F
0 .575 1 r
.6522 .44605 m
.65618 .44927 L
.65313 .4541 L
.6522 .45548 L
.64978 .45893 L
.64737 .46246 L
.6464 .46376 L
.64336 .46859 L
.64254 .46944 L
.63932 .47342 L
.63771 .47564 L
.6356 .47826 L
.63288 .48193 L
.63189 .48309 L
.62814 .48792 L
.62804 .48808 L
.62401 .49275 L
.62321 .49376 L
.61953 .49758 L
.61838 .49891 L
.61536 .49758 L
.61777 .49275 L
.61838 .49176 L
.62079 .48792 L
.62321 .48419 L
.62397 .48309 L
.62661 .47826 L
.62804 .4766 L
.63073 .47342 L
.63288 .47046 L
.6343 .46859 L
.63771 .46396 L
.63787 .46376 L
.6416 .45893 L
.64254 .4573 L
.64549 .4541 L
.64737 .45171 L
.64955 .44927 L
F
1 .825 .004 r
.61838 .43539 m
.62118 .4396 L
.61838 .44344 L
.61547 .4396 L
F
1 .6 0 r
.62321 .50263 m
.62789 .50725 L
.62366 .51208 L
.62321 .51292 L
.61884 .51691 L
.61838 .5174 L
.61565 .51691 L
.61753 .51208 L
.61838 .51059 L
.62035 .50725 L
F
1 .625 0 r
.62804 .45921 m
.63174 .46376 L
.62813 .46859 L
.62804 .46878 L
.6241 .47342 L
.62321 .4746 L
.61981 .47826 L
.61838 .47999 L
.61569 .47826 L
.61835 .47342 L
.61838 .47337 L
.62151 .46859 L
.62321 .46608 L
.62488 .46376 L
F
0 .7 1 r
.61838 .45461 m
.62037 .45893 L
.61838 .46151 L
.6157 .45893 L
F
.212 .95 1 r
.71502 .47413 m
.71893 .47826 L
.71633 .48309 L
.71502 .48568 L
.71379 .48792 L
.71071 .49275 L
.71019 .49354 L
.70598 .49758 L
.70535 .50107 L
.70409 .50242 L
.7007 .50725 L
.70052 .50744 L
.69732 .51208 L
.69569 .51418 L
.69289 .51691 L
.69086 .52094 L
.69044 .52174 L
.68662 .52658 L
.68603 .52713 L
.68308 .53141 L
.68119 .53375 L
.67913 .53624 L
.67636 .54037 L
.67579 .54107 L
.67221 .5459 L
.67153 .54645 L
.66741 .55073 L
.6667 .55303 L
.6652 .55557 L
.66187 .55963 L
.66125 .5604 L
.65764 .56523 L
.65704 .56559 L
.65361 .57006 L
.6522 .57211 L
.65143 .57489 L
.64737 .57866 L
.64652 .57973 L
.64282 .58456 L
.64254 .58463 L
.63925 .58939 L
.63771 .59075 L
.63507 .59422 L
.63288 .59693 L
.63104 .59905 L
.62804 .60282 L
.6268 .60388 L
.62321 .60774 L
.622 .60872 L
.61838 .61165 L
.61584 .60872 L
.61774 .60388 L
.61838 .60288 L
.6205 .59905 L
.62321 .59477 L
.62355 .59422 L
.62754 .58939 L
.62804 .58681 L
.62972 .58456 L
.63288 .58072 L
.63357 .57973 L
.63702 .57489 L
.63771 .57388 L
.64095 .57006 L
.64254 .56683 L
.64307 .56523 L
.64737 .56088 L
.64773 .5604 L
.65128 .55557 L
.6522 .55428 L
.65473 .55073 L
.65704 .54749 L
.65856 .5459 L
.66187 .54143 L
.66214 .54107 L
.66612 .53624 L
.6667 .53495 L
.66858 .53141 L
.67153 .52828 L
.67309 .52658 L
.67636 .52185 L
.67668 .52174 L
.68025 .51691 L
.68119 .51576 L
.68229 .51208 L
.68603 .50919 L
.68776 .50725 L
.69086 .50275 L
.69138 .50242 L
.69479 .49758 L
.69569 .49683 L
.69897 .49275 L
.70052 .49052 L
.70286 .48792 L
.70535 .48423 L
.70682 .48309 L
.71019 .47904 L
.71099 .47826 L
F
0 .55 1 r
.62321 .48458 m
.62789 .48792 L
.62373 .49275 L
.62321 .49341 L
.61907 .49758 L
.61838 .49835 L
.616 .49758 L
.61812 .49275 L
.61838 .49232 L
.62107 .48792 L
F
.021 .875 1 r
.61838 .41741 m
.62106 .42027 L
.61838 .42425 L
.61627 .42027 L
F
.01 .85 1 r
.61838 .56576 m
.62291 .57006 L
.61838 .57404 L
.61631 .57006 L
F
1 .6 0 r
.61838 .47415 m
.61927 .47826 L
.61838 .47931 L
.61638 .47826 L
F
1 .925 .098 r
.61838 .58474 m
.62206 .58939 L
.61838 .59225 L
.61647 .58939 L
F
0 .675 1 r
.61838 .4556 m
.61969 .45893 L
.61838 .46063 L
.61648 .45893 L
F
1 .8 .002 r
.61838 .43673 m
.62025 .4396 L
.61838 .44223 L
.61648 .4396 L
F
.461 .975 1 r
.73434 .4843 m
.73908 .48792 L
.73727 .49275 L
.73458 .49758 L
.73434 .49803 L
.73185 .50242 L
.72951 .50652 L
.72831 .50725 L
.72533 .51208 L
.72468 .51286 L
.72205 .51691 L
.71985 .51985 L
.7174 .52174 L
.71502 .52647 L
.7149 .52658 L
.71148 .53141 L
.71019 .53281 L
.70795 .53624 L
.70535 .53953 L
.70371 .54107 L
.70062 .5459 L
.70052 .54591 L
.69713 .55073 L
.69569 .55219 L
.69352 .55557 L
.69086 .5589 L
.68964 .5604 L
.68618 .56523 L
.68603 .56542 L
.68264 .57006 L
.68119 .57141 L
.67793 .57489 L
.67636 .57818 L
.67557 .57973 L
.67168 .58456 L
.67153 .58474 L
.66809 .58939 L
.6667 .59053 L
.66407 .59422 L
.66187 .59737 L
.66074 .59905 L
.6571 .60388 L
.65704 .60396 L
.65235 .60872 L
.6522 .60951 L
.65004 .61355 L
.64737 .61635 L
.64599 .61838 L
.64254 .62287 L
.64227 .62321 L
.63831 .62804 L
.63771 .62822 L
.63557 .63288 L
.63288 .63449 L
.63035 .63771 L
.62804 .64029 L
.62584 .64254 L
.62321 .64544 L
.62009 .64737 L
.61838 .64843 L
.61653 .64737 L
.61682 .64254 L
.61838 .64069 L
.61989 .63771 L
.62276 .63288 L
.62321 .63184 L
.62622 .62804 L
.62804 .62506 L
.62927 .62321 L
.63271 .61838 L
.63288 .61812 L
.63748 .61355 L
.63771 .61086 L
.63957 .60872 L
.64254 .60498 L
.64333 .60388 L
.64688 .59905 L
.64737 .59835 L
.65101 .59422 L
.6522 .59144 L
.65326 .58939 L
.65704 .58549 L
.65774 .58456 L
.66132 .57973 L
.66187 .57895 L
.66488 .57489 L
.6667 .57219 L
.66863 .57006 L
.67153 .56542 L
.67223 .56523 L
.67615 .5604 L
.67636 .55964 L
.67884 .55557 L
.68119 .55297 L
.68316 .55073 L
.68603 .54631 L
.68675 .5459 L
.69033 .54107 L
.69086 .54037 L
.69275 .53624 L
.69569 .53378 L
.69773 .53141 L
.70052 .52718 L
.70131 .52658 L
.70474 .52174 L
.70535 .52119 L
.7087 .51691 L
.71019 .5147 L
.71242 .51208 L
.71502 .50818 L
.71607 .50725 L
.71964 .50242 L
.71985 .50228 L
.72372 .49758 L
.72468 .4962 L
.72781 .49275 L
.72951 .49024 L
.73221 .48792 L
F
1 .775 .001 r
.61838 .54746 m
.6232 .55073 L
.61838 .55508 L
.61672 .55073 L
F
0 .525 1 r
.61838 .49302 m
.61849 .49758 L
.61838 .49769 L
.61697 .49758 L
F
0 .65 1 r
.67636 .45259 m
.67906 .4541 L
.677 .45893 L
.67636 .46002 L
.67416 .46376 L
.67153 .46797 L
.67112 .46859 L
.66838 .47342 L
.6667 .47609 L
.66455 .47826 L
.66187 .48205 L
.66111 .48309 L
.65757 .48792 L
.65704 .48888 L
.65542 .49275 L
.6522 .49599 L
.65046 .49758 L
.64737 .50176 L
.64685 .50242 L
.64336 .50725 L
.64254 .50817 L
.6394 .51208 L
.63771 .51478 L
.63554 .51691 L
.63288 .52035 L
.63163 .52174 L
.62804 .52615 L
.62764 .52658 L
.62333 .53141 L
.62321 .53158 L
.61838 .53598 L
.61726 .53141 L
.61838 .52928 L
.61989 .52658 L
.62269 .52174 L
.62321 .52066 L
.62591 .51691 L
.62804 .5138 L
.62923 .51208 L
.63273 .50725 L
.63288 .50678 L
.63542 .50242 L
.63771 .49953 L
.63959 .49758 L
.64254 .49355 L
.64315 .49275 L
.64677 .48792 L
.64737 .48703 L
.64887 .48309 L
.6522 .48033 L
.65419 .47826 L
.65704 .47452 L
.65796 .47342 L
.6617 .46859 L
.66187 .46844 L
.66579 .46376 L
.6667 .4624 L
.67007 .45893 L
.67153 .45595 L
.67486 .4541 L
F
1 .75 0 r
.61838 .54845 m
.62254 .55073 L
.61838 .55398 L
.61737 .55073 L
F
.004 .825 1 r
.61838 .56738 m
.62175 .57006 L
.61838 .57226 L
.61743 .57006 L
F
1 .575 0 r
.61838 .47525 m
.61854 .47826 L
.61838 .47843 L
.61748 .47826 L
F
0 .65 1 r
.61838 .45716 m
.61869 .45893 L
.61838 .45933 L
.61771 .45893 L
F
0 .625 1 r
.61838 .53005 m
.62289 .53141 L
.61838 .53511 L
.61773 .53141 L
F
1 .575 0 r
.62321 .50299 m
.62763 .50725 L
.62338 .51208 L
.62321 .5124 L
.61838 .51678 L
.6179 .51208 L
.61838 .51119 L
.62063 .50725 L
F
1 .725 0 r
.61838 .54994 m
.62165 .55073 L
.61838 .5523 L
.61814 .55073 L
F
0 .6 1 r
.61838 .53108 m
.62229 .53141 L
.61838 .53382 L
.61825 .53141 L
F
1 .775 .001 r
.61838 .43932 m
.61849 .4396 L
.61838 .43981 L
.61827 .4396 L
F
1 .55 0 r
.61838 .51193 m
.62301 .51208 L
.61838 .51587 L
.61831 .51208 L
F
1 .925 .098 r
.70535 .469 m
.70825 .47342 L
.7056 .47826 L
.70535 .47965 L
.70383 .48309 L
.70052 .48697 L
.69994 .48792 L
.69678 .49275 L
.69569 .4944 L
.69296 .49758 L
.69086 .5017 L
.68998 .50242 L
.68652 .50725 L
.68603 .50782 L
.68153 .51208 L
.68119 .51458 L
.67948 .51691 L
.67636 .52126 L
.67585 .52174 L
.67231 .52658 L
.67153 .52741 L
.66801 .53141 L
.6667 .53403 L
.66575 .53624 L
.66187 .54057 L
.6614 .54107 L
.65779 .5459 L
.65704 .54664 L
.65407 .55073 L
.6522 .55315 L
.65038 .55557 L
.64737 .55962 L
.64666 .5604 L
.6427 .56523 L
.64254 .56557 L
.63967 .57006 L
.63771 .57174 L
.63517 .57489 L
.63288 .57789 L
.63113 .57973 L
.62804 .58392 L
.62688 .58456 L
.62321 .58847 L
.61847 .58456 L
.61933 .57973 L
.62321 .57645 L
.62418 .57489 L
.62734 .57006 L
.62804 .56881 L
.63058 .56523 L
.63288 .56219 L
.63413 .5604 L
.63759 .55557 L
.63771 .5554 L
.64171 .55073 L
.64254 .5485 L
.64398 .5459 L
.64737 .54153 L
.64825 .54107 L
.6518 .53624 L
.6522 .53572 L
.65549 .53141 L
.65704 .52905 L
.65733 .52658 L
.66187 .52235 L
.6627 .52174 L
.66664 .51691 L
.6667 .51641 L
.66951 .51208 L
.67153 .50988 L
.6737 .50725 L
.67636 .50329 L
.67736 .50242 L
.68102 .49758 L
.68119 .49736 L
.68386 .49275 L
.68603 .49107 L
.68868 .48792 L
.69086 .48471 L
.69257 .48309 L
.69569 .47916 L
.69654 .47826 L
.70052 .47366 L
.70077 .47342 L
F
0 .525 1 r
.62321 .48498 m
.62759 .48792 L
.62344 .49275 L
.62321 .49304 L
.61854 .49275 L
.62137 .48792 L
F
.01 .85 1 r
.69569 .46278 m
.70006 .46376 L
.69815 .46859 L
.69569 .47308 L
.69549 .47342 L
.69266 .47826 L
.69086 .48085 L
.68944 .48309 L
.68614 .48792 L
.68603 .48808 L
.682 .49275 L
.68119 .49525 L
.67983 .49758 L
.67636 .50224 L
.67582 .50242 L
.67233 .50725 L
.67153 .50825 L
.66845 .51208 L
.6667 .51499 L
.66655 .51691 L
.66187 .52153 L
.66153 .52174 L
.6571 .52658 L
.65704 .52764 L
.65456 .53141 L
.6522 .5342 L
.65055 .53624 L
.64737 .54065 L
.64687 .54107 L
.64302 .5459 L
.64254 .54659 L
.64034 .55073 L
.63771 .55287 L
.63544 .55557 L
.63288 .55912 L
.63147 .5604 L
.62804 .56455 L
.62737 .56523 L
.62321 .5698 L
.61867 .56523 L
.62059 .5604 L
.62321 .55773 L
.62458 .55557 L
.62781 .55073 L
.62804 .55036 L
.63131 .5459 L
.63288 .54281 L
.63461 .54107 L
.63771 .53678 L
.6381 .53624 L
.64237 .53141 L
.64254 .53005 L
.64482 .52658 L
.64737 .52316 L
.64878 .52174 L
.6522 .51711 L
.65236 .51691 L
.65621 .51208 L
.65704 .51062 L
.65852 .50725 L
.66187 .50395 L
.66332 .50242 L
.6667 .4976 L
.66695 .49758 L
.67048 .49275 L
.67153 .4916 L
.67446 .48792 L
.67636 .48516 L
.67829 .48309 L
.68119 .47871 L
.68212 .47826 L
.686 .47342 L
.68603 .47341 L
.69029 .46859 L
.69086 .46781 L
.69508 .46376 L
F
0 .7 1 r
.62804 .44119 m
.63165 .44443 L
.62823 .44927 L
.62804 .44952 L
.62437 .4541 L
.62321 .4557 L
.61875 .4541 L
.62208 .44927 L
.62321 .44767 L
.62567 .44443 L
F
1 .6 0 r
.62321 .46658 m
.62779 .46859 L
.62377 .47342 L
.62321 .47415 L
.61885 .47342 L
.62187 .46859 L
F
1 .825 .004 r
.62804 .42281 m
.63174 .42511 L
.6285 .42994 L
.62804 .43061 L
.62485 .43477 L
.62321 .43714 L
.61886 .43477 L
.62241 .42994 L
.62321 .42889 L
.62625 .42511 L
F
1 .775 .001 r
.68603 .45777 m
.68962 .45893 L
.68762 .46376 L
.68603 .46657 L
.68487 .46859 L
.68177 .47342 L
.68119 .47493 L
.68021 .47826 L
.67636 .48165 L
.67538 .48309 L
.67202 .48792 L
.67153 .48863 L
.66864 .49275 L
.6667 .49573 L
.66502 .49758 L
.66187 .50188 L
.66146 .50242 L
.6575 .50725 L
.65704 .50842 L
.65498 .51208 L
.6522 .51511 L
.65058 .51691 L
.64737 .52167 L
.64693 .52174 L
.64325 .52658 L
.64254 .52745 L
.6411 .53141 L
.63771 .53383 L
.63553 .53624 L
.63288 .54035 L
.6316 .54107 L
.62804 .5454 L
.62755 .5459 L
.62321 .55072 L
.61923 .5459 L
.6217 .54107 L
.62321 .53934 L
.6252 .53624 L
.62804 .53203 L
.62847 .53141 L
.63209 .52658 L
.63288 .52478 L
.63412 .52174 L
.63771 .51729 L
.63877 .51691 L
.64227 .51208 L
.64254 .51172 L
.64575 .50725 L
.64737 .50498 L
.64949 .50242 L
.6522 .49815 L
.65312 .49758 L
.65688 .49275 L
.65704 .49238 L
.65984 .48792 L
.66187 .48593 L
.66425 .48309 L
.6667 .47934 L
.66805 .47826 L
.67153 .47379 L
.67186 .47342 L
.67523 .46859 L
.67636 .4679 L
.68013 .46376 L
.68119 .46212 L
.68491 .45893 L
F
.004 .825 1 r
.69086 .46855 m
.69569 .46433 L
.69732 .46859 L
.69569 .47191 L
.69491 .47342 L
.69228 .47826 L
.69086 .48025 L
.6891 .48309 L
.68603 .48765 L
.68585 .48792 L
.68187 .49275 L
.68119 .49494 L
.6797 .49758 L
.67636 .50216 L
.67564 .50242 L
.67217 .50725 L
.67153 .50805 L
.66834 .51208 L
.6667 .5148 L
.66653 .51691 L
.66187 .52143 L
.66139 .52174 L
.65709 .52658 L
.65704 .52747 L
.65443 .53141 L
.6522 .53401 L
.6504 .53624 L
.64737 .5405 L
.64669 .54107 L
.64288 .5459 L
.64254 .54637 L
.64006 .55073 L
.63771 .55257 L
.63515 .55557 L
.63288 .55878 L
.63108 .5604 L
.62804 .564 L
.62677 .56523 L
.62321 .56897 L
.61937 .56523 L
.62113 .5604 L
.62321 .55838 L
.62494 .55557 L
.62804 .55083 L
.62811 .55073 L
.6315 .5459 L
.63288 .54313 L
.6348 .54107 L
.63771 .53703 L
.63828 .53624 L
.64239 .53141 L
.64254 .53026 L
.64494 .52658 L
.64737 .52332 L
.64891 .52174 L
.6522 .51728 L
.65249 .51691 L
.65629 .51208 L
.65704 .51078 L
.65863 .50725 L
.66187 .50411 L
.66346 .50242 L
.6667 .49762 L
.6671 .49758 L
.67065 .49275 L
.67153 .49181 L
.67465 .48792 L
.67636 .48541 L
.67852 .48309 L
.68119 .47889 L
.68244 .47826 L
.68603 .47387 L
.68646 .47342 L
.69083 .46859 L
F
0 .675 1 r
.62321 .44841 m
.62772 .44927 L
.62389 .4541 L
.62321 .45505 L
.61944 .4541 L
.62261 .44927 L
F
1 .575 0 r
.62321 .46713 m
.62737 .46859 L
.62339 .47342 L
.62321 .47366 L
.61945 .47342 L
.62226 .46859 L
F
1 .75 0 r
.68603 .45858 m
.68849 .45893 L
.68712 .46376 L
.68603 .46581 L
.6845 .46859 L
.68155 .47342 L
.68119 .47437 L
.68003 .47826 L
.67636 .48135 L
.67519 .48309 L
.67185 .48792 L
.67153 .48839 L
.66851 .49275 L
.6667 .49554 L
.66488 .49758 L
.66187 .5017 L
.66133 .50242 L
.65744 .50725 L
.65704 .50826 L
.65487 .51208 L
.6522 .51496 L
.65046 .51691 L
.64737 .52163 L
.64678 .52174 L
.64311 .52658 L
.64254 .52727 L
.64087 .53141 L
.63771 .53361 L
.63533 .53624 L
.63288 .54016 L
.63133 .54107 L
.62804 .54503 L
.62717 .5459 L
.62321 .55018 L
.61967 .5459 L
.62206 .54107 L
.62321 .53978 L
.62544 .53624 L
.62804 .53235 L
.62868 .53141 L
.6322 .52658 L
.63288 .52504 L
.63424 .52174 L
.63771 .5174 L
.63891 .51691 L
.6424 .51208 L
.64254 .51189 L
.64586 .50725 L
.64737 .50514 L
.6496 .50242 L
.6522 .49824 L
.65325 .49758 L
.65694 .49275 L
.65704 .49253 L
.65999 .48792 L
.66187 .48611 L
.6644 .48309 L
.6667 .47951 L
.66824 .47826 L
.67153 .47405 L
.67209 .47342 L
.67577 .46859 L
.67636 .46825 L
.6805 .46376 L
.68119 .46269 L
.68566 .45893 L
F
1 .9 .045 r
.70052 .47483 m
.7047 .47826 L
.70318 .48309 L
.70052 .48589 L
.69935 .48792 L
.69626 .49275 L
.69569 .49367 L
.69264 .49758 L
.69086 .50135 L
.68966 .50242 L
.68622 .50725 L
.68603 .50748 L
.68144 .51208 L
.68119 .51428 L
.67932 .51691 L
.67636 .52107 L
.67566 .52174 L
.67211 .52658 L
.67153 .5272 L
.66789 .53141 L
.6667 .5338 L
.66565 .53624 L
.66187 .54038 L
.66121 .54107 L
.65759 .5459 L
.65704 .54644 L
.6539 .55073 L
.6522 .55288 L
.65015 .55557 L
.64737 .55933 L
.64639 .5604 L
.64258 .56523 L
.64254 .56531 L
.63922 .57006 L
.63771 .57127 L
.63468 .57489 L
.63288 .57723 L
.63041 .57973 L
.62804 .58322 L
.62567 .58456 L
.62321 .58689 L
.61991 .58456 L
.62048 .57973 L
.62321 .57767 L
.62482 .57489 L
.62784 .57006 L
.62804 .56967 L
.6309 .56523 L
.63288 .56266 L
.63443 .5604 L
.63771 .55576 L
.63785 .55557 L
.64182 .55073 L
.64254 .54879 L
.64411 .5459 L
.64737 .54166 L
.64843 .54107 L
.65196 .53624 L
.6522 .53592 L
.6556 .53141 L
.65704 .52924 L
.6574 .52658 L
.66187 .52248 L
.66285 .52174 L
.66665 .51691 L
.6667 .51659 L
.66967 .51208 L
.67153 .51009 L
.67387 .50725 L
.67636 .50349 L
.67757 .50242 L
.68119 .49762 L
.68122 .49758 L
.68427 .49275 L
.68603 .49145 L
.68904 .48792 L
.69086 .48518 L
.69308 .48309 L
.69569 .47989 L
.69734 .47826 L
F
1 .8 .002 r
.62321 .43012 m
.62409 .43477 L
.62321 .43608 L
.61991 .43477 L
F
.021 .875 1 r
.62321 .41141 m
.62451 .41544 L
.62321 .41752 L
.62006 .41544 L
F
1 .95 .212 r
.62321 .39238 m
.62506 .39612 L
.62321 .39922 L
.62007 .39612 L
F
1 .725 0 r
.68119 .46331 m
.68603 .45963 L
.68656 .46376 L
.68603 .46488 L
.68413 .46859 L
.68131 .47342 L
.68119 .47374 L
.67981 .47826 L
.67636 .48105 L
.675 .48309 L
.67168 .48792 L
.67153 .48813 L
.66839 .49275 L
.6667 .49535 L
.66474 .49758 L
.66187 .50152 L
.6612 .50242 L
.65738 .50725 L
.65704 .50809 L
.65475 .51208 L
.6522 .5148 L
.65033 .51691 L
.64737 .52159 L
.64664 .52174 L
.64297 .52658 L
.64254 .52709 L
.64063 .53141 L
.63771 .53339 L
.63513 .53624 L
.63288 .53996 L
.63105 .54107 L
.62804 .54466 L
.62676 .5459 L
.62321 .54961 L
.62012 .5459 L
.62247 .54107 L
.62321 .54025 L
.62569 .53624 L
.62804 .53267 L
.62889 .53141 L
.63232 .52658 L
.63288 .52531 L
.63437 .52174 L
.63771 .51752 L
.63905 .51691 L
.64253 .51208 L
.64254 .51206 L
.64597 .50725 L
.64737 .5053 L
.64972 .50242 L
.6522 .49834 L
.65337 .49758 L
.65701 .49275 L
.65704 .49269 L
.66016 .48792 L
.66187 .48629 L
.66456 .48309 L
.6667 .47968 L
.66842 .47826 L
.67153 .47431 L
.67234 .47342 L
.67636 .4686 L
.67637 .46859 L
.68091 .46376 L
F
.002 .8 1 r
.69086 .46929 m
.69431 .47342 L
.69185 .47826 L
.69086 .47961 L
.68876 .48309 L
.68603 .48722 L
.68557 .48792 L
.68176 .49275 L
.68119 .49461 L
.67956 .49758 L
.67636 .50206 L
.67547 .50242 L
.672 .50725 L
.67153 .50784 L
.66822 .51208 L
.6667 .51461 L
.66649 .51691 L
.66187 .52133 L
.66124 .52174 L
.65708 .52658 L
.65704 .5273 L
.6543 .53141 L
.6522 .53382 L
.65024 .53624 L
.64737 .54035 L
.64651 .54107 L
.64273 .5459 L
.64254 .54616 L
.63975 .55073 L
.63771 .55226 L
.63486 .55557 L
.63288 .55841 L
.63066 .5604 L
.62804 .56344 L
.62609 .56523 L
.62321 .56806 L
.62014 .56523 L
.62183 .5604 L
.62321 .55911 L
.62531 .55557 L
.62804 .55129 L
.62841 .55073 L
.63169 .5459 L
.63288 .54347 L
.635 .54107 L
.63771 .53728 L
.63845 .53624 L
.64241 .53141 L
.64254 .53047 L
.64506 .52658 L
.64737 .52348 L
.64905 .52174 L
.6522 .51745 L
.65262 .51691 L
.65638 .51208 L
.65704 .51094 L
.65875 .50725 L
.66187 .50427 L
.6636 .50242 L
.6667 .49764 L
.66726 .49758 L
.67083 .49275 L
.67153 .49202 L
.67483 .48792 L
.67636 .48567 L
.67876 .48309 L
.68119 .47911 L
.68277 .47826 L
.68603 .47434 L
.68695 .47342 L
F
0 .625 1 r
.67636 .45327 m
.67829 .4541 L
.67663 .45893 L
.67636 .45941 L
.67389 .46376 L
.67153 .46761 L
.67089 .46859 L
.66817 .47342 L
.6667 .47577 L
.66439 .47826 L
.66187 .48185 L
.66097 .48309 L
.65747 .48792 L
.65704 .48869 L
.65529 .49275 L
.6522 .49583 L
.65033 .49758 L
.64737 .50159 L
.64671 .50242 L
.64321 .50725 L
.64254 .50799 L
.63925 .51208 L
.63771 .51459 L
.63537 .51691 L
.63288 .52012 L
.63142 .52174 L
.62804 .52586 L
.62734 .52658 L
.62321 .53113 L
.62021 .52658 L
.62296 .52174 L
.62321 .52123 L
.62611 .51691 L
.62804 .51407 L
.6294 .51208 L
.6328 .50725 L
.63288 .50701 L
.63556 .50242 L
.63771 .49971 L
.63972 .49758 L
.64254 .49372 L
.64329 .49275 L
.64688 .48792 L
.64737 .4872 L
.64903 .48309 L
.6522 .4805 L
.65433 .47826 L
.65704 .47471 L
.65813 .47342 L
.66187 .46867 L
.66193 .46859 L
.66601 .46376 L
.6667 .46272 L
.67038 .45893 L
.67153 .45649 L
.67547 .4541 L
F
0 .65 1 r
.62321 .44929 m
.62333 .4541 L
.62321 .45426 L
.62036 .4541 L
F
0 .6 1 r
.62321 .52182 m
.62702 .52658 L
.62321 .53068 L
.62055 .52658 L
F
1 .7 0 r
.67636 .46896 m
.68103 .47342 L
.67955 .47826 L
.67636 .48074 L
.6748 .48309 L
.67153 .48788 L
.6715 .48792 L
.66825 .49275 L
.6667 .49514 L
.66461 .49758 L
.66187 .50135 L
.66106 .50242 L
.65732 .50725 L
.65704 .50792 L
.65463 .51208 L
.6522 .51464 L
.6502 .51691 L
.64737 .52154 L
.6465 .52174 L
.64282 .52658 L
.64254 .5269 L
.64035 .53141 L
.63771 .53316 L
.63492 .53624 L
.63288 .53972 L
.63077 .54107 L
.62804 .54427 L
.62629 .5459 L
.62321 .54899 L
.62062 .5459 L
.62293 .54107 L
.62321 .54077 L
.62595 .53624 L
.62804 .53301 L
.6291 .53141 L
.63244 .52658 L
.63288 .5256 L
.6345 .52174 L
.63771 .51767 L
.63919 .51691 L
.64254 .51224 L
.64266 .51208 L
.64608 .50725 L
.64737 .50547 L
.64984 .50242 L
.6522 .49845 L
.6535 .49758 L
.65704 .49285 L
.65712 .49275 L
.66033 .48792 L
.66187 .48647 L
.66471 .48309 L
.6667 .47987 L
.66862 .47826 L
.67153 .47457 L
.67259 .47342 L
F
0 .575 1 r
.62321 .52228 m
.62668 .52658 L
.62321 .5302 L
.62091 .52658 L
F
1 .55 0 r
.62321 .50338 m
.62735 .50725 L
.62321 .5119 L
.62092 .50725 L
F
.001 .775 1 r
.69086 .47009 m
.69365 .47342 L
.69135 .47826 L
.69086 .4789 L
.68841 .48309 L
.68603 .48676 L
.68529 .48792 L
.68165 .49275 L
.68119 .49426 L
.67941 .49758 L
.67636 .50193 L
.67529 .50242 L
.67183 .50725 L
.67153 .50763 L
.66811 .51208 L
.6667 .51442 L
.66644 .51691 L
.66187 .52123 L
.6611 .52174 L
.65708 .52658 L
.65704 .52713 L
.65416 .53141 L
.6522 .53363 L
.65008 .53624 L
.64737 .54019 L
.64632 .54107 L
.64257 .5459 L
.64254 .54594 L
.6394 .55073 L
.63771 .55195 L
.63455 .55557 L
.63288 .55801 L
.63021 .5604 L
.62804 .56286 L
.62526 .56523 L
.62321 .56704 L
.62105 .56523 L
.62272 .5604 L
.62321 .55995 L
.62569 .55557 L
.62804 .55178 L
.62871 .55073 L
.63189 .5459 L
.63288 .54385 L
.6352 .54107 L
.63771 .53753 L
.63863 .53624 L
.64244 .53141 L
.64254 .53069 L
.64519 .52658 L
.64737 .52365 L
.64918 .52174 L
.6522 .51762 L
.65275 .51691 L
.65647 .51208 L
.65704 .51111 L
.65888 .50725 L
.66187 .50443 L
.66374 .50242 L
.6667 .49768 L
.66742 .49758 L
.67103 .49275 L
.67153 .49223 L
.67503 .48792 L
.67636 .48594 L
.67901 .48309 L
.68119 .47937 L
.68312 .47826 L
.68603 .47482 L
.68752 .47342 L
F
1 .675 0 r
.62321 .54138 m
.62576 .5459 L
.62321 .5483 L
.62117 .5459 L
F
1 .525 0 r
.62321 .5038 m
.62705 .50725 L
.62321 .51147 L
.62122 .50725 L
F
0 .55 1 r
.62321 .52279 m
.62629 .52658 L
.62321 .52967 L
.62129 .52658 L
F
1 .5 0 r
.62321 .50425 m
.62671 .50725 L
.62321 .511 L
.62154 .50725 L
F
0 .5 1 r
.62321 .48543 m
.62727 .48792 L
.62321 .49262 L
.62168 .48792 L
F
0 .525 1 r
.62321 .52338 m
.62585 .52658 L
.62321 .52908 L
.62172 .52658 L
F
.098 .925 1 r
.71019 .4813 m
.71403 .48309 L
.71211 .48792 L
.71019 .49131 L
.70942 .49275 L
.70554 .49758 L
.70535 .49982 L
.70347 .50242 L
.70052 .50657 L
.70008 .50725 L
.69678 .51208 L
.69569 .51354 L
.69249 .51691 L
.69086 .52051 L
.69027 .52174 L
.68627 .52658 L
.68603 .52681 L
.68278 .53141 L
.68119 .53339 L
.67889 .53624 L
.67636 .54006 L
.67554 .54107 L
.67194 .5459 L
.67153 .54623 L
.66729 .55073 L
.6667 .55271 L
.66501 .55557 L
.66187 .5593 L
.66098 .5604 L
.65733 .56523 L
.65704 .5654 L
.65337 .57006 L
.6522 .57168 L
.65119 .57489 L
.64737 .5781 L
.64603 .57973 L
.64254 .58428 L
.64221 .58456 L
.63844 .58939 L
.63771 .58993 L
.63407 .59422 L
.63288 .59561 L
.62949 .59905 L
.62804 .6009 L
.62366 .60388 L
.62321 .60419 L
.62175 .60388 L
.62241 .59905 L
.62321 .59743 L
.62487 .59422 L
.62789 .58939 L
.62804 .58857 L
.63028 .58456 L
.63288 .58157 L
.63412 .57973 L
.63747 .57489 L
.63771 .57453 L
.64121 .57006 L
.64254 .56726 L
.64319 .56523 L
.64737 .56124 L
.64799 .5604 L
.65151 .55557 L
.6522 .55458 L
.6549 .55073 L
.65704 .54774 L
.65876 .5459 L
.66187 .54168 L
.66234 .54107 L
.66621 .53624 L
.6667 .53519 L
.66876 .53141 L
.67153 .52851 L
.67329 .52658 L
.67636 .52194 L
.6769 .52174 L
.68047 .51691 L
.68119 .51606 L
.68262 .51208 L
.68603 .50955 L
.68808 .50725 L
.69086 .50303 L
.69181 .50242 L
.69547 .49758 L
.69569 .49741 L
.69959 .49275 L
.70052 .49141 L
.70381 .48792 L
.70535 .48547 L
.70845 .48309 L
F
1 .65 0 r
.62321 .54219 m
.6251 .5459 L
.62321 .54749 L
.62182 .5459 L
F
1 .475 0 r
.62321 .50476 m
.62633 .50725 L
.62321 .51047 L
.6219 .50725 L
F
1 .975 .461 r
.71985 .48599 m
.72446 .48792 L
.72265 .49275 L
.72001 .49758 L
.71985 .4979 L
.71641 .50242 L
.71502 .50568 L
.71471 .50725 L
.71082 .51208 L
.71019 .5129 L
.70754 .51691 L
.70535 .51999 L
.70368 .52174 L
.70052 .52655 L
.70048 .52658 L
.69706 .53141 L
.69569 .53302 L
.69215 .53624 L
.69086 .53975 L
.68993 .54107 L
.68627 .5459 L
.68603 .54603 L
.68274 .55073 L
.68119 .55246 L
.67847 .55557 L
.67636 .55913 L
.67605 .5604 L
.67181 .56523 L
.67153 .56528 L
.66821 .57006 L
.6667 .57165 L
.66451 .57489 L
.66187 .5783 L
.66082 .57973 L
.65716 .58456 L
.65704 .58472 L
.6529 .58939 L
.6522 .59059 L
.65044 .59422 L
.64737 .59709 L
.64588 .59905 L
.64254 .60335 L
.64204 .60388 L
.63815 .60872 L
.63771 .60899 L
.63522 .61355 L
.63288 .61461 L
.62927 .61838 L
.62804 .61975 L
.62321 .62319 L
.62199 .61838 L
.62321 .6158 L
.62436 .61355 L
.62741 .60872 L
.62804 .60739 L
.62926 .60388 L
.63288 .6001 L
.63358 .59905 L
.63692 .59422 L
.63771 .59292 L
.64047 .58939 L
.64254 .58538 L
.64394 .58456 L
.64737 .57986 L
.64747 .57973 L
.65176 .57489 L
.6522 .57308 L
.65411 .57006 L
.65704 .5661 L
.65826 .56523 L
.66181 .5604 L
.66187 .56033 L
.66558 .55557 L
.6667 .55371 L
.66774 .55073 L
.67153 .54693 L
.67274 .5459 L
.6763 .54107 L
.67636 .54099 L
.67966 .53624 L
.68119 .53449 L
.68369 .53141 L
.68603 .52783 L
.68734 .52658 L
.69086 .5218 L
.69091 .52174 L
.69397 .51691 L
.69569 .51546 L
.69845 .51208 L
.70052 .50895 L
.70221 .50725 L
.70535 .50258 L
.70594 .50242 L
.70936 .49758 L
.71019 .49711 L
.71405 .49275 L
.71502 .49134 L
.71869 .48792 L
F
0 .475 1 r
.62321 .48592 m
.62691 .48792 L
.62321 .49211 L
.62202 .48792 L
F
1 .875 .021 r
.70052 .47615 m
.70343 .47826 L
.70214 .48309 L
.70052 .48466 L
.69875 .48792 L
.69575 .49275 L
.69569 .49285 L
.69235 .49758 L
.69086 .50093 L
.68935 .50242 L
.68603 .50711 L
.68593 .50725 L
.68137 .51208 L
.68119 .51398 L
.67915 .51691 L
.67636 .52087 L
.67547 .52174 L
.67192 .52658 L
.67153 .527 L
.66777 .53141 L
.6667 .53357 L
.66555 .53624 L
.66187 .54019 L
.66103 .54107 L
.6574 .5459 L
.65704 .54625 L
.65373 .55073 L
.6522 .55261 L
.64992 .55557 L
.64737 .55904 L
.64611 .5604 L
.64254 .56517 L
.64231 .56523 L
.6387 .57006 L
.63771 .5708 L
.63415 .57489 L
.63288 .57655 L
.6296 .57973 L
.62804 .58219 L
.62378 .58456 L
.62321 .58493 L
.62214 .58456 L
.62259 .57973 L
.62321 .57926 L
.62548 .57489 L
.62804 .57055 L
.62834 .57006 L
.63123 .56523 L
.63288 .56316 L
.63473 .5604 L
.63771 .55613 L
.63811 .55557 L
.64194 .55073 L
.64254 .54909 L
.64425 .5459 L
.64737 .54181 L
.6486 .54107 L
.65212 .53624 L
.6522 .53613 L
.65573 .53141 L
.65704 .52944 L
.65749 .52658 L
.66187 .52261 L
.663 .52174 L
.66668 .51691 L
.6667 .51677 L
.66985 .51208 L
.67153 .5103 L
.67405 .50725 L
.67636 .50369 L
.67779 .50242 L
.68119 .49793 L
.68149 .49758 L
.68474 .49275 L
.68603 .49183 L
.68941 .48792 L
.69086 .4857 L
.69364 .48309 L
.69569 .48065 L
.69834 .47826 L
F
0 .5 1 r
.62321 .5241 m
.6253 .52658 L
.62321 .52836 L
.62221 .52658 L
F
1 .45 0 r
.62321 .50536 m
.62588 .50725 L
.62321 .50984 L
.62229 .50725 L
F
0 .75 1 r
.62321 .56116 m
.62401 .56523 L
.62321 .56575 L
.62236 .56523 L
F
0 .45 1 r
.62321 .48647 m
.62649 .48792 L
.62321 .49151 L
.62238 .48792 L
F
1 .55 0 r
.62321 .46776 m
.62687 .46859 L
.62321 .47302 L
.62268 .46859 L
F
1 .625 0 r
.62321 .54336 m
.62411 .5459 L
.62321 .54642 L
.62272 .5459 L
F
1 .425 0 r
.62321 .50614 m
.62531 .50725 L
.62321 .50901 L
.62274 .50725 L
F
0 .425 1 r
.62321 .48715 m
.62596 .48792 L
.62321 .49075 L
.6228 .48792 L
F
0 .475 1 r
.62321 .52515 m
.62451 .52658 L
.62321 .52737 L
.62283 .52658 L
F
1 .525 0 r
.62321 .46854 m
.62622 .46859 L
.62321 .47211 L
.62318 .46859 L
F
0 .6 1 r
.67153 .45715 m
.67621 .45893 L
.67361 .46376 L
.67153 .46723 L
.67066 .46859 L
.66795 .47342 L
.6667 .47543 L
.66423 .47826 L
.66187 .48164 L
.66082 .48309 L
.65736 .48792 L
.65704 .48849 L
.65514 .49275 L
.6522 .49567 L
.65021 .49758 L
.64737 .50142 L
.64658 .50242 L
.64305 .50725 L
.64254 .50781 L
.63911 .51208 L
.63771 .51439 L
.6352 .51691 L
.63288 .51989 L
.6312 .52174 L
.62804 .52556 L
.62326 .52174 L
.62631 .51691 L
.62804 .51435 L
.62958 .51208 L
.63288 .50726 L
.63288 .50725 L
.63571 .50242 L
.63771 .49991 L
.63985 .49758 L
.64254 .4939 L
.64342 .49275 L
.64699 .48792 L
.64737 .48738 L
.64921 .48309 L
.6522 .48068 L
.65448 .47826 L
.65704 .47491 L
.6583 .47342 L
.66187 .4689 L
.66215 .46859 L
.66623 .46376 L
.6667 .46306 L
.67071 .45893 L
F
1 .6 0 r
.66187 .45167 m
.66661 .4541 L
.66363 .45893 L
.66187 .46166 L
.66044 .46376 L
.65724 .46859 L
.65704 .46892 L
.65377 .47342 L
.6522 .47561 L
.65023 .47826 L
.64737 .48224 L
.64671 .48309 L
.64344 .48792 L
.64254 .48888 L
.63939 .49275 L
.63771 .49606 L
.63559 .49758 L
.63288 .50115 L
.63177 .50242 L
.62804 .50709 L
.62335 .50242 L
.62481 .49758 L
.62804 .49547 L
.62995 .49275 L
.63288 .4886 L
.63338 .48792 L
.63664 .48309 L
.63771 .48174 L
.64049 .47826 L
.64254 .47435 L
.64418 .47342 L
.64737 .46919 L
.64787 .46859 L
.6512 .46376 L
.6522 .46295 L
.65564 .45893 L
.65704 .45641 L
.65983 .4541 L
F
1 .675 0 r
.67636 .46932 m
.68071 .47342 L
.67924 .47826 L
.67636 .48041 L
.6746 .48309 L
.67153 .48763 L
.67132 .48792 L
.66811 .49275 L
.6667 .49493 L
.66447 .49758 L
.66187 .50117 L
.66093 .50242 L
.65725 .50725 L
.65704 .50775 L
.65449 .51208 L
.6522 .51448 L
.65006 .51691 L
.64737 .52148 L
.64635 .52174 L
.64266 .52658 L
.64254 .52671 L
.64004 .53141 L
.63771 .53292 L
.6347 .53624 L
.63288 .53945 L
.63046 .54107 L
.62804 .54387 L
.62339 .54107 L
.6262 .53624 L
.62804 .53336 L
.62931 .53141 L
.63258 .52658 L
.63288 .5259 L
.63466 .52174 L
.63771 .51784 L
.63933 .51691 L
.64254 .51242 L
.6428 .51208 L
.6462 .50725 L
.64737 .50564 L
.64997 .50242 L
.6522 .49857 L
.65363 .49758 L
.65704 .49302 L
.65726 .49275 L
.66051 .48792 L
.66187 .48667 L
.66487 .48309 L
.6667 .48007 L
.66881 .47826 L
.67153 .47484 L
.67285 .47342 L
F
0 .575 1 r
.67153 .45791 m
.67567 .45893 L
.67332 .46376 L
.67153 .46682 L
.67042 .46859 L
.6677 .47342 L
.6667 .47505 L
.66407 .47826 L
.66187 .48143 L
.66067 .48309 L
.65725 .48792 L
.65704 .48829 L
.65498 .49275 L
.6522 .49549 L
.65008 .49758 L
.64737 .50125 L
.64644 .50242 L
.64288 .50725 L
.64254 .50762 L
.63897 .51208 L
.63771 .51418 L
.63502 .51691 L
.63288 .51965 L
.63097 .52174 L
.62804 .52525 L
.62354 .52174 L
.62652 .51691 L
.62804 .51463 L
.62976 .51208 L
.63288 .50749 L
.63305 .50725 L
.63587 .50242 L
.63771 .50012 L
.63999 .49758 L
.64254 .49408 L
.64356 .49275 L
.64712 .48792 L
.64737 .48756 L
.6494 .48309 L
.6522 .48086 L
.65463 .47826 L
.65704 .47511 L
.65847 .47342 L
.66187 .46914 L
.66237 .46859 L
.66647 .46376 L
.6667 .46341 L
.67107 .45893 L
F
0 .75 1 r
.68603 .47533 m
.69077 .47826 L
.68806 .48309 L
.68603 .48629 L
.685 .48792 L
.68153 .49275 L
.68119 .49388 L
.67925 .49758 L
.67636 .50177 L
.67511 .50242 L
.67166 .50725 L
.67153 .50742 L
.668 .51208 L
.6667 .51423 L
.66638 .51691 L
.66187 .52112 L
.66096 .52174 L
.65707 .52658 L
.65704 .52696 L
.65402 .53141 L
.6522 .53344 L
.64992 .53624 L
.64737 .54002 L
.64613 .54107 L
.64254 .54569 L
.64235 .5459 L
.639 .55073 L
.63771 .55164 L
.63423 .55557 L
.63288 .55758 L
.62973 .5604 L
.62804 .56225 L
.62356 .5604 L
.62608 .55557 L
.62804 .5523 L
.62902 .55073 L
.6321 .5459 L
.63288 .54428 L
.6354 .54107 L
.63771 .53779 L
.6388 .53624 L
.64246 .53141 L
.64254 .53091 L
.64532 .52658 L
.64737 .52383 L
.64931 .52174 L
.6522 .51779 L
.65288 .51691 L
.65656 .51208 L
.65704 .51128 L
.65903 .50725 L
.66187 .5046 L
.66388 .50242 L
.6667 .49773 L
.66758 .49758 L
.67123 .49275 L
.67153 .49245 L
.67522 .48792 L
.67636 .48622 L
.67927 .48309 L
.68119 .47967 L
.68349 .47826 L
F
1 .575 0 r
.66187 .45204 m
.66626 .4541 L
.6634 .45893 L
.66187 .46133 L
.66023 .46376 L
.65705 .46859 L
.65704 .46861 L
.65362 .47342 L
.6522 .47541 L
.65009 .47826 L
.64737 .48205 L
.64656 .48309 L
.64324 .48792 L
.64254 .48867 L
.63925 .49275 L
.63771 .49586 L
.63542 .49758 L
.63288 .50093 L
.63157 .50242 L
.62804 .50681 L
.62359 .50242 L
.62511 .49758 L
.62804 .49573 L
.63012 .49275 L
.63288 .48883 L
.63355 .48792 L
.63681 .48309 L
.63771 .48197 L
.64064 .47826 L
.64254 .47452 L
.64434 .47342 L
.64737 .4694 L
.64805 .46859 L
.6515 .46376 L
.6522 .46321 L
.65585 .45893 L
.65704 .45674 L
.66011 .4541 L
F
1 .65 0 r
.67636 .4697 m
.68038 .47342 L
.67888 .47826 L
.67636 .48007 L
.6744 .48309 L
.67153 .48737 L
.67115 .48792 L
.66797 .49275 L
.6667 .4947 L
.66433 .49758 L
.66187 .50098 L
.6608 .50242 L
.65718 .50725 L
.65704 .50758 L
.65435 .51208 L
.6522 .51431 L
.64993 .51691 L
.64737 .5214 L
.6462 .52174 L
.64254 .52651 L
.64249 .52658 L
.6397 .53141 L
.63771 .53267 L
.63448 .53624 L
.63288 .53914 L
.63014 .54107 L
.62804 .54346 L
.62379 .54107 L
.62647 .53624 L
.62804 .53373 L
.62953 .53141 L
.63272 .52658 L
.63288 .52622 L
.63483 .52174 L
.63771 .51803 L
.63947 .51691 L
.64254 .51261 L
.64294 .51208 L
.64632 .50725 L
.64737 .50582 L
.65009 .50242 L
.6522 .49869 L
.65376 .49758 L
.65704 .4932 L
.6574 .49275 L
.66071 .48792 L
.66187 .48686 L
.66503 .48309 L
.6667 .48028 L
.66901 .47826 L
.67153 .47511 L
.67313 .47342 L
F
0 .55 1 r
.6667 .46378 m
.67018 .46859 L
.66744 .47342 L
.6667 .47463 L
.66391 .47826 L
.66187 .48121 L
.66052 .48309 L
.65713 .48792 L
.65704 .48808 L
.65481 .49275 L
.6522 .49531 L
.64995 .49758 L
.64737 .50108 L
.6463 .50242 L
.64271 .50725 L
.64254 .50743 L
.63882 .51208 L
.63771 .51395 L
.63484 .51691 L
.63288 .51941 L
.63072 .52174 L
.62804 .52493 L
.62383 .52174 L
.62673 .51691 L
.62804 .51492 L
.62994 .51208 L
.63288 .50772 L
.63321 .50725 L
.63605 .50242 L
.63771 .50034 L
.64012 .49758 L
.64254 .49426 L
.64369 .49275 L
.64724 .48792 L
.64737 .48774 L
.64961 .48309 L
.6522 .48106 L
.65478 .47826 L
.65704 .47531 L
.65865 .47342 L
.66187 .46938 L
.6626 .46859 L
F
1 .55 0 r
.66187 .45242 m
.66588 .4541 L
.66316 .45893 L
.66187 .46099 L
.66003 .46376 L
.65704 .46834 L
.65686 .46859 L
.65346 .47342 L
.6522 .4752 L
.64994 .47826 L
.64737 .48185 L
.64641 .48309 L
.64304 .48792 L
.64254 .48844 L
.6391 .49275 L
.63771 .49563 L
.63526 .49758 L
.63288 .5007 L
.63136 .50242 L
.62804 .50653 L
.62384 .50242 L
.62545 .49758 L
.62804 .496 L
.6303 .49275 L
.63288 .48906 L
.63372 .48792 L
.637 .48309 L
.63771 .48221 L
.64079 .47826 L
.64254 .47471 L
.6445 .47342 L
.64737 .46962 L
.64823 .46859 L
.65184 .46376 L
.6522 .46348 L
.65607 .45893 L
.65704 .45711 L
.66042 .4541 L
F
1 .525 0 r
.66187 .45283 m
.66545 .4541 L
.6629 .45893 L
.66187 .46062 L
.65981 .46376 L
.65704 .46807 L
.65666 .46859 L
.65331 .47342 L
.6522 .47499 L
.64979 .47826 L
.64737 .48165 L
.64625 .48309 L
.64282 .48792 L
.64254 .48822 L
.63895 .49275 L
.63771 .49538 L
.63508 .49758 L
.63288 .50047 L
.63114 .50242 L
.62804 .50624 L
.62409 .50242 L
.62584 .49758 L
.62804 .49627 L
.63047 .49275 L
.63288 .4893 L
.63389 .48792 L
.63719 .48309 L
.63771 .48246 L
.64094 .47826 L
.64254 .47492 L
.64466 .47342 L
.64737 .46983 L
.64842 .46859 L
.65219 .46376 L
.6522 .46375 L
.6563 .45893 L
.65704 .45751 L
.66075 .4541 L
F
0 .525 1 r
.6667 .46411 m
.66993 .46859 L
.66716 .47342 L
.6667 .47418 L
.66374 .47826 L
.66187 .48099 L
.66037 .48309 L
.65704 .48787 L
.65699 .48792 L
.65462 .49275 L
.6522 .49511 L
.64982 .49758 L
.64737 .50091 L
.64616 .50242 L
.64254 .50723 L
.64253 .50725 L
.63867 .51208 L
.63771 .51372 L
.63466 .51691 L
.63288 .51917 L
.63047 .52174 L
.62804 .5246 L
.62413 .52174 L
.62694 .51691 L
.62804 .51523 L
.63012 .51208 L
.63288 .50796 L
.63338 .50725 L
.63623 .50242 L
.63771 .50057 L
.64026 .49758 L
.64254 .49444 L
.64383 .49275 L
.64737 .48793 L
.64738 .48792 L
.64984 .48309 L
.6522 .48126 L
.65493 .47826 L
.65704 .47551 L
.65884 .47342 L
.66187 .46962 L
.66284 .46859 L
F
1 .625 0 r
.67636 .4701 m
.68004 .47342 L
.67845 .47826 L
.67636 .47972 L
.6742 .48309 L
.67153 .4871 L
.67097 .48792 L
.66781 .49275 L
.6667 .49447 L
.66419 .49758 L
.66187 .5008 L
.66066 .50242 L
.65711 .50725 L
.65704 .50741 L
.6542 .51208 L
.6522 .51413 L
.6498 .51691 L
.64737 .52131 L
.64605 .52174 L
.64254 .52631 L
.64231 .52658 L
.63933 .53141 L
.63771 .53241 L
.63425 .53624 L
.63288 .53879 L
.62979 .54107 L
.62804 .54302 L
.62423 .54107 L
.62675 .53624 L
.62804 .53413 L
.62976 .53141 L
.63287 .52658 L
.63288 .52656 L
.63502 .52174 L
.63771 .51825 L
.63962 .51691 L
.64254 .51279 L
.64308 .51208 L
.64645 .50725 L
.64737 .506 L
.65021 .50242 L
.6522 .49883 L
.65389 .49758 L
.65704 .49337 L
.65754 .49275 L
.66091 .48792 L
.66187 .48706 L
.66519 .48309 L
.6667 .48051 L
.66922 .47826 L
.67153 .47539 L
.67343 .47342 L
F
0 .55 1 r
.6522 .44645 m
.65584 .44927 L
.6529 .4541 L
.6522 .45515 L
.64957 .45893 L
.64737 .46218 L
.64619 .46376 L
.64304 .46859 L
.64254 .46911 L
.63914 .47342 L
.63771 .4754 L
.63541 .47826 L
.63288 .48168 L
.63167 .48309 L
.62804 .48775 L
.62423 .48309 L
.62696 .47826 L
.62804 .47702 L
.63093 .47342 L
.63288 .47073 L
.63451 .46859 L
.63771 .46424 L
.63809 .46376 L
.64181 .45893 L
.64254 .45764 L
.64574 .4541 L
.64737 .45202 L
.64986 .44927 L
F
0 .725 1 r
.68603 .47586 m
.69023 .47826 L
.6877 .48309 L
.68603 .48578 L
.68472 .48792 L
.68142 .49275 L
.68119 .49348 L
.67908 .49758 L
.67636 .50158 L
.67493 .50242 L
.67153 .5072 L
.67149 .50725 L
.66788 .51208 L
.6667 .51403 L
.66631 .51691 L
.66187 .521 L
.66081 .52174 L
.65706 .52658 L
.65704 .52679 L
.65387 .53141 L
.6522 .53324 L
.64976 .53624 L
.64737 .53985 L
.64595 .54107 L
.64254 .54543 L
.64212 .5459 L
.63857 .55073 L
.63771 .55131 L
.6339 .55557 L
.63288 .5571 L
.62918 .5604 L
.62804 .56159 L
.62429 .5604 L
.62649 .55557 L
.62804 .55287 L
.62933 .55073 L
.63233 .5459 L
.63288 .54475 L
.6356 .54107 L
.63771 .53805 L
.63898 .53624 L
.6425 .53141 L
.64254 .53114 L
.64546 .52658 L
.64737 .52402 L
.64944 .52174 L
.6522 .51797 L
.65302 .51691 L
.65666 .51208 L
.65704 .51145 L
.65918 .50725 L
.66187 .50477 L
.66402 .50242 L
.6667 .49779 L
.66775 .49758 L
.67145 .49275 L
.67153 .49267 L
.67542 .48792 L
.67636 .48651 L
.67954 .48309 L
.68119 .48004 L
.6839 .47826 L
F
1 .85 .01 r
.69569 .48146 m
.70051 .48309 L
.69813 .48792 L
.69569 .49203 L
.69527 .49275 L
.69206 .49758 L
.69086 .50041 L
.68903 .50242 L
.68603 .50671 L
.68566 .50725 L
.68133 .51208 L
.68119 .51366 L
.67898 .51691 L
.67636 .52066 L
.67527 .52174 L
.67173 .52658 L
.67153 .52679 L
.66766 .53141 L
.6667 .53335 L
.66544 .53624 L
.66187 .53999 L
.66085 .54107 L
.6572 .5459 L
.65704 .54606 L
.65355 .55073 L
.6522 .55235 L
.64968 .55557 L
.64737 .55875 L
.64583 .5604 L
.64254 .56506 L
.64195 .56523 L
.63809 .57006 L
.63771 .57033 L
.63359 .57489 L
.63288 .57581 L
.62863 .57973 L
.62804 .58066 L
.62432 .57973 L
.62618 .57489 L
.62804 .57147 L
.62887 .57006 L
.63161 .56523 L
.63288 .56368 L
.63504 .5604 L
.63771 .55651 L
.63837 .55557 L
.64205 .55073 L
.64254 .54941 L
.64441 .5459 L
.64737 .54198 L
.64877 .54107 L
.6522 .53634 L
.65228 .53624 L
.65585 .53141 L
.65704 .52964 L
.6576 .52658 L
.66187 .52275 L
.66316 .52174 L
.6667 .51696 L
.66674 .51691 L
.67003 .51208 L
.67153 .51052 L
.67423 .50725 L
.67636 .5039 L
.67801 .50242 L
.68119 .49823 L
.68176 .49758 L
.68527 .49275 L
.68603 .49223 L
.6898 .48792 L
.69086 .48628 L
.69427 .48309 L
F
1 .5 0 r
.6522 .46401 m
.65646 .46859 L
.65315 .47342 L
.6522 .47477 L
.64963 .47826 L
.64737 .48144 L
.64609 .48309 L
.6426 .48792 L
.64254 .48798 L
.6388 .49275 L
.63771 .49511 L
.63491 .49758 L
.63288 .50023 L
.63091 .50242 L
.62804 .50594 L
.62435 .50242 L
.62628 .49758 L
.62804 .49656 L
.63065 .49275 L
.63288 .48954 L
.63406 .48792 L
.6374 .48309 L
.63771 .48272 L
.6411 .47826 L
.64254 .47516 L
.64483 .47342 L
.64737 .47006 L
.64861 .46859 L
F
1 .95 .212 r
.62804 .38776 m
.62817 .39128 L
.62804 .39152 L
.62442 .39128 L
F
0 .5 1 r
.6667 .46445 m
.66966 .46859 L
.66686 .47342 L
.6667 .47368 L
.66358 .47826 L
.66187 .48076 L
.66021 .48309 L
.65704 .48767 L
.65684 .48792 L
.65442 .49275 L
.6522 .4949 L
.64969 .49758 L
.64737 .50073 L
.64602 .50242 L
.64254 .50705 L
.64237 .50725 L
.63851 .51208 L
.63771 .51347 L
.63447 .51691 L
.63288 .51892 L
.6302 .52174 L
.62804 .52425 L
.62446 .52174 L
.62717 .51691 L
.62804 .51555 L
.63031 .51208 L
.63288 .50821 L
.63355 .50725 L
.63643 .50242 L
.63771 .50082 L
.6404 .49758 L
.64254 .49462 L
.64397 .49275 L
.64737 .48811 L
.64753 .48792 L
.65009 .48309 L
.6522 .48147 L
.65508 .47826 L
.65704 .47572 L
.65903 .47342 L
.66187 .46988 L
.66309 .46859 L
F
0 .525 1 r
.6522 .44688 m
.65547 .44927 L
.65265 .4541 L
.6522 .45479 L
.64935 .45893 L
.64737 .46189 L
.64598 .46376 L
.6427 .46859 L
.64254 .46876 L
.63896 .47342 L
.63771 .47515 L
.63521 .47826 L
.63288 .48141 L
.63143 .48309 L
.62804 .48744 L
.62449 .48309 L
.62736 .47826 L
.62804 .47748 L
.63114 .47342 L
.63288 .47102 L
.63472 .46859 L
.63771 .46452 L
.63832 .46376 L
.64203 .45893 L
.64254 .45801 L
.64599 .4541 L
.64737 .45235 L
.65019 .44927 L
F
1 .475 0 r
.6522 .46427 m
.65625 .46859 L
.65299 .47342 L
.6522 .47454 L
.64948 .47826 L
.64737 .48123 L
.64593 .48309 L
.64254 .48776 L
.64241 .48792 L
.63864 .49275 L
.63771 .49482 L
.63472 .49758 L
.63288 .49999 L
.63067 .50242 L
.62804 .50562 L
.62463 .50242 L
.62677 .49758 L
.62804 .49686 L
.63084 .49275 L
.63288 .48979 L
.63424 .48792 L
.63762 .48309 L
.63771 .48298 L
.64126 .47826 L
.64254 .47542 L
.645 .47342 L
.64737 .47029 L
.64881 .46859 L
F
1 .6 0 r
.67636 .47052 m
.67967 .47342 L
.67796 .47826 L
.67636 .47935 L
.674 .48309 L
.67153 .48683 L
.67079 .48792 L
.66765 .49275 L
.6667 .49422 L
.66405 .49758 L
.66187 .50061 L
.66052 .50242 L
.65704 .50723 L
.65702 .50725 L
.65404 .51208 L
.6522 .51395 L
.64966 .51691 L
.64737 .52121 L
.6459 .52174 L
.64254 .5261 L
.64213 .52658 L
.63892 .53141 L
.63771 .53214 L
.63401 .53624 L
.63288 .5384 L
.62941 .54107 L
.62804 .54255 L
.62471 .54107 L
.62703 .53624 L
.62804 .53455 L
.62998 .53141 L
.63288 .52685 L
.63306 .52658 L
.63522 .52174 L
.63771 .5185 L
.63976 .51691 L
.64254 .51298 L
.64322 .51208 L
.64659 .50725 L
.64737 .50619 L
.65033 .50242 L
.6522 .49898 L
.65402 .49758 L
.65704 .49355 L
.65769 .49275 L
.66113 .48792 L
.66187 .48727 L
.66536 .48309 L
.6667 .48076 L
.66944 .47826 L
.67153 .47567 L
.67375 .47342 L
F
0 .5 1 r
.63771 .46481 m
.64242 .46859 L
.63878 .47342 L
.63771 .4749 L
.63501 .47826 L
.63288 .48114 L
.63118 .48309 L
.62804 .48711 L
.62477 .48309 L
.6278 .47826 L
.62804 .47797 L
.63136 .47342 L
.63288 .47131 L
.63494 .46859 L
F
0 .475 1 r
.66187 .47013 m
.66658 .47342 L
.66341 .47826 L
.66187 .48052 L
.66005 .48309 L
.65704 .48746 L
.65669 .48792 L
.6542 .49275 L
.6522 .49468 L
.64955 .49758 L
.64737 .50055 L
.64587 .50242 L
.64254 .50685 L
.6422 .50725 L
.63835 .51208 L
.63771 .51321 L
.63427 .51691 L
.63288 .51866 L
.62991 .52174 L
.62804 .52388 L
.6248 .52174 L
.6274 .51691 L
.62804 .51589 L
.6305 .51208 L
.63288 .50846 L
.63373 .50725 L
.63663 .50242 L
.63771 .50108 L
.64053 .49758 L
.64254 .49481 L
.64411 .49275 L
.64737 .4883 L
.64768 .48792 L
.65036 .48309 L
.6522 .48169 L
.65524 .47826 L
.65704 .47593 L
.65922 .47342 L
F
1 .45 0 r
.63771 .48324 m
.64223 .48792 L
.63848 .49275 L
.63771 .4945 L
.63453 .49758 L
.63288 .49974 L
.63041 .50242 L
.62804 .50528 L
.62492 .50242 L
.62731 .49758 L
.62804 .49718 L
.63103 .49275 L
.63288 .49005 L
.63442 .48792 L
F
0 .475 1 r
.62804 .47843 m
.63091 .48309 L
.62804 .48676 L
.62506 .48309 L
F
0 .45 1 r
.66187 .4704 m
.66635 .47342 L
.66323 .47826 L
.66187 .48028 L
.65989 .48309 L
.65704 .48726 L
.65654 .48792 L
.65397 .49275 L
.6522 .49445 L
.64942 .49758 L
.64737 .50037 L
.64573 .50242 L
.64254 .50666 L
.64203 .50725 L
.63819 .51208 L
.63771 .51293 L
.63407 .51691 L
.63288 .5184 L
.6296 .52174 L
.62804 .52349 L
.62518 .52174 L
.62763 .51691 L
.62804 .51625 L
.63069 .51208 L
.63288 .50873 L
.63391 .50725 L
.63685 .50242 L
.63771 .50136 L
.64068 .49758 L
.64254 .495 L
.64426 .49275 L
.64737 .48849 L
.64783 .48792 L
.65064 .48309 L
.6522 .48192 L
.6554 .47826 L
.65704 .47614 L
.65942 .47342 L
F
1 .6 0 r
.62804 .45966 m
.63142 .46376 L
.62804 .4683 L
.62522 .46376 L
F
1 .425 0 r
.63771 .48348 m
.64204 .48792 L
.63832 .49275 L
.63771 .49415 L
.63434 .49758 L
.63288 .49948 L
.63014 .50242 L
.62804 .50493 L
.62523 .50242 L
.62791 .49758 L
.62804 .49751 L
.63122 .49275 L
.63288 .49032 L
.63461 .48792 L
F
0 .7 1 r
.68603 .47643 m
.68964 .47826 L
.68732 .48309 L
.68603 .48524 L
.68442 .48792 L
.68129 .49275 L
.68119 .49306 L
.67889 .49758 L
.67636 .50136 L
.67475 .50242 L
.67153 .50697 L
.67133 .50725 L
.66776 .51208 L
.6667 .51382 L
.66622 .51691 L
.66187 .52087 L
.66067 .52174 L
.65704 .52658 L
.65704 .52662 L
.65371 .53141 L
.6522 .53304 L
.64959 .53624 L
.64737 .53966 L
.64575 .54107 L
.64254 .54517 L
.64188 .5459 L
.63808 .55073 L
.63771 .55098 L
.63354 .55557 L
.63288 .55657 L
.62853 .5604 L
.62804 .56087 L
.62523 .5604 L
.62692 .55557 L
.62804 .55352 L
.62966 .55073 L
.63258 .5459 L
.63288 .54527 L
.63581 .54107 L
.63771 .53832 L
.63916 .53624 L
.64253 .53141 L
.64254 .53138 L
.6456 .52658 L
.64737 .52422 L
.64958 .52174 L
.6522 .51815 L
.65316 .51691 L
.65676 .51208 L
.65704 .51163 L
.65934 .50725 L
.66187 .50495 L
.66416 .50242 L
.6667 .49787 L
.66792 .49758 L
.67153 .4929 L
.67166 .49275 L
.67563 .48792 L
.67636 .48681 L
.67982 .48309 L
.68119 .48047 L
.68435 .47826 L
F
1 .575 0 r
.67636 .47096 m
.67927 .47342 L
.6774 .47826 L
.67636 .47895 L
.67379 .48309 L
.67153 .48655 L
.6706 .48792 L
.66748 .49275 L
.6667 .49395 L
.66391 .49758 L
.66187 .50042 L
.66039 .50242 L
.65704 .50705 L
.65688 .50725 L
.65387 .51208 L
.6522 .51376 L
.64953 .51691 L
.64737 .52109 L
.64574 .52174 L
.64254 .5259 L
.64194 .52658 L
.63848 .53141 L
.63771 .53187 L
.63376 .53624 L
.63288 .53795 L
.62898 .54107 L
.62804 .54205 L
.62528 .54107 L
.62733 .53624 L
.62804 .53501 L
.63022 .53141 L
.63288 .52715 L
.63326 .52658 L
.63545 .52174 L
.63771 .51878 L
.63991 .51691 L
.64254 .51318 L
.64336 .51208 L
.64672 .50725 L
.64737 .50638 L
.65046 .50242 L
.6522 .49914 L
.65415 .49758 L
.65704 .49372 L
.65784 .49275 L
.66136 .48792 L
.66187 .48748 L
.66553 .48309 L
.6667 .48102 L
.66966 .47826 L
.67153 .47596 L
.67409 .47342 L
F
0 .45 1 r
.62804 .47883 m
.63063 .48309 L
.62804 .48639 L
.62537 .48309 L
F
1 .4 0 r
.62804 .49791 m
.62984 .50242 L
.62804 .50454 L
.62557 .50242 L
F
1 .575 0 r
.62804 .46014 m
.63107 .46376 L
.62804 .46786 L
.62558 .46376 L
F
0 .425 1 r
.66187 .47068 m
.6661 .47342 L
.66305 .47826 L
.66187 .48003 L
.65973 .48309 L
.65704 .48704 L
.65638 .48792 L
.65372 .49275 L
.6522 .49421 L
.64928 .49758 L
.64737 .50019 L
.64557 .50242 L
.64254 .50646 L
.64186 .50725 L
.63803 .51208 L
.63771 .51265 L
.63385 .51691 L
.63288 .51812 L
.62925 .52174 L
.62804 .52306 L
.62561 .52174 L
.62788 .51691 L
.62804 .51665 L
.6309 .51208 L
.63288 .509 L
.63409 .50725 L
.63709 .50242 L
.63771 .50165 L
.64082 .49758 L
.64254 .49519 L
.6444 .49275 L
.64737 .48868 L
.64799 .48792 L
.65095 .48309 L
.6522 .48216 L
.65557 .47826 L
.65704 .47636 L
.65963 .47342 L
F
.62804 .47926 m
.63032 .48309 L
.62804 .48598 L
.6257 .48309 L
F
1 .375 0 r
.62804 .49836 m
.62951 .50242 L
.62804 .50412 L
.62595 .50242 L
F
1 .55 0 r
.62804 .46067 m
.63068 .46376 L
.62804 .46736 L
.62597 .46376 L
F
.67636 .47144 m
.67884 .47342 L
.67676 .47826 L
.67636 .47852 L
.67357 .48309 L
.67153 .48626 L
.67041 .48792 L
.6673 .49275 L
.6667 .49368 L
.66377 .49758 L
.66187 .50023 L
.66025 .50242 L
.65704 .50687 L
.65674 .50725 L
.6537 .51208 L
.6522 .51357 L
.64939 .51691 L
.64737 .52095 L
.64559 .52174 L
.64254 .52569 L
.64175 .52658 L
.638 .53141 L
.63771 .53158 L
.63349 .53624 L
.63288 .53746 L
.62847 .54107 L
.62804 .54149 L
.62603 .54107 L
.62765 .53624 L
.62804 .53553 L
.63046 .53141 L
.63288 .52747 L
.63347 .52658 L
.6357 .52174 L
.63771 .51909 L
.64005 .51691 L
.64254 .51337 L
.6435 .51208 L
.64687 .50725 L
.64737 .50658 L
.65059 .50242 L
.6522 .49931 L
.65429 .49758 L
.65704 .4939 L
.65799 .49275 L
.66161 .48792 L
.66187 .4877 L
.6657 .48309 L
.6667 .4813 L
.66989 .47826 L
.67153 .47626 L
.67448 .47342 L
F
0 .4 1 r
.62804 .47973 m
.62997 .48309 L
.62804 .48553 L
.62606 .48309 L
F
.62804 .51712 m
.62885 .52174 L
.62804 .52259 L
.62613 .52174 L
F
0 .675 1 r
.62804 .44191 m
.6311 .44443 L
.62804 .44889 L
.62621 .44443 L
F
.045 .9 1 r
.70535 .4873 m
.71015 .48792 L
.70819 .49275 L
.70538 .49758 L
.70535 .498 L
.7029 .50242 L
.70052 .50562 L
.69951 .50725 L
.69626 .51208 L
.69569 .51287 L
.69217 .51691 L
.69086 .52005 L
.69012 .52174 L
.68603 .52645 L
.68594 .52658 L
.68249 .53141 L
.68119 .53303 L
.67867 .53624 L
.67636 .53976 L
.67529 .54107 L
.67168 .5459 L
.67153 .54602 L
.66718 .55073 L
.6667 .5524 L
.66482 .55557 L
.66187 .55897 L
.6607 .5604 L
.65704 .56522 L
.65702 .56523 L
.65312 .57006 L
.6522 .57127 L
.65086 .57489 L
.64737 .57757 L
.64554 .57973 L
.64254 .58375 L
.64156 .58456 L
.63771 .58912 L
.63743 .58939 L
.63291 .59422 L
.63288 .59426 L
.62804 .59829 L
.62634 .59422 L
.62804 .59064 L
.62872 .58939 L
.63099 .58456 L
.63288 .58252 L
.63467 .57973 L
.63771 .57521 L
.63792 .57489 L
.64147 .57006 L
.64254 .56776 L
.64336 .56523 L
.64737 .5616 L
.64826 .5604 L
.65174 .55557 L
.6522 .5549 L
.65509 .55073 L
.65704 .54799 L
.65895 .5459 L
.66187 .54193 L
.66254 .54107 L
.66632 .53624 L
.6667 .53543 L
.66895 .53141 L
.67153 .52876 L
.67349 .52658 L
.67636 .52205 L
.67713 .52174 L
.68071 .51691 L
.68119 .51636 L
.68301 .51208 L
.68603 .50993 L
.68842 .50725 L
.69086 .50336 L
.69226 .50242 L
.69569 .49806 L
.69613 .49758 L
.70028 .49275 L
.70052 .4924 L
.70497 .48792 L
F
1 .35 0 r
.62804 .4989 m
.62912 .50242 L
.62804 .50364 L
.62639 .50242 L
F
1 .525 0 r
.62804 .46126 m
.63024 .46376 L
.62804 .46678 L
.62641 .46376 L
F
0 .375 1 r
.62804 .48029 m
.62958 .48309 L
.62804 .48501 L
.62648 .48309 L
F
0 .65 1 r
.62804 .44276 m
.63041 .44443 L
.62804 .44805 L
.62684 .44443 L
F
0 .375 1 r
.62804 .51775 m
.62834 .52174 L
.62804 .52204 L
.62686 .52174 L
F
1 .5 0 r
.62804 .46198 m
.62969 .46376 L
.62804 .46607 L
.62693 .46376 L
F
1 .825 .004 r
.69569 .48236 m
.69938 .48309 L
.69748 .48792 L
.69569 .49112 L
.69478 .49275 L
.69175 .49758 L
.69086 .49977 L
.68872 .50242 L
.68603 .50631 L
.68539 .50725 L
.68129 .51208 L
.68119 .51334 L
.67881 .51691 L
.67636 .52044 L
.67508 .52174 L
.67153 .52658 L
.67153 .52658 L
.66755 .53141 L
.6667 .53312 L
.66531 .53624 L
.66187 .5398 L
.66066 .54107 L
.65704 .54587 L
.65701 .5459 L
.65336 .55073 L
.6522 .55208 L
.64945 .55557 L
.64737 .55845 L
.64555 .5604 L
.64254 .56493 L
.64158 .56523 L
.63771 .56983 L
.63747 .57006 L
.63296 .57489 L
.63288 .575 L
.62804 .57895 L
.62696 .57489 L
.62804 .57262 L
.62942 .57006 L
.63204 .56523 L
.63288 .56423 L
.63535 .5604 L
.63771 .55691 L
.63863 .55557 L
.64217 .55073 L
.64254 .54975 L
.64458 .5459 L
.64737 .54218 L
.64894 .54107 L
.6522 .53656 L
.65245 .53624 L
.65598 .53141 L
.65704 .52985 L
.65772 .52658 L
.66187 .5229 L
.66331 .52174 L
.6667 .51717 L
.66691 .51691 L
.67023 .51208 L
.67153 .51075 L
.67441 .50725 L
.67636 .50413 L
.67823 .50242 L
.68119 .49855 L
.68205 .49758 L
.68586 .49275 L
.68603 .49264 L
.69023 .48792 L
.69086 .48693 L
.69501 .48309 L
F
1 .325 0 r
.62804 .49956 m
.62865 .50242 L
.62804 .50307 L
.62697 .50242 L
F
0 .35 1 r
.62804 .48097 m
.62909 .48309 L
.62804 .48437 L
.62698 .48309 L
F
1 .8 .002 r
.62804 .42417 m
.63054 .42511 L
.62804 .42943 L
.6273 .42511 L
F
0 .675 1 r
.68603 .47706 m
.68895 .47826 L
.68692 .48309 L
.68603 .48464 L
.68412 .48792 L
.68119 .49262 L
.68111 .49275 L
.67868 .49758 L
.67636 .50109 L
.67457 .50242 L
.67153 .50673 L
.67116 .50725 L
.66764 .51208 L
.6667 .51361 L
.66611 .51691 L
.66187 .52074 L
.66052 .52174 L
.65704 .52643 L
.65692 .52658 L
.65354 .53141 L
.6522 .53284 L
.64943 .53624 L
.64737 .53947 L
.64556 .54107 L
.64254 .5449 L
.64164 .5459 L
.63771 .55063 L
.63761 .55073 L
.63315 .55557 L
.63288 .55599 L
.62804 .56 L
.62739 .55557 L
.62804 .55427 L
.63 .55073 L
.63285 .5459 L
.63288 .54585 L
.63601 .54107 L
.63771 .5386 L
.63934 .53624 L
.64254 .53161 L
.64269 .53141 L
.64575 .52658 L
.64737 .52442 L
.64971 .52174 L
.6522 .51832 L
.65329 .51691 L
.65687 .51208 L
.65704 .51181 L
.65952 .50725 L
.66187 .50513 L
.66431 .50242 L
.6667 .49797 L
.66809 .49758 L
.67153 .49313 L
.67187 .49275 L
.67584 .48792 L
.67636 .48713 L
.68011 .48309 L
.68119 .48097 L
.68487 .47826 L
F
1 .475 0 r
.62804 .46299 m
.62888 .46376 L
.62804 .46501 L
.62762 .46376 L
F
0 .625 1 r
.62804 .4439 m
.62937 .44443 L
.62804 .44683 L
.62767 .44443 L
F
0 .325 1 r
.62804 .48207 m
.62834 .48309 L
.62804 .48344 L
.62774 .48309 L
F
1 .8 .002 r
.62804 .57444 m
.63189 .57489 L
.62804 .57676 L
.62789 .57489 L
F
0 .65 1 r
.62804 .55526 m
.63266 .55557 L
.62804 .55874 L
.62791 .55557 L
F
1 .525 0 r
.63288 .5278 m
.63759 .53141 L
.63321 .53624 L
.63288 .5369 L
.62804 .54079 L
.62799 .53624 L
.62804 .53613 L
.63071 .53141 L
F
0 .4 1 r
.66187 .47096 m
.66584 .47342 L
.66287 .47826 L
.66187 .47977 L
.65956 .48309 L
.65704 .48682 L
.65621 .48792 L
.65346 .49275 L
.6522 .49395 L
.64914 .49758 L
.64737 .5 L
.64542 .50242 L
.64254 .50625 L
.64168 .50725 L
.63785 .51208 L
.63771 .51234 L
.63363 .51691 L
.63288 .51784 L
.62817 .51691 L
.6311 .51208 L
.63288 .50929 L
.63428 .50725 L
.63734 .50242 L
.63771 .50196 L
.64097 .49758 L
.64254 .49539 L
.64455 .49275 L
.64737 .48888 L
.64815 .48792 L
.65128 .48309 L
.6522 .48241 L
.65574 .47826 L
.65704 .47659 L
.65985 .47342 L
F
0 .475 1 r
.63771 .46511 m
.64218 .46859 L
.63858 .47342 L
.63771 .47464 L
.63479 .47826 L
.63288 .48085 L
.62817 .47826 L
.63158 .47342 L
.63288 .47161 L
.63517 .46859 L
F
1 .4 0 r
.63771 .48373 m
.64185 .48792 L
.63815 .49275 L
.63771 .49378 L
.63413 .49758 L
.63288 .49921 L
.62826 .49758 L
.63142 .49275 L
.63288 .4906 L
.6348 .48792 L
F
1 .625 0 r
.63771 .44656 m
.64241 .44927 L
.63893 .4541 L
.63771 .45586 L
.63533 .45893 L
.63288 .46239 L
.62827 .45893 L
.63185 .4541 L
.63288 .45273 L
.63563 .44927 L
F
0 .75 1 r
.64254 .42246 m
.64544 .42511 L
.64267 .42994 L
.64254 .43014 L
.63933 .43477 L
.63771 .43721 L
.63593 .4396 L
.63288 .44404 L
.62831 .4396 L
.63206 .43477 L
.63288 .43326 L
.63603 .42994 L
.63771 .42785 L
.64025 .42511 L
F
1 .5 0 r
.63288 .52816 m
.63732 .53141 L
.6329 .53624 L
.63288 .53628 L
.62845 .53624 L
.63097 .53141 L
F
0 .45 1 r
.63771 .46542 m
.64194 .46859 L
.63839 .47342 L
.63771 .47437 L
.63457 .47826 L
.63288 .48055 L
.62846 .47826 L
.63181 .47342 L
.63288 .47192 L
.6354 .46859 L
F
0 .375 1 r
.63288 .50959 m
.63767 .51208 L
.63339 .51691 L
.63288 .51754 L
.62852 .51691 L
.63132 .51208 L
F
1 .375 0 r
.63771 .48399 m
.64165 .48792 L
.63797 .49275 L
.63771 .49338 L
.63392 .49758 L
.63288 .49892 L
.62855 .49758 L
.63163 .49275 L
.63288 .49089 L
.635 .48792 L
F
1 .6 0 r
.63771 .447 m
.64204 .44927 L
.63866 .4541 L
.63771 .45548 L
.63505 .45893 L
.63288 .46201 L
.62861 .45893 L
.63216 .4541 L
.63288 .45314 L
.63597 .44927 L
F
0 .425 1 r
.63771 .46574 m
.64168 .46859 L
.63818 .47342 L
.63771 .47408 L
.63433 .47826 L
.63288 .48023 L
.62876 .47826 L
.63205 .47342 L
.63288 .47226 L
.63564 .46859 L
F
0 .725 1 r
.63771 .42858 m
.64206 .42994 L
.63889 .43477 L
.63771 .4366 L
.6355 .4396 L
.63288 .44349 L
.62881 .4396 L
.63254 .43477 L
.63288 .43413 L
.6366 .42994 L
F
1 .35 0 r
.63771 .48426 m
.64144 .48792 L
.63779 .49275 L
.63771 .49295 L
.63369 .49758 L
.63288 .49862 L
.62888 .49758 L
.63185 .49275 L
.63288 .4912 L
.63521 .48792 L
F
0 .35 1 r
.63288 .50991 m
.63742 .51208 L
.63313 .51691 L
.63288 .51722 L
.62891 .51691 L
.63154 .51208 L
F
1 .575 0 r
.63771 .44747 m
.64163 .44927 L
.63837 .4541 L
.63771 .45507 L
.63474 .45893 L
.63288 .4616 L
.62899 .45893 L
.63248 .4541 L
.63288 .45357 L
.63633 .44927 L
F
0 .4 1 r
.63771 .46609 m
.6414 .46859 L
.63796 .47342 L
.63771 .47378 L
.63408 .47826 L
.63288 .47989 L
.6291 .47826 L
.6323 .47342 L
.63288 .47261 L
.6359 .46859 L
F
1 .325 0 r
.63288 .49152 m
.63756 .49275 L
.63344 .49758 L
.63288 .4983 L
.62923 .49758 L
.63207 .49275 L
F
1 .85 .01 r
.63288 .41587 m
.63572 .42027 L
.63288 .42473 L
.62929 .42027 L
F
0 .7 1 r
.63288 .43504 m
.63503 .4396 L
.63288 .44288 L
.62936 .4396 L
F
1 .55 0 r
.63771 .44799 m
.64116 .44927 L
.63806 .4541 L
.63771 .45462 L
.63441 .45893 L
.63288 .46116 L
.6294 .45893 L
.63283 .4541 L
.63288 .45404 L
.63672 .44927 L
F
0 .375 1 r
.63771 .46646 m
.64109 .46859 L
.63773 .47342 L
.63771 .47346 L
.63381 .47826 L
.63288 .47953 L
.62946 .47826 L
.63257 .47342 L
.63288 .47298 L
.63617 .46859 L
F
1 .3 0 r
.63288 .49188 m
.63728 .49275 L
.63317 .49758 L
.63288 .49796 L
.62965 .49758 L
.63231 .49275 L
F
1 .95 .212 r
.71019 .49908 m
.71493 .50242 L
.71427 .50725 L
.71019 .51089 L
.7095 .51208 L
.70646 .51691 L
.70535 .51865 L
.7029 .52174 L
.70052 .52613 L
.69981 .52658 L
.69642 .53141 L
.69569 .53229 L
.69173 .53624 L
.69086 .53913 L
.68958 .54107 L
.68603 .54573 L
.68583 .5459 L
.68232 .55073 L
.68119 .55198 L
.67814 .55557 L
.67636 .55864 L
.67596 .5604 L
.67153 .5651 L
.6714 .56523 L
.66779 .57006 L
.6667 .57117 L
.66415 .57489 L
.66187 .57769 L
.66033 .57973 L
.65704 .58407 L
.65658 .58456 L
.65256 .58939 L
.6522 .58991 L
.64966 .59422 L
.64737 .596 L
.64483 .59905 L
.64254 .60196 L
.64058 .60388 L
.63771 .60808 L
.63588 .60872 L
.63288 .61152 L
.62967 .60872 L
.63102 .60388 L
.63288 .60224 L
.63477 .59905 L
.63771 .59443 L
.63785 .59422 L
.64104 .58939 L
.64254 .58623 L
.64451 .58456 L
.64737 .58053 L
.64795 .57973 L
.65189 .57489 L
.6522 .57364 L
.6544 .57006 L
.65704 .56644 L
.65857 .56523 L
.66187 .56071 L
.66211 .5604 L
.66579 .55557 L
.6667 .55407 L
.66796 .55073 L
.67153 .54721 L
.67301 .5459 L
.67636 .54134 L
.67658 .54107 L
.67997 .53624 L
.68119 .53487 L
.684 .53141 L
.68603 .52821 L
.68771 .52658 L
.69086 .52234 L
.69137 .52174 L
.6947 .51691 L
.69569 .51612 L
.69907 .51208 L
.70052 .50982 L
.70308 .50725 L
.70535 .50322 L
.70725 .50242 L
F
1 .525 0 r
.63288 .45461 m
.63405 .45893 L
.63288 .46066 L
.62986 .45893 L
F
0 .35 1 r
.63288 .4734 m
.63738 .47342 L
.63351 .47826 L
.63288 .47913 L
.62988 .47826 L
.63286 .47342 L
F
.021 .875 1 r
.70052 .49347 m
.70456 .49758 L
.70226 .50242 L
.70052 .50461 L
.69894 .50725 L
.69574 .51208 L
.69569 .51215 L
.6919 .51691 L
.69086 .51955 L
.68996 .52174 L
.68603 .52602 L
.68563 .52658 L
.68219 .53141 L
.68119 .53267 L
.67846 .53624 L
.67636 .53945 L
.67504 .54107 L
.67153 .54586 L
.67143 .5459 L
.66709 .55073 L
.6667 .55209 L
.66461 .55557 L
.66187 .55864 L
.66042 .5604 L
.65704 .56499 L
.6567 .56523 L
.65285 .57006 L
.6522 .57087 L
.65042 .57489 L
.64737 .57703 L
.64503 .57973 L
.64254 .58318 L
.64085 .58456 L
.63771 .58815 L
.63634 .58939 L
.63288 .59276 L
.62989 .58939 L
.63195 .58456 L
.63288 .5836 L
.63524 .57973 L
.63771 .57591 L
.63839 .57489 L
.64174 .57006 L
.64254 .56832 L
.64357 .56523 L
.64737 .56198 L
.64852 .5604 L
.65197 .55557 L
.6522 .55523 L
.65528 .55073 L
.65704 .54827 L
.65915 .5459 L
.66187 .54219 L
.66274 .54107 L
.66643 .53624 L
.6667 .53568 L
.66916 .53141 L
.67153 .52901 L
.6737 .52658 L
.67636 .52218 L
.67737 .52174 L
.68098 .51691 L
.68119 .51667 L
.68347 .51208 L
.68603 .51032 L
.68877 .50725 L
.69086 .50375 L
.69274 .50242 L
.69569 .49875 L
.69683 .49758 L
F
0 .675 1 r
.63288 .43585 m
.6345 .4396 L
.63288 .44217 L
.62999 .4396 L
F
1 .8 .002 r
.69086 .48766 m
.69569 .48345 L
.69677 .48792 L
.69569 .49005 L
.69428 .49275 L
.69143 .49758 L
.69086 .499 L
.6884 .50242 L
.68603 .50589 L
.68512 .50725 L
.68127 .51208 L
.68119 .513 L
.67864 .51691 L
.67636 .52021 L
.67489 .52174 L
.67153 .52633 L
.67135 .52658 L
.66744 .53141 L
.6667 .53289 L
.66518 .53624 L
.66187 .53959 L
.66048 .54107 L
.65704 .54561 L
.6568 .5459 L
.65316 .55073 L
.6522 .55182 L
.64921 .55557 L
.64737 .55814 L
.64525 .5604 L
.64254 .56476 L
.64119 .56523 L
.63771 .56929 L
.6369 .57006 L
.63288 .57418 L
.63001 .57006 L
.63254 .56523 L
.63288 .56483 L
.63567 .5604 L
.63771 .55733 L
.6389 .55557 L
.6423 .55073 L
.64254 .5501 L
.64477 .5459 L
.64737 .5424 L
.64912 .54107 L
.6522 .53678 L
.65261 .53624 L
.65612 .53141 L
.65704 .53006 L
.65786 .52658 L
.66187 .52307 L
.66347 .52174 L
.6667 .51738 L
.66708 .51691 L
.67044 .51208 L
.67153 .51098 L
.6746 .50725 L
.67636 .50437 L
.67846 .50242 L
.68119 .49887 L
.68235 .49758 L
.68603 .49307 L
.68633 .49275 L
.69069 .48792 L
F
1 .825 .004 r
.63288 .41723 m
.63478 .42027 L
.63288 .42355 L
.63033 .42027 L
F
0 .65 1 r
.63288 .54631 m
.63725 .55073 L
.63288 .55539 L
.63035 .55073 L
F
.045 .9 1 r
.63288 .39815 m
.63534 .40095 L
.63288 .40534 L
.6304 .40095 L
F
0 .325 1 r
.63288 .47394 m
.63318 .47826 L
.63288 .47867 L
.6304 .47826 L
F
1 .5 0 r
.63288 .45529 m
.63364 .45893 L
.63288 .46008 L
.63041 .45893 L
F
1 .775 .001 r
.63288 .56556 m
.63625 .57006 L
.63288 .57329 L
.63066 .57006 L
F
0 .625 1 r
.63288 .54679 m
.63687 .55073 L
.63288 .55485 L
.63073 .55073 L
F
0 .65 1 r
.63288 .43686 m
.63386 .4396 L
.63288 .44127 L
.63077 .4396 L
F
0 .6 1 r
.63288 .54734 m
.63644 .55073 L
.63288 .55424 L
.63113 .55073 L
F
1 .475 0 r
.63288 .4562 m
.63315 .45893 L
.63288 .45936 L
.63116 .45893 L
F
.63288 .52854 m
.63703 .53141 L
.63288 .53584 L
.63124 .53141 L
F
.01 .85 1 r
.63288 .58508 m
.63485 .58939 L
.63288 .59092 L
.63138 .58939 L
F
1 .75 0 r
.63288 .56653 m
.63544 .57006 L
.63288 .57224 L
.63142 .57006 L
F
1 .45 0 r
.63288 .52896 m
.63671 .53141 L
.63288 .53538 L
.63153 .53141 L
F
0 .575 1 r
.63288 .54798 m
.63594 .55073 L
.63288 .55355 L
.63158 .55073 L
F
0 .325 1 r
.63288 .51026 m
.63715 .51208 L
.63288 .51688 L
.63178 .51208 L
F
1 .425 0 r
.63288 .52944 m
.63634 .53141 L
.63288 .53486 L
.63184 .53141 L
F
1 .8 .002 r
.63288 .4193 m
.63338 .42027 L
.63288 .42158 L
.63196 .42027 L
F
0 .3 1 r
.63288 .51064 m
.63686 .51208 L
.63288 .51646 L
.63203 .51208 L
F
0 .55 1 r
.63288 .54879 m
.63531 .55073 L
.63288 .5527 L
.6321 .55073 L
F
0 .625 1 r
.63288 .43867 m
.63296 .4396 L
.63288 .43979 L
.63217 .4396 L
F
1 .4 0 r
.63288 .52999 m
.63592 .53141 L
.63288 .53424 L
.63219 .53141 L
F
0 .275 1 r
.63288 .51106 m
.63653 .51208 L
.63288 .51597 L
.63229 .51208 L
F
1 .725 0 r
.63288 .56804 m
.63419 .57006 L
.63288 .57077 L
.63245 .57006 L
F
1 .275 0 r
.63288 .49226 m
.63696 .49275 L
.63288 .49758 L
.63257 .49275 L
F
1 .375 0 r
.63288 .5307 m
.63538 .53141 L
.63288 .5334 L
.63258 .53141 L
F
0 .25 1 r
.63288 .51154 m
.63614 .51208 L
.63288 .51538 L
.63259 .51208 L
F
0 .525 1 r
.63288 .55016 m
.63434 .55073 L
.63288 .5513 L
.63275 .55073 L
F
1 .25 0 r
.63288 .49271 m
.63658 .49275 L
.63288 .49706 L
.63285 .49275 L
F
1 .775 .001 r
.69086 .48838 m
.69375 .49275 L
.69105 .49758 L
.69086 .49808 L
.68808 .50242 L
.68603 .50546 L
.68485 .50725 L
.68125 .51208 L
.68119 .51265 L
.67846 .51691 L
.67636 .51996 L
.67469 .52174 L
.67153 .52608 L
.67116 .52658 L
.66733 .53141 L
.6667 .53265 L
.66503 .53624 L
.66187 .53938 L
.66029 .54107 L
.65704 .54536 L
.65659 .5459 L
.65294 .55073 L
.6522 .55155 L
.64896 .55557 L
.64737 .55782 L
.64495 .5604 L
.64254 .56452 L
.64078 .56523 L
.63771 .56874 L
.63307 .56523 L
.63599 .5604 L
.63771 .55777 L
.63917 .55557 L
.64244 .55073 L
.64254 .55048 L
.64498 .5459 L
.64737 .54266 L
.64929 .54107 L
.6522 .53701 L
.65279 .53624 L
.65626 .53141 L
.65704 .53028 L
.65803 .52658 L
.66187 .52324 L
.66362 .52174 L
.6667 .51759 L
.66725 .51691 L
.67066 .51208 L
.67153 .51122 L
.67479 .50725 L
.67636 .50463 L
.6787 .50242 L
.68119 .49919 L
.68266 .49758 L
.68603 .49351 L
.68678 .49275 L
F
0 .7 1 r
.63771 .4294 m
.64123 .42994 L
.63841 .43477 L
.63771 .4359 L
.63312 .43477 L
.63725 .42994 L
F
0 .65 1 r
.68603 .47777 m
.68804 .47826 L
.6865 .48309 L
.68603 .48395 L
.68381 .48792 L
.68119 .49222 L
.68085 .49275 L
.67844 .49758 L
.67636 .50077 L
.67439 .50242 L
.67153 .5065 L
.67099 .50725 L
.66751 .51208 L
.6667 .51339 L
.66599 .51691 L
.66187 .52059 L
.66037 .52174 L
.65704 .52623 L
.65676 .52658 L
.65337 .53141 L
.6522 .53263 L
.64926 .53624 L
.64737 .53926 L
.64536 .54107 L
.64254 .54463 L
.64138 .5459 L
.63771 .55028 L
.63313 .5459 L
.63623 .54107 L
.63771 .53889 L
.63953 .53624 L
.64254 .53185 L
.64286 .53141 L
.64591 .52658 L
.64737 .52464 L
.64985 .52174 L
.6522 .51851 L
.65343 .51691 L
.65698 .51208 L
.65704 .51199 L
.65971 .50725 L
.66187 .50533 L
.66446 .50242 L
.6667 .49808 L
.66826 .49758 L
.67153 .49337 L
.67208 .49275 L
.67607 .48792 L
.67636 .48747 L
.68043 .48309 L
.68119 .48155 L
.68551 .47826 L
F
.01 .85 1 r
.70052 .49466 m
.7035 .49758 L
.70141 .50242 L
.70052 .50347 L
.69836 .50725 L
.69569 .51139 L
.69526 .51208 L
.69165 .51691 L
.69086 .519 L
.68979 .52174 L
.68603 .52557 L
.68533 .52658 L
.6819 .53141 L
.68119 .53231 L
.67825 .53624 L
.67636 .53914 L
.67479 .54107 L
.67153 .54575 L
.67118 .5459 L
.66701 .55073 L
.6667 .55179 L
.66439 .55557 L
.66187 .55831 L
.66014 .5604 L
.65704 .56476 L
.65638 .56523 L
.65256 .57006 L
.6522 .57048 L
.64984 .57489 L
.64737 .57649 L
.64449 .57973 L
.64254 .58254 L
.64007 .58456 L
.63771 .58713 L
.63314 .58456 L
.63583 .57973 L
.63771 .57669 L
.63886 .57489 L
.64204 .57006 L
.64254 .56897 L
.64384 .56523 L
.64737 .56238 L
.64879 .5604 L
.6522 .55557 L
.65221 .55557 L
.65548 .55073 L
.65704 .54856 L
.65935 .5459 L
.66187 .54245 L
.66294 .54107 L
.66655 .53624 L
.6667 .53594 L
.66939 .53141 L
.67153 .52927 L
.67391 .52658 L
.67636 .52234 L
.67761 .52174 L
.68119 .517 L
.68127 .51691 L
.684 .51208 L
.68603 .51074 L
.68914 .50725 L
.69086 .50423 L
.69326 .50242 L
.69569 .49948 L
.69767 .49758 L
F
1 .85 .01 r
.63771 .41051 m
.64146 .41061 L
.63886 .41544 L
.63771 .41739 L
.6333 .41544 L
.63767 .41061 L
F
1 .525 0 r
.63771 .44857 m
.64059 .44927 L
.63772 .4541 L
.63771 .45412 L
.63333 .4541 L
.63717 .44927 L
F
0 .625 1 r
.68119 .48223 m
.68603 .47871 L
.68604 .48309 L
.68603 .48312 L
.68349 .48792 L
.68119 .49179 L
.68059 .49275 L
.67818 .49758 L
.67636 .5004 L
.67421 .50242 L
.67153 .50625 L
.67082 .50725 L
.66737 .51208 L
.6667 .51317 L
.66584 .51691 L
.66187 .52042 L
.66022 .52174 L
.65704 .52603 L
.6566 .52658 L
.65318 .53141 L
.6522 .53242 L
.64909 .53624 L
.64737 .53904 L
.64515 .54107 L
.64254 .54436 L
.64112 .5459 L
.63771 .54993 L
.63343 .5459 L
.63644 .54107 L
.63771 .53918 L
.63971 .53624 L
.64254 .53209 L
.64303 .53141 L
.64608 .52658 L
.64737 .52487 L
.64999 .52174 L
.6522 .51869 L
.65357 .51691 L
.65704 .51218 L
.65711 .51208 L
.65992 .50725 L
.66187 .50553 L
.66461 .50242 L
.6667 .49823 L
.66844 .49758 L
.67153 .49361 L
.67231 .49275 L
.6763 .48792 L
.67636 .48782 L
.68077 .48309 L
F
1 .75 0 r
.68603 .49396 m
.69062 .49758 L
.68775 .50242 L
.68603 .50501 L
.68458 .50725 L
.68121 .51208 L
.68119 .51228 L
.67827 .51691 L
.67636 .51968 L
.6745 .52174 L
.67153 .52582 L
.67097 .52658 L
.66722 .53141 L
.6667 .53241 L
.66486 .53624 L
.66187 .53916 L
.6601 .54107 L
.65704 .54511 L
.65638 .5459 L
.65271 .55073 L
.6522 .55128 L
.64871 .55557 L
.64737 .55749 L
.64464 .5604 L
.64254 .56421 L
.64033 .56523 L
.63771 .56816 L
.63358 .56523 L
.63633 .5604 L
.63771 .55823 L
.63945 .55557 L
.64254 .55086 L
.64263 .55073 L
.64521 .5459 L
.64737 .54295 L
.64947 .54107 L
.6522 .53724 L
.65296 .53624 L
.65641 .53141 L
.65704 .53051 L
.65821 .52658 L
.66187 .52343 L
.66378 .52174 L
.6667 .5178 L
.66743 .51691 L
.6709 .51208 L
.67153 .51146 L
.67498 .50725 L
.67636 .50491 L
.67894 .50242 L
.68119 .49952 L
.68299 .49758 L
F
1 .525 0 r
.67153 .47658 m
.67622 .47826 L
.67335 .48309 L
.67153 .48595 L
.67022 .48792 L
.66711 .49275 L
.6667 .49338 L
.66362 .49758 L
.66187 .50004 L
.66011 .50242 L
.65704 .50668 L
.65659 .50725 L
.65351 .51208 L
.6522 .51337 L
.64925 .51691 L
.64737 .52079 L
.64543 .52174 L
.64254 .52547 L
.64156 .52658 L
.63771 .53129 L
.63368 .52658 L
.63597 .52174 L
.63771 .51944 L
.6402 .51691 L
.64254 .51357 L
.64364 .51208 L
.64702 .50725 L
.64737 .50679 L
.65072 .50242 L
.6522 .4995 L
.65442 .49758 L
.65704 .49409 L
.65814 .49275 L
.66187 .48792 L
.66187 .48792 L
.66588 .48309 L
.6667 .4816 L
.67014 .47826 L
F
0 .6 1 r
.67636 .48815 m
.68032 .49275 L
.67789 .49758 L
.67636 .49998 L
.67402 .50242 L
.67153 .50601 L
.67064 .50725 L
.66723 .51208 L
.6667 .51293 L
.66568 .51691 L
.66187 .52025 L
.66007 .52174 L
.65704 .52583 L
.65644 .52658 L
.65298 .53141 L
.6522 .5322 L
.64891 .53624 L
.64737 .5388 L
.64494 .54107 L
.64254 .54408 L
.64084 .5459 L
.63771 .54956 L
.63374 .5459 L
.63666 .54107 L
.63771 .53949 L
.6399 .53624 L
.64254 .53233 L
.64321 .53141 L
.64627 .52658 L
.64737 .52512 L
.65013 .52174 L
.6522 .51887 L
.65371 .51691 L
.65704 .51236 L
.65726 .51208 L
.66013 .50725 L
.66187 .50574 L
.66476 .50242 L
.6667 .49839 L
.66862 .49758 L
.67153 .49386 L
.67254 .49275 L
F
1 .5 0 r
.67153 .47691 m
.67586 .47826 L
.67313 .48309 L
.67153 .48563 L
.67003 .48792 L
.66691 .49275 L
.6667 .49308 L
.66347 .49758 L
.66187 .49984 L
.65996 .50242 L
.65704 .50649 L
.65645 .50725 L
.65331 .51208 L
.6522 .51316 L
.64911 .51691 L
.64737 .5206 L
.64526 .52174 L
.64254 .52525 L
.64135 .52658 L
.63771 .53102 L
.6339 .52658 L
.63626 .52174 L
.63771 .51982 L
.64036 .51691 L
.64254 .51377 L
.64379 .51208 L
.64718 .50725 L
.64737 .507 L
.65085 .50242 L
.6522 .49969 L
.65456 .49758 L
.65704 .49427 L
.6583 .49275 L
.66187 .48813 L
.66205 .48792 L
.66607 .48309 L
.6667 .48193 L
.6704 .47826 L
F
0 .675 1 r
.63771 .43046 m
.63786 .43477 L
.63771 .43503 L
.63395 .43477 L
F
0 .575 1 r
.67636 .48849 m
.68004 .49275 L
.67757 .49758 L
.67636 .4995 L
.67384 .50242 L
.67153 .50576 L
.67047 .50725 L
.66709 .51208 L
.6667 .51269 L
.66549 .51691 L
.66187 .52005 L
.65992 .52174 L
.65704 .52563 L
.65628 .52658 L
.65277 .53141 L
.6522 .53197 L
.64874 .53624 L
.64737 .53855 L
.64473 .54107 L
.64254 .5438 L
.64054 .5459 L
.63771 .54917 L
.63406 .5459 L
.63689 .54107 L
.63771 .53982 L
.6401 .53624 L
.64254 .53259 L
.64338 .53141 L
.64646 .52658 L
.64737 .52537 L
.65027 .52174 L
.6522 .51906 L
.65385 .51691 L
.65704 .51255 L
.65741 .51208 L
.66037 .50725 L
.66187 .50595 L
.66492 .50242 L
.6667 .49859 L
.66881 .49758 L
.67153 .49411 L
.67278 .49275 L
F
1 .925 .098 r
.71019 .50161 m
.7122 .50242 L
.71169 .50725 L
.71019 .50831 L
.70829 .51208 L
.7054 .51691 L
.70535 .51699 L
.70226 .52174 L
.70052 .52546 L
.69917 .52658 L
.6958 .53141 L
.69569 .53154 L
.69144 .53624 L
.69086 .5385 L
.68926 .54107 L
.68603 .54538 L
.68542 .5459 L
.68191 .55073 L
.68119 .55152 L
.67785 .55557 L
.67636 .55815 L
.67584 .5604 L
.67153 .56471 L
.67101 .56523 L
.66737 .57006 L
.6667 .57073 L
.66378 .57489 L
.66187 .57711 L
.65983 .57973 L
.65704 .58347 L
.65598 .58456 L
.6522 .58928 L
.65211 .58939 L
.64851 .59422 L
.64737 .59497 L
.64368 .59905 L
.64254 .6005 L
.63872 .60388 L
.63771 .60567 L
.63409 .60388 L
.63607 .59905 L
.63771 .5961 L
.63883 .59422 L
.64172 .58939 L
.64254 .58756 L
.64508 .58456 L
.64737 .58124 L
.64844 .57973 L
.65203 .57489 L
.6522 .57424 L
.65473 .57006 L
.65704 .56685 L
.65888 .56523 L
.66187 .56111 L
.66241 .5604 L
.66601 .55557 L
.6667 .55445 L
.66822 .55073 L
.67153 .54752 L
.67329 .5459 L
.67636 .54172 L
.67688 .54107 L
.68031 .53624 L
.68119 .53528 L
.68432 .53141 L
.68603 .52864 L
.6881 .52658 L
.69086 .5229 L
.69186 .52174 L
.69559 .51691 L
.69569 .51683 L
.69975 .51208 L
.70052 .51084 L
.70412 .50725 L
.70535 .50472 L
.70927 .50242 L
F
1 .475 0 r
.66187 .48834 m
.6667 .49275 L
.66333 .49758 L
.66187 .49964 L
.65982 .50242 L
.65704 .5063 L
.6563 .50725 L
.65309 .51208 L
.6522 .51295 L
.64896 .51691 L
.64737 .52039 L
.64509 .52174 L
.64254 .52503 L
.64114 .52658 L
.63771 .53074 L
.63413 .52658 L
.63658 .52174 L
.63771 .52024 L
.64051 .51691 L
.64254 .51398 L
.64394 .51208 L
.64735 .50725 L
.64737 .50722 L
.65098 .50242 L
.6522 .49991 L
.6547 .49758 L
.65704 .49446 L
.65846 .49275 L
F
1 .725 0 r
.68603 .49445 m
.69017 .49758 L
.68741 .50242 L
.68603 .50454 L
.6843 .50725 L
.68119 .5119 L
.68107 .51208 L
.67806 .51691 L
.67636 .51939 L
.6743 .52174 L
.67153 .52556 L
.67078 .52658 L
.6671 .53141 L
.6667 .53217 L
.66467 .53624 L
.66187 .53893 L
.65991 .54107 L
.65704 .54485 L
.65617 .5459 L
.65245 .55073 L
.6522 .551 L
.64846 .55557 L
.64737 .55714 L
.64431 .5604 L
.64254 .56379 L
.63985 .56523 L
.63771 .56755 L
.63414 .56523 L
.63668 .5604 L
.63771 .55874 L
.63973 .55557 L
.64254 .55122 L
.64288 .55073 L
.64546 .5459 L
.64737 .54328 L
.64965 .54107 L
.6522 .53747 L
.65313 .53624 L
.65657 .53141 L
.65704 .53074 L
.65842 .52658 L
.66187 .52364 L
.66394 .52174 L
.6667 .51802 L
.66761 .51691 L
.67115 .51208 L
.67153 .51171 L
.67518 .50725 L
.67636 .50521 L
.67919 .50242 L
.68119 .49987 L
.68335 .49758 L
F
.004 .825 1 r
.69569 .50025 m
.70033 .50242 L
.69777 .50725 L
.69569 .51058 L
.69478 .51208 L
.6914 .51691 L
.69086 .51838 L
.68957 .52174 L
.68603 .52513 L
.68503 .52658 L
.68161 .53141 L
.68119 .53194 L
.67804 .53624 L
.67636 .53881 L
.67454 .54107 L
.67153 .54563 L
.67093 .5459 L
.66693 .55073 L
.6667 .55148 L
.66416 .55557 L
.66187 .55797 L
.65986 .5604 L
.65704 .56452 L
.65605 .56523 L
.65222 .57006 L
.6522 .57008 L
.6491 .57489 L
.64737 .57594 L
.64391 .57973 L
.64254 .58178 L
.63914 .58456 L
.63771 .58601 L
.63427 .58456 L
.63647 .57973 L
.63771 .57759 L
.63935 .57489 L
.64238 .57006 L
.64254 .56971 L
.64418 .56523 L
.64737 .56278 L
.64906 .5604 L
.6522 .55591 L
.65246 .55557 L
.6557 .55073 L
.65704 .54887 L
.65955 .5459 L
.66187 .54272 L
.66314 .54107 L
.66668 .53624 L
.6667 .5362 L
.66964 .53141 L
.67153 .52955 L
.67412 .52658 L
.67636 .52252 L
.67786 .52174 L
.68119 .51734 L
.68156 .51691 L
.68463 .51208 L
.68603 .51118 L
.68953 .50725 L
.69086 .50482 L
.69385 .50242 L
F
.212 .95 1 r
.71502 .51117 m
.71985 .5073 L
.72098 .51208 L
.71985 .51438 L
.71866 .51691 L
.71535 .52174 L
.71502 .52375 L
.71344 .52658 L
.71019 .53074 L
.70977 .53141 L
.70657 .53624 L
.70535 .5379 L
.70252 .54107 L
.70052 .54496 L
.6997 .5459 L
.69621 .55073 L
.69569 .55126 L
.69275 .55557 L
.69086 .55794 L
.68899 .5604 L
.68603 .56461 L
.68551 .56523 L
.68195 .57006 L
.68119 .57072 L
.67743 .57489 L
.67636 .57729 L
.67514 .57973 L
.67153 .58383 L
.67094 .58456 L
.66727 .58939 L
.6667 .58979 L
.66337 .59422 L
.66187 .59612 L
.65971 .59905 L
.65704 .60245 L
.65582 .60388 L
.6522 .60849 L
.65189 .60872 L
.64797 .61355 L
.64737 .61394 L
.64331 .61838 L
.64254 .61923 L
.63802 .62321 L
.63771 .6236 L
.63433 .62321 L
.63582 .61838 L
.63771 .61476 L
.63841 .61355 L
.641 .60872 L
.64254 .60696 L
.64458 .60388 L
.64737 .5998 L
.6479 .59905 L
.65151 .59422 L
.6522 .59255 L
.65374 .58939 L
.65704 .58631 L
.65833 .58456 L
.66182 .57973 L
.66187 .57966 L
.66528 .57489 L
.6667 .57279 L
.66906 .57006 L
.67153 .56566 L
.67266 .56523 L
.67629 .5604 L
.67636 .56018 L
.67929 .55557 L
.68119 .55352 L
.6836 .55073 L
.68603 .54667 L
.68725 .5459 L
.69082 .54107 L
.69086 .54103 L
.69358 .53624 L
.69569 .5346 L
.69844 .53141 L
.70052 .52797 L
.70225 .52658 L
.70535 .52252 L
.70605 .52174 L
.71003 .51691 L
.71019 .51669 L
.71447 .51208 L
F
1 .45 0 r
.66187 .48856 m
.66651 .49275 L
.66317 .49758 L
.66187 .49943 L
.65967 .50242 L
.65704 .50611 L
.65615 .50725 L
.65287 .51208 L
.6522 .51272 L
.64881 .51691 L
.64737 .52016 L
.64492 .52174 L
.64254 .5248 L
.64092 .52658 L
.63771 .53044 L
.63436 .52658 L
.63693 .52174 L
.63771 .5207 L
.64067 .51691 L
.64254 .51419 L
.64409 .51208 L
.64737 .50742 L
.6475 .50725 L
.65111 .50242 L
.6522 .50014 L
.65485 .49758 L
.65704 .49465 L
.65863 .49275 L
F
0 .55 1 r
.67636 .48884 m
.67975 .49275 L
.67722 .49758 L
.67636 .49895 L
.67364 .50242 L
.67153 .5055 L
.67029 .50725 L
.66693 .51208 L
.6667 .51244 L
.66527 .51691 L
.66187 .51984 L
.65977 .52174 L
.65704 .52543 L
.65611 .52658 L
.65254 .53141 L
.6522 .53174 L
.64855 .53624 L
.64737 .53828 L
.64451 .54107 L
.64254 .5435 L
.64023 .5459 L
.63771 .54877 L
.63441 .5459 L
.63712 .54107 L
.63771 .54016 L
.64029 .53624 L
.64254 .53285 L
.64356 .53141 L
.64666 .52658 L
.64737 .52564 L
.65041 .52174 L
.6522 .51926 L
.654 .51691 L
.65704 .51274 L
.65757 .51208 L
.66062 .50725 L
.66187 .50618 L
.66507 .50242 L
.6667 .49881 L
.66901 .49758 L
.67153 .49437 L
.67304 .49275 L
F
0 .375 1 r
.66187 .47126 m
.66556 .47342 L
.66268 .47826 L
.66187 .4795 L
.65939 .48309 L
.65704 .48659 L
.65605 .48792 L
.65317 .49275 L
.6522 .49367 L
.649 .49758 L
.64737 .49981 L
.64526 .50242 L
.64254 .50604 L
.64149 .50725 L
.63771 .51203 L
.63447 .50725 L
.63761 .50242 L
.63771 .50229 L
.64112 .49758 L
.64254 .49559 L
.6447 .49275 L
.64737 .48908 L
.64832 .48792 L
.65164 .48309 L
.6522 .48268 L
.65592 .47826 L
.65704 .47682 L
.66008 .47342 L
F
1 .425 0 r
.66187 .48879 m
.66632 .49275 L
.66302 .49758 L
.66187 .49922 L
.65953 .50242 L
.65704 .50591 L
.65599 .50725 L
.65263 .51208 L
.6522 .51249 L
.64866 .51691 L
.64737 .5199 L
.64475 .52174 L
.64254 .52457 L
.64069 .52658 L
.63771 .53014 L
.63461 .52658 L
.63731 .52174 L
.63771 .5212 L
.64083 .51691 L
.64254 .51441 L
.64425 .51208 L
.64737 .50762 L
.64766 .50725 L
.65125 .50242 L
.6522 .50038 L
.65499 .49758 L
.65704 .49485 L
.6588 .49275 L
F
0 .35 1 r
.63771 .50258 m
.6413 .50725 L
.63771 .51178 L
.63467 .50725 L
F
0 .525 1 r
.67636 .48921 m
.67944 .49275 L
.67683 .49758 L
.67636 .49834 L
.67345 .50242 L
.67153 .50523 L
.67011 .50725 L
.66677 .51208 L
.6667 .51218 L
.66503 .51691 L
.66187 .51962 L
.65961 .52174 L
.65704 .52522 L
.65594 .52658 L
.6523 .53141 L
.6522 .5315 L
.64837 .53624 L
.64737 .53799 L
.64427 .54107 L
.64254 .5432 L
.63989 .5459 L
.63771 .54833 L
.63478 .5459 L
.63736 .54107 L
.63771 .54053 L
.6405 .53624 L
.64254 .53312 L
.64375 .53141 L
.64687 .52658 L
.64737 .52593 L
.65056 .52174 L
.6522 .51945 L
.65415 .51691 L
.65704 .51293 L
.65773 .51208 L
.66088 .50725 L
.66187 .50641 L
.66524 .50242 L
.6667 .49907 L
.66921 .49758 L
.67153 .49463 L
.67332 .49275 L
F
1 .7 0 r
.68603 .49496 m
.68968 .49758 L
.68706 .50242 L
.68603 .50404 L
.68402 .50725 L
.68119 .51153 L
.68082 .51208 L
.67784 .51691 L
.67636 .51907 L
.6741 .52174 L
.67153 .5253 L
.67059 .52658 L
.66698 .53141 L
.6667 .53192 L
.66447 .53624 L
.66187 .53869 L
.65972 .54107 L
.65704 .54459 L
.65595 .5459 L
.6522 .55071 L
.65218 .55073 L
.64819 .55557 L
.64737 .55676 L
.64396 .5604 L
.64254 .56327 L
.6393 .56523 L
.63771 .56688 L
.63478 .56523 L
.63705 .5604 L
.63771 .5593 L
.64003 .55557 L
.64254 .5516 L
.64313 .55073 L
.64573 .5459 L
.64737 .54365 L
.64984 .54107 L
.6522 .53771 L
.65331 .53624 L
.65674 .53141 L
.65704 .53099 L
.65865 .52658 L
.66187 .52386 L
.66411 .52174 L
.6667 .51824 L
.66779 .51691 L
.67142 .51208 L
.67153 .51197 L
.67539 .50725 L
.67636 .50554 L
.67946 .50242 L
.68119 .50022 L
.68374 .49758 L
F
1 .4 0 r
.63771 .52175 m
.64045 .52658 L
.63771 .52982 L
.63486 .52658 L
F
0 .325 1 r
.63771 .50284 m
.6411 .50725 L
.63771 .51151 L
.63487 .50725 L
F
1 .825 .004 r
.63771 .41294 m
.63777 .41544 L
.63771 .41557 L
.63493 .41544 L
F
0 .3 1 r
.63771 .50311 m
.64089 .50725 L
.63771 .51123 L
.63508 .50725 L
F
1 .375 0 r
.63771 .52208 m
.64018 .52658 L
.63771 .52948 L
.63514 .52658 L
F
0 .5 1 r
.67636 .4896 m
.67912 .49275 L
.6764 .49758 L
.67636 .49765 L
.67325 .50242 L
.67153 .50496 L
.66993 .50725 L
.6667 .51193 L
.66659 .51208 L
.66476 .51691 L
.66187 .51937 L
.65945 .52174 L
.65704 .52501 L
.65577 .52658 L
.6522 .53127 L
.65209 .53141 L
.64818 .53624 L
.64737 .53767 L
.64403 .54107 L
.64254 .54289 L
.63952 .5459 L
.63771 .54787 L
.6352 .5459 L
.63762 .54107 L
.63771 .54092 L
.6407 .53624 L
.64254 .53341 L
.64394 .53141 L
.6471 .52658 L
.64737 .52622 L
.6507 .52174 L
.6522 .51965 L
.6543 .51691 L
.65704 .51313 L
.65789 .51208 L
.66116 .50725 L
.66187 .50666 L
.6654 .50242 L
.6667 .49936 L
.66941 .49758 L
.67153 .49491 L
.67361 .49275 L
F
0 .275 1 r
.63771 .50341 m
.64066 .50725 L
.63771 .51094 L
.63531 .50725 L
F
.045 .9 1 r
.63771 .39439 m
.63794 .39612 L
.63771 .39673 L
.63539 .39612 L
F
1 .325 0 r
.63771 .48454 m
.64122 .48792 L
.63771 .49259 L
.63542 .48792 L
F
1 .35 0 r
.63771 .52244 m
.6399 .52658 L
.63771 .52911 L
.63543 .52658 L
F
0 .25 1 r
.63771 .50372 m
.64042 .50725 L
.63771 .51063 L
.63554 .50725 L
F
1 .675 0 r
.68603 .49552 m
.68914 .49758 L
.6867 .50242 L
.68603 .5035 L
.68373 .50725 L
.68119 .51114 L
.68057 .51208 L
.6776 .51691 L
.67636 .51872 L
.6739 .52174 L
.67153 .52503 L
.67039 .52658 L
.66684 .53141 L
.6667 .53166 L
.66424 .53624 L
.66187 .53844 L
.65952 .54107 L
.65704 .54433 L
.65573 .5459 L
.6522 .55041 L
.65192 .55073 L
.64792 .55557 L
.64737 .55637 L
.64359 .5604 L
.64254 .56261 L
.63863 .56523 L
.63771 .56613 L
.6356 .56523 L
.63745 .5604 L
.63771 .55994 L
.64033 .55557 L
.64254 .552 L
.6434 .55073 L
.64604 .5459 L
.64737 .54406 L
.65002 .54107 L
.6522 .53796 L
.65349 .53624 L
.65692 .53141 L
.65704 .53124 L
.65891 .52658 L
.66187 .5241 L
.66427 .52174 L
.6667 .51846 L
.66798 .51691 L
.67153 .51223 L
.67166 .51208 L
.6756 .50725 L
.67636 .50589 L
.67973 .50242 L
.68119 .50059 L
.68417 .49758 L
F
1 .3 0 r
.63771 .48484 m
.64099 .48792 L
.63771 .49229 L
.63564 .48792 L
F
0 .475 1 r
.63771 .54142 m
.6391 .5459 L
.63771 .54735 L
.63567 .5459 L
F
1 .325 0 r
.63771 .52284 m
.63959 .52658 L
.63771 .52872 L
.63575 .52658 L
F
0 .225 1 r
.63771 .50405 m
.64016 .50725 L
.63771 .51029 L
.6358 .50725 L
F
1 .275 0 r
.63771 .48516 m
.64073 .48792 L
.63771 .49197 L
.63588 .48792 L
F
0 .2 1 r
.63771 .50442 m
.63988 .50725 L
.63771 .50992 L
.63607 .50725 L
F
.002 .8 1 r
.69569 .50112 m
.69935 .50242 L
.69714 .50725 L
.69569 .50968 L
.69429 .51208 L
.69114 .51691 L
.69086 .51768 L
.6893 .52174 L
.68603 .52467 L
.68472 .52658 L
.68131 .53141 L
.68119 .53156 L
.67783 .53624 L
.67636 .53847 L
.67429 .54107 L
.67153 .54549 L
.67067 .5459 L
.66684 .55073 L
.6667 .55118 L
.66389 .55557 L
.66187 .55763 L
.65957 .5604 L
.65704 .56425 L
.65571 .56523 L
.6522 .56963 L
.65181 .57006 L
.64818 .57489 L
.64737 .57535 L
.64327 .57973 L
.64254 .58084 L
.63786 .58456 L
.63771 .58469 L
.63611 .58456 L
.63716 .57973 L
.63771 .57869 L
.63987 .57489 L
.64254 .57043 L
.64279 .57006 L
.6446 .56523 L
.64737 .56321 L
.64934 .5604 L
.6522 .55626 L
.65272 .55557 L
.65593 .55073 L
.65704 .5492 L
.65975 .5459 L
.66187 .54299 L
.66335 .54107 L
.6667 .53647 L
.66689 .53624 L
.66991 .53141 L
.67153 .52984 L
.67434 .52658 L
.67636 .52275 L
.67811 .52174 L
.68119 .51769 L
.68187 .51691 L
.68534 .51208 L
.68603 .51165 L
.68995 .50725 L
.69086 .50553 L
.69453 .50242 L
F
1 .3 0 r
.63771 .5233 m
.63924 .52658 L
.63771 .52827 L
.63612 .52658 L
F
1 .25 0 r
.63771 .48551 m
.64046 .48792 L
.63771 .49162 L
.63613 .48792 L
F
0 .45 1 r
.63771 .54204 m
.63858 .5459 L
.63771 .54676 L
.63627 .5459 L
F
0 .175 1 r
.63771 .50484 m
.63956 .50725 L
.63771 .5095 L
.63637 .50725 L
F
1 .225 0 r
.63771 .48588 m
.64015 .48792 L
.63771 .49122 L
.6364 .48792 L
F
0 .35 1 r
.63771 .46686 m
.64075 .46859 L
.63771 .47306 L
.63647 .46859 L
F
1 .275 0 r
.63771 .52385 m
.63882 .52658 L
.63771 .52776 L
.63655 .52658 L
F
1 .2 0 r
.63771 .48631 m
.63981 .48792 L
.63771 .49078 L
.6367 .48792 L
F
0 .15 1 r
.63771 .50532 m
.63919 .50725 L
.63771 .50902 L
.63671 .50725 L
F
0 .325 1 r
.63771 .4673 m
.64036 .46859 L
.63771 .47259 L
.63679 .46859 L
F
1 .175 0 r
.63771 .48681 m
.63938 .48792 L
.63771 .49023 L
.63704 .48792 L
F
.461 .975 1 r
.63771 .65416 m
.6405 .65704 L
.63771 .65817 L
.63712 .65704 L
F
1 .25 0 r
.63771 .5246 m
.63826 .52658 L
.63771 .52711 L
.63712 .52658 L
F
0 .125 1 r
.63771 .50595 m
.6387 .50725 L
.63771 .5084 L
.63713 .50725 L
F
0 .3 1 r
.63771 .4678 m
.63988 .46859 L
.63771 .47203 L
.63716 .46859 L
F
0 .425 1 r
.63771 .5429 m
.63785 .5459 L
.63771 .54602 L
.63728 .5459 L
F
1 .15 0 r
.63771 .48746 m
.63878 .48792 L
.63771 .48946 L
.63746 .48792 L
F
0 .275 1 r
.63771 .46843 m
.63918 .46859 L
.63771 .47127 L
.6376 .46859 L
F
1 .9 .045 r
.63771 .59896 m
.6421 .59905 L
.63771 .60118 L
.63768 .59905 L
F
1 .4 0 r
.66187 .48902 m
.66612 .49275 L
.66286 .49758 L
.66187 .499 L
.65937 .50242 L
.65704 .50571 L
.65584 .50725 L
.65238 .51208 L
.6522 .51225 L
.64851 .51691 L
.64737 .51961 L
.64456 .52174 L
.64254 .52433 L
.63771 .52174 L
.64099 .51691 L
.64254 .51464 L
.64441 .51208 L
.64737 .50782 L
.64782 .50725 L
.65139 .50242 L
.6522 .50065 L
.65514 .49758 L
.65704 .49505 L
.65898 .49275 L
F
1 .45 0 r
.6522 .46454 m
.65604 .46859 L
.65282 .47342 L
.6522 .47431 L
.64932 .47826 L
.64737 .48102 L
.64576 .48309 L
.64254 .48754 L
.63782 .48309 L
.64142 .47826 L
.64254 .47571 L
.64517 .47342 L
.64737 .47052 L
.64901 .46859 L
F
0 .35 1 r
.66187 .47157 m
.66526 .47342 L
.66248 .47826 L
.66187 .47921 L
.65922 .48309 L
.65704 .48636 L
.65588 .48792 L
.65287 .49275 L
.6522 .49338 L
.64885 .49758 L
.64737 .49961 L
.6451 .50242 L
.64254 .50583 L
.63783 .50242 L
.64127 .49758 L
.64254 .4958 L
.64486 .49275 L
.64737 .48929 L
.64848 .48792 L
.65202 .48309 L
.6522 .48295 L
.6561 .47826 L
.65704 .47705 L
.66033 .47342 L
F
1 .65 0 r
.68603 .49614 m
.68852 .49758 L
.68631 .50242 L
.68603 .50289 L
.68343 .50725 L
.68119 .51074 L
.6803 .51208 L
.67734 .51691 L
.67636 .51834 L
.6737 .52174 L
.67153 .52476 L
.67019 .52658 L
.6667 .5314 L
.66669 .53141 L
.66399 .53624 L
.66187 .53817 L
.65932 .54107 L
.65704 .54407 L
.65551 .5459 L
.6522 .55011 L
.65165 .55073 L
.64763 .55557 L
.64737 .55594 L
.64319 .5604 L
.64254 .56181 L
.63792 .5604 L
.64065 .55557 L
.64254 .55244 L
.64367 .55073 L
.64637 .5459 L
.64737 .54451 L
.65021 .54107 L
.6522 .53821 L
.65367 .53624 L
.65704 .53149 L
.6571 .53141 L
.6592 .52658 L
.66187 .52436 L
.66444 .52174 L
.6667 .51869 L
.66817 .51691 L
.67153 .51249 L
.67189 .51208 L
.67582 .50725 L
.67636 .50627 L
.68003 .50242 L
.68119 .50097 L
.68468 .49758 L
F
0 .475 1 r
.67153 .49519 m
.67611 .49758 L
.67304 .50242 L
.67153 .50467 L
.66974 .50725 L
.6667 .51169 L
.66641 .51208 L
.66446 .51691 L
.66187 .5191 L
.65929 .52174 L
.65704 .52479 L
.65559 .52658 L
.6522 .53104 L
.65188 .53141 L
.64798 .53624 L
.64737 .53734 L
.64378 .54107 L
.64254 .54257 L
.63792 .54107 L
.64092 .53624 L
.64254 .5337 L
.64413 .53141 L
.64734 .52658 L
.64737 .52654 L
.65085 .52174 L
.6522 .51985 L
.65445 .51691 L
.65704 .51334 L
.65805 .51208 L
.66146 .50725 L
.66187 .50691 L
.66557 .50242 L
.6667 .49969 L
.66963 .49758 L
F
1 .375 0 r
.64737 .50804 m
.65215 .51208 L
.64835 .51691 L
.64737 .51929 L
.64437 .52174 L
.64254 .52408 L
.63794 .52174 L
.64116 .51691 L
.64254 .51487 L
.64457 .51208 L
F
1 .425 0 r
.6522 .46482 m
.65582 .46859 L
.65265 .47342 L
.6522 .47407 L
.64916 .47826 L
.64737 .4808 L
.64559 .48309 L
.64254 .48732 L
.63801 .48309 L
.64159 .47826 L
.64254 .47603 L
.64535 .47342 L
.64737 .47076 L
.64923 .46859 L
F
0 .325 1 r
.6522 .48321 m
.6557 .48792 L
.65255 .49275 L
.6522 .49308 L
.6487 .49758 L
.64737 .49941 L
.64493 .50242 L
.64254 .50561 L
.63802 .50242 L
.64142 .49758 L
.64254 .49601 L
.64502 .49275 L
.64737 .4895 L
.64866 .48792 L
F
1 .35 0 r
.64737 .50825 m
.65197 .51208 L
.64819 .51691 L
.64737 .51894 L
.64418 .52174 L
.64254 .52382 L
.63818 .52174 L
.64133 .51691 L
.64254 .51511 L
.64473 .51208 L
F
1 .4 0 r
.6522 .46511 m
.65558 .46859 L
.65248 .47342 L
.6522 .47382 L
.64899 .47826 L
.64737 .48057 L
.64542 .48309 L
.64254 .48709 L
.63821 .48309 L
.64176 .47826 L
.64254 .47639 L
.64554 .47342 L
.64737 .471 L
.64945 .46859 L
F
0 .3 1 r
.6522 .48344 m
.65552 .48792 L
.65221 .49275 L
.6522 .49276 L
.64855 .49758 L
.64737 .4992 L
.64476 .50242 L
.64254 .50538 L
.63822 .50242 L
.64158 .49758 L
.64254 .49623 L
.64518 .49275 L
.64737 .48972 L
.64884 .48792 L
F
0 .45 1 r
.64737 .5268 m
.65168 .53141 L
.64777 .53624 L
.64737 .53697 L
.64351 .54107 L
.64254 .54223 L
.63827 .54107 L
.64114 .53624 L
.64254 .53402 L
.64433 .53141 L
F
1 .375 0 r
.6522 .46542 m
.65534 .46859 L
.65229 .47342 L
.6522 .47356 L
.64882 .47826 L
.64737 .48033 L
.64524 .48309 L
.64254 .48686 L
.63841 .48309 L
.64194 .47826 L
.64254 .47678 L
.64573 .47342 L
.64737 .47126 L
.64968 .46859 L
F
0 .275 1 r
.64737 .48994 m
.65202 .49275 L
.64839 .49758 L
.64737 .49899 L
.64458 .50242 L
.64254 .50514 L
.63843 .50242 L
.64175 .49758 L
.64254 .49646 L
.64535 .49275 L
F
1 .325 0 r
.64737 .50848 m
.65178 .51208 L
.64802 .51691 L
.64737 .51856 L
.64397 .52174 L
.64254 .52355 L
.63843 .52174 L
.64151 .51691 L
.64254 .51537 L
.6449 .51208 L
F
.461 .975 1 r
.73434 .52372 m
.73828 .52658 L
.73651 .53141 L
.73434 .53458 L
.7335 .53624 L
.73062 .54107 L
.72951 .54278 L
.72646 .5459 L
.72468 .55031 L
.72438 .55073 L
.72088 .55557 L
.71985 .55675 L
.71752 .5604 L
.71502 .56367 L
.71351 .56523 L
.71037 .57006 L
.71019 .57013 L
.70694 .57489 L
.70535 .57657 L
.70177 .57973 L
.70052 .58334 L
.69962 .58456 L
.69609 .58939 L
.69569 .58989 L
.69255 .59422 L
.69086 .5959 L
.68806 .59905 L
.68603 .60266 L
.68557 .60388 L
.68156 .60872 L
.68119 .60917 L
.67794 .61355 L
.67636 .61495 L
.67402 .61838 L
.67153 .62167 L
.67047 .62321 L
.66673 .62804 L
.6667 .62808 L
.6623 .63288 L
.66187 .63361 L
.65963 .63771 L
.65704 .63993 L
.65505 .64254 L
.6522 .64591 L
.65086 .64737 L
.64737 .65154 L
.64632 .6522 L
.64254 .65581 L
.63854 .6522 L
.63967 .64737 L
.64254 .64493 L
.64404 .64254 L
.64718 .63771 L
.64737 .63734 L
.65035 .63288 L
.6522 .63059 L
.65401 .62804 L
.65704 .62381 L
.65748 .62321 L
.66136 .61838 L
.66187 .61685 L
.6638 .61355 L
.6667 .61069 L
.66819 .60872 L
.67153 .60412 L
.67172 .60388 L
.67529 .59905 L
.67636 .59736 L
.6773 .59422 L
.68119 .59026 L
.68263 .58939 L
.68603 .58472 L
.68616 .58456 L
.68941 .57973 L
.69086 .57809 L
.69354 .57489 L
.69569 .5712 L
.69718 .57006 L
.70052 .56547 L
.70072 .56523 L
.70369 .5604 L
.70535 .55897 L
.7082 .55557 L
.71019 .55225 L
.71189 .55073 L
.71502 .54649 L
.71551 .5459 L
.71932 .54107 L
.71985 .54024 L
.72329 .53624 L
.72468 .53393 L
.72733 .53141 L
.72951 .52866 L
.73163 .52658 L
F
0 .5 1 r
.6522 .44733 m
.65507 .44927 L
.6524 .4541 L
.6522 .4544 L
.64912 .45893 L
.64737 .46158 L
.64575 .46376 L
.64254 .46844 L
.63856 .46376 L
.64225 .45893 L
.64254 .45841 L
.64625 .4541 L
.64737 .45269 L
.65055 .44927 L
F
1 .625 0 r
.64254 .55291 m
.64731 .55557 L
.64274 .5604 L
.64254 .56084 L
.63857 .5604 L
.64099 .55557 L
F
1 .35 0 r
.64737 .47152 m
.65208 .47342 L
.64864 .47826 L
.64737 .48009 L
.64505 .48309 L
.64254 .48661 L
.63862 .48309 L
.64212 .47826 L
.64254 .4772 L
.64593 .47342 L
F
0 .25 1 r
.64737 .49017 m
.65182 .49275 L
.64823 .49758 L
.64737 .49876 L
.6444 .50242 L
.64254 .5049 L
.63865 .50242 L
.64191 .49758 L
.64254 .4967 L
.64552 .49275 L
F
0 .425 1 r
.64737 .52706 m
.65146 .53141 L
.64756 .53624 L
.64737 .53659 L
.64322 .54107 L
.64254 .54187 L
.63867 .54107 L
.64137 .53624 L
.64254 .53435 L
.64454 .53141 L
F
1 .3 0 r
.64737 .50871 m
.65159 .51208 L
.64785 .51691 L
.64737 .51814 L
.64376 .52174 L
.64254 .52327 L
.63871 .52174 L
.64169 .51691 L
.64254 .51563 L
.64508 .51208 L
F
0 .475 1 r
.64737 .45305 m
.65211 .4541 L
.64888 .45893 L
.64737 .46125 L
.64552 .46376 L
.64254 .46814 L
.63881 .46376 L
.64249 .45893 L
.64254 .45884 L
.64653 .4541 L
F
1 .325 0 r
.64737 .47179 m
.65183 .47342 L
.64845 .47826 L
.64737 .47983 L
.64485 .48309 L
.64254 .48635 L
.63884 .48309 L
.64231 .47826 L
.64254 .47766 L
.64614 .47342 L
F
0 .225 1 r
.64737 .49041 m
.65161 .49275 L
.64806 .49758 L
.64737 .49854 L
.64421 .50242 L
.64254 .50464 L
.63888 .50242 L
.64209 .49758 L
.64254 .49694 L
.6457 .49275 L
F
1 .275 0 r
.64737 .50896 m
.65139 .51208 L
.64767 .51691 L
.64737 .51769 L
.64353 .52174 L
.64254 .52298 L
.63901 .52174 L
.64189 .51691 L
.64254 .51591 L
.64526 .51208 L
F
1 .3 0 r
.64737 .47208 m
.65156 .47342 L
.64826 .47826 L
.64737 .47956 L
.64465 .48309 L
.64254 .48608 L
.63907 .48309 L
.6425 .47826 L
.64254 .47816 L
.64635 .47342 L
F
0 .45 1 r
.64254 .4592 m
.64528 .46376 L
.64254 .46784 L
.63907 .46376 L
F
0 .2 1 r
.64737 .49066 m
.65139 .49275 L
.64789 .49758 L
.64737 .4983 L
.644 .50242 L
.64254 .50437 L
.63913 .50242 L
.64227 .49758 L
.64254 .4972 L
.64588 .49275 L
F
0 .4 1 r
.64254 .53471 m
.64732 .53624 L
.6429 .54107 L
.64254 .54149 L
.63914 .54107 L
.64161 .53624 L
F
1 .275 0 r
.64254 .47851 m
.64444 .48309 L
.64254 .4858 L
.63932 .48309 L
F
1 .25 0 r
.64737 .50921 m
.65118 .51208 L
.64748 .51691 L
.64737 .51719 L
.64328 .52174 L
.64254 .52266 L
.63934 .52174 L
.64209 .51691 L
.64254 .51621 L
.64545 .51208 L
F
0 .425 1 r
.64254 .45956 m
.64503 .46376 L
.64254 .46751 L
.63935 .46376 L
F
0 .175 1 r
.64737 .49093 m
.65116 .49275 L
.6477 .49758 L
.64737 .49804 L
.64379 .50242 L
.64254 .50409 L
.63939 .50242 L
.64246 .49758 L
.64254 .49747 L
.64608 .49275 L
F
1 .625 0 r
.64254 .44074 m
.64547 .44443 L
.64254 .44909 L
.63956 .44443 L
F
1 .25 0 r
.64254 .47884 m
.64421 .48309 L
.64254 .48549 L
.63958 .48309 L
F
0 .4 1 r
.64254 .45994 m
.64475 .46376 L
.64254 .46715 L
.63964 .46376 L
F
0 .15 1 r
.64254 .49779 m
.64356 .50242 L
.64254 .50378 L
.63969 .50242 L
F
1 .225 0 r
.64254 .51653 m
.64724 .51691 L
.64301 .52174 L
.64254 .52232 L
.63973 .52174 L
.6423 .51691 L
F
.64254 .4792 m
.64397 .48309 L
.64254 .48516 L
.63986 .48309 L
F
1 .9 .045 r
.64254 .58944 m
.64704 .59422 L
.64254 .59874 L
.63991 .59422 L
F
0 .375 1 r
.64254 .46036 m
.64446 .46376 L
.64254 .46676 L
.63996 .46376 L
F
1 .6 0 r
.64254 .44128 m
.64507 .44443 L
.64254 .44859 L
.63997 .44443 L
F
0 .125 1 r
.64254 .49817 m
.64331 .50242 L
.64254 .50345 L
.64002 .50242 L
F
1 .2 0 r
.64254 .4796 m
.6437 .48309 L
.64254 .4848 L
.64018 .48309 L
F
.64254 .51688 m
.64694 .51691 L
.64271 .52174 L
.64254 .52195 L
.64022 .52174 L
.64252 .51691 L
F
0 .35 1 r
.64254 .46082 m
.64414 .46376 L
.64254 .46633 L
.64032 .46376 L
F
0 .1 1 r
.64254 .4986 m
.64303 .50242 L
.64254 .50307 L
.64042 .50242 L
F
.001 .775 1 r
.64254 .57115 m
.6472 .57489 L
.64254 .5797 L
.64043 .57489 L
F
1 .575 0 r
.64254 .44188 m
.64462 .44443 L
.64254 .44803 L
.64044 .44443 L
F
1 .175 0 r
.64254 .48006 m
.64341 .48309 L
.64254 .48439 L
.64055 .48309 L
F
0 .325 1 r
.64254 .46135 m
.64377 .46376 L
.64254 .46583 L
.64073 .46376 L
F
0 .075 1 r
.64254 .49913 m
.64271 .50242 L
.64254 .50265 L
.64095 .50242 L
F
1 .55 0 r
.64254 .44258 m
.64408 .44443 L
.64254 .44734 L
.64099 .44443 L
F
1 .15 0 r
.64254 .48062 m
.64307 .48309 L
.64254 .48391 L
.641 .48309 L
F
0 .75 1 r
.64254 .57201 m
.6465 .57489 L
.64254 .57869 L
.64105 .57489 L
F
0 .725 1 r
.64254 .42347 m
.64459 .42511 L
.64254 .42923 L
.64106 .42511 L
F
0 .3 1 r
.64254 .46201 m
.64334 .46376 L
.64254 .46521 L
.64123 .46376 L
F
1 .875 .021 r
.64254 .59115 m
.64556 .59422 L
.64254 .59673 L
.64124 .59422 L
F
1 .6 0 r
.64254 .55344 m
.64688 .55557 L
.64254 .56002 L
.64135 .55557 L
F
.098 .925 1 r
.64254 .61017 m
.64456 .61355 L
.64254 .61492 L
.64152 .61355 L
F
1 .125 0 r
.64254 .48144 m
.64265 .48309 L
.64254 .48328 L
.64171 .48309 L
F
1 .525 0 r
.64254 .4435 m
.64336 .44443 L
.64254 .44639 L
.64172 .44443 L
F
1 .575 0 r
.64254 .55405 m
.6464 .55557 L
.64254 .55929 L
.64175 .55557 L
F
0 .725 1 r
.64254 .57313 m
.6456 .57489 L
.64254 .57741 L
.64178 .57489 L
F
0 .375 1 r
.64254 .53511 m
.64701 .53624 L
.64254 .54107 L
.64187 .53624 L
F
0 .275 1 r
.64254 .46304 m
.64275 .46376 L
.64254 .46425 L
.64202 .46376 L
F
0 .35 1 r
.64254 .53555 m
.64665 .53624 L
.64254 .54053 L
.64215 .53624 L
F
1 .55 0 r
.64254 .55483 m
.64579 .55557 L
.64254 .55835 L
.64219 .55557 L
F
0 .7 1 r
.64254 .42486 m
.64314 .42511 L
.64254 .42775 L
.64228 .42511 L
F
0 .325 1 r
.64254 .53607 m
.64622 .53624 L
.64254 .53985 L
.64245 .53624 L
F
1 .9 .045 r
.70052 .51208 m
.70441 .51691 L
.7016 .52174 L
.70052 .52429 L
.69852 .52658 L
.69569 .53072 L
.69523 .53141 L
.69124 .53624 L
.69086 .53784 L
.68894 .54107 L
.68603 .54499 L
.68501 .5459 L
.68149 .55073 L
.68119 .55107 L
.67758 .55557 L
.67636 .55767 L
.67569 .5604 L
.67153 .56432 L
.67061 .56523 L
.66694 .57006 L
.6667 .5703 L
.66338 .57489 L
.66187 .57654 L
.65933 .57973 L
.65704 .58286 L
.65537 .58456 L
.6522 .58844 L
.65131 .58939 L
.64737 .59391 L
.64257 .58939 L
.64567 .58456 L
.64737 .58201 L
.64893 .57973 L
.6522 .57491 L
.65221 .57489 L
.6551 .57006 L
.65704 .56734 L
.6592 .56523 L
.66187 .56152 L
.66272 .5604 L
.66625 .55557 L
.6667 .55485 L
.66854 .55073 L
.67153 .54787 L
.67357 .5459 L
.67636 .5421 L
.6772 .54107 L
.68069 .53624 L
.68119 .5357 L
.68466 .53141 L
.68603 .52911 L
.68851 .52658 L
.69086 .52347 L
.69239 .52174 L
.69569 .51759 L
.69633 .51691 L
F
1 .675 0 r
.6522 .42949 m
.65419 .42994 L
.65236 .43477 L
.6522 .43504 L
.64933 .4396 L
.64737 .44275 L
.6427 .4396 L
.64691 .43477 L
.64737 .43378 L
.65176 .42994 L
F
0 .15 1 r
.64737 .49121 m
.65091 .49275 L
.64751 .49758 L
.64737 .49778 L
.64271 .49758 L
.64628 .49275 L
F
1 .275 0 r
.64737 .47239 m
.65127 .47342 L
.64806 .47826 L
.64737 .47927 L
.64276 .47826 L
.64658 .47342 L
F
0 .45 1 r
.64737 .45342 m
.65172 .4541 L
.64864 .45893 L
.64737 .4609 L
.64279 .45893 L
.64683 .4541 L
F
1 .25 0 r
.64737 .47271 m
.65094 .47342 L
.64785 .47826 L
.64737 .47897 L
.64304 .47826 L
.64683 .47342 L
F
.002 .8 1 r
.64737 .41555 m
.64965 .42027 L
.64737 .42415 L
.64307 .42027 L
F
0 .425 1 r
.64737 .45383 m
.65127 .4541 L
.64837 .45893 L
.64737 .46052 L
.64312 .45893 L
.64716 .4541 L
F
1 .65 0 r
.64737 .4348 m
.64895 .4396 L
.64737 .44223 L
.64315 .4396 L
F
1 .975 .461 r
.71985 .52492 m
.72346 .52658 L
.72146 .53141 L
.71985 .53418 L
.71876 .53624 L
.71586 .54107 L
.71502 .5425 L
.71271 .5459 L
.71019 .5505 L
.70946 .55073 L
.70615 .55557 L
.70535 .55654 L
.70175 .5604 L
.70052 .5635 L
.69963 .56523 L
.69569 .57004 L
.69566 .57006 L
.6922 .57489 L
.69086 .57641 L
.68817 .57973 L
.68603 .58309 L
.68494 .58456 L
.68127 .58939 L
.68119 .58942 L
.67658 .59422 L
.67636 .59557 L
.67415 .59905 L
.67153 .60205 L
.67012 .60388 L
.6667 .60833 L
.6663 .60872 L
.6623 .61355 L
.66187 .61405 L
.65943 .61838 L
.65704 .61992 L
.65412 .62321 L
.6522 .62561 L
.64943 .62804 L
.64737 .63011 L
.64317 .62804 L
.64562 .62321 L
.64737 .62024 L
.64855 .61838 L
.65161 .61355 L
.6522 .61223 L
.65312 .60872 L
.65704 .60578 L
.6584 .60388 L
.66179 .59905 L
.66187 .59893 L
.66492 .59422 L
.6667 .59166 L
.66893 .58939 L
.67153 .58579 L
.67249 .58456 L
.67607 .57973 L
.67636 .57919 L
.67867 .57489 L
.68119 .57228 L
.68336 .57006 L
.68603 .5664 L
.68697 .56523 L
.69047 .5604 L
.69086 .55996 L
.69434 .55557 L
.69569 .55331 L
.69812 .55073 L
.70052 .54631 L
.70184 .5459 L
.70535 .54129 L
.70555 .54107 L
.70954 .53624 L
.71019 .53518 L
.71374 .53141 L
.71502 .52891 L
.71831 .52658 L
F
.001 .775 1 r
.68603 .51215 m
.69084 .51691 L
.68895 .52174 L
.68603 .52419 L
.68441 .52658 L
.68119 .53116 L
.68102 .53141 L
.67761 .53624 L
.67636 .53811 L
.67404 .54107 L
.67153 .54532 L
.67042 .5459 L
.66675 .55073 L
.6667 .55087 L
.6636 .55557 L
.66187 .55728 L
.65928 .5604 L
.65704 .56395 L
.65537 .56523 L
.6522 .56916 L
.65137 .57006 L
.64737 .57473 L
.64323 .57006 L
.64512 .56523 L
.64737 .56365 L
.64962 .5604 L
.6522 .55663 L
.65298 .55557 L
.65619 .55073 L
.65704 .54956 L
.65996 .5459 L
.66187 .54326 L
.66356 .54107 L
.6667 .53675 L
.66711 .53624 L
.67022 .53141 L
.67153 .53015 L
.67456 .52658 L
.67636 .52302 L
.67837 .52174 L
.68119 .51805 L
.6822 .51691 L
F
.098 .925 1 r
.71019 .51911 m
.71348 .52174 L
.71175 .52658 L
.71019 .52817 L
.70836 .53141 L
.70535 .53609 L
.70526 .53624 L
.70172 .54107 L
.70052 .54379 L
.69883 .5459 L
.69569 .55029 L
.69538 .55073 L
.69199 .55557 L
.69086 .55702 L
.68844 .5604 L
.68603 .56385 L
.68487 .56523 L
.68126 .57006 L
.68119 .57012 L
.67705 .57489 L
.67636 .57647 L
.67469 .57973 L
.67153 .58299 L
.67022 .58456 L
.6667 .58926 L
.66645 .58939 L
.66262 .59422 L
.66187 .59504 L
.65864 .59905 L
.65704 .60107 L
.65447 .60388 L
.6522 .60716 L
.64999 .60872 L
.64737 .61147 L
.64326 .60872 L
.64591 .60388 L
.64737 .60152 L
.64897 .59905 L
.65211 .59422 L
.6522 .59401 L
.65443 .58939 L
.65704 .58718 L
.65893 .58456 L
.66187 .58039 L
.66237 .57973 L
.66573 .57489 L
.6667 .57348 L
.6695 .57006 L
.67153 .56604 L
.67311 .56523 L
.67636 .56075 L
.67665 .5604 L
.67982 .55557 L
.68119 .55413 L
.68405 .55073 L
.68603 .54715 L
.68777 .5459 L
.69086 .54176 L
.69144 .54107 L
.6947 .53624 L
.69569 .53551 L
.69922 .53141 L
.70052 .52907 L
.70334 .52658 L
.70535 .52406 L
.70772 .52174 L
F
1 .225 0 r
.64737 .47307 m
.65055 .47342 L
.64762 .47826 L
.64737 .47863 L
.64337 .47826 L
.6471 .47342 L
F
0 .4 1 r
.64737 .4543 m
.64809 .45893 L
.64737 .4601 L
.64349 .45893 L
F
1 .875 .021 r
.70052 .51333 m
.70334 .51691 L
.70078 .52174 L
.70052 .52238 L
.69786 .52658 L
.69569 .52983 L
.69468 .53141 L
.69107 .53624 L
.69086 .53712 L
.68859 .54107 L
.68603 .54454 L
.68461 .5459 L
.68119 .55059 L
.68109 .55073 L
.67731 .55557 L
.67636 .55718 L
.67547 .5604 L
.67153 .56391 L
.67022 .56523 L
.6667 .56983 L
.66651 .57006 L
.66291 .57489 L
.66187 .57597 L
.6588 .57973 L
.65704 .58221 L
.65472 .58456 L
.6522 .58758 L
.65042 .58939 L
.64737 .59273 L
.64351 .58939 L
.64629 .58456 L
.64737 .58287 L
.64945 .57973 L
.6522 .57555 L
.65267 .57489 L
.65553 .57006 L
.65704 .56793 L
.65953 .56523 L
.66187 .56195 L
.66304 .5604 L
.66651 .55557 L
.6667 .55528 L
.66892 .55073 L
.67153 .54826 L
.67386 .5459 L
.67636 .54249 L
.67752 .54107 L
.68111 .53624 L
.68119 .53615 L
.685 .53141 L
.68603 .52964 L
.68895 .52658 L
.69086 .52407 L
.69297 .52174 L
.69569 .5184 L
.69719 .51691 L
F
1 .625 0 r
.64737 .43551 m
.64853 .4396 L
.64737 .44163 L
.64367 .4396 L
F
0 .75 1 r
.68603 .51263 m
.6904 .51691 L
.68851 .52174 L
.68603 .5237 L
.6841 .52658 L
.68119 .53075 L
.68073 .53141 L
.67737 .53624 L
.67636 .53774 L
.67379 .54107 L
.67153 .54511 L
.67016 .5459 L
.6667 .55053 L
.66654 .55073 L
.66327 .55557 L
.66187 .55692 L
.65898 .5604 L
.65704 .56361 L
.65501 .56523 L
.6522 .56868 L
.6509 .57006 L
.64737 .5741 L
.64371 .57006 L
.64575 .56523 L
.64737 .56413 L
.64992 .5604 L
.6522 .55701 L
.65325 .55557 L
.65646 .55073 L
.65704 .54995 L
.66017 .5459 L
.66187 .54355 L
.66377 .54107 L
.6667 .53703 L
.66734 .53624 L
.67054 .53141 L
.67153 .53048 L
.67478 .52658 L
.67636 .52334 L
.67865 .52174 L
.68119 .51842 L
.68255 .51691 L
F
1 .2 0 r
.64737 .47346 m
.64738 .47826 L
.64737 .47826 L
.64375 .47826 L
F
.001 .775 1 r
.64737 .41669 m
.64892 .42027 L
.64737 .42318 L
.64391 .42027 L
F
0 .375 1 r
.64737 .45489 m
.64778 .45893 L
.64737 .45962 L
.64393 .45893 L
F
1 .625 0 r
.68119 .50137 m
.68588 .50242 L
.68312 .50725 L
.68119 .51031 L
.68004 .51208 L
.67706 .51691 L
.67636 .51792 L
.67349 .52174 L
.67153 .52449 L
.66999 .52658 L
.6667 .53114 L
.66649 .53141 L
.66371 .53624 L
.66187 .53789 L
.65912 .54107 L
.65704 .5438 L
.65527 .5459 L
.6522 .5498 L
.65136 .55073 L
.64737 .5555 L
.64395 .55073 L
.64673 .5459 L
.64737 .54501 L
.6504 .54107 L
.6522 .53847 L
.65386 .53624 L
.65704 .53173 L
.65729 .53141 L
.65952 .52658 L
.66187 .52463 L
.66462 .52174 L
.6667 .51892 L
.66837 .51691 L
.67153 .51275 L
.67212 .51208 L
.67605 .50725 L
.67636 .50667 L
.68034 .50242 L
F
1 .9 .045 r
.64737 .39784 m
.64927 .40095 L
.64737 .40475 L
.6442 .40095 L
F
0 .725 1 r
.68603 .51314 m
.68994 .51691 L
.68795 .52174 L
.68603 .52318 L
.68378 .52658 L
.68119 .53033 L
.68043 .53141 L
.67711 .53624 L
.67636 .53734 L
.67353 .54107 L
.67153 .54486 L
.6699 .5459 L
.6667 .55019 L
.66626 .55073 L
.6629 .55557 L
.66187 .55653 L
.65867 .5604 L
.65704 .56321 L
.65463 .56523 L
.6522 .56819 L
.65039 .57006 L
.64737 .57343 L
.64424 .57006 L
.64649 .56523 L
.64737 .56465 L
.65022 .5604 L
.6522 .55741 L
.65353 .55557 L
.65676 .55073 L
.65704 .55036 L
.66039 .5459 L
.66187 .54384 L
.66399 .54107 L
.6667 .53732 L
.66757 .53624 L
.6709 .53141 L
.67153 .53082 L
.67502 .52658 L
.67636 .52371 L
.67893 .52174 L
.68119 .5188 L
.68292 .51691 L
F
1 .6 0 r
.68119 .50181 m
.68535 .50242 L
.68279 .50725 L
.68119 .50985 L
.67976 .51208 L
.67675 .51691 L
.67636 .51747 L
.67328 .52174 L
.67153 .5242 L
.66979 .52658 L
.6667 .53087 L
.66628 .53141 L
.6634 .53624 L
.66187 .53759 L
.65891 .54107 L
.65704 .54352 L
.65503 .5459 L
.6522 .54948 L
.65106 .55073 L
.64737 .5551 L
.64425 .55073 L
.64713 .5459 L
.64737 .54556 L
.6506 .54107 L
.6522 .53874 L
.65405 .53624 L
.65704 .53198 L
.65748 .53141 L
.65986 .52658 L
.66187 .52493 L
.66479 .52174 L
.6667 .51916 L
.66857 .51691 L
.67153 .51303 L
.67237 .51208 L
.67629 .50725 L
.67636 .50711 L
.68069 .50242 L
F
.64737 .43637 m
.64806 .4396 L
.64737 .4409 L
.64429 .4396 L
F
0 .35 1 r
.64737 .45565 m
.64744 .45893 L
.64737 .45904 L
.64448 .45893 L
F
1 .575 0 r
.64737 .54607 m
.65074 .55073 L
.64737 .55468 L
.64456 .55073 L
F
1 .85 .01 r
.69569 .51929 m
.69983 .52174 L
.69717 .52658 L
.69569 .52887 L
.69411 .53141 L
.69088 .53624 L
.69086 .53633 L
.68818 .54107 L
.68603 .544 L
.6842 .5459 L
.68119 .55005 L
.68069 .55073 L
.67703 .55557 L
.67636 .55667 L
.67515 .5604 L
.67153 .56347 L
.66982 .56523 L
.6667 .56929 L
.66606 .57006 L
.66237 .57489 L
.66187 .57538 L
.65825 .57973 L
.65704 .58148 L
.65402 .58456 L
.6522 .58667 L
.64935 .58939 L
.64737 .5914 L
.64465 .58939 L
.64696 .58456 L
.64737 .58388 L
.65 .57973 L
.6522 .57625 L
.65315 .57489 L
.65603 .57006 L
.65704 .56864 L
.65987 .56523 L
.66187 .56239 L
.66337 .5604 L
.6667 .55572 L
.66682 .55557 L
.66936 .55073 L
.67153 .5487 L
.67416 .5459 L
.67636 .54289 L
.67785 .54107 L
.68119 .5366 L
.6815 .53624 L
.68536 .53141 L
.68603 .53024 L
.68941 .52658 L
.69086 .5247 L
.69364 .52174 L
F
0 .4 1 r
.64737 .52734 m
.65123 .53141 L
.64737 .53619 L
.64475 .53141 L
F
0 .7 1 r
.68603 .51369 m
.68944 .51691 L
.68727 .52174 L
.68603 .52263 L
.68345 .52658 L
.68119 .52989 L
.68013 .53141 L
.67682 .53624 L
.67636 .53691 L
.67327 .54107 L
.67153 .54455 L
.66964 .5459 L
.6667 .54983 L
.66597 .55073 L
.66249 .55557 L
.66187 .55613 L
.65835 .5604 L
.65704 .56274 L
.65423 .56523 L
.6522 .56768 L
.64981 .57006 L
.64737 .57269 L
.64482 .57006 L
.64737 .56523 L
.64737 .56523 L
.65053 .5604 L
.6522 .55784 L
.65381 .55557 L
.65704 .55079 L
.65708 .55073 L
.66061 .5459 L
.66187 .54414 L
.66422 .54107 L
.6667 .53762 L
.66781 .53624 L
.67129 .53141 L
.67153 .53118 L
.67526 .52658 L
.67636 .52414 L
.67923 .52174 L
.68119 .5192 L
.68333 .51691 L
F
1 .55 0 r
.64737 .54648 m
.65039 .55073 L
.64737 .55422 L
.6449 .55073 L
F
0 .375 1 r
.64737 .52763 m
.65099 .53141 L
.64737 .53588 L
.64498 .53141 L
F
0 .75 1 r
.64737 .41824 m
.64802 .42027 L
.64737 .4218 L
.64507 .42027 L
F
1 .575 0 r
.64737 .43767 m
.64749 .4396 L
.64737 .43987 L
.64517 .4396 L
F
0 .35 1 r
.64737 .52794 m
.65074 .53141 L
.64737 .53554 L
.64521 .53141 L
F
1 .525 0 r
.64737 .54694 m
.65001 .55073 L
.64737 .55373 L
.64526 .55073 L
F
0 .325 1 r
.64737 .52827 m
.65047 .53141 L
.64737 .53519 L
.64546 .53141 L
F
0 .675 1 r
.64737 .56603 m
.64912 .57006 L
.64737 .57184 L
.64552 .57006 L
F
1 .225 0 r
.64737 .50948 m
.65095 .51208 L
.64737 .51678 L
.64565 .51208 L
F
1 .5 0 r
.64737 .54747 m
.64958 .55073 L
.64737 .55318 L
.64567 .55073 L
F
0 .3 1 r
.64737 .52863 m
.65017 .53141 L
.64737 .5348 L
.64572 .53141 L
F
1 .2 0 r
.64737 .50976 m
.65071 .51208 L
.64737 .51647 L
.64585 .51208 L
F
0 .275 1 r
.64737 .52903 m
.64984 .53141 L
.64737 .53437 L
.64601 .53141 L
F
1 .175 0 r
.64737 .51007 m
.65045 .51208 L
.64737 .51614 L
.64607 .51208 L
F
1 .475 0 r
.64737 .5481 m
.64907 .55073 L
.64737 .55253 L
.64614 .55073 L
F
1 .15 0 r
.64737 .5104 m
.65016 .51208 L
.64737 .51577 L
.64631 .51208 L
F
0 .25 1 r
.64737 .52949 m
.64947 .53141 L
.64737 .53388 L
.64633 .53141 L
F
0 .125 1 r
.64737 .49151 m
.65063 .49275 L
.64737 .49748 L
.6465 .49275 L
F
0 .65 1 r
.64737 .56715 m
.64816 .57006 L
.64737 .57075 L
.64651 .57006 L
F
1 .125 0 r
.64737 .51077 m
.64984 .51208 L
.64737 .51535 L
.64656 .51208 L
F
1 .825 .004 r
.64737 .58544 m
.6477 .58939 L
.64737 .58964 L
.6466 .58939 L
F
0 .225 1 r
.64737 .53005 m
.64901 .53141 L
.64737 .53328 L
.6467 .53141 L
F
0 .1 1 r
.64737 .49183 m
.65032 .49275 L
.64737 .49712 L
.64673 .49275 L
F
1 .45 0 r
.64737 .54898 m
.64838 .55073 L
.64737 .55169 L
.64675 .55073 L
F
1 .1 0 r
.64737 .5112 m
.64945 .51208 L
.64737 .51486 L
.64684 .51208 L
F
0 .075 1 r
.64737 .49219 m
.64995 .49275 L
.64737 .49669 L
.64699 .49275 L
F
0 .2 1 r
.64737 .53086 m
.64833 .53141 L
.64737 .53239 L
.64715 .53141 L
F
1 .075 0 r
.64737 .51172 m
.64893 .51208 L
.64737 .51421 L
.64717 .51208 L
F
0 .05 1 r
.64737 .49261 m
.64947 .49275 L
.64737 .49618 L
.64727 .49275 L
F
1 .575 0 r
.67636 .5075 m
.67947 .51208 L
.67641 .51691 L
.67636 .51698 L
.67307 .52174 L
.67153 .52391 L
.66958 .52658 L
.6667 .5306 L
.66607 .53141 L
.66306 .53624 L
.66187 .53728 L
.6587 .54107 L
.65704 .54324 L
.65479 .5459 L
.6522 .54916 L
.64749 .5459 L
.6508 .54107 L
.6522 .53902 L
.65425 .53624 L
.65704 .53224 L
.65768 .53141 L
.66024 .52658 L
.66187 .52525 L
.66498 .52174 L
.6667 .51941 L
.66879 .51691 L
.67153 .51331 L
.67264 .51208 L
F
.002 .8 1 r
.6522 .41157 m
.6524 .41544 L
.6522 .41584 L
.6475 .41544 L
F
0 .45 1 r
.67153 .49549 m
.67582 .49758 L
.67283 .50242 L
.67153 .50438 L
.66955 .50725 L
.6667 .51144 L
.66622 .51208 L
.66413 .51691 L
.66187 .51881 L
.65913 .52174 L
.65704 .52457 L
.65541 .52658 L
.6522 .5308 L
.64754 .52658 L
.65101 .52174 L
.6522 .52006 L
.65461 .51691 L
.65704 .51354 L
.65822 .51208 L
.66178 .50725 L
.66187 .50718 L
.66575 .50242 L
.6667 .50005 L
.66986 .49758 L
F
.045 .9 1 r
.70535 .52592 m
.70887 .52658 L
.70685 .53141 L
.70535 .53398 L
.70407 .53624 L
.701 .54107 L
.70052 .54219 L
.69797 .5459 L
.69569 .54914 L
.69462 .55073 L
.69124 .55557 L
.69086 .55607 L
.68789 .5604 L
.68603 .56304 L
.68424 .56523 L
.68119 .57003 L
.68062 .57006 L
.67673 .57489 L
.67636 .57567 L
.6741 .57973 L
.67153 .58214 L
.66948 .58456 L
.6667 .5888 L
.66559 .58939 L
.66187 .59397 L
.66164 .59422 L
.65746 .59905 L
.65704 .59958 L
.65283 .60388 L
.6522 .60488 L
.64756 .60388 L
.65016 .59905 L
.6522 .59554 L
.65307 .59422 L
.65545 .58939 L
.65704 .58815 L
.65956 .58456 L
.66187 .58119 L
.66295 .57973 L
.66627 .57489 L
.6667 .57427 L
.66995 .57006 L
.67153 .56661 L
.67357 .56523 L
.67636 .56136 L
.67713 .5604 L
.68045 .55557 L
.68119 .55481 L
.68453 .55073 L
.68603 .54779 L
.68833 .5459 L
.69086 .54253 L
.69213 .54107 L
.69569 .53653 L
.69596 .53624 L
.70012 .53141 L
.70052 .53064 L
.70478 .52658 L
F
.212 .95 1 r
.6522 .37304 m
.65349 .37679 L
.6522 .37953 L
.64765 .37679 L
F
0 .425 1 r
.66187 .50742 m
.66603 .51208 L
.66377 .51691 L
.66187 .5185 L
.65896 .52174 L
.65704 .52435 L
.65523 .52658 L
.6522 .53056 L
.64773 .52658 L
.65116 .52174 L
.6522 .52028 L
.65477 .51691 L
.65704 .51376 L
.6584 .51208 L
F
1 .55 0 r
.67153 .5136 m
.67613 .51691 L
.67285 .52174 L
.67153 .52361 L
.66937 .52658 L
.6667 .53031 L
.66585 .53141 L
.66268 .53624 L
.66187 .53694 L
.65848 .54107 L
.65704 .54295 L
.65453 .5459 L
.6522 .54882 L
.64777 .5459 L
.65101 .54107 L
.6522 .53931 L
.65445 .53624 L
.65704 .5325 L
.65789 .53141 L
.66066 .52658 L
.66187 .52559 L
.66516 .52174 L
.6667 .51966 L
.66901 .51691 L
F
1 .825 .004 r
.69569 .52033 m
.69874 .52174 L
.69643 .52658 L
.69569 .52778 L
.69352 .53141 L
.69086 .53554 L
.69039 .53624 L
.68769 .54107 L
.68603 .54333 L
.68379 .5459 L
.68119 .5495 L
.68029 .55073 L
.67672 .55557 L
.67636 .55614 L
.67471 .5604 L
.67153 .56298 L
.66941 .56523 L
.6667 .56874 L
.66559 .57006 L
.66187 .57476 L
.66174 .57489 L
.65766 .57973 L
.65704 .58065 L
.65321 .58456 L
.6522 .58569 L
.64784 .58456 L
.65058 .57973 L
.6522 .57705 L
.65365 .57489 L
.65662 .57006 L
.65704 .56946 L
.66022 .56523 L
.66187 .56286 L
.66371 .5604 L
.6667 .55615 L
.66716 .55557 L
.66987 .55073 L
.67153 .5492 L
.67447 .5459 L
.67636 .5433 L
.6782 .54107 L
.68119 .53707 L
.68191 .53624 L
.68575 .53141 L
.68603 .53091 L
.68992 .52658 L
.69086 .52537 L
.69444 .52174 L
F
0 .675 1 r
.68603 .5143 m
.6889 .51691 L
.68644 .52174 L
.68603 .52203 L
.68312 .52658 L
.68119 .52943 L
.67982 .53141 L
.67651 .53624 L
.67636 .53645 L
.673 .54107 L
.67153 .54417 L
.66936 .5459 L
.6667 .54947 L
.66568 .55073 L
.66203 .55557 L
.66187 .55571 L
.65801 .5604 L
.65704 .5622 L
.65381 .56523 L
.6522 .56713 L
.64786 .56523 L
.65086 .5604 L
.6522 .55829 L
.65411 .55557 L
.65704 .55116 L
.65736 .55073 L
.66083 .5459 L
.66187 .54445 L
.66445 .54107 L
.6667 .53793 L
.66806 .53624 L
.67153 .53154 L
.67165 .53141 L
.67551 .52658 L
.67636 .52464 L
.67955 .52174 L
.68119 .51962 L
.68379 .51691 L
F
0 .4 1 r
.66187 .50765 m
.66583 .51208 L
.66337 .51691 L
.66187 .51816 L
.65879 .52174 L
.65704 .52412 L
.65504 .52658 L
.6522 .53031 L
.64793 .52658 L
.65132 .52174 L
.6522 .5205 L
.65493 .51691 L
.65704 .51398 L
.65857 .51208 L
F
1 .375 0 r
.66187 .48926 m
.66592 .49275 L
.6627 .49758 L
.66187 .49878 L
.65922 .50242 L
.65704 .5055 L
.65568 .50725 L
.6522 .51201 L
.64799 .50725 L
.65153 .50242 L
.6522 .50093 L
.65529 .49758 L
.65704 .49525 L
.65916 .49275 L
F
1 .525 0 r
.67153 .51391 m
.67584 .51691 L
.67262 .52174 L
.67153 .5233 L
.66915 .52658 L
.6667 .53002 L
.66562 .53141 L
.66227 .53624 L
.66187 .53658 L
.65825 .54107 L
.65704 .54265 L
.65426 .5459 L
.6522 .54846 L
.64808 .5459 L
.65123 .54107 L
.6522 .53962 L
.65466 .53624 L
.65704 .53278 L
.6581 .53141 L
.66111 .52658 L
.66187 .52596 L
.66536 .52174 L
.6667 .51992 L
.66924 .51691 L
F
0 .375 1 r
.66187 .50789 m
.66563 .51208 L
.66294 .51691 L
.66187 .5178 L
.65862 .52174 L
.65704 .52389 L
.65484 .52658 L
.6522 .53005 L
.64814 .52658 L
.65149 .52174 L
.6522 .52073 L
.6551 .51691 L
.65704 .5142 L
.65876 .51208 L
F
1 .35 0 r
.66187 .48951 m
.6657 .49275 L
.66254 .49758 L
.66187 .49854 L
.65906 .50242 L
.65704 .50529 L
.65551 .50725 L
.6522 .5118 L
.64815 .50725 L
.65167 .50242 L
.6522 .50123 L
.65545 .49758 L
.65704 .49546 L
.65934 .49275 L
F
1 .325 0 r
.66187 .48976 m
.66548 .49275 L
.66237 .49758 L
.66187 .4983 L
.6589 .50242 L
.65704 .50507 L
.65534 .50725 L
.6522 .51158 L
.64833 .50725 L
.65182 .50242 L
.6522 .50155 L
.65561 .49758 L
.65704 .49568 L
.65954 .49275 L
F
0 .35 1 r
.66187 .50815 m
.66542 .51208 L
.66247 .51691 L
.66187 .51741 L
.65843 .52174 L
.65704 .52364 L
.65464 .52658 L
.6522 .52978 L
.64836 .52658 L
.65166 .52174 L
.6522 .52096 L
.65527 .51691 L
.65704 .51443 L
.65895 .51208 L
F
1 .5 0 r
.65704 .53306 m
.66185 .53624 L
.65802 .54107 L
.65704 .54234 L
.65397 .5459 L
.6522 .54809 L
.64841 .5459 L
.65145 .54107 L
.6522 .53994 L
.65487 .53624 L
F
0 .65 1 r
.65704 .55156 m
.66162 .55557 L
.65765 .5604 L
.65704 .56158 L
.65333 .56523 L
.6522 .56654 L
.64844 .56523 L
.6512 .5604 L
.6522 .55879 L
.65442 .55557 L
F
1 .3 0 r
.66187 .49003 m
.66525 .49275 L
.66219 .49758 L
.66187 .49805 L
.65873 .50242 L
.65704 .50484 L
.65517 .50725 L
.6522 .51135 L
.64851 .50725 L
.65198 .50242 L
.6522 .50189 L
.65578 .49758 L
.65704 .4959 L
.65974 .49275 L
F
0 .325 1 r
.66187 .50841 m
.6652 .51208 L
.66196 .51691 L
.66187 .51699 L
.65825 .52174 L
.65704 .52339 L
.65443 .52658 L
.6522 .5295 L
.6486 .52658 L
.65183 .52174 L
.6522 .52121 L
.65545 .51691 L
.65704 .51468 L
.65915 .51208 L
F
1 .275 0 r
.66187 .49032 m
.665 .49275 L
.66201 .49758 L
.66187 .49779 L
.65856 .50242 L
.65704 .5046 L
.65499 .50725 L
.6522 .51111 L
.6487 .50725 L
.65213 .50242 L
.6522 .50225 L
.65595 .49758 L
.65704 .49613 L
.65996 .49275 L
F
1 .475 0 r
.65704 .53337 m
.66158 .53624 L
.65777 .54107 L
.65704 .54202 L
.65366 .5459 L
.6522 .5477 L
.64877 .5459 L
.65169 .54107 L
.6522 .54028 L
.6551 .53624 L
F
0 .3 1 r
.65704 .51493 m
.66168 .51691 L
.65805 .52174 L
.65704 .52313 L
.65421 .52658 L
.6522 .52921 L
.64884 .52658 L
.65201 .52174 L
.6522 .52147 L
.65563 .51691 L
F
1 .25 0 r
.6522 .50256 m
.6548 .50725 L
.6522 .51087 L
.64889 .50725 L
F
0 .275 1 r
.6522 .48369 m
.65533 .48792 L
.6522 .49252 L
.64903 .48792 L
F
1 .225 0 r
.6522 .50281 m
.6546 .50725 L
.6522 .51061 L
.6491 .50725 L
F
0 .275 1 r
.65704 .51519 m
.66143 .51691 L
.65785 .52174 L
.65704 .52286 L
.65397 .52658 L
.6522 .5289 L
.64911 .52658 L
.6522 .52174 L
.6522 .52174 L
.65583 .51691 L
F
0 .625 1 r
.65704 .552 m
.66125 .55557 L
.65727 .5604 L
.65704 .56086 L
.65279 .56523 L
.6522 .56589 L
.64915 .56523 L
.65158 .5604 L
.6522 .55936 L
.65475 .55557 L
F
1 .45 0 r
.65704 .53369 m
.6613 .53624 L
.65751 .54107 L
.65704 .54168 L
.65333 .5459 L
.6522 .54727 L
.64918 .5459 L
.65194 .54107 L
.6522 .54066 L
.65533 .53624 L
F
0 .25 1 r
.6522 .48394 m
.65514 .48792 L
.6522 .49227 L
.64922 .48792 L
F
1 .2 0 r
.6522 .50309 m
.6544 .50725 L
.6522 .51034 L
.64931 .50725 L
F
0 .25 1 r
.6522 .52208 m
.65372 .52658 L
.6522 .52857 L
.64939 .52658 L
F
0 .225 1 r
.6522 .4842 m
.65493 .48792 L
.6522 .49201 L
.64942 .48792 L
F
1 .175 0 r
.6522 .50338 m
.65418 .50725 L
.6522 .51005 L
.64954 .50725 L
F
0 .2 1 r
.6522 .48448 m
.65472 .48792 L
.6522 .49173 L
.64964 .48792 L
F
1 .425 0 r
.65704 .53403 m
.66099 .53624 L
.65723 .54107 L
.65704 .54132 L
.65295 .5459 L
.6522 .5468 L
.64966 .5459 L
.6522 .54107 L
.6522 .54107 L
.65558 .53624 L
F
0 .225 1 r
.6522 .52245 m
.65345 .52658 L
.6522 .52821 L
.64971 .52658 L
F
1 .15 0 r
.6522 .50369 m
.65395 .50725 L
.6522 .50975 L
.64979 .50725 L
F
0 .175 1 r
.6522 .48478 m
.65449 .48792 L
.6522 .49144 L
.64986 .48792 L
F
1 .35 0 r
.6522 .46574 m
.65508 .46859 L
.6522 .47326 L
.64993 .46859 L
F
1 .125 0 r
.6522 .50404 m
.6537 .50725 L
.6522 .50941 L
.65006 .50725 L
F
0 .2 1 r
.6522 .52287 m
.65315 .52658 L
.6522 .52781 L
.65007 .52658 L
F
0 .15 1 r
.6522 .4851 m
.65425 .48792 L
.6522 .49112 L
.65011 .48792 L
F
1 .325 0 r
.6522 .46608 m
.6548 .46859 L
.6522 .47292 L
.65019 .46859 L
F
1 .4 0 r
.6522 .54165 m
.65251 .5459 L
.6522 .54626 L
.65031 .5459 L
F
1 .1 0 r
.6522 .50443 m
.65343 .50725 L
.6522 .50904 L
.65036 .50725 L
F
0 .125 1 r
.6522 .48545 m
.65399 .48792 L
.6522 .49077 L
.65037 .48792 L
F
1 .3 0 r
.6522 .46645 m
.65449 .46859 L
.6522 .47255 L
.65048 .46859 L
F
0 .175 1 r
.6522 .52338 m
.6528 .52658 L
.6522 .52736 L
.65052 .52658 L
F
0 .1 1 r
.6522 .48583 m
.65369 .48792 L
.6522 .49038 L
.65067 .48792 L
F
1 .075 0 r
.6522 .50488 m
.65312 .50725 L
.6522 .50862 L
.65072 .50725 L
F
1 .275 0 r
.6522 .46686 m
.65415 .46859 L
.6522 .47213 L
.65079 .46859 L
F
0 .475 1 r
.6522 .44784 m
.6546 .44927 L
.6522 .45396 L
.65095 .44927 L
F
0 .075 1 r
.6522 .48629 m
.65335 .48792 L
.6522 .48992 L
.65101 .48792 L
F
1 .25 0 r
.6522 .46732 m
.65374 .46859 L
.6522 .47164 L
.65116 .46859 L
F
1 .05 0 r
.6522 .50546 m
.65275 .50725 L
.6522 .5081 L
.65116 .50725 L
F
0 .15 1 r
.6522 .52405 m
.65238 .52658 L
.6522 .52681 L
.65118 .52658 L
F
1 .8 .002 r
.6522 .57801 m
.65699 .57973 L
.6522 .58455 L
.65124 .57973 L
F
0 .45 1 r
.6522 .44841 m
.65401 .44927 L
.6522 .45336 L
.65143 .44927 L
F
0 .05 1 r
.6522 .48685 m
.65293 .48792 L
.6522 .48934 L
.65144 .48792 L
F
1 .225 0 r
.6522 .46788 m
.65322 .46859 L
.6522 .47102 L
.6516 .46859 L
F
.021 .875 1 r
.6522 .59781 m
.65564 .59905 L
.6522 .60176 L
.65167 .59905 L
F
0 .6 1 r
.6522 .56002 m
.65679 .5604 L
.6522 .56512 L
.65199 .5604 L
F
1 .025 0 r
.6522 .50648 m
.65225 .50725 L
.6522 .50733 L
.65199 .50725 L
F
1 .775 .001 r
.6522 .57934 m
.65592 .57973 L
.6522 .58285 L
.65202 .57973 L
F
0 .425 1 r
.6522 .44911 m
.65307 .44927 L
.6522 .45257 L
.65205 .44927 L
F
0 .025 1 r
.6522 .48779 m
.65228 .48792 L
.6522 .48825 L
.65212 .48792 L
F
0 .325 1 r
.66187 .4719 m
.66493 .47342 L
.66228 .47826 L
.66187 .4789 L
.65904 .48309 L
.65704 .48611 L
.65231 .48309 L
.65629 .47826 L
.65704 .4773 L
.66059 .47342 L
F
1 .25 0 r
.65704 .49637 m
.66181 .49758 L
.65838 .50242 L
.65704 .50436 L
.65232 .50242 L
.65613 .49758 L
F
1 .5 0 r
.66187 .45326 m
.66495 .4541 L
.66264 .45893 L
.66187 .46022 L
.65959 .46376 L
.65704 .46778 L
.65243 .46376 L
.65654 .45893 L
.65704 .45796 L
.66112 .4541 L
F
0 .25 1 r
.65704 .51547 m
.66117 .51691 L
.65764 .52174 L
.65704 .52257 L
.65247 .52174 L
.65603 .51691 L
F
0 .3 1 r
.66187 .47226 m
.66456 .47342 L
.66207 .47826 L
.66187 .47858 L
.65885 .48309 L
.65704 .48586 L
.65252 .48309 L
.65648 .47826 L
.65704 .47756 L
.66088 .47342 L
F
1 .225 0 r
.65704 .49662 m
.66156 .49758 L
.6582 .50242 L
.65704 .5041 L
.65254 .50242 L
.65632 .49758 L
F
1 .475 0 r
.66187 .45374 m
.66432 .4541 L
.66236 .45893 L
.66187 .45979 L
.65937 .46376 L
.65704 .46748 L
.65267 .46376 L
.65679 .45893 L
.65704 .45845 L
.66154 .4541 L
F
0 .275 1 r
.65704 .47782 m
.66184 .47826 L
.65866 .48309 L
.65704 .48559 L
.65274 .48309 L
.65669 .47826 L
F
0 .225 1 r
.65704 .51577 m
.66088 .51691 L
.65741 .52174 L
.65704 .52226 L
.65276 .52174 L
.65624 .51691 L
F
1 .2 0 r
.65704 .49688 m
.66128 .49758 L
.65801 .50242 L
.65704 .50383 L
.65277 .50242 L
.65651 .49758 L
F
1 .45 0 r
.65704 .45896 m
.65913 .46376 L
.65704 .46717 L
.65293 .46376 L
F
0 .25 1 r
.65704 .4781 m
.66152 .47826 L
.65846 .48309 L
.65704 .48531 L
.65297 .48309 L
.65691 .47826 L
F
1 .175 0 r
.65704 .49716 m
.66098 .49758 L
.6578 .50242 L
.65704 .50355 L
.65303 .50242 L
.65672 .49758 L
F
0 .625 1 r
.65704 .43995 m
.65969 .44443 L
.65704 .44891 L
.65304 .44443 L
F
0 .2 1 r
.65704 .51609 m
.66056 .51691 L
.65717 .52174 L
.65704 .52193 L
.65309 .52174 L
.65647 .51691 L
F
1 .425 0 r
.65704 .45934 m
.65888 .46376 L
.65704 .46683 L
.65321 .46376 L
F
0 .225 1 r
.65704 .47842 m
.65825 .48309 L
.65704 .48501 L
.65322 .48309 L
F
1 .15 0 r
.65704 .49747 m
.66063 .49758 L
.65759 .50242 L
.65704 .50324 L
.65331 .50242 L
.65695 .49758 L
F
0 .6 1 r
.65704 .44047 m
.65932 .44443 L
.65704 .44845 L
.65343 .44443 L
F
0 .2 1 r
.65704 .47878 m
.65802 .48309 L
.65704 .48468 L
.6535 .48309 L
F
1 .4 0 r
.65704 .45974 m
.65861 .46376 L
.65704 .46646 L
.65351 .46376 L
F
1 .125 0 r
.65704 .49784 m
.65736 .50242 L
.65704 .5029 L
.65363 .50242 L
F
0 .175 1 r
.65704 .47919 m
.65778 .48309 L
.65704 .48433 L
.65381 .48309 L
F
1 .775 .001 r
.65704 .42177 m
.65959 .42511 L
.65704 .42991 L
.65383 .42511 L
F
1 .375 0 r
.65704 .46019 m
.65833 .46376 L
.65704 .46605 L
.65385 .46376 L
F
0 .575 1 r
.65704 .44103 m
.65893 .44443 L
.65704 .44794 L
.65385 .44443 L
F
1 .1 0 r
.65704 .49829 m
.65711 .50242 L
.65704 .50253 L
.65402 .50242 L
F
1 .95 .212 r
.71019 .53852 m
.71268 .54107 L
.71029 .5459 L
.71019 .54615 L
.7075 .55073 L
.70535 .554 L
.70438 .55557 L
.70088 .5604 L
.70052 .56144 L
.69879 .56523 L
.69569 .56906 L
.69442 .57006 L
.69091 .57489 L
.69086 .57495 L
.68724 .57973 L
.68603 .58158 L
.68377 .58456 L
.68119 .58835 L
.68004 .58939 L
.67636 .59415 L
.6763 .59422 L
.6728 .59905 L
.67153 .60023 L
.6685 .60388 L
.6667 .60645 L
.66431 .60872 L
.66187 .61155 L
.65979 .61355 L
.65704 .61637 L
.65416 .61355 L
.65612 .60872 L
.65704 .60814 L
.65981 .60388 L
.66187 .6007 L
.66303 .59905 L
.66611 .59422 L
.6667 .59337 L
.66981 .58939 L
.67153 .58695 L
.67334 .58456 L
.67636 .5803 L
.67682 .57973 L
.67974 .57489 L
.68119 .57343 L
.68413 .57006 L
.68603 .56744 L
.68783 .56523 L
.69086 .56112 L
.69147 .5604 L
.69525 .55557 L
.69569 .55477 L
.69924 .55073 L
.70052 .54779 L
.70336 .5459 L
.70535 .54342 L
.70777 .54107 L
F
0 .15 1 r
.65704 .47967 m
.65752 .48309 L
.65704 .48392 L
.65416 .48309 L
F
1 .8 .002 r
.65704 .57031 m
.66114 .57489 L
.65704 .57968 L
.6542 .57489 L
F
.021 .875 1 r
.69569 .53762 m
.70001 .54107 L
.69707 .5459 L
.69569 .54792 L
.69384 .55073 L
.69086 .55505 L
.69049 .55557 L
.68728 .5604 L
.68603 .56213 L
.6836 .56523 L
.68119 .5698 L
.67997 .57006 L
.67636 .57485 L
.67633 .57489 L
.67328 .57973 L
.67153 .58123 L
.66871 .58456 L
.6667 .58808 L
.66467 .58939 L
.66187 .59275 L
.66042 .59422 L
.65704 .59793 L
.65421 .59422 L
.65688 .58939 L
.65704 .58928 L
.66022 .58456 L
.66187 .58208 L
.66357 .57973 L
.6667 .57513 L
.66688 .57489 L
.67042 .57006 L
.67153 .56742 L
.67405 .56523 L
.67636 .562 L
.67765 .5604 L
.68119 .55557 L
.68119 .55556 L
.68503 .55073 L
.68603 .54864 L
.68894 .5459 L
.69086 .54336 L
.69292 .54107 L
F
1 .35 0 r
.65704 .4607 m
.65802 .46376 L
.65704 .46559 L
.65422 .46376 L
F
0 .55 1 r
.65704 .44167 m
.6585 .44443 L
.65704 .44735 L
.65434 .44443 L
F
1 .75 0 r
.65704 .42274 m
.65886 .42511 L
.65704 .42903 L
.6546 .42511 L
F
0 .125 1 r
.65704 .48026 m
.65724 .48309 L
.65704 .48345 L
.6546 .48309 L
F
1 .325 0 r
.65704 .46132 m
.65768 .46376 L
.65704 .46504 L
.65468 .46376 L
F
1 .775 .001 r
.65704 .57107 m
.66046 .57489 L
.65704 .57879 L
.65481 .57489 L
F
0 .525 1 r
.65704 .44244 m
.658 .44443 L
.65704 .44661 L
.65493 .44443 L
F
0 .6 1 r
.65704 .55247 m
.66083 .55557 L
.65704 .56016 L
.65511 .55557 L
F
1 .3 0 r
.65704 .46218 m
.65727 .46376 L
.65704 .46431 L
.65528 .46376 L
F
0 .575 1 r
.65704 .553 m
.66037 .55557 L
.65704 .55956 L
.65549 .55557 L
F
.01 .85 1 r
.65704 .4045 m
.65855 .40578 L
.65704 .41007 L
.65551 .40578 L
F
1 .75 0 r
.65704 .57202 m
.65965 .57489 L
.65704 .57772 L
.65552 .57489 L
F
1 .725 0 r
.65704 .42401 m
.65789 .42511 L
.65704 .42778 L
.65566 .42511 L
F
.01 .85 1 r
.65704 .59112 m
.65875 .59422 L
.65704 .59583 L
.65576 .59422 L
F
0 .5 1 r
.65704 .44356 m
.65735 .44443 L
.65704 .4455 L
.65581 .44443 L
F
1 .4 0 r
.65704 .5344 m
.66066 .53624 L
.65704 .54092 L
.65584 .53624 L
F
0 .55 1 r
.65704 .55361 m
.65984 .55557 L
.65704 .55886 L
.65592 .55557 L
F
1 .375 0 r
.65704 .53481 m
.66029 .53624 L
.65704 .54045 L
.65613 .53624 L
F
0 .525 1 r
.65704 .55439 m
.65917 .55557 L
.65704 .55796 L
.65643 .55557 L
F
1 .35 0 r
.65704 .53527 m
.65985 .53624 L
.65704 .53989 L
.65644 .53624 L
F
1 .725 0 r
.65704 .57344 m
.65847 .57489 L
.65704 .57622 L
.65647 .57489 L
F
0 .175 1 r
.65704 .51644 m
.66019 .51691 L
.65704 .52154 L
.65672 .51691 L
F
1 .325 0 r
.65704 .53583 m
.6593 .53624 L
.65704 .53919 L
.6568 .53624 L
F
0 .15 1 r
.65704 .51684 m
.65974 .51691 L
.65704 .52104 L
.65699 .51691 L
F
1 .45 0 r
.66187 .45432 m
.66207 .45893 L
.66187 .45929 L
.65707 .45893 L
F
.045 .9 1 r
.66187 .39663 m
.66391 .40095 L
.66187 .40492 L
.65718 .40095 L
F
1 .8 .002 r
.68603 .53161 m
.68985 .53624 L
.68708 .54107 L
.68603 .5425 L
.68336 .5459 L
.68119 .54893 L
.67987 .55073 L
.67637 .55557 L
.67636 .55558 L
.67412 .5604 L
.67153 .56242 L
.66898 .56523 L
.6667 .56818 L
.66511 .57006 L
.66187 .57411 L
.65721 .57006 L
.66058 .56523 L
.66187 .56335 L
.66406 .5604 L
.6667 .55661 L
.66751 .55557 L
.67046 .55073 L
.67153 .54975 L
.67479 .5459 L
.67636 .54374 L
.67857 .54107 L
.68119 .53757 L
.68236 .53624 L
F
0 .625 1 r
.66187 .43571 m
.6624 .4396 L
.66187 .44066 L
.65743 .4396 L
F
0 .65 1 r
.67153 .53188 m
.67619 .53624 L
.67272 .54107 L
.67153 .54371 L
.66908 .5459 L
.6667 .5491 L
.66537 .55073 L
.66187 .55529 L
.65765 .55073 L
.66107 .5459 L
.66187 .54477 L
.66469 .54107 L
.6667 .53825 L
.66832 .53624 L
F
1 .775 .001 r
.68603 .53228 m
.68927 .53624 L
.68634 .54107 L
.68603 .54149 L
.68292 .5459 L
.68119 .54833 L
.67944 .55073 L
.67636 .55501 L
.67593 .55557 L
.67336 .5604 L
.67153 .56177 L
.66853 .56523 L
.6667 .56759 L
.66459 .57006 L
.66187 .57342 L
.65774 .57006 L
.66096 .56523 L
.66187 .56389 L
.66443 .5604 L
.6667 .55709 L
.66789 .55557 L
.67113 .55073 L
.67153 .55037 L
.67512 .5459 L
.67636 .5442 L
.67896 .54107 L
.68119 .5381 L
.68286 .53624 L
F
1 .8 .002 r
.66187 .41698 m
.6627 .42027 L
.66187 .4221 L
.65782 .42027 L
F
0 .625 1 r
.67153 .53224 m
.67586 .53624 L
.67244 .54107 L
.67153 .54318 L
.66879 .5459 L
.6667 .54871 L
.66505 .55073 L
.66187 .55487 L
.65797 .55073 L
.66131 .5459 L
.66187 .54511 L
.66493 .54107 L
.6667 .53859 L
.6686 .53624 L
F
.01 .85 1 r
.69569 .53892 m
.69874 .54107 L
.69608 .5459 L
.69569 .5465 L
.69302 .55073 L
.69086 .55393 L
.68974 .55557 L
.68651 .5604 L
.68603 .56104 L
.68293 .56523 L
.68119 .56918 L
.67929 .57006 L
.67636 .57395 L
.6756 .57489 L
.67211 .57973 L
.67153 .58019 L
.66787 .58456 L
.6667 .58688 L
.66361 .58939 L
.66187 .5914 L
.65807 .58939 L
.66096 .58456 L
.66187 .58312 L
.66424 .57973 L
.6667 .57598 L
.66752 .57489 L
.67092 .57006 L
.67153 .5685 L
.67456 .56523 L
.67636 .56269 L
.6782 .5604 L
.68119 .55629 L
.68181 .55557 L
.68558 .55073 L
.68603 .54974 L
.68963 .5459 L
.69086 .54429 L
.6939 .54107 L
F
0 .6 1 r
.66187 .43705 m
.66189 .4396 L
.66187 .43965 L
.65812 .4396 L
F
.67153 .53262 m
.67552 .53624 L
.67214 .54107 L
.67153 .54254 L
.66849 .5459 L
.6667 .54831 L
.66471 .55073 L
.66187 .55443 L
.6583 .55073 L
.66156 .5459 L
.66187 .54547 L
.66519 .54107 L
.6667 .53894 L
.66888 .53624 L
F
1 .5 0 r
.67153 .51423 m
.67555 .51691 L
.67239 .52174 L
.67153 .52297 L
.66893 .52658 L
.6667 .52972 L
.66539 .53141 L
.66187 .53621 L
.65832 .53141 L
.66159 .52658 L
.66187 .52635 L
.66556 .52174 L
.6667 .52019 L
.66948 .51691 L
F
1 .75 0 r
.67153 .55097 m
.67547 .55557 L
.67241 .5604 L
.67153 .56103 L
.66806 .56523 L
.6667 .56697 L
.66401 .57006 L
.66187 .57268 L
.65834 .57006 L
.66137 .56523 L
.66187 .56447 L
.66482 .5604 L
.6667 .55762 L
.66829 .55557 L
F
1 .475 0 r
.66187 .52671 m
.66515 .53141 L
.66187 .5359 L
.65855 .53141 L
F
0 .575 1 r
.67153 .53303 m
.67516 .53624 L
.67183 .54107 L
.67153 .54181 L
.66818 .5459 L
.6667 .54789 L
.66435 .55073 L
.66187 .55395 L
.65866 .55073 L
.66183 .5459 L
.66187 .54585 L
.66546 .54107 L
.6667 .53931 L
.66919 .53624 L
F
1 .45 0 r
.66187 .52702 m
.66489 .53141 L
.66187 .53557 L
.6588 .53141 L
F
1 .725 0 r
.6667 .5582 m
.67139 .5604 L
.66754 .56523 L
.6667 .56629 L
.66336 .57006 L
.66187 .57185 L
.65905 .57006 L
.66181 .56523 L
.66187 .56514 L
.66524 .5604 L
F
1 .425 0 r
.66187 .52735 m
.66462 .53141 L
.66187 .53522 L
.65905 .53141 L
F
0 .55 1 r
.66187 .54632 m
.66396 .55073 L
.66187 .55344 L
.65906 .55073 L
F
1 .4 0 r
.66187 .5277 m
.66434 .53141 L
.66187 .53485 L
.65933 .53141 L
F
0 .3 1 r
.66187 .50868 m
.66497 .51208 L
.66187 .51667 L
.65936 .51208 L
F
0 .525 1 r
.66187 .54687 m
.66353 .55073 L
.66187 .55287 L
.65952 .55073 L
F
0 .275 1 r
.66187 .50898 m
.66473 .51208 L
.66187 .51637 L
.65959 .51208 L
F
.021 .875 1 r
.66187 .40031 m
.66199 .40095 L
.66187 .40162 L
.6596 .40095 L
F
1 .375 0 r
.66187 .52809 m
.66403 .53141 L
.66187 .53444 L
.65963 .53141 L
F
0 .25 1 r
.66187 .50929 m
.66447 .51208 L
.66187 .51604 L
.65982 .51208 L
F
.004 .825 1 r
.6667 .577 m
.67094 .57973 L
.66689 .58456 L
.6667 .58496 L
.66217 .58939 L
.66187 .58971 L
.65989 .58939 L
.66182 .58456 L
.66187 .58447 L
.665 .57973 L
F
1 .35 0 r
.66187 .52853 m
.66369 .53141 L
.66187 .53399 L
.65997 .53141 L
F
1 .7 0 r
.66187 .56614 m
.66254 .57006 L
.66187 .57083 L
.66004 .57006 L
F
0 .5 1 r
.66187 .54754 m
.66302 .55073 L
.66187 .55221 L
.66008 .55073 L
F
0 .225 1 r
.66187 .50963 m
.6642 .51208 L
.66187 .51568 L
.66008 .51208 L
F
1 .25 0 r
.66187 .49061 m
.66473 .49275 L
.66187 .4975 L
.66019 .49275 L
F
1 .325 0 r
.66187 .52903 m
.66331 .53141 L
.66187 .53348 L
.66035 .53141 L
F
0 .2 1 r
.66187 .51 m
.66389 .51208 L
.66187 .51529 L
.66036 .51208 L
F
1 .225 0 r
.66187 .49094 m
.66444 .49275 L
.66187 .49716 L
.66043 .49275 L
F
0 .175 1 r
.66187 .51041 m
.66354 .51208 L
.66187 .51484 L
.66067 .51208 L
F
1 .2 0 r
.66187 .49128 m
.66412 .49275 L
.66187 .49678 L
.6607 .49275 L
F
1 .3 0 r
.66187 .52966 m
.66284 .53141 L
.66187 .53285 L
.66082 .53141 L
F
0 .475 1 r
.66187 .54848 m
.66236 .55073 L
.66187 .55136 L
.66086 .55073 L
F
1 .175 0 r
.66187 .49167 m
.66374 .49275 L
.66187 .49635 L
.661 .49275 L
F
0 .15 1 r
.66187 .51091 m
.66312 .51208 L
.66187 .51429 L
.66104 .51208 L
F
0 .275 1 r
.66187 .47265 m
.66413 .47342 L
.66187 .47821 L
.6612 .47342 L
F
1 .15 0 r
.66187 .49212 m
.66328 .49275 L
.66187 .49583 L
.66135 .49275 L
F
0 .125 1 r
.66187 .51156 m
.66254 .51208 L
.66187 .51353 L
.66151 .51208 L
F
1 .275 0 r
.66187 .53066 m
.66217 .53141 L
.66187 .5319 L
.66152 .53141 L
F
0 .25 1 r
.66187 .47309 m
.66356 .47342 L
.66187 .47772 L
.66157 .47342 L
F
1 .925 .098 r
.66187 .60333 m
.66647 .60388 L
.66187 .60809 L
.66158 .60388 L
F
.212 .95 1 r
.66187 .62259 m
.66561 .62321 L
.66187 .62597 L
.6616 .62321 L
F
1 .125 0 r
.66187 .49267 m
.66248 .49275 L
.66187 .49511 L
.6618 .49275 L
F
1 .475 0 r
.67153 .51456 m
.67523 .51691 L
.67214 .52174 L
.67153 .52263 L
.6687 .52658 L
.6667 .52941 L
.66198 .52658 L
.66576 .52174 L
.6667 .52047 L
.66973 .51691 L
F
0 .425 1 r
.67153 .4958 m
.6755 .49758 L
.67262 .50242 L
.67153 .50407 L
.66936 .50725 L
.6667 .51118 L
.66201 .50725 L
.66593 .50242 L
.6667 .50046 L
.6701 .49758 L
F
0 .55 1 r
.6667 .53971 m
.67148 .54107 L
.66784 .5459 L
.6667 .54743 L
.6622 .5459 L
.66575 .54107 L
F
0 .4 1 r
.67153 .49613 m
.67516 .49758 L
.67239 .50242 L
.67153 .50374 L
.66915 .50725 L
.6667 .51091 L
.66222 .50725 L
.66612 .50242 L
.6667 .50091 L
.67035 .49758 L
F
1 .45 0 r
.67153 .51493 m
.67488 .51691 L
.67189 .52174 L
.67153 .52226 L
.66846 .52658 L
.6667 .52908 L
.66224 .52658 L
.66598 .52174 L
.6667 .52077 L
.67001 .51691 L
F
1 .475 0 r
.67153 .47725 m
.67547 .47826 L
.67289 .48309 L
.67153 .4853 L
.66983 .48792 L
.6667 .49275 L
.66225 .48792 L
.66626 .48309 L
.6667 .48227 L
.67067 .47826 L
F
0 .375 1 r
.67153 .49648 m
.67478 .49758 L
.67215 .50242 L
.67153 .50339 L
.66895 .50725 L
.6667 .51063 L
.66243 .50725 L
.66632 .50242 L
.6667 .5014 L
.67063 .49758 L
F
1 .45 0 r
.67153 .47762 m
.67503 .47826 L
.67264 .48309 L
.67153 .48493 L
.66962 .48792 L
.6667 .49249 L
.66245 .48792 L
.66646 .48309 L
.6667 .48264 L
.67098 .47826 L
F
1 .7 0 r
.6667 .55887 m
.67076 .5604 L
.66695 .56523 L
.6667 .56554 L
.66251 .56523 L
.66571 .5604 L
F
1 .425 0 r
.67153 .51532 m
.6745 .51691 L
.67162 .52174 L
.67153 .52187 L
.6682 .52658 L
.6667 .52873 L
.66252 .52658 L
.66621 .52174 L
.6667 .52108 L
.6703 .51691 L
F
0 .525 1 r
.6667 .54015 m
.67104 .54107 L
.66747 .5459 L
.6667 .54694 L
.66263 .5459 L
.66607 .54107 L
F
1 .425 0 r
.67153 .47801 m
.67448 .47826 L
.67239 .48309 L
.67153 .48454 L
.66941 .48792 L
.6667 .49221 L
.66266 .48792 L
.66667 .48309 L
.6667 .48304 L
.67131 .47826 L
F
0 .35 1 r
.67153 .49686 m
.67435 .49758 L
.6719 .50242 L
.67153 .50301 L
.66873 .50725 L
.6667 .51034 L
.66266 .50725 L
.66652 .50242 L
.6667 .50195 L
.67093 .49758 L
F
1 .4 0 r
.6667 .52141 m
.67127 .52174 L
.66794 .52658 L
.6667 .52836 L
.66282 .52658 L
.66646 .52174 L
F
.6667 .48335 m
.66919 .48792 L
.6667 .49192 L
.66288 .48792 L
F
0 .325 1 r
.6667 .50248 m
.6685 .50725 L
.6667 .51003 L
.6629 .50725 L
F
.461 .975 1 r
.67636 .15441 m
.68119 .15372 L
.68603 .15334 L
.69086 .15313 L
.69569 .153 L
.70052 .15292 L
.70535 .15286 L
.71019 .15283 L
.71502 .1528 L
.71985 .15278 L
.72468 .15277 L
.72951 .15276 L
.73434 .15276 L
.73918 .15276 L
.74401 .15276 L
.74884 .15276 L
.75367 .15277 L
.7585 .15278 L
.76334 .15279 L
.76817 .15281 L
.773 .15284 L
.77783 .15289 L
.78266 .15295 L
.7875 .15306 L
.79233 .15322 L
.79716 .1535 L
.80199 .15401 L
.80495 .15452 L
.80682 .15497 L
.81165 .15695 L
.8145 .15935 L
.81649 .16233 L
.8172 .16419 L
.81766 .16902 L
.81649 .17331 L
.81622 .17385 L
.81165 .1786 L
.81146 .17868 L
.80682 .1806 L
.80199 .18156 L
.79716 .18205 L
.79233 .18231 L
.7875 .18247 L
.78266 .18256 L
.77783 .18262 L
.773 .18266 L
.76817 .18269 L
.76334 .18271 L
.7585 .18272 L
.75367 .18273 L
.74884 .18273 L
.74401 .18274 L
.73918 .18274 L
.73434 .18274 L
.72951 .18273 L
.72468 .18272 L
.71985 .18271 L
.71502 .1827 L
.71019 .18267 L
.70535 .18264 L
.70052 .18259 L
.69569 .18252 L
.69086 .1824 L
.68603 .1822 L
.68119 .18184 L
.67636 .18116 L
.67153 .17978 L
.66931 .17868 L
.6667 .1771 L
.66455 .17385 L
.66311 .16902 L
.66357 .16419 L
.66627 .15935 L
.6667 .15889 L
.67153 .15576 L
.67582 .15452 L
F
1 .375 0 r
.6667 .48367 m
.66896 .48792 L
.6667 .49162 L
.66312 .48792 L
F
0 .5 1 r
.6667 .54064 m
.67053 .54107 L
.66706 .5459 L
.6667 .5464 L
.66315 .5459 L
.66641 .54107 L
F
1 .375 0 r
.6667 .52178 m
.66765 .52658 L
.6667 .52796 L
.66316 .52658 L
F
0 .3 1 r
.6667 .50282 m
.66827 .50725 L
.6667 .5097 L
.66316 .50725 L
F
0 .475 1 r
.6667 .46481 m
.66939 .46859 L
.6667 .47325 L
.66336 .46859 L
F
1 .35 0 r
.6667 .484 m
.66872 .48792 L
.6667 .49129 L
.66337 .48792 L
F
0 .275 1 r
.6667 .5032 m
.66801 .50725 L
.6667 .50934 L
.66345 .50725 L
F
1 .35 0 r
.6667 .52226 m
.66733 .52658 L
.6667 .52752 L
.66356 .52658 L
F
1 .325 0 r
.6667 .48437 m
.66846 .48792 L
.6667 .49094 L
.66364 .48792 L
F
0 .45 1 r
.6667 .4652 m
.6691 .46859 L
.6667 .47288 L
.66365 .46859 L
F
0 .25 1 r
.6667 .50362 m
.66774 .50725 L
.6667 .50895 L
.66377 .50725 L
F
1 .3 0 r
.6667 .48476 m
.66819 .48792 L
.6667 .49056 L
.66394 .48792 L
F
.461 .975 1 r
.67153 .21641 m
.67636 .21486 L
.68119 .21411 L
.68603 .21371 L
.69086 .21349 L
.69569 .21336 L
.70052 .21327 L
.70535 .21322 L
.71019 .21318 L
.71502 .21315 L
.71985 .21313 L
.72468 .21312 L
.72951 .21311 L
.73434 .21311 L
.73918 .21311 L
.74401 .21311 L
.74884 .21311 L
.75367 .21312 L
.7585 .21313 L
.76334 .21314 L
.76817 .21317 L
.773 .2132 L
.77783 .21324 L
.78266 .21331 L
.7875 .21342 L
.79233 .21359 L
.79716 .21388 L
.80199 .21442 L
.80682 .21548 L
.81092 .21734 L
.81165 .21747 L
.81554 .22217 L
.81649 .22481 L
.8168 .227 L
.81649 .23031 L
.81604 .23183 L
.81271 .23666 L
.81165 .23753 L
.80682 .23997 L
.80199 .2412 L
.8002 .2415 L
.79716 .24186 L
.79233 .24223 L
.7875 .24247 L
.78266 .24263 L
.77783 .24273 L
.773 .2428 L
.76817 .24286 L
.76334 .24289 L
.7585 .24292 L
.75367 .24294 L
.74884 .24295 L
.74401 .24295 L
.73918 .24296 L
.73434 .24295 L
.72951 .24294 L
.72468 .24293 L
.71985 .24291 L
.71502 .24288 L
.71019 .24283 L
.70535 .24277 L
.70052 .24268 L
.69569 .24256 L
.69086 .24237 L
.68603 .24207 L
.68119 .24158 L
.68057 .2415 L
.67636 .24068 L
.67153 .23898 L
.66806 .23666 L
.6667 .23585 L
.66473 .23183 L
.66396 .227 L
.66522 .22217 L
.6667 .21917 L
.66984 .21734 L
F
0 .425 1 r
.6667 .46561 m
.66879 .46859 L
.6667 .47248 L
.66396 .46859 L
F
1 .325 0 r
.6667 .52285 m
.66698 .52658 L
.6667 .527 L
.66404 .52658 L
F
0 .225 1 r
.6667 .50411 m
.66744 .50725 L
.6667 .5085 L
.66414 .50725 L
F
.212 .95 1 r
.6667 .614 m
.67042 .61838 L
.6667 .62236 L
.66422 .61838 L
F
1 .275 0 r
.6667 .48521 m
.66789 .48792 L
.6667 .49013 L
.66428 .48792 L
F
0 .4 1 r
.6667 .46607 m
.66845 .46859 L
.6667 .47204 L
.66431 .46859 L
F
1 .6 0 r
.6667 .44692 m
.66898 .44927 L
.6667 .45396 L
.66441 .44927 L
F
1 .925 .098 r
.6667 .59541 m
.67079 .59905 L
.6667 .60368 L
.66452 .59905 L
F
0 .2 1 r
.6667 .50472 m
.6671 .50725 L
.6667 .50797 L
.6646 .50725 L
F
1 .25 0 r
.6667 .48574 m
.66756 .48792 L
.6667 .48963 L
.66467 .48792 L
F
0 .375 1 r
.6667 .46658 m
.66807 .46859 L
.6667 .47152 L
.66472 .46859 L
F
1 .575 0 r
.6667 .44755 m
.66845 .44927 L
.6667 .45334 L
.66492 .44927 L
F
1 .225 0 r
.6667 .48642 m
.66716 .48792 L
.6667 .48898 L
.66519 .48792 L
F
0 .35 1 r
.6667 .4672 m
.66762 .46859 L
.6667 .47089 L
.66521 .46859 L
F
0 .175 1 r
.6667 .5057 m
.6667 .50725 L
.6667 .50725 L
.66531 .50725 L
F
1 .55 0 r
.6667 .4483 m
.66779 .44927 L
.6667 .45256 L
.66557 .44927 L
F
.002 .8 1 r
.6667 .57834 m
.66971 .57973 L
.6667 .58316 L
.66593 .57973 L
F
.461 .975 1 r
.67636 .09619 m
.68119 .09494 L
.68603 .09417 L
.69086 .09367 L
.69569 .09334 L
.70052 .09311 L
.70535 .09294 L
.71019 .09283 L
.71502 .09274 L
.71985 .09268 L
.72468 .09264 L
.72951 .09261 L
.73434 .09259 L
.73918 .09259 L
.74401 .09259 L
.74884 .0926 L
.75367 .09262 L
.7585 .09266 L
.76334 .09271 L
.76817 .09278 L
.773 .09288 L
.77783 .09302 L
.78266 .09321 L
.7875 .09349 L
.79233 .09389 L
.79716 .09451 L
.80199 .09548 L
.80541 .09654 L
.80682 .09712 L
.81165 .10038 L
.81249 .10137 L
.81484 .1062 L
.81479 .11104 L
.81207 .11587 L
.81165 .11635 L
.80682 .11946 L
.80199 .12052 L
.80057 .1207 L
.79716 .12116 L
.79233 .12157 L
.7875 .12181 L
.78266 .12196 L
.77783 .12207 L
.773 .12213 L
.76817 .12218 L
.76334 .12222 L
.7585 .12224 L
.75367 .12226 L
.74884 .12227 L
.74401 .12228 L
.73918 .12228 L
.73434 .12227 L
.72951 .12227 L
.72468 .12225 L
.71985 .12223 L
.71502 .1222 L
.71019 .12216 L
.70535 .1221 L
.70052 .12202 L
.69569 .12189 L
.69086 .1217 L
.68603 .12139 L
.68119 .12085 L
.6802 .1207 L
.67636 .12011 L
.67153 .11835 L
.66869 .11587 L
.6667 .11299 L
.66598 .11104 L
.66593 .1062 L
.6667 .10392 L
.66827 .10137 L
.67153 .0984 L
.67536 .09654 L
F
0 .325 1 r
.6667 .46804 m
.66703 .46859 L
.6667 .46995 L
.66594 .46859 L
F
1 .675 0 r
.6667 .55967 m
.66998 .5604 L
.6667 .56457 L
.66625 .5604 L
F
0 .7 1 r
.6667 .42982 m
.66712 .42994 L
.6667 .43381 L
.66653 .42994 L
F
0 .55 1 r
.67153 .45881 m
.67501 .45893 L
.67301 .46376 L
.67153 .46638 L
.66672 .46376 L
.67148 .45893 L
F
1 .725 0 r
.67153 .43965 m
.67366 .44443 L
.67153 .4483 L
.66676 .44443 L
F
0 .325 1 r
.67153 .49728 m
.67379 .49758 L
.67164 .50242 L
.67153 .50259 L
.66676 .50242 L
.67128 .49758 L
F
1 .4 0 r
.67153 .47848 m
.67211 .48309 L
.67153 .48411 L
.66697 .48309 L
F
.212 .95 1 r
.70535 .56216 m
.71003 .56523 L
.7071 .57006 L
.70535 .57261 L
.70387 .57489 L
.70052 .57973 L
.70052 .57973 L
.69752 .58456 L
.69569 .58688 L
.69363 .58939 L
.69086 .59309 L
.69 .59422 L
.68628 .59905 L
.68603 .59946 L
.68383 .60388 L
.68119 .60589 L
.67873 .60872 L
.67636 .61307 L
.67467 .61355 L
.67153 .61726 L
.66701 .61355 L
.67025 .60872 L
.67153 .60679 L
.67364 .60388 L
.67636 .59986 L
.67698 .59905 L
.67952 .59422 L
.68119 .59254 L
.68412 .58939 L
.68603 .58671 L
.68775 .58456 L
.69086 .58027 L
.69131 .57973 L
.69506 .57489 L
.69569 .57357 L
.69898 .57006 L
.70052 .56797 L
.70295 .56523 L
F
0 .525 1 r
.67153 .45942 m
.67268 .46376 L
.67153 .46589 L
.66707 .46376 L
F
.004 .825 1 r
.67153 .42081 m
.67403 .42511 L
.67153 .42987 L
.66709 .42511 L
F
1 .7 0 r
.67153 .44037 m
.6732 .44443 L
.67153 .44766 L
.66724 .44443 L
F
1 .375 0 r
.67153 .47907 m
.67182 .48309 L
.67153 .48362 L
.66733 .48309 L
F
.461 .975 1 r
.71985 .57983 m
.72428 .58456 L
.72136 .58939 L
.71985 .59228 L
.71817 .59422 L
.71502 .5987 L
.71479 .59905 L
.71069 .60388 L
.71019 .6056 L
.70854 .60872 L
.70535 .61256 L
.70444 .61355 L
.70084 .61838 L
.70052 .61867 L
.69688 .62321 L
.69569 .62508 L
.69351 .62804 L
.69086 .63157 L
.68968 .63288 L
.68603 .63743 L
.68579 .63771 L
.68197 .64254 L
.68119 .6432 L
.6776 .64737 L
.67636 .6489 L
.67297 .6522 L
.67153 .65515 L
.66734 .6522 L
.67003 .64737 L
.67153 .64484 L
.67308 .64254 L
.67607 .63771 L
.67636 .63725 L
.67964 .63288 L
.68119 .63061 L
.68312 .62804 L
.68603 .62385 L
.68652 .62321 L
.68928 .61838 L
.69086 .61669 L
.69375 .61355 L
.69569 .61081 L
.69736 .60872 L
.70052 .60434 L
.70089 .60388 L
.70463 .59905 L
.70535 .59759 L
.70846 .59422 L
.71019 .59182 L
.71226 .58939 L
.71502 .58572 L
.71604 .58456 L
F
0 .5 1 r
.67153 .46005 m
.67233 .46376 L
.67153 .46534 L
.66747 .46376 L
F
1 .925 .098 r
.69569 .5565 m
.69957 .5604 L
.69713 .56523 L
.69569 .567 L
.69315 .57006 L
.69086 .57325 L
.68967 .57489 L
.68617 .57973 L
.68603 .57992 L
.68254 .58456 L
.68119 .58687 L
.67875 .58939 L
.67636 .59243 L
.67484 .59422 L
.67153 .59827 L
.66754 .59422 L
.67079 .58939 L
.67153 .58829 L
.67429 .58456 L
.67636 .58154 L
.67778 .57973 L
.68119 .57492 L
.68121 .57489 L
.68498 .57006 L
.68603 .56861 L
.68881 .56523 L
.69086 .56245 L
.69265 .5604 L
F
1 .975 .461 r
.69569 .12499 m
.70052 .1245 L
.70535 .12415 L
.71019 .12389 L
.71502 .12369 L
.71985 .12356 L
.72468 .12346 L
.72951 .12339 L
.73434 .12335 L
.73918 .12333 L
.74401 .12334 L
.74884 .12336 L
.75367 .12342 L
.7585 .1235 L
.76334 .12362 L
.76817 .12378 L
.773 .12401 L
.77783 .12431 L
.78266 .12473 L
.7875 .1253 L
.78909 .12553 L
.79233 .12608 L
.79716 .12717 L
.80199 .12878 L
.80525 .13036 L
.80682 .13121 L
.81165 .13517 L
.81167 .1352 L
.81334 .14003 L
.81165 .14296 L
.80889 .14486 L
.80682 .14657 L
.80199 .14843 L
.79716 .14938 L
.79469 .14969 L
.79233 .15008 L
.7875 .15067 L
.78266 .15109 L
.77783 .15139 L
.773 .15161 L
.76817 .15177 L
.76334 .15188 L
.7585 .15196 L
.75367 .15202 L
.74884 .15205 L
.74401 .15207 L
.73918 .15208 L
.73434 .15206 L
.72951 .15204 L
.72468 .15199 L
.71985 .15192 L
.71502 .15183 L
.71019 .15169 L
.70535 .15151 L
.70052 .15126 L
.69569 .1509 L
.69086 .1504 L
.68604 .14969 L
.68603 .14969 L
.68119 .14897 L
.67636 .14767 L
.67153 .14493 L
.67145 .14486 L
.66765 .14003 L
.6696 .1352 L
.67153 .13287 L
.67556 .13036 L
.67636 .12988 L
.68119 .12789 L
.68603 .12657 L
.69086 .12566 L
.69167 .12553 L
F
1 .675 0 r
.67153 .44122 m
.67269 .44443 L
.67153 .44691 L
.6678 .44443 L
F
0 .475 1 r
.67153 .46086 m
.67194 .46376 L
.67153 .46465 L
.66795 .46376 L
F
.002 .8 1 r
.67153 .42205 m
.67319 .42511 L
.67153 .42879 L
.66795 .42511 L
F
.004 .825 1 r
.68119 .55711 m
.68563 .5604 L
.68221 .56523 L
.68119 .56794 L
.67857 .57006 L
.67636 .57299 L
.6748 .57489 L
.67153 .57908 L
.66824 .57489 L
.67147 .57006 L
.67153 .5699 L
.67512 .56523 L
.67636 .56345 L
.67882 .5604 L
F
1 .65 0 r
.67153 .44232 m
.67209 .44443 L
.67153 .4459 L
.66852 .44443 L
F
1 .725 0 r
.67153 .55154 m
.67497 .55557 L
.67153 .56024 L
.66873 .55557 L
F
1 .9 .045 r
.67153 .40409 m
.67278 .40578 L
.67153 .40957 L
.66909 .40578 L
F
.002 .8 1 r
.67153 .57103 m
.67386 .57489 L
.67153 .57786 L
.66912 .57489 L
F
.001 .775 1 r
.67153 .42374 m
.67213 .42511 L
.67153 .42718 L
.6692 .42511 L
F
1 .7 0 r
.67153 .55217 m
.67441 .55557 L
.67153 .55952 L
.66923 .55557 L
F
1 .9 .045 r
.67153 .59023 m
.67294 .59422 L
.67153 .59584 L
.66942 .59422 L
F
0 .55 1 r
.67153 .53347 m
.67476 .53624 L
.67153 .54101 L
.66952 .53624 L
F
1 .675 0 r
.67153 .55292 m
.67378 .55557 L
.67153 .55869 L
.6698 .55557 L
F
0 .525 1 r
.67153 .53395 m
.67433 .53624 L
.67153 .54047 L
.66989 .53624 L
F
0 .5 1 r
.67153 .53451 m
.67383 .53624 L
.67153 .53983 L
.6703 .53624 L
F
.001 .775 1 r
.67153 .57261 m
.67259 .57489 L
.67153 .57621 L
.67037 .57489 L
F
1 .65 0 r
.67153 .55392 m
.67296 .55557 L
.67153 .55761 L
.67053 .55557 L
F
1 .4 0 r
.67153 .51575 m
.67407 .51691 L
.67153 .52139 L
.67063 .51691 L
F
0 .475 1 r
.67153 .53519 m
.6732 .53624 L
.67153 .53905 L
.6708 .53624 L
F
1 .375 0 r
.67153 .51625 m
.67353 .51691 L
.67153 .5208 L
.67102 .51691 L
F
1 .35 0 r
.67153 .51685 m
.67267 .51691 L
.67153 .52002 L
.67148 .51691 L
F
0 .45 1 r
.67153 .53617 m
.67204 .53624 L
.67153 .53775 L
.67149 .53624 L
F
1 .75 0 r
.68119 .53867 m
.68565 .54107 L
.68245 .5459 L
.68119 .54769 L
.679 .55073 L
.67636 .55442 L
.67173 .55073 L
.67548 .5459 L
.67636 .54469 L
.67939 .54107 L
F
0 .65 1 r
.68119 .52008 m
.68575 .52174 L
.68276 .52658 L
.68119 .52893 L
.6795 .53141 L
.67636 .536 L
.67194 .53141 L
.67578 .52658 L
.67636 .5252 L
.67989 .52174 L
F
1 .9 .045 r
.67636 .5831 m
.68112 .58456 L
.67723 .58939 L
.67636 .59046 L
.67213 .58939 L
.67541 .58456 L
F
1 .725 0 r
.68119 .5393 m
.68501 .54107 L
.68195 .5459 L
.68119 .54699 L
.67852 .55073 L
.67636 .55377 L
.67219 .55073 L
.67587 .5459 L
.67636 .54522 L
.67987 .54107 L
F
0 .625 1 r
.68119 .52056 m
.68521 .52174 L
.68239 .52658 L
.68119 .52841 L
.67917 .53141 L
.67636 .53556 L
.67225 .53141 L
.67606 .52658 L
.67636 .52584 L
.68026 .52174 L
F
.002 .8 1 r
.68119 .55807 m
.68471 .5604 L
.68141 .56523 L
.68119 .56586 L
.67775 .57006 L
.67636 .57191 L
.67228 .57006 L
.67575 .56523 L
.67636 .56433 L
.67954 .5604 L
F
0 .6 1 r
.68119 .5211 m
.68458 .52174 L
.68199 .52658 L
.68119 .52782 L
.67881 .53141 L
.67636 .53509 L
.67259 .53141 L
.67636 .52658 L
.67636 .52656 L
.68068 .52174 L
F
1 .7 0 r
.68119 .54004 m
.68423 .54107 L
.68139 .5459 L
.68119 .54618 L
.678 .55073 L
.67636 .55306 L
.67273 .55073 L
.67629 .5459 L
.67636 .5458 L
.68042 .54107 L
F
1 .55 0 r
.67636 .50787 m
.67917 .51208 L
.67636 .51657 L
.67292 .51208 L
F
0 .575 1 r
.67636 .52706 m
.67844 .53141 L
.67636 .53458 L
.67296 .53141 L
F
1 .525 0 r
.67636 .50827 m
.67885 .51208 L
.67636 .51616 L
.67322 .51208 L
F
.212 .95 1 r
.67636 .3814 m
.6764 .38162 L
.67636 .38225 L
.67332 .38162 L
F
0 .55 1 r
.67636 .52761 m
.67803 .53141 L
.67636 .53402 L
.67338 .53141 L
F
1 .675 0 r
.67636 .5466 m
.6774 .55073 L
.67636 .55224 L
.67339 .55073 L
F
.001 .775 1 r
.67636 .56549 m
.67674 .57006 L
.67636 .57056 L
.67348 .57006 L
F
1 .5 0 r
.67636 .50871 m
.67851 .51208 L
.67636 .51571 L
.67355 .51208 L
F
.212 .95 1 r
.70052 .15451 m
.70535 .15417 L
.71019 .15392 L
.71502 .15375 L
.71985 .15362 L
.72468 .15353 L
.72951 .15347 L
.73434 .15344 L
.73918 .15342 L
.74401 .15343 L
.74884 .15345 L
.75367 .1535 L
.7585 .15357 L
.76334 .15368 L
.76817 .15383 L
.773 .15404 L
.77783 .15432 L
.78041 .15452 L
.78266 .15472 L
.7875 .15529 L
.79233 .15613 L
.79716 .15749 L
.80114 .15935 L
.80199 .15988 L
.80617 .16419 L
.80682 .16581 L
.80711 .16902 L
.80682 .17027 L
.80473 .17385 L
.80199 .1765 L
.79716 .17841 L
.79588 .17868 L
.79233 .17958 L
.7875 .1804 L
.78266 .18095 L
.77783 .18132 L
.773 .18159 L
.76817 .18178 L
.76334 .18191 L
.7585 .18201 L
.75367 .18208 L
.74884 .18212 L
.74401 .18214 L
.73918 .18215 L
.73434 .18213 L
.72951 .1821 L
.72468 .18205 L
.71985 .18196 L
.71502 .18185 L
.71019 .18169 L
.70535 .18147 L
.70052 .18115 L
.69569 .1807 L
.69086 .18004 L
.68603 .17901 L
.68489 .17868 L
.68119 .17769 L
.67636 .17428 L
.67604 .17385 L
.67366 .16902 L
.6746 .16419 L
.67636 .16184 L
.67963 .15935 L
.68119 .1585 L
.68603 .15672 L
.69086 .15567 L
.69569 .15498 L
.70035 .15452 L
F
.461 .975 1 r
.69569 .27486 m
.70052 .27452 L
.70535 .27429 L
.71019 .27413 L
.71502 .27402 L
.71985 .27394 L
.72468 .27388 L
.72951 .27384 L
.73434 .27382 L
.73918 .27381 L
.74401 .27381 L
.74884 .27383 L
.75367 .27386 L
.7585 .27391 L
.76334 .27397 L
.76817 .27407 L
.773 .27421 L
.77783 .2744 L
.78266 .27468 L
.7875 .2751 L
.78942 .27532 L
.79233 .27543 L
.79716 .27594 L
.80199 .27784 L
.80437 .28015 L
.80682 .2841 L
.80698 .28498 L
.80682 .28723 L
.80578 .28981 L
.80199 .29424 L
.80078 .29465 L
.79716 .29655 L
.79233 .29825 L
.7875 .29943 L
.78723 .29948 L
.78266 .3002 L
.77783 .30078 L
.773 .3012 L
.76817 .30153 L
.76334 .30177 L
.7585 .30194 L
.75367 .30206 L
.74884 .30215 L
.74401 .30219 L
.73918 .3022 L
.73434 .30217 L
.72951 .30211 L
.72468 .30201 L
.71985 .30186 L
.71502 .30166 L
.71019 .30139 L
.70535 .30102 L
.70052 .30051 L
.69569 .29981 L
.69375 .29948 L
.69086 .29886 L
.68603 .29754 L
.68119 .29547 L
.67987 .29465 L
.67636 .29231 L
.67511 .28981 L
.67384 .28498 L
.67636 .28021 L
.67643 .28015 L
.68119 .27661 L
.68603 .27561 L
.69086 .27533 L
.69135 .27532 L
F
0 .525 1 r
.67636 .52826 m
.67757 .53141 L
.67636 .53337 L
.67388 .53141 L
F
1 .475 0 r
.67636 .50921 m
.67814 .51208 L
.67636 .5152 L
.67392 .51208 L
F
0 .475 1 r
.67636 .49002 m
.67877 .49275 L
.67636 .49719 L
.67394 .49275 L
F
0 .45 1 r
.67636 .49049 m
.67839 .49275 L
.67636 .49671 L
.6743 .49275 L
F
1 .65 0 r
.67636 .54776 m
.67665 .55073 L
.67636 .55118 L
.67435 .55073 L
F
1 .45 0 r
.67636 .50977 m
.67772 .51208 L
.67636 .51462 L
.67435 .51208 L
F
0 .5 1 r
.67636 .52912 m
.67702 .53141 L
.67636 .53255 L
.67454 .53141 L
F
0 .425 1 r
.67636 .49102 m
.67795 .49275 L
.67636 .49615 L
.67472 .49275 L
F
1 .425 0 r
.67636 .51048 m
.67723 .51208 L
.67636 .51389 L
.6749 .51208 L
F
1 .525 0 r
.67636 .47198 m
.67834 .47342 L
.67636 .478 L
.67492 .47342 L
F
0 .4 1 r
.67636 .49165 m
.67742 .49275 L
.67636 .49545 L
.67524 .49275 L
F
1 .5 0 r
.67636 .4726 m
.67771 .47342 L
.67636 .47732 L
.67547 .47342 L
F
1 .4 0 r
.67636 .51163 m
.67653 .51208 L
.67636 .51268 L
.67582 .51208 L
F
0 .375 1 r
.67636 .49252 m
.67663 .49275 L
.67636 .49438 L
.67605 .49275 L
F
1 .975 .461 r
.67636 .62277 m
.67837 .62321 L
.67636 .62482 L
.67619 .62321 L
F
1 .475 0 r
.67636 .47339 m
.67654 .47342 L
.67636 .47637 L
.67631 .47342 L
F
0 .6 1 r
.68119 .48299 m
.68542 .48309 L
.68316 .48792 L
.68119 .49133 L
.6766 .48792 L
.68115 .48309 L
F
1 .575 0 r
.68119 .50228 m
.68471 .50242 L
.68245 .50725 L
.68119 .50934 L
.67661 .50725 L
.68108 .50242 L
F
1 .7 0 r
.68119 .46396 m
.68373 .46859 L
.68119 .47315 L
.67674 .46859 L
F
0 .575 1 r
.68119 .52172 m
.68372 .52174 L
.68155 .52658 L
.68119 .52715 L
.67683 .52658 L
.68118 .52174 L
F
.68119 .48356 m
.6828 .48792 L
.68119 .49082 L
.67695 .48792 L
F
1 .55 0 r
.68119 .50286 m
.68207 .50725 L
.68119 .50878 L
.677 .50725 L
F
1 .675 0 r
.68119 .46455 m
.68331 .46859 L
.68119 .4726 L
.67714 .46859 L
F
0 .55 1 r
.68119 .48417 m
.68242 .48792 L
.68119 .49025 L
.67735 .48792 L
F
1 .525 0 r
.68119 .50361 m
.68166 .50725 L
.68119 .50811 L
.67747 .50725 L
F
1 .65 0 r
.68119 .46522 m
.68286 .46859 L
.68119 .47197 L
.67759 .46859 L
F
0 .75 1 r
.68119 .44589 m
.68351 .44927 L
.68119 .45403 L
.67762 .44927 L
F
0 .525 1 r
.68119 .4849 m
.682 .48792 L
.68119 .48957 L
.67782 .48792 L
F
.212 .95 1 r
.69086 .21658 m
.69569 .21566 L
.70052 .21506 L
.70535 .21466 L
.71019 .21437 L
.71502 .21417 L
.71985 .21403 L
.72468 .21393 L
.72951 .21387 L
.73434 .21383 L
.73918 .21381 L
.74401 .21382 L
.74884 .21385 L
.75367 .2139 L
.7585 .21398 L
.76334 .2141 L
.76817 .21427 L
.773 .2145 L
.77783 .21484 L
.78266 .21533 L
.7875 .21606 L
.79233 .21723 L
.79266 .21734 L
.79716 .21913 L
.80113 .22217 L
.80199 .22346 L
.80285 .227 L
.80199 .23006 L
.80082 .23183 L
.79716 .23538 L
.79368 .23666 L
.79233 .2372 L
.7875 .23865 L
.78266 .23962 L
.77783 .2403 L
.773 .24079 L
.76817 .24114 L
.76334 .2414 L
.7611 .2415 L
.7585 .24158 L
.75367 .2417 L
.74884 .24178 L
.74401 .24182 L
.73918 .24183 L
.73434 .24181 L
.72951 .24175 L
.72468 .24165 L
.71985 .2415 L
.71968 .2415 L
.71502 .24128 L
.71019 .24098 L
.70535 .24057 L
.70052 .23999 L
.69569 .23918 L
.69086 .238 L
.68709 .23666 L
.68603 .23636 L
.68119 .23351 L
.67995 .23183 L
.67792 .227 L
.67964 .22217 L
.68119 .22068 L
.68603 .21805 L
.68811 .21734 L
F
1 .95 .212 r
.69086 .18719 m
.69569 .18614 L
.70052 .18544 L
.70535 .18495 L
.71019 .18461 L
.71502 .18436 L
.71985 .18419 L
.72468 .18406 L
.72951 .18398 L
.73434 .18393 L
.73918 .18391 L
.74401 .18392 L
.74884 .18395 L
.75367 .18402 L
.7585 .18412 L
.76334 .18427 L
.76817 .18448 L
.773 .18477 L
.77783 .18518 L
.78266 .18576 L
.7875 .18661 L
.79233 .18792 L
.7935 .18835 L
.79716 .18996 L
.8013 .19318 L
.80199 .19417 L
.80284 .19801 L
.80199 .20049 L
.80006 .20284 L
.79716 .20541 L
.79233 .20731 L
.79068 .20767 L
.7875 .20855 L
.78266 .20951 L
.77783 .21019 L
.773 .21067 L
.76817 .21102 L
.76334 .21127 L
.7585 .21145 L
.75367 .21157 L
.74884 .21166 L
.74401 .2117 L
.73918 .21171 L
.73434 .21168 L
.72951 .21162 L
.72468 .21152 L
.71985 .21137 L
.71502 .21115 L
.71019 .21086 L
.70535 .21045 L
.70052 .20988 L
.69569 .20908 L
.69086 .20791 L
.69008 .20767 L
.68603 .20657 L
.68119 .20343 L
.6807 .20284 L
.67793 .19801 L
.6795 .19318 L
.68119 .19152 L
.68603 .18882 L
.68726 .18835 L
F
1 .625 0 r
.68119 .466 m
.68235 .46859 L
.68119 .47122 L
.67814 .46859 L
F
0 .725 1 r
.68119 .44683 m
.68283 .44927 L
.68119 .45314 L
.67831 .44927 L
F
0 .5 1 r
.68119 .48592 m
.68151 .48792 L
.68119 .48868 L
.67843 .48792 L
F
1 .6 0 r
.68119 .46704 m
.68175 .46859 L
.68119 .47021 L
.67885 .46859 L
F
1 .9 .045 r
.68119 .57642 m
.68472 .57973 L
.68119 .58448 L
.67895 .57973 L
F
1 .975 .461 r
.68119 .61444 m
.6833 .61838 L
.68119 .62081 L
.67898 .61838 L
F
0 .7 1 r
.68119 .44804 m
.68197 .44927 L
.68119 .45192 L
.67927 .44927 L
F
.098 .925 1 r
.68119 .59641 m
.68318 .59905 L
.68119 .60151 L
.67968 .59905 L
F
1 .825 .004 r
.68119 .42931 m
.68186 .42994 L
.68119 .43343 L
.68 .42994 L
F
.001 .775 1 r
.68119 .55931 m
.6835 .5604 L
.68119 .56404 L
.68045 .5604 L
F
1 .875 .021 r
.68119 .57891 m
.68247 .57973 L
.68119 .58156 L
.68073 .57973 L
F
1 .675 0 r
.68119 .54097 m
.68308 .54107 L
.68119 .54504 L
.68112 .54107 L
F
.098 .925 1 r
.71985 .15445 m
.72468 .15429 L
.72951 .15417 L
.73434 .15411 L
.73918 .15408 L
.74401 .15409 L
.74884 .15414 L
.75367 .15422 L
.7585 .15436 L
.76256 .15452 L
.76334 .15456 L
.76817 .15483 L
.773 .1552 L
.77783 .15573 L
.78266 .15649 L
.7875 .15763 L
.79207 .15935 L
.79233 .15947 L
.79716 .16272 L
.79838 .16419 L
.79957 .16902 L
.79716 .17336 L
.79664 .17385 L
.79233 .17692 L
.7875 .17832 L
.7854 .17868 L
.78266 .17925 L
.77783 .17998 L
.773 .18049 L
.76817 .18085 L
.76334 .18111 L
.7585 .18129 L
.75367 .18142 L
.74884 .1815 L
.74401 .18154 L
.73918 .18155 L
.73434 .18152 L
.72951 .18146 L
.72468 .18136 L
.71985 .18121 L
.71502 .18099 L
.71019 .18069 L
.70535 .18026 L
.70052 .17965 L
.69569 .17876 L
.69537 .17868 L
.69086 .17776 L
.68603 .17557 L
.68413 .17385 L
.6812 .16902 L
.68239 .16419 L
.68603 .1608 L
.6887 .15935 L
.69086 .15843 L
.69569 .157 L
.70052 .15607 L
.70535 .15544 L
.71019 .155 L
.71502 .15468 L
.71821 .15452 L
F
1 .975 .461 r
.70052 .24586 m
.70535 .24532 L
.71019 .24494 L
.71502 .24467 L
.71985 .24449 L
.72468 .24435 L
.72951 .24427 L
.73434 .24421 L
.73918 .24419 L
.74401 .2442 L
.74884 .24424 L
.75367 .24431 L
.7585 .24441 L
.76334 .24457 L
.76817 .2448 L
.773 .24511 L
.77783 .24556 L
.78266 .24622 L
.78329 .24633 L
.7875 .24716 L
.79233 .24863 L
.79688 .25116 L
.79716 .25141 L
.79932 .25599 L
.79716 .26069 L
.79704 .26082 L
.79233 .26473 L
.78942 .26566 L
.7875 .2664 L
.78266 .26783 L
.77783 .26884 L
.773 .26958 L
.76817 .27011 L
.76368 .27049 L
.76334 .27051 L
.7585 .27078 L
.75367 .27096 L
.74884 .27109 L
.74401 .27115 L
.73918 .27116 L
.73434 .27112 L
.72951 .27103 L
.72468 .27088 L
.71985 .27065 L
.71708 .27049 L
.71502 .27033 L
.71019 .26987 L
.70535 .26924 L
.70052 .26838 L
.69569 .26718 L
.69134 .26566 L
.69086 .26553 L
.68603 .26333 L
.68376 .26082 L
.68142 .25599 L
.68392 .25116 L
.68603 .24974 L
.69086 .2478 L
.69569 .24664 L
.69748 .24633 L
F
.69086 .60075 m
.695 .60388 L
.69138 .60872 L
.69086 .6098 L
.6875 .61355 L
.68603 .61536 L
.68184 .61355 L
.68517 .60872 L
.68603 .60741 L
.68873 .60388 L
F
1 .95 .212 r
.71019 .12551 m
.71502 .1251 L
.71985 .12481 L
.72468 .1246 L
.72951 .12446 L
.73434 .12437 L
.73918 .12433 L
.74401 .12435 L
.74884 .12441 L
.75367 .12452 L
.7585 .12469 L
.76334 .12494 L
.76817 .12529 L
.77083 .12553 L
.773 .12576 L
.77783 .12641 L
.78266 .12732 L
.7875 .12867 L
.7915 .13036 L
.79233 .13079 L
.79716 .13454 L
.79765 .1352 L
.79873 .14003 L
.79716 .14296 L
.79495 .14486 L
.79233 .14663 L
.7875 .14838 L
.78266 .14924 L
.7785 .14969 L
.77783 .14978 L
.773 .1503 L
.76817 .15067 L
.76334 .15093 L
.7585 .15111 L
.75367 .15124 L
.74884 .15132 L
.74401 .15137 L
.73918 .15138 L
.73434 .15135 L
.72951 .15129 L
.72468 .15118 L
.71985 .15103 L
.71502 .15081 L
.71019 .1505 L
.70535 .15006 L
.70227 .14969 L
.70052 .14953 L
.69569 .14888 L
.69086 .14767 L
.68603 .14504 L
.68581 .14486 L
.68202 .14003 L
.68313 .1352 L
.68603 .1323 L
.68928 .13036 L
.69086 .12961 L
.69569 .12793 L
.70052 .12682 L
.70535 .12606 L
.70994 .12553 L
F
1 .9 .045 r
.69086 .5641 m
.69471 .56523 L
.69168 .57006 L
.69086 .57125 L
.68827 .57489 L
.68603 .57805 L
.68245 .57489 L
.68598 .57006 L
.68603 .57 L
.69003 .56523 L
F
.098 .925 1 r
.68603 .40375 m
.68704 .40578 L
.68603 .40901 L
.68247 .40578 L
F
.004 .825 1 r
.68603 .551 m
.68891 .55557 L
.68603 .55985 L
.68252 .55557 L
F
.098 .925 1 r
.68603 .58945 m
.68718 .59422 L
.68603 .59573 L
.68288 .59422 L
F
.002 .8 1 r
.68603 .55217 m
.68796 .55557 L
.68603 .55857 L
.68342 .55557 L
F
1 .75 0 r
.68603 .53304 m
.68862 .53624 L
.68603 .54052 L
.68343 .53624 L
F
1 .725 0 r
.68603 .53396 m
.68786 .53624 L
.68603 .53952 L
.68413 .53624 L
F
0 .65 1 r
.68603 .51499 m
.68828 .51691 L
.68603 .52129 L
.68433 .51691 L
F
1 .875 .021 r
.68603 .57283 m
.68623 .57489 L
.68603 .5752 L
.68479 .57489 L
F
.001 .775 1 r
.68603 .55403 m
.68662 .55557 L
.68603 .55666 L
.68484 .55557 L
F
.212 .95 1 r
.71019 .09621 m
.71502 .0957 L
.71985 .09533 L
.72468 .09506 L
.72951 .09488 L
.73434 .09477 L
.73918 .09473 L
.74401 .09474 L
.74884 .09482 L
.75367 .09496 L
.7585 .09518 L
.76334 .0955 L
.76817 .09594 L
.773 .09653 L
.77306 .09654 L
.77783 .09735 L
.78266 .0985 L
.7875 .10025 L
.78967 .10137 L
.79233 .10311 L
.79516 .1062 L
.79591 .11104 L
.79233 .11528 L
.79136 .11587 L
.7875 .11783 L
.78266 .11912 L
.77783 .11982 L
.773 .12024 L
.76817 .12051 L
.76334 .12069 L
.7631 .1207 L
.7585 .12088 L
.75367 .12101 L
.74884 .1211 L
.74401 .12114 L
.73918 .12115 L
.73434 .12113 L
.72951 .12106 L
.72468 .12096 L
.71985 .12079 L
.71766 .1207 L
.71502 .12061 L
.71019 .12039 L
.70535 .12005 L
.70052 .11952 L
.69569 .11858 L
.69086 .11675 L
.68941 .11587 L
.68603 .11315 L
.68486 .11104 L
.6856 .1062 L
.68603 .10556 L
.69086 .1015 L
.69109 .10137 L
.69569 .09927 L
.70052 .09787 L
.70535 .09691 L
.70771 .09654 L
F
0 .625 1 r
.68603 .51584 m
.68749 .51691 L
.68603 .52033 L
.68502 .51691 L
F
1 .7 0 r
.68603 .53527 m
.68681 .53624 L
.68603 .53806 L
.68515 .53624 L
F
1 .925 .098 r
.69569 .18831 m
.70052 .18703 L
.70535 .18619 L
.71019 .18562 L
.71502 .18522 L
.71985 .18493 L
.72468 .18474 L
.72951 .1846 L
.73434 .18452 L
.73918 .18449 L
.74401 .1845 L
.74884 .18456 L
.75367 .18466 L
.7585 .18482 L
.76334 .18506 L
.76817 .1854 L
.773 .18588 L
.77783 .18657 L
.78266 .1876 L
.78519 .18835 L
.7875 .18915 L
.79233 .19177 L
.79387 .19318 L
.79557 .19801 L
.7926 .20284 L
.79233 .20314 L
.7875 .20627 L
.78266 .20755 L
.78194 .20767 L
.77783 .2086 L
.773 .20938 L
.76817 .20993 L
.76334 .21032 L
.7585 .2106 L
.75367 .2108 L
.74884 .21092 L
.74401 .21099 L
.73918 .211 L
.73434 .21096 L
.72951 .21087 L
.72468 .21071 L
.71985 .21047 L
.71502 .21014 L
.71019 .20967 L
.70535 .20902 L
.70052 .20809 L
.69883 .20767 L
.69569 .20702 L
.69086 .2051 L
.68818 .20284 L
.68603 .20034 L
.6852 .19801 L
.68603 .19437 L
.68689 .19318 L
.69086 .19025 L
.69557 .18835 L
F
1 .625 0 r
.68603 .49686 m
.68772 .49758 L
.68603 .50215 L
.6853 .49758 L
F
.001 .775 1 r
.69569 .50213 m
.69799 .50242 L
.69645 .50725 L
.69569 .50862 L
.69378 .51208 L
.69086 .51689 L
.68609 .51208 L
.69041 .50725 L
.69086 .50638 L
.69541 .50242 L
F
1 .8 .002 r
.69086 .52612 m
.69556 .52658 L
.69289 .53141 L
.69086 .53467 L
.68622 .53141 L
.6905 .52658 L
F
.004 .825 1 r
.69086 .54538 m
.69482 .5459 L
.6921 .55073 L
.69086 .55265 L
.68627 .55073 L
.69045 .5459 L
F
0 .75 1 r
.69086 .50735 m
.69325 .51208 L
.69086 .51617 L
.68656 .51208 L
F
.098 .925 1 r
.70052 .21716 m
.70535 .21628 L
.71019 .21569 L
.71502 .21528 L
.71985 .21499 L
.72468 .21479 L
.72951 .21466 L
.73434 .21459 L
.73918 .21455 L
.74401 .21456 L
.74884 .21462 L
.75367 .21472 L
.7585 .21488 L
.76334 .21512 L
.76817 .21546 L
.773 .21596 L
.77783 .21668 L
.781 .21734 L
.78266 .21774 L
.7875 .2194 L
.79186 .22217 L
.79233 .22268 L
.79393 .227 L
.79233 .23076 L
.79135 .23183 L
.7875 .23501 L
.78266 .23657 L
.78221 .23666 L
.77783 .23785 L
.773 .23877 L
.76817 .23943 L
.76334 .2399 L
.7585 .24023 L
.75367 .24047 L
.74884 .24062 L
.74401 .2407 L
.73918 .24071 L
.73434 .24067 L
.72951 .24055 L
.72468 .24036 L
.71985 .24008 L
.71502 .23968 L
.71019 .23913 L
.70535 .23835 L
.70052 .23725 L
.69856 .23666 L
.69569 .23596 L
.69086 .23339 L
.68942 .23183 L
.68684 .227 L
.68892 .22217 L
.69086 .22067 L
.69569 .21846 L
.69977 .21734 L
F
1 .775 .001 r
.69086 .52706 m
.69218 .53141 L
.69086 .53366 L
.68689 .53141 L
F
.045 .9 1 r
.69569 .15933 m
.70052 .15777 L
.70535 .15677 L
.71019 .15608 L
.71502 .1556 L
.71985 .15526 L
.72468 .15503 L
.72951 .15487 L
.73434 .15477 L
.73918 .15473 L
.74401 .15474 L
.74884 .15481 L
.75367 .15494 L
.7585 .15513 L
.76334 .15542 L
.76817 .15582 L
.773 .15639 L
.77783 .15722 L
.78266 .15846 L
.78514 .15935 L
.7875 .16039 L
.79233 .16401 L
.79247 .16419 L
.79382 .16902 L
.79233 .17208 L
.79047 .17385 L
.7875 .17602 L
.78266 .17775 L
.77783 .17859 L
.77712 .17868 L
.773 .17934 L
.76817 .17989 L
.76334 .18028 L
.7585 .18056 L
.75367 .18075 L
.74884 .18087 L
.74401 .18093 L
.73918 .18094 L
.73434 .18091 L
.72951 .18081 L
.72468 .18066 L
.71985 .18043 L
.71502 .1801 L
.71019 .17964 L
.70535 .17898 L
.70365 .17868 L
.70052 .17823 L
.69569 .17706 L
.69086 .17437 L
.69029 .17385 L
.68695 .16902 L
.68831 .16419 L
.69086 .16183 L
.69562 .15935 L
F
.461 .975 1 r
.70535 .03844 m
.71019 .03755 L
.71502 .03688 L
.71985 .03638 L
.72468 .03601 L
.72951 .03576 L
.73434 .0356 L
.73918 .03554 L
.74401 .03556 L
.74884 .03567 L
.75367 .03587 L
.7585 .03618 L
.76334 .03661 L
.76817 .03719 L
.773 .03797 L
.77594 .03856 L
.77783 .039 L
.78266 .04044 L
.7875 .04261 L
.78876 .04339 L
.79233 .04628 L
.79368 .04822 L
.79373 .05305 L
.79233 .0547 L
.7875 .0573 L
.78564 .05789 L
.78266 .05874 L
.77783 .05965 L
.773 .06021 L
.76817 .06059 L
.76334 .06083 L
.7585 .061 L
.75367 .06112 L
.74884 .06119 L
.74401 .06122 L
.73918 .06123 L
.73434 .06121 L
.72951 .06116 L
.72468 .06107 L
.71985 .06093 L
.71502 .06072 L
.71019 .06042 L
.70535 .05996 L
.70052 .05925 L
.69569 .05807 L
.69513 .05789 L
.69086 .05629 L
.68704 .05305 L
.68709 .04822 L
.69086 .04416 L
.69201 .04339 L
.69569 .0414 L
.70052 .03966 L
.70483 .03856 L
F
0 .725 1 r
.69086 .50816 m
.69266 .51208 L
.69086 .51535 L
.68711 .51208 L
F
1 .75 0 r
.69086 .48912 m
.69318 .49275 L
.69086 .49718 L
.68729 .49275 L
F
.002 .8 1 r
.69086 .54713 m
.69095 .55073 L
.69086 .5509 L
.6875 .55073 L
F
0 .7 1 r
.69086 .50916 m
.69199 .51208 L
.69086 .51435 L
.68779 .51208 L
F
1 .75 0 r
.69086 .52846 m
.69134 .53141 L
.69086 .53233 L
.6878 .53141 L
F
1 .725 0 r
.69086 .48999 m
.69254 .49275 L
.69086 .4963 L
.68791 .49275 L
F
0 .75 1 r
.69086 .471 m
.69291 .47342 L
.69086 .47808 L
.6882 .47342 L
F
1 .7 0 r
.69086 .4911 m
.69176 .49275 L
.69086 .49515 L
.68873 .49275 L
F
0 .675 1 r
.69086 .51075 m
.69113 .51208 L
.69086 .51284 L
.68882 .51208 L
F
0 .725 1 r
.69086 .47214 m
.69199 .47342 L
.69086 .4769 L
.68912 .47342 L
F
1 .925 .098 r
.72951 .12549 m
.73434 .12536 L
.73918 .12531 L
.74401 .12533 L
.74884 .12542 L
.75243 .12553 L
.75367 .12559 L
.7585 .12585 L
.76334 .12623 L
.76817 .12676 L
.773 .1275 L
.77783 .12859 L
.78266 .13023 L
.78296 .13036 L
.7875 .13283 L
.79001 .1352 L
.79121 .14003 L
.7875 .1445 L
.78692 .14486 L
.78266 .14713 L
.77783 .14843 L
.773 .14913 L
.76817 .14956 L
.76616 .14969 L
.76334 .14992 L
.7585 .15023 L
.75367 .15043 L
.74884 .15057 L
.74401 .15064 L
.73918 .15065 L
.73434 .15061 L
.72951 .15051 L
.72468 .15034 L
.71985 .15009 L
.71502 .14973 L
.71461 .14969 L
.71019 .14937 L
.70535 .14883 L
.70052 .14788 L
.69569 .14604 L
.69385 .14486 L
.69086 .14242 L
.68956 .14003 L
.69076 .1352 L
.69086 .13506 L
.69569 .13135 L
.69781 .13036 L
.70052 .12932 L
.70535 .12799 L
.71019 .1271 L
.71502 .12647 L
.71985 .12602 L
.72468 .12571 L
.72843 .12553 L
F
.098 .925 1 r
.69086 .58321 m
.6941 .58456 L
.69086 .58937 L
.68993 .58456 L
F
1 .8 .002 r
.69086 .45385 m
.69132 .4541 L
.69086 .45794 L
.69035 .4541 L
F
1 .9 .045 r
.70535 .18757 m
.71019 .18671 L
.71502 .18612 L
.71985 .18571 L
.72468 .18543 L
.72951 .18525 L
.73434 .18513 L
.73918 .18509 L
.74401 .1851 L
.74884 .18518 L
.75367 .18533 L
.7585 .18556 L
.76334 .1859 L
.76817 .18639 L
.773 .18709 L
.77783 .18815 L
.77855 .18835 L
.78266 .1897 L
.7875 .19241 L
.78835 .19318 L
.79021 .19801 L
.7875 .20239 L
.78694 .20284 L
.78266 .20572 L
.77783 .20715 L
.77471 .20767 L
.773 .20802 L
.76817 .20881 L
.76334 .20936 L
.7585 .20974 L
.75367 .21001 L
.74884 .21018 L
.74401 .21027 L
.73918 .21029 L
.73434 .21024 L
.72951 .21011 L
.72468 .20989 L
.71985 .20957 L
.71502 .20911 L
.71019 .20845 L
.70606 .20767 L
.70535 .20757 L
.70052 .20657 L
.69569 .2044 L
.69383 .20284 L
.69086 .19914 L
.69055 .19801 L
.69086 .19559 L
.69242 .19318 L
.69569 .19082 L
.70052 .18884 L
.70222 .18835 L
F
1 .775 .001 r
.69569 .48516 m
.69595 .48792 L
.69569 .48855 L
.69142 .48792 L
F
.021 .875 1 r
.70535 .15821 m
.71019 .15723 L
.71502 .15656 L
.71985 .15609 L
.72468 .15577 L
.72951 .15556 L
.73434 .15543 L
.73918 .15537 L
.74401 .15539 L
.74884 .15548 L
.75367 .15565 L
.7585 .15592 L
.76334 .1563 L
.76817 .15686 L
.773 .15767 L
.77783 .15888 L
.77927 .15935 L
.78266 .16071 L
.7875 .16409 L
.78758 .16419 L
.78909 .16902 L
.7875 .172 L
.78535 .17385 L
.78266 .17568 L
.77783 .17743 L
.773 .1783 L
.76964 .17868 L
.76817 .17889 L
.76334 .17943 L
.7585 .1798 L
.75367 .18006 L
.74884 .18022 L
.74401 .18031 L
.73918 .18032 L
.73434 .18027 L
.72951 .18015 L
.72468 .17994 L
.71985 .17963 L
.71502 .17918 L
.71113 .17868 L
.71019 .17859 L
.70535 .17793 L
.70052 .17673 L
.69569 .17409 L
.69541 .17385 L
.69167 .16902 L
.69319 .16419 L
.69569 .16206 L
.70052 .1597 L
.7015 .15935 L
F
.002 .8 1 r
.69569 .46605 m
.69635 .46859 L
.69569 .47032 L
.69174 .46859 L
F
1 .875 .021 r
.69569 .44668 m
.69687 .44927 L
.69569 .4524 L
.69192 .44927 L
F
1 .975 .461 r
.69569 .59429 m
.69854 .59905 L
.69569 .603 L
.69225 .59905 L
F
.045 .9 1 r
.69569 .42886 m
.69635 .42994 L
.69569 .433 L
.69319 .42994 L
F
.71019 .21718 m
.71502 .2165 L
.71985 .21604 L
.72468 .21572 L
.72951 .21551 L
.73434 .21539 L
.73918 .21534 L
.74401 .21536 L
.74884 .21544 L
.75367 .21561 L
.7585 .21586 L
.76334 .21625 L
.76817 .21681 L
.77149 .21734 L
.773 .21761 L
.77783 .21879 L
.78266 .22073 L
.78484 .22217 L
.78726 .227 L
.78423 .23183 L
.78266 .23328 L
.77783 .23564 L
.77304 .23666 L
.773 .23667 L
.76817 .23768 L
.76334 .23839 L
.7585 .23889 L
.75367 .23923 L
.74884 .23945 L
.74401 .23957 L
.73918 .23959 L
.73434 .23952 L
.72951 .23936 L
.72468 .23908 L
.71985 .23866 L
.71502 .23807 L
.71019 .23723 L
.70773 .23666 L
.70535 .23624 L
.70052 .23474 L
.69654 .23183 L
.69569 .23107 L
.69352 .227 L
.69569 .22237 L
.69592 .22217 L
.70052 .21962 L
.70535 .21814 L
.70928 .21734 L
F
.098 .925 1 r
.69569 .57745 m
.6973 .57973 L
.69569 .58231 L
.69399 .57973 L
F
1 .9 .045 r
.69569 .5588 m
.69748 .5604 L
.69569 .5637 L
.69439 .5604 L
F
1 .975 .461 r
.72468 .0675 m
.72951 .06717 L
.73434 .06697 L
.73918 .06689 L
.74401 .06691 L
.74884 .06705 L
.75367 .06732 L
.75671 .06755 L
.7585 .06772 L
.76334 .0683 L
.76817 .06911 L
.773 .07026 L
.77783 .07198 L
.77869 .07238 L
.78266 .07465 L
.78529 .07721 L
.78591 .08204 L
.78266 .0851 L
.77845 .08688 L
.77783 .08711 L
.773 .08844 L
.76817 .08924 L
.76334 .08974 L
.7585 .09007 L
.75367 .09028 L
.74884 .09041 L
.74401 .09047 L
.73918 .09049 L
.73434 .09045 L
.72951 .09035 L
.72468 .09018 L
.71985 .08992 L
.71502 .08952 L
.71019 .08889 L
.70535 .08786 L
.70232 .08688 L
.70052 .08625 L
.69569 .08323 L
.69486 .08204 L
.69547 .07721 L
.69569 .07692 L
.70052 .07315 L
.70208 .07238 L
.70535 .07103 L
.71019 .06964 L
.71502 .06867 L
.71985 .06799 L
.72408 .06755 L
F
1 .875 .021 r
.71019 .1879 m
.71502 .18709 L
.71985 .18654 L
.72468 .18616 L
.72951 .18592 L
.73434 .18577 L
.73918 .18571 L
.74401 .18573 L
.74884 .18583 L
.75367 .18603 L
.7585 .18633 L
.76334 .18679 L
.76817 .18746 L
.77258 .18835 L
.773 .18844 L
.77783 .18988 L
.78266 .19233 L
.78371 .19318 L
.78575 .19801 L
.78266 .20247 L
.78216 .20284 L
.77783 .20553 L
.773 .20692 L
.76817 .20765 L
.76793 .20767 L
.76334 .20836 L
.7585 .20887 L
.75367 .20921 L
.74884 .20943 L
.74401 .20955 L
.73918 .20957 L
.73434 .2095 L
.72951 .20934 L
.72468 .20906 L
.71985 .20864 L
.71502 .20803 L
.71283 .20767 L
.71019 .20733 L
.70535 .20635 L
.70052 .2043 L
.69861 .20284 L
.69569 .19983 L
.69501 .19801 L
.69569 .19489 L
.69706 .19318 L
.70052 .19091 L
.70535 .18908 L
.70819 .18835 L
F
1 .9 .045 r
.70535 .13017 m
.71019 .1288 L
.71502 .12787 L
.71985 .12724 L
.72468 .1268 L
.72951 .12651 L
.73434 .12634 L
.73918 .12626 L
.74401 .12629 L
.74884 .12641 L
.75367 .12664 L
.7585 .127 L
.76334 .12753 L
.76817 .12829 L
.773 .12941 L
.77594 .13036 L
.77783 .13109 L
.78266 .13384 L
.78409 .1352 L
.78543 .14003 L
.78266 .14357 L
.78056 .14486 L
.77783 .1463 L
.773 .14781 L
.76817 .14863 L
.76334 .14912 L
.7585 .14942 L
.75367 .14962 L
.75146 .14969 L
.74884 .14977 L
.74401 .14987 L
.73918 .14989 L
.73434 .14983 L
.72951 .14969 L
.72947 .14969 L
.72468 .14953 L
.71985 .14929 L
.71502 .1489 L
.71019 .14827 L
.70535 .14718 L
.70052 .14506 L
.70021 .14486 L
.69569 .14089 L
.69533 .14003 L
.69569 .13673 L
.69668 .1352 L
.70052 .13225 L
.70483 .13036 L
F
.004 .825 1 r
.69569 .54079 m
.69671 .54107 L
.69569 .54429 L
.69542 .54107 L
F
1 .95 .212 r
.72468 .246 m
.72951 .24578 L
.73434 .24565 L
.73918 .24559 L
.74401 .24561 L
.74884 .2457 L
.75367 .24588 L
.7585 .24616 L
.76074 .24633 L
.76334 .24656 L
.76817 .24712 L
.773 .24796 L
.77783 .24927 L
.78194 .25116 L
.78266 .25167 L
.78517 .25599 L
.78266 .2605 L
.78229 .26082 L
.77783 .26406 L
.773 .26542 L
.77162 .26566 L
.76817 .26648 L
.76334 .26734 L
.7585 .26794 L
.75367 .26836 L
.74884 .26863 L
.74401 .26877 L
.73918 .2688 L
.73434 .26872 L
.72951 .26851 L
.72468 .26817 L
.71985 .26767 L
.71502 .26695 L
.71019 .26593 L
.70915 .26566 L
.70535 .26487 L
.70052 .26271 L
.69848 .26082 L
.69569 .25676 L
.69559 .25599 L
.69569 .25512 L
.69883 .25116 L
.70052 .25024 L
.70535 .24854 L
.71019 .2475 L
.71502 .24681 L
.71985 .24634 L
.72004 .24633 L
F
1 .8 .002 r
.69569 .52167 m
.69693 .52174 L
.69569 .52632 L
.69561 .52174 L
F
1 .975 .461 r
.70052 .58828 m
.70511 .58939 L
.70197 .59422 L
.70052 .59627 L
.69575 .59422 L
.69973 .58939 L
F
.098 .925 1 r
.70535 .10086 m
.71019 .09939 L
.71502 .09841 L
.71985 .09773 L
.72468 .09725 L
.72951 .09693 L
.73434 .09674 L
.73918 .09666 L
.74401 .09669 L
.74884 .09682 L
.75367 .09708 L
.7585 .09747 L
.76334 .09804 L
.76817 .09886 L
.773 .10005 L
.77671 .10137 L
.77783 .10185 L
.78266 .10479 L
.78401 .1062 L
.785 .11104 L
.78266 .11389 L
.77908 .11587 L
.77783 .11646 L
.773 .11801 L
.76817 .11889 L
.76334 .11942 L
.7585 .11975 L
.75367 .11997 L
.74884 .1201 L
.74401 .12016 L
.73918 .12018 L
.73434 .12014 L
.72951 .12004 L
.72468 .11987 L
.71985 .1196 L
.71502 .11918 L
.71019 .11851 L
.70535 .11735 L
.70169 .11587 L
.70052 .11535 L
.69576 .11104 L
.69675 .1062 L
.70052 .10308 L
.70406 .10137 L
F
.01 .85 1 r
.71019 .15847 m
.71502 .15757 L
.71985 .15696 L
.72468 .15654 L
.72951 .15626 L
.73434 .1561 L
.73918 .15603 L
.74401 .15605 L
.74884 .15617 L
.75367 .15639 L
.7585 .15673 L
.76334 .15724 L
.76817 .15798 L
.773 .15908 L
.77393 .15935 L
.77783 .16071 L
.78266 .16357 L
.78332 .16419 L
.78498 .16902 L
.78266 .17253 L
.78085 .17385 L
.77783 .17568 L
.773 .17727 L
.76817 .17809 L
.76334 .17858 L
.76201 .17868 L
.7585 .17902 L
.75367 .17935 L
.74884 .17956 L
.74401 .17967 L
.73918 .17969 L
.73434 .17962 L
.72951 .17947 L
.72468 .1792 L
.71985 .1788 L
.71876 .17868 L
.71502 .17837 L
.71019 .17774 L
.70535 .17661 L
.70052 .17429 L
.69992 .17385 L
.69578 .16902 L
.69745 .16419 L
.70052 .16189 L
.70535 .15981 L
.70684 .15935 L
F
1 .925 .098 r
.70052 .551 m
.70255 .55557 L
.70052 .55888 L
.69657 .55557 L
F
.021 .875 1 r
.70052 .53245 m
.70275 .53624 L
.70052 .5402 L
.69706 .53624 L
F
1 .85 .01 r
.70052 .51497 m
.70202 .51691 L
.70052 .52038 L
.69839 .51691 L
F
.004 .825 1 r
.70052 .49614 m
.70218 .49758 L
.70052 .50201 L
.69884 .49758 L
F
1 .85 .01 r
.71502 .18815 m
.71985 .18743 L
.72468 .18694 L
.72951 .18662 L
.73434 .18644 L
.73918 .18636 L
.74401 .18638 L
.74884 .18651 L
.75367 .18676 L
.7585 .18716 L
.76334 .18775 L
.76679 .18835 L
.76817 .18862 L
.773 .18989 L
.77783 .19198 L
.77957 .19318 L
.78182 .19801 L
.77786 .20284 L
.77783 .20286 L
.773 .20552 L
.76817 .20677 L
.76334 .20744 L
.76088 .20767 L
.7585 .20796 L
.75367 .20839 L
.74884 .20866 L
.74401 .20881 L
.73918 .20884 L
.73434 .20875 L
.72951 .20854 L
.72468 .2082 L
.7199 .20767 L
.71985 .20767 L
.71502 .20715 L
.71019 .20625 L
.70535 .20446 L
.70291 .20284 L
.70052 .2009 L
.69896 .19801 L
.70052 .19383 L
.7012 .19318 L
.70535 .19078 L
.71019 .18918 L
.71399 .18835 L
F
.01 .85 1 r
.70052 .53526 m
.70086 .53624 L
.70052 .53726 L
.69903 .53624 L
F
.021 .875 1 r
.71985 .21719 m
.72468 .21673 L
.72951 .21644 L
.73434 .21626 L
.73918 .21619 L
.74401 .21621 L
.74884 .21633 L
.75367 .21657 L
.7585 .21694 L
.76212 .21734 L
.76334 .21749 L
.76817 .21828 L
.773 .21947 L
.77783 .22148 L
.77891 .22217 L
.78168 .227 L
.77819 .23183 L
.77783 .23216 L
.773 .23491 L
.76817 .23612 L
.76428 .23666 L
.76334 .23683 L
.7585 .23752 L
.75367 .23798 L
.74884 .23828 L
.74401 .23844 L
.73918 .23847 L
.73434 .23838 L
.72951 .23815 L
.72468 .23777 L
.71985 .23721 L
.71649 .23666 L
.71502 .23648 L
.71019 .23562 L
.70535 .23384 L
.70258 .23183 L
.70052 .23 L
.69909 .227 L
.70052 .22336 L
.70186 .22217 L
.70535 .22032 L
.71019 .21881 L
.71502 .21785 L
.71866 .21734 L
F
.004 .825 1 r
.71502 .15867 m
.71985 .15788 L
.72468 .15735 L
.72951 .157 L
.73434 .1568 L
.73918 .15671 L
.74401 .15674 L
.74884 .15688 L
.75367 .15715 L
.7585 .15759 L
.76334 .15823 L
.76817 .1592 L
.76878 .15935 L
.773 .1606 L
.77783 .16293 L
.77944 .16419 L
.78127 .16902 L
.77783 .17317 L
.77671 .17385 L
.773 .1758 L
.76817 .17717 L
.76334 .17791 L
.7585 .17836 L
.75367 .17863 L
.75266 .17868 L
.74884 .17887 L
.74401 .17901 L
.73918 .17903 L
.73434 .17895 L
.72951 .17876 L
.72818 .17868 L
.72468 .17851 L
.71985 .17816 L
.71502 .17759 L
.71019 .1766 L
.70535 .17466 L
.70406 .17385 L
.70052 .17102 L
.69949 .16902 L
.70052 .1651 L
.70133 .16419 L
.70535 .16159 L
.71019 .15983 L
.71199 .15935 L
F
1 .85 .01 r
.70052 .47784 m
.70155 .47826 L
.70052 .48307 L
.69991 .47826 L
F
1 .875 .021 r
.71502 .1294 m
.71985 .12853 L
.72468 .12794 L
.72951 .12756 L
.73434 .12733 L
.73918 .12723 L
.74401 .12726 L
.74884 .12742 L
.75367 .12773 L
.7585 .12821 L
.76334 .12892 L
.76817 .12999 L
.76946 .13036 L
.773 .13156 L
.77783 .13418 L
.77898 .1352 L
.78049 .14003 L
.77783 .14324 L
.77494 .14486 L
.773 .14581 L
.76817 .14733 L
.76334 .14818 L
.7585 .14868 L
.75367 .14899 L
.74884 .14918 L
.74401 .14927 L
.73918 .14929 L
.73434 .14923 L
.72951 .1491 L
.72468 .14886 L
.71985 .14846 L
.71502 .14781 L
.71019 .14668 L
.70583 .14486 L
.70535 .14464 L
.70052 .1406 L
.70028 .14003 L
.70052 .13705 L
.70179 .1352 L
.70535 .13266 L
.71019 .1307 L
.71131 .13036 L
F
1 .9 .045 r
.70535 .50746 m
.70697 .51208 L
.70535 .51512 L
.70052 .51208 L
F
.021 .875 1 r
.70535 .48946 m
.70678 .49275 L
.70535 .49593 L
.70135 .49275 L
F
1 .9 .045 r
.70535 .47147 m
.70646 .47342 L
.70535 .47669 L
.70234 .47342 L
F
1 .825 .004 r
.72468 .18777 m
.72951 .18737 L
.73434 .18714 L
.73918 .18705 L
.74401 .18708 L
.74884 .18724 L
.75367 .18755 L
.7585 .18805 L
.76067 .18835 L
.76334 .18878 L
.76817 .18986 L
.773 .19158 L
.77573 .19318 L
.77783 .19567 L
.7782 .19801 L
.77783 .19907 L
.77382 .20284 L
.773 .2034 L
.76817 .20556 L
.76334 .20663 L
.7585 .20722 L
.75367 .20758 L
.75211 .20767 L
.74884 .20787 L
.74401 .20804 L
.73918 .20808 L
.73434 .20798 L
.72951 .20772 L
.72878 .20767 L
.72468 .20743 L
.71985 .20697 L
.71502 .20618 L
.71019 .20468 L
.70695 .20284 L
.70535 .2018 L
.70257 .19801 L
.70504 .19318 L
.70535 .19295 L
.71019 .19061 L
.71502 .18926 L
.71985 .18838 L
.7201 .18835 L
F
.002 .8 1 r
.71985 .15887 m
.72468 .1582 L
.72951 .15778 L
.73434 .15752 L
.73918 .15742 L
.74401 .15746 L
.74884 .15763 L
.75367 .15796 L
.7585 .1585 L
.76334 .15932 L
.76351 .15935 L
.76817 .16049 L
.773 .16237 L
.77581 .16419 L
.77783 .16902 L
.773 .17373 L
.77276 .17385 L
.76817 .17592 L
.76334 .17707 L
.7585 .17772 L
.75367 .1781 L
.74884 .17833 L
.74401 .17844 L
.73918 .17846 L
.73434 .1784 L
.72951 .17823 L
.72468 .17794 L
.71985 .17744 L
.71502 .17658 L
.71019 .175 L
.70801 .17385 L
.70535 .17223 L
.70295 .16902 L
.70496 .16419 L
.70535 .16387 L
.71019 .16131 L
.71502 .15984 L
.71725 .15935 L
F
1 .975 .461 r
.70535 .5827 m
.70798 .58456 L
.70535 .58902 L
.70391 .58456 L
F
.01 .85 1 r
.73434 .2172 m
.73918 .21711 L
.74401 .21714 L
.74884 .2173 L
.74956 .21734 L
.75367 .21761 L
.7585 .21809 L
.76334 .21882 L
.76817 .21995 L
.773 .22188 L
.77351 .22217 L
.77669 .227 L
.773 .23162 L
.77266 .23183 L
.76817 .23433 L
.76334 .23561 L
.7585 .23628 L
.75387 .23666 L
.75367 .23668 L
.74884 .23707 L
.74401 .23727 L
.73918 .23731 L
.73434 .23719 L
.72951 .2369 L
.72682 .23666 L
.72468 .2365 L
.71985 .23599 L
.71502 .23508 L
.71019 .23322 L
.70811 .23183 L
.70535 .2296 L
.70408 .227 L
.70535 .22374 L
.70726 .22217 L
.71019 .22077 L
.71502 .21932 L
.71985 .21842 L
.72468 .21782 L
.72951 .21744 L
.73084 .21734 L
F
.045 .9 1 r
.71985 .10026 m
.72468 .09948 L
.72951 .09898 L
.73434 .09868 L
.73918 .09856 L
.74401 .0986 L
.74884 .09881 L
.75367 .0992 L
.7585 .09983 L
.76334 .10078 L
.76557 .10137 L
.76817 .10218 L
.773 .10441 L
.77531 .1062 L
.77656 .11104 L
.773 .11423 L
.7689 .11587 L
.76817 .11613 L
.76334 .11742 L
.7585 .11818 L
.75367 .11865 L
.74884 .11892 L
.74401 .11906 L
.73918 .11909 L
.73434 .11901 L
.72951 .1188 L
.72468 .11844 L
.71985 .11785 L
.71502 .11686 L
.71187 .11587 L
.71019 .1153 L
.70535 .11254 L
.70421 .11104 L
.70535 .10631 L
.70545 .1062 L
.71019 .10314 L
.71502 .10143 L
.71521 .10137 L
F
1 .85 .01 r
.71985 .12994 m
.72468 .12916 L
.72951 .12866 L
.73434 .12837 L
.73918 .12825 L
.74401 .12829 L
.74884 .12849 L
.75367 .12888 L
.7585 .12951 L
.76288 .13036 L
.76334 .13047 L
.76817 .13186 L
.773 .1342 L
.77429 .1352 L
.77599 .14003 L
.773 .14322 L
.76962 .14486 L
.76817 .14548 L
.76334 .14691 L
.7585 .14773 L
.75367 .14821 L
.74884 .14849 L
.74401 .14863 L
.73918 .14866 L
.73434 .14857 L
.72951 .14837 L
.72468 .148 L
.71985 .14737 L
.71502 .1463 L
.71115 .14486 L
.71019 .14447 L
.70535 .14107 L
.70478 .14003 L
.70535 .13652 L
.70648 .1352 L
.71019 .13285 L
.71502 .13109 L
.71788 .13036 L
F
1 .925 .098 r
.71019 .25095 m
.71502 .2494 L
.71985 .24846 L
.72468 .24786 L
.72951 .24748 L
.73434 .24725 L
.73918 .24716 L
.74401 .24719 L
.74884 .24735 L
.75367 .24765 L
.7585 .24813 L
.76334 .24888 L
.76817 .25006 L
.77105 .25116 L
.773 .25232 L
.77529 .25599 L
.773 .25977 L
.77153 .26082 L
.76817 .26298 L
.76334 .26452 L
.7585 .26527 L
.75424 .26566 L
.75367 .26572 L
.74884 .26616 L
.74401 .26639 L
.73918 .26643 L
.73434 .2663 L
.72951 .26597 L
.72647 .26566 L
.72468 .26551 L
.71985 .26495 L
.71502 .2639 L
.71019 .26157 L
.70924 .26082 L
.70548 .25599 L
.70972 .25116 L
F
1 .8 .002 r
.72951 .18817 m
.73434 .18789 L
.73918 .18777 L
.74401 .18781 L
.74884 .18801 L
.75327 .18835 L
.75367 .18839 L
.7585 .18897 L
.76334 .18986 L
.76817 .19127 L
.77204 .19318 L
.773 .19394 L
.77477 .19801 L
.773 .20078 L
.7699 .20284 L
.76817 .20382 L
.76334 .20555 L
.7585 .20645 L
.75367 .20696 L
.74884 .20725 L
.74401 .2074 L
.73918 .20742 L
.73434 .20734 L
.72951 .20713 L
.72468 .20674 L
.71985 .20607 L
.71502 .20483 L
.71087 .20284 L
.71019 .20248 L
.70599 .19801 L
.70873 .19318 L
.71019 .19233 L
.71502 .19048 L
.71985 .18937 L
.72468 .18865 L
.72748 .18835 L
F
.001 .775 1 r
.72468 .15912 m
.72951 .1586 L
.73434 .1583 L
.73918 .15817 L
.74401 .15821 L
.74884 .15842 L
.75367 .15883 L
.75769 .15935 L
.7585 .15948 L
.76334 .16044 L
.76817 .16195 L
.77231 .16419 L
.773 .1648 L
.77454 .16902 L
.773 .17132 L
.76889 .17385 L
.76817 .17423 L
.76334 .17597 L
.7585 .17693 L
.75367 .17747 L
.74884 .17778 L
.74401 .17793 L
.73918 .17796 L
.73434 .17787 L
.72951 .17765 L
.72468 .17723 L
.71985 .17652 L
.71502 .17524 L
.71187 .17385 L
.71019 .17303 L
.70623 .16902 L
.70846 .16419 L
.71019 .16307 L
.71502 .1611 L
.71985 .15991 L
.72308 .15935 L
F
.212 .95 1 r
.71019 .55685 m
.7128 .5604 L
.71019 .56497 L
.70706 .5604 L
F
.71502 .27933 m
.71985 .27787 L
.72468 .27709 L
.72951 .27666 L
.73434 .27644 L
.73918 .27635 L
.74401 .27638 L
.74884 .27653 L
.75367 .27684 L
.7585 .27742 L
.76334 .27849 L
.76754 .28015 L
.76817 .28038 L
.773 .2837 L
.77346 .28498 L
.773 .28691 L
.76998 .28981 L
.76817 .29124 L
.76334 .29328 L
.7585 .29415 L
.75367 .2946 L
.75299 .29465 L
.74884 .29504 L
.74401 .2953 L
.73918 .29535 L
.73434 .2952 L
.72951 .29483 L
.72781 .29465 L
.72468 .29441 L
.71985 .2938 L
.71502 .2925 L
.71079 .28981 L
.71019 .28941 L
.70731 .28498 L
.71019 .28151 L
.71323 .28015 L
F
.004 .825 1 r
.71502 .22111 m
.71985 .21979 L
.72468 .21898 L
.72951 .21848 L
.73434 .21818 L
.73918 .21806 L
.74401 .2181 L
.74884 .21831 L
.75367 .2187 L
.7585 .21934 L
.76334 .22037 L
.76817 .22212 L
.76827 .22217 L
.77199 .227 L
.76817 .23134 L
.76726 .23183 L
.76334 .23378 L
.7585 .23506 L
.75367 .23573 L
.74884 .23609 L
.74401 .23627 L
.73918 .2363 L
.73434 .2362 L
.72951 .23594 L
.72468 .23544 L
.71985 .23453 L
.71502 .23272 L
.71351 .23183 L
.71019 .22953 L
.70878 .227 L
.71019 .2238 L
.7125 .22217 L
F
1 .975 .461 r
.71019 .57877 m
.71035 .57973 L
.71019 .58016 L
.70887 .57973 L
F
1 .825 .004 r
.72951 .12985 m
.73434 .12948 L
.73918 .12933 L
.74401 .12938 L
.74884 .12964 L
.75367 .13014 L
.75527 .13036 L
.7585 .13092 L
.76334 .13213 L
.76817 .13414 L
.76977 .1352 L
.77172 .14003 L
.76817 .14328 L
.76424 .14486 L
.76334 .14519 L
.7585 .14646 L
.75367 .1472 L
.74884 .14762 L
.74401 .14783 L
.73918 .14787 L
.73434 .14775 L
.72951 .14744 L
.72468 .14688 L
.71985 .14591 L
.71653 .14486 L
.71502 .14435 L
.71019 .14159 L
.70905 .14003 L
.71019 .13595 L
.711 .1352 L
.71502 .13299 L
.71985 .13146 L
.72468 .13049 L
.72549 .13036 L
F
1 .775 .001 r
.71502 .19191 m
.71985 .19045 L
.72468 .18956 L
.72951 .189 L
.73434 .18867 L
.73918 .18854 L
.74401 .18858 L
.74884 .18881 L
.75367 .18924 L
.7585 .18996 L
.76334 .19109 L
.76817 .19304 L
.7684 .19318 L
.77146 .19801 L
.76817 .20171 L
.76596 .20284 L
.76334 .20407 L
.7585 .20545 L
.75367 .20619 L
.74884 .2066 L
.74401 .2068 L
.73918 .20683 L
.73434 .20672 L
.72951 .20643 L
.72468 .20587 L
.71985 .20487 L
.71502 .20296 L
.71481 .20284 L
.71019 .19969 L
.70931 .19801 L
.71019 .19504 L
.71236 .19318 L
F
0 .75 1 r
.73434 .15912 m
.73918 .15897 L
.74401 .15902 L
.74884 .15927 L
.74998 .15935 L
.75367 .15974 L
.7585 .1605 L
.76334 .16169 L
.76817 .16375 L
.76886 .16419 L
.77134 .16902 L
.76817 .17235 L
.76497 .17385 L
.76334 .17454 L
.7585 .17592 L
.75367 .17668 L
.74884 .17711 L
.74401 .17732 L
.73918 .17736 L
.73434 .17724 L
.72951 .17693 L
.72468 .17636 L
.71985 .17533 L
.7158 .17385 L
.71502 .17354 L
.71019 .17035 L
.70943 .16902 L
.71019 .16582 L
.71191 .16419 L
.71502 .16256 L
.71985 .16103 L
.72468 .16008 L
.72951 .15948 L
.73051 .15935 L
F
.021 .875 1 r
.72951 .10126 m
.73434 .10081 L
.73918 .10063 L
.74401 .10069 L
.74884 .101 L
.75225 .10137 L
.75367 .10159 L
.7585 .10253 L
.76334 .10403 L
.7673 .1062 L
.76817 .10703 L
.7689 .11104 L
.76817 .11191 L
.76334 .11455 L
.7585 .11581 L
.75819 .11587 L
.75367 .1167 L
.74884 .11723 L
.74401 .11749 L
.73918 .11754 L
.73434 .11739 L
.72951 .117 L
.72468 .11631 L
.72257 .11587 L
.71985 .11527 L
.71502 .11355 L
.71187 .11104 L
.71347 .1062 L
.71502 .10518 L
.71985 .10319 L
.72468 .10201 L
.72862 .10137 L
F
1 .95 .212 r
.71502 .49506 m
.71692 .49758 L
.71502 .50223 L
.71193 .49758 L
F
1 .75 0 r
.71985 .1917 m
.72468 .19056 L
.72951 .18987 L
.73434 .18948 L
.73918 .18933 L
.74401 .18938 L
.74884 .18965 L
.75367 .19017 L
.7585 .19106 L
.76334 .19255 L
.76471 .19318 L
.76817 .19801 L
.76334 .20224 L
.76185 .20284 L
.7585 .20411 L
.75367 .2052 L
.74884 .20578 L
.74401 .20606 L
.73918 .20611 L
.73434 .20595 L
.72951 .20554 L
.72468 .20474 L
.71985 .20325 L
.71892 .20284 L
.71502 .20091 L
.7126 .19801 L
.71502 .19381 L
.71606 .19318 L
F
0 .725 1 r
.71985 .16228 m
.72468 .1611 L
.72951 .16037 L
.73434 .15996 L
.73918 .1598 L
.74401 .15985 L
.74884 .16014 L
.75367 .16069 L
.7585 .16162 L
.76334 .16317 L
.76537 .16419 L
.76815 .16902 L
.76334 .17294 L
.76082 .17385 L
.7585 .17463 L
.75367 .17571 L
.74884 .17629 L
.74401 .17658 L
.73918 .17663 L
.73434 .17647 L
.72951 .17605 L
.72468 .17525 L
.71996 .17385 L
.71985 .17382 L
.71502 .17166 L
.71261 .16902 L
.71502 .16444 L
.7154 .16419 L
F
1 .8 .002 r
.71985 .13319 m
.72468 .1319 L
.72951 .13113 L
.73434 .13068 L
.73918 .1305 L
.74401 .13056 L
.74884 .13087 L
.75367 .13147 L
.7585 .13247 L
.76334 .13415 L
.76523 .1352 L
.7675 .14003 L
.76334 .14327 L
.7585 .14482 L
.75834 .14486 L
.75367 .14591 L
.74884 .14652 L
.74401 .14682 L
.73918 .14688 L
.73434 .1467 L
.72951 .14626 L
.72468 .14543 L
.72241 .14486 L
.71985 .14416 L
.71502 .14192 L
.71327 .14003 L
.71502 .13558 L
.71554 .1352 L
F
.002 .8 1 r
.71985 .22147 m
.72468 .22032 L
.72951 .21964 L
.73434 .21925 L
.73918 .2191 L
.74401 .21915 L
.74884 .21941 L
.75367 .21993 L
.7585 .22082 L
.76289 .22217 L
.76334 .22237 L
.76736 .227 L
.76334 .23106 L
.76162 .23183 L
.7585 .23315 L
.75367 .23435 L
.74884 .23498 L
.74401 .23527 L
.73918 .23532 L
.73434 .23516 L
.72951 .23472 L
.72468 .23385 L
.71985 .23218 L
.71915 .23183 L
.71502 .22948 L
.71341 .227 L
.71502 .22385 L
.71788 .22217 L
F
1 .9 .045 r
.72468 .25018 m
.72951 .24949 L
.73434 .24911 L
.73918 .24896 L
.74401 .24901 L
.74884 .24927 L
.75367 .24979 L
.7585 .25069 L
.76027 .25116 L
.76334 .25242 L
.76633 .25599 L
.76334 .25966 L
.76101 .26082 L
.7585 .26201 L
.75367 .26338 L
.74884 .26406 L
.74401 .26437 L
.73918 .26443 L
.73434 .26425 L
.72951 .26378 L
.72468 .26282 L
.71985 .26087 L
.71977 .26082 L
.71502 .25754 L
.71444 .25599 L
.71502 .25437 L
.71985 .25138 L
.7205 .25116 L
F
1 .95 .212 r
.73434 .07229 m
.73918 .07208 L
.74401 .07215 L
.74751 .07238 L
.74884 .07251 L
.75367 .07318 L
.7585 .0743 L
.76334 .07624 L
.76482 .07721 L
.76592 .08204 L
.76334 .08379 L
.7585 .08536 L
.75367 .08621 L
.74884 .08671 L
.74596 .08688 L
.74401 .08697 L
.73918 .08702 L
.73481 .08688 L
.73434 .08685 L
.72951 .0865 L
.72468 .08585 L
.71985 .08471 L
.71502 .08221 L
.71485 .08204 L
.71502 .07811 L
.71594 .07721 L
.71985 .07512 L
.72468 .07367 L
.72951 .0728 L
.73297 .07238 L
F
0 .7 1 r
.71985 .16381 m
.72468 .16224 L
.72951 .16135 L
.73434 .16086 L
.73918 .16066 L
.74401 .16072 L
.74884 .16106 L
.75367 .16174 L
.7585 .16291 L
.76172 .16419 L
.76334 .16525 L
.76492 .16902 L
.76334 .17088 L
.7585 .1732 L
.75616 .17385 L
.75367 .17449 L
.74884 .17529 L
.74401 .17567 L
.73918 .17574 L
.73434 .17552 L
.72951 .17495 L
.72468 .17386 L
.72465 .17385 L
.71985 .17229 L
.71585 .16902 L
.71906 .16419 L
F
1 .725 0 r
.72468 .19169 m
.72951 .19084 L
.73434 .19036 L
.73918 .19017 L
.74401 .19023 L
.74884 .19056 L
.75367 .19121 L
.7585 .19234 L
.76081 .19318 L
.76334 .19471 L
.76482 .19801 L
.76334 .20001 L
.7585 .20246 L
.75731 .20284 L
.75367 .20391 L
.74884 .20474 L
.74401 .20513 L
.73918 .2052 L
.73434 .20498 L
.72951 .20439 L
.72468 .20325 L
.72347 .20284 L
.71985 .2015 L
.71595 .19801 L
.71985 .19324 L
.71997 .19318 L
F
.212 .95 1 r
.71985 .47166 m
.72046 .47342 L
.71985 .47562 L
.71596 .47342 L
F
1 .975 .461 r
.71985 .45258 m
.72068 .4541 L
.71985 .45746 L
.71645 .4541 L
F
1 .775 .001 r
.72468 .13355 m
.72951 .13251 L
.73434 .13195 L
.73918 .13172 L
.74401 .1318 L
.74884 .13218 L
.75367 .13296 L
.7585 .13434 L
.7604 .1352 L
.76315 .14003 L
.7585 .14309 L
.75367 .14437 L
.7508 .14486 L
.74884 .14513 L
.74401 .14555 L
.73918 .14563 L
.73434 .14539 L
.72991 .14486 L
.72951 .14478 L
.72468 .14383 L
.71985 .14199 L
.71761 .14003 L
.71985 .13551 L
.72037 .1352 L
F
.001 .775 1 r
.72468 .22196 m
.72951 .22099 L
.73434 .22047 L
.73918 .22027 L
.74401 .22033 L
.74884 .22068 L
.75367 .2214 L
.75686 .22217 L
.7585 .22278 L
.76257 .227 L
.7585 .23062 L
.75506 .23183 L
.75367 .23228 L
.74884 .23334 L
.74401 .23383 L
.73918 .23392 L
.73434 .23364 L
.72951 .2329 L
.72569 .23183 L
.72468 .23152 L
.71985 .22923 L
.7182 .227 L
.71985 .2241 L
.72394 .22217 L
F
0 .675 1 r
.72468 .1636 m
.72951 .16245 L
.73434 .16184 L
.73918 .1616 L
.74401 .16168 L
.74884 .16209 L
.75367 .16293 L
.75772 .16419 L
.7585 .16457 L
.76154 .16902 L
.7585 .17154 L
.75367 .17317 L
.75013 .17385 L
.74884 .17405 L
.74401 .17456 L
.73918 .17465 L
.73434 .17436 L
.73039 .17385 L
.72951 .17365 L
.72468 .1725 L
.71985 .16986 L
.71924 .16902 L
.71985 .16634 L
.72306 .16419 L
F
1 .7 0 r
.72468 .19307 m
.72951 .19193 L
.73434 .19134 L
.73918 .1911 L
.74401 .19118 L
.74884 .19158 L
.75367 .19241 L
.75646 .19318 L
.7585 .19408 L
.76131 .19801 L
.7585 .20064 L
.75367 .20239 L
.75178 .20284 L
.74884 .20341 L
.74401 .20395 L
.73918 .20405 L
.73434 .20374 L
.72951 .20293 L
.72913 .20284 L
.72468 .20168 L
.71985 .19871 L
.71947 .19801 L
.71985 .19605 L
.72434 .19318 L
F
.01 .85 1 r
.72468 .10509 m
.72951 .10387 L
.73434 .10321 L
.73918 .10296 L
.74401 .10304 L
.74884 .10348 L
.75367 .10439 L
.7585 .1061 L
.7587 .1062 L
.76099 .11104 L
.7585 .11273 L
.75367 .11425 L
.74884 .11502 L
.74401 .11539 L
.73918 .11545 L
.73434 .11524 L
.72951 .1147 L
.72468 .11363 L
.71985 .1111 L
.71979 .11104 L
.71985 .10798 L
.72205 .1062 L
F
.461 .975 1 r
.72468 .57446 m
.72943 .57489 L
.72716 .57973 L
.72468 .58384 L
.71994 .57973 L
.72434 .57489 L
F
1 .75 0 r
.72951 .13417 m
.73434 .1334 L
.73918 .13311 L
.74401 .1332 L
.74884 .13372 L
.75367 .13482 L
.75479 .1352 L
.75841 .14003 L
.75367 .14264 L
.74884 .14367 L
.74401 .14415 L
.73918 .14424 L
.73434 .14397 L
.72951 .14325 L
.72468 .14172 L
.72234 .14003 L
.72468 .1358 L
.72595 .1352 L
F
0 .65 1 r
.72951 .16375 m
.73434 .16296 L
.73918 .16266 L
.74401 .16276 L
.74884 .16328 L
.753 .16419 L
.75367 .16444 L
.75784 .16902 L
.75367 .17166 L
.74884 .17282 L
.74401 .17335 L
.73918 .17345 L
.73434 .17315 L
.72951 .17235 L
.72468 .17057 L
.72292 .16902 L
.72468 .16557 L
.72779 .16419 L
F
1 .675 0 r
.73434 .19246 m
.73918 .19217 L
.74401 .19226 L
.74884 .19278 L
.75107 .19318 L
.75367 .194 L
.75747 .19801 L
.75367 .20072 L
.74884 .20199 L
.74401 .20255 L
.73918 .20265 L
.73434 .20233 L
.72951 .20148 L
.72468 .19949 L
.72331 .19801 L
.72468 .19524 L
.72951 .19326 L
.72974 .19318 L
F
0 .75 1 r
.73434 .22195 m
.73918 .22166 L
.74401 .22175 L
.74822 .22217 L
.74884 .22227 L
.75367 .22351 L
.75724 .227 L
.75367 .22984 L
.74884 .23117 L
.74401 .23176 L
.74277 .23183 L
.73918 .23189 L
.738 .23183 L
.73434 .23154 L
.72951 .23064 L
.72468 .22849 L
.72354 .227 L
.72468 .22481 L
.72951 .22276 L
.73214 .22217 L
F
1 .875 .021 r
.72468 .25515 m
.72951 .25253 L
.73434 .25167 L
.73918 .25136 L
.74401 .25146 L
.74884 .25201 L
.75367 .25335 L
.75639 .25599 L
.75367 .25863 L
.74884 .26012 L
.74401 .26076 L
.743 .26082 L
.73918 .2609 L
.73777 .26082 L
.73434 .26052 L
.72951 .25953 L
.72468 .25674 L
.72442 .25599 L
F
0 .625 1 r
.73918 .16392 m
.74401 .16405 L
.74534 .16419 L
.74884 .16483 L
.75352 .16902 L
.74884 .17128 L
.74401 .17204 L
.73918 .17218 L
.73434 .17176 L
.72951 .1705 L
.7272 .16902 L
.72951 .16565 L
.73434 .16434 L
.73542 .16419 L
F
1 .65 0 r
.72951 .19541 m
.73434 .19394 L
.73918 .19348 L
.74401 .19363 L
.74884 .19447 L
.75295 .19801 L
.74884 .20025 L
.74401 .2011 L
.73918 .20125 L
.73434 .20079 L
.72951 .19933 L
.72785 .19801 L
F
1 .725 0 r
.73918 .13481 m
.74401 .13496 L
.74602 .1352 L
.74884 .1358 L
.75274 .14003 L
.74884 .14172 L
.74401 .14251 L
.73918 .14264 L
.73434 .14222 L
.72951 .14089 L
.72808 .14003 L
.72951 .13672 L
.73434 .13526 L
.73475 .1352 L
F
.004 .825 1 r
.73918 .10601 m
.74401 .10617 L
.74432 .1062 L
.74884 .1072 L
.75074 .11104 L
.74884 .11176 L
.74401 .11267 L
.73918 .11282 L
.73434 .11234 L
.72996 .11104 L
.73434 .10654 L
.73646 .1062 L
F
0 .725 1 r
.73434 .2243 m
.73918 .22369 L
.74401 .22387 L
.74884 .22515 L
.7503 .227 L
.74884 .22816 L
.74401 .22946 L
.73918 .22965 L
.73434 .22902 L
.73026 .227 L
F
0 .6 1 r
.73434 .16675 m
.73918 .16579 L
.74401 .16606 L
.74736 .16902 L
.74401 .17012 L
.73918 .17037 L
.73434 .16949 L
.73315 .16902 L
F
1 .625 0 r
.73918 .19565 m
.74401 .19603 L
.74582 .19801 L
.74401 .19874 L
.73918 .19909 L
.73495 .19801 L
F
1 .95 .212 r
.8793 .09013 m
.88413 .08862 L
.88896 .08793 L
.8938 .08806 L
.89863 .089 L
.90346 .09077 L
.9054 .09171 L
.90829 .09344 L
.9125 .09654 L
.91312 .09708 L
.91754 .10137 L
.91796 .10183 L
.92154 .1062 L
.92279 .10792 L
.92486 .11104 L
.92762 .11572 L
.9277 .11587 L
.93014 .1207 L
.93226 .12553 L
.93245 .12599 L
.93411 .13036 L
.93572 .1352 L
.93713 .14003 L
.93728 .14062 L
.93832 .14486 L
.93934 .14969 L
.94019 .15452 L
.94089 .15935 L
.94142 .16419 L
.94181 .16902 L
.94205 .17385 L
.94211 .17602 L
.94215 .17868 L
.94211 .18296 L
.9421 .18351 L
.94191 .18835 L
.94157 .19318 L
.94108 .19801 L
.94044 .20284 L
.93964 .20767 L
.93868 .2125 L
.93755 .21734 L
.93728 .21836 L
.93621 .22217 L
.93467 .227 L
.93291 .23183 L
.93245 .23299 L
.93088 .23666 L
.92855 .2415 L
.92762 .24325 L
.92586 .24633 L
.92279 .25105 L
.92271 .25116 L
.91896 .25599 L
.91796 .25714 L
.91433 .26082 L
.91312 .2619 L
.90829 .26554 L
.90811 .26566 L
.90346 .2682 L
.89863 .26998 L
.89652 .27049 L
.8938 .27092 L
.88896 .27104 L
.88473 .27049 L
.88413 .27036 L
.8793 .26885 L
.87447 .26647 L
.87312 .26566 L
.86964 .26315 L
.8669 .26082 L
.8648 .25878 L
.86226 .25599 L
.85997 .25316 L
.85851 .25116 L
.85537 .24633 L
.85514 .24594 L
.85272 .2415 L
.85045 .23666 L
.85031 .23633 L
.84851 .23183 L
.8468 .227 L
.84548 .22287 L
.84526 .22217 L
.84386 .21734 L
.84255 .2125 L
.84134 .20767 L
.84065 .20459 L
.84031 .20284 L
.83954 .19801 L
.8391 .19318 L
.83898 .18835 L
.83911 .18351 L
.83938 .17868 L
.83971 .17385 L
.84004 .16902 L
.84036 .16419 L
.84065 .16022 L
.84071 .15935 L
.84115 .15452 L
.84177 .14969 L
.84264 .14486 L
.8438 .14003 L
.84525 .1352 L
.84548 .13451 L
.84698 .13036 L
.84894 .12553 L
.85031 .12244 L
.85113 .1207 L
.85361 .11587 L
.85514 .11316 L
.85644 .11104 L
.85975 .1062 L
.85997 .1059 L
.86373 .10137 L
.8648 .10023 L
.86876 .09654 L
.86964 .09583 L
.87447 .0925 L
.87584 .09171 L
F
1 .925 .098 r
.8793 .10526 m
.88413 .10345 L
.88896 .10263 L
.8938 .10278 L
.89863 .1039 L
.90346 .10604 L
.90377 .1062 L
.90829 .10928 L
.91037 .11104 L
.91312 .11379 L
.91494 .11587 L
.91796 .11987 L
.91852 .1207 L
.92146 .12553 L
.92279 .12804 L
.92391 .13036 L
.92599 .1352 L
.92762 .13961 L
.92776 .14003 L
.92925 .14486 L
.93051 .14969 L
.93154 .15452 L
.93238 .15935 L
.93245 .15982 L
.93302 .16419 L
.93348 .16902 L
.93377 .17385 L
.93388 .17868 L
.93382 .18351 L
.9336 .18835 L
.93319 .19318 L
.93261 .19801 L
.93245 .19916 L
.93184 .20284 L
.93088 .20767 L
.9297 .2125 L
.92829 .21734 L
.92762 .21937 L
.92661 .22217 L
.92464 .227 L
.92279 .23093 L
.92232 .23183 L
.91956 .23666 L
.91796 .23911 L
.91622 .2415 L
.91312 .24518 L
.91204 .24633 L
.90829 .24969 L
.90636 .25116 L
.90346 .25294 L
.89863 .25507 L
.89507 .25599 L
.8938 .25619 L
.88896 .25634 L
.88618 .25599 L
.88413 .25553 L
.8793 .25372 L
.8749 .25116 L
.87447 .25084 L
.86964 .24675 L
.86922 .24633 L
.86503 .2415 L
.8648 .24119 L
.8617 .23666 L
.85997 .23371 L
.85897 .23183 L
.85666 .227 L
.85514 .22333 L
.8547 .22217 L
.85301 .21734 L
.85155 .2125 L
.85031 .20772 L
.8503 .20767 L
.84927 .20284 L
.84846 .19801 L
.84789 .19318 L
.84755 .18835 L
.84741 .18351 L
.84745 .17868 L
.84764 .17385 L
.84796 .16902 L
.8484 .16419 L
.84898 .15935 L
.84974 .15452 L
.85031 .15151 L
.8507 .14969 L
.85192 .14486 L
.85341 .14003 L
.85514 .13531 L
.85519 .1352 L
.8573 .13036 L
.85978 .12553 L
.85997 .12519 L
.86273 .1207 L
.8648 .11779 L
.86632 .11587 L
.86964 .11224 L
.87089 .11104 L
.87447 .10814 L
.87743 .1062 L
F
1 .9 .045 r
.88413 .11576 m
.88896 .11479 L
.8938 .11497 L
.89744 .11587 L
.89863 .1163 L
.90346 .11887 L
.90596 .1207 L
.90829 .12285 L
.91079 .12553 L
.91312 .12855 L
.91437 .13036 L
.91721 .1352 L
.91796 .13666 L
.91951 .14003 L
.92141 .14486 L
.92279 .14907 L
.92297 .14969 L
.92424 .15452 L
.92525 .15935 L
.92602 .16419 L
.92658 .16902 L
.92692 .17385 L
.92705 .17868 L
.92698 .18351 L
.92671 .18835 L
.92623 .19318 L
.92553 .19801 L
.9246 .20284 L
.92342 .20767 L
.92279 .20991 L
.92197 .2125 L
.92019 .21734 L
.91803 .22217 L
.91796 .22231 L
.91539 .227 L
.91312 .23043 L
.91209 .23183 L
.90829 .23613 L
.90775 .23666 L
.90346 .2401 L
.90134 .2415 L
.89863 .24267 L
.8938 .24401 L
.88896 .24419 L
.88413 .24322 L
.8799 .2415 L
.8793 .24104 L
.87447 .23753 L
.87351 .23666 L
.86964 .23241 L
.86918 .23183 L
.86588 .227 L
.8648 .22514 L
.86324 .22217 L
.86108 .21734 L
.85997 .21448 L
.85928 .2125 L
.8578 .20767 L
.8566 .20284 L
.85565 .19801 L
.85514 .1947 L
.85496 .19318 L
.8545 .18835 L
.85426 .18351 L
.85423 .17868 L
.8544 .17385 L
.85475 .16902 L
.85514 .16529 L
.85529 .16419 L
.85604 .15935 L
.85702 .15452 L
.85827 .14969 L
.85981 .14486 L
.85997 .14441 L
.86171 .14003 L
.86402 .1352 L
.8648 .13377 L
.86687 .13036 L
.86964 .12654 L
.87046 .12553 L
.87447 .12144 L
.8753 .1207 L
.8793 .11793 L
.88373 .11587 L
F
1 .875 .021 r
.8793 .1298 m
.88413 .12713 L
.88896 .12596 L
.8938 .12617 L
.89863 .1278 L
.90281 .13036 L
.90346 .13097 L
.90764 .1352 L
.90829 .13604 L
.91105 .14003 L
.91312 .14379 L
.91365 .14486 L
.9157 .14969 L
.91731 .15452 L
.91796 .15681 L
.91857 .15935 L
.91953 .16419 L
.9202 .16902 L
.92062 .17385 L
.92078 .17868 L
.9207 .18351 L
.92037 .18835 L
.91978 .19318 L
.91893 .19801 L
.91796 .20216 L
.91777 .20284 L
.91628 .20767 L
.91439 .2125 L
.91312 .21519 L
.91199 .21734 L
.90888 .22217 L
.90829 .22294 L
.90462 .227 L
.90346 .228 L
.89863 .23118 L
.89713 .23183 L
.8938 .2328 L
.88896 .23302 L
.88413 .23184 L
.88411 .23183 L
.8793 .22917 L
.87659 .227 L
.87447 .22475 L
.87236 .22217 L
.86964 .21797 L
.86927 .21734 L
.86686 .2125 L
.86496 .20767 L
.8648 .20722 L
.86346 .20284 L
.8623 .19801 L
.86144 .19318 L
.86086 .18835 L
.86055 .18351 L
.86049 .17868 L
.86066 .17385 L
.86108 .16902 L
.86175 .16419 L
.86269 .15935 L
.86394 .15452 L
.8648 .15178 L
.86555 .14969 L
.86759 .14486 L
.86964 .14097 L
.87019 .14003 L
.87362 .1352 L
.87447 .13421 L
.87851 .13036 L
F
1 .85 .01 r
.88413 .13863 m
.88896 .13713 L
.8938 .13741 L
.89863 .13949 L
.89953 .14003 L
.90346 .14368 L
.90447 .14486 L
.90766 .14969 L
.90829 .15091 L
.90995 .15452 L
.91166 .15935 L
.9129 .16419 L
.91312 .16518 L
.91377 .16902 L
.9143 .17385 L
.91451 .17868 L
.9144 .18351 L
.91398 .18835 L
.91323 .19318 L
.91312 .19374 L
.91212 .19801 L
.91058 .20284 L
.90849 .20767 L
.90829 .20806 L
.90568 .2125 L
.90346 .21529 L
.90164 .21734 L
.89863 .21949 L
.8938 .22157 L
.88896 .22184 L
.88413 .22034 L
.87967 .21734 L
.8793 .21687 L
.87556 .2125 L
.87447 .21076 L
.87274 .20767 L
.87066 .20284 L
.86964 .19979 L
.86912 .19801 L
.868 .19318 L
.86725 .18835 L
.86684 .18351 L
.86675 .17868 L
.86696 .17385 L
.86749 .16902 L
.86835 .16419 L
.86961 .15935 L
.86964 .15925 L
.87129 .15452 L
.8736 .14969 L
.87447 .14821 L
.87674 .14486 L
.8793 .1421 L
.88145 .14003 L
F
1 .825 .004 r
.88896 .14962 m
.89263 .14969 L
.8938 .15001 L
.89863 .15306 L
.90014 .15452 L
.90319 .15935 L
.90346 .15998 L
.90519 .16419 L
.90649 .16902 L
.90724 .17385 L
.90752 .17868 L
.90738 .18351 L
.90679 .18835 L
.90569 .19318 L
.90392 .19801 L
.90346 .19899 L
.90142 .20284 L
.89863 .20592 L
.89642 .20767 L
.8938 .20897 L
.88896 .20936 L
.88483 .20767 L
.88413 .20719 L
.87983 .20284 L
.8793 .20176 L
.87727 .19801 L
.87555 .19318 L
.87449 .18835 L
.87447 .18821 L
.87389 .18351 L
.87374 .17868 L
.87404 .17385 L
.87447 .17026 L
.87479 .16902 L
.87605 .16419 L
.87806 .15935 L
.8793 .15722 L
.8809 .15452 L
.88413 .15178 L
.88861 .14969 L
F
1 .8 .002 r
.88896 .16883 m
.89259 .16902 L
.8938 .16958 L
.89596 .17385 L
.89682 .17868 L
.89641 .18351 L
.89434 .18835 L
.8938 .18905 L
.88896 .19028 L
.88692 .18835 L
.88484 .18351 L
.88443 .17868 L
.88529 .17385 L
.88865 .16902 L
F
% Start of sub-graphic
p
0.65024 0.606838 0.950721 0.980769 MathSubStart
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0300481 0.5 0.0534188 [
[.74038 -0.0125 -4.5 -10.9375 ]
[.74038 -0.0125 4.5 0 ]
[.5 -0.0125 -4.5 -10.9375 ]
[.5 -0.0125 4.5 0 ]
[.25962 -0.0125 -7.5625 -10.9375 ]
[.25962 -0.0125 7.5625 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .17949 -15.125 -5.46875 ]
[-0.0125 .17949 0 5.46875 ]
[-0.0125 .5 -9 -5.46875 ]
[-0.0125 .5 0 5.46875 ]
[-0.0125 .82051 -9 -5.46875 ]
[-0.0125 .82051 0 5.46875 ]
[ 0 0 -0.125 0 ]
[.74038 1.0125 -4.5 0 ]
[.74038 1.0125 4.5 10.9375 ]
[.5 1.0125 -4.5 0 ]
[.5 1.0125 4.5 10.9375 ]
[.25962 1.0125 -7.5625 0 ]
[.25962 1.0125 7.5625 10.9375 ]
[ 0 1 .125 0 ]
[1.0125 .17949 0 -5.46875 ]
[1.0125 .17949 15.125 5.46875 ]
[1.0125 .5 0 -5.46875 ]
[1.0125 .5 9 5.46875 ]
[1.0125 .82051 0 -5.46875 ]
[1.0125 .82051 9 5.46875 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.74038 0 m
.74038 .00625 L
s
gsave
.74038 -0.0125 -65.5 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -65.5 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 0 m
.25962 .00625 L
s
gsave
.25962 -0.0125 -68.5625 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(8) show
1.000 setlinewidth
grestore
0 0 m
1 0 L
s
0 .17949 m
.00625 .17949 L
s
gsave
-0.0125 .17949 -76.125 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(6) show
1.000 setlinewidth
grestore
0 .5 m
.00625 .5 L
s
gsave
-0.0125 .5 -70 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
0 .82051 m
.00625 .82051 L
s
gsave
-0.0125 .82051 -70 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
0 0 m
0 1 L
s
.74038 .99375 m
.74038 1 L
s
gsave
.74038 1.0125 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 .99375 m
.5 1 L
s
gsave
.5 1.0125 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 .99375 m
.25962 1 L
s
gsave
.25962 1.0125 -68.5625 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(8) show
1.000 setlinewidth
grestore
0 1 m
1 1 L
s
.99375 .17949 m
1 .17949 L
s
gsave
1.0125 .17949 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(6) show
1.000 setlinewidth
grestore
.99375 .5 m
1 .5 L
s
gsave
1.0125 .5 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.99375 .82051 m
1 .82051 L
s
gsave
1.0125 .82051 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 1 1 r
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
1 .95 .045 r
.24262 .67851 m
.25233 .67598 L
.26204 .67547 L
.27176 .677 L
.28002 .67968 L
.28147 .68059 L
.29118 .68664 L
.29473 .68939 L
.30089 .69525 L
.30437 .69911 L
.31061 .70707 L
.31175 .70882 L
.31765 .71853 L
.32032 .72334 L
.32243 .72824 L
.32656 .73796 L
.33003 .74687 L
.33022 .74767 L
.33266 .75738 L
.33508 .76709 L
.33722 .77681 L
.33895 .78652 L
.33974 .79207 L
.33998 .79623 L
.34046 .80594 L
.34072 .81566 L
.34072 .82537 L
.34046 .83508 L
.33998 .84479 L
.33974 .84895 L
.33895 .85451 L
.33722 .86422 L
.33508 .87393 L
.33266 .88364 L
.33022 .89336 L
.33003 .89416 L
.32656 .90307 L
.32243 .91278 L
.32032 .91769 L
.31765 .92249 L
.31175 .93221 L
.31061 .93395 L
.30437 .94192 L
.30089 .94577 L
.29473 .95163 L
.29118 .95438 L
.28147 .96044 L
.28002 .96134 L
.27176 .96403 L
.26204 .96556 L
.25233 .96504 L
.24262 .96251 L
.23946 .96134 L
.23291 .95768 L
.22447 .95163 L
.22319 .9505 L
.2148 .94192 L
.21348 .94035 L
.20752 .93221 L
.20377 .92648 L
.20165 .92249 L
.19669 .91278 L
.19406 .90716 L
.19269 .90307 L
.18936 .89336 L
.18623 .88364 L
.18434 .87698 L
.18388 .87393 L
.18233 .86422 L
.18088 .85451 L
.17971 .84479 L
.1789 .83508 L
.17849 .82537 L
.17849 .81566 L
.1789 .80594 L
.17971 .79623 L
.18088 .78652 L
.18233 .77681 L
.18388 .76709 L
.18434 .76405 L
.18623 .75738 L
.18936 .74767 L
.19269 .73796 L
.19406 .73387 L
.19669 .72824 L
.20165 .71853 L
.20377 .71455 L
.20752 .70882 L
.21348 .70067 L
.2148 .69911 L
.22319 .69053 L
.22447 .68939 L
.23291 .68334 L
.23946 .67968 L
F
1 .9 .002 r
.26204 .69884 m
.26473 .69911 L
.27176 .70071 L
.28147 .70518 L
.28695 .70882 L
.29118 .7125 L
.29701 .71853 L
.30089 .72338 L
.30422 .72824 L
.30994 .73796 L
.31061 .73923 L
.3143 .74767 L
.31806 .75738 L
.32032 .76413 L
.32104 .76709 L
.32321 .77681 L
.32504 .78652 L
.32645 .79623 L
.3274 .80594 L
.32787 .81566 L
.32787 .82537 L
.3274 .83508 L
.32645 .84479 L
.32504 .85451 L
.32321 .86422 L
.32104 .87393 L
.32032 .8769 L
.31806 .88364 L
.3143 .89336 L
.31061 .9018 L
.30994 .90307 L
.30422 .91278 L
.30089 .91764 L
.29701 .92249 L
.29118 .92853 L
.28695 .93221 L
.28147 .93585 L
.27176 .94031 L
.26473 .94192 L
.26204 .94219 L
.25449 .94192 L
.25233 .94157 L
.24262 .93841 L
.23291 .93262 L
.23235 .93221 L
.22319 .92361 L
.22222 .92249 L
.21495 .91278 L
.21348 .91049 L
.20941 .90307 L
.20478 .89336 L
.20377 .89099 L
.20128 .88364 L
.19831 .87393 L
.19581 .86422 L
.19406 .85576 L
.19389 .85451 L
.19278 .84479 L
.19199 .83508 L
.19159 .82537 L
.19159 .81566 L
.19199 .80594 L
.19278 .79623 L
.19389 .78652 L
.19406 .78527 L
.19581 .77681 L
.19831 .76709 L
.20128 .75738 L
.20377 .75003 L
.20478 .74767 L
.20941 .73796 L
.21348 .73054 L
.21495 .72824 L
.22222 .71853 L
.22319 .71742 L
.23235 .70882 L
.23291 .70841 L
.24262 .70262 L
.25233 .69945 L
.25449 .69911 L
F
1 .85 0 r
.24262 .71569 m
.25233 .71219 L
.26204 .7115 L
.27176 .71358 L
.28147 .71853 L
.28147 .71853 L
.29118 .72693 L
.29239 .72824 L
.29975 .73796 L
.30089 .73974 L
.30523 .74767 L
.30966 .75738 L
.31061 .75975 L
.31298 .76709 L
.31567 .77681 L
.31782 .78652 L
.31941 .79623 L
.32032 .80401 L
.32043 .80594 L
.32085 .81566 L
.32085 .82537 L
.32043 .83508 L
.32032 .83702 L
.31941 .84479 L
.31782 .85451 L
.31567 .86422 L
.31298 .87393 L
.31061 .88128 L
.30966 .88364 L
.30523 .89336 L
.30089 .90128 L
.29975 .90307 L
.29239 .91278 L
.29118 .9141 L
.28147 .92249 L
.28147 .9225 L
.27176 .92744 L
.26204 .92953 L
.25233 .92884 L
.24262 .92534 L
.23755 .92249 L
.23291 .91874 L
.22683 .91278 L
.22319 .90834 L
.21952 .90307 L
.21391 .89336 L
.21348 .8925 L
.20968 .88364 L
.20618 .87393 L
.20377 .86582 L
.20341 .86422 L
.2015 .85451 L
.20003 .84479 L
.19904 .83508 L
.19854 .82537 L
.19854 .81566 L
.19904 .80594 L
.20003 .79623 L
.2015 .78652 L
.20341 .77681 L
.20377 .7752 L
.20618 .76709 L
.20968 .75738 L
.21348 .74852 L
.21391 .74767 L
.21952 .73796 L
.22319 .73269 L
.22683 .72824 L
.23291 .72228 L
.23755 .71853 L
F
1 .8 0 r
.24262 .72527 m
.25233 .72143 L
.26204 .72068 L
.27176 .72295 L
.28129 .72824 L
.28147 .72843 L
.29118 .73781 L
.2913 .73796 L
.29809 .74767 L
.30089 .75266 L
.30313 .75738 L
.30705 .76709 L
.31016 .77681 L
.31061 .7784 L
.31235 .78652 L
.31396 .79623 L
.31504 .80594 L
.31558 .81566 L
.31558 .82537 L
.31504 .83508 L
.31396 .84479 L
.31235 .85451 L
.31061 .86262 L
.31016 .86422 L
.30705 .87393 L
.30313 .88364 L
.30089 .88836 L
.29809 .89336 L
.2913 .90307 L
.29118 .90322 L
.28147 .9126 L
.28129 .91278 L
.27176 .91807 L
.26204 .92035 L
.25233 .91959 L
.24262 .91576 L
.2378 .91278 L
.23291 .90844 L
.22792 .90307 L
.22319 .89664 L
.22116 .89336 L
.21607 .88364 L
.21348 .87763 L
.21217 .87393 L
.2092 .86422 L
.20686 .85451 L
.20513 .84479 L
.20401 .83508 L
.20377 .832 L
.2035 .82537 L
.2035 .81566 L
.20377 .80902 L
.20401 .80594 L
.20513 .79623 L
.20686 .78652 L
.2092 .77681 L
.21217 .76709 L
.21348 .76339 L
.21607 .75738 L
.22116 .74767 L
.22319 .74439 L
.22792 .73796 L
.23291 .73259 L
.2378 .72824 L
F
1 .75 0 r
.26204 .72812 m
.26319 .72824 L
.27176 .73059 L
.28147 .73658 L
.28312 .73796 L
.29118 .74699 L
.29167 .74767 L
.29761 .75738 L
.30089 .76421 L
.30205 .76709 L
.30537 .77681 L
.30793 .78652 L
.30979 .79623 L
.31061 .80166 L
.31096 .80594 L
.3115 .81566 L
.3115 .82537 L
.31096 .83508 L
.31061 .83937 L
.30979 .84479 L
.30793 .85451 L
.30537 .86422 L
.30205 .87393 L
.30089 .87682 L
.29761 .88364 L
.29167 .89336 L
.29118 .89404 L
.28312 .90307 L
.28147 .90444 L
.27176 .91044 L
.26319 .91278 L
.26204 .91291 L
.25616 .91278 L
.25233 .91209 L
.24262 .90791 L
.23597 .90307 L
.23291 .89988 L
.22755 .89336 L
.22319 .88656 L
.22162 .88364 L
.2172 .87393 L
.21377 .86422 L
.21348 .86328 L
.21133 .85451 L
.20955 .84479 L
.20837 .83508 L
.20779 .82537 L
.20779 .81566 L
.20837 .80594 L
.20955 .79623 L
.21133 .78652 L
.21348 .77774 L
.21377 .77681 L
.2172 .76709 L
.22162 .75738 L
.22319 .75447 L
.22755 .74767 L
.23291 .74115 L
.23597 .73796 L
.24262 .73311 L
.25233 .72893 L
.25616 .72824 L
F
1 .7 0 r
.25233 .73543 m
.26204 .73456 L
.27176 .73719 L
.27369 .73796 L
.28147 .74371 L
.28548 .74767 L
.29118 .75524 L
.29252 .75738 L
.29756 .76709 L
.30089 .77551 L
.30131 .77681 L
.30401 .78652 L
.30598 .79623 L
.30726 .80594 L
.30789 .81566 L
.30789 .82537 L
.30726 .83508 L
.30598 .84479 L
.30401 .85451 L
.30131 .86422 L
.30089 .86552 L
.29756 .87393 L
.29252 .88364 L
.29118 .88578 L
.28548 .89336 L
.28147 .89732 L
.27369 .90307 L
.27176 .90384 L
.26204 .90647 L
.25233 .9056 L
.24593 .90307 L
.24262 .90111 L
.23375 .89336 L
.23291 .89231 L
.22669 .88364 L
.22319 .87724 L
.22168 .87393 L
.21796 .86422 L
.21516 .85451 L
.21348 .84671 L
.21318 .84479 L
.21197 .83508 L
.21137 .82537 L
.21137 .81566 L
.21197 .80594 L
.21318 .79623 L
.21348 .79431 L
.21516 .78652 L
.21796 .77681 L
.22168 .76709 L
.22319 .76379 L
.22669 .75738 L
.23291 .74871 L
.23375 .74767 L
.24262 .73992 L
.24593 .73796 L
F
1 .65 0 r
.24262 .74606 m
.25233 .74122 L
.26204 .74029 L
.27176 .74313 L
.27927 .74767 L
.28147 .75018 L
.28764 .75738 L
.29118 .763 L
.29336 .76709 L
.29752 .77681 L
.30057 .78652 L
.30089 .78773 L
.30264 .79623 L
.30398 .80594 L
.30464 .81566 L
.30464 .82537 L
.30398 .83508 L
.30264 .84479 L
.30089 .85329 L
.30057 .85451 L
.29752 .86422 L
.29336 .87393 L
.29118 .87802 L
.28764 .88364 L
.28147 .89084 L
.27927 .89336 L
.27176 .8979 L
.26204 .90074 L
.25233 .8998 L
.24262 .89496 L
.2404 .89336 L
.23291 .88533 L
.23165 .88364 L
.22585 .87393 L
.22319 .8681 L
.22172 .86422 L
.21872 .85451 L
.21658 .84479 L
.2152 .83508 L
.21452 .82537 L
.21452 .81566 L
.2152 .80594 L
.21658 .79623 L
.21872 .78652 L
.22172 .77681 L
.22319 .77292 L
.22585 .76709 L
.23165 .75738 L
.23291 .75569 L
.2404 .74767 L
F
1 .6 0 r
.25233 .74654 m
.26204 .74555 L
.26986 .74767 L
.27176 .74858 L
.28147 .75625 L
.28252 .75738 L
.28934 .76709 L
.29118 .7706 L
.29395 .77681 L
.29726 .78652 L
.29958 .79623 L
.30089 .80433 L
.30105 .80594 L
.30174 .81566 L
.30174 .82537 L
.30105 .83508 L
.30089 .8367 L
.29958 .84479 L
.29726 .85451 L
.29395 .86422 L
.29118 .87043 L
.28934 .87393 L
.28252 .88364 L
.28147 .88478 L
.27176 .89244 L
.26986 .89336 L
.26204 .89548 L
.25233 .89448 L
.24938 .89336 L
.24262 .88926 L
.23654 .88364 L
.23291 .8787 L
.22991 .87393 L
.22526 .86422 L
.22319 .85859 L
.22197 .85451 L
.2197 .84479 L
.21823 .83508 L
.21752 .82537 L
.21752 .81566 L
.21823 .80594 L
.2197 .79623 L
.22197 .78652 L
.22319 .78244 L
.22526 .77681 L
.22991 .76709 L
.23291 .76233 L
.23654 .75738 L
.24262 .75177 L
.24938 .74767 L
F
1 .55 0 r
.24262 .75717 m
.25233 .75154 L
.26204 .75047 L
.27176 .75374 L
.27757 .75738 L
.28147 .76206 L
.28529 .76709 L
.29052 .77681 L
.29118 .77835 L
.29413 .78652 L
.29663 .79623 L
.29821 .80594 L
.29898 .81566 L
.29898 .82537 L
.29821 .83508 L
.29663 .84479 L
.29413 .85451 L
.29118 .86268 L
.29052 .86422 L
.28529 .87393 L
.28147 .87896 L
.27757 .88364 L
.27176 .88729 L
.26204 .89056 L
.25233 .88948 L
.24262 .88386 L
.24235 .88364 L
.23394 .87393 L
.23291 .8722 L
.22872 .86422 L
.22508 .85451 L
.22319 .84767 L
.22259 .84479 L
.22104 .83508 L
.22028 .82537 L
.22028 .81566 L
.22104 .80594 L
.22259 .79623 L
.22319 .79336 L
.22508 .78652 L
.22872 .77681 L
.23291 .76883 L
.23394 .76709 L
.24235 .75738 L
F
1 .5 0 r
.25233 .7563 m
.26204 .75516 L
.2694 .75738 L
.27176 .75867 L
.28107 .76709 L
.28147 .76777 L
.28712 .77681 L
.29111 .78652 L
.29118 .78672 L
.29382 .79623 L
.29551 .80594 L
.29633 .81566 L
.29633 .82537 L
.29551 .83508 L
.29382 .84479 L
.29118 .85431 L
.29111 .85451 L
.28712 .86422 L
.28147 .87325 L
.28107 .87393 L
.27176 .88236 L
.2694 .88364 L
.26204 .88587 L
.25233 .88472 L
.24982 .88364 L
.24262 .87863 L
.23808 .87393 L
.23291 .86564 L
.23217 .86422 L
.22811 .85451 L
.22539 .84479 L
.22369 .83508 L
.22319 .83041 L
.22288 .82537 L
.22288 .81566 L
.22319 .81062 L
.22369 .80594 L
.22539 .79623 L
.22811 .78652 L
.23217 .77681 L
.23291 .77538 L
.23808 .76709 L
.24262 .76239 L
.24982 .75738 L
F
1 .45 0 r
.25233 .76092 m
.26204 .75968 L
.27176 .76347 L
.27687 .76709 L
.28147 .77349 L
.28359 .77681 L
.28815 .78652 L
.29109 .79623 L
.29118 .79655 L
.29291 .80594 L
.29379 .81566 L
.29379 .82537 L
.29291 .83508 L
.29118 .84448 L
.29109 .84479 L
.28815 .85451 L
.28359 .86422 L
.28147 .86753 L
.27687 .87393 L
.27176 .87755 L
.26204 .88135 L
.25233 .88011 L
.24307 .87393 L
.24262 .87349 L
.23553 .86422 L
.23291 .85882 L
.23112 .85451 L
.22814 .84479 L
.2263 .83508 L
.22542 .82537 L
.22542 .81566 L
.2263 .80594 L
.22814 .79623 L
.23112 .78652 L
.23291 .78221 L
.23553 .77681 L
.24262 .76753 L
.24307 .76709 L
F
1 .4 0 r
.25233 .76544 m
.26204 .76411 L
.27006 .76709 L
.27176 .76822 L
.2802 .77681 L
.28147 .77937 L
.28512 .78652 L
.28841 .79623 L
.29038 .80594 L
.29118 .81336 L
.29132 .81566 L
.29132 .82537 L
.29118 .82766 L
.29038 .83508 L
.28841 .84479 L
.28512 .85451 L
.28147 .86166 L
.2802 .86422 L
.27176 .87281 L
.27006 .87393 L
.26204 .87692 L
.25233 .87558 L
.24918 .87393 L
.24262 .86835 L
.23922 .86422 L
.2341 .85451 L
.23291 .85136 L
.23087 .84479 L
.22886 .83508 L
.2279 .82537 L
.2279 .81566 L
.22886 .80594 L
.23087 .79623 L
.23291 .78967 L
.2341 .78652 L
.23922 .77681 L
.24262 .77268 L
.24918 .76709 L
F
1 .35 0 r
.25233 .76994 m
.26204 .76849 L
.27176 .77298 L
.27634 .77681 L
.28147 .78564 L
.28191 .78652 L
.28567 .79623 L
.28787 .80594 L
.28889 .81566 L
.28889 .82537 L
.28787 .83508 L
.28567 .84479 L
.28191 .85451 L
.28147 .85538 L
.27634 .86422 L
.27176 .86805 L
.26204 .87254 L
.25233 .87108 L
.24357 .86422 L
.24262 .86309 L
.23713 .85451 L
.23358 .84479 L
.23291 .8426 L
.23141 .83508 L
.23037 .82537 L
.23037 .81566 L
.23141 .80594 L
.23291 .79843 L
.23358 .79623 L
.23713 .78652 L
.24262 .77794 L
.24357 .77681 L
F
1 .3 0 r
.25233 .77449 m
.26204 .77289 L
.27049 .77681 L
.27176 .77785 L
.27912 .78652 L
.28147 .79256 L
.28281 .79623 L
.28529 .80594 L
.28643 .81566 L
.28643 .82537 L
.28529 .83508 L
.28281 .84479 L
.28147 .84846 L
.27912 .85451 L
.27176 .86318 L
.27049 .86422 L
.26204 .86813 L
.25233 .86654 L
.24876 .86422 L
.24262 .85758 L
.24058 .85451 L
.23626 .84479 L
.23393 .83508 L
.23291 .82604 L
.23286 .82537 L
.23286 .81566 L
.23291 .81498 L
.23393 .80594 L
.23626 .79623 L
.24058 .78652 L
.24262 .78344 L
.24876 .77681 L
F
1 .25 0 r
.25233 .77914 m
.26204 .77739 L
.27176 .78291 L
.27531 .78652 L
.28019 .79623 L
.28147 .80082 L
.2826 .80594 L
.28389 .81566 L
.28389 .82537 L
.2826 .83508 L
.28147 .84021 L
.28019 .84479 L
.27531 .85451 L
.27176 .85811 L
.26204 .86363 L
.25233 .86188 L
.24452 .85451 L
.24262 .85165 L
.23924 .84479 L
.23647 .83508 L
.23525 .82537 L
.23525 .81566 L
.23647 .80594 L
.23924 .79623 L
.24262 .78937 L
.24452 .78652 L
F
1 .2 0 r
.25233 .78403 m
.26204 .78203 L
.26998 .78652 L
.27176 .78834 L
.27727 .79623 L
.28017 .80594 L
.28127 .81566 L
.28127 .82537 L
.28017 .83508 L
.27727 .84479 L
.27176 .85269 L
.26998 .85451 L
.26204 .85899 L
.25233 .85699 L
.24926 .85451 L
.24267 .84479 L
.24262 .8447 L
.23927 .83508 L
.23782 .82537 L
.23782 .81566 L
.23927 .80594 L
.24262 .79633 L
.24267 .79623 L
.24926 .78652 L
F
1 .15 0 r
.25233 .78925 m
.26204 .78701 L
.27176 .79449 L
.27306 .79623 L
.27746 .80594 L
.27902 .81566 L
.27902 .82537 L
.27746 .83508 L
.27306 .84479 L
.27176 .84653 L
.26204 .85402 L
.25233 .85178 L
.24645 .84479 L
.24262 .83566 L
.24247 .83508 L
.2407 .82537 L
.2407 .81566 L
.24247 .80594 L
.24262 .80536 L
.24645 .79623 L
F
1 .1 0 r
.25233 .79525 m
.26204 .79239 L
.26779 .79623 L
.27176 .80164 L
.27365 .80594 L
.27598 .81566 L
.27598 .82537 L
.27365 .83508 L
.27176 .83939 L
.26779 .84479 L
.26204 .84864 L
.25233 .84578 L
.25139 .84479 L
.24596 .83508 L
.24391 .82537 L
.24391 .81566 L
.24596 .80594 L
.25139 .79623 L
F
1 .05 0 r
.25233 .8022 m
.26204 .79845 L
.26889 .80594 L
.27173 .81566 L
.27173 .82537 L
.26889 .83508 L
.26204 .84257 L
.25233 .83883 L
.25032 .83508 L
.24754 .82537 L
.24754 .81566 L
.25032 .80594 L
F
1 0 0 r
.26204 .80756 m
.26672 .81566 L
.26672 .82537 L
.26204 .83347 L
.25243 .82537 L
.25243 .81566 L
F
0 g
gsave
.5 .39316 -90.4375 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(input) show
86.188 11.812 moveto
(\\() show
90.250 11.812 moveto
(port) show
109.562 11.812 moveto
(1) show
114.562 11.812 moveto
(\\)) show
117.875 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[173]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3o
oolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40
fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00E@3oool3000003D0oooo0`00000h
0?ooo`<00000E03oool10=WIf@00E03oool01@000000oooo0?ooo`3oool0000003<0oooo0P000000
0`3oool000000000000f0?ooo`050000003oool0oooo0?ooo`000000D`3oool10=WIf@00E03oool0
1@000000oooo0?ooo`3oool0000003<0oooo00D000000?ooo`3oool0oooo0000000f0?ooo`050000
003oool0oooo0?ooo`000000D`3oool10=WIf@00C@3oool4000000<0oooo00<000000?ooo`3oool0
0P00000c0?ooo`050000003oool0oooo0?ooo`000000=P3oool00`000000oooo0?ooo`02000005<0
oooo0@3IfMT005D0oooo0`00000d0?ooo`050000003oool0oooo0?ooo`000000=`3oool3000005@0
oooo0@3IfMT005@0oooo0P0000020?ooo`030000003oool0oooo0340oooo00D000000?ooo`3oool0
oooo0000000f0?ooo`8000000P3oool00`000000oooo0?ooo`1A0?ooo`40fMWI001D0?ooo`050000
003oool0oooo0?ooo`000000<`3oool01@000000oooo0?ooo`3oool0000003H0oooo00D000000?oo
o`3oool0oooo0000001C0?ooo`40fMWI001D0?ooo`050000003oool0oooo0?ooo`000000<`3oool2
000000030?ooo`000000000003H0oooo00D000000?ooo`3oool0oooo0000001C0?ooo`40fMWI001E
0?ooo`<00000=@3oool3000003P0oooo0`00001D0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0
oooo803oool10=WIf@00503oooog000001@0oooo0@3IfMT001@0oooo00<000000?ooo`3oool0?@3o
ool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool0?@3o
ool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0?<0oooo00<00000
0?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`3c0?ooo`030000003oool0oooo
0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0l`3oool00`000000oooo0?ooo`0B0?ooo`40
fMWI000D0?ooo`030000003oool0oooo0?<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503o
ool00`000000oooo0?ooo`3c0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<00000
0?ooo`3oool0l`3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo
0?<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`3c0?ooo`03
0000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0Z@3ooolE07KiocD0oooo
00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`2W0?oooaP0M_Wo=03o
ool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0:H0oooo6P1fnOlc
0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0YP3ooolJ07Ki
oc<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`2W0?oooaP0
M_Wo=03oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0:/0oooo
4@1fnOlg0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0l`3o
ool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo08`0oooo1@3onGHN
0?ooo`P0ooUf7`3oool50?oiMQP0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`00
0000oooo0?ooo`290?ooo`X0ooUf5`3ooolB0?oiMQL0oooo2P3onGHF0?ooo`030000003oool0oooo
0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0Q`3oool>0?oiMQ<0oooo1@3onGH<0?oc=PD0
ooUf503oool=0?oiMQ@0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo
0?ooo`260?oooa00ooUf4P3oool50?oiMP`0oo<f1@3onGHC0?ooo`l0ooUf4`3oool00`000000oooo
0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo08H0oooo4@3onGHB0?ooo`D0ooUf2`3o
lcH50?oiMQ40oooo4P3onGHB0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<00000
0?ooo`3oool0Q03ooolD0?oiMQ<0oooo403onGHC0?oooa@0ooUf4@3oool00`000000oooo0?ooo`0B
0?ooo`40fMWI000D0?ooo`030000003oool0oooo08@0oooo1P3onGH90?oc=PH0ooUf=@3oool60?oi
MPT0oo<f1@3onGHA0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3o
ool0P`3oool60?oiMP/0oo<f1@3onGH:0?ooo`T0M_Wo3P0flol907Kio`X0oooo1P3onGH;0?oc=PD0
ooUf403oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo08<0oooo
1@3onGH=0?oc=PD0ooUf1`3oool607Kio`@0=_?o0`0Ik?l;00_Vo`806Nco100flol607Kio`P0oooo
1@3onGH=0?oc=PD0ooUf3`3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003o
ool0oooo0880oooo1@3onGH50?oc=P@0on`I1P3olcH40?oiMPL0oooo1@1fnOl203Kco`<06Nco0P0;
i_l200GOo`L00]Wo0`05gol200_Vo`<06Nco0`0flol507Kio`H0oooo1@3onGH40?oc=PH0on`I1@3o
lcH40?oiMPl0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`22
0?ooo`@0ooUf0`3olcH:0?o/6@<0oo<f1@3onGH60?ooo`D0M_Wo0P0flol201W/o`802nKo0P05gol3
00;Io`D00M?o0P02fOl200GOo`802nKo0P0Ik?l303Kco`D0M_Wo1P3oool40?oiMP@0oo<f2@3ok1T4
0?oc=P@0ooUf3P3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo
0840oooo103onGH30?oc=P`0on`I0`3olcH40?oiMPH0oooo1@1fnOl303Kco`806Nco0P0;i_l200GO
o`<00]Wo0P01dol400;Io`0300GOo`0;i_l02nKo00<06Nco0P0flol507Kio`H0oooo103onGH40?oc
=P/0on`I0`3olcH40?oiMPh0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000
oooo0?ooo`210?ooo`@0ooUf0`3olcH40?o/6@@0onH;1@3ok1T30?oc=P@0ooUf1P3oool507Kio`@0
=_?o0P0Ik?l200_Vo`L01Moo0`0;i_l301W/o`<0=_?o1P1fnOl60?ooo`@0ooUf0`3olcH30?o/6@D0
onH;1@3ok1T30?oc=P@0ooUf3@3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000
003oool0oooo0840oooo0`3onGH30?oc=P<0on`I203oiP/30?o/6@<0oo<f103onGH80?ooo`P0M_Wo
3P0flol807Kio`T0oooo0`3onGH30?oc=P<0on`I203oiP/30?o/6@<0oo<f103onGH=0?ooo`030000
003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0P03oool40?oiMP<0oo<f0P3o
k1T:0?oV2`<0on`I0P3olcH40?oiMPd0oooo5@3onGH<0?ooo`@0ooUf0`3olcH20?o/6@X0onH;0`3o
k1T20?oc=P@0ooUf3@3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0
oooo0800oooo0`3onGH30?oc=P80on`I103oiP/50?oO1@<0onH;0P3ok1T30?oc=P@0ooUf1P3oool4
0?oiMP80oo<f0`3ok1T20?oV2`<0oml5103of@840?oO1@80onH;00@0on`I0?oc=P3olcH0oo<f0`3o
nGH80?ooo`<0ooUf0`3olcH20?o/6@<0onH;1P3og`D30?oV2`80on`I0`3olcH30?oiMPd0oooo00<0
00000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`200?ooo`<0ooUf0`3olcH2
0?o/6@80onH;203og`D30?oV2`80on`I0P3olcH40?oiMPD0oooo0`3onGH20?oc=P070?o/6@3oiP/0
onH;0?oV2`3og`D0omT20?oC0@030?o<00D0olH00P3oc0020?oC0@050?oI0P3og`D0onH;0?oV2`3o
k1T00P3olcH40?oiMP@0oooo103onGH20?oc=P<0on`I0P3oiP/80?oO1@<0onH;0P3ok1T20?oc=P@0
ooUf303oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo07l0oooo
103onGH20?oc=P80on`I0P3oiP/:0?oO1@80onH;0P3ok1T30?oc=P@0ooUf0`3oool40?oiMP80oo<f
00@0on`I0?oV2`3og`D0oml50P3od`40103oc000olH00?no003o_`050?ni0080okl000H0olH00?o<
003od`40omT20?oO1@3oiP/20?o/6@80oo<f0`3onGH40?ooo`@0ooUf0P3olcH20?o/6@80onH;2P3o
g`D20?oV2`80on`I0`3olcH30?oiMP`0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool0
0`000000oooo0?ooo`1o0?ooo`@0ooUf0P3olcH20?o/6@80onH;0`3og`D50?oI0P<0oml50P3oiP/2
0?o/6@80oo<f103onGH40?ooo`@0ooUf00<0oo<f0?o/6@3oiP/00P3og`D0103of@80om<10?o<003o
aP020?no00@0okT000L0okl00?o6003oaP00ol`00?oC0@3of@80oml50080onH;00<0on`I0?oc=P3o
lcH0103onGH40?ooo`@0ooUf0P3olcH20?o/6@80onH;0P3og`D60?oI0P<0oml50P3oiP/20?o/6@80
oo<f0`3onGH<0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0
O`3oool30?oiMP<0oo<f0P3ok1T20?oV2`80oml51`3of@820?oO1@80onH;0P3ok1T20?oc=P@0ooUf
103oool40?oiMP80oo<f00D0on`I0?oV2`3oiP/0oml50?oI0P020?oC0@80ol`01@3oaP020?o<0005
0?oC0@3of@80oml50?oO1@3oiP/00P3ok1T20?oc=P<0ooUf1@3oool30?oiMP<0oo<f0P3ok1T20?oV
2`80oml51`3of@820?oO1@80onH;0P3ok1T20?oc=P<0ooUf303oool00`000000oooo0?ooo`0B0?oo
o`40fMWI000D0?ooo`030000003oool0oooo07l0oooo0`3onGH20?oc=P80on`I0P3oiP/20?oO1@P0
omT20P3og`D20?oV2`80on`I0P3olcH40?oiMPL0oooo0`3onGH30?oc=P80on`I0P3oiP/70?oO1@<0
onH;0P3ok1T30?oc=P<0ooUf203oool30?oiMP80oo<f0P3ok1T20?oV2`80oml5203of@820?oO1@80
onH;0P3ok1T20?oc=P<0ooUf303oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000
003oool0oooo07l0oooo0`3onGH20?oc=P80on`I0P3oiP/0103og`D0omT20?oI0P3of@840?oC0@<0
omT20P3og`D00`3oiP/0on`I0?o/6@020?oc=P<0ooUf;03oool30?oiMP80oo<f0P3ok1T20?oV2`04
0?oO1@3of@80omT20?oI0P@0om<10`3of@820?oO1@030?oV2`3ok1T0on`I0080oo<f0`3onGH<0?oo
o`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0O`3oool30?oiMP80
oo<f0P3ok1T00`3oiP/0oml50?oO1@020?oI0PH0om<10P3of@820?oO1@80onH;00<0on`I0?oc=P3o
lcH00`3onGH40?ooo`@0M_Wo0`0flol0100Ik?l02nKo00_Vo`0;i_l200GOo`<00]Wo1001dol400;I
o`0300GOo`0;i_l02nKo00<06Nco0P0flol407Kio`@0oooo0`3onGH20?oc=P80on`I00<0onH;0?oO
1@3og`D00P3of@860?oC0@80omT20P3og`D20?oV2`040?o/6@3olcH0oo<f0?oc=P<0ooUf2`3oool0
0`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo07l0oooo0`3onGH20?oc
=P030?o/6@3oiP/0onH;0080oml50P3of@870?oC0@80omT200<0oml50?oV2`3oiP/00P3ok1T20?oc
=P80ooUf0`3oool307Kio`80=_?o0P0Ik?l0200;i_l01Moo00;Io`02fOl00M?o003<o`00a_l00;oo
0P00^Ol4002co`<00;Wo00@00;oo0036o`00c?l00M?o0P02fOl00`05gol02nKo01W/o`0203Kco`<0
M_Wo0`3oool30?oiMP80oo<f00<0on`I0?oV2`3oiP/00P3og`D20?oI0PL0om<10P3of@800`3og`D0
onH;0?oV2`020?o/6@80oo<f0`3onGH;0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo
00<000000?ooo`3oool0O`3oool30?oiMP80oo<f00<0on`I0?oV2`3oiP/00P3og`D00`3of@80om<1
0?oC0@060?oC0@80omT200<0oml50?oV2`3oiP/00P3ok1T20?oc=P80ooUf0`3oool307Kio`80=_?o
00X06Nco00_Vo`0;i_l01Moo007Co`00c?l00<Ko002oo`00^Ol00:co0P00Y_l5002Oo`0:002Vo`00
[?l00;?o002io`00_ol00<Ko007Co`02fOl01Moo00_Vo`806Nco0P0flol207Kio`<0oooo0`3onGH2
0?oc=P030?o/6@3oiP/0onH;0080oml50P3of@870?oC0@80omT200<0oml50?oV2`3oiP/00P3ok1T2
0?oc=P<0ooUf2`3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000:0?ooo`<000001`3oool00`00
0000oooo0?ooo`1o0?ooo`<0ooUf0P3olcH0103ok1T0onH;0?oV2`3og`D20?oI0P@0om<100@0ol`0
0?oC0@3od`40om<10P3of@800`3og`D0onH;0?oV2`020?o/6@80oo<f0P3onGH30?ooo`<0M_Wo0P0f
lol0300Ik?l02nKo00GOo`02fOl00M?o003<o`00a_l00;Wo002co`00[?l00:Ko002Oo`@009Wo00/0
09oo002Vo`00[?l00;?o002io`00_ol00<Ko007Co`02fOl01Moo00_Vo`0201W/o`80=_?o0P1fnOl3
0?ooo`<0ooUf0P3olcH0103ok1T0onH;0?oV2`3og`D20?oI0P@0om<100@0ol`00?oC0@3od`40om<1
0P3of@800`3og`D0onH;0?oV2`020?o/6@80oo<f0`3onGH;0?ooo`030000003oool0oooo00/0oooo
0`0000040?ooo`40fMWI00090?ooo`8000000P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo07l0oooo0`3onGH20?oc=P040?o/6@3oiP/0onH;0?oO1@80omT20`3od`430?o<0080om<1
0P3of@820?oO1@030?oV2`3ok1T0on`I0080oo<f0P3onGH40?ooo`80M_Wo0P0flol201W/o`0800_V
o`05gol00]Wo007Co`00c?l00<Ko002oo`00^Ol2002co`03002/o`00Y_l00:Ko00800:co0P00/ol0
1P00_ol00<Ko003<o`01dol00]Wo00GOo`802nKo00<06Nco03Kco`0flol00`1fnOl30?ooo`<0ooUf
0P3olcH0103ok1T0onH;0?oV2`3og`D20?oI0P<0om<10P3oc0030?oC0@80omT20P3og`D00`3oiP/0
on`I0?o/6@020?oc=P<0ooUf2`3oool00`000000oooo0?ooo`0:0?ooo`8000000P3oool010000000
oooo0?ooo`3oool10=WIf@002@3oool01@000000oooo0?ooo`3oool0000000H0oooo0P00001o0?oo
o`@0ooUf0P3olcH0103ok1T0onH;0?oV2`3og`D20?oI0P<0om<10`3oc0020?oC0@80omT20P3og`D0
0`3oiP/0on`I0?o/6@020?oc=P80ooUf1@3oool307Kio`80=_?o0P0Ik?l200_Vo`0400GOo`02fOl0
0M?o003<o`<00<Ko0P00_ol20036o`800<co0P01dol01@02fOl01Moo00_Vo`0;i_l06Nco0080=_?o
101fnOl40?ooo`<0ooUf0P3olcH0103ok1T0onH;0?oV2`3og`D20?oI0P<0om<10`3oc0020?oC0@80
omT20P3og`D00`3oiP/0on`I0?o/6@020?oc=P<0ooUf2P3oool2000000`0oooo00D000000?ooo`3o
ool0oooo000000030?ooo`40fMWI00020?ooo`@000000`3oool01@000000oooo0?ooo`3oool00000
00H0oooo00<000000?ooo`3oool0O`3oool30?oiMP80oo<f00@0on`I0?oV2`3oiP/0oml50P3of@83
0?oC0@<0ol`00P3od`420?oI0P80oml500<0onH;0?o/6@3ok1T00P3olcH30?oiMPL0oooo1P1fnOl3
03Kco`X06Nco100flol607Kio`H0oooo0`3onGH30?oc=P040?o/6@3oiP/0onH;0?oO1@80omT20`3o
d`430?o<0080om<10P3of@820?oO1@030?oV2`3ok1T0on`I0080oo<f0`3onGH;0?ooo`030000003o
ool0oooo0080oooo100000040?ooo`050000003oool0oooo0?ooo`0000000`3oool10=WIf@002@3o
ool00`000000oooo0?ooo`02000000H0oooo00<000000?ooo`3oool0O`3oool30?oiMP80oo<f00@0
on`I0?oV2`3oiP/0oml50P3of@830?oC0@80ol`00`3od`420?oI0P80oml500<0onH;0?o/6@3ok1T0
0P3olcH40?oiMPH0oooo103onGH30?oc=PD0on`I1@3oiP/40?o/6@@0oo<f0`3onGH70?ooo`<0ooUf
0`3olcH0103ok1T0onH;0?oV2`3og`D20?oI0P<0om<10P3oc0030?oC0@80omT20P3og`D00`3oiP/0
on`I0?o/6@020?oc=P<0ooUf2`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080
00000`3oool10=WIf@002@3oool4000000L0oooo00<000000?ooo`3oool0O`3oool30?oiMP80oo<f
00<0on`I0?oV2`3oiP/00P3og`D00`3of@80om<10?oC0@060?oC0@80omT200<0oml50?oV2`3oiP/0
0P3ok1T20?oc=PD0ooUf00<0oooo0?oiMP3onGH00P3onGH20?oc=P050?o/6@3oiP/0oml50?oO1@3o
f@800P3od`400`3oc000olH00?o600070?o600040?o<003od`40omT20?oO1@80onH;0P3ok1T00`3o
lcH0ooUf0?oiMP020?oiMP80oooo103onGH30?oc=P030?o/6@3oiP/0onH;0080oml500<0omT20?oC
0@3od`401P3od`420?oI0P030?oO1@3oiP/0onH;0080on`I0P3olcH30?oiMP/0oooo00<000000?oo
o`3oool02P3oool4000000@0oooo0@3IfMT000X0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`1o0?ooo`<0ooUf0P3olcH20?o/6@030?oV2`3og`D0oml50080omT21`3od`420?oI0P03
0?oO1@3oiP/0onH;0080on`I0P3olcH90?oiMP80oo<f00T0on`I0?oV2`3og`D0omT20?oC0@3oc000
olH00?no003o/`001`3o[0020?nc00070?ni003o_`00olH00?oC0@3of@80oml50?oV2`020?o/6@03
0?oc=P3onGH0ooUf00P0ooUf0P3olcH00`3ok1T0onH;0?oV2`020?oO1@80omT21`3od`420?oI0P03
0?oO1@3oiP/0onH;0080on`I0P3olcH30?oiMP/0oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`040?ooo`40fMWI000:0?ooo`800000203oool00`000000oooo0?ooo`1o0?ooo`<0ooUf
0P3olcH20?o/6@030?oV2`3og`D0oml50080omT21P3od`420?oI0P80oml50P3oiP/20?o/6@80oo<f
2@3onGH20?oc=P0:0?o/6@3oiP/0oml50?oI0P3od`40ol`00?no003o^@00ok<00?n/0080ojH00`3o
W`002P3oYP00oj`00?nc003o^@00okl00?o6003oc000omT20?oO1@3oiP/20?o/6@80oo<f2@3onGH2
0?oc=P80on`I00<0onH;0?oO1@3og`D00P3of@860?oC0@80omT20P3og`D20?oV2`80on`I0P3olcH3
0?oiMP/0oooo00<000000?ooo`3oool02`3oool2000000D0oooo0@3IfMT000`0oooo0P0000060?oo
o`030000003oool0oooo07l0oooo0`3onGH20?oc=P80on`I0P3oiP/0103og`D0omT20?oI0P3of@85
0?oC0@80omT20P3og`D20?oV2`040?o/6@3olcH0oo<f0?oc=PT0ooUf0P3olcH20?o/6@070?oV2`3o
g`D0omT20?oC0@3oc000olH00?ni00030?nc00<0oj`000L0ok<00?ni003o^@00okl00?o6003od`40
omT20080oml500@0onH;0?o/6@3olcH0oo<f2P3onGH20?oc=P80on`I00<0onH;0?oO1@3og`D00P3o
f@860?oC0@80omT20P3og`D20?oV2`030?o/6@3olcH0oo<f00@0ooUf2`3oool00`000000oooo0?oo
o`0=0?ooo`8000000`3oool10=WIf@00503oool00`000000oooo0?ooo`1o0?ooo`<0ooUf0P3olcH2
0?o/6@80onH;0P3og`D30?oI0P<0om<10`3of@820?oO1@030?oV2`3ok1T0on`I0080oo<f103onGH4
0?ooo`@0ooUf0P3olcH01`3ok1T0onH;0?oV2`3og`D0omT20?oC0@3oc0000`3oaP030?no00030?o6
003oc000ol`00080om<100H0oml50?oV2`3oiP/0onH;0?o/6@3olcH50?oiMP<0oooo103onGH20?oc
=P80on`I0P3oiP/20?oO1@<0omT20`3od`430?oI0P030?oO1@3oiP/0onH;0080on`I0P3olcH30?oi
MP`0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`1o0?ooo`<0
ooUf0P3olcH20?o/6@80onH;0P3og`D80?oI0P80oml50P3oiP/20?o/6@80oo<f0`3onGH90?ooo`<0
ooUf0`3olcH30?o/6@T0onH;0P3ok1T20?oc=PD0ooUf203oool30?oiMP<0oo<f00<0on`I0?oV2`3o
iP/00P3og`D80?oI0P80oml50P3oiP/20?o/6@80oo<f0`3onGH<0?ooo`030000003oool0oooo0180
oooo0@3IfMT001@0oooo00<000000?ooo`3oool0O`3oool40?oiMP80oo<f0P3ok1T20?oV2`<0oml5
1P3of@800`3og`D0onH;0?oV2`030?o/6@80oo<f0`3onGH90?oooa/0M_Wo203oool40?oiMP80oo<f
0P3ok1T20?oV2`80oml51P3of@830?oO1@030?oV2`3ok1T0on`I00<0oo<f0`3onGH<0?ooo`030000
003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0P03oool30?oiMP80oo<f0P3o
k1T20?oV2`@0oml50`3of@830?oO1@80onH;0P3ok1T30?oc=P<0ooUf103oool507Kio`80=_?o0`0I
k?l200_Vo`801Moo2@02fOl200GOo`802nKo0P0Ik?l303Kco`D0M_Wo103oool30?oiMP80oo<f0P3o
k1T20?oV2`@0oml50`3of@830?oO1@80onH;0P3ok1T30?oc=P<0ooUf303oool00`000000oooo0?oo
o`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0800oooo0`3onGH20?oc=P80on`I0`3oiP/9
0?oO1@80onH;0P3ok1T20?oc=P<0ooUf1@3oool307Kio`<0=_?o00D06Nco00_Vo`0;i_l01Moo00;I
o`02007Co`04003<o`00a_l00<Ko0036o`<00;oo0P00a_l2003<o`05007Co`02fOl01Moo00GOo`0;
i_l00P0Ik?l203Kco`@0M_Wo103oool30?oiMP80oo<f0P3ok1T30?oV2`T0oml50P3oiP/20?o/6@80
oo<f103onGH<0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0
P03oool30?oiMP<0oo<f0P3ok1T30?oV2`L0oml50P3oiP/30?o/6@80oo<f0`3onGH40?ooo`@0M_Wo
0P0flol201W/o`0300_Vo`05gol00]Wo00800M?o00@00<co0036o`00_ol00;oo1@00^Ol01`00_ol0
0<Ko0036o`00c?l00M?o00;Io`05gol00P0;i_l0100Ik?l0=_?o03Kco`0flol307Kio`@0oooo0`3o
nGH30?oc=P80on`I0`3oiP/70?oO1@80onH;0`3ok1T20?oc=P<0ooUf3@3oool00`000000oooo0?oo
o`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0800oooo103onGH20?oc=P<0on`I103oiP/3
0?oO1@<0onH;0`3ok1T30?oc=P<0ooUf1@3oool307Kio`<0=_?o00@06Nco00_Vo`05gol01Moo0P02
fOl01001dol00<co0036o`00a_l4002oo`<00<Ko00@00<co007Co`02fOl01Moo0P0;i_l201W/o`80
=_?o101fnOl50?ooo`<0ooUf0P3olcH30?o/6@@0onH;0`3og`D40?oV2`80on`I0`3olcH30?oiMPd0
oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`210?ooo`<0ooUf
0`3olcH30?o/6@T0onH;0P3ok1T30?oc=P@0ooUf1@3oool507Kio`80=_?o00H06Nco00_Vo`0;i_l0
2nKo00GOo`02fOl3007Co`D00<co0P01dol200;Io`0300GOo`0;i_l06Nco00806Nco0P0flol407Ki
o`H0oooo0`3onGH30?oc=P<0on`I2@3oiP/20?o/6@<0oo<f103onGH=0?ooo`030000003oool0oooo
0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0P@3oool30?oiMP@0oo<f0P3ok1T80?oV2`80
on`I103olcH30?oiMPL0oooo1P1fnOl303Kco`806Nco100;i_l400GOo`@02nKo0P0Ik?l403Kco`D0
M_Wo1`3oool40?oiMP<0oo<f0`3ok1T60?oV2`@0on`I0`3olcH30?oiMPh0oooo00<000000?ooo`3o
ool04P3oool10=WIf@00503oool00`000000oooo0?ooo`220?ooo`@0ooUf0P3olcH50?o/6@<0onH;
103ok1T40?oc=P<0ooUf303ooolI07Kio`/0oooo103onGH40?oc=P@0on`I0`3oiP/40?o/6@<0oo<f
103onGH>0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0PP3o
ool40?oiMP<0oo<f2P3ok1T40?oc=P@0ooUf3P3oool50?oiMPX0oo<f1P3onGH=0?ooo`D0ooUf0`3o
lcH:0?o/6@@0oo<f103onGH>0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<00000
0?ooo`3oool0PP3oool40?oiMP@0oo<f203ok1T40?oc=P@0ooUf2`3oool40?oiMP<0oo<f0P3ok1T:
0?oV2`<0on`I0P3olcH40?oiMP/0oooo103onGH40?oc=PP0on`I103olcH40?oiMPl0oooo00<00000
0?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`230?ooo`@0ooUf1P3olcH30?o/
6@D0oo<f1@3onGH;0?ooo`<0ooUf0`3olcH20?o/6@80onH;203og`D30?oV2`80on`I0P3olcH40?oi
MPX0oooo1@3onGH60?oc=P<0on`I1@3olcH50?oiMPl0oooo00<000000?ooo`3oool04P3oool10=WI
f@00503oool00`000000oooo0?ooo`230?ooo`D0ooUf303olcH50?oiMP`0oooo103onGH30?oc=P80
on`I0`3oiP/50?oO1@<0onH;0P3ok1T30?oc=P<0ooUf303oool50?oiMP`0oo<f1@3onGH@0?ooo`03
0000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0Q03oool50?oiMPX0oo<f
1P3onGH=0?ooo`<0ooUf103olcH20?o/6@L0onH;103ok1T20?oc=P@0ooUf3P3oool50?oiMPX0oo<f
1@3onGHA0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0Q03o
ool60?oiMPP0oo<f1P3onGH@0?ooo`D0ooUf3@3olcH40?oiMQ00oooo1`3onGH60?oc=PL0ooUf4@3o
ool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo08H0oooo1`3onGH2
0?oc=PT0ooUf5P3oool:0?oiMQL0oooo2@3onGH00`3olcH0ooUf0?oiMP060?oiMQ80oooo00<00000
0?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`260?oooa40ooUf4@3ooolF07Ki
oa80oooo4@3onGHB0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3o
ool0Q`3oool>0?oiMPh0oooo2P1fnOl=03Kco`T0M_Wo3P3oool>0?oiMQ@0oooo00<000000?ooo`3o
ool04P3oool10=WIf@00503oool00`000000oooo0?ooo`280?ooo``0ooUf3`3oool807Kioa00=_?o
2@1fnOl>0?ooo``0ooUf5@3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003o
ool0oooo08T0oooo2P3onGH@0?ooo`T0M_Wo3`0flol907Kioa00oooo2@3onGHF0?ooo`030000003o
ool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0S03oool40?oiMQ<0oooo2P1fnOl=
03Kco`P0M_Wo4`3oool50?oiMQT0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`00
0000oooo0?ooo`2U0?ooo`d0M_Wo0`0flol<07Kioc80oooo00<000000?ooo`3oool04P3oool10=WI
f@00503oool00`000000oooo0?ooo`2X0?oooaL0M_Wo=03oool00`000000oooo0?ooo`0B0?ooo`40
fMWI000D0?ooo`030000003oool0oooo0?<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503o
ool00`000000oooo0?ooo`3c0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<00000
0?ooo`3oool0l`3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo
0?<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`3c0?ooo`03
0000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0l`3oool00`000000oooo
0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0?<0oooo00<000000?ooo`3oool04P3o
ool10=WIf@00503oool00`000000oooo0?ooo`3c0?ooo`030000003oool0oooo0180oooo0@3IfMT0
01@0oooo00<000000?ooo`3oool0l`3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`03
0000003oool0oooo0?<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo
0?ooo`2K0?ooo`80M_WoEP3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003o
ool0oooo04d0oooo0P1fnOl50?ooo`80M_WoA@3oool00`1fnOl0oooo0?ooo`040?ooo`0307Kio`3o
ool0oooo04h0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`1<
0?ooo`80M_Wo1@3oool307Kio`@0oooo00<0M_Wo0?ooo`3oool0?03oool307Kio`@0oooo0`1fnOm@
0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0B`3oool207Ki
o`D0oooo0`1fnOl40?ooo`80M_Wo6`3oool207Kio`@0oooo0P1fnOlK0?ooo`80M_Wo103oool307Ki
oe40oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`1:0?ooo`<0
M_Wo103oool307Kio`@0oooo0P1fnOlD0?ooo`80M_Wo103oool307Kio`@0oooo0`1fnOlJ0?ooo`80
M_Wo1@3oool207Kio`D0oooo00<0M_Wo0?ooo`3oool0BP3oool00`000000oooo0?ooo`0B0?ooo`40
fMWI000D0?ooo`030000003oool0oooo04T0oooo0`1fnOl40?ooo`<0M_Wo103oool307Kioa<0oooo
0P1fnOl40?ooo`<0M_Wo103oool307KioaX0oooo0`1fnOl30?ooo`<0M_Wo1@3oool207Kiod`0oooo
00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`190?ooo`80M_Wo103o
ool407Kio`<0oooo101fnOl30?ooo`80M_Wo503oool207Kio`D0oooo0P1fnOl50?ooo`0307Kio`3o
ool0oooo0140oooo101fnOl00`3oool0ooUf0?ooo`0407Kio`<0oooo0`1fnOm=0?ooo`030000003o
ool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0B03oool307Kio`@0oooo0`1fnOl0
103oool0ooUf0?oiMP3oool207Kio`D0oooo0P1fnOlC0?ooo`<0M_Wo103oool307Kio`D0oooo00<0
M_Wo0?ooo`3oool04@3oool407Kio`030?ooo`3onGH0oooo00@0M_Wo0P3onGH0103oool0M_Wo07Ki
o`1fnOm=0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0B03o
ool207Kio`80oooo00H0ooUf0?ooo`1fnOl0=_?o07Kio`3oool20?oiMP040?ooo`1fnOl0M_Wo07Ki
o`@0oooo0`1fnOlC0?ooo`80M_Wo1@3oool207Kioa@0oooo00<0M_Wo0?ooo`3oool00`3oool307Ki
o`040?ooo`3onGH0ooUf07Kio`80=_?o00<0M_Wo0?ooo`3onGH00P3oool307Kiodd0oooo00<00000
0?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`170?ooo`80M_Wo0P3oool00`3o
nGH0oooo07Kio`0203Kco`050?ooo`3onGH0ooUf0?ooo`1fnOl00P0flol0103oool0ooUf0?oiMP3o
ool307KioaH0oooo0`1fnOlM0?ooo`<0M_Wo00@0oooo0?oiMP3onGH0oooo0P0flol01@1fnOl0oooo
0?oiMP3onGH0oooo00<0M_Wo103oool207KiodP0oooo00<000000?ooo`3oool04P3oool10=WIf@00
503oool00`000000oooo0?ooo`160?ooo`80M_Wo1@3oool203Kco`0507Kio`3onGH0oo<f0?oiMP1f
nOl00P0flol0103oool0ooUf0?oiMP3oool307Kioa00oooo0P1fnOl40?ooo`<0M_Wo00@0oooo0?oi
MP3onGH0oooo0`1fnOl40?ooo`<0M_Wo3`3oool307Kio`040?ooo`3onGH0ooUf0?ooo`<0=_?o00@0
ooUf0?oc=P3onGH0oooo0P0flol00`1fnOl0oooo0?oiMP020?ooo`<0M_WoB03oool00`000000oooo
0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo04D0oooo0`1fnOl0103oool0ooUf0?oo
o`1fnOl203Kco`0507Kio`3onGH0oo<f0?oc=P3oool00P0flol01@1fnOl0ooUf0?oiMP3onGH0oooo
0080M_Wo1@3oool207Kio`T0oooo0P1fnOl01@3oool0ooUf0?oiMP3oool0M_Wo0080=_?o00D0oooo
0?oc=P3olcH0ooUf07Kio`0203Kco`040?ooo`3onGH0ooUf0?ooo`<0M_Wo3`3oool307Kio`080?oo
o`3onGH0oo<f0?oiMP0flol06Nco03Kco`3onGH20?oc=P050?ooo`0flol0=_?o03Kco`3oool00P3o
nGH0103oool0M_Wo07Kio`1fnOm90?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<0
00000?ooo`3oool0A03oool307Kio`040?ooo`3onGH0ooUf07Kio`<0=_?o00L0ooUf0?o/6@3olcH0
M_Wo03Kco`0Ik?l0=_?o00<0oo<f00@0M_Wo03Kco`0flol0M_Wo103oool207Kio`P0oooo101fnOl0
103oool0ooUf0?ooo`1fnOl203Kco`0507Kio`3olcH0oo<f0?oiMP3oool00P0Ik?l01@1fnOl0ooUf
0?oiMP3onGH0oooo0080M_Wo403oool207Kio`050?ooo`3onGH0ooUf0?oiMP1fnOl00P0Ik?l0203o
ool0on`I0?o/6@3olcH0=_?o01W/o`0flol0oooo0`3onGH307KiodX0oooo00<000000?ooo`3oool0
4P3oool10=WIf@00503oool00`000000oooo0?ooo`140?ooo`<0M_Wo0`3oool0101fnOl0=_?o03Kc
o`1fnOl20?oc=P050?oiMP0;i_l02nKo00_Vo`1fnOl00P3ok1T01@3oool06Nco01W/o`0flol0oooo
0080ooUf00@0oooo07Kio`1fnOl0M_Wo203oool307Kio`040?ooo`3onGH0ooUf0?ooo`<0=_?o00@0
oooo0?oc=P3olcH0M_Wo0P0flol00`0Ik?l0ooUf0?oiMP020?oiMP<0M_Wo103oool207Kio`P0oooo
101fnOl02`3oool0ooUf0?oiMP3oool0=_?o01W/o`0flol0oo<f0?o/6@3olcH0oooo00806Nco00H0
=_?o0?oc=P3olcH0ooUf0?ooo`0flol207KiodX0oooo00<000000?ooo`3oool04P3oool10=WIf@00
503oool00`000000oooo0?ooo`130?ooo`<0M_Wo0180oooo0?oiMP3onGH0oooo03Kco`0Ik?l0M_Wo
0?oc=P3ok1T0oo<f07Kio`0;i_l01Moo03Kco`3olcH0onH;0?oc=P1fnOl201W/o`0507Kio`3onGH0
ooUf0?oiMP3oool00P1fnOl90?ooo`80M_Wo0P3oool00`3onGH0oooo07Kio`0203Kco`0507Kio`3o
lcH0oo<f0?oiMP1fnOl00P0Ik?l01@1fnOl0oo<f0?oc=P3onGH0M_Wo0080=_?o1@3oool00`1fnOl0
oooo0?ooo`070?ooo`<0M_Wo00l0oooo0?oiMP3olcH0ooUf03Kco`0;i_l06Nco0?ooo`3ok1T0onH;
0?oiMP0Ik?l01Moo01W/o`3oool00P3olcH0103oool0M_Wo03Kco`1fnOl40?ooo`80M_WoA@3oool0
0`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0480oooo0`1fnOl04P3o
ool0ooUf0?oiMP3oool0=_?o01W/o`0flol0oooo0?oV2`3ok1T0oooo00_Vo`02fOl06Nco0?oc=P3o
g`D0onH;0?ooo`802nKo00D0=_?o0?oiMP3olcH0ooUf0?ooo`0307Kio`T0oooo0P1fnOl30?ooo`@0
M_Wo0`3onGH0101fnOl0=_?o03Kco`1fnOl30?oiMP<0M_Wo1@3oool00`1fnOl0oooo0?ooo`070?oo
o`@0M_Wo00@0ooUf0?oc=P3onGH0=_?o0P0;i_l03`3oool0onH;0?oO1@3olcH06Nco00;Io`0;i_l0
ooUf0?o/6@3oiP/0ooUf07Kio`0Ik?l0=_?o0?ooo`020?oiMP040?ooo`1fnOl0M_Wo07KiodD0oooo
00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`110?ooo`<0M_Wo0P3o
ool00`3onGH0oooo03Kco`0203Kco`0;0?oiMP3ok1T0on`I0?ooo`05gol00]Wo00_Vo`3oool0omT2
0?oO1@3oool00P05gol01@0Ik?l0oooo0?o/6@3olcH0oooo0080=_?o00<0M_Wo0?ooo`3oool03P3o
ool307Kio`@0oooo0`1fnOl60?ooo`0307Kio`3oool0oooo00/0oooo101fnOl0103onGH0oo<f0?oi
MP0flol200_Vo`0507Kio`3oiP/0oml50?o/6@0Ik?l00P02fOl01@0flol0onH;0?oV2`3olcH0=_?o
00806Nco00<0oooo0?oiMP3onGH00P3oool207KiodH0oooo00<000000?ooo`3oool04P3oool10=WI
f@00503oool00`000000oooo0?ooo`110?ooo`80M_Wo0P3oool01P3onGH0oooo07Kio`0Ik?l0=_?o
0?oiMP80onH;00P0oo<f00GOo`01dol01Moo0?oc=P3og`D0omT20?oc=P<01Moo00@0ooUf0?o/6@3o
k1T0oooo0P0flol00`1fnOl0oooo0?ooo`020?ooo`<0M_Wo103oool307Kio`040?ooo`3onGH0ooUf
0?oiMP<0=_?o00D0M_Wo0?oc=P3olcH0ooUf07Kio`0201W/o`040?ooo`3onGH0ooUf0?oiMP<0M_Wo
1@3oool207Kio`D0oooo0`1fnOl02`3oool0oo<f0?oc=P1fnOl02nKo00GOo`0Ik?l0on`I0?oI0P3o
iP/06Nco00800<co00D02nKo0?oV2`3of@80on`I03Kco`0200_Vo`0407Kio`3onGH0ooUf0?oiMP<0
M_WoA`3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0400oooo
0P1fnOl40?ooo`0;07Kio`0flol0=_?o0?ooo`3ok1T0onH;0?o/6@0flol00M?o00;Io`3onGH00P3o
c0001@3og`D02nKo003<o`02fOl0ooUf0080oml500D0on`I01W/o`0Ik?l0=_?o0?ooo`020?oiMP04
0?ooo`1fnOl0M_Wo07Kio`@0oooo101fnOl0103onGH0oo<f0?oiMP0flol200_Vo`0403Kco`3ok1T0
oml50?oV2`802nKo00H01Moo07Kio`3ok1T0on`I0?oc=P3oool201W/o`030?ooo`3onGH0ooUf0080
oooo0P1fnOl50?ooo`<0M_Wo0`3onGH0203oool02nKo00_Vo`0flol0oooo0?oI0P3og`D0=_?o0P00
a_l01@0Ik?l0oo<f0?oC0@3og`D0=_?o00800]Wo00@06Nco0?oiMP3olcH0ooUf101fnOm70?ooo`03
0000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0@03oool207Kio`<0oooo
0P1fnOl203Kco`0;0?oiMP3ok1T0on`I0?oiMP05gol00]Wo00_Vo`3of@80ol`00?oC0@3olcH00P00
c?l01@0Ik?l0omT20?oI0P3og`D0ooUf00802nKo00D0M_Wo0?oiMP3onGH0ooUf0?ooo`0207Kio`D0
oooo0`1fnOl0103oool0oo<f0?oc=P3oool300GOo`0407Kio`3od`40om<107Kio`800<Ko00P00M?o
0?oiMP3of@80omT203Kco`0Ik?l02nKo01W/o`<0ooUf101fnOl50?ooo`80M_Wo00D0oooo0?oc=P3o
lcH0oo<f07Kio`0200_Vo`050?oc=P3oiP/0oml50?oO1@05gol00P01dol0103og`D0omT20?oC0@3o
g`D200;Io`0501W/o`1fnOl0on`I0?o/6@3onGH00P0flol207KiodL0oooo00<000000?ooo`3oool0
4P3oool10=WIf@00503oool00`000000oooo0?ooo`100?ooo`0307Kio`3oool0oooo0080oooo01T0
M_Wo03Kco`0flol0oooo0?o/6@3og`D0oo<f00_Vo`00c?l00M?o0?oiMP3oaP00okl00?oV2`01dol0
0;Wo003<o`3onGH0om<10?o<003olcH02nKo00GOo`0Ik?l0oooo0080oo<f00@0ooUf07Kio`1fnOl0
M_Wo103oool207Kio`0M03Kco`1fnOl0ooUf0?o/6@3olcH06Nco00GOo`02fOl0M_Wo0?oO1@3oc000
oml501W/o`00_ol00<Ko07Kio`3of@80ol`00?oO1@0Ik?l00]Wo00GOo`3oool0oo<f0?o/6@3oool0
M_Wo03Kco`1fnOl01@3oool307Kio`0B0?ooo`3olcH0oo<f07Kio`0;i_l01Moo03Kco`3ok1T0ol`0
0?oI0P3onGH00<Ko002io`05gol0omT20?ni003od`402nKo0P00c?l01@0Ik?l0on`I0?oV2`3ok1T0
M_Wo0080=_?o00<0M_Wo0?ooo`3oool00P3oool00`1fnOl0oooo0?ooo`110?ooo`030000003oool0
oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0A03oool0201fnOl0=_?o03Kco`3oool0
on`I0?oV2`3olcH06Nco0P00c?l03`3oool0olH00?ni003of@802nKo002/o`00_ol0ooUf0?o6003o
_`00onH;00_Vo`01dol01Moo0?ooo`020?o/6@040?oiMP1fnOl0M_Wo07Kio`D0oooo0`1fnOl04P3o
nGH0oo<f0?oc=P1fnOl02nKo00GOo`0flol0onH;0?o<003og`D0=_?o0036o`00_ol06Nco0?oI0P3o
c000oml503Kco`800]Wo00D0M_Wo0?o/6@3ok1T0oo<f07Kio`0203Kco`0307Kio`3oool0oooo0080
oooo0`1fnOl0203oool0ooUf0?oc=P3oool06Nco00GOo`0Ik?l0on`I0P3od`403`3onGH00;oo002i
o`02fOl0omT20?nc003o_`00ooUf002oo`00^Ol02nKo0?oV2`3of@80onH;03Kco`0201W/o`0307Ki
o`3oool0ooUf0080oooo0P1fnOm30?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<0
00000?ooo`3oool0@`3oool0201fnOl0=_?o03Kco`1fnOl0oo<f0?oV2`3ok1T06Nco0P00c?l01@0;
i_l0ol`00?ni003od`400]Wo00800:co00P00M?o0?no003o^@00omT200_Vo`00a_l00M?o0?ooo`80
onH;00@0ooUf07Kio`0flol0=_?o1@3oool307Kio`080?ooo`3onGH0ooUf07Kio`0flol06Nco03Kc
o`3olcH20?oV2`0807Kio`02fOl00]Wo03Kco`3ok1T0omT20?oV2`1fnOl200GOo`0401W/o`3olcH0
oo<f0?oiMP@0M_Wo103oool307Kio`0?0?ooo`3onGH0ooUf0?ooo`0flol01Moo01W/o`3ok1T0om<1
0?o<003ok1T00<Ko002/o`01dol0oml50080oj`000P0on`I002io`00^Ol00<Ko0?oV2`3od`40omT2
0?oiMP802nKo00D0M_Wo0?oiMP3onGH0ooUf0?ooo`0207Kiod@0oooo00<000000?ooo`3oool04P3o
ool10=WIf@00503oool00`000000oooo0?ooo`120?ooo`80M_Wo00d0=_?o07Kio`3onGH0onH;0?o/
6@0flol00M?o0036o`02fOl0om<10?n/003oaP002nKo008009Wo00D00M?o0?ni003o[000olH000_V
o`020036o`0401W/o`3oiP/0onH;0?o/6@<0=_?o00<0M_Wo0?ooo`3oool00P3oool207Kio`H0oooo
0P1fnOl00`3oool0ooUf0?oiMP020?ooo`0501W/o`1fnOl0oooo0?ooo`3ok1T00P3oool01@0Ik?l0
oooo0?ooo`3oool0ooUf0080oooo00<0M_Wo0?ooo`3oool0103oool207Kio`0?0?ooo`3onGH0ooUf
0?ooo`0flol02nKo01W/o`3oool0om<10?o<003olcH02nKo002Vo`00_ol0omT20080oil000P0on`I
003<o`00VOl00<Ko0?o/6@3o_`00olH00?o/6@801Moo00D02nKo0?oiMP3olcH0oo<f0?ooo`0207Ki
odD0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`120?ooo`<0
M_Wo00@0ooUf0?oc=P3olcH0M_Wo0P01dol0300;i_l0ooUf0?nc003o_`002nKo002Io`00Tol00:Ko
0?oO1@3oT`00ok<001W/o`800:co00D00M?o0?oV2`3od`40onH;07Kio`0201W/o`0307Kio`3oool0
oooo0080oooo00@0M_Wo0?ooo`3oool0oooo0P1fnOl40?ooo`0507Kio`0flol0=_?o07Kio`3onGH0
0P3olcH0100flol06Nco01W/o`1fnOl30?oc=P<0=_?o103oool307Kio`<0oooo0P1fnOl0103oool0
ooUf0?ooo`0flol201W/o`0507Kio`3of@80omT20?o/6@01dol00P00^Ol0201fnOl0oil00?nO003o
g`D00;?o002Co`00Y_l0oo<f0P3o/`001@3ok1T06Nco003<o`05gol0ooUf0080on`I00@0ooUf07Ki
o`1fnOl0M_WoA@3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo
0480oooo0P1fnOl01@3oool0oo<f0?oc=P3olcH0=_?o00800]Wo00l0onH;0?oC0@3oaP00olH00036
o`00Wol00;Wo00;Io`3o^@00oil00?o60000/ol009oo00;Io`0;i_l00P3oc0001@3olcH01Moo00GO
o`0Ik?l0M_Wo0080ooUf00<0oooo07Kio`3oool00P3oool307Kio`040?ooo`3olcH0oo<f0?oiMP80
1Moo00D06Nco07Kio`3oc000ol`00?oc=P02002oo`05007Co`1fnOl0olH00?o<001fnOl00P01dol0
1@05gol0oooo0?o/6@3olcH0M_Wo0080=_?o00<0M_Wo0?ooo`3oool0103oool00`3onGH0oooo01W/
o`0201W/o`040?oiMP3of@80om<103Kco`800;?o00D00;Wo0?oV2`3oYP00ojH0003<o`02002Vo`05
002co`3oc000ok<00?o60001dol00P00c?l01@05gol0onH;0?oV2`3onGH0oooo0080=_?o00<0M_Wo
0?ooo`3oool0@`3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo
0440oooo0`1fnOl06@3onGH0oo<f0?oc=P1fnOl00]Wo003<o`0;i_l0oml50?n/003o^@00onH;002I
o`00Ool00<Ko0?ni003oL`00oil000;Io`00VOl009?o00;Io`3od`40okT00?oC0@1fnOl00P05gol0
1P0flol0ooUf0?oc=P3onGH0oooo07Kio`<0oooo01h0M_Wo03Kco`1fnOl0ooUf0?o/6@3olcH0=_?o
007Co`00c?l0=_?o0?o6003o[000ol`000GOo`00VOl009oo01W/o`3o^@00ojH00?o<000;i_l00;Wo
0036o`05gol0oml50?oI0P3olcH0=_?o01W/o`0flol60?ooo`030?oiMP3oool0=_?o00806Nco00l0
oooo0?oO1@3od`40on`I00;Io`00[?l00;?o0?oiMP3oV@00ohH00?ni0000/ol006co002Io`3olcH0
0P3oV@00203ok1T00<co002co`01dol0oooo0?oO1@3oiP/0ooUf0P0flol00`1fnOl0oooo0?ooo`14
0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0@03oool307Ki
o`080?ooo`3olcH0oo<f0?oiMP05gol00M?o00_Vo`3oiP/20?nc000?0?ooo`00Wol008Ko002io`3o
_`00of`00?n6003oiP/008co001io`00a_l0om<10?nV003o_`006Nco00800M?o00D06Nco0?oiMP3o
lcH0ooUf0?ooo`0207Kio`80oooo0`1fnOl0703onGH0on`I0?o/6@0flol00M?o0036o`0;i_l0ol`0
0?nO003o^@001Moo0026o`00Ool0=_?o0?n/003oO`00ok<000_Vo`00VOl009oo00_Vo`3od`40ol`0
0?oO1@0flol01Moo00_Vo`1fnOl20?oiMPD0oooo00P0M_Wo01W/o`0Ik?l0M_Wo0?oV2`3od`40onH;
003<o`800:co00l06Nco0?nO003oQP00okl0002oo`00NOl007oo03Kco`3oT`00ogl00?ni0000c?l0
09oo002oo`3onGH00P3od`401P3oool0=_?o01W/o`0flol0oooo0?oiMP<0oooo00<0M_Wo0?ooo`3o
ool0?`3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo03l0oooo
0`1fnOl03`3oool0ooUf0?oc=P3oool06Nco00;Io`05gol0onH;0?ni003o/`00oml5002Vo`00Ool0
0:co0?o<00020?m/00080?o<0000Q_l007oo002/o`3od`40oil00?nV003onGH20036o`0601W/o`3o
lcH0onH;0?o/6@3oool0=_?o0P1fnOl01@3oool0M_Wo07Kio`1fnOl0ooUf0080oo<f01T0oooo00;I
o`01dol02nKo0?oI0P3o/`00okT003Kco`00VOl008Ko0036o`3o/`00ogT00?nO0005gol009Wo002C
o`05gol0oml50?ni003of@80M_Wo00;Io`05gol0M_Wo00<0ooUf0P1fnOl20?ooo`0807Kio`0flol0
=_?o07Kio`3ok1T0omT20?oV2`0flol2002co`0?03Kco`3o_`00ogT00?nc0000a_l005oo001/o`0I
k?l0oh`00?mc003o/`000<co002Io`00Y_l00]Wo0080ol`000D0onH;01W/o`0;i_l06Nco07Kio`02
0?oiMP040?ooo`1fnOl0M_Wo07Kiod40oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool0
0`000000oooo0?ooo`0o0?ooo`80M_Wo01d0oooo0?oiMP3onGH0oooo01W/o`05gol02nKo07Kio`3o
aP00okT00?oV2`01dol007Wo002Vo`3o^@00ofH00?mO003oW`0009Wo001Co`00Tol0omT20?n6003o
S000om<1002oo`00^Ol00<Ko0?oc=P020?oV2`040?oiMP0flol0=_?o07Kio`<0oooo00<0M_Wo0?oo
o`3onGH00P3onGH0100Ik?l01Moo01W/o`3ok1T20?oC0@0?0?o/6@00_ol00;?o00;Io`3of@80ojH0
0?nc003oiP/00;?o002/o`02fOl0oml50?o6003oc000M_Wo00801Moo00H0=_?o0?oiMP3olcH0ooUf
0?ooo`1fnOl30?ooo`0407Kio`0flol0M_Wo0?oc=P80onH;00P0M_Wo002oo`00^Ol00]Wo0?ni003o
QP00ojH000;Io`8005oo00`06Nco0?n6003oD`00oiT0007Co`00NOl008Ko00_Vo`3od`40okT00?oI
0P0Ik?l200GOo`0403Kco`3onGH0ooUf0?ooo`<0M_Wo@P3oool00`000000oooo0?ooo`0B0?ooo`40
fMWI000D0?ooo`030000003oool0oooo03h0oooo0`1fnOl0103oool0ooUf0?ooo`0flol200_Vo`0?
07Kio`3od`40ol`00?oV2`00a_l009?o002Io`1fnOl0of`00?mV003oaP002nKo001<o`00K?l0oml5
0080of`000/0omT200;Io`00Wol00;oo0?oiMP3od`40omT20?o/6@0flol06Nco03Kco`080?ooo`80
M_Wo00X06Nco0?ooo`3onGH0onH;0?ooo`0flol06Nco00;Io`3onGH0on`I0P3of@80100Ik?l01Moo
00GOo`3onGH20?oV2`050?oc=P1fnOl06Nco07Kio`3oool00P3onGH50?ooo`0;07Kio`0flol0M_Wo
0?oiMP3oiP/0on`I0?oc=P01dol00<Ko00GOo`3oaP000P3oW`00203og`D007?o001co`00Y_l0oh`0
0?mO003oO`00ooUf0P00Lol01@3onGH0okT00?nV003o_`00=_?o00800M?o00@0=_?o0?oiMP3olcH0
ooUf101fnOm20?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0
?@3oool207Kio`80oooo0P3onGH0200flol06Nco00_Vo`0Ik?l0onH;0?o<003of@800M?o0P00VOl0
1@00a_l0oi<00?mo003oT`0009Wo008006co00P00M?o0?mi003oN@00ol`0002co`00VOl00:Ko07Ki
o`80ol`000D0oo<f0?ooo`0;i_l06Nco0?ooo`020?oiMP80oooo0P1fnOl40?ooo`80M_Wo103oool0
2P1fnOl06Nco07Kio`3oool0ooUf0?o/6@3oool0M_Wo01W/o`1fnOl20?ooo`040?oiMP3oool0M_Wo
07Kio`L0oooo0`1fnOl01@3onGH0on`I0?o/6@3oool01Moo00800<Ko0180omT20?nC003oW`00oj`0
002/o`00Gol009Wo0?nO003oG`00ofH00?n/0000S?l007oo002/o`3o/`00oj`00?nc003ok1T2003<
o`0501W/o`3ok1T0on`I0?oc=P3oool00`1fnOm30?ooo`030000003oool0oooo0180oooo0@3IfMT0
01@0oooo00<000000?ooo`3oool0@`3oool03P0flol06Nco07Kio`3oool0omT20?oC0@3onGH00;?o
002Co`00VOl0ooUf0?mi003oF@00oo<f0P00A_l01@00Gol0oooo0?m/003oG`002nKo008009oo00D0
0:co0?o/6@3od`40om<101W/o`0200_Vo`0501W/o`3onGH0ooUf0?oiMP3oool00`1fnOl01@3oool0
oo<f0?oc=P3onGH0=_?o00801Moo00L0on`I0?o<003oc000oml5003<o`00^Ol00;oo0080olH000H0
okl00?oO1@00c?l00<co007Co`1fnOl20?oO1@050?oc=P0Ik?l06Nco03Kco`1fnOl00P3onGH00`3o
ool0M_Wo07Kio`0207Kio`040?oiMP3olcH0ooUf00_Vo`800M?o00`02nKo0?o6003oW`00omT203Kc
o`00Lol005Wo007Co`3oD`00ocT00?oV2`0Ik?l2001<o`0500;Io`3oS000ohH00?nc000Ik?l00P00
a_l0103oool0on`I0?o/6@3olcH307Kiod@0oooo00<000000?ooo`3oool04P3oool10=WIf@00503o
ool00`000000oooo0?ooo`120?ooo`0P07Kio`0Ik?l06Nco07Kio`3oiP/0om<10?oV2`00a_l009oo
002Io`05gol0ohH00?mV003oYP000:co000oo`00A_l0M_Wo0?mO003o?`00ohH0002co`00I_l008co
0?ooo`3o^@00ok<00?oc=P0;i_l00]Wo00_Vo`3oool20?oc=P060?ooo`1fnOl0=_?o03Kco`1fnOl0
ooUf0P3ok1T06@1fnOl00M?o007Co`0Ik?l0om<10?nV003o^@00oo<f0026o`00NOl00<co0?nV003o
K000oil00036o`00Q_l008co00GOo`3oc000okT00?oI0P0flol00]Wo00GOo`1fnOl00P3olcH01P3o
nGH0M_Wo07Kio`0flol0M_Wo0?ooo`80oo<f00D0oooo00GOo`00c?l01Moo0?oV2`020?nO000F07Ki
o`00Q_l005?o002Vo`3o[000oc<00?m<003oool005?o001<o`00Y_l0okT00?mc003oS000on`I002c
o`00[?l01Moo0?o/6@3og`D0on`I07Kio`80=_?o00<0M_Wo0?ooo`3oool0@P3oool00`000000oooo
0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0440oooo01H0M_Wo03Kco`0flol0M_Wo
0?o/6@3of@80onH;07Kio`00[?l00:Ko00_Vo`3oYP00oeT00?nO0000Ool003?o000io`00/ol0oel0
0?lc003oS0000;oo0P00K?l02001dol0oj`00?nV003oaP002nKo007Co`02fOl0M_Wo0P3olcH01P3o
nGH0M_Wo07Kio`0flol0M_Wo0?oiMP80on`I01T0oooo00;Io`00a_l02nKo0?oC0@3oW`00ojH00?oo
o`00Lol006co002io`3oV@00od`00?m/003oool005oo001Co`00c?l0ok<00?n<003o/`002nKo002o
o`00a_l06Nco0080on`I00H0oo<f07Kio`0flol0=_?o07Kio`3oool20?oc=P0M0?ooo`0;i_l00]Wo
00GOo`3ok1T0ok<00?n/003og`D009Wo001Io`00Tol0ok<00?li003o?`000<co001Io`007ol008co
0?no003oG`00og<00?oc=P00Y_l009oo007Co`3ok1T0omT20?oO1@3olcH00P0Ik?l00`1fnOl0oooo
0?ooo`130?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0@@3o
ool0101fnOl0=_?o07Kio`3olcH20?oV2`0F07Kio`00_ol00;?o007Co`3o/`00og<00?nC0005gol0
04Ko000co`01dol0ojH00?lC003oL`000<co000oo`00Dol00]Wo0?n/003oS000okl001W/o`800<co
00D06Nco0?oc=P3olcH0oo<f07Kio`0203Kco`0907Kio`3onGH0oo<f0?oc=P3oool06Nco003<o`05
gol0omT20080oj`000l0oooo002Oo`00I_l00;?o0?n/003oD`00oel00?o<0000K?l006Ko002co`3o
^@00oh`00?nO003og`D00P00^Ol01@0Ik?l0on`I0?oO1@3ok1T0oooo0080=_?o00H0M_Wo0?ooo`3o
nGH0ooUf0?ooo`0Ik?l200GOo`0I07Kio`3oaP00okl00?o/6@00[?l007oo002Co`3olcH0odH00?lo
003o^@0006Ko000Oo`00FOl0ol`00?m6003oF@00oml5002Io`00Q_l00;oo0?o/6@3oaP00om<10?oi
MP0201W/o`0303Kco`3oool0oooo0080oooo0P1fnOm00?ooo`030000003oool0oooo0180oooo0@3I
fMT000X0oooo0`0000070?ooo`030000003oool0oooo0400oooo0`1fnOl0203olcH0on`I0?o/6@3o
lcH00M?o0036o`05gol0olH00P3oV@00203oiP/005Wo001Io`00Tol0ogl00?lc003oF@00M_Wo0P00
>Ol0300Ik?l0oil00?mi003oW`006Nco002co`00^Ol06Nco0?oc=P3oiP/0oo<f07Kio`80=_?o00d0
M_Wo0?ooo`3onGH0ooUf0?ooo`0Ik?l02nKo00GOo`3oool0ol`00?no003olcH00;Wo008009?o0180
ol`00?mo003oK000oo<f002co`00Lol008co0?oC0@3oW`00ojH00?oC0@00c?l00<Ko007Co`3olcH0
onH;0?o/6@3onGH203Kco`0307Kio`3oool0ooUf0080ooUf0180=_?o00_Vo`0;i_l0ooUf0?oO1@3o
_`00om<1002oo`00Q_l009?o002io`3oN@00oeT00?no0000NOl004co001Co`00c?l20?mC00050?o6
0000VOl007oo002Oo`1fnOl00P3o_`001@3olcH02nKo00GOo`0Ik?l0oooo0080ooUf0P3oool00`1f
nOl0oooo0?ooo`0o0?ooo`030000003oool0oooo00<0oooo0`00000<0?ooo`40fMWI00090?ooo`80
000000<0oooo0000000000001P3oool00`000000oooo0?ooo`0o0?ooo`<0M_Wo00P0oooo0?oc=P3o
k1T0oooo01W/o`00a_l00<co0?oI0P80oiT000D0oj`0002Oo`00FOl009?o0?nI00020?m600080?nO
0000I_l005oo002<o`3oYP00ohH00?n<003oiP/2002co`0503Kco`3oiP/0oml50?oV2`3oool00P0f
lol207Kio`<0oooo00P0M_Wo03Kco`0flol0M_Wo0?oc=P3oiP/0ooUf01W/o`800;oo00l0=_?o0?oC
0@3oW`00ooUf00;Io`00a_l009?o0?oiMP3od`40ok<00?oiMP0flol01Moo007Co`3onGH00P3olcH0
103oool0M_Wo07Kio`1fnOl20?ooo`80ooUf00D0M_Wo01W/o`0Ik?l0M_Wo0?oO1@020?o<0003007C
o`00Tol009Wo0080olH000d0od`00?m/0000VOl002Ko0016o`3olcH0oh`00?m6003oT`0009oo001o
o`00Q_l00<Ko0080olH000D0on`I00GOo`05gol02nKo07Kio`020?oiMP040?ooo`1fnOl0M_Wo07Ki
od40oooo00<000000?ooo`3oool00P3oool2000000030?ooo`000000000000/0oooo0@3IfMT000T0
oooo00D000000?ooo`3oool0oooo000000060?ooo`800000?`3oool407Kio`040?ooo`3olcH0ooUf
00_Vo`800]Wo01H06Nco0?o6003oYP00oml507Kio`00K?l005?o002co`3oC000oal00?m6000flol0
02co000Vo`0flol0of`00?mV003oS0002nKo002co`00[?l0ooUf0P3oiP/0103ok1T0M_Wo03Kco`0f
lol50?ooo`@0M_Wo00@0oooo0?oiMP3olcH0=_?o0`0Ik?l30?o/6@801Moo00@02nKo01W/o`3oiP/0
on`I0P3onGH00`0;i_l0=_?o07Kio`020?oiMP80oooo0P1fnOl40?ooo`0507Kio`0flol0=_?o0?oc
=P3og`D00P3oiP/01000c?l00:co0036o`3oYP020?m/000?0?ni0000I_l002co002co`3oC000ocT0
0?lV003oc00005Wo001Co`00c?l0ooUf0?nV003o[000ooUf00800]Wo00D02nKo0?ooo`3onGH0ooUf
0?ooo`0307Kiod00oooo0P0000040?ooo`050000003oool0oooo0?ooo`0000002`3oool10=WIf@00
2@3oool01@000000oooo0?ooo`3oool0000000H0oooo00<000000?ooo`3oool0?P3oool307Kio`0P
0?ooo`3onGH0oo<f0?ooo`0;i_l00M?o00GOo`3ok1T0oj`00?nV003onGH008Ko001Co`00Wol0ok<0
0?lV003o>@00omT20016o`00;?l008co0?nc003oD`00of`00?ni0000VOl009?o003<o`3oiP/0ol`0
0?oO1@1fnOl201W/o`0307Kio`3oool0oooo00D0oooo00D0M_Wo03Kco`0flol0M_Wo0?oc=P020?o/
6@0807Kio`02fOl00]Wo00_Vo`3og`D0om<10?oO1@0flol2007Co`0507Kio`3ok1T0onH;0?o/6@1f
nOl00P0Ik?l00`1fnOl0oooo0?ooo`050?ooo`0807Kio`0flol0=_?o07Kio`3ok1T0omT20?oV2`05
gol2002Vo`0?00_Vo`3oS000oe<00?nV0000S?l001oo000io`0flol0odH00?lI003oV@000:Ko001C
o`00K?l0M_Wo0080oiT000D0omT200GOo`00c?l00]Wo0?ooo`020?oc=P040?ooo`1fnOl0M_Wo07Ki
od80oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000/0oooo0@3IfMT0
00T0oooo00D000000?ooo`3oool0oooo000000060?ooo`030000003oool0oooo03h0oooo0P1fnOl0
803oool0ooUf0?oiMP3oool06Nco00GOo`0;i_l0oo<f0?no003o/`00oml5002Vo`00I_l009Wo0?o6
003o?`00ocT003Kco`00I_l000co001io`3o_`00ocl00?mI003ok1T009Wo002<o`00_ol0onH;0?o<
003od`40oo<f0P0;i_l01P1fnOl0oooo0?oiMP3oool0M_Wo0?ooo`80ooUf00D0oooo01W/o`05gol0
6Nco0?oI0P020?o6000807Kio`00/ol009Wo003<o`3o^@00oh`00?nC001fnOl2002<o`05002co`3o
aP00oj`00?no000flol00P00c?l0101fnOl0oo<f0?o/6@3olcH307Kio`80oooo00@0M_Wo03Kco`1f
nOl0oo<f0P3oiP/0200flol00;Wo002co`0Ik?l0oj`00?mc003oW`00=_?o0P00>Ol03`01dol0oeT0
0?l<003oL`0009?o000io`00FOl02nKo0?nC003oQP00olH000GOo`00a_l00<co07Kio`020?o/6@03
0?oc=P1fnOl0M_Wo0080M_Wo@P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?oo
o`0000002`3oool10=WIf@002@3oool01@000000oooo0?ooo`3oool0000000H0oooo00<000000?oo
o`3oool0?@3oool207Kio`80oooo00<0ooUf0?ooo`0flol00P0;i_l07P1fnOl0om<10?o<003ok1T0
0;oo002<o`00VOl0on`I0?mI003oAP00ok<0001/o`004ol004co0?ni003o>@00odH00?oC0@00Tol0
06co002/o`3ok1T0okT00?no003onGH02nKo00GOo`0flol0oooo0?oiMP<0oooo0P3onGH01@3oool0
6Nco00GOo`0;i_l0ooUf0080okT000l0oooo002Io`00Lol00;?o0?ni003oC000ofH00?ooo`00I_l0
04co002/o`3o^@00ogl00?n<003oiP/00P00^Ol01@01dol0onH;0?oO1@3oiP/0oooo0080=_?o00<0
M_Wo0?ooo`3oool00P1fnOl02`3onGH0on`I0?o/6@0flol00M?o002oo`0;i_l0okl00?nC003oW`00
on`I008005Wo00l00<co0?mc003o;000ofH001W/o`00<ol004Ko00GOo`3oV@00og<00?nO000;i_l0
0;?o002oo`0flol00P3oiP/0103olcH0M_Wo03Kco`1fnOm40?ooo`030000003oool0oooo0080oooo
00D000000?ooo`3oool0oooo0000000;0?ooo`40fMWI00090?ooo`050000003oool0oooo0?ooo`00
00001P3oool00`000000oooo0?ooo`120?ooo`0B07Kio`0Ik?l06Nco0?ooo`3oiP/0om<10?oO1@01
dol009Wo002Vo`00c?l0ohH00?m/003o_`0008co001<o`00Dol00<co0P3oAP00303o/`0009Wo001/
o`00Tol0oooo0?n/003o/`00on`I00GOo`02fOl02nKo0?ooo`80ooUf02@0oooo07Kio`3oool0ooUf
0?ooo`0flol02nKo01W/o`3onGH0ol`00?o6003oiP/00;?o0026o`00Wol0oml50?mI003oG`00oooo
001/o`00<ol007?o0?o6003oF@00ogT00?oc=P00c?l009Wo003<o`3oiP/0om<10?oI0P3oool0=_?o
01W/o`1fnOl20?ooo`80M_Wo00D0oooo0?oc=P3olcH0oooo00;Io`02003<o`0B0?oC0@3oV@00oj`0
01W/o`00Wol005Wo002Io`3oS000ocl00?mO0005gol005oo001Co`00Ool0oil00?n6003oV@00onH;
0P00/ol01@1fnOl0onH;0?oO1@3ok1T0oooo0080=_?o00<0M_Wo0?ooo`3oool0@P3oool00`000000
oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000002`3oool10=WIf@002@3oool200000003
0?ooo`000000000000H0oooo00<000000?ooo`3oool0@@3oool05P1fnOl0=_?o03Kco`1fnOl0on`I
0?oI0P3og`D02nKo002/o`00Y_l0on`I0?o<003oK000ohH0002Vo`00?ol005?o001io`3oS000od`0
0?nO0000Y_l2001oo`080036o`3o^@00okT00?oV2`05gol00]Wo00GOo`1fnOl20?oc=P030?ooo`1f
nOl0M_Wo0080oooo01`0M_Wo03Kco`0flol0=_?o0?oV2`3og`D0on`I007Co`00^Ol00;oo00GOo`3o
T`00oh`00?o<0000Wol005oo001co`0Ik?l0ogl00?mi003oool00;?o002Io`00Y_l0ooUf0?oC0@3o
f@80ooUf0P0Ik?l01P0flol0oooo0?ooo`3oool0M_Wo0?ooo`80ooUf00D0oooo00_Vo`02fOl01Moo
0?oc=P020?nc000F0?ooo`00S?l005oo001co`3oW`00ocT00?mC001fnOl004Ko000co`00K?l0ok<0
0?m/003oQP00M_Wo0036o`00[?l00<Ko0?oV2`3og`D0onH;0?oc=P80=_?o00<0M_Wo0?ooo`3oool0
@`3oool00`000000oooo0?ooo`020?ooo`80000000<0oooo0000000000002`3oool10=WIf@002P3o
ool3000000L0oooo00<000000?ooo`3oool0@@3oool307Kio`080?oiMP3ok1T0on`I0?oc=P05gol0
0;oo00;Io`3o^@020?n<000<0?o<0000Ool004co0036o`3oool0od`00?lc003oc00006Ko001Io`0I
k?l0M_Wo0P3oW`001@3oool00M?o007Co`05gol0ooUf0080oo<f0`1fnOl20?ooo`0>07Kio`0flol0
oooo0?oiMP3olcH0onH;0?ooo`05gol00<Ko0?ooo`3oiP/0om<10?ni000flol3002io`040?oC0@3o
^@00om<101W/o`800;oo00D01Moo0?oc=P3of@80oo<f03Kco`0201W/o`0307Kio`3oool0oooo00<0
oooo0P3onGH01@1fnOl02nKo00_Vo`0Ik?l0on`I0080om<101800<co002Co`00Wol00;?o0?n6003o
G`00ojH0001oo`00?ol004Ko002/o`3oO`00ofH00?oC0@00Wol009Wo002Oo`0;i_l20?oC0@050?oi
MP1fnOl06Nco01W/o`1fnOl0A@3oool00`000000oooo0?ooo`030?ooo`<00000303oool10=WIf@00
503oool00`000000oooo0?ooo`100?ooo`80M_Wo01h0=_?o07Kio`3olcH0onH;0?o/6@0Ik?l00<Ko
002oo`0Ik?l0ok<00?mo003o/`000:co001<o`00FOl06Nco0?mV003o>@00oiT0002co`00FOl007?o
03Kco`3oW`00oi<00?oC0@05gol00<Ko007Co`3oool20?o/6@040?ooo`1fnOl0M_Wo07Kio`80oooo
0P1fnOl0203oool0ooUf0?oc=P3onGH06Nco00GOo`0;i_l0ooUf0P3od`401@3olcH00]Wo002io`00
c?l0ooUf0080olH000P0onH;00GOo`00c?l01Moo0?oiMP3oiP/0on`I0?oiMP80=_?o00<0M_Wo0?oo
o`3oool00`3oool20?oiMP0R0?ooo`0Ik?l02nKo01W/o`3olcH0olH00?no003onGH00:co001io`00
[?l0ol`00?mC003oG`00ooUf001Oo`009_l009Wo0?nC003oD`00ogT00?oiMP00VOl009?o007Co`3o
iP/0ol`00?oI0P3oool02nKo01W/o`0flol0oooo0?oiMP80oooo0P1fnOm00?ooo`030000003oool0
oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0@03oool307Kio`0L0?oiMP3olcH0oo<f
03Kco`01dol00<co03Kco`3oaP00oiT00?ni003onGH006co001Vo`01dol0ogl00?li003oS0000:co
001Co`00I_l02nKo0?nO003oQP00olH000_Vo`00_ol00<co07Kio`80on`I00@0ooUf07Kio`0flol0
M_Wo1@3oool307Kio`<0oooo101fnOl20?oiMP030?ooo`1fnOl06Nco0080M_Wo00D0ooUf0?ooo`3o
ool0oooo03Kco`0207Kio`@0oooo0`1fnOl20?ooo`030?oiMP3oool0=_?o00806Nco00P0ooUf0?oI
0P3od`40ooUf002oo`00Wol00;?o0?o/6@80of`000l0ok<0001io`00>Ol008Ko0?o6003oD`00of`0
07Kio`00VOl007oo002oo`3oiP/0okl00?oC0@3onGH00P0;i_l01@0flol0oooo0?oiMP3onGH0oooo
0080M_Wo@@3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo03l0
oooo0`1fnOl02`3oool0oo<f0?oiMP1fnOl02nKo00;Io`0Ik?l0omT20?ni003o_`00ooUf008008Ko
00D00M?o0?nI003oF@00ohH001W/o`02001Oo`0<00;Io`3oYP00ogl00?n/0005gol00;?o002oo`0f
lol0onH;0?oO1@3olcH0M_Wo0P0flol00`1fnOl0oooo0?ooo`020?ooo`<0=_?o00P0ooUf0?o/6@3o
k1T0ooUf00;Io`01dol00]Wo0?oV2`80okl000D02nKo002co`00/ol00M?o0?oO1@020?o600040?oo
o`05gol00]Wo01W/o`<0oo<f00H0oooo07Kio`1fnOl0M_Wo0?ooo`3onGH20?ooo`0B07Kio`0flol0
=_?o0?ooo`3oiP/0omT20?o/6@00a_l00:co002oo`3ok1T0oil00?mo003of@8009?o001/o`00Q_l0
omT20P3oIP00303o^@000:Ko001oo`00/ol0ooUf0?ni003oaP00M_Wo00_Vo`05gol06Nco0?ooo`80
ooUf00@0oooo07Kio`1fnOl0M_Wo@@3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`03
0000003oool0oooo03h0oooo0`1fnOl06@3oool0ooUf0?oiMP3oool06Nco00GOo`0;i_l0onH;0?o6
003oc000M_Wo002io`00S?l00;oo0?nc003oN@00ohH00?o60000Ool007Wo0036o`3o/`00oi<00?nV
003olcH00P00/ol01@0flol0onH;0?oO1@3oiP/0oooo0080=_?o00<0M_Wo0?ooo`3oool00P3oool0
2`1fnOl0=_?o03Kco`1fnOl0on`I0?oV2`3onGH00M?o0036o`00c?l0oooo0080ojH000D0oml5002O
o`00S?l00;?o0?o/6@020?nI00080?oc=P00^Ol00;?o007Co`3olcH0omT20?oO1@3oool201W/o`06
07Kio`3oool0ooUf0?oiMP3oool0M_Wo0P0flol03`1fnOl0on`I0?oV2`3oiP/02nKo002oo`00^Ol0
ooUf0?nV003oS000oil0002co`00I_l008Ko0?oc=P020?m/00050?nc0000[?l009?o002Vo`3olcH0
0P3oaP00203oiP/02nKo00GOo`0Ik?l0M_Wo0?oc=P3onGH0oooo0`1fnOm20?ooo`030000003oool0
oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0?P3oool207Kio`80oooo00<0ooUf0?oo
o`0flol00P0Ik?l01@3oool0om<10?oC0@3onGH00;oo008009oo00h0omT20?mo003oS000oooo002o
o`00K?l009?o0?no003oS000oil007Kio`00c?l00;Wo003<o`<0onH;00@0ooUf03Kco`0flol0M_Wo
103oool04P1fnOl0=_?o03Kco`3onGH0oo<f0?oV2`3ok1T01Moo0036o`00c?l0on`I0?no003o[000
olH0002/o`00VOl009oo003<o`80oiT000D0onH;002io`00[?l00;oo07Kio`020?oC0@050?oiMP0;
i_l02nKo01W/o`3oool00P3onGH01@3oool0M_Wo07Kio`1fnOl0oooo00<0oo<f0180oooo007Co`01
dol06Nco0?no003oYP00ok<000GOo`00NOl007oo0?oV2`3oQP00ofH00?n<0002fOl007oo002Oo`3o
ool20?nc00080?oC0@0;i_l00]Wo00GOo`3oool0ooUf0?oc=P3oool407Kiod80oooo00<000000?oo
o`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`130?ooo`0407Kio`0flol0=_?o07Ki
o`80onH;00D0ooUf007Co`00_ol00<Ko07Kio`020?nI000C0?oc=P00VOl007?o001oo`3og`D0ohH0
0?nI003onGH00;?o002/o`00_ol0oo<f0?oI0P3og`D0oooo07Kio`0Ik?l0=_?o0?ooo`020?oiMP05
0?ooo`1fnOl0M_Wo03Kco`3oool00P3olcH04`3ok1T0=_?o00;Io`00a_l0onH;0?o6003o^@00ok<0
007Co`00Wol00:co0?oc=P3oaP00oj`00?o60000c?l00;oo0036o`0;i_l00P3of@801@3olcH06Nco
00_Vo`0flol0M_Wo0080ooUf00<0oooo07Kio`1fnOl00P1fnOl02`3onGH0oo<f0?oiMP0flol02nKo
00GOo`0;i_l0om<10?o<003od`40oml500800:Ko00l00]Wo0?nO003oS000okT00?oc=P00S?l009?o
0?ooo`3o^@00oj`00?ni000flol00M?o00;Io`1fnOl00P3olcH0103onGH0M_Wo07Kio`1fnOm40?oo
o`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0@`3oool03P1fnOl0
=_?o0?ooo`3onGH0on`I0?oV2`1fnOl00<co0036o`01dol0on`I0?no003o/`000]Wo0P00Y_l01@00
/ol0okT00?nV003o^@000M?o00800;?o00@00]Wo0?oO1@3od`40on`I0`0Ik?l00`1fnOl0ooUf0?oi
MP020?ooo`<0M_Wo00P0oooo0?oiMP3onGH0oooo01W/o`05gol0=_?o0?o/6@80ol`00140oo<f003<
o`00Y_l02nKo0?oI0P3oc000oj`00?oc=P01dol00;oo03Kco`3onGH0onH;0?oO1@3oool0=_?o01W/
o`050?ooo`<0M_Wo01H0oooo0?oiMP3onGH0oooo01W/o`0;i_l01Moo07Kio`3od`40olH00?ooo`02
fOl00:co002Oo`3onGH0ojH00?nI000Ik?l00<Ko002/o`00Wol0onH;0P3oaP00103og`D02nKo00;I
o`05gol30?oc=P040?oiMP1fnOl0M_Wo07Kiod@0oooo00<000000?ooo`3oool04P3oool10=WIf@00
503oool00`000000oooo0?ooo`120?ooo`0407Kio`0flol0M_Wo0?ooo`80on`I01X0ooUf00GOo`00
c?l00M?o0?oc=P3o[000ojH00?o/6@00/ol007oo002Vo`3og`D0oi<00?nI003oool00;Wo002Oo`00
c?l0oo<f0?o<003of@80ooUf01W/o`0;i_l0=_?o0?ooo`80ooUf00@0oooo07Kio`1fnOl0M_Wo0P3o
ool00`3onGH0oooo07Kio`0201W/o`0?07Kio`3ok1T0oml50?oc=P0;i_l00<co00;Io`3oool0om<1
0?o<003ok1T02nKo007Co`02fOl0oooo0080onH;00D0ooUf03Kco`0Ik?l0=_?o0?ooo`020?oiMP04
0?ooo`1fnOl0M_Wo07Kio`80oooo0P3onGH0201fnOl06Nco00_Vo`1fnOl0onH;0?o<003of@806Nco
0P00[?l03`0Ik?l0ok<00?n<003o^@000]Wo002<o`00VOl01Moo0?no003oYP00om<100_Vo`00c?l0
0M?o07Kio`020?o/6@040?oiMP1fnOl0M_Wo07KiodD0oooo00<000000?ooo`3oool04P3oool10=WI
f@00503oool00`000000oooo0?ooo`120?ooo`80M_Wo00l0oooo0?oc=P3ok1T0ooUf00_Vo`01dol0
0]Wo0?oiMP3oc000okl00?oV2`00a_l00:Ko002co`1fnOl00P3oW`00303oc0000<Ko002Vo`00a_l0
ooUf0?o<003od`40oooo01W/o`0;i_l06Nco0?ooo`80ooUf00@0oooo07Kio`1fnOl0M_Wo1P3oool0
101fnOl0oooo0?ooo`3onGH30?ooo`0303Kco`3oool0oooo0080oo<f0P3oool01@0flol0oooo0?oo
o`3oool0ooUf0080oooo00<0M_Wo0?ooo`3oool0103oool01`1fnOl0oooo0?ooo`3oool0ooUf0?oo
o`0flol00P0Ik?l02`3ok1T0omT20?oO1@0Ik?l00;oo002co`02fOl0olH00?nO003o^@006Nco0080
09oo00d01Moo0?o6003o/`00olH001W/o`00c?l00M?o03Kco`3ok1T0onH;0?oiMP3oool0=_?o0080
M_WoA@3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0440oooo
0P1fnOl01@3oool0ooUf0?oc=P3olcH0M_Wo00801Moo00l0oooo0?oI0P3oaP00om<1007Co`00[?l0
0;Wo0?oiMP3oaP00oj`00?oI0P01dol00;Wo0036o`3onGH00P3od`401@3ok1T06Nco00_Vo`0Ik?l0
M_Wo0080ooUf00@0oooo07Kio`1fnOl0M_Wo0P3oool207Kio`@0oooo0`0flol0103onGH0oo<f0?oc
=P3oool200_Vo`0501W/o`3oool0on`I0?o/6@3oool00`0Ik?l0103oool0ooUf0?oiMP3oool307Ki
o`P0oooo0P0flol04`1fnOl0ooUf0?oV2`3oiP/0ooUf007Co`00_ol00<co0?oV2`3o[000ok<000;I
o`00[?l009oo002io`3od`40ok<00?o<001fnOl00P00c?l01@0;i_l0on`I0?o/6@3ok1T0M_Wo0080
=_?o00<0M_Wo0?ooo`3oool0A03oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000
003oool0oooo0400oooo0P1fnOl20?ooo`80ooUf00P0M_Wo01W/o`0Ik?l0=_?o0?oV2`3od`40omT2
00_Vo`800;Wo00P0ooUf0?no003o[000ok<000_Vo`00/ol00;oo07Kio`80om<100D0onH;01W/o`0;
i_l06Nco0?ooo`020?oiMP040?ooo`1fnOl0M_Wo07Kio`80oooo0P1fnOl05P3oool0ooUf0?oiMP3o
nGH0=_?o00_Vo`0Ik?l0ooUf0?oO1@3of@80on`I00GOo`00c?l00M?o0?oc=P3og`D0om<10?oc=P05
gol00]Wo00GOo`1fnOl20?o/6@040?ooo`0flol0=_?o07Kio`P0oooo0`1fnOl06@3onGH0oo<f0?oc
=P3oool01Moo00;Io`0;i_l0oooo0?no003oaP00ooUf002oo`00[?l00]Wo0?o/6@3o/`00olH00?oo
o`00c?l00<Ko007Co`3onGH0onH;0?o/6@3oool00P0flol00`1fnOl0oooo0?ooo`150?ooo`030000
003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0@03oool207Kio`<0oooo00P0
M_Wo03Kco`0flol0=_?o0?o/6@3oiP/0on`I0?oiMP800M?o00l02nKo0?oC0@3o_`00ol`00?ooo`00
^Ol00;oo0?oiMP3of@80ol`00?oC0@1fnOl01Moo00_Vo`1fnOl00P3olcH0103onGH0M_Wo07Kio`1f
nOl30?ooo`0307Kio`3oool0oooo0080ooUf00/0M_Wo01W/o`0Ik?l0oooo0?oV2`3of@80oml503Kc
o`00a_l00M?o0?oiMP020?o600080?oI0P0;i_l00<co00;Io`3onGH0oo<f0?oV2`3ok1T303Kco`@0
oooo0P1fnOl20?ooo`<0M_Wo00/0oooo0?oc=P3olcH0oo<f01W/o`05gol02nKo0?oc=P3og`D0om<1
0?oV2`02003<o`09007Co`3oiP/0olH00?o6003olcH00M?o003<o`0;i_l0M_Wo0080onH;00@0oooo
03Kco`0flol0=_?oB03oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0
oooo04D0oooo00@0M_Wo03Kco`0flol0oooo0P3ok1T01@1fnOl06Nco00;Io`02fOl0ooUf0080om<1
00D0omT200GOo`01dol00M?o0?oc=P020?oO1@050?o/6@0flol02nKo01W/o`3onGH00P3olcH0103o
ool0M_Wo07Kio`1fnOl30?ooo`0307Kio`3oool0oooo0080oooo00D0M_Wo03Kco`0flol0ooUf0?oV
2`020?oc=P0400;Io`01dol02nKo0?oV2`80ol`000@0on`I00;Io`00c?l06Nco0P3oiP/01@3og`D0
ooUf01W/o`0Ik?l0M_Wo00<0ooUf1@3oool307Kio`080?ooo`3onGH0ooUf0?ooo`0Ik?l01Moo07Ki
o`3oiP/20?oI0P040?ooo`00c?l00<Ko07Kio`80om<100H0ol`007Kio`02fOl00]Wo0?oiMP3olcH2
0?o/6@0407Kio`0flol0=_?o07Kio`@0oooo00<0M_Wo0?ooo`3oool0@@3oool00`000000oooo0?oo
o`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo04@0oooo0P1fnOl01P0flol0M_Wo0?oiMP3o
k1T0oo<f07Kio`800]Wo00D0=_?o0?oO1@3oc000omT203Kco`020036o`0800_Vo`3og`D0ol`00?oV
2`0flol01Moo00_Vo`3oool20?oc=P040?oiMP1fnOl0M_Wo07Kio`P0oooo0180M_Wo03Kco`0flol0
oooo0?oc=P3oiP/0oo<f01W/o`01dol00]Wo0?ooo`3of@80om<10?o/6@05gol00<co00;Io`3oool2
0?oV2`050?oiMP0flol06Nco03Kco`3oool00P3onGH00`3oool0M_Wo07Kio`030?ooo`80M_Wo00l0
oooo0?oiMP3onGH0oooo03Kco`0;i_l06Nco0?o/6@3og`D0omT20?oiMP02fOl00<co00;Io`3olcH0
0P3oc0003@3onGH00]Wo003<o`05gol0ooUf0?oV2`3ok1T0oooo03Kco`0Ik?l0M_Wo0?ooo`3onGH0
0P3oool207Kiod<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?oo
o`140?ooo`<0M_Wo00/0ooUf0?oc=P3olcH0M_Wo00_Vo`05gol0=_?o0?o/6@3of@80oml507Kio`02
007Co`0;01W/o`3oiP/0omT20?oO1@1fnOl01Moo00_Vo`1fnOl0ooUf0?oc=P3onGH00`1fnOl80?oo
o`<0M_Wo00`0oooo0?oiMP3onGH0ooUf07Kio`0Ik?l02nKo03Kco`3ok1T0onH;0?oc=P0flol200_V
o`050?ooo`3olcH0on`I0?oc=P1fnOl00P0flol50?ooo`0407Kio`3oool0oooo0?ooo`80M_Wo0P3o
ool00`3onGH0oooo07Kio`0201W/o`080?ooo`3ok1T0onH;0?o/6@0;i_l00M?o00GOo`3onGH20?oC
0@050?o/6@05gol00M?o00GOo`3onGH00P3oiP/01P3onGH0=_?o01W/o`0flol0oooo0?oiMP80oooo
0P1fnOm40?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0@`3o
ool307Kio`050?ooo`3onGH0ooUf0?ooo`0Ik?l00P0;i_l02`3olcH0oml50?oV2`0flol00]Wo007C
o`05gol0on`I0?oI0P3oiP/0M_Wo00802nKo00D0=_?o0?oiMP3olcH0ooUf0?ooo`0307Kio`X0oooo
00<0M_Wo0?ooo`3oool00P3oool307Kio`030?ooo`3onGH0oooo0080M_Wo00@0=_?o07Kio`3oool0
ooUf0P3oool207Kio`X0oooo00<0M_Wo0?ooo`3oool00P3oool04P1fnOl0=_?o03Kco`3oool0oo<f
0?o/6@3olcH0=_?o00;Io`05gol0oooo0?oO1@3of@80oo<f01W/o`01dol01Moo0?ooo`80onH;00@0
oo<f03Kco`0flol0=_?o103oool307Kiod@0oooo00<000000?ooo`3oool04P3oool10=WIf@00503o
ool00`000000oooo0?ooo`120?ooo`<0M_Wo00l0oooo0?oiMP3onGH0oooo03Kco`0Ik?l0=_?o0?oo
o`3oiP/0on`I0?oiMP0;i_l00]Wo00GOo`3olcH00P3og`D0203oool02nKo00_Vo`0;i_l0ooUf0?oc
=P3onGH0oooo0`1fnOlB0?ooo`<0M_Wo103oool307Kio`@0oooo00<0M_Wo0?ooo`3oool02`3oool4
07Kio`040?oiMP3olcH0ooUf03Kco`802nKo00l0M_Wo0?oV2`3og`D0on`I01W/o`02fOl01Moo0?oo
o`3ok1T0onH;0?ooo`1fnOl06Nco03Kco`3oool00P3onGH20?ooo`80M_WoA@3oool00`000000oooo
0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0480oooo0P1fnOl40?ooo`0407Kio`0f
lol0M_Wo0?ooo`80oo<f00`0ooUf01W/o`0;i_l06Nco07Kio`3oiP/0on`I0?ooo`0Ik?l02nKo03Kc
o`3oool20?oc=P040?ooo`1fnOl0M_Wo07Kio``0oooo0`1fnOl20?oiMP80oooo0P0flol01@3oool0
oo<f0?oc=P3onGH0M_Wo0080=_?o00@0oooo0?oiMP3onGH0oooo0`1fnOl<0?ooo`<0M_Wo00@0oooo
0?oiMP3onGH0M_Wo0`0Ik?l0103olcH0on`I0?oc=P0flol200_Vo`0503Kco`3olcH0on`I0?oc=P1f
nOl00P0flol00`1fnOl0ooUf0?oiMP020?ooo`80M_WoAP3oool00`000000oooo0?ooo`0B0?ooo`40
fMWI000D0?ooo`030000003oool0oooo04P0oooo00@0M_Wo03Kco`1fnOl0ooUf0P3olcH01@3oool0
6Nco01W/o`3oool0ooUf0080on`I00@0M_Wo01W/o`0Ik?l0oooo0`3onGH407Kio`/0oooo0`1fnOl0
103oool0ooUf0?oiMP1fnOl303Kco`0;0?oiMP3olcH0oo<f0?oiMP0flol06Nco03Kco`3onGH0oo<f
0?oiMP3oool00`1fnOl40?ooo`80M_Wo1@3oool407Kio`80ooUf00T0oooo03Kco`0Ik?l06Nco07Ki
o`3olcH0on`I0?ooo`0Ik?l00P0;i_l0101fnOl0oo<f0?o/6@3oool303Kco`@0oooo0`1fnOm60?oo
o`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0A`3oool307Kio`80
ooUf00<0oo<f0?ooo`0flol00P0Ik?l02`3oool0on`I0?o/6@3oool06Nco00_Vo`0flol0oooo0?oc
=P3onGH0oooo00<0M_Wo1@3oool00`1fnOl0oooo0?ooo`030?ooo`<0M_Wo00`0oooo0?oiMP3onGH0
oooo07Kio`0Ik?l0=_?o07Kio`3olcH0on`I0?oiMP0flol201W/o`070?ooo`3olcH0oo<f0?oiMP1f
nOl0=_?o07Kio`050?ooo`0307Kio`3oool0oooo00@0oooo0`1fnOl0103oool0ooUf0?ooo`1fnOl2
03Kco`0507Kio`3olcH0on`I0?oc=P1fnOl00P0;i_l01@1fnOl0oo<f0?o/6@3onGH0M_Wo0080=_?o
00@0M_Wo0?oiMP3onGH0oooo0`1fnOm70?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo
00<000000?ooo`3oool0AP3oool307Kio`0?0?ooo`3onGH0ooUf0?oiMP0flol06Nco03Kco`3oool0
oo<f0?o/6@3onGH0=_?o01W/o`0flol0oooo0080ooUf00@0oooo07Kio`1fnOl0M_Wo303oool207Ki
o`80oooo00<0ooUf0?ooo`1fnOl00P0flol03P1fnOl0ooUf0?oc=P3onGH0M_Wo01W/o`0flol0M_Wo
0?oiMP3olcH0ooUf07Kio`0flol0M_Wo1@3oool207Kio`D0oooo0P1fnOl50?ooo`0407Kio`0flol0
M_Wo0?oiMP80oo<f00P0M_Wo01W/o`0Ik?l0M_Wo0?oiMP3olcH0ooUf07Kio`80=_?o00<0M_Wo0?oo
o`3onGH00P3oool207KiodP0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000
oooo0?ooo`160?ooo`80M_Wo0P3oool00`3onGH0oooo07Kio`0203Kco`080?ooo`3onGH0oo<f0?oc
=P1fnOl06Nco03Kco`3oool30?oiMP<0M_Wo3@3oool00`1fnOl0oooo0?ooo`020?ooo`@0M_Wo00@0
oooo0?oiMP3oool0M_Wo0P0flol0101fnOl0ooUf0?oiMP3onGH307Kio`D0oooo00<0M_Wo0?ooo`3o
ool02`3oool307Kio`0;0?ooo`3onGH0ooUf0?ooo`0flol06Nco07Kio`3onGH0oo<f0?oiMP1fnOl0
0P0flol00`1fnOl0oooo0?oiMP020?ooo`<0M_WoB03oool00`000000oooo0?ooo`0B0?ooo`40fMWI
000D0?ooo`030000003oool0oooo04D0oooo0P1fnOl40?ooo`<0M_Wo00D0oooo0?oiMP3onGH0ooUf
07Kio`0203Kco`030?ooo`3onGH0ooUf0080oooo0P1fnOlC0?ooo`80M_Wo103oool407Kio`@0oooo
0`1fnOlB0?ooo`<0M_Wo00@0oooo0?oiMP3onGH0oooo0P0flol01@1fnOl0oooo0?oiMP3onGH0oooo
0080=_?o00<0M_Wo0?ooo`3onGH00P3oool207KiodX0oooo00<000000?ooo`3oool04P3oool10=WI
f@00503oool00`000000oooo0?ooo`150?ooo`80M_Wo0`3oool407Kio`030?ooo`3onGH0oooo00@0
M_Wo0P3onGH0103oool0M_Wo07Kio`1fnOl50?ooo`0307Kio`3oool0oooo01@0oooo0P1fnOlI0?oo
o`80M_Wo103oool0101fnOl0=_?o07Kio`3oool30?oiMP<0M_Wo103oool207Kiod/0oooo00<00000
0?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`1:0?ooo`<0M_Wo0P3oool00`3o
nGH0oooo07Kio`0207Kio`040?ooo`3onGH0ooUf0?ooo`<0M_Wo5P3oool307Kio`<0oooo101fnOlF
0?ooo`<0M_Wo103oool307Kio`040?ooo`3onGH0oooo0?ooo`<0M_Wo103oool207Kiod/0oooo00<0
00000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`1:0?ooo`<0M_Wo00<0oooo
0?oiMP3oool0101fnOl00`3oool0ooUf0?ooo`0407Kio`@0oooo00<0M_Wo0?ooo`3oool03`3oool2
07Kio`@0oooo0`1fnOl40?ooo`<0M_Wo403oool207Kio`@0oooo0`1fnOl0103oool0ooUf0?oiMP3o
ool307Kio`@0oooo0`1fnOm;0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<00000
0?ooo`3oool0B@3oool307Kio`@0oooo0`1fnOl40?ooo`<0M_Wo5@3oool307Kio`@0oooo0`1fnOl4
0?ooo`<0M_Wo5P3oool307Kio`@0oooo0`1fnOl40?ooo`<0M_WoC03oool00`000000oooo0?ooo`0B
0?ooo`40fMWI000D0?ooo`030000003oool0oooo04T0oooo00<0M_Wo0?ooo`3oool00`3oool307Ki
o`@0oooo0`1fnOlF0?ooo`80M_Wo1@3oool307Kio`@0oooo0P1fnOlG0?ooo`80M_Wo103oool307Ki
o`@0oooo0`1fnOm=0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3o
ool0CP3oool307Kio`@0oooo0`1fnOlM0?ooo`80M_Wo1@3oool207KioaL0oooo0`1fnOl30?ooo`<0
M_Wo1@3oool207Kiodh0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo
0?ooo`1>0?ooo`80M_Wo103oool307Kioah0oooo00<0M_Wo0?ooo`3oool0103oool00`1fnOl0oooo
0?ooo`0F0?ooo`0307Kio`3oool0oooo00<0oooo0P1fnOl50?ooo`80M_WoC`3oool00`000000oooo
0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo04d0oooo0P1fnOl50?ooo`80M_WoA03o
ool207Kio`D0oooo0P1fnOm@0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<00000
0?ooo`3oool0E03oool00`1fnOl0oooo0?ooo`2L0?ooo`030000003oool0oooo0180oooo0@3IfMT0
01@0oooo00<000000?ooo`3oool0D`3oool00`1fnOl0oooo0?ooo`140?ooo`0307Kio`3oool0oooo
05H0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`3c0?ooo`03
0000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0l`3oool00`000000oooo
0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0?<0oooo00<000000?ooo`3oool04P3o
ool10=WIf@00503oool00`000000oooo0?ooo`3c0?ooo`030000003oool0oooo0180oooo0@3IfMT0
01@0oooo00<000000?ooo`3oool0^@3oool2000000D0oooo0P0000090?ooo`8000009P3oool00`00
0000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0;P0oooo00@000000?ooo`3o
ool000000`3oool010000000oooo0?ooo`0000070?ooo`040000003oool0oooo000002D0oooo00<0
00000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`2b0?ooo`<000000`3oool0
10000000oooo0?ooo`0000030?ooo`040000003oool0oooo000000L0oooo00@000000?ooo`3oool0
00009@3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0;T0oooo
0P0000040?ooo`040000003oool0oooo000000P0oooo0P00000V0?ooo`030000003oool0oooo0180
oooo0@3IfMT001@0oooo00<000000?ooo`3oool0^03oool010000000oooo0?ooo`0000030?ooo`04
0000003oool0oooo000000L0oooo00@000000?ooo`3oool000009@3oool00`000000oooo0?ooo`0B
0?ooo`40fMWI000D0?ooo`030000003oool0oooo0;P0oooo00@000000?ooo`3oool000000`3oool0
10000000oooo0?ooo`0000070?ooo`040000003oool0oooo000002D0oooo00<000000?ooo`3oool0
4P3oool10=WIf@00503oool00`000000oooo0?ooo`0`0?oooaT0M_WoL03oool2000000D0oooo0P00
00090?ooo`8000009P3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0
oooo02h0oooo301fnOl503Kco`d0M_WoH@3oool[000001/0oooo00<000000?ooo`3oool04P3oool1
0=WIf@00503oool00`000000oooo0?ooo`0E0?ooo`H0ooUf4P3oool907Kio`h0=_?o2@1fnOlA0?oo
o`L0ooUfB03oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo01T0oooo00<000000?oo
o`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`0B0?ooo`/0ooUf3`3oool907Kioa00
=_?o201fnOl?0?ooo``0ooUfK`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0180
oooo0@3IfMT001@0oooo00<000000?ooo`3oool04@3oool>0?oiMPh0oooo2@1fnOl>03Kco`T0M_Wo
3P3oool>0?oiMVh0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0B0?ooo`40fMWI
000D0?ooo`030000003oool0oooo0100oooo403onGH>0?ooo`T0M_Wo2`0flol907Kio`l0oooo403o
nGI]0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool0
0`000000oooo0?ooo`0?0?oooa80ooUf4`3ooolC07Kioa40oooo4`3onGI/0?ooo`030000003oool0
oooo01T0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`0>0?oo
o`P0ooUf0`3olcH80?oiMQH0oooo303onGHE0?ooo`P0ooUf0`3olcH80?oiMS/0oooo0P00000_0?oo
o`030000003oool0oooo00L0oooo0P00000@0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0
oooo00<000000?ooo`3oool03P3oool60?oiMPP0oo<f1P3onGH?0?ooo`@0ooUf3`3olcH50?oiMPl0
oooo1@3onGH90?oc=PH0ooUf>@3oool010000000oooo0?ooo`00000^0?ooo`030000003oool0oooo
00H0oooo00@000000?ooo`3oool000003`3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?oo
o`030000003oool0oooo00d0oooo1@3onGH<0?oc=PD0ooUf303oool30?oiMP<0oo<f0`3ok1T:0?oV
2`80on`I0`3olcH40?oiMP`0oooo1@3onGH<0?oc=PD0ooUf<P3oool3000000<0oooo00@000000?oo
o`3oool00000;P3oool00`000000oooo0?ooo`03000000<0oooo00@000000?ooo`3oool000003`3o
ool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo00`0oooo1@3onGH>
0?oc=PD0ooUf2P3oool40?oiMP80oo<f0P3ok1T30?oV2`P0oml50P3oiP/20?o/6@<0oo<f0`3onGH;
0?ooo`D0ooUf3P3olcH40?oiMSP0oooo00@000000?ooo`3oool00000;P3oool00`000000oooo0?oo
o`060?ooo`040000003oool0oooo000000l0oooo00<000000?ooo`3oool04P3oool10=WIf@00503o
ool00`000000oooo0?ooo`0<0?ooo`@0ooUf1@3olcH60?o/6@@0oo<f1@3onGH;0?ooo`<0ooUf0`3o
lcH20?o/6@<0onH;1@3og`D30?oV2`80on`I0`3olcH40?oiMP/0oooo103onGH40?oc=PH0on`I1P3o
lcH40?oiMSL0oooo0`00000_0?ooo`030000003oool0oooo00H0oooo0`00000@0?ooo`030000003o
ool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool02`3oool40?oiMP@0oo<f2P3ok1T4
0?oc=P@0ooUf2`3oool40?oiMP80oo<f103ok1T70?oV2`80on`I0P3olcH50?oiMP/0oooo1@3onGH3
0?oc=PX0on`I0`3olcH40?oiMSP0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`00
0000oooo0?ooo`0;0?ooo`@0ooUf0`3olcH<0?o/6@<0oo<f103onGH?0?ooo`H0ooUf1`3olcH60?oi
MPh0oooo103onGH30?oc=P`0on`I0`3olcH40?oiMSP0oooo0P0000040?ooo`<00000403oool30000
01@0oooo00<000000?ooo`3oool0203oool2000000l0oooo00<000000?ooo`3oool04P3oool10=WI
f@00503oool00`000000oooo0?ooo`0;0?ooo`<0ooUf103olcH30?o/6@D0onH;103ok1T30?oc=P@0
ooUf2P3ooolK07Kio`/0oooo0`3onGH40?oc=P<0on`I1@3oiP/40?o/6@<0oo<f103onGHo0?ooo`03
0000003oool0oooo00h0oooo00<000000?ooo`0000005@3oool00`000000oooo0?ooo`0I0?ooo`03
0000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool02P3oool40?oiMP<0oo<f
0`3ok1T80?oV2`<0on`I0`3olcH30?oiMPH0oooo1@1fnOl403Kco`806Nco100;i_l700GOo`<02nKo
0`0Ik?l203Kco`H0M_Wo1@3oool40?oiMP<0oo<f0`3ok1T80?oV2`<0on`I0`3olcH30?oiMSl0oooo
00<000000?ooo`3oool03@3oool010000000oooo0?ooo`00000E0?ooo`030000003oool0oooo01T0
oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`0:0?ooo`@0ooUf
0P3olcH30?o/6@X0onH;0P3ok1T30?oc=P<0ooUf1@3oool407Kio`80=_?o0P0Ik?l200_Vo`0400GO
o`02fOl00]Wo007Co`T00<co0P01dol00`02fOl01Moo00_Vo`0200_Vo`0301W/o`0flol0=_?o00@0
M_Wo1@3oool30?oiMP<0oo<f0`3ok1T:0?oV2`<0on`I0P3olcH40?oiMSd0oooo00@000000?ooo`00
000000000`3oool2000000030?ooo`000000oooo008000000`3oool010000000oooo0?ooo`3oool2
000000<0oooo0`0000020?ooo`040000003oool0oooo0?ooo`8000000`3oool3000001/0oooo00<0
00000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`0:0?ooo`<0ooUf0P3olcH3
0?o/6@<0onH;1P3og`D30?oV2`80on`I0`3olcH30?oiMP@0oooo0`1fnOl303Kco`0701W/o`0;i_l0
2nKo00GOo`02fOl00M?o003<o`030036o`L00;oo00@00<Ko003<o`01dol00]Wo0P05gol00`0;i_l0
6Nco01W/o`0203Kco`@0M_Wo103oool30?oiMP<0oo<f0P3ok1T20?oV2`H0oml5103oiP/20?o/6@<0
oo<f0`3onGHo0?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000
oooo0?ooo`020?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`030000003oool0
00000080oooo00D000000?ooo`3oool0oooo000000050?ooo`8000006`3oool00`000000oooo0?oo
o`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo00T0oooo103onGH20?oc=P80on`I0P3oiP/9
0?oO1@80onH;0`3ok1T20?oc=P<0ooUf103oool407Kio`80=_?o0P0Ik?l01P0;i_l01Moo00GOo`02
fOl00M?o003<o`800<Ko00@00;oo002io`00^Ol00;Wo0`00_ol01000a_l00<co007Co`02fOl200GO
o`0300_Vo`0Ik?l0=_?o0080=_?o0`1fnOl50?ooo`<0ooUf0P3olcH20?o/6@80onH;2@3og`D30?oV
2`040?o/6@3olcH0oo<f0?oc=P<0ooUf?@3oool00`000000oooo000000020?ooo`050000003oool0
00000?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000
0P3oool00`000000oooo000000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3o
ool00`3oool2000001/0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo
0?ooo`090?ooo`<0ooUf0`3olcH20?o/6@80onH;103og`D20?oI0P@0oml50P3oiP/20?o/6@80oo<f
0`3onGH50?ooo`@0M_Wo0P0flol00`0Ik?l02nKo00_Vo`0200GOo`0400;Io`01dol00<co003<o`80
0<Ko00<00;oo0036o`00a_l00`00c?l00`01dol00]Wo00GOo`0200_Vo`806Nco0P0flol407Kio`D0
oooo0`3onGH20?oc=P80on`I0P3oiP/40?oO1@80omT2103og`D20?oV2`80on`I0P3olcH40?oiMS`0
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool000000080oooo00D00000
0?ooo`3oool0oooo000000040?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3o
ool200000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0I0?ooo`030000003o
ool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool02@3oool30?oiMP<0oo<f0P3ok1T2
0?oV2`80oml51P3of@820?oO1@80onH;0P3ok1T20?oc=P<0ooUf1@3oool507Kio`<0=_?o0P0Ik?l2
00_Vo`<01Moo1@02fOl300GOo`802nKo0`0Ik?l303Kco`@0M_Wo1@3oool30?oiMP<0oo<f0P3ok1T2
0?oV2`80oml51@3of@830?oO1@80onH;0P3ok1T20?oc=P@0ooUf?03oool00`000000oooo00000002
00000080oooo0P0000000`3oool000000?ooo`0400000080oooo00<000000?ooo`3oool00`000003
0?ooo`<000000P3oool00`000000oooo00000004000000<0oooo00<000000?ooo`3oool06@3oool0
0`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo00T0oooo0`3onGH20?oc
=P80on`I0P3oiP/20?oO1@P0omT20P3og`D20?oV2`040?o/6@3olcH0oo<f0?oc=P<0ooUf2@3ooolI
07Kio`X0oooo0`3onGH20?oc=P80on`I0P3oiP/20?oO1@P0omT20P3og`D20?oV2`040?o/6@3olcH0
oo<f0?oc=P<0ooUf=@3oool2000001<0oooo00D000000?ooo`3oool0oooo0000000B0?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool0oooo0P00000F0?ooo`030000003oool0oooo0180
oooo0@3IfMT001@0oooo00<000000?ooo`3oool02@3oool30?oiMP80oo<f0P3ok1T20?oV2`030?oO
1@3of@80omT200L0omT20P3og`D20?oV2`80on`I0P3olcH40?oiMPH0oooo103onGH30?oc=P80on`I
2`3oiP/30?o/6@<0oo<f0`3onGH70?ooo`@0ooUf0P3olcH20?o/6@030?oV2`3og`D0oml500T0omT2
0P3og`D20?oV2`80on`I0P3olcH30?oiMS@0oooo00@000000?ooo`3oool000005`3oool2000001D0
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo
0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0203oool40?oiMP80oo<f00<0on`I0?oV2`3o
iP/00P3og`D20?oI0PD0om<10`3of@820?oO1@030?oV2`3ok1T0on`I0080oo<f1@3onGH00`3oool0
ooUf0?oiMP030?oiMP030?oc=P3ok1T0onH;0080onH;00@0oml50?oC0@3oc000ol`00P3oaP070?no
00040?o6003oc000om<10?oI0P80oml500@0onH;0?o/6@3olcH0oo<f103onGH20?ooo`@0ooUf0`3o
lcH00`3ok1T0onH;0?oV2`020?oO1@<0omT2103od`430?oI0P030?oO1@3oiP/0onH;0080on`I0P3o
lcH30?oiMS@0oooo00@000000?ooo`3oool00000;P3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo01<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo
0?ooo`080?ooo`<0ooUf0`3olcH00`3ok1T0onH;0?oV2`020?oO1@80omT21P3od`420?oI0P80oml5
00<0onH;0?o/6@3ok1T00P3olcH:0?oiMP0:0?oc=P3ok1T0on`I0?oV2`3og`D0omT20?oC0@3oaP00
okl00?ni0080ok<01`3o[0002@3o/`00okT00?o6003oc000om<10?oI0P3og`D0onH;0?o/6@020?oc
=PT0ooUf0P3olcH20?o/6@80onH;0P3og`D20?oI0PH0om<10P3of@820?oO1@030?oV2`3ok1T0on`I
0080oo<f0`3onGHd0?ooo`040000003oool0oooo000002h0oooo00@000000?ooo`3oool000000P3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<00000
0?ooo`3oool0203oool30?oiMP80oo<f0P3ok1T20?oV2`040?oO1@3of@80omT20?oI0PL0om<100<0
omT20?oO1@3og`D00P3oiP/0103ok1T0oo<f0?oc=P3olcH90?oiMP80oo<f00P0on`I0?oV2`3og`D0
omT20?oC0@3oc000olH00?ni0080ok<000<0oj`00?nV003oW`000P3oYP020?n/00090?nc003o^@00
olH00?o<003od`40omT20?oO1@3oiP/0on`I0080oo<f2@3onGH20?oc=P80on`I0P3oiP/20?oO1@03
0?oI0P3od`40om<100H0om<100<0omT20?oO1@3og`D00P3oiP/00`3ok1T0oo<f0?oc=P030?oiMS@0
oooo00@000000?ooo`3oool00000;P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo01<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`080?oo
o`<0ooUf0P3olcH20?o/6@80onH;00<0oml50?oI0P3of@80203od`400`3of@80oml50?oO1@020?oV
2`040?o/6@3olcH0oo<f0?oc=PT0ooUf0P3olcH02P3ok1T0onH;0?oO1@3of@80om<10?o<003oaP00
okl00?ni003o/`050?n/0080ok<000H0okT00?no003oaP00ol`00?oC0@3og`D20?oV2`030?o/6@3o
lcH0oo<f00T0ooUf0P3olcH20?o/6@80onH;00<0oml50?oI0P3of@80203od`400`3of@80oml50?oO
1@020?oV2`030?o/6@3olcH0oo<f00<0ooUf=03oool010000000oooo0?ooo`00000^0?ooo`040000
003oool0oooo00000080oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0B0?ooo`40
fMWI000:0?ooo`<000001`3oool00`000000oooo0?ooo`080?ooo`<0ooUf0P3olcH20?o/6@030?oV
2`3og`D0oml50080omT20`3od`420?o<00<0om<10P3of@80103og`D0onH;0?oV2`3ok1T30?oc=P<0
ooUf103oool40?oiMP030?oc=P3ok1T0on`I0080onH;00<0oml50?oI0P3od`400P3oc0050?o60080
ol`00P3od`401@3of@80oml50?oV2`3oiP/0on`I0080oo<f103onGH30?ooo`@0ooUf0P3olcH20?o/
6@030?oV2`3og`D0oml50080omT20`3od`420?o<00<0om<10P3of@80103og`D0onH;0?oV2`3ok1T2
0?oc=P<0ooUf=@3oool2000002l0oooo00@000000?ooo`3oool0oooo0P00000F0?ooo`030000003o
ool0oooo00<0oooo0`00000<0?ooo`40fMWI00090?ooo`8000000P3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00P0oooo0`3onGH20?oc=P80on`I00<0onH;0?oO1@3og`D00P3of@82
0?oC0@<0ol`00`3od`420?oI0P040?oO1@3oiP/0onH;0?o/6@<0oo<f0`3onGH80?ooo`@0ooUf0`3o
lcH40?o/6@<0onH;1@3ok1T20?oc=P@0ooUf2@3oool30?oiMP80oo<f0P3ok1T00`3oiP/0oml50?oO
1@020?oI0P80om<10`3oc0030?oC0@80omT200@0oml50?oV2`3oiP/0on`I0P3olcH40?oiMVD0oooo
00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`020?ooo`8000000P3oool00`000000oooo
0?ooo`090?ooo`40fMWI00090?ooo`050000003oool0oooo0?ooo`0000001P3oool2000000T0oooo
0`3onGH20?oc=P80on`I00<0onH;0?oO1@3og`D00P3of@820?oC0@<0ol`00`3od`420?oI0P040?oO
1@3oiP/0onH;0?o/6@80oo<f0`3onGH50?ooo`H0M_Wo1@0flol<01W/o`@0=_?o1P1fnOl50?ooo`<0
ooUf0P3olcH20?o/6@030?oV2`3og`D0oml50080omT20P3od`430?o<00<0om<10P3of@80103og`D0
onH;0?oV2`3ok1T20?oc=P@0ooUfI@3oool00`000000oooo0?ooo`0H0?ooo`800000103oool01@00
0000oooo0?ooo`3oool0000000/0oooo0@3IfMT000T0oooo00D000000?ooo`3oool0oooo00000006
0?ooo`030000003oool0oooo00P0oooo0`3onGH20?oc=P80on`I00<0onH;0?oO1@3og`D00P3of@83
0?oC0@80ol`00`3od`420?oI0P040?oO1@3oiP/0onH;0?o/6@80oo<f0`3onGH30?ooo`@0M_Wo0P0f
lol01@0Ik?l02nKo00GOo`05gol00]Wo00800M?o00<00<co0036o`00a_l01@00_ol30036o`03003<
o`01dol00]Wo00801Moo00<02nKo01W/o`0Ik?l00`0flol207Kio`@0oooo0P3onGH20?oc=P80on`I
00<0onH;0?oO1@3og`D00P3of@820?oC0@<0ol`00`3od`420?oI0P040?oO1@3oiP/0onH;0?o/6@80
oo<f0`3onGIV0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool00P3oool01@000000
oooo0?ooo`3oool0000000/0oooo0@3IfMT000T0oooo00<000000?ooo`3oool00P0000060?ooo`03
0000003oool0oooo00P0oooo0`3onGH20?oc=P80on`I0P3oiP/00`3og`D0omT20?oI0P030?oC0@03
0?o<003od`40om<10080om<10P3of@80103og`D0onH;0?oV2`3ok1T20?oc=P<0ooUf0`3oool207Ki
o`80=_?o0P0Ik?l0200;i_l01Moo00;Io`01dol00<co0036o`00_ol00;?o0`00[?l4002Vo`800:co
00@00;?o002io`00_ol00<co0P01dol01002fOl01Moo00_Vo`0Ik?l203Kco`<0M_Wo0`3oool20?oi
MP80oo<f0P3ok1T20?oV2`030?oO1@3of@80omT200<0om<100<0ol`00?oC0@3od`400P3od`420?oI
0P040?oO1@3oiP/0onH;0?o/6@80oo<f0`3onGI50?ooo`<0oo<;7P3oool00`000000oooo0?ooo`0I
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P00000;0?ooo`40fMWI00090?oo
o`@000001`3oool00`000000oooo0?ooo`080?ooo`<0ooUf0P3olcH20?o/6@80onH;00<0oml50?oI
0P3of@80203od`420?oI0P040?oO1@3oiP/0onH;0?o/6@80oo<f0`3onGH30?ooo`80M_Wo0`0flol0
2@0Ik?l02nKo00GOo`02fOl00M?o003<o`00a_l00;oo002co`02002/o`05002Vo`00Wol009Wo002I
o`00Wol00P00Y_l02P00[?l00;?o002io`00a_l00<co007Co`02fOl01Moo00_Vo`0Ik?l203Kco`<0
M_Wo0`3oool20?oiMP80oo<f0P3ok1T20?oV2`030?oO1@3of@80omT200P0om<10P3of@80103og`D0
onH;0?oV2`3ok1T20?oc=P<0ooUfA03oool01@3ol`/0onH00?oI003of@00oo<;01d0oooo00<00000
0?ooo`3oool06@3oool00`000000oooo0?ooo`020?ooo`@00000303oool10=WIf@002P3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo0`3onGH20?oc=P80on`I0P3oiP/00`3o
g`D0omT20?oI0P070?oC0@80omT20P3og`D20?oV2`030?o/6@3olcH0oo<f00<0ooUf0`3oool307Ki
o`80=_?o00T06Nco00_Vo`05gol00]Wo007Co`00c?l00<Ko002oo`00^Ol00P00[?l01000Y_l009oo
002Oo`00Wol2002Vo`08002/o`00/ol00;Wo002oo`00a_l00<co00;Io`05gol200_Vo`0301W/o`0f
lol0=_?o00<0M_Wo0`3oool20?oiMP80oo<f0P3ok1T20?oV2`030?oO1@3of@80omT200L0om<10P3o
f@820?oO1@80onH;00<0on`I0?oc=P3olcH00`3onGI40?ooo`060?oV003oc000ok<00?nc003oiP00
oo<;703oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0303oool10=WIf@002P3oool2000000P0oooo00<000000?ooo`3oool0203oool30?oiMP<0oo<f
00<0on`I0?oV2`3oiP/00P3og`D20?oI0PH0om<10P3of@820?oO1@030?oV2`3ok1T0on`I0080oo<f
0`3onGH40?ooo`<0M_Wo0P0flol0200Ik?l02nKo00GOo`05gol00]Wo007Co`00c?l00<Ko0P00_ol2
002io`800;?o00L00;Wo002oo`00_ol00<Ko003<o`01dol00]Wo00801Moo00<02nKo01W/o`0Ik?l0
0P0flol307Kio`@0oooo0`3onGH20?oc=P030?o/6@3oiP/0onH;0080oml50P3of@860?oC0@80omT2
0P3og`D00`3oiP/0on`I0?o/6@020?oc=P<0ooUf@`3oool01`3ol`/0omT00?nV003oL`00ogl00?o<
003ol`/0703oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo00<0oooo0P00000=0?oo
o`40fMWI000<0?ooo`8000001P3oool00`000000oooo0?ooo`090?ooo`<0ooUf0P3olcH20?o/6@03
0?oV2`3og`D0oml50080omT21@3od`430?oI0P030?oO1@3oiP/0onH;0080on`I0P3olcH30?oiMPD0
oooo101fnOl203Kco`<06Nco0P0;i_l00`05gol00]Wo00;Io`0200;Io`03007Co`02fOl00]Wo0080
0]Wo0P05gol200_Vo`806Nco0`0flol407Kio`D0oooo0`3onGH20?oc=P80on`I00<0onH;0?oO1@3o
g`D00P3of@850?oC0@<0omT200<0oml50?oV2`3oiP/00P3ok1T20?oc=P<0ooUf=@3oool2000000`0
oooo00L0oo<;0?o<003oL`00oc<00?m<003o/`00oo<;01`0oooo00@000000?ooo`3oool0oooo0P00
000F0?ooo`030000003oool0oooo00D0oooo0P00000;0?ooo`40fMWI000D0?ooo`030000003oool0
oooo00T0oooo0`3onGH20?oc=P80on`I0P3oiP/00`3og`D0omT20?oI0P020?oI0P80om<10`3of@82
0?oO1@80onH;0P3ok1T20?oc=P<0ooUf;03oool30?oiMP80oo<f0P3ok1T20?oV2`80oml50`3of@82
0?oC0@<0omT20P3og`D20?oV2`80on`I0P3olcH30?oiMS@0oooo00@000000?ooo`3oool000002`3o
ool01`3ol`/0okl00?mI003o0000obH00?nV003oiP00703oool010000000oooo0?ooo`0000020?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000
oooo0?ooo`090?ooo`<0ooUf0P3olcH20?o/6@80onH;0P3og`D80?oI0P030?oO1@3oiP/0onH;0080
on`I0`3olcH30?oiMPL0oooo0`3onGH30?oc=P80on`I00<0onH;0?oO1@3og`D02@3og`D20?oV2`<0
on`I0P3olcH40?oiMPD0oooo103onGH20?oc=P80on`I0P3oiP/20?oO1@P0omT200<0oml50?oV2`3o
iP/00`3ok1T20?oc=P<0ooUf=03oool010000000oooo0?ooo`00000;0?ooo`070?oc2`3o_`00oeT0
0?l<003o<`00ojH00?oV000L0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0
4`3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo00T0oooo0`3o
nGH30?oc=P80on`I00@0onH;0?oO1@3og`D0oml51P3of@820?oO1@80onH;0P3ok1T30?oc=P<0ooUf
103oool40?oiMP80oo<f00H0on`I0?oV2`3oiP/0oml50?oI0P3od`430?o<00L0olH000<0ol`00?oC
0@3of@800`3og`D0103oiP/0on`I0?oc=P3olcH40?oiMP<0oooo103onGH20?oc=P<0on`I0P3oiP/2
0?oO1@D0omT20`3og`D20?oV2`80on`I0`3olcH30?oiMS@0oooo00@000000?ooo`3oool000002`3o
ool01`3ol`/0omT00?n<003o<`00oeT00?no003ol`/0703oool010000000oooo0?ooo`0000020?oo
o`030000003oool0oooo01<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000
oooo0?ooo`090?ooo`<0ooUf0`3olcH20?o/6@80onH;0`3og`D40?oI0P<0oml50P3oiP/20?o/6@80
oo<f103onGH40?ooo`<0ooUf0P3olcH20?o/6@060?oV2`3og`D0omT20?oC0@3oc000olH00P3o_`06
0?ni00030?no003oaP00ol`00080om<100@0omT20?oO1@3oiP/0on`I0P3olcH40?oiMP<0oooo103o
nGH30?oc=P80on`I0P3oiP/30?oO1@@0omT20`3og`D20?oV2`80on`I0P3olcH40?oiMS@0oooo0`00
000=0?ooo`060?oV003oYP00og<00?n<003oc000oo<;703oool00`000000oooo0?ooo`03000001H0
oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`090?ooo`@0ooUf
0P3olcH20?o/6@80onH;2@3og`D20?oV2`<0on`I0P3olcH40?oiMP@0oooo103onGH20?oc=P030?o/
6@3oiP/0oml50080omT200<0om<10?o<003oaP000P3o_`030?ni00<0okl000D0olH00?o<003od`40
omT20?oO1@020?oV2`030?o/6@3olcH0oo<f00<0ooUf1@3oool40?oiMP80oo<f0P3ok1T30?oV2`P0
oml50P3oiP/30?o/6@80oo<f0`3onGHf0?ooo`030000003oool0oooo00`0oooo00H0oo<;0?o<003o
/`00okl00?oV003ol`/L0?ooo`050000003oool0oooo0?ooo`0000005`3oool00`000000oooo0?oo
o`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo00X0oooo0`3onGH30?oc=P80on`I0`3oiP/6
0?oO1@<0onH;0P3ok1T30?oc=P@0ooUf1@3oool40?oiMP80oo<f0P3ok1T00`3oiP/0oml50?oI0P03
0?oC0@040?o<003oaP00olH00?o600<0ol`000<0om<10?oI0P3og`D00`3oiP/00`3ok1T0oo<f0?oc
=P030?oiMPH0oooo103onGH30?oc=P80on`I0P3oiP/70?oO1@<0onH;0P3ok1T30?oc=P<0ooUf=`3o
ool2000000`0oooo0P3ol`/00`3of@00onH00?oc2`0M0?ooo`030000003oool0oooo0080oooo0P00
000E0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool02P3oool4
0?oiMP80oo<f0`3ok1T30?oV2`<0oml5103oiP/20?o/6@<0oo<f103onGH90?ooo`<0ooUf0`3olcH0
0`3ok1T0onH;0?oV2`040?oO1@030?oI0P3og`D0oml50080oml50P3oiP/20?o/6@<0oo<f0`3onGH9
0?ooo`<0ooUf0`3olcH30?o/6@<0onH;0`3og`D40?oV2`80on`I0`3olcH40?oiMTH0oooo0`3ol`/N
0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`00
0000oooo0?ooo`0:0?ooo`@0ooUf0`3olcH20?o/6@T0onH;0`3ok1T30?oc=P<0ooUf403oool@0?oi
MPl0oooo103onGH30?oc=P80on`I2@3oiP/30?o/6@<0oo<f0`3onGIX0?ooo`030000003oool0oooo
01T0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`0;0?ooo`@0
ooUf0P3olcH40?o/6@H0onH;0`3ok1T40?oc=P<0ooUf1`3oool907Kioa00=_?o201fnOl80?ooo`<0
ooUf103olcH20?o/6@H0onH;103ok1T40?oc=P<0ooUf?P3oool[000001/0oooo00<000000?ooo`3o
ool04P3oool10=WIf@00503oool00`000000oooo0?ooo`0;0?ooo`@0ooUf0`3olcH40?o/6@@0onH;
103ok1T30?oc=P@0ooUf1P3oool507Kio`<0=_?o0`0Ik?l200_Vo`T01Moo0`0;i_l201W/o`<0=_?o
1@1fnOl70?ooo`@0ooUf0`3olcH40?o/6@@0onH;103ok1T30?oc=P@0ooUfQ03oool00`000000oooo
0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo00/0oooo103onGH40?oc=PX0on`I0`3o
lcH40?oiMPH0oooo1@1fnOl303Kco`806Nco0P0;i_l200GOo`<00]Wo1001dol300;Io`801Moo0P0;
i_l201W/o`80=_?o1@1fnOl60?ooo`@0ooUf103olcH:0?o/6@<0oo<f103onGJ50?ooo`030000003o
ool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0303oool40?oiMPD0oo<f1P3ok1T4
0?oc=PD0ooUf1P3oool507Kio`<0=_?o0P0Ik?l200_Vo`801Moo0`02fOl3007Co`@00]Wo00<01Moo
00_Vo`0;i_l00`0Ik?l203Kco`D0M_Wo1`3oool40?oiMP@0oo<f203ok1T30?oc=PD0ooUfQ@3oool0
0`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo00`0oooo1@3onGH50?oc
=P<0on`I1@3olcH50?oiMPP0oooo1@1fnOl403Kco`806Nco0P0;i_l300GOo`@00]Wo0`05gol200_V
o`<06Nco0P0flol607Kio`L0oooo1@3onGH60?oc=P80on`I1@3olcH50?oiMT`0oooo0P0000050?oo
o`8000002@3oool2000002H0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000
oooo0?ooo`0=0?ooo`D0ooUf2`3olcH60?oiMPT0oooo1P1fnOl403Kco`806Nco2@0;i_l301W/o`@0
=_?o1P1fnOl90?ooo`D0ooUf303olcH50?oiMT/0oooo00@000000?ooo`3oool000000`3oool01000
0000oooo0?ooo`0000070?ooo`040000003oool0oooo000002D0oooo00<000000?ooo`3oool04P3o
ool10=WIf@00503oool00`000000oooo0?ooo`0>0?ooo`D0ooUf2P3olcH60?oiMP/0oooo2@1fnOl<
03Kco`P0M_Wo303oool60?oiMPX0oo<f1P3onGI50?ooo`<000000`3oool010000000oooo0?ooo`00
00030?ooo`040000003oool0oooo000000L0oooo00@000000?ooo`3oool000009@3oool00`000000
oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo00h0oooo1P3onGH70?oc=PL0ooUf
=P3oool60?oiMPL0oo<f1`3onGI=0?ooo`800000103oool010000000oooo0?ooo`0000080?ooo`80
00009P3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo00l0oooo
4P3onGHC0?oooa80ooUf4`3ooolB0?oiMTd0oooo00@000000?ooo`3oool000000`3oool010000000
oooo0?ooo`0000070?ooo`040000003oool0oooo000002D0oooo00<000000?ooo`3oool04P3oool1
0=WIf@00503oool00`000000oooo0?ooo`0@0?oooa00ooUf4P3oool50?oiMP`0oo<f1@3onGHB0?oo
oa00ooUfCP3oool010000000oooo0?ooo`0000030?ooo`040000003oool0oooo000000L0oooo00@0
00000?ooo`3oool000009@3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003o
ool0oooo0140oooo3P3onGHC0?ooo`D0ooUf303olcH50?oiMQ<0oooo3P3onGI@0?ooo`8000001@3o
ool2000000T0oooo0P00000V0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<00000
0?ooo`3oool04P3oool;0?oiMQD0oooo1P3onGH:0?oc=PD0ooUf5@3oool<0?oiMX/0oooo00<00000
0?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`0C0?ooo`T0ooUf6@3oool@0?oi
MQP0oooo2@3onGJ=0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3o
ool05P3oool30?oiMR40oooo1@3onGHQ0?ooo`<0ooUfT03oool00`000000oooo0?ooo`0B0?ooo`40
fMWI000D0?ooo`030000003oool0oooo0?<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503o
ool00`000000oooo0?ooo`0b0?oooaD0M_Wo[03oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D
0?ooo`030000003oool0oooo0300oooo6P1fnOnY0?ooo`030000003oool0oooo0180oooo0@3IfMT0
01@0oooo00<000000?ooo`3oool0<03ooolJ07KiojT0oooo00<000000?ooo`3oool04P3oool10=WI
f@00503oool00`000000oooo0?ooo`0`0?oooaT0M_WoZP3oool00`000000oooo0?ooo`0B0?ooo`40
fMWI000D0?ooo`030000003oool0oooo0340oooo5`1fnOn[0?ooo`030000003oool0oooo0180oooo
0@3IfMT001@0oooo00<000000?ooo`3oool0=03ooolB07Kiojd0oooo00<000000?ooo`3oool04P3o
ool10=WIf@00503oool00`000000oooo0?ooo`3c0?ooo`030000003oool0oooo0180oooo0@3IfMT0
01@0oooo00<000000?ooo`3oool0l`3oool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`03
0000003oool0oooo0?<0oooo00<000000?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo
0?ooo`3c0?ooo`030000003oool0oooo0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0l`3o
ool00`000000oooo0?ooo`0B0?ooo`40fMWI000D0?ooo`030000003oool0oooo0?<0oooo00<00000
0?ooo`3oool04P3oool10=WIf@00503oool00`000000oooo0?ooo`3c0?ooo`030000003oool0oooo
0180oooo0@3IfMT001@0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`0h0?ooo`03
0000003oool0oooo03P0oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`0B0?ooo`40
fMWI000D0?ooooL00000503oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT0
0?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803o
ool10=WIf@00o`3ooolP0?ooo`40fMWI001E0?ooo`<00000=@3oool3000003P0oooo0`00001D0?oo
o`40fMWI001D0?ooo`050000003oool0oooo0?ooo`000000<`3oool2000000030?ooo`0000000000
03H0oooo00D000000?ooo`3oool0oooo0000001C0?ooo`40fMWI001D0?ooo`050000003oool0oooo
0?ooo`000000<`3oool01@000000oooo0?ooo`3oool0000003H0oooo00D000000?ooo`3oool0oooo
0000001C0?ooo`40fMWI001=0?ooo`@000000`3oool00`000000oooo0?ooo`02000003<0oooo00D0
00000?ooo`3oool0oooo0000000f0?ooo`030000003oool0oooo00800000D`3oool10=WIf@00E@3o
ool3000003@0oooo00D000000?ooo`3oool0oooo0000000g0?ooo`<00000E03oool10=WIf@00E03o
ool200000080oooo00<000000?ooo`3oool0<@3oool01@000000oooo0?ooo`3oool0000003H0oooo
0P0000020?ooo`030000003oool0oooo0540oooo0@3IfMT005@0oooo00D000000?ooo`3oool0oooo
0000000c0?ooo`050000003oool0oooo0?ooo`000000=P3oool01@000000oooo0?ooo`3oool00000
05<0oooo0@3IfMT005@0oooo00D000000?ooo`3oool0oooo0000000c0?ooo`80000000<0oooo0000
00000000=P3oool01@000000oooo0?ooo`3oool0000005<0oooo0@3IfMT005D0oooo0`00000e0?oo
o`<00000>03oool3000005@0oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI
003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-19.3962, -10.9104, 0.135165, \
0.0760305}, {{180.438, 254.438}, {117.188, 25.125}} -> {-169.538, -94.6663, \
0.77971, 0.438587}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  ContourGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[173]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(tgraph3 = 
      Block[{xg = \(-8\), pg = 1, l = 5, h = 2\ sx\ sp\ r, r = 1, P = 0, 
          sp = 1/6, sx = 1, t = 28, m = 1}, 
        ContourPlot[\((gs1t + gs2t + gs3t)\), {x, 
            xg - l - pg\ t/m, \(-xg\) + l + pg\ t/m}, {p, \(-pg\) - 3\ sp, 
            pg + 3\ sp}, PlotPoints \[Rule] 500, PlotRange -> All, 
          ContourShading -> True, ContourLines -> False, 
          Contours \[Rule] 200, Background -> White, 
          FrameTicks -> {{\(-xg\) - pg\ t/m, 0, xg + pg\ t/m}, {\(-pg\), 0, 
                pg}}, ColorFunction -> \((linmapmanwhite[#] &)\), 
          TextStyle \[Rule] m10, 
          Epilog -> {Text["\<t = 28\>", {\(-0\), \(-1\)}, {0, 0}, 
                TextStyle \[Rule] tx10], 
              Rectangle[{xg - l - 2  sx - pg\ t/m, 2  sp}, {0, 
                  pg + \ 3  sp}, \[IndentingNewLine]ContourPlot[\((gs1 + 
                      gs2 + gs3)\), {x, 
                    xg - l - 3  sx, \(-xg\) + l + 3\ sx}, {p, \(-pg\) - 
                      3\ sp, pg + 3\ sp}, ContourShading -> True, 
                  ContourLines -> False, 
                  ColorFunction -> \((linmapmanwhite[#] &)\), 
                  FrameTicks -> {{\(-xg\), 0, xg}, {\(-pg\), 0, pg}}, \ 
                  TextStyle \[Rule] m8, 
                  FrameTicks -> {{\(-xg\), 0, xg}, {\(-pg\), 0, pg}}, 
                  PlotPoints \[Rule] 200, PlotRange -> All, \ 
                  DisplayFunction -> Identity, Contours -> 100, 
                  Epilog -> 
                    Text["\<t = 0\>", {\(-8\), \(-1\)}, {0, 0}, 
                      TextStyle \[Rule] tx8]]]}]]\)], "Input",
  CellLabel->"In[53]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.5 0.0117261 0.5 0.320513 [
[.26548 -0.0125 -10.0625 -10.9375 ]
[.26548 -0.0125 10.0625 0 ]
[.5 -0.0125 -4.5 -10.9375 ]
[.5 -0.0125 4.5 0 ]
[.73452 -0.0125 -7 -10.9375 ]
[.73452 -0.0125 7 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .17949 -15.125 -5.46875 ]
[-0.0125 .17949 0 5.46875 ]
[-0.0125 .5 -9 -5.46875 ]
[-0.0125 .5 0 5.46875 ]
[-0.0125 .82051 -9 -5.46875 ]
[-0.0125 .82051 0 5.46875 ]
[ 0 0 -0.125 0 ]
[.26548 1.0125 -10.0625 0 ]
[.26548 1.0125 10.0625 10.9375 ]
[.5 1.0125 -4.5 0 ]
[.5 1.0125 4.5 10.9375 ]
[.73452 1.0125 -7 0 ]
[.73452 1.0125 7 10.9375 ]
[ 0 1 .125 0 ]
[1.0125 .17949 0 -5.46875 ]
[1.0125 .17949 15.125 5.46875 ]
[1.0125 .5 0 -5.46875 ]
[1.0125 .5 9 5.46875 ]
[1.0125 .82051 0 -5.46875 ]
[1.0125 .82051 9 5.46875 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.26548 0 m
.26548 .00625 L
s
gsave
.26548 -0.0125 -71.0625 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(20) show
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -65.5 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.73452 0 m
.73452 .00625 L
s
gsave
.73452 -0.0125 -68 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
0 0 m
1 0 L
s
0 .17949 m
.00625 .17949 L
s
gsave
-0.0125 .17949 -76.125 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(1) show
1.000 setlinewidth
grestore
0 .5 m
.00625 .5 L
s
gsave
-0.0125 .5 -70 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
0 .82051 m
.00625 .82051 L
s
gsave
-0.0125 .82051 -70 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
0 0 m
0 1 L
s
.26548 .99375 m
.26548 1 L
s
gsave
.26548 1.0125 -71.0625 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(20) show
1.000 setlinewidth
grestore
.5 .99375 m
.5 1 L
s
gsave
.5 1.0125 -65.5 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.73452 .99375 m
.73452 1 L
s
gsave
.73452 1.0125 -68 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
0 1 m
1 1 L
s
.99375 .17949 m
1 .17949 L
s
gsave
1.0125 .17949 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(1) show
1.000 setlinewidth
grestore
.99375 .5 m
1 .5 L
s
gsave
1.0125 .5 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.99375 .82051 m
1 .82051 L
s
gsave
1.0125 .82051 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 1 1 r
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
1 .99 0 r
.05584 .03234 m
.05777 .0325 L
.05881 .03272 L
.0597 .03296 L
.06162 .0336 L
.06355 .03438 L
.06418 .03465 L
.06548 .03525 L
.0674 .03619 L
.06815 .03657 L
.06933 .0372 L
.07126 .03827 L
.07167 .0385 L
.07318 .03937 L
.07496 .04043 L
.07511 .04052 L
.07704 .0417 L
.07809 .04235 L
.07897 .04291 L
.08089 .04415 L
.08109 .04428 L
.08282 .04542 L
.08401 .04621 L
.08475 .04671 L
.08667 .04802 L
.08684 .04813 L
.0886 .04935 L
.08962 .05006 L
.09053 .05071 L
.09234 .05199 L
.09245 .05207 L
.09438 .05347 L
.095 .05392 L
.09631 .05488 L
.09762 .05584 L
.09823 .0563 L
.10016 .05774 L
.1002 .05777 L
.10209 .0592 L
.10275 .0597 L
.10402 .06067 L
.10526 .06162 L
.10594 .06216 L
.10774 .06355 L
.10787 .06365 L
.1098 .06516 L
.1102 .06548 L
.11172 .06668 L
.11265 .0674 L
.11365 .0682 L
.11508 .06933 L
.11558 .06973 L
.1175 .07126 L
.11751 .07126 L
.11943 .07279 L
.11993 .07318 L
.12136 .07431 L
.12237 .07511 L
.12329 .07583 L
.12483 .07704 L
.12521 .07733 L
.12714 .07882 L
.12733 .07897 L
.12907 .08028 L
.12987 .08089 L
.13099 .08172 L
.1325 .08282 L
.13292 .08311 L
.13485 .08444 L
.13521 .08475 L
.13677 .08569 L
.13837 .08667 L
.1387 .08679 L
.14063 .08756 L
.14255 .08736 L
.14316 .08667 L
.14441 .08475 L
.14448 .0846 L
.14641 .08297 L
.14706 .08282 L
.14834 .08234 L
.15026 .08189 L
.15219 .08162 L
.15412 .08143 L
.15604 .08131 L
.15797 .08122 L
.1599 .08116 L
.16182 .08113 L
.16375 .08111 L
.16568 .08111 L
.1676 .08113 L
.16953 .08117 L
.17146 .08123 L
.17339 .08131 L
.17531 .08143 L
.17724 .08158 L
.17917 .08178 L
.18109 .08203 L
.18302 .08234 L
.18495 .08267 L
.18584 .08282 L
.18687 .08308 L
.1888 .08365 L
.19073 .08427 L
.19247 .08475 L
.19265 .08482 L
.19458 .08563 L
.19651 .08625 L
.19764 .08667 L
.19844 .08704 L
.20036 .08757 L
.20229 .08732 L
.20234 .08667 L
.20229 .08646 L
.20164 .08475 L
.2004 .08282 L
.20036 .08275 L
.19909 .08089 L
.19844 .07993 L
.19769 .07897 L
.19651 .07739 L
.19623 .07704 L
.19474 .07511 L
.19458 .07491 L
.19323 .07318 L
.19265 .07245 L
.19171 .07126 L
.19073 .07001 L
.19019 .06933 L
.1888 .06756 L
.18868 .0674 L
.18717 .06548 L
.18687 .06509 L
.18568 .06355 L
.18495 .06258 L
.18422 .06162 L
.18302 .06002 L
.18278 .0597 L
.18138 .05777 L
.18109 .05737 L
.18001 .05584 L
.17917 .05462 L
.17869 .05392 L
.1774 .05199 L
.17724 .05174 L
.17617 .05006 L
.17531 .04866 L
.175 .04813 L
.17389 .04621 L
.17339 .0453 L
.17286 .04428 L
.17191 .04235 L
.17146 .04138 L
.17109 .04043 L
.17043 .0385 L
.17001 .03657 L
.17002 .03465 L
.17145 .03272 L
.17146 .03272 L
.17339 .03234 L
.17531 .03255 L
.17607 .03272 L
.17724 .03304 L
.17917 .03371 L
.18109 .0345 L
.18144 .03465 L
.18302 .03538 L
.18495 .03634 L
.1854 .03657 L
.18687 .03736 L
.1888 .03843 L
.18893 .0385 L
.19073 .03954 L
.19222 .04043 L
.19265 .04069 L
.19458 .04188 L
.19534 .04235 L
.19651 .0431 L
.19835 .04428 L
.19844 .04434 L
.20036 .04561 L
.20127 .04621 L
.20229 .0469 L
.20411 .04813 L
.20422 .04821 L
.20614 .04954 L
.20689 .05006 L
.20807 .05089 L
.20962 .05199 L
.21 .05226 L
.21192 .05364 L
.21231 .05392 L
.21385 .05504 L
.21496 .05584 L
.21578 .05645 L
.21757 .05777 L
.2177 .05787 L
.21963 .05931 L
.22015 .0597 L
.22156 .06076 L
.2227 .06162 L
.22349 .06222 L
.22523 .06355 L
.22541 .06369 L
.22734 .06518 L
.22773 .06548 L
.22927 .06667 L
.23021 .0674 L
.23119 .06817 L
.23268 .06933 L
.23312 .06968 L
.23505 .0712 L
.23512 .07126 L
.23697 .07274 L
.23754 .07318 L
.2389 .07428 L
.23995 .07511 L
.24083 .07582 L
.24234 .07704 L
.24275 .07737 L
.24468 .07893 L
.24472 .07897 L
.24661 .08051 L
.24708 .08089 L
.24854 .08209 L
.24943 .08282 L
.25046 .08368 L
.25177 .08475 L
.25239 .08527 L
.25409 .08667 L
.25432 .08686 L
.25624 .08847 L
.2564 .0886 L
.25817 .09009 L
.2587 .09053 L
.2601 .09171 L
.26099 .09245 L
.26202 .09334 L
.26327 .09438 L
.26395 .09497 L
.26554 .09631 L
.26588 .0966 L
.2678 .09823 L
.2678 .09824 L
.26973 .0999 L
.27005 .10016 L
.27166 .10156 L
.27228 .10209 L
.27359 .10322 L
.27451 .10402 L
.27551 .10489 L
.27674 .10594 L
.27744 .10656 L
.27895 .10787 L
.27937 .10823 L
.28116 .1098 L
.28129 .10991 L
.28322 .1116 L
.28336 .11172 L
.28515 .11331 L
.28554 .11365 L
.28707 .11501 L
.28772 .11558 L
.289 .11672 L
.28989 .1175 L
.29093 .11843 L
.29206 .11943 L
.29285 .12014 L
.29422 .12136 L
.29478 .12186 L
.29638 .12329 L
.29671 .12358 L
.29853 .12521 L
.29864 .12531 L
.30056 .12705 L
.30067 .12714 L
.30249 .1288 L
.30279 .12907 L
.30442 .13055 L
.30491 .13099 L
.30634 .1323 L
.30703 .13292 L
.30827 .13406 L
.30914 .13485 L
.3102 .13582 L
.31125 .13677 L
.31212 .13758 L
.31335 .1387 L
.31405 .13935 L
.31544 .14063 L
.31598 .14112 L
.31753 .14255 L
.31791 .1429 L
.31962 .14448 L
.31983 .14468 L
.32169 .14641 L
.32176 .14647 L
.32369 .14827 L
.32376 .14834 L
.32561 .15007 L
.32582 .15026 L
.32754 .15188 L
.32787 .15219 L
.32947 .15369 L
.32992 .15412 L
.33139 .15551 L
.33196 .15604 L
.33332 .15733 L
.334 .15797 L
.33525 .15916 L
.33603 .1599 L
.33717 .16098 L
.33806 .16182 L
.3391 .16282 L
.34008 .16375 L
.34103 .16466 L
.3421 .16568 L
.34296 .1665 L
.34411 .1676 L
.34488 .16834 L
.34612 .16953 L
.34681 .1702 L
.34812 .17146 L
.34874 .17205 L
.35012 .17339 L
.35066 .17392 L
.35211 .17531 L
.35259 .17578 L
.35409 .17724 L
.35452 .17765 L
.35607 .17917 L
.35644 .17953 L
.35804 .18109 L
.35837 .18141 L
.36001 .18302 L
.3603 .1833 L
.36197 .18495 L
.36222 .18519 L
.36393 .18687 L
.36415 .18709 L
.36588 .1888 L
.36608 .189 L
.36782 .19073 L
.36801 .19091 L
.36976 .19265 L
.36993 .19282 L
.3717 .19458 L
.37186 .19474 L
.37362 .19651 L
.37379 .19667 L
.37555 .19844 L
.37571 .1986 L
.37746 .20036 L
.37764 .20054 L
.37937 .20229 L
.37957 .20249 L
.38128 .20422 L
.38149 .20444 L
.38317 .20614 L
.38342 .20639 L
.38507 .20807 L
.38535 .20836 L
.38695 .21 L
.38727 .21033 L
.38883 .21192 L
.3892 .2123 L
.39071 .21385 L
.39113 .21428 L
.39258 .21578 L
.39306 .21627 L
.39444 .2177 L
.39498 .21827 L
.39629 .21963 L
.39691 .22027 L
.39814 .22156 L
.39884 .22228 L
.39999 .22349 L
.40076 .2243 L
.40182 .22541 L
.40269 .22632 L
.40366 .22734 L
.40462 .22835 L
.40548 .22927 L
.40654 .23039 L
.4073 .23119 L
.40847 .23243 L
.40911 .23312 L
.4104 .23449 L
.41092 .23505 L
.41232 .23655 L
.41272 .23697 L
.41425 .23862 L
.41451 .2389 L
.41618 .24069 L
.4163 .24083 L
.41808 .24275 L
.41811 .24278 L
.41985 .24468 L
.42003 .24488 L
.4216 .24661 L
.42196 .247 L
.42336 .24854 L
.42389 .24912 L
.4251 .25046 L
.42581 .25125 L
.42683 .25239 L
.42774 .25339 L
.42856 .25432 L
.42967 .25555 L
.43028 .25624 L
.43159 .25771 L
.432 .25817 L
.43352 .25989 L
.4337 .2601 L
.4354 .26202 L
.43545 .26208 L
.43708 .26395 L
.43737 .26429 L
.43875 .26588 L
.4393 .26652 L
.44041 .2678 L
.44123 .26876 L
.44206 .26973 L
.44316 .27101 L
.4437 .27166 L
.44508 .27329 L
.44533 .27359 L
.44695 .27551 L
.44701 .27558 L
.44855 .27744 L
.44894 .2779 L
.45014 .27937 L
.45086 .28025 L
.45171 .28129 L
.45279 .28262 L
.45328 .28322 L
.45472 .28501 L
.45482 .28515 L
.45635 .28707 L
.45664 .28744 L
.45786 .289 L
.45857 .28991 L
.45936 .29093 L
.4605 .29242 L
.46083 .29285 L
.46228 .29478 L
.46242 .29497 L
.46371 .29671 L
.46435 .29758 L
.46511 .29864 L
.46628 .30026 L
.46649 .30056 L
.46784 .30249 L
.46821 .30302 L
.46915 .30442 L
.47013 .30589 L
.47042 .30634 L
.47166 .30827 L
.47206 .30891 L
.47284 .3102 L
.47397 .31212 L
.47399 .31216 L
.47502 .31405 L
.47591 .3158 L
.476 .31598 L
.47686 .31791 L
.47758 .31983 L
.47784 .32069 L
.4781 .32176 L
.47826 .32369 L
.47784 .32525 L
.47772 .32561 L
.47591 .32656 L
.47399 .32659 L
.47206 .32624 L
.47013 .32566 L
.46999 .32561 L
.46821 .32493 L
.46628 .3241 L
.46538 .32369 L
.46435 .32318 L
.46242 .32219 L
.4616 .32176 L
.4605 .32115 L
.45857 .32006 L
.45817 .31983 L
.45664 .31893 L
.45495 .31791 L
.45472 .31776 L
.45279 .31656 L
.45186 .31598 L
.45086 .31534 L
.44894 .31409 L
.44888 .31405 L
.44701 .31281 L
.44599 .31212 L
.44508 .31151 L
.44316 .3102 L
.44316 .3102 L
.44123 .30886 L
.44038 .30827 L
.4393 .30751 L
.43764 .30634 L
.43737 .30615 L
.43545 .30477 L
.43495 .30442 L
.43352 .30338 L
.43228 .30249 L
.43159 .30199 L
.42967 .30058 L
.42964 .30056 L
.42774 .29916 L
.42703 .29864 L
.42581 .29772 L
.42444 .29671 L
.42389 .29629 L
.42196 .29484 L
.42188 .29478 L
.42003 .29336 L
.41936 .29285 L
.41811 .29188 L
.41686 .29093 L
.41618 .29039 L
.4144 .289 L
.41425 .28888 L
.41232 .28731 L
.41201 .28707 L
.4104 .28572 L
.40966 .28515 L
.40847 .28411 L
.40737 .28322 L
.40654 .28249 L
.40513 .28129 L
.40462 .28083 L
.40293 .27937 L
.40269 .27914 L
.40078 .27744 L
.40076 .27743 L
.39884 .27567 L
.39865 .27551 L
.39691 .27391 L
.39654 .27359 L
.39498 .27215 L
.39443 .27166 L
.39306 .27039 L
.39232 .26973 L
.39113 .26863 L
.39021 .2678 L
.3892 .26689 L
.38808 .26588 L
.38727 .26515 L
.38593 .26395 L
.38535 .26343 L
.38376 .26202 L
.38342 .26173 L
.38155 .2601 L
.38149 .26005 L
.37957 .2584 L
.3793 .25817 L
.37764 .25678 L
.37699 .25624 L
.37571 .2552 L
.37461 .25432 L
.37379 .25367 L
.37213 .25239 L
.37186 .25219 L
.36993 .25078 L
.36947 .25046 L
.36801 .24948 L
.36649 .24854 L
.36608 .24831 L
.36415 .24733 L
.36222 .24669 L
.36184 .24661 L
.3603 .24647 L
.35867 .24661 L
.35837 .24666 L
.35644 .24701 L
.35452 .24732 L
.35259 .24754 L
.35066 .24769 L
.34874 .24779 L
.34681 .24786 L
.34488 .24791 L
.34296 .24795 L
.34103 .24797 L
.3391 .24799 L
.33717 .24799 L
.33525 .24799 L
.33332 .24799 L
.33139 .24797 L
.32947 .24794 L
.32754 .24791 L
.32561 .24786 L
.32369 .24779 L
.32176 .24769 L
.31983 .24757 L
.31791 .24741 L
.31598 .24721 L
.31405 .24697 L
.31212 .24689 L
.3102 .24665 L
.30983 .24661 L
.30827 .24643 L
.30662 .24661 L
.30634 .24672 L
.30594 .24854 L
.30634 .24947 L
.3069 .25046 L
.3082 .25239 L
.30827 .2525 L
.30966 .25432 L
.3102 .255 L
.31123 .25624 L
.31212 .25731 L
.31287 .25817 L
.31405 .25952 L
.31457 .2601 L
.31598 .26166 L
.31631 .26202 L
.31791 .26377 L
.31808 .26395 L
.31983 .26584 L
.31987 .26588 L
.32168 .2678 L
.32176 .26789 L
.3235 .26973 L
.32369 .26993 L
.32532 .27166 L
.32561 .27197 L
.32714 .27359 L
.32754 .27401 L
.32894 .27551 L
.32947 .27608 L
.33072 .27744 L
.33139 .27817 L
.33246 .27937 L
.33332 .28031 L
.33417 .28129 L
.33525 .28252 L
.33582 .28322 L
.33717 .28482 L
.33742 .28515 L
.33897 .28707 L
.3391 .28723 L
.34041 .289 L
.34103 .28976 L
.34179 .29093 L
.34296 .29244 L
.34318 .29285 L
.34451 .29478 L
.34488 .29528 L
.34566 .29671 L
.34681 .29825 L
.34708 .29864 L
.34817 .30056 L
.34874 .30137 L
.34948 .30249 L
.3506 .30442 L
.35066 .30451 L
.35148 .30634 L
.35259 .30789 L
.35289 .30827 L
.35392 .3102 L
.35452 .31114 L
.35483 .31212 L
.35625 .31405 L
.35644 .31438 L
.35731 .31598 L
.35837 .31771 L
.35844 .31791 L
.3597 .31983 L
.3603 .32097 L
.36074 .32176 L
.36179 .32369 L
.36222 .32443 L
.36329 .32561 L
.36391 .32754 L
.36415 .328 L
.36481 .32947 L
.36415 .33114 L
.36222 .32978 L
.36185 .32947 L
.3603 .32827 L
.35929 .32754 L
.35837 .32682 L
.35644 .32562 L
.35643 .32561 L
.35452 .32486 L
.35259 .32473 L
.35066 .32475 L
.34874 .32437 L
.34701 .32369 L
.34681 .32359 L
.34488 .32255 L
.34357 .32176 L
.34296 .32132 L
.34103 .31998 L
.34081 .31983 L
.3391 .31861 L
.33812 .31791 L
.33717 .31724 L
.33531 .31598 L
.33525 .31594 L
.33332 .31467 L
.33229 .31405 L
.33139 .31354 L
.32947 .31249 L
.32867 .31212 L
.32754 .31148 L
.32561 .31037 L
.32536 .3102 L
.32369 .30908 L
.32263 .30827 L
.32176 .30763 L
.32012 .30634 L
.31983 .30612 L
.31791 .30461 L
.31767 .30442 L
.31598 .30311 L
.31517 .30249 L
.31405 .30165 L
.31258 .30056 L
.31212 .30022 L
.3102 .29881 L
.30995 .29864 L
.30827 .29738 L
.30735 .29671 L
.30634 .29594 L
.30483 .29478 L
.30442 .29446 L
.30249 .29293 L
.30239 .29285 L
.30056 .29137 L
.30001 .29093 L
.29864 .28981 L
.29763 .289 L
.29671 .28826 L
.29521 .28707 L
.29478 .28673 L
.29285 .28522 L
.29276 .28515 L
.29093 .2837 L
.29029 .28322 L
.289 .2822 L
.28782 .28129 L
.28707 .2807 L
.28538 .27937 L
.28515 .27917 L
.28322 .27762 L
.283 .27744 L
.28129 .27603 L
.28067 .27551 L
.27937 .27442 L
.27836 .27359 L
.27744 .27281 L
.27607 .27166 L
.27551 .27119 L
.27378 .26973 L
.27359 .26957 L
.27166 .26794 L
.27149 .2678 L
.26973 .26631 L
.26921 .26588 L
.2678 .26468 L
.26693 .26395 L
.26588 .26305 L
.26466 .26202 L
.26395 .26142 L
.26239 .2601 L
.26202 .25978 L
.26015 .25817 L
.2601 .25813 L
.25817 .25646 L
.25792 .25624 L
.25624 .25478 L
.2557 .25432 L
.25432 .2531 L
.25349 .25239 L
.25239 .25142 L
.25128 .25046 L
.25046 .24974 L
.24908 .24854 L
.24854 .24806 L
.24688 .24661 L
.24661 .24637 L
.24468 .24468 L
.24468 .24468 L
.24275 .24297 L
.24251 .24275 L
.24083 .24126 L
.24034 .24083 L
.2389 .23954 L
.23818 .2389 L
.23697 .23782 L
.23602 .23697 L
.23505 .2361 L
.23387 .23505 L
.23312 .23437 L
.23172 .23312 L
.23119 .23264 L
.22958 .23119 L
.22927 .23091 L
.22745 .22927 L
.22734 .22917 L
.22541 .22742 L
.22533 .22734 L
.22349 .22565 L
.22322 .22541 L
.22156 .22389 L
.22111 .22349 L
.21963 .22212 L
.21901 .22156 L
.2177 .22035 L
.21691 .21963 L
.21578 .21858 L
.21482 .2177 L
.21385 .2168 L
.21274 .21578 L
.21192 .21502 L
.21066 .21385 L
.21 .21323 L
.20858 .21192 L
.20807 .21144 L
.20651 .21 L
.20614 .20965 L
.20445 .20807 L
.20422 .20785 L
.20239 .20614 L
.20229 .20605 L
.20036 .20424 L
.20034 .20422 L
.19844 .20241 L
.1983 .20229 L
.19651 .20059 L
.19627 .20036 L
.19458 .19876 L
.19424 .19844 L
.19265 .19692 L
.19222 .19651 L
.19073 .19508 L
.1902 .19458 L
.1888 .19324 L
.18819 .19265 L
.18687 .19139 L
.18618 .19073 L
.18495 .18954 L
.18417 .1888 L
.18302 .18769 L
.18218 .18687 L
.18109 .18582 L
.18018 .18495 L
.17917 .18396 L
.1782 .18302 L
.17724 .18209 L
.17621 .18109 L
.17531 .18021 L
.17424 .17917 L
.17339 .17833 L
.17227 .17724 L
.17146 .17645 L
.1703 .17531 L
.16953 .17455 L
.16834 .17339 L
.1676 .17266 L
.16639 .17146 L
.16568 .17076 L
.16444 .16953 L
.16375 .16885 L
.1625 .1676 L
.16182 .16694 L
.16056 .16568 L
.1599 .16502 L
.15863 .16375 L
.15797 .16309 L
.1567 .16182 L
.15604 .16116 L
.15478 .1599 L
.15412 .15923 L
.15287 .15797 L
.15219 .15729 L
.15096 .15604 L
.15026 .15534 L
.14906 .15412 L
.14834 .15338 L
.14716 .15219 L
.14641 .15142 L
.14527 .15026 L
.14448 .14946 L
.14339 .14834 L
.14255 .14749 L
.14151 .14641 L
.14063 .14551 L
.13963 .14448 L
.1387 .14352 L
.13777 .14255 L
.13677 .14153 L
.13591 .14063 L
.13485 .13953 L
.13405 .1387 L
.13292 .13753 L
.1322 .13677 L
.13099 .13551 L
.13036 .13485 L
.12907 .1335 L
.12852 .13292 L
.12714 .13147 L
.12669 .13099 L
.12521 .12944 L
.12486 .12907 L
.12329 .1274 L
.12304 .12714 L
.12136 .12535 L
.12123 .12521 L
.11943 .12329 L
.11942 .12329 L
.11763 .12136 L
.1175 .12122 L
.11585 .11943 L
.11558 .11914 L
.11407 .1175 L
.11365 .11706 L
.1123 .11558 L
.11172 .11496 L
.11053 .11365 L
.1098 .11285 L
.10877 .11172 L
.10787 .11073 L
.10702 .1098 L
.10594 .10861 L
.10528 .10787 L
.10402 .10647 L
.10354 .10594 L
.10209 .10432 L
.10181 .10402 L
.10016 .10217 L
.10009 .10209 L
.09839 .10016 L
.09823 .09999 L
.09669 .09823 L
.09631 .0978 L
.095 .09631 L
.09438 .0956 L
.09333 .09438 L
.09245 .09338 L
.09166 .09245 L
.09053 .09115 L
.09 .09053 L
.0886 .0889 L
.08835 .0886 L
.08671 .08667 L
.08667 .08663 L
.08509 .08475 L
.08475 .08434 L
.08348 .08282 L
.08282 .08203 L
.08188 .08089 L
.08089 .0797 L
.08029 .07897 L
.07897 .07734 L
.07872 .07704 L
.07716 .07511 L
.07704 .07496 L
.07562 .07318 L
.07511 .07254 L
.0741 .07126 L
.07318 .07009 L
.07259 .06933 L
.07126 .0676 L
.07111 .0674 L
.06964 .06548 L
.06933 .06507 L
.0682 .06355 L
.0674 .06248 L
.06678 .06162 L
.06548 .05983 L
.06538 .0597 L
.06401 .05777 L
.06355 .05711 L
.06268 .05584 L
.06162 .05429 L
.06138 .05392 L
.06012 .05199 L
.0597 .05134 L
.0589 .05006 L
.05777 .04819 L
.05773 .04813 L
.05663 .04621 L
.05584 .04476 L
.0556 .04428 L
.05466 .04235 L
.05392 .04064 L
.05384 .04043 L
.05317 .0385 L
.05275 .03657 L
.05276 .03465 L
.05392 .03279 L
.05419 .03272 L
F
1 .98 0 r
.07704 .05422 m
.07897 .05413 L
.08089 .05448 L
.08282 .05508 L
.08473 .05584 L
.08475 .05585 L
.08667 .05673 L
.0886 .05769 L
.08875 .05777 L
.09053 .05873 L
.09225 .0597 L
.09245 .05982 L
.09438 .06096 L
.09548 .06162 L
.09631 .06214 L
.09823 .06335 L
.09855 .06355 L
.10016 .0646 L
.10149 .06548 L
.10209 .06588 L
.10402 .06718 L
.10434 .0674 L
.10594 .06851 L
.10712 .06933 L
.10787 .06986 L
.1098 .07122 L
.10985 .07126 L
.11172 .07261 L
.11252 .07318 L
.11365 .07401 L
.11515 .07511 L
.11558 .07543 L
.1175 .07686 L
.11774 .07704 L
.11943 .07831 L
.12031 .07897 L
.12136 .07976 L
.12285 .08089 L
.12329 .08123 L
.12521 .0827 L
.12537 .08282 L
.12714 .08419 L
.12786 .08475 L
.12907 .08568 L
.13035 .08667 L
.13099 .08718 L
.13282 .0886 L
.13292 .08868 L
.13485 .09019 L
.13528 .09053 L
.13677 .09171 L
.13772 .09245 L
.1387 .09323 L
.14016 .09438 L
.14063 .09475 L
.14255 .09628 L
.14259 .09631 L
.14448 .09784 L
.14497 .09823 L
.14641 .0994 L
.14735 .10016 L
.14834 .10098 L
.1497 .10209 L
.15026 .10256 L
.15202 .10402 L
.15219 .10416 L
.15412 .10582 L
.15427 .10594 L
.15604 .10754 L
.15648 .10787 L
.15797 .10925 L
.15864 .1098 L
.1599 .11099 L
.16076 .11172 L
.16182 .11275 L
.16285 .11365 L
.16375 .11453 L
.1649 .11558 L
.16568 .11634 L
.16694 .1175 L
.1676 .11816 L
.16896 .11943 L
.16953 .11999 L
.17099 .12136 L
.17146 .12182 L
.17301 .12329 L
.17339 .12365 L
.17504 .12521 L
.17531 .12547 L
.17708 .12714 L
.17724 .12729 L
.17914 .12907 L
.17917 .12909 L
.18109 .13087 L
.18122 .13099 L
.18302 .13264 L
.18333 .13292 L
.18495 .13439 L
.18546 .13485 L
.18687 .13612 L
.18762 .13677 L
.1888 .13782 L
.18981 .1387 L
.19073 .13949 L
.19205 .14063 L
.19265 .14114 L
.19435 .14255 L
.19458 .14275 L
.19651 .14431 L
.19672 .14448 L
.19844 .14583 L
.19919 .14641 L
.20036 .14727 L
.20184 .14834 L
.20229 .14863 L
.20422 .14986 L
.20494 .15026 L
.20614 .15084 L
.20807 .15139 L
.21 .15103 L
.21154 .15026 L
.21192 .15005 L
.21385 .14921 L
.21578 .14877 L
.2177 .14854 L
.21963 .14838 L
.22033 .14834 L
.22156 .14825 L
.22349 .14815 L
.22541 .14808 L
.22734 .14803 L
.22927 .148 L
.23119 .14799 L
.23312 .14798 L
.23505 .14799 L
.23697 .14801 L
.2389 .14804 L
.24083 .14809 L
.24275 .14815 L
.24468 .14823 L
.24661 .14832 L
.2468 .14834 L
.24854 .14847 L
.25046 .14867 L
.25239 .14892 L
.25432 .14925 L
.25624 .14964 L
.25817 .15007 L
.25945 .15026 L
.2601 .15042 L
.26202 .15106 L
.26395 .15128 L
.26588 .15119 L
.26619 .15026 L
.26588 .14945 L
.26531 .14834 L
.26399 .14641 L
.26395 .14634 L
.26252 .14448 L
.26202 .14381 L
.26094 .14255 L
.2601 .14153 L
.25929 .14063 L
.25817 .13934 L
.25758 .1387 L
.25624 .13722 L
.25583 .13677 L
.25432 .13514 L
.25404 .13485 L
.25239 .13309 L
.25222 .13292 L
.25046 .13108 L
.25038 .13099 L
.24854 .12909 L
.24851 .12907 L
.24662 .12714 L
.24661 .12712 L
.24472 .12521 L
.24468 .12517 L
.2428 .12329 L
.24275 .12324 L
.24088 .12136 L
.24083 .12131 L
.23895 .11943 L
.2389 .11938 L
.23703 .1175 L
.23697 .11745 L
.23511 .11558 L
.23505 .11551 L
.23322 .11365 L
.23312 .11355 L
.23135 .11172 L
.23119 .11157 L
.22952 .1098 L
.22927 .10953 L
.22774 .10787 L
.22734 .10745 L
.22601 .10594 L
.22541 .10529 L
.22433 .10402 L
.22349 .10305 L
.2227 .10209 L
.22156 .10075 L
.22109 .10016 L
.21963 .0984 L
.2195 .09823 L
.21795 .09631 L
.2177 .096 L
.21643 .09438 L
.21578 .09355 L
.21492 .09245 L
.21385 .09108 L
.21342 .09053 L
.21192 .0886 L
.21192 .0886 L
.21045 .08667 L
.21 .08608 L
.20899 .08475 L
.20807 .08353 L
.20754 .08282 L
.20614 .08094 L
.20611 .08089 L
.2047 .07897 L
.20422 .07829 L
.20332 .07704 L
.20229 .07558 L
.20197 .07511 L
.20065 .07318 L
.20036 .07276 L
.19937 .07126 L
.19844 .0698 L
.19815 .06933 L
.19698 .0674 L
.19651 .06661 L
.19588 .06548 L
.19488 .06355 L
.19458 .06301 L
.194 .06162 L
.19328 .0597 L
.19283 .05777 L
.19286 .05584 L
.19458 .05418 L
.19651 .05416 L
.19844 .05455 L
.20036 .05519 L
.20205 .05584 L
.20229 .05597 L
.20422 .05686 L
.20602 .05777 L
.20614 .05784 L
.20807 .05888 L
.20952 .0597 L
.21 .05998 L
.21192 .06112 L
.21275 .06162 L
.21385 .06231 L
.21578 .06353 L
.21581 .06355 L
.2177 .06478 L
.21876 .06548 L
.21963 .06606 L
.22156 .06736 L
.22162 .0674 L
.22349 .06869 L
.2244 .06933 L
.22541 .07004 L
.22713 .07126 L
.22734 .07141 L
.22927 .0728 L
.2298 .07318 L
.23119 .07421 L
.23243 .07511 L
.23312 .07562 L
.23502 .07704 L
.23505 .07706 L
.23697 .07851 L
.23758 .07897 L
.2389 .07998 L
.2401 .08089 L
.24083 .08145 L
.2426 .08282 L
.24275 .08294 L
.24468 .08444 L
.24508 .08475 L
.24661 .08595 L
.24753 .08667 L
.24854 .08747 L
.24996 .0886 L
.25046 .08901 L
.25237 .09053 L
.25239 .09054 L
.25432 .0921 L
.25476 .09245 L
.25624 .09366 L
.25713 .09438 L
.25817 .09523 L
.25949 .09631 L
.2601 .09681 L
.26183 .09823 L
.26202 .0984 L
.26395 .09999 L
.26416 .10016 L
.26588 .1016 L
.26647 .10209 L
.2678 .10321 L
.26876 .10402 L
.26973 .10483 L
.27105 .10594 L
.27166 .10646 L
.27333 .10787 L
.27359 .10809 L
.27551 .10973 L
.27559 .1098 L
.27744 .11138 L
.27784 .11172 L
.27937 .11304 L
.28008 .11365 L
.28129 .1147 L
.28231 .11558 L
.28322 .11637 L
.28453 .1175 L
.28515 .11805 L
.28674 .11943 L
.28707 .11972 L
.28894 .12136 L
.289 .12141 L
.29093 .12311 L
.29113 .12329 L
.29285 .12481 L
.29331 .12521 L
.29478 .12652 L
.29548 .12714 L
.29671 .12824 L
.29764 .12907 L
.29864 .12996 L
.2998 .13099 L
.30056 .13168 L
.30195 .13292 L
.30249 .13341 L
.30409 .13485 L
.30442 .13514 L
.30622 .13677 L
.30634 .13688 L
.30827 .13863 L
.30835 .1387 L
.3102 .14039 L
.31046 .14063 L
.31212 .14215 L
.31256 .14255 L
.31405 .14392 L
.31466 .14448 L
.31598 .14569 L
.31676 .14641 L
.31791 .14747 L
.31884 .14834 L
.31983 .14925 L
.32092 .15026 L
.32176 .15104 L
.32299 .15219 L
.32369 .15284 L
.32506 .15412 L
.32561 .15463 L
.32712 .15604 L
.32754 .15644 L
.32917 .15797 L
.32947 .15825 L
.33122 .1599 L
.33139 .16006 L
.33326 .16182 L
.33332 .16188 L
.33525 .16371 L
.33529 .16375 L
.33717 .16555 L
.33731 .16568 L
.3391 .16739 L
.33933 .1676 L
.34103 .16924 L
.34134 .16953 L
.34296 .17109 L
.34334 .17146 L
.34488 .17295 L
.34533 .17339 L
.34681 .17481 L
.34733 .17531 L
.34874 .17668 L
.34931 .17724 L
.35066 .17856 L
.35129 .17917 L
.35259 .18044 L
.35326 .18109 L
.35452 .18233 L
.35522 .18302 L
.35644 .18422 L
.35718 .18495 L
.35837 .18612 L
.35914 .18687 L
.3603 .18802 L
.36108 .1888 L
.36222 .18994 L
.36302 .19073 L
.36415 .19185 L
.36495 .19265 L
.36608 .19378 L
.36688 .19458 L
.36801 .19571 L
.3688 .19651 L
.36993 .19765 L
.37071 .19844 L
.37186 .19959 L
.37262 .20036 L
.37379 .20155 L
.37452 .20229 L
.37571 .20351 L
.37641 .20422 L
.37764 .20547 L
.37829 .20614 L
.37957 .20745 L
.38017 .20807 L
.38149 .20943 L
.38204 .21 L
.38342 .21142 L
.38391 .21192 L
.38535 .21341 L
.38577 .21385 L
.38727 .21542 L
.38762 .21578 L
.3892 .21743 L
.38946 .2177 L
.39113 .21945 L
.3913 .21963 L
.39306 .22148 L
.39313 .22156 L
.39495 .22349 L
.39498 .22352 L
.39676 .22541 L
.39691 .22557 L
.39856 .22734 L
.39884 .22763 L
.40035 .22927 L
.40076 .22971 L
.40214 .23119 L
.40269 .23179 L
.40392 .23312 L
.40462 .23388 L
.40569 .23505 L
.40654 .23598 L
.40745 .23697 L
.40847 .2381 L
.4092 .2389 L
.4104 .24023 L
.41094 .24083 L
.41232 .24237 L
.41267 .24275 L
.41425 .24452 L
.4144 .24468 L
.41611 .24661 L
.41618 .24669 L
.41781 .24854 L
.41811 .24887 L
.4195 .25046 L
.42003 .25108 L
.42117 .25239 L
.42196 .2533 L
.42284 .25432 L
.42389 .25553 L
.42449 .25624 L
.42581 .25779 L
.42613 .25817 L
.42774 .26007 L
.42776 .2601 L
.42937 .26202 L
.42967 .26238 L
.43097 .26395 L
.43159 .26471 L
.43254 .26588 L
.43352 .26708 L
.43411 .2678 L
.43545 .26947 L
.43565 .26973 L
.43718 .27166 L
.43737 .2719 L
.43868 .27359 L
.4393 .27438 L
.44017 .27551 L
.44123 .27691 L
.44162 .27744 L
.44306 .27937 L
.44316 .2795 L
.44446 .28129 L
.44508 .28217 L
.44582 .28322 L
.44701 .28493 L
.44716 .28515 L
.44845 .28707 L
.44894 .28782 L
.44969 .289 L
.45086 .29091 L
.45087 .29093 L
.45199 .29285 L
.45279 .29432 L
.45302 .29478 L
.45395 .29671 L
.45472 .29862 L
.45472 .29864 L
.45528 .30056 L
.45545 .30249 L
.45472 .30415 L
.45438 .30442 L
.45279 .30486 L
.45086 .30467 L
.4498 .30442 L
.44894 .30416 L
.44701 .30346 L
.44508 .30262 L
.44478 .30249 L
.44316 .30169 L
.44123 .30069 L
.441 .30056 L
.4393 .29962 L
.4376 .29864 L
.43737 .2985 L
.43545 .29734 L
.43442 .29671 L
.43352 .29614 L
.43159 .29491 L
.4314 .29478 L
.42967 .29364 L
.42848 .29285 L
.42774 .29235 L
.42581 .29104 L
.42565 .29093 L
.42389 .2897 L
.42289 .289 L
.42196 .28834 L
.42018 .28707 L
.42003 .28697 L
.41811 .28557 L
.41752 .28515 L
.41618 .28415 L
.41491 .28322 L
.41425 .28272 L
.41234 .28129 L
.41232 .28128 L
.4104 .27981 L
.40981 .27937 L
.40847 .27833 L
.40731 .27744 L
.40654 .27684 L
.40485 .27551 L
.40462 .27533 L
.40269 .27381 L
.40241 .27359 L
.40076 .27227 L
.4 .27166 L
.39884 .27072 L
.39761 .26973 L
.39691 .26916 L
.39525 .2678 L
.39498 .26759 L
.39306 .26601 L
.3929 .26588 L
.39113 .26441 L
.39056 .26395 L
.3892 .26282 L
.38824 .26202 L
.38727 .26122 L
.38592 .2601 L
.38535 .25962 L
.38361 .25817 L
.38342 .25801 L
.38149 .25641 L
.38129 .25624 L
.37957 .25482 L
.37896 .25432 L
.37764 .25322 L
.37663 .25239 L
.37571 .25164 L
.37427 .25046 L
.37379 .25007 L
.37189 .24854 L
.37186 .24851 L
.36993 .24697 L
.36949 .24661 L
.36801 .24545 L
.36705 .24468 L
.36608 .24395 L
.36452 .24275 L
.36415 .24249 L
.36222 .24108 L
.36211 .24083 L
.3603 .23972 L
.35904 .2389 L
.35837 .23847 L
.35644 .2374 L
.35471 .2389 L
.35482 .24083 L
.35461 .24275 L
.35452 .24311 L
.35348 .24468 L
.35259 .24553 L
.35066 .24631 L
.34906 .24661 L
.34874 .24668 L
.34681 .24698 L
.34488 .24718 L
.34296 .24732 L
.34103 .2474 L
.3391 .24746 L
.33717 .24749 L
.33525 .2475 L
.33332 .24749 L
.33139 .24746 L
.32947 .2474 L
.32754 .24732 L
.32561 .2472 L
.32369 .24706 L
.32176 .24688 L
.31983 .24666 L
.31942 .24661 L
.31791 .24636 L
.31598 .24596 L
.31405 .24549 L
.31212 .24497 L
.31104 .24468 L
.3102 .24438 L
.30827 .24363 L
.30634 .24287 L
.30601 .24275 L
.30442 .242 L
.30249 .24102 L
.30205 .24083 L
.30056 .2401 L
.29864 .23923 L
.29797 .2389 L
.29671 .23828 L
.29478 .23746 L
.29364 .2389 L
.29475 .24083 L
.29478 .24088 L
.29604 .24275 L
.29671 .24392 L
.29748 .24468 L
.29864 .24628 L
.29898 .24661 L
.30053 .24854 L
.30056 .24858 L
.3021 .25046 L
.30249 .25095 L
.30369 .25239 L
.30442 .25327 L
.3053 .25432 L
.30634 .25556 L
.30693 .25624 L
.30827 .25783 L
.30856 .25817 L
.31019 .2601 L
.3102 .2601 L
.31182 .26202 L
.31212 .26238 L
.31345 .26395 L
.31405 .26466 L
.31507 .26588 L
.31598 .26696 L
.31668 .2678 L
.31791 .26929 L
.31827 .26973 L
.31983 .27165 L
.31984 .27166 L
.32138 .27359 L
.32176 .27406 L
.3229 .27551 L
.32369 .27652 L
.32439 .27744 L
.32561 .27904 L
.32586 .27937 L
.32729 .28129 L
.32754 .28164 L
.32868 .28322 L
.32947 .28433 L
.33003 .28515 L
.33134 .28707 L
.33139 .28715 L
.3326 .289 L
.33332 .29014 L
.3338 .29093 L
.33491 .29285 L
.33525 .29343 L
.33592 .29478 L
.33679 .29671 L
.33717 .29777 L
.33743 .29864 L
.33777 .30056 L
.33767 .30249 L
.33717 .30381 L
.33665 .30442 L
.33525 .30498 L
.33332 .30476 L
.33214 .30442 L
.33139 .30416 L
.32947 .30337 L
.32756 .30249 L
.32754 .30248 L
.32561 .30152 L
.32379 .30056 L
.32369 .30051 L
.32176 .29944 L
.32035 .29864 L
.31983 .29833 L
.31791 .29716 L
.31717 .29671 L
.31598 .29595 L
.31416 .29478 L
.31405 .29471 L
.31212 .29343 L
.31126 .29285 L
.3102 .29214 L
.30842 .29093 L
.30827 .29082 L
.30634 .28949 L
.30564 .289 L
.30442 .28814 L
.30291 .28707 L
.30249 .28677 L
.30056 .28538 L
.30024 .28515 L
.29864 .28397 L
.29763 .28322 L
.29671 .28253 L
.29506 .28129 L
.29478 .28108 L
.29285 .27961 L
.29253 .27937 L
.29093 .27813 L
.29003 .27744 L
.289 .27664 L
.28754 .27551 L
.28707 .27515 L
.28515 .27364 L
.28507 .27359 L
.28322 .27212 L
.28263 .27166 L
.28129 .2706 L
.2802 .26973 L
.27937 .26906 L
.27779 .2678 L
.27744 .26752 L
.27551 .26596 L
.2754 .26588 L
.27359 .26439 L
.27304 .26395 L
.27166 .26281 L
.27069 .26202 L
.26973 .26123 L
.26835 .2601 L
.2678 .25964 L
.26603 .25817 L
.26588 .25804 L
.26395 .25643 L
.26372 .25624 L
.26202 .25481 L
.26143 .25432 L
.2601 .25319 L
.25914 .25239 L
.25817 .25156 L
.25687 .25046 L
.25624 .24992 L
.25461 .24854 L
.25432 .24828 L
.25239 .24663 L
.25236 .24661 L
.25046 .24497 L
.25013 .24468 L
.24854 .2433 L
.24791 .24275 L
.24661 .24162 L
.24569 .24083 L
.24468 .23994 L
.24349 .2389 L
.24275 .23826 L
.24129 .23697 L
.24083 .23657 L
.2391 .23505 L
.2389 .23487 L
.23697 .23317 L
.23692 .23312 L
.23505 .23145 L
.23475 .23119 L
.23312 .22973 L
.23259 .22927 L
.23119 .22801 L
.23044 .22734 L
.22927 .22628 L
.2283 .22541 L
.22734 .22455 L
.22616 .22349 L
.22541 .22281 L
.22403 .22156 L
.22349 .22106 L
.22191 .21963 L
.22156 .21931 L
.21979 .2177 L
.21963 .21756 L
.2177 .2158 L
.21768 .21578 L
.21578 .21402 L
.21559 .21385 L
.21385 .21224 L
.2135 .21192 L
.21192 .21046 L
.21142 .21 L
.21 .20867 L
.20934 .20807 L
.20807 .20688 L
.20728 .20614 L
.20614 .20508 L
.20521 .20422 L
.20422 .20328 L
.20316 .20229 L
.20229 .20147 L
.20111 .20036 L
.20036 .19966 L
.19906 .19844 L
.19844 .19784 L
.19703 .19651 L
.19651 .19601 L
.195 .19458 L
.19458 .19418 L
.19297 .19265 L
.19265 .19235 L
.19096 .19073 L
.19073 .19051 L
.18895 .1888 L
.1888 .18866 L
.18694 .18687 L
.18687 .18681 L
.18495 .18495 L
.18495 .18495 L
.18302 .18308 L
.18296 .18302 L
.18109 .1812 L
.18098 .18109 L
.17917 .17932 L
.179 .17917 L
.17724 .17744 L
.17704 .17724 L
.17531 .17555 L
.17507 .17531 L
.17339 .17365 L
.17312 .17339 L
.17146 .17175 L
.17117 .17146 L
.16953 .16984 L
.16922 .16953 L
.1676 .16792 L
.16729 .1676 L
.16568 .166 L
.16536 .16568 L
.16375 .16407 L
.16343 .16375 L
.16182 .16213 L
.16152 .16182 L
.1599 .16019 L
.15961 .1599 L
.15797 .15824 L
.1577 .15797 L
.15604 .15629 L
.1558 .15604 L
.15412 .15432 L
.15391 .15412 L
.15219 .15235 L
.15203 .15219 L
.15026 .15038 L
.15015 .15026 L
.14834 .14839 L
.14828 .14834 L
.14642 .14641 L
.14641 .1464 L
.14457 .14448 L
.14448 .14439 L
.14272 .14255 L
.14255 .14238 L
.14088 .14063 L
.14063 .14036 L
.13905 .1387 L
.1387 .13833 L
.13723 .13677 L
.13677 .1363 L
.13541 .13485 L
.13485 .13425 L
.1336 .13292 L
.13292 .13219 L
.1318 .13099 L
.13099 .13013 L
.13001 .12907 L
.12907 .12805 L
.12823 .12714 L
.12714 .12596 L
.12645 .12521 L
.12521 .12387 L
.12468 .12329 L
.12329 .12176 L
.12292 .12136 L
.12136 .11964 L
.12117 .11943 L
.11943 .1175 L
.11943 .1175 L
.11771 .11558 L
.1175 .11535 L
.11599 .11365 L
.11558 .11319 L
.11428 .11172 L
.11365 .11101 L
.11259 .1098 L
.11172 .10881 L
.1109 .10787 L
.1098 .1066 L
.10923 .10594 L
.10787 .10437 L
.10757 .10402 L
.10594 .10212 L
.10591 .10209 L
.10428 .10016 L
.10402 .09985 L
.10266 .09823 L
.10209 .09755 L
.10105 .09631 L
.10016 .09523 L
.09946 .09438 L
.09823 .09288 L
.09789 .09245 L
.09633 .09053 L
.09631 .0905 L
.09479 .0886 L
.09438 .08808 L
.09327 .08667 L
.09245 .08562 L
.09178 .08475 L
.09053 .08312 L
.0903 .08282 L
.08885 .08089 L
.0886 .08055 L
.08743 .07897 L
.08667 .07792 L
.08604 .07704 L
.08475 .0752 L
.08468 .07511 L
.08337 .07318 L
.08282 .07237 L
.08209 .07126 L
.08089 .06937 L
.08087 .06933 L
.0797 .0674 L
.07897 .06613 L
.07861 .06548 L
.07761 .06355 L
.07704 .06239 L
.07673 .06162 L
.07602 .0597 L
.07556 .05777 L
.07558 .05584 L
F
1 .97 0 r
.0886 .06673 m
.09053 .06599 L
.09245 .06626 L
.09438 .06683 L
.09602 .0674 L
.09631 .06758 L
.09823 .06846 L
.09997 .06933 L
.10016 .06944 L
.10209 .07049 L
.10345 .07126 L
.10402 .07159 L
.10594 .07275 L
.10665 .07318 L
.10787 .07395 L
.10968 .07511 L
.1098 .07519 L
.11172 .07646 L
.1126 .07704 L
.11365 .07775 L
.11542 .07897 L
.11558 .07908 L
.1175 .08042 L
.11817 .08089 L
.11943 .08179 L
.12086 .08282 L
.12136 .08318 L
.12329 .08459 L
.12351 .08475 L
.12521 .08601 L
.12611 .08667 L
.12714 .08745 L
.12868 .0886 L
.12907 .0889 L
.13099 .09036 L
.13121 .09053 L
.13292 .09184 L
.13372 .09245 L
.13485 .09333 L
.1362 .09438 L
.13677 .09483 L
.13866 .09631 L
.1387 .09634 L
.14063 .09787 L
.14109 .09823 L
.14255 .09941 L
.1435 .10016 L
.14448 .10095 L
.14589 .10209 L
.14641 .10251 L
.14826 .10402 L
.14834 .10408 L
.15026 .10567 L
.15059 .10594 L
.15219 .10728 L
.1529 .10787 L
.15412 .1089 L
.15519 .1098 L
.15604 .11053 L
.15746 .11172 L
.15797 .11217 L
.15969 .11365 L
.1599 .11383 L
.16182 .11551 L
.16191 .11558 L
.16375 .1172 L
.1641 .1175 L
.16568 .11891 L
.16627 .11943 L
.1676 .12063 L
.16843 .12136 L
.16953 .12235 L
.17058 .12329 L
.17146 .12408 L
.17272 .12521 L
.17339 .12582 L
.17485 .12714 L
.17531 .12756 L
.17699 .12907 L
.17724 .12929 L
.17912 .13099 L
.17917 .13103 L
.18109 .13276 L
.18127 .13292 L
.18302 .13449 L
.18342 .13485 L
.18495 .13621 L
.18558 .13677 L
.18687 .13792 L
.18776 .1387 L
.1888 .13962 L
.18995 .14063 L
.19073 .1413 L
.19216 .14255 L
.19265 .14298 L
.1944 .14448 L
.19458 .14464 L
.19651 .14627 L
.19667 .14641 L
.19844 .14789 L
.19896 .14834 L
.20036 .14948 L
.20129 .15026 L
.20229 .15105 L
.20368 .15219 L
.20422 .15259 L
.20614 .15408 L
.20619 .15412 L
.20807 .15551 L
.20881 .15604 L
.21 .15687 L
.2119 .15797 L
.21192 .15798 L
.21353 .15797 L
.21348 .15604 L
.21359 .15412 L
.21378 .15219 L
.21385 .152 L
.21563 .15026 L
.21578 .15016 L
.2177 .14932 L
.21963 .14893 L
.22156 .14869 L
.22349 .14854 L
.22541 .14842 L
.22734 .14834 L
.22755 .14834 L
.22927 .14829 L
.23119 .14826 L
.23312 .14824 L
.23505 .14825 L
.23697 .14827 L
.2389 .14832 L
.23959 .14834 L
.24083 .14838 L
.24275 .14847 L
.24468 .1486 L
.24661 .14877 L
.24854 .14899 L
.25046 .14927 L
.25239 .14962 L
.25432 .15002 L
.25545 .15026 L
.25624 .15049 L
.25817 .15112 L
.2601 .15182 L
.26123 .15219 L
.26202 .15252 L
.26395 .15347 L
.26559 .15412 L
.26588 .15426 L
.2678 .15548 L
.2693 .15604 L
.26973 .15623 L
.27166 .15718 L
.27334 .15797 L
.27359 .15807 L
.27498 .15797 L
.27412 .15604 L
.27359 .15523 L
.27297 .15412 L
.27166 .15262 L
.27137 .15219 L
.26977 .15026 L
.26973 .15021 L
.26817 .14834 L
.2678 .14788 L
.26652 .14641 L
.26588 .14564 L
.26484 .14448 L
.26395 .14346 L
.26313 .14255 L
.26202 .14131 L
.26139 .14063 L
.2601 .1392 L
.25964 .1387 L
.25817 .1371 L
.25787 .13677 L
.25624 .13502 L
.25608 .13485 L
.25432 .13295 L
.25428 .13292 L
.25248 .13099 L
.25239 .1309 L
.25067 .12907 L
.25046 .12885 L
.24885 .12714 L
.24854 .1268 L
.24704 .12521 L
.24661 .12475 L
.24523 .12329 L
.24468 .1227 L
.24343 .12136 L
.24275 .12063 L
.24164 .11943 L
.24083 .11855 L
.23987 .1175 L
.2389 .11645 L
.23811 .11558 L
.23697 .11432 L
.23638 .11365 L
.23505 .11216 L
.23467 .11172 L
.23312 .10996 L
.23298 .1098 L
.23132 .10787 L
.23119 .10772 L
.22969 .10594 L
.22927 .10544 L
.22808 .10402 L
.22734 .10312 L
.2265 .10209 L
.22541 .10076 L
.22494 .10016 L
.22349 .09835 L
.2234 .09823 L
.22188 .09631 L
.22156 .09589 L
.22039 .09438 L
.21963 .09339 L
.21893 .09245 L
.2177 .09082 L
.21749 .09053 L
.21607 .0886 L
.21578 .08819 L
.21469 .08667 L
.21385 .08548 L
.21335 .08475 L
.21204 .08282 L
.21192 .08264 L
.21079 .08089 L
.21 .07964 L
.20959 .07897 L
.20847 .07704 L
.20807 .07636 L
.20743 .07511 L
.20652 .07318 L
.20614 .07227 L
.20577 .07126 L
.2053 .06933 L
.20537 .0674 L
.20614 .06616 L
.20807 .066 L
.21 .06632 L
.21192 .06693 L
.21327 .0674 L
.21385 .0677 L
.21578 .0686 L
.21724 .06933 L
.2177 .06959 L
.21963 .07064 L
.22071 .07126 L
.22156 .07176 L
.22349 .07292 L
.22391 .07318 L
.22541 .07413 L
.22695 .07511 L
.22734 .07537 L
.22927 .07664 L
.22986 .07704 L
.23119 .07794 L
.23268 .07897 L
.23312 .07927 L
.23505 .08062 L
.23543 .08089 L
.23697 .082 L
.23812 .08282 L
.2389 .08339 L
.24076 .08475 L
.24083 .0848 L
.24275 .08623 L
.24335 .08667 L
.24468 .08768 L
.24591 .0886 L
.24661 .08913 L
.24843 .09053 L
.24854 .09061 L
.25046 .0921 L
.25093 .09245 L
.25239 .0936 L
.25339 .09438 L
.25432 .09511 L
.25583 .09631 L
.25624 .09663 L
.25817 .09817 L
.25825 .09823 L
.2601 .09972 L
.26065 .10016 L
.26202 .10128 L
.26303 .10209 L
.26395 .10284 L
.26539 .10402 L
.26588 .10442 L
.26773 .10594 L
.2678 .106 L
.26973 .1076 L
.27006 .10787 L
.27166 .10921 L
.27237 .1098 L
.27359 .11082 L
.27466 .11172 L
.27551 .11244 L
.27694 .11365 L
.27744 .11407 L
.27921 .11558 L
.27937 .11571 L
.28129 .11735 L
.28147 .1175 L
.28322 .11901 L
.28371 .11943 L
.28515 .12067 L
.28594 .12136 L
.28707 .12234 L
.28816 .12329 L
.289 .12402 L
.29037 .12521 L
.29093 .1257 L
.29258 .12714 L
.29285 .12739 L
.29477 .12907 L
.29478 .12908 L
.29671 .13079 L
.29694 .13099 L
.29864 .1325 L
.29911 .13292 L
.30056 .13422 L
.30127 .13485 L
.30249 .13594 L
.30342 .13677 L
.30442 .13767 L
.30556 .1387 L
.30634 .13941 L
.30769 .14063 L
.30827 .14115 L
.30982 .14255 L
.3102 .1429 L
.31194 .14448 L
.31212 .14465 L
.31404 .14641 L
.31405 .14641 L
.31598 .14819 L
.31614 .14834 L
.31791 .14996 L
.31823 .15026 L
.31983 .15175 L
.32031 .15219 L
.32176 .15354 L
.32238 .15412 L
.32369 .15533 L
.32445 .15604 L
.32561 .15713 L
.32651 .15797 L
.32754 .15894 L
.32856 .1599 L
.32947 .16075 L
.33061 .16182 L
.33139 .16257 L
.33264 .16375 L
.33332 .16439 L
.33467 .16568 L
.33525 .16622 L
.3367 .1676 L
.33717 .16806 L
.33871 .16953 L
.3391 .1699 L
.34072 .17146 L
.34103 .17175 L
.34272 .17339 L
.34296 .17361 L
.34472 .17531 L
.34488 .17547 L
.3467 .17724 L
.34681 .17734 L
.34868 .17917 L
.34874 .17922 L
.35065 .18109 L
.35066 .1811 L
.35259 .18299 L
.35262 .18302 L
.35452 .18489 L
.35457 .18495 L
.35644 .18679 L
.35652 .18687 L
.35837 .18871 L
.35847 .1888 L
.3603 .19062 L
.3604 .19073 L
.36222 .19255 L
.36233 .19265 L
.36415 .19448 L
.36425 .19458 L
.36608 .19642 L
.36616 .19651 L
.36801 .19837 L
.36807 .19844 L
.36993 .20032 L
.36997 .20036 L
.37186 .20229 L
.37186 .20229 L
.37374 .20422 L
.37379 .20426 L
.37562 .20614 L
.37571 .20624 L
.37749 .20807 L
.37764 .20823 L
.37935 .21 L
.37957 .21023 L
.3812 .21192 L
.38149 .21223 L
.38304 .21385 L
.38342 .21425 L
.38487 .21578 L
.38535 .21627 L
.3867 .2177 L
.38727 .21831 L
.38852 .21963 L
.3892 .22036 L
.39033 .22156 L
.39113 .22241 L
.39213 .22349 L
.39306 .22448 L
.39392 .22541 L
.39498 .22656 L
.3957 .22734 L
.39691 .22865 L
.39747 .22927 L
.39884 .23075 L
.39924 .23119 L
.40076 .23287 L
.40099 .23312 L
.40269 .235 L
.40274 .23505 L
.40447 .23697 L
.40462 .23714 L
.40618 .2389 L
.40654 .2393 L
.40789 .24083 L
.40847 .24148 L
.40959 .24275 L
.4104 .24368 L
.41127 .24468 L
.41232 .24589 L
.41294 .24661 L
.41425 .24813 L
.4146 .24854 L
.41618 .25039 L
.41624 .25046 L
.41787 .25239 L
.41811 .25267 L
.41948 .25432 L
.42003 .25498 L
.42107 .25624 L
.42196 .25732 L
.42265 .25817 L
.42389 .2597 L
.42421 .2601 L
.42574 .26202 L
.42581 .26211 L
.42726 .26395 L
.42774 .26457 L
.42875 .26588 L
.42967 .26708 L
.43021 .2678 L
.43159 .26966 L
.43165 .26973 L
.43305 .27166 L
.43352 .27232 L
.43441 .27359 L
.43545 .27508 L
.43574 .27551 L
.43701 .27744 L
.43737 .27799 L
.43823 .27937 L
.4393 .28114 L
.43939 .28129 L
.44046 .28322 L
.44123 .28472 L
.44141 .28515 L
.44223 .28707 L
.44281 .289 L
.44297 .29093 L
.44123 .29285 L
.4393 .29285 L
.43737 .29241 L
.43545 .29173 L
.43359 .29093 L
.43352 .29089 L
.43159 .28995 L
.42979 .289 L
.42967 .28893 L
.42774 .28785 L
.42641 .28707 L
.42581 .28671 L
.42389 .28553 L
.42327 .28515 L
.42196 .28431 L
.42029 .28322 L
.42003 .28305 L
.41811 .28176 L
.41741 .28129 L
.41618 .28045 L
.41462 .27937 L
.41425 .27911 L
.41232 .27775 L
.41189 .27744 L
.4104 .27636 L
.40923 .27551 L
.40847 .27496 L
.40661 .27359 L
.40654 .27354 L
.40462 .27209 L
.40404 .27166 L
.40269 .27064 L
.4015 .26973 L
.40076 .26916 L
.399 .2678 L
.39884 .26768 L
.39691 .26618 L
.39653 .26588 L
.39498 .26466 L
.39408 .26395 L
.39306 .26314 L
.39166 .26202 L
.39113 .2616 L
.38925 .2601 L
.3892 .26006 L
.38727 .2585 L
.38686 .25817 L
.38535 .25694 L
.38449 .25624 L
.38342 .25537 L
.38213 .25432 L
.38149 .25379 L
.37978 .25239 L
.37957 .25222 L
.37764 .25063 L
.37743 .25046 L
.37571 .24905 L
.37509 .24854 L
.37379 .24746 L
.37275 .24661 L
.37186 .24587 L
.37042 .24468 L
.36993 .24428 L
.36808 .24275 L
.36801 .2427 L
.36608 .24111 L
.36575 .24083 L
.36415 .23951 L
.36342 .2389 L
.36222 .23792 L
.36109 .23697 L
.3603 .23632 L
.35877 .23505 L
.35837 .23472 L
.35644 .23312 L
.35644 .23312 L
.35452 .23146 L
.35423 .23119 L
.35259 .22978 L
.35201 .22927 L
.35066 .22809 L
.3498 .22734 L
.34874 .22637 L
.34763 .22541 L
.34681 .22463 L
.34553 .22349 L
.34488 .22284 L
.34348 .22156 L
.34296 .22102 L
.34149 .21963 L
.34103 .21915 L
.33953 .2177 L
.3391 .21726 L
.33759 .21578 L
.33717 .21534 L
.33566 .21385 L
.33525 .21342 L
.33374 .21192 L
.33332 .21149 L
.33182 .21 L
.33139 .20957 L
.32988 .20807 L
.32947 .20765 L
.32794 .20614 L
.32754 .20574 L
.32598 .20422 L
.32561 .20385 L
.32401 .20229 L
.32369 .20197 L
.32202 .20036 L
.32176 .20011 L
.32001 .19844 L
.31983 .19826 L
.31799 .19651 L
.31791 .19643 L
.31598 .19462 L
.31594 .19458 L
.31405 .19282 L
.31387 .19265 L
.31212 .19105 L
.31177 .19073 L
.3102 .18929 L
.30965 .1888 L
.30827 .18756 L
.3075 .18687 L
.30634 .18585 L
.30532 .18495 L
.30442 .18416 L
.30311 .18302 L
.30249 .18249 L
.30085 .18109 L
.30056 .18086 L
.29864 .17925 L
.29854 .17917 L
.29671 .17769 L
.29623 .17724 L
.29478 .17619 L
.29387 .17531 L
.29285 .17474 L
.29093 .17343 L
.29086 .17339 L
.289 .17249 L
.28781 .17339 L
.2876 .17531 L
.28707 .17688 L
.28683 .17724 L
.28515 .17865 L
.28394 .17917 L
.28322 .17943 L
.28129 .17988 L
.27937 .18014 L
.27744 .1803 L
.27551 .18041 L
.27359 .18049 L
.27166 .18054 L
.26973 .18057 L
.2678 .18058 L
.26588 .18058 L
.26395 .18057 L
.26202 .18053 L
.2601 .18049 L
.25817 .18041 L
.25624 .18032 L
.25432 .18018 L
.25239 .18001 L
.25046 .17979 L
.24854 .17952 L
.24661 .17921 L
.24636 .17917 L
.24468 .17877 L
.24275 .17823 L
.24083 .17761 L
.23955 .17724 L
.2389 .17699 L
.23697 .17611 L
.23505 .17542 L
.2348 .17531 L
.23312 .17426 L
.23119 .17364 L
.23064 .17339 L
.22927 .17279 L
.22759 .17339 L
.22864 .17531 L
.22927 .17601 L
.23014 .17724 L
.23119 .17847 L
.23174 .17917 L
.23312 .18077 L
.2334 .18109 L
.23505 .183 L
.23509 .18302 L
.23682 .18495 L
.23697 .18512 L
.23859 .18687 L
.2389 .18722 L
.24039 .1888 L
.24083 .18928 L
.24221 .19073 L
.24275 .1913 L
.24407 .19265 L
.24468 .19329 L
.24594 .19458 L
.24661 .19526 L
.24784 .19651 L
.24854 .19721 L
.24976 .19844 L
.25046 .19913 L
.2517 .20036 L
.25239 .20104 L
.25366 .20229 L
.25432 .20293 L
.25564 .20422 L
.25624 .2048 L
.25763 .20614 L
.25817 .20666 L
.25963 .20807 L
.2601 .20851 L
.26165 .21 L
.26202 .21035 L
.26367 .21192 L
.26395 .21219 L
.2657 .21385 L
.26588 .21402 L
.26772 .21578 L
.2678 .21585 L
.26973 .2177 L
.26974 .2177 L
.27166 .21956 L
.27172 .21963 L
.27359 .22145 L
.27367 .22156 L
.27551 .22339 L
.27558 .22349 L
.27744 .22538 L
.27746 .22541 L
.27927 .22734 L
.27937 .22744 L
.28101 .22927 L
.28129 .22958 L
.2827 .23119 L
.28322 .23179 L
.28436 .23312 L
.28515 .23405 L
.286 .23505 L
.28707 .23633 L
.28763 .23697 L
.289 .2386 L
.28926 .2389 L
.29089 .24083 L
.29093 .24087 L
.2925 .24275 L
.29285 .24318 L
.29411 .24468 L
.29478 .24549 L
.29572 .24661 L
.29671 .2478 L
.29733 .24854 L
.29864 .25011 L
.29893 .25046 L
.30054 .25239 L
.30056 .25242 L
.30213 .25432 L
.30249 .25475 L
.30371 .25624 L
.30442 .2571 L
.30529 .25817 L
.30634 .25947 L
.30685 .2601 L
.30827 .26187 L
.30839 .26202 L
.30991 .26395 L
.3102 .26432 L
.31141 .26588 L
.31212 .26681 L
.31288 .2678 L
.31405 .26936 L
.31432 .26973 L
.31573 .27166 L
.31598 .272 L
.3171 .27359 L
.31791 .27474 L
.31843 .27551 L
.3197 .27744 L
.31983 .27764 L
.32092 .27937 L
.32176 .28076 L
.32206 .28129 L
.32313 .28322 L
.32369 .28428 L
.32408 .28515 L
.32489 .28707 L
.32548 .289 L
.32561 .28971 L
.32569 .29093 L
.32561 .29142 L
.32432 .29285 L
.32369 .29298 L
.32193 .29285 L
.32176 .29282 L
.31983 .29231 L
.31791 .2916 L
.31632 .29093 L
.31598 .29075 L
.31405 .28981 L
.31252 .289 L
.31212 .28878 L
.3102 .28768 L
.30916 .28707 L
.30827 .28654 L
.30634 .28535 L
.30603 .28515 L
.30442 .28412 L
.30304 .28322 L
.30249 .28286 L
.30056 .28157 L
.30015 .28129 L
.29864 .28026 L
.29735 .27937 L
.29671 .27892 L
.29478 .27756 L
.29462 .27744 L
.29285 .27617 L
.29195 .27551 L
.29093 .27476 L
.28933 .27359 L
.289 .27334 L
.28707 .2719 L
.28675 .27166 L
.28515 .27045 L
.28421 .26973 L
.28322 .26898 L
.28169 .2678 L
.28129 .2675 L
.27937 .266 L
.27921 .26588 L
.27744 .26449 L
.27675 .26395 L
.27551 .26297 L
.27431 .26202 L
.27359 .26144 L
.2719 .2601 L
.27166 .2599 L
.26973 .25835 L
.26951 .25817 L
.2678 .25678 L
.26714 .25624 L
.26588 .25521 L
.26479 .25432 L
.26395 .25362 L
.26245 .25239 L
.26202 .25203 L
.26013 .25046 L
.2601 .25044 L
.25817 .24882 L
.25782 .24854 L
.25624 .2472 L
.25553 .24661 L
.25432 .24558 L
.25326 .24468 L
.25239 .24394 L
.25099 .24275 L
.25046 .2423 L
.24874 .24083 L
.24854 .24065 L
.24661 .239 L
.2465 .2389 L
.24468 .23733 L
.24427 .23697 L
.24275 .23565 L
.24206 .23505 L
.24083 .23397 L
.23985 .23312 L
.2389 .23229 L
.23765 .23119 L
.23697 .23059 L
.23547 .22927 L
.23505 .22889 L
.23329 .22734 L
.23312 .22719 L
.23119 .22547 L
.23112 .22541 L
.22927 .22375 L
.22897 .22349 L
.22734 .22202 L
.22682 .22156 L
.22541 .22028 L
.22469 .21963 L
.22349 .21854 L
.22256 .2177 L
.22156 .2168 L
.22044 .21578 L
.21963 .21504 L
.21832 .21385 L
.2177 .21328 L
.21622 .21192 L
.21578 .21152 L
.21412 .21 L
.21385 .20975 L
.21203 .20807 L
.21192 .20797 L
.21 .20619 L
.20995 .20614 L
.20807 .20439 L
.20788 .20422 L
.20614 .20259 L
.20582 .20229 L
.20422 .20079 L
.20376 .20036 L
.20229 .19898 L
.20171 .19844 L
.20036 .19716 L
.19967 .19651 L
.19844 .19534 L
.19764 .19458 L
.19651 .19351 L
.19561 .19265 L
.19458 .19167 L
.19359 .19073 L
.19265 .18983 L
.19158 .1888 L
.19073 .18798 L
.18957 .18687 L
.1888 .18613 L
.18757 .18495 L
.18687 .18427 L
.18558 .18302 L
.18495 .1824 L
.1836 .18109 L
.18302 .18053 L
.18162 .17917 L
.18109 .17865 L
.17965 .17724 L
.17917 .17676 L
.17769 .17531 L
.17724 .17487 L
.17573 .17339 L
.17531 .17297 L
.17379 .17146 L
.17339 .17106 L
.17185 .16953 L
.17146 .16914 L
.16991 .1676 L
.16953 .16722 L
.16799 .16568 L
.1676 .16529 L
.16607 .16375 L
.16568 .16336 L
.16416 .16182 L
.16375 .16141 L
.16226 .1599 L
.16182 .15946 L
.16036 .15797 L
.1599 .1575 L
.15847 .15604 L
.15797 .15553 L
.15659 .15412 L
.15604 .15355 L
.15472 .15219 L
.15412 .15157 L
.15285 .15026 L
.15219 .14957 L
.151 .14834 L
.15026 .14757 L
.14915 .14641 L
.14834 .14556 L
.14731 .14448 L
.14641 .14354 L
.14547 .14255 L
.14448 .14151 L
.14365 .14063 L
.14255 .13947 L
.14183 .1387 L
.14063 .13742 L
.14003 .13677 L
.1387 .13535 L
.13823 .13485 L
.13677 .13328 L
.13644 .13292 L
.13485 .1312 L
.13466 .13099 L
.13292 .1291 L
.13289 .12907 L
.13113 .12714 L
.13099 .12699 L
.12938 .12521 L
.12907 .12486 L
.12765 .12329 L
.12714 .12272 L
.12592 .12136 L
.12521 .12057 L
.1242 .11943 L
.12329 .1184 L
.1225 .1175 L
.12136 .11621 L
.12081 .11558 L
.11943 .114 L
.11913 .11365 L
.1175 .11178 L
.11746 .11172 L
.11581 .1098 L
.11558 .10953 L
.11417 .10787 L
.11365 .10725 L
.11255 .10594 L
.11172 .10495 L
.11095 .10402 L
.1098 .10263 L
.10936 .10209 L
.10787 .10027 L
.10779 .10016 L
.10624 .09823 L
.10594 .09787 L
.10471 .09631 L
.10402 .09543 L
.1032 .09438 L
.10209 .09294 L
.10172 .09245 L
.10026 .09053 L
.10016 .09039 L
.09884 .0886 L
.09823 .08777 L
.09745 .08667 L
.09631 .08505 L
.0961 .08475 L
.09479 .08282 L
.09438 .08221 L
.09353 .08089 L
.09245 .07917 L
.09233 .07897 L
.0912 .07704 L
.09053 .07583 L
.09017 .07511 L
.08925 .07318 L
.0886 .07162 L
.08851 .07126 L
.08804 .06933 L
.08814 .0674 L
F
1 .96 0 r
.09823 .0749 m
.10016 .07473 L
.10196 .07511 L
.10209 .07515 L
.10402 .07582 L
.10594 .07666 L
.10677 .07704 L
.10787 .07761 L
.1098 .07864 L
.11038 .07897 L
.11172 .07974 L
.11364 .08089 L
.11365 .0809 L
.11558 .0821 L
.1167 .08282 L
.1175 .08334 L
.11943 .08462 L
.11963 .08475 L
.12136 .08592 L
.12245 .08667 L
.12329 .08725 L
.1252 .0886 L
.12521 .08861 L
.12714 .08999 L
.12789 .09053 L
.12907 .09139 L
.13052 .09245 L
.13099 .09281 L
.13292 .09424 L
.13311 .09438 L
.13485 .09569 L
.13566 .09631 L
.13677 .09716 L
.13817 .09823 L
.1387 .09864 L
.14063 .10014 L
.14066 .10016 L
.14255 .10165 L
.14311 .10209 L
.14448 .10318 L
.14554 .10402 L
.14641 .10471 L
.14794 .10594 L
.14834 .10626 L
.15026 .10782 L
.15032 .10787 L
.15219 .10941 L
.15267 .1098 L
.15412 .111 L
.155 .11172 L
.15604 .1126 L
.1573 .11365 L
.15797 .11421 L
.15959 .11558 L
.1599 .11584 L
.16182 .11748 L
.16185 .1175 L
.16375 .11914 L
.1641 .11943 L
.16568 .1208 L
.16632 .12136 L
.1676 .12248 L
.16854 .12329 L
.16953 .12416 L
.17074 .12521 L
.17146 .12585 L
.17293 .12714 L
.17339 .12754 L
.17511 .12907 L
.17531 .12925 L
.17724 .13095 L
.17729 .13099 L
.17917 .13266 L
.17946 .13292 L
.18109 .13437 L
.18163 .13485 L
.18302 .13608 L
.18381 .13677 L
.18495 .13779 L
.18598 .1387 L
.18687 .13949 L
.18816 .14063 L
.1888 .14119 L
.19034 .14255 L
.19073 .14289 L
.19253 .14448 L
.19265 .14459 L
.19458 .14628 L
.19473 .14641 L
.19651 .14796 L
.19693 .14834 L
.19844 .14964 L
.19914 .15026 L
.20036 .15132 L
.20135 .15219 L
.20229 .15299 L
.20357 .15412 L
.20422 .15467 L
.20579 .15604 L
.20614 .15634 L
.20801 .15797 L
.20807 .15802 L
.21 .15973 L
.21013 .1599 L
.21192 .16147 L
.21222 .16182 L
.21385 .16325 L
.21429 .16375 L
.21578 .16508 L
.21635 .16568 L
.2177 .16697 L
.21838 .1676 L
.21963 .16889 L
.22035 .16953 L
.22156 .17085 L
.22227 .17146 L
.22349 .17282 L
.22416 .17339 L
.22541 .17481 L
.22601 .17531 L
.22734 .1768 L
.22784 .17724 L
.22927 .1788 L
.22967 .17917 L
.23119 .18081 L
.23149 .18109 L
.23312 .18283 L
.23332 .18302 L
.23505 .18484 L
.23515 .18495 L
.23697 .18685 L
.237 .18687 L
.23885 .1888 L
.2389 .18885 L
.24072 .19073 L
.24083 .19084 L
.2426 .19265 L
.24275 .19281 L
.24449 .19458 L
.24468 .19478 L
.24639 .19651 L
.24661 .19673 L
.2483 .19844 L
.24854 .19867 L
.25022 .20036 L
.25046 .2006 L
.25215 .20229 L
.25239 .20253 L
.25408 .20422 L
.25432 .20445 L
.25601 .20614 L
.25624 .20637 L
.25795 .20807 L
.25817 .20829 L
.25989 .21 L
.2601 .21021 L
.26182 .21192 L
.26202 .21213 L
.26374 .21385 L
.26395 .21406 L
.26565 .21578 L
.26588 .21601 L
.26754 .2177 L
.2678 .21797 L
.26941 .21963 L
.26973 .21996 L
.27126 .22156 L
.27166 .22198 L
.27308 .22349 L
.27359 .22402 L
.27487 .22541 L
.27551 .2261 L
.27663 .22734 L
.27744 .22822 L
.27837 .22927 L
.27937 .23037 L
.28009 .23119 L
.28129 .23255 L
.28179 .23312 L
.28322 .23475 L
.28348 .23505 L
.28515 .23697 L
.28515 .23697 L
.2868 .2389 L
.28707 .23923 L
.28843 .24083 L
.289 .2415 L
.29006 .24275 L
.29093 .24379 L
.29168 .24468 L
.29285 .24609 L
.29328 .24661 L
.29478 .24842 L
.29488 .24854 L
.29646 .25046 L
.29671 .25077 L
.29802 .25239 L
.29864 .25315 L
.29957 .25432 L
.30056 .25556 L
.3011 .25624 L
.30249 .25802 L
.3026 .25817 L
.30408 .2601 L
.30442 .26053 L
.30554 .26202 L
.30634 .26311 L
.30696 .26395 L
.30827 .26578 L
.30834 .26588 L
.30968 .2678 L
.3102 .26856 L
.31097 .26973 L
.31212 .27154 L
.3122 .27166 L
.31336 .27359 L
.31405 .27479 L
.31442 .27551 L
.31537 .27744 L
.31598 .27869 L
.31614 .27937 L
.31665 .28129 L
.3165 .28322 L
.31598 .28406 L
.31405 .28431 L
.31212 .28397 L
.3102 .28334 L
.30982 .28322 L
.30827 .28255 L
.30634 .28163 L
.30567 .28129 L
.30442 .28062 L
.30249 .27953 L
.30221 .27937 L
.30056 .27839 L
.29902 .27744 L
.29864 .2772 L
.29671 .27597 L
.29601 .27551 L
.29478 .2747 L
.29312 .27359 L
.29285 .27341 L
.29093 .27208 L
.29032 .27166 L
.289 .27073 L
.2876 .26973 L
.28707 .26935 L
.28515 .26796 L
.28494 .2678 L
.28322 .26654 L
.28233 .26588 L
.28129 .2651 L
.27976 .26395 L
.27937 .26365 L
.27744 .26219 L
.27723 .26202 L
.27551 .2607 L
.27473 .2601 L
.27359 .25921 L
.27226 .25817 L
.27166 .2577 L
.26982 .25624 L
.26973 .25618 L
.2678 .25464 L
.2674 .25432 L
.26588 .25309 L
.26501 .25239 L
.26395 .25153 L
.26264 .25046 L
.26202 .24996 L
.26028 .24854 L
.2601 .24838 L
.25817 .24679 L
.25795 .24661 L
.25624 .24519 L
.25563 .24468 L
.25432 .24358 L
.25333 .24275 L
.25239 .24197 L
.25104 .24083 L
.25046 .24034 L
.24876 .2389 L
.24854 .23871 L
.24661 .23706 L
.24651 .23697 L
.24468 .23541 L
.24426 .23505 L
.24275 .23374 L
.24203 .23312 L
.24083 .23207 L
.23981 .23119 L
.2389 .2304 L
.2376 .22927 L
.23697 .22871 L
.23541 .22734 L
.23505 .22702 L
.23322 .22541 L
.23312 .22532 L
.23119 .22362 L
.23104 .22349 L
.22927 .2219 L
.22888 .22156 L
.22734 .22018 L
.22673 .21963 L
.22541 .21845 L
.22459 .2177 L
.22349 .21671 L
.22245 .21578 L
.22156 .21497 L
.22032 .21385 L
.21963 .21322 L
.21821 .21192 L
.2177 .21146 L
.2161 .21 L
.21578 .2097 L
.214 .20807 L
.21385 .20793 L
.21192 .20616 L
.21191 .20614 L
.21 .20437 L
.20983 .20422 L
.20807 .20258 L
.20776 .20229 L
.20614 .20078 L
.2057 .20036 L
.20422 .19897 L
.20364 .19844 L
.20229 .19716 L
.20159 .19651 L
.20036 .19534 L
.19955 .19458 L
.19844 .19352 L
.19752 .19265 L
.19651 .19169 L
.1955 .19073 L
.19458 .18985 L
.19348 .1888 L
.19265 .188 L
.19148 .18687 L
.19073 .18615 L
.18948 .18495 L
.1888 .18429 L
.18748 .18302 L
.18687 .18243 L
.1855 .18109 L
.18495 .18056 L
.18352 .17917 L
.18302 .17868 L
.18155 .17724 L
.18109 .17679 L
.17959 .17531 L
.17917 .17489 L
.17764 .17339 L
.17724 .17299 L
.17569 .17146 L
.17531 .17108 L
.17375 .16953 L
.17339 .16916 L
.17183 .1676 L
.17146 .16724 L
.1699 .16568 L
.16953 .1653 L
.16799 .16375 L
.1676 .16336 L
.16608 .16182 L
.16568 .16141 L
.16419 .1599 L
.16375 .15945 L
.1623 .15797 L
.16182 .15749 L
.16042 .15604 L
.1599 .15551 L
.15854 .15412 L
.15797 .15352 L
.15668 .15219 L
.15604 .15153 L
.15483 .15026 L
.15412 .14952 L
.15298 .14834 L
.15219 .14751 L
.15114 .14641 L
.15026 .14548 L
.14931 .14448 L
.14834 .14345 L
.14749 .14255 L
.14641 .1414 L
.14568 .14063 L
.14448 .13934 L
.14388 .1387 L
.14255 .13727 L
.14209 .13677 L
.14063 .13519 L
.14031 .13485 L
.1387 .13309 L
.13854 .13292 L
.13678 .13099 L
.13677 .13098 L
.13503 .12907 L
.13485 .12886 L
.1333 .12714 L
.13292 .12672 L
.13158 .12521 L
.13099 .12456 L
.12986 .12329 L
.12907 .12238 L
.12817 .12136 L
.12714 .12019 L
.12648 .11943 L
.12521 .11797 L
.12481 .1175 L
.12329 .11573 L
.12315 .11558 L
.12151 .11365 L
.12136 .11347 L
.11989 .11172 L
.11943 .11118 L
.11828 .1098 L
.1175 .10886 L
.11669 .10787 L
.11558 .1065 L
.11513 .10594 L
.11365 .10411 L
.11358 .10402 L
.11206 .10209 L
.11172 .10166 L
.11056 .10016 L
.1098 .09917 L
.10909 .09823 L
.10787 .0966 L
.10765 .09631 L
.10625 .09438 L
.10594 .09396 L
.10488 .09245 L
.10402 .0912 L
.10356 .09053 L
.1023 .0886 L
.10209 .08828 L
.10109 .08667 L
.10016 .0851 L
.09997 .08475 L
.09894 .08282 L
.09823 .08138 L
.09806 .08089 L
.09737 .07897 L
.09702 .07704 L
.0979 .07511 L
F
1 .99 0 r
.10016 .02488 m
.10209 .02376 L
.10402 .02341 L
.10594 .02335 L
.10787 .02349 L
.1098 .02378 L
.11172 .02422 L
.11365 .02476 L
.11443 .02501 L
.11558 .02542 L
.1175 .02618 L
.11923 .02694 L
.11943 .02703 L
.12136 .02799 L
.12297 .02887 L
.12329 .02904 L
.12521 .03021 L
.12612 .03079 L
.12714 .03148 L
.12883 .03272 L
.12907 .03289 L
.13099 .03449 L
.13116 .03465 L
.13292 .03638 L
.13308 .03657 L
.1345 .0385 L
.13485 .03919 L
.13515 .04043 L
.13485 .04162 L
.13415 .04235 L
.13292 .04321 L
.13099 .04365 L
.12907 .04381 L
.12714 .04386 L
.12521 .04382 L
.12329 .04371 L
.12136 .0435 L
.11943 .0432 L
.1175 .04279 L
.11585 .04235 L
.11558 .04227 L
.11365 .04162 L
.11172 .04082 L
.11091 .04043 L
.1098 .03985 L
.10787 .03868 L
.1076 .0385 L
.10594 .03729 L
.10507 .03657 L
.10402 .03563 L
.10305 .03465 L
.10209 .03359 L
.10143 .03272 L
.10019 .03079 L
.10016 .03073 L
.09939 .02887 L
.09919 .02694 L
.10005 .02501 L
F
1 .95 0 r
.10594 .08161 m
.10787 .08179 L
.1098 .08234 L
.11138 .08282 L
.11172 .08309 L
.11365 .08399 L
.11515 .08475 L
.11558 .08499 L
.1175 .08607 L
.11854 .08667 L
.11943 .08721 L
.12136 .0884 L
.12167 .0886 L
.12329 .08964 L
.12464 .09053 L
.12521 .09091 L
.12714 .09222 L
.12749 .09245 L
.12907 .09355 L
.13025 .09438 L
.13099 .09491 L
.13292 .09629 L
.13294 .09631 L
.13485 .0977 L
.13557 .09823 L
.13677 .09913 L
.13816 .10016 L
.1387 .10057 L
.14063 .10203 L
.1407 .10209 L
.14255 .10351 L
.14321 .10402 L
.14448 .10501 L
.14568 .10594 L
.14641 .10652 L
.14812 .10787 L
.14834 .10804 L
.15026 .10958 L
.15053 .1098 L
.15219 .11114 L
.15292 .11172 L
.15412 .1127 L
.15528 .11365 L
.15604 .11428 L
.15762 .11558 L
.15797 .11587 L
.1599 .11747 L
.15993 .1175 L
.16182 .11909 L
.16223 .11943 L
.16375 .12072 L
.1645 .12136 L
.16568 .12236 L
.16676 .12329 L
.1676 .12401 L
.16901 .12521 L
.16953 .12567 L
.17124 .12714 L
.17146 .12733 L
.17339 .12901 L
.17345 .12907 L
.17531 .13069 L
.17566 .13099 L
.17724 .13238 L
.17786 .13292 L
.17917 .13407 L
.18005 .13485 L
.18109 .13576 L
.18224 .13677 L
.18302 .13746 L
.18442 .1387 L
.18495 .13916 L
.1866 .14063 L
.18687 .14087 L
.18878 .14255 L
.1888 .14257 L
.19073 .14428 L
.19096 .14448 L
.19265 .14598 L
.19313 .14641 L
.19458 .14769 L
.1953 .14834 L
.19651 .14941 L
.19747 .15026 L
.19844 .15112 L
.19963 .15219 L
.20036 .15284 L
.20179 .15412 L
.20229 .15456 L
.20394 .15604 L
.20422 .15629 L
.20609 .15797 L
.20614 .15802 L
.20807 .15977 L
.2082 .1599 L
.21 .16155 L
.21029 .16182 L
.21192 .16334 L
.21236 .16375 L
.21385 .16515 L
.2144 .16568 L
.21578 .16699 L
.21642 .1676 L
.2177 .16885 L
.21842 .16953 L
.21963 .17073 L
.22039 .17146 L
.22156 .17264 L
.22233 .17339 L
.22349 .17456 L
.22426 .17531 L
.22541 .1765 L
.22616 .17724 L
.22734 .17845 L
.22806 .17917 L
.22927 .18041 L
.22995 .18109 L
.23119 .18237 L
.23184 .18302 L
.23312 .18434 L
.23372 .18495 L
.23505 .18631 L
.23561 .18687 L
.23697 .18827 L
.23749 .1888 L
.2389 .19024 L
.23938 .19073 L
.24083 .1922 L
.24128 .19265 L
.24275 .19416 L
.24317 .19458 L
.24468 .19611 L
.24507 .19651 L
.24661 .19807 L
.24697 .19844 L
.24854 .20002 L
.24888 .20036 L
.25046 .20197 L
.25078 .20229 L
.25239 .20392 L
.25268 .20422 L
.25432 .20587 L
.25459 .20614 L
.25624 .20783 L
.25648 .20807 L
.25817 .20979 L
.25837 .21 L
.2601 .21176 L
.26025 .21192 L
.26202 .21375 L
.26212 .21385 L
.26395 .21575 L
.26398 .21578 L
.26582 .2177 L
.26588 .21776 L
.26765 .21963 L
.2678 .2198 L
.26945 .22156 L
.26973 .22186 L
.27123 .22349 L
.27166 .22395 L
.27299 .22541 L
.27359 .22606 L
.27474 .22734 L
.27551 .2282 L
.27646 .22927 L
.27744 .23036 L
.27817 .23119 L
.27937 .23256 L
.27986 .23312 L
.28129 .23477 L
.28153 .23505 L
.28319 .23697 L
.28322 .23701 L
.28483 .2389 L
.28515 .23928 L
.28645 .24083 L
.28707 .24157 L
.28806 .24275 L
.289 .24389 L
.28965 .24468 L
.29093 .24624 L
.29123 .24661 L
.29278 .24854 L
.29285 .24863 L
.29431 .25046 L
.29478 .25105 L
.29582 .25239 L
.29671 .25353 L
.29731 .25432 L
.29864 .25607 L
.29876 .25624 L
.30019 .25817 L
.30056 .25869 L
.30157 .2601 L
.30249 .26141 L
.3029 .26202 L
.30419 .26395 L
.30442 .26429 L
.30541 .26588 L
.30634 .26744 L
.30654 .2678 L
.30758 .26973 L
.30827 .27112 L
.30845 .27166 L
.30912 .27359 L
.30937 .27551 L
.30827 .27702 L
.30634 .27725 L
.30442 .27681 L
.30249 .2761 L
.30104 .27551 L
.30056 .27524 L
.29864 .27426 L
.29738 .27359 L
.29671 .2732 L
.29478 .27207 L
.29409 .27166 L
.29285 .27089 L
.29103 .26973 L
.29093 .26967 L
.289 .2684 L
.2881 .2678 L
.28707 .26711 L
.28529 .26588 L
.28515 .26578 L
.28322 .26442 L
.28255 .26395 L
.28129 .26304 L
.27989 .26202 L
.27937 .26164 L
.27744 .26022 L
.27727 .2601 L
.27551 .25878 L
.2747 .25817 L
.27359 .25732 L
.27218 .25624 L
.27166 .25584 L
.26973 .25435 L
.26968 .25432 L
.2678 .25285 L
.26722 .25239 L
.26588 .25133 L
.26479 .25046 L
.26395 .24979 L
.26238 .24854 L
.26202 .24825 L
.2601 .24669 L
.26 .24661 L
.25817 .24512 L
.25764 .24468 L
.25624 .24354 L
.25529 .24275 L
.25432 .24194 L
.25297 .24083 L
.25239 .24034 L
.25066 .2389 L
.25046 .23873 L
.24854 .23711 L
.24837 .23697 L
.24661 .23548 L
.2461 .23505 L
.24468 .23384 L
.24384 .23312 L
.24275 .23219 L
.2416 .23119 L
.24083 .23053 L
.23937 .22927 L
.2389 .22886 L
.23715 .22734 L
.23697 .22719 L
.23505 .2255 L
.23494 .22541 L
.23312 .22381 L
.23275 .22349 L
.23119 .22211 L
.23057 .22156 L
.22927 .2204 L
.2284 .21963 L
.22734 .21868 L
.22624 .2177 L
.22541 .21696 L
.22409 .21578 L
.22349 .21523 L
.22196 .21385 L
.22156 .21349 L
.21983 .21192 L
.21963 .21175 L
.21771 .21 L
.2177 .20999 L
.21578 .20823 L
.2156 .20807 L
.21385 .20646 L
.2135 .20614 L
.21192 .20468 L
.21142 .20422 L
.21 .2029 L
.20934 .20229 L
.20807 .20111 L
.20727 .20036 L
.20614 .19931 L
.2052 .19844 L
.20422 .19751 L
.20315 .19651 L
.20229 .1957 L
.20111 .19458 L
.20036 .19388 L
.19907 .19265 L
.19844 .19205 L
.19704 .19073 L
.19651 .19022 L
.19502 .1888 L
.19458 .18838 L
.19301 .18687 L
.19265 .18653 L
.19101 .18495 L
.19073 .18467 L
.18902 .18302 L
.1888 .18281 L
.18703 .18109 L
.18687 .18094 L
.18505 .17917 L
.18495 .17906 L
.18309 .17724 L
.18302 .17717 L
.18113 .17531 L
.18109 .17528 L
.17917 .17339 L
.17917 .17338 L
.17724 .17147 L
.17723 .17146 L
.17531 .16955 L
.1753 .16953 L
.17339 .16762 L
.17337 .1676 L
.17146 .16568 L
.17145 .16568 L
.16954 .16375 L
.16953 .16374 L
.16764 .16182 L
.1676 .16179 L
.16575 .1599 L
.16568 .15982 L
.16387 .15797 L
.16375 .15785 L
.16199 .15604 L
.16182 .15587 L
.16013 .15412 L
.1599 .15388 L
.15827 .15219 L
.15797 .15187 L
.15643 .15026 L
.15604 .14986 L
.15459 .14834 L
.15412 .14784 L
.15276 .14641 L
.15219 .1458 L
.15095 .14448 L
.15026 .14375 L
.14914 .14255 L
.14834 .14169 L
.14735 .14063 L
.14641 .13962 L
.14556 .1387 L
.14448 .13753 L
.14379 .13677 L
.14255 .13543 L
.14202 .13485 L
.14063 .13331 L
.14027 .13292 L
.1387 .13118 L
.13853 .13099 L
.1368 .12907 L
.13677 .12903 L
.13509 .12714 L
.13485 .12686 L
.13339 .12521 L
.13292 .12467 L
.13171 .12329 L
.13099 .12246 L
.13004 .12136 L
.12907 .12022 L
.12839 .11943 L
.12714 .11796 L
.12675 .1175 L
.12521 .11567 L
.12513 .11558 L
.12353 .11365 L
.12329 .11335 L
.12196 .11172 L
.12136 .11099 L
.1204 .1098 L
.11943 .10858 L
.11887 .10787 L
.1175 .10613 L
.11736 .10594 L
.11589 .10402 L
.11558 .10361 L
.11444 .10209 L
.11365 .10101 L
.11304 .10016 L
.11172 .09831 L
.11167 .09823 L
.11035 .09631 L
.1098 .09548 L
.10909 .09438 L
.10791 .09245 L
.10787 .0924 L
.1068 .09053 L
.10594 .08888 L
.10582 .0886 L
.105 .08667 L
.10445 .08475 L
.10458 .08282 L
F
1 .94 0 r
.11172 .08762 m
.11365 .08771 L
.11558 .08823 L
.11658 .0886 L
.1175 .08897 L
.11943 .08987 L
.12074 .09053 L
.12136 .09088 L
.12329 .09197 L
.12412 .09245 L
.12521 .09312 L
.12714 .09433 L
.12723 .09438 L
.12907 .09557 L
.13018 .09631 L
.13099 .09686 L
.13292 .09818 L
.133 .09823 L
.13485 .09953 L
.13574 .10016 L
.13677 .1009 L
.13841 .10209 L
.1387 .1023 L
.14063 .10373 L
.14102 .10402 L
.14255 .10517 L
.14358 .10594 L
.14448 .10663 L
.1461 .10787 L
.14641 .10811 L
.14834 .1096 L
.14858 .1098 L
.15026 .11112 L
.15103 .11172 L
.15219 .11264 L
.15345 .11365 L
.15412 .11419 L
.15584 .11558 L
.15604 .11574 L
.15797 .11731 L
.15821 .1175 L
.1599 .1189 L
.16055 .11943 L
.16182 .12049 L
.16287 .12136 L
.16375 .1221 L
.16517 .12329 L
.16568 .12372 L
.16745 .12521 L
.1676 .12535 L
.16953 .12699 L
.16971 .12714 L
.17146 .12864 L
.17196 .12907 L
.17339 .1303 L
.1742 .13099 L
.17531 .13196 L
.17642 .13292 L
.17724 .13363 L
.17863 .13485 L
.17917 .13531 L
.18084 .13677 L
.18109 .137 L
.18302 .13869 L
.18303 .1387 L
.18495 .14039 L
.18522 .14063 L
.18687 .14209 L
.1874 .14255 L
.1888 .1438 L
.18957 .14448 L
.19073 .14551 L
.19174 .14641 L
.19265 .14722 L
.1939 .14834 L
.19458 .14894 L
.19606 .15026 L
.19651 .15066 L
.19821 .15219 L
.19844 .15239 L
.20035 .15412 L
.20036 .15413 L
.20229 .15587 L
.20247 .15604 L
.20422 .15763 L
.20459 .15797 L
.20614 .1594 L
.20668 .1599 L
.20807 .16117 L
.20877 .16182 L
.21 .16296 L
.21084 .16375 L
.21192 .16477 L
.21288 .16568 L
.21385 .16659 L
.21491 .1676 L
.21578 .16843 L
.21692 .16953 L
.2177 .17029 L
.21892 .17146 L
.21963 .17216 L
.22089 .17339 L
.22156 .17405 L
.22284 .17531 L
.22349 .17595 L
.22479 .17724 L
.22541 .17787 L
.22672 .17917 L
.22734 .17979 L
.22864 .18109 L
.22927 .18173 L
.23055 .18302 L
.23119 .18367 L
.23246 .18495 L
.23312 .18561 L
.23437 .18687 L
.23505 .18756 L
.23627 .1888 L
.23697 .18952 L
.23817 .19073 L
.2389 .19147 L
.24007 .19265 L
.24083 .19342 L
.24197 .19458 L
.24275 .19538 L
.24387 .19651 L
.24468 .19734 L
.24576 .19844 L
.24661 .1993 L
.24765 .20036 L
.24854 .20126 L
.24954 .20229 L
.25046 .20323 L
.25142 .20422 L
.25239 .20521 L
.2533 .20614 L
.25432 .20719 L
.25517 .20807 L
.25624 .20918 L
.25703 .21 L
.25817 .21118 L
.25888 .21192 L
.2601 .21319 L
.26072 .21385 L
.26202 .21522 L
.26255 .21578 L
.26395 .21727 L
.26436 .2177 L
.26588 .21934 L
.26615 .21963 L
.2678 .22142 L
.26793 .22156 L
.26969 .22349 L
.26973 .22353 L
.27143 .22541 L
.27166 .22567 L
.27315 .22734 L
.27359 .22783 L
.27485 .22927 L
.27551 .23001 L
.27654 .23119 L
.27744 .23223 L
.27821 .23312 L
.27937 .23447 L
.27986 .23505 L
.28129 .23673 L
.2815 .23697 L
.28311 .2389 L
.28322 .23903 L
.2847 .24083 L
.28515 .24137 L
.28628 .24275 L
.28707 .24374 L
.28783 .24468 L
.289 .24615 L
.28936 .24661 L
.29086 .24854 L
.29093 .24862 L
.29233 .25046 L
.29285 .25115 L
.29377 .25239 L
.29478 .25377 L
.29517 .25432 L
.29653 .25624 L
.29671 .2565 L
.29783 .25817 L
.29864 .2594 L
.29907 .2601 L
.30022 .26202 L
.30056 .26255 L
.30127 .26395 L
.30217 .26588 L
.30249 .26673 L
.30283 .2678 L
.30304 .26973 L
.30249 .27076 L
.30056 .27135 L
.29864 .27093 L
.29671 .27022 L
.29545 .26973 L
.29478 .26936 L
.29285 .26837 L
.29179 .2678 L
.29093 .2673 L
.289 .26617 L
.28852 .26588 L
.28707 .26497 L
.28547 .26395 L
.28515 .26374 L
.28322 .26246 L
.28257 .26202 L
.28129 .26115 L
.27978 .2601 L
.27937 .25981 L
.27744 .25844 L
.27707 .25817 L
.27551 .25704 L
.27442 .25624 L
.27359 .25563 L
.27183 .25432 L
.27166 .25419 L
.26973 .25273 L
.26928 .25239 L
.2678 .25126 L
.26677 .25046 L
.26588 .24977 L
.2643 .24854 L
.26395 .24826 L
.26202 .24674 L
.26186 .24661 L
.2601 .2452 L
.25945 .24468 L
.25817 .24365 L
.25706 .24275 L
.25624 .24209 L
.25469 .24083 L
.25432 .24052 L
.25239 .23893 L
.25235 .2389 L
.25046 .23734 L
.25003 .23697 L
.24854 .23573 L
.24772 .23505 L
.24661 .23411 L
.24544 .23312 L
.24468 .23248 L
.24316 .23119 L
.24275 .23084 L
.24091 .22927 L
.24083 .2292 L
.2389 .22754 L
.23867 .22734 L
.23697 .22587 L
.23645 .22541 L
.23505 .22419 L
.23424 .22349 L
.23312 .22251 L
.23204 .22156 L
.23119 .22081 L
.22985 .21963 L
.22927 .21911 L
.22768 .2177 L
.22734 .2174 L
.22551 .21578 L
.22541 .21569 L
.22349 .21396 L
.22336 .21385 L
.22156 .21222 L
.22123 .21192 L
.21963 .21048 L
.2191 .21 L
.2177 .20873 L
.21698 .20807 L
.21578 .20697 L
.21487 .20614 L
.21385 .2052 L
.21278 .20422 L
.21192 .20343 L
.21069 .20229 L
.21 .20165 L
.20861 .20036 L
.20807 .19986 L
.20654 .19844 L
.20614 .19806 L
.20448 .19651 L
.20422 .19626 L
.20243 .19458 L
.20229 .19445 L
.20039 .19265 L
.20036 .19263 L
.19844 .1908 L
.19836 .19073 L
.19651 .18896 L
.19634 .1888 L
.19458 .18711 L
.19433 .18687 L
.19265 .18526 L
.19233 .18495 L
.19073 .1834 L
.19033 .18302 L
.1888 .18153 L
.18835 .18109 L
.18687 .17966 L
.18637 .17917 L
.18495 .17777 L
.1844 .17724 L
.18302 .17588 L
.18244 .17531 L
.18109 .17398 L
.18049 .17339 L
.17917 .17207 L
.17855 .17146 L
.17724 .17015 L
.17662 .16953 L
.17531 .16822 L
.1747 .1676 L
.17339 .16629 L
.17278 .16568 L
.17146 .16434 L
.17088 .16375 L
.16953 .16238 L
.16898 .16182 L
.1676 .16042 L
.16709 .1599 L
.16568 .15844 L
.16522 .15797 L
.16375 .15646 L
.16335 .15604 L
.16182 .15446 L
.16149 .15412 L
.1599 .15245 L
.15965 .15219 L
.15797 .15043 L
.15781 .15026 L
.15604 .1484 L
.15598 .14834 L
.15416 .14641 L
.15412 .14636 L
.15236 .14448 L
.15219 .1443 L
.15057 .14255 L
.15026 .14223 L
.14878 .14063 L
.14834 .14014 L
.14701 .1387 L
.14641 .13804 L
.14526 .13677 L
.14448 .13592 L
.14351 .13485 L
.14255 .13378 L
.14178 .13292 L
.14063 .13163 L
.14006 .13099 L
.1387 .12946 L
.13836 .12907 L
.13677 .12726 L
.13667 .12714 L
.135 .12521 L
.13485 .12504 L
.13334 .12329 L
.13292 .12279 L
.1317 .12136 L
.13099 .12051 L
.13009 .11943 L
.12907 .1182 L
.12849 .1175 L
.12714 .11586 L
.12691 .11558 L
.12536 .11365 L
.12521 .11346 L
.12384 .11172 L
.12329 .11102 L
.12234 .1098 L
.12136 .10851 L
.12088 .10787 L
.11945 .10594 L
.11943 .10592 L
.11806 .10402 L
.1175 .10323 L
.11672 .10209 L
.11558 .10037 L
.11544 .10016 L
.11423 .09823 L
.11365 .0973 L
.11311 .09631 L
.1121 .09438 L
.11172 .09354 L
.11127 .09245 L
.1107 .09053 L
.11061 .0886 L
F
1 .93 0 r
.1175 .09307 m
.11943 .09307 L
.12136 .09367 L
.12306 .09438 L
.12329 .09448 L
.12521 .09542 L
.12688 .09631 L
.12714 .09647 L
.12907 .09759 L
.13014 .09823 L
.13099 .09877 L
.13292 .1 L
.13316 .10016 L
.13485 .10128 L
.13605 .10209 L
.13677 .10259 L
.1387 .10393 L
.13882 .10402 L
.14063 .10531 L
.14151 .10594 L
.14255 .1067 L
.14414 .10787 L
.14448 .10813 L
.14641 .10957 L
.14671 .1098 L
.14834 .11103 L
.14924 .11172 L
.15026 .11252 L
.15172 .11365 L
.15219 .11402 L
.15412 .11553 L
.15417 .11558 L
.15604 .11707 L
.15659 .1175 L
.15797 .11862 L
.15898 .11943 L
.1599 .12018 L
.16134 .12136 L
.16182 .12175 L
.16368 .12329 L
.16375 .12334 L
.16568 .12494 L
.166 .12521 L
.1676 .12656 L
.1683 .12714 L
.16953 .12818 L
.17058 .12907 L
.17146 .12982 L
.17284 .13099 L
.17339 .13146 L
.17509 .13292 L
.17531 .13311 L
.17724 .13477 L
.17732 .13485 L
.17917 .13645 L
.17954 .13677 L
.18109 .13812 L
.18175 .1387 L
.18302 .13981 L
.18395 .14063 L
.18495 .1415 L
.18614 .14255 L
.18687 .1432 L
.18832 .14448 L
.1888 .1449 L
.19049 .14641 L
.19073 .14662 L
.19265 .14833 L
.19266 .14834 L
.19458 .15006 L
.19481 .15026 L
.19651 .15179 L
.19695 .15219 L
.19844 .15353 L
.19908 .15412 L
.20036 .15528 L
.2012 .15604 L
.20229 .15703 L
.20331 .15797 L
.20422 .1588 L
.20541 .1599 L
.20614 .16057 L
.20749 .16182 L
.20807 .16236 L
.20956 .16375 L
.21 .16416 L
.21161 .16568 L
.21192 .16597 L
.21365 .1676 L
.21385 .1678 L
.21567 .16953 L
.21578 .16964 L
.21767 .17146 L
.2177 .17149 L
.21963 .17336 L
.21966 .17339 L
.22156 .17524 L
.22163 .17531 L
.22349 .17714 L
.22359 .17724 L
.22541 .17904 L
.22554 .17917 L
.22734 .18096 L
.22748 .18109 L
.22927 .18288 L
.22941 .18302 L
.23119 .18481 L
.23133 .18495 L
.23312 .18675 L
.23325 .18687 L
.23505 .18869 L
.23516 .1888 L
.23697 .19064 L
.23706 .19073 L
.2389 .19259 L
.23897 .19265 L
.24083 .19455 L
.24086 .19458 L
.24275 .19651 L
.24275 .19651 L
.24464 .19844 L
.24468 .19848 L
.24652 .20036 L
.24661 .20045 L
.2484 .20229 L
.24854 .20243 L
.25027 .20422 L
.25046 .20442 L
.25213 .20614 L
.25239 .20641 L
.25398 .20807 L
.25432 .20842 L
.25582 .21 L
.25624 .21044 L
.25765 .21192 L
.25817 .21247 L
.25946 .21385 L
.2601 .21452 L
.26127 .21578 L
.26202 .21659 L
.26305 .2177 L
.26395 .21868 L
.26482 .21963 L
.26588 .22079 L
.26658 .22156 L
.2678 .22292 L
.26831 .22349 L
.26973 .22507 L
.27003 .22541 L
.27166 .22725 L
.27174 .22734 L
.27342 .22927 L
.27359 .22946 L
.27508 .23119 L
.27551 .2317 L
.27672 .23312 L
.27744 .23396 L
.27835 .23505 L
.27937 .23627 L
.27995 .23697 L
.28129 .23861 L
.28153 .2389 L
.28309 .24083 L
.28322 .24099 L
.28462 .24275 L
.28515 .24343 L
.28612 .24468 L
.28707 .24593 L
.28759 .24661 L
.289 .24851 L
.28902 .24854 L
.29041 .25046 L
.29093 .25119 L
.29175 .25239 L
.29285 .25405 L
.29302 .25432 L
.29423 .25624 L
.29478 .25712 L
.29534 .25817 L
.29631 .2601 L
.29671 .26103 L
.29708 .26202 L
.29752 .26395 L
.29671 .26569 L
.29627 .26588 L
.29478 .26594 L
.2944 .26588 L
.29285 .26549 L
.29093 .26473 L
.28919 .26395 L
.289 .26382 L
.28707 .2628 L
.28569 .26202 L
.28515 .26169 L
.28322 .26052 L
.28253 .2601 L
.28129 .2593 L
.27956 .25817 L
.27937 .25804 L
.27744 .25674 L
.27672 .25624 L
.27551 .2554 L
.27398 .25432 L
.27359 .25404 L
.27166 .25264 L
.27131 .25239 L
.26973 .25123 L
.2687 .25046 L
.2678 .24979 L
.26614 .24854 L
.26588 .24833 L
.26395 .24686 L
.26363 .24661 L
.26202 .24536 L
.26115 .24468 L
.2601 .24385 L
.25871 .24275 L
.25817 .24232 L
.2563 .24083 L
.25624 .24078 L
.25432 .23923 L
.25391 .2389 L
.25239 .23766 L
.25155 .23697 L
.25046 .23608 L
.24921 .23505 L
.24854 .23449 L
.24689 .23312 L
.24661 .23288 L
.24468 .23127 L
.24459 .23119 L
.24275 .22964 L
.24231 .22927 L
.24083 .228 L
.24005 .22734 L
.2389 .22635 L
.2378 .22541 L
.23697 .2247 L
.23557 .22349 L
.23505 .22303 L
.23336 .22156 L
.23312 .22135 L
.23119 .21967 L
.23115 .21963 L
.22927 .21797 L
.22897 .2177 L
.22734 .21626 L
.22679 .21578 L
.22541 .21455 L
.22463 .21385 L
.22349 .21283 L
.22248 .21192 L
.22156 .2111 L
.22034 .21 L
.21963 .20936 L
.21821 .20807 L
.2177 .20761 L
.21609 .20614 L
.21578 .20586 L
.21399 .20422 L
.21385 .20409 L
.21192 .20232 L
.21189 .20229 L
.21 .20054 L
.20981 .20036 L
.20807 .19875 L
.20773 .19844 L
.20614 .19695 L
.20567 .19651 L
.20422 .19514 L
.20362 .19458 L
.20229 .19333 L
.20157 .19265 L
.20036 .19151 L
.19954 .19073 L
.19844 .18968 L
.19751 .1888 L
.19651 .18784 L
.1955 .18687 L
.19458 .18599 L
.19349 .18495 L
.19265 .18414 L
.1915 .18302 L
.19073 .18227 L
.18951 .18109 L
.1888 .1804 L
.18753 .17917 L
.18687 .17852 L
.18557 .17724 L
.18495 .17663 L
.18361 .17531 L
.18302 .17473 L
.18166 .17339 L
.18109 .17282 L
.17972 .17146 L
.17917 .17091 L
.17779 .16953 L
.17724 .16898 L
.17587 .1676 L
.17531 .16704 L
.17396 .16568 L
.17339 .1651 L
.17206 .16375 L
.17146 .16314 L
.17017 .16182 L
.16953 .16117 L
.16829 .1599 L
.1676 .15919 L
.16642 .15797 L
.16568 .1572 L
.16456 .15604 L
.16375 .1552 L
.16271 .15412 L
.16182 .15319 L
.16087 .15219 L
.1599 .15117 L
.15904 .15026 L
.15797 .14913 L
.15723 .14834 L
.15604 .14707 L
.15542 .14641 L
.15412 .14501 L
.15363 .14448 L
.15219 .14293 L
.15185 .14255 L
.15026 .14083 L
.15008 .14063 L
.14834 .13871 L
.14832 .1387 L
.14658 .13677 L
.14641 .13658 L
.14486 .13485 L
.14448 .13443 L
.14315 .13292 L
.14255 .13225 L
.14145 .13099 L
.14063 .13005 L
.13977 .12907 L
.1387 .12783 L
.13811 .12714 L
.13677 .12558 L
.13647 .12521 L
.13485 .12329 L
.13484 .12329 L
.13324 .12136 L
.13292 .12097 L
.13166 .11943 L
.13099 .11861 L
.13011 .1175 L
.12907 .11619 L
.12858 .11558 L
.12714 .11371 L
.12709 .11365 L
.12563 .11172 L
.12521 .11117 L
.12421 .1098 L
.12329 .10851 L
.12284 .10787 L
.12151 .10594 L
.12136 .10572 L
.12026 .10402 L
.11943 .1027 L
.11908 .10209 L
.11801 .10016 L
.1175 .09938 L
.1171 .09823 L
.1164 .09631 L
.11603 .09438 L
F
0 .99 1 r
.12136 .04996 m
.12329 .0495 L
.12521 .04921 L
.12714 .04903 L
.12907 .04893 L
.13099 .04888 L
.13292 .04889 L
.13485 .04895 L
.13677 .04906 L
.1387 .04922 L
.14063 .04943 L
.14255 .0497 L
.14448 .05002 L
.14474 .05006 L
.14641 .05043 L
.14834 .05093 L
.15026 .0515 L
.15181 .05199 L
.15219 .05213 L
.15412 .0529 L
.15604 .05372 L
.15651 .05392 L
.15797 .05464 L
.1599 .05564 L
.16028 .05584 L
.16182 .05674 L
.16354 .05777 L
.16375 .05791 L
.16568 .05918 L
.16645 .0597 L
.1676 .06053 L
.1691 .06162 L
.16953 .06196 L
.17146 .06348 L
.17155 .06355 L
.17339 .06511 L
.1738 .06548 L
.17531 .06686 L
.17588 .0674 L
.17724 .06877 L
.17777 .06933 L
.17917 .07091 L
.17944 .07126 L
.18081 .07318 L
.18109 .07366 L
.18172 .07511 L
.18168 .07704 L
.18109 .0778 L
.17917 .07875 L
.17837 .07897 L
.17724 .07922 L
.17531 .0795 L
.17339 .07966 L
.17146 .07976 L
.16953 .07983 L
.1676 .07987 L
.16568 .07989 L
.16375 .07989 L
.16182 .07988 L
.1599 .07986 L
.15797 .07982 L
.15604 .07976 L
.15412 .07967 L
.15219 .07955 L
.15026 .0794 L
.14834 .07919 L
.14664 .07897 L
.14641 .07893 L
.14448 .07856 L
.14255 .07808 L
.14063 .07749 L
.13938 .07704 L
.1387 .07675 L
.13677 .07585 L
.13539 .07511 L
.13485 .07479 L
.13292 .07357 L
.13235 .07318 L
.13099 .0722 L
.12978 .07126 L
.12907 .07068 L
.1275 .06933 L
.12714 .06901 L
.12544 .0674 L
.12521 .06718 L
.12357 .06548 L
.12329 .06517 L
.12188 .06355 L
.12136 .06291 L
.12038 .06162 L
.11943 .06026 L
.11908 .0597 L
.11805 .05777 L
.1175 .05638 L
.11735 .05584 L
.11718 .05392 L
.1175 .05269 L
.11793 .05199 L
.11943 .05065 L
.12105 .05006 L
F
1 .92 0 r
.12329 .09777 m
.12521 .09816 L
.12543 .09823 L
.12714 .09885 L
.12907 .09975 L
.12991 .10016 L
.13099 .10076 L
.13292 .10187 L
.1333 .10209 L
.13485 .10304 L
.1364 .10402 L
.13677 .10426 L
.1387 .10553 L
.13931 .10594 L
.14063 .10684 L
.14211 .10787 L
.14255 .10819 L
.14448 .10956 L
.14481 .1098 L
.14641 .11096 L
.14744 .11172 L
.14834 .11239 L
.15002 .11365 L
.15026 .11384 L
.15219 .11531 L
.15254 .11558 L
.15412 .1168 L
.15502 .1175 L
.15604 .1183 L
.15747 .11943 L
.15797 .11983 L
.15988 .12136 L
.1599 .12137 L
.16182 .12292 L
.16227 .12329 L
.16375 .1245 L
.16463 .12521 L
.16568 .12608 L
.16696 .12714 L
.1676 .12768 L
.16927 .12907 L
.16953 .12928 L
.17146 .1309 L
.17156 .13099 L
.17339 .13254 L
.17384 .13292 L
.17531 .13418 L
.17609 .13485 L
.17724 .13583 L
.17834 .13677 L
.17917 .13749 L
.18056 .1387 L
.18109 .13916 L
.18278 .14063 L
.18302 .14084 L
.18495 .14253 L
.18498 .14255 L
.18687 .14422 L
.18717 .14448 L
.1888 .14593 L
.18935 .14641 L
.19073 .14764 L
.19151 .14834 L
.19265 .14935 L
.19367 .15026 L
.19458 .15108 L
.19581 .15219 L
.19651 .15281 L
.19795 .15412 L
.19844 .15456 L
.20007 .15604 L
.20036 .15631 L
.20218 .15797 L
.20229 .15807 L
.20422 .15984 L
.20428 .1599 L
.20614 .16162 L
.20636 .16182 L
.20807 .16342 L
.20843 .16375 L
.21 .16522 L
.21048 .16568 L
.21192 .16704 L
.21252 .1676 L
.21385 .16887 L
.21454 .16953 L
.21578 .17071 L
.21655 .17146 L
.2177 .17257 L
.21855 .17339 L
.21963 .17443 L
.22054 .17531 L
.22156 .17631 L
.22251 .17724 L
.22349 .1782 L
.22447 .17917 L
.22541 .1801 L
.22642 .18109 L
.22734 .18201 L
.22836 .18302 L
.22927 .18393 L
.23029 .18495 L
.23119 .18586 L
.23221 .18687 L
.23312 .18779 L
.23413 .1888 L
.23505 .18973 L
.23603 .19073 L
.23697 .19168 L
.23794 .19265 L
.2389 .19364 L
.23983 .19458 L
.24083 .1956 L
.24172 .19651 L
.24275 .19757 L
.2436 .19844 L
.24468 .19955 L
.24547 .20036 L
.24661 .20153 L
.24734 .20229 L
.24854 .20353 L
.24919 .20422 L
.25046 .20554 L
.25104 .20614 L
.25239 .20756 L
.25288 .20807 L
.25432 .20959 L
.2547 .21 L
.25624 .21164 L
.25651 .21192 L
.25817 .2137 L
.25831 .21385 L
.26009 .21578 L
.2601 .21578 L
.26186 .2177 L
.26202 .21789 L
.26361 .21963 L
.26395 .22001 L
.26534 .22156 L
.26588 .22216 L
.26705 .22349 L
.2678 .22433 L
.26875 .22541 L
.26973 .22654 L
.27043 .22734 L
.27166 .22877 L
.27208 .22927 L
.27359 .23103 L
.27372 .23119 L
.27533 .23312 L
.27551 .23333 L
.27692 .23505 L
.27744 .23568 L
.27849 .23697 L
.27937 .23807 L
.28002 .2389 L
.28129 .24052 L
.28153 .24083 L
.283 .24275 L
.28322 .24304 L
.28444 .24468 L
.28515 .24565 L
.28582 .24661 L
.28707 .24841 L
.28716 .24854 L
.28843 .25046 L
.289 .25134 L
.28961 .25239 L
.29069 .25432 L
.29093 .2548 L
.29161 .25624 L
.2923 .25817 L
.2923 .2601 L
.29093 .2614 L
.289 .26099 L
.28707 .26032 L
.28639 .2601 L
.28515 .25948 L
.28322 .25849 L
.28262 .25817 L
.28129 .25741 L
.27937 .25625 L
.27935 .25624 L
.27744 .25504 L
.27631 .25432 L
.27551 .25379 L
.27359 .25249 L
.27344 .25239 L
.27166 .25115 L
.27068 .25046 L
.26973 .24978 L
.268 .24854 L
.2678 .24839 L
.26588 .24697 L
.26539 .24661 L
.26395 .24553 L
.26283 .24468 L
.26202 .24406 L
.26032 .24275 L
.2601 .24258 L
.25817 .24108 L
.25785 .24083 L
.25624 .23956 L
.25541 .2389 L
.25432 .23803 L
.253 .23697 L
.25239 .23648 L
.25062 .23505 L
.25046 .23492 L
.24854 .23334 L
.24827 .23312 L
.24661 .23175 L
.24594 .23119 L
.24468 .23015 L
.24363 .22927 L
.24275 .22853 L
.24134 .22734 L
.24083 .22691 L
.23907 .22541 L
.2389 .22527 L
.23697 .22362 L
.23682 .22349 L
.23505 .22196 L
.23458 .22156 L
.23312 .22029 L
.23236 .21963 L
.23119 .21861 L
.23015 .2177 L
.22927 .21692 L
.22796 .21578 L
.22734 .21523 L
.22579 .21385 L
.22541 .21352 L
.22362 .21192 L
.22349 .2118 L
.22156 .21007 L
.22147 .21 L
.21963 .20834 L
.21933 .20807 L
.2177 .20659 L
.21721 .20614 L
.21578 .20484 L
.2151 .20422 L
.21385 .20308 L
.21299 .20229 L
.21192 .2013 L
.2109 .20036 L
.21 .19952 L
.20882 .19844 L
.20807 .19774 L
.20675 .19651 L
.20614 .19594 L
.20469 .19458 L
.20422 .19413 L
.20264 .19265 L
.20229 .19232 L
.20061 .19073 L
.20036 .1905 L
.19858 .1888 L
.19844 .18866 L
.19656 .18687 L
.19651 .18682 L
.19458 .18497 L
.19455 .18495 L
.19265 .18312 L
.19256 .18302 L
.19073 .18125 L
.19057 .18109 L
.1888 .17937 L
.18859 .17917 L
.18687 .17748 L
.18662 .17724 L
.18495 .17559 L
.18467 .17531 L
.18302 .17368 L
.18272 .17339 L
.18109 .17177 L
.18078 .17146 L
.17917 .16984 L
.17886 .16953 L
.17724 .16791 L
.17694 .1676 L
.17531 .16596 L
.17503 .16568 L
.17339 .164 L
.17314 .16375 L
.17146 .16204 L
.17125 .16182 L
.16953 .16006 L
.16938 .1599 L
.1676 .15807 L
.16751 .15797 L
.16568 .15606 L
.16566 .15604 L
.16382 .15412 L
.16375 .15405 L
.16199 .15219 L
.16182 .15202 L
.16017 .15026 L
.1599 .14997 L
.15836 .14834 L
.15797 .14791 L
.15657 .14641 L
.15604 .14584 L
.15479 .14448 L
.15412 .14375 L
.15303 .14255 L
.15219 .14164 L
.15127 .14063 L
.15026 .13951 L
.14954 .1387 L
.14834 .13736 L
.14781 .13677 L
.14641 .13519 L
.14611 .13485 L
.14448 .13299 L
.14442 .13292 L
.14275 .13099 L
.14255 .13077 L
.14109 .12907 L
.14063 .12852 L
.13946 .12714 L
.1387 .12623 L
.13785 .12521 L
.13677 .12391 L
.13627 .12329 L
.13485 .12153 L
.13471 .12136 L
.13318 .11943 L
.13292 .11911 L
.13168 .1175 L
.13099 .11661 L
.13022 .11558 L
.12907 .11403 L
.1288 .11365 L
.12742 .11172 L
.12714 .11133 L
.12611 .1098 L
.12521 .10844 L
.12486 .10787 L
.12371 .10594 L
.12329 .10533 L
.12268 .10402 L
.12181 .10209 L
.12136 .10041 L
.12132 .10016 L
.12136 .09899 L
.1218 .09823 L
F
1 .91 0 r
.12714 .10235 m
.12907 .10239 L
.13099 .10305 L
.13292 .10392 L
.13313 .10402 L
.13485 .10491 L
.13668 .10594 L
.13677 .106 L
.1387 .10717 L
.13983 .10787 L
.14063 .10839 L
.14255 .10966 L
.14275 .1098 L
.14448 .11098 L
.14556 .11172 L
.14641 .11233 L
.14826 .11365 L
.14834 .11371 L
.15026 .11512 L
.15089 .11558 L
.15219 .11655 L
.15346 .1175 L
.15412 .11801 L
.15597 .11943 L
.15604 .11949 L
.15797 .12098 L
.15845 .12136 L
.1599 .1225 L
.16089 .12329 L
.16182 .12404 L
.16329 .12521 L
.16375 .12559 L
.16566 .12714 L
.16568 .12715 L
.1676 .12873 L
.16801 .12907 L
.16953 .13032 L
.17034 .13099 L
.17146 .13193 L
.17264 .13292 L
.17339 .13355 L
.17492 .13485 L
.17531 .13518 L
.17718 .13677 L
.17724 .13682 L
.17917 .13847 L
.17943 .1387 L
.18109 .14014 L
.18166 .14063 L
.18302 .14181 L
.18388 .14255 L
.18495 .14349 L
.18608 .14448 L
.18687 .14518 L
.18827 .14641 L
.1888 .14688 L
.19045 .14834 L
.19073 .14859 L
.19261 .15026 L
.19265 .1503 L
.19458 .15203 L
.19476 .15219 L
.19651 .15377 L
.1969 .15412 L
.19844 .15551 L
.19902 .15604 L
.20036 .15726 L
.20113 .15797 L
.20229 .15903 L
.20323 .1599 L
.20422 .1608 L
.20532 .16182 L
.20614 .16259 L
.20739 .16375 L
.20807 .16438 L
.20945 .16568 L
.21 .16619 L
.21149 .1676 L
.21192 .16801 L
.21353 .16953 L
.21385 .16984 L
.21554 .17146 L
.21578 .17168 L
.21755 .17339 L
.2177 .17354 L
.21954 .17531 L
.21963 .1754 L
.22151 .17724 L
.22156 .17728 L
.22348 .17917 L
.22349 .17917 L
.22541 .18107 L
.22544 .18109 L
.22734 .18298 L
.22738 .18302 L
.22927 .1849 L
.22932 .18495 L
.23119 .18682 L
.23124 .18687 L
.23312 .18876 L
.23316 .1888 L
.23505 .1907 L
.23507 .19073 L
.23697 .19265 L
.23697 .19266 L
.23886 .19458 L
.2389 .19462 L
.24075 .19651 L
.24083 .19659 L
.24262 .19844 L
.24275 .19857 L
.24449 .20036 L
.24468 .20057 L
.24634 .20229 L
.24661 .20257 L
.24818 .20422 L
.24854 .20458 L
.25002 .20614 L
.25046 .20661 L
.25184 .20807 L
.25239 .20865 L
.25365 .21 L
.25432 .21071 L
.25544 .21192 L
.25624 .21279 L
.25722 .21385 L
.25817 .21488 L
.25898 .21578 L
.2601 .217 L
.26073 .2177 L
.26202 .21914 L
.26246 .21963 L
.26395 .22131 L
.26417 .22156 L
.26587 .22349 L
.26588 .2235 L
.26754 .22541 L
.2678 .22572 L
.26919 .22734 L
.26973 .22798 L
.27081 .22927 L
.27166 .23028 L
.27242 .23119 L
.27359 .23262 L
.27399 .23312 L
.27551 .23501 L
.27554 .23505 L
.27706 .23697 L
.27744 .23746 L
.27854 .2389 L
.27937 .23999 L
.27998 .24083 L
.28129 .24264 L
.28137 .24275 L
.28271 .24468 L
.28322 .24541 L
.28398 .24661 L
.28515 .24851 L
.28516 .24854 L
.28623 .25046 L
.28707 .25228 L
.2871 .25239 L
.28772 .25432 L
.2873 .25624 L
.28707 .25642 L
.28515 .25665 L
.28365 .25624 L
.28322 .25611 L
.28129 .25531 L
.27937 .25433 L
.27933 .25432 L
.27744 .25327 L
.27593 .25239 L
.27551 .25213 L
.27359 .25092 L
.27288 .25046 L
.27166 .24966 L
.26999 .24854 L
.26973 .24835 L
.2678 .24701 L
.26723 .24661 L
.26588 .24564 L
.26455 .24468 L
.26395 .24424 L
.26202 .24281 L
.26195 .24275 L
.2601 .24136 L
.25939 .24083 L
.25817 .23989 L
.25689 .2389 L
.25624 .2384 L
.25442 .23697 L
.25432 .23689 L
.25239 .23536 L
.252 .23505 L
.25046 .23382 L
.2496 .23312 L
.24854 .23226 L
.24723 .23119 L
.24661 .23068 L
.24489 .22927 L
.24468 .2291 L
.24275 .22749 L
.24257 .22734 L
.24083 .22588 L
.24027 .22541 L
.2389 .22425 L
.23799 .22349 L
.23697 .22262 L
.23574 .22156 L
.23505 .22097 L
.2335 .21963 L
.23312 .21931 L
.23127 .2177 L
.23119 .21764 L
.22927 .21595 L
.22907 .21578 L
.22734 .21426 L
.22687 .21385 L
.22541 .21256 L
.2247 .21192 L
.22349 .21084 L
.22254 .21 L
.22156 .20912 L
.22039 .20807 L
.21963 .20739 L
.21825 .20614 L
.2177 .20565 L
.21613 .20422 L
.21578 .2039 L
.21402 .20229 L
.21385 .20214 L
.21192 .20037 L
.21192 .20036 L
.21 .19859 L
.20983 .19844 L
.20807 .1968 L
.20776 .19651 L
.20614 .195 L
.20569 .19458 L
.20422 .1932 L
.20364 .19265 L
.20229 .19138 L
.2016 .19073 L
.20036 .18956 L
.19957 .1888 L
.19844 .18772 L
.19755 .18687 L
.19651 .18588 L
.19554 .18495 L
.19458 .18403 L
.19354 .18302 L
.19265 .18216 L
.19155 .18109 L
.19073 .18029 L
.18957 .17917 L
.1888 .17841 L
.18761 .17724 L
.18687 .17652 L
.18565 .17531 L
.18495 .17462 L
.1837 .17339 L
.18302 .1727 L
.18177 .17146 L
.18109 .17078 L
.17985 .16953 L
.17917 .16885 L
.17793 .1676 L
.17724 .1669 L
.17603 .16568 L
.17531 .16495 L
.17414 .16375 L
.17339 .16298 L
.17226 .16182 L
.17146 .161 L
.17039 .1599 L
.16953 .15901 L
.16853 .15797 L
.1676 .157 L
.16669 .15604 L
.16568 .15498 L
.16485 .15412 L
.16375 .15295 L
.16303 .15219 L
.16182 .1509 L
.16123 .15026 L
.1599 .14884 L
.15943 .14834 L
.15797 .14676 L
.15765 .14641 L
.15604 .14466 L
.15588 .14448 L
.15413 .14255 L
.15412 .14254 L
.1524 .14063 L
.15219 .1404 L
.15068 .1387 L
.15026 .13823 L
.14898 .13677 L
.14834 .13604 L
.14729 .13485 L
.14641 .13383 L
.14563 .13292 L
.14448 .13158 L
.14398 .13099 L
.14255 .1293 L
.14236 .12907 L
.14077 .12714 L
.14063 .12697 L
.1392 .12521 L
.1387 .1246 L
.13766 .12329 L
.13677 .12217 L
.13615 .12136 L
.13485 .11966 L
.13468 .11943 L
.13325 .1175 L
.13292 .11706 L
.13187 .11558 L
.13099 .11432 L
.13055 .11365 L
.12931 .11172 L
.12907 .11139 L
.12816 .1098 L
.12715 .10787 L
.12714 .10784 L
.12633 .10594 L
.12579 .10402 L
F
0 .98 1 r
.12907 .05359 m
.13099 .05295 L
.13292 .05265 L
.13485 .05253 L
.13677 .05256 L
.1387 .0527 L
.14063 .05295 L
.14255 .0533 L
.14448 .05373 L
.14521 .05392 L
.14641 .05426 L
.14834 .05488 L
.15026 .05558 L
.15093 .05584 L
.15219 .05638 L
.15412 .05726 L
.15517 .05777 L
.15604 .05822 L
.15797 .05928 L
.15869 .0597 L
.1599 .06043 L
.16176 .06162 L
.16182 .06166 L
.16375 .06301 L
.1645 .06355 L
.16568 .06445 L
.16695 .06548 L
.1676 .06603 L
.16913 .0674 L
.16953 .06778 L
.17103 .06933 L
.17146 .06979 L
.17258 .07126 L
.17339 .07257 L
.17366 .07318 L
.17395 .07511 L
.17339 .07627 L
.17238 .07704 L
.17146 .07755 L
.16953 .07808 L
.1676 .07833 L
.16568 .07847 L
.16375 .07853 L
.16182 .07855 L
.1599 .07851 L
.15797 .07842 L
.15604 .07827 L
.15412 .07806 L
.15219 .07777 L
.15026 .07741 L
.14868 .07704 L
.14834 .07695 L
.14641 .07637 L
.14448 .07567 L
.14316 .07511 L
.14255 .07483 L
.14063 .07383 L
.1395 .07318 L
.1387 .07268 L
.13677 .07136 L
.13664 .07126 L
.13485 .06985 L
.13425 .06933 L
.13292 .06812 L
.13219 .0674 L
.13099 .06613 L
.13043 .06548 L
.12907 .06375 L
.12893 .06355 L
.12772 .06162 L
.12714 .0607 L
.12684 .0597 L
.12642 .05777 L
.1267 .05584 L
.12714 .05509 L
.12848 .05392 L
F
1 .9 0 r
.13099 .10674 m
.13292 .10645 L
.13485 .1071 L
.13659 .10787 L
.13677 .10795 L
.1387 .10893 L
.14028 .1098 L
.14063 .11003 L
.14255 .11119 L
.14341 .11172 L
.14448 .11242 L
.14633 .11365 L
.14641 .1137 L
.14834 .11503 L
.14913 .11558 L
.15026 .11638 L
.15182 .1175 L
.15219 .11777 L
.15412 .11919 L
.15444 .11943 L
.15604 .12064 L
.15699 .12136 L
.15797 .12211 L
.1595 .12329 L
.1599 .1236 L
.16182 .12511 L
.16196 .12521 L
.16375 .12664 L
.16438 .12714 L
.16568 .12818 L
.16677 .12907 L
.1676 .12974 L
.16913 .13099 L
.16953 .13132 L
.17146 .13291 L
.17147 .13292 L
.17339 .13452 L
.17378 .13485 L
.17531 .13613 L
.17607 .13677 L
.17724 .13776 L
.17834 .1387 L
.17917 .13941 L
.18059 .14063 L
.18109 .14106 L
.18282 .14255 L
.18302 .14272 L
.18495 .1444 L
.18504 .14448 L
.18687 .14608 L
.18724 .14641 L
.1888 .14778 L
.18943 .14834 L
.19073 .14949 L
.1916 .15026 L
.19265 .1512 L
.19376 .15219 L
.19458 .15292 L
.19591 .15412 L
.19651 .15466 L
.19804 .15604 L
.19844 .1564 L
.20016 .15797 L
.20036 .15816 L
.20226 .1599 L
.20229 .15992 L
.20422 .1617 L
.20435 .16182 L
.20614 .16349 L
.20643 .16375 L
.20807 .16529 L
.20849 .16568 L
.21 .1671 L
.21054 .1676 L
.21192 .16892 L
.21257 .16953 L
.21385 .17075 L
.21459 .17146 L
.21578 .17259 L
.2166 .17339 L
.2177 .17445 L
.2186 .17531 L
.21963 .17632 L
.22058 .17724 L
.22156 .17819 L
.22255 .17917 L
.22349 .18008 L
.22451 .18109 L
.22541 .18198 L
.22646 .18302 L
.22734 .18389 L
.2284 .18495 L
.22927 .18581 L
.23033 .18687 L
.23119 .18774 L
.23224 .1888 L
.23312 .18968 L
.23415 .19073 L
.23505 .19163 L
.23605 .19265 L
.23697 .1936 L
.23794 .19458 L
.2389 .19557 L
.23982 .19651 L
.24083 .19755 L
.24168 .19844 L
.24275 .19954 L
.24354 .20036 L
.24468 .20155 L
.24539 .20229 L
.24661 .20357 L
.24722 .20422 L
.24854 .2056 L
.24904 .20614 L
.25046 .20765 L
.25085 .20807 L
.25239 .20972 L
.25264 .21 L
.25432 .21181 L
.25442 .21192 L
.25619 .21385 L
.25624 .21391 L
.25793 .21578 L
.25817 .21604 L
.25966 .2177 L
.2601 .2182 L
.26137 .21963 L
.26202 .22038 L
.26305 .22156 L
.26395 .22259 L
.26472 .22349 L
.26588 .22484 L
.26636 .22541 L
.2678 .22713 L
.26798 .22734 L
.26957 .22927 L
.26973 .22946 L
.27114 .23119 L
.27166 .23184 L
.27267 .23312 L
.27359 .23429 L
.27417 .23505 L
.27551 .23683 L
.27562 .23697 L
.27703 .2389 L
.27744 .23946 L
.27838 .24083 L
.27937 .24229 L
.27966 .24275 L
.28085 .24468 L
.28129 .24528 L
.28192 .24661 L
.28282 .24854 L
.28322 .24997 L
.28331 .25046 L
.28322 .25157 L
.28235 .25239 L
.28129 .25248 L
.2807 .25239 L
.27937 .25207 L
.27744 .25127 L
.27566 .25046 L
.27551 .25031 L
.27359 .24925 L
.27234 .24854 L
.27166 .2481 L
.26973 .24688 L
.2693 .24661 L
.2678 .24562 L
.26641 .24468 L
.26588 .24431 L
.26395 .24296 L
.26366 .24275 L
.26202 .24158 L
.26099 .24083 L
.2601 .24017 L
.2584 .2389 L
.25817 .23873 L
.25624 .23727 L
.25586 .23697 L
.25432 .23578 L
.25337 .23505 L
.25239 .23428 L
.25092 .23312 L
.25046 .23276 L
.24854 .23122 L
.2485 .23119 L
.24661 .22966 L
.24612 .22927 L
.24468 .22809 L
.24377 .22734 L
.24275 .2265 L
.24144 .22541 L
.24083 .2249 L
.23913 .22349 L
.2389 .22329 L
.23697 .22166 L
.23685 .22156 L
.23505 .22002 L
.23459 .21963 L
.23312 .21837 L
.23235 .2177 L
.23119 .21671 L
.23012 .21578 L
.22927 .21503 L
.22791 .21385 L
.22734 .21335 L
.22572 .21192 L
.22541 .21165 L
.22354 .21 L
.22349 .20994 L
.22156 .20823 L
.22138 .20807 L
.21963 .2065 L
.21924 .20614 L
.2177 .20476 L
.2171 .20422 L
.21578 .20301 L
.21498 .20229 L
.21385 .20125 L
.21288 .20036 L
.21192 .19948 L
.21078 .19844 L
.21 .19771 L
.2087 .19651 L
.20807 .19592 L
.20663 .19458 L
.20614 .19412 L
.20458 .19265 L
.20422 .19232 L
.20253 .19073 L
.20229 .1905 L
.2005 .1888 L
.20036 .18867 L
.19847 .18687 L
.19844 .18684 L
.19651 .18499 L
.19646 .18495 L
.19458 .18314 L
.19446 .18302 L
.19265 .18127 L
.19247 .18109 L
.19073 .17939 L
.1905 .17917 L
.1888 .17751 L
.18853 .17724 L
.18687 .17561 L
.18657 .17531 L
.18495 .1737 L
.18463 .17339 L
.18302 .17178 L
.1827 .17146 L
.18109 .16985 L
.18078 .16953 L
.17917 .16791 L
.17887 .1676 L
.17724 .16595 L
.17697 .16568 L
.17531 .16399 L
.17508 .16375 L
.17339 .16201 L
.17321 .16182 L
.17146 .16002 L
.17134 .1599 L
.16953 .15801 L
.16949 .15797 L
.16766 .15604 L
.1676 .15599 L
.16583 .15412 L
.16568 .15395 L
.16402 .15219 L
.16375 .1519 L
.16223 .15026 L
.16182 .14983 L
.16044 .14834 L
.1599 .14774 L
.15868 .14641 L
.15797 .14563 L
.15693 .14448 L
.15604 .1435 L
.15519 .14255 L
.15412 .14135 L
.15348 .14063 L
.15219 .13917 L
.15178 .1387 L
.15026 .13696 L
.1501 .13677 L
.14844 .13485 L
.14834 .13472 L
.1468 .13292 L
.14641 .13245 L
.14519 .13099 L
.14448 .13013 L
.14361 .12907 L
.14255 .12777 L
.14205 .12714 L
.14063 .12533 L
.14053 .12521 L
.13905 .12329 L
.1387 .12283 L
.13761 .12136 L
.13677 .12023 L
.13622 .11943 L
.13489 .1175 L
.13485 .11745 L
.13363 .11558 L
.13292 .11448 L
.13248 .11365 L
.13145 .11172 L
.13099 .11063 L
.13067 .1098 L
.13025 .10787 L
F
0 .97 1 r
.1387 .05576 m
.14052 .05584 L
.14063 .05585 L
.14255 .0561 L
.14448 .0565 L
.14641 .05701 L
.14834 .05763 L
.14873 .05777 L
.15026 .05836 L
.15219 .05919 L
.15326 .0597 L
.15412 .06012 L
.15604 .06116 L
.15684 .06162 L
.15797 .06231 L
.15988 .06355 L
.1599 .06356 L
.16182 .06496 L
.16249 .06548 L
.16375 .06651 L
.16474 .0674 L
.16568 .06828 L
.16662 .06933 L
.1676 .07041 L
.16804 .07126 L
.16878 .07318 L
.16824 .07511 L
.1676 .07564 L
.16568 .0767 L
.16375 .07687 L
.16182 .07697 L
.1599 .07699 L
.15797 .07691 L
.15604 .07673 L
.15412 .07644 L
.15219 .07605 L
.15026 .07555 L
.14888 .07511 L
.14834 .07492 L
.14641 .07416 L
.14448 .07324 L
.14438 .07318 L
.14255 .07215 L
.14118 .07126 L
.14063 .07087 L
.1387 .06937 L
.13865 .06933 L
.13677 .0676 L
.13658 .0674 L
.13488 .06548 L
.13485 .06544 L
.13355 .06355 L
.13292 .06233 L
.13264 .06162 L
.13227 .0597 L
.13286 .05777 L
.13292 .05766 L
.13485 .05628 L
.13677 .05588 L
.13712 .05584 L
F
1 .89 0 r
.13485 .11102 m
.13677 .11035 L
.1387 .11103 L
.14028 .11172 L
.14063 .11187 L
.14255 .11286 L
.144 .11365 L
.14448 .11396 L
.14641 .11514 L
.1471 .11558 L
.14834 .11638 L
.15001 .1175 L
.15026 .11768 L
.15219 .11901 L
.15279 .11943 L
.15412 .12038 L
.15546 .12136 L
.15604 .12179 L
.15797 .12322 L
.15806 .12329 L
.1599 .12468 L
.1606 .12521 L
.16182 .12616 L
.16308 .12714 L
.16375 .12766 L
.16553 .12907 L
.16568 .12919 L
.1676 .13073 L
.16794 .13099 L
.16953 .13229 L
.17031 .13292 L
.17146 .13386 L
.17266 .13485 L
.17339 .13545 L
.17498 .13677 L
.17531 .13706 L
.17724 .13867 L
.17727 .1387 L
.17917 .14031 L
.17954 .14063 L
.18109 .14195 L
.1818 .14255 L
.18302 .14361 L
.18403 .14448 L
.18495 .14527 L
.18625 .14641 L
.18687 .14695 L
.18845 .14834 L
.1888 .14864 L
.19064 .15026 L
.19073 .15034 L
.19265 .15205 L
.1928 .15219 L
.19458 .15378 L
.19496 .15412 L
.19651 .15551 L
.1971 .15604 L
.19844 .15725 L
.19922 .15797 L
.20036 .15901 L
.20133 .1599 L
.20229 .16077 L
.20343 .16182 L
.20422 .16255 L
.20551 .16375 L
.20614 .16434 L
.20758 .16568 L
.20807 .16614 L
.20963 .1676 L
.21 .16795 L
.21167 .16953 L
.21192 .16977 L
.2137 .17146 L
.21385 .1716 L
.21571 .17339 L
.21578 .17345 L
.2177 .17531 L
.21771 .17531 L
.21963 .17717 L
.2197 .17724 L
.22156 .17906 L
.22167 .17917 L
.22349 .18095 L
.22363 .18109 L
.22541 .18285 L
.22558 .18302 L
.22734 .18476 L
.22752 .18495 L
.22927 .18669 L
.22945 .18687 L
.23119 .18862 L
.23137 .1888 L
.23312 .19057 L
.23327 .19073 L
.23505 .19253 L
.23517 .19265 L
.23697 .1945 L
.23705 .19458 L
.2389 .19648 L
.23893 .19651 L
.24079 .19844 L
.24083 .19848 L
.24264 .20036 L
.24275 .20049 L
.24447 .20229 L
.24468 .20251 L
.24629 .20422 L
.24661 .20455 L
.2481 .20614 L
.24854 .20661 L
.2499 .20807 L
.25046 .20868 L
.25168 .21 L
.25239 .21077 L
.25344 .21192 L
.25432 .21289 L
.25518 .21385 L
.25624 .21503 L
.25691 .21578 L
.25817 .2172 L
.25861 .2177 L
.2601 .2194 L
.2603 .21963 L
.26196 .22156 L
.26202 .22164 L
.2636 .22349 L
.26395 .22391 L
.26521 .22541 L
.26588 .22622 L
.26679 .22734 L
.2678 .2286 L
.26834 .22927 L
.26973 .23104 L
.26985 .23119 L
.27132 .23312 L
.27166 .23355 L
.27275 .23505 L
.27359 .2362 L
.27412 .23697 L
.27542 .2389 L
.27551 .23902 L
.27663 .24083 L
.27744 .24216 L
.27771 .24275 L
.27864 .24468 L
.27911 .24661 L
.27744 .24848 L
.27551 .24815 L
.27359 .24735 L
.27187 .24661 L
.27166 .24639 L
.26973 .24531 L
.26863 .24468 L
.2678 .24416 L
.26588 .24293 L
.26561 .24275 L
.26395 .24165 L
.26274 .24083 L
.26202 .24033 L
.2601 .23896 L
.26001 .2389 L
.25817 .23757 L
.25736 .23697 L
.25624 .23615 L
.25478 .23505 L
.25432 .23469 L
.25239 .23322 L
.25226 .23312 L
.25046 .23172 L
.24979 .23119 L
.24854 .23021 L
.24735 .22927 L
.24661 .22867 L
.24496 .22734 L
.24468 .22712 L
.24275 .22555 L
.24259 .22541 L
.24083 .22396 L
.24025 .22349 L
.2389 .22236 L
.23794 .22156 L
.23697 .22075 L
.23565 .21963 L
.23505 .21912 L
.23339 .2177 L
.23312 .21748 L
.23119 .21582 L
.23114 .21578 L
.22927 .21415 L
.22892 .21385 L
.22734 .21247 L
.22671 .21192 L
.22541 .21078 L
.22452 .21 L
.22349 .20908 L
.22234 .20807 L
.22156 .20737 L
.22018 .20614 L
.21963 .20565 L
.21804 .20422 L
.2177 .20391 L
.21591 .20229 L
.21578 .20217 L
.21385 .20041 L
.2138 .20036 L
.21192 .19864 L
.2117 .19844 L
.21 .19687 L
.20961 .19651 L
.20807 .19508 L
.20753 .19458 L
.20614 .19328 L
.20547 .19265 L
.20422 .19148 L
.20342 .19073 L
.20229 .18966 L
.20138 .1888 L
.20036 .18783 L
.19936 .18687 L
.19844 .18599 L
.19734 .18495 L
.19651 .18414 L
.19534 .18302 L
.19458 .18228 L
.19335 .18109 L
.19265 .18041 L
.19137 .17917 L
.19073 .17853 L
.18941 .17724 L
.1888 .17664 L
.18745 .17531 L
.18687 .17474 L
.18551 .17339 L
.18495 .17282 L
.18358 .17146 L
.18302 .1709 L
.18166 .16953 L
.18109 .16896 L
.17976 .1676 L
.17917 .167 L
.17786 .16568 L
.17724 .16504 L
.17598 .16375 L
.17531 .16306 L
.17411 .16182 L
.17339 .16107 L
.17226 .1599 L
.17146 .15906 L
.17042 .15797 L
.16953 .15704 L
.16859 .15604 L
.1676 .155 L
.16677 .15412 L
.16568 .15294 L
.16498 .15219 L
.16375 .15087 L
.16319 .15026 L
.16182 .14877 L
.16142 .14834 L
.1599 .14666 L
.15967 .14641 L
.15797 .14452 L
.15794 .14448 L
.15622 .14255 L
.15604 .14235 L
.15453 .14063 L
.15412 .14016 L
.15285 .1387 L
.15219 .13793 L
.1512 .13677 L
.15026 .13567 L
.14957 .13485 L
.14834 .13337 L
.14797 .13292 L
.14641 .13101 L
.1464 .13099 L
.14486 .12907 L
.14448 .12859 L
.14335 .12714 L
.14255 .1261 L
.1419 .12521 L
.14063 .12348 L
.14049 .12329 L
.13914 .12136 L
.1387 .12075 L
.13786 .11943 L
.13677 .11764 L
.1367 .1175 L
.13565 .11558 L
.13487 .11365 L
.13485 .11356 L
.13452 .11172 L
F
0 .96 1 r
.14063 .05904 m
.14255 .05897 L
.14448 .05919 L
.14641 .0596 L
.14681 .0597 L
.14834 .06016 L
.15026 .06087 L
.152 .06162 L
.15219 .06171 L
.15412 .06269 L
.15562 .06355 L
.15604 .0638 L
.15797 .06507 L
.15852 .06548 L
.1599 .06652 L
.16088 .0674 L
.16182 .06819 L
.16272 .06933 L
.16375 .07091 L
.16391 .07126 L
.164 .07318 L
.16375 .07359 L
.16182 .07472 L
.1599 .0751 L
.15797 .0751 L
.15604 .07497 L
.15412 .07468 L
.15219 .07422 L
.15026 .0736 L
.14916 .07318 L
.14834 .07284 L
.14641 .07189 L
.14531 .07126 L
.14448 .07075 L
.14255 .06933 L
.14255 .06933 L
.14063 .06761 L
.14044 .0674 L
.13885 .06548 L
.1387 .06525 L
.1378 .06355 L
.13748 .06162 L
.1387 .05973 L
.13872 .0597 L
F
1 .88 0 r
.1387 .11516 m
.14063 .11412 L
.14255 .11487 L
.14415 .11558 L
.14448 .11572 L
.14641 .11673 L
.14783 .1175 L
.14834 .11784 L
.15026 .11904 L
.15088 .11943 L
.15219 .1203 L
.15377 .12136 L
.15412 .12161 L
.15604 .12296 L
.15651 .12329 L
.15797 .12434 L
.15916 .12521 L
.1599 .12576 L
.16173 .12714 L
.16182 .12721 L
.16375 .12868 L
.16425 .12907 L
.16568 .13018 L
.16671 .13099 L
.1676 .1317 L
.16914 .13292 L
.16953 .13324 L
.17146 .13479 L
.17152 .13485 L
.17339 .13637 L
.17388 .13677 L
.17531 .13796 L
.17621 .1387 L
.17724 .13956 L
.17851 .14063 L
.17917 .14118 L
.18079 .14255 L
.18109 .14281 L
.18302 .14446 L
.18304 .14448 L
.18495 .14612 L
.18528 .14641 L
.18687 .14779 L
.1875 .14834 L
.1888 .14948 L
.18969 .15026 L
.19073 .15117 L
.19188 .15219 L
.19265 .15288 L
.19404 .15412 L
.19458 .1546 L
.19619 .15604 L
.19651 .15633 L
.19832 .15797 L
.19844 .15807 L
.20036 .15983 L
.20044 .1599 L
.20229 .16159 L
.20254 .16182 L
.20422 .16337 L
.20463 .16375 L
.20614 .16516 L
.2067 .16568 L
.20807 .16696 L
.20876 .1676 L
.21 .16877 L
.21081 .16953 L
.21192 .17059 L
.21284 .17146 L
.21385 .17243 L
.21485 .17339 L
.21578 .17427 L
.21686 .17531 L
.2177 .17613 L
.21885 .17724 L
.21963 .178 L
.22082 .17917 L
.22156 .17989 L
.22279 .18109 L
.22349 .18178 L
.22474 .18302 L
.22541 .18369 L
.22668 .18495 L
.22734 .18561 L
.22861 .18687 L
.22927 .18754 L
.23052 .1888 L
.23119 .18948 L
.23242 .19073 L
.23312 .19144 L
.23432 .19265 L
.23505 .1934 L
.23619 .19458 L
.23697 .19538 L
.23806 .19651 L
.2389 .19738 L
.23991 .19844 L
.24083 .19939 L
.24175 .20036 L
.24275 .20142 L
.24358 .20229 L
.24468 .20346 L
.24539 .20422 L
.24661 .20552 L
.24719 .20614 L
.24854 .2076 L
.24897 .20807 L
.25046 .2097 L
.25073 .21 L
.25239 .21183 L
.25247 .21192 L
.2542 .21385 L
.25432 .21398 L
.2559 .21578 L
.25624 .21617 L
.25758 .2177 L
.25817 .21838 L
.25924 .21963 L
.2601 .22064 L
.26087 .22156 L
.26202 .22294 L
.26247 .22349 L
.26395 .2253 L
.26404 .22541 L
.26558 .22734 L
.26588 .22772 L
.26707 .22927 L
.2678 .23022 L
.26852 .23119 L
.26973 .23286 L
.26991 .23312 L
.27124 .23505 L
.27166 .23561 L
.27248 .23697 L
.27358 .2389 L
.27359 .23892 L
.27454 .24083 L
.27534 .24275 L
.27359 .24463 L
.27166 .24433 L
.26973 .2435 L
.26798 .24275 L
.2678 .24253 L
.26588 .24144 L
.26483 .24083 L
.26395 .24027 L
.26202 .23902 L
.26184 .2389 L
.2601 .23773 L
.259 .23697 L
.25817 .23639 L
.2563 .23505 L
.25624 .23501 L
.25432 .2336 L
.25367 .23312 L
.25239 .23216 L
.25111 .23119 L
.25046 .23069 L
.24862 .22927 L
.24854 .2292 L
.24661 .22769 L
.24616 .22734 L
.24468 .22616 L
.24375 .22541 L
.24275 .22461 L
.24137 .22349 L
.24083 .22304 L
.23903 .22156 L
.2389 .22145 L
.23697 .21985 L
.23671 .21963 L
.23505 .21824 L
.23442 .2177 L
.23312 .2166 L
.23215 .21578 L
.23119 .21496 L
.2299 .21385 L
.22927 .2133 L
.22768 .21192 L
.22734 .21163 L
.22547 .21 L
.22541 .20995 L
.22349 .20825 L
.22328 .20807 L
.22156 .20654 L
.22111 .20614 L
.21963 .20483 L
.21895 .20422 L
.2177 .20309 L
.21681 .20229 L
.21578 .20135 L
.21469 .20036 L
.21385 .1996 L
.21258 .19844 L
.21192 .19784 L
.21048 .19651 L
.21 .19606 L
.2084 .19458 L
.20807 .19427 L
.20633 .19265 L
.20614 .19248 L
.20428 .19073 L
.20422 .19067 L
.20229 .18885 L
.20224 .1888 L
.20036 .18702 L
.20021 .18687 L
.19844 .18518 L
.19819 .18495 L
.19651 .18333 L
.19619 .18302 L
.19458 .18146 L
.1942 .18109 L
.19265 .17959 L
.19222 .17917 L
.19073 .1777 L
.19025 .17724 L
.1888 .17581 L
.1883 .17531 L
.18687 .1739 L
.18636 .17339 L
.18495 .17197 L
.18443 .17146 L
.18302 .17004 L
.18252 .16953 L
.18109 .16809 L
.18062 .1676 L
.17917 .16613 L
.17873 .16568 L
.17724 .16415 L
.17685 .16375 L
.17531 .16216 L
.17499 .16182 L
.17339 .16015 L
.17314 .1599 L
.17146 .15813 L
.17131 .15797 L
.16953 .15609 L
.16949 .15604 L
.16769 .15412 L
.1676 .15403 L
.1659 .15219 L
.16568 .15195 L
.16413 .15026 L
.16375 .14985 L
.16238 .14834 L
.16182 .14772 L
.16064 .14641 L
.1599 .14557 L
.15893 .14448 L
.15797 .14339 L
.15724 .14255 L
.15604 .14118 L
.15556 .14063 L
.15412 .13894 L
.15392 .1387 L
.1523 .13677 L
.15219 .13665 L
.1507 .13485 L
.15026 .13431 L
.14914 .13292 L
.14834 .13191 L
.14762 .13099 L
.14641 .12942 L
.14614 .12907 L
.14471 .12714 L
.14448 .12684 L
.14334 .12521 L
.14255 .1241 L
.14204 .12329 L
.14084 .12136 L
.14063 .12098 L
.13977 .11943 L
.1389 .1175 L
.1387 .1166 L
.13859 .11558 L
F
1 .87 0 r
.14255 .11912 m
.14448 .11813 L
.14641 .11863 L
.14813 .11943 L
.14834 .11952 L
.15026 .12054 L
.15172 .12136 L
.15219 .12168 L
.15412 .1229 L
.15472 .12329 L
.15604 .12418 L
.15756 .12521 L
.15797 .1255 L
.1599 .12687 L
.16027 .12714 L
.16182 .12828 L
.16289 .12907 L
.16375 .12971 L
.16543 .13099 L
.16568 .13118 L
.1676 .13267 L
.16792 .13292 L
.16953 .13418 L
.17037 .13485 L
.17146 .13572 L
.17277 .13677 L
.17339 .13727 L
.17514 .1387 L
.17531 .13885 L
.17724 .14044 L
.17747 .14063 L
.17917 .14204 L
.17978 .14255 L
.18109 .14366 L
.18206 .14448 L
.18302 .1453 L
.18432 .14641 L
.18495 .14695 L
.18655 .14834 L
.18687 .14862 L
.18877 .15026 L
.1888 .15029 L
.19073 .15198 L
.19096 .15219 L
.19265 .15369 L
.19314 .15412 L
.19458 .1554 L
.1953 .15604 L
.19651 .15713 L
.19744 .15797 L
.19844 .15887 L
.19957 .1599 L
.20036 .16062 L
.20168 .16182 L
.20229 .16238 L
.20377 .16375 L
.20422 .16416 L
.20585 .16568 L
.20614 .16595 L
.20792 .1676 L
.20807 .16775 L
.20997 .16953 L
.21 .16956 L
.21192 .17138 L
.212 .17146 L
.21385 .17322 L
.21402 .17339 L
.21578 .17507 L
.21603 .17531 L
.2177 .17693 L
.21802 .17724 L
.21963 .17881 L
.22 .17917 L
.22156 .18069 L
.22197 .18109 L
.22349 .18259 L
.22392 .18302 L
.22541 .1845 L
.22586 .18495 L
.22734 .18643 L
.22778 .18687 L
.22927 .18837 L
.22969 .1888 L
.23119 .19032 L
.23159 .19073 L
.23312 .19228 L
.23348 .19265 L
.23505 .19426 L
.23535 .19458 L
.23697 .19626 L
.23721 .19651 L
.2389 .19827 L
.23906 .19844 L
.24083 .2003 L
.24089 .20036 L
.2427 .20229 L
.24275 .20234 L
.2445 .20422 L
.24468 .20441 L
.24628 .20614 L
.24661 .2065 L
.24805 .20807 L
.24854 .20861 L
.24979 .21 L
.25046 .21074 L
.25152 .21192 L
.25239 .21291 L
.25322 .21385 L
.25432 .21511 L
.2549 .21578 L
.25624 .21735 L
.25655 .2177 L
.25817 .21963 L
.25817 .21963 L
.25977 .22156 L
.2601 .22196 L
.26133 .22349 L
.26202 .22435 L
.26285 .22541 L
.26395 .22685 L
.26432 .22734 L
.26574 .22927 L
.26588 .22944 L
.26709 .23119 L
.2678 .2322 L
.26836 .23312 L
.26952 .23505 L
.26973 .23547 L
.27051 .23697 L
.27138 .2389 L
.27025 .24083 L
.26973 .24089 L
.26913 .24083 L
.2678 .24058 L
.26588 .23972 L
.26432 .2389 L
.26395 .23872 L
.26202 .2376 L
.26096 .23697 L
.2601 .23641 L
.25817 .23514 L
.25802 .23505 L
.25624 .23383 L
.25522 .23312 L
.25432 .23248 L
.25254 .23119 L
.25239 .23108 L
.25046 .22965 L
.24995 .22927 L
.24854 .22819 L
.24742 .22734 L
.24661 .22671 L
.24495 .22541 L
.24468 .2252 L
.24275 .22367 L
.24252 .22349 L
.24083 .22212 L
.24013 .22156 L
.2389 .22056 L
.23777 .21963 L
.23697 .21897 L
.23545 .2177 L
.23505 .21737 L
.23315 .21578 L
.23312 .21575 L
.23119 .21412 L
.23088 .21385 L
.22927 .21247 L
.22863 .21192 L
.22734 .21081 L
.22641 .21 L
.22541 .20913 L
.2242 .20807 L
.22349 .20744 L
.22201 .20614 L
.22156 .20574 L
.21984 .20422 L
.21963 .20403 L
.2177 .2023 L
.21769 .20229 L
.21578 .20056 L
.21556 .20036 L
.21385 .19881 L
.21344 .19844 L
.21192 .19705 L
.21134 .19651 L
.21 .19527 L
.20925 .19458 L
.20807 .19349 L
.20717 .19265 L
.20614 .19169 L
.20511 .19073 L
.20422 .18988 L
.20307 .1888 L
.20229 .18806 L
.20104 .18687 L
.20036 .18623 L
.19902 .18495 L
.19844 .18439 L
.19701 .18302 L
.19651 .18253 L
.19502 .18109 L
.19458 .18067 L
.19304 .17917 L
.19265 .17879 L
.19108 .17724 L
.19073 .1769 L
.18913 .17531 L
.1888 .17499 L
.18719 .17339 L
.18687 .17307 L
.18526 .17146 L
.18495 .17114 L
.18335 .16953 L
.18302 .1692 L
.18145 .1676 L
.18109 .16724 L
.17957 .16568 L
.17917 .16526 L
.1777 .16375 L
.17724 .16327 L
.17585 .16182 L
.17531 .16127 L
.17401 .1599 L
.17339 .15924 L
.17218 .15797 L
.17146 .1572 L
.17038 .15604 L
.16953 .15514 L
.16859 .15412 L
.1676 .15305 L
.16681 .15219 L
.16568 .15095 L
.16506 .15026 L
.16375 .14881 L
.16332 .14834 L
.16182 .14665 L
.16161 .14641 L
.15992 .14448 L
.1599 .14446 L
.15825 .14255 L
.15797 .14223 L
.15661 .14063 L
.15604 .13996 L
.15499 .1387 L
.15412 .13764 L
.15341 .13677 L
.15219 .13526 L
.15187 .13485 L
.15036 .13292 L
.15026 .1328 L
.1489 .13099 L
.14834 .13025 L
.1475 .12907 L
.14641 .1275 L
.14618 .12714 L
.14493 .12521 L
.14448 .12474 L
.14383 .12329 L
.14289 .12136 L
.14255 .11984 L
.14252 .11943 L
F
0 .95 1 r
.14448 .06301 m
.14641 .06265 L
.14834 .06308 L
.14978 .06355 L
.15026 .06364 L
.15219 .06448 L
.15389 .06548 L
.15412 .06563 L
.15604 .06689 L
.15655 .0674 L
.15797 .0689 L
.15828 .06933 L
.15873 .07126 L
.15797 .07197 L
.15604 .0724 L
.15412 .07253 L
.15219 .07191 L
.15045 .07126 L
.15026 .07114 L
.14834 .07032 L
.14697 .06933 L
.14641 .06889 L
.14476 .0674 L
.14448 .06705 L
.14348 .06548 L
.14343 .06355 L
F
1 .86 0 r
.14641 .1227 m
.14834 .12182 L
.15026 .12235 L
.15216 .12329 L
.15219 .1233 L
.15412 .12433 L
.15564 .12521 L
.15604 .1255 L
.15797 .12674 L
.15858 .12714 L
.1599 .12804 L
.16138 .12907 L
.16182 .12939 L
.16375 .13078 L
.16404 .13099 L
.16568 .1322 L
.16664 .13292 L
.1676 .13366 L
.16915 .13485 L
.16953 .13514 L
.17146 .13665 L
.17161 .13677 L
.17339 .13818 L
.17403 .1387 L
.17531 .13974 L
.17641 .14063 L
.17724 .14131 L
.17875 .14255 L
.17917 .1429 L
.18106 .14448 L
.18109 .14451 L
.18302 .14613 L
.18335 .14641 L
.18495 .14777 L
.1856 .14834 L
.18687 .14943 L
.18784 .15026 L
.1888 .1511 L
.19005 .15219 L
.19073 .15278 L
.19225 .15412 L
.19265 .15448 L
.19442 .15604 L
.19458 .15619 L
.19651 .15791 L
.19657 .15797 L
.19844 .15965 L
.19871 .1599 L
.20036 .1614 L
.20083 .16182 L
.20229 .16316 L
.20293 .16375 L
.20422 .16493 L
.20502 .16568 L
.20614 .16672 L
.20709 .1676 L
.20807 .16852 L
.20914 .16953 L
.21 .17033 L
.21118 .17146 L
.21192 .17216 L
.21321 .17339 L
.21385 .174 L
.21522 .17531 L
.21578 .17585 L
.21721 .17724 L
.2177 .17772 L
.21919 .17917 L
.21963 .17959 L
.22116 .18109 L
.22156 .18149 L
.22311 .18302 L
.22349 .18339 L
.22505 .18495 L
.22541 .18531 L
.22697 .18687 L
.22734 .18724 L
.22888 .1888 L
.22927 .18919 L
.23078 .19073 L
.23119 .19115 L
.23266 .19265 L
.23312 .19313 L
.23453 .19458 L
.23505 .19512 L
.23638 .19651 L
.23697 .19713 L
.23821 .19844 L
.2389 .19916 L
.24003 .20036 L
.24083 .20121 L
.24184 .20229 L
.24275 .20328 L
.24362 .20422 L
.24468 .20537 L
.24539 .20614 L
.24661 .20749 L
.24713 .20807 L
.24854 .20964 L
.24885 .21 L
.25046 .21182 L
.25055 .21192 L
.25223 .21385 L
.25239 .21403 L
.25388 .21578 L
.25432 .21629 L
.2555 .2177 L
.25624 .2186 L
.25708 .21963 L
.25817 .22098 L
.25863 .22156 L
.2601 .22345 L
.26012 .22349 L
.26158 .22541 L
.26202 .22599 L
.26297 .22734 L
.26395 .22876 L
.26426 .22927 L
.26547 .23119 L
.26588 .23196 L
.2665 .23312 L
.26744 .23505 L
.26687 .23697 L
.26588 .23727 L
.2646 .23697 L
.26395 .23685 L
.26202 .23597 L
.26033 .23505 L
.2601 .23493 L
.25817 .23379 L
.25705 .23312 L
.25624 .23258 L
.25432 .23128 L
.25418 .23119 L
.25239 .22995 L
.25141 .22927 L
.25046 .22858 L
.24878 .22734 L
.24854 .22716 L
.24661 .22571 L
.24621 .22541 L
.24468 .22424 L
.24371 .22349 L
.24275 .22273 L
.24127 .22156 L
.24083 .22121 L
.2389 .21966 L
.23887 .21963 L
.23697 .21809 L
.2365 .2177 L
.23505 .21651 L
.23417 .21578 L
.23312 .2149 L
.23187 .21385 L
.23119 .21328 L
.22959 .21192 L
.22927 .21164 L
.22735 .21 L
.22734 .20999 L
.22541 .20832 L
.22512 .20807 L
.22349 .20664 L
.22292 .20614 L
.22156 .20495 L
.22073 .20422 L
.21963 .20324 L
.21857 .20229 L
.2177 .20152 L
.21642 .20036 L
.21578 .19978 L
.21429 .19844 L
.21385 .19804 L
.21218 .19651 L
.21192 .19628 L
.21008 .19458 L
.21 .1945 L
.20807 .19272 L
.208 .19265 L
.20614 .19092 L
.20593 .19073 L
.20422 .18911 L
.20388 .1888 L
.20229 .18729 L
.20185 .18687 L
.20036 .18546 L
.19983 .18495 L
.19844 .18361 L
.19782 .18302 L
.19651 .18175 L
.19583 .18109 L
.19458 .17988 L
.19385 .17917 L
.19265 .178 L
.19188 .17724 L
.19073 .1761 L
.18993 .17531 L
.1888 .17419 L
.188 .17339 L
.18687 .17226 L
.18608 .17146 L
.18495 .17032 L
.18417 .16953 L
.18302 .16836 L
.18228 .1676 L
.18109 .16639 L
.1804 .16568 L
.17917 .1644 L
.17854 .16375 L
.17724 .1624 L
.17669 .16182 L
.17531 .16037 L
.17486 .1599 L
.17339 .15833 L
.17305 .15797 L
.17146 .15626 L
.17125 .15604 L
.16953 .15418 L
.16948 .15412 L
.16772 .15219 L
.1676 .15206 L
.16598 .15026 L
.16568 .14992 L
.16427 .14834 L
.16375 .14775 L
.16258 .14641 L
.16182 .14554 L
.16091 .14448 L
.1599 .14329 L
.15928 .14255 L
.15797 .14099 L
.15767 .14063 L
.1561 .1387 L
.15604 .13863 L
.15457 .13677 L
.15412 .13621 L
.15308 .13485 L
.15219 .13367 L
.15165 .13292 L
.1503 .13099 L
.15026 .13096 L
.14901 .12907 L
.14834 .12813 L
.14787 .12714 L
.14685 .12521 L
.14641 .12346 L
.14638 .12329 L
F
1 .85 0 r
.15026 .1261 m
.15219 .12549 L
.15412 .12604 L
.15604 .12705 L
.15624 .12714 L
.15797 .12811 L
.15957 .12907 L
.1599 .12931 L
.16182 .13058 L
.16245 .13099 L
.16375 .1319 L
.1652 .13292 L
.16568 .13327 L
.1676 .13469 L
.16782 .13485 L
.16953 .13613 L
.17038 .13677 L
.17146 .1376 L
.17287 .1387 L
.17339 .13911 L
.1753 .14063 L
.17531 .14064 L
.17724 .14219 L
.17769 .14255 L
.17917 .14376 L
.18004 .14448 L
.18109 .14535 L
.18236 .14641 L
.18302 .14696 L
.18464 .14834 L
.18495 .14859 L
.18687 .15024 L
.1869 .15026 L
.1888 .1519 L
.18914 .15219 L
.19073 .15357 L
.19135 .15412 L
.19265 .15526 L
.19354 .15604 L
.19458 .15697 L
.19571 .15797 L
.19651 .15869 L
.19786 .1599 L
.19844 .16042 L
.19999 .16182 L
.20036 .16217 L
.2021 .16375 L
.20229 .16393 L
.20419 .16568 L
.20422 .1657 L
.20614 .16749 L
.20627 .1676 L
.20807 .16929 L
.20833 .16953 L
.21 .1711 L
.21037 .17146 L
.21192 .17293 L
.2124 .17339 L
.21385 .17477 L
.21442 .17531 L
.21578 .17663 L
.21641 .17724 L
.2177 .17849 L
.21839 .17917 L
.21963 .18038 L
.22036 .18109 L
.22156 .18227 L
.22231 .18302 L
.22349 .18419 L
.22425 .18495 L
.22541 .18611 L
.22617 .18687 L
.22734 .18805 L
.22808 .1888 L
.22927 .19001 L
.22997 .19073 L
.23119 .19199 L
.23184 .19265 L
.23312 .19398 L
.2337 .19458 L
.23505 .19599 L
.23554 .19651 L
.23697 .19802 L
.23737 .19844 L
.2389 .20007 L
.23918 .20036 L
.24083 .20214 L
.24096 .20229 L
.24273 .20422 L
.24275 .20424 L
.24448 .20614 L
.24468 .20637 L
.2462 .20807 L
.24661 .20852 L
.2479 .21 L
.24854 .21072 L
.24958 .21192 L
.25046 .21295 L
.25122 .21385 L
.25239 .21524 L
.25283 .21578 L
.25432 .2176 L
.2544 .2177 L
.25593 .21963 L
.25624 .22001 L
.25742 .22156 L
.25817 .22254 L
.25883 .22349 L
.2601 .2253 L
.26017 .22541 L
.26143 .22734 L
.26202 .22841 L
.26251 .22927 L
.26352 .23119 L
.26332 .23312 L
.26202 .23373 L
.26026 .23312 L
.2601 .2331 L
.25817 .23224 L
.25633 .23119 L
.25624 .23115 L
.25432 .22999 L
.25314 .22927 L
.25239 .22875 L
.25046 .22743 L
.25033 .22734 L
.24854 .22608 L
.24761 .22541 L
.24661 .22468 L
.24501 .22349 L
.24468 .22324 L
.24275 .22177 L
.24248 .22156 L
.24083 .22027 L
.24001 .21963 L
.2389 .21875 L
.23759 .2177 L
.23697 .2172 L
.23522 .21578 L
.23505 .21564 L
.23312 .21405 L
.23288 .21385 L
.23119 .21244 L
.23057 .21192 L
.22927 .21082 L
.2283 .21 L
.22734 .20918 L
.22605 .20807 L
.22541 .20752 L
.22382 .20614 L
.22349 .20585 L
.22162 .20422 L
.22156 .20416 L
.21963 .20246 L
.21944 .20229 L
.2177 .20074 L
.21728 .20036 L
.21578 .19901 L
.21514 .19844 L
.21385 .19727 L
.21301 .19651 L
.21192 .19551 L
.21091 .19458 L
.21 .19374 L
.20882 .19265 L
.20807 .19196 L
.20675 .19073 L
.20614 .19016 L
.20469 .1888 L
.20422 .18835 L
.20265 .18687 L
.20229 .18653 L
.20063 .18495 L
.20036 .18469 L
.19862 .18302 L
.19844 .18284 L
.19663 .18109 L
.19651 .18098 L
.19465 .17917 L
.19458 .1791 L
.19268 .17724 L
.19265 .17721 L
.19073 .17531 L
.19073 .17531 L
.1888 .17339 L
.1888 .17339 L
.18688 .17146 L
.18687 .17145 L
.18498 .16953 L
.18495 .1695 L
.18309 .1676 L
.18302 .16753 L
.18122 .16568 L
.18109 .16554 L
.17937 .16375 L
.17917 .16354 L
.17753 .16182 L
.17724 .16152 L
.17571 .1599 L
.17531 .15947 L
.17391 .15797 L
.17339 .1574 L
.17213 .15604 L
.17146 .15531 L
.17037 .15412 L
.16953 .15319 L
.16863 .15219 L
.1676 .15104 L
.16692 .15026 L
.16568 .14885 L
.16523 .14834 L
.16375 .14662 L
.16357 .14641 L
.16194 .14448 L
.16182 .14435 L
.16034 .14255 L
.1599 .14203 L
.15878 .14063 L
.15797 .13962 L
.15726 .1387 L
.15604 .1371 L
.15581 .13677 L
.15441 .13485 L
.15412 .13451 L
.15309 .13292 L
.15219 .13156 L
.1519 .13099 L
.15082 .12907 L
.15026 .12726 L
.15023 .12714 L
F
1 .98 0 r
.15797 .08273 m
.1599 .0825 L
.16182 .08235 L
.16375 .08227 L
.16568 .08225 L
.1676 .08227 L
.16953 .08233 L
.17146 .08244 L
.17339 .0826 L
.17531 .0828 L
.17547 .08282 L
.17724 .08308 L
.17917 .08342 L
.18109 .08385 L
.18302 .08434 L
.18451 .08475 L
.18495 .08489 L
.18687 .08557 L
.1888 .08632 L
.18968 .08667 L
.19073 .08715 L
.19265 .08809 L
.19369 .0886 L
.19458 .08909 L
.19651 .09019 L
.19711 .09053 L
.19844 .09136 L
.20017 .09245 L
.20036 .09258 L
.20229 .09394 L
.20293 .09438 L
.20422 .09535 L
.20548 .09631 L
.20614 .09683 L
.20784 .09823 L
.20807 .09843 L
.20999 .10016 L
.21 .10017 L
.2119 .10209 L
.21192 .10212 L
.21353 .10402 L
.21385 .10441 L
.21481 .10594 L
.21565 .10787 L
.21562 .1098 L
.21385 .11157 L
.21353 .11172 L
.21192 .11236 L
.21 .11275 L
.20807 .11296 L
.20614 .11309 L
.20422 .11318 L
.20229 .11324 L
.20036 .11327 L
.19844 .11329 L
.19651 .11328 L
.19458 .11326 L
.19265 .11321 L
.19073 .11314 L
.1888 .11304 L
.18687 .11291 L
.18495 .11273 L
.18302 .1125 L
.18109 .1122 L
.17917 .11184 L
.1786 .11172 L
.17724 .11138 L
.17531 .11079 L
.17339 .1101 L
.17257 .1098 L
.17146 .1093 L
.16953 .10834 L
.1686 .10787 L
.1676 .10728 L
.16568 .10607 L
.16547 .10594 L
.16375 .10469 L
.16283 .10402 L
.16182 .10319 L
.16052 .10209 L
.1599 .10153 L
.15847 .10016 L
.15797 .09965 L
.15667 .09823 L
.15604 .09753 L
.15507 .09631 L
.15412 .09506 L
.15367 .09438 L
.15248 .09245 L
.15219 .09198 L
.15159 .09053 L
.15106 .0886 L
.15112 .08667 L
.15219 .08488 L
.15234 .08475 L
.15412 .08364 L
.15604 .08308 L
.15743 .08282 L
F
1 .84 0 r
.15412 .12954 m
.15604 .12915 L
.15797 .12974 L
.1599 .1308 L
.16029 .13099 L
.16182 .1319 L
.16349 .13292 L
.16375 .13313 L
.16568 .13443 L
.1663 .13485 L
.1676 .13577 L
.16901 .13677 L
.16953 .13717 L
.17146 .1386 L
.17159 .1387 L
.17339 .14007 L
.17411 .14063 L
.17531 .14157 L
.17657 .14255 L
.17724 .14309 L
.17897 .14448 L
.17917 .14464 L
.18109 .14622 L
.18133 .14641 L
.18302 .14781 L
.18365 .14834 L
.18495 .14942 L
.18594 .15026 L
.18687 .15105 L
.1882 .15219 L
.1888 .1527 L
.19044 .15412 L
.19073 .15437 L
.19264 .15604 L
.19265 .15605 L
.19458 .15775 L
.19483 .15797 L
.19651 .15946 L
.19699 .1599 L
.19844 .16119 L
.19914 .16182 L
.20036 .16293 L
.20126 .16375 L
.20229 .16469 L
.20336 .16568 L
.20422 .16646 L
.20545 .1676 L
.20614 .16825 L
.20752 .16953 L
.20807 .17005 L
.20957 .17146 L
.21 .17186 L
.2116 .17339 L
.21192 .17369 L
.21361 .17531 L
.21385 .17554 L
.21561 .17724 L
.21578 .1774 L
.2176 .17917 L
.2177 .17927 L
.21956 .18109 L
.21963 .18116 L
.22151 .18302 L
.22156 .18306 L
.22345 .18495 L
.22349 .18498 L
.22537 .18687 L
.22541 .18692 L
.22727 .1888 L
.22734 .18887 L
.22915 .19073 L
.22927 .19084 L
.23102 .19265 L
.23119 .19283 L
.23287 .19458 L
.23312 .19484 L
.2347 .19651 L
.23505 .19687 L
.23652 .19844 L
.23697 .19892 L
.23831 .20036 L
.2389 .201 L
.24008 .20229 L
.24083 .2031 L
.24183 .20422 L
.24275 .20524 L
.24356 .20614 L
.24468 .20741 L
.24525 .20807 L
.24661 .20963 L
.24692 .21 L
.24854 .2119 L
.24856 .21192 L
.25016 .21385 L
.25046 .2142 L
.25173 .21578 L
.25239 .21659 L
.25324 .2177 L
.25432 .21911 L
.25469 .21963 L
.25607 .22156 L
.25624 .22169 L
.25737 .22349 L
.25817 .2246 L
.2585 .22541 L
.25958 .22734 L
.25965 .22927 L
.25817 .22992 L
.25624 .22936 L
.25603 .22927 L
.25432 .2285 L
.25239 .22736 L
.25235 .22734 L
.25046 .22618 L
.24925 .22541 L
.24854 .22491 L
.24661 .22356 L
.24649 .22349 L
.24468 .22219 L
.24382 .22156 L
.24275 .22077 L
.24125 .21963 L
.24083 .2193 L
.2389 .21781 L
.23876 .2177 L
.23697 .21629 L
.23632 .21578 L
.23505 .21475 L
.23393 .21385 L
.23312 .21318 L
.23159 .21192 L
.23119 .2116 L
.22928 .21 L
.22927 .20999 L
.22734 .20836 L
.227 .20807 L
.22541 .20671 L
.22475 .20614 L
.22349 .20505 L
.22252 .20422 L
.22156 .20337 L
.22032 .20229 L
.21963 .20168 L
.21815 .20036 L
.2177 .19997 L
.21599 .19844 L
.21578 .19824 L
.21386 .19651 L
.21385 .1965 L
.21192 .19475 L
.21174 .19458 L
.21 .19298 L
.20964 .19265 L
.20807 .1912 L
.20756 .19073 L
.20614 .1894 L
.2055 .1888 L
.20422 .18759 L
.20346 .18687 L
.20229 .18577 L
.20143 .18495 L
.20036 .18393 L
.19942 .18302 L
.19844 .18207 L
.19742 .18109 L
.19651 .18021 L
.19544 .17917 L
.19458 .17832 L
.19348 .17724 L
.19265 .17643 L
.19153 .17531 L
.19073 .17451 L
.1896 .17339 L
.1888 .17258 L
.18769 .17146 L
.18687 .17063 L
.18579 .16953 L
.18495 .16867 L
.18391 .1676 L
.18302 .16669 L
.18205 .16568 L
.18109 .16468 L
.1802 .16375 L
.17917 .16266 L
.17838 .16182 L
.17724 .16061 L
.17657 .1599 L
.17531 .15854 L
.17479 .15797 L
.17339 .15644 L
.17302 .15604 L
.17146 .15431 L
.17128 .15412 L
.16957 .15219 L
.16953 .15215 L
.16788 .15026 L
.1676 .14995 L
.16622 .14834 L
.16568 .14771 L
.16459 .14641 L
.16375 .1454 L
.16301 .14448 L
.16182 .14302 L
.16147 .14255 L
.15997 .14063 L
.1599 .14054 L
.15853 .1387 L
.15797 .13799 L
.15718 .13677 L
.15604 .13501 L
.15595 .13485 L
.1548 .13292 L
.15412 .13101 L
.15411 .13099 L
F
1 .97 0 r
.15797 .08452 m
.1599 .08394 L
.16182 .08361 L
.16375 .08342 L
.16568 .08333 L
.1676 .08332 L
.16953 .08338 L
.17146 .08351 L
.17339 .0837 L
.17531 .08396 L
.17724 .08429 L
.17917 .08469 L
.1794 .08475 L
.18109 .08519 L
.18302 .08577 L
.18495 .08643 L
.18563 .08667 L
.18687 .08718 L
.1888 .08803 L
.19005 .0886 L
.19073 .08894 L
.19265 .08997 L
.19368 .09053 L
.19458 .09106 L
.19651 .09225 L
.19683 .09245 L
.19844 .09353 L
.19966 .09438 L
.20036 .09489 L
.20223 .09631 L
.20229 .09635 L
.20422 .09794 L
.20456 .09823 L
.20614 .09966 L
.20667 .10016 L
.20807 .10156 L
.20855 .10209 L
.21 .10379 L
.21017 .10402 L
.21141 .10594 L
.21192 .10707 L
.21213 .10787 L
.21192 .10971 L
.21188 .1098 L
.21 .11132 L
.20889 .11172 L
.20807 .11196 L
.20614 .11234 L
.20422 .11255 L
.20229 .11268 L
.20036 .11276 L
.19844 .11279 L
.19651 .11279 L
.19458 .11276 L
.19265 .1127 L
.19073 .1126 L
.1888 .11245 L
.18687 .11225 L
.18495 .112 L
.18324 .11172 L
.18302 .11168 L
.18109 .11127 L
.17917 .11075 L
.17724 .11013 L
.1763 .1098 L
.17531 .10939 L
.17339 .10851 L
.1721 .10787 L
.17146 .10752 L
.16953 .10636 L
.16887 .10594 L
.1676 .10507 L
.16617 .10402 L
.16568 .10363 L
.16382 .10209 L
.16375 .10203 L
.16182 .10023 L
.16176 .10016 L
.15992 .09823 L
.1599 .09821 L
.15831 .09631 L
.15797 .09587 L
.15693 .09438 L
.15604 .09293 L
.15581 .09245 L
.15502 .09053 L
.1547 .0886 L
.15517 .08667 L
.15604 .08536 L
.15745 .08475 L
F
1 .96 0 r
.16375 .08462 m
.16568 .08442 L
.1676 .08435 L
.16953 .08438 L
.17146 .08449 L
.17339 .08469 L
.17385 .08475 L
.17531 .08497 L
.17724 .08534 L
.17917 .08579 L
.18109 .08632 L
.18225 .08667 L
.18302 .08694 L
.18495 .08766 L
.18687 .08845 L
.18722 .0886 L
.1888 .08935 L
.19073 .09033 L
.19111 .09053 L
.19265 .0914 L
.19442 .09245 L
.19458 .09256 L
.19651 .09382 L
.19733 .09438 L
.19844 .09517 L
.19995 .09631 L
.20036 .09663 L
.20229 .09821 L
.20232 .09823 L
.20422 .09995 L
.20444 .10016 L
.20614 .10191 L
.2063 .10209 L
.20787 .10402 L
.20807 .10418 L
.20905 .10594 L
.20963 .10787 L
.20904 .1098 L
.20807 .11059 L
.20614 .11156 L
.2046 .11172 L
.20422 .11179 L
.20229 .11205 L
.20036 .1122 L
.19844 .11227 L
.19651 .11229 L
.19458 .11226 L
.19265 .11218 L
.19073 .11206 L
.1888 .11188 L
.18752 .11172 L
.18687 .11163 L
.18495 .11131 L
.18302 .11091 L
.18109 .11041 L
.17917 .10981 L
.17913 .1098 L
.17724 .10907 L
.17531 .10821 L
.1746 .10787 L
.17339 .10722 L
.17146 .10608 L
.17123 .10594 L
.16953 .10479 L
.16846 .10402 L
.1676 .10335 L
.16608 .10209 L
.16568 .10174 L
.164 .10016 L
.16375 .09992 L
.16217 .09823 L
.16182 .09784 L
.16059 .09631 L
.1599 .09538 L
.15926 .09438 L
.15823 .09245 L
.15797 .09183 L
.15759 .09053 L
.15753 .0886 L
.15797 .08742 L
.15855 .08667 L
.1599 .08566 L
.16182 .08499 L
.163 .08475 L
F
1 .83 0 r
.1599 .13283 m
.16016 .13292 L
.16182 .13346 L
.16375 .13458 L
.16429 .13485 L
.16568 .13571 L
.16737 .13677 L
.1676 .13697 L
.16953 .13829 L
.17012 .1387 L
.17146 .13966 L
.17279 .14063 L
.17339 .14108 L
.17531 .14255 L
.17532 .14255 L
.17724 .14403 L
.17781 .14448 L
.17917 .14555 L
.18024 .14641 L
.18109 .1471 L
.18261 .14834 L
.18302 .14867 L
.18493 .15026 L
.18495 .15027 L
.18687 .15189 L
.18723 .15219 L
.1888 .15352 L
.1895 .15412 L
.19073 .15518 L
.19173 .15604 L
.19265 .15685 L
.19394 .15797 L
.19458 .15854 L
.19612 .1599 L
.19651 .16025 L
.19827 .16182 L
.19844 .16197 L
.20036 .16371 L
.20041 .16375 L
.20229 .16546 L
.20252 .16568 L
.20422 .16723 L
.20462 .1676 L
.20614 .16902 L
.20669 .16953 L
.20807 .17082 L
.20875 .17146 L
.21 .17263 L
.21079 .17339 L
.21192 .17447 L
.21281 .17531 L
.21385 .17631 L
.21481 .17724 L
.21578 .17818 L
.21679 .17917 L
.2177 .18005 L
.21876 .18109 L
.21963 .18195 L
.22071 .18302 L
.22156 .18386 L
.22264 .18495 L
.22349 .18579 L
.22456 .18687 L
.22541 .18774 L
.22645 .1888 L
.22734 .18971 L
.22833 .19073 L
.22927 .19169 L
.23019 .19265 L
.23119 .1937 L
.23203 .19458 L
.23312 .19573 L
.23385 .19651 L
.23505 .19779 L
.23565 .19844 L
.23697 .19987 L
.23742 .20036 L
.2389 .20199 L
.23917 .20229 L
.24083 .20414 L
.2409 .20422 L
.2426 .20614 L
.24275 .20632 L
.24426 .20807 L
.24468 .20855 L
.2459 .21 L
.24661 .21084 L
.24749 .21192 L
.24854 .21321 L
.24903 .21385 L
.25046 .21571 L
.25051 .21578 L
.25195 .2177 L
.25239 .21818 L
.25328 .21963 L
.25432 .22126 L
.25445 .22156 L
.2556 .22349 L
.25587 .22541 L
.25432 .22624 L
.25239 .22565 L
.25192 .22541 L
.25046 .22474 L
.24854 .22356 L
.24841 .22349 L
.24661 .22235 L
.24538 .22156 L
.24468 .22105 L
.24275 .21968 L
.24269 .21963 L
.24083 .21828 L
.24005 .2177 L
.2389 .21683 L
.23752 .21578 L
.23697 .21535 L
.23508 .21385 L
.23505 .21383 L
.23312 .21229 L
.23267 .21192 L
.23119 .21072 L
.23031 .21 L
.22927 .20914 L
.22799 .20807 L
.22734 .20752 L
.22571 .20614 L
.22541 .20589 L
.22349 .20424 L
.22346 .20422 L
.22156 .20257 L
.22123 .20229 L
.21963 .20089 L
.21904 .20036 L
.2177 .19918 L
.21686 .19844 L
.21578 .19747 L
.21471 .19651 L
.21385 .19573 L
.21258 .19458 L
.21192 .19398 L
.21048 .19265 L
.21 .19221 L
.20839 .19073 L
.20807 .19043 L
.20632 .1888 L
.20614 .18863 L
.20427 .18687 L
.20422 .18682 L
.20229 .185 L
.20224 .18495 L
.20036 .18315 L
.20022 .18302 L
.19844 .1813 L
.19823 .18109 L
.19651 .17942 L
.19625 .17917 L
.19458 .17753 L
.19428 .17724 L
.19265 .17563 L
.19234 .17531 L
.19073 .1737 L
.19041 .17339 L
.1888 .17176 L
.1885 .17146 L
.18687 .1698 L
.18661 .16953 L
.18495 .16782 L
.18474 .1676 L
.18302 .16582 L
.18289 .16568 L
.18109 .16379 L
.18105 .16375 L
.17924 .16182 L
.17917 .16174 L
.17745 .1599 L
.17724 .15967 L
.17568 .15797 L
.17531 .15757 L
.17394 .15604 L
.17339 .15543 L
.17222 .15412 L
.17146 .15325 L
.17054 .15219 L
.16953 .15103 L
.16888 .15026 L
.1676 .14875 L
.16727 .14834 L
.1657 .14641 L
.16568 .14639 L
.16416 .14448 L
.16375 .14399 L
.16269 .14255 L
.16182 .14142 L
.1613 .14063 L
.16001 .1387 L
.1599 .13849 L
.15882 .13677 L
.15804 .13485 L
.15813 .13292 L
F
1 .95 0 r
.16375 .08593 m
.16568 .08555 L
.1676 .08537 L
.16953 .08535 L
.17146 .08543 L
.17339 .08562 L
.17531 .08591 L
.17724 .08628 L
.17889 .08667 L
.17917 .08675 L
.18109 .08731 L
.18302 .08797 L
.1847 .0886 L
.18495 .0887 L
.18687 .08955 L
.1888 .09047 L
.18892 .09053 L
.19073 .0915 L
.1924 .09245 L
.19265 .09261 L
.19458 .09383 L
.19542 .09438 L
.19651 .09514 L
.1981 .09631 L
.19844 .09656 L
.20036 .09812 L
.2005 .09823 L
.20229 .09984 L
.20263 .10016 L
.20422 .10179 L
.20448 .10209 L
.20601 .10402 L
.20614 .1042 L
.20711 .10594 L
.20752 .10787 L
.20653 .1098 L
.20614 .11019 L
.20422 .11109 L
.20229 .11141 L
.20036 .1116 L
.19844 .11171 L
.19818 .11172 L
.19651 .11176 L
.19458 .11174 L
.19394 .11172 L
.19265 .11166 L
.19073 .11152 L
.1888 .11131 L
.18687 .11102 L
.18495 .11065 L
.18302 .11019 L
.18165 .1098 L
.18109 .10962 L
.17917 .10893 L
.17724 .10812 L
.17671 .10787 L
.17531 .10716 L
.17339 .10607 L
.17317 .10594 L
.17146 .10482 L
.17032 .10402 L
.16953 .10342 L
.1679 .10209 L
.1676 .10183 L
.16581 .10016 L
.16568 .10004 L
.16399 .09823 L
.16375 .09796 L
.16244 .09631 L
.16182 .09546 L
.16117 .09438 L
.16025 .09245 L
.1599 .09128 L
.15978 .09053 L
.1599 .08905 L
.16005 .0886 L
.16182 .0867 L
.16191 .08667 L
F
1 .94 0 r
.1676 .08645 m
.16953 .08633 L
.17146 .08636 L
.17339 .08652 L
.17465 .08667 L
.17531 .08679 L
.17724 .08717 L
.17917 .08765 L
.18109 .08822 L
.18223 .0886 L
.18302 .08889 L
.18495 .08966 L
.18687 .09052 L
.18689 .09053 L
.1888 .09148 L
.19059 .09245 L
.19073 .09253 L
.19265 .0937 L
.19373 .09438 L
.19458 .09495 L
.19648 .09631 L
.19651 .09633 L
.19844 .09784 L
.19892 .09823 L
.20036 .0995 L
.20106 .10016 L
.20229 .1014 L
.2029 .10209 L
.20422 .10373 L
.20439 .10402 L
.2054 .10594 L
.20562 .10787 L
.20422 .10972 L
.20409 .1098 L
.20229 .11061 L
.20036 .11097 L
.19844 .11116 L
.19651 .11123 L
.19458 .11122 L
.19265 .11114 L
.19073 .11098 L
.1888 .11074 L
.18687 .11042 L
.18495 .11001 L
.18409 .1098 L
.18302 .1095 L
.18109 .10886 L
.17917 .10811 L
.17861 .10787 L
.17724 .10722 L
.17531 .10619 L
.17488 .10594 L
.17339 .10501 L
.17194 .10402 L
.17146 .10366 L
.16953 .10213 L
.16948 .10209 L
.1676 .10039 L
.16738 .10016 L
.16568 .09836 L
.16557 .09823 L
.16406 .09631 L
.16375 .09591 L
.16286 .09438 L
.16206 .09245 L
.16182 .0913 L
.1618 .09053 L
.16182 .09031 L
.16252 .0886 L
.16375 .08746 L
.16568 .08679 L
.16614 .08667 L
F
1 .82 0 r
.16375 .13654 m
.1643 .13677 L
.16568 .1372 L
.1676 .13839 L
.16821 .1387 L
.16953 .13955 L
.17122 .14063 L
.17146 .14084 L
.17339 .14219 L
.1739 .14255 L
.17531 .14359 L
.17653 .14448 L
.17724 .14503 L
.17903 .14641 L
.17917 .14652 L
.18109 .14804 L
.18147 .14834 L
.18302 .14958 L
.18387 .15026 L
.18495 .15115 L
.18621 .15219 L
.18687 .15275 L
.18851 .15412 L
.1888 .15437 L
.19073 .15601 L
.19077 .15604 L
.19265 .15767 L
.193 .15797 L
.19458 .15935 L
.19521 .1599 L
.19651 .16105 L
.19739 .16182 L
.19844 .16276 L
.19954 .16375 L
.20036 .16449 L
.20167 .16568 L
.20229 .16625 L
.20377 .1676 L
.20422 .16801 L
.20586 .16953 L
.20614 .1698 L
.20792 .17146 L
.20807 .1716 L
.20996 .17339 L
.21 .17342 L
.21192 .17525 L
.21198 .17531 L
.21385 .1771 L
.21399 .17724 L
.21578 .17897 L
.21598 .17917 L
.2177 .18086 L
.21794 .18109 L
.21963 .18276 L
.21989 .18302 L
.22156 .18469 L
.22182 .18495 L
.22349 .18663 L
.22373 .18687 L
.22541 .18859 L
.22562 .1888 L
.22734 .19058 L
.22749 .19073 L
.22927 .19258 L
.22933 .19265 L
.23116 .19458 L
.23119 .19461 L
.23297 .19651 L
.23312 .19667 L
.23475 .19844 L
.23505 .19876 L
.2365 .20036 L
.23697 .20088 L
.23823 .20229 L
.2389 .20304 L
.23993 .20422 L
.24083 .20525 L
.24159 .20614 L
.24275 .20752 L
.2432 .20807 L
.24468 .20988 L
.24478 .21 L
.24631 .21192 L
.24661 .21225 L
.24777 .21385 L
.24854 .21481 L
.24914 .21578 L
.25039 .2177 L
.25046 .21788 L
.25156 .21963 L
.25197 .22156 L
.25046 .22251 L
.24854 .22189 L
.24792 .22156 L
.24661 .22095 L
.24468 .21972 L
.24453 .21963 L
.24275 .21849 L
.24156 .2177 L
.24083 .21716 L
.23893 .21578 L
.2389 .21576 L
.23697 .21433 L
.23633 .21385 L
.23505 .21286 L
.23384 .21192 L
.23312 .21135 L
.23142 .21 L
.23119 .20981 L
.22927 .20824 L
.22905 .20807 L
.22734 .20666 L
.22672 .20614 L
.22541 .20504 L
.22443 .20422 L
.22349 .20341 L
.22218 .20229 L
.22156 .20175 L
.21996 .20036 L
.21963 .20008 L
.21777 .19844 L
.2177 .19838 L
.21578 .19667 L
.2156 .19651 L
.21385 .19494 L
.21345 .19458 L
.21192 .19319 L
.21133 .19265 L
.21 .19143 L
.20923 .19073 L
.20807 .18965 L
.20715 .1888 L
.20614 .18786 L
.2051 .18687 L
.20422 .18604 L
.20306 .18495 L
.20229 .18421 L
.20104 .18302 L
.20036 .18237 L
.19904 .18109 L
.19844 .18051 L
.19706 .17917 L
.19651 .17862 L
.1951 .17724 L
.19458 .17673 L
.19316 .17531 L
.19265 .17481 L
.19124 .17339 L
.19073 .17287 L
.18933 .17146 L
.1888 .17092 L
.18745 .16953 L
.18687 .16894 L
.18558 .1676 L
.18495 .16694 L
.18374 .16568 L
.18302 .16492 L
.18192 .16375 L
.18109 .16287 L
.18013 .16182 L
.17917 .16079 L
.17836 .1599 L
.17724 .15867 L
.17661 .15797 L
.17531 .15652 L
.1749 .15604 L
.17339 .15431 L
.17322 .15412 L
.17157 .15219 L
.17146 .15207 L
.16996 .15026 L
.16953 .14977 L
.16839 .14834 L
.1676 .14737 L
.16689 .14641 L
.16568 .14478 L
.16547 .14448 L
.1641 .14255 L
.16375 .14193 L
.1629 .14063 L
.16203 .1387 L
.16188 .13677 L
F
1 .93 0 r
.16568 .08829 m
.1676 .0876 L
.16953 .08734 L
.17146 .08729 L
.17339 .08741 L
.17531 .08765 L
.17724 .08802 L
.17917 .08849 L
.17955 .0886 L
.18109 .08907 L
.18302 .08976 L
.18492 .09053 L
.18495 .09054 L
.18687 .09143 L
.1888 .09241 L
.18888 .09245 L
.19073 .0935 L
.19217 .09438 L
.19265 .09469 L
.19458 .09601 L
.195 .09631 L
.19651 .09745 L
.19748 .09823 L
.19844 .09905 L
.19964 .10016 L
.20036 .10086 L
.20147 .10209 L
.20229 .10302 L
.20291 .10402 L
.20381 .10594 L
.2038 .10787 L
.20229 .10943 L
.20147 .1098 L
.20036 .11016 L
.19844 .1105 L
.19651 .11065 L
.19458 .11067 L
.19265 .11059 L
.19073 .11043 L
.1888 .11018 L
.18687 .10983 L
.18672 .1098 L
.18495 .10938 L
.18302 .10882 L
.18109 .10814 L
.18042 .10787 L
.17917 .10732 L
.17724 .10637 L
.17647 .10594 L
.17531 .10526 L
.17342 .10402 L
.17339 .10399 L
.17146 .10254 L
.17092 .10209 L
.16953 .10087 L
.1688 .10016 L
.1676 .09893 L
.16701 .09823 L
.16568 .09652 L
.16554 .09631 L
.16443 .09438 L
.16376 .09245 L
.16378 .09053 L
.16519 .0886 L
F
1 .92 0 r
.16953 .08846 m
.17146 .08827 L
.17339 .08831 L
.17531 .08851 L
.17597 .0886 L
.17724 .08885 L
.17917 .08932 L
.18109 .0899 L
.18287 .09053 L
.18302 .09058 L
.18495 .09138 L
.18687 .09228 L
.18722 .09245 L
.1888 .09329 L
.19068 .09438 L
.19073 .09441 L
.19265 .09565 L
.1936 .09631 L
.19458 .09702 L
.19613 .09823 L
.19651 .09854 L
.19831 .10016 L
.19844 .10028 L
.20013 .10209 L
.20036 .10227 L
.20151 .10402 L
.20229 .10591 L
.2023 .10594 L
.20229 .10715 L
.20199 .10787 L
.20036 .10913 L
.19844 .10975 L
.19812 .1098 L
.19651 .10998 L
.19458 .11007 L
.19265 .11002 L
.19073 .10986 L
.19014 .1098 L
.1888 .1096 L
.18687 .10923 L
.18495 .10875 L
.18302 .10815 L
.18224 .10787 L
.18109 .10742 L
.17917 .10655 L
.17798 .10594 L
.17724 .10553 L
.17531 .10435 L
.17482 .10402 L
.17339 .10299 L
.17226 .10209 L
.17146 .10141 L
.17013 .10016 L
.16953 .09957 L
.16836 .09823 L
.1676 .09733 L
.16694 .09631 L
.16592 .09438 L
.16568 .09371 L
.16543 .09245 L
.16568 .09083 L
.16583 .09053 L
.1676 .08891 L
.16876 .0886 L
F
1 .81 0 r
.1676 .14035 m
.16821 .14063 L
.16953 .14097 L
.17146 .14226 L
.17203 .14255 L
.17339 .14344 L
.17501 .14448 L
.17531 .14476 L
.17724 .14615 L
.17761 .14641 L
.17917 .14756 L
.1802 .14834 L
.18109 .14903 L
.18268 .15026 L
.18302 .15054 L
.18495 .15209 L
.18507 .15219 L
.18687 .15366 L
.18744 .15412 L
.1888 .15525 L
.18975 .15604 L
.19073 .15687 L
.19202 .15797 L
.19265 .15852 L
.19425 .1599 L
.19458 .16019 L
.19645 .16182 L
.19651 .16188 L
.19844 .16359 L
.19862 .16375 L
.20036 .16531 L
.20077 .16568 L
.20229 .16706 L
.20289 .1676 L
.20422 .16882 L
.20499 .16953 L
.20614 .1706 L
.20706 .17146 L
.20807 .1724 L
.20911 .17339 L
.21 .17422 L
.21114 .17531 L
.21192 .17606 L
.21315 .17724 L
.21385 .17792 L
.21513 .17917 L
.21578 .17979 L
.2171 .18109 L
.2177 .18169 L
.21905 .18302 L
.21963 .1836 L
.22097 .18495 L
.22156 .18554 L
.22287 .18687 L
.22349 .18749 L
.22476 .1888 L
.22541 .18948 L
.22661 .19073 L
.22734 .19148 L
.22845 .19265 L
.22927 .19351 L
.23026 .19458 L
.23119 .19558 L
.23205 .19651 L
.23312 .19768 L
.2338 .19844 L
.23505 .19982 L
.23552 .20036 L
.23697 .20201 L
.23721 .20229 L
.23886 .20422 L
.2389 .20426 L
.24048 .20614 L
.24083 .20652 L
.24205 .20807 L
.24275 .20891 L
.24354 .21 L
.24468 .21154 L
.24493 .21192 L
.2463 .21385 L
.24661 .21452 L
.24742 .21578 L
.24794 .2177 L
.24661 .21867 L
.24468 .21806 L
.24406 .2177 L
.24275 .21711 L
.24083 .21583 L
.24074 .21578 L
.2389 .21457 L
.23782 .21385 L
.23697 .21322 L
.2352 .21192 L
.23505 .21179 L
.23312 .21033 L
.23268 .21 L
.23119 .20884 L
.23021 .20807 L
.22927 .20731 L
.22782 .20614 L
.22734 .20575 L
.22549 .20422 L
.22541 .20415 L
.22349 .20253 L
.2232 .20229 L
.22156 .2009 L
.22094 .20036 L
.21963 .19924 L
.21871 .19844 L
.2177 .19755 L
.21652 .19651 L
.21578 .19585 L
.21436 .19458 L
.21385 .19413 L
.21222 .19265 L
.21192 .19238 L
.21011 .19073 L
.21 .19062 L
.20807 .18884 L
.20802 .1888 L
.20614 .18705 L
.20596 .18687 L
.20422 .18523 L
.20391 .18495 L
.20229 .1834 L
.20189 .18302 L
.20036 .18155 L
.19989 .18109 L
.19844 .17968 L
.19791 .17917 L
.19651 .1778 L
.19595 .17724 L
.19458 .17589 L
.19401 .17531 L
.19265 .17396 L
.19209 .17339 L
.19073 .17201 L
.19019 .17146 L
.1888 .17003 L
.18832 .16953 L
.18687 .16803 L
.18647 .1676 L
.18495 .166 L
.18464 .16568 L
.18302 .16395 L
.18284 .16375 L
.18109 .16185 L
.18106 .16182 L
.17932 .1599 L
.17917 .15974 L
.1776 .15797 L
.17724 .15757 L
.17592 .15604 L
.17531 .15536 L
.17428 .15412 L
.17339 .15307 L
.17269 .15219 L
.17146 .15066 L
.17116 .15026 L
.16968 .14834 L
.16953 .1481 L
.16827 .14641 L
.1676 .1453 L
.16706 .14448 L
.16611 .14255 L
.16587 .14063 L
F
1 .91 0 r
.16953 .08969 m
.17146 .0893 L
.17339 .08923 L
.17531 .08937 L
.17724 .08968 L
.17917 .09013 L
.18056 .09053 L
.18109 .0907 L
.18302 .09139 L
.18495 .0922 L
.18551 .09245 L
.18687 .09312 L
.1888 .09415 L
.1892 .09438 L
.19073 .0953 L
.19225 .09631 L
.19265 .09659 L
.19458 .09803 L
.19484 .09823 L
.19651 .09966 L
.19703 .10016 L
.19844 .10159 L
.19883 .10209 L
.20016 .10402 L
.20036 .10442 L
.20079 .10594 L
.20036 .10753 L
.20007 .10787 L
.19844 .10903 L
.19651 .10935 L
.19458 .10946 L
.19265 .10943 L
.19073 .10928 L
.1888 .10901 L
.18687 .10862 L
.18495 .10811 L
.18416 .10787 L
.18302 .10748 L
.18109 .1067 L
.17949 .10594 L
.17917 .10578 L
.17724 .10469 L
.17617 .10402 L
.17531 .10343 L
.17355 .10209 L
.17339 .10196 L
.17146 .10022 L
.1714 .10016 L
.16965 .09823 L
.16953 .09812 L
.16829 .09631 L
.1676 .09496 L
.16739 .09438 L
.16713 .09245 L
.1676 .09114 L
.16814 .09053 L
F
1 1 1 r
.16953 .11224 m
.17146 .11226 L
.17339 .11229 L
.17531 .11266 L
.17724 .11293 L
.17917 .11315 L
.18109 .11332 L
.18302 .11345 L
.18495 .11354 L
.18687 .11361 L
.18823 .11365 L
.1888 .11366 L
.19073 .1137 L
.19265 .11373 L
.19458 .11374 L
.19651 .11375 L
.19844 .11376 L
.20036 .11375 L
.20229 .11374 L
.20422 .11372 L
.20614 .11369 L
.20784 .11365 L
.20807 .11365 L
.21 .1136 L
.21192 .11354 L
.21385 .11348 L
.21578 .1134 L
.2177 .11295 L
.21963 .11285 L
.22156 .11238 L
.22349 .11224 L
.22541 .11266 L
.22734 .11357 L
.22749 .11365 L
.22927 .11473 L
.23048 .11558 L
.23119 .11608 L
.23306 .1175 L
.23312 .11755 L
.23505 .11909 L
.23545 .11943 L
.23697 .12071 L
.23772 .12136 L
.2389 .12238 L
.23991 .12329 L
.24083 .12411 L
.24203 .12521 L
.24275 .12588 L
.24409 .12714 L
.24468 .1277 L
.2461 .12907 L
.24661 .12957 L
.24805 .13099 L
.24854 .13148 L
.24995 .13292 L
.25046 .13345 L
.25179 .13485 L
.25239 .13549 L
.25356 .13677 L
.25432 .13761 L
.25526 .1387 L
.25624 .13985 L
.25685 .14063 L
.25817 .14233 L
.25831 .14255 L
.25954 .14448 L
.2601 .14569 L
.26027 .14641 L
.2601 .14735 L
.25817 .14814 L
.25624 .14819 L
.25432 .14813 L
.25239 .14815 L
.25046 .14805 L
.24854 .14797 L
.24661 .1479 L
.24468 .14785 L
.24275 .14781 L
.24083 .14778 L
.2389 .14775 L
.23697 .14774 L
.23505 .14773 L
.23312 .14772 L
.23119 .14772 L
.22927 .14773 L
.22734 .14773 L
.22541 .14775 L
.22349 .14777 L
.22156 .14779 L
.21963 .14783 L
.2177 .14788 L
.21578 .14795 L
.21385 .14804 L
.21192 .14814 L
.21 .14818 L
.20807 .14808 L
.20614 .14771 L
.20422 .14704 L
.20292 .14641 L
.20229 .14608 L
.20036 .14492 L
.1997 .14448 L
.19844 .14362 L
.19698 .14255 L
.19651 .1422 L
.19458 .1407 L
.19449 .14063 L
.19265 .13913 L
.19214 .1387 L
.19073 .1375 L
.18989 .13677 L
.1888 .13582 L
.18771 .13485 L
.18687 .13409 L
.1856 .13292 L
.18495 .13231 L
.18355 .13099 L
.18302 .13048 L
.18156 .12907 L
.18109 .12861 L
.17962 .12714 L
.17917 .12669 L
.17773 .12521 L
.17724 .12471 L
.1759 .12329 L
.17531 .12268 L
.17414 .12136 L
.17339 .12057 L
.17247 .11943 L
.17146 .11836 L
.17091 .1175 L
.16953 .11558 L
.16953 .11557 L
.16856 .11365 L
F
1 .9 0 r
.17339 .09025 m
.17531 .09029 L
.17717 .09053 L
.17724 .09054 L
.17917 .09095 L
.18109 .0915 L
.18302 .09219 L
.18367 .09245 L
.18495 .093 L
.18687 .09394 L
.18771 .09438 L
.1888 .095 L
.19073 .09619 L
.1909 .09631 L
.19265 .09753 L
.19356 .09823 L
.19458 .09905 L
.19579 .10016 L
.19651 .10081 L
.19757 .10209 L
.19844 .10332 L
.19881 .10402 L
.19925 .10594 L
.19844 .10746 L
.19787 .10787 L
.19651 .10846 L
.19458 .10876 L
.19265 .10879 L
.19073 .10866 L
.1888 .10839 L
.18687 .10799 L
.18638 .10787 L
.18495 .10747 L
.18302 .1068 L
.18109 .10597 L
.18103 .10594 L
.17917 .105 L
.17752 .10402 L
.17724 .10384 L
.17531 .10248 L
.17482 .10209 L
.17339 .10088 L
.17265 .10016 L
.17146 .09892 L
.17092 .09823 L
.16964 .09631 L
.16953 .0961 L
.16889 .09438 L
.16897 .09245 L
.16953 .0916 L
.17146 .09054 L
.17153 .09053 L
F
1 .8 0 r
.17146 .14433 m
.1718 .14448 L
.17339 .14516 L
.17531 .14622 L
.17569 .14641 L
.17724 .1474 L
.17872 .14834 L
.17917 .14873 L
.18109 .15017 L
.18123 .15026 L
.18302 .1516 L
.1838 .15219 L
.18495 .15309 L
.18625 .15412 L
.18687 .15463 L
.18861 .15604 L
.1888 .1562 L
.19073 .1578 L
.19093 .15797 L
.19265 .15942 L
.19321 .1599 L
.19458 .16107 L
.19545 .16182 L
.19651 .16275 L
.19765 .16375 L
.19844 .16444 L
.19982 .16568 L
.20036 .16616 L
.20196 .1676 L
.20229 .1679 L
.20407 .16953 L
.20422 .16967 L
.20614 .17145 L
.20615 .17146 L
.20807 .17325 L
.20821 .17339 L
.21 .17507 L
.21025 .17531 L
.21192 .17691 L
.21226 .17724 L
.21385 .17878 L
.21425 .17917 L
.21578 .18066 L
.21622 .18109 L
.2177 .18257 L
.21816 .18302 L
.21963 .1845 L
.22008 .18495 L
.22156 .18645 L
.22197 .18687 L
.22349 .18843 L
.22384 .1888 L
.22541 .19044 L
.22569 .19073 L
.22734 .19248 L
.2275 .19265 L
.22927 .19456 L
.22929 .19458 L
.23105 .19651 L
.23119 .19666 L
.23278 .19844 L
.23312 .1988 L
.23447 .20036 L
.23505 .201 L
.23611 .20229 L
.23697 .20329 L
.2377 .20422 L
.2389 .20572 L
.23921 .20614 L
.24068 .20807 L
.24083 .20834 L
.24208 .21 L
.24275 .21132 L
.24314 .21192 L
.24372 .21385 L
.24275 .21468 L
.24083 .21411 L
.24038 .21385 L
.2389 .21321 L
.23707 .21192 L
.23697 .21188 L
.23505 .21059 L
.23416 .21 L
.23312 .20922 L
.23155 .20807 L
.23119 .20777 L
.22927 .20627 L
.2291 .20614 L
.22734 .20475 L
.22666 .20422 L
.22541 .2032 L
.2243 .20229 L
.22349 .20161 L
.22199 .20036 L
.22156 .19999 L
.21974 .19844 L
.21963 .19834 L
.2177 .19667 L
.21752 .19651 L
.21578 .19498 L
.21532 .19458 L
.21385 .19327 L
.21316 .19265 L
.21192 .19154 L
.21103 .19073 L
.21 .18978 L
.20893 .1888 L
.20807 .18801 L
.20685 .18687 L
.20614 .18621 L
.2048 .18495 L
.20422 .1844 L
.20277 .18302 L
.20229 .18256 L
.20077 .18109 L
.20036 .1807 L
.19879 .17917 L
.19844 .17882 L
.19683 .17724 L
.19651 .17692 L
.19489 .17531 L
.19458 .175 L
.19298 .17339 L
.19265 .17306 L
.19109 .17146 L
.19073 .17109 L
.18923 .16953 L
.1888 .16909 L
.18739 .1676 L
.18687 .16706 L
.18558 .16568 L
.18495 .165 L
.1838 .16375 L
.18302 .1629 L
.18206 .16182 L
.18109 .16075 L
.18035 .1599 L
.17917 .15855 L
.17868 .15797 L
.17724 .15626 L
.17706 .15604 L
.17548 .15412 L
.17531 .154 L
.17396 .15219 L
.17339 .15167 L
.17255 .15026 L
.17146 .14853 L
.17133 .14834 L
.17032 .14641 L
.17018 .14448 L
F
1 .89 0 r
.17146 .09211 m
.17339 .09134 L
.17531 .09125 L
.17724 .09142 L
.17917 .09179 L
.18109 .09233 L
.18149 .09245 L
.18302 .093 L
.18495 .09382 L
.18612 .09438 L
.18687 .09477 L
.1888 .09586 L
.18953 .09631 L
.19073 .09709 L
.19228 .09823 L
.19265 .09851 L
.19453 .10016 L
.19458 .10019 L
.19629 .10209 L
.19651 .10238 L
.19744 .10402 L
.1976 .10594 L
.19651 .10718 L
.19458 .10784 L
.19443 .10787 L
.19265 .10804 L
.19073 .10797 L
.1898 .10787 L
.1888 .10774 L
.18687 .10735 L
.18495 .10679 L
.18302 .10608 L
.18268 .10594 L
.18109 .10523 L
.17917 .10418 L
.17889 .10402 L
.17724 .10295 L
.17609 .10209 L
.17531 .10148 L
.1739 .10016 L
.17339 .09971 L
.17221 .09823 L
.17146 .09713 L
.17102 .09631 L
.17047 .09438 L
.17116 .09245 L
F
1 .88 0 r
.17531 .09242 m
.17724 .09242 L
.1776 .09245 L
.17917 .09269 L
.18109 .09317 L
.18302 .09384 L
.18433 .09438 L
.18495 .09466 L
.18687 .09562 L
.18807 .09631 L
.1888 .09674 L
.19073 .09807 L
.19095 .09823 L
.19265 .09959 L
.19324 .10016 L
.19458 .10145 L
.19497 .10209 L
.19598 .10402 L
.19571 .10594 L
.19458 .10671 L
.19265 .10737 L
.19073 .10729 L
.1888 .10705 L
.18687 .10664 L
.18495 .10606 L
.18459 .10594 L
.18302 .10535 L
.18109 .10443 L
.18035 .10402 L
.17917 .10333 L
.17742 .10209 L
.17724 .10197 L
.17531 .10029 L
.17519 .10016 L
.17354 .09823 L
.17339 .09801 L
.17247 .09631 L
.17226 .09438 L
.17339 .09298 L
.17505 .09245 L
F
1 .87 0 r
.17531 .09374 m
.17724 .09347 L
.17917 .09367 L
.18109 .09412 L
.18206 .09438 L
.18302 .09472 L
.18495 .09555 L
.18644 .09631 L
.18687 .09653 L
.1888 .09772 L
.18953 .09823 L
.19073 .09906 L
.19188 .10016 L
.19265 .10096 L
.19356 .10209 L
.19436 .10402 L
.19301 .10594 L
.19265 .10607 L
.19073 .10636 L
.1888 .10621 L
.18734 .10594 L
.18687 .10586 L
.18495 .10532 L
.18302 .10453 L
.18197 .10402 L
.18109 .10359 L
.17917 .10234 L
.17883 .10209 L
.17724 .10087 L
.17656 .10016 L
.17531 .09897 L
.17497 .09823 L
.1741 .09631 L
.17456 .09438 L
F
1 .79 0 r
.17531 .1486 m
.17724 .14924 L
.17911 .15026 L
.17917 .1503 L
.18109 .15147 L
.1823 .15219 L
.18302 .15279 L
.18483 .15412 L
.18495 .15425 L
.18687 .15574 L
.18727 .15604 L
.1888 .15725 L
.18971 .15797 L
.19073 .1588 L
.19206 .1599 L
.19265 .1604 L
.19434 .16182 L
.19458 .16203 L
.19651 .1637 L
.19657 .16375 L
.19844 .16538 L
.19878 .16568 L
.20036 .16708 L
.20095 .1676 L
.20229 .16881 L
.20308 .16953 L
.20422 .17056 L
.20519 .17146 L
.20614 .17234 L
.20726 .17339 L
.20807 .17414 L
.2093 .17531 L
.21 .17597 L
.21132 .17724 L
.21192 .17782 L
.21331 .17917 L
.21385 .17969 L
.21528 .18109 L
.21578 .18158 L
.21722 .18302 L
.2177 .1835 L
.21913 .18495 L
.21963 .18545 L
.22101 .18687 L
.22156 .18743 L
.22287 .1888 L
.22349 .18944 L
.22469 .19073 L
.22541 .19148 L
.22649 .19265 L
.22734 .19357 L
.22824 .19458 L
.22927 .19571 L
.22996 .19651 L
.23119 .19791 L
.23163 .19844 L
.23312 .20022 L
.23323 .20036 L
.23483 .20229 L
.23505 .20263 L
.23635 .20422 L
.23697 .20524 L
.23767 .20614 L
.2387 .20807 L
.2389 .20851 L
.23916 .21 L
.2389 .2103 L
.23704 .21 L
.23697 .20997 L
.23505 .2092 L
.23356 .20807 L
.23312 .20792 L
.23119 .2065 L
.23066 .20614 L
.22927 .20512 L
.22802 .20422 L
.22734 .20367 L
.22559 .20229 L
.22541 .20213 L
.22349 .20057 L
.22322 .20036 L
.22156 .199 L
.22088 .19844 L
.21963 .19738 L
.2186 .19651 L
.2177 .19574 L
.21637 .19458 L
.21578 .19406 L
.21419 .19265 L
.21385 .19235 L
.21204 .19073 L
.21192 .19062 L
.21 .18887 L
.20992 .1888 L
.20807 .1871 L
.20783 .18687 L
.20614 .18531 L
.20576 .18495 L
.20422 .18349 L
.20372 .18302 L
.20229 .18165 L
.20171 .18109 L
.20036 .17979 L
.19973 .17917 L
.19844 .1779 L
.19777 .17724 L
.19651 .17598 L
.19584 .17531 L
.19458 .17404 L
.19394 .17339 L
.19265 .17207 L
.19207 .17146 L
.19073 .17007 L
.19022 .16953 L
.1888 .16803 L
.18841 .1676 L
.18687 .16595 L
.18663 .16568 L
.18495 .16381 L
.18489 .16375 L
.18318 .16182 L
.18302 .16168 L
.1815 .1599 L
.18109 .1595 L
.17989 .15797 L
.17917 .15719 L
.17837 .15604 L
.17724 .15458 L
.17697 .15412 L
.17571 .15219 L
.17531 .15151 L
.17471 .15026 L
F
1 .86 0 r
.17724 .09518 m
.17917 .09492 L
.18109 .09507 L
.18302 .09573 L
.18447 .09631 L
.18495 .09649 L
.18687 .09754 L
.18791 .09823 L
.1888 .09861 L
.19036 .10016 L
.19073 .10055 L
.19197 .10209 L
.19239 .10402 L
.19073 .10509 L
.1888 .1052 L
.18687 .10505 L
.18495 .10439 L
.18396 .10402 L
.18302 .10371 L
.18109 .10256 L
.18043 .10209 L
.17917 .10139 L
.17808 .10016 L
.17724 .09919 L
.17659 .09823 L
.17609 .09631 L
F
0 .99 1 r
.17917 .11497 m
.18109 .11466 L
.18302 .11451 L
.18495 .11441 L
.18687 .11434 L
.1888 .1143 L
.19073 .11427 L
.19265 .11425 L
.19458 .11423 L
.19651 .11423 L
.19844 .11423 L
.20036 .11423 L
.20229 .11424 L
.20422 .11426 L
.20614 .11429 L
.20807 .11433 L
.21 .11438 L
.21192 .11445 L
.21385 .11456 L
.21578 .11469 L
.2177 .11488 L
.21963 .11512 L
.22156 .11541 L
.22245 .11558 L
.22349 .11587 L
.22541 .11652 L
.22734 .11729 L
.22782 .1175 L
.22927 .11825 L
.23119 .11935 L
.23133 .11943 L
.23312 .12059 L
.23423 .12136 L
.23505 .12194 L
.23683 .12329 L
.23697 .1234 L
.2389 .12494 L
.23923 .12521 L
.24083 .12656 L
.24149 .12714 L
.24275 .12826 L
.24364 .12907 L
.24468 .13003 L
.24569 .13099 L
.24661 .13189 L
.24764 .13292 L
.24854 .13384 L
.24949 .13485 L
.25046 .1359 L
.25123 .13677 L
.25239 .13813 L
.25284 .1387 L
.25427 .14063 L
.25432 .1407 L
.25541 .14255 L
.25597 .14448 L
.25452 .14641 L
.25432 .14649 L
.25239 .14705 L
.25046 .14724 L
.24854 .14734 L
.24661 .14739 L
.24468 .14742 L
.24275 .14744 L
.24083 .14745 L
.2389 .14746 L
.23697 .14746 L
.23505 .14746 L
.23312 .14746 L
.23119 .14746 L
.22927 .14745 L
.22734 .14744 L
.22541 .14742 L
.22349 .1474 L
.22156 .14737 L
.21963 .14733 L
.2177 .14727 L
.21578 .14718 L
.21385 .14706 L
.21192 .14689 L
.21 .14664 L
.20866 .14641 L
.20807 .14626 L
.20614 .14568 L
.20422 .14493 L
.20327 .14448 L
.20229 .14398 L
.20036 .14286 L
.19988 .14255 L
.19844 .1416 L
.19707 .14063 L
.19651 .14021 L
.19458 .13872 L
.19455 .1387 L
.19265 .13715 L
.19221 .13677 L
.19073 .13549 L
.19001 .13485 L
.1888 .13375 L
.18791 .13292 L
.18687 .13193 L
.18591 .13099 L
.18495 .13002 L
.18401 .12907 L
.18302 .12802 L
.18221 .12714 L
.18109 .12588 L
.18053 .12521 L
.17917 .12353 L
.17898 .12329 L
.17763 .12136 L
.17724 .12071 L
.17659 .11943 L
.17614 .1175 L
.17724 .11576 L
.17757 .11558 L
F
1 .85 0 r
.17917 .09694 m
.18109 .09662 L
.18302 .09704 L
.18495 .09771 L
.18586 .09823 L
.18687 .09893 L
.18853 .10016 L
.1888 .10051 L
.19 .10209 L
.1888 .1037 L
.18687 .1037 L
.18495 .1032 L
.18302 .10244 L
.18247 .10209 L
.18109 .10113 L
.17991 .10016 L
.17917 .09914 L
.17869 .09823 L
F
1 .78 0 r
.18109 .15359 m
.18223 .15412 L
.18302 .15455 L
.18495 .15572 L
.18553 .15604 L
.18687 .15699 L
.18835 .15797 L
.1888 .15842 L
.19067 .1599 L
.19073 .15998 L
.19265 .16154 L
.19301 .16182 L
.19458 .16311 L
.19535 .16375 L
.19651 .16473 L
.19762 .16568 L
.19844 .16639 L
.19983 .1676 L
.20036 .16808 L
.20198 .16953 L
.20229 .16981 L
.2041 .17146 L
.20422 .17157 L
.20614 .17335 L
.20618 .17339 L
.20807 .17515 L
.20824 .17531 L
.21 .17698 L
.21027 .17724 L
.21192 .17883 L
.21226 .17917 L
.21385 .18072 L
.21423 .18109 L
.21578 .18263 L
.21616 .18302 L
.2177 .18458 L
.21806 .18495 L
.21963 .18656 L
.21993 .18687 L
.22156 .18859 L
.22175 .1888 L
.22349 .19066 L
.22354 .19073 L
.22531 .19265 L
.22541 .19273 L
.22704 .19458 L
.22734 .19479 L
.22872 .19651 L
.22927 .19694 L
.2303 .19844 L
.23119 .19971 L
.23175 .20036 L
.23301 .20229 L
.23312 .20247 L
.23403 .20422 L
.23312 .20555 L
.23119 .20493 L
.23033 .20422 L
.22927 .20355 L
.2274 .20229 L
.22734 .20225 L
.22541 .20088 L
.22469 .20036 L
.22349 .19943 L
.22219 .19844 L
.22156 .1979 L
.21986 .19651 L
.21963 .1963 L
.2177 .19465 L
.21762 .19458 L
.21578 .19301 L
.21536 .19265 L
.21385 .19134 L
.21316 .19073 L
.21192 .18963 L
.211 .1888 L
.21 .18789 L
.20888 .18687 L
.20807 .18613 L
.2068 .18495 L
.20614 .18433 L
.20476 .18302 L
.20422 .18251 L
.20274 .18109 L
.20229 .18066 L
.20076 .17917 L
.20036 .17878 L
.19881 .17724 L
.19844 .17688 L
.19688 .17531 L
.19651 .17494 L
.19499 .17339 L
.19458 .17298 L
.19313 .17146 L
.19265 .17098 L
.19131 .16953 L
.19073 .16894 L
.18953 .1676 L
.1888 .16685 L
.18779 .16568 L
.18687 .16469 L
.18611 .16375 L
.18495 .16242 L
.1845 .16182 L
.18302 .15996 L
.18298 .1599 L
.18155 .15797 L
.18109 .15731 L
.1803 .15604 L
.17948 .15412 L
F
0 .98 1 r
.18495 .11551 m
.18687 .1152 L
.1888 .115 L
.19073 .11487 L
.19265 .11479 L
.19458 .11473 L
.19651 .1147 L
.19844 .11468 L
.20036 .11469 L
.20229 .11471 L
.20422 .11476 L
.20614 .11483 L
.20807 .11492 L
.21 .11504 L
.21192 .1152 L
.21385 .1154 L
.21538 .11558 L
.21578 .11564 L
.2177 .116 L
.21963 .11645 L
.22156 .11698 L
.22327 .1175 L
.22349 .11759 L
.22541 .11838 L
.22734 .11925 L
.22772 .11943 L
.22927 .12027 L
.23116 .12136 L
.23119 .12138 L
.23312 .12263 L
.2341 .12329 L
.23505 .12396 L
.23674 .12521 L
.23697 .12539 L
.2389 .12692 L
.23917 .12714 L
.24083 .12854 L
.24143 .12907 L
.24275 .13025 L
.24356 .13099 L
.24468 .13207 L
.24554 .13292 L
.24661 .13401 L
.2474 .13485 L
.24854 .13611 L
.2491 .13677 L
.25046 .13849 L
.25062 .1387 L
.25187 .14063 L
.25239 .14166 L
.25269 .14255 L
.25259 .14448 L
.25239 .14479 L
.25046 .14599 L
.2488 .14641 L
.24854 .14646 L
.24661 .14675 L
.24468 .14692 L
.24275 .14703 L
.24083 .1471 L
.2389 .14714 L
.23697 .14717 L
.23505 .14719 L
.23312 .1472 L
.23119 .14719 L
.22927 .14718 L
.22734 .14715 L
.22541 .14711 L
.22349 .14706 L
.22156 .14698 L
.21963 .14688 L
.2177 .14674 L
.21578 .14656 L
.21438 .14641 L
.21385 .14633 L
.21192 .14598 L
.21 .14553 L
.20807 .14497 L
.20665 .14448 L
.20614 .14427 L
.20422 .14339 L
.2026 .14255 L
.20229 .14238 L
.20036 .14121 L
.19947 .14063 L
.19844 .13991 L
.19678 .1387 L
.19651 .1385 L
.19458 .13697 L
.19434 .13677 L
.19265 .13534 L
.1921 .13485 L
.19073 .1336 L
.19001 .13292 L
.1888 .13175 L
.18805 .13099 L
.18687 .12977 L
.18622 .12907 L
.18495 .12762 L
.18454 .12714 L
.18302 .12521 L
.18302 .12521 L
.18171 .12329 L
.18109 .12245 L
.1807 .12136 L
.18019 .11943 L
.1807 .1175 L
.18109 .11707 L
.18302 .11583 L
.18464 .11558 L
F
0 .97 1 r
.19073 .11553 m
.19265 .11535 L
.19458 .11524 L
.19651 .11517 L
.19844 .11514 L
.20036 .11514 L
.20229 .11517 L
.20422 .11523 L
.20614 .11532 L
.20807 .11544 L
.20974 .11558 L
.21 .1156 L
.21192 .11583 L
.21385 .11613 L
.21578 .11649 L
.2177 .11694 L
.21963 .11744 L
.21987 .1175 L
.22156 .11808 L
.22349 .11883 L
.22494 .11943 L
.22541 .11965 L
.22734 .12063 L
.22872 .12136 L
.22927 .12168 L
.23119 .12285 L
.23189 .12329 L
.23312 .12412 L
.23469 .12521 L
.23505 .12548 L
.23697 .12694 L
.23723 .12714 L
.2389 .1285 L
.23957 .12907 L
.24083 .13017 L
.24174 .13099 L
.24275 .13194 L
.24376 .13292 L
.24468 .13386 L
.24561 .13485 L
.24661 .13597 L
.24728 .13677 L
.24854 .13843 L
.24872 .1387 L
.24984 .14063 L
.25041 .14255 L
.24981 .14448 L
.24854 .14536 L
.24661 .1462 L
.24468 .14637 L
.24418 .14641 L
.24275 .14657 L
.24083 .14672 L
.2389 .14681 L
.23697 .14687 L
.23505 .14691 L
.23312 .14693 L
.23119 .14693 L
.22927 .14691 L
.22734 .14687 L
.22541 .14681 L
.22349 .14673 L
.22156 .14661 L
.21963 .14646 L
.21901 .14641 L
.2177 .14626 L
.21578 .14599 L
.21385 .14564 L
.21192 .14519 L
.21 .14466 L
.20943 .14448 L
.20807 .14397 L
.20614 .14315 L
.20488 .14255 L
.20422 .1422 L
.20229 .14111 L
.20151 .14063 L
.20036 .13988 L
.19868 .1387 L
.19844 .13852 L
.19651 .13704 L
.19617 .13677 L
.19458 .13545 L
.19389 .13485 L
.19265 .13373 L
.19179 .13292 L
.19073 .13188 L
.18986 .13099 L
.1888 .12987 L
.18808 .12907 L
.18687 .12764 L
.18648 .12714 L
.18507 .12521 L
.18495 .12505 L
.18392 .12329 L
.18314 .12136 L
.18302 .12084 L
.18297 .11943 L
.18302 .11919 L
.18409 .1175 L
.18495 .11684 L
.18687 .11613 L
.1888 .11577 L
.19028 .11558 L
F
0 .96 1 r
.20036 .11557 m
.20087 .11558 L
.20229 .1156 L
.20422 .11567 L
.20614 .11578 L
.20807 .11594 L
.21 .11616 L
.21192 .11643 L
.21385 .11678 L
.21578 .11719 L
.21709 .1175 L
.2177 .11768 L
.21963 .11829 L
.22156 .11899 L
.2227 .11943 L
.22349 .11978 L
.22541 .12069 L
.22675 .12136 L
.22734 .12169 L
.22927 .1228 L
.23008 .12329 L
.23119 .12401 L
.23299 .12521 L
.23312 .1253 L
.23505 .12671 L
.23561 .12714 L
.23697 .12822 L
.23801 .12907 L
.2389 .12983 L
.24022 .13099 L
.24083 .13156 L
.24224 .13292 L
.24275 .13343 L
.24409 .13485 L
.24468 .13551 L
.24573 .13677 L
.24661 .13793 L
.24711 .1387 L
.24812 .14063 L
.24851 .14255 L
.2475 .14448 L
.24661 .14524 L
.24468 .14588 L
.24275 .14615 L
.24083 .14633 L
.23968 .14641 L
.2389 .14646 L
.23697 .14656 L
.23505 .14663 L
.23312 .14666 L
.23119 .14666 L
.22927 .14664 L
.22734 .14659 L
.22541 .14651 L
.22351 .14641 L
.22349 .14641 L
.22156 .14626 L
.21963 .14606 L
.2177 .14579 L
.21578 .14546 L
.21385 .14504 L
.21192 .14454 L
.21173 .14448 L
.21 .14389 L
.20807 .14312 L
.20678 .14255 L
.20614 .14224 L
.20422 .1412 L
.20322 .14063 L
.20229 .14004 L
.20036 .13875 L
.20029 .1387 L
.19844 .13733 L
.19772 .13677 L
.19651 .13578 L
.19541 .13485 L
.19458 .13411 L
.19331 .13292 L
.19265 .13229 L
.19139 .13099 L
.19073 .13029 L
.18965 .12907 L
.1888 .12805 L
.18809 .12714 L
.18687 .12539 L
.18677 .12521 L
.18573 .12329 L
.18512 .12136 L
.18521 .11943 L
.18687 .1175 L
.18687 .1175 L
.1888 .11663 L
.19073 .11619 L
.19265 .11593 L
.19458 .11575 L
.19651 .11564 L
.19844 .11559 L
.19915 .11558 L
F
1 .77 0 r
.18687 .15921 m
.18817 .1599 L
.1888 .16028 L
.19073 .16152 L
.19125 .16182 L
.19265 .16284 L
.19401 .16375 L
.19458 .1643 L
.19606 .16568 L
.19651 .1659 L
.19837 .1676 L
.19844 .16763 L
.20036 .1693 L
.20063 .16953 L
.20229 .17098 L
.20283 .17146 L
.20422 .1727 L
.20496 .17339 L
.20614 .17446 L
.20705 .17531 L
.20807 .17625 L
.2091 .17724 L
.21 .17808 L
.2111 .17917 L
.21192 .17995 L
.21306 .18109 L
.21385 .18185 L
.21499 .18302 L
.21578 .18379 L
.21687 .18495 L
.2177 .18577 L
.21871 .18687 L
.21963 .18781 L
.22049 .1888 L
.22156 .18992 L
.22221 .19073 L
.22349 .19216 L
.22385 .19265 L
.22539 .19458 L
.22541 .19462 L
.22683 .19651 L
.22734 .19727 L
.22803 .19844 L
.22734 .19996 L
.22541 .19901 L
.22449 .19844 L
.22349 .19776 L
.22174 .19651 L
.22156 .19637 L
.21963 .19493 L
.21916 .19458 L
.2177 .19343 L
.21673 .19265 L
.21578 .19185 L
.21443 .19073 L
.21385 .19021 L
.21224 .1888 L
.21192 .18851 L
.21013 .18687 L
.21 .18675 L
.20808 .18495 L
.20807 .18494 L
.20614 .18315 L
.20601 .18302 L
.20422 .18133 L
.20397 .18109 L
.20229 .17947 L
.20198 .17917 L
.20036 .17757 L
.20003 .17724 L
.19844 .17563 L
.19813 .17531 L
.19651 .17365 L
.19627 .17339 L
.19458 .1716 L
.19445 .17146 L
.19267 .16953 L
.19265 .16949 L
.19083 .1676 L
.19073 .16731 L
.18906 .16568 L
.1888 .16501 L
.18745 .16375 L
.18687 .16247 L
.18643 .16182 L
.18539 .1599 L
F
0 .95 1 r
.19073 .11698 m
.19265 .11654 L
.19458 .11628 L
.19651 .11612 L
.19844 .11604 L
.20036 .11601 L
.20229 .11603 L
.20422 .11611 L
.20614 .11624 L
.20807 .11642 L
.21 .11666 L
.21192 .11697 L
.21385 .11734 L
.2146 .1175 L
.21578 .1178 L
.2177 .11837 L
.21963 .11901 L
.22079 .11943 L
.22156 .11975 L
.22349 .1206 L
.22507 .12136 L
.22541 .12154 L
.22734 .12259 L
.22854 .12329 L
.22927 .12373 L
.23119 .12498 L
.23155 .12521 L
.23312 .12632 L
.23423 .12714 L
.23505 .12777 L
.23667 .12907 L
.23697 .12932 L
.2389 .13099 L
.23891 .13099 L
.24083 .13281 L
.24094 .13292 L
.24275 .13482 L
.24278 .13485 L
.24439 .13677 L
.24468 .13713 L
.24572 .1387 L
.24661 .14052 L
.24664 .14063 L
.24687 .14255 L
.24661 .14333 L
.24549 .14448 L
.24468 .14502 L
.24275 .14565 L
.24083 .14595 L
.2389 .14613 L
.23697 .14626 L
.23505 .14634 L
.23312 .14638 L
.23119 .14639 L
.22927 .14637 L
.22734 .14631 L
.22541 .14622 L
.22349 .14609 L
.22156 .14591 L
.21963 .14567 L
.2177 .14536 L
.21578 .14497 L
.21385 .14451 L
.21374 .14448 L
.21192 .14391 L
.21 .14321 L
.20842 .14255 L
.20807 .14239 L
.20614 .14142 L
.2047 .14063 L
.20422 .14034 L
.20229 .13911 L
.20167 .1387 L
.20036 .13776 L
.19905 .13677 L
.19844 .13628 L
.19672 .13485 L
.19651 .13466 L
.19461 .13292 L
.19458 .13289 L
.1927 .13099 L
.19265 .13095 L
.19098 .12907 L
.19073 .12877 L
.18947 .12714 L
.1888 .12619 L
.18821 .12521 L
.18727 .12329 L
.18687 .12195 L
.18679 .12136 L
.18687 .12013 L
.18713 .11943 L
.1888 .11779 L
.18937 .1175 L
F
0 .94 1 r
.19265 .11724 m
.19458 .11685 L
.19651 .11662 L
.19844 .11649 L
.20036 .11644 L
.20229 .11646 L
.20422 .11654 L
.20614 .11667 L
.20807 .11687 L
.21 .11713 L
.21192 .11746 L
.21216 .1175 L
.21385 .11788 L
.21578 .11838 L
.2177 .11897 L
.21907 .11943 L
.21963 .11965 L
.22156 .12044 L
.22349 .12131 L
.22359 .12136 L
.22541 .1223 L
.2272 .12329 L
.22734 .12337 L
.22927 .12456 L
.23028 .12521 L
.23119 .12583 L
.23303 .12714 L
.23312 .12721 L
.23505 .1287 L
.2355 .12907 L
.23697 .13031 L
.23775 .13099 L
.2389 .13205 L
.2398 .13292 L
.24083 .13397 L
.24163 .13485 L
.24275 .13617 L
.24322 .13677 L
.2445 .1387 L
.24468 .13902 L
.24534 .14063 L
.24541 .14255 L
.24468 .14376 L
.24366 .14448 L
.24275 .14494 L
.24083 .14548 L
.2389 .14577 L
.23697 .14594 L
.23505 .14605 L
.23312 .1461 L
.23119 .14612 L
.22927 .1461 L
.22734 .14603 L
.22541 .14593 L
.22349 .14577 L
.22156 .14557 L
.21963 .14529 L
.2177 .14495 L
.21578 .14453 L
.21558 .14448 L
.21385 .144 L
.21192 .14335 L
.21 .1426 L
.20988 .14255 L
.20807 .14171 L
.20614 .14071 L
.206 .14063 L
.20422 .13956 L
.20289 .1387 L
.20229 .13828 L
.20036 .13688 L
.20023 .13677 L
.19844 .13533 L
.19787 .13485 L
.19651 .13363 L
.19575 .13292 L
.19458 .13176 L
.19385 .13099 L
.19265 .12967 L
.19215 .12907 L
.19073 .12721 L
.19068 .12714 L
.18947 .12521 L
.1888 .12408 L
.18861 .12329 L
.18827 .12136 L
.1888 .1195 L
.18885 .11943 L
.19073 .11781 L
.1918 .1175 L
F
0 .93 1 r
.19458 .11746 m
.19651 .11714 L
.19844 .11696 L
.20036 .11688 L
.20229 .11688 L
.20422 .11695 L
.20614 .11709 L
.20807 .1173 L
.20957 .1175 L
.21 .11758 L
.21192 .11794 L
.21385 .11838 L
.21578 .11891 L
.21746 .11943 L
.2177 .11952 L
.21963 .12024 L
.22156 .12105 L
.22225 .12136 L
.22349 .12196 L
.22541 .12297 L
.22599 .12329 L
.22734 .12408 L
.22915 .12521 L
.22927 .12529 L
.23119 .1266 L
.23194 .12714 L
.23312 .12802 L
.23445 .12907 L
.23505 .12955 L
.23673 .13099 L
.23697 .13122 L
.23878 .13292 L
.2389 .13304 L
.2406 .13485 L
.24083 .1351 L
.24217 .13677 L
.24275 .13753 L
.2434 .1387 L
.24417 .14063 L
.24409 .14255 L
.24275 .14405 L
.24192 .14448 L
.24083 .14491 L
.2389 .14535 L
.23697 .1456 L
.23505 .14574 L
.23312 .14582 L
.23119 .14585 L
.22927 .14582 L
.22734 .14575 L
.22541 .14564 L
.22349 .14547 L
.22156 .14524 L
.21963 .14494 L
.2177 .14456 L
.21732 .14448 L
.21578 .14409 L
.21385 .14352 L
.21192 .14283 L
.2112 .14255 L
.21 .14203 L
.20807 .1411 L
.20718 .14063 L
.20614 .14004 L
.20422 .13885 L
.20399 .1387 L
.20229 .13752 L
.20128 .13677 L
.20036 .13606 L
.1989 .13485 L
.19844 .13444 L
.19678 .13292 L
.19651 .13266 L
.19488 .13099 L
.19458 .13067 L
.1932 .12907 L
.19265 .12839 L
.19176 .12714 L
.19073 .12547 L
.1906 .12521 L
.18983 .12329 L
.18961 .12136 L
.19046 .11943 L
.19073 .11909 L
.19265 .11795 L
.19441 .1175 L
F
0 .92 1 r
.19844 .11743 m
.20036 .11732 L
.20229 .1173 L
.20422 .11736 L
.20614 .1175 L
.2062 .1175 L
.20807 .11772 L
.21 .11801 L
.21192 .11839 L
.21385 .11885 L
.21578 .11939 L
.21591 .11943 L
.2177 .12004 L
.21963 .12078 L
.221 .12136 L
.22156 .12161 L
.22349 .12256 L
.22487 .12329 L
.22541 .12359 L
.22734 .12473 L
.22812 .12521 L
.22927 .12597 L
.23096 .12714 L
.23119 .12731 L
.23312 .12877 L
.2335 .12907 L
.23505 .13035 L
.23579 .13099 L
.23697 .13208 L
.23784 .13292 L
.2389 .134 L
.23966 .13485 L
.24083 .13625 L
.2412 .13677 L
.2424 .1387 L
.24275 .13947 L
.24309 .14063 L
.24285 .14255 L
.24275 .14273 L
.24083 .14423 L
.24019 .14448 L
.2389 .14488 L
.23697 .14523 L
.23505 .14542 L
.23312 .14553 L
.23119 .14557 L
.22927 .14555 L
.22734 .14548 L
.22541 .14535 L
.22349 .14517 L
.22156 .14492 L
.21963 .14459 L
.21904 .14448 L
.2177 .14419 L
.21578 .14368 L
.21385 .14307 L
.21244 .14255 L
.21192 .14235 L
.21 .14149 L
.20825 .14063 L
.20807 .14053 L
.20614 .13942 L
.20499 .1387 L
.20422 .13818 L
.20229 .13681 L
.20224 .13677 L
.20036 .13529 L
.19984 .13485 L
.19844 .1336 L
.19771 .13292 L
.19651 .13173 L
.19582 .13099 L
.19458 .12959 L
.19416 .12907 L
.19275 .12714 L
.19265 .12702 L
.19164 .12521 L
.19094 .12329 L
.19086 .12136 L
.192 .11943 L
.19265 .11889 L
.19458 .11808 L
.19651 .11767 L
.19772 .1175 L
F
0 .91 1 r
.19458 .11883 m
.19651 .11823 L
.19844 .11792 L
.20036 .11776 L
.20229 .11771 L
.20422 .11777 L
.20614 .1179 L
.20807 .11812 L
.21 .11843 L
.21192 .11882 L
.21385 .11929 L
.21437 .11943 L
.21578 .11986 L
.2177 .12053 L
.21963 .12128 L
.21981 .12136 L
.22156 .12215 L
.22349 .12311 L
.22383 .12329 L
.22541 .12417 L
.22716 .12521 L
.22734 .12533 L
.22927 .1266 L
.23005 .12714 L
.23119 .12797 L
.23262 .12907 L
.23312 .12947 L
.23492 .13099 L
.23505 .1311 L
.23697 .13291 L
.23698 .13292 L
.23879 .13485 L
.2389 .13496 L
.24032 .13677 L
.24083 .13736 L
.24147 .1387 L
.24208 .14063 L
.24168 .14255 L
.24083 .14342 L
.2389 .14443 L
.23841 .14448 L
.23697 .14482 L
.23505 .14508 L
.23312 .14522 L
.23119 .14528 L
.22927 .14527 L
.22734 .1452 L
.22541 .14506 L
.22349 .14487 L
.22156 .1446 L
.22082 .14448 L
.21963 .14426 L
.2177 .14382 L
.21578 .14328 L
.21385 .14264 L
.21361 .14255 L
.21192 .14188 L
.21 .14099 L
.20926 .14063 L
.20807 .13998 L
.20614 .13884 L
.20592 .1387 L
.20422 .13756 L
.20313 .13677 L
.20229 .13613 L
.20071 .13485 L
.20036 .13455 L
.19857 .13292 L
.19844 .13279 L
.19668 .13099 L
.19651 .13081 L
.19504 .12907 L
.19458 .12849 L
.19366 .12714 L
.19265 .12535 L
.1926 .12521 L
.19198 .12329 L
.19205 .12136 L
.19265 .12024 L
.19355 .11943 L
F
0 .9 1 r
.19651 .11886 m
.19844 .11842 L
.20036 .11821 L
.20229 .11813 L
.20422 .11817 L
.20614 .1183 L
.20807 .11852 L
.21 .11883 L
.21192 .11923 L
.21277 .11943 L
.21385 .11972 L
.21578 .12031 L
.2177 .12099 L
.21866 .12136 L
.21963 .12177 L
.22156 .12265 L
.22284 .12329 L
.22349 .12363 L
.22541 .12471 L
.22625 .12521 L
.22734 .1259 L
.22919 .12714 L
.22927 .12719 L
.23119 .1286 L
.23179 .12907 L
.23312 .13014 L
.23411 .13099 L
.23505 .13183 L
.23618 .13292 L
.23697 .13373 L
.23798 .13485 L
.2389 .13594 L
.23948 .13677 L
.2406 .1387 L
.24083 .13927 L
.24112 .14063 L
.24083 .14211 L
.24054 .14255 L
.2389 .14403 L
.23697 .14441 L
.23646 .14448 L
.23505 .14472 L
.23312 .1449 L
.23119 .14499 L
.22927 .14499 L
.22734 .14492 L
.22541 .14478 L
.22349 .14457 L
.22278 .14448 L
.22156 .14429 L
.21963 .14392 L
.2177 .14346 L
.21578 .1429 L
.21475 .14255 L
.21385 .14222 L
.21192 .14143 L
.21022 .14063 L
.21 .14052 L
.20807 .13946 L
.2068 .1387 L
.20614 .13828 L
.20422 .13696 L
.20396 .13677 L
.20229 .13548 L
.20152 .13485 L
.20036 .13384 L
.19937 .13292 L
.19844 .132 L
.19749 .13099 L
.19651 .12988 L
.19586 .12907 L
.19458 .12726 L
.19451 .12714 L
.19351 .12521 L
.19297 .12329 L
.1932 .12136 L
.19458 .11977 L
.19514 .11943 L
F
1 .76 0 r
.19458 .16673 m
.19598 .1676 L
.19651 .16797 L
.19844 .16937 L
.19858 .16953 L
.20036 .17074 L
.20095 .17146 L
.20229 .1726 L
.20319 .17339 L
.20422 .1743 L
.20534 .17531 L
.20614 .17605 L
.20742 .17724 L
.20807 .17786 L
.20943 .17917 L
.21 .17972 L
.21139 .18109 L
.21192 .18163 L
.21328 .18302 L
.21385 .18362 L
.2151 .18495 L
.21578 .18569 L
.21684 .18687 L
.2177 .18788 L
.21847 .1888 L
.21963 .19032 L
.21992 .19073 L
.21963 .19252 L
.2177 .19136 L
.21681 .19073 L
.21578 .18995 L
.21431 .1888 L
.21385 .18843 L
.21199 .18687 L
.21192 .18682 L
.21 .18518 L
.20972 .18495 L
.20807 .1835 L
.20755 .18302 L
.20614 .18176 L
.20545 .18109 L
.20422 .17997 L
.20344 .17917 L
.20229 .17812 L
.20149 .17724 L
.20036 .1759 L
.19962 .17531 L
.19844 .17385 L
.19785 .17339 L
.19651 .1717 L
.19621 .17146 L
.19472 .16953 L
.19458 .16935 L
.19337 .1676 L
F
0 .89 1 r
.19844 .11897 m
.20036 .11868 L
.20229 .11856 L
.20422 .11857 L
.20614 .1187 L
.20807 .11892 L
.21 .11923 L
.21104 .11943 L
.21192 .11963 L
.21385 .12014 L
.21578 .12074 L
.21753 .12136 L
.2177 .12143 L
.21963 .12223 L
.22156 .12312 L
.22189 .12329 L
.22349 .12413 L
.22539 .12521 L
.22541 .12522 L
.22734 .12644 L
.22838 .12714 L
.22927 .12776 L
.23102 .12907 L
.23119 .1292 L
.23312 .13079 L
.23336 .13099 L
.23505 .13255 L
.23542 .13292 L
.23697 .13456 L
.23722 .13485 L
.2387 .13677 L
.2389 .13708 L
.23977 .1387 L
.24021 .14063 L
.23943 .14255 L
.2389 .14318 L
.23697 .14403 L
.23505 .14436 L
.23403 .14448 L
.23312 .14457 L
.23119 .14468 L
.22927 .1447 L
.22734 .14463 L
.22541 .14449 L
.22526 .14448 L
.22349 .14428 L
.22156 .14398 L
.21963 .14359 L
.2177 .14311 L
.21586 .14255 L
.21578 .14253 L
.21385 .14182 L
.21192 .141 L
.21113 .14063 L
.21 .14005 L
.20807 .13897 L
.20763 .1387 L
.20614 .13775 L
.20475 .13677 L
.20422 .13638 L
.20229 .13486 L
.20228 .13485 L
.20036 .13314 L
.20013 .13292 L
.19844 .1312 L
.19825 .13099 L
.19664 .12907 L
.19651 .12891 L
.19532 .12714 L
.19458 .12593 L
.19437 .12521 L
.19392 .12329 L
.19434 .12136 L
.19458 .12099 L
.19651 .11953 L
.19688 .11943 L
F
0 .88 1 r
.20036 .11917 m
.20229 .119 L
.20422 .11898 L
.20614 .11909 L
.20807 .1193 L
.20898 .11943 L
.21 .11961 L
.21192 .12003 L
.21385 .12054 L
.21578 .12115 L
.21639 .12136 L
.2177 .12186 L
.21963 .12267 L
.22096 .12329 L
.22156 .12358 L
.22349 .1246 L
.22456 .12521 L
.22541 .12572 L
.22734 .12696 L
.22761 .12714 L
.22927 .12831 L
.23028 .12907 L
.23119 .12979 L
.23263 .13099 L
.23312 .13142 L
.2347 .13292 L
.23505 .13326 L
.23649 .13485 L
.23697 .13539 L
.23795 .13677 L
.2389 .13852 L
.23897 .1387 L
.23932 .14063 L
.2389 .14189 L
.23831 .14255 L
.23697 .14349 L
.23505 .144 L
.23312 .14425 L
.23119 .14438 L
.22927 .14441 L
.22734 .14435 L
.22541 .14421 L
.22349 .14399 L
.22156 .14368 L
.21963 .14327 L
.2177 .14277 L
.21698 .14255 L
.21578 .14216 L
.21385 .14143 L
.21202 .14063 L
.21192 .14058 L
.21 .1396 L
.20842 .1387 L
.20807 .13849 L
.20614 .13723 L
.2055 .13677 L
.20422 .13582 L
.20301 .13485 L
.20229 .13424 L
.20085 .13292 L
.20036 .13245 L
.19897 .13099 L
.19844 .1304 L
.19738 .12907 L
.19651 .12787 L
.19609 .12714 L
.19519 .12521 L
.19485 .12329 L
.19547 .12136 L
.19651 .12024 L
.19844 .11955 L
.19893 .11943 L
F
0 .87 1 r
.20422 .1194 m
.20532 .11943 L
.20614 .11948 L
.20807 .11969 L
.21 .12 L
.21192 .12041 L
.21385 .12093 L
.21523 .12136 L
.21578 .12155 L
.2177 .12227 L
.21963 .12309 L
.22005 .12329 L
.22156 .12402 L
.22349 .12506 L
.22376 .12521 L
.22541 .1262 L
.22687 .12714 L
.22734 .12746 L
.22927 .12884 L
.22957 .12907 L
.23119 .13036 L
.23194 .13099 L
.23312 .13205 L
.23402 .13292 L
.23505 .13398 L
.23579 .13485 L
.23697 .13635 L
.23723 .13677 L
.2382 .1387 L
.23845 .14063 L
.23717 .14255 L
.23697 .14272 L
.23505 .14357 L
.23312 .14391 L
.23119 .14407 L
.22927 .14412 L
.22734 .14407 L
.22541 .14392 L
.22349 .14369 L
.22156 .14337 L
.21963 .14295 L
.21811 .14255 L
.2177 .14243 L
.21578 .1418 L
.21385 .14105 L
.21289 .14063 L
.21192 .14017 L
.21 .13916 L
.20919 .1387 L
.20807 .13801 L
.20622 .13677 L
.20614 .13672 L
.20422 .13526 L
.2037 .13485 L
.20229 .13362 L
.20153 .13292 L
.20036 .13175 L
.19966 .13099 L
.19844 .12954 L
.19809 .12907 L
.19684 .12714 L
.19651 .1265 L
.196 .12521 L
.19576 .12329 L
.19651 .1215 L
.19664 .12136 L
.19844 .12014 L
.20036 .11967 L
.20229 .11945 L
.20259 .11943 L
F
0 .86 1 r
.19844 .12092 m
.20036 .1202 L
.20229 .1199 L
.20422 .11981 L
.20614 .11988 L
.20807 .12007 L
.21 .12038 L
.21192 .12079 L
.21385 .12131 L
.214 .12136 L
.21578 .12194 L
.2177 .12267 L
.21915 .12329 L
.21963 .12351 L
.22156 .12445 L
.22298 .12521 L
.22349 .1255 L
.22541 .12667 L
.22615 .12714 L
.22734 .12795 L
.22888 .12907 L
.22927 .12936 L
.23119 .13093 L
.23127 .13099 L
.23312 .13269 L
.23335 .13292 L
.23505 .13475 L
.23512 .13485 L
.23653 .13677 L
.23697 .13755 L
.23746 .1387 L
.2376 .14063 L
.23697 .14179 L
.23599 .14255 L
.23505 .14303 L
.23312 .14353 L
.23119 .14375 L
.22927 .14382 L
.22734 .14377 L
.22541 .14363 L
.22349 .1434 L
.22156 .14307 L
.21963 .14264 L
.2193 .14255 L
.2177 .1421 L
.21578 .14145 L
.21385 .14067 L
.21374 .14063 L
.21192 .13977 L
.21 .13873 L
.20994 .1387 L
.20807 .13755 L
.20691 .13677 L
.20614 .13622 L
.20437 .13485 L
.20422 .13472 L
.20229 .13301 L
.2022 .13292 L
.20036 .13103 L
.20033 .13099 L
.19877 .12907 L
.19844 .12867 L
.19756 .12714 L
.19678 .12521 L
.19666 .12329 L
.19786 .12136 L
F
0 .85 1 r
.20036 .12081 m
.20229 .12038 L
.20422 .12024 L
.20614 .12027 L
.20807 .12045 L
.21 .12075 L
.21192 .12117 L
.21268 .12136 L
.21385 .12169 L
.21578 .12233 L
.2177 .12306 L
.21823 .12329 L
.21963 .12391 L
.22156 .12487 L
.2222 .12521 L
.22349 .12594 L
.22541 .12712 L
.22544 .12714 L
.22734 .12843 L
.22821 .12907 L
.22927 .12987 L
.23062 .13099 L
.23119 .13149 L
.23271 .13292 L
.23312 .13332 L
.23447 .13485 L
.23505 .13547 L
.23585 .13677 L
.23672 .1387 L
.23674 .14063 L
.23505 .14239 L
.23471 .14255 L
.23312 .1431 L
.23119 .1434 L
.22927 .1435 L
.22734 .14347 L
.22541 .14334 L
.22349 .1431 L
.22156 .14276 L
.22057 .14255 L
.21963 .14232 L
.2177 .14177 L
.21578 .1411 L
.2146 .14063 L
.21385 .1403 L
.21192 .13938 L
.21067 .1387 L
.21 .13831 L
.20807 .1371 L
.20759 .13677 L
.20614 .13573 L
.20503 .13485 L
.20422 .13417 L
.20284 .13292 L
.20229 .13239 L
.20098 .13099 L
.20036 .1303 L
.19944 .12907 L
.19844 .12753 L
.19826 .12714 L
.19756 .12521 L
.19758 .12329 L
.19844 .12192 L
.19918 .12136 L
F
0 .84 1 r
.20229 .1209 m
.20422 .12068 L
.20614 .12068 L
.20807 .12084 L
.21 .12113 L
.21117 .12136 L
.21192 .12154 L
.21385 .12207 L
.21578 .1227 L
.2173 .12329 L
.2177 .12345 L
.21963 .12431 L
.22143 .12521 L
.22156 .12528 L
.22349 .12636 L
.22475 .12714 L
.22541 .12757 L
.22734 .1289 L
.22756 .12907 L
.22927 .13039 L
.22999 .13099 L
.23119 .13205 L
.23208 .13292 L
.23312 .13399 L
.23384 .13485 L
.23505 .13649 L
.23519 .13677 L
.236 .1387 L
.23588 .14063 L
.23505 .14166 L
.23326 .14255 L
.23312 .1426 L
.23119 .14301 L
.22927 .14317 L
.22734 .14316 L
.22541 .14304 L
.22349 .1428 L
.22201 .14255 L
.22156 .14246 L
.21963 .14201 L
.2177 .14144 L
.21578 .14075 L
.21546 .14063 L
.21385 .13994 L
.21192 .13898 L
.2114 .1387 L
.21 .13789 L
.20826 .13677 L
.20807 .13665 L
.20614 .13523 L
.20566 .13485 L
.20422 .13362 L
.20347 .13292 L
.20229 .13175 L
.20161 .13099 L
.20036 .12946 L
.20009 .12907 L
.19896 .12714 L
.19844 .12573 L
.19832 .12521 L
.19844 .12348 L
.19851 .12329 L
.20036 .12141 L
.2007 .12136 L
F
0 .83 1 r
.20422 .12115 m
.20614 .1211 L
.20807 .12123 L
.20932 .12136 L
.21 .12151 L
.21192 .12191 L
.21385 .12244 L
.21578 .12308 L
.21634 .12329 L
.2177 .12383 L
.21963 .1247 L
.22066 .12521 L
.22156 .12568 L
.22349 .12678 L
.22407 .12714 L
.22541 .12801 L
.22692 .12907 L
.22734 .12937 L
.22927 .1309 L
.22937 .13099 L
.23119 .13264 L
.23147 .13292 L
.23312 .13473 L
.23321 .13485 L
.23454 .13677 L
.23505 .13788 L
.23528 .1387 L
.23505 .14054 L
.235 .14063 L
.23312 .14207 L
.23144 .14255 L
.23119 .1426 L
.22927 .14282 L
.22734 .14284 L
.22541 .14273 L
.22372 .14255 L
.22349 .1425 L
.22156 .14216 L
.21963 .14169 L
.2177 .14111 L
.21634 .14063 L
.21578 .14041 L
.21385 .13957 L
.21212 .1387 L
.21192 .1386 L
.21 .13748 L
.20891 .13677 L
.20807 .1362 L
.20629 .13485 L
.20614 .13473 L
.20422 .13305 L
.20408 .13292 L
.20229 .13106 L
.20223 .13099 L
.20073 .12907 L
.20036 .12881 L
.19964 .12714 L
.19909 .12521 L
.19947 .12329 L
.20036 .12201 L
.20229 .12145 L
.2028 .12136 L
F
0 .82 1 r
.20229 .12198 m
.20422 .12162 L
.20614 .12153 L
.20807 .12163 L
.21 .12188 L
.21192 .12228 L
.21385 .12281 L
.21532 .12329 L
.21578 .12345 L
.2177 .12421 L
.21963 .12509 L
.21988 .12521 L
.22156 .12608 L
.22338 .12714 L
.22349 .1272 L
.22541 .12845 L
.22629 .12907 L
.22734 .12984 L
.22876 .13099 L
.22927 .13142 L
.23087 .13292 L
.23119 .13323 L
.2326 .13485 L
.23312 .13526 L
.23389 .13677 L
.23456 .1387 L
.23409 .14063 L
.23312 .14144 L
.23119 .14228 L
.22927 .14246 L
.22734 .14251 L
.22541 .14242 L
.22349 .1422 L
.22156 .14185 L
.21963 .14138 L
.2177 .14078 L
.21726 .14063 L
.21578 .14006 L
.21385 .13921 L
.21284 .1387 L
.21192 .13821 L
.21 .13706 L
.20956 .13677 L
.20807 .13574 L
.2069 .13485 L
.20614 .13423 L
.20468 .13292 L
.20422 .13248 L
.20284 .13099 L
.20229 .13039 L
.20137 .12907 L
.20036 .12729 L
.20032 .12714 L
.19987 .12521 L
.20036 .12347 L
.2005 .12329 L
F
0 .81 1 r
.20229 .12274 m
.20422 .12212 L
.20614 .12196 L
.20807 .12203 L
.21 .12227 L
.21192 .12266 L
.21385 .12318 L
.2142 .12329 L
.21578 .12382 L
.2177 .12459 L
.21909 .12521 L
.21963 .12547 L
.22156 .12648 L
.2227 .12714 L
.22349 .12762 L
.22541 .12889 L
.22566 .12907 L
.22734 .13032 L
.22816 .13099 L
.22927 .13195 L
.23027 .13292 L
.23119 .13385 L
.23199 .13485 L
.23312 .13643 L
.23324 .13677 L
.23383 .1387 L
.23312 .14063 L
.23312 .14063 L
.23119 .14185 L
.22927 .14213 L
.22734 .1422 L
.22541 .14211 L
.22349 .14189 L
.22156 .14154 L
.21963 .14106 L
.21822 .14063 L
.2177 .14045 L
.21578 .13972 L
.21385 .13884 L
.21357 .1387 L
.21192 .13782 L
.2102 .13677 L
.21 .13664 L
.20807 .13528 L
.20751 .13485 L
.20614 .13372 L
.20528 .13292 L
.20422 .13188 L
.20344 .13099 L
.20229 .12955 L
.202 .12907 L
.20101 .12714 L
.20067 .12521 L
.20161 .12329 L
F
0 .8 1 r
.20422 .12271 m
.20614 .12243 L
.20807 .12245 L
.21 .12266 L
.21192 .12304 L
.21295 .12329 L
.21385 .12355 L
.21578 .12419 L
.2177 .12497 L
.21827 .12521 L
.21963 .12586 L
.22156 .12688 L
.22201 .12714 L
.22349 .12803 L
.22503 .12907 L
.22541 .12933 L
.22734 .13081 L
.22756 .13099 L
.22927 .13251 L
.22967 .13292 L
.23119 .13459 L
.23138 .13485 L
.23259 .13677 L
.23308 .1387 L
.23208 .14063 L
.23119 .14124 L
.22927 .14173 L
.22734 .14185 L
.22541 .14179 L
.22349 .14157 L
.22156 .14122 L
.21963 .14073 L
.21927 .14063 L
.2177 .14012 L
.21578 .13937 L
.21431 .1387 L
.21385 .13848 L
.21192 .13743 L
.21085 .13677 L
.21 .13622 L
.20812 .13485 L
.20807 .13481 L
.20614 .13317 L
.20588 .13292 L
.20422 .1312 L
.20405 .13099 L
.20263 .12907 L
.20229 .12848 L
.2017 .12714 L
.20149 .12521 L
.20229 .12375 L
.20286 .12329 L
F
0 .79 1 r
.20614 .12294 m
.20807 .12289 L
.21 .12307 L
.21152 .12329 L
.21192 .12342 L
.21385 .12392 L
.21578 .12457 L
.2174 .12521 L
.2177 .12534 L
.21963 .12624 L
.22131 .12714 L
.22156 .12728 L
.22349 .12845 L
.2244 .12907 L
.22541 .12978 L
.22696 .13099 L
.22734 .1313 L
.22908 .13292 L
.22927 .13307 L
.23077 .13485 L
.23119 .13544 L
.23194 .13677 L
.23232 .1387 L
.23119 .14044 L
.23091 .14063 L
.22927 .14126 L
.22734 .14147 L
.22541 .14144 L
.22349 .14124 L
.22156 .14089 L
.22042 .14063 L
.21963 .14041 L
.2177 .13979 L
.21578 .13902 L
.21507 .1387 L
.21385 .13811 L
.21192 .13703 L
.2115 .13677 L
.21 .13579 L
.20872 .13485 L
.20807 .13434 L
.20647 .13292 L
.20614 .13263 L
.20465 .13099 L
.20422 .13062 L
.20326 .12907 L
.2024 .12714 L
.20236 .12521 L
.20422 .12341 L
.20456 .12329 L
F
0 .78 1 r
.20422 .12421 m
.20614 .12343 L
.20807 .12335 L
.21 .12348 L
.21192 .12381 L
.21385 .1243 L
.21578 .12495 L
.21648 .12521 L
.2177 .12572 L
.21963 .12663 L
.22059 .12714 L
.22156 .12768 L
.22349 .12888 L
.22376 .12907 L
.22541 .13024 L
.22635 .13099 L
.22734 .1318 L
.22849 .13292 L
.22927 .13364 L
.23016 .13485 L
.23119 .13657 L
.23128 .13677 L
.23152 .1387 L
.23119 .13944 L
.22943 .14063 L
.22927 .14068 L
.22734 .14105 L
.22541 .14107 L
.22349 .14089 L
.22177 .14063 L
.22156 .14056 L
.21963 .14008 L
.2177 .13944 L
.21587 .1387 L
.21578 .13866 L
.21385 .13773 L
.21217 .13677 L
.21192 .13663 L
.21 .13534 L
.20934 .13485 L
.20807 .13384 L
.20706 .13292 L
.20614 .13205 L
.20525 .13099 L
.20422 .12974 L
.2039 .12907 L
.20312 .12714 L
.20328 .12521 L
F
0 .77 1 r
.20614 .12395 m
.20807 .12379 L
.21 .12389 L
.21192 .12421 L
.21385 .1247 L
.21546 .12521 L
.21578 .12533 L
.2177 .12611 L
.21963 .12703 L
.21984 .12714 L
.22156 .12809 L
.22311 .12907 L
.22349 .12931 L
.22541 .13073 L
.22574 .13099 L
.22734 .13236 L
.22789 .13292 L
.22927 .13441 L
.22954 .13485 L
.2306 .13677 L
.23068 .1387 L
.22927 .14006 L
.22734 .14061 L
.2269 .14063 L
.22541 .14068 L
.22444 .14063 L
.22349 .14054 L
.22156 .14023 L
.21963 .13974 L
.2177 .13909 L
.21671 .1387 L
.21578 .1383 L
.21385 .13735 L
.21284 .13677 L
.21192 .13622 L
.21 .13488 L
.20996 .13485 L
.20807 .13331 L
.20766 .13292 L
.20614 .13136 L
.20586 .13099 L
.20455 .12907 L
.20422 .12836 L
.20387 .12714 L
.20422 .12537 L
.20432 .12521 L
F
0 .76 1 r
.20614 .12475 m
.20807 .12431 L
.21 .12435 L
.21192 .12463 L
.21385 .1251 L
.21425 .12521 L
.21578 .12572 L
.2177 .1265 L
.21906 .12714 L
.21963 .12743 L
.22156 .12851 L
.22244 .12907 L
.22349 .12975 L
.22512 .13099 L
.22541 .1312 L
.22727 .13292 L
.22734 .13294 L
.22891 .13485 L
.22927 .1354 L
.2299 .13677 L
.22977 .1387 L
.22927 .13926 L
.22734 .14037 L
.22541 .14035 L
.22349 .1402 L
.22156 .13988 L
.21963 .13938 L
.2177 .13873 L
.21764 .1387 L
.21578 .13793 L
.21385 .13694 L
.21355 .13677 L
.21192 .1358 L
.21059 .13485 L
.21 .13443 L
.20828 .13292 L
.20807 .13277 L
.20648 .13099 L
.20614 .13055 L
.20522 .12907 L
.20465 .12714 L
.2055 .12521 L
F
0 .75 1 r
.20807 .12494 m
.21 .12485 L
.21192 .12508 L
.21285 .12521 L
.21385 .1255 L
.21578 .12612 L
.2177 .12691 L
.21821 .12714 L
.21963 .12783 L
.22156 .12895 L
.22174 .12907 L
.22349 .13022 L
.22449 .13099 L
.22541 .1317 L
.22665 .13292 L
.22734 .13331 L
.22826 .13485 L
.22916 .13677 L
.22876 .1387 L
.22734 .13982 L
.22541 .13995 L
.22349 .13982 L
.22156 .1395 L
.21963 .13901 L
.21864 .1387 L
.2177 .13837 L
.21578 .13755 L
.21428 .13677 L
.21385 .13655 L
.21192 .13534 L
.21123 .13485 L
.21 .13393 L
.2089 .13292 L
.20807 .13223 L
.20712 .13099 L
.20614 .12952 L
.20591 .12907 L
.2055 .12714 L
.20614 .12583 L
.20716 .12521 L
F
0 .74 1 r
.20807 .12567 m
.21 .12531 L
.21192 .1255 L
.21385 .12592 L
.21578 .12654 L
.21729 .12714 L
.2177 .12732 L
.21963 .12826 L
.22102 .12907 L
.22156 .12938 L
.22349 .13073 L
.22382 .13099 L
.22541 .13229 L
.22601 .13292 L
.22734 .13429 L
.22759 .13485 L
.22839 .13677 L
.22748 .1387 L
.22734 .13882 L
.22541 .13943 L
.22349 .13939 L
.22156 .1391 L
.21979 .1387 L
.21963 .13863 L
.2177 .138 L
.21578 .13714 L
.21506 .13677 L
.21385 .13614 L
.21192 .13486 L
.21191 .13485 L
.21 .13336 L
.20954 .13292 L
.20807 .13144 L
.20778 .13099 L
.20664 .12907 L
.20642 .12714 L
F
0 .73 1 r
.20807 .12659 m
.21 .12576 L
.21192 .12597 L
.21385 .12638 L
.21578 .12699 L
.21619 .12714 L
.2177 .12774 L
.21963 .12872 L
.22024 .12907 L
.22156 .12983 L
.22314 .13099 L
.22349 .13118 L
.22534 .13292 L
.22541 .133 L
.22689 .13485 L
.22734 .1358 L
.22753 .13677 L
.22734 .13755 L
.2256 .1387 L
.22541 .13875 L
.22349 .13889 L
.2218 .1387 L
.22156 .13868 L
.21963 .13827 L
.2177 .13759 L
.21591 .13677 L
.21578 .13672 L
.21385 .13568 L
.21261 .13485 L
.21192 .13443 L
.21021 .13292 L
.21 .13271 L
.20846 .13099 L
.20807 .1304 L
.20741 .12907 L
.2075 .12714 L
F
0 .72 1 r
.21 .12656 m
.21192 .12654 L
.21385 .12689 L
.21508 .12714 L
.21578 .12741 L
.2177 .1282 L
.2194 .12907 L
.21963 .12917 L
.22156 .13035 L
.22241 .13099 L
.22349 .13167 L
.22464 .13292 L
.22541 .13381 L
.22613 .13485 L
.22662 .13677 L
.22541 .138 L
.22349 .13835 L
.22156 .13835 L
.21963 .13785 L
.2177 .13714 L
.21684 .13677 L
.21578 .13632 L
.21385 .13518 L
.21337 .13485 L
.21192 .13389 L
.21091 .13292 L
.21 .13198 L
.20919 .13099 L
.20826 .12907 L
.20895 .12714 L
F
0 .71 1 r
.21 .12768 m
.21192 .12724 L
.21385 .12727 L
.21578 .12787 L
.2177 .12871 L
.21844 .12907 L
.21963 .12961 L
.22156 .13096 L
.22161 .13099 L
.22349 .13244 L
.22387 .13292 L
.22531 .13485 L
.22541 .13511 L
.22542 .13677 L
.22541 .13678 L
.22349 .13772 L
.22156 .13787 L
.21963 .13735 L
.21786 .13677 L
.2177 .13671 L
.21578 .13585 L
.21418 .13485 L
.21385 .13478 L
.21192 .13318 L
.21168 .13292 L
.21 .13099 L
.21 .13099 L
.20921 .12907 L
F
0 .7 1 r
.21192 .12804 m
.21385 .12775 L
.21578 .12846 L
.21749 .12907 L
.2177 .12928 L
.21963 .13018 L
.22077 .13099 L
.22156 .13161 L
.22306 .13292 L
.22349 .13343 L
.22441 .13485 L
.22376 .13677 L
.22349 .13689 L
.22156 .13717 L
.21968 .13677 L
.21963 .13676 L
.2177 .13637 L
.21578 .13526 L
.2151 .13485 L
.21385 .13437 L
.21249 .13292 L
.21192 .13233 L
.21084 .13099 L
.21016 .12907 L
F
0 .69 1 r
.21385 .12872 m
.21533 .12907 L
.21578 .12919 L
.2177 .12992 L
.21963 .13096 L
.21968 .13099 L
.22156 .13242 L
.2221 .13292 L
.22323 .13485 L
.22156 .13631 L
.21963 .13612 L
.2177 .13575 L
.21603 .13485 L
.21578 .13457 L
.21385 .13341 L
.21346 .13292 L
.21192 .13099 L
.21232 .12907 L
F
0 .68 1 r
.21385 .13004 m
.21578 .13003 L
.2177 .13071 L
.21857 .13099 L
.21963 .13184 L
.22086 .13292 L
.22154 .13485 L
.21963 .13528 L
.21796 .13485 L
.2177 .13475 L
.21578 .13374 L
.21436 .13292 L
.21385 .13203 L
.21307 .13099 L
F
1 .96 0 r
.21578 .07479 m
.2177 .07477 L
.21922 .07511 L
.21963 .07523 L
.22156 .07593 L
.22349 .07679 L
.22401 .07704 L
.22541 .07776 L
.22734 .0788 L
.22763 .07897 L
.22927 .07991 L
.2309 .08089 L
.23119 .08107 L
.23312 .08228 L
.23396 .08282 L
.23505 .08353 L
.23689 .08475 L
.23697 .08481 L
.2389 .08612 L
.23971 .08667 L
.24083 .08745 L
.24245 .0886 L
.24275 .08882 L
.24468 .0902 L
.24513 .09053 L
.24661 .09161 L
.24776 .09245 L
.24854 .09303 L
.25035 .09438 L
.25046 .09447 L
.25239 .09593 L
.25289 .09631 L
.25432 .0974 L
.2554 .09823 L
.25624 .09889 L
.25788 .10016 L
.25817 .10039 L
.2601 .10191 L
.26033 .10209 L
.26202 .10344 L
.26275 .10402 L
.26395 .10498 L
.26515 .10594 L
.26588 .10653 L
.26753 .10787 L
.2678 .10809 L
.26973 .10966 L
.26989 .1098 L
.27166 .11125 L
.27223 .11172 L
.27359 .11284 L
.27456 .11365 L
.27551 .11445 L
.27687 .11558 L
.27744 .11606 L
.27916 .1175 L
.27937 .11768 L
.28129 .11931 L
.28144 .11943 L
.28322 .12095 L
.2837 .12136 L
.28515 .1226 L
.28595 .12329 L
.28707 .12426 L
.28818 .12521 L
.289 .12592 L
.29041 .12714 L
.29093 .12759 L
.29262 .12907 L
.29285 .12927 L
.29478 .13096 L
.29482 .13099 L
.29671 .13266 L
.29701 .13292 L
.29864 .13436 L
.29919 .13485 L
.30056 .13607 L
.30135 .13677 L
.30249 .13779 L
.30351 .1387 L
.30442 .13951 L
.30566 .14063 L
.30634 .14125 L
.3078 .14255 L
.30827 .14298 L
.30993 .14448 L
.3102 .14473 L
.31205 .14641 L
.31212 .14648 L
.31405 .14824 L
.31416 .14834 L
.31598 .15001 L
.31626 .15026 L
.31791 .15178 L
.31835 .15219 L
.31983 .15356 L
.32043 .15412 L
.32176 .15535 L
.32251 .15604 L
.32369 .15714 L
.32457 .15797 L
.32561 .15894 L
.32663 .1599 L
.32754 .16075 L
.32868 .16182 L
.32947 .16256 L
.33072 .16375 L
.33139 .16438 L
.33276 .16568 L
.33332 .16621 L
.33479 .1676 L
.33525 .16804 L
.3368 .16953 L
.33717 .16989 L
.33882 .17146 L
.3391 .17173 L
.34082 .17339 L
.34103 .17359 L
.34281 .17531 L
.34296 .17545 L
.3448 .17724 L
.34488 .17732 L
.34678 .17917 L
.34681 .17919 L
.34874 .18108 L
.34875 .18109 L
.35066 .18297 L
.35072 .18302 L
.35259 .18487 L
.35267 .18495 L
.35452 .18677 L
.35462 .18687 L
.35644 .18869 L
.35656 .1888 L
.35837 .19061 L
.35849 .19073 L
.3603 .19254 L
.36042 .19265 L
.36222 .19447 L
.36233 .19458 L
.36415 .19642 L
.36424 .19651 L
.36608 .19837 L
.36614 .19844 L
.36801 .20033 L
.36803 .20036 L
.36992 .20229 L
.36993 .2023 L
.37179 .20422 L
.37186 .20428 L
.37366 .20614 L
.37379 .20627 L
.37552 .20807 L
.37571 .20827 L
.37737 .21 L
.37764 .21028 L
.37921 .21192 L
.37957 .2123 L
.38104 .21385 L
.38149 .21433 L
.38286 .21578 L
.38342 .21637 L
.38467 .2177 L
.38535 .21842 L
.38647 .21963 L
.38727 .22049 L
.38827 .22156 L
.3892 .22256 L
.39005 .22349 L
.39113 .22465 L
.39182 .22541 L
.39306 .22675 L
.39359 .22734 L
.39498 .22887 L
.39534 .22927 L
.39691 .231 L
.39708 .23119 L
.39881 .23312 L
.39884 .23315 L
.40052 .23505 L
.40076 .23532 L
.40223 .23697 L
.40269 .2375 L
.40392 .2389 L
.40462 .2397 L
.40559 .24083 L
.40654 .24193 L
.40725 .24275 L
.40847 .24418 L
.4089 .24468 L
.4104 .24645 L
.41053 .24661 L
.41214 .24854 L
.41232 .24875 L
.41374 .25046 L
.41425 .25109 L
.41531 .25239 L
.41618 .25346 L
.41686 .25432 L
.41811 .25588 L
.41839 .25624 L
.4199 .25817 L
.42003 .25834 L
.42138 .2601 L
.42196 .26086 L
.42283 .26202 L
.42389 .26346 L
.42425 .26395 L
.42562 .26588 L
.42581 .26614 L
.42696 .2678 L
.42774 .26896 L
.42824 .26973 L
.42947 .27166 L
.42967 .27196 L
.43062 .27359 L
.43159 .27533 L
.43168 .27551 L
.43263 .27744 L
.43338 .27937 L
.43352 .27982 L
.43385 .28129 L
.43364 .28322 L
.43352 .2834 L
.43159 .28433 L
.42967 .28405 L
.42774 .28346 L
.42701 .28322 L
.42581 .28268 L
.42389 .28177 L
.42293 .28129 L
.42196 .28077 L
.42003 .27969 L
.41946 .27937 L
.41811 .27856 L
.41628 .27744 L
.41618 .27738 L
.41425 .27615 L
.41327 .27551 L
.41232 .27489 L
.4104 .27359 L
.41039 .27359 L
.40847 .27227 L
.40759 .27166 L
.40654 .27092 L
.40488 .26973 L
.40462 .26955 L
.40269 .26815 L
.40222 .2678 L
.40076 .26673 L
.39961 .26588 L
.39884 .2653 L
.39704 .26395 L
.39691 .26385 L
.39498 .26238 L
.39452 .26202 L
.39306 .2609 L
.39202 .2601 L
.39113 .2594 L
.38956 .25817 L
.3892 .25789 L
.38727 .25637 L
.38711 .25624 L
.38535 .25484 L
.38469 .25432 L
.38342 .25329 L
.38229 .25239 L
.38149 .25174 L
.37991 .25046 L
.37957 .25018 L
.37764 .24861 L
.37754 .24854 L
.37571 .24704 L
.37519 .24661 L
.37379 .24545 L
.37285 .24468 L
.37186 .24386 L
.37052 .24275 L
.36993 .24227 L
.36819 .24083 L
.36801 .24067 L
.36608 .23906 L
.36589 .2389 L
.36415 .23744 L
.36359 .23697 L
.36222 .23582 L
.36131 .23505 L
.3603 .23419 L
.35904 .23312 L
.35837 .23254 L
.35679 .23119 L
.35644 .23089 L
.35456 .22927 L
.35452 .22923 L
.35259 .22754 L
.35236 .22734 L
.35066 .22583 L
.35018 .22541 L
.34874 .22411 L
.34803 .22349 L
.34681 .22237 L
.3459 .22156 L
.34488 .22061 L
.3438 .21963 L
.34296 .21884 L
.34172 .2177 L
.34103 .21705 L
.33966 .21578 L
.3391 .21524 L
.33762 .21385 L
.33717 .21342 L
.3356 .21192 L
.33525 .21159 L
.33358 .21 L
.33332 .20975 L
.33157 .20807 L
.33139 .2079 L
.32955 .20614 L
.32947 .20606 L
.32754 .20422 L
.32754 .20421 L
.32561 .20237 L
.32553 .20229 L
.32369 .20053 L
.3235 .20036 L
.32176 .1987 L
.32148 .19844 L
.31983 .19688 L
.31944 .19651 L
.31791 .19506 L
.31739 .19458 L
.31598 .19326 L
.31533 .19265 L
.31405 .19146 L
.31326 .19073 L
.31212 .18967 L
.31118 .1888 L
.3102 .18789 L
.30909 .18687 L
.30827 .18612 L
.30699 .18495 L
.30634 .18436 L
.30488 .18302 L
.30442 .18261 L
.30275 .18109 L
.30249 .18086 L
.30062 .17917 L
.30056 .17911 L
.29864 .17737 L
.2985 .17724 L
.29671 .17563 L
.29639 .17531 L
.29478 .17388 L
.2943 .17339 L
.29285 .17211 L
.29224 .17146 L
.29093 .1703 L
.29021 .16953 L
.289 .16846 L
.28822 .1676 L
.28707 .16655 L
.28628 .16568 L
.28515 .16458 L
.28438 .16375 L
.28322 .16254 L
.28253 .16182 L
.28129 .16045 L
.28072 .1599 L
.27937 .15835 L
.27892 .15797 L
.27744 .15627 L
.27715 .15604 L
.27551 .1542 L
.2754 .15412 L
.27367 .15219 L
.27359 .1521 L
.27194 .15026 L
.27166 .14995 L
.2702 .14834 L
.26973 .14781 L
.26846 .14641 L
.2678 .14568 L
.26671 .14448 L
.26588 .14357 L
.26495 .14255 L
.26395 .14146 L
.26318 .14063 L
.26202 .13936 L
.26141 .1387 L
.2601 .13727 L
.25964 .13677 L
.25817 .13518 L
.25787 .13485 L
.25624 .13309 L
.25609 .13292 L
.25432 .13099 L
.25432 .13099 L
.25254 .12907 L
.25239 .1289 L
.25078 .12714 L
.25046 .12679 L
.24902 .12521 L
.24854 .12468 L
.24727 .12329 L
.24661 .12255 L
.24554 .12136 L
.24468 .1204 L
.24382 .11943 L
.24275 .11823 L
.24212 .1175 L
.24083 .11603 L
.24043 .11558 L
.2389 .11381 L
.23877 .11365 L
.23713 .11172 L
.23697 .11154 L
.23551 .1098 L
.23505 .10925 L
.23391 .10787 L
.23312 .1069 L
.23234 .10594 L
.23119 .10452 L
.23079 .10402 L
.22927 .10209 L
.22927 .10208 L
.22778 .10016 L
.22734 .09959 L
.22632 .09823 L
.22541 .09703 L
.22488 .09631 L
.22349 .09438 L
.22349 .09438 L
.22213 .09245 L
.22156 .09164 L
.22081 .09053 L
.21963 .08873 L
.21955 .0886 L
.21835 .08667 L
.2177 .08561 L
.21723 .08475 L
.2162 .08282 L
.21578 .08209 L
.21532 .08089 L
.21463 .07897 L
.21428 .07704 L
.21516 .07511 L
F
.21963 .14967 m
.22156 .14921 L
.22349 .14894 L
.22541 .14876 L
.22734 .14865 L
.22927 .14857 L
.23119 .14852 L
.23312 .1485 L
.23505 .14851 L
.23697 .14854 L
.2389 .14859 L
.24083 .14868 L
.24275 .1488 L
.24468 .14896 L
.24661 .14918 L
.24854 .14945 L
.25046 .14978 L
.25239 .15017 L
.25283 .15026 L
.25432 .15067 L
.25624 .15128 L
.25817 .15196 L
.25883 .15219 L
.2601 .15274 L
.26202 .15365 L
.26305 .15412 L
.26395 .1546 L
.26588 .1557 L
.26651 .15604 L
.2678 .15685 L
.26961 .15797 L
.26973 .15805 L
.27166 .15949 L
.27223 .1599 L
.27359 .16092 L
.27476 .16182 L
.27551 .16242 L
.27706 .16375 L
.27744 .16408 L
.2791 .16568 L
.27937 .16594 L
.28085 .1676 L
.28129 .1681 L
.28231 .16953 L
.28322 .17076 L
.28354 .17146 L
.2845 .17339 L
.28489 .17531 L
.28433 .17724 L
.28322 .17828 L
.28129 .17913 L
.28117 .17917 L
.27937 .17962 L
.27744 .17991 L
.27551 .18009 L
.27359 .18021 L
.27166 .18029 L
.26973 .18034 L
.2678 .18036 L
.26588 .18036 L
.26395 .18034 L
.26202 .1803 L
.2601 .18024 L
.25817 .18015 L
.25624 .18002 L
.25432 .17985 L
.25239 .17964 L
.25046 .17937 L
.24913 .17917 L
.24854 .17905 L
.24661 .17861 L
.24468 .17807 L
.24275 .17747 L
.24202 .17724 L
.24083 .17676 L
.2389 .17591 L
.23752 .17531 L
.23697 .17503 L
.23505 .17395 L
.23397 .17339 L
.23312 .17287 L
.23119 .1716 L
.23096 .17146 L
.22927 .17023 L
.22825 .16953 L
.22734 .16885 L
.22574 .1676 L
.22541 .16733 L
.22354 .16568 L
.22349 .16563 L
.22161 .16375 L
.22156 .1637 L
.21995 .16182 L
.21963 .16145 L
.21854 .1599 L
.2177 .15871 L
.21734 .15797 L
.21639 .15604 L
.21591 .15412 L
.21619 .15219 L
.2177 .15056 L
.21825 .15026 L
F
0 .67 1 r
.2177 .1321 m
.21874 .13292 L
.2177 .13338 L
.21681 .13292 L
F
1 .95 0 r
.22156 .14983 m
.22349 .14939 L
.22541 .14913 L
.22734 .14896 L
.22927 .14886 L
.23119 .14879 L
.23312 .14876 L
.23505 .14876 L
.23697 .1488 L
.2389 .14887 L
.24083 .14897 L
.24275 .14911 L
.24468 .14931 L
.24661 .14955 L
.24854 .14986 L
.25046 .15022 L
.25066 .15026 L
.25239 .1507 L
.25432 .15127 L
.25624 .15192 L
.25702 .15219 L
.25817 .15267 L
.2601 .15354 L
.26134 .15412 L
.26202 .15448 L
.26395 .15556 L
.26482 .15604 L
.26588 .1567 L
.2678 .15794 L
.26786 .15797 L
.26973 .15932 L
.27052 .1599 L
.27166 .16077 L
.27298 .16182 L
.27359 .16233 L
.27521 .16375 L
.27551 .16403 L
.27722 .16568 L
.27744 .1659 L
.279 .1676 L
.27937 .16802 L
.28054 .16953 L
.28129 .17056 L
.28182 .17146 L
.28275 .17339 L
.28314 .17531 L
.28249 .17724 L
.28129 .17824 L
.27937 .1791 L
.27881 .17917 L
.27744 .17947 L
.27551 .17974 L
.27359 .17992 L
.27166 .18003 L
.26973 .1801 L
.2678 .18013 L
.26588 .18014 L
.26395 .18012 L
.26202 .18007 L
.2601 .18 L
.25817 .17989 L
.25624 .17974 L
.25432 .17954 L
.25239 .1793 L
.25149 .17917 L
.25046 .17898 L
.24854 .17857 L
.24661 .17807 L
.24468 .1775 L
.24386 .17724 L
.24275 .17682 L
.24083 .176 L
.23927 .17531 L
.2389 .17513 L
.23697 .17408 L
.23571 .17339 L
.23505 .17298 L
.23312 .17173 L
.23269 .17146 L
.23119 .17038 L
.23002 .16953 L
.22927 .16895 L
.22761 .1676 L
.22734 .16738 L
.22544 .16568 L
.22541 .16565 L
.22349 .16375 L
.22349 .16374 L
.22177 .16182 L
.22156 .16157 L
.22028 .1599 L
.21963 .15898 L
.21904 .15797 L
.2181 .15604 L
.2177 .1547 L
.21763 .15412 L
.2177 .153 L
.218 .15219 L
.21963 .15064 L
.22042 .15026 L
F
1 .94 0 r
.22349 .14992 m
.22541 .14953 L
.22734 .1493 L
.22927 .14915 L
.23119 .14906 L
.23312 .14902 L
.23505 .14902 L
.23697 .14906 L
.2389 .14913 L
.24083 .14925 L
.24275 .14941 L
.24468 .14963 L
.24661 .1499 L
.24854 .15023 L
.24871 .15026 L
.25046 .15066 L
.25239 .15118 L
.25432 .15179 L
.2555 .15219 L
.25624 .15248 L
.25817 .15331 L
.25995 .15412 L
.2601 .15419 L
.26202 .15523 L
.26349 .15604 L
.26395 .15633 L
.26588 .15756 L
.26652 .15797 L
.2678 .15887 L
.26922 .1599 L
.26973 .16028 L
.27166 .16181 L
.27167 .16182 L
.27359 .16349 L
.27387 .16375 L
.27551 .16531 L
.27587 .16568 L
.27744 .16734 L
.27766 .1676 L
.27923 .16953 L
.27937 .16971 L
.28049 .17146 L
.28129 .1729 L
.2814 .17339 L
.28173 .17531 L
.28129 .17679 L
.28096 .17724 L
.27937 .17861 L
.27744 .17905 L
.27661 .17917 L
.27551 .17937 L
.27359 .17961 L
.27166 .17976 L
.26973 .17986 L
.2678 .17991 L
.26588 .17992 L
.26395 .1799 L
.26202 .17985 L
.2601 .17976 L
.25817 .17963 L
.25624 .17947 L
.25432 .17925 L
.25369 .17917 L
.25239 .17896 L
.25046 .17859 L
.24854 .17814 L
.24661 .17761 L
.2454 .17724 L
.24468 .17698 L
.24275 .17622 L
.24083 .17538 L
.24067 .17531 L
.2389 .1744 L
.23705 .17339 L
.23697 .17334 L
.23505 .17212 L
.23402 .17146 L
.23312 .17083 L
.23133 .16953 L
.23119 .16943 L
.22927 .16787 L
.22895 .1676 L
.22734 .16618 L
.2268 .16568 L
.22541 .16433 L
.22485 .16375 L
.22349 .16227 L
.22311 .16182 L
.22159 .1599 L
.22156 .15986 L
.22035 .15797 L
.21963 .1567 L
.21944 .15604 L
.21903 .15412 L
.21952 .15219 L
.21963 .15203 L
.22156 .15039 L
.22237 .15026 L
F
1 .93 0 r
.22541 .14997 m
.22734 .14965 L
.22927 .14946 L
.23119 .14934 L
.23312 .14928 L
.23505 .14928 L
.23697 .14931 L
.2389 .14939 L
.24083 .14952 L
.24275 .1497 L
.24468 .14993 L
.24661 .15022 L
.24683 .15026 L
.24854 .1506 L
.25046 .15107 L
.25239 .15162 L
.25416 .15219 L
.25432 .15225 L
.25624 .15301 L
.25817 .15385 L
.25874 .15412 L
.2601 .15481 L
.26202 .15586 L
.26235 .15604 L
.26395 .15703 L
.26542 .15797 L
.26588 .15828 L
.2678 .15965 L
.26814 .1599 L
.26973 .16114 L
.27058 .16182 L
.27166 .16274 L
.27279 .16375 L
.27359 .16449 L
.2748 .16568 L
.27551 .16642 L
.27658 .1676 L
.27744 .16862 L
.27813 .16953 L
.27937 .1714 L
.2794 .17146 L
.28026 .17339 L
.28053 .17531 L
.27959 .17724 L
.27937 .17751 L
.27744 .17862 L
.27551 .17901 L
.2744 .17917 L
.27359 .17929 L
.27166 .17949 L
.26973 .17961 L
.2678 .17968 L
.26588 .1797 L
.26395 .17968 L
.26202 .17962 L
.2601 .17953 L
.25817 .17939 L
.25624 .1792 L
.2559 .17917 L
.25432 .17896 L
.25239 .17863 L
.25046 .17823 L
.24854 .17775 L
.24676 .17724 L
.24661 .17719 L
.24468 .17649 L
.24275 .17569 L
.24188 .17531 L
.24083 .1748 L
.2389 .17377 L
.2382 .17339 L
.23697 .17264 L
.23511 .17146 L
.23505 .17141 L
.23312 .17004 L
.23243 .16953 L
.23119 .16856 L
.23003 .1676 L
.22927 .16695 L
.22787 .16568 L
.22734 .16518 L
.22592 .16375 L
.22541 .16322 L
.22419 .16182 L
.22349 .16098 L
.22269 .1599 L
.22156 .15818 L
.22145 .15797 L
.22058 .15604 L
.22023 .15412 L
.22087 .15219 L
.22156 .15123 L
.22349 .15041 L
.22425 .15026 L
F
1 .92 0 r
.22734 .15003 m
.22927 .14977 L
.23119 .14962 L
.23312 .14955 L
.23505 .14953 L
.23697 .14957 L
.2389 .14965 L
.24083 .14979 L
.24275 .14998 L
.24468 .15023 L
.24494 .15026 L
.24661 .15055 L
.24854 .15096 L
.25046 .15145 L
.25239 .15202 L
.25292 .15219 L
.25432 .1527 L
.25624 .15349 L
.25767 .15412 L
.25817 .15436 L
.2601 .15536 L
.26135 .15604 L
.26202 .15644 L
.26395 .15765 L
.26446 .15797 L
.26588 .15895 L
.26719 .1599 L
.2678 .16036 L
.26966 .16182 L
.26973 .16189 L
.27166 .16356 L
.27187 .16375 L
.27359 .16539 L
.27387 .16568 L
.27551 .16744 L
.27566 .1676 L
.27719 .16953 L
.27744 .16985 L
.27842 .17146 L
.27927 .17339 L
.27937 .17377 L
.27945 .17531 L
.27937 .17571 L
.27833 .17724 L
.27744 .17795 L
.27551 .17864 L
.27359 .17898 L
.27196 .17917 L
.27166 .1792 L
.26973 .17936 L
.2678 .17944 L
.26588 .17947 L
.26395 .17946 L
.26202 .1794 L
.2601 .1793 L
.25833 .17917 L
.25817 .17915 L
.25624 .17894 L
.25432 .17867 L
.25239 .17832 L
.25046 .17789 L
.24854 .17739 L
.24802 .17724 L
.24661 .17677 L
.24468 .17604 L
.24295 .17531 L
.24275 .17522 L
.24083 .17426 L
.23919 .17339 L
.2389 .17322 L
.23697 .17203 L
.23608 .17146 L
.23505 .17074 L
.23337 .16953 L
.23312 .16934 L
.23119 .1678 L
.23096 .1676 L
.22927 .16612 L
.22879 .16568 L
.22734 .16426 L
.22685 .16375 L
.22541 .16218 L
.22512 .16182 L
.22362 .1599 L
.22349 .15972 L
.22242 .15797 L
.22157 .15604 L
.22156 .156 L
.22131 .15412 L
.22156 .15305 L
.22211 .15219 L
.22349 .15098 L
.22541 .1504 L
.22614 .15026 L
F
1 .95 0 r
.22349 .0816 m
.22541 .08185 L
.22734 .08244 L
.22854 .08282 L
.22927 .08322 L
.23119 .08413 L
.23241 .08475 L
.23312 .08515 L
.23505 .08624 L
.2358 .08667 L
.23697 .08738 L
.2389 .08858 L
.23893 .0886 L
.24083 .08983 L
.2419 .09053 L
.24275 .0911 L
.24468 .09241 L
.24474 .09245 L
.24661 .09375 L
.2475 .09438 L
.24854 .09512 L
.25019 .09631 L
.25046 .09651 L
.25239 .09792 L
.25282 .09823 L
.25432 .09935 L
.2554 .10016 L
.25624 .1008 L
.25794 .10209 L
.25817 .10226 L
.2601 .10375 L
.26045 .10402 L
.26202 .10525 L
.26292 .10594 L
.26395 .10676 L
.26536 .10787 L
.26588 .10828 L
.26778 .1098 L
.2678 .10982 L
.26973 .11137 L
.27017 .11172 L
.27166 .11294 L
.27254 .11365 L
.27359 .11451 L
.27489 .11558 L
.27551 .1161 L
.27722 .1175 L
.27744 .11769 L
.27937 .1193 L
.27953 .11943 L
.28129 .12091 L
.28182 .12136 L
.28322 .12254 L
.2841 .12329 L
.28515 .12418 L
.28636 .12521 L
.28707 .12582 L
.28861 .12714 L
.289 .12747 L
.29085 .12907 L
.29093 .12913 L
.29285 .13081 L
.29307 .13099 L
.29478 .13249 L
.29528 .13292 L
.29671 .13418 L
.29747 .13485 L
.29864 .13587 L
.29966 .13677 L
.30056 .13757 L
.30183 .1387 L
.30249 .13929 L
.304 .14063 L
.30442 .141 L
.30615 .14255 L
.30634 .14273 L
.30827 .14446 L
.30829 .14448 L
.3102 .14621 L
.31042 .14641 L
.31212 .14796 L
.31254 .14834 L
.31405 .14971 L
.31465 .15026 L
.31598 .15148 L
.31675 .15219 L
.31791 .15325 L
.31885 .15412 L
.31983 .15503 L
.32093 .15604 L
.32176 .15681 L
.323 .15797 L
.32369 .15861 L
.32507 .1599 L
.32561 .16041 L
.32712 .16182 L
.32754 .16221 L
.32917 .16375 L
.32947 .16403 L
.33121 .16568 L
.33139 .16585 L
.33324 .1676 L
.33332 .16768 L
.33525 .16952 L
.33526 .16953 L
.33717 .17136 L
.33728 .17146 L
.3391 .17321 L
.33928 .17339 L
.34103 .17507 L
.34128 .17531 L
.34296 .17694 L
.34326 .17724 L
.34488 .17882 L
.34524 .17917 L
.34681 .1807 L
.34721 .18109 L
.34874 .18259 L
.34918 .18302 L
.35066 .18449 L
.35113 .18495 L
.35259 .18639 L
.35308 .18687 L
.35452 .18831 L
.35501 .1888 L
.35644 .19023 L
.35694 .19073 L
.35837 .19216 L
.35886 .19265 L
.3603 .1941 L
.36078 .19458 L
.36222 .19605 L
.36268 .19651 L
.36415 .198 L
.36457 .19844 L
.36608 .19997 L
.36646 .20036 L
.36801 .20195 L
.36834 .20229 L
.36993 .20393 L
.37021 .20422 L
.37186 .20593 L
.37207 .20614 L
.37379 .20793 L
.37392 .20807 L
.37571 .20995 L
.37576 .21 L
.37759 .21192 L
.37764 .21198 L
.37941 .21385 L
.37957 .21402 L
.38122 .21578 L
.38149 .21607 L
.38301 .2177 L
.38342 .21814 L
.3848 .21963 L
.38535 .22022 L
.38658 .22156 L
.38727 .22231 L
.38835 .22349 L
.3892 .22442 L
.3901 .22541 L
.39113 .22654 L
.39185 .22734 L
.39306 .22868 L
.39358 .22927 L
.39498 .23084 L
.39529 .23119 L
.39691 .23302 L
.397 .23312 L
.39869 .23505 L
.39884 .23522 L
.40036 .23697 L
.40076 .23744 L
.40202 .2389 L
.40269 .23968 L
.40366 .24083 L
.40462 .24196 L
.40529 .24275 L
.40654 .24426 L
.40689 .24468 L
.40847 .2466 L
.40848 .24661 L
.41004 .24854 L
.4104 .24898 L
.41158 .25046 L
.41232 .2514 L
.41309 .25239 L
.41425 .25388 L
.41458 .25432 L
.41604 .25624 L
.41618 .25643 L
.41746 .25817 L
.41811 .25906 L
.41884 .2601 L
.42003 .26182 L
.42017 .26202 L
.42145 .26395 L
.42196 .26473 L
.42267 .26588 L
.4238 .2678 L
.42389 .26793 L
.42483 .26973 L
.4257 .27166 L
.42581 .27195 L
.42636 .27359 L
.42659 .27551 L
.42581 .27687 L
.42389 .27729 L
.42196 .2769 L
.42003 .27622 L
.41832 .27551 L
.41811 .27537 L
.41618 .27441 L
.41464 .27359 L
.41425 .27336 L
.41232 .27224 L
.41135 .27166 L
.4104 .27107 L
.40847 .26985 L
.40829 .26973 L
.40654 .26859 L
.40537 .2678 L
.40462 .26729 L
.40269 .26597 L
.40256 .26588 L
.40076 .26462 L
.39982 .26395 L
.39884 .26324 L
.39716 .26202 L
.39691 .26184 L
.39498 .26042 L
.39455 .2601 L
.39306 .25898 L
.39198 .25817 L
.39113 .25752 L
.38945 .25624 L
.3892 .25605 L
.38727 .25456 L
.38696 .25432 L
.38535 .25306 L
.3845 .25239 L
.38342 .25154 L
.38206 .25046 L
.38149 .25001 L
.37964 .24854 L
.37957 .24847 L
.37764 .24692 L
.37725 .24661 L
.37571 .24536 L
.37488 .24468 L
.37379 .24379 L
.37252 .24275 L
.37186 .24221 L
.37018 .24083 L
.36993 .24062 L
.36801 .23903 L
.36786 .2389 L
.36608 .23742 L
.36555 .23697 L
.36415 .2358 L
.36326 .23505 L
.36222 .23417 L
.36098 .23312 L
.3603 .23254 L
.35872 .23119 L
.35837 .23089 L
.35648 .22927 L
.35644 .22924 L
.35452 .22756 L
.35426 .22734 L
.35259 .22588 L
.35205 .22541 L
.35066 .22418 L
.34987 .22349 L
.34874 .22247 L
.34771 .22156 L
.34681 .22075 L
.34556 .21963 L
.34488 .21901 L
.34344 .2177 L
.34296 .21726 L
.34133 .21578 L
.34103 .2155 L
.33924 .21385 L
.3391 .21373 L
.33717 .21194 L
.33716 .21192 L
.33525 .21014 L
.33509 .21 L
.33332 .20833 L
.33303 .20807 L
.33139 .20652 L
.33098 .20614 L
.32947 .20471 L
.32894 .20422 L
.32754 .2029 L
.32689 .20229 L
.32561 .20108 L
.32485 .20036 L
.32369 .19926 L
.3228 .19844 L
.32176 .19745 L
.32076 .19651 L
.31983 .19564 L
.31871 .19458 L
.31791 .19382 L
.31666 .19265 L
.31598 .19202 L
.3146 .19073 L
.31405 .19021 L
.31254 .1888 L
.31212 .18841 L
.31048 .18687 L
.3102 .18661 L
.30842 .18495 L
.30827 .18481 L
.30635 .18302 L
.30634 .18301 L
.30442 .18121 L
.30429 .18109 L
.30249 .17941 L
.30223 .17917 L
.30056 .1776 L
.30018 .17724 L
.29864 .17579 L
.29815 .17531 L
.29671 .17396 L
.29612 .17339 L
.29478 .17211 L
.29412 .17146 L
.29285 .17024 L
.29214 .16953 L
.29093 .16835 L
.29019 .1676 L
.289 .16643 L
.28826 .16568 L
.28707 .16449 L
.28636 .16375 L
.28515 .16251 L
.28449 .16182 L
.28322 .1605 L
.28263 .1599 L
.28129 .15848 L
.2808 .15797 L
.27937 .15644 L
.27899 .15604 L
.27744 .15438 L
.27718 .15412 L
.27551 .15231 L
.27539 .15219 L
.27361 .15026 L
.27359 .15024 L
.27183 .14834 L
.27166 .14815 L
.27005 .14641 L
.26973 .14606 L
.26828 .14448 L
.2678 .14396 L
.26651 .14255 L
.26588 .14187 L
.26474 .14063 L
.26395 .13977 L
.26297 .1387 L
.26202 .13767 L
.26121 .13677 L
.2601 .13556 L
.25944 .13485 L
.25817 .13345 L
.25769 .13292 L
.25624 .13133 L
.25594 .13099 L
.25432 .1292 L
.2542 .12907 L
.25247 .12714 L
.25239 .12705 L
.25075 .12521 L
.25046 .12489 L
.24905 .12329 L
.24854 .1227 L
.24736 .12136 L
.24661 .1205 L
.24569 .11943 L
.24468 .11826 L
.24404 .1175 L
.24275 .116 L
.2424 .11558 L
.24083 .11369 L
.24079 .11365 L
.23921 .11172 L
.2389 .11135 L
.23765 .1098 L
.23697 .10896 L
.23611 .10787 L
.23505 .10652 L
.2346 .10594 L
.23313 .10402 L
.23312 .10401 L
.23168 .10209 L
.23119 .10142 L
.23028 .10016 L
.22927 .09874 L
.22892 .09823 L
.2276 .09631 L
.22734 .09592 L
.22635 .09438 L
.22541 .09289 L
.22516 .09245 L
.22406 .09053 L
.22349 .08951 L
.22308 .0886 L
.22226 .08667 L
.22172 .08475 L
.22184 .08282 L
F
1 .91 0 r
.22927 .1501 m
.23119 .14991 L
.23312 .14982 L
.23505 .14979 L
.23697 .14982 L
.2389 .1499 L
.24083 .15005 L
.24275 .15025 L
.24289 .15026 L
.24468 .15052 L
.24661 .15087 L
.24854 .15129 L
.25046 .1518 L
.25175 .15219 L
.25239 .1524 L
.25432 .15312 L
.25624 .15392 L
.25668 .15412 L
.25817 .15484 L
.2601 .15586 L
.26044 .15604 L
.26202 .15699 L
.26359 .15797 L
.26395 .15821 L
.26588 .15955 L
.26635 .1599 L
.2678 .16101 L
.26882 .16182 L
.26973 .16259 L
.27105 .16375 L
.27166 .16431 L
.27305 .16568 L
.27359 .16623 L
.27482 .1676 L
.27551 .16842 L
.27635 .16953 L
.27744 .1712 L
.27757 .17146 L
.27836 .17339 L
.27847 .17531 L
.27744 .177 L
.27714 .17724 L
.27551 .17817 L
.27359 .17865 L
.27166 .17893 L
.26973 .1791 L
.26876 .17917 L
.2678 .1792 L
.26588 .17925 L
.26395 .17924 L
.26202 .17918 L
.26162 .17917 L
.2601 .17907 L
.25817 .17891 L
.25624 .17868 L
.25432 .17839 L
.25239 .17802 L
.25046 .17757 L
.24921 .17724 L
.24854 .17703 L
.24661 .17638 L
.24468 .17562 L
.24394 .17531 L
.24275 .17476 L
.24083 .17378 L
.2401 .17339 L
.2389 .17268 L
.23697 .17148 L
.23694 .17146 L
.23505 .17014 L
.23421 .16953 L
.23312 .16869 L
.23179 .1676 L
.23119 .1671 L
.22961 .16568 L
.22927 .16535 L
.22766 .16375 L
.22734 .16341 L
.22594 .16182 L
.22541 .16118 L
.22447 .1599 L
.22349 .15838 L
.22328 .15797 L
.22249 .15604 L
.22229 .15412 L
.22327 .15219 L
.22349 .15195 L
.22541 .15085 L
.22734 .1504 L
.22819 .15026 L
F
1 .9 0 r
.23119 .15021 m
.23312 .15009 L
.23505 .15004 L
.23697 .15007 L
.2389 .15015 L
.24044 .15026 L
.24083 .1503 L
.24275 .15052 L
.24468 .1508 L
.24661 .15117 L
.24854 .15161 L
.25046 .15214 L
.25064 .15219 L
.25239 .15278 L
.25432 .15351 L
.25576 .15412 L
.25624 .15434 L
.25817 .15529 L
.2596 .15604 L
.2601 .15632 L
.26202 .15748 L
.2628 .15797 L
.26395 .15874 L
.26559 .1599 L
.26588 .16011 L
.2678 .16161 L
.26807 .16182 L
.26973 .16324 L
.2703 .16375 L
.27166 .16503 L
.2723 .16568 L
.27359 .16704 L
.27407 .1676 L
.27551 .16943 L
.27559 .16953 L
.27677 .17146 L
.27744 .17306 L
.27753 .17339 L
.27755 .17531 L
.27744 .17563 L
.276 .17724 L
.27551 .17755 L
.27359 .17828 L
.27166 .17863 L
.26973 .17885 L
.2678 .17897 L
.26588 .17902 L
.26395 .17902 L
.26202 .17896 L
.2601 .17885 L
.25817 .17867 L
.25624 .17843 L
.25432 .17812 L
.25239 .17773 L
.25046 .17727 L
.25035 .17724 L
.24854 .17669 L
.24661 .17601 L
.24485 .17531 L
.24468 .17524 L
.24275 .17433 L
.24093 .17339 L
.24083 .17333 L
.2389 .17219 L
.23773 .17146 L
.23697 .17095 L
.23505 .16959 L
.23497 .16953 L
.23312 .16808 L
.23254 .1676 L
.23119 .16644 L
.23036 .16568 L
.22927 .16462 L
.22842 .16375 L
.22734 .16258 L
.2267 .16182 L
.22541 .16016 L
.22523 .1599 L
.22407 .15797 L
.22349 .1566 L
.22332 .15604 L
.22321 .15412 L
.22349 .15331 L
.22439 .15219 L
.22541 .15145 L
.22734 .15078 L
.22927 .15043 L
.23067 .15026 L
F
1 .89 0 r
.22734 .15123 m
.22927 .15077 L
.23119 .15051 L
.23312 .15036 L
.23505 .1503 L
.23697 .15032 L
.2389 .1504 L
.24083 .15056 L
.24275 .15078 L
.24468 .15108 L
.24661 .15146 L
.24854 .15192 L
.24954 .15219 L
.25046 .15247 L
.25239 .15313 L
.25432 .15388 L
.25489 .15412 L
.25624 .15474 L
.25817 .1557 L
.25882 .15604 L
.2601 .15677 L
.26202 .15794 L
.26206 .15797 L
.26395 .15924 L
.26487 .1599 L
.26588 .16065 L
.26738 .16182 L
.2678 .16218 L
.26962 .16375 L
.26973 .16385 L
.27162 .16568 L
.27166 .16572 L
.27338 .1676 L
.27359 .16784 L
.27487 .16953 L
.27551 .17041 L
.27604 .17146 L
.27674 .17339 L
.27668 .17531 L
.27551 .17683 L
.27488 .17724 L
.27359 .17784 L
.27166 .17832 L
.26973 .17858 L
.2678 .17873 L
.26588 .1788 L
.26395 .1788 L
.26202 .17874 L
.2601 .17862 L
.25817 .17844 L
.25624 .17819 L
.25432 .17786 L
.25239 .17746 L
.25148 .17724 L
.25046 .17696 L
.24854 .17636 L
.24661 .17566 L
.24573 .17531 L
.24468 .17485 L
.24275 .17392 L
.24171 .17339 L
.24083 .17289 L
.2389 .17173 L
.23847 .17146 L
.23697 .17045 L
.23568 .16953 L
.23505 .16905 L
.23323 .1676 L
.23312 .16751 L
.23119 .16582 L
.23104 .16568 L
.22927 .16393 L
.2291 .16375 L
.22739 .16182 L
.22734 .16176 L
.22594 .1599 L
.22541 .15915 L
.22481 .15797 L
.22411 .15604 L
.22409 .15412 L
.22541 .15224 L
.22549 .15219 L
F
1 .88 0 r
.22734 .15176 m
.22927 .15113 L
.23119 .15081 L
.23312 .15063 L
.23505 .15056 L
.23697 .15057 L
.2389 .15065 L
.24083 .15081 L
.24275 .15104 L
.24468 .15135 L
.24661 .15174 L
.24845 .15219 L
.24854 .15221 L
.25046 .15279 L
.25239 .15346 L
.25405 .15412 L
.25432 .15423 L
.25624 .15512 L
.25808 .15604 L
.25817 .15609 L
.2601 .1572 L
.26137 .15797 L
.26202 .15839 L
.26395 .15971 L
.26421 .1599 L
.26588 .16115 L
.26672 .16182 L
.2678 .16272 L
.26897 .16375 L
.26973 .16445 L
.27098 .16568 L
.27166 .16639 L
.27273 .1676 L
.27359 .16865 L
.27421 .16953 L
.27535 .17146 L
.27551 .1718 L
.27601 .17339 L
.27584 .17531 L
.27551 .17589 L
.27375 .17724 L
.27359 .17732 L
.27166 .17797 L
.26973 .1783 L
.2678 .17848 L
.26588 .17857 L
.26395 .17858 L
.26202 .17852 L
.2601 .1784 L
.25817 .17821 L
.25624 .17794 L
.25432 .17761 L
.2526 .17724 L
.25239 .17719 L
.25046 .17667 L
.24854 .17605 L
.24661 .17533 L
.24656 .17531 L
.24468 .17449 L
.24275 .17354 L
.24245 .17339 L
.24083 .17247 L
.23915 .17146 L
.2389 .1713 L
.23697 .16998 L
.23635 .16953 L
.23505 .16854 L
.23388 .1676 L
.23312 .16696 L
.23169 .16568 L
.23119 .16521 L
.22974 .16375 L
.22927 .16325 L
.22804 .16182 L
.22734 .16095 L
.22661 .1599 L
.2255 .15797 L
.22541 .15777 L
.22485 .15604 L
.22493 .15412 L
.22541 .1532 L
.22657 .15219 L
F
1 .87 0 r
.22927 .15154 m
.23119 .15113 L
.23312 .15092 L
.23505 .15082 L
.23697 .15082 L
.2389 .1509 L
.24083 .15106 L
.24275 .1513 L
.24468 .15161 L
.24661 .15201 L
.24735 .15219 L
.24854 .15251 L
.25046 .1531 L
.25239 .15379 L
.25324 .15412 L
.25432 .15458 L
.25624 .15548 L
.25737 .15604 L
.25817 .15648 L
.2601 .1576 L
.26071 .15797 L
.26202 .15882 L
.26358 .1599 L
.26395 .16016 L
.26588 .16163 L
.26612 .16182 L
.2678 .16325 L
.26837 .16375 L
.26973 .16503 L
.27037 .16568 L
.27166 .16706 L
.27212 .1676 L
.27359 .16952 L
.27359 .16953 L
.2747 .17146 L
.27531 .17339 L
.27504 .17531 L
.27359 .17677 L
.27261 .17724 L
.27166 .17758 L
.26973 .178 L
.2678 .17823 L
.26588 .17833 L
.26395 .17835 L
.26202 .1783 L
.2601 .17817 L
.25817 .17798 L
.25624 .17771 L
.25432 .17736 L
.25374 .17724 L
.25239 .17692 L
.25046 .17638 L
.24854 .17574 L
.24737 .17531 L
.24661 .175 L
.24468 .17414 L
.24315 .17339 L
.24275 .17317 L
.24083 .17208 L
.23981 .17146 L
.2389 .17087 L
.23697 .16954 L
.23697 .16953 L
.23505 .16806 L
.23449 .1676 L
.23312 .16643 L
.23229 .16568 L
.23119 .16462 L
.23035 .16375 L
.22927 .16256 L
.22865 .16182 L
.22734 .16006 L
.22724 .1599 L
.22616 .15797 L
.22556 .15604 L
.22574 .15412 L
.22734 .15238 L
.22768 .15219 L
F
1 .86 0 r
.22927 .152 m
.23119 .15148 L
.23312 .15121 L
.23505 .15109 L
.23697 .15107 L
.2389 .15115 L
.24083 .15131 L
.24275 .15155 L
.24468 .15187 L
.24622 .15219 L
.24661 .15228 L
.24854 .15279 L
.25046 .1534 L
.25239 .15409 L
.25245 .15412 L
.25432 .15491 L
.25624 .15582 L
.25668 .15604 L
.25817 .15685 L
.26008 .15797 L
.2601 .15798 L
.26202 .15923 L
.26298 .1599 L
.26395 .1606 L
.26554 .16182 L
.26588 .1621 L
.2678 .16375 L
.2678 .16375 L
.26973 .1656 L
.2698 .16568 L
.27155 .1676 L
.27166 .16773 L
.273 .16953 L
.27359 .17028 L
.27408 .17146 L
.27463 .17339 L
.27425 .17531 L
.27359 .17609 L
.27166 .1772 L
.27142 .17724 L
.26973 .17768 L
.2678 .17796 L
.26588 .17809 L
.26395 .17813 L
.26202 .17808 L
.2601 .17795 L
.25817 .17775 L
.25624 .17747 L
.25493 .17724 L
.25432 .17711 L
.25239 .17666 L
.25046 .1761 L
.24854 .17545 L
.24816 .17531 L
.24661 .17468 L
.24468 .17381 L
.24383 .17339 L
.24275 .17281 L
.24083 .1717 L
.24043 .17146 L
.2389 .17046 L
.23756 .16953 L
.23697 .1691 L
.23506 .1676 L
.23505 .16759 L
.23312 .16592 L
.23286 .16568 L
.23119 .16404 L
.23092 .16375 L
.22927 .16187 L
.22923 .16182 L
.22784 .1599 L
.22734 .15927 L
.22679 .15797 L
.22624 .15604 L
.22653 .15412 L
.22734 .15309 L
.22881 .15219 L
F
1 .85 0 r
.23119 .15184 m
.23312 .15151 L
.23505 .15136 L
.23697 .15133 L
.2389 .1514 L
.24083 .15155 L
.24275 .1518 L
.24468 .15213 L
.245 .15219 L
.24661 .15255 L
.24854 .15307 L
.25046 .15368 L
.25167 .15412 L
.25239 .1544 L
.25432 .15523 L
.25602 .15604 L
.25624 .15616 L
.25817 .1572 L
.25948 .15797 L
.2601 .15835 L
.26202 .15963 L
.26241 .1599 L
.26395 .16102 L
.26498 .16182 L
.26588 .16256 L
.26725 .16375 L
.2678 .16426 L
.26926 .16568 L
.26973 .16617 L
.27099 .1676 L
.27166 .16841 L
.27243 .16953 L
.27348 .17146 L
.27359 .17172 L
.27398 .17339 L
.27359 .17513 L
.27347 .17531 L
.27166 .17692 L
.27013 .17724 L
.26973 .17734 L
.2678 .17768 L
.26588 .17785 L
.26395 .1779 L
.26202 .17785 L
.2601 .17773 L
.25817 .17753 L
.25624 .17724 L
.25623 .17724 L
.25432 .17687 L
.25239 .1764 L
.25046 .17583 L
.24893 .17531 L
.24854 .17516 L
.24661 .17438 L
.24468 .17349 L
.24448 .17339 L
.24275 .17247 L
.24103 .17146 L
.24083 .17134 L
.2389 .17007 L
.23813 .16953 L
.23697 .16867 L
.23562 .1676 L
.23505 .16713 L
.23341 .16568 L
.23312 .16541 L
.23146 .16375 L
.23119 .16347 L
.22979 .16182 L
.22927 .16118 L
.22841 .1599 L
.22739 .15797 L
.22734 .15784 L
.2269 .15604 L
.22731 .15412 L
.22734 .15407 L
.22927 .15236 L
.23002 .15219 L
F
1 .84 0 r
.23312 .15183 m
.23505 .15164 L
.23697 .15159 L
.2389 .15165 L
.24083 .1518 L
.24275 .15204 L
.24367 .15219 L
.24468 .15238 L
.24661 .15281 L
.24854 .15334 L
.25046 .15397 L
.25089 .15412 L
.25239 .1547 L
.25432 .15554 L
.25538 .15604 L
.25624 .15648 L
.25817 .15755 L
.25889 .15797 L
.2601 .15872 L
.26186 .1599 L
.26202 .16001 L
.26395 .16144 L
.26445 .16182 L
.26588 .163 L
.26673 .16375 L
.2678 .16475 L
.26873 .16568 L
.26973 .16674 L
.27046 .1676 L
.27166 .16917 L
.27188 .16953 L
.2729 .17146 L
.27334 .17339 L
.2727 .17531 L
.27166 .17644 L
.26973 .17705 L
.26867 .17724 L
.2678 .17739 L
.26588 .17759 L
.26395 .17766 L
.26202 .17763 L
.2601 .17751 L
.25817 .1773 L
.25769 .17724 L
.25624 .17701 L
.25432 .17663 L
.25239 .17615 L
.25046 .17557 L
.2497 .17531 L
.24854 .17488 L
.24661 .17408 L
.24512 .17339 L
.24468 .17317 L
.24275 .17213 L
.24161 .17146 L
.24083 .17097 L
.2389 .16969 L
.23868 .16953 L
.23697 .16826 L
.23615 .1676 L
.23505 .16668 L
.23393 .16568 L
.23312 .16491 L
.23199 .16375 L
.23119 .16288 L
.23032 .16182 L
.22927 .1604 L
.22896 .1599 L
.22798 .15797 L
.22755 .15604 L
.22809 .15412 L
.22927 .1528 L
.23119 .15223 L
.23136 .15219 L
F
1 .94 0 r
.22927 .08759 m
.23119 .08777 L
.23312 .08833 L
.23409 .0886 L
.23505 .08909 L
.23697 .09002 L
.23799 .09053 L
.2389 .09104 L
.24083 .09214 L
.24137 .09245 L
.24275 .0933 L
.24449 .09438 L
.24468 .09451 L
.24661 .09576 L
.24743 .09631 L
.24854 .09705 L
.25026 .09823 L
.25046 .09838 L
.25239 .09973 L
.25299 .10016 L
.25432 .10111 L
.25566 .10209 L
.25624 .10252 L
.25817 .10394 L
.25827 .10402 L
.2601 .10539 L
.26083 .10594 L
.26202 .10685 L
.26335 .10787 L
.26395 .10833 L
.26584 .1098 L
.26588 .10983 L
.2678 .11134 L
.26829 .11172 L
.26973 .11287 L
.27071 .11365 L
.27166 .11441 L
.27311 .11558 L
.27359 .11597 L
.27548 .1175 L
.27551 .11753 L
.27744 .11911 L
.27783 .11943 L
.27937 .1207 L
.28016 .12136 L
.28129 .1223 L
.28247 .12329 L
.28322 .12392 L
.28476 .12521 L
.28515 .12554 L
.28704 .12714 L
.28707 .12717 L
.289 .12881 L
.2893 .12907 L
.29093 .13047 L
.29154 .13099 L
.29285 .13213 L
.29377 .13292 L
.29478 .1338 L
.29599 .13485 L
.29671 .13548 L
.29819 .13677 L
.29864 .13717 L
.30038 .1387 L
.30056 .13886 L
.30249 .14057 L
.30256 .14063 L
.30442 .14228 L
.30472 .14255 L
.30634 .14401 L
.30688 .14448 L
.30827 .14574 L
.30902 .14641 L
.3102 .14747 L
.31115 .14834 L
.31212 .14922 L
.31327 .15026 L
.31405 .15097 L
.31538 .15219 L
.31598 .15273 L
.31748 .15412 L
.31791 .1545 L
.31958 .15604 L
.31983 .15628 L
.32166 .15797 L
.32176 .15806 L
.32369 .15986 L
.32373 .1599 L
.32561 .16166 L
.32579 .16182 L
.32754 .16347 L
.32784 .16375 L
.32947 .16529 L
.32988 .16568 L
.33139 .16711 L
.33192 .1676 L
.33332 .16894 L
.33394 .16953 L
.33525 .17078 L
.33596 .17146 L
.33717 .17263 L
.33796 .17339 L
.3391 .17448 L
.33996 .17531 L
.34103 .17635 L
.34195 .17724 L
.34296 .17822 L
.34393 .17917 L
.34488 .1801 L
.3459 .18109 L
.34681 .18199 L
.34786 .18302 L
.34874 .18388 L
.34981 .18495 L
.35066 .18579 L
.35176 .18687 L
.35259 .1877 L
.35369 .1888 L
.35452 .18962 L
.35562 .19073 L
.35644 .19155 L
.35754 .19265 L
.35837 .19349 L
.35945 .19458 L
.3603 .19544 L
.36134 .19651 L
.36222 .1974 L
.36323 .19844 L
.36415 .19937 L
.36511 .20036 L
.36608 .20135 L
.36698 .20229 L
.36801 .20334 L
.36884 .20422 L
.36993 .20535 L
.3707 .20614 L
.37186 .20736 L
.37254 .20807 L
.37379 .20938 L
.37437 .21 L
.37571 .21142 L
.37619 .21192 L
.37764 .21347 L
.378 .21385 L
.37957 .21553 L
.37979 .21578 L
.38149 .21761 L
.38158 .2177 L
.38336 .21963 L
.38342 .2197 L
.38512 .22156 L
.38535 .22181 L
.38687 .22349 L
.38727 .22394 L
.3886 .22541 L
.3892 .22608 L
.39032 .22734 L
.39113 .22824 L
.39203 .22927 L
.39306 .23043 L
.39373 .23119 L
.39498 .23263 L
.3954 .23312 L
.39691 .23486 L
.39707 .23505 L
.39871 .23697 L
.39884 .23712 L
.40033 .2389 L
.40076 .23941 L
.40194 .24083 L
.40269 .24174 L
.40352 .24275 L
.40462 .2441 L
.40508 .24468 L
.40654 .24652 L
.40662 .24661 L
.40812 .24854 L
.40847 .24899 L
.4096 .25046 L
.4104 .25152 L
.41104 .25239 L
.41232 .25416 L
.41244 .25432 L
.41379 .25624 L
.41425 .2569 L
.41509 .25817 L
.41618 .25985 L
.41633 .2601 L
.41749 .26202 L
.41811 .26308 L
.41853 .26395 L
.41944 .26588 L
.42003 .26762 L
.42008 .2678 L
.42027 .26973 L
.42003 .27041 L
.41811 .27139 L
.41618 .27101 L
.41425 .27033 L
.41269 .26973 L
.41232 .26949 L
.4104 .26852 L
.40905 .2678 L
.40847 .26746 L
.40654 .26633 L
.40578 .26588 L
.40462 .26515 L
.40274 .26395 L
.40269 .26392 L
.40076 .26265 L
.39984 .26202 L
.39884 .26134 L
.39705 .2601 L
.39691 .26 L
.39498 .25863 L
.39433 .25817 L
.39306 .25724 L
.39169 .25624 L
.39113 .25583 L
.3892 .2544 L
.3891 .25432 L
.38727 .25294 L
.38655 .25239 L
.38535 .25147 L
.38404 .25046 L
.38342 .24998 L
.38156 .24854 L
.38149 .24848 L
.37957 .24696 L
.37912 .24661 L
.37764 .24543 L
.3767 .24468 L
.37571 .24389 L
.3743 .24275 L
.37379 .24234 L
.37193 .24083 L
.37186 .24077 L
.36993 .23919 L
.36957 .2389 L
.36801 .23761 L
.36724 .23697 L
.36608 .23601 L
.36493 .23505 L
.36415 .2344 L
.36263 .23312 L
.36222 .23278 L
.36035 .23119 L
.3603 .23115 L
.35837 .22951 L
.35809 .22927 L
.35644 .22785 L
.35585 .22734 L
.35452 .22619 L
.35362 .22541 L
.35259 .22451 L
.35141 .22349 L
.35066 .22282 L
.34922 .22156 L
.34874 .22112 L
.34705 .21963 L
.34681 .21941 L
.3449 .2177 L
.34488 .21769 L
.34296 .21595 L
.34276 .21578 L
.34103 .2142 L
.34064 .21385 L
.3391 .21244 L
.33853 .21192 L
.33717 .21068 L
.33643 .21 L
.33525 .2089 L
.33435 .20807 L
.33332 .20712 L
.33227 .20614 L
.33139 .20533 L
.3302 .20422 L
.32947 .20353 L
.32813 .20229 L
.32754 .20173 L
.32607 .20036 L
.32561 .19993 L
.32402 .19844 L
.32369 .19812 L
.32196 .19651 L
.32176 .19632 L
.31991 .19458 L
.31983 .19451 L
.31791 .19269 L
.31786 .19265 L
.31598 .19088 L
.31581 .19073 L
.31405 .18907 L
.31377 .1888 L
.31212 .18726 L
.31172 .18687 L
.3102 .18544 L
.30968 .18495 L
.30827 .18362 L
.30764 .18302 L
.30634 .18179 L
.30561 .18109 L
.30442 .17997 L
.30358 .17917 L
.30249 .17813 L
.30157 .17724 L
.30056 .17628 L
.29956 .17531 L
.29864 .17442 L
.29757 .17339 L
.29671 .17255 L
.29559 .17146 L
.29478 .17067 L
.29364 .16953 L
.29285 .16876 L
.2917 .1676 L
.29093 .16684 L
.28978 .16568 L
.289 .16489 L
.28788 .16375 L
.28707 .16293 L
.286 .16182 L
.28515 .16095 L
.28414 .1599 L
.28322 .15894 L
.28229 .15797 L
.28129 .15692 L
.28046 .15604 L
.27937 .15489 L
.27864 .15412 L
.27744 .15284 L
.27683 .15219 L
.27551 .15078 L
.27502 .15026 L
.27359 .14871 L
.27323 .14834 L
.27166 .14664 L
.27144 .14641 L
.26973 .14455 L
.26966 .14448 L
.26789 .14255 L
.2678 .14246 L
.26612 .14063 L
.26588 .14036 L
.26436 .1387 L
.26395 .13825 L
.26261 .13677 L
.26202 .13613 L
.26087 .13485 L
.2601 .13399 L
.25913 .13292 L
.25817 .13185 L
.25741 .13099 L
.25624 .12969 L
.25569 .12907 L
.25432 .1275 L
.254 .12714 L
.25239 .1253 L
.25231 .12521 L
.25065 .12329 L
.25046 .12307 L
.249 .12136 L
.24854 .12082 L
.24737 .11943 L
.24661 .11852 L
.24576 .1175 L
.24468 .11619 L
.24418 .11558 L
.24275 .11382 L
.24262 .11365 L
.24109 .11172 L
.24083 .11139 L
.23959 .1098 L
.2389 .1089 L
.23813 .10787 L
.23697 .10632 L
.2367 .10594 L
.23531 .10402 L
.23505 .10364 L
.23398 .10209 L
.23312 .10082 L
.2327 .10016 L
.23149 .09823 L
.23119 .09778 L
.23037 .09631 L
.22937 .09438 L
.22927 .09417 L
.22853 .09245 L
.22796 .09053 L
.22817 .0886 L
F
1 .83 0 r
.23312 .15216 m
.23505 .15192 L
.23697 .15185 L
.2389 .1519 L
.24083 .15204 L
.24212 .15219 L
.24275 .15229 L
.24468 .15263 L
.24661 .15307 L
.24854 .15361 L
.25011 .15412 L
.25046 .15424 L
.25239 .15499 L
.25432 .15584 L
.25475 .15604 L
.25624 .1568 L
.25817 .15788 L
.25833 .15797 L
.2601 .15907 L
.26133 .1599 L
.26202 .16039 L
.26393 .16182 L
.26395 .16184 L
.26588 .16344 L
.26622 .16375 L
.2678 .16524 L
.26823 .16568 L
.26973 .16733 L
.26995 .1676 L
.27135 .16953 L
.27166 .17004 L
.27234 .17146 L
.27272 .17339 L
.27193 .17531 L
.27166 .17566 L
.26973 .17672 L
.2678 .17711 L
.26688 .17724 L
.26588 .17733 L
.26395 .17742 L
.26202 .1774 L
.2601 .17728 L
.25953 .17724 L
.25817 .17708 L
.25624 .17678 L
.25432 .17639 L
.25239 .1759 L
.25048 .17531 L
.25046 .17531 L
.24854 .1746 L
.24661 .17379 L
.24574 .17339 L
.24468 .17286 L
.24275 .1718 L
.24217 .17146 L
.24083 .17062 L
.23921 .16953 L
.2389 .16931 L
.23697 .16786 L
.23666 .1676 L
.23505 .16623 L
.23444 .16568 L
.23312 .16441 L
.23249 .16375 L
.23119 .16228 L
.23084 .16182 L
.22949 .1599 L
.22927 .15951 L
.22855 .15797 L
.22818 .15604 L
.22887 .15412 L
.22927 .15357 L
.23119 .15256 L
.23297 .15219 L
F
1 .82 0 r
.23697 .15212 m
.2389 .15215 L
.23962 .15219 L
.24083 .15229 L
.24275 .15253 L
.24468 .15288 L
.24661 .15332 L
.24854 .15387 L
.24932 .15412 L
.25046 .15452 L
.25239 .15527 L
.25412 .15604 L
.25432 .15614 L
.25624 .15712 L
.25777 .15797 L
.25817 .15821 L
.2601 .15942 L
.26081 .1599 L
.26202 .16076 L
.26343 .16182 L
.26395 .16223 L
.26573 .16375 L
.26588 .16388 L
.26774 .16568 L
.2678 .16574 L
.26946 .1676 L
.26973 .16791 L
.27084 .16953 L
.27166 .1711 L
.27179 .17146 L
.2721 .17339 L
.27166 .1747 L
.27115 .17531 L
.26973 .17631 L
.2678 .17683 L
.26588 .17707 L
.26395 .17718 L
.26202 .17717 L
.2601 .17706 L
.25817 .17685 L
.25624 .17655 L
.25432 .17615 L
.25239 .17565 L
.25126 .17531 L
.25046 .17505 L
.24854 .17433 L
.24661 .1735 L
.24635 .17339 L
.24468 .17255 L
.24275 .17148 L
.24271 .17146 L
.24083 .17028 L
.23972 .16953 L
.2389 .16894 L
.23716 .1676 L
.23697 .16746 L
.23505 .16579 L
.23492 .16568 L
.23312 .1639 L
.23298 .16375 L
.23133 .16182 L
.23119 .16167 L
.23001 .1599 L
.22927 .15842 L
.2291 .15797 L
.2288 .15604 L
.22927 .15461 L
.22966 .15412 L
.23119 .15298 L
.23312 .15247 L
.23505 .15222 L
.23541 .15219 L
F
1 .81 0 r
.23119 .15352 m
.23312 .15281 L
.23505 .1525 L
.23697 .15238 L
.2389 .1524 L
.24083 .15253 L
.24275 .15278 L
.24468 .15313 L
.24661 .15357 L
.24851 .15412 L
.24854 .15412 L
.25046 .15478 L
.25239 .15555 L
.2535 .15604 L
.25432 .15643 L
.25624 .15742 L
.25723 .15797 L
.25817 .15853 L
.2601 .15976 L
.2603 .1599 L
.26202 .16112 L
.26295 .16182 L
.26395 .16263 L
.26526 .16375 L
.26588 .16431 L
.26727 .16568 L
.2678 .16623 L
.26897 .1676 L
.26973 .16854 L
.27034 .16953 L
.27126 .17146 L
.27149 .17339 L
.27035 .17531 L
.26973 .17579 L
.2678 .17651 L
.26588 .17681 L
.26395 .17694 L
.26202 .17695 L
.2601 .17684 L
.25817 .17663 L
.25624 .17632 L
.25432 .17592 L
.25239 .17541 L
.25206 .17531 L
.25046 .17479 L
.24854 .17406 L
.24696 .17339 L
.24661 .17322 L
.24468 .17225 L
.24325 .17146 L
.24275 .17117 L
.24083 .16994 L
.24022 .16953 L
.2389 .16858 L
.23764 .1676 L
.23697 .16706 L
.2354 .16568 L
.23505 .16535 L
.23346 .16375 L
.23312 .16339 L
.23182 .16182 L
.23119 .16104 L
.23052 .1599 L
.22964 .15797 L
.22942 .15604 L
.23047 .15412 L
F
1 .8 0 r
.23312 .15319 m
.23505 .1528 L
.23697 .15265 L
.2389 .15265 L
.24083 .15278 L
.24275 .15302 L
.24468 .15337 L
.24661 .15382 L
.24767 .15412 L
.24854 .15438 L
.25046 .15505 L
.25239 .15583 L
.25289 .15604 L
.25432 .15672 L
.25624 .15772 L
.25669 .15797 L
.25817 .15884 L
.25981 .1599 L
.2601 .16009 L
.26202 .16148 L
.26248 .16182 L
.26395 .16302 L
.26479 .16375 L
.26588 .16475 L
.2668 .16568 L
.2678 .16675 L
.2685 .1676 L
.26973 .16931 L
.26985 .16953 L
.27073 .17146 L
.27089 .17339 L
.26973 .17516 L
.26952 .17531 L
.2678 .17615 L
.26588 .17654 L
.26395 .1767 L
.26202 .17671 L
.2601 .17661 L
.25817 .17641 L
.25624 .1761 L
.25432 .17568 L
.25288 .17531 L
.25239 .17517 L
.25046 .17454 L
.24854 .1738 L
.24757 .17339 L
.24661 .17294 L
.24468 .17196 L
.24378 .17146 L
.24275 .17085 L
.24083 .16961 L
.24071 .16953 L
.2389 .16822 L
.23811 .1676 L
.23697 .16667 L
.23586 .16568 L
.23505 .16491 L
.23392 .16375 L
.23312 .16287 L
.23229 .16182 L
.23119 .16025 L
.23101 .1599 L
.23018 .15797 L
.23004 .15604 L
.23119 .1542 L
.23131 .15412 L
F
1 .79 0 r
.23312 .15363 m
.23505 .15312 L
.23697 .15293 L
.2389 .15291 L
.24083 .15303 L
.24275 .15327 L
.24468 .15361 L
.24661 .15407 L
.24678 .15412 L
.24854 .15463 L
.25046 .15531 L
.25227 .15604 L
.25239 .1561 L
.25432 .157 L
.25616 .15797 L
.25624 .15801 L
.25817 .15916 L
.25932 .1599 L
.2601 .16042 L
.26201 .16182 L
.26202 .16183 L
.26395 .16341 L
.26434 .16375 L
.26588 .16519 L
.26635 .16568 L
.2678 .1673 L
.26804 .1676 L
.26937 .16953 L
.26973 .17022 L
.27021 .17146 L
.27028 .17339 L
.26973 .17444 L
.26865 .17531 L
.2678 .17574 L
.26588 .17624 L
.26395 .17644 L
.26202 .17648 L
.2601 .17639 L
.25817 .17618 L
.25624 .17587 L
.25432 .17545 L
.25375 .17531 L
.25239 .17493 L
.25046 .17429 L
.24854 .17354 L
.24817 .17339 L
.24661 .17267 L
.24468 .17167 L
.2443 .17146 L
.24275 .17055 L
.24119 .16953 L
.24083 .16928 L
.2389 .16787 L
.23857 .1676 L
.23697 .16628 L
.23631 .16568 L
.23505 .16446 L
.23437 .16375 L
.23312 .16231 L
.23276 .16182 L
.2315 .1599 L
.23119 .1593 L
.23071 .15797 L
.23066 .15604 L
.23119 .15498 L
.23219 .15412 L
F
1 .78 0 r
.23505 .15347 m
.23697 .15322 L
.2389 .15317 L
.24083 .15328 L
.24275 .15351 L
.24468 .15386 L
.24584 .15412 L
.24661 .15432 L
.24854 .15489 L
.25046 .15557 L
.25165 .15604 L
.25239 .15636 L
.25432 .15728 L
.25564 .15797 L
.25624 .15831 L
.25817 .15946 L
.25884 .1599 L
.2601 .16075 L
.26156 .16182 L
.26202 .16218 L
.2639 .16375 L
.26395 .1638 L
.26588 .16564 L
.26591 .16568 L
.26759 .1676 L
.2678 .16781 L
.2689 .16953 L
.2697 .17146 L
.26968 .17339 L
.2678 .17527 L
.26771 .17531 L
.26588 .17592 L
.26395 .17617 L
.26202 .17623 L
.2601 .17615 L
.25817 .17595 L
.25624 .17564 L
.25468 .17531 L
.25432 .17522 L
.25239 .17469 L
.25046 .17404 L
.24878 .17339 L
.24854 .17328 L
.24661 .1724 L
.24481 .17146 L
.24468 .17139 L
.24275 .17024 L
.24166 .16953 L
.24083 .16896 L
.23902 .1676 L
.2389 .16751 L
.23697 .16588 L
.23675 .16568 L
.23505 .164 L
.23482 .16375 L
.23321 .16182 L
.23312 .16174 L
.23198 .1599 L
.23123 .15797 L
.23128 .15604 L
.23312 .15413 L
.23315 .15412 L
F
1 .77 0 r
.23505 .15385 m
.23697 .15352 L
.2389 .15345 L
.24083 .15353 L
.24275 .15376 L
.24468 .1541 L
.24475 .15412 L
.24661 .15456 L
.24854 .15514 L
.25046 .15583 L
.25101 .15604 L
.25239 .15663 L
.25432 .15755 L
.25512 .15797 L
.25624 .1586 L
.25817 .15977 L
.25837 .1599 L
.2601 .16108 L
.26111 .16182 L
.26202 .16254 L
.26346 .16375 L
.26395 .16418 L
.26547 .16568 L
.26588 .16609 L
.26715 .1676 L
.2678 .16836 L
.26843 .16953 L
.26918 .17146 L
.26906 .17339 L
.2678 .17477 L
.26669 .17531 L
.26588 .17556 L
.26395 .17589 L
.26202 .17598 L
.2601 .17592 L
.25817 .17572 L
.25624 .17541 L
.25572 .17531 L
.25432 .17499 L
.25239 .17445 L
.25046 .1738 L
.24939 .17339 L
.24854 .17303 L
.24661 .17213 L
.24533 .17146 L
.24468 .1711 L
.24275 .16994 L
.24213 .16953 L
.24083 .16863 L
.23947 .1676 L
.2389 .16716 L
.23719 .16568 L
.23697 .16548 L
.23526 .16375 L
.23505 .16354 L
.23366 .16182 L
.23312 .16123 L
.23245 .1599 L
.23176 .15797 L
.23191 .15604 L
.23312 .15467 L
.23421 .15412 L
F
1 .76 0 r
.23697 .15384 m
.2389 .15372 L
.24083 .15379 L
.24275 .15401 L
.24351 .15412 L
.24468 .15435 L
.24661 .15481 L
.24854 .15539 L
.25037 .15604 L
.25046 .15608 L
.25239 .15689 L
.25432 .15783 L
.25459 .15797 L
.25624 .15888 L
.2579 .1599 L
.25817 .16007 L
.2601 .1614 L
.26067 .16182 L
.26202 .16289 L
.26303 .16375 L
.26395 .16458 L
.26504 .16568 L
.26588 .16656 L
.26671 .1676 L
.2678 .16917 L
.26797 .16953 L
.26867 .17146 L
.26843 .17339 L
.2678 .17417 L
.26588 .17526 L
.26552 .17531 L
.26395 .1756 L
.26202 .17572 L
.2601 .17568 L
.25817 .17549 L
.25688 .17531 L
.25624 .17518 L
.25432 .17476 L
.25239 .17422 L
.25046 .17355 L
.25002 .17339 L
.24854 .17277 L
.24661 .17186 L
.24584 .17146 L
.24468 .17082 L
.24275 .16964 L
.24259 .16953 L
.24083 .1683 L
.2399 .1676 L
.2389 .1668 L
.23762 .16568 L
.23697 .16508 L
.23569 .16375 L
.23505 .16306 L
.2341 .16182 L
.23312 .1604 L
.23292 .1599 L
.23228 .15797 L
.23256 .15604 L
.23312 .15532 L
.23505 .1542 L
.2354 .15412 L
F
1 .75 0 r
.2389 .15401 m
.24083 .15406 L
.24155 .15412 L
.24275 .15426 L
.24468 .15459 L
.24661 .15505 L
.24854 .15564 L
.2497 .15604 L
.25046 .15633 L
.25239 .15716 L
.25407 .15797 L
.25432 .1581 L
.25624 .15917 L
.25743 .1599 L
.25817 .16037 L
.2601 .16173 L
.26023 .16182 L
.26202 .16325 L
.2626 .16375 L
.26395 .16499 L
.26462 .16568 L
.26588 .16707 L
.26627 .1676 L
.26751 .16953 L
.2678 .17019 L
.26816 .17146 L
.2678 .17336 L
.26779 .17339 L
.26588 .17501 L
.26395 .17529 L
.26375 .17531 L
.26202 .17546 L
.2601 .17543 L
.25866 .17531 L
.25817 .17526 L
.25624 .17496 L
.25432 .17453 L
.25239 .17398 L
.25067 .17339 L
.25046 .17331 L
.24854 .17252 L
.24661 .17159 L
.24635 .17146 L
.24468 .17054 L
.24305 .16953 L
.24275 .16934 L
.24083 .16798 L
.24034 .1676 L
.2389 .16644 L
.23805 .16568 L
.23697 .16467 L
.23611 .16375 L
.23505 .16254 L
.23454 .16182 L
.23339 .1599 L
.23312 .15926 L
.23281 .15797 L
.23312 .15622 L
.23323 .15604 L
.23505 .1545 L
.23697 .15417 L
.23743 .15412 L
F
1 .74 0 r
.23505 .15495 m
.23697 .15446 L
.2389 .15429 L
.24083 .15432 L
.24275 .1545 L
.24468 .15484 L
.24661 .1553 L
.24854 .15588 L
.249 .15604 L
.25046 .15659 L
.25239 .15742 L
.25354 .15797 L
.25432 .15837 L
.25624 .15945 L
.25697 .1599 L
.25817 .16067 L
.25979 .16182 L
.2601 .16205 L
.26202 .16361 L
.26218 .16375 L
.26395 .16542 L
.2642 .16568 L
.26584 .1676 L
.26588 .16765 L
.26705 .16953 L
.26764 .17146 L
.26713 .17339 L
.26588 .17461 L
.26395 .17503 L
.26202 .17519 L
.2601 .17519 L
.25817 .17503 L
.25624 .17472 L
.25432 .17429 L
.25239 .17374 L
.25133 .17339 L
.25046 .17307 L
.24854 .17226 L
.24687 .17146 L
.24661 .17133 L
.24468 .17025 L
.24351 .16953 L
.24275 .16904 L
.24083 .16765 L
.24077 .1676 L
.2389 .16607 L
.23847 .16568 L
.23697 .16423 L
.23653 .16375 L
.23505 .16193 L
.23498 .16182 L
.23385 .1599 L
.23334 .15797 L
.23392 .15604 L
F
1 .93 0 r
.23505 .09273 m
.23697 .09314 L
.2389 .09378 L
.24059 .09438 L
.24083 .09461 L
.24275 .09557 L
.24415 .09631 L
.24468 .09663 L
.24661 .09776 L
.2474 .09823 L
.24854 .09895 L
.25042 .10016 L
.25046 .10019 L
.25239 .10147 L
.2533 .10209 L
.25432 .10279 L
.25607 .10402 L
.25624 .10414 L
.25817 .10551 L
.25877 .10594 L
.2601 .10691 L
.26139 .10787 L
.26202 .10834 L
.26395 .10979 L
.26397 .1098 L
.26588 .11125 L
.26649 .11172 L
.2678 .11274 L
.26898 .11365 L
.26973 .11424 L
.27143 .11558 L
.27166 .11575 L
.27359 .11729 L
.27386 .1175 L
.27551 .11883 L
.27625 .11943 L
.27744 .1204 L
.27862 .12136 L
.27937 .12197 L
.28097 .12329 L
.28129 .12355 L
.28322 .12515 L
.28329 .12521 L
.28515 .12676 L
.2856 .12714 L
.28707 .12838 L
.28788 .12907 L
.289 .13001 L
.29015 .13099 L
.29093 .13166 L
.29241 .13292 L
.29285 .13331 L
.29464 .13485 L
.29478 .13497 L
.29671 .13664 L
.29686 .13677 L
.29864 .13832 L
.29907 .1387 L
.30056 .14001 L
.30126 .14063 L
.30249 .14171 L
.30344 .14255 L
.30442 .14342 L
.30561 .14448 L
.30634 .14514 L
.30777 .14641 L
.30827 .14686 L
.30991 .14834 L
.3102 .1486 L
.31204 .15026 L
.31212 .15034 L
.31405 .15209 L
.31416 .15219 L
.31598 .15385 L
.31627 .15412 L
.31791 .15562 L
.31837 .15604 L
.31983 .1574 L
.32045 .15797 L
.32176 .15918 L
.32253 .1599 L
.32369 .16097 L
.3246 .16182 L
.32561 .16277 L
.32666 .16375 L
.32754 .16458 L
.3287 .16568 L
.32947 .1664 L
.33074 .1676 L
.33139 .16822 L
.33277 .16953 L
.33332 .17006 L
.33479 .17146 L
.33525 .1719 L
.3368 .17339 L
.33717 .17375 L
.3388 .17531 L
.3391 .17561 L
.34079 .17724 L
.34103 .17747 L
.34277 .17917 L
.34296 .17935 L
.34474 .18109 L
.34488 .18124 L
.3467 .18302 L
.34681 .18313 L
.34865 .18495 L
.34874 .18503 L
.35059 .18687 L
.35066 .18694 L
.35253 .1888 L
.35259 .18886 L
.35445 .19073 L
.35452 .1908 L
.35636 .19265 L
.35644 .19274 L
.35827 .19458 L
.35837 .19469 L
.36016 .19651 L
.3603 .19665 L
.36204 .19844 L
.36222 .19862 L
.36392 .20036 L
.36415 .2006 L
.36578 .20229 L
.36608 .2026 L
.36763 .20422 L
.36801 .2046 L
.36948 .20614 L
.36993 .20662 L
.37131 .20807 L
.37186 .20865 L
.37313 .21 L
.37379 .2107 L
.37494 .21192 L
.37571 .21275 L
.37673 .21385 L
.37764 .21483 L
.37852 .21578 L
.37957 .21692 L
.38029 .2177 L
.38149 .21902 L
.38205 .21963 L
.38342 .22114 L
.3838 .22156 L
.38535 .22328 L
.38553 .22349 L
.38724 .22541 L
.38727 .22545 L
.38894 .22734 L
.3892 .22763 L
.39063 .22927 L
.39113 .22984 L
.3923 .23119 L
.39306 .23208 L
.39395 .23312 L
.39498 .23434 L
.39558 .23505 L
.39691 .23664 L
.39718 .23697 L
.39877 .2389 L
.39884 .23898 L
.40033 .24083 L
.40076 .24136 L
.40187 .24275 L
.40269 .2438 L
.40337 .24468 L
.40462 .24631 L
.40484 .24661 L
.40628 .24854 L
.40654 .24889 L
.40767 .25046 L
.40847 .2516 L
.40901 .25239 L
.41029 .25432 L
.4104 .25447 L
.4115 .25624 L
.41232 .25764 L
.4126 .25817 L
.41358 .2601 L
.41425 .26177 L
.41434 .26202 L
.41476 .26395 L
.41425 .26547 L
.41354 .26588 L
.41232 .26597 L
.41167 .26588 L
.4104 .26558 L
.40847 .26485 L
.40654 .26395 L
.40654 .26395 L
.40462 .26295 L
.40296 .26202 L
.40269 .26186 L
.40076 .2607 L
.39979 .2601 L
.39884 .25948 L
.39691 .25822 L
.39683 .25817 L
.39498 .25693 L
.39398 .25624 L
.39306 .2556 L
.39124 .25432 L
.39113 .25424 L
.3892 .25285 L
.38857 .25239 L
.38727 .25143 L
.38596 .25046 L
.38535 .25 L
.38342 .24855 L
.38341 .24854 L
.38149 .24707 L
.38089 .24661 L
.37957 .24558 L
.37841 .24468 L
.37764 .24408 L
.37596 .24275 L
.37571 .24256 L
.37379 .24102 L
.37354 .24083 L
.37186 .23947 L
.37115 .2389 L
.36993 .23791 L
.36878 .23697 L
.36801 .23633 L
.36644 .23505 L
.36608 .23475 L
.36415 .23315 L
.36411 .23312 L
.36222 .23154 L
.36181 .23119 L
.3603 .22992 L
.35953 .22927 L
.35837 .22828 L
.35726 .22734 L
.35644 .22664 L
.35501 .22541 L
.35452 .22498 L
.35278 .22349 L
.35259 .22332 L
.35066 .22164 L
.35057 .22156 L
.34874 .21994 L
.34838 .21963 L
.34681 .21824 L
.3462 .2177 L
.34488 .21653 L
.34404 .21578 L
.34296 .2148 L
.3419 .21385 L
.34103 .21307 L
.33976 .21192 L
.3391 .21132 L
.33764 .21 L
.33717 .20957 L
.33554 .20807 L
.33525 .2078 L
.33344 .20614 L
.33332 .20603 L
.33139 .20425 L
.33135 .20422 L
.32947 .20247 L
.32927 .20229 L
.32754 .20068 L
.3272 .20036 L
.32561 .19888 L
.32514 .19844 L
.32369 .19708 L
.32308 .19651 L
.32176 .19527 L
.32102 .19458 L
.31983 .19347 L
.31897 .19265 L
.31791 .19165 L
.31692 .19073 L
.31598 .18984 L
.31488 .1888 L
.31405 .18802 L
.31284 .18687 L
.31212 .18619 L
.31081 .18495 L
.3102 .18436 L
.30879 .18302 L
.30827 .18253 L
.30677 .18109 L
.30634 .18069 L
.30476 .17917 L
.30442 .17884 L
.30276 .17724 L
.30249 .17698 L
.30077 .17531 L
.30056 .17511 L
.2988 .17339 L
.29864 .17323 L
.29684 .17146 L
.29671 .17133 L
.29489 .16953 L
.29478 .16942 L
.29296 .1676 L
.29285 .1675 L
.29105 .16568 L
.29093 .16555 L
.28915 .16375 L
.289 .1636 L
.28727 .16182 L
.28707 .16162 L
.28541 .1599 L
.28515 .15963 L
.28356 .15797 L
.28322 .15762 L
.28172 .15604 L
.28129 .15559 L
.27989 .15412 L
.27937 .15356 L
.27808 .15219 L
.27744 .15151 L
.27627 .15026 L
.27551 .14945 L
.27448 .14834 L
.27359 .14737 L
.27269 .14641 L
.27166 .14529 L
.27092 .14448 L
.26973 .14319 L
.26915 .14255 L
.2678 .14108 L
.26739 .14063 L
.26588 .13896 L
.26564 .1387 L
.26395 .13683 L
.2639 .13677 L
.26218 .13485 L
.26202 .13468 L
.26046 .13292 L
.2601 .13251 L
.25876 .13099 L
.25817 .13032 L
.25708 .12907 L
.25624 .12811 L
.25541 .12714 L
.25432 .12587 L
.25376 .12521 L
.25239 .1236 L
.25213 .12329 L
.25052 .12136 L
.25046 .12129 L
.24894 .11943 L
.24854 .11894 L
.24738 .1175 L
.24661 .11654 L
.24585 .11558 L
.24468 .11408 L
.24435 .11365 L
.24289 .11172 L
.24275 .11155 L
.24147 .1098 L
.24083 .10892 L
.24009 .10787 L
.2389 .10614 L
.23877 .10594 L
.23751 .10402 L
.23697 .10319 L
.23634 .10209 L
.23527 .10016 L
.23505 .09971 L
.23435 .09823 L
.23365 .09631 L
.23353 .09438 L
F
1 .73 0 r
.23505 .15562 m
.23697 .1548 L
.2389 .15458 L
.24083 .15458 L
.24275 .15476 L
.24468 .15509 L
.24661 .15555 L
.24827 .15604 L
.24854 .15613 L
.25046 .15684 L
.25239 .15768 L
.253 .15797 L
.25432 .15864 L
.25624 .15974 L
.2565 .1599 L
.25817 .16098 L
.25936 .16182 L
.2601 .16238 L
.26176 .16375 L
.26202 .16397 L
.26378 .16568 L
.26395 .16583 L
.26541 .1676 L
.26588 .16827 L
.26659 .16953 L
.26712 .17146 L
.26643 .17339 L
.26588 .174 L
.26395 .17473 L
.26202 .17494 L
.2601 .17494 L
.25817 .17479 L
.25624 .17449 L
.25432 .17406 L
.25239 .1735 L
.25203 .17339 L
.25046 .17282 L
.24854 .17201 L
.24739 .17146 L
.24661 .17106 L
.24468 .16997 L
.24397 .16953 L
.24275 .16873 L
.2412 .1676 L
.24083 .16732 L
.2389 .16569 L
.23888 .16568 L
.23697 .16377 L
.23695 .16375 L
.23541 .16182 L
.23505 .16127 L
.23432 .1599 L
.23387 .15797 L
.23466 .15604 L
F
1 .72 0 r
.23697 .15521 m
.2389 .15489 L
.24083 .15486 L
.24275 .15502 L
.24468 .15534 L
.24661 .1558 L
.24749 .15604 L
.24854 .15638 L
.25046 .1571 L
.25239 .15794 L
.25245 .15797 L
.25432 .15891 L
.25603 .1599 L
.25624 .16002 L
.25817 .16128 L
.25893 .16182 L
.2601 .16271 L
.26135 .16375 L
.26202 .16434 L
.26336 .16568 L
.26395 .16625 L
.26498 .1676 L
.26588 .16902 L
.26613 .16953 L
.26659 .17146 L
.26588 .17319 L
.26568 .17339 L
.26395 .17436 L
.26202 .17466 L
.2601 .17469 L
.25817 .17455 L
.25624 .17425 L
.25432 .17382 L
.25277 .17339 L
.25239 .17326 L
.25046 .17258 L
.24854 .17175 L
.24792 .17146 L
.24661 .17079 L
.24468 .16969 L
.24443 .16953 L
.24275 .16843 L
.24163 .1676 L
.24083 .16699 L
.2393 .16568 L
.2389 .16533 L
.23737 .16375 L
.23697 .16337 L
.23584 .16182 L
.23505 .16047 L
.23479 .1599 L
.23442 .15797 L
.23505 .15643 L
.23544 .15604 L
F
1 .71 0 r
.23697 .15569 m
.2389 .15522 L
.24083 .15514 L
.24275 .15529 L
.24468 .15559 L
.24659 .15604 L
.24661 .15605 L
.24854 .15663 L
.25046 .15735 L
.25189 .15797 L
.25239 .1582 L
.25432 .15919 L
.25556 .1599 L
.25624 .16031 L
.25817 .16159 L
.25849 .16182 L
.2601 .16305 L
.26093 .16375 L
.26202 .16472 L
.26295 .16568 L
.26395 .16674 L
.26456 .1676 L
.26567 .16953 L
.26588 .17013 L
.26605 .17146 L
.26588 .17218 L
.26488 .17339 L
.26395 .17392 L
.26202 .17435 L
.2601 .17442 L
.25817 .1743 L
.25624 .17401 L
.25432 .17358 L
.25358 .17339 L
.25239 .17302 L
.25046 .17233 L
.24854 .17149 L
.24846 .17146 L
.24661 .17053 L
.24489 .16953 L
.24468 .1694 L
.24275 .16812 L
.24206 .1676 L
.24083 .16665 L
.23971 .16568 L
.2389 .16494 L
.23779 .16375 L
.23697 .16288 L
.23628 .16182 L
.23526 .1599 L
.23505 .15915 L
.23498 .15797 L
.23505 .15766 L
.23631 .15604 L
F
1 .99 0 r
.23697 .17826 m
.2389 .17831 L
.24083 .17886 L
.24237 .17917 L
.24275 .17922 L
.24468 .17951 L
.24661 .17982 L
.24854 .18007 L
.25046 .18027 L
.25239 .18042 L
.25432 .18054 L
.25624 .18063 L
.25817 .18069 L
.2601 .18074 L
.26202 .18077 L
.26395 .18079 L
.26588 .1808 L
.2678 .1808 L
.26973 .18079 L
.27166 .18078 L
.27359 .18075 L
.27551 .18071 L
.27744 .18066 L
.27937 .18058 L
.28129 .18047 L
.28322 .1803 L
.28515 .18001 L
.28707 .17953 L
.28801 .17917 L
.289 .17897 L
.29093 .17831 L
.29285 .17834 L
.29478 .17905 L
.29505 .17917 L
.29671 .18011 L
.29823 .18109 L
.29864 .18138 L
.30056 .18278 L
.30088 .18302 L
.30249 .18427 L
.30333 .18495 L
.30442 .18583 L
.30567 .18687 L
.30634 .18744 L
.30793 .1888 L
.30827 .1891 L
.31012 .19073 L
.3102 .19079 L
.31212 .19253 L
.31226 .19265 L
.31405 .1943 L
.31436 .19458 L
.31598 .1961 L
.31641 .19651 L
.31791 .19794 L
.31842 .19844 L
.31983 .1998 L
.3204 .20036 L
.32176 .2017 L
.32234 .20229 L
.32369 .20364 L
.32424 .20422 L
.32561 .20562 L
.32611 .20614 L
.32754 .20764 L
.32793 .20807 L
.32947 .20972 L
.32971 .21 L
.33139 .21188 L
.33143 .21192 L
.33308 .21385 L
.33332 .21415 L
.33464 .21578 L
.33525 .21662 L
.33608 .2177 L
.3366 .21963 L
.33525 .21979 L
.33458 .21963 L
.33332 .21925 L
.33139 .21889 L
.32947 .21804 L
.32837 .2177 L
.32754 .21753 L
.32561 .21703 L
.32369 .21658 L
.32176 .21621 L
.31983 .21592 L
.31866 .21578 L
.31791 .21571 L
.31598 .21555 L
.31405 .21543 L
.31212 .21533 L
.3102 .21525 L
.30827 .2152 L
.30634 .21516 L
.30442 .21514 L
.30249 .21513 L
.30056 .21513 L
.29864 .21514 L
.29671 .21517 L
.29478 .21521 L
.29285 .21527 L
.29093 .21536 L
.289 .2155 L
.28707 .21572 L
.28665 .21578 L
.28515 .21602 L
.28322 .21651 L
.28129 .21736 L
.28093 .2177 L
.27937 .21894 L
.27862 .21963 L
.27744 .21985 L
.2766 .21963 L
.27551 .21912 L
.27359 .21791 L
.27325 .2177 L
.27166 .21652 L
.27067 .21578 L
.26973 .21502 L
.26828 .21385 L
.2678 .21345 L
.26599 .21192 L
.26588 .21183 L
.26395 .21017 L
.26376 .21 L
.26202 .20846 L
.26159 .20807 L
.2601 .20673 L
.25946 .20614 L
.25817 .20495 L
.25738 .20422 L
.25624 .20315 L
.25533 .20229 L
.25432 .20132 L
.25333 .20036 L
.25239 .19945 L
.25136 .19844 L
.25046 .19755 L
.24942 .19651 L
.24854 .19561 L
.24753 .19458 L
.24661 .19364 L
.24567 .19265 L
.24468 .19161 L
.24387 .19073 L
.24275 .18953 L
.24211 .1888 L
.24083 .18737 L
.24042 .18687 L
.2389 .18507 L
.23881 .18495 L
.23732 .18302 L
.23697 .18255 L
.23602 .18109 L
.23529 .17917 L
F
1 .7 0 r
.2389 .15559 m
.24083 .15545 L
.24275 .15556 L
.24468 .15586 L
.24564 .15604 L
.24661 .1563 L
.24854 .15688 L
.25046 .15761 L
.25131 .15797 L
.25239 .15846 L
.25432 .15946 L
.25508 .1599 L
.25624 .1606 L
.25806 .16182 L
.25817 .1619 L
.2601 .16339 L
.26051 .16375 L
.26202 .16513 L
.26253 .16568 L
.26395 .16733 L
.26413 .1676 L
.2652 .16953 L
.26549 .17146 L
.26395 .17338 L
.26395 .17339 L
.26202 .17401 L
.2601 .17414 L
.25817 .17404 L
.25624 .17376 L
.25447 .17339 L
.25432 .17334 L
.25239 .17278 L
.25046 .17208 L
.24901 .17146 L
.24854 .17124 L
.24661 .17025 L
.24536 .16953 L
.24468 .16912 L
.24275 .1678 L
.24249 .1676 L
.24083 .1663 L
.24013 .16568 L
.2389 .16453 L
.2382 .16375 L
.23697 .16227 L
.23671 .16182 L
.23574 .1599 L
.23556 .15797 L
.23697 .15623 L
.23726 .15604 L
F
1 .69 0 r
.2389 .15599 m
.24083 .15577 L
.24275 .15585 L
.24423 .15604 L
.24468 .15612 L
.24661 .15655 L
.24854 .15714 L
.25046 .15787 L
.25071 .15797 L
.25239 .15873 L
.25432 .15974 L
.2546 .1599 L
.25624 .16089 L
.25762 .16182 L
.25817 .16221 L
.26009 .16375 L
.2601 .16375 L
.26202 .16557 L
.26212 .16568 L
.26369 .1676 L
.26395 .16799 L
.26473 .16953 L
.26492 .17146 L
.26395 .17283 L
.26296 .17339 L
.26202 .17363 L
.2601 .17384 L
.25817 .17377 L
.25624 .17351 L
.25553 .17339 L
.25432 .1731 L
.25239 .17254 L
.25046 .17183 L
.24959 .17146 L
.24854 .17098 L
.24661 .16998 L
.24583 .16953 L
.24468 .16883 L
.24292 .1676 L
.24275 .16749 L
.24083 .16593 L
.24055 .16568 L
.2389 .16407 L
.23862 .16375 L
.23715 .16182 L
.23697 .16154 L
.23622 .1599 L
.23616 .15797 L
.23697 .15684 L
.23865 .15604 L
F
1 .68 0 r
.23697 .15767 m
.2389 .15616 L
.24083 .15609 L
.24275 .15613 L
.24468 .15638 L
.24661 .15681 L
.24854 .1574 L
.25008 .15797 L
.25046 .15813 L
.25239 .15899 L
.2541 .1599 L
.25432 .16002 L
.25624 .16119 L
.25718 .16182 L
.25817 .16253 L
.25967 .16375 L
.2601 .16409 L
.2617 .16568 L
.26202 .16591 L
.26326 .1676 L
.26395 .1688 L
.26425 .16953 L
.26432 .17146 L
.26395 .1721 L
.26202 .17322 L
.26129 .17339 L
.2601 .17352 L
.25817 .17349 L
.25717 .17339 L
.25624 .17326 L
.25432 .17285 L
.25239 .17229 L
.25046 .17157 L
.25019 .17146 L
.24854 .17072 L
.24661 .1697 L
.24631 .16953 L
.24468 .16853 L
.24335 .1676 L
.24275 .16717 L
.24097 .16568 L
.24083 .16557 L
.23904 .16375 L
.2389 .16368 L
.23759 .16182 L
.23697 .16063 L
.23672 .1599 L
.2368 .15797 L
F
1 .67 0 r
.2389 .1565 m
.24083 .15637 L
.24275 .1564 L
.24468 .15665 L
.24661 .15708 L
.24854 .15766 L
.2494 .15797 L
.25046 .15839 L
.25239 .15927 L
.2536 .1599 L
.25432 .16029 L
.25624 .16149 L
.25673 .16182 L
.25817 .16286 L
.25925 .16375 L
.2601 .16446 L
.26128 .16568 L
.26202 .16633 L
.26282 .1676 L
.26376 .16953 L
.26369 .17146 L
.26202 .17279 L
.2601 .17326 L
.25817 .17323 L
.25624 .17301 L
.25432 .1726 L
.25239 .17203 L
.25082 .17146 L
.25046 .17131 L
.24854 .17045 L
.2468 .16953 L
.24661 .16942 L
.24468 .16823 L
.24379 .1676 L
.24275 .16685 L
.24139 .16568 L
.24083 .16521 L
.23947 .16375 L
.2389 .16336 L
.23804 .16182 L
.23723 .1599 L
.23747 .15797 L
F
1 .66 0 r
.2389 .15715 m
.24083 .1567 L
.24275 .1567 L
.24468 .15693 L
.24661 .15735 L
.24854 .15793 L
.24864 .15797 L
.25046 .15865 L
.25239 .15955 L
.25307 .1599 L
.25432 .16058 L
.25624 .16181 L
.25627 .16182 L
.25817 .16321 L
.25882 .16375 L
.2601 .16486 L
.26085 .16568 L
.26202 .16695 L
.26237 .1676 L
.26325 .16953 L
.26301 .17146 L
.26202 .17228 L
.2601 .17299 L
.25817 .17296 L
.25624 .17274 L
.25432 .17234 L
.25239 .17177 L
.2515 .17146 L
.25046 .17106 L
.24854 .17018 L
.24731 .16953 L
.24661 .16914 L
.24468 .16792 L
.24424 .1676 L
.24275 .1665 L
.24181 .16568 L
.24083 .16481 L
.2399 .16375 L
.2389 .16273 L
.2385 .16182 L
.23775 .1599 L
.23821 .15797 L
F
1 .65 0 r
.24083 .15711 m
.24275 .15703 L
.24468 .15723 L
.24661 .15763 L
.24787 .15797 L
.24854 .1582 L
.25046 .15893 L
.25239 .15983 L
.25252 .1599 L
.25432 .16087 L
.25581 .16182 L
.25624 .1621 L
.25817 .16357 L
.25838 .16375 L
.2601 .16532 L
.26041 .16568 L
.26191 .1676 L
.26202 .16779 L
.26273 .16953 L
.26225 .17146 L
.26202 .17166 L
.2601 .17264 L
.25817 .17267 L
.25624 .17246 L
.25432 .17207 L
.25239 .1715 L
.25227 .17146 L
.25046 .1708 L
.24854 .1699 L
.24783 .16953 L
.24661 .16886 L
.2447 .1676 L
.24468 .16759 L
.24275 .16613 L
.24225 .16568 L
.24083 .16435 L
.24034 .16375 L
.23896 .16182 L
.2389 .1617 L
.2383 .1599 L
.2389 .15813 L
.23903 .15797 L
F
1 .92 0 r
.24083 .0978 m
.24269 .09823 L
.24275 .09825 L
.24468 .09897 L
.24661 .0999 L
.24715 .10016 L
.24854 .10092 L
.25046 .10204 L
.25055 .10209 L
.25239 .10321 L
.25366 .10402 L
.25432 .10445 L
.25624 .10572 L
.25657 .10594 L
.25817 .10704 L
.25937 .10787 L
.2601 .10839 L
.26202 .10977 L
.26207 .1098 L
.26395 .11117 L
.2647 .11172 L
.26588 .1126 L
.26728 .11365 L
.2678 .11405 L
.26973 .11552 L
.2698 .11558 L
.27166 .11701 L
.27229 .1175 L
.27359 .11852 L
.27474 .11943 L
.27551 .12005 L
.27716 .12136 L
.27744 .12159 L
.27937 .12314 L
.27954 .12329 L
.28129 .12471 L
.28191 .12521 L
.28322 .12629 L
.28424 .12714 L
.28515 .12789 L
.28656 .12907 L
.28707 .1295 L
.28886 .13099 L
.289 .13111 L
.29093 .13275 L
.29113 .13292 L
.29285 .13439 L
.29339 .13485 L
.29478 .13604 L
.29563 .13677 L
.29671 .1377 L
.29786 .1387 L
.29864 .13938 L
.30007 .14063 L
.30056 .14106 L
.30227 .14255 L
.30249 .14275 L
.30442 .14445 L
.30445 .14448 L
.30634 .14617 L
.30661 .14641 L
.30827 .14789 L
.30877 .14834 L
.3102 .14962 L
.31091 .15026 L
.31212 .15136 L
.31304 .15219 L
.31405 .15311 L
.31516 .15412 L
.31598 .15487 L
.31726 .15604 L
.31791 .15663 L
.31936 .15797 L
.31983 .15841 L
.32144 .1599 L
.32176 .16019 L
.32352 .16182 L
.32369 .16198 L
.32558 .16375 L
.32561 .16378 L
.32754 .16559 L
.32763 .16568 L
.32947 .16741 L
.32967 .1676 L
.33139 .16924 L
.3317 .16953 L
.33332 .17107 L
.33372 .17146 L
.33525 .17292 L
.33573 .17339 L
.33717 .17477 L
.33773 .17531 L
.3391 .17663 L
.33973 .17724 L
.34103 .17851 L
.34171 .17917 L
.34296 .18039 L
.34368 .18109 L
.34488 .18228 L
.34564 .18302 L
.34681 .18418 L
.34759 .18495 L
.34874 .18609 L
.34953 .18687 L
.35066 .18801 L
.35146 .1888 L
.35259 .18993 L
.35338 .19073 L
.35452 .19187 L
.35529 .19265 L
.35644 .19382 L
.35719 .19458 L
.35837 .19579 L
.35908 .19651 L
.3603 .19776 L
.36096 .19844 L
.36222 .19974 L
.36282 .20036 L
.36415 .20174 L
.36468 .20229 L
.36608 .20375 L
.36653 .20422 L
.36801 .20577 L
.36836 .20614 L
.36993 .2078 L
.37018 .20807 L
.37186 .20985 L
.37199 .21 L
.37379 .21192 L
.37379 .21192 L
.37557 .21385 L
.37571 .214 L
.37735 .21578 L
.37764 .2161 L
.3791 .2177 L
.37957 .21822 L
.38084 .21963 L
.38149 .22035 L
.38257 .22156 L
.38342 .22251 L
.38428 .22349 L
.38535 .22469 L
.38598 .22541 L
.38727 .2269 L
.38766 .22734 L
.3892 .22913 L
.38932 .22927 L
.39095 .23119 L
.39113 .2314 L
.39257 .23312 L
.39306 .2337 L
.39416 .23505 L
.39498 .23605 L
.39573 .23697 L
.39691 .23844 L
.39727 .2389 L
.39878 .24083 L
.39884 .2409 L
.40026 .24275 L
.40076 .24342 L
.40169 .24468 L
.40269 .24605 L
.40308 .24661 L
.40442 .24854 L
.40462 .24881 L
.40569 .25046 L
.40654 .25181 L
.40687 .25239 L
.40796 .25432 L
.40847 .25504 L
.40887 .25624 L
.40957 .25817 L
.40957 .2601 L
.40847 .26108 L
.40654 .26106 L
.40462 .26043 L
.40353 .2601 L
.40269 .25961 L
.40076 .25864 L
.39987 .25817 L
.39884 .25757 L
.39691 .25643 L
.39661 .25624 L
.39498 .25522 L
.39357 .25432 L
.39306 .25397 L
.39113 .25268 L
.3907 .25239 L
.3892 .25135 L
.38794 .25046 L
.38727 .24999 L
.38535 .2486 L
.38527 .24854 L
.38342 .24718 L
.38265 .24661 L
.38149 .24574 L
.38009 .24468 L
.37957 .24428 L
.37764 .2428 L
.37758 .24275 L
.37571 .24131 L
.3751 .24083 L
.37379 .23979 L
.37266 .2389 L
.37186 .23826 L
.37025 .23697 L
.36993 .23672 L
.36801 .23516 L
.36786 .23505 L
.36608 .23359 L
.36551 .23312 L
.36415 .232 L
.36317 .23119 L
.36222 .23041 L
.36086 .22927 L
.3603 .2288 L
.35857 .22734 L
.35837 .22717 L
.35644 .22554 L
.3563 .22541 L
.35452 .22389 L
.35405 .22349 L
.35259 .22223 L
.35181 .22156 L
.35066 .22056 L
.3496 .21963 L
.34874 .21888 L
.3474 .2177 L
.34681 .21718 L
.34522 .21578 L
.34488 .21548 L
.34305 .21385 L
.34296 .21376 L
.34103 .21204 L
.3409 .21192 L
.3391 .2103 L
.33876 .21 L
.33717 .20855 L
.33664 .20807 L
.33525 .2068 L
.33453 .20614 L
.33332 .20504 L
.33243 .20422 L
.33139 .20326 L
.33033 .20229 L
.32947 .20149 L
.32825 .20036 L
.32754 .1997 L
.32618 .19844 L
.32561 .19791 L
.32411 .19651 L
.32369 .19611 L
.32205 .19458 L
.32176 .19431 L
.32 .19265 L
.31983 .1925 L
.31795 .19073 L
.31791 .19068 L
.31598 .18886 L
.31591 .1888 L
.31405 .18704 L
.31388 .18687 L
.31212 .1852 L
.31185 .18495 L
.3102 .18336 L
.30984 .18302 L
.30827 .18152 L
.30783 .18109 L
.30634 .17966 L
.30583 .17917 L
.30442 .1778 L
.30384 .17724 L
.30249 .17592 L
.30187 .17531 L
.30056 .17403 L
.2999 .17339 L
.29864 .17214 L
.29795 .17146 L
.29671 .17022 L
.29602 .16953 L
.29478 .1683 L
.29409 .1676 L
.29285 .16636 L
.29218 .16568 L
.29093 .1644 L
.29029 .16375 L
.289 .16243 L
.28841 .16182 L
.28707 .16044 L
.28655 .1599 L
.28515 .15844 L
.28469 .15797 L
.28322 .15643 L
.28286 .15604 L
.28129 .1544 L
.28103 .15412 L
.27937 .15235 L
.27921 .15219 L
.27744 .15029 L
.27741 .15026 L
.27562 .14834 L
.27551 .14822 L
.27384 .14641 L
.27359 .14613 L
.27207 .14448 L
.27166 .14403 L
.27031 .14255 L
.26973 .14192 L
.26857 .14063 L
.2678 .13978 L
.26683 .1387 L
.26588 .13763 L
.26511 .13677 L
.26395 .13547 L
.2634 .13485 L
.26202 .13328 L
.26171 .13292 L
.2601 .13106 L
.26004 .13099 L
.25838 .12907 L
.25817 .12882 L
.25675 .12714 L
.25624 .12654 L
.25513 .12521 L
.25432 .12423 L
.25354 .12329 L
.25239 .12187 L
.25198 .12136 L
.25046 .11945 L
.25044 .11943 L
.24894 .1175 L
.24854 .11698 L
.24748 .11558 L
.24661 .11441 L
.24606 .11365 L
.24468 .11172 L
.24468 .11172 L
.24336 .1098 L
.24275 .10889 L
.24212 .10787 L
.24097 .10594 L
.24083 .10579 L
.23993 .10402 L
.23908 .10209 L
.2389 .10152 L
.23856 .10016 L
.2389 .0984 L
.23906 .09823 L
F
1 .64 0 r
.24083 .15763 m
.24275 .15739 L
.24468 .15754 L
.24661 .15793 L
.24679 .15797 L
.24854 .15847 L
.25046 .15921 L
.25195 .1599 L
.25239 .16011 L
.25432 .16118 L
.25533 .16182 L
.25624 .16242 L
.25793 .16375 L
.25817 .16391 L
.25997 .16568 L
.2601 .16582 L
.26145 .1676 L
.26202 .16886 L
.26218 .16953 L
.26202 .17065 L
.26148 .17146 L
.2601 .17218 L
.25817 .17234 L
.25624 .17217 L
.25432 .17178 L
.25304 .17146 L
.25239 .17124 L
.25046 .17052 L
.24854 .16961 L
.24838 .16953 L
.24661 .16856 L
.24516 .1676 L
.24468 .16729 L
.24275 .16573 L
.24269 .16568 L
.24083 .16381 L
.24078 .16375 L
.23944 .16182 L
.2389 .16021 L
.23888 .1599 L
.2389 .15958 L
.23997 .15797 L
F
1 .63 0 r
.24275 .15779 m
.24468 .15788 L
.2453 .15797 L
.24661 .1582 L
.24854 .15875 L
.25046 .1595 L
.25135 .1599 L
.25239 .16039 L
.25432 .16149 L
.25483 .16182 L
.25624 .16276 L
.25748 .16375 L
.25817 .16424 L
.25952 .16568 L
.2601 .16636 L
.26096 .1676 L
.26161 .16953 L
.26035 .17146 L
.2601 .17158 L
.25817 .17196 L
.25624 .17185 L
.25432 .17149 L
.25418 .17146 L
.25239 .17098 L
.25046 .17024 L
.24895 .16953 L
.24854 .16933 L
.24661 .16824 L
.24565 .1676 L
.24468 .16697 L
.24314 .16568 L
.24275 .16544 L
.24124 .16375 L
.24083 .16323 L
.23993 .16182 L
.23947 .1599 L
.24083 .15822 L
.24157 .15797 L
F
1 .62 0 r
.24083 .15889 m
.24275 .15822 L
.24468 .15815 L
.24661 .15849 L
.24854 .15905 L
.25046 .15981 L
.25067 .1599 L
.25239 .16069 L
.25431 .16182 L
.25432 .16183 L
.25624 .16312 L
.25701 .16375 L
.25817 .16465 L
.25905 .16568 L
.2601 .16701 L
.26046 .1676 L
.261 .16953 L
.2601 .17094 L
.25864 .17146 L
.25817 .17153 L
.25624 .1715 L
.25587 .17146 L
.25432 .17123 L
.25239 .17069 L
.25046 .16994 L
.24956 .16953 L
.24854 .16905 L
.24661 .16791 L
.24615 .1676 L
.24468 .16661 L
.24361 .16568 L
.24275 .16507 L
.24171 .16375 L
.24083 .16252 L
.24045 .16182 L
.24013 .1599 L
F
1 1 1 r
.24275 .18059 m
.24468 .18061 L
.24661 .18068 L
.24854 .18076 L
.25046 .18083 L
.25239 .18088 L
.25432 .18093 L
.25624 .18096 L
.25817 .18098 L
.2601 .181 L
.26202 .18101 L
.26395 .18102 L
.26588 .18102 L
.2678 .18102 L
.26973 .18102 L
.27166 .18101 L
.27359 .181 L
.27551 .18099 L
.27744 .18098 L
.27937 .18095 L
.28129 .18093 L
.28322 .1809 L
.28515 .18086 L
.28707 .18081 L
.289 .18076 L
.29093 .18077 L
.29285 .18099 L
.29333 .18109 L
.29478 .18154 L
.29671 .18236 L
.29792 .18302 L
.29864 .18343 L
.30056 .18467 L
.30097 .18495 L
.30249 .18603 L
.3036 .18687 L
.30442 .1875 L
.30604 .1888 L
.30634 .18905 L
.30827 .19066 L
.30835 .19073 L
.3102 .19234 L
.31055 .19265 L
.31212 .19407 L
.31268 .19458 L
.31405 .19585 L
.31475 .19651 L
.31598 .19769 L
.31675 .19844 L
.31791 .19958 L
.31869 .20036 L
.31983 .20153 L
.32056 .20229 L
.32176 .20355 L
.32237 .20422 L
.32369 .20567 L
.32409 .20614 L
.32561 .20794 L
.32571 .20807 L
.32719 .21 L
.32754 .2105 L
.32842 .21192 L
.3291 .21385 L
.32754 .21527 L
.32561 .21538 L
.32369 .21548 L
.32176 .21533 L
.31983 .21521 L
.31791 .21512 L
.31598 .21504 L
.31405 .21499 L
.31212 .21494 L
.3102 .21491 L
.30827 .21489 L
.30634 .21487 L
.30442 .21486 L
.30249 .21485 L
.30056 .21485 L
.29864 .21485 L
.29671 .21486 L
.29478 .21487 L
.29285 .21488 L
.29093 .2149 L
.289 .21493 L
.28707 .21497 L
.28515 .21503 L
.28322 .21512 L
.28129 .21523 L
.27937 .21532 L
.27744 .2153 L
.27551 .21504 L
.27359 .21446 L
.27226 .21385 L
.27166 .21354 L
.26973 .21241 L
.26899 .21192 L
.2678 .21112 L
.26628 .21 L
.26588 .2097 L
.26395 .20819 L
.26381 .20807 L
.26202 .20661 L
.26148 .20614 L
.2601 .20496 L
.25926 .20422 L
.25817 .20325 L
.25711 .20229 L
.25624 .20149 L
.25504 .20036 L
.25432 .19968 L
.25303 .19844 L
.25239 .19781 L
.25108 .19651 L
.25046 .19588 L
.2492 .19458 L
.24854 .19389 L
.24738 .19265 L
.24661 .19182 L
.24564 .19073 L
.24468 .18964 L
.244 .1888 L
.24275 .18726 L
.24249 .18687 L
.24118 .18495 L
.24083 .18434 L
.24027 .18302 L
.24083 .18115 L
.24093 .18109 L
F
1 .61 0 r
.24275 .15869 m
.24468 .15844 L
.24661 .1588 L
.24854 .15937 L
.24999 .1599 L
.25046 .16009 L
.25239 .16101 L
.25378 .16182 L
.25432 .16211 L
.25624 .16352 L
.25652 .16375 L
.25817 .16517 L
.25857 .16568 L
.25994 .1676 L
.2601 .16797 L
.26031 .16953 L
.2601 .17003 L
.25817 .17108 L
.25624 .1713 L
.25432 .17095 L
.25239 .17039 L
.25046 .16962 L
.25025 .16953 L
.24854 .16874 L
.24668 .1676 L
.24661 .16757 L
.24468 .1662 L
.24409 .16568 L
.24275 .16455 L
.2422 .16375 L
.24099 .16182 L
.24088 .1599 L
F
1 .6 0 r
.24275 .15925 m
.24468 .15883 L
.24661 .15916 L
.24854 .15971 L
.24912 .1599 L
.25046 .16038 L
.25239 .16135 L
.25321 .16182 L
.25432 .16244 L
.25601 .16375 L
.25624 .16395 L
.25806 .16568 L
.25817 .16581 L
.2594 .1676 L
.25963 .16953 L
.25817 .17057 L
.25624 .17103 L
.25432 .17063 L
.25239 .17006 L
.25093 .16953 L
.25046 .16935 L
.24854 .16841 L
.24722 .1676 L
.24661 .1673 L
.24468 .16575 L
.2446 .16568 L
.24275 .16382 L
.24271 .16375 L
.24156 .16182 L
.24163 .1599 L
F
1 .59 0 r
.24468 .15933 m
.24661 .15956 L
.24795 .1599 L
.24854 .16 L
.25046 .16071 L
.25239 .16172 L
.25257 .16182 L
.25432 .16282 L
.25548 .16375 L
.25624 .1644 L
.25755 .16568 L
.25817 .1665 L
.2588 .1676 L
.25872 .16953 L
.25817 .16991 L
.25624 .1706 L
.25432 .17025 L
.25239 .1697 L
.25184 .16953 L
.25046 .16906 L
.24854 .16804 L
.24781 .1676 L
.24661 .16695 L
.24512 .16568 L
.24468 .16527 L
.24323 .16375 L
.24275 .16304 L
.24219 .16182 L
.24275 .15998 L
.24287 .1599 L
F
1 .58 0 r
.24468 .15996 m
.24661 .16001 L
.24854 .16026 L
.25046 .16108 L
.25194 .16182 L
.25239 .16195 L
.25432 .16326 L
.25491 .16375 L
.25624 .16492 L
.25698 .16568 L
.25814 .1676 L
.25743 .16953 L
.25624 .16998 L
.25432 .16981 L
.25313 .16953 L
.25239 .16948 L
.25046 .16872 L
.24854 .16764 L
.24848 .1676 L
.24661 .16652 L
.24568 .16568 L
.24468 .16473 L
.2438 .16375 L
.24286 .16182 L
F
1 .91 0 r
.24468 .1023 m
.24661 .10247 L
.24854 .10317 L
.25037 .10402 L
.25046 .10406 L
.25239 .10506 L
.25396 .10594 L
.25432 .10617 L
.25624 .10734 L
.25709 .10787 L
.25817 .10857 L
.26001 .1098 L
.2601 .10985 L
.26202 .11117 L
.26282 .11172 L
.26395 .11253 L
.26552 .11365 L
.26588 .11391 L
.2678 .11532 L
.26815 .11558 L
.26973 .11676 L
.27072 .1175 L
.27166 .11822 L
.27324 .11943 L
.27359 .1197 L
.27551 .1212 L
.27572 .12136 L
.27744 .12272 L
.27816 .12329 L
.27937 .12425 L
.28056 .12521 L
.28129 .1258 L
.28294 .12714 L
.28322 .12737 L
.28515 .12895 L
.28529 .12907 L
.28707 .13054 L
.28762 .13099 L
.289 .13215 L
.28992 .13292 L
.29093 .13377 L
.29221 .13485 L
.29285 .1354 L
.29447 .13677 L
.29478 .13704 L
.29671 .13869 L
.29672 .1387 L
.29864 .14036 L
.29894 .14063 L
.30056 .14204 L
.30116 .14255 L
.30249 .14372 L
.30335 .14448 L
.30442 .14542 L
.30553 .14641 L
.30634 .14713 L
.3077 .14834 L
.30827 .14884 L
.30986 .15026 L
.3102 .15057 L
.312 .15219 L
.31212 .1523 L
.31405 .15405 L
.31412 .15412 L
.31598 .15581 L
.31624 .15604 L
.31791 .15757 L
.31834 .15797 L
.31983 .15934 L
.32043 .1599 L
.32176 .16113 L
.32251 .16182 L
.32369 .16292 L
.32458 .16375 L
.32561 .16472 L
.32663 .16568 L
.32754 .16653 L
.32868 .1676 L
.32947 .16835 L
.33071 .16953 L
.33139 .17018 L
.33274 .17146 L
.33332 .17202 L
.33475 .17339 L
.33525 .17386 L
.33675 .17531 L
.33717 .17572 L
.33874 .17724 L
.3391 .17758 L
.34073 .17917 L
.34103 .17946 L
.3427 .18109 L
.34296 .18135 L
.34466 .18302 L
.34488 .18324 L
.34661 .18495 L
.34681 .18515 L
.34854 .18687 L
.34874 .18706 L
.35047 .1888 L
.35066 .18899 L
.35239 .19073 L
.35259 .19093 L
.3543 .19265 L
.35452 .19288 L
.35619 .19458 L
.35644 .19484 L
.35807 .19651 L
.35837 .19681 L
.35995 .19844 L
.3603 .1988 L
.36181 .20036 L
.36222 .20079 L
.36366 .20229 L
.36415 .20281 L
.36549 .20422 L
.36608 .20483 L
.36732 .20614 L
.36801 .20687 L
.36913 .20807 L
.36993 .20893 L
.37093 .21 L
.37186 .211 L
.37271 .21192 L
.37379 .21309 L
.37449 .21385 L
.37571 .2152 L
.37624 .21578 L
.37764 .21732 L
.37798 .2177 L
.37957 .21947 L
.37971 .21963 L
.38142 .22156 L
.38149 .22165 L
.38311 .22349 L
.38342 .22385 L
.38478 .22541 L
.38535 .22607 L
.38643 .22734 L
.38727 .22834 L
.38806 .22927 L
.3892 .23064 L
.38966 .23119 L
.39113 .23298 L
.39124 .23312 L
.39279 .23505 L
.39306 .23538 L
.39431 .23697 L
.39498 .23783 L
.39579 .2389 L
.39691 .24038 L
.39724 .24083 L
.39863 .24275 L
.39884 .24303 L
.39997 .24468 L
.40076 .24584 L
.40124 .24661 L
.40243 .24854 L
.40269 .24886 L
.40349 .25046 L
.40439 .25239 L
.40462 .25308 L
.40496 .25432 L
.40462 .25618 L
.40456 .25624 L
.40269 .2567 L
.40092 .25624 L
.40076 .2562 L
.39884 .25544 L
.39691 .25448 L
.39657 .25432 L
.39498 .25344 L
.3932 .25239 L
.39306 .2523 L
.39113 .2511 L
.39013 .25046 L
.3892 .24984 L
.38727 .24855 L
.38726 .24854 L
.38535 .24721 L
.38449 .24661 L
.38342 .24584 L
.38181 .24468 L
.38149 .24445 L
.37957 .24303 L
.3792 .24275 L
.37764 .24158 L
.37665 .24083 L
.37571 .24011 L
.37414 .2389 L
.37379 .23862 L
.37186 .23712 L
.37168 .23697 L
.36993 .23559 L
.36924 .23505 L
.36801 .23405 L
.36684 .23312 L
.36608 .2325 L
.36447 .23119 L
.36415 .23093 L
.36222 .22935 L
.36213 .22927 L
.3603 .22775 L
.35981 .22734 L
.35837 .22613 L
.35751 .22541 L
.35644 .22451 L
.35523 .22349 L
.35452 .22287 L
.35298 .22156 L
.35259 .22122 L
.35074 .21963 L
.35066 .21956 L
.34874 .21789 L
.34852 .2177 L
.34681 .2162 L
.34632 .21578 L
.34488 .21451 L
.34414 .21385 L
.34296 .2128 L
.34197 .21192 L
.34103 .21108 L
.33982 .21 L
.3391 .20935 L
.33768 .20807 L
.33717 .20761 L
.33555 .20614 L
.33525 .20587 L
.33344 .20422 L
.33332 .20411 L
.33139 .20234 L
.33133 .20229 L
.32947 .20057 L
.32924 .20036 L
.32754 .19879 L
.32716 .19844 L
.32561 .197 L
.32508 .19651 L
.32369 .1952 L
.32302 .19458 L
.32176 .1934 L
.32096 .19265 L
.31983 .19159 L
.31892 .19073 L
.31791 .18977 L
.31688 .1888 L
.31598 .18795 L
.31485 .18687 L
.31405 .18612 L
.31283 .18495 L
.31212 .18428 L
.31081 .18302 L
.3102 .18243 L
.30881 .18109 L
.30827 .18057 L
.30682 .17917 L
.30634 .17871 L
.30484 .17724 L
.30442 .17683 L
.30287 .17531 L
.30249 .17494 L
.30091 .17339 L
.30056 .17304 L
.29897 .17146 L
.29864 .17113 L
.29703 .16953 L
.29671 .16921 L
.29512 .1676 L
.29478 .16727 L
.29321 .16568 L
.29285 .16531 L
.29132 .16375 L
.29093 .16335 L
.28945 .16182 L
.289 .16136 L
.28759 .1599 L
.28707 .15936 L
.28574 .15797 L
.28515 .15735 L
.2839 .15604 L
.28322 .15532 L
.28208 .15412 L
.28129 .15328 L
.28027 .15219 L
.27937 .15122 L
.27847 .15026 L
.27744 .14915 L
.27669 .14834 L
.27551 .14706 L
.27492 .14641 L
.27359 .14495 L
.27316 .14448 L
.27166 .14283 L
.27141 .14255 L
.26973 .14069 L
.26968 .14063 L
.26796 .1387 L
.2678 .13852 L
.26626 .13677 L
.26588 .13634 L
.26458 .13485 L
.26395 .13413 L
.26291 .13292 L
.26202 .13188 L
.26127 .13099 L
.2601 .12961 L
.25964 .12907 L
.25817 .12729 L
.25804 .12714 L
.25647 .12521 L
.25624 .12493 L
.25493 .12329 L
.25432 .12252 L
.25341 .12136 L
.25239 .12003 L
.25194 .11943 L
.25051 .1175 L
.25046 .11744 L
.24913 .11558 L
.24854 .11474 L
.24781 .11365 L
.24661 .11179 L
.24657 .11172 L
.24542 .1098 L
.24468 .10853 L
.24441 .10787 L
.24358 .10594 L
.24302 .10402 L
F
1 .57 0 r
.24468 .16064 m
.24661 .16047 L
.24854 .16063 L
.25046 .16151 L
.25114 .16182 L
.25239 .16223 L
.25427 .16375 L
.25432 .16379 L
.25624 .16556 L
.25635 .16568 L
.2575 .1676 L
.25624 .16924 L
.25432 .16933 L
.25239 .16928 L
.25046 .16831 L
.24911 .1676 L
.24854 .16722 L
.24661 .16597 L
.24631 .16568 L
.24468 .16405 L
.24444 .16375 L
.24357 .16182 L
F
0 .99 1 r
.24468 .18245 m
.24661 .18183 L
.24854 .18141 L
.25046 .18136 L
.25239 .18133 L
.25432 .1813 L
.25624 .18128 L
.25817 .18127 L
.2601 .18126 L
.26202 .18125 L
.26395 .18124 L
.26588 .18124 L
.2678 .18124 L
.26973 .18124 L
.27166 .18125 L
.27359 .18126 L
.27551 .18127 L
.27744 .18129 L
.27937 .18132 L
.28129 .18136 L
.28322 .18142 L
.28515 .18151 L
.28707 .18165 L
.289 .18186 L
.29093 .18217 L
.29285 .18261 L
.29419 .18302 L
.29478 .18325 L
.29671 .18409 L
.29834 .18495 L
.29864 .18512 L
.30056 .1863 L
.30142 .18687 L
.30249 .18761 L
.3041 .1888 L
.30442 .18904 L
.30634 .19056 L
.30655 .19073 L
.30827 .19216 L
.30884 .19265 L
.3102 .19384 L
.31102 .19458 L
.31212 .1956 L
.31309 .19651 L
.31405 .19743 L
.31508 .19844 L
.31598 .19934 L
.31698 .20036 L
.31791 .20134 L
.31878 .20229 L
.31983 .20347 L
.32046 .20422 L
.32176 .2058 L
.32201 .20614 L
.32337 .20807 L
.32369 .20858 L
.32441 .21 L
.32477 .21192 L
.32369 .21333 L
.32221 .21385 L
.32176 .21396 L
.31983 .21424 L
.31791 .21437 L
.31598 .21445 L
.31405 .2145 L
.31212 .21453 L
.3102 .21455 L
.30827 .21457 L
.30634 .21457 L
.30442 .21458 L
.30249 .21458 L
.30056 .21458 L
.29864 .21457 L
.29671 .21456 L
.29478 .21454 L
.29285 .21452 L
.29093 .21449 L
.289 .21444 L
.28707 .21438 L
.28515 .2143 L
.28322 .2142 L
.28129 .21406 L
.27937 .21388 L
.27915 .21385 L
.27744 .21351 L
.27551 .21299 L
.27359 .21232 L
.27264 .21192 L
.27166 .21145 L
.26973 .2104 L
.26905 .21 L
.2678 .20921 L
.26614 .20807 L
.26588 .20788 L
.26395 .20645 L
.26355 .20614 L
.26202 .20493 L
.26116 .20422 L
.2601 .20333 L
.2589 .20229 L
.25817 .20165 L
.25675 .20036 L
.25624 .19989 L
.2547 .19844 L
.25432 .19807 L
.25274 .19651 L
.25239 .19616 L
.25086 .19458 L
.25046 .19415 L
.24909 .19265 L
.24854 .19203 L
.24744 .19073 L
.24661 .18972 L
.24594 .1888 L
.24468 .1869 L
.24467 .18687 L
.2438 .18495 L
.244 .18302 L
F
1 .56 0 r
.24661 .16103 m
.24854 .16116 L
.25006 .16182 L
.25046 .16199 L
.25239 .1627 L
.25365 .16375 L
.25432 .16434 L
.25574 .16568 L
.25624 .16656 L
.25657 .1676 L
.25624 .16827 L
.25432 .1688 L
.25239 .16886 L
.25046 .16781 L
.25003 .1676 L
.24854 .16676 L
.24692 .16568 L
.24661 .16534 L
.24506 .16375 L
.2447 .16182 L
F
1 .55 0 r
.24661 .16177 m
.24835 .16182 L
.24854 .16186 L
.25046 .1625 L
.25239 .16342 L
.25279 .16375 L
.25432 .16505 L
.25494 .16568 L
.25533 .1676 L
.25432 .16811 L
.25239 .16814 L
.25128 .1676 L
.25046 .16727 L
.24854 .16621 L
.24769 .16568 L
.24661 .16458 L
.24588 .16375 L
.24641 .16182 L
F
0 .98 1 r
.24854 .18257 m
.25046 .18206 L
.25239 .18184 L
.25432 .18171 L
.25624 .18162 L
.25817 .18156 L
.2601 .18152 L
.26202 .18149 L
.26395 .18147 L
.26588 .18146 L
.2678 .18146 L
.26973 .18147 L
.27166 .18148 L
.27359 .18151 L
.27551 .18155 L
.27744 .18161 L
.27937 .18169 L
.28129 .18179 L
.28322 .18194 L
.28515 .18213 L
.28707 .18239 L
.289 .18272 L
.29047 .18302 L
.29093 .18315 L
.29285 .18376 L
.29478 .1845 L
.2958 .18495 L
.29671 .1854 L
.29864 .18645 L
.29934 .18687 L
.30056 .18765 L
.30226 .1888 L
.30249 .18897 L
.30442 .19039 L
.30485 .19073 L
.30634 .19192 L
.30723 .19265 L
.30827 .19354 L
.30945 .19458 L
.3102 .19526 L
.31154 .19651 L
.31212 .19707 L
.31351 .19844 L
.31405 .19898 L
.31537 .20036 L
.31598 .20102 L
.3171 .20229 L
.31791 .20324 L
.31868 .20422 L
.31983 .20577 L
.32007 .20614 L
.32118 .20807 L
.32176 .20979 L
.32179 .21 L
.32176 .21094 L
.32128 .21192 L
.31983 .21289 L
.31791 .2136 L
.31598 .21379 L
.31518 .21385 L
.31405 .21396 L
.31212 .21409 L
.3102 .21417 L
.30827 .21423 L
.30634 .21427 L
.30442 .2143 L
.30249 .21431 L
.30056 .21431 L
.29864 .2143 L
.29671 .21427 L
.29478 .21424 L
.29285 .21419 L
.29093 .21412 L
.289 .21403 L
.28707 .21391 L
.28618 .21385 L
.28515 .21375 L
.28322 .21352 L
.28129 .2132 L
.27937 .2128 L
.27744 .2123 L
.27614 .21192 L
.27551 .21169 L
.27359 .21089 L
.27168 .21 L
.27166 .20999 L
.26973 .20891 L
.26834 .20807 L
.2678 .20772 L
.26588 .20641 L
.2655 .20614 L
.26395 .205 L
.26294 .20422 L
.26202 .20349 L
.26057 .20229 L
.2601 .20189 L
.25836 .20036 L
.25817 .2002 L
.25627 .19844 L
.25624 .19841 L
.25432 .19653 L
.25429 .19651 L
.25244 .19458 L
.25239 .19453 L
.25071 .19265 L
.25046 .19237 L
.24914 .19073 L
.24854 .18996 L
.24778 .1888 L
.24675 .18687 L
.24661 .18651 L
.24634 .18495 L
.24661 .18402 L
.24772 .18302 L
F
1 .54 0 r
.24854 .1626 m
.25046 .16314 L
.25166 .16375 L
.25239 .16424 L
.25386 .16568 L
.25239 .16724 L
.25046 .16663 L
.2488 .16568 L
.24854 .16548 L
.24705 .16375 L
F
1 .9 0 r
.24854 .10661 m
.25046 .10653 L
.25239 .10722 L
.25385 .10787 L
.25432 .10808 L
.25624 .10909 L
.25754 .1098 L
.25817 .11019 L
.2601 .11137 L
.26066 .11172 L
.26202 .11261 L
.2636 .11365 L
.26395 .11389 L
.26588 .11522 L
.26639 .11558 L
.2678 .11658 L
.26908 .1175 L
.26973 .11798 L
.27166 .1194 L
.2717 .11943 L
.27359 .12085 L
.27426 .12136 L
.27551 .12232 L
.27676 .12329 L
.27744 .12381 L
.27923 .12521 L
.27937 .12532 L
.28129 .12685 L
.28165 .12714 L
.28322 .1284 L
.28405 .12907 L
.28515 .12996 L
.28641 .13099 L
.28707 .13154 L
.28875 .13292 L
.289 .13313 L
.29093 .13474 L
.29106 .13485 L
.29285 .13636 L
.29335 .13677 L
.29478 .13799 L
.29562 .1387 L
.29671 .13963 L
.29787 .14063 L
.29864 .14129 L
.3001 .14255 L
.30056 .14296 L
.30231 .14448 L
.30249 .14464 L
.30442 .14633 L
.30451 .14641 L
.30634 .14803 L
.30669 .14834 L
.30827 .14974 L
.30885 .15026 L
.3102 .15146 L
.31101 .15219 L
.31212 .1532 L
.31314 .15412 L
.31405 .15494 L
.31527 .15604 L
.31598 .15669 L
.31738 .15797 L
.31791 .15845 L
.31948 .1599 L
.31983 .16022 L
.32156 .16182 L
.32176 .16201 L
.32364 .16375 L
.32369 .1638 L
.32561 .1656 L
.3257 .16568 L
.32754 .16741 L
.32775 .1676 L
.32947 .16923 L
.32978 .16953 L
.33139 .17106 L
.33181 .17146 L
.33332 .1729 L
.33382 .17339 L
.33525 .17475 L
.33583 .17531 L
.33717 .17661 L
.33782 .17724 L
.3391 .17848 L
.3398 .17917 L
.34103 .18036 L
.34177 .18109 L
.34296 .18225 L
.34373 .18302 L
.34488 .18416 L
.34568 .18495 L
.34681 .18607 L
.34762 .18687 L
.34874 .18799 L
.34954 .1888 L
.35066 .18993 L
.35146 .19073 L
.35259 .19188 L
.35336 .19265 L
.35452 .19383 L
.35525 .19458 L
.35644 .19581 L
.35713 .19651 L
.35837 .19779 L
.35899 .19844 L
.3603 .19979 L
.36085 .20036 L
.36222 .2018 L
.36269 .20229 L
.36415 .20383 L
.36452 .20422 L
.36608 .20587 L
.36633 .20614 L
.36801 .20793 L
.36813 .20807 L
.36992 .21 L
.36993 .21001 L
.37169 .21192 L
.37186 .21211 L
.37345 .21385 L
.37379 .21422 L
.37519 .21578 L
.37571 .21636 L
.37691 .2177 L
.37764 .21852 L
.37862 .21963 L
.37957 .22071 L
.3803 .22156 L
.38149 .22293 L
.38197 .22349 L
.38342 .22519 L
.38361 .22541 L
.38523 .22734 L
.38535 .22748 L
.38682 .22927 L
.38727 .22982 L
.38839 .23119 L
.3892 .23221 L
.38992 .23312 L
.39113 .23467 L
.39142 .23505 L
.39287 .23697 L
.39306 .23721 L
.39428 .2389 L
.39498 .23987 L
.39564 .24083 L
.39691 .24275 L
.39691 .24275 L
.39811 .24468 L
.39884 .24586 L
.39917 .24661 L
.40008 .24854 L
.40069 .25046 L
.39961 .25239 L
.39884 .2525 L
.39797 .25239 L
.39691 .25216 L
.39498 .2514 L
.39307 .25046 L
.39306 .25046 L
.39113 .24941 L
.38961 .24854 L
.3892 .24827 L
.38727 .24707 L
.38655 .24661 L
.38535 .24581 L
.38368 .24468 L
.38342 .2445 L
.38149 .24316 L
.38092 .24275 L
.37957 .24178 L
.37825 .24083 L
.37764 .24038 L
.37571 .23894 L
.37566 .2389 L
.37379 .23749 L
.37311 .23697 L
.37186 .23601 L
.37062 .23505 L
.36993 .23451 L
.36817 .23312 L
.36801 .23299 L
.36608 .23145 L
.36575 .23119 L
.36415 .2299 L
.36337 .22927 L
.36222 .22833 L
.36101 .22734 L
.3603 .22675 L
.35868 .22541 L
.35837 .22515 L
.35644 .22354 L
.35638 .22349 L
.35452 .22191 L
.3541 .22156 L
.35259 .22027 L
.35184 .21963 L
.35066 .21862 L
.3496 .2177 L
.34874 .21696 L
.34738 .21578 L
.34681 .21528 L
.34518 .21385 L
.34488 .21359 L
.34299 .21192 L
.34296 .21189 L
.34103 .21018 L
.34082 .21 L
.3391 .20846 L
.33867 .20807 L
.33717 .20673 L
.33653 .20614 L
.33525 .20498 L
.3344 .20422 L
.33332 .20323 L
.33229 .20229 L
.33139 .20147 L
.33018 .20036 L
.32947 .1997 L
.32809 .19844 L
.32754 .19792 L
.32601 .19651 L
.32561 .19614 L
.32394 .19458 L
.32369 .19434 L
.32188 .19265 L
.32176 .19254 L
.31983 .19073 L
.31983 .19073 L
.31791 .18891 L
.31779 .1888 L
.31598 .18708 L
.31576 .18687 L
.31405 .18524 L
.31374 .18495 L
.31212 .1834 L
.31173 .18302 L
.3102 .18154 L
.30973 .18109 L
.30827 .17968 L
.30775 .17917 L
.30634 .1778 L
.30577 .17724 L
.30442 .17591 L
.3038 .17531 L
.30249 .17402 L
.30185 .17339 L
.30056 .17211 L
.29991 .17146 L
.29864 .17018 L
.29799 .16953 L
.29671 .16825 L
.29607 .1676 L
.29478 .16629 L
.29418 .16568 L
.29285 .16433 L
.29229 .16375 L
.29093 .16235 L
.29042 .16182 L
.289 .16035 L
.28856 .1599 L
.28707 .15834 L
.28672 .15797 L
.28515 .15632 L
.28489 .15604 L
.28322 .15428 L
.28307 .15412 L
.28129 .15222 L
.28127 .15219 L
.27948 .15026 L
.27937 .15014 L
.2777 .14834 L
.27744 .14805 L
.27594 .14641 L
.27551 .14594 L
.2742 .14448 L
.27359 .1438 L
.27247 .14255 L
.27166 .14165 L
.27075 .14063 L
.26973 .13947 L
.26905 .1387 L
.2678 .13727 L
.26738 .13677 L
.26588 .13503 L
.26572 .13485 L
.26408 .13292 L
.26395 .13277 L
.26247 .13099 L
.26202 .13046 L
.26088 .12907 L
.2601 .1281 L
.25932 .12714 L
.25817 .12569 L
.2578 .12521 L
.25632 .12329 L
.25624 .12319 L
.25487 .12136 L
.25432 .12061 L
.25348 .11943 L
.25239 .11787 L
.25215 .1175 L
.25089 .11558 L
.25046 .11497 L
.24974 .11365 L
.24872 .11172 L
.24854 .1113 L
.24792 .1098 L
.24741 .10787 L
F
0 .97 1 r
.25239 .18252 m
.25432 .18219 L
.25624 .182 L
.25817 .18188 L
.2601 .18179 L
.26202 .18174 L
.26395 .1817 L
.26588 .18168 L
.2678 .18168 L
.26973 .18169 L
.27166 .18172 L
.27359 .18176 L
.27551 .18182 L
.27744 .18191 L
.27937 .18203 L
.28129 .18218 L
.28322 .18239 L
.28515 .18265 L
.28707 .18297 L
.28737 .18302 L
.289 .18342 L
.29093 .18399 L
.29285 .18466 L
.29359 .18495 L
.29478 .18549 L
.29671 .18645 L
.2975 .18687 L
.29864 .18755 L
.30056 .18877 L
.30061 .1888 L
.30249 .19012 L
.30332 .19073 L
.30442 .19157 L
.30577 .19265 L
.30634 .19313 L
.30803 .19458 L
.30827 .19479 L
.31014 .19651 L
.3102 .19657 L
.3121 .19844 L
.31212 .19846 L
.31393 .20036 L
.31405 .2005 L
.31561 .20229 L
.31598 .20274 L
.3171 .20422 L
.31791 .20535 L
.31836 .20614 L
.31927 .20807 L
.31956 .21 L
.31841 .21192 L
.31791 .21234 L
.31598 .2131 L
.31405 .21343 L
.31212 .21364 L
.3102 .21378 L
.309 .21385 L
.30827 .21389 L
.30634 .21396 L
.30442 .21401 L
.30249 .21403 L
.30056 .21404 L
.29864 .21403 L
.29671 .21399 L
.29478 .21394 L
.29285 .21387 L
.29236 .21385 L
.29093 .21377 L
.289 .21363 L
.28707 .21344 L
.28515 .21319 L
.28322 .21287 L
.28129 .21248 L
.27937 .21202 L
.279 .21192 L
.27744 .2114 L
.27551 .21067 L
.27391 .21 L
.27359 .20984 L
.27166 .20885 L
.27025 .20807 L
.26973 .20775 L
.2678 .20654 L
.26721 .20614 L
.26588 .20521 L
.26452 .20422 L
.26395 .20378 L
.26207 .20229 L
.26202 .20225 L
.2601 .20063 L
.25979 .20036 L
.25817 .1989 L
.25767 .19844 L
.25624 .19706 L
.25569 .19651 L
.25432 .19508 L
.25385 .19458 L
.25239 .19292 L
.25216 .19265 L
.25067 .19073 L
.25046 .19048 L
.24943 .1888 L
.24859 .18687 L
.24855 .18495 L
.25046 .18317 L
.25083 .18302 L
F
0 .96 1 r
.25432 .18278 m
.25624 .18243 L
.25817 .18222 L
.2601 .18208 L
.26202 .182 L
.26395 .18194 L
.26588 .18191 L
.2678 .1819 L
.26973 .18191 L
.27166 .18194 L
.27359 .182 L
.27551 .18208 L
.27744 .18219 L
.27937 .18234 L
.28129 .18254 L
.28322 .18279 L
.28474 .18302 L
.28515 .1831 L
.28707 .18353 L
.289 .18405 L
.29093 .18467 L
.29171 .18495 L
.29285 .18543 L
.29478 .18632 L
.2959 .18687 L
.29671 .18733 L
.29864 .18847 L
.29917 .1888 L
.30056 .18973 L
.30197 .19073 L
.30249 .19111 L
.30442 .1926 L
.30448 .19265 L
.30634 .19421 L
.30678 .19458 L
.30827 .19592 L
.3089 .19651 L
.3102 .19777 L
.31086 .19844 L
.31212 .19977 L
.31266 .20036 L
.31405 .20199 L
.31429 .20229 L
.31572 .20422 L
.31598 .20456 L
.31688 .20614 L
.31763 .20807 L
.31768 .21 L
.31603 .21192 L
.31598 .21196 L
.31405 .21277 L
.31212 .21316 L
.3102 .21339 L
.30827 .21355 L
.30634 .21365 L
.30442 .21372 L
.30249 .21376 L
.30056 .21377 L
.29864 .21376 L
.29671 .21372 L
.29478 .21365 L
.29285 .21355 L
.29093 .21342 L
.289 .21324 L
.28707 .213 L
.28515 .2127 L
.28322 .21233 L
.28139 .21192 L
.28129 .2119 L
.27937 .21132 L
.27744 .21064 L
.27579 .21 L
.27551 .20987 L
.27359 .20895 L
.27189 .20807 L
.27166 .20794 L
.26973 .20679 L
.26869 .20614 L
.2678 .20555 L
.2659 .20422 L
.26588 .2042 L
.26395 .20274 L
.26338 .20229 L
.26202 .20117 L
.26107 .20036 L
.2601 .19951 L
.25892 .19844 L
.25817 .19772 L
.25693 .19651 L
.25624 .1958 L
.2551 .19458 L
.25432 .19369 L
.25345 .19265 L
.25239 .19128 L
.25201 .19073 L
.25087 .1888 L
.25046 .18786 L
.25019 .18687 L
.25043 .18495 L
.25046 .18489 L
.25239 .18339 L
.25346 .18302 L
F
0 .95 1 r
.25624 .18292 m
.25817 .18259 L
.2601 .18239 L
.26202 .18226 L
.26395 .18218 L
.26588 .18214 L
.2678 .18212 L
.26973 .18213 L
.27166 .18217 L
.27359 .18224 L
.27551 .18233 L
.27744 .18247 L
.27937 .18265 L
.28129 .18287 L
.28237 .18302 L
.28322 .18316 L
.28515 .18355 L
.28707 .18403 L
.289 .1846 L
.29007 .18495 L
.29093 .18528 L
.29285 .1861 L
.2945 .18687 L
.29478 .18702 L
.29671 .18809 L
.2979 .1888 L
.29864 .18927 L
.30056 .19057 L
.30078 .19073 L
.30249 .19199 L
.30334 .19265 L
.30442 .19353 L
.30566 .19458 L
.30634 .19518 L
.30779 .19651 L
.30827 .19696 L
.30975 .19844 L
.3102 .1989 L
.31153 .20036 L
.31212 .20104 L
.31313 .20229 L
.31405 .20352 L
.3145 .20422 L
.31558 .20614 L
.31598 .20713 L
.31622 .20807 L
.31606 .21 L
.31598 .21017 L
.31405 .21187 L
.31394 .21192 L
.31212 .21258 L
.3102 .21296 L
.30827 .21319 L
.30634 .21334 L
.30442 .21343 L
.30249 .21349 L
.30056 .2135 L
.29864 .21349 L
.29671 .21345 L
.29478 .21337 L
.29285 .21325 L
.29093 .21309 L
.289 .21287 L
.28707 .2126 L
.28515 .21226 L
.28348 .21192 L
.28322 .21186 L
.28129 .21133 L
.27937 .21071 L
.27744 .21001 L
.27741 .21 L
.27551 .20915 L
.27359 .20821 L
.2733 .20807 L
.27166 .20714 L
.26999 .20614 L
.26973 .20598 L
.2678 .20469 L
.26712 .20422 L
.26588 .20331 L
.26454 .20229 L
.26395 .20182 L
.26219 .20036 L
.26202 .20022 L
.2601 .1985 L
.26003 .19844 L
.25817 .19664 L
.25804 .19651 L
.25624 .19461 L
.25622 .19458 L
.25459 .19265 L
.25432 .19231 L
.2532 .19073 L
.25239 .18947 L
.25214 .1888 L
.25159 .18687 L
.25207 .18495 L
.25239 .18458 L
.25432 .18346 L
.25582 .18302 L
F
1 .89 0 r
.25239 .11075 m
.25432 .11045 L
.25624 .11115 L
.25754 .11172 L
.25817 .11201 L
.2601 .11302 L
.26126 .11365 L
.26202 .11413 L
.26395 .11532 L
.26436 .11558 L
.26588 .11657 L
.26728 .1175 L
.2678 .11787 L
.26973 .11921 L
.27005 .11943 L
.27166 .12058 L
.27273 .12136 L
.27359 .12199 L
.27532 .12329 L
.27551 .12343 L
.27744 .12489 L
.27786 .12521 L
.27937 .12637 L
.28035 .12714 L
.28129 .12788 L
.2828 .12907 L
.28322 .1294 L
.28515 .13095 L
.28521 .13099 L
.28707 .13251 L
.28758 .13292 L
.289 .13408 L
.28993 .13485 L
.29093 .13568 L
.29225 .13677 L
.29285 .13728 L
.29454 .1387 L
.29478 .1389 L
.29671 .14054 L
.29682 .14063 L
.29864 .14218 L
.29907 .14255 L
.30056 .14384 L
.3013 .14448 L
.30249 .14552 L
.30351 .14641 L
.30442 .1472 L
.30571 .14834 L
.30634 .14889 L
.30789 .15026 L
.30827 .1506 L
.31005 .15219 L
.3102 .15232 L
.31212 .15405 L
.3122 .15412 L
.31405 .15578 L
.31434 .15604 L
.31598 .15753 L
.31646 .15797 L
.31791 .15929 L
.31856 .1599 L
.31983 .16107 L
.32065 .16182 L
.32176 .16285 L
.32273 .16375 L
.32369 .16464 L
.3248 .16568 L
.32561 .16644 L
.32685 .1676 L
.32754 .16825 L
.3289 .16953 L
.32947 .17007 L
.33093 .17146 L
.33139 .1719 L
.33294 .17339 L
.33332 .17375 L
.33495 .17531 L
.33525 .1756 L
.33694 .17724 L
.33717 .17746 L
.33892 .17917 L
.3391 .17934 L
.34089 .18109 L
.34103 .18122 L
.34285 .18302 L
.34296 .18312 L
.3448 .18495 L
.34488 .18503 L
.34673 .18687 L
.34681 .18695 L
.34866 .1888 L
.34874 .18888 L
.35057 .19073 L
.35066 .19083 L
.35246 .19265 L
.35259 .19278 L
.35435 .19458 L
.35452 .19475 L
.35622 .19651 L
.35644 .19674 L
.35808 .19844 L
.35837 .19874 L
.35993 .20036 L
.3603 .20075 L
.36176 .20229 L
.36222 .20278 L
.36358 .20422 L
.36415 .20482 L
.36538 .20614 L
.36608 .20689 L
.36717 .20807 L
.36801 .20897 L
.36895 .21 L
.36993 .21107 L
.3707 .21192 L
.37186 .2132 L
.37244 .21385 L
.37379 .21535 L
.37417 .21578 L
.37571 .21753 L
.37587 .2177 L
.37755 .21963 L
.37764 .21973 L
.37921 .22156 L
.37957 .22197 L
.38085 .22349 L
.38149 .22425 L
.38246 .22541 L
.38342 .22658 L
.38404 .22734 L
.38535 .22896 L
.38559 .22927 L
.3871 .23119 L
.38727 .23141 L
.38858 .23312 L
.3892 .23394 L
.39001 .23505 L
.39113 .23661 L
.39137 .23697 L
.39268 .2389 L
.39306 .23942 L
.39389 .24083 L
.39496 .24275 L
.39498 .24279 L
.39589 .24468 L
.3966 .24661 L
.39498 .24848 L
.39306 .24825 L
.39113 .24748 L
.38936 .24661 L
.3892 .24653 L
.38727 .24548 L
.38589 .24468 L
.38535 .24433 L
.38342 .24311 L
.38287 .24275 L
.38149 .24184 L
.38 .24083 L
.37957 .24052 L
.37764 .23917 L
.37727 .2389 L
.37571 .23778 L
.37461 .23697 L
.37379 .23636 L
.37204 .23505 L
.37186 .23491 L
.36993 .23344 L
.36951 .23312 L
.36801 .23195 L
.36704 .23119 L
.36608 .23044 L
.36461 .22927 L
.36415 .2289 L
.36222 .22735 L
.36221 .22734 L
.3603 .22578 L
.35984 .22541 L
.35837 .2242 L
.3575 .22349 L
.35644 .2226 L
.35519 .22156 L
.35452 .22099 L
.35291 .21963 L
.35259 .21936 L
.35066 .21772 L
.35064 .2177 L
.34874 .21607 L
.3484 .21578 L
.34681 .2144 L
.34618 .21385 L
.34488 .21272 L
.34398 .21192 L
.34296 .21103 L
.34179 .21 L
.34103 .20932 L
.33962 .20807 L
.3391 .20761 L
.33747 .20614 L
.33717 .20588 L
.33533 .20422 L
.33525 .20414 L
.33332 .2024 L
.3332 .20229 L
.33139 .20064 L
.33109 .20036 L
.32947 .19887 L
.32899 .19844 L
.32754 .1971 L
.3269 .19651 L
.32561 .19531 L
.32483 .19458 L
.32369 .19352 L
.32276 .19265 L
.32176 .19171 L
.32071 .19073 L
.31983 .1899 L
.31867 .1888 L
.31791 .18808 L
.31664 .18687 L
.31598 .18624 L
.31462 .18495 L
.31405 .1844 L
.31261 .18302 L
.31212 .18255 L
.31061 .18109 L
.3102 .18069 L
.30863 .17917 L
.30827 .17882 L
.30665 .17724 L
.30634 .17694 L
.30469 .17531 L
.30442 .17504 L
.30274 .17339 L
.30249 .17313 L
.30081 .17146 L
.30056 .17121 L
.29889 .16953 L
.29864 .16928 L
.29698 .1676 L
.29671 .16733 L
.29509 .16568 L
.29478 .16537 L
.29321 .16375 L
.29285 .16339 L
.29134 .16182 L
.29093 .1614 L
.28949 .1599 L
.289 .15939 L
.28765 .15797 L
.28707 .15736 L
.28583 .15604 L
.28515 .15532 L
.28402 .15412 L
.28322 .15326 L
.28222 .15219 L
.28129 .15118 L
.28045 .15026 L
.27937 .14909 L
.27868 .14834 L
.27744 .14697 L
.27693 .14641 L
.27551 .14483 L
.2752 .14448 L
.27359 .14266 L
.27349 .14255 L
.2718 .14063 L
.27166 .14047 L
.27012 .1387 L
.26973 .13825 L
.26847 .13677 L
.2678 .13599 L
.26684 .13485 L
.26588 .13369 L
.26524 .13292 L
.26395 .13134 L
.26367 .13099 L
.26213 .12907 L
.26202 .12894 L
.26062 .12714 L
.2601 .12646 L
.25916 .12521 L
.25817 .12387 L
.25775 .12329 L
.2564 .12136 L
.25624 .12115 L
.25513 .11943 L
.25432 .11817 L
.25396 .1175 L
.25291 .11558 L
.25239 .11435 L
.25212 .11365 L
.25169 .11172 L
F
0 .94 1 r
.25817 .18301 m
.2601 .18272 L
.26202 .18254 L
.26395 .18243 L
.26588 .18237 L
.2678 .18235 L
.26973 .18235 L
.27166 .18239 L
.27359 .18247 L
.27551 .18258 L
.27744 .18273 L
.27937 .18293 L
.2801 .18302 L
.28129 .18319 L
.28322 .18354 L
.28515 .18396 L
.28707 .18448 L
.28861 .18495 L
.289 .18509 L
.29093 .18584 L
.29285 .18669 L
.29326 .18687 L
.29478 .18767 L
.29671 .18876 L
.29677 .1888 L
.29864 .18999 L
.29972 .19073 L
.30056 .19133 L
.30232 .19265 L
.30249 .19279 L
.30442 .19437 L
.30467 .19458 L
.30634 .19608 L
.30681 .19651 L
.30827 .19793 L
.30876 .19844 L
.3102 .19998 L
.31053 .20036 L
.3121 .20229 L
.31212 .20232 L
.31343 .20422 L
.31405 .20515 L
.31444 .20614 L
.31496 .20807 L
.31461 .21 L
.31405 .21073 L
.31212 .21191 L
.31201 .21192 L
.3102 .21247 L
.30827 .2128 L
.30634 .21301 L
.30442 .21314 L
.30249 .21321 L
.30056 .21324 L
.29864 .21323 L
.29671 .21318 L
.29478 .21309 L
.29285 .21295 L
.29093 .21277 L
.289 .21253 L
.28707 .21223 L
.2854 .21192 L
.28515 .21187 L
.28322 .21139 L
.28129 .21083 L
.27937 .21018 L
.27885 .21 L
.27744 .20941 L
.27551 .20853 L
.27456 .20807 L
.27359 .20755 L
.27166 .20645 L
.27113 .20614 L
.26973 .20524 L
.2682 .20422 L
.2678 .20394 L
.26588 .20252 L
.26558 .20229 L
.26395 .20099 L
.2632 .20036 L
.26202 .19934 L
.26102 .19844 L
.2601 .19757 L
.25902 .19651 L
.25817 .19563 L
.25721 .19458 L
.25624 .19345 L
.25561 .19265 L
.25432 .19082 L
.25426 .19073 L
.25327 .1888 L
.25283 .18687 L
.25353 .18495 L
.25432 .18429 L
.25624 .1833 L
.2581 .18302 L
F
0 .93 1 r
.26202 .18283 m
.26395 .18269 L
.26588 .18261 L
.2678 .18257 L
.26973 .18257 L
.27166 .18262 L
.27359 .1827 L
.27551 .18282 L
.27744 .18299 L
.27775 .18302 L
.27937 .18322 L
.28129 .18351 L
.28322 .18389 L
.28515 .18435 L
.28707 .18489 L
.28727 .18495 L
.289 .18556 L
.29093 .18634 L
.29213 .18687 L
.29285 .18723 L
.29478 .18825 L
.29575 .1888 L
.29671 .18939 L
.29864 .19064 L
.29877 .19073 L
.30056 .19202 L
.3014 .19265 L
.30249 .19352 L
.30377 .19458 L
.30442 .19514 L
.30592 .19651 L
.30634 .19691 L
.30787 .19844 L
.30827 .19886 L
.30962 .20036 L
.3102 .20104 L
.31117 .20229 L
.31212 .20365 L
.31245 .20422 L
.3134 .20614 L
.31383 .20807 L
.3133 .21 L
.31212 .2114 L
.3102 .21192 L
.31015 .21192 L
.30827 .21238 L
.30634 .21266 L
.30442 .21283 L
.30249 .21293 L
.30056 .21297 L
.29864 .21296 L
.29671 .21291 L
.29478 .21281 L
.29285 .21267 L
.29093 .21247 L
.289 .21221 L
.28726 .21192 L
.28707 .21189 L
.28515 .21147 L
.28322 .21097 L
.28129 .21038 L
.28016 .21 L
.27937 .20969 L
.27744 .20888 L
.27568 .20807 L
.27551 .20798 L
.27359 .20695 L
.27217 .20614 L
.27166 .20583 L
.26973 .20459 L
.26917 .20422 L
.2678 .20325 L
.26651 .20229 L
.26588 .2018 L
.2641 .20036 L
.26395 .20024 L
.26202 .19854 L
.26191 .19844 L
.2601 .19669 L
.25991 .19651 L
.25817 .19465 L
.25811 .19458 L
.25653 .19265 L
.25624 .19229 L
.25522 .19073 L
.25432 .18896 L
.25428 .1888 L
.25396 .18687 L
.25432 .18564 L
.25487 .18495 L
.25624 .18387 L
.25817 .18334 L
.2601 .18306 L
.26044 .18302 L
F
0 .92 1 r
.26395 .18295 m
.26588 .18285 L
.2678 .1828 L
.26973 .1828 L
.27166 .18284 L
.27359 .18292 L
.27506 .18302 L
.27551 .18306 L
.27744 .18325 L
.27937 .1835 L
.28129 .18382 L
.28322 .18422 L
.28515 .1847 L
.28602 .18495 L
.28707 .18529 L
.289 .186 L
.29093 .1868 L
.2911 .18687 L
.29285 .18774 L
.29478 .18878 L
.29482 .1888 L
.29671 .18996 L
.29789 .19073 L
.29864 .19125 L
.30056 .19265 L
.30056 .19265 L
.30249 .1942 L
.30295 .19458 L
.30442 .19588 L
.3051 .19651 L
.30634 .19771 L
.30705 .19844 L
.30827 .19975 L
.30879 .20036 L
.3102 .20212 L
.31032 .20229 L
.31157 .20422 L
.31212 .2053 L
.31246 .20614 L
.31279 .20807 L
.31212 .20994 L
.31208 .21 L
.3102 .21146 L
.30827 .21192 L
.30827 .21192 L
.30634 .2123 L
.30442 .21252 L
.30249 .21264 L
.30056 .2127 L
.29864 .2127 L
.29671 .21265 L
.29478 .21254 L
.29285 .21239 L
.29093 .21217 L
.28914 .21192 L
.289 .2119 L
.28707 .21154 L
.28515 .2111 L
.28322 .21057 L
.28139 .21 L
.28129 .20996 L
.27937 .20923 L
.27744 .2084 L
.27672 .20807 L
.27551 .20746 L
.27359 .20641 L
.27311 .20614 L
.27166 .20525 L
.27005 .20422 L
.26973 .204 L
.2678 .20262 L
.26736 .20229 L
.26588 .20113 L
.26493 .20036 L
.26395 .19953 L
.26273 .19844 L
.26202 .19778 L
.26073 .19651 L
.2601 .19586 L
.25894 .19458 L
.25817 .19369 L
.25737 .19265 L
.25624 .191 L
.2561 .19073 L
.25522 .1888 L
.25499 .18687 L
.25612 .18495 L
.25624 .18483 L
.25817 .18379 L
.2601 .18337 L
.26202 .18313 L
.26314 .18302 L
F
1 .88 0 r
.25624 .11471 m
.25817 .11424 L
.2601 .11498 L
.26141 .11558 L
.26202 .11586 L
.26395 .11689 L
.26508 .1175 L
.26588 .11801 L
.2678 .11922 L
.26814 .11943 L
.26973 .12048 L
.27103 .12136 L
.27166 .1218 L
.27359 .12316 L
.27377 .12329 L
.27551 .12455 L
.27642 .12521 L
.27744 .12597 L
.279 .12714 L
.27937 .12742 L
.28129 .1289 L
.28151 .12907 L
.28322 .1304 L
.28398 .13099 L
.28515 .13192 L
.28641 .13292 L
.28707 .13346 L
.28879 .13485 L
.289 .13502 L
.29093 .13659 L
.29115 .13677 L
.29285 .13818 L
.29348 .1387 L
.29478 .13979 L
.29578 .14063 L
.29671 .14141 L
.29805 .14255 L
.29864 .14305 L
.30031 .14448 L
.30056 .1447 L
.30249 .14636 L
.30254 .14641 L
.30442 .14804 L
.30476 .14834 L
.30634 .14973 L
.30695 .15026 L
.30827 .15143 L
.30913 .15219 L
.3102 .15314 L
.31129 .15412 L
.31212 .15487 L
.31343 .15604 L
.31405 .1566 L
.31556 .15797 L
.31598 .15835 L
.31768 .1599 L
.31791 .1601 L
.31978 .16182 L
.31983 .16187 L
.32176 .16365 L
.32186 .16375 L
.32369 .16544 L
.32394 .16568 L
.32561 .16725 L
.326 .1676 L
.32754 .16906 L
.32804 .16953 L
.32947 .17088 L
.33007 .17146 L
.33139 .17272 L
.33209 .17339 L
.33332 .17456 L
.3341 .17531 L
.33525 .17642 L
.3361 .17724 L
.33717 .17829 L
.33808 .17917 L
.3391 .18017 L
.34005 .18109 L
.34103 .18206 L
.34201 .18302 L
.34296 .18396 L
.34395 .18495 L
.34488 .18587 L
.34588 .18687 L
.34681 .1878 L
.3478 .1888 L
.34874 .18974 L
.34971 .19073 L
.35066 .1917 L
.3516 .19265 L
.35259 .19367 L
.35348 .19458 L
.35452 .19565 L
.35535 .19651 L
.35644 .19765 L
.3572 .19844 L
.35837 .19966 L
.35904 .20036 L
.3603 .20169 L
.36086 .20229 L
.36222 .20374 L
.36267 .20422 L
.36415 .20581 L
.36446 .20614 L
.36608 .2079 L
.36624 .20807 L
.368 .21 L
.36801 .21001 L
.36974 .21192 L
.36993 .21214 L
.37146 .21385 L
.37186 .2143 L
.37316 .21578 L
.37379 .21649 L
.37484 .2177 L
.37571 .21872 L
.37649 .21963 L
.37764 .22098 L
.37812 .22156 L
.37957 .22329 L
.37973 .22349 L
.3813 .22541 L
.38149 .22565 L
.38283 .22734 L
.38342 .22808 L
.38433 .22927 L
.38535 .23061 L
.38578 .23119 L
.38717 .23312 L
.38727 .23326 L
.3885 .23505 L
.3892 .23607 L
.38973 .23697 L
.39085 .2389 L
.39113 .23947 L
.39179 .24083 L
.39255 .24275 L
.39113 .24461 L
.3892 .24444 L
.38727 .24364 L
.38551 .24275 L
.38535 .24267 L
.38342 .24161 L
.38208 .24083 L
.38149 .24044 L
.37957 .23921 L
.3791 .2389 L
.37764 .23792 L
.37626 .23697 L
.37571 .23659 L
.37379 .23521 L
.37355 .23505 L
.37186 .23381 L
.37092 .23312 L
.36993 .23238 L
.36837 .23119 L
.36801 .23091 L
.36608 .22943 L
.36587 .22927 L
.36415 .22792 L
.36342 .22734 L
.36222 .22639 L
.361 .22541 L
.3603 .22484 L
.35863 .22349 L
.35837 .22327 L
.35644 .22169 L
.35628 .22156 L
.35452 .22009 L
.35397 .21963 L
.35259 .21848 L
.35167 .2177 L
.35066 .21685 L
.34941 .21578 L
.34874 .2152 L
.34716 .21385 L
.34681 .21354 L
.34494 .21192 L
.34488 .21187 L
.34296 .21019 L
.34274 .21 L
.34103 .20849 L
.34055 .20807 L
.3391 .20678 L
.33838 .20614 L
.33717 .20506 L
.33623 .20422 L
.33525 .20333 L
.33409 .20229 L
.33332 .20159 L
.33197 .20036 L
.33139 .19983 L
.32986 .19844 L
.32947 .19807 L
.32777 .19651 L
.32754 .1963 L
.32569 .19458 L
.32561 .19451 L
.32369 .19272 L
.32362 .19265 L
.32176 .19091 L
.32156 .19073 L
.31983 .1891 L
.31952 .1888 L
.31791 .18727 L
.31748 .18687 L
.31598 .18544 L
.31546 .18495 L
.31405 .18359 L
.31346 .18302 L
.31212 .18174 L
.31146 .18109 L
.3102 .17987 L
.30948 .17917 L
.30827 .17799 L
.3075 .17724 L
.30634 .1761 L
.30555 .17531 L
.30442 .17419 L
.3036 .17339 L
.30249 .17228 L
.30167 .17146 L
.30056 .17035 L
.29975 .16953 L
.29864 .1684 L
.29785 .1676 L
.29671 .16644 L
.29596 .16568 L
.29478 .16447 L
.29409 .16375 L
.29285 .16248 L
.29223 .16182 L
.29093 .16047 L
.29038 .1599 L
.289 .15845 L
.28855 .15797 L
.28707 .1564 L
.28674 .15604 L
.28515 .15434 L
.28494 .15412 L
.28322 .15226 L
.28315 .15219 L
.28139 .15026 L
.28129 .15016 L
.27964 .14834 L
.27937 .14804 L
.27791 .14641 L
.27744 .14589 L
.27619 .14448 L
.27551 .14371 L
.2745 .14255 L
.27359 .1415 L
.27283 .14063 L
.27166 .13926 L
.27119 .1387 L
.26973 .13697 L
.26956 .13677 L
.26797 .13485 L
.2678 .13464 L
.26641 .13292 L
.26588 .13226 L
.26489 .13099 L
.26395 .12979 L
.26341 .12907 L
.26202 .1272 L
.26198 .12714 L
.2606 .12521 L
.2601 .12452 L
.2593 .12329 L
.25817 .12147 L
.25811 .12136 L
.25702 .11943 L
.25624 .11758 L
.25621 .1175 L
.25577 .11558 L
F
0 .91 1 r
.26973 .18302 m
.26996 .18302 L
.27166 .18306 L
.27359 .18315 L
.27551 .1833 L
.27744 .1835 L
.27937 .18377 L
.28129 .18411 L
.28322 .18453 L
.28482 .18495 L
.28515 .18504 L
.28707 .18567 L
.289 .1864 L
.29014 .18687 L
.29093 .18724 L
.29285 .18821 L
.29396 .1888 L
.29478 .18928 L
.29671 .19049 L
.29708 .19073 L
.29864 .19181 L
.29978 .19265 L
.30056 .19326 L
.30219 .19458 L
.30249 .19484 L
.30435 .19651 L
.30442 .19657 L
.3063 .19844 L
.30634 .19848 L
.30803 .20036 L
.30827 .20064 L
.30953 .20229 L
.3102 .20323 L
.31075 .20422 L
.31158 .20614 L
.31183 .20807 L
.31092 .21 L
.3102 .21071 L
.30827 .21152 L
.30634 .21191 L
.30625 .21192 L
.30442 .21219 L
.30249 .21235 L
.30056 .21243 L
.29864 .21244 L
.29671 .21239 L
.29478 .21228 L
.29285 .21212 L
.29116 .21192 L
.29093 .21189 L
.289 .21159 L
.28707 .21121 L
.28515 .21075 L
.28322 .2102 L
.28255 .21 L
.28129 .20956 L
.27937 .2088 L
.27769 .20807 L
.27744 .20795 L
.27551 .20697 L
.27398 .20614 L
.27359 .20591 L
.27166 .20472 L
.27087 .20422 L
.26973 .20343 L
.26814 .20229 L
.2678 .20203 L
.26588 .20051 L
.26569 .20036 L
.26395 .19886 L
.26348 .19844 L
.26202 .19706 L
.26148 .19651 L
.2601 .19504 L
.25969 .19458 L
.25817 .19268 L
.25815 .19265 L
.25691 .19073 L
.25624 .1893 L
.25608 .1888 L
.25595 .18687 L
.25624 .18609 L
.25732 .18495 L
.25817 .18439 L
.2601 .18374 L
.26202 .18341 L
.26395 .18321 L
.26588 .18309 L
.2678 .18303 L
.26824 .18302 L
F
0 .9 1 r
.2601 .18418 m
.26202 .18373 L
.26395 .18348 L
.26588 .18333 L
.2678 .18325 L
.26973 .18324 L
.27166 .18328 L
.27359 .18338 L
.27551 .18353 L
.27744 .18375 L
.27937 .18403 L
.28129 .18439 L
.28322 .18483 L
.28366 .18495 L
.28515 .18538 L
.28707 .18603 L
.289 .18678 L
.28923 .18687 L
.29093 .18766 L
.29285 .18864 L
.29315 .1888 L
.29478 .18976 L
.29632 .19073 L
.29671 .19098 L
.29864 .19234 L
.29906 .19265 L
.30056 .19383 L
.30148 .19458 L
.30249 .19545 L
.30365 .19651 L
.30442 .19724 L
.3056 .19844 L
.30634 .19923 L
.30732 .20036 L
.30827 .20154 L
.3088 .20229 L
.30999 .20422 L
.3102 .20464 L
.31077 .20614 L
.31091 .20807 L
.3102 .2096 L
.3098 .21 L
.30827 .211 L
.30634 .21155 L
.30442 .21186 L
.30387 .21192 L
.30249 .21205 L
.30056 .21215 L
.29864 .21217 L
.29671 .21213 L
.29478 .21202 L
.29355 .21192 L
.29285 .21185 L
.29093 .21161 L
.289 .21129 L
.28707 .2109 L
.28515 .21042 L
.28367 .21 L
.28322 .20985 L
.28129 .20917 L
.27937 .2084 L
.2786 .20807 L
.27744 .20752 L
.27551 .20653 L
.2748 .20614 L
.27359 .20543 L
.27166 .20423 L
.27164 .20422 L
.26973 .20291 L
.26887 .20229 L
.2678 .20148 L
.2664 .20036 L
.26588 .19992 L
.26418 .19844 L
.26395 .19823 L
.26218 .19651 L
.26202 .19635 L
.2604 .19458 L
.2601 .19423 L
.25888 .19265 L
.25817 .19168 L
.25766 .19073 L
.25689 .1888 L
.25686 .18687 L
.25817 .18514 L
.25848 .18495 L
F
0 .89 1 r
.2601 .1847 m
.26202 .18408 L
.26395 .18376 L
.26588 .18358 L
.2678 .18348 L
.26973 .18346 L
.27166 .1835 L
.27359 .1836 L
.27551 .18376 L
.27744 .18399 L
.27937 .18429 L
.28129 .18467 L
.28252 .18495 L
.28322 .18513 L
.28515 .1857 L
.28707 .18637 L
.28836 .18687 L
.289 .18715 L
.29093 .18805 L
.29238 .1888 L
.29285 .18906 L
.29478 .1902 L
.29561 .19073 L
.29671 .19146 L
.29838 .19265 L
.29864 .19285 L
.30056 .19437 L
.30082 .19458 L
.30249 .19604 L
.303 .19651 L
.30442 .19789 L
.30494 .19844 L
.30634 .19999 L
.30665 .20036 L
.30812 .20229 L
.30827 .20248 L
.30926 .20422 L
.30999 .20614 L
.31004 .20807 L
.3087 .21 L
.30827 .21032 L
.30634 .21113 L
.30442 .21153 L
.30249 .21175 L
.30056 .21187 L
.29864 .21191 L
.29671 .21187 L
.29478 .21176 L
.29285 .21159 L
.29093 .21133 L
.289 .211 L
.28707 .21059 L
.28515 .2101 L
.28477 .21 L
.28322 .20951 L
.28129 .20881 L
.27947 .20807 L
.27937 .20802 L
.27744 .20711 L
.27558 .20614 L
.27551 .20611 L
.27359 .20498 L
.27236 .20422 L
.27166 .20376 L
.26973 .20241 L
.26956 .20229 L
.2678 .20095 L
.26707 .20036 L
.26588 .19936 L
.26484 .19844 L
.26395 .19761 L
.26283 .19651 L
.26202 .19567 L
.26106 .19458 L
.2601 .19341 L
.25956 .19265 L
.25837 .19073 L
.25817 .19031 L
.25766 .1888 L
.25773 .18687 L
.25817 .18608 L
.25962 .18495 L
F
0 .99 1 r
.25817 .32908 m
.25864 .32947 L
.2601 .33072 L
.26065 .33139 L
.26202 .33287 L
.26237 .33332 L
.26395 .33512 L
.26401 .33525 L
.26555 .33717 L
.26588 .33756 L
.26706 .3391 L
.2678 .33999 L
.26858 .34103 L
.26973 .34223 L
.27011 .34296 L
.27162 .34488 L
.27166 .34493 L
.27306 .34681 L
.27359 .34747 L
.27451 .34874 L
.27551 .34975 L
.27599 .35066 L
.27744 .35253 L
.2775 .35259 L
.27889 .35452 L
.27937 .35512 L
.28032 .35644 L
.28129 .35745 L
.28178 .35837 L
.28322 .36026 L
.28326 .3603 L
.28464 .36222 L
.28515 .36288 L
.28606 .36415 L
.28707 .36526 L
.28799 .36608 L
.28895 .36801 L
.289 .36807 L
.29033 .36993 L
.29093 .3707 L
.29174 .37186 L
.29285 .37314 L
.29352 .37379 L
.29461 .37571 L
.29478 .37594 L
.29598 .37764 L
.29671 .37859 L
.29739 .37957 L
.29864 .38109 L
.29902 .38149 L
.30023 .38342 L
.30056 .38386 L
.3016 .38535 L
.30249 .38652 L
.30301 .38727 L
.30442 .38913 L
.30448 .3892 L
.3058 .39113 L
.30634 .39184 L
.30717 .39306 L
.30827 .39451 L
.30859 .39498 L
.30999 .39691 L
.3102 .39718 L
.31132 .39884 L
.31212 .3999 L
.3127 .40076 L
.31405 .40259 L
.31412 .40269 L
.31544 .40462 L
.31598 .40534 L
.31676 .40654 L
.31791 .4081 L
.31814 .40847 L
.31946 .4104 L
.31983 .41091 L
.3207 .41232 L
.32176 .41382 L
.32201 .41425 L
.32176 .41616 L
.32008 .41425 L
.31983 .41398 L
.31842 .41232 L
.31791 .41172 L
.3168 .4104 L
.31598 .40998 L
.31521 .40847 L
.31405 .40703 L
.3134 .40654 L
.31216 .40462 L
.31212 .40458 L
.31062 .40269 L
.3102 .40245 L
.3091 .40076 L
.30827 .3997 L
.30739 .39884 L
.30634 .39715 L
.30619 .39691 L
.30465 .39498 L
.30442 .39482 L
.30316 .39306 L
.30249 .39217 L
.30158 .39113 L
.30056 .38957 L
.30035 .3892 L
.2988 .38727 L
.29864 .38714 L
.29733 .38535 L
.29671 .38451 L
.29584 .38342 L
.29478 .38187 L
.2946 .38149 L
.29303 .37957 L
.29285 .37941 L
.29158 .37764 L
.29093 .37675 L
.29015 .37571 L
.289 .37409 L
.28888 .37379 L
.28733 .37186 L
.28707 .37161 L
.28535 .36993 L
.28515 .3689 L
.28451 .36801 L
.28322 .36622 L
.28317 .36608 L
.28169 .36415 L
.28129 .36374 L
.27987 .36222 L
.27937 .36096 L
.27892 .3603 L
.27751 .35837 L
.27744 .35827 L
.27612 .35644 L
.27551 .35577 L
.27442 .35452 L
.27359 .35291 L
.27338 .35259 L
.272 .35066 L
.27166 .35018 L
.27063 .34874 L
.26973 .34761 L
.26908 .34681 L
.26794 .34488 L
.2678 .34469 L
.26661 .34296 L
.26588 .34189 L
.26528 .34103 L
.26397 .3391 L
.26395 .33907 L
.26271 .33717 L
.26202 .33615 L
.26144 .33525 L
.26022 .33332 L
.2601 .33313 L
.25913 .33139 L
.25817 .32963 L
.25811 .32947 L
F
0 .88 1 r
.26202 .18448 m
.26395 .18406 L
.26588 .18384 L
.2678 .18372 L
.26973 .18369 L
.27166 .18372 L
.27359 .18382 L
.27551 .18399 L
.27744 .18423 L
.27937 .18454 L
.28129 .18493 L
.28137 .18495 L
.28322 .18542 L
.28515 .18601 L
.28707 .1867 L
.28752 .18687 L
.289 .18751 L
.29093 .18843 L
.29165 .1888 L
.29285 .18947 L
.29478 .19063 L
.29494 .19073 L
.29671 .19192 L
.29774 .19265 L
.29864 .19334 L
.30019 .19458 L
.30056 .19489 L
.30238 .19651 L
.30249 .19661 L
.30432 .19844 L
.30442 .19853 L
.30602 .20036 L
.30634 .20074 L
.30746 .20229 L
.30827 .20352 L
.30858 .20422 L
.30926 .20614 L
.3092 .20807 L
.30827 .20949 L
.3076 .21 L
.30634 .21065 L
.30442 .21117 L
.30249 .21145 L
.30056 .2116 L
.29864 .21165 L
.29671 .21161 L
.29478 .21151 L
.29285 .21132 L
.29093 .21106 L
.289 .21072 L
.28707 .2103 L
.28586 .21 L
.28515 .20979 L
.28322 .20918 L
.28129 .20846 L
.28031 .20807 L
.27937 .20765 L
.27744 .20672 L
.27631 .20614 L
.27551 .2057 L
.27359 .20456 L
.27304 .20422 L
.27166 .2033 L
.27021 .20229 L
.26973 .20194 L
.2678 .20045 L
.2677 .20036 L
.26588 .19881 L
.26546 .19844 L
.26395 .19701 L
.26345 .19651 L
.26202 .19497 L
.26169 .19458 L
.2602 .19265 L
.2601 .19255 L
.25905 .19073 L
.25839 .1888 L
.25857 .18687 L
.2601 .18529 L
.26077 .18495 L
F
0 .87 1 r
.26202 .18492 m
.26395 .18439 L
.26588 .18411 L
.2678 .18396 L
.26973 .18392 L
.27166 .18395 L
.27359 .18405 L
.27551 .18422 L
.27744 .18446 L
.27937 .18479 L
.28019 .18495 L
.28129 .1852 L
.28322 .1857 L
.28515 .18631 L
.28671 .18687 L
.28707 .18702 L
.289 .18785 L
.29093 .18879 L
.29095 .1888 L
.29285 .18986 L
.2943 .19073 L
.29478 .19104 L
.29671 .19236 L
.29712 .19265 L
.29864 .19381 L
.2996 .19458 L
.30056 .1954 L
.30179 .19651 L
.30249 .19717 L
.30373 .19844 L
.30442 .19917 L
.30542 .20036 L
.30634 .20154 L
.30685 .20229 L
.30793 .20422 L
.30827 .20506 L
.30855 .20614 L
.30839 .20807 L
.30827 .20833 L
.30649 .21 L
.30634 .21008 L
.30442 .21078 L
.30249 .21113 L
.30056 .21131 L
.29864 .21138 L
.29671 .21136 L
.29478 .21125 L
.29285 .21106 L
.29093 .2108 L
.289 .21045 L
.28707 .21002 L
.28698 .21 L
.28515 .20949 L
.28322 .20886 L
.28129 .20814 L
.28113 .20807 L
.27937 .2073 L
.27744 .20636 L
.27702 .20614 L
.27551 .20531 L
.27369 .20422 L
.27359 .20415 L
.27166 .20287 L
.27083 .20229 L
.26973 .20148 L
.2683 .20036 L
.2678 .19996 L
.26605 .19844 L
.26588 .19828 L
.26404 .19651 L
.26395 .19642 L
.26228 .19458 L
.26202 .19428 L
.26081 .19265 L
.2601 .19167 L
.25969 .19073 L
.25909 .1888 L
.25938 .18687 L
.2601 .18599 L
.26196 .18495 L
F
1 .87 0 r
.2601 .11849 m
.26202 .11792 L
.26395 .11875 L
.26539 .11943 L
.26588 .11965 L
.2678 .12071 L
.26897 .12136 L
.26973 .12185 L
.27166 .12309 L
.27197 .12329 L
.27359 .12437 L
.27483 .12521 L
.27551 .1257 L
.27744 .12708 L
.27753 .12714 L
.27937 .12848 L
.28015 .12907 L
.28129 .12992 L
.2827 .13099 L
.28322 .13139 L
.28515 .13289 L
.28519 .13292 L
.28707 .1344 L
.28763 .13485 L
.289 .13594 L
.29004 .13677 L
.29093 .1375 L
.2924 .1387 L
.29285 .13907 L
.29474 .14063 L
.29478 .14067 L
.29671 .14228 L
.29704 .14255 L
.29864 .1439 L
.29932 .14448 L
.30056 .14554 L
.30158 .14641 L
.30249 .14719 L
.30381 .14834 L
.30442 .14886 L
.30602 .15026 L
.30634 .15054 L
.30822 .15219 L
.30827 .15224 L
.3102 .15394 L
.31039 .15412 L
.31212 .15566 L
.31255 .15604 L
.31405 .15739 L
.31469 .15797 L
.31598 .15914 L
.31681 .1599 L
.31791 .16089 L
.31892 .16182 L
.31983 .16266 L
.32102 .16375 L
.32176 .16444 L
.32309 .16568 L
.32369 .16623 L
.32516 .1676 L
.32561 .16803 L
.32721 .16953 L
.32754 .16984 L
.32925 .17146 L
.32947 .17167 L
.33127 .17339 L
.33139 .1735 L
.33328 .17531 L
.33332 .17535 L
.33525 .17721 L
.33527 .17724 L
.33717 .17909 L
.33726 .17917 L
.3391 .18097 L
.33923 .18109 L
.34103 .18287 L
.34118 .18302 L
.34296 .18478 L
.34313 .18495 L
.34488 .1867 L
.34505 .18687 L
.34681 .18864 L
.34697 .1888 L
.34874 .19059 L
.34887 .19073 L
.35066 .19255 L
.35076 .19265 L
.35259 .19454 L
.35263 .19458 L
.35449 .19651 L
.35452 .19653 L
.35634 .19844 L
.35644 .19855 L
.35817 .20036 L
.35837 .20058 L
.35998 .20229 L
.3603 .20263 L
.36178 .20422 L
.36222 .2047 L
.36356 .20614 L
.36415 .20679 L
.36532 .20807 L
.36608 .20891 L
.36706 .21 L
.36801 .21105 L
.36878 .21192 L
.36993 .21323 L
.37048 .21385 L
.37186 .21543 L
.37216 .21578 L
.37379 .21768 L
.37381 .2177 L
.37543 .21963 L
.37571 .21997 L
.37702 .22156 L
.37764 .22231 L
.37858 .22349 L
.37957 .22472 L
.3801 .22541 L
.38149 .22723 L
.38157 .22734 L
.383 .22927 L
.38342 .22982 L
.38435 .23119 L
.38535 .23267 L
.38561 .23312 L
.38678 .23505 L
.38727 .23602 L
.38775 .23697 L
.38857 .2389 L
.38751 .24083 L
.38727 .24088 L
.38639 .24083 L
.38535 .24068 L
.38342 .23986 L
.38157 .2389 L
.38149 .23886 L
.37957 .23778 L
.37821 .23697 L
.37764 .23659 L
.37571 .23533 L
.37528 .23505 L
.37379 .23403 L
.37247 .23312 L
.37186 .23268 L
.36993 .23129 L
.3698 .23119 L
.36801 .22986 L
.3672 .22927 L
.36608 .22841 L
.36468 .22734 L
.36415 .22693 L
.36222 .22543 L
.36221 .22541 L
.3603 .2239 L
.35977 .22349 L
.35837 .22236 L
.35738 .22156 L
.35644 .22079 L
.35503 .21963 L
.35452 .21921 L
.35271 .2177 L
.35259 .21761 L
.35066 .21599 L
.35041 .21578 L
.34874 .21436 L
.34814 .21385 L
.34681 .21271 L
.3459 .21192 L
.34488 .21105 L
.34367 .21 L
.34296 .20937 L
.34147 .20807 L
.34103 .20768 L
.33928 .20614 L
.3391 .20598 L
.33717 .20427 L
.33712 .20422 L
.33525 .20254 L
.33497 .20229 L
.33332 .2008 L
.33284 .20036 L
.33139 .19905 L
.33072 .19844 L
.32947 .19729 L
.32862 .19651 L
.32754 .19552 L
.32653 .19458 L
.32561 .19373 L
.32445 .19265 L
.32369 .19194 L
.32239 .19073 L
.32176 .19013 L
.32034 .1888 L
.31983 .18832 L
.31831 .18687 L
.31791 .18649 L
.31629 .18495 L
.31598 .18465 L
.31428 .18302 L
.31405 .1828 L
.31228 .18109 L
.31212 .18094 L
.3103 .17917 L
.3102 .17907 L
.30833 .17724 L
.30827 .17718 L
.30637 .17531 L
.30634 .17528 L
.30443 .17339 L
.30442 .17337 L
.3025 .17146 L
.30249 .17144 L
.30059 .16953 L
.30056 .1695 L
.29869 .1676 L
.29864 .16755 L
.29681 .16568 L
.29671 .16557 L
.29494 .16375 L
.29478 .16359 L
.29309 .16182 L
.29285 .16158 L
.29125 .1599 L
.29093 .15956 L
.28943 .15797 L
.289 .15751 L
.28762 .15604 L
.28707 .15545 L
.28584 .15412 L
.28515 .15337 L
.28407 .15219 L
.28322 .15126 L
.28231 .15026 L
.28129 .14913 L
.28058 .14834 L
.27937 .14697 L
.27887 .14641 L
.27744 .14478 L
.27718 .14448 L
.27551 .14255 L
.27551 .14255 L
.27387 .14063 L
.27359 .14029 L
.27226 .1387 L
.27166 .13798 L
.27068 .13677 L
.26973 .13561 L
.26913 .13485 L
.2678 .13315 L
.26763 .13292 L
.26617 .13099 L
.26588 .13062 L
.26476 .12907 L
.26395 .12793 L
.26344 .12714 L
.2622 .12521 L
.26202 .1249 L
.26109 .12329 L
.26019 .12136 L
.2601 .121 L
.25971 .11943 L
F
0 .86 1 r
.26395 .18474 m
.26588 .18439 L
.2678 .18421 L
.26973 .18415 L
.27166 .18417 L
.27359 .18427 L
.27551 .18445 L
.27744 .1847 L
.27894 .18495 L
.27937 .18503 L
.28129 .18546 L
.28322 .18598 L
.28515 .1866 L
.28591 .18687 L
.28707 .18733 L
.289 .18818 L
.29028 .1888 L
.29093 .18914 L
.29285 .19023 L
.29368 .19073 L
.29478 .19144 L
.29654 .19265 L
.29671 .19278 L
.29864 .19426 L
.29903 .19458 L
.30056 .1959 L
.30123 .19651 L
.30249 .19773 L
.30317 .19844 L
.30442 .19983 L
.30485 .20036 L
.30626 .20229 L
.30634 .20236 L
.30731 .20422 L
.30786 .20614 L
.30759 .20807 L
.30634 .20945 L
.30533 .21 L
.30442 .21035 L
.30249 .2108 L
.30056 .21102 L
.29864 .21111 L
.29671 .2111 L
.29478 .211 L
.29285 .21081 L
.29093 .21054 L
.289 .21018 L
.28813 .21 L
.28707 .20974 L
.28515 .20919 L
.28322 .20855 L
.28193 .20807 L
.28129 .20781 L
.27937 .20696 L
.2777 .20614 L
.27744 .206 L
.27551 .20493 L
.27431 .20422 L
.27359 .20375 L
.27166 .20246 L
.27142 .20229 L
.26973 .20104 L
.26887 .20036 L
.2678 .19948 L
.26661 .19844 L
.26588 .19776 L
.2646 .19651 L
.26395 .19583 L
.26285 .19458 L
.26202 .19357 L
.2614 .19265 L
.26031 .19073 L
.2601 .19021 L
.25976 .1888 L
.2601 .18701 L
.26018 .18687 L
.26202 .18515 L
.2632 .18495 L
F
0 .85 1 r
.26588 .18469 m
.2678 .18447 L
.26973 .18439 L
.27166 .1844 L
.27359 .18449 L
.27551 .18467 L
.27744 .18493 L
.27756 .18495 L
.27937 .18527 L
.28129 .18571 L
.28322 .18625 L
.28513 .18687 L
.28515 .18688 L
.28707 .18764 L
.289 .1885 L
.28962 .1888 L
.29093 .18948 L
.29285 .19059 L
.29308 .19073 L
.29478 .19183 L
.29597 .19265 L
.29671 .19319 L
.29848 .19458 L
.29864 .19471 L
.30056 .19639 L
.30069 .19651 L
.30249 .19829 L
.30263 .19844 L
.3043 .20036 L
.30442 .20049 L
.30569 .20229 L
.30634 .2032 L
.3067 .20422 L
.3072 .20614 L
.3068 .20807 L
.30634 .20867 L
.30442 .20993 L
.3041 .21 L
.30249 .21044 L
.30056 .21072 L
.29864 .21084 L
.29671 .21084 L
.29478 .21074 L
.29285 .21055 L
.29093 .21028 L
.28936 .21 L
.289 .20992 L
.28707 .20946 L
.28515 .20891 L
.28322 .20825 L
.28272 .20807 L
.28129 .20749 L
.27937 .20663 L
.27837 .20614 L
.27744 .20566 L
.27551 .20457 L
.27492 .20422 L
.27359 .20337 L
.27199 .20229 L
.27166 .20206 L
.26973 .20061 L
.26942 .20036 L
.2678 .19902 L
.26715 .19844 L
.26588 .19725 L
.26514 .19651 L
.26395 .19523 L
.2634 .19458 L
.26202 .19276 L
.26196 .19265 L
.2609 .19073 L
.26042 .1888 L
.26096 .18687 L
.26202 .18562 L
.26395 .18506 L
.26457 .18495 L
F
0 .84 1 r
.2678 .18474 m
.26973 .18463 L
.27166 .18463 L
.27359 .18472 L
.27551 .1849 L
.27596 .18495 L
.27744 .18516 L
.27937 .18551 L
.28129 .18596 L
.28322 .18651 L
.28434 .18687 L
.28515 .18716 L
.28707 .18793 L
.28898 .1888 L
.289 .18881 L
.29093 .18982 L
.2925 .19073 L
.29285 .19094 L
.29478 .1922 L
.29543 .19265 L
.29671 .1936 L
.29795 .19458 L
.29864 .19515 L
.30017 .19651 L
.30056 .19688 L
.30211 .19844 L
.30249 .19884 L
.30377 .20036 L
.30442 .20117 L
.30514 .20229 L
.30612 .20422 L
.30634 .20489 L
.30655 .20614 L
.30634 .20743 L
.30601 .20807 L
.30442 .20955 L
.30272 .21 L
.30249 .21006 L
.30056 .2104 L
.29864 .21056 L
.29671 .21057 L
.29478 .21049 L
.29285 .2103 L
.29093 .21003 L
.29074 .21 L
.289 .20966 L
.28707 .20919 L
.28515 .20863 L
.28351 .20807 L
.28322 .20796 L
.28129 .20719 L
.27937 .20631 L
.27902 .20614 L
.27744 .20532 L
.27551 .20422 L
.2755 .20422 L
.27359 .203 L
.27254 .20229 L
.27166 .20166 L
.26995 .20036 L
.26973 .20019 L
.2678 .19856 L
.26767 .19844 L
.26588 .19673 L
.26566 .19651 L
.26395 .19461 L
.26393 .19458 L
.2625 .19265 L
.26202 .1923 L
.26148 .19073 L
.26106 .1888 L
.26175 .18687 L
.26202 .18646 L
.26395 .18537 L
.26588 .18499 L
.26616 .18495 L
F
0 .83 1 r
.26973 .18488 m
.27166 .18486 L
.27359 .18494 L
.27363 .18495 L
.27551 .18512 L
.27744 .18539 L
.27937 .18575 L
.28129 .18621 L
.28322 .18677 L
.28355 .18687 L
.28515 .18744 L
.28707 .18822 L
.28835 .1888 L
.289 .18912 L
.29093 .19014 L
.29194 .19073 L
.29285 .19129 L
.29478 .19257 L
.2949 .19265 L
.29671 .194 L
.29744 .19458 L
.29864 .19558 L
.29967 .19651 L
.30056 .19736 L
.3016 .19844 L
.30249 .19941 L
.30326 .20036 L
.30442 .20197 L
.3046 .20229 L
.30555 .20422 L
.30591 .20614 L
.30522 .20807 L
.30442 .20896 L
.30249 .20972 L
.30107 .21 L
.30056 .21008 L
.29864 .21027 L
.29671 .21031 L
.29478 .21023 L
.29285 .21005 L
.29239 .21 L
.29093 .20977 L
.289 .2094 L
.28707 .20892 L
.28515 .20835 L
.2843 .20807 L
.28322 .20768 L
.28129 .20689 L
.27966 .20614 L
.27937 .206 L
.27744 .20499 L
.27607 .20422 L
.27551 .20388 L
.27359 .20264 L
.27307 .20229 L
.27166 .20127 L
.27047 .20036 L
.26973 .19977 L
.26817 .19844 L
.2678 .1981 L
.26616 .19651 L
.26588 .19622 L
.26444 .19458 L
.26395 .19401 L
.26303 .19265 L
.26204 .19073 L
.26202 .19067 L
.26169 .1888 L
.26202 .18756 L
.26254 .18687 L
.26395 .18579 L
.26588 .18527 L
.2678 .18501 L
.26852 .18495 L
F
0 .82 1 r
.26395 .18634 m
.26588 .18559 L
.2678 .18527 L
.26973 .18512 L
.27166 .18509 L
.27359 .18517 L
.27551 .18534 L
.27744 .18562 L
.27937 .18599 L
.28129 .18645 L
.28275 .18687 L
.28322 .18702 L
.28515 .18771 L
.28707 .1885 L
.28773 .1888 L
.289 .18942 L
.29093 .19046 L
.29139 .19073 L
.29285 .19163 L
.29439 .19265 L
.29478 .19293 L
.29671 .19439 L
.29695 .19458 L
.29864 .19601 L
.29918 .19651 L
.30056 .19785 L
.30112 .19844 L
.30249 .20001 L
.30276 .20036 L
.30408 .20229 L
.30442 .20289 L
.30499 .20422 L
.30528 .20614 L
.30442 .20806 L
.30441 .20807 L
.30249 .20933 L
.30056 .20976 L
.29864 .20997 L
.29827 .21 L
.29671 .21004 L
.2952 .21 L
.29478 .20997 L
.29285 .2098 L
.29093 .20952 L
.289 .20914 L
.28707 .20866 L
.28515 .20808 L
.28511 .20807 L
.28322 .20739 L
.28129 .2066 L
.28029 .20614 L
.27937 .20569 L
.27744 .20467 L
.27663 .20422 L
.27551 .20354 L
.27359 .20229 L
.27359 .20229 L
.27166 .2009 L
.27096 .20036 L
.26973 .19936 L
.26866 .19844 L
.2678 .19765 L
.26665 .19651 L
.26588 .1957 L
.26493 .19458 L
.26395 .19332 L
.26355 .19265 L
.26259 .19073 L
.26231 .1888 L
.26334 .18687 L
F
0 .81 1 r
.26588 .18596 m
.2678 .18555 L
.26973 .18537 L
.27166 .18532 L
.27359 .18539 L
.27551 .18557 L
.27744 .18585 L
.27937 .18622 L
.28129 .18669 L
.28193 .18687 L
.28322 .18728 L
.28515 .18797 L
.28707 .18878 L
.28712 .1888 L
.289 .18972 L
.29085 .19073 L
.29093 .19077 L
.29285 .19196 L
.29388 .19265 L
.29478 .19329 L
.29647 .19458 L
.29671 .19478 L
.29864 .19644 L
.29871 .19651 L
.30056 .19835 L
.30064 .19844 L
.30228 .20036 L
.30249 .2006 L
.30357 .20229 L
.30442 .20414 L
.30444 .20422 L
.30465 .20614 L
.30442 .20697 L
.30359 .20807 L
.30249 .20885 L
.30056 .20943 L
.29864 .20969 L
.29671 .20977 L
.29478 .20972 L
.29285 .20955 L
.29093 .20927 L
.289 .20889 L
.28707 .2084 L
.28593 .20807 L
.28515 .20782 L
.28322 .20712 L
.28129 .20631 L
.28092 .20614 L
.27937 .20539 L
.27744 .20436 L
.27718 .20422 L
.27551 .20321 L
.2741 .20229 L
.27359 .20194 L
.27166 .20052 L
.27145 .20036 L
.26973 .19896 L
.26914 .19844 L
.2678 .1972 L
.26713 .19651 L
.26588 .19515 L
.26541 .19458 L
.26405 .19265 L
.26395 .19249 L
.26313 .19073 L
.26292 .1888 L
.26395 .18704 L
.26416 .18687 L
F
0 .8 1 r
.26588 .18639 m
.2678 .18585 L
.26973 .18562 L
.27166 .18556 L
.27359 .18562 L
.27551 .1858 L
.27744 .18607 L
.27937 .18645 L
.28108 .18687 L
.28129 .18693 L
.28322 .18753 L
.28515 .18824 L
.2865 .1888 L
.28707 .18906 L
.289 .19001 L
.29032 .19073 L
.29093 .19108 L
.29285 .19229 L
.29339 .19265 L
.29478 .19365 L
.296 .19458 L
.29671 .19516 L
.29824 .19651 L
.29864 .19687 L
.30017 .19844 L
.30056 .19885 L
.3018 .20036 L
.30249 .20124 L
.30307 .20229 L
.3039 .20422 L
.30403 .20614 L
.30272 .20807 L
.30249 .20825 L
.30056 .20906 L
.29864 .20939 L
.29671 .2095 L
.29478 .20946 L
.29285 .2093 L
.29093 .20902 L
.289 .20864 L
.28707 .20815 L
.2868 .20807 L
.28515 .20755 L
.28322 .20684 L
.28154 .20614 L
.28129 .20603 L
.27937 .2051 L
.27772 .20422 L
.27744 .20405 L
.27551 .20289 L
.2746 .20229 L
.27359 .20159 L
.27193 .20036 L
.27166 .20015 L
.26973 .19855 L
.2696 .19844 L
.2678 .19673 L
.26759 .19651 L
.26589 .19458 L
.26588 .19457 L
.26454 .19265 L
.26395 .1915 L
.26367 .19073 L
.26354 .1888 L
.26395 .18786 L
.26501 .18687 L
F
1 .86 0 r
.26395 .12212 m
.26588 .12188 L
.2678 .12248 L
.26942 .12329 L
.26973 .12343 L
.27166 .1245 L
.2729 .12521 L
.27359 .12567 L
.27551 .12693 L
.27583 .12714 L
.27744 .12823 L
.27864 .12907 L
.27937 .12959 L
.28129 .13099 L
.2813 .13099 L
.28322 .13241 L
.2839 .13292 L
.28515 .13387 L
.28642 .13485 L
.28707 .13536 L
.28888 .13677 L
.289 .13687 L
.29093 .13841 L
.29129 .1387 L
.29285 .13996 L
.29367 .14063 L
.29478 .14154 L
.29601 .14255 L
.29671 .14313 L
.29832 .14448 L
.29864 .14474 L
.30056 .14637 L
.30061 .14641 L
.30249 .14801 L
.30286 .14834 L
.30442 .14967 L
.3051 .15026 L
.30634 .15135 L
.30731 .15219 L
.30827 .15303 L
.3095 .15412 L
.3102 .15473 L
.31167 .15604 L
.31212 .15645 L
.31382 .15797 L
.31405 .15817 L
.31596 .1599 L
.31598 .15991 L
.31791 .16167 L
.31808 .16182 L
.31983 .16343 L
.32018 .16375 L
.32176 .16521 L
.32226 .16568 L
.32369 .167 L
.32434 .1676 L
.32561 .1688 L
.32639 .16953 L
.32754 .17061 L
.32843 .17146 L
.32947 .17244 L
.33046 .17339 L
.33139 .17428 L
.33247 .17531 L
.33332 .17613 L
.33447 .17724 L
.33525 .178 L
.33645 .17917 L
.33717 .17987 L
.33842 .18109 L
.3391 .18176 L
.34037 .18302 L
.34103 .18367 L
.34232 .18495 L
.34296 .18558 L
.34424 .18687 L
.34488 .18752 L
.34615 .1888 L
.34681 .18946 L
.34805 .19073 L
.34874 .19143 L
.34993 .19265 L
.35066 .1934 L
.3518 .19458 L
.35259 .1954 L
.35365 .19651 L
.35452 .19741 L
.35549 .19844 L
.35644 .19944 L
.35731 .20036 L
.35837 .2015 L
.35911 .20229 L
.3603 .20357 L
.36089 .20422 L
.36222 .20567 L
.36265 .20614 L
.36415 .2078 L
.3644 .20807 L
.36608 .20995 L
.36612 .21 L
.36782 .21192 L
.36801 .21214 L
.36949 .21385 L
.36993 .21436 L
.37114 .21578 L
.37186 .21663 L
.37276 .2177 L
.37379 .21895 L
.37434 .21963 L
.37571 .22134 L
.37588 .22156 L
.37738 .22349 L
.37764 .2238 L
.37884 .22541 L
.37957 .22639 L
.38022 .22734 L
.38149 .22923 L
.38152 .22927 L
.38273 .23119 L
.38342 .23249 L
.38375 .23312 L
.38464 .23505 L
.38413 .23697 L
.38342 .23729 L
.38186 .23697 L
.38149 .23694 L
.37957 .23611 L
.37764 .23508 L
.37758 .23505 L
.37571 .23397 L
.37431 .23312 L
.37379 .23276 L
.37186 .23148 L
.37143 .23119 L
.36993 .23015 L
.36867 .22927 L
.36801 .22878 L
.36608 .22737 L
.36604 .22734 L
.36415 .22593 L
.36347 .22541 L
.36222 .22446 L
.36097 .22349 L
.3603 .22296 L
.35853 .22156 L
.35837 .22143 L
.35644 .21989 L
.35612 .21963 L
.35452 .21832 L
.35376 .2177 L
.35259 .21674 L
.35143 .21578 L
.35066 .21514 L
.34913 .21385 L
.34874 .21352 L
.34686 .21192 L
.34681 .21188 L
.34488 .21023 L
.34461 .21 L
.34296 .20856 L
.34239 .20807 L
.34103 .20688 L
.34018 .20614 L
.3391 .20519 L
.338 .20422 L
.33717 .20348 L
.33584 .20229 L
.33525 .20176 L
.33369 .20036 L
.33332 .20003 L
.33156 .19844 L
.33139 .19828 L
.32947 .19652 L
.32945 .19651 L
.32754 .19475 L
.32736 .19458 L
.32561 .19297 L
.32527 .19265 L
.32369 .19117 L
.32321 .19073 L
.32176 .18937 L
.32116 .1888 L
.31983 .18755 L
.31912 .18687 L
.31791 .18572 L
.31709 .18495 L
.31598 .18388 L
.31508 .18302 L
.31405 .18202 L
.31309 .18109 L
.31212 .18016 L
.31111 .17917 L
.3102 .17828 L
.30914 .17724 L
.30827 .17638 L
.30719 .17531 L
.30634 .17448 L
.30525 .17339 L
.30442 .17256 L
.30332 .17146 L
.30249 .17062 L
.30141 .16953 L
.30056 .16867 L
.29952 .1676 L
.29864 .1667 L
.29764 .16568 L
.29671 .16471 L
.29578 .16375 L
.29478 .16271 L
.29394 .16182 L
.29285 .16069 L
.29211 .1599 L
.29093 .15864 L
.2903 .15797 L
.289 .15658 L
.28851 .15604 L
.28707 .15449 L
.28673 .15412 L
.28515 .15238 L
.28498 .15219 L
.28324 .15026 L
.28322 .15024 L
.28153 .14834 L
.28129 .14807 L
.27984 .14641 L
.27937 .14587 L
.27817 .14448 L
.27744 .14362 L
.27654 .14255 L
.27551 .14133 L
.27493 .14063 L
.27359 .13898 L
.27336 .1387 L
.27183 .13677 L
.27166 .13656 L
.27034 .13485 L
.26973 .13405 L
.26892 .13292 L
.2678 .13136 L
.26756 .13099 L
.26628 .12907 L
.26588 .1287 L
.26512 .12714 L
.26414 .12521 L
.26395 .12456 L
.26358 .12329 L
F
1 .99 0 r
.26395 .3285 m
.26501 .32947 L
.26588 .33023 L
.2669 .33139 L
.2678 .33235 L
.2686 .33332 L
.26973 .33425 L
.27024 .33525 L
.27166 .3369 L
.27204 .33717 L
.27338 .3391 L
.27359 .33935 L
.27488 .34103 L
.27551 .34146 L
.2764 .34296 L
.27744 .34418 L
.27825 .34488 L
.27937 .34676 L
.27941 .34681 L
.28085 .34874 L
.28129 .34903 L
.28231 .35066 L
.28322 .35174 L
.2841 .35259 L
.28515 .35437 L
.28526 .35452 L
.28668 .35644 L
.28707 .35672 L
.28811 .35837 L
.289 .35944 L
.28983 .3603 L
.29093 .3621 L
.29102 .36222 L
.29243 .36415 L
.29285 .36447 L
.29385 .36608 L
.29478 .36722 L
.29551 .36801 L
.29671 .36989 L
.29674 .36993 L
.29813 .37186 L
.29864 .37227 L
.29955 .37379 L
.30056 .37505 L
.30115 .37571 L
.30242 .37764 L
.30249 .37774 L
.3038 .37957 L
.30442 .38011 L
.30522 .38149 L
.30634 .38292 L
.30677 .38342 L
.30807 .38535 L
.30827 .38561 L
.30946 .38727 L
.3102 .38798 L
.31144 .3892 L
.31212 .39082 L
.31237 .39113 L
.3137 .39306 L
.31405 .39351 L
.31509 .39498 L
.31598 .39591 L
.31694 .39691 L
.31791 .39876 L
.31797 .39884 L
.31932 .40076 L
.31983 .40143 L
.32071 .40269 L
.32176 .40388 L
.32243 .40462 L
.32356 .40654 L
.32369 .40671 L
.32492 .40847 L
.32561 .40938 L
.32632 .4104 L
.32754 .41191 L
.3279 .41232 L
.32913 .41425 L
.32947 .41469 L
.33049 .41618 L
.33139 .41737 L
.3319 .41811 L
.33332 .42001 L
.33334 .42003 L
.33467 .42196 L
.33525 .42273 L
.33603 .42389 L
.33717 .42542 L
.33744 .42581 L
.33882 .42774 L
.3391 .42812 L
.34014 .42967 L
.34103 .43086 L
.34151 .43159 L
.34291 .43352 L
.34296 .43358 L
.34418 .43545 L
.34488 .43641 L
.34549 .43737 L
.34681 .43923 L
.34685 .4393 L
.34804 .44123 L
.34874 .44225 L
.34921 .44316 L
.34874 .44443 L
.34752 .44316 L
.34681 .44241 L
.34575 .44123 L
.34488 .44023 L
.34407 .4393 L
.34296 .438 L
.34244 .43737 L
.34103 .43561 L
.34088 .43545 L
.3393 .43352 L
.3391 .43348 L
.33773 .43159 L
.33717 .4309 L
.33575 .42967 L
.33525 .42838 L
.33477 .42774 L
.33332 .42593 L
.33331 .42581 L
.33167 .42389 L
.33139 .42352 L
.32998 .42196 L
.32947 .42095 L
.32886 .42003 L
.32754 .41839 L
.3272 .41811 L
.32575 .41618 L
.32561 .41599 L
.32421 .41425 L
.32369 .41338 L
.32305 .41232 L
.32176 .41075 L
.32135 .4104 L
.31993 .40847 L
.31983 .40833 L
.31846 .40654 L
.31791 .40569 L
.3173 .40462 L
.31598 .40304 L
.31558 .40269 L
.31417 .40076 L
.31405 .4006 L
.31275 .39884 L
.31212 .39793 L
.31161 .39691 L
.3102 .39527 L
.30986 .39498 L
.30845 .39306 L
.30827 .3928 L
.30708 .39113 L
.30634 .39011 L
.30595 .3892 L
.30442 .38747 L
.30419 .38727 L
.3026 .38535 L
.30249 .38494 L
.30144 .38342 L
.30056 .38225 L
.30031 .38149 L
.29864 .37964 L
.29854 .37957 L
.29696 .37764 L
.29671 .37705 L
.29583 .37571 L
.29478 .37435 L
.29467 .37379 L
.29293 .37186 L
.29285 .37178 L
.29136 .36993 L
.29093 .36911 L
.29024 .36801 L
.289 .36641 L
.28899 .36608 L
.28734 .36415 L
.28707 .36386 L
.28579 .36222 L
.28515 .36112 L
.28467 .3603 L
.28322 .35841 L
.28318 .35837 L
.2818 .35644 L
.28129 .35586 L
.28029 .35452 L
.27937 .35304 L
.27913 .35259 L
.2777 .35066 L
.27744 .35029 L
.27634 .34874 L
.27551 .3477 L
.27488 .34681 L
.27365 .34488 L
.27359 .34479 L
.27233 .34296 L
.27166 .34198 L
.27029 .34103 L
.26973 .33917 L
.26969 .3391 L
.26844 .33717 L
.2678 .33622 L
.26718 .33525 L
.26595 .33332 L
.26588 .33321 L
.26485 .33139 L
.26395 .32981 L
.26379 .32947 L
F
0 .79 1 r
.2678 .18618 m
.26973 .1859 L
.27166 .18581 L
.27359 .18586 L
.27551 .18603 L
.27744 .1863 L
.27937 .18669 L
.28017 .18687 L
.28129 .18717 L
.28322 .18778 L
.28515 .1885 L
.28589 .1888 L
.28707 .18933 L
.289 .1903 L
.28979 .19073 L
.29093 .19139 L
.29285 .19262 L
.29291 .19265 L
.29478 .194 L
.29553 .19458 L
.29671 .19555 L
.29779 .19651 L
.29864 .19731 L
.29972 .19844 L
.30056 .19937 L
.30133 .20036 L
.30249 .20209 L
.30258 .20229 L
.30336 .20422 L
.3034 .20614 L
.30249 .20757 L
.30181 .20807 L
.30056 .20865 L
.29864 .20907 L
.29671 .20922 L
.29478 .2092 L
.29285 .20904 L
.29093 .20877 L
.289 .20839 L
.28771 .20807 L
.28707 .20789 L
.28515 .20729 L
.28322 .20658 L
.28217 .20614 L
.28129 .20575 L
.27937 .20481 L
.27826 .20422 L
.27744 .20375 L
.27551 .20257 L
.27509 .20229 L
.27359 .20125 L
.27239 .20036 L
.27166 .19979 L
.27006 .19844 L
.26973 .19815 L
.26804 .19651 L
.2678 .19627 L
.26635 .19458 L
.26588 .19407 L
.26503 .19265 L
.26419 .19073 L
.26415 .1888 L
.26588 .1869 L
.26593 .18687 L
F
0 .78 1 r
.2678 .18655 m
.26973 .18618 L
.27166 .18606 L
.27359 .1861 L
.27551 .18626 L
.27744 .18653 L
.27918 .18687 L
.27937 .18692 L
.28129 .18741 L
.28322 .18802 L
.28515 .18875 L
.28527 .1888 L
.28707 .1896 L
.289 .19058 L
.28927 .19073 L
.29093 .19169 L
.29243 .19265 L
.29285 .19294 L
.29478 .19435 L
.29508 .19458 L
.29671 .19594 L
.29734 .19651 L
.29864 .19776 L
.29927 .19844 L
.30056 .19994 L
.30087 .20036 L
.3021 .20229 L
.30249 .20313 L
.30283 .20422 L
.30276 .20614 L
.30249 .20669 L
.3008 .20807 L
.30056 .20818 L
.29864 .20873 L
.29671 .20893 L
.29478 .20893 L
.29285 .20879 L
.29093 .20852 L
.289 .20814 L
.28871 .20807 L
.28707 .20764 L
.28515 .20703 L
.28322 .20631 L
.28281 .20614 L
.28129 .20547 L
.27937 .20452 L
.27879 .20422 L
.27744 .20345 L
.27557 .20229 L
.27551 .20225 L
.27359 .20091 L
.27285 .20036 L
.27166 .19942 L
.27051 .19844 L
.26973 .19774 L
.26849 .19651 L
.2678 .1958 L
.2668 .19458 L
.26588 .19338 L
.2655 .19265 L
.26471 .19073 L
.26477 .1888 L
.26588 .18744 L
.2669 .18687 L
F
0 .77 1 r
.26973 .18649 m
.27166 .18632 L
.27359 .18634 L
.27551 .18649 L
.27744 .18676 L
.27807 .18687 L
.27937 .18715 L
.28129 .18765 L
.28322 .18827 L
.28464 .1888 L
.28515 .18901 L
.28707 .18987 L
.28875 .19073 L
.289 .19086 L
.29093 .19199 L
.29196 .19265 L
.29285 .19326 L
.29463 .19458 L
.29478 .1947 L
.29671 .19633 L
.2969 .19651 L
.29864 .19822 L
.29883 .19844 L
.30042 .20036 L
.30056 .20046 L
.30162 .20229 L
.3023 .20422 L
.30211 .20614 L
.30056 .20768 L
.29969 .20807 L
.29864 .20836 L
.29671 .20862 L
.29478 .20865 L
.29285 .20853 L
.29093 .20827 L
.28982 .20807 L
.289 .20789 L
.28707 .20739 L
.28515 .20677 L
.28346 .20614 L
.28322 .20605 L
.28129 .2052 L
.27937 .20424 L
.27933 .20422 L
.27744 .20315 L
.27605 .20229 L
.27551 .20193 L
.27359 .20057 L
.27331 .20036 L
.27166 .19905 L
.27095 .19844 L
.26973 .19732 L
.26893 .19651 L
.2678 .19529 L
.26725 .19458 L
.26597 .19265 L
.26588 .19247 L
.26523 .19073 L
.2654 .1888 L
.26588 .18811 L
.2678 .18689 L
.26801 .18687 L
F
0 .76 1 r
.26973 .18681 m
.27166 .1866 L
.27359 .18659 L
.27551 .18673 L
.27682 .18687 L
.27744 .187 L
.27937 .18738 L
.28129 .18789 L
.28322 .18852 L
.28399 .1888 L
.28515 .18926 L
.28707 .19014 L
.28823 .19073 L
.289 .19115 L
.29093 .19229 L
.29149 .19265 L
.29285 .19359 L
.29418 .19458 L
.29478 .19505 L
.29647 .19651 L
.29671 .19673 L
.2984 .19844 L
.29864 .19868 L
.29997 .20036 L
.30056 .20098 L
.30114 .20229 L
.30176 .20422 L
.30145 .20614 L
.30056 .2071 L
.29864 .208 L
.29847 .20807 L
.29671 .2083 L
.29478 .20837 L
.29285 .20826 L
.29105 .20807 L
.29093 .20801 L
.289 .20764 L
.28707 .20714 L
.28515 .20652 L
.28412 .20614 L
.28322 .20578 L
.28129 .20493 L
.27986 .20422 L
.27937 .20396 L
.27744 .20285 L
.27653 .20229 L
.27551 .20162 L
.27375 .20036 L
.27359 .20024 L
.27166 .19868 L
.27138 .19844 L
.26973 .19689 L
.26936 .19651 L
.2678 .19473 L
.2677 .19458 L
.26644 .19265 L
.26588 .19127 L
.26576 .19073 L
.26588 .18917 L
.26605 .1888 L
.2678 .18709 L
.2694 .18687 L
F
0 .75 1 r
.27359 .18684 m
.27429 .18687 L
.27551 .18697 L
.27744 .18723 L
.27937 .18762 L
.28129 .18813 L
.28322 .18876 L
.28333 .1888 L
.28515 .18952 L
.28707 .19041 L
.28771 .19073 L
.289 .19143 L
.29093 .19259 L
.29102 .19265 L
.29285 .19391 L
.29375 .19458 L
.29478 .19541 L
.29604 .19651 L
.29671 .19712 L
.29796 .19844 L
.29864 .19915 L
.29953 .20036 L
.30056 .20198 L
.30067 .20229 L
.30123 .20422 L
.30076 .20614 L
.30056 .20638 L
.29864 .20769 L
.29671 .20799 L
.29545 .20807 L
.29478 .20808 L
.29407 .20807 L
.29285 .208 L
.29093 .20776 L
.289 .20739 L
.28707 .20688 L
.28515 .20626 L
.28481 .20614 L
.28322 .20552 L
.28129 .20466 L
.28039 .20422 L
.27937 .20368 L
.27744 .20256 L
.27701 .20229 L
.27551 .20131 L
.2742 .20036 L
.27359 .1999 L
.27181 .19844 L
.27166 .1983 L
.26979 .19651 L
.26973 .19645 L
.26814 .19458 L
.2678 .19439 L
.26691 .19265 L
.26628 .19073 L
.26671 .1888 L
.2678 .1875 L
.26973 .18708 L
.27166 .18688 L
.2718 .18687 L
F
0 .74 1 r
.2678 .18822 m
.26973 .18738 L
.27166 .18714 L
.27359 .18709 L
.27551 .1872 L
.27744 .18746 L
.27937 .18785 L
.28129 .18837 L
.28264 .1888 L
.28322 .18901 L
.28515 .18977 L
.28707 .19067 L
.28718 .19073 L
.289 .19171 L
.29056 .19265 L
.29093 .19289 L
.29285 .19424 L
.29331 .19458 L
.29478 .19577 L
.29561 .19651 L
.29671 .19754 L
.29754 .19844 L
.29864 .1997 L
.29909 .20036 L
.30019 .20229 L
.30056 .20338 L
.30068 .20422 L
.30056 .20518 L
.30004 .20614 L
.29864 .20727 L
.29671 .20768 L
.29478 .20781 L
.29285 .20774 L
.29093 .2075 L
.289 .20713 L
.28707 .20663 L
.28553 .20614 L
.28515 .20601 L
.28322 .20526 L
.28129 .20439 L
.28094 .20422 L
.27937 .2034 L
.27748 .20229 L
.27744 .20226 L
.27551 .20099 L
.27464 .20036 L
.27359 .19956 L
.27224 .19844 L
.27166 .19793 L
.27022 .19651 L
.26973 .19603 L
.26857 .19458 L
.2678 .19378 L
.26737 .19265 L
.2668 .19073 L
.2674 .1888 L
F
0 .73 1 r
.26973 .18775 m
.27166 .18742 L
.27359 .18734 L
.27551 .18745 L
.27744 .1877 L
.27937 .18809 L
.28129 .18861 L
.28191 .1888 L
.28322 .18925 L
.28515 .19003 L
.28665 .19073 L
.28707 .19094 L
.289 .19199 L
.29009 .19265 L
.29093 .19319 L
.29285 .19457 L
.29287 .19458 L
.29478 .19614 L
.29519 .19651 L
.29671 .19799 L
.29711 .19844 L
.29864 .20035 L
.29864 .20036 L
.29972 .20229 L
.30013 .20422 L
.29927 .20614 L
.29864 .2067 L
.29671 .20734 L
.29478 .20751 L
.29285 .20746 L
.29093 .20724 L
.289 .20688 L
.28707 .20638 L
.2863 .20614 L
.28515 .20575 L
.28322 .205 L
.28149 .20422 L
.28129 .20412 L
.27937 .20311 L
.27796 .20229 L
.27744 .20197 L
.27551 .20068 L
.27508 .20036 L
.27359 .19922 L
.27267 .19844 L
.27166 .19754 L
.27064 .19651 L
.26973 .19556 L
.26901 .19458 L
.26784 .19265 L
.2678 .19258 L
.26734 .19073 L
.2678 .18918 L
.26812 .1888 L
F
1 .85 0 r
.2678 .12567 m
.26973 .12555 L
.27166 .12618 L
.27347 .12714 L
.27359 .12719 L
.27551 .12829 L
.27684 .12907 L
.27744 .12949 L
.27937 .13077 L
.2797 .13099 L
.28129 .1321 L
.28246 .13292 L
.28322 .13347 L
.28509 .13485 L
.28515 .13489 L
.28707 .13634 L
.28764 .13677 L
.289 .13782 L
.29013 .1387 L
.29093 .13933 L
.29256 .14063 L
.29285 .14086 L
.29478 .14242 L
.29495 .14255 L
.29671 .14399 L
.2973 .14448 L
.29864 .14559 L
.29962 .14641 L
.30056 .1472 L
.3019 .14834 L
.30249 .14883 L
.30416 .15026 L
.30442 .15048 L
.30634 .15214 L
.30639 .15219 L
.30827 .15382 L
.3086 .15412 L
.3102 .15552 L
.31079 .15604 L
.31212 .15722 L
.31296 .15797 L
.31405 .15895 L
.31511 .1599 L
.31598 .16068 L
.31724 .16182 L
.31791 .16243 L
.31935 .16375 L
.31983 .16419 L
.32144 .16568 L
.32176 .16597 L
.32352 .1676 L
.32369 .16776 L
.32558 .16953 L
.32561 .16956 L
.32754 .17138 L
.32763 .17146 L
.32947 .17321 L
.32965 .17339 L
.33139 .17505 L
.33167 .17531 L
.33332 .1769 L
.33367 .17724 L
.33525 .17877 L
.33565 .17917 L
.33717 .18065 L
.33762 .18109 L
.3391 .18255 L
.33957 .18302 L
.34103 .18446 L
.34151 .18495 L
.34296 .18639 L
.34344 .18687 L
.34488 .18833 L
.34534 .1888 L
.34681 .19029 L
.34724 .19073 L
.34874 .19227 L
.34911 .19265 L
.35066 .19426 L
.35097 .19458 L
.35259 .19627 L
.35281 .19651 L
.35452 .19831 L
.35464 .19844 L
.35644 .20036 L
.35645 .20036 L
.35823 .20229 L
.35837 .20244 L
.36 .20422 L
.3603 .20454 L
.36175 .20614 L
.36222 .20667 L
.36347 .20807 L
.36415 .20884 L
.36517 .21 L
.36608 .21104 L
.36684 .21192 L
.36801 .21329 L
.36848 .21385 L
.36993 .21559 L
.37009 .21578 L
.37166 .2177 L
.37186 .21794 L
.37319 .21963 L
.37379 .22037 L
.37467 .22156 L
.37571 .22295 L
.37609 .22349 L
.37744 .22541 L
.37764 .22558 L
.37869 .22734 L
.37957 .22876 L
.37975 .22927 L
.38072 .23119 L
.38058 .23312 L
.37957 .23357 L
.37764 .23317 L
.37752 .23312 L
.37571 .23239 L
.37379 .23131 L
.37357 .23119 L
.37186 .23017 L
.3704 .22927 L
.36993 .22893 L
.36801 .22763 L
.36758 .22734 L
.36608 .22628 L
.36486 .22541 L
.36415 .22489 L
.36227 .22349 L
.36222 .22345 L
.3603 .22199 L
.35974 .22156 L
.35837 .2205 L
.35727 .21963 L
.35644 .21898 L
.35485 .2177 L
.35452 .21743 L
.35259 .21587 L
.35248 .21578 L
.35066 .21428 L
.35014 .21385 L
.34874 .21268 L
.34784 .21192 L
.34681 .21106 L
.34556 .21 L
.34488 .20942 L
.34331 .20807 L
.34296 .20776 L
.34109 .20614 L
.34103 .20609 L
.3391 .2044 L
.33889 .20422 L
.33717 .2027 L
.33671 .20229 L
.33525 .20099 L
.33455 .20036 L
.33332 .19926 L
.33241 .19844 L
.33139 .19752 L
.33029 .19651 L
.32947 .19576 L
.32818 .19458 L
.32754 .19399 L
.32609 .19265 L
.32561 .19221 L
.32402 .19073 L
.32369 .19042 L
.32196 .1888 L
.32176 .18861 L
.31992 .18687 L
.31983 .18679 L
.31791 .18496 L
.31789 .18495 L
.31598 .18311 L
.31588 .18302 L
.31405 .18125 L
.31389 .18109 L
.31212 .17938 L
.31191 .17917 L
.3102 .17749 L
.30994 .17724 L
.30827 .17559 L
.30799 .17531 L
.30634 .17368 L
.30605 .17339 L
.30442 .17174 L
.30413 .17146 L
.30249 .1698 L
.30223 .16953 L
.30056 .16783 L
.30034 .1676 L
.29864 .16585 L
.29847 .16568 L
.29671 .16385 L
.29662 .16375 L
.29478 .16182 L
.29478 .16182 L
.29296 .1599 L
.29285 .15978 L
.29117 .15797 L
.29093 .15771 L
.28939 .15604 L
.289 .15562 L
.28763 .15412 L
.28707 .15351 L
.28589 .15219 L
.28515 .15136 L
.28418 .15026 L
.28322 .14918 L
.28249 .14834 L
.28129 .14695 L
.28083 .14641 L
.27937 .14468 L
.2792 .14448 L
.2776 .14255 L
.27744 .14236 L
.27604 .14063 L
.27551 .13998 L
.27453 .1387 L
.27359 .13748 L
.27307 .13677 L
.27168 .13485 L
.27166 .13483 L
.27035 .13292 L
.26973 .13213 L
.26916 .13099 L
.26809 .12907 L
.2678 .1282 L
.26744 .12714 L
F
0 .72 1 r
.26973 .18823 m
.27166 .18773 L
.27359 .18761 L
.27551 .1877 L
.27744 .18794 L
.27937 .18833 L
.28113 .1888 L
.28129 .18885 L
.28322 .1895 L
.28515 .19029 L
.28611 .19073 L
.28707 .19121 L
.289 .19227 L
.28963 .19265 L
.29093 .19349 L
.29244 .19458 L
.29285 .19489 L
.29477 .19651 L
.29478 .19652 L
.29669 .19844 L
.29671 .19845 L
.2982 .20036 L
.29864 .20105 L
.29924 .20229 L
.29957 .20422 L
.29864 .20597 L
.29843 .20614 L
.29671 .20695 L
.29478 .2072 L
.29285 .20718 L
.29093 .20698 L
.289 .20662 L
.28715 .20614 L
.28707 .20612 L
.28515 .2055 L
.28322 .20474 L
.28205 .20422 L
.28129 .20385 L
.27937 .20283 L
.27843 .20229 L
.27744 .20168 L
.27552 .20036 L
.27551 .20036 L
.27359 .19886 L
.27309 .19844 L
.27166 .19713 L
.27106 .19651 L
.26973 .195 L
.26944 .19458 L
.26831 .19265 L
.26788 .19073 L
.2689 .1888 L
F
0 .99 1 r
.26973 .32747 m
.2698 .32754 L
.27166 .32944 L
.27168 .32947 L
.27338 .33139 L
.27359 .33161 L
.27502 .33332 L
.27551 .33345 L
.27662 .33525 L
.27744 .33613 L
.27819 .33717 L
.27937 .33863 L
.27985 .3391 L
.28126 .34103 L
.28129 .34104 L
.28275 .34296 L
.28322 .34348 L
.28497 .34488 L
.28515 .34605 L
.28583 .34681 L
.28707 .3486 L
.28716 .34874 L
.28865 .35066 L
.289 .35106 L
.29064 .35259 L
.29093 .35368 L
.29163 .35452 L
.29285 .35627 L
.29295 .35644 L
.29444 .35837 L
.29478 .35877 L
.2963 .3603 L
.29671 .36141 L
.29735 .36222 L
.29864 .36403 L
.29869 .36415 L
.30016 .36608 L
.30056 .36655 L
.30194 .36801 L
.30249 .36921 L
.30304 .36993 L
.30442 .37182 L
.30443 .37186 L
.30585 .37379 L
.30634 .37437 L
.30757 .37571 L
.30827 .37705 L
.3087 .37764 L
.31012 .37957 L
.3102 .37961 L
.31152 .38149 L
.31212 .38221 L
.31319 .38342 L
.31405 .38491 L
.31436 .38535 L
.31577 .38727 L
.31598 .38741 L
.31717 .3892 L
.31791 .39008 L
.3188 .39113 L
.31983 .39279 L
.32001 .39306 L
.32142 .39498 L
.32176 .39523 L
.32282 .39691 L
.32369 .39797 L
.32441 .39884 L
.32561 .40068 L
.32567 .40076 L
.32705 .40269 L
.32754 .40308 L
.3291 .40462 L
.32947 .40587 L
.33001 .40654 L
.33131 .40847 L
.33139 .40858 L
.33269 .4104 L
.33332 .41096 L
.33463 .41232 L
.33525 .41379 L
.3356 .41425 L
.33693 .41618 L
.33717 .4165 L
.33831 .41811 L
.3391 .41888 L
.34015 .42003 L
.34103 .42173 L
.3412 .42196 L
.34254 .42389 L
.34296 .42442 L
.34393 .42581 L
.34488 .42684 L
.34566 .42774 L
.34679 .42967 L
.34681 .42969 L
.34815 .43159 L
.34874 .43236 L
.34954 .43352 L
.35066 .43484 L
.35117 .43545 L
.35238 .43737 L
.35259 .43765 L
.35374 .4393 L
.35452 .44032 L
.35514 .44123 L
.35644 .44289 L
.35666 .44316 L
.35794 .44508 L
.35837 .44564 L
.35931 .44701 L
.3603 .44832 L
.36072 .44894 L
.36214 .45086 L
.36222 .45098 L
.36347 .45279 L
.36415 .45369 L
.36484 .45472 L
.36608 .45638 L
.36625 .45664 L
.3676 .45857 L
.36801 .45911 L
.36892 .4605 L
.36993 .46187 L
.37029 .46242 L
.37165 .46435 L
.37186 .46464 L
.37291 .46628 L
.37379 .46751 L
.3742 .46821 L
.37549 .47013 L
.37571 .47047 L
.37656 .47206 L
.37571 .47298 L
.37479 .47206 L
.37379 .47101 L
.37297 .47013 L
.37186 .46892 L
.37126 .46821 L
.36993 .46659 L
.36959 .46628 L
.36801 .46435 L
.36801 .46434 L
.3664 .46242 L
.36608 .46203 L
.3648 .4605 L
.36415 .45957 L
.36334 .45857 L
.36222 .45708 L
.36205 .45664 L
.3603 .4548 L
.36022 .45472 L
.35849 .45279 L
.35837 .45229 L
.35734 .45086 L
.35644 .44967 L
.3562 .44894 L
.35452 .44737 L
.35423 .44701 L
.35272 .44508 L
.35259 .44481 L
.35146 .44316 L
.35066 .44212 L
.34979 .44123 L
.34874 .43978 L
.34836 .4393 L
.34692 .43737 L
.34681 .43717 L
.34568 .43545 L
.34488 .43444 L
.344 .43352 L
.34296 .43207 L
.34258 .43159 L
.34117 .42967 L
.34103 .42944 L
.33996 .42774 L
.3391 .42668 L
.33826 .42581 L
.33717 .42429 L
.33686 .42389 L
.33547 .42196 L
.33525 .42164 L
.3343 .42003 L
.33332 .41886 L
.33256 .41811 L
.33139 .41647 L
.33117 .41618 L
.32979 .41425 L
.32947 .41379 L
.32868 .41232 L
.32754 .41101 L
.32689 .4104 L
.32561 .40861 L
.3255 .40847 L
.32415 .40654 L
.32369 .40592 L
.32308 .40462 L
.32176 .40316 L
.32123 .40269 L
.31984 .40076 L
.31983 .40073 L
.31852 .39884 L
.31791 .39803 L
.31749 .39691 L
.31598 .3953 L
.31559 .39498 L
.31416 .39306 L
.31405 .39284 L
.31291 .39113 L
.31212 .39013 L
.31191 .3892 L
.3102 .38745 L
.30997 .38727 L
.30851 .38535 L
.30827 .38493 L
.30731 .38342 L
.30634 .38222 L
.30573 .38149 L
.30442 .37961 L
.30435 .37957 L
.30288 .37764 L
.30249 .377 L
.30172 .37571 L
.30056 .3743 L
.30013 .37379 L
.29875 .37186 L
.29864 .37173 L
.29728 .36993 L
.29671 .36906 L
.29614 .36801 L
.29478 .36636 L
.29455 .36608 L
.29316 .36415 L
.29285 .3638 L
.29171 .36222 L
.29093 .36107 L
.29056 .3603 L
.289 .35838 L
.28899 .35837 L
.28716 .35644 L
.28707 .35581 L
.28618 .35452 L
.28515 .35302 L
.28497 .35259 L
.28349 .35066 L
.28322 .35059 L
.28166 .34874 L
.28129 .34769 L
.28072 .34681 L
.2794 .34488 L
.27937 .34483 L
.27807 .34296 L
.27744 .34252 L
.27634 .34103 L
.27551 .33929 L
.27539 .3391 L
.27413 .33717 L
.27359 .33638 L
.27285 .33525 L
.27166 .33355 L
.27151 .33332 L
.27041 .33139 L
.26973 .33031 L
.26926 .32947 L
.26832 .32754 L
F
0 .71 1 r
.27166 .18808 m
.27359 .1879 L
.27551 .18796 L
.27744 .18819 L
.27937 .18858 L
.28028 .1888 L
.28129 .18909 L
.28322 .18975 L
.28515 .19054 L
.28555 .19073 L
.28707 .19147 L
.289 .19256 L
.28915 .19265 L
.29093 .1938 L
.292 .19458 L
.29285 .19523 L
.29434 .19651 L
.29478 .19689 L
.29626 .19844 L
.29671 .19885 L
.29776 .20036 L
.29864 .20198 L
.29875 .20229 L
.29899 .20422 L
.29864 .20512 L
.2975 .20614 L
.29671 .20649 L
.29478 .20687 L
.29285 .20689 L
.29093 .20671 L
.289 .20635 L
.28806 .20614 L
.28707 .20587 L
.28515 .20524 L
.28322 .20447 L
.28263 .20422 L
.28129 .20358 L
.27937 .20255 L
.27892 .20229 L
.27744 .20138 L
.27596 .20036 L
.27551 .20004 L
.27359 .1985 L
.27351 .19844 L
.27166 .1967 L
.27149 .19651 L
.26988 .19458 L
.26973 .19437 L
.26878 .19265 L
.26843 .19073 L
.26973 .18883 L
.26978 .1888 L
F
0 .7 1 r
.27166 .18848 m
.27359 .18821 L
.27551 .18823 L
.27744 .18845 L
.27929 .1888 L
.27937 .18883 L
.28129 .18934 L
.28322 .19 L
.28498 .19073 L
.28515 .1908 L
.28707 .19175 L
.28868 .19265 L
.289 .19285 L
.29093 .19412 L
.29157 .19458 L
.29285 .19557 L
.29392 .19651 L
.29478 .19728 L
.29584 .19844 L
.29671 .19936 L
.29732 .20036 L
.29827 .20229 L
.29839 .20422 L
.29671 .20598 L
.29653 .20614 L
.29478 .2065 L
.29285 .20658 L
.29093 .20642 L
.28927 .20614 L
.289 .20609 L
.28707 .20561 L
.28515 .20498 L
.28324 .20422 L
.28322 .20421 L
.28129 .20331 L
.27941 .20229 L
.27937 .20226 L
.27744 .20108 L
.27641 .20036 L
.27551 .19972 L
.27394 .19844 L
.27359 .19815 L
.27191 .19651 L
.27166 .19631 L
.27032 .19458 L
.26973 .19365 L
.26926 .19265 L
.26901 .19073 L
.26973 .18946 L
.27073 .1888 L
F
0 .69 1 r
.27359 .18854 m
.27551 .18852 L
.27744 .18872 L
.2781 .1888 L
.27937 .18907 L
.28129 .18959 L
.28322 .19026 L
.28439 .19073 L
.28515 .19106 L
.28707 .19202 L
.2882 .19265 L
.289 .19313 L
.29093 .19444 L
.29112 .19458 L
.29285 .19594 L
.2935 .19651 L
.29478 .19772 L
.29541 .19844 L
.29671 .20006 L
.29687 .20036 L
.29777 .20229 L
.29776 .20422 L
.29671 .20542 L
.29478 .20613 L
.29457 .20614 L
.29285 .20626 L
.291 .20614 L
.29093 .20614 L
.289 .20583 L
.28707 .20535 L
.28515 .20471 L
.28386 .20422 L
.28322 .20395 L
.28129 .20304 L
.27991 .20229 L
.27937 .20198 L
.27744 .20077 L
.27685 .20036 L
.27551 .19938 L
.27436 .19844 L
.27359 .19778 L
.27233 .19651 L
.27166 .1959 L
.27076 .19458 L
.26974 .19265 L
.26973 .19263 L
.26961 .19073 L
.26973 .19041 L
.27166 .18892 L
.27207 .1888 L
F
0 .68 1 r
.27166 .18939 m
.27359 .18884 L
.27551 .18881 L
.27744 .18897 L
.27937 .18932 L
.28129 .18984 L
.28322 .19052 L
.28376 .19073 L
.28515 .19132 L
.28707 .1923 L
.2877 .19265 L
.289 .19343 L
.29068 .19458 L
.29093 .19475 L
.29285 .19631 L
.29307 .19651 L
.29478 .1982 L
.29498 .19844 L
.29642 .20036 L
.29671 .20089 L
.29725 .20229 L
.29709 .20422 L
.29671 .20471 L
.29478 .20589 L
.29285 .20597 L
.29093 .20586 L
.289 .20556 L
.28707 .20508 L
.28515 .20445 L
.28453 .20422 L
.28322 .20368 L
.28129 .20276 L
.28042 .20229 L
.27937 .20169 L
.27744 .20045 L
.27731 .20036 L
.27551 .19904 L
.27479 .19844 L
.27359 .19738 L
.27276 .19651 L
.27166 .19534 L
.2712 .19458 L
.27023 .19265 L
.27022 .19073 L
F
0 .67 1 r
.27166 .18995 m
.27359 .18907 L
.27551 .18907 L
.27744 .18923 L
.27937 .18958 L
.28129 .1901 L
.28309 .19073 L
.28322 .19078 L
.28515 .19159 L
.28707 .19259 L
.28719 .19265 L
.289 .19373 L
.29023 .19458 L
.29093 .19508 L
.29264 .19651 L
.29285 .19667 L
.29455 .19844 L
.29478 .19872 L
.29596 .20036 L
.29671 .20221 L
.29672 .20229 L
.29671 .20343 L
.29637 .20422 L
.29478 .20551 L
.29285 .20566 L
.29093 .20557 L
.289 .20528 L
.28707 .2048 L
.28526 .20422 L
.28515 .20417 L
.28322 .20341 L
.28129 .20247 L
.28095 .20229 L
.27937 .2014 L
.27777 .20036 L
.27744 .20014 L
.27551 .19868 L
.27523 .19844 L
.27359 .19694 L
.27319 .19651 L
.27166 .19459 L
.27166 .19458 L
.27074 .19265 L
.27089 .19073 L
F
0 .66 1 r
.27166 .1907 m
.27359 .18941 L
.27551 .18935 L
.27744 .18951 L
.27937 .18985 L
.28129 .19037 L
.28238 .19073 L
.28322 .19104 L
.28515 .19187 L
.28667 .19265 L
.28707 .19287 L
.289 .19405 L
.28977 .19458 L
.29093 .19542 L
.2922 .19651 L
.29285 .19704 L
.29411 .19844 L
.29478 .19929 L
.29549 .20036 L
.29618 .20229 L
.29557 .20422 L
.29478 .20491 L
.29285 .20531 L
.29093 .20526 L
.289 .20498 L
.28707 .20452 L
.28604 .20422 L
.28515 .20391 L
.28322 .20313 L
.28149 .20229 L
.28129 .20219 L
.27937 .2011 L
.27824 .20036 L
.27744 .19983 L
.27567 .19844 L
.27551 .19832 L
.27363 .19651 L
.27359 .19646 L
.27211 .19458 L
.27166 .19376 L
.27126 .19265 L
.27164 .19073 L
F
1 .84 0 r
.27166 .12922 m
.27359 .12922 L
.27551 .12989 L
.27744 .13096 L
.2775 .13099 L
.27937 .13208 L
.28076 .13292 L
.28129 .13331 L
.28322 .13462 L
.28355 .13485 L
.28515 .13597 L
.28627 .13677 L
.28707 .13737 L
.28885 .1387 L
.289 .13881 L
.29093 .14029 L
.29137 .14063 L
.29285 .14179 L
.29383 .14255 L
.29478 .14332 L
.29623 .14448 L
.29671 .14487 L
.29859 .14641 L
.29864 .14645 L
.30056 .14804 L
.30091 .14834 L
.30249 .14966 L
.3032 .15026 L
.30442 .15129 L
.30546 .15219 L
.30634 .15295 L
.30769 .15412 L
.30827 .15462 L
.3099 .15604 L
.3102 .1563 L
.31208 .15797 L
.31212 .158 L
.31405 .15972 L
.31425 .1599 L
.31598 .16145 L
.31639 .16182 L
.31791 .1632 L
.31851 .16375 L
.31983 .16496 L
.32062 .16568 L
.32176 .16673 L
.3227 .1676 L
.32369 .16852 L
.32477 .16953 L
.32561 .17032 L
.32682 .17146 L
.32754 .17214 L
.32885 .17339 L
.32947 .17397 L
.33087 .17531 L
.33139 .17581 L
.33287 .17724 L
.33332 .17767 L
.33486 .17917 L
.33525 .17955 L
.33682 .18109 L
.33717 .18144 L
.33878 .18302 L
.3391 .18334 L
.34071 .18495 L
.34103 .18526 L
.34263 .18687 L
.34296 .1872 L
.34454 .1888 L
.34488 .18915 L
.34642 .19073 L
.34681 .19112 L
.34829 .19265 L
.34874 .19312 L
.35014 .19458 L
.35066 .19513 L
.35197 .19651 L
.35259 .19716 L
.35379 .19844 L
.35452 .19922 L
.35558 .20036 L
.35644 .2013 L
.35735 .20229 L
.35837 .20341 L
.3591 .20422 L
.3603 .20555 L
.36082 .20614 L
.36222 .20773 L
.36252 .20807 L
.36415 .20996 L
.36418 .21 L
.36582 .21192 L
.36608 .21222 L
.36743 .21385 L
.36801 .21455 L
.36899 .21578 L
.36993 .21696 L
.3705 .2177 L
.37186 .21951 L
.37194 .21963 L
.37334 .22156 L
.37379 .22206 L
.37463 .22349 L
.37571 .22534 L
.37574 .22541 L
.37679 .22734 L
.37691 .22927 L
.37571 .22994 L
.37379 .22949 L
.37329 .22927 L
.37186 .22865 L
.36993 .22753 L
.36958 .22734 L
.36801 .22637 L
.3665 .22541 L
.36608 .2251 L
.36415 .22377 L
.36375 .22349 L
.36222 .2224 L
.36107 .22156 L
.3603 .22098 L
.35852 .21963 L
.35837 .21952 L
.35644 .21803 L
.35602 .2177 L
.35452 .21652 L
.35358 .21578 L
.35259 .21498 L
.3512 .21385 L
.35066 .21341 L
.34885 .21192 L
.34874 .21183 L
.34681 .21022 L
.34654 .21 L
.34488 .2086 L
.34426 .20807 L
.34296 .20695 L
.34201 .20614 L
.34103 .20529 L
.33979 .20422 L
.3391 .20361 L
.33759 .20229 L
.33717 .20192 L
.33542 .20036 L
.33525 .20021 L
.33332 .19849 L
.33326 .19844 L
.33139 .19675 L
.33113 .19651 L
.32947 .195 L
.32901 .19458 L
.32754 .19323 L
.32691 .19265 L
.32561 .19145 L
.32483 .19073 L
.32369 .18966 L
.32277 .1888 L
.32176 .18785 L
.32072 .18687 L
.31983 .18603 L
.31869 .18495 L
.31791 .18419 L
.31668 .18302 L
.31598 .18234 L
.31468 .18109 L
.31405 .18048 L
.3127 .17917 L
.31212 .1786 L
.31074 .17724 L
.3102 .17671 L
.30879 .17531 L
.30827 .1748 L
.30686 .17339 L
.30634 .17287 L
.30494 .17146 L
.30442 .17093 L
.30304 .16953 L
.30249 .16897 L
.30116 .1676 L
.30056 .16699 L
.2993 .16568 L
.29864 .16499 L
.29746 .16375 L
.29671 .16297 L
.29563 .16182 L
.29478 .16092 L
.29382 .1599 L
.29285 .15885 L
.29204 .15797 L
.29093 .15676 L
.29028 .15604 L
.289 .15463 L
.28854 .15412 L
.28707 .15247 L
.28683 .15219 L
.28515 .15027 L
.28514 .15026 L
.28348 .14834 L
.28322 .14803 L
.28186 .14641 L
.28129 .14574 L
.28027 .14448 L
.27937 .14338 L
.27872 .14255 L
.27744 .1409 L
.27724 .14063 L
.2758 .1387 L
.27551 .13838 L
.27444 .13677 L
.27359 .13556 L
.27321 .13485 L
.27206 .13292 L
.27166 .13184 L
.27132 .13099 L
F
0 .65 1 r
.27359 .18991 m
.27551 .18969 L
.27744 .1898 L
.27937 .19014 L
.28129 .19065 L
.28154 .19073 L
.28322 .1913 L
.28515 .19216 L
.28613 .19265 L
.28707 .19316 L
.289 .19438 L
.2893 .19458 L
.29093 .19578 L
.29175 .19651 L
.29285 .19747 L
.29366 .19844 L
.29478 .19998 L
.295 .20036 L
.29561 .20229 L
.29478 .20408 L
.2947 .20422 L
.29285 .20488 L
.29093 .20492 L
.289 .20468 L
.28707 .20423 L
.28703 .20422 L
.28515 .20363 L
.28322 .20284 L
.28206 .20229 L
.28129 .2019 L
.27937 .20078 L
.27872 .20036 L
.27744 .1995 L
.27612 .19844 L
.27551 .19798 L
.27408 .19651 L
.27359 .19595 L
.27258 .19458 L
.27181 .19265 L
.27239 .19073 L
F
0 .64 1 r
.27359 .19061 m
.27551 .19007 L
.27744 .19013 L
.27937 .19044 L
.28074 .19073 L
.28129 .19092 L
.28322 .19158 L
.28515 .19245 L
.28556 .19265 L
.28707 .19346 L
.28881 .19458 L
.289 .1947 L
.29093 .19618 L
.29129 .19651 L
.29285 .19799 L
.29319 .19844 L
.29451 .20036 L
.29478 .20103 L
.295 .20229 L
.29478 .20307 L
.29354 .20422 L
.29285 .20438 L
.29093 .20455 L
.289 .20435 L
.28829 .20422 L
.28707 .20395 L
.28515 .20334 L
.28322 .20254 L
.28267 .20229 L
.28129 .20161 L
.27937 .20046 L
.27922 .20036 L
.27744 .19914 L
.27658 .19844 L
.27551 .19759 L
.27453 .19651 L
.27359 .19535 L
.27307 .19458 L
.27237 .19265 L
.27341 .19073 L
F
0 .63 1 r
.27551 .19053 m
.27744 .19048 L
.27925 .19073 L
.27937 .19074 L
.28129 .19119 L
.28322 .19188 L
.28495 .19265 L
.28515 .19274 L
.28707 .19378 L
.28832 .19458 L
.289 .19501 L
.29083 .19651 L
.29093 .19655 L
.29272 .19844 L
.29285 .1986 L
.29399 .20036 L
.29436 .20229 L
.29285 .20383 L
.29093 .20415 L
.289 .20406 L
.28707 .20366 L
.28515 .20304 L
.28333 .20229 L
.28322 .20224 L
.28129 .2013 L
.27973 .20036 L
.27937 .20015 L
.27744 .19876 L
.27706 .19844 L
.27551 .19711 L
.275 .19651 L
.27359 .1946 L
.27357 .19458 L
.27298 .19265 L
.27359 .19135 L
.27474 .19073 L
F
0 .62 1 r
.27551 .19102 m
.27744 .19086 L
.27937 .191 L
.28129 .19148 L
.28322 .19219 L
.28431 .19265 L
.28515 .19303 L
.28707 .19411 L
.28779 .19458 L
.289 .19536 L
.29035 .19651 L
.29093 .1968 L
.29224 .19844 L
.29285 .19929 L
.29345 .20036 L
.29365 .20229 L
.29285 .20318 L
.29093 .20373 L
.289 .20377 L
.28707 .20335 L
.28515 .20272 L
.28401 .20229 L
.28322 .20196 L
.28129 .20097 L
.28027 .20036 L
.27937 .19983 L
.27755 .19844 L
.27744 .1984 L
.27551 .19654 L
.27549 .19651 L
.27409 .19458 L
.27365 .19265 L
F
0 .61 1 r
.27551 .19158 m
.27744 .19125 L
.27937 .19129 L
.28129 .1918 L
.28322 .19251 L
.28357 .19265 L
.28515 .19333 L
.28707 .19448 L
.28723 .19458 L
.289 .19576 L
.28984 .19651 L
.29093 .19726 L
.29173 .19844 L
.29285 .20034 L
.29286 .20036 L
.29285 .20217 L
.29282 .20229 L
.29093 .20325 L
.289 .20341 L
.28707 .203 L
.28515 .20239 L
.28487 .20229 L
.28322 .20165 L
.28129 .20062 L
.28085 .20036 L
.27937 .19948 L
.27805 .19844 L
.27744 .19815 L
.27599 .19651 L
.27551 .19593 L
.27464 .19458 L
.27433 .19265 L
F
0 .6 1 r
.27551 .19234 m
.27744 .1917 L
.27937 .19166 L
.28129 .19216 L
.28286 .19265 L
.28322 .19279 L
.28515 .19368 L
.28667 .19458 L
.28707 .19475 L
.289 .19623 L
.28931 .19651 L
.29093 .19799 L
.29118 .19844 L
.29228 .20036 L
.29202 .20229 L
.29093 .2027 L
.289 .20297 L
.28707 .20262 L
.28592 .20229 L
.28515 .20211 L
.28322 .20131 L
.28146 .20036 L
.28129 .2003 L
.27937 .19907 L
.27859 .19844 L
.27744 .19773 L
.27651 .19651 L
.27551 .19512 L
.27523 .19458 L
.27521 .19265 L
F
1 .83 0 r
.27551 .13283 m
.27742 .13292 L
.27744 .13292 L
.27937 .13362 L
.28129 .13474 L
.28149 .13485 L
.28322 .13589 L
.28464 .13677 L
.28515 .13715 L
.28707 .13849 L
.28737 .1387 L
.289 .13987 L
.29005 .14063 L
.29093 .14129 L
.2926 .14255 L
.29285 .14276 L
.29478 .14426 L
.29507 .14448 L
.29671 .14578 L
.2975 .14641 L
.29864 .14733 L
.29987 .14834 L
.30056 .14891 L
.3022 .15026 L
.30249 .15051 L
.30442 .15213 L
.30449 .15219 L
.30634 .15377 L
.30675 .15412 L
.30827 .15542 L
.30899 .15604 L
.3102 .1571 L
.31119 .15797 L
.31212 .15879 L
.31337 .1599 L
.31405 .1605 L
.31553 .16182 L
.31598 .16223 L
.31766 .16375 L
.31791 .16397 L
.31978 .16568 L
.31983 .16573 L
.32176 .1675 L
.32187 .1676 L
.32369 .16929 L
.32395 .16953 L
.32561 .17109 L
.32601 .17146 L
.32754 .17291 L
.32804 .17339 L
.32947 .17474 L
.33006 .17531 L
.33139 .17659 L
.33207 .17724 L
.33332 .17845 L
.33405 .17917 L
.33525 .18033 L
.33602 .18109 L
.33717 .18223 L
.33797 .18302 L
.3391 .18414 L
.33991 .18495 L
.34103 .18607 L
.34182 .18687 L
.34296 .18802 L
.34372 .1888 L
.34488 .18999 L
.3456 .19073 L
.34681 .19198 L
.34746 .19265 L
.34874 .19399 L
.3493 .19458 L
.35066 .19603 L
.35112 .19651 L
.35259 .19809 L
.35291 .19844 L
.35452 .20017 L
.35469 .20036 L
.35644 .20229 L
.35644 .2023 L
.35816 .20422 L
.35837 .20444 L
.35986 .20614 L
.3603 .20664 L
.36153 .20807 L
.36222 .20888 L
.36316 .21 L
.36415 .21118 L
.36475 .21192 L
.36608 .21358 L
.36629 .21385 L
.36778 .21578 L
.36801 .21602 L
.36921 .2177 L
.36993 .21863 L
.37053 .21963 L
.37174 .22156 L
.37186 .22183 L
.37281 .22349 L
.37313 .22541 L
.37186 .22628 L
.36993 .22578 L
.36918 .22541 L
.36801 .2249 L
.36608 .22374 L
.36563 .22349 L
.36415 .22254 L
.36264 .22156 L
.36222 .22124 L
.3603 .21988 L
.35994 .21963 L
.35837 .21849 L
.35731 .2177 L
.35644 .21705 L
.35479 .21578 L
.35452 .21556 L
.35259 .21405 L
.35233 .21385 L
.35066 .21252 L
.34993 .21192 L
.34874 .21095 L
.34757 .21 L
.34681 .20937 L
.34525 .20807 L
.34488 .20776 L
.34297 .20614 L
.34296 .20613 L
.34103 .20448 L
.34072 .20422 L
.3391 .20281 L
.3385 .20229 L
.33717 .20113 L
.3363 .20036 L
.33525 .19943 L
.33413 .19844 L
.33332 .19771 L
.33198 .19651 L
.33139 .19598 L
.32985 .19458 L
.32947 .19423 L
.32774 .19265 L
.32754 .19247 L
.32566 .19073 L
.32561 .19069 L
.32369 .18889 L
.32359 .1888 L
.32176 .18708 L
.32153 .18687 L
.31983 .18526 L
.3195 .18495 L
.31791 .18342 L
.31748 .18302 L
.31598 .18157 L
.31549 .18109 L
.31405 .1797 L
.3135 .17917 L
.31212 .17781 L
.31154 .17724 L
.3102 .17591 L
.30959 .17531 L
.30827 .17399 L
.30767 .17339 L
.30634 .17205 L
.30576 .17146 L
.30442 .1701 L
.30386 .16953 L
.30249 .16812 L
.30199 .1676 L
.30056 .16612 L
.30014 .16568 L
.29864 .1641 L
.29831 .16375 L
.29671 .16205 L
.29649 .16182 L
.29478 .15998 L
.29471 .1599 L
.29294 .15797 L
.29285 .15788 L
.2912 .15604 L
.29093 .15575 L
.28948 .15412 L
.289 .15358 L
.28779 .15219 L
.28707 .15136 L
.28614 .15026 L
.28515 .14909 L
.28453 .14834 L
.28322 .14674 L
.28295 .14641 L
.28143 .14448 L
.28129 .14433 L
.27995 .14255 L
.27937 .14184 L
.27856 .14063 L
.27744 .13897 L
.27729 .1387 L
.27606 .13677 L
.27551 .13542 L
.27526 .13485 L
.27539 .13292 L
F
0 .59 1 r
.27744 .19221 m
.27937 .1921 L
.28129 .19255 L
.28172 .19265 L
.28322 .19308 L
.28515 .19406 L
.28604 .19458 L
.28707 .19506 L
.28875 .19651 L
.289 .19674 L
.29063 .19844 L
.29093 .1989 L
.29159 .20036 L
.29093 .20195 L
.29011 .20229 L
.289 .20243 L
.28757 .20229 L
.28707 .2022 L
.28515 .20181 L
.28322 .20093 L
.28211 .20036 L
.28129 .20003 L
.27937 .1986 L
.27917 .19844 L
.27744 .19705 L
.27708 .19651 L
.27584 .19458 L
.27631 .19265 L
F
0 .58 1 r
.27937 .19264 m
.27954 .19265 L
.28129 .19296 L
.28322 .19344 L
.28515 .19449 L
.2853 .19458 L
.28707 .1955 L
.28817 .19651 L
.289 .1973 L
.29002 .19844 L
.29086 .20036 L
.289 .20186 L
.28707 .20176 L
.28515 .20142 L
.28322 .20051 L
.28292 .20036 L
.28129 .19966 L
.27976 .19844 L
.27937 .1981 L
.27767 .19651 L
.27744 .19619 L
.27653 .19458 L
.27744 .19288 L
.2784 .19265 L
F
0 .57 1 r
.27744 .19432 m
.27937 .19319 L
.28129 .19342 L
.28322 .1939 L
.28466 .19458 L
.28515 .19495 L
.28707 .19611 L
.28748 .19651 L
.289 .19804 L
.28931 .19844 L
.29008 .20036 L
.289 .20113 L
.28707 .20126 L
.28515 .20093 L
.2839 .20036 L
.28322 .20006 L
.28129 .19914 L
.28043 .19844 L
.27937 .19753 L
.27831 .19651 L
.27744 .19473 L
.27742 .19458 L
F
0 .56 1 r
.27937 .19393 m
.28129 .19395 L
.28322 .1945 L
.28344 .19458 L
.28515 .19546 L
.28684 .19651 L
.28707 .19683 L
.28869 .19844 L
.28841 .20036 L
.28707 .20065 L
.28531 .20036 L
.28515 .20031 L
.28322 .19956 L
.28129 .19845 L
.28128 .19844 L
.27937 .19678 L
.27912 .19651 L
.2785 .19458 L
F
1 .99 0 r
.27937 .33306 m
.27969 .33332 L
.28129 .3347 L
.2818 .33525 L
.28322 .33664 L
.28361 .33717 L
.28515 .33892 L
.28539 .3391 L
.28692 .34103 L
.28707 .3412 L
.2885 .34296 L
.289 .34347 L
.29006 .34488 L
.29093 .34596 L
.29179 .34681 L
.29285 .34845 L
.29308 .34874 L
.29461 .35066 L
.29478 .35085 L
.2961 .35259 L
.29671 .35339 L
.29771 .35452 L
.29864 .35598 L
.29895 .35644 L
.3005 .35837 L
.30056 .35844 L
.30195 .3603 L
.30249 .36102 L
.30349 .36222 L
.30442 .36366 L
.30471 .36415 L
.30628 .36608 L
.30634 .36615 L
.30815 .36801 L
.30827 .36877 L
.3092 .36993 L
.3102 .37142 L
.31043 .37186 L
.312 .37379 L
.31212 .37393 L
.31379 .37571 L
.31405 .37657 L
.31488 .37764 L
.31598 .37923 L
.31612 .37957 L
.31768 .38149 L
.31791 .38175 L
.31943 .38342 L
.31983 .38441 L
.32053 .38535 L
.32176 .38706 L
.32182 .38727 L
.32334 .3892 L
.32369 .3896 L
.32506 .39113 L
.32561 .39227 L
.32618 .39306 L
.32754 .39491 L
.32755 .39498 L
.329 .39691 L
.32947 .39746 L
.33067 .39884 L
.33139 .40015 L
.33182 .40076 L
.33325 .40269 L
.33332 .40273 L
.33464 .40462 L
.33525 .40533 L
.33628 .40654 L
.33717 .40803 L
.33746 .40847 L
.33889 .4104 L
.3391 .41053 L
.34028 .41232 L
.34103 .41321 L
.34189 .41425 L
.34296 .41593 L
.34311 .41618 L
.34452 .41811 L
.34488 .41836 L
.34659 .42003 L
.34681 .42112 L
.34749 .42196 L
.34874 .42384 L
.34876 .42389 L
.35015 .42581 L
.35066 .42622 L
.35213 .42774 L
.35259 .42903 L
.35308 .42967 L
.3544 .43159 L
.35452 .43175 L
.35578 .43352 L
.35644 .43412 L
.35766 .43545 L
.35837 .43696 L
.35868 .43737 L
.36002 .4393 L
.3603 .43967 L
.3614 .44123 L
.36222 .44205 L
.36318 .44316 L
.36415 .44491 L
.36427 .44508 L
.36563 .44701 L
.36608 .4476 L
.36702 .44894 L
.36801 .45002 L
.36871 .45086 L
.36987 .45279 L
.36993 .45287 L
.37123 .45472 L
.37186 .45555 L
.37262 .45664 L
.37379 .45803 L
.37422 .45857 L
.37545 .4605 L
.37571 .46084 L
.37682 .46242 L
.37764 .46352 L
.37822 .46435 L
.37957 .4661 L
.3797 .46628 L
.38101 .46821 L
.38149 .46885 L
.38237 .47013 L
.38342 .47153 L
.38378 .47206 L
.38519 .47399 L
.38535 .4742 L
.38651 .47591 L
.38727 .47693 L
.38788 .47784 L
.3892 .47963 L
.3894 .47977 L
.3906 .48169 L
.39113 .48241 L
.39191 .48362 L
.39306 .4852 L
.39327 .48555 L
.39456 .48747 L
.39498 .48807 L
.39577 .4894 L
.39691 .49111 L
.39702 .49133 L
.39799 .49326 L
.39691 .49338 L
.39676 .49326 L
.39498 .49152 L
.39481 .49133 L
.39306 .48941 L
.39305 .4894 L
.39134 .48747 L
.39113 .48724 L
.38966 .48555 L
.3892 .48499 L
.38803 .48362 L
.38727 .48259 L
.38649 .48169 L
.38535 .48015 L
.38516 .47977 L
.38342 .47792 L
.38336 .47784 L
.3818 .47591 L
.38149 .47543 L
.38041 .47399 L
.37957 .47284 L
.37924 .47206 L
.37764 .47058 L
.37728 .47013 L
.37578 .46821 L
.37571 .46804 L
.37448 .46628 L
.37379 .46536 L
.37342 .46435 L
.37186 .46303 L
.37138 .46242 L
.36996 .4605 L
.36993 .46045 L
.36866 .45857 L
.36801 .45772 L
.36701 .45664 L
.36608 .45535 L
.36558 .45472 L
.36418 .45279 L
.36415 .45274 L
.36292 .45086 L
.36222 .44997 L
.36126 .44894 L
.3603 .44759 L
.35985 .44701 L
.35846 .44508 L
.35837 .44495 L
.35725 .44316 L
.35644 .44216 L
.35555 .44123 L
.35452 .43977 L
.35415 .4393 L
.35277 .43737 L
.35259 .43711 L
.35162 .43545 L
.35066 .4343 L
.34988 .43352 L
.34874 .43192 L
.34848 .43159 L
.34712 .42967 L
.34681 .42924 L
.34602 .42774 L
.34488 .42644 L
.34421 .42581 L
.34296 .42405 L
.34283 .42389 L
.34148 .42196 L
.34103 .42135 L
.34043 .42003 L
.3391 .41857 L
.33857 .41811 L
.33718 .41618 L
.33717 .41616 L
.33586 .41425 L
.33525 .41345 L
.33485 .41232 L
.33332 .41071 L
.33293 .4104 L
.3315 .40847 L
.33139 .40827 L
.33025 .40654 L
.32947 .40555 L
.32928 .40462 L
.32754 .40287 L
.3273 .40269 L
.32585 .40076 L
.32561 .40036 L
.32465 .39884 L
.32369 .39765 L
.32306 .39691 L
.32176 .39504 L
.32167 .39498 L
.32022 .39306 L
.31983 .39245 L
.31905 .39113 L
.31791 .38975 L
.31744 .3892 L
.31605 .38727 L
.31598 .38719 L
.3146 .38535 L
.31405 .38453 L
.31345 .38342 L
.31212 .38184 L
.31183 .38149 L
.31044 .37957 L
.3102 .37929 L
.309 .37764 L
.30827 .37659 L
.30785 .37571 L
.30634 .37391 L
.30624 .37379 L
.30452 .37186 L
.30442 .37136 L
.30342 .36993 L
.30249 .36862 L
.30225 .36801 L
.30067 .36608 L
.30056 .36604 L
.29893 .36415 L
.29864 .36337 L
.29788 .36222 L
.29671 .36059 L
.29662 .3603 L
.29514 .35837 L
.29478 .35818 L
.29342 .35644 L
.29285 .35527 L
.29238 .35452 L
.29104 .35259 L
.29093 .35244 L
.2897 .35066 L
.289 .35007 L
.28806 .34874 L
.28707 .34693 L
.287 .34681 L
.28571 .34488 L
.28515 .34406 L
.28441 .34296 L
.28322 .34128 L
.28306 .34103 L
.28192 .3391 L
.28129 .33813 L
.28073 .33717 L
.27963 .33525 L
.27937 .33476 L
.27892 .33332 L
F
1 .82 0 r
.27937 .13656 m
.28129 .13666 L
.28157 .13677 L
.28322 .13737 L
.28515 .13856 L
.2854 .1387 L
.28707 .13974 L
.28848 .14063 L
.289 .14103 L
.29093 .1424 L
.29115 .14255 L
.29285 .1438 L
.29378 .14448 L
.29478 .14525 L
.2963 .14641 L
.29671 .14674 L
.29864 .14826 L
.29873 .14834 L
.30056 .14981 L
.30112 .15026 L
.30249 .15138 L
.30347 .15219 L
.30442 .15298 L
.30577 .15412 L
.30634 .15461 L
.30803 .15604 L
.30827 .15625 L
.3102 .15792 L
.31026 .15797 L
.31212 .1596 L
.31246 .1599 L
.31405 .1613 L
.31464 .16182 L
.31598 .16302 L
.31679 .16375 L
.31791 .16475 L
.31892 .16568 L
.31983 .16651 L
.32103 .1676 L
.32176 .16828 L
.32311 .16953 L
.32369 .17007 L
.32518 .17146 L
.32561 .17187 L
.32722 .17339 L
.32754 .17369 L
.32924 .17531 L
.32947 .17553 L
.33125 .17724 L
.33139 .17738 L
.33323 .17917 L
.33332 .17925 L
.3352 .18109 L
.33525 .18114 L
.33715 .18302 L
.33717 .18304 L
.33908 .18495 L
.3391 .18497 L
.34099 .18687 L
.34103 .18691 L
.34288 .1888 L
.34296 .18888 L
.34475 .19073 L
.34488 .19086 L
.3466 .19265 L
.34681 .19287 L
.34843 .19458 L
.34874 .1949 L
.35023 .19651 L
.35066 .19697 L
.35201 .19844 L
.35259 .19906 L
.35377 .20036 L
.35452 .20119 L
.35549 .20229 L
.35644 .20336 L
.35719 .20422 L
.35837 .20558 L
.35885 .20614 L
.3603 .20787 L
.36046 .20807 L
.36204 .21 L
.36222 .2102 L
.36357 .21192 L
.36415 .21261 L
.36503 .21385 L
.36608 .21528 L
.36639 .21578 L
.36769 .2177 L
.36801 .21837 L
.36876 .21963 L
.36923 .22156 L
.36801 .22254 L
.36608 .22204 L
.36518 .22156 L
.36415 .22112 L
.36222 .2199 L
.36175 .21963 L
.3603 .21868 L
.35882 .2177 L
.35837 .21736 L
.35644 .21596 L
.35618 .21578 L
.35452 .21454 L
.35359 .21385 L
.35259 .21308 L
.3511 .21192 L
.35066 .21157 L
.34874 .21003 L
.34869 .21 L
.34681 .20848 L
.34631 .20807 L
.34488 .20689 L
.34398 .20614 L
.34296 .20528 L
.3417 .20422 L
.34103 .20365 L
.33944 .20229 L
.3391 .20199 L
.33723 .20036 L
.33717 .20032 L
.33525 .19863 L
.33503 .19844 L
.33332 .19692 L
.33286 .19651 L
.33139 .19519 L
.33072 .19458 L
.32947 .19345 L
.3286 .19265 L
.32754 .19169 L
.3265 .19073 L
.32561 .18991 L
.32442 .1888 L
.32369 .18812 L
.32236 .18687 L
.32176 .18631 L
.32032 .18495 L
.31983 .18448 L
.3183 .18302 L
.31791 .18264 L
.3163 .18109 L
.31598 .18078 L
.31432 .17917 L
.31405 .1789 L
.31236 .17724 L
.31212 .17701 L
.31042 .17531 L
.3102 .17509 L
.30849 .17339 L
.30827 .17316 L
.30659 .17146 L
.30634 .17121 L
.3047 .16953 L
.30442 .16924 L
.30284 .1676 L
.30249 .16724 L
.301 .16568 L
.30056 .16522 L
.29918 .16375 L
.29864 .16317 L
.29738 .16182 L
.29671 .1611 L
.29561 .1599 L
.29478 .15899 L
.29387 .15797 L
.29285 .15684 L
.29215 .15604 L
.29093 .15465 L
.29047 .15412 L
.289 .1524 L
.28883 .15219 L
.28722 .15026 L
.28707 .1501 L
.28565 .14834 L
.28515 .14774 L
.28415 .14641 L
.28322 .14521 L
.28273 .14448 L
.28139 .14255 L
.28129 .14237 L
.28013 .14063 L
.27937 .13889 L
.27928 .1387 L
.27914 .13677 L
F
0 .55 1 r
.28129 .19464 m
.28322 .19512 L
.28515 .1961 L
.28592 .19651 L
.28707 .19778 L
.28763 .19844 L
.28707 .19971 L
.28515 .19967 L
.28322 .19895 L
.28229 .19844 L
.28129 .19773 L
.28009 .19651 L
F
1 .98 0 r
.28129 .35185 m
.28195 .35259 L
.28322 .35385 L
.28375 .35452 L
.28515 .35609 L
.28541 .35644 L
.28701 .35837 L
.28707 .35845 L
.2885 .3603 L
.289 .36089 L
.29 .36222 L
.29093 .36335 L
.29152 .36415 L
.29285 .3657 L
.29304 .36608 L
.2945 .36801 L
.29478 .36835 L
.29594 .36993 L
.29671 .3709 L
.2974 .37186 L
.29864 .37328 L
.29888 .37379 L
.30033 .37571 L
.30056 .37601 L
.30173 .37764 L
.30249 .3786 L
.30317 .37957 L
.30442 .38104 L
.30463 .38149 L
.30605 .38342 L
.30634 .38379 L
.30744 .38535 L
.30827 .38642 L
.30887 .38727 L
.3102 .38894 L
.31047 .3892 L
.31171 .39113 L
.31212 .39167 L
.31309 .39306 L
.31405 .39431 L
.31451 .39498 L
.31595 .39691 L
.31598 .39694 L
.3173 .39884 L
.31791 .39963 L
.31868 .40076 L
.31983 .4023 L
.3201 .40269 L
.32148 .40462 L
.32176 .40498 L
.32281 .40654 L
.32369 .40771 L
.32419 .40847 L
.32561 .4104 L
.32561 .41041 L
.32688 .41232 L
.32754 .41321 L
.3282 .41425 L
.32947 .416 L
.32957 .41618 L
.3308 .41811 L
.33139 .41895 L
.33198 .42003 L
.33139 .42088 L
.33064 .42003 L
.32947 .4187 L
.32896 .41811 L
.32754 .41654 L
.32736 .41618 L
.3258 .41425 L
.32561 .41402 L
.32425 .41232 L
.32369 .41162 L
.32271 .4104 L
.32176 .40946 L
.32119 .40847 L
.31983 .40672 L
.31966 .40654 L
.31822 .40462 L
.31791 .40422 L
.31672 .40269 L
.31598 .40195 L
.31524 .40076 L
.31405 .39919 L
.31375 .39884 L
.31235 .39691 L
.31212 .39662 L
.31089 .39498 L
.3102 .39426 L
.30943 .39306 L
.30827 .39149 L
.30798 .39113 L
.30659 .3892 L
.30634 .38888 L
.30515 .38727 L
.30442 .38646 L
.30317 .38535 L
.30249 .38366 L
.30231 .38342 L
.30092 .38149 L
.30056 .38101 L
.2995 .37957 L
.29864 .37854 L
.29775 .37764 L
.29672 .37571 L
.29671 .3757 L
.29534 .37379 L
.29478 .37302 L
.29395 .37186 L
.29285 .37044 L
.2924 .36993 L
.29123 .36801 L
.29093 .36759 L
.28987 .36608 L
.289 .36484 L
.28852 .36415 L
.2872 .36222 L
.28707 .36205 L
.28591 .3603 L
.28515 .35919 L
.2846 .35837 L
.28334 .35644 L
.28322 .35627 L
.28219 .35452 L
.28129 .35308 L
.28104 .35259 L
F
0 .54 1 r
.28322 .19602 m
.28428 .19651 L
.28515 .19716 L
.28568 .19844 L
.28515 .19862 L
.2841 .19844 L
.28322 .19804 L
.28155 .19651 L
F
0 .98 1 r
.28322 .34603 m
.28394 .34681 L
.28515 .34801 L
.28576 .34874 L
.28707 .34988 L
.28745 .35066 L
.289 .35248 L
.28916 .35259 L
.29061 .35452 L
.29093 .35488 L
.29214 .35644 L
.29285 .35691 L
.29367 .35837 L
.29478 .35968 L
.29553 .3603 L
.2967 .36222 L
.29671 .36224 L
.29815 .36415 L
.29864 .36445 L
.29962 .36608 L
.30056 .36719 L
.30143 .36801 L
.30249 .36982 L
.30258 .36993 L
.304 .37186 L
.30442 .37213 L
.30544 .37379 L
.30634 .37486 L
.30718 .37571 L
.30827 .37752 L
.30836 .37764 L
.30976 .37957 L
.3102 .37987 L
.31119 .38149 L
.31212 .38263 L
.31286 .38342 L
.31405 .38531 L
.31408 .38535 L
.31548 .38727 L
.31598 .38766 L
.31689 .3892 L
.31791 .39045 L
.3185 .39113 L
.31976 .39306 L
.31983 .39314 L
.32115 .39498 L
.32176 .39549 L
.32257 .39691 L
.32369 .39832 L
.32412 .39884 L
.32542 .40076 L
.32561 .40102 L
.3268 .40269 L
.32754 .40337 L
.32883 .40462 L
.32947 .40623 L
.32972 .40654 L
.33105 .40847 L
.33139 .40892 L
.33243 .4104 L
.33332 .41131 L
.3343 .41232 L
.33525 .41418 L
.3353 .41425 L
.33665 .41618 L
.33717 .41686 L
.33804 .41811 L
.3391 .4193 L
.33976 .42003 L
.34088 .42196 L
.34103 .42216 L
.34224 .42389 L
.34296 .42484 L
.34363 .42581 L
.34488 .42738 L
.34519 .42774 L
.34642 .42967 L
.34681 .43018 L
.34778 .43159 L
.34874 .43287 L
.34918 .43352 L
.35059 .43545 L
.35066 .43554 L
.35191 .43737 L
.35259 .43829 L
.35327 .4393 L
.35452 .441 L
.35467 .44123 L
.35599 .44316 L
.35644 .44377 L
.35729 .44508 L
.35837 .44658 L
.35864 .44701 L
.35994 .44894 L
.3603 .44945 L
.36114 .45086 L
.36222 .45248 L
.36239 .45279 L
.36222 .45442 L
.36066 .45279 L
.3603 .45242 L
.35891 .45086 L
.35837 .45026 L
.35723 .44894 L
.35644 .44846 L
.3556 .44701 L
.35452 .44569 L
.35368 .44508 L
.35259 .44328 L
.35249 .44316 L
.35093 .44123 L
.35066 .44105 L
.34938 .4393 L
.34874 .43847 L
.34764 .43737 L
.34681 .43594 L
.34647 .43545 L
.34488 .43352 L
.34488 .43352 L
.34338 .43159 L
.34296 .43102 L
.3418 .42967 L
.34103 .42844 L
.34061 .42774 L
.3391 .42592 L
.33897 .42581 L
.3375 .42389 L
.33717 .42343 L
.33602 .42196 L
.33525 .4208 L
.33483 .42003 L
.33332 .41824 L
.33315 .41811 L
.33171 .41618 L
.33139 .41573 L
.33029 .41425 L
.32947 .41308 L
.32911 .41232 L
.32754 .4105 L
.32741 .4104 L
.32567 .40847 L
.32561 .40796 L
.3246 .40654 L
.32369 .40529 L
.32343 .40462 L
.32176 .40272 L
.32171 .40269 L
.32004 .40076 L
.31983 .40013 L
.31894 .39884 L
.31791 .39745 L
.31776 .39691 L
.31605 .39498 L
.31598 .3949 L
.31442 .39306 L
.31405 .39225 L
.31332 .39113 L
.31212 .38956 L
.31208 .3892 L
.31043 .38727 L
.3102 .38702 L
.30883 .38535 L
.30827 .38432 L
.30772 .38342 L
.30634 .38163 L
.30623 .38149 L
.30484 .37957 L
.30442 .37908 L
.30328 .37764 L
.30249 .37632 L
.30214 .37571 L
.30069 .37379 L
.30056 .37361 L
.29931 .37186 L
.29864 .37105 L
.2978 .36993 L
.29671 .36822 L
.2966 .36801 L
.29521 .36608 L
.29478 .36547 L
.29385 .36415 L
.29285 .36284 L
.29242 .36222 L
.29118 .3603 L
.29093 .35994 L
.28986 .35837 L
.289 .35764 L
.28801 .35644 L
.28725 .35452 L
.28707 .35426 L
.28601 .35259 L
.28515 .35129 L
.28475 .35066 L
.2836 .34874 L
.28322 .34812 L
.28257 .34681 L
F
1 .81 0 r
.28322 .1405 m
.28515 .14048 L
.28548 .14063 L
.28707 .14118 L
.289 .14244 L
.28921 .14255 L
.29093 .14363 L
.29226 .14448 L
.29285 .14495 L
.29478 .14636 L
.29485 .14641 L
.29671 .14778 L
.29746 .14834 L
.29864 .14925 L
.29994 .15026 L
.30056 .15076 L
.30234 .15219 L
.30249 .15232 L
.30442 .15389 L
.30469 .15412 L
.30634 .15549 L
.307 .15604 L
.30827 .15711 L
.30928 .15797 L
.3102 .15876 L
.31151 .1599 L
.31212 .16043 L
.31371 .16182 L
.31405 .16213 L
.31588 .16375 L
.31598 .16384 L
.31791 .16557 L
.31802 .16568 L
.31983 .16732 L
.32014 .1676 L
.32176 .16909 L
.32224 .16953 L
.32369 .17087 L
.32432 .17146 L
.32561 .17267 L
.32637 .17339 L
.32754 .17449 L
.3284 .17531 L
.32947 .17633 L
.33041 .17724 L
.33139 .17819 L
.33239 .17917 L
.33332 .18007 L
.33436 .18109 L
.33525 .18197 L
.33631 .18302 L
.33717 .18388 L
.33823 .18495 L
.3391 .18582 L
.34014 .18687 L
.34103 .18778 L
.34202 .1888 L
.34296 .18976 L
.34388 .19073 L
.34488 .19177 L
.34571 .19265 L
.34681 .19381 L
.34752 .19458 L
.34874 .19588 L
.34931 .19651 L
.35066 .19799 L
.35106 .19844 L
.35259 .20014 L
.35279 .20036 L
.35448 .20229 L
.35452 .20233 L
.35614 .20422 L
.35644 .20456 L
.35775 .20614 L
.35837 .20686 L
.35931 .20807 L
.3603 .20931 L
.36079 .21 L
.36219 .21192 L
.36222 .21199 L
.36356 .21385 L
.36415 .21501 L
.36462 .21578 L
.3652 .2177 L
.36415 .21871 L
.36222 .21822 L
.36132 .2177 L
.3603 .21729 L
.35837 .21602 L
.35796 .21578 L
.35644 .21477 L
.35506 .21385 L
.35452 .21342 L
.35259 .212 L
.35249 .21192 L
.35066 .21055 L
.34993 .21 L
.34874 .20906 L
.34747 .20807 L
.34681 .20754 L
.34509 .20614 L
.34488 .20597 L
.34296 .20438 L
.34276 .20422 L
.34103 .20277 L
.34046 .20229 L
.3391 .20114 L
.3382 .20036 L
.33717 .19948 L
.33597 .19844 L
.33525 .1978 L
.33378 .19651 L
.33332 .1961 L
.33162 .19458 L
.33139 .19438 L
.32949 .19265 L
.32947 .19263 L
.32754 .19088 L
.32738 .19073 L
.32561 .1891 L
.32529 .1888 L
.32369 .18731 L
.32322 .18687 L
.32176 .1855 L
.32117 .18495 L
.31983 .18367 L
.31915 .18302 L
.31791 .18183 L
.31715 .18109 L
.31598 .17996 L
.31516 .17917 L
.31405 .17808 L
.3132 .17724 L
.31212 .17617 L
.31126 .17531 L
.3102 .17425 L
.30934 .17339 L
.30827 .1723 L
.30745 .17146 L
.30634 .17033 L
.30557 .16953 L
.30442 .16833 L
.30372 .1676 L
.30249 .16631 L
.30189 .16568 L
.30056 .16426 L
.30009 .16375 L
.29864 .16217 L
.29832 .16182 L
.29671 .16005 L
.29658 .1599 L
.29486 .15797 L
.29478 .15788 L
.29318 .15604 L
.29285 .15569 L
.29154 .15412 L
.29093 .15342 L
.28994 .15219 L
.289 .15104 L
.28841 .15026 L
.28707 .1485 L
.28696 .14834 L
.28554 .14641 L
.28515 .14574 L
.28428 .14448 L
.28337 .14255 L
.28322 .14214 L
.28313 .14063 L
F
1 .97 0 r
.29285 .2157 m
.29478 .21557 L
.29671 .21549 L
.29864 .21544 L
.30056 .21541 L
.30249 .21541 L
.30442 .21542 L
.30634 .21545 L
.30827 .21551 L
.3102 .21559 L
.31212 .21569 L
.31338 .21578 L
.31405 .21583 L
.31598 .21603 L
.31791 .21628 L
.31983 .2166 L
.32176 .21701 L
.32369 .21748 L
.32452 .2177 L
.32561 .21806 L
.32754 .21879 L
.32947 .21957 L
.32963 .21963 L
.33139 .22053 L
.33332 .22153 L
.33338 .22156 L
.33525 .22276 L
.33644 .22349 L
.33717 .22399 L
.3391 .2254 L
.33913 .22541 L
.34103 .22707 L
.34137 .22734 L
.34296 .2288 L
.34346 .22927 L
.34488 .23071 L
.34533 .23119 L
.34681 .23286 L
.34701 .23312 L
.34848 .23505 L
.34874 .23542 L
.34964 .23697 L
.35059 .2389 L
.35066 .23908 L
.35111 .24083 L
.35104 .24275 L
.35066 .24362 L
.34968 .24468 L
.34874 .24534 L
.34681 .24603 L
.34488 .2464 L
.34323 .24661 L
.34296 .24664 L
.34103 .24682 L
.3391 .24693 L
.33717 .24699 L
.33525 .24702 L
.33332 .24701 L
.33139 .24697 L
.32947 .24689 L
.32754 .24679 L
.32561 .24664 L
.32524 .24661 L
.32369 .24644 L
.32176 .24618 L
.31983 .24584 L
.31791 .24544 L
.31598 .24497 L
.31485 .24468 L
.31405 .24443 L
.31212 .24375 L
.3102 .24301 L
.30954 .24275 L
.30827 .24217 L
.30634 .24122 L
.30552 .24083 L
.30442 .24022 L
.30249 .23911 L
.30211 .2389 L
.30056 .23791 L
.29907 .23697 L
.29864 .23668 L
.29671 .2353 L
.29635 .23505 L
.29478 .23385 L
.29384 .23312 L
.29285 .23234 L
.2915 .23119 L
.29093 .23071 L
.28938 .22927 L
.289 .22891 L
.28752 .22734 L
.28707 .22686 L
.28596 .22541 L
.28515 .22437 L
.2847 .22349 L
.28378 .22156 L
.28357 .21963 L
.28473 .2177 L
.28515 .21741 L
.28707 .21634 L
.289 .21603 L
.29093 .21585 L
.29193 .21578 L
F
1 .96 0 r
.29864 .21575 m
.30056 .2157 L
.30249 .21569 L
.30442 .2157 L
.30634 .21574 L
.30755 .21578 L
.30827 .21581 L
.3102 .21591 L
.31212 .21605 L
.31405 .21624 L
.31598 .21649 L
.31791 .21681 L
.31983 .2172 L
.32176 .21766 L
.32193 .2177 L
.32369 .21826 L
.32561 .21897 L
.32726 .21963 L
.32754 .21976 L
.32947 .22072 L
.33105 .22156 L
.33139 .22176 L
.33332 .22297 L
.33412 .22349 L
.33525 .22428 L
.33679 .22541 L
.33717 .22571 L
.3391 .2273 L
.33915 .22734 L
.34103 .22907 L
.34123 .22927 L
.34296 .23102 L
.34312 .23119 L
.3448 .23312 L
.34488 .23322 L
.34624 .23505 L
.34681 .23587 L
.34745 .23697 L
.34836 .2389 L
.34874 .24015 L
.34884 .24083 L
.34874 .24234 L
.3486 .24275 L
.34681 .24466 L
.34677 .24468 L
.34488 .24551 L
.34296 .24595 L
.34103 .24621 L
.3391 .24639 L
.33717 .24649 L
.33525 .24654 L
.33332 .24654 L
.33139 .2465 L
.32947 .24641 L
.32754 .24628 L
.32561 .24609 L
.32369 .24585 L
.32176 .24553 L
.31983 .24516 L
.31791 .24472 L
.31776 .24468 L
.31598 .24416 L
.31405 .24351 L
.31212 .24281 L
.31198 .24275 L
.3102 .24197 L
.30827 .24106 L
.30779 .24083 L
.30634 .24004 L
.30442 .23896 L
.30432 .2389 L
.30249 .23774 L
.30128 .23697 L
.30056 .23648 L
.29864 .23512 L
.29854 .23505 L
.29671 .23363 L
.29606 .23312 L
.29478 .23206 L
.29379 .23119 L
.29285 .23036 L
.29172 .22927 L
.29093 .22848 L
.28987 .22734 L
.289 .22636 L
.28827 .22541 L
.28707 .2237 L
.28696 .22349 L
.28611 .22156 L
.28595 .21963 L
.28707 .21789 L
.28733 .2177 L
.289 .21677 L
.29093 .21633 L
.29285 .21609 L
.29478 .21593 L
.29671 .21582 L
.29777 .21578 L
F
1 .8 0 r
.289 .14445 m
.28906 .14448 L
.29093 .14503 L
.29285 .1464 L
.29287 .14641 L
.29478 .1476 L
.29594 .14834 L
.29671 .14893 L
.29853 .15026 L
.29864 .15037 L
.30056 .15183 L
.30104 .15219 L
.30249 .15332 L
.3035 .15412 L
.30442 .15485 L
.30588 .15604 L
.30634 .15643 L
.30819 .15797 L
.30827 .15804 L
.3102 .15967 L
.31046 .1599 L
.31212 .16132 L
.31271 .16182 L
.31405 .163 L
.31491 .16375 L
.31598 .1647 L
.31708 .16568 L
.31791 .16642 L
.31922 .1676 L
.31983 .16816 L
.32133 .16953 L
.32176 .16993 L
.32341 .17146 L
.32369 .17171 L
.32547 .17339 L
.32561 .17352 L
.32751 .17531 L
.32754 .17534 L
.32947 .17719 L
.32952 .17724 L
.33139 .17905 L
.33151 .17917 L
.33332 .18094 L
.33347 .18109 L
.33525 .18285 L
.33542 .18302 L
.33717 .18478 L
.33734 .18495 L
.3391 .18674 L
.33923 .18687 L
.34103 .18872 L
.3411 .1888 L
.34295 .19073 L
.34296 .19074 L
.34477 .19265 L
.34488 .19277 L
.34656 .19458 L
.34681 .19484 L
.34832 .19651 L
.34874 .19695 L
.35005 .19844 L
.35066 .19911 L
.35173 .20036 L
.35259 .20134 L
.35337 .20229 L
.35452 .20366 L
.35495 .20422 L
.35644 .20612 L
.35646 .20614 L
.35797 .20807 L
.35837 .20874 L
.35931 .21 L
.3603 .21184 L
.36035 .21192 L
.36098 .21385 L
.3603 .21468 L
.35837 .21429 L
.35764 .21385 L
.35644 .21341 L
.35452 .21205 L
.3543 .21192 L
.35259 .21079 L
.35139 .21 L
.35066 .20943 L
.34884 .20807 L
.34874 .20797 L
.34681 .20649 L
.34635 .20614 L
.34488 .20498 L
.34392 .20422 L
.34296 .20343 L
.34156 .20229 L
.34103 .20184 L
.33926 .20036 L
.3391 .20022 L
.33717 .19858 L
.33701 .19844 L
.33525 .19692 L
.33478 .19651 L
.33332 .19523 L
.33258 .19458 L
.33139 .19352 L
.33042 .19265 L
.32947 .19179 L
.32829 .19073 L
.32754 .19004 L
.32619 .1888 L
.32561 .18827 L
.32412 .18687 L
.32369 .18647 L
.32206 .18495 L
.32176 .18466 L
.32004 .18302 L
.31983 .18283 L
.31803 .18109 L
.31791 .18097 L
.31605 .17917 L
.31598 .1791 L
.31409 .17724 L
.31405 .1772 L
.31216 .17531 L
.31212 .17528 L
.31024 .17339 L
.3102 .17334 L
.30836 .17146 L
.30827 .17137 L
.30649 .16953 L
.30634 .16938 L
.30465 .1676 L
.30442 .16736 L
.30284 .16568 L
.30249 .16531 L
.30106 .16375 L
.30056 .16322 L
.29931 .16182 L
.29864 .16108 L
.2976 .1599 L
.29671 .15889 L
.29593 .15797 L
.29478 .15662 L
.29432 .15604 L
.29285 .15424 L
.29276 .15412 L
.29122 .15219 L
.29093 .15174 L
.28979 .15026 L
.289 .14898 L
.28855 .14834 L
.28758 .14641 L
.28744 .14448 L
F
1 .95 0 r
.29093 .21701 m
.29285 .21656 L
.29478 .21631 L
.29671 .21615 L
.29864 .21605 L
.30056 .21599 L
.30249 .21597 L
.30442 .21598 L
.30634 .21603 L
.30827 .21611 L
.3102 .21623 L
.31212 .2164 L
.31405 .21663 L
.31598 .21692 L
.31791 .21728 L
.31977 .2177 L
.31983 .21772 L
.32176 .21828 L
.32369 .21895 L
.32543 .21963 L
.32561 .21971 L
.32754 .22063 L
.32933 .22156 L
.32947 .22164 L
.33139 .22281 L
.33246 .22349 L
.33332 .22408 L
.33515 .22541 L
.33525 .22549 L
.33717 .22706 L
.3375 .22734 L
.3391 .22878 L
.33961 .22927 L
.34103 .23069 L
.3415 .23119 L
.34296 .23285 L
.34317 .23312 L
.34462 .23505 L
.34488 .23542 L
.3458 .23697 L
.34666 .2389 L
.34681 .23939 L
.34703 .24083 L
.34681 .24226 L
.34658 .24275 L
.34488 .2445 L
.34416 .24468 L
.34296 .24513 L
.34103 .24557 L
.3391 .24583 L
.33717 .24598 L
.33525 .24606 L
.33332 .24608 L
.33139 .24604 L
.32947 .24594 L
.32754 .24579 L
.32561 .24558 L
.32369 .24531 L
.32176 .24497 L
.32036 .24468 L
.31983 .24455 L
.31791 .24404 L
.31598 .24344 L
.31405 .24277 L
.314 .24275 L
.31212 .24198 L
.3102 .24111 L
.3096 .24083 L
.30827 .24013 L
.30634 .23908 L
.30603 .2389 L
.30442 .23791 L
.30293 .23697 L
.30249 .23667 L
.30056 .23533 L
.30017 .23505 L
.29864 .23388 L
.29767 .23312 L
.29671 .23233 L
.29539 .23119 L
.29478 .23064 L
.29333 .22927 L
.29285 .2288 L
.29149 .22734 L
.29093 .22671 L
.28991 .22541 L
.289 .22415 L
.28864 .22349 L
.28783 .22156 L
.28778 .21963 L
.289 .21801 L
.28949 .2177 L
F
0 .99 1 r
.289 .33748 m
.2907 .3391 L
.29093 .33931 L
.29252 .34103 L
.29285 .34137 L
.29423 .34296 L
.29478 .34346 L
.29589 .34488 L
.29671 .34587 L
.29785 .34681 L
.29864 .34828 L
.29904 .34874 L
.30056 .35064 L
.30057 .35066 L
.30212 .35259 L
.30249 .35308 L
.30384 .35452 L
.30442 .35564 L
.30503 .35644 L
.30634 .3582 L
.3066 .35837 L
.30805 .3603 L
.30827 .3606 L
.30965 .36222 L
.3102 .36323 L
.31084 .36415 L
.31212 .36587 L
.31242 .36608 L
.31385 .36801 L
.31405 .36829 L
.31538 .36993 L
.31598 .37096 L
.31656 .37186 L
.31791 .37362 L
.31816 .37379 L
.31957 .37571 L
.31983 .37607 L
.32107 .37764 L
.32176 .37876 L
.32224 .37957 L
.32369 .38139 L
.32385 .38149 L
.32558 .38342 L
.32561 .3839 L
.32673 .38535 L
.32754 .3866 L
.3279 .38727 L
.32947 .38917 L
.32952 .3892 L
.33124 .39113 L
.33139 .39176 L
.33237 .39306 L
.33332 .39445 L
.33355 .39498 L
.33518 .39691 L
.33525 .39699 L
.33689 .39884 L
.33717 .39963 L
.33801 .40076 L
.3391 .40231 L
.33922 .40269 L
.34082 .40462 L
.34103 .40485 L
.34252 .40654 L
.34296 .40751 L
.34364 .40847 L
.34488 .41018 L
.34491 .4104 L
.34647 .41232 L
.34681 .41272 L
.34814 .41425 L
.34874 .4154 L
.34927 .41618 L
.35066 .41805 L
.35071 .41811 L
.3521 .42003 L
.35259 .42059 L
.35375 .42196 L
.35452 .42329 L
.35491 .42389 L
.35635 .42581 L
.35644 .42586 L
.35774 .42774 L
.35837 .42848 L
.35935 .42967 L
.3603 .43119 L
.36055 .43159 L
.36198 .43352 L
.36222 .43367 L
.36338 .43545 L
.36415 .43637 L
.36495 .43737 L
.36608 .43909 L
.3662 .4393 L
.36761 .44123 L
.36801 .44151 L
.36961 .44316 L
.36993 .44428 L
.37056 .44508 L
.37186 .447 L
.37186 .44701 L
.37324 .44894 L
.37379 .44937 L
.37515 .45086 L
.37571 .4522 L
.37616 .45279 L
.37749 .45472 L
.37764 .45492 L
.37887 .45664 L
.37957 .45728 L
.38069 .45857 L
.38149 .46014 L
.38176 .4605 L
.3831 .46242 L
.38342 .46284 L
.38449 .46435 L
.38535 .46521 L
.38623 .46628 L
.38727 .46809 L
.38736 .46821 L
.38872 .47013 L
.3892 .47077 L
.39011 .47206 L
.39113 .47319 L
.39177 .47399 L
.39296 .47591 L
.39306 .47604 L
.39432 .47784 L
.39498 .47871 L
.39572 .47977 L
.39691 .4812 L
.39729 .48169 L
.39855 .48362 L
.39884 .484 L
.39992 .48555 L
.40076 .48667 L
.40132 .48747 L
.40269 .48926 L
.40279 .4894 L
.40411 .49133 L
.40462 .492 L
.40548 .49326 L
.40654 .49467 L
.40689 .49518 L
.40829 .49711 L
.40847 .49735 L
.40962 .49904 L
.4104 .50007 L
.41099 .50096 L
.41232 .50277 L
.41249 .50289 L
.41371 .50482 L
.41425 .50555 L
.41502 .50674 L
.41618 .50835 L
.41638 .50867 L
.41766 .5106 L
.41811 .51124 L
.41886 .51253 L
.42003 .51433 L
.4201 .51445 L
.42094 .51638 L
.42003 .51644 L
.41996 .51638 L
.41811 .51469 L
.4179 .51445 L
.41618 .51261 L
.41605 .51253 L
.41436 .5106 L
.41425 .51048 L
.41266 .50867 L
.41232 .50826 L
.41101 .50674 L
.4104 .50589 L
.40944 .50482 L
.40847 .50344 L
.40816 .50289 L
.40654 .50126 L
.40629 .50096 L
.40477 .49904 L
.40462 .4988 L
.40333 .49711 L
.40269 .49621 L
.40217 .49518 L
.40076 .49394 L
.40021 .49326 L
.39884 .49142 L
.39877 .49133 L
.39738 .4894 L
.39691 .48875 L
.39631 .48747 L
.39498 .48639 L
.39432 .48555 L
.39306 .48381 L
.3929 .48362 L
.39157 .48169 L
.39113 .48111 L
.39058 .47977 L
.3892 .4787 L
.38853 .47784 L
.38727 .47609 L
.38714 .47591 L
.38584 .47399 L
.38535 .47334 L
.38423 .47206 L
.38342 .47092 L
.38281 .47013 L
.38149 .46829 L
.38143 .46821 L
.38018 .46628 L
.37957 .4655 L
.37853 .46435 L
.37764 .46309 L
.37713 .46242 L
.37575 .4605 L
.37571 .46044 L
.37455 .45857 L
.37379 .45762 L
.37286 .45664 L
.37186 .45523 L
.37146 .45472 L
.37009 .45279 L
.36993 .45256 L
.36895 .45086 L
.36801 .44973 L
.3672 .44894 L
.36608 .44736 L
.36581 .44701 L
.36446 .44508 L
.36415 .44466 L
.36337 .44316 L
.36222 .44184 L
.36156 .44123 L
.3603 .43947 L
.36017 .4393 L
.35883 .43737 L
.35837 .43676 L
.3578 .43545 L
.35644 .43396 L
.35591 .43352 L
.35453 .43159 L
.35452 .43157 L
.35322 .42967 L
.35259 .42885 L
.35224 .42774 L
.35066 .4261 L
.35028 .42581 L
.34886 .42389 L
.34874 .42367 L
.34761 .42196 L
.34681 .42095 L
.34667 .42003 L
.34488 .41826 L
.34465 .41811 L
.3432 .41618 L
.34296 .41577 L
.34201 .41425 L
.34103 .41305 L
.34041 .41232 L
.3391 .41045 L
.33902 .4104 L
.33757 .40847 L
.33717 .40786 L
.3364 .40654 L
.33525 .40516 L
.33478 .40462 L
.33339 .40269 L
.33332 .40261 L
.33194 .40076 L
.33139 .39996 L
.3308 .39884 L
.32947 .39727 L
.32915 .39691 L
.32756 .39498 L
.32754 .39472 L
.32633 .39306 L
.32561 .39205 L
.32519 .39113 L
.32369 .38937 L
.32354 .3892 L
.32188 .38727 L
.32176 .38683 L
.32072 .38535 L
.31983 .38412 L
.31957 .38342 L
.31793 .38149 L
.31791 .38148 L
.31625 .37957 L
.31598 .37891 L
.31513 .37764 L
.31405 .37617 L
.31393 .37571 L
.31234 .37379 L
.31212 .37367 L
.31065 .37186 L
.3102 .37095 L
.30955 .36993 L
.30827 .36819 L
.30825 .36801 L
.30677 .36608 L
.30634 .36579 L
.30511 .36415 L
.30442 .36291 L
.304 .36222 L
.30262 .3603 L
.30249 .36012 L
.30126 .35837 L
.30056 .35774 L
.29966 .35644 L
.29864 .35473 L
.29852 .35452 L
.29719 .35259 L
.29671 .35192 L
.29585 .35066 L
.29478 .34934 L
.2944 .34874 L
.29322 .34681 L
.29285 .34628 L
.29196 .34488 L
.29093 .34334 L
.29069 .34296 L
.28953 .34103 L
.289 .34017 L
.28845 .3391 L
F
1 .94 0 r
.29285 .21715 m
.29478 .21674 L
.29671 .21651 L
.29864 .21637 L
.30056 .21629 L
.30249 .21625 L
.30442 .21626 L
.30634 .21631 L
.30827 .21641 L
.3102 .21655 L
.31212 .21674 L
.31405 .217 L
.31598 .21733 L
.31781 .2177 L
.31791 .21773 L
.31983 .21824 L
.32176 .21885 L
.32369 .21956 L
.32387 .21963 L
.32561 .22041 L
.32754 .22137 L
.3279 .22156 L
.32947 .22247 L
.33109 .22349 L
.33139 .22369 L
.33332 .22505 L
.33381 .22541 L
.33525 .22655 L
.33619 .22734 L
.33717 .22821 L
.33831 .22927 L
.3391 .23005 L
.34019 .23119 L
.34103 .23212 L
.34185 .23312 L
.34296 .23457 L
.34328 .23505 L
.34443 .23697 L
.34488 .23795 L
.34522 .2389 L
.34548 .24083 L
.34488 .24262 L
.34479 .24275 L
.34296 .24427 L
.34158 .24468 L
.34103 .24484 L
.3391 .24524 L
.33717 .24546 L
.33525 .24558 L
.33332 .24562 L
.33139 .24559 L
.32947 .24549 L
.32754 .24533 L
.32561 .2451 L
.32369 .24481 L
.32295 .24468 L
.32176 .24444 L
.31983 .24398 L
.31791 .24344 L
.31598 .24282 L
.31579 .24275 L
.31405 .24208 L
.31212 .24126 L
.31115 .24083 L
.3102 .24035 L
.30827 .23934 L
.30747 .2389 L
.30634 .23824 L
.30442 .23704 L
.30431 .23697 L
.30249 .23574 L
.30151 .23505 L
.30056 .23434 L
.29898 .23312 L
.29864 .23284 L
.29671 .23121 L
.29669 .23119 L
.29478 .22941 L
.29463 .22927 L
.29285 .2274 L
.2928 .22734 L
.29124 .22541 L
.29093 .22504 L
.29001 .22349 L
.28925 .22156 L
.28934 .21963 L
.29093 .21796 L
.29144 .2177 L
F
1 .98 0 r
.29093 .34837 m
.29129 .34874 L
.29285 .35027 L
.2932 .35066 L
.29478 .35237 L
.29494 .35259 L
.29657 .35452 L
.29671 .35467 L
.29815 .35644 L
.29864 .35656 L
.29972 .35837 L
.30056 .3593 L
.30127 .3603 L
.30249 .36183 L
.30288 .36222 L
.3043 .36415 L
.30442 .36418 L
.30578 .36608 L
.30634 .36671 L
.30789 .36801 L
.30827 .36931 L
.30882 .36993 L
.3102 .37185 L
.3102 .37186 L
.31165 .37379 L
.31212 .37432 L
.31359 .37571 L
.31405 .37696 L
.31461 .37764 L
.31598 .37954 L
.31599 .37957 L
.31743 .38149 L
.31791 .38204 L
.31925 .38342 L
.31983 .3847 L
.32033 .38535 L
.32174 .38727 L
.32176 .38728 L
.32315 .3892 L
.32369 .38982 L
.3249 .39113 L
.32561 .3925 L
.32602 .39306 L
.32743 .39498 L
.32754 .39504 L
.32884 .39691 L
.32947 .39765 L
.33053 .39884 L
.33139 .40034 L
.33169 .40076 L
.3331 .40269 L
.33332 .40282 L
.3345 .40462 L
.33525 .4055 L
.33615 .40654 L
.33717 .40821 L
.33735 .40847 L
.33875 .4104 L
.3391 .41063 L
.34015 .41232 L
.34103 .41338 L
.34175 .41425 L
.34296 .4161 L
.343 .41618 L
.34439 .41811 L
.34488 .41848 L
.34649 .42003 L
.34681 .42129 L
.34735 .42196 L
.34864 .42389 L
.34874 .42401 L
.35002 .42581 L
.35066 .42637 L
.35199 .42774 L
.35259 .42923 L
.35293 .42967 L
.35425 .43159 L
.35452 .43194 L
.35564 .43352 L
.35644 .43431 L
.35748 .43545 L
.35837 .43719 L
.35851 .43737 L
.35985 .4393 L
.3603 .43989 L
.36124 .44123 L
.36222 .4423 L
.36296 .44316 L
.36408 .44508 L
.36415 .44518 L
.36543 .44701 L
.36608 .44787 L
.36682 .44894 L
.36801 .45038 L
.36841 .45086 L
.36962 .45279 L
.36993 .4532 L
.37098 .45472 L
.37186 .45589 L
.37237 .45664 L
.37379 .45855 L
.3738 .45857 L
.37512 .4605 L
.37571 .4613 L
.37647 .46242 L
.37764 .46401 L
.37787 .46435 L
.37921 .46628 L
.37957 .46677 L
.38051 .46821 L
.38149 .46957 L
.38185 .47013 L
.38318 .47206 L
.38342 .4724 L
.38439 .47399 L
.38535 .47539 L
.38564 .47591 L
.38675 .47784 L
.38535 .47802 L
.38527 .47784 L
.38345 .47591 L
.38342 .47588 L
.38173 .47399 L
.38149 .47372 L
.38006 .47206 L
.37957 .47183 L
.37842 .47013 L
.37764 .46918 L
.37631 .46821 L
.37571 .46674 L
.37534 .46628 L
.37379 .46438 L
.37378 .46435 L
.37219 .46242 L
.37186 .46198 L
.37045 .4605 L
.36993 .45945 L
.36932 .45857 L
.36801 .45692 L
.36766 .45664 L
.36619 .45472 L
.36608 .45456 L
.36463 .45279 L
.36415 .45197 L
.36345 .45086 L
.36222 .44934 L
.36175 .44894 L
.36032 .44701 L
.3603 .44698 L
.35884 .44508 L
.35837 .44435 L
.35766 .44316 L
.35644 .44167 L
.35594 .44123 L
.35453 .4393 L
.35452 .43929 L
.35309 .43737 L
.35259 .43663 L
.35194 .43545 L
.35066 .43393 L
.35019 .43352 L
.34879 .43159 L
.34874 .43152 L
.34739 .42967 L
.34681 .42884 L
.34627 .42774 L
.34488 .42614 L
.34448 .42581 L
.343 .42389 L
.34296 .4237 L
.34173 .42196 L
.34103 .42101 L
.34063 .42003 L
.3391 .41833 L
.33881 .41811 L
.33731 .41618 L
.33717 .41585 L
.33608 .41425 L
.33525 .41315 L
.33501 .41232 L
.33332 .41052 L
.33316 .4104 L
.33165 .40847 L
.33139 .40797 L
.33046 .40654 L
.32947 .40527 L
.32938 .40462 L
.32754 .4027 L
.32753 .40269 L
.32601 .40076 L
.32561 .40006 L
.32485 .39884 L
.32369 .39737 L
.32329 .39691 L
.32191 .39498 L
.32176 .39481 L
.32041 .39306 L
.31983 .39213 L
.31926 .39113 L
.31791 .38944 L
.3177 .3892 L
.31631 .38727 L
.31598 .38688 L
.31483 .38535 L
.31405 .38416 L
.31367 .38342 L
.31214 .38149 L
.31212 .38149 L
.31076 .37957 L
.3102 .3789 L
.30929 .37764 L
.30827 .37612 L
.30808 .37571 L
.30662 .37379 L
.30634 .37369 L
.30469 .37186 L
.30442 .37081 L
.30382 .36993 L
.30252 .36801 L
.30249 .36797 L
.30118 .36608 L
.30056 .36565 L
.29937 .36415 L
.29864 .36249 L
.29847 .36222 L
.29719 .3603 L
.29671 .3596 L
.29589 .35837 L
.29478 .35694 L
.29444 .35644 L
.29337 .35452 L
.29285 .35374 L
.29216 .35259 L
.29098 .35066 L
.29093 .35058 L
.29013 .34874 L
F
1 .93 0 r
.29478 .21725 m
.29671 .2169 L
.29864 .2167 L
.30056 .21659 L
.30249 .21654 L
.30442 .21655 L
.30634 .2166 L
.30827 .2167 L
.3102 .21686 L
.31212 .21708 L
.31405 .21736 L
.31594 .2177 L
.31598 .21771 L
.31791 .21816 L
.31983 .21872 L
.32176 .21937 L
.32247 .21963 L
.32369 .22014 L
.32561 .22104 L
.32664 .22156 L
.32754 .22205 L
.32947 .22321 L
.32991 .22349 L
.33139 .2245 L
.33266 .22541 L
.33332 .22592 L
.33506 .22734 L
.33525 .2275 L
.33717 .22925 L
.33719 .22927 L
.33907 .23119 L
.3391 .23122 L
.34072 .23312 L
.34103 .2335 L
.34212 .23505 L
.34296 .23639 L
.34323 .23697 L
.34394 .2389 L
.34408 .24083 L
.34311 .24275 L
.34296 .24293 L
.34103 .24411 L
.3391 .2446 L
.33869 .24468 L
.33717 .24492 L
.33525 .24509 L
.33332 .24516 L
.33139 .24514 L
.32947 .24505 L
.32754 .24488 L
.32584 .24468 L
.32561 .24465 L
.32369 .24433 L
.32176 .24393 L
.31983 .24345 L
.31791 .24289 L
.31747 .24275 L
.31598 .24223 L
.31405 .24147 L
.31255 .24083 L
.31212 .24063 L
.3102 .23967 L
.30874 .2389 L
.30827 .23864 L
.30634 .23749 L
.30551 .23697 L
.30442 .23625 L
.30266 .23505 L
.30249 .23492 L
.30056 .23347 L
.30012 .23312 L
.29864 .2319 L
.29782 .23119 L
.29671 .23018 L
.29576 .22927 L
.29478 .22827 L
.29394 .22734 L
.29285 .22605 L
.29239 .22541 L
.29119 .22349 L
.29093 .22293 L
.29051 .22156 L
.29074 .21963 L
.29093 .21931 L
.29285 .21789 L
.29331 .2177 L
F
1 .92 0 r
.29671 .21734 m
.29864 .21706 L
.30056 .21691 L
.30249 .21684 L
.30442 .21684 L
.30634 .21689 L
.30827 .217 L
.3102 .21717 L
.31212 .2174 L
.31405 .2177 L
.31405 .21771 L
.31598 .2181 L
.31791 .21858 L
.31983 .21917 L
.32117 .21963 L
.32176 .21986 L
.32369 .22068 L
.32551 .22156 L
.32561 .22161 L
.32754 .22269 L
.32884 .22349 L
.32947 .22389 L
.33139 .22523 L
.33164 .22541 L
.33332 .22673 L
.33406 .22734 L
.33525 .22838 L
.33619 .22927 L
.33717 .23024 L
.33807 .23119 L
.3391 .23236 L
.33971 .23312 L
.34103 .23496 L
.34108 .23505 L
.34214 .23697 L
.34278 .2389 L
.34277 .24083 L
.34148 .24275 L
.34103 .2431 L
.3391 .24395 L
.33717 .24436 L
.33525 .24459 L
.33368 .24468 L
.33332 .24469 L
.33139 .2447 L
.33085 .24468 L
.32947 .24461 L
.32754 .24445 L
.32561 .2442 L
.32369 .24387 L
.32176 .24346 L
.31983 .24296 L
.3191 .24275 L
.31791 .24237 L
.31598 .24168 L
.31405 .24091 L
.31386 .24083 L
.31212 .24003 L
.3102 .23906 L
.3099 .2389 L
.30827 .23798 L
.30659 .23697 L
.30634 .23682 L
.30442 .23554 L
.30371 .23505 L
.30249 .23416 L
.30113 .23312 L
.30056 .23266 L
.29882 .23119 L
.29864 .23103 L
.29675 .22927 L
.29671 .22923 L
.29493 .22734 L
.29478 .22717 L
.29341 .22541 L
.29285 .22474 L
.29226 .22349 L
.29165 .22156 L
.29203 .21963 L
.29285 .21877 L
.29478 .21774 L
.2952 .2177 L
F
1 .79 0 r
.29285 .14864 m
.29478 .14938 L
.29637 .15026 L
.29671 .15047 L
.29864 .15168 L
.29946 .15219 L
.30056 .15301 L
.30213 .15412 L
.30249 .15445 L
.30442 .15597 L
.30451 .15604 L
.30634 .15748 L
.30696 .15797 L
.30827 .15904 L
.30932 .1599 L
.3102 .16064 L
.31161 .16182 L
.31212 .16227 L
.31384 .16375 L
.31405 .16394 L
.31598 .16563 L
.31603 .16568 L
.31791 .16734 L
.3182 .1676 L
.31983 .16907 L
.32034 .16953 L
.32176 .17083 L
.32244 .17146 L
.32369 .17261 L
.32452 .17339 L
.32561 .17441 L
.32656 .17531 L
.32754 .17624 L
.32858 .17724 L
.32947 .17809 L
.33057 .17917 L
.33139 .17996 L
.33254 .18109 L
.33332 .18186 L
.33448 .18302 L
.33525 .18379 L
.33639 .18495 L
.33717 .18574 L
.33827 .18687 L
.3391 .18772 L
.34013 .1888 L
.34103 .18974 L
.34195 .19073 L
.34296 .19179 L
.34375 .19265 L
.34488 .19388 L
.3455 .19458 L
.34681 .19604 L
.34721 .19651 L
.34874 .19826 L
.34888 .19844 L
.35052 .20036 L
.35066 .20044 L
.35211 .20229 L
.35259 .203 L
.35359 .20422 L
.35452 .20565 L
.35488 .20614 L
.35596 .20807 L
.35643 .21 L
.35452 .21012 L
.3543 .21 L
.35259 .20946 L
.35082 .20807 L
.35066 .20797 L
.34874 .20671 L
.34787 .20614 L
.34681 .20534 L
.34527 .20422 L
.34488 .20388 L
.34296 .20234 L
.34289 .20229 L
.34103 .20081 L
.34047 .20036 L
.3391 .19923 L
.33814 .19844 L
.33717 .19762 L
.33586 .19651 L
.33525 .19598 L
.33364 .19458 L
.33332 .1943 L
.33146 .19265 L
.33139 .19259 L
.32947 .19087 L
.32931 .19073 L
.32754 .18913 L
.32718 .1888 L
.32561 .18736 L
.32508 .18687 L
.32369 .18557 L
.32302 .18495 L
.32176 .18376 L
.32098 .18302 L
.31983 .18192 L
.31897 .18109 L
.31791 .18006 L
.31699 .17917 L
.31598 .17818 L
.31503 .17724 L
.31405 .17627 L
.3131 .17531 L
.31212 .17433 L
.3112 .17339 L
.3102 .17237 L
.30932 .17146 L
.30827 .17037 L
.30748 .16953 L
.30634 .16834 L
.30566 .1676 L
.30442 .16627 L
.30388 .16568 L
.30249 .16414 L
.30214 .16375 L
.30056 .16196 L
.30045 .16182 L
.29878 .1599 L
.29864 .15979 L
.29715 .15797 L
.29671 .1576 L
.29561 .15604 L
.29478 .15514 L
.2942 .15412 L
.29297 .15219 L
.29285 .152 L
.29198 .15026 L
F
0 .97 1 r
.29285 .35866 m
.29423 .3603 L
.29478 .36089 L
.29585 .36222 L
.29671 .36321 L
.29744 .36415 L
.29864 .36531 L
.29901 .36608 L
.30055 .36801 L
.30056 .36802 L
.30202 .36993 L
.30249 .3705 L
.3035 .37186 L
.30442 .37266 L
.305 .37379 L
.30634 .37547 L
.3066 .37571 L
.30794 .37764 L
.30827 .37805 L
.30938 .37957 L
.3102 .38028 L
.31084 .38149 L
.31212 .38311 L
.31242 .38342 L
.31374 .38535 L
.31405 .38575 L
.31516 .38727 L
.31598 .38803 L
.3166 .3892 L
.31791 .39088 L
.31813 .39113 L
.31946 .39306 L
.31983 .39353 L
.32087 .39498 L
.32176 .39586 L
.3223 .39691 L
.32369 .39873 L
.32378 .39884 L
.32513 .40076 L
.32561 .40138 L
.32654 .40269 L
.32754 .40377 L
.32843 .40462 L
.3294 .40654 L
.32947 .40663 L
.33076 .40847 L
.33139 .40929 L
.33216 .4104 L
.33332 .41176 L
.33387 .41232 L
.33499 .41425 L
.33525 .41459 L
.33635 .41618 L
.33717 .41726 L
.33775 .41811 L
.3391 .41986 L
.33926 .42003 L
.34053 .42196 L
.34103 .42262 L
.34189 .42389 L
.34296 .42531 L
.34329 .42581 L
.34468 .42774 L
.34488 .42801 L
.34599 .42967 L
.34681 .43077 L
.34735 .43159 L
.34874 .4335 L
.34875 .43352 L
.35001 .43545 L
.35066 .43634 L
.3513 .43737 L
.35259 .4392 L
.35265 .4393 L
.3538 .44123 L
.35452 .44232 L
.3549 .44316 L
.35452 .44376 L
.35391 .44316 L
.35259 .44177 L
.3521 .44123 L
.35066 .43974 L
.35043 .4393 L
.34883 .43737 L
.34874 .43727 L
.34724 .43545 L
.34681 .43493 L
.34567 .43352 L
.34488 .43282 L
.34411 .43159 L
.34296 .43012 L
.34248 .42967 L
.3411 .42774 L
.34103 .42765 L
.33959 .42581 L
.3391 .42536 L
.33809 .42389 L
.33717 .42269 L
.33653 .42196 L
.33525 .42014 L
.33519 .42003 L
.33368 .41811 L
.33332 .41775 L
.3322 .41618 L
.33139 .41509 L
.33072 .41425 L
.32947 .4125 L
.32939 .41232 L
.32787 .4104 L
.32754 .41005 L
.32578 .40847 L
.32561 .40738 L
.32499 .40654 L
.32369 .40475 L
.32363 .40462 L
.32214 .40269 L
.32176 .40228 L
.32026 .40076 L
.31983 .39957 L
.31931 .39884 L
.31791 .39693 L
.3179 .39691 L
.31647 .39498 L
.31598 .39443 L
.31472 .39306 L
.31405 .39168 L
.31368 .39113 L
.31226 .3892 L
.31212 .38901 L
.31086 .38727 L
.3102 .38649 L
.30922 .38535 L
.30827 .38369 L
.3081 .38342 L
.30671 .38149 L
.30634 .38099 L
.30533 .37957 L
.30442 .37842 L
.30379 .37764 L
.3026 .37571 L
.30249 .37556 L
.30125 .37379 L
.30056 .37282 L
.29989 .37186 L
.29864 .37009 L
.29852 .36993 L
.29725 .36801 L
.29671 .36723 L
.29594 .36608 L
.29478 .36438 L
.29463 .36415 L
.29341 .36222 L
.29285 .36139 L
.2922 .3603 L
F
1 .91 0 r
.29864 .21746 m
.30056 .21725 L
.30249 .21715 L
.30442 .21713 L
.30634 .21718 L
.30827 .2173 L
.3102 .21747 L
.31201 .2177 L
.31212 .21772 L
.31405 .21805 L
.31598 .21847 L
.31791 .21898 L
.31983 .2196 L
.31994 .21963 L
.32176 .22033 L
.32369 .22119 L
.32445 .22156 L
.32561 .22217 L
.32754 .22328 L
.32787 .22349 L
.32947 .22454 L
.3307 .22541 L
.33139 .22593 L
.33315 .22734 L
.33332 .22749 L
.33525 .22923 L
.33529 .22927 L
.33716 .23119 L
.33717 .2312 L
.33878 .23312 L
.3391 .23352 L
.34013 .23505 L
.34103 .23666 L
.34114 .23697 L
.3417 .2389 L
.34153 .24083 L
.34103 .24172 L
.33982 .24275 L
.3391 .24315 L
.33717 .24377 L
.33525 .24408 L
.33332 .24423 L
.33139 .24426 L
.32947 .24418 L
.32754 .24402 L
.32561 .24377 L
.32369 .24343 L
.32176 .24301 L
.32076 .24275 L
.31983 .24249 L
.31791 .24188 L
.31598 .24118 L
.3151 .24083 L
.31405 .24038 L
.31212 .23947 L
.31098 .2389 L
.3102 .23848 L
.30827 .23738 L
.3076 .23697 L
.30634 .23618 L
.30466 .23505 L
.30442 .23488 L
.30249 .23345 L
.30206 .23312 L
.30056 .23191 L
.29973 .23119 L
.29864 .23021 L
.29766 .22927 L
.29671 .2283 L
.29585 .22734 L
.29478 .22604 L
.29435 .22541 L
.29323 .22349 L
.29285 .22246 L
.2927 .22156 L
.29285 .22038 L
.29327 .21963 L
.29478 .21816 L
.29671 .21778 L
.29724 .2177 L
F
1 .9 0 r
.30056 .21761 m
.30249 .21747 L
.30442 .21744 L
.30634 .21748 L
.30827 .21759 L
.30958 .2177 L
.3102 .21778 L
.31212 .21804 L
.31405 .21839 L
.31598 .21883 L
.31791 .21937 L
.31874 .21963 L
.31983 .22002 L
.32176 .22079 L
.32345 .22156 L
.32369 .22167 L
.32561 .2227 L
.32696 .22349 L
.32754 .22385 L
.32947 .22515 L
.32983 .22541 L
.33139 .2266 L
.3323 .22734 L
.33332 .22822 L
.33444 .22927 L
.33525 .23005 L
.33632 .23119 L
.33717 .23217 L
.33792 .23312 L
.3391 .23481 L
.33924 .23505 L
.3402 .23697 L
.34067 .2389 L
.34032 .24083 L
.3391 .24246 L
.33807 .24275 L
.33717 .2431 L
.33525 .24354 L
.33332 .24375 L
.33139 .24381 L
.32947 .24375 L
.32754 .2436 L
.32561 .24335 L
.32369 .243 L
.32251 .24275 L
.32176 .24257 L
.31983 .24204 L
.31791 .24141 L
.31631 .24083 L
.31598 .2407 L
.31405 .23987 L
.31212 .23896 L
.31201 .2389 L
.3102 .23793 L
.30853 .23697 L
.30827 .23681 L
.30634 .23558 L
.30555 .23505 L
.30442 .23424 L
.30291 .23312 L
.30249 .23279 L
.30057 .23119 L
.30056 .23119 L
.29864 .2294 L
.2985 .22927 L
.29671 .22735 L
.2967 .22734 L
.29521 .22541 L
.29478 .22513 L
.29414 .22349 L
.2937 .22156 L
.29447 .21963 L
.29478 .21921 L
.29671 .21818 L
.29864 .21784 L
.29969 .2177 L
F
1 .89 0 r
.29671 .21881 m
.29864 .21822 L
.30056 .21795 L
.30249 .2178 L
.30442 .21774 L
.30634 .21778 L
.30827 .21789 L
.3102 .21808 L
.31212 .21836 L
.31405 .21872 L
.31598 .21918 L
.31755 .21963 L
.31791 .21975 L
.31983 .22043 L
.32176 .22122 L
.3225 .22156 L
.32369 .22215 L
.32561 .2232 L
.32609 .22349 L
.32754 .2244 L
.32901 .22541 L
.32947 .22574 L
.33139 .22725 L
.3315 .22734 L
.33332 .22895 L
.33366 .22927 L
.33525 .23088 L
.33553 .23119 L
.33712 .23312 L
.33717 .23319 L
.3384 .23505 L
.3391 .23615 L
.3393 .23697 L
.33967 .2389 L
.33912 .24083 L
.3391 .24087 L
.33717 .24244 L
.33605 .24275 L
.33525 .24296 L
.33332 .24325 L
.33139 .24336 L
.32947 .24332 L
.32754 .24318 L
.32561 .24293 L
.32452 .24275 L
.32369 .24259 L
.32176 .24214 L
.31983 .2416 L
.31791 .24097 L
.31751 .24083 L
.31598 .24023 L
.31405 .23939 L
.31301 .2389 L
.31212 .23846 L
.3102 .23741 L
.30943 .23697 L
.30827 .23627 L
.30639 .23505 L
.30634 .23502 L
.30442 .23364 L
.30372 .23312 L
.30249 .23214 L
.30137 .23119 L
.30056 .23048 L
.29929 .22927 L
.29864 .22861 L
.29749 .22734 L
.29671 .22641 L
.29603 .22541 L
.29501 .22349 L
.29478 .22279 L
.29466 .22156 L
.29478 .22091 L
.29566 .21963 L
F
1 .88 0 r
.29864 .21871 m
.30056 .21831 L
.30249 .21812 L
.30442 .21805 L
.30634 .21807 L
.30827 .21819 L
.3102 .21838 L
.31212 .21867 L
.31405 .21905 L
.31598 .21953 L
.31634 .21963 L
.31791 .22012 L
.31983 .22082 L
.32157 .22156 L
.32176 .22165 L
.32369 .2226 L
.32526 .22349 L
.32561 .22369 L
.32754 .22493 L
.32823 .22541 L
.32947 .22632 L
.33075 .22734 L
.33139 .22788 L
.33291 .22927 L
.33332 .22966 L
.33478 .23119 L
.33525 .23172 L
.33635 .23312 L
.33717 .23427 L
.3376 .23505 L
.33844 .23697 L
.3387 .2389 L
.3379 .24083 L
.33717 .24157 L
.33525 .24238 L
.33332 .24273 L
.33313 .24275 L
.33139 .24289 L
.32947 .24289 L
.32754 .24276 L
.32743 .24275 L
.32561 .24252 L
.32369 .24218 L
.32176 .24173 L
.31983 .24118 L
.31873 .24083 L
.31791 .24053 L
.31598 .23978 L
.31405 .23893 L
.31398 .2389 L
.31212 .23798 L
.31029 .23697 L
.3102 .23692 L
.30827 .23575 L
.30719 .23505 L
.30634 .23447 L
.30449 .23312 L
.30442 .23306 L
.30249 .23151 L
.30212 .23119 L
.30056 .22979 L
.30003 .22927 L
.29864 .2278 L
.29825 .22734 L
.29681 .22541 L
.29671 .22525 L
.29584 .22349 L
.29558 .22156 L
.29671 .21975 L
.29687 .21963 L
F
1 .87 0 r
.29864 .21934 m
.30056 .21873 L
.30249 .21847 L
.30442 .21837 L
.30634 .21838 L
.30827 .21849 L
.3102 .21869 L
.31212 .21899 L
.31405 .21938 L
.31509 .21963 L
.31598 .21988 L
.31791 .22049 L
.31983 .22121 L
.32065 .22156 L
.32176 .22206 L
.32369 .22305 L
.32446 .22349 L
.32561 .22418 L
.32749 .22541 L
.32754 .22545 L
.32947 .22689 L
.33002 .22734 L
.33139 .22852 L
.3322 .22927 L
.33332 .23039 L
.33406 .23119 L
.33525 .23262 L
.33561 .23312 L
.33682 .23505 L
.33717 .23577 L
.3376 .23697 L
.33774 .2389 L
.33717 .24023 L
.33662 .24083 L
.33525 .2417 L
.33332 .24221 L
.33139 .24243 L
.32947 .24246 L
.32754 .24235 L
.32561 .24212 L
.32369 .24177 L
.32176 .24132 L
.32001 .24083 L
.31983 .24077 L
.31791 .24011 L
.31598 .23935 L
.31494 .2389 L
.31405 .23849 L
.31212 .23751 L
.31113 .23697 L
.3102 .23644 L
.30827 .23525 L
.30796 .23505 L
.30634 .23394 L
.30523 .23312 L
.30442 .2325 L
.30283 .23119 L
.30249 .2309 L
.30075 .22927 L
.30056 .22909 L
.29897 .22734 L
.29864 .22698 L
.29756 .22541 L
.29671 .2237 L
.29664 .22349 L
.2965 .22156 L
.29671 .22099 L
.29812 .21963 L
F
1 .78 0 r
.29864 .1537 m
.29949 .15412 L
.30056 .15472 L
.30249 .15594 L
.30267 .15604 L
.30442 .15723 L
.30552 .15797 L
.30634 .15865 L
.30799 .1599 L
.30827 .16018 L
.3102 .16178 L
.31025 .16182 L
.31212 .16336 L
.31259 .16375 L
.31405 .16498 L
.31487 .16568 L
.31598 .16664 L
.31708 .1676 L
.31791 .16833 L
.31925 .16953 L
.31983 .17006 L
.32137 .17146 L
.32176 .17181 L
.32346 .17339 L
.32369 .1736 L
.32551 .17531 L
.32561 .17541 L
.32752 .17724 L
.32754 .17725 L
.32947 .17912 L
.32952 .17917 L
.33139 .181 L
.33148 .18109 L
.33332 .18292 L
.33341 .18302 L
.33525 .18488 L
.33531 .18495 L
.33717 .18687 L
.33718 .18687 L
.33902 .1888 L
.3391 .18887 L
.34083 .19073 L
.34103 .19091 L
.3426 .19265 L
.34296 .19299 L
.34431 .19458 L
.34488 .19513 L
.34597 .19651 L
.34681 .1974 L
.34753 .19844 L
.34874 .19996 L
.34897 .20036 L
.35027 .20229 L
.35066 .20294 L
.3513 .20422 L
.35066 .2056 L
.34874 .20486 L
.34759 .20422 L
.34681 .20373 L
.34488 .20246 L
.34461 .20229 L
.34296 .20111 L
.34189 .20036 L
.34103 .19966 L
.33944 .19844 L
.3391 .19812 L
.33719 .19651 L
.33717 .1965 L
.33525 .1949 L
.33487 .19458 L
.33332 .19326 L
.33261 .19265 L
.33139 .19159 L
.33041 .19073 L
.32947 .18989 L
.32826 .1888 L
.32754 .18815 L
.32614 .18687 L
.32561 .18639 L
.32407 .18495 L
.32369 .18459 L
.32202 .18302 L
.32176 .18277 L
.32001 .18109 L
.31983 .18092 L
.31803 .17917 L
.31791 .17905 L
.31608 .17724 L
.31598 .17714 L
.31416 .17531 L
.31405 .17521 L
.31226 .17339 L
.31212 .17325 L
.3104 .17146 L
.3102 .17126 L
.30858 .16953 L
.30827 .16924 L
.30679 .1676 L
.30634 .16717 L
.30504 .16568 L
.30442 .16505 L
.30335 .16375 L
.30249 .16282 L
.30173 .16182 L
.30056 .16042 L
.30021 .1599 L
.29881 .15797 L
.29864 .15772 L
.29756 .15604 L
.29674 .15412 L
F
1 .97 0 r
.29864 .35821 m
.2987 .35837 L
.30043 .3603 L
.30056 .36043 L
.30206 .36222 L
.30249 .3627 L
.30365 .36415 L
.30442 .36454 L
.30523 .36608 L
.30634 .36735 L
.30726 .36801 L
.30827 .36987 L
.30833 .36993 L
.3098 .37186 L
.3102 .37203 L
.31129 .37379 L
.31212 .37474 L
.31325 .37571 L
.31405 .37735 L
.3143 .37764 L
.31572 .37957 L
.31598 .37969 L
.31717 .38149 L
.31791 .38235 L
.31902 .38342 L
.31983 .385 L
.32011 .38535 L
.32152 .38727 L
.32176 .3874 L
.32295 .3892 L
.32369 .39007 L
.32471 .39113 L
.32561 .39274 L
.32585 .39306 L
.32726 .39498 L
.32754 .39515 L
.32867 .39691 L
.32947 .39785 L
.33037 .39884 L
.33139 .40055 L
.33155 .40076 L
.33295 .40269 L
.33332 .40293 L
.33436 .40462 L
.33525 .40569 L
.336 .40654 L
.33717 .4084 L
.33723 .40847 L
.33862 .4104 L
.3391 .41076 L
.34002 .41232 L
.34103 .41357 L
.34161 .41425 L
.34288 .41618 L
.34296 .41628 L
.34426 .41811 L
.34488 .41863 L
.34635 .42003 L
.34681 .42148 L
.3472 .42196 L
.3485 .42389 L
.34874 .42419 L
.34988 .42581 L
.35066 .42655 L
.35182 .42774 L
.35259 .42943 L
.35277 .42967 L
.35411 .43159 L
.35452 .43214 L
.35549 .43352 L
.35644 .43454 L
.35727 .43545 L
.35833 .43737 L
.35837 .43743 L
.35968 .4393 L
.3603 .44012 L
.36107 .44123 L
.36222 .44261 L
.36269 .44316 L
.36387 .44508 L
.36415 .44545 L
.36522 .44701 L
.36608 .44815 L
.36661 .44894 L
.36801 .45081 L
.36805 .45086 L
.36935 .45279 L
.36993 .45357 L
.3707 .45472 L
.37186 .45629 L
.37209 .45664 L
.37343 .45857 L
.37379 .45905 L
.37472 .4605 L
.37571 .46187 L
.37607 .46242 L
.37738 .46435 L
.37764 .46472 L
.37857 .46628 L
.37957 .46775 L
.37981 .46821 L
.37957 .46986 L
.37798 .46821 L
.37764 .46786 L
.37624 .46628 L
.37571 .46569 L
.37456 .46435 L
.37379 .46378 L
.37293 .46242 L
.37186 .46112 L
.37106 .4605 L
.36993 .45871 L
.36982 .45857 L
.36825 .45664 L
.36801 .45644 L
.36671 .45472 L
.36608 .4539 L
.36501 .45279 L
.36415 .45137 L
.36381 .45086 L
.36222 .44895 L
.36221 .44894 L
.36071 .44701 L
.3603 .44645 L
.35915 .44508 L
.35837 .44386 L
.35796 .44316 L
.35644 .44134 L
.3563 .44123 L
.35484 .4393 L
.35452 .43886 L
.35337 .43737 L
.35259 .43623 L
.35218 .43545 L
.35066 .43365 L
.35049 .43352 L
.34904 .43159 L
.34874 .43116 L
.34763 .42967 L
.34681 .4285 L
.34646 .42774 L
.34488 .42592 L
.34474 .42581 L
.34307 .42389 L
.34296 .42339 L
.34194 .42196 L
.34103 .42071 L
.34078 .42003 L
.3391 .41815 L
.33904 .41811 L
.33741 .41618 L
.33717 .41556 L
.33628 .41425 L
.33525 .41288 L
.33511 .41232 L
.33338 .4104 L
.33332 .41033 L
.33178 .40847 L
.33139 .40769 L
.33065 .40654 L
.32947 .405 L
.32943 .40462 L
.32774 .40269 L
.32754 .40246 L
.32617 .40076 L
.32561 .39977 L
.32504 .39884 L
.32369 .39709 L
.32353 .39691 L
.32214 .39498 L
.32176 .39454 L
.3206 .39306 L
.31983 .39181 L
.31945 .39113 L
.31796 .3892 L
.31791 .38912 L
.31657 .38727 L
.31598 .38656 L
.31507 .38535 L
.31405 .38377 L
.31387 .38342 L
.31244 .38149 L
.31212 .38141 L
.31107 .37957 L
.3102 .37845 L
.30962 .37764 L
.30835 .37571 L
.30827 .3756 L
.30701 .37379 L
.30634 .37333 L
.30508 .37186 L
.30442 .3701 L
.3043 .36993 L
.30303 .36801 L
.30249 .36722 L
.30173 .36608 L
.30056 .36449 L
.30031 .36415 L
.29923 .36222 L
.29864 .36131 L
.29803 .3603 L
.2969 .35837 L
F
1 .86 0 r
.30056 .21922 m
.30249 .21885 L
.30442 .2187 L
.30634 .21869 L
.30827 .2188 L
.3102 .219 L
.31212 .2193 L
.31374 .21963 L
.31405 .21971 L
.31598 .22022 L
.31791 .22085 L
.31974 .22156 L
.31983 .2216 L
.32176 .22248 L
.32368 .22349 L
.32369 .22349 L
.32561 .22465 L
.32676 .22541 L
.32754 .22596 L
.32932 .22734 L
.32947 .22745 L
.33139 .22916 L
.33151 .22927 L
.33332 .23114 L
.33336 .23119 L
.3349 .23312 L
.33525 .23351 L
.33607 .23505 L
.33678 .23697 L
.33677 .2389 L
.33525 .24082 L
.33523 .24083 L
.33332 .24163 L
.33139 .24194 L
.32947 .24202 L
.32754 .24193 L
.32561 .24171 L
.32369 .24137 L
.32176 .24092 L
.3214 .24083 L
.31983 .24037 L
.31791 .2397 L
.31598 .23893 L
.31591 .2389 L
.31405 .23805 L
.31212 .23707 L
.31196 .23697 L
.3102 .23597 L
.30872 .23505 L
.30827 .23476 L
.30634 .23342 L
.30594 .23312 L
.30442 .23193 L
.30353 .23119 L
.30249 .23028 L
.30144 .22927 L
.30056 .22838 L
.29967 .22734 L
.29864 .22603 L
.29829 .22541 L
.29742 .22349 L
.29741 .22156 L
.29864 .22008 L
.29946 .21963 L
F
1 .97 0 r
.29864 .37503 m
.29911 .37571 L
.30056 .37741 L
.30072 .37764 L
.30056 .37932 L
.29947 .37764 L
.29864 .37652 L
.29812 .37571 L
F
0 .96 1 r
.29864 .36683 m
.29961 .36801 L
.30056 .36901 L
.30128 .36993 L
.30249 .37132 L
.30289 .37186 L
.30442 .37365 L
.30448 .37379 L
.30596 .37571 L
.30634 .37616 L
.30745 .37764 L
.30827 .37865 L
.30895 .37957 L
.3102 .38095 L
.31045 .38149 L
.31192 .38342 L
.31212 .38367 L
.31335 .38535 L
.31405 .38623 L
.31481 .38727 L
.31598 .38857 L
.31628 .3892 L
.31773 .39113 L
.31791 .39135 L
.31913 .39306 L
.31983 .39396 L
.32056 .39498 L
.32176 .39637 L
.32202 .39691 L
.32344 .39884 L
.32369 .39916 L
.32482 .40076 L
.32561 .40179 L
.32624 .40269 L
.32754 .40429 L
.32788 .40462 L
.32907 .40654 L
.32947 .40705 L
.33045 .40847 L
.33139 .40971 L
.33187 .4104 L
.33331 .41232 L
.33332 .41234 L
.33464 .41425 L
.33525 .41505 L
.33601 .41618 L
.33717 .41773 L
.33743 .41811 L
.33879 .42003 L
.3391 .42044 L
.34011 .42196 L
.34103 .42319 L
.34148 .42389 L
.34287 .42581 L
.34296 .42592 L
.34412 .42774 L
.34488 .42879 L
.34542 .42967 L
.34488 .43142 L
.34343 .42967 L
.34296 .42913 L
.34183 .42774 L
.34103 .42677 L
.34026 .42581 L
.3391 .42455 L
.33872 .42389 L
.33722 .42196 L
.33717 .42191 L
.33571 .42003 L
.33525 .41944 L
.33421 .41811 L
.33332 .41715 L
.33272 .41618 L
.33139 .41443 L
.33123 .41425 L
.3298 .41232 L
.32947 .41189 L
.32833 .4104 L
.32754 .40952 L
.32618 .40847 L
.32561 .40678 L
.32543 .40654 L
.32401 .40462 L
.32369 .40418 L
.32257 .40269 L
.32176 .40176 L
.32068 .40076 L
.31983 .39898 L
.31972 .39884 L
.31832 .39691 L
.31791 .39635 L
.3169 .39498 L
.31598 .39386 L
.31519 .39306 L
.3141 .39113 L
.31405 .39106 L
.31272 .3892 L
.31212 .38839 L
.31132 .38727 L
.3102 .3858 L
.30979 .38535 L
.30858 .38342 L
.30827 .38299 L
.30722 .38149 L
.30634 .38026 L
.30586 .37957 L
.30452 .37764 L
.30442 .3775 L
.30322 .37571 L
.30249 .37468 L
.30189 .37379 L
.30059 .37186 L
.30056 .37182 L
.29939 .36993 L
.29864 .36879 L
.29818 .36801 L
F
1 .85 0 r
.30249 .21927 m
.30442 .21906 L
.30634 .21902 L
.30827 .21911 L
.3102 .21931 L
.31212 .21962 L
.31219 .21963 L
.31405 .22003 L
.31598 .22056 L
.31791 .22121 L
.31883 .22156 L
.31983 .22198 L
.32176 .22288 L
.32291 .22349 L
.32369 .22392 L
.32561 .22512 L
.32605 .22541 L
.32754 .22647 L
.32865 .22734 L
.32947 .22802 L
.33084 .22927 L
.33139 .2298 L
.33269 .23119 L
.33332 .23191 L
.3342 .23312 L
.33525 .23483 L
.33533 .23505 L
.33596 .23697 L
.33579 .2389 L
.33525 .23974 L
.33364 .24083 L
.33332 .24095 L
.33139 .24142 L
.32947 .24156 L
.32754 .2415 L
.32561 .2413 L
.32369 .24097 L
.32298 .24083 L
.32176 .24053 L
.31983 .23997 L
.31791 .23929 L
.31689 .2389 L
.31598 .23852 L
.31405 .23762 L
.31277 .23697 L
.31212 .23662 L
.3102 .23551 L
.30945 .23505 L
.30827 .23427 L
.30664 .23312 L
.30634 .2329 L
.30442 .23137 L
.3042 .23119 L
.30249 .22965 L
.3021 .22927 L
.30056 .22761 L
.30035 .22734 L
.29899 .22541 L
.29864 .22473 L
.29819 .22349 L
.29832 .22156 L
.29864 .22106 L
.30056 .21979 L
.30099 .21963 L
F
1 .84 0 r
.30442 .21944 m
.30634 .21937 L
.30827 .21944 L
.31019 .21963 L
.3102 .21963 L
.31212 .21994 L
.31405 .22036 L
.31598 .2209 L
.31789 .22156 L
.31791 .22156 L
.31983 .22235 L
.32176 .22328 L
.32215 .22349 L
.32369 .22435 L
.32536 .22541 L
.32561 .22558 L
.32754 .22699 L
.32798 .22734 L
.32947 .22859 L
.33019 .22927 L
.33139 .23047 L
.33203 .23119 L
.33332 .23281 L
.33352 .23312 L
.3346 .23505 L
.33514 .23697 L
.33477 .2389 L
.33332 .24041 L
.33148 .24083 L
.33139 .24084 L
.32947 .24108 L
.32754 .24107 L
.32561 .24089 L
.32508 .24083 L
.32369 .24058 L
.32176 .24013 L
.31983 .23957 L
.31792 .2389 L
.31791 .2389 L
.31598 .23811 L
.31405 .23721 L
.31359 .23697 L
.31212 .23619 L
.3102 .23506 L
.31018 .23505 L
.30827 .23379 L
.30732 .23312 L
.30634 .23239 L
.30486 .23119 L
.30442 .23082 L
.30276 .22927 L
.30249 .22901 L
.30101 .22734 L
.30056 .22695 L
.29969 .22541 L
.29895 .22349 L
.29926 .22156 L
.30056 .22041 L
.30249 .21969 L
.30281 .21963 L
F
1 .83 0 r
.30056 .22121 m
.30249 .22004 L
.30442 .21981 L
.30634 .21971 L
.30827 .21976 L
.3102 .21995 L
.31212 .22026 L
.31405 .22069 L
.31598 .22124 L
.31693 .22156 L
.31791 .22192 L
.31983 .22273 L
.32138 .22349 L
.32176 .22368 L
.32369 .22479 L
.32467 .22541 L
.32561 .22605 L
.32733 .22734 L
.32754 .2275 L
.32947 .22919 L
.32954 .22927 L
.33138 .23119 L
.33139 .2312 L
.33285 .23312 L
.33332 .2339 L
.33388 .23505 L
.33432 .23697 L
.33368 .2389 L
.33332 .23938 L
.33139 .24031 L
.32947 .24059 L
.32754 .24063 L
.32561 .24048 L
.32369 .24018 L
.32176 .23974 L
.31983 .23918 L
.319 .2389 L
.31791 .2385 L
.31598 .2377 L
.31442 .23697 L
.31405 .23679 L
.31212 .23576 L
.31091 .23505 L
.3102 .23461 L
.30827 .23332 L
.30799 .23312 L
.30634 .23188 L
.30551 .23119 L
.30442 .23025 L
.3034 .22927 L
.30249 .22835 L
.30167 .22734 L
.30056 .22586 L
.30038 .22541 L
.29972 .22349 L
.30023 .22156 L
F
0 .98 1 r
.30056 .35287 m
.30213 .35452 L
.30249 .35487 L
.30387 .35644 L
.30442 .35703 L
.30554 .35837 L
.30634 .35918 L
.30716 .3603 L
.30827 .36164 L
.30892 .36222 L
.3102 .36405 L
.31028 .36415 L
.31181 .36608 L
.31212 .36641 L
.31332 .36801 L
.31405 .36895 L
.31497 .36993 L
.31598 .37149 L
.31624 .37186 L
.31777 .37379 L
.31791 .37393 L
.31923 .37571 L
.31983 .3765 L
.3208 .37764 L
.32176 .37911 L
.32204 .37957 L
.32359 .38149 L
.32369 .3816 L
.32554 .38342 L
.32561 .3842 L
.32655 .38535 L
.32754 .38684 L
.32778 .38727 L
.32934 .3892 L
.32947 .38934 L
.33117 .39113 L
.33139 .39197 L
.33224 .39306 L
.33332 .39462 L
.33348 .39498 L
.33504 .39691 L
.33525 .39714 L
.33681 .39884 L
.33717 .39979 L
.33791 .40076 L
.3391 .40244 L
.33918 .40269 L
.34072 .40462 L
.34103 .40497 L
.34244 .40654 L
.34296 .40764 L
.34356 .40847 L
.34488 .41028 L
.3449 .4104 L
.34638 .41232 L
.34681 .41282 L
.34807 .41425 L
.34874 .41551 L
.3492 .41618 L
.35063 .41811 L
.35066 .41812 L
.35203 .42003 L
.35259 .42068 L
.35368 .42196 L
.35452 .42339 L
.35485 .42389 L
.35627 .42581 L
.35644 .42591 L
.35767 .42774 L
.35837 .42857 L
.35928 .42967 L
.3603 .43129 L
.36049 .43159 L
.36191 .43352 L
.36222 .43372 L
.3633 .43545 L
.36415 .43647 L
.36488 .43737 L
.36608 .43919 L
.36614 .4393 L
.36753 .44123 L
.36801 .44158 L
.36954 .44316 L
.36993 .44439 L
.37047 .44508 L
.37178 .44701 L
.37186 .44711 L
.37316 .44894 L
.37379 .44947 L
.37506 .45086 L
.37571 .45233 L
.37606 .45279 L
.37739 .45472 L
.37764 .45505 L
.37877 .45664 L
.37957 .45741 L
.38057 .45857 L
.38149 .4603 L
.38164 .4605 L
.38299 .46242 L
.38342 .463 L
.38437 .46435 L
.38535 .46541 L
.38607 .46628 L
.38721 .46821 L
.38727 .46829 L
.38857 .47013 L
.3892 .47097 L
.38996 .47206 L
.39113 .47347 L
.39153 .47399 L
.39276 .47591 L
.39306 .4763 L
.39412 .47784 L
.39498 .479 L
.39551 .47977 L
.39691 .48165 L
.39694 .48169 L
.39826 .48362 L
.39884 .4844 L
.39961 .48555 L
.40076 .48712 L
.401 .48747 L
.40235 .4894 L
.40269 .48987 L
.40364 .49133 L
.40462 .49268 L
.40498 .49326 L
.40631 .49518 L
.40654 .49552 L
.40751 .49711 L
.40847 .49854 L
.40874 .49904 L
.4098 .50096 L
.40847 .50107 L
.40835 .50096 L
.40654 .49911 L
.40647 .49904 L
.40473 .49711 L
.40462 .49699 L
.40304 .49518 L
.40269 .49505 L
.40138 .49326 L
.40076 .4925 L
.3991 .49133 L
.39884 .49008 L
.39827 .4894 L
.39691 .48767 L
.39685 .48747 L
.39512 .48555 L
.39498 .48536 L
.39337 .48362 L
.39306 .48285 L
.39223 .48169 L
.39113 .48026 L
.39104 .47977 L
.3892 .47797 L
.38909 .47784 L
.38755 .47591 L
.38727 .4754 L
.38633 .47399 L
.38535 .47272 L
.38464 .47206 L
.38342 .4704 L
.38321 .47013 L
.38175 .46821 L
.38149 .46779 L
.38054 .46628 L
.37957 .46505 L
.37883 .46435 L
.37764 .46271 L
.37742 .46242 L
.376 .4605 L
.37571 .46006 L
.37482 .45857 L
.37379 .4573 L
.37309 .45664 L
.37186 .45494 L
.37168 .45472 L
.37029 .45279 L
.36993 .45227 L
.36916 .45086 L
.36801 .44949 L
.36738 .44894 L
.36608 .44712 L
.36599 .44701 L
.36462 .44508 L
.36415 .44443 L
.36353 .44316 L
.36222 .44166 L
.36171 .44123 L
.36031 .4393 L
.3603 .43927 L
.35897 .43737 L
.35837 .43656 L
.35792 .43545 L
.35644 .43382 L
.35605 .43352 L
.35461 .43159 L
.35452 .43139 L
.35335 .42967 L
.35259 .42868 L
.35233 .42774 L
.35066 .42599 L
.3504 .42581 L
.34894 .42389 L
.34874 .4235 L
.34773 .42196 L
.34681 .4208 L
.34673 .42003 L
.34488 .41818 L
.34477 .41811 L
.3433 .41618 L
.34296 .41561 L
.34212 .41425 L
.34103 .4129 L
.34053 .41232 L
.33915 .4104 L
.3391 .41035 L
.33767 .40847 L
.33717 .40769 L
.33651 .40654 L
.33525 .405 L
.33491 .40462 L
.33353 .40269 L
.33332 .40245 L
.33206 .40076 L
.33139 .39977 L
.33091 .39884 L
.32947 .39709 L
.32931 .39691 L
.32757 .39498 L
.32754 .39453 L
.32647 .39306 L
.32561 .39182 L
.3253 .39113 L
.32373 .3892 L
.32369 .38919 L
.32195 .38727 L
.32176 .38658 L
.32091 .38535 L
.31983 .38382 L
.31968 .38342 L
.31818 .38149 L
.31791 .38135 L
.3164 .37957 L
.31598 .37855 L
.31538 .37764 L
.31405 .37574 L
.31404 .37571 L
.31268 .37379 L
.31212 .37338 L
.31096 .37186 L
.3102 .37036 L
.30993 .36993 L
.30861 .36801 L
.30827 .36752 L
.30728 .36608 L
.30634 .36504 L
.30573 .36415 L
.30464 .36222 L
.30442 .3619 L
.30338 .3603 L
.30249 .35898 L
.3021 .35837 L
.3009 .35644 L
.30056 .35592 L
.29979 .35452 L
F
1 .82 0 r
.30249 .2206 m
.30442 .22018 L
.30634 .22005 L
.30827 .22009 L
.3102 .22027 L
.31212 .22058 L
.31405 .22102 L
.31589 .22156 L
.31598 .22159 L
.31791 .22228 L
.31983 .22311 L
.32061 .22349 L
.32176 .22408 L
.32369 .22522 L
.32399 .22541 L
.32561 .22652 L
.32668 .22734 L
.32754 .22803 L
.32891 .22927 L
.32947 .22979 L
.33074 .23119 L
.33139 .23191 L
.33218 .23312 L
.33315 .23505 L
.33332 .23559 L
.33347 .23697 L
.33332 .23768 L
.33249 .2389 L
.33139 .23962 L
.32947 .24008 L
.32754 .24018 L
.32561 .24006 L
.32369 .23977 L
.32176 .23934 L
.32019 .2389 L
.31983 .23878 L
.31791 .2381 L
.31598 .2373 L
.31526 .23697 L
.31405 .23638 L
.31212 .23533 L
.31163 .23505 L
.3102 .23416 L
.30866 .23312 L
.30827 .23284 L
.30634 .23135 L
.30615 .23119 L
.30442 .22965 L
.30403 .22927 L
.30249 .22758 L
.30231 .22734 L
.30106 .22541 L
.30056 .22402 L
.30049 .22349 L
.30056 .22275 L
.30125 .22156 L
F
1 .81 0 r
.30249 .22147 m
.30442 .22065 L
.30634 .22043 L
.30827 .22044 L
.3102 .22061 L
.31212 .22092 L
.31405 .22136 L
.31477 .22156 L
.31598 .22193 L
.31791 .22264 L
.31982 .22349 L
.31983 .22349 L
.32176 .22449 L
.3233 .22541 L
.32369 .22566 L
.32561 .22701 L
.32604 .22734 L
.32754 .22857 L
.32828 .22927 L
.32947 .23044 L
.3301 .23119 L
.33139 .2329 L
.33151 .23312 L
.33242 .23505 L
.33259 .23697 L
.33139 .2387 L
.33112 .2389 L
.32947 .23949 L
.32754 .23969 L
.32561 .23962 L
.32369 .23935 L
.32176 .23894 L
.32161 .2389 L
.31983 .23839 L
.31791 .23771 L
.31614 .23697 L
.31598 .2369 L
.31405 .23597 L
.31237 .23505 L
.31212 .23491 L
.3102 .23371 L
.30933 .23312 L
.30827 .23237 L
.30679 .23119 L
.30634 .23083 L
.30466 .22927 L
.30442 .22905 L
.30295 .22734 L
.30249 .2267 L
.30175 .22541 L
.30128 .22349 L
.30239 .22156 L
F
1 .96 0 r
.30249 .36384 m
.30276 .36415 L
.30442 .36575 L
.30456 .36608 L
.30621 .36801 L
.30634 .36815 L
.30778 .36993 L
.30827 .37049 L
.30934 .37186 L
.3102 .37242 L
.3109 .37379 L
.31212 .37523 L
.31273 .37571 L
.31394 .37764 L
.31405 .37777 L
.31541 .37957 L
.31598 .37989 L
.31689 .38149 L
.31791 .38269 L
.31871 .38342 L
.31983 .38531 L
.31986 .38535 L
.32129 .38727 L
.32176 .38755 L
.32274 .3892 L
.32369 .39033 L
.32449 .39113 L
.32561 .39299 L
.32566 .39306 L
.32707 .39498 L
.32754 .39529 L
.3285 .39691 L
.32947 .39808 L
.33018 .39884 L
.33139 .40076 L
.3314 .40076 L
.33279 .40269 L
.33332 .40307 L
.33422 .40462 L
.33525 .40589 L
.33583 .40654 L
.33708 .40847 L
.33717 .40859 L
.33847 .4104 L
.3391 .4109 L
.33989 .41232 L
.34103 .41376 L
.34145 .41425 L
.34274 .41618 L
.34296 .41646 L
.34412 .41811 L
.34488 .4188 L
.34618 .42003 L
.34681 .42168 L
.34703 .42196 L
.34836 .42389 L
.34874 .42438 L
.34974 .42581 L
.35066 .42675 L
.35162 .42774 L
.35259 .42966 L
.35259 .42967 L
.35395 .43159 L
.35452 .43234 L
.35534 .43352 L
.35644 .4348 L
.35703 .43545 L
.35815 .43737 L
.35837 .43767 L
.3595 .4393 L
.3603 .44036 L
.36089 .44123 L
.36222 .44297 L
.36238 .44316 L
.36365 .44508 L
.36415 .44575 L
.365 .44701 L
.36608 .44847 L
.36639 .44894 L
.36775 .45086 L
.36801 .45121 L
.36905 .45279 L
.36993 .454 L
.37039 .45472 L
.37175 .45664 L
.37186 .4568 L
.37296 .45857 L
.37379 .45975 L
.37422 .4605 L
.37379 .46234 L
.37214 .4605 L
.37186 .4602 L
.37047 .45857 L
.36993 .45796 L
.36883 .45664 L
.36801 .45592 L
.36724 .45472 L
.36608 .45328 L
.36552 .45279 L
.36416 .45086 L
.36415 .45086 L
.36262 .44894 L
.36222 .44858 L
.36109 .44701 L
.3603 .44597 L
.35948 .44508 L
.35837 .44344 L
.3582 .44316 L
.35663 .44123 L
.35644 .44104 L
.35514 .4393 L
.35452 .43846 L
.35362 .43737 L
.35259 .43587 L
.35237 .43545 L
.35077 .43352 L
.35066 .43341 L
.3493 .43159 L
.34874 .43082 L
.34786 .42967 L
.34681 .4282 L
.34661 .42774 L
.34498 .42581 L
.34488 .4257 L
.34313 .42389 L
.34296 .42309 L
.34214 .42196 L
.34103 .42044 L
.34089 .42003 L
.33926 .41811 L
.3391 .41793 L
.33752 .41618 L
.33717 .41528 L
.33647 .41425 L
.33525 .41262 L
.33518 .41232 L
.33358 .4104 L
.33332 .4101 L
.33192 .40847 L
.33139 .40741 L
.33083 .40654 L
.32947 .40475 L
.32946 .40462 L
.32795 .40269 L
.32754 .40222 L
.32634 .40076 L
.32561 .39948 L
.32522 .39884 L
.32376 .39691 L
.32369 .39681 L
.32236 .39498 L
.32176 .39426 L
.32081 .39306 L
.31983 .39148 L
.31963 .39113 L
.31822 .3892 L
.31791 .38877 L
.31684 .38727 L
.31598 .38619 L
.31534 .38535 L
.3141 .38342 L
.31405 .38335 L
.31276 .38149 L
.31212 .38114 L
.3114 .37957 L
.3102 .3779 L
.31001 .37764 L
.30875 .37571 L
.30827 .37503 L
.30743 .37379 L
.30634 .37247 L
.30584 .37186 L
.30487 .36993 L
.30442 .36926 L
.30364 .36801 L
.30249 .36621 L
.30241 .36608 L
.30144 .36415 L
F
1 .99 0 r
.30249 .34753 m
.30374 .34874 L
.30442 .34937 L
.30561 .35066 L
.30634 .35126 L
.30736 .35259 L
.30827 .35364 L
.30958 .35452 L
.3102 .35599 L
.31064 .35644 L
.31212 .35831 L
.31216 .35837 L
.31376 .3603 L
.31405 .36067 L
.31559 .36222 L
.31598 .3632 L
.31674 .36415 L
.31791 .36577 L
.31801 .36608 L
.31977 .36801 L
.31983 .36809 L
.3214 .36993 L
.32176 .3707 L
.3226 .37186 L
.32369 .37338 L
.32375 .37379 L
.3256 .37571 L
.32561 .37573 L
.32715 .37764 L
.32754 .37839 L
.32834 .37957 L
.32947 .38111 L
.32993 .38149 L
.33134 .38342 L
.33139 .38349 L
.33285 .38535 L
.33332 .38617 L
.33403 .38727 L
.33525 .3889 L
.33564 .3892 L
.33704 .39113 L
.33717 .39131 L
.33852 .39306 L
.3391 .39401 L
.33968 .39498 L
.34103 .39671 L
.34131 .39691 L
.34271 .39884 L
.34296 .39917 L
.34417 .40076 L
.34488 .40187 L
.34533 .40269 L
.34681 .40451 L
.34697 .40462 L
.34864 .40654 L
.34874 .40704 L
.34981 .40847 L
.35066 .40974 L
.35097 .4104 L
.35259 .41231 L
.35262 .41232 L
.3543 .41425 L
.35452 .41492 L
.35544 .41618 L
.35644 .41761 L
.35662 .41811 L
.35826 .42003 L
.35837 .42016 L
.35994 .42196 L
.3603 .42281 L
.36107 .42389 L
.36222 .42548 L
.36229 .42581 L
.3639 .42774 L
.36415 .42802 L
.36556 .42967 L
.36608 .4307 L
.3667 .43159 L
.36801 .43336 L
.36814 .43352 L
.36954 .43545 L
.36993 .4359 L
.37118 .43737 L
.37186 .43859 L
.37233 .4393 L
.37378 .44123 L
.37379 .44123 L
.37517 .44316 L
.37571 .44378 L
.37679 .44508 L
.37764 .44649 L
.37797 .44701 L
.37941 .44894 L
.37957 .44901 L
.38081 .45086 L
.38149 .45167 L
.38239 .45279 L
.38342 .45439 L
.38361 .45472 L
.38504 .45664 L
.38535 .45683 L
.38706 .45857 L
.38727 .45957 L
.38799 .4605 L
.3892 .4623 L
.38927 .46242 L
.39067 .46435 L
.39113 .46468 L
.39261 .46628 L
.39306 .46748 L
.3936 .46821 L
.39492 .47013 L
.39498 .47022 L
.3963 .47206 L
.39691 .47256 L
.39816 .47399 L
.39884 .47542 L
.3992 .47591 L
.40054 .47784 L
.40076 .47813 L
.40192 .47977 L
.40269 .48048 L
.4037 .48169 L
.40462 .48336 L
.4048 .48362 L
.40615 .48555 L
.40654 .48606 L
.40754 .48747 L
.40847 .48844 L
.40924 .4894 L
.4104 .49132 L
.4104 .49133 L
.41176 .49326 L
.41232 .494 L
.41316 .49518 L
.41425 .49644 L
.41477 .49711 L
.41599 .49904 L
.41618 .49928 L
.41736 .50096 L
.41811 .50195 L
.41876 .50289 L
.42003 .50449 L
.42027 .50482 L
.42156 .50674 L
.42196 .50727 L
.42293 .50867 L
.42389 .50995 L
.42433 .5106 L
.42576 .51253 L
.42581 .5126 L
.42709 .51445 L
.42774 .51532 L
.42845 .51638 L
.42967 .51803 L
.43006 .51831 L
.4312 .52023 L
.43159 .52077 L
.43251 .52216 L
.43352 .52355 L
.43386 .52409 L
.43519 .52601 L
.43545 .52638 L
.43641 .52794 L
.43737 .52936 L
.43766 .52987 L
.43878 .53179 L
.43737 .53232 L
.43682 .53179 L
.43545 .53042 L
.43494 .52987 L
.43352 .52824 L
.43313 .52794 L
.43159 .52606 L
.43156 .52601 L
.42986 .52409 L
.42967 .52384 L
.42823 .52216 L
.42774 .52145 L
.42671 .52023 L
.42581 .51897 L
.42546 .51831 L
.42389 .51678 L
.42355 .51638 L
.42205 .51445 L
.42196 .51431 L
.42063 .51253 L
.42003 .51169 L
.41949 .5106 L
.41811 .5094 L
.41752 .50867 L
.41618 .50687 L
.41608 .50674 L
.41472 .50482 L
.41425 .50418 L
.41367 .50289 L
.41232 .50181 L
.41166 .50096 L
.4104 .49922 L
.41025 .49904 L
.40893 .49711 L
.40847 .49649 L
.40733 .49518 L
.40654 .49408 L
.4059 .49326 L
.40462 .49147 L
.40451 .49133 L
.40323 .4894 L
.40269 .48869 L
.40161 .48747 L
.40076 .48628 L
.4002 .48555 L
.39884 .48365 L
.39881 .48362 L
.39758 .48169 L
.39691 .48083 L
.39592 .47977 L
.39498 .47844 L
.39452 .47784 L
.39314 .47591 L
.39306 .47578 L
.39197 .47399 L
.39113 .47294 L
.39026 .47206 L
.3892 .47057 L
.38886 .47013 L
.3875 .46821 L
.38727 .46789 L
.38638 .46628 L
.38535 .46505 L
.38461 .46435 L
.38342 .46269 L
.38322 .46242 L
.38187 .4605 L
.38149 .45998 L
.3808 .45857 L
.37957 .45716 L
.37896 .45664 L
.37764 .4548 L
.37758 .45472 L
.37625 .45279 L
.37571 .45208 L
.37523 .45086 L
.37379 .44929 L
.37332 .44894 L
.37191 .44701 L
.37186 .4469 L
.37063 .44508 L
.36993 .44417 L
.36967 .44316 L
.36801 .44144 L
.36769 .44123 L
.36625 .4393 L
.36608 .439 L
.36503 .43737 L
.36415 .43628 L
.36345 .43545 L
.36222 .43362 L
.36205 .43352 L
.3606 .43159 L
.3603 .43109 L
.35942 .42967 L
.35837 .42839 L
.35781 .42774 L
.35644 .42582 L
.35643 .42581 L
.35497 .42389 L
.35452 .42319 L
.35381 .42196 L
.35259 .4205 L
.35218 .42003 L
.35079 .41811 L
.35066 .41795 L
.34934 .41618 L
.34874 .41529 L
.3482 .41425 L
.34681 .41262 L
.34655 .41232 L
.34493 .4104 L
.34488 .41007 L
.34372 .40847 L
.34296 .40739 L
.34258 .40654 L
.34103 .40473 L
.34093 .40462 L
.33926 .40269 L
.3391 .40218 L
.33811 .40076 L
.33717 .39947 L
.33695 .39884 L
.33531 .39691 L
.33525 .39688 L
.33363 .39498 L
.33332 .39427 L
.33251 .39306 L
.33139 .39155 L
.3313 .39113 L
.3297 .3892 L
.32947 .38906 L
.32803 .38727 L
.32754 .38634 L
.32691 .38535 L
.32561 .38359 L
.3256 .38342 L
.32411 .38149 L
.32369 .38118 L
.32246 .37957 L
.32176 .37835 L
.32133 .37764 L
.31992 .37571 L
.31983 .37559 L
.31855 .37379 L
.31791 .37321 L
.31694 .37186 L
.31598 .37028 L
.31578 .36993 L
.31441 .36801 L
.31405 .36751 L
.31305 .36608 L
.31212 .36506 L
.31152 .36415 L
.31031 .36222 L
.3102 .36206 L
.309 .3603 L
.30827 .35926 L
.30767 .35837 L
.30634 .35647 L
.30633 .35644 L
.3051 .35452 L
.30442 .3535 L
.30385 .35259 L
.30264 .35066 L
.30249 .35042 L
.30164 .34874 L
F
1 .8 0 r
.30442 .22123 m
.30634 .22086 L
.30827 .22082 L
.3102 .22096 L
.31212 .22127 L
.3135 .22156 L
.31405 .2217 L
.31598 .22228 L
.31791 .22301 L
.31901 .22349 L
.31983 .22387 L
.32176 .2249 L
.32261 .22541 L
.32369 .2261 L
.3254 .22734 L
.32561 .2275 L
.32754 .22916 L
.32765 .22927 L
.32947 .23119 L
.32947 .23119 L
.33084 .23312 L
.33139 .23423 L
.33167 .23505 L
.33166 .23697 L
.33139 .2375 L
.32947 .23881 L
.32915 .2389 L
.32754 .23916 L
.32561 .23916 L
.32369 .23893 L
.32349 .2389 L
.32176 .23854 L
.31983 .23799 L
.31791 .23731 L
.31707 .23697 L
.31598 .2365 L
.31405 .23555 L
.31311 .23505 L
.31212 .23448 L
.3102 .23325 L
.31 .23312 L
.30827 .23187 L
.30742 .23119 L
.30634 .23029 L
.30529 .22927 L
.30442 .22843 L
.3036 .22734 L
.30249 .22552 L
.30244 .22541 L
.3021 .22349 L
.30249 .22252 L
.30367 .22156 L
F
1 .97 0 r
.30249 .37991 m
.3036 .38149 L
.30442 .38247 L
.30506 .38342 L
.30634 .38502 L
.30656 .38535 L
.30799 .38727 L
.30827 .38762 L
.30933 .3892 L
.3102 .39028 L
.31075 .39113 L
.31212 .39291 L
.31222 .39306 L
.31212 .39496 L
.31072 .39306 L
.3102 .39243 L
.30924 .39113 L
.30827 .38989 L
.30776 .3892 L
.30634 .38732 L
.30631 .38727 L
.30495 .38535 L
.30442 .38467 L
.30353 .38342 L
.30249 .38203 L
.30211 .38149 L
F
1 .77 0 r
.30442 .15935 m
.30543 .1599 L
.30634 .16046 L
.30827 .16176 L
.30836 .16182 L
.3102 .16311 L
.31111 .16375 L
.31212 .16457 L
.31356 .16568 L
.31405 .16614 L
.3158 .1676 L
.31598 .1678 L
.31789 .16953 L
.31791 .16955 L
.31983 .17125 L
.32006 .17146 L
.32176 .17298 L
.3222 .17339 L
.32369 .17474 L
.32429 .17531 L
.32561 .17654 L
.32634 .17724 L
.32754 .17838 L
.32834 .17917 L
.32947 .18025 L
.33031 .18109 L
.33139 .18216 L
.33223 .18302 L
.33332 .18411 L
.33411 .18495 L
.33525 .18611 L
.33594 .18687 L
.33717 .18817 L
.33772 .1888 L
.3391 .19031 L
.33944 .19073 L
.34103 .19259 L
.34108 .19265 L
.34265 .19458 L
.34296 .19498 L
.34409 .19651 L
.34488 .19771 L
.34529 .19844 L
.34488 .20004 L
.34296 .19918 L
.34175 .19844 L
.34103 .19795 L
.3391 .19659 L
.33897 .19651 L
.33717 .19519 L
.33634 .19458 L
.33525 .19369 L
.33393 .19265 L
.33332 .19211 L
.33168 .19073 L
.33139 .19045 L
.32955 .1888 L
.32947 .18872 L
.32754 .18695 L
.32745 .18687 L
.32561 .18521 L
.32533 .18495 L
.32369 .18343 L
.32325 .18302 L
.32176 .18162 L
.32122 .18109 L
.31983 .17977 L
.31923 .17917 L
.31791 .17788 L
.31728 .17724 L
.31598 .17595 L
.31537 .17531 L
.31405 .17397 L
.31351 .17339 L
.31212 .17194 L
.31169 .17146 L
.3102 .16984 L
.30993 .16953 L
.30827 .16764 L
.30824 .1676 L
.30661 .16568 L
.30634 .16536 L
.30507 .16375 L
.30442 .16287 L
.30369 .16182 L
.30264 .1599 L
F
1 .79 0 r
.30634 .22135 m
.30827 .22122 L
.3102 .22134 L
.31175 .22156 L
.31212 .22162 L
.31405 .22205 L
.31598 .22264 L
.31791 .22338 L
.31815 .22349 L
.31983 .22426 L
.32176 .22533 L
.3219 .22541 L
.32369 .22656 L
.32475 .22734 L
.32561 .228 L
.32702 .22927 L
.32754 .22972 L
.32883 .23119 L
.32947 .23174 L
.33016 .23312 L
.3309 .23505 L
.33066 .23697 L
.32947 .23804 L
.32754 .23866 L
.32561 .23869 L
.32369 .23851 L
.32176 .23813 L
.31983 .23759 L
.31808 .23697 L
.31791 .2369 L
.31598 .23609 L
.31405 .23513 L
.31389 .23505 L
.31212 .23405 L
.31068 .23312 L
.3102 .2328 L
.30827 .23136 L
.30807 .23119 L
.30634 .22969 L
.30592 .22927 L
.30442 .2276 L
.30425 .22734 L
.30314 .22541 L
.30295 .22349 L
.30442 .22192 L
.30517 .22156 L
F
1 .78 0 r
.30442 .22277 m
.30634 .22189 L
.30827 .22163 L
.3102 .22171 L
.31212 .22197 L
.31405 .22241 L
.31598 .22301 L
.31724 .22349 L
.31791 .22376 L
.31983 .22467 L
.32118 .22541 L
.32176 .22575 L
.32369 .22704 L
.32409 .22734 L
.32561 .22855 L
.32638 .22927 L
.32754 .23038 L
.32818 .23119 L
.32946 .23312 L
.32947 .23313 L
.3301 .23505 L
.3295 .23697 L
.32947 .23701 L
.32754 .2381 L
.32561 .23821 L
.32369 .23806 L
.32176 .2377 L
.31983 .23717 L
.31921 .23697 L
.31791 .2365 L
.31598 .23568 L
.31469 .23505 L
.31405 .23472 L
.31212 .2336 L
.31138 .23312 L
.3102 .23233 L
.30872 .23119 L
.30827 .23086 L
.30656 .22927 L
.30634 .22914 L
.30491 .22734 L
.30442 .22658 L
.30387 .22541 L
.30386 .22349 L
F
0 .95 1 r
.30442 .37493 m
.30504 .37571 L
.30634 .37708 L
.30676 .37764 L
.30827 .3794 L
.30839 .37957 L
.30991 .38149 L
.3102 .38183 L
.31138 .38342 L
.31212 .38431 L
.31288 .38535 L
.31405 .38679 L
.31439 .38727 L
.31589 .3892 L
.31598 .38931 L
.3173 .39113 L
.31791 .39188 L
.31874 .39306 L
.31983 .39445 L
.32021 .39498 L
.32167 .39691 L
.32176 .39702 L
.32305 .39884 L
.32369 .39964 L
.32446 .40076 L
.32561 .40225 L
.32591 .40269 L
.32733 .40462 L
.32754 .40488 L
.32869 .40654 L
.32947 .40755 L
.33009 .40847 L
.33139 .4102 L
.33153 .4104 L
.33287 .41232 L
.33332 .41291 L
.33421 .41425 L
.33525 .41563 L
.3356 .41618 L
.33698 .41811 L
.33717 .41837 L
.33823 .42003 L
.3391 .42122 L
.33954 .42196 L
.3391 .42333 L
.33798 .42196 L
.33717 .42102 L
.33639 .42003 L
.33525 .41863 L
.33483 .41811 L
.33332 .41619 L
.33331 .41618 L
.33183 .41425 L
.33139 .41371 L
.33033 .41232 L
.32947 .41121 L
.32884 .4104 L
.32754 .40876 L
.32713 .40847 L
.32594 .40654 L
.32561 .40612 L
.32449 .40462 L
.32369 .40355 L
.32304 .40269 L
.32176 .40103 L
.32145 .40076 L
.32021 .39884 L
.31983 .39834 L
.31879 .39691 L
.31791 .39571 L
.31737 .39498 L
.31598 .39306 L
.31597 .39306 L
.31461 .39113 L
.31405 .39037 L
.31322 .3892 L
.31212 .38767 L
.31184 .38727 L
.31051 .38535 L
.3102 .38492 L
.30918 .38342 L
.30827 .38214 L
.30784 .38149 L
.30655 .37957 L
.30634 .37928 L
.30535 .37764 L
.30442 .37625 L
.30411 .37571 L
F
1 .77 0 r
.30634 .2225 m
.30827 .22198 L
.3102 .22208 L
.31212 .22234 L
.31405 .22279 L
.31598 .2234 L
.31622 .22349 L
.31791 .22414 L
.31983 .22509 L
.32042 .22541 L
.32176 .22619 L
.32341 .22734 L
.32369 .22752 L
.32561 .22915 L
.32573 .22927 L
.32751 .23119 L
.32754 .23123 L
.32875 .23312 L
.32924 .23505 L
.32815 .23697 L
.32754 .23729 L
.32561 .23766 L
.32369 .23758 L
.32176 .23725 L
.3205 .23697 L
.31983 .23675 L
.31791 .23608 L
.31598 .23525 L
.31555 .23505 L
.31405 .23429 L
.31212 .23314 L
.3121 .23312 L
.3102 .23183 L
.30938 .23119 L
.30827 .23032 L
.30721 .22927 L
.30634 .22857 L
.30558 .22734 L
.30462 .22541 L
.30486 .22349 L
F
1 .76 0 r
.30634 .22328 m
.30827 .22249 L
.3102 .22251 L
.31212 .22275 L
.31405 .22319 L
.3151 .22349 L
.31598 .22377 L
.31791 .22455 L
.31963 .22541 L
.31983 .22551 L
.32176 .22666 L
.32272 .22734 L
.32369 .22802 L
.32506 .22927 L
.32561 .22964 L
.32683 .23119 L
.32754 .23224 L
.32799 .23312 L
.32831 .23505 L
.32754 .23627 L
.32575 .23697 L
.32561 .237 L
.32369 .23704 L
.32299 .23697 L
.32176 .2368 L
.31983 .23632 L
.31791 .23565 L
.31647 .23505 L
.31598 .23482 L
.31405 .23384 L
.31284 .23312 L
.31212 .23269 L
.3102 .2313 L
.31007 .23119 L
.30827 .22968 L
.30788 .22927 L
.30634 .22747 L
.30628 .22734 L
.30541 .22541 L
.30604 .22349 L
F
0 .97 1 r
.30634 .36069 m
.30776 .36222 L
.30827 .36273 L
.30949 .36415 L
.3102 .36493 L
.31114 .36608 L
.31212 .36711 L
.31276 .36801 L
.31405 .36958 L
.31443 .36993 L
.31587 .37186 L
.31598 .37199 L
.31738 .37379 L
.31791 .37435 L
.31889 .37571 L
.31983 .37691 L
.3205 .37764 L
.32176 .37944 L
.32185 .37957 L
.32334 .38149 L
.32369 .38188 L
.32544 .38342 L
.32561 .38448 L
.32635 .38535 L
.32754 .38707 L
.32766 .38727 L
.32916 .3892 L
.32947 .38955 L
.33108 .39113 L
.33139 .39218 L
.3321 .39306 L
.33332 .39479 L
.33341 .39498 L
.33491 .39691 L
.33525 .39729 L
.33673 .39884 L
.33717 .39995 L
.3378 .40076 L
.3391 .40257 L
.33914 .40269 L
.34061 .40462 L
.34103 .40509 L
.34237 .40654 L
.34296 .40777 L
.34347 .40847 L
.34488 .41039 L
.34488 .4104 L
.34629 .41232 L
.34681 .41292 L
.34799 .41425 L
.34874 .41562 L
.34913 .41618 L
.35055 .41811 L
.35066 .41816 L
.35195 .42003 L
.35259 .42078 L
.3536 .42196 L
.35452 .42349 L
.35478 .42389 L
.3562 .42581 L
.35644 .42596 L
.3576 .42774 L
.35837 .42866 L
.35921 .42967 L
.3603 .43138 L
.36043 .43159 L
.36183 .43352 L
.36222 .43378 L
.36323 .43545 L
.36415 .43657 L
.3648 .43737 L
.36608 .4393 L
.36608 .4393 L
.36746 .44123 L
.36801 .44166 L
.36947 .44316 L
.36993 .4445 L
.37039 .44508 L
.37169 .44701 L
.37186 .44723 L
.37307 .44894 L
.37379 .44958 L
.37496 .45086 L
.37571 .45246 L
.37596 .45279 L
.37729 .45472 L
.37764 .45518 L
.37867 .45664 L
.37957 .45756 L
.38044 .45857 L
.38149 .46047 L
.38151 .4605 L
.38287 .46242 L
.38342 .46316 L
.38425 .46435 L
.38535 .46563 L
.38588 .46628 L
.38706 .46821 L
.38727 .46849 L
.38841 .47013 L
.3892 .47119 L
.38979 .47206 L
.39113 .47381 L
.39127 .47399 L
.39255 .47591 L
.39306 .4766 L
.39389 .47784 L
.39498 .47932 L
.39528 .47977 L
.39663 .48169 L
.39691 .48207 L
.39792 .48362 L
.39884 .48488 L
.39926 .48555 L
.40059 .48747 L
.40076 .48772 L
.40179 .4894 L
.40269 .49073 L
.40302 .49133 L
.40411 .49326 L
.40269 .49326 L
.40269 .49326 L
.40084 .49133 L
.40076 .49125 L
.39911 .4894 L
.39884 .4891 L
.39743 .48747 L
.39691 .48714 L
.39579 .48555 L
.39498 .48456 L
.39378 .48362 L
.39306 .48213 L
.3927 .48169 L
.39113 .47979 L
.39113 .47977 L
.38955 .47784 L
.3892 .47737 L
.38785 .47591 L
.38727 .47484 L
.38669 .47399 L
.38535 .47231 L
.38502 .47206 L
.38355 .47013 L
.38342 .46995 L
.382 .46821 L
.38149 .46736 L
.38082 .46628 L
.37957 .46472 L
.37911 .46435 L
.37768 .46242 L
.37764 .46236 L
.37621 .4605 L
.37571 .45973 L
.37504 .45857 L
.37379 .45705 L
.3733 .45664 L
.37189 .45472 L
.37186 .45467 L
.37047 .45279 L
.36993 .45201 L
.36933 .45086 L
.36801 .4493 L
.36756 .44894 L
.36609 .44701 L
.36608 .4469 L
.36477 .44508 L
.36415 .44422 L
.36366 .44316 L
.36222 .44151 L
.36185 .44123 L
.36037 .4393 L
.3603 .43908 L
.3591 .43737 L
.35837 .43638 L
.35802 .43545 L
.35644 .43371 L
.35618 .43352 L
.35468 .43159 L
.35452 .43123 L
.35346 .42967 L
.35259 .42852 L
.3524 .42774 L
.35066 .4259 L
.35053 .42581 L
.34902 .42389 L
.34874 .42335 L
.34784 .42196 L
.34681 .42065 L
.34677 .42003 L
.34489 .41811 L
.34488 .41809 L
.34338 .41618 L
.34296 .41545 L
.34222 .41425 L
.34103 .41276 L
.34065 .41232 L
.33927 .4104 L
.3391 .41021 L
.33777 .40847 L
.33717 .40753 L
.33662 .40654 L
.33525 .40485 L
.33505 .40462 L
.33366 .40269 L
.33332 .40229 L
.33218 .40076 L
.33139 .39958 L
.33102 .39884 L
.32947 .39691 L
.32947 .39691 L
.32759 .39498 L
.32754 .39434 L
.32662 .39306 L
.32561 .39158 L
.32541 .39113 L
.32392 .3892 L
.32369 .3891 L
.32205 .38727 L
.32176 .3863 L
.3211 .38535 L
.31983 .3835 L
.3198 .38342 L
.31843 .38149 L
.31791 .38114 L
.31663 .37957 L
.31598 .37812 L
.31567 .37764 L
.31436 .37571 L
.31405 .37527 L
.31304 .37379 L
.31212 .37281 L
.31143 .37186 L
.31039 .36993 L
.3102 .36965 L
.30913 .36801 L
.30827 .36673 L
.30785 .36608 L
.30664 .36415 L
.30634 .36369 L
.30553 .36222 L
F
1 .95 0 r
.30634 .36915 m
.30702 .36993 L
.30827 .37123 L
.30878 .37186 L
.3102 .37323 L
.31044 .37379 L
.31203 .37571 L
.31212 .37582 L
.31355 .37764 L
.31405 .37823 L
.31508 .37957 L
.31598 .38025 L
.3166 .38149 L
.31791 .38308 L
.31829 .38342 L
.31959 .38535 L
.31983 .38564 L
.32105 .38727 L
.32176 .38778 L
.32252 .3892 L
.32369 .39062 L
.32421 .39113 L
.32546 .39306 L
.32561 .39325 L
.32688 .39498 L
.32754 .39547 L
.32833 .39691 L
.32947 .39832 L
.32996 .39884 L
.33122 .40076 L
.33139 .40098 L
.33263 .40269 L
.33332 .40324 L
.33407 .40462 L
.33525 .40611 L
.33564 .40654 L
.33693 .40847 L
.33717 .40879 L
.33833 .4104 L
.3391 .41108 L
.33975 .41232 L
.34103 .41397 L
.34127 .41425 L
.34259 .41618 L
.34296 .41666 L
.34398 .41811 L
.34488 .419 L
.34597 .42003 L
.34681 .4219 L
.34685 .42196 L
.34821 .42389 L
.34874 .42458 L
.3496 .42581 L
.35066 .427 L
.35138 .42774 L
.35243 .42967 L
.35259 .42988 L
.35379 .43159 L
.35452 .43256 L
.35518 .43352 L
.35644 .43511 L
.35675 .43545 L
.35796 .43737 L
.35837 .43792 L
.35931 .4393 L
.3603 .44063 L
.3607 .44123 L
.36209 .44316 L
.36222 .44333 L
.3634 .44508 L
.36415 .4461 L
.36475 .44701 L
.36608 .44884 L
.36614 .44894 L
.3674 .45086 L
.36801 .4517 L
.36868 .45279 L
.36993 .45459 L
.37001 .45472 L
.37113 .45664 L
.37186 .45781 L
.37215 .45857 L
.37186 .45895 L
.37145 .45857 L
.36993 .45706 L
.36956 .45664 L
.36801 .45498 L
.36786 .45472 L
.36624 .45279 L
.36608 .45261 L
.36463 .45086 L
.36415 .45029 L
.36305 .44894 L
.36222 .44814 L
.36149 .44701 L
.3603 .4455 L
.35987 .44508 L
.35847 .44316 L
.35837 .44303 L
.35695 .44123 L
.35644 .44073 L
.35545 .4393 L
.35452 .43808 L
.3539 .43737 L
.35259 .43554 L
.35254 .43545 L
.35103 .43352 L
.35066 .43314 L
.34955 .43159 L
.34874 .4305 L
.34808 .42967 L
.34681 .42791 L
.34673 .42774 L
.34521 .42581 L
.34488 .42546 L
.34322 .42389 L
.34296 .4228 L
.34234 .42196 L
.34103 .42018 L
.34098 .42003 L
.33947 .41811 L
.3391 .4177 L
.33766 .41618 L
.33717 .415 L
.33665 .41425 L
.33525 .41237 L
.33524 .41232 L
.33379 .4104 L
.33332 .40987 L
.33208 .40847 L
.33139 .40714 L
.331 .40654 L
.32957 .40462 L
.32947 .40448 L
.32816 .40269 L
.32754 .40196 L
.32653 .40076 L
.32561 .39918 L
.3254 .39884 L
.32399 .39691 L
.32369 .3965 L
.3226 .39498 L
.32176 .39394 L
.32105 .39306 L
.31984 .39113 L
.31983 .39112 L
.31848 .3892 L
.31791 .3884 L
.31711 .38727 L
.31598 .38575 L
.31568 .38535 L
.31442 .38342 L
.31405 .3829 L
.31309 .38149 L
.31212 .38054 L
.31175 .37957 L
.31046 .37764 L
.3102 .37727 L
.30919 .37571 L
.30827 .37434 L
.30791 .37379 L
.30673 .37186 L
.30634 .37126 L
.30564 .36993 L
F
1 .75 0 r
.30827 .2232 m
.3102 .22302 L
.31212 .22321 L
.31351 .22349 L
.31405 .22359 L
.31598 .22417 L
.31791 .22499 L
.31878 .22541 L
.31983 .22594 L
.32176 .22717 L
.32199 .22734 L
.32369 .22861 L
.32437 .22927 L
.32561 .2304 L
.32612 .23119 L
.3272 .23312 L
.32727 .23505 L
.32561 .23626 L
.32369 .2366 L
.32176 .23634 L
.31983 .23586 L
.31791 .23519 L
.31754 .23505 L
.31598 .23439 L
.31405 .23336 L
.31364 .23312 L
.31212 .2322 L
.31077 .23119 L
.3102 .23083 L
.30857 .22927 L
.30827 .22894 L
.307 .22734 L
.30634 .22583 L
.30628 .22541 L
.30634 .22479 L
.30741 .22349 L
F
1 .74 0 r
.30827 .22405 m
.3102 .22361 L
.31212 .22359 L
.31405 .22398 L
.31598 .22462 L
.31783 .22541 L
.31791 .22544 L
.31983 .22642 L
.32123 .22734 L
.32176 .22762 L
.32364 .22927 L
.32369 .22931 L
.32537 .23119 L
.32561 .23157 L
.32634 .23312 L
.32595 .23505 L
.32561 .23529 L
.32369 .23599 L
.32176 .2358 L
.31983 .23535 L
.31872 .23505 L
.31791 .23475 L
.31598 .23391 L
.31449 .23312 L
.31405 .2329 L
.31212 .23165 L
.31153 .23119 L
.3102 .23024 L
.3093 .22927 L
.30827 .22807 L
.30777 .22734 L
.3072 .22541 L
F
1 .73 0 r
.3102 .22428 m
.31212 .22397 L
.31405 .22446 L
.31598 .22512 L
.31675 .22541 L
.31791 .22585 L
.31983 .22697 L
.32039 .22734 L
.32176 .22818 L
.32287 .22927 L
.32369 .23011 L
.32456 .23119 L
.32539 .23312 L
.32375 .23505 L
.32369 .23507 L
.32176 .23515 L
.32104 .23505 L
.31983 .23489 L
.31791 .23426 L
.31598 .23338 L
.31547 .23312 L
.31405 .23241 L
.31233 .23119 L
.31212 .23103 L
.3102 .2294 L
.31009 .22927 L
.3086 .22734 L
.30832 .22541 L
F
0 .96 1 r
.3102 .366 m
.31027 .36608 L
.31208 .36801 L
.31212 .36805 L
.31374 .36993 L
.31405 .37026 L
.31536 .37186 L
.31598 .37256 L
.31696 .37379 L
.31791 .37481 L
.31853 .37571 L
.31983 .37733 L
.32014 .37764 L
.32158 .37957 L
.32176 .37958 L
.32307 .38149 L
.32369 .38217 L
.32526 .38342 L
.32561 .38477 L
.32613 .38535 L
.32753 .38727 L
.32754 .38728 L
.32897 .3892 L
.32947 .38975 L
.33096 .39113 L
.33139 .39238 L
.33195 .39306 L
.33332 .39496 L
.33333 .39498 L
.33477 .39691 L
.33525 .39745 L
.33663 .39884 L
.33717 .40011 L
.33769 .40076 L
.33909 .40269 L
.3391 .40269 L
.3405 .40462 L
.34103 .40522 L
.34228 .40654 L
.34296 .4079 L
.34338 .40847 L
.34479 .4104 L
.34488 .41044 L
.3462 .41232 L
.34681 .41303 L
.34791 .41425 L
.34874 .41573 L
.34906 .41618 L
.35047 .41811 L
.35066 .41821 L
.35187 .42003 L
.35259 .42088 L
.35353 .42196 L
.35452 .42359 L
.35471 .42389 L
.35612 .42581 L
.35644 .42601 L
.35752 .42774 L
.35837 .42876 L
.35913 .42967 L
.3603 .43149 L
.36037 .43159 L
.36176 .43352 L
.36222 .43385 L
.36316 .43545 L
.36415 .43667 L
.36472 .43737 L
.366 .4393 L
.36608 .4394 L
.36738 .44123 L
.36801 .44174 L
.36938 .44316 L
.36993 .44462 L
.37029 .44508 L
.37161 .44701 L
.37186 .44734 L
.37298 .44894 L
.37379 .4497 L
.37485 .45086 L
.37571 .45261 L
.37585 .45279 L
.37719 .45472 L
.37764 .45531 L
.37857 .45664 L
.37957 .45773 L
.38029 .45857 L
.38139 .4605 L
.38149 .46063 L
.38274 .46242 L
.38342 .46333 L
.38412 .46435 L
.38535 .46588 L
.38568 .46628 L
.3869 .46821 L
.38727 .46871 L
.38824 .47013 L
.3892 .47143 L
.38962 .47206 L
.39101 .47399 L
.39113 .47414 L
.39231 .47591 L
.39306 .47693 L
.39365 .47784 L
.39498 .4797 L
.39502 .47977 L
.39627 .48169 L
.39691 .4826 L
.39752 .48362 L
.39882 .48555 L
.39884 .48557 L
.39984 .48747 L
.39884 .48795 L
.39836 .48747 L
.39691 .4862 L
.39655 .48555 L
.39498 .48377 L
.39473 .48362 L
.39321 .48169 L
.39306 .48151 L
.39159 .47977 L
.39113 .4794 L
.38999 .47784 L
.3892 .47684 L
.38818 .47591 L
.38727 .47438 L
.38699 .47399 L
.38539 .47206 L
.38535 .47202 L
.38386 .47013 L
.38342 .46954 L
.38224 .46821 L
.38149 .46699 L
.38104 .46628 L
.37957 .46448 L
.37939 .46435 L
.37791 .46242 L
.37764 .46205 L
.3764 .4605 L
.37571 .45944 L
.37522 .45857 L
.37379 .45685 L
.37351 .45664 L
.37207 .45472 L
.37186 .45441 L
.37063 .45279 L
.36993 .45177 L
.36947 .45086 L
.36801 .44914 L
.36773 .44894 L
.3661 .44701 L
.36608 .44669 L
.36491 .44508 L
.36415 .44402 L
.36377 .44316 L
.36222 .44139 L
.362 .44123 L
.36042 .4393 L
.3603 .4389 L
.35923 .43737 L
.35837 .43622 L
.3581 .43545 L
.35644 .43361 L
.35631 .43352 L
.35475 .43159 L
.35452 .43106 L
.35357 .42967 L
.35259 .42838 L
.35245 .42774 L
.35066 .42582 L
.35065 .42581 L
.3491 .42389 L
.34874 .4232 L
.34794 .42196 L
.34681 .42051 L
.34679 .42003 L
.34501 .41811 L
.34488 .41796 L
.34347 .41618 L
.34296 .4153 L
.34232 .41425 L
.34103 .41261 L
.34078 .41232 L
.33939 .4104 L
.3391 .41007 L
.33787 .40847 L
.33717 .40736 L
.33672 .40654 L
.33525 .40469 L
.33518 .40462 L
.33379 .40269 L
.33332 .40213 L
.3323 .40076 L
.33139 .39938 L
.33112 .39884 L
.32962 .39691 L
.32947 .39686 L
.32763 .39498 L
.32754 .39412 L
.32678 .39306 L
.32561 .39133 L
.32552 .39113 L
.32411 .3892 L
.32369 .38897 L
.3222 .38727 L
.32176 .38599 L
.32132 .38535 L
.32002 .38342 L
.31983 .38316 L
.31869 .38149 L
.31791 .38079 L
.31695 .37957 L
.316 .37764 L
.31598 .37761 L
.31472 .37571 L
.31405 .37474 L
.31342 .37379 L
.31213 .37186 L
.31212 .37185 L
.31095 .36993 L
.3102 .36876 L
.30977 .36801 L
.30875 .36608 L
F
1 .72 0 r
.3102 .22518 m
.31212 .22466 L
.31405 .22506 L
.31522 .22541 L
.31598 .22567 L
.31791 .22637 L
.31948 .22734 L
.31983 .22759 L
.32176 .22899 L
.32201 .22927 L
.32365 .23119 L
.32369 .23126 L
.32423 .23312 L
.32369 .23392 L
.32176 .23442 L
.31983 .2344 L
.31791 .23368 L
.31651 .23312 L
.31598 .23297 L
.31405 .2318 L
.31322 .23119 L
.31212 .23035 L
.31091 .22927 L
.3102 .2284 L
.30953 .22734 L
.30972 .22541 L
F
1 .94 0 r
.3102 .3743 m
.31141 .37571 L
.31212 .37646 L
.31307 .37764 L
.31405 .37874 L
.31469 .37957 L
.31598 .38084 L
.31628 .38149 L
.31782 .38342 L
.31791 .38352 L
.3193 .38535 L
.31983 .38599 L
.32079 .38727 L
.32176 .38811 L
.32229 .3892 L
.32369 .39095 L
.32387 .39113 L
.32524 .39306 L
.32561 .39352 L
.32668 .39498 L
.32754 .39572 L
.32815 .39691 L
.32947 .39858 L
.32971 .39884 L
.33104 .40076 L
.33139 .40121 L
.33246 .40269 L
.33332 .40346 L
.33391 .40462 L
.33525 .40635 L
.33543 .40654 L
.33677 .40847 L
.33717 .40899 L
.33818 .4104 L
.3391 .4113 L
.33961 .41232 L
.34103 .4142 L
.34107 .41425 L
.34243 .41618 L
.34296 .41686 L
.34384 .41811 L
.34488 .41924 L
.34572 .42003 L
.34669 .42196 L
.34681 .42212 L
.34805 .42389 L
.34874 .42479 L
.34945 .42581 L
.35066 .42728 L
.3511 .42774 L
.35225 .42967 L
.35259 .43011 L
.35361 .43159 L
.35452 .4328 L
.35501 .43352 L
.35643 .43545 L
.35644 .43547 L
.35775 .43737 L
.35837 .43821 L
.3591 .4393 L
.3603 .44093 L
.3605 .44123 L
.36182 .44316 L
.36222 .4437 L
.36311 .44508 L
.36415 .44652 L
.36446 .44701 L
.36576 .44894 L
.36608 .44939 L
.36693 .45086 L
.36801 .45248 L
.36816 .45279 L
.36801 .45385 L
.36699 .45279 L
.36608 .45186 L
.36521 .45086 L
.36415 .44966 L
.36354 .44894 L
.36222 .4475 L
.36194 .44701 L
.36038 .44508 L
.3603 .44498 L
.35883 .44316 L
.35837 .44259 L
.35729 .44123 L
.35644 .44035 L
.35577 .4393 L
.35452 .43769 L
.35422 .43737 L
.35279 .43545 L
.35259 .43519 L
.3513 .43352 L
.35066 .43285 L
.34981 .43159 L
.34874 .43017 L
.34832 .42967 L
.34691 .42774 L
.34681 .42761 L
.34545 .42581 L
.34488 .4252 L
.34338 .42389 L
.34296 .4225 L
.34254 .42196 L
.34112 .42003 L
.34103 .41991 L
.33968 .41811 L
.3391 .41745 L
.33783 .41618 L
.33717 .41472 L
.33684 .41425 L
.33542 .41232 L
.33525 .4121 L
.334 .4104 L
.33332 .40961 L
.33227 .40847 L
.33139 .40685 L
.33119 .40654 L
.32978 .40462 L
.32947 .40419 L
.32838 .40269 L
.32754 .40166 L
.32676 .40076 L
.32561 .39886 L
.3256 .39884 L
.32422 .39691 L
.32369 .39617 L
.32283 .39498 L
.32176 .39357 L
.32134 .39306 L
.32011 .39113 L
.31983 .39075 L
.31876 .3892 L
.31791 .388 L
.3174 .38727 L
.31606 .38535 L
.31598 .38523 L
.31477 .38342 L
.31405 .38239 L
.31345 .38149 L
.31216 .37957 L
.31212 .37952 L
.31097 .37764 L
.3102 .37647 L
.30976 .37571 L
F
1 .71 0 r
.31212 .22567 m
.31405 .22576 L
.31598 .22628 L
.31791 .22708 L
.31835 .22734 L
.31983 .2283 L
.32109 .22927 L
.32176 .23001 L
.32267 .23119 L
.3225 .23312 L
.32176 .23347 L
.31983 .23359 L
.31834 .23312 L
.31791 .23298 L
.31598 .23245 L
.31422 .23119 L
.31405 .23103 L
.31212 .22948 L
.3119 .22927 L
.31053 .22734 L
F
1 .76 0 r
.31212 .16689 m
.31324 .1676 L
.31405 .16818 L
.31584 .16953 L
.31598 .16964 L
.31791 .17112 L
.31835 .17146 L
.31983 .17265 L
.32072 .17339 L
.32176 .17425 L
.32295 .17531 L
.32369 .17631 L
.32468 .17724 L
.32561 .17813 L
.32669 .17917 L
.32754 .17999 L
.32865 .18109 L
.32947 .18192 L
.33054 .18302 L
.33139 .18392 L
.33236 .18495 L
.33332 .186 L
.3341 .18687 L
.33525 .18822 L
.33573 .1888 L
.33717 .19072 L
.33718 .19073 L
.33717 .19264 L
.33525 .19155 L
.33407 .19073 L
.33332 .19017 L
.33157 .1888 L
.33139 .18866 L
.32947 .18711 L
.32917 .18687 L
.32754 .18552 L
.32687 .18495 L
.32561 .18388 L
.32468 .18302 L
.32369 .18217 L
.32258 .18109 L
.32176 .18004 L
.32056 .17917 L
.31983 .17814 L
.3186 .17724 L
.31791 .17619 L
.31671 .17531 L
.31598 .17416 L
.31527 .17339 L
.31405 .17202 L
.31356 .17146 L
.31212 .16972 L
.31198 .16953 L
.31063 .1676 L
F
1 .98 0 r
.31212 .36041 m
.3139 .36222 L
.31405 .36237 L
.31564 .36415 L
.31598 .36451 L
.31731 .36608 L
.31791 .36663 L
.31894 .36801 L
.31983 .36908 L
.32083 .36993 L
.32176 .37151 L
.32206 .37186 L
.32361 .37379 L
.32369 .37386 L
.32512 .37571 L
.32561 .37635 L
.32683 .37764 L
.32754 .37891 L
.32803 .37957 L
.32947 .38141 L
.32959 .38149 L
.33105 .38342 L
.33139 .38388 L
.33264 .38535 L
.33332 .38651 L
.33383 .38727 L
.33525 .38909 L
.33542 .3892 L
.33685 .39113 L
.33717 .39157 L
.33837 .39306 L
.3391 .39423 L
.33956 .39498 L
.34103 .39682 L
.34116 .39691 L
.34258 .39884 L
.34296 .39934 L
.34407 .40076 L
.34488 .40202 L
.34525 .40269 L
.34681 .40458 L
.34686 .40462 L
.34861 .40654 L
.34874 .40717 L
.34973 .40847 L
.35066 .40985 L
.35092 .4104 L
.35254 .41232 L
.35259 .41238 L
.35426 .41425 L
.35452 .41502 L
.35538 .41618 L
.35644 .41769 L
.35659 .41811 L
.3582 .42003 L
.35837 .42023 L
.3599 .42196 L
.3603 .42289 L
.36102 .42389 L
.36222 .42555 L
.36228 .42581 L
.36384 .42774 L
.36415 .42808 L
.36552 .42967 L
.36608 .43076 L
.36666 .43159 L
.36801 .43342 L
.36809 .43352 L
.36949 .43545 L
.36993 .43595 L
.37114 .43737 L
.37186 .43865 L
.37229 .4393 L
.37373 .44123 L
.37379 .44125 L
.37513 .44316 L
.37571 .44383 L
.37674 .44508 L
.37764 .44655 L
.37793 .44701 L
.37937 .44894 L
.37957 .44904 L
.38076 .45086 L
.38149 .45173 L
.38235 .45279 L
.38342 .45445 L
.38357 .45472 L
.38499 .45664 L
.38535 .45687 L
.38702 .45857 L
.38727 .45964 L
.38794 .4605 L
.3892 .46237 L
.38923 .46242 L
.39062 .46435 L
.39113 .46473 L
.39256 .46628 L
.39306 .46757 L
.39353 .46821 L
.39486 .47013 L
.39498 .4703 L
.39623 .47206 L
.39691 .47264 L
.39808 .47399 L
.39884 .47552 L
.39912 .47591 L
.40046 .47784 L
.40076 .47824 L
.40184 .47977 L
.40269 .4806 L
.4036 .48169 L
.40462 .4835 L
.4047 .48362 L
.40605 .48555 L
.40654 .4862 L
.40744 .48747 L
.40847 .48863 L
.40909 .4894 L
.41026 .49133 L
.4104 .49151 L
.41162 .49326 L
.41232 .4942 L
.41301 .49518 L
.41425 .49674 L
.41453 .49711 L
.41579 .49904 L
.41618 .49955 L
.41714 .50096 L
.41811 .50226 L
.41853 .50289 L
.41993 .50482 L
.42003 .50495 L
.42124 .50674 L
.42196 .50772 L
.42258 .50867 L
.42389 .51047 L
.42397 .5106 L
.42524 .51253 L
.42581 .51333 L
.42651 .51445 L
.42774 .51624 L
.42782 .51638 L
.42895 .51831 L
.42967 .51949 L
.42997 .52023 L
.42967 .52109 L
.42866 .52023 L
.42774 .51939 L
.42669 .51831 L
.42581 .51792 L
.42491 .51638 L
.42389 .51522 L
.4232 .51445 L
.42196 .51291 L
.42158 .51253 L
.42003 .51064 L
.42001 .5106 L
.41838 .50867 L
.41811 .50832 L
.41643 .50674 L
.41618 .50585 L
.41539 .50482 L
.41425 .50332 L
.41413 .50289 L
.41232 .50107 L
.41224 .50096 L
.41064 .49904 L
.4104 .49852 L
.40941 .49711 L
.40847 .49587 L
.40773 .49518 L
.40654 .49358 L
.40628 .49326 L
.40481 .49133 L
.40462 .49099 L
.40357 .4894 L
.40269 .48826 L
.40188 .48747 L
.40076 .48594 L
.40046 .48555 L
.39903 .48362 L
.39884 .48331 L
.39782 .48169 L
.39691 .48053 L
.39612 .47977 L
.39498 .47819 L
.39471 .47784 L
.39331 .47591 L
.39306 .47553 L
.39214 .47399 L
.39113 .47273 L
.3904 .47206 L
.3892 .47039 L
.389 .47013 L
.38762 .46821 L
.38727 .4677 L
.38651 .46628 L
.38535 .4649 L
.38472 .46435 L
.38342 .46254 L
.38333 .46242 L
.38197 .4605 L
.38149 .45984 L
.3809 .45857 L
.37957 .45705 L
.37905 .45664 L
.37766 .45472 L
.37764 .45467 L
.37633 .45279 L
.37571 .45196 L
.3753 .45086 L
.37379 .44921 L
.3734 .44894 L
.37196 .44701 L
.37186 .44679 L
.37071 .44508 L
.36993 .44407 L
.36971 .44316 L
.36801 .44139 L
.36776 .44123 L
.3663 .4393 L
.36608 .4389 L
.36509 .43737 L
.36415 .43619 L
.36352 .43545 L
.36222 .43358 L
.36213 .43352 L
.36066 .43159 L
.3603 .431 L
.35948 .42967 L
.35837 .4283 L
.35789 .42774 L
.3565 .42581 L
.35644 .42575 L
.35503 .42389 L
.35452 .4231 L
.35387 .42196 L
.35259 .42041 L
.35226 .42003 L
.35087 .41811 L
.35066 .41786 L
.34941 .41618 L
.34874 .41519 L
.34826 .41425 L
.34681 .41252 L
.34664 .41232 L
.34494 .4104 L
.34488 .40996 L
.34381 .40847 L
.34296 .40726 L
.34264 .40654 L
.34104 .40462 L
.34103 .40461 L
.33931 .40269 L
.3391 .40204 L
.33822 .40076 L
.33717 .39931 L
.33701 .39884 L
.33545 .39691 L
.33525 .3968 L
.33372 .39498 L
.33332 .39408 L
.33264 .39306 L
.33139 .39132 L
.33135 .39113 L
.32989 .3892 L
.32947 .38891 L
.32818 .38727 L
.32754 .38604 L
.3271 .38535 L
.32573 .38342 L
.32561 .38326 L
.32438 .38149 L
.32369 .38087 L
.32274 .37957 L
.32176 .37787 L
.32162 .37764 L
.3203 .37571 L
.31983 .37506 L
.31896 .37379 L
.31791 .37249 L
.31748 .37186 L
.31631 .36993 L
.31598 .36945 L
.31504 .36801 L
.31405 .36654 L
.31375 .36608 L
.31256 .36415 L
.31212 .36348 L
.31143 .36222 L
F
0 .94 1 r
.31212 .38529 m
.31216 .38535 L
.31212 .38651 L
.31151 .38535 L
F
0 .95 1 r
.31212 .36927 m
.31282 .36993 L
.31405 .37107 L
.31474 .37186 L
.31598 .37319 L
.31647 .37379 L
.31791 .37538 L
.31812 .37571 L
.31971 .37764 L
.31983 .37778 L
.32125 .37957 L
.32176 .37968 L
.32279 .38149 L
.32369 .38249 L
.32497 .38342 L
.32561 .38506 L
.32588 .38535 L
.32731 .38727 L
.32754 .38733 L
.32878 .3892 L
.32947 .38997 L
.3308 .39113 L
.33139 .39259 L
.33179 .39306 L
.33319 .39498 L
.33332 .39502 L
.33463 .39691 L
.33525 .39761 L
.33651 .39884 L
.33717 .40027 L
.33757 .40076 L
.33897 .40269 L
.3391 .40274 L
.34039 .40462 L
.34103 .40535 L
.34218 .40654 L
.34296 .40803 L
.34329 .40847 L
.3447 .4104 L
.34488 .41048 L
.34611 .41232 L
.34681 .41314 L
.34782 .41425 L
.34874 .41584 L
.34898 .41618 L
.35038 .41811 L
.35066 .41826 L
.35179 .42003 L
.35259 .42099 L
.35344 .42196 L
.35452 .4237 L
.35464 .42389 L
.35604 .42581 L
.35644 .42607 L
.35745 .42774 L
.35837 .42887 L
.35905 .42967 L
.3603 .43159 L
.3603 .43159 L
.36168 .43352 L
.36222 .43393 L
.36309 .43545 L
.36415 .43678 L
.36463 .43737 L
.36592 .4393 L
.36608 .43951 L
.3673 .44123 L
.36801 .44184 L
.36929 .44316 L
.36993 .44474 L
.3702 .44508 L
.37152 .44701 L
.37186 .44746 L
.3729 .44894 L
.37379 .44983 L
.37473 .45086 L
.37571 .45276 L
.37574 .45279 L
.37708 .45472 L
.37764 .45546 L
.37847 .45664 L
.37957 .45792 L
.38012 .45857 L
.38126 .4605 L
.38149 .4608 L
.38261 .46242 L
.38342 .46351 L
.38399 .46435 L
.38535 .46616 L
.38545 .46628 L
.38672 .46821 L
.38727 .46895 L
.38806 .47013 L
.3892 .47169 L
.38944 .47206 L
.39077 .47399 L
.39113 .47448 L
.39204 .47591 L
.39306 .47734 L
.39337 .47784 L
.39464 .47977 L
.39498 .48027 L
.39578 .48169 L
.39691 .48352 L
.39695 .48362 L
.39691 .48464 L
.39576 .48362 L
.39498 .48291 L
.39386 .48169 L
.39306 .48082 L
.39213 .47977 L
.39113 .47889 L
.39047 .47784 L
.3892 .47632 L
.38867 .47591 L
.38729 .47399 L
.38727 .47396 L
.38573 .47206 L
.38535 .47172 L
.38417 .47013 L
.38342 .46917 L
.38248 .46821 L
.38149 .46666 L
.38124 .46628 L
.37965 .46435 L
.37957 .46427 L
.37814 .46242 L
.37764 .46175 L
.37659 .4605 L
.37571 .45917 L
.37537 .45857 L
.37379 .45669 L
.37372 .45664 L
.37225 .45472 L
.37186 .45418 L
.37078 .45279 L
.36993 .45155 L
.36958 .45086 L
.36801 .44901 L
.3679 .44894 L
.36611 .44701 L
.36608 .44649 L
.36504 .44508 L
.36415 .44384 L
.36386 .44316 L
.36222 .44128 L
.36214 .44123 L
.36046 .4393 L
.3603 .43873 L
.35934 .43737 L
.35837 .43606 L
.35817 .43545 L
.35644 .43352 L
.35644 .43352 L
.35481 .43159 L
.35452 .43091 L
.35368 .42967 L
.35259 .42823 L
.35249 .42774 L
.35076 .42581 L
.35066 .4257 L
.34917 .42389 L
.34874 .42305 L
.34804 .42196 L
.34681 .42037 L
.3468 .42003 L
.34512 .41811 L
.34488 .41783 L
.34356 .41618 L
.34296 .41514 L
.34242 .41425 L
.34103 .41247 L
.3409 .41232 L
.3395 .4104 L
.3391 .40992 L
.33797 .40847 L
.33717 .40719 L
.33681 .40654 L
.33532 .40462 L
.33525 .4046 L
.33393 .40269 L
.33332 .40196 L
.33243 .40076 L
.33139 .39918 L
.33122 .39884 L
.32978 .39691 L
.32947 .39678 L
.32771 .39498 L
.32754 .39389 L
.32694 .39306 L
.32565 .39113 L
.32561 .39107 L
.32431 .3892 L
.32369 .38876 L
.3224 .38727 L
.32176 .38564 L
.32156 .38535 L
.32028 .38342 L
.31983 .38279 L
.31896 .38149 L
.31791 .38023 L
.3174 .37957 L
.31637 .37764 L
.31598 .37707 L
.31512 .37571 L
.31405 .37408 L
.31387 .37379 L
.31278 .37186 L
.31212 .37074 L
.31178 .36993 L
F
1 .93 0 r
.31212 .37746 m
.31228 .37764 L
.31405 .37939 L
.31419 .37957 L
.31585 .38149 L
.31598 .38163 L
.31741 .38342 L
.31791 .38398 L
.31895 .38535 L
.31983 .38638 L
.3205 .38727 L
.32176 .38858 L
.32204 .3892 L
.32355 .39113 L
.32369 .3913 L
.325 .39306 L
.32561 .39382 L
.32647 .39498 L
.32754 .39604 L
.32796 .39691 L
.32944 .39884 L
.32947 .39887 L
.33085 .40076 L
.33139 .40145 L
.33229 .40269 L
.33332 .40373 L
.33375 .40462 L
.33521 .40654 L
.33525 .4066 L
.3366 .40847 L
.33717 .40921 L
.33802 .4104 L
.3391 .41157 L
.33946 .41232 L
.34089 .41425 L
.34103 .41443 L
.34227 .41618 L
.34296 .41707 L
.34368 .41811 L
.34488 .41952 L
.34542 .42003 L
.34651 .42196 L
.34681 .42234 L
.34788 .42389 L
.34874 .42501 L
.34929 .42581 L
.35066 .42761 L
.35078 .42774 L
.35206 .42967 L
.35259 .43037 L
.35342 .43159 L
.35452 .43306 L
.35483 .43352 L
.3562 .43545 L
.35644 .43577 L
.35751 .43737 L
.35837 .43854 L
.35886 .4393 L
.36025 .44123 L
.3603 .44129 L
.36148 .44316 L
.36222 .44418 L
.36276 .44508 L
.36222 .4467 L
.36087 .44508 L
.3603 .44444 L
.35925 .44316 L
.35837 .4421 L
.35766 .44123 L
.35644 .43986 L
.35611 .4393 L
.3546 .43737 L
.35452 .43727 L
.35309 .43545 L
.35259 .43482 L
.35158 .43352 L
.35066 .43251 L
.35008 .43159 L
.34874 .42983 L
.3486 .42967 L
.34715 .42774 L
.34681 .42729 L
.34568 .42581 L
.34488 .42491 L
.34363 .42389 L
.34296 .4222 L
.34277 .42196 L
.34135 .42003 L
.34103 .41961 L
.3399 .41811 L
.3391 .41717 L
.33805 .41618 L
.33717 .41443 L
.33704 .41425 L
.33563 .41232 L
.33525 .41181 L
.33421 .4104 L
.33332 .40932 L
.33251 .40847 L
.33139 .40654 L
.33139 .40654 L
.33 .40462 L
.32947 .40389 L
.3286 .40269 L
.32754 .40133 L
.32705 .40076 L
.32584 .39884 L
.32561 .39853 L
.32447 .39691 L
.32369 .39583 L
.32309 .39498 L
.32176 .39312 L
.3217 .39306 L
.3204 .39113 L
.31983 .39033 L
.31906 .3892 L
.31791 .38755 L
.31771 .38727 L
.31645 .38535 L
.31598 .38468 L
.31517 .38342 L
.31405 .38174 L
.31389 .38149 L
.31281 .37957 L
.31212 .37843 L
.31184 .37764 L
F
1 .7 0 r
.31405 .22663 m
.31598 .22704 L
.31675 .22734 L
.31791 .22791 L
.31983 .22926 L
.31984 .22927 L
.32123 .23119 L
.31983 .2325 L
.31791 .23217 L
.31598 .23144 L
.31558 .23119 L
.31405 .23012 L
.31293 .22927 L
.31224 .22734 L
F
0 .99 1 r
.31405 .35496 m
.31559 .35644 L
.31598 .35681 L
.31744 .35837 L
.31791 .35867 L
.31919 .3603 L
.31983 .36104 L
.32086 .36222 L
.32176 .36339 L
.3225 .36415 L
.32369 .3658 L
.32388 .36608 L
.32559 .36801 L
.32561 .36804 L
.32745 .36993 L
.32754 .37054 L
.32859 .37186 L
.32947 .37315 L
.32981 .37379 L
.33139 .37544 L
.3316 .37571 L
.33319 .37764 L
.33332 .37803 L
.33445 .37957 L
.33525 .38075 L
.33556 .38149 L
.33717 .38309 L
.33743 .38342 L
.33894 .38535 L
.3391 .38573 L
.34018 .38727 L
.34103 .38849 L
.34122 .3892 L
.34296 .39085 L
.34316 .39113 L
.34464 .39306 L
.34488 .39353 L
.34586 .39498 L
.34681 .39631 L
.34745 .39691 L
.34874 .39869 L
.34885 .39884 L
.35032 .40076 L
.35066 .40138 L
.35151 .40269 L
.35259 .40416 L
.35312 .40462 L
.35451 .40654 L
.35452 .40655 L
.35598 .40847 L
.35644 .40925 L
.35714 .4104 L
.35837 .412 L
.35877 .41232 L
.36017 .41425 L
.3603 .41443 L
.36162 .41618 L
.36222 .41714 L
.36276 .41811 L
.36415 .41984 L
.36442 .42003 L
.36603 .42196 L
.36608 .42232 L
.36725 .42389 L
.36801 .42502 L
.36839 .42581 L
.36993 .42765 L
.37006 .42774 L
.37171 .42967 L
.37186 .43021 L
.37288 .43159 L
.37379 .43291 L
.37403 .43352 L
.3757 .43545 L
.37571 .43546 L
.37736 .43737 L
.37764 .4381 L
.3785 .4393 L
.37957 .44079 L
.37968 .44123 L
.38133 .44316 L
.38149 .44333 L
.38299 .44508 L
.38342 .44599 L
.38413 .44701 L
.38535 .44866 L
.38537 .44894 L
.38697 .45086 L
.38727 .4512 L
.38861 .45279 L
.3892 .45388 L
.38976 .45472 L
.39113 .45654 L
.39121 .45664 L
.39261 .45857 L
.39306 .45908 L
.39422 .4605 L
.39498 .46178 L
.39539 .46242 L
.39685 .46435 L
.39691 .46438 L
.39824 .46628 L
.39884 .46696 L
.39983 .46821 L
.40076 .46968 L
.40103 .47013 L
.40248 .47206 L
.40269 .47216 L
.4045 .47399 L
.40462 .47486 L
.40544 .47591 L
.40654 .47759 L
.40668 .47784 L
.40811 .47977 L
.40847 .47999 L
.41006 .48169 L
.4104 .48276 L
.41104 .48362 L
.41232 .4855 L
.41235 .48555 L
.41373 .48747 L
.41425 .48785 L
.41562 .4894 L
.41618 .49069 L
.41664 .49133 L
.41798 .49326 L
.41811 .49342 L
.41936 .49518 L
.42003 .49574 L
.42117 .49711 L
.42196 .49862 L
.42225 .49904 L
.4236 .50096 L
.42389 .50134 L
.42499 .50289 L
.42581 .50368 L
.42672 .50482 L
.42774 .50658 L
.42785 .50674 L
.42922 .50867 L
.42967 .50927 L
.43061 .5106 L
.43159 .51166 L
.43226 .51253 L
.43346 .51445 L
.43352 .51453 L
.43482 .51638 L
.43545 .51721 L
.43622 .51831 L
.43737 .51967 L
.43779 .52023 L
.43905 .52216 L
.4393 .5225 L
.44041 .52409 L
.44123 .52517 L
.44181 .52601 L
.44316 .52775 L
.44329 .52794 L
.4446 .52987 L
.44508 .5305 L
.44597 .53179 L
.44701 .53319 L
.44776 .53372 L
.44877 .53565 L
.44894 .53587 L
.45009 .53758 L
.45086 .53861 L
.45145 .5395 L
.45279 .54134 L
.45292 .54143 L
.45414 .54336 L
.45472 .54415 L
.45543 .54528 L
.45664 .54702 L
.45676 .54721 L
.45795 .54914 L
.45857 .55009 L
.45906 .55106 L
.45857 .55256 L
.45697 .55106 L
.45664 .55076 L
.45509 .54914 L
.45472 .54875 L
.45331 .54721 L
.45279 .5466 L
.4516 .54528 L
.45086 .54428 L
.44996 .54336 L
.44894 .5419 L
.44864 .54143 L
.44701 .53976 L
.44679 .5395 L
.44524 .53758 L
.44508 .53733 L
.44378 .53565 L
.44316 .53475 L
.44259 .53372 L
.44123 .53251 L
.44065 .53179 L
.4393 .53001 L
.43919 .52987 L
.43779 .52794 L
.43737 .52735 L
.4367 .52601 L
.43545 .52499 L
.43474 .52409 L
.43352 .52242 L
.43332 .52216 L
.43197 .52023 L
.43159 .51971 L
.43096 .51831 L
.42967 .5173 L
.42895 .51638 L
.42774 .51469 L
.42755 .51445 L
.42625 .51253 L
.42581 .51194 L
.42466 .5106 L
.42389 .50951 L
.42324 .50867 L
.42196 .50688 L
.42185 .50674 L
.42059 .50482 L
.42003 .50408 L
.41897 .50289 L
.41811 .50168 L
.41756 .50096 L
.41618 .49904 L
.41618 .49903 L
.41497 .49711 L
.41425 .49618 L
.4133 .49518 L
.41232 .49381 L
.4119 .49326 L
.41053 .49133 L
.4104 .49113 L
.40937 .4894 L
.40847 .48827 L
.40765 .48747 L
.40654 .48593 L
.40626 .48555 L
.40489 .48362 L
.40462 .48322 L
.40379 .48169 L
.40269 .48037 L
.402 .47977 L
.40076 .47803 L
.40062 .47784 L
.39927 .47591 L
.39884 .47531 L
.39822 .47399 L
.39691 .47249 L
.39636 .47206 L
.39498 .47013 L
.39498 .47013 L
.39366 .46821 L
.39306 .4674 L
.39266 .46628 L
.39113 .46463 L
.39073 .46435 L
.3893 .46242 L
.3892 .46223 L
.38804 .4605 L
.38727 .4595 L
.38709 .45857 L
.38535 .45679 L
.38509 .45664 L
.38364 .45472 L
.38342 .45433 L
.38244 .45279 L
.38149 .45161 L
.38085 .45086 L
.37957 .44899 L
.37946 .44894 L
.378 .44701 L
.37764 .44643 L
.37683 .44508 L
.37571 .44372 L
.37522 .44316 L
.37383 .44123 L
.37379 .44118 L
.37237 .4393 L
.37186 .43853 L
.37122 .43737 L
.36993 .43584 L
.36959 .43545 L
.36819 .43352 L
.36801 .4333 L
.36674 .43159 L
.36608 .43063 L
.3656 .42967 L
.36415 .42796 L
.36395 .42774 L
.36231 .42581 L
.36222 .42542 L
.36112 .42389 L
.3603 .42273 L
.35997 .42196 L
.35837 .42008 L
.35832 .42003 L
.35665 .41811 L
.35644 .41753 L
.35551 .41618 L
.35452 .41483 L
.35433 .41425 L
.3527 .41232 L
.35259 .41226 L
.35102 .4104 L
.35066 .40963 L
.34989 .40847 L
.34874 .40691 L
.34867 .40654 L
.34707 .40462 L
.34681 .40443 L
.34541 .40269 L
.34488 .40171 L
.34428 .40076 L
.34296 .39899 L
.34285 .39884 L
.34146 .39691 L
.34103 .39657 L
.33982 .39498 L
.3391 .39377 L
.33867 .39306 L
.33724 .39113 L
.33717 .39104 L
.33586 .3892 L
.33525 .38865 L
.33425 .38727 L
.33332 .38579 L
.33307 .38535 L
.33166 .38342 L
.33139 .38306 L
.33028 .38149 L
.32947 .38065 L
.32872 .37957 L
.32754 .37773 L
.32749 .37764 L
.32613 .37571 L
.32561 .37501 L
.32411 .37379 L
.32369 .37249 L
.32327 .37186 L
.32202 .36993 L
.32176 .36958 L
.32069 .36801 L
.31983 .3668 L
.31891 .36608 L
.318 .36415 L
.31791 .36402 L
.31675 .36222 L
.31598 .3611 L
.31548 .3603 L
.31424 .35837 L
.31405 .35808 L
.31318 .35644 L
F
1 .97 0 r
.31405 .39566 m
.3148 .39691 L
.31598 .39845 L
.3162 .39884 L
.31598 .39975 L
.31526 .39884 L
.31405 .3974 L
.31367 .39691 L
F
0 .94 1 r
.31405 .38765 m
.31518 .3892 L
.31598 .39011 L
.31669 .39113 L
.31791 .39258 L
.31823 .39306 L
.31791 .3949 L
.31665 .39306 L
.31598 .39217 L
.31527 .39113 L
.31405 .38943 L
.31389 .3892 L
F
0 .99 1 r
.33139 .24852 m
.33332 .24851 L
.33525 .2485 L
.33717 .2485 L
.3391 .24851 L
.34103 .24852 L
.34251 .24854 L
.34296 .24854 L
.34488 .24857 L
.34681 .24862 L
.34874 .24868 L
.35066 .24877 L
.35259 .24889 L
.35452 .24906 L
.35644 .24931 L
.35837 .24965 L
.3603 .25009 L
.36155 .25046 L
.36222 .2507 L
.36415 .2515 L
.36594 .25239 L
.36608 .25247 L
.36801 .25359 L
.36912 .25432 L
.36993 .25487 L
.37181 .25624 L
.37186 .25628 L
.37379 .25779 L
.37424 .25817 L
.37571 .25941 L
.37649 .2601 L
.37764 .26114 L
.37859 .26202 L
.37957 .26296 L
.38057 .26395 L
.38149 .2649 L
.38242 .26588 L
.38342 .26698 L
.38414 .2678 L
.38535 .26926 L
.38572 .26973 L
.38711 .27166 L
.38727 .27185 L
.38826 .27359 L
.38904 .27551 L
.38913 .27744 L
.38752 .27937 L
.38727 .27952 L
.38535 .28023 L
.38342 .28059 L
.38149 .28081 L
.37957 .28096 L
.37764 .28106 L
.37571 .28114 L
.37379 .28118 L
.37186 .28121 L
.36993 .28122 L
.36801 .28122 L
.36608 .28119 L
.36415 .28115 L
.36222 .28109 L
.3603 .281 L
.35837 .28088 L
.35644 .28072 L
.35452 .28049 L
.35259 .2802 L
.35066 .27986 L
.34874 .27949 L
.34806 .27937 L
.34681 .27901 L
.34488 .27837 L
.34296 .27765 L
.34243 .27744 L
.34103 .27676 L
.3391 .27574 L
.33868 .27551 L
.33717 .2746 L
.33554 .27359 L
.33525 .27339 L
.33332 .27207 L
.33273 .27166 L
.33139 .27066 L
.33016 .26973 L
.32947 .26918 L
.32777 .2678 L
.32754 .26761 L
.32561 .26595 L
.32553 .26588 L
.32369 .26419 L
.32343 .26395 L
.32176 .26233 L
.32145 .26202 L
.31983 .26034 L
.31961 .2601 L
.31791 .25817 L
.31791 .25817 L
.31639 .25624 L
.31598 .2558 L
.31514 .25432 L
.31437 .25239 L
.31482 .25046 L
.31598 .24972 L
.31791 .24921 L
.31983 .24875 L
.32176 .2487 L
.32369 .24865 L
.32561 .2486 L
.32754 .24857 L
.32947 .24854 L
.32991 .24854 L
F
1 .69 0 r
.31598 .2283 m
.31791 .22924 L
.31794 .22927 L
.31791 .23082 L
.31598 .23008 L
.31501 .22927 L
F
0 .94 1 r
.31598 .37398 m
.31758 .37571 L
.31791 .37604 L
.31926 .37764 L
.31983 .37826 L
.32089 .37957 L
.32176 .37997 L
.32249 .38149 L
.32369 .38286 L
.32452 .38342 L
.3256 .38535 L
.32561 .38536 L
.32709 .38727 L
.32754 .38742 L
.32859 .3892 L
.32947 .3902 L
.33059 .39113 L
.33139 .39281 L
.33161 .39306 L
.33303 .39498 L
.33332 .39508 L
.33449 .39691 L
.33525 .39778 L
.33637 .39884 L
.33717 .40043 L
.33745 .40076 L
.33885 .40269 L
.3391 .40279 L
.34028 .40462 L
.34103 .40548 L
.34207 .40654 L
.34296 .40816 L
.34319 .40847 L
.3446 .4104 L
.34488 .41054 L
.34602 .41232 L
.34681 .41326 L
.34773 .41425 L
.34874 .41596 L
.3489 .41618 L
.35029 .41811 L
.35066 .41832 L
.35171 .42003 L
.35259 .42109 L
.35335 .42196 L
.35452 .42381 L
.35457 .42389 L
.35596 .42581 L
.35644 .42614 L
.35737 .42774 L
.35837 .42897 L
.35896 .42967 L
.36022 .43159 L
.3603 .4317 L
.3616 .43352 L
.36222 .43402 L
.36301 .43545 L
.36415 .4369 L
.36454 .43737 L
.36584 .4393 L
.36608 .43962 L
.36722 .44123 L
.36801 .44195 L
.36918 .44316 L
.36993 .44488 L
.3701 .44508 L
.37142 .44701 L
.37186 .44758 L
.37281 .44894 L
.37379 .44998 L
.37459 .45086 L
.37563 .45279 L
.37571 .4529 L
.37698 .45472 L
.37764 .4556 L
.37836 .45664 L
.37957 .45813 L
.37994 .45857 L
.38113 .4605 L
.38149 .46098 L
.38247 .46242 L
.38342 .46371 L
.38385 .46435 L
.38524 .46628 L
.38535 .46642 L
.38653 .46821 L
.38727 .46922 L
.38787 .47013 L
.3892 .47199 L
.38924 .47206 L
.39048 .47399 L
.39113 .47491 L
.39173 .47591 L
.39302 .47784 L
.39306 .47789 L
.39397 .47977 L
.39306 .47997 L
.39285 .47977 L
.39113 .47802 L
.39103 .47784 L
.38934 .47591 L
.3892 .47576 L
.38769 .47399 L
.38727 .4735 L
.38607 .47206 L
.38535 .47139 L
.38449 .47013 L
.38342 .4688 L
.38278 .46821 L
.38149 .46636 L
.38144 .46628 L
.37989 .46435 L
.37957 .46404 L
.37836 .46242 L
.37764 .46147 L
.37678 .4605 L
.37571 .45893 L
.3755 .45857 L
.37391 .45664 L
.37379 .45651 L
.37243 .45472 L
.37186 .45395 L
.37093 .45279 L
.36993 .45135 L
.36969 .45086 L
.36806 .44894 L
.36801 .44888 L
.36612 .44701 L
.36608 .4463 L
.36517 .44508 L
.36415 .44367 L
.36394 .44316 L
.36228 .44123 L
.36222 .44117 L
.36051 .4393 L
.3603 .43856 L
.35945 .43737 L
.35837 .43591 L
.35822 .43545 L
.35656 .43352 L
.35644 .43339 L
.35488 .43159 L
.35452 .43075 L
.35378 .42967 L
.35259 .42809 L
.35252 .42774 L
.35088 .42581 L
.35066 .42557 L
.34925 .42389 L
.34874 .4229 L
.34813 .42196 L
.34681 .42024 L
.34681 .42003 L
.34523 .41811 L
.34488 .4177 L
.34365 .41618 L
.34296 .41499 L
.34251 .41425 L
.34103 .41233 L
.34102 .41232 L
.33962 .4104 L
.3391 .40978 L
.33808 .40847 L
.33717 .40702 L
.3369 .40654 L
.33545 .40462 L
.33525 .40457 L
.33406 .40269 L
.33332 .40177 L
.33256 .40076 L
.33139 .39898 L
.33132 .39884 L
.32993 .39691 L
.32947 .39667 L
.32784 .39498 L
.32754 .39364 L
.32712 .39306 L
.32585 .39113 L
.32561 .3908 L
.32451 .3892 L
.32369 .38845 L
.32269 .38727 L
.32183 .38535 L
.32176 .38524 L
.32055 .38342 L
.31983 .38238 L
.31925 .38149 L
.31797 .37957 L
.31791 .37948 L
.31679 .37764 L
.31598 .37637 L
.31561 .37571 L
F
1 .92 0 r
.31598 .38246 m
.31679 .38342 L
.31791 .38456 L
.31852 .38535 L
.31983 .38684 L
.32016 .38727 L
.32176 .3892 L
.32176 .3892 L
.32323 .39113 L
.32369 .39166 L
.32473 .39306 L
.32561 .39414 L
.32623 .39498 L
.32754 .39645 L
.32775 .39691 L
.32921 .39884 L
.32947 .39916 L
.33064 .40076 L
.33139 .40171 L
.3321 .40269 L
.33332 .40406 L
.33357 .40462 L
.33501 .40654 L
.33525 .40684 L
.33641 .40847 L
.33717 .40945 L
.33785 .4104 L
.3391 .41188 L
.3393 .41232 L
.34071 .41425 L
.34103 .41466 L
.3421 .41618 L
.34296 .4173 L
.34352 .41811 L
.34488 .41985 L
.34507 .42003 L
.34632 .42196 L
.34681 .42259 L
.3477 .42389 L
.34874 .42526 L
.34912 .42581 L
.35052 .42774 L
.35066 .42792 L
.35185 .42967 L
.35259 .43065 L
.35322 .43159 L
.35452 .43335 L
.35463 .43352 L
.35593 .43545 L
.35644 .43614 L
.35723 .43737 L
.35837 .43895 L
.35859 .4393 L
.35985 .44123 L
.3603 .44187 L
.361 .44316 L
.3603 .44375 L
.35978 .44316 L
.35837 .44155 L
.3581 .44123 L
.35652 .4393 L
.35644 .43922 L
.35497 .43737 L
.35452 .43684 L
.35342 .43545 L
.35259 .43442 L
.35188 .43352 L
.35066 .43208 L
.35037 .43159 L
.3489 .42967 L
.34874 .42947 L
.34742 .42774 L
.34681 .42696 L
.34593 .42581 L
.34488 .42457 L
.344 .42389 L
.34302 .42196 L
.34296 .42187 L
.34158 .42003 L
.34103 .41931 L
.34013 .41811 L
.3391 .41685 L
.33836 .41618 L
.33727 .41425 L
.33717 .41412 L
.33586 .41232 L
.33525 .41151 L
.33443 .4104 L
.33332 .40898 L
.33282 .40847 L
.33163 .40654 L
.33139 .40623 L
.33023 .40462 L
.32947 .40357 L
.32883 .40269 L
.32754 .40093 L
.32739 .40076 L
.3261 .39884 L
.32561 .39817 L
.32473 .39691 L
.32369 .39545 L
.32336 .39498 L
.32203 .39306 L
.32176 .39268 L
.32072 .39113 L
.31983 .38986 L
.31939 .3892 L
.31812 .38727 L
.31791 .38697 L
.31693 .38535 L
.31598 .38389 L
.31572 .38342 L
F
1 .97 0 r
.31598 .36617 m
.31791 .36795 L
.31794 .36801 L
.31972 .36993 L
.31983 .37005 L
.3214 .37186 L
.32176 .37226 L
.32303 .37379 L
.32369 .37443 L
.32463 .37571 L
.32561 .37691 L
.32641 .37764 L
.32754 .37935 L
.32772 .37957 L
.32925 .38149 L
.32947 .38172 L
.33075 .38342 L
.33139 .38425 L
.33241 .38535 L
.33332 .38681 L
.33365 .38727 L
.33519 .3892 L
.33525 .38926 L
.33666 .39113 L
.33717 .39182 L
.33822 .39306 L
.3391 .39443 L
.33945 .39498 L
.34101 .39691 L
.34103 .39693 L
.34245 .39884 L
.34296 .39951 L
.34396 .40076 L
.34488 .40216 L
.34518 .40269 L
.34675 .40462 L
.34681 .40468 L
.34858 .40654 L
.34874 .40729 L
.34965 .40847 L
.35066 .40995 L
.35087 .4104 L
.35246 .41232 L
.35259 .41247 L
.35422 .41425 L
.35452 .41511 L
.35532 .41618 L
.35644 .41777 L
.35656 .41811 L
.35813 .42003 L
.35837 .4203 L
.35986 .42196 L
.3603 .42296 L
.36097 .42389 L
.36222 .42562 L
.36227 .42581 L
.36379 .42774 L
.36415 .42815 L
.36548 .42967 L
.36608 .43083 L
.36661 .43159 L
.36801 .43347 L
.36804 .43352 L
.36944 .43545 L
.36993 .43601 L
.3711 .43737 L
.37186 .43871 L
.37225 .4393 L
.37369 .44123 L
.37379 .44127 L
.37508 .44316 L
.37571 .44389 L
.3767 .44508 L
.37764 .44661 L
.37789 .44701 L
.37932 .44894 L
.37957 .44907 L
.38071 .45086 L
.38149 .45179 L
.3823 .45279 L
.38342 .45452 L
.38354 .45472 L
.38494 .45664 L
.38535 .45691 L
.38698 .45857 L
.38727 .45971 L
.38789 .4605 L
.38919 .46242 L
.3892 .46245 L
.39056 .46435 L
.39113 .46479 L
.3925 .46628 L
.39306 .46765 L
.39347 .46821 L
.39479 .47013 L
.39498 .47039 L
.39617 .47206 L
.39691 .47273 L
.398 .47399 L
.39884 .47563 L
.39904 .47591 L
.40038 .47784 L
.40076 .47835 L
.40176 .47977 L
.40269 .48073 L
.40348 .48169 L
.40459 .48362 L
.40462 .48365 L
.40594 .48555 L
.40654 .48635 L
.40733 .48747 L
.40847 .48884 L
.40892 .4894 L
.41012 .49133 L
.4104 .4917 L
.41147 .49326 L
.41232 .49441 L
.41285 .49518 L
.41425 .49708 L
.41427 .49711 L
.41557 .49904 L
.41618 .49986 L
.41691 .50096 L
.41811 .50261 L
.41829 .50289 L
.4196 .50482 L
.42003 .50542 L
.42086 .50674 L
.42196 .50831 L
.42218 .50867 L
.42339 .5106 L
.42389 .51136 L
.42448 .51253 L
.42389 .51369 L
.4227 .51253 L
.42196 .51178 L
.42087 .5106 L
.42003 .51005 L
.41914 .50867 L
.41811 .50746 L
.41694 .50674 L
.41618 .50512 L
.4159 .50482 L
.41429 .50289 L
.41425 .50286 L
.41271 .50096 L
.41232 .50046 L
.4109 .49904 L
.4104 .49796 L
.40977 .49711 L
.40847 .49546 L
.40811 .49518 L
.40663 .49326 L
.40654 .49314 L
.40504 .49133 L
.40462 .49057 L
.40384 .4894 L
.40269 .48793 L
.40214 .48747 L
.40076 .48562 L
.40071 .48555 L
.39922 .48362 L
.39884 .483 L
.39803 .48169 L
.39691 .48029 L
.3963 .47977 L
.39498 .47796 L
.39489 .47784 L
.39346 .47591 L
.39306 .47531 L
.39229 .47399 L
.39113 .47256 L
.39054 .47206 L
.3892 .47021 L
.38914 .47013 L
.38774 .46821 L
.38727 .46753 L
.38662 .46628 L
.38535 .46477 L
.38483 .46435 L
.38343 .46242 L
.38342 .4624 L
.38207 .4605 L
.38149 .4597 L
.38098 .45857 L
.37957 .45696 L
.37915 .45664 L
.3777 .45472 L
.37764 .45456 L
.37641 .45279 L
.37571 .45185 L
.37536 .45086 L
.37379 .44914 L
.37348 .44894 L
.37201 .44701 L
.37186 .44669 L
.37078 .44508 L
.36993 .44398 L
.36975 .44316 L
.36801 .44133 L
.36784 .44123 L
.36635 .4393 L
.36608 .4388 L
.36516 .43737 L
.36415 .4361 L
.36359 .43545 L
.36222 .43353 L
.3622 .43352 L
.36071 .43159 L
.3603 .43091 L
.35954 .42967 L
.35837 .42821 L
.35796 .42774 L
.35657 .42581 L
.35644 .42567 L
.35509 .42389 L
.35452 .423 L
.35393 .42196 L
.35259 .42032 L
.35234 .42003 L
.35094 .41811 L
.35066 .41777 L
.34948 .41618 L
.34874 .41508 L
.34832 .41425 L
.34681 .41242 L
.34673 .41232 L
.34496 .4104 L
.34488 .40986 L
.34389 .40847 L
.34296 .40713 L
.3427 .40654 L
.34114 .40462 L
.34103 .40456 L
.33936 .40269 L
.3391 .4019 L
.33832 .40076 L
.33717 .39914 L
.33707 .39884 L
.33558 .39691 L
.33525 .3967 L
.33382 .39498 L
.33332 .39387 L
.33278 .39306 L
.33143 .39113 L
.33139 .39108 L
.33007 .3892 L
.32947 .3887 L
.32837 .38727 L
.32754 .38571 L
.32731 .38535 L
.32599 .38342 L
.32561 .3829 L
.32465 .38149 L
.32369 .3804 L
.3231 .37957 L
.32198 .37764 L
.32176 .37732 L
.32071 .37571 L
.31983 .37444 L
.31941 .37379 L
.31817 .37186 L
.31791 .37147 L
.31701 .36993 L
.31598 .36824 L
.31586 .36801 L
F
0 .93 1 r
.31791 .37685 m
.31864 .37764 L
.31983 .37882 L
.32046 .37957 L
.32176 .38056 L
.32215 .38149 L
.32369 .38328 L
.3239 .38342 L
.32532 .38535 L
.32561 .38569 L
.32685 .38727 L
.32754 .38759 L
.32838 .3892 L
.32947 .39046 L
.33031 .39113 L
.33139 .39303 L
.33141 .39306 L
.33287 .39498 L
.33332 .39517 L
.33434 .39691 L
.33525 .39796 L
.33621 .39884 L
.33717 .4006 L
.33731 .40076 L
.33873 .40269 L
.3391 .40286 L
.34017 .40462 L
.34103 .40563 L
.34195 .40654 L
.34296 .4083 L
.34309 .40847 L
.3445 .4104 L
.34488 .41061 L
.34592 .41232 L
.34681 .41338 L
.34762 .41425 L
.34874 .41608 L
.34881 .41618 L
.35021 .41811 L
.35066 .41839 L
.35163 .42003 L
.35259 .42121 L
.35326 .42196 L
.35449 .42389 L
.35452 .42392 L
.35588 .42581 L
.35644 .42622 L
.35729 .42774 L
.35837 .42909 L
.35887 .42967 L
.36014 .43159 L
.3603 .4318 L
.36152 .43352 L
.36222 .43411 L
.36293 .43545 L
.36415 .43702 L
.36444 .43737 L
.36575 .4393 L
.36608 .43973 L
.36713 .44123 L
.36801 .44208 L
.36906 .44316 L
.36993 .44501 L
.36999 .44508 L
.37133 .44701 L
.37186 .44771 L
.37271 .44894 L
.37379 .45015 L
.37443 .45086 L
.37552 .45279 L
.37571 .45305 L
.37686 .45472 L
.37764 .45576 L
.37825 .45664 L
.37957 .45837 L
.37974 .45857 L
.38099 .4605 L
.38149 .46118 L
.38233 .46242 L
.38342 .46392 L
.38371 .46435 L
.38505 .46628 L
.38535 .46669 L
.38633 .46821 L
.38727 .46953 L
.38765 .47013 L
.38895 .47206 L
.3892 .47241 L
.39011 .47399 L
.39113 .47554 L
.39131 .47591 L
.39113 .47709 L
.38996 .47591 L
.3892 .47517 L
.38815 .47399 L
.38727 .47301 L
.38646 .47206 L
.38535 .47096 L
.38483 .47013 L
.38342 .46842 L
.38317 .46821 L
.38169 .46628 L
.38149 .46604 L
.38014 .46435 L
.37957 .4638 L
.37859 .46242 L
.37764 .46119 L
.37699 .4605 L
.37571 .4587 L
.37563 .45857 L
.3741 .45664 L
.37379 .45632 L
.3726 .45472 L
.37186 .45373 L
.37108 .45279 L
.36993 .45116 L
.36978 .45086 L
.36821 .44894 L
.36801 .44872 L
.36614 .44701 L
.36608 .44611 L
.36529 .44508 L
.36415 .4435 L
.36401 .44316 L
.36241 .44123 L
.36222 .44102 L
.36057 .4393 L
.3603 .43839 L
.35956 .43737 L
.35837 .43576 L
.35827 .43545 L
.35667 .43352 L
.35644 .43326 L
.35495 .43159 L
.35452 .4306 L
.35388 .42967 L
.35259 .42796 L
.35255 .42774 L
.35099 .42581 L
.35066 .42544 L
.34933 .42389 L
.34874 .42275 L
.34822 .42196 L
.34681 .4201 L
.34681 .42003 L
.34534 .41811 L
.34488 .41756 L
.34374 .41618 L
.34296 .41484 L
.3426 .41425 L
.34114 .41232 L
.34103 .41231 L
.33974 .4104 L
.3391 .40962 L
.3382 .40847 L
.33717 .40685 L
.337 .40654 L
.33558 .40462 L
.33525 .40451 L
.3342 .40269 L
.33332 .40158 L
.33271 .40076 L
.33145 .39884 L
.33139 .39876 L
.3301 .39691 L
.32947 .3965 L
.32802 .39498 L
.32754 .39335 L
.32733 .39306 L
.32605 .39113 L
.32561 .39051 L
.32472 .3892 L
.32369 .38801 L
.32307 .38727 L
.32211 .38535 L
.32176 .38484 L
.32085 .38342 L
.31983 .38189 L
.31958 .38149 L
.31844 .37957 L
.31791 .37871 L
.31738 .37764 L
F
1 .96 0 r
.31983 .37123 m
.32046 .37186 L
.32176 .37312 L
.32235 .37379 L
.32369 .37513 L
.32409 .37571 L
.32561 .37748 L
.32581 .37764 L
.32733 .37957 L
.32754 .37981 L
.32889 .38149 L
.32947 .38207 L
.33045 .38342 L
.33139 .3846 L
.33214 .38535 L
.33332 .38709 L
.33346 .38727 L
.33498 .3892 L
.33525 .38949 L
.33646 .39113 L
.33717 .39205 L
.33806 .39306 L
.3391 .39463 L
.33933 .39498 L
.34086 .39691 L
.34103 .39709 L
.34231 .39884 L
.34296 .39968 L
.34385 .40076 L
.34488 .4023 L
.3451 .40269 L
.34665 .40462 L
.34681 .40479 L
.34854 .40654 L
.34874 .40741 L
.34957 .40847 L
.35066 .41005 L
.35083 .4104 L
.35237 .41232 L
.35259 .41256 L
.35418 .41425 L
.35452 .41521 L
.35526 .41618 L
.35644 .41785 L
.35654 .41811 L
.35807 .42003 L
.35837 .42037 L
.35982 .42196 L
.3603 .42304 L
.36092 .42389 L
.36222 .42568 L
.36225 .42581 L
.36374 .42774 L
.36415 .42821 L
.36544 .42967 L
.36608 .4309 L
.36657 .43159 L
.368 .43352 L
.36801 .43352 L
.36939 .43545 L
.36993 .43607 L
.37105 .43737 L
.37186 .43878 L
.37221 .4393 L
.37364 .44123 L
.37379 .4413 L
.37503 .44316 L
.37571 .44395 L
.37666 .44508 L
.37764 .44667 L
.37785 .44701 L
.37927 .44894 L
.37957 .4491 L
.38067 .45086 L
.38149 .45185 L
.38225 .45279 L
.38342 .45459 L
.3835 .45472 L
.38489 .45664 L
.38535 .45695 L
.38694 .45857 L
.38727 .45978 L
.38783 .4605 L
.38913 .46242 L
.3892 .46252 L
.3905 .46435 L
.39113 .46486 L
.39244 .46628 L
.39306 .46774 L
.3934 .46821 L
.39472 .47013 L
.39498 .47047 L
.3961 .47206 L
.39691 .47282 L
.39792 .47399 L
.39884 .47575 L
.39896 .47591 L
.4003 .47784 L
.40076 .47846 L
.40168 .47977 L
.40269 .48088 L
.40336 .48169 L
.40449 .48362 L
.40462 .48379 L
.40583 .48555 L
.40654 .4865 L
.40721 .48747 L
.40847 .48907 L
.40873 .4894 L
.40997 .49133 L
.4104 .4919 L
.41131 .49326 L
.41232 .49464 L
.41269 .49518 L
.41405 .49711 L
.41425 .49739 L
.41533 .49904 L
.41618 .50021 L
.41666 .50096 L
.41799 .50289 L
.41811 .50305 L
.41918 .50482 L
.42003 .5061 L
.42038 .50674 L
.42003 .50857 L
.41826 .50674 L
.41811 .50659 L
.41651 .50482 L
.41618 .50446 L
.41482 .50289 L
.41425 .50246 L
.41317 .50096 L
.41232 .49992 L
.41123 .49904 L
.4104 .49751 L
.41008 .49711 L
.40848 .49518 L
.40847 .49518 L
.40692 .49326 L
.40654 .49275 L
.40525 .49133 L
.40462 .49021 L
.40407 .4894 L
.40269 .48769 L
.40239 .48747 L
.40092 .48555 L
.40076 .48533 L
.39939 .48362 L
.39884 .48273 L
.3982 .48169 L
.39691 .4801 L
.39649 .47977 L
.39505 .47784 L
.39498 .47774 L
.39359 .47591 L
.39306 .4751 L
.39242 .47399 L
.39113 .47241 L
.39068 .47206 L
.38927 .47013 L
.3892 .47004 L
.38785 .46821 L
.38727 .46737 L
.38672 .46628 L
.38535 .46466 L
.38494 .46435 L
.38345 .46242 L
.38342 .46226 L
.38216 .4605 L
.38149 .45958 L
.38105 .45857 L
.37957 .45688 L
.37924 .45664 L
.37774 .45472 L
.37764 .45444 L
.37649 .45279 L
.37571 .45174 L
.37542 .45086 L
.37379 .44908 L
.37356 .44894 L
.37206 .44701 L
.37186 .44659 L
.37085 .44508 L
.36993 .44389 L
.36979 .44316 L
.36801 .44129 L
.36791 .44123 L
.3664 .4393 L
.36608 .43871 L
.36522 .43737 L
.36415 .43601 L
.36366 .43545 L
.36227 .43352 L
.36222 .43347 L
.36076 .43159 L
.3603 .43082 L
.3596 .42967 L
.35837 .42813 L
.35803 .42774 L
.35664 .42581 L
.35644 .42559 L
.35515 .42389 L
.35452 .42291 L
.35399 .42196 L
.35259 .42023 L
.35241 .42003 L
.35102 .41811 L
.35066 .41768 L
.34955 .41618 L
.34874 .41497 L
.34838 .41425 L
.34682 .41232 L
.34681 .41232 L
.34498 .4104 L
.34488 .40974 L
.34397 .40847 L
.34296 .407 L
.34276 .40654 L
.34125 .40462 L
.34103 .4045 L
.33942 .40269 L
.3391 .40175 L
.33843 .40076 L
.33717 .39897 L
.33713 .39884 L
.33572 .39691 L
.33525 .39658 L
.33394 .39498 L
.33332 .39365 L
.33293 .39306 L
.3316 .39113 L
.33139 .39084 L
.33026 .3892 L
.32947 .38843 L
.3286 .38727 L
.32755 .38535 L
.32754 .38534 L
.32625 .38342 L
.32561 .38251 L
.32494 .38149 L
.32369 .37972 L
.32358 .37957 L
.3224 .37764 L
.32176 .37668 L
.32117 .37571 L
.31999 .37379 L
.31983 .37353 L
.31906 .37186 L
F
0 .94 1 r
.31983 .39509 m
.32112 .39691 L
.32176 .39769 L
.32254 .39884 L
.32369 .40028 L
.32401 .40076 L
.32546 .40269 L
.32561 .40288 L
.32678 .40462 L
.32754 .40558 L
.32816 .40654 L
.32947 .40824 L
.32961 .40847 L
.32947 .41034 L
.32807 .40847 L
.32754 .40784 L
.32658 .40654 L
.32561 .40533 L
.32508 .40462 L
.32369 .40278 L
.32362 .40269 L
.32223 .40076 L
.32176 .40017 L
.32081 .39884 L
.31983 .39755 L
.31937 .39691 L
F
0 .98 1 r
.32176 .25029 m
.32369 .2497 L
.32561 .24942 L
.32754 .24925 L
.32947 .24914 L
.33139 .24908 L
.33332 .24903 L
.33525 .24901 L
.33717 .24901 L
.3391 .24903 L
.34103 .24907 L
.34296 .24913 L
.34488 .24922 L
.34681 .24934 L
.34874 .24951 L
.35066 .24973 L
.35259 .25001 L
.35452 .25037 L
.35497 .25046 L
.35644 .25084 L
.35837 .25143 L
.3603 .25214 L
.3609 .25239 L
.36222 .253 L
.36415 .25401 L
.36469 .25432 L
.36608 .25517 L
.3677 .25624 L
.36801 .25646 L
.36993 .2579 L
.37027 .25817 L
.37186 .25948 L
.37256 .2601 L
.37379 .26121 L
.37464 .26202 L
.37571 .2631 L
.37652 .26395 L
.37764 .26519 L
.37823 .26588 L
.37957 .26756 L
.37974 .2678 L
.38104 .26973 L
.38149 .27043 L
.38206 .27166 L
.3827 .27359 L
.38275 .27551 L
.38162 .27744 L
.38149 .27756 L
.37957 .27868 L
.37764 .27919 L
.37667 .27937 L
.37571 .27952 L
.37379 .27974 L
.37186 .27987 L
.36993 .27993 L
.36801 .27995 L
.36608 .27991 L
.36415 .27983 L
.36222 .2797 L
.3603 .27952 L
.3589 .27937 L
.35837 .27929 L
.35644 .27899 L
.35452 .2786 L
.35259 .27814 L
.35066 .27762 L
.35005 .27744 L
.34874 .27699 L
.34681 .27626 L
.34494 .27551 L
.34488 .27549 L
.34296 .27457 L
.34103 .27359 L
.34101 .27359 L
.3391 .27248 L
.33772 .27166 L
.33717 .27131 L
.33525 .27003 L
.33481 .26973 L
.33332 .26866 L
.33217 .2678 L
.33139 .2672 L
.32974 .26588 L
.32947 .26565 L
.32754 .26399 L
.32749 .26395 L
.32561 .2622 L
.32543 .26202 L
.32369 .26024 L
.32355 .2601 L
.3219 .25817 L
.32176 .25801 L
.32052 .25624 L
.31983 .25498 L
.31957 .25432 L
.31942 .25239 L
.31983 .25156 L
.3214 .25046 L
F
1 .91 0 r
.31983 .38748 m
.32125 .3892 L
.32176 .38973 L
.32284 .39113 L
.32369 .39209 L
.32441 .39306 L
.32561 .3945 L
.32597 .39498 L
.32751 .39691 L
.32754 .39695 L
.32894 .39884 L
.32947 .39947 L
.3304 .40076 L
.33139 .402 L
.33189 .40269 L
.33332 .40447 L
.33339 .40462 L
.33479 .40654 L
.33525 .40711 L
.33621 .40847 L
.33717 .4097 L
.33767 .4104 L
.3391 .41225 L
.33914 .41232 L
.34051 .41425 L
.34103 .41492 L
.34191 .41618 L
.34296 .41754 L
.34334 .41811 L
.34477 .42003 L
.34488 .42017 L
.34612 .42196 L
.34681 .42286 L
.3475 .42389 L
.34874 .42553 L
.34893 .42581 L
.35028 .42774 L
.35066 .42824 L
.3516 .42967 L
.35259 .43099 L
.35298 .43159 L
.35435 .43352 L
.35452 .43374 L
.35558 .43545 L
.35644 .43663 L
.35687 .43737 L
.35644 .43861 L
.35543 .43737 L
.35452 .43633 L
.3538 .43545 L
.35259 .43397 L
.35223 .43352 L
.3507 .43159 L
.35066 .43155 L
.34921 .42967 L
.34874 .42909 L
.3477 .42774 L
.34681 .4266 L
.3462 .42581 L
.34488 .42415 L
.34452 .42389 L
.34328 .42196 L
.34296 .42154 L
.34183 .42003 L
.34103 .41899 L
.34037 .41811 L
.3391 .41648 L
.33876 .41618 L
.33752 .41425 L
.33717 .4138 L
.33609 .41232 L
.33525 .41119 L
.33466 .4104 L
.33332 .40859 L
.33321 .40847 L
.33188 .40654 L
.33139 .40589 L
.33048 .40462 L
.32947 .40322 L
.32908 .40269 L
.32772 .40076 L
.32754 .40052 L
.32638 .39884 L
.32561 .39777 L
.32502 .39691 L
.32369 .39502 L
.32366 .39498 L
.32241 .39306 L
.32176 .39214 L
.32111 .39113 L
.31983 .38923 L
.31982 .3892 L
F
0 .92 1 r
.32176 .38153 m
.32339 .38342 L
.32369 .38373 L
.32501 .38535 L
.32561 .38603 L
.32659 .38727 L
.32754 .38788 L
.32816 .3892 L
.32947 .39074 L
.32997 .39113 L
.33122 .39306 L
.33139 .39327 L
.3327 .39498 L
.33332 .3953 L
.33419 .39691 L
.33525 .39816 L
.33601 .39884 L
.33716 .40076 L
.33717 .40077 L
.3386 .40269 L
.3391 .40295 L
.34005 .40462 L
.34103 .40578 L
.34181 .40654 L
.34296 .40844 L
.34298 .40847 L
.34439 .4104 L
.34488 .41069 L
.34583 .41232 L
.34681 .41351 L
.34751 .41425 L
.34872 .41618 L
.34874 .4162 L
.35012 .41811 L
.35066 .41847 L
.35154 .42003 L
.35259 .42133 L
.35316 .42196 L
.35441 .42389 L
.35452 .42403 L
.3558 .42581 L
.35644 .42631 L
.35722 .42774 L
.35837 .4292 L
.35877 .42967 L
.36005 .43159 L
.3603 .43191 L
.36144 .43352 L
.36222 .43422 L
.36286 .43545 L
.36415 .43715 L
.36434 .43737 L
.36566 .4393 L
.36608 .43985 L
.36705 .44123 L
.36801 .44222 L
.36892 .44316 L
.36988 .44508 L
.36993 .44515 L
.37123 .44701 L
.37186 .44784 L
.37262 .44894 L
.37379 .45033 L
.37427 .45086 L
.3754 .45279 L
.37571 .4532 L
.37675 .45472 L
.37764 .45592 L
.37813 .45664 L
.37953 .45857 L
.37957 .45861 L
.38083 .4605 L
.38149 .46139 L
.38217 .46242 L
.38342 .46415 L
.38355 .46435 L
.38483 .46628 L
.38535 .467 L
.38609 .46821 L
.38727 .46991 L
.38741 .47013 L
.38853 .47206 L
.3892 .47314 L
.38951 .47399 L
.3892 .47432 L
.38884 .47399 L
.38727 .47244 L
.38692 .47206 L
.38535 .47036 L
.38521 .47013 L
.38359 .46821 L
.38342 .46802 L
.38198 .46628 L
.38149 .4657 L
.3804 .46435 L
.37957 .46352 L
.37883 .46242 L
.37764 .46091 L
.37722 .4605 L
.3758 .45857 L
.37571 .45846 L
.37429 .45664 L
.37379 .45613 L
.37278 .45472 L
.37186 .45351 L
.37124 .45279 L
.36993 .45097 L
.36987 .45086 L
.36836 .44894 L
.36801 .44856 L
.36619 .44701 L
.36608 .44593 L
.36542 .44508 L
.36415 .44334 L
.36407 .44316 L
.36254 .44123 L
.36222 .44088 L
.36063 .4393 L
.3603 .43823 L
.35967 .43737 L
.35837 .43562 L
.35832 .43545 L
.35679 .43352 L
.35644 .43313 L
.35503 .43159 L
.35452 .43045 L
.35397 .42967 L
.35259 .42783 L
.35257 .42774 L
.3511 .42581 L
.35066 .42531 L
.34942 .42389 L
.34874 .4226 L
.34832 .42196 L
.34686 .42003 L
.34681 .41996 L
.34546 .41811 L
.34488 .41743 L
.34385 .41618 L
.34296 .41468 L
.34269 .41425 L
.34126 .41232 L
.34103 .41229 L
.33987 .4104 L
.3391 .40946 L
.33832 .40847 L
.33717 .40667 L
.3371 .40654 L
.33572 .40462 L
.33525 .40442 L
.33434 .40269 L
.33332 .40136 L
.33287 .40076 L
.33161 .39884 L
.33139 .39854 L
.33026 .39691 L
.32947 .39625 L
.32826 .39498 L
.32756 .39306 L
.32754 .39303 L
.32626 .39113 L
.32561 .3902 L
.32495 .3892 L
.32369 .38741 L
.32357 .38727 L
.32242 .38535 L
.32176 .38435 L
.3212 .38342 L
F
0 .91 1 r
.32176 .38237 m
.32281 .38342 L
.32369 .38424 L
.32462 .38535 L
.32561 .38642 L
.3263 .38727 L
.32754 .38831 L
.32792 .3892 L
.32947 .39107 L
.32955 .39113 L
.33101 .39306 L
.33139 .39351 L
.33252 .39498 L
.33332 .39549 L
.33403 .39691 L
.33525 .39837 L
.33579 .39884 L
.33702 .40076 L
.33717 .40095 L
.33847 .40269 L
.3391 .40307 L
.33994 .40462 L
.34103 .40594 L
.34166 .40654 L
.34287 .40847 L
.34296 .40858 L
.34429 .4104 L
.34488 .41078 L
.34573 .41232 L
.34681 .41365 L
.34739 .41425 L
.34862 .41618 L
.34874 .41632 L
.35003 .41811 L
.35066 .41856 L
.35146 .42003 L
.35259 .42145 L
.35305 .42196 L
.35432 .42389 L
.35452 .42414 L
.35571 .42581 L
.35644 .42641 L
.35714 .42774 L
.35837 .42933 L
.35866 .42967 L
.35997 .43159 L
.3603 .43202 L
.36136 .43352 L
.36222 .43434 L
.36278 .43545 L
.36415 .43728 L
.36423 .43737 L
.36557 .4393 L
.36608 .43997 L
.36696 .44123 L
.36801 .44237 L
.36877 .44316 L
.36978 .44508 L
.36993 .44528 L
.37113 .44701 L
.37186 .44798 L
.37252 .44894 L
.37379 .45054 L
.37408 .45086 L
.37528 .45279 L
.37571 .45337 L
.37662 .45472 L
.37764 .45609 L
.37801 .45664 L
.37938 .45857 L
.37957 .45882 L
.38067 .4605 L
.38149 .46163 L
.382 .46242 L
.38337 .46435 L
.38342 .46443 L
.38457 .46628 L
.38535 .4674 L
.3858 .46821 L
.38535 .46975 L
.38398 .46821 L
.38342 .4676 L
.3823 .46628 L
.38149 .46534 L
.38067 .46435 L
.37957 .46318 L
.37909 .46242 L
.37764 .46062 L
.37751 .4605 L
.37601 .45857 L
.37571 .4582 L
.37448 .45664 L
.37379 .45592 L
.37296 .45472 L
.37186 .45328 L
.37142 .45279 L
.37 .45086 L
.36993 .45078 L
.36851 .44894 L
.36801 .44839 L
.36627 .44701 L
.36608 .44574 L
.36555 .44508 L
.36415 .44319 L
.36414 .44316 L
.36267 .44123 L
.36222 .44074 L
.36071 .4393 L
.3603 .43807 L
.35978 .43737 L
.35837 .43548 L
.35836 .43545 L
.35691 .43352 L
.35644 .43299 L
.35511 .43159 L
.35452 .4303 L
.35407 .42967 L
.35263 .42774 L
.35259 .42768 L
.35121 .42581 L
.35066 .42518 L
.34952 .42389 L
.34874 .42245 L
.34841 .42196 L
.34698 .42003 L
.34681 .4198 L
.34557 .41811 L
.34488 .41728 L
.34396 .41618 L
.34296 .41452 L
.34279 .41425 L
.34138 .41232 L
.34103 .41225 L
.33999 .4104 L
.3391 .40928 L
.33845 .40847 L
.33722 .40654 L
.33717 .40648 L
.33586 .40462 L
.33525 .40428 L
.33448 .40269 L
.33332 .40112 L
.33305 .40076 L
.33177 .39884 L
.33139 .39831 L
.33043 .39691 L
.32947 .39592 L
.32859 .39498 L
.32777 .39306 L
.32754 .39272 L
.32649 .39113 L
.32561 .38985 L
.32519 .3892 L
.32395 .38727 L
.32369 .38688 L
.3228 .38535 L
.32176 .38364 L
.32165 .38342 L
F
1 .9 0 r
.32176 .39072 m
.32209 .39113 L
.32369 .39266 L
.32398 .39306 L
.32561 .39494 L
.32565 .39498 L
.32713 .39691 L
.32754 .39737 L
.32862 .39884 L
.32947 .39984 L
.33013 .40076 L
.33139 .40232 L
.33166 .40269 L
.33314 .40462 L
.33332 .40484 L
.33454 .40654 L
.33525 .40742 L
.33599 .40847 L
.33717 .40998 L
.33747 .4104 L
.33891 .41232 L
.3391 .41257 L
.34028 .41425 L
.34103 .41521 L
.3417 .41618 L
.34296 .41782 L
.34315 .41811 L
.34453 .42003 L
.34488 .42049 L
.34588 .42196 L
.34681 .42318 L
.34728 .42389 L
.34871 .42581 L
.34874 .42585 L
.34998 .42774 L
.35066 .42864 L
.3513 .42967 L
.35259 .43142 L
.3527 .43159 L
.35259 .43342 L
.35114 .43159 L
.35066 .43106 L
.34957 .42967 L
.34874 .42866 L
.34802 .42774 L
.34681 .42621 L
.3465 .42581 L
.34503 .42389 L
.34488 .42371 L
.34357 .42196 L
.34296 .42118 L
.3421 .42003 L
.34103 .41864 L
.34063 .41811 L
.3392 .41618 L
.3391 .41606 L
.33778 .41425 L
.33717 .41345 L
.33635 .41232 L
.33525 .41084 L
.33492 .4104 L
.33353 .40847 L
.33332 .40819 L
.33216 .40654 L
.33139 .40552 L
.33076 .40462 L
.32947 .40283 L
.32937 .40269 L
.32805 .40076 L
.32754 .40007 L
.32671 .39884 L
.32561 .39729 L
.32536 .39691 L
.32412 .39498 L
.32369 .39438 L
.32293 .39306 L
.32176 .39124 L
.32171 .39113 L
F
0 .98 1 r
.32369 .36792 m
.32374 .36801 L
.32561 .36988 L
.32573 .36993 L
.32741 .37186 L
.32754 .372 L
.32909 .37379 L
.32947 .3741 L
.33072 .37571 L
.33139 .37652 L
.33277 .37764 L
.33332 .37896 L
.33386 .37957 L
.33525 .38137 L
.3353 .38149 L
.33692 .38342 L
.33717 .38375 L
.33867 .38535 L
.3391 .38631 L
.33983 .38727 L
.34103 .3889 L
.34109 .3892 L
.34285 .39113 L
.34296 .39127 L
.34446 .39306 L
.34488 .39389 L
.34565 .39498 L
.34681 .39656 L
.34723 .39691 L
.34866 .39884 L
.34874 .39895 L
.35019 .40076 L
.35066 .40161 L
.35137 .40269 L
.35259 .4043 L
.35298 .40462 L
.35439 .40654 L
.35452 .40672 L
.35588 .40847 L
.35644 .4094 L
.35705 .4104 L
.35837 .41209 L
.35868 .41232 L
.36008 .41425 L
.3603 .41455 L
.36155 .41618 L
.36222 .41724 L
.36271 .41811 L
.36415 .41989 L
.36435 .42003 L
.36602 .42196 L
.36608 .4224 L
.3672 .42389 L
.36801 .4251 L
.36836 .42581 L
.36993 .42769 L
.37001 .42774 L
.37169 .42967 L
.37186 .43027 L
.37284 .43159 L
.37379 .43296 L
.37401 .43352 L
.37565 .43545 L
.37571 .43551 L
.37733 .43737 L
.37764 .43815 L
.37847 .4393 L
.37957 .44083 L
.37967 .44123 L
.3813 .44316 L
.38149 .44337 L
.38296 .44508 L
.38342 .44604 L
.3841 .44701 L
.38535 .4487 L
.38537 .44894 L
.38694 .45086 L
.38727 .45124 L
.38858 .45279 L
.3892 .45393 L
.38973 .45472 L
.39113 .45658 L
.39118 .45664 L
.39257 .45857 L
.39306 .45911 L
.39419 .4605 L
.39498 .46182 L
.39536 .46242 L
.39681 .46435 L
.39691 .46439 L
.39821 .46628 L
.39884 .467 L
.3998 .46821 L
.40076 .46973 L
.401 .47013 L
.40244 .47206 L
.40269 .47219 L
.40448 .47399 L
.40462 .4749 L
.4054 .47591 L
.40654 .47764 L
.40665 .47784 L
.40807 .47977 L
.40847 .48002 L
.41003 .48169 L
.4104 .48282 L
.411 .48362 L
.41231 .48555 L
.41232 .48557 L
.41369 .48747 L
.41425 .4879 L
.41557 .4894 L
.41618 .49076 L
.41659 .49133 L
.41792 .49326 L
.41811 .4935 L
.4193 .49518 L
.42003 .49583 L
.4211 .49711 L
.42196 .49873 L
.42217 .49904 L
.42352 .50096 L
.42389 .50144 L
.4249 .50289 L
.42581 .50381 L
.42661 .50482 L
.42774 .50673 L
.42775 .50674 L
.4291 .50867 L
.42967 .50942 L
.43049 .5106 L
.43159 .51187 L
.43209 .51253 L
.4333 .51445 L
.43352 .51474 L
.43466 .51638 L
.43545 .51744 L
.43604 .51831 L
.43737 .52005 L
.43751 .52023 L
.4388 .52216 L
.4393 .52284 L
.44014 .52409 L
.44123 .52557 L
.44153 .52601 L
.44288 .52794 L
.44316 .52832 L
.44417 .52987 L
.44508 .53114 L
.4455 .53179 L
.44681 .53372 L
.44701 .53401 L
.44799 .53565 L
.44894 .5371 L
.44918 .53758 L
.44894 .53946 L
.44701 .53762 L
.44697 .53758 L
.44516 .53565 L
.44508 .53556 L
.44344 .53372 L
.44316 .53357 L
.44176 .53179 L
.44123 .53114 L
.43945 .52987 L
.4393 .52874 L
.43862 .52794 L
.43737 .52631 L
.43726 .52601 L
.43545 .52409 L
.43545 .52408 L
.43374 .52216 L
.43352 .52158 L
.43254 .52023 L
.43159 .51896 L
.4314 .51831 L
.42967 .51671 L
.4294 .51638 L
.4279 .51445 L
.42774 .51414 L
.42664 .51253 L
.42581 .51143 L
.42496 .5106 L
.42389 .50913 L
.42353 .50867 L
.42209 .50674 L
.42196 .50652 L
.42085 .50482 L
.42003 .50374 L
.41917 .50289 L
.41811 .50142 L
.41775 .50096 L
.41635 .49904 L
.41618 .49877 L
.41515 .49711 L
.41425 .49596 L
.41344 .49518 L
.41232 .49363 L
.41204 .49326 L
.41065 .49133 L
.4104 .49095 L
.4095 .4894 L
.40847 .48813 L
.40775 .48747 L
.40654 .48579 L
.40635 .48555 L
.40498 .48362 L
.40462 .4831 L
.40388 .48169 L
.40269 .48027 L
.40208 .47977 L
.40076 .47793 L
.40069 .47784 L
.39934 .47591 L
.39884 .47522 L
.39829 .47399 L
.39691 .47242 L
.39643 .47206 L
.39502 .47013 L
.39498 .47005 L
.39371 .46821 L
.39306 .46733 L
.3927 .46628 L
.39113 .46458 L
.39078 .46435 L
.38934 .46242 L
.3892 .46216 L
.38809 .4605 L
.38727 .45944 L
.38712 .45857 L
.38535 .45676 L
.38514 .45664 L
.38368 .45472 L
.38342 .45426 L
.38248 .45279 L
.38149 .45155 L
.3809 .45086 L
.37957 .44897 L
.37951 .44894 L
.37804 .44701 L
.37764 .44637 L
.37687 .44508 L
.37571 .44367 L
.37526 .44316 L
.37387 .44123 L
.37379 .44112 L
.37241 .4393 L
.37186 .43847 L
.37125 .43737 L
.36993 .43578 L
.36963 .43545 L
.36824 .43352 L
.36801 .43324 L
.36679 .43159 L
.36608 .43056 L
.36564 .42967 L
.36415 .4279 L
.36401 .42774 L
.36232 .42581 L
.36222 .42535 L
.36117 .42389 L
.3603 .42265 L
.36001 .42196 L
.35839 .42003 L
.35837 .42002 L
.35668 .41811 L
.35644 .41745 L
.35557 .41618 L
.35452 .41473 L
.35437 .41425 L
.35278 .41232 L
.35259 .41221 L
.35107 .4104 L
.35066 .40952 L
.34997 .40847 L
.34874 .40678 L
.34869 .40654 L
.34718 .40462 L
.34681 .40434 L
.3455 .40269 L
.34488 .40155 L
.34439 .40076 L
.34298 .39884 L
.34296 .3988 L
.34161 .39691 L
.34103 .3964 L
.33997 .39498 L
.3391 .39351 L
.33883 .39306 L
.33745 .39113 L
.33717 .39075 L
.33609 .3892 L
.33525 .38832 L
.33452 .38727 L
.33333 .38535 L
.33332 .38534 L
.332 .38342 L
.33139 .38257 L
.33065 .38149 L
.32947 .37993 L
.32923 .37957 L
.328 .37764 L
.32754 .37698 L
.32672 .37571 L
.32561 .37409 L
.32518 .37379 L
.32423 .37186 L
.32369 .37102 L
.32309 .36993 L
.32206 .36801 L
F
0 .97 1 r
.32754 .25017 m
.32947 .24988 L
.33139 .24971 L
.33332 .24961 L
.33525 .24955 L
.33717 .24954 L
.3391 .24956 L
.34103 .24962 L
.34296 .24971 L
.34488 .24984 L
.34681 .25002 L
.34874 .25026 L
.35004 .25046 L
.35066 .25057 L
.35259 .25098 L
.35452 .25148 L
.35644 .25208 L
.3573 .25239 L
.35837 .25282 L
.3603 .2537 L
.36152 .25432 L
.36222 .2547 L
.36415 .25587 L
.36474 .25624 L
.36608 .25717 L
.36742 .25817 L
.36801 .25863 L
.36976 .2601 L
.36993 .26025 L
.37184 .26202 L
.37186 .26204 L
.37369 .26395 L
.37379 .26405 L
.37533 .26588 L
.37571 .26636 L
.37674 .2678 L
.37764 .26924 L
.37789 .26973 L
.3787 .27166 L
.37902 .27359 L
.37853 .27551 L
.37764 .27678 L
.37614 .27744 L
.37571 .27762 L
.37379 .27818 L
.37186 .2785 L
.36993 .27868 L
.36801 .27875 L
.36608 .27874 L
.36415 .27866 L
.36222 .27851 L
.3603 .27829 L
.35837 .278 L
.35644 .27764 L
.35549 .27744 L
.35452 .2772 L
.35259 .27666 L
.35066 .27604 L
.34917 .27551 L
.34874 .27534 L
.34681 .27453 L
.34488 .27366 L
.34472 .27359 L
.34296 .27267 L
.34109 .27166 L
.34103 .27162 L
.3391 .27046 L
.33795 .26973 L
.33717 .26921 L
.33525 .26787 L
.33515 .2678 L
.33332 .26642 L
.33262 .26588 L
.33139 .26487 L
.33032 .26395 L
.32947 .26319 L
.32822 .26202 L
.32754 .26135 L
.32635 .2601 L
.32561 .25927 L
.32474 .25817 L
.32369 .25667 L
.32348 .25624 L
.32274 .25432 L
.32301 .25239 L
.32369 .25163 L
.32561 .25067 L
.32633 .25046 L
F
1 .95 0 r
.32369 .37605 m
.32515 .37764 L
.32561 .37811 L
.32687 .37957 L
.32754 .38031 L
.32852 .38149 L
.32947 .38247 L
.33013 .38342 L
.33139 .38496 L
.33182 .38535 L
.33324 .38727 L
.33332 .38737 L
.33475 .3892 L
.33525 .38972 L
.33626 .39113 L
.33717 .39229 L
.33789 .39306 L
.3391 .39481 L
.33922 .39498 L
.34071 .39691 L
.34103 .39725 L
.34218 .39884 L
.34296 .39985 L
.34374 .40076 L
.34488 .40244 L
.34503 .40269 L
.34654 .40462 L
.34681 .40491 L
.34849 .40654 L
.34874 .40753 L
.34949 .40847 L
.35066 .41015 L
.35078 .4104 L
.35229 .41232 L
.35259 .41265 L
.35413 .41425 L
.35452 .4153 L
.35519 .41618 L
.35644 .41793 L
.35651 .41811 L
.358 .42003 L
.35837 .42045 L
.35977 .42196 L
.3603 .42312 L
.36087 .42389 L
.36222 .42575 L
.36224 .42581 L
.36368 .42774 L
.36415 .42827 L
.36539 .42967 L
.36608 .43097 L
.36652 .43159 L
.36794 .43352 L
.36801 .43354 L
.36934 .43545 L
.36993 .43613 L
.37101 .43737 L
.37186 .43884 L
.37217 .4393 L
.37359 .44123 L
.37379 .44132 L
.37499 .44316 L
.37571 .44401 L
.37661 .44508 L
.37764 .44674 L
.37781 .44701 L
.37922 .44894 L
.37957 .44914 L
.38062 .45086 L
.38149 .45192 L
.3822 .45279 L
.38342 .45465 L
.38346 .45472 L
.38484 .45664 L
.38535 .457 L
.38689 .45857 L
.38727 .45986 L
.38777 .4605 L
.38907 .46242 L
.3892 .4626 L
.39045 .46435 L
.39113 .46493 L
.39237 .46628 L
.39306 .46784 L
.39333 .46821 L
.39466 .47013 L
.39498 .47056 L
.39603 .47206 L
.39691 .47293 L
.39782 .47399 L
.39884 .47587 L
.39887 .47591 L
.40021 .47784 L
.40076 .47857 L
.40159 .47977 L
.40269 .48104 L
.40322 .48169 L
.40438 .48362 L
.40462 .48394 L
.40572 .48555 L
.40654 .48666 L
.4071 .48747 L
.40847 .48933 L
.40853 .4894 L
.40981 .49133 L
.4104 .49213 L
.41114 .49326 L
.41232 .4949 L
.41251 .49518 L
.4138 .49711 L
.41425 .49774 L
.41506 .49904 L
.41618 .50066 L
.41636 .50096 L
.41752 .50289 L
.41811 .50383 L
.41854 .50482 L
.41811 .50554 L
.41732 .50482 L
.41618 .5037 L
.41542 .50289 L
.41425 .50188 L
.41367 .50096 L
.41232 .4994 L
.41178 .49904 L
.41041 .49711 L
.4104 .4971 L
.40881 .49518 L
.40847 .49489 L
.40722 .49326 L
.40654 .49239 L
.40547 .49133 L
.40462 .4899 L
.40426 .4894 L
.40269 .48751 L
.40264 .48747 L
.40113 .48555 L
.40076 .48505 L
.39955 .48362 L
.39884 .48248 L
.39835 .48169 L
.39691 .47994 L
.39666 .47977 L
.3952 .47784 L
.39498 .47753 L
.39372 .47591 L
.39306 .47491 L
.39254 .47399 L
.39113 .47229 L
.39082 .47206 L
.38938 .47013 L
.3892 .46987 L
.38796 .46821 L
.38727 .46722 L
.3868 .46628 L
.38535 .46457 L
.38505 .46435 L
.38347 .46242 L
.38342 .46213 L
.38224 .4605 L
.38149 .45945 L
.38112 .45857 L
.37957 .45681 L
.37933 .45664 L
.37778 .45472 L
.37764 .45433 L
.37657 .45279 L
.37571 .45164 L
.37546 .45086 L
.37379 .44903 L
.37364 .44894 L
.3721 .44701 L
.37186 .44649 L
.37091 .44508 L
.36993 .4438 L
.36982 .44316 L
.36801 .44124 L
.36798 .44123 L
.36645 .4393 L
.36608 .43862 L
.36528 .43737 L
.36415 .43593 L
.36373 .43545 L
.36234 .43352 L
.36222 .43339 L
.36082 .43159 L
.3603 .43073 L
.35966 .42967 L
.35837 .42805 L
.3581 .42774 L
.35671 .42581 L
.35644 .4255 L
.3552 .42389 L
.35452 .42281 L
.35404 .42196 L
.35259 .42015 L
.35249 .42003 L
.3511 .41811 L
.35066 .41759 L
.34961 .41618 L
.34874 .41486 L
.34843 .41425 L
.3469 .41232 L
.34681 .41228 L
.34501 .4104 L
.34488 .40963 L
.34405 .40847 L
.34296 .40687 L
.34282 .40654 L
.34135 .40462 L
.34103 .40443 L
.33949 .40269 L
.3391 .40159 L
.33854 .40076 L
.33721 .39884 L
.33717 .39879 L
.33586 .39691 L
.33525 .39642 L
.33409 .39498 L
.33332 .3934 L
.3331 .39306 L
.33179 .39113 L
.33139 .39057 L
.33046 .3892 L
.32947 .38806 L
.32889 .38727 L
.32781 .38535 L
.32754 .38496 L
.32654 .38342 L
.32561 .38205 L
.32525 .38149 L
.32404 .37957 L
.32369 .37902 L
.32291 .37764 L
F
0 .9 1 r
.32369 .38498 m
.32404 .38535 L
.32561 .38687 L
.32595 .38727 L
.32754 .38892 L
.32765 .3892 L
.32924 .39113 L
.32947 .39138 L
.33078 .39306 L
.33139 .39377 L
.33233 .39498 L
.33332 .39574 L
.33387 .39691 L
.33525 .3986 L
.33553 .39884 L
.33687 .40076 L
.33717 .40114 L
.33833 .40269 L
.3391 .40322 L
.33981 .40462 L
.34103 .40611 L
.34148 .40654 L
.34275 .40847 L
.34296 .40873 L
.34418 .4104 L
.34488 .4109 L
.34563 .41232 L
.34681 .41379 L
.34726 .41425 L
.34852 .41618 L
.34874 .41645 L
.34993 .41811 L
.35066 .41867 L
.35137 .42003 L
.35259 .42158 L
.35293 .42196 L
.35423 .42389 L
.35452 .42426 L
.35563 .42581 L
.35644 .42653 L
.35705 .42774 L
.35837 .42946 L
.35855 .42967 L
.35988 .43159 L
.3603 .43214 L
.36127 .43352 L
.36222 .43448 L
.36269 .43545 L
.36412 .43737 L
.36415 .43741 L
.36548 .4393 L
.36608 .44009 L
.36687 .44123 L
.36801 .44254 L
.36861 .44316 L
.36968 .44508 L
.36993 .44542 L
.37103 .44701 L
.37186 .44812 L
.37242 .44894 L
.37379 .45076 L
.37388 .45086 L
.37515 .45279 L
.37571 .45354 L
.3765 .45472 L
.37764 .45628 L
.37788 .45664 L
.37921 .45857 L
.37957 .45906 L
.38049 .4605 L
.38149 .4619 L
.38182 .46242 L
.38309 .46435 L
.38342 .46482 L
.38423 .46628 L
.38535 .46806 L
.38541 .46821 L
.38535 .46892 L
.38457 .46821 L
.38342 .46711 L
.38269 .46628 L
.38149 .46495 L
.38099 .46435 L
.37957 .46276 L
.37936 .46242 L
.37779 .4605 L
.37764 .46032 L
.37623 .45857 L
.37571 .45794 L
.37468 .45664 L
.37379 .45568 L
.37315 .45472 L
.37186 .45306 L
.37161 .45279 L
.37016 .45086 L
.36993 .45057 L
.36867 .44894 L
.36801 .44821 L
.36639 .44701 L
.36608 .44556 L
.36569 .44508 L
.36426 .44316 L
.36415 .44301 L
.3628 .44123 L
.36222 .44059 L
.36082 .4393 L
.3603 .43791 L
.35989 .43737 L
.35847 .43545 L
.35837 .43532 L
.35703 .43352 L
.35644 .43285 L
.35521 .43159 L
.35452 .43015 L
.35418 .42967 L
.35275 .42774 L
.35259 .42753 L
.35132 .42581 L
.35066 .42503 L
.34963 .42389 L
.34874 .4223 L
.34851 .42196 L
.34709 .42003 L
.34681 .41965 L
.34568 .41811 L
.34488 .41712 L
.34408 .41618 L
.34296 .41435 L
.34289 .41425 L
.34151 .41232 L
.34103 .41217 L
.34011 .4104 L
.3391 .40909 L
.3386 .40847 L
.33736 .40654 L
.33717 .40629 L
.336 .40462 L
.33525 .40409 L
.33463 .40269 L
.33332 .40086 L
.33325 .40076 L
.33195 .39884 L
.33139 .39806 L
.33061 .39691 L
.32947 .39549 L
.329 .39498 L
.32801 .39306 L
.32754 .39238 L
.32674 .39113 L
.32561 .38943 L
.32547 .3892 L
.32438 .38727 L
.32369 .38611 L
.32337 .38535 L
F
0 .99 1 r
.32369 .3427 m
.32436 .34296 L
.32561 .34393 L
.32646 .34488 L
.32754 .34605 L
.32813 .34681 L
.32947 .34842 L
.32969 .34874 L
.33114 .35066 L
.33139 .35099 L
.33248 .35259 L
.33332 .35374 L
.3338 .35452 L
.33499 .35644 L
.33332 .35701 L
.33308 .35644 L
.33139 .35463 L
.33132 .35452 L
.32976 .35259 L
.32947 .35223 L
.32828 .35066 L
.32754 .34965 L
.32688 .34874 L
.32561 .34689 L
.32555 .34681 L
.32447 .34488 L
.32369 .34318 L
.32362 .34296 L
F
1 .94 0 r
.32561 .37885 m
.32628 .37957 L
.32754 .38086 L
.32809 .38149 L
.32947 .38296 L
.32978 .38342 L
.33139 .38534 L
.33141 .38535 L
.33296 .38727 L
.33332 .38769 L
.33452 .3892 L
.33525 .38997 L
.33606 .39113 L
.33717 .39252 L
.33769 .39306 L
.33908 .39498 L
.3391 .395 L
.34056 .39691 L
.34103 .39741 L
.34204 .39884 L
.34296 .40001 L
.34361 .40076 L
.34488 .40257 L
.34496 .40269 L
.34643 .40462 L
.34681 .40503 L
.34844 .40654 L
.34874 .40766 L
.3494 .40847 L
.35066 .41025 L
.35074 .4104 L
.35221 .41232 L
.35259 .41274 L
.35408 .41425 L
.35452 .4154 L
.35513 .41618 L
.35644 .41801 L
.35648 .41811 L
.35794 .42003 L
.35837 .42052 L
.35972 .42196 L
.3603 .4232 L
.36081 .42389 L
.36222 .42581 L
.36222 .42581 L
.36362 .42774 L
.36415 .42834 L
.36535 .42967 L
.36608 .43104 L
.36648 .43159 L
.36789 .43352 L
.36801 .43357 L
.36929 .43545 L
.36993 .43619 L
.37096 .43737 L
.37186 .4389 L
.37213 .4393 L
.37354 .44123 L
.37379 .44135 L
.37494 .44316 L
.37571 .44407 L
.37656 .44508 L
.37764 .4468 L
.37777 .44701 L
.37917 .44894 L
.37957 .44918 L
.38057 .45086 L
.38149 .45198 L
.38215 .45279 L
.38342 .45472 L
.38342 .45472 L
.38479 .45664 L
.38535 .45706 L
.38684 .45857 L
.38727 .45993 L
.38772 .4605 L
.38901 .46242 L
.3892 .46267 L
.39039 .46435 L
.39113 .465 L
.3923 .46628 L
.39306 .46793 L
.39326 .46821 L
.39459 .47013 L
.39498 .47066 L
.39596 .47206 L
.39691 .47304 L
.39772 .47399 L
.39878 .47591 L
.39884 .47599 L
.40012 .47784 L
.40076 .47869 L
.4015 .47977 L
.40269 .48122 L
.40307 .48169 L
.40426 .48362 L
.40462 .48409 L
.4056 .48555 L
.40654 .48683 L
.40698 .48747 L
.40835 .4894 L
.40847 .48956 L
.40964 .49133 L
.4104 .49238 L
.41096 .49326 L
.41232 .49518 L
.41232 .49519 L
.41351 .49711 L
.41425 .49819 L
.41473 .49904 L
.41425 .5009 L
.41252 .49904 L
.41232 .49884 L
.41081 .49711 L
.4104 .49665 L
.40915 .49518 L
.40847 .49458 L
.40753 .49326 L
.40654 .49204 L
.40574 .49133 L
.40462 .48962 L
.40445 .4894 L
.40287 .48747 L
.40269 .4873 L
.40133 .48555 L
.40076 .4848 L
.3997 .48362 L
.39884 .48226 L
.39848 .48169 L
.39691 .47981 L
.39684 .47977 L
.39535 .47784 L
.39498 .47733 L
.39384 .47591 L
.39306 .47473 L
.39264 .47399 L
.39113 .47218 L
.39095 .47206 L
.3895 .47013 L
.3892 .46972 L
.38806 .46821 L
.38727 .46707 L
.38688 .46628 L
.38535 .46448 L
.38515 .46435 L
.38349 .46242 L
.38342 .462 L
.38233 .4605 L
.38149 .45934 L
.38118 .45857 L
.37957 .45674 L
.37942 .45664 L
.37781 .45472 L
.37764 .45422 L
.37664 .45279 L
.37571 .45154 L
.3755 .45086 L
.37379 .44898 L
.37372 .44894 L
.37215 .44701 L
.37186 .44639 L
.37098 .44508 L
.36993 .44371 L
.36984 .44316 L
.36805 .44123 L
.36801 .44117 L
.3665 .4393 L
.36608 .43853 L
.36534 .43737 L
.36415 .43585 L
.3638 .43545 L
.3624 .43352 L
.36222 .43331 L
.36087 .43159 L
.3603 .43064 L
.35971 .42967 L
.35837 .42797 L
.35817 .42774 L
.35677 .42581 L
.35644 .42542 L
.35526 .42389 L
.35452 .42272 L
.3541 .42196 L
.35259 .42006 L
.35257 .42003 L
.35117 .41811 L
.35066 .41749 L
.34968 .41618 L
.34874 .41475 L
.34849 .41425 L
.34699 .41232 L
.34681 .41224 L
.34505 .4104 L
.34488 .40951 L
.34414 .40847 L
.34296 .40673 L
.34287 .40654 L
.34146 .40462 L
.34103 .40434 L
.33958 .40269 L
.3391 .40142 L
.33866 .40076 L
.33734 .39884 L
.33717 .3986 L
.336 .39691 L
.33525 .39622 L
.33426 .39498 L
.33332 .39312 L
.33328 .39306 L
.33198 .39113 L
.33139 .39029 L
.33066 .3892 L
.32947 .38758 L
.32924 .38727 L
.3281 .38535 L
.32754 .38452 L
.32686 .38342 L
.32562 .38149 L
.32561 .38148 L
.32463 .37957 L
F
0 .96 1 r
.33139 .25046 m
.33332 .25025 L
.33525 .25014 L
.33717 .2501 L
.3391 .25011 L
.34103 .25017 L
.34296 .25028 L
.34488 .25045 L
.34503 .25046 L
.34681 .25068 L
.34874 .25098 L
.35066 .25137 L
.35259 .25186 L
.35435 .25239 L
.35452 .25245 L
.35644 .25317 L
.35837 .25401 L
.359 .25432 L
.3603 .255 L
.36222 .25613 L
.3624 .25624 L
.36415 .25742 L
.36518 .25817 L
.36608 .25886 L
.36757 .2601 L
.36801 .26048 L
.36966 .26202 L
.36993 .2623 L
.37149 .26395 L
.37186 .26437 L
.37307 .26588 L
.37379 .26684 L
.3744 .2678 L
.37543 .26973 L
.37571 .27045 L
.37604 .27166 L
.37605 .27359 L
.37571 .27449 L
.3749 .27551 L
.37379 .27632 L
.37186 .27701 L
.36993 .27737 L
.36958 .27744 L
.36801 .27756 L
.36608 .27762 L
.36415 .27757 L
.36228 .27744 L
.36222 .27743 L
.3603 .27721 L
.35837 .27689 L
.35644 .2765 L
.35452 .27601 L
.35279 .27551 L
.35259 .27545 L
.35066 .27478 L
.34874 .27402 L
.3477 .27359 L
.34681 .27318 L
.34488 .27224 L
.34376 .27166 L
.34296 .27122 L
.34103 .2701 L
.34042 .26973 L
.3391 .26889 L
.33749 .2678 L
.33717 .26758 L
.33525 .26616 L
.33487 .26588 L
.33332 .26463 L
.33251 .26395 L
.33139 .26296 L
.3304 .26202 L
.32947 .2611 L
.32854 .2601 L
.32754 .25894 L
.32698 .25817 L
.32581 .25624 L
.32561 .2558 L
.32526 .25432 L
.32561 .25285 L
.32596 .25239 L
.32754 .25138 L
.32947 .25067 L
.33134 .25046 L
F
0 .97 1 r
.32754 .37367 m
.32768 .37379 L
.32947 .37534 L
.32972 .37571 L
.33139 .37751 L
.33163 .37764 L
.33319 .37957 L
.33332 .37971 L
.33482 .38149 L
.33525 .38187 L
.33643 .38342 L
.33717 .38433 L
.33833 .38535 L
.3391 .38679 L
.33951 .38727 L
.34103 .38918 L
.34103 .3892 L
.34256 .39113 L
.34296 .39164 L
.34426 .39306 L
.34488 .39421 L
.34545 .39498 L
.34681 .39675 L
.34702 .39691 L
.34847 .39884 L
.34874 .39919 L
.35006 .40076 L
.35066 .40182 L
.35125 .40269 L
.35259 .40443 L
.35284 .40462 L
.35427 .40654 L
.35452 .40688 L
.35579 .40847 L
.35644 .40954 L
.35697 .4104 L
.35837 .41217 L
.35858 .41232 L
.36 .41425 L
.3603 .41466 L
.36148 .41618 L
.36222 .41734 L
.36265 .41811 L
.36415 .41994 L
.36428 .42003 L
.36601 .42196 L
.36608 .42248 L
.36715 .42389 L
.36801 .42517 L
.36832 .42581 L
.36993 .42773 L
.36995 .42774 L
.37167 .42967 L
.37186 .43034 L
.3728 .43159 L
.37379 .43302 L
.37398 .43352 L
.37561 .43545 L
.37571 .43556 L
.37731 .43737 L
.37764 .4382 L
.37843 .4393 L
.37957 .44088 L
.37966 .44123 L
.38126 .44316 L
.38149 .44341 L
.38294 .44508 L
.38342 .44608 L
.38407 .44701 L
.38535 .44874 L
.38536 .44894 L
.3869 .45086 L
.38727 .45128 L
.38856 .45279 L
.3892 .45397 L
.3897 .45472 L
.39113 .45662 L
.39115 .45664 L
.39254 .45857 L
.39306 .45915 L
.39416 .4605 L
.39498 .46187 L
.39533 .46242 L
.39678 .46435 L
.39691 .46441 L
.39817 .46628 L
.39884 .46704 L
.39977 .46821 L
.40076 .46977 L
.40097 .47013 L
.40241 .47206 L
.40269 .47221 L
.40446 .47399 L
.40462 .47495 L
.40536 .47591 L
.40654 .47769 L
.40662 .47784 L
.40803 .47977 L
.40847 .48006 L
.41 .48169 L
.4104 .48288 L
.41095 .48362 L
.41226 .48555 L
.41232 .48563 L
.41364 .48747 L
.41425 .48795 L
.41552 .4894 L
.41618 .49084 L
.41653 .49133 L
.41786 .49326 L
.41811 .49358 L
.41924 .49518 L
.42003 .49592 L
.42102 .49711 L
.42196 .49884 L
.4221 .49904 L
.42344 .50096 L
.42389 .50155 L
.42482 .50289 L
.42581 .50396 L
.42649 .50482 L
.42764 .50674 L
.42774 .50687 L
.42899 .50867 L
.42967 .50958 L
.43037 .5106 L
.43159 .51212 L
.4319 .51253 L
.43314 .51445 L
.43352 .51496 L
.43448 .51638 L
.43545 .5177 L
.43586 .51831 L
.43723 .52023 L
.43737 .52042 L
.43852 .52216 L
.4393 .52324 L
.43985 .52409 L
.4412 .52601 L
.44123 .52605 L
.4424 .52794 L
.44316 .52905 L
.44362 .52987 L
.44477 .53179 L
.44316 .53221 L
.44292 .53179 L
.44123 .53003 L
.44082 .52987 L
.43935 .52794 L
.4393 .52788 L
.43767 .52601 L
.43737 .52579 L
.43603 .52409 L
.43545 .52336 L
.43401 .52216 L
.43352 .52093 L
.43296 .52023 L
.43159 .5185 L
.43156 .51831 L
.42979 .51638 L
.42967 .5162 L
.42813 .51445 L
.42774 .51367 L
.42694 .51253 L
.42581 .51106 L
.42525 .5106 L
.42389 .50878 L
.4238 .50867 L
.42228 .50674 L
.42196 .50619 L
.42107 .50482 L
.42003 .50348 L
.41936 .50289 L
.41811 .50118 L
.41794 .50096 L
.41649 .49904 L
.41618 .49854 L
.4153 .49711 L
.41425 .49578 L
.41358 .49518 L
.41232 .49346 L
.41217 .49326 L
.41076 .49133 L
.4104 .49079 L
.40961 .4894 L
.40847 .488 L
.40785 .48747 L
.40654 .48567 L
.40645 .48555 L
.40507 .48362 L
.40462 .48297 L
.40396 .48169 L
.40269 .48019 L
.40216 .47977 L
.40077 .47784 L
.40076 .47783 L
.39941 .47591 L
.39884 .47512 L
.39834 .47399 L
.39691 .47236 L
.39649 .47206 L
.39505 .47013 L
.39498 .46997 L
.39377 .46821 L
.39306 .46725 L
.39274 .46628 L
.39113 .46454 L
.39083 .46435 L
.38937 .46242 L
.3892 .46209 L
.38814 .4605 L
.38727 .45937 L
.38714 .45857 L
.38535 .45673 L
.38519 .45664 L
.38371 .45472 L
.38342 .4542 L
.38252 .45279 L
.38149 .45149 L
.38094 .45086 L
.37957 .44894 L
.37955 .44894 L
.37807 .44701 L
.37764 .44631 L
.37691 .44508 L
.37571 .44361 L
.37531 .44316 L
.37392 .44123 L
.37379 .44107 L
.37245 .4393 L
.37186 .43841 L
.37129 .43737 L
.36993 .43573 L
.36968 .43545 L
.36829 .43352 L
.36801 .43318 L
.36683 .43159 L
.36608 .4305 L
.36567 .42967 L
.36415 .42784 L
.36406 .42774 L
.36234 .42581 L
.36222 .42528 L
.36122 .42389 L
.3603 .42257 L
.36004 .42196 L
.35845 .42003 L
.35837 .41999 L
.35671 .41811 L
.35644 .41736 L
.35563 .41618 L
.35452 .41463 L
.3544 .41425 L
.35286 .41232 L
.35259 .41215 L
.35113 .4104 L
.35066 .4094 L
.35005 .40847 L
.34874 .40665 L
.34872 .40654 L
.34729 .40462 L
.34681 .40424 L
.3456 .40269 L
.34488 .40137 L
.3445 .40076 L
.34313 .39884 L
.34296 .3986 L
.34177 .39691 L
.34103 .39619 L
.34014 .39498 L
.3391 .39322 L
.33901 .39306 L
.33767 .39113 L
.33717 .39044 L
.33633 .3892 L
.33525 .38787 L
.33484 .38727 L
.33366 .38535 L
.33332 .38487 L
.33237 .38342 L
.33139 .38201 L
.33106 .38149 L
.32982 .37957 L
.32947 .37904 L
.32865 .37764 L
.32754 .37585 L
.32747 .37571 L
.32676 .37379 L
F
0 .89 1 r
.32754 .3895 m
.32891 .39113 L
.32947 .39172 L
.33053 .39306 L
.33139 .39404 L
.33212 .39498 L
.33332 .39607 L
.33369 .39691 L
.33523 .39884 L
.33525 .39885 L
.3367 .40076 L
.33717 .40133 L
.33819 .40269 L
.3391 .4034 L
.33969 .40462 L
.34103 .40629 L
.34129 .40654 L
.34262 .40847 L
.34296 .40888 L
.34407 .4104 L
.34488 .41104 L
.34553 .41232 L
.34681 .41394 L
.34711 .41425 L
.34842 .41618 L
.34874 .41658 L
.34984 .41811 L
.35066 .4188 L
.35128 .42003 L
.35259 .42172 L
.35281 .42196 L
.35413 .42389 L
.35452 .42438 L
.35554 .42581 L
.35644 .42666 L
.35697 .42774 L
.35837 .42959 L
.35843 .42967 L
.35979 .43159 L
.3603 .43226 L
.36119 .43352 L
.36222 .43462 L
.36261 .43545 L
.36403 .43737 L
.36415 .43754 L
.36539 .4393 L
.36608 .44022 L
.36678 .44123 L
.36801 .44272 L
.36843 .44316 L
.36957 .44508 L
.36993 .44556 L
.37092 .44701 L
.37186 .44827 L
.37231 .44894 L
.37371 .45086 L
.37379 .45096 L
.37501 .45279 L
.37571 .45373 L
.37636 .45472 L
.37764 .45648 L
.37774 .45664 L
.37901 .45857 L
.37957 .45934 L
.38028 .4605 L
.38149 .46224 L
.38161 .46242 L
.38271 .46435 L
.38342 .46553 L
.38358 .46628 L
.38342 .46636 L
.38333 .46628 L
.38149 .46448 L
.38138 .46435 L
.37969 .46242 L
.37957 .46229 L
.37807 .4605 L
.37764 .46001 L
.37647 .45857 L
.37571 .45766 L
.37489 .45664 L
.37379 .45541 L
.37335 .45472 L
.37186 .45282 L
.37183 .45279 L
.37033 .45086 L
.36993 .45036 L
.36883 .44894 L
.36801 .44802 L
.36657 .44701 L
.36608 .44537 L
.36584 .44508 L
.3644 .44316 L
.36415 .44283 L
.36293 .44123 L
.36222 .44043 L
.36094 .4393 L
.3603 .43774 L
.36002 .43737 L
.35859 .43545 L
.35837 .43516 L
.35714 .43352 L
.35644 .43271 L
.35533 .43159 L
.35452 .42999 L
.35428 .42967 L
.35286 .42774 L
.35259 .42737 L
.35144 .42581 L
.35066 .42488 L
.34975 .42389 L
.34874 .42214 L
.34862 .42196 L
.34721 .42003 L
.34681 .41949 L
.3458 .41811 L
.34488 .41696 L
.34421 .41618 L
.34301 .41425 L
.34296 .41418 L
.34163 .41232 L
.34103 .41206 L
.34024 .4104 L
.3391 .40888 L
.33877 .40847 L
.3375 .40654 L
.33717 .40609 L
.33615 .40462 L
.33525 .40383 L
.33478 .40269 L
.33344 .40076 L
.33332 .4006 L
.33213 .39884 L
.33139 .39779 L
.3308 .39691 L
.32949 .39498 L
.32947 .39495 L
.32828 .39306 L
.32754 .39196 L
.32704 .39113 L
F
1 .89 0 r
.32754 .39797 m
.32817 .39884 L
.32947 .4003 L
.3298 .40076 L
.32947 .40231 L
.32848 .40076 L
.32754 .39946 L
.32715 .39884 L
F
1 .99 0 r
.32754 .3659 m
.32782 .36608 L
.32947 .36681 L
.33012 .36801 L
.33139 .36924 L
.33202 .36993 L
.33332 .37141 L
.33391 .37186 L
.33525 .37363 L
.3354 .37379 L
.33704 .37571 L
.33717 .37588 L
.33863 .37764 L
.3391 .37829 L
.34024 .37957 L
.34103 .38079 L
.34153 .38149 L
.34296 .3833 L
.34321 .38342 L
.34469 .38535 L
.34488 .38563 L
.34615 .38727 L
.34681 .38828 L
.34733 .3892 L
.34874 .39064 L
.34912 .39113 L
.35061 .39306 L
.35066 .39323 L
.35193 .39498 L
.35259 .39596 L
.35301 .39691 L
.35452 .39834 L
.3549 .39884 L
.35636 .40076 L
.35644 .40097 L
.35764 .40269 L
.35837 .40375 L
.35865 .40462 L
.3603 .40613 L
.36061 .40654 L
.36206 .40847 L
.36222 .40879 L
.3633 .4104 L
.36415 .41159 L
.36489 .41232 L
.36608 .41397 L
.36629 .41425 L
.36774 .41618 L
.36801 .41666 L
.36894 .41811 L
.36993 .41945 L
.37055 .42003 L
.37186 .42185 L
.37194 .42196 L
.3734 .42389 L
.37379 .42454 L
.37457 .42581 L
.37571 .42731 L
.3762 .42774 L
.37759 .42967 L
.37764 .42973 L
.37904 .43159 L
.37957 .43244 L
.38019 .43352 L
.38149 .43516 L
.38184 .43545 L
.3834 .43737 L
.38342 .43762 L
.38467 .4393 L
.38535 .44033 L
.38581 .44123 L
.38727 .443 L
.38748 .44316 L
.3891 .44508 L
.3892 .44551 L
.3903 .44701 L
.39113 .44821 L
.39144 .44894 L
.39306 .45082 L
.39312 .45086 L
.39476 .45279 L
.39498 .4534 L
.39592 .45472 L
.39691 .4561 L
.39708 .45664 L
.39876 .45857 L
.39884 .45865 L
.4004 .4605 L
.40076 .4613 L
.40155 .46242 L
.40269 .46398 L
.40274 .46435 L
.40439 .46628 L
.40462 .46652 L
.40603 .46821 L
.40654 .46919 L
.40717 .47013 L
.40847 .47186 L
.40863 .47206 L
.41003 .47399 L
.4104 .47439 L
.41165 .47591 L
.41232 .47709 L
.4128 .47784 L
.41425 .47974 L
.41427 .47977 L
.41566 .48169 L
.41618 .48227 L
.41726 .48362 L
.41811 .48499 L
.41844 .48555 L
.4199 .48747 L
.42003 .48752 L
.4213 .4894 L
.42196 .49016 L
.42286 .49133 L
.42389 .49289 L
.42408 .49326 L
.42553 .49518 L
.42581 .49532 L
.4275 .49711 L
.42774 .49806 L
.42847 .49904 L
.42967 .50081 L
.42974 .50096 L
.43116 .50289 L
.43159 .50316 L
.43306 .50482 L
.43352 .50598 L
.43407 .50674 L
.43541 .50867 L
.43545 .50873 L
.43679 .5106 L
.43737 .51104 L
.43862 .51253 L
.4393 .51392 L
.43968 .51445 L
.44103 .51638 L
.44123 .51665 L
.44241 .51831 L
.44316 .51896 L
.44417 .52023 L
.44508 .52187 L
.44528 .52216 L
.44664 .52409 L
.44701 .52458 L
.44803 .52601 L
.44894 .52693 L
.44971 .52794 L
.45086 .52984 L
.45088 .52987 L
.45224 .53179 L
.45279 .53252 L
.45363 .53372 L
.45472 .53495 L
.45523 .53565 L
.45647 .53758 L
.45664 .53781 L
.45783 .5395 L
.45857 .54049 L
.45922 .54143 L
.4605 .54304 L
.46073 .54336 L
.46201 .54528 L
.46242 .54583 L
.46337 .54721 L
.46435 .54853 L
.46477 .54914 L
.46617 .55106 L
.46628 .55121 L
.46749 .55299 L
.46821 .55396 L
.46884 .55492 L
.47013 .55671 L
.47032 .55684 L
.4715 .55877 L
.47206 .55955 L
.47277 .5607 L
.47399 .56247 L
.47408 .56263 L
.47521 .56455 L
.47591 .56571 L
.47623 .56648 L
.47591 .56752 L
.47466 .56648 L
.47399 .56588 L
.47266 .56455 L
.47206 .56446 L
.47084 .56263 L
.47013 .56182 L
.46911 .5607 L
.46821 .55952 L
.46745 .55877 L
.46628 .55717 L
.46607 .55684 L
.46435 .55503 L
.46426 .55492 L
.46268 .55299 L
.46242 .5526 L
.46123 .55106 L
.4605 .55002 L
.46004 .54914 L
.45857 .54781 L
.45808 .54721 L
.45664 .54531 L
.45662 .54528 L
.45524 .54336 L
.45472 .54262 L
.45416 .54143 L
.45279 .5403 L
.45216 .5395 L
.45086 .53773 L
.45074 .53758 L
.44941 .53565 L
.44894 .53499 L
.44843 .53372 L
.44701 .53261 L
.44637 .53179 L
.44508 .53 L
.44498 .52987 L
.44369 .52794 L
.44316 .52722 L
.44208 .52601 L
.44123 .52483 L
.44066 .52409 L
.4393 .52219 L
.43927 .52216 L
.43803 .52023 L
.43737 .51936 L
.43639 .51831 L
.43545 .51699 L
.43498 .51638 L
.4336 .51445 L
.43352 .51433 L
.43241 .51253 L
.43159 .51146 L
.43072 .5106 L
.42967 .50912 L
.42932 .50867 L
.42795 .50674 L
.42774 .50643 L
.42682 .50482 L
.42581 .50356 L
.42507 .50289 L
.42389 .50124 L
.42368 .50096 L
.42232 .49904 L
.42196 .49852 L
.42124 .49711 L
.42003 .49567 L
.41942 .49518 L
.41811 .49334 L
.41804 .49326 L
.4167 .49133 L
.41618 .49061 L
.41567 .4894 L
.41425 .4878 L
.41378 .48747 L
.41237 .48555 L
.41232 .48544 L
.41108 .48362 L
.4104 .48271 L
.41009 .48169 L
.40847 .47996 L
.40815 .47977 L
.4067 .47784 L
.40654 .47754 L
.40547 .47591 L
.40462 .47481 L
.40452 .47399 L
.40269 .47214 L
.40251 .47206 L
.40105 .47013 L
.40076 .46964 L
.39986 .46821 L
.39884 .46692 L
.39827 .46628 L
.39691 .46436 L
.39688 .46435 L
.39541 .46242 L
.39498 .46174 L
.39425 .4605 L
.39306 .45904 L
.39264 .45857 L
.39124 .45664 L
.39113 .4565 L
.38978 .45472 L
.3892 .45384 L
.38863 .45279 L
.38727 .45116 L
.387 .45086 L
.38537 .44894 L
.38535 .44862 L
.38416 .44701 L
.38342 .44594 L
.38301 .44508 L
.38149 .44329 L
.38137 .44316 L
.37969 .44123 L
.37957 .44074 L
.37854 .4393 L
.37764 .43805 L
.37738 .43737 L
.37574 .43545 L
.37571 .43543 L
.37405 .43352 L
.37379 .43285 L
.37292 .43159 L
.37186 .43014 L
.37173 .42967 L
.37011 .42774 L
.36993 .42762 L
.36843 .42581 L
.36801 .42495 L
.3673 .42389 L
.36608 .42223 L
.36604 .42196 L
.36449 .42003 L
.36415 .41978 L
.36282 .41811 L
.36222 .41703 L
.36169 .41618 L
.3603 .41431 L
.36025 .41425 L
.35887 .41232 L
.35837 .4119 L
.35723 .4104 L
.35644 .4091 L
.35607 .40847 L
.35464 .40654 L
.35452 .40637 L
.35326 .40462 L
.35259 .40398 L
.35165 .40269 L
.35066 .40113 L
.35046 .40076 L
.34905 .39884 L
.34874 .39841 L
.34767 .39691 L
.34681 .39599 L
.34611 .39498 L
.34488 .39311 L
.34486 .39306 L
.34349 .39113 L
.34296 .3904 L
.34151 .3892 L
.34103 .38789 L
.34062 .38727 L
.33934 .38535 L
.3391 .38503 L
.33799 .38342 L
.33717 .38229 L
.3362 .38149 L
.33525 .37958 L
.33524 .37957 L
.33395 .37764 L
.33332 .37675 L
.33264 .37571 L
.33139 .37392 L
.33123 .37379 L
.33009 .37186 L
.32947 .37092 L
.3289 .36993 L
.32776 .36801 L
.32754 .3676 L
.32717 .36608 L
F
1 .93 0 r
.32754 .38153 m
.32935 .38342 L
.32947 .38354 L
.33103 .38535 L
.33139 .38573 L
.33267 .38727 L
.33332 .38802 L
.33427 .3892 L
.33525 .39024 L
.33585 .39113 L
.33717 .39277 L
.33747 .39306 L
.33891 .39498 L
.3391 .39522 L
.34041 .39691 L
.34103 .39758 L
.34191 .39884 L
.34296 .40018 L
.34348 .40076 L
.34487 .40269 L
.34488 .4027 L
.34632 .40462 L
.34681 .40515 L
.34836 .40654 L
.34874 .40778 L
.34931 .40847 L
.35066 .41035 L
.35069 .4104 L
.35213 .41232 L
.35259 .41284 L
.35402 .41425 L
.35452 .41549 L
.35506 .41618 L
.35644 .41809 L
.35645 .41811 L
.35787 .42003 L
.35837 .4206 L
.35967 .42196 L
.3603 .42327 L
.36076 .42389 L
.36216 .42581 L
.36222 .42583 L
.36357 .42774 L
.36415 .42841 L
.3653 .42967 L
.36608 .4311 L
.36643 .43159 L
.36784 .43352 L
.36801 .43359 L
.36924 .43545 L
.36993 .43625 L
.37091 .43737 L
.37186 .43897 L
.37209 .4393 L
.37349 .44123 L
.37379 .44138 L
.37489 .44316 L
.37571 .44413 L
.37651 .44508 L
.37764 .44687 L
.37773 .44701 L
.37912 .44894 L
.37957 .44922 L
.38052 .45086 L
.38149 .45205 L
.38209 .45279 L
.38336 .45472 L
.38342 .45479 L
.38474 .45664 L
.38535 .45711 L
.38678 .45857 L
.38727 .46001 L
.38765 .4605 L
.38896 .46242 L
.3892 .46275 L
.39033 .46435 L
.39113 .46509 L
.39222 .46628 L
.39306 .46803 L
.39319 .46821 L
.39452 .47013 L
.39498 .47075 L
.39589 .47206 L
.39691 .47317 L
.39761 .47399 L
.3987 .47591 L
.39884 .4761 L
.40004 .47784 L
.40076 .47882 L
.40141 .47977 L
.40269 .48142 L
.40292 .48169 L
.40415 .48362 L
.40462 .48426 L
.40548 .48555 L
.40654 .48701 L
.40685 .48747 L
.40818 .4894 L
.40847 .4898 L
.40945 .49133 L
.4104 .49267 L
.41076 .49326 L
.41202 .49518 L
.41232 .49563 L
.41314 .49711 L
.41425 .49897 L
.41428 .49904 L
.41425 .49986 L
.41323 .49904 L
.41232 .49823 L
.41128 .49711 L
.4104 .49617 L
.40952 .49518 L
.40847 .49419 L
.40785 .49326 L
.40654 .49169 L
.40609 .49133 L
.40467 .4894 L
.40462 .48934 L
.40309 .48747 L
.40269 .48709 L
.40153 .48555 L
.40076 .48455 L
.39987 .48362 L
.39884 .48205 L
.3986 .48169 L
.39701 .47977 L
.39691 .47967 L
.3955 .47784 L
.39498 .47714 L
.39396 .47591 L
.39306 .47456 L
.39273 .47399 L
.39113 .47209 L
.39108 .47206 L
.38961 .47013 L
.3892 .46956 L
.38816 .46821 L
.38727 .46694 L
.38695 .46628 L
.38535 .46441 L
.38526 .46435 L
.38351 .46242 L
.38342 .46188 L
.38241 .4605 L
.38149 .45923 L
.38123 .45857 L
.37957 .45668 L
.3795 .45664 L
.37785 .45472 L
.37764 .45412 L
.37671 .45279 L
.37571 .45145 L
.37554 .45086 L
.3738 .44894 L
.37379 .44892 L
.37219 .44701 L
.37186 .4463 L
.37104 .44508 L
.36993 .44363 L
.36986 .44316 L
.36812 .44123 L
.36801 .4411 L
.36654 .4393 L
.36608 .43844 L
.3654 .43737 L
.36415 .43577 L
.36387 .43545 L
.36247 .43352 L
.36222 .43323 L
.36092 .43159 L
.3603 .43055 L
.35977 .42967 L
.35837 .42789 L
.35824 .42774 L
.35684 .42581 L
.35644 .42534 L
.35532 .42389 L
.35452 .42262 L
.35415 .42196 L
.35264 .42003 L
.35259 .42001 L
.35125 .41811 L
.35066 .41739 L
.34976 .41618 L
.34874 .41464 L
.34854 .41425 L
.34708 .41232 L
.34681 .41219 L
.3451 .4104 L
.34488 .40938 L
.34423 .40847 L
.34296 .40659 L
.34294 .40654 L
.34157 .40462 L
.34103 .40423 L
.33969 .40269 L
.3391 .40123 L
.33878 .40076 L
.33748 .39884 L
.33717 .39841 L
.33614 .39691 L
.33525 .39598 L
.33447 .39498 L
.33346 .39306 L
.33332 .39285 L
.33218 .39113 L
.33139 .38999 L
.33088 .3892 L
.3296 .38727 L
.32947 .38708 L
.32843 .38535 L
.32754 .38396 L
.32724 .38342 L
F
0 .88 1 r
.32754 .39019 m
.32841 .39113 L
.32947 .39213 L
.33022 .39306 L
.33139 .39435 L
.33189 .39498 L
.33332 .39649 L
.3335 .39691 L
.33503 .39884 L
.33525 .39909 L
.33653 .40076 L
.33717 .40154 L
.33804 .40269 L
.3391 .40363 L
.33955 .40462 L
.34103 .40649 L
.34108 .40654 L
.3425 .40847 L
.34296 .40904 L
.34395 .4104 L
.34488 .4112 L
.34542 .41232 L
.34681 .4141 L
.34695 .41425 L
.34831 .41618 L
.34874 .41672 L
.34974 .41811 L
.35066 .41894 L
.35119 .42003 L
.35259 .42187 L
.35268 .42196 L
.35404 .42389 L
.35452 .4245 L
.35545 .42581 L
.35644 .42681 L
.35689 .42774 L
.35832 .42967 L
.35837 .42973 L
.35969 .43159 L
.3603 .43238 L
.3611 .43352 L
.36222 .43479 L
.36253 .43545 L
.36392 .43737 L
.36415 .43767 L
.36529 .4393 L
.36608 .44035 L
.36668 .44123 L
.36801 .44292 L
.36823 .44316 L
.36945 .44508 L
.36993 .44572 L
.3708 .44701 L
.37186 .44843 L
.3722 .44894 L
.37357 .45086 L
.37379 .45115 L
.37486 .45279 L
.37571 .45395 L
.37621 .45472 L
.37758 .45664 L
.37764 .45673 L
.37878 .45857 L
.37957 .45968 L
.38003 .4605 L
.37957 .46186 L
.3784 .4605 L
.37764 .45966 L
.37673 .45857 L
.37571 .45737 L
.37512 .45664 L
.37379 .45509 L
.37356 .45472 L
.37203 .45279 L
.37186 .45258 L
.37051 .45086 L
.36993 .45014 L
.36899 .44894 L
.36801 .44781 L
.36681 .44701 L
.36608 .44517 L
.366 .44508 L
.36454 .44316 L
.36415 .44265 L
.36307 .44123 L
.36222 .44026 L
.3611 .4393 L
.3603 .43757 L
.36015 .43737 L
.35872 .43545 L
.35837 .435 L
.35727 .43352 L
.35644 .43255 L
.35546 .43159 L
.35452 .42983 L
.3544 .42967 L
.35298 .42774 L
.35259 .42722 L
.35155 .42581 L
.35066 .42472 L
.34988 .42389 L
.34874 .42197 L
.34873 .42196 L
.34733 .42003 L
.34681 .41933 L
.34592 .41811 L
.34488 .41678 L
.34436 .41618 L
.34314 .41425 L
.34296 .414 L
.34176 .41232 L
.34103 .4119 L
.34037 .4104 L
.3391 .40866 L
.33895 .40847 L
.33765 .40654 L
.33717 .40588 L
.3363 .40462 L
.33525 .4035 L
.33494 .40269 L
.33363 .40076 L
.33332 .40034 L
.33233 .39884 L
.33139 .39749 L
.33101 .39691 L
.32977 .39498 L
.32947 .39454 L
.3286 .39306 L
.32754 .39136 L
.32742 .39113 L
F
0 .95 1 r
.32947 .25182 m
.33139 .25118 L
.33332 .2509 L
.33525 .25075 L
.33717 .25067 L
.3391 .25067 L
.34103 .25073 L
.34296 .25085 L
.34488 .25105 L
.34681 .25132 L
.34874 .25168 L
.35066 .25212 L
.35164 .25239 L
.35259 .25268 L
.35452 .25335 L
.35644 .25415 L
.35681 .25432 L
.35837 .25509 L
.3603 .25617 L
.36041 .25624 L
.36222 .25741 L
.36329 .25817 L
.36415 .25882 L
.36572 .2601 L
.36608 .2604 L
.36782 .26202 L
.36801 .26221 L
.36963 .26395 L
.36993 .26429 L
.37118 .26588 L
.37186 .26683 L
.37242 .2678 L
.37332 .26973 L
.37372 .27166 L
.37333 .27359 L
.37186 .27524 L
.37108 .27551 L
.36993 .27593 L
.36801 .27633 L
.36608 .2765 L
.36415 .27651 L
.36222 .2764 L
.3603 .27619 L
.35837 .27588 L
.35661 .27551 L
.35644 .27547 L
.35452 .27497 L
.35259 .27437 L
.35066 .27368 L
.35041 .27359 L
.34874 .27289 L
.34681 .27201 L
.34608 .27166 L
.34488 .27104 L
.34296 .26998 L
.34253 .26973 L
.34103 .26881 L
.33948 .2678 L
.3391 .26755 L
.33717 .26618 L
.33677 .26588 L
.33525 .26468 L
.33437 .26395 L
.33332 .26304 L
.33223 .26202 L
.33139 .2612 L
.33038 .2601 L
.32947 .25903 L
.32887 .25817 L
.3278 .25624 L
.32754 .25544 L
.32746 .25432 L
.32754 .25388 L
.32867 .25239 L
F
1 .99 0 r
.32754 .33985 m
.32947 .34067 L
.32971 .34103 L
.33139 .34268 L
.33159 .34296 L
.33325 .34488 L
.33332 .34496 L
.33477 .34681 L
.33525 .34738 L
.33626 .34874 L
.33717 .3496 L
.33773 .35066 L
.3391 .35245 L
.33922 .35259 L
.34054 .35452 L
.34103 .35519 L
.34187 .35644 L
.34296 .35804 L
.34344 .35837 L
.34419 .3603 L
.34296 .3615 L
.34145 .3603 L
.34103 .35992 L
.33958 .35837 L
.3391 .35812 L
.33794 .35644 L
.33717 .35558 L
.336 .35452 L
.33525 .35299 L
.33495 .35259 L
.33354 .35066 L
.33332 .35035 L
.33217 .34874 L
.33139 .34803 L
.33057 .34681 L
.3296 .34488 L
.32947 .34467 L
.32847 .34296 L
.32754 .34106 L
.32752 .34103 L
F
1 .92 0 r
.32947 .38415 m
.33057 .38535 L
.33139 .38617 L
.33234 .38727 L
.33332 .38836 L
.33401 .3892 L
.33525 .39056 L
.33562 .39113 L
.33717 .39302 L
.33721 .39306 L
.33872 .39498 L
.3391 .39544 L
.34025 .39691 L
.34103 .39776 L
.34177 .39884 L
.34296 .40035 L
.34334 .40076 L
.34475 .40269 L
.34488 .40286 L
.34621 .40462 L
.34681 .40527 L
.34827 .40654 L
.34874 .4079 L
.34922 .40847 L
.35061 .4104 L
.35066 .4104 L
.35205 .41232 L
.35259 .41293 L
.35396 .41425 L
.35452 .41559 L
.35499 .41618 L
.35639 .41811 L
.35644 .41812 L
.3578 .42003 L
.35837 .42067 L
.35961 .42196 L
.3603 .42335 L
.3607 .42389 L
.3621 .42581 L
.36222 .42585 L
.36351 .42774 L
.36415 .42847 L
.36524 .42967 L
.36608 .43118 L
.36638 .43159 L
.36779 .43352 L
.36801 .43362 L
.36919 .43545 L
.36993 .43632 L
.37086 .43737 L
.37186 .43904 L
.37204 .4393 L
.37344 .44123 L
.37379 .44142 L
.37484 .44316 L
.37571 .4442 L
.37646 .44508 L
.37764 .44693 L
.37769 .44701 L
.37907 .44894 L
.37957 .44926 L
.38048 .45086 L
.38149 .45212 L
.38203 .45279 L
.38331 .45472 L
.38342 .45486 L
.38468 .45664 L
.38535 .45718 L
.38672 .45857 L
.38727 .4601 L
.38759 .4605 L
.3889 .46242 L
.3892 .46283 L
.39027 .46435 L
.39113 .46518 L
.39214 .46628 L
.39306 .46813 L
.39311 .46821 L
.39445 .47013 L
.39498 .47085 L
.39582 .47206 L
.39691 .4733 L
.39749 .47399 L
.39861 .47591 L
.39884 .47622 L
.39994 .47784 L
.40076 .47895 L
.40132 .47977 L
.40269 .48163 L
.40274 .48169 L
.40402 .48362 L
.40462 .48444 L
.40535 .48555 L
.40654 .48722 L
.40671 .48747 L
.40799 .4894 L
.40847 .49008 L
.40923 .49133 L
.4104 .49303 L
.41053 .49326 L
.41162 .49518 L
.41232 .49642 L
.41249 .49711 L
.41232 .49732 L
.41204 .49711 L
.4104 .49563 L
.40998 .49518 L
.40847 .49366 L
.40822 .49326 L
.40655 .49133 L
.40654 .49132 L
.40493 .4894 L
.40462 .48904 L
.40332 .48747 L
.40269 .48686 L
.40174 .48555 L
.40076 .48431 L
.40006 .48362 L
.39884 .48186 L
.39873 .48169 L
.39717 .47977 L
.39691 .4795 L
.39565 .47784 L
.39498 .47696 L
.39409 .47591 L
.39306 .47441 L
.39282 .47399 L
.39121 .47206 L
.39113 .47197 L
.38972 .47013 L
.3892 .46942 L
.38825 .46821 L
.38727 .46681 L
.38702 .46628 L
.38536 .46435 L
.38535 .46434 L
.38353 .46242 L
.38342 .46176 L
.38249 .4605 L
.38149 .45912 L
.38128 .45857 L
.37959 .45664 L
.37957 .45662 L
.37789 .45472 L
.37764 .45401 L
.37678 .45279 L
.37571 .45136 L
.37557 .45086 L
.37387 .44894 L
.37379 .44884 L
.37223 .44701 L
.37186 .44621 L
.3711 .44508 L
.36993 .44354 L
.36988 .44316 L
.36819 .44123 L
.36801 .44102 L
.36659 .4393 L
.36608 .43835 L
.36545 .43737 L
.36415 .43569 L
.36393 .43545 L
.36253 .43352 L
.36222 .43316 L
.36097 .43159 L
.3603 .43046 L
.35982 .42967 L
.35837 .42781 L
.35831 .42774 L
.35691 .42581 L
.35644 .42525 L
.35538 .42389 L
.35452 .42252 L
.3542 .42196 L
.35272 .42003 L
.35259 .41999 L
.35133 .41811 L
.35066 .41729 L
.34983 .41618 L
.34874 .41453 L
.3486 .41425 L
.34717 .41232 L
.34681 .41213 L
.34515 .4104 L
.34488 .40925 L
.34433 .40847 L
.34303 .40654 L
.34296 .40644 L
.34168 .40462 L
.34103 .4041 L
.33981 .40269 L
.3391 .40103 L
.33892 .40076 L
.33762 .39884 L
.33717 .39821 L
.33629 .39691 L
.33525 .39567 L
.33472 .39498 L
.33366 .39306 L
.33332 .39256 L
.3324 .39113 L
.33139 .38964 L
.33111 .3892 L
.32994 .38727 L
.32947 .38654 L
.32883 .38535 L
F
0 .87 1 r
.32947 .3927 m
.32977 .39306 L
.33139 .39472 L
.33161 .39498 L
.33327 .39691 L
.33332 .39697 L
.3348 .39884 L
.33525 .39934 L
.33634 .40076 L
.33717 .40176 L
.33788 .40269 L
.3391 .40391 L
.33941 .40462 L
.34091 .40654 L
.34103 .40668 L
.34236 .40847 L
.34296 .40921 L
.34383 .4104 L
.34488 .41139 L
.34531 .41232 L
.34679 .41425 L
.34681 .41427 L
.3482 .41618 L
.34874 .41686 L
.34964 .41811 L
.35066 .41911 L
.35109 .42003 L
.35255 .42196 L
.35259 .42201 L
.35394 .42389 L
.35452 .42463 L
.35536 .42581 L
.35644 .42697 L
.3568 .42774 L
.35822 .42967 L
.35837 .42986 L
.3596 .43159 L
.3603 .43251 L
.361 .43352 L
.36222 .43497 L
.36244 .43545 L
.36382 .43737 L
.36415 .43781 L
.36518 .4393 L
.36608 .44049 L
.36659 .44123 L
.36801 .44314 L
.36802 .44316 L
.36933 .44508 L
.36993 .44589 L
.37068 .44701 L
.37186 .4486 L
.37208 .44894 L
.37341 .45086 L
.37379 .45137 L
.3747 .45279 L
.37571 .45419 L
.37604 .45472 L
.37734 .45664 L
.37764 .45707 L
.37849 .45857 L
.37957 .46021 L
.3797 .4605 L
.37957 .46122 L
.37886 .4605 L
.37764 .45926 L
.37705 .45857 L
.37571 .45704 L
.37538 .45664 L
.37379 .45472 L
.37379 .45471 L
.37225 .45279 L
.37186 .45233 L
.3707 .45086 L
.36993 .44991 L
.36916 .44894 L
.36801 .44757 L
.36713 .44701 L
.36617 .44508 L
.36608 .44497 L
.36469 .44316 L
.36415 .44246 L
.36321 .44123 L
.36222 .44007 L
.36129 .4393 L
.3603 .43739 L
.36029 .43737 L
.35884 .43545 L
.35837 .43483 L
.35739 .43352 L
.35644 .43238 L
.35562 .43159 L
.35452 .42967 L
.35452 .42966 L
.3531 .42774 L
.35259 .42706 L
.35167 .42581 L
.35066 .42455 L
.35003 .42389 L
.34885 .42196 L
.34874 .42181 L
.34745 .42003 L
.34681 .41916 L
.34604 .41811 L
.34488 .41658 L
.34453 .41618 L
.34327 .41425 L
.34296 .41382 L
.34189 .41232 L
.34103 .41168 L
.34051 .4104 L
.33914 .40847 L
.3391 .40842 L
.33781 .40654 L
.33717 .40566 L
.33646 .40462 L
.33525 .40308 L
.33511 .40269 L
.33383 .40076 L
.33332 .40004 L
.33255 .39884 L
.33139 .39714 L
.33125 .39691 L
.33013 .39498 L
.32947 .39393 L
.32907 .39306 L
F
0 .94 1 r
.33332 .25172 m
.33525 .25142 L
.33717 .25128 L
.3391 .25125 L
.34103 .2513 L
.34296 .25144 L
.34488 .25166 L
.34681 .25196 L
.34874 .25235 L
.3489 .25239 L
.35066 .25285 L
.35259 .25347 L
.35452 .25421 L
.35478 .25432 L
.35644 .25508 L
.35837 .2561 L
.35862 .25624 L
.3603 .25728 L
.36161 .25817 L
.36222 .25862 L
.36409 .2601 L
.36415 .26015 L
.36608 .26191 L
.3662 .26202 L
.36799 .26395 L
.36801 .26396 L
.36949 .26588 L
.36993 .26646 L
.37065 .2678 L
.3714 .26973 L
.37154 .27166 L
.37057 .27359 L
.36993 .27416 L
.36801 .27498 L
.36608 .27532 L
.36415 .27544 L
.36222 .27539 L
.3603 .27521 L
.35837 .27491 L
.35644 .27451 L
.35452 .274 L
.35317 .27359 L
.35259 .27339 L
.35066 .27268 L
.34874 .27187 L
.34825 .27166 L
.34681 .27097 L
.34488 .26997 L
.34445 .26973 L
.34296 .26886 L
.34125 .2678 L
.34103 .26766 L
.3391 .26634 L
.33847 .26588 L
.33717 .26489 L
.33601 .26395 L
.33525 .2633 L
.33386 .26202 L
.33332 .26151 L
.33202 .2601 L
.33139 .25941 L
.33055 .25817 L
.32959 .25624 L
.32948 .25432 L
.33139 .2524 L
.33142 .25239 L
F
1 .91 0 r
.33139 .38668 m
.33192 .38727 L
.33332 .38874 L
.33371 .3892 L
.33525 .39092 L
.33538 .39113 L
.33697 .39306 L
.33717 .39328 L
.33853 .39498 L
.3391 .39566 L
.34008 .39691 L
.34103 .39795 L
.34162 .39884 L
.34296 .40052 L
.34319 .40076 L
.34462 .40269 L
.34488 .40301 L
.3461 .40462 L
.34681 .4054 L
.34817 .40654 L
.34874 .40803 L
.34912 .40847 L
.35052 .4104 L
.35066 .41042 L
.35196 .41232 L
.35259 .41303 L
.35388 .41425 L
.35452 .41569 L
.35491 .41618 L
.35631 .41811 L
.35644 .41814 L
.35774 .42003 L
.35837 .42075 L
.35955 .42196 L
.3603 .42344 L
.36064 .42389 L
.36204 .42581 L
.36222 .42588 L
.36346 .42774 L
.36415 .42854 L
.36519 .42967 L
.36608 .43125 L
.36633 .43159 L
.36773 .43352 L
.36801 .43365 L
.36914 .43545 L
.36993 .43638 L
.37081 .43737 L
.37186 .4391 L
.372 .4393 L
.37339 .44123 L
.37379 .44145 L
.3748 .44316 L
.37571 .44427 L
.3764 .44508 L
.37764 .447 L
.37765 .44701 L
.37902 .44894 L
.37957 .44931 L
.38043 .45086 L
.38149 .4522 L
.38198 .45279 L
.38326 .45472 L
.38342 .45493 L
.38463 .45664 L
.38535 .45725 L
.38665 .45857 L
.38727 .46018 L
.38752 .4605 L
.38883 .46242 L
.3892 .46291 L
.39021 .46435 L
.39113 .46528 L
.39204 .46628 L
.39303 .46821 L
.39306 .46824 L
.39437 .47013 L
.39498 .47095 L
.39575 .47206 L
.39691 .47345 L
.39737 .47399 L
.39851 .47591 L
.39884 .47634 L
.39985 .47784 L
.40076 .47908 L
.40122 .47977 L
.4026 .48169 L
.40269 .48181 L
.40389 .48362 L
.40462 .48463 L
.40521 .48555 L
.40654 .48744 L
.40657 .48747 L
.40777 .4894 L
.40847 .49042 L
.40899 .49133 L
.40847 .49305 L
.40691 .49133 L
.40654 .49095 L
.40521 .4894 L
.40462 .48872 L
.40357 .48747 L
.40269 .48661 L
.40196 .48555 L
.40076 .48406 L
.40028 .48362 L
.39886 .48169 L
.39884 .48166 L
.39733 .47977 L
.39691 .47934 L
.3958 .47784 L
.39498 .47677 L
.39421 .47591 L
.39306 .47425 L
.3929 .47399 L
.39133 .47206 L
.39113 .47185 L
.38984 .47013 L
.3892 .46927 L
.38835 .46821 L
.38727 .46669 L
.38707 .46628 L
.38546 .46435 L
.38535 .46423 L
.38355 .46242 L
.38342 .46164 L
.38257 .4605 L
.38149 .45901 L
.38132 .45857 L
.37967 .45664 L
.37957 .45653 L
.37792 .45472 L
.37764 .45391 L
.37684 .45279 L
.37571 .45127 L
.3756 .45086 L
.37394 .44894 L
.37379 .44876 L
.37228 .44701 L
.37186 .44611 L
.37116 .44508 L
.36993 .44346 L
.36989 .44316 L
.36825 .44123 L
.36801 .44094 L
.36664 .4393 L
.36608 .43827 L
.36551 .43737 L
.36415 .43561 L
.364 .43545 L
.3626 .43352 L
.36222 .43308 L
.36103 .43159 L
.3603 .43037 L
.35988 .42967 L
.35838 .42774 L
.35837 .42774 L
.35698 .42581 L
.35644 .42517 L
.35545 .42389 L
.35452 .42243 L
.35426 .42196 L
.35279 .42003 L
.35259 .41995 L
.3514 .41811 L
.35066 .41719 L
.34991 .41618 L
.34874 .41441 L
.34865 .41425 L
.34725 .41232 L
.34681 .41206 L
.34523 .4104 L
.34488 .4091 L
.34443 .40847 L
.34314 .40654 L
.34296 .40629 L
.34179 .40462 L
.34103 .40394 L
.33996 .40269 L
.3391 .40082 L
.33906 .40076 L
.33777 .39884 L
.33717 .39799 L
.33644 .39691 L
.33525 .3953 L
.33501 .39498 L
.33388 .39306 L
.33332 .39224 L
.33263 .39113 L
.33139 .38922 L
.33138 .3892 L
.33038 .38727 L
F
0 .96 1 r
.33139 .37866 m
.3323 .37957 L
.33332 .38055 L
.33417 .38149 L
.33525 .38248 L
.3359 .38342 L
.33717 .38489 L
.3378 .38535 L
.3391 .38722 L
.33915 .38727 L
.34072 .3892 L
.34103 .38949 L
.34227 .39113 L
.34296 .39199 L
.34405 .39306 L
.34488 .39449 L
.34526 .39498 L
.34681 .39691 L
.34681 .39691 L
.34829 .39884 L
.34874 .39942 L
.34993 .40076 L
.35066 .40201 L
.35113 .40269 L
.35259 .40454 L
.3527 .40462 L
.35415 .40654 L
.35452 .40704 L
.3557 .40847 L
.35644 .40968 L
.35689 .4104 L
.35837 .41225 L
.35848 .41232 L
.35991 .41425 L
.3603 .41477 L
.36141 .41618 L
.36222 .41743 L
.3626 .41811 L
.36415 .41999 L
.36421 .42003 L
.366 .42196 L
.36608 .42257 L
.3671 .42389 L
.36801 .42524 L
.36829 .42581 L
.3699 .42774 L
.36993 .42778 L
.37164 .42967 L
.37186 .4304 L
.37275 .43159 L
.37379 .43307 L
.37396 .43352 L
.37557 .43545 L
.37571 .43561 L
.37728 .43737 L
.37764 .43826 L
.3784 .4393 L
.37957 .44092 L
.37965 .44123 L
.38122 .44316 L
.38149 .44345 L
.38291 .44508 L
.38342 .44613 L
.38404 .44701 L
.38535 .44879 L
.38536 .44894 L
.38687 .45086 L
.38727 .45132 L
.38853 .45279 L
.3892 .45401 L
.38967 .45472 L
.39112 .45664 L
.39113 .45665 L
.39251 .45857 L
.39306 .45919 L
.39413 .4605 L
.39498 .46191 L
.39531 .46242 L
.39675 .46435 L
.39691 .46442 L
.39814 .46628 L
.39884 .46709 L
.39973 .46821 L
.40076 .46982 L
.40095 .47013 L
.40237 .47206 L
.40269 .47223 L
.40444 .47399 L
.40462 .475 L
.40532 .47591 L
.40654 .47775 L
.40659 .47784 L
.40798 .47977 L
.40847 .48009 L
.40996 .48169 L
.4104 .48295 L
.4109 .48362 L
.41221 .48555 L
.41232 .48569 L
.41359 .48747 L
.41425 .48802 L
.41546 .4894 L
.41618 .49093 L
.41647 .49133 L
.4178 .49326 L
.41811 .49366 L
.41918 .49518 L
.42003 .49601 L
.42094 .49711 L
.42196 .49896 L
.42202 .49904 L
.42336 .50096 L
.42389 .50167 L
.42474 .50289 L
.42581 .50412 L
.42636 .50482 L
.42753 .50674 L
.42774 .50702 L
.42887 .50867 L
.42967 .50975 L
.43025 .5106 L
.43159 .5124 L
.43169 .51253 L
.43296 .51445 L
.43352 .51521 L
.43429 .51638 L
.43545 .51798 L
.43566 .51831 L
.43696 .52023 L
.43737 .52082 L
.43821 .52216 L
.4393 .52375 L
.4395 .52409 L
.44066 .52601 L
.44123 .52693 L
.44166 .52794 L
.44123 .52874 L
.44034 .52794 L
.4393 .52696 L
.43841 .52601 L
.43737 .5252 L
.43664 .52409 L
.43545 .52272 L
.43455 .52216 L
.43352 .52042 L
.43335 .52023 L
.43173 .51831 L
.43159 .51818 L
.43014 .51638 L
.42967 .51576 L
.42835 .51445 L
.42774 .51328 L
.42719 .51253 L
.42581 .5108 L
.42553 .5106 L
.42403 .50867 L
.42389 .50846 L
.42245 .50674 L
.42196 .50589 L
.42126 .50482 L
.42003 .50327 L
.41955 .50289 L
.41811 .50096 L
.41811 .50095 L
.41663 .49904 L
.41618 .49833 L
.41544 .49711 L
.41425 .49562 L
.41371 .49518 L
.41232 .49329 L
.41229 .49326 L
.41086 .49133 L
.4104 .49063 L
.40971 .4894 L
.40847 .48789 L
.40795 .48747 L
.40655 .48555 L
.40654 .48554 L
.40515 .48362 L
.40462 .48286 L
.40403 .48169 L
.40269 .48011 L
.40223 .47977 L
.40079 .47784 L
.40076 .47773 L
.39947 .47591 L
.39884 .47503 L
.39839 .47399 L
.39691 .4723 L
.39655 .47206 L
.39508 .47013 L
.39498 .46989 L
.39382 .46821 L
.39306 .46718 L
.39277 .46628 L
.39113 .4645 L
.39089 .46435 L
.3894 .46242 L
.3892 .46202 L
.38819 .4605 L
.38727 .45931 L
.38716 .45857 L
.38535 .4567 L
.38524 .45664 L
.38375 .45472 L
.38342 .45414 L
.38256 .45279 L
.38149 .45144 L
.38099 .45086 L
.3796 .44894 L
.37957 .4489 L
.37811 .44701 L
.37764 .44625 L
.37694 .44508 L
.37571 .44356 L
.37536 .44316 L
.37396 .44123 L
.37379 .44102 L
.37248 .4393 L
.37186 .43835 L
.37133 .43737 L
.36993 .43567 L
.36973 .43545 L
.36834 .43352 L
.36801 .43313 L
.36687 .43159 L
.36608 .43043 L
.36571 .42967 L
.36415 .42778 L
.36412 .42774 L
.36235 .42581 L
.36222 .42521 L
.36127 .42389 L
.3603 .4225 L
.36008 .42196 L
.35852 .42003 L
.35837 .41995 L
.35675 .41811 L
.35644 .41727 L
.35569 .41618 L
.35452 .41453 L
.35443 .41425 L
.35294 .41232 L
.35259 .41208 L
.3512 .4104 L
.35066 .40927 L
.35014 .40847 L
.34876 .40654 L
.34874 .40651 L
.3474 .40462 L
.34681 .40411 L
.34571 .40269 L
.34488 .40118 L
.34462 .40076 L
.34328 .39884 L
.34296 .39839 L
.34193 .39691 L
.34103 .39593 L
.34035 .39498 L
.33921 .39306 L
.3391 .39291 L
.3379 .39113 L
.33717 .39009 L
.33658 .3892 L
.33525 .38728 L
.33525 .38727 L
.33402 .38535 L
.33332 .3843 L
.33278 .38342 L
.33158 .38149 L
.33139 .3812 L
.33059 .37957 L
F
0 .94 1 r
.33139 .41101 m
.33218 .41232 L
.33332 .41385 L
.33354 .41425 L
.33332 .41505 L
.33268 .41425 L
.33139 .41276 L
.33105 .41232 L
F
1 .89 0 r
.33139 .40271 m
.33279 .40462 L
.33332 .40524 L
.33424 .40654 L
.33525 .40777 L
.33573 .40847 L
.33717 .4103 L
.33724 .4104 L
.33861 .41232 L
.3391 .41293 L
.34001 .41425 L
.34103 .41555 L
.34145 .41618 L
.34292 .41811 L
.34296 .41816 L
.34422 .42003 L
.34488 .42088 L
.34558 .42196 L
.34681 .42357 L
.34701 .42389 L
.34681 .42572 L
.34542 .42389 L
.34488 .42325 L
.34391 .42196 L
.34296 .42076 L
.34241 .42003 L
.34103 .41824 L
.34093 .41811 L
.33952 .41618 L
.3391 .41565 L
.33809 .41425 L
.33717 .41306 L
.33664 .41232 L
.33525 .41044 L
.33521 .4104 L
.33387 .40847 L
.33332 .40776 L
.33248 .40654 L
.33139 .40507 L
.33108 .40462 L
F
0 .93 1 r
.33525 .25225 m
.33717 .25198 L
.3391 .25189 L
.34103 .25192 L
.34296 .25205 L
.34488 .25227 L
.34566 .25239 L
.34681 .2526 L
.34874 .25302 L
.35066 .25357 L
.35259 .25424 L
.3528 .25432 L
.35452 .25503 L
.35644 .25598 L
.35693 .25624 L
.35837 .25708 L
.36005 .25817 L
.3603 .25834 L
.36222 .2598 L
.36258 .2601 L
.36415 .26149 L
.3647 .26202 L
.36608 .26347 L
.36648 .26395 L
.36792 .26588 L
.36801 .26593 L
.36898 .2678 L
.36956 .26973 L
.36935 .27166 L
.36801 .27345 L
.36732 .27359 L
.36608 .27401 L
.36415 .27432 L
.36222 .27437 L
.3603 .27424 L
.35837 .27397 L
.35645 .27359 L
.35644 .27358 L
.35452 .27308 L
.35259 .27246 L
.35066 .27175 L
.35044 .27166 L
.34874 .27092 L
.34681 .27 L
.34629 .26973 L
.34488 .26896 L
.34296 .26783 L
.34292 .2678 L
.34103 .26657 L
.34003 .26588 L
.3391 .26519 L
.33753 .26395 L
.33717 .26366 L
.33535 .26202 L
.33525 .26193 L
.33353 .2601 L
.33332 .25992 L
.33212 .25817 L
.33139 .25665 L
.33128 .25624 L
.33139 .25446 L
.33146 .25432 L
.33332 .25283 L
.33466 .25239 L
F
0 .99 1 r
.33332 .33806 m
.33458 .3391 L
.33525 .33944 L
.3365 .34103 L
.33717 .34169 L
.33817 .34296 L
.3391 .34407 L
.34008 .34488 L
.34103 .34653 L
.34129 .34681 L
.34274 .34874 L
.34296 .34885 L
.34418 .35066 L
.34488 .35146 L
.34589 .35259 L
.34681 .35417 L
.34704 .35452 L
.34841 .35644 L
.34874 .35689 L
.34976 .35837 L
.35066 .3597 L
.35123 .3603 L
.35215 .36222 L
.35066 .36382 L
.34874 .36267 L
.34803 .36222 L
.34681 .36071 L
.34649 .3603 L
.34489 .35837 L
.34488 .35836 L
.3434 .35644 L
.34296 .35591 L
.34176 .35452 L
.34103 .35327 L
.3406 .35259 L
.33913 .35066 L
.3391 .35063 L
.33776 .34874 L
.33717 .34823 L
.33624 .34681 L
.33525 .34517 L
.33512 .34488 L
.33385 .34296 L
.33332 .34208 L
.33269 .34103 L
.33179 .3391 L
F
1 .9 0 r
.33332 .38918 m
.33334 .3892 L
.33507 .39113 L
.33525 .3913 L
.33672 .39306 L
.33717 .39356 L
.33832 .39498 L
.3391 .39589 L
.33991 .39691 L
.34103 .39816 L
.34147 .39884 L
.34296 .4007 L
.34302 .40076 L
.34449 .40269 L
.34488 .40317 L
.34599 .40462 L
.34681 .40554 L
.34804 .40654 L
.34874 .40816 L
.34901 .40847 L
.35043 .4104 L
.35066 .41044 L
.35188 .41232 L
.35259 .41313 L
.3538 .41425 L
.35452 .41578 L
.35484 .41618 L
.35624 .41811 L
.35644 .41816 L
.35767 .42003 L
.35837 .42083 L
.35948 .42196 L
.3603 .42352 L
.36058 .42389 L
.36198 .42581 L
.36222 .4259 L
.3634 .42774 L
.36415 .42861 L
.36513 .42967 L
.36608 .43132 L
.36628 .43159 L
.36768 .43352 L
.36801 .43368 L
.36909 .43545 L
.36993 .43645 L
.37075 .43737 L
.37186 .43917 L
.37195 .4393 L
.37334 .44123 L
.37379 .44149 L
.37475 .44316 L
.37571 .44434 L
.37635 .44508 L
.37759 .44701 L
.37764 .44707 L
.37897 .44894 L
.37957 .44937 L
.38038 .45086 L
.38149 .45227 L
.38192 .45279 L
.3832 .45472 L
.38342 .45501 L
.38458 .45664 L
.38535 .45732 L
.38658 .45857 L
.38727 .46027 L
.38745 .4605 L
.38877 .46242 L
.3892 .46299 L
.39015 .46435 L
.39113 .46538 L
.39195 .46628 L
.39296 .46821 L
.39306 .46833 L
.3943 .47013 L
.39498 .47105 L
.39567 .47206 L
.39691 .47361 L
.39723 .47399 L
.39842 .47591 L
.39884 .47648 L
.39975 .47784 L
.40076 .47923 L
.40112 .47977 L
.40247 .48169 L
.40269 .48199 L
.40374 .48362 L
.40462 .48485 L
.40506 .48555 L
.40636 .48747 L
.40654 .48774 L
.4075 .4894 L
.40847 .49091 L
.40867 .49133 L
.40847 .49243 L
.40736 .49133 L
.40654 .49053 L
.40553 .4894 L
.40462 .48839 L
.40383 .48747 L
.40269 .48631 L
.40219 .48555 L
.40076 .48381 L
.40054 .48362 L
.39905 .48169 L
.39884 .48144 L
.39749 .47977 L
.39691 .47918 L
.39595 .47784 L
.39498 .4766 L
.39435 .47591 L
.39306 .47411 L
.39298 .47399 L
.39145 .47206 L
.39113 .47172 L
.38995 .47013 L
.3892 .46913 L
.38844 .46821 L
.38727 .46657 L
.38713 .46628 L
.38555 .46435 L
.38535 .46412 L
.38358 .46242 L
.38342 .46152 L
.38265 .4605 L
.38149 .45891 L
.38136 .45857 L
.37975 .45664 L
.37957 .45643 L
.37796 .45472 L
.37764 .45381 L
.37691 .45279 L
.37571 .45118 L
.37562 .45086 L
.37401 .44894 L
.37379 .44867 L
.37232 .44701 L
.37186 .44602 L
.37122 .44508 L
.36993 .44338 L
.3699 .44316 L
.36832 .44123 L
.36801 .44086 L
.36669 .4393 L
.36608 .43818 L
.36556 .43737 L
.36415 .43554 L
.36407 .43545 L
.36267 .43352 L
.36222 .433 L
.36109 .43159 L
.3603 .43028 L
.35993 .42967 L
.35845 .42774 L
.35837 .42772 L
.35705 .42581 L
.35644 .42508 L
.35551 .42389 L
.35452 .42233 L
.35431 .42196 L
.35287 .42003 L
.35259 .41991 L
.35148 .41811 L
.35066 .41708 L
.34999 .41618 L
.34874 .41429 L
.34871 .41425 L
.34734 .41232 L
.34681 .41197 L
.34531 .4104 L
.34488 .40895 L
.34454 .40847 L
.34325 .40654 L
.34296 .40614 L
.3419 .40462 L
.34103 .40375 L
.34013 .40269 L
.33921 .40076 L
.3391 .40061 L
.33792 .39884 L
.33717 .39777 L
.33661 .39691 L
.33531 .39498 L
.33525 .39489 L
.33411 .39306 L
.33332 .39185 L
.3329 .39113 L
.33183 .3892 L
F
0 .86 1 r
.33332 .39734 m
.33452 .39884 L
.33525 .39963 L
.33612 .40076 L
.33717 .40199 L
.3377 .40269 L
.3391 .40424 L
.33926 .40462 L
.34075 .40654 L
.34103 .40688 L
.34222 .40847 L
.34296 .40938 L
.3437 .4104 L
.34488 .41161 L
.3452 .41232 L
.34667 .41425 L
.34681 .41443 L
.34808 .41618 L
.34874 .417 L
.34953 .41811 L
.35066 .41929 L
.351 .42003 L
.35244 .42196 L
.35259 .42215 L
.35383 .42389 L
.35452 .42477 L
.35526 .42581 L
.35644 .42715 L
.35671 .42774 L
.35812 .42967 L
.35837 .42999 L
.35949 .43159 L
.3603 .43264 L
.36091 .43352 L
.36222 .43517 L
.36234 .43545 L
.36371 .43737 L
.36415 .43796 L
.36507 .4393 L
.36608 .44064 L
.36648 .44123 L
.36788 .44316 L
.36801 .44332 L
.3692 .44508 L
.36993 .44607 L
.37055 .44701 L
.37186 .44879 L
.37195 .44894 L
.37323 .45086 L
.37379 .45162 L
.37451 .45279 L
.37571 .45447 L
.37586 .45472 L
.37701 .45664 L
.37764 .45761 L
.37798 .45857 L
.37764 .4587 L
.37751 .45857 L
.37571 .45666 L
.3757 .45664 L
.37408 .45472 L
.37379 .4544 L
.37248 .45279 L
.37186 .45206 L
.3709 .45086 L
.36993 .44967 L
.36935 .44894 L
.36801 .44731 L
.36753 .44701 L
.36634 .44508 L
.36608 .44476 L
.36485 .44316 L
.36415 .44227 L
.36335 .44123 L
.36222 .43986 L
.36152 .4393 L
.36043 .43737 L
.3603 .43721 L
.35898 .43545 L
.35837 .43466 L
.35752 .43352 L
.35644 .43219 L
.3558 .43159 L
.35465 .42967 L
.35452 .4295 L
.35323 .42774 L
.35259 .42689 L
.35179 .42581 L
.35066 .42437 L
.3502 .42389 L
.34898 .42196 L
.34874 .42164 L
.34758 .42003 L
.34681 .41899 L
.34617 .41811 L
.34488 .41637 L
.34471 .41618 L
.34341 .41425 L
.34296 .41363 L
.34203 .41232 L
.34103 .4114 L
.34065 .4104 L
.3393 .40847 L
.3391 .4082 L
.33798 .40654 L
.33717 .40542 L
.33663 .40462 L
.3353 .40269 L
.33525 .40262 L
.33407 .40076 L
.33332 .39968 L
.3328 .39884 L
F
1 .88 0 r
.33332 .40582 m
.3338 .40654 L
.33525 .40825 L
.3354 .40847 L
.33525 .40987 L
.33433 .40847 L
.33332 .40716 L
.33292 .40654 L
F
0 .92 1 r
.33525 .25297 m
.33717 .25269 L
.3391 .25257 L
.34103 .25256 L
.34296 .25267 L
.34488 .2529 L
.34681 .25324 L
.34874 .2537 L
.35066 .25429 L
.35075 .25432 L
.35259 .255 L
.35452 .25586 L
.35529 .25624 L
.35644 .25687 L
.35837 .25805 L
.35855 .25817 L
.3603 .25942 L
.36115 .2601 L
.36222 .26101 L
.36329 .26202 L
.36415 .26289 L
.36504 .26395 L
.36608 .26529 L
.36642 .26588 L
.36737 .2678 L
.36771 .26973 L
.36696 .27166 L
.36608 .27247 L
.36415 .2731 L
.36222 .27329 L
.3603 .27325 L
.35837 .27304 L
.35644 .27267 L
.35452 .27218 L
.35284 .27166 L
.35259 .27157 L
.35066 .27085 L
.34874 .27001 L
.34814 .26973 L
.34681 .26907 L
.34488 .26801 L
.34454 .2678 L
.34296 .26683 L
.34153 .26588 L
.34103 .26553 L
.3391 .26406 L
.33896 .26395 L
.33717 .26241 L
.33677 .26202 L
.33525 .26045 L
.33496 .2601 L
.33361 .25817 L
.33332 .25759 L
.33293 .25624 L
.33332 .25456 L
.33351 .25432 L
F
0 .85 1 r
.33332 .39787 m
.33413 .39884 L
.33525 .39996 L
.33587 .40076 L
.33717 .40225 L
.33751 .40269 L
.3391 .40462 L
.3391 .40462 L
.34057 .40654 L
.34103 .40708 L
.34206 .40847 L
.34296 .40956 L
.34357 .4104 L
.34488 .41187 L
.34508 .41232 L
.34653 .41425 L
.34681 .41459 L
.34796 .41618 L
.34874 .41715 L
.34942 .41811 L
.35066 .4195 L
.3509 .42003 L
.35232 .42196 L
.35259 .4223 L
.35372 .42389 L
.35452 .4249 L
.35516 .42581 L
.35644 .42735 L
.35661 .42774 L
.358 .42967 L
.35837 .43014 L
.35939 .43159 L
.3603 .43278 L
.36081 .43352 L
.36222 .43539 L
.36225 .43545 L
.36359 .43737 L
.36415 .43811 L
.36496 .4393 L
.36608 .44079 L
.36637 .44123 L
.36774 .44316 L
.36801 .4435 L
.36905 .44508 L
.36993 .44626 L
.37042 .44701 L
.3718 .44894 L
.37186 .44901 L
.37302 .45086 L
.37379 .45192 L
.37429 .45279 L
.37379 .45403 L
.37276 .45279 L
.37186 .45177 L
.37113 .45086 L
.36993 .44942 L
.36955 .44894 L
.36801 .44701 L
.36801 .447 L
.36652 .44508 L
.36608 .44455 L
.36501 .44316 L
.36415 .44207 L
.3635 .44123 L
.36222 .43964 L
.36179 .4393 L
.36057 .43737 L
.3603 .43703 L
.35911 .43545 L
.35837 .43448 L
.35765 .43352 L
.35644 .43199 L
.35601 .43159 L
.35478 .42967 L
.35452 .42932 L
.35335 .42774 L
.35259 .42672 L
.35192 .42581 L
.35066 .42416 L
.35039 .42389 L
.34911 .42196 L
.34874 .42146 L
.34771 .42003 L
.34681 .41881 L
.3463 .41811 L
.34491 .41618 L
.34488 .41614 L
.34356 .41425 L
.34296 .41343 L
.34218 .41232 L
.34103 .41104 L
.3408 .4104 L
.33948 .40847 L
.3391 .40795 L
.33816 .40654 L
.33717 .40515 L
.33682 .40462 L
.33555 .40269 L
.33525 .40226 L
.33435 .40076 L
.33332 .39921 L
.33311 .39884 L
F
1 .89 0 r
.33332 .38984 m
.33463 .39113 L
.33525 .3917 L
.33642 .39306 L
.33717 .39386 L
.3381 .39498 L
.3391 .39613 L
.33972 .39691 L
.34103 .3984 L
.34131 .39884 L
.34285 .40076 L
.34296 .40088 L
.34436 .40269 L
.34488 .40333 L
.34587 .40462 L
.34681 .40568 L
.3479 .40654 L
.34874 .40829 L
.3489 .40847 L
.35033 .4104 L
.35066 .41047 L
.35179 .41232 L
.35259 .41323 L
.35371 .41425 L
.35452 .41588 L
.35476 .41618 L
.35617 .41811 L
.35644 .41819 L
.3576 .42003 L
.35837 .42092 L
.35941 .42196 L
.3603 .4236 L
.36052 .42389 L
.36192 .42581 L
.36222 .42594 L
.36334 .42774 L
.36415 .42869 L
.36507 .42967 L
.36608 .43139 L
.36623 .43159 L
.36762 .43352 L
.36801 .43371 L
.36904 .43545 L
.36993 .43652 L
.37069 .43737 L
.37186 .43924 L
.3719 .4393 L
.37329 .44123 L
.37379 .44154 L
.3747 .44316 L
.37571 .44441 L
.37629 .44508 L
.37754 .44701 L
.37764 .44714 L
.37892 .44894 L
.37957 .44943 L
.38033 .45086 L
.38149 .45235 L
.38185 .45279 L
.38314 .45472 L
.38342 .45508 L
.38452 .45664 L
.38535 .4574 L
.3865 .45857 L
.38727 .46036 L
.38738 .4605 L
.38871 .46242 L
.3892 .46308 L
.39009 .46435 L
.39113 .46549 L
.39184 .46628 L
.39288 .46821 L
.39306 .46843 L
.39422 .47013 L
.39498 .47115 L
.3956 .47206 L
.39691 .47378 L
.39709 .47399 L
.39832 .47591 L
.39884 .47661 L
.39965 .47784 L
.40076 .47938 L
.40102 .47977 L
.40233 .48169 L
.40269 .4822 L
.40358 .48362 L
.40462 .48509 L
.40489 .48555 L
.4061 .48747 L
.40654 .48815 L
.40714 .4894 L
.40654 .49003 L
.40594 .4894 L
.40462 .48803 L
.40413 .48747 L
.40269 .48594 L
.40244 .48555 L
.40082 .48362 L
.40076 .48355 L
.39923 .48169 L
.39884 .48122 L
.39766 .47977 L
.39691 .479 L
.3961 .47784 L
.39498 .47642 L
.3945 .47591 L
.39308 .47399 L
.39306 .47396 L
.39157 .47206 L
.39113 .47159 L
.39006 .47013 L
.3892 .46899 L
.38854 .46821 L
.38727 .46645 L
.38719 .46628 L
.38565 .46435 L
.38535 .46402 L
.38361 .46242 L
.38342 .46141 L
.38272 .4605 L
.38149 .45882 L
.3814 .45857 L
.37983 .45664 L
.37957 .45634 L
.37801 .45472 L
.37764 .45371 L
.37698 .45279 L
.37571 .45109 L
.37565 .45086 L
.37408 .44894 L
.37379 .44859 L
.37237 .44701 L
.37186 .44593 L
.37128 .44508 L
.36993 .4433 L
.36991 .44316 L
.36839 .44123 L
.36801 .44078 L
.36674 .4393 L
.36608 .43809 L
.36562 .43737 L
.36415 .43546 L
.36414 .43545 L
.36273 .43352 L
.36222 .43291 L
.36114 .43159 L
.3603 .43019 L
.35998 .42967 L
.35852 .42774 L
.35837 .4277 L
.35712 .42581 L
.35644 .42499 L
.35558 .42389 L
.35452 .42223 L
.35437 .42196 L
.35295 .42003 L
.35259 .41986 L
.35156 .41811 L
.35066 .41697 L
.35007 .41618 L
.34879 .41425 L
.34874 .41417 L
.34744 .41232 L
.34681 .41187 L
.34542 .4104 L
.34488 .40879 L
.34465 .40847 L
.34336 .40654 L
.34296 .40598 L
.34202 .40462 L
.34103 .40352 L
.34033 .40269 L
.33936 .40076 L
.3391 .4004 L
.33808 .39884 L
.33717 .39752 L
.33678 .39691 L
.33554 .39498 L
.33525 .39454 L
.33439 .39306 L
.33332 .39131 L
.33323 .39113 L
F
0 .95 1 r
.33332 .38169 m
.33524 .38342 L
.33525 .38342 L
.33703 .38535 L
.33717 .38549 L
.33872 .38727 L
.3391 .38769 L
.34036 .3892 L
.34103 .38983 L
.34197 .39113 L
.34296 .39233 L
.34378 .39306 L
.34488 .39476 L
.34506 .39498 L
.3466 .39691 L
.34681 .39712 L
.34811 .39884 L
.34874 .39964 L
.34978 .40076 L
.35066 .4022 L
.35101 .40269 L
.35256 .40462 L
.35259 .40465 L
.35402 .40654 L
.35452 .40719 L
.3556 .40847 L
.35644 .40981 L
.35682 .4104 L
.35837 .41231 L
.35839 .41232 L
.35983 .41425 L
.3603 .41488 L
.36135 .41618 L
.36222 .41753 L
.36255 .41811 L
.36414 .42003 L
.36415 .42005 L
.36598 .42196 L
.36608 .42265 L
.36704 .42389 L
.36801 .42531 L
.36826 .42581 L
.36985 .42774 L
.36993 .42784 L
.37162 .42967 L
.37186 .43046 L
.37271 .43159 L
.37379 .43313 L
.37394 .43352 L
.37552 .43545 L
.37571 .43565 L
.37726 .43737 L
.37764 .43831 L
.37837 .4393 L
.37957 .44097 L
.37964 .44123 L
.38119 .44316 L
.38149 .4435 L
.38288 .44508 L
.38342 .44617 L
.38401 .44701 L
.38535 .44883 L
.38536 .44894 L
.38684 .45086 L
.38727 .45136 L
.3885 .45279 L
.3892 .45406 L
.38965 .45472 L
.39108 .45664 L
.39113 .45666 L
.39247 .45857 L
.39306 .45923 L
.3941 .4605 L
.39498 .46195 L
.39528 .46242 L
.39671 .46435 L
.39691 .46444 L
.39811 .46628 L
.39884 .46713 L
.3997 .46821 L
.40076 .46987 L
.40092 .47013 L
.40233 .47206 L
.40269 .47226 L
.40441 .47399 L
.40462 .47505 L
.40528 .47591 L
.40654 .4778 L
.40656 .47784 L
.40794 .47977 L
.40847 .48014 L
.40992 .48169 L
.4104 .48301 L
.41086 .48362 L
.41217 .48555 L
.41232 .48576 L
.41354 .48747 L
.41425 .48808 L
.4154 .4894 L
.41618 .49101 L
.41641 .49133 L
.41774 .49326 L
.41811 .49374 L
.41911 .49518 L
.42003 .49612 L
.42085 .49711 L
.42193 .49904 L
.42196 .49907 L
.42328 .50096 L
.42389 .50178 L
.42465 .50289 L
.42581 .50429 L
.42622 .50482 L
.42741 .50674 L
.42774 .50718 L
.42875 .50867 L
.42967 .50992 L
.43012 .5106 L
.4315 .51253 L
.43159 .51266 L
.43278 .51445 L
.43352 .51549 L
.43409 .51638 L
.43544 .51831 L
.43545 .51831 L
.43663 .52023 L
.43737 .52135 L
.43783 .52216 L
.43737 .52405 L
.43556 .52216 L
.43545 .52205 L
.43382 .52023 L
.43352 .51991 L
.43213 .51831 L
.43159 .51785 L
.43049 .51638 L
.42967 .51536 L
.42861 .51445 L
.42774 .51294 L
.42742 .51253 L
.42581 .5106 L
.4258 .5106 L
.42426 .50867 L
.42389 .50817 L
.42261 .50674 L
.42196 .50563 L
.42142 .50482 L
.42003 .5031 L
.41974 .50289 L
.41827 .50096 L
.41811 .50074 L
.41675 .49904 L
.41618 .49813 L
.41556 .49711 L
.41425 .49549 L
.41384 .49518 L
.41241 .49326 L
.41232 .49313 L
.41096 .49133 L
.4104 .49048 L
.4098 .4894 L
.40847 .48779 L
.40804 .48747 L
.40663 .48555 L
.40654 .48542 L
.40523 .48362 L
.40462 .48274 L
.4041 .48169 L
.40269 .48004 L
.40231 .47977 L
.40082 .47784 L
.40076 .47764 L
.39954 .47591 L
.39884 .47494 L
.39844 .47399 L
.39691 .47225 L
.39661 .47206 L
.39511 .47013 L
.39498 .46981 L
.39387 .46821 L
.39306 .46711 L
.39281 .46628 L
.39113 .46446 L
.39094 .46435 L
.38944 .46242 L
.3892 .46195 L
.38823 .4605 L
.38727 .45925 L
.38718 .45857 L
.38535 .45668 L
.38529 .45664 L
.38378 .45472 L
.38342 .45408 L
.3826 .45279 L
.38149 .45138 L
.38103 .45086 L
.37964 .44894 L
.37957 .44885 L
.37814 .44701 L
.37764 .44619 L
.37698 .44508 L
.37571 .44351 L
.3754 .44316 L
.37401 .44123 L
.37379 .44096 L
.37252 .4393 L
.37186 .43829 L
.37136 .43737 L
.36993 .43562 L
.36978 .43545 L
.36838 .43352 L
.36801 .43307 L
.36691 .43159 L
.36608 .43036 L
.36574 .42967 L
.36417 .42774 L
.36415 .42773 L
.36237 .42581 L
.36222 .42514 L
.36132 .42389 L
.3603 .42242 L
.36011 .42196 L
.35858 .42003 L
.35837 .4199 L
.35679 .41811 L
.35644 .41718 L
.35576 .41618 L
.35452 .41442 L
.35446 .41425 L
.35302 .41232 L
.35259 .41201 L
.35127 .4104 L
.35066 .40914 L
.35022 .40847 L
.34887 .40654 L
.34874 .40636 L
.34751 .40462 L
.34681 .40396 L
.34584 .40269 L
.34488 .40097 L
.34475 .40076 L
.34343 .39884 L
.34296 .39817 L
.34209 .39691 L
.34103 .39561 L
.34058 .39498 L
.33943 .39306 L
.3391 .39259 L
.33815 .39113 L
.33717 .38971 L
.33685 .3892 L
.33562 .38727 L
.33525 .38672 L
.33446 .38535 L
.33332 .38346 L
.3333 .38342 L
F
0 .91 1 r
.33717 .25364 m
.3391 .2533 L
.34103 .25324 L
.34296 .25333 L
.34488 .25356 L
.34681 .25392 L
.34844 .25432 L
.34874 .2544 L
.35066 .25501 L
.35259 .25577 L
.35362 .25624 L
.35452 .25668 L
.35644 .25777 L
.35708 .25817 L
.35837 .25904 L
.35976 .2601 L
.3603 .26053 L
.36192 .26202 L
.36222 .26231 L
.36365 .26395 L
.36415 .26444 L
.36495 .26588 L
.36574 .2678 L
.36575 .26973 L
.36415 .27149 L
.36392 .27166 L
.36222 .27209 L
.3603 .27221 L
.35837 .27207 L
.35644 .27175 L
.35597 .27166 L
.35452 .27129 L
.35259 .27069 L
.35066 .26996 L
.3501 .26973 L
.34874 .26912 L
.34681 .26815 L
.34616 .2678 L
.34488 .26707 L
.34301 .26588 L
.34296 .26584 L
.34103 .26447 L
.34036 .26395 L
.3391 .26292 L
.33814 .26202 L
.33717 .26111 L
.33635 .2601 L
.33525 .25849 L
.33508 .25817 L
.3346 .25624 L
.33525 .25478 L
.33582 .25432 L
F
1 .88 0 r
.33525 .39219 m
.33604 .39306 L
.33717 .39419 L
.33784 .39498 L
.3391 .39639 L
.33952 .39691 L
.34103 .39866 L
.34114 .39884 L
.34269 .40076 L
.34296 .40107 L
.34422 .40269 L
.34488 .40349 L
.34575 .40462 L
.34681 .40583 L
.34773 .40654 L
.34874 .40842 L
.34878 .40847 L
.35023 .4104 L
.35066 .41052 L
.3517 .41232 L
.35259 .41334 L
.35361 .41425 L
.35452 .41599 L
.35468 .41618 L
.35609 .41811 L
.35644 .41823 L
.35753 .42003 L
.35837 .42101 L
.35934 .42196 L
.3603 .42368 L
.36046 .42389 L
.36186 .42581 L
.36222 .42597 L
.36328 .42774 L
.36415 .42876 L
.365 .42967 L
.36608 .43147 L
.36617 .43159 L
.36757 .43352 L
.36801 .43375 L
.36899 .43545 L
.36993 .43659 L
.37063 .43737 L
.37185 .4393 L
.37186 .43931 L
.37324 .44123 L
.37379 .44159 L
.37465 .44316 L
.37571 .44448 L
.37623 .44508 L
.37749 .44701 L
.37764 .44721 L
.37887 .44894 L
.37957 .44949 L
.38028 .45086 L
.38149 .45243 L
.38179 .45279 L
.38309 .45472 L
.38342 .45516 L
.38447 .45664 L
.38535 .45749 L
.38642 .45857 L
.38727 .46046 L
.38731 .4605 L
.38865 .46242 L
.3892 .46316 L
.39002 .46435 L
.39113 .46562 L
.39173 .46628 L
.39281 .46821 L
.39306 .46854 L
.39414 .47013 L
.39498 .47127 L
.39552 .47206 L
.39691 .47396 L
.39693 .47399 L
.39821 .47591 L
.39884 .47676 L
.39954 .47784 L
.40076 .47954 L
.40091 .47977 L
.40217 .48169 L
.40269 .48243 L
.40341 .48362 L
.40462 .48539 L
.40471 .48555 L
.40572 .48747 L
.40462 .4876 L
.4045 .48747 L
.40273 .48555 L
.40269 .48551 L
.40106 .48362 L
.40076 .48329 L
.39943 .48169 L
.39884 .48099 L
.39783 .47977 L
.39691 .4788 L
.39626 .47784 L
.39498 .47623 L
.39466 .47591 L
.39321 .47399 L
.39306 .4738 L
.39169 .47206 L
.39113 .47146 L
.39018 .47013 L
.3892 .46885 L
.38865 .46821 L
.38727 .46634 L
.38724 .46628 L
.38574 .46435 L
.38535 .46391 L
.38366 .46242 L
.38342 .46129 L
.3828 .4605 L
.38149 .45872 L
.38143 .45857 L
.37991 .45664 L
.37957 .45625 L
.37805 .45472 L
.37764 .45361 L
.37704 .45279 L
.37571 .45101 L
.37567 .45086 L
.37416 .44894 L
.37379 .44851 L
.37242 .44701 L
.37186 .44584 L
.37134 .44508 L
.36993 .44322 L
.36992 .44316 L
.36845 .44123 L
.36801 .4407 L
.3668 .4393 L
.36608 .438 L
.36567 .43737 L
.36421 .43545 L
.36415 .43544 L
.3628 .43352 L
.36222 .43283 L
.36121 .43159 L
.3603 .4301 L
.36004 .42967 L
.35859 .42774 L
.35837 .42767 L
.35719 .42581 L
.35644 .42489 L
.35565 .42389 L
.35452 .42212 L
.35442 .42196 L
.35302 .42003 L
.35259 .41981 L
.35164 .41811 L
.35066 .41685 L
.35016 .41618 L
.34888 .41425 L
.34874 .41405 L
.34753 .41232 L
.34681 .41174 L
.34554 .4104 L
.34488 .40863 L
.34477 .40847 L
.34347 .40654 L
.34296 .40582 L
.34214 .40462 L
.34103 .40325 L
.34057 .40269 L
.33952 .40076 L
.3391 .40016 L
.33825 .39884 L
.33717 .39724 L
.33697 .39691 L
.33582 .39498 L
.33525 .39408 L
.33473 .39306 L
F
0 .84 1 r
.33525 .40041 m
.33553 .40076 L
.33717 .40256 L
.33728 .40269 L
.33885 .40462 L
.3391 .4049 L
.34036 .40654 L
.34103 .40731 L
.34189 .40847 L
.34296 .40976 L
.34342 .4104 L
.34488 .41216 L
.34495 .41232 L
.34639 .41425 L
.34681 .41477 L
.34783 .41618 L
.34874 .41731 L
.3493 .41811 L
.35066 .41974 L
.35079 .42003 L
.3522 .42196 L
.35259 .42245 L
.35361 .42389 L
.35452 .42505 L
.35505 .42581 L
.35644 .42758 L
.35651 .42774 L
.35789 .42967 L
.35837 .43029 L
.35928 .43159 L
.3603 .43293 L
.3607 .43352 L
.36213 .43545 L
.36222 .43557 L
.36346 .43737 L
.36415 .43828 L
.36484 .4393 L
.36608 .44096 L
.36626 .44123 L
.36759 .44316 L
.36801 .44371 L
.36889 .44508 L
.36993 .44649 L
.37026 .44701 L
.37158 .44894 L
.37186 .44932 L
.37276 .45086 L
.37379 .45235 L
.37401 .45279 L
.37379 .45353 L
.37313 .45279 L
.37186 .45142 L
.3714 .45086 L
.36993 .44913 L
.36977 .44894 L
.36823 .44701 L
.36801 .44675 L
.36671 .44508 L
.36608 .44432 L
.36518 .44316 L
.36415 .44186 L
.36366 .44123 L
.36222 .43938 L
.36212 .4393 L
.36072 .43737 L
.3603 .43684 L
.35926 .43545 L
.35837 .4343 L
.35779 .43352 L
.35644 .43177 L
.35624 .43159 L
.35492 .42967 L
.35452 .42914 L
.35349 .42774 L
.35259 .42654 L
.35205 .42581 L
.35066 .42394 L
.35061 .42389 L
.34925 .42196 L
.34874 .42128 L
.34784 .42003 L
.34681 .41862 L
.34643 .41811 L
.34506 .41618 L
.34488 .41594 L
.34371 .41425 L
.34296 .41322 L
.34233 .41232 L
.34103 .4106 L
.34096 .4104 L
.33967 .40847 L
.3391 .40768 L
.33836 .40654 L
.33717 .40484 L
.33703 .40462 L
.33587 .40269 L
.33525 .40177 L
.33474 .40076 L
F
0 .94 1 r
.33525 .38453 m
.33623 .38535 L
.33717 .38616 L
.33821 .38727 L
.3391 .3882 L
.33997 .3892 L
.34103 .39023 L
.34165 .39113 L
.34296 .39267 L
.34343 .39306 L
.34484 .39498 L
.34488 .39503 L
.34638 .39691 L
.34681 .39733 L
.34792 .39884 L
.34874 .39986 L
.34962 .40076 L
.35066 .40238 L
.3509 .40269 L
.35242 .40462 L
.35259 .40479 L
.3539 .40654 L
.35452 .40734 L
.35551 .40847 L
.35644 .40993 L
.35675 .4104 L
.35829 .41232 L
.35837 .41241 L
.35974 .41425 L
.3603 .41499 L
.36128 .41618 L
.36222 .41762 L
.36251 .41811 L
.36407 .42003 L
.36415 .42012 L
.36596 .42196 L
.36608 .42273 L
.36699 .42389 L
.36801 .42538 L
.36822 .42581 L
.36979 .42774 L
.36993 .42789 L
.3716 .42967 L
.37186 .43052 L
.37267 .43159 L
.37379 .43318 L
.37392 .43352 L
.37548 .43545 L
.37571 .4357 L
.37723 .43737 L
.37764 .43836 L
.37833 .4393 L
.37957 .44101 L
.37962 .44123 L
.38115 .44316 L
.38149 .44354 L
.38286 .44508 L
.38342 .44622 L
.38398 .44701 L
.38535 .44887 L
.38535 .44894 L
.3868 .45086 L
.38727 .45139 L
.38847 .45279 L
.3892 .4541 L
.38962 .45472 L
.39105 .45664 L
.39113 .45667 L
.39244 .45857 L
.39306 .45927 L
.39407 .4605 L
.39498 .462 L
.39525 .46242 L
.39668 .46435 L
.39691 .46446 L
.39807 .46628 L
.39884 .46718 L
.39966 .46821 L
.40076 .46992 L
.40089 .47013 L
.4023 .47206 L
.40269 .47229 L
.40438 .47399 L
.40462 .47511 L
.40524 .47591 L
.40653 .47784 L
.40654 .47786 L
.4079 .47977 L
.40847 .48018 L
.40987 .48169 L
.4104 .48308 L
.41081 .48362 L
.41212 .48555 L
.41232 .48582 L
.41349 .48747 L
.41425 .48815 L
.41534 .4894 L
.41618 .4911 L
.41634 .49133 L
.41768 .49326 L
.41811 .49383 L
.41905 .49518 L
.42003 .49623 L
.42075 .49711 L
.42185 .49904 L
.42196 .49918 L
.42319 .50096 L
.42389 .5019 L
.42456 .50289 L
.42581 .50449 L
.42607 .50482 L
.42729 .50674 L
.42774 .50735 L
.42862 .50867 L
.42967 .51012 L
.42998 .5106 L
.43131 .51253 L
.43159 .51292 L
.43257 .51445 L
.43352 .51581 L
.43387 .51638 L
.43511 .51831 L
.43545 .51882 L
.43619 .52023 L
.43545 .52132 L
.43438 .52023 L
.43352 .51935 L
.43257 .51831 L
.43159 .51744 L
.43086 .51638 L
.42967 .51496 L
.42898 .51445 L
.42774 .51263 L
.42765 .51253 L
.42605 .5106 L
.42581 .51037 L
.42448 .50867 L
.42389 .5079 L
.42278 .50674 L
.42196 .5054 L
.42156 .50482 L
.42003 .50296 L
.41992 .50289 L
.41842 .50096 L
.41811 .50053 L
.41687 .49904 L
.41618 .49795 L
.41567 .49711 L
.41425 .49538 L
.41397 .49518 L
.41252 .49326 L
.41232 .49298 L
.41105 .49133 L
.4104 .49035 L
.40988 .4894 L
.40847 .48771 L
.40814 .48747 L
.40671 .48555 L
.40654 .48531 L
.4053 .48362 L
.40462 .48264 L
.40416 .48169 L
.40269 .47997 L
.40238 .47977 L
.40084 .47784 L
.40076 .47755 L
.3996 .47591 L
.39884 .47486 L
.39848 .47399 L
.39691 .47221 L
.39667 .47206 L
.39514 .47013 L
.39498 .46974 L
.39393 .46821 L
.39306 .46704 L
.39284 .46628 L
.39113 .46443 L
.39099 .46435 L
.38947 .46242 L
.3892 .46189 L
.38828 .4605 L
.38727 .45919 L
.3872 .45857 L
.38535 .45665 L
.38534 .45664 L
.38381 .45472 L
.38342 .45402 L
.38264 .45279 L
.38149 .45133 L
.38108 .45086 L
.37969 .44894 L
.37957 .44879 L
.37818 .44701 L
.37764 .44613 L
.37702 .44508 L
.37571 .44345 L
.37545 .44316 L
.37405 .44123 L
.37379 .44091 L
.37256 .4393 L
.37186 .43822 L
.3714 .43737 L
.36993 .43557 L
.36983 .43545 L
.36843 .43352 L
.36801 .43301 L
.36696 .43159 L
.36608 .4303 L
.36577 .42967 L
.36422 .42774 L
.36415 .4277 L
.36239 .42581 L
.36222 .42507 L
.36138 .42389 L
.3603 .42233 L
.36014 .42196 L
.35865 .42003 L
.35837 .41986 L
.35683 .41811 L
.35644 .41708 L
.35582 .41618 L
.35452 .41432 L
.35449 .41425 L
.3531 .41232 L
.35259 .41192 L
.35135 .4104 L
.35066 .409 L
.35031 .40847 L
.34898 .40654 L
.34874 .40621 L
.34762 .40462 L
.34681 .40379 L
.34598 .40269 L
.34489 .40076 L
.34488 .40075 L
.34359 .39884 L
.34296 .39794 L
.34226 .39691 L
.34103 .39523 L
.34086 .39498 L
.33967 .39306 L
.3391 .39223 L
.33841 .39113 L
.33717 .38924 L
.33715 .3892 L
.33608 .38727 L
.33525 .3858 L
.33506 .38535 L
F
1 .87 0 r
.33717 .39457 m
.33753 .39498 L
.3391 .39667 L
.3393 .39691 L
.34095 .39884 L
.34103 .39892 L
.34251 .40076 L
.34296 .40127 L
.34407 .40269 L
.34488 .40366 L
.34562 .40462 L
.34681 .406 L
.34753 .40654 L
.34866 .40847 L
.34874 .40856 L
.35013 .4104 L
.35066 .41058 L
.35162 .41232 L
.35259 .41346 L
.35349 .41425 L
.35452 .41609 L
.35459 .41618 L
.35601 .41811 L
.35644 .41827 L
.35746 .42003 L
.35837 .4211 L
.35925 .42196 L
.3603 .42377 L
.36039 .42389 L
.3618 .42581 L
.36222 .42601 L
.36323 .42774 L
.36415 .42884 L
.36494 .42967 L
.36608 .43154 L
.36612 .43159 L
.36751 .43352 L
.36801 .4338 L
.36893 .43545 L
.36993 .43667 L
.37057 .43737 L
.3718 .4393 L
.37186 .43938 L
.37318 .44123 L
.37379 .44164 L
.3746 .44316 L
.37571 .44456 L
.37616 .44508 L
.37743 .44701 L
.37764 .44728 L
.37882 .44894 L
.37957 .44956 L
.38023 .45086 L
.38149 .45252 L
.38172 .45279 L
.38303 .45472 L
.38342 .45523 L
.38441 .45664 L
.38535 .45758 L
.38632 .45857 L
.38724 .4605 L
.38727 .46055 L
.38858 .46242 L
.3892 .46325 L
.38996 .46435 L
.39113 .46575 L
.39161 .46628 L
.39273 .46821 L
.39306 .46865 L
.39406 .47013 L
.39498 .47138 L
.39544 .47206 L
.39682 .47399 L
.39691 .47411 L
.3981 .47591 L
.39884 .47692 L
.39943 .47784 L
.40076 .47973 L
.40079 .47977 L
.40199 .48169 L
.40269 .4827 L
.40321 .48362 L
.40269 .48515 L
.40133 .48362 L
.40076 .48301 L
.39965 .48169 L
.39884 .48076 L
.39802 .47977 L
.39691 .47857 L
.39642 .47784 L
.39498 .47604 L
.39485 .47591 L
.39335 .47399 L
.39306 .47363 L
.39181 .47206 L
.39113 .47132 L
.39029 .47013 L
.3892 .46871 L
.38876 .46821 L
.38733 .46628 L
.38727 .46621 L
.38584 .46435 L
.38535 .46381 L
.38372 .46242 L
.38342 .46118 L
.38288 .4605 L
.38149 .45862 L
.38147 .45857 L
.37999 .45664 L
.37957 .45616 L
.37811 .45472 L
.37764 .45351 L
.37711 .45279 L
.37571 .45092 L
.3757 .45086 L
.37423 .44894 L
.37379 .44843 L
.37248 .44701 L
.37186 .44575 L
.3714 .44508 L
.36994 .44316 L
.36993 .44314 L
.36852 .44123 L
.36801 .44062 L
.36686 .4393 L
.36608 .43791 L
.36573 .43737 L
.36428 .43545 L
.36415 .43543 L
.36287 .43352 L
.36222 .43275 L
.36127 .43159 L
.3603 .43001 L
.36009 .42967 L
.35866 .42774 L
.35837 .42764 L
.35726 .42581 L
.35644 .42479 L
.35573 .42389 L
.35452 .42202 L
.35448 .42196 L
.3531 .42003 L
.35259 .41974 L
.35172 .41811 L
.35066 .41672 L
.35025 .41618 L
.34898 .41425 L
.34874 .41392 L
.34762 .41232 L
.34681 .4116 L
.34568 .4104 L
.3449 .40847 L
.34488 .40845 L
.34359 .40654 L
.34296 .40564 L
.34226 .40462 L
.34103 .40293 L
.34083 .40269 L
.33969 .40076 L
.3391 .3999 L
.33844 .39884 L
.33718 .39691 L
.33717 .3969 L
.33618 .39498 L
F
1 .98 0 r
.33717 .37814 m
.33862 .37957 L
.3391 .38003 L
.34044 .38149 L
.34103 .38186 L
.34216 .38342 L
.34296 .38433 L
.34381 .38535 L
.34488 .38669 L
.34545 .38727 L
.34681 .38906 L
.3469 .3892 L
.34852 .39113 L
.34874 .3914 L
.35042 .39306 L
.35066 .39391 L
.35152 .39498 L
.35259 .39648 L
.35277 .39691 L
.35452 .3988 L
.35454 .39884 L
.35618 .40076 L
.35644 .40139 L
.35739 .40269 L
.35837 .40407 L
.35852 .40462 L
.3603 .40642 L
.36039 .40654 L
.36194 .40847 L
.36222 .40906 L
.36315 .4104 L
.36415 .41179 L
.36474 .41232 L
.36608 .41416 L
.36615 .41425 L
.36765 .41618 L
.36801 .41683 L
.36884 .41811 L
.36993 .41957 L
.37045 .42003 L
.37185 .42196 L
.37186 .42197 L
.37333 .42389 L
.37379 .42465 L
.3745 .42581 L
.37571 .42739 L
.37613 .42774 L
.37753 .42967 L
.37764 .42982 L
.37899 .43159 L
.37957 .43251 L
.38014 .43352 L
.38149 .43521 L
.38179 .43545 L
.3834 .43737 L
.38342 .43768 L
.38463 .4393 L
.38535 .44038 L
.38578 .44123 L
.38727 .44303 L
.38744 .44316 L
.38909 .44508 L
.3892 .44556 L
.39027 .44701 L
.39113 .44826 L
.39142 .44894 L
.39306 .45084 L
.39309 .45086 L
.39474 .45279 L
.39498 .45344 L
.3959 .45472 L
.39691 .45613 L
.39707 .45664 L
.39873 .45857 L
.39884 .45869 L
.40038 .4605 L
.40076 .46133 L
.40153 .46242 L
.40269 .46401 L
.40274 .46435 L
.40437 .46628 L
.40462 .46655 L
.40601 .46821 L
.40654 .46922 L
.40715 .47013 L
.40847 .47189 L
.40861 .47206 L
.41 .47399 L
.4104 .47442 L
.41162 .47591 L
.41232 .47712 L
.41278 .47784 L
.41425 .47977 L
.41425 .47977 L
.41564 .48169 L
.41618 .4823 L
.41723 .48362 L
.41811 .48502 L
.41842 .48555 L
.41987 .48747 L
.42003 .48754 L
.42127 .4894 L
.42196 .4902 L
.42284 .49133 L
.42389 .49293 L
.42406 .49326 L
.4255 .49518 L
.42581 .49534 L
.42748 .49711 L
.42774 .49811 L
.42843 .49904 L
.42967 .50086 L
.42972 .50096 L
.43112 .50289 L
.43159 .5032 L
.43303 .50482 L
.43352 .50604 L
.43403 .50674 L
.43536 .50867 L
.43545 .50879 L
.43673 .5106 L
.43737 .5111 L
.43856 .51253 L
.4393 .514 L
.43962 .51445 L
.44096 .51638 L
.44123 .51674 L
.44234 .51831 L
.44316 .51907 L
.44408 .52023 L
.44508 .522 L
.44519 .52216 L
.44654 .52409 L
.44701 .52471 L
.44793 .52601 L
.44894 .52711 L
.44957 .52794 L
.45075 .52987 L
.45086 .53002 L
.4521 .53179 L
.45279 .53272 L
.45348 .53372 L
.45472 .53527 L
.45499 .53565 L
.45625 .53758 L
.45664 .53811 L
.45759 .5395 L
.45857 .54084 L
.45897 .54143 L
.46034 .54336 L
.4605 .54357 L
.46163 .54528 L
.46242 .54639 L
.46295 .54721 L
.46429 .54914 L
.46435 .54922 L
.46547 .55106 L
.46628 .55227 L
.46667 .55299 L
.46773 .55492 L
.46628 .55522 L
.4661 .55492 L
.46435 .55317 L
.46418 .55299 L
.46242 .55107 L
.46241 .55106 L
.46071 .54914 L
.4605 .54899 L
.45904 .54721 L
.45857 .54662 L
.45692 .54528 L
.45664 .54421 L
.45594 .54336 L
.45472 .54175 L
.45461 .54143 L
.45279 .53953 L
.45277 .5395 L
.45111 .53758 L
.45086 .53701 L
.44989 .53565 L
.44894 .53437 L
.44877 .53372 L
.44701 .53213 L
.44674 .53179 L
.44526 .52987 L
.44508 .52954 L
.444 .52794 L
.44316 .52681 L
.44232 .52601 L
.44123 .52452 L
.44089 .52409 L
.43946 .52216 L
.4393 .52189 L
.43824 .52023 L
.43737 .5191 L
.43655 .51831 L
.43545 .51678 L
.43513 .51638 L
.43373 .51445 L
.43352 .51412 L
.43255 .51253 L
.43159 .5113 L
.43083 .5106 L
.42967 .50898 L
.42943 .50867 L
.42804 .50674 L
.42774 .50629 L
.42691 .50482 L
.42581 .50346 L
.42515 .50289 L
.42389 .50114 L
.42375 .50096 L
.42239 .49904 L
.42196 .49842 L
.4213 .49711 L
.42003 .4956 L
.41948 .49518 L
.41811 .49327 L
.4181 .49326 L
.41675 .49133 L
.41618 .49054 L
.41571 .4894 L
.41425 .48775 L
.41383 .48747 L
.4124 .48555 L
.41232 .48538 L
.41112 .48362 L
.4104 .48265 L
.41012 .48169 L
.40847 .47993 L
.40819 .47977 L
.40673 .47784 L
.40654 .47749 L
.40551 .47591 L
.40462 .47476 L
.40453 .47399 L
.40269 .47213 L
.40255 .47206 L
.40108 .47013 L
.40076 .46959 L
.39989 .46821 L
.39884 .46688 L
.39831 .46628 L
.39692 .46435 L
.39691 .46434 L
.39544 .46242 L
.39498 .46169 L
.39428 .4605 L
.39306 .459 L
.39267 .45857 L
.39128 .45664 L
.39113 .45646 L
.38981 .45472 L
.3892 .4538 L
.38866 .45279 L
.38727 .45112 L
.38704 .45086 L
.38537 .44894 L
.38535 .44858 L
.38419 .44701 L
.38342 .4459 L
.38304 .44508 L
.38149 .44325 L
.38141 .44316 L
.37971 .44123 L
.37957 .44069 L
.37857 .4393 L
.37764 .43799 L
.3774 .43737 L
.37578 .43545 L
.37571 .4354 L
.37408 .43352 L
.37379 .43279 L
.37296 .43159 L
.37186 .43008 L
.37174 .42967 L
.37017 .42774 L
.36993 .42757 L
.36847 .42581 L
.36801 .42487 L
.36736 .42389 L
.36608 .42215 L
.36605 .42196 L
.36456 .42003 L
.36415 .41971 L
.36288 .41811 L
.36222 .41692 L
.36176 .41618 L
.36034 .41425 L
.3603 .41419 L
.35897 .41232 L
.35837 .41179 L
.35733 .4104 L
.35644 .40893 L
.35617 .40847 L
.35478 .40654 L
.35452 .40619 L
.3534 .40462 L
.35259 .40377 L
.35182 .40269 L
.35066 .40085 L
.35061 .40076 L
.34926 .39884 L
.34874 .39812 L
.34789 .39691 L
.34681 .39558 L
.3464 .39498 L
.34516 .39306 L
.34488 .39267 L
.34384 .39113 L
.34296 .38988 L
.34204 .3892 L
.34117 .38727 L
.34103 .38708 L
.33992 .38535 L
.3391 .38415 L
.33865 .38342 L
.33743 .38149 L
.33717 .3811 L
.33637 .37957 L
F
0 .9 1 r
.34103 .25406 m
.34296 .25408 L
.34488 .25428 L
.34516 .25432 L
.34681 .25462 L
.34874 .25511 L
.35066 .25577 L
.35184 .25624 L
.35259 .25657 L
.35452 .25755 L
.35558 .25817 L
.35644 .2587 L
.35836 .2601 L
.35837 .2601 L
.3603 .26177 L
.36055 .26202 L
.36222 .26393 L
.36224 .26395 L
.36345 .26588 L
.36401 .2678 L
.36347 .26973 L
.36222 .27074 L
.3603 .27107 L
.35837 .27106 L
.35644 .27081 L
.35452 .27038 L
.35259 .26979 L
.35241 .26973 L
.35066 .26908 L
.34874 .26822 L
.34788 .2678 L
.34681 .26724 L
.34488 .26611 L
.34451 .26588 L
.34296 .26484 L
.34176 .26395 L
.34103 .26339 L
.33951 .26202 L
.3391 .26171 L
.33775 .2601 L
.33717 .25929 L
.33658 .25817 L
.33637 .25624 L
.33717 .25515 L
.3391 .25433 L
.33915 .25432 L
F
0 .93 1 r
.33717 .38711 m
.33739 .38727 L
.3391 .38877 L
.3395 .3892 L
.34103 .39074 L
.34129 .39113 L
.34296 .39304 L
.34298 .39306 L
.34457 .39498 L
.34488 .39533 L
.34616 .39691 L
.34681 .39755 L
.34773 .39884 L
.34874 .40008 L
.34944 .40076 L
.35066 .40255 L
.35077 .40269 L
.35228 .40462 L
.35259 .40493 L
.35378 .40654 L
.35452 .40749 L
.3554 .40847 L
.35644 .41006 L
.35667 .4104 L
.3582 .41232 L
.35837 .41251 L
.35966 .41425 L
.3603 .41509 L
.36121 .41618 L
.36222 .41771 L
.36246 .41811 L
.364 .42003 L
.36415 .42019 L
.36594 .42196 L
.36608 .42281 L
.36694 .42389 L
.36801 .42544 L
.36819 .42581 L
.36974 .42774 L
.36993 .42795 L
.37157 .42967 L
.37186 .43059 L
.37263 .43159 L
.37379 .43323 L
.3739 .43352 L
.37544 .43545 L
.37571 .43575 L
.3772 .43737 L
.37764 .43841 L
.3783 .4393 L
.37957 .44106 L
.37961 .44123 L
.38111 .44316 L
.38149 .44358 L
.38283 .44508 L
.38342 .44627 L
.38395 .44701 L
.38535 .44891 L
.38535 .44894 L
.38677 .45086 L
.38727 .45144 L
.38844 .45279 L
.3892 .45414 L
.38959 .45472 L
.39101 .45664 L
.39113 .45668 L
.39241 .45857 L
.39306 .45931 L
.39404 .4605 L
.39498 .46204 L
.39523 .46242 L
.39664 .46435 L
.39691 .46448 L
.39804 .46628 L
.39884 .46722 L
.39963 .46821 L
.40076 .46997 L
.40086 .47013 L
.40226 .47206 L
.40269 .47232 L
.40435 .47399 L
.40462 .47516 L
.4052 .47591 L
.40649 .47784 L
.40654 .47791 L
.40786 .47977 L
.40847 .48023 L
.40983 .48169 L
.4104 .48314 L
.41076 .48362 L
.41207 .48555 L
.41232 .48589 L
.41344 .48747 L
.41425 .48823 L
.41527 .4894 L
.41618 .49119 L
.41628 .49133 L
.41761 .49326 L
.41811 .49392 L
.41898 .49518 L
.42003 .49636 L
.42065 .49711 L
.42177 .49904 L
.42196 .49929 L
.4231 .50096 L
.42389 .50203 L
.42447 .50289 L
.42581 .5047 L
.42591 .50482 L
.42717 .50674 L
.42774 .50753 L
.42848 .50867 L
.42967 .51033 L
.42984 .5106 L
.43111 .51253 L
.43159 .51322 L
.43234 .51445 L
.43352 .51622 L
.43361 .51638 L
.43462 .51831 L
.43352 .51871 L
.43312 .51831 L
.43159 .51686 L
.43128 .51638 L
.42967 .51456 L
.42951 .51445 L
.42793 .51253 L
.42774 .51231 L
.4263 .5106 L
.42581 .51014 L
.4247 .50867 L
.42389 .50764 L
.42296 .50674 L
.42196 .50518 L
.4217 .50482 L
.42009 .50289 L
.42003 .50283 L
.41857 .50096 L
.41811 .50034 L
.41699 .49904 L
.41618 .49778 L
.41577 .49711 L
.41425 .49528 L
.4141 .49518 L
.41262 .49326 L
.41232 .49284 L
.41114 .49133 L
.4104 .49022 L
.40995 .4894 L
.40847 .48763 L
.40824 .48747 L
.40679 .48555 L
.40654 .48519 L
.40537 .48362 L
.40462 .48254 L
.40421 .48169 L
.40269 .47992 L
.40246 .47977 L
.40086 .47784 L
.40076 .47746 L
.39966 .47591 L
.39884 .47478 L
.39852 .47399 L
.39691 .47217 L
.39674 .47206 L
.39517 .47013 L
.39498 .46966 L
.39397 .46821 L
.39306 .46697 L
.39286 .46628 L
.39113 .4644 L
.39105 .46435 L
.3895 .46242 L
.3892 .46182 L
.38832 .4605 L
.38727 .45913 L
.38721 .45857 L
.38538 .45664 L
.38535 .4566 L
.38385 .45472 L
.38342 .45396 L
.38268 .45279 L
.38149 .45128 L
.38113 .45086 L
.37973 .44894 L
.37957 .44874 L
.37821 .44701 L
.37764 .44607 L
.37705 .44508 L
.37571 .4434 L
.37549 .44316 L
.3741 .44123 L
.37379 .44086 L
.3726 .4393 L
.37186 .43816 L
.37143 .43737 L
.36993 .43551 L
.36988 .43545 L
.36848 .43352 L
.36801 .43295 L
.367 .43159 L
.36608 .43023 L
.36581 .42967 L
.36428 .42774 L
.36415 .42767 L
.36241 .42581 L
.36222 .425 L
.36143 .42389 L
.3603 .42225 L
.36018 .42196 L
.35871 .42003 L
.35837 .41981 L
.35688 .41811 L
.35644 .41699 L
.35589 .41618 L
.35455 .41425 L
.35452 .41421 L
.35319 .41232 L
.35259 .41182 L
.35144 .4104 L
.35066 .40886 L
.35041 .40847 L
.34908 .40654 L
.34874 .40606 L
.34774 .40462 L
.34681 .40359 L
.34614 .40269 L
.34504 .40076 L
.34488 .40054 L
.34375 .39884 L
.34296 .3977 L
.34243 .39691 L
.34114 .39498 L
.34103 .39483 L
.33994 .39306 L
.3391 .39179 L
.33871 .39113 L
.33763 .3892 L
.33717 .38837 L
.3369 .38727 L
F
1 .88 0 r
.33717 .4108 m
.3382 .41232 L
.3391 .41341 L
.33965 .41425 L
.34103 .41599 L
.34115 .41618 L
.34103 .41768 L
.33997 .41618 L
.3391 .41512 L
.33848 .41425 L
.33717 .41255 L
.33701 .41232 L
F
0 .89 1 r
.3391 .25568 m
.34103 .25477 L
.34296 .25482 L
.34488 .25501 L
.34681 .25537 L
.34874 .25589 L
.34979 .25624 L
.35066 .25656 L
.35259 .25741 L
.354 .25817 L
.35452 .25845 L
.35644 .25973 L
.35692 .2601 L
.35837 .26125 L
.35914 .26202 L
.3603 .26318 L
.36079 .26395 L
.36185 .26588 L
.36207 .2678 L
.3603 .26954 L
.35958 .26973 L
.35837 .26986 L
.35644 .26976 L
.35627 .26973 L
.35452 .26942 L
.35259 .26887 L
.35066 .26816 L
.34982 .2678 L
.34874 .26731 L
.34681 .26629 L
.3461 .26588 L
.34488 .26514 L
.34321 .26395 L
.34296 .26378 L
.34103 .26213 L
.34092 .26202 L
.33919 .2601 L
.3391 .25998 L
.33816 .25817 L
.33843 .25624 L
F
1 .99 0 r
.3391 .33865 m
.33993 .3391 L
.34103 .33931 L
.34224 .34103 L
.34296 .34164 L
.34405 .34296 L
.34488 .34391 L
.34629 .34488 L
.34681 .34631 L
.34731 .34681 L
.34874 .34871 L
.34875 .34874 L
.35023 .35066 L
.35066 .35112 L
.35212 .35259 L
.35259 .35377 L
.35314 .35452 L
.35451 .35644 L
.35452 .35646 L
.35585 .35837 L
.35644 .35924 L
.35752 .3603 L
.35829 .36222 L
.35644 .36386 L
.35452 .36253 L
.35412 .36222 L
.35259 .36043 L
.35251 .3603 L
.35096 .35837 L
.35066 .3581 L
.34948 .35644 L
.34874 .35551 L
.34793 .35452 L
.34681 .35283 L
.34668 .35259 L
.34526 .35066 L
.34488 .35013 L
.34327 .34874 L
.34296 .3476 L
.34249 .34681 L
.34129 .34488 L
.34103 .34448 L
.34009 .34296 L
.3391 .34122 L
.33889 .34103 L
.33847 .3391 L
F
0 .83 1 r
.3391 .40523 m
.34011 .40654 L
.34103 .40757 L
.3417 .40847 L
.34296 .40998 L
.34326 .4104 L
.34479 .41232 L
.34488 .41243 L
.34623 .41425 L
.34681 .41496 L
.34769 .41618 L
.34874 .41748 L
.34918 .41811 L
.35066 .42 L
.35068 .42003 L
.35207 .42196 L
.35259 .42262 L
.35349 .42389 L
.35452 .42521 L
.35494 .42581 L
.3564 .42774 L
.35644 .42779 L
.35776 .42967 L
.35837 .43045 L
.35916 .43159 L
.3603 .43309 L
.36059 .43352 L
.36199 .43545 L
.36222 .43575 L
.36332 .43737 L
.36415 .43846 L
.36471 .4393 L
.36608 .44115 L
.36613 .44123 L
.36741 .44316 L
.36801 .44395 L
.36871 .44508 L
.36993 .44676 L
.37009 .44701 L
.36993 .44879 L
.3685 .44701 L
.36801 .44646 L
.36692 .44508 L
.36608 .44407 L
.36537 .44316 L
.36415 .44163 L
.36384 .44123 L
.36235 .4393 L
.36222 .43915 L
.36089 .43737 L
.3603 .43663 L
.35941 .43545 L
.35837 .4341 L
.35793 .43352 L
.35648 .43159 L
.35644 .43154 L
.35507 .42967 L
.35452 .42895 L
.35363 .42774 L
.35259 .42636 L
.35219 .42581 L
.35078 .42389 L
.35066 .42374 L
.34939 .42196 L
.34874 .42108 L
.34799 .42003 L
.34681 .41843 L
.34658 .41811 L
.34523 .41618 L
.34488 .41572 L
.34387 .41425 L
.34296 .41299 L
.3425 .41232 L
.34116 .4104 L
.34103 .41022 L
.3399 .40847 L
.3391 .40736 L
.33859 .40654 L
F
1 .86 0 r
.3391 .397 m
.3407 .39884 L
.34103 .39918 L
.34232 .40076 L
.34296 .40148 L
.34391 .40269 L
.34488 .40384 L
.34549 .40462 L
.34681 .40618 L
.34731 .40654 L
.34855 .40847 L
.34874 .4087 L
.35003 .4104 L
.35066 .41066 L
.35152 .41232 L
.35259 .41358 L
.35337 .41425 L
.3545 .41618 L
.35452 .4162 L
.35594 .41811 L
.35644 .41832 L
.35739 .42003 L
.35837 .42119 L
.35917 .42196 L
.3603 .42386 L
.36032 .42389 L
.36173 .42581 L
.36222 .42606 L
.36317 .42774 L
.36415 .42892 L
.36486 .42967 L
.36606 .43159 L
.36608 .43162 L
.36746 .43352 L
.36801 .43385 L
.36888 .43545 L
.36993 .43674 L
.3705 .43737 L
.37174 .4393 L
.37186 .43946 L
.37313 .44123 L
.37379 .4417 L
.37455 .44316 L
.37571 .44464 L
.3761 .44508 L
.37738 .44701 L
.37764 .44735 L
.37876 .44894 L
.37957 .44963 L
.38018 .45086 L
.38149 .4526 L
.38165 .45279 L
.38297 .45472 L
.38342 .45531 L
.38435 .45664 L
.38535 .45768 L
.38622 .45857 L
.38717 .4605 L
.38727 .46064 L
.38851 .46242 L
.3892 .46334 L
.38989 .46435 L
.39113 .46589 L
.39148 .46628 L
.39264 .46821 L
.39306 .46876 L
.39398 .47013 L
.39498 .4715 L
.39535 .47206 L
.39671 .47399 L
.39691 .47426 L
.39798 .47591 L
.39884 .4771 L
.3993 .47784 L
.40063 .47977 L
.40076 .47996 L
.40178 .48169 L
.40269 .48307 L
.40297 .48362 L
.40269 .48469 L
.40167 .48362 L
.40076 .4827 L
.39989 .48169 L
.39884 .48051 L
.39821 .47977 L
.39691 .47832 L
.3966 .47784 L
.39504 .47591 L
.39498 .47585 L
.39349 .47399 L
.39306 .47346 L
.39194 .47206 L
.39113 .47117 L
.39041 .47013 L
.3892 .46857 L
.38887 .46821 L
.38743 .46628 L
.38727 .46608 L
.38594 .46435 L
.38535 .4637 L
.38379 .46242 L
.38342 .46106 L
.38297 .4605 L
.38153 .45857 L
.38149 .45852 L
.38007 .45664 L
.37957 .45607 L
.37817 .45472 L
.37764 .45341 L
.37718 .45279 L
.37574 .45086 L
.37571 .45083 L
.3743 .44894 L
.37379 .44834 L
.37253 .44701 L
.37186 .44566 L
.37146 .44508 L
.37001 .44316 L
.36993 .44305 L
.36859 .44123 L
.36801 .44054 L
.36692 .4393 L
.36608 .43782 L
.36578 .43737 L
.36435 .43545 L
.36415 .43541 L
.36293 .43352 L
.36222 .43266 L
.36134 .43159 L
.3603 .42991 L
.36015 .42967 L
.35873 .42774 L
.35837 .4276 L
.35733 .42581 L
.35644 .42469 L
.3558 .42389 L
.35455 .42196 L
.35452 .42191 L
.35318 .42003 L
.35259 .41966 L
.3518 .41811 L
.35066 .41659 L
.35035 .41618 L
.34907 .41425 L
.34874 .41379 L
.34772 .41232 L
.34681 .41143 L
.34585 .4104 L
.34502 .40847 L
.34488 .40828 L
.34372 .40654 L
.34296 .40546 L
.34239 .40462 L
.34108 .40269 L
.34103 .40261 L
.33988 .40076 L
.3391 .3996 L
.33864 .39884 L
F
0 .99 1 r
.3391 .37295 m
.34036 .37379 L
.34103 .37434 L
.34241 .37571 L
.34296 .37598 L
.34417 .37764 L
.34488 .37841 L
.34582 .37957 L
.34681 .38077 L
.34756 .38149 L
.34874 .38317 L
.34895 .38342 L
.35046 .38535 L
.35066 .38561 L
.35224 .38727 L
.35259 .38811 L
.35345 .3892 L
.35452 .39064 L
.35478 .39113 L
.35642 .39306 L
.35644 .39309 L
.35792 .39498 L
.35837 .3957 L
.35912 .39691 L
.3603 .39843 L
.36086 .39884 L
.36222 .40068 L
.36229 .40076 L
.36369 .40269 L
.36415 .40339 L
.36476 .40462 L
.36608 .40578 L
.36667 .40654 L
.36801 .40838 L
.36807 .40847 L
.36943 .4104 L
.36993 .41115 L
.37044 .41232 L
.37186 .41355 L
.3724 .41425 L
.37379 .41618 L
.37379 .41618 L
.37511 .41811 L
.37571 .41897 L
.3761 .42003 L
.37764 .42138 L
.37808 .42196 L
.37949 .42389 L
.37957 .42403 L
.38077 .42581 L
.38149 .42684 L
.38171 .42774 L
.38342 .42924 L
.38374 .42967 L
.38517 .43159 L
.38535 .43192 L
.38639 .43352 L
.38727 .43472 L
.38799 .43545 L
.3892 .43713 L
.38939 .43737 L
.39083 .4393 L
.39113 .43982 L
.39201 .44123 L
.39306 .44261 L
.39364 .44316 L
.39498 .44502 L
.39503 .44508 L
.39647 .44701 L
.39691 .44772 L
.39762 .44894 L
.39884 .45047 L
.39928 .45086 L
.40067 .45279 L
.40076 .45292 L
.4021 .45472 L
.40269 .45562 L
.40323 .45664 L
.40462 .45833 L
.40491 .45857 L
.40648 .4605 L
.40654 .46081 L
.40773 .46242 L
.40847 .46351 L
.40885 .46435 L
.4104 .46616 L
.41055 .46628 L
.41216 .46821 L
.41232 .46871 L
.41335 .47013 L
.41425 .4714 L
.41448 .47206 L
.41618 .47398 L
.41619 .47399 L
.41781 .47591 L
.41811 .4766 L
.41897 .47784 L
.42003 .47929 L
.42013 .47977 L
.42182 .48169 L
.42196 .48184 L
.42345 .48362 L
.42389 .48449 L
.4246 .48555 L
.42581 .48717 L
.42606 .48747 L
.42746 .4894 L
.42774 .48971 L
.42907 .49133 L
.42967 .49239 L
.43022 .49326 L
.43159 .49506 L
.4317 .49518 L
.43309 .49711 L
.43352 .49758 L
.43468 .49904 L
.43545 .50029 L
.43585 .50096 L
.43733 .50289 L
.43737 .5029 L
.43872 .50482 L
.4393 .50546 L
.44029 .50674 L
.44123 .50819 L
.44149 .50867 L
.44296 .5106 L
.44316 .51067 L
.44493 .51253 L
.44508 .51336 L
.4459 .51445 L
.44701 .5161 L
.44715 .51638 L
.44859 .51831 L
.44894 .51848 L
.45051 .52023 L
.45086 .52127 L
.45151 .52216 L
.45279 .52402 L
.45282 .52409 L
.45422 .52601 L
.45472 .52633 L
.45607 .52794 L
.45664 .5292 L
.45711 .52987 L
.45846 .53179 L
.45857 .53194 L
.45984 .53372 L
.4605 .53423 L
.46163 .53565 L
.46242 .53714 L
.46272 .53758 L
.46408 .5395 L
.46435 .53987 L
.46546 .54143 L
.46628 .54218 L
.46717 .54336 L
.46821 .54511 L
.46832 .54528 L
.46968 .54721 L
.47013 .5478 L
.47107 .54914 L
.47206 .55018 L
.47271 .55106 L
.47391 .55299 L
.47399 .55309 L
.47527 .55492 L
.47591 .55577 L
.47667 .55684 L
.47784 .55824 L
.47822 .55877 L
.47948 .5607 L
.47977 .56108 L
.48083 .56263 L
.48169 .56378 L
.48223 .56455 L
.48362 .56642 L
.48366 .56648 L
.48497 .56841 L
.48555 .56918 L
.48632 .57033 L
.48747 .57191 L
.48796 .57226 L
.48903 .57419 L
.4894 .57469 L
.49031 .57611 L
.49133 .57755 L
.49163 .57804 L
.49288 .57997 L
.49326 .58053 L
.494 .58189 L
.49326 .58361 L
.4915 .58189 L
.49133 .58173 L
.48967 .57997 L
.4894 .57985 L
.48792 .57804 L
.48747 .5775 L
.48623 .57611 L
.48555 .57517 L
.48465 .57419 L
.48362 .57274 L
.48334 .57226 L
.48169 .57062 L
.48145 .57033 L
.47979 .56841 L
.47977 .56816 L
.47849 .56648 L
.47784 .56554 L
.47734 .56455 L
.47591 .5633 L
.47537 .56263 L
.47399 .56078 L
.47392 .5607 L
.47256 .55877 L
.47206 .55807 L
.47151 .55684 L
.47013 .55572 L
.4695 .55492 L
.46821 .55314 L
.46809 .55299 L
.46677 .55106 L
.46628 .55037 L
.46517 .54914 L
.46435 .54799 L
.46375 .54721 L
.46242 .54537 L
.46235 .54528 L
.46108 .54336 L
.4605 .54255 L
.45946 .54143 L
.45857 .54018 L
.45805 .5395 L
.45667 .53758 L
.45664 .53754 L
.45544 .53565 L
.45472 .53467 L
.45378 .53372 L
.45279 .53233 L
.45238 .53179 L
.451 .52987 L
.45086 .52965 L
.44984 .52794 L
.44894 .52677 L
.44812 .52601 L
.44701 .52445 L
.44673 .52409 L
.44536 .52216 L
.44508 .52174 L
.44425 .52023 L
.44316 .51887 L
.44248 .51831 L
.44123 .51656 L
.44109 .51638 L
.43974 .51445 L
.4393 .51383 L
.43867 .51253 L
.43737 .51098 L
.43684 .5106 L
.43545 .50867 L
.43545 .50866 L
.43412 .50674 L
.43352 .50592 L
.4331 .50482 L
.43159 .50312 L
.4312 .50289 L
.42977 .50096 L
.42967 .50075 L
.4285 .49904 L
.42774 .49802 L
.42752 .49711 L
.42581 .4953 L
.42556 .49518 L
.4241 .49326 L
.42389 .49285 L
.42289 .49133 L
.42196 .49012 L
.42132 .4894 L
.42003 .48751 L
.41993 .48747 L
.41846 .48555 L
.41811 .48495 L
.41728 .48362 L
.41618 .48224 L
.41569 .48169 L
.4143 .47977 L
.41425 .47971 L
.41282 .47784 L
.41232 .47705 L
.41167 .47591 L
.4104 .47436 L
.41005 .47399 L
.40866 .47206 L
.40847 .47183 L
.4072 .47013 L
.40654 .46916 L
.40605 .46821 L
.40462 .46649 L
.40442 .46628 L
.40275 .46435 L
.40269 .46395 L
.40157 .46242 L
.40076 .46126 L
.40042 .4605 L
.39884 .45862 L
.39879 .45857 L
.39709 .45664 L
.39691 .45606 L
.39595 .45472 L
.39498 .45336 L
.39477 .45279 L
.39315 .45086 L
.39306 .45079 L
.39145 .44894 L
.39113 .44817 L
.39033 .44701 L
.3892 .44547 L
.38911 .44508 L
.38752 .44316 L
.38727 .44296 L
.38584 .44123 L
.38535 .44027 L
.38471 .4393 L
.38342 .43756 L
.38341 .43737 L
.3819 .43545 L
.38149 .43511 L
.38023 .43352 L
.37957 .43236 L
.37909 .43159 L
.37766 .42967 L
.37764 .42965 L
.37627 .42774 L
.37571 .42723 L
.37463 .42581 L
.37379 .42443 L
.37347 .42389 L
.37204 .42196 L
.37186 .42172 L
.37065 .42003 L
.36993 .41932 L
.36905 .41811 L
.36801 .41648 L
.36784 .41618 L
.36643 .41425 L
.36608 .41378 L
.36504 .41232 L
.36415 .41136 L
.36348 .4104 L
.36222 .4085 L
.36221 .40847 L
.36084 .40654 L
.3603 .40582 L
.35886 .40462 L
.35837 .40334 L
.35793 .40269 L
.35664 .40076 L
.35644 .4005 L
.35528 .39884 L
.35452 .39781 L
.35345 .39691 L
.35259 .3952 L
.35245 .39498 L
.35114 .39306 L
.35066 .39241 L
.34978 .39113 L
.34874 .38968 L
.34819 .3892 L
.34706 .38727 L
.34681 .38693 L
.34576 .38535 L
.34488 .38411 L
.34444 .38342 L
.34313 .38149 L
.34296 .38124 L
.34192 .37957 L
.34103 .37821 L
.3407 .37764 L
.33959 .37571 L
.3391 .3748 L
.33874 .37379 L
F
0 .82 1 r
.3391 .40569 m
.33976 .40654 L
.34103 .40788 L
.34147 .40847 L
.34296 .41022 L
.34309 .4104 L
.34458 .41232 L
.34488 .41267 L
.34605 .41425 L
.34681 .41516 L
.34754 .41618 L
.34874 .41767 L
.34905 .41811 L
.35052 .42003 L
.35066 .4202 L
.35192 .42196 L
.35259 .42279 L
.35336 .42389 L
.35452 .42537 L
.35482 .42581 L
.35626 .42774 L
.35644 .42797 L
.35762 .42967 L
.35837 .43063 L
.35903 .43159 L
.3603 .43326 L
.36047 .43352 L
.36183 .43545 L
.36222 .43595 L
.36317 .43737 L
.36415 .43867 L
.36456 .4393 L
.36596 .44123 L
.36608 .44139 L
.36719 .44316 L
.36801 .44425 L
.3685 .44508 L
.36801 .44612 L
.36718 .44508 L
.36608 .44379 L
.36558 .44316 L
.36415 .44139 L
.36403 .44123 L
.36255 .4393 L
.36222 .43891 L
.36106 .43737 L
.3603 .43642 L
.35957 .43545 L
.35837 .4339 L
.35809 .43352 L
.35665 .43159 L
.35644 .43134 L
.35522 .42967 L
.35452 .42875 L
.35377 .42774 L
.35259 .42616 L
.35233 .42581 L
.35094 .42389 L
.35066 .42353 L
.34955 .42196 L
.34874 .42087 L
.34814 .42003 L
.34681 .41821 L
.34673 .41811 L
.34541 .41618 L
.34488 .41547 L
.34406 .41425 L
.34296 .41273 L
.34268 .41232 L
.34141 .4104 L
.34103 .40988 L
.34017 .40847 L
.3391 .40692 L
.33888 .40654 L
F
1 .85 0 r
.3391 .39744 m
.34038 .39884 L
.34103 .39947 L
.3421 .40076 L
.34296 .4017 L
.34375 .40269 L
.34488 .40402 L
.34535 .40462 L
.34681 .40637 L
.34706 .40654 L
.34843 .40847 L
.34874 .40884 L
.34992 .4104 L
.35066 .41076 L
.35143 .41232 L
.35259 .4137 L
.35323 .41425 L
.35441 .41618 L
.35452 .41631 L
.35586 .41811 L
.35644 .41839 L
.35732 .42003 L
.35837 .42129 L
.35907 .42196 L
.36025 .42389 L
.3603 .42395 L
.36167 .42581 L
.36222 .42612 L
.36311 .42774 L
.36415 .42901 L
.36479 .42967 L
.366 .43159 L
.36608 .4317 L
.3674 .43352 L
.36801 .43391 L
.36883 .43545 L
.36993 .43682 L
.37043 .43737 L
.37168 .4393 L
.37186 .43953 L
.37308 .44123 L
.37379 .44177 L
.3745 .44316 L
.37571 .44472 L
.37603 .44508 L
.37732 .44701 L
.37764 .44742 L
.37871 .44894 L
.37957 .44971 L
.38012 .45086 L
.38149 .45269 L
.38158 .45279 L
.38291 .45472 L
.38342 .45539 L
.3843 .45664 L
.38535 .45778 L
.38612 .45857 L
.3871 .4605 L
.38727 .46073 L
.38844 .46242 L
.3892 .46344 L
.38983 .46435 L
.39113 .46604 L
.39135 .46628 L
.39256 .46821 L
.39306 .46888 L
.39389 .47013 L
.39498 .47163 L
.39527 .47206 L
.39659 .47399 L
.39691 .47442 L
.39786 .47591 L
.39884 .47729 L
.39917 .47784 L
.40043 .47977 L
.40076 .48026 L
.40151 .48169 L
.40076 .48234 L
.40017 .48169 L
.39884 .48024 L
.39843 .47977 L
.39691 .47803 L
.39679 .47784 L
.3952 .47591 L
.39498 .47566 L
.39363 .47399 L
.39306 .47329 L
.39207 .47206 L
.39113 .47102 L
.39054 .47013 L
.3892 .46842 L
.389 .46821 L
.38754 .46628 L
.38727 .46595 L
.38604 .46435 L
.38535 .46358 L
.38388 .46242 L
.38342 .46094 L
.38306 .4605 L
.38162 .45857 L
.38149 .45841 L
.38016 .45664 L
.37957 .45597 L
.37823 .45472 L
.37764 .45331 L
.37725 .45279 L
.37581 .45086 L
.37571 .45073 L
.37437 .44894 L
.37379 .44825 L
.3726 .44701 L
.37186 .44556 L
.37152 .44508 L
.37008 .44316 L
.36993 .44296 L
.36866 .44123 L
.36801 .44045 L
.36698 .4393 L
.36608 .43773 L
.36584 .43737 L
.36441 .43545 L
.36415 .43539 L
.363 .43352 L
.36222 .43257 L
.36141 .43159 L
.3603 .42982 L
.3602 .42967 L
.3588 .42774 L
.35837 .42755 L
.35741 .42581 L
.35644 .42458 L
.35589 .42389 L
.35463 .42196 L
.35452 .4218 L
.35326 .42003 L
.35259 .41956 L
.35188 .41811 L
.35066 .41645 L
.35046 .41618 L
.34917 .41425 L
.34874 .41366 L
.34782 .41232 L
.34681 .41123 L
.34604 .4104 L
.34514 .40847 L
.34488 .40811 L
.34385 .40654 L
.34296 .40526 L
.34253 .40462 L
.34127 .40269 L
.34103 .40234 L
.34009 .40076 L
.3391 .39923 L
.33889 .39884 L
F
0 .92 1 r
.3391 .38958 m
.3408 .39113 L
.34103 .39133 L
.3426 .39306 L
.34296 .39342 L
.34429 .39498 L
.34488 .39564 L
.34593 .39691 L
.34681 .39779 L
.34753 .39884 L
.34874 .4003 L
.34924 .40076 L
.35063 .40269 L
.35066 .40273 L
.35214 .40462 L
.35259 .40507 L
.35365 .40654 L
.35452 .40764 L
.35529 .40847 L
.35644 .41018 L
.35659 .4104 L
.3581 .41232 L
.35837 .41261 L
.35957 .41425 L
.3603 .4152 L
.36113 .41618 L
.36222 .41779 L
.36241 .41811 L
.36393 .42003 L
.36415 .42027 L
.36591 .42196 L
.36608 .42289 L
.36688 .42389 L
.36801 .42551 L
.36816 .42581 L
.36969 .42774 L
.36993 .42801 L
.37154 .42967 L
.37186 .43065 L
.37259 .43159 L
.37379 .43329 L
.37388 .43352 L
.37539 .43545 L
.37571 .4358 L
.37717 .43737 L
.37764 .43846 L
.37826 .4393 L
.37957 .4411 L
.3796 .44123 L
.38107 .44316 L
.38149 .44362 L
.3828 .44508 L
.38342 .44631 L
.38392 .44701 L
.38534 .44894 L
.38535 .44894 L
.38673 .45086 L
.38727 .45148 L
.38841 .45279 L
.3892 .45419 L
.38956 .45472 L
.39098 .45664 L
.39113 .4567 L
.39238 .45857 L
.39306 .45936 L
.39401 .4605 L
.39498 .46209 L
.3952 .46242 L
.39661 .46435 L
.39691 .4645 L
.39801 .46628 L
.39884 .46727 L
.39959 .46821 L
.40076 .47001 L
.40083 .47013 L
.40222 .47206 L
.40269 .47235 L
.40432 .47399 L
.40462 .47522 L
.40516 .47591 L
.40645 .47784 L
.40654 .47797 L
.40782 .47977 L
.40847 .48028 L
.40978 .48169 L
.4104 .48321 L
.4107 .48362 L
.41202 .48555 L
.41232 .48596 L
.41339 .48747 L
.41425 .48831 L
.41519 .4894 L
.41618 .49129 L
.41621 .49133 L
.41755 .49326 L
.41811 .49401 L
.41892 .49518 L
.42003 .49649 L
.42054 .49711 L
.42168 .49904 L
.42196 .49941 L
.42301 .50096 L
.42389 .50216 L
.42438 .50289 L
.42575 .50482 L
.42581 .5049 L
.42703 .50674 L
.42774 .50773 L
.42834 .50867 L
.42967 .51057 L
.42969 .5106 L
.43087 .51253 L
.43159 .5136 L
.43206 .51445 L
.43159 .51616 L
.42998 .51445 L
.42967 .51414 L
.42824 .51253 L
.42774 .51197 L
.42657 .5106 L
.42581 .50989 L
.42493 .50867 L
.42389 .50738 L
.42317 .50674 L
.42196 .50498 L
.42184 .50482 L
.42026 .50289 L
.42003 .50266 L
.41872 .50096 L
.41811 .50015 L
.41711 .49904 L
.41618 .49762 L
.41586 .49711 L
.41425 .4952 L
.41422 .49518 L
.41273 .49326 L
.41232 .49269 L
.41123 .49133 L
.4104 .49009 L
.41002 .4894 L
.40847 .48756 L
.40833 .48747 L
.40687 .48555 L
.40654 .48508 L
.40544 .48362 L
.40462 .48244 L
.40426 .48169 L
.40269 .47987 L
.40253 .47977 L
.40088 .47784 L
.40076 .47737 L
.39971 .47591 L
.39884 .4747 L
.39856 .47399 L
.39691 .47213 L
.3968 .47206 L
.3952 .47013 L
.39498 .46959 L
.39402 .46821 L
.39306 .46691 L
.39289 .46628 L
.39113 .46437 L
.3911 .46435 L
.38953 .46242 L
.3892 .46176 L
.38836 .4605 L
.38727 .45908 L
.38722 .45857 L
.38543 .45664 L
.38535 .45655 L
.38388 .45472 L
.38342 .4539 L
.38272 .45279 L
.38149 .45123 L
.38117 .45086 L
.37977 .44894 L
.37957 .44869 L
.37825 .44701 L
.37764 .44602 L
.37709 .44508 L
.37571 .44335 L
.37554 .44316 L
.37414 .44123 L
.37379 .4408 L
.37263 .4393 L
.37186 .4381 L
.37146 .43737 L
.36993 .43546 L
.36992 .43545 L
.36853 .43352 L
.36801 .43289 L
.36704 .43159 L
.36608 .43016 L
.36584 .42967 L
.36433 .42774 L
.36415 .42764 L
.36244 .42581 L
.36222 .42492 L
.36148 .42389 L
.3603 .42217 L
.36021 .42196 L
.35878 .42003 L
.35837 .41975 L
.35694 .41811 L
.35644 .41688 L
.35596 .41618 L
.35463 .41425 L
.35452 .4141 L
.35327 .41232 L
.35259 .41171 L
.35153 .4104 L
.35066 .4087 L
.35051 .40847 L
.3492 .40654 L
.34874 .4059 L
.34786 .40462 L
.34681 .40335 L
.34632 .40269 L
.3452 .40076 L
.34488 .40031 L
.34392 .39884 L
.34296 .39742 L
.34262 .39691 L
.3414 .39498 L
.34103 .39443 L
.34024 .39306 L
.3391 .39117 L
.33908 .39113 L
F
0 .98 1 r
.34103 .34855 m
.34118 .34874 L
.34284 .35066 L
.34296 .35079 L
.3443 .35259 L
.34488 .35333 L
.34569 .35452 L
.34681 .35613 L
.347 .35644 L
.34681 .35821 L
.34503 .35644 L
.34488 .35629 L
.34345 .35452 L
.34296 .3539 L
.34201 .35259 L
.34103 .35123 L
.34065 .35066 L
.3395 .34874 L
F
0 .88 1 r
.34296 .2559 m
.34488 .25594 L
.34674 .25624 L
.34681 .25625 L
.34874 .2567 L
.35066 .25743 L
.35222 .25817 L
.35259 .25833 L
.35452 .25947 L
.35538 .2601 L
.35644 .26082 L
.35764 .26202 L
.35837 .26282 L
.35923 .26395 L
.36006 .26588 L
.35963 .2678 L
.35837 .26852 L
.35644 .26862 L
.35452 .26835 L
.35259 .26785 L
.35244 .2678 L
.35066 .2672 L
.34874 .26632 L
.34789 .26588 L
.34681 .26531 L
.34488 .26402 L
.34478 .26395 L
.34296 .26256 L
.34242 .26202 L
.34103 .2605 L
.34074 .2601 L
.33994 .25817 L
.34103 .25643 L
.34147 .25624 L
F
1 .84 0 r
.34103 .39981 m
.34185 .40076 L
.34296 .40194 L
.34356 .40269 L
.34488 .40421 L
.3452 .40462 L
.34679 .40654 L
.34681 .40657 L
.3483 .40847 L
.34874 .40899 L
.34981 .4104 L
.35066 .41089 L
.35133 .41232 L
.35259 .41384 L
.35308 .41425 L
.35432 .41618 L
.35452 .41642 L
.35578 .41811 L
.35644 .41846 L
.35725 .42003 L
.35837 .42139 L
.35897 .42196 L
.36018 .42389 L
.3603 .42404 L
.3616 .42581 L
.36222 .42618 L
.36305 .42774 L
.36415 .4291 L
.36471 .42967 L
.36594 .43159 L
.36608 .43178 L
.36734 .43352 L
.36801 .43397 L
.36877 .43545 L
.36993 .43691 L
.37036 .43737 L
.37163 .4393 L
.37186 .4396 L
.37302 .44123 L
.37379 .44184 L
.37444 .44316 L
.37571 .4448 L
.37596 .44508 L
.37727 .44701 L
.37764 .4475 L
.37865 .44894 L
.37957 .4498 L
.38007 .45086 L
.38149 .45278 L
.3815 .45279 L
.38285 .45472 L
.38342 .45547 L
.38424 .45664 L
.38535 .4579 L
.38601 .45857 L
.38703 .4605 L
.38727 .46082 L
.38837 .46242 L
.3892 .46354 L
.38976 .46435 L
.39113 .4662 L
.3912 .46628 L
.39247 .46821 L
.39306 .469 L
.3938 .47013 L
.39498 .47176 L
.39518 .47206 L
.39646 .47399 L
.39691 .4746 L
.39772 .47591 L
.39884 .47751 L
.39903 .47784 L
.40017 .47977 L
.40076 .48073 L
.40107 .48169 L
.40076 .48185 L
.40059 .48169 L
.39884 .47993 L
.39869 .47977 L
.397 .47784 L
.39691 .47774 L
.39539 .47591 L
.39498 .47545 L
.39379 .47399 L
.39306 .47311 L
.39221 .47206 L
.39113 .47084 L
.39066 .47013 L
.3892 .46827 L
.38914 .46821 L
.38765 .46628 L
.38727 .46581 L
.38614 .46435 L
.38535 .46346 L
.38399 .46242 L
.38342 .46083 L
.38315 .4605 L
.38171 .45857 L
.38149 .4583 L
.38024 .45664 L
.37957 .45587 L
.37831 .45472 L
.37764 .45321 L
.37732 .45279 L
.37589 .45086 L
.37571 .45063 L
.37444 .44894 L
.37379 .44817 L
.37266 .44701 L
.37186 .44547 L
.37158 .44508 L
.37015 .44316 L
.36993 .44286 L
.36873 .44123 L
.36801 .44036 L
.36705 .4393 L
.36608 .43764 L
.3659 .43737 L
.36448 .43545 L
.36415 .43537 L
.36307 .43352 L
.36222 .43247 L
.36148 .43159 L
.3603 .42972 L
.36026 .42967 L
.35888 .42774 L
.35837 .4275 L
.35748 .42581 L
.35644 .42447 L
.35597 .42389 L
.35471 .42196 L
.35452 .42169 L
.35334 .42003 L
.35259 .41944 L
.35196 .41811 L
.35066 .4163 L
.35057 .41618 L
.34926 .41425 L
.34874 .41352 L
.34792 .41232 L
.34681 .411 L
.34625 .4104 L
.34527 .40847 L
.34488 .40792 L
.34398 .40654 L
.34296 .40504 L
.34268 .40462 L
.34148 .40269 L
.34103 .40201 L
.34034 .40076 L
F
0 .81 1 r
.34103 .4083 m
.34115 .40847 L
.34103 .40938 L
.34058 .40847 L
F
0 .91 1 r
.34103 .39197 m
.34212 .39306 L
.34296 .39384 L
.34397 .39498 L
.34488 .39597 L
.34568 .39691 L
.34681 .39807 L
.34732 .39884 L
.34874 .40053 L
.349 .40076 L
.35047 .40269 L
.35066 .40292 L
.352 .40462 L
.35259 .40522 L
.35353 .40654 L
.35452 .40779 L
.35517 .40847 L
.35644 .4103 L
.35652 .4104 L
.35801 .41232 L
.35837 .41271 L
.35948 .41425 L
.3603 .4153 L
.36106 .41618 L
.36222 .41788 L
.36236 .41811 L
.36386 .42003 L
.36415 .42034 L
.36588 .42196 L
.36608 .42297 L
.36683 .42389 L
.36801 .42558 L
.36813 .42581 L
.36963 .42774 L
.36993 .42807 L
.37151 .42967 L
.37186 .43071 L
.37254 .43159 L
.37379 .43334 L
.37386 .43352 L
.37535 .43545 L
.37571 .43585 L
.37714 .43737 L
.37764 .43852 L
.37822 .4393 L
.37957 .44115 L
.37959 .44123 L
.38104 .44316 L
.38149 .44367 L
.38277 .44508 L
.38342 .44636 L
.38388 .44701 L
.3853 .44894 L
.38535 .44895 L
.3867 .45086 L
.38727 .45152 L
.38838 .45279 L
.3892 .45423 L
.38953 .45472 L
.39095 .45664 L
.39113 .45671 L
.39234 .45857 L
.39306 .4594 L
.39398 .4605 L
.39498 .46213 L
.39517 .46242 L
.39657 .46435 L
.39691 .46452 L
.39797 .46628 L
.39884 .46732 L
.39956 .46821 L
.40076 .47006 L
.4008 .47013 L
.40218 .47206 L
.40269 .47239 L
.40429 .47399 L
.40462 .47527 L
.40512 .47591 L
.4064 .47784 L
.40654 .47803 L
.40777 .47977 L
.40847 .48033 L
.40972 .48169 L
.4104 .48329 L
.41065 .48362 L
.41196 .48555 L
.41232 .48603 L
.41333 .48747 L
.41425 .48839 L
.41512 .4894 L
.41614 .49133 L
.41618 .49138 L
.41748 .49326 L
.41811 .4941 L
.41885 .49518 L
.42003 .49663 L
.42042 .49711 L
.42159 .49904 L
.42196 .49954 L
.42291 .50096 L
.42389 .5023 L
.42428 .50289 L
.42562 .50482 L
.42581 .50508 L
.42688 .50674 L
.42774 .50795 L
.42819 .50867 L
.42947 .5106 L
.42967 .51089 L
.43058 .51253 L
.43159 .51419 L
.4317 .51445 L
.43159 .51539 L
.43052 .51445 L
.42967 .51368 L
.4286 .51253 L
.42774 .51161 L
.42685 .5106 L
.42581 .50959 L
.42518 .50867 L
.42389 .50712 L
.42343 .50674 L
.42199 .50482 L
.42196 .50478 L
.42042 .50289 L
.42003 .5025 L
.41887 .50096 L
.41811 .49997 L
.41723 .49904 L
.41618 .49748 L
.41595 .49711 L
.41434 .49518 L
.41425 .49508 L
.41284 .49326 L
.41232 .49256 L
.41132 .49133 L
.4104 .48998 L
.41008 .4894 L
.40847 .4875 L
.40842 .48747 L
.40695 .48555 L
.40654 .48497 L
.40551 .48362 L
.40462 .48234 L
.40431 .48169 L
.40269 .47982 L
.40261 .47977 L
.4009 .47784 L
.40076 .47728 L
.39977 .47591 L
.39884 .47462 L
.39859 .47399 L
.39691 .47209 L
.39686 .47206 L
.39523 .47013 L
.39498 .46951 L
.39407 .46821 L
.39306 .46684 L
.39291 .46628 L
.39115 .46435 L
.39113 .46433 L
.38956 .46242 L
.3892 .4617 L
.3884 .4605 L
.38727 .45902 L
.38723 .45857 L
.38547 .45664 L
.38535 .4565 L
.38391 .45472 L
.38342 .45384 L
.38276 .45279 L
.38149 .45117 L
.38122 .45086 L
.37982 .44894 L
.37957 .44864 L
.37828 .44701 L
.37764 .44596 L
.37712 .44508 L
.37571 .4433 L
.37558 .44316 L
.37418 .44123 L
.37379 .44075 L
.37267 .4393 L
.37186 .43804 L
.3715 .43737 L
.36997 .43545 L
.36993 .43543 L
.36858 .43352 L
.36801 .43283 L
.36709 .43159 L
.36608 .43009 L
.36587 .42967 L
.36439 .42774 L
.36415 .4276 L
.36247 .42581 L
.36222 .42485 L
.36154 .42389 L
.3603 .42208 L
.36025 .42196 L
.35884 .42003 L
.35837 .41969 L
.357 .41811 L
.35644 .41678 L
.35603 .41618 L
.35471 .41425 L
.35452 .41399 L
.35336 .41232 L
.35259 .41159 L
.35164 .4104 L
.35066 .40854 L
.35062 .40847 L
.34931 .40654 L
.34874 .40574 L
.34798 .40462 L
.34681 .40308 L
.34652 .40269 L
.34537 .40076 L
.34488 .40006 L
.34411 .39884 L
.34296 .39711 L
.34283 .39691 L
.3417 .39498 L
.34103 .39388 L
.34062 .39306 L
F
1 .83 0 r
.34103 .40025 m
.3415 .40076 L
.34296 .40221 L
.34335 .40269 L
.34488 .40442 L
.34504 .40462 L
.34663 .40654 L
.34681 .40675 L
.34816 .40847 L
.34874 .40914 L
.3497 .4104 L
.35066 .41105 L
.35123 .41232 L
.35259 .41398 L
.35292 .41425 L
.35423 .41618 L
.35452 .41653 L
.35569 .41811 L
.35644 .41855 L
.35717 .42003 L
.35837 .4215 L
.35886 .42196 L
.3601 .42389 L
.3603 .42413 L
.36153 .42581 L
.36222 .42625 L
.36298 .42774 L
.36415 .42919 L
.36462 .42967 L
.36587 .43159 L
.36608 .43186 L
.36728 .43352 L
.36801 .43404 L
.36872 .43545 L
.36993 .43699 L
.37029 .43737 L
.37157 .4393 L
.37186 .43968 L
.37297 .44123 L
.37379 .44192 L
.37439 .44316 L
.37571 .44489 L
.37588 .44508 L
.37721 .44701 L
.37764 .44758 L
.3786 .44894 L
.37957 .44989 L
.38002 .45086 L
.38144 .45279 L
.38149 .45286 L
.38279 .45472 L
.38342 .45555 L
.38418 .45664 L
.38535 .45802 L
.38589 .45857 L
.38696 .4605 L
.38727 .46092 L
.3883 .46242 L
.3892 .46364 L
.38968 .46435 L
.39108 .46628 L
.39113 .46634 L
.39237 .46821 L
.39306 .46913 L
.39371 .47013 L
.39498 .47191 L
.39508 .47206 L
.39632 .47399 L
.39691 .47481 L
.39756 .47591 L
.39884 .47779 L
.39887 .47784 L
.39884 .47955 L
.39727 .47784 L
.39691 .47748 L
.39558 .47591 L
.39498 .47524 L
.39395 .47399 L
.39306 .47292 L
.39235 .47206 L
.39113 .47065 L
.39079 .47013 L
.38927 .46821 L
.3892 .46812 L
.38776 .46628 L
.38727 .46568 L
.38624 .46435 L
.38535 .46333 L
.38412 .46242 L
.38342 .4607 L
.38325 .4605 L
.3818 .45857 L
.38149 .45818 L
.38032 .45664 L
.37957 .45577 L
.3784 .45472 L
.37764 .4531 L
.3774 .45279 L
.37597 .45086 L
.37571 .45053 L
.37452 .44894 L
.37379 .44807 L
.37274 .44701 L
.37186 .44538 L
.37165 .44508 L
.37022 .44316 L
.36993 .44277 L
.36879 .44123 L
.36801 .44027 L
.36712 .4393 L
.36608 .43755 L
.36596 .43737 L
.36455 .43545 L
.36415 .43533 L
.36314 .43352 L
.36222 .43237 L
.36156 .43159 L
.36033 .42967 L
.3603 .42962 L
.35895 .42774 L
.35837 .42743 L
.35755 .42581 L
.35644 .42435 L
.35607 .42389 L
.35479 .42196 L
.35452 .42158 L
.35343 .42003 L
.35259 .41931 L
.35205 .41811 L
.35068 .41618 L
.35066 .41615 L
.34937 .41425 L
.34874 .41337 L
.34802 .41232 L
.34681 .41074 L
.3465 .4104 L
.34541 .40847 L
.34488 .40772 L
.34413 .40654 L
.34296 .4048 L
.34284 .40462 L
.34173 .40269 L
.34103 .40156 L
.34066 .40076 L
F
1 .97 0 r
.34103 .38372 m
.34276 .38535 L
.34296 .38553 L
.34458 .38727 L
.34488 .38759 L
.3463 .3892 L
.34681 .38959 L
.34796 .39113 L
.34874 .39204 L
.3501 .39306 L
.35066 .39445 L
.35114 .39498 L
.35259 .39683 L
.35263 .39691 L
.35422 .39884 L
.35452 .39922 L
.35602 .40076 L
.35644 .40176 L
.35716 .40269 L
.35837 .40432 L
.35844 .40462 L
.36019 .40654 L
.3603 .40669 L
.36181 .40847 L
.36222 .40929 L
.363 .4104 L
.36415 .41195 L
.36459 .41232 L
.36602 .41425 L
.36608 .41433 L
.36756 .41618 L
.36801 .41698 L
.36875 .41811 L
.36993 .41968 L
.37035 .42003 L
.37177 .42196 L
.37186 .42209 L
.37327 .42389 L
.37379 .42476 L
.37444 .42581 L
.37571 .42745 L
.37606 .42774 L
.37747 .42967 L
.37764 .4299 L
.37894 .43159 L
.37957 .43258 L
.3801 .43352 L
.38149 .43525 L
.38174 .43545 L
.3834 .43737 L
.38342 .43774 L
.3846 .4393 L
.38535 .44044 L
.38575 .44123 L
.38727 .44306 L
.38741 .44316 L
.38908 .44508 L
.3892 .44561 L
.39024 .44701 L
.39113 .4483 L
.3914 .44894 L
.39306 .45086 L
.39306 .45086 L
.39473 .45279 L
.39498 .45348 L
.39587 .45472 L
.39691 .45617 L
.39706 .45664 L
.3987 .45857 L
.39884 .45872 L
.40037 .4605 L
.40076 .46137 L
.4015 .46242 L
.40269 .46404 L
.40273 .46435 L
.40434 .46628 L
.40462 .46658 L
.40599 .46821 L
.40654 .46926 L
.40713 .47013 L
.40847 .47192 L
.40858 .47206 L
.40998 .47399 L
.4104 .47445 L
.4116 .47591 L
.41232 .47715 L
.41276 .47784 L
.41422 .47977 L
.41425 .47978 L
.41561 .48169 L
.41618 .48233 L
.41721 .48362 L
.41811 .48506 L
.4184 .48555 L
.41985 .48747 L
.42003 .48755 L
.42124 .4894 L
.42196 .49024 L
.42281 .49133 L
.42389 .49298 L
.42404 .49326 L
.42547 .49518 L
.42581 .49537 L
.42745 .49711 L
.42774 .49816 L
.4284 .49904 L
.42967 .50091 L
.42969 .50096 L
.43108 .50289 L
.43159 .50323 L
.43299 .50482 L
.43352 .50611 L
.43398 .50674 L
.43531 .50867 L
.43545 .50886 L
.43668 .5106 L
.43737 .51117 L
.4385 .51253 L
.4393 .51409 L
.43955 .51445 L
.44089 .51638 L
.44123 .51683 L
.44227 .51831 L
.44316 .51918 L
.44398 .52023 L
.44508 .52213 L
.4451 .52216 L
.44645 .52409 L
.44701 .52484 L
.44782 .52601 L
.44894 .52731 L
.44941 .52794 L
.45061 .52987 L
.45086 .53021 L
.45195 .53179 L
.45279 .53294 L
.45332 .53372 L
.45472 .53564 L
.45472 .53565 L
.45601 .53758 L
.45664 .53845 L
.45733 .5395 L
.45857 .54125 L
.45869 .54143 L
.45993 .54336 L
.4605 .54417 L
.46116 .54528 L
.46241 .54721 L
.46242 .54723 L
.46331 .54914 L
.46242 .54957 L
.46195 .54914 L
.4605 .548 L
.45999 .54721 L
.45857 .54566 L
.4578 .54528 L
.45664 .54346 L
.45654 .54336 L
.45489 .54143 L
.45472 .54128 L
.45326 .5395 L
.45279 .53889 L
.45137 .53758 L
.45086 .53644 L
.45025 .53565 L
.44894 .53397 L
.4489 .53372 L
.44708 .53179 L
.44701 .53169 L
.44547 .52987 L
.44508 .52914 L
.44426 .52794 L
.44316 .5265 L
.44256 .52601 L
.44123 .52423 L
.44112 .52409 L
.43963 .52216 L
.4393 .52162 L
.43842 .52023 L
.43737 .51888 L
.4367 .51831 L
.43545 .51659 L
.43528 .51638 L
.43385 .51445 L
.43352 .51394 L
.43267 .51253 L
.43159 .51115 L
.43094 .5106 L
.42967 .50885 L
.42953 .50867 L
.42813 .50674 L
.42774 .50616 L
.427 .50482 L
.42581 .50336 L
.42522 .50289 L
.42389 .50104 L
.42383 .50096 L
.42245 .49904 L
.42196 .49833 L
.42136 .49711 L
.42003 .49554 L
.41954 .49518 L
.41813 .49326 L
.41811 .49319 L
.4168 .49133 L
.41618 .49047 L
.41575 .4894 L
.41425 .48771 L
.41388 .48747 L
.41243 .48555 L
.41232 .48532 L
.41116 .48362 L
.4104 .4826 L
.41015 .48169 L
.40847 .4799 L
.40823 .47977 L
.40676 .47784 L
.40654 .47744 L
.40554 .47591 L
.40462 .47472 L
.40455 .47399 L
.40269 .47211 L
.40259 .47206 L
.4011 .47013 L
.40076 .46955 L
.39992 .46821 L
.39884 .46684 L
.39834 .46628 L
.39695 .46435 L
.39691 .46431 L
.39546 .46242 L
.39498 .46165 L
.3943 .4605 L
.39306 .45896 L
.3927 .45857 L
.39131 .45664 L
.39113 .45643 L
.38984 .45472 L
.3892 .45375 L
.38868 .45279 L
.38727 .45109 L
.38707 .45086 L
.38538 .44894 L
.38535 .44854 L
.38422 .44701 L
.38342 .44585 L
.38306 .44508 L
.38149 .44321 L
.38145 .44316 L
.37972 .44123 L
.37957 .44065 L
.37861 .4393 L
.37764 .43794 L
.37742 .43737 L
.37583 .43545 L
.37571 .43537 L
.3741 .43352 L
.37379 .43273 L
.373 .43159 L
.37186 .43001 L
.37176 .42967 L
.37022 .42774 L
.36993 .42753 L
.36851 .42581 L
.36801 .42479 L
.36741 .42389 L
.36608 .42206 L
.36606 .42196 L
.36463 .42003 L
.36415 .41964 L
.36295 .41811 L
.36222 .41681 L
.36183 .41618 L
.36044 .41425 L
.3603 .41406 L
.35907 .41232 L
.35837 .41166 L
.35744 .4104 L
.35644 .40875 L
.35628 .40847 L
.35492 .40654 L
.35452 .406 L
.35355 .40462 L
.35259 .40352 L
.35201 .40269 L
.3508 .40076 L
.35066 .40057 L
.34948 .39884 L
.34874 .3978 L
.34813 .39691 L
.34681 .39505 L
.34676 .39498 L
.34551 .39306 L
.34488 .39215 L
.34423 .39113 L
.34296 .38924 L
.34291 .3892 L
.34181 .38727 L
.34103 .38602 L
.34069 .38535 L
F
1 .82 0 r
.34296 .40253 m
.34309 .40269 L
.34296 .40449 L
.34208 .40269 L
F
0 .9 1 r
.34296 .39433 m
.34357 .39498 L
.34488 .39632 L
.3454 .39691 L
.34681 .3984 L
.3471 .39884 L
.34873 .40076 L
.34874 .40077 L
.35029 .40269 L
.35066 .40312 L
.35185 .40462 L
.35259 .40538 L
.3534 .40654 L
.35452 .40794 L
.35504 .40847 L
.35643 .4104 L
.35644 .41042 L
.35791 .41232 L
.35837 .41281 L
.3594 .41425 L
.3603 .41541 L
.36098 .41618 L
.36222 .41797 L
.36231 .41811 L
.36379 .42003 L
.36415 .42042 L
.36585 .42196 L
.36608 .42304 L
.36677 .42389 L
.36801 .42564 L
.36809 .42581 L
.36958 .42774 L
.36993 .42813 L
.37148 .42967 L
.37186 .43078 L
.3725 .43159 L
.37379 .4334 L
.37384 .43352 L
.37531 .43545 L
.37571 .4359 L
.37711 .43737 L
.37764 .43857 L
.37819 .4393 L
.37957 .4412 L
.37958 .44123 L
.381 .44316 L
.38149 .44371 L
.38274 .44508 L
.38342 .44641 L
.38385 .44701 L
.38526 .44894 L
.38535 .44896 L
.38666 .45086 L
.38727 .45156 L
.38835 .45279 L
.3892 .45428 L
.3895 .45472 L
.39091 .45664 L
.39113 .45673 L
.39231 .45857 L
.39306 .45944 L
.39394 .4605 L
.39498 .46218 L
.39514 .46242 L
.39654 .46435 L
.39691 .46455 L
.39794 .46628 L
.39884 .46736 L
.39952 .46821 L
.40076 .47012 L
.40077 .47013 L
.40215 .47206 L
.40269 .47243 L
.40425 .47399 L
.40462 .47533 L
.40507 .47591 L
.40636 .47784 L
.40654 .47808 L
.40773 .47977 L
.40847 .48039 L
.40967 .48169 L
.4104 .48336 L
.41059 .48362 L
.41191 .48555 L
.41232 .4861 L
.41328 .48747 L
.41425 .48849 L
.41503 .4894 L
.41608 .49133 L
.41618 .49146 L
.41741 .49326 L
.41811 .49419 L
.41878 .49518 L
.42003 .49679 L
.42029 .49711 L
.4215 .49904 L
.42196 .49967 L
.42282 .50096 L
.42389 .50245 L
.42418 .50289 L
.42548 .50482 L
.42581 .50528 L
.42673 .50674 L
.42774 .50821 L
.42802 .50867 L
.42919 .5106 L
.42967 .51136 L
.43018 .51253 L
.42967 .5131 L
.42906 .51253 L
.42774 .51122 L
.42717 .5106 L
.42581 .50923 L
.42544 .50867 L
.42389 .50685 L
.42374 .50674 L
.42219 .50482 L
.42196 .50455 L
.42059 .50289 L
.42003 .50233 L
.41902 .50096 L
.41811 .4998 L
.41736 .49904 L
.41618 .49733 L
.41603 .49711 L
.41446 .49518 L
.41425 .49496 L
.41294 .49326 L
.41232 .49242 L
.41141 .49133 L
.4104 .48986 L
.41014 .4894 L
.40851 .48747 L
.40847 .48743 L
.40703 .48555 L
.40654 .48487 L
.40558 .48362 L
.40462 .48225 L
.40436 .48169 L
.40269 .47977 L
.40268 .47977 L
.40092 .47784 L
.40076 .4772 L
.39982 .47591 L
.39884 .47455 L
.39863 .47399 L
.39692 .47206 L
.39691 .47205 L
.39525 .47013 L
.39498 .46944 L
.39412 .46821 L
.39306 .46678 L
.39293 .46628 L
.3912 .46435 L
.39113 .46427 L
.38959 .46242 L
.3892 .46163 L
.38844 .4605 L
.38727 .45897 L
.38724 .45857 L
.38552 .45664 L
.38535 .45644 L
.38394 .45472 L
.38342 .45378 L
.38279 .45279 L
.38149 .45112 L
.38126 .45086 L
.37986 .44894 L
.37957 .44859 L
.37832 .44701 L
.37764 .4459 L
.37716 .44508 L
.37571 .44325 L
.37563 .44316 L
.37423 .44123 L
.37379 .4407 L
.37271 .4393 L
.37186 .43798 L
.37153 .43737 L
.37002 .43545 L
.36993 .43541 L
.36862 .43352 L
.36801 .43276 L
.36713 .43159 L
.36608 .43002 L
.36591 .42967 L
.36444 .42774 L
.36415 .42757 L
.3625 .42581 L
.36222 .42477 L
.36159 .42389 L
.3603 .422 L
.36028 .42196 L
.35891 .42003 L
.35837 .41962 L
.35706 .41811 L
.35644 .41667 L
.35611 .41618 L
.35479 .41425 L
.35452 .41387 L
.35344 .41232 L
.35259 .41145 L
.35176 .4104 L
.35073 .40847 L
.35066 .40838 L
.34943 .40654 L
.34874 .40556 L
.3481 .40462 L
.34681 .40277 L
.34675 .40269 L
.34555 .40076 L
.34488 .39978 L
.3443 .39884 L
.34309 .39691 L
.34296 .39671 L
.3421 .39498 L
F
0 .87 1 r
.34296 .25753 m
.34488 .25713 L
.34681 .25711 L
.34874 .25772 L
.35002 .25817 L
.35066 .25833 L
.35259 .2594 L
.3536 .2601 L
.35452 .2604 L
.35595 .26202 L
.35644 .26258 L
.35742 .26395 L
.35786 .26588 L
.35644 .26689 L
.35452 .26732 L
.35259 .26676 L
.35066 .26605 L
.35021 .26588 L
.34874 .26529 L
.34681 .26409 L
.3466 .26395 L
.34488 .26286 L
.34411 .26202 L
.34296 .26073 L
.34252 .2601 L
.3422 .25817 L
F
1 .88 0 r
.34296 .4187 m
.34375 .42003 L
.34488 .42146 L
.34516 .42196 L
.34488 .4226 L
.34441 .42196 L
.34296 .42021 L
.34282 .42003 L
F
0 .81 1 r
.34296 .41054 m
.34432 .41232 L
.34488 .41295 L
.34583 .41425 L
.34681 .4154 L
.34737 .41618 L
.34874 .41787 L
.3489 .41811 L
.35035 .42003 L
.35066 .42041 L
.35176 .42196 L
.35259 .42299 L
.35321 .42389 L
.35452 .42555 L
.3547 .42581 L
.3561 .42774 L
.35644 .42817 L
.35747 .42967 L
.35837 .43082 L
.35889 .43159 L
.3603 .43345 L
.36035 .43352 L
.36165 .43545 L
.36222 .43618 L
.36299 .43737 L
.36415 .43891 L
.3644 .4393 L
.36415 .44109 L
.36278 .4393 L
.36222 .43865 L
.36126 .43737 L
.3603 .43618 L
.35975 .43545 L
.35837 .43368 L
.35825 .43352 L
.35683 .43159 L
.35644 .43111 L
.35539 .42967 L
.35452 .42854 L
.35393 .42774 L
.35259 .42595 L
.35249 .42581 L
.35112 .42389 L
.35066 .4233 L
.34972 .42196 L
.34874 .42064 L
.34831 .42003 L
.34693 .41811 L
.34681 .41796 L
.34562 .41618 L
.34488 .41519 L
.34426 .41425 L
.34296 .41241 L
.3429 .41232 L
F
0 .89 1 r
.34488 .39671 m
.34506 .39691 L
.34681 .39878 L
.34685 .39884 L
.3485 .40076 L
.34874 .40102 L
.35011 .40269 L
.35066 .40333 L
.3517 .40462 L
.35259 .40555 L
.35327 .40654 L
.35452 .40809 L
.3549 .40847 L
.35632 .4104 L
.35644 .41055 L
.35781 .41232 L
.35837 .41291 L
.35931 .41425 L
.3603 .41552 L
.36089 .41618 L
.36222 .41805 L
.36226 .41811 L
.36372 .42003 L
.36415 .42049 L
.3658 .42196 L
.36608 .42312 L
.36671 .42389 L
.36801 .42571 L
.36806 .42581 L
.36952 .42774 L
.36993 .42819 L
.37144 .42967 L
.37186 .43084 L
.37245 .43159 L
.37379 .43345 L
.37382 .43352 L
.37526 .43545 L
.37571 .43595 L
.37708 .43737 L
.37764 .43862 L
.37815 .4393 L
.37955 .44123 L
.37957 .44123 L
.38096 .44316 L
.38149 .44375 L
.3827 .44508 L
.38342 .44646 L
.38382 .44701 L
.38523 .44894 L
.38535 .44897 L
.38663 .45086 L
.38727 .4516 L
.38831 .45279 L
.3892 .45432 L
.38947 .45472 L
.39088 .45664 L
.39113 .45675 L
.39228 .45857 L
.39306 .45949 L
.39391 .4605 L
.39498 .46223 L
.39511 .46242 L
.3965 .46435 L
.39691 .46457 L
.3979 .46628 L
.39884 .46741 L
.39948 .46821 L
.40074 .47013 L
.40076 .47017 L
.40211 .47206 L
.40269 .47247 L
.40421 .47399 L
.40462 .47539 L
.40503 .47591 L
.40632 .47784 L
.40654 .47814 L
.40769 .47977 L
.40847 .48046 L
.40961 .48169 L
.4104 .48344 L
.41054 .48362 L
.41186 .48555 L
.41232 .48617 L
.41323 .48747 L
.41425 .48859 L
.41495 .4894 L
.41601 .49133 L
.41618 .49155 L
.41734 .49326 L
.41811 .49429 L
.41871 .49518 L
.42003 .49695 L
.42016 .49711 L
.4214 .49904 L
.42196 .49981 L
.42271 .50096 L
.42389 .50261 L
.42407 .50289 L
.42533 .50482 L
.42581 .50551 L
.42655 .50674 L
.42774 .50852 L
.42782 .50867 L
.42878 .5106 L
.42774 .51076 L
.42758 .5106 L
.42581 .50879 L
.42574 .50867 L
.42404 .50674 L
.42389 .50658 L
.42239 .50482 L
.42196 .50432 L
.42077 .50289 L
.42003 .50215 L
.41917 .50096 L
.41811 .49962 L
.41751 .49904 L
.41618 .49719 L
.41612 .49711 L
.41457 .49518 L
.41425 .49484 L
.41305 .49326 L
.41232 .49229 L
.4115 .49133 L
.4104 .48975 L
.4102 .4894 L
.4086 .48747 L
.40847 .48733 L
.40711 .48555 L
.40654 .48477 L
.40565 .48362 L
.40462 .48217 L
.4044 .48169 L
.40275 .47977 L
.40269 .4797 L
.40094 .47784 L
.40076 .47711 L
.39988 .47591 L
.39884 .47448 L
.39865 .47399 L
.39697 .47206 L
.39691 .47199 L
.39528 .47013 L
.39498 .46937 L
.39416 .46821 L
.39306 .46672 L
.39295 .46628 L
.39125 .46435 L
.39113 .46421 L
.38962 .46242 L
.3892 .46157 L
.38848 .4605 L
.38727 .45891 L
.38725 .45857 L
.38556 .45664 L
.38535 .45639 L
.38398 .45472 L
.38342 .45373 L
.38283 .45279 L
.38149 .45107 L
.38131 .45086 L
.3799 .44894 L
.37957 .44853 L
.37835 .44701 L
.37764 .44584 L
.37719 .44508 L
.37571 .4432 L
.37567 .44316 L
.37427 .44123 L
.37379 .44064 L
.37275 .4393 L
.37186 .43792 L
.37156 .43737 L
.37007 .43545 L
.36993 .43538 L
.36867 .43352 L
.36801 .4327 L
.36718 .43159 L
.36608 .42995 L
.36594 .42967 L
.3645 .42774 L
.36415 .42753 L
.36254 .42581 L
.36222 .42469 L
.36165 .42389 L
.36033 .42196 L
.3603 .42191 L
.35897 .42003 L
.35837 .41954 L
.35713 .41811 L
.35644 .41655 L
.35619 .41618 L
.35488 .41425 L
.35452 .41375 L
.35353 .41232 L
.35259 .41129 L
.35189 .4104 L
.35084 .40847 L
.35066 .40822 L
.34955 .40654 L
.34874 .40538 L
.34823 .40462 L
.34694 .40269 L
.34681 .4025 L
.34574 .40076 L
.34488 .39945 L
.34452 .39884 L
.34347 .39691 L
F
1 .96 0 r
.34488 .38862 m
.34546 .3892 L
.34681 .39033 L
.34732 .39113 L
.34874 .39268 L
.34938 .39306 L
.35066 .39494 L
.3507 .39498 L
.35231 .39691 L
.35259 .39715 L
.35389 .39884 L
.35452 .3996 L
.35581 .40076 L
.35644 .40208 L
.35695 .40269 L
.35837 .40452 L
.35839 .40462 L
.35999 .40654 L
.3603 .40694 L
.36169 .40847 L
.36222 .40951 L
.36287 .4104 L
.36415 .41209 L
.36444 .41232 L
.36589 .41425 L
.36608 .4145 L
.36748 .41618 L
.36801 .41713 L
.36866 .41811 L
.36993 .41977 L
.37026 .42003 L
.37168 .42196 L
.37186 .4222 L
.3732 .42389 L
.37379 .42486 L
.37438 .42581 L
.37571 .42752 L
.376 .42774 L
.37741 .42967 L
.37764 .42998 L
.37889 .43159 L
.37957 .43266 L
.38006 .43352 L
.38149 .4353 L
.38169 .43545 L
.38339 .43737 L
.38342 .4378 L
.38456 .4393 L
.38535 .44049 L
.38572 .44123 L
.38727 .44309 L
.38737 .44316 L
.38906 .44508 L
.3892 .44566 L
.39021 .44701 L
.39113 .44834 L
.39138 .44894 L
.39302 .45086 L
.39306 .4509 L
.39471 .45279 L
.39498 .45352 L
.39585 .45472 L
.39691 .4562 L
.39704 .45664 L
.39867 .45857 L
.39884 .45875 L
.40035 .4605 L
.40076 .4614 L
.40148 .46242 L
.40269 .46407 L
.40273 .46435 L
.40432 .46628 L
.40462 .46661 L
.40597 .46821 L
.40654 .46929 L
.40711 .47013 L
.40847 .47195 L
.40856 .47206 L
.40995 .47399 L
.4104 .47448 L
.41158 .47591 L
.41232 .47719 L
.41274 .47784 L
.41419 .47977 L
.41425 .47978 L
.41558 .48169 L
.41618 .48237 L
.41718 .48362 L
.41811 .4851 L
.41837 .48555 L
.41982 .48747 L
.42003 .48756 L
.42121 .4894 L
.42196 .49027 L
.42278 .49133 L
.42389 .49302 L
.42401 .49326 L
.42543 .49518 L
.42581 .49539 L
.42743 .49711 L
.42774 .49821 L
.42836 .49904 L
.42967 .50096 L
.42967 .50096 L
.43104 .50289 L
.43159 .50328 L
.43295 .50482 L
.43352 .50617 L
.43393 .50674 L
.43526 .50867 L
.43545 .50892 L
.43663 .5106 L
.43737 .51124 L
.43844 .51253 L
.4393 .51419 L
.43949 .51445 L
.44082 .51638 L
.44123 .51692 L
.4422 .51831 L
.44316 .51931 L
.44388 .52023 L
.44501 .52216 L
.44508 .52226 L
.44634 .52409 L
.44701 .52498 L
.44772 .52601 L
.44894 .52754 L
.44924 .52794 L
.45046 .52987 L
.45086 .53042 L
.45179 .53179 L
.45279 .53318 L
.45315 .53372 L
.45449 .53565 L
.45472 .53596 L
.45575 .53758 L
.45664 .53885 L
.45704 .5395 L
.4583 .54143 L
.45857 .54184 L
.45939 .54336 L
.45857 .54465 L
.45729 .54336 L
.45664 .5427 L
.45549 .54143 L
.45472 .54079 L
.45377 .5395 L
.45279 .53834 L
.45175 .53758 L
.45086 .53599 L
.45057 .53565 L
.44895 .53372 L
.44894 .53371 L
.44737 .53179 L
.44701 .53131 L
.44566 .52987 L
.44508 .5288 L
.44447 .52794 L
.44316 .52627 L
.44279 .52601 L
.44132 .52409 L
.44123 .52396 L
.43977 .52216 L
.4393 .52137 L
.43857 .52023 L
.43737 .5187 L
.43686 .51831 L
.43545 .51641 L
.43543 .51638 L
.43396 .51445 L
.43352 .51376 L
.43278 .51253 L
.43159 .51103 L
.43104 .5106 L
.42967 .50871 L
.42963 .50867 L
.42821 .50674 L
.42774 .50604 L
.42707 .50482 L
.42581 .50328 L
.4253 .50289 L
.42389 .50096 L
.42389 .50094 L
.42252 .49904 L
.42196 .49824 L
.42141 .49711 L
.42003 .49548 L
.4196 .49518 L
.41815 .49326 L
.41811 .49311 L
.41685 .49133 L
.41618 .4904 L
.41578 .4894 L
.41425 .48768 L
.41392 .48747 L
.41245 .48555 L
.41232 .48526 L
.4112 .48362 L
.4104 .48254 L
.41017 .48169 L
.40847 .47988 L
.40827 .47977 L
.40678 .47784 L
.40654 .47739 L
.40557 .47591 L
.40462 .47467 L
.40456 .47399 L
.40269 .47209 L
.40262 .47206 L
.40113 .47013 L
.40076 .4695 L
.39995 .46821 L
.39884 .4668 L
.39837 .46628 L
.39698 .46435 L
.39691 .46427 L
.39549 .46242 L
.39498 .46161 L
.39433 .4605 L
.39306 .45893 L
.39273 .45857 L
.39134 .45664 L
.39113 .45639 L
.38986 .45472 L
.3892 .45371 L
.38871 .45279 L
.38727 .45105 L
.38711 .45086 L
.38538 .44894 L
.38535 .4485 L
.38425 .44701 L
.38342 .44581 L
.38308 .44508 L
.38149 .44317 L
.38148 .44316 L
.37974 .44123 L
.37957 .4406 L
.37864 .4393 L
.37764 .43789 L
.37744 .43737 L
.37587 .43545 L
.37571 .43534 L
.37413 .43352 L
.37379 .43267 L
.37304 .43159 L
.37186 .42994 L
.37178 .42967 L
.37027 .42774 L
.36993 .42748 L
.36855 .42581 L
.36801 .42471 L
.36746 .42389 L
.36608 .42197 L
.36608 .42196 L
.3647 .42003 L
.36415 .41956 L
.36302 .41811 L
.36222 .41669 L
.36191 .41618 L
.36053 .41425 L
.3603 .41393 L
.35917 .41232 L
.35837 .41151 L
.35755 .4104 L
.35644 .40856 L
.35639 .40847 L
.35506 .40654 L
.35452 .4058 L
.3537 .40462 L
.35259 .40322 L
.35222 .40269 L
.35101 .40076 L
.35066 .40027 L
.34971 .39884 L
.34874 .39744 L
.34839 .39691 L
.34711 .39498 L
.34681 .39454 L
.34591 .39306 L
.34488 .39147 L
.34469 .39113 L
.34369 .3892 L
F
1 .82 0 r
.34488 .40465 m
.34644 .40654 L
.34681 .40694 L
.34802 .40847 L
.34874 .4093 L
.34958 .4104 L
.35066 .41123 L
.35113 .41232 L
.35259 .41413 L
.35274 .41425 L
.35413 .41618 L
.35452 .41665 L
.35561 .41811 L
.35644 .41866 L
.3571 .42003 L
.35837 .42161 L
.35875 .42196 L
.36003 .42389 L
.3603 .42422 L
.36146 .42581 L
.36222 .42633 L
.36292 .42774 L
.36415 .42928 L
.36453 .42967 L
.36581 .43159 L
.36608 .43194 L
.36722 .43352 L
.36801 .43412 L
.36866 .43545 L
.36993 .43708 L
.37021 .43737 L
.37151 .4393 L
.37186 .43975 L
.37291 .44123 L
.37379 .442 L
.37434 .44316 L
.37571 .44497 L
.37581 .44508 L
.37715 .44701 L
.37764 .44765 L
.37854 .44894 L
.37957 .45 L
.37996 .45086 L
.38137 .45279 L
.38149 .45295 L
.38273 .45472 L
.38342 .45564 L
.38412 .45664 L
.38535 .45815 L
.38576 .45857 L
.38688 .4605 L
.38727 .46102 L
.38823 .46242 L
.3892 .46374 L
.38961 .46435 L
.39099 .46628 L
.39113 .46647 L
.39227 .46821 L
.39306 .46928 L
.3936 .47013 L
.39497 .47206 L
.39498 .47207 L
.39616 .47399 L
.39691 .47506 L
.39739 .47591 L
.39691 .47717 L
.39581 .47591 L
.39498 .47501 L
.39413 .47399 L
.39306 .47273 L
.3925 .47206 L
.39113 .47045 L
.39093 .47013 L
.3894 .46821 L
.3892 .46797 L
.38787 .46628 L
.38727 .46554 L
.38635 .46435 L
.38535 .4632 L
.38427 .46242 L
.38342 .46058 L
.38335 .4605 L
.38189 .45857 L
.38149 .45807 L
.38041 .45664 L
.37957 .45566 L
.37849 .45472 L
.37764 .453 L
.37748 .45279 L
.37604 .45086 L
.37571 .45043 L
.37459 .44894 L
.37379 .44798 L
.37282 .44701 L
.37186 .44528 L
.37172 .44508 L
.37029 .44316 L
.36993 .44267 L
.36886 .44123 L
.36801 .44018 L
.3672 .4393 L
.36608 .43745 L
.36603 .43737 L
.36462 .43545 L
.36415 .43529 L
.36321 .43352 L
.36222 .43227 L
.36164 .43159 L
.36041 .42967 L
.3603 .42952 L
.35902 .42774 L
.35837 .42734 L
.35763 .42581 L
.35644 .42423 L
.35616 .42389 L
.35488 .42196 L
.35452 .42146 L
.35351 .42003 L
.35259 .41916 L
.35214 .41811 L
.35079 .41618 L
.35066 .41601 L
.34947 .41425 L
.34874 .41322 L
.34813 .41232 L
.34681 .41044 L
.34677 .4104 L
.34556 .40847 L
.34488 .4075 L
.34429 .40654 L
F
1 .81 0 r
.34488 .40494 m
.34623 .40654 L
.34681 .40715 L
.34786 .40847 L
.34874 .40947 L
.34945 .4104 L
.35066 .41145 L
.35102 .41232 L
.35256 .41425 L
.35259 .41428 L
.35403 .41618 L
.35452 .41677 L
.35552 .41811 L
.35644 .41878 L
.35702 .42003 L
.35837 .42173 L
.35862 .42196 L
.35995 .42389 L
.3603 .42432 L
.3614 .42581 L
.36222 .42642 L
.36286 .42774 L
.36415 .42938 L
.36444 .42967 L
.36574 .43159 L
.36608 .43202 L
.36716 .43352 L
.36801 .4342 L
.3686 .43545 L
.36993 .43717 L
.37012 .43737 L
.37145 .4393 L
.37186 .43983 L
.37285 .44123 L
.37379 .44209 L
.37428 .44316 L
.37571 .44507 L
.37573 .44508 L
.37709 .44701 L
.37764 .44773 L
.37848 .44894 L
.37957 .4501 L
.37991 .45086 L
.38131 .45279 L
.38149 .45303 L
.38266 .45472 L
.38342 .45573 L
.38405 .45664 L
.38535 .45829 L
.38562 .45857 L
.38681 .4605 L
.38727 .46112 L
.38815 .46242 L
.3892 .46385 L
.38953 .46435 L
.39089 .46628 L
.39113 .4666 L
.39217 .46821 L
.39306 .46943 L
.3935 .47013 L
.39482 .47206 L
.39498 .47228 L
.39598 .47399 L
.39691 .47538 L
.39717 .47591 L
.39691 .47679 L
.3961 .47591 L
.39498 .47476 L
.39433 .47399 L
.39306 .47253 L
.39267 .47206 L
.39113 .47022 L
.39107 .47013 L
.38953 .46821 L
.3892 .46781 L
.38799 .46628 L
.38727 .4654 L
.38645 .46435 L
.38535 .46306 L
.38444 .46242 L
.38345 .4605 L
.38342 .46046 L
.38198 .45857 L
.38149 .45795 L
.38049 .45664 L
.37957 .45555 L
.3786 .45472 L
.37764 .45289 L
.37756 .45279 L
.37612 .45086 L
.37571 .45033 L
.37467 .44894 L
.37379 .44788 L
.37291 .44701 L
.37186 .44518 L
.37179 .44508 L
.37037 .44316 L
.36993 .44258 L
.36893 .44123 L
.36801 .44008 L
.36728 .4393 L
.36609 .43737 L
.36608 .43735 L
.36469 .43545 L
.36415 .43523 L
.36328 .43352 L
.36222 .43217 L
.36173 .43159 L
.36048 .42967 L
.3603 .42942 L
.3591 .42774 L
.35837 .42725 L
.3577 .42581 L
.35644 .4241 L
.35627 .42389 L
.35497 .42196 L
.35452 .42135 L
.3536 .42003 L
.35259 .41898 L
.35223 .41811 L
.35089 .41618 L
.35066 .41586 L
.34958 .41425 L
.34874 .41306 L
.34824 .41232 L
.34693 .4104 L
.34681 .41022 L
.34572 .40847 L
.34488 .40724 L
.34447 .40654 L
F
0 .8 1 r
.34488 .41331 m
.34556 .41425 L
.34681 .41567 L
.34716 .41618 L
.34874 .4181 L
.34874 .41811 L
.35013 .42003 L
.35066 .42066 L
.35157 .42196 L
.35259 .42321 L
.35306 .42389 L
.35452 .42575 L
.35456 .42581 L
.35591 .42774 L
.35644 .4284 L
.35729 .42967 L
.35837 .43104 L
.35873 .43159 L
.35837 .43342 L
.35704 .43159 L
.35644 .43086 L
.35558 .42967 L
.35452 .4283 L
.35411 .42774 L
.35268 .42581 L
.35259 .4257 L
.35132 .42389 L
.35066 .42304 L
.34991 .42196 L
.34874 .42038 L
.34849 .42003 L
.34717 .41811 L
.34681 .41764 L
.34587 .41618 L
.34488 .41483 L
.34451 .41425 L
F
1 .8 0 r
.34488 .40531 m
.34597 .40654 L
.34681 .40739 L
.34768 .40847 L
.34874 .40966 L
.34931 .4104 L
.35066 .41171 L
.35091 .41232 L
.35244 .41425 L
.35259 .41442 L
.35393 .41618 L
.35452 .41689 L
.35543 .41811 L
.35644 .41892 L
.35694 .42003 L
.35837 .42185 L
.35849 .42196 L
.35987 .42389 L
.3603 .42441 L
.36132 .42581 L
.36222 .42652 L
.36279 .42774 L
.36415 .42948 L
.36434 .42967 L
.36568 .43159 L
.36608 .43211 L
.3671 .43352 L
.36801 .43429 L
.36855 .43545 L
.36993 .43726 L
.37004 .43737 L
.37139 .4393 L
.37186 .43991 L
.3728 .44123 L
.37379 .44219 L
.37423 .44316 L
.37566 .44508 L
.37571 .44515 L
.37703 .44701 L
.37764 .44781 L
.37843 .44894 L
.37957 .45022 L
.37985 .45086 L
.38124 .45279 L
.38149 .45312 L
.38259 .45472 L
.38342 .45582 L
.38399 .45664 L
.38535 .45844 L
.38548 .45857 L
.38672 .4605 L
.38727 .46123 L
.38807 .46242 L
.3892 .46397 L
.38946 .46435 L
.39078 .46628 L
.39113 .46675 L
.39205 .46821 L
.39306 .4696 L
.39338 .47013 L
.39464 .47206 L
.39498 .47255 L
.39574 .47399 L
.39498 .47446 L
.39456 .47399 L
.39306 .4723 L
.39285 .47206 L
.39124 .47013 L
.39113 .47001 L
.38967 .46821 L
.3892 .46765 L
.38811 .46628 L
.38727 .46525 L
.38656 .46435 L
.38535 .4629 L
.38465 .46242 L
.38356 .4605 L
.38342 .46033 L
.38207 .45857 L
.38149 .45784 L
.38058 .45664 L
.37957 .45543 L
.37872 .45472 L
.37765 .45279 L
.37764 .45278 L
.3762 .45086 L
.37571 .45023 L
.37474 .44894 L
.37379 .44777 L
.373 .44701 L
.37186 .44508 L
.37186 .44508 L
.37044 .44316 L
.36993 .44248 L
.36901 .44123 L
.36801 .43998 L
.36737 .4393 L
.36617 .43737 L
.36608 .43726 L
.36477 .43545 L
.36415 .43516 L
.36335 .43352 L
.36222 .43205 L
.36182 .43159 L
.36056 .42967 L
.3603 .42931 L
.35918 .42774 L
.35837 .42713 L
.35778 .42581 L
.35644 .42397 L
.35638 .42389 L
.35505 .42196 L
.35452 .42122 L
.35369 .42003 L
.35259 .41878 L
.35232 .41811 L
.351 .41618 L
.35066 .41571 L
.34969 .41425 L
.34874 .41289 L
.34836 .41232 L
.3471 .4104 L
.34681 .40999 L
.3459 .40847 L
.34488 .40692 L
.34467 .40654 L
F
0 .88 1 r
.34488 .39725 m
.34649 .39884 L
.34681 .39913 L
.34825 .40076 L
.34874 .40128 L
.34992 .40269 L
.35066 .40354 L
.35154 .40462 L
.35259 .40573 L
.35313 .40654 L
.35452 .40825 L
.35475 .40847 L
.3562 .4104 L
.35644 .41069 L
.35771 .41232 L
.35837 .41302 L
.35922 .41425 L
.3603 .41562 L
.3608 .41618 L
.36219 .41811 L
.36222 .41815 L
.36365 .42003 L
.36415 .42057 L
.36575 .42196 L
.36608 .4232 L
.36665 .42389 L
.36801 .42578 L
.36802 .42581 L
.36947 .42774 L
.36993 .42825 L
.3714 .42967 L
.37186 .4309 L
.37241 .43159 L
.37379 .4335 L
.37379 .43352 L
.37522 .43545 L
.37571 .436 L
.37704 .43737 L
.37764 .43868 L
.37811 .4393 L
.37951 .44123 L
.37957 .44124 L
.38092 .44316 L
.38149 .4438 L
.38267 .44508 L
.38342 .4465 L
.38379 .44701 L
.38519 .44894 L
.38535 .44898 L
.38659 .45086 L
.38727 .45165 L
.38828 .45279 L
.3892 .45437 L
.38944 .45472 L
.39084 .45664 L
.39113 .45677 L
.39224 .45857 L
.39306 .45953 L
.39387 .4605 L
.39498 .46228 L
.39508 .46242 L
.39647 .46435 L
.39691 .4646 L
.39787 .46628 L
.39884 .46746 L
.39944 .46821 L
.4007 .47013 L
.40076 .47022 L
.40207 .47206 L
.40269 .47251 L
.40416 .47399 L
.40462 .47545 L
.40498 .47591 L
.40627 .47784 L
.40654 .4782 L
.40764 .47977 L
.40847 .48052 L
.40955 .48169 L
.4104 .48351 L
.41048 .48362 L
.41181 .48555 L
.41232 .48624 L
.41317 .48747 L
.41425 .48869 L
.41485 .4894 L
.41594 .49133 L
.41618 .49165 L
.41727 .49326 L
.41811 .49439 L
.41864 .49518 L
.42002 .49711 L
.42003 .49712 L
.4213 .49904 L
.42196 .49995 L
.42261 .50096 L
.42389 .50278 L
.42396 .50289 L
.42516 .50482 L
.42581 .50578 L
.42636 .50674 L
.42581 .50838 L
.42431 .50674 L
.42389 .5063 L
.4226 .50482 L
.42196 .50409 L
.42095 .50289 L
.42003 .50195 L
.41934 .50096 L
.41811 .49944 L
.41767 .49904 L
.41623 .49711 L
.41618 .49705 L
.41469 .49518 L
.41425 .49472 L
.41316 .49326 L
.41232 .49216 L
.41159 .49133 L
.4104 .48965 L
.41026 .4894 L
.40868 .48747 L
.40847 .48724 L
.40719 .48555 L
.40654 .48467 L
.40571 .48362 L
.40462 .48208 L
.40444 .48169 L
.40281 .47977 L
.40269 .47962 L
.40096 .47784 L
.40076 .47703 L
.39993 .47591 L
.39884 .47441 L
.39868 .47399 L
.39703 .47206 L
.39691 .47192 L
.39531 .47013 L
.39498 .4693 L
.39421 .46821 L
.39306 .46666 L
.39296 .46628 L
.3913 .46435 L
.39113 .46415 L
.38965 .46242 L
.3892 .46151 L
.38852 .4605 L
.38727 .45886 L
.38725 .45857 L
.3856 .45664 L
.38535 .45634 L
.38401 .45472 L
.38342 .45367 L
.38286 .45279 L
.38149 .45102 L
.38135 .45086 L
.37995 .44894 L
.37957 .44848 L
.37839 .44701 L
.37764 .44579 L
.37722 .44508 L
.37572 .44316 L
.37571 .44315 L
.37432 .44123 L
.37379 .44058 L
.37279 .4393 L
.37186 .43786 L
.3716 .43737 L
.37012 .43545 L
.36993 .43536 L
.36872 .43352 L
.36801 .43263 L
.36723 .43159 L
.36608 .42988 L
.36597 .42967 L
.36455 .42774 L
.36415 .42748 L
.36258 .42581 L
.36222 .4246 L
.36171 .42389 L
.3604 .42196 L
.3603 .42182 L
.35904 .42003 L
.35837 .41945 L
.35721 .41811 L
.35644 .41643 L
.35627 .41618 L
.35496 .41425 L
.35452 .41363 L
.35362 .41232 L
.35259 .41111 L
.35204 .4104 L
.35096 .40847 L
.35066 .40805 L
.34968 .40654 L
.34874 .40518 L
.34837 .40462 L
.34713 .40269 L
.34681 .40221 L
.34596 .40076 L
.34488 .39903 L
.34478 .39884 L
F
0 .86 1 r
.34681 .25882 m
.34874 .25913 L
.35066 .25978 L
.35119 .2601 L
.35259 .26105 L
.35387 .26202 L
.35452 .26309 L
.35487 .26395 L
.35452 .26468 L
.35259 .26505 L
.35066 .26457 L
.3492 .26395 L
.34874 .2637 L
.34681 .26243 L
.34629 .26202 L
.34501 .2601 L
F
0 .99 1 r
.34681 .34017 m
.34785 .34103 L
.34874 .34164 L
.34987 .34296 L
.35066 .34378 L
.35163 .34488 L
.35259 .34607 L
.35338 .34681 L
.35452 .34847 L
.35473 .34874 L
.3563 .35066 L
.35644 .3508 L
.35777 .35259 L
.35837 .35335 L
.3593 .35452 L
.3603 .356 L
.36052 .35644 L
.362 .35837 L
.36222 .35869 L
.36392 .3603 L
.36415 .36164 L
.36456 .36222 L
.3648 .36415 L
.36415 .36442 L
.36257 .36415 L
.36222 .364 L
.3603 .36245 L
.36005 .36222 L
.35846 .3603 L
.35837 .36025 L
.35698 .35837 L
.35644 .35782 L
.35506 .35644 L
.35452 .35515 L
.35405 .35452 L
.3527 .35259 L
.35259 .35244 L
.35135 .35066 L
.35066 .3497 L
.34962 .34874 L
.34874 .34697 L
.34865 .34681 L
.34744 .34488 L
.34681 .34389 L
.34627 .34296 L
.34534 .34103 L
F
1 .98 0 r
.34681 .34828 m
.34722 .34874 L
.34874 .35014 L
.34895 .35066 L
.35051 .35259 L
.35066 .35278 L
.35193 .35452 L
.35259 .3554 L
.35329 .35644 L
.35451 .35837 L
.35259 .35894 L
.35236 .35837 L
.35068 .35644 L
.35066 .35643 L
.34922 .35452 L
.34874 .35389 L
.34784 .35259 L
.34681 .35111 L
.34652 .35066 L
.34544 .34874 L
F
1 .79 0 r
.34681 .40766 m
.34747 .40847 L
.34874 .40985 L
.34916 .4104 L
.35066 .41201 L
.35079 .41232 L
.35231 .41425 L
.35259 .41457 L
.35382 .41618 L
.35452 .41702 L
.35533 .41811 L
.35644 .41908 L
.35685 .42003 L
.35836 .42196 L
.35837 .42197 L
.35979 .42389 L
.3603 .42451 L
.36125 .42581 L
.36222 .42664 L
.36272 .42774 L
.36415 .42959 L
.36423 .42967 L
.36561 .43159 L
.36608 .43219 L
.36704 .43352 L
.36801 .4344 L
.36849 .43545 L
.36993 .43736 L
.36995 .43737 L
.37132 .4393 L
.37186 .43999 L
.37274 .44123 L
.37379 .44229 L
.37417 .44316 L
.3756 .44508 L
.37571 .44523 L
.37696 .44701 L
.37764 .4479 L
.37837 .44894 L
.37957 .45034 L
.37979 .45086 L
.38117 .45279 L
.38149 .45322 L
.38253 .45472 L
.38342 .45591 L
.38392 .45664 L
.38533 .45857 L
.38535 .45859 L
.38664 .4605 L
.38727 .46135 L
.38799 .46242 L
.3892 .46409 L
.38937 .46435 L
.39066 .46628 L
.39113 .46692 L
.39193 .46821 L
.39306 .4698 L
.39326 .47013 L
.39306 .47205 L
.39143 .47013 L
.39113 .46981 L
.38983 .46821 L
.3892 .46748 L
.38824 .46628 L
.38727 .4651 L
.38668 .46435 L
.38535 .46273 L
.38488 .46242 L
.38366 .4605 L
.38342 .4602 L
.38217 .45857 L
.38149 .45772 L
.38067 .45664 L
.37957 .45531 L
.37886 .45472 L
.37773 .45279 L
.37764 .45267 L
.37628 .45086 L
.37571 .45012 L
.37482 .44894 L
.37379 .44766 L
.3731 .44701 L
.37194 .44508 L
.37186 .44498 L
.37051 .44316 L
.36993 .44238 L
.36908 .44123 L
.36801 .43987 L
.36747 .4393 L
.36624 .43737 L
.36608 .43716 L
.36484 .43545 L
.36415 .43508 L
.36342 .43352 L
.36222 .43194 L
.36192 .43159 L
.36064 .42967 L
.3603 .42921 L
.35926 .42774 L
.35837 .427 L
.35786 .42581 L
.35648 .42389 L
.35644 .42383 L
.35514 .42196 L
.35452 .4211 L
.35378 .42003 L
.35259 .41855 L
.35242 .41811 L
.35112 .41618 L
.35066 .41554 L
.34981 .41425 L
.34874 .4127 L
.34849 .41232 L
.34728 .4104 L
.34681 .40971 L
.34611 .40847 L
F
0 .87 1 r
.34681 .39952 m
.34795 .40076 L
.34874 .40155 L
.3497 .40269 L
.35066 .40375 L
.35137 .40462 L
.35259 .40593 L
.35299 .40654 L
.35452 .40841 L
.35458 .40847 L
.35608 .4104 L
.35644 .41083 L
.35761 .41232 L
.35837 .41314 L
.35913 .41425 L
.3603 .41573 L
.36071 .41618 L
.36211 .41811 L
.36222 .41825 L
.36358 .42003 L
.36415 .42065 L
.3657 .42196 L
.36608 .42329 L
.36659 .42389 L
.36798 .42581 L
.36801 .42585 L
.36941 .42774 L
.36993 .42831 L
.37136 .42967 L
.37186 .43097 L
.37236 .43159 L
.37375 .43352 L
.37379 .43352 L
.37517 .43545 L
.37571 .43605 L
.377 .43737 L
.37764 .43873 L
.37807 .4393 L
.37947 .44123 L
.37957 .44125 L
.38088 .44316 L
.38149 .44385 L
.38263 .44508 L
.38342 .44655 L
.38375 .44701 L
.38515 .44894 L
.38535 .449 L
.38656 .45086 L
.38727 .45169 L
.38824 .45279 L
.3892 .45442 L
.38941 .45472 L
.39081 .45664 L
.39113 .45679 L
.39221 .45857 L
.39306 .45958 L
.39383 .4605 L
.39498 .46232 L
.39505 .46242 L
.39643 .46435 L
.39691 .46463 L
.39783 .46628 L
.39884 .46752 L
.3994 .46821 L
.40066 .47013 L
.40076 .47027 L
.40203 .47206 L
.40269 .47256 L
.40411 .47399 L
.40462 .47551 L
.40493 .47591 L
.40623 .47784 L
.40654 .47826 L
.4076 .47977 L
.40847 .48059 L
.40948 .48169 L
.4104 .4836 L
.41042 .48362 L
.41175 .48555 L
.41232 .48632 L
.41312 .48747 L
.41425 .48881 L
.41476 .4894 L
.41587 .49133 L
.41618 .49174 L
.4172 .49326 L
.41811 .4945 L
.41856 .49518 L
.41992 .49711 L
.42003 .49726 L
.42119 .49904 L
.42196 .50011 L
.42249 .50096 L
.42382 .50289 L
.42389 .50299 L
.42496 .50482 L
.42581 .50613 L
.42612 .50674 L
.42581 .50793 L
.42464 .50674 L
.42389 .506 L
.42284 .50482 L
.42196 .50385 L
.42114 .50289 L
.42003 .50174 L
.4195 .50096 L
.41811 .49926 L
.41786 .49904 L
.41636 .49711 L
.41618 .49689 L
.41481 .49518 L
.41425 .4946 L
.41327 .49326 L
.41232 .49203 L
.41169 .49133 L
.4104 .48955 L
.41031 .4894 L
.40877 .48747 L
.40847 .48714 L
.40727 .48555 L
.40654 .48457 L
.40578 .48362 L
.40462 .482 L
.40447 .48169 L
.40288 .47977 L
.40269 .47955 L
.40099 .47784 L
.40076 .47695 L
.39999 .47591 L
.39884 .47434 L
.39871 .47399 L
.39708 .47206 L
.39691 .47186 L
.39534 .47013 L
.39498 .46923 L
.39425 .46821 L
.39306 .4666 L
.39298 .46628 L
.39134 .46435 L
.39113 .4641 L
.38969 .46242 L
.3892 .46145 L
.38856 .4605 L
.38727 .45881 L
.38726 .45857 L
.38565 .45664 L
.38535 .45629 L
.38404 .45472 L
.38342 .45361 L
.3829 .45279 L
.38149 .45097 L
.3814 .45086 L
.37999 .44894 L
.37957 .44843 L
.37843 .44701 L
.37764 .44573 L
.37726 .44508 L
.37576 .44316 L
.37571 .44314 L
.37436 .44123 L
.37379 .44053 L
.37283 .4393 L
.37186 .4378 L
.37163 .43737 L
.37016 .43545 L
.36993 .43533 L
.36877 .43352 L
.36801 .43257 L
.36728 .43159 L
.36608 .42981 L
.36601 .42967 L
.36461 .42774 L
.36415 .42743 L
.36263 .42581 L
.36222 .42452 L
.36177 .42389 L
.36047 .42196 L
.3603 .42173 L
.35911 .42003 L
.35837 .41936 L
.3573 .41811 L
.35644 .41631 L
.35636 .41618 L
.35505 .41425 L
.35452 .41351 L
.35371 .41232 L
.35259 .41091 L
.35219 .4104 L
.35108 .40847 L
.35066 .40787 L
.34981 .40654 L
.34874 .40496 L
.34852 .40462 L
.34734 .40269 L
.34681 .40187 L
.34621 .40076 L
F
0 .79 1 r
.34681 .41604 m
.3469 .41618 L
.34681 .41719 L
.34625 .41618 L
F
1 .99 0 r
.34681 .37366 m
.34699 .37379 L
.34874 .37529 L
.3491 .37571 L
.35066 .37736 L
.35079 .37764 L
.35232 .37957 L
.35259 .3799 L
.35375 .38149 L
.35452 .38249 L
.35517 .38342 L
.35644 .38506 L
.35659 .38535 L
.35793 .38727 L
.35837 .3879 L
.35924 .3892 L
.3603 .39069 L
.36072 .39113 L
.3619 .39306 L
.36222 .39348 L
.36327 .39498 L
.36415 .39621 L
.3647 .39691 L
.36608 .39884 L
.36608 .39884 L
.36757 .40076 L
.36801 .40139 L
.36884 .40269 L
.36993 .40405 L
.37062 .40462 L
.37186 .40622 L
.37213 .40654 L
.37364 .40847 L
.37379 .40873 L
.37479 .4104 L
.37571 .41108 L
.37672 .41232 L
.37764 .41355 L
.37821 .41425 L
.37957 .41607 L
.37966 .41618 L
.381 .41811 L
.38149 .41884 L
.38263 .42003 L
.38342 .42111 L
.38408 .42196 L
.38535 .4237 L
.38549 .42389 L
.38685 .42581 L
.38727 .42645 L
.3879 .42774 L
.3892 .42885 L
.38982 .42967 L
.39113 .43148 L
.39122 .43159 L
.39256 .43352 L
.39306 .43425 L
.3936 .43545 L
.39498 .43668 L
.39551 .43737 L
.3969 .4393 L
.39691 .43933 L
.39821 .44123 L
.39884 .44212 L
.39919 .44316 L
.40076 .44455 L
.40117 .44508 L
.40258 .44701 L
.40269 .44722 L
.40383 .44894 L
.40462 .45001 L
.40541 .45086 L
.40654 .45244 L
.40681 .45279 L
.40824 .45472 L
.40847 .45512 L
.40944 .45664 L
.4104 .45791 L
.41106 .45857 L
.41232 .46033 L
.41245 .4605 L
.41388 .46242 L
.41425 .46302 L
.41504 .46435 L
.41618 .46579 L
.4167 .46628 L
.41809 .46821 L
.41811 .46823 L
.41952 .47013 L
.42003 .47093 L
.42065 .47206 L
.42196 .47365 L
.42234 .47399 L
.42386 .47591 L
.42389 .47613 L
.42514 .47784 L
.42581 .47882 L
.42626 .47977 L
.42774 .4815 L
.42797 .48169 L
.42955 .48362 L
.42967 .48402 L
.43077 .48555 L
.43159 .48671 L
.43189 .48747 L
.43352 .48933 L
.43361 .4894 L
.43521 .49133 L
.43545 .49191 L
.43639 .49326 L
.43737 .4946 L
.43752 .49518 L
.43924 .49711 L
.4393 .49717 L
.44086 .49904 L
.44123 .4998 L
.44201 .50096 L
.44316 .50249 L
.44319 .50289 L
.44488 .50482 L
.44508 .50503 L
.44648 .50674 L
.44701 .5077 L
.44764 .50867 L
.44894 .51037 L
.44912 .5106 L
.45051 .51253 L
.45086 .5129 L
.4521 .51445 L
.45279 .5156 L
.45327 .51638 L
.45472 .51826 L
.45475 .51831 L
.45614 .52023 L
.45664 .52078 L
.45772 .52216 L
.45857 .5235 L
.4589 .52409 L
.46038 .52601 L
.4605 .52604 L
.46236 .52794 L
.46242 .52867 L
.46333 .52987 L
.46435 .53141 L
.46455 .53179 L
.46601 .53372 L
.46628 .53382 L
.46794 .53565 L
.46821 .53657 L
.46893 .53758 L
.47013 .53933 L
.47021 .5395 L
.47163 .54143 L
.47206 .54165 L
.47351 .54336 L
.47399 .5445 L
.47453 .54528 L
.47588 .54721 L
.47591 .54726 L
.47726 .54914 L
.47784 .54953 L
.47906 .55106 L
.47977 .55244 L
.48014 .55299 L
.48149 .55492 L
.48169 .55519 L
.48287 .55684 L
.48362 .55747 L
.48461 .55877 L
.48555 .56042 L
.48573 .5607 L
.48709 .56263 L
.48747 .56314 L
.48847 .56455 L
.4894 .56548 L
.49013 .56648 L
.49131 .56841 L
.49133 .56843 L
.49267 .57033 L
.49326 .57112 L
.49405 .57226 L
.49518 .57357 L
.49561 .57419 L
.49685 .57611 L
.49711 .57646 L
.4982 .57804 L
.49904 .57917 L
.49958 .57997 L
.50096 .58184 L
.501 .58189 L
.50229 .58382 L
.50289 .58464 L
.50362 .58575 L
.50482 .58742 L
.50518 .58768 L
.50625 .5896 L
.50674 .5903 L
.50749 .59153 L
.50867 .59332 L
.50875 .59346 L
.50974 .59538 L
.50867 .59622 L
.50776 .59538 L
.50674 .59474 L
.50583 .59346 L
.50482 .59234 L
.50404 .59153 L
.50289 .59011 L
.50236 .5896 L
.50096 .58783 L
.50087 .58768 L
.49911 .58575 L
.49904 .58565 L
.49723 .58382 L
.49711 .58321 L
.49608 .58189 L
.49518 .58064 L
.49488 .57997 L
.49326 .57846 L
.49291 .57804 L
.4914 .57611 L
.49133 .57594 L
.49008 .57419 L
.4894 .57322 L
.48904 .57226 L
.48747 .57095 L
.48699 .57033 L
.48557 .56841 L
.48555 .56837 L
.48426 .56648 L
.48362 .56558 L
.48263 .56455 L
.48169 .56326 L
.4812 .56263 L
.4798 .5607 L
.47977 .56064 L
.47855 .55877 L
.47784 .55779 L
.4769 .55684 L
.47591 .55547 L
.47549 .55492 L
.4741 .55299 L
.47399 .5528 L
.4729 .55106 L
.47206 .54993 L
.47122 .54914 L
.47013 .54762 L
.46982 .54721 L
.46844 .54528 L
.46821 .54493 L
.46729 .54336 L
.46628 .54204 L
.46555 .54143 L
.46435 .53975 L
.46416 .5395 L
.4628 .53758 L
.46242 .53703 L
.4617 .53565 L
.4605 .53415 L
.4599 .53372 L
.45857 .53186 L
.45852 .53179 L
.45717 .52987 L
.45664 .52912 L
.45612 .52794 L
.45472 .52629 L
.45426 .52601 L
.45284 .52409 L
.45279 .52396 L
.45155 .52216 L
.45086 .52121 L
.45053 .52023 L
.44894 .51845 L
.44863 .51831 L
.44717 .51638 L
.44701 .51606 L
.44593 .51445 L
.44508 .51332 L
.44495 .51253 L
.44316 .51066 L
.44299 .5106 L
.44151 .50867 L
.44123 .50815 L
.44032 .50674 L
.4393 .50543 L
.43875 .50482 L
.43737 .50289 L
.43736 .50289 L
.43587 .50096 L
.43545 .50026 L
.4347 .49904 L
.43352 .49755 L
.43311 .49711 L
.43172 .49518 L
.43159 .49503 L
.43024 .49326 L
.42967 .49236 L
.42909 .49133 L
.42774 .48968 L
.42748 .4894 L
.42608 .48747 L
.42581 .48715 L
.42461 .48555 L
.42389 .48446 L
.42346 .48362 L
.42196 .48182 L
.42184 .48169 L
.42014 .47977 L
.42003 .47926 L
.41899 .47784 L
.41811 .47657 L
.41782 .47591 L
.41621 .47399 L
.41618 .47396 L
.41449 .47206 L
.41425 .47137 L
.41337 .47013 L
.41232 .46867 L
.41217 .46821 L
.41058 .46628 L
.4104 .46614 L
.40887 .46435 L
.40847 .46348 L
.40775 .46242 L
.40654 .46077 L
.40649 .4605 L
.40495 .45857 L
.40462 .4583 L
.40326 .45664 L
.40269 .45557 L
.40213 .45472 L
.40076 .45287 L
.40071 .45279 L
.39932 .45086 L
.39884 .45043 L
.39766 .44894 L
.39691 .44766 L
.39651 .44701 L
.39508 .44508 L
.39498 .44495 L
.39369 .44316 L
.39306 .44254 L
.39206 .44123 L
.39113 .43973 L
.39088 .4393 L
.38946 .43737 L
.3892 .43703 L
.38807 .43545 L
.38727 .43461 L
.38648 .43352 L
.38535 .43178 L
.38525 .43159 L
.38385 .42967 L
.38342 .4291 L
.3818 .42774 L
.38149 .42665 L
.3809 .42581 L
.37962 .42389 L
.37957 .42382 L
.37825 .42196 L
.37764 .42114 L
.37628 .42003 L
.37571 .41864 L
.37535 .41811 L
.37405 .41618 L
.37379 .41583 L
.37268 .41425 L
.37186 .41314 L
.37082 .41232 L
.36993 .41052 L
.36985 .4104 L
.36853 .40847 L
.36801 .40776 L
.36717 .40654 L
.36608 .40504 L
.36553 .40462 L
.36444 .40269 L
.36415 .4023 L
.36313 .40076 L
.36222 .3995 L
.36179 .39884 L
.36046 .39691 L
.3603 .39668 L
.35922 .39498 L
.35837 .39376 L
.35794 .39306 L
.35665 .39113 L
.35644 .39083 L
.35542 .3892 L
.35452 .38805 L
.35414 .38727 L
.35286 .38535 L
.35259 .38495 L
.35159 .38342 L
.35066 .38221 L
.35005 .38149 L
.34909 .37957 L
.34874 .37901 L
.3479 .37764 L
.34685 .37571 L
.34681 .37562 L
.34628 .37379 L
F
1 .78 0 r
.34681 .40802 m
.3472 .40847 L
.34874 .41007 L
.34899 .4104 L
.35065 .41232 L
.35066 .41234 L
.35217 .41425 L
.35259 .41472 L
.3537 .41618 L
.35452 .41715 L
.35524 .41811 L
.35644 .41926 L
.35677 .42003 L
.35827 .42196 L
.35837 .42209 L
.35971 .42389 L
.3603 .42462 L
.36118 .42581 L
.36222 .42676 L
.36266 .42774 L
.36413 .42967 L
.36415 .42969 L
.36554 .43159 L
.36608 .43228 L
.36697 .43352 L
.36801 .43451 L
.36843 .43545 L
.36988 .43737 L
.36993 .43745 L
.37126 .4393 L
.37186 .44008 L
.37268 .44123 L
.37379 .44241 L
.37412 .44316 L
.37553 .44508 L
.37571 .44532 L
.3769 .44701 L
.37764 .44798 L
.3783 .44894 L
.37957 .45047 L
.37973 .45086 L
.3811 .45279 L
.38149 .45331 L
.38245 .45472 L
.38342 .45601 L
.38385 .45664 L
.38525 .45857 L
.38535 .4587 L
.38655 .4605 L
.38727 .46147 L
.3879 .46242 L
.3892 .46422 L
.38928 .46435 L
.39053 .46628 L
.39113 .4671 L
.39179 .46821 L
.39306 .47003 L
.39311 .47013 L
.39306 .47174 L
.39166 .47013 L
.39113 .46958 L
.38999 .46821 L
.3892 .4673 L
.38838 .46628 L
.38727 .46494 L
.3868 .46435 L
.38535 .46256 L
.38515 .46242 L
.38377 .4605 L
.38342 .46007 L
.38226 .45857 L
.38149 .4576 L
.38076 .45664 L
.37957 .45518 L
.379 .45472 L
.37782 .45279 L
.37764 .45256 L
.37636 .45086 L
.37571 .45002 L
.3749 .44894 L
.37379 .44755 L
.37322 .44701 L
.37202 .44508 L
.37186 .44488 L
.37059 .44316 L
.36993 .44228 L
.36915 .44123 L
.36801 .43976 L
.36757 .4393 L
.36632 .43737 L
.36608 .43706 L
.36491 .43545 L
.36415 .43498 L
.3635 .43352 L
.36222 .43182 L
.36203 .43159 L
.36072 .42967 L
.3603 .4291 L
.35934 .42774 L
.35837 .42685 L
.35794 .42581 L
.35658 .42389 L
.35644 .42371 L
.35524 .42196 L
.35452 .42096 L
.35388 .42003 L
.35259 .4183 L
.35252 .41811 L
.35124 .41618 L
.35066 .41537 L
.34994 .41425 L
.34874 .41249 L
.34863 .41232 L
.3475 .4104 L
.34681 .40934 L
.34639 .40847 L
F
1 .95 0 r
.34681 .39152 m
.34839 .39306 L
.34874 .39338 L
.3502 .39498 L
.35066 .39547 L
.3519 .39691 L
.35259 .39749 L
.35356 .39884 L
.35452 .39997 L
.35552 .40076 L
.35644 .40238 L
.35672 .40269 L
.35827 .40462 L
.35837 .40471 L
.3598 .40654 L
.3603 .40718 L
.36156 .40847 L
.36222 .40972 L
.36274 .4104 L
.36415 .41221 L
.3643 .41232 L
.36577 .41425 L
.36608 .41466 L
.36739 .41618 L
.36801 .41727 L
.36858 .41811 L
.36993 .41986 L
.37016 .42003 L
.3716 .42196 L
.37186 .42231 L
.37314 .42389 L
.37379 .42496 L
.37432 .42581 L
.37571 .42757 L
.37593 .42774 L
.37735 .42967 L
.37764 .43006 L
.37885 .43159 L
.37957 .43273 L
.38002 .43352 L
.38149 .43534 L
.38164 .43545 L
.38339 .43737 L
.38342 .43786 L
.38452 .4393 L
.38535 .44054 L
.3857 .44123 L
.38727 .44312 L
.38733 .44316 L
.38905 .44508 L
.3892 .4457 L
.39018 .44701 L
.39113 .44838 L
.39136 .44894 L
.39299 .45086 L
.39306 .45093 L
.3947 .45279 L
.39498 .45356 L
.39582 .45472 L
.39691 .45624 L
.39703 .45664 L
.39865 .45857 L
.39884 .45878 L
.40033 .4605 L
.40076 .46144 L
.40146 .46242 L
.40269 .46411 L
.40273 .46435 L
.40429 .46628 L
.40462 .46664 L
.40595 .46821 L
.40654 .46932 L
.40709 .47013 L
.40847 .47198 L
.40853 .47206 L
.40993 .47399 L
.4104 .47451 L
.41156 .47591 L
.41232 .47722 L
.41272 .47784 L
.41417 .47977 L
.41425 .47979 L
.41556 .48169 L
.41618 .4824 L
.41716 .48362 L
.41811 .48513 L
.41835 .48555 L
.41979 .48747 L
.42003 .48758 L
.42118 .4894 L
.42196 .49031 L
.42275 .49133 L
.42389 .49306 L
.42399 .49326 L
.4254 .49518 L
.42581 .49542 L
.4274 .49711 L
.42774 .49826 L
.42832 .49904 L
.42963 .50096 L
.42967 .50102 L
.431 .50289 L
.43159 .50332 L
.4329 .50482 L
.43352 .50624 L
.43388 .50674 L
.43521 .50867 L
.43545 .50899 L
.43658 .5106 L
.43737 .51132 L
.43837 .51253 L
.4393 .51429 L
.43942 .51445 L
.44075 .51638 L
.44123 .51702 L
.44212 .51831 L
.44316 .51944 L
.44377 .52023 L
.44491 .52216 L
.44508 .52239 L
.44624 .52409 L
.44701 .52513 L
.44761 .52601 L
.44894 .52779 L
.44905 .52794 L
.4503 .52987 L
.45086 .53064 L
.45162 .53179 L
.45279 .53345 L
.45297 .53372 L
.45423 .53565 L
.45472 .53636 L
.45544 .53758 L
.45664 .5394 L
.4567 .5395 L
.45763 .54143 L
.45664 .5418 L
.45625 .54143 L
.45472 .54007 L
.45434 .5395 L
.45279 .53779 L
.45242 .53758 L
.45092 .53565 L
.45086 .53558 L
.44928 .53372 L
.44894 .5334 L
.44767 .53179 L
.44701 .53095 L
.44587 .52987 L
.44508 .5285 L
.44466 .52794 L
.44316 .5261 L
.44302 .52601 L
.4415 .52409 L
.44123 .52371 L
.43991 .52216 L
.4393 .52115 L
.43871 .52023 L
.43737 .51856 L
.43701 .51831 L
.43555 .51638 L
.43545 .51623 L
.43407 .51445 L
.43352 .5136 L
.43288 .51253 L
.43159 .51092 L
.43115 .5106 L
.42973 .50867 L
.42967 .50859 L
.42829 .50674 L
.42774 .50592 L
.42714 .50482 L
.42581 .5032 L
.42538 .50289 L
.4239 .50096 L
.42389 .50085 L
.42258 .49904 L
.42196 .49815 L
.42146 .49711 L
.42003 .49543 L
.41966 .49518 L
.41817 .49326 L
.41811 .49304 L
.4169 .49133 L
.41618 .49034 L
.41582 .4894 L
.41425 .48764 L
.41397 .48747 L
.41248 .48555 L
.41232 .4852 L
.41124 .48362 L
.4104 .48249 L
.41019 .48169 L
.40847 .47985 L
.40831 .47977 L
.4068 .47784 L
.40654 .47734 L
.40561 .47591 L
.40462 .47463 L
.40457 .47399 L
.40269 .47207 L
.40266 .47206 L
.40115 .47013 L
.40076 .46946 L
.39998 .46821 L
.39884 .46676 L
.3984 .46628 L
.39701 .46435 L
.39691 .46423 L
.39552 .46242 L
.39498 .46157 L
.39436 .4605 L
.39306 .45889 L
.39277 .45857 L
.39137 .45664 L
.39113 .45635 L
.38989 .45472 L
.3892 .45367 L
.38873 .45279 L
.38727 .45101 L
.38714 .45086 L
.38538 .44894 L
.38535 .44846 L
.38428 .44701 L
.38342 .44576 L
.3831 .44508 L
.38152 .44316 L
.38149 .44314 L
.37975 .44123 L
.37957 .44055 L
.37868 .4393 L
.37764 .43783 L
.37746 .43737 L
.37591 .43545 L
.37571 .43531 L
.37415 .43352 L
.37379 .43261 L
.37309 .43159 L
.37186 .42988 L
.3718 .42967 L
.37033 .42774 L
.36993 .42743 L
.3686 .42581 L
.36801 .42463 L
.36752 .42389 L
.36614 .42196 L
.36608 .42188 L
.36477 .42003 L
.36415 .41947 L
.36309 .41811 L
.36222 .41656 L
.36198 .41618 L
.36063 .41425 L
.3603 .4138 L
.35927 .41232 L
.35837 .41134 L
.35768 .4104 L
.35652 .40847 L
.35644 .40837 L
.3552 .40654 L
.35452 .40559 L
.35386 .40462 L
.35259 .40287 L
.35247 .40269 L
.35124 .40076 L
.35066 .39994 L
.34996 .39884 L
.34874 .39702 L
.34867 .39691 L
.34753 .39498 L
.34681 .39383 L
.34641 .39306 L
F
0 .86 1 r
.34681 .40006 m
.34755 .40076 L
.34874 .40186 L
.34946 .40269 L
.35066 .40399 L
.35119 .40462 L
.35259 .40616 L
.35284 .40654 L
.35442 .40847 L
.35452 .40858 L
.35596 .4104 L
.35644 .41097 L
.3575 .41232 L
.35837 .41326 L
.35903 .41425 L
.3603 .41585 L
.36061 .41618 L
.36203 .41811 L
.36222 .41835 L
.36351 .42003 L
.36415 .42073 L
.36563 .42196 L
.36608 .42337 L
.36653 .42389 L
.36792 .42581 L
.36801 .42592 L
.36936 .42774 L
.36993 .42837 L
.37131 .42967 L
.37186 .43103 L
.37231 .43159 L
.37371 .43352 L
.37379 .43353 L
.37513 .43545 L
.37571 .4361 L
.37697 .43737 L
.37764 .43879 L
.37803 .4393 L
.37943 .44123 L
.37957 .44126 L
.38085 .44316 L
.38149 .44389 L
.3826 .44508 L
.38342 .4466 L
.38372 .44701 L
.38512 .44894 L
.38535 .44901 L
.38652 .45086 L
.38727 .45174 L
.38821 .45279 L
.3892 .45447 L
.38938 .45472 L
.39077 .45664 L
.39113 .45681 L
.39217 .45857 L
.39306 .45963 L
.39379 .4605 L
.39498 .46237 L
.39502 .46242 L
.3964 .46435 L
.39691 .46466 L
.3978 .46628 L
.39884 .46757 L
.39935 .46821 L
.40062 .47013 L
.40076 .47032 L
.40199 .47206 L
.40269 .4726 L
.40406 .47399 L
.40462 .47558 L
.40488 .47591 L
.40618 .47784 L
.40654 .47832 L
.40755 .47977 L
.40847 .48067 L
.40941 .48169 L
.41036 .48362 L
.4104 .48367 L
.4117 .48555 L
.41232 .4864 L
.41306 .48747 L
.41425 .48893 L
.41465 .4894 L
.4158 .49133 L
.41618 .49184 L
.41712 .49326 L
.41811 .49461 L
.41848 .49518 L
.41982 .49711 L
.42003 .4974 L
.42108 .49904 L
.42196 .50029 L
.42237 .50096 L
.42364 .50289 L
.42389 .50326 L
.42472 .50482 L
.42389 .50565 L
.42311 .50482 L
.42196 .50359 L
.42135 .50289 L
.42003 .50149 L
.41968 .50096 L
.41811 .49907 L
.41806 .49904 L
.4165 .49711 L
.41618 .49673 L
.41493 .49518 L
.41425 .49447 L
.41338 .49326 L
.41232 .49191 L
.41179 .49133 L
.4104 .48944 L
.41037 .4894 L
.40886 .48747 L
.40847 .48705 L
.40735 .48555 L
.40654 .48447 L
.40585 .48362 L
.40462 .48192 L
.40451 .48169 L
.40295 .47977 L
.40269 .47947 L
.40102 .47784 L
.40076 .47687 L
.40004 .47591 L
.39884 .47427 L
.39873 .47399 L
.39714 .47206 L
.39691 .47179 L
.39537 .47013 L
.39498 .46917 L
.3943 .46821 L
.39306 .46654 L
.39299 .46628 L
.39139 .46435 L
.39113 .46404 L
.38972 .46242 L
.3892 .46139 L
.3886 .4605 L
.38727 .45876 L
.38726 .45857 L
.38569 .45664 L
.38535 .45623 L
.38408 .45472 L
.38342 .45355 L
.38294 .45279 L
.38149 .45092 L
.38144 .45086 L
.38003 .44894 L
.37957 .44838 L
.37846 .44701 L
.37764 .44567 L
.37729 .44508 L
.37581 .44316 L
.37571 .44312 L
.37441 .44123 L
.37379 .44047 L
.37288 .4393 L
.37186 .43774 L
.37166 .43737 L
.37021 .43545 L
.36993 .4353 L
.36882 .43352 L
.36801 .4325 L
.36733 .43159 L
.36608 .42973 L
.36604 .42967 L
.36466 .42774 L
.36415 .42738 L
.36268 .42581 L
.36222 .42443 L
.36184 .42389 L
.36053 .42196 L
.3603 .42164 L
.35918 .42003 L
.35837 .41925 L
.3574 .41811 L
.35645 .41618 L
.35644 .41617 L
.35514 .41425 L
.35452 .41338 L
.35381 .41232 L
.35259 .41068 L
.35237 .4104 L
.35121 .40847 L
.35066 .40768 L
.34995 .40654 L
.34874 .40472 L
.34867 .40462 L
.34759 .40269 L
.34681 .40138 L
.34654 .40076 L
F
0 .96 1 r
.34681 .43166 m
.34781 .43352 L
.34681 .43362 L
.34672 .43352 L
F
1 .77 0 r
.34874 .41033 m
.34879 .4104 L
.34874 .41223 L
.3478 .4104 L
F
0 .85 1 r
.34874 .40222 m
.34917 .40269 L
.35066 .40423 L
.35099 .40462 L
.35259 .40641 L
.35268 .40654 L
.35427 .40847 L
.35452 .40875 L
.35584 .4104 L
.35644 .41111 L
.3574 .41232 L
.35837 .41339 L
.35894 .41425 L
.3603 .41596 L
.36051 .41618 L
.36195 .41811 L
.36222 .41845 L
.36343 .42003 L
.36415 .42082 L
.36556 .42196 L
.36608 .42345 L
.36646 .42389 L
.36786 .42581 L
.36801 .426 L
.3693 .42774 L
.36993 .42843 L
.37126 .42967 L
.37186 .4311 L
.37226 .43159 L
.37366 .43352 L
.37379 .43353 L
.37508 .43545 L
.37571 .43615 L
.37692 .43737 L
.37764 .43884 L
.37799 .4393 L
.37939 .44123 L
.37957 .44127 L
.38081 .44316 L
.38149 .44394 L
.38256 .44508 L
.38342 .44665 L
.38368 .44701 L
.38508 .44894 L
.38535 .44903 L
.38649 .45086 L
.38727 .45178 L
.38817 .45279 L
.3892 .45451 L
.38934 .45472 L
.39074 .45664 L
.39113 .45683 L
.39214 .45857 L
.39306 .45968 L
.39375 .4605 L
.39498 .46242 L
.39498 .46242 L
.39636 .46435 L
.39691 .4647 L
.39776 .46628 L
.39884 .46762 L
.39931 .46821 L
.40058 .47013 L
.40076 .47037 L
.40195 .47206 L
.40269 .47266 L
.40401 .47399 L
.40462 .47564 L
.40483 .47591 L
.40614 .47784 L
.40654 .47838 L
.40751 .47977 L
.40847 .48075 L
.40933 .48169 L
.41031 .48362 L
.4104 .48374 L
.41164 .48555 L
.41232 .48647 L
.41301 .48747 L
.41425 .48905 L
.41454 .4894 L
.41572 .49133 L
.41618 .49195 L
.41704 .49326 L
.41811 .49473 L
.4184 .49518 L
.41971 .49711 L
.42003 .49756 L
.42095 .49904 L
.42196 .50049 L
.42224 .50096 L
.42342 .50289 L
.42389 .50363 L
.42438 .50482 L
.42389 .50523 L
.42347 .50482 L
.42196 .50331 L
.42158 .50289 L
.42003 .50121 L
.41987 .50096 L
.41824 .49904 L
.41811 .49889 L
.41664 .49711 L
.41618 .49657 L
.41505 .49518 L
.41425 .49433 L
.41349 .49326 L
.41232 .49178 L
.4119 .49133 L
.41045 .4894 L
.4104 .48933 L
.40894 .48747 L
.40847 .48696 L
.40744 .48555 L
.40654 .48437 L
.40592 .48362 L
.40462 .48184 L
.40455 .48169 L
.40302 .47977 L
.40269 .4794 L
.40105 .47784 L
.40076 .47679 L
.40009 .47591 L
.39884 .47421 L
.39876 .47399 L
.39719 .47206 L
.39691 .47173 L
.39541 .47013 L
.39498 .4691 L
.39434 .46821 L
.39306 .46649 L
.39301 .46628 L
.39144 .46435 L
.39113 .46399 L
.38975 .46242 L
.3892 .46133 L
.38864 .4605 L
.38727 .4587 L
.38726 .45857 L
.38574 .45664 L
.38535 .45618 L
.38411 .45472 L
.38342 .4535 L
.38297 .45279 L
.38149 .45087 L
.38149 .45086 L
.38008 .44894 L
.37957 .44832 L
.3785 .44701 L
.37764 .44561 L
.37732 .44508 L
.37585 .44316 L
.37571 .4431 L
.37445 .44123 L
.37379 .44041 L
.37292 .4393 L
.37186 .43767 L
.3717 .43737 L
.37026 .43545 L
.36993 .43526 L
.36887 .43352 L
.36801 .43243 L
.36738 .43159 L
.36608 .42967 L
.36608 .42966 L
.36472 .42774 L
.36415 .42732 L
.36274 .42581 L
.36222 .42433 L
.3619 .42389 L
.3606 .42196 L
.3603 .42154 L
.35925 .42003 L
.35837 .41913 L
.3575 .41811 L
.35653 .41618 L
.35644 .41605 L
.35523 .41425 L
.35452 .41324 L
.3539 .41232 L
.35259 .41044 L
.35256 .4104 L
.35135 .40847 L
.35066 .40746 L
.3501 .40654 L
.34888 .40462 L
.34874 .40439 L
.34791 .40269 L
F
1 .94 0 r
.34874 .39421 m
.34954 .39498 L
.35066 .39605 L
.35145 .39691 L
.35259 .39793 L
.35319 .39884 L
.35452 .40035 L
.35511 .40076 L
.35644 .40266 L
.35647 .40269 L
.35804 .40462 L
.35837 .40491 L
.3596 .40654 L
.3603 .40741 L
.36141 .40847 L
.36222 .40991 L
.36261 .4104 L
.36415 .41232 L
.36415 .41232 L
.36564 .41425 L
.36608 .41482 L
.3673 .41618 L
.36801 .41741 L
.36849 .41811 L
.36993 .41993 L
.37006 .42003 L
.37151 .42196 L
.37186 .42242 L
.37308 .42389 L
.37379 .42505 L
.37427 .42581 L
.37571 .42763 L
.37586 .42774 L
.37729 .42967 L
.37764 .43014 L
.3788 .43159 L
.37957 .4328 L
.37999 .43352 L
.38149 .43538 L
.38159 .43545 L
.38339 .43737 L
.38342 .43792 L
.38449 .4393 L
.38535 .44059 L
.38567 .44123 L
.38727 .44315 L
.38729 .44316 L
.38904 .44508 L
.3892 .44575 L
.39015 .44701 L
.39113 .44842 L
.39135 .44894 L
.39296 .45086 L
.39306 .45097 L
.39468 .45279 L
.39498 .4536 L
.3958 .45472 L
.39691 .45627 L
.39702 .45664 L
.39862 .45857 L
.39884 .45881 L
.40031 .4605 L
.40076 .46147 L
.40143 .46242 L
.40269 .46414 L
.40272 .46435 L
.40426 .46628 L
.40462 .46666 L
.40593 .46821 L
.40654 .46936 L
.40707 .47013 L
.40847 .47201 L
.40851 .47206 L
.4099 .47399 L
.4104 .47454 L
.41154 .47591 L
.41232 .47726 L
.4127 .47784 L
.41414 .47977 L
.41425 .4798 L
.41553 .48169 L
.41618 .48243 L
.41713 .48362 L
.41811 .48517 L
.41833 .48555 L
.41976 .48747 L
.42003 .4876 L
.42115 .4894 L
.42196 .49035 L
.42272 .49133 L
.42389 .49311 L
.42397 .49326 L
.42537 .49518 L
.42581 .49545 L
.42737 .49711 L
.42774 .49831 L
.42829 .49904 L
.42959 .50096 L
.42967 .50107 L
.43096 .50289 L
.43159 .50337 L
.43286 .50482 L
.43352 .50631 L
.43383 .50674 L
.43515 .50867 L
.43545 .50906 L
.43652 .5106 L
.43737 .5114 L
.43829 .51253 L
.4393 .51439 L
.43935 .51445 L
.44068 .51638 L
.44123 .51712 L
.44205 .51831 L
.44316 .51959 L
.44365 .52023 L
.44481 .52216 L
.44508 .52253 L
.44613 .52409 L
.44701 .52529 L
.4475 .52601 L
.44887 .52794 L
.44894 .52804 L
.45013 .52987 L
.45086 .53089 L
.45143 .53179 L
.45276 .53372 L
.45279 .53376 L
.45391 .53565 L
.45472 .5369 L
.45507 .53758 L
.45472 .5391 L
.45316 .53758 L
.45279 .53722 L
.45135 .53565 L
.45086 .53513 L
.44963 .53372 L
.44894 .53308 L
.44797 .53179 L
.44701 .53062 L
.44612 .52987 L
.44508 .52824 L
.44485 .52794 L
.44324 .52601 L
.44316 .52593 L
.44169 .52409 L
.44123 .52347 L
.44005 .52216 L
.4393 .52094 L
.43883 .52023 L
.43737 .51844 L
.43716 .51831 L
.43568 .51638 L
.43545 .51606 L
.43417 .51445 L
.43352 .51345 L
.43297 .51253 L
.43159 .51083 L
.43125 .5106 L
.42981 .50867 L
.42967 .50846 L
.42837 .50674 L
.42774 .50581 L
.42721 .50482 L
.42581 .50313 L
.42545 .50289 L
.42391 .50096 L
.42389 .50075 L
.42264 .49904 L
.42196 .49807 L
.42151 .49711 L
.42003 .49538 L
.41972 .49518 L
.4182 .49326 L
.41811 .49297 L
.41694 .49133 L
.41618 .49027 L
.41585 .4894 L
.41425 .48761 L
.41402 .48747 L
.4125 .48555 L
.41232 .48514 L
.41128 .48362 L
.4104 .48244 L
.41021 .48169 L
.40847 .47983 L
.40835 .47977 L
.40683 .47784 L
.40654 .47729 L
.40564 .47591 L
.40462 .47459 L
.40458 .47399 L
.40269 .47206 L
.40269 .47206 L
.40118 .47013 L
.40076 .46941 L
.40001 .46821 L
.39884 .46672 L
.39844 .46628 L
.39704 .46435 L
.39691 .46419 L
.39554 .46242 L
.39498 .46153 L
.39438 .4605 L
.39306 .45885 L
.3928 .45857 L
.3914 .45664 L
.39113 .45631 L
.38992 .45472 L
.3892 .45363 L
.38876 .45279 L
.38727 .45098 L
.38717 .45086 L
.38539 .44894 L
.38535 .44842 L
.38431 .44701 L
.38342 .44571 L
.38313 .44508 L
.38156 .44316 L
.38149 .44312 L
.37977 .44123 L
.37957 .4405 L
.37871 .4393 L
.37764 .43778 L
.37748 .43737 L
.37596 .43545 L
.37571 .43528 L
.37418 .43352 L
.37379 .43255 L
.37313 .43159 L
.37186 .42981 L
.37182 .42967 L
.37038 .42774 L
.36993 .42738 L
.36865 .42581 L
.36801 .42454 L
.36758 .42389 L
.36621 .42196 L
.36608 .42178 L
.36484 .42003 L
.36415 .41937 L
.36318 .41811 L
.36222 .41643 L
.36207 .41618 L
.36073 .41425 L
.3603 .41366 L
.35937 .41232 L
.35837 .41115 L
.35783 .4104 L
.35666 .40847 L
.35644 .40817 L
.35535 .40654 L
.35452 .40536 L
.35402 .40462 L
.35271 .40269 L
.35259 .40252 L
.35148 .40076 L
.35066 .39954 L
.35024 .39884 L
.34907 .39691 L
.34874 .39637 L
.3481 .39498 L
F
0 .99 1 r
.34874 .36861 m
.35066 .36942 L
.35144 .36993 L
.35259 .37107 L
.35328 .37186 L
.35452 .37332 L
.35519 .37379 L
.35642 .37571 L
.35644 .37574 L
.35785 .37764 L
.35837 .37795 L
.35929 .37957 L
.3603 .38074 L
.36101 .38149 L
.36216 .38342 L
.36222 .3835 L
.36353 .38535 L
.36415 .38619 L
.36491 .38727 L
.36608 .38869 L
.36642 .3892 L
.36761 .39113 L
.36801 .3917 L
.36886 .39306 L
.36993 .39482 L
.37009 .39498 L
.37063 .39691 L
.36993 .39838 L
.36801 .39727 L
.36767 .39691 L
.36608 .39514 L
.36592 .39498 L
.36437 .39306 L
.36415 .39279 L
.36236 .39113 L
.36222 .39032 L
.36131 .3892 L
.3603 .38777 L
.35998 .38727 L
.35846 .38535 L
.35837 .38523 L
.35691 .38342 L
.35644 .3826 L
.35572 .38149 L
.35452 .37991 L
.35444 .37957 L
.35289 .37764 L
.35259 .37746 L
.35148 .37571 L
.35066 .3745 L
.35038 .37379 L
.34916 .37186 L
.34874 .37098 L
.34829 .36993 L
F
1 .89 0 r
.34874 .42636 m
.34955 .42774 L
.35066 .42926 L
.35088 .42967 L
.35066 .43035 L
.35011 .42967 L
.34874 .42811 L
.34844 .42774 L
F
0 .98 1 r
.34874 .38684 m
.3496 .38727 L
.35066 .38811 L
.35174 .3892 L
.35259 .39007 L
.35355 .39113 L
.35452 .39216 L
.35526 .39306 L
.35644 .39448 L
.35699 .39498 L
.35837 .39679 L
.35846 .39691 L
.36007 .39884 L
.3603 .39911 L
.36165 .40076 L
.36222 .40157 L
.36315 .40269 L
.36415 .40411 L
.36438 .40462 L
.36608 .40639 L
.3662 .40654 L
.36789 .40847 L
.36801 .40894 L
.36909 .4104 L
.36993 .41161 L
.3702 .41232 L
.37186 .41391 L
.37212 .41425 L
.37365 .41618 L
.37379 .41652 L
.37491 .41811 L
.37571 .41925 L
.37596 .42003 L
.37764 .4216 L
.37791 .42196 L
.3794 .42389 L
.37957 .42424 L
.38064 .42581 L
.38149 .42701 L
.38164 .42774 L
.38342 .42939 L
.38363 .42967 L
.3851 .43159 L
.38535 .43205 L
.38631 .43352 L
.38727 .43483 L
.38792 .43545 L
.3892 .43723 L
.38931 .43737 L
.39077 .4393 L
.39113 .43991 L
.39195 .44123 L
.39306 .44267 L
.39358 .44316 L
.39498 .44508 L
.39498 .44509 L
.39643 .44701 L
.39691 .44778 L
.39758 .44894 L
.39884 .45052 L
.39924 .45086 L
.40063 .45279 L
.40076 .45297 L
.40207 .45472 L
.40269 .45567 L
.40321 .45664 L
.40462 .45836 L
.40488 .45857 L
.40648 .4605 L
.40654 .46085 L
.4077 .46242 L
.40847 .46355 L
.40883 .46435 L
.4104 .46618 L
.41052 .46628 L
.41215 .46821 L
.41232 .46874 L
.41333 .47013 L
.41425 .47143 L
.41447 .47206 L
.41616 .47399 L
.41618 .474 L
.4178 .47591 L
.41811 .47663 L
.41895 .47784 L
.42003 .47932 L
.42012 .47977 L
.4218 .48169 L
.42196 .48186 L
.42343 .48362 L
.42389 .48452 L
.42458 .48555 L
.42581 .4872 L
.42604 .48747 L
.42743 .4894 L
.42774 .48973 L
.42905 .49133 L
.42967 .49242 L
.4302 .49326 L
.43159 .49508 L
.43167 .49518 L
.43307 .49711 L
.43352 .49761 L
.43466 .49904 L
.43545 .50032 L
.43583 .50096 L
.43731 .50289 L
.43737 .50291 L
.4387 .50482 L
.4393 .50549 L
.44027 .50674 L
.44123 .50823 L
.44147 .50867 L
.44293 .5106 L
.44316 .51068 L
.44492 .51253 L
.44508 .5134 L
.44587 .51445 L
.44701 .51615 L
.44712 .51638 L
.44855 .51831 L
.44894 .51851 L
.45048 .52023 L
.45086 .52132 L
.45147 .52216 L
.45279 .52408 L
.45279 .52409 L
.45417 .52601 L
.45472 .52638 L
.45602 .52794 L
.45664 .52928 L
.45706 .52987 L
.4584 .53179 L
.45857 .53202 L
.45977 .53372 L
.4605 .53432 L
.46155 .53565 L
.46242 .53726 L
.46264 .53758 L
.46398 .5395 L
.46435 .53999 L
.46536 .54143 L
.46628 .54234 L
.46704 .54336 L
.46819 .54528 L
.46821 .5453 L
.46954 .54721 L
.47013 .548 L
.47092 .54914 L
.47206 .55048 L
.47248 .55106 L
.4737 .55299 L
.47399 .55337 L
.47504 .55492 L
.47591 .5561 L
.47642 .55684 L
.47781 .55877 L
.47784 .55881 L
.4791 .5607 L
.47977 .56162 L
.48042 .56263 L
.48169 .56444 L
.48177 .56455 L
.48298 .56648 L
.48362 .56742 L
.48419 .56841 L
.48536 .57033 L
.48555 .57065 L
.48597 .57226 L
.48555 .57235 L
.48541 .57226 L
.48362 .57098 L
.48321 .57033 L
.48169 .56876 L
.4808 .56841 L
.47977 .5666 L
.47962 .56648 L
.47795 .56455 L
.47784 .56446 L
.47631 .56263 L
.47591 .56212 L
.47433 .5607 L
.47399 .55969 L
.47325 .55877 L
.47206 .5572 L
.47195 .55684 L
.47013 .55499 L
.47007 .55492 L
.46846 .55299 L
.46821 .55245 L
.46723 .55106 L
.46628 .54978 L
.46554 .54914 L
.46435 .54754 L
.46409 .54721 L
.46261 .54528 L
.46242 .54494 L
.46137 .54336 L
.4605 .54218 L
.45969 .54143 L
.45857 .5399 L
.45826 .5395 L
.45684 .53758 L
.45664 .53726 L
.45563 .53565 L
.45472 .53444 L
.45393 .53372 L
.45279 .53215 L
.45252 .53179 L
.45112 .52987 L
.45086 .52947 L
.44996 .52794 L
.44894 .52663 L
.44822 .52601 L
.44701 .52433 L
.44682 .52409 L
.44544 .52216 L
.44508 .52162 L
.44433 .52023 L
.44316 .51878 L
.44254 .51831 L
.44123 .51647 L
.44116 .51638 L
.43979 .51445 L
.4393 .51375 L
.43872 .51253 L
.43737 .51093 L
.43689 .5106 L
.43548 .50867 L
.43545 .5086 L
.43416 .50674 L
.43352 .50586 L
.43313 .50482 L
.43159 .50309 L
.43124 .50289 L
.42979 .50096 L
.42967 .5007 L
.42854 .49904 L
.42774 .49797 L
.42754 .49711 L
.42581 .49528 L
.4256 .49518 L
.42413 .49326 L
.42389 .49281 L
.42292 .49133 L
.42196 .49009 L
.42135 .4894 L
.42003 .4875 L
.41996 .48747 L
.41848 .48555 L
.41811 .48491 L
.4173 .48362 L
.41618 .48221 L
.41572 .48169 L
.41432 .47977 L
.41425 .47968 L
.41284 .47784 L
.41232 .47702 L
.41169 .47591 L
.4104 .47433 L
.41008 .47399 L
.40868 .47206 L
.40847 .4718 L
.40722 .47013 L
.40654 .46912 L
.40606 .46821 L
.40462 .46646 L
.40445 .46628 L
.40275 .46435 L
.40269 .46392 L
.40159 .46242 L
.40076 .46123 L
.40043 .4605 L
.39884 .45859 L
.39881 .45857 L
.3971 .45664 L
.39691 .45603 L
.39598 .45472 L
.39498 .45333 L
.39479 .45279 L
.39319 .45086 L
.39306 .45077 L
.39147 .44894 L
.39113 .44813 L
.39036 .44701 L
.3892 .44542 L
.38912 .44508 L
.38756 .44316 L
.38727 .44293 L
.38587 .44123 L
.38535 .44021 L
.38475 .4393 L
.38342 .4375 L
.38341 .43737 L
.38195 .43545 L
.38149 .43506 L
.38028 .43352 L
.37957 .43228 L
.37914 .43159 L
.37772 .42967 L
.37764 .42956 L
.37634 .42774 L
.37571 .42715 L
.37471 .42581 L
.37379 .42431 L
.37354 .42389 L
.37213 .42196 L
.37186 .42159 L
.37075 .42003 L
.36993 .41917 L
.36916 .41811 L
.36801 .41629 L
.36794 .41618 L
.36657 .41425 L
.36608 .41358 L
.36519 .41232 L
.36415 .41109 L
.36367 .4104 L
.36241 .40847 L
.36222 .40821 L
.36107 .40654 L
.3603 .40548 L
.35918 .40462 L
.35837 .40281 L
.35829 .40269 L
.35701 .40076 L
.35644 .39998 L
.35569 .39884 L
.35452 .39717 L
.35418 .39691 L
.35309 .39498 L
.35259 .39426 L
.35186 .39306 L
.35066 .39122 L
.35061 .39113 L
.34959 .3892 L
.34874 .38746 L
.34869 .38727 L
F
0 .79 1 r
.34874 .41845 m
.34984 .42003 L
.35066 .42096 L
.35134 .42196 L
.35259 .42347 L
.35287 .42389 L
.35259 .42539 L
.35157 .42389 L
.35066 .42273 L
.35014 .42196 L
.34874 .42006 L
.34872 .42003 L
F
0 .84 1 r
.35066 .40451 m
.35075 .40462 L
.35248 .40654 L
.35259 .40665 L
.35411 .40847 L
.35452 .40892 L
.35571 .4104 L
.35644 .41126 L
.35729 .41232 L
.35837 .41352 L
.35884 .41425 L
.3603 .41608 L
.3604 .41618 L
.36186 .41811 L
.36222 .41855 L
.36336 .42003 L
.36415 .42091 L
.36548 .42196 L
.36608 .42353 L
.36639 .42389 L
.3678 .42581 L
.36801 .42608 L
.36925 .42774 L
.36993 .4285 L
.37121 .42967 L
.37186 .43116 L
.37221 .43159 L
.37361 .43352 L
.37379 .43354 L
.37504 .43545 L
.37571 .43621 L
.37688 .43737 L
.37764 .4389 L
.37795 .4393 L
.37935 .44123 L
.37957 .44128 L
.38077 .44316 L
.38149 .44399 L
.38252 .44508 L
.38342 .4467 L
.38365 .44701 L
.38504 .44894 L
.38535 .44905 L
.38645 .45086 L
.38727 .45183 L
.38813 .45279 L
.3892 .45456 L
.38931 .45472 L
.3907 .45664 L
.39113 .45686 L
.39211 .45857 L
.39306 .45972 L
.39371 .4605 L
.39495 .46242 L
.39498 .46247 L
.39632 .46435 L
.39691 .46474 L
.39773 .46628 L
.39884 .46768 L
.39927 .46821 L
.40054 .47013 L
.40076 .47043 L
.40191 .47206 L
.40269 .47271 L
.40395 .47399 L
.40462 .47571 L
.40478 .47591 L
.40609 .47784 L
.40654 .47844 L
.40746 .47977 L
.40847 .48083 L
.40925 .48169 L
.41025 .48362 L
.4104 .48382 L
.41158 .48555 L
.41232 .48655 L
.41295 .48747 L
.41425 .48919 L
.41443 .4894 L
.41565 .49133 L
.41618 .49206 L
.41696 .49326 L
.41811 .49485 L
.41832 .49518 L
.41959 .49711 L
.42003 .49773 L
.42082 .49904 L
.42196 .50072 L
.4221 .50096 L
.42312 .50289 L
.42196 .50299 L
.42187 .50289 L
.42009 .50096 L
.42003 .50091 L
.41842 .49904 L
.41811 .49869 L
.41678 .49711 L
.41618 .4964 L
.41518 .49518 L
.41425 .49419 L
.4136 .49326 L
.41232 .49165 L
.41201 .49133 L
.41055 .4894 L
.4104 .48921 L
.40903 .48747 L
.40847 .48686 L
.40752 .48555 L
.40654 .48427 L
.406 .48362 L
.40462 .48176 L
.40459 .48169 L
.40308 .47977 L
.40269 .47932 L
.40109 .47784 L
.40076 .47671 L
.40015 .47591 L
.39884 .47414 L
.39878 .47399 L
.39725 .47206 L
.39691 .47167 L
.39544 .47013 L
.39498 .46903 L
.39439 .46821 L
.39306 .46643 L
.39302 .46628 L
.39149 .46435 L
.39113 .46393 L
.38979 .46242 L
.3892 .46127 L
.38868 .4605 L
.38727 .45865 L
.38727 .45857 L
.38578 .45664 L
.38535 .45613 L
.38415 .45472 L
.38342 .45344 L
.38301 .45279 L
.38153 .45086 L
.38149 .45085 L
.38012 .44894 L
.37957 .44827 L
.37854 .44701 L
.37764 .44555 L
.37736 .44508 L
.3759 .44316 L
.37571 .44308 L
.3745 .44123 L
.37379 .44035 L
.37296 .4393 L
.37186 .43761 L
.37173 .43737 L
.37031 .43545 L
.36993 .43523 L
.36892 .43352 L
.36801 .43236 L
.36743 .43159 L
.36614 .42967 L
.36608 .42958 L
.36478 .42774 L
.36415 .42725 L
.36281 .42581 L
.36222 .42424 L
.36197 .42389 L
.36067 .42196 L
.3603 .42145 L
.35932 .42003 L
.35837 .419 L
.35761 .41811 L
.35662 .41618 L
.35644 .41593 L
.35533 .41425 L
.35452 .4131 L
.354 .41232 L
.3527 .4104 L
.35259 .41024 L
.3515 .40847 L
.35066 .40722 L
.35026 .40654 L
.34916 .40462 L
F
1 .93 0 r
.35066 .39675 m
.35083 .39691 L
.35259 .39854 L
.35278 .39884 L
.35452 .40075 L
.35453 .40076 L
.35618 .40269 L
.35644 .40298 L
.3578 .40462 L
.35837 .40513 L
.3594 .40654 L
.3603 .40764 L
.36123 .40847 L
.36222 .4101 L
.36247 .4104 L
.36401 .41232 L
.36415 .41246 L
.36552 .41425 L
.36608 .41497 L
.3672 .41618 L
.36801 .41753 L
.36841 .41811 L
.36993 .42001 L
.36996 .42003 L
.37143 .42196 L
.37186 .42253 L
.37301 .42389 L
.37379 .42515 L
.37422 .42581 L
.37571 .42768 L
.37579 .42774 L
.37723 .42967 L
.37764 .43021 L
.37875 .43159 L
.37957 .43286 L
.37995 .43352 L
.38149 .43541 L
.38154 .43545 L
.38338 .43737 L
.38342 .43798 L
.38445 .4393 L
.38535 .44064 L
.38565 .44123 L
.38725 .44316 L
.38727 .44318 L
.38902 .44508 L
.3892 .44579 L
.39012 .44701 L
.39113 .44846 L
.39133 .44894 L
.39293 .45086 L
.39306 .451 L
.39466 .45279 L
.39498 .45364 L
.39577 .45472 L
.39691 .45631 L
.39701 .45664 L
.39859 .45857 L
.39884 .45884 L
.40029 .4605 L
.40076 .46151 L
.40141 .46242 L
.40269 .46417 L
.40272 .46435 L
.40424 .46628 L
.40462 .46669 L
.40591 .46821 L
.40654 .46939 L
.40705 .47013 L
.40847 .47204 L
.40848 .47206 L
.40988 .47399 L
.4104 .47457 L
.41151 .47591 L
.41232 .47729 L
.41268 .47784 L
.41411 .47977 L
.41425 .47981 L
.4155 .48169 L
.41618 .48247 L
.41711 .48362 L
.41811 .48521 L
.41831 .48555 L
.41973 .48747 L
.42003 .48761 L
.42112 .4894 L
.42196 .49039 L
.42268 .49133 L
.42389 .49315 L
.42394 .49326 L
.42533 .49518 L
.42581 .49548 L
.42734 .49711 L
.42774 .49836 L
.42825 .49904 L
.42955 .50096 L
.42967 .50112 L
.43092 .50289 L
.43159 .50343 L
.43281 .50482 L
.43352 .50638 L
.43378 .50674 L
.4351 .50867 L
.43545 .50913 L
.43647 .5106 L
.43737 .51149 L
.43821 .51253 L
.43927 .51445 L
.4393 .51449 L
.44061 .51638 L
.44123 .51722 L
.44197 .51831 L
.44316 .51976 L
.44352 .52023 L
.4447 .52216 L
.44508 .52267 L
.44602 .52409 L
.44701 .52545 L
.44738 .52601 L
.44871 .52794 L
.44894 .52826 L
.44995 .52987 L
.45086 .53118 L
.45124 .53179 L
.45246 .53372 L
.45279 .53424 L
.45349 .53565 L
.45279 .53657 L
.45187 .53565 L
.45086 .53465 L
.45001 .53372 L
.44894 .53271 L
.44829 .53179 L
.44701 .53029 L
.44644 .52987 L
.44508 .52799 L
.44504 .52794 L
.44344 .52601 L
.44316 .52572 L
.44187 .52409 L
.44123 .52325 L
.44019 .52216 L
.4393 .52076 L
.43894 .52023 L
.43737 .51835 L
.43731 .51831 L
.4358 .51638 L
.43545 .51589 L
.43426 .51445 L
.43352 .51331 L
.43305 .51253 L
.43159 .51075 L
.43135 .5106 L
.4299 .50867 L
.42967 .50834 L
.42844 .50674 L
.42774 .5057 L
.42727 .50482 L
.42581 .50307 L
.42553 .50289 L
.42392 .50096 L
.42389 .50066 L
.42269 .49904 L
.42196 .49799 L
.42155 .49711 L
.42003 .49534 L
.41977 .49518 L
.41822 .49326 L
.41811 .4929 L
.41699 .49133 L
.41618 .49021 L
.41588 .4894 L
.41425 .48758 L
.41406 .48747 L
.41253 .48555 L
.41232 .48509 L
.41132 .48362 L
.4104 .48239 L
.41023 .48169 L
.40847 .47981 L
.40839 .47977 L
.40685 .47784 L
.40654 .47724 L
.40567 .47591 L
.40462 .47454 L
.40459 .47399 L
.40272 .47206 L
.40269 .47202 L
.4012 .47013 L
.40076 .46937 L
.40003 .46821 L
.39884 .46669 L
.39847 .46628 L
.39707 .46435 L
.39691 .46415 L
.39557 .46242 L
.39498 .46149 L
.39441 .4605 L
.39306 .45882 L
.39283 .45857 L
.39143 .45664 L
.39113 .45627 L
.38994 .45472 L
.3892 .45359 L
.38878 .45279 L
.38727 .45094 L
.38721 .45086 L
.38539 .44894 L
.38535 .44838 L
.38434 .44701 L
.38342 .44567 L
.38315 .44508 L
.38159 .44316 L
.38149 .44309 L
.37978 .44123 L
.37957 .44045 L
.37875 .4393 L
.37764 .43772 L
.3775 .43737 L
.376 .43545 L
.37571 .43524 L
.37422 .43352 L
.37379 .43249 L
.37317 .43159 L
.37186 .42974 L
.37184 .42967 L
.37044 .42774 L
.36993 .42732 L
.3687 .42581 L
.36801 .42445 L
.36763 .42389 L
.36628 .42196 L
.36608 .42169 L
.36492 .42003 L
.36415 .41927 L
.36326 .41811 L
.36222 .41629 L
.36215 .41618 L
.36082 .41425 L
.3603 .41352 L
.35948 .41232 L
.35837 .41094 L
.35798 .4104 L
.3568 .40847 L
.35644 .40796 L
.35551 .40654 L
.35452 .40511 L
.35419 .40462 L
.35295 .40269 L
.35259 .40216 L
.35176 .40076 L
.35066 .39903 L
.35056 .39884 L
.34973 .39691 L
F
1 .77 0 r
.35066 .41255 m
.35202 .41425 L
.35259 .41489 L
.35358 .41618 L
.35452 .41729 L
.35513 .41811 L
.35644 .41946 L
.35668 .42003 L
.35817 .42196 L
.35837 .4222 L
.35962 .42389 L
.3603 .42472 L
.3611 .42581 L
.36222 .4269 L
.36259 .42774 L
.36405 .42967 L
.36415 .42979 L
.36546 .43159 L
.36608 .43237 L
.36691 .43352 L
.36801 .43463 L
.36837 .43545 L
.36981 .43737 L
.36993 .43754 L
.37119 .4393 L
.37186 .44016 L
.37261 .44123 L
.37379 .44253 L
.37406 .44316 L
.37546 .44508 L
.37571 .44541 L
.37683 .44701 L
.37764 .44807 L
.37824 .44894 L
.37957 .45061 L
.37967 .45086 L
.38102 .45279 L
.38149 .45341 L
.38238 .45472 L
.38342 .45611 L
.38378 .45664 L
.38516 .45857 L
.38535 .45882 L
.38646 .4605 L
.38727 .4616 L
.3878 .46242 L
.38919 .46435 L
.3892 .46437 L
.39039 .46628 L
.39113 .46732 L
.39164 .46821 L
.39113 .46933 L
.39019 .46821 L
.3892 .4671 L
.38853 .46628 L
.38727 .46477 L
.38693 .46435 L
.38539 .46242 L
.38535 .46238 L
.38388 .4605 L
.38342 .45993 L
.38237 .45857 L
.38149 .45747 L
.38086 .45664 L
.37957 .45504 L
.37917 .45472 L
.37791 .45279 L
.37764 .45245 L
.37645 .45086 L
.37571 .44991 L
.37498 .44894 L
.37379 .44743 L
.37334 .44701 L
.3721 .44508 L
.37186 .44477 L
.37067 .44316 L
.36993 .44218 L
.36923 .44123 L
.36801 .43964 L
.36768 .4393 L
.3664 .43737 L
.36608 .43695 L
.36499 .43545 L
.36415 .43487 L
.36357 .43352 L
.36222 .43169 L
.36214 .43159 L
.3608 .42967 L
.3603 .42898 L
.35942 .42774 L
.35837 .42667 L
.35803 .42581 L
.35667 .42389 L
.35644 .42358 L
.35534 .42196 L
.35452 .42082 L
.35398 .42003 L
.35263 .41811 L
.35259 .41805 L
.35137 .41618 L
.35066 .41517 L
.35008 .41425 L
F
1 .76 0 r
.35066 .41279 m
.35183 .41425 L
.35259 .41507 L
.35344 .41618 L
.35452 .41743 L
.35502 .41811 L
.35644 .41968 L
.35658 .42003 L
.35806 .42196 L
.35837 .42233 L
.35953 .42389 L
.3603 .42483 L
.36102 .42581 L
.36222 .42706 L
.36251 .42774 L
.36397 .42967 L
.36415 .42989 L
.36539 .43159 L
.36608 .43246 L
.36684 .43352 L
.36801 .43476 L
.3683 .43545 L
.36973 .43737 L
.36993 .43763 L
.37112 .4393 L
.37186 .44025 L
.37255 .44123 L
.37379 .44266 L
.374 .44316 L
.37539 .44508 L
.37571 .4455 L
.37676 .44701 L
.37764 .44816 L
.37818 .44894 L
.37957 .45076 L
.37961 .45086 L
.38094 .45279 L
.38149 .45352 L
.3823 .45472 L
.38342 .45622 L
.38371 .45664 L
.38506 .45857 L
.38535 .45895 L
.38636 .4605 L
.38727 .46175 L
.38771 .46242 L
.38905 .46435 L
.3892 .46456 L
.39022 .46628 L
.39113 .46759 L
.39145 .46821 L
.39113 .46902 L
.39042 .46821 L
.3892 .46689 L
.3887 .46628 L
.38727 .4646 L
.38707 .46435 L
.38553 .46242 L
.38535 .46222 L
.384 .4605 L
.38342 .45979 L
.38247 .45857 L
.38149 .45734 L
.38095 .45664 L
.37957 .45489 L
.37935 .45472 L
.378 .45279 L
.37764 .45233 L
.37653 .45086 L
.37571 .4498 L
.37506 .44894 L
.37379 .4473 L
.37347 .44701 L
.37218 .44508 L
.37186 .44467 L
.37075 .44316 L
.36993 .44208 L
.3693 .44123 L
.36801 .43952 L
.36779 .4393 L
.36648 .43737 L
.36608 .43685 L
.36507 .43545 L
.36415 .43473 L
.36365 .43352 L
.36225 .43159 L
.36222 .43156 L
.36089 .42967 L
.3603 .42887 L
.3595 .42774 L
.35837 .42648 L
.35811 .42581 L
.35677 .42389 L
.35644 .42344 L
.35544 .42196 L
.35452 .42068 L
.35408 .42003 L
.35276 .41811 L
.35259 .41787 L
.35152 .41618 L
.35066 .41495 L
.35024 .41425 L
F
1 .75 0 r
.35066 .4131 m
.35161 .41425 L
.35259 .41527 L
.35329 .41618 L
.35452 .41759 L
.3549 .41811 L
.35644 .41993 L
.35648 .42003 L
.35795 .42196 L
.35837 .42245 L
.35943 .42389 L
.3603 .42495 L
.36093 .42581 L
.36222 .42722 L
.36244 .42774 L
.36389 .42967 L
.36415 .42999 L
.36531 .43159 L
.36608 .43256 L
.36677 .43352 L
.36801 .4349 L
.36824 .43545 L
.36966 .43737 L
.36993 .43772 L
.37105 .4393 L
.37186 .44034 L
.37249 .44123 L
.37379 .4428 L
.37393 .44316 L
.37531 .44508 L
.37571 .4456 L
.37669 .44701 L
.37764 .44825 L
.37811 .44894 L
.37954 .45086 L
.37957 .4509 L
.38086 .45279 L
.38149 .45363 L
.38222 .45472 L
.38342 .45633 L
.38363 .45664 L
.38496 .45857 L
.38535 .45909 L
.38625 .4605 L
.38727 .4619 L
.3876 .46242 L
.38888 .46435 L
.3892 .4648 L
.39 .46628 L
.39113 .46805 L
.39118 .46821 L
.39113 .4685 L
.39081 .46821 L
.3892 .46664 L
.3889 .46628 L
.38727 .4644 L
.38723 .46435 L
.38568 .46242 L
.38535 .46205 L
.38413 .4605 L
.38342 .45965 L
.38258 .45857 L
.38149 .45721 L
.38106 .45664 L
.37957 .45473 L
.37955 .45472 L
.3781 .45279 L
.37764 .45221 L
.37662 .45086 L
.37571 .44969 L
.37515 .44894 L
.37379 .44717 L
.37361 .44701 L
.37226 .44508 L
.37186 .44456 L
.37083 .44316 L
.36993 .44197 L
.36938 .44123 L
.36801 .43939 L
.36792 .4393 L
.36656 .43737 L
.36608 .43674 L
.36515 .43545 L
.36415 .43458 L
.36373 .43352 L
.36234 .43159 L
.36222 .43144 L
.36098 .42967 L
.3603 .42875 L
.35959 .42774 L
.35837 .42626 L
.3582 .42581 L
.35688 .42389 L
.35644 .42329 L
.35555 .42196 L
.35452 .42052 L
.35419 .42003 L
.35291 .41811 L
.35259 .41766 L
.35168 .41618 L
.35066 .41467 L
.35042 .41425 L
F
0 .83 1 r
.35066 .40486 m
.35224 .40654 L
.35259 .40689 L
.35393 .40847 L
.35452 .40911 L
.35557 .4104 L
.35644 .41141 L
.35717 .41232 L
.35837 .41367 L
.35874 .41425 L
.36028 .41618 L
.3603 .4162 L
.36178 .41811 L
.36222 .41865 L
.36328 .42003 L
.36415 .421 L
.36539 .42196 L
.36608 .42362 L
.36632 .42389 L
.36773 .42581 L
.36801 .42616 L
.36919 .42774 L
.36993 .42857 L
.37115 .42967 L
.37186 .43123 L
.37216 .43159 L
.37356 .43352 L
.37379 .43355 L
.37499 .43545 L
.37571 .43626 L
.37683 .43737 L
.37764 .43895 L
.37791 .4393 L
.37931 .44123 L
.37957 .44129 L
.38073 .44316 L
.38149 .44404 L
.38248 .44508 L
.38342 .44675 L
.38361 .44701 L
.38501 .44894 L
.38535 .44907 L
.38642 .45086 L
.38727 .45188 L
.38809 .45279 L
.3892 .45461 L
.38928 .45472 L
.39066 .45664 L
.39113 .45689 L
.39207 .45857 L
.39306 .45978 L
.39367 .4605 L
.39491 .46242 L
.39498 .46252 L
.39629 .46435 L
.39691 .46478 L
.39769 .46628 L
.39884 .46774 L
.39922 .46821 L
.4005 .47013 L
.40076 .47048 L
.40187 .47206 L
.40269 .47277 L
.40389 .47399 L
.40462 .47578 L
.40472 .47591 L
.40605 .47784 L
.40654 .47851 L
.40742 .47977 L
.40847 .48092 L
.40917 .48169 L
.41019 .48362 L
.4104 .4839 L
.41152 .48555 L
.41232 .48664 L
.41289 .48747 L
.41425 .48933 L
.41431 .4894 L
.41557 .49133 L
.41618 .49217 L
.41688 .49326 L
.41811 .49498 L
.41823 .49518 L
.41946 .49711 L
.42003 .49793 L
.42068 .49904 L
.42003 .50065 L
.41861 .49904 L
.41811 .49849 L
.41694 .49711 L
.41618 .49623 L
.41531 .49518 L
.41425 .49403 L
.41372 .49326 L
.41232 .49151 L
.41214 .49133 L
.41065 .4894 L
.4104 .4891 L
.40912 .48747 L
.40847 .48676 L
.4076 .48555 L
.40654 .48417 L
.40607 .48362 L
.40463 .48169 L
.40462 .48168 L
.40315 .47977 L
.40269 .47925 L
.40113 .47784 L
.40076 .47663 L
.40021 .47591 L
.39884 .47407 L
.3988 .47399 L
.3973 .47206 L
.39691 .4716 L
.39548 .47013 L
.39498 .46896 L
.39443 .46821 L
.39306 .46637 L
.39303 .46628 L
.39154 .46435 L
.39113 .46387 L
.38982 .46242 L
.3892 .4612 L
.38872 .4605 L
.38727 .4586 L
.38727 .45857 L
.38583 .45664 L
.38535 .45607 L
.38419 .45472 L
.38342 .45338 L
.38304 .45279 L
.38157 .45086 L
.38149 .45084 L
.38016 .44894 L
.37957 .44821 L
.37858 .44701 L
.37764 .44549 L
.37739 .44508 L
.37594 .44316 L
.37571 .44305 L
.37454 .44123 L
.37379 .44029 L
.37301 .4393 L
.37186 .43754 L
.37177 .43737 L
.37036 .43545 L
.36993 .43519 L
.36897 .43352 L
.36801 .43228 L
.36749 .43159 L
.3662 .42967 L
.36608 .42951 L
.36483 .42774 L
.36415 .42717 L
.36288 .42581 L
.36222 .42414 L
.36204 .42389 L
.36074 .42196 L
.3603 .42135 L
.35939 .42003 L
.35837 .41886 L
.35774 .41811 L
.35672 .41618 L
.35644 .4158 L
.35542 .41425 L
.35452 .41295 L
.35411 .41232 L
.35284 .4104 L
.35259 .41003 L
.35165 .40847 L
.35066 .40693 L
.35045 .40654 L
F
0 .78 1 r
.35066 .42141 m
.351 .42196 L
.35259 .42381 L
.35264 .42389 L
.35259 .42495 L
.35193 .42389 L
.35066 .42229 L
.35045 .42196 L
F
1 .74 0 r
.35066 .41359 m
.35126 .41425 L
.35259 .41551 L
.35311 .41618 L
.35452 .41777 L
.35477 .41811 L
.35635 .42003 L
.35644 .42013 L
.35783 .42196 L
.35837 .42259 L
.35933 .42389 L
.3603 .42506 L
.36085 .42581 L
.36222 .42741 L
.36236 .42774 L
.3638 .42967 L
.36415 .4301 L
.36523 .43159 L
.36608 .43266 L
.3667 .43352 L
.36801 .43505 L
.36817 .43545 L
.36958 .43737 L
.36993 .43782 L
.37098 .4393 L
.37186 .44043 L
.37242 .44123 L
.37379 .44295 L
.37387 .44316 L
.37524 .44508 L
.37571 .4457 L
.37662 .44701 L
.37764 .44835 L
.37804 .44894 L
.37945 .45086 L
.37957 .45101 L
.38077 .45279 L
.38149 .45374 L
.38214 .45472 L
.38342 .45645 L
.38355 .45664 L
.38484 .45857 L
.38535 .45925 L
.38613 .4605 L
.38727 .46208 L
.38748 .46242 L
.38727 .46418 L
.38585 .46242 L
.38535 .46187 L
.38427 .4605 L
.38342 .45949 L
.3827 .45857 L
.38149 .45707 L
.38116 .45664 L
.37967 .45472 L
.37957 .45459 L
.3782 .45279 L
.37764 .45209 L
.37672 .45086 L
.37571 .44957 L
.37523 .44894 L
.37379 .44703 L
.37376 .44701 L
.37235 .44508 L
.37186 .44445 L
.37091 .44316 L
.36993 .44186 L
.36946 .44123 L
.36804 .4393 L
.36801 .43926 L
.36665 .43737 L
.36608 .43663 L
.36523 .43545 L
.36415 .4344 L
.36381 .43352 L
.36243 .43159 L
.36222 .43132 L
.36107 .42967 L
.3603 .42862 L
.35968 .42774 L
.35837 .42602 L
.3583 .42581 L
.35699 .42389 L
.35644 .42314 L
.35566 .42196 L
.35452 .42034 L
.35431 .42003 L
.35308 .41811 L
.35259 .41741 L
.35188 .41618 L
.35066 .41429 L
.35064 .41425 L
F
0 .82 1 r
.35066 .40537 m
.35191 .40654 L
.35259 .40715 L
.35373 .40847 L
.35452 .4093 L
.35542 .4104 L
.35644 .41157 L
.35705 .41232 L
.35837 .41383 L
.35864 .41425 L
.36018 .41618 L
.3603 .41631 L
.36169 .41811 L
.36222 .41876 L
.3632 .42003 L
.36415 .42109 L
.36528 .42196 L
.36608 .42371 L
.36624 .42389 L
.36767 .42581 L
.36801 .42623 L
.36913 .42774 L
.36993 .42864 L
.37109 .42967 L
.37186 .4313 L
.37211 .43159 L
.37351 .43352 L
.37379 .43356 L
.37495 .43545 L
.37571 .43632 L
.37678 .43737 L
.37764 .43901 L
.37787 .4393 L
.37927 .44123 L
.37957 .44131 L
.38069 .44316 L
.38149 .44409 L
.38243 .44508 L
.38342 .4468 L
.38357 .44701 L
.38497 .44894 L
.38535 .44909 L
.38638 .45086 L
.38727 .45193 L
.38805 .45279 L
.3892 .45466 L
.38924 .45472 L
.39063 .45664 L
.39113 .45692 L
.39204 .45857 L
.39306 .45983 L
.39363 .4605 L
.39487 .46242 L
.39498 .46257 L
.39625 .46435 L
.39691 .46482 L
.39766 .46628 L
.39884 .46779 L
.39917 .46821 L
.40046 .47013 L
.40076 .47053 L
.40183 .47206 L
.40269 .47284 L
.40383 .47399 L
.40462 .47585 L
.40467 .47591 L
.406 .47784 L
.40654 .47857 L
.40737 .47977 L
.40847 .48102 L
.40908 .48169 L
.41013 .48362 L
.4104 .48398 L
.41146 .48555 L
.41232 .48672 L
.41283 .48747 L
.41421 .4894 L
.41425 .48946 L
.41548 .49133 L
.41618 .49229 L
.41679 .49326 L
.41811 .49513 L
.41814 .49518 L
.41932 .49711 L
.42003 .49816 L
.42051 .49904 L
.42003 .50036 L
.41883 .49904 L
.41811 .49828 L
.4171 .49711 L
.41618 .49606 L
.41545 .49518 L
.41425 .49386 L
.41384 .49326 L
.41232 .49138 L
.41228 .49133 L
.41075 .4894 L
.4104 .48898 L
.40921 .48747 L
.40847 .48666 L
.40768 .48555 L
.40654 .48407 L
.40615 .48362 L
.4047 .48169 L
.40462 .48158 L
.40322 .47977 L
.40269 .47917 L
.40117 .47784 L
.40076 .47655 L
.40026 .47591 L
.39884 .47401 L
.39883 .47399 L
.39736 .47206 L
.39691 .47154 L
.39552 .47013 L
.39498 .46889 L
.39448 .46821 L
.39306 .46632 L
.39305 .46628 L
.39159 .46435 L
.39113 .46381 L
.38986 .46242 L
.3892 .46114 L
.38876 .4605 L
.3873 .45857 L
.38727 .45857 L
.38587 .45664 L
.38535 .45602 L
.38423 .45472 L
.38342 .45332 L
.38308 .45279 L
.38162 .45086 L
.38149 .45082 L
.38021 .44894 L
.37957 .44816 L
.37862 .44701 L
.37764 .44543 L
.37743 .44508 L
.37599 .44316 L
.37571 .44303 L
.37459 .44123 L
.37379 .44023 L
.37305 .4393 L
.37186 .43748 L
.3718 .43737 L
.37041 .43545 L
.36993 .43514 L
.36902 .43352 L
.36801 .43221 L
.36754 .43159 L
.36625 .42967 L
.36608 .42943 L
.36489 .42774 L
.36415 .42709 L
.36295 .42581 L
.36222 .42403 L
.36212 .42389 L
.36081 .42196 L
.3603 .42125 L
.35947 .42003 L
.35837 .4187 L
.35787 .41811 L
.35681 .41618 L
.35644 .41566 L
.35552 .41425 L
.35452 .41279 L
.35422 .41232 L
.353 .4104 L
.35259 .40979 L
.35183 .40847 L
.35066 .40655 L
.35066 .40654 L
F
0 .81 1 r
.35259 .40746 m
.3535 .40847 L
.35452 .40951 L
.35526 .4104 L
.35644 .41173 L
.35692 .41232 L
.35837 .41399 L
.35853 .41425 L
.36008 .41618 L
.3603 .41644 L
.3616 .41811 L
.36222 .41886 L
.36313 .42003 L
.36415 .42119 L
.36517 .42196 L
.36608 .4238 L
.36616 .42389 L
.36761 .42581 L
.36801 .42631 L
.36908 .42774 L
.36993 .42871 L
.37102 .42967 L
.37186 .43137 L
.37205 .43159 L
.37346 .43352 L
.37379 .43358 L
.3749 .43545 L
.37571 .43638 L
.37673 .43737 L
.37764 .43907 L
.37782 .4393 L
.37922 .44123 L
.37957 .44133 L
.38065 .44316 L
.38149 .44414 L
.38239 .44508 L
.38342 .44686 L
.38354 .44701 L
.38493 .44894 L
.38535 .44912 L
.38635 .45086 L
.38727 .45198 L
.38801 .45279 L
.3892 .45471 L
.38921 .45472 L
.39059 .45664 L
.39113 .45695 L
.392 .45857 L
.39306 .45988 L
.39359 .4605 L
.39483 .46242 L
.39498 .46262 L
.39621 .46435 L
.39691 .46487 L
.39762 .46628 L
.39884 .46785 L
.39912 .46821 L
.40042 .47013 L
.40076 .47059 L
.40179 .47206 L
.40269 .4729 L
.40376 .47399 L
.40461 .47591 L
.40462 .47592 L
.40595 .47784 L
.40654 .47864 L
.40732 .47977 L
.40847 .48112 L
.40899 .48169 L
.41007 .48362 L
.4104 .48406 L
.4114 .48555 L
.41232 .48681 L
.41277 .48747 L
.41413 .4894 L
.41425 .48957 L
.41539 .49133 L
.41618 .49243 L
.4167 .49326 L
.41802 .49518 L
.41811 .4953 L
.41916 .49711 L
.42003 .49846 L
.42031 .49904 L
.42003 .5 L
.4191 .49904 L
.41811 .49805 L
.41728 .49711 L
.41618 .49587 L
.41559 .49518 L
.41425 .49368 L
.41397 .49326 L
.4124 .49133 L
.41232 .49124 L
.41085 .4894 L
.4104 .48885 L
.4093 .48747 L
.40847 .48655 L
.40777 .48555 L
.40654 .48397 L
.40623 .48362 L
.40478 .48169 L
.40462 .48149 L
.40329 .47977 L
.40269 .47909 L
.40123 .47784 L
.40076 .47647 L
.40032 .47591 L
.39888 .47399 L
.39884 .47394 L
.39742 .47206 L
.39691 .47147 L
.39556 .47013 L
.39498 .46883 L
.39453 .46821 L
.39307 .46628 L
.39306 .46628 L
.39163 .46435 L
.39113 .46376 L
.3899 .46242 L
.3892 .46108 L
.3888 .4605 L
.38734 .45857 L
.38727 .45856 L
.38592 .45664 L
.38535 .45596 L
.38427 .45472 L
.38342 .45326 L
.38311 .45279 L
.38166 .45086 L
.38149 .45081 L
.38025 .44894 L
.37957 .4481 L
.37866 .44701 L
.37764 .44537 L
.37746 .44508 L
.37603 .44316 L
.37571 .443 L
.37463 .44123 L
.37379 .44017 L
.3731 .4393 L
.37186 .43741 L
.37184 .43737 L
.37046 .43545 L
.36993 .4351 L
.36907 .43352 L
.36801 .43213 L
.3676 .43159 L
.36631 .42967 L
.36608 .42935 L
.36495 .42774 L
.36415 .427 L
.36304 .42581 L
.36222 .42392 L
.3622 .42389 L
.36088 .42196 L
.3603 .42114 L
.35954 .42003 L
.35837 .41853 L
.35802 .41811 L
.35691 .41618 L
.35644 .41551 L
.35563 .41425 L
.35452 .41261 L
.35433 .41232 L
.35317 .4104 L
.35259 .40951 L
.35204 .40847 L
F
1 .92 0 r
.35259 .39922 m
.3541 .40076 L
.35452 .40117 L
.35587 .40269 L
.35644 .40331 L
.35755 .40462 L
.35837 .40537 L
.35919 .40654 L
.3603 .40787 L
.36102 .40847 L
.36222 .41028 L
.36233 .4104 L
.36387 .41232 L
.36415 .4126 L
.36539 .41425 L
.36608 .41512 L
.3671 .41618 L
.36801 .41766 L
.36833 .41811 L
.36987 .42003 L
.36993 .4201 L
.37134 .42196 L
.37186 .42263 L
.37294 .42389 L
.37379 .42524 L
.37416 .42581 L
.37571 .42773 L
.37572 .42774 L
.37717 .42967 L
.37764 .43029 L
.3787 .43159 L
.37957 .43293 L
.37991 .43352 L
.38149 .43545 L
.38149 .43545 L
.38337 .43737 L
.38342 .43804 L
.38441 .4393 L
.38535 .4407 L
.38562 .44123 L
.38721 .44316 L
.38727 .44322 L
.38901 .44508 L
.3892 .44584 L
.39009 .44701 L
.39113 .44851 L
.39131 .44894 L
.3929 .45086 L
.39306 .45103 L
.39465 .45279 L
.39498 .45368 L
.39574 .45472 L
.39691 .45634 L
.397 .45664 L
.39856 .45857 L
.39884 .45887 L
.40027 .4605 L
.40076 .46154 L
.40139 .46242 L
.40269 .4642 L
.40271 .46435 L
.40421 .46628 L
.40462 .46672 L
.40589 .46821 L
.40654 .46942 L
.40702 .47013 L
.40846 .47206 L
.40847 .47206 L
.40985 .47399 L
.4104 .4746 L
.41149 .47591 L
.41232 .47732 L
.41266 .47784 L
.41409 .47977 L
.41425 .47982 L
.41548 .48169 L
.41618 .4825 L
.41708 .48362 L
.41811 .48525 L
.41829 .48555 L
.4197 .48747 L
.42003 .48763 L
.42109 .4894 L
.42196 .49044 L
.42265 .49133 L
.42389 .4932 L
.42392 .49326 L
.4253 .49518 L
.42581 .49551 L
.42731 .49711 L
.42774 .49842 L
.42821 .49904 L
.42951 .50096 L
.42967 .50118 L
.43087 .50289 L
.43159 .50348 L
.43275 .50482 L
.43352 .50646 L
.43373 .50674 L
.43505 .50867 L
.43545 .50921 L
.43641 .5106 L
.43737 .51159 L
.43813 .51253 L
.4392 .51445 L
.4393 .51458 L
.44053 .51638 L
.44123 .51732 L
.4419 .51831 L
.44316 .51994 L
.44338 .52023 L
.4446 .52216 L
.44508 .52283 L
.44591 .52409 L
.44701 .52563 L
.44725 .52601 L
.44853 .52794 L
.44894 .52852 L
.44975 .52987 L
.45086 .53154 L
.45101 .53179 L
.45202 .53372 L
.45086 .5341 L
.45049 .53372 L
.44894 .53223 L
.44864 .53179 L
.44701 .52996 L
.44688 .52987 L
.44528 .52794 L
.44508 .52772 L
.44365 .52601 L
.44316 .52552 L
.44206 .52409 L
.44123 .52303 L
.44034 .52216 L
.4393 .52058 L
.43905 .52023 L
.43745 .51831 L
.43737 .51823 L
.43592 .51638 L
.43545 .51574 L
.43436 .51445 L
.43352 .51317 L
.43313 .51253 L
.43159 .51068 L
.43146 .5106 L
.42998 .50867 L
.42967 .50822 L
.42852 .50674 L
.42774 .5056 L
.42733 .50482 L
.42581 .50302 L
.4256 .50289 L
.42393 .50096 L
.42389 .50057 L
.42275 .49904 L
.42196 .49791 L
.42159 .49711 L
.42003 .4953 L
.41983 .49518 L
.41824 .49326 L
.41811 .49283 L
.41703 .49133 L
.41618 .49015 L
.41591 .4894 L
.41425 .48755 L
.41411 .48747 L
.41255 .48555 L
.41232 .48503 L
.41136 .48362 L
.4104 .48234 L
.41025 .48169 L
.40847 .47979 L
.40842 .47977 L
.40688 .47784 L
.40654 .47719 L
.4057 .47591 L
.40462 .4745 L
.40459 .47399 L
.40276 .47206 L
.40269 .47198 L
.40123 .47013 L
.40076 .46933 L
.40006 .46821 L
.39884 .46665 L
.3985 .46628 L
.3971 .46435 L
.39691 .46412 L
.39559 .46242 L
.39498 .46144 L
.39443 .4605 L
.39306 .45878 L
.39286 .45857 L
.39147 .45664 L
.39113 .45624 L
.38997 .45472 L
.3892 .45354 L
.3888 .45279 L
.38727 .4509 L
.38724 .45086 L
.3854 .44894 L
.38535 .44833 L
.38437 .44701 L
.38342 .44562 L
.38317 .44508 L
.38163 .44316 L
.38149 .44307 L
.3798 .44123 L
.37957 .4404 L
.37878 .4393 L
.37764 .43767 L
.37753 .43737 L
.37605 .43545 L
.37571 .43521 L
.37425 .43352 L
.37379 .43242 L
.37322 .43159 L
.37186 .42967 L
.37186 .42967 L
.37049 .42774 L
.36993 .42726 L
.36875 .42581 L
.36801 .42436 L
.3677 .42389 L
.36635 .42196 L
.36608 .42159 L
.36499 .42003 L
.36415 .41915 L
.36336 .41811 L
.36224 .41618 L
.36222 .41615 L
.36093 .41425 L
.3603 .41337 L
.35958 .41232 L
.35837 .4107 L
.35816 .4104 L
.35696 .40847 L
.35644 .40774 L
.35568 .40654 L
.35452 .40483 L
.35438 .40462 L
.35322 .40269 L
.35259 .40171 L
.35209 .40076 L
F
1 .73 0 r
.35259 .4158 m
.35289 .41618 L
.35452 .41796 L
.35463 .41811 L
.35619 .42003 L
.35644 .42031 L
.3577 .42196 L
.35837 .42274 L
.35922 .42389 L
.3603 .42519 L
.36075 .42581 L
.36222 .4276 L
.36228 .42774 L
.36371 .42967 L
.36415 .43021 L
.36515 .43159 L
.36608 .43276 L
.36662 .43352 L
.36801 .43521 L
.3681 .43545 L
.3695 .43737 L
.36993 .43792 L
.37091 .4393 L
.37186 .44053 L
.37235 .44123 L
.37379 .44311 L
.3738 .44316 L
.37516 .44508 L
.37571 .4458 L
.37654 .44701 L
.37764 .44846 L
.37797 .44894 L
.37936 .45086 L
.37957 .45113 L
.38068 .45279 L
.38149 .45387 L
.38205 .45472 L
.38342 .45658 L
.38346 .45664 L
.38471 .45857 L
.38535 .45943 L
.386 .4605 L
.38727 .46229 L
.38735 .46242 L
.38727 .46389 L
.38606 .46242 L
.38535 .46166 L
.38442 .4605 L
.38342 .45932 L
.38283 .45857 L
.38149 .45692 L
.38128 .45664 L
.37979 .45472 L
.37957 .45446 L
.37831 .45279 L
.37764 .45196 L
.37681 .45086 L
.37571 .44945 L
.37532 .44894 L
.37387 .44701 L
.37379 .44691 L
.37244 .44508 L
.37186 .44433 L
.37099 .44316 L
.36993 .44175 L
.36954 .44123 L
.36813 .4393 L
.36801 .43915 L
.36673 .43737 L
.36608 .43651 L
.36532 .43545 L
.36415 .4342 L
.3639 .43352 L
.36253 .43159 L
.36222 .43119 L
.36116 .42967 L
.3603 .42849 L
.35978 .42774 L
.3584 .42581 L
.35837 .42578 L
.35711 .42389 L
.35644 .42297 L
.35578 .42196 L
.35452 .42015 L
.35444 .42003 L
.35329 .41811 L
.35259 .41709 L
.35213 .41618 L
F
0 .8 1 r
.35259 .40787 m
.35319 .40847 L
.35452 .40974 L
.35508 .4104 L
.35644 .4119 L
.35679 .41232 L
.35837 .41417 L
.35842 .41425 L
.35997 .41618 L
.3603 .41656 L
.36151 .41811 L
.36222 .41897 L
.36304 .42003 L
.36415 .4213 L
.36505 .42196 L
.36608 .42389 L
.36608 .42389 L
.36754 .42581 L
.36801 .42639 L
.36902 .42774 L
.36993 .42878 L
.37095 .42967 L
.37186 .43144 L
.37199 .43159 L
.37341 .43352 L
.37379 .4336 L
.37485 .43545 L
.37571 .43644 L
.37668 .43737 L
.37764 .43913 L
.37778 .4393 L
.37918 .44123 L
.37957 .44135 L
.38061 .44316 L
.38149 .4442 L
.38234 .44508 L
.38342 .44691 L
.3835 .44701 L
.38489 .44894 L
.38535 .44914 L
.38631 .45086 L
.38727 .45203 L
.38796 .45279 L
.38917 .45472 L
.3892 .45476 L
.39055 .45664 L
.39113 .45699 L
.39197 .45857 L
.39306 .45993 L
.39354 .4605 L
.3948 .46242 L
.39498 .46267 L
.39618 .46435 L
.39691 .46492 L
.39758 .46628 L
.39884 .46792 L
.39908 .46821 L
.40038 .47013 L
.40076 .47064 L
.40175 .47206 L
.40269 .47297 L
.40369 .47399 L
.40456 .47591 L
.40462 .47599 L
.4059 .47784 L
.40654 .4787 L
.40727 .47977 L
.40847 .48123 L
.40889 .48169 L
.41001 .48362 L
.4104 .48414 L
.41134 .48555 L
.41232 .48691 L
.4127 .48747 L
.41404 .4894 L
.41425 .48969 L
.4153 .49133 L
.41618 .49257 L
.4166 .49326 L
.41788 .49518 L
.41811 .49552 L
.41896 .49711 L
.42003 .49898 L
.42005 .49904 L
.42003 .49936 L
.41952 .49904 L
.41811 .49779 L
.41749 .49711 L
.41618 .49568 L
.41575 .49518 L
.41425 .49348 L
.41411 .49326 L
.41252 .49133 L
.41232 .4911 L
.41095 .4894 L
.4104 .48873 L
.40939 .48747 L
.40847 .48644 L
.40785 .48555 L
.40654 .48387 L
.40632 .48362 L
.40485 .48169 L
.40462 .4814 L
.40336 .47977 L
.40269 .47901 L
.40129 .47784 L
.40076 .47639 L
.40038 .47591 L
.39894 .47399 L
.39884 .47386 L
.39747 .47206 L
.39691 .47141 L
.39561 .47013 L
.39498 .46876 L
.39457 .46821 L
.39312 .46628 L
.39306 .46628 L
.39168 .46435 L
.39113 .4637 L
.38994 .46242 L
.3892 .46102 L
.38884 .4605 L
.38739 .45857 L
.38727 .45855 L
.38596 .45664 L
.38535 .45591 L
.38431 .45472 L
.38342 .4532 L
.38315 .45279 L
.38171 .45086 L
.38149 .45079 L
.38029 .44894 L
.37957 .44804 L
.37871 .44701 L
.37764 .44531 L
.3775 .44508 L
.37608 .44316 L
.37571 .44297 L
.37468 .44123 L
.37379 .4401 L
.37315 .4393 L
.37188 .43737 L
.37186 .43734 L
.37051 .43545 L
.36993 .43504 L
.36912 .43352 L
.36801 .43205 L
.36766 .43159 L
.36637 .42967 L
.36608 .42927 L
.36501 .42774 L
.36415 .42691 L
.36313 .42581 L
.36227 .42389 L
.36222 .42382 L
.36096 .42196 L
.3603 .42103 L
.35962 .42003 L
.35837 .41834 L
.35818 .41811 L
.35702 .41618 L
.35644 .41536 L
.35574 .41425 L
.35452 .41242 L
.35446 .41232 L
.35336 .4104 L
.35259 .40912 L
.3523 .40847 L
F
1 .91 0 r
.35259 .40017 m
.35345 .40076 L
.35452 .40163 L
.3555 .40269 L
.35644 .40365 L
.35728 .40462 L
.35837 .40565 L
.35897 .40654 L
.3603 .40811 L
.36076 .40847 L
.36217 .4104 L
.36222 .41046 L
.36372 .41232 L
.36415 .41273 L
.36526 .41425 L
.36608 .41527 L
.36699 .41618 L
.36801 .41778 L
.36825 .41811 L
.36977 .42003 L
.36993 .42019 L
.37126 .42196 L
.37186 .42274 L
.37288 .42389 L
.37379 .42532 L
.37411 .42581 L
.37566 .42774 L
.37571 .4278 L
.37711 .42967 L
.37764 .43037 L
.37865 .43159 L
.37957 .43299 L
.37988 .43352 L
.38144 .43545 L
.38149 .4355 L
.38336 .43737 L
.38342 .4381 L
.38437 .4393 L
.38535 .44075 L
.3856 .44123 L
.38717 .44316 L
.38727 .44327 L
.38899 .44508 L
.3892 .44589 L
.39006 .44701 L
.39113 .44855 L
.3913 .44894 L
.39286 .45086 L
.39306 .45107 L
.39463 .45279 L
.39498 .45372 L
.39572 .45472 L
.39691 .45638 L
.39699 .45664 L
.39853 .45857 L
.39884 .4589 L
.40025 .4605 L
.40076 .46158 L
.40136 .46242 L
.40269 .46423 L
.40271 .46435 L
.40419 .46628 L
.40462 .46675 L
.40587 .46821 L
.40654 .46946 L
.407 .47013 L
.40843 .47206 L
.40847 .47207 L
.40982 .47399 L
.4104 .47463 L
.41147 .47591 L
.41232 .47736 L
.41263 .47784 L
.41406 .47977 L
.41425 .47983 L
.41545 .48169 L
.41618 .48254 L
.41705 .48362 L
.41811 .48529 L
.41826 .48555 L
.41967 .48747 L
.42003 .48765 L
.42106 .4894 L
.42196 .49048 L
.42262 .49133 L
.42389 .49324 L
.42389 .49326 L
.42526 .49518 L
.42581 .49555 L
.42727 .49711 L
.42774 .49847 L
.42816 .49904 L
.42946 .50096 L
.42967 .50123 L
.43083 .50289 L
.43159 .50354 L
.4327 .50482 L
.43352 .50654 L
.43367 .50674 L
.43499 .50867 L
.43545 .50928 L
.43636 .5106 L
.43737 .5117 L
.43804 .51253 L
.43913 .51445 L
.4393 .51468 L
.44046 .51638 L
.44123 .51743 L
.44182 .51831 L
.44316 .52013 L
.44323 .52023 L
.44448 .52216 L
.44508 .52299 L
.44578 .52409 L
.44701 .52583 L
.44712 .52601 L
.44833 .52794 L
.44894 .52883 L
.44952 .52987 L
.44894 .53165 L
.44726 .52987 L
.44701 .52961 L
.44554 .52794 L
.44508 .52743 L
.44387 .52601 L
.44316 .52531 L
.44225 .52409 L
.44123 .52282 L
.44051 .52216 L
.4393 .52042 L
.43916 .52023 L
.43758 .51831 L
.43737 .51809 L
.43604 .51638 L
.43545 .51558 L
.43446 .51445 L
.43352 .51305 L
.4332 .51253 L
.43159 .51062 L
.43156 .5106 L
.43007 .50867 L
.42967 .50811 L
.42859 .50674 L
.42774 .5055 L
.42738 .50482 L
.42581 .50297 L
.42568 .50289 L
.42394 .50096 L
.42389 .50049 L
.4228 .49904 L
.42196 .49784 L
.42163 .49711 L
.42003 .49526 L
.41989 .49518 L
.41826 .49326 L
.41811 .49276 L
.41708 .49133 L
.41618 .49009 L
.41593 .4894 L
.41425 .48752 L
.41416 .48747 L
.41257 .48555 L
.41232 .48497 L
.41139 .48362 L
.4104 .48229 L
.41026 .48169 L
.40847 .47977 L
.40846 .47977 L
.4069 .47784 L
.40654 .47714 L
.40573 .47591 L
.40462 .47446 L
.4046 .47399 L
.40279 .47206 L
.40269 .47194 L
.40125 .47013 L
.40076 .46928 L
.40009 .46821 L
.39884 .46661 L
.39853 .46628 L
.39714 .46435 L
.39691 .46408 L
.39562 .46242 L
.39498 .4614 L
.39445 .4605 L
.39306 .45875 L
.3929 .45857 L
.3915 .45664 L
.39113 .4562 L
.39 .45472 L
.3892 .4535 L
.38882 .45279 L
.38727 .45086 L
.38727 .45086 L
.38541 .44894 L
.38535 .44829 L
.3844 .44701 L
.38342 .44557 L
.38319 .44508 L
.38167 .44316 L
.38149 .44304 L
.37982 .44123 L
.37957 .44035 L
.37882 .4393 L
.37764 .43761 L
.37755 .43737 L
.37609 .43545 L
.37571 .43517 L
.37428 .43352 L
.37379 .43235 L
.37327 .43159 L
.37191 .42967 L
.37186 .42959 L
.37055 .42774 L
.36993 .42719 L
.36881 .42581 L
.36801 .42426 L
.36776 .42389 L
.36642 .42196 L
.36608 .42149 L
.36507 .42003 L
.36415 .41902 L
.36346 .41811 L
.36234 .41618 L
.36222 .41602 L
.36103 .41425 L
.3603 .41322 L
.3597 .41232 L
.35837 .41043 L
.35835 .4104 L
.35712 .40847 L
.35644 .40749 L
.35585 .40654 L
.3546 .40462 L
.35452 .40449 L
.35355 .40269 L
.35259 .40093 L
.35253 .40076 L
F
0 .98 1 r
.35452 .35058 m
.35459 .35066 L
.35628 .35259 L
.35644 .35277 L
.35779 .35452 L
.35837 .35526 L
.3592 .35644 L
.3603 .35809 L
.36046 .35837 L
.3603 .36011 L
.35837 .35839 L
.35836 .35837 L
.35679 .35644 L
.35644 .35602 L
.35538 .35452 L
.35452 .35333 L
.35404 .35259 L
.35288 .35066 L
F
1 .99 0 r
.35452 .36765 m
.35557 .36801 L
.35644 .36858 L
.358 .36993 L
.35837 .37033 L
.35967 .37186 L
.3603 .37265 L
.3612 .37379 L
.36222 .37515 L
.36283 .37571 L
.36415 .37763 L
.36416 .37764 L
.36558 .37957 L
.36608 .38006 L
.3676 .38149 L
.36801 .38276 L
.36853 .38342 L
.36985 .38535 L
.36993 .38546 L
.37122 .38727 L
.37186 .38814 L
.3731 .3892 L
.37379 .39065 L
.37406 .39113 L
.37533 .39306 L
.37571 .39362 L
.37658 .39498 L
.37761 .39691 L
.37571 .39767 L
.37383 .39691 L
.37379 .39687 L
.37186 .39502 L
.37185 .39498 L
.37019 .39306 L
.36993 .39267 L
.36863 .39113 L
.36801 .3901 L
.36741 .3892 L
.36608 .38748 L
.36571 .38727 L
.36417 .38535 L
.36415 .38515 L
.3629 .38342 L
.36222 .38248 L
.36178 .38149 L
.3603 .37981 L
.36007 .37957 L
.35851 .37764 L
.35837 .37734 L
.3574 .37571 L
.35644 .3745 L
.35627 .37379 L
.3548 .37186 L
.35452 .37136 L
.35334 .36993 L
.35349 .36801 L
F
0 .79 1 r
.35452 .41 m
.35487 .4104 L
.35644 .41209 L
.35664 .41232 L
.35829 .41425 L
.35837 .41434 L
.35985 .41618 L
.3603 .41669 L
.36141 .41811 L
.36222 .41908 L
.36296 .42003 L
.36415 .42141 L
.36491 .42196 L
.366 .42389 L
.36608 .42398 L
.36747 .42581 L
.36801 .42647 L
.36896 .42774 L
.36993 .42886 L
.37087 .42967 L
.37186 .43151 L
.37193 .43159 L
.37336 .43352 L
.37379 .43363 L
.37481 .43545 L
.37571 .4365 L
.37662 .43737 L
.37764 .43919 L
.37773 .4393 L
.37914 .44123 L
.37957 .44138 L
.38057 .44316 L
.38149 .44425 L
.38229 .44508 L
.38342 .44696 L
.38346 .44701 L
.38485 .44894 L
.38535 .44917 L
.38627 .45086 L
.38727 .45208 L
.38792 .45279 L
.38913 .45472 L
.3892 .45481 L
.39052 .45664 L
.39113 .45703 L
.39193 .45857 L
.39306 .45999 L
.39349 .4605 L
.39476 .46242 L
.39498 .46272 L
.39614 .46435 L
.39691 .46497 L
.39755 .46628 L
.39884 .46798 L
.39902 .46821 L
.40033 .47013 L
.40076 .4707 L
.40171 .47206 L
.40269 .47305 L
.40362 .47399 L
.40451 .47591 L
.40462 .47605 L
.40585 .47784 L
.40654 .47877 L
.40722 .47977 L
.40847 .48134 L
.40879 .48169 L
.40995 .48362 L
.4104 .48423 L
.41127 .48555 L
.41232 .487 L
.41264 .48747 L
.41395 .4894 L
.41425 .48982 L
.4152 .49133 L
.41618 .49272 L
.4165 .49326 L
.41771 .49518 L
.41811 .4958 L
.4187 .49711 L
.41811 .49748 L
.41775 .49711 L
.41618 .49547 L
.41593 .49518 L
.41425 .49326 L
.41425 .49326 L
.41265 .49133 L
.41232 .49096 L
.41106 .4894 L
.4104 .48861 L
.40949 .48747 L
.40847 .48633 L
.40794 .48555 L
.40654 .48377 L
.40641 .48362 L
.40493 .48169 L
.40462 .4813 L
.40343 .47977 L
.40269 .47893 L
.40136 .47784 L
.40076 .47631 L
.40044 .47591 L
.399 .47399 L
.39884 .47378 L
.39753 .47206 L
.39691 .47134 L
.39566 .47013 L
.39498 .46869 L
.39462 .46821 L
.39318 .46628 L
.39306 .46627 L
.39173 .46435 L
.39113 .46364 L
.38999 .46242 L
.3892 .46096 L
.38888 .4605 L
.38743 .45857 L
.38727 .45854 L
.38601 .45664 L
.38535 .45585 L
.38435 .45472 L
.38342 .45314 L
.38319 .45279 L
.38175 .45086 L
.38149 .45077 L
.38034 .44894 L
.37957 .44798 L
.37875 .44701 L
.37764 .44525 L
.37754 .44508 L
.37613 .44316 L
.37571 .44293 L
.37472 .44123 L
.37379 .44003 L
.3732 .4393 L
.37193 .43737 L
.37186 .43728 L
.37056 .43545 L
.36993 .43498 L
.36917 .43352 L
.36801 .43196 L
.36772 .43159 L
.36643 .42967 L
.36608 .42919 L
.36507 .42774 L
.36415 .4268 L
.36323 .42581 L
.36234 .42389 L
.36222 .42372 L
.36103 .42196 L
.3603 .42092 L
.3597 .42003 L
.35837 .41813 L
.35835 .41811 L
.35712 .41618 L
.35644 .41519 L
.35586 .41425 L
.35461 .41232 L
.35452 .41218 L
.35361 .4104 L
F
1 .99 0 r
.3603 .28309 m
.36222 .28288 L
.36415 .28275 L
.36608 .28267 L
.36801 .28262 L
.36993 .2826 L
.37186 .28261 L
.37379 .28263 L
.37571 .28267 L
.37764 .28274 L
.37957 .28284 L
.38149 .28297 L
.38342 .28314 L
.38415 .28322 L
.38535 .28337 L
.38727 .28368 L
.3892 .28407 L
.39113 .28455 L
.39306 .28513 L
.39311 .28515 L
.39498 .28587 L
.39691 .28674 L
.39762 .28707 L
.39884 .28774 L
.40076 .2889 L
.40093 .289 L
.40269 .29025 L
.4036 .29093 L
.40462 .29175 L
.4059 .29285 L
.40654 .29344 L
.40791 .29478 L
.40847 .29536 L
.40967 .29671 L
.4104 .29756 L
.41123 .29864 L
.41232 .30017 L
.41258 .30056 L
.41369 .30249 L
.41425 .30359 L
.41452 .30442 L
.41497 .30634 L
.41484 .30827 L
.41425 .30948 L
.41359 .3102 L
.41232 .31109 L
.4104 .31179 L
.40888 .31212 L
.40847 .3122 L
.40654 .31246 L
.40462 .3126 L
.40269 .31267 L
.40076 .31267 L
.39884 .31261 L
.39691 .31246 L
.39498 .31223 L
.39419 .31212 L
.39306 .31195 L
.39113 .31163 L
.3892 .3113 L
.38727 .31095 L
.38535 .31044 L
.38463 .3102 L
.38342 .30972 L
.38149 .30882 L
.38037 .30827 L
.37957 .30786 L
.37764 .30683 L
.37664 .30634 L
.37571 .30592 L
.37379 .30496 L
.37227 .30442 L
.37186 .30421 L
.36993 .30331 L
.36852 .30249 L
.36801 .30217 L
.36608 .30079 L
.3658 .30056 L
.36415 .29923 L
.36346 .29864 L
.36222 .29756 L
.36131 .29671 L
.3603 .29577 L
.3593 .29478 L
.35837 .29387 L
.35746 .29285 L
.35644 .29175 L
.35584 .29093 L
.35452 .28907 L
.35449 .289 L
.35377 .28707 L
.35419 .28515 L
.35452 .28481 L
.35644 .28386 L
.35837 .2834 L
.35941 .28322 L
F
0 .98 1 r
.35452 .3756 m
.35464 .37571 L
.35644 .37743 L
.35661 .37764 L
.35824 .37957 L
.35837 .37972 L
.35969 .38149 L
.3603 .38226 L
.36109 .38342 L
.36222 .38495 L
.36248 .38535 L
.36371 .38727 L
.36415 .388 L
.36464 .3892 L
.36415 .38972 L
.36356 .3892 L
.36222 .3879 L
.36167 .38727 L
.3603 .38586 L
.36006 .38535 L
.35858 .38342 L
.35837 .38315 L
.35718 .38149 L
.35644 .38044 L
.35585 .37957 L
.35469 .37764 L
.35452 .37733 L
.35394 .37571 L
F
0 .78 1 r
.35452 .41032 m
.35459 .4104 L
.35644 .41229 L
.35647 .41232 L
.35813 .41425 L
.35837 .41451 L
.35973 .41618 L
.3603 .41682 L
.36131 .41811 L
.36222 .41919 L
.36288 .42003 L
.36415 .42152 L
.36476 .42196 L
.36593 .42389 L
.36608 .42407 L
.36741 .42581 L
.36801 .42655 L
.3689 .42774 L
.36993 .42894 L
.37078 .42967 L
.37186 .43158 L
.37187 .43159 L
.37331 .43352 L
.37379 .43366 L
.37476 .43545 L
.37571 .43656 L
.37656 .43737 L
.37764 .43925 L
.37768 .4393 L
.37909 .44123 L
.37957 .44141 L
.38053 .44316 L
.38149 .44431 L
.38224 .44508 L
.38342 .44701 L
.38342 .44702 L
.38481 .44894 L
.38535 .44921 L
.38624 .45086 L
.38727 .45214 L
.38787 .45279 L
.38909 .45472 L
.3892 .45486 L
.39048 .45664 L
.39113 .45707 L
.39189 .45857 L
.39306 .46005 L
.39345 .4605 L
.39472 .46242 L
.39498 .46277 L
.3961 .46435 L
.39691 .46503 L
.39751 .46628 L
.39884 .46804 L
.39897 .46821 L
.40029 .47013 L
.40076 .47076 L
.40167 .47206 L
.40269 .47313 L
.40354 .47399 L
.40446 .47591 L
.40462 .47612 L
.4058 .47784 L
.40654 .47884 L
.40717 .47977 L
.40847 .48146 L
.40868 .48169 L
.40988 .48362 L
.4104 .48432 L
.4112 .48555 L
.41232 .4871 L
.41257 .48747 L
.41386 .4894 L
.41425 .48995 L
.4151 .49133 L
.41618 .4929 L
.41639 .49326 L
.41749 .49518 L
.41618 .49524 L
.41613 .49518 L
.41442 .49326 L
.41425 .49308 L
.41278 .49133 L
.41232 .49081 L
.41117 .4894 L
.4104 .48848 L
.40959 .48747 L
.40847 .4862 L
.40803 .48555 L
.40654 .48366 L
.40651 .48362 L
.40501 .48169 L
.40462 .48121 L
.4035 .47977 L
.40269 .47884 L
.40143 .47784 L
.40076 .47623 L
.4005 .47591 L
.39906 .47399 L
.39884 .4737 L
.39759 .47206 L
.39691 .47127 L
.39571 .47013 L
.39498 .46862 L
.39467 .46821 L
.39323 .46628 L
.39306 .46627 L
.39178 .46435 L
.39113 .46358 L
.39003 .46242 L
.3892 .4609 L
.38892 .4605 L
.38748 .45857 L
.38727 .45852 L
.38605 .45664 L
.38535 .45579 L
.3844 .45472 L
.38342 .45308 L
.38323 .45279 L
.3818 .45086 L
.38149 .45075 L
.38038 .44894 L
.37957 .44792 L
.3788 .44701 L
.37764 .44519 L
.37757 .44508 L
.37617 .44316 L
.37571 .4429 L
.37477 .44123 L
.37379 .43997 L
.37326 .4393 L
.37198 .43737 L
.37186 .43721 L
.37061 .43545 L
.36993 .43492 L
.36922 .43352 L
.36801 .43188 L
.36779 .43159 L
.36649 .42967 L
.36608 .42911 L
.36513 .42774 L
.36415 .42669 L
.36334 .42581 L
.36242 .42389 L
.36222 .42362 L
.36111 .42196 L
.3603 .42081 L
.35978 .42003 L
.35846 .41811 L
.35837 .41798 L
.35724 .41618 L
.35644 .41501 L
.35599 .41425 L
.35482 .41232 L
.35452 .41183 L
.35399 .4104 L
F
1 .9 0 r
.35452 .40223 m
.35501 .40269 L
.35644 .40403 L
.35697 .40462 L
.35837 .40599 L
.35873 .40654 L
.3603 .40835 L
.36045 .40847 L
.36199 .4104 L
.36222 .41067 L
.36357 .41232 L
.36415 .41288 L
.36513 .41425 L
.36608 .41542 L
.36687 .41618 L
.36801 .4179 L
.36816 .41811 L
.36968 .42003 L
.36993 .42028 L
.37117 .42196 L
.37186 .42284 L
.3728 .42389 L
.37379 .42541 L
.37406 .42581 L
.37559 .42774 L
.37571 .42787 L
.37705 .42967 L
.37764 .43044 L
.3786 .43159 L
.37957 .43306 L
.37984 .43352 L
.38139 .43545 L
.38149 .43555 L
.38335 .43737 L
.38342 .43815 L
.38433 .4393 L
.38535 .4408 L
.38557 .44123 L
.38713 .44316 L
.38727 .44331 L
.38898 .44508 L
.3892 .44593 L
.39003 .44701 L
.39113 .44859 L
.39128 .44894 L
.39283 .45086 L
.39306 .4511 L
.39461 .45279 L
.39498 .45376 L
.39569 .45472 L
.39691 .45641 L
.39698 .45664 L
.39851 .45857 L
.39884 .45893 L
.40023 .4605 L
.40076 .46161 L
.40134 .46242 L
.40269 .46426 L
.4027 .46435 L
.40416 .46628 L
.40462 .46678 L
.40584 .46821 L
.40654 .46949 L
.40698 .47013 L
.40841 .47206 L
.40847 .47207 L
.4098 .47399 L
.4104 .47466 L
.41144 .47591 L
.41232 .4774 L
.41261 .47784 L
.41403 .47977 L
.41425 .47985 L
.41542 .48169 L
.41618 .48257 L
.41702 .48362 L
.41811 .48533 L
.41824 .48555 L
.41964 .48747 L
.42003 .48767 L
.42103 .4894 L
.42196 .49052 L
.42259 .49133 L
.42386 .49326 L
.42389 .49329 L
.42523 .49518 L
.42581 .49558 L
.42723 .49711 L
.42774 .49853 L
.42812 .49904 L
.42942 .50096 L
.42967 .50129 L
.43079 .50289 L
.43159 .50361 L
.43264 .50482 L
.43352 .50661 L
.43362 .50674 L
.43494 .50867 L
.43545 .50936 L
.4363 .5106 L
.43737 .51181 L
.43795 .51253 L
.43906 .51445 L
.4393 .51478 L
.44038 .51638 L
.44123 .51755 L
.44173 .51831 L
.4431 .52023 L
.44316 .52031 L
.44436 .52216 L
.44508 .52318 L
.44566 .52409 L
.44697 .52601 L
.44701 .52606 L
.4481 .52794 L
.44894 .52925 L
.44924 .52987 L
.44894 .5311 L
.44766 .52987 L
.44701 .52924 L
.44582 .52794 L
.44508 .52714 L
.4441 .52601 L
.44316 .52507 L
.44244 .52409 L
.44123 .52261 L
.44071 .52216 L
.4393 .52026 L
.43928 .52023 L
.43771 .51831 L
.43737 .51795 L
.43616 .51638 L
.43545 .51544 L
.43456 .51445 L
.43352 .51293 L
.43327 .51253 L
.43165 .5106 L
.43159 .51053 L
.43015 .50867 L
.42967 .508 L
.42866 .50674 L
.42774 .50541 L
.42743 .50482 L
.42581 .50293 L
.42575 .50289 L
.42394 .50096 L
.42389 .5004 L
.42286 .49904 L
.42196 .49776 L
.42167 .49711 L
.42003 .49523 L
.41994 .49518 L
.41828 .49326 L
.41811 .4927 L
.41712 .49133 L
.41618 .49003 L
.41596 .4894 L
.41425 .4875 L
.4142 .48747 L
.41259 .48555 L
.41232 .48492 L
.41143 .48362 L
.4104 .48224 L
.41028 .48169 L
.4085 .47977 L
.40847 .47973 L
.40693 .47784 L
.40654 .4771 L
.40576 .47591 L
.40462 .47442 L
.4046 .47399 L
.40282 .47206 L
.40269 .4719 L
.40128 .47013 L
.40076 .46924 L
.40012 .46821 L
.39884 .46658 L
.39857 .46628 L
.39717 .46435 L
.39691 .46404 L
.39564 .46242 L
.39498 .46136 L
.39448 .4605 L
.39306 .45871 L
.39293 .45857 L
.39153 .45664 L
.39113 .45616 L
.39003 .45472 L
.3892 .45346 L
.38885 .45279 L
.38731 .45086 L
.38727 .45084 L
.38541 .44894 L
.38535 .44825 L
.38443 .44701 L
.38342 .44553 L
.38321 .44508 L
.38171 .44316 L
.38149 .44302 L
.37984 .44123 L
.37957 .4403 L
.37885 .4393 L
.37764 .43756 L
.37757 .43737 L
.37613 .43545 L
.37571 .43513 L
.37432 .43352 L
.37379 .43229 L
.37331 .43159 L
.37197 .42967 L
.37186 .42952 L
.3706 .42774 L
.36993 .42712 L
.36888 .42581 L
.36801 .42416 L
.36782 .42389 L
.36649 .42196 L
.36608 .42139 L
.36514 .42003 L
.36415 .41888 L
.36357 .41811 L
.36244 .41618 L
.36222 .41588 L
.36114 .41425 L
.3603 .41306 L
.35981 .41232 L
.35851 .4104 L
.35837 .4102 L
.35729 .40847 L
.35644 .4072 L
.35605 .40654 L
.35491 .40462 L
.35452 .40395 L
.35401 .40269 L
F
0 .97 1 r
.35452 .39393 m
.35565 .39498 L
.35644 .39571 L
.35756 .39691 L
.35837 .39738 L
.35932 .39884 L
.3603 .39992 L
.36101 .40076 L
.36222 .40226 L
.36265 .40269 L
.36415 .40457 L
.36418 .40462 L
.36579 .40654 L
.36608 .40691 L
.36776 .40847 L
.36801 .4094 L
.3688 .4104 L
.36993 .41195 L
.37007 .41232 L
.37186 .41425 L
.37186 .41425 L
.37354 .41618 L
.37379 .41682 L
.37473 .41811 L
.37571 .41948 L
.37587 .42003 L
.37764 .42182 L
.37775 .42196 L
.37931 .42389 L
.37957 .42444 L
.38052 .42581 L
.38149 .42716 L
.38159 .42774 L
.38342 .42953 L
.38353 .42967 L
.38503 .43159 L
.38535 .43218 L
.38623 .43352 L
.38727 .43492 L
.38784 .43545 L
.3892 .43732 L
.38924 .43737 L
.39072 .4393 L
.39113 .44 L
.3919 .44123 L
.39306 .44273 L
.39353 .44316 L
.39493 .44508 L
.39498 .44516 L
.39639 .44701 L
.39691 .44784 L
.39755 .44894 L
.39884 .45056 L
.3992 .45086 L
.4006 .45279 L
.40076 .45302 L
.40204 .45472 L
.40269 .45571 L
.40318 .45664 L
.40462 .45838 L
.40485 .45857 L
.40647 .4605 L
.40654 .46089 L
.40768 .46242 L
.40847 .46359 L
.40882 .46435 L
.4104 .4662 L
.4105 .46628 L
.41214 .46821 L
.41232 .46877 L
.41331 .47013 L
.41425 .47146 L
.41446 .47206 L
.41614 .47399 L
.41618 .47403 L
.41778 .47591 L
.41811 .47666 L
.41893 .47784 L
.42003 .47934 L
.42012 .47977 L
.42178 .48169 L
.42196 .48189 L
.42341 .48362 L
.42389 .48455 L
.42456 .48555 L
.42581 .48722 L
.42602 .48747 L
.42741 .4894 L
.42774 .48975 L
.42903 .49133 L
.42967 .49245 L
.43019 .49326 L
.43159 .49511 L
.43165 .49518 L
.43304 .49711 L
.43352 .49763 L
.43464 .49904 L
.43545 .50035 L
.43582 .50096 L
.43728 .50289 L
.43737 .50291 L
.43867 .50482 L
.4393 .50553 L
.44024 .50674 L
.44123 .50827 L
.44145 .50867 L
.4429 .5106 L
.44316 .5107 L
.4449 .51253 L
.44508 .51344 L
.44584 .51445 L
.44701 .5162 L
.4471 .51638 L
.44852 .51831 L
.44894 .51853 L
.45045 .52023 L
.45086 .52138 L
.45143 .52216 L
.45275 .52409 L
.45279 .52414 L
.45412 .52601 L
.45472 .52644 L
.45597 .52794 L
.45664 .52936 L
.457 .52987 L
.45833 .53179 L
.45857 .53211 L
.45971 .53372 L
.4605 .53442 L
.46146 .53565 L
.46242 .53739 L
.46255 .53758 L
.46389 .5395 L
.46435 .54012 L
.46527 .54143 L
.46628 .54252 L
.4669 .54336 L
.46806 .54528 L
.46821 .54548 L
.4694 .54721 L
.47013 .54821 L
.47077 .54914 L
.47206 .55083 L
.47223 .55106 L
.47348 .55299 L
.47399 .55369 L
.47479 .55492 L
.47591 .55649 L
.47615 .55684 L
.47742 .55877 L
.47784 .55937 L
.47865 .5607 L
.47977 .56238 L
.47991 .56263 L
.48094 .56455 L
.47977 .56523 L
.47907 .56455 L
.47784 .56354 L
.4772 .56263 L
.47591 .5612 L
.47504 .5607 L
.47399 .55896 L
.4738 .55877 L
.47216 .55684 L
.47206 .55675 L
.47055 .55492 L
.47013 .55437 L
.46873 .55299 L
.46821 .5519 L
.46757 .55106 L
.46628 .5494 L
.46589 .54914 L
.4644 .54721 L
.46435 .54714 L
.46282 .54528 L
.46242 .54457 L
.46161 .54336 L
.4605 .5419 L
.4599 .54143 L
.45857 .53964 L
.45846 .5395 L
.45699 .53758 L
.45664 .53701 L
.45579 .53565 L
.45472 .53426 L
.45407 .53372 L
.45279 .53197 L
.45265 .53179 L
.45123 .52987 L
.45086 .52931 L
.45006 .52794 L
.44894 .52651 L
.44832 .52601 L
.44701 .52421 L
.44691 .52409 L
.44552 .52216 L
.44508 .52151 L
.4444 .52023 L
.44316 .51871 L
.44261 .51831 L
.44123 .51639 L
.44122 .51638 L
.43985 .51445 L
.4393 .51367 L
.43877 .51253 L
.43737 .51088 L
.43694 .5106 L
.4355 .50867 L
.43545 .50853 L
.4342 .50674 L
.43352 .5058 L
.43316 .50482 L
.43159 .50306 L
.43128 .50289 L
.42981 .50096 L
.42967 .50065 L
.42857 .49904 L
.42774 .49793 L
.42756 .49711 L
.42581 .49526 L
.42563 .49518 L
.42415 .49326 L
.42389 .49277 L
.42295 .49133 L
.42196 .49005 L
.42138 .4894 L
.42003 .48749 L
.41999 .48747 L
.4185 .48555 L
.41811 .48488 L
.41733 .48362 L
.41618 .48218 L
.41574 .48169 L
.41435 .47977 L
.41425 .47965 L
.41286 .47784 L
.41232 .47699 L
.41171 .47591 L
.4104 .47431 L
.41011 .47399 L
.40871 .47206 L
.40847 .47177 L
.40724 .47013 L
.40654 .46909 L
.40608 .46821 L
.40462 .46644 L
.40447 .46628 L
.40276 .46435 L
.40269 .46388 L
.40162 .46242 L
.40076 .46119 L
.40045 .4605 L
.39884 .45857 L
.39884 .45857 L
.39711 .45664 L
.39691 .45599 L
.396 .45472 L
.39498 .45329 L
.3948 .45279 L
.39322 .45086 L
.39306 .45074 L
.3915 .44894 L
.39113 .44808 L
.39039 .44701 L
.3892 .44537 L
.38913 .44508 L
.3876 .44316 L
.38727 .4429 L
.3859 .44123 L
.38535 .44015 L
.38479 .4393 L
.38342 .43743 L
.38342 .43737 L
.382 .43545 L
.38149 .43501 L
.38033 .43352 L
.37957 .4322 L
.37919 .43159 L
.37779 .42967 L
.37764 .42947 L
.37641 .42774 L
.37571 .42706 L
.37478 .42581 L
.37379 .42419 L
.37361 .42389 L
.37223 .42196 L
.37186 .42146 L
.37085 .42003 L
.36993 .41901 L
.36929 .41811 L
.36806 .41618 L
.36801 .4161 L
.36672 .41425 L
.36608 .41337 L
.36535 .41232 L
.36415 .41077 L
.3639 .4104 L
.36264 .40847 L
.36222 .4079 L
.36132 .40654 L
.3603 .4051 L
.35963 .40462 L
.35867 .40269 L
.35837 .40226 L
.35743 .40076 L
.35644 .39929 L
.35617 .39884 L
.35502 .39691 L
.35452 .39608 L
.35402 .39498 L
F
0 .79 1 r
.35452 .42602 m
.35567 .42774 L
.35644 .42868 L
.35708 .42967 L
.35837 .43131 L
.35855 .43159 L
.35837 .43308 L
.3573 .43159 L
.35644 .43056 L
.3558 .42967 L
.35452 .42802 L
.35431 .42774 L
F
1 .99 0 r
.35452 .34331 m
.35644 .34466 L
.35666 .34488 L
.35837 .34663 L
.35868 .34681 L
.36025 .34874 L
.3603 .34879 L
.36185 .35066 L
.36222 .35097 L
.36339 .35259 L
.36415 .35352 L
.36507 .35452 L
.36608 .35615 L
.36626 .35644 L
.36766 .35837 L
.36801 .35889 L
.36893 .3603 L
.36992 .36222 L
.36801 .36321 L
.36673 .36222 L
.36608 .36161 L
.36495 .3603 L
.36415 .35967 L
.3634 .35837 L
.36222 .35696 L
.36174 .35644 L
.36052 .35452 L
.3603 .35422 L
.35918 .35259 L
.35837 .35145 L
.35784 .35066 L
.35654 .34874 L
.35644 .34859 L
.35541 .34681 L
.35452 .34525 L
.35435 .34488 L
F
1 .9 0 r
.35452 .43441 m
.35499 .43545 L
.35452 .43563 L
.35436 .43545 L
F
1 .89 0 r
.35644 .40448 m
.35658 .40462 L
.35837 .40641 L
.35846 .40654 L
.36017 .40847 L
.3603 .40861 L
.3618 .4104 L
.36222 .41087 L
.36341 .41232 L
.36415 .41304 L
.365 .41425 L
.36608 .41557 L
.36673 .41618 L
.36801 .41802 L
.36807 .41811 L
.36958 .42003 L
.36993 .42038 L
.37109 .42196 L
.37186 .42294 L
.37273 .42389 L
.37379 .4255 L
.374 .42581 L
.37552 .42774 L
.37571 .42793 L
.37699 .42967 L
.37764 .43052 L
.37855 .43159 L
.37957 .43312 L
.37981 .43352 L
.38134 .43545 L
.38149 .43561 L
.38334 .43737 L
.38342 .43821 L
.3843 .4393 L
.38535 .44084 L
.38555 .44123 L
.38709 .44316 L
.38727 .44335 L
.38896 .44508 L
.3892 .44598 L
.38999 .44701 L
.39113 .44863 L
.39126 .44894 L
.3928 .45086 L
.39306 .45114 L
.39459 .45279 L
.39498 .4538 L
.39566 .45472 L
.39691 .45645 L
.39697 .45664 L
.39848 .45857 L
.39884 .45896 L
.40021 .4605 L
.40076 .46165 L
.40132 .46242 L
.40269 .4643 L
.4027 .46435 L
.40413 .46628 L
.40462 .46681 L
.40582 .46821 L
.40654 .46953 L
.40696 .47013 L
.40838 .47206 L
.40847 .47208 L
.40977 .47399 L
.4104 .4747 L
.41142 .47591 L
.41232 .47743 L
.41259 .47784 L
.414 .47977 L
.41425 .47986 L
.4154 .48169 L
.41618 .48261 L
.417 .48362 L
.41811 .48537 L
.41822 .48555 L
.41961 .48747 L
.42003 .4877 L
.421 .4894 L
.42196 .49057 L
.42255 .49133 L
.42383 .49326 L
.42389 .49333 L
.42519 .49518 L
.42581 .49562 L
.42719 .49711 L
.42774 .49858 L
.42808 .49904 L
.42938 .50096 L
.42967 .50135 L
.43075 .50289 L
.43159 .50368 L
.43258 .50482 L
.43352 .5067 L
.43356 .50674 L
.43488 .50867 L
.43545 .50943 L
.43625 .5106 L
.43737 .51193 L
.43785 .51253 L
.43898 .51445 L
.4393 .51489 L
.4403 .51638 L
.44123 .51767 L
.44165 .51831 L
.44299 .52023 L
.44316 .52046 L
.44423 .52216 L
.44508 .52338 L
.44552 .52409 L
.44676 .52601 L
.44701 .52638 L
.44782 .52794 L
.44701 .52882 L
.44616 .52794 L
.44508 .52683 L
.44435 .52601 L
.44316 .52481 L
.44265 .52409 L
.44123 .5224 L
.44093 .52216 L
.43943 .52023 L
.4393 .52008 L
.43785 .51831 L
.43737 .51781 L
.43629 .51638 L
.43545 .51529 L
.43466 .51445 L
.43352 .51281 L
.43334 .51253 L
.43175 .5106 L
.43159 .51043 L
.43024 .50867 L
.42967 .50789 L
.42873 .50674 L
.42774 .50532 L
.42747 .50482 L
.42582 .50289 L
.42581 .50288 L
.42395 .50096 L
.42389 .50032 L
.42291 .49904 L
.42196 .49769 L
.4217 .49711 L
.42003 .4952 L
.42 .49518 L
.4183 .49326 L
.41811 .49263 L
.41716 .49133 L
.41618 .48998 L
.41598 .4894 L
.41425 .48748 L
.41425 .48747 L
.41262 .48555 L
.41232 .48487 L
.41146 .48362 L
.4104 .4822 L
.41029 .48169 L
.40854 .47977 L
.40847 .47969 L
.40695 .47784 L
.40654 .47705 L
.40579 .47591 L
.40462 .47438 L
.40461 .47399 L
.40286 .47206 L
.40269 .47186 L
.4013 .47013 L
.40076 .4692 L
.40014 .46821 L
.39884 .46654 L
.3986 .46628 L
.3972 .46435 L
.39691 .464 L
.39567 .46242 L
.39498 .46132 L
.3945 .4605 L
.39306 .45868 L
.39296 .45857 L
.39156 .45664 L
.39113 .45612 L
.39005 .45472 L
.3892 .45342 L
.38887 .45279 L
.38734 .45086 L
.38727 .45083 L
.38542 .44894 L
.38535 .44821 L
.38446 .44701 L
.38342 .44548 L
.38323 .44508 L
.38174 .44316 L
.38149 .44299 L
.37986 .44123 L
.37957 .44025 L
.37889 .4393 L
.37764 .4375 L
.37759 .43737 L
.37618 .43545 L
.37571 .43508 L
.37436 .43352 L
.37379 .43222 L
.37336 .43159 L
.37202 .42967 L
.37186 .42945 L
.37066 .42774 L
.36993 .42704 L
.36894 .42581 L
.36801 .42406 L
.36789 .42389 L
.36657 .42196 L
.36608 .42128 L
.36522 .42003 L
.36415 .41872 L
.36369 .41811 L
.36254 .41618 L
.36222 .41573 L
.36125 .41425 L
.3603 .41288 L
.35993 .41232 L
.35867 .4104 L
.35837 .40996 L
.35748 .40847 L
.35644 .40686 L
.35627 .40654 L
.35536 .40462 L
F
1 .72 0 r
.35644 .42051 m
.35755 .42196 L
.35837 .42289 L
.35911 .42389 L
.3603 .42532 L
.36066 .42581 L
.36218 .42774 L
.36222 .42779 L
.36361 .42967 L
.36415 .43033 L
.36506 .43159 L
.36608 .43287 L
.36654 .43352 L
.36801 .43539 L
.36803 .43545 L
.36941 .43737 L
.36993 .43803 L
.37083 .4393 L
.37186 .44063 L
.37228 .44123 L
.37372 .44316 L
.37379 .44324 L
.37507 .44508 L
.37571 .44591 L
.37646 .44701 L
.37764 .44856 L
.37789 .44894 L
.37926 .45086 L
.37957 .45126 L
.38058 .45279 L
.38149 .454 L
.38196 .45472 L
.38335 .45664 L
.38342 .45673 L
.38457 .45857 L
.38535 .45963 L
.38585 .4605 L
.38535 .46143 L
.3846 .4605 L
.38342 .45914 L
.38297 .45857 L
.38149 .45676 L
.3814 .45664 L
.37991 .45472 L
.37957 .45431 L
.37842 .45279 L
.37764 .45183 L
.37691 .45086 L
.37571 .44932 L
.37542 .44894 L
.37397 .44701 L
.37379 .44678 L
.37254 .44508 L
.37186 .44421 L
.37108 .44316 L
.36993 .44164 L
.36963 .44123 L
.36822 .4393 L
.36801 .43902 L
.36682 .43737 L
.36608 .43639 L
.3654 .43545 L
.36415 .43398 L
.36399 .43352 L
.36263 .43159 L
.36222 .43106 L
.36126 .42967 L
.3603 .42835 L
.35988 .42774 L
.35852 .42581 L
.35837 .42561 L
.35724 .42389 L
.35644 .42278 L
.35592 .42196 L
F
1 .71 0 r
.35644 .42074 m
.35737 .42196 L
.35837 .42307 L
.35898 .42389 L
.3603 .42546 L
.36055 .42581 L
.36206 .42774 L
.36222 .42793 L
.3635 .42967 L
.36415 .43046 L
.36497 .43159 L
.36608 .43298 L
.36646 .43352 L
.36794 .43545 L
.36801 .43553 L
.36932 .43737 L
.36993 .43814 L
.37074 .4393 L
.37186 .44074 L
.3722 .44123 L
.37363 .44316 L
.37379 .44335 L
.37498 .44508 L
.37571 .44603 L
.37638 .44701 L
.37764 .44868 L
.37781 .44894 L
.37916 .45086 L
.37957 .4514 L
.38048 .45279 L
.38149 .45415 L
.38186 .45472 L
.38149 .45659 L
.38005 .45472 L
.37957 .45415 L
.37853 .45279 L
.37764 .45169 L
.37702 .45086 L
.37571 .44919 L
.37552 .44894 L
.37408 .44701 L
.37379 .44665 L
.37263 .44508 L
.37186 .44409 L
.37117 .44316 L
.36993 .44151 L
.36972 .44123 L
.36832 .4393 L
.36801 .4389 L
.36692 .43737 L
.36608 .43626 L
.3655 .43545 L
.36415 .43373 L
.36408 .43352 L
.36274 .43159 L
.36222 .43091 L
.36137 .42967 L
.3603 .4282 L
.35998 .42774 L
.35866 .42581 L
.35837 .42542 L
.35739 .42389 L
.35644 .42256 L
.35607 .42196 L
F
0 .78 1 r
.35644 .42907 m
.35679 .42967 L
.35644 .43016 L
.3561 .42967 L
F
0 .77 1 r
.35644 .41253 m
.35795 .41425 L
.35837 .41468 L
.3596 .41618 L
.3603 .41696 L
.36121 .41811 L
.36222 .41931 L
.36279 .42003 L
.36415 .42165 L
.3646 .42196 L
.36585 .42389 L
.36608 .42416 L
.36734 .42581 L
.36801 .42664 L
.36884 .42774 L
.36993 .42902 L
.37069 .42967 L
.37181 .43159 L
.37186 .43165 L
.37325 .43352 L
.37379 .43369 L
.37471 .43545 L
.37571 .43663 L
.3765 .43737 L
.37764 .4393 L
.37764 .43931 L
.37905 .44123 L
.37957 .44144 L
.38049 .44316 L
.38149 .44436 L
.38219 .44508 L
.38337 .44701 L
.38342 .44707 L
.38477 .44894 L
.38535 .44924 L
.3862 .45086 L
.38727 .45219 L
.38782 .45279 L
.38905 .45472 L
.3892 .45491 L
.39044 .45664 L
.39113 .45711 L
.39186 .45857 L
.39306 .4601 L
.3934 .4605 L
.39468 .46242 L
.39498 .46283 L
.39606 .46435 L
.39691 .46509 L
.39747 .46628 L
.39884 .46811 L
.39892 .46821 L
.40025 .47013 L
.40076 .47082 L
.40163 .47206 L
.40269 .47321 L
.40345 .47399 L
.40441 .47591 L
.40462 .47619 L
.40575 .47784 L
.40654 .47892 L
.40712 .47977 L
.40847 .48158 L
.40857 .48169 L
.40981 .48362 L
.4104 .48442 L
.41113 .48555 L
.41232 .48721 L
.4125 .48747 L
.41375 .4894 L
.41425 .4901 L
.41498 .49133 L
.41618 .4931 L
.41626 .49326 L
.41618 .49496 L
.41462 .49326 L
.41425 .49289 L
.41293 .49133 L
.41232 .49066 L
.41129 .4894 L
.4104 .48835 L
.40969 .48747 L
.40847 .48607 L
.40812 .48555 L
.4066 .48362 L
.40654 .48356 L
.40508 .48169 L
.40462 .48111 L
.40357 .47977 L
.40269 .47876 L
.40152 .47784 L
.40076 .47614 L
.40057 .47591 L
.39912 .47399 L
.39884 .47363 L
.39764 .47206 L
.39691 .4712 L
.39577 .47013 L
.39498 .46855 L
.39472 .46821 L
.39328 .46628 L
.39306 .46626 L
.39183 .46435 L
.39113 .46352 L
.39008 .46242 L
.3892 .46083 L
.38896 .4605 L
.38753 .45857 L
.38727 .45851 L
.3861 .45664 L
.38535 .45573 L
.38444 .45472 L
.38342 .45302 L
.38327 .45279 L
.38184 .45086 L
.38149 .45072 L
.38043 .44894 L
.37957 .44786 L
.37885 .44701 L
.37764 .44513 L
.37761 .44508 L
.37622 .44316 L
.37571 .44286 L
.37482 .44123 L
.37379 .43989 L
.37331 .4393 L
.37204 .43737 L
.37186 .43714 L
.37066 .43545 L
.36993 .43485 L
.36927 .43352 L
.36801 .43179 L
.36786 .43159 L
.36655 .42967 L
.36608 .42902 L
.36519 .42774 L
.36415 .42656 L
.36346 .42581 L
.3625 .42389 L
.36222 .42351 L
.36119 .42196 L
.3603 .42069 L
.35986 .42003 L
.35857 .41811 L
.35837 .41782 L
.35736 .41618 L
.35644 .4148 L
.35612 .41425 L
F
1 .7 0 r
.35644 .42104 m
.35714 .42196 L
.35837 .42326 L
.35883 .42389 L
.3603 .42562 L
.36044 .42581 L
.36193 .42774 L
.36222 .42808 L
.36338 .42967 L
.36415 .43059 L
.36487 .43159 L
.36608 .4331 L
.36637 .43352 L
.36784 .43545 L
.36801 .43565 L
.36923 .43737 L
.36993 .43826 L
.37066 .4393 L
.37186 .44085 L
.37212 .44123 L
.37353 .44316 L
.37379 .44348 L
.37488 .44508 L
.37571 .44615 L
.37629 .44701 L
.37764 .4488 L
.37773 .44894 L
.37904 .45086 L
.37957 .45155 L
.38036 .45279 L
.38149 .45431 L
.38175 .45472 L
.38149 .45638 L
.38021 .45472 L
.37957 .45398 L
.37866 .45279 L
.37764 .45154 L
.37713 .45086 L
.37571 .44905 L
.37562 .44894 L
.37419 .44701 L
.37379 .44651 L
.37274 .44508 L
.37186 .44396 L
.37127 .44316 L
.36993 .44139 L
.36981 .44123 L
.36843 .4393 L
.36801 .43876 L
.36702 .43737 L
.36608 .43613 L
.36559 .43545 L
.36418 .43352 L
.36415 .43348 L
.36286 .43159 L
.36222 .43076 L
.36148 .42967 L
.3603 .42804 L
.3601 .42774 L
.35882 .42581 L
.35837 .42521 L
.35756 .42389 L
.35644 .42229 L
.35625 .42196 L
F
0 .76 1 r
.35644 .41284 m
.35774 .41425 L
.35837 .41487 L
.35945 .41618 L
.3603 .41711 L
.3611 .41811 L
.36222 .41943 L
.3627 .42003 L
.36415 .42177 L
.36442 .42196 L
.36577 .42389 L
.36608 .42425 L
.36727 .42581 L
.36801 .42672 L
.36878 .42774 L
.36993 .42911 L
.3706 .42967 L
.37175 .43159 L
.37186 .43172 L
.3732 .43352 L
.37379 .43373 L
.37466 .43545 L
.37571 .4367 L
.37643 .43737 L
.37759 .4393 L
.37764 .43937 L
.37901 .44123 L
.37957 .44148 L
.38045 .44316 L
.38149 .44442 L
.38214 .44508 L
.38333 .44701 L
.38342 .44712 L
.38473 .44894 L
.38535 .44928 L
.38616 .45086 L
.38727 .45225 L
.38777 .45279 L
.38901 .45472 L
.3892 .45496 L
.3904 .45664 L
.39113 .45716 L
.39182 .45857 L
.39306 .46016 L
.39335 .4605 L
.39464 .46242 L
.39498 .46288 L
.39602 .46435 L
.39691 .46515 L
.39743 .46628 L
.39884 .46818 L
.39886 .46821 L
.4002 .47013 L
.40076 .47088 L
.40158 .47206 L
.40269 .4733 L
.40337 .47399 L
.40436 .47591 L
.40462 .47626 L
.40569 .47784 L
.40654 .47899 L
.40707 .47977 L
.40846 .48169 L
.40847 .48171 L
.40974 .48362 L
.4104 .48452 L
.41106 .48555 L
.41232 .48732 L
.41242 .48747 L
.41364 .4894 L
.41425 .49028 L
.41486 .49133 L
.41425 .49268 L
.41308 .49133 L
.41232 .4905 L
.41141 .4894 L
.4104 .48821 L
.40979 .48747 L
.40847 .48593 L
.40822 .48555 L
.40669 .48362 L
.40654 .48345 L
.40516 .48169 L
.40462 .48102 L
.40364 .47977 L
.40269 .47866 L
.40161 .47784 L
.40076 .47606 L
.40064 .47591 L
.39918 .47399 L
.39884 .47355 L
.3977 .47206 L
.39691 .47113 L
.39583 .47013 L
.39498 .46848 L
.39477 .46821 L
.39333 .46628 L
.39306 .46625 L
.39188 .46435 L
.39113 .46345 L
.39013 .46242 L
.3892 .46077 L
.38901 .4605 L
.38758 .45857 L
.38727 .45849 L
.38614 .45664 L
.38535 .45567 L
.38449 .45472 L
.38342 .45296 L
.38331 .45279 L
.38189 .45086 L
.38149 .45069 L
.38047 .44894 L
.37957 .4478 L
.3789 .44701 L
.37765 .44508 L
.37764 .44506 L
.37627 .44316 L
.37571 .44281 L
.37486 .44123 L
.37379 .43982 L
.37337 .4393 L
.37209 .43737 L
.37186 .43707 L
.37071 .43545 L
.36993 .43477 L
.36933 .43352 L
.36801 .4317 L
.36793 .43159 L
.36661 .42967 L
.36608 .42894 L
.36525 .42774 L
.36415 .42642 L
.36359 .42581 L
.36258 .42389 L
.36222 .4234 L
.36127 .42196 L
.3603 .42056 L
.35995 .42003 L
.35869 .41811 L
.35837 .41764 L
.3575 .41618 L
.35644 .41455 L
.35628 .41425 L
F
1 .98 0 r
.35644 .37109 m
.35837 .37175 L
.35848 .37186 L
.3603 .37362 L
.36044 .37379 L
.3621 .37571 L
.36222 .37586 L
.36362 .37764 L
.36415 .37777 L
.36511 .37957 L
.36608 .38061 L
.36707 .38149 L
.36801 .38336 L
.36805 .38342 L
.36941 .38535 L
.36993 .38605 L
.37078 .38727 L
.37186 .38877 L
.37242 .3892 L
.37342 .39113 L
.37379 .3917 L
.37454 .39306 L
.37521 .39498 L
.37379 .39508 L
.37364 .39498 L
.37186 .39354 L
.37132 .39306 L
.36993 .3915 L
.36947 .39113 L
.36801 .38925 L
.36797 .3892 L
.36642 .38727 L
.36608 .38694 L
.36427 .38535 L
.36415 .38431 L
.36348 .38342 L
.36222 .38163 L
.36217 .38149 L
.36076 .37957 L
.3603 .37888 L
.35893 .37764 L
.35837 .37609 L
.3582 .37571 L
.35711 .37379 L
.35644 .37226 L
.35631 .37186 L
F
0 .75 1 r
.35837 .41508 m
.35929 .41618 L
.3603 .41726 L
.36098 .41811 L
.36222 .41955 L
.3626 .42003 L
.36415 .42191 L
.36422 .42196 L
.36569 .42389 L
.36608 .42435 L
.3672 .42581 L
.36801 .42681 L
.36871 .42774 L
.36993 .4292 L
.3705 .42967 L
.37169 .43159 L
.37186 .4318 L
.37315 .43352 L
.37379 .43378 L
.37461 .43545 L
.37571 .43677 L
.37636 .43737 L
.37754 .4393 L
.37764 .43943 L
.37896 .44123 L
.37957 .44152 L
.3804 .44316 L
.38149 .44448 L
.38208 .44508 L
.38329 .44701 L
.38342 .44718 L
.38469 .44894 L
.38535 .44933 L
.38612 .45086 L
.38727 .45231 L
.38772 .45279 L
.38897 .45472 L
.3892 .45502 L
.39036 .45664 L
.39113 .45721 L
.39178 .45857 L
.39306 .46022 L
.39329 .4605 L
.39459 .46242 L
.39498 .46293 L
.39598 .46435 L
.39691 .46522 L
.39739 .46628 L
.39881 .46821 L
.39884 .46824 L
.40016 .47013 L
.40076 .47094 L
.40154 .47206 L
.40269 .47339 L
.40327 .47399 L
.4043 .47591 L
.40462 .47633 L
.40564 .47784 L
.40654 .47907 L
.40701 .47977 L
.40839 .48169 L
.40847 .4818 L
.40967 .48362 L
.4104 .48463 L
.41099 .48555 L
.41232 .48744 L
.41234 .48747 L
.41352 .4894 L
.41425 .49048 L
.41471 .49133 L
.41425 .49244 L
.41326 .49133 L
.41232 .49033 L
.41154 .4894 L
.4104 .48807 L
.4099 .48747 L
.40847 .48578 L
.40832 .48555 L
.40678 .48362 L
.40654 .48334 L
.40524 .48169 L
.40462 .48092 L
.40371 .47977 L
.40269 .47857 L
.40172 .47784 L
.40076 .47598 L
.40071 .47591 L
.39924 .47399 L
.39884 .47347 L
.39776 .47206 L
.39691 .47106 L
.39589 .47013 L
.39498 .46841 L
.39482 .46821 L
.39338 .46628 L
.39306 .46624 L
.39193 .46435 L
.39113 .46339 L
.39019 .46242 L
.3892 .46071 L
.38905 .4605 L
.38762 .45857 L
.38727 .45847 L
.38619 .45664 L
.38535 .45561 L
.38454 .45472 L
.38342 .4529 L
.38335 .45279 L
.38194 .45086 L
.38149 .45066 L
.38052 .44894 L
.37957 .44773 L
.37895 .44701 L
.3777 .44508 L
.37764 .445 L
.37632 .44316 L
.37571 .44276 L
.37491 .44123 L
.37379 .43975 L
.37343 .4393 L
.37214 .43737 L
.37186 .43699 L
.37077 .43545 L
.36993 .43469 L
.36938 .43352 L
.36801 .4316 L
.368 .43159 L
.36667 .42967 L
.36608 .42885 L
.36532 .42774 L
.36415 .42628 L
.36372 .42581 L
.36266 .42389 L
.36222 .42328 L
.36136 .42196 L
.3603 .42043 L
.36004 .42003 L
.35882 .41811 L
.35837 .41744 L
.35765 .41618 L
F
1 .88 0 r
.35837 .4068 m
.3599 .40847 L
.3603 .40887 L
.36161 .4104 L
.36222 .41108 L
.36325 .41232 L
.36415 .41321 L
.36486 .41425 L
.36608 .41573 L
.36658 .41618 L
.36797 .41811 L
.36801 .41815 L
.36948 .42003 L
.36993 .42047 L
.371 .42196 L
.37186 .42305 L
.37265 .42389 L
.37379 .42558 L
.37395 .42581 L
.37546 .42774 L
.37571 .428 L
.37693 .42967 L
.37764 .43059 L
.3785 .43159 L
.37957 .43319 L
.37977 .43352 L
.38129 .43545 L
.38149 .43566 L
.38332 .43737 L
.38342 .43827 L
.38426 .4393 L
.38535 .44089 L
.38552 .44123 L
.38705 .44316 L
.38727 .44339 L
.38894 .44508 L
.3892 .44603 L
.38996 .44701 L
.39113 .44867 L
.39125 .44894 L
.39277 .45086 L
.39306 .45117 L
.39457 .45279 L
.39498 .45384 L
.39564 .45472 L
.39691 .45648 L
.39696 .45664 L
.39845 .45857 L
.39884 .45899 L
.40019 .4605 L
.40076 .46168 L
.40129 .46242 L
.40269 .46433 L
.40269 .46435 L
.40411 .46628 L
.40462 .46685 L
.4058 .46821 L
.40654 .46956 L
.40693 .47013 L
.40835 .47206 L
.40847 .47209 L
.40975 .47399 L
.4104 .47473 L
.41139 .47591 L
.41232 .47747 L
.41257 .47784 L
.41398 .47977 L
.41425 .47987 L
.41537 .48169 L
.41618 .48265 L
.41697 .48362 L
.41811 .48541 L
.41819 .48555 L
.41958 .48747 L
.42003 .48772 L
.42097 .4894 L
.42196 .49061 L
.42252 .49133 L
.42379 .49326 L
.42389 .49338 L
.42516 .49518 L
.42581 .49567 L
.42715 .49711 L
.42774 .49864 L
.42803 .49904 L
.42934 .50096 L
.42967 .5014 L
.4307 .50289 L
.43159 .50375 L
.43251 .50482 L
.4335 .50674 L
.43352 .50677 L
.43483 .50867 L
.43545 .50951 L
.43619 .5106 L
.43737 .51206 L
.43774 .51253 L
.4389 .51445 L
.4393 .515 L
.44021 .51638 L
.44123 .5178 L
.44156 .51831 L
.44287 .52023 L
.44316 .52064 L
.4441 .52216 L
.44508 .5236 L
.44537 .52409 L
.4465 .52601 L
.44701 .52686 L
.44739 .52794 L
.44701 .52828 L
.44662 .52794 L
.44508 .52649 L
.44463 .52601 L
.44316 .5245 L
.44288 .52409 L
.44123 .52218 L
.4412 .52216 L
.43959 .52023 L
.4393 .5199 L
.43799 .51831 L
.43737 .51767 L
.43641 .51638 L
.43545 .51515 L
.43477 .51445 L
.43352 .5127 L
.43341 .51253 L
.43184 .5106 L
.43159 .51033 L
.43032 .50867 L
.42967 .50779 L
.4288 .50674 L
.42774 .50523 L
.42752 .50482 L
.42589 .50289 L
.42581 .5028 L
.42396 .50096 L
.42389 .50024 L
.42296 .49904 L
.42196 .49762 L
.42173 .49711 L
.42005 .49518 L
.42003 .49516 L
.41832 .49326 L
.41811 .49256 L
.41721 .49133 L
.41618 .48992 L
.416 .4894 L
.41429 .48747 L
.41425 .48743 L
.41264 .48555 L
.41232 .48481 L
.4115 .48362 L
.4104 .48215 L
.4103 .48169 L
.40857 .47977 L
.40847 .47964 L
.40697 .47784 L
.40654 .477 L
.40582 .47591 L
.40462 .47434 L
.40461 .47399 L
.40289 .47206 L
.40269 .47182 L
.40132 .47013 L
.40076 .46916 L
.40017 .46821 L
.39884 .4665 L
.39863 .46628 L
.39723 .46435 L
.39691 .46397 L
.39569 .46242 L
.39498 .46128 L
.39453 .4605 L
.39306 .45864 L
.39299 .45857 L
.39159 .45664 L
.39113 .45608 L
.39008 .45472 L
.3892 .45337 L
.38889 .45279 L
.38737 .45086 L
.38727 .45081 L
.38543 .44894 L
.38535 .44816 L
.38449 .44701 L
.38342 .44543 L
.38326 .44508 L
.38178 .44316 L
.38149 .44296 L
.37989 .44123 L
.37957 .44019 L
.37893 .4393 L
.37764 .43744 L
.37761 .43737 L
.37622 .43545 L
.37571 .43504 L
.3744 .43352 L
.37379 .43214 L
.37341 .43159 L
.37208 .42967 L
.37186 .42937 L
.37072 .42774 L
.36993 .42696 L
.36902 .42581 L
.36801 .42395 L
.36796 .42389 L
.36664 .42196 L
.36608 .42117 L
.3653 .42003 L
.36415 .41856 L
.36382 .41811 L
.36265 .41618 L
.36222 .41557 L
.36136 .41425 L
.3603 .4127 L
.36006 .41232 L
.35885 .4104 L
.35837 .40967 L
.35769 .40847 L
F
1 .69 0 r
.35837 .4235 m
.35865 .42389 L
.3603 .42579 L
.36031 .42581 L
.36177 .42774 L
.36222 .42825 L
.36325 .42967 L
.36415 .43074 L
.36476 .43159 L
.36608 .43323 L
.36628 .43352 L
.36772 .43545 L
.36801 .43579 L
.36912 .43737 L
.36993 .43838 L
.37057 .4393 L
.37186 .44097 L
.37204 .44123 L
.37342 .44316 L
.37379 .44361 L
.37478 .44508 L
.37571 .44628 L
.37619 .44701 L
.37764 .44893 L
.37764 .44894 L
.3789 .45086 L
.37957 .45172 L
.38023 .45279 L
.38149 .4545 L
.38162 .45472 L
.38149 .45614 L
.38039 .45472 L
.37957 .45379 L
.37881 .45279 L
.37764 .45137 L
.37725 .45086 L
.37574 .44894 L
.37571 .4489 L
.37431 .44701 L
.37379 .44636 L
.37285 .44508 L
.37186 .44382 L
.37137 .44316 L
.36993 .44125 L
.36991 .44123 L
.36854 .4393 L
.36801 .43862 L
.36713 .43737 L
.36608 .43599 L
.3657 .43545 L
.36431 .43352 L
.36415 .43332 L
.36298 .43159 L
.36222 .43059 L
.36161 .42967 L
.3603 .42785 L
.36022 .42774 L
.35902 .42581 L
.35837 .42494 L
.35777 .42389 L
F
0 .74 1 r
.35837 .41533 m
.35911 .41618 L
.3603 .41742 L
.36085 .41811 L
.36222 .41968 L
.3625 .42003 L
.36409 .42196 L
.36415 .42203 L
.3656 .42389 L
.36608 .42445 L
.36712 .42581 L
.36801 .42689 L
.36865 .42774 L
.36993 .42929 L
.37039 .42967 L
.37163 .43159 L
.37186 .43187 L
.37309 .43352 L
.37379 .43384 L
.37456 .43545 L
.37571 .43684 L
.37629 .43737 L
.37749 .4393 L
.37764 .43949 L
.37892 .44123 L
.37957 .44156 L
.38036 .44316 L
.38149 .44455 L
.38202 .44508 L
.38325 .44701 L
.38342 .44723 L
.38465 .44894 L
.38535 .44937 L
.38608 .45086 L
.38727 .45237 L
.38766 .45279 L
.38893 .45472 L
.3892 .45507 L
.39033 .45664 L
.39113 .45727 L
.39175 .45857 L
.39306 .46029 L
.39324 .4605 L
.39455 .46242 L
.39498 .46299 L
.39594 .46435 L
.39691 .46529 L
.39735 .46628 L
.39877 .46821 L
.39884 .4683 L
.40011 .47013 L
.40076 .471 L
.40149 .47206 L
.40269 .47349 L
.40318 .47399 L
.40425 .47591 L
.40462 .4764 L
.40558 .47784 L
.40654 .47915 L
.40696 .47977 L
.40832 .48169 L
.40847 .4819 L
.40959 .48362 L
.4104 .48474 L
.41091 .48555 L
.41224 .48747 L
.41232 .48759 L
.41338 .4894 L
.41425 .49073 L
.41455 .49133 L
.41425 .49215 L
.41348 .49133 L
.41232 .49015 L
.41169 .4894 L
.4104 .48793 L
.41002 .48747 L
.40847 .48562 L
.40842 .48555 L
.40687 .48362 L
.40654 .48323 L
.40533 .48169 L
.40462 .48082 L
.40379 .47977 L
.40269 .47847 L
.40184 .47784 L
.40078 .47591 L
.40076 .47589 L
.3993 .47399 L
.39884 .47339 L
.39782 .47206 L
.39691 .47098 L
.39596 .47013 L
.39498 .46834 L
.39488 .46821 L
.39344 .46628 L
.39306 .46622 L
.39198 .46435 L
.39113 .46332 L
.39024 .46242 L
.3892 .46064 L
.3891 .4605 L
.38767 .45857 L
.38727 .45844 L
.38624 .45664 L
.38535 .45555 L
.38459 .45472 L
.38342 .45284 L
.38339 .45279 L
.38198 .45086 L
.38149 .45062 L
.38056 .44894 L
.37957 .44767 L
.379 .44701 L
.37775 .44508 L
.37764 .44493 L
.37636 .44316 L
.37571 .4427 L
.37496 .44123 L
.37379 .43967 L
.37349 .4393 L
.37219 .43737 L
.37186 .43692 L
.37082 .43545 L
.36993 .4346 L
.36943 .43352 L
.36806 .43159 L
.36801 .43151 L
.36674 .42967 L
.36608 .42876 L
.36538 .42774 L
.36415 .42612 L
.36387 .42581 L
.36274 .42389 L
.36222 .42316 L
.36145 .42196 L
.3603 .42028 L
.36014 .42003 L
.35897 .41811 L
.35837 .4172 L
.35782 .41618 L
F
1 .87 0 r
.35837 .40722 m
.35959 .40847 L
.3603 .40915 L
.36139 .4104 L
.36222 .4113 L
.36308 .41232 L
.36415 .4134 L
.36472 .41425 L
.36608 .41589 L
.36641 .41618 L
.36785 .41811 L
.36801 .41828 L
.36938 .42003 L
.36993 .42058 L
.37091 .42196 L
.37186 .42315 L
.37257 .42389 L
.37379 .42567 L
.37389 .42581 L
.37539 .42774 L
.37571 .42807 L
.37686 .42967 L
.37764 .43067 L
.37845 .43159 L
.37957 .43325 L
.37973 .43352 L
.38124 .43545 L
.38149 .43571 L
.38331 .43737 L
.38342 .43833 L
.38422 .4393 L
.38535 .44094 L
.3855 .44123 L
.38701 .44316 L
.38727 .44343 L
.38892 .44508 L
.3892 .44607 L
.38993 .44701 L
.39113 .44871 L
.39123 .44894 L
.39273 .45086 L
.39306 .45121 L
.39455 .45279 L
.39498 .45388 L
.39561 .45472 L
.39691 .45652 L
.39695 .45664 L
.39842 .45857 L
.39884 .45903 L
.40017 .4605 L
.40076 .46172 L
.40127 .46242 L
.40268 .46435 L
.40269 .46435 L
.40408 .46628 L
.40462 .46688 L
.40577 .46821 L
.40654 .4696 L
.40691 .47013 L
.40833 .47206 L
.40847 .4721 L
.40972 .47399 L
.4104 .47476 L
.41137 .47591 L
.41232 .4775 L
.41254 .47784 L
.41395 .47977 L
.41425 .47989 L
.41534 .48169 L
.41618 .48268 L
.41694 .48362 L
.41811 .48545 L
.41817 .48555 L
.41955 .48747 L
.42003 .48775 L
.42094 .4894 L
.42196 .49066 L
.42248 .49133 L
.42376 .49326 L
.42389 .49343 L
.42512 .49518 L
.42581 .49571 L
.42711 .49711 L
.42774 .49871 L
.42799 .49904 L
.42929 .50096 L
.42967 .50146 L
.43066 .50289 L
.43159 .50383 L
.43244 .50482 L
.43344 .50674 L
.43352 .50685 L
.43477 .50867 L
.43545 .50959 L
.43613 .5106 L
.43737 .5122 L
.43763 .51253 L
.43882 .51445 L
.4393 .51511 L
.44013 .51638 L
.44123 .51793 L
.44147 .51831 L
.44274 .52023 L
.44316 .52083 L
.44395 .52216 L
.44508 .52388 L
.4452 .52409 L
.44613 .52601 L
.44508 .5261 L
.44499 .52601 L
.44316 .52413 L
.44313 .52409 L
.44142 .52216 L
.44123 .52196 L
.43976 .52023 L
.4393 .51971 L
.43813 .51831 L
.43737 .51752 L
.43654 .51638 L
.43545 .51501 L
.43489 .51445 L
.43352 .51259 L
.43348 .51253 L
.43193 .5106 L
.43159 .51023 L
.43041 .50867 L
.42967 .50768 L
.42887 .50674 L
.42774 .50515 L
.42756 .50482 L
.42596 .50289 L
.42581 .50273 L
.42397 .50096 L
.42389 .50016 L
.42302 .49904 L
.42196 .49756 L
.42176 .49711 L
.42011 .49518 L
.42003 .49509 L
.41834 .49326 L
.41811 .4925 L
.41725 .49133 L
.41618 .48987 L
.41602 .4894 L
.41433 .48747 L
.41425 .48738 L
.41267 .48555 L
.41232 .48476 L
.41153 .48362 L
.4104 .48211 L
.41031 .48169 L
.40861 .47977 L
.40847 .4796 L
.407 .47784 L
.40654 .47696 L
.40585 .47591 L
.40462 .4743 L
.40461 .47399 L
.40292 .47206 L
.40269 .47178 L
.40135 .47013 L
.40076 .46911 L
.40019 .46821 L
.39884 .46647 L
.39866 .46628 L
.39726 .46435 L
.39691 .46393 L
.39572 .46242 L
.39498 .46124 L
.39455 .4605 L
.39306 .4586 L
.39302 .45857 L
.39162 .45664 L
.39113 .45604 L
.39011 .45472 L
.3892 .45333 L
.38891 .45279 L
.38741 .45086 L
.38727 .45079 L
.38544 .44894 L
.38535 .44812 L
.38452 .44701 L
.38342 .44538 L
.38328 .44508 L
.38182 .44316 L
.38149 .44293 L
.37992 .44123 L
.37957 .44014 L
.37897 .4393 L
.37764 .43738 L
.37764 .43737 L
.37627 .43545 L
.37571 .43499 L
.37445 .43352 L
.37379 .43207 L
.37346 .43159 L
.37213 .42967 L
.37186 .42929 L
.37077 .42774 L
.36993 .42686 L
.36909 .42581 L
.36803 .42389 L
.36801 .42385 L
.36672 .42196 L
.36608 .42106 L
.36538 .42003 L
.36415 .41837 L
.36395 .41811 L
.36276 .41618 L
.36222 .41541 L
.36149 .41425 L
.3603 .41249 L
.36019 .41232 L
.35905 .4104 L
.35837 .40932 L
.35794 .40847 L
F
0 .96 1 r
.35837 .39888 m
.36027 .40076 L
.3603 .40079 L
.36204 .40269 L
.36222 .40289 L
.36373 .40462 L
.36415 .40491 L
.36538 .40654 L
.36608 .40738 L
.36755 .40847 L
.36801 .4098 L
.36854 .4104 L
.36993 .4122 L
.36998 .41232 L
.37162 .41425 L
.37186 .41455 L
.37342 .41618 L
.37379 .41709 L
.37456 .41811 L
.37571 .41967 L
.37581 .42003 L
.3776 .42196 L
.37764 .42202 L
.37922 .42389 L
.37957 .42462 L
.38041 .42581 L
.38149 .42729 L
.38155 .42774 L
.38342 .42966 L
.38342 .42967 L
.38497 .43159 L
.38535 .4323 L
.38616 .43352 L
.38727 .43501 L
.38776 .43545 L
.38917 .43737 L
.3892 .43741 L
.39067 .4393 L
.39113 .44008 L
.39185 .44123 L
.39306 .44279 L
.39347 .44316 L
.39488 .44508 L
.39498 .44522 L
.39635 .44701 L
.39691 .4479 L
.39751 .44894 L
.39884 .4506 L
.39916 .45086 L
.40056 .45279 L
.40076 .45307 L
.40201 .45472 L
.40269 .45576 L
.40316 .45664 L
.40462 .45841 L
.40482 .45857 L
.40646 .4605 L
.40654 .46093 L
.40765 .46242 L
.40847 .46362 L
.4088 .46435 L
.4104 .46622 L
.41047 .46628 L
.41213 .46821 L
.41232 .46881 L
.41328 .47013 L
.41425 .47149 L
.41445 .47206 L
.41611 .47399 L
.41618 .47405 L
.41777 .47591 L
.41811 .47669 L
.41891 .47784 L
.42003 .47937 L
.42011 .47977 L
.42175 .48169 L
.42196 .48191 L
.4234 .48362 L
.42389 .48458 L
.42454 .48555 L
.42581 .48725 L
.42599 .48747 L
.42739 .4894 L
.42774 .48978 L
.42902 .49133 L
.42967 .49248 L
.43017 .49326 L
.43159 .49514 L
.43163 .49518 L
.43302 .49711 L
.43352 .49766 L
.43462 .49904 L
.43545 .50038 L
.4358 .50096 L
.43725 .50289 L
.43737 .50292 L
.43865 .50482 L
.4393 .50556 L
.44022 .50674 L
.44123 .5083 L
.44143 .50867 L
.44287 .5106 L
.44316 .51071 L
.44488 .51253 L
.44508 .51348 L
.44581 .51445 L
.44701 .51624 L
.44708 .51638 L
.44848 .51831 L
.44894 .51857 L
.45041 .52023 L
.45086 .52144 L
.45138 .52216 L
.4527 .52409 L
.45279 .52421 L
.45407 .52601 L
.45472 .5265 L
.45591 .52794 L
.45664 .52944 L
.45694 .52987 L
.45827 .53179 L
.45857 .5322 L
.45964 .53372 L
.4605 .53453 L
.46137 .53565 L
.46242 .53752 L
.46246 .53758 L
.4638 .5395 L
.46435 .54025 L
.46517 .54143 L
.46628 .54273 L
.46674 .54336 L
.46792 .54528 L
.46821 .54567 L
.46924 .54721 L
.47013 .54843 L
.4706 .54914 L
.47197 .55106 L
.47206 .55119 L
.47323 .55299 L
.47399 .55407 L
.47452 .55492 L
.47581 .55684 L
.47591 .55699 L
.47693 .55877 L
.47784 .56027 L
.47803 .5607 L
.47784 .56195 L
.47641 .5607 L
.47591 .56026 L
.47449 .55877 L
.47399 .55825 L
.47272 .55684 L
.47206 .55626 L
.47102 .55492 L
.47013 .55384 L
.46907 .55299 L
.46821 .55147 L
.46787 .55106 L
.46628 .54916 L
.46623 .54914 L
.46468 .54721 L
.46435 .54677 L
.46301 .54528 L
.46242 .54424 L
.46181 .54336 L
.4605 .54169 L
.46012 .54143 L
.45865 .5395 L
.45857 .53939 L
.45713 .53758 L
.45664 .53678 L
.45593 .53565 L
.45472 .5341 L
.45421 .53372 L
.45279 .53181 L
.45278 .53179 L
.45133 .52987 L
.45086 .52915 L
.45016 .52794 L
.44894 .5264 L
.44841 .52601 L
.44701 .5241 L
.447 .52409 L
.44559 .52216 L
.44508 .5214 L
.44446 .52023 L
.44316 .51864 L
.44268 .51831 L
.44125 .51638 L
.44123 .5163 L
.4399 .51445 L
.4393 .51359 L
.43881 .51253 L
.43737 .51084 L
.43699 .5106 L
.43552 .50867 L
.43545 .50847 L
.43424 .50674 L
.43352 .50575 L
.43319 .50482 L
.43159 .50304 L
.43132 .50289 L
.42983 .50096 L
.42967 .50061 L
.4286 .49904 L
.42774 .49788 L
.42758 .49711 L
.42581 .49525 L
.42566 .49518 L
.42417 .49326 L
.42389 .49273 L
.42297 .49133 L
.42196 .49002 L
.42141 .4894 L
.42003 .48748 L
.42002 .48747 L
.41852 .48555 L
.41811 .48484 L
.41735 .48362 L
.41618 .48215 L
.41577 .48169 L
.41437 .47977 L
.41425 .47962 L
.41288 .47784 L
.41232 .47695 L
.41173 .47591 L
.4104 .47428 L
.41013 .47399 L
.40873 .47206 L
.40847 .47174 L
.40726 .47013 L
.40654 .46906 L
.4061 .46821 L
.40462 .46641 L
.4045 .46628 L
.40276 .46435 L
.40269 .46385 L
.40164 .46242 L
.40076 .46116 L
.40047 .4605 L
.39887 .45857 L
.39884 .45855 L
.39713 .45664 L
.39691 .45595 L
.39603 .45472 L
.39498 .45325 L
.39482 .45279 L
.39325 .45086 L
.39306 .45072 L
.39152 .44894 L
.39113 .44804 L
.39042 .44701 L
.3892 .44532 L
.38914 .44508 L
.38764 .44316 L
.38727 .44286 L
.38593 .44123 L
.38535 .44009 L
.38483 .4393 L
.38343 .43737 L
.38342 .43737 L
.38205 .43545 L
.38149 .43495 L
.38038 .43352 L
.37957 .43211 L
.37924 .43159 L
.37786 .42967 L
.37764 .42938 L
.37648 .42774 L
.37571 .42695 L
.37486 .42581 L
.37379 .42406 L
.37368 .42389 L
.37233 .42196 L
.37186 .42132 L
.37096 .42003 L
.36993 .41882 L
.36943 .41811 L
.3682 .41618 L
.36801 .41591 L
.36687 .41425 L
.36608 .41315 L
.36552 .41232 L
.36415 .4104 L
.36415 .4104 L
.36288 .40847 L
.36222 .40753 L
.36159 .40654 L
.3603 .40465 L
.36025 .40462 L
.35912 .40269 L
.35837 .40153 L
.35796 .40076 L
F
0 .73 1 r
.35837 .41564 m
.35887 .41618 L
.3603 .4176 L
.36071 .41811 L
.36222 .41982 L
.36239 .42003 L
.36398 .42196 L
.36415 .42215 L
.36551 .42389 L
.36608 .42455 L
.36705 .42581 L
.36801 .42698 L
.36858 .42774 L
.36993 .42939 L
.37027 .42967 L
.37157 .43159 L
.37186 .43195 L
.37303 .43352 L
.37379 .4339 L
.37451 .43545 L
.37571 .43691 L
.37621 .43737 L
.37744 .4393 L
.37764 .43955 L
.37887 .44123 L
.37957 .44161 L
.38032 .44316 L
.38149 .44461 L
.38196 .44508 L
.3832 .44701 L
.38342 .44729 L
.38461 .44894 L
.38535 .44942 L
.38605 .45086 L
.38727 .45243 L
.38761 .45279 L
.38889 .45472 L
.3892 .45512 L
.39029 .45664 L
.39113 .45733 L
.39171 .45857 L
.39306 .46035 L
.39318 .4605 L
.39451 .46242 L
.39498 .46304 L
.3959 .46435 L
.39691 .46536 L
.39732 .46628 L
.39872 .46821 L
.39884 .46836 L
.40007 .47013 L
.40076 .47106 L
.40145 .47206 L
.40269 .47359 L
.40308 .47399 L
.40419 .47591 L
.40462 .47648 L
.40553 .47784 L
.40654 .47923 L
.4069 .47977 L
.40825 .48169 L
.40847 .482 L
.40951 .48362 L
.4104 .48486 L
.41083 .48555 L
.41212 .48747 L
.41232 .48778 L
.41321 .4894 L
.41425 .49112 L
.41433 .49133 L
.41425 .49171 L
.41381 .49133 L
.41232 .48994 L
.41185 .4894 L
.4104 .48777 L
.41015 .48747 L
.40854 .48555 L
.40847 .48548 L
.40697 .48362 L
.40654 .48312 L
.40541 .48169 L
.40462 .48072 L
.40387 .47977 L
.40269 .47837 L
.40196 .47784 L
.40085 .47591 L
.40076 .4758 L
.39937 .47399 L
.39884 .47331 L
.39788 .47206 L
.39691 .4709 L
.39604 .47013 L
.39498 .46826 L
.39494 .46821 L
.39349 .46628 L
.39306 .4662 L
.39203 .46435 L
.39113 .46325 L
.3903 .46242 L
.3892 .46058 L
.38914 .4605 L
.38772 .45857 L
.38727 .45842 L
.38628 .45664 L
.38535 .45548 L
.38465 .45472 L
.38343 .45279 L
.38342 .45277 L
.38203 .45086 L
.38149 .45058 L
.38061 .44894 L
.37957 .4476 L
.37906 .44701 L
.3778 .44508 L
.37764 .44487 L
.37641 .44316 L
.37571 .44264 L
.37501 .44123 L
.37379 .43959 L
.37355 .4393 L
.37225 .43737 L
.37186 .43685 L
.37087 .43545 L
.36993 .4345 L
.36949 .43352 L
.36813 .43159 L
.36801 .43143 L
.3668 .42967 L
.36608 .42866 L
.36545 .42774 L
.36415 .42595 L
.36403 .42581 L
.36283 .42389 L
.36222 .42302 L
.36154 .42196 L
.3603 .42012 L
.36024 .42003 L
.35913 .41811 L
.35837 .4169 L
.35804 .41618 L
F
1 .68 0 r
.35837 .42383 m
.35841 .42389 L
.35837 .42452 L
.35814 .42389 L
F
1 .86 0 r
.35837 .40786 m
.35913 .40847 L
.3603 .40947 L
.36114 .4104 L
.36222 .41153 L
.3629 .41232 L
.36415 .41361 L
.36457 .41425 L
.36608 .41605 L
.36623 .41618 L
.36774 .41811 L
.36801 .41842 L
.36928 .42003 L
.36993 .42068 L
.37082 .42196 L
.37186 .42326 L
.37248 .42389 L
.37379 .42575 L
.37383 .42581 L
.37532 .42774 L
.37571 .42814 L
.3768 .42967 L
.37764 .43074 L
.37839 .43159 L
.37957 .43331 L
.3797 .43352 L
.38119 .43545 L
.38149 .43576 L
.38329 .43737 L
.38342 .43838 L
.38418 .4393 L
.38535 .44099 L
.38547 .44123 L
.38698 .44316 L
.38727 .44347 L
.3889 .44508 L
.3892 .44612 L
.3899 .44701 L
.39113 .44875 L
.39121 .44894 L
.3927 .45086 L
.39306 .45124 L
.39452 .45279 L
.39498 .45392 L
.39558 .45472 L
.39691 .45655 L
.39694 .45664 L
.39839 .45857 L
.39884 .45906 L
.40014 .4605 L
.40076 .46176 L
.40124 .46242 L
.40266 .46435 L
.40269 .46436 L
.40405 .46628 L
.40462 .46691 L
.40575 .46821 L
.40654 .46963 L
.40689 .47013 L
.4083 .47206 L
.40847 .4721 L
.4097 .47399 L
.4104 .47479 L
.41134 .47591 L
.41232 .47754 L
.41252 .47784 L
.41392 .47977 L
.41425 .4799 L
.41532 .48169 L
.41618 .48272 L
.41691 .48362 L
.41811 .48549 L
.41814 .48555 L
.41952 .48747 L
.42003 .48778 L
.42091 .4894 L
.42196 .49071 L
.42245 .49133 L
.42372 .49326 L
.42389 .49347 L
.42509 .49518 L
.42581 .49576 L
.42706 .49711 L
.42774 .49877 L
.42794 .49904 L
.42925 .50096 L
.42967 .50152 L
.43061 .50289 L
.43159 .50391 L
.43237 .50482 L
.43339 .50674 L
.43352 .50692 L
.43471 .50867 L
.43545 .50968 L
.43607 .5106 L
.43737 .51235 L
.43752 .51253 L
.43874 .51445 L
.4393 .51524 L
.44004 .51638 L
.44123 .51807 L
.44138 .51831 L
.44259 .52023 L
.44316 .52106 L
.44378 .52216 L
.44316 .52382 L
.44164 .52216 L
.44123 .52173 L
.43993 .52023 L
.4393 .51952 L
.43828 .51831 L
.43737 .51736 L
.43667 .51638 L
.43545 .51487 L
.43502 .51445 L
.43356 .51253 L
.43352 .51247 L
.43203 .5106 L
.43159 .51013 L
.4305 .50867 L
.42967 .50758 L
.42894 .50674 L
.42774 .50507 L
.4276 .50482 L
.42602 .50289 L
.42581 .50265 L
.42399 .50096 L
.42389 .50008 L
.42307 .49904 L
.42196 .49749 L
.42179 .49711 L
.42016 .49518 L
.42003 .49503 L
.41836 .49326 L
.41811 .49244 L
.41729 .49133 L
.41618 .48981 L
.41604 .4894 L
.41438 .48747 L
.41425 .48733 L
.41269 .48555 L
.41232 .48471 L
.41157 .48362 L
.4104 .48206 L
.41032 .48169 L
.40865 .47977 L
.40847 .47956 L
.40702 .47784 L
.40654 .47691 L
.40588 .47591 L
.40462 .47426 L
.40461 .47399 L
.40295 .47206 L
.40269 .47174 L
.40137 .47013 L
.40076 .46907 L
.40022 .46821 L
.39884 .46643 L
.3987 .46628 L
.39729 .46435 L
.39691 .46389 L
.39575 .46242 L
.39498 .4612 L
.39457 .4605 L
.39306 .45857 L
.39306 .45857 L
.39165 .45664 L
.39113 .456 L
.39014 .45472 L
.3892 .45329 L
.38894 .45279 L
.38744 .45086 L
.38727 .45076 L
.38546 .44894 L
.38535 .44807 L
.38456 .44701 L
.38342 .44534 L
.3833 .44508 L
.38186 .44316 L
.38149 .4429 L
.37994 .44123 L
.37957 .44008 L
.37901 .4393 L
.37768 .43737 L
.37764 .43732 L
.37631 .43545 L
.37571 .43493 L
.3745 .43352 L
.37379 .43199 L
.37351 .43159 L
.37219 .42967 L
.37186 .42922 L
.37083 .42774 L
.36993 .42676 L
.36917 .42581 L
.36811 .42389 L
.36801 .42375 L
.3668 .42196 L
.36608 .42095 L
.36546 .42003 L
.36415 .41817 L
.3641 .41811 L
.36288 .41618 L
.36222 .41523 L
.36161 .41425 L
.36035 .41232 L
.3603 .41225 L
.35929 .4104 L
.35837 .40877 L
.35826 .40847 L
F
0 .99 1 r
.3603 .36716 m
.36222 .36775 L
.3627 .36801 L
.36415 .36957 L
.36444 .36993 L
.36602 .37186 L
.36608 .37194 L
.3675 .37379 L
.36801 .37451 L
.36919 .37571 L
.36993 .37714 L
.37037 .37764 L
.37184 .37957 L
.37186 .37959 L
.37324 .38149 L
.37379 .38215 L
.37485 .38342 L
.37571 .38483 L
.37604 .38535 L
.37749 .38727 L
.37764 .38748 L
.37888 .3892 L
.37957 .38975 L
.38044 .39113 L
.38149 .3927 L
.38164 .39306 L
.38301 .39498 L
.38342 .39562 L
.38488 .39691 L
.38342 .39875 L
.38149 .39854 L
.37957 .39739 L
.37932 .39691 L
.37764 .39521 L
.37746 .39498 L
.37584 .39306 L
.37571 .39263 L
.37457 .39113 L
.37379 .38989 L
.37347 .3892 L
.37186 .38758 L
.37163 .38727 L
.37012 .38535 L
.36993 .38495 L
.36891 .38342 L
.36801 .38226 L
.36786 .38149 L
.36608 .37963 L
.36601 .37957 L
.3645 .37764 L
.36415 .37716 L
.36336 .37571 L
.36222 .37435 L
.36188 .37379 L
.36058 .37186 L
.3603 .37141 L
.35917 .36993 L
.3585 .36801 L
F
1 .97 0 r
.3603 .37489 m
.36114 .37571 L
.36222 .37677 L
.36295 .37764 L
.36415 .37853 L
.36457 .37957 L
.36608 .38143 L
.36616 .38149 L
.36752 .38342 L
.36801 .38405 L
.3689 .38535 L
.36993 .38676 L
.37027 .38727 L
.37152 .3892 L
.37186 .38974 L
.37254 .39113 L
.37186 .39215 L
.37066 .39113 L
.36993 .39046 L
.36879 .3892 L
.36801 .38832 L
.36715 .38727 L
.36608 .38612 L
.36501 .38535 L
.36418 .38342 L
.36415 .38338 L
.36281 .38149 L
.36222 .38065 L
.36149 .37957 L
.3603 .37768 L
.36025 .37764 L
.35931 .37571 L
F
0 .72 1 r
.3603 .4178 m
.36055 .41811 L
.36222 .41996 L
.36228 .42003 L
.36386 .42196 L
.36415 .42228 L
.36542 .42389 L
.36608 .42466 L
.36697 .42581 L
.36801 .42707 L
.36851 .42774 L
.36993 .42949 L
.37015 .42967 L
.37151 .43159 L
.37186 .43202 L
.37298 .43352 L
.37379 .43397 L
.37446 .43545 L
.37571 .43699 L
.37613 .43737 L
.37739 .4393 L
.37764 .43962 L
.37882 .44123 L
.37957 .44167 L
.38028 .44316 L
.38149 .44468 L
.3819 .44508 L
.38316 .44701 L
.38342 .44734 L
.38457 .44894 L
.38535 .44948 L
.38601 .45086 L
.38727 .45249 L
.38755 .45279 L
.38885 .45472 L
.3892 .45518 L
.39025 .45664 L
.39113 .45739 L
.39167 .45857 L
.39306 .46042 L
.39313 .4605 L
.39447 .46242 L
.39498 .4631 L
.39586 .46435 L
.39691 .46544 L
.39727 .46628 L
.39867 .46821 L
.39884 .46842 L
.40002 .47013 L
.40076 .47113 L
.4014 .47206 L
.40269 .4737 L
.40297 .47399 L
.40413 .47591 L
.40462 .47656 L
.40547 .47784 L
.40654 .47931 L
.40684 .47977 L
.40817 .48169 L
.40847 .48211 L
.40943 .48362 L
.4104 .48499 L
.41074 .48555 L
.41197 .48747 L
.41232 .488 L
.413 .4894 L
.41232 .48971 L
.41205 .4894 L
.4104 .48761 L
.41029 .48747 L
.40866 .48555 L
.40847 .48534 L
.40708 .48362 L
.40654 .483 L
.4055 .48169 L
.40462 .48061 L
.40395 .47977 L
.40269 .47826 L
.4021 .47784 L
.40092 .47591 L
.40076 .47572 L
.39943 .47399 L
.39884 .47323 L
.39794 .47206 L
.39691 .47082 L
.39612 .47013 L
.39499 .46821 L
.39498 .46819 L
.39355 .46628 L
.39306 .46617 L
.39208 .46435 L
.39113 .46318 L
.39036 .46242 L
.3892 .46051 L
.38919 .4605 L
.38777 .45857 L
.38727 .45838 L
.38633 .45664 L
.38535 .45542 L
.3847 .45472 L
.38348 .45279 L
.38342 .45271 L
.38208 .45086 L
.38149 .45054 L
.38066 .44894 L
.37957 .44753 L
.37912 .44701 L
.37785 .44508 L
.37764 .4448 L
.37646 .44316 L
.37571 .44258 L
.37506 .44123 L
.37379 .43951 L
.37362 .4393 L
.3723 .43737 L
.37186 .43677 L
.37093 .43545 L
.36993 .4344 L
.36955 .43352 L
.36819 .43159 L
.36801 .43134 L
.36687 .42967 L
.36608 .42856 L
.36552 .42774 L
.36417 .42581 L
.36415 .42578 L
.36293 .42389 L
.36222 .42288 L
.36164 .42196 L
.36037 .42003 L
.3603 .41993 L
.35933 .41811 L
F
1 .85 0 r
.3603 .40983 m
.36084 .4104 L
.36222 .41178 L
.3627 .41232 L
.36415 .41384 L
.36441 .41425 L
.36604 .41618 L
.36608 .41622 L
.36762 .41811 L
.36801 .41856 L
.36918 .42003 L
.36993 .42079 L
.37073 .42196 L
.37186 .42336 L
.37239 .42389 L
.37377 .42581 L
.37379 .42584 L
.37525 .42774 L
.37571 .42821 L
.37674 .42967 L
.37764 .43082 L
.37833 .43159 L
.37957 .43337 L
.37966 .43352 L
.38114 .43545 L
.38149 .43581 L
.38326 .43737 L
.38342 .43844 L
.38413 .4393 L
.38535 .44104 L
.38545 .44123 L
.38694 .44316 L
.38727 .44352 L
.38888 .44508 L
.3892 .44616 L
.38987 .44701 L
.39113 .44879 L
.39119 .44894 L
.39267 .45086 L
.39306 .45128 L
.3945 .45279 L
.39498 .45395 L
.39556 .45472 L
.39691 .45659 L
.39693 .45664 L
.39836 .45857 L
.39884 .45909 L
.40012 .4605 L
.40076 .46179 L
.40122 .46242 L
.40263 .46435 L
.40269 .46436 L
.40403 .46628 L
.40462 .46694 L
.40573 .46821 L
.40654 .46967 L
.40686 .47013 L
.40827 .47206 L
.40847 .47211 L
.40967 .47399 L
.4104 .47483 L
.41131 .47591 L
.41232 .47758 L
.4125 .47784 L
.41389 .47977 L
.41425 .47992 L
.41529 .48169 L
.41618 .48276 L
.41688 .48362 L
.41811 .48553 L
.41812 .48555 L
.41949 .48747 L
.42003 .48781 L
.42088 .4894 L
.42196 .49075 L
.42241 .49133 L
.42369 .49326 L
.42389 .49352 L
.42505 .49518 L
.42581 .49581 L
.42701 .49711 L
.42774 .49883 L
.42789 .49904 L
.42921 .50096 L
.42967 .50158 L
.43057 .50289 L
.43159 .504 L
.43229 .50482 L
.43333 .50674 L
.43352 .507 L
.43465 .50867 L
.43545 .50976 L
.43601 .5106 L
.43737 .5125 L
.43739 .51253 L
.43865 .51445 L
.4393 .51537 L
.43994 .51638 L
.44123 .51823 L
.44128 .51831 L
.44243 .52023 L
.44316 .52133 L
.44359 .52216 L
.44316 .52347 L
.4419 .52216 L
.44123 .52149 L
.44012 .52023 L
.4393 .51932 L
.43844 .51831 L
.43737 .51719 L
.4368 .51638 L
.43545 .51472 L
.43516 .51445 L
.43367 .51253 L
.43352 .51235 L
.43212 .5106 L
.43159 .51003 L
.43058 .50867 L
.42967 .50748 L
.42902 .50674 L
.42774 .50499 L
.42765 .50482 L
.42609 .50289 L
.42581 .50257 L
.42401 .50096 L
.42389 .5 L
.42312 .49904 L
.42196 .49743 L
.42182 .49711 L
.42021 .49518 L
.42003 .49497 L
.41838 .49326 L
.41811 .49237 L
.41733 .49133 L
.41618 .48976 L
.41606 .4894 L
.41442 .48747 L
.41425 .48728 L
.41271 .48555 L
.41232 .48465 L
.4116 .48362 L
.4104 .48202 L
.41033 .48169 L
.40868 .47977 L
.40847 .47951 L
.40705 .47784 L
.40654 .47687 L
.40591 .47591 L
.40462 .47423 L
.40461 .47399 L
.40299 .47206 L
.40269 .4717 L
.4014 .47013 L
.40076 .46903 L
.40024 .46821 L
.39884 .4664 L
.39873 .46628 L
.39732 .46435 L
.39691 .46385 L
.39577 .46242 L
.39498 .46116 L
.3946 .4605 L
.39309 .45857 L
.39306 .45855 L
.39169 .45664 L
.39113 .45596 L
.39017 .45472 L
.3892 .45324 L
.38896 .45279 L
.38748 .45086 L
.38727 .45074 L
.38547 .44894 L
.38535 .44803 L
.38459 .44701 L
.38342 .44529 L
.38332 .44508 L
.3819 .44316 L
.38149 .44287 L
.37997 .44123 L
.37957 .44003 L
.37905 .4393 L
.37772 .43737 L
.37764 .43726 L
.37636 .43545 L
.37571 .43488 L
.37455 .43352 L
.37379 .43192 L
.37356 .43159 L
.37224 .42967 L
.37186 .42914 L
.37089 .42774 L
.36993 .42666 L
.36926 .42581 L
.36818 .42389 L
.36801 .42364 L
.36688 .42196 L
.36608 .42083 L
.36555 .42003 L
.36423 .41811 L
.36415 .418 L
.363 .41618 L
.36222 .41503 L
.36175 .41425 L
.36056 .41232 L
.3603 .41191 L
.35959 .4104 L
F
0 .71 1 r
.3603 .41804 m
.36036 .41811 L
.3603 .41967 L
.35962 .41811 L
F
0 .95 1 r
.3603 .40178 m
.36127 .40269 L
.36222 .40358 L
.36318 .40462 L
.36415 .40535 L
.36494 .40654 L
.36608 .40783 L
.36713 .40847 L
.36801 .41016 L
.36824 .4104 L
.36982 .41232 L
.36993 .41241 L
.37139 .41425 L
.37186 .41484 L
.37329 .41618 L
.37379 .41734 L
.3744 .41811 L
.37571 .41983 L
.37576 .42003 L
.37745 .42196 L
.37764 .42221 L
.37913 .42389 L
.37957 .42479 L
.38031 .42581 L
.38149 .4274 L
.38153 .42774 L
.38333 .42967 L
.38342 .42979 L
.3849 .43159 L
.38535 .43242 L
.38609 .43352 L
.38727 .43509 L
.38769 .43545 L
.38911 .43737 L
.3892 .4375 L
.39063 .4393 L
.39113 .44016 L
.3918 .44123 L
.39306 .44284 L
.39342 .44316 L
.39483 .44508 L
.39498 .44529 L
.39631 .44701 L
.39691 .44796 L
.39748 .44894 L
.39884 .45063 L
.39912 .45086 L
.40052 .45279 L
.40076 .45312 L
.40198 .45472 L
.40269 .4558 L
.40313 .45664 L
.40462 .45844 L
.40479 .45857 L
.40646 .4605 L
.40654 .46097 L
.40763 .46242 L
.40847 .46366 L
.40878 .46435 L
.4104 .46624 L
.41044 .46628 L
.41212 .46821 L
.41232 .46884 L
.41326 .47013 L
.41425 .47152 L
.41444 .47206 L
.41609 .47399 L
.41618 .47408 L
.41776 .47591 L
.41811 .47672 L
.41889 .47784 L
.42003 .4794 L
.42011 .47977 L
.42173 .48169 L
.42196 .48194 L
.42338 .48362 L
.42389 .48461 L
.42452 .48555 L
.42581 .48728 L
.42597 .48747 L
.42737 .4894 L
.42774 .4898 L
.429 .49133 L
.42967 .4925 L
.43015 .49326 L
.43159 .49517 L
.43161 .49518 L
.433 .49711 L
.43352 .49769 L
.4346 .49904 L
.43545 .50042 L
.43578 .50096 L
.43723 .50289 L
.43737 .50293 L
.43862 .50482 L
.4393 .50559 L
.44019 .50674 L
.44123 .50834 L
.44141 .50867 L
.44284 .5106 L
.44316 .51073 L
.44486 .51253 L
.44508 .51353 L
.44577 .51445 L
.44701 .51629 L
.44705 .51638 L
.44844 .51831 L
.44894 .5186 L
.45038 .52023 L
.45086 .5215 L
.45134 .52216 L
.45265 .52409 L
.45279 .52427 L
.45402 .52601 L
.45472 .52656 L
.45586 .52794 L
.45664 .52953 L
.45688 .52987 L
.4582 .53179 L
.45857 .53229 L
.45957 .53372 L
.4605 .53465 L
.46127 .53565 L
.46237 .53758 L
.46242 .53765 L
.4637 .5395 L
.46435 .54039 L
.46506 .54143 L
.46628 .54296 L
.46657 .54336 L
.46777 .54528 L
.46821 .54588 L
.46908 .54721 L
.47013 .54868 L
.47043 .54914 L
.47172 .55106 L
.47206 .55155 L
.47294 .55299 L
.47399 .55455 L
.4742 .55492 L
.47526 .55684 L
.47591 .55811 L
.47599 .55877 L
.47591 .55888 L
.47566 .55877 L
.47399 .55745 L
.47338 .55684 L
.47206 .55564 L
.47154 .55492 L
.47013 .55333 L
.46961 .55299 L
.46821 .55109 L
.46818 .55106 L
.46655 .54914 L
.46628 .54887 L
.46495 .54721 L
.46435 .54644 L
.4632 .54528 L
.46242 .54396 L
.46198 .54336 L
.4605 .54153 L
.46032 .54143 L
.45882 .5395 L
.45857 .53916 L
.45725 .53758 L
.45664 .53658 L
.45605 .53565 L
.45472 .53397 L
.45434 .53372 L
.45289 .53179 L
.45279 .53165 L
.45142 .52987 L
.45086 .52901 L
.45024 .52794 L
.44894 .52631 L
.4485 .52601 L
.44708 .52409 L
.44701 .52398 L
.44566 .52216 L
.44508 .5213 L
.44452 .52023 L
.44316 .51858 L
.44274 .51831 L
.44126 .51638 L
.44123 .51622 L
.43995 .51445 L
.4393 .51352 L
.43885 .51253 L
.43737 .5108 L
.43704 .5106 L
.43555 .50867 L
.43545 .50841 L
.43428 .50674 L
.43352 .50569 L
.43321 .50482 L
.43159 .50301 L
.43136 .50289 L
.42986 .50096 L
.42967 .50056 L
.42863 .49904 L
.42774 .49784 L
.42759 .49711 L
.42581 .49523 L
.4257 .49518 L
.42419 .49326 L
.42389 .49269 L
.423 .49133 L
.42196 .48998 L
.42144 .4894 L
.42005 .48747 L
.42003 .48746 L
.41854 .48555 L
.41811 .48481 L
.41737 .48362 L
.41618 .48212 L
.41579 .48169 L
.4144 .47977 L
.41425 .47959 L
.41291 .47784 L
.41232 .47692 L
.41175 .47591 L
.4104 .47425 L
.41016 .47399 L
.40876 .47206 L
.40847 .47171 L
.40728 .47013 L
.40654 .46903 L
.40612 .46821 L
.40462 .46638 L
.40452 .46628 L
.40277 .46435 L
.40269 .46382 L
.40166 .46242 L
.40076 .46112 L
.40048 .4605 L
.3989 .45857 L
.39884 .45853 L
.39714 .45664 L
.39691 .45592 L
.39605 .45472 L
.39498 .4532 L
.39483 .45279 L
.39328 .45086 L
.39306 .45069 L
.39154 .44894 L
.39113 .44799 L
.39046 .44701 L
.3892 .44527 L
.38916 .44508 L
.38768 .44316 L
.38727 .44282 L
.38597 .44123 L
.38535 .44003 L
.38487 .4393 L
.38348 .43737 L
.38342 .4373 L
.3821 .43545 L
.38149 .43488 L
.38043 .43352 L
.37957 .43202 L
.3793 .43159 L
.37792 .42967 L
.37764 .42928 L
.37655 .42774 L
.37571 .42684 L
.37495 .42581 L
.37379 .42392 L
.37377 .42389 L
.37243 .42196 L
.37186 .42118 L
.37106 .42003 L
.36993 .41861 L
.36958 .41811 L
.36835 .41618 L
.36801 .4157 L
.36703 .41425 L
.36608 .4129 L
.36569 .41232 L
.36439 .4104 L
.36415 .41006 L
.36315 .40847 L
.36222 .4071 L
.36189 .40654 L
.36073 .40462 L
.3603 .40391 L
.35974 .40269 L
F
0 .8 1 r
.3603 .4337 m
.36144 .43545 L
.36222 .43646 L
.36279 .43737 L
.36415 .43921 L
.36421 .4393 L
.36415 .4407 L
.36308 .4393 L
.36222 .43834 L
.3615 .43737 L
.3603 .43591 L
.35995 .43545 L
F
1 .84 0 r
.3603 .41035 m
.36036 .4104 L
.36222 .41205 L
.36247 .41232 L
.36415 .41411 L
.36424 .41425 L
.36589 .41618 L
.36608 .41639 L
.36749 .41811 L
.36801 .4187 L
.36907 .42003 L
.36993 .42091 L
.37064 .42196 L
.37186 .42347 L
.37229 .42389 L
.37369 .42581 L
.37379 .42593 L
.37518 .42774 L
.37571 .42829 L
.37668 .42967 L
.37764 .43089 L
.37827 .43159 L
.37957 .43344 L
.37962 .43352 L
.38109 .43545 L
.38149 .43587 L
.38323 .43737 L
.38342 .4385 L
.38409 .4393 L
.38535 .44109 L
.38542 .44123 L
.3869 .44316 L
.38727 .44356 L
.38885 .44508 L
.3892 .44621 L
.38983 .44701 L
.39113 .44883 L
.39118 .44894 L
.39264 .45086 L
.39306 .45132 L
.39448 .45279 L
.39498 .45399 L
.39553 .45472 L
.39691 .45662 L
.39692 .45664 L
.39833 .45857 L
.39884 .45912 L
.4001 .4605 L
.40076 .46183 L
.40119 .46242 L
.4026 .46435 L
.40269 .46436 L
.404 .46628 L
.40462 .46697 L
.4057 .46821 L
.40654 .4697 L
.40684 .47013 L
.40824 .47206 L
.40847 .47212 L
.40964 .47399 L
.4104 .47486 L
.41128 .47591 L
.41232 .47761 L
.41247 .47784 L
.41386 .47977 L
.41425 .47994 L
.41526 .48169 L
.41618 .4828 L
.41684 .48362 L
.41809 .48555 L
.41811 .48557 L
.41946 .48747 L
.42003 .48784 L
.42085 .4894 L
.42196 .4908 L
.42237 .49133 L
.42365 .49326 L
.42389 .49357 L
.42502 .49518 L
.42581 .49586 L
.42696 .49711 L
.42774 .4989 L
.42785 .49904 L
.42916 .50096 L
.42967 .50164 L
.43052 .50289 L
.43159 .50409 L
.43221 .50482 L
.43327 .50674 L
.43352 .50708 L
.43459 .50867 L
.43545 .50985 L
.43594 .5106 L
.4373 .51253 L
.43737 .51262 L
.43856 .51445 L
.4393 .51551 L
.43985 .51638 L
.44115 .51831 L
.44123 .51842 L
.44225 .52023 L
.44316 .52171 L
.44335 .52216 L
.44316 .52301 L
.44223 .52216 L
.44123 .52122 L
.44033 .52023 L
.4393 .51912 L
.4386 .51831 L
.43737 .517 L
.43694 .51638 L
.43545 .51457 L
.43531 .51445 L
.43378 .51253 L
.43352 .51222 L
.43222 .5106 L
.43159 .50992 L
.43067 .50867 L
.42967 .50738 L
.42909 .50674 L
.42774 .50491 L
.42769 .50482 L
.42616 .50289 L
.42581 .5025 L
.42404 .50096 L
.42389 .49992 L
.42317 .49904 L
.42196 .49737 L
.42184 .49711 L
.42026 .49518 L
.42003 .49492 L
.41841 .49326 L
.41811 .49231 L
.41737 .49133 L
.41618 .48971 L
.41607 .4894 L
.41446 .48747 L
.41425 .48723 L
.41274 .48555 L
.41232 .4846 L
.41163 .48362 L
.4104 .48198 L
.41034 .48169 L
.40872 .47977 L
.40847 .47947 L
.40707 .47784 L
.40654 .47682 L
.40594 .47591 L
.40462 .47419 L
.40461 .47399 L
.40302 .47206 L
.40269 .47166 L
.40143 .47013 L
.40076 .46899 L
.40027 .46821 L
.39884 .46636 L
.39876 .46628 L
.39735 .46435 L
.39691 .46381 L
.3958 .46242 L
.39498 .46112 L
.39462 .4605 L
.39312 .45857 L
.39306 .45854 L
.39172 .45664 L
.39113 .45592 L
.3902 .45472 L
.3892 .4532 L
.38898 .45279 L
.38751 .45086 L
.38727 .45072 L
.38549 .44894 L
.38535 .44798 L
.38462 .44701 L
.38342 .44524 L
.38335 .44508 L
.38193 .44316 L
.38149 .44283 L
.38 .44123 L
.37957 .43997 L
.37909 .4393 L
.37777 .43737 L
.37764 .4372 L
.3764 .43545 L
.37571 .43482 L
.3746 .43352 L
.37379 .43183 L
.37362 .43159 L
.3723 .42967 L
.37186 .42906 L
.37095 .42774 L
.36993 .42654 L
.36935 .42581 L
.36826 .42389 L
.36801 .42353 L
.36696 .42196 L
.36608 .42071 L
.36563 .42003 L
.36434 .41811 L
.36415 .41783 L
.36313 .41618 L
.36222 .41481 L
.36189 .41425 L
.36082 .41232 L
.3603 .41138 L
.36015 .4104 L
F
0 .79 1 r
.3603 .43404 m
.36112 .43545 L
.36222 .43686 L
.3625 .43737 L
.36222 .43791 L
.36182 .43737 L
.3603 .43558 L
.3602 .43545 L
F
0 .98 1 r
.36222 .36925 m
.36305 .36993 L
.36415 .37071 L
.36524 .37186 L
.36608 .37275 L
.36696 .37379 L
.36801 .37508 L
.36877 .37571 L
.36993 .37751 L
.37006 .37764 L
.37152 .37957 L
.37186 .37985 L
.37297 .38149 L
.37379 .38249 L
.3746 .38342 L
.37571 .38517 L
.37583 .38535 L
.37722 .38727 L
.37764 .38784 L
.3786 .3892 L
.37957 .39021 L
.38011 .39113 L
.38128 .39306 L
.38149 .39338 L
.38246 .39498 L
.38316 .39691 L
.38149 .39736 L
.38058 .39691 L
.37957 .39603 L
.37823 .39498 L
.37764 .39422 L
.37611 .39306 L
.37571 .39191 L
.37498 .39113 L
.37379 .38945 L
.37367 .3892 L
.37201 .38727 L
.37186 .38711 L
.37034 .38535 L
.36993 .38449 L
.36923 .38342 L
.36801 .3818 L
.36796 .38149 L
.3664 .37957 L
.36608 .37951 L
.36483 .37764 L
.36415 .3765 L
.36379 .37571 L
.36253 .37379 L
.36222 .37326 L
.36145 .37186 L
.36087 .36993 L
F
0 .94 1 r
.36222 .40445 m
.36241 .40462 L
.36415 .40608 L
.36443 .40654 L
.36608 .40831 L
.36639 .40847 L
.3679 .4104 L
.36801 .41051 L
.36954 .41232 L
.36993 .41263 L
.37115 .41425 L
.37186 .41511 L
.37313 .41618 L
.37379 .41757 L
.37424 .41811 L
.37571 .41997 L
.37573 .42003 L
.3773 .42196 L
.37764 .42239 L
.37904 .42389 L
.37957 .42495 L
.3802 .42581 L
.38149 .42751 L
.38151 .42774 L
.38323 .42967 L
.38342 .42992 L
.38484 .43159 L
.38535 .43253 L
.38602 .43352 L
.38727 .43516 L
.38761 .43545 L
.38904 .43737 L
.3892 .43759 L
.39058 .4393 L
.39113 .44024 L
.39176 .44123 L
.39306 .44289 L
.39337 .44316 L
.39478 .44508 L
.39498 .44535 L
.39628 .44701 L
.39691 .44802 L
.39745 .44894 L
.39884 .45067 L
.39907 .45086 L
.40049 .45279 L
.40076 .45316 L
.40195 .45472 L
.40269 .45584 L
.40311 .45664 L
.40462 .45846 L
.40475 .45857 L
.40645 .4605 L
.40654 .46101 L
.4076 .46242 L
.40847 .46369 L
.40877 .46435 L
.4104 .46626 L
.41042 .46628 L
.4121 .46821 L
.41232 .46887 L
.41324 .47013 L
.41425 .47155 L
.41443 .47206 L
.41607 .47399 L
.41618 .4741 L
.41774 .47591 L
.41811 .47675 L
.41887 .47784 L
.42003 .47942 L
.4201 .47977 L
.42171 .48169 L
.42196 .48196 L
.42337 .48362 L
.42389 .48463 L
.4245 .48555 L
.42581 .4873 L
.42595 .48747 L
.42735 .4894 L
.42774 .48983 L
.42898 .49133 L
.42967 .49253 L
.43013 .49326 L
.43158 .49518 L
.43159 .49518 L
.43297 .49711 L
.43352 .49772 L
.43458 .49904 L
.43545 .50045 L
.43576 .50096 L
.4372 .50289 L
.43737 .50294 L
.43859 .50482 L
.4393 .50563 L
.44017 .50674 L
.44123 .50838 L
.44139 .50867 L
.44281 .5106 L
.44316 .51075 L
.44484 .51253 L
.44508 .51357 L
.44574 .51445 L
.44701 .51634 L
.44703 .51638 L
.4484 .51831 L
.44894 .51864 L
.45034 .52023 L
.45086 .52156 L
.45129 .52216 L
.45261 .52409 L
.45279 .52433 L
.45397 .52601 L
.45472 .52663 L
.45579 .52794 L
.45664 .52963 L
.45681 .52987 L
.45814 .53179 L
.45857 .53238 L
.4595 .53372 L
.4605 .53478 L
.46117 .53565 L
.46227 .53758 L
.46242 .53778 L
.4636 .5395 L
.46435 .54053 L
.46496 .54143 L
.46628 .54322 L
.46638 .54336 L
.46762 .54528 L
.46821 .54611 L
.46891 .54721 L
.47013 .54896 L
.47024 .54914 L
.47144 .55106 L
.47206 .552 L
.4726 .55299 L
.47206 .55478 L
.47032 .55299 L
.47013 .55281 L
.46856 .55106 L
.46821 .55068 L
.46687 .54914 L
.46628 .54857 L
.46522 .54721 L
.46435 .54612 L
.46342 .54528 L
.46242 .54372 L
.46215 .54336 L
.46053 .54143 L
.4605 .5414 L
.45899 .5395 L
.45857 .53894 L
.45738 .53758 L
.45664 .53639 L
.45616 .53565 L
.45472 .53387 L
.45447 .53372 L
.453 .53179 L
.45279 .53149 L
.45151 .52987 L
.45086 .52887 L
.45032 .52794 L
.44894 .52623 L
.44859 .52601 L
.44716 .52409 L
.44701 .52387 L
.44573 .52216 L
.44508 .5212 L
.44458 .52023 L
.44316 .51852 L
.44281 .51831 L
.44128 .51638 L
.44123 .51614 L
.44001 .51445 L
.4393 .51345 L
.43889 .51253 L
.43737 .51076 L
.43708 .5106 L
.43557 .50867 L
.43545 .50835 L
.43432 .50674 L
.43352 .50564 L
.43324 .50482 L
.43159 .50299 L
.43139 .50289 L
.42988 .50096 L
.42967 .50051 L
.42867 .49904 L
.42774 .4978 L
.4276 .49711 L
.42581 .49522 L
.42573 .49518 L
.42421 .49326 L
.42389 .49265 L
.42302 .49133 L
.42196 .48995 L
.42147 .4894 L
.42007 .48747 L
.42003 .48743 L
.41856 .48555 L
.41811 .48477 L
.41739 .48362 L
.41618 .48209 L
.41582 .48169 L
.41442 .47977 L
.41425 .47956 L
.41293 .47784 L
.41232 .47689 L
.41177 .47591 L
.4104 .47422 L
.41018 .47399 L
.40878 .47206 L
.40847 .47168 L
.4073 .47013 L
.40654 .46899 L
.40614 .46821 L
.40462 .46635 L
.40455 .46628 L
.40278 .46435 L
.40269 .46379 L
.40169 .46242 L
.40076 .46109 L
.4005 .4605 L
.39893 .45857 L
.39884 .45851 L
.39715 .45664 L
.39691 .45588 L
.39608 .45472 L
.39498 .45316 L
.39485 .45279 L
.39332 .45086 L
.39306 .45067 L
.39156 .44894 L
.39113 .44795 L
.39049 .44701 L
.3892 .44522 L
.38917 .44508 L
.38772 .44316 L
.38727 .44278 L
.386 .44123 L
.38535 .43997 L
.38491 .4393 L
.38353 .43737 L
.38342 .43723 L
.38215 .43545 L
.38149 .43482 L
.38049 .43352 L
.37957 .43193 L
.37935 .43159 L
.37799 .42967 L
.37764 .42919 L
.37662 .42774 L
.37571 .42672 L
.37504 .42581 L
.37386 .42389 L
.37379 .42379 L
.37253 .42196 L
.37186 .42104 L
.37117 .42003 L
.36993 .41838 L
.36974 .41811 L
.3685 .41618 L
.36801 .41548 L
.3672 .41425 L
.36608 .41263 L
.36588 .41232 L
.36465 .4104 L
.36415 .40966 L
.36345 .40847 L
.36225 .40654 L
.36222 .4065 L
.36152 .40462 L
F
1 .68 0 r
.36222 .42845 m
.3631 .42967 L
.36415 .4309 L
.36464 .43159 L
.36608 .43337 L
.36618 .43352 L
.3676 .43545 L
.36801 .43594 L
.36901 .43737 L
.36993 .43852 L
.37047 .4393 L
.37186 .44109 L
.37195 .44123 L
.3733 .44316 L
.37379 .44376 L
.37467 .44508 L
.37571 .44643 L
.37609 .44701 L
.37571 .44873 L
.37445 .44701 L
.37379 .4462 L
.37297 .44508 L
.37186 .44367 L
.37148 .44316 L
.37004 .44123 L
.36993 .4411 L
.36866 .4393 L
.36801 .43846 L
.36724 .43737 L
.36608 .43584 L
.36581 .43545 L
.36445 .43352 L
.36415 .43314 L
.36312 .43159 L
.36222 .4304 L
.36174 .42967 L
F
0 .71 1 r
.36222 .42013 m
.36373 .42196 L
.36415 .42241 L
.36532 .42389 L
.36608 .42477 L
.36689 .42581 L
.36801 .42717 L
.36844 .42774 L
.36993 .42959 L
.37002 .42967 L
.37144 .43159 L
.37186 .4321 L
.37292 .43352 L
.37379 .43405 L
.37441 .43545 L
.37571 .43707 L
.37605 .43737 L
.37734 .4393 L
.37764 .43968 L
.37878 .44123 L
.37957 .44173 L
.38023 .44316 L
.38149 .44474 L
.38183 .44508 L
.38311 .44701 L
.38342 .4474 L
.38453 .44894 L
.38535 .44953 L
.38597 .45086 L
.38727 .45255 L
.38749 .45279 L
.3888 .45472 L
.3892 .45523 L
.39021 .45664 L
.39113 .45746 L
.39163 .45857 L
.39306 .46048 L
.39307 .4605 L
.39442 .46242 L
.39498 .46316 L
.39582 .46435 L
.39691 .46552 L
.39723 .46628 L
.39862 .46821 L
.39884 .46849 L
.39997 .47013 L
.40076 .47119 L
.40135 .47206 L
.40269 .47381 L
.40286 .47399 L
.40407 .47591 L
.40462 .47664 L
.40541 .47784 L
.40654 .4794 L
.40678 .47977 L
.40808 .48169 L
.40847 .48223 L
.40934 .48362 L
.4104 .48513 L
.41064 .48555 L
.4104 .48742 L
.4088 .48555 L
.40847 .48519 L
.40719 .48362 L
.40654 .48288 L
.40559 .48169 L
.40462 .48051 L
.40403 .47977 L
.40269 .47815 L
.40226 .47784 L
.401 .47591 L
.40076 .47563 L
.3995 .47399 L
.39884 .47315 L
.398 .47206 L
.39691 .47074 L
.39621 .47013 L
.39505 .46821 L
.39498 .46812 L
.3936 .46628 L
.39306 .46613 L
.39214 .46435 L
.39113 .46311 L
.39043 .46242 L
.38924 .4605 L
.3892 .46044 L
.38782 .45857 L
.38727 .45834 L
.38638 .45664 L
.38535 .45535 L
.38476 .45472 L
.38353 .45279 L
.38342 .45265 L
.38212 .45086 L
.38149 .45049 L
.3807 .44894 L
.37957 .44746 L
.37918 .44701 L
.3779 .44508 L
.37764 .44474 L
.37651 .44316 L
.37571 .44251 L
.37511 .44123 L
.37379 .43943 L
.37368 .4393 L
.37236 .43737 L
.37186 .4367 L
.37099 .43545 L
.36993 .43428 L
.3696 .43352 L
.36826 .43159 L
.36801 .43124 L
.36694 .42967 L
.36608 .42846 L
.36559 .42774 L
.36426 .42581 L
.36415 .42566 L
.36302 .42389 L
.36222 .42273 L
.36175 .42196 L
F
0 .7 1 r
.36222 .42033 m
.36359 .42196 L
.36415 .42255 L
.36521 .42389 L
.36608 .42488 L
.3668 .42581 L
.36801 .42726 L
.36837 .42774 L
.36991 .42967 L
.36993 .4297 L
.37137 .43159 L
.37186 .43218 L
.37286 .43352 L
.37379 .43413 L
.37436 .43545 L
.37571 .43715 L
.37596 .43737 L
.37729 .4393 L
.37764 .43974 L
.37873 .44123 L
.37957 .44179 L
.38019 .44316 L
.38149 .44481 L
.38176 .44508 L
.38307 .44701 L
.38342 .44746 L
.38449 .44894 L
.38535 .4496 L
.38593 .45086 L
.38727 .45262 L
.38743 .45279 L
.38876 .45472 L
.3892 .45529 L
.39017 .45664 L
.39113 .45753 L
.39159 .45857 L
.39302 .4605 L
.39306 .46054 L
.39438 .46242 L
.39498 .46322 L
.39577 .46435 L
.39691 .46561 L
.39719 .46628 L
.39857 .46821 L
.39884 .46855 L
.39992 .47013 L
.40076 .47126 L
.40131 .47206 L
.40269 .47393 L
.40275 .47399 L
.40401 .47591 L
.40462 .47673 L
.40535 .47784 L
.40654 .4795 L
.40672 .47977 L
.40799 .48169 L
.40847 .48236 L
.40924 .48362 L
.4104 .4853 L
.41054 .48555 L
.4104 .4872 L
.40896 .48555 L
.40847 .48504 L
.4073 .48362 L
.40654 .48275 L
.40569 .48169 L
.40462 .4804 L
.40411 .47977 L
.40269 .47803 L
.40242 .47784 L
.40107 .47591 L
.40076 .47554 L
.39957 .47399 L
.39884 .47307 L
.39806 .47206 L
.39691 .47065 L
.3963 .47013 L
.39511 .46821 L
.39498 .46804 L
.39366 .46628 L
.39306 .46609 L
.39219 .46435 L
.39113 .46304 L
.3905 .46242 L
.3893 .4605 L
.3892 .46038 L
.38787 .45857 L
.38727 .4583 L
.38643 .45664 L
.38535 .45528 L
.38483 .45472 L
.38358 .45279 L
.38342 .45258 L
.38217 .45086 L
.38149 .45043 L
.38075 .44894 L
.37957 .44738 L
.37924 .44701 L
.37795 .44508 L
.37764 .44467 L
.37656 .44316 L
.37571 .44243 L
.37516 .44123 L
.37379 .43934 L
.37375 .4393 L
.37242 .43737 L
.37186 .43662 L
.37104 .43545 L
.36993 .43416 L
.36966 .43352 L
.36833 .43159 L
.36801 .43115 L
.36701 .42967 L
.36608 .42836 L
.36566 .42774 L
.36436 .42581 L
.36415 .42552 L
.36313 .42389 L
.36222 .42256 L
.36186 .42196 L
F
1 .67 0 r
.36222 .42869 m
.36292 .42967 L
.36415 .43108 L
.36451 .43159 L
.36415 .43293 L
.36329 .43159 L
.36222 .43017 L
.3619 .42967 L
F
0 .69 1 r
.36222 .42055 m
.36343 .42196 L
.36415 .4227 L
.3651 .42389 L
.36608 .425 L
.36671 .42581 L
.36801 .42736 L
.36829 .42774 L
.36983 .42967 L
.36993 .42979 L
.37131 .43159 L
.37186 .43227 L
.3728 .43352 L
.37379 .43423 L
.3743 .43545 L
.37571 .43723 L
.37587 .43737 L
.37723 .4393 L
.37764 .43981 L
.37868 .44123 L
.37957 .44186 L
.38014 .44316 L
.38149 .44488 L
.38169 .44508 L
.38302 .44701 L
.38342 .44752 L
.38444 .44894 L
.38535 .44966 L
.38589 .45086 L
.38727 .45269 L
.38737 .45279 L
.38872 .45472 L
.3892 .45534 L
.39012 .45664 L
.39113 .4576 L
.39155 .45857 L
.39298 .4605 L
.39306 .4606 L
.39434 .46242 L
.39498 .46328 L
.39573 .46435 L
.39691 .4657 L
.39715 .46628 L
.39852 .46821 L
.39884 .46862 L
.39987 .47013 L
.40076 .47133 L
.40126 .47206 L
.40266 .47399 L
.40269 .47403 L
.40395 .47591 L
.40462 .47682 L
.40528 .47784 L
.40654 .47959 L
.40666 .47977 L
.4079 .48169 L
.40847 .4825 L
.40913 .48362 L
.4104 .48549 L
.41043 .48555 L
.4104 .48693 L
.40914 .48555 L
.40847 .48487 L
.40743 .48362 L
.40654 .48262 L
.40579 .48169 L
.40462 .48029 L
.4042 .47977 L
.40269 .4779 L
.4026 .47784 L
.40115 .47591 L
.40076 .47545 L
.39964 .47399 L
.39884 .47298 L
.39813 .47206 L
.39691 .47056 L
.3964 .47013 L
.39517 .46821 L
.39498 .46797 L
.39371 .46628 L
.39306 .46604 L
.39224 .46435 L
.39113 .46296 L
.39057 .46242 L
.38935 .4605 L
.3892 .46031 L
.38792 .45857 L
.38727 .45825 L
.38648 .45664 L
.38535 .4552 L
.38489 .45472 L
.38363 .45279 L
.38342 .45251 L
.38222 .45086 L
.38149 .45037 L
.3808 .44894 L
.37957 .44731 L
.37931 .44701 L
.378 .44508 L
.37764 .4446 L
.37661 .44316 L
.37571 .44234 L
.37521 .44123 L
.37382 .4393 L
.37379 .43926 L
.37247 .43737 L
.37186 .43654 L
.3711 .43545 L
.36993 .43403 L
.36972 .43352 L
.3684 .43159 L
.36801 .43105 L
.36708 .42967 L
.36608 .42825 L
.36574 .42774 L
.36446 .42581 L
.36415 .42537 L
.36324 .42389 L
.36222 .42237 L
.36199 .42196 L
F
1 .83 0 r
.36222 .41237 m
.36403 .41425 L
.36415 .41437 L
.36572 .41618 L
.36608 .41656 L
.36736 .41811 L
.36801 .41884 L
.36897 .42003 L
.36993 .42103 L
.37055 .42196 L
.37186 .42358 L
.37218 .42389 L
.37361 .42581 L
.37379 .42603 L
.37511 .42774 L
.37571 .42836 L
.37662 .42967 L
.37764 .43097 L
.37821 .43159 L
.37957 .4335 L
.37958 .43352 L
.38104 .43545 L
.38149 .43592 L
.3832 .43737 L
.38342 .43856 L
.38405 .4393 L
.38535 .44114 L
.3854 .44123 L
.38686 .44316 L
.38727 .4436 L
.38882 .44508 L
.3892 .44626 L
.3898 .44701 L
.39113 .44887 L
.39116 .44894 L
.3926 .45086 L
.39306 .45135 L
.39445 .45279 L
.39498 .45404 L
.3955 .45472 L
.3969 .45664 L
.39691 .45666 L
.39831 .45857 L
.39884 .45916 L
.40007 .4605 L
.40076 .46186 L
.40117 .46242 L
.40257 .46435 L
.40269 .46437 L
.40397 .46628 L
.40462 .46701 L
.40567 .46821 L
.40654 .46974 L
.40682 .47013 L
.40822 .47206 L
.40847 .47213 L
.40962 .47399 L
.4104 .4749 L
.41126 .47591 L
.41232 .47765 L
.41245 .47784 L
.41384 .47977 L
.41425 .47996 L
.41523 .48169 L
.41618 .48284 L
.41681 .48362 L
.41806 .48555 L
.41811 .48561 L
.41943 .48747 L
.42003 .48787 L
.42082 .4894 L
.42196 .49085 L
.42233 .49133 L
.42361 .49326 L
.42389 .49362 L
.42498 .49518 L
.42581 .49592 L
.4269 .49711 L
.42774 .49896 L
.42779 .49904 L
.42912 .50096 L
.42967 .50171 L
.43048 .50289 L
.43159 .50419 L
.43213 .50482 L
.43321 .50674 L
.43352 .50716 L
.43453 .50867 L
.43545 .50995 L
.43588 .5106 L
.43722 .51253 L
.43737 .51274 L
.43846 .51445 L
.4393 .51566 L
.43974 .51638 L
.44099 .51831 L
.44123 .51867 L
.44203 .52023 L
.44123 .52092 L
.44057 .52023 L
.4393 .5189 L
.43878 .51831 L
.43737 .51679 L
.43709 .51638 L
.43547 .51445 L
.43545 .51442 L
.43389 .51253 L
.43352 .51209 L
.43231 .5106 L
.43159 .50982 L
.43076 .50867 L
.42967 .50728 L
.42918 .50674 L
.42774 .50483 L
.42773 .50482 L
.42623 .50289 L
.42581 .50242 L
.42407 .50096 L
.42389 .49984 L
.42323 .49904 L
.42196 .4973 L
.42187 .49711 L
.42031 .49518 L
.42003 .49486 L
.41843 .49326 L
.41811 .49225 L
.41741 .49133 L
.41618 .48966 L
.41609 .4894 L
.4145 .48747 L
.41425 .48718 L
.41276 .48555 L
.41232 .48455 L
.41167 .48362 L
.4104 .48193 L
.41035 .48169 L
.40875 .47977 L
.40847 .47943 L
.4071 .47784 L
.40654 .47678 L
.40597 .47591 L
.40462 .47415 L
.40461 .47399 L
.40305 .47206 L
.40269 .47162 L
.40145 .47013 L
.40076 .46895 L
.4003 .46821 L
.39884 .46632 L
.39879 .46628 L
.39739 .46435 L
.39691 .46377 L
.39583 .46242 L
.39498 .46107 L
.39464 .4605 L
.39315 .45857 L
.39306 .45852 L
.39175 .45664 L
.39113 .45588 L
.39023 .45472 L
.3892 .45316 L
.389 .45279 L
.38754 .45086 L
.38727 .4507 L
.3855 .44894 L
.38535 .44793 L
.38466 .44701 L
.38342 .44519 L
.38337 .44508 L
.38197 .44316 L
.38149 .44279 L
.38004 .44123 L
.37957 .43991 L
.37913 .4393 L
.37781 .43737 L
.37764 .43714 L
.37645 .43545 L
.37571 .43475 L
.37466 .43352 L
.37379 .43175 L
.37368 .43159 L
.37236 .42967 L
.37186 .42897 L
.37101 .42774 L
.36993 .42642 L
.36945 .42581 L
.36834 .42389 L
.36801 .42342 L
.36704 .42196 L
.36608 .42057 L
.36572 .42003 L
.36446 .41811 L
.36415 .41765 L
.36327 .41618 L
.36222 .41455 L
.36206 .41425 L
F
1 .66 0 r
.36222 .42903 m
.36265 .42967 L
.36415 .4313 L
.36436 .43159 L
.36415 .43268 L
.36349 .43159 L
.36222 .42987 L
.36211 .42967 L
F
0 .68 1 r
.36222 .42085 m
.36322 .42196 L
.36415 .42287 L
.36497 .42389 L
.36608 .42512 L
.36662 .42581 L
.36801 .42747 L
.36821 .42774 L
.36975 .42967 L
.36993 .42989 L
.37123 .43159 L
.37186 .43235 L
.37274 .43352 L
.37379 .43433 L
.37425 .43545 L
.37571 .43732 L
.37578 .43737 L
.37718 .4393 L
.37764 .43988 L
.37863 .44123 L
.37957 .44194 L
.3801 .44316 L
.38149 .44496 L
.38162 .44508 L
.38297 .44701 L
.38342 .44758 L
.3844 .44894 L
.38535 .44974 L
.38584 .45086 L
.38727 .45276 L
.38731 .45279 L
.38867 .45472 L
.3892 .4554 L
.39008 .45664 L
.39113 .45768 L
.39151 .45857 L
.39293 .4605 L
.39306 .46066 L
.39429 .46242 L
.39498 .46334 L
.39569 .46435 L
.39691 .4658 L
.39711 .46628 L
.39847 .46821 L
.39884 .46869 L
.39982 .47013 L
.40076 .4714 L
.40121 .47206 L
.40259 .47399 L
.40269 .47412 L
.40388 .47591 L
.40462 .47691 L
.40521 .47784 L
.40654 .4797 L
.40659 .47977 L
.40779 .48169 L
.40847 .48266 L
.40901 .48362 L
.40847 .48469 L
.40757 .48362 L
.40654 .48248 L
.4059 .48169 L
.40462 .48017 L
.40429 .47977 L
.40274 .47784 L
.40269 .47778 L
.40123 .47591 L
.40076 .47535 L
.39971 .47399 L
.39884 .4729 L
.39819 .47206 L
.39691 .47047 L
.39651 .47013 L
.39523 .46821 L
.39498 .46789 L
.39377 .46628 L
.39306 .46598 L
.3923 .46435 L
.39113 .46288 L
.39065 .46242 L
.3894 .4605 L
.3892 .46024 L
.38797 .45857 L
.38727 .4582 L
.38652 .45664 L
.38535 .45513 L
.38496 .45472 L
.38368 .45279 L
.38342 .45245 L
.38227 .45086 L
.38149 .45031 L
.38085 .44894 L
.37957 .44723 L
.37937 .44701 L
.37806 .44508 L
.37764 .44453 L
.37666 .44316 L
.37571 .44225 L
.37526 .44123 L
.37388 .4393 L
.37379 .43918 L
.37253 .43737 L
.37186 .43646 L
.37116 .43545 L
.36993 .43389 L
.36978 .43352 L
.36848 .43159 L
.36801 .43094 L
.36716 .42967 L
.36608 .42813 L
.36582 .42774 L
.36457 .42581 L
.36415 .42521 L
.36337 .42389 L
.36222 .42213 L
.36213 .42196 L
F
1 .98 0 r
.36608 .28468 m
.36801 .28437 L
.36993 .28422 L
.37186 .28416 L
.37379 .28417 L
.37571 .28425 L
.37764 .28439 L
.37957 .2846 L
.38149 .28489 L
.38287 .28515 L
.38342 .28527 L
.38535 .28574 L
.38727 .28634 L
.3892 .28706 L
.38924 .28707 L
.39113 .28793 L
.39306 .28895 L
.39315 .289 L
.39498 .29014 L
.39613 .29093 L
.39691 .29151 L
.39856 .29285 L
.39884 .29309 L
.40062 .29478 L
.40076 .29493 L
.40235 .29671 L
.40269 .29711 L
.40379 .29864 L
.40462 .29993 L
.40491 .30056 L
.40564 .30249 L
.40584 .30442 L
.40509 .30634 L
.40462 .30692 L
.40269 .30796 L
.40154 .30827 L
.40076 .30841 L
.39884 .30861 L
.39691 .30862 L
.39498 .30849 L
.39323 .30827 L
.39306 .30822 L
.39113 .30785 L
.3892 .30737 L
.38727 .30683 L
.38574 .30634 L
.38535 .30621 L
.38342 .30549 L
.38149 .30467 L
.38095 .30442 L
.37957 .30373 L
.37764 .30268 L
.37732 .30249 L
.37571 .30152 L
.3742 .30056 L
.37379 .30029 L
.37186 .29897 L
.37139 .29864 L
.36993 .29755 L
.36886 .29671 L
.36801 .29601 L
.36661 .29478 L
.36608 .29429 L
.36469 .29285 L
.36415 .2923 L
.36316 .29093 L
.36222 .28908 L
.3622 .289 L
.36218 .28707 L
.36222 .28697 L
.36415 .28531 L
.36457 .28515 L
F
0 .97 1 r
.36415 .37184 m
.36417 .37186 L
.36608 .37348 L
.36635 .37379 L
.36801 .3756 L
.36816 .37571 L
.36969 .37764 L
.36993 .37793 L
.37119 .37957 L
.37186 .38017 L
.37268 .38149 L
.37379 .38286 L
.37429 .38342 L
.37557 .38535 L
.37571 .38554 L
.37694 .38727 L
.37764 .38823 L
.37831 .3892 L
.37957 .39091 L
.37969 .39113 L
.38083 .39306 L
.38149 .39428 L
.38179 .39498 L
.38149 .3961 L
.37957 .39529 L
.37908 .39498 L
.37764 .39355 L
.37666 .39306 L
.37571 .39141 L
.37539 .39113 L
.37386 .3892 L
.37379 .38919 L
.37237 .38727 L
.37186 .38672 L
.37059 .38535 L
.36993 .38403 L
.36953 .38342 L
.36814 .38149 L
.36801 .3813 L
.3668 .37957 L
.36608 .3791 L
.36526 .37764 L
.3643 .37571 L
.36415 .37547 L
.36325 .37379 L
.36271 .37186 L
F
1 .82 0 r
.36415 .41462 m
.36554 .41618 L
.36608 .41674 L
.36722 .41811 L
.36801 .41899 L
.36885 .42003 L
.36993 .42117 L
.37045 .42196 L
.37186 .42369 L
.37207 .42389 L
.37353 .42581 L
.37379 .42613 L
.37504 .42774 L
.37571 .42844 L
.37655 .42967 L
.37764 .43105 L
.37815 .43159 L
.37953 .43352 L
.37957 .43357 L
.38099 .43545 L
.38149 .43598 L
.38317 .43737 L
.38342 .43861 L
.384 .4393 L
.38535 .44119 L
.38537 .44123 L
.38682 .44316 L
.38727 .44364 L
.3888 .44508 L
.3892 .44631 L
.38976 .44701 L
.39113 .44891 L
.39114 .44894 L
.39257 .45086 L
.39306 .45139 L
.39443 .45279 L
.39498 .45408 L
.39547 .45472 L
.39687 .45664 L
.39691 .4567 L
.39828 .45857 L
.39884 .45919 L
.40004 .4605 L
.40076 .4619 L
.40114 .46242 L
.40254 .46435 L
.40269 .46437 L
.40395 .46628 L
.40462 .46704 L
.40565 .46821 L
.40654 .46977 L
.40679 .47013 L
.40819 .47206 L
.40847 .47215 L
.40959 .47399 L
.4104 .47493 L
.41123 .47591 L
.41232 .47769 L
.41242 .47784 L
.41381 .47977 L
.41425 .47998 L
.41521 .48169 L
.41618 .48288 L
.41678 .48362 L
.41803 .48555 L
.41811 .48565 L
.4194 .48747 L
.42003 .48791 L
.42079 .4894 L
.42196 .4909 L
.42229 .49133 L
.42358 .49326 L
.42389 .49367 L
.42494 .49518 L
.42581 .49598 L
.42685 .49711 L
.42774 .49903 L
.42774 .49904 L
.42907 .50096 L
.42967 .50177 L
.43043 .50289 L
.43159 .50429 L
.43204 .50482 L
.43315 .50674 L
.43352 .50725 L
.43446 .50867 L
.43545 .51004 L
.43581 .5106 L
.43713 .51253 L
.43737 .51287 L
.43836 .51445 L
.4393 .51582 L
.43963 .51638 L
.4408 .51831 L
.44123 .519 L
.44171 .52023 L
.44123 .52055 L
.44089 .52023 L
.4393 .51867 L
.43897 .51831 L
.43737 .51657 L
.43725 .51638 L
.43561 .51445 L
.43545 .51427 L
.434 .51253 L
.43352 .51196 L
.43241 .5106 L
.43159 .50971 L
.43085 .50867 L
.42967 .50717 L
.42926 .50674 L
.42781 .50482 L
.42774 .50473 L
.4263 .50289 L
.42581 .50235 L
.4241 .50096 L
.42389 .49977 L
.42328 .49904 L
.42196 .49724 L
.4219 .49711 L
.42037 .49518 L
.42003 .4948 L
.41846 .49326 L
.41811 .49219 L
.41745 .49133 L
.41618 .48961 L
.41611 .4894 L
.41454 .48747 L
.41425 .48713 L
.41279 .48555 L
.41232 .4845 L
.4117 .48362 L
.4104 .48189 L
.41036 .48169 L
.40879 .47977 L
.40847 .47939 L
.40713 .47784 L
.40654 .47673 L
.406 .47591 L
.40462 .47411 L
.40462 .47399 L
.40308 .47206 L
.40269 .47158 L
.40148 .47013 L
.40076 .46891 L
.40032 .46821 L
.39884 .46629 L
.39883 .46628 L
.39742 .46435 L
.39691 .46374 L
.39585 .46242 L
.39498 .46103 L
.39467 .4605 L
.39319 .45857 L
.39306 .4585 L
.39178 .45664 L
.39113 .45584 L
.39026 .45472 L
.3892 .45311 L
.38903 .45279 L
.38758 .45086 L
.38727 .45067 L
.38552 .44894 L
.38535 .44789 L
.38469 .44701 L
.38342 .44514 L
.38339 .44508 L
.38201 .44316 L
.38149 .44275 L
.38008 .44123 L
.37957 .43985 L
.37917 .4393 L
.37786 .43737 L
.37764 .43708 L
.3765 .43545 L
.37571 .43468 L
.37472 .43352 L
.37379 .43167 L
.37374 .43159 L
.37242 .42967 L
.37186 .42889 L
.37107 .42774 L
.36993 .42629 L
.36956 .42581 L
.36842 .42389 L
.36801 .4233 L
.36713 .42196 L
.36608 .42044 L
.36582 .42003 L
.3646 .41811 L
.36415 .41744 L
.36342 .41618 L
F
0 .67 1 r
.36415 .42306 m
.36483 .42389 L
.36608 .42526 L
.36651 .42581 L
.36801 .42757 L
.36813 .42774 L
.36966 .42967 L
.36993 .42998 L
.37116 .43159 L
.37186 .43244 L
.37267 .43352 L
.37379 .43445 L
.37419 .43545 L
.37569 .43737 L
.37571 .4374 L
.37712 .4393 L
.37764 .43995 L
.37858 .44123 L
.37957 .44203 L
.38005 .44316 L
.38149 .44503 L
.38154 .44508 L
.38293 .44701 L
.38342 .44764 L
.38435 .44894 L
.38535 .44981 L
.3858 .45086 L
.38725 .45279 L
.38727 .45282 L
.38863 .45472 L
.3892 .45546 L
.39004 .45664 L
.39113 .45776 L
.39147 .45857 L
.39288 .4605 L
.39306 .46072 L
.39424 .46242 L
.39498 .4634 L
.39564 .46435 L
.39691 .4659 L
.39706 .46628 L
.39841 .46821 L
.39884 .46876 L
.39976 .47013 L
.40076 .47148 L
.40115 .47206 L
.40253 .47399 L
.40269 .4742 L
.40381 .47591 L
.40462 .47701 L
.40514 .47784 L
.40651 .47977 L
.40654 .47982 L
.40767 .48169 L
.40847 .48285 L
.40888 .48362 L
.40847 .48447 L
.40773 .48362 L
.40654 .48234 L
.40602 .48169 L
.40462 .48005 L
.40439 .47977 L
.40283 .47784 L
.40269 .47767 L
.40131 .47591 L
.40076 .47526 L
.39978 .47399 L
.39884 .47281 L
.39826 .47206 L
.39691 .47037 L
.39662 .47013 L
.3953 .46821 L
.39498 .46781 L
.39383 .46628 L
.39306 .46591 L
.39235 .46435 L
.39113 .4628 L
.39073 .46242 L
.38946 .4605 L
.3892 .46017 L
.38802 .45857 L
.38727 .45813 L
.38657 .45664 L
.38535 .45505 L
.38503 .45472 L
.38373 .45279 L
.38342 .45238 L
.38232 .45086 L
.38149 .45023 L
.3809 .44894 L
.37957 .44715 L
.37944 .44701 L
.37811 .44508 L
.37764 .44446 L
.37671 .44316 L
.37571 .44215 L
.37531 .44123 L
.37394 .4393 L
.37379 .4391 L
.37259 .43737 L
.37186 .43637 L
.37122 .43545 L
.36993 .43374 L
.36985 .43352 L
.36855 .43159 L
.36801 .43084 L
.36724 .42967 L
.36608 .42801 L
.3659 .42774 L
.3647 .42581 L
.36415 .42502 L
.36351 .42389 L
F
1 .81 0 r
.36415 .4149 m
.36533 .41618 L
.36608 .41694 L
.36707 .41811 L
.36801 .41914 L
.36873 .42003 L
.36993 .42131 L
.37035 .42196 L
.37186 .42381 L
.37195 .42389 L
.37344 .42581 L
.37379 .42622 L
.37497 .42774 L
.37571 .42852 L
.37649 .42967 L
.37764 .43113 L
.37808 .43159 L
.37947 .43352 L
.37957 .43364 L
.38094 .43545 L
.38149 .43603 L
.38313 .43737 L
.38342 .43867 L
.38396 .4393 L
.38534 .44123 L
.38535 .44124 L
.38678 .44316 L
.38727 .44369 L
.38877 .44508 L
.3892 .44635 L
.38973 .44701 L
.39112 .44894 L
.39113 .44895 L
.39254 .45086 L
.39306 .45143 L
.3944 .45279 L
.39498 .45412 L
.39544 .45472 L
.39684 .45664 L
.39691 .45674 L
.39825 .45857 L
.39884 .45923 L
.40002 .4605 L
.40076 .46194 L
.40112 .46242 L
.40252 .46435 L
.40269 .46438 L
.40392 .46628 L
.40462 .46707 L
.40562 .46821 L
.40654 .46981 L
.40677 .47013 L
.40816 .47206 L
.40847 .47216 L
.40956 .47399 L
.4104 .47497 L
.4112 .47591 L
.41232 .47773 L
.4124 .47784 L
.41378 .47977 L
.41425 .48 L
.41518 .48169 L
.41618 .48293 L
.41675 .48362 L
.418 .48555 L
.41811 .48569 L
.41936 .48747 L
.42003 .48795 L
.42076 .4894 L
.42196 .49096 L
.42225 .49133 L
.42354 .49326 L
.42389 .49372 L
.42491 .49518 L
.42581 .49604 L
.42679 .49711 L
.4277 .49904 L
.42774 .49909 L
.42902 .50096 L
.42967 .50184 L
.43038 .50289 L
.43159 .5044 L
.43195 .50482 L
.43309 .50674 L
.43352 .50734 L
.4344 .50867 L
.43545 .51014 L
.43574 .5106 L
.43703 .51253 L
.43737 .51301 L
.43825 .51445 L
.4393 .51601 L
.43951 .51638 L
.44055 .51831 L
.4393 .51841 L
.4392 .51831 L
.43742 .51638 L
.43737 .51633 L
.43575 .51445 L
.43545 .51412 L
.43412 .51253 L
.43352 .51183 L
.43251 .5106 L
.43159 .50959 L
.43094 .50867 L
.42967 .50707 L
.42935 .50674 L
.42788 .50482 L
.42774 .50464 L
.42637 .50289 L
.42581 .50227 L
.42415 .50096 L
.42389 .49969 L
.42334 .49904 L
.42196 .49718 L
.42193 .49711 L
.42042 .49518 L
.42003 .49474 L
.41849 .49326 L
.41811 .49213 L
.4175 .49133 L
.41618 .48956 L
.41612 .4894 L
.41459 .48747 L
.41425 .48708 L
.41282 .48555 L
.41232 .48445 L
.41173 .48362 L
.4104 .48185 L
.41037 .48169 L
.40883 .47977 L
.40847 .47934 L
.40715 .47784 L
.40654 .47669 L
.40602 .47591 L
.40462 .47407 L
.40462 .47399 L
.40312 .47206 L
.40269 .47155 L
.40151 .47013 L
.40076 .46886 L
.40035 .46821 L
.39886 .46628 L
.39884 .46627 L
.39745 .46435 L
.39691 .4637 L
.39588 .46242 L
.39498 .46099 L
.39469 .4605 L
.39322 .45857 L
.39306 .45848 L
.39181 .45664 L
.39113 .4558 L
.39029 .45472 L
.3892 .45307 L
.38905 .45279 L
.38761 .45086 L
.38727 .45064 L
.38554 .44894 L
.38535 .44784 L
.38473 .44701 L
.38342 .44509 L
.38342 .44508 L
.38205 .44316 L
.38149 .44271 L
.38011 .44123 L
.37957 .43978 L
.37922 .4393 L
.3779 .43737 L
.37764 .43701 L
.37654 .43545 L
.37571 .43461 L
.37479 .43352 L
.3738 .43159 L
.37379 .43158 L
.37248 .42967 L
.37186 .4288 L
.37113 .42774 L
.36993 .42615 L
.36967 .42581 L
.3685 .42389 L
.36801 .42318 L
.36722 .42196 L
.36608 .42029 L
.36592 .42003 L
.36474 .41811 L
.36415 .4172 L
.3636 .41618 L
F
0 .66 1 r
.36415 .42328 m
.36466 .42389 L
.36608 .4254 L
.3664 .42581 L
.36801 .42769 L
.36805 .42774 L
.36956 .42967 L
.36993 .43009 L
.37108 .43159 L
.37186 .43252 L
.37261 .43352 L
.37379 .43458 L
.37413 .43545 L
.37563 .43737 L
.37571 .43748 L
.37706 .4393 L
.37764 .44002 L
.37853 .44123 L
.37957 .44212 L
.38 .44316 L
.38148 .44508 L
.38149 .44511 L
.38288 .44701 L
.38342 .4477 L
.38431 .44894 L
.38535 .4499 L
.38576 .45086 L
.3872 .45279 L
.38727 .45288 L
.38858 .45472 L
.3892 .45552 L
.39 .45664 L
.39113 .45785 L
.39143 .45857 L
.39283 .4605 L
.39306 .46079 L
.3942 .46242 L
.39498 .46346 L
.3956 .46435 L
.39691 .46601 L
.39702 .46628 L
.39836 .46821 L
.39884 .46884 L
.39971 .47013 L
.40076 .47155 L
.4011 .47206 L
.40246 .47399 L
.40269 .4743 L
.40374 .47591 L
.40462 .47712 L
.40507 .47784 L
.4064 .47977 L
.40654 .47997 L
.40753 .48169 L
.40847 .4831 L
.40871 .48362 L
.40847 .4842 L
.40794 .48362 L
.40654 .48217 L
.40614 .48169 L
.40462 .47992 L
.40449 .47977 L
.40293 .47784 L
.40269 .47756 L
.40139 .47591 L
.40076 .47516 L
.39985 .47399 L
.39884 .47272 L
.39833 .47206 L
.39691 .47027 L
.39674 .47013 L
.39536 .46821 L
.39498 .46773 L
.39389 .46628 L
.39306 .46583 L
.39241 .46435 L
.39113 .46272 L
.39082 .46242 L
.38951 .4605 L
.3892 .4601 L
.38807 .45857 L
.38727 .45806 L
.38663 .45664 L
.38535 .45497 L
.3851 .45472 L
.38379 .45279 L
.38342 .45231 L
.38237 .45086 L
.38149 .45015 L
.38095 .44894 L
.37957 .44706 L
.37952 .44701 L
.37816 .44508 L
.37764 .44438 L
.37677 .44316 L
.37571 .44204 L
.37537 .44123 L
.374 .4393 L
.37379 .43902 L
.37265 .43737 L
.37186 .43629 L
.37128 .43545 L
.36993 .43357 L
.36991 .43352 L
.36863 .43159 L
.36801 .43072 L
.36732 .42967 L
.36608 .42788 L
.36599 .42774 L
.36483 .42581 L
.36415 .4248 L
.36367 .42389 L
F
1 .96 0 r
.36415 .38008 m
.36529 .38149 L
.36608 .38241 L
.36679 .38342 L
.36801 .385 L
.36823 .38535 L
.36801 .38712 L
.36653 .38535 L
.36608 .38482 L
.36505 .38342 L
.36415 .3822 L
.36368 .38149 L
F
1 .8 0 r
.36415 .41523 m
.36508 .41618 L
.36608 .41714 L
.36691 .41811 L
.36801 .4193 L
.36861 .42003 L
.36993 .42146 L
.37024 .42196 L
.37183 .42389 L
.37186 .42392 L
.37336 .42581 L
.37379 .42632 L
.37489 .42774 L
.37571 .4286 L
.37642 .42967 L
.37764 .4312 L
.37801 .43159 L
.37941 .43352 L
.37957 .43371 L
.38089 .43545 L
.38149 .43609 L
.38308 .43737 L
.38342 .43873 L
.38391 .4393 L
.3853 .44123 L
.38535 .44129 L
.38674 .44316 L
.38727 .44373 L
.38873 .44508 L
.3892 .4464 L
.38969 .44701 L
.39108 .44894 L
.39113 .449 L
.3925 .45086 L
.39306 .45147 L
.39437 .45279 L
.39498 .45416 L
.39541 .45472 L
.39681 .45664 L
.39691 .45678 L
.39822 .45857 L
.39884 .45926 L
.39999 .4605 L
.40076 .46198 L
.40109 .46242 L
.40249 .46435 L
.40269 .46439 L
.40389 .46628 L
.40462 .46711 L
.40559 .46821 L
.40654 .46985 L
.40674 .47013 L
.40814 .47206 L
.40847 .47217 L
.40954 .47399 L
.4104 .47501 L
.41117 .47591 L
.41232 .47777 L
.41237 .47784 L
.41375 .47977 L
.41425 .48003 L
.41515 .48169 L
.41618 .48297 L
.41671 .48362 L
.41796 .48555 L
.41811 .48573 L
.41933 .48747 L
.42003 .48799 L
.42073 .4894 L
.42196 .49101 L
.42221 .49133 L
.4235 .49326 L
.42389 .49377 L
.42487 .49518 L
.42581 .49611 L
.42672 .49711 L
.42765 .49904 L
.42774 .49915 L
.42898 .50096 L
.42967 .5019 L
.43034 .50289 L
.43159 .50451 L
.43185 .50482 L
.43302 .50674 L
.43352 .50743 L
.43433 .50867 L
.43545 .51025 L
.43567 .5106 L
.43693 .51253 L
.43737 .51317 L
.43813 .51445 L
.4393 .51624 L
.43938 .51638 L
.4393 .5181 L
.43763 .51638 L
.43737 .51613 L
.4359 .51445 L
.43545 .51396 L
.43424 .51253 L
.43352 .51169 L
.43262 .5106 L
.43159 .50947 L
.43103 .50867 L
.42967 .50697 L
.42945 .50674 L
.42796 .50482 L
.42774 .50455 L
.42644 .50289 L
.42581 .50219 L
.4242 .50096 L
.42389 .49961 L
.4234 .49904 L
.42196 .49712 L
.42195 .49711 L
.42047 .49518 L
.42003 .49468 L
.41853 .49326 L
.41811 .49207 L
.41754 .49133 L
.41618 .48951 L
.41614 .4894 L
.41463 .48747 L
.41425 .48703 L
.41285 .48555 L
.41232 .4844 L
.41177 .48362 L
.4104 .48181 L
.41038 .48169 L
.40886 .47977 L
.40847 .4793 L
.40718 .47784 L
.40654 .47664 L
.40605 .47591 L
.40462 .47404 L
.40462 .47399 L
.40315 .47206 L
.40269 .47151 L
.40153 .47013 L
.40076 .46882 L
.40037 .46821 L
.39889 .46628 L
.39884 .46625 L
.39748 .46435 L
.39691 .46366 L
.39591 .46242 L
.39498 .46095 L
.39472 .4605 L
.39325 .45857 L
.39306 .45847 L
.39185 .45664 L
.39113 .45576 L
.39032 .45472 L
.3892 .45303 L
.38907 .45279 L
.38765 .45086 L
.38727 .45062 L
.38557 .44894 L
.38535 .44779 L
.38476 .44701 L
.38346 .44508 L
.38342 .44503 L
.38209 .44316 L
.38149 .44267 L
.38016 .44123 L
.37957 .43972 L
.37926 .4393 L
.37795 .43737 L
.37764 .43695 L
.37659 .43545 L
.37571 .43453 L
.37486 .43352 L
.37385 .43159 L
.37379 .4315 L
.37254 .42967 L
.37186 .42872 L
.3712 .42774 L
.36993 .426 L
.36979 .42581 L
.36859 .42389 L
.36801 .42305 L
.36731 .42196 L
.36608 .42013 L
.36602 .42003 L
.3649 .41811 L
.36415 .4169 L
.3638 .41618 L
F
0 .93 1 r
.36415 .40698 m
.3657 .40847 L
.36608 .40882 L
.36753 .4104 L
.36801 .4109 L
.36924 .41232 L
.36993 .41288 L
.3709 .41425 L
.37186 .41538 L
.37291 .41618 L
.37379 .41778 L
.37407 .41811 L
.37562 .42003 L
.37571 .42011 L
.37716 .42196 L
.37764 .42257 L
.37895 .42389 L
.37957 .4251 L
.38011 .42581 L
.38149 .4276 L
.3815 .42774 L
.38314 .42967 L
.38342 .43004 L
.38477 .43159 L
.38535 .43264 L
.38596 .43352 L
.38727 .43523 L
.38754 .43545 L
.38898 .43737 L
.3892 .43768 L
.39053 .4393 L
.39113 .44032 L
.39171 .44123 L
.39306 .44294 L
.39331 .44316 L
.39474 .44508 L
.39498 .44541 L
.39624 .44701 L
.39691 .44808 L
.39741 .44894 L
.39884 .4507 L
.39903 .45086 L
.40045 .45279 L
.40076 .45321 L
.40192 .45472 L
.40269 .45589 L
.40309 .45664 L
.40462 .45849 L
.40472 .45857 L
.40644 .4605 L
.40654 .46105 L
.40758 .46242 L
.40847 .46373 L
.40875 .46435 L
.41039 .46628 L
.4104 .46629 L
.41209 .46821 L
.41232 .4689 L
.41322 .47013 L
.41425 .47158 L
.41442 .47206 L
.41604 .47399 L
.41618 .47413 L
.41773 .47591 L
.41811 .47678 L
.41885 .47784 L
.42003 .47945 L
.4201 .47977 L
.42169 .48169 L
.42196 .48198 L
.42335 .48362 L
.42389 .48466 L
.42448 .48555 L
.42581 .48733 L
.42593 .48747 L
.42732 .4894 L
.42774 .48985 L
.42896 .49133 L
.42967 .49256 L
.43011 .49326 L
.43156 .49518 L
.43159 .49519 L
.43295 .49711 L
.43352 .49774 L
.43456 .49904 L
.43545 .50048 L
.43574 .50096 L
.43718 .50289 L
.43737 .50295 L
.43857 .50482 L
.4393 .50566 L
.44014 .50674 L
.44123 .50842 L
.44137 .50867 L
.44278 .5106 L
.44316 .51077 L
.44482 .51253 L
.44508 .51362 L
.44571 .51445 L
.447 .51638 L
.44701 .51639 L
.44837 .51831 L
.44894 .51868 L
.4503 .52023 L
.45086 .52163 L
.45125 .52216 L
.45256 .52409 L
.45279 .5244 L
.45392 .52601 L
.45472 .5267 L
.45573 .52794 L
.45664 .52972 L
.45675 .52987 L
.45807 .53179 L
.45857 .53247 L
.45943 .53372 L
.4605 .53493 L
.46105 .53565 L
.46218 .53758 L
.46242 .53791 L
.46349 .5395 L
.46435 .54069 L
.46485 .54143 L
.4662 .54336 L
.46628 .54346 L
.46745 .54528 L
.46821 .54636 L
.46873 .54721 L
.47001 .54914 L
.47013 .54933 L
.47108 .55106 L
.47206 .55278 L
.47214 .55299 L
.47206 .55377 L
.47102 .55299 L
.47013 .55224 L
.469 .55106 L
.46821 .55024 L
.46721 .54914 L
.46628 .54824 L
.46551 .54721 L
.46435 .54582 L
.46369 .54528 L
.46242 .54349 L
.46232 .54336 L
.46072 .54143 L
.4605 .5412 L
.45915 .5395 L
.45857 .53873 L
.45751 .53758 L
.45664 .53622 L
.45626 .53565 L
.45472 .53378 L
.45461 .53372 L
.45311 .53179 L
.45279 .53134 L
.4516 .52987 L
.45086 .52874 L
.4504 .52794 L
.44894 .52616 L
.44868 .52601 L
.44723 .52409 L
.44701 .52376 L
.44579 .52216 L
.44508 .52111 L
.44463 .52023 L
.44316 .51847 L
.44288 .51831 L
.44129 .51638 L
.44123 .51606 L
.44006 .51445 L
.4393 .51338 L
.43893 .51253 L
.43737 .51073 L
.43713 .5106 L
.43559 .50867 L
.43545 .50829 L
.43436 .50674 L
.43352 .50559 L
.43326 .50482 L
.43159 .50297 L
.43143 .50289 L
.4299 .50096 L
.42967 .50046 L
.4287 .49904 L
.42774 .49776 L
.42762 .49711 L
.42581 .4952 L
.42576 .49518 L
.42423 .49326 L
.42389 .49261 L
.42305 .49133 L
.42196 .48991 L
.4215 .4894 L
.4201 .48747 L
.42003 .48739 L
.41858 .48555 L
.41811 .48474 L
.41742 .48362 L
.41618 .48206 L
.41585 .48169 L
.41445 .47977 L
.41425 .47953 L
.41295 .47784 L
.41232 .47685 L
.41178 .47591 L
.4104 .47419 L
.41021 .47399 L
.40881 .47206 L
.40847 .47165 L
.40732 .47013 L
.40654 .46896 L
.40615 .46821 L
.40462 .46632 L
.40458 .46628 L
.40278 .46435 L
.40269 .46375 L
.40171 .46242 L
.40076 .46105 L
.40051 .4605 L
.39896 .45857 L
.39884 .45849 L
.39717 .45664 L
.39691 .45584 L
.39611 .45472 L
.39498 .45312 L
.39486 .45279 L
.39335 .45086 L
.39306 .45064 L
.39159 .44894 L
.39113 .4479 L
.39052 .44701 L
.3892 .44517 L
.38918 .44508 L
.38776 .44316 L
.38727 .44274 L
.38604 .44123 L
.38535 .43991 L
.38495 .4393 L
.38358 .43737 L
.38342 .43716 L
.38221 .43545 L
.38149 .43475 L
.38055 .43352 L
.37957 .43184 L
.37941 .43159 L
.37806 .42967 L
.37764 .42909 L
.3767 .42774 L
.37571 .42659 L
.37514 .42581 L
.37395 .42389 L
.37379 .42366 L
.37263 .42196 L
.37186 .42088 L
.37128 .42003 L
.36993 .41812 L
.36992 .41811 L
.36867 .41618 L
.36801 .41523 L
.36738 .41425 L
.36608 .41233 L
.36608 .41232 L
.36495 .4104 L
.36415 .40912 L
.36382 .40847 L
F
0 .65 1 r
.36415 .42356 m
.36443 .42389 L
.36608 .42556 L
.36628 .42581 L
.36608 .42773 L
.365 .42581 L
.36415 .42449 L
.36389 .42389 L
F
1 .79 0 r
.36415 .41576 m
.3647 .41618 L
.36608 .41737 L
.36673 .41811 L
.36801 .41947 L
.36848 .42003 L
.36993 .42163 L
.37014 .42196 L
.37172 .42389 L
.37186 .42404 L
.37327 .42581 L
.37379 .42642 L
.37482 .42774 L
.37571 .42869 L
.37636 .42967 L
.37764 .43128 L
.37794 .43159 L
.37936 .43352 L
.37957 .43378 L
.38083 .43545 L
.38149 .43615 L
.38304 .43737 L
.38342 .43879 L
.38386 .4393 L
.38525 .44123 L
.38535 .44135 L
.3867 .44316 L
.38727 .44378 L
.3887 .44508 L
.3892 .44645 L
.38966 .44701 L
.39105 .44894 L
.39113 .44904 L
.39247 .45086 L
.39306 .4515 L
.39434 .45279 L
.39498 .4542 L
.39538 .45472 L
.39678 .45664 L
.39691 .45682 L
.39819 .45857 L
.39884 .4593 L
.39996 .4605 L
.40076 .46201 L
.40106 .46242 L
.40246 .46435 L
.40269 .4644 L
.40387 .46628 L
.40462 .46714 L
.40556 .46821 L
.40654 .46988 L
.40672 .47013 L
.40811 .47206 L
.40847 .47219 L
.40951 .47399 L
.4104 .47505 L
.41114 .47591 L
.41232 .47781 L
.41235 .47784 L
.41372 .47977 L
.41425 .48006 L
.41512 .48169 L
.41618 .48301 L
.41668 .48362 L
.41793 .48555 L
.41811 .48578 L
.4193 .48747 L
.42003 .48803 L
.4207 .4894 L
.42196 .49107 L
.42217 .49133 L
.42347 .49326 L
.42389 .49382 L
.42483 .49518 L
.42581 .49618 L
.42666 .49711 L
.42761 .49904 L
.42774 .49922 L
.42893 .50096 L
.42967 .50197 L
.43029 .50289 L
.43159 .50463 L
.43175 .50482 L
.43295 .50674 L
.43352 .50753 L
.43426 .50867 L
.43545 .51036 L
.4356 .5106 L
.43681 .51253 L
.43737 .51335 L
.438 .51445 L
.43737 .51591 L
.43607 .51445 L
.43545 .51379 L
.43437 .51253 L
.43352 .51155 L
.43273 .5106 L
.43159 .50934 L
.43113 .50867 L
.42967 .50686 L
.42955 .50674 L
.42804 .50482 L
.42774 .50445 L
.42651 .50289 L
.42581 .50211 L
.42426 .50096 L
.42389 .49954 L
.42346 .49904 L
.42201 .49711 L
.42196 .49705 L
.42052 .49518 L
.42003 .49462 L
.41856 .49326 L
.41811 .49201 L
.41758 .49133 L
.41618 .48946 L
.41616 .4894 L
.41467 .48747 L
.41425 .48698 L
.41288 .48555 L
.41232 .48434 L
.4118 .48362 L
.4104 .48176 L
.41038 .48169 L
.4089 .47977 L
.40847 .47926 L
.40721 .47784 L
.40654 .47659 L
.40608 .47591 L
.40462 .474 L
.40462 .47399 L
.40318 .47206 L
.40269 .47147 L
.40156 .47013 L
.40076 .46878 L
.4004 .46821 L
.39892 .46628 L
.39884 .46624 L
.39751 .46435 L
.39691 .46362 L
.39594 .46242 L
.39498 .46091 L
.39474 .4605 L
.39328 .45857 L
.39306 .45845 L
.39188 .45664 L
.39113 .45571 L
.39035 .45472 L
.3892 .45298 L
.3891 .45279 L
.38768 .45086 L
.38727 .45059 L
.38559 .44894 L
.38535 .44774 L
.3848 .44701 L
.3835 .44508 L
.38342 .44498 L
.38213 .44316 L
.38149 .44262 L
.3802 .44123 L
.37957 .43966 L
.37931 .4393 L
.378 .43737 L
.37764 .43689 L
.37664 .43545 L
.37571 .43444 L
.37493 .43352 L
.37391 .43159 L
.37379 .43142 L
.3726 .42967 L
.37186 .42863 L
.37126 .42774 L
.36993 .42584 L
.36991 .42581 L
.36868 .42389 L
.36801 .42291 L
.36741 .42196 L
.36614 .42003 L
.36608 .41994 L
.36509 .41811 L
.36415 .41643 L
.36406 .41618 L
F
1 .99 0 r
.36608 .36708 m
.36801 .36771 L
.36876 .36801 L
.36993 .36932 L
.3705 .36993 L
.37186 .37155 L
.37197 .37186 L
.3736 .37379 L
.37379 .37405 L
.37536 .37571 L
.37571 .3767 L
.37651 .37764 L
.37764 .37935 L
.37774 .37957 L
.37938 .38149 L
.37957 .38171 L
.38104 .38342 L
.38149 .38436 L
.38219 .38535 L
.38342 .38701 L
.38344 .38727 L
.38503 .3892 L
.38535 .3893 L
.38665 .39113 L
.38727 .39199 L
.38778 .39306 L
.38919 .39498 L
.3892 .395 L
.39044 .39691 L
.38997 .39884 L
.3892 .39888 L
.38861 .39884 L
.38727 .39859 L
.38535 .39722 L
.38532 .39691 L
.38351 .39498 L
.38342 .39483 L
.38191 .39306 L
.38149 .39213 L
.38071 .39113 L
.37957 .38946 L
.37915 .3892 L
.37774 .38727 L
.37764 .38715 L
.37623 .38535 L
.37571 .38451 L
.37507 .38342 L
.37379 .38183 L
.37351 .38149 L
.37213 .37957 L
.37186 .37944 L
.37064 .37764 L
.36993 .37669 L
.3695 .37571 L
.36801 .37379 L
.36801 .37378 L
.36671 .37186 L
.36608 .37085 L
.36539 .36993 L
.36472 .36801 L
F
0 .96 1 r
.36608 .37434 m
.3675 .37571 L
.36801 .37621 L
.36924 .37764 L
.36993 .37842 L
.37084 .37957 L
.37186 .38059 L
.37237 .38149 L
.37379 .38329 L
.3739 .38342 L
.37526 .38535 L
.37571 .38594 L
.37664 .38727 L
.37764 .38867 L
.378 .3892 L
.37924 .39113 L
.37957 .39165 L
.38028 .39306 L
.37957 .39446 L
.37773 .39306 L
.37764 .39298 L
.37589 .39113 L
.37571 .39093 L
.37427 .3892 L
.37379 .38909 L
.37274 .38727 L
.37186 .38627 L
.37096 .38535 L
.36993 .38351 L
.36987 .38342 L
.36853 .38149 L
.36801 .38074 L
.36722 .37957 L
.36608 .37795 L
.36593 .37764 L
.36495 .37571 L
F
0 .64 1 r
.36608 .42573 m
.36614 .42581 L
.36608 .42753 L
.3652 .42581 L
F
1 .78 0 r
.36608 .41763 m
.36652 .41811 L
.36801 .41964 L
.36834 .42003 L
.36993 .42181 L
.37002 .42196 L
.37162 .42389 L
.37186 .42416 L
.37318 .42581 L
.37379 .42652 L
.37474 .42774 L
.37571 .42878 L
.37629 .42967 L
.37764 .43137 L
.37786 .43159 L
.3793 .43352 L
.37957 .43385 L
.38078 .43545 L
.38149 .43621 L
.38298 .43737 L
.38342 .43885 L
.38382 .4393 L
.38521 .44123 L
.38535 .44141 L
.38666 .44316 L
.38727 .44383 L
.38866 .44508 L
.3892 .4465 L
.38962 .44701 L
.39101 .44894 L
.39113 .44909 L
.39244 .45086 L
.39306 .45154 L
.39431 .45279 L
.39498 .45424 L
.39535 .45472 L
.39674 .45664 L
.39691 .45686 L
.39816 .45857 L
.39884 .45933 L
.39993 .4605 L
.40076 .46205 L
.40104 .46242 L
.40243 .46435 L
.40269 .46441 L
.40384 .46628 L
.40462 .46718 L
.40553 .46821 L
.40654 .46992 L
.40669 .47013 L
.40808 .47206 L
.40847 .47221 L
.40948 .47399 L
.4104 .47508 L
.41111 .47591 L
.41232 .47784 L
.41232 .47785 L
.41369 .47977 L
.41425 .48008 L
.41509 .48169 L
.41618 .48306 L
.41664 .48362 L
.4179 .48555 L
.41811 .48582 L
.41927 .48747 L
.42003 .48808 L
.42067 .4894 L
.42196 .49112 L
.42212 .49133 L
.42343 .49326 L
.42389 .49387 L
.42479 .49518 L
.42581 .49626 L
.42659 .49711 L
.42756 .49904 L
.42774 .49928 L
.42888 .50096 L
.42967 .50204 L
.43024 .50289 L
.43159 .50476 L
.43164 .50482 L
.43289 .50674 L
.43352 .50763 L
.43418 .50867 L
.43545 .51048 L
.43552 .5106 L
.43669 .51253 L
.43737 .51355 L
.43785 .51445 L
.43737 .51566 L
.43626 .51445 L
.43545 .51362 L
.43451 .51253 L
.43352 .51141 L
.43284 .5106 L
.43159 .50921 L
.43123 .50867 L
.42967 .50675 L
.42966 .50674 L
.42812 .50482 L
.42774 .50436 L
.42658 .50289 L
.42581 .50203 L
.42433 .50096 L
.42389 .49946 L
.42352 .49904 L
.42206 .49711 L
.42196 .49698 L
.42058 .49518 L
.42003 .49456 L
.4186 .49326 L
.41811 .49195 L
.41762 .49133 L
.41618 .48941 L
.41617 .4894 L
.41471 .48747 L
.41425 .48693 L
.41291 .48555 L
.41232 .48429 L
.41184 .48362 L
.4104 .48172 L
.41039 .48169 L
.40894 .47977 L
.40847 .47921 L
.40724 .47784 L
.40654 .47655 L
.40611 .47591 L
.40464 .47399 L
.40462 .47398 L
.40322 .47206 L
.40269 .47142 L
.40159 .47013 L
.40076 .46874 L
.40042 .46821 L
.39896 .46628 L
.39884 .46622 L
.39754 .46435 L
.39691 .46358 L
.39597 .46242 L
.39498 .46087 L
.39476 .4605 L
.39331 .45857 L
.39306 .45842 L
.39191 .45664 L
.39113 .45567 L
.39038 .45472 L
.3892 .45293 L
.38912 .45279 L
.38771 .45086 L
.38727 .45056 L
.38562 .44894 L
.38535 .44769 L
.38484 .44701 L
.38353 .44508 L
.38342 .44493 L
.38217 .44316 L
.38149 .44257 L
.38025 .44123 L
.37957 .43959 L
.37936 .4393 L
.37804 .43737 L
.37764 .43682 L
.37669 .43545 L
.37571 .43436 L
.37501 .43352 L
.37397 .43159 L
.37379 .43134 L
.37266 .42967 L
.37186 .42853 L
.37133 .42774 L
.37 .42581 L
.36993 .42571 L
.36877 .42389 L
.36801 .42276 L
.36751 .42196 L
.3663 .42003 L
.36608 .41969 L
.36532 .41811 L
F
0 .92 1 r
.36608 .40939 m
.36707 .4104 L
.36801 .41131 L
.36892 .41232 L
.36993 .41318 L
.37064 .41425 L
.37186 .41565 L
.37261 .41618 L
.37379 .418 L
.37389 .41811 L
.37546 .42003 L
.37571 .42025 L
.37701 .42196 L
.37764 .42274 L
.37884 .42389 L
.37957 .42525 L
.38001 .42581 L
.38149 .42769 L
.3815 .42774 L
.38304 .42967 L
.38342 .43016 L
.38471 .43159 L
.38535 .43274 L
.38589 .43352 L
.38727 .4353 L
.38746 .43545 L
.38891 .43737 L
.3892 .43776 L
.39048 .4393 L
.39113 .44039 L
.39167 .44123 L
.39306 .44299 L
.39326 .44316 L
.39469 .44508 L
.39498 .44547 L
.3962 .44701 L
.39691 .44813 L
.39738 .44894 L
.39884 .45074 L
.39899 .45086 L
.40041 .45279 L
.40076 .45326 L
.40189 .45472 L
.40269 .45593 L
.40307 .45664 L
.40462 .45851 L
.40469 .45857 L
.40643 .4605 L
.40654 .46108 L
.40755 .46242 L
.40847 .46376 L
.40874 .46435 L
.41036 .46628 L
.4104 .46632 L
.41208 .46821 L
.41232 .46894 L
.4132 .47013 L
.41425 .47161 L
.41441 .47206 L
.41602 .47399 L
.41618 .47415 L
.41771 .47591 L
.41811 .47681 L
.41884 .47784 L
.42003 .47948 L
.42009 .47977 L
.42167 .48169 L
.42196 .48201 L
.42333 .48362 L
.42389 .48469 L
.42447 .48555 L
.42581 .48736 L
.42591 .48747 L
.4273 .4894 L
.42774 .48988 L
.42894 .49133 L
.42967 .49259 L
.43009 .49326 L
.43154 .49518 L
.43159 .49519 L
.43293 .49711 L
.43352 .49777 L
.43454 .49904 L
.43545 .50051 L
.43572 .50096 L
.43715 .50289 L
.43737 .50296 L
.43854 .50482 L
.4393 .5057 L
.44011 .50674 L
.44123 .50846 L
.44135 .50867 L
.44275 .5106 L
.44316 .51079 L
.44479 .51253 L
.44508 .51366 L
.44567 .51445 L
.44696 .51638 L
.44701 .51644 L
.44833 .51831 L
.44894 .51872 L
.45026 .52023 L
.45086 .52169 L
.4512 .52216 L
.45251 .52409 L
.45279 .52446 L
.45387 .52601 L
.45472 .52679 L
.45565 .52794 L
.45664 .52982 L
.45668 .52987 L
.458 .53179 L
.45857 .53257 L
.45936 .53372 L
.4605 .53508 L
.46093 .53565 L
.46208 .53758 L
.46242 .53805 L
.46339 .5395 L
.46435 .54085 L
.46473 .54143 L
.46604 .54336 L
.46628 .54369 L
.46727 .54528 L
.46821 .54667 L
.46852 .54721 L
.46966 .54914 L
.47013 .54993 L
.47055 .55106 L
.47013 .5515 L
.46962 .55106 L
.46821 .54977 L
.46761 .54914 L
.46628 .54784 L
.46583 .54721 L
.46435 .54552 L
.46403 .54528 L
.46251 .54336 L
.46242 .54325 L
.46091 .54143 L
.4605 .54101 L
.45932 .5395 L
.45857 .53853 L
.45764 .53758 L
.45664 .53606 L
.45636 .53565 L
.45474 .53372 L
.45472 .5337 L
.45322 .53179 L
.45279 .5312 L
.45169 .52987 L
.45086 .52862 L
.45046 .52794 L
.44894 .5261 L
.44877 .52601 L
.44731 .52409 L
.44701 .52366 L
.44586 .52216 L
.44508 .52102 L
.44468 .52023 L
.44316 .51843 L
.44294 .51831 L
.44131 .51638 L
.44123 .51599 L
.4401 .51445 L
.4393 .51331 L
.43896 .51253 L
.43737 .5107 L
.43718 .5106 L
.43561 .50867 L
.43545 .50823 L
.4344 .50674 L
.43352 .50554 L
.43328 .50482 L
.43159 .50295 L
.43147 .50289 L
.42992 .50096 L
.42967 .50041 L
.42873 .49904 L
.42774 .49772 L
.42763 .49711 L
.42581 .49519 L
.42579 .49518 L
.42425 .49326 L
.42389 .49257 L
.42308 .49133 L
.42196 .48988 L
.42152 .4894 L
.42013 .48747 L
.42003 .48736 L
.4186 .48555 L
.41811 .4847 L
.41744 .48362 L
.41618 .48203 L
.41587 .48169 L
.41447 .47977 L
.41425 .4795 L
.41297 .47784 L
.41232 .47682 L
.4118 .47591 L
.4104 .47417 L
.41023 .47399 L
.40883 .47206 L
.40847 .47162 L
.40734 .47013 L
.40654 .46893 L
.40617 .46821 L
.40462 .46629 L
.4046 .46628 L
.40279 .46435 L
.40269 .46372 L
.40173 .46242 L
.40076 .46102 L
.40053 .4605 L
.39898 .45857 L
.39884 .45847 L
.39718 .45664 L
.39691 .4558 L
.39613 .45472 L
.39498 .45308 L
.39488 .45279 L
.39338 .45086 L
.39306 .45061 L
.39161 .44894 L
.39113 .44785 L
.39055 .44701 L
.3892 .44512 L
.38919 .44508 L
.3878 .44316 L
.38727 .44269 L
.38608 .44123 L
.38535 .43984 L
.38499 .4393 L
.38363 .43737 L
.38342 .4371 L
.38226 .43545 L
.38149 .43467 L
.38061 .43352 L
.37957 .43174 L
.37947 .43159 L
.37813 .42967 L
.37764 .42899 L
.37677 .42774 L
.37571 .42645 L
.37525 .42581 L
.37405 .42389 L
.37379 .42352 L
.37274 .42196 L
.37186 .42072 L
.3714 .42003 L
.37008 .41811 L
.36993 .4179 L
.36884 .41618 L
.36801 .41496 L
.36757 .41425 L
.36637 .41232 L
.36608 .41188 L
.36534 .4104 L
F
1 .98 0 r
.36608 .40143 m
.36735 .40269 L
.36801 .40331 L
.36921 .40462 L
.36993 .40502 L
.37097 .40654 L
.37186 .40758 L
.37267 .40847 L
.37379 .40994 L
.3741 .4104 L
.37571 .41206 L
.37594 .41232 L
.37753 .41425 L
.37764 .4144 L
.37947 .41618 L
.37957 .41688 L
.38049 .41811 L
.38149 .41952 L
.38221 .42003 L
.38342 .42162 L
.3837 .42196 L
.38528 .42389 L
.38535 .42416 L
.38656 .42581 L
.38727 .42686 L
.38767 .42774 L
.3892 .42916 L
.3896 .42967 L
.39107 .43159 L
.39113 .43175 L
.39239 .43352 L
.39306 .43449 L
.39346 .43545 L
.39498 .43687 L
.39537 .43737 L
.39682 .4393 L
.39691 .43951 L
.3981 .44123 L
.39884 .44227 L
.39911 .44316 L
.40076 .44467 L
.40107 .44508 L
.40252 .44701 L
.40269 .44733 L
.40376 .44894 L
.40462 .45011 L
.40535 .45086 L
.40654 .45252 L
.40675 .45279 L
.40819 .45472 L
.40847 .4552 L
.40939 .45664 L
.4104 .45797 L
.41101 .45857 L
.41232 .46039 L
.4124 .4605 L
.41385 .46242 L
.41425 .46308 L
.41501 .46435 L
.41618 .46583 L
.41666 .46628 L
.41805 .46821 L
.41811 .46828 L
.41949 .47013 L
.42003 .47097 L
.42063 .47206 L
.42196 .47368 L
.42231 .47399 L
.42385 .47591 L
.42389 .47616 L
.42512 .47784 L
.42581 .47886 L
.42625 .47977 L
.42774 .48152 L
.42795 .48169 L
.42954 .48362 L
.42967 .48405 L
.43075 .48555 L
.43159 .48674 L
.43187 .48747 L
.43352 .48935 L
.43358 .4894 L
.4352 .49133 L
.43545 .49194 L
.43637 .49326 L
.43737 .49463 L
.43752 .49518 L
.43922 .49711 L
.4393 .49719 L
.44084 .49904 L
.44123 .49983 L
.442 .50096 L
.44316 .50251 L
.44318 .50289 L
.44486 .50482 L
.44508 .50505 L
.44647 .50674 L
.44701 .50773 L
.44762 .50867 L
.44894 .5104 L
.44909 .5106 L
.45049 .51253 L
.45086 .51292 L
.45208 .51445 L
.45279 .51563 L
.45325 .51638 L
.45472 .51829 L
.45473 .51831 L
.45612 .52023 L
.45664 .52081 L
.45769 .52216 L
.45857 .52354 L
.45888 .52409 L
.46035 .52601 L
.4605 .52605 L
.46234 .52794 L
.46242 .52871 L
.4633 .52987 L
.46435 .53146 L
.46452 .53179 L
.46597 .53372 L
.46628 .53384 L
.46791 .53565 L
.46821 .53663 L
.46889 .53758 L
.47013 .53939 L
.47018 .5395 L
.47159 .54143 L
.47206 .54169 L
.47346 .54336 L
.47399 .54458 L
.47448 .54528 L
.47581 .54721 L
.47591 .54734 L
.47719 .54914 L
.47784 .54962 L
.47899 .55106 L
.47977 .55257 L
.48005 .55299 L
.48139 .55492 L
.48169 .55532 L
.48277 .55684 L
.48362 .55763 L
.48447 .55877 L
.48555 .56063 L
.4856 .5607 L
.48694 .56263 L
.48747 .56335 L
.48831 .56455 L
.4894 .5658 L
.48989 .56648 L
.49108 .56841 L
.49133 .56874 L
.49241 .57033 L
.49326 .57149 L
.49377 .57226 L
.49515 .57419 L
.49518 .57423 L
.49642 .57611 L
.49711 .57708 L
.49772 .57804 L
.49904 .57995 L
.49905 .57997 L
.5002 .58189 L
.50096 .58309 L
.50134 .58382 L
.50096 .58554 L
.49913 .58382 L
.49904 .58374 L
.49729 .58189 L
.49711 .58171 L
.49555 .57997 L
.49518 .57964 L
.49386 .57804 L
.49326 .57728 L
.49186 .57611 L
.49133 .57488 L
.49075 .57419 L
.4894 .57246 L
.48936 .57226 L
.48756 .57033 L
.48747 .57022 L
.48591 .56841 L
.48555 .56768 L
.4847 .56648 L
.48362 .56504 L
.483 .56455 L
.48169 .56281 L
.48155 .56263 L
.48005 .5607 L
.47977 .5602 L
.47883 .55877 L
.47784 .55745 L
.47713 .55684 L
.47591 .55519 L
.4757 .55492 L
.47427 .55299 L
.47399 .55254 L
.47308 .55106 L
.47206 .54972 L
.47136 .54914 L
.47013 .54745 L
.46995 .54721 L
.46855 .54528 L
.46821 .54476 L
.4674 .54336 L
.46628 .54192 L
.46565 .54143 L
.46435 .53963 L
.46425 .5395 L
.46287 .53758 L
.46242 .53692 L
.46177 .53565 L
.4605 .53408 L
.45997 .53372 L
.45858 .53179 L
.45857 .53178 L
.45722 .52987 L
.45664 .52904 L
.45616 .52794 L
.45472 .52625 L
.45431 .52601 L
.45287 .52409 L
.45279 .5239 L
.45159 .52216 L
.45086 .52116 L
.45056 .52023 L
.44894 .51843 L
.44866 .51831 L
.44719 .51638 L
.44701 .51601 L
.44596 .51445 L
.44508 .51328 L
.44496 .51253 L
.44316 .51064 L
.44302 .5106 L
.44153 .50867 L
.44123 .50812 L
.44034 .50674 L
.4393 .5054 L
.43877 .50482 L
.43738 .50289 L
.43737 .50288 L
.43589 .50096 L
.43545 .50022 L
.43472 .49904 L
.43352 .49753 L
.43314 .49711 L
.43174 .49518 L
.43159 .495 L
.43026 .49326 L
.42967 .49233 L
.4291 .49133 L
.42774 .48966 L
.4275 .4894 L
.4261 .48747 L
.42581 .48712 L
.42463 .48555 L
.42389 .48444 L
.42347 .48362 L
.42196 .48179 L
.42187 .48169 L
.42014 .47977 L
.42003 .47923 L
.41901 .47784 L
.41811 .47654 L
.41784 .47591 L
.41623 .47399 L
.41618 .47395 L
.4145 .47206 L
.41425 .47134 L
.41339 .47013 L
.41232 .46864 L
.41218 .46821 L
.4106 .46628 L
.4104 .46612 L
.40889 .46435 L
.40847 .46344 L
.40778 .46242 L
.40654 .46073 L
.4065 .4605 L
.40498 .45857 L
.40462 .45827 L
.40328 .45664 L
.40269 .45553 L
.40216 .45472 L
.40076 .45282 L
.40074 .45279 L
.39936 .45086 L
.39884 .45038 L
.3977 .44894 L
.39691 .44759 L
.39655 .44701 L
.39513 .44508 L
.39498 .44488 L
.39375 .44316 L
.39306 .44247 L
.39212 .44123 L
.39113 .43963 L
.39093 .4393 L
.38953 .43737 L
.3892 .43693 L
.38815 .43545 L
.38727 .43449 L
.38657 .43352 L
.38535 .43164 L
.38532 .43159 L
.38396 .42967 L
.38342 .42894 L
.38191 .42774 L
.38149 .42644 L
.38106 .42581 L
.37978 .42389 L
.37957 .4236 L
.37843 .42196 L
.37764 .42089 L
.37653 .42003 L
.37571 .41824 L
.37562 .41811 L
.37433 .41618 L
.37379 .41544 L
.37299 .41425 L
.37186 .41267 L
.37139 .41232 L
.37033 .4104 L
.36993 .40984 L
.36907 .40847 L
.36801 .40692 L
.36778 .40654 L
.36661 .40462 L
.36608 .40377 L
.36556 .40269 L
F
1 .77 0 r
.36608 .41795 m
.36623 .41811 L
.36801 .41983 L
.36818 .42003 L
.3699 .42196 L
.36993 .422 L
.37151 .42389 L
.37186 .42428 L
.37309 .42581 L
.37379 .42663 L
.37467 .42774 L
.37571 .42888 L
.37622 .42967 L
.37764 .43145 L
.37778 .43159 L
.37924 .43352 L
.37957 .43393 L
.38073 .43545 L
.38149 .43627 L
.38292 .43737 L
.38342 .43891 L
.38376 .4393 L
.38516 .44123 L
.38535 .44146 L
.38662 .44316 L
.38727 .44387 L
.38862 .44508 L
.3892 .44655 L
.38958 .44701 L
.39097 .44894 L
.39113 .44913 L
.3924 .45086 L
.39306 .45158 L
.39428 .45279 L
.39498 .45428 L
.39532 .45472 L
.39671 .45664 L
.39691 .4569 L
.39813 .45857 L
.39884 .45937 L
.3999 .4605 L
.40076 .46209 L
.40101 .46242 L
.4024 .46435 L
.40269 .46442 L
.40381 .46628 L
.40462 .46722 L
.4055 .46821 L
.40654 .46996 L
.40667 .47013 L
.40805 .47206 L
.40847 .47223 L
.40946 .47399 L
.4104 .47512 L
.41107 .47591 L
.41229 .47784 L
.41232 .47788 L
.41367 .47977 L
.41425 .48011 L
.41507 .48169 L
.41618 .4831 L
.4166 .48362 L
.41787 .48555 L
.41811 .48586 L
.41924 .48747 L
.42003 .48812 L
.42063 .4894 L
.42196 .49118 L
.42208 .49133 L
.42339 .49326 L
.42389 .49392 L
.42476 .49518 L
.42581 .49634 L
.42651 .49711 L
.42751 .49904 L
.42774 .49935 L
.42883 .50096 L
.42967 .50211 L
.43019 .50289 L
.43156 .50482 L
.43159 .50487 L
.43281 .50674 L
.43352 .50774 L
.43411 .50867 L
.43544 .5106 L
.43545 .51062 L
.43655 .51253 L
.43737 .51381 L
.43768 .51445 L
.43737 .51536 L
.43649 .51445 L
.43545 .51343 L
.43465 .51253 L
.43352 .51126 L
.43296 .5106 L
.43159 .50906 L
.43133 .50867 L
.42975 .50674 L
.42967 .50664 L
.4282 .50482 L
.42774 .50426 L
.42665 .50289 L
.42581 .50195 L
.42441 .50096 L
.42389 .49938 L
.42358 .49904 L
.42212 .49711 L
.42196 .49691 L
.42063 .49518 L
.42003 .4945 L
.41864 .49326 L
.41811 .49188 L
.41767 .49133 L
.41621 .4894 L
.41618 .4894 L
.41476 .48747 L
.41425 .48688 L
.41294 .48555 L
.41232 .48424 L
.41187 .48362 L
.41041 .48169 L
.4104 .48169 L
.40897 .47977 L
.40847 .47917 L
.40727 .47784 L
.40654 .4765 L
.40614 .47591 L
.40467 .47399 L
.40462 .47397 L
.40325 .47206 L
.40269 .47138 L
.40162 .47013 L
.40076 .46869 L
.40045 .46821 L
.39899 .46628 L
.39884 .46621 L
.39757 .46435 L
.39691 .46354 L
.396 .46242 L
.39498 .46082 L
.39479 .4605 L
.39335 .45857 L
.39306 .4584 L
.39194 .45664 L
.39113 .45562 L
.39041 .45472 L
.3892 .45289 L
.38915 .45279 L
.38775 .45086 L
.38727 .45052 L
.38565 .44894 L
.38535 .44763 L
.38488 .44701 L
.38357 .44508 L
.38342 .44488 L
.38221 .44316 L
.38149 .44252 L
.3803 .44123 L
.37957 .43952 L
.37941 .4393 L
.37809 .43737 L
.37764 .43675 L
.37674 .43545 L
.37571 .43426 L
.37509 .43352 L
.37404 .43159 L
.37379 .43125 L
.37273 .42967 L
.37186 .42843 L
.3714 .42774 L
.37009 .42581 L
.36993 .42558 L
.36887 .42389 L
.36801 .4226 L
.36762 .42196 L
.36649 .42003 L
.36608 .41935 L
.36566 .41811 L
F
0 .81 1 r
.36608 .44171 m
.3669 .44316 L
.36801 .44469 L
.3682 .44508 L
.36801 .44563 L
.36755 .44508 L
.36608 .44345 L
.36584 .44316 L
F
1 .67 0 r
.36608 .43352 m
.36745 .43545 L
.36801 .4361 L
.36888 .43737 L
.36993 .43867 L
.37036 .4393 L
.36993 .44092 L
.3688 .4393 L
.36801 .43829 L
.36737 .43737 L
.36608 .43567 L
.36593 .43545 L
F
0 .91 1 r
.36608 .4103 m
.36627 .4104 L
.36801 .41177 L
.36853 .41232 L
.36993 .41358 L
.37035 .41425 L
.37186 .41594 L
.37223 .41618 L
.37369 .41811 L
.37379 .41822 L
.37528 .42003 L
.37571 .4204 L
.37686 .42196 L
.37764 .42291 L
.37872 .42389 L
.37957 .42539 L
.37991 .42581 L
.38145 .42774 L
.38149 .42778 L
.38295 .42967 L
.38342 .43027 L
.38464 .43159 L
.38535 .43284 L
.38583 .43352 L
.38727 .43536 L
.38739 .43545 L
.38885 .43737 L
.3892 .43784 L
.39043 .4393 L
.39113 .44046 L
.39162 .44123 L
.39306 .44303 L
.39321 .44316 L
.39464 .44508 L
.39498 .44554 L
.39616 .44701 L
.39691 .44819 L
.39735 .44894 L
.39884 .45077 L
.39895 .45086 L
.40038 .45279 L
.40076 .45331 L
.40186 .45472 L
.40269 .45597 L
.40304 .45664 L
.40462 .45854 L
.40466 .45857 L
.40642 .4605 L
.40654 .46112 L
.40753 .46242 L
.40847 .46379 L
.40872 .46435 L
.41034 .46628 L
.4104 .46634 L
.41207 .46821 L
.41232 .46897 L
.41318 .47013 L
.41425 .47164 L
.4144 .47206 L
.416 .47399 L
.41618 .47418 L
.4177 .47591 L
.41811 .47684 L
.41882 .47784 L
.42003 .47951 L
.42009 .47977 L
.42164 .48169 L
.42196 .48203 L
.42332 .48362 L
.42389 .48472 L
.42445 .48555 L
.42581 .48738 L
.42589 .48747 L
.42728 .4894 L
.42774 .4899 L
.42892 .49133 L
.42967 .49262 L
.43007 .49326 L
.43151 .49518 L
.43159 .4952 L
.4329 .49711 L
.43352 .4978 L
.43451 .49904 L
.43545 .50055 L
.4357 .50096 L
.43712 .50289 L
.43737 .50297 L
.43852 .50482 L
.4393 .50573 L
.44009 .50674 L
.44123 .5085 L
.44132 .50867 L
.44272 .5106 L
.44316 .51082 L
.44477 .51253 L
.44508 .51371 L
.44564 .51445 L
.44693 .51638 L
.44701 .51649 L
.44829 .51831 L
.44894 .51877 L
.45021 .52023 L
.45086 .52176 L
.45115 .52216 L
.45246 .52409 L
.45279 .52453 L
.45382 .52601 L
.45472 .52687 L
.45558 .52794 L
.45661 .52987 L
.45664 .52992 L
.45793 .53179 L
.45857 .53267 L
.45929 .53372 L
.4605 .53525 L
.4608 .53565 L
.46198 .53758 L
.46242 .5382 L
.46327 .5395 L
.46435 .54103 L
.46461 .54143 L
.46587 .54336 L
.46628 .54395 L
.46706 .54528 L
.46821 .54706 L
.46829 .54721 L
.4691 .54914 L
.46821 .54919 L
.46814 .54914 L
.46628 .54734 L
.46618 .54721 L
.46443 .54528 L
.46435 .5452 L
.46275 .54336 L
.46242 .54299 L
.4611 .54143 L
.4605 .54081 L
.45949 .5395 L
.45857 .53834 L
.45779 .53758 L
.45664 .53591 L
.45646 .53565 L
.45486 .53372 L
.45472 .53356 L
.45333 .53179 L
.45279 .53106 L
.45177 .52987 L
.45086 .52851 L
.45053 .52794 L
.44894 .52605 L
.44886 .52601 L
.44738 .52409 L
.44701 .52356 L
.44592 .52216 L
.44508 .52094 L
.44472 .52023 L
.44316 .51839 L
.443 .51831 L
.44132 .51638 L
.44123 .51591 L
.44015 .51445 L
.4393 .51325 L
.43899 .51253 L
.43737 .51067 L
.43723 .5106 L
.43563 .50867 L
.43545 .50817 L
.43444 .50674 L
.43352 .50549 L
.4333 .50482 L
.43159 .50293 L
.43151 .50289 L
.42994 .50096 L
.42967 .50037 L
.42876 .49904 L
.42774 .49768 L
.42764 .49711 L
.42582 .49518 L
.42581 .49517 L
.42427 .49326 L
.42389 .49253 L
.4231 .49133 L
.42196 .48985 L
.42155 .4894 L
.42015 .48747 L
.42003 .48733 L
.41862 .48555 L
.41811 .48467 L
.41746 .48362 L
.41618 .482 L
.4159 .48169 L
.4145 .47977 L
.41425 .47947 L
.41299 .47784 L
.41232 .47679 L
.41182 .47591 L
.4104 .47414 L
.41026 .47399 L
.40886 .47206 L
.40847 .47159 L
.40737 .47013 L
.40654 .46889 L
.40619 .46821 L
.40463 .46628 L
.40462 .46627 L
.4028 .46435 L
.40269 .46369 L
.40176 .46242 L
.40076 .46098 L
.40055 .4605 L
.39901 .45857 L
.39884 .45845 L
.3972 .45664 L
.39691 .45577 L
.39616 .45472 L
.39498 .45304 L
.39489 .45279 L
.39342 .45086 L
.39306 .45058 L
.39164 .44894 L
.39113 .4478 L
.39059 .44701 L
.38922 .44508 L
.3892 .44506 L
.38784 .44316 L
.38727 .44264 L
.38612 .44123 L
.38535 .43978 L
.38504 .4393 L
.38368 .43737 L
.38342 .43703 L
.38231 .43545 L
.38149 .43459 L
.38067 .43352 L
.37957 .43164 L
.37954 .43159 L
.3782 .42967 L
.37764 .42889 L
.37685 .42774 L
.37571 .4263 L
.37536 .42581 L
.37416 .42389 L
.37379 .42337 L
.37285 .42196 L
.37186 .42055 L
.37152 .42003 L
.37024 .41811 L
.36993 .41766 L
.36902 .41618 L
.36801 .41463 L
.36778 .41425 L
.36674 .41232 L
.36608 .41101 L
.366 .4104 L
F
0 .99 1 r
.36608 .35068 m
.36801 .35231 L
.36816 .35259 L
.36988 .35452 L
.36993 .35457 L
.37143 .35644 L
.37186 .357 L
.37285 .35837 L
.37379 .35984 L
.37406 .3603 L
.37379 .36207 L
.37186 .36092 L
.37161 .3603 L
.36997 .35837 L
.36993 .35832 L
.3686 .35644 L
.36801 .35564 L
.36729 .35452 L
.36608 .35268 L
.36603 .35259 L
F
1 .66 0 r
.36608 .43374 m
.36727 .43545 L
.36801 .4363 L
.36873 .43737 L
.36993 .43884 L
.37024 .4393 L
.36993 .44072 L
.36896 .4393 L
.36801 .4381 L
.36751 .43737 L
.36608 .43547 L
.36606 .43545 L
F
0 .95 1 r
.36801 .37692 m
.36868 .37764 L
.36993 .37896 L
.37043 .37957 L
.37186 .38116 L
.37203 .38149 L
.37352 .38342 L
.37379 .38376 L
.37492 .38535 L
.37571 .3864 L
.37631 .38727 L
.37764 .38919 L
.37765 .3892 L
.37871 .39113 L
.37764 .39224 L
.37649 .39113 L
.37571 .39034 L
.37473 .3892 L
.37379 .3887 L
.37315 .38727 L
.37186 .38569 L
.37151 .38535 L
.37028 .38342 L
.36993 .38294 L
.36895 .38149 L
.36801 .38007 L
.36768 .37957 L
.36663 .37764 L
F
1 .98 0 r
.36801 .36885 m
.3691 .36993 L
.36993 .37044 L
.37134 .37186 L
.37186 .37239 L
.37308 .37379 L
.37379 .37467 L
.37507 .37571 L
.37571 .37712 L
.37622 .37764 L
.37764 .37954 L
.37766 .37957 L
.37914 .38149 L
.37957 .382 L
.38088 .38342 L
.38149 .38464 L
.382 .38535 L
.38342 .38727 L
.38342 .38727 L
.38481 .3892 L
.38535 .38947 L
.38644 .39113 L
.38727 .39247 L
.38753 .39306 L
.38879 .39498 L
.3892 .39573 L
.38976 .39691 L
.3892 .39797 L
.38727 .39777 L
.38593 .39691 L
.38535 .39613 L
.38398 .39498 L
.38342 .39415 L
.38217 .39306 L
.38149 .39172 L
.38096 .39113 L
.37957 .38928 L
.37941 .3892 L
.37799 .38727 L
.37764 .38687 L
.37642 .38535 L
.37571 .38419 L
.37527 .38342 L
.37379 .3815 L
.37378 .38149 L
.37242 .37957 L
.37186 .37919 L
.37094 .37764 L
.36993 .37606 L
.36979 .37571 L
.36853 .37379 L
.36801 .37289 L
.36742 .37186 L
.36682 .36993 L
F
0 .65 1 r
.36801 .42782 m
.36947 .42967 L
.36993 .4302 L
.371 .43159 L
.37186 .43262 L
.37254 .43352 L
.37379 .43471 L
.37407 .43545 L
.37556 .43737 L
.37571 .43756 L
.37701 .4393 L
.37764 .44009 L
.37847 .44123 L
.37957 .44221 L
.37996 .44316 L
.38142 .44508 L
.38149 .44517 L
.38283 .44701 L
.38342 .44776 L
.38426 .44894 L
.38535 .44998 L
.38572 .45086 L
.38715 .45279 L
.38727 .45295 L
.38854 .45472 L
.3892 .45558 L
.38995 .45664 L
.39113 .45794 L
.39139 .45857 L
.39278 .4605 L
.39306 .46085 L
.39415 .46242 L
.39498 .46353 L
.39555 .46435 L
.39691 .46612 L
.39697 .46628 L
.3983 .46821 L
.39884 .46891 L
.39965 .47013 L
.40076 .47163 L
.40105 .47206 L
.40238 .47399 L
.40269 .4744 L
.40366 .47591 L
.40462 .47723 L
.40499 .47784 L
.40628 .47977 L
.40654 .48014 L
.40736 .48169 L
.40847 .48358 L
.40848 .48362 L
.40847 .48368 L
.40834 .48362 L
.40654 .48199 L
.40629 .48169 L
.40462 .47978 L
.4046 .47977 L
.40304 .47784 L
.40269 .47744 L
.40148 .47591 L
.40076 .47505 L
.39993 .47399 L
.39884 .47263 L
.3984 .47206 L
.39691 .47016 L
.39687 .47013 L
.39543 .46821 L
.39498 .46765 L
.39395 .46628 L
.39306 .46575 L
.39246 .46435 L
.39113 .46263 L
.39091 .46242 L
.38957 .4605 L
.3892 .46003 L
.38813 .45857 L
.38727 .45799 L
.38668 .45664 L
.38535 .45489 L
.38518 .45472 L
.38384 .45279 L
.38342 .45224 L
.38242 .45086 L
.38149 .45007 L
.381 .44894 L
.37959 .44701 L
.37957 .44698 L
.37822 .44508 L
.37764 .44431 L
.37682 .44316 L
.37571 .44193 L
.37542 .44123 L
.37406 .4393 L
.37379 .43893 L
.37272 .43737 L
.37186 .4362 L
.37135 .43545 L
.36999 .43352 L
.36993 .43345 L
.36872 .43159 L
.36801 .4306 L
.36741 .42967 L
F
0 .64 1 r
.36801 .42796 m
.36936 .42967 L
.36993 .43031 L
.37091 .43159 L
.37186 .43271 L
.37247 .43352 L
.37379 .43486 L
.37401 .43545 L
.37549 .43737 L
.37571 .43764 L
.37695 .4393 L
.37764 .44016 L
.37842 .44123 L
.37957 .44232 L
.37991 .44316 L
.38137 .44508 L
.38149 .44524 L
.38278 .44701 L
.38342 .44783 L
.38422 .44894 L
.38535 .45007 L
.38567 .45086 L
.3871 .45279 L
.38727 .45301 L
.38849 .45472 L
.3892 .45564 L
.38991 .45664 L
.39113 .45804 L
.39135 .45857 L
.39273 .4605 L
.39306 .46092 L
.3941 .46242 L
.39498 .46359 L
.3955 .46435 L
.39691 .46623 L
.39693 .46628 L
.39824 .46821 L
.39884 .46899 L
.3996 .47013 L
.40076 .47172 L
.40099 .47206 L
.4023 .47399 L
.40269 .47451 L
.40358 .47591 L
.40462 .47736 L
.40491 .47784 L
.40462 .47963 L
.40316 .47784 L
.40269 .47732 L
.40158 .47591 L
.40076 .47495 L
.40001 .47399 L
.39884 .47253 L
.39847 .47206 L
.39696 .47013 L
.39691 .47007 L
.39549 .46821 L
.39498 .46757 L
.39401 .46628 L
.39306 .46565 L
.39252 .46435 L
.39113 .46254 L
.391 .46242 L
.38963 .4605 L
.3892 .45995 L
.38818 .45857 L
.38727 .4579 L
.38673 .45664 L
.38535 .45481 L
.38526 .45472 L
.38389 .45279 L
.38342 .45217 L
.38247 .45086 L
.38149 .44997 L
.38105 .44894 L
.37964 .44701 L
.37957 .44691 L
.37827 .44508 L
.37764 .44423 L
.37688 .44316 L
.37571 .44181 L
.37548 .44123 L
.37413 .4393 L
.37379 .43884 L
.37278 .43737 L
.37186 .4361 L
.37141 .43545 L
.37007 .43352 L
.36993 .43333 L
.36881 .43159 L
.36801 .43047 L
.3675 .42967 L
F
1 .97 0 r
.36993 .28652 m
.37186 .28612 L
.37379 .286 L
.37571 .28603 L
.37764 .28618 L
.37957 .28645 L
.38149 .28683 L
.38249 .28707 L
.38342 .28733 L
.38535 .28797 L
.38727 .28877 L
.38777 .289 L
.3892 .28972 L
.39113 .29087 L
.39122 .29093 L
.39306 .29222 L
.39384 .29285 L
.39498 .29384 L
.39592 .29478 L
.39691 .29583 L
.39757 .29671 L
.39879 .29864 L
.39884 .29872 L
.3995 .30056 L
.39944 .30249 L
.39884 .30349 L
.3975 .30442 L
.39691 .30462 L
.39498 .30496 L
.39306 .30496 L
.39113 .30474 L
.38938 .30442 L
.3892 .30435 L
.38727 .30383 L
.38535 .30319 L
.38353 .30249 L
.38342 .30245 L
.38149 .30159 L
.37957 .30062 L
.37947 .30056 L
.37764 .29952 L
.37623 .29864 L
.37571 .29829 L
.37379 .2969 L
.37353 .29671 L
.37186 .29534 L
.37125 .29478 L
.36993 .2935 L
.3694 .29285 L
.36807 .29093 L
.36801 .2908 L
.36755 .289 L
.36801 .2878 L
.36888 .28707 L
F
0 .63 1 r
.36801 .42812 m
.36924 .42967 L
.36993 .43043 L
.37082 .43159 L
.37186 .43281 L
.37239 .43352 L
.37379 .43502 L
.37395 .43545 L
.37542 .43737 L
.37571 .43772 L
.37688 .4393 L
.37764 .44024 L
.37837 .44123 L
.37957 .44243 L
.37986 .44316 L
.38131 .44508 L
.38149 .44531 L
.38272 .44701 L
.38342 .44789 L
.38417 .44894 L
.38535 .45017 L
.38563 .45086 L
.38705 .45279 L
.38727 .45307 L
.38844 .45472 L
.3892 .45571 L
.38986 .45664 L
.39113 .45814 L
.3913 .45857 L
.39268 .4605 L
.39306 .46099 L
.39405 .46242 L
.39498 .46366 L
.39545 .46435 L
.39687 .46628 L
.39691 .46633 L
.39818 .46821 L
.39884 .46907 L
.39954 .47013 L
.40076 .4718 L
.40093 .47206 L
.40222 .47399 L
.40269 .47462 L
.40349 .47591 L
.40462 .4775 L
.40482 .47784 L
.40462 .47945 L
.40329 .47784 L
.40269 .47719 L
.40168 .47591 L
.40076 .47484 L
.40009 .47399 L
.39884 .47243 L
.39854 .47206 L
.39704 .47013 L
.39691 .46998 L
.39556 .46821 L
.39498 .46749 L
.39407 .46628 L
.39306 .46554 L
.39258 .46435 L
.39113 .46245 L
.3911 .46242 L
.38968 .4605 L
.3892 .45988 L
.38824 .45857 L
.38727 .45781 L
.38678 .45664 L
.38535 .45472 L
.38534 .45472 L
.38395 .45279 L
.38342 .4521 L
.38253 .45086 L
.38149 .44987 L
.3811 .44894 L
.3797 .44701 L
.37957 .44683 L
.37833 .44508 L
.37764 .44416 L
.37693 .44316 L
.37571 .44167 L
.37553 .44123 L
.3742 .4393 L
.37379 .43875 L
.37285 .43737 L
.37186 .43601 L
.37148 .43545 L
.37016 .43352 L
.36993 .43321 L
.3689 .43159 L
.36801 .43032 L
.3676 .42967 L
F
1 .65 0 r
.36801 .43654 m
.36855 .43737 L
.36993 .43904 L
.3701 .4393 L
.36993 .44047 L
.36915 .4393 L
.36801 .43787 L
.36768 .43737 L
F
0 .62 1 r
.36801 .4283 m
.3691 .42967 L
.36993 .43056 L
.37073 .43159 L
.37186 .43291 L
.37232 .43352 L
.37379 .4352 L
.37388 .43545 L
.37535 .43737 L
.37571 .43781 L
.37682 .4393 L
.37764 .44031 L
.37831 .44123 L
.37957 .44255 L
.37981 .44316 L
.38125 .44508 L
.38149 .44538 L
.38267 .44701 L
.38342 .44796 L
.38412 .44894 L
.38535 .45028 L
.38558 .45086 L
.387 .45279 L
.38727 .45314 L
.38839 .45472 L
.3892 .45577 L
.38981 .45664 L
.39113 .45825 L
.39126 .45857 L
.39262 .4605 L
.39306 .46106 L
.39399 .46242 L
.39498 .46373 L
.39541 .46435 L
.39681 .46628 L
.39691 .46641 L
.39812 .46821 L
.39884 .46916 L
.39947 .47013 L
.40076 .47189 L
.40087 .47206 L
.40213 .47399 L
.40269 .47475 L
.40339 .47591 L
.40462 .47765 L
.40472 .47784 L
.40462 .47924 L
.40344 .47784 L
.40269 .47704 L
.40179 .47591 L
.40076 .47472 L
.40018 .47399 L
.39884 .47233 L
.39862 .47206 L
.39712 .47013 L
.39691 .46988 L
.39563 .46821 L
.39498 .4674 L
.39413 .46628 L
.39306 .46541 L
.39264 .46435 L
.39118 .46242 L
.39113 .46237 L
.38974 .4605 L
.3892 .4598 L
.38829 .45857 L
.38727 .4577 L
.38684 .45664 L
.3854 .45472 L
.38535 .45465 L
.384 .45279 L
.38342 .45203 L
.38258 .45086 L
.38149 .44976 L
.38115 .44894 L
.37976 .44701 L
.37957 .44675 L
.37839 .44508 L
.37764 .44408 L
.37699 .44316 L
.37571 .44153 L
.37559 .44123 L
.37427 .4393 L
.37379 .43866 L
.37292 .43737 L
.37186 .4359 L
.37155 .43545 L
.37025 .43352 L
.36993 .43308 L
.369 .43159 L
.36801 .43016 L
.36771 .42967 L
F
1 .76 0 r
.36801 .42005 m
.36974 .42196 L
.36993 .42216 L
.37139 .42389 L
.37186 .42441 L
.373 .42581 L
.37379 .42673 L
.37459 .42774 L
.37571 .42898 L
.37615 .42967 L
.37764 .43153 L
.3777 .43159 L
.37918 .43352 L
.37957 .434 L
.38067 .43545 L
.38149 .43634 L
.38286 .43737 L
.38342 .43898 L
.38371 .4393 L
.38512 .44123 L
.38535 .44152 L
.38657 .44316 L
.38727 .44392 L
.38858 .44508 L
.3892 .44659 L
.38954 .44701 L
.39094 .44894 L
.39113 .44918 L
.39237 .45086 L
.39306 .45163 L
.39424 .45279 L
.39498 .45432 L
.39529 .45472 L
.39668 .45664 L
.39691 .45694 L
.3981 .45857 L
.39884 .45941 L
.39987 .4605 L
.40076 .46213 L
.40098 .46242 L
.40237 .46435 L
.40269 .46443 L
.40378 .46628 L
.40462 .46725 L
.40547 .46821 L
.40654 .47 L
.40664 .47013 L
.40802 .47206 L
.40847 .47225 L
.40943 .47399 L
.4104 .47516 L
.41104 .47591 L
.41226 .47784 L
.41232 .47792 L
.41364 .47977 L
.41425 .48015 L
.41504 .48169 L
.41618 .48315 L
.41657 .48362 L
.41784 .48555 L
.41811 .48591 L
.41921 .48747 L
.42003 .48818 L
.4206 .4894 L
.42196 .49124 L
.42203 .49133 L
.42335 .49326 L
.42389 .49398 L
.42472 .49518 L
.42581 .49642 L
.42644 .49711 L
.42746 .49904 L
.42774 .49942 L
.42878 .50096 L
.42967 .50219 L
.43013 .50289 L
.43149 .50482 L
.43159 .50496 L
.43274 .50674 L
.43352 .50785 L
.43403 .50867 L
.43532 .5106 L
.43545 .51079 L
.4364 .51253 L
.43737 .51419 L
.43747 .51445 L
.43737 .51491 L
.43681 .51445 L
.43545 .51322 L
.43482 .51253 L
.43352 .51111 L
.43308 .5106 L
.43159 .50891 L
.43143 .50867 L
.42985 .50674 L
.42967 .50653 L
.42828 .50482 L
.42774 .50417 L
.42672 .50289 L
.42581 .50186 L
.4245 .50096 L
.42389 .4993 L
.42365 .49904 L
.42218 .49711 L
.42196 .49683 L
.42068 .49518 L
.42003 .49443 L
.41869 .49326 L
.41811 .49182 L
.41771 .49133 L
.41626 .4894 L
.41618 .4894 L
.4148 .48747 L
.41425 .48683 L
.41298 .48555 L
.41232 .48419 L
.41191 .48362 L
.41045 .48169 L
.4104 .48168 L
.40901 .47977 L
.40847 .47913 L
.4073 .47784 L
.40654 .47646 L
.40617 .47591 L
.40471 .47399 L
.40462 .47395 L
.40328 .47206 L
.40269 .47134 L
.40165 .47013 L
.40076 .46865 L
.40048 .46821 L
.39902 .46628 L
.39884 .46619 L
.39761 .46435 L
.39691 .4635 L
.39603 .46242 L
.39498 .46078 L
.39481 .4605 L
.39338 .45857 L
.39306 .45838 L
.39197 .45664 L
.39113 .45558 L
.39045 .45472 L
.3892 .45284 L
.38917 .45279 L
.38778 .45086 L
.38727 .45049 L
.38568 .44894 L
.38535 .44758 L
.38492 .44701 L
.38361 .44508 L
.38342 .44482 L
.38224 .44316 L
.38149 .44246 L
.38035 .44123 L
.37957 .43945 L
.37946 .4393 L
.37814 .43737 L
.37764 .43669 L
.37679 .43545 L
.37571 .43416 L
.37517 .43352 L
.3741 .43159 L
.37379 .43116 L
.37279 .42967 L
.37186 .42833 L
.37147 .42774 L
.37019 .42581 L
.36993 .42545 L
.36898 .42389 L
.36801 .42242 L
.36774 .42196 L
F
0 .61 1 r
.36801 .42852 m
.36894 .42967 L
.36993 .4307 L
.37062 .43159 L
.37186 .43302 L
.37223 .43352 L
.37379 .43538 L
.37381 .43545 L
.37527 .43737 L
.37571 .4379 L
.37675 .4393 L
.37764 .44039 L
.37825 .44123 L
.37957 .44268 L
.37975 .44316 L
.38119 .44508 L
.38149 .44545 L
.38262 .44701 L
.38342 .44803 L
.38407 .44894 L
.38535 .45039 L
.38554 .45086 L
.38694 .45279 L
.38727 .45321 L
.38834 .45472 L
.3892 .45584 L
.38977 .45664 L
.39113 .45836 L
.39121 .45857 L
.39257 .4605 L
.39306 .46113 L
.39394 .46242 L
.39498 .46381 L
.39535 .46435 L
.39675 .46628 L
.39691 .46649 L
.39805 .46821 L
.39884 .46925 L
.39941 .47013 L
.40076 .47199 L
.40081 .47206 L
.40203 .47399 L
.40269 .47489 L
.40329 .47591 L
.40269 .47689 L
.4019 .47591 L
.40076 .4746 L
.40028 .47399 L
.39884 .47223 L
.3987 .47206 L
.3972 .47013 L
.39691 .46978 L
.39571 .46821 L
.39498 .46731 L
.3942 .46628 L
.39306 .46528 L
.3927 .46435 L
.39124 .46242 L
.39113 .46229 L
.38981 .4605 L
.3892 .45973 L
.38835 .45857 L
.38727 .45759 L
.38689 .45664 L
.38546 .45472 L
.38535 .45457 L
.38406 .45279 L
.38342 .45195 L
.38264 .45086 L
.38149 .44964 L
.38121 .44894 L
.37982 .44701 L
.37957 .44667 L
.37845 .44508 L
.37764 .44399 L
.37705 .44316 L
.37571 .44138 L
.37565 .44123 L
.37434 .4393 L
.37379 .43856 L
.37299 .43737 L
.37186 .4358 L
.37162 .43545 L
.37036 .43352 L
.36993 .43294 L
.36911 .43159 L
.36801 .42997 L
.36783 .42967 L
F
1 .75 0 r
.36801 .42031 m
.36955 .42196 L
.36993 .42233 L
.37126 .42389 L
.37186 .42454 L
.3729 .42581 L
.37379 .42684 L
.3745 .42774 L
.37571 .42909 L
.37608 .42967 L
.37762 .43159 L
.37764 .43162 L
.37911 .43352 L
.37957 .43407 L
.38062 .43545 L
.38149 .4364 L
.38279 .43737 L
.38342 .43904 L
.38366 .4393 L
.38507 .44123 L
.38535 .44157 L
.38653 .44316 L
.38727 .44397 L
.38854 .44508 L
.3892 .44664 L
.38951 .44701 L
.3909 .44894 L
.39113 .44923 L
.39234 .45086 L
.39306 .45167 L
.39421 .45279 L
.39498 .45437 L
.39526 .45472 L
.39665 .45664 L
.39691 .45698 L
.39807 .45857 L
.39884 .45945 L
.39984 .4605 L
.40076 .46217 L
.40095 .46242 L
.40235 .46435 L
.40269 .46444 L
.40376 .46628 L
.40462 .46729 L
.40544 .46821 L
.40654 .47004 L
.40661 .47013 L
.408 .47206 L
.40847 .47227 L
.4094 .47399 L
.4104 .4752 L
.41101 .47591 L
.41223 .47784 L
.41232 .47796 L
.41361 .47977 L
.41425 .48018 L
.41501 .48169 L
.41618 .4832 L
.41653 .48362 L
.4178 .48555 L
.41811 .48595 L
.41917 .48747 L
.42003 .48823 L
.42057 .4894 L
.42196 .4913 L
.42198 .49133 L
.42331 .49326 L
.42389 .49403 L
.42468 .49518 L
.42581 .4965 L
.42636 .49711 L
.42741 .49904 L
.42774 .49948 L
.42873 .50096 L
.42967 .50226 L
.43008 .50289 L
.43142 .50482 L
.43159 .50506 L
.43266 .50674 L
.43352 .50797 L
.43395 .50867 L
.43519 .5106 L
.43545 .51099 L
.4362 .51253 L
.43545 .51299 L
.43501 .51253 L
.43352 .51095 L
.43322 .5106 L
.43159 .50874 L
.43155 .50867 L
.42995 .50674 L
.42967 .50642 L
.42836 .50482 L
.42774 .50407 L
.4268 .50289 L
.42581 .50177 L
.4246 .50096 L
.42389 .49923 L
.42372 .49904 L
.42224 .49711 L
.42196 .49676 L
.42074 .49518 L
.42003 .49437 L
.41874 .49326 L
.41811 .49176 L
.41776 .49133 L
.41631 .4894 L
.41618 .48939 L
.41484 .48747 L
.41425 .48678 L
.41301 .48555 L
.41232 .48414 L
.41194 .48362 L
.41049 .48169 L
.4104 .48167 L
.40904 .47977 L
.40847 .47908 L
.40733 .47784 L
.40654 .47641 L
.4062 .47591 L
.40474 .47399 L
.40462 .47394 L
.40332 .47206 L
.40269 .4713 L
.40168 .47013 L
.40076 .46861 L
.4005 .46821 L
.39905 .46628 L
.39884 .46617 L
.39764 .46435 L
.39691 .46345 L
.39606 .46242 L
.39498 .46074 L
.39484 .4605 L
.39341 .45857 L
.39306 .45836 L
.39201 .45664 L
.39113 .45553 L
.39048 .45472 L
.3892 .4528 L
.3892 .45279 L
.38782 .45086 L
.38727 .45045 L
.38572 .44894 L
.38535 .44753 L
.38496 .44701 L
.38365 .44508 L
.38342 .44477 L
.38229 .44316 L
.38149 .4424 L
.38041 .44123 L
.37957 .43938 L
.37951 .4393 L
.37819 .43737 L
.37764 .43662 L
.37684 .43545 L
.37571 .43405 L
.37526 .43352 L
.37416 .43159 L
.37379 .43107 L
.37286 .42967 L
.37186 .42823 L
.37154 .42774 L
.37029 .42581 L
.36993 .4253 L
.36909 .42389 L
.36801 .42221 L
.36787 .42196 L
F
1 .64 0 r
.36801 .43691 m
.36826 .43737 L
.36801 .43754 L
.3679 .43737 L
F
0 .6 1 r
.36801 .42883 m
.36871 .42967 L
.36993 .43086 L
.3705 .43159 L
.37186 .43314 L
.37215 .43352 L
.37372 .43545 L
.37379 .43552 L
.37519 .43737 L
.37571 .43799 L
.37668 .4393 L
.37764 .44048 L
.37819 .44123 L
.37957 .44281 L
.3797 .44316 L
.38113 .44508 L
.38149 .44553 L
.38256 .44701 L
.38342 .4481 L
.38402 .44894 L
.38535 .4505 L
.38549 .45086 L
.38689 .45279 L
.38727 .45328 L
.38828 .45472 L
.3892 .45591 L
.38972 .45664 L
.39113 .45848 L
.39116 .45857 L
.39251 .4605 L
.39306 .46121 L
.39389 .46242 L
.39498 .46388 L
.3953 .46435 L
.39668 .46628 L
.39691 .46658 L
.39798 .46821 L
.39884 .46935 L
.39934 .47013 L
.40073 .47206 L
.40076 .4721 L
.40192 .47399 L
.40269 .47505 L
.40317 .47591 L
.40269 .47671 L
.40204 .47591 L
.40076 .47447 L
.40038 .47399 L
.39884 .47212 L
.39879 .47206 L
.39729 .47013 L
.39691 .46968 L
.39578 .46821 L
.39498 .46722 L
.39427 .46628 L
.39306 .46512 L
.39277 .46435 L
.39131 .46242 L
.39113 .4622 L
.38987 .4605 L
.3892 .45965 L
.38841 .45857 L
.38727 .45747 L
.38695 .45664 L
.38553 .45472 L
.38535 .45449 L
.38412 .45279 L
.38342 .45187 L
.38269 .45086 L
.38149 .44951 L
.38127 .44894 L
.37989 .44701 L
.37957 .44659 L
.37851 .44508 L
.37764 .44391 L
.37711 .44316 L
.37572 .44123 L
.37571 .44122 L
.37441 .4393 L
.37379 .43845 L
.37307 .43737 L
.37186 .43568 L
.3717 .43545 L
.37047 .43352 L
.36993 .43277 L
.36924 .43159 L
.36801 .42973 L
.36797 .42967 L
F
0 .9 1 r
.36993 .41411 m
.37002 .41425 L
.37179 .41618 L
.37186 .41625 L
.37347 .41811 L
.37379 .41845 L
.37511 .42003 L
.37571 .42055 L
.37671 .42196 L
.37764 .42308 L
.37858 .42389 L
.37957 .42553 L
.3798 .42581 L
.38134 .42774 L
.38149 .42788 L
.38285 .42967 L
.38342 .43039 L
.38456 .43159 L
.38535 .43294 L
.38577 .43352 L
.38727 .43542 L
.38731 .43545 L
.38878 .43737 L
.3892 .43792 L
.39038 .4393 L
.39113 .44054 L
.39158 .44123 L
.39306 .44308 L
.39315 .44316 L
.39459 .44508 L
.39498 .4456 L
.39613 .44701 L
.39691 .44824 L
.39732 .44894 L
.39884 .4508 L
.39891 .45086 L
.40034 .45279 L
.40076 .45335 L
.40183 .45472 L
.40269 .45601 L
.40302 .45664 L
.40462 .45856 L
.40463 .45857 L
.40641 .4605 L
.40654 .46116 L
.4075 .46242 L
.40847 .46383 L
.40871 .46435 L
.41031 .46628 L
.4104 .46637 L
.41206 .46821 L
.41232 .469 L
.41316 .47013 L
.41425 .47167 L
.41439 .47206 L
.41597 .47399 L
.41618 .4742 L
.41768 .47591 L
.41811 .47686 L
.4188 .47784 L
.42003 .47953 L
.42008 .47977 L
.42162 .48169 L
.42196 .48206 L
.4233 .48362 L
.42389 .48475 L
.42443 .48555 L
.42581 .48741 L
.42586 .48747 L
.42726 .4894 L
.42774 .48993 L
.4289 .49133 L
.42967 .49265 L
.43006 .49326 L
.43149 .49518 L
.43159 .4952 L
.43288 .49711 L
.43352 .49783 L
.43449 .49904 L
.43545 .50058 L
.43568 .50096 L
.4371 .50289 L
.43737 .50298 L
.43849 .50482 L
.4393 .50577 L
.44006 .50674 L
.44123 .50854 L
.4413 .50867 L
.44269 .5106 L
.44316 .51085 L
.44474 .51253 L
.44508 .51376 L
.4456 .51445 L
.44689 .51638 L
.44701 .51654 L
.44825 .51831 L
.44894 .51882 L
.45016 .52023 L
.45086 .52183 L
.4511 .52216 L
.45241 .52409 L
.45279 .5246 L
.45377 .52601 L
.45472 .52697 L
.4555 .52794 L
.45654 .52987 L
.45664 .53001 L
.45786 .53179 L
.45857 .53277 L
.45921 .53372 L
.4605 .53544 L
.46066 .53565 L
.46187 .53758 L
.46242 .53836 L
.46316 .5395 L
.46435 .54122 L
.46448 .54143 L
.46567 .54336 L
.46628 .54427 L
.46683 .54528 L
.46628 .54687 L
.46475 .54528 L
.46435 .54488 L
.46299 .54336 L
.46242 .54273 L
.46131 .54143 L
.4605 .5406 L
.45967 .5395 L
.45857 .53815 L
.45795 .53758 L
.45664 .53577 L
.45656 .53565 L
.45498 .53372 L
.45472 .53343 L
.45344 .53179 L
.45279 .53093 L
.45186 .52987 L
.45086 .5284 L
.45059 .52794 L
.44895 .52601 L
.44894 .526 L
.44746 .52409 L
.44701 .52346 L
.44598 .52216 L
.44508 .52085 L
.44476 .52023 L
.44316 .51835 L
.44307 .51831 L
.44133 .51638 L
.44123 .51584 L
.4402 .51445 L
.4393 .51319 L
.43902 .51253 L
.43737 .51064 L
.43728 .5106 L
.43565 .50867 L
.43545 .50811 L
.43447 .50674 L
.43352 .50544 L
.43332 .50482 L
.43159 .50291 L
.43155 .50289 L
.42996 .50096 L
.42967 .50032 L
.42879 .49904 L
.42774 .49764 L
.42765 .49711 L
.42585 .49518 L
.42581 .49513 L
.42429 .49326 L
.42389 .49249 L
.42313 .49133 L
.42196 .48982 L
.42158 .4894 L
.42018 .48747 L
.42003 .4873 L
.41864 .48555 L
.41811 .48463 L
.41748 .48362 L
.41618 .48197 L
.41592 .48169 L
.41452 .47977 L
.41425 .47944 L
.41301 .47784 L
.41232 .47676 L
.41184 .47591 L
.4104 .47411 L
.41028 .47399 L
.40888 .47206 L
.40847 .47156 L
.40739 .47013 L
.40654 .46886 L
.4062 .46821 L
.40465 .46628 L
.40462 .46625 L
.4028 .46435 L
.40269 .46366 L
.40178 .46242 L
.40076 .46094 L
.40056 .4605 L
.39904 .45857 L
.39884 .45843 L
.39722 .45664 L
.39691 .45573 L
.39619 .45472 L
.39498 .453 L
.39491 .45279 L
.39345 .45086 L
.39306 .45055 L
.39166 .44894 L
.39113 .44775 L
.39062 .44701 L
.38925 .44508 L
.3892 .44501 L
.38788 .44316 L
.38727 .4426 L
.38616 .44123 L
.38535 .43971 L
.38508 .4393 L
.38373 .43737 L
.38342 .43695 L
.38237 .43545 L
.38149 .4345 L
.38074 .43352 L
.3796 .43159 L
.37957 .43155 L
.37828 .42967 L
.37764 .42879 L
.37692 .42774 L
.37571 .42614 L
.37548 .42581 L
.37426 .42389 L
.37379 .42322 L
.37296 .42196 L
.37186 .42036 L
.37164 .42003 L
.37042 .41811 L
.36993 .41738 L
.36923 .41618 L
.36804 .41425 L
F
1 .97 0 r
.36993 .37143 m
.37037 .37186 L
.37186 .37308 L
.37252 .37379 L
.37379 .37518 L
.3746 .37571 L
.37571 .37747 L
.3759 .37764 L
.37741 .37957 L
.37764 .37973 L
.37889 .38149 L
.37957 .38228 L
.38067 .38342 L
.38149 .38493 L
.3818 .38535 L
.3832 .38727 L
.38342 .38757 L
.38458 .3892 L
.38535 .38976 L
.38618 .39113 L
.38725 .39306 L
.38727 .3931 L
.38836 .39498 L
.38875 .39691 L
.38727 .39704 L
.38699 .39691 L
.38535 .39548 L
.38447 .39498 L
.38342 .39368 L
.38249 .39306 L
.38149 .39141 L
.3812 .39113 L
.37968 .3892 L
.37957 .38914 L
.37823 .38727 L
.37764 .38659 L
.37663 .38535 L
.37571 .38386 L
.37546 .38342 L
.37405 .38149 L
.37379 .38112 L
.37271 .37957 L
.37186 .37871 L
.37128 .37764 L
.37019 .37571 L
.36993 .37529 L
.3691 .37379 L
.36841 .37186 L
F
1 .74 0 r
.36993 .42251 m
.37112 .42389 L
.37186 .42467 L
.37279 .42581 L
.37379 .42695 L
.37442 .42774 L
.37571 .4292 L
.376 .42967 L
.37755 .43159 L
.37764 .43171 L
.37905 .43352 L
.37957 .43415 L
.38056 .43545 L
.38149 .43647 L
.38271 .43737 L
.38342 .4391 L
.3836 .4393 L
.38503 .44123 L
.38535 .44163 L
.38649 .44316 L
.38727 .44402 L
.38849 .44508 L
.3892 .44669 L
.38946 .44701 L
.39087 .44894 L
.39113 .44927 L
.3923 .45086 L
.39306 .45171 L
.39417 .45279 L
.39498 .45441 L
.39522 .45472 L
.39662 .45664 L
.39691 .45702 L
.39804 .45857 L
.39884 .45948 L
.39981 .4605 L
.40076 .46221 L
.40092 .46242 L
.40232 .46435 L
.40269 .46446 L
.40373 .46628 L
.40462 .46733 L
.40541 .46821 L
.40654 .47008 L
.40658 .47013 L
.40797 .47206 L
.40847 .47229 L
.40937 .47399 L
.4104 .47525 L
.41097 .47591 L
.4122 .47784 L
.41232 .478 L
.41358 .47977 L
.41425 .48022 L
.41498 .48169 L
.41618 .48324 L
.41649 .48362 L
.41777 .48555 L
.41811 .486 L
.41914 .48747 L
.42003 .48828 L
.42054 .4894 L
.42194 .49133 L
.42196 .49135 L
.42327 .49326 L
.42389 .49408 L
.42464 .49518 L
.42581 .49659 L
.42628 .49711 L
.42736 .49904 L
.42774 .49956 L
.42867 .50096 L
.42967 .50234 L
.43003 .50289 L
.43134 .50482 L
.43159 .50517 L
.43258 .50674 L
.43352 .50811 L
.43386 .50867 L
.43503 .5106 L
.43545 .51126 L
.43592 .51253 L
.43545 .51271 L
.43526 .51253 L
.43352 .51077 L
.43337 .5106 L
.43167 .50867 L
.43159 .50859 L
.43005 .50674 L
.42967 .50631 L
.42845 .50482 L
.42774 .50397 L
.42687 .50289 L
.42581 .50168 L
.42472 .50096 L
.42389 .49915 L
.42379 .49904 L
.4223 .49711 L
.42196 .49669 L
.42079 .49518 L
.42003 .49431 L
.41879 .49326 L
.41811 .4917 L
.4178 .49133 L
.41635 .4894 L
.41618 .48939 L
.41488 .48747 L
.41425 .48673 L
.41305 .48555 L
.41232 .48409 L
.41198 .48362 L
.41053 .48169 L
.4104 .48166 L
.40908 .47977 L
.40847 .47904 L
.40736 .47784 L
.40654 .47637 L
.40623 .47591 L
.40478 .47399 L
.40462 .47393 L
.40335 .47206 L
.40269 .47126 L
.40171 .47013 L
.40076 .46857 L
.40053 .46821 L
.39909 .46628 L
.39884 .46616 L
.39767 .46435 L
.39691 .46341 L
.39609 .46242 L
.39498 .46069 L
.39486 .4605 L
.39344 .45857 L
.39306 .45833 L
.39204 .45664 L
.39113 .45549 L
.39052 .45472 L
.38923 .45279 L
.3892 .45275 L
.38785 .45086 L
.38727 .45042 L
.38575 .44894 L
.38535 .44747 L
.385 .44701 L
.38369 .44508 L
.38342 .44471 L
.38233 .44316 L
.38149 .44234 L
.38047 .44123 L
.37957 .43931 L
.37956 .4393 L
.37824 .43737 L
.37764 .43655 L
.37689 .43545 L
.37571 .43394 L
.37536 .43352 L
.37423 .43159 L
.37379 .43097 L
.37293 .42967 L
.37186 .42812 L
.37161 .42774 L
.37039 .42581 L
.36993 .42514 L
.36921 .42389 L
F
1 .99 0 r
.36993 .32149 m
.37017 .32176 L
.37186 .32347 L
.37203 .32369 L
.37374 .32561 L
.37379 .32567 L
.37532 .32754 L
.37571 .32798 L
.37688 .32947 L
.37764 .33035 L
.37844 .33139 L
.37957 .33237 L
.37999 .33332 L
.38149 .33518 L
.38158 .33525 L
.383 .33717 L
.38342 .33769 L
.38447 .3391 L
.38535 .33971 L
.38596 .34103 L
.38727 .34264 L
.38763 .34296 L
.3889 .34488 L
.3892 .34525 L
.39034 .34681 L
.39113 .34733 L
.3918 .34874 L
.39306 .35029 L
.39345 .35066 L
.3947 .35259 L
.39498 .35295 L
.39611 .35452 L
.39691 .35508 L
.39755 .35644 L
.39884 .35806 L
.39915 .35837 L
.40043 .3603 L
.40076 .36073 L
.40183 .36222 L
.40269 .36293 L
.40326 .36415 L
.40462 .3659 L
.40478 .36608 L
.40611 .36801 L
.40654 .36857 L
.4075 .36993 L
.40847 .37087 L
.40894 .37186 L
.41039 .37379 L
.4104 .3738 L
.41175 .37571 L
.41232 .37646 L
.41315 .37764 L
.41425 .37888 L
.41459 .37957 L
.41601 .38149 L
.41618 .38172 L
.41737 .38342 L
.41811 .38438 L
.41877 .38535 L
.42003 .38692 L
.42036 .38727 L
.42159 .3892 L
.42196 .38969 L
.42296 .39113 L
.42389 .39236 L
.42436 .39306 L
.42577 .39498 L
.42581 .39503 L
.42709 .39691 L
.42774 .39779 L
.42842 .39884 L
.42967 .4006 L
.42976 .40076 L
.43076 .40269 L
.42967 .40275 L
.42958 .40269 L
.42774 .40181 L
.42713 .40076 L
.42581 .3996 L
.42505 .39884 L
.42389 .39751 L
.42298 .39691 L
.42196 .39532 L
.42159 .39498 L
.42012 .39306 L
.42003 .39304 L
.41864 .39113 L
.41811 .39049 L
.41687 .3892 L
.41618 .38779 L
.41577 .38727 L
.41443 .38535 L
.41425 .38521 L
.41303 .38342 L
.41232 .38248 L
.41152 .38149 L
.4104 .37974 L
.41028 .37957 L
.40887 .37764 L
.40847 .37719 L
.40704 .37571 L
.40654 .37444 L
.40608 .37379 L
.40469 .37186 L
.40462 .37177 L
.40327 .36993 L
.40269 .36923 L
.40163 .36801 L
.40076 .3665 L
.40051 .36608 L
.39904 .36415 L
.39884 .36412 L
.39762 .36222 L
.39691 .36133 L
.39607 .3603 L
.39498 .3586 L
.39486 .35837 L
.3934 .35644 L
.39306 .35632 L
.39199 .35452 L
.39113 .35342 L
.39049 .35259 L
.3892 .35068 L
.3892 .35066 L
.3878 .34874 L
.38727 .34847 L
.38639 .34681 L
.38535 .34544 L
.38494 .34488 L
.38362 .34296 L
.38342 .34268 L
.38224 .34103 L
.38149 .3405 L
.38084 .3391 L
.37957 .33733 L
.37946 .33717 L
.37812 .33525 L
.37764 .33457 L
.37676 .33332 L
.37571 .33226 L
.37489 .33139 L
.37408 .32947 L
.37379 .32905 L
.37278 .32754 L
.37186 .32619 L
.37147 .32561 L
.37028 .32369 L
.36993 .32315 L
.36925 .32176 L
F
1 .73 0 r
.36993 .42272 m
.37096 .42389 L
.37186 .42482 L
.37268 .42581 L
.37379 .42706 L
.37433 .42774 L
.37571 .42932 L
.37593 .42967 L
.37747 .43159 L
.37764 .43179 L
.37899 .43352 L
.37957 .43422 L
.38051 .43545 L
.38149 .43655 L
.38263 .43737 L
.38342 .43917 L
.38355 .4393 L
.38498 .44123 L
.38535 .44169 L
.38645 .44316 L
.38727 .44408 L
.38844 .44508 L
.3892 .44675 L
.38942 .44701 L
.39083 .44894 L
.39113 .44932 L
.39227 .45086 L
.39306 .45175 L
.39413 .45279 L
.39498 .45445 L
.39519 .45472 L
.39659 .45664 L
.39691 .45706 L
.39801 .45857 L
.39884 .45952 L
.39977 .4605 L
.40076 .46225 L
.4009 .46242 L
.40229 .46435 L
.40269 .46447 L
.4037 .46628 L
.40462 .46737 L
.40537 .46821 L
.40654 .47011 L
.40656 .47013 L
.40794 .47206 L
.40847 .47232 L
.40935 .47399 L
.4104 .47529 L
.41094 .47591 L
.41217 .47784 L
.41232 .47804 L
.41355 .47977 L
.41425 .48025 L
.41495 .48169 L
.41618 .48329 L
.41645 .48362 L
.41774 .48555 L
.41811 .48604 L
.41911 .48747 L
.42003 .48834 L
.4205 .4894 L
.4219 .49133 L
.42196 .49141 L
.42323 .49326 L
.42389 .49414 L
.4246 .49518 L
.42581 .49669 L
.42619 .49711 L
.4273 .49904 L
.42774 .49963 L
.42862 .50096 L
.42967 .50243 L
.42997 .50289 L
.43126 .50482 L
.43159 .50528 L
.43249 .50674 L
.43352 .50825 L
.43376 .50867 L
.43352 .51058 L
.43181 .50867 L
.43159 .50845 L
.43016 .50674 L
.42967 .50619 L
.42854 .50482 L
.42774 .50387 L
.42695 .50289 L
.42581 .50158 L
.42484 .50096 L
.42389 .49906 L
.42386 .49904 L
.42236 .49711 L
.42196 .49661 L
.42085 .49518 L
.42003 .49424 L
.41885 .49326 L
.41811 .49164 L
.41785 .49133 L
.4164 .4894 L
.41618 .48938 L
.41493 .48747 L
.41425 .48668 L
.41309 .48555 L
.41232 .48404 L
.41201 .48362 L
.41056 .48169 L
.4104 .48165 L
.40912 .47977 L
.40847 .47899 L
.4074 .47784 L
.40654 .47632 L
.40626 .47591 L
.40481 .47399 L
.40462 .47391 L
.40338 .47206 L
.40269 .47122 L
.40174 .47013 L
.40076 .46852 L
.40056 .46821 L
.39912 .46628 L
.39884 .46614 L
.3977 .46435 L
.39691 .46337 L
.39613 .46242 L
.39498 .46065 L
.39489 .4605 L
.39348 .45857 L
.39306 .4583 L
.39207 .45664 L
.39113 .45544 L
.39055 .45472 L
.38927 .45279 L
.3892 .4527 L
.38789 .45086 L
.38727 .45037 L
.38579 .44894 L
.38535 .44741 L
.38504 .44701 L
.38373 .44508 L
.38342 .44466 L
.38237 .44316 L
.38149 .44227 L
.38053 .44123 L
.37961 .4393 L
.37957 .43924 L
.37829 .43737 L
.37764 .43647 L
.37694 .43545 L
.37571 .43382 L
.37546 .43352 L
.3743 .43159 L
.37379 .43087 L
.373 .42967 L
.37186 .428 L
.37169 .42774 L
.3705 .42581 L
.36993 .42495 L
.36934 .42389 L
F
0 .59 1 r
.36993 .43104 m
.37036 .43159 L
.37186 .43326 L
.37205 .43352 L
.37362 .43545 L
.37379 .43564 L
.3751 .43737 L
.37571 .43809 L
.37661 .4393 L
.37764 .44056 L
.37813 .44123 L
.37957 .44295 L
.37964 .44316 L
.38107 .44508 L
.38149 .44561 L
.3825 .44701 L
.38342 .44817 L
.38397 .44894 L
.38535 .45062 L
.38544 .45086 L
.38683 .45279 L
.38727 .45336 L
.38823 .45472 L
.3892 .45598 L
.38967 .45664 L
.39111 .45857 L
.39113 .45859 L
.39245 .4605 L
.39306 .46129 L
.39383 .46242 L
.39498 .46396 L
.39525 .46435 L
.3966 .46628 L
.39691 .46668 L
.39791 .46821 L
.39884 .46945 L
.39927 .47013 L
.39884 .472 L
.39739 .47013 L
.39691 .46957 L
.39586 .46821 L
.39498 .46712 L
.39434 .46628 L
.39306 .46496 L
.39283 .46435 L
.39138 .46242 L
.39113 .46212 L
.38993 .4605 L
.3892 .45957 L
.38847 .45857 L
.38727 .45734 L
.38701 .45664 L
.38559 .45472 L
.38535 .45441 L
.38418 .45279 L
.38342 .45179 L
.38275 .45086 L
.38149 .44937 L
.38132 .44894 L
.37995 .44701 L
.37957 .4465 L
.37858 .44508 L
.37764 .44382 L
.37717 .44316 L
.37579 .44123 L
.37571 .44112 L
.37449 .4393 L
.37379 .43834 L
.37315 .43737 L
.37186 .43556 L
.37178 .43545 L
.3706 .43352 L
.36993 .43258 L
.36938 .43159 L
F
0 .94 1 r
.36993 .37961 m
.37156 .38149 L
.37186 .38183 L
.37307 .38342 L
.37379 .3843 L
.37452 .38535 L
.37571 .38696 L
.37592 .38727 L
.37707 .3892 L
.37571 .38966 L
.3753 .3892 L
.37379 .38774 L
.37361 .38727 L
.37213 .38535 L
.37186 .385 L
.37075 .38342 L
.36993 .38225 L
.36944 .38149 L
F
0 .89 1 r
.36993 .4146 m
.37147 .41618 L
.37186 .41655 L
.37324 .41811 L
.37379 .4187 L
.37492 .42003 L
.37571 .42073 L
.37655 .42196 L
.37764 .42325 L
.37841 .42389 L
.37957 .42567 L
.37969 .42581 L
.38123 .42774 L
.38149 .42798 L
.38276 .42967 L
.38342 .4305 L
.38449 .43159 L
.38535 .43304 L
.3857 .43352 L
.38724 .43545 L
.38727 .43548 L
.38872 .43737 L
.3892 .43801 L
.39033 .4393 L
.39113 .44061 L
.39154 .44123 L
.39306 .44312 L
.3931 .44316 L
.39455 .44508 L
.39498 .44566 L
.39609 .44701 L
.39691 .44829 L
.39729 .44894 L
.39884 .45083 L
.39887 .45086 L
.4003 .45279 L
.40076 .4534 L
.4018 .45472 L
.40269 .45605 L
.403 .45664 L
.40459 .45857 L
.40462 .45859 L
.40641 .4605 L
.40654 .4612 L
.40748 .46242 L
.40847 .46386 L
.40869 .46435 L
.41028 .46628 L
.4104 .4664 L
.41204 .46821 L
.41232 .46903 L
.41313 .47013 L
.41425 .4717 L
.41438 .47206 L
.41595 .47399 L
.41618 .47423 L
.41767 .47591 L
.41811 .47689 L
.41878 .47784 L
.42003 .47956 L
.42008 .47977 L
.4216 .48169 L
.42196 .48208 L
.42328 .48362 L
.42389 .48478 L
.42441 .48555 L
.42581 .48744 L
.42584 .48747 L
.42724 .4894 L
.42774 .48996 L
.42888 .49133 L
.42967 .49268 L
.43004 .49326 L
.43147 .49518 L
.43159 .49521 L
.43286 .49711 L
.43352 .49786 L
.43447 .49904 L
.43545 .50062 L
.43566 .50096 L
.43707 .50289 L
.43737 .503 L
.43846 .50482 L
.4393 .50581 L
.44003 .50674 L
.44123 .50858 L
.44128 .50867 L
.44266 .5106 L
.44316 .51087 L
.44471 .51253 L
.44508 .51381 L
.44556 .51445 L
.44685 .51638 L
.44701 .51659 L
.44821 .51831 L
.44894 .51887 L
.45011 .52023 L
.45086 .5219 L
.45105 .52216 L
.45236 .52409 L
.45279 .52467 L
.45372 .52601 L
.45472 .52707 L
.45541 .52794 L
.45647 .52987 L
.45664 .5301 L
.45779 .53179 L
.45857 .53288 L
.45913 .53372 L
.4605 .53564 L
.46051 .53565 L
.46175 .53758 L
.46242 .53853 L
.46303 .5395 L
.46434 .54143 L
.46435 .54144 L
.46544 .54336 L
.46628 .54472 L
.46653 .54528 L
.46628 .5463 L
.46517 .54528 L
.46435 .54453 L
.46327 .54336 L
.46242 .54246 L
.46152 .54143 L
.4605 .54038 L
.45985 .5395 L
.45857 .53796 L
.45813 .53758 L
.45667 .53565 L
.45664 .53562 L
.4551 .53372 L
.45472 .5333 L
.45355 .53179 L
.45279 .5308 L
.45195 .52987 L
.45086 .52829 L
.45065 .52794 L
.44903 .52601 L
.44894 .5259 L
.44754 .52409 L
.44701 .52336 L
.44604 .52216 L
.44508 .52077 L
.4448 .52023 L
.44316 .51832 L
.44313 .51831 L
.44135 .51638 L
.44123 .51576 L
.44024 .51445 L
.4393 .51313 L
.43905 .51253 L
.43737 .51062 L
.43733 .5106 L
.43567 .50867 L
.43545 .50806 L
.43451 .50674 L
.43352 .50539 L
.43334 .50482 L
.43159 .50289 L
.43159 .50289 L
.42998 .50096 L
.42967 .50028 L
.42882 .49904 L
.42774 .4976 L
.42766 .49711 L
.42588 .49518 L
.42581 .4951 L
.42431 .49326 L
.42389 .49245 L
.42315 .49133 L
.42196 .48978 L
.42161 .4894 L
.42021 .48747 L
.42003 .48726 L
.41866 .48555 L
.41811 .4846 L
.4175 .48362 L
.41618 .48194 L
.41595 .48169 L
.41455 .47977 L
.41425 .47941 L
.41303 .47784 L
.41232 .47672 L
.41186 .47591 L
.4104 .47408 L
.41031 .47399 L
.40891 .47206 L
.40847 .47153 L
.40741 .47013 L
.40654 .46883 L
.40622 .46821 L
.40468 .46628 L
.40462 .46624 L
.40281 .46435 L
.40269 .46362 L
.4018 .46242 L
.40076 .46091 L
.40058 .4605 L
.39907 .45857 L
.39884 .4584 L
.39723 .45664 L
.39691 .45569 L
.39622 .45472 L
.39498 .45296 L
.39492 .45279 L
.39348 .45086 L
.39306 .45052 L
.39169 .44894 L
.39113 .4477 L
.39065 .44701 L
.38929 .44508 L
.3892 .44496 L
.38793 .44316 L
.38727 .44254 L
.38621 .44123 L
.38535 .43964 L
.38513 .4393 L
.38378 .43737 L
.38342 .43688 L
.38242 .43545 L
.38149 .43441 L
.38082 .43352 L
.37967 .43159 L
.37957 .43145 L
.37835 .42967 L
.37764 .42868 L
.377 .42774 L
.37571 .42596 L
.37561 .42581 L
.37437 .42389 L
.37379 .42305 L
.37308 .42196 L
.37186 .42016 L
.37178 .42003 L
.37062 .41811 L
.36993 .41704 L
.36947 .41618 L
F
1 .72 0 r
.36993 .42295 m
.37078 .42389 L
.37186 .42497 L
.37257 .42581 L
.37379 .42718 L
.37424 .42774 L
.37571 .42944 L
.37585 .42967 L
.3774 .43159 L
.37764 .43188 L
.37892 .43352 L
.37957 .4343 L
.38045 .43545 L
.38149 .43662 L
.38254 .43737 L
.38342 .43923 L
.38349 .4393 L
.38493 .44123 L
.38535 .44175 L
.38641 .44316 L
.38727 .44413 L
.38839 .44508 L
.3892 .4468 L
.38938 .44701 L
.39079 .44894 L
.39113 .44937 L
.39223 .45086 L
.39306 .4518 L
.39409 .45279 L
.39498 .4545 L
.39516 .45472 L
.39656 .45664 L
.39691 .4571 L
.39798 .45857 L
.39884 .45956 L
.39974 .4605 L
.40076 .46229 L
.40087 .46242 L
.40226 .46435 L
.40269 .46449 L
.40367 .46628 L
.40462 .46741 L
.40534 .46821 L
.40653 .47013 L
.40654 .47015 L
.40791 .47206 L
.40847 .47234 L
.40932 .47399 L
.4104 .47533 L
.4109 .47591 L
.41214 .47784 L
.41232 .47808 L
.41352 .47977 L
.41425 .48029 L
.41492 .48169 L
.41618 .48334 L
.41641 .48362 L
.4177 .48555 L
.41811 .48609 L
.41907 .48747 L
.42003 .48841 L
.42047 .4894 L
.42186 .49133 L
.42196 .49146 L
.42319 .49326 L
.42389 .4942 L
.42455 .49518 L
.42581 .49679 L
.4261 .49711 L
.42725 .49904 L
.42774 .49971 L
.42856 .50096 L
.42967 .50251 L
.42991 .50289 L
.43118 .50482 L
.43159 .5054 L
.4324 .50674 L
.43352 .50842 L
.43366 .50867 L
.43352 .51035 L
.43197 .50867 L
.43159 .50829 L
.43027 .50674 L
.42967 .50607 L
.42863 .50482 L
.42774 .50377 L
.42703 .50289 L
.42581 .50148 L
.42498 .50096 L
.42393 .49904 L
.42389 .49898 L
.42242 .49711 L
.42196 .49654 L
.4209 .49518 L
.42003 .49417 L
.41891 .49326 L
.41811 .49158 L
.4179 .49133 L
.41645 .4894 L
.41618 .48937 L
.41497 .48747 L
.41425 .48663 L
.41313 .48555 L
.41232 .48399 L
.41205 .48362 L
.4106 .48169 L
.4104 .48164 L
.40916 .47977 L
.40847 .47895 L
.40743 .47784 L
.40654 .47628 L
.40629 .47591 L
.40485 .47399 L
.40462 .4739 L
.40342 .47206 L
.40269 .47117 L
.40178 .47013 L
.40076 .46848 L
.40058 .46821 L
.39915 .46628 L
.39884 .46612 L
.39773 .46435 L
.39691 .46332 L
.39616 .46242 L
.39498 .46061 L
.39492 .4605 L
.39351 .45857 L
.39306 .45827 L
.3921 .45664 L
.39113 .45539 L
.39059 .45472 L
.3893 .45279 L
.3892 .45265 L
.38793 .45086 L
.38727 .45033 L
.38584 .44894 L
.38535 .44736 L
.38508 .44701 L
.38377 .44508 L
.38342 .4446 L
.38241 .44316 L
.38149 .4422 L
.3806 .44123 L
.37966 .4393 L
.37957 .43917 L
.37834 .43737 L
.37764 .4364 L
.37699 .43545 L
.37571 .4337 L
.37556 .43352 L
.37437 .43159 L
.37379 .43077 L
.37308 .42967 L
.37186 .42788 L
.37177 .42774 L
.37063 .42581 L
.36993 .42473 L
.3695 .42389 L
F
0 .58 1 r
.36993 .43126 m
.37019 .43159 L
.37186 .4334 L
.37195 .43352 L
.37186 .43542 L
.37075 .43352 L
.36993 .43234 L
.36957 .43159 L
F
1 .71 0 r
.36993 .42326 m
.37055 .42389 L
.37186 .42513 L
.37244 .42581 L
.37379 .42731 L
.37414 .42774 L
.37571 .42957 L
.37577 .42967 L
.37732 .43159 L
.37764 .43197 L
.37886 .43352 L
.37957 .43438 L
.38039 .43545 L
.38149 .4367 L
.38245 .43737 L
.38342 .4393 L
.38342 .4393 L
.38489 .44123 L
.38535 .4418 L
.38636 .44316 L
.38727 .44418 L
.38833 .44508 L
.3892 .44685 L
.38934 .44701 L
.39075 .44894 L
.39113 .44942 L
.3922 .45086 L
.39306 .45184 L
.39405 .45279 L
.39498 .45454 L
.39512 .45472 L
.39652 .45664 L
.39691 .45714 L
.39795 .45857 L
.39884 .4596 L
.3997 .4605 L
.40076 .46233 L
.40084 .46242 L
.40223 .46435 L
.40269 .46451 L
.40364 .46628 L
.40462 .46745 L
.4053 .46821 L
.4065 .47013 L
.40654 .47019 L
.40788 .47206 L
.40847 .47237 L
.40929 .47399 L
.4104 .47537 L
.41086 .47591 L
.41211 .47784 L
.41232 .47812 L
.41349 .47977 L
.41425 .48034 L
.41489 .48169 L
.41618 .4834 L
.41636 .48362 L
.41767 .48555 L
.41811 .48613 L
.41904 .48747 L
.42003 .48847 L
.42044 .4894 L
.42182 .49133 L
.42196 .49151 L
.42315 .49326 L
.42389 .49426 L
.42451 .49518 L
.42581 .49689 L
.42601 .49711 L
.42719 .49904 L
.42774 .49979 L
.4285 .50096 L
.42967 .5026 L
.42985 .50289 L
.43109 .50482 L
.43159 .50554 L
.4323 .50674 L
.43352 .50862 L
.43355 .50867 L
.43352 .51008 L
.43216 .50867 L
.43159 .50813 L
.4304 .50674 L
.42967 .50595 L
.42873 .50482 L
.42774 .50366 L
.42711 .50289 L
.42581 .50138 L
.42514 .50096 L
.424 .49904 L
.42389 .4989 L
.42248 .49711 L
.42196 .49647 L
.42096 .49518 L
.42003 .4941 L
.41898 .49326 L
.41811 .49151 L
.41795 .49133 L
.41649 .4894 L
.41618 .48936 L
.41502 .48747 L
.41425 .48657 L
.41318 .48555 L
.41232 .48393 L
.41209 .48362 L
.41064 .48169 L
.4104 .48163 L
.40919 .47977 L
.40847 .4789 L
.40747 .47784 L
.40654 .47623 L
.40632 .47591 L
.40488 .47399 L
.40462 .47388 L
.40345 .47206 L
.40269 .47113 L
.40181 .47013 L
.40076 .46844 L
.40061 .46821 L
.39918 .46628 L
.39884 .46609 L
.39777 .46435 L
.39691 .46328 L
.39619 .46242 L
.39498 .46056 L
.39494 .4605 L
.39354 .45857 L
.39306 .45824 L
.39214 .45664 L
.39113 .45534 L
.39063 .45472 L
.38934 .45279 L
.3892 .4526 L
.38796 .45086 L
.38727 .45029 L
.38588 .44894 L
.38535 .4473 L
.38513 .44701 L
.38382 .44508 L
.38342 .44455 L
.38245 .44316 L
.38149 .44213 L
.38066 .44123 L
.37971 .4393 L
.37957 .4391 L
.37839 .43737 L
.37764 .43633 L
.37704 .43545 L
.37571 .43357 L
.37568 .43352 L
.37444 .43159 L
.37379 .43066 L
.37316 .42967 L
.37186 .42774 L
.37186 .42774 L
.37077 .42581 L
.36993 .42445 L
.36968 .42389 L
F
0 .88 1 r
.36993 .41519 m
.37106 .41618 L
.37186 .41689 L
.37298 .41811 L
.37379 .41895 L
.37472 .42003 L
.37571 .42093 L
.37639 .42196 L
.37764 .42343 L
.37822 .42389 L
.37957 .4258 L
.37958 .42581 L
.38112 .42774 L
.38149 .42808 L
.38266 .42967 L
.38342 .43061 L
.38441 .43159 L
.38535 .43313 L
.38564 .43352 L
.38717 .43545 L
.38727 .43555 L
.38865 .43737 L
.3892 .43809 L
.39028 .4393 L
.39113 .44068 L
.3915 .44123 L
.39305 .44316 L
.39306 .44316 L
.3945 .44508 L
.39498 .44572 L
.39605 .44701 L
.39691 .44835 L
.39726 .44894 L
.39883 .45086 L
.39884 .45087 L
.40027 .45279 L
.40076 .45344 L
.40177 .45472 L
.40269 .4561 L
.40298 .45664 L
.40456 .45857 L
.40462 .45863 L
.4064 .4605 L
.40654 .46123 L
.40745 .46242 L
.40847 .4639 L
.40868 .46435 L
.41026 .46628 L
.4104 .46643 L
.41203 .46821 L
.41232 .46906 L
.41311 .47013 L
.41425 .47173 L
.41437 .47206 L
.41593 .47399 L
.41618 .47425 L
.41765 .47591 L
.41811 .47692 L
.41876 .47784 L
.42003 .47959 L
.42007 .47977 L
.42158 .48169 L
.42196 .48211 L
.42327 .48362 L
.42389 .48481 L
.42439 .48555 L
.42581 .48746 L
.42582 .48747 L
.42721 .4894 L
.42774 .48998 L
.42886 .49133 L
.42967 .49271 L
.43002 .49326 L
.43144 .49518 L
.43159 .49521 L
.43283 .49711 L
.43352 .49789 L
.43444 .49904 L
.43545 .50065 L
.43564 .50096 L
.43705 .50289 L
.43737 .50301 L
.43844 .50482 L
.4393 .50585 L
.44 .50674 L
.44123 .50862 L
.44126 .50867 L
.44263 .5106 L
.44316 .5109 L
.44468 .51253 L
.44508 .51386 L
.44553 .51445 L
.44681 .51638 L
.44701 .51664 L
.44817 .51831 L
.44894 .51893 L
.45006 .52023 L
.45086 .52197 L
.451 .52216 L
.45231 .52409 L
.45279 .52474 L
.45367 .52601 L
.45472 .52718 L
.45532 .52794 L
.4564 .52987 L
.45664 .5302 L
.45771 .53179 L
.45857 .53299 L
.45905 .53372 L
.4604 .53565 L
.4605 .53579 L
.46163 .53758 L
.46242 .53872 L
.4629 .5395 L
.46414 .54143 L
.46435 .54176 L
.46516 .54336 L
.46435 .54413 L
.46359 .54336 L
.46242 .54217 L
.46176 .54143 L
.4605 .54013 L
.46004 .5395 L
.45857 .53777 L
.45834 .53758 L
.45681 .53565 L
.45664 .53546 L
.45523 .53372 L
.45472 .53317 L
.45366 .53179 L
.45279 .53067 L
.45205 .52987 L
.45086 .52819 L
.45071 .52794 L
.44912 .52601 L
.44894 .52581 L
.44761 .52409 L
.44701 .52327 L
.44611 .52216 L
.44508 .5207 L
.44484 .52023 L
.44319 .51831 L
.44316 .51826 L
.44136 .51638 L
.44123 .51569 L
.44029 .51445 L
.4393 .51307 L
.43907 .51253 L
.43738 .5106 L
.43737 .5106 L
.43569 .50867 L
.43545 .508 L
.43454 .50674 L
.43352 .50535 L
.43336 .50482 L
.43162 .50289 L
.43159 .50285 L
.43 .50096 L
.42967 .50023 L
.42884 .49904 L
.42774 .49757 L
.42767 .49711 L
.42591 .49518 L
.42581 .49506 L
.42433 .49326 L
.42389 .49242 L
.42317 .49133 L
.42196 .48975 L
.42164 .4894 L
.42023 .48747 L
.42003 .48723 L
.41868 .48555 L
.41811 .48457 L
.41752 .48362 L
.41618 .48191 L
.41598 .48169 L
.41457 .47977 L
.41425 .47938 L
.41305 .47784 L
.41232 .47669 L
.41188 .47591 L
.4104 .47406 L
.41033 .47399 L
.40893 .47206 L
.40847 .4715 L
.40743 .47013 L
.40654 .4688 L
.40624 .46821 L
.40471 .46628 L
.40462 .46622 L
.40282 .46435 L
.40269 .46359 L
.40183 .46242 L
.40076 .46087 L
.40059 .4605 L
.3991 .45857 L
.39884 .45838 L
.39725 .45664 L
.39691 .45565 L
.39624 .45472 L
.39498 .45291 L
.39494 .45279 L
.39352 .45086 L
.39306 .45048 L
.39172 .44894 L
.39113 .44765 L
.39069 .44701 L
.38933 .44508 L
.3892 .4449 L
.38797 .44316 L
.38727 .44249 L
.38625 .44123 L
.38535 .43957 L
.38517 .4393 L
.38383 .43737 L
.38342 .43681 L
.38247 .43545 L
.38149 .43431 L
.38089 .43352 L
.37974 .43159 L
.37957 .43135 L
.37843 .42967 L
.37764 .42857 L
.37708 .42774 L
.37574 .42581 L
.37571 .42578 L
.37449 .42389 L
.37379 .42287 L
.37321 .42196 L
.37194 .42003 L
.37186 .41992 L
.37084 .41811 L
.36993 .41657 L
.36976 .41618 L
F
1 .97 0 r
.36993 .4071 m
.37152 .40847 L
.37186 .40876 L
.37344 .4104 L
.37379 .41074 L
.37522 .41232 L
.37571 .41262 L
.37694 .41425 L
.37764 .41508 L
.37934 .41618 L
.37957 .41747 L
.38013 .41811 L
.38149 .41988 L
.3818 .42003 L
.38334 .42196 L
.38342 .42207 L
.38521 .42389 L
.38535 .42457 L
.38632 .42581 L
.38727 .42718 L
.38752 .42774 L
.3892 .42944 L
.38938 .42967 L
.39099 .43159 L
.39113 .43201 L
.39223 .43352 L
.39306 .4347 L
.39336 .43545 L
.39498 .43705 L
.39523 .43737 L
.39674 .4393 L
.39691 .43967 L
.39799 .44123 L
.39884 .4424 L
.39905 .44316 L
.40076 .44479 L
.40098 .44508 L
.40246 .44701 L
.40269 .44744 L
.40369 .44894 L
.40462 .45019 L
.40528 .45086 L
.40654 .4526 L
.40669 .45279 L
.40815 .45472 L
.40847 .45527 L
.40934 .45664 L
.4104 .45803 L
.41096 .45857 L
.41232 .46045 L
.41236 .4605 L
.41381 .46242 L
.41425 .46314 L
.41498 .46435 L
.41618 .46587 L
.41663 .46628 L
.41802 .46821 L
.41811 .46832 L
.41946 .47013 L
.42003 .47101 L
.4206 .47206 L
.42196 .47371 L
.42228 .47399 L
.42385 .47591 L
.42389 .4762 L
.4251 .47784 L
.42581 .47889 L
.42623 .47977 L
.42774 .48154 L
.42792 .48169 L
.42953 .48362 L
.42967 .48408 L
.43073 .48555 L
.43159 .48677 L
.43186 .48747 L
.43352 .48937 L
.43356 .4894 L
.43519 .49133 L
.43545 .49197 L
.43635 .49326 L
.43737 .49465 L
.43751 .49518 L
.4392 .49711 L
.4393 .49721 L
.44083 .49904 L
.44123 .49986 L
.44198 .50096 L
.44316 .50254 L
.44318 .50289 L
.44483 .50482 L
.44508 .50508 L
.44645 .50674 L
.44701 .50775 L
.4476 .50867 L
.44894 .51043 L
.44907 .5106 L
.45047 .51253 L
.45086 .51295 L
.45207 .51445 L
.45279 .51566 L
.45323 .51638 L
.4547 .51831 L
.45472 .51831 L
.45609 .52023 L
.45664 .52084 L
.45767 .52216 L
.45857 .52357 L
.45886 .52409 L
.46032 .52601 L
.4605 .52606 L
.46233 .52794 L
.46242 .52875 L
.46326 .52987 L
.46435 .5315 L
.4645 .53179 L
.46593 .53372 L
.46628 .53386 L
.46788 .53565 L
.46821 .53668 L
.46885 .53758 L
.47013 .53946 L
.47015 .5395 L
.47154 .54143 L
.47206 .54174 L
.47341 .54336 L
.47399 .54466 L
.47442 .54528 L
.47575 .54721 L
.47591 .54743 L
.47712 .54914 L
.47784 .54971 L
.4789 .55106 L
.47977 .5527 L
.47996 .55299 L
.4813 .55492 L
.48169 .55545 L
.48266 .55684 L
.48362 .55782 L
.48432 .55877 L
.48545 .5607 L
.48555 .56083 L
.48678 .56263 L
.48747 .56357 L
.48814 .56455 L
.4894 .56619 L
.48961 .56648 L
.49083 .56841 L
.49133 .5691 L
.49213 .57033 L
.49326 .57193 L
.49347 .57226 L
.49471 .57419 L
.49518 .57488 L
.4959 .57611 L
.49711 .57804 L
.49711 .57804 L
.4978 .57997 L
.49711 .58007 L
.49698 .57997 L
.49518 .57846 L
.49488 .57804 L
.49326 .57632 L
.49287 .57611 L
.49135 .57419 L
.49133 .57417 L
.48968 .57226 L
.4894 .57199 L
.48805 .57033 L
.48747 .5696 L
.48622 .56841 L
.48555 .56715 L
.48503 .56648 L
.48362 .56471 L
.48336 .56455 L
.48185 .56263 L
.48169 .56241 L
.48026 .5607 L
.47977 .55984 L
.47905 .55877 L
.47784 .55719 L
.47734 .55684 L
.47591 .55493 L
.4759 .55492 L
.47441 .55299 L
.47399 .5523 L
.47322 .55106 L
.47206 .54955 L
.4715 .54914 L
.47013 .54728 L
.47008 .54721 L
.46865 .54528 L
.46821 .5446 L
.4675 .54336 L
.46628 .54181 L
.46574 .54143 L
.46435 .53952 L
.46434 .5395 L
.46294 .53758 L
.46242 .53681 L
.46183 .53565 L
.4605 .53402 L
.46003 .53372 L
.4586 .53179 L
.45857 .5317 L
.45727 .52987 L
.45664 .52897 L
.4562 .52794 L
.45472 .52621 L
.45436 .52601 L
.45289 .52409 L
.45279 .52384 L
.45162 .52216 L
.45086 .52111 L
.45058 .52023 L
.44894 .51841 L
.4487 .51831 L
.44721 .51638 L
.44701 .51597 L
.44599 .51445 L
.44508 .51324 L
.44497 .51253 L
.44316 .51063 L
.44305 .5106 L
.44155 .50867 L
.44123 .50808 L
.44037 .50674 L
.4393 .50537 L
.4388 .50482 L
.43741 .50289 L
.43737 .50285 L
.43591 .50096 L
.43545 .50019 L
.43474 .49904 L
.43352 .4975 L
.43316 .49711 L
.43176 .49518 L
.43159 .49497 L
.43028 .49326 L
.42967 .4923 L
.42912 .49133 L
.42774 .48963 L
.42752 .4894 L
.42612 .48747 L
.42581 .48709 L
.42465 .48555 L
.42389 .48441 L
.42349 .48362 L
.42196 .48177 L
.42189 .48169 L
.42015 .47977 L
.42003 .47921 L
.41903 .47784 L
.41811 .47651 L
.41785 .47591 L
.41626 .47399 L
.41618 .47393 L
.41452 .47206 L
.41425 .47131 L
.41341 .47013 L
.41232 .46861 L
.41219 .46821 L
.41063 .46628 L
.4104 .46609 L
.40891 .46435 L
.40847 .4634 L
.4078 .46242 L
.40654 .46069 L
.40651 .4605 L
.40501 .45857 L
.40462 .45823 L
.40331 .45664 L
.40269 .45548 L
.40219 .45472 L
.40078 .45279 L
.40076 .45277 L
.3994 .45086 L
.39884 .45034 L
.39774 .44894 L
.39691 .44753 L
.39659 .44701 L
.39518 .44508 L
.39498 .44481 L
.3938 .44316 L
.39306 .44239 L
.39218 .44123 L
.39113 .43954 L
.39099 .4393 L
.38961 .43737 L
.3892 .43683 L
.38823 .43545 L
.38727 .43436 L
.38667 .43352 L
.38542 .43159 L
.38535 .43149 L
.38407 .42967 L
.38342 .42878 L
.38206 .42774 L
.38149 .4262 L
.38122 .42581 L
.37995 .42389 L
.37957 .42336 L
.37861 .42196 L
.37764 .42061 L
.37686 .42003 L
.37591 .41811 L
.37571 .41784 L
.37463 .41618 L
.37379 .41497 L
.37333 .41425 L
.37206 .41232 L
.37186 .41203 L
.37093 .4104 L
.36993 .40875 L
.3698 .40847 L
F
1 .96 0 r
.36993 .37301 m
.37179 .37379 L
.37186 .37384 L
.37379 .37568 L
.37385 .37571 L
.37552 .37764 L
.37571 .37785 L
.3771 .37957 L
.37764 .37997 L
.37863 .38149 L
.37957 .38259 L
.38041 .38342 L
.38149 .38523 L
.38158 .38535 L
.38297 .38727 L
.38342 .38789 L
.38434 .3892 L
.38535 .39023 L
.38586 .39113 L
.3869 .39306 L
.38727 .39372 L
.38786 .39498 L
.38727 .39624 L
.38535 .39514 L
.38501 .39498 L
.38342 .39332 L
.38293 .39306 L
.38149 .39116 L
.38146 .39113 L
.37995 .3892 L
.37957 .38899 L
.37848 .38727 L
.37764 .38627 L
.37688 .38535 L
.37571 .38349 L
.37567 .38342 L
.37433 .38149 L
.37379 .3807 L
.37302 .37957 L
.37186 .3779 L
.37173 .37764 L
.37068 .37571 L
.36993 .3741 L
.36982 .37379 L
F
0 .99 1 r
.37186 .36712 m
.37379 .36762 L
.37437 .36801 L
.37571 .36905 L
.37662 .36993 L
.37764 .37116 L
.37802 .37186 L
.37957 .37357 L
.37973 .37379 L
.38147 .37571 L
.38149 .37617 L
.38268 .37764 L
.38342 .37892 L
.38385 .37957 L
.38535 .38124 L
.38554 .38149 L
.38717 .38342 L
.38727 .38387 L
.38837 .38535 L
.3892 .38655 L
.3895 .38727 L
.39113 .38914 L
.3912 .3892 L
.39283 .39113 L
.39306 .39143 L
.39397 .39306 L
.39498 .39407 L
.39512 .39498 L
.39666 .39691 L
.39691 .3974 L
.39707 .39884 L
.39691 .39886 L
.39498 .39901 L
.39363 .39884 L
.39306 .39867 L
.39113 .39698 L
.39107 .39691 L
.38956 .39498 L
.3892 .3943 L
.38802 .39306 L
.38727 .39166 L
.38683 .39113 L
.38535 .38922 L
.38525 .3892 L
.38346 .38727 L
.38342 .38676 L
.38237 .38535 L
.38149 .38407 L
.38119 .38342 L
.37963 .38149 L
.37957 .38141 L
.37784 .37957 L
.37764 .37907 L
.37679 .37764 L
.37571 .37615 L
.37558 .37571 L
.37412 .37379 L
.37379 .37329 L
.37238 .37186 L
.37186 .37037 L
.37154 .36993 L
.37081 .36801 L
F
1 .7 0 r
.37186 .42531 m
.37229 .42581 L
.37379 .42743 L
.37404 .42774 L
.37568 .42967 L
.37571 .4297 L
.37723 .43159 L
.37764 .43206 L
.37879 .43352 L
.37957 .43446 L
.38033 .43545 L
.38149 .43678 L
.38234 .43737 L
.38337 .4393 L
.38342 .43936 L
.38484 .44123 L
.38535 .44186 L
.38632 .44316 L
.38727 .44424 L
.38827 .44508 L
.3892 .4469 L
.38929 .44701 L
.39072 .44894 L
.39113 .44946 L
.39216 .45086 L
.39306 .45189 L
.39401 .45279 L
.39498 .45459 L
.39509 .45472 L
.39649 .45664 L
.39691 .45719 L
.39792 .45857 L
.39884 .45965 L
.39966 .4605 L
.40076 .46237 L
.4008 .46242 L
.4022 .46435 L
.40269 .46453 L
.40362 .46628 L
.40462 .46749 L
.40527 .46821 L
.40647 .47013 L
.40654 .47023 L
.40785 .47206 L
.40847 .4724 L
.40926 .47399 L
.4104 .47542 L
.41082 .47591 L
.41208 .47784 L
.41232 .47816 L
.41346 .47977 L
.41425 .48038 L
.41486 .48169 L
.41618 .48345 L
.41632 .48362 L
.41763 .48555 L
.41811 .48618 L
.419 .48747 L
.42003 .48854 L
.4204 .4894 L
.42178 .49133 L
.42196 .49157 L
.42311 .49326 L
.42389 .49432 L
.42447 .49518 L
.42581 .497 L
.42591 .49711 L
.42714 .49904 L
.42774 .49987 L
.42844 .50096 L
.42967 .5027 L
.42979 .50289 L
.431 .50482 L
.43159 .50568 L
.43219 .50674 L
.43159 .50795 L
.43053 .50674 L
.42967 .50582 L
.42883 .50482 L
.42774 .50355 L
.4272 .50289 L
.42581 .50127 L
.42531 .50096 L
.42407 .49904 L
.42389 .49882 L
.42254 .49711 L
.42196 .49639 L
.42101 .49518 L
.42003 .49403 L
.41906 .49326 L
.41811 .49145 L
.41801 .49133 L
.41654 .4894 L
.41618 .48934 L
.41506 .48747 L
.41425 .48652 L
.41323 .48555 L
.41232 .48388 L
.41213 .48362 L
.41068 .48169 L
.4104 .48161 L
.40923 .47977 L
.40847 .47885 L
.40751 .47784 L
.40654 .47618 L
.40635 .47591 L
.40492 .47399 L
.40462 .47386 L
.40348 .47206 L
.40269 .47109 L
.40184 .47013 L
.40076 .46839 L
.40064 .46821 L
.39922 .46628 L
.39884 .46607 L
.3978 .46435 L
.39691 .46324 L
.39623 .46242 L
.39498 .46052 L
.39497 .4605 L
.39358 .45857 L
.39306 .45821 L
.39217 .45664 L
.39113 .4553 L
.39067 .45472 L
.38938 .45279 L
.3892 .45256 L
.388 .45086 L
.38727 .45024 L
.38593 .44894 L
.38535 .44724 L
.38517 .44701 L
.38386 .44508 L
.38342 .44449 L
.38249 .44316 L
.38149 .44205 L
.38074 .44123 L
.37976 .4393 L
.37957 .43903 L
.37844 .43737 L
.37764 .43625 L
.3771 .43545 L
.37576 .43352 L
.37571 .43346 L
.37452 .43159 L
.37379 .43055 L
.37324 .42967 L
.37198 .42774 L
.37186 .42757 L
.37093 .42581 L
F
0 .87 1 r
.37186 .41727 m
.37267 .41811 L
.37379 .41922 L
.37451 .42003 L
.37571 .42116 L
.37622 .42196 L
.37764 .42361 L
.37801 .42389 L
.37945 .42581 L
.37957 .42595 L
.38101 .42774 L
.38149 .42818 L
.38256 .42967 L
.38342 .43073 L
.38432 .43159 L
.38535 .43323 L
.38557 .43352 L
.3871 .43545 L
.38727 .43562 L
.38859 .43737 L
.3892 .43817 L
.39022 .4393 L
.39113 .44074 L
.39145 .44123 L
.393 .44316 L
.39306 .44322 L
.39445 .44508 L
.39498 .44578 L
.39601 .44701 L
.39691 .4484 L
.39723 .44894 L
.39879 .45086 L
.39884 .45091 L
.40023 .45279 L
.40076 .45349 L
.40174 .45472 L
.40269 .45614 L
.40296 .45664 L
.40453 .45857 L
.40462 .45866 L
.40638 .4605 L
.40654 .46127 L
.40743 .46242 L
.40847 .46393 L
.40866 .46435 L
.41023 .46628 L
.4104 .46645 L
.41201 .46821 L
.41232 .4691 L
.41309 .47013 L
.41425 .47176 L
.41436 .47206 L
.4159 .47399 L
.41618 .47428 L
.41764 .47591 L
.41811 .47695 L
.41874 .47784 L
.42003 .47961 L
.42006 .47977 L
.42156 .48169 L
.42196 .48213 L
.42325 .48362 L
.42389 .48484 L
.42437 .48555 L
.4258 .48747 L
.42581 .48748 L
.42719 .4894 L
.42774 .49001 L
.42884 .49133 L
.42967 .49275 L
.43 .49326 L
.43142 .49518 L
.43159 .49522 L
.43281 .49711 L
.43352 .49792 L
.43442 .49904 L
.43545 .50069 L
.43562 .50096 L
.43702 .50289 L
.43737 .50303 L
.43841 .50482 L
.4393 .50588 L
.43997 .50674 L
.44123 .50867 L
.44123 .50867 L
.4426 .5106 L
.44316 .51094 L
.44464 .51253 L
.44508 .51391 L
.44549 .51445 L
.44677 .51638 L
.44701 .51669 L
.44813 .51831 L
.44894 .51899 L
.45 .52023 L
.45086 .52205 L
.45094 .52216 L
.45226 .52409 L
.45279 .52481 L
.45361 .52601 L
.45472 .5273 L
.45523 .52794 L
.45633 .52987 L
.45664 .5303 L
.45763 .53179 L
.45857 .53311 L
.45897 .53372 L
.46028 .53565 L
.4605 .53595 L
.4615 .53758 L
.46242 .53894 L
.46276 .5395 L
.46389 .54143 L
.46435 .54222 L
.46471 .54336 L
.46435 .54361 L
.46405 .54336 L
.46242 .54186 L
.46202 .54143 L
.4605 .53985 L
.46025 .5395 L
.45858 .53758 L
.45857 .53757 L
.45696 .53565 L
.45664 .53529 L
.45535 .53372 L
.45472 .53304 L
.45377 .53179 L
.45279 .53054 L
.45215 .52987 L
.45086 .5281 L
.45076 .52794 L
.4492 .52601 L
.44894 .52572 L
.44769 .52409 L
.44701 .52318 L
.44617 .52216 L
.44508 .52062 L
.44488 .52023 L
.44325 .51831 L
.44316 .51819 L
.44138 .51638 L
.44123 .51562 L
.44034 .51445 L
.4393 .51301 L
.4391 .51253 L
.43742 .5106 L
.43737 .51054 L
.43571 .50867 L
.43545 .50794 L
.43458 .50674 L
.43352 .5053 L
.43337 .50482 L
.43166 .50289 L
.43159 .50281 L
.43002 .50096 L
.42967 .50019 L
.42887 .49904 L
.42774 .49753 L
.42767 .49711 L
.42594 .49518 L
.42581 .49502 L
.42436 .49326 L
.42389 .49238 L
.4232 .49133 L
.42196 .48972 L
.42166 .4894 L
.42026 .48747 L
.42003 .4872 L
.4187 .48555 L
.41811 .48453 L
.41754 .48362 L
.41618 .48189 L
.416 .48169 L
.4146 .47977 L
.41425 .47934 L
.41307 .47784 L
.41232 .47666 L
.4119 .47591 L
.4104 .47403 L
.41036 .47399 L
.40896 .47206 L
.40847 .47146 L
.40745 .47013 L
.40654 .46876 L
.40626 .46821 L
.40473 .46628 L
.40462 .4662 L
.40283 .46435 L
.40269 .46356 L
.40185 .46242 L
.40076 .46084 L
.40061 .4605 L
.39913 .45857 L
.39884 .45836 L
.39727 .45664 L
.39691 .45561 L
.39627 .45472 L
.39498 .45287 L
.39495 .45279 L
.39355 .45086 L
.39306 .45045 L
.39175 .44894 L
.39113 .4476 L
.39072 .44701 L
.38937 .44508 L
.3892 .44485 L
.38801 .44316 L
.38727 .44243 L
.3863 .44123 L
.38535 .43949 L
.38522 .4393 L
.38389 .43737 L
.38342 .43673 L
.38253 .43545 L
.38149 .43421 L
.38097 .43352 L
.37982 .43159 L
.37957 .43125 L
.3785 .42967 L
.37764 .42845 L
.37717 .42774 L
.37584 .42581 L
.37571 .42563 L
.37461 .42389 L
.37379 .42268 L
.37334 .42196 L
.37214 .42003 L
.37186 .41959 L
.37112 .41811 L
F
1 .69 0 r
.37186 .42552 m
.37212 .42581 L
.37379 .42757 L
.37393 .42774 L
.37557 .42967 L
.37571 .42982 L
.37715 .43159 L
.37764 .43215 L
.37872 .43352 L
.37957 .43454 L
.38027 .43545 L
.38149 .43686 L
.38224 .43737 L
.38332 .4393 L
.38342 .43943 L
.38479 .44123 L
.38535 .44192 L
.38628 .44316 L
.38727 .4443 L
.38821 .44508 L
.3892 .44695 L
.38925 .44701 L
.39068 .44894 L
.39113 .44951 L
.39213 .45086 L
.39306 .45194 L
.39396 .45279 L
.39498 .45463 L
.39505 .45472 L
.39646 .45664 L
.39691 .45723 L
.39789 .45857 L
.39884 .45969 L
.39963 .4605 L
.40076 .46241 L
.40077 .46242 L
.40217 .46435 L
.40269 .46456 L
.40359 .46628 L
.40462 .46753 L
.40523 .46821 L
.40644 .47013 L
.40654 .47027 L
.40782 .47206 L
.40847 .47243 L
.40923 .47399 L
.4104 .47546 L
.41079 .47591 L
.41205 .47784 L
.41232 .47821 L
.41343 .47977 L
.41425 .48043 L
.41483 .48169 L
.41618 .4835 L
.41628 .48362 L
.4176 .48555 L
.41811 .48623 L
.41897 .48747 L
.42003 .48861 L
.42037 .4894 L
.42174 .49133 L
.42196 .49163 L
.42306 .49326 L
.42389 .49438 L
.42443 .49518 L
.42581 .49711 L
.42581 .49711 L
.42708 .49904 L
.42774 .49995 L
.42838 .50096 L
.42967 .5028 L
.42973 .50289 L
.43089 .50482 L
.43159 .50586 L
.43206 .50674 L
.43159 .50776 L
.43068 .50674 L
.42967 .50568 L
.42894 .50482 L
.42774 .50344 L
.42728 .50289 L
.42581 .50115 L
.4255 .50096 L
.42414 .49904 L
.42389 .49873 L
.42261 .49711 L
.42196 .49632 L
.42107 .49518 L
.42003 .49396 L
.41914 .49326 L
.41811 .49138 L
.41806 .49133 L
.41659 .4894 L
.41618 .48932 L
.4151 .48747 L
.41425 .48646 L
.41327 .48555 L
.41232 .48383 L
.41217 .48362 L
.41072 .48169 L
.4104 .48159 L
.40927 .47977 L
.40847 .4788 L
.40755 .47784 L
.40654 .47614 L
.40638 .47591 L
.40495 .47399 L
.40462 .47384 L
.40352 .47206 L
.40269 .47104 L
.40188 .47013 L
.40076 .46835 L
.40067 .46821 L
.39925 .46628 L
.39884 .46605 L
.39783 .46435 L
.39691 .46319 L
.39626 .46242 L
.395 .4605 L
.39498 .46047 L
.39361 .45857 L
.39306 .45818 L
.3922 .45664 L
.39113 .45524 L
.39071 .45472 L
.38941 .45279 L
.3892 .45251 L
.38803 .45086 L
.38727 .45019 L
.38598 .44894 L
.38535 .44718 L
.38522 .44701 L
.3839 .44508 L
.38342 .44443 L
.38253 .44316 L
.38149 .44196 L
.38082 .44123 L
.37982 .4393 L
.37957 .43896 L
.3785 .43737 L
.37764 .43617 L
.37716 .43545 L
.37583 .43352 L
.37571 .43336 L
.37459 .43159 L
.37379 .43042 L
.37332 .42967 L
.37211 .42774 L
.37186 .42736 L
.37113 .42581 L
F
1 .95 0 r
.37186 .37475 m
.37313 .37571 L
.37379 .37626 L
.37508 .37764 L
.37571 .3783 L
.37677 .37957 L
.37764 .38028 L
.37835 .38149 L
.37957 .38294 L
.38007 .38342 L
.38133 .38535 L
.38149 .38556 L
.38273 .38727 L
.38342 .38822 L
.3841 .3892 L
.38535 .39094 L
.38545 .39113 L
.38651 .39306 L
.38535 .39469 L
.3835 .39306 L
.38342 .39298 L
.38179 .39113 L
.38149 .39079 L
.38023 .3892 L
.37957 .38876 L
.37874 .38727 L
.37764 .3859 L
.37718 .38535 L
.37594 .38342 L
.37571 .3831 L
.37462 .38149 L
.37379 .38024 L
.37335 .37957 L
.37221 .37764 L
.37186 .377 L
.37131 .37571 L
F
0 .93 1 r
.37186 .3827 m
.37241 .38342 L
.37379 .38506 L
.37398 .38535 L
.37379 .3866 L
.37284 .38535 L
.37186 .3841 L
.37142 .38342 L
F
1 .68 0 r
.37186 .42576 m
.37191 .42581 L
.37379 .42772 L
.37381 .42774 L
.37546 .42967 L
.37571 .42994 L
.37706 .43159 L
.37764 .43225 L
.37864 .43352 L
.37957 .43462 L
.38021 .43545 L
.38149 .43695 L
.38212 .43737 L
.38326 .4393 L
.38342 .4395 L
.38474 .44123 L
.38535 .44198 L
.38623 .44316 L
.38727 .44436 L
.38815 .44508 L
.3892 .44701 L
.3892 .44701 L
.39064 .44894 L
.39113 .44956 L
.39209 .45086 L
.39306 .45198 L
.39392 .45279 L
.39498 .45468 L
.39501 .45472 L
.39643 .45664 L
.39691 .45727 L
.39786 .45857 L
.39884 .45973 L
.39959 .4605 L
.40074 .46242 L
.40076 .46245 L
.40214 .46435 L
.40269 .46458 L
.40356 .46628 L
.40462 .46758 L
.40519 .46821 L
.40641 .47013 L
.40654 .47031 L
.40779 .47206 L
.40847 .47247 L
.40921 .47399 L
.4104 .47551 L
.41075 .47591 L
.41202 .47784 L
.41232 .47825 L
.41339 .47977 L
.41425 .48048 L
.4148 .48169 L
.41618 .48356 L
.41623 .48362 L
.41756 .48555 L
.41811 .48628 L
.41893 .48747 L
.42003 .48868 L
.42033 .4894 L
.42169 .49133 L
.42196 .49169 L
.42302 .49326 L
.42389 .49444 L
.42438 .49518 L
.42575 .49711 L
.42581 .49719 L
.42702 .49904 L
.42774 .50004 L
.42832 .50096 L
.42966 .50289 L
.42967 .50291 L
.43078 .50482 L
.43159 .50607 L
.43192 .50674 L
.43159 .50752 L
.43086 .50674 L
.42967 .50553 L
.42905 .50482 L
.42774 .50333 L
.42738 .50289 L
.42581 .50103 L
.4257 .50096 L
.42422 .49904 L
.42389 .49864 L
.42267 .49711 L
.42196 .49624 L
.42113 .49518 L
.42003 .49388 L
.41922 .49326 L
.41811 .49133 L
.41811 .49132 L
.41664 .4894 L
.41618 .4893 L
.41515 .48747 L
.41425 .4864 L
.41333 .48555 L
.41232 .48377 L
.41221 .48362 L
.41076 .48169 L
.4104 .48158 L
.4093 .47977 L
.40847 .47876 L
.40759 .47784 L
.40654 .47609 L
.40642 .47591 L
.40499 .47399 L
.40462 .47382 L
.40355 .47206 L
.40269 .471 L
.40192 .47013 L
.40076 .4683 L
.4007 .46821 L
.39928 .46628 L
.39884 .46602 L
.39786 .46435 L
.39691 .46314 L
.3963 .46242 L
.39504 .4605 L
.39498 .46043 L
.39365 .45857 L
.39306 .45814 L
.39224 .45664 L
.39113 .45519 L
.39075 .45472 L
.38945 .45279 L
.3892 .45246 L
.38807 .45086 L
.38727 .45013 L
.38604 .44894 L
.38535 .44711 L
.38527 .44701 L
.38394 .44508 L
.38342 .44437 L
.38258 .44316 L
.38149 .44188 L
.3809 .44123 L
.37987 .4393 L
.37957 .43889 L
.37855 .43737 L
.37764 .43609 L
.37721 .43545 L
.37591 .43352 L
.37571 .43325 L
.37468 .43159 L
.37379 .43029 L
.37341 .42967 L
.37227 .42774 L
.37186 .42708 L
.37146 .42581 L
F
0 .86 1 r
.37186 .41778 m
.37224 .41811 L
.37379 .41951 L
.37427 .42003 L
.37571 .42144 L
.37604 .42196 L
.37764 .4238 L
.37776 .42389 L
.37931 .42581 L
.37957 .4261 L
.3809 .42774 L
.38149 .42829 L
.38246 .42967 L
.38342 .43084 L
.38422 .43159 L
.38535 .43332 L
.3855 .43352 L
.38702 .43545 L
.38727 .43569 L
.38852 .43737 L
.3892 .43824 L
.39017 .4393 L
.39113 .44081 L
.39141 .44123 L
.39294 .44316 L
.39306 .44327 L
.39441 .44508 L
.39498 .44583 L
.39597 .44701 L
.39691 .44845 L
.3972 .44894 L
.39875 .45086 L
.39884 .45095 L
.4002 .45279 L
.40076 .45354 L
.40171 .45472 L
.40269 .45618 L
.40294 .45664 L
.4045 .45857 L
.40462 .45869 L
.40637 .4605 L
.40654 .46131 L
.4074 .46242 L
.40847 .46396 L
.40865 .46435 L
.4102 .46628 L
.4104 .46648 L
.412 .46821 L
.41232 .46913 L
.41307 .47013 L
.41425 .47179 L
.41435 .47206 L
.41588 .47399 L
.41618 .4743 L
.41762 .47591 L
.41811 .47698 L
.41872 .47784 L
.42003 .47964 L
.42006 .47977 L
.42153 .48169 L
.42196 .48216 L
.42323 .48362 L
.42389 .48487 L
.42435 .48555 L
.42578 .48747 L
.42581 .48748 L
.42717 .4894 L
.42774 .49004 L
.42882 .49133 L
.42967 .49278 L
.42998 .49326 L
.4314 .49518 L
.43159 .49523 L
.43279 .49711 L
.43352 .49796 L
.43439 .49904 L
.43545 .50072 L
.4356 .50096 L
.43699 .50289 L
.43737 .50305 L
.43838 .50482 L
.4393 .50592 L
.43994 .50674 L
.4412 .50867 L
.44123 .50871 L
.44256 .5106 L
.44316 .51097 L
.44461 .51253 L
.44508 .51397 L
.44545 .51445 L
.44674 .51638 L
.44701 .51675 L
.44809 .51831 L
.44894 .51906 L
.44994 .52023 L
.45086 .52213 L
.45089 .52216 L
.4522 .52409 L
.45279 .52489 L
.45356 .52601 L
.45472 .52742 L
.45513 .52794 L
.45625 .52987 L
.45664 .53041 L
.45755 .53179 L
.45857 .53323 L
.45889 .53372 L
.46016 .53565 L
.4605 .53613 L
.46136 .53758 L
.46242 .53919 L
.4626 .5395 L
.46353 .54143 L
.46242 .5415 L
.46235 .54143 L
.4605 .53953 L
.46048 .5395 L
.45877 .53758 L
.45857 .53737 L
.45711 .53565 L
.45664 .53512 L
.45548 .53372 L
.45472 .53291 L
.45389 .53179 L
.45279 .53041 L
.45225 .52987 L
.45086 .528 L
.45082 .52794 L
.44928 .52601 L
.44894 .52563 L
.44776 .52409 L
.44701 .52308 L
.44623 .52216 L
.44508 .52055 L
.44492 .52023 L
.44331 .51831 L
.44316 .51813 L
.44139 .51638 L
.44123 .51555 L
.44038 .51445 L
.4393 .51295 L
.43912 .51253 L
.43746 .5106 L
.43737 .51049 L
.43573 .50867 L
.43545 .50789 L
.43462 .50674 L
.43352 .50525 L
.43339 .50482 L
.43169 .50289 L
.43159 .50277 L
.43005 .50096 L
.42967 .50014 L
.4289 .49904 L
.42774 .49749 L
.42768 .49711 L
.42597 .49518 L
.42581 .49499 L
.42438 .49326 L
.42389 .49234 L
.42322 .49133 L
.42196 .48969 L
.42169 .4894 L
.42029 .48747 L
.42003 .48717 L
.41872 .48555 L
.41811 .4845 L
.41756 .48362 L
.41618 .48186 L
.41603 .48169 L
.41462 .47977 L
.41425 .47931 L
.41309 .47784 L
.41232 .47663 L
.41192 .47591 L
.4104 .474 L
.41038 .47399 L
.40898 .47206 L
.40847 .47143 L
.40747 .47013 L
.40654 .46873 L
.40627 .46821 L
.40476 .46628 L
.40462 .46618 L
.40284 .46435 L
.40269 .46352 L
.40188 .46242 L
.40076 .4608 L
.40063 .4605 L
.39916 .45857 L
.39884 .45833 L
.39729 .45664 L
.39691 .45557 L
.3963 .45472 L
.39498 .45283 L
.39497 .45279 L
.39358 .45086 L
.39306 .45041 L
.39179 .44894 L
.39113 .44755 L
.39076 .44701 L
.38942 .44508 L
.3892 .44479 L
.38805 .44316 L
.38727 .44237 L
.38636 .44123 L
.38535 .43942 L
.38527 .4393 L
.38394 .43737 L
.38342 .43666 L
.38259 .43545 L
.38149 .4341 L
.38106 .43352 L
.37989 .43159 L
.37957 .43115 L
.37858 .42967 L
.37764 .42833 L
.37725 .42774 L
.37596 .42581 L
.37571 .42546 L
.37474 .42389 L
.37379 .42246 L
.37349 .42196 L
.37239 .42003 L
.37186 .41911 L
.37153 .41811 L
F
1 .67 0 r
.37186 .44124 m
.37316 .44316 L
.37379 .44393 L
.37454 .44508 L
.37571 .4466 L
.37598 .44701 L
.37571 .44852 L
.37461 .44701 L
.37379 .44603 L
.3731 .44508 L
.37186 .44351 L
.3716 .44316 L
F
1 .66 0 r
.37186 .44143 m
.373 .44316 L
.37379 .44412 L
.37439 .44508 L
.37571 .44679 L
.37585 .44701 L
.37571 .44828 L
.3748 .44701 L
.37379 .44582 L
.37325 .44508 L
.37186 .44332 L
.37174 .44316 L
F
0 .83 1 r
.37186 .44978 m
.37231 .45086 L
.37186 .45096 L
.37177 .45086 L
F
0 .85 1 r
.37379 .41984 m
.37397 .42003 L
.37571 .42176 L
.37583 .42196 L
.37754 .42389 L
.37764 .42399 L
.37917 .42581 L
.37957 .42626 L
.38078 .42774 L
.38149 .4284 L
.38236 .42967 L
.38342 .43096 L
.38412 .43159 L
.38535 .43341 L
.38543 .43352 L
.38695 .43545 L
.38727 .43576 L
.38845 .43737 L
.3892 .43832 L
.39011 .4393 L
.39113 .44088 L
.39137 .44123 L
.39289 .44316 L
.39306 .44332 L
.39436 .44508 L
.39498 .44589 L
.39593 .44701 L
.39691 .4485 L
.39718 .44894 L
.39872 .45086 L
.39884 .45099 L
.40016 .45279 L
.40076 .45358 L
.40168 .45472 L
.40269 .45622 L
.40292 .45664 L
.40447 .45857 L
.40462 .45872 L
.40636 .4605 L
.40654 .46135 L
.40738 .46242 L
.40847 .464 L
.40863 .46435 L
.41018 .46628 L
.4104 .46651 L
.41198 .46821 L
.41232 .46916 L
.41305 .47013 L
.41425 .47182 L
.41434 .47206 L
.41586 .47399 L
.41618 .47433 L
.4176 .47591 L
.41811 .47701 L
.4187 .47784 L
.42003 .47967 L
.42005 .47977 L
.42151 .48169 L
.42196 .48218 L
.42321 .48362 L
.42389 .4849 L
.42433 .48555 L
.42575 .48747 L
.42581 .48748 L
.42715 .4894 L
.42774 .49007 L
.4288 .49133 L
.42967 .49281 L
.42996 .49326 L
.43137 .49518 L
.43159 .49524 L
.43276 .49711 L
.43352 .49799 L
.43437 .49904 L
.43545 .50076 L
.43558 .50096 L
.43697 .50289 L
.43737 .50307 L
.43836 .50482 L
.4393 .50596 L
.43991 .50674 L
.44117 .50867 L
.44123 .50875 L
.44253 .5106 L
.44316 .51101 L
.44457 .51253 L
.44508 .51402 L
.44541 .51445 L
.4467 .51638 L
.44701 .5168 L
.44805 .51831 L
.44894 .51913 L
.44988 .52023 L
.45083 .52216 L
.45086 .5222 L
.45215 .52409 L
.45279 .52496 L
.4535 .52601 L
.45472 .52755 L
.45502 .52794 L
.45618 .52987 L
.45664 .53052 L
.45747 .53179 L
.45857 .53337 L
.4588 .53372 L
.46003 .53565 L
.4605 .53633 L
.46121 .53758 L
.4605 .53925 L
.45897 .53758 L
.45857 .53716 L
.45727 .53565 L
.45664 .53495 L
.45561 .53372 L
.45472 .53276 L
.454 .53179 L
.45279 .53029 L
.45236 .52987 L
.4509 .52794 L
.45086 .5279 L
.44936 .52601 L
.44894 .52554 L
.44784 .52409 L
.44701 .52299 L
.44629 .52216 L
.44508 .52048 L
.44495 .52023 L
.44337 .51831 L
.44316 .51806 L
.44141 .51638 L
.44123 .51548 L
.44043 .51445 L
.4393 .5129 L
.43915 .51253 L
.43751 .5106 L
.43737 .51044 L
.43575 .50867 L
.43545 .50784 L
.43465 .50674 L
.43352 .50521 L
.4334 .50482 L
.43173 .50289 L
.43159 .50273 L
.43007 .50096 L
.42967 .5001 L
.42893 .49904 L
.42774 .49746 L
.42769 .49711 L
.426 .49518 L
.42581 .49495 L
.4244 .49326 L
.42389 .4923 L
.42324 .49133 L
.42196 .48966 L
.42172 .4894 L
.42031 .48747 L
.42003 .48713 L
.41874 .48555 L
.41811 .48446 L
.41758 .48362 L
.41618 .48183 L
.41605 .48169 L
.41465 .47977 L
.41425 .47928 L
.41311 .47784 L
.41232 .4766 L
.41193 .47591 L
.41041 .47399 L
.4104 .47398 L
.40901 .47206 L
.40847 .4714 L
.4075 .47013 L
.40654 .4687 L
.40629 .46821 L
.40478 .46628 L
.40462 .46617 L
.40285 .46435 L
.40269 .46349 L
.4019 .46242 L
.40076 .46076 L
.40064 .4605 L
.39918 .45857 L
.39884 .45831 L
.39731 .45664 L
.39691 .45553 L
.39633 .45472 L
.39499 .45279 L
.39498 .45279 L
.39362 .45086 L
.39306 .45037 L
.39182 .44894 L
.39113 .44749 L
.3908 .44701 L
.38946 .44508 L
.3892 .44474 L
.38809 .44316 L
.38727 .4423 L
.38641 .44123 L
.38535 .43934 L
.38532 .4393 L
.384 .43737 L
.38342 .43658 L
.38264 .43545 L
.38149 .43398 L
.38115 .43352 L
.37997 .43159 L
.37957 .43104 L
.37866 .42967 L
.37764 .4282 L
.37734 .42774 L
.37608 .42581 L
.37571 .42528 L
.37487 .42389 L
.37379 .42221 L
.37365 .42196 L
.37272 .42003 L
F
1 .94 0 r
.37379 .37693 m
.37453 .37764 L
.37571 .37877 L
.3764 .37957 L
.37764 .38072 L
.37806 .38149 L
.37957 .38334 L
.37965 .38342 L
.38106 .38535 L
.38149 .38591 L
.38246 .38727 L
.38342 .3886 L
.38383 .3892 L
.38506 .39113 L
.38535 .39161 L
.38602 .39306 L
.38535 .39402 L
.38406 .39306 L
.38342 .3925 L
.38216 .39113 L
.38149 .39039 L
.38053 .3892 L
.37957 .3884 L
.37902 .38727 L
.37764 .38546 L
.37755 .38535 L
.37624 .38342 L
.37571 .38267 L
.37494 .38149 L
.37379 .37969 L
.37371 .37957 L
.37279 .37764 L
F
1 .96 0 r
.37379 .41177 m
.37437 .41232 L
.37571 .41329 L
.3763 .41425 L
.37764 .41569 L
.3787 .41618 L
.37957 .41793 L
.37976 .41811 L
.3814 .42003 L
.38149 .42009 L
.38302 .42196 L
.38342 .42246 L
.38512 .42389 L
.38535 .42492 L
.3861 .42581 L
.38727 .42742 L
.38741 .42774 L
.38917 .42967 L
.3892 .4297 L
.39091 .43159 L
.39113 .43225 L
.39208 .43352 L
.39306 .43488 L
.39328 .43545 L
.39498 .43723 L
.3951 .43737 L
.39668 .4393 L
.39691 .43983 L
.3979 .44123 L
.39884 .44252 L
.399 .44316 L
.40076 .44491 L
.4009 .44508 L
.40241 .44701 L
.40269 .44755 L
.40362 .44894 L
.40462 .45028 L
.40522 .45086 L
.40654 .45268 L
.40662 .45279 L
.40811 .45472 L
.40847 .45535 L
.40929 .45664 L
.4104 .45808 L
.41092 .45857 L
.41232 .4605 L
.41232 .46051 L
.41378 .46242 L
.41425 .46319 L
.41494 .46435 L
.41618 .46591 L
.41659 .46628 L
.41799 .46821 L
.41811 .46836 L
.41943 .47013 L
.42003 .47105 L
.42058 .47206 L
.42196 .47374 L
.42225 .47399 L
.42385 .47591 L
.42389 .47623 L
.42508 .47784 L
.42581 .47892 L
.42621 .47977 L
.42774 .48156 L
.4279 .48169 L
.42953 .48362 L
.42967 .48411 L
.43071 .48555 L
.43159 .4868 L
.43185 .48747 L
.43352 .48939 L
.43354 .4894 L
.43518 .49133 L
.43545 .49199 L
.43634 .49326 L
.43737 .49468 L
.4375 .49518 L
.43918 .49711 L
.4393 .49724 L
.44082 .49904 L
.44123 .49988 L
.44196 .50096 L
.44316 .50257 L
.44318 .50289 L
.44481 .50482 L
.44508 .5051 L
.44644 .50674 L
.44701 .50778 L
.44758 .50867 L
.44894 .51046 L
.44905 .5106 L
.45044 .51253 L
.45086 .51297 L
.45205 .51445 L
.45279 .51569 L
.45321 .51638 L
.45468 .51831 L
.45472 .51831 L
.45607 .52023 L
.45664 .52087 L
.45765 .52216 L
.45857 .52361 L
.45884 .52409 L
.46029 .52601 L
.4605 .52607 L
.46232 .52794 L
.46242 .52879 L
.46323 .52987 L
.46435 .53155 L
.46448 .53179 L
.4659 .53372 L
.46628 .53389 L
.46785 .53565 L
.46821 .53674 L
.46881 .53758 L
.47012 .5395 L
.47013 .53952 L
.47149 .54143 L
.47206 .54179 L
.47336 .54336 L
.47399 .54475 L
.47436 .54528 L
.47568 .54721 L
.47591 .54752 L
.47705 .54914 L
.47784 .54982 L
.47881 .55106 L
.47977 .55284 L
.47987 .55299 L
.48119 .55492 L
.48169 .55559 L
.48256 .55684 L
.48362 .55804 L
.48415 .55877 L
.4853 .5607 L
.48555 .56103 L
.48662 .56263 L
.48747 .56382 L
.48796 .56455 L
.48931 .56648 L
.4894 .5666 L
.49055 .56841 L
.49133 .56953 L
.49182 .57033 L
.49307 .57226 L
.49326 .57255 L
.49411 .57419 L
.49326 .5753 L
.49214 .57419 L
.49133 .57339 L
.49029 .57226 L
.4894 .57143 L
.48855 .57033 L
.48747 .56906 L
.48663 .56841 L
.48555 .56673 L
.48533 .56648 L
.4837 .56455 L
.48362 .56446 L
.48213 .56263 L
.48169 .56204 L
.48046 .5607 L
.47977 .55953 L
.47924 .55877 L
.47784 .55701 L
.47756 .55684 L
.47608 .55492 L
.47591 .55469 L
.47455 .55299 L
.47399 .55208 L
.47335 .55106 L
.47206 .54942 L
.47163 .54914 L
.4702 .54721 L
.47013 .54712 L
.46875 .54528 L
.46821 .54445 L
.46758 .54336 L
.46628 .54172 L
.46583 .54143 L
.46436 .5395 L
.46435 .53941 L
.46301 .53758 L
.46242 .53671 L
.46189 .53565 L
.4605 .53396 L
.4601 .53372 L
.45862 .53179 L
.45857 .53162 L
.45732 .52987 L
.45664 .5289 L
.45623 .52794 L
.45472 .52618 L
.4544 .52601 L
.45291 .52409 L
.45279 .52378 L
.45166 .52216 L
.45086 .52106 L
.45061 .52023 L
.44894 .51839 L
.44873 .51831 L
.44723 .51638 L
.44701 .51592 L
.44602 .51445 L
.44508 .5132 L
.44499 .51253 L
.44316 .51062 L
.44308 .5106 L
.44157 .50867 L
.44123 .50804 L
.44039 .50674 L
.4393 .50534 L
.43883 .50482 L
.43743 .50289 L
.43737 .50282 L
.43593 .50096 L
.43545 .50016 L
.43476 .49904 L
.43352 .49747 L
.43318 .49711 L
.43178 .49518 L
.43159 .49495 L
.43029 .49326 L
.42967 .49227 L
.42914 .49133 L
.42774 .48961 L
.42754 .4894 L
.42615 .48747 L
.42581 .48707 L
.42467 .48555 L
.42389 .48438 L
.4235 .48362 L
.42196 .48175 L
.42191 .48169 L
.42016 .47977 L
.42003 .47918 L
.41905 .47784 L
.41811 .47648 L
.41786 .47591 L
.41628 .47399 L
.41618 .47391 L
.41453 .47206 L
.41425 .47128 L
.41344 .47013 L
.41232 .46857 L
.4122 .46821 L
.41066 .46628 L
.4104 .46607 L
.40892 .46435 L
.40847 .46337 L
.40783 .46242 L
.40654 .46065 L
.40651 .4605 L
.40504 .45857 L
.40462 .4582 L
.40334 .45664 L
.40269 .45543 L
.40222 .45472 L
.40082 .45279 L
.40076 .45271 L
.39944 .45086 L
.39884 .45029 L
.39778 .44894 L
.39691 .44746 L
.39663 .44701 L
.39524 .44508 L
.39498 .44474 L
.39386 .44316 L
.39306 .44231 L
.39225 .44123 L
.39113 .43944 L
.39105 .4393 L
.38969 .43737 L
.3892 .43672 L
.38831 .43545 L
.38727 .43422 L
.38677 .43352 L
.38553 .43159 L
.38535 .43135 L
.38419 .42967 L
.38342 .42861 L
.38223 .42774 L
.38149 .42594 L
.38141 .42581 L
.38013 .42389 L
.37957 .4231 L
.37881 .42196 L
.37764 .4203 L
.37727 .42003 L
.37621 .41811 L
.37571 .41739 L
.37499 .41618 L
.37379 .41434 L
.37374 .41425 L
.37279 .41232 L
F
.37571 .28854 m
.37764 .28848 L
.37957 .28871 L
.3813 .289 L
.38149 .28909 L
.38342 .28966 L
.38535 .29049 L
.3862 .29093 L
.38727 .29147 L
.3892 .29282 L
.38925 .29285 L
.39113 .29446 L
.3914 .29478 L
.39286 .29671 L
.39306 .2971 L
.39351 .29864 L
.39306 .30008 L
.39247 .30056 L
.39113 .30106 L
.3892 .30107 L
.38727 .30074 L
.38637 .30056 L
.38535 .30023 L
.38342 .2995 L
.38157 .29864 L
.38149 .2986 L
.37957 .29757 L
.37825 .29671 L
.37764 .29636 L
.37575 .29478 L
.37571 .29475 L
.37395 .29285 L
.37379 .29261 L
.37306 .29093 L
.37379 .28932 L
.37405 .289 L
F
0 .58 1 r
.37379 .43576 m
.37501 .43737 L
.37571 .43819 L
.37653 .4393 L
.37764 .44065 L
.37806 .44123 L
.37957 .44311 L
.37958 .44316 L
.381 .44508 L
.38149 .44569 L
.38244 .44701 L
.38342 .44825 L
.38391 .44894 L
.38535 .45075 L
.38539 .45086 L
.38677 .45279 L
.38727 .45343 L
.38817 .45472 L
.3892 .45605 L
.38961 .45664 L
.39105 .45857 L
.39113 .45867 L
.39239 .4605 L
.39306 .46137 L
.39377 .46242 L
.39498 .46404 L
.39519 .46435 L
.39653 .46628 L
.39691 .46678 L
.39783 .46821 L
.39884 .46956 L
.3992 .47013 L
.39884 .47186 L
.39749 .47013 L
.39691 .46946 L
.39595 .46821 L
.39498 .46703 L
.39441 .46628 L
.39306 .46478 L
.3929 .46435 L
.39145 .46242 L
.39113 .46203 L
.39 .4605 L
.3892 .45948 L
.38853 .45857 L
.38727 .45719 L
.38707 .45664 L
.38565 .45472 L
.38535 .45433 L
.38424 .45279 L
.38342 .45171 L
.38281 .45086 L
.38149 .44923 L
.38138 .44894 L
.38002 .44701 L
.37957 .44641 L
.37864 .44508 L
.37764 .44373 L
.37724 .44316 L
.37588 .44123 L
.37571 .44102 L
.37458 .4393 L
.37379 .43823 L
.37323 .43737 L
F
0 .98 1 r
.37379 .36964 m
.37462 .36993 L
.37571 .37034 L
.37723 .37186 L
.37764 .37224 L
.37907 .37379 L
.37957 .37439 L
.38137 .37571 L
.38149 .37678 L
.38234 .37764 L
.38342 .37929 L
.38364 .37957 L
.38525 .38149 L
.38535 .38161 L
.38708 .38342 L
.38727 .38419 L
.38816 .38535 L
.3892 .38684 L
.38938 .38727 L
.39096 .3892 L
.39113 .38943 L
.39269 .39113 L
.39306 .39172 L
.39372 .39306 L
.39498 .39494 L
.39499 .39498 L
.39603 .39691 L
.39498 .39829 L
.39306 .39791 L
.39172 .39691 L
.39113 .39574 L
.38993 .39498 L
.3892 .3938 L
.38826 .39306 L
.38727 .39141 L
.387 .39113 L
.38548 .3892 L
.38535 .38911 L
.38351 .38727 L
.38342 .3865 L
.38256 .38535 L
.38149 .38378 L
.38133 .38342 L
.37988 .38149 L
.37957 .38106 L
.378 .37957 L
.37764 .37863 L
.3771 .37764 L
.37587 .37571 L
.37571 .37547 L
.37467 .37379 L
.37379 .37224 L
.3734 .37186 L
.37327 .36993 L
F
0 .57 1 r
.37379 .4359 m
.3749 .43737 L
.37571 .4383 L
.37645 .4393 L
.37764 .44074 L
.378 .44123 L
.37951 .44316 L
.37957 .44322 L
.38093 .44508 L
.38149 .44577 L
.38238 .44701 L
.38342 .44832 L
.38386 .44894 L
.38534 .45086 L
.38535 .45088 L
.3867 .45279 L
.38727 .45351 L
.38812 .45472 L
.3892 .45612 L
.38956 .45664 L
.39098 .45857 L
.39113 .45876 L
.39232 .4605 L
.39306 .46145 L
.39371 .46242 L
.39498 .46413 L
.39513 .46435 L
.39644 .46628 L
.39691 .46689 L
.39775 .46821 L
.39884 .46968 L
.39911 .47013 L
.39884 .47171 L
.3976 .47013 L
.39691 .46934 L
.39604 .46821 L
.39498 .46692 L
.39449 .46628 L
.39306 .46458 L
.39297 .46435 L
.39153 .46242 L
.39113 .46193 L
.39007 .4605 L
.3892 .4594 L
.38859 .45857 L
.38727 .45704 L
.38713 .45664 L
.38572 .45472 L
.38535 .45424 L
.38431 .45279 L
.38342 .45163 L
.38287 .45086 L
.38149 .44907 L
.38144 .44894 L
.38009 .44701 L
.37957 .44632 L
.37871 .44508 L
.37764 .44364 L
.37731 .44316 L
.37596 .44123 L
.37571 .4409 L
.37467 .4393 L
.37379 .4381 L
.37332 .43737 L
F
0 .56 1 r
.37379 .43605 m
.37479 .43737 L
.37571 .43842 L
.37636 .4393 L
.37764 .44084 L
.37792 .44123 L
.37943 .44316 L
.37957 .44332 L
.38085 .44508 L
.38149 .44586 L
.38231 .44701 L
.38342 .4484 L
.3838 .44894 L
.38527 .45086 L
.38535 .45096 L
.38664 .45279 L
.38727 .45359 L
.38806 .45472 L
.3892 .4562 L
.38951 .45664 L
.39091 .45857 L
.39113 .45884 L
.39225 .4605 L
.39306 .46154 L
.39364 .46242 L
.39498 .46422 L
.39507 .46435 L
.39635 .46628 L
.39691 .46701 L
.39765 .46821 L
.39884 .46982 L
.39903 .47013 L
.39884 .47154 L
.39773 .47013 L
.39691 .46921 L
.39614 .46821 L
.39498 .46681 L
.39457 .46628 L
.39306 .46437 L
.39305 .46435 L
.39161 .46242 L
.39113 .46184 L
.39014 .4605 L
.3892 .45931 L
.38866 .45857 L
.38727 .45687 L
.38719 .45664 L
.38579 .45472 L
.38535 .45415 L
.38437 .45279 L
.38342 .45154 L
.38294 .45086 L
.38151 .44894 L
.38149 .44892 L
.38017 .44701 L
.37957 .44622 L
.37878 .44508 L
.37764 .44354 L
.37738 .44316 L
.37606 .44123 L
.37571 .44078 L
.37476 .4393 L
.37379 .43796 L
.37342 .43737 L
F
1 .65 0 r
.37379 .44438 m
.3742 .44508 L
.37379 .44557 L
.37344 .44508 L
F
1 .67 0 r
.37379 .42789 m
.37533 .42967 L
.37571 .43006 L
.37697 .43159 L
.37764 .43235 L
.37857 .43352 L
.37957 .4347 L
.38015 .43545 L
.38149 .43703 L
.38199 .43737 L
.3832 .4393 L
.38342 .43956 L
.38469 .44123 L
.38535 .44204 L
.38619 .44316 L
.38727 .44442 L
.38808 .44508 L
.38916 .44701 L
.3892 .44706 L
.3906 .44894 L
.39113 .44961 L
.39206 .45086 L
.39306 .45203 L
.39387 .45279 L
.39498 .45472 L
.39498 .45472 L
.39639 .45664 L
.39691 .45731 L
.39783 .45857 L
.39884 .45978 L
.39954 .4605 L
.40071 .46242 L
.40076 .46249 L
.40211 .46435 L
.40269 .46461 L
.40353 .46628 L
.40462 .46762 L
.40515 .46821 L
.40638 .47013 L
.40654 .47035 L
.40776 .47206 L
.40847 .47251 L
.40918 .47399 L
.4104 .47556 L
.41071 .47591 L
.41198 .47784 L
.41232 .47829 L
.41336 .47977 L
.41425 .48053 L
.41477 .48169 L
.41618 .48361 L
.41619 .48362 L
.41752 .48555 L
.41811 .48632 L
.4189 .48747 L
.42003 .48876 L
.4203 .4894 L
.42165 .49133 L
.42196 .49175 L
.42297 .49326 L
.42389 .4945 L
.42434 .49518 L
.4257 .49711 L
.42581 .49727 L
.42695 .49904 L
.42774 .50014 L
.42825 .50096 L
.42956 .50289 L
.42967 .50305 L
.43065 .50482 L
.43159 .50636 L
.43174 .50674 L
.43159 .5072 L
.4311 .50674 L
.42967 .50537 L
.42918 .50482 L
.42774 .50321 L
.42748 .50289 L
.42586 .50096 L
.42581 .50091 L
.4243 .49904 L
.42389 .49856 L
.42274 .49711 L
.42196 .49616 L
.42119 .49518 L
.42003 .49381 L
.41931 .49326 L
.41817 .49133 L
.41811 .49125 L
.41668 .4894 L
.41618 .48927 L
.41519 .48747 L
.41425 .48635 L
.41338 .48555 L
.41232 .48372 L
.41225 .48362 L
.4108 .48169 L
.4104 .48155 L
.40934 .47977 L
.40847 .47871 L
.40763 .47784 L
.40654 .47604 L
.40645 .47591 L
.40502 .47399 L
.40462 .4738 L
.40358 .47206 L
.40269 .47095 L
.40195 .47013 L
.40076 .46826 L
.40073 .46821 L
.39932 .46628 L
.39884 .46599 L
.3979 .46435 L
.39691 .4631 L
.39634 .46242 L
.39507 .4605 L
.39498 .46038 L
.39368 .45857 L
.39306 .4581 L
.39227 .45664 L
.39113 .45514 L
.39079 .45472 L
.38949 .45279 L
.3892 .45241 L
.38811 .45086 L
.38727 .45008 L
.3861 .44894 L
.38535 .44705 L
.38532 .44701 L
.38399 .44508 L
.38342 .44431 L
.38262 .44316 L
.38149 .44178 L
.38098 .44123 L
.37992 .4393 L
.37957 .43881 L
.37861 .43737 L
.37764 .436 L
.37727 .43545 L
.37598 .43352 L
.37571 .43314 L
.37476 .43159 L
.37379 .43014 L
.3735 .42967 L
F
0 .55 1 r
.37379 .43623 m
.37465 .43737 L
.37571 .43855 L
.37627 .4393 L
.37764 .44094 L
.37785 .44123 L
.37934 .44316 L
.37957 .44342 L
.38077 .44508 L
.38149 .44595 L
.38224 .44701 L
.38342 .44849 L
.38374 .44894 L
.38519 .45086 L
.38535 .45105 L
.38657 .45279 L
.38727 .45368 L
.38799 .45472 L
.3892 .45628 L
.38945 .45664 L
.39084 .45857 L
.39113 .45894 L
.39218 .4605 L
.39306 .46164 L
.39358 .46242 L
.39498 .46431 L
.39501 .46435 L
.39626 .46628 L
.39691 .46714 L
.39755 .46821 L
.39884 .46997 L
.39893 .47013 L
.39884 .47134 L
.39788 .47013 L
.39691 .46907 L
.39624 .46821 L
.39498 .4667 L
.39466 .46628 L
.39314 .46435 L
.39306 .46425 L
.3917 .46242 L
.39113 .46174 L
.39022 .4605 L
.3892 .45921 L
.38873 .45857 L
.38727 .45669 L
.38726 .45664 L
.38587 .45472 L
.38535 .45406 L
.38444 .45279 L
.38342 .45145 L
.383 .45086 L
.38159 .44894 L
.38149 .44882 L
.38025 .44701 L
.37957 .44612 L
.37886 .44508 L
.37764 .44343 L
.37745 .44316 L
.37616 .44123 L
.37571 .44064 L
.37487 .4393 L
.37379 .4378 L
.37353 .43737 L
F
1 .66 0 r
.37379 .4281 m
.37519 .42967 L
.37571 .43019 L
.37687 .43159 L
.37764 .43245 L
.37849 .43352 L
.37957 .43479 L
.38008 .43545 L
.38149 .43713 L
.38186 .43737 L
.38315 .4393 L
.38342 .43963 L
.38464 .44123 L
.38535 .4421 L
.38614 .44316 L
.38727 .44448 L
.38801 .44508 L
.38912 .44701 L
.3892 .44711 L
.39056 .44894 L
.39113 .44966 L
.39202 .45086 L
.39306 .45208 L
.39382 .45279 L
.39494 .45472 L
.39498 .45477 L
.39636 .45664 L
.39691 .45736 L
.3978 .45857 L
.39884 .45982 L
.3995 .4605 L
.40068 .46242 L
.40076 .46254 L
.40208 .46435 L
.40269 .46464 L
.4035 .46628 L
.40462 .46766 L
.40511 .46821 L
.40634 .47013 L
.40654 .47039 L
.40773 .47206 L
.40847 .47254 L
.40915 .47399 L
.4104 .47561 L
.41066 .47591 L
.41195 .47784 L
.41232 .47833 L
.41333 .47977 L
.41425 .48058 L
.41474 .48169 L
.41615 .48362 L
.41618 .48366 L
.41749 .48555 L
.41811 .48637 L
.41886 .48747 L
.42003 .48884 L
.42026 .4894 L
.4216 .49133 L
.42196 .49181 L
.42293 .49326 L
.42389 .49457 L
.42429 .49518 L
.42564 .49711 L
.42581 .49735 L
.42689 .49904 L
.42774 .50024 L
.42818 .50096 L
.42945 .50289 L
.42967 .50321 L
.43049 .50482 L
.42967 .5052 L
.42933 .50482 L
.42774 .50308 L
.42758 .50289 L
.42595 .50096 L
.42581 .50081 L
.42437 .49904 L
.42389 .49847 L
.4228 .49711 L
.42196 .49608 L
.42125 .49518 L
.42003 .49373 L
.41941 .49326 L
.41822 .49133 L
.41811 .49119 L
.41673 .4894 L
.41618 .48924 L
.41524 .48747 L
.41425 .48629 L
.41344 .48555 L
.41232 .48367 L
.41229 .48362 L
.41084 .48169 L
.4104 .48153 L
.40938 .47977 L
.40847 .47866 L
.40767 .47784 L
.40654 .47599 L
.40649 .47591 L
.40506 .47399 L
.40462 .47377 L
.40362 .47206 L
.40269 .4709 L
.40199 .47013 L
.40076 .46821 L
.40076 .46821 L
.39935 .46628 L
.39884 .46596 L
.39793 .46435 L
.39691 .46305 L
.39638 .46242 L
.39511 .4605 L
.39498 .46033 L
.39371 .45857 L
.39306 .45806 L
.3923 .45664 L
.39113 .45509 L
.39083 .45472 L
.38952 .45279 L
.3892 .45236 L
.38814 .45086 L
.38727 .45002 L
.38616 .44894 L
.38537 .44701 L
.38535 .44699 L
.38403 .44508 L
.38342 .44425 L
.38266 .44316 L
.38149 .44169 L
.38107 .44123 L
.37998 .4393 L
.37957 .43873 L
.37867 .43737 L
.37764 .43592 L
.37733 .43545 L
.37607 .43352 L
.37571 .43302 L
.37485 .43159 L
.37379 .42998 L
.37361 .42967 L
F
0 .54 1 r
.37379 .43645 m
.37448 .43737 L
.37571 .43869 L
.37616 .4393 L
.37764 .44105 L
.37777 .44123 L
.37924 .44316 L
.37957 .44353 L
.38069 .44508 L
.38149 .44605 L
.38217 .44701 L
.38342 .44857 L
.38368 .44894 L
.38512 .45086 L
.38535 .45115 L
.3865 .45279 L
.38727 .45377 L
.38793 .45472 L
.3892 .45637 L
.38939 .45664 L
.39076 .45857 L
.39113 .45904 L
.3921 .4605 L
.39306 .46174 L
.3935 .46242 L
.39306 .46413 L
.39179 .46242 L
.39113 .46163 L
.3903 .4605 L
.3892 .45912 L
.3888 .45857 L
.38734 .45664 L
.38727 .45657 L
.38595 .45472 L
.38535 .45396 L
.38452 .45279 L
.38342 .45136 L
.38307 .45086 L
.38167 .44894 L
.38149 .44871 L
.38033 .44701 L
.37957 .44601 L
.37894 .44508 L
.37764 .44332 L
.37753 .44316 L
.37627 .44123 L
.37571 .44049 L
.37499 .4393 L
.37379 .43761 L
.37365 .43737 L
F
1 .65 0 r
.37379 .42835 m
.37502 .42967 L
.37571 .43033 L
.37676 .43159 L
.37764 .43256 L
.37841 .43352 L
.37957 .43488 L
.38001 .43545 L
.38149 .43722 L
.38172 .43737 L
.38309 .4393 L
.38342 .4397 L
.38459 .44123 L
.38535 .44217 L
.3861 .44316 L
.38727 .44455 L
.38793 .44508 L
.38907 .44701 L
.3892 .44717 L
.39052 .44894 L
.39113 .44971 L
.39199 .45086 L
.39306 .45214 L
.39376 .45279 L
.39491 .45472 L
.39498 .45481 L
.39632 .45664 L
.39691 .4574 L
.39777 .45857 L
.39884 .45987 L
.39946 .4605 L
.40064 .46242 L
.40076 .46258 L
.40205 .46435 L
.40269 .46467 L
.40347 .46628 L
.40462 .46771 L
.40507 .46821 L
.40631 .47013 L
.40654 .47043 L
.4077 .47206 L
.40847 .47259 L
.40912 .47399 L
.4104 .47566 L
.41062 .47591 L
.41192 .47784 L
.41232 .47838 L
.4133 .47977 L
.41425 .48064 L
.41471 .48169 L
.41611 .48362 L
.41618 .48371 L
.41745 .48555 L
.41811 .48643 L
.41883 .48747 L
.42003 .48893 L
.42022 .4894 L
.42156 .49133 L
.42196 .49187 L
.42288 .49326 L
.42389 .49464 L
.42424 .49518 L
.42557 .49711 L
.42581 .49744 L
.42682 .49904 L
.42774 .50035 L
.42811 .50096 L
.42933 .50289 L
.42967 .5034 L
.43028 .50482 L
.42967 .505 L
.4295 .50482 L
.42774 .50294 L
.42769 .50289 L
.42606 .50096 L
.42581 .5007 L
.42446 .49904 L
.42389 .49838 L
.42287 .49711 L
.42196 .496 L
.42131 .49518 L
.42003 .49364 L
.41951 .49326 L
.41828 .49133 L
.41811 .49112 L
.41678 .4894 L
.41618 .48921 L
.41529 .48747 L
.41425 .48622 L
.4135 .48555 L
.41233 .48362 L
.41232 .48361 L
.41088 .48169 L
.4104 .4815 L
.40942 .47977 L
.40847 .4786 L
.40772 .47784 L
.40654 .47595 L
.40652 .47591 L
.40509 .47399 L
.40462 .47375 L
.40365 .47206 L
.40269 .47086 L
.40203 .47013 L
.40079 .46821 L
.40076 .46817 L
.39939 .46628 L
.39884 .46593 L
.39796 .46435 L
.39691 .463 L
.39642 .46242 L
.39514 .4605 L
.39498 .46029 L
.39375 .45857 L
.39306 .45802 L
.39234 .45664 L
.39113 .45503 L
.39087 .45472 L
.38956 .45279 L
.3892 .4523 L
.38818 .45086 L
.38727 .44995 L
.38622 .44894 L
.38541 .44701 L
.38535 .44693 L
.38407 .44508 L
.38342 .44419 L
.38271 .44316 L
.38149 .44159 L
.38117 .44123 L
.38004 .4393 L
.37957 .43865 L
.37873 .43737 L
.37764 .43582 L
.37739 .43545 L
.37615 .43352 L
.37571 .43288 L
.37495 .43159 L
.37379 .42979 L
.37372 .42967 L
F
1 .64 0 r
.37379 .44482 m
.37388 .44508 L
.37379 .44518 L
.37372 .44508 L
F
1 .93 0 r
.37571 .37933 m
.37593 .37957 L
.37764 .38134 L
.37772 .38149 L
.37928 .38342 L
.37957 .38376 L
.38075 .38535 L
.38149 .3863 L
.38218 .38727 L
.38342 .38903 L
.38353 .3892 L
.38462 .39113 L
.38342 .39197 L
.3826 .39113 L
.38149 .38996 L
.38087 .3892 L
.37957 .38785 L
.37932 .38727 L
.3779 .38535 L
.37764 .385 L
.37657 .38342 L
.37571 .38215 L
.3753 .38149 L
.37427 .37957 L
F
0 .84 1 r
.37571 .42208 m
.37735 .42389 L
.37764 .42419 L
.37903 .42581 L
.37957 .42642 L
.38066 .42774 L
.38149 .42853 L
.38226 .42967 L
.38342 .43107 L
.384 .43159 L
.38535 .43351 L
.38536 .43352 L
.38687 .43545 L
.38727 .43583 L
.38839 .43737 L
.3892 .4384 L
.39005 .4393 L
.39113 .44095 L
.39133 .44123 L
.39284 .44316 L
.39306 .44337 L
.39431 .44508 L
.39498 .44595 L
.39589 .44701 L
.39691 .44855 L
.39715 .44894 L
.39868 .45086 L
.39884 .45103 L
.40012 .45279 L
.40076 .45363 L
.40165 .45472 L
.40269 .45626 L
.4029 .45664 L
.40444 .45857 L
.40462 .45876 L
.40635 .4605 L
.40654 .46138 L
.40735 .46242 L
.40847 .46403 L
.40862 .46435 L
.41015 .46628 L
.4104 .46654 L
.41197 .46821 L
.41232 .46919 L
.41302 .47013 L
.41425 .47185 L
.41433 .47206 L
.41583 .47399 L
.41618 .47436 L
.41759 .47591 L
.41811 .47704 L
.41868 .47784 L
.42003 .4797 L
.42005 .47977 L
.42149 .48169 L
.42196 .48221 L
.42319 .48362 L
.42389 .48492 L
.42431 .48555 L
.42573 .48747 L
.42581 .48748 L
.42712 .4894 L
.42774 .49009 L
.42878 .49133 L
.42967 .49284 L
.42994 .49326 L
.43135 .49518 L
.43159 .49524 L
.43274 .49711 L
.43352 .49802 L
.43434 .49904 L
.43545 .50079 L
.43555 .50096 L
.43694 .50289 L
.43737 .50309 L
.43833 .50482 L
.4393 .506 L
.43988 .50674 L
.44114 .50867 L
.44123 .50879 L
.4425 .5106 L
.44316 .51105 L
.44453 .51253 L
.44508 .51408 L
.44536 .51445 L
.44666 .51638 L
.44701 .51685 L
.44801 .51831 L
.44894 .5192 L
.44982 .52023 L
.45078 .52216 L
.45086 .52227 L
.4521 .52409 L
.45279 .52504 L
.45345 .52601 L
.45472 .5277 L
.45491 .52794 L
.4561 .52987 L
.45664 .53064 L
.45738 .53179 L
.45857 .53351 L
.4587 .53372 L
.45989 .53565 L
.4605 .53657 L
.46103 .53758 L
.4605 .53894 L
.4592 .53758 L
.45857 .53694 L
.45743 .53565 L
.45664 .53477 L
.45575 .53372 L
.45472 .53261 L
.45412 .53179 L
.45279 .53016 L
.45248 .52987 L
.45099 .52794 L
.45086 .52778 L
.44945 .52601 L
.44894 .52545 L
.44791 .52409 L
.44701 .5229 L
.44636 .52216 L
.44508 .52041 L
.44499 .52023 L
.44343 .51831 L
.44316 .51799 L
.44144 .51638 L
.44123 .51542 L
.44047 .51445 L
.4393 .51284 L
.43917 .51253 L
.43755 .5106 L
.43737 .51039 L
.43577 .50867 L
.43545 .50778 L
.43468 .50674 L
.43352 .50517 L
.43342 .50482 L
.43177 .50289 L
.43159 .50268 L
.43009 .50096 L
.42967 .50006 L
.42896 .49904 L
.42774 .49742 L
.42769 .49711 L
.42603 .49518 L
.42581 .49492 L
.42442 .49326 L
.42389 .49227 L
.42327 .49133 L
.42196 .48963 L
.42175 .4894 L
.42034 .48747 L
.42003 .4871 L
.41877 .48555 L
.41811 .48443 L
.4176 .48362 L
.41618 .4818 L
.41608 .48169 L
.41467 .47977 L
.41425 .47925 L
.41313 .47784 L
.41232 .47656 L
.41195 .47591 L
.41043 .47399 L
.4104 .47396 L
.40903 .47206 L
.40847 .47137 L
.40752 .47013 L
.40654 .46866 L
.40631 .46821 L
.40481 .46628 L
.40462 .46615 L
.40287 .46435 L
.40269 .46345 L
.40193 .46242 L
.40076 .46073 L
.40066 .4605 L
.39921 .45857 L
.39884 .45828 L
.39733 .45664 L
.39691 .45548 L
.39636 .45472 L
.39502 .45279 L
.39498 .45274 L
.39365 .45086 L
.39306 .45033 L
.39186 .44894 L
.39113 .44744 L
.39083 .44701 L
.3895 .44508 L
.3892 .44468 L
.38813 .44316 L
.38727 .44224 L
.38646 .44123 L
.38537 .4393 L
.38535 .43926 L
.38405 .43737 L
.38342 .4365 L
.3827 .43545 L
.38149 .43385 L
.38124 .43352 L
.38004 .43159 L
.37957 .43092 L
.37875 .42967 L
.37764 .42807 L
.37743 .42774 L
.37621 .42581 L
.37571 .42508 L
.37502 .42389 L
F
1 .64 0 r
.37571 .43049 m
.37664 .43159 L
.37764 .43267 L
.37832 .43352 L
.37957 .43497 L
.37995 .43545 L
.38149 .43733 L
.38157 .43737 L
.38303 .4393 L
.38342 .43977 L
.38454 .44123 L
.38535 .44223 L
.38605 .44316 L
.38727 .44462 L
.38785 .44508 L
.38903 .44701 L
.3892 .44722 L
.39048 .44894 L
.39113 .44976 L
.39195 .45086 L
.39306 .45219 L
.39371 .45279 L
.39487 .45472 L
.39498 .45486 L
.39629 .45664 L
.39691 .45744 L
.39773 .45857 L
.39884 .45992 L
.39941 .4605 L
.40061 .46242 L
.40076 .46262 L
.40202 .46435 L
.40269 .46471 L
.40344 .46628 L
.40462 .46776 L
.40503 .46821 L
.40628 .47013 L
.40654 .47047 L
.40767 .47206 L
.40847 .47263 L
.40909 .47399 L
.4104 .47571 L
.41058 .47591 L
.41189 .47784 L
.41232 .47842 L
.41327 .47977 L
.41425 .4807 L
.41468 .48169 L
.41607 .48362 L
.41618 .48376 L
.41741 .48555 L
.41811 .48648 L
.41879 .48747 L
.42003 .48902 L
.42019 .4894 L
.42151 .49133 L
.42196 .49194 L
.42283 .49326 L
.42389 .49471 L
.4242 .49518 L
.4255 .49711 L
.42581 .49754 L
.42674 .49904 L
.42774 .50047 L
.42803 .50096 L
.42774 .50279 L
.42617 .50096 L
.42581 .50059 L
.42454 .49904 L
.42389 .49828 L
.42295 .49711 L
.42196 .49592 L
.42137 .49518 L
.42003 .49356 L
.41962 .49326 L
.41833 .49133 L
.41811 .49105 L
.41683 .4894 L
.41618 .48916 L
.41533 .48747 L
.41425 .48616 L
.41356 .48555 L
.41238 .48362 L
.41232 .48356 L
.41092 .48169 L
.4104 .48147 L
.40946 .47977 L
.40847 .47855 L
.40776 .47784 L
.40656 .47591 L
.40654 .4759 L
.40513 .47399 L
.40462 .47372 L
.40369 .47206 L
.40269 .47081 L
.40207 .47013 L
.40083 .46821 L
.40076 .46812 L
.39942 .46628 L
.39884 .4659 L
.398 .46435 L
.39691 .46295 L
.39646 .46242 L
.39518 .4605 L
.39498 .46024 L
.39378 .45857 L
.39306 .45798 L
.39237 .45664 L
.39113 .45498 L
.39092 .45472 L
.3896 .45279 L
.3892 .45225 L
.38822 .45086 L
.38727 .44989 L
.38629 .44894 L
.38545 .44701 L
.38535 .44687 L
.38412 .44508 L
.38342 .44412 L
.38276 .44316 L
.38149 .44148 L
.38126 .44123 L
.3801 .4393 L
.37957 .43857 L
.37879 .43737 L
.37764 .43573 L
.37746 .43545 L
.37625 .43352 L
.37571 .43274 L
.37506 .43159 L
F
0 .53 1 r
.37571 .43885 m
.37604 .4393 L
.37764 .44117 L
.37768 .44123 L
.37913 .44316 L
.37957 .44365 L
.38059 .44508 L
.38149 .44616 L
.3821 .44701 L
.38342 .44867 L
.38361 .44894 L
.38503 .45086 L
.38535 .45125 L
.38642 .45279 L
.38727 .45386 L
.38786 .45472 L
.3892 .45646 L
.38933 .45664 L
.39067 .45857 L
.39113 .45915 L
.39202 .4605 L
.39306 .46185 L
.39343 .46242 L
.39306 .464 L
.39189 .46242 L
.39113 .46152 L
.39038 .4605 L
.3892 .45901 L
.38888 .45857 L
.38743 .45664 L
.38727 .45646 L
.38603 .45472 L
.38535 .45386 L
.38459 .45279 L
.38342 .45126 L
.38314 .45086 L
.38176 .44894 L
.38149 .4486 L
.38042 .44701 L
.37957 .44589 L
.37902 .44508 L
.37764 .44319 L
.37762 .44316 L
.37641 .44123 L
.37571 .44031 L
.37513 .4393 L
F
0 .97 1 r
.37571 .37182 m
.37576 .37186 L
.37764 .37306 L
.37835 .37379 L
.37957 .37503 L
.38091 .37571 L
.38149 .37725 L
.38195 .37764 L
.38342 .37954 L
.38344 .37957 L
.38496 .38149 L
.38535 .38192 L
.38695 .38342 L
.38727 .38451 L
.38794 .38535 L
.3892 .38712 L
.38927 .38727 L
.39072 .3892 L
.39113 .38976 L
.39251 .39113 L
.39306 .39218 L
.39344 .39306 L
.3946 .39498 L
.39498 .3958 L
.39531 .39691 L
.39498 .39743 L
.39306 .39728 L
.39246 .39691 L
.39113 .39516 L
.39032 .39498 L
.3892 .39347 L
.38855 .39306 L
.38727 .39122 L
.38718 .39113 L
.3857 .3892 L
.38535 .38893 L
.38362 .38727 L
.38342 .38622 L
.38277 .38535 L
.38149 .38345 L
.38148 .38342 L
.38014 .38149 L
.37957 .38068 L
.37826 .37957 L
.37764 .37796 L
.37748 .37764 L
.37633 .37571 L
.37571 .37462 L
.37529 .37379 L
.37517 .37186 L
F
1 .63 0 r
.37571 .43066 m
.37651 .43159 L
.37764 .43279 L
.37823 .43352 L
.37957 .43506 L
.37987 .43545 L
.38145 .43737 L
.38149 .43742 L
.38296 .4393 L
.38342 .43984 L
.38448 .44123 L
.38535 .44229 L
.386 .44316 L
.38727 .44469 L
.38777 .44508 L
.38898 .44701 L
.3892 .44728 L
.39044 .44894 L
.39113 .44981 L
.39191 .45086 L
.39306 .45224 L
.39365 .45279 L
.39483 .45472 L
.39498 .45491 L
.39626 .45664 L
.39691 .45749 L
.3977 .45857 L
.39884 .45996 L
.39937 .4605 L
.40058 .46242 L
.40076 .46266 L
.40198 .46435 L
.40269 .46474 L
.40341 .46628 L
.40462 .4678 L
.40499 .46821 L
.40625 .47013 L
.40654 .47052 L
.40764 .47206 L
.40847 .47268 L
.40906 .47399 L
.4104 .47576 L
.41053 .47591 L
.41185 .47784 L
.41232 .47847 L
.41324 .47977 L
.41425 .48076 L
.41464 .48169 L
.41604 .48362 L
.41618 .48381 L
.41738 .48555 L
.41811 .48653 L
.41875 .48747 L
.42003 .48911 L
.42015 .4894 L
.42146 .49133 L
.42196 .492 L
.42278 .49326 L
.42389 .49478 L
.42415 .49518 L
.42543 .49711 L
.42581 .49764 L
.42667 .49904 L
.42774 .5006 L
.42795 .50096 L
.42774 .50263 L
.42629 .50096 L
.42581 .50047 L
.42463 .49904 L
.42389 .49819 L
.42302 .49711 L
.42196 .49584 L
.42144 .49518 L
.42003 .49347 L
.41974 .49326 L
.41839 .49133 L
.41811 .49098 L
.41688 .4894 L
.41618 .48912 L
.41538 .48747 L
.41425 .4861 L
.41363 .48555 L
.41242 .48362 L
.41232 .4835 L
.41096 .48169 L
.4104 .48144 L
.4095 .47977 L
.40847 .4785 L
.40781 .47784 L
.4066 .47591 L
.40654 .47585 L
.40517 .47399 L
.40462 .47369 L
.40372 .47206 L
.40269 .47076 L
.40212 .47013 L
.40086 .46821 L
.40076 .46807 L
.39946 .46628 L
.39884 .46586 L
.39803 .46435 L
.39691 .4629 L
.3965 .46242 L
.39521 .4605 L
.39498 .46019 L
.39382 .45857 L
.39306 .45793 L
.39241 .45664 L
.39113 .45492 L
.39096 .45472 L
.38964 .45279 L
.3892 .4522 L
.38826 .45086 L
.38727 .44982 L
.38636 .44894 L
.3855 .44701 L
.38535 .44681 L
.38416 .44508 L
.38342 .44406 L
.3828 .44316 L
.38149 .44137 L
.38137 .44123 L
.38016 .4393 L
.37957 .43848 L
.37885 .43737 L
.37764 .43563 L
.37752 .43545 L
.37635 .43352 L
.37571 .43258 L
.37518 .43159 L
F
0 .83 1 r
.37571 .42237 m
.37713 .42389 L
.37764 .42439 L
.37887 .42581 L
.37957 .42658 L
.38053 .42774 L
.38149 .42866 L
.38215 .42967 L
.38342 .43119 L
.38388 .43159 L
.38527 .43352 L
.38535 .43361 L
.3868 .43545 L
.38727 .4359 L
.38832 .43737 L
.3892 .43848 L
.38999 .4393 L
.39113 .44101 L
.39128 .44123 L
.39279 .44316 L
.39306 .44342 L
.39426 .44508 L
.39498 .44601 L
.39585 .44701 L
.39691 .4486 L
.39712 .44894 L
.39864 .45086 L
.39884 .45107 L
.40009 .45279 L
.40076 .45367 L
.40161 .45472 L
.40269 .4563 L
.40288 .45664 L
.40441 .45857 L
.40462 .45879 L
.40633 .4605 L
.40654 .46142 L
.40732 .46242 L
.40847 .46406 L
.4086 .46435 L
.41012 .46628 L
.4104 .46657 L
.41195 .46821 L
.41232 .46923 L
.413 .47013 L
.41425 .47188 L
.41432 .47206 L
.41581 .47399 L
.41618 .47438 L
.41757 .47591 L
.41811 .47707 L
.41866 .47784 L
.42003 .47972 L
.42004 .47977 L
.42147 .48169 L
.42196 .48223 L
.42317 .48362 L
.42389 .48495 L
.42429 .48555 L
.42571 .48747 L
.42581 .48748 L
.4271 .4894 L
.42774 .49012 L
.42876 .49133 L
.42967 .49287 L
.42992 .49326 L
.43132 .49518 L
.43159 .49525 L
.43272 .49711 L
.43352 .49805 L
.43432 .49904 L
.43545 .50083 L
.43553 .50096 L
.43691 .50289 L
.43737 .50311 L
.4383 .50482 L
.4393 .50605 L
.43984 .50674 L
.44111 .50867 L
.44123 .50883 L
.44247 .5106 L
.44316 .51109 L
.44449 .51253 L
.44508 .51413 L
.44532 .51445 L
.44662 .51638 L
.44701 .51691 L
.44797 .51831 L
.44894 .51928 L
.44975 .52023 L
.45073 .52216 L
.45086 .52234 L
.45204 .52409 L
.45279 .52512 L
.45339 .52601 L
.45472 .52785 L
.45479 .52794 L
.45601 .52987 L
.45664 .53076 L
.45729 .53179 L
.45857 .53366 L
.45861 .53372 L
.45973 .53565 L
.4605 .53688 L
.46083 .53758 L
.4605 .53857 L
.45948 .53758 L
.45857 .53671 L
.45762 .53565 L
.45664 .53459 L
.4559 .53372 L
.45472 .53245 L
.45425 .53179 L
.45279 .53003 L
.45261 .52987 L
.45109 .52794 L
.45086 .52767 L
.44953 .52601 L
.44894 .52535 L
.44799 .52409 L
.44701 .52282 L
.44643 .52216 L
.44508 .52034 L
.44502 .52023 L
.44349 .51831 L
.44316 .51792 L
.44146 .51638 L
.44123 .51535 L
.44052 .51445 L
.4393 .51279 L
.43919 .51253 L
.4376 .5106 L
.43737 .51033 L
.43579 .50867 L
.43545 .50773 L
.43472 .50674 L
.43352 .50512 L
.43343 .50482 L
.4318 .50289 L
.43159 .50264 L
.43011 .50096 L
.42967 .50001 L
.42899 .49904 L
.42774 .49739 L
.4277 .49711 L
.42606 .49518 L
.42581 .49488 L
.42444 .49326 L
.42389 .49223 L
.42329 .49133 L
.42196 .4896 L
.42178 .4894 L
.42037 .48747 L
.42003 .48707 L
.41879 .48555 L
.41811 .4844 L
.41762 .48362 L
.41618 .48177 L
.41611 .48169 L
.4147 .47977 L
.41425 .47922 L
.41315 .47784 L
.41232 .47653 L
.41197 .47591 L
.41046 .47399 L
.4104 .47395 L
.40905 .47206 L
.40847 .47134 L
.40754 .47013 L
.40654 .46863 L
.40632 .46821 L
.40484 .46628 L
.40462 .46613 L
.40288 .46435 L
.40269 .46342 L
.40195 .46242 L
.40076 .46069 L
.40068 .4605 L
.39924 .45857 L
.39884 .45826 L
.39736 .45664 L
.39691 .45544 L
.39639 .45472 L
.39505 .45279 L
.39498 .4527 L
.39368 .45086 L
.39306 .45029 L
.39189 .44894 L
.39113 .44738 L
.39087 .44701 L
.38954 .44508 L
.3892 .44462 L
.38818 .44316 L
.38727 .44217 L
.38652 .44123 L
.38543 .4393 L
.38535 .43919 L
.38411 .43737 L
.38342 .43642 L
.38276 .43545 L
.38149 .43372 L
.38134 .43352 L
.38012 .43159 L
.37957 .4308 L
.37883 .42967 L
.37764 .42792 L
.37752 .42774 L
.37635 .42581 L
.37571 .42484 L
.37519 .42389 L
F
0 .52 1 r
.37571 .43905 m
.3759 .4393 L
.37571 .44008 L
.37531 .4393 L
F
1 .62 0 r
.37571 .43086 m
.37636 .43159 L
.37764 .43291 L
.37814 .43352 L
.37957 .43516 L
.3798 .43545 L
.38138 .43737 L
.38149 .43751 L
.3829 .4393 L
.38342 .43992 L
.38443 .44123 L
.38535 .44236 L
.38595 .44316 L
.38727 .44476 L
.38768 .44508 L
.38894 .44701 L
.3892 .44733 L
.3904 .44894 L
.39113 .44986 L
.39187 .45086 L
.39306 .4523 L
.3936 .45279 L
.3948 .45472 L
.39498 .45495 L
.39622 .45664 L
.39691 .45753 L
.39767 .45857 L
.39884 .46001 L
.39932 .4605 L
.40055 .46242 L
.40076 .4627 L
.40195 .46435 L
.40269 .46478 L
.40338 .46628 L
.40462 .46785 L
.40494 .46821 L
.40622 .47013 L
.40654 .47056 L
.40761 .47206 L
.40847 .47272 L
.40903 .47399 L
.4104 .47581 L
.41049 .47591 L
.41182 .47784 L
.41232 .47851 L
.4132 .47977 L
.41425 .48083 L
.41461 .48169 L
.416 .48362 L
.41618 .48386 L
.41734 .48555 L
.41811 .48658 L
.41871 .48747 L
.42003 .4892 L
.42011 .4894 L
.42141 .49133 L
.42196 .49207 L
.42273 .49326 L
.42389 .49486 L
.4241 .49518 L
.42536 .49711 L
.42581 .49774 L
.42658 .49904 L
.42774 .50074 L
.42786 .50096 L
.42774 .50243 L
.42643 .50096 L
.42581 .50034 L
.42473 .49904 L
.42389 .49809 L
.4231 .49711 L
.42196 .49575 L
.42151 .49518 L
.42003 .49338 L
.41986 .49326 L
.41845 .49133 L
.41811 .49091 L
.41694 .4894 L
.41618 .48906 L
.41543 .48747 L
.41425 .48603 L
.4137 .48555 L
.41247 .48362 L
.41232 .48344 L
.41101 .48169 L
.4104 .48141 L
.40954 .47977 L
.40847 .47844 L
.40786 .47784 L
.40663 .47591 L
.40654 .4758 L
.4052 .47399 L
.40462 .47365 L
.40376 .47206 L
.40269 .47071 L
.40216 .47013 L
.4009 .46821 L
.40076 .46803 L
.39949 .46628 L
.39884 .46582 L
.39806 .46435 L
.39691 .46285 L
.39654 .46242 L
.39525 .4605 L
.39498 .46014 L
.39385 .45857 L
.39306 .45788 L
.39244 .45664 L
.39113 .45486 L
.39101 .45472 L
.38968 .45279 L
.3892 .45215 L
.3883 .45086 L
.38727 .44974 L
.38644 .44894 L
.38554 .44701 L
.38535 .44674 L
.38421 .44508 L
.38342 .44399 L
.38285 .44316 L
.38149 .44125 L
.38147 .44123 L
.38022 .4393 L
.37957 .43839 L
.37891 .43737 L
.37764 .43552 L
.37759 .43545 L
.37646 .43352 L
.37571 .43238 L
.37531 .43159 L
F
0 .82 1 r
.37571 .42272 m
.37688 .42389 L
.37764 .42461 L
.3787 .42581 L
.37957 .42675 L
.3804 .42774 L
.38149 .42881 L
.38204 .42967 L
.38342 .43132 L
.38375 .43159 L
.38519 .43352 L
.38535 .43371 L
.38672 .43545 L
.38727 .43598 L
.38825 .43737 L
.3892 .43856 L
.38992 .4393 L
.39113 .44108 L
.39124 .44123 L
.39273 .44316 L
.39306 .44347 L
.39421 .44508 L
.39498 .44607 L
.39581 .44701 L
.39691 .44865 L
.39709 .44894 L
.3986 .45086 L
.39884 .45111 L
.40005 .45279 L
.40076 .45372 L
.40158 .45472 L
.40269 .45634 L
.40286 .45664 L
.40437 .45857 L
.40462 .45882 L
.40632 .4605 L
.40654 .46146 L
.4073 .46242 L
.40847 .4641 L
.40859 .46435 L
.4101 .46628 L
.4104 .46659 L
.41194 .46821 L
.41232 .46926 L
.41298 .47013 L
.41425 .47191 L
.41431 .47206 L
.41578 .47399 L
.41618 .47441 L
.41755 .47591 L
.41811 .4771 L
.41864 .47784 L
.42003 .47975 L
.42004 .47977 L
.42144 .48169 L
.42196 .48226 L
.42315 .48362 L
.42389 .48498 L
.42427 .48555 L
.42568 .48747 L
.42581 .48749 L
.42708 .4894 L
.42774 .49015 L
.42873 .49133 L
.42967 .4929 L
.4299 .49326 L
.4313 .49518 L
.43159 .49526 L
.43269 .49711 L
.43352 .49809 L
.43429 .49904 L
.43545 .50086 L
.43551 .50096 L
.43689 .50289 L
.43737 .50313 L
.43828 .50482 L
.4393 .50609 L
.43981 .50674 L
.44108 .50867 L
.44123 .50888 L
.44244 .5106 L
.44316 .51113 L
.44444 .51253 L
.44508 .51419 L
.44528 .51445 L
.44658 .51638 L
.44701 .51697 L
.44793 .51831 L
.44894 .51936 L
.44967 .52023 L
.45067 .52216 L
.45086 .52242 L
.45198 .52409 L
.45279 .5252 L
.45333 .52601 L
.45469 .52794 L
.45472 .52798 L
.45593 .52987 L
.45664 .53089 L
.4572 .53179 L
.45848 .53372 L
.45857 .53386 L
.45954 .53565 L
.4605 .53738 L
.46056 .53758 L
.4605 .53798 L
.45989 .53758 L
.45857 .53645 L
.45782 .53565 L
.45664 .5344 L
.45605 .53372 L
.45472 .53228 L
.45438 .53179 L
.45279 .5299 L
.45276 .52987 L
.45119 .52794 L
.45086 .52756 L
.44962 .52601 L
.44894 .52526 L
.44807 .52409 L
.44701 .52273 L
.4465 .52216 L
.44508 .52027 L
.44506 .52023 L
.44355 .51831 L
.44316 .51786 L
.44149 .51638 L
.44123 .51528 L
.44056 .51445 L
.4393 .51274 L
.43921 .51253 L
.43764 .5106 L
.43737 .51028 L
.43582 .50867 L
.43545 .50768 L
.43475 .50674 L
.43352 .50508 L
.43344 .50482 L
.43184 .50289 L
.43159 .5026 L
.43013 .50096 L
.42967 .49997 L
.42901 .49904 L
.42774 .49735 L
.42771 .49711 L
.42609 .49518 L
.42581 .49484 L
.42446 .49326 L
.42389 .49219 L
.42331 .49133 L
.42196 .48957 L
.42181 .4894 L
.42039 .48747 L
.42003 .48704 L
.41881 .48555 L
.41811 .48436 L
.41764 .48362 L
.41618 .48175 L
.41613 .48169 L
.41472 .47977 L
.41425 .47919 L
.41318 .47784 L
.41232 .4765 L
.41199 .47591 L
.41048 .47399 L
.4104 .47393 L
.40908 .47206 L
.40847 .47131 L
.40756 .47013 L
.40654 .4686 L
.40634 .46821 L
.40486 .46628 L
.40462 .46611 L
.40289 .46435 L
.40269 .46338 L
.40198 .46242 L
.40076 .46065 L
.40069 .4605 L
.39927 .45857 L
.39884 .45823 L
.39738 .45664 L
.39691 .4554 L
.39642 .45472 L
.39509 .45279 L
.39498 .45265 L
.39372 .45086 L
.39306 .45025 L
.39193 .44894 L
.39113 .44732 L
.39091 .44701 L
.38958 .44508 L
.3892 .44457 L
.38822 .44316 L
.38727 .44209 L
.38659 .44123 L
.38548 .4393 L
.38535 .43912 L
.38416 .43737 L
.38342 .43634 L
.38282 .43545 L
.38149 .43358 L
.38145 .43352 L
.38021 .43159 L
.37957 .43068 L
.37892 .42967 L
.37764 .42777 L
.37762 .42774 L
.3765 .42581 L
.37571 .42455 L
.37538 .42389 L
F
1 .95 0 r
.37571 .41456 m
.37744 .41618 L
.37764 .41636 L
.37928 .41811 L
.37957 .4184 L
.38101 .42003 L
.38149 .42034 L
.38269 .42196 L
.38342 .42282 L
.38494 .42389 L
.38535 .42523 L
.38588 .42581 L
.38727 .42761 L
.38733 .42774 L
.38898 .42967 L
.3892 .42995 L
.39083 .43159 L
.39113 .43247 L
.39195 .43352 L
.39306 .43504 L
.39321 .43545 L
.39497 .43737 L
.39498 .43739 L
.39661 .4393 L
.39691 .43998 L
.3978 .44123 L
.39884 .44264 L
.39896 .44316 L
.40076 .44502 L
.40081 .44508 L
.40236 .44701 L
.40269 .44765 L
.40356 .44894 L
.40462 .45035 L
.40515 .45086 L
.40654 .45276 L
.40656 .45279 L
.40807 .45472 L
.40847 .45542 L
.40925 .45664 L
.4104 .45813 L
.41087 .45857 L
.41227 .4605 L
.41232 .46057 L
.41375 .46242 L
.41425 .46324 L
.41491 .46435 L
.41618 .46594 L
.41656 .46628 L
.41796 .46821 L
.41811 .46841 L
.41941 .47013 L
.42003 .47109 L
.42056 .47206 L
.42196 .47376 L
.42222 .47399 L
.42384 .47591 L
.42389 .47627 L
.42505 .47784 L
.42581 .47896 L
.4262 .47977 L
.42774 .48159 L
.42787 .48169 L
.42952 .48362 L
.42967 .48414 L
.43069 .48555 L
.43159 .48683 L
.43184 .48747 L
.43352 .4894 L
.43352 .4894 L
.43517 .49133 L
.43545 .49202 L
.43632 .49326 L
.43737 .49471 L
.4375 .49518 L
.43916 .49711 L
.4393 .49726 L
.4408 .49904 L
.44123 .49991 L
.44194 .50096 L
.44316 .50259 L
.44318 .50289 L
.44479 .50482 L
.44508 .50512 L
.44642 .50674 L
.44701 .50781 L
.44757 .50867 L
.44894 .51048 L
.44903 .5106 L
.45042 .51253 L
.45086 .513 L
.45203 .51445 L
.45279 .51572 L
.45319 .51638 L
.45465 .51831 L
.45472 .51831 L
.45604 .52023 L
.45664 .5209 L
.45762 .52216 L
.45857 .52365 L
.45882 .52409 L
.46026 .52601 L
.4605 .52608 L
.4623 .52794 L
.46242 .52883 L
.4632 .52987 L
.46435 .5316 L
.46445 .53179 L
.46586 .53372 L
.46628 .53392 L
.46782 .53565 L
.46821 .5368 L
.46876 .53758 L
.47007 .5395 L
.47013 .53959 L
.47144 .54143 L
.47206 .54185 L
.4733 .54336 L
.47399 .54484 L
.47429 .54528 L
.47561 .54721 L
.47591 .54761 L
.47697 .54914 L
.47784 .54994 L
.47871 .55106 L
.47977 .55299 L
.47977 .55299 L
.48109 .55492 L
.48169 .55574 L
.48245 .55684 L
.48362 .55829 L
.48397 .55877 L
.48514 .5607 L
.48555 .56126 L
.48644 .56263 L
.48747 .56409 L
.48777 .56455 L
.48904 .56648 L
.4894 .56701 L
.49023 .56841 L
.49133 .57011 L
.49145 .57033 L
.49232 .57226 L
.49133 .57247 L
.4911 .57226 L
.4894 .5707 L
.48913 .57033 L
.48747 .56853 L
.48728 .56841 L
.48567 .56648 L
.48555 .56634 L
.48403 .56455 L
.48362 .56414 L
.48241 .56263 L
.48169 .56171 L
.48067 .5607 L
.47977 .55926 L
.47941 .55877 L
.47784 .55688 L
.47777 .55684 L
.47625 .55492 L
.47591 .55446 L
.47468 .55299 L
.47399 .55188 L
.47347 .55106 L
.47206 .54931 L
.47177 .54914 L
.47031 .54721 L
.47013 .54696 L
.46884 .54528 L
.46821 .54431 L
.46766 .54336 L
.46628 .54164 L
.46592 .54143 L
.46436 .5395 L
.46435 .5393 L
.46308 .53758 L
.46242 .53662 L
.46194 .53565 L
.4605 .53391 L
.46016 .53372 L
.45864 .53179 L
.45857 .53154 L
.45737 .52987 L
.45664 .52884 L
.45627 .52794 L
.45472 .52615 L
.45445 .52601 L
.45293 .52409 L
.45279 .52373 L
.4517 .52216 L
.45086 .52101 L
.45063 .52023 L
.44894 .51837 L
.44877 .51831 L
.44725 .51638 L
.44701 .51588 L
.44605 .51445 L
.44508 .51316 L
.445 .51253 L
.44316 .51061 L
.44311 .5106 L
.44159 .50867 L
.44123 .50801 L
.44041 .50674 L
.4393 .50531 L
.43885 .50482 L
.43745 .50289 L
.43737 .50279 L
.43595 .50096 L
.43545 .50013 L
.43478 .49904 L
.43352 .49745 L
.4332 .49711 L
.43181 .49518 L
.43159 .49492 L
.43031 .49326 L
.42967 .49224 L
.42915 .49133 L
.42774 .48959 L
.42757 .4894 L
.42617 .48747 L
.42581 .48704 L
.42469 .48555 L
.42389 .48435 L
.42352 .48362 L
.42196 .48172 L
.42193 .48169 L
.42016 .47977 L
.42003 .47915 L
.41907 .47784 L
.41811 .47645 L
.41788 .47591 L
.4163 .47399 L
.41618 .47389 L
.41454 .47206 L
.41425 .47125 L
.41346 .47013 L
.41232 .46854 L
.41221 .46821 L
.41069 .46628 L
.4104 .46605 L
.40894 .46435 L
.40847 .46333 L
.40785 .46242 L
.40654 .46061 L
.40652 .4605 L
.40508 .45857 L
.40462 .45817 L
.40337 .45664 L
.40269 .45538 L
.40226 .45472 L
.40086 .45279 L
.40076 .45266 L
.39948 .45086 L
.39884 .45023 L
.39782 .44894 L
.39691 .44739 L
.39667 .44701 L
.39529 .44508 L
.39498 .44467 L
.39391 .44316 L
.39306 .44222 L
.39232 .44123 L
.39113 .43933 L
.39111 .4393 L
.38976 .43737 L
.3892 .43661 L
.38839 .43545 L
.38727 .43407 L
.38689 .43352 L
.38564 .43159 L
.38535 .43119 L
.38431 .42967 L
.38342 .42844 L
.38244 .42774 L
.38159 .42581 L
.38149 .42568 L
.38032 .42389 L
.37957 .42282 L
.37902 .42196 L
.37772 .42003 L
.37764 .41992 L
.37657 .41811 L
.37571 .41675 L
.37542 .41618 L
F
0 .99 1 r
.37571 .40794 m
.37618 .40847 L
.37764 .4098 L
.37818 .4104 L
.37957 .41122 L
.38008 .41232 L
.38149 .41376 L
.38197 .41425 L
.38342 .41574 L
.38386 .41618 L
.38535 .41773 L
.38573 .41811 L
.38727 .41975 L
.38757 .42003 L
.3892 .42183 L
.38933 .42196 L
.39095 .42389 L
.39113 .42401 L
.39268 .42581 L
.39306 .42629 L
.39426 .42774 L
.39498 .42869 L
.39578 .42967 L
.39691 .43119 L
.39723 .43159 L
.39865 .43352 L
.39884 .43382 L
.3999 .43545 L
.40076 .43673 L
.40159 .43737 L
.40269 .43889 L
.403 .4393 L
.4044 .44123 L
.40462 .44157 L
.4056 .44316 L
.40654 .44443 L
.40729 .44508 L
.40847 .44673 L
.40868 .44701 L
.41005 .44894 L
.4104 .44945 L
.41115 .45086 L
.41232 .45235 L
.41295 .45279 L
.41425 .45461 L
.41434 .45472 L
.41566 .45664 L
.41618 .45737 L
.41666 .45857 L
.41811 .45984 L
.4186 .4605 L
.41999 .46242 L
.42003 .4625 L
.42127 .46435 L
.42196 .46529 L
.42217 .46628 L
.42389 .46773 L
.42424 .46821 L
.42565 .47013 L
.42581 .47041 L
.42687 .47206 L
.42774 .4732 L
.42849 .47399 L
.42967 .47563 L
.42988 .47591 L
.4313 .47784 L
.43159 .47832 L
.43247 .47977 L
.43352 .4811 L
.43413 .48169 L
.43545 .48353 L
.43551 .48362 L
.43694 .48555 L
.43737 .48622 L
.43808 .48747 L
.4393 .48897 L
.43976 .4894 L
.44122 .49133 L
.44123 .49143 L
.44257 .49326 L
.44316 .49413 L
.44369 .49518 L
.44508 .49683 L
.4454 .49711 L
.44694 .49904 L
.44701 .49933 L
.44819 .50096 L
.44894 .50202 L
.4493 .50289 L
.45086 .50467 L
.45103 .50482 L
.45261 .50674 L
.45279 .50722 L
.45381 .50867 L
.45472 .50991 L
.45493 .5106 L
.45664 .51251 L
.45667 .51253 L
.45826 .51445 L
.45857 .51511 L
.45943 .51638 L
.4605 .5178 L
.46057 .51831 L
.4623 .52023 L
.46242 .52036 L
.4639 .52216 L
.46435 .523 L
.46506 .52409 L
.46628 .52569 L
.46654 .52601 L
.46793 .52794 L
.46821 .52822 L
.46952 .52987 L
.47013 .5309 L
.47068 .53179 L
.47206 .53358 L
.47217 .53372 L
.47357 .53565 L
.47399 .53609 L
.47514 .53758 L
.47591 .5388 L
.47631 .5395 L
.47781 .54143 L
.47784 .54147 L
.4792 .54336 L
.47977 .54397 L
.48075 .54528 L
.48169 .54671 L
.48195 .54721 L
.48343 .54914 L
.48362 .54917 L
.48537 .55106 L
.48555 .55187 L
.48636 .55299 L
.48747 .55463 L
.48761 .55492 L
.48906 .55684 L
.4894 .55697 L
.49094 .55877 L
.49133 .55979 L
.49196 .5607 L
.49326 .56256 L
.49328 .56263 L
.49468 .56455 L
.49518 .56483 L
.49651 .56648 L
.49711 .56773 L
.49756 .56841 L
.49892 .57033 L
.49904 .57049 L
.5003 .57226 L
.50096 .57275 L
.50206 .57419 L
.50289 .5757 L
.50316 .57611 L
.50452 .57804 L
.50482 .57844 L
.5059 .57997 L
.50674 .58074 L
.50758 .58189 L
.50867 .58372 L
.50874 .58382 L
.51009 .58575 L
.5106 .58642 L
.51147 .58768 L
.51253 .58883 L
.51306 .5896 L
.51427 .59153 L
.51445 .59177 L
.51562 .59346 L
.51638 .59448 L
.517 .59538 L
.51831 .59711 L
.51844 .59731 L
.51971 .59924 L
.52023 .59995 L
.52104 .60116 L
.52216 .60273 L
.52239 .60309 L
.52368 .60502 L
.52409 .6056 L
.5249 .60694 L
.52601 .60863 L
.52615 .60887 L
.52717 .6108 L
.52601 .61165 L
.5251 .6108 L
.52409 .61008 L
.52317 .60887 L
.52216 .60775 L
.52139 .60694 L
.52023 .60551 L
.51972 .60502 L
.51831 .60323 L
.51823 .60309 L
.51648 .60116 L
.51638 .60103 L
.51464 .59924 L
.51445 .59858 L
.51347 .59731 L
.51253 .59598 L
.51228 .59538 L
.5106 .59382 L
.5103 .59346 L
.50879 .59153 L
.50867 .59128 L
.50749 .5896 L
.50674 .58854 L
.50646 .58768 L
.50482 .58629 L
.50439 .58575 L
.50296 .58382 L
.50289 .5837 L
.50168 .58189 L
.50096 .58088 L
.50003 .57997 L
.49904 .57859 L
.49861 .57804 L
.49721 .57611 L
.49711 .57595 L
.49598 .57419 L
.49518 .57308 L
.49431 .57226 L
.49326 .57079 L
.49291 .57033 L
.49151 .56841 L
.49133 .56811 L
.49034 .56648 L
.4894 .56522 L
.48863 .56455 L
.48747 .56294 L
.48724 .56263 L
.48586 .5607 L
.48555 .56022 L
.48473 .55877 L
.48362 .55733 L
.48297 .55684 L
.48169 .55506 L
.48158 .55492 L
.48022 .55299 L
.47977 .55232 L
.47914 .55106 L
.47784 .54946 L
.47732 .54914 L
.47593 .54721 L
.47591 .54717 L
.47459 .54528 L
.47399 .54442 L
.47355 .54336 L
.47206 .54161 L
.47168 .54143 L
.47023 .5395 L
.47013 .53927 L
.46897 .53758 L
.46821 .53652 L
.46796 .53565 L
.46628 .5338 L
.46605 .53372 L
.46457 .53179 L
.46435 .53136 L
.46336 .52987 L
.46242 .52863 L
.46237 .52794 L
.4605 .52603 L
.46041 .52601 L
.45892 .52409 L
.45857 .52346 L
.45774 .52216 L
.45664 .52075 L
.45617 .52023 L
.45478 .51831 L
.45472 .51823 L
.45328 .51638 L
.45279 .51557 L
.45212 .51445 L
.45086 .51287 L
.45053 .51253 L
.44914 .5106 L
.44894 .51035 L
.44765 .50867 L
.44701 .50767 L
.4465 .50674 L
.44508 .50501 L
.4449 .50482 L
.44319 .50289 L
.44316 .50246 L
.44203 .50096 L
.44123 .49978 L
.44087 .49904 L
.4393 .49715 L
.43926 .49711 L
.43753 .49518 L
.43737 .49458 L
.43641 .49326 L
.43545 .49188 L
.43522 .49133 L
.43363 .4894 L
.43352 .48932 L
.4319 .48747 L
.43159 .48669 L
.43079 .48555 L
.42967 .48399 L
.42956 .48362 L
.428 .48169 L
.42774 .48148 L
.42628 .47977 L
.42581 .47879 L
.42517 .47784 L
.42389 .47609 L
.42386 .47591 L
.42237 .47399 L
.42196 .47362 L
.42068 .47206 L
.42003 .47088 L
.41954 .47013 L
.41812 .46821 L
.41811 .46818 L
.41674 .46628 L
.41618 .46575 L
.41508 .46435 L
.41425 .46297 L
.41392 .46242 L
.4125 .4605 L
.41232 .46027 L
.41111 .45857 L
.4104 .45784 L
.40949 .45664 L
.40847 .45504 L
.40828 .45472 L
.40687 .45279 L
.40654 .45235 L
.40548 .45086 L
.40462 .44991 L
.4039 .44894 L
.40269 .4471 L
.40264 .44701 L
.40126 .44508 L
.40076 .44442 L
.39927 .44316 L
.39884 .44196 L
.39833 .44123 L
.39702 .4393 L
.39691 .43915 L
.39565 .43737 L
.39498 .43649 L
.39376 .43545 L
.39306 .43397 L
.39275 .43352 L
.39143 .43159 L
.39113 .43119 L
.39006 .42967 L
.3892 .42852 L
.38822 .42774 L
.38727 .42592 L
.3872 .42581 L
.38587 .42389 L
.38535 .42319 L
.3845 .42196 L
.38342 .42051 L
.38309 .42003 L
.38172 .41811 L
.38149 .41781 L
.38041 .41618 L
.37957 .41503 L
.37906 .41425 L
.37769 .41232 L
.37764 .41226 L
.37658 .4104 L
.37571 .40913 L
.37543 .40847 L
F
1 .61 0 r
.37571 .43112 m
.37616 .43159 L
.37764 .43304 L
.37803 .43352 L
.37957 .43526 L
.37972 .43545 L
.3813 .43737 L
.38149 .43759 L
.38283 .4393 L
.38342 .43999 L
.38437 .44123 L
.38535 .44242 L
.3859 .44316 L
.38727 .44483 L
.38759 .44508 L
.38889 .44701 L
.3892 .44739 L
.39036 .44894 L
.39113 .44991 L
.39184 .45086 L
.39306 .45236 L
.39353 .45279 L
.39476 .45472 L
.39498 .455 L
.39619 .45664 L
.39691 .45757 L
.39764 .45857 L
.39884 .46006 L
.39927 .4605 L
.40051 .46242 L
.40076 .46275 L
.40192 .46435 L
.40269 .46482 L
.40335 .46628 L
.40462 .4679 L
.4049 .46821 L
.40618 .47013 L
.40654 .4706 L
.40758 .47206 L
.40847 .47278 L
.409 .47399 L
.4104 .47586 L
.41044 .47591 L
.41178 .47784 L
.41232 .47856 L
.41317 .47977 L
.41425 .4809 L
.41458 .48169 L
.41596 .48362 L
.41618 .48391 L
.4173 .48555 L
.41811 .48664 L
.41867 .48747 L
.42003 .4893 L
.42007 .4894 L
.42136 .49133 L
.42196 .49214 L
.42268 .49326 L
.42389 .49494 L
.42404 .49518 L
.42528 .49711 L
.42581 .49786 L
.42649 .49904 L
.42774 .50092 L
.42776 .50096 L
.42774 .50219 L
.42659 .50096 L
.42581 .5002 L
.42483 .49904 L
.42389 .49798 L
.42318 .49711 L
.42196 .49566 L
.42157 .49518 L
.42003 .49328 L
.42 .49326 L
.41851 .49133 L
.41811 .49084 L
.41699 .4894 L
.41618 .489 L
.41548 .48747 L
.41425 .48597 L
.41377 .48555 L
.41251 .48362 L
.41232 .48339 L
.41105 .48169 L
.4104 .48137 L
.40958 .47977 L
.40847 .47839 L
.40792 .47784 L
.40667 .47591 L
.40654 .47575 L
.40524 .47399 L
.40462 .47361 L
.40379 .47206 L
.40269 .47066 L
.40221 .47013 L
.40094 .46821 L
.40076 .46798 L
.39952 .46628 L
.39884 .46578 L
.3981 .46435 L
.39691 .4628 L
.39659 .46242 L
.39529 .4605 L
.39498 .4601 L
.39389 .45857 L
.39306 .45782 L
.39248 .45664 L
.39113 .4548 L
.39106 .45472 L
.38972 .45279 L
.3892 .45209 L
.38834 .45086 L
.38727 .44967 L
.38652 .44894 L
.38559 .44701 L
.38535 .44668 L
.38426 .44508 L
.38342 .44392 L
.3829 .44316 L
.38154 .44123 L
.38149 .44116 L
.38028 .4393 L
.37957 .43829 L
.37898 .43737 L
.37768 .43545 L
.37764 .4354 L
.37658 .43352 L
.37571 .43213 L
.37548 .43159 L
F
0 .81 1 r
.37571 .42322 m
.37653 .42389 L
.37764 .42485 L
.37852 .42581 L
.37957 .42692 L
.38027 .42774 L
.38149 .42897 L
.38193 .42967 L
.38342 .43144 L
.3836 .43159 L
.3851 .43352 L
.38535 .43382 L
.38664 .43545 L
.38727 .43606 L
.38818 .43737 L
.3892 .43865 L
.38985 .4393 L
.39113 .44115 L
.39119 .44123 L
.39268 .44316 L
.39306 .44352 L
.39417 .44508 L
.39498 .44613 L
.39576 .44701 L
.39691 .4487 L
.39706 .44894 L
.39856 .45086 L
.39884 .45115 L
.40001 .45279 L
.40076 .45377 L
.40155 .45472 L
.40269 .45638 L
.40284 .45664 L
.40434 .45857 L
.40462 .45885 L
.4063 .4605 L
.40654 .4615 L
.40727 .46242 L
.40847 .46413 L
.40857 .46435 L
.41007 .46628 L
.4104 .46662 L
.41192 .46821 L
.41232 .46929 L
.41296 .47013 L
.41425 .47193 L
.4143 .47206 L
.41576 .47399 L
.41618 .47444 L
.41753 .47591 L
.41811 .47713 L
.41861 .47784 L
.42002 .47977 L
.42003 .47978 L
.42142 .48169 L
.42196 .48229 L
.42313 .48362 L
.42389 .48501 L
.42425 .48555 L
.42566 .48747 L
.42581 .48749 L
.42706 .4894 L
.42774 .49018 L
.42871 .49133 L
.42967 .49293 L
.42988 .49326 L
.43127 .49518 L
.43159 .49528 L
.43267 .49711 L
.43352 .49812 L
.43426 .49904 L
.43545 .5009 L
.43549 .50096 L
.43686 .50289 L
.43737 .50316 L
.43825 .50482 L
.4393 .50613 L
.43978 .50674 L
.44104 .50867 L
.44123 .50892 L
.4424 .5106 L
.44316 .51118 L
.4444 .51253 L
.44508 .51425 L
.44523 .51445 L
.44653 .51638 L
.44701 .51702 L
.44789 .51831 L
.44894 .51945 L
.4496 .52023 L
.45062 .52216 L
.45086 .52249 L
.45193 .52409 L
.45279 .52529 L
.45327 .52601 L
.45461 .52794 L
.45472 .5281 L
.45583 .52987 L
.45664 .53104 L
.4571 .53179 L
.45832 .53372 L
.45857 .53411 L
.4593 .53565 L
.45857 .53616 L
.45807 .53565 L
.45664 .5342 L
.45622 .53372 L
.45472 .53209 L
.45451 .53179 L
.45288 .52987 L
.45279 .52976 L
.45129 .52794 L
.45086 .52744 L
.44971 .52601 L
.44894 .52516 L
.44815 .52409 L
.44701 .52264 L
.44657 .52216 L
.44511 .52023 L
.44508 .5202 L
.44361 .51831 L
.44316 .51779 L
.44152 .51638 L
.44123 .51522 L
.44061 .51445 L
.4393 .51268 L
.43923 .51253 L
.43769 .5106 L
.43737 .51023 L
.43584 .50867 L
.43545 .50762 L
.43479 .50674 L
.43352 .50504 L
.43345 .50482 L
.43187 .50289 L
.43159 .50256 L
.43016 .50096 L
.42967 .49993 L
.42904 .49904 L
.42774 .49732 L
.42771 .49711 L
.42612 .49518 L
.42581 .49481 L
.42448 .49326 L
.42389 .49215 L
.42334 .49133 L
.42196 .48954 L
.42183 .4894 L
.42042 .48747 L
.42003 .48701 L
.41883 .48555 L
.41811 .48433 L
.41766 .48362 L
.41618 .48172 L
.41616 .48169 L
.41475 .47977 L
.41425 .47916 L
.4132 .47784 L
.41232 .47647 L
.41201 .47591 L
.41051 .47399 L
.4104 .47392 L
.4091 .47206 L
.40847 .47128 L
.40759 .47013 L
.40654 .46856 L
.40636 .46821 L
.40489 .46628 L
.40462 .46609 L
.40291 .46435 L
.40269 .46335 L
.402 .46242 L
.40076 .46061 L
.40071 .4605 L
.3993 .45857 L
.39884 .4582 L
.39741 .45664 L
.39691 .45535 L
.39645 .45472 L
.39512 .45279 L
.39498 .4526 L
.39375 .45086 L
.39306 .4502 L
.39197 .44894 L
.39113 .44727 L
.39095 .44701 L
.38962 .44508 L
.3892 .44451 L
.38826 .44316 L
.38727 .44201 L
.38665 .44123 L
.38554 .4393 L
.38535 .43904 L
.38422 .43737 L
.38342 .43625 L
.38288 .43545 L
.38154 .43352 L
.38149 .43346 L
.38029 .43159 L
.37957 .43054 L
.37902 .42967 L
.37775 .42774 L
.37764 .42757 L
.37668 .42581 L
.37571 .42413 L
.37562 .42389 L
F
1 .6 0 r
.37764 .43319 m
.37791 .43352 L
.37957 .43536 L
.37963 .43545 L
.38121 .43737 L
.38149 .43769 L
.38276 .4393 L
.38342 .44007 L
.38431 .44123 L
.38535 .44249 L
.38585 .44316 L
.38727 .44491 L
.3875 .44508 L
.38884 .44701 L
.3892 .44745 L
.39031 .44894 L
.39113 .44996 L
.3918 .45086 L
.39306 .45241 L
.39347 .45279 L
.39472 .45472 L
.39498 .45505 L
.39615 .45664 L
.39691 .45762 L
.3976 .45857 L
.39884 .46012 L
.39922 .4605 L
.40048 .46242 L
.40076 .46279 L
.40189 .46435 L
.40269 .46487 L
.40332 .46628 L
.40462 .46795 L
.40485 .46821 L
.40615 .47013 L
.40654 .47064 L
.40755 .47206 L
.40847 .47283 L
.40897 .47399 L
.4104 .47591 L
.4104 .47592 L
.41175 .47784 L
.41232 .4786 L
.41314 .47977 L
.41425 .48097 L
.41455 .48169 L
.41592 .48362 L
.41618 .48397 L
.41726 .48555 L
.41811 .48669 L
.41863 .48747 L
.42003 .4894 L
.42003 .4894 L
.42131 .49133 L
.42196 .49222 L
.42263 .49326 L
.42389 .49502 L
.42399 .49518 L
.4252 .49711 L
.42581 .49799 L
.4264 .49904 L
.42581 .50006 L
.42494 .49904 L
.42389 .49787 L
.42326 .49711 L
.42196 .49557 L
.42165 .49518 L
.42008 .49326 L
.42003 .4932 L
.41857 .49133 L
.41811 .49077 L
.41704 .4894 L
.41618 .48893 L
.41552 .48747 L
.41425 .4859 L
.41385 .48555 L
.41256 .48362 L
.41232 .48333 L
.41109 .48169 L
.4104 .48132 L
.40962 .47977 L
.40847 .47833 L
.40797 .47784 L
.40671 .47591 L
.40654 .4757 L
.40528 .47399 L
.40462 .47358 L
.40383 .47206 L
.40269 .4706 L
.40225 .47013 L
.40097 .46821 L
.40076 .46793 L
.39956 .46628 L
.39884 .46573 L
.39813 .46435 L
.39691 .46274 L
.39663 .46242 L
.39532 .4605 L
.39498 .46005 L
.39392 .45857 L
.39306 .45777 L
.39251 .45664 L
.39113 .45474 L
.39111 .45472 L
.38976 .45279 L
.3892 .45204 L
.38838 .45086 L
.38727 .44958 L
.3866 .44894 L
.38564 .44701 L
.38535 .44661 L
.38431 .44508 L
.38342 .44386 L
.38295 .44316 L
.38161 .44123 L
.38149 .44107 L
.38035 .4393 L
.37957 .43819 L
.37905 .43737 L
.37778 .43545 L
.37764 .43524 L
.37673 .43352 L
F
0 .96 1 r
.37764 .37403 m
.37957 .37564 L
.37977 .37571 L
.38146 .37764 L
.38149 .37767 L
.3831 .37957 L
.38342 .37972 L
.38467 .38149 L
.38535 .38224 L
.38674 .38342 L
.38727 .38482 L
.38771 .38535 L
.38909 .38727 L
.3892 .38742 L
.39048 .3892 L
.39113 .39011 L
.39226 .39113 L
.39306 .39288 L
.39313 .39306 L
.39416 .39498 L
.39306 .39665 L
.39113 .395 L
.39073 .39498 L
.3892 .39323 L
.38889 .39306 L
.3874 .39113 L
.38727 .39097 L
.38594 .3892 L
.38535 .38872 L
.3838 .38727 L
.38342 .3859 L
.38301 .38535 L
.38172 .38342 L
.38149 .3831 L
.3804 .38149 L
.37957 .38027 L
.37867 .37957 L
.3779 .37764 L
.37764 .3772 L
.37687 .37571 L
F
0 .8 1 r
.37764 .42511 m
.3783 .42581 L
.37957 .42711 L
.38012 .42774 L
.38149 .42915 L
.38181 .42967 L
.38342 .43157 L
.38345 .43159 L
.38501 .43352 L
.38535 .43392 L
.38657 .43545 L
.38727 .43614 L
.38811 .43737 L
.3892 .43873 L
.38978 .4393 L
.39113 .44121 L
.39114 .44123 L
.39263 .44316 L
.39306 .44358 L
.39412 .44508 L
.39498 .44619 L
.39572 .44701 L
.39691 .44875 L
.39703 .44894 L
.39852 .45086 L
.39884 .45119 L
.39998 .45279 L
.40076 .45381 L
.40152 .45472 L
.40269 .45642 L
.40282 .45664 L
.40431 .45857 L
.40462 .45889 L
.40629 .4605 L
.40654 .46154 L
.40725 .46242 L
.40847 .46416 L
.40856 .46435 L
.41004 .46628 L
.4104 .46665 L
.4119 .46821 L
.41232 .46933 L
.41293 .47013 L
.41425 .47196 L
.41429 .47206 L
.41574 .47399 L
.41618 .47446 L
.41751 .47591 L
.41811 .47716 L
.41859 .47784 L
.42 .47977 L
.42003 .47981 L
.4214 .48169 L
.42196 .48231 L
.42311 .48362 L
.42389 .48505 L
.42423 .48555 L
.42564 .48747 L
.42581 .4875 L
.42703 .4894 L
.42774 .49021 L
.42869 .49133 L
.42967 .49297 L
.42986 .49326 L
.43125 .49518 L
.43159 .49529 L
.43264 .49711 L
.43352 .49816 L
.43424 .49904 L
.43545 .50094 L
.43546 .50096 L
.43683 .50289 L
.43737 .50318 L
.43822 .50482 L
.4393 .50618 L
.43974 .50674 L
.44101 .50867 L
.44123 .50896 L
.44237 .5106 L
.44316 .51123 L
.44435 .51253 L
.44508 .51431 L
.44519 .51445 L
.44649 .51638 L
.44701 .51708 L
.44785 .51831 L
.44894 .51954 L
.44952 .52023 L
.45056 .52216 L
.45086 .52257 L
.45187 .52409 L
.45279 .52538 L
.45321 .52601 L
.45452 .52794 L
.45472 .52822 L
.45574 .52987 L
.45664 .5312 L
.45699 .53179 L
.45814 .53372 L
.45857 .53446 L
.45892 .53565 L
.45857 .53579 L
.45841 .53565 L
.45664 .53398 L
.4564 .53372 L
.45472 .53188 L
.45466 .53179 L
.45301 .52987 L
.45279 .52963 L
.45139 .52794 L
.45086 .52732 L
.44979 .52601 L
.44894 .52506 L
.44822 .52409 L
.44701 .52255 L
.44665 .52216 L
.44518 .52023 L
.44508 .52012 L
.44367 .51831 L
.44316 .51772 L
.44156 .51638 L
.44123 .51515 L
.44066 .51445 L
.4393 .51263 L
.43925 .51253 L
.43773 .5106 L
.43737 .51018 L
.43587 .50867 L
.43545 .50757 L
.43482 .50674 L
.43352 .505 L
.43347 .50482 L
.43191 .50289 L
.43159 .50252 L
.43018 .50096 L
.42967 .49988 L
.42907 .49904 L
.42774 .49728 L
.42772 .49711 L
.42615 .49518 L
.42581 .49477 L
.42451 .49326 L
.42389 .49212 L
.42336 .49133 L
.42196 .48951 L
.42186 .4894 L
.42045 .48747 L
.42003 .48697 L
.41885 .48555 L
.41811 .4843 L
.41768 .48362 L
.41618 .48169 L
.41618 .48169 L
.41477 .47977 L
.41425 .47913 L
.41322 .47784 L
.41232 .47643 L
.41202 .47591 L
.41053 .47399 L
.4104 .4739 L
.40913 .47206 L
.40847 .47124 L
.40761 .47013 L
.40654 .46853 L
.40637 .46821 L
.40492 .46628 L
.40462 .46607 L
.40292 .46435 L
.40269 .46331 L
.40203 .46242 L
.40076 .46058 L
.40073 .4605 L
.39933 .45857 L
.39884 .45817 L
.39743 .45664 L
.39691 .45531 L
.39648 .45472 L
.39515 .45279 L
.39498 .45256 L
.39379 .45086 L
.39306 .45015 L
.39201 .44894 L
.39113 .44721 L
.39099 .44701 L
.38967 .44508 L
.3892 .44445 L
.38831 .44316 L
.38727 .44193 L
.38672 .44123 L
.38559 .4393 L
.38535 .43896 L
.38428 .43737 L
.38342 .43616 L
.38294 .43545 L
.38162 .43352 L
.38149 .43334 L
.38038 .43159 L
.37957 .4304 L
.37912 .42967 L
.3779 .42774 L
.37764 .42733 L
.37689 .42581 L
F
1 .59 0 r
.37764 .43336 m
.37778 .43352 L
.37764 .43506 L
.37691 .43352 L
F
1 .92 0 r
.37764 .38196 m
.37885 .38342 L
.37957 .38423 L
.38039 .38535 L
.38149 .38677 L
.38184 .38727 L
.38309 .3892 L
.38342 .38975 L
.38387 .39113 L
.38342 .39126 L
.38326 .39113 L
.38149 .38946 L
.38127 .3892 L
.37968 .38727 L
.37957 .38713 L
.37829 .38535 L
.37764 .38446 L
.37697 .38342 L
F
1 .94 0 r
.37764 .41713 m
.37867 .41811 L
.37957 .41895 L
.38058 .42003 L
.38149 .42066 L
.38234 .42196 L
.38342 .42318 L
.38462 .42389 L
.38535 .42551 L
.38565 .42581 L
.38722 .42774 L
.38727 .42778 L
.38879 .42967 L
.3892 .43017 L
.39074 .43159 L
.39113 .43267 L
.39181 .43352 L
.39306 .43518 L
.39316 .43545 L
.39485 .43737 L
.39498 .43755 L
.39655 .4393 L
.39691 .44012 L
.39772 .44123 L
.39884 .44274 L
.39893 .44316 L
.40072 .44508 L
.40076 .44513 L
.4023 .44701 L
.40269 .44775 L
.4035 .44894 L
.40462 .45043 L
.40509 .45086 L
.40651 .45279 L
.40654 .45284 L
.40803 .45472 L
.40847 .45549 L
.40921 .45664 L
.4104 .45818 L
.41082 .45857 L
.41223 .4605 L
.41232 .46062 L
.41372 .46242 L
.41425 .46329 L
.41488 .46435 L
.41618 .46598 L
.41652 .46628 L
.41793 .46821 L
.41811 .46845 L
.41938 .47013 L
.42003 .47113 L
.42054 .47206 L
.42196 .47379 L
.42219 .47399 L
.42384 .47591 L
.42389 .4763 L
.42503 .47784 L
.42581 .47899 L
.42618 .47977 L
.42774 .48161 L
.42785 .48169 L
.42951 .48362 L
.42967 .48417 L
.43067 .48555 L
.43159 .48686 L
.43183 .48747 L
.4335 .4894 L
.43352 .48943 L
.43516 .49133 L
.43545 .49205 L
.4363 .49326 L
.43737 .49473 L
.43749 .49518 L
.43914 .49711 L
.4393 .49728 L
.44079 .49904 L
.44123 .49994 L
.44192 .50096 L
.44316 .50262 L
.44318 .50289 L
.44477 .50482 L
.44508 .50514 L
.4464 .50674 L
.44701 .50784 L
.44755 .50867 L
.44894 .51051 L
.44901 .5106 L
.4504 .51253 L
.45086 .51303 L
.45201 .51445 L
.45279 .51575 L
.45317 .51638 L
.45463 .51831 L
.45472 .51832 L
.45602 .52023 L
.45664 .52093 L
.4576 .52216 L
.45857 .52369 L
.4588 .52409 L
.46023 .52601 L
.4605 .52609 L
.46228 .52794 L
.46242 .52887 L
.46317 .52987 L
.46435 .53165 L
.46443 .53179 L
.46582 .53372 L
.46628 .53395 L
.46779 .53565 L
.46821 .53686 L
.46872 .53758 L
.47002 .5395 L
.47013 .53965 L
.47138 .54143 L
.47206 .54192 L
.47324 .54336 L
.47399 .54494 L
.47423 .54528 L
.47554 .54721 L
.47591 .54771 L
.4769 .54914 L
.47784 .55007 L
.4786 .55106 L
.47967 .55299 L
.47977 .55312 L
.48098 .55492 L
.48169 .5559 L
.48233 .55684 L
.48362 .55858 L
.48376 .55877 L
.48497 .5607 L
.48555 .56151 L
.48625 .56263 L
.48747 .56441 L
.48756 .56455 L
.48872 .56648 L
.4894 .56756 L
.48983 .56841 L
.4894 .56983 L
.48793 .56841 L
.48747 .56798 L
.48609 .56648 L
.48555 .5659 L
.48437 .56455 L
.48362 .56381 L
.4827 .56263 L
.48169 .56139 L
.48091 .5607 L
.47977 .55902 L
.47957 .55877 L
.47796 .55684 L
.47784 .55671 L
.47642 .55492 L
.47591 .55424 L
.47481 .55299 L
.47399 .5517 L
.47357 .55106 L
.47206 .54922 L
.4719 .54914 L
.47042 .54721 L
.47013 .54681 L
.46893 .54528 L
.46821 .54419 L
.46773 .54336 L
.46628 .54158 L
.46601 .54143 L
.46437 .5395 L
.46435 .53919 L
.46314 .53758 L
.46242 .53652 L
.46199 .53565 L
.4605 .53387 L
.46022 .53372 L
.45866 .53179 L
.45857 .53147 L
.45742 .52987 L
.45664 .52877 L
.4563 .52794 L
.45472 .52612 L
.4545 .52601 L
.45296 .52409 L
.45279 .52367 L
.45173 .52216 L
.45086 .52096 L
.45065 .52023 L
.44894 .51836 L
.44881 .51831 L
.44727 .51638 L
.44701 .51583 L
.44608 .51445 L
.44508 .51313 L
.44501 .51253 L
.44316 .5106 L
.44314 .5106 L
.44161 .50867 L
.44123 .50797 L
.44043 .50674 L
.4393 .50528 L
.43888 .50482 L
.43748 .50289 L
.43737 .50276 L
.43596 .50096 L
.43545 .5001 L
.4348 .49904 L
.43352 .49742 L
.43323 .49711 L
.43183 .49518 L
.43159 .49489 L
.43033 .49326 L
.42967 .49222 L
.42917 .49133 L
.42774 .48956 L
.42759 .4894 L
.42619 .48747 L
.42581 .48701 L
.42471 .48555 L
.42389 .48432 L
.42353 .48362 L
.42196 .4817 L
.42195 .48169 L
.42017 .47977 L
.42003 .47912 L
.41909 .47784 L
.41811 .47642 L
.41789 .47591 L
.41633 .47399 L
.41618 .47387 L
.41456 .47206 L
.41425 .47122 L
.41348 .47013 L
.41232 .46851 L
.41222 .46821 L
.41071 .46628 L
.4104 .46602 L
.40897 .46435 L
.40847 .46329 L
.40788 .46242 L
.40654 .46057 L
.40653 .4605 L
.40511 .45857 L
.40462 .45813 L
.4034 .45664 L
.40269 .45533 L
.40229 .45472 L
.4009 .45279 L
.40076 .4526 L
.39952 .45086 L
.39884 .45018 L
.39787 .44894 L
.39691 .44732 L
.39672 .44701 L
.39535 .44508 L
.39498 .44459 L
.39397 .44316 L
.39306 .44213 L
.39239 .44123 L
.39118 .4393 L
.39113 .43923 L
.38984 .43737 L
.3892 .4365 L
.38847 .43545 L
.38727 .4339 L
.38701 .43352 L
.38576 .43159 L
.38535 .43103 L
.38443 .42967 L
.38342 .42825 L
.38269 .42774 L
.38177 .42581 L
.38149 .42542 L
.38053 .42389 L
.37957 .42248 L
.37925 .42196 L
.37807 .42003 L
.37764 .41934 L
.37705 .41811 L
F
0 .79 1 r
.37764 .42544 m
.37802 .42581 L
.37957 .4273 L
.37995 .42774 L
.38149 .42935 L
.38169 .42967 L
.38332 .43159 L
.38342 .4317 L
.38491 .43352 L
.38535 .43403 L
.38649 .43545 L
.38727 .43623 L
.38804 .43737 L
.3892 .43881 L
.38971 .4393 L
.39108 .44123 L
.39113 .44128 L
.39257 .44316 L
.39306 .44363 L
.39407 .44508 L
.39498 .44625 L
.39567 .44701 L
.39691 .4488 L
.397 .44894 L
.39848 .45086 L
.39884 .45123 L
.39994 .45279 L
.40076 .45386 L
.40148 .45472 L
.40269 .45646 L
.40279 .45664 L
.40428 .45857 L
.40462 .45892 L
.40627 .4605 L
.40654 .46157 L
.40722 .46242 L
.40847 .4642 L
.40854 .46435 L
.41002 .46628 L
.4104 .46668 L
.41188 .46821 L
.41232 .46936 L
.41291 .47013 L
.41425 .47199 L
.41428 .47206 L
.41571 .47399 L
.41618 .47449 L
.41749 .47591 L
.41811 .4772 L
.41857 .47784 L
.41998 .47977 L
.42003 .47984 L
.42138 .48169 L
.42196 .48234 L
.42309 .48362 L
.42389 .48508 L
.42421 .48555 L
.42561 .48747 L
.42581 .4875 L
.42701 .4894 L
.42774 .49024 L
.42866 .49133 L
.42967 .493 L
.42984 .49326 L
.43123 .49518 L
.43159 .4953 L
.43262 .49711 L
.43352 .49819 L
.43421 .49904 L
.43544 .50096 L
.43545 .50097 L
.4368 .50289 L
.43737 .50321 L
.4382 .50482 L
.4393 .50622 L
.43971 .50674 L
.44098 .50867 L
.44123 .50901 L
.44234 .5106 L
.44316 .51128 L
.4443 .51253 L
.44508 .51438 L
.44514 .51445 L
.44645 .51638 L
.44701 .51714 L
.4478 .51831 L
.44894 .51964 L
.44943 .52023 L
.45051 .52216 L
.45086 .52265 L
.45181 .52409 L
.45279 .52547 L
.45314 .52601 L
.45443 .52794 L
.45472 .52835 L
.45564 .52987 L
.45664 .53138 L
.45688 .53179 L
.45789 .53372 L
.45664 .53374 L
.45662 .53372 L
.45482 .53179 L
.45472 .53169 L
.45314 .52987 L
.45279 .52949 L
.45149 .52794 L
.45086 .52721 L
.44988 .52601 L
.44894 .52496 L
.44831 .52409 L
.44701 .52246 L
.44672 .52216 L
.44524 .52023 L
.44508 .52003 L
.44373 .51831 L
.44316 .51766 L
.4416 .51638 L
.44123 .51508 L
.44071 .51445 L
.4393 .51258 L
.43928 .51253 L
.43778 .5106 L
.43737 .51013 L
.4359 .50867 L
.43545 .50752 L
.43486 .50674 L
.43352 .50496 L
.43348 .50482 L
.43194 .50289 L
.43159 .50247 L
.43021 .50096 L
.42967 .49984 L
.4291 .49904 L
.42774 .49725 L
.42772 .49711 L
.42618 .49518 L
.42581 .49474 L
.42453 .49326 L
.42389 .49208 L
.42338 .49133 L
.42196 .48948 L
.42189 .4894 L
.42047 .48747 L
.42003 .48694 L
.41887 .48555 L
.41811 .48426 L
.4177 .48362 L
.41621 .48169 L
.41618 .48168 L
.4148 .47977 L
.41425 .4791 L
.41324 .47784 L
.41232 .4764 L
.41204 .47591 L
.41056 .47399 L
.4104 .47388 L
.40915 .47206 L
.40847 .47121 L
.40763 .47013 L
.40654 .46849 L
.40639 .46821 L
.40494 .46628 L
.40462 .46605 L
.40294 .46435 L
.40269 .46327 L
.40206 .46242 L
.40076 .46054 L
.40074 .4605 L
.39936 .45857 L
.39884 .45814 L
.39746 .45664 L
.39691 .45526 L
.39652 .45472 L
.39519 .45279 L
.39498 .45251 L
.39382 .45086 L
.39306 .4501 L
.39206 .44894 L
.39113 .44714 L
.39104 .44701 L
.38971 .44508 L
.3892 .44439 L
.38835 .44316 L
.38727 .44184 L
.38679 .44123 L
.38565 .4393 L
.38535 .43888 L
.38434 .43737 L
.38342 .43607 L
.38301 .43545 L
.3817 .43352 L
.38149 .43322 L
.38048 .43159 L
.37957 .43025 L
.37922 .42967 L
.37808 .42774 L
.37764 .42702 L
.37716 .42581 L
F
1 .68 0 r
.37764 .44911 m
.37875 .45086 L
.37957 .45193 L
.38007 .45279 L
.37957 .45357 L
.37897 .45279 L
.37764 .45119 L
.37739 .45086 L
F
1 .67 0 r
.37764 .44933 m
.37854 .45086 L
.37957 .45221 L
.37988 .45279 L
.37957 .45329 L
.37919 .45279 L
.37764 .45098 L
.37755 .45086 L
F
1 .91 0 r
.37764 .38298 m
.37809 .38342 L
.37957 .38488 L
.37991 .38535 L
.37957 .38642 L
.37885 .38535 L
.37764 .38356 L
.37757 .38342 L
F
0 .99 1 r
.37957 .40071 m
.37972 .40076 L
.38149 .4019 L
.38218 .40269 L
.38342 .40409 L
.3841 .40462 L
.38532 .40654 L
.38535 .40658 L
.38673 .40847 L
.38727 .40883 L
.38816 .4104 L
.3892 .41162 L
.38988 .41232 L
.39103 .41425 L
.39113 .41437 L
.3924 .41618 L
.39306 .41704 L
.3938 .41811 L
.39498 .41969 L
.39544 .42003 L
.39659 .42196 L
.39691 .42239 L
.39791 .42389 L
.39884 .42519 L
.39923 .42581 L
.39884 .42737 L
.39691 .42602 L
.39664 .42581 L
.39498 .42444 L
.39434 .42389 L
.39306 .42266 L
.39231 .42196 L
.39113 .42069 L
.39048 .42003 L
.3892 .41851 L
.38882 .41811 L
.3873 .41618 L
.38727 .41613 L
.38575 .41425 L
.38535 .41313 L
.38426 .41232 L
.38342 .41113 L
.38284 .4104 L
.38151 .40847 L
.38149 .40845 L
.38046 .40654 L
.37957 .40614 L
.37888 .40462 L
.37789 .40269 L
.37824 .40076 L
F
1 .99 0 r
.37957 .36839 m
.38149 .36951 L
.38218 .36993 L
.38342 .3713 L
.38384 .37186 L
.38535 .3735 L
.38559 .37379 L
.38714 .37571 L
.38727 .37593 L
.38871 .37764 L
.3892 .37858 L
.38992 .37957 L
.39113 .38089 L
.39158 .38149 L
.393 .38342 L
.39306 .3835 L
.39447 .38535 L
.39498 .38617 L
.39562 .38727 L
.39691 .38885 L
.39728 .3892 L
.39867 .39113 L
.39884 .39116 L
.40008 .39306 L
.40076 .39407 L
.40118 .39498 L
.40267 .39691 L
.40237 .39884 L
.40076 .3989 L
.40024 .39884 L
.39884 .39841 L
.39728 .39691 L
.39691 .3965 L
.3953 .39498 L
.39498 .39356 L
.39423 .39306 L
.39306 .39124 L
.39295 .39113 L
.39144 .3892 L
.39113 .38893 L
.38966 .38727 L
.3892 .38624 L
.38858 .38535 L
.38727 .38352 L
.38725 .38342 L
.38584 .38149 L
.38535 .38082 L
.38411 .37957 L
.38342 .37835 L
.38304 .37764 L
.38172 .37571 L
.38149 .37539 L
.38042 .37379 L
.37957 .37248 L
.37896 .37186 L
.37816 .36993 L
F
0 .78 1 r
.37957 .42752 m
.37977 .42774 L
.38149 .42957 L
.38155 .42967 L
.3832 .43159 L
.38342 .43183 L
.38481 .43352 L
.38535 .43414 L
.3864 .43545 L
.38727 .43632 L
.38797 .43737 L
.3892 .43889 L
.38963 .4393 L
.39102 .44123 L
.39113 .44136 L
.39252 .44316 L
.39306 .44369 L
.39402 .44508 L
.39498 .44631 L
.39562 .44701 L
.39691 .44885 L
.39696 .44894 L
.39844 .45086 L
.39884 .45127 L
.3999 .45279 L
.40076 .4539 L
.40145 .45472 L
.40269 .4565 L
.40277 .45664 L
.40425 .45857 L
.40462 .45895 L
.40625 .4605 L
.40654 .46161 L
.40719 .46242 L
.40847 .46423 L
.40853 .46435 L
.40999 .46628 L
.4104 .46671 L
.41186 .46821 L
.41232 .46939 L
.41289 .47013 L
.41425 .47202 L
.41427 .47206 L
.41569 .47399 L
.41618 .47452 L
.41747 .47591 L
.41811 .47723 L
.41855 .47784 L
.41995 .47977 L
.42003 .47987 L
.42135 .48169 L
.42196 .48237 L
.42307 .48362 L
.42389 .48511 L
.42419 .48555 L
.42559 .48747 L
.42581 .48751 L
.42699 .4894 L
.42774 .49027 L
.42864 .49133 L
.42967 .49303 L
.42981 .49326 L
.4312 .49518 L
.43159 .49532 L
.43259 .49711 L
.43352 .49823 L
.43418 .49904 L
.43541 .50096 L
.43545 .50101 L
.43678 .50289 L
.43737 .50324 L
.43817 .50482 L
.4393 .50627 L
.43967 .50674 L
.44095 .50867 L
.44123 .50905 L
.44231 .5106 L
.44316 .51134 L
.44425 .51253 L
.44508 .51444 L
.44509 .51445 L
.44641 .51638 L
.44701 .5172 L
.44776 .51831 L
.44894 .51974 L
.44935 .52023 L
.45045 .52216 L
.45086 .52273 L
.45174 .52409 L
.45279 .52557 L
.45308 .52601 L
.45434 .52794 L
.45472 .52849 L
.45553 .52987 L
.45664 .53159 L
.45676 .53179 L
.45664 .53345 L
.45502 .53179 L
.45472 .53151 L
.45327 .52987 L
.45279 .52935 L
.4516 .52794 L
.45086 .52709 L
.44998 .52601 L
.44894 .52485 L
.44839 .52409 L
.44701 .52237 L
.44681 .52216 L
.44531 .52023 L
.44508 .51995 L
.44379 .51831 L
.44316 .51759 L
.44165 .51638 L
.44123 .51502 L
.44076 .51445 L
.4393 .51253 L
.4393 .51253 L
.43782 .5106 L
.43737 .51008 L
.43593 .50867 L
.43545 .50747 L
.43489 .50674 L
.43352 .50492 L
.43349 .50482 L
.43198 .50289 L
.43159 .50243 L
.43023 .50096 L
.42967 .4998 L
.42912 .49904 L
.42774 .49721 L
.42772 .49711 L
.42621 .49518 L
.42581 .4947 L
.42455 .49326 L
.42389 .49204 L
.42341 .49133 L
.42196 .48945 L
.42192 .4894 L
.4205 .48747 L
.42003 .48691 L
.4189 .48555 L
.41811 .48423 L
.41772 .48362 L
.41623 .48169 L
.41618 .48166 L
.41482 .47977 L
.41425 .47907 L
.41326 .47784 L
.41232 .47637 L
.41206 .47591 L
.41059 .47399 L
.4104 .47387 L
.40918 .47206 L
.40847 .47118 L
.40766 .47013 L
.40654 .46846 L
.40641 .46821 L
.40497 .46628 L
.40462 .46602 L
.40296 .46435 L
.40269 .46324 L
.40208 .46242 L
.40076 .4605 L
.40076 .4605 L
.39939 .45857 L
.39884 .4581 L
.39749 .45664 L
.39691 .45522 L
.39655 .45472 L
.39522 .45279 L
.39498 .45247 L
.39386 .45086 L
.39306 .45005 L
.3921 .44894 L
.39113 .44708 L
.39108 .44701 L
.38975 .44508 L
.3892 .44433 L
.3884 .44316 L
.38727 .44175 L
.38686 .44123 L
.38571 .4393 L
.38535 .4388 L
.3844 .43737 L
.38342 .43598 L
.38307 .43545 L
.38179 .43352 L
.38149 .43309 L
.38058 .43159 L
.37957 .43007 L
.37933 .42967 L
.37829 .42774 L
F
0 .95 1 r
.37957 .37632 m
.38094 .37764 L
.38149 .37818 L
.38272 .37957 L
.38342 .37996 L
.38436 .38149 L
.38535 .38259 L
.38641 .38342 L
.38727 .38515 L
.38744 .38535 L
.38884 .38727 L
.3892 .38776 L
.39023 .3892 L
.39113 .39048 L
.3919 .39113 L
.39277 .39306 L
.39306 .39358 L
.39365 .39498 L
.39306 .39593 L
.39124 .39498 L
.39113 .3949 L
.38929 .39306 L
.3892 .39296 L
.38768 .39113 L
.38727 .39064 L
.38618 .3892 L
.38535 .38844 L
.38408 .38727 L
.38342 .38554 L
.38328 .38535 L
.38198 .38342 L
.38149 .38272 L
.38068 .38149 L
.37957 .37979 L
.37928 .37957 L
.37839 .37764 L
F
1 .93 0 r
.37957 .41957 m
.38004 .42003 L
.38149 .42118 L
.38196 .42196 L
.38342 .42355 L
.38408 .42389 L
.38535 .42578 L
.38538 .42581 L
.387 .42774 L
.38727 .42793 L
.3886 .42967 L
.3892 .43039 L
.39063 .43159 L
.39113 .43286 L
.39168 .43352 L
.39306 .43531 L
.39311 .43545 L
.39473 .43737 L
.39498 .4377 L
.39648 .4393 L
.39691 .44026 L
.39763 .44123 L
.39884 .44284 L
.39891 .44316 L
.40065 .44508 L
.40076 .44524 L
.40225 .44701 L
.40269 .44785 L
.40344 .44894 L
.40462 .45049 L
.40502 .45086 L
.40645 .45279 L
.40654 .45292 L
.40798 .45472 L
.40847 .45556 L
.40917 .45664 L
.4104 .45823 L
.41078 .45857 L
.41219 .4605 L
.41232 .46068 L
.41368 .46242 L
.41425 .46335 L
.41485 .46435 L
.41618 .46601 L
.41648 .46628 L
.41789 .46821 L
.41811 .46849 L
.41935 .47013 L
.42003 .47117 L
.42051 .47206 L
.42196 .47382 L
.42216 .47399 L
.42383 .47591 L
.42389 .47634 L
.42501 .47784 L
.42581 .47902 L
.42617 .47977 L
.42774 .48163 L
.42782 .48169 L
.4295 .48362 L
.42967 .4842 L
.43065 .48555 L
.43159 .48688 L
.43182 .48747 L
.43347 .4894 L
.43352 .48945 L
.43514 .49133 L
.43545 .49208 L
.43628 .49326 L
.43737 .49476 L
.43748 .49518 L
.43912 .49711 L
.4393 .4973 L
.44077 .49904 L
.44123 .49996 L
.44191 .50096 L
.44316 .50264 L
.44318 .50289 L
.44475 .50482 L
.44508 .50517 L
.44639 .50674 L
.44701 .50787 L
.44753 .50867 L
.44894 .51054 L
.44899 .5106 L
.45038 .51253 L
.45086 .51305 L
.45199 .51445 L
.45279 .51578 L
.45315 .51638 L
.4546 .51831 L
.45472 .51832 L
.45599 .52023 L
.45664 .52097 L
.45757 .52216 L
.45857 .52373 L
.45878 .52409 L
.4602 .52601 L
.4605 .52611 L
.46227 .52794 L
.46242 .52892 L
.46314 .52987 L
.46435 .5317 L
.4644 .53179 L
.46578 .53372 L
.46628 .53398 L
.46775 .53565 L
.46821 .53693 L
.46867 .53758 L
.46997 .5395 L
.47013 .53972 L
.47133 .54143 L
.47206 .54199 L
.47317 .54336 L
.47399 .54503 L
.47416 .54528 L
.47547 .54721 L
.47591 .54781 L
.47683 .54914 L
.47784 .55022 L
.47848 .55106 L
.47957 .55299 L
.47977 .55326 L
.48087 .55492 L
.48169 .55606 L
.48221 .55684 L
.48356 .55877 L
.48362 .55886 L
.48479 .5607 L
.48555 .5618 L
.48605 .56263 L
.48728 .56455 L
.48747 .56485 L
.48829 .56648 L
.48747 .56734 L
.4866 .56648 L
.48555 .56544 L
.48474 .56455 L
.48362 .56344 L
.48301 .56263 L
.48169 .56109 L
.48121 .5607 L
.47977 .55879 L
.47975 .55877 L
.47816 .55684 L
.47784 .5565 L
.47659 .55492 L
.47591 .55403 L
.47494 .55299 L
.47399 .55154 L
.47367 .55106 L
.47206 .54915 L
.47203 .54914 L
.47053 .54721 L
.47013 .54666 L
.46902 .54528 L
.46821 .54407 L
.4678 .54336 L
.46628 .54152 L
.4661 .54143 L
.46437 .5395 L
.46435 .53909 L
.4632 .53758 L
.46242 .53644 L
.46203 .53565 L
.4605 .53383 L
.46028 .53372 L
.45868 .53179 L
.45857 .53139 L
.45746 .52987 L
.45664 .52871 L
.45633 .52794 L
.45472 .52609 L
.45454 .52601 L
.45298 .52409 L
.45279 .52361 L
.45177 .52216 L
.45086 .52092 L
.45066 .52023 L
.44894 .51834 L
.44884 .51831 L
.44729 .51638 L
.44701 .51579 L
.4461 .51445 L
.44508 .51309 L
.44501 .51253 L
.44317 .5106 L
.44316 .51059 L
.44163 .50867 L
.44123 .50794 L
.44046 .50674 L
.4393 .50525 L
.4389 .50482 L
.4375 .50289 L
.43737 .50273 L
.43598 .50096 L
.43545 .50007 L
.43482 .49904 L
.43352 .4974 L
.43325 .49711 L
.43185 .49518 L
.43159 .49487 L
.43035 .49326 L
.42967 .49219 L
.42918 .49133 L
.42774 .48954 L
.42761 .4894 L
.42621 .48747 L
.42581 .48699 L
.42472 .48555 L
.42389 .4843 L
.42355 .48362 L
.42198 .48169 L
.42196 .48168 L
.42018 .47977 L
.42003 .47909 L
.41911 .47784 L
.41811 .47639 L
.4179 .47591 L
.41635 .47399 L
.41618 .47385 L
.41457 .47206 L
.41425 .47119 L
.4135 .47013 L
.41232 .46847 L
.41224 .46821 L
.41074 .46628 L
.4104 .466 L
.40899 .46435 L
.40847 .46325 L
.40791 .46242 L
.40654 .46053 L
.40654 .4605 L
.40514 .45857 L
.40462 .45809 L
.40343 .45664 L
.40269 .45528 L
.40232 .45472 L
.40094 .45279 L
.40076 .45255 L
.39957 .45086 L
.39884 .45012 L
.39792 .44894 L
.39691 .44725 L
.39676 .44701 L
.3954 .44508 L
.39498 .44452 L
.39403 .44316 L
.39306 .44203 L
.39246 .44123 L
.39126 .4393 L
.39113 .43913 L
.38992 .43737 L
.3892 .43639 L
.38856 .43545 L
.38727 .43372 L
.38713 .43352 L
.38587 .43159 L
.38535 .43086 L
.38456 .42967 L
.38342 .42804 L
.38297 .42774 L
.38197 .42581 L
.38149 .42512 L
.38075 .42389 L
.37957 .42206 L
.37951 .42196 L
.37858 .42003 L
F
0 .94 1 r
.37957 .37721 m
.38017 .37764 L
.38149 .37873 L
.38228 .37957 L
.38342 .38037 L
.38402 .38149 L
.38535 .38299 L
.38593 .38342 L
.38714 .38535 L
.38727 .38551 L
.38857 .38727 L
.3892 .38812 L
.38997 .3892 L
.39113 .39089 L
.39142 .39113 L
.39237 .39306 L
.39113 .39437 L
.3897 .39306 L
.3892 .39256 L
.38798 .39113 L
.38727 .39029 L
.38644 .3892 L
.38535 .38805 L
.38449 .38727 L
.38357 .38535 L
.38342 .38514 L
.38227 .38342 L
.38149 .38228 L
.381 .38149 L
.37986 .37957 L
.37957 .37902 L
.3791 .37764 L
F
0 .52 1 r
.37957 .44378 m
.38049 .44508 L
.38149 .44627 L
.38201 .44701 L
.38342 .44876 L
.38354 .44894 L
.38494 .45086 L
.38535 .45135 L
.38634 .45279 L
.38727 .45396 L
.38779 .45472 L
.3892 .45656 L
.38926 .45664 L
.39058 .45857 L
.39113 .45926 L
.39193 .4605 L
.39306 .46197 L
.39335 .46242 L
.39306 .46386 L
.392 .46242 L
.39113 .4614 L
.39047 .4605 L
.3892 .45891 L
.38896 .45857 L
.38752 .45664 L
.38727 .45635 L
.38612 .45472 L
.38535 .45375 L
.38467 .45279 L
.38342 .45115 L
.38322 .45086 L
.38186 .44894 L
.38149 .44847 L
.38051 .44701 L
.37957 .44577 L
.37911 .44508 L
F
1 .59 0 r
.37957 .43548 m
.38112 .43737 L
.38149 .43778 L
.38269 .4393 L
.38342 .44015 L
.38425 .44123 L
.38535 .44256 L
.3858 .44316 L
.38727 .44499 L
.3874 .44508 L
.3888 .44701 L
.3892 .44751 L
.39027 .44894 L
.39113 .45002 L
.39176 .45086 L
.39306 .45247 L
.39341 .45279 L
.39468 .45472 L
.39498 .4551 L
.39612 .45664 L
.39691 .45767 L
.39757 .45857 L
.39884 .46017 L
.39917 .4605 L
.40044 .46242 L
.40076 .46284 L
.40186 .46435 L
.40269 .46492 L
.40329 .46628 L
.40462 .468 L
.40481 .46821 L
.40612 .47013 L
.40654 .47069 L
.40752 .47206 L
.40847 .47289 L
.40894 .47399 L
.41036 .47591 L
.4104 .47596 L
.41171 .47784 L
.41232 .47865 L
.4131 .47977 L
.41425 .48105 L
.41451 .48169 L
.41588 .48362 L
.41618 .48402 L
.41722 .48555 L
.41811 .48675 L
.41859 .48747 L
.41998 .4894 L
.42003 .48947 L
.42125 .49133 L
.42196 .49229 L
.42257 .49326 L
.42389 .49511 L
.42393 .49518 L
.4251 .49711 L
.42581 .49814 L
.42629 .49904 L
.42581 .49989 L
.42507 .49904 L
.42389 .49776 L
.42335 .49711 L
.42196 .49548 L
.42172 .49518 L
.42016 .49326 L
.42003 .49311 L
.41863 .49133 L
.41811 .4907 L
.4171 .4894 L
.41618 .48885 L
.41557 .48747 L
.41425 .48583 L
.41393 .48555 L
.41261 .48362 L
.41232 .48327 L
.41113 .48169 L
.4104 .48127 L
.40966 .47977 L
.40847 .47827 L
.40803 .47784 L
.40675 .47591 L
.40654 .47565 L
.40531 .47399 L
.40462 .47353 L
.40387 .47206 L
.40269 .47055 L
.4023 .47013 L
.40101 .46821 L
.40076 .46788 L
.3996 .46628 L
.39884 .46569 L
.39817 .46435 L
.39691 .46269 L
.39668 .46242 L
.39536 .4605 L
.39498 .46 L
.39396 .45857 L
.39306 .45771 L
.39255 .45664 L
.39115 .45472 L
.39113 .45469 L
.3898 .45279 L
.3892 .45198 L
.38842 .45086 L
.38727 .4495 L
.38669 .44894 L
.38569 .44701 L
.38535 .44655 L
.38435 .44508 L
.38342 .44378 L
.383 .44316 L
.38167 .44123 L
.38149 .44098 L
.38042 .4393 L
.37957 .43808 L
.37912 .43737 L
F
1 .58 0 r
.37957 .43561 m
.38102 .43737 L
.38149 .43788 L
.38262 .4393 L
.38342 .44023 L
.38419 .44123 L
.38535 .44263 L
.38575 .44316 L
.38727 .44507 L
.3873 .44508 L
.38875 .44701 L
.3892 .44757 L
.39023 .44894 L
.39113 .45007 L
.39172 .45086 L
.39306 .45254 L
.39334 .45279 L
.39464 .45472 L
.39498 .45515 L
.39608 .45664 L
.39691 .45771 L
.39754 .45857 L
.39884 .46022 L
.39912 .4605 L
.40041 .46242 L
.40076 .46288 L
.40182 .46435 L
.40269 .46497 L
.40326 .46628 L
.40462 .46806 L
.40476 .46821 L
.40608 .47013 L
.40654 .47073 L
.40748 .47206 L
.40847 .47295 L
.40891 .47399 L
.41032 .47591 L
.4104 .47601 L
.41168 .47784 L
.41232 .4787 L
.41307 .47977 L
.41425 .48112 L
.41448 .48169 L
.41584 .48362 L
.41618 .48408 L
.41717 .48555 L
.41811 .48681 L
.41855 .48747 L
.41993 .4894 L
.42003 .48954 L
.4212 .49133 L
.42196 .49238 L
.42252 .49326 L
.42387 .49518 L
.42389 .49521 L
.425 .49711 L
.42581 .49832 L
.42616 .49904 L
.42581 .4997 L
.42522 .49904 L
.42389 .49764 L
.42345 .49711 L
.42196 .49538 L
.4218 .49518 L
.42023 .49326 L
.42003 .49303 L
.41869 .49133 L
.41811 .49062 L
.41715 .4894 L
.41618 .48877 L
.41563 .48747 L
.41425 .48575 L
.41401 .48555 L
.41265 .48362 L
.41232 .48321 L
.41118 .48169 L
.4104 .48122 L
.4097 .47977 L
.40847 .47821 L
.40809 .47784 L
.40679 .47591 L
.40654 .47559 L
.40535 .47399 L
.40462 .47349 L
.4039 .47206 L
.40269 .4705 L
.40235 .47013 L
.40105 .46821 L
.40076 .46783 L
.39963 .46628 L
.39884 .46564 L
.3982 .46435 L
.39691 .46263 L
.39673 .46242 L
.3954 .4605 L
.39498 .45995 L
.394 .45857 L
.39306 .45765 L
.39259 .45664 L
.39119 .45472 L
.39113 .45463 L
.38984 .45279 L
.3892 .45193 L
.38846 .45086 L
.38727 .44941 L
.38678 .44894 L
.38574 .44701 L
.38535 .44648 L
.3844 .44508 L
.38342 .44371 L
.38305 .44316 L
.38174 .44123 L
.38149 .44089 L
.38049 .4393 L
.37957 .43797 L
.3792 .43737 L
F
0 .51 1 r
.37957 .44394 m
.38037 .44508 L
.38149 .44639 L
.38193 .44701 L
.38342 .44887 L
.38347 .44894 L
.38484 .45086 L
.38535 .45147 L
.38625 .45279 L
.38727 .45407 L
.38771 .45472 L
.38727 .45622 L
.38622 .45472 L
.38535 .45363 L
.38476 .45279 L
.38342 .45104 L
.3833 .45086 L
.38197 .44894 L
.38149 .44834 L
.38062 .44701 L
.37957 .44563 L
.37921 .44508 L
F
1 .57 0 r
.37957 .43576 m
.38091 .43737 L
.38149 .43799 L
.38254 .4393 L
.38342 .44031 L
.38413 .44123 L
.38535 .4427 L
.3857 .44316 L
.38723 .44508 L
.38727 .44514 L
.3887 .44701 L
.3892 .44763 L
.39018 .44894 L
.39113 .45012 L
.39168 .45086 L
.39306 .4526 L
.39327 .45279 L
.3946 .45472 L
.39498 .4552 L
.39604 .45664 L
.39691 .45776 L
.3975 .45857 L
.39884 .46028 L
.39906 .4605 L
.40037 .46242 L
.40076 .46293 L
.40179 .46435 L
.40269 .46502 L
.40323 .46628 L
.40462 .46811 L
.40471 .46821 L
.40605 .47013 L
.40654 .47078 L
.40745 .47206 L
.40847 .47301 L
.40888 .47399 L
.41029 .47591 L
.4104 .47606 L
.41164 .47784 L
.41232 .47875 L
.41303 .47977 L
.41425 .48121 L
.41444 .48169 L
.41579 .48362 L
.41618 .48413 L
.41713 .48555 L
.41811 .48687 L
.41851 .48747 L
.41987 .4894 L
.42003 .48962 L
.42114 .49133 L
.42196 .49246 L
.42246 .49326 L
.42378 .49518 L
.42389 .49533 L
.42488 .49711 L
.42581 .49856 L
.42601 .49904 L
.42581 .49946 L
.42541 .49904 L
.42389 .49751 L
.42355 .49711 L
.42196 .49528 L
.42188 .49518 L
.42031 .49326 L
.42003 .49294 L
.41876 .49133 L
.41811 .49055 L
.41721 .4894 L
.41618 .48867 L
.41568 .48747 L
.41425 .48568 L
.4141 .48555 L
.4127 .48362 L
.41232 .48315 L
.41122 .48169 L
.4104 .48116 L
.40974 .47977 L
.40847 .47815 L
.40815 .47784 L
.40683 .47591 L
.40654 .47554 L
.40539 .47399 L
.40462 .47344 L
.40394 .47206 L
.40269 .47044 L
.4024 .47013 L
.40109 .46821 L
.40076 .46778 L
.39967 .46628 L
.39884 .46559 L
.39824 .46435 L
.39691 .46258 L
.39678 .46242 L
.39543 .4605 L
.39498 .4599 L
.39403 .45857 L
.39306 .45758 L
.39262 .45664 L
.39124 .45472 L
.39113 .45458 L
.38988 .45279 L
.3892 .45187 L
.3885 .45086 L
.38727 .44932 L
.38688 .44894 L
.38579 .44701 L
.38535 .44641 L
.38446 .44508 L
.38342 .44363 L
.3831 .44316 L
.38181 .44123 L
.38149 .44079 L
.38057 .4393 L
.37957 .43784 L
.37928 .43737 L
F
0 .5 1 r
.37957 .44412 m
.38023 .44508 L
.38149 .44653 L
.38183 .44701 L
.38149 .44818 L
.38074 .44701 L
.37957 .44546 L
.37933 .44508 L
F
1 .56 0 r
.37957 .43593 m
.38079 .43737 L
.38149 .4381 L
.38245 .4393 L
.38342 .4404 L
.38406 .44123 L
.38535 .44277 L
.38564 .44316 L
.38717 .44508 L
.38727 .44521 L
.38864 .44701 L
.3892 .44769 L
.39014 .44894 L
.39113 .45018 L
.39164 .45086 L
.39306 .45266 L
.3932 .45279 L
.39456 .45472 L
.39498 .45525 L
.39601 .45664 L
.39691 .4578 L
.39747 .45857 L
.39884 .46033 L
.399 .4605 L
.40034 .46242 L
.40076 .46297 L
.40176 .46435 L
.40269 .46508 L
.4032 .46628 L
.40462 .46816 L
.40466 .46821 L
.40601 .47013 L
.40654 .47082 L
.40742 .47206 L
.40847 .47307 L
.40884 .47399 L
.41025 .47591 L
.4104 .47611 L
.4116 .47784 L
.41232 .47879 L
.413 .47977 L
.41425 .48129 L
.41441 .48169 L
.41575 .48362 L
.41618 .48419 L
.41709 .48555 L
.41811 .48693 L
.41847 .48747 L
.41982 .4894 L
.42003 .4897 L
.42108 .49133 L
.42196 .49255 L
.4224 .49326 L
.42196 .49517 L
.4204 .49326 L
.42003 .49285 L
.41883 .49133 L
.41811 .49047 L
.41727 .4894 L
.41618 .48857 L
.41573 .48747 L
.41425 .4856 L
.41419 .48555 L
.41275 .48362 L
.41232 .48309 L
.41127 .48169 L
.4104 .4811 L
.40978 .47977 L
.40847 .47809 L
.40821 .47784 L
.40687 .47591 L
.40654 .47549 L
.40543 .47399 L
.40462 .47339 L
.40398 .47206 L
.40269 .47038 L
.40245 .47013 L
.40112 .46821 L
.40076 .46773 L
.3997 .46628 L
.39884 .46553 L
.39827 .46435 L
.39691 .46252 L
.39683 .46242 L
.39547 .4605 L
.39498 .45985 L
.39407 .45857 L
.39306 .45751 L
.39266 .45664 L
.39128 .45472 L
.39113 .45452 L
.38992 .45279 L
.3892 .45181 L
.38854 .45086 L
.38727 .44922 L
.38698 .44894 L
.38584 .44701 L
.38535 .44634 L
.38451 .44508 L
.38342 .44355 L
.38315 .44316 L
.38188 .44123 L
.38149 .44068 L
.38065 .4393 L
.37957 .43771 L
.37937 .43737 L
F
0 .77 1 r
.37957 .42776 m
.38139 .42967 L
.38149 .42977 L
.38308 .43159 L
.38342 .43196 L
.38471 .43352 L
.38535 .43425 L
.38632 .43545 L
.38727 .43641 L
.3879 .43737 L
.3892 .43898 L
.38954 .4393 L
.39096 .44123 L
.39113 .44143 L
.39246 .44316 L
.39306 .44375 L
.39397 .44508 L
.39498 .44637 L
.39558 .44701 L
.39691 .4489 L
.39693 .44894 L
.3984 .45086 L
.39884 .45131 L
.39987 .45279 L
.40076 .45395 L
.40141 .45472 L
.40269 .45654 L
.40275 .45664 L
.40422 .45857 L
.40462 .45899 L
.40623 .4605 L
.40654 .46165 L
.40716 .46242 L
.40847 .46426 L
.40851 .46435 L
.40996 .46628 L
.4104 .46674 L
.41184 .46821 L
.41232 .46943 L
.41286 .47013 L
.41425 .47205 L
.41425 .47206 L
.41566 .47399 L
.41618 .47454 L
.41745 .47591 L
.41811 .47726 L
.41853 .47784 L
.41993 .47977 L
.42003 .4799 L
.42133 .48169 L
.42196 .4824 L
.42305 .48362 L
.42389 .48514 L
.42417 .48555 L
.42557 .48747 L
.42581 .48751 L
.42697 .4894 L
.42774 .4903 L
.42861 .49133 L
.42967 .49307 L
.42979 .49326 L
.43118 .49518 L
.43159 .49533 L
.43257 .49711 L
.43352 .49826 L
.43415 .49904 L
.43538 .50096 L
.43545 .50105 L
.43675 .50289 L
.43737 .50327 L
.43814 .50482 L
.4393 .50632 L
.43964 .50674 L
.44091 .50867 L
.44123 .5091 L
.44227 .5106 L
.44316 .51139 L
.44419 .51253 L
.44505 .51445 L
.44508 .5145 L
.44637 .51638 L
.44701 .51726 L
.44772 .51831 L
.44894 .51985 L
.44926 .52023 L
.45039 .52216 L
.45086 .52282 L
.45168 .52409 L
.45279 .52567 L
.45301 .52601 L
.45424 .52794 L
.45472 .52865 L
.45541 .52987 L
.45472 .53131 L
.45342 .52987 L
.45279 .5292 L
.45172 .52794 L
.45086 .52696 L
.45007 .52601 L
.44894 .52474 L
.44847 .52409 L
.44701 .52228 L
.44689 .52216 L
.44538 .52023 L
.44508 .51987 L
.44385 .51831 L
.44316 .51752 L
.4417 .51638 L
.44123 .51495 L
.44081 .51445 L
.43935 .51253 L
.4393 .51252 L
.43787 .5106 L
.43737 .51002 L
.43596 .50867 L
.43545 .50742 L
.43493 .50674 L
.43352 .50488 L
.4335 .50482 L
.43201 .50289 L
.43159 .50239 L
.43026 .50096 L
.42967 .49976 L
.42915 .49904 L
.42774 .49718 L
.42773 .49711 L
.42624 .49518 L
.42581 .49466 L
.42458 .49326 L
.42389 .49201 L
.42343 .49133 L
.42196 .48942 L
.42195 .4894 L
.42053 .48747 L
.42003 .48688 L
.41892 .48555 L
.41811 .4842 L
.41774 .48362 L
.41626 .48169 L
.41618 .48165 L
.41485 .47977 L
.41425 .47903 L
.41329 .47784 L
.41232 .47633 L
.41208 .47591 L
.41061 .47399 L
.4104 .47385 L
.4092 .47206 L
.40847 .47114 L
.40768 .47013 L
.40654 .46843 L
.40643 .46821 L
.40499 .46628 L
.40462 .466 L
.40298 .46435 L
.40269 .4632 L
.40211 .46242 L
.40079 .4605 L
.40076 .46046 L
.39942 .45857 L
.39884 .45807 L
.39752 .45664 L
.39691 .45517 L
.39658 .45472 L
.39526 .45279 L
.39498 .45242 L
.39389 .45086 L
.39306 .45 L
.39215 .44894 L
.39113 .44702 L
.39112 .44701 L
.3898 .44508 L
.3892 .44426 L
.38844 .44316 L
.38727 .44166 L
.38694 .44123 L
.38577 .4393 L
.38535 .43872 L
.38446 .43737 L
.38342 .43588 L
.38314 .43545 L
.38188 .43352 L
.38149 .43295 L
.38068 .43159 L
.37957 .42988 L
.37945 .42967 L
F
0 .49 1 r
.37957 .44436 m
.38004 .44508 L
.38149 .44668 L
.38172 .44701 L
.38149 .448 L
.38089 .44701 L
.37957 .44526 L
.37946 .44508 L
F
1 .55 0 r
.37957 .43613 m
.38065 .43737 L
.38149 .43822 L
.38236 .4393 L
.38342 .44049 L
.38399 .44123 L
.38535 .44285 L
.38558 .44316 L
.38711 .44508 L
.38727 .44528 L
.38859 .44701 L
.3892 .44775 L
.39009 .44894 L
.39113 .45024 L
.3916 .45086 L
.39306 .45273 L
.39312 .45279 L
.39452 .45472 L
.39498 .4553 L
.39597 .45664 L
.39691 .45785 L
.39743 .45857 L
.39884 .46039 L
.39895 .4605 L
.4003 .46242 L
.40076 .46302 L
.40172 .46435 L
.40269 .46514 L
.40316 .46628 L
.40461 .46821 L
.40462 .46822 L
.40598 .47013 L
.40654 .47087 L
.40738 .47206 L
.40847 .47314 L
.40881 .47399 L
.41021 .47591 L
.4104 .47616 L
.41157 .47784 L
.41232 .47884 L
.41296 .47977 L
.41425 .48138 L
.41437 .48169 L
.4157 .48362 L
.41618 .48425 L
.41704 .48555 L
.41811 .48699 L
.41842 .48747 L
.41976 .4894 L
.42003 .48978 L
.42102 .49133 L
.42196 .49265 L
.42233 .49326 L
.42196 .49505 L
.42049 .49326 L
.42003 .49275 L
.4189 .49133 L
.41811 .49039 L
.41733 .4894 L
.41618 .48846 L
.41578 .48747 L
.41427 .48555 L
.41425 .48552 L
.4128 .48362 L
.41232 .48303 L
.41131 .48169 L
.4104 .48103 L
.40982 .47977 L
.40847 .47803 L
.40827 .47784 L
.40692 .47591 L
.40654 .47544 L
.40547 .47399 L
.40462 .47333 L
.40401 .47206 L
.40269 .47032 L
.40251 .47013 L
.40116 .46821 L
.40076 .46768 L
.39974 .46628 L
.39884 .46547 L
.39831 .46435 L
.39691 .46246 L
.39688 .46242 L
.39551 .4605 L
.39498 .45979 L
.39411 .45857 L
.39306 .45744 L
.3927 .45664 L
.39132 .45472 L
.39113 .45446 L
.38997 .45279 L
.3892 .45175 L
.38858 .45086 L
.38727 .44912 L
.38709 .44894 L
.38589 .44701 L
.38535 .44626 L
.38456 .44508 L
.38342 .44347 L
.38321 .44316 L
.38196 .44123 L
.38149 .44057 L
.38073 .4393 L
.37957 .43755 L
.37947 .43737 L
F
0 .98 1 r
.38149 .40367 m
.38275 .40462 L
.38342 .40522 L
.38458 .40654 L
.38535 .40741 L
.38616 .40847 L
.38727 .4095 L
.38769 .4104 L
.38918 .41232 L
.3892 .41235 L
.39055 .41425 L
.39113 .41501 L
.39193 .41618 L
.39306 .4177 L
.39333 .41811 L
.39463 .42003 L
.39498 .42054 L
.39578 .42196 L
.39498 .42312 L
.39363 .42196 L
.39306 .42145 L
.39165 .42003 L
.39113 .41949 L
.38987 .41811 L
.3892 .41745 L
.38822 .41618 L
.38727 .41485 L
.38667 .41425 L
.38535 .41234 L
.38523 .41232 L
.38384 .4104 L
.38342 .40977 L
.38252 .40847 L
.38149 .40676 L
.38137 .40654 L
.38051 .40462 L
F
0 .93 1 r
.38149 .37939 m
.38168 .37957 L
.38342 .38106 L
.38363 .38149 L
.38531 .38342 L
.38535 .38346 L
.38683 .38535 L
.38727 .3859 L
.38828 .38727 L
.3892 .38851 L
.38968 .3892 L
.39093 .39113 L
.39113 .39146 L
.39185 .39306 L
.39113 .39376 L
.39023 .39306 L
.3892 .39213 L
.38833 .39113 L
.38727 .38992 L
.38672 .3892 L
.38535 .38754 L
.38505 .38727 L
.38388 .38535 L
.38342 .38471 L
.38259 .38342 L
.38149 .38173 L
.38136 .38149 L
.38057 .37957 L
F
0 .76 1 r
.38149 .42995 m
.38294 .43159 L
.38342 .4321 L
.38461 .43352 L
.38535 .43436 L
.38623 .43545 L
.38727 .43652 L
.38782 .43737 L
.3892 .43907 L
.38945 .4393 L
.3909 .44123 L
.39113 .44151 L
.39241 .44316 L
.39306 .44381 L
.39392 .44508 L
.39498 .44643 L
.39552 .44701 L
.39689 .44894 L
.39691 .44895 L
.39836 .45086 L
.39884 .45135 L
.39983 .45279 L
.40076 .454 L
.40138 .45472 L
.40269 .45658 L
.40273 .45664 L
.40418 .45857 L
.40462 .45902 L
.40621 .4605 L
.40654 .46169 L
.40714 .46242 L
.40847 .4643 L
.4085 .46435 L
.40994 .46628 L
.4104 .46677 L
.41182 .46821 L
.41232 .46946 L
.41284 .47013 L
.41423 .47206 L
.41425 .47209 L
.41564 .47399 L
.41618 .47457 L
.41743 .47591 L
.41811 .47729 L
.41851 .47784 L
.4199 .47977 L
.42003 .47993 L
.42131 .48169 L
.42196 .48243 L
.42302 .48362 L
.42389 .48517 L
.42415 .48555 L
.42554 .48747 L
.42581 .48752 L
.42694 .4894 L
.42774 .49033 L
.42859 .49133 L
.42967 .4931 L
.42977 .49326 L
.43115 .49518 L
.43159 .49535 L
.43255 .49711 L
.43352 .4983 L
.43412 .49904 L
.43536 .50096 L
.43545 .50109 L
.43672 .50289 L
.43737 .5033 L
.43811 .50482 L
.4393 .50636 L
.4396 .50674 L
.44088 .50867 L
.44123 .50914 L
.44224 .5106 L
.44316 .51146 L
.44413 .51253 L
.44501 .51445 L
.44508 .51456 L
.44632 .51638 L
.44701 .51732 L
.44767 .51831 L
.44894 .51996 L
.44916 .52023 L
.45033 .52216 L
.45086 .52291 L
.45161 .52409 L
.45279 .52578 L
.45294 .52601 L
.45413 .52794 L
.45472 .52883 L
.45528 .52987 L
.45472 .53109 L
.45359 .52987 L
.45279 .52904 L
.45184 .52794 L
.45086 .52684 L
.45017 .52601 L
.44894 .52462 L
.44856 .52409 L
.44701 .52218 L
.44699 .52216 L
.44545 .52023 L
.44508 .51979 L
.44391 .51831 L
.44316 .51745 L
.44176 .51638 L
.44123 .51489 L
.44086 .51445 L
.4394 .51253 L
.4393 .51251 L
.43791 .5106 L
.43737 .50997 L
.43599 .50867 L
.43545 .50737 L
.43497 .50674 L
.43352 .50483 L
.43352 .50482 L
.43205 .50289 L
.43159 .50235 L
.43028 .50096 L
.42967 .49971 L
.42918 .49904 L
.42774 .49714 L
.42773 .49711 L
.42627 .49518 L
.42581 .49463 L
.4246 .49326 L
.42389 .49197 L
.42345 .49133 L
.42197 .4894 L
.42196 .48939 L
.42055 .48747 L
.42003 .48684 L
.41894 .48555 L
.41811 .48416 L
.41776 .48362 L
.41629 .48169 L
.41618 .48163 L
.41487 .47977 L
.41425 .479 L
.41331 .47784 L
.41232 .4763 L
.4121 .47591 L
.41064 .47399 L
.4104 .47383 L
.40923 .47206 L
.40847 .47111 L
.40771 .47013 L
.40654 .46839 L
.40645 .46821 L
.40502 .46628 L
.40462 .46598 L
.403 .46435 L
.40269 .46316 L
.40214 .46242 L
.40082 .4605 L
.40076 .46042 L
.39945 .45857 L
.39884 .45804 L
.39755 .45664 L
.39691 .45512 L
.39662 .45472 L
.39529 .45279 L
.39498 .45237 L
.39393 .45086 L
.39306 .44994 L
.3922 .44894 L
.39117 .44701 L
.39113 .44696 L
.38984 .44508 L
.3892 .4442 L
.38849 .44316 L
.38727 .44156 L
.38702 .44123 L
.38583 .4393 L
.38535 .43863 L
.38453 .43737 L
.38342 .43578 L
.38321 .43545 L
.38198 .43352 L
.38149 .4328 L
.38079 .43159 L
F
1 .54 0 r
.38149 .43835 m
.38226 .4393 L
.38342 .44059 L
.38392 .44123 L
.38535 .44293 L
.38552 .44316 L
.38705 .44508 L
.38727 .44535 L
.38854 .44701 L
.3892 .44781 L
.39004 .44894 L
.39113 .45029 L
.39155 .45086 L
.39305 .45279 L
.39306 .4528 L
.39448 .45472 L
.39498 .45535 L
.39593 .45664 L
.39691 .4579 L
.3974 .45857 L
.39884 .46045 L
.39889 .4605 L
.40026 .46242 L
.40076 .46306 L
.40169 .46435 L
.40269 .4652 L
.40313 .46628 L
.40457 .46821 L
.40462 .46827 L
.40594 .47013 L
.40654 .47091 L
.40735 .47206 L
.40847 .47322 L
.40878 .47399 L
.41017 .47591 L
.4104 .47621 L
.41153 .47784 L
.41232 .4789 L
.41292 .47977 L
.41425 .48147 L
.41434 .48169 L
.41566 .48362 L
.41618 .48432 L
.417 .48555 L
.41811 .48706 L
.41838 .48747 L
.41969 .4894 L
.42003 .48986 L
.42095 .49133 L
.42196 .49275 L
.42226 .49326 L
.42196 .49492 L
.42058 .49326 L
.42003 .49266 L
.41897 .49133 L
.41811 .49031 L
.41739 .4894 L
.41618 .48834 L
.41584 .48747 L
.41433 .48555 L
.41425 .48546 L
.41285 .48362 L
.41232 .48297 L
.41136 .48169 L
.4104 .48096 L
.40987 .47977 L
.40847 .47796 L
.40834 .47784 L
.40696 .47591 L
.40654 .47538 L
.40551 .47399 L
.40462 .47327 L
.40405 .47206 L
.40269 .47027 L
.40256 .47013 L
.4012 .46821 L
.40076 .46763 L
.39978 .46628 L
.39884 .46541 L
.39835 .46435 L
.39693 .46242 L
.39691 .4624 L
.39555 .4605 L
.39498 .45974 L
.39415 .45857 L
.39306 .45736 L
.39274 .45664 L
.39136 .45472 L
.39113 .4544 L
.39001 .45279 L
.3892 .45169 L
.38863 .45086 L
.38727 .44901 L
.3872 .44894 L
.38595 .44701 L
.38535 .44619 L
.38462 .44508 L
.38342 .44339 L
.38327 .44316 L
.38205 .44123 L
.38149 .44044 L
.38083 .4393 L
F
1 .98 0 r
.38149 .37163 m
.38196 .37186 L
.38342 .37272 L
.38448 .37379 L
.38535 .37467 L
.38636 .37571 L
.38727 .37686 L
.3882 .37764 L
.3892 .37922 L
.38953 .37957 L
.39113 .38148 L
.39114 .38149 L
.39263 .38342 L
.39306 .38398 L
.39418 .38535 L
.39498 .3866 L
.39537 .38727 L
.39691 .38917 L
.39695 .3892 L
.39833 .39113 L
.39884 .39133 L
.39975 .39306 L
.40076 .3947 L
.40088 .39498 L
.40189 .39691 L
.40076 .3981 L
.39884 .39761 L
.39795 .39691 L
.39691 .39592 L
.39563 .39498 L
.39498 .39327 L
.39451 .39306 L
.3931 .39113 L
.39306 .39107 L
.39169 .3892 L
.39113 .38868 L
.38986 .38727 L
.3892 .3859 L
.38882 .38535 L
.38749 .38342 L
.38727 .38313 L
.38614 .38149 L
.38535 .38036 L
.3845 .37957 L
.38349 .37764 L
.38342 .37754 L
.38231 .37571 L
.38149 .37432 L
.38122 .37379 L
.38083 .37186 L
F
0 .75 1 r
.38149 .43016 m
.38279 .43159 L
.38342 .43224 L
.3845 .43352 L
.38535 .43447 L
.38614 .43545 L
.38727 .43662 L
.38775 .43737 L
.3892 .43916 L
.38936 .4393 L
.39083 .44123 L
.39113 .44158 L
.39235 .44316 L
.39306 .44387 L
.39387 .44508 L
.39498 .44649 L
.39547 .44701 L
.39685 .44894 L
.39691 .44901 L
.39832 .45086 L
.39884 .4514 L
.39979 .45279 L
.40076 .45404 L
.40134 .45472 L
.40269 .45662 L
.40271 .45664 L
.40415 .45857 L
.40462 .45906 L
.40619 .4605 L
.40654 .46173 L
.40711 .46242 L
.40847 .46433 L
.40848 .46435 L
.40991 .46628 L
.4104 .4668 L
.4118 .46821 L
.41232 .46949 L
.41282 .47013 L
.41421 .47206 L
.41425 .47212 L
.41562 .47399 L
.41618 .4746 L
.41741 .47591 L
.41811 .47732 L
.41849 .47784 L
.41988 .47977 L
.42003 .47997 L
.42128 .48169 L
.42196 .48245 L
.423 .48362 L
.42389 .4852 L
.42413 .48555 L
.42552 .48747 L
.42581 .48753 L
.42692 .4894 L
.42774 .49036 L
.42856 .49133 L
.42967 .49313 L
.42975 .49326 L
.43113 .49518 L
.43159 .49537 L
.43252 .49711 L
.43352 .49834 L
.43409 .49904 L
.43533 .50096 L
.43545 .50112 L
.43669 .50289 L
.43737 .50334 L
.43808 .50482 L
.4393 .50641 L
.43956 .50674 L
.44085 .50867 L
.44123 .50919 L
.4422 .5106 L
.44316 .51152 L
.44407 .51253 L
.44496 .51445 L
.44508 .51461 L
.44628 .51638 L
.44701 .51739 L
.44763 .51831 L
.44894 .52008 L
.44906 .52023 L
.45026 .52216 L
.45086 .52301 L
.45155 .52409 L
.45279 .52589 L
.45286 .52601 L
.45401 .52794 L
.45472 .52904 L
.45513 .52987 L
.45472 .53084 L
.45378 .52987 L
.45279 .52888 L
.45197 .52794 L
.45086 .52671 L
.45028 .52601 L
.44894 .5245 L
.44865 .52409 L
.44707 .52216 L
.44701 .52209 L
.44552 .52023 L
.44508 .5197 L
.44397 .51831 L
.44316 .51737 L
.44183 .51638 L
.44123 .51482 L
.44091 .51445 L
.43945 .51253 L
.4393 .51251 L
.43796 .5106 L
.43737 .50992 L
.43603 .50867 L
.43545 .50731 L
.435 .50674 L
.43354 .50482 L
.43352 .50481 L
.43209 .50289 L
.43159 .50231 L
.43031 .50096 L
.42967 .49967 L
.42921 .49904 L
.42774 .49711 L
.42774 .49711 L
.4263 .49518 L
.42581 .49459 L
.42462 .49326 L
.42389 .49193 L
.42348 .49133 L
.422 .4894 L
.42196 .48938 L
.42058 .48747 L
.42003 .48681 L
.41897 .48555 L
.41811 .48413 L
.41779 .48362 L
.41631 .48169 L
.41618 .48162 L
.4149 .47977 L
.41425 .47897 L
.41333 .47784 L
.41232 .47627 L
.41212 .47591 L
.41066 .47399 L
.4104 .47381 L
.40925 .47206 L
.40847 .47108 L
.40773 .47013 L
.40654 .46836 L
.40646 .46821 L
.40505 .46628 L
.40462 .46595 L
.40302 .46435 L
.40269 .46312 L
.40217 .46242 L
.40085 .4605 L
.40076 .46038 L
.39948 .45857 L
.39884 .458 L
.39759 .45664 L
.39691 .45508 L
.39665 .45472 L
.39533 .45279 L
.39498 .45232 L
.39396 .45086 L
.39306 .44988 L
.39225 .44894 L
.39121 .44701 L
.39113 .4469 L
.38989 .44508 L
.3892 .44413 L
.38853 .44316 L
.38727 .44145 L
.3871 .44123 L
.38589 .4393 L
.38535 .43854 L
.3846 .43737 L
.38342 .43567 L
.38328 .43545 L
.38209 .43352 L
.38149 .43263 L
.38091 .43159 L
F
1 .53 0 r
.38149 .43849 m
.38215 .4393 L
.38342 .44069 L
.38384 .44123 L
.38535 .44301 L
.38546 .44316 L
.38698 .44508 L
.38727 .44542 L
.38848 .44701 L
.3892 .44788 L
.38999 .44894 L
.39113 .45035 L
.39151 .45086 L
.393 .45279 L
.39306 .45285 L
.39443 .45472 L
.39498 .4554 L
.39589 .45664 L
.39691 .45795 L
.39736 .45857 L
.39883 .4605 L
.39884 .46051 L
.40023 .46242 L
.40076 .46311 L
.40165 .46435 L
.40269 .46527 L
.4031 .46628 L
.40453 .46821 L
.40462 .46831 L
.40591 .47013 L
.40654 .47096 L
.40732 .47206 L
.40847 .47329 L
.40875 .47399 L
.41013 .47591 L
.4104 .47626 L
.41149 .47784 L
.41232 .47895 L
.41289 .47977 L
.41425 .48157 L
.4143 .48169 L
.41561 .48362 L
.41618 .48438 L
.41695 .48555 L
.41811 .48713 L
.41833 .48747 L
.41963 .4894 L
.42003 .48995 L
.42088 .49133 L
.42196 .49286 L
.42219 .49326 L
.42196 .49478 L
.42069 .49326 L
.42003 .49255 L
.41905 .49133 L
.41811 .49022 L
.41746 .4894 L
.41618 .4882 L
.4159 .48747 L
.41439 .48555 L
.41425 .48539 L
.4129 .48362 L
.41232 .48291 L
.41141 .48169 L
.4104 .48088 L
.40991 .47977 L
.40847 .4779 L
.40841 .47784 L
.407 .47591 L
.40654 .47533 L
.40555 .47399 L
.40462 .47321 L
.40409 .47206 L
.40269 .4702 L
.40262 .47013 L
.40124 .46821 L
.40076 .46758 L
.39982 .46628 L
.39884 .46534 L
.39838 .46435 L
.39697 .46242 L
.39691 .46235 L
.39559 .4605 L
.39498 .45969 L
.39419 .45857 L
.39306 .45728 L
.39278 .45664 L
.39141 .45472 L
.39113 .45434 L
.39005 .45279 L
.3892 .45163 L
.38867 .45086 L
.38729 .44894 L
.38727 .44891 L
.386 .44701 L
.38535 .44611 L
.38468 .44508 L
.38342 .4433 L
.38333 .44316 L
.38214 .44123 L
.38149 .4403 L
.38093 .4393 L
F
1 .92 0 r
.38149 .42198 m
.38336 .42389 L
.38342 .42395 L
.38509 .42581 L
.38535 .42609 L
.38677 .42774 L
.38727 .42809 L
.3884 .42967 L
.3892 .43061 L
.39047 .43159 L
.39113 .43305 L
.39155 .43352 L
.39306 .43542 L
.39307 .43545 L
.39461 .43737 L
.39498 .43785 L
.39641 .4393 L
.39691 .44039 L
.39755 .44123 L
.39884 .44293 L
.39889 .44316 L
.40057 .44508 L
.40076 .44534 L
.4022 .44701 L
.40269 .44794 L
.40338 .44894 L
.40462 .45056 L
.40496 .45086 L
.40639 .45279 L
.40654 .45299 L
.40794 .45472 L
.40847 .45563 L
.40912 .45664 L
.4104 .45828 L
.41073 .45857 L
.41215 .4605 L
.41232 .46073 L
.41365 .46242 L
.41425 .4634 L
.41482 .46435 L
.41618 .46605 L
.41645 .46628 L
.41786 .46821 L
.41811 .46853 L
.41933 .47013 L
.42003 .47121 L
.42049 .47206 L
.42196 .47384 L
.42213 .47399 L
.42383 .47591 L
.42389 .47637 L
.42499 .47784 L
.42581 .47905 L
.42615 .47977 L
.42774 .48165 L
.4278 .48169 L
.42949 .48362 L
.42967 .48423 L
.43063 .48555 L
.43159 .48691 L
.43181 .48747 L
.43345 .4894 L
.43352 .48947 L
.43513 .49133 L
.43545 .4921 L
.43626 .49326 L
.43737 .49478 L
.43748 .49518 L
.4391 .49711 L
.4393 .49732 L
.44076 .49904 L
.44123 .49999 L
.44189 .50096 L
.44316 .50267 L
.44317 .50289 L
.44473 .50482 L
.44508 .50519 L
.44637 .50674 L
.44701 .50789 L
.44751 .50867 L
.44894 .51056 L
.44896 .5106 L
.45035 .51253 L
.45086 .51308 L
.45197 .51445 L
.45279 .51582 L
.45313 .51638 L
.45458 .51831 L
.45472 .51833 L
.45597 .52023 L
.45664 .521 L
.45754 .52216 L
.45857 .52376 L
.45875 .52409 L
.46017 .52601 L
.4605 .52612 L
.46225 .52794 L
.46242 .52896 L
.4631 .52987 L
.46435 .53175 L
.46437 .53179 L
.46575 .53372 L
.46628 .53402 L
.46771 .53565 L
.46821 .53699 L
.46862 .53758 L
.46992 .5395 L
.47013 .53978 L
.47128 .54143 L
.47206 .54207 L
.4731 .54336 L
.47399 .54514 L
.47409 .54528 L
.4754 .54721 L
.47591 .54791 L
.47675 .54914 L
.47784 .55039 L
.47835 .55106 L
.47946 .55299 L
.47977 .55341 L
.48076 .55492 L
.48169 .55624 L
.48209 .55684 L
.48339 .55877 L
.48362 .55911 L
.48459 .5607 L
.48555 .56215 L
.48582 .56263 L
.48686 .56455 L
.48555 .56491 L
.48519 .56455 L
.48362 .563 L
.48334 .56263 L
.48169 .56077 L
.48159 .5607 L
.47998 .55877 L
.47977 .55854 L
.47835 .55684 L
.47784 .5563 L
.47676 .55492 L
.47591 .55384 L
.47509 .55299 L
.47399 .55139 L
.47377 .55106 L
.47215 .54914 L
.47206 .54903 L
.47063 .54721 L
.47013 .54652 L
.4691 .54528 L
.46821 .54395 L
.46786 .54336 L
.46628 .54147 L
.46618 .54143 L
.46437 .5395 L
.46435 .53899 L
.46327 .53758 L
.46242 .53635 L
.46208 .53565 L
.4605 .53379 L
.46035 .53372 L
.45869 .53179 L
.45857 .53132 L
.45751 .52987 L
.45664 .52865 L
.45636 .52794 L
.45472 .52607 L
.45459 .52601 L
.453 .52409 L
.45279 .52356 L
.4518 .52216 L
.45086 .52087 L
.45068 .52023 L
.44894 .51833 L
.44888 .51831 L
.44731 .51638 L
.44701 .51575 L
.44613 .51445 L
.44508 .51306 L
.44502 .51253 L
.44319 .5106 L
.44316 .51055 L
.44165 .50867 L
.44123 .5079 L
.44048 .50674 L
.4393 .50522 L
.43893 .50482 L
.43753 .50289 L
.43737 .5027 L
.436 .50096 L
.43545 .50004 L
.43484 .49904 L
.43352 .49737 L
.43327 .49711 L
.43187 .49518 L
.43159 .49484 L
.43037 .49326 L
.42967 .49216 L
.4292 .49133 L
.42774 .48952 L
.42763 .4894 L
.42623 .48747 L
.42581 .48696 L
.42474 .48555 L
.42389 .48427 L
.42356 .48362 L
.422 .48169 L
.42196 .48167 L
.42019 .47977 L
.42003 .47907 L
.41913 .47784 L
.41811 .47636 L
.41791 .47591 L
.41638 .47399 L
.41618 .47384 L
.41458 .47206 L
.41425 .47115 L
.41353 .47013 L
.41232 .46844 L
.41225 .46821 L
.41077 .46628 L
.4104 .46597 L
.40901 .46435 L
.40847 .46321 L
.40793 .46242 L
.40655 .4605 L
.40654 .46049 L
.40517 .45857 L
.40462 .45806 L
.40346 .45664 L
.40269 .45523 L
.40236 .45472 L
.40098 .45279 L
.40076 .45249 L
.39961 .45086 L
.39884 .45006 L
.39796 .44894 L
.39691 .44717 L
.39681 .44701 L
.39546 .44508 L
.39498 .44444 L
.39409 .44316 L
.39306 .44192 L
.39254 .44123 L
.39133 .4393 L
.39113 .43902 L
.39 .43737 L
.3892 .43627 L
.38864 .43545 L
.38727 .43352 L
.38727 .43352 L
.386 .43159 L
.38535 .43068 L
.38469 .42967 L
.38342 .42782 L
.3833 .42774 L
.38219 .42581 L
.38149 .42475 L
.38101 .42389 L
F
0 .74 1 r
.38149 .43038 m
.38262 .43159 L
.38342 .43239 L
.38438 .43352 L
.38535 .43459 L
.38605 .43545 L
.38727 .43674 L
.38767 .43737 L
.3892 .43925 L
.38926 .4393 L
.39077 .44123 L
.39113 .44166 L
.3923 .44316 L
.39306 .44393 L
.39382 .44508 L
.39498 .44655 L
.39542 .44701 L
.3968 .44894 L
.39691 .44907 L
.39827 .45086 L
.39884 .45144 L
.39975 .45279 L
.40076 .45409 L
.4013 .45472 L
.40268 .45664 L
.40269 .45666 L
.40412 .45857 L
.40462 .45909 L
.40616 .4605 L
.40654 .46176 L
.40708 .46242 L
.40846 .46435 L
.40847 .46436 L
.40988 .46628 L
.4104 .46683 L
.41178 .46821 L
.41232 .46953 L
.41279 .47013 L
.41418 .47206 L
.41425 .47215 L
.41559 .47399 L
.41618 .47463 L
.41739 .47591 L
.41811 .47735 L
.41846 .47784 L
.41986 .47977 L
.42003 .48 L
.42126 .48169 L
.42196 .48248 L
.42298 .48362 L
.42389 .48523 L
.42411 .48555 L
.4255 .48747 L
.42581 .48754 L
.4269 .4894 L
.42774 .49039 L
.42854 .49133 L
.42967 .49317 L
.42973 .49326 L
.4311 .49518 L
.43159 .49539 L
.4325 .49711 L
.43352 .49838 L
.43406 .49904 L
.4353 .50096 L
.43545 .50116 L
.43666 .50289 L
.43737 .50338 L
.43806 .50482 L
.4393 .50646 L
.43952 .50674 L
.44081 .50867 L
.44123 .50923 L
.44217 .5106 L
.44316 .51159 L
.444 .51253 L
.44492 .51445 L
.44508 .51467 L
.44623 .51638 L
.44701 .51745 L
.44758 .51831 L
.44894 .52021 L
.44896 .52023 L
.45019 .52216 L
.45086 .52311 L
.45147 .52409 L
.45279 .52601 L
.45279 .52602 L
.45387 .52794 L
.45472 .52933 L
.45494 .52987 L
.45472 .53052 L
.45402 .52987 L
.45279 .52871 L
.45211 .52794 L
.45086 .52658 L
.45038 .52601 L
.44894 .52437 L
.44874 .52409 L
.44715 .52216 L
.44701 .52199 L
.44559 .52023 L
.44508 .51962 L
.44404 .51831 L
.44316 .5173 L
.4419 .51638 L
.44123 .51475 L
.44097 .51445 L
.4395 .51253 L
.4393 .5125 L
.438 .5106 L
.43737 .50987 L
.43607 .50867 L
.43545 .50726 L
.43504 .50674 L
.43358 .50482 L
.43352 .5048 L
.43212 .50289 L
.43159 .50226 L
.43034 .50096 L
.42967 .49963 L
.42924 .49904 L
.42777 .49711 L
.42774 .4971 L
.42633 .49518 L
.42581 .49456 L
.42465 .49326 L
.42389 .4919 L
.4235 .49133 L
.42203 .4894 L
.42196 .48937 L
.42061 .48747 L
.42003 .48678 L
.41899 .48555 L
.41811 .48409 L
.41781 .48362 L
.41634 .48169 L
.41618 .4816 L
.41492 .47977 L
.41425 .47894 L
.41336 .47784 L
.41232 .47624 L
.41214 .47591 L
.41069 .47399 L
.4104 .47379 L
.40928 .47206 L
.40847 .47104 L
.40776 .47013 L
.40654 .46832 L
.40648 .46821 L
.40508 .46628 L
.40462 .46593 L
.40304 .46435 L
.40269 .46308 L
.4022 .46242 L
.40088 .4605 L
.40076 .46034 L
.39951 .45857 L
.39884 .45796 L
.39762 .45664 L
.39691 .45503 L
.39669 .45472 L
.39536 .45279 L
.39498 .45227 L
.394 .45086 L
.39306 .44982 L
.3923 .44894 L
.39125 .44701 L
.39113 .44684 L
.38993 .44508 L
.3892 .44407 L
.38858 .44316 L
.38727 .44134 L
.38719 .44123 L
.38595 .4393 L
.38535 .43844 L
.38466 .43737 L
.38342 .43556 L
.38335 .43545 L
.3822 .43352 L
.38149 .43243 L
.38105 .43159 L
F
1 .52 0 r
.38149 .43865 m
.38203 .4393 L
.38342 .44079 L
.38376 .44123 L
.38535 .44309 L
.3854 .44316 L
.38691 .44508 L
.38727 .4455 L
.38842 .44701 L
.3892 .44794 L
.38995 .44894 L
.39113 .45041 L
.39147 .45086 L
.39296 .45279 L
.39306 .45291 L
.39439 .45472 L
.39498 .45546 L
.39585 .45664 L
.39691 .458 L
.39733 .45857 L
.39879 .4605 L
.39884 .46056 L
.40019 .46242 L
.40076 .46316 L
.40162 .46435 L
.40269 .46534 L
.40307 .46628 L
.40449 .46821 L
.40462 .46836 L
.40587 .47013 L
.40654 .47101 L
.40728 .47206 L
.40847 .47337 L
.40871 .47399 L
.41009 .47591 L
.4104 .47631 L
.41145 .47784 L
.41232 .479 L
.41285 .47977 L
.41425 .48167 L
.41426 .48169 L
.41556 .48362 L
.41618 .48445 L
.4169 .48555 L
.41811 .4872 L
.41829 .48747 L
.41956 .4894 L
.42003 .49005 L
.4208 .49133 L
.42196 .49299 L
.42211 .49326 L
.42196 .49462 L
.42081 .49326 L
.42003 .49244 L
.41914 .49133 L
.41811 .49014 L
.41752 .4894 L
.41618 .48806 L
.41596 .48747 L
.41445 .48555 L
.41425 .48532 L
.41296 .48362 L
.41232 .48284 L
.41145 .48169 L
.4104 .4808 L
.40996 .47977 L
.40848 .47784 L
.40847 .47783 L
.40705 .47591 L
.40654 .47527 L
.40559 .47399 L
.40462 .47314 L
.40413 .47206 L
.40269 .47014 L
.40268 .47013 L
.40128 .46821 L
.40076 .46753 L
.39985 .46628 L
.39884 .46528 L
.39842 .46435 L
.39701 .46242 L
.39691 .46229 L
.39563 .4605 L
.39498 .45963 L
.39423 .45857 L
.39306 .4572 L
.39282 .45664 L
.39146 .45472 L
.39113 .45428 L
.3901 .45279 L
.3892 .45157 L
.38872 .45086 L
.38735 .44894 L
.38727 .44884 L
.38606 .44701 L
.38535 .44602 L
.38474 .44508 L
.38342 .4432 L
.38339 .44316 L
.38224 .44123 L
.38149 .44014 L
.38105 .4393 L
F
0 .48 1 r
.38149 .44688 m
.38158 .44701 L
.38149 .44776 L
.38109 .44701 L
F
0 .99 1 r
.38149 .32849 m
.38247 .32947 L
.38342 .33037 L
.3843 .33139 L
.38535 .33253 L
.38599 .33332 L
.38727 .33469 L
.38761 .33525 L
.3892 .33717 L
.3892 .33718 L
.39071 .3391 L
.39113 .3396 L
.39222 .34103 L
.39306 .3419 L
.39373 .34296 L
.39498 .34452 L
.39534 .34488 L
.39671 .34681 L
.39691 .34705 L
.39817 .34874 L
.39884 .34944 L
.39964 .35066 L
.40076 .3521 L
.40121 .35259 L
.40256 .35452 L
.40269 .35468 L
.40398 .35644 L
.40462 .35712 L
.40601 .35837 L
.40654 .35981 L
.40696 .3603 L
.40832 .36222 L
.40847 .36224 L
.40973 .36415 L
.4104 .36488 L
.41163 .36608 L
.41232 .36759 L
.41266 .36801 L
.41403 .36993 L
.41425 .36999 L
.41543 .37186 L
.41618 .3727 L
.41723 .37379 L
.41811 .37542 L
.41833 .37571 L
.4197 .37764 L
.42003 .37777 L
.4211 .37957 L
.42196 .38056 L
.42282 .38149 L
.42389 .38329 L
.42398 .38342 L
.42536 .38535 L
.42581 .3856 L
.42676 .38727 L
.42774 .38845 L
.4284 .3892 L
.42962 .39113 L
.42967 .39119 L
.431 .39306 L
.43159 .39345 L
.4324 .39498 L
.43352 .39636 L
.43398 .39691 L
.43524 .39884 L
.43545 .3991 L
.43662 .40076 L
.43737 .40129 L
.43803 .40269 L
.4393 .40431 L
.43955 .40462 L
.44085 .40654 L
.44123 .40704 L
.44223 .40847 L
.44316 .40969 L
.44364 .4104 L
.44508 .41231 L
.44509 .41232 L
.44642 .41425 L
.44701 .41501 L
.4478 .41618 L
.44894 .41767 L
.44923 .41811 L
.45062 .42003 L
.45086 .42035 L
.45191 .42196 L
.45279 .42309 L
.4533 .42389 L
.45472 .42575 L
.45476 .42581 L
.456 .42774 L
.45664 .42852 L
.45738 .42967 L
.45857 .43112 L
.45886 .43159 L
.46032 .43352 L
.4605 .43374 L
.46175 .43545 L
.46242 .43629 L
.46328 .43737 L
.46435 .43889 L
.46461 .4393 L
.46613 .44123 L
.46628 .44152 L
.46747 .44316 L
.46821 .44423 L
.46867 .44508 L
.47013 .4467 L
.47036 .44701 L
.47175 .44894 L
.47206 .4494 L
.47295 .45086 L
.47399 .45219 L
.47463 .45279 L
.47591 .45458 L
.47601 .45472 L
.47735 .45664 L
.47784 .45725 L
.47844 .45857 L
.47977 .45992 L
.48025 .4605 L
.48162 .46242 L
.48169 .46257 L
.48287 .46435 L
.48273 .46628 L
.48169 .46631 L
.48011 .46628 L
.47977 .46625 L
.47784 .46534 L
.47684 .46435 L
.47591 .46281 L
.47564 .46242 L
.47423 .4605 L
.47399 .46026 L
.47284 .45857 L
.47206 .45763 L
.47117 .45664 L
.47013 .45494 L
.46998 .45472 L
.46859 .45279 L
.46821 .45227 L
.4672 .45086 L
.46628 .44989 L
.4656 .44894 L
.46435 .44701 L
.46435 .44701 L
.46299 .44508 L
.46242 .44432 L
.46103 .44316 L
.4605 .44164 L
.46011 .44123 L
.45884 .4393 L
.45857 .43893 L
.45754 .43737 L
.45664 .43599 L
.45623 .43545 L
.45546 .43352 L
.45595 .43159 L
.45549 .42967 L
.45472 .42839 L
.45434 .42774 L
.45296 .42581 L
.45279 .42563 L
.45144 .42389 L
.45086 .42327 L
.44976 .42196 L
.44894 .42107 L
.44801 .42003 L
.44701 .41956 L
.44621 .41811 L
.44508 .41688 L
.4444 .41618 L
.44316 .41482 L
.44259 .41425 L
.44123 .41273 L
.44082 .41232 L
.4393 .41058 L
.43912 .4104 L
.43748 .40847 L
.43737 .40829 L
.43605 .40654 L
.43545 .40564 L
.43497 .40462 L
.43352 .4036 L
.43278 .40269 L
.43159 .40109 L
.43133 .40076 L
.42981 .39884 L
.42967 .3985 L
.42854 .39691 L
.42774 .39583 L
.42734 .39498 L
.42581 .39322 L
.42559 .39306 L
.42409 .39113 L
.42389 .39072 L
.42286 .3892 L
.42196 .38803 L
.4217 .38727 L
.42003 .38542 L
.41994 .38535 L
.41846 .38342 L
.41811 .38281 L
.41728 .38149 L
.41618 .38011 L
.4157 .37957 L
.41432 .37764 L
.41425 .37755 L
.41287 .37571 L
.41232 .37487 L
.41172 .37379 L
.4104 .37218 L
.41011 .37186 L
.40872 .36993 L
.40847 .36961 L
.4073 .36801 L
.40654 .3669 L
.40615 .36608 L
.40462 .36422 L
.40455 .36415 L
.40274 .36222 L
.40269 .36162 L
.40176 .3603 L
.40076 .35886 L
.40056 .35837 L
.39903 .35644 L
.39884 .35632 L
.39722 .35452 L
.39691 .35353 L
.39628 .35259 L
.39498 .35073 L
.39496 .35066 L
.39359 .34874 L
.39306 .34827 L
.39186 .34681 L
.39113 .34525 L
.3909 .34488 L
.3896 .34296 L
.3892 .34238 L
.38828 .34103 L
.38727 .33974 L
.38681 .3391 L
.38573 .33717 L
.38535 .33661 L
.38449 .33525 L
.38342 .33359 L
.38325 .33332 L
.38216 .33139 L
.38149 .33026 L
.38111 .32947 L
F
1 .51 0 r
.38149 .43885 m
.38188 .4393 L
.38342 .44091 L
.38368 .44123 L
.38342 .44309 L
.38235 .44123 L
.38149 .43994 L
.38119 .4393 L
F
0 .73 1 r
.38149 .43066 m
.38242 .43159 L
.38342 .43256 L
.38426 .43352 L
.38535 .43472 L
.38596 .43545 L
.38727 .43686 L
.38759 .43737 L
.38917 .4393 L
.3892 .43934 L
.3907 .44123 L
.39113 .44174 L
.39224 .44316 L
.39306 .444 L
.39377 .44508 L
.39498 .44661 L
.39536 .44701 L
.39676 .44894 L
.39691 .44912 L
.39823 .45086 L
.39884 .45149 L
.39971 .45279 L
.40076 .45414 L
.40127 .45472 L
.40264 .45664 L
.40269 .4567 L
.40409 .45857 L
.40462 .45913 L
.40614 .4605 L
.40654 .4618 L
.40705 .46242 L
.40843 .46435 L
.40847 .4644 L
.40986 .46628 L
.4104 .46686 L
.41175 .46821 L
.41232 .46956 L
.41277 .47013 L
.41416 .47206 L
.41425 .47218 L
.41557 .47399 L
.41618 .47466 L
.41736 .47591 L
.41811 .47738 L
.41844 .47784 L
.41983 .47977 L
.42003 .48003 L
.42124 .48169 L
.42196 .48251 L
.42295 .48362 L
.42389 .48526 L
.42409 .48555 L
.42547 .48747 L
.42581 .48755 L
.42687 .4894 L
.42774 .49043 L
.42851 .49133 L
.42967 .4932 L
.4297 .49326 L
.43108 .49518 L
.43159 .49541 L
.43247 .49711 L
.43352 .49842 L
.43403 .49904 L
.43527 .50096 L
.43545 .5012 L
.43664 .50289 L
.43737 .50342 L
.43803 .50482 L
.4393 .50651 L
.43948 .50674 L
.44078 .50867 L
.44123 .50928 L
.44213 .5106 L
.44316 .51166 L
.44394 .51253 L
.44488 .51445 L
.44508 .51473 L
.44619 .51638 L
.44701 .51752 L
.44753 .51831 L
.44889 .52023 L
.44894 .5203 L
.45013 .52216 L
.45086 .52321 L
.4514 .52409 L
.45268 .52601 L
.45279 .52618 L
.45371 .52794 L
.45279 .52851 L
.45226 .52794 L
.45086 .52644 L
.4505 .52601 L
.44894 .52423 L
.44883 .52409 L
.44724 .52216 L
.44701 .5219 L
.44566 .52023 L
.44508 .51954 L
.4441 .51831 L
.44316 .51722 L
.44198 .51638 L
.44123 .51468 L
.44102 .51445 L
.43955 .51253 L
.4393 .51249 L
.43805 .5106 L
.43737 .50981 L
.43611 .50867 L
.43545 .50721 L
.43508 .50674 L
.43362 .50482 L
.43352 .50479 L
.43216 .50289 L
.43159 .50222 L
.43037 .50096 L
.42967 .49959 L
.42927 .49904 L
.4278 .49711 L
.42774 .49708 L
.42636 .49518 L
.42581 .49452 L
.42468 .49326 L
.42389 .49186 L
.42353 .49133 L
.42206 .4894 L
.42196 .48935 L
.42063 .48747 L
.42003 .48674 L
.41901 .48555 L
.41811 .48406 L
.41783 .48362 L
.41636 .48169 L
.41618 .48159 L
.41495 .47977 L
.41425 .4789 L
.41338 .47784 L
.41232 .4762 L
.41216 .47591 L
.41071 .47399 L
.4104 .47378 L
.40931 .47206 L
.40847 .47101 L
.40778 .47013 L
.40654 .46829 L
.4065 .46821 L
.4051 .46628 L
.40462 .4659 L
.40306 .46435 L
.40269 .46304 L
.40223 .46242 L
.40091 .4605 L
.40076 .4603 L
.39954 .45857 L
.39884 .45792 L
.39766 .45664 L
.39691 .45498 L
.39672 .45472 L
.3954 .45279 L
.39498 .45223 L
.39403 .45086 L
.39306 .44976 L
.39236 .44894 L
.3913 .44701 L
.39113 .44678 L
.38998 .44508 L
.3892 .444 L
.38863 .44316 L
.38728 .44123 L
.38727 .44123 L
.38602 .4393 L
.38535 .43834 L
.38473 .43737 L
.38343 .43545 L
.38342 .43543 L
.38232 .43352 L
.38149 .43219 L
.3812 .43159 L
F
1 .91 0 r
.38149 .42266 m
.38288 .42389 L
.38342 .42436 L
.38478 .42581 L
.38535 .4264 L
.38652 .42774 L
.38727 .42829 L
.3882 .42967 L
.3892 .43083 L
.39028 .43159 L
.39113 .43322 L
.3914 .43352 L
.39295 .43545 L
.39306 .43553 L
.39449 .43737 L
.39498 .43799 L
.39633 .4393 L
.39691 .44051 L
.39746 .44123 L
.39884 .44301 L
.39887 .44316 L
.40049 .44508 L
.40076 .44544 L
.40215 .44701 L
.40269 .44803 L
.40332 .44894 L
.40462 .45062 L
.4049 .45086 L
.40634 .45279 L
.40654 .45306 L
.4079 .45472 L
.40847 .4557 L
.40908 .45664 L
.4104 .45832 L
.41068 .45857 L
.41211 .4605 L
.41232 .46079 L
.41362 .46242 L
.41425 .46345 L
.41479 .46435 L
.41618 .46608 L
.41641 .46628 L
.41783 .46821 L
.41811 .46858 L
.4193 .47013 L
.42003 .47125 L
.42047 .47206 L
.42196 .47387 L
.42211 .47399 L
.42383 .47591 L
.42389 .4764 L
.42496 .47784 L
.42581 .47908 L
.42613 .47977 L
.42774 .48167 L
.42778 .48169 L
.42948 .48362 L
.42967 .48426 L
.43061 .48555 L
.43159 .48694 L
.4318 .48747 L
.43343 .4894 L
.43352 .48949 L
.43512 .49133 L
.43545 .49213 L
.43624 .49326 L
.43737 .49481 L
.43747 .49518 L
.43908 .49711 L
.4393 .49735 L
.44074 .49904 L
.44123 .50002 L
.44187 .50096 L
.44316 .50269 L
.44317 .50289 L
.44471 .50482 L
.44508 .50521 L
.44635 .50674 L
.44701 .50792 L
.44749 .50867 L
.44894 .51059 L
.44894 .5106 L
.45033 .51253 L
.45086 .51311 L
.45194 .51445 L
.45279 .51585 L
.45311 .51638 L
.45455 .51831 L
.45472 .51833 L
.45594 .52023 L
.45664 .52103 L
.45752 .52216 L
.45857 .5238 L
.45873 .52409 L
.46014 .52601 L
.4605 .52614 L
.46222 .52794 L
.46242 .52901 L
.46307 .52987 L
.46435 .53179 L
.46435 .5318 L
.46571 .53372 L
.46628 .53406 L
.46767 .53565 L
.46821 .53706 L
.46858 .53758 L
.46987 .5395 L
.47013 .53985 L
.47123 .54143 L
.47206 .54215 L
.47303 .54336 L
.47399 .54524 L
.47401 .54528 L
.47533 .54721 L
.47591 .54801 L
.47667 .54914 L
.47784 .55057 L
.47821 .55106 L
.47935 .55299 L
.47977 .55357 L
.48064 .55492 L
.48169 .55643 L
.48196 .55684 L
.4832 .55877 L
.48362 .5594 L
.48436 .5607 L
.48362 .5625 L
.48194 .5607 L
.48169 .56045 L
.48022 .55877 L
.47977 .55827 L
.47856 .55684 L
.47784 .5561 L
.47693 .55492 L
.47591 .55365 L
.47524 .55299 L
.47399 .55124 L
.47386 .55106 L
.47227 .54914 L
.47206 .5489 L
.47074 .54721 L
.47013 .54639 L
.46919 .54528 L
.46821 .54384 L
.46792 .54336 L
.46628 .54143 L
.46627 .54143 L
.46437 .5395 L
.46435 .53889 L
.46333 .53758 L
.46242 .53627 L
.46212 .53565 L
.4605 .53376 L
.46041 .53372 L
.45871 .53179 L
.45857 .53125 L
.45755 .52987 L
.45664 .52859 L
.45639 .52794 L
.45472 .52605 L
.45463 .52601 L
.45302 .52409 L
.45279 .52351 L
.45184 .52216 L
.45086 .52083 L
.4507 .52023 L
.44894 .51831 L
.44891 .51831 L
.44734 .51638 L
.44701 .51571 L
.44616 .51445 L
.44508 .51302 L
.44503 .51253 L
.44322 .5106 L
.44316 .51052 L
.44167 .50867 L
.44123 .50787 L
.4405 .50674 L
.4393 .50519 L
.43895 .50482 L
.43755 .50289 L
.43737 .50267 L
.43602 .50096 L
.43545 .50001 L
.43486 .49904 L
.43352 .49735 L
.4333 .49711 L
.4319 .49518 L
.43159 .49481 L
.43038 .49326 L
.42967 .49213 L
.42922 .49133 L
.42774 .48949 L
.42765 .4894 L
.42625 .48747 L
.42581 .48693 L
.42476 .48555 L
.42389 .48424 L
.42358 .48362 L
.42202 .48169 L
.42196 .48165 L
.4202 .47977 L
.42003 .47904 L
.41915 .47784 L
.41811 .47633 L
.41793 .47591 L
.4164 .47399 L
.41618 .47382 L
.4146 .47206 L
.41425 .47112 L
.41355 .47013 L
.41232 .4684 L
.41226 .46821 L
.41079 .46628 L
.4104 .46594 L
.40903 .46435 L
.40847 .46317 L
.40796 .46242 L
.40658 .4605 L
.40654 .46045 L
.40521 .45857 L
.40462 .45802 L
.4035 .45664 L
.40269 .45517 L
.40239 .45472 L
.40102 .45279 L
.40076 .45244 L
.39965 .45086 L
.39884 .45 L
.39802 .44894 L
.39691 .44709 L
.39686 .44701 L
.39551 .44508 L
.39498 .44436 L
.39414 .44316 L
.39306 .44181 L
.39263 .44123 L
.39141 .4393 L
.39113 .43892 L
.39008 .43737 L
.3892 .43614 L
.38873 .43545 L
.38739 .43352 L
.38727 .43336 L
.38613 .43159 L
.38535 .43048 L
.38484 .42967 L
.38356 .42774 L
.38342 .42753 L
.38245 .42581 L
.38149 .42424 L
.38133 .42389 L
F
1 .5 0 r
.38149 .43913 m
.38165 .4393 L
.38342 .44103 L
.38358 .44123 L
.38342 .44295 L
.38248 .44123 L
.38149 .43962 L
.38139 .4393 L
F
0 .72 1 r
.38149 .43105 m
.38214 .43159 L
.38342 .43273 L
.38412 .43352 L
.38535 .43484 L
.38585 .43545 L
.38727 .437 L
.3875 .43737 L
.38909 .4393 L
.3892 .43943 L
.39064 .44123 L
.39113 .44181 L
.39218 .44316 L
.39306 .44407 L
.39372 .44508 L
.39498 .44668 L
.3953 .44701 L
.39671 .44894 L
.39691 .44918 L
.39819 .45086 L
.39884 .45153 L
.39968 .45279 L
.40076 .45419 L
.40123 .45472 L
.40261 .45664 L
.40269 .45675 L
.40405 .45857 L
.40462 .45917 L
.40611 .4605 L
.40654 .46184 L
.40702 .46242 L
.4084 .46435 L
.40847 .46444 L
.40983 .46628 L
.4104 .46689 L
.41173 .46821 L
.41232 .46959 L
.41274 .47013 L
.41413 .47206 L
.41425 .47222 L
.41554 .47399 L
.41618 .47469 L
.41734 .47591 L
.41811 .47742 L
.41842 .47784 L
.41981 .47977 L
.42003 .48006 L
.42121 .48169 L
.42196 .48254 L
.42293 .48362 L
.42389 .4853 L
.42406 .48555 L
.42545 .48747 L
.42581 .48756 L
.42685 .4894 L
.42774 .49046 L
.42848 .49133 L
.42967 .49324 L
.42968 .49326 L
.43105 .49518 L
.43159 .49544 L
.43245 .49711 L
.43352 .49846 L
.434 .49904 L
.43524 .50096 L
.43545 .50124 L
.43661 .50289 L
.43737 .50346 L
.438 .50482 L
.4393 .50657 L
.43944 .50674 L
.44074 .50867 L
.44123 .50933 L
.4421 .5106 L
.44316 .51174 L
.44387 .51253 L
.44483 .51445 L
.44508 .51479 L
.44614 .51638 L
.44701 .51759 L
.44748 .51831 L
.44882 .52023 L
.44894 .52039 L
.45005 .52216 L
.45086 .52333 L
.45132 .52409 L
.45255 .52601 L
.45279 .52638 L
.45352 .52794 L
.45279 .5283 L
.45245 .52794 L
.45086 .52629 L
.45062 .52601 L
.44894 .52409 L
.44893 .52409 L
.44733 .52216 L
.44701 .5218 L
.44574 .52023 L
.44508 .51945 L
.44416 .51831 L
.44316 .51714 L
.44206 .51638 L
.44123 .51462 L
.44108 .51445 L
.4396 .51253 L
.4393 .51248 L
.43809 .5106 L
.43737 .50976 L
.43615 .50867 L
.43545 .50716 L
.43512 .50674 L
.43366 .50482 L
.43352 .50478 L
.43219 .50289 L
.43159 .50218 L
.4304 .50096 L
.42967 .49954 L
.4293 .49904 L
.42784 .49711 L
.42774 .49707 L
.42639 .49518 L
.42581 .49448 L
.4247 .49326 L
.42389 .49182 L
.42355 .49133 L
.42209 .4894 L
.42196 .48934 L
.42066 .48747 L
.42003 .48671 L
.41904 .48555 L
.41811 .48403 L
.41785 .48362 L
.41639 .48169 L
.41618 .48157 L
.41497 .47977 L
.41425 .47887 L
.41341 .47784 L
.41232 .47617 L
.41217 .47591 L
.41074 .47399 L
.4104 .47376 L
.40933 .47206 L
.40847 .47097 L
.40781 .47013 L
.40654 .46825 L
.40652 .46821 L
.40513 .46628 L
.40462 .46587 L
.40309 .46435 L
.40269 .463 L
.40225 .46242 L
.40094 .4605 L
.40076 .46026 L
.39957 .45857 L
.39884 .45788 L
.3977 .45664 L
.39691 .45492 L
.39676 .45472 L
.39543 .45279 L
.39498 .45218 L
.39407 .45086 L
.39306 .44969 L
.39242 .44894 L
.39134 .44701 L
.39113 .44672 L
.39002 .44508 L
.3892 .44393 L
.38868 .44316 L
.38734 .44123 L
.38727 .44114 L
.38609 .4393 L
.38535 .43824 L
.38481 .43737 L
.38354 .43545 L
.38342 .43527 L
.38246 .43352 L
.38149 .43185 L
.38139 .43159 L
F
1 .99 0 r
.38342 .40012 m
.38535 .40009 L
.38667 .40076 L
.38727 .40122 L
.38855 .40269 L
.3892 .40344 L
.39062 .40462 L
.39113 .40631 L
.39164 .40654 L
.393 .40847 L
.39306 .40851 L
.39439 .4104 L
.39498 .41105 L
.39627 .41232 L
.39691 .41375 L
.39731 .41425 L
.39866 .41618 L
.39884 .41642 L
.40004 .41811 L
.40076 .41867 L
.40183 .42003 L
.40269 .42162 L
.40291 .42196 L
.40424 .42389 L
.40462 .4244 L
.4056 .42581 L
.40654 .42713 L
.40728 .42774 L
.40824 .42967 L
.40654 .43122 L
.40462 .43026 L
.40382 .42967 L
.40269 .42868 L
.40177 .42774 L
.40076 .42657 L
.40011 .42581 L
.39884 .42417 L
.39861 .42389 L
.39718 .42196 L
.39691 .42151 L
.39609 .42003 L
.39498 .41911 L
.39421 .41811 L
.39306 .4165 L
.39281 .41618 L
.39144 .41425 L
.39113 .41383 L
.39036 .41232 L
.3892 .41109 L
.38857 .4104 L
.38727 .4085 L
.38722 .40847 L
.3859 .40654 L
.38535 .40638 L
.3849 .40462 L
.38342 .40288 L
.38329 .40269 L
.38201 .40076 L
F
0 .71 1 r
.38342 .43292 m
.38396 .43352 L
.38535 .43498 L
.38575 .43545 L
.38727 .43714 L
.38742 .43737 L
.38901 .4393 L
.3892 .43952 L
.39057 .44123 L
.39113 .44189 L
.39212 .44316 L
.39306 .44414 L
.39366 .44508 L
.39498 .44674 L
.39524 .44701 L
.39667 .44894 L
.39691 .44924 L
.39815 .45086 L
.39884 .45158 L
.39964 .45279 L
.40076 .45423 L
.40119 .45472 L
.40257 .45664 L
.40269 .45679 L
.40402 .45857 L
.40462 .4592 L
.40608 .4605 L
.40654 .46188 L
.40699 .46242 L
.40837 .46435 L
.40847 .46448 L
.4098 .46628 L
.4104 .46693 L
.41171 .46821 L
.41232 .46963 L
.41272 .47013 L
.4141 .47206 L
.41425 .47225 L
.41552 .47399 L
.41618 .47472 L
.41732 .47591 L
.41811 .47745 L
.4184 .47784 L
.41979 .47977 L
.42003 .48009 L
.42119 .48169 L
.42196 .48257 L
.4229 .48362 L
.42389 .48533 L
.42404 .48555 L
.42543 .48747 L
.42581 .48757 L
.42683 .4894 L
.42774 .49049 L
.42846 .49133 L
.42966 .49326 L
.42967 .49327 L
.43103 .49518 L
.43159 .49546 L
.43242 .49711 L
.43352 .4985 L
.43396 .49904 L
.43521 .50096 L
.43545 .50128 L
.43658 .50289 L
.43737 .5035 L
.43797 .50482 L
.4393 .50662 L
.4394 .50674 L
.44071 .50867 L
.44123 .50938 L
.44206 .5106 L
.44316 .51181 L
.4438 .51253 L
.44478 .51445 L
.44508 .51486 L
.44609 .51638 L
.44701 .51766 L
.44743 .51831 L
.44876 .52023 L
.44894 .52049 L
.44998 .52216 L
.45086 .52345 L
.45124 .52409 L
.45241 .52601 L
.45279 .52664 L
.45321 .52794 L
.45279 .52804 L
.45269 .52794 L
.45086 .52613 L
.45076 .52601 L
.44905 .52409 L
.44894 .52397 L
.44742 .52216 L
.44701 .5217 L
.44581 .52023 L
.44508 .51936 L
.44423 .51831 L
.44316 .51706 L
.44216 .51638 L
.44123 .51455 L
.44114 .51445 L
.43965 .51253 L
.4393 .51246 L
.43814 .5106 L
.43737 .5097 L
.4362 .50867 L
.43545 .50711 L
.43516 .50674 L
.4337 .50482 L
.43352 .50477 L
.43223 .50289 L
.43159 .50213 L
.43043 .50096 L
.42967 .4995 L
.42933 .49904 L
.42787 .49711 L
.42774 .49706 L
.42642 .49518 L
.42581 .49445 L
.42473 .49326 L
.42389 .49179 L
.42357 .49133 L
.42211 .4894 L
.42196 .48932 L
.42069 .48747 L
.42003 .48668 L
.41906 .48555 L
.41811 .48399 L
.41787 .48362 L
.41642 .48169 L
.41618 .48155 L
.415 .47977 L
.41425 .47884 L
.41343 .47784 L
.41232 .47613 L
.41219 .47591 L
.41076 .47399 L
.4104 .47373 L
.40936 .47206 L
.40847 .47094 L
.40784 .47013 L
.40654 .46821 L
.40654 .46821 L
.40516 .46628 L
.40462 .46584 L
.40311 .46435 L
.40269 .46296 L
.40229 .46242 L
.40097 .4605 L
.40076 .46022 L
.3996 .45857 L
.39884 .45784 L
.39774 .45664 L
.39691 .45487 L
.3968 .45472 L
.39547 .45279 L
.39498 .45213 L
.39411 .45086 L
.39306 .44962 L
.39248 .44894 L
.39139 .44701 L
.39113 .44665 L
.39007 .44508 L
.3892 .44386 L
.38873 .44316 L
.3874 .44123 L
.38727 .44105 L
.38616 .4393 L
.38535 .43813 L
.38488 .43737 L
.38365 .43545 L
.38342 .43509 L
.38262 .43352 L
F
1 .49 0 r
.38342 .44117 m
.38347 .44123 L
.38342 .44279 L
.38265 .44123 L
F
0 .98 1 r
.38342 .41735 m
.38427 .41811 L
.38535 .41904 L
.38637 .42003 L
.38727 .42076 L
.38831 .42196 L
.3892 .42314 L
.39038 .42389 L
.39113 .42496 L
.39191 .42581 L
.39306 .42715 L
.39358 .42774 L
.39498 .42945 L
.39517 .42967 L
.39673 .43159 L
.39691 .43187 L
.39825 .43352 L
.39884 .43446 L
.39953 .43545 L
.40076 .43714 L
.40127 .43737 L
.40269 .43928 L
.40271 .4393 L
.40416 .44123 L
.40462 .44193 L
.40538 .44316 L
.40654 .44468 L
.40709 .44508 L
.40847 .44697 L
.4085 .44701 L
.40989 .44894 L
.4104 .44968 L
.41102 .45086 L
.41232 .45249 L
.41283 .45279 L
.41423 .45472 L
.41425 .45476 L
.41556 .45664 L
.41618 .45752 L
.41658 .45857 L
.41811 .45996 L
.41852 .4605 L
.41994 .46242 L
.42003 .46261 L
.4212 .46435 L
.42196 .46539 L
.42213 .46628 L
.42389 .46782 L
.42418 .46821 L
.42561 .47013 L
.42581 .47049 L
.42682 .47206 L
.42774 .47327 L
.42844 .47399 L
.42967 .47569 L
.42984 .47591 L
.43127 .47784 L
.43159 .47837 L
.43244 .47977 L
.43352 .48114 L
.43409 .48169 L
.43545 .48358 L
.43548 .48362 L
.43691 .48555 L
.43737 .48627 L
.43805 .48747 L
.4393 .489 L
.43973 .4894 L
.44122 .49133 L
.44123 .49147 L
.44254 .49326 L
.44316 .49416 L
.44367 .49518 L
.44508 .49685 L
.44537 .49711 L
.44693 .49904 L
.44701 .49936 L
.44817 .50096 L
.44894 .50205 L
.44929 .50289 L
.45086 .50469 L
.45101 .50482 L
.4526 .50674 L
.45279 .50725 L
.45379 .50867 L
.45472 .50994 L
.45492 .5106 L
.45664 .51253 L
.45664 .51253 L
.45825 .51445 L
.45857 .51514 L
.45941 .51638 L
.4605 .51783 L
.46057 .51831 L
.46228 .52023 L
.46242 .52038 L
.46388 .52216 L
.46435 .52303 L
.46504 .52409 L
.46628 .52572 L
.46651 .52601 L
.46791 .52794 L
.46821 .52825 L
.4695 .52987 L
.47013 .53093 L
.47066 .53179 L
.47206 .53361 L
.47215 .53372 L
.47354 .53565 L
.47399 .53612 L
.47512 .53758 L
.47591 .53884 L
.47629 .5395 L
.47777 .54143 L
.47784 .54152 L
.47917 .54336 L
.47977 .54401 L
.48072 .54528 L
.48169 .54676 L
.48193 .54721 L
.48339 .54914 L
.48362 .54919 L
.48534 .55106 L
.48555 .55193 L
.48631 .55299 L
.48747 .5547 L
.48757 .55492 L
.489 .55684 L
.4894 .55701 L
.4909 .55877 L
.49133 .55988 L
.4919 .5607 L
.49323 .56263 L
.49326 .56266 L
.4946 .56455 L
.49518 .56491 L
.49642 .56648 L
.49711 .56787 L
.49747 .56841 L
.4988 .57033 L
.49904 .57064 L
.50017 .57226 L
.50096 .57292 L
.5019 .57419 L
.50289 .57594 L
.503 .57611 L
.50434 .57804 L
.50482 .57869 L
.5057 .57997 L
.50674 .58111 L
.5073 .58189 L
.50846 .58382 L
.50867 .58411 L
.50978 .58575 L
.5106 .58688 L
.51113 .58768 L
.5125 .5896 L
.51253 .58964 L
.51375 .59153 L
.51445 .59253 L
.51502 .59346 L
.51631 .59538 L
.51638 .59549 L
.51739 .59731 L
.51831 .59893 L
.51843 .59924 L
.51831 .60025 L
.51696 .59924 L
.51638 .59876 L
.51495 .59731 L
.51445 .59682 L
.51313 .59538 L
.51253 .59482 L
.51141 .59346 L
.5106 .59247 L
.50941 .59153 L
.50867 .59011 L
.50823 .5896 L
.50674 .58776 L
.50673 .58768 L
.50503 .58575 L
.50482 .58546 L
.50337 .58382 L
.50289 .58293 L
.50215 .58189 L
.50096 .58032 L
.50045 .57997 L
.49904 .57809 L
.499 .57804 L
.49748 .57611 L
.49711 .57548 L
.49627 .57419 L
.49518 .57273 L
.49456 .57226 L
.49326 .57049 L
.49313 .57033 L
.49169 .56841 L
.49133 .56782 L
.49051 .56648 L
.4894 .56501 L
.48878 .56455 L
.48747 .56275 L
.48738 .56263 L
.48597 .5607 L
.48555 .56005 L
.48484 .55877 L
.48362 .55722 L
.48307 .55684 L
.48169 .55494 L
.48168 .55492 L
.48029 .55299 L
.47977 .55221 L
.4792 .55106 L
.47784 .54939 L
.47739 .54914 L
.47596 .54721 L
.47591 .54708 L
.47464 .54528 L
.47399 .54434 L
.47359 .54336 L
.47206 .54158 L
.47173 .54143 L
.47026 .5395 L
.47013 .53921 L
.46901 .53758 L
.46821 .53647 L
.46798 .53565 L
.46628 .53378 L
.46608 .53372 L
.46459 .53179 L
.46435 .53132 L
.46338 .52987 L
.46242 .52859 L
.46238 .52794 L
.4605 .52602 L
.46044 .52601 L
.45894 .52409 L
.45857 .52343 L
.45776 .52216 L
.45664 .52072 L
.45619 .52023 L
.4548 .51831 L
.45472 .5182 L
.4533 .51638 L
.45279 .51553 L
.45214 .51445 L
.45086 .51285 L
.45056 .51253 L
.44916 .5106 L
.44894 .51032 L
.44767 .50867 L
.44701 .50764 L
.44652 .50674 L
.44508 .50499 L
.44492 .50482 L
.44319 .50289 L
.44316 .50244 L
.44205 .50096 L
.44123 .49975 L
.44088 .49904 L
.4393 .49713 L
.43928 .49711 L
.43754 .49518 L
.43737 .49455 L
.43643 .49326 L
.43545 .49186 L
.43524 .49133 L
.43365 .4894 L
.43352 .4893 L
.43191 .48747 L
.43159 .48666 L
.43081 .48555 L
.42967 .48396 L
.42957 .48362 L
.42802 .48169 L
.42774 .48146 L
.4263 .47977 L
.42581 .47875 L
.42519 .47784 L
.42389 .47605 L
.42387 .47591 L
.42239 .47399 L
.42196 .47359 L
.4207 .47206 L
.42003 .47084 L
.41957 .47013 L
.41816 .46821 L
.41811 .46814 L
.41677 .46628 L
.41618 .4657 L
.41512 .46435 L
.41425 .46291 L
.41395 .46242 L
.41254 .4605 L
.41232 .46021 L
.41115 .45857 L
.4104 .45778 L
.40954 .45664 L
.40847 .45496 L
.40833 .45472 L
.40694 .45279 L
.40654 .45226 L
.40555 .45086 L
.40462 .44981 L
.40398 .44894 L
.40271 .44701 L
.40269 .44698 L
.40135 .44508 L
.40076 .4443 L
.39938 .44316 L
.39884 .44178 L
.39845 .44123 L
.39716 .4393 L
.39691 .43897 L
.39579 .43737 L
.39498 .43628 L
.39397 .43545 L
.39306 .43365 L
.39297 .43352 L
.39166 .43159 L
.39113 .43088 L
.3903 .42967 L
.3892 .42815 L
.38866 .42774 L
.38759 .42581 L
.38727 .42539 L
.3863 .42389 L
.38535 .42253 L
.38499 .42196 L
.38375 .42003 L
.38342 .41954 L
.38272 .41811 L
F
1 .9 0 r
.38342 .42484 m
.3844 .42581 L
.38535 .42673 L
.38626 .42774 L
.38727 .42854 L
.38799 .42967 L
.3892 .43105 L
.39002 .43159 L
.39113 .4334 L
.39125 .43352 L
.39281 .43545 L
.39306 .43563 L
.39437 .43737 L
.39498 .43813 L
.39624 .4393 L
.39691 .44064 L
.39738 .44123 L
.39884 .44309 L
.39885 .44316 L
.40041 .44508 L
.40076 .44554 L
.40209 .44701 L
.40269 .44812 L
.40327 .44894 L
.40462 .45068 L
.40483 .45086 L
.40628 .45279 L
.40654 .45314 L
.40786 .45472 L
.40847 .45576 L
.40905 .45664 L
.4104 .45837 L
.41064 .45857 L
.41207 .4605 L
.41232 .46084 L
.41359 .46242 L
.41425 .46349 L
.41477 .46435 L
.41618 .46611 L
.41638 .46628 L
.4178 .46821 L
.41811 .46862 L
.41928 .47013 L
.42003 .47129 L
.42045 .47206 L
.42196 .47389 L
.42208 .47399 L
.42382 .47591 L
.42389 .47644 L
.42494 .47784 L
.42581 .47912 L
.42612 .47977 L
.42774 .48169 L
.42775 .48169 L
.42947 .48362 L
.42967 .48429 L
.43059 .48555 L
.43159 .48697 L
.43179 .48747 L
.43341 .4894 L
.43352 .48952 L
.43511 .49133 L
.43545 .49216 L
.43623 .49326 L
.43737 .49484 L
.43746 .49518 L
.43905 .49711 L
.4393 .49737 L
.44073 .49904 L
.44123 .50004 L
.44185 .50096 L
.44316 .50272 L
.44317 .50289 L
.44469 .50482 L
.44508 .50524 L
.44633 .50674 L
.44701 .50795 L
.44748 .50867 L
.44892 .5106 L
.44894 .51062 L
.45031 .51253 L
.45086 .51313 L
.45192 .51445 L
.45279 .51588 L
.45309 .51638 L
.45453 .51831 L
.45472 .51834 L
.45591 .52023 L
.45664 .52107 L
.45749 .52216 L
.45857 .52384 L
.45871 .52409 L
.46011 .52601 L
.4605 .52616 L
.4622 .52794 L
.46242 .52906 L
.46303 .52987 L
.46431 .53179 L
.46435 .53185 L
.46567 .53372 L
.46628 .5341 L
.46762 .53565 L
.46821 .53713 L
.46853 .53758 L
.46982 .5395 L
.47013 .53992 L
.47118 .54143 L
.47206 .54225 L
.47295 .54336 L
.47394 .54528 L
.47399 .54534 L
.47525 .54721 L
.47591 .54812 L
.4766 .54914 L
.47784 .55077 L
.47806 .55106 L
.47924 .55299 L
.47977 .55374 L
.48051 .55492 L
.48169 .55664 L
.48182 .55684 L
.48298 .55877 L
.48362 .55978 L
.48409 .5607 L
.48362 .56201 L
.4823 .5607 L
.48169 .56011 L
.48048 .55877 L
.47977 .558 L
.47877 .55684 L
.47784 .55588 L
.47711 .55492 L
.47591 .55346 L
.47541 .55299 L
.47399 .5511 L
.47396 .55106 L
.4724 .54914 L
.47206 .54876 L
.47085 .54721 L
.47013 .54626 L
.46928 .54528 L
.46821 .54374 L
.46798 .54336 L
.46635 .54143 L
.46628 .54134 L
.46438 .5395 L
.46435 .5388 L
.46339 .53758 L
.46242 .5362 L
.46215 .53565 L
.4605 .53373 L
.46047 .53372 L
.45873 .53179 L
.45857 .53118 L
.4576 .52987 L
.45664 .52853 L
.45641 .52794 L
.45472 .52603 L
.45468 .52601 L
.45304 .52409 L
.45279 .52345 L
.45187 .52216 L
.45086 .52078 L
.45071 .52023 L
.44895 .51831 L
.44894 .51829 L
.44736 .51638 L
.44701 .51566 L
.44618 .51445 L
.44508 .51299 L
.44503 .51253 L
.44325 .5106 L
.44316 .51048 L
.44169 .50867 L
.44123 .50783 L
.44052 .50674 L
.4393 .50516 L
.43898 .50482 L
.43757 .50289 L
.43737 .50264 L
.43604 .50096 L
.43545 .49998 L
.43487 .49904 L
.43352 .49732 L
.43332 .49711 L
.43192 .49518 L
.43159 .49478 L
.4304 .49326 L
.42967 .4921 L
.42923 .49133 L
.42774 .48947 L
.42767 .4894 L
.42627 .48747 L
.42581 .48691 L
.42478 .48555 L
.42389 .48421 L
.42359 .48362 L
.42204 .48169 L
.42196 .48163 L
.4202 .47977 L
.42003 .47901 L
.41917 .47784 L
.41811 .4763 L
.41794 .47591 L
.41642 .47399 L
.41618 .4738 L
.41461 .47206 L
.41425 .47109 L
.41357 .47013 L
.41232 .46837 L
.41227 .46821 L
.41082 .46628 L
.4104 .46592 L
.40905 .46435 L
.40847 .46313 L
.40799 .46242 L
.40662 .4605 L
.40654 .4604 L
.40524 .45857 L
.40462 .45798 L
.40353 .45664 L
.40269 .45512 L
.40243 .45472 L
.40107 .45279 L
.40076 .45238 L
.39969 .45086 L
.39884 .44993 L
.39807 .44894 L
.39691 .44701 L
.39691 .44701 L
.39557 .44508 L
.39498 .44428 L
.3942 .44316 L
.39306 .4417 L
.39271 .44123 L
.39149 .4393 L
.39113 .4388 L
.39017 .43737 L
.3892 .43601 L
.38882 .43545 L
.38751 .43352 L
.38727 .43319 L
.38626 .43159 L
.38535 .43025 L
.38499 .42967 L
.3838 .42774 L
.38342 .42715 L
.38276 .42581 L
F
0 .7 1 r
.38342 .43314 m
.38378 .43352 L
.38535 .43512 L
.38563 .43545 L
.38727 .43729 L
.38733 .43737 L
.38892 .4393 L
.3892 .43961 L
.3905 .44123 L
.39113 .44197 L
.39206 .44316 L
.39306 .44421 L
.39361 .44508 L
.39498 .44681 L
.39518 .44701 L
.39662 .44894 L
.39691 .44929 L
.39811 .45086 L
.39884 .45163 L
.3996 .45279 L
.40076 .45428 L
.40115 .45472 L
.40254 .45664 L
.40269 .45684 L
.40399 .45857 L
.40462 .45924 L
.40605 .4605 L
.40654 .46192 L
.40696 .46242 L
.40834 .46435 L
.40847 .46452 L
.40977 .46628 L
.4104 .46696 L
.41168 .46821 L
.41232 .46966 L
.41269 .47013 L
.41408 .47206 L
.41425 .47229 L
.41549 .47399 L
.41618 .47475 L
.41729 .47591 L
.41811 .47748 L
.41837 .47784 L
.41976 .47977 L
.42003 .48012 L
.42117 .48169 L
.42196 .48261 L
.42288 .48362 L
.42389 .48536 L
.42402 .48555 L
.4254 .48747 L
.42581 .48759 L
.4268 .4894 L
.42774 .49053 L
.42843 .49133 L
.42963 .49326 L
.42967 .49331 L
.431 .49518 L
.43159 .49549 L
.4324 .49711 L
.43352 .49854 L
.43393 .49904 L
.43518 .50096 L
.43545 .50131 L
.43655 .50289 L
.43737 .50355 L
.43794 .50482 L
.4393 .50667 L
.43936 .50674 L
.44067 .50867 L
.44123 .50943 L
.44203 .5106 L
.44316 .5119 L
.44372 .51253 L
.44474 .51445 L
.44508 .51492 L
.44604 .51638 L
.44701 .51773 L
.44738 .51831 L
.44869 .52023 L
.44894 .52059 L
.4499 .52216 L
.45086 .52358 L
.45116 .52409 L
.45086 .52596 L
.44918 .52409 L
.44894 .52384 L
.44752 .52216 L
.44701 .52159 L
.44589 .52023 L
.44508 .51928 L
.4443 .51831 L
.44316 .51698 L
.44226 .51638 L
.44123 .51448 L
.4412 .51445 L
.4397 .51253 L
.4393 .51244 L
.43819 .5106 L
.43737 .50965 L
.43625 .50867 L
.43545 .50706 L
.4352 .50674 L
.43374 .50482 L
.43352 .50475 L
.43227 .50289 L
.43159 .50209 L
.43047 .50096 L
.42967 .49946 L
.42935 .49904 L
.4279 .49711 L
.42774 .49704 L
.42645 .49518 L
.42581 .49441 L
.42476 .49326 L
.42389 .49175 L
.4236 .49133 L
.42214 .4894 L
.42196 .48931 L
.42071 .48747 L
.42003 .48664 L
.41909 .48555 L
.41811 .48396 L
.41789 .48362 L
.41644 .48169 L
.41618 .48154 L
.41503 .47977 L
.41425 .4788 L
.41346 .47784 L
.41232 .4761 L
.41221 .47591 L
.41079 .47399 L
.4104 .47371 L
.40938 .47206 L
.40847 .4709 L
.40786 .47013 L
.40656 .46821 L
.40654 .46818 L
.40518 .46628 L
.40462 .46581 L
.40314 .46435 L
.40269 .46292 L
.40232 .46242 L
.401 .4605 L
.40076 .46018 L
.39963 .45857 L
.39884 .45779 L
.39778 .45664 L
.39691 .45482 L
.39683 .45472 L
.39551 .45279 L
.39498 .45207 L
.39414 .45086 L
.39306 .44954 L
.39254 .44894 L
.39143 .44701 L
.39113 .44659 L
.39012 .44508 L
.3892 .44379 L
.38878 .44316 L
.38747 .44123 L
.38727 .44096 L
.38623 .4393 L
.38535 .43801 L
.38496 .43737 L
.38378 .43545 L
.38342 .43487 L
.38282 .43352 L
F
0 .92 1 r
.38342 .38186 m
.38485 .38342 L
.38535 .38395 L
.38646 .38535 L
.38727 .38634 L
.38796 .38727 L
.3892 .38898 L
.38935 .3892 L
.39045 .39113 L
.3892 .39162 L
.38874 .39113 L
.38727 .38951 L
.38704 .3892 L
.38556 .38727 L
.38535 .38701 L
.38423 .38535 L
.38342 .38418 L
.38297 .38342 L
F
1 .97 0 r
.38342 .37429 m
.38535 .37561 L
.38546 .37571 L
.38727 .37753 L
.38745 .37764 L
.38911 .37957 L
.3892 .37967 L
.39071 .38149 L
.39113 .38192 L
.39226 .38342 L
.39306 .38443 L
.39387 .38535 L
.39498 .38699 L
.39515 .38727 L
.39662 .3892 L
.39691 .3896 L
.398 .39113 L
.39884 .3918 L
.39939 .39306 L
.40044 .39498 L
.40076 .39576 L
.40094 .39691 L
.40076 .39711 L
.39884 .39693 L
.3988 .39691 L
.39691 .39539 L
.3962 .39498 L
.39498 .3931 L
.39486 .39306 L
.39339 .39113 L
.39306 .39071 L
.39194 .3892 L
.39113 .38837 L
.39014 .38727 L
.3892 .3855 L
.3891 .38535 L
.38778 .38342 L
.38727 .3827 L
.38647 .38149 L
.38535 .37984 L
.38505 .37957 L
.38403 .37764 L
.38342 .37655 L
.38304 .37571 L
F
1 .71 0 r
.38342 .45693 m
.38439 .45857 L
.38535 .4599 L
.38566 .4605 L
.38535 .46114 L
.38482 .4605 L
.38342 .45894 L
.38313 .45857 L
F
0 .69 1 r
.38342 .43342 m
.38353 .43352 L
.38535 .43527 L
.3855 .43545 L
.38722 .43737 L
.38727 .43743 L
.38884 .4393 L
.3892 .43971 L
.39043 .44123 L
.39113 .44205 L
.392 .44316 L
.39306 .44429 L
.39355 .44508 L
.39498 .44687 L
.39512 .44701 L
.39657 .44894 L
.39691 .44935 L
.39807 .45086 L
.39884 .45168 L
.39956 .45279 L
.40076 .45433 L
.40111 .45472 L
.4025 .45664 L
.40269 .45688 L
.40396 .45857 L
.40462 .45928 L
.40602 .4605 L
.40654 .46196 L
.40693 .46242 L
.40831 .46435 L
.40847 .46455 L
.40975 .46628 L
.4104 .46699 L
.41165 .46821 L
.41232 .4697 L
.41266 .47013 L
.41405 .47206 L
.41425 .47232 L
.41547 .47399 L
.41618 .47478 L
.41726 .47591 L
.41811 .47751 L
.41835 .47784 L
.41974 .47977 L
.42003 .48016 L
.42115 .48169 L
.42196 .48264 L
.42285 .48362 L
.42389 .48539 L
.42399 .48555 L
.42538 .48747 L
.42581 .4876 L
.42678 .4894 L
.42774 .49056 L
.4284 .49133 L
.4296 .49326 L
.42967 .49334 L
.43097 .49518 L
.43159 .49552 L
.43237 .49711 L
.43352 .49858 L
.43389 .49904 L
.43516 .50096 L
.43545 .50135 L
.43652 .50289 L
.43737 .5036 L
.43791 .50482 L
.4393 .50673 L
.43931 .50674 L
.44063 .50867 L
.44123 .50948 L
.44199 .5106 L
.44316 .51198 L
.44364 .51253 L
.44469 .51445 L
.44508 .51499 L
.44599 .51638 L
.44701 .51781 L
.44733 .51831 L
.44861 .52023 L
.44894 .52069 L
.44982 .52216 L
.45086 .52373 L
.45106 .52409 L
.45086 .52576 L
.44932 .52409 L
.44894 .52371 L
.44762 .52216 L
.44701 .52149 L
.44597 .52023 L
.44508 .51919 L
.44437 .51831 L
.44316 .5169 L
.44238 .51638 L
.44127 .51445 L
.44123 .51441 L
.43975 .51253 L
.4393 .51242 L
.43824 .5106 L
.43737 .50959 L
.4363 .50867 L
.43545 .507 L
.43524 .50674 L
.43378 .50482 L
.43352 .50474 L
.4323 .50289 L
.43159 .50204 L
.4305 .50096 L
.42967 .49941 L
.42939 .49904 L
.42793 .49711 L
.42774 .49703 L
.42648 .49518 L
.42581 .49437 L
.42479 .49326 L
.42389 .49171 L
.42362 .49133 L
.42217 .4894 L
.42196 .48929 L
.42074 .48747 L
.42003 .48661 L
.41912 .48555 L
.41811 .48392 L
.41791 .48362 L
.41647 .48169 L
.41618 .48152 L
.41505 .47977 L
.41425 .47877 L
.41348 .47784 L
.41232 .47607 L
.41223 .47591 L
.41082 .47399 L
.4104 .47369 L
.40941 .47206 L
.40847 .47087 L
.40789 .47013 L
.40659 .46821 L
.40654 .46814 L
.40521 .46628 L
.40462 .46578 L
.40317 .46435 L
.40269 .46288 L
.40235 .46242 L
.40103 .4605 L
.40076 .46014 L
.39966 .45857 L
.39884 .45775 L
.39782 .45664 L
.39691 .45477 L
.39687 .45472 L
.39554 .45279 L
.39498 .45202 L
.39418 .45086 L
.39306 .44947 L
.39261 .44894 L
.39148 .44701 L
.39113 .44652 L
.39017 .44508 L
.3892 .44372 L
.38883 .44316 L
.38754 .44123 L
.38727 .44086 L
.38631 .4393 L
.38535 .43788 L
.38504 .43737 L
.38394 .43545 L
.38342 .43458 L
.38313 .43352 L
F
1 .89 0 r
.38342 .42553 m
.38382 .42581 L
.38535 .4271 L
.38595 .42774 L
.38727 .42886 L
.38776 .42967 L
.3892 .43129 L
.3897 .43159 L
.39108 .43352 L
.39113 .43358 L
.39267 .43545 L
.39306 .43574 L
.39425 .43737 L
.39498 .43827 L
.39614 .4393 L
.39691 .44076 L
.39729 .44123 L
.39883 .44316 L
.39884 .44316 L
.40033 .44508 L
.40076 .44564 L
.40204 .44701 L
.40269 .44821 L
.40321 .44894 L
.40462 .45074 L
.40477 .45086 L
.40623 .45279 L
.40654 .45321 L
.40782 .45472 L
.40847 .45582 L
.40901 .45664 L
.4104 .45841 L
.41059 .45857 L
.41203 .4605 L
.41232 .4609 L
.41355 .46242 L
.41425 .46354 L
.41474 .46435 L
.41618 .46614 L
.41634 .46628 L
.41776 .46821 L
.41811 .46866 L
.41925 .47013 L
.42003 .47133 L
.42043 .47206 L
.42196 .47391 L
.42205 .47399 L
.42382 .47591 L
.42389 .47647 L
.42492 .47784 L
.42581 .47915 L
.4261 .47977 L
.42773 .48169 L
.42774 .48171 L
.42946 .48362 L
.42967 .48432 L
.43057 .48555 L
.43159 .48699 L
.43177 .48747 L
.43339 .4894 L
.43352 .48954 L
.4351 .49133 L
.43545 .49218 L
.43621 .49326 L
.43737 .49486 L
.43746 .49518 L
.43903 .49711 L
.4393 .49739 L
.44071 .49904 L
.44123 .50007 L
.44184 .50096 L
.44316 .50274 L
.44317 .50289 L
.44467 .50482 L
.44508 .50526 L
.44632 .50674 L
.44701 .50798 L
.44746 .50867 L
.4489 .5106 L
.44894 .51065 L
.45029 .51253 L
.45086 .51316 L
.4519 .51445 L
.45279 .51591 L
.45307 .51638 L
.4545 .51831 L
.45472 .51835 L
.45589 .52023 L
.45664 .5211 L
.45746 .52216 L
.45857 .52388 L
.45869 .52409 L
.46008 .52601 L
.4605 .52618 L
.46217 .52794 L
.46242 .5291 L
.46299 .52987 L
.46427 .53179 L
.46435 .5319 L
.46563 .53372 L
.46628 .53415 L
.46758 .53565 L
.46821 .5372 L
.46847 .53758 L
.46977 .5395 L
.47013 .53999 L
.47112 .54143 L
.47206 .54235 L
.47286 .54336 L
.47387 .54528 L
.47399 .54544 L
.47518 .54721 L
.47591 .54823 L
.47651 .54914 L
.47784 .55098 L
.4779 .55106 L
.47912 .55299 L
.47977 .55393 L
.48038 .55492 L
.48166 .55684 L
.48169 .55689 L
.48272 .55877 L
.48362 .5604 L
.48372 .5607 L
.48362 .56126 L
.48284 .5607 L
.48169 .55974 L
.48078 .55877 L
.47977 .55772 L
.47899 .55684 L
.47784 .55564 L
.4773 .55492 L
.47591 .55326 L
.4756 .55299 L
.47409 .55106 L
.47399 .55094 L
.47252 .54914 L
.47206 .54863 L
.47096 .54721 L
.47013 .54613 L
.46937 .54528 L
.46821 .54364 L
.46803 .54336 L
.46643 .54143 L
.46628 .54125 L
.46439 .5395 L
.46435 .5387 L
.46345 .53758 L
.46242 .53612 L
.46219 .53565 L
.46053 .53372 L
.4605 .53369 L
.45875 .53179 L
.45857 .53111 L
.45764 .52987 L
.45664 .52847 L
.45643 .52794 L
.45472 .52601 L
.45472 .52601 L
.45306 .52409 L
.45279 .5234 L
.45191 .52216 L
.45086 .52074 L
.45073 .52023 L
.44898 .51831 L
.44894 .51825 L
.44738 .51638 L
.44701 .51562 L
.44621 .51445 L
.44508 .51295 L
.44504 .51253 L
.44328 .5106 L
.44316 .51045 L
.44171 .50867 L
.44123 .5078 L
.44054 .50674 L
.4393 .50514 L
.439 .50482 L
.4376 .50289 L
.43737 .50261 L
.43606 .50096 L
.43545 .49995 L
.43489 .49904 L
.43352 .4973 L
.43334 .49711 L
.43194 .49518 L
.43159 .49476 L
.43042 .49326 L
.42967 .49207 L
.42925 .49133 L
.42774 .48945 L
.4277 .4894 L
.4263 .48747 L
.42581 .48688 L
.4248 .48555 L
.42389 .48418 L
.4236 .48362 L
.42207 .48169 L
.42196 .48162 L
.42021 .47977 L
.42003 .47898 L
.41919 .47784 L
.41811 .47627 L
.41795 .47591 L
.41645 .47399 L
.41618 .47378 L
.41463 .47206 L
.41425 .47105 L
.41359 .47013 L
.41232 .46834 L
.41228 .46821 L
.41085 .46628 L
.4104 .46589 L
.40908 .46435 L
.40847 .46309 L
.40802 .46242 L
.40665 .4605 L
.40654 .46036 L
.40527 .45857 L
.40462 .45793 L
.40357 .45664 L
.40269 .45506 L
.40246 .45472 L
.40111 .45279 L
.40076 .45232 L
.39974 .45086 L
.39884 .44986 L
.39813 .44894 L
.39696 .44701 L
.39691 .44694 L
.39563 .44508 L
.39498 .4442 L
.39426 .44316 L
.39306 .44157 L
.3928 .44123 L
.39157 .4393 L
.39113 .43869 L
.39026 .43737 L
.3892 .43588 L
.38892 .43545 L
.38764 .43352 L
.38727 .433 L
.38641 .43159 L
.38535 .43 L
.38515 .42967 L
.38409 .42774 L
.38342 .42651 L
.38324 .42581 L
F
1 .7 0 r
.38342 .45718 m
.38415 .45857 L
.38535 .4604 L
.38538 .4605 L
.38535 .46061 L
.38523 .4605 L
.38342 .4587 L
.38332 .45857 L
F
0 .5 1 r
.38342 .449 m
.38472 .45086 L
.38535 .4516 L
.38614 .45279 L
.38727 .45419 L
.38762 .45472 L
.38727 .45609 L
.38632 .45472 L
.38535 .4535 L
.38485 .45279 L
.38342 .45091 L
.38339 .45086 L
F
0 .97 1 r
.38535 .40843 m
.38538 .40847 L
.38703 .4104 L
.38727 .41068 L
.3885 .41232 L
.3892 .4132 L
.38992 .41425 L
.39113 .41587 L
.39132 .41618 L
.3925 .41811 L
.39113 .41827 L
.39096 .41811 L
.3892 .41618 L
.3892 .41618 L
.38763 .41425 L
.38727 .4138 L
.38617 .41232 L
.38535 .41116 L
.38482 .4104 L
.38374 .40847 L
F
0 .68 1 r
.38535 .43543 m
.38536 .43545 L
.3871 .43737 L
.38727 .43755 L
.38874 .4393 L
.3892 .43981 L
.39035 .44123 L
.39113 .44214 L
.39194 .44316 L
.39306 .44437 L
.3935 .44508 L
.39498 .44694 L
.39505 .44701 L
.39652 .44894 L
.39691 .44941 L
.39802 .45086 L
.39884 .45173 L
.39952 .45279 L
.40076 .45438 L
.40106 .45472 L
.40247 .45664 L
.40269 .45693 L
.40392 .45857 L
.40462 .45932 L
.40598 .4605 L
.40654 .462 L
.4069 .46242 L
.40828 .46435 L
.40847 .46459 L
.40972 .46628 L
.4104 .46702 L
.41162 .46821 L
.41232 .46973 L
.41264 .47013 L
.41403 .47206 L
.41425 .47235 L
.41544 .47399 L
.41618 .47481 L
.41724 .47591 L
.41811 .47755 L
.41832 .47784 L
.41971 .47977 L
.42003 .48019 L
.42112 .48169 L
.42196 .48267 L
.42282 .48362 L
.42389 .48543 L
.42397 .48555 L
.42535 .48747 L
.42581 .48762 L
.42676 .4894 L
.42774 .4906 L
.42837 .49133 L
.42958 .49326 L
.42967 .49337 L
.43095 .49518 L
.43159 .49555 L
.43235 .49711 L
.43352 .49862 L
.43386 .49904 L
.43513 .50096 L
.43545 .50139 L
.43649 .50289 L
.43737 .50365 L
.43788 .50482 L
.43928 .50674 L
.4393 .50678 L
.4406 .50867 L
.44123 .50953 L
.44195 .5106 L
.44316 .51207 L
.44356 .51253 L
.44464 .51445 L
.44508 .51506 L
.44594 .51638 L
.44701 .51789 L
.44728 .51831 L
.44854 .52023 L
.44894 .52081 L
.44973 .52216 L
.45086 .5239 L
.45096 .52409 L
.45086 .52553 L
.44947 .52409 L
.44894 .52357 L
.44772 .52216 L
.44701 .52138 L
.44606 .52023 L
.44508 .5191 L
.44444 .51831 L
.44316 .51681 L
.4425 .51638 L
.44132 .51445 L
.44123 .51434 L
.4398 .51253 L
.4393 .51239 L
.43828 .5106 L
.43737 .50953 L
.43636 .50867 L
.43545 .50695 L
.43528 .50674 L
.43382 .50482 L
.43352 .50472 L
.43234 .50289 L
.43159 .502 L
.43054 .50096 L
.42967 .49937 L
.42942 .49904 L
.42796 .49711 L
.42774 .49701 L
.42652 .49518 L
.42581 .49433 L
.42481 .49326 L
.42389 .49167 L
.42365 .49133 L
.4222 .4894 L
.42196 .48928 L
.42077 .48747 L
.42003 .48657 L
.41914 .48555 L
.41811 .48389 L
.41793 .48362 L
.4165 .48169 L
.41618 .4815 L
.41508 .47977 L
.41425 .47874 L
.41351 .47784 L
.41232 .47603 L
.41225 .47591 L
.41084 .47399 L
.4104 .47367 L
.40943 .47206 L
.40847 .47083 L
.40792 .47013 L
.40662 .46821 L
.40654 .4681 L
.40524 .46628 L
.40462 .46575 L
.4032 .46435 L
.40269 .46283 L
.40238 .46242 L
.40106 .4605 L
.40076 .46009 L
.39969 .45857 L
.39884 .4577 L
.39787 .45664 L
.39691 .45472 L
.39691 .45471 L
.39558 .45279 L
.39498 .45197 L
.39422 .45086 L
.39306 .44939 L
.39267 .44894 L
.39153 .44701 L
.39113 .44645 L
.39022 .44508 L
.3892 .44364 L
.38888 .44316 L
.38761 .44123 L
.38727 .44075 L
.38639 .4393 L
.38535 .43774 L
.38513 .43737 L
.38412 .43545 L
F
1 .98 0 r
.38535 .40127 m
.38727 .40211 L
.38789 .40269 L
.3892 .404 L
.39013 .40462 L
.39113 .40648 L
.39132 .40654 L
.39275 .40847 L
.39306 .40866 L
.39419 .4104 L
.39498 .41129 L
.39606 .41232 L
.39691 .41399 L
.39712 .41425 L
.39847 .41618 L
.39884 .41666 L
.39986 .41811 L
.40076 .41895 L
.40159 .42003 L
.40267 .42196 L
.40269 .42199 L
.40397 .42389 L
.40462 .4248 L
.40528 .42581 L
.40652 .42774 L
.40654 .42777 L
.40711 .42967 L
.40654 .43004 L
.40548 .42967 L
.40462 .42923 L
.40274 .42774 L
.40269 .4277 L
.40083 .42581 L
.40076 .42573 L
.39915 .42389 L
.39884 .42341 L
.39762 .42196 L
.39691 .42084 L
.39648 .42003 L
.39498 .41861 L
.39459 .41811 L
.39317 .41618 L
.39306 .41602 L
.39176 .41425 L
.39113 .41336 L
.39067 .41232 L
.3892 .41066 L
.38896 .4104 L
.38762 .40847 L
.38727 .40794 L
.38633 .40654 L
.38535 .40532 L
.38526 .40462 L
.38425 .40269 L
F
1 .88 0 r
.38535 .42754 m
.38556 .42774 L
.38727 .42928 L
.3875 .42967 L
.3892 .43154 L
.3893 .43159 L
.39091 .43352 L
.39113 .43377 L
.39253 .43545 L
.39306 .43586 L
.39412 .43737 L
.39498 .43841 L
.39603 .4393 L
.39691 .44087 L
.39721 .44123 L
.39874 .44316 L
.39884 .44324 L
.40025 .44508 L
.40076 .44573 L
.40198 .44701 L
.40269 .44829 L
.40316 .44894 L
.40462 .45079 L
.40471 .45086 L
.40617 .45279 L
.40654 .45328 L
.40778 .45472 L
.40847 .45589 L
.40897 .45664 L
.4104 .45845 L
.41055 .45857 L
.41198 .4605 L
.41232 .46095 L
.41352 .46242 L
.41425 .46359 L
.41471 .46435 L
.41618 .46617 L
.41631 .46628 L
.41773 .46821 L
.41811 .4687 L
.41922 .47013 L
.42003 .47136 L
.42041 .47206 L
.42196 .47394 L
.42202 .47399 L
.42381 .47591 L
.42389 .47651 L
.4249 .47784 L
.42581 .47918 L
.42609 .47977 L
.4277 .48169 L
.42774 .48173 L
.42945 .48362 L
.42967 .48435 L
.43055 .48555 L
.43159 .48702 L
.43176 .48747 L
.43337 .4894 L
.43352 .48956 L
.43508 .49133 L
.43545 .49221 L
.43619 .49326 L
.43737 .49489 L
.43745 .49518 L
.43901 .49711 L
.4393 .49741 L
.4407 .49904 L
.44123 .5001 L
.44182 .50096 L
.44316 .50277 L
.44317 .50289 L
.44464 .50482 L
.44508 .50529 L
.4463 .50674 L
.44701 .50801 L
.44744 .50867 L
.44887 .5106 L
.44894 .51068 L
.45026 .51253 L
.45086 .51319 L
.45188 .51445 L
.45279 .51595 L
.45305 .51638 L
.45447 .51831 L
.45472 .51835 L
.45586 .52023 L
.45664 .52114 L
.45744 .52216 L
.45857 .52393 L
.45866 .52409 L
.46005 .52601 L
.4605 .52621 L
.46215 .52794 L
.46242 .52915 L
.46296 .52987 L
.46423 .53179 L
.46435 .53196 L
.46559 .53372 L
.46628 .53421 L
.46753 .53565 L
.46821 .53728 L
.46842 .53758 L
.46972 .5395 L
.47013 .54007 L
.47107 .54143 L
.47206 .54246 L
.47277 .54336 L
.4738 .54528 L
.47399 .54554 L
.4751 .54721 L
.47591 .54835 L
.47643 .54914 L
.47777 .55106 L
.47784 .55117 L
.47899 .55299 L
.47977 .55413 L
.48024 .55492 L
.48143 .55684 L
.48169 .55726 L
.48236 .55877 L
.48169 .55929 L
.48116 .55877 L
.47977 .55742 L
.47924 .55684 L
.47784 .55538 L
.4775 .55492 L
.47591 .55307 L
.47582 .55299 L
.47423 .55106 L
.47399 .55078 L
.47264 .54914 L
.47206 .5485 L
.47107 .54721 L
.47013 .546 L
.46946 .54528 L
.46821 .54354 L
.46809 .54336 L
.46651 .54143 L
.46628 .54116 L
.4644 .5395 L
.46435 .53861 L
.46351 .53758 L
.46242 .53605 L
.46222 .53565 L
.46058 .53372 L
.4605 .53362 L
.45877 .53179 L
.45857 .53104 L
.45769 .52987 L
.45664 .52842 L
.45646 .52794 L
.45476 .52601 L
.45472 .52596 L
.45308 .52409 L
.45279 .52335 L
.45194 .52216 L
.45086 .5207 L
.45074 .52023 L
.44901 .51831 L
.44894 .51821 L
.4474 .51638 L
.44701 .51558 L
.44624 .51445 L
.44508 .51292 L
.44504 .51253 L
.4433 .5106 L
.44316 .51042 L
.44173 .50867 L
.44123 .50776 L
.44057 .50674 L
.4393 .50511 L
.43903 .50482 L
.43762 .50289 L
.43737 .50259 L
.43608 .50096 L
.43545 .49992 L
.43491 .49904 L
.43352 .49727 L
.43337 .49711 L
.43196 .49518 L
.43159 .49473 L
.43044 .49326 L
.42967 .49205 L
.42926 .49133 L
.42774 .48942 L
.42772 .4894 L
.42632 .48747 L
.42581 .48685 L
.42482 .48555 L
.42389 .48416 L
.42362 .48362 L
.42209 .48169 L
.42196 .4816 L
.42022 .47977 L
.42003 .47895 L
.41921 .47784 L
.41811 .47624 L
.41796 .47591 L
.41647 .47399 L
.41618 .47375 L
.41465 .47206 L
.41425 .47102 L
.41362 .47013 L
.41232 .4683 L
.41229 .46821 L
.41088 .46628 L
.4104 .46586 L
.4091 .46435 L
.40847 .46305 L
.40804 .46242 L
.40668 .4605 L
.40654 .46031 L
.40531 .45857 L
.40462 .45789 L
.40361 .45664 L
.40269 .45501 L
.4025 .45472 L
.40115 .45279 L
.40076 .45227 L
.39978 .45086 L
.39884 .44979 L
.39818 .44894 L
.39702 .44701 L
.39691 .44687 L
.39568 .44508 L
.39498 .44411 L
.39433 .44316 L
.39306 .44144 L
.3929 .44123 L
.39166 .4393 L
.39113 .43856 L
.39035 .43737 L
.3892 .43573 L
.38902 .43545 L
.38778 .43352 L
.38727 .43278 L
.38657 .43159 L
.38535 .42969 L
.38534 .42967 L
.38451 .42774 L
F
0 .91 1 r
.38535 .38457 m
.38598 .38535 L
.38727 .38689 L
.38755 .38727 L
.38727 .38895 L
.38604 .38727 L
.38535 .38639 L
.38471 .38535 L
F
1 .96 0 r
.38535 .37673 m
.38653 .37764 L
.38727 .37826 L
.38853 .37957 L
.3892 .38027 L
.39026 .38149 L
.39113 .38237 L
.39188 .38342 L
.39306 .38488 L
.3935 .38535 L
.39488 .38727 L
.39498 .38741 L
.39629 .3892 L
.39691 .39006 L
.39766 .39113 L
.39884 .3928 L
.39893 .39306 L
.39987 .39498 L
.39884 .39621 L
.39703 .39498 L
.39691 .39487 L
.39524 .39306 L
.39498 .39277 L
.39369 .39113 L
.39306 .39034 L
.39221 .3892 L
.39113 .38796 L
.39051 .38727 L
.38941 .38535 L
.3892 .38507 L
.38811 .38342 L
.38727 .3822 L
.38682 .38149 L
.38566 .37957 L
.38535 .37902 L
.38476 .37764 L
F
1 .51 0 r
.38535 .44318 m
.38684 .44508 L
.38727 .44558 L
.38836 .44701 L
.3892 .44801 L
.38989 .44894 L
.39113 .45047 L
.39142 .45086 L
.39291 .45279 L
.39306 .45297 L
.39435 .45472 L
.39498 .45551 L
.39581 .45664 L
.39691 .45805 L
.39729 .45857 L
.39875 .4605 L
.39884 .46061 L
.40015 .46242 L
.40076 .46321 L
.40158 .46435 L
.40269 .46541 L
.40303 .46628 L
.40446 .46821 L
.40462 .46841 L
.40583 .47013 L
.40654 .47106 L
.40725 .47206 L
.40847 .47345 L
.40868 .47399 L
.41005 .47591 L
.4104 .47637 L
.41141 .47784 L
.41232 .47906 L
.41281 .47977 L
.41422 .48169 L
.41425 .48174 L
.41551 .48362 L
.41618 .48451 L
.41686 .48555 L
.41811 .48727 L
.41824 .48747 L
.41948 .4894 L
.42003 .49016 L
.42072 .49133 L
.42196 .49314 L
.42202 .49326 L
.42196 .49442 L
.42095 .49326 L
.42003 .49233 L
.41922 .49133 L
.41811 .49005 L
.4176 .4894 L
.41618 .48791 L
.41602 .48747 L
.41451 .48555 L
.41425 .48524 L
.41301 .48362 L
.41232 .48278 L
.4115 .48169 L
.4104 .48071 L
.41 .47977 L
.40853 .47784 L
.40847 .47777 L
.40709 .47591 L
.40654 .47522 L
.40563 .47399 L
.40462 .47307 L
.40417 .47206 L
.40273 .47013 L
.40269 .47009 L
.40132 .46821 L
.40076 .46748 L
.39989 .46628 L
.39884 .4652 L
.39846 .46435 L
.39705 .46242 L
.39691 .46224 L
.39567 .4605 L
.39498 .45958 L
.39427 .45857 L
.39306 .45711 L
.39286 .45664 L
.3915 .45472 L
.39113 .45422 L
.39015 .45279 L
.3892 .4515 L
.38876 .45086 L
.38741 .44894 L
.38727 .44876 L
.38612 .44701 L
.38535 .44593 L
.3848 .44508 L
F
1 .5 0 r
.38535 .44329 m
.38676 .44508 L
.38727 .44566 L
.3883 .44701 L
.3892 .44808 L
.38984 .44894 L
.39113 .45053 L
.39137 .45086 L
.39286 .45279 L
.39306 .45303 L
.3943 .45472 L
.39498 .45557 L
.39577 .45664 L
.39691 .4581 L
.39725 .45857 L
.3987 .4605 L
.39884 .46066 L
.40011 .46242 L
.40076 .46326 L
.40155 .46435 L
.40269 .46549 L
.403 .46628 L
.40442 .46821 L
.40462 .46846 L
.4058 .47013 L
.40654 .47111 L
.40721 .47206 L
.40847 .47354 L
.40864 .47399 L
.41001 .47591 L
.4104 .47642 L
.41137 .47784 L
.41232 .47911 L
.41277 .47977 L
.41417 .48169 L
.41425 .48181 L
.41546 .48362 L
.41618 .48459 L
.4168 .48555 L
.41811 .48735 L
.41819 .48747 L
.4194 .4894 L
.42003 .49028 L
.42063 .49133 L
.42003 .4922 L
.41932 .49133 L
.41811 .48995 L
.41767 .4894 L
.41618 .48774 L
.41608 .48747 L
.41457 .48555 L
.41425 .48517 L
.41307 .48362 L
.41232 .48271 L
.41155 .48169 L
.4104 .48061 L
.41005 .47977 L
.40858 .47784 L
.40847 .47771 L
.40713 .47591 L
.40654 .47516 L
.40567 .47399 L
.40462 .47299 L
.40421 .47206 L
.40277 .47013 L
.40269 .47003 L
.40136 .46821 L
.40076 .46742 L
.39993 .46628 L
.39884 .46513 L
.3985 .46435 L
.3971 .46242 L
.39691 .46218 L
.39571 .4605 L
.39498 .45952 L
.39431 .45857 L
.39306 .45702 L
.3929 .45664 L
.39155 .45472 L
.39113 .45416 L
.39019 .45279 L
.3892 .45143 L
.38881 .45086 L
.38747 .44894 L
.38727 .44868 L
.38619 .44701 L
.38535 .44584 L
.38486 .44508 L
F
1 .49 0 r
.38535 .4434 m
.38668 .44508 L
.38727 .44575 L
.38823 .44701 L
.3892 .44815 L
.38979 .44894 L
.39113 .4506 L
.39133 .45086 L
.3928 .45279 L
.39306 .45309 L
.39425 .45472 L
.39498 .45562 L
.39573 .45664 L
.39691 .45815 L
.39721 .45857 L
.39866 .4605 L
.39884 .46072 L
.40007 .46242 L
.40076 .46331 L
.40151 .46435 L
.40269 .46557 L
.40296 .46628 L
.40437 .46821 L
.40462 .46851 L
.40576 .47013 L
.40654 .47116 L
.40717 .47206 L
.40847 .47362 L
.40861 .47399 L
.40997 .47591 L
.4104 .47648 L
.41133 .47784 L
.41232 .47917 L
.41273 .47977 L
.41412 .48169 L
.41425 .48187 L
.41541 .48362 L
.41618 .48466 L
.41675 .48555 L
.41811 .48743 L
.41813 .48747 L
.41931 .4894 L
.42003 .49041 L
.42053 .49133 L
.42003 .49206 L
.41943 .49133 L
.41811 .48985 L
.41775 .4894 L
.41618 .48756 L
.41615 .48747 L
.41464 .48555 L
.41425 .48509 L
.41312 .48362 L
.41232 .48264 L
.4116 .48169 L
.4104 .48051 L
.41009 .47977 L
.40863 .47784 L
.40847 .47765 L
.40718 .47591 L
.40654 .47511 L
.40572 .47399 L
.40462 .47291 L
.40425 .47206 L
.40281 .47013 L
.40269 .46998 L
.40141 .46821 L
.40076 .46737 L
.39997 .46628 L
.39884 .46505 L
.39854 .46435 L
.39714 .46242 L
.39691 .46213 L
.39576 .4605 L
.39498 .45947 L
.39435 .45857 L
.39306 .45692 L
.39294 .45664 L
.3916 .45472 L
.39113 .45409 L
.39024 .45279 L
.3892 .45137 L
.38886 .45086 L
.38753 .44894 L
.38727 .44859 L
.38625 .44701 L
.38535 .44574 L
.38493 .44508 L
F
0 .49 1 r
.38535 .45175 m
.38603 .45279 L
.38727 .45432 L
.38753 .45472 L
.38727 .45593 L
.38645 .45472 L
.38535 .45336 L
.38496 .45279 L
F
1 .48 0 r
.38535 .44352 m
.38659 .44508 L
.38727 .44584 L
.38817 .44701 L
.3892 .44823 L
.38973 .44894 L
.39113 .45066 L
.39128 .45086 L
.39275 .45279 L
.39306 .45316 L
.39421 .45472 L
.39498 .45568 L
.39569 .45664 L
.39691 .45821 L
.39717 .45857 L
.39862 .4605 L
.39884 .46077 L
.40003 .46242 L
.40076 .46336 L
.40147 .46435 L
.40269 .46565 L
.40293 .46628 L
.40433 .46821 L
.40462 .46857 L
.40572 .47013 L
.40654 .47121 L
.40714 .47206 L
.40847 .47372 L
.40857 .47399 L
.40992 .47591 L
.4104 .47654 L
.41129 .47784 L
.41232 .47923 L
.41269 .47977 L
.41406 .48169 L
.41425 .48194 L
.41535 .48362 L
.41618 .48474 L
.4167 .48555 L
.41618 .48742 L
.41471 .48555 L
.41425 .48501 L
.41318 .48362 L
.41232 .48257 L
.41166 .48169 L
.4104 .4804 L
.41014 .47977 L
.40868 .47784 L
.40847 .47759 L
.40723 .47591 L
.40654 .47505 L
.40576 .47399 L
.40462 .47283 L
.40429 .47206 L
.40286 .47013 L
.40269 .46992 L
.40145 .46821 L
.40076 .46731 L
.40001 .46628 L
.39884 .46496 L
.39858 .46435 L
.39718 .46242 L
.39691 .46207 L
.3958 .4605 L
.39498 .45941 L
.39439 .45857 L
.39306 .45682 L
.39298 .45664 L
.39165 .45472 L
.39113 .45402 L
.39029 .45279 L
.3892 .45129 L
.38891 .45086 L
.3876 .44894 L
.38727 .4485 L
.38632 .44701 L
.38535 .44564 L
.385 .44508 L
F
0 .48 1 r
.38535 .45193 m
.38589 .45279 L
.38727 .45448 L
.38743 .45472 L
.38727 .45574 L
.3866 .45472 L
.38535 .4532 L
.38508 .45279 L
F
1 .47 0 r
.38535 .44365 m
.38649 .44508 L
.38727 .44594 L
.38809 .44701 L
.3892 .44831 L
.38967 .44894 L
.39113 .45073 L
.39123 .45086 L
.39269 .45279 L
.39306 .45322 L
.39416 .45472 L
.39498 .45574 L
.39564 .45664 L
.39691 .45826 L
.39714 .45857 L
.39857 .4605 L
.39884 .46083 L
.39999 .46242 L
.40076 .46341 L
.40143 .46435 L
.40269 .46574 L
.40289 .46628 L
.40429 .46821 L
.40462 .46862 L
.40568 .47013 L
.40654 .47126 L
.4071 .47206 L
.40847 .47381 L
.40854 .47399 L
.40988 .47591 L
.4104 .47659 L
.41124 .47784 L
.41232 .47929 L
.41265 .47977 L
.41401 .48169 L
.41425 .48202 L
.41529 .48362 L
.41618 .48482 L
.41664 .48555 L
.41618 .48733 L
.41479 .48555 L
.41425 .48493 L
.41325 .48362 L
.41232 .4825 L
.41171 .48169 L
.4104 .48029 L
.41019 .47977 L
.40873 .47784 L
.40847 .47752 L
.40728 .47591 L
.40654 .47499 L
.4058 .47399 L
.40462 .47274 L
.40433 .47206 L
.40291 .47013 L
.40269 .46986 L
.40149 .46821 L
.40076 .46726 L
.40005 .46628 L
.39884 .46487 L
.39862 .46435 L
.39723 .46242 L
.39691 .46201 L
.39584 .4605 L
.39498 .45935 L
.39443 .45857 L
.39306 .45672 L
.39302 .45664 L
.3917 .45472 L
.39113 .45395 L
.39034 .45279 L
.3892 .45122 L
.38896 .45086 L
.38767 .44894 L
.38727 .44841 L
.38639 .44701 L
.38535 .44552 L
.38508 .44508 L
F
1 .46 0 r
.38535 .4438 m
.38637 .44508 L
.38727 .44604 L
.38802 .44701 L
.3892 .44839 L
.38961 .44894 L
.39113 .4508 L
.39118 .45086 L
.39263 .45279 L
.39306 .45329 L
.39411 .45472 L
.39498 .4558 L
.3956 .45664 L
.39691 .45832 L
.39709 .45857 L
.39853 .4605 L
.39884 .46088 L
.39994 .46242 L
.40076 .46347 L
.40139 .46435 L
.40269 .46584 L
.40285 .46628 L
.40425 .46821 L
.40462 .46868 L
.40564 .47013 L
.40654 .47132 L
.40706 .47206 L
.40847 .47391 L
.4085 .47399 L
.40983 .47591 L
.4104 .47666 L
.4112 .47784 L
.41232 .47935 L
.4126 .47977 L
.41395 .48169 L
.41425 .4821 L
.41523 .48362 L
.41618 .48491 L
.41658 .48555 L
.41618 .48722 L
.41487 .48555 L
.41425 .48485 L
.41331 .48362 L
.41232 .48243 L
.41177 .48169 L
.4104 .48016 L
.41024 .47977 L
.40878 .47784 L
.40847 .47746 L
.40732 .47591 L
.40654 .47493 L
.40585 .47399 L
.40462 .47264 L
.40438 .47206 L
.40295 .47013 L
.40269 .4698 L
.40154 .46821 L
.40076 .4672 L
.4001 .46628 L
.39884 .46478 L
.39866 .46435 L
.39728 .46242 L
.39691 .46195 L
.39589 .4605 L
.39498 .45929 L
.39448 .45857 L
.39307 .45664 L
.39306 .45662 L
.39175 .45472 L
.39113 .45388 L
.39039 .45279 L
.3892 .45114 L
.38901 .45086 L
.38774 .44894 L
.38727 .4483 L
.38647 .44701 L
.38535 .4454 L
.38516 .44508 L
F
0 .47 1 r
.38535 .45217 m
.3857 .45279 L
.38727 .45467 L
.3873 .45472 L
.38727 .45548 L
.38681 .45472 L
.38535 .45299 L
.38522 .45279 L
F
0 .67 1 r
.38535 .43563 m
.38696 .43737 L
.38727 .43768 L
.38865 .4393 L
.3892 .43991 L
.39028 .44123 L
.39113 .44222 L
.39187 .44316 L
.39306 .44445 L
.39344 .44508 L
.39498 .44701 L
.39498 .44701 L
.39648 .44894 L
.39691 .44947 L
.39798 .45086 L
.39884 .45178 L
.39948 .45279 L
.40076 .45443 L
.40102 .45472 L
.40243 .45664 L
.40269 .45697 L
.40389 .45857 L
.40462 .45936 L
.40595 .4605 L
.40654 .46204 L
.40686 .46242 L
.40825 .46435 L
.40847 .46463 L
.40969 .46628 L
.4104 .46706 L
.41159 .46821 L
.41232 .46977 L
.41261 .47013 L
.414 .47206 L
.41425 .47239 L
.41542 .47399 L
.41618 .47484 L
.41721 .47591 L
.41811 .47758 L
.4183 .47784 L
.41969 .47977 L
.42003 .48022 L
.4211 .48169 L
.42196 .4827 L
.42279 .48362 L
.42389 .48546 L
.42395 .48555 L
.42533 .48747 L
.42581 .48764 L
.42673 .4894 L
.42774 .49064 L
.42834 .49133 L
.42955 .49326 L
.42967 .49341 L
.43092 .49518 L
.43159 .49558 L
.43232 .49711 L
.43352 .49867 L
.43382 .49904 L
.4351 .50096 L
.43545 .50143 L
.43646 .50289 L
.43737 .50371 L
.43785 .50482 L
.43924 .50674 L
.4393 .50683 L
.44056 .50867 L
.44123 .50958 L
.44192 .5106 L
.44316 .51217 L
.44348 .51253 L
.44459 .51445 L
.44508 .51513 L
.44589 .51638 L
.44701 .51797 L
.44722 .51831 L
.44845 .52023 L
.44894 .52094 L
.44963 .52216 L
.44894 .52342 L
.44784 .52216 L
.44701 .52127 L
.44614 .52023 L
.44508 .519 L
.44451 .51831 L
.44316 .51671 L
.44263 .51638 L
.44139 .51445 L
.44123 .51427 L
.43986 .51253 L
.4393 .51236 L
.43833 .5106 L
.43737 .50947 L
.43641 .50867 L
.43545 .5069 L
.43532 .50674 L
.43386 .50482 L
.43352 .5047 L
.43238 .50289 L
.43159 .50195 L
.43058 .50096 L
.42967 .49933 L
.42945 .49904 L
.428 .49711 L
.42774 .497 L
.42655 .49518 L
.42581 .49429 L
.42484 .49326 L
.42389 .49164 L
.42367 .49133 L
.42223 .4894 L
.42196 .48926 L
.42079 .48747 L
.42003 .48654 L
.41917 .48555 L
.41811 .48385 L
.41796 .48362 L
.41652 .48169 L
.41618 .48148 L
.4151 .47977 L
.41425 .4787 L
.41354 .47784 L
.41232 .476 L
.41227 .47591 L
.41087 .47399 L
.4104 .47364 L
.40946 .47206 L
.40847 .47079 L
.40795 .47013 L
.40665 .46821 L
.40654 .46807 L
.40527 .46628 L
.40462 .46572 L
.40323 .46435 L
.40269 .46279 L
.40241 .46242 L
.40109 .4605 L
.40076 .46005 L
.39972 .45857 L
.39884 .45765 L
.39791 .45664 L
.39695 .45472 L
.39691 .45466 L
.39562 .45279 L
.39498 .45192 L
.39426 .45086 L
.39306 .44931 L
.39274 .44894 L
.39158 .44701 L
.39113 .44638 L
.39027 .44508 L
.3892 .44356 L
.38894 .44316 L
.38768 .44123 L
.38727 .44064 L
.38647 .4393 L
.38535 .43759 L
.38523 .43737 L
F
1 .45 0 r
.38535 .44398 m
.38624 .44508 L
.38727 .44615 L
.38793 .44701 L
.3892 .44847 L
.38955 .44894 L
.39112 .45086 L
.39113 .45087 L
.39257 .45279 L
.39306 .45336 L
.39405 .45472 L
.39498 .45586 L
.39555 .45664 L
.39691 .45837 L
.39705 .45857 L
.39848 .4605 L
.39884 .46094 L
.3999 .46242 L
.40076 .46352 L
.40135 .46435 L
.40269 .46593 L
.40282 .46628 L
.4042 .46821 L
.40462 .46873 L
.40559 .47013 L
.40654 .47137 L
.40702 .47206 L
.40846 .47399 L
.40847 .474 L
.40978 .47591 L
.4104 .47672 L
.41115 .47784 L
.41232 .47942 L
.41256 .47977 L
.41389 .48169 L
.41425 .48218 L
.41517 .48362 L
.41618 .485 L
.41652 .48555 L
.41618 .48711 L
.41495 .48555 L
.41425 .48476 L
.41338 .48362 L
.41232 .48235 L
.41182 .48169 L
.4104 .48003 L
.4103 .47977 L
.40884 .47784 L
.40847 .47739 L
.40738 .47591 L
.40654 .47486 L
.40589 .47399 L
.40462 .47254 L
.40442 .47206 L
.403 .47013 L
.40269 .46974 L
.40158 .46821 L
.40076 .46714 L
.40014 .46628 L
.39884 .46468 L
.3987 .46435 L
.39732 .46242 L
.39691 .46189 L
.39594 .4605 L
.39498 .45923 L
.39452 .45857 L
.39313 .45664 L
.39306 .45655 L
.39181 .45472 L
.39113 .4538 L
.39045 .45279 L
.3892 .45106 L
.38907 .45086 L
.38782 .44894 L
.38727 .44819 L
.38656 .44701 L
.38535 .44525 L
.38525 .44508 L
F
0 .99 1 r
.38535 .36981 m
.38659 .36993 L
.38727 .37023 L
.3892 .37183 L
.38938 .37186 L
.39113 .37365 L
.3912 .37379 L
.39294 .37571 L
.39306 .37587 L
.39471 .37764 L
.39498 .37834 L
.39597 .37957 L
.39691 .38099 L
.39714 .38149 L
.39884 .38318 L
.39902 .38342 L
.40053 .38535 L
.40076 .3858 L
.40175 .38727 L
.40269 .3885 L
.40278 .3892 L
.40462 .39107 L
.40472 .39113 L
.40617 .39306 L
.40654 .39369 L
.40729 .39498 L
.40847 .39659 L
.40867 .39691 L
.40847 .39869 L
.40654 .39881 L
.40462 .39812 L
.40347 .39691 L
.40269 .39602 L
.4016 .39498 L
.40076 .3935 L
.40043 .39306 L
.39902 .39113 L
.39884 .39109 L
.39762 .3892 L
.39691 .38846 L
.39594 .38727 L
.39498 .38566 L
.39478 .38535 L
.39341 .38342 L
.39306 .38293 L
.39204 .38149 L
.39113 .38023 L
.39047 .37957 L
.3893 .37764 L
.3892 .37751 L
.38802 .37571 L
.38727 .3746 L
.38676 .37379 L
.38567 .37186 L
.38535 .37114 L
.38527 .36993 L
F
0 .66 1 r
.38535 .43588 m
.3868 .43737 L
.38727 .43782 L
.38854 .4393 L
.3892 .44001 L
.3902 .44123 L
.39113 .44231 L
.39181 .44316 L
.39306 .44454 L
.39339 .44508 L
.39492 .44701 L
.39498 .44708 L
.39643 .44894 L
.39691 .44953 L
.39794 .45086 L
.39884 .45184 L
.39944 .45279 L
.40076 .45448 L
.40098 .45472 L
.40239 .45664 L
.40269 .45702 L
.40386 .45857 L
.40462 .4594 L
.40591 .4605 L
.40654 .46208 L
.40683 .46242 L
.40822 .46435 L
.40847 .46467 L
.40966 .46628 L
.4104 .46709 L
.41156 .46821 L
.41232 .46981 L
.41258 .47013 L
.41397 .47206 L
.41425 .47242 L
.41539 .47399 L
.41618 .47488 L
.41718 .47591 L
.41811 .47761 L
.41828 .47784 L
.41966 .47977 L
.42003 .48025 L
.42107 .48169 L
.42196 .48273 L
.42277 .48362 L
.42389 .4855 L
.42392 .48555 L
.4253 .48747 L
.42581 .48766 L
.42671 .4894 L
.42774 .49067 L
.42831 .49133 L
.42952 .49326 L
.42967 .49344 L
.4309 .49518 L
.43159 .49561 L
.43229 .49711 L
.43352 .49871 L
.43379 .49904 L
.43507 .50096 L
.43545 .50148 L
.43643 .50289 L
.43737 .50376 L
.43782 .50482 L
.4392 .50674 L
.4393 .50688 L
.44052 .50867 L
.44123 .50963 L
.44188 .5106 L
.44316 .51226 L
.44339 .51253 L
.44454 .51445 L
.44508 .51521 L
.44583 .51638 L
.44701 .51806 L
.44717 .51831 L
.44837 .52023 L
.44894 .52108 L
.44953 .52216 L
.44894 .52325 L
.44796 .52216 L
.44701 .52115 L
.44624 .52023 L
.44508 .51891 L
.44459 .51831 L
.44316 .51662 L
.44278 .51638 L
.44145 .51445 L
.44123 .51419 L
.43991 .51253 L
.4393 .51232 L
.43838 .5106 L
.43737 .50941 L
.43648 .50867 L
.43545 .50684 L
.43537 .50674 L
.4339 .50482 L
.43352 .50468 L
.43241 .50289 L
.43159 .50191 L
.43061 .50096 L
.42967 .49928 L
.42948 .49904 L
.42803 .49711 L
.42774 .49698 L
.42658 .49518 L
.42581 .49425 L
.42488 .49326 L
.42389 .4916 L
.4237 .49133 L
.42226 .4894 L
.42196 .48924 L
.42082 .48747 L
.42003 .4865 L
.4192 .48555 L
.41811 .48382 L
.41798 .48362 L
.41655 .48169 L
.41618 .48146 L
.41513 .47977 L
.41425 .47867 L
.41356 .47784 L
.41232 .47596 L
.4123 .47591 L
.4109 .47399 L
.4104 .47362 L
.40948 .47206 L
.40847 .47075 L
.40798 .47013 L
.40668 .46821 L
.40654 .46803 L
.40529 .46628 L
.40462 .46568 L
.40327 .46435 L
.40269 .46275 L
.40245 .46242 L
.40112 .4605 L
.40076 .46001 L
.39975 .45857 L
.39884 .45759 L
.39796 .45664 L
.39699 .45472 L
.39691 .45461 L
.39566 .45279 L
.39498 .45186 L
.3943 .45086 L
.39306 .44922 L
.39282 .44894 L
.39163 .44701 L
.39113 .44631 L
.39032 .44508 L
.3892 .44348 L
.38899 .44316 L
.38776 .44123 L
.38727 .44052 L
.38656 .4393 L
.38535 .43741 L
.38533 .43737 L
F
1 .97 0 r
.38727 .40292 m
.3892 .40454 L
.38934 .40462 L
.39096 .40654 L
.39113 .40674 L
.39249 .40847 L
.39306 .40885 L
.39397 .4104 L
.39498 .41156 L
.3958 .41232 L
.3969 .41425 L
.39691 .41426 L
.39828 .41618 L
.39884 .41692 L
.39967 .41811 L
.40076 .41932 L
.4013 .42003 L
.40241 .42196 L
.40269 .42235 L
.40368 .42389 L
.40462 .42531 L
.40492 .42581 L
.40577 .42774 L
.40462 .42833 L
.4037 .42774 L
.40269 .42717 L
.40145 .42581 L
.40076 .42507 L
.39963 .42389 L
.39884 .42282 L
.39797 .42196 L
.39691 .4204 L
.3967 .42003 L
.39498 .41814 L
.39496 .41811 L
.39349 .41618 L
.39306 .41562 L
.39204 .41425 L
.39113 .41293 L
.39089 .41232 L
.38933 .4104 L
.3892 .41021 L
.38801 .40847 L
.38727 .40729 L
.38676 .40654 L
.38579 .40462 L
F
1 .95 0 r
.38727 .37916 m
.38774 .37957 L
.3892 .3809 L
.38974 .38149 L
.39113 .38293 L
.39146 .38342 L
.39304 .38535 L
.39306 .38537 L
.39452 .38727 L
.39498 .38788 L
.39594 .3892 L
.39691 .39057 L
.39729 .39113 L
.39844 .39306 L
.39884 .39393 L
.39908 .39498 L
.39884 .39527 L
.39791 .39498 L
.39691 .3943 L
.39567 .39306 L
.39498 .39232 L
.39402 .39113 L
.39306 .38995 L
.3925 .3892 L
.39113 .38743 L
.39099 .38727 L
.38974 .38535 L
.3892 .38458 L
.38847 .38342 L
.38727 .38155 L
.38724 .38149 L
.38644 .37957 L
F
1 .96 0 r
.38727 .40384 m
.38858 .40462 L
.3892 .40511 L
.39056 .40654 L
.39113 .40714 L
.3922 .40847 L
.39306 .40912 L
.39374 .4104 L
.39498 .41187 L
.39548 .41232 L
.39669 .41425 L
.39691 .41453 L
.39807 .41618 L
.39884 .41719 L
.39947 .41811 L
.40076 .41978 L
.40095 .42003 L
.40213 .42196 L
.40269 .42278 L
.40335 .42389 L
.40443 .42581 L
.40269 .42649 L
.40214 .42581 L
.40076 .42453 L
.40013 .42389 L
.39884 .42237 L
.39834 .42196 L
.39691 .4201 L
.39687 .42003 L
.39529 .41811 L
.39498 .41788 L
.3938 .41618 L
.39306 .41522 L
.39232 .41425 L
.39113 .41249 L
.39106 .41232 L
.38967 .4104 L
.3892 .40967 L
.38841 .40847 L
.3873 .40654 L
.38727 .40649 L
.38656 .40462 L
F
1 .44 0 r
.38727 .44627 m
.38784 .44701 L
.3892 .44856 L
.38948 .44894 L
.39105 .45086 L
.39113 .45095 L
.39251 .45279 L
.39306 .45343 L
.394 .45472 L
.39498 .45592 L
.39551 .45664 L
.39691 .45843 L
.39701 .45857 L
.39843 .4605 L
.39884 .461 L
.39986 .46242 L
.40076 .46358 L
.40131 .46435 L
.40269 .46603 L
.40278 .46628 L
.40416 .46821 L
.40462 .46879 L
.40555 .47013 L
.40654 .47143 L
.40698 .47206 L
.40841 .47399 L
.40847 .47407 L
.40973 .47591 L
.4104 .47679 L
.4111 .47784 L
.41232 .47948 L
.41251 .47977 L
.41382 .48169 L
.41425 .48227 L
.4151 .48362 L
.41618 .4851 L
.41645 .48555 L
.41618 .48698 L
.41505 .48555 L
.41425 .48466 L
.41345 .48362 L
.41232 .48227 L
.41188 .48169 L
.4104 .47989 L
.41035 .47977 L
.4089 .47784 L
.40847 .47732 L
.40743 .47591 L
.40654 .4748 L
.40594 .47399 L
.40462 .47244 L
.40446 .47206 L
.40305 .47013 L
.40269 .46968 L
.40163 .46821 L
.40076 .46708 L
.40018 .46628 L
.39884 .46458 L
.39874 .46435 L
.39737 .46242 L
.39691 .46182 L
.39598 .4605 L
.39498 .45916 L
.39457 .45857 L
.39318 .45664 L
.39306 .45648 L
.39187 .45472 L
.39113 .45373 L
.3905 .45279 L
.3892 .45098 L
.38913 .45086 L
.3879 .44894 L
.38727 .44807 L
.38665 .44701 L
F
0 .65 1 r
.38727 .43797 m
.38843 .4393 L
.3892 .44012 L
.39011 .44123 L
.39113 .44239 L
.39174 .44316 L
.39306 .44463 L
.39333 .44508 L
.39487 .44701 L
.39498 .44715 L
.39638 .44894 L
.39691 .44959 L
.39789 .45086 L
.39884 .45189 L
.3994 .45279 L
.40076 .45454 L
.40093 .45472 L
.40235 .45664 L
.40269 .45707 L
.40382 .45857 L
.40462 .45944 L
.40587 .4605 L
.40654 .46213 L
.4068 .46242 L
.40819 .46435 L
.40847 .46471 L
.40963 .46628 L
.4104 .46713 L
.41153 .46821 L
.41232 .46984 L
.41256 .47013 L
.41395 .47206 L
.41425 .47246 L
.41537 .47399 L
.41618 .47491 L
.41715 .47591 L
.41811 .47765 L
.41825 .47784 L
.41964 .47977 L
.42003 .48029 L
.42105 .48169 L
.42196 .48277 L
.42274 .48362 L
.42389 .48553 L
.4239 .48555 L
.42528 .48747 L
.42581 .48768 L
.42668 .4894 L
.42774 .49071 L
.42827 .49133 L
.4295 .49326 L
.42967 .49348 L
.43087 .49518 L
.43159 .49565 L
.43227 .49711 L
.43352 .49876 L
.43375 .49904 L
.43503 .50096 L
.43545 .50152 L
.4364 .50289 L
.43737 .50382 L
.43779 .50482 L
.43917 .50674 L
.4393 .50693 L
.44049 .50867 L
.44123 .50969 L
.44184 .5106 L
.44316 .51237 L
.4433 .51253 L
.44449 .51445 L
.44508 .51528 L
.44578 .51638 L
.44701 .51815 L
.44711 .51831 L
.44827 .52023 L
.44894 .52124 L
.44941 .52216 L
.44894 .52307 L
.4481 .52216 L
.44701 .52103 L
.44633 .52023 L
.44508 .51881 L
.44467 .51831 L
.44316 .51652 L
.44293 .51638 L
.44151 .51445 L
.44123 .51412 L
.43997 .51253 L
.4393 .51228 L
.43843 .5106 L
.43737 .50935 L
.43654 .50867 L
.43545 .50679 L
.43541 .50674 L
.43394 .50482 L
.43352 .50466 L
.43245 .50289 L
.43159 .50186 L
.43066 .50096 L
.42967 .49924 L
.42951 .49904 L
.42806 .49711 L
.42774 .49696 L
.42661 .49518 L
.42581 .49422 L
.42491 .49326 L
.42389 .49156 L
.42372 .49133 L
.42229 .4894 L
.42196 .48922 L
.42085 .48747 L
.42003 .48646 L
.41923 .48555 L
.41811 .48378 L
.418 .48362 L
.41658 .48169 L
.41618 .48144 L
.41515 .47977 L
.41425 .47863 L
.41359 .47784 L
.41232 .47593 L
.41232 .47591 L
.41092 .47399 L
.4104 .47359 L
.40951 .47206 L
.40847 .47072 L
.40801 .47013 L
.4067 .46821 L
.40654 .46799 L
.40532 .46628 L
.40462 .46565 L
.4033 .46435 L
.40269 .4627 L
.40248 .46242 L
.40116 .4605 L
.40076 .45997 L
.39978 .45857 L
.39884 .45754 L
.39801 .45664 L
.39702 .45472 L
.39691 .45456 L
.39569 .45279 L
.39498 .45181 L
.39434 .45086 L
.39306 .44913 L
.39289 .44894 L
.39168 .44701 L
.39113 .44624 L
.39038 .44508 L
.3892 .44339 L
.38905 .44316 L
.38784 .44123 L
.38727 .44039 L
.38665 .4393 L
F
1 .87 0 r
.38727 .42975 m
.38901 .43159 L
.3892 .43178 L
.39072 .43352 L
.39113 .43396 L
.39238 .43545 L
.39306 .43599 L
.394 .43737 L
.39498 .43855 L
.3959 .4393 L
.39691 .44099 L
.39712 .44123 L
.39865 .44316 L
.39884 .44331 L
.40017 .44508 L
.40076 .44583 L
.40192 .44701 L
.40269 .44838 L
.4031 .44894 L
.40462 .45084 L
.40464 .45086 L
.40612 .45279 L
.40654 .45334 L
.40774 .45472 L
.40847 .45595 L
.40893 .45664 L
.4104 .45849 L
.4105 .45857 L
.41194 .4605 L
.41232 .461 L
.41349 .46242 L
.41425 .46364 L
.41468 .46435 L
.41618 .4662 L
.41627 .46628 L
.4177 .46821 L
.41811 .46874 L
.4192 .47013 L
.42003 .4714 L
.42039 .47206 L
.42196 .47396 L
.42199 .47399 L
.4238 .47591 L
.42389 .47654 L
.42487 .47784 L
.42581 .47921 L
.42608 .47977 L
.42768 .48169 L
.42774 .48176 L
.42944 .48362 L
.42967 .48438 L
.43053 .48555 L
.43159 .48705 L
.43175 .48747 L
.43334 .4894 L
.43352 .48958 L
.43507 .49133 L
.43545 .49224 L
.43617 .49326 L
.43737 .49491 L
.43744 .49518 L
.43899 .49711 L
.4393 .49743 L
.44068 .49904 L
.44123 .50013 L
.4418 .50096 L
.44316 .5028 L
.44316 .50289 L
.44462 .50482 L
.44508 .50531 L
.44628 .50674 L
.44701 .50804 L
.44742 .50867 L
.44885 .5106 L
.44894 .51071 L
.45024 .51253 L
.45086 .51322 L
.45186 .51445 L
.45279 .51598 L
.45303 .51638 L
.45445 .51831 L
.45472 .51836 L
.45584 .52023 L
.45664 .52118 L
.45741 .52216 L
.45857 .52397 L
.45864 .52409 L
.46002 .52601 L
.4605 .52623 L
.46212 .52794 L
.46242 .5292 L
.46292 .52987 L
.46419 .53179 L
.46435 .53201 L
.46555 .53372 L
.46628 .53426 L
.46747 .53565 L
.46821 .53735 L
.46837 .53758 L
.46967 .5395 L
.47013 .54014 L
.47101 .54143 L
.47206 .54258 L
.47267 .54336 L
.47372 .54528 L
.47399 .54565 L
.47502 .54721 L
.47591 .54847 L
.47634 .54914 L
.47765 .55106 L
.47784 .55134 L
.47885 .55299 L
.47977 .55437 L
.48008 .55492 L
.48114 .55684 L
.47977 .55708 L
.47954 .55684 L
.47784 .55508 L
.47772 .55492 L
.47603 .55299 L
.47591 .55287 L
.47438 .55106 L
.47399 .55061 L
.47277 .54914 L
.47206 .54836 L
.47118 .54721 L
.47013 .54588 L
.46956 .54528 L
.46821 .54345 L
.46815 .54336 L
.46659 .54143 L
.46628 .54107 L
.46442 .5395 L
.46435 .53852 L
.46357 .53758 L
.46242 .53598 L
.46226 .53565 L
.46064 .53372 L
.4605 .53355 L
.45879 .53179 L
.45857 .53097 L
.45773 .52987 L
.45664 .52836 L
.45648 .52794 L
.45481 .52601 L
.45472 .5259 L
.4531 .52409 L
.45279 .5233 L
.45197 .52216 L
.45086 .52066 L
.45075 .52023 L
.44905 .51831 L
.44894 .51817 L
.44742 .51638 L
.44701 .51554 L
.44626 .51445 L
.44508 .51289 L
.44505 .51253 L
.44333 .5106 L
.44316 .51038 L
.44175 .50867 L
.44123 .50773 L
.44059 .50674 L
.4393 .50508 L
.43905 .50482 L
.43765 .50289 L
.43737 .50256 L
.43609 .50096 L
.43545 .49989 L
.43493 .49904 L
.43352 .49725 L
.43339 .49711 L
.43198 .49518 L
.43159 .4947 L
.43046 .49326 L
.42967 .49202 L
.42928 .49133 L
.42774 .4894 L
.42774 .4894 L
.42634 .48747 L
.42581 .48683 L
.42484 .48555 L
.42389 .48413 L
.42363 .48362 L
.42211 .48169 L
.42196 .48158 L
.42023 .47977 L
.42003 .47892 L
.41923 .47784 L
.41811 .47621 L
.41798 .47591 L
.4165 .47399 L
.41618 .47373 L
.41466 .47206 L
.41425 .47099 L
.41364 .47013 L
.41232 .46826 L
.4123 .46821 L
.4109 .46628 L
.4104 .46583 L
.40913 .46435 L
.40847 .463 L
.40807 .46242 L
.40671 .4605 L
.40654 .46027 L
.40534 .45857 L
.40462 .45784 L
.40364 .45664 L
.40269 .45495 L
.40254 .45472 L
.40119 .45279 L
.40076 .45221 L
.39982 .45086 L
.39884 .44971 L
.39824 .44894 L
.39707 .44701 L
.39691 .44679 L
.39574 .44508 L
.39498 .44403 L
.39439 .44316 L
.39306 .4413 L
.393 .44123 L
.39174 .4393 L
.39113 .43844 L
.39044 .43737 L
.3892 .43558 L
.38912 .43545 L
.38793 .43352 L
.38727 .43254 L
.38674 .43159 L
F
1 .43 0 r
.38727 .4464 m
.38774 .44701 L
.3892 .44865 L
.38941 .44894 L
.39097 .45086 L
.39113 .45104 L
.39244 .45279 L
.39306 .45351 L
.39394 .45472 L
.39498 .45599 L
.39546 .45664 L
.39691 .45849 L
.39697 .45857 L
.39838 .4605 L
.39884 .46106 L
.39981 .46242 L
.40076 .46364 L
.40127 .46435 L
.40269 .46614 L
.40274 .46628 L
.40411 .46821 L
.40462 .46885 L
.40551 .47013 L
.40654 .47149 L
.40694 .47206 L
.40836 .47399 L
.40847 .47413 L
.40968 .47591 L
.4104 .47685 L
.41105 .47784 L
.41232 .47955 L
.41246 .47977 L
.41375 .48169 L
.41425 .48236 L
.41503 .48362 L
.41618 .48521 L
.41638 .48555 L
.41618 .48684 L
.41515 .48555 L
.41425 .48456 L
.41352 .48362 L
.41232 .48219 L
.41194 .48169 L
.41041 .47977 L
.4104 .47976 L
.40896 .47784 L
.40847 .47725 L
.40748 .47591 L
.40654 .47474 L
.40599 .47399 L
.40462 .47233 L
.40451 .47206 L
.4031 .47013 L
.40269 .46962 L
.40167 .46821 L
.40076 .46702 L
.40023 .46628 L
.39884 .46447 L
.39879 .46435 L
.39742 .46242 L
.39691 .46176 L
.39603 .4605 L
.39498 .4591 L
.39462 .45857 L
.39324 .45664 L
.39306 .4564 L
.39193 .45472 L
.39113 .45364 L
.39056 .45279 L
.3892 .45089 L
.38919 .45086 L
.388 .44894 L
.38727 .44793 L
.38675 .44701 L
F
0 .64 1 r
.38727 .43813 m
.3883 .4393 L
.3892 .44023 L
.39003 .44123 L
.39113 .44248 L
.39167 .44316 L
.39306 .44473 L
.39327 .44508 L
.39481 .44701 L
.39498 .44721 L
.39633 .44894 L
.39691 .44965 L
.39785 .45086 L
.39884 .45195 L
.39936 .45279 L
.40076 .45459 L
.40088 .45472 L
.40232 .45664 L
.40269 .45711 L
.40379 .45857 L
.40462 .45948 L
.40583 .4605 L
.40654 .46217 L
.40676 .46242 L
.40816 .46435 L
.40847 .46475 L
.40961 .46628 L
.4104 .46716 L
.4115 .46821 L
.41232 .46988 L
.41253 .47013 L
.41392 .47206 L
.41425 .47249 L
.41534 .47399 L
.41618 .47494 L
.41712 .47591 L
.41811 .47768 L
.41822 .47784 L
.41961 .47977 L
.42003 .48032 L
.42103 .48169 L
.42196 .4828 L
.42271 .48362 L
.42387 .48555 L
.42389 .48556 L
.42525 .48747 L
.42581 .4877 L
.42666 .4894 L
.42774 .49075 L
.42824 .49133 L
.42947 .49326 L
.42967 .49352 L
.43084 .49518 L
.43159 .49568 L
.43224 .49711 L
.43352 .4988 L
.43371 .49904 L
.435 .50096 L
.43545 .50156 L
.43637 .50289 L
.43737 .50388 L
.43776 .50482 L
.43913 .50674 L
.4393 .50698 L
.44045 .50867 L
.44123 .50974 L
.4418 .5106 L
.44316 .51247 L
.4432 .51253 L
.44443 .51445 L
.44508 .51536 L
.44572 .51638 L
.44701 .51824 L
.44705 .51831 L
.44816 .52023 L
.44894 .52144 L
.44927 .52216 L
.44894 .52285 L
.44827 .52216 L
.44701 .5209 L
.44643 .52023 L
.44508 .51871 L
.44475 .51831 L
.44316 .51642 L
.4431 .51638 L
.44158 .51445 L
.44123 .51405 L
.44002 .51253 L
.4393 .51223 L
.43848 .5106 L
.43737 .50928 L
.43661 .50867 L
.43546 .50674 L
.43545 .50673 L
.43398 .50482 L
.43352 .50464 L
.43249 .50289 L
.43159 .50181 L
.4307 .50096 L
.42967 .4992 L
.42954 .49904 L
.4281 .49711 L
.42774 .49694 L
.42664 .49518 L
.42581 .49418 L
.42494 .49326 L
.42389 .49152 L
.42375 .49133 L
.42231 .4894 L
.42196 .4892 L
.42088 .48747 L
.42003 .48643 L
.41925 .48555 L
.41811 .48375 L
.41802 .48362 L
.4166 .48169 L
.41618 .48142 L
.41518 .47977 L
.41425 .47859 L
.41362 .47784 L
.41234 .47591 L
.41232 .47589 L
.41095 .47399 L
.4104 .47356 L
.40954 .47206 L
.40847 .47068 L
.40804 .47013 L
.40673 .46821 L
.40654 .46795 L
.40535 .46628 L
.40462 .46561 L
.40334 .46435 L
.40269 .46266 L
.40251 .46242 L
.40119 .4605 L
.40076 .45992 L
.39982 .45857 L
.39884 .45748 L
.39806 .45664 L
.39706 .45472 L
.39691 .45451 L
.39573 .45279 L
.39498 .45175 L
.39438 .45086 L
.39306 .44904 L
.39297 .44894 L
.39173 .44701 L
.39113 .44616 L
.39043 .44508 L
.3892 .4433 L
.38911 .44316 L
.38793 .44123 L
.38727 .44024 L
.38676 .4393 L
F
0 .97 1 r
.38727 .42206 m
.3892 .42384 L
.38938 .42389 L
.39113 .42578 L
.39116 .42581 L
.39294 .42774 L
.39306 .42778 L
.39465 .42967 L
.39498 .43007 L
.3963 .43159 L
.39691 .43245 L
.39791 .43352 L
.39884 .43491 L
.39925 .43545 L
.40076 .43733 L
.40096 .43737 L
.40246 .4393 L
.40269 .43964 L
.40395 .44123 L
.40462 .44224 L
.4052 .44316 L
.40654 .44486 L
.4069 .44508 L
.40843 .44701 L
.40847 .4472 L
.40975 .44894 L
.4104 .44988 L
.4109 .45086 L
.41232 .4526 L
.4127 .45279 L
.41417 .45472 L
.41425 .45492 L
.41546 .45664 L
.41618 .45765 L
.41651 .45857 L
.41811 .46007 L
.41843 .4605 L
.41988 .46242 L
.42003 .46272 L
.42113 .46435 L
.42196 .46548 L
.42209 .46628 L
.42389 .4679 L
.42412 .46821 L
.42557 .47013 L
.42581 .47056 L
.42677 .47206 L
.42774 .47333 L
.42839 .47399 L
.42967 .47575 L
.42979 .47591 L
.43123 .47784 L
.43159 .47843 L
.4324 .47977 L
.43352 .48118 L
.43405 .48169 L
.43545 .48362 L
.43545 .48362 L
.43688 .48555 L
.43737 .48631 L
.43803 .48747 L
.4393 .48903 L
.4397 .4894 L
.44122 .49133 L
.44123 .4915 L
.44252 .49326 L
.44316 .49419 L
.44365 .49518 L
.44508 .49688 L
.44535 .49711 L
.44692 .49904 L
.44701 .49939 L
.44815 .50096 L
.44894 .50208 L
.44927 .50289 L
.45086 .50471 L
.45099 .50482 L
.45259 .50674 L
.45279 .50728 L
.45377 .50867 L
.45472 .50997 L
.45491 .5106 L
.45662 .51253 L
.45664 .51255 L
.45824 .51445 L
.45857 .51517 L
.4594 .51638 L
.4605 .51785 L
.46056 .51831 L
.46226 .52023 L
.46242 .5204 L
.46387 .52216 L
.46435 .52306 L
.46502 .52409 L
.46628 .52575 L
.46649 .52601 L
.46789 .52794 L
.46821 .52827 L
.46948 .52987 L
.47013 .53097 L
.47064 .53179 L
.47206 .53364 L
.47212 .53372 L
.47351 .53565 L
.47399 .53615 L
.47509 .53758 L
.47591 .53888 L
.47627 .5395 L
.47774 .54143 L
.47784 .54156 L
.47913 .54336 L
.47977 .54406 L
.48069 .54528 L
.48169 .54682 L
.4819 .54721 L
.48335 .54914 L
.48362 .54921 L
.48532 .55106 L
.48555 .55199 L
.48627 .55299 L
.48747 .55477 L
.48754 .55492 L
.48895 .55684 L
.4894 .55706 L
.49085 .55877 L
.49133 .55997 L
.49183 .5607 L
.49315 .56263 L
.49326 .56276 L
.49452 .56455 L
.49518 .56501 L
.49633 .56648 L
.49711 .56803 L
.49736 .56841 L
.49869 .57033 L
.49904 .5708 L
.50005 .57226 L
.50096 .57314 L
.50173 .57419 L
.50283 .57611 L
.50289 .5762 L
.50415 .57804 L
.50482 .57896 L
.5055 .57997 L
.50674 .5816 L
.50695 .58189 L
.50816 .58382 L
.50867 .58455 L
.50944 .58575 L
.5106 .58743 L
.51075 .58768 L
.51193 .5896 L
.51253 .59052 L
.51306 .59153 L
.51253 .59323 L
.51079 .59153 L
.5106 .59135 L
.50898 .5896 L
.50867 .58928 L
.50726 .58768 L
.50674 .58717 L
.50559 .58575 L
.50482 .58478 L
.50376 .58382 L
.50289 .58237 L
.50251 .58189 L
.50096 .58002 L
.50086 .57997 L
.49932 .57804 L
.49904 .57764 L
.49772 .57611 L
.49711 .57509 L
.4965 .57419 L
.49518 .57249 L
.4948 .57226 L
.49334 .57033 L
.49326 .5702 L
.49185 .56841 L
.49133 .56757 L
.49067 .56648 L
.4894 .56485 L
.48893 .56455 L
.48751 .56263 L
.48747 .56257 L
.48608 .5607 L
.48555 .55988 L
.48493 .55877 L
.48362 .55712 L
.48317 .55684 L
.48171 .55492 L
.48169 .55482 L
.48037 .55299 L
.47977 .5521 L
.47926 .55106 L
.47784 .54934 L
.47746 .54914 L
.47598 .54721 L
.47591 .547 L
.4747 .54528 L
.47399 .54427 L
.47362 .54336 L
.47206 .54155 L
.47178 .54143 L
.47029 .5395 L
.47013 .53915 L
.46905 .53758 L
.46821 .53642 L
.468 .53565 L
.46628 .53377 L
.46612 .53372 L
.46461 .53179 L
.46435 .53127 L
.46341 .52987 L
.46242 .52855 L
.46238 .52794 L
.4605 .52602 L
.46047 .52601 L
.45896 .52409 L
.45857 .52339 L
.45779 .52216 L
.45664 .52069 L
.45622 .52023 L
.45482 .51831 L
.45472 .51817 L
.45332 .51638 L
.45279 .5155 L
.45216 .51445 L
.45086 .51282 L
.45058 .51253 L
.44918 .5106 L
.44894 .51029 L
.44769 .50867 L
.44701 .50762 L
.44653 .50674 L
.44508 .50497 L
.44494 .50482 L
.44319 .50289 L
.44316 .50241 L
.44207 .50096 L
.44123 .49972 L
.4409 .49904 L
.4393 .49711 L
.4393 .49711 L
.43755 .49518 L
.43737 .49452 L
.43645 .49326 L
.43545 .49183 L
.43525 .49133 L
.43367 .4894 L
.43352 .48928 L
.43193 .48747 L
.43159 .48663 L
.43083 .48555 L
.42967 .48393 L
.42958 .48362 L
.42805 .48169 L
.42774 .48143 L
.42632 .47977 L
.42581 .47872 L
.42521 .47784 L
.42389 .47602 L
.42387 .47591 L
.42242 .47399 L
.42196 .47356 L
.42073 .47206 L
.42003 .4708 L
.4196 .47013 L
.41819 .46821 L
.41811 .46809 L
.41681 .46628 L
.41618 .46566 L
.41515 .46435 L
.41425 .46285 L
.41399 .46242 L
.41259 .4605 L
.41232 .46015 L
.4112 .45857 L
.4104 .45771 L
.4096 .45664 L
.40847 .45487 L
.40838 .45472 L
.407 .45279 L
.40654 .45218 L
.40562 .45086 L
.40462 .44969 L
.40407 .44894 L
.4028 .44701 L
.40269 .44686 L
.40145 .44508 L
.40076 .44416 L
.3995 .44316 L
.39884 .44158 L
.39859 .44123 L
.3973 .4393 L
.39691 .43878 L
.39595 .43737 L
.39498 .43605 L
.39421 .43545 L
.3932 .43352 L
.39306 .43333 L
.3919 .43159 L
.39113 .43052 L
.39057 .42967 L
.38923 .42774 L
.3892 .42771 L
.38804 .42581 L
.38727 .42467 L
.38684 .42389 L
F
0 .63 1 r
.38727 .43832 m
.38816 .4393 L
.3892 .44035 L
.38993 .44123 L
.39113 .44258 L
.3916 .44316 L
.39306 .44483 L
.39321 .44508 L
.39475 .44701 L
.39498 .44728 L
.39627 .44894 L
.39691 .44971 L
.3978 .45086 L
.39884 .45201 L
.39932 .45279 L
.40076 .45464 L
.40083 .45472 L
.40228 .45664 L
.40269 .45716 L
.40375 .45857 L
.40462 .45953 L
.40578 .4605 L
.40654 .46221 L
.40673 .46242 L
.40813 .46435 L
.40847 .46478 L
.40958 .46628 L
.4104 .4672 L
.41147 .46821 L
.41232 .46991 L
.4125 .47013 L
.41389 .47206 L
.41425 .47252 L
.41532 .47399 L
.41618 .47498 L
.41709 .47591 L
.41811 .47772 L
.4182 .47784 L
.41959 .47977 L
.42003 .48035 L
.421 .48169 L
.42196 .48284 L
.42268 .48362 L
.42385 .48555 L
.42389 .4856 L
.42523 .48747 L
.42581 .48772 L
.42664 .4894 L
.42774 .49079 L
.42821 .49133 L
.42944 .49326 L
.42967 .49355 L
.43082 .49518 L
.43159 .49572 L
.43222 .49711 L
.43352 .49885 L
.43367 .49904 L
.43497 .50096 L
.43545 .5016 L
.43634 .50289 L
.43737 .50395 L
.43773 .50482 L
.43909 .50674 L
.4393 .50703 L
.44041 .50867 L
.44123 .5098 L
.44176 .5106 L
.44313 .51253 L
.44316 .51256 L
.44438 .51445 L
.44508 .51545 L
.44566 .51638 L
.44697 .51831 L
.44701 .51836 L
.44805 .52023 L
.44894 .52171 L
.4491 .52216 L
.44894 .52257 L
.44849 .52216 L
.44701 .52076 L
.44655 .52023 L
.44508 .5186 L
.44483 .51831 L
.44321 .51638 L
.44316 .51632 L
.44164 .51445 L
.44123 .51397 L
.44008 .51253 L
.4393 .51218 L
.43853 .5106 L
.43737 .50922 L
.43668 .50867 L
.4355 .50674 L
.43545 .50668 L
.43402 .50482 L
.43352 .50461 L
.43253 .50289 L
.43159 .50177 L
.43074 .50096 L
.42967 .49915 L
.42958 .49904 L
.42813 .49711 L
.42774 .49692 L
.42667 .49518 L
.42581 .49413 L
.42497 .49326 L
.42389 .49148 L
.42378 .49133 L
.42234 .4894 L
.42196 .48918 L
.4209 .48747 L
.42003 .48639 L
.41928 .48555 L
.41811 .48371 L
.41805 .48362 L
.41663 .48169 L
.41618 .48139 L
.41521 .47977 L
.41425 .47856 L
.41365 .47784 L
.41237 .47591 L
.41232 .47586 L
.41097 .47399 L
.4104 .47353 L
.40956 .47206 L
.40847 .47064 L
.40807 .47013 L
.40676 .46821 L
.40654 .46792 L
.40538 .46628 L
.40462 .46557 L
.40338 .46435 L
.40269 .46261 L
.40255 .46242 L
.40122 .4605 L
.40076 .45988 L
.39985 .45857 L
.39884 .45742 L
.39812 .45664 L
.3971 .45472 L
.39691 .45446 L
.39577 .45279 L
.39498 .4517 L
.39442 .45086 L
.39306 .44894 L
.39305 .44894 L
.39179 .44701 L
.39113 .44608 L
.39049 .44508 L
.3892 .44321 L
.38917 .44316 L
.38803 .44123 L
.38727 .44007 L
.38687 .4393 L
F
1 .42 0 r
.38727 .44656 m
.38762 .44701 L
.3892 .44876 L
.38934 .44894 L
.3892 .45078 L
.38811 .44894 L
.38727 .44776 L
.38688 .44701 L
F
1 .86 0 r
.38727 .43014 m
.38873 .43159 L
.3892 .43204 L
.39053 .43352 L
.39113 .43417 L
.39222 .43545 L
.39306 .43614 L
.39387 .43737 L
.39498 .43869 L
.39576 .4393 L
.39691 .4411 L
.39702 .44123 L
.39856 .44316 L
.39884 .44339 L
.40009 .44508 L
.40076 .44592 L
.40185 .44701 L
.40269 .44846 L
.40305 .44894 L
.40458 .45086 L
.40462 .4509 L
.40606 .45279 L
.40654 .45341 L
.40769 .45472 L
.40847 .45601 L
.4089 .45664 L
.4104 .45853 L
.41045 .45857 L
.4119 .4605 L
.41232 .46105 L
.41346 .46242 L
.41425 .46368 L
.41466 .46435 L
.41618 .46623 L
.41624 .46628 L
.41767 .46821 L
.41811 .46878 L
.41917 .47013 L
.42003 .47144 L
.42037 .47206 L
.42196 .47398 L
.42196 .47399 L
.4238 .47591 L
.42389 .47657 L
.42485 .47784 L
.42581 .47924 L
.42606 .47977 L
.42765 .48169 L
.42774 .48178 L
.42943 .48362 L
.42967 .48441 L
.43051 .48555 L
.43159 .48708 L
.43174 .48747 L
.43332 .4894 L
.43352 .48961 L
.43506 .49133 L
.43545 .49227 L
.43615 .49326 L
.43737 .49494 L
.43744 .49518 L
.43897 .49711 L
.4393 .49746 L
.44067 .49904 L
.44123 .50015 L
.44178 .50096 L
.44316 .50282 L
.44316 .50289 L
.4446 .50482 L
.44508 .50534 L
.44626 .50674 L
.44701 .50807 L
.4474 .50867 L
.44883 .5106 L
.44894 .51074 L
.45022 .51253 L
.45086 .51325 L
.45183 .51445 L
.45279 .51602 L
.45301 .51638 L
.45442 .51831 L
.45472 .51838 L
.45581 .52023 L
.45664 .52121 L
.45738 .52216 L
.45857 .52401 L
.45862 .52409 L
.45999 .52601 L
.4605 .52626 L
.46209 .52794 L
.46242 .52926 L
.46288 .52987 L
.46415 .53179 L
.46435 .53206 L
.46551 .53372 L
.46628 .53432 L
.46741 .53565 L
.46821 .53743 L
.46831 .53758 L
.46961 .5395 L
.47013 .54022 L
.47096 .54143 L
.47206 .54271 L
.47257 .54336 L
.47365 .54528 L
.47399 .54576 L
.47493 .54721 L
.47591 .5486 L
.47625 .54914 L
.47752 .55106 L
.47784 .55153 L
.4787 .55299 L
.47977 .55466 L
.4799 .55492 L
.47977 .55668 L
.47798 .55492 L
.47784 .55479 L
.47622 .55299 L
.47591 .55266 L
.47454 .55106 L
.47399 .55044 L
.4729 .54914 L
.47206 .54822 L
.4713 .54721 L
.47013 .54575 L
.46967 .54528 L
.46821 .54336 L
.4682 .54336 L
.46668 .54143 L
.46628 .54098 L
.46445 .5395 L
.46435 .53844 L
.46363 .53758 L
.46242 .53591 L
.46229 .53565 L
.4607 .53372 L
.4605 .53349 L
.45881 .53179 L
.45857 .53091 L
.45777 .52987 L
.45664 .52831 L
.4565 .52794 L
.45485 .52601 L
.45472 .52585 L
.45313 .52409 L
.45279 .52325 L
.452 .52216 L
.45086 .52062 L
.45076 .52023 L
.44908 .51831 L
.44894 .51813 L
.44744 .51638 L
.44701 .5155 L
.44629 .51445 L
.44508 .51285 L
.44505 .51253 L
.44336 .5106 L
.44316 .51035 L
.44177 .50867 L
.44123 .5077 L
.44061 .50674 L
.4393 .50505 L
.43908 .50482 L
.43767 .50289 L
.43737 .50253 L
.43611 .50096 L
.43545 .49986 L
.43495 .49904 L
.43352 .49723 L
.43341 .49711 L
.43201 .49518 L
.43159 .49468 L
.43048 .49326 L
.42967 .49199 L
.42929 .49133 L
.42776 .4894 L
.42774 .48939 L
.42636 .48747 L
.42581 .4868 L
.42486 .48555 L
.42389 .4841 L
.42365 .48362 L
.42213 .48169 L
.42196 .48157 L
.42024 .47977 L
.42003 .47889 L
.41925 .47784 L
.41811 .47618 L
.41799 .47591 L
.41652 .47399 L
.41618 .47371 L
.41468 .47206 L
.41425 .47095 L
.41367 .47013 L
.41232 .46823 L
.41232 .46821 L
.41093 .46628 L
.4104 .4658 L
.40916 .46435 L
.40847 .46296 L
.4081 .46242 L
.40675 .4605 L
.40654 .46023 L
.40537 .45857 L
.40462 .45779 L
.40368 .45664 L
.40269 .45489 L
.40258 .45472 L
.40123 .45279 L
.40076 .45215 L
.39987 .45086 L
.39884 .44963 L
.39831 .44894 L
.39713 .44701 L
.39691 .44671 L
.3958 .44508 L
.39498 .44394 L
.39445 .44316 L
.3931 .44123 L
.39306 .44117 L
.39183 .4393 L
.39113 .4383 L
.39054 .43737 L
.38923 .43545 L
.3892 .4354 L
.38809 .43352 L
.38727 .43223 L
.38694 .43159 L
F
0 .62 1 r
.38727 .43854 m
.388 .4393 L
.3892 .44048 L
.38983 .44123 L
.39113 .44267 L
.39152 .44316 L
.39306 .44494 L
.39314 .44508 L
.39469 .44701 L
.39498 .44735 L
.39622 .44894 L
.39691 .44977 L
.39775 .45086 L
.39884 .45207 L
.39928 .45279 L
.40076 .45469 L
.40078 .45472 L
.40224 .45664 L
.40269 .45721 L
.40372 .45857 L
.40462 .45957 L
.40574 .4605 L
.40654 .46225 L
.40669 .46242 L
.4081 .46435 L
.40847 .46482 L
.40955 .46628 L
.4104 .46724 L
.41143 .46821 L
.41232 .46995 L
.41247 .47013 L
.41387 .47206 L
.41425 .47256 L
.41529 .47399 L
.41618 .47501 L
.41706 .47591 L
.41811 .47775 L
.41817 .47784 L
.41956 .47977 L
.42003 .48038 L
.42098 .48169 L
.42196 .48287 L
.42265 .48362 L
.42382 .48555 L
.42389 .48563 L
.4252 .48747 L
.42581 .48775 L
.42661 .4894 L
.42774 .49083 L
.42818 .49133 L
.42942 .49326 L
.42967 .49359 L
.43079 .49518 L
.43159 .49576 L
.43219 .49711 L
.43352 .4989 L
.43363 .49904 L
.43494 .50096 L
.43545 .50164 L
.43631 .50289 L
.43737 .50402 L
.4377 .50482 L
.43905 .50674 L
.4393 .50708 L
.44037 .50867 L
.44123 .50986 L
.44172 .5106 L
.44308 .51253 L
.44316 .51264 L
.44432 .51445 L
.44508 .51554 L
.4456 .51638 L
.44688 .51831 L
.44701 .5185 L
.44791 .52023 L
.44701 .52061 L
.44667 .52023 L
.44508 .5185 L
.44492 .51831 L
.44329 .51638 L
.44316 .51623 L
.44171 .51445 L
.44123 .51389 L
.44014 .51253 L
.4393 .51211 L
.43858 .5106 L
.43737 .50915 L
.43676 .50867 L
.43555 .50674 L
.43545 .50662 L
.43406 .50482 L
.43352 .50458 L
.43257 .50289 L
.43159 .50172 L
.43079 .50096 L
.42967 .49911 L
.42961 .49904 L
.42816 .49711 L
.42774 .4969 L
.4267 .49518 L
.42581 .49409 L
.42501 .49326 L
.42389 .49144 L
.4238 .49133 L
.42237 .4894 L
.42196 .48916 L
.42093 .48747 L
.42003 .48635 L
.41931 .48555 L
.41811 .48368 L
.41807 .48362 L
.41666 .48169 L
.41618 .48137 L
.41523 .47977 L
.41425 .47852 L
.41368 .47784 L
.4124 .47591 L
.41232 .47582 L
.411 .47399 L
.4104 .4735 L
.40959 .47206 L
.40847 .4706 L
.4081 .47013 L
.40679 .46821 L
.40654 .46788 L
.40541 .46628 L
.40462 .46553 L
.40342 .46435 L
.40269 .46256 L
.40258 .46242 L
.40125 .4605 L
.40076 .45983 L
.39988 .45857 L
.39884 .45736 L
.39817 .45664 L
.39714 .45472 L
.39691 .4544 L
.39581 .45279 L
.39498 .45164 L
.39446 .45086 L
.3931 .44894 L
.39306 .44887 L
.39184 .44701 L
.39113 .446 L
.39055 .44508 L
.38924 .44316 L
.3892 .4431 L
.38813 .44123 L
.38727 .43987 L
.387 .4393 L
F
1 .41 0 r
.38727 .44676 m
.38747 .44701 L
.3892 .44887 L
.38925 .44894 L
.3892 .45065 L
.38823 .44894 L
.38727 .44755 L
.38704 .44701 L
F
1 .99 0 r
.38727 .32892 m
.38804 .32947 L
.3892 .3304 L
.39013 .33139 L
.39113 .3324 L
.39192 .33332 L
.39306 .33441 L
.39361 .33525 L
.39498 .33683 L
.39541 .33717 L
.39682 .3391 L
.39691 .3392 L
.39835 .34103 L
.39884 .34148 L
.39988 .34296 L
.40076 .34403 L
.40164 .34488 L
.40269 .34656 L
.40289 .34681 L
.40436 .34874 L
.40462 .34898 L
.40583 .35066 L
.40654 .35156 L
.40751 .35259 L
.40847 .35416 L
.40873 .35452 L
.4102 .35644 L
.4104 .35664 L
.41164 .35837 L
.41232 .35924 L
.41325 .3603 L
.41425 .36188 L
.41448 .36222 L
.41596 .36415 L
.41618 .36438 L
.41738 .36608 L
.41811 .36701 L
.41894 .36801 L
.42003 .36966 L
.4202 .36993 L
.42166 .37186 L
.42196 .37216 L
.42364 .37379 L
.42389 .37483 L
.42461 .37571 L
.42581 .37748 L
.4259 .37764 L
.42734 .37957 L
.42774 .37998 L
.42923 .38149 L
.42967 .38268 L
.43025 .38342 L
.43159 .38533 L
.4316 .38535 L
.433 .38727 L
.43352 .38783 L
.43482 .3892 L
.43545 .39055 L
.43589 .39113 L
.43726 .39306 L
.43737 .39307 L
.43865 .39498 L
.4393 .3957 L
.44041 .39691 L
.44123 .39844 L
.44152 .39884 L
.4429 .40076 L
.44316 .40083 L
.44429 .40269 L
.44508 .40359 L
.44599 .40462 L
.44701 .40634 L
.44715 .40654 L
.44853 .40847 L
.44894 .40862 L
.44992 .4104 L
.45086 .41149 L
.45157 .41232 L
.45278 .41425 L
.45279 .41426 L
.45415 .41618 L
.45472 .41645 L
.45555 .41811 L
.45664 .41943 L
.45715 .42003 L
.45839 .42196 L
.45857 .42219 L
.45977 .42389 L
.4605 .42438 L
.46117 .42581 L
.46242 .4274 L
.4627 .42774 L
.46399 .42967 L
.46435 .43014 L
.46537 .43159 L
.46628 .43254 L
.46722 .43352 L
.46821 .43542 L
.46822 .43545 L
.46958 .43737 L
.47013 .43793 L
.47096 .4393 L
.47206 .44072 L
.47248 .44123 L
.47378 .44316 L
.47399 .44341 L
.47548 .44508 L
.47591 .44608 L
.47664 .44701 L
.47784 .44875 L
.47796 .44894 L
.47949 .45086 L
.47977 .4514 L
.4808 .45279 L
.48169 .45407 L
.48213 .45472 L
.48359 .45664 L
.48362 .45671 L
.48501 .45857 L
.48555 .45928 L
.48634 .4605 L
.48747 .46198 L
.48769 .46242 L
.48904 .46435 L
.4894 .46495 L
.49005 .46628 L
.4894 .46663 L
.48747 .46643 L
.48646 .46628 L
.48555 .46602 L
.48362 .46459 L
.4834 .46435 L
.48191 .46242 L
.48169 .46218 L
.48049 .4605 L
.47977 .45965 L
.47866 .45857 L
.47784 .45698 L
.47756 .45664 L
.47622 .45472 L
.47591 .45431 L
.47484 .45279 L
.47399 .45189 L
.4732 .45086 L
.47206 .44901 L
.47201 .44894 L
.47066 .44701 L
.47013 .44629 L
.46899 .44508 L
.46821 .44366 L
.46788 .44316 L
.46657 .44123 L
.46628 .44084 L
.46517 .4393 L
.46435 .43795 L
.46398 .43737 L
.4626 .43545 L
.46242 .43511 L
.46157 .43352 L
.4605 .43231 L
.45997 .43159 L
.45864 .42967 L
.45857 .42955 L
.45719 .42774 L
.45664 .4266 L
.45574 .42581 L
.45472 .42438 L
.45433 .42389 L
.45295 .42196 L
.45279 .42174 L
.4521 .42003 L
.45086 .41871 L
.44996 .41811 L
.44894 .41668 L
.44854 .41618 L
.44713 .41425 L
.44701 .41406 L
.44597 .41232 L
.44508 .41124 L
.44422 .4104 L
.44316 .40892 L
.44281 .40847 L
.44139 .40654 L
.44123 .40627 L
.44019 .40462 L
.4393 .40352 L
.43853 .40269 L
.43737 .40083 L
.43714 .40076 L
.43572 .39884 L
.43545 .39841 L
.43453 .39691 L
.43352 .39569 L
.43288 .39498 L
.43159 .39309 L
.4315 .39306 L
.43008 .39113 L
.42967 .39052 L
.42892 .3892 L
.42774 .3878 L
.42725 .38727 L
.42587 .38535 L
.42581 .38527 L
.42446 .38342 L
.42389 .3826 L
.42333 .38149 L
.42196 .37991 L
.42164 .37957 L
.42008 .37764 L
.42003 .37736 L
.41887 .37571 L
.41811 .37467 L
.41774 .37379 L
.41618 .372 L
.41604 .37186 L
.41442 .36993 L
.41425 .36943 L
.41329 .36801 L
.41232 .36671 L
.41213 .36608 L
.41047 .36415 L
.4104 .3641 L
.40883 .36222 L
.40847 .36145 L
.40773 .3603 L
.40654 .3587 L
.40649 .35837 L
.40493 .35644 L
.40462 .3562 L
.40329 .35452 L
.40269 .35339 L
.40221 .35259 L
.4008 .35066 L
.40076 .35061 L
.39945 .34874 L
.39884 .34815 L
.39786 .34681 L
.39691 .34516 L
.39675 .34488 L
.39542 .34296 L
.39498 .34233 L
.3941 .34103 L
.39306 .33969 L
.39267 .3391 L
.39152 .33717 L
.39113 .33659 L
.39028 .33525 L
.3892 .33356 L
.38906 .33332 L
.38801 .33139 L
.38727 .32999 L
.38709 .32947 L
F
0 .61 1 r
.38727 .43886 m
.38777 .4393 L
.3892 .44061 L
.38973 .44123 L
.39113 .44277 L
.39144 .44316 L
.39306 .44505 L
.39308 .44508 L
.39462 .44701 L
.39498 .44742 L
.39617 .44894 L
.39691 .44983 L
.39771 .45086 L
.39884 .45214 L
.39924 .45279 L
.40074 .45472 L
.40076 .45475 L
.4022 .45664 L
.40269 .45725 L
.40368 .45857 L
.40462 .45962 L
.40569 .4605 L
.40654 .4623 L
.40665 .46242 L
.40807 .46435 L
.40847 .46486 L
.40952 .46628 L
.4104 .46728 L
.4114 .46821 L
.41232 .46999 L
.41244 .47013 L
.41384 .47206 L
.41425 .47259 L
.41527 .47399 L
.41618 .47505 L
.41703 .47591 L
.41811 .47779 L
.41815 .47784 L
.41954 .47977 L
.42003 .48042 L
.42095 .48169 L
.42196 .48291 L
.42261 .48362 L
.4238 .48555 L
.42389 .48567 L
.42518 .48747 L
.42581 .48777 L
.42659 .4894 L
.42774 .49087 L
.42814 .49133 L
.42939 .49326 L
.42967 .49362 L
.43076 .49518 L
.43159 .49581 L
.43216 .49711 L
.43352 .49895 L
.43359 .49904 L
.43491 .50096 L
.43545 .50169 L
.43628 .50289 L
.43737 .50409 L
.43767 .50482 L
.43901 .50674 L
.4393 .50714 L
.44033 .50867 L
.44123 .50992 L
.44168 .5106 L
.44302 .51253 L
.44316 .51271 L
.44426 .51445 L
.44508 .51563 L
.44554 .51638 L
.44678 .51831 L
.44701 .51866 L
.44773 .52023 L
.44701 .52044 L
.44682 .52023 L
.44508 .51838 L
.44502 .51831 L
.44338 .51638 L
.44316 .51614 L
.44178 .51445 L
.44123 .51382 L
.4402 .51253 L
.4393 .51204 L
.43863 .5106 L
.43737 .50908 L
.43684 .50867 L
.43559 .50674 L
.43545 .50656 L
.4341 .50482 L
.43352 .50455 L
.4326 .50289 L
.43159 .50167 L
.43083 .50096 L
.42967 .49906 L
.42965 .49904 L
.4282 .49711 L
.42774 .49688 L
.42673 .49518 L
.42581 .49405 L
.42504 .49326 L
.42389 .4914 L
.42383 .49133 L
.4224 .4894 L
.42196 .48914 L
.42096 .48747 L
.42003 .48632 L
.41934 .48555 L
.41811 .48364 L
.41809 .48362 L
.41668 .48169 L
.41618 .48134 L
.41526 .47977 L
.41425 .47848 L
.41371 .47784 L
.41242 .47591 L
.41232 .47578 L
.41103 .47399 L
.4104 .47347 L
.40962 .47206 L
.40847 .47056 L
.40813 .47013 L
.40682 .46821 L
.40654 .46784 L
.40543 .46628 L
.40462 .46549 L
.40346 .46435 L
.40269 .46251 L
.40262 .46242 L
.40129 .4605 L
.40076 .45979 L
.39991 .45857 L
.39884 .4573 L
.39823 .45664 L
.39718 .45472 L
.39691 .45435 L
.39585 .45279 L
.39498 .45158 L
.3945 .45086 L
.39316 .44894 L
.39306 .4488 L
.3919 .44701 L
.39113 .44591 L
.39061 .44508 L
.38933 .44316 L
.3892 .44297 L
.38825 .44123 L
.38727 .43959 L
.38716 .4393 L
F
1 .85 0 r
.38727 .43069 m
.38836 .43159 L
.3892 .43232 L
.39031 .43352 L
.39113 .43437 L
.39206 .43545 L
.39306 .43631 L
.39373 .43737 L
.39498 .43884 L
.3956 .4393 L
.39691 .44122 L
.39692 .44123 L
.39847 .44316 L
.39884 .44347 L
.40001 .44508 L
.40076 .44602 L
.40178 .44701 L
.40269 .44854 L
.40299 .44894 L
.40452 .45086 L
.40462 .45095 L
.40601 .45279 L
.40654 .45348 L
.40765 .45472 L
.40847 .45607 L
.40886 .45664 L
.4104 .45856 L
.41041 .45857 L
.41186 .4605 L
.41232 .4611 L
.41342 .46242 L
.41425 .46373 L
.41463 .46435 L
.41618 .46626 L
.4162 .46628 L
.41764 .46821 L
.41811 .46882 L
.41914 .47013 L
.42003 .47147 L
.42035 .47206 L
.42193 .47399 L
.42196 .47401 L
.42379 .47591 L
.42389 .47661 L
.42483 .47784 L
.42581 .47927 L
.42605 .47977 L
.42763 .48169 L
.42774 .48181 L
.42942 .48362 L
.42967 .48444 L
.43049 .48555 L
.43159 .4871 L
.43173 .48747 L
.4333 .4894 L
.43352 .48963 L
.43504 .49133 L
.43545 .49229 L
.43613 .49326 L
.43737 .49496 L
.43743 .49518 L
.43895 .49711 L
.4393 .49748 L
.44065 .49904 L
.44123 .50018 L
.44176 .50096 L
.44316 .50285 L
.44316 .50289 L
.44458 .50482 L
.44508 .50536 L
.44624 .50674 L
.44701 .5081 L
.44738 .50867 L
.4488 .5106 L
.44894 .51077 L
.45019 .51253 L
.45086 .51328 L
.45181 .51445 L
.45279 .51605 L
.45299 .51638 L
.4544 .51831 L
.45472 .51839 L
.45578 .52023 L
.45664 .52125 L
.45735 .52216 L
.45857 .52405 L
.45859 .52409 L
.45996 .52601 L
.4605 .52629 L
.46205 .52794 L
.46242 .52931 L
.46284 .52987 L
.46412 .53179 L
.46435 .53211 L
.46547 .53372 L
.46628 .53439 L
.46735 .53565 L
.46821 .53751 L
.46825 .53758 L
.46956 .5395 L
.47013 .54029 L
.4709 .54143 L
.47206 .54284 L
.47246 .54336 L
.47357 .54528 L
.47399 .54587 L
.47485 .54721 L
.47591 .54874 L
.47616 .54914 L
.47738 .55106 L
.47784 .55175 L
.47853 .55299 L
.47784 .5545 L
.47644 .55299 L
.47591 .55245 L
.4747 .55106 L
.47399 .55026 L
.47304 .54914 L
.47206 .54808 L
.47142 .54721 L
.47013 .54563 L
.46978 .54528 L
.4683 .54336 L
.46821 .54325 L
.46676 .54143 L
.46628 .54089 L
.46449 .5395 L
.46435 .53835 L
.46369 .53758 L
.46242 .53584 L
.46232 .53565 L
.46075 .53372 L
.4605 .53342 L
.45884 .53179 L
.45857 .53084 L
.45781 .52987 L
.45664 .52826 L
.45652 .52794 L
.45489 .52601 L
.45472 .5258 L
.45315 .52409 L
.45279 .5232 L
.45204 .52216 L
.45086 .52058 L
.45077 .52023 L
.44911 .51831 L
.44894 .51809 L
.44746 .51638 L
.44701 .51546 L
.44631 .51445 L
.44508 .51282 L
.44506 .51253 L
.44339 .5106 L
.44316 .51032 L
.44179 .50867 L
.44123 .50766 L
.44063 .50674 L
.4393 .50503 L
.4391 .50482 L
.43769 .50289 L
.43737 .5025 L
.43613 .50096 L
.43545 .49983 L
.43496 .49904 L
.43352 .4972 L
.43343 .49711 L
.43203 .49518 L
.43159 .49465 L
.4305 .49326 L
.42967 .49196 L
.42931 .49133 L
.42778 .4894 L
.42774 .48937 L
.42638 .48747 L
.42581 .48677 L
.42488 .48555 L
.42389 .48407 L
.42366 .48362 L
.42215 .48169 L
.42196 .48155 L
.42026 .47977 L
.42003 .47886 L
.41927 .47784 L
.41811 .47615 L
.418 .47591 L
.41654 .47399 L
.41618 .47369 L
.4147 .47206 L
.41425 .47092 L
.41369 .47013 L
.41233 .46821 L
.41232 .46819 L
.41096 .46628 L
.4104 .46577 L
.40918 .46435 L
.40847 .46292 L
.40813 .46242 L
.40678 .4605 L
.40654 .46018 L
.40541 .45857 L
.40462 .45775 L
.40373 .45664 L
.40269 .45483 L
.40262 .45472 L
.40128 .45279 L
.40076 .45209 L
.39991 .45086 L
.39884 .44955 L
.39837 .44894 L
.39719 .44701 L
.39691 .44663 L
.39587 .44508 L
.39498 .44385 L
.39452 .44316 L
.39318 .44123 L
.39306 .44106 L
.39193 .4393 L
.39113 .43815 L
.39064 .43737 L
.38938 .43545 L
.3892 .43518 L
.38828 .43352 L
.38727 .4318 L
.38719 .43159 L
F
0 .99 1 r
.3892 .39974 m
.39113 .39969 L
.39306 .4006 L
.39319 .40076 L
.39485 .40269 L
.39498 .40298 L
.39631 .40462 L
.39691 .40569 L
.39792 .40654 L
.39884 .40828 L
.39913 .40847 L
.40061 .4104 L
.40076 .41056 L
.4026 .41232 L
.40269 .41319 L
.40356 .41425 L
.40462 .41587 L
.40479 .41618 L
.40625 .41811 L
.40654 .41821 L
.40818 .42003 L
.40847 .42094 L
.40917 .42196 L
.4104 .42375 L
.41045 .42389 L
.41186 .42581 L
.41232 .42646 L
.41372 .42774 L
.41425 .42918 L
.41469 .42967 L
.41579 .43159 L
.41425 .43255 L
.41232 .43237 L
.41048 .43159 L
.4104 .4313 L
.40898 .42967 L
.40847 .42916 L
.40778 .42774 L
.40654 .42666 L
.40591 .42581 L
.40462 .42405 L
.4045 .42389 L
.40312 .42196 L
.40269 .4213 L
.40203 .42003 L
.40076 .41846 L
.40021 .41811 L
.39884 .41618 L
.39883 .41618 L
.39748 .41425 L
.39691 .41352 L
.39643 .41232 L
.39498 .41083 L
.39459 .4104 L
.39315 .40847 L
.39306 .40846 L
.39191 .40654 L
.39113 .40601 L
.39089 .40462 L
.3892 .40279 L
.38913 .40269 L
.3878 .40076 L
F
1 .95 0 r
.3892 .40573 m
.39007 .40654 L
.39113 .40757 L
.39188 .40847 L
.39306 .4095 L
.3935 .4104 L
.39498 .41222 L
.39509 .41232 L
.39646 .41425 L
.39691 .41483 L
.39786 .41618 L
.39884 .41749 L
.39926 .41811 L
.40061 .42003 L
.40076 .42025 L
.40181 .42196 L
.40269 .42336 L
.40296 .42389 L
.40269 .42542 L
.40076 .42395 L
.4007 .42389 L
.39885 .42196 L
.39884 .42195 L
.39719 .42003 L
.39691 .4197 L
.39562 .41811 L
.39498 .4176 L
.39412 .41618 L
.39306 .41479 L
.39264 .41425 L
.39134 .41232 L
.39113 .41202 L
.39003 .4104 L
.3892 .40906 L
.38883 .40847 L
.38791 .40654 L
F
0 .6 1 r
.3892 .44076 m
.38961 .44123 L
.39113 .44287 L
.39136 .44316 L
.393 .44508 L
.39306 .44514 L
.39456 .44701 L
.39498 .4475 L
.39611 .44894 L
.39691 .44989 L
.39766 .45086 L
.39884 .4522 L
.39919 .45279 L
.40069 .45472 L
.40076 .4548 L
.40216 .45664 L
.40269 .4573 L
.40365 .45857 L
.40462 .45967 L
.40564 .4605 L
.40654 .46234 L
.40662 .46242 L
.40804 .46435 L
.40847 .4649 L
.40949 .46628 L
.4104 .46732 L
.41136 .46821 L
.41232 .47003 L
.41241 .47013 L
.41381 .47206 L
.41425 .47263 L
.41524 .47399 L
.41618 .47508 L
.417 .47591 L
.41811 .47782 L
.41812 .47784 L
.41951 .47977 L
.42003 .48045 L
.42093 .48169 L
.42196 .48295 L
.42258 .48362 L
.42377 .48555 L
.42389 .4857 L
.42515 .48747 L
.42581 .4878 L
.42656 .4894 L
.42774 .49091 L
.42811 .49133 L
.42936 .49326 L
.42967 .49366 L
.43074 .49518 L
.43159 .49585 L
.43214 .49711 L
.43352 .499 L
.43355 .49904 L
.43488 .50096 L
.43545 .50173 L
.43624 .50289 L
.43737 .50416 L
.43763 .50482 L
.43897 .50674 L
.4393 .50719 L
.44029 .50867 L
.44123 .50998 L
.44164 .5106 L
.44296 .51253 L
.44316 .51279 L
.44419 .51445 L
.44508 .51573 L
.44547 .51638 L
.44508 .51826 L
.44347 .51638 L
.44316 .51604 L
.44185 .51445 L
.44123 .51374 L
.44026 .51253 L
.4393 .51196 L
.43869 .5106 L
.43737 .50901 L
.43693 .50867 L
.43564 .50674 L
.43545 .50651 L
.43414 .50482 L
.43352 .50451 L
.43264 .50289 L
.43159 .50162 L
.43088 .50096 L
.42968 .49904 L
.42967 .49902 L
.42823 .49711 L
.42774 .49685 L
.42677 .49518 L
.42581 .49401 L
.42508 .49326 L
.42389 .49137 L
.42386 .49133 L
.42243 .4894 L
.42196 .48912 L
.42099 .48747 L
.42003 .48628 L
.41938 .48555 L
.41812 .48362 L
.41811 .4836 L
.41671 .48169 L
.41618 .48132 L
.41528 .47977 L
.41425 .47845 L
.41374 .47784 L
.41245 .47591 L
.41232 .47575 L
.41106 .47399 L
.4104 .47344 L
.40964 .47206 L
.40847 .47052 L
.40816 .47013 L
.40685 .46821 L
.40654 .4678 L
.40546 .46628 L
.40462 .46544 L
.4035 .46435 L
.40269 .46247 L
.40266 .46242 L
.40132 .4605 L
.40076 .45974 L
.39995 .45857 L
.39884 .45723 L
.39829 .45664 L
.39722 .45472 L
.39691 .45429 L
.39589 .45279 L
.39498 .45152 L
.39454 .45086 L
.39321 .44894 L
.39306 .44872 L
.39196 .44701 L
.39113 .44582 L
.39067 .44508 L
.38943 .44316 L
.3892 .44282 L
.38838 .44123 L
F
1 .84 0 r
.3892 .43264 m
.39006 .43352 L
.39113 .43459 L
.39188 .43545 L
.39306 .4365 L
.39359 .43737 L
.39498 .43899 L
.39541 .4393 L
.39681 .44123 L
.39691 .44134 L
.39837 .44316 L
.39884 .44355 L
.39993 .44508 L
.40076 .44611 L
.40171 .44701 L
.40269 .44862 L
.40294 .44894 L
.40446 .45086 L
.40462 .45101 L
.40595 .45279 L
.40654 .45355 L
.40761 .45472 L
.40847 .45613 L
.40882 .45664 L
.41036 .45857 L
.4104 .45861 L
.41182 .4605 L
.41232 .46115 L
.41339 .46242 L
.41425 .46378 L
.4146 .46435 L
.41616 .46628 L
.41618 .46629 L
.4176 .46821 L
.41811 .46886 L
.41912 .47013 L
.42003 .47151 L
.42033 .47206 L
.42191 .47399 L
.42196 .47404 L
.42378 .47591 L
.42389 .47664 L
.42481 .47784 L
.42581 .4793 L
.42603 .47977 L
.42761 .48169 L
.42774 .48183 L
.42941 .48362 L
.42967 .48447 L
.43047 .48555 L
.43159 .48713 L
.43172 .48747 L
.43328 .4894 L
.43352 .48965 L
.43503 .49133 L
.43545 .49232 L
.43611 .49326 L
.43737 .49499 L
.43742 .49518 L
.43893 .49711 L
.4393 .4975 L
.44063 .49904 L
.44123 .50021 L
.44175 .50096 L
.44316 .50287 L
.44316 .50289 L
.44456 .50482 L
.44508 .50539 L
.44622 .50674 L
.44701 .50813 L
.44736 .50867 L
.44878 .5106 L
.44894 .5108 L
.45017 .51253 L
.45086 .51331 L
.45179 .51445 L
.45279 .51608 L
.45297 .51638 L
.45437 .51831 L
.45472 .5184 L
.45576 .52023 L
.45664 .52129 L
.45732 .52216 L
.45857 .52409 L
.45857 .52409 L
.45992 .52601 L
.4605 .52632 L
.46202 .52794 L
.46242 .52937 L
.4628 .52987 L
.46408 .53179 L
.46435 .53217 L
.46543 .53372 L
.46628 .53446 L
.46729 .53565 L
.46819 .53758 L
.46821 .53759 L
.4695 .5395 L
.47013 .54037 L
.47084 .54143 L
.47206 .54299 L
.47234 .54336 L
.47348 .54528 L
.47399 .54599 L
.47476 .54721 L
.47591 .54889 L
.47606 .54914 L
.47723 .55106 L
.47784 .55202 L
.47833 .55299 L
.47784 .55417 L
.47669 .55299 L
.47591 .55223 L
.47488 .55106 L
.47399 .55008 L
.47318 .54914 L
.47206 .54792 L
.47154 .54721 L
.47013 .5455 L
.4699 .54528 L
.46839 .54336 L
.46821 .54314 L
.46684 .54143 L
.46628 .54079 L
.46454 .5395 L
.46435 .53826 L
.46375 .53758 L
.46242 .53578 L
.46236 .53565 L
.46081 .53372 L
.4605 .53335 L
.45886 .53179 L
.45857 .53078 L
.45786 .52987 L
.45664 .52821 L
.45654 .52794 L
.45493 .52601 L
.45472 .52575 L
.45317 .52409 L
.45279 .52315 L
.45207 .52216 L
.45086 .52054 L
.45078 .52023 L
.44915 .51831 L
.44894 .51805 L
.44748 .51638 L
.44701 .51542 L
.44634 .51445 L
.44508 .51279 L
.44506 .51253 L
.44341 .5106 L
.44316 .51028 L
.44181 .50867 L
.44123 .50763 L
.44065 .50674 L
.4393 .505 L
.43913 .50482 L
.43772 .50289 L
.43737 .50247 L
.43615 .50096 L
.43545 .4998 L
.43498 .49904 L
.43352 .49718 L
.43346 .49711 L
.43205 .49518 L
.43159 .49462 L
.43052 .49326 L
.42967 .49193 L
.42933 .49133 L
.42781 .4894 L
.42774 .48936 L
.4264 .48747 L
.42581 .48674 L
.4249 .48555 L
.42389 .48404 L
.42367 .48362 L
.42218 .48169 L
.42196 .48153 L
.42027 .47977 L
.42003 .47883 L
.41929 .47784 L
.41811 .47612 L
.41802 .47591 L
.41657 .47399 L
.41618 .47367 L
.41472 .47206 L
.41425 .47088 L
.41371 .47013 L
.41236 .46821 L
.41232 .46816 L
.41099 .46628 L
.4104 .46573 L
.40921 .46435 L
.40847 .46287 L
.40816 .46242 L
.40681 .4605 L
.40654 .46013 L
.40544 .45857 L
.40462 .45769 L
.40377 .45664 L
.40269 .45477 L
.40266 .45472 L
.40132 .45279 L
.40076 .45203 L
.39996 .45086 L
.39884 .44946 L
.39844 .44894 L
.39725 .44701 L
.39691 .44655 L
.39593 .44508 L
.39498 .44375 L
.39458 .44316 L
.39327 .44123 L
.39306 .44093 L
.39202 .4393 L
.39113 .438 L
.39075 .43737 L
.38954 .43545 L
.3892 .43492 L
.3885 .43352 L
F
0 .59 1 r
.3892 .44092 m
.38947 .44123 L
.39113 .44298 L
.39127 .44316 L
.39292 .44508 L
.39306 .44523 L
.39449 .44701 L
.39498 .44757 L
.39606 .44894 L
.39691 .44996 L
.39761 .45086 L
.39884 .45227 L
.39915 .45279 L
.40065 .45472 L
.40076 .45485 L
.40213 .45664 L
.40269 .45735 L
.40361 .45857 L
.40462 .45971 L
.40559 .4605 L
.40654 .46238 L
.40658 .46242 L
.40801 .46435 L
.40847 .46494 L
.40946 .46628 L
.4104 .46736 L
.41132 .46821 L
.41232 .47007 L
.41238 .47013 L
.41379 .47206 L
.41425 .47266 L
.41522 .47399 L
.41618 .47512 L
.41696 .47591 L
.41809 .47784 L
.41811 .47786 L
.41949 .47977 L
.42003 .48048 L
.42091 .48169 L
.42196 .48298 L
.42255 .48362 L
.42374 .48555 L
.42389 .48573 L
.42513 .48747 L
.42581 .48783 L
.42654 .4894 L
.42774 .49095 L
.42807 .49133 L
.42933 .49326 L
.42967 .4937 L
.43071 .49518 L
.43159 .4959 L
.43211 .49711 L
.43351 .49904 L
.43352 .49905 L
.43485 .50096 L
.43545 .50178 L
.43621 .50289 L
.43737 .50424 L
.4376 .50482 L
.43893 .50674 L
.4393 .50725 L
.44024 .50867 L
.44123 .51004 L
.44159 .5106 L
.4429 .51253 L
.44316 .51287 L
.44413 .51445 L
.44508 .51584 L
.4454 .51638 L
.44508 .51812 L
.44357 .51638 L
.44316 .51594 L
.44193 .51445 L
.44123 .51365 L
.44032 .51253 L
.4393 .51187 L
.43874 .5106 L
.43737 .50894 L
.43702 .50867 L
.43569 .50674 L
.43545 .50645 L
.43419 .50482 L
.43352 .50447 L
.43268 .50289 L
.43159 .50156 L
.43094 .50096 L
.42972 .49904 L
.42967 .49897 L
.42826 .49711 L
.42774 .49682 L
.4268 .49518 L
.42581 .49397 L
.42512 .49326 L
.42389 .49133 L
.42389 .49133 L
.42246 .4894 L
.42196 .48909 L
.42102 .48747 L
.42003 .48624 L
.41941 .48555 L
.41815 .48362 L
.41811 .48357 L
.41674 .48169 L
.41618 .48129 L
.41531 .47977 L
.41425 .47841 L
.41377 .47784 L
.41248 .47591 L
.41232 .47571 L
.41108 .47399 L
.4104 .47341 L
.40967 .47206 L
.40847 .47047 L
.40819 .47013 L
.40688 .46821 L
.40654 .46776 L
.40549 .46628 L
.40462 .4654 L
.40355 .46435 L
.4027 .46242 L
.40269 .46242 L
.40135 .4605 L
.40076 .4597 L
.39998 .45857 L
.39884 .45717 L
.39836 .45664 L
.39726 .45472 L
.39691 .45424 L
.39594 .45279 L
.39498 .45146 L
.39458 .45086 L
.39327 .44894 L
.39306 .44864 L
.39202 .44701 L
.39113 .44572 L
.39073 .44508 L
.38953 .44316 L
.3892 .44265 L
.38854 .44123 L
F
0 .96 1 r
.3892 .42486 m
.3903 .42581 L
.39113 .42654 L
.39231 .42774 L
.39306 .42803 L
.39414 .42967 L
.39498 .43059 L
.39587 .43159 L
.39691 .43291 L
.39757 .43352 L
.39884 .43524 L
.39902 .43545 L
.40066 .43737 L
.40076 .4375 L
.40222 .4393 L
.40269 .43996 L
.40375 .44123 L
.40462 .44251 L
.40504 .44316 L
.40654 .44499 L
.40671 .44508 L
.40839 .44701 L
.40847 .44742 L
.40961 .44894 L
.4104 .45007 L
.4108 .45086 L
.41232 .45268 L
.41258 .45279 L
.41411 .45472 L
.41425 .45507 L
.41536 .45664 L
.41618 .45778 L
.41645 .45857 L
.41811 .46018 L
.41835 .4605 L
.41983 .46242 L
.42003 .46282 L
.42106 .46435 L
.42196 .46556 L
.42206 .46628 L
.42389 .46797 L
.42406 .46821 L
.42553 .47013 L
.42581 .47064 L
.42673 .47206 L
.42774 .47338 L
.42835 .47399 L
.42967 .47581 L
.42975 .47591 L
.4312 .47784 L
.43159 .47848 L
.43237 .47977 L
.43352 .48122 L
.43402 .48169 L
.43541 .48362 L
.43545 .48367 L
.43686 .48555 L
.43737 .48635 L
.438 .48747 L
.4393 .48906 L
.43968 .4894 L
.44122 .49133 L
.44123 .49154 L
.4425 .49326 L
.44316 .49423 L
.44363 .49518 L
.44508 .4969 L
.44532 .49711 L
.44692 .49904 L
.44701 .49942 L
.44813 .50096 L
.44894 .50211 L
.44926 .50289 L
.45086 .50473 L
.45096 .50482 L
.45258 .50674 L
.45279 .5073 L
.45375 .50867 L
.45472 .50999 L
.4549 .5106 L
.4566 .51253 L
.45664 .51257 L
.45823 .51445 L
.45857 .51519 L
.45938 .51638 L
.4605 .51788 L
.46056 .51831 L
.46223 .52023 L
.46242 .52043 L
.46385 .52216 L
.46435 .52309 L
.465 .52409 L
.46628 .52578 L
.46647 .52601 L
.46786 .52794 L
.46821 .5283 L
.46946 .52987 L
.47013 .531 L
.47062 .53179 L
.47206 .53368 L
.47209 .53372 L
.47348 .53565 L
.47399 .53619 L
.47506 .53758 L
.47591 .53892 L
.47624 .5395 L
.47771 .54143 L
.47784 .5416 L
.4791 .54336 L
.47977 .5441 L
.48065 .54528 L
.48169 .54687 L
.48187 .54721 L
.48331 .54914 L
.48362 .54923 L
.48529 .55106 L
.48555 .55206 L
.48622 .55299 L
.48747 .55485 L
.48751 .55492 L
.48889 .55684 L
.4894 .55711 L
.49079 .55877 L
.49133 .56007 L
.49176 .5607 L
.49308 .56263 L
.49326 .56287 L
.49444 .56455 L
.49518 .56513 L
.49622 .56648 L
.49711 .56819 L
.49725 .56841 L
.49857 .57033 L
.49904 .57097 L
.49992 .57226 L
.50096 .5734 L
.50153 .57419 L
.50265 .57611 L
.50289 .57645 L
.50395 .57804 L
.50482 .57926 L
.50528 .57997 L
.5066 .58189 L
.50674 .58211 L
.5078 .58382 L
.50867 .58512 L
.50904 .58575 L
.51015 .58768 L
.5106 .58847 L
.51093 .5896 L
.5106 .58992 L
.51017 .5896 L
.50867 .58833 L
.50803 .58768 L
.50674 .58645 L
.50621 .58575 L
.50482 .58417 L
.50433 .58382 L
.50289 .58193 L
.50285 .58189 L
.50123 .57997 L
.50096 .57968 L
.49964 .57804 L
.49904 .57725 L
.49795 .57611 L
.49711 .57476 L
.4967 .57419 L
.49518 .57233 L
.49504 .57226 L
.49354 .57033 L
.49326 .56994 L
.492 .56841 L
.49133 .56734 L
.4908 .56648 L
.4894 .56473 L
.48908 .56455 L
.48763 .56263 L
.48747 .56239 L
.48618 .5607 L
.48555 .55973 L
.48502 .55877 L
.48362 .55704 L
.48327 .55684 L
.48173 .55492 L
.48169 .5547 L
.48044 .55299 L
.47977 .552 L
.47932 .55106 L
.47784 .54929 L
.47753 .54914 L
.47601 .54721 L
.47591 .54692 L
.47475 .54528 L
.47399 .5442 L
.47366 .54336 L
.47206 .54152 L
.47183 .54143 L
.47031 .5395 L
.47013 .53909 L
.46909 .53758 L
.46821 .53637 L
.46802 .53565 L
.46628 .53376 L
.46616 .53372 L
.46464 .53179 L
.46435 .53123 L
.46344 .52987 L
.46242 .52851 L
.46239 .52794 L
.4605 .52601 L
.4605 .52601 L
.45898 .52409 L
.45857 .52336 L
.45781 .52216 L
.45664 .52066 L
.45624 .52023 L
.45485 .51831 L
.45472 .51814 L
.45334 .51638 L
.45279 .51547 L
.45218 .51445 L
.45086 .5128 L
.4506 .51253 L
.4492 .5106 L
.44894 .51027 L
.44771 .50867 L
.44701 .50759 L
.44655 .50674 L
.44508 .50494 L
.44496 .50482 L
.4432 .50289 L
.44316 .50239 L
.44208 .50096 L
.44123 .4997 L
.44091 .49904 L
.43933 .49711 L
.4393 .49709 L
.43756 .49518 L
.43737 .4945 L
.43646 .49326 L
.43545 .4918 L
.43526 .49133 L
.4337 .4894 L
.43352 .48926 L
.43194 .48747 L
.43159 .4866 L
.43085 .48555 L
.42967 .4839 L
.42959 .48362 L
.42807 .48169 L
.42774 .48141 L
.42634 .47977 L
.42581 .47869 L
.42524 .47784 L
.42389 .47598 L
.42388 .47591 L
.42245 .47399 L
.42196 .47353 L
.42076 .47206 L
.42003 .47075 L
.41963 .47013 L
.41823 .46821 L
.41811 .46804 L
.41685 .46628 L
.41618 .46561 L
.41519 .46435 L
.41425 .46279 L
.41403 .46242 L
.41264 .4605 L
.41232 .46008 L
.41125 .45857 L
.4104 .45763 L
.40965 .45664 L
.40847 .45478 L
.40843 .45472 L
.40707 .45279 L
.40654 .45209 L
.40568 .45086 L
.40462 .44957 L
.40416 .44894 L
.40289 .44701 L
.40269 .44673 L
.40154 .44508 L
.40076 .44402 L
.39964 .44316 L
.39884 .44137 L
.39874 .44123 L
.39744 .4393 L
.39691 .43857 L
.3961 .43737 L
.39498 .43581 L
.39451 .43545 L
.39343 .43352 L
.39306 .43299 L
.39217 .43159 L
.39113 .43009 L
.39087 .42967 L
.38969 .42774 L
.3892 .42696 L
.38867 .42581 L
F
0 .58 1 r
.3892 .44112 m
.3893 .44123 L
.39113 .4431 L
.39118 .44316 L
.39283 .44508 L
.39306 .44533 L
.39442 .44701 L
.39498 .44765 L
.396 .44894 L
.39691 .45002 L
.39756 .45086 L
.39884 .45234 L
.3991 .45279 L
.40061 .45472 L
.40076 .45491 L
.40209 .45664 L
.40269 .4574 L
.40358 .45857 L
.40462 .45976 L
.40553 .4605 L
.40654 .46242 L
.40654 .46243 L
.40798 .46435 L
.40847 .46498 L
.40943 .46628 L
.4104 .4674 L
.41128 .46821 L
.41232 .4701 L
.41235 .47013 L
.41376 .47206 L
.41425 .4727 L
.41519 .47399 L
.41618 .47516 L
.41693 .47591 L
.41807 .47784 L
.41811 .47789 L
.41946 .47977 L
.42003 .48052 L
.42088 .48169 L
.42196 .48302 L
.42251 .48362 L
.42372 .48555 L
.42389 .48577 L
.4251 .48747 L
.42581 .48787 L
.42651 .4894 L
.42774 .49099 L
.42803 .49133 L
.4293 .49326 L
.42967 .49374 L
.43068 .49518 L
.43159 .49595 L
.43208 .49711 L
.43348 .49904 L
.43352 .49909 L
.43481 .50096 L
.43545 .50182 L
.43618 .50289 L
.43737 .50432 L
.43757 .50482 L
.43889 .50674 L
.4393 .50731 L
.4402 .50867 L
.44123 .5101 L
.44155 .5106 L
.44284 .51253 L
.44316 .51296 L
.44406 .51445 L
.44508 .51596 L
.44532 .51638 L
.44508 .51797 L
.44368 .51638 L
.44316 .51584 L
.44201 .51445 L
.44123 .51357 L
.44038 .51253 L
.4393 .51177 L
.4388 .5106 L
.43737 .50887 L
.43712 .50867 L
.43574 .50674 L
.43545 .50639 L
.43423 .50482 L
.43352 .50443 L
.43272 .50289 L
.43159 .50151 L
.43099 .50096 L
.42976 .49904 L
.42967 .49892 L
.4283 .49711 L
.42774 .49679 L
.42683 .49518 L
.42581 .49392 L
.42516 .49326 L
.42392 .49133 L
.42389 .49129 L
.42249 .4894 L
.42196 .48906 L
.42105 .48747 L
.42003 .4862 L
.41944 .48555 L
.41818 .48362 L
.41811 .48353 L
.41677 .48169 L
.41618 .48126 L
.41534 .47977 L
.41425 .47837 L
.4138 .47784 L
.41251 .47591 L
.41232 .47567 L
.41111 .47399 L
.4104 .47337 L
.4097 .47206 L
.40847 .47043 L
.40823 .47013 L
.40691 .46821 L
.40654 .46772 L
.40552 .46628 L
.40462 .46535 L
.4036 .46435 L
.40273 .46242 L
.40269 .46237 L
.40138 .4605 L
.40076 .45965 L
.40001 .45857 L
.39884 .4571 L
.39842 .45664 L
.3973 .45472 L
.39691 .45418 L
.39598 .45279 L
.39498 .45139 L
.39463 .45086 L
.39333 .44894 L
.39306 .44856 L
.39208 .44701 L
.39113 .44562 L
.3908 .44508 L
.38966 .44316 L
.3892 .44243 L
.38877 .44123 L
F
1 .83 0 r
.3892 .43303 m
.38973 .43352 L
.39113 .43483 L
.39169 .43545 L
.39306 .43673 L
.39344 .43737 L
.39498 .43915 L
.3952 .4393 L
.3967 .44123 L
.39691 .44147 L
.39828 .44316 L
.39884 .44363 L
.39984 .44508 L
.40076 .44621 L
.40163 .44701 L
.40269 .4487 L
.40288 .44894 L
.4044 .45086 L
.40462 .45106 L
.40589 .45279 L
.40654 .45362 L
.40756 .45472 L
.40847 .45619 L
.40878 .45664 L
.41032 .45857 L
.4104 .45865 L
.41178 .4605 L
.41232 .46121 L
.41336 .46242 L
.41425 .46382 L
.41458 .46435 L
.41613 .46628 L
.41618 .46633 L
.41757 .46821 L
.41811 .46891 L
.41909 .47013 L
.42003 .47155 L
.42031 .47206 L
.42188 .47399 L
.42196 .47407 L
.42378 .47591 L
.42389 .47668 L
.42478 .47784 L
.42581 .47933 L
.42602 .47977 L
.42758 .48169 L
.42774 .48186 L
.4294 .48362 L
.42967 .48449 L
.43045 .48555 L
.43159 .48716 L
.43171 .48747 L
.43326 .4894 L
.43352 .48968 L
.43501 .49133 L
.43545 .49235 L
.4361 .49326 L
.43737 .49502 L
.43742 .49518 L
.43891 .49711 L
.4393 .49753 L
.44062 .49904 L
.44123 .50024 L
.44173 .50096 L
.44315 .50289 L
.44316 .5029 L
.44454 .50482 L
.44508 .50541 L
.4462 .50674 L
.44701 .50816 L
.44735 .50867 L
.44876 .5106 L
.44894 .51084 L
.45015 .51253 L
.45086 .51334 L
.45176 .51445 L
.45279 .51612 L
.45295 .51638 L
.45434 .51831 L
.45472 .51842 L
.45573 .52023 L
.45664 .52133 L
.45729 .52216 L
.45853 .52409 L
.45857 .52413 L
.45989 .52601 L
.4605 .52636 L
.46198 .52794 L
.46242 .52942 L
.46276 .52987 L
.46404 .53179 L
.46435 .53222 L
.46539 .53372 L
.46628 .53453 L
.46722 .53565 L
.46814 .53758 L
.46821 .53767 L
.46944 .5395 L
.47013 .54046 L
.47078 .54143 L
.47206 .54315 L
.47222 .54336 L
.4734 .54528 L
.47399 .54612 L
.47466 .54721 L
.47591 .54906 L
.47596 .54914 L
.47705 .55106 L
.47784 .55239 L
.47809 .55299 L
.47784 .55374 L
.47701 .55299 L
.47591 .55199 L
.47507 .55106 L
.47399 .5499 L
.47333 .54914 L
.47206 .54776 L
.47166 .54721 L
.47013 .54537 L
.47004 .54528 L
.46848 .54336 L
.46821 .54302 L
.46692 .54143 L
.46628 .5407 L
.46459 .5395 L
.46435 .53818 L
.46382 .53758 L
.46242 .53571 L
.46239 .53565 L
.46087 .53372 L
.4605 .53329 L
.45889 .53179 L
.45857 .53071 L
.4579 .52987 L
.45664 .52816 L
.45656 .52794 L
.45498 .52601 L
.45472 .5257 L
.4532 .52409 L
.45279 .5231 L
.4521 .52216 L
.45086 .5205 L
.45079 .52023 L
.44918 .51831 L
.44894 .51801 L
.4475 .51638 L
.44701 .51538 L
.44637 .51445 L
.44508 .51276 L
.44506 .51253 L
.44344 .5106 L
.44316 .51025 L
.44183 .50867 L
.44123 .5076 L
.44067 .50674 L
.4393 .50497 L
.43915 .50482 L
.43774 .50289 L
.43737 .50244 L
.43617 .50096 L
.43545 .49977 L
.435 .49904 L
.43352 .49715 L
.43348 .49711 L
.43207 .49518 L
.43159 .49459 L
.43053 .49326 L
.42967 .49191 L
.42934 .49133 L
.42783 .4894 L
.42774 .48934 L
.42642 .48747 L
.42581 .48672 L
.42492 .48555 L
.42389 .48401 L
.42369 .48362 L
.4222 .48169 L
.42196 .48151 L
.42028 .47977 L
.42003 .4788 L
.41932 .47784 L
.41811 .47609 L
.41803 .47591 L
.41659 .47399 L
.41618 .47364 L
.41474 .47206 L
.41425 .47085 L
.41374 .47013 L
.41239 .46821 L
.41232 .46812 L
.41102 .46628 L
.4104 .4657 L
.40924 .46435 L
.40847 .46283 L
.40819 .46242 L
.40685 .4605 L
.40654 .46009 L
.40548 .45857 L
.40462 .45764 L
.40381 .45664 L
.4027 .45472 L
.40269 .45471 L
.40136 .45279 L
.40076 .45196 L
.4 .45086 L
.39884 .44936 L
.39851 .44894 L
.39731 .44701 L
.39691 .44646 L
.39599 .44508 L
.39498 .44366 L
.39465 .44316 L
.39336 .44123 L
.39306 .4408 L
.39212 .4393 L
.39113 .43782 L
.39086 .43737 L
.38974 .43545 L
.3892 .43455 L
.3888 .43352 L
F
1 .94 0 r
.3892 .3817 m
.39092 .38342 L
.39113 .38363 L
.39258 .38535 L
.39306 .3859 L
.39411 .38727 L
.39498 .3884 L
.39556 .3892 L
.39686 .39113 L
.39691 .39121 L
.3978 .39306 L
.39691 .39363 L
.39625 .39306 L
.39498 .39182 L
.39441 .39113 L
.39306 .3895 L
.39283 .3892 L
.39143 .38727 L
.39113 .38687 L
.39014 .38535 L
.3892 .38393 L
.38891 .38342 L
F
0 .51 1 r
.3892 .45666 m
.39047 .45857 L
.39113 .45939 L
.39183 .4605 L
.39306 .4621 L
.39326 .46242 L
.39306 .46369 L
.39213 .46242 L
.39113 .46126 L
.39057 .4605 L
.3892 .45879 L
.38904 .45857 L
F
0 .5 1 r
.3892 .4568 m
.39034 .45857 L
.39113 .45954 L
.39171 .4605 L
.39306 .46226 L
.39315 .46242 L
.39306 .46349 L
.39228 .46242 L
.39113 .46111 L
.39068 .4605 L
.3892 .45866 L
.38914 .45857 L
F
1 .74 0 r
.3892 .46512 m
.38965 .46628 L
.3892 .46632 L
.38916 .46628 L
F
0 .98 1 r
.39113 .37567 m
.39118 .37571 L
.39306 .37743 L
.39348 .37764 L
.39498 .37949 L
.39508 .37957 L
.39673 .38149 L
.39691 .38165 L
.39832 .38342 L
.39884 .38407 L
.40007 .38535 L
.40076 .3866 L
.40124 .38727 L
.40269 .38914 L
.40269 .3892 L
.40415 .39113 L
.40462 .39181 L
.40566 .39306 L
.40654 .39475 L
.40666 .39498 L
.4074 .39691 L
.40654 .39763 L
.40462 .39707 L
.40441 .39691 L
.40269 .39529 L
.40227 .39498 L
.40086 .39306 L
.40076 .39294 L
.39941 .39113 L
.39884 .39089 L
.39798 .3892 L
.39691 .38793 L
.39638 .38727 L
.39518 .38535 L
.39498 .38507 L
.39387 .38342 L
.39306 .38227 L
.39254 .38149 L
.39127 .37957 L
.39113 .37934 L
.39018 .37764 L
.38926 .37571 L
F
1 .94 0 r
.39113 .40806 m
.39149 .40847 L
.39306 .41004 L
.39322 .4104 L
.39476 .41232 L
.39498 .41259 L
.3962 .41425 L
.39691 .41516 L
.39761 .41618 L
.39884 .41783 L
.39902 .41811 L
.40028 .42003 L
.40076 .42076 L
.40142 .42196 L
.40076 .42328 L
.39937 .42196 L
.39884 .42143 L
.3976 .42003 L
.39691 .41924 L
.39598 .41811 L
.39498 .41716 L
.39446 .41618 L
.39306 .41428 L
.39304 .41425 L
.3917 .41232 L
.39113 .41147 L
.39043 .4104 L
.38935 .40847 L
F
0 .98 1 r
.39113 .40047 m
.392 .40076 L
.39306 .40133 L
.39443 .40269 L
.39498 .40365 L
.39606 .40462 L
.39691 .40596 L
.39775 .40654 L
.39884 .40837 L
.39902 .40847 L
.40048 .4104 L
.40076 .41069 L
.40255 .41232 L
.40269 .41333 L
.40346 .41425 L
.40462 .41599 L
.40473 .41618 L
.40615 .41811 L
.40654 .41827 L
.40811 .42003 L
.40847 .42109 L
.40906 .42196 L
.41036 .42389 L
.4104 .42394 L
.4117 .42581 L
.41232 .42671 L
.41351 .42774 L
.41425 .4296 L
.41431 .42967 L
.41469 .43159 L
.41425 .43182 L
.41237 .43159 L
.41232 .43158 L
.4104 .43054 L
.4095 .42967 L
.40847 .42861 L
.40809 .42774 L
.40654 .42626 L
.40619 .42581 L
.40463 .42389 L
.40462 .42372 L
.4033 .42196 L
.40269 .42102 L
.40218 .42003 L
.40076 .41831 L
.40038 .41811 L
.3989 .41618 L
.39884 .41598 L
.39764 .41425 L
.39691 .4133 L
.39656 .41232 L
.39498 .41062 L
.39479 .4104 L
.39326 .40847 L
.39306 .40839 L
.39215 .40654 L
.39113 .40548 L
.39103 .40462 L
.38966 .40269 L
.38941 .40076 L
F
1 .82 0 r
.39113 .43509 m
.39147 .43545 L
.39306 .43699 L
.39328 .43737 L
.39497 .4393 L
.39498 .43932 L
.39659 .44123 L
.39691 .4416 L
.39818 .44316 L
.39884 .44372 L
.39976 .44508 L
.40076 .44631 L
.40154 .44701 L
.40269 .44878 L
.40282 .44894 L
.40433 .45086 L
.40462 .45112 L
.40584 .45279 L
.40654 .45369 L
.40751 .45472 L
.40847 .45625 L
.40875 .45664 L
.41027 .45857 L
.4104 .45869 L
.41174 .4605 L
.41232 .46126 L
.41332 .46242 L
.41425 .46387 L
.41455 .46435 L
.4161 .46628 L
.41618 .46636 L
.41754 .46821 L
.41811 .46895 L
.41906 .47013 L
.42003 .47158 L
.42029 .47206 L
.42185 .47399 L
.42196 .4741 L
.42377 .47591 L
.42389 .47671 L
.42476 .47784 L
.42581 .47936 L
.42601 .47977 L
.42756 .48169 L
.42774 .48188 L
.42938 .48362 L
.42967 .48452 L
.43043 .48555 L
.43159 .48719 L
.4317 .48747 L
.43323 .4894 L
.43352 .4897 L
.435 .49133 L
.43545 .49238 L
.43608 .49326 L
.43737 .49504 L
.43741 .49518 L
.43889 .49711 L
.4393 .49755 L
.4406 .49904 L
.44123 .50027 L
.44171 .50096 L
.44313 .50289 L
.44316 .50293 L
.44452 .50482 L
.44508 .50544 L
.44618 .50674 L
.44701 .50819 L
.44733 .50867 L
.44874 .5106 L
.44894 .51087 L
.45012 .51253 L
.45086 .51337 L
.45174 .51445 L
.45279 .51615 L
.45293 .51638 L
.45432 .51831 L
.45472 .51843 L
.4557 .52023 L
.45664 .52137 L
.45726 .52216 L
.4585 .52409 L
.45857 .52418 L
.45986 .52601 L
.4605 .5264 L
.46194 .52794 L
.46242 .52948 L
.46271 .52987 L
.464 .53179 L
.46435 .53228 L
.46535 .53372 L
.46628 .53461 L
.46715 .53565 L
.46809 .53758 L
.46821 .53774 L
.46939 .5395 L
.47013 .54054 L
.47072 .54143 L
.47206 .54331 L
.47209 .54336 L
.47331 .54528 L
.47399 .54626 L
.47456 .54721 L
.47583 .54914 L
.47591 .54927 L
.47684 .55106 L
.47591 .55172 L
.47529 .55106 L
.47399 .54971 L
.47348 .54914 L
.47206 .54758 L
.47179 .54721 L
.47017 .54528 L
.47013 .54524 L
.46858 .54336 L
.46821 .54291 L
.46701 .54143 L
.46628 .54061 L
.46467 .5395 L
.46435 .53809 L
.46389 .53758 L
.46242 .53565 L
.46242 .53565 L
.46093 .53372 L
.4605 .53322 L
.45893 .53179 L
.45857 .53065 L
.45795 .52987 L
.45664 .52811 L
.45657 .52794 L
.45502 .52601 L
.45472 .52565 L
.45322 .52409 L
.45279 .52305 L
.45213 .52216 L
.45086 .52046 L
.4508 .52023 L
.44921 .51831 L
.44894 .51797 L
.44753 .51638 L
.44701 .51534 L
.44639 .51445 L
.44508 .51273 L
.44507 .51253 L
.44347 .5106 L
.44316 .51022 L
.44185 .50867 L
.44123 .50756 L
.44069 .50674 L
.4393 .50495 L
.43918 .50482 L
.43777 .50289 L
.43737 .50241 L
.43619 .50096 L
.43545 .49974 L
.43502 .49904 L
.43352 .49713 L
.4335 .49711 L
.43209 .49518 L
.43159 .49457 L
.43055 .49326 L
.42967 .49188 L
.42936 .49133 L
.42785 .4894 L
.42774 .48933 L
.42645 .48747 L
.42581 .48669 L
.42494 .48555 L
.42389 .48398 L
.4237 .48362 L
.42222 .48169 L
.42196 .4815 L
.42029 .47977 L
.42003 .47877 L
.41934 .47784 L
.41811 .47606 L
.41804 .47591 L
.41662 .47399 L
.41618 .47362 L
.41476 .47206 L
.41425 .47081 L
.41376 .47013 L
.41242 .46821 L
.41232 .46808 L
.41104 .46628 L
.4104 .46566 L
.40927 .46435 L
.40847 .46278 L
.40822 .46242 L
.40688 .4605 L
.40654 .46004 L
.40551 .45857 L
.40462 .45758 L
.40386 .45664 L
.40274 .45472 L
.40269 .45465 L
.40141 .45279 L
.40076 .4519 L
.40005 .45086 L
.39884 .44927 L
.39858 .44894 L
.39737 .44701 L
.39691 .44637 L
.39606 .44508 L
.39498 .44356 L
.39472 .44316 L
.39345 .44123 L
.39306 .44065 L
.39223 .4393 L
.39113 .43763 L
.39098 .43737 L
.38997 .43545 L
F
0 .97 1 r
.39113 .40121 m
.39306 .40188 L
.39398 .40269 L
.39498 .40408 L
.39581 .40462 L
.39691 .40617 L
.39755 .40654 L
.39884 .40844 L
.3989 .40847 L
.40035 .4104 L
.40076 .41082 L
.40248 .41232 L
.40269 .41347 L
.40336 .41425 L
.40462 .41612 L
.40465 .41618 L
.40605 .41811 L
.40654 .41834 L
.40802 .42003 L
.40847 .42126 L
.40894 .42196 L
.41022 .42389 L
.4104 .42413 L
.41154 .42581 L
.41232 .42698 L
.41322 .42774 L
.41389 .42967 L
.41232 .43103 L
.4104 .42996 L
.41002 .42967 L
.40847 .42815 L
.40829 .42774 L
.40654 .4259 L
.40647 .42581 L
.40464 .42389 L
.40462 .42341 L
.40347 .42196 L
.40269 .42078 L
.40231 .42003 L
.40076 .4182 L
.40055 .41811 L
.39895 .41618 L
.39884 .41578 L
.39778 .41425 L
.39691 .41309 L
.39666 .41232 L
.39498 .41041 L
.39498 .4104 L
.39337 .40847 L
.39306 .40821 L
.39237 .40654 L
.39113 .40462 L
.39113 .40462 L
.3902 .40269 L
F
1 .81 0 r
.39113 .43539 m
.39118 .43545 L
.39306 .43729 L
.3931 .43737 L
.39482 .4393 L
.39498 .43947 L
.39647 .44123 L
.39691 .44173 L
.39808 .44316 L
.39884 .44382 L
.39967 .44508 L
.40076 .4464 L
.40145 .44701 L
.40269 .44886 L
.40275 .44894 L
.40427 .45086 L
.40462 .45118 L
.40578 .45279 L
.40654 .45375 L
.40746 .45472 L
.40847 .4563 L
.40871 .45664 L
.41023 .45857 L
.4104 .45873 L
.4117 .4605 L
.41232 .46131 L
.41329 .46242 L
.41425 .46391 L
.41453 .46435 L
.41606 .46628 L
.41618 .46639 L
.41751 .46821 L
.41811 .46899 L
.41904 .47013 L
.42003 .47162 L
.42028 .47206 L
.42182 .47399 L
.42196 .47412 L
.42376 .47591 L
.42389 .47674 L
.42474 .47784 L
.42581 .47939 L
.42599 .47977 L
.42753 .48169 L
.42774 .4819 L
.42937 .48362 L
.42967 .48455 L
.43041 .48555 L
.43159 .48721 L
.43169 .48747 L
.43321 .4894 L
.43352 .48972 L
.43498 .49133 L
.43545 .49241 L
.43606 .49326 L
.43737 .49507 L
.43741 .49518 L
.43887 .49711 L
.4393 .49757 L
.44058 .49904 L
.44123 .50029 L
.44169 .50096 L
.4431 .50289 L
.44316 .50296 L
.4445 .50482 L
.44508 .50546 L
.44616 .50674 L
.44701 .50822 L
.44731 .50867 L
.44871 .5106 L
.44894 .5109 L
.4501 .51253 L
.45086 .5134 L
.45171 .51445 L
.45279 .51619 L
.45291 .51638 L
.45429 .51831 L
.45472 .51845 L
.45568 .52023 L
.45664 .52141 L
.45722 .52216 L
.45847 .52409 L
.45857 .52422 L
.45983 .52601 L
.4605 .52644 L
.4619 .52794 L
.46242 .52954 L
.46267 .52987 L
.46395 .53179 L
.46435 .53233 L
.4653 .53372 L
.46628 .5347 L
.46708 .53565 L
.46803 .53758 L
.46821 .53782 L
.46933 .5395 L
.47013 .54063 L
.47066 .54143 L
.472 .54336 L
.47206 .54345 L
.47321 .54528 L
.47399 .54642 L
.47446 .54721 L
.47566 .54914 L
.47591 .54955 L
.47655 .55106 L
.47591 .5514 L
.47557 .55106 L
.47399 .5495 L
.47366 .54914 L
.47206 .54739 L
.47193 .54721 L
.47029 .54528 L
.47013 .54511 L
.46868 .54336 L
.46821 .5428 L
.46709 .54143 L
.46628 .54051 L
.46475 .5395 L
.46435 .538 L
.46396 .53758 L
.46249 .53565 L
.46242 .53564 L
.46098 .53372 L
.4605 .53316 L
.45896 .53179 L
.45857 .53059 L
.45799 .52987 L
.45664 .52806 L
.45659 .52794 L
.45506 .52601 L
.45472 .5256 L
.45325 .52409 L
.45279 .523 L
.45217 .52216 L
.45086 .52042 L
.45081 .52023 L
.44924 .51831 L
.44894 .51793 L
.44755 .51638 L
.44701 .5153 L
.44642 .51445 L
.44508 .5127 L
.44507 .51253 L
.4435 .5106 L
.44316 .51018 L
.44187 .50867 L
.44123 .50753 L
.44071 .50674 L
.4393 .50492 L
.4392 .50482 L
.43779 .50289 L
.43737 .50238 L
.43621 .50096 L
.43545 .49971 L
.43503 .49904 L
.43353 .49711 L
.43352 .49711 L
.43212 .49518 L
.43159 .49454 L
.43057 .49326 L
.42967 .49185 L
.42937 .49133 L
.42787 .4894 L
.42774 .48931 L
.42647 .48747 L
.42581 .48666 L
.42496 .48555 L
.42389 .48396 L
.42372 .48362 L
.42224 .48169 L
.42196 .48148 L
.42031 .47977 L
.42003 .47874 L
.41936 .47784 L
.41811 .47603 L
.41806 .47591 L
.41664 .47399 L
.41618 .47359 L
.41478 .47206 L
.41425 .47078 L
.41379 .47013 L
.41244 .46821 L
.41232 .46804 L
.41107 .46628 L
.4104 .46563 L
.4093 .46435 L
.40847 .46274 L
.40826 .46242 L
.40691 .4605 L
.40654 .46 L
.40555 .45857 L
.40462 .45753 L
.40391 .45664 L
.40278 .45472 L
.40269 .45459 L
.40145 .45279 L
.40076 .45184 L
.4001 .45086 L
.39884 .44917 L
.39866 .44894 L
.39743 .44701 L
.39691 .44628 L
.39612 .44508 L
.39498 .44345 L
.39479 .44316 L
.39356 .44123 L
.39306 .4405 L
.39235 .4393 L
.39113 .4374 L
.39111 .43737 L
.39033 .43545 L
F
0 .95 1 r
.39113 .42748 m
.39145 .42774 L
.39306 .42871 L
.39356 .42967 L
.39498 .43112 L
.3954 .43159 L
.39691 .43332 L
.39717 .43352 L
.39877 .43545 L
.39884 .43547 L
.40039 .43737 L
.40076 .43782 L
.40197 .4393 L
.40269 .44026 L
.40356 .44123 L
.40462 .44274 L
.4049 .44316 L
.40653 .44508 L
.40654 .4451 L
.40835 .44701 L
.40847 .44763 L
.40948 .44894 L
.4104 .45023 L
.41071 .45086 L
.41232 .45274 L
.41246 .45279 L
.41406 .45472 L
.41425 .45521 L
.41527 .45664 L
.41618 .45789 L
.4164 .45857 L
.41811 .46029 L
.41826 .4605 L
.41978 .46242 L
.42003 .46292 L
.421 .46435 L
.42196 .46564 L
.42203 .46628 L
.42389 .46805 L
.424 .46821 L
.42549 .47013 L
.42581 .47071 L
.42668 .47206 L
.42774 .47344 L
.4283 .47399 L
.42967 .47587 L
.4297 .47591 L
.43117 .47784 L
.43159 .47854 L
.43234 .47977 L
.43352 .48126 L
.43398 .48169 L
.43538 .48362 L
.43545 .48371 L
.43683 .48555 L
.43737 .48639 L
.43798 .48747 L
.4393 .48909 L
.43965 .4894 L
.44122 .49133 L
.44123 .49157 L
.44247 .49326 L
.44316 .49426 L
.44361 .49518 L
.44508 .49692 L
.4453 .49711 L
.44691 .49904 L
.44701 .49945 L
.44811 .50096 L
.44894 .50214 L
.44925 .50289 L
.45086 .50475 L
.45094 .50482 L
.45257 .50674 L
.45279 .50733 L
.45374 .50867 L
.45472 .51002 L
.45489 .5106 L
.45658 .51253 L
.45664 .51259 L
.45821 .51445 L
.45857 .51522 L
.45936 .51638 L
.4605 .51791 L
.46055 .51831 L
.46221 .52023 L
.46242 .52045 L
.46383 .52216 L
.46435 .52312 L
.46498 .52409 L
.46628 .5258 L
.46644 .52601 L
.46784 .52794 L
.46821 .52832 L
.46944 .52987 L
.47013 .53104 L
.4706 .53179 L
.47206 .53371 L
.47207 .53372 L
.47346 .53565 L
.47399 .53622 L
.47504 .53758 L
.47591 .53897 L
.47622 .5395 L
.47768 .54143 L
.47784 .54165 L
.47906 .54336 L
.47977 .54415 L
.48062 .54528 L
.48169 .54692 L
.48184 .54721 L
.48327 .54914 L
.48362 .54925 L
.48526 .55106 L
.48555 .55212 L
.48617 .55299 L
.48747 .55492 L
.48747 .55492 L
.48883 .55684 L
.4894 .55717 L
.49073 .55877 L
.49133 .56018 L
.49169 .5607 L
.493 .56263 L
.49326 .56297 L
.49435 .56455 L
.49518 .56527 L
.49611 .56648 L
.49711 .56837 L
.49713 .56841 L
.49845 .57033 L
.49904 .57114 L
.49979 .57226 L
.50096 .57371 L
.5013 .57419 L
.50245 .57611 L
.50289 .57673 L
.50373 .57804 L
.50482 .57961 L
.50504 .57997 L
.50624 .58189 L
.50674 .58266 L
.50737 .58382 L
.50674 .5855 L
.50509 .58382 L
.50482 .58355 L
.50331 .58189 L
.50289 .58144 L
.50161 .57997 L
.50096 .5793 L
.49997 .57804 L
.49904 .57688 L
.49821 .57611 L
.49711 .57449 L
.49688 .57419 L
.49526 .57226 L
.49518 .57217 L
.49373 .57033 L
.49326 .56969 L
.49215 .56841 L
.49133 .56714 L
.49091 .56648 L
.4894 .56464 L
.48923 .56455 L
.48775 .56263 L
.48747 .56223 L
.48628 .5607 L
.48555 .55959 L
.4851 .55877 L
.48362 .55697 L
.48336 .55684 L
.48174 .55492 L
.48169 .55458 L
.48051 .55299 L
.47977 .5519 L
.47937 .55106 L
.47784 .54925 L
.47759 .54914 L
.47603 .54721 L
.47591 .54684 L
.4748 .54528 L
.47399 .54413 L
.47369 .54336 L
.47206 .5415 L
.47188 .54143 L
.47033 .5395 L
.47013 .53903 L
.46912 .53758 L
.46821 .53632 L
.46804 .53565 L
.46628 .53374 L
.46619 .53372 L
.46466 .53179 L
.46435 .53118 L
.46347 .52987 L
.46242 .52848 L
.4624 .52794 L
.46053 .52601 L
.4605 .52598 L
.459 .52409 L
.45857 .52332 L
.45783 .52216 L
.45664 .52063 L
.45627 .52023 L
.45487 .51831 L
.45472 .51811 L
.45336 .51638 L
.45279 .51544 L
.4522 .51445 L
.45086 .51278 L
.45062 .51253 L
.44922 .5106 L
.44894 .51024 L
.44773 .50867 L
.44701 .50756 L
.44656 .50674 L
.44508 .50492 L
.44498 .50482 L
.4432 .50289 L
.44316 .50236 L
.4421 .50096 L
.44123 .49967 L
.44092 .49904 L
.43935 .49711 L
.4393 .49707 L
.43757 .49518 L
.43737 .49447 L
.43648 .49326 L
.43545 .49177 L
.43527 .49133 L
.43372 .4894 L
.43352 .48924 L
.43195 .48747 L
.43159 .48657 L
.43087 .48555 L
.42967 .48387 L
.42959 .48362 L
.4281 .48169 L
.42774 .48139 L
.42636 .47977 L
.42581 .47865 L
.42526 .47784 L
.42389 .47594 L
.42388 .47591 L
.42248 .47399 L
.42196 .4735 L
.42078 .47206 L
.42003 .47071 L
.41966 .47013 L
.41826 .46821 L
.41811 .46799 L
.41688 .46628 L
.41618 .46556 L
.41523 .46435 L
.41425 .46273 L
.41406 .46242 L
.41268 .4605 L
.41232 .46002 L
.4113 .45857 L
.4104 .45756 L
.40971 .45664 L
.40849 .45472 L
.40847 .4547 L
.40713 .45279 L
.40654 .45199 L
.40575 .45086 L
.40462 .44944 L
.40425 .44894 L
.40299 .44701 L
.40269 .44661 L
.40164 .44508 L
.40076 .44388 L
.39981 .44316 L
.39889 .44123 L
.39884 .44115 L
.3976 .4393 L
.39691 .43835 L
.39627 .43737 L
.39498 .43554 L
.39486 .43545 L
.39369 .43352 L
.39306 .43258 L
.39247 .43159 L
.39126 .42967 L
.39113 .42944 L
.39049 .42774 L
F
1 .42 0 r
.39113 .45113 m
.39237 .45279 L
.39306 .45358 L
.39389 .45472 L
.39498 .45606 L
.39541 .45664 L
.39691 .45855 L
.39692 .45857 L
.39833 .4605 L
.39884 .46113 L
.39976 .46242 L
.40076 .46369 L
.40123 .46435 L
.40269 .46625 L
.4027 .46628 L
.40406 .46821 L
.40462 .46891 L
.40546 .47013 L
.40654 .47155 L
.4069 .47206 L
.4083 .47399 L
.40847 .4742 L
.40962 .47591 L
.4104 .47692 L
.411 .47784 L
.41232 .47963 L
.41242 .47977 L
.41367 .48169 L
.41425 .48246 L
.41495 .48362 L
.41618 .48534 L
.4163 .48555 L
.41618 .48668 L
.41527 .48555 L
.41425 .48446 L
.41361 .48362 L
.41232 .4821 L
.41201 .48169 L
.41048 .47977 L
.4104 .47967 L
.40902 .47784 L
.40847 .47718 L
.40753 .47591 L
.40654 .47467 L
.40604 .47399 L
.40462 .47221 L
.40456 .47206 L
.40315 .47013 L
.40269 .46955 L
.40172 .46821 L
.40076 .46696 L
.40027 .46628 L
.39884 .46436 L
.39883 .46435 L
.39748 .46242 L
.39691 .46169 L
.39608 .4605 L
.39498 .45903 L
.39466 .45857 L
.3933 .45664 L
.39306 .45632 L
.39199 .45472 L
.39113 .45356 L
.39062 .45279 L
F
1 .41 0 r
.39113 .45123 m
.3923 .45279 L
.39306 .45367 L
.39382 .45472 L
.39498 .45613 L
.39536 .45664 L
.39687 .45857 L
.39691 .45862 L
.39827 .4605 L
.39884 .46119 L
.39971 .46242 L
.40076 .46375 L
.40118 .46435 L
.40265 .46628 L
.40269 .46633 L
.40401 .46821 L
.40462 .46898 L
.40541 .47013 L
.40654 .47161 L
.40685 .47206 L
.40825 .47399 L
.40847 .47427 L
.40957 .47591 L
.4104 .477 L
.41095 .47784 L
.41232 .47971 L
.41236 .47977 L
.41359 .48169 L
.41425 .48258 L
.41486 .48362 L
.41618 .48549 L
.41621 .48555 L
.41618 .48648 L
.41542 .48555 L
.41425 .48434 L
.41369 .48362 L
.41232 .48201 L
.41208 .48169 L
.41056 .47977 L
.4104 .47959 L
.40909 .47784 L
.40847 .4771 L
.40759 .47591 L
.40654 .4746 L
.40609 .47399 L
.40462 .47209 L
.40461 .47206 L
.40321 .47013 L
.40269 .46948 L
.40177 .46821 L
.40076 .4669 L
.40032 .46628 L
.39889 .46435 L
.39884 .46429 L
.39753 .46242 L
.39691 .46162 L
.39613 .4605 L
.39498 .45896 L
.39471 .45857 L
.39337 .45664 L
.39306 .45624 L
.39205 .45472 L
.39113 .45347 L
.39069 .45279 L
F
1 .93 0 r
.39113 .38445 m
.39194 .38535 L
.39306 .38655 L
.39361 .38727 L
.39498 .38906 L
.39508 .3892 L
.39615 .39113 L
.39498 .3912 L
.39492 .39113 L
.3933 .3892 L
.39306 .38891 L
.39194 .38727 L
.39113 .38613 L
.39069 .38535 L
F
1 .4 0 r
.39113 .45134 m
.39221 .45279 L
.39306 .45375 L
.39376 .45472 L
.39498 .4562 L
.3953 .45664 L
.39681 .45857 L
.39691 .45869 L
.39821 .4605 L
.39884 .46126 L
.39966 .46242 L
.40076 .46382 L
.40114 .46435 L
.4026 .46628 L
.40269 .46639 L
.40396 .46821 L
.40462 .46904 L
.40537 .47013 L
.40654 .47167 L
.40681 .47206 L
.40819 .47399 L
.40847 .47435 L
.40951 .47591 L
.4104 .47708 L
.41089 .47784 L
.4104 .4795 L
.40916 .47784 L
.40847 .47702 L
.40765 .47591 L
.40654 .47453 L
.40614 .47399 L
.40466 .47206 L
.40462 .472 L
.40326 .47013 L
.40269 .46941 L
.40182 .46821 L
.40076 .46683 L
.40037 .46628 L
.39894 .46435 L
.39884 .46422 L
.39759 .46242 L
.39691 .46155 L
.39618 .4605 L
.39498 .45888 L
.39477 .45857 L
.39344 .45664 L
.39306 .45615 L
.39212 .45472 L
.39113 .45337 L
.39076 .45279 L
F
0 .49 1 r
.39113 .45973 m
.39157 .4605 L
.39113 .46094 L
.39081 .4605 L
F
0 .96 1 r
.39113 .4021 m
.39306 .4024 L
.39345 .40269 L
.39498 .40434 L
.39554 .40462 L
.39691 .40633 L
.39733 .40654 L
.39876 .40847 L
.39884 .4085 L
.40022 .4104 L
.40076 .41096 L
.40239 .41232 L
.40269 .41361 L
.40325 .41425 L
.40456 .41618 L
.40462 .41625 L
.40594 .41811 L
.40654 .41844 L
.40791 .42003 L
.40847 .42145 L
.40881 .42196 L
.41008 .42389 L
.4104 .42434 L
.41137 .42581 L
.41232 .42729 L
.41286 .42774 L
.41339 .42967 L
.41232 .43047 L
.41069 .42967 L
.4104 .42948 L
.40847 .42775 L
.40847 .42774 L
.40673 .42581 L
.40654 .42558 L
.40466 .42389 L
.40462 .42314 L
.40364 .42196 L
.40269 .42058 L
.40241 .42003 L
.40076 .41812 L
.40072 .41811 L
.399 .41618 L
.39884 .41559 L
.39792 .41425 L
.39691 .41288 L
.39674 .41232 L
.39515 .4104 L
.39498 .41015 L
.39349 .40847 L
.39306 .40786 L
.39259 .40654 L
.39148 .40462 L
.39113 .40379 L
.39082 .40269 L
F
1 .39 0 r
.39113 .45146 m
.39212 .45279 L
.39306 .45384 L
.39369 .45472 L
.39498 .45628 L
.39525 .45664 L
.39674 .45857 L
.39691 .45877 L
.39815 .4605 L
.39884 .46133 L
.39961 .46242 L
.40076 .46388 L
.40109 .46435 L
.40254 .46628 L
.40269 .46646 L
.4039 .46821 L
.40462 .46911 L
.40532 .47013 L
.40654 .47174 L
.40676 .47206 L
.40812 .47399 L
.40847 .47443 L
.40945 .47591 L
.4104 .47716 L
.41083 .47784 L
.4104 .4794 L
.40923 .47784 L
.40847 .47694 L
.40771 .47591 L
.40654 .47445 L
.4062 .47399 L
.40473 .47206 L
.40462 .47193 L
.40332 .47013 L
.40269 .46934 L
.40188 .46821 L
.40076 .46676 L
.40042 .46628 L
.399 .46435 L
.39884 .46414 L
.39764 .46242 L
.39691 .46147 L
.39624 .4605 L
.39498 .45881 L
.39482 .45857 L
.39351 .45664 L
.39306 .45605 L
.3922 .45472 L
.39113 .45326 L
.39083 .45279 L
F
0 .57 1 r
.39113 .44323 m
.39273 .44508 L
.39306 .44542 L
.39435 .44701 L
.39498 .44773 L
.39594 .44894 L
.39691 .45009 L
.39751 .45086 L
.39884 .45241 L
.39906 .45279 L
.40056 .45472 L
.40076 .45496 L
.40205 .45664 L
.40269 .45745 L
.40354 .45857 L
.40462 .45981 L
.40547 .4605 L
.40651 .46242 L
.40654 .46247 L
.40795 .46435 L
.40847 .46502 L
.4094 .46628 L
.4104 .46744 L
.41124 .46821 L
.41232 .47013 L
.41232 .47014 L
.41373 .47206 L
.41425 .47274 L
.41516 .47399 L
.41618 .47519 L
.41689 .47591 L
.41804 .47784 L
.41811 .47793 L
.41944 .47977 L
.42003 .48055 L
.42086 .48169 L
.42196 .48306 L
.42248 .48362 L
.42369 .48555 L
.42389 .4858 L
.42508 .48747 L
.42581 .4879 L
.42649 .4894 L
.42774 .49103 L
.428 .49133 L
.42928 .49326 L
.42967 .49377 L
.43065 .49518 L
.43159 .496 L
.43205 .49711 L
.43345 .49904 L
.43352 .49913 L
.43478 .50096 L
.43545 .50187 L
.43615 .50289 L
.43737 .5044 L
.43753 .50482 L
.43885 .50674 L
.4393 .50737 L
.44016 .50867 L
.44123 .51017 L
.44151 .5106 L
.44278 .51253 L
.44316 .51306 L
.44398 .51445 L
.44508 .51609 L
.44524 .51638 L
.44508 .5178 L
.4438 .51638 L
.44316 .51573 L
.44209 .51445 L
.44123 .51349 L
.44045 .51253 L
.4393 .51166 L
.43885 .5106 L
.43737 .50879 L
.43722 .50867 L
.43579 .50674 L
.43545 .50633 L
.43427 .50482 L
.43352 .50438 L
.43276 .50289 L
.43159 .50146 L
.43104 .50096 L
.42979 .49904 L
.42967 .49888 L
.42833 .49711 L
.42774 .49676 L
.42686 .49518 L
.42581 .49388 L
.4252 .49326 L
.42395 .49133 L
.42389 .49125 L
.42252 .4894 L
.42196 .48904 L
.42107 .48747 L
.42003 .48616 L
.41948 .48555 L
.41821 .48362 L
.41811 .48349 L
.41679 .48169 L
.41618 .48123 L
.41536 .47977 L
.41425 .47833 L
.41383 .47784 L
.41254 .47591 L
.41232 .47563 L
.41114 .47399 L
.4104 .47334 L
.40972 .47206 L
.40847 .47039 L
.40826 .47013 L
.40694 .46821 L
.40654 .46768 L
.40555 .46628 L
.40462 .4653 L
.40365 .46435 L
.40276 .46242 L
.40269 .46233 L
.40142 .4605 L
.40076 .4596 L
.40005 .45857 L
.39884 .45702 L
.39849 .45664 L
.39735 .45472 L
.39691 .45412 L
.39602 .45279 L
.39498 .45133 L
.39467 .45086 L
.39339 .44894 L
.39306 .44847 L
.39215 .44701 L
.39113 .44551 L
.39087 .44508 L
F
1 .93 0 r
.39113 .40871 m
.39282 .4104 L
.39306 .41064 L
.39441 .41232 L
.39498 .413 L
.3959 .41425 L
.39691 .41554 L
.39734 .41618 L
.39872 .41811 L
.39884 .41827 L
.39985 .42003 L
.40076 .42178 L
.4008 .42196 L
.40076 .42213 L
.40026 .42196 L
.39884 .42084 L
.39808 .42003 L
.39691 .41874 L
.39638 .41811 L
.39498 .41649 L
.39484 .41618 L
.39343 .41425 L
.39306 .41374 L
.3921 .41232 L
.39113 .41079 L
.39089 .4104 L
F
1 .38 0 r
.39113 .45159 m
.39202 .45279 L
.39306 .45394 L
.39362 .45472 L
.39498 .45636 L
.39519 .45664 L
.39667 .45857 L
.39691 .45885 L
.39809 .4605 L
.39884 .4614 L
.39956 .46242 L
.40076 .46395 L
.40105 .46435 L
.40248 .46628 L
.40269 .46654 L
.40384 .46821 L
.40462 .46918 L
.40526 .47013 L
.40654 .47181 L
.40671 .47206 L
.40806 .47399 L
.40847 .47451 L
.40938 .47591 L
.4104 .47725 L
.41077 .47784 L
.4104 .4793 L
.40931 .47784 L
.40847 .47685 L
.40778 .47591 L
.40654 .47438 L
.40625 .47399 L
.40479 .47206 L
.40462 .47185 L
.40338 .47013 L
.40269 .46927 L
.40193 .46821 L
.40076 .46669 L
.40047 .46628 L
.39907 .46435 L
.39884 .46406 L
.39771 .46242 L
.39691 .46139 L
.3963 .4605 L
.39498 .45873 L
.39488 .45857 L
.39359 .45664 L
.39306 .45595 L
.39227 .45472 L
.39113 .45315 L
.39091 .45279 L
F
0 .56 1 r
.39113 .44338 m
.39262 .44508 L
.39306 .44553 L
.39427 .44701 L
.39498 .44781 L
.39588 .44894 L
.39691 .45016 L
.39746 .45086 L
.39884 .45249 L
.39901 .45279 L
.40051 .45472 L
.40076 .45502 L
.402 .45664 L
.40269 .4575 L
.4035 .45857 L
.40462 .45987 L
.40541 .4605 L
.40647 .46242 L
.40654 .46251 L
.40791 .46435 L
.40847 .46506 L
.40937 .46628 L
.4104 .46748 L
.41119 .46821 L
.41229 .47013 L
.41232 .47018 L
.4137 .47206 L
.41425 .47277 L
.41514 .47399 L
.41618 .47523 L
.41686 .47591 L
.41801 .47784 L
.41811 .47796 L
.41941 .47977 L
.42003 .48059 L
.42083 .48169 L
.42196 .4831 L
.42244 .48362 L
.42366 .48555 L
.42389 .48584 L
.42505 .48747 L
.42581 .48794 L
.42646 .4894 L
.42774 .49108 L
.42796 .49133 L
.42925 .49326 L
.42967 .49381 L
.43062 .49518 L
.43159 .49606 L
.43203 .49711 L
.43341 .49904 L
.43352 .49918 L
.43475 .50096 L
.43545 .50191 L
.43611 .50289 L
.43737 .50449 L
.4375 .50482 L
.4388 .50674 L
.4393 .50743 L
.44011 .50867 L
.44123 .51024 L
.44146 .5106 L
.44271 .51253 L
.44316 .51316 L
.44391 .51445 L
.44508 .51624 L
.44515 .51638 L
.44508 .51759 L
.44394 .51638 L
.44316 .51561 L
.44218 .51445 L
.44123 .5134 L
.44052 .51253 L
.4393 .51154 L
.43891 .5106 L
.43737 .50871 L
.43732 .50867 L
.43584 .50674 L
.43545 .50627 L
.43432 .50482 L
.43352 .50433 L
.4328 .50289 L
.43159 .5014 L
.4311 .50096 L
.42983 .49904 L
.42967 .49883 L
.42837 .49711 L
.42774 .49673 L
.42689 .49518 L
.42581 .49384 L
.42524 .49326 L
.42398 .49133 L
.42389 .4912 L
.42255 .4894 L
.42196 .48901 L
.4211 .48747 L
.42003 .48612 L
.41951 .48555 L
.41824 .48362 L
.41811 .48345 L
.41682 .48169 L
.41618 .4812 L
.41539 .47977 L
.41425 .47829 L
.41387 .47784 L
.41256 .47591 L
.41232 .4756 L
.41117 .47399 L
.4104 .4733 L
.40975 .47206 L
.40847 .47035 L
.4083 .47013 L
.40697 .46821 L
.40654 .46764 L
.40558 .46628 L
.40462 .46525 L
.4037 .46435 L
.4028 .46242 L
.40269 .46228 L
.40145 .4605 L
.40076 .45956 L
.40008 .45857 L
.39884 .45695 L
.39856 .45664 L
.39739 .45472 L
.39691 .45406 L
.39607 .45279 L
.39498 .45126 L
.39472 .45086 L
.39345 .44894 L
.39306 .44838 L
.39222 .44701 L
.39113 .44539 L
.39095 .44508 L
F
0 .48 1 r
.39113 .45998 m
.39138 .4605 L
.39113 .46071 L
.39098 .4605 L
F
1 .37 0 r
.39113 .45175 m
.39189 .45279 L
.39306 .45405 L
.39354 .45472 L
.39498 .45644 L
.39513 .45664 L
.39659 .45857 L
.39691 .45894 L
.39802 .4605 L
.39884 .46148 L
.3995 .46242 L
.40076 .46402 L
.401 .46435 L
.40242 .46628 L
.40269 .46661 L
.40378 .46821 L
.40462 .46926 L
.40521 .47013 L
.40654 .47188 L
.40666 .47206 L
.40799 .47399 L
.40847 .4746 L
.40931 .47591 L
.4104 .47735 L
.41071 .47784 L
.4104 .47918 L
.4094 .47784 L
.40847 .47676 L
.40785 .47591 L
.40654 .4743 L
.40631 .47399 L
.40487 .47206 L
.40462 .47176 L
.40345 .47013 L
.40269 .46919 L
.40199 .46821 L
.40076 .46662 L
.40052 .46628 L
.39913 .46435 L
.39884 .46398 L
.39777 .46242 L
.39691 .46131 L
.39636 .4605 L
.39498 .45864 L
.39493 .45857 L
.39368 .45664 L
.39306 .45584 L
.39236 .45472 L
.39113 .45301 L
.39099 .45279 L
F
0 .55 1 r
.39113 .44355 m
.3925 .44508 L
.39306 .44563 L
.39419 .44701 L
.39498 .44789 L
.39582 .44894 L
.39691 .45023 L
.39741 .45086 L
.39884 .45257 L
.39897 .45279 L
.40047 .45472 L
.40076 .45507 L
.40196 .45664 L
.40269 .45755 L
.40347 .45857 L
.40462 .45992 L
.40535 .4605 L
.40644 .46242 L
.40654 .46256 L
.40788 .46435 L
.40847 .4651 L
.40934 .46628 L
.4104 .46752 L
.41115 .46821 L
.41226 .47013 L
.41232 .47022 L
.41367 .47206 L
.41425 .47281 L
.41511 .47399 L
.41618 .47527 L
.41682 .47591 L
.41798 .47784 L
.41811 .478 L
.41938 .47977 L
.42003 .48062 L
.42081 .48169 L
.42196 .48314 L
.42241 .48362 L
.42364 .48555 L
.42389 .48587 L
.42502 .48747 L
.42581 .48797 L
.42644 .4894 L
.42774 .49112 L
.42792 .49133 L
.42922 .49326 L
.42967 .49385 L
.4306 .49518 L
.43159 .49611 L
.432 .49711 L
.43338 .49904 L
.43352 .49922 L
.43471 .50096 L
.43545 .50196 L
.43608 .50289 L
.43737 .50458 L
.43746 .50482 L
.43876 .50674 L
.4393 .50749 L
.44006 .50867 L
.44123 .51031 L
.44141 .5106 L
.44264 .51253 L
.44316 .51327 L
.44382 .51445 L
.44316 .51549 L
.44227 .51445 L
.44123 .5133 L
.44059 .51253 L
.4393 .51141 L
.43897 .5106 L
.43741 .50867 L
.43737 .50864 L
.43589 .50674 L
.43545 .50621 L
.43436 .50482 L
.43352 .50428 L
.43284 .50289 L
.43159 .50135 L
.43116 .50096 L
.42987 .49904 L
.42967 .49878 L
.4284 .49711 L
.42774 .4967 L
.42693 .49518 L
.42581 .49379 L
.42528 .49326 L
.42402 .49133 L
.42389 .49116 L
.42258 .4894 L
.42196 .48898 L
.42113 .48747 L
.42003 .48608 L
.41955 .48555 L
.41826 .48362 L
.41811 .48341 L
.41685 .48169 L
.41618 .48117 L
.41542 .47977 L
.41425 .47825 L
.4139 .47784 L
.41259 .47591 L
.41232 .47556 L
.41119 .47399 L
.4104 .47326 L
.40978 .47206 L
.40847 .4703 L
.40833 .47013 L
.407 .46821 L
.40654 .4676 L
.40561 .46628 L
.40462 .4652 L
.40375 .46435 L
.40283 .46242 L
.40269 .46224 L
.40149 .4605 L
.40076 .45951 L
.40012 .45857 L
.39884 .45687 L
.39863 .45664 L
.39743 .45472 L
.39691 .454 L
.39611 .45279 L
.39498 .45119 L
.39477 .45086 L
.39352 .44894 L
.39306 .44828 L
.39229 .44701 L
.39113 .44526 L
.39103 .44508 L
F
1 .36 0 r
.39113 .45197 m
.39173 .45279 L
.39306 .45416 L
.39345 .45472 L
.39498 .45653 L
.39506 .45664 L
.39498 .45855 L
.39377 .45664 L
.39306 .45571 L
.39246 .45472 L
.39113 .45285 L
.39109 .45279 L
F
0 .54 1 r
.39113 .44376 m
.39236 .44508 L
.39306 .44575 L
.3941 .44701 L
.39498 .44797 L
.39575 .44894 L
.39691 .4503 L
.39735 .45086 L
.39884 .45265 L
.39892 .45279 L
.40042 .45472 L
.40076 .45513 L
.40192 .45664 L
.40269 .4576 L
.40343 .45857 L
.40462 .45997 L
.40528 .4605 L
.4064 .46242 L
.40654 .4626 L
.40785 .46435 L
.40847 .46514 L
.40931 .46628 L
.4104 .46757 L
.4111 .46821 L
.41223 .47013 L
.41232 .47026 L
.41365 .47206 L
.41425 .47284 L
.41509 .47399 L
.41618 .47531 L
.41678 .47591 L
.41796 .47784 L
.41811 .47803 L
.41936 .47977 L
.42003 .48065 L
.42078 .48169 L
.42196 .48318 L
.42237 .48362 L
.42361 .48555 L
.42389 .48591 L
.425 .48747 L
.42581 .48802 L
.42641 .4894 L
.42774 .49117 L
.42788 .49133 L
.42919 .49326 L
.42967 .49389 L
.43057 .49518 L
.43159 .49617 L
.43197 .49711 L
.43335 .49904 L
.43352 .49927 L
.43468 .50096 L
.43545 .50201 L
.43604 .50289 L
.43737 .50467 L
.43743 .50482 L
.43871 .50674 L
.4393 .50756 L
.44002 .50867 L
.44123 .51039 L
.44136 .5106 L
.44256 .51253 L
.44316 .51339 L
.44373 .51445 L
.44316 .51535 L
.44238 .51445 L
.44123 .51321 L
.44066 .51253 L
.4393 .51127 L
.43903 .5106 L
.43747 .50867 L
.43737 .50857 L
.43594 .50674 L
.43545 .50615 L
.43441 .50482 L
.43352 .50422 L
.43288 .50289 L
.43159 .50129 L
.43122 .50096 L
.42991 .49904 L
.42967 .49874 L
.42844 .49711 L
.42774 .49666 L
.42696 .49518 L
.42581 .49374 L
.42532 .49326 L
.42405 .49133 L
.42389 .49112 L
.42261 .4894 L
.42196 .48894 L
.42116 .48747 L
.42003 .48604 L
.41958 .48555 L
.41829 .48362 L
.41811 .48338 L
.41688 .48169 L
.41618 .48114 L
.41545 .47977 L
.41425 .47821 L
.41394 .47784 L
.41262 .47591 L
.41232 .47552 L
.41122 .47399 L
.4104 .47322 L
.40981 .47206 L
.40847 .47026 L
.40837 .47013 L
.40703 .46821 L
.40654 .46756 L
.40564 .46628 L
.40462 .46514 L
.40381 .46435 L
.40287 .46242 L
.40269 .46219 L
.40152 .4605 L
.40076 .45946 L
.40015 .45857 L
.39884 .45679 L
.39871 .45664 L
.39748 .45472 L
.39691 .45393 L
.39616 .45279 L
.39498 .45112 L
.39481 .45086 L
.39358 .44894 L
.39306 .44818 L
.39237 .44701 L
.39113 .4451 L
.39112 .44508 L
F
0 .95 1 r
.39306 .40292 m
.39498 .40451 L
.39524 .40462 L
.39691 .40647 L
.39707 .40654 L
.39859 .40847 L
.39884 .40856 L
.40009 .4104 L
.40076 .4111 L
.40227 .41232 L
.40269 .41375 L
.40313 .41425 L
.40445 .41618 L
.40462 .4164 L
.40584 .41811 L
.40654 .41857 L
.40778 .42003 L
.40847 .42165 L
.40867 .42196 L
.40993 .42389 L
.4104 .42456 L
.4112 .42581 L
.41232 .42767 L
.4124 .42774 L
.41264 .42967 L
.41232 .42983 L
.41163 .42967 L
.4104 .42907 L
.40883 .42774 L
.40847 .42745 L
.40699 .42581 L
.40654 .42529 L
.4047 .42389 L
.40462 .4229 L
.40379 .42196 L
.40269 .42039 L
.4025 .42003 L
.40087 .41811 L
.40076 .41801 L
.39906 .41618 L
.39884 .4154 L
.39805 .41425 L
.39691 .41266 L
.39681 .41232 L
.39533 .4104 L
.39498 .40988 L
.39364 .40847 L
.39306 .40727 L
.39283 .40654 L
.39185 .40462 L
F
0 .94 1 r
.39306 .40348 m
.39489 .40462 L
.39498 .40469 L
.3968 .40654 L
.39691 .40666 L
.39842 .40847 L
.39884 .40864 L
.39995 .4104 L
.40076 .41125 L
.40212 .41232 L
.40269 .4139 L
.403 .41425 L
.40434 .41618 L
.40462 .41654 L
.40573 .41811 L
.40654 .41873 L
.40763 .42003 L
.40847 .42188 L
.40852 .42196 L
.40978 .42389 L
.4104 .42481 L
.41101 .42581 L
.41203 .42774 L
.4104 .42865 L
.40923 .42774 L
.40847 .42719 L
.40725 .42581 L
.40654 .42503 L
.4048 .42389 L
.40462 .42267 L
.40396 .42196 L
.40269 .42023 L
.40259 .42003 L
.40103 .41811 L
.40076 .41787 L
.39913 .41618 L
.39884 .4152 L
.39819 .41425 L
.39691 .41244 L
.39688 .41232 L
.39551 .4104 L
.39498 .40959 L
.39384 .40847 L
.3931 .40654 L
.39306 .40646 L
.39227 .40462 L
F
0 .97 1 r
.39306 .37895 m
.39382 .37957 L
.39498 .38058 L
.39585 .38149 L
.39691 .38243 L
.3976 .38342 L
.39884 .38487 L
.3994 .38535 L
.40073 .38727 L
.40076 .38732 L
.40218 .3892 L
.40269 .38989 L
.40357 .39113 L
.40462 .39271 L
.40493 .39306 L
.4058 .39498 L
.40462 .39606 L
.40316 .39498 L
.40269 .39455 L
.40138 .39306 L
.40076 .39234 L
.39984 .39113 L
.39884 .39033 L
.39837 .3892 L
.39696 .38727 L
.39691 .38721 L
.39567 .38535 L
.39498 .38436 L
.39439 .38342 L
.39318 .38149 L
.39306 .38129 L
.39234 .37957 L
F
0 .53 1 r
.39306 .44587 m
.39401 .44701 L
.39498 .44806 L
.39568 .44894 L
.39691 .45037 L
.3973 .45086 L
.39884 .45273 L
.39887 .45279 L
.40037 .45472 L
.40076 .45519 L
.40188 .45664 L
.40269 .45765 L
.40339 .45857 L
.40462 .46003 L
.40522 .4605 L
.40636 .46242 L
.40654 .46265 L
.40781 .46435 L
.40847 .46519 L
.40928 .46628 L
.4104 .46761 L
.41106 .46821 L
.4122 .47013 L
.41232 .4703 L
.41362 .47206 L
.41425 .47288 L
.41506 .47399 L
.41618 .47535 L
.41674 .47591 L
.41793 .47784 L
.41811 .47807 L
.41933 .47977 L
.42003 .48069 L
.42076 .48169 L
.42196 .48322 L
.42233 .48362 L
.42358 .48555 L
.42389 .48595 L
.42497 .48747 L
.42581 .48806 L
.42638 .4894 L
.42774 .49121 L
.42784 .49133 L
.42916 .49326 L
.42967 .49393 L
.43054 .49518 L
.43159 .49624 L
.43194 .49711 L
.43331 .49904 L
.43352 .49932 L
.43464 .50096 L
.43545 .50206 L
.43601 .50289 L
.43737 .50477 L
.43739 .50482 L
.43866 .50674 L
.4393 .50763 L
.43997 .50867 L
.44123 .51047 L
.44131 .5106 L
.44247 .51253 L
.44316 .51353 L
.44363 .51445 L
.44316 .5152 L
.44249 .51445 L
.44123 .51311 L
.44074 .51253 L
.4393 .51112 L
.4391 .5106 L
.43753 .50867 L
.43737 .5085 L
.43599 .50674 L
.43545 .50609 L
.43446 .50482 L
.43352 .50415 L
.43293 .50289 L
.43159 .50123 L
.43129 .50096 L
.42995 .49904 L
.42967 .49869 L
.42847 .49711 L
.42774 .49662 L
.42699 .49518 L
.42581 .4937 L
.42537 .49326 L
.42408 .49133 L
.42389 .49108 L
.42264 .4894 L
.42196 .48891 L
.42119 .48747 L
.42003 .486 L
.41962 .48555 L
.41832 .48362 L
.41811 .48334 L
.41691 .48169 L
.41618 .4811 L
.41547 .47977 L
.41425 .47817 L
.41397 .47784 L
.41265 .47591 L
.41232 .47548 L
.41125 .47399 L
.4104 .47318 L
.40983 .47206 L
.40847 .47021 L
.40841 .47013 L
.40706 .46821 L
.40654 .46752 L
.40567 .46628 L
.40462 .46509 L
.40386 .46435 L
.4029 .46242 L
.40269 .46214 L
.40156 .4605 L
.40076 .45941 L
.40019 .45857 L
.39884 .4567 L
.39878 .45664 L
.39752 .45472 L
.39691 .45387 L
.3962 .45279 L
.39498 .45105 L
.39486 .45086 L
.39366 .44894 L
.39306 .44806 L
.39245 .44701 L
F
1 .8 0 r
.39306 .43754 m
.39466 .4393 L
.39498 .43964 L
.39634 .44123 L
.39691 .44186 L
.39798 .44316 L
.39884 .44393 L
.39959 .44508 L
.40076 .4465 L
.40135 .44701 L
.40269 .44894 L
.40269 .44894 L
.40421 .45086 L
.40462 .45123 L
.40572 .45279 L
.40654 .45382 L
.40741 .45472 L
.40847 .45636 L
.40867 .45664 L
.41018 .45857 L
.4104 .45877 L
.41166 .4605 L
.41232 .46136 L
.41325 .46242 L
.41425 .46396 L
.4145 .46435 L
.41603 .46628 L
.41618 .46643 L
.41748 .46821 L
.41811 .46903 L
.41901 .47013 L
.42003 .47166 L
.42026 .47206 L
.42179 .47399 L
.42196 .47415 L
.42375 .47591 L
.42389 .47678 L
.42471 .47784 L
.42581 .47942 L
.42598 .47977 L
.42751 .48169 L
.42774 .48193 L
.42936 .48362 L
.42967 .48458 L
.43039 .48555 L
.43159 .48724 L
.43168 .48747 L
.43319 .4894 L
.43352 .48975 L
.43497 .49133 L
.43545 .49243 L
.43604 .49326 L
.43737 .49509 L
.4374 .49518 L
.43884 .49711 L
.4393 .4976 L
.44057 .49904 L
.44123 .50032 L
.44167 .50096 L
.44308 .50289 L
.44316 .50299 L
.44447 .50482 L
.44508 .50549 L
.44614 .50674 L
.44701 .50825 L
.44729 .50867 L
.44869 .5106 L
.44894 .51093 L
.45008 .51253 L
.45086 .51343 L
.45169 .51445 L
.45279 .51622 L
.45289 .51638 L
.45426 .51831 L
.45472 .51847 L
.45565 .52023 L
.45664 .52145 L
.45719 .52216 L
.45844 .52409 L
.45857 .52426 L
.4598 .52601 L
.4605 .52648 L
.46185 .52794 L
.46242 .5296 L
.46263 .52987 L
.46391 .53179 L
.46435 .53239 L
.46526 .53372 L
.46628 .53479 L
.467 .53565 L
.46797 .53758 L
.46821 .53789 L
.46927 .5395 L
.47013 .54072 L
.4706 .54143 L
.47191 .54336 L
.47206 .54357 L
.47311 .54528 L
.47399 .54658 L
.47435 .54721 L
.47545 .54914 L
.47399 .54928 L
.47385 .54914 L
.47208 .54721 L
.47206 .54719 L
.47041 .54528 L
.47013 .54497 L
.46878 .54336 L
.46821 .54268 L
.46718 .54143 L
.46628 .54041 L
.46485 .5395 L
.46435 .53792 L
.46403 .53758 L
.46255 .53565 L
.46242 .53563 L
.46104 .53372 L
.4605 .53309 L
.459 .53179 L
.45857 .53052 L
.45804 .52987 L
.45664 .52802 L
.45661 .52794 L
.4551 .52601 L
.45472 .52555 L
.45328 .52409 L
.45279 .52295 L
.4522 .52216 L
.45086 .52038 L
.45082 .52023 L
.44928 .51831 L
.44894 .51789 L
.44757 .51638 L
.44701 .51526 L
.44644 .51445 L
.44508 .51266 L
.44507 .51253 L
.44352 .5106 L
.44316 .51015 L
.44189 .50867 L
.44123 .50749 L
.44073 .50674 L
.4393 .50489 L
.43923 .50482 L
.43781 .50289 L
.43737 .50235 L
.43623 .50096 L
.43545 .49968 L
.43505 .49904 L
.43355 .49711 L
.43352 .49709 L
.43214 .49518 L
.43159 .49451 L
.43059 .49326 L
.42967 .49182 L
.42939 .49133 L
.42789 .4894 L
.42774 .48929 L
.42649 .48747 L
.42581 .48663 L
.42498 .48555 L
.42389 .48393 L
.42373 .48362 L
.42227 .48169 L
.42196 .48146 L
.42032 .47977 L
.42003 .47871 L
.41938 .47784 L
.41811 .47599 L
.41807 .47591 L
.41667 .47399 L
.41618 .47357 L
.4148 .47206 L
.41425 .47074 L
.41382 .47013 L
.41247 .46821 L
.41232 .46801 L
.4111 .46628 L
.4104 .46559 L
.40934 .46435 L
.40847 .46269 L
.40829 .46242 L
.40695 .4605 L
.40654 .45995 L
.40558 .45857 L
.40462 .45746 L
.40396 .45664 L
.40283 .45472 L
.40269 .45453 L
.4015 .45279 L
.40076 .45177 L
.40014 .45086 L
.39884 .44906 L
.39874 .44894 L
.39749 .44701 L
.39691 .44619 L
.39619 .44508 L
.39498 .44334 L
.39487 .44316 L
.39366 .44123 L
.39306 .44032 L
.39247 .4393 L
F
0 .52 1 r
.39306 .446 m
.39391 .44701 L
.39498 .44816 L
.39561 .44894 L
.39691 .45044 L
.39724 .45086 L
.39882 .45279 L
.39884 .45281 L
.40032 .45472 L
.40076 .45524 L
.40183 .45664 L
.40269 .4577 L
.40335 .45857 L
.40462 .46009 L
.40515 .4605 L
.40633 .46242 L
.40654 .46269 L
.40778 .46435 L
.40847 .46523 L
.40925 .46628 L
.4104 .46766 L
.41101 .46821 L
.41217 .47013 L
.41232 .47033 L
.41359 .47206 L
.41425 .47292 L
.41503 .47399 L
.41618 .4754 L
.4167 .47591 L
.4179 .47784 L
.41811 .47811 L
.4193 .47977 L
.42003 .48072 L
.42073 .48169 L
.42196 .48326 L
.42229 .48362 L
.42355 .48555 L
.42389 .48598 L
.42494 .48747 L
.42581 .4881 L
.42636 .4894 L
.42774 .49126 L
.4278 .49133 L
.42913 .49326 L
.42967 .49397 L
.43051 .49518 L
.43159 .4963 L
.43191 .49711 L
.43328 .49904 L
.43352 .49936 L
.43461 .50096 L
.43545 .50211 L
.43597 .50289 L
.43735 .50482 L
.43737 .50485 L
.43861 .50674 L
.4393 .5077 L
.43992 .50867 L
.44123 .51055 L
.44126 .5106 L
.44238 .51253 L
.44316 .5137 L
.44351 .51445 L
.44316 .51503 L
.44263 .51445 L
.44123 .513 L
.44083 .51253 L
.4393 .51095 L
.43917 .5106 L
.43759 .50867 L
.43737 .50842 L
.43605 .50674 L
.43545 .50603 L
.4345 .50482 L
.43352 .50409 L
.43297 .50289 L
.43159 .50117 L
.43136 .50096 L
.42999 .49904 L
.42967 .49864 L
.42851 .49711 L
.42774 .49657 L
.42703 .49518 L
.42581 .49365 L
.42541 .49326 L
.42411 .49133 L
.42389 .49104 L
.42267 .4894 L
.42196 .48887 L
.42122 .48747 L
.42003 .48595 L
.41966 .48555 L
.41835 .48362 L
.41811 .4833 L
.41693 .48169 L
.41618 .48106 L
.4155 .47977 L
.41425 .47812 L
.41401 .47784 L
.41268 .47591 L
.41232 .47544 L
.41128 .47399 L
.4104 .47313 L
.40986 .47206 L
.40847 .47016 L
.40844 .47013 L
.40709 .46821 L
.40654 .46748 L
.4057 .46628 L
.40462 .46503 L
.40392 .46435 L
.40294 .46242 L
.40269 .46209 L
.40159 .4605 L
.40076 .45936 L
.40022 .45857 L
.39885 .45664 L
.39884 .45662 L
.39757 .45472 L
.39691 .4538 L
.39625 .45279 L
.39498 .45097 L
.39491 .45086 L
.39373 .44894 L
.39306 .44794 L
.39254 .44701 L
F
1 .35 0 r
.39306 .4543 m
.39336 .45472 L
.39498 .45663 L
.39499 .45664 L
.39498 .45843 L
.39388 .45664 L
.39306 .45556 L
.39257 .45472 L
F
1 .79 0 r
.39306 .43779 m
.39448 .4393 L
.39498 .43981 L
.39621 .44123 L
.39691 .44199 L
.39788 .44316 L
.39884 .44404 L
.3995 .44508 L
.40076 .4466 L
.40124 .44701 L
.40262 .44894 L
.40269 .44902 L
.40414 .45086 L
.40462 .45129 L
.40567 .45279 L
.40654 .45389 L
.40735 .45472 L
.40847 .45642 L
.40863 .45664 L
.41014 .45857 L
.4104 .45882 L
.41161 .4605 L
.41232 .46141 L
.41321 .46242 L
.41425 .464 L
.41447 .46435 L
.41599 .46628 L
.41618 .46646 L
.41744 .46821 L
.41811 .46907 L
.41898 .47013 L
.42003 .47169 L
.42024 .47206 L
.42177 .47399 L
.42196 .47418 L
.42374 .47591 L
.42389 .47681 L
.42469 .47784 L
.42581 .47945 L
.42596 .47977 L
.42749 .48169 L
.42774 .48195 L
.42935 .48362 L
.42967 .48461 L
.43037 .48555 L
.43159 .48727 L
.43167 .48747 L
.43317 .4894 L
.43352 .48977 L
.43495 .49133 L
.43545 .49246 L
.43602 .49326 L
.43737 .49512 L
.43739 .49518 L
.43882 .49711 L
.4393 .49762 L
.44055 .49904 L
.44123 .50035 L
.44165 .50096 L
.44306 .50289 L
.44316 .50302 L
.44445 .50482 L
.44508 .50552 L
.44612 .50674 L
.44701 .50828 L
.44727 .50867 L
.44866 .5106 L
.44894 .51096 L
.45005 .51253 L
.45086 .51347 L
.45166 .51445 L
.45279 .51626 L
.45286 .51638 L
.45424 .51831 L
.45472 .51849 L
.45562 .52023 L
.45664 .5215 L
.45716 .52216 L
.45841 .52409 L
.45857 .5243 L
.45976 .52601 L
.4605 .52653 L
.4618 .52794 L
.46242 .52966 L
.46258 .52987 L
.46387 .53179 L
.46435 .53245 L
.46522 .53372 L
.46628 .53489 L
.46691 .53565 L
.46792 .53758 L
.46821 .53798 L
.46921 .5395 L
.47013 .54081 L
.47053 .54143 L
.47182 .54336 L
.47206 .5437 L
.47301 .54528 L
.47399 .54678 L
.47423 .54721 L
.47399 .54903 L
.47226 .54721 L
.47206 .54702 L
.47054 .54528 L
.47013 .54484 L
.46889 .54336 L
.46821 .54257 L
.46727 .54143 L
.46628 .54031 L
.46497 .5395 L
.46435 .53783 L
.46411 .53758 L
.46262 .53565 L
.46242 .53562 L
.4611 .53372 L
.4605 .53303 L
.45905 .53179 L
.45857 .53046 L
.45808 .52987 L
.45664 .52797 L
.45663 .52794 L
.45515 .52601 L
.45472 .52551 L
.4533 .52409 L
.45279 .5229 L
.45223 .52216 L
.45086 .52034 L
.45083 .52023 L
.44931 .51831 L
.44894 .51785 L
.4476 .51638 L
.44701 .51522 L
.44647 .51445 L
.44508 .51263 L
.44507 .51253 L
.44355 .5106 L
.44316 .51012 L
.44191 .50867 L
.44123 .50746 L
.44075 .50674 L
.4393 .50487 L
.43926 .50482 L
.43784 .50289 L
.43737 .50232 L
.43625 .50096 L
.43545 .49965 L
.43507 .49904 L
.43357 .49711 L
.43352 .49708 L
.43216 .49518 L
.43159 .49448 L
.43061 .49326 L
.42967 .49179 L
.4294 .49133 L
.42792 .4894 L
.42774 .48928 L
.42651 .48747 L
.42581 .4866 L
.425 .48555 L
.42389 .4839 L
.42374 .48362 L
.42229 .48169 L
.42196 .48144 L
.42034 .47977 L
.42003 .47868 L
.4194 .47784 L
.41811 .47596 L
.41808 .47591 L
.41669 .47399 L
.41618 .47354 L
.41483 .47206 L
.41425 .4707 L
.41384 .47013 L
.4125 .46821 L
.41232 .46797 L
.41113 .46628 L
.4104 .46555 L
.40937 .46435 L
.40847 .46264 L
.40832 .46242 L
.40698 .4605 L
.40654 .4599 L
.40562 .45857 L
.40462 .4574 L
.40401 .45664 L
.40287 .45472 L
.40269 .45447 L
.40155 .45279 L
.40076 .4517 L
.40019 .45086 L
.39884 .44895 L
.39882 .44894 L
.39756 .44701 L
.39691 .44609 L
.39626 .44508 L
.39498 .44322 L
.39494 .44316 L
.39378 .44123 L
.39306 .44013 L
.39261 .4393 L
F
1 .92 0 r
.39306 .41132 m
.39391 .41232 L
.39498 .41351 L
.39551 .41425 L
.39691 .41603 L
.397 .41618 L
.39818 .41811 L
.39691 .41812 L
.39689 .41811 L
.39534 .41618 L
.39498 .41575 L
.39391 .41425 L
.39306 .41303 L
.39261 .41232 L
F
0 .51 1 r
.39306 .44615 m
.39379 .44701 L
.39498 .44825 L
.39554 .44894 L
.39691 .45052 L
.39718 .45086 L
.39876 .45279 L
.39884 .45288 L
.40027 .45472 L
.40076 .4553 L
.40179 .45664 L
.40269 .45775 L
.40331 .45857 L
.40462 .46015 L
.40507 .4605 L
.40629 .46242 L
.40654 .46274 L
.40775 .46435 L
.40847 .46527 L
.40922 .46628 L
.4104 .4677 L
.41096 .46821 L
.41213 .47013 L
.41232 .47037 L
.41356 .47206 L
.41425 .47295 L
.415 .47399 L
.41618 .47544 L
.41666 .47591 L
.41787 .47784 L
.41811 .47814 L
.41928 .47977 L
.42003 .48076 L
.4207 .48169 L
.42196 .48331 L
.42225 .48362 L
.42353 .48555 L
.42389 .48602 L
.42492 .48747 L
.42581 .48815 L
.42633 .4894 L
.42774 .49131 L
.42776 .49133 L
.4291 .49326 L
.42967 .49401 L
.43048 .49518 L
.43159 .49637 L
.43188 .49711 L
.43324 .49904 L
.43352 .49941 L
.43457 .50096 L
.43545 .50216 L
.43594 .50289 L
.43731 .50482 L
.43737 .50491 L
.43856 .50674 L
.4393 .50777 L
.43987 .50867 L
.44119 .5106 L
.44123 .51065 L
.44228 .51253 L
.44316 .51392 L
.44336 .51445 L
.44316 .51481 L
.4428 .51445 L
.44123 .51289 L
.44092 .51253 L
.4393 .51077 L
.43924 .5106 L
.43766 .50867 L
.43737 .50835 L
.4361 .50674 L
.43545 .50597 L
.43455 .50482 L
.43352 .50401 L
.43301 .50289 L
.43159 .50111 L
.43143 .50096 L
.43003 .49904 L
.42967 .49859 L
.42855 .49711 L
.42774 .49653 L
.42706 .49518 L
.42581 .4936 L
.42546 .49326 L
.42415 .49133 L
.42389 .491 L
.4227 .4894 L
.42196 .48884 L
.42125 .48747 L
.42003 .48591 L
.4197 .48555 L
.41838 .48362 L
.41811 .48326 L
.41696 .48169 L
.41618 .48102 L
.41553 .47977 L
.41425 .47808 L
.41404 .47784 L
.41271 .47591 L
.41232 .47541 L
.41131 .47399 L
.4104 .47309 L
.40989 .47206 L
.40848 .47013 L
.40847 .47012 L
.40712 .46821 L
.40654 .46743 L
.40573 .46628 L
.40462 .46497 L
.40399 .46435 L
.40297 .46242 L
.40269 .46204 L
.40163 .4605 L
.40076 .45931 L
.40026 .45857 L
.3989 .45664 L
.39884 .45656 L
.39762 .45472 L
.39691 .45373 L
.3963 .45279 L
.39498 .45089 L
.39497 .45086 L
.39382 .44894 L
.39306 .4478 L
.39264 .44701 L
F
1 .34 0 r
.39306 .45446 m
.39324 .45472 L
.39306 .45538 L
.39271 .45472 L
F
0 .5 1 r
.39306 .44633 m
.39366 .44701 L
.39498 .44835 L
.39546 .44894 L
.39691 .4506 L
.39712 .45086 L
.3987 .45279 L
.39884 .45295 L
.40022 .45472 L
.40076 .45536 L
.40175 .45664 L
.40269 .4578 L
.40327 .45857 L
.40462 .46021 L
.405 .4605 L
.40625 .46242 L
.40654 .46279 L
.40771 .46435 L
.40847 .46531 L
.40919 .46628 L
.4104 .46775 L
.41091 .46821 L
.4121 .47013 L
.41232 .47041 L
.41353 .47206 L
.41425 .47299 L
.41498 .47399 L
.41618 .47548 L
.41662 .47591 L
.41784 .47784 L
.41811 .47818 L
.41925 .47977 L
.42003 .4808 L
.42068 .48169 L
.42196 .48335 L
.42221 .48362 L
.4235 .48555 L
.42389 .48606 L
.42489 .48747 L
.42581 .4882 L
.4263 .4894 L
.42772 .49133 L
.42774 .49135 L
.42907 .49326 L
.42967 .49405 L
.43045 .49518 L
.43159 .49644 L
.43185 .49711 L
.4332 .49904 L
.43352 .49946 L
.43453 .50096 L
.43545 .50221 L
.4359 .50289 L
.43726 .50482 L
.43737 .50498 L
.43851 .50674 L
.4393 .50785 L
.43981 .50867 L
.4393 .51059 L
.43773 .50867 L
.43737 .50827 L
.43616 .50674 L
.43545 .5059 L
.4346 .50482 L
.43352 .50393 L
.43306 .50289 L
.43159 .50105 L
.4315 .50096 L
.43007 .49904 L
.42967 .49854 L
.42858 .49711 L
.42774 .49648 L
.4271 .49518 L
.42581 .49355 L
.42551 .49326 L
.42418 .49133 L
.42389 .49096 L
.42273 .4894 L
.42196 .4888 L
.42128 .48747 L
.42003 .48586 L
.41974 .48555 L
.41841 .48362 L
.41811 .48322 L
.41699 .48169 L
.41618 .48098 L
.41556 .47977 L
.41425 .47804 L
.41408 .47784 L
.41274 .47591 L
.41232 .47537 L
.41133 .47399 L
.4104 .47304 L
.40992 .47206 L
.40851 .47013 L
.40847 .47008 L
.40715 .46821 L
.40654 .46739 L
.40576 .46628 L
.40462 .4649 L
.40405 .46435 L
.40301 .46242 L
.40269 .46199 L
.40167 .4605 L
.40076 .45925 L
.4003 .45857 L
.39894 .45664 L
.39884 .4565 L
.39767 .45472 L
.39691 .45365 L
.39635 .45279 L
.39504 .45086 L
.39498 .45079 L
.39391 .44894 L
.39306 .44763 L
.39275 .44701 L
F
1 .78 0 r
.39306 .43808 m
.39427 .4393 L
.39498 .43999 L
.39607 .44123 L
.39691 .44213 L
.39777 .44316 L
.39884 .44417 L
.39941 .44508 L
.40076 .44671 L
.40113 .44701 L
.40254 .44894 L
.40269 .44911 L
.40408 .45086 L
.40462 .45136 L
.40561 .45279 L
.40654 .45396 L
.4073 .45472 L
.40847 .45648 L
.40859 .45664 L
.41009 .45857 L
.4104 .45886 L
.41157 .4605 L
.41232 .46146 L
.41318 .46242 L
.41425 .46405 L
.41445 .46435 L
.41596 .46628 L
.41618 .4665 L
.41741 .46821 L
.41811 .46911 L
.41895 .47013 L
.42003 .47173 L
.42022 .47206 L
.42174 .47399 L
.42196 .47421 L
.42373 .47591 L
.42389 .47684 L
.42467 .47784 L
.42581 .47948 L
.42595 .47977 L
.42746 .48169 L
.42774 .48198 L
.42933 .48362 L
.42967 .48464 L
.43035 .48555 L
.43159 .48729 L
.43166 .48747 L
.43315 .4894 L
.43352 .48979 L
.43494 .49133 L
.43545 .49249 L
.436 .49326 L
.43737 .49515 L
.43738 .49518 L
.4388 .49711 L
.4393 .49765 L
.44053 .49904 L
.44123 .50038 L
.44163 .50096 L
.44304 .50289 L
.44316 .50305 L
.44443 .50482 L
.44508 .50554 L
.4461 .50674 L
.44701 .50831 L
.44725 .50867 L
.44864 .5106 L
.44894 .51099 L
.45003 .51253 L
.45086 .5135 L
.45164 .51445 L
.45279 .5163 L
.45284 .51638 L
.45421 .51831 L
.45472 .51851 L
.4556 .52023 L
.45664 .52154 L
.45712 .52216 L
.45838 .52409 L
.45857 .52435 L
.45973 .52601 L
.4605 .52658 L
.46175 .52794 L
.46242 .52972 L
.46253 .52987 L
.46383 .53179 L
.46435 .53251 L
.46517 .53372 L
.46628 .53499 L
.46683 .53565 L
.46786 .53758 L
.46821 .53806 L
.46914 .5395 L
.47013 .54091 L
.47046 .54143 L
.47172 .54336 L
.47206 .54385 L
.47289 .54528 L
.47399 .54701 L
.47409 .54721 L
.47399 .54872 L
.47246 .54721 L
.47206 .54683 L
.47068 .54528 L
.47013 .54469 L
.469 .54336 L
.46821 .54245 L
.46736 .54143 L
.46628 .54021 L
.4651 .5395 L
.46435 .53774 L
.46419 .53758 L
.46268 .53565 L
.46242 .5356 L
.46116 .53372 L
.4605 .53296 L
.45909 .53179 L
.45857 .5304 L
.45813 .52987 L
.45666 .52794 L
.45664 .52793 L
.45519 .52601 L
.45472 .52546 L
.45333 .52409 L
.45279 .52285 L
.45226 .52216 L
.45086 .52031 L
.45084 .52023 L
.44934 .51831 L
.44894 .51781 L
.44762 .51638 L
.44701 .51518 L
.44649 .51445 L
.44508 .5126 L
.44508 .51253 L
.44358 .5106 L
.44316 .51008 L
.44193 .50867 L
.44123 .50743 L
.44077 .50674 L
.4393 .50484 L
.43928 .50482 L
.43786 .50289 L
.43737 .50229 L
.43627 .50096 L
.43545 .49962 L
.43509 .49904 L
.43359 .49711 L
.43352 .49706 L
.43218 .49518 L
.43159 .49446 L
.43063 .49326 L
.42967 .49176 L
.42942 .49133 L
.42794 .4894 L
.42774 .48926 L
.42653 .48747 L
.42581 .48658 L
.42502 .48555 L
.42389 .48387 L
.42376 .48362 L
.42231 .48169 L
.42196 .48142 L
.42035 .47977 L
.42003 .47865 L
.41943 .47784 L
.41811 .47593 L
.4181 .47591 L
.41672 .47399 L
.41618 .47351 L
.41485 .47206 L
.41425 .47067 L
.41387 .47013 L
.41253 .46821 L
.41232 .46793 L
.41116 .46628 L
.4104 .46551 L
.40941 .46435 L
.40847 .46259 L
.40835 .46242 L
.40702 .4605 L
.40654 .45985 L
.40565 .45857 L
.40462 .45734 L
.40406 .45664 L
.40292 .45472 L
.40269 .45441 L
.40159 .45279 L
.40076 .45164 L
.40024 .45086 L
.39889 .44894 L
.39884 .44886 L
.39763 .44701 L
.39691 .44599 L
.39633 .44508 L
.39503 .44316 L
.39498 .44308 L
.3939 .44123 L
.39306 .43989 L
.39276 .4393 L
F
0 .93 1 r
.39306 .40421 m
.39431 .40462 L
.39498 .40505 L
.39654 .40654 L
.39691 .40691 L
.39824 .40847 L
.39884 .40875 L
.39981 .4104 L
.40076 .41142 L
.40194 .41232 L
.40269 .41406 L
.40286 .41425 L
.40422 .41618 L
.40462 .41669 L
.40562 .41811 L
.40654 .41892 L
.40746 .42003 L
.40838 .42196 L
.40847 .4221 L
.40962 .42389 L
.4104 .4251 L
.41081 .42581 L
.41158 .42774 L
.4104 .42821 L
.40971 .42774 L
.40847 .42691 L
.40752 .42581 L
.40654 .42477 L
.40499 .42389 L
.40462 .42246 L
.40413 .42196 L
.40269 .42007 L
.40267 .42003 L
.40118 .41811 L
.40076 .41773 L
.39922 .41618 L
.39884 .41499 L
.39833 .41425 L
.39699 .41232 L
.39691 .4122 L
.39569 .4104 L
.39498 .40929 L
.3941 .40847 L
.3934 .40654 L
.39306 .40572 L
.3928 .40462 L
F
0 .94 1 r
.39306 .42997 m
.39485 .43159 L
.39498 .43171 L
.3967 .43352 L
.39691 .43374 L
.39843 .43545 L
.39884 .43557 L
.4001 .43737 L
.40076 .43812 L
.40173 .4393 L
.40269 .44054 L
.40335 .44123 L
.40462 .44294 L
.40477 .44316 L
.40636 .44508 L
.40654 .44531 L
.4083 .44701 L
.40847 .44782 L
.40936 .44894 L
.4104 .45038 L
.41064 .45086 L
.41232 .45279 L
.41234 .45279 L
.414 .45472 L
.41425 .45535 L
.41519 .45664 L
.41618 .458 L
.41635 .45857 L
.41811 .4604 L
.41818 .4605 L
.41974 .46242 L
.42003 .46302 L
.42094 .46435 L
.42196 .46572 L
.42201 .46628 L
.42389 .46813 L
.42395 .46821 L
.42545 .47013 L
.42581 .47078 L
.42664 .47206 L
.42774 .47349 L
.42826 .47399 L
.42966 .47591 L
.42967 .47592 L
.43114 .47784 L
.43159 .47859 L
.43231 .47977 L
.43352 .4813 L
.43395 .48169 L
.43535 .48362 L
.43545 .48375 L
.4368 .48555 L
.43737 .48643 L
.43796 .48747 L
.4393 .48912 L
.43962 .4894 L
.44121 .49133 L
.44123 .49161 L
.44245 .49326 L
.44316 .49429 L
.44359 .49518 L
.44508 .49695 L
.44527 .49711 L
.4469 .49904 L
.44701 .49948 L
.44809 .50096 L
.44894 .50217 L
.44923 .50289 L
.45086 .50477 L
.45092 .50482 L
.45256 .50674 L
.45279 .50736 L
.45372 .50867 L
.45472 .51005 L
.45488 .5106 L
.45656 .51253 L
.45664 .51261 L
.4582 .51445 L
.45857 .51525 L
.45934 .51638 L
.4605 .51794 L
.46055 .51831 L
.46219 .52023 L
.46242 .52047 L
.46382 .52216 L
.46435 .52315 L
.46496 .52409 L
.46628 .52583 L
.46642 .52601 L
.46781 .52794 L
.46821 .52835 L
.46942 .52987 L
.47013 .53107 L
.47058 .53179 L
.47204 .53372 L
.47206 .53375 L
.47343 .53565 L
.47399 .53625 L
.47501 .53758 L
.47591 .53901 L
.4762 .5395 L
.47764 .54143 L
.47784 .54169 L
.47903 .54336 L
.47977 .54419 L
.48058 .54528 L
.48169 .54698 L
.48182 .54721 L
.48322 .54914 L
.48362 .54928 L
.48522 .55106 L
.48555 .55219 L
.48612 .55299 L
.48742 .55492 L
.48747 .555 L
.48877 .55684 L
.4894 .55724 L
.49066 .55877 L
.49133 .56029 L
.49161 .5607 L
.49292 .56263 L
.49326 .56308 L
.49427 .56455 L
.49518 .56542 L
.49598 .56648 L
.49702 .56841 L
.49711 .56853 L
.49832 .57033 L
.49904 .57133 L
.49965 .57226 L
.50096 .57408 L
.50104 .57419 L
.50225 .57611 L
.50289 .57705 L
.5035 .57804 L
.50476 .57997 L
.50482 .58006 L
.50578 .58189 L
.50482 .58286 L
.50386 .58189 L
.50289 .58092 L
.50203 .57997 L
.50096 .57889 L
.50031 .57804 L
.49904 .57654 L
.49853 .57611 L
.49711 .57423 L
.49707 .57419 L
.49548 .57226 L
.49518 .57193 L
.49392 .57033 L
.49326 .56946 L
.4923 .56841 L
.49133 .56695 L
.49102 .56648 L
.4894 .56456 L
.48937 .56455 L
.48787 .56263 L
.48747 .56207 L
.48638 .5607 L
.48555 .55946 L
.48517 .55877 L
.48362 .55692 L
.48346 .55684 L
.48175 .55492 L
.48169 .55447 L
.48058 .55299 L
.47977 .55181 L
.47941 .55106 L
.47784 .54921 L
.47766 .54914 L
.47605 .54721 L
.47591 .54676 L
.47485 .54528 L
.47399 .54407 L
.47372 .54336 L
.47206 .54148 L
.47192 .54143 L
.47036 .5395 L
.47013 .53897 L
.46916 .53758 L
.46821 .53627 L
.46806 .53565 L
.46628 .53373 L
.46623 .53372 L
.46468 .53179 L
.46435 .53114 L
.4635 .52987 L
.46242 .52844 L
.4624 .52794 L
.46056 .52601 L
.4605 .52594 L
.45902 .52409 L
.45857 .52328 L
.45785 .52216 L
.45664 .5206 L
.45629 .52023 L
.45489 .51831 L
.45472 .51808 L
.45338 .51638 L
.45279 .51541 L
.45221 .51445 L
.45086 .51275 L
.45064 .51253 L
.44924 .5106 L
.44894 .51021 L
.44774 .50867 L
.44701 .50753 L
.44658 .50674 L
.44508 .5049 L
.445 .50482 L
.4432 .50289 L
.44316 .50234 L
.44212 .50096 L
.44123 .49964 L
.44093 .49904 L
.43937 .49711 L
.4393 .49706 L
.43757 .49518 L
.43737 .49444 L
.4365 .49326 L
.43545 .49175 L
.43528 .49133 L
.43374 .4894 L
.43352 .48922 L
.43197 .48747 L
.43159 .48654 L
.43089 .48555 L
.42967 .48383 L
.4296 .48362 L
.42812 .48169 L
.42774 .48136 L
.42638 .47977 L
.42581 .47861 L
.42529 .47784 L
.42389 .47591 L
.42389 .47591 L
.42251 .47399 L
.42196 .47346 L
.42081 .47206 L
.42003 .47066 L
.41969 .47013 L
.4183 .46821 L
.41811 .46795 L
.41692 .46628 L
.41618 .46551 L
.41527 .46435 L
.41425 .46266 L
.4141 .46242 L
.41273 .4605 L
.41232 .45995 L
.41135 .45857 L
.4104 .45748 L
.40978 .45664 L
.40855 .45472 L
.40847 .45461 L
.4072 .45279 L
.40654 .4519 L
.40582 .45086 L
.40462 .44931 L
.40435 .44894 L
.40308 .44701 L
.40269 .44647 L
.40175 .44508 L
.40076 .44372 L
.39999 .44316 L
.39904 .44123 L
.39884 .44095 L
.39776 .4393 L
.39691 .4381 L
.39645 .43737 L
.39516 .43545 L
.39498 .4352 L
.394 .43352 L
.39306 .43202 L
.39284 .43159 L
F
0 .49 1 r
.39306 .44655 m
.39349 .44701 L
.39498 .44846 L
.39537 .44894 L
.39691 .45068 L
.39705 .45086 L
.39863 .45279 L
.39884 .45302 L
.40016 .45472 L
.40076 .45542 L
.4017 .45664 L
.40269 .45786 L
.40323 .45857 L
.40462 .46027 L
.40492 .4605 L
.40621 .46242 L
.40654 .46283 L
.40768 .46435 L
.40847 .46535 L
.40916 .46628 L
.4104 .4678 L
.41085 .46821 L
.41207 .47013 L
.41232 .47045 L
.4135 .47206 L
.41425 .47303 L
.41495 .47399 L
.41618 .47553 L
.41657 .47591 L
.41781 .47784 L
.41811 .47822 L
.41922 .47977 L
.42003 .48083 L
.42065 .48169 L
.42196 .48339 L
.42217 .48362 L
.42347 .48555 L
.42389 .4861 L
.42486 .48747 L
.42581 .48825 L
.42628 .4894 L
.42769 .49133 L
.42774 .49139 L
.42904 .49326 L
.42967 .4941 L
.43042 .49518 L
.43159 .49651 L
.43182 .49711 L
.43317 .49904 L
.43352 .49951 L
.43449 .50096 L
.43545 .50227 L
.43586 .50289 L
.43721 .50482 L
.43737 .50504 L
.43846 .50674 L
.4393 .50793 L
.43976 .50867 L
.4393 .51049 L
.43781 .50867 L
.43737 .50819 L
.43622 .50674 L
.43545 .50583 L
.43465 .50482 L
.43352 .50385 L
.4331 .50289 L
.43159 .50098 L
.43157 .50096 L
.43011 .49904 L
.42967 .49849 L
.42862 .49711 L
.42774 .49643 L
.42713 .49518 L
.42581 .4935 L
.42556 .49326 L
.42421 .49133 L
.42389 .49091 L
.42277 .4894 L
.42196 .48876 L
.42131 .48747 L
.42003 .48582 L
.41978 .48555 L
.41844 .48362 L
.41811 .48318 L
.41702 .48169 L
.41618 .48094 L
.41559 .47977 L
.41425 .47799 L
.41412 .47784 L
.41277 .47591 L
.41232 .47533 L
.41136 .47399 L
.4104 .47299 L
.40995 .47206 L
.40854 .47013 L
.40847 .47003 L
.40718 .46821 L
.40654 .46735 L
.40579 .46628 L
.40462 .46484 L
.40412 .46435 L
.40305 .46242 L
.40269 .46194 L
.40171 .4605 L
.40076 .4592 L
.40034 .45857 L
.39899 .45664 L
.39884 .45643 L
.39772 .45472 L
.39691 .45358 L
.39641 .45279 L
.39511 .45086 L
.39498 .45068 L
.39401 .44894 L
.39306 .44742 L
.39288 .44701 L
F
1 .77 0 r
.39306 .43847 m
.394 .4393 L
.39498 .44018 L
.39592 .44123 L
.39691 .44228 L
.39766 .44316 L
.39884 .4443 L
.39931 .44508 L
.40076 .44682 L
.401 .44701 L
.40247 .44894 L
.40269 .4492 L
.40401 .45086 L
.40462 .45142 L
.40555 .45279 L
.40654 .45403 L
.40724 .45472 L
.40847 .45654 L
.40855 .45664 L
.41004 .45857 L
.4104 .4589 L
.41153 .4605 L
.41232 .46151 L
.41314 .46242 L
.41425 .46409 L
.41442 .46435 L
.41592 .46628 L
.41618 .46653 L
.41738 .46821 L
.41811 .46915 L
.41892 .47013 L
.42003 .47176 L
.4202 .47206 L
.42171 .47399 L
.42196 .47424 L
.42372 .47591 L
.42389 .47688 L
.42464 .47784 L
.42581 .47951 L
.42594 .47977 L
.42744 .48169 L
.42774 .482 L
.42932 .48362 L
.42967 .48467 L
.43033 .48555 L
.43159 .48732 L
.43165 .48747 L
.43313 .4894 L
.43352 .48982 L
.43492 .49133 L
.43545 .49252 L
.43598 .49326 L
.43737 .49517 L
.43738 .49518 L
.43878 .49711 L
.4393 .49767 L
.44051 .49904 L
.44123 .50041 L
.44161 .50096 L
.44302 .50289 L
.44316 .50308 L
.44441 .50482 L
.44508 .50557 L
.44608 .50674 L
.44701 .50834 L
.44723 .50867 L
.44862 .5106 L
.44894 .51102 L
.45001 .51253 L
.45086 .51353 L
.45161 .51445 L
.45279 .51633 L
.45282 .51638 L
.45418 .51831 L
.45472 .51854 L
.45557 .52023 L
.45664 .52159 L
.45709 .52216 L
.45834 .52409 L
.45857 .52439 L
.4597 .52601 L
.4605 .52663 L
.4617 .52794 L
.46242 .52979 L
.46248 .52987 L
.46379 .53179 L
.46435 .53257 L
.46513 .53372 L
.46628 .5351 L
.46673 .53565 L
.4678 .53758 L
.46821 .53815 L
.46908 .5395 L
.47013 .54102 L
.47039 .54143 L
.47162 .54336 L
.47206 .54401 L
.47277 .54528 L
.47206 .54663 L
.47084 .54528 L
.47013 .54455 L
.46911 .54336 L
.46821 .54233 L
.46746 .54143 L
.46628 .5401 L
.46526 .5395 L
.46435 .53765 L
.46428 .53758 L
.46275 .53565 L
.46242 .53559 L
.46122 .53372 L
.4605 .53289 L
.45915 .53179 L
.45857 .53034 L
.45818 .52987 L
.45671 .52794 L
.45664 .52792 L
.45523 .52601 L
.45472 .52541 L
.45337 .52409 L
.45279 .5228 L
.4523 .52216 L
.45086 .52027 L
.45085 .52023 L
.44938 .51831 L
.44894 .51777 L
.44765 .51638 L
.44701 .51514 L
.44652 .51445 L
.44508 .51257 L
.44508 .51253 L
.4436 .5106 L
.44316 .51005 L
.44195 .50867 L
.44123 .50739 L
.4408 .50674 L
.43931 .50482 L
.4393 .50481 L
.43789 .50289 L
.43737 .50226 L
.43629 .50096 L
.43545 .49959 L
.43511 .49904 L
.43362 .49711 L
.43352 .49705 L
.4322 .49518 L
.43159 .49443 L
.43065 .49326 L
.42967 .49173 L
.42944 .49133 L
.42796 .4894 L
.42774 .48924 L
.42655 .48747 L
.42581 .48655 L
.42504 .48555 L
.42389 .48384 L
.42377 .48362 L
.42234 .48169 L
.42196 .4814 L
.42037 .47977 L
.42003 .47862 L
.41945 .47784 L
.41812 .47591 L
.41811 .4759 L
.41674 .47399 L
.41618 .47349 L
.41488 .47206 L
.41425 .47063 L
.41389 .47013 L
.41256 .46821 L
.41232 .46789 L
.41119 .46628 L
.4104 .46547 L
.40944 .46435 L
.40847 .46254 L
.40839 .46242 L
.40705 .4605 L
.40654 .4598 L
.40569 .45857 L
.40462 .45727 L
.40412 .45664 L
.40296 .45472 L
.40269 .45434 L
.40164 .45279 L
.40076 .45157 L
.40029 .45086 L
.39895 .44894 L
.39884 .44877 L
.3977 .44701 L
.39691 .44588 L
.39641 .44508 L
.39514 .44316 L
.39498 .44292 L
.39404 .44123 L
.39306 .43957 L
.39294 .4393 L
F
1 .33 0 r
.39306 .45468 m
.39308 .45472 L
.39306 .45507 L
.39296 .45472 L
F
0 .99 1 r
.39306 .32792 m
.39473 .32947 L
.39498 .32969 L
.39649 .33139 L
.39691 .33183 L
.39816 .33332 L
.39884 .33379 L
.39978 .33525 L
.40076 .33641 L
.40204 .33717 L
.40269 .33884 L
.40296 .3391 L
.40446 .34103 L
.40462 .34115 L
.40598 .34296 L
.40654 .34364 L
.40797 .34488 L
.40847 .34617 L
.40903 .34681 L
.4104 .34865 L
.41044 .34874 L
.41197 .35066 L
.41232 .35111 L
.41376 .35259 L
.41425 .3537 L
.41489 .35452 L
.41618 .35627 L
.41623 .35644 L
.41782 .35837 L
.41811 .35874 L
.4195 .3603 L
.42003 .36137 L
.42066 .36222 L
.42196 .36398 L
.42215 .36415 L
.42357 .36608 L
.42389 .36648 L
.42519 .36801 L
.42581 .36914 L
.42636 .36993 L
.42774 .37175 L
.42787 .37186 L
.42928 .37379 L
.42967 .37429 L
.43086 .37571 L
.43159 .37696 L
.43204 .37764 L
.43352 .37954 L
.43355 .37957 L
.43496 .38149 L
.43545 .38213 L
.43651 .38342 L
.43737 .3848 L
.4377 .38535 L
.43922 .38727 L
.4393 .38736 L
.44113 .3892 L
.44123 .38999 L
.44214 .39113 L
.44316 .39266 L
.44336 .39306 L
.44487 .39498 L
.44508 .3952 L
.44673 .39691 L
.44701 .39786 L
.44777 .39884 L
.44894 .40053 L
.44904 .40076 L
.45051 .40269 L
.45086 .40305 L
.45233 .40462 L
.45279 .40575 L
.45339 .40654 L
.45472 .40841 L
.45474 .40847 L
.45615 .4104 L
.45664 .41091 L
.45792 .41232 L
.45857 .41364 L
.45902 .41425 L
.4604 .41618 L
.4605 .41631 L
.46178 .41811 L
.46242 .4188 L
.46351 .42003 L
.46435 .42154 L
.46464 .42196 L
.46603 .42389 L
.46628 .42394 L
.46742 .42581 L
.46821 .4267 L
.46909 .42774 L
.47013 .42946 L
.47027 .42967 L
.47165 .43159 L
.47206 .43178 L
.47305 .43352 L
.47399 .43463 L
.47466 .43545 L
.4759 .43737 L
.47591 .43739 L
.47727 .4393 L
.47784 .43971 L
.4793 .44123 L
.47977 .44258 L
.48021 .44316 L
.48151 .44508 L
.48169 .44532 L
.48289 .44701 L
.48362 .44773 L
.48468 .44894 L
.48555 .45056 L
.48577 .45086 L
.48712 .45279 L
.48747 .45327 L
.4885 .45472 L
.4894 .45573 L
.49012 .45664 L
.49133 .45855 L
.49135 .45857 L
.49271 .4605 L
.49326 .46122 L
.4941 .46242 L
.49518 .46356 L
.49571 .46435 L
.49694 .46628 L
.49711 .4665 L
.49829 .46821 L
.49904 .46917 L
.49968 .47013 L
.50096 .47178 L
.50115 .47206 L
.50096 .47328 L
.49939 .47206 L
.49904 .47182 L
.49711 .47041 L
.49667 .47013 L
.49518 .46908 L
.49381 .46821 L
.49326 .46777 L
.49146 .46628 L
.49133 .46614 L
.48968 .46435 L
.4894 .46356 L
.48817 .46242 L
.48747 .46124 L
.48676 .4605 L
.48555 .4588 L
.48536 .45857 L
.48382 .45664 L
.48362 .45623 L
.48247 .45472 L
.48169 .45357 L
.48115 .45279 L
.47977 .45091 L
.47974 .45086 L
.4783 .44894 L
.47784 .44825 L
.477 .44701 L
.47591 .44557 L
.47574 .44508 L
.47415 .44316 L
.47399 .44291 L
.47289 .44123 L
.47206 .44021 L
.47133 .4393 L
.47013 .43753 L
.46995 .43737 L
.46863 .43545 L
.46821 .4349 L
.46765 .43352 L
.46628 .43209 L
.4657 .43159 L
.46435 .4297 L
.46432 .42967 L
.46307 .42774 L
.46242 .42695 L
.46145 .42581 L
.4605 .42408 L
.46005 .42389 L
.45866 .42196 L
.45857 .42181 L
.45745 .42003 L
.45664 .41905 L
.4558 .41811 L
.45472 .41626 L
.45441 .41618 L
.45301 .41425 L
.45279 .41392 L
.45184 .41232 L
.45086 .41117 L
.45016 .4104 L
.44894 .40851 L
.44877 .40847 L
.44737 .40654 L
.44701 .40602 L
.44623 .40462 L
.44508 .40329 L
.44452 .40269 L
.44316 .40077 L
.44314 .40076 L
.44175 .39884 L
.44123 .39811 L
.44063 .39691 L
.4393 .39541 L
.4389 .39498 L
.43742 .39306 L
.43737 .39288 L
.43613 .39113 L
.43545 .3902 L
.43504 .3892 L
.43352 .38752 L
.43328 .38727 L
.43174 .38535 L
.43159 .38498 L
.43053 .38342 L
.42967 .38228 L
.42943 .38149 L
.42774 .37964 L
.42767 .37957 L
.4261 .37764 L
.42581 .37705 L
.42494 .37571 L
.42389 .37434 L
.4238 .37379 L
.42208 .37186 L
.42196 .37176 L
.4205 .36993 L
.42003 .3691 L
.41936 .36801 L
.41811 .36637 L
.41788 .36608 L
.4165 .36415 L
.41618 .36387 L
.41494 .36222 L
.41425 .3611 L
.4138 .3603 L
.41234 .35837 L
.41232 .35835 L
.41098 .35644 L
.4104 .35587 L
.40943 .35452 L
.40847 .35298 L
.40826 .35259 L
.40687 .35066 L
.40654 .3502 L
.40552 .34874 L
.40462 .34766 L
.40405 .34681 L
.40283 .34488 L
.40269 .34468 L
.40153 .34296 L
.40076 .34186 L
.39969 .34103 L
.3989 .3391 L
.39884 .33901 L
.39766 .33717 L
.39691 .33605 L
.3964 .33525 L
.39518 .33332 L
.39498 .33301 L
.39408 .33139 L
.39306 .32964 L
.39297 .32947 L
F
0 .92 1 r
.39498 .40544 m
.39623 .40654 L
.39691 .40717 L
.39804 .40847 L
.39884 .4089 L
.39966 .4104 L
.40076 .4116 L
.40173 .41232 L
.40269 .41423 L
.40271 .41425 L
.4041 .41618 L
.40462 .41685 L
.4055 .41811 L
.40654 .41915 L
.40726 .42003 L
.40823 .42196 L
.40847 .42231 L
.40945 .42389 L
.4104 .42544 L
.41059 .42581 L
.4104 .4277 L
.40847 .42659 L
.40782 .42581 L
.40654 .42452 L
.40529 .42389 L
.40462 .42225 L
.40432 .42196 L
.40282 .42003 L
.40269 .41987 L
.40133 .41811 L
.40076 .41757 L
.39934 .41618 L
.39884 .41477 L
.39848 .41425 L
.39716 .41232 L
.39691 .41195 L
.39588 .4104 L
.39498 .40896 L
.39443 .40847 L
.39373 .40654 L
F
1 .99 0 r
.39498 .39975 m
.39691 .39966 L
.39884 .4003 L
.39929 .40076 L
.40076 .40238 L
.4008 .40269 L
.40246 .40462 L
.40269 .40503 L
.40411 .40654 L
.40462 .40782 L
.40527 .40847 L
.40654 .4101 L
.40676 .4104 L
.40816 .41232 L
.40847 .41272 L
.40976 .41425 L
.4104 .41539 L
.41092 .41618 L
.41232 .41801 L
.41241 .41811 L
.41381 .42003 L
.41425 .42044 L
.41538 .42196 L
.41618 .42317 L
.41655 .42389 L
.41803 .42581 L
.41811 .42592 L
.41941 .42774 L
.42003 .42863 L
.42093 .42967 L
.42196 .43147 L
.42204 .43159 L
.42196 .43236 L
.42003 .43268 L
.41811 .43258 L
.41637 .43159 L
.41618 .43124 L
.415 .42967 L
.41425 .42884 L
.41388 .42774 L
.41232 .42624 L
.41201 .42581 L
.41053 .42389 L
.4104 .42356 L
.40927 .42196 L
.40847 .4208 L
.40825 .42003 L
.40654 .41816 L
.40635 .41811 L
.40486 .41618 L
.40462 .41574 L
.40366 .41425 L
.40269 .41306 L
.40264 .41232 L
.40076 .41043 L
.40073 .4104 L
.39923 .40847 L
.39884 .40816 L
.39808 .40654 L
.39691 .40534 L
.39655 .40462 L
.39524 .40269 L
.39498 .40226 L
.39395 .40076 L
F
0 .48 1 r
.39498 .44858 m
.39528 .44894 L
.39691 .45077 L
.39699 .45086 L
.39856 .45279 L
.39884 .4531 L
.40011 .45472 L
.40076 .45549 L
.40165 .45664 L
.40269 .45791 L
.40319 .45857 L
.40462 .46033 L
.40483 .4605 L
.40617 .46242 L
.40654 .46288 L
.40764 .46435 L
.40847 .4654 L
.40912 .46628 L
.4104 .46785 L
.4108 .46821 L
.41204 .47013 L
.41232 .47049 L
.41347 .47206 L
.41425 .47307 L
.41492 .47399 L
.41618 .47557 L
.41653 .47591 L
.41778 .47784 L
.41811 .47825 L
.41919 .47977 L
.42003 .48087 L
.42063 .48169 L
.42196 .48344 L
.42213 .48362 L
.42344 .48555 L
.42389 .48613 L
.42483 .48747 L
.42581 .4883 L
.42625 .4894 L
.42766 .49133 L
.42774 .49144 L
.429 .49326 L
.42967 .49414 L
.43039 .49518 L
.43159 .49659 L
.43179 .49711 L
.43313 .49904 L
.43352 .49956 L
.43446 .50096 L
.43545 .50232 L
.43582 .50289 L
.43716 .50482 L
.43737 .50512 L
.4384 .50674 L
.4393 .50802 L
.4397 .50867 L
.4393 .51038 L
.43789 .50867 L
.43737 .50811 L
.43628 .50674 L
.43545 .50577 L
.4347 .50482 L
.43352 .50375 L
.43315 .50289 L
.43163 .50096 L
.43159 .50092 L
.43015 .49904 L
.42967 .49844 L
.42866 .49711 L
.42774 .49638 L
.42717 .49518 L
.42581 .49345 L
.42561 .49326 L
.42425 .49133 L
.42389 .49087 L
.4228 .4894 L
.42196 .48871 L
.42134 .48747 L
.42003 .48577 L
.41982 .48555 L
.41848 .48362 L
.41811 .48314 L
.41705 .48169 L
.41618 .4809 L
.41561 .47977 L
.41425 .47795 L
.41416 .47784 L
.4128 .47591 L
.41232 .47529 L
.41139 .47399 L
.4104 .47294 L
.40998 .47206 L
.40858 .47013 L
.40847 .46999 L
.40722 .46821 L
.40654 .4673 L
.40583 .46628 L
.40462 .46477 L
.40419 .46435 L
.40309 .46242 L
.40269 .46189 L
.40174 .4605 L
.40076 .45914 L
.40037 .45857 L
.39904 .45664 L
.39884 .45636 L
.39777 .45472 L
.39691 .4535 L
.39646 .45279 L
.3952 .45086 L
.39498 .45055 L
.39412 .44894 L
F
0 .91 1 r
.39498 .40588 m
.39585 .40654 L
.39691 .40745 L
.39783 .40847 L
.39884 .4091 L
.39951 .4104 L
.40076 .4118 L
.40148 .41232 L
.40257 .41425 L
.40269 .4144 L
.40398 .41618 L
.40462 .41701 L
.40539 .41811 L
.40654 .41942 L
.40704 .42003 L
.40807 .42196 L
.40847 .42255 L
.40927 .42389 L
.41032 .42581 L
.40847 .42619 L
.40816 .42581 L
.40654 .42426 L
.40573 .42389 L
.40462 .42204 L
.40453 .42196 L
.40299 .42003 L
.40269 .41966 L
.40149 .41811 L
.40076 .41739 L
.3995 .41618 L
.39884 .41453 L
.39864 .41425 L
.39734 .41232 L
.39691 .41168 L
.39607 .4104 L
.39498 .40858 L
.39486 .40847 L
.39414 .40654 L
F
1 .76 0 r
.39498 .4404 m
.39575 .44123 L
.39691 .44243 L
.39753 .44316 L
.39884 .44445 L
.39921 .44508 L
.40076 .44693 L
.40087 .44701 L
.40239 .44894 L
.40269 .44929 L
.40395 .45086 L
.40462 .45149 L
.40549 .45279 L
.40654 .4541 L
.40718 .45472 L
.40847 .45659 L
.40851 .45664 L
.41 .45857 L
.4104 .45895 L
.41149 .4605 L
.41232 .46156 L
.4131 .46242 L
.41425 .46413 L
.41439 .46435 L
.41589 .46628 L
.41618 .46656 L
.41735 .46821 L
.41811 .46919 L
.41889 .47013 L
.42003 .4718 L
.42018 .47206 L
.42168 .47399 L
.42196 .47427 L
.4237 .47591 L
.42389 .47691 L
.42462 .47784 L
.42581 .47955 L
.42592 .47977 L
.42741 .48169 L
.42774 .48203 L
.4293 .48362 L
.42967 .4847 L
.43031 .48555 L
.43159 .48735 L
.43164 .48747 L
.4331 .4894 L
.43352 .48984 L
.4349 .49133 L
.43545 .49255 L
.43596 .49326 L
.43736 .49518 L
.43737 .4952 L
.43876 .49711 L
.4393 .4977 L
.44049 .49904 L
.44123 .50044 L
.44159 .50096 L
.44299 .50289 L
.44316 .50311 L
.44439 .50482 L
.44508 .5056 L
.44605 .50674 L
.44701 .50837 L
.44721 .50867 L
.44859 .5106 L
.44894 .51106 L
.44998 .51253 L
.45086 .51357 L
.45158 .51445 L
.45279 .51637 L
.4528 .51638 L
.45416 .51831 L
.45472 .51856 L
.45554 .52023 L
.45664 .52163 L
.45705 .52216 L
.45831 .52409 L
.45857 .52444 L
.45966 .52601 L
.4605 .52669 L
.46165 .52794 L
.46242 .52986 L
.46243 .52987 L
.46374 .53179 L
.46435 .53263 L
.46508 .53372 L
.46628 .53521 L
.46664 .53565 L
.46773 .53758 L
.46821 .53824 L
.46901 .5395 L
.47013 .54113 L
.47032 .54143 L
.4715 .54336 L
.47206 .5442 L
.47263 .54528 L
.47206 .54641 L
.47101 .54528 L
.47013 .54439 L
.46924 .54336 L
.46821 .5422 L
.46756 .54143 L
.46628 .53998 L
.46543 .5395 L
.46436 .53758 L
.46435 .53756 L
.46282 .53565 L
.46242 .53556 L
.46128 .53372 L
.4605 .53282 L
.4592 .53179 L
.45857 .53027 L
.45823 .52987 L
.45676 .52794 L
.45664 .5279 L
.45527 .52601 L
.45472 .52536 L
.4534 .52409 L
.45279 .52276 L
.45233 .52216 L
.45086 .52023 L
.45086 .52023 L
.44941 .51831 L
.44894 .51774 L
.44767 .51638 L
.44701 .5151 L
.44654 .51445 L
.44508 .51254 L
.44508 .51253 L
.44363 .5106 L
.44316 .51002 L
.44198 .50867 L
.44123 .50736 L
.44082 .50674 L
.43933 .50482 L
.4393 .5048 L
.43791 .50289 L
.43737 .50223 L
.43631 .50096 L
.43545 .49956 L
.43512 .49904 L
.43364 .49711 L
.43352 .49703 L
.43223 .49518 L
.43159 .4944 L
.43067 .49326 L
.42967 .49171 L
.42945 .49133 L
.42798 .4894 L
.42774 .48923 L
.42658 .48747 L
.42581 .48652 L
.42506 .48555 L
.42389 .48381 L
.42379 .48362 L
.42236 .48169 L
.42196 .48138 L
.42039 .47977 L
.42003 .47859 L
.41947 .47784 L
.41814 .47591 L
.41811 .47586 L
.41677 .47399 L
.41618 .47346 L
.4149 .47206 L
.41425 .47059 L
.41392 .47013 L
.41259 .46821 L
.41232 .46785 L
.41121 .46628 L
.4104 .46543 L
.40948 .46435 L
.40847 .46249 L
.40842 .46242 L
.40709 .4605 L
.40654 .45975 L
.40572 .45857 L
.40462 .4572 L
.40417 .45664 L
.40301 .45472 L
.40269 .45428 L
.40169 .45279 L
.40076 .45149 L
.40034 .45086 L
.39902 .44894 L
.39884 .44868 L
.39777 .44701 L
.39691 .44576 L
.39649 .44508 L
.39526 .44316 L
.39498 .44273 L
.3942 .44123 L
F
0 .47 1 r
.39498 .44871 m
.39517 .44894 L
.39691 .45086 L
.39692 .45086 L
.39849 .45279 L
.39884 .45317 L
.40005 .45472 L
.40076 .45555 L
.4016 .45664 L
.40269 .45797 L
.40315 .45857 L
.40462 .4604 L
.40475 .4605 L
.40613 .46242 L
.40654 .46293 L
.40761 .46435 L
.40847 .46544 L
.40909 .46628 L
.4104 .4679 L
.41074 .46821 L
.41201 .47013 L
.41232 .47053 L
.41344 .47206 L
.41425 .47311 L
.41489 .47399 L
.41618 .47562 L
.41648 .47591 L
.41776 .47784 L
.41811 .47829 L
.41917 .47977 L
.42003 .4809 L
.4206 .48169 L
.42196 .48349 L
.42209 .48362 L
.42341 .48555 L
.42389 .48617 L
.42481 .48747 L
.42581 .48836 L
.42622 .4894 L
.42763 .49133 L
.42774 .49148 L
.42897 .49326 L
.42967 .49418 L
.43036 .49518 L
.43159 .49667 L
.43176 .49711 L
.43309 .49904 L
.43352 .49962 L
.43442 .50096 L
.43545 .50238 L
.43578 .50289 L
.4371 .50482 L
.43737 .50519 L
.43834 .50674 L
.4393 .50811 L
.43964 .50867 L
.4393 .51027 L
.43797 .50867 L
.43737 .50803 L
.43635 .50674 L
.43545 .5057 L
.43476 .50482 L
.43352 .50366 L
.43319 .50289 L
.43168 .50096 L
.43159 .50087 L
.43019 .49904 L
.42967 .49839 L
.4287 .49711 L
.42774 .49632 L
.4272 .49518 L
.42581 .4934 L
.42567 .49326 L
.42428 .49133 L
.42389 .49083 L
.42283 .4894 L
.42196 .48867 L
.42137 .48747 L
.42003 .48573 L
.41986 .48555 L
.41851 .48362 L
.41811 .4831 L
.41708 .48169 L
.41618 .48085 L
.41564 .47977 L
.41425 .4779 L
.4142 .47784 L
.41283 .47591 L
.41232 .47525 L
.41142 .47399 L
.4104 .47289 L
.41 .47206 L
.40861 .47013 L
.40847 .46995 L
.40725 .46821 L
.40654 .46726 L
.40586 .46628 L
.40462 .4647 L
.40426 .46435 L
.40313 .46242 L
.40269 .46184 L
.40178 .4605 L
.40076 .45909 L
.40041 .45857 L
.39909 .45664 L
.39884 .45629 L
.39783 .45472 L
.39691 .45342 L
.39652 .45279 L
.39529 .45086 L
.39498 .45041 L
.39426 .44894 L
F
0 .93 1 r
.39498 .43236 m
.39619 .43352 L
.39691 .4342 L
.39807 .43545 L
.39884 .43576 L
.39981 .43737 L
.40076 .43843 L
.40147 .4393 L
.40269 .4408 L
.40313 .44123 L
.40462 .44313 L
.40463 .44316 L
.4062 .44508 L
.40654 .4455 L
.40824 .44701 L
.40847 .44801 L
.40924 .44894 L
.4104 .45052 L
.41057 .45086 L
.41223 .45279 L
.41232 .45292 L
.41395 .45472 L
.41425 .45548 L
.41511 .45664 L
.41618 .4581 L
.41632 .45857 L
.4181 .4605 L
.41811 .4605 L
.41969 .46242 L
.42003 .46311 L
.42088 .46435 L
.42196 .46579 L
.422 .46628 L
.42389 .4682 L
.42389 .46821 L
.42541 .47013 L
.42581 .47085 L
.4266 .47206 L
.42774 .47354 L
.42821 .47399 L
.42962 .47591 L
.42967 .47598 L
.43111 .47784 L
.43159 .47864 L
.43228 .47977 L
.43352 .48133 L
.43391 .48169 L
.43532 .48362 L
.43545 .4838 L
.43678 .48555 L
.43737 .48647 L
.43793 .48747 L
.4393 .48915 L
.43959 .4894 L
.44121 .49133 L
.44123 .49164 L
.44243 .49326 L
.44316 .49433 L
.44358 .49518 L
.44508 .49697 L
.44525 .49711 L
.4469 .49904 L
.44701 .49951 L
.44807 .50096 L
.44894 .5022 L
.44922 .50289 L
.45086 .50479 L
.45089 .50482 L
.45255 .50674 L
.45279 .50739 L
.4537 .50867 L
.45472 .51008 L
.45487 .5106 L
.45653 .51253 L
.45664 .51264 L
.45818 .51445 L
.45857 .51528 L
.45932 .51638 L
.4605 .51796 L
.46055 .51831 L
.46217 .52023 L
.46242 .5205 L
.4638 .52216 L
.46435 .52318 L
.46494 .52409 L
.46628 .52586 L
.4664 .52601 L
.46779 .52794 L
.46821 .52838 L
.4694 .52987 L
.47013 .5311 L
.47056 .53179 L
.47201 .53372 L
.47206 .53378 L
.4734 .53565 L
.47399 .53629 L
.47499 .53758 L
.47591 .53905 L
.47617 .5395 L
.47761 .54143 L
.47784 .54174 L
.479 .54336 L
.47977 .54424 L
.48055 .54528 L
.48169 .54703 L
.48179 .54721 L
.48318 .54914 L
.48362 .54931 L
.48518 .55106 L
.48555 .55226 L
.48607 .55299 L
.48736 .55492 L
.48747 .55507 L
.48872 .55684 L
.4894 .55731 L
.49059 .55877 L
.49133 .5604 L
.49153 .5607 L
.49284 .56263 L
.49326 .5632 L
.49418 .56455 L
.49518 .5656 L
.49584 .56648 L
.4969 .56841 L
.49711 .5687 L
.49819 .57033 L
.49904 .57153 L
.49951 .57226 L
.50082 .57419 L
.50096 .57439 L
.50201 .57611 L
.50289 .57744 L
.50323 .57804 L
.50429 .57997 L
.50289 .58033 L
.50253 .57997 L
.50096 .57841 L
.50069 .57804 L
.49904 .57619 L
.49894 .57611 L
.49732 .57419 L
.49711 .57395 L
.4957 .57226 L
.49518 .5717 L
.49411 .57033 L
.49326 .56924 L
.49245 .56841 L
.49133 .56679 L
.49112 .56648 L
.48951 .56455 L
.4894 .56443 L
.48799 .56263 L
.48747 .56191 L
.48647 .5607 L
.48555 .55934 L
.48523 .55877 L
.48362 .55687 L
.48355 .55684 L
.48177 .55492 L
.48169 .55437 L
.48064 .55299 L
.47977 .55172 L
.47946 .55106 L
.47784 .54918 L
.47772 .54914 L
.47608 .54721 L
.47591 .54668 L
.47489 .54528 L
.47399 .54401 L
.47374 .54336 L
.47206 .54146 L
.47197 .54143 L
.47038 .5395 L
.47013 .53892 L
.46919 .53758 L
.46821 .53623 L
.46807 .53565 L
.46628 .53372 L
.46627 .53372 L
.4647 .53179 L
.46435 .5311 L
.46352 .52987 L
.46242 .52841 L
.46241 .52794 L
.46058 .52601 L
.4605 .52591 L
.45904 .52409 L
.45857 .52325 L
.45787 .52216 L
.45664 .52057 L
.45632 .52023 L
.45492 .51831 L
.45472 .51805 L
.4534 .51638 L
.45279 .51538 L
.45223 .51445 L
.45086 .51273 L
.45067 .51253 L
.44927 .5106 L
.44894 .51019 L
.44776 .50867 L
.44701 .50751 L
.44659 .50674 L
.44508 .50488 L
.44502 .50482 L
.44321 .50289 L
.44316 .50231 L
.44214 .50096 L
.44123 .49962 L
.44095 .49904 L
.43939 .49711 L
.4393 .49704 L
.43758 .49518 L
.43737 .49442 L
.43652 .49326 L
.43545 .49172 L
.43529 .49133 L
.43376 .4894 L
.43352 .4892 L
.43198 .48747 L
.43159 .48651 L
.43091 .48555 L
.42967 .4838 L
.42961 .48362 L
.42815 .48169 L
.42774 .48134 L
.4264 .47977 L
.42581 .47858 L
.42531 .47784 L
.42392 .47591 L
.42389 .47587 L
.42254 .47399 L
.42196 .47343 L
.42084 .47206 L
.42003 .47061 L
.41972 .47013 L
.41834 .46821 L
.41811 .4679 L
.41696 .46628 L
.41618 .46546 L
.41532 .46435 L
.41425 .4626 L
.41414 .46242 L
.41278 .4605 L
.41232 .45989 L
.4114 .45857 L
.4104 .45739 L
.40984 .45664 L
.40861 .45472 L
.40847 .45452 L
.40727 .45279 L
.40654 .4518 L
.4059 .45086 L
.40462 .44916 L
.40446 .44894 L
.40318 .44701 L
.40269 .44633 L
.40185 .44508 L
.40076 .44356 L
.4002 .44316 L
.39919 .44123 L
.39884 .44073 L
.39793 .4393 L
.39691 .43782 L
.39664 .43737 L
.39545 .43545 L
.39498 .43471 L
.39439 .43352 L
F
1 .75 0 r
.39498 .44064 m
.39555 .44123 L
.39691 .44259 L
.3974 .44316 L
.39884 .44462 L
.39911 .44508 L
.40074 .44701 L
.40076 .44704 L
.40231 .44894 L
.40269 .44938 L
.40388 .45086 L
.40462 .45156 L
.40543 .45279 L
.40654 .45417 L
.40711 .45472 L
.40846 .45664 L
.40847 .45665 L
.40995 .45857 L
.4104 .45899 L
.41145 .4605 L
.41232 .46162 L
.41306 .46242 L
.41425 .46418 L
.41436 .46435 L
.41585 .46628 L
.41618 .4666 L
.41731 .46821 L
.41811 .46923 L
.41886 .47013 L
.42003 .47183 L
.42016 .47206 L
.42165 .47399 L
.42196 .47429 L
.42369 .47591 L
.42389 .47695 L
.4246 .47784 L
.42581 .47958 L
.42591 .47977 L
.42739 .48169 L
.42774 .48206 L
.42929 .48362 L
.42967 .48473 L
.43028 .48555 L
.43159 .48738 L
.43163 .48747 L
.43308 .4894 L
.43352 .48987 L
.43489 .49133 L
.43545 .49258 L
.43594 .49326 L
.43734 .49518 L
.43737 .49523 L
.43874 .49711 L
.4393 .49772 L
.44047 .49904 L
.44123 .50047 L
.44157 .50096 L
.44297 .50289 L
.44316 .50313 L
.44437 .50482 L
.44508 .50563 L
.44603 .50674 L
.44701 .50841 L
.44719 .50867 L
.44857 .5106 L
.44894 .51109 L
.44996 .51253 L
.45086 .5136 L
.45155 .51445 L
.45277 .51638 L
.45279 .51641 L
.45413 .51831 L
.45472 .51859 L
.45552 .52023 L
.45664 .52168 L
.45702 .52216 L
.45828 .52409 L
.45857 .52448 L
.45963 .52601 L
.4605 .52675 L
.46159 .52794 L
.46239 .52987 L
.46242 .52991 L
.4637 .53179 L
.46435 .5327 L
.46504 .53372 L
.46628 .53533 L
.46654 .53565 L
.46767 .53758 L
.46821 .53833 L
.46894 .5395 L
.47013 .54124 L
.47025 .54143 L
.47138 .54336 L
.47206 .54443 L
.47246 .54528 L
.47206 .54615 L
.47121 .54528 L
.47013 .54423 L
.46937 .54336 L
.46821 .54207 L
.46766 .54143 L
.46628 .53986 L
.46562 .5395 L
.46444 .53758 L
.46435 .53747 L
.46289 .53565 L
.46242 .53553 L
.46134 .53372 L
.4605 .53275 L
.45927 .53179 L
.45857 .53021 L
.45828 .52987 L
.45681 .52794 L
.45664 .52789 L
.45532 .52601 L
.45472 .52531 L
.45343 .52409 L
.45279 .52271 L
.45237 .52216 L
.4509 .52023 L
.45086 .52022 L
.44944 .51831 L
.44894 .5177 L
.4477 .51638 L
.44701 .51506 L
.44657 .51445 L
.4451 .51253 L
.44508 .51252 L
.44366 .5106 L
.44316 .50998 L
.442 .50867 L
.44123 .50733 L
.44084 .50674 L
.43936 .50482 L
.4393 .50478 L
.43793 .50289 L
.43737 .5022 L
.43633 .50096 L
.43545 .49953 L
.43514 .49904 L
.43366 .49711 L
.43352 .49702 L
.43225 .49518 L
.43159 .49437 L
.43069 .49326 L
.42967 .49168 L
.42947 .49133 L
.42801 .4894 L
.42774 .48921 L
.4266 .48747 L
.42581 .48649 L
.42508 .48555 L
.42389 .48378 L
.4238 .48362 L
.42238 .48169 L
.42196 .48135 L
.4204 .47977 L
.42003 .47855 L
.4195 .47784 L
.41817 .47591 L
.41811 .47583 L
.41679 .47399 L
.41618 .47343 L
.41493 .47206 L
.41425 .47055 L
.41395 .47013 L
.41262 .46821 L
.41232 .46781 L
.41124 .46628 L
.4104 .46538 L
.40952 .46435 L
.40847 .46244 L
.40846 .46242 L
.40712 .4605 L
.40654 .4597 L
.40576 .45857 L
.40462 .45713 L
.40423 .45664 L
.40305 .45472 L
.40269 .45421 L
.40174 .45279 L
.40076 .45142 L
.40039 .45086 L
.39909 .44894 L
.39884 .44858 L
.39785 .44701 L
.39691 .44564 L
.39657 .44508 L
.3954 .44316 L
.39498 .4425 L
.39439 .44123 L
F
0 .46 1 r
.39498 .44886 m
.39505 .44894 L
.39498 .45024 L
.39445 .44894 L
F
1 .99 0 r
.39498 .37355 m
.39552 .37379 L
.39691 .37456 L
.39795 .37571 L
.39884 .3766 L
.3998 .37764 L
.40076 .37877 L
.40165 .37957 L
.40269 .38108 L
.40305 .38149 L
.40462 .38342 L
.40462 .38342 L
.40614 .38535 L
.40654 .38591 L
.40763 .38727 L
.40847 .38849 L
.4089 .3892 L
.4104 .39107 L
.41045 .39113 L
.41212 .39306 L
.41232 .39381 L
.41311 .39498 L
.41408 .39691 L
.41232 .39816 L
.4104 .39727 L
.41003 .39691 L
.40847 .3952 L
.40823 .39498 L
.40681 .39306 L
.40654 .39272 L
.40539 .39113 L
.40462 .39049 L
.40335 .3892 L
.40269 .38755 L
.40248 .38727 L
.40119 .38535 L
.40076 .38476 L
.39985 .38342 L
.39884 .38199 L
.3982 .38149 L
.39722 .37957 L
.39691 .3791 L
.39605 .37764 L
.39498 .37579 L
.39495 .37571 L
.39457 .37379 L
F
1 .74 0 r
.39498 .44095 m
.39528 .44123 L
.39691 .44276 L
.39726 .44316 L
.39884 .4448 L
.399 .44508 L
.40064 .44701 L
.40076 .44714 L
.40223 .44894 L
.40269 .44947 L
.40381 .45086 L
.40462 .45163 L
.40537 .45279 L
.40654 .45424 L
.40704 .45472 L
.40841 .45664 L
.40847 .45672 L
.40991 .45857 L
.4104 .45904 L
.4114 .4605 L
.41232 .46167 L
.41302 .46242 L
.41425 .46422 L
.41434 .46435 L
.41582 .46628 L
.41618 .46663 L
.41728 .46821 L
.41811 .46927 L
.41883 .47013 L
.42003 .47187 L
.42014 .47206 L
.42162 .47399 L
.42196 .47432 L
.42367 .47591 L
.42389 .47698 L
.42457 .47784 L
.42581 .47961 L
.42589 .47977 L
.42736 .48169 L
.42774 .48208 L
.42927 .48362 L
.42967 .48476 L
.43026 .48555 L
.43159 .4874 L
.43162 .48747 L
.43306 .4894 L
.43352 .48989 L
.43487 .49133 L
.43545 .49261 L
.43592 .49326 L
.43732 .49518 L
.43737 .49526 L
.43872 .49711 L
.4393 .49775 L
.44045 .49904 L
.44123 .50049 L
.44156 .50096 L
.44295 .50289 L
.44316 .50316 L
.44434 .50482 L
.44508 .50566 L
.44601 .50674 L
.44701 .50844 L
.44716 .50867 L
.44855 .5106 L
.44894 .51112 L
.44994 .51253 L
.45086 .51364 L
.45152 .51445 L
.45274 .51638 L
.45279 .51644 L
.4541 .51831 L
.45472 .51862 L
.45549 .52023 L
.45664 .52173 L
.45698 .52216 L
.45824 .52409 L
.45857 .52453 L
.4596 .52601 L
.4605 .52681 L
.46153 .52794 L
.46235 .52987 L
.46242 .52997 L
.46365 .53179 L
.46435 .53276 L
.46499 .53372 L
.46628 .53546 L
.46643 .53565 L
.4676 .53758 L
.46821 .53844 L
.46887 .5395 L
.47013 .54137 L
.47017 .54143 L
.47124 .54336 L
.47206 .54475 L
.47226 .54528 L
.47206 .5458 L
.47147 .54528 L
.47013 .54405 L
.46951 .54336 L
.46821 .54194 L
.46777 .54143 L
.46628 .53974 L
.46584 .5395 L
.46452 .53758 L
.46435 .53738 L
.46296 .53565 L
.46242 .5355 L
.4614 .53372 L
.4605 .53268 L
.45934 .53179 L
.45857 .53015 L
.45833 .52987 L
.45685 .52794 L
.45664 .52787 L
.45536 .52601 L
.45472 .52525 L
.45347 .52409 L
.45279 .52266 L
.4524 .52216 L
.45094 .52023 L
.45086 .5202 L
.44948 .51831 L
.44894 .51766 L
.44772 .51638 L
.44701 .51503 L
.4466 .51445 L
.44513 .51253 L
.44508 .5125 L
.44369 .5106 L
.44316 .50995 L
.44202 .50867 L
.44123 .5073 L
.44086 .50674 L
.43938 .50482 L
.4393 .50477 L
.43796 .50289 L
.43737 .50217 L
.43635 .50096 L
.43545 .4995 L
.43516 .49904 L
.43369 .49711 L
.43352 .497 L
.43227 .49518 L
.43159 .49434 L
.43071 .49326 L
.42967 .49165 L
.42948 .49133 L
.42803 .4894 L
.42774 .48919 L
.42662 .48747 L
.42581 .48646 L
.4251 .48555 L
.42389 .48375 L
.42382 .48362 L
.4224 .48169 L
.42196 .48133 L
.42042 .47977 L
.42003 .47852 L
.41952 .47784 L
.41819 .47591 L
.41811 .4758 L
.41682 .47399 L
.41618 .4734 L
.41496 .47206 L
.41425 .47051 L
.41398 .47013 L
.41264 .46821 L
.41232 .46777 L
.41127 .46628 L
.4104 .46534 L
.40956 .46435 L
.40849 .46242 L
.40847 .46239 L
.40716 .4605 L
.40654 .45965 L
.4058 .45857 L
.40462 .45705 L
.40429 .45664 L
.4031 .45472 L
.40269 .45415 L
.40179 .45279 L
.40076 .45134 L
.40044 .45086 L
.39916 .44894 L
.39884 .44848 L
.39792 .44701 L
.39691 .44551 L
.39666 .44508 L
.39555 .44316 L
.39498 .4422 L
.39466 .44123 L
F
0 .54 1 r
.39498 .46443 m
.39614 .46628 L
.39691 .46729 L
.39744 .46821 L
.39691 .46892 L
.39636 .46821 L
.39498 .46657 L
.39476 .46628 L
F
0 .9 1 r
.39498 .40645 m
.3952 .40654 L
.39691 .40774 L
.39759 .40847 L
.39884 .40936 L
.39934 .4104 L
.40076 .41202 L
.40119 .41232 L
.40243 .41425 L
.40269 .41458 L
.40385 .41618 L
.40462 .41718 L
.40526 .41811 L
.40654 .41973 L
.40678 .42003 L
.4079 .42196 L
.40847 .42283 L
.40906 .42389 L
.40847 .42572 L
.40654 .42397 L
.40634 .42389 L
.40475 .42196 L
.40462 .42181 L
.40317 .42003 L
.40269 .41945 L
.40165 .41811 L
.40076 .41718 L
.39971 .41618 L
.39884 .41427 L
.39882 .41425 L
.39752 .41232 L
.39691 .4114 L
.39627 .4104 L
.39521 .40847 L
.39498 .40796 L
.39479 .40654 L
F
0 .53 1 r
.39498 .46457 m
.39601 .46628 L
.39691 .46748 L
.3973 .46821 L
.39691 .46873 L
.3965 .46821 L
.39498 .46644 L
.39486 .46628 L
F
1 .79 0 r
.39498 .47294 m
.39533 .47399 L
.39498 .47407 L
.3949 .47399 L
F
0 .52 1 r
.39498 .46474 m
.39583 .46628 L
.39691 .46773 L
.39712 .46821 L
.39691 .46848 L
.39669 .46821 L
.39498 .46628 L
.39498 .46628 L
F
1 .98 0 r
.39691 .4003 m
.39832 .40076 L
.39884 .40103 L
.40063 .40269 L
.40076 .4029 L
.40224 .40462 L
.40269 .40536 L
.40399 .40654 L
.40462 .40798 L
.40517 .40847 L
.40654 .41024 L
.40666 .4104 L
.40808 .41232 L
.40847 .41282 L
.4097 .41425 L
.4104 .41549 L
.41086 .41618 L
.41232 .41809 L
.41234 .41811 L
.41373 .42003 L
.41425 .42052 L
.41531 .42196 L
.41618 .42329 L
.41649 .42389 L
.41793 .42581 L
.41811 .42607 L
.41928 .42774 L
.42003 .42886 L
.42073 .42967 L
.4215 .43159 L
.42003 .43231 L
.41811 .43203 L
.41683 .43159 L
.41618 .43076 L
.41527 .42967 L
.41425 .42854 L
.414 .42774 L
.41232 .42603 L
.41216 .42581 L
.4106 .42389 L
.4104 .42338 L
.40937 .42196 L
.40847 .42067 L
.4083 .42003 L
.40654 .41813 L
.40645 .41811 L
.40492 .41618 L
.40462 .41562 L
.40374 .41425 L
.40269 .41293 L
.40266 .41232 L
.40085 .4104 L
.40076 .41027 L
.39934 .40847 L
.39884 .408 L
.39822 .40654 L
.39691 .40488 L
.3968 .40462 L
.39562 .40269 L
.3951 .40076 L
F
1 .99 0 r
.39691 .42736 m
.39743 .42774 L
.39884 .42875 L
.4 .42967 L
.40076 .43078 L
.40236 .43159 L
.40269 .4323 L
.40443 .43352 L
.40462 .43412 L
.40608 .43545 L
.40654 .4364 L
.40758 .43737 L
.40847 .43878 L
.40902 .4393 L
.4104 .44115 L
.41048 .44123 L
.41201 .44316 L
.41232 .4437 L
.41336 .44508 L
.41425 .44633 L
.4147 .44701 L
.41618 .44892 L
.41618 .44894 L
.4176 .45086 L
.41811 .45159 L
.41886 .45279 L
.42003 .45427 L
.42044 .45472 L
.42183 .45664 L
.42196 .45684 L
.42308 .45857 L
.42389 .45961 L
.4247 .4605 L
.42581 .46207 L
.42609 .46242 L
.42744 .46435 L
.42774 .46478 L
.42849 .46628 L
.42967 .46771 L
.43036 .46821 L
.43159 .46994 L
.43174 .47013 L
.43305 .47206 L
.43352 .47271 L
.43399 .47399 L
.43545 .47517 L
.43601 .47591 L
.43737 .47782 L
.43739 .47784 L
.43868 .47977 L
.4393 .48061 L
.44026 .48169 L
.44123 .48305 L
.44166 .48362 L
.44306 .48555 L
.44316 .48572 L
.44429 .48747 L
.44508 .48851 L
.4459 .4894 L
.44701 .49095 L
.4473 .49133 L
.44871 .49326 L
.44894 .49363 L
.4499 .49518 L
.45086 .49641 L
.45154 .49711 L
.45279 .49885 L
.45293 .49904 L
.45435 .50096 L
.45472 .50153 L
.45551 .50289 L
.45664 .50429 L
.45718 .50482 L
.45857 .50674 L
.45857 .50675 L
.45998 .50867 L
.4605 .50943 L
.46111 .5106 L
.46242 .51216 L
.46282 .51253 L
.46431 .51445 L
.46435 .51464 L
.46561 .51638 L
.46628 .51733 L
.46672 .51831 L
.46821 .52001 L
.46845 .52023 L
.47001 .52216 L
.47013 .52253 L
.47123 .52409 L
.47206 .52523 L
.47233 .52601 L
.47399 .52786 L
.47408 .52794 L
.47567 .52987 L
.47591 .53043 L
.47685 .53179 L
.47784 .53312 L
.47797 .53372 L
.47972 .53565 L
.47977 .5357 L
.48131 .53758 L
.48169 .53832 L
.48247 .5395 L
.48362 .54101 L
.48363 .54143 L
.48535 .54336 L
.48555 .54355 L
.48694 .54528 L
.48747 .54622 L
.48809 .54721 L
.4894 .5489 L
.48959 .54914 L
.49098 .55106 L
.49133 .55141 L
.49256 .55299 L
.49326 .55412 L
.49372 .55492 L
.49518 .55679 L
.49522 .55684 L
.49661 .55877 L
.49711 .55929 L
.49817 .5607 L
.49904 .56203 L
.49936 .56263 L
.50085 .56455 L
.50096 .5647 L
.50278 .56648 L
.50289 .56719 L
.50378 .56841 L
.50482 .56995 L
.505 .57033 L
.50647 .57226 L
.50674 .57263 L
.50837 .57419 L
.50867 .5751 L
.50938 .57611 L
.5106 .57788 L
.51066 .57804 L
.51209 .57997 L
.51253 .58015 L
.51393 .58189 L
.51445 .58305 L
.51497 .58382 L
.51631 .58575 L
.51638 .58583 L
.51769 .58768 L
.51831 .58807 L
.51947 .5896 L
.52023 .59105 L
.52054 .59153 L
.52189 .59346 L
.52216 .59381 L
.52327 .59538 L
.52409 .59609 L
.52496 .59731 L
.52601 .59911 L
.52609 .59924 L
.52743 .60116 L
.52794 .60185 L
.5288 .60309 L
.52987 .60428 L
.53037 .60502 L
.53156 .60694 L
.53179 .60727 L
.53288 .60887 L
.53372 .61004 L
.53423 .6108 L
.53559 .61273 L
.53565 .61281 L
.53683 .61465 L
.53758 .61572 L
.53811 .61658 L
.53937 .61851 L
.5395 .61871 L
.54044 .62043 L
.54143 .62224 L
.54147 .62236 L
.54143 .62328 L
.54009 .62236 L
.5395 .6219 L
.53804 .62043 L
.53758 .61998 L
.53621 .61851 L
.53565 .618 L
.53447 .61658 L
.53372 .61567 L
.53236 .61465 L
.53179 .61332 L
.53125 .61273 L
.52987 .61095 L
.52982 .6108 L
.52804 .60887 L
.52794 .60873 L
.52636 .60694 L
.52601 .60622 L
.52513 .60502 L
.52409 .60357 L
.52344 .60309 L
.52216 .60139 L
.52198 .60116 L
.52048 .59924 L
.52023 .59879 L
.51924 .59731 L
.51831 .59601 L
.51755 .59538 L
.51638 .59378 L
.51613 .59346 L
.51469 .59153 L
.51445 .59113 L
.51349 .5896 L
.51253 .58828 L
.51179 .58768 L
.5106 .58603 L
.51038 .58575 L
.50897 .58382 L
.50867 .58334 L
.50782 .58189 L
.50674 .58046 L
.50609 .57997 L
.50482 .57821 L
.50469 .57804 L
.5033 .57611 L
.50289 .57548 L
.50219 .57419 L
.50096 .5726 L
.50041 .57226 L
.49904 .57034 L
.49903 .57033 L
.49766 .56841 L
.49711 .56759 L
.49658 .56648 L
.49518 .56476 L
.49476 .56455 L
.49332 .56263 L
.49326 .56246 L
.49203 .5607 L
.49133 .5597 L
.49099 .55877 L
.4894 .55694 L
.48912 .55684 L
.48764 .55492 L
.48747 .55456 L
.4864 .55299 L
.48555 .55181 L
.48539 .55106 L
.48362 .54916 L
.48348 .54914 L
.48198 .54721 L
.48169 .54666 L
.48078 .54528 L
.47977 .54393 L
.47923 .54336 L
.47784 .54143 L
.47784 .54143 L
.47634 .5395 L
.47591 .53876 L
.47517 .53758 L
.47399 .53606 L
.4736 .53565 L
.4722 .53372 L
.47206 .53354 L
.4707 .53179 L
.47013 .53087 L
.46954 .52987 L
.46821 .52819 L
.46796 .52794 L
.46656 .52601 L
.46628 .52566 L
.46508 .52409 L
.46435 .52298 L
.46392 .52216 L
.46242 .52034 L
.46232 .52023 L
.46058 .51831 L
.4605 .51777 L
.45945 .51638 L
.45857 .51508 L
.45828 .51445 L
.45669 .51253 L
.45664 .51249 L
.45494 .5106 L
.45472 .50988 L
.45383 .50867 L
.45279 .50719 L
.45262 .50674 L
.45105 .50482 L
.45086 .50465 L
.44931 .50289 L
.44894 .50199 L
.44821 .50096 L
.44701 .4993 L
.44695 .49904 L
.44542 .49711 L
.44508 .4968 L
.44371 .49518 L
.44316 .49409 L
.44259 .49326 L
.44123 .4914 L
.44122 .49133 L
.43979 .4894 L
.4393 .48894 L
.43811 .48747 L
.43737 .48618 L
.43696 .48555 L
.43555 .48362 L
.43545 .48349 L
.43416 .48169 L
.43352 .48105 L
.43251 .47977 L
.43159 .47826 L
.43134 .47784 L
.42992 .47591 L
.42967 .47557 L
.42853 .47399 L
.42774 .47314 L
.42692 .47206 L
.42581 .47033 L
.4257 .47013 L
.4243 .46821 L
.42389 .46765 L
.42222 .46628 L
.42196 .46519 L
.42134 .46435 L
.42006 .46242 L
.42003 .46239 L
.41869 .4605 L
.41811 .45972 L
.41675 .45857 L
.41618 .45722 L
.41577 .45664 L
.41446 .45472 L
.41425 .45445 L
.41308 .45279 L
.41232 .45217 L
.41131 .45086 L
.4104 .4492 L
.41022 .44894 L
.40887 .44701 L
.40847 .44647 L
.40749 .44508 L
.40654 .44409 L
.40587 .44316 L
.40467 .44123 L
.40462 .44116 L
.40332 .4393 L
.40269 .43846 L
.40194 .43737 L
.40076 .43601 L
.40041 .43545 L
.39917 .43352 L
.39884 .43307 L
.39785 .43159 L
.39691 .43031 L
.39649 .42967 L
.39519 .42774 L
F
0 .89 1 r
.39691 .40807 m
.39731 .40847 L
.39884 .4097 L
.39916 .4104 L
.40076 .41226 L
.40085 .41232 L
.40228 .41425 L
.40269 .41476 L
.40372 .41618 L
.40462 .41736 L
.40513 .41811 L
.40652 .42003 L
.40654 .42007 L
.40772 .42196 L
.40847 .42317 L
.40883 .42389 L
.40847 .42527 L
.40678 .42389 L
.40654 .42367 L
.40497 .42196 L
.40462 .42157 L
.40335 .42003 L
.40269 .41922 L
.40182 .41811 L
.40076 .41692 L
.39997 .41618 L
.399 .41425 L
.39884 .41402 L
.39771 .41232 L
.39691 .41108 L
.39649 .4104 L
.39557 .40847 L
F
1 .73 0 r
.39691 .44295 m
.3971 .44316 L
.39884 .44499 L
.39889 .44508 L
.40054 .44701 L
.40076 .44725 L
.40215 .44894 L
.40269 .44956 L
.40374 .45086 L
.40462 .45171 L
.40531 .45279 L
.40654 .45431 L
.40697 .45472 L
.40836 .45664 L
.40847 .45678 L
.40986 .45857 L
.4104 .45909 L
.41136 .4605 L
.41232 .46172 L
.41298 .46242 L
.41425 .46427 L
.41431 .46435 L
.41578 .46628 L
.41618 .46667 L
.41725 .46821 L
.41811 .46931 L
.4188 .47013 L
.42003 .47191 L
.42012 .47206 L
.4216 .47399 L
.42196 .47435 L
.42366 .47591 L
.42389 .47701 L
.42455 .47784 L
.42581 .47964 L
.42588 .47977 L
.42734 .48169 L
.42774 .48211 L
.42925 .48362 L
.42967 .4848 L
.43024 .48555 L
.43159 .48743 L
.43161 .48747 L
.43304 .4894 L
.43352 .48992 L
.43485 .49133 L
.43545 .49263 L
.4359 .49326 L
.4373 .49518 L
.43737 .49529 L
.4387 .49711 L
.4393 .49777 L
.44043 .49904 L
.44123 .50052 L
.44154 .50096 L
.44293 .50289 L
.44316 .50319 L
.44432 .50482 L
.44508 .50569 L
.44598 .50674 L
.44701 .50847 L
.44714 .50867 L
.44852 .5106 L
.44894 .51115 L
.44991 .51253 L
.45086 .51368 L
.4515 .51445 L
.45271 .51638 L
.45279 .51648 L
.45407 .51831 L
.45472 .51866 L
.45546 .52023 L
.45664 .52178 L
.45694 .52216 L
.45821 .52409 L
.45857 .52457 L
.45956 .52601 L
.4605 .52688 L
.46146 .52794 L
.4623 .52987 L
.46242 .53003 L
.46361 .53179 L
.46435 .53283 L
.46494 .53372 L
.46628 .53559 L
.46632 .53565 L
.46753 .53758 L
.46821 .53854 L
.46879 .5395 L
.47007 .54143 L
.47013 .54153 L
.47107 .54336 L
.47013 .54386 L
.46967 .54336 L
.46821 .54181 L
.46788 .54143 L
.46628 .5396 L
.46608 .5395 L
.46461 .53758 L
.46435 .53728 L
.46303 .53565 L
.46242 .53546 L
.46146 .53372 L
.4605 .53261 L
.45941 .53179 L
.45857 .53008 L
.45838 .52987 L
.4569 .52794 L
.45664 .52785 L
.4554 .52601 L
.45472 .5252 L
.45351 .52409 L
.45279 .52261 L
.45244 .52216 L
.45097 .52023 L
.45086 .52018 L
.44951 .51831 L
.44894 .51762 L
.44775 .51638 L
.44701 .51499 L
.44662 .51445 L
.44515 .51253 L
.44508 .51249 L
.44372 .5106 L
.44316 .50992 L
.44205 .50867 L
.44123 .50726 L
.44088 .50674 L
.43941 .50482 L
.4393 .50475 L
.43798 .50289 L
.43737 .50214 L
.43638 .50096 L
.43545 .49947 L
.43518 .49904 L
.43371 .49711 L
.43352 .49698 L
.43229 .49518 L
.43159 .49431 L
.43074 .49326 L
.42967 .49162 L
.4295 .49133 L
.42805 .4894 L
.42774 .48917 L
.42664 .48747 L
.42581 .48643 L
.42512 .48555 L
.42389 .48372 L
.42383 .48362 L
.42243 .48169 L
.42196 .48131 L
.42044 .47977 L
.42003 .47849 L
.41954 .47784 L
.41822 .47591 L
.41811 .47576 L
.41684 .47399 L
.41618 .47336 L
.41498 .47206 L
.41425 .47047 L
.41401 .47013 L
.41267 .46821 L
.41232 .46773 L
.4113 .46628 L
.4104 .46529 L
.4096 .46435 L
.40853 .46242 L
.40847 .46234 L
.4072 .4605 L
.40654 .4596 L
.40584 .45857 L
.40462 .45697 L
.40436 .45664 L
.40315 .45472 L
.40269 .45408 L
.40184 .45279 L
.40076 .45126 L
.4005 .45086 L
.39923 .44894 L
.39884 .44837 L
.39801 .44701 L
.39691 .44536 L
.39675 .44508 L
.39574 .44316 L
F
0 .92 1 r
.39691 .43473 m
.39763 .43545 L
.39884 .43615 L
.39948 .43737 L
.40076 .43876 L
.4012 .4393 L
.40269 .44106 L
.40288 .44123 L
.40445 .44316 L
.40462 .44324 L
.40603 .44508 L
.40654 .4457 L
.40816 .44701 L
.40847 .44818 L
.40912 .44894 L
.4104 .45065 L
.41051 .45086 L
.41212 .45279 L
.41232 .45305 L
.41389 .45472 L
.41425 .45561 L
.41503 .45664 L
.41618 .45819 L
.41629 .45857 L
.41803 .4605 L
.41811 .4606 L
.41964 .46242 L
.42003 .4632 L
.42082 .46435 L
.42196 .46585 L
.42198 .46628 L
.42384 .46821 L
.42389 .46827 L
.42537 .47013 L
.42581 .47091 L
.42656 .47206 L
.42774 .47359 L
.42817 .47399 L
.42958 .47591 L
.42967 .47603 L
.43108 .47784 L
.43159 .47869 L
.43225 .47977 L
.43352 .48137 L
.43388 .48169 L
.43529 .48362 L
.43545 .48384 L
.43675 .48555 L
.43737 .48651 L
.43791 .48747 L
.4393 .48917 L
.43956 .4894 L
.44121 .49133 L
.44123 .49168 L
.44241 .49326 L
.44316 .49436 L
.44356 .49518 L
.44508 .49699 L
.44522 .49711 L
.44689 .49904 L
.44701 .49954 L
.44805 .50096 L
.44894 .50223 L
.44921 .50289 L
.45086 .50481 L
.45087 .50482 L
.45254 .50674 L
.45279 .50742 L
.45368 .50867 L
.45472 .5101 L
.45486 .5106 L
.45651 .51253 L
.45664 .51266 L
.45817 .51445 L
.45857 .51531 L
.4593 .51638 L
.4605 .51799 L
.46054 .51831 L
.46214 .52023 L
.46242 .52052 L
.46378 .52216 L
.46435 .52321 L
.46492 .52409 L
.46628 .52589 L
.46637 .52601 L
.46777 .52794 L
.46821 .52841 L
.46938 .52987 L
.47013 .53114 L
.47054 .53179 L
.47199 .53372 L
.47206 .53382 L
.47337 .53565 L
.47399 .53632 L
.47496 .53758 L
.47591 .53909 L
.47615 .5395 L
.47758 .54143 L
.47784 .54178 L
.47896 .54336 L
.47977 .54429 L
.48051 .54528 L
.48169 .54709 L
.48176 .54721 L
.48314 .54914 L
.48362 .54935 L
.48514 .55106 L
.48555 .55234 L
.48602 .55299 L
.4873 .55492 L
.48747 .55515 L
.48866 .55684 L
.4894 .5574 L
.49051 .55877 L
.49133 .56052 L
.49145 .5607 L
.49275 .56263 L
.49326 .56332 L
.49409 .56455 L
.49518 .5658 L
.49568 .56648 L
.49677 .56841 L
.49711 .56888 L
.49805 .57033 L
.49904 .57175 L
.49936 .57226 L
.5006 .57419 L
.50096 .57473 L
.50175 .57611 L
.50289 .578 L
.50291 .57804 L
.50289 .57954 L
.50117 .57804 L
.50096 .57786 L
.49932 .57611 L
.49904 .57582 L
.4976 .57419 L
.49711 .57365 L
.49593 .57226 L
.49518 .57146 L
.4943 .57033 L
.49326 .56903 L
.49262 .56841 L
.49133 .56663 L
.49122 .56648 L
.48964 .56455 L
.4894 .56428 L
.48811 .56263 L
.48747 .56176 L
.48657 .5607 L
.48555 .55922 L
.48529 .55877 L
.48364 .55684 L
.48362 .55682 L
.48178 .55492 L
.48169 .55426 L
.48071 .55299 L
.47977 .55164 L
.4795 .55106 L
.47784 .54916 L
.47779 .54914 L
.4761 .54721 L
.47591 .54661 L
.47494 .54528 L
.47399 .54395 L
.47377 .54336 L
.47206 .54144 L
.47202 .54143 L
.47041 .5395 L
.47013 .53886 L
.46923 .53758 L
.46821 .53618 L
.46808 .53565 L
.4663 .53372 L
.46628 .53369 L
.46472 .53179 L
.46435 .53105 L
.46355 .52987 L
.46242 .52837 L
.46241 .52794 L
.46061 .52601 L
.4605 .52587 L
.45906 .52409 L
.45857 .52321 L
.45789 .52216 L
.45664 .52055 L
.45635 .52023 L
.45494 .51831 L
.45472 .51803 L
.45341 .51638 L
.45279 .51535 L
.45225 .51445 L
.45086 .51271 L
.45069 .51253 L
.44929 .5106 L
.44894 .51016 L
.44778 .50867 L
.44701 .50748 L
.44661 .50674 L
.44508 .50486 L
.44504 .50482 L
.44321 .50289 L
.44316 .50228 L
.44216 .50096 L
.44123 .49959 L
.44096 .49904 L
.43941 .49711 L
.4393 .49703 L
.43759 .49518 L
.43737 .49439 L
.43654 .49326 L
.43545 .49169 L
.4353 .49133 L
.43378 .4894 L
.43352 .48918 L
.432 .48747 L
.43159 .48648 L
.43093 .48555 L
.42967 .48377 L
.42962 .48362 L
.42817 .48169 L
.42774 .48131 L
.42642 .47977 L
.42581 .47854 L
.42533 .47784 L
.42395 .47591 L
.42389 .47583 L
.42257 .47399 L
.42196 .47339 L
.42087 .47206 L
.42003 .47057 L
.41975 .47013 L
.41837 .46821 L
.41811 .46785 L
.41699 .46628 L
.41618 .4654 L
.41536 .46435 L
.41425 .46253 L
.41418 .46242 L
.41283 .4605 L
.41232 .45982 L
.41145 .45857 L
.4104 .4573 L
.40991 .45664 L
.40868 .45472 L
.40847 .45443 L
.40734 .45279 L
.40654 .4517 L
.40597 .45086 L
.40462 .449 L
.40457 .44894 L
.40328 .44701 L
.40269 .44618 L
.40196 .44508 L
.40076 .44339 L
.40044 .44316 L
.39936 .44123 L
.39884 .44048 L
.39812 .4393 L
.39691 .43747 L
.39685 .43737 L
.39584 .43545 L
F
1 .72 0 r
.39691 .44315 m
.39691 .44316 L
.39875 .44508 L
.39884 .44517 L
.40043 .44701 L
.40076 .44737 L
.40207 .44894 L
.40269 .44965 L
.40367 .45086 L
.40462 .45179 L
.40525 .45279 L
.40654 .45439 L
.4069 .45472 L
.40831 .45664 L
.40847 .45684 L
.40981 .45857 L
.4104 .45914 L
.41132 .4605 L
.41232 .46177 L
.41293 .46242 L
.41425 .46431 L
.41428 .46435 L
.41575 .46628 L
.41618 .4667 L
.41722 .46821 L
.41811 .46935 L
.41877 .47013 L
.42003 .47194 L
.4201 .47206 L
.42157 .47399 L
.42196 .47438 L
.42364 .47591 L
.42389 .47705 L
.42452 .47784 L
.42581 .47967 L
.42586 .47977 L
.42732 .48169 L
.42774 .48213 L
.42923 .48362 L
.42967 .48483 L
.43022 .48555 L
.43159 .48746 L
.4316 .48747 L
.43301 .4894 L
.43352 .48994 L
.43483 .49133 L
.43545 .49266 L
.43588 .49326 L
.43727 .49518 L
.43737 .49532 L
.43867 .49711 L
.4393 .4978 L
.44041 .49904 L
.44123 .50055 L
.44151 .50096 L
.4429 .50289 L
.44316 .50322 L
.4443 .50482 L
.44508 .50572 L
.44596 .50674 L
.44701 .5085 L
.44712 .50867 L
.4485 .5106 L
.44894 .51119 L
.44989 .51253 L
.45086 .51371 L
.45147 .51445 L
.45269 .51638 L
.45279 .51652 L
.45405 .51831 L
.45472 .51869 L
.45543 .52023 L
.45664 .52183 L
.4569 .52216 L
.45818 .52409 L
.45857 .52462 L
.45953 .52601 L
.4605 .52695 L
.4614 .52794 L
.46226 .52987 L
.46242 .53009 L
.46356 .53179 L
.46435 .5329 L
.4649 .53372 L
.46624 .53565 L
.46628 .5357 L
.46746 .53758 L
.46821 .53865 L
.46872 .5395 L
.46994 .54143 L
.47013 .54173 L
.47086 .54336 L
.47013 .54365 L
.46985 .54336 L
.46821 .54166 L
.468 .54143 L
.46631 .5395 L
.46628 .53947 L
.46469 .53758 L
.46435 .53719 L
.4631 .53565 L
.46242 .5354 L
.46152 .53372 L
.4605 .53253 L
.45949 .53179 L
.45857 .53002 L
.45844 .52987 L
.45695 .52794 L
.45664 .52783 L
.45545 .52601 L
.45472 .52515 L
.45355 .52409 L
.45279 .52256 L
.45247 .52216 L
.45101 .52023 L
.45086 .52017 L
.44954 .51831 L
.44894 .51757 L
.44778 .51638 L
.44701 .51495 L
.44665 .51445 L
.44518 .51253 L
.44508 .51247 L
.44374 .5106 L
.44316 .50988 L
.44207 .50867 L
.44123 .50723 L
.4409 .50674 L
.43943 .50482 L
.4393 .50474 L
.43801 .50289 L
.43737 .50211 L
.4364 .50096 L
.43545 .49944 L
.4352 .49904 L
.43373 .49711 L
.43352 .49697 L
.43232 .49518 L
.43159 .49428 L
.43076 .49326 L
.42967 .49159 L
.42952 .49133 L
.42807 .4894 L
.42774 .48915 L
.42666 .48747 L
.42581 .4864 L
.42515 .48555 L
.42389 .48369 L
.42385 .48362 L
.42245 .48169 L
.42196 .48129 L
.42046 .47977 L
.42003 .47846 L
.41957 .47784 L
.41824 .47591 L
.41811 .47573 L
.41687 .47399 L
.41618 .47333 L
.41501 .47206 L
.41425 .47043 L
.41404 .47013 L
.4127 .46821 L
.41232 .46769 L
.41133 .46628 L
.4104 .46524 L
.40964 .46435 L
.40857 .46242 L
.40847 .4623 L
.40723 .4605 L
.40654 .45955 L
.40587 .45857 L
.40462 .45689 L
.40442 .45664 L
.4032 .45472 L
.40269 .45401 L
.40189 .45279 L
.40076 .45118 L
.40055 .45086 L
.39931 .44894 L
.39884 .44825 L
.39809 .44701 L
.39691 .4452 L
.39684 .44508 L
.39599 .44316 L
F
1 .97 0 r
.39691 .4009 m
.39884 .40151 L
.40025 .40269 L
.40076 .4034 L
.40202 .40462 L
.40269 .40562 L
.40386 .40654 L
.40462 .40811 L
.40507 .40847 L
.40654 .41037 L
.40656 .4104 L
.40799 .41232 L
.40847 .41293 L
.40963 .41425 L
.4104 .41558 L
.4108 .41618 L
.41227 .41811 L
.41232 .41818 L
.41366 .42003 L
.41425 .42061 L
.41524 .42196 L
.41618 .42341 L
.41642 .42389 L
.41782 .42581 L
.41811 .42622 L
.41914 .42774 L
.42003 .42912 L
.42049 .42967 L
.42081 .43159 L
.42003 .43192 L
.41811 .43159 L
.4181 .43159 L
.41618 .43038 L
.41552 .42967 L
.41425 .42828 L
.41409 .42774 L
.41232 .42583 L
.41231 .42581 L
.41066 .42389 L
.4104 .42322 L
.40947 .42196 L
.40847 .42055 L
.40834 .42003 L
.40654 .41811 L
.40654 .4181 L
.40498 .41618 L
.40462 .41551 L
.40383 .41425 L
.40269 .4128 L
.40268 .41232 L
.40097 .4104 L
.40076 .41011 L
.39944 .40847 L
.39884 .40777 L
.39836 .40654 L
.39704 .40462 L
.39691 .40439 L
.39601 .40269 L
F
0 .88 1 r
.39691 .40845 m
.39693 .40847 L
.39884 .41012 L
.39896 .4104 L
.40062 .41232 L
.40076 .41249 L
.40212 .41425 L
.40269 .41496 L
.40357 .41618 L
.40462 .41755 L
.405 .41811 L
.40634 .42003 L
.40654 .42033 L
.40751 .42196 L
.40847 .42368 L
.40855 .42389 L
.40847 .42463 L
.4072 .42389 L
.40654 .42336 L
.40522 .42196 L
.40462 .42132 L
.40355 .42003 L
.40269 .41899 L
.402 .41811 L
.40076 .41662 L
.40029 .41618 L
.39919 .41425 L
.39884 .41374 L
.39791 .41232 L
.39691 .4107 L
.39674 .4104 L
.39614 .40847 L
F
0 .96 1 r
.39691 .3837 m
.39843 .38535 L
.39884 .38579 L
.40005 .38727 L
.40076 .38816 L
.40155 .3892 L
.40269 .3908 L
.40292 .39113 L
.40399 .39306 L
.40269 .39368 L
.40207 .39306 L
.40076 .39165 L
.40036 .39113 L
.39884 .38921 L
.39883 .3892 L
.39753 .38727 L
.39691 .38639 L
.39629 .38535 L
F
1 .36 0 r
.39691 .45903 m
.39795 .4605 L
.39884 .46156 L
.39944 .46242 L
.40076 .46409 L
.40094 .46435 L
.40235 .46628 L
.40269 .4667 L
.40372 .46821 L
.40462 .46933 L
.40515 .47013 L
.40654 .47196 L
.40661 .47206 L
.40791 .47399 L
.40847 .4747 L
.40923 .47591 L
.4104 .47745 L
.41064 .47784 L
.4104 .47906 L
.40949 .47784 L
.40847 .47666 L
.40792 .47591 L
.40654 .47421 L
.40638 .47399 L
.40494 .47206 L
.40462 .47168 L
.40352 .47013 L
.40269 .46911 L
.40205 .46821 L
.40076 .46654 L
.40058 .46628 L
.39921 .46435 L
.39884 .46389 L
.39784 .46242 L
.39691 .46122 L
.39642 .4605 L
F
1 .96 0 r
.39691 .40157 m
.39884 .40194 L
.39983 .40269 L
.40076 .40377 L
.4018 .40462 L
.40269 .40585 L
.40371 .40654 L
.40462 .40822 L
.40497 .40847 L
.40646 .4104 L
.40654 .41048 L
.4079 .41232 L
.40847 .41303 L
.40956 .41425 L
.4104 .41568 L
.41074 .41618 L
.41219 .41811 L
.41232 .41828 L
.41359 .42003 L
.41425 .4207 L
.41516 .42196 L
.41618 .42355 L
.41635 .42389 L
.41771 .42581 L
.41811 .42639 L
.41901 .42774 L
.42003 .42943 L
.42022 .42967 L
.42003 .43145 L
.41811 .43127 L
.41618 .43004 L
.41579 .42967 L
.41425 .42803 L
.41416 .42774 L
.41245 .42581 L
.41232 .42564 L
.41073 .42389 L
.4104 .42307 L
.40956 .42196 L
.40847 .42044 L
.40837 .42003 L
.40664 .41811 L
.40654 .41801 L
.40505 .41618 L
.40462 .41538 L
.40391 .41425 L
.40269 .41266 L
.40268 .41232 L
.40108 .4104 L
.40076 .40993 L
.39955 .40847 L
.39884 .40748 L
.3985 .40654 L
.39728 .40462 L
.39691 .40386 L
.39643 .40269 L
F
1 .35 0 r
.39691 .45913 m
.39787 .4605 L
.39884 .46165 L
.39938 .46242 L
.40076 .46417 L
.40089 .46435 L
.40227 .46628 L
.40269 .46678 L
.40365 .46821 L
.40462 .46942 L
.40509 .47013 L
.40654 .47204 L
.40656 .47206 L
.40782 .47399 L
.40847 .47481 L
.40915 .47591 L
.4104 .47757 L
.41056 .47784 L
.4104 .47891 L
.40961 .47784 L
.40847 .47656 L
.408 .47591 L
.40654 .47412 L
.40644 .47399 L
.40503 .47206 L
.40462 .47158 L
.40359 .47013 L
.40269 .46902 L
.40211 .46821 L
.40076 .46646 L
.40064 .46628 L
.39928 .46435 L
.39884 .4638 L
.39791 .46242 L
.39691 .46113 L
.39649 .4605 L
F
1 .34 0 r
.39691 .45924 m
.39779 .4605 L
.39884 .46174 L
.39931 .46242 L
.40076 .46425 L
.40083 .46435 L
.40219 .46628 L
.40269 .46688 L
.40358 .46821 L
.40462 .46951 L
.40503 .47013 L
.40462 .47148 L
.40367 .47013 L
.40269 .46893 L
.40218 .46821 L
.40076 .46637 L
.4007 .46628 L
.39937 .46435 L
.39884 .4637 L
.39799 .46242 L
.39691 .46103 L
.39656 .4605 L
F
0 .46 1 r
.39691 .45096 m
.39841 .45279 L
.39884 .45325 L
.39999 .45472 L
.40076 .45562 L
.40156 .45664 L
.40269 .45802 L
.40311 .45857 L
.40462 .46047 L
.40466 .4605 L
.40609 .46242 L
.40654 .46298 L
.40757 .46435 L
.40847 .46549 L
.40906 .46628 L
.4104 .46795 L
.41068 .46821 L
.41197 .47013 L
.41232 .47058 L
.41341 .47206 L
.41425 .47315 L
.41486 .47399 L
.41618 .47566 L
.41643 .47591 L
.41773 .47784 L
.41811 .47833 L
.41914 .47977 L
.42003 .48094 L
.42057 .48169 L
.42196 .48353 L
.42204 .48362 L
.42338 .48555 L
.42389 .48621 L
.42478 .48747 L
.42581 .48842 L
.4262 .4894 L
.42759 .49133 L
.42774 .49152 L
.42894 .49326 L
.42967 .49423 L
.43032 .49518 L
.43159 .49675 L
.43173 .49711 L
.43305 .49904 L
.43352 .49967 L
.43438 .50096 L
.43545 .50244 L
.43574 .50289 L
.43705 .50482 L
.43737 .50527 L
.43828 .50674 L
.4393 .50821 L
.43957 .50867 L
.4393 .51015 L
.43806 .50867 L
.43737 .50794 L
.43641 .50674 L
.43545 .50563 L
.43481 .50482 L
.43352 .50355 L
.43324 .50289 L
.43172 .50096 L
.43159 .50081 L
.43024 .49904 L
.42967 .49834 L
.42874 .49711 L
.42774 .49626 L
.42724 .49518 L
.42581 .49334 L
.42572 .49326 L
.42432 .49133 L
.42389 .49078 L
.42286 .4894 L
.42196 .48862 L
.4214 .48747 L
.42003 .48568 L
.41991 .48555 L
.41854 .48362 L
.41811 .48306 L
.41711 .48169 L
.41618 .48081 L
.41567 .47977 L
.41425 .47785 L
.41424 .47784 L
.41286 .47591 L
.41232 .47521 L
.41145 .47399 L
.4104 .47283 L
.41003 .47206 L
.40864 .47013 L
.40847 .4699 L
.40728 .46821 L
.40654 .46721 L
.40589 .46628 L
.40462 .46463 L
.40433 .46435 L
.40317 .46242 L
.40269 .46178 L
.40182 .4605 L
.40076 .45903 L
.40045 .45857 L
.39915 .45664 L
.39884 .45622 L
.39788 .45472 L
.39691 .45333 L
.39658 .45279 L
F
1 .33 0 r
.39691 .45936 m
.39769 .4605 L
.39884 .46184 L
.39924 .46242 L
.40076 .46434 L
.40077 .46435 L
.4021 .46628 L
.40269 .46698 L
.4035 .46821 L
.40462 .4696 L
.40496 .47013 L
.40462 .47137 L
.40375 .47013 L
.40269 .46884 L
.40225 .46821 L
.40076 .46628 L
.40076 .46628 L
.39946 .46435 L
.39884 .46359 L
.39807 .46242 L
.39691 .46092 L
.39663 .4605 L
F
0 .45 1 r
.39691 .45107 m
.39833 .45279 L
.39884 .45333 L
.39993 .45472 L
.40076 .45568 L
.4015 .45664 L
.40269 .45808 L
.40306 .45857 L
.40459 .4605 L
.40462 .46053 L
.40605 .46242 L
.40654 .46302 L
.40753 .46435 L
.40847 .46553 L
.40903 .46628 L
.4104 .46801 L
.41062 .46821 L
.41194 .47013 L
.41232 .47062 L
.41338 .47206 L
.41425 .47318 L
.41484 .47399 L
.41618 .47571 L
.41639 .47591 L
.41769 .47784 L
.41811 .47837 L
.41911 .47977 L
.42003 .48098 L
.42054 .48169 L
.42196 .48358 L
.422 .48362 L
.42335 .48555 L
.42389 .48625 L
.42475 .48747 L
.42581 .48848 L
.42617 .4894 L
.42756 .49133 L
.42774 .49157 L
.42891 .49326 L
.42967 .49427 L
.43029 .49518 L
.43159 .49683 L
.4317 .49711 L
.43301 .49904 L
.43352 .49973 L
.43434 .50096 L
.43545 .5025 L
.4357 .50289 L
.43699 .50482 L
.43737 .50535 L
.43821 .50674 L
.4393 .50832 L
.4395 .50867 L
.4393 .51001 L
.43816 .50867 L
.43737 .50785 L
.43648 .50674 L
.43545 .50555 L
.43487 .50482 L
.43352 .50344 L
.43329 .50289 L
.43177 .50096 L
.43159 .50075 L
.43028 .49904 L
.42967 .49828 L
.42877 .49711 L
.42774 .49619 L
.42727 .49518 L
.42581 .49329 L
.42578 .49326 L
.42435 .49133 L
.42389 .49074 L
.42289 .4894 L
.42196 .48857 L
.42143 .48747 L
.42003 .48563 L
.41995 .48555 L
.41857 .48362 L
.41811 .48302 L
.41714 .48169 L
.41618 .48076 L
.4157 .47977 L
.41427 .47784 L
.41425 .47781 L
.41289 .47591 L
.41232 .47516 L
.41148 .47399 L
.4104 .47278 L
.41006 .47206 L
.40868 .47013 L
.40847 .46986 L
.40731 .46821 L
.40654 .46717 L
.40592 .46628 L
.40462 .46456 L
.40441 .46435 L
.40321 .46242 L
.40269 .46173 L
.40186 .4605 L
.40076 .45897 L
.40049 .45857 L
.3992 .45664 L
.39884 .45614 L
.39794 .45472 L
.39691 .45323 L
.39664 .45279 L
F
0 .91 1 r
.39691 .43543 m
.39693 .43545 L
.39884 .43683 L
.3991 .43737 L
.40076 .43912 L
.40091 .4393 L
.4026 .44123 L
.40269 .44132 L
.40424 .44316 L
.40462 .44334 L
.40585 .44508 L
.40654 .44589 L
.40805 .44701 L
.40847 .44835 L
.40899 .44894 L
.4104 .45077 L
.41045 .45086 L
.41201 .45279 L
.41232 .45318 L
.41384 .45472 L
.41425 .45573 L
.41495 .45664 L
.41618 .45828 L
.41626 .45857 L
.41795 .4605 L
.41811 .4607 L
.4196 .46242 L
.42003 .46329 L
.42077 .46435 L
.42196 .46592 L
.42197 .46628 L
.42378 .46821 L
.42389 .46834 L
.42534 .47013 L
.42581 .47098 L
.42652 .47206 L
.42774 .47364 L
.42812 .47399 L
.42954 .47591 L
.42967 .47608 L
.43104 .47784 L
.43159 .47874 L
.43222 .47977 L
.43352 .4814 L
.43384 .48169 L
.43526 .48362 L
.43545 .48388 L
.43673 .48555 L
.43737 .48655 L
.43789 .48747 L
.4393 .4892 L
.43953 .4894 L
.44121 .49133 L
.44123 .49171 L
.44238 .49326 L
.44316 .49439 L
.44354 .49518 L
.44508 .49701 L
.4452 .49711 L
.44688 .49904 L
.44701 .49957 L
.44803 .50096 L
.44894 .50225 L
.44919 .50289 L
.45085 .50482 L
.45086 .50483 L
.45253 .50674 L
.45279 .50744 L
.45366 .50867 L
.45472 .51013 L
.45485 .5106 L
.45649 .51253 L
.45664 .51268 L
.45816 .51445 L
.45857 .51533 L
.45928 .51638 L
.4605 .51802 L
.46054 .51831 L
.46212 .52023 L
.46242 .52054 L
.46377 .52216 L
.46435 .52324 L
.4649 .52409 L
.46628 .52592 L
.46635 .52601 L
.46774 .52794 L
.46821 .52843 L
.46936 .52987 L
.47013 .53117 L
.47052 .53179 L
.47196 .53372 L
.47206 .53386 L
.47334 .53565 L
.47399 .53636 L
.47493 .53758 L
.47591 .53914 L
.47612 .5395 L
.47754 .54143 L
.47784 .54183 L
.47893 .54336 L
.47977 .54434 L
.48047 .54528 L
.48169 .54715 L
.48173 .54721 L
.4831 .54914 L
.48362 .54939 L
.4851 .55106 L
.48555 .55241 L
.48596 .55299 L
.48725 .55492 L
.48747 .55523 L
.4886 .55684 L
.4894 .5575 L
.49042 .55877 L
.49133 .56065 L
.49137 .5607 L
.49267 .56263 L
.49326 .56344 L
.494 .56455 L
.49518 .56603 L
.49551 .56648 L
.49664 .56841 L
.49711 .56908 L
.4979 .57033 L
.49904 .572 L
.4992 .57226 L
.50034 .57419 L
.50096 .57518 L
.50142 .57611 L
.50096 .57729 L
.49975 .57611 L
.49904 .57544 L
.4979 .57419 L
.49711 .57334 L
.49617 .57226 L
.49518 .57122 L
.49451 .57033 L
.49326 .56882 L
.49281 .56841 L
.49133 .56648 L
.49133 .56648 L
.48978 .56455 L
.4894 .56413 L
.48823 .56263 L
.48747 .56162 L
.48667 .5607 L
.48555 .55911 L
.48535 .55877 L
.48373 .55684 L
.48362 .55671 L
.4818 .55492 L
.48169 .55416 L
.48077 .55299 L
.47977 .55156 L
.47953 .55106 L
.47785 .54914 L
.47784 .54912 L
.47613 .54721 L
.47591 .54653 L
.47499 .54528 L
.47399 .54389 L
.47379 .54336 L
.47207 .54143 L
.47206 .54142 L
.47043 .5395 L
.47013 .5388 L
.46926 .53758 L
.46821 .53614 L
.4681 .53565 L
.46633 .53372 L
.46628 .53365 L
.46475 .53179 L
.46435 .53101 L
.46358 .52987 L
.46242 .52834 L
.46241 .52794 L
.46064 .52601 L
.4605 .52584 L
.45908 .52409 L
.45857 .52318 L
.45792 .52216 L
.45664 .52052 L
.45637 .52023 L
.45497 .51831 L
.45472 .518 L
.45343 .51638 L
.45279 .51532 L
.45227 .51445 L
.45086 .51268 L
.45071 .51253 L
.44931 .5106 L
.44894 .51014 L
.4478 .50867 L
.44701 .50745 L
.44662 .50674 L
.44508 .50483 L
.44507 .50482 L
.44322 .50289 L
.44316 .50226 L
.44217 .50096 L
.44123 .49956 L
.44097 .49904 L
.43943 .49711 L
.4393 .49701 L
.4376 .49518 L
.43737 .49436 L
.43656 .49326 L
.43545 .49166 L
.43531 .49133 L
.43381 .4894 L
.43352 .48916 L
.43201 .48747 L
.43159 .48645 L
.43095 .48555 L
.42967 .48374 L
.42963 .48362 L
.4282 .48169 L
.42774 .48128 L
.42644 .47977 L
.42581 .4785 L
.42536 .47784 L
.42398 .47591 L
.42389 .47579 L
.4226 .47399 L
.42196 .47335 L
.4209 .47206 L
.42003 .47052 L
.41978 .47013 L
.41841 .46821 L
.41811 .4678 L
.41703 .46628 L
.41618 .46534 L
.41541 .46435 L
.41425 .46247 L
.41423 .46242 L
.41288 .4605 L
.41232 .45975 L
.4115 .45857 L
.4104 .45721 L
.40998 .45664 L
.40875 .45472 L
.40847 .45434 L
.40741 .45279 L
.40654 .4516 L
.40604 .45086 L
.40467 .44894 L
.40462 .44886 L
.40339 .44701 L
.40269 .44603 L
.40208 .44508 L
.40076 .4432 L
.40071 .44316 L
.39954 .44123 L
.39884 .44018 L
.39833 .4393 L
.39718 .43737 L
.39691 .4369 L
.39665 .43545 L
F
0 .44 1 r
.39691 .4512 m
.39824 .45279 L
.39884 .45342 L
.39986 .45472 L
.40076 .45575 L
.40145 .45664 L
.40269 .45814 L
.40302 .45857 L
.40455 .4605 L
.40462 .46058 L
.40601 .46242 L
.40654 .46307 L
.4075 .46435 L
.40847 .46558 L
.40899 .46628 L
.4104 .46806 L
.41056 .46821 L
.41191 .47013 L
.41232 .47066 L
.41335 .47206 L
.41425 .47322 L
.41481 .47399 L
.41618 .47576 L
.41634 .47591 L
.41766 .47784 L
.41811 .47841 L
.41908 .47977 L
.42003 .48102 L
.42052 .48169 L
.42195 .48362 L
.42196 .48363 L
.42332 .48555 L
.42389 .48629 L
.42472 .48747 L
.42581 .48855 L
.42614 .4894 L
.42753 .49133 L
.42774 .49161 L
.42887 .49326 L
.42967 .49432 L
.43026 .49518 L
.43159 .49692 L
.43166 .49711 L
.43297 .49904 L
.43352 .49978 L
.43429 .50096 L
.43545 .50256 L
.43566 .50289 L
.43692 .50482 L
.43737 .50544 L
.43814 .50674 L
.4393 .50845 L
.43943 .50867 L
.4393 .50985 L
.43828 .50867 L
.43737 .50775 L
.43656 .50674 L
.43545 .50548 L
.43492 .50482 L
.43352 .50333 L
.43334 .50289 L
.43183 .50096 L
.43159 .50069 L
.43033 .49904 L
.42967 .49823 L
.42881 .49711 L
.42774 .49613 L
.42731 .49518 L
.42583 .49326 L
.42581 .49324 L
.42439 .49133 L
.42389 .49069 L
.42293 .4894 L
.42196 .48852 L
.42146 .48747 L
.42003 .48558 L
.42 .48555 L
.4186 .48362 L
.41811 .48298 L
.41717 .48169 L
.41618 .48071 L
.41573 .47977 L
.41431 .47784 L
.41425 .47777 L
.41292 .47591 L
.41232 .47512 L
.41151 .47399 L
.4104 .47272 L
.41009 .47206 L
.40871 .47013 L
.40847 .46981 L
.40735 .46821 L
.40654 .46712 L
.40596 .46628 L
.40462 .46448 L
.40449 .46435 L
.40325 .46242 L
.40269 .46167 L
.4019 .4605 L
.40076 .45891 L
.40054 .45857 L
.39926 .45664 L
.39884 .45606 L
.398 .45472 L
.39691 .45313 L
.39671 .45279 L
F
1 .32 0 r
.39691 .45951 m
.39758 .4605 L
.39884 .46195 L
.39916 .46242 L
.39884 .46347 L
.39817 .46242 L
.39691 .46079 L
.39672 .4605 L
F
0 .43 1 r
.39691 .45134 m
.39814 .45279 L
.39884 .45351 L
.39979 .45472 L
.40076 .45582 L
.4014 .45664 L
.40269 .4582 L
.40297 .45857 L
.4045 .4605 L
.40462 .46064 L
.40597 .46242 L
.40654 .46313 L
.40746 .46435 L
.40847 .46562 L
.40896 .46628 L
.4104 .46812 L
.4105 .46821 L
.41187 .47013 L
.41232 .4707 L
.41332 .47206 L
.41425 .47326 L
.41478 .47399 L
.41618 .47581 L
.41628 .47591 L
.41763 .47784 L
.41811 .47845 L
.41905 .47977 L
.42003 .48106 L
.42049 .48169 L
.42192 .48362 L
.42196 .48367 L
.42329 .48555 L
.42389 .48633 L
.42469 .48747 L
.42581 .48861 L
.42611 .4894 L
.42749 .49133 L
.42774 .49165 L
.42884 .49326 L
.42967 .49436 L
.43023 .49518 L
.43159 .49701 L
.43163 .49711 L
.43292 .49904 L
.43352 .49984 L
.43425 .50096 L
.43545 .50263 L
.43562 .50289 L
.43686 .50482 L
.43737 .50554 L
.43807 .50674 L
.4393 .50859 L
.43934 .50867 L
.4393 .50965 L
.43842 .50867 L
.43737 .50765 L
.43664 .50674 L
.43545 .5054 L
.43499 .50482 L
.43352 .5032 L
.43339 .50289 L
.43188 .50096 L
.43159 .50063 L
.43037 .49904 L
.42967 .49818 L
.42886 .49711 L
.42774 .49606 L
.42735 .49518 L
.42587 .49326 L
.42581 .49319 L
.42442 .49133 L
.42389 .49065 L
.42296 .4894 L
.42196 .48846 L
.42149 .48747 L
.42004 .48555 L
.42003 .48554 L
.41863 .48362 L
.41811 .48294 L
.4172 .48169 L
.41618 .48065 L
.41576 .47977 L
.41434 .47784 L
.41425 .47773 L
.41296 .47591 L
.41232 .47508 L
.41154 .47399 L
.4104 .47266 L
.41012 .47206 L
.40875 .47013 L
.40847 .46977 L
.40738 .46821 L
.40654 .46707 L
.40599 .46628 L
.40462 .4644 L
.40457 .46435 L
.40329 .46242 L
.40269 .46161 L
.40195 .4605 L
.40076 .45885 L
.40058 .45857 L
.39932 .45664 L
.39884 .45597 L
.39807 .45472 L
.39691 .45302 L
.39678 .45279 L
F
1 .31 0 r
.39691 .45969 m
.39743 .4605 L
.39884 .46207 L
.39907 .46242 L
.39884 .46332 L
.39828 .46242 L
.39691 .46065 L
.39682 .4605 L
F
0 .42 1 r
.39691 .4515 m
.39802 .45279 L
.39884 .45361 L
.39972 .45472 L
.40076 .4559 L
.40134 .45664 L
.40269 .45826 L
.40293 .45857 L
.40445 .4605 L
.40462 .4607 L
.40592 .46242 L
.40654 .46318 L
.40742 .46435 L
.40847 .46567 L
.40892 .46628 L
.4104 .46818 L
.41043 .46821 L
.41184 .47013 L
.41232 .47074 L
.41328 .47206 L
.41425 .4733 L
.41475 .47399 L
.41618 .47586 L
.41623 .47591 L
.4176 .47784 L
.41811 .47849 L
.41902 .47977 L
.42003 .48109 L
.42046 .48169 L
.42189 .48362 L
.42196 .48371 L
.42326 .48555 L
.42389 .48637 L
.42466 .48747 L
.42581 .48868 L
.42608 .4894 L
.42746 .49133 L
.42774 .4917 L
.42881 .49326 L
.42967 .49441 L
.43019 .49518 L
.43159 .4971 L
.4316 .49711 L
.43288 .49904 L
.43352 .4999 L
.43421 .50096 L
.43545 .50269 L
.43557 .50289 L
.43679 .50482 L
.43737 .50565 L
.43799 .50674 L
.43737 .50754 L
.43672 .50674 L
.43545 .50532 L
.43505 .50482 L
.43352 .50307 L
.43345 .50289 L
.43193 .50096 L
.43159 .50057 L
.43042 .49904 L
.42967 .49812 L
.4289 .49711 L
.42774 .49598 L
.42739 .49518 L
.42591 .49326 L
.42581 .49314 L
.42446 .49133 L
.42389 .4906 L
.423 .4894 L
.42196 .4884 L
.42153 .48747 L
.42008 .48555 L
.42003 .48549 L
.41867 .48362 L
.41811 .4829 L
.41723 .48169 L
.41618 .4806 L
.41579 .47977 L
.41437 .47784 L
.41425 .47768 L
.41299 .47591 L
.41232 .47504 L
.41157 .47399 L
.4104 .4726 L
.41016 .47206 L
.40878 .47013 L
.40847 .46972 L
.40742 .46821 L
.40654 .46703 L
.40602 .46628 L
.40463 .46435 L
.40462 .46433 L
.40333 .46242 L
.40269 .46155 L
.40199 .4605 L
.40076 .45878 L
.40062 .45857 L
.39938 .45664 L
.39884 .45588 L
.39814 .45472 L
.39691 .45289 L
.39685 .45279 L
F
1 .95 0 r
.39884 .40237 m
.39934 .40269 L
.40076 .40405 L
.40157 .40462 L
.40269 .40603 L
.40354 .40654 L
.40462 .40831 L
.40486 .40847 L
.40636 .4104 L
.40654 .41058 L
.40781 .41232 L
.40847 .41314 L
.40949 .41425 L
.4104 .41577 L
.41068 .41618 L
.41212 .41811 L
.41232 .41838 L
.41351 .42003 L
.41425 .4208 L
.41509 .42196 L
.41618 .42369 L
.41628 .42389 L
.41761 .42581 L
.41811 .42656 L
.41887 .42774 L
.41993 .42967 L
.41811 .43095 L
.41618 .42974 L
.41609 .42967 L
.41425 .4278 L
.41423 .42774 L
.41259 .42581 L
.41232 .42546 L
.4108 .42389 L
.4104 .42293 L
.40965 .42196 L
.40847 .42034 L
.4084 .42003 L
.40673 .41811 L
.40654 .41792 L
.40511 .41618 L
.40462 .41526 L
.40399 .41425 L
.40269 .41253 L
.40269 .41232 L
.4012 .4104 L
.40076 .40976 L
.39967 .40847 L
.39884 .40711 L
.39865 .40654 L
.39754 .40462 L
.39692 .40269 L
F
1 .94 0 r
.39884 .40279 m
.40076 .40426 L
.40132 .40462 L
.40269 .4062 L
.40334 .40654 L
.40462 .4084 L
.40474 .40847 L
.40625 .4104 L
.40654 .41068 L
.40773 .41232 L
.40847 .41324 L
.40941 .41425 L
.4104 .41587 L
.41062 .41618 L
.41204 .41811 L
.41232 .41848 L
.41344 .42003 L
.41425 .42091 L
.415 .42196 L
.41618 .42384 L
.4162 .42389 L
.41749 .42581 L
.41811 .42675 L
.41872 .42774 L
.41964 .42967 L
.41811 .43064 L
.41643 .42967 L
.41618 .42954 L
.41439 .42774 L
.41425 .4276 L
.41273 .42581 L
.41232 .4253 L
.41087 .42389 L
.4104 .42279 L
.40974 .42196 L
.40847 .42025 L
.40842 .42003 L
.40682 .41811 L
.40654 .41783 L
.40518 .41618 L
.40462 .41514 L
.40407 .41425 L
.40269 .41238 L
.40269 .41232 L
.40132 .4104 L
.40076 .40957 L
.3998 .40847 L
.39884 .40664 L
.39881 .40654 L
.39781 .40462 L
F
1 .93 0 r
.39884 .40325 m
.40076 .40445 L
.40105 .40462 L
.40269 .40634 L
.40311 .40654 L
.40461 .40847 L
.40462 .40847 L
.40614 .4104 L
.40654 .41078 L
.40764 .41232 L
.40847 .41335 L
.40932 .41425 L
.4104 .41596 L
.41055 .41618 L
.41196 .41811 L
.41232 .41859 L
.41336 .42003 L
.41425 .42102 L
.41491 .42196 L
.41611 .42389 L
.41618 .42398 L
.41738 .42581 L
.41811 .42695 L
.41858 .42774 L
.4193 .42967 L
.41811 .43033 L
.41681 .42967 L
.41618 .42939 L
.41459 .42774 L
.41425 .42741 L
.41287 .42581 L
.41232 .42514 L
.41096 .42389 L
.4104 .42266 L
.40983 .42196 L
.40847 .42016 L
.40844 .42003 L
.40691 .41811 L
.40654 .41773 L
.40525 .41618 L
.40462 .41501 L
.40415 .41425 L
.40275 .41232 L
.40269 .41223 L
.40143 .4104 L
.40076 .40938 L
.39995 .40847 L
.399 .40654 L
.39884 .40624 L
.39811 .40462 L
F
0 .87 1 r
.39884 .41054 m
.4004 .41232 L
.40076 .41273 L
.40194 .41425 L
.40269 .41517 L
.40341 .41618 L
.40462 .41776 L
.40485 .41811 L
.40614 .42003 L
.40654 .42064 L
.40726 .42196 L
.40654 .423 L
.4055 .42196 L
.40462 .42105 L
.40376 .42003 L
.40269 .41875 L
.40219 .41811 L
.40076 .41625 L
.40068 .41618 L
.39939 .41425 L
.39884 .41344 L
.39813 .41232 L
F
1 .71 0 r
.39884 .44532 m
.40032 .44701 L
.40076 .44748 L
.40198 .44894 L
.40269 .44975 L
.4036 .45086 L
.40462 .45188 L
.40518 .45279 L
.40654 .45446 L
.40682 .45472 L
.40825 .45664 L
.40847 .45691 L
.40976 .45857 L
.4104 .45919 L
.41128 .4605 L
.41232 .46182 L
.41289 .46242 L
.41425 .46435 L
.41425 .46436 L
.41571 .46628 L
.41618 .46674 L
.41718 .46821 L
.41811 .46939 L
.41874 .47013 L
.42003 .47198 L
.42008 .47206 L
.42154 .47399 L
.42196 .47441 L
.42362 .47591 L
.42389 .47708 L
.4245 .47784 L
.42581 .4797 L
.42585 .47977 L
.42729 .48169 L
.42774 .48216 L
.42922 .48362 L
.42967 .48486 L
.4302 .48555 L
.43158 .48747 L
.43159 .48749 L
.43299 .4894 L
.43352 .48997 L
.43481 .49133 L
.43545 .49269 L
.43586 .49326 L
.43725 .49518 L
.43737 .49535 L
.43865 .49711 L
.4393 .49783 L
.44039 .49904 L
.44123 .50058 L
.44149 .50096 L
.44288 .50289 L
.44316 .50325 L
.44428 .50482 L
.44508 .50575 L
.44593 .50674 L
.44701 .50854 L
.4471 .50867 L
.44847 .5106 L
.44894 .51122 L
.44987 .51253 L
.45086 .51375 L
.45144 .51445 L
.45266 .51638 L
.45279 .51655 L
.45402 .51831 L
.45472 .51873 L
.4554 .52023 L
.45664 .52188 L
.45686 .52216 L
.45814 .52409 L
.45857 .52467 L
.45949 .52601 L
.4605 .52702 L
.46133 .52794 L
.46221 .52987 L
.46242 .53016 L
.46351 .53179 L
.46435 .53297 L
.46485 .53372 L
.46617 .53565 L
.46628 .5358 L
.46738 .53758 L
.46821 .53878 L
.46863 .5395 L
.46979 .54143 L
.47013 .54199 L
.4705 .54336 L
.47013 .54338 L
.4701 .54336 L
.46821 .54151 L
.46814 .54143 L
.46642 .5395 L
.46628 .53935 L
.46478 .53758 L
.46435 .53709 L
.46317 .53565 L
.46242 .53534 L
.46159 .53372 L
.4605 .53246 L
.45958 .53179 L
.45857 .52995 L
.45849 .52987 L
.457 .52794 L
.45664 .52781 L
.45549 .52601 L
.45472 .5251 L
.4536 .52409 L
.45279 .52251 L
.45251 .52216 L
.45105 .52023 L
.45086 .52015 L
.44958 .51831 L
.44894 .51753 L
.44781 .51638 L
.44701 .51491 L
.44668 .51445 L
.44521 .51253 L
.44508 .51245 L
.44377 .5106 L
.44316 .50985 L
.4421 .50867 L
.44123 .50719 L
.44092 .50674 L
.43946 .50482 L
.4393 .50472 L
.43803 .50289 L
.43737 .50208 L
.43642 .50096 L
.43545 .49941 L
.43521 .49904 L
.43376 .49711 L
.43352 .49695 L
.43234 .49518 L
.43159 .49425 L
.43078 .49326 L
.42967 .49156 L
.42953 .49133 L
.4281 .4894 L
.42774 .48914 L
.42669 .48747 L
.42581 .48637 L
.42517 .48555 L
.42389 .48366 L
.42387 .48362 L
.42247 .48169 L
.42196 .48126 L
.42048 .47977 L
.42003 .47842 L
.41959 .47784 L
.41827 .47591 L
.41811 .4757 L
.41689 .47399 L
.41618 .4733 L
.41504 .47206 L
.41425 .47039 L
.41407 .47013 L
.41273 .46821 L
.41232 .46765 L
.41136 .46628 L
.4104 .46519 L
.40969 .46435 L
.4086 .46242 L
.40847 .46225 L
.40727 .4605 L
.40654 .4595 L
.40591 .45857 L
.40462 .45681 L
.40449 .45664 L
.40325 .45472 L
.40269 .45393 L
.40194 .45279 L
.40076 .4511 L
.40061 .45086 L
.39939 .44894 L
.39884 .44813 L
.39818 .44701 L
F
0 .41 1 r
.39884 .45371 m
.39964 .45472 L
.40076 .45597 L
.40128 .45664 L
.40269 .45833 L
.40288 .45857 L
.40439 .4605 L
.40462 .46076 L
.40588 .46242 L
.40654 .46323 L
.40738 .46435 L
.40847 .46572 L
.40889 .46628 L
.41038 .46821 L
.4104 .46823 L
.4118 .47013 L
.41232 .47079 L
.41325 .47206 L
.41425 .47335 L
.41472 .47399 L
.41618 .47591 L
.41618 .47591 L
.41757 .47784 L
.41811 .47853 L
.41899 .47977 L
.42003 .48113 L
.42043 .48169 L
.42186 .48362 L
.42196 .48375 L
.42323 .48555 L
.42389 .48641 L
.42463 .48747 L
.42581 .48875 L
.42605 .4894 L
.42742 .49133 L
.42774 .49175 L
.42877 .49326 L
.42967 .49446 L
.43016 .49518 L
.43155 .49711 L
.43159 .49716 L
.43283 .49904 L
.43352 .49997 L
.43416 .50096 L
.43545 .50277 L
.43553 .50289 L
.43671 .50482 L
.43737 .50576 L
.4379 .50674 L
.43737 .50741 L
.43682 .50674 L
.43545 .50523 L
.43512 .50482 L
.43352 .50293 L
.4335 .50289 L
.43199 .50096 L
.43159 .5005 L
.43047 .49904 L
.42967 .49806 L
.42894 .49711 L
.42774 .4959 L
.42742 .49518 L
.42595 .49326 L
.42581 .49309 L
.4245 .49133 L
.42389 .49056 L
.42303 .4894 L
.42196 .48834 L
.42156 .48747 L
.42011 .48555 L
.42003 .48545 L
.4187 .48362 L
.41811 .48285 L
.41726 .48169 L
.41618 .48054 L
.41582 .47977 L
.41441 .47784 L
.41425 .47764 L
.41302 .47591 L
.41232 .475 L
.41161 .47399 L
.4104 .47253 L
.41019 .47206 L
.40882 .47013 L
.40847 .46967 L
.40745 .46821 L
.40654 .46698 L
.40606 .46628 L
.40468 .46435 L
.40462 .46427 L
.40338 .46242 L
.40269 .46149 L
.40203 .4605 L
.40076 .45871 L
.40067 .45857 L
.39945 .45664 L
.39884 .45578 L
.39821 .45472 L
F
0 .98 1 r
.39884 .35191 m
.3994 .35259 L
.40076 .35403 L
.40114 .35452 L
.40269 .35632 L
.40278 .35644 L
.40432 .35837 L
.40462 .35871 L
.40582 .3603 L
.40654 .36116 L
.40734 .36222 L
.40847 .36319 L
.40886 .36415 L
.41037 .36608 L
.4104 .36611 L
.4118 .36801 L
.41232 .36865 L
.41326 .36993 L
.41425 .37074 L
.41473 .37186 L
.41618 .37372 L
.41625 .37379 L
.41762 .37571 L
.41811 .37632 L
.41905 .37764 L
.42003 .3785 L
.4205 .37957 L
.42196 .38148 L
.42198 .38149 L
.42335 .38342 L
.42389 .38411 L
.42476 .38535 L
.42581 .38639 L
.4262 .38727 L
.42764 .3892 L
.42774 .38932 L
.42901 .39113 L
.42967 .39198 L
.43042 .39306 L
.43159 .39437 L
.43185 .39498 L
.43325 .39691 L
.43352 .39726 L
.43461 .39884 L
.43545 .39994 L
.43601 .40076 L
.43737 .40251 L
.43744 .40269 L
.43877 .40462 L
.4393 .40532 L
.44011 .40654 L
.44123 .40806 L
.44149 .40847 L
.4428 .4104 L
.44316 .41088 L
.44399 .41232 L
.44508 .41396 L
.44521 .41425 L
.44508 .41478 L
.44447 .41425 L
.44316 .41308 L
.44242 .41232 L
.44123 .4111 L
.44057 .4104 L
.4393 .40933 L
.43882 .40847 L
.43737 .40677 L
.43708 .40654 L
.43556 .40462 L
.43545 .40448 L
.43399 .40269 L
.43352 .40211 L
.43244 .40076 L
.43159 .39975 L
.43055 .39884 L
.42967 .39715 L
.42948 .39691 L
.42802 .39498 L
.42774 .39461 L
.42657 .39306 L
.42581 .39214 L
.42481 .39113 L
.42389 .38943 L
.42372 .3892 L
.4223 .38727 L
.42196 .38681 L
.42088 .38535 L
.42003 .38428 L
.41927 .38342 L
.41811 .38153 L
.41808 .38149 L
.41668 .37957 L
.41618 .37935 L
.41528 .37764 L
.41425 .37628 L
.41379 .37571 L
.41252 .37379 L
.41232 .37351 L
.41114 .37186 L
.4104 .37127 L
.40976 .36993 L
.40847 .36811 L
.40839 .36801 L
.40707 .36608 L
.40654 .36533 L
.40572 .36415 L
.40462 .36279 L
.40404 .36222 L
.4031 .3603 L
.40269 .35971 L
.40181 .35837 L
.40076 .35682 L
.40052 .35644 L
.39935 .35452 L
.39884 .35373 L
.39822 .35259 L
F
1 .7 0 r
.39884 .44549 m
.40019 .44701 L
.40076 .4476 L
.40188 .44894 L
.40269 .44985 L
.40352 .45086 L
.40462 .45198 L
.40512 .45279 L
.40654 .45454 L
.40674 .45472 L
.4082 .45664 L
.40847 .45697 L
.40972 .45857 L
.4104 .45924 L
.41123 .4605 L
.41232 .46188 L
.41284 .46242 L
.41421 .46435 L
.41425 .4644 L
.41568 .46628 L
.41618 .46678 L
.41715 .46821 L
.41811 .46943 L
.41871 .47013 L
.42003 .47201 L
.42006 .47206 L
.42151 .47399 L
.42196 .47444 L
.4236 .47591 L
.42389 .47712 L
.42447 .47784 L
.42581 .47973 L
.42583 .47977 L
.42727 .48169 L
.42774 .48219 L
.4292 .48362 L
.42967 .48489 L
.43018 .48555 L
.43156 .48747 L
.43159 .48752 L
.43297 .4894 L
.43352 .48999 L
.43479 .49133 L
.43545 .49272 L
.43584 .49326 L
.43723 .49518 L
.43737 .49537 L
.43863 .49711 L
.4393 .49785 L
.44036 .49904 L
.44123 .50061 L
.44147 .50096 L
.44286 .50289 L
.44316 .50328 L
.44426 .50482 L
.44508 .50578 L
.44591 .50674 L
.44701 .50857 L
.44708 .50867 L
.44845 .5106 L
.44894 .51125 L
.44984 .51253 L
.45086 .51379 L
.4514 .51445 L
.45263 .51638 L
.45279 .51659 L
.45399 .51831 L
.45472 .51877 L
.45538 .52023 L
.45664 .52193 L
.45682 .52216 L
.45811 .52409 L
.45857 .52472 L
.45946 .52601 L
.4605 .5271 L
.46125 .52794 L
.46217 .52987 L
.46242 .53022 L
.46346 .53179 L
.46435 .53304 L
.4648 .53372 L
.46611 .53565 L
.46628 .53589 L
.46731 .53758 L
.46821 .53891 L
.46855 .5395 L
.46821 .54134 L
.46655 .5395 L
.46628 .53923 L
.46488 .53758 L
.46435 .53699 L
.46325 .53565 L
.46242 .53527 L
.46165 .53372 L
.4605 .53238 L
.45968 .53179 L
.45857 .52989 L
.45855 .52987 L
.45705 .52794 L
.45664 .52778 L
.45554 .52601 L
.45472 .52505 L
.45364 .52409 L
.45279 .52247 L
.45254 .52216 L
.45108 .52023 L
.45086 .52013 L
.44961 .51831 L
.44894 .51749 L
.44784 .51638 L
.44701 .51487 L
.4467 .51445 L
.44524 .51253 L
.44508 .51244 L
.4438 .5106 L
.44316 .50981 L
.44212 .50867 L
.44123 .50716 L
.44094 .50674 L
.43948 .50482 L
.4393 .50471 L
.43805 .50289 L
.43737 .50205 L
.43644 .50096 L
.43545 .49938 L
.43523 .49904 L
.43378 .49711 L
.43352 .49693 L
.43236 .49518 L
.43159 .49423 L
.4308 .49326 L
.42967 .49153 L
.42955 .49133 L
.42812 .4894 L
.42774 .48912 L
.42671 .48747 L
.42581 .48634 L
.42519 .48555 L
.42389 .48363 L
.42388 .48362 L
.4225 .48169 L
.42196 .48124 L
.42051 .47977 L
.42003 .47839 L
.41962 .47784 L
.41829 .47591 L
.41811 .47566 L
.41692 .47399 L
.41618 .47326 L
.41508 .47206 L
.41425 .47035 L
.4141 .47013 L
.41276 .46821 L
.41232 .46761 L
.41139 .46628 L
.4104 .46513 L
.40973 .46435 L
.40864 .46242 L
.40847 .4622 L
.40731 .4605 L
.40654 .45944 L
.40595 .45857 L
.40462 .45672 L
.40456 .45664 L
.4033 .45472 L
.40269 .45386 L
.402 .45279 L
.40076 .45101 L
.40067 .45086 L
.39947 .44894 L
.39884 .44799 L
.39828 .44701 L
F
0 .4 1 r
.39884 .45382 m
.39955 .45472 L
.40076 .45605 L
.40122 .45664 L
.40269 .45839 L
.40283 .45857 L
.40434 .4605 L
.40462 .46082 L
.40583 .46242 L
.40654 .46328 L
.40734 .46435 L
.40847 .46577 L
.40885 .46628 L
.41034 .46821 L
.4104 .46828 L
.41177 .47013 L
.41232 .47083 L
.41322 .47206 L
.41425 .47339 L
.41469 .47399 L
.41615 .47591 L
.41618 .47596 L
.41754 .47784 L
.41811 .47857 L
.41896 .47977 L
.42003 .48117 L
.4204 .48169 L
.42182 .48362 L
.42196 .48379 L
.42319 .48555 L
.42389 .48646 L
.4246 .48747 L
.42581 .48883 L
.42602 .4894 L
.42738 .49133 L
.42774 .4918 L
.42874 .49326 L
.42967 .49451 L
.43012 .49518 L
.43151 .49711 L
.43159 .49722 L
.43279 .49904 L
.43352 .50003 L
.43411 .50096 L
.43545 .50284 L
.43548 .50289 L
.43663 .50482 L
.43737 .5059 L
.4378 .50674 L
.43737 .50728 L
.43692 .50674 L
.43545 .50514 L
.43519 .50482 L
.43357 .50289 L
.43352 .50284 L
.43205 .50096 L
.43159 .50044 L
.43052 .49904 L
.42967 .49801 L
.42898 .49711 L
.42774 .49582 L
.42746 .49518 L
.42599 .49326 L
.42581 .49304 L
.42454 .49133 L
.42389 .49051 L
.42306 .4894 L
.42196 .48828 L
.42159 .48747 L
.42015 .48555 L
.42003 .4854 L
.41873 .48362 L
.41811 .48281 L
.41729 .48169 L
.41618 .48048 L
.41585 .47977 L
.41444 .47784 L
.41425 .4776 L
.41305 .47591 L
.41232 .47495 L
.41164 .47399 L
.4104 .47246 L
.41022 .47206 L
.40886 .47013 L
.40847 .46962 L
.40749 .46821 L
.40654 .46693 L
.4061 .46628 L
.40472 .46435 L
.40462 .46422 L
.40342 .46242 L
.40269 .46143 L
.40208 .4605 L
.40076 .45864 L
.40072 .45857 L
.39952 .45664 L
.39884 .45568 L
.39829 .45472 L
F
0 .99 1 r
.39884 .31983 m
.40076 .31908 L
.40269 .31878 L
.40462 .31849 L
.40654 .31833 L
.40847 .31832 L
.4104 .31841 L
.41232 .3186 L
.41425 .31887 L
.41618 .31924 L
.41811 .31971 L
.41854 .31983 L
.42003 .3203 L
.42196 .32104 L
.42351 .32176 L
.42389 .32195 L
.42581 .32304 L
.42681 .32369 L
.42774 .32434 L
.42934 .32561 L
.42967 .32589 L
.43136 .32754 L
.43159 .32777 L
.43299 .32947 L
.43352 .33012 L
.43423 .33139 L
.43505 .33332 L
.43529 .33525 L
.43454 .33717 L
.43352 .33805 L
.43159 .33862 L
.42967 .33886 L
.42774 .33905 L
.42718 .3391 L
.42581 .33913 L
.42545 .3391 L
.42389 .33879 L
.42196 .33801 L
.42023 .33717 L
.42003 .33703 L
.41811 .33597 L
.41691 .33525 L
.41618 .33501 L
.41425 .3339 L
.41232 .33468 L
.41209 .33525 L
.4104 .33623 L
.40952 .33525 L
.40847 .33432 L
.40765 .33332 L
.40654 .33227 L
.40581 .33139 L
.40462 .33021 L
.40386 .32947 L
.40269 .32808 L
.40222 .32754 L
.40076 .32577 L
.40065 .32561 L
.39922 .32369 L
.39884 .32294 L
.3983 .32176 L
.39883 .31983 L
F
0 .39 1 r
.39884 .45395 m
.39946 .45472 L
.40076 .45614 L
.40116 .45664 L
.40269 .45846 L
.40278 .45857 L
.40429 .4605 L
.40462 .46088 L
.40579 .46242 L
.40654 .46334 L
.4073 .46435 L
.40847 .46581 L
.40882 .46628 L
.4103 .46821 L
.4104 .46832 L
.41173 .47013 L
.41232 .47088 L
.41319 .47206 L
.41425 .47343 L
.41466 .47399 L
.41611 .47591 L
.41618 .476 L
.41751 .47784 L
.41811 .47861 L
.41893 .47977 L
.42003 .48121 L
.42038 .48169 L
.42179 .48362 L
.42196 .48384 L
.42316 .48555 L
.42389 .4865 L
.42457 .48747 L
.42581 .48891 L
.42599 .4894 L
.42735 .49133 L
.42774 .49184 L
.4287 .49326 L
.42967 .49456 L
.43009 .49518 L
.43146 .49711 L
.43159 .49728 L
.43274 .49904 L
.43352 .5001 L
.43407 .50096 L
.43352 .50276 L
.43211 .50096 L
.43159 .50037 L
.43057 .49904 L
.42967 .49795 L
.42903 .49711 L
.42774 .49573 L
.4275 .49518 L
.42603 .49326 L
.42581 .49299 L
.42457 .49133 L
.42389 .49046 L
.4231 .4894 L
.42196 .48822 L
.42163 .48747 L
.42018 .48555 L
.42003 .48536 L
.41877 .48362 L
.41811 .48277 L
.41733 .48169 L
.41618 .48042 L
.41588 .47977 L
.41448 .47784 L
.41425 .47755 L
.41309 .47591 L
.41232 .47491 L
.41167 .47399 L
.4104 .47239 L
.41025 .47206 L
.40889 .47013 L
.40847 .46957 L
.40753 .46821 L
.40654 .46688 L
.40613 .46628 L
.40476 .46435 L
.40462 .46416 L
.40347 .46242 L
.40269 .46136 L
.40212 .4605 L
.40077 .45857 L
.40076 .45857 L
.3996 .45664 L
.39884 .45555 L
.39837 .45472 L
F
0 .86 1 r
.39884 .41092 m
.40013 .41232 L
.40076 .413 L
.40174 .41425 L
.40269 .4154 L
.40324 .41618 L
.40462 .418 L
.40469 .41811 L
.4059 .42003 L
.40654 .42106 L
.40694 .42196 L
.40654 .42255 L
.40588 .42196 L
.40462 .42075 L
.404 .42003 L
.40269 .41848 L
.40239 .41811 L
.40095 .41618 L
.40076 .41594 L
.39962 .41425 L
.39884 .41308 L
.39838 .41232 L
F
1 .69 0 r
.39884 .44567 m
.40006 .44701 L
.40076 .44773 L
.40179 .44894 L
.40269 .44995 L
.40344 .45086 L
.40462 .45207 L
.40505 .45279 L
.40654 .45462 L
.40666 .45472 L
.40814 .45664 L
.40847 .45704 L
.40967 .45857 L
.4104 .45929 L
.41119 .4605 L
.41232 .46193 L
.4128 .46242 L
.41417 .46435 L
.41425 .46445 L
.41564 .46628 L
.41618 .46682 L
.41712 .46821 L
.41811 .46948 L
.41868 .47013 L
.42003 .47205 L
.42004 .47206 L
.42148 .47399 L
.42196 .47447 L
.42358 .47591 L
.42389 .47715 L
.42444 .47784 L
.42581 .47976 L
.42582 .47977 L
.42724 .48169 L
.42774 .48222 L
.42918 .48362 L
.42967 .48492 L
.43015 .48555 L
.43154 .48747 L
.43159 .48755 L
.43295 .4894 L
.43352 .49002 L
.43477 .49133 L
.43545 .49275 L
.43582 .49326 L
.43721 .49518 L
.43737 .4954 L
.43861 .49711 L
.4393 .49788 L
.44034 .49904 L
.44123 .50064 L
.44145 .50096 L
.44284 .50289 L
.44316 .50331 L
.44423 .50482 L
.44508 .50581 L
.44588 .50674 L
.44701 .5086 L
.44706 .50867 L
.44843 .5106 L
.44894 .51128 L
.44982 .51253 L
.45086 .51383 L
.45137 .51445 L
.4526 .51638 L
.45279 .51663 L
.45396 .51831 L
.45472 .51881 L
.45535 .52023 L
.45664 .52198 L
.45678 .52216 L
.45807 .52409 L
.45857 .52476 L
.45942 .52601 L
.4605 .52718 L
.46118 .52794 L
.46212 .52987 L
.46242 .53028 L
.46342 .53179 L
.46435 .53312 L
.46474 .53372 L
.46603 .53565 L
.46628 .536 L
.46722 .53758 L
.46821 .53906 L
.46845 .5395 L
.46821 .54114 L
.46668 .5395 L
.46628 .5391 L
.46497 .53758 L
.46435 .53689 L
.46333 .53565 L
.46242 .53518 L
.46172 .53372 L
.4605 .53229 L
.45978 .53179 L
.45861 .52987 L
.45857 .52982 L
.4571 .52794 L
.45664 .52776 L
.45558 .52601 L
.45472 .52499 L
.45369 .52409 L
.45279 .52242 L
.45258 .52216 L
.45112 .52023 L
.45086 .52011 L
.44965 .51831 L
.44894 .51745 L
.44787 .51638 L
.44701 .51483 L
.44673 .51445 L
.44527 .51253 L
.44508 .51242 L
.44383 .5106 L
.44316 .50978 L
.44215 .50867 L
.44123 .50713 L
.44097 .50674 L
.43951 .50482 L
.4393 .50469 L
.43808 .50289 L
.43737 .50202 L
.43647 .50096 L
.43545 .49935 L
.43525 .49904 L
.4338 .49711 L
.43352 .49692 L
.43238 .49518 L
.43159 .4942 L
.43082 .49326 L
.42967 .4915 L
.42957 .49133 L
.42814 .4894 L
.42774 .4891 L
.42673 .48747 L
.42581 .48631 L
.42522 .48555 L
.4239 .48362 L
.42389 .4836 L
.42252 .48169 L
.42196 .48121 L
.42053 .47977 L
.42003 .47835 L
.41965 .47784 L
.41832 .47591 L
.41811 .47563 L
.41694 .47399 L
.41618 .47323 L
.41511 .47206 L
.41425 .4703 L
.41413 .47013 L
.41279 .46821 L
.41232 .46757 L
.41142 .46628 L
.4104 .46508 L
.40978 .46435 L
.40868 .46242 L
.40847 .46215 L
.40735 .4605 L
.40654 .45939 L
.40599 .45857 L
.40462 .45664 L
.40462 .45663 L
.40336 .45472 L
.40269 .45378 L
.40205 .45279 L
.40076 .45092 L
.40073 .45086 L
.39956 .44894 L
.39884 .44783 L
.39839 .44701 L
F
1 .3 0 r
.39884 .46222 m
.39897 .46242 L
.39884 .46315 L
.39842 .46242 L
F
1 .92 0 r
.39884 .40378 m
.40073 .40462 L
.40076 .40464 L
.40269 .40648 L
.40284 .40654 L
.40447 .40847 L
.40462 .40863 L
.40603 .4104 L
.40654 .41088 L
.40755 .41232 L
.40847 .41346 L
.40923 .41425 L
.4104 .41606 L
.41048 .41618 L
.41189 .41811 L
.41232 .41869 L
.41328 .42003 L
.41425 .42115 L
.41482 .42196 L
.41601 .42389 L
.41618 .42413 L
.41727 .42581 L
.41811 .42719 L
.41842 .42774 L
.41885 .42967 L
.41811 .42999 L
.41729 .42967 L
.41618 .42925 L
.41479 .42774 L
.41425 .42724 L
.41301 .42581 L
.41232 .42498 L
.41105 .42389 L
.4104 .42253 L
.40992 .42196 L
.40847 .42007 L
.40846 .42003 L
.407 .41811 L
.40654 .41764 L
.40533 .41618 L
.40462 .41488 L
.40424 .41425 L
.40286 .41232 L
.40269 .41208 L
.40155 .4104 L
.40076 .40918 L
.40011 .40847 L
.3992 .40654 L
.39884 .40577 L
.39844 .40462 L
F
0 .38 1 r
.39884 .45409 m
.39935 .45472 L
.40076 .45622 L
.40109 .45664 L
.40269 .45853 L
.40272 .45857 L
.40423 .4605 L
.40462 .46094 L
.40574 .46242 L
.40654 .46339 L
.40726 .46435 L
.40847 .46586 L
.40878 .46628 L
.41026 .46821 L
.4104 .46837 L
.41169 .47013 L
.41232 .47092 L
.41315 .47206 L
.41425 .47347 L
.41463 .47399 L
.41608 .47591 L
.41618 .47604 L
.41747 .47784 L
.41811 .47865 L
.4189 .47977 L
.42003 .48125 L
.42035 .48169 L
.42176 .48362 L
.42196 .48388 L
.42313 .48555 L
.42389 .48654 L
.42454 .48747 L
.42581 .48899 L
.42596 .4894 L
.42731 .49133 L
.42774 .49189 L
.42866 .49326 L
.42967 .49461 L
.43005 .49518 L
.43142 .49711 L
.43159 .49735 L
.43269 .49904 L
.43352 .50018 L
.43402 .50096 L
.43352 .50267 L
.43217 .50096 L
.43159 .5003 L
.43062 .49904 L
.42967 .49789 L
.42907 .49711 L
.42774 .49564 L
.42754 .49518 L
.42608 .49326 L
.42581 .49294 L
.42461 .49133 L
.42389 .49041 L
.42314 .4894 L
.42196 .48815 L
.42166 .48747 L
.42022 .48555 L
.42003 .48531 L
.4188 .48362 L
.41811 .48272 L
.41736 .48169 L
.41618 .48036 L
.41591 .47977 L
.41451 .47784 L
.41425 .47751 L
.41312 .47591 L
.41232 .47486 L
.4117 .47399 L
.4104 .47232 L
.41028 .47206 L
.40893 .47013 L
.40847 .46952 L
.40756 .46821 L
.40654 .46682 L
.40617 .46628 L
.40481 .46435 L
.40462 .46409 L
.40351 .46242 L
.40269 .46129 L
.40217 .4605 L
.40083 .45857 L
.40076 .45847 L
.39968 .45664 L
.39884 .45542 L
.39847 .45472 L
F
1 .68 0 r
.39884 .44588 m
.3999 .44701 L
.40076 .44786 L
.40169 .44894 L
.40269 .45005 L
.40336 .45086 L
.40462 .45218 L
.40498 .45279 L
.40654 .4547 L
.40657 .45472 L
.40809 .45664 L
.40847 .4571 L
.40962 .45857 L
.4104 .45935 L
.41114 .4605 L
.41232 .46199 L
.41275 .46242 L
.41413 .46435 L
.41425 .4645 L
.4156 .46628 L
.41618 .46686 L
.41708 .46821 L
.41811 .46952 L
.41864 .47013 L
.42001 .47206 L
.42003 .47209 L
.42145 .47399 L
.42196 .47451 L
.42356 .47591 L
.42389 .47719 L
.42442 .47784 L
.42579 .47977 L
.42581 .47979 L
.42722 .48169 L
.42774 .48224 L
.42916 .48362 L
.42967 .48495 L
.43013 .48555 L
.43151 .48747 L
.43159 .48758 L
.43292 .4894 L
.43352 .49005 L
.43475 .49133 L
.43545 .49278 L
.4358 .49326 L
.43718 .49518 L
.43737 .49543 L
.43859 .49711 L
.4393 .49791 L
.44032 .49904 L
.44123 .50068 L
.44143 .50096 L
.44281 .50289 L
.44316 .50334 L
.44421 .50482 L
.44508 .50584 L
.44586 .50674 L
.44701 .50864 L
.44703 .50867 L
.4484 .5106 L
.44894 .51132 L
.44979 .51253 L
.45086 .51387 L
.45134 .51445 L
.45257 .51638 L
.45279 .51667 L
.45393 .51831 L
.45472 .51885 L
.45532 .52023 L
.45664 .52204 L
.45674 .52216 L
.45804 .52409 L
.45857 .52481 L
.45939 .52601 L
.4605 .52727 L
.4611 .52794 L
.46207 .52987 L
.46242 .53035 L
.46337 .53179 L
.46435 .53319 L
.46469 .53372 L
.46596 .53565 L
.46628 .53611 L
.46713 .53758 L
.46821 .53923 L
.46835 .5395 L
.46821 .54092 L
.46684 .5395 L
.46628 .53896 L
.46508 .53758 L
.46435 .53678 L
.46341 .53565 L
.46242 .53508 L
.46179 .53372 L
.4605 .53221 L
.45989 .53179 L
.45867 .52987 L
.45857 .52975 L
.45715 .52794 L
.45664 .52772 L
.45563 .52601 L
.45472 .52494 L
.45374 .52409 L
.45279 .52237 L
.45262 .52216 L
.45116 .52023 L
.45086 .52009 L
.44968 .51831 L
.44894 .51741 L
.44791 .51638 L
.44701 .51479 L
.44676 .51445 L
.4453 .51253 L
.44508 .5124 L
.44385 .5106 L
.44316 .50975 L
.44217 .50867 L
.44123 .50709 L
.44099 .50674 L
.43954 .50482 L
.4393 .50467 L
.4381 .50289 L
.43737 .50199 L
.43649 .50096 L
.43545 .49932 L
.43527 .49904 L
.43383 .49711 L
.43352 .4969 L
.43241 .49518 L
.43159 .49417 L
.43085 .49326 L
.42967 .49147 L
.42958 .49133 L
.42816 .4894 L
.42774 .48907 L
.42675 .48747 L
.42581 .48628 L
.42524 .48555 L
.42393 .48362 L
.42389 .48357 L
.42254 .48169 L
.42196 .48118 L
.42055 .47977 L
.42003 .47832 L
.41967 .47784 L
.41835 .47591 L
.41811 .47559 L
.41697 .47399 L
.41618 .47319 L
.41514 .47206 L
.41425 .47026 L
.41416 .47013 L
.41282 .46821 L
.41232 .46753 L
.41145 .46628 L
.4104 .46502 L
.40983 .46435 L
.40871 .46242 L
.40847 .4621 L
.40738 .4605 L
.40654 .45933 L
.40603 .45857 L
.40467 .45664 L
.40462 .45656 L
.40341 .45472 L
.40269 .4537 L
.40211 .45279 L
.4008 .45086 L
.40076 .45081 L
.39966 .44894 L
.39884 .44766 L
.3985 .44701 L
F
0 .9 1 r
.39884 .43762 m
.40056 .4393 L
.40076 .43949 L
.40234 .44123 L
.40269 .4416 L
.40403 .44316 L
.40462 .44347 L
.40568 .44508 L
.40654 .44608 L
.40789 .44701 L
.40847 .44852 L
.40886 .44894 L
.41037 .45086 L
.4104 .45088 L
.4119 .45279 L
.41232 .45331 L
.41377 .45472 L
.41425 .45585 L
.41487 .45664 L
.41618 .45836 L
.41624 .45857 L
.41788 .4605 L
.41811 .46079 L
.41955 .46242 L
.42003 .46338 L
.42071 .46435 L
.42196 .46598 L
.42197 .46628 L
.42373 .46821 L
.42389 .46841 L
.4253 .47013 L
.42581 .47104 L
.42648 .47206 L
.42774 .47368 L
.42808 .47399 L
.4295 .47591 L
.42967 .47614 L
.43101 .47784 L
.43159 .47879 L
.43219 .47977 L
.43352 .48144 L
.43381 .48169 L
.43522 .48362 L
.43545 .48392 L
.4367 .48555 L
.43737 .48659 L
.43787 .48747 L
.4393 .48923 L
.4395 .4894 L
.44121 .49133 L
.44123 .49175 L
.44236 .49326 L
.44316 .49443 L
.44353 .49518 L
.44508 .49703 L
.44517 .49711 L
.44687 .49904 L
.44701 .4996 L
.44801 .50096 L
.44894 .50228 L
.44918 .50289 L
.45083 .50482 L
.45086 .50485 L
.45252 .50674 L
.45279 .50747 L
.45364 .50867 L
.45472 .51016 L
.45485 .5106 L
.45647 .51253 L
.45664 .5127 L
.45814 .51445 L
.45857 .51536 L
.45926 .51638 L
.4605 .51805 L
.46054 .51831 L
.4621 .52023 L
.46242 .52057 L
.46375 .52216 L
.46435 .52327 L
.46488 .52409 L
.46628 .52595 L
.46633 .52601 L
.46772 .52794 L
.46821 .52846 L
.46934 .52987 L
.47013 .53121 L
.47049 .53179 L
.47193 .53372 L
.47206 .53389 L
.47332 .53565 L
.47399 .5364 L
.4749 .53758 L
.47591 .53918 L
.4761 .5395 L
.47751 .54143 L
.47784 .54188 L
.47889 .54336 L
.47977 .54439 L
.48043 .54528 L
.48169 .54721 L
.4817 .54721 L
.48305 .54914 L
.48362 .54943 L
.48505 .55106 L
.48555 .55249 L
.48591 .55299 L
.48719 .55492 L
.48747 .55531 L
.48854 .55684 L
.4894 .55761 L
.49032 .55877 L
.49128 .5607 L
.49133 .56076 L
.49258 .56263 L
.49326 .56357 L
.49391 .56455 L
.49518 .56629 L
.49532 .56648 L
.4965 .56841 L
.49711 .56929 L
.49775 .57033 L
.49901 .57226 L
.49904 .5723 L
.50002 .57419 L
.49904 .575 L
.49825 .57419 L
.49711 .57302 L
.49643 .57226 L
.49518 .57095 L
.49472 .57033 L
.49326 .5686 L
.49303 .56841 L
.49149 .56648 L
.49133 .56629 L
.48991 .56455 L
.4894 .56398 L
.48835 .56263 L
.48747 .56148 L
.48677 .5607 L
.48555 .559 L
.48541 .55877 L
.48382 .55684 L
.48362 .55661 L
.48182 .55492 L
.48169 .55406 L
.48084 .55299 L
.47977 .55148 L
.47957 .55106 L
.47791 .54914 L
.47784 .54905 L
.47615 .54721 L
.47591 .54646 L
.47503 .54528 L
.47399 .54383 L
.47381 .54336 L
.47211 .54143 L
.47206 .54137 L
.47045 .5395 L
.47013 .53875 L
.4693 .53758 L
.46821 .53609 L
.46811 .53565 L
.46637 .53372 L
.46628 .53361 L
.46477 .53179 L
.46435 .53097 L
.4636 .52987 L
.46242 .52831 L
.46242 .52794 L
.46067 .52601 L
.4605 .5258 L
.4591 .52409 L
.45857 .52315 L
.45794 .52216 L
.45664 .52049 L
.4564 .52023 L
.45499 .51831 L
.45472 .51797 L
.45345 .51638 L
.45279 .51529 L
.45228 .51445 L
.45086 .51266 L
.45073 .51253 L
.44933 .5106 L
.44894 .51011 L
.44782 .50867 L
.44701 .50742 L
.44664 .50674 L
.44509 .50482 L
.44508 .50481 L
.44322 .50289 L
.44316 .50223 L
.44219 .50096 L
.44123 .49954 L
.44098 .49904 L
.43945 .49711 L
.4393 .49699 L
.43761 .49518 L
.43737 .49434 L
.43658 .49326 L
.43545 .49163 L
.43532 .49133 L
.43383 .4894 L
.43352 .48914 L
.43203 .48747 L
.43159 .48642 L
.43098 .48555 L
.42967 .48371 L
.42964 .48362 L
.42822 .48169 L
.42774 .48126 L
.42647 .47977 L
.42581 .47847 L
.42538 .47784 L
.42401 .47591 L
.42389 .47575 L
.42263 .47399 L
.42196 .47332 L
.42094 .47206 L
.42003 .47047 L
.41981 .47013 L
.41845 .46821 L
.41811 .46775 L
.41707 .46628 L
.41618 .46529 L
.41545 .46435 L
.41427 .46242 L
.41425 .4624 L
.41293 .4605 L
.41232 .45968 L
.41155 .45857 L
.4104 .45711 L
.41005 .45664 L
.40881 .45472 L
.40847 .45425 L
.40748 .45279 L
.40654 .45149 L
.40612 .45086 L
.40477 .44894 L
.40462 .44872 L
.4035 .44701 L
.40269 .44586 L
.40219 .44508 L
.4009 .44316 L
.40076 .44296 L
.39974 .44123 L
.39884 .43981 L
.39857 .4393 L
F
0 .37 1 r
.39884 .45426 m
.39922 .45472 L
.40076 .45632 L
.40102 .45664 L
.40076 .45837 L
.39977 .45664 L
.39884 .45525 L
.39859 .45472 L
F
1 .67 0 r
.39884 .44614 m
.39971 .44701 L
.40076 .448 L
.40158 .44894 L
.40269 .45015 L
.40328 .45086 L
.40462 .45229 L
.40491 .45279 L
.40649 .45472 L
.40654 .45478 L
.40803 .45664 L
.40847 .45717 L
.40957 .45857 L
.4104 .45941 L
.4111 .4605 L
.41232 .46204 L
.4127 .46242 L
.41409 .46435 L
.41425 .46455 L
.41557 .46628 L
.41618 .4669 L
.41705 .46821 L
.41811 .46956 L
.41861 .47013 L
.41998 .47206 L
.42003 .47213 L
.42142 .47399 L
.42196 .47454 L
.42354 .47591 L
.42389 .47722 L
.42439 .47784 L
.42577 .47977 L
.42581 .47983 L
.42719 .48169 L
.42774 .48227 L
.42913 .48362 L
.42967 .48498 L
.43011 .48555 L
.43149 .48747 L
.43159 .48761 L
.4329 .4894 L
.43352 .49007 L
.43473 .49133 L
.43545 .49281 L
.43578 .49326 L
.43716 .49518 L
.43737 .49546 L
.43857 .49711 L
.4393 .49794 L
.4403 .49904 L
.44123 .50071 L
.44141 .50096 L
.44279 .50289 L
.44316 .50337 L
.44419 .50482 L
.44508 .50587 L
.44583 .50674 L
.44701 .50867 L
.44701 .50867 L
.44838 .5106 L
.44894 .51135 L
.44977 .51253 L
.45086 .51391 L
.45131 .51445 L
.45255 .51638 L
.45279 .51671 L
.4539 .51831 L
.45472 .5189 L
.45529 .52023 L
.45664 .52209 L
.4567 .52216 L
.458 .52409 L
.45857 .52486 L
.45935 .52601 L
.4605 .52736 L
.46102 .52794 L
.46203 .52987 L
.46242 .53042 L
.46331 .53179 L
.46435 .53327 L
.46464 .53372 L
.46588 .53565 L
.46628 .53624 L
.46704 .53758 L
.46821 .53944 L
.46823 .5395 L
.46821 .54063 L
.46702 .5395 L
.46628 .53882 L
.46519 .53758 L
.46435 .53668 L
.46349 .53565 L
.46242 .53497 L
.46186 .53372 L
.4605 .53212 L
.46001 .53179 L
.45873 .52987 L
.45857 .52968 L
.4572 .52794 L
.45664 .52769 L
.45567 .52601 L
.45472 .52488 L
.45379 .52409 L
.45279 .52232 L
.45266 .52216 L
.45119 .52023 L
.45086 .52007 L
.44972 .51831 L
.44894 .51737 L
.44794 .51638 L
.44701 .51475 L
.44679 .51445 L
.44533 .51253 L
.44508 .51239 L
.44388 .5106 L
.44316 .50971 L
.4422 .50867 L
.44123 .50706 L
.44101 .50674 L
.43956 .50482 L
.4393 .50465 L
.43813 .50289 L
.43737 .50196 L
.43651 .50096 L
.43545 .49928 L
.43529 .49904 L
.43385 .49711 L
.43352 .49688 L
.43243 .49518 L
.43159 .49414 L
.43087 .49326 L
.42967 .49144 L
.4296 .49133 L
.42819 .4894 L
.42774 .48905 L
.42677 .48747 L
.42581 .48625 L
.42526 .48555 L
.42395 .48362 L
.42389 .48353 L
.42257 .48169 L
.42196 .48116 L
.42058 .47977 L
.42003 .47828 L
.4197 .47784 L
.41837 .47591 L
.41811 .47556 L
.41699 .47399 L
.41618 .47315 L
.41518 .47206 L
.41425 .47022 L
.41419 .47013 L
.41285 .46821 L
.41232 .46749 L
.41148 .46628 L
.4104 .46497 L
.40988 .46435 L
.40875 .46242 L
.40847 .46204 L
.40742 .4605 L
.40654 .45927 L
.40607 .45857 L
.40473 .45664 L
.40462 .45649 L
.40347 .45472 L
.40269 .45361 L
.40217 .45279 L
.40088 .45086 L
.40076 .45069 L
.39977 .44894 L
.39884 .44744 L
.39864 .44701 L
F
1 .98 0 r
.39884 .4304 m
.40076 .43157 L
.40082 .43159 L
.40269 .43347 L
.40346 .43352 L
.40462 .4353 L
.4052 .43545 L
.40654 .43721 L
.40686 .43737 L
.40845 .4393 L
.40847 .43932 L
.41 .44123 L
.4104 .44175 L
.41162 .44316 L
.41232 .44427 L
.41297 .44508 L
.41425 .44681 L
.41439 .44701 L
.416 .44894 L
.41618 .44937 L
.41731 .45086 L
.41811 .45199 L
.41861 .45279 L
.42003 .45457 L
.42017 .45472 L
.42162 .45664 L
.42196 .45717 L
.42286 .45857 L
.42389 .45988 L
.4245 .4605 L
.42581 .46231 L
.4259 .46242 L
.42727 .46435 L
.42774 .46501 L
.42834 .46628 L
.42967 .46787 L
.43022 .46821 L
.43159 .4701 L
.43162 .47013 L
.43294 .47206 L
.43352 .47286 L
.4339 .47399 L
.43545 .47529 L
.43592 .47591 L
.43733 .47784 L
.43737 .47794 L
.4386 .47977 L
.4393 .48072 L
.44019 .48169 L
.44123 .48314 L
.44159 .48362 L
.44301 .48555 L
.44316 .4858 L
.44424 .48747 L
.44508 .48858 L
.44585 .4894 L
.44701 .49101 L
.44725 .49133 L
.44868 .49326 L
.44894 .49369 L
.44986 .49518 L
.45086 .49645 L
.45151 .49711 L
.45279 .4989 L
.4529 .49904 L
.45432 .50096 L
.45472 .50158 L
.45548 .50289 L
.45664 .50432 L
.45715 .50482 L
.45854 .50674 L
.45857 .50679 L
.45996 .50867 L
.4605 .50947 L
.46108 .5106 L
.46242 .51219 L
.46279 .51253 L
.46431 .51445 L
.46435 .51468 L
.46558 .51638 L
.46628 .51737 L
.4667 .51831 L
.46821 .52004 L
.46843 .52023 L
.47 .52216 L
.47013 .52257 L
.47121 .52409 L
.47206 .52526 L
.47232 .52601 L
.47399 .52788 L
.47406 .52794 L
.47565 .52987 L
.47591 .53046 L
.47683 .53179 L
.47784 .53315 L
.47796 .53372 L
.47969 .53565 L
.47977 .53572 L
.48129 .53758 L
.48169 .53835 L
.48245 .5395 L
.48362 .54104 L
.48363 .54143 L
.48532 .54336 L
.48555 .54358 L
.48691 .54528 L
.48747 .54625 L
.48807 .54721 L
.4894 .54894 L
.48956 .54914 L
.49095 .55106 L
.49133 .55145 L
.49253 .55299 L
.49326 .55417 L
.49369 .55492 L
.49518 .55684 L
.49518 .55684 L
.49657 .55877 L
.49711 .55934 L
.49813 .5607 L
.49904 .56209 L
.49932 .56263 L
.5008 .56455 L
.50096 .56477 L
.50276 .56648 L
.50289 .56726 L
.50372 .56841 L
.50482 .57004 L
.50496 .57033 L
.5064 .57226 L
.50674 .57272 L
.50831 .57419 L
.50867 .57522 L
.50929 .57611 L
.5106 .57802 L
.51061 .57804 L
.51198 .57997 L
.51253 .58025 L
.51382 .58189 L
.51445 .58324 L
.51484 .58382 L
.51617 .58575 L
.51638 .58603 L
.51753 .58768 L
.51831 .5883 L
.51927 .5896 L
.52023 .59137 L
.52033 .59153 L
.52165 .59346 L
.52216 .59415 L
.523 .59538 L
.52409 .59662 L
.52456 .59731 L
.52571 .59924 L
.52601 .59966 L
.527 .60116 L
.52794 .6025 L
.52832 .60309 L
.5296 .60502 L
.52987 .60541 L
.53077 .60694 L
.53179 .60856 L
.53196 .60887 L
.5328 .6108 L
.53179 .61103 L
.53153 .6108 L
.52987 .60933 L
.52951 .60887 L
.52794 .60719 L
.52755 .60694 L
.52601 .60502 L
.52601 .60502 L
.52435 .60309 L
.52409 .60281 L
.52273 .60116 L
.52216 .60042 L
.52098 .59924 L
.52023 .59796 L
.51974 .59731 L
.51831 .5955 L
.51807 .59538 L
.51657 .59346 L
.51638 .59319 L
.51501 .59153 L
.51445 .5906 L
.5138 .5896 L
.51253 .58793 L
.51209 .58768 L
.51065 .58575 L
.5106 .58567 L
.50918 .58382 L
.50867 .58301 L
.50801 .58189 L
.50674 .58025 L
.50627 .57997 L
.50485 .57804 L
.50482 .57799 L
.50344 .57611 L
.50289 .57528 L
.5023 .57419 L
.50096 .57249 L
.50053 .57226 L
.49907 .57033 L
.49904 .5702 L
.49775 .56841 L
.49711 .56747 L
.49665 .56648 L
.49518 .5647 L
.49484 .56455 L
.49335 .56263 L
.49326 .56236 L
.49209 .5607 L
.49133 .55962 L
.49102 .55877 L
.4894 .55691 L
.48917 .55684 L
.48767 .55492 L
.48747 .55449 L
.48645 .55299 L
.48555 .55176 L
.48541 .55106 L
.48362 .54915 L
.48352 .54914 L
.48201 .54721 L
.48169 .54661 L
.48082 .54528 L
.47977 .54389 L
.47927 .54336 L
.47787 .54143 L
.47784 .54139 L
.47636 .5395 L
.47591 .53872 L
.47519 .53758 L
.47399 .53603 L
.47362 .53565 L
.47223 .53372 L
.47206 .53351 L
.47072 .53179 L
.47013 .53084 L
.46956 .52987 L
.46821 .52817 L
.46798 .52794 L
.46658 .52601 L
.46628 .52563 L
.46509 .52409 L
.46435 .52295 L
.46393 .52216 L
.46242 .52031 L
.46234 .52023 L
.46058 .51831 L
.4605 .51775 L
.45947 .51638 L
.45857 .51506 L
.45829 .51445 L
.45671 .51253 L
.45664 .51247 L
.45495 .5106 L
.45472 .50986 L
.45385 .50867 L
.45279 .50716 L
.45263 .50674 L
.45108 .50482 L
.45086 .50463 L
.44933 .50289 L
.44894 .50196 L
.44823 .50096 L
.44701 .49926 L
.44695 .49904 L
.44545 .49711 L
.44508 .49678 L
.44373 .49518 L
.44316 .49405 L
.44261 .49326 L
.44123 .49136 L
.44123 .49133 L
.43982 .4894 L
.4393 .48891 L
.43813 .48747 L
.43737 .48614 L
.43699 .48555 L
.43558 .48362 L
.43545 .48344 L
.4342 .48169 L
.43352 .481 L
.43255 .47977 L
.43159 .4782 L
.43137 .47784 L
.42997 .47591 L
.42967 .47551 L
.42858 .47399 L
.42774 .47307 L
.42698 .47206 L
.42581 .47025 L
.42575 .47013 L
.42436 .46821 L
.42389 .46757 L
.42228 .46628 L
.42196 .46509 L
.42142 .46435 L
.42014 .46242 L
.42003 .46228 L
.41878 .4605 L
.41811 .4596 L
.41686 .45857 L
.41618 .45705 L
.4159 .45664 L
.41458 .45472 L
.41425 .45428 L
.41322 .45279 L
.41232 .45195 L
.4115 .45086 L
.41041 .44894 L
.4104 .44892 L
.40907 .44701 L
.40847 .4462 L
.40771 .44508 L
.40654 .44365 L
.40619 .44316 L
.40497 .44123 L
.40462 .44074 L
.40366 .4393 L
.40269 .43794 L
.40232 .43737 L
.40101 .43545 L
.40076 .43509 L
.39982 .43352 L
.39884 .43192 L
.39868 .43159 L
F
1 .29 0 r
.39884 .46242 m
.39884 .46242 L
.39884 .46286 L
.39869 .46242 L
F
0 .85 1 r
.39884 .41149 m
.39974 .41232 L
.40076 .41331 L
.4015 .41425 L
.40269 .41567 L
.40305 .41618 L
.40447 .41811 L
.40462 .41831 L
.40558 .42003 L
.40462 .4204 L
.40429 .42003 L
.40269 .41818 L
.40263 .41811 L
.40121 .41618 L
.40076 .41559 L
.39988 .41425 L
.39884 .41258 L
.3987 .41232 L
F
0 .36 1 r
.39884 .45449 m
.39904 .45472 L
.40076 .45642 L
.40094 .45664 L
.40076 .45826 L
.39988 .45664 L
.39884 .455 L
.39873 .45472 L
F
0 .95 1 r
.39884 .38725 m
.39886 .38727 L
.39884 .38769 L
.39878 .38727 L
F
1 .66 0 r
.39884 .44654 m
.39945 .44701 L
.40076 .44815 L
.40146 .44894 L
.40269 .45026 L
.40319 .45086 L
.40462 .45241 L
.40484 .45279 L
.40643 .45472 L
.40654 .45485 L
.40797 .45664 L
.40847 .45724 L
.40952 .45857 L
.4104 .45947 L
.41105 .4605 L
.41232 .4621 L
.41265 .46242 L
.41405 .46435 L
.41425 .4646 L
.41553 .46628 L
.41618 .46694 L
.41702 .46821 L
.41811 .4696 L
.41857 .47013 L
.41995 .47206 L
.42003 .47217 L
.42139 .47399 L
.42196 .47457 L
.42351 .47591 L
.42389 .47726 L
.42436 .47784 L
.42574 .47977 L
.42581 .47986 L
.42717 .48169 L
.42774 .4823 L
.42911 .48362 L
.42967 .48501 L
.43008 .48555 L
.43147 .48747 L
.43159 .48764 L
.43288 .4894 L
.43352 .4901 L
.4347 .49133 L
.43545 .49284 L
.43575 .49326 L
.43714 .49518 L
.43737 .49549 L
.43854 .49711 L
.4393 .49797 L
.44027 .49904 L
.44123 .50074 L
.44139 .50096 L
.44277 .50289 L
.44316 .50341 L
.44417 .50482 L
.44508 .50591 L
.4458 .50674 L
.44699 .50867 L
.44701 .5087 L
.44835 .5106 L
.44894 .51138 L
.44974 .51253 L
.45086 .51395 L
.45127 .51445 L
.45252 .51638 L
.45279 .51675 L
.45388 .51831 L
.45472 .51895 L
.45526 .52023 L
.45664 .52215 L
.45665 .52216 L
.45797 .52409 L
.45857 .52492 L
.45931 .52601 L
.4605 .52745 L
.46093 .52794 L
.46197 .52987 L
.46242 .53049 L
.46326 .53179 L
.46435 .53336 L
.46458 .53372 L
.46579 .53565 L
.46628 .53637 L
.46693 .53758 L
.46628 .53866 L
.46531 .53758 L
.46435 .53656 L
.46358 .53565 L
.46242 .53484 L
.46193 .53372 L
.4605 .53203 L
.46014 .53179 L
.45878 .52987 L
.45857 .52962 L
.45725 .52794 L
.45664 .52765 L
.45572 .52601 L
.45472 .52482 L
.45385 .52409 L
.45279 .52227 L
.4527 .52216 L
.45123 .52023 L
.45086 .52005 L
.44975 .51831 L
.44894 .51733 L
.44798 .51638 L
.44701 .51471 L
.44682 .51445 L
.44536 .51253 L
.44508 .51237 L
.44391 .5106 L
.44316 .50968 L
.44223 .50867 L
.44123 .50703 L
.44103 .50674 L
.43959 .50482 L
.4393 .50464 L
.43815 .50289 L
.43737 .50193 L
.43654 .50096 L
.43545 .49925 L
.43531 .49904 L
.43387 .49711 L
.43352 .49686 L
.43245 .49518 L
.43159 .4941 L
.43089 .49326 L
.42967 .49141 L
.42962 .49133 L
.42821 .4894 L
.42774 .48903 L
.4268 .48747 L
.42581 .48621 L
.42529 .48555 L
.42398 .48362 L
.42389 .4835 L
.42259 .48169 L
.42196 .48113 L
.4206 .47977 L
.42003 .47825 L
.41972 .47784 L
.4184 .47591 L
.41811 .47552 L
.41702 .47399 L
.41618 .47311 L
.41521 .47206 L
.41425 .47017 L
.41422 .47013 L
.41288 .46821 L
.41232 .46745 L
.41151 .46628 L
.4104 .46491 L
.40993 .46435 L
.40879 .46242 L
.40847 .46199 L
.40746 .4605 L
.40654 .45922 L
.40611 .45857 L
.40478 .45664 L
.40462 .45642 L
.40352 .45472 L
.40269 .45353 L
.40223 .45279 L
.40097 .45086 L
.40076 .45055 L
.39989 .44894 L
.39884 .44711 L
.3988 .44701 L
F
1 .91 0 r
.40076 .40493 m
.40258 .40654 L
.40269 .40665 L
.40433 .40847 L
.40462 .40879 L
.40592 .4104 L
.40654 .41099 L
.40745 .41232 L
.40847 .41357 L
.40914 .41425 L
.4104 .41616 L
.41041 .41618 L
.41181 .41811 L
.41232 .4188 L
.41321 .42003 L
.41425 .42129 L
.41472 .42196 L
.41591 .42389 L
.41618 .42428 L
.41715 .42581 L
.41811 .42746 L
.41825 .42774 L
.41811 .4296 L
.41618 .42909 L
.415 .42774 L
.41425 .42708 L
.41316 .42581 L
.41232 .42484 L
.41116 .42389 L
.4104 .42241 L
.41001 .42196 L
.40853 .42003 L
.40847 .41995 L
.4071 .41811 L
.40654 .41753 L
.40541 .41618 L
.40462 .41474 L
.40432 .41425 L
.40297 .41232 L
.40269 .41192 L
.40167 .4104 L
.40076 .40897 L
.4003 .40847 L
.39942 .40654 L
F
1 .9 0 r
.40076 .40524 m
.40234 .40654 L
.40269 .40685 L
.40418 .40847 L
.40462 .40894 L
.40581 .4104 L
.40654 .4111 L
.40736 .41232 L
.40847 .41368 L
.40903 .41425 L
.41032 .41618 L
.4104 .41627 L
.41173 .41811 L
.41232 .4189 L
.41313 .42003 L
.41425 .42144 L
.41461 .42196 L
.41581 .42389 L
.41618 .42444 L
.41702 .42581 L
.41807 .42774 L
.41618 .42889 L
.41523 .42774 L
.41425 .42691 L
.41331 .42581 L
.41232 .42469 L
.41129 .42389 L
.4104 .42229 L
.41011 .42196 L
.40863 .42003 L
.40847 .41983 L
.40719 .41811 L
.40654 .41742 L
.4055 .41618 L
.40462 .41459 L
.40441 .41425 L
.40308 .41232 L
.40269 .41175 L
.4018 .4104 L
.40076 .40874 L
.40052 .40847 L
.39966 .40654 L
F
1 .89 0 r
.40076 .40558 m
.40206 .40654 L
.40269 .40706 L
.40401 .40847 L
.40462 .4091 L
.40569 .4104 L
.40654 .41122 L
.40726 .41232 L
.40847 .4138 L
.40892 .41425 L
.41024 .41618 L
.4104 .41638 L
.41165 .41811 L
.41232 .41901 L
.41305 .42003 L
.41425 .4216 L
.4145 .42196 L
.4157 .42389 L
.41618 .42462 L
.41689 .42581 L
.41781 .42774 L
.41618 .42861 L
.41548 .42774 L
.41425 .42674 L
.41346 .42581 L
.41232 .42454 L
.41144 .42389 L
.4104 .42217 L
.41021 .42196 L
.40873 .42003 L
.40847 .4197 L
.40728 .41811 L
.40654 .4173 L
.4056 .41618 L
.40462 .41444 L
.4045 .41425 L
.40319 .41232 L
.40269 .41157 L
.40192 .4104 L
.40076 .40848 L
.40076 .40847 L
.39992 .40654 L
F
0 .89 1 r
.40076 .43988 m
.40205 .44123 L
.40269 .44189 L
.40381 .44316 L
.40462 .44364 L
.40549 .44508 L
.40654 .44628 L
.40768 .44701 L
.40847 .44868 L
.40872 .44894 L
.41025 .45086 L
.4104 .45096 L
.4118 .45279 L
.41232 .45344 L
.4137 .45472 L
.41425 .45596 L
.41479 .45664 L
.41618 .45844 L
.41622 .45857 L
.41781 .4605 L
.41811 .46088 L
.4195 .46242 L
.42003 .46346 L
.42066 .46435 L
.42196 .46604 L
.42196 .46628 L
.42368 .46821 L
.42389 .46848 L
.42526 .47013 L
.42581 .4711 L
.42644 .47206 L
.42774 .47372 L
.42804 .47399 L
.42946 .47591 L
.42967 .47619 L
.43098 .47784 L
.43159 .47884 L
.43216 .47977 L
.43352 .48147 L
.43377 .48169 L
.43519 .48362 L
.43545 .48396 L
.43667 .48555 L
.43737 .48663 L
.43784 .48747 L
.4393 .48925 L
.43947 .4894 L
.44121 .49133 L
.44123 .49178 L
.44234 .49326 L
.44316 .49446 L
.44351 .49518 L
.44508 .49705 L
.44515 .49711 L
.44687 .49904 L
.44701 .49963 L
.44799 .50096 L
.44894 .50231 L
.44917 .50289 L
.4508 .50482 L
.45086 .50488 L
.45251 .50674 L
.45279 .5075 L
.45362 .50867 L
.45472 .51018 L
.45484 .5106 L
.45645 .51253 L
.45664 .51272 L
.45813 .51445 L
.45857 .51539 L
.45925 .51638 L
.4605 .51807 L
.46053 .51831 L
.46208 .52023 L
.46242 .52059 L
.46373 .52216 L
.46435 .5233 L
.46486 .52409 L
.46628 .52598 L
.4663 .52601 L
.46769 .52794 L
.46821 .52849 L
.46931 .52987 L
.47013 .53124 L
.47047 .53179 L
.4719 .53372 L
.47206 .53393 L
.47329 .53565 L
.47399 .53643 L
.47487 .53758 L
.47591 .53922 L
.47607 .5395 L
.47747 .54143 L
.47784 .54192 L
.47886 .54336 L
.47977 .54445 L
.48039 .54528 L
.48165 .54721 L
.48169 .54726 L
.48301 .54914 L
.48362 .54948 L
.485 .55106 L
.48555 .55257 L
.48585 .55299 L
.48713 .55492 L
.48747 .55539 L
.48847 .55684 L
.4894 .55773 L
.49022 .55877 L
.4912 .5607 L
.49133 .56088 L
.49249 .56263 L
.49326 .5637 L
.49381 .56455 L
.49514 .56648 L
.49518 .56654 L
.49635 .56841 L
.49711 .56954 L
.49757 .57033 L
.49873 .57226 L
.49904 .57278 L
.49952 .57419 L
.49904 .57444 L
.49875 .57419 L
.49711 .57267 L
.49673 .57226 L
.49518 .57064 L
.49495 .57033 L
.49327 .56841 L
.49326 .56839 L
.49165 .56648 L
.49133 .56611 L
.49005 .56455 L
.4894 .56383 L
.48848 .56263 L
.48747 .56134 L
.48687 .5607 L
.48555 .5589 L
.48547 .55877 L
.48391 .55684 L
.48362 .55651 L
.48185 .55492 L
.48169 .55396 L
.4809 .55299 L
.47977 .55141 L
.4796 .55106 L
.47797 .54914 L
.47784 .54898 L
.47618 .54721 L
.47591 .54639 L
.47508 .54528 L
.47399 .54377 L
.47384 .54336 L
.47215 .54143 L
.47206 .54131 L
.47048 .5395 L
.47013 .5387 L
.46933 .53758 L
.46821 .53605 L
.46812 .53565 L
.4664 .53372 L
.46628 .53357 L
.46479 .53179 L
.46435 .53093 L
.46363 .52987 L
.46242 .52827 L
.46242 .52794 L
.46069 .52601 L
.4605 .52577 L
.45912 .52409 L
.45857 .52311 L
.45796 .52216 L
.45664 .52046 L
.45642 .52023 L
.45501 .51831 L
.45472 .51794 L
.45347 .51638 L
.45279 .51527 L
.4523 .51445 L
.45086 .51264 L
.45076 .51253 L
.44935 .5106 L
.44894 .51008 L
.44783 .50867 L
.44701 .5074 L
.44665 .50674 L
.44511 .50482 L
.44508 .5048 L
.44323 .50289 L
.44316 .50221 L
.44221 .50096 L
.44123 .49951 L
.441 .49904 L
.43947 .49711 L
.4393 .49697 L
.43763 .49518 L
.43737 .49431 L
.4366 .49326 L
.43545 .4916 L
.43533 .49133 L
.43385 .4894 L
.43352 .48912 L
.43205 .48747 L
.43159 .48639 L
.431 .48555 L
.42967 .48368 L
.42965 .48362 L
.42825 .48169 L
.42774 .48123 L
.42649 .47977 L
.42581 .47843 L
.42541 .47784 L
.42404 .47591 L
.42389 .47571 L
.42266 .47399 L
.42196 .47328 L
.42097 .47206 L
.42003 .47042 L
.41984 .47013 L
.41848 .46821 L
.41811 .4677 L
.41711 .46628 L
.41618 .46522 L
.4155 .46435 L
.41432 .46242 L
.41425 .46234 L
.41298 .4605 L
.41232 .45961 L
.41161 .45857 L
.4104 .457 L
.41013 .45664 L
.40888 .45472 L
.40847 .45415 L
.40756 .45279 L
.40654 .45138 L
.4062 .45086 L
.40488 .44894 L
.40462 .44857 L
.40362 .44701 L
.40269 .44567 L
.40232 .44508 L
.40108 .44316 L
.40076 .44267 L
.39998 .44123 L
F
0 .35 1 r
.40076 .45653 m
.40085 .45664 L
.40076 .45813 L
.40001 .45664 L
F
1 .65 0 r
.40076 .44831 m
.40132 .44894 L
.40269 .45038 L
.4031 .45086 L
.40462 .45253 L
.40477 .45279 L
.40636 .45472 L
.40654 .45493 L
.40791 .45664 L
.40847 .45731 L
.40947 .45857 L
.4104 .45953 L
.41101 .4605 L
.41232 .46216 L
.41259 .46242 L
.41401 .46435 L
.41425 .46465 L
.41549 .46628 L
.41618 .46698 L
.41698 .46821 L
.41811 .46965 L
.41854 .47013 L
.41992 .47206 L
.42003 .47221 L
.42136 .47399 L
.42196 .4746 L
.42349 .47591 L
.42389 .47729 L
.42434 .47784 L
.42571 .47977 L
.42581 .4799 L
.42714 .48169 L
.42774 .48233 L
.42909 .48362 L
.42967 .48505 L
.43006 .48555 L
.43144 .48747 L
.43159 .48767 L
.43286 .4894 L
.43352 .49013 L
.43468 .49133 L
.43545 .49287 L
.43573 .49326 L
.43712 .49518 L
.43737 .49552 L
.43852 .49711 L
.4393 .498 L
.44025 .49904 L
.44123 .50077 L
.44137 .50096 L
.44275 .50289 L
.44316 .50344 L
.44414 .50482 L
.44508 .50594 L
.44577 .50674 L
.44696 .50867 L
.44701 .50874 L
.44833 .5106 L
.44894 .51142 L
.44972 .51253 L
.45086 .51399 L
.45124 .51445 L
.45249 .51638 L
.45279 .51678 L
.45385 .51831 L
.45472 .519 L
.45523 .52023 L
.45662 .52216 L
.45664 .5222 L
.45793 .52409 L
.45857 .52497 L
.45927 .52601 L
.4605 .52755 L
.46084 .52794 L
.46192 .52987 L
.46242 .53057 L
.46321 .53179 L
.46435 .53345 L
.46452 .53372 L
.4657 .53565 L
.46628 .53653 L
.46682 .53758 L
.46628 .53849 L
.46544 .53758 L
.46435 .53645 L
.46367 .53565 L
.46242 .5347 L
.462 .53372 L
.4605 .53194 L
.46027 .53179 L
.45884 .52987 L
.45857 .52955 L
.4573 .52794 L
.45664 .52761 L
.45576 .52601 L
.45472 .52477 L
.45391 .52409 L
.45279 .52222 L
.45274 .52216 L
.45127 .52023 L
.45086 .52003 L
.44978 .51831 L
.44894 .51728 L
.44801 .51638 L
.44701 .51467 L
.44684 .51445 L
.44539 .51253 L
.44508 .51235 L
.44394 .5106 L
.44316 .50964 L
.44226 .50867 L
.44123 .50699 L
.44106 .50674 L
.43961 .50482 L
.4393 .50462 L
.43818 .50289 L
.43737 .5019 L
.43656 .50096 L
.43545 .49922 L
.43533 .49904 L
.4339 .49711 L
.43352 .49684 L
.43247 .49518 L
.43159 .49407 L
.43092 .49326 L
.42967 .49138 L
.42964 .49133 L
.42823 .4894 L
.42774 .48901 L
.42682 .48747 L
.42581 .48618 L
.42531 .48555 L
.424 .48362 L
.42389 .48347 L
.42261 .48169 L
.42196 .4811 L
.42063 .47977 L
.42003 .47821 L
.41975 .47784 L
.41842 .47591 L
.41811 .47549 L
.41705 .47399 L
.41618 .47307 L
.41525 .47206 L
.41425 .47013 L
.41425 .47013 L
.41291 .46821 L
.41232 .4674 L
.41154 .46628 L
.4104 .46484 L
.40998 .46435 L
.40883 .46242 L
.40847 .46194 L
.4075 .4605 L
.40654 .45916 L
.40615 .45857 L
.40483 .45664 L
.40462 .45634 L
.40358 .45472 L
.40269 .45343 L
.40229 .45279 L
.40107 .45086 L
.40076 .4504 L
.40002 .44894 L
F
0 .99 1 r
.40076 .39973 m
.40269 .3996 L
.40462 .40003 L
.40547 .40076 L
.40654 .4019 L
.40686 .40269 L
.40847 .40442 L
.40862 .40462 L
.41024 .40654 L
.4104 .40718 L
.41145 .40847 L
.41232 .41006 L
.41258 .4104 L
.41425 .41223 L
.41432 .41232 L
.41592 .41425 L
.41618 .4149 L
.4171 .41618 L
.41811 .41759 L
.41822 .41811 L
.41997 .42003 L
.42003 .42008 L
.42156 .42196 L
.42196 .42265 L
.42272 .42389 L
.42389 .42535 L
.4242 .42581 L
.42558 .42774 L
.42581 .42807 L
.42715 .42967 L
.42774 .43086 L
.42822 .43159 L
.42774 .43262 L
.42581 .43276 L
.42389 .43271 L
.42238 .43159 L
.42196 .431 L
.42111 .42967 L
.42003 .42843 L
.41954 .42774 L
.41813 .42581 L
.41811 .42577 L
.41662 .42389 L
.41618 .42305 L
.41544 .42196 L
.41425 .42037 L
.41388 .42003 L
.41248 .41811 L
.41232 .41794 L
.41098 .41618 L
.4104 .4153 L
.40982 .41425 L
.40847 .41261 L
.40825 .41232 L
.40686 .4104 L
.40654 .40996 L
.40537 .40847 L
.40462 .40763 L
.40422 .40654 L
.40269 .40465 L
.40267 .40462 L
.40088 .40269 L
.40076 .40174 L
.40006 .40076 L
F
1 .98 0 r
.40076 .34655 m
.40101 .34681 L
.40269 .34848 L
.4029 .34874 L
.40462 .35066 L
.40462 .35066 L
.40621 .35259 L
.40654 .35296 L
.40778 .35452 L
.40847 .35533 L
.40934 .35644 L
.4104 .35759 L
.41088 .35837 L
.41232 .36018 L
.41245 .3603 L
.41388 .36222 L
.41425 .36268 L
.41536 .36415 L
.41618 .36502 L
.41685 .36608 L
.41811 .36768 L
.4184 .36801 L
.41978 .36993 L
.42003 .37025 L
.42122 .37186 L
.42196 .37265 L
.42327 .37379 L
.42389 .37535 L
.4242 .37571 L
.42557 .37764 L
.42581 .37795 L
.42699 .37957 L
.42774 .38039 L
.42891 .38149 L
.42967 .38311 L
.42993 .38342 L
.43129 .38535 L
.43159 .38573 L
.4327 .38727 L
.43352 .38819 L
.43452 .3892 L
.43545 .39093 L
.43561 .39113 L
.43698 .39306 L
.43737 .39318 L
.43839 .39498 L
.4393 .39604 L
.44011 .39691 L
.44123 .39879 L
.44126 .39884 L
.44264 .40076 L
.44316 .401 L
.44404 .40269 L
.44508 .40394 L
.44569 .40462 L
.44689 .40654 L
.44701 .40669 L
.44827 .40847 L
.44894 .40887 L
.44968 .4104 L
.45086 .41188 L
.45124 .41232 L
.4525 .41425 L
.45279 .41463 L
.45388 .41618 L
.45472 .41681 L
.45529 .41811 L
.45664 .41989 L
.45676 .42003 L
.45808 .42196 L
.45857 .4226 L
.45946 .42389 L
.4605 .42491 L
.46087 .42581 L
.46228 .42774 L
.46242 .42793 L
.46362 .42967 L
.46435 .43063 L
.46501 .43159 L
.46628 .4332 L
.46659 .43352 L
.46779 .43545 L
.46821 .43599 L
.46915 .43737 L
.47013 .43852 L
.47056 .4393 L
.47198 .44123 L
.47206 .44129 L
.47335 .44316 L
.47399 .44396 L
.47508 .44508 L
.47591 .44663 L
.47622 .44701 L
.47759 .44894 L
.47784 .44925 L
.4792 .45086 L
.47977 .4519 L
.48044 .45279 L
.48169 .45457 L
.48179 .45472 L
.48343 .45664 L
.48362 .45714 L
.48465 .45857 L
.48555 .45987 L
.48591 .4605 L
.48719 .46242 L
.48747 .46291 L
.48826 .46435 L
.48747 .46562 L
.48555 .46529 L
.48404 .46435 L
.48362 .4638 L
.48226 .46242 L
.48169 .46185 L
.48075 .4605 L
.47977 .45935 L
.47894 .45857 L
.47784 .45668 L
.47781 .45664 L
.47644 .45472 L
.47591 .45401 L
.47506 .45279 L
.47399 .45151 L
.47349 .45086 L
.47229 .44894 L
.47206 .44861 L
.47098 .44701 L
.47013 .44581 L
.46942 .44508 L
.46835 .44316 L
.46821 .44294 L
.46712 .44123 L
.46628 .43995 L
.46583 .4393 L
.46468 .43737 L
.46435 .4369 L
.46321 .43545 L
.46242 .43393 L
.46224 .43352 L
.4608 .43159 L
.4605 .4312 L
.4591 .42967 L
.45857 .42848 L
.45794 .42774 L
.45664 .42587 L
.4565 .42581 L
.45503 .42389 L
.45472 .42346 L
.45351 .42196 L
.45279 .42081 L
.45269 .42003 L
.45086 .41815 L
.45058 .41811 L
.44912 .41618 L
.44894 .41593 L
.44756 .41425 L
.44701 .4133 L
.44647 .41232 L
.44508 .41066 L
.44474 .4104 L
.44331 .40847 L
.44316 .40827 L
.44176 .40654 L
.44123 .40562 L
.44062 .40462 L
.4393 .40298 L
.439 .40269 L
.43759 .40076 L
.43737 .40049 L
.43607 .39884 L
.43545 .39782 L
.43492 .39691 L
.43352 .39517 L
.43334 .39498 L
.43193 .39306 L
.43159 .39263 L
.43045 .39113 L
.42967 .38993 L
.42928 .3892 L
.42774 .38729 L
.42772 .38727 L
.42632 .38535 L
.42581 .3847 L
.42487 .38342 L
.42389 .38198 L
.42366 .38149 L
.42214 .37957 L
.42196 .37945 L
.4202 .37764 L
.42003 .37671 L
.41933 .37571 L
.41811 .37395 L
.41804 .37379 L
.41661 .37186 L
.41618 .37152 L
.41476 .36993 L
.41425 .36861 L
.41385 .36801 L
.41252 .36608 L
.41232 .36581 L
.41117 .36415 L
.4104 .36336 L
.40947 .36222 L
.40848 .3603 L
.40847 .36028 L
.40718 .35837 L
.40654 .35745 L
.40587 .35644 L
.40462 .35463 L
.40453 .35452 L
.40335 .35259 L
.40269 .35158 L
.40213 .35066 L
.40097 .34874 L
.40076 .34839 L
.40011 .34681 L
F
1 .64 0 r
.40076 .4485 m
.40117 .44894 L
.40269 .4505 L
.403 .45086 L
.40462 .45266 L
.40469 .45279 L
.40628 .45472 L
.40654 .45501 L
.40785 .45664 L
.40847 .45737 L
.40941 .45857 L
.4104 .45959 L
.41096 .4605 L
.41232 .46221 L
.41254 .46242 L
.41397 .46435 L
.41425 .4647 L
.41546 .46628 L
.41618 .46702 L
.41695 .46821 L
.41811 .46969 L
.4185 .47013 L
.41988 .47206 L
.42003 .47225 L
.42134 .47399 L
.42196 .47464 L
.42346 .47591 L
.42389 .47733 L
.42431 .47784 L
.42569 .47977 L
.42581 .47993 L
.42712 .48169 L
.42774 .48236 L
.42906 .48362 L
.42967 .48508 L
.43004 .48555 L
.43142 .48747 L
.43159 .4877 L
.43283 .4894 L
.43352 .49016 L
.43466 .49133 L
.43545 .4929 L
.43571 .49326 L
.43709 .49518 L
.43737 .49555 L
.4385 .49711 L
.4393 .49803 L
.44022 .49904 L
.44123 .5008 L
.44134 .50096 L
.44272 .50289 L
.44316 .50347 L
.44412 .50482 L
.44508 .50598 L
.44575 .50674 L
.44693 .50867 L
.44701 .50877 L
.4483 .5106 L
.44894 .51145 L
.44969 .51253 L
.45086 .51403 L
.45121 .51445 L
.45246 .51638 L
.45279 .51682 L
.45382 .51831 L
.45472 .51906 L
.4552 .52023 L
.45658 .52216 L
.45664 .52225 L
.45789 .52409 L
.45857 .52502 L
.45924 .52601 L
.4605 .52766 L
.46075 .52794 L
.46187 .52987 L
.46242 .53065 L
.46315 .53179 L
.46435 .53354 L
.46446 .53372 L
.4656 .53565 L
.46628 .53671 L
.46669 .53758 L
.46628 .53829 L
.4656 .53758 L
.46435 .53632 L
.46377 .53565 L
.46242 .53454 L
.46208 .53372 L
.4605 .53185 L
.46042 .53179 L
.45891 .52987 L
.45857 .52948 L
.45735 .52794 L
.45664 .52756 L
.45581 .52601 L
.45472 .52471 L
.45397 .52409 L
.45279 .52217 L
.45279 .52216 L
.45131 .52023 L
.45086 .52 L
.44982 .51831 L
.44894 .51724 L
.44805 .51638 L
.44701 .51463 L
.44687 .51445 L
.44542 .51253 L
.44508 .51233 L
.44397 .5106 L
.44316 .5096 L
.44229 .50867 L
.44123 .50696 L
.44108 .50674 L
.43964 .50482 L
.4393 .5046 L
.4382 .50289 L
.43737 .50186 L
.43659 .50096 L
.43545 .49919 L
.43535 .49904 L
.43392 .49711 L
.43352 .49682 L
.4325 .49518 L
.43159 .49404 L
.43094 .49326 L
.42967 .49135 L
.42965 .49133 L
.42826 .4894 L
.42774 .48898 L
.42684 .48747 L
.42581 .48615 L
.42534 .48555 L
.42402 .48362 L
.42389 .48344 L
.42264 .48169 L
.42196 .48107 L
.42066 .47977 L
.42003 .47817 L
.41978 .47784 L
.41845 .47591 L
.41811 .47545 L
.41707 .47399 L
.41618 .47303 L
.41529 .47206 L
.41428 .47013 L
.41425 .47009 L
.41294 .46821 L
.41232 .46736 L
.41158 .46628 L
.4104 .46478 L
.41003 .46435 L
.40887 .46242 L
.40847 .46188 L
.40754 .4605 L
.40654 .4591 L
.40619 .45857 L
.40489 .45664 L
.40462 .45626 L
.40364 .45472 L
.40269 .45333 L
.40236 .45279 L
.40118 .45086 L
.40076 .45021 L
.40018 .44894 L
F
0 .84 1 r
.40076 .41372 m
.40118 .41425 L
.40269 .41599 L
.40282 .41618 L
.40269 .41778 L
.40154 .41618 L
.40076 .41514 L
.40023 .41425 L
F
1 .88 0 r
.40076 .40598 m
.40171 .40654 L
.40269 .40728 L
.40384 .40847 L
.40462 .40927 L
.40557 .4104 L
.40654 .41135 L
.40716 .41232 L
.40847 .41392 L
.4088 .41425 L
.41015 .41618 L
.4104 .4165 L
.41156 .41811 L
.41232 .41913 L
.41297 .42003 L
.41425 .42177 L
.41438 .42196 L
.41559 .42389 L
.41618 .42481 L
.41676 .42581 L
.4175 .42774 L
.41618 .42824 L
.41578 .42774 L
.41425 .42656 L
.41362 .42581 L
.41232 .4244 L
.41161 .42389 L
.4104 .42205 L
.41031 .42196 L
.40883 .42003 L
.40847 .41957 L
.40738 .41811 L
.40654 .41717 L
.4057 .41618 L
.40462 .41428 L
.4046 .41425 L
.40331 .41232 L
.40269 .41139 L
.40206 .4104 L
.40095 .40847 L
.40076 .40809 L
.40025 .40654 L
F
0 .88 1 r
.40076 .44035 m
.40168 .44123 L
.40269 .44219 L
.40357 .44316 L
.40462 .44388 L
.4053 .44508 L
.40654 .44649 L
.40741 .44701 L
.40847 .44884 L
.40856 .44894 L
.41012 .45086 L
.4104 .45104 L
.41169 .45279 L
.41232 .45357 L
.41362 .45472 L
.41425 .45607 L
.41471 .45664 L
.41618 .45852 L
.41619 .45857 L
.41774 .4605 L
.41811 .46097 L
.41945 .46242 L
.42003 .46354 L
.42061 .46435 L
.42196 .46609 L
.42196 .46628 L
.42363 .46821 L
.42389 .46855 L
.42522 .47013 L
.42581 .47117 L
.4264 .47206 L
.42774 .47377 L
.42799 .47399 L
.42942 .47591 L
.42967 .47624 L
.43095 .47784 L
.43159 .47888 L
.43213 .47977 L
.43352 .4815 L
.43374 .48169 L
.43516 .48362 L
.43545 .484 L
.43665 .48555 L
.43737 .48667 L
.43782 .48747 L
.4393 .48928 L
.43945 .4894 L
.44121 .49133 L
.44123 .49182 L
.44232 .49326 L
.44316 .49449 L
.44349 .49518 L
.44508 .49707 L
.44512 .49711 L
.44686 .49904 L
.44701 .49966 L
.44797 .50096 L
.44894 .50234 L
.44916 .50289 L
.45078 .50482 L
.45086 .5049 L
.45249 .50674 L
.45279 .50753 L
.4536 .50867 L
.45472 .51021 L
.45483 .5106 L
.45643 .51253 L
.45664 .51275 L
.45811 .51445 L
.45857 .51542 L
.45923 .51638 L
.4605 .5181 L
.46053 .51831 L
.46205 .52023 L
.46242 .52062 L
.46371 .52216 L
.46435 .52333 L
.46484 .52409 L
.46628 .52601 L
.46628 .52601 L
.46767 .52794 L
.46821 .52852 L
.46929 .52987 L
.47013 .53128 L
.47045 .53179 L
.47187 .53372 L
.47206 .53397 L
.47326 .53565 L
.47399 .53647 L
.47484 .53758 L
.47591 .53927 L
.47605 .5395 L
.47744 .54143 L
.47784 .54197 L
.47882 .54336 L
.47977 .5445 L
.48035 .54528 L
.48161 .54721 L
.48169 .54732 L
.48296 .54914 L
.48362 .54954 L
.48494 .55106 L
.48555 .55266 L
.48579 .55299 L
.48707 .55492 L
.48747 .55547 L
.48841 .55684 L
.4894 .55786 L
.49011 .55877 L
.49111 .5607 L
.49133 .561 L
.4924 .56263 L
.49326 .56385 L
.49371 .56455 L
.495 .56648 L
.49518 .56674 L
.49618 .56841 L
.49711 .56984 L
.49738 .57033 L
.49832 .57226 L
.49711 .57227 L
.4971 .57226 L
.49521 .57033 L
.49518 .57031 L
.49349 .56841 L
.49326 .56816 L
.49182 .56648 L
.49133 .56592 L
.49019 .56455 L
.4894 .56368 L
.4886 .56263 L
.48747 .56121 L
.48698 .5607 L
.48555 .5588 L
.48553 .55877 L
.48399 .55684 L
.48362 .55641 L
.48188 .55492 L
.48169 .55387 L
.48097 .55299 L
.47977 .55133 L
.47964 .55106 L
.47803 .54914 L
.47784 .5489 L
.4762 .54721 L
.47591 .54632 L
.47512 .54528 L
.47399 .54372 L
.47386 .54336 L
.4722 .54143 L
.47206 .54126 L
.4705 .5395 L
.47013 .53864 L
.46937 .53758 L
.46821 .53601 L
.46813 .53565 L
.46644 .53372 L
.46628 .53352 L
.46481 .53179 L
.46435 .53089 L
.46366 .52987 L
.46242 .52824 L
.46242 .52794 L
.46072 .52601 L
.4605 .52573 L
.45914 .52409 L
.45857 .52308 L
.45798 .52216 L
.45664 .52044 L
.45645 .52023 L
.45504 .51831 L
.45472 .51791 L
.45349 .51638 L
.45279 .51524 L
.45232 .51445 L
.45086 .51261 L
.45078 .51253 L
.44937 .5106 L
.44894 .51006 L
.44785 .50867 L
.44701 .50737 L
.44666 .50674 L
.44513 .50482 L
.44508 .50478 L
.44323 .50289 L
.44316 .50218 L
.44223 .50096 L
.44123 .49948 L
.44101 .49904 L
.43949 .49711 L
.4393 .49696 L
.43764 .49518 L
.43737 .49428 L
.43662 .49326 L
.43545 .49158 L
.43535 .49133 L
.43387 .4894 L
.43352 .4891 L
.43206 .48747 L
.43159 .48636 L
.43102 .48555 L
.42967 .48364 L
.42966 .48362 L
.42827 .48169 L
.42774 .4812 L
.42651 .47977 L
.42581 .47839 L
.42544 .47784 L
.42407 .47591 L
.42389 .47567 L
.42269 .47399 L
.42196 .47323 L
.421 .47206 L
.42003 .47037 L
.41988 .47013 L
.41852 .46821 L
.41811 .46765 L
.41715 .46628 L
.41618 .46516 L
.41555 .46435 L
.41437 .46242 L
.41425 .46227 L
.41303 .4605 L
.41232 .45954 L
.41166 .45857 L
.4104 .4569 L
.41021 .45664 L
.40896 .45472 L
.40847 .45405 L
.40763 .45279 L
.40654 .45126 L
.40628 .45086 L
.40499 .44894 L
.40462 .44841 L
.40374 .44701 L
.40269 .44547 L
.40245 .44508 L
.4013 .44316 L
.40076 .44229 L
.40027 .44123 L
F
1 .63 0 r
.40076 .44873 m
.40097 .44894 L
.40269 .45062 L
.4029 .45086 L
.40461 .45279 L
.40462 .4528 L
.40621 .45472 L
.40654 .45509 L
.40779 .45664 L
.40847 .45744 L
.40936 .45857 L
.4104 .45966 L
.41091 .4605 L
.41232 .46227 L
.41248 .46242 L
.41393 .46435 L
.41425 .46475 L
.41542 .46628 L
.41618 .46706 L
.41691 .46821 L
.41811 .46973 L
.41846 .47013 L
.41985 .47206 L
.42003 .47229 L
.42131 .47399 L
.42196 .47467 L
.42343 .47591 L
.42389 .47737 L
.42428 .47784 L
.42566 .47977 L
.42581 .47996 L
.42709 .48169 L
.42774 .48239 L
.42904 .48362 L
.42967 .48511 L
.43001 .48555 L
.43139 .48747 L
.43159 .48774 L
.43281 .4894 L
.43352 .49019 L
.43463 .49133 L
.43545 .49293 L
.43569 .49326 L
.43707 .49518 L
.43737 .49558 L
.43848 .49711 L
.4393 .49806 L
.4402 .49904 L
.44123 .50083 L
.44132 .50096 L
.4427 .50289 L
.44316 .5035 L
.4441 .50482 L
.44508 .50601 L
.44572 .50674 L
.44691 .50867 L
.44701 .5088 L
.44828 .5106 L
.44894 .51149 L
.44967 .51253 L
.45086 .51408 L
.45117 .51445 L
.45243 .51638 L
.45279 .51686 L
.45379 .51831 L
.45472 .51911 L
.45517 .52023 L
.45654 .52216 L
.45664 .5223 L
.45785 .52409 L
.45857 .52508 L
.4592 .52601 L
.4605 .52777 L
.46065 .52794 L
.46182 .52987 L
.46242 .53073 L
.46309 .53179 L
.46435 .53364 L
.4644 .53372 L
.46548 .53565 L
.46628 .53695 L
.46653 .53758 L
.46628 .53804 L
.4658 .53758 L
.46435 .53619 L
.46388 .53565 L
.46242 .53436 L
.46216 .53372 L
.46053 .53179 L
.4605 .53175 L
.45897 .52987 L
.45857 .5294 L
.45741 .52794 L
.45664 .52751 L
.45586 .52601 L
.45472 .52465 L
.45404 .52409 L
.45283 .52216 L
.45279 .52211 L
.45135 .52023 L
.45086 .51997 L
.44985 .51831 L
.44894 .51719 L
.44809 .51638 L
.44701 .51459 L
.4469 .51445 L
.44545 .51253 L
.44508 .51231 L
.444 .5106 L
.44316 .50957 L
.44231 .50867 L
.44123 .50692 L
.4411 .50674 L
.43966 .50482 L
.4393 .50458 L
.43823 .50289 L
.43737 .50183 L
.43661 .50096 L
.43545 .49916 L
.43537 .49904 L
.43394 .49711 L
.43352 .4968 L
.43252 .49518 L
.43159 .49401 L
.43097 .49326 L
.42967 .49133 L
.42967 .49132 L
.42828 .4894 L
.42774 .48896 L
.42686 .48747 L
.42581 .48612 L
.42536 .48555 L
.42405 .48362 L
.42389 .48341 L
.42266 .48169 L
.42196 .48104 L
.42069 .47977 L
.42003 .47814 L
.41981 .47784 L
.41848 .47591 L
.41811 .47541 L
.4171 .47399 L
.41618 .47299 L
.41533 .47206 L
.41432 .47013 L
.41425 .47005 L
.41298 .46821 L
.41232 .46732 L
.41161 .46628 L
.4104 .46471 L
.41009 .46435 L
.40891 .46242 L
.40847 .46182 L
.40759 .4605 L
.40654 .45903 L
.40624 .45857 L
.40495 .45664 L
.40462 .45618 L
.4037 .45472 L
.40269 .45323 L
.40243 .45279 L
.4013 .45086 L
.40076 .44998 L
.4004 .44894 L
F
0 .59 1 r
.40076 .47224 m
.40179 .47399 L
.40269 .47526 L
.40302 .47591 L
.40269 .4765 L
.4022 .47591 L
.40076 .47433 L
.40049 .47399 L
F
0 .58 1 r
.40076 .4724 m
.40163 .47399 L
.40269 .47555 L
.40283 .47591 L
.40269 .4762 L
.40243 .47591 L
.40076 .47417 L
.40061 .47399 L
F
0 .87 1 r
.40076 .44117 m
.40101 .44123 L
.40269 .44254 L
.40328 .44316 L
.40462 .4442 L
.40509 .44508 L
.40654 .44671 L
.40708 .44701 L
.4084 .44894 L
.40847 .44901 L
.41 .45086 L
.4104 .45113 L
.41157 .45279 L
.41232 .45369 L
.41353 .45472 L
.41425 .45618 L
.41463 .45664 L
.41616 .45857 L
.41618 .45859 L
.41766 .4605 L
.41811 .46106 L
.4194 .46242 L
.42003 .46363 L
.42056 .46435 L
.42196 .46615 L
.42196 .46628 L
.42357 .46821 L
.42389 .46861 L
.42518 .47013 L
.42581 .47123 L
.42636 .47206 L
.42774 .47381 L
.42795 .47399 L
.42938 .47591 L
.42967 .47629 L
.43092 .47784 L
.43159 .47893 L
.4321 .47977 L
.43352 .48153 L
.43371 .48169 L
.43513 .48362 L
.43545 .48404 L
.43662 .48555 L
.43737 .4867 L
.4378 .48747 L
.4393 .4893 L
.43942 .4894 L
.4412 .49133 L
.44123 .49185 L
.4423 .49326 L
.44316 .49452 L
.44348 .49518 L
.44508 .4971 L
.4451 .49711 L
.44685 .49904 L
.44701 .49969 L
.44795 .50096 L
.44894 .50237 L
.44915 .50289 L
.45076 .50482 L
.45086 .50492 L
.45248 .50674 L
.45279 .50756 L
.45358 .50867 L
.45472 .51024 L
.45482 .5106 L
.4564 .51253 L
.45664 .51277 L
.4581 .51445 L
.45857 .51545 L
.45921 .51638 L
.4605 .51813 L
.46052 .51831 L
.46203 .52023 L
.46242 .52064 L
.46369 .52216 L
.46435 .52336 L
.46482 .52409 L
.46626 .52601 L
.46628 .52604 L
.46764 .52794 L
.46821 .52855 L
.46927 .52987 L
.47013 .53132 L
.47043 .53179 L
.47185 .53372 L
.47206 .53401 L
.47323 .53565 L
.47399 .53651 L
.47481 .53758 L
.47591 .53931 L
.47602 .5395 L
.47741 .54143 L
.47784 .54202 L
.47879 .54336 L
.47977 .54456 L
.48031 .54528 L
.48157 .54721 L
.48169 .54738 L
.48292 .54914 L
.48362 .5496 L
.48488 .55106 L
.48555 .55275 L
.48572 .55299 L
.48701 .55492 L
.48747 .55556 L
.48835 .55684 L
.4894 .55801 L
.49 .55877 L
.49102 .5607 L
.49133 .56113 L
.4923 .56263 L
.49326 .564 L
.49361 .56455 L
.49485 .56648 L
.49518 .56697 L
.496 .56841 L
.49711 .57023 L
.49716 .57033 L
.49711 .57173 L
.49556 .57033 L
.49518 .57 L
.49372 .56841 L
.49326 .56793 L
.492 .56648 L
.49133 .56573 L
.49034 .56455 L
.4894 .56352 L
.48873 .56263 L
.48747 .56107 L
.4871 .5607 L
.48562 .55877 L
.48555 .55876 L
.48408 .55684 L
.48362 .55631 L
.48193 .55492 L
.48169 .55377 L
.48103 .55299 L
.47977 .55126 L
.47967 .55106 L
.47809 .54914 L
.47784 .54883 L
.47623 .54721 L
.47591 .54625 L
.47517 .54528 L
.47399 .54367 L
.47387 .54336 L
.47224 .54143 L
.47206 .54121 L
.47053 .5395 L
.47013 .53859 L
.4694 .53758 L
.46821 .53597 L
.46814 .53565 L
.46647 .53372 L
.46628 .53348 L
.46484 .53179 L
.46435 .53085 L
.46368 .52987 L
.46242 .52821 L
.46242 .52794 L
.46075 .52601 L
.4605 .5257 L
.45916 .52409 L
.45857 .52304 L
.458 .52216 L
.45664 .52041 L
.45647 .52023 L
.45506 .51831 L
.45472 .51788 L
.45351 .51638 L
.45279 .51521 L
.45233 .51445 L
.45086 .51259 L
.4508 .51253 L
.4494 .5106 L
.44894 .51003 L
.44787 .50867 L
.44701 .50734 L
.44668 .50674 L
.44515 .50482 L
.44508 .50477 L
.44324 .50289 L
.44316 .50215 L
.44225 .50096 L
.44123 .49946 L
.44102 .49904 L
.43952 .49711 L
.4393 .49694 L
.43765 .49518 L
.43737 .49425 L
.43664 .49326 L
.43545 .49155 L
.43536 .49133 L
.4339 .4894 L
.43352 .48908 L
.43208 .48747 L
.43159 .48632 L
.43104 .48555 L
.42968 .48362 L
.42967 .48361 L
.4283 .48169 L
.42774 .48117 L
.42654 .47977 L
.42581 .47835 L
.42546 .47784 L
.4241 .47591 L
.42389 .47563 L
.42272 .47399 L
.42196 .47319 L
.42104 .47206 L
.42003 .47032 L
.41991 .47013 L
.41856 .46821 L
.41811 .46759 L
.41718 .46628 L
.41618 .46509 L
.41561 .46435 L
.41442 .46242 L
.41425 .4622 L
.41308 .4605 L
.41232 .45946 L
.41171 .45857 L
.4104 .45678 L
.4103 .45664 L
.40903 .45472 L
.40847 .45394 L
.40771 .45279 L
.40654 .45114 L
.40636 .45086 L
.4051 .44894 L
.40462 .44824 L
.40387 .44701 L
.40269 .44524 L
.4026 .44508 L
.40157 .44316 L
.40076 .44148 L
.40074 .44123 L
F
1 .87 0 r
.40076 .40653 m
.401 .40654 L
.40269 .40751 L
.40365 .40847 L
.40462 .40943 L
.40544 .4104 L
.40654 .4115 L
.40706 .41232 L
.40847 .41405 L
.40868 .41425 L
.41006 .41618 L
.4104 .41661 L
.41148 .41811 L
.41232 .41924 L
.41288 .42003 L
.41425 .42196 L
.41425 .42196 L
.41547 .42389 L
.41618 .42502 L
.41661 .42581 L
.41698 .42774 L
.41618 .42775 L
.41617 .42774 L
.41425 .42636 L
.41379 .42581 L
.41232 .42424 L
.4118 .42389 L
.41043 .42196 L
.4104 .42192 L
.40893 .42003 L
.40847 .41944 L
.40748 .41811 L
.40654 .41703 L
.40582 .41618 L
.40471 .41425 L
.40462 .41412 L
.40342 .41232 L
.40269 .41119 L
.40219 .4104 L
.40116 .40847 L
.40076 .40745 L
.40075 .40654 L
F
0 .98 1 r
.40269 .40027 m
.40435 .40076 L
.40462 .401 L
.40654 .40248 L
.40664 .40269 L
.40837 .40462 L
.40847 .40478 L
.41017 .40654 L
.4104 .40743 L
.41134 .40847 L
.41232 .41017 L
.41252 .4104 L
.41423 .41232 L
.41425 .41235 L
.41587 .41425 L
.41618 .415 L
.41703 .41618 L
.41811 .41767 L
.4182 .41811 L
.4199 .42003 L
.42003 .42014 L
.42151 .42196 L
.42196 .42274 L
.42265 .42389 L
.42389 .42548 L
.42411 .42581 L
.42547 .42774 L
.42581 .42825 L
.42702 .42967 L
.42774 .43132 L
.42788 .43159 L
.42774 .43208 L
.42581 .43249 L
.42389 .43221 L
.42275 .43159 L
.42196 .43065 L
.42128 .42967 L
.42003 .42823 L
.41967 .42774 L
.41823 .42581 L
.41811 .42563 L
.41668 .42389 L
.41618 .42295 L
.41551 .42196 L
.41425 .4203 L
.41395 .42003 L
.41255 .41811 L
.41232 .41786 L
.41104 .41618 L
.4104 .4152 L
.40988 .41425 L
.40847 .4125 L
.40834 .41232 L
.40696 .4104 L
.40654 .40982 L
.40547 .40847 L
.40462 .4074 L
.40432 .40654 L
.40289 .40462 L
.40269 .4043 L
.40107 .40269 L
.40114 .40076 L
F
1 .98 0 r
.40269 .38325 m
.40278 .38342 L
.40462 .38534 L
.40462 .38535 L
.40625 .38727 L
.40654 .38762 L
.40778 .3892 L
.40847 .39013 L
.4092 .39113 L
.4104 .39299 L
.41048 .39306 L
.4112 .39498 L
.4104 .39539 L
.40977 .39498 L
.40847 .39384 L
.40779 .39306 L
.40654 .39159 L
.40621 .39113 L
.40475 .3892 L
.40462 .38902 L
.40347 .38727 L
.40269 .38614 L
.40222 .38535 L
.40115 .38342 L
F
1 .86 0 r
.40269 .40776 m
.40344 .40847 L
.40462 .4096 L
.4053 .4104 L
.40654 .41165 L
.40696 .41232 L
.40847 .41419 L
.40854 .41425 L
.40997 .41618 L
.4104 .41673 L
.41139 .41811 L
.41232 .41936 L
.4128 .42003 L
.41414 .42196 L
.41425 .42211 L
.41535 .42389 L
.41618 .42527 L
.41645 .42581 L
.41618 .42741 L
.41425 .42614 L
.41398 .42581 L
.41232 .42409 L
.41202 .42389 L
.41055 .42196 L
.4104 .42178 L
.40904 .42003 L
.40847 .41931 L
.40758 .41811 L
.40654 .41687 L
.40595 .41618 L
.40482 .41425 L
.40462 .41396 L
.40354 .41232 L
.40269 .41098 L
.40234 .4104 L
.4014 .40847 L
F
1 .62 0 r
.40269 .45076 m
.40278 .45086 L
.40451 .45279 L
.40462 .4529 L
.40613 .45472 L
.40654 .45518 L
.40773 .45664 L
.40847 .45752 L
.40931 .45857 L
.4104 .45973 L
.41087 .4605 L
.41232 .46233 L
.41242 .46242 L
.41388 .46435 L
.41425 .4648 L
.41538 .46628 L
.41618 .46711 L
.41688 .46821 L
.41811 .46978 L
.41843 .47013 L
.41982 .47206 L
.42003 .47233 L
.42128 .47399 L
.42196 .47471 L
.4234 .47591 L
.42389 .4774 L
.42425 .47784 L
.42563 .47977 L
.42581 .48 L
.42707 .48169 L
.42774 .48242 L
.42901 .48362 L
.42967 .48514 L
.42999 .48555 L
.43137 .48747 L
.43159 .48777 L
.43279 .4894 L
.43352 .49021 L
.43461 .49133 L
.43545 .49297 L
.43567 .49326 L
.43705 .49518 L
.43737 .49561 L
.43846 .49711 L
.4393 .49809 L
.44017 .49904 L
.44123 .50086 L
.4413 .50096 L
.44268 .50289 L
.44316 .50353 L
.44408 .50482 L
.44508 .50605 L
.44569 .50674 L
.44688 .50867 L
.44701 .50884 L
.44825 .5106 L
.44894 .51152 L
.44964 .51253 L
.45086 .51412 L
.45113 .51445 L
.4524 .51638 L
.45279 .5169 L
.45376 .51831 L
.45472 .51917 L
.45514 .52023 L
.45651 .52216 L
.45664 .52235 L
.45781 .52409 L
.45857 .52513 L
.45916 .52601 L
.4605 .52788 L
.46055 .52794 L
.46176 .52987 L
.46242 .53081 L
.46303 .53179 L
.46433 .53372 L
.46435 .53376 L
.46535 .53565 L
.46628 .53743 L
.46629 .53758 L
.46628 .53762 L
.46617 .53758 L
.46435 .53605 L
.46399 .53565 L
.46242 .53416 L
.46225 .53372 L
.46061 .53179 L
.4605 .53167 L
.45903 .52987 L
.45857 .52933 L
.45746 .52794 L
.45664 .52745 L
.45591 .52601 L
.45472 .52459 L
.4541 .52409 L
.45287 .52216 L
.45279 .52206 L
.45138 .52023 L
.45086 .51994 L
.44989 .51831 L
.44894 .51715 L
.44813 .51638 L
.44701 .51455 L
.44693 .51445 L
.44548 .51253 L
.44508 .51228 L
.44402 .5106 L
.44316 .50953 L
.44235 .50867 L
.44123 .50689 L
.44113 .50674 L
.43969 .50482 L
.4393 .50456 L
.43825 .50289 L
.43737 .5018 L
.43664 .50096 L
.43545 .49913 L
.43539 .49904 L
.43397 .49711 L
.43352 .49678 L
.43254 .49518 L
.43159 .49398 L
.43099 .49326 L
.4297 .49133 L
.42967 .49129 L
.4283 .4894 L
.42774 .48894 L
.42689 .48747 L
.42581 .48608 L
.42539 .48555 L
.42407 .48362 L
.42389 .48337 L
.42268 .48169 L
.42196 .48101 L
.42072 .47977 L
.42003 .4781 L
.41984 .47784 L
.4185 .47591 L
.41811 .47538 L
.41712 .47399 L
.41618 .47294 L
.41537 .47206 L
.41435 .47013 L
.41425 .47 L
.41301 .46821 L
.41232 .46727 L
.41164 .46628 L
.4104 .46465 L
.41015 .46435 L
.40895 .46242 L
.40847 .46177 L
.40763 .4605 L
.40654 .45897 L
.40628 .45857 L
.40501 .45664 L
.40462 .45609 L
.40377 .45472 L
.40269 .45312 L
.4025 .45279 L
.40145 .45086 L
F
0 .97 1 r
.40269 .40094 m
.40462 .40181 L
.40631 .40269 L
.40654 .40298 L
.40812 .40462 L
.40847 .40513 L
.41008 .40654 L
.4104 .40765 L
.41122 .40847 L
.41232 .41026 L
.41248 .4104 L
.41414 .41232 L
.41425 .41246 L
.41582 .41425 L
.41618 .4151 L
.41697 .41618 L
.41811 .41775 L
.41818 .41811 L
.41983 .42003 L
.42003 .42019 L
.42146 .42196 L
.42196 .42283 L
.42259 .42389 L
.42389 .42561 L
.42402 .42581 L
.42536 .42774 L
.42581 .42844 L
.42687 .42967 L
.42743 .43159 L
.42581 .43223 L
.42389 .43184 L
.42328 .43159 L
.42196 .43037 L
.42144 .42967 L
.42003 .42805 L
.4198 .42774 L
.41833 .42581 L
.41811 .42549 L
.41674 .42389 L
.41618 .42284 L
.41557 .42196 L
.41425 .42023 L
.41402 .42003 L
.41262 .41811 L
.41232 .41779 L
.4111 .41618 L
.4104 .4151 L
.40994 .41425 L
.40847 .41239 L
.40842 .41232 L
.40705 .4104 L
.40654 .40967 L
.40558 .40847 L
.40462 .40712 L
.40442 .40654 L
.40311 .40462 L
.40269 .40388 L
.40147 .40269 L
F
0 .99 1 r
.40269 .37375 m
.40272 .37379 L
.40439 .37571 L
.40462 .37596 L
.40597 .37764 L
.40654 .37831 L
.40752 .37957 L
.40847 .38064 L
.40905 .38149 L
.4104 .38319 L
.41063 .38342 L
.41204 .38535 L
.41232 .38556 L
.4135 .38727 L
.41425 .38817 L
.41519 .3892 L
.41618 .39089 L
.41636 .39113 L
.41769 .39306 L
.41811 .39368 L
.41895 .39498 L
.41992 .39691 L
.41811 .39754 L
.41695 .39691 L
.41618 .39626 L
.41496 .39498 L
.41425 .39475 L
.41339 .39306 L
.41232 .39196 L
.41191 .39113 L
.41048 .3892 L
.4104 .38909 L
.40916 .38727 L
.40847 .3863 L
.40785 .38535 L
.40654 .38342 L
.40654 .38342 L
.40538 .38149 L
.40462 .38023 L
.40426 .37957 L
.40324 .37764 L
.40269 .37655 L
.40234 .37571 L
.40156 .37379 L
F
1 .85 0 r
.40269 .40803 m
.40319 .40847 L
.40462 .40978 L
.40516 .4104 L
.40654 .41182 L
.40685 .41232 L
.40841 .41425 L
.40847 .41432 L
.40987 .41618 L
.4104 .41685 L
.4113 .41811 L
.41232 .41948 L
.41271 .42003 L
.41403 .42196 L
.41425 .42228 L
.41522 .42389 L
.41618 .42559 L
.41628 .42581 L
.41618 .42698 L
.41425 .4259 L
.41418 .42581 L
.41232 .42392 L
.41227 .42389 L
.41067 .42196 L
.4104 .42164 L
.40915 .42003 L
.40847 .41917 L
.40768 .41811 L
.40654 .4167 L
.4061 .41618 L
.40494 .41425 L
.40462 .41379 L
.40367 .41232 L
.40269 .41074 L
.40249 .4104 L
.40169 .40847 L
F
1 .97 0 r
.40269 .43431 m
.40408 .43545 L
.40462 .43593 L
.40607 .43737 L
.40654 .43768 L
.40784 .4393 L
.40847 .44001 L
.40948 .44123 L
.4104 .44237 L
.41117 .44316 L
.41232 .4448 L
.41257 .44508 L
.41406 .44701 L
.41425 .44726 L
.41581 .44894 L
.41618 .44979 L
.41703 .45086 L
.41811 .45235 L
.41839 .45279 L
.41993 .45472 L
.42003 .45487 L
.42143 .45664 L
.42196 .45747 L
.42267 .45857 L
.42389 .46011 L
.42431 .4605 L
.42579 .46242 L
.42581 .46254 L
.42712 .46435 L
.42774 .46523 L
.42821 .46628 L
.42967 .46799 L
.43009 .46821 L
.43154 .47013 L
.43159 .47027 L
.43283 .47206 L
.43352 .47301 L
.43382 .47399 L
.43545 .47541 L
.43583 .47591 L
.43727 .47784 L
.43737 .47805 L
.43852 .47977 L
.4393 .48082 L
.44012 .48169 L
.44123 .48323 L
.44153 .48362 L
.44297 .48555 L
.44316 .48589 L
.44419 .48747 L
.44508 .48865 L
.4458 .4894 L
.44701 .49107 L
.4472 .49133 L
.44864 .49326 L
.44894 .49375 L
.44982 .49518 L
.45086 .4965 L
.45147 .49711 L
.45279 .49895 L
.45286 .49904 L
.45429 .50096 L
.45472 .50163 L
.45545 .50289 L
.45664 .50436 L
.45712 .50482 L
.45851 .50674 L
.45857 .50683 L
.45993 .50867 L
.4605 .50951 L
.46106 .5106 L
.46242 .51221 L
.46276 .51253 L
.4643 .51445 L
.46435 .51471 L
.46556 .51638 L
.46628 .5174 L
.46668 .51831 L
.46821 .52006 L
.4684 .52023 L
.46998 .52216 L
.47013 .5226 L
.47118 .52409 L
.47206 .52529 L
.47231 .52601 L
.47399 .5279 L
.47403 .52794 L
.47564 .52987 L
.47591 .53049 L
.47681 .53179 L
.47784 .53318 L
.47795 .53372 L
.47967 .53565 L
.47977 .53575 L
.48127 .53758 L
.48169 .53839 L
.48242 .5395 L
.48362 .54108 L
.48362 .54143 L
.48529 .54336 L
.48555 .54361 L
.48689 .54528 L
.48747 .54629 L
.48804 .54721 L
.4894 .54898 L
.48953 .54914 L
.49092 .55106 L
.49133 .55149 L
.4925 .55299 L
.49326 .55421 L
.49366 .55492 L
.49514 .55684 L
.49518 .5569 L
.49653 .55877 L
.49711 .55939 L
.49809 .5607 L
.49904 .56215 L
.49929 .56263 L
.50075 .56455 L
.50096 .56485 L
.50273 .56648 L
.50289 .56733 L
.50366 .56841 L
.50482 .57013 L
.50492 .57033 L
.50633 .57226 L
.50674 .57282 L
.50825 .57419 L
.50867 .57534 L
.50921 .57611 L
.51052 .57804 L
.5106 .57815 L
.51188 .57997 L
.51253 .58037 L
.5137 .58189 L
.51445 .58344 L
.5147 .58382 L
.51602 .58575 L
.51638 .58624 L
.51736 .58768 L
.51831 .5886 L
.51902 .5896 L
.5201 .59153 L
.52023 .59171 L
.5214 .59346 L
.52216 .59453 L
.52272 .59538 L
.52406 .59731 L
.52409 .59735 L
.52526 .59924 L
.52601 .60035 L
.52649 .60116 L
.52765 .60309 L
.52794 .60358 L
.5285 .60502 L
.52794 .60553 L
.52734 .60502 L
.52601 .60383 L
.5253 .60309 L
.52409 .60191 L
.52349 .60116 L
.52216 .59963 L
.52164 .59924 L
.52023 .59738 L
.52017 .59731 L
.51855 .59538 L
.51831 .59511 L
.51697 .59346 L
.51638 .59268 L
.51531 .59153 L
.51445 .59018 L
.51405 .5896 L
.51253 .58774 L
.51238 .58768 L
.51089 .58575 L
.5106 .58534 L
.50937 .58382 L
.50867 .58273 L
.50817 .58189 L
.50674 .58011 L
.50645 .57997 L
.505 .57804 L
.50482 .57777 L
.50356 .57611 L
.50289 .5751 L
.5024 .57419 L
.50096 .5724 L
.50065 .57226 L
.4991 .57033 L
.49904 .57006 L
.49783 .56841 L
.49711 .56735 L
.49671 .56648 L
.49518 .56465 L
.49492 .56455 L
.49339 .56263 L
.49326 .56226 L
.49215 .5607 L
.49133 .55954 L
.49106 .55877 L
.4894 .55689 L
.48923 .55684 L
.4877 .55492 L
.48747 .55442 L
.48649 .55299 L
.48555 .5517 L
.48542 .55106 L
.48362 .54915 L
.48356 .54914 L
.48203 .54721 L
.48169 .54656 L
.48085 .54528 L
.47977 .54385 L
.4793 .54336 L
.4779 .54143 L
.47784 .54135 L
.47638 .5395 L
.47591 .53868 L
.47521 .53758 L
.47399 .536 L
.47365 .53565 L
.47225 .53372 L
.47206 .53348 L
.47074 .53179 L
.47013 .5308 L
.46958 .52987 L
.46821 .52814 L
.46801 .52794 L
.46661 .52601 L
.46628 .5256 L
.46511 .52409 L
.46435 .52292 L
.46395 .52216 L
.46242 .52029 L
.46237 .52023 L
.46059 .51831 L
.4605 .51772 L
.45949 .51638 L
.45857 .51503 L
.4583 .51445 L
.45673 .51253 L
.45664 .51245 L
.45496 .5106 L
.45472 .50983 L
.45387 .50867 L
.45279 .50713 L
.45264 .50674 L
.4511 .50482 L
.45086 .50461 L
.44935 .50289 L
.44894 .50193 L
.44825 .50096 L
.44701 .49923 L
.44696 .49904 L
.44547 .49711 L
.44508 .49675 L
.44375 .49518 L
.44316 .49402 L
.44264 .49326 L
.44123 .49133 L
.44123 .49132 L
.43985 .4894 L
.4393 .48887 L
.43816 .48747 L
.43737 .48609 L
.43702 .48555 L
.43562 .48362 L
.43545 .48339 L
.43423 .48169 L
.43352 .48096 L
.43259 .47977 L
.43159 .47814 L
.43141 .47784 L
.43002 .47591 L
.42967 .47545 L
.42863 .47399 L
.42774 .473 L
.42703 .47206 L
.42581 .47017 L
.42579 .47013 L
.42443 .46821 L
.42389 .46748 L
.42235 .46628 L
.42196 .46498 L
.4215 .46435 L
.42023 .46242 L
.42003 .46217 L
.41887 .4605 L
.41811 .45947 L
.41698 .45857 L
.41618 .45686 L
.41602 .45664 L
.41471 .45472 L
.41425 .4541 L
.41335 .45279 L
.41232 .45168 L
.41172 .45086 L
.4106 .44894 L
.4104 .44867 L
.40928 .44701 L
.40847 .44589 L
.40794 .44508 L
.40657 .44316 L
.40654 .44312 L
.40532 .44123 L
.40462 .44022 L
.40405 .4393 L
.40278 .43737 L
.40269 .43723 L
.40175 .43545 L
F
0 .86 1 r
.40269 .44295 m
.40291 .44316 L
.40462 .44462 L
.40485 .44508 L
.40654 .44695 L
.40666 .44701 L
.40825 .44894 L
.40847 .44919 L
.40987 .45086 L
.4104 .45123 L
.41146 .45279 L
.41232 .45382 L
.41342 .45472 L
.41425 .45629 L
.41455 .45664 L
.41607 .45857 L
.41618 .45865 L
.41759 .4605 L
.41811 .46115 L
.41935 .46242 L
.42003 .4637 L
.42051 .46435 L
.42196 .4662 L
.42196 .46628 L
.42352 .46821 L
.42389 .46868 L
.42515 .47013 L
.42581 .47129 L
.42633 .47206 L
.42774 .47385 L
.4279 .47399 L
.42934 .47591 L
.42967 .47634 L
.43089 .47784 L
.43159 .47898 L
.43208 .47977 L
.43352 .48157 L
.43367 .48169 L
.4351 .48362 L
.43545 .48408 L
.4366 .48555 L
.43737 .48674 L
.43778 .48747 L
.4393 .48933 L
.43939 .4894 L
.4412 .49133 L
.44123 .49188 L
.44227 .49326 L
.44316 .49455 L
.44346 .49518 L
.44507 .49711 L
.44508 .49712 L
.44684 .49904 L
.44701 .49972 L
.44793 .50096 L
.44894 .5024 L
.44914 .50289 L
.45074 .50482 L
.45086 .50494 L
.45247 .50674 L
.45279 .50759 L
.45356 .50867 L
.45472 .51026 L
.45482 .5106 L
.45638 .51253 L
.45664 .51279 L
.45808 .51445 L
.45857 .51548 L
.45919 .51638 L
.4605 .51815 L
.46052 .51831 L
.46201 .52023 L
.46242 .52067 L
.46368 .52216 L
.46435 .5234 L
.4648 .52409 L
.46623 .52601 L
.46628 .52608 L
.46762 .52794 L
.46821 .52858 L
.46924 .52987 L
.47013 .53135 L
.47041 .53179 L
.47182 .53372 L
.47206 .53405 L
.4732 .53565 L
.47399 .53655 L
.47478 .53758 L
.47591 .53936 L
.476 .5395 L
.47737 .54143 L
.47784 .54206 L
.47875 .54336 L
.47977 .54461 L
.48026 .54528 L
.48152 .54721 L
.48169 .54744 L
.48287 .54914 L
.48362 .54967 L
.48481 .55106 L
.48555 .55284 L
.48566 .55299 L
.48695 .55492 L
.48747 .55565 L
.48828 .55684 L
.4894 .55816 L
.48987 .55877 L
.49093 .5607 L
.49133 .56126 L
.4922 .56263 L
.49326 .56417 L
.4935 .56455 L
.49468 .56648 L
.49518 .56725 L
.49579 .56841 L
.49518 .56965 L
.49398 .56841 L
.49326 .56769 L
.49219 .56648 L
.49133 .56553 L
.49049 .56455 L
.4894 .56335 L
.48886 .56263 L
.48747 .56094 L
.48723 .5607 L
.48572 .55877 L
.48555 .55874 L
.48417 .55684 L
.48362 .55621 L
.48198 .55492 L
.48169 .55368 L
.4811 .55299 L
.47977 .55119 L
.4797 .55106 L
.47815 .54914 L
.47784 .54876 L
.47626 .54721 L
.47591 .54618 L
.47521 .54528 L
.47399 .54361 L
.47389 .54336 L
.47229 .54143 L
.47206 .54115 L
.47055 .5395 L
.47013 .53854 L
.46943 .53758 L
.46821 .53593 L
.46815 .53565 L
.46651 .53372 L
.46628 .53344 L
.46486 .53179 L
.46435 .5308 L
.46371 .52987 L
.46242 .52818 L
.46242 .52794 L
.46078 .52601 L
.4605 .52567 L
.45918 .52409 L
.45857 .52301 L
.45802 .52216 L
.45664 .52039 L
.4565 .52023 L
.45509 .51831 L
.45472 .51785 L
.45353 .51638 L
.45279 .51518 L
.45235 .51445 L
.45086 .51257 L
.45082 .51253 L
.44942 .5106 L
.44894 .51 L
.44789 .50867 L
.44701 .50732 L
.44669 .50674 L
.44517 .50482 L
.44508 .50475 L
.44324 .50289 L
.44316 .50213 L
.44227 .50096 L
.44123 .49943 L
.44104 .49904 L
.43954 .49711 L
.4393 .49692 L
.43766 .49518 L
.43737 .49423 L
.43666 .49326 L
.43545 .49152 L
.43537 .49133 L
.43392 .4894 L
.43352 .48906 L
.4321 .48747 L
.43159 .48629 L
.43106 .48555 L
.4297 .48362 L
.42967 .48358 L
.42832 .48169 L
.42774 .48114 L
.42657 .47977 L
.42581 .47831 L
.42549 .47784 L
.42413 .47591 L
.42389 .47559 L
.42275 .47399 L
.42196 .47315 L
.42108 .47206 L
.42003 .47027 L
.41994 .47013 L
.4186 .46821 L
.41811 .46754 L
.41722 .46628 L
.41618 .46502 L
.41566 .46435 L
.41446 .46242 L
.41425 .46214 L
.41313 .4605 L
.41232 .45939 L
.41177 .45857 L
.4104 .45666 L
.41038 .45664 L
.4091 .45472 L
.40847 .45383 L
.40779 .45279 L
.40654 .45101 L
.40645 .45086 L
.40523 .44894 L
.40462 .44804 L
.40401 .44701 L
.40279 .44508 L
.40269 .44492 L
.40197 .44316 L
F
1 .84 0 r
.40269 .40834 m
.40286 .40847 L
.40462 .40997 L
.405 .4104 L
.40654 .41201 L
.40673 .41232 L
.4083 .41425 L
.40847 .41445 L
.40977 .41618 L
.4104 .41698 L
.41121 .41811 L
.41232 .41961 L
.41262 .42003 L
.41392 .42196 L
.41425 .42246 L
.41509 .42389 L
.41425 .42566 L
.41246 .42389 L
.41232 .42375 L
.4108 .42196 L
.4104 .42149 L
.40926 .42003 L
.40847 .41903 L
.40778 .41811 L
.40654 .41652 L
.40626 .41618 L
.40505 .41425 L
.40462 .41361 L
.4038 .41232 L
.40269 .41047 L
.40265 .4104 L
.40211 .40847 L
F
0 .96 1 r
.40269 .40173 m
.40462 .40225 L
.40584 .40269 L
.40654 .40342 L
.40788 .40462 L
.40847 .40543 L
.40997 .40654 L
.4104 .40783 L
.41111 .40847 L
.41232 .41031 L
.41244 .4104 L
.41405 .41232 L
.41425 .41257 L
.41577 .41425 L
.41618 .4152 L
.41691 .41618 L
.41811 .41783 L
.41817 .41811 L
.41976 .42003 L
.42003 .42025 L
.42141 .42196 L
.42196 .42293 L
.42252 .42389 L
.42389 .42574 L
.42393 .42581 L
.42524 .42774 L
.42581 .42864 L
.42669 .42967 L
.42689 .43159 L
.42581 .43195 L
.42404 .43159 L
.42389 .43152 L
.42196 .43011 L
.4216 .42967 L
.42003 .42788 L
.41993 .42774 L
.41843 .42581 L
.41811 .42536 L
.41681 .42389 L
.41618 .42274 L
.41563 .42196 L
.41425 .42017 L
.4141 .42003 L
.41269 .41811 L
.41232 .41771 L
.41116 .41618 L
.4104 .415 L
.41 .41425 L
.40851 .41232 L
.40847 .41227 L
.40715 .4104 L
.40654 .40952 L
.40569 .40847 L
.40462 .4068 L
.40453 .40654 L
.40334 .40462 L
.40269 .40329 L
.40218 .40269 L
F
0 .37 1 r
.40269 .4586 m
.40417 .4605 L
.40462 .46101 L
.40569 .46242 L
.40654 .46345 L
.40722 .46435 L
.40847 .46591 L
.40874 .46628 L
.41022 .46821 L
.4104 .46842 L
.41165 .47013 L
.41232 .47097 L
.41312 .47206 L
.41425 .47352 L
.41459 .47399 L
.41604 .47591 L
.41618 .47609 L
.41744 .47784 L
.41811 .4787 L
.41887 .47977 L
.42003 .4813 L
.42032 .48169 L
.42172 .48362 L
.42196 .48393 L
.42309 .48555 L
.42389 .48659 L
.4245 .48747 L
.42581 .48907 L
.42593 .4894 L
.42727 .49133 L
.42774 .49195 L
.42862 .49326 L
.42967 .49466 L
.43002 .49518 L
.43137 .49711 L
.43159 .49741 L
.43264 .49904 L
.43352 .50025 L
.43396 .50096 L
.43352 .50258 L
.43224 .50096 L
.43159 .50023 L
.43067 .49904 L
.42967 .49783 L
.42912 .49711 L
.42774 .49555 L
.42759 .49518 L
.42612 .49326 L
.42581 .49288 L
.42465 .49133 L
.42389 .49036 L
.42317 .4894 L
.42196 .48808 L
.42169 .48747 L
.42026 .48555 L
.42003 .48526 L
.41884 .48362 L
.41811 .48268 L
.41739 .48169 L
.41618 .48029 L
.41595 .47977 L
.41455 .47784 L
.41425 .47746 L
.41315 .47591 L
.41232 .47482 L
.41174 .47399 L
.4104 .47225 L
.41032 .47206 L
.40897 .47013 L
.40847 .46947 L
.4076 .46821 L
.40654 .46677 L
.40621 .46628 L
.40486 .46435 L
.40462 .46403 L
.40356 .46242 L
.40269 .46122 L
.40222 .4605 L
F
0 .36 1 r
.40269 .45869 m
.4041 .4605 L
.40462 .46108 L
.40564 .46242 L
.40654 .46351 L
.40718 .46435 L
.40847 .46597 L
.4087 .46628 L
.41017 .46821 L
.4104 .46848 L
.41162 .47013 L
.41232 .47102 L
.41308 .47206 L
.41425 .47356 L
.41456 .47399 L
.416 .47591 L
.41618 .47613 L
.4174 .47784 L
.41811 .47874 L
.41884 .47977 L
.42003 .48134 L
.42029 .48169 L
.42169 .48362 L
.42196 .48397 L
.42306 .48555 L
.42389 .48663 L
.42447 .48747 L
.42581 .48916 L
.4259 .4894 L
.42723 .49133 L
.42774 .492 L
.42859 .49326 L
.42967 .49472 L
.42998 .49518 L
.43131 .49711 L
.43159 .49748 L
.43258 .49904 L
.43352 .50033 L
.43391 .50096 L
.43352 .50249 L
.43231 .50096 L
.43159 .50016 L
.43073 .49904 L
.42967 .49777 L
.42916 .49711 L
.42774 .49545 L
.42763 .49518 L
.42617 .49326 L
.42581 .49283 L
.42469 .49133 L
.42389 .49031 L
.42321 .4894 L
.42196 .488 L
.42173 .48747 L
.4203 .48555 L
.42003 .48522 L
.41887 .48362 L
.41811 .48263 L
.41743 .48169 L
.41618 .48022 L
.41598 .47977 L
.41458 .47784 L
.41425 .47741 L
.41319 .47591 L
.41232 .47477 L
.41177 .47399 L
.4104 .47217 L
.41035 .47206 L
.40901 .47013 L
.40847 .46942 L
.40764 .46821 L
.40654 .46672 L
.40624 .46628 L
.40491 .46435 L
.40462 .46396 L
.40361 .46242 L
.40269 .46115 L
.40227 .4605 L
F
1 .32 0 r
.40269 .46709 m
.40341 .46821 L
.40462 .46971 L
.40489 .47013 L
.40462 .47125 L
.40385 .47013 L
.40269 .46873 L
.40233 .46821 L
F
0 .35 1 r
.40269 .45878 m
.40403 .4605 L
.40462 .46115 L
.40558 .46242 L
.40654 .46357 L
.40713 .46435 L
.40847 .46602 L
.40866 .46628 L
.41013 .46821 L
.4104 .46853 L
.41158 .47013 L
.41232 .47106 L
.41305 .47206 L
.41425 .4736 L
.41453 .47399 L
.41597 .47591 L
.41618 .47618 L
.41737 .47784 L
.41811 .47878 L
.41881 .47977 L
.42003 .48138 L
.42026 .48169 L
.42165 .48362 L
.42196 .48402 L
.42303 .48555 L
.42389 .48668 L
.42444 .48747 L
.42581 .48925 L
.42587 .4894 L
.42719 .49133 L
.42774 .49205 L
.42855 .49326 L
.42967 .49477 L
.42994 .49518 L
.43126 .49711 L
.43159 .49756 L
.43252 .49904 L
.43352 .50042 L
.43385 .50096 L
.43352 .50238 L
.43239 .50096 L
.43159 .50008 L
.43079 .49904 L
.42967 .4977 L
.42921 .49711 L
.42774 .49534 L
.42767 .49518 L
.42621 .49326 L
.42581 .49277 L
.42474 .49133 L
.42389 .49026 L
.42325 .4894 L
.42196 .48793 L
.42176 .48747 L
.42033 .48555 L
.42003 .48517 L
.41891 .48362 L
.41811 .48259 L
.41746 .48169 L
.41618 .48015 L
.41601 .47977 L
.41462 .47784 L
.41425 .47736 L
.41322 .47591 L
.41232 .47472 L
.4118 .47399 L
.4104 .47209 L
.41038 .47206 L
.40905 .47013 L
.40847 .46937 L
.40768 .46821 L
.40654 .46666 L
.40628 .46628 L
.40496 .46435 L
.40462 .46389 L
.40367 .46242 L
.40269 .46107 L
.40233 .4605 L
F
0 .34 1 r
.40269 .45888 m
.40396 .4605 L
.40462 .46123 L
.40553 .46242 L
.40654 .46363 L
.40708 .46435 L
.40847 .46607 L
.40862 .46628 L
.41009 .46821 L
.4104 .46858 L
.41154 .47013 L
.41232 .47111 L
.41301 .47206 L
.41425 .47365 L
.4145 .47399 L
.41593 .47591 L
.41618 .47623 L
.41733 .47784 L
.41811 .47883 L
.41877 .47977 L
.42003 .48142 L
.42022 .48169 L
.42161 .48362 L
.42196 .48407 L
.42299 .48555 L
.42389 .48672 L
.42441 .48747 L
.42581 .48934 L
.42583 .4894 L
.42715 .49133 L
.42774 .49211 L
.4285 .49326 L
.42967 .49483 L
.4299 .49518 L
.4312 .49711 L
.43159 .49763 L
.43246 .49904 L
.43352 .50051 L
.43379 .50096 L
.43352 .50227 L
.43248 .50096 L
.43159 .5 L
.43085 .49904 L
.42967 .49763 L
.42926 .49711 L
.42774 .49524 L
.42772 .49518 L
.42626 .49326 L
.42581 .49272 L
.42478 .49133 L
.42389 .49021 L
.42328 .4894 L
.42196 .48785 L
.4218 .48747 L
.42037 .48555 L
.42003 .48512 L
.41894 .48362 L
.41811 .48254 L
.41749 .48169 L
.41618 .48008 L
.41604 .47977 L
.41466 .47784 L
.41425 .47732 L
.41326 .47591 L
.41232 .47467 L
.41184 .47399 L
.41042 .47206 L
.4104 .47203 L
.40909 .47013 L
.40847 .46931 L
.40772 .46821 L
.40654 .4666 L
.40632 .46628 L
.40501 .46435 L
.40462 .46382 L
.40372 .46242 L
.40269 .46099 L
.40238 .4605 L
F
1 .31 0 r
.40269 .46722 m
.40331 .46821 L
.40462 .46983 L
.40481 .47013 L
.40462 .47111 L
.40396 .47013 L
.40269 .46861 L
.40241 .46821 L
F
0 .33 1 r
.40269 .45898 m
.40388 .4605 L
.40462 .4613 L
.40547 .46242 L
.40654 .46369 L
.40704 .46435 L
.40847 .46613 L
.40858 .46628 L
.41004 .46821 L
.4104 .46864 L
.4115 .47013 L
.41232 .47116 L
.41298 .47206 L
.41425 .4737 L
.41446 .47399 L
.41589 .47591 L
.41618 .47627 L
.4173 .47784 L
.41811 .47887 L
.41874 .47977 L
.42003 .48147 L
.42019 .48169 L
.42157 .48362 L
.42196 .48411 L
.42295 .48555 L
.42389 .48677 L
.42437 .48747 L
.4258 .4894 L
.42581 .48942 L
.42711 .49133 L
.42774 .49217 L
.42846 .49326 L
.42967 .49489 L
.42986 .49518 L
.43114 .49711 L
.43159 .49771 L
.4324 .49904 L
.43352 .50061 L
.43372 .50096 L
.43352 .50215 L
.43257 .50096 L
.43159 .49991 L
.43091 .49904 L
.42967 .49757 L
.42932 .49711 L
.42777 .49518 L
.42774 .49515 L
.42631 .49326 L
.42581 .49266 L
.42482 .49133 L
.42389 .49016 L
.42332 .4894 L
.42196 .48776 L
.42184 .48747 L
.42041 .48555 L
.42003 .48507 L
.41898 .48362 L
.41811 .48249 L
.41753 .48169 L
.41618 .48 L
.41608 .47977 L
.4147 .47784 L
.41425 .47727 L
.4133 .47591 L
.41232 .47463 L
.41187 .47399 L
.41046 .47206 L
.4104 .47197 L
.40913 .47013 L
.40847 .46925 L
.40776 .46821 L
.40654 .46654 L
.40636 .46628 L
.40507 .46435 L
.40462 .46374 L
.40378 .46242 L
.40269 .4609 L
.40244 .4605 L
F
0 .32 1 r
.40269 .4591 m
.40379 .4605 L
.40462 .46138 L
.40541 .46242 L
.40654 .46376 L
.40699 .46435 L
.40847 .46619 L
.40854 .46628 L
.40999 .46821 L
.4104 .46869 L
.41145 .47013 L
.41232 .47121 L
.41294 .47206 L
.41425 .47374 L
.41443 .47399 L
.41585 .47591 L
.41618 .47632 L
.41726 .47784 L
.41811 .47892 L
.41871 .47977 L
.42003 .48151 L
.42016 .48169 L
.42153 .48362 L
.42196 .48416 L
.42292 .48555 L
.42389 .48682 L
.42434 .48747 L
.42575 .4894 L
.42581 .48948 L
.42706 .49133 L
.42774 .49222 L
.42842 .49326 L
.42967 .49495 L
.42982 .49518 L
.43108 .49711 L
.43159 .4978 L
.43233 .49904 L
.43352 .50073 L
.43365 .50096 L
.43352 .502 L
.43268 .50096 L
.43159 .49982 L
.43098 .49904 L
.42967 .49749 L
.42937 .49711 L
.42783 .49518 L
.42774 .49508 L
.42636 .49326 L
.42581 .4926 L
.42487 .49133 L
.42389 .49011 L
.42336 .4894 L
.42196 .48768 L
.42187 .48747 L
.42046 .48555 L
.42003 .48502 L
.41902 .48362 L
.41811 .48244 L
.41756 .48169 L
.41618 .47992 L
.41611 .47977 L
.41474 .47784 L
.41425 .47722 L
.41333 .47591 L
.41232 .47458 L
.41191 .47399 L
.41051 .47206 L
.4104 .47192 L
.40918 .47013 L
.40847 .4692 L
.4078 .46821 L
.40654 .46648 L
.40641 .46628 L
.40513 .46435 L
.40462 .46366 L
.40384 .46242 L
.40269 .4608 L
.40251 .4605 L
F
1 .3 0 r
.40269 .46738 m
.40318 .46821 L
.40462 .46997 L
.40472 .47013 L
.40462 .47093 L
.4041 .47013 L
.40269 .46847 L
.40251 .46821 L
F
1 .61 0 r
.40269 .45091 m
.40439 .45279 L
.40462 .45301 L
.40605 .45472 L
.40654 .45526 L
.40766 .45664 L
.40847 .45759 L
.40925 .45857 L
.4104 .4598 L
.41082 .4605 L
.41232 .46239 L
.41236 .46242 L
.41384 .46435 L
.41425 .46486 L
.41534 .46628 L
.41618 .46716 L
.41684 .46821 L
.41811 .46982 L
.41839 .47013 L
.41979 .47206 L
.42003 .47237 L
.42125 .47399 L
.42196 .47474 L
.42337 .47591 L
.42389 .47744 L
.42422 .47784 L
.42561 .47977 L
.42581 .48003 L
.42704 .48169 L
.42774 .48245 L
.42899 .48362 L
.42967 .48518 L
.42996 .48555 L
.43135 .48747 L
.43159 .4878 L
.43277 .4894 L
.43352 .49024 L
.43458 .49133 L
.43545 .493 L
.43564 .49326 L
.43703 .49518 L
.43737 .49564 L
.43843 .49711 L
.4393 .49812 L
.44014 .49904 L
.44123 .5009 L
.44128 .50096 L
.44265 .50289 L
.44316 .50356 L
.44405 .50482 L
.44508 .50608 L
.44566 .50674 L
.44686 .50867 L
.44701 .50887 L
.44823 .5106 L
.44894 .51156 L
.44962 .51253 L
.45086 .51417 L
.4511 .51445 L
.45237 .51638 L
.45279 .51695 L
.45373 .51831 L
.45472 .51924 L
.45511 .52023 L
.45647 .52216 L
.45664 .5224 L
.45778 .52409 L
.45857 .52519 L
.45912 .52601 L
.46047 .52794 L
.4605 .52798 L
.4617 .52987 L
.46242 .5309 L
.46297 .53179 L
.46423 .53372 L
.46435 .5339 L
.4652 .53565 L
.46435 .5359 L
.46412 .53565 L
.46242 .53394 L
.46234 .53372 L
.4607 .53179 L
.4605 .53158 L
.4591 .52987 L
.45857 .52926 L
.45752 .52794 L
.45664 .52738 L
.45596 .52601 L
.45472 .52452 L
.45418 .52409 L
.45291 .52216 L
.45279 .52201 L
.45142 .52023 L
.45086 .51991 L
.44993 .51831 L
.44894 .5171 L
.44817 .51638 L
.44701 .51451 L
.44697 .51445 L
.44552 .51253 L
.44508 .51226 L
.44405 .5106 L
.44316 .50949 L
.44238 .50867 L
.44123 .50685 L
.44115 .50674 L
.43972 .50482 L
.4393 .50454 L
.43828 .50289 L
.43737 .50176 L
.43667 .50096 L
.43545 .4991 L
.43541 .49904 L
.43399 .49711 L
.43352 .49676 L
.43257 .49518 L
.43159 .49395 L
.43102 .49326 L
.42972 .49133 L
.42967 .49126 L
.42832 .4894 L
.42774 .48891 L
.42691 .48747 L
.42581 .48605 L
.42541 .48555 L
.4241 .48362 L
.42389 .48334 L
.42271 .48169 L
.42196 .48097 L
.42075 .47977 L
.42003 .47806 L
.41986 .47784 L
.41853 .47591 L
.41811 .47534 L
.41715 .47399 L
.41618 .4729 L
.41541 .47206 L
.41438 .47013 L
.41425 .46996 L
.41304 .46821 L
.41232 .46723 L
.41167 .46628 L
.4104 .46458 L
.41021 .46435 L
.40899 .46242 L
.40847 .46171 L
.40767 .4605 L
.40654 .4589 L
.40633 .45857 L
.40507 .45664 L
.40462 .456 L
.40384 .45472 L
.40269 .45299 L
.40257 .45279 L
F
0 .31 1 r
.40269 .45923 m
.4037 .4605 L
.40462 .46147 L
.40534 .46242 L
.40654 .46383 L
.40694 .46435 L
.40847 .46624 L
.4085 .46628 L
.40994 .46821 L
.4104 .46875 L
.41141 .47013 L
.41232 .47127 L
.4129 .47206 L
.41425 .47379 L
.41439 .47399 L
.41581 .47591 L
.41618 .47637 L
.41722 .47784 L
.41811 .47897 L
.41867 .47977 L
.42003 .48156 L
.42013 .48169 L
.4215 .48362 L
.42196 .48421 L
.42288 .48555 L
.42389 .48687 L
.4243 .48747 L
.42571 .4894 L
.42581 .48954 L
.42701 .49133 L
.42774 .49229 L
.42838 .49326 L
.42967 .49502 L
.42977 .49518 L
.43101 .49711 L
.43159 .4979 L
.43225 .49904 L
.43352 .50087 L
.43357 .50096 L
.43352 .50182 L
.43281 .50096 L
.43159 .49973 L
.43106 .49904 L
.42967 .49742 L
.42943 .49711 L
.42789 .49518 L
.42774 .49501 L
.42641 .49326 L
.42581 .49254 L
.42491 .49133 L
.42389 .49005 L
.4234 .4894 L
.42196 .48759 L
.42191 .48747 L
.4205 .48555 L
.42003 .48497 L
.41906 .48362 L
.41811 .48239 L
.4176 .48169 L
.41618 .47984 L
.41615 .47977 L
.41478 .47784 L
.41425 .47716 L
.41337 .47591 L
.41232 .47452 L
.41195 .47399 L
.41055 .47206 L
.4104 .47186 L
.40922 .47013 L
.40847 .46913 L
.40785 .46821 L
.40654 .46642 L
.40645 .46628 L
.40519 .46435 L
.40462 .46358 L
.40391 .46242 L
.40269 .46069 L
.40257 .4605 L
F
1 .29 0 r
.40269 .46759 m
.403 .46821 L
.40269 .46831 L
.40263 .46821 L
F
0 .3 1 r
.40269 .45939 m
.40358 .4605 L
.40462 .46156 L
.40527 .46242 L
.40654 .4639 L
.40688 .46435 L
.40844 .46628 L
.40847 .46631 L
.40989 .46821 L
.4104 .46881 L
.41137 .47013 L
.41232 .47132 L
.41286 .47206 L
.41425 .47384 L
.41436 .47399 L
.41577 .47591 L
.41618 .47642 L
.41719 .47784 L
.41811 .47902 L
.41864 .47977 L
.42003 .48161 L
.42009 .48169 L
.42145 .48362 L
.42196 .48427 L
.42284 .48555 L
.42389 .48692 L
.42426 .48747 L
.42566 .4894 L
.42581 .4896 L
.42697 .49133 L
.42774 .49235 L
.42833 .49326 L
.42967 .49509 L
.42973 .49518 L
.43093 .49711 L
.43159 .49801 L
.43217 .49904 L
.43159 .49962 L
.43114 .49904 L
.42967 .49734 L
.42949 .49711 L
.42796 .49518 L
.42774 .49494 L
.42647 .49326 L
.42581 .49248 L
.42496 .49133 L
.42389 .49 L
.42345 .4894 L
.42196 .48749 L
.42195 .48747 L
.42054 .48555 L
.42003 .48491 L
.4191 .48362 L
.41811 .48234 L
.41764 .48169 L
.41618 .47977 L
.41618 .47976 L
.41482 .47784 L
.41425 .47711 L
.41341 .47591 L
.41232 .47447 L
.41198 .47399 L
.4106 .47206 L
.4104 .4718 L
.40927 .47013 L
.40847 .46907 L
.40789 .46821 L
.40654 .46635 L
.40649 .46628 L
.40526 .46435 L
.40462 .46349 L
.40398 .46242 L
.40269 .46057 L
.40265 .4605 L
F
1 .6 0 r
.40269 .4511 m
.40427 .45279 L
.40462 .45313 L
.40596 .45472 L
.40654 .45535 L
.4076 .45664 L
.40847 .45766 L
.4092 .45857 L
.4104 .45988 L
.41077 .4605 L
.4123 .46242 L
.41232 .46245 L
.4138 .46435 L
.41425 .46491 L
.41531 .46628 L
.41618 .4672 L
.41681 .46821 L
.41811 .46987 L
.41835 .47013 L
.41975 .47206 L
.42003 .47241 L
.42122 .47399 L
.42196 .47478 L
.42333 .47591 L
.42389 .47748 L
.42419 .47784 L
.42558 .47977 L
.42581 .48007 L
.42702 .48169 L
.42774 .48248 L
.42896 .48362 L
.42967 .48521 L
.42994 .48555 L
.43132 .48747 L
.43159 .48783 L
.43274 .4894 L
.43352 .49027 L
.43455 .49133 L
.43545 .49303 L
.43562 .49326 L
.437 .49518 L
.43737 .49567 L
.43841 .49711 L
.4393 .49815 L
.44011 .49904 L
.44123 .50093 L
.44125 .50096 L
.44263 .50289 L
.44316 .50359 L
.44403 .50482 L
.44508 .50612 L
.44562 .50674 L
.44683 .50867 L
.44701 .50891 L
.4482 .5106 L
.44894 .51159 L
.44959 .51253 L
.45086 .51421 L
.45106 .51445 L
.45234 .51638 L
.45279 .51699 L
.4537 .51831 L
.45472 .5193 L
.45508 .52023 L
.45643 .52216 L
.45664 .52245 L
.45774 .52409 L
.45857 .52525 L
.45908 .52601 L
.46042 .52794 L
.4605 .52805 L
.46164 .52987 L
.46242 .531 L
.4629 .53179 L
.46242 .53371 L
.46078 .53179 L
.4605 .53149 L
.45917 .52987 L
.45857 .52918 L
.45758 .52794 L
.45664 .52731 L
.45601 .52601 L
.45472 .52446 L
.45425 .52409 L
.45296 .52216 L
.45279 .52196 L
.45146 .52023 L
.45086 .51988 L
.44996 .51831 L
.44894 .51706 L
.44822 .51638 L
.44701 .51447 L
.447 .51445 L
.44555 .51253 L
.44508 .51224 L
.44408 .5106 L
.44316 .50946 L
.44241 .50867 L
.44123 .50682 L
.44118 .50674 L
.43974 .50482 L
.4393 .50452 L
.4383 .50289 L
.43737 .50173 L
.43669 .50096 L
.43545 .49907 L
.43543 .49904 L
.43402 .49711 L
.43352 .49673 L
.43259 .49518 L
.43159 .49392 L
.43104 .49326 L
.42975 .49133 L
.42967 .49123 L
.42835 .4894 L
.42774 .48888 L
.42693 .48747 L
.42581 .48602 L
.42544 .48555 L
.42412 .48362 L
.42389 .48331 L
.42273 .48169 L
.42196 .48094 L
.42078 .47977 L
.42003 .47802 L
.41989 .47784 L
.41856 .47591 L
.41811 .47531 L
.41718 .47399 L
.41618 .47285 L
.41545 .47206 L
.41441 .47013 L
.41425 .46992 L
.41307 .46821 L
.41232 .46718 L
.4117 .46628 L
.4104 .4645 L
.41027 .46435 L
.40903 .46242 L
.40847 .46165 L
.40771 .4605 L
.40654 .45884 L
.40637 .45857 L
.40513 .45664 L
.40462 .4559 L
.40391 .45472 L
.40269 .45286 L
.40265 .45279 L
F
1 .83 0 r
.40462 .41017 m
.40483 .4104 L
.40654 .41221 L
.40661 .41232 L
.40818 .41425 L
.40847 .41459 L
.40967 .41618 L
.4104 .41711 L
.41111 .41811 L
.41232 .41974 L
.41252 .42003 L
.41379 .42196 L
.41425 .42266 L
.41494 .42389 L
.41425 .42542 L
.41264 .42389 L
.41232 .42358 L
.41093 .42196 L
.4104 .42134 L
.40937 .42003 L
.40847 .41889 L
.40789 .41811 L
.40654 .41631 L
.40643 .41618 L
.40518 .41425 L
.40462 .41341 L
.40394 .41232 L
.40287 .4104 L
F
0 .95 1 r
.40462 .40249 m
.40529 .40269 L
.40654 .40376 L
.40762 .40462 L
.40847 .40568 L
.40984 .40654 L
.4104 .40799 L
.41099 .40847 L
.41232 .41036 L
.41239 .4104 L
.41396 .41232 L
.41425 .41268 L
.41572 .41425 L
.41618 .41529 L
.41684 .41618 L
.41811 .4179 L
.41815 .41811 L
.41969 .42003 L
.42003 .42031 L
.42135 .42196 L
.42196 .42303 L
.42246 .42389 L
.42384 .42581 L
.42389 .42588 L
.42513 .42774 L
.42581 .42886 L
.42649 .42967 L
.42612 .43159 L
.42581 .43167 L
.42495 .43159 L
.42389 .43128 L
.42196 .42988 L
.42177 .42967 L
.42006 .42774 L
.42003 .42771 L
.41852 .42581 L
.41811 .42524 L
.41688 .42389 L
.41618 .42265 L
.41569 .42196 L
.41425 .4201 L
.41417 .42003 L
.41276 .41811 L
.41232 .41763 L
.41122 .41618 L
.4104 .4149 L
.41006 .41425 L
.4086 .41232 L
.40847 .41215 L
.40725 .4104 L
.40654 .40936 L
.40581 .40847 L
.40467 .40654 L
.40462 .40646 L
.40358 .40462 L
.403 .40269 L
F
1 .82 0 r
.40462 .41038 m
.40463 .4104 L
.40647 .41232 L
.40654 .41241 L
.40805 .41425 L
.40847 .41474 L
.40956 .41618 L
.4104 .41724 L
.41101 .41811 L
.41232 .41989 L
.41242 .42003 L
.41366 .42196 L
.41425 .42289 L
.41478 .42389 L
.41425 .42515 L
.41284 .42389 L
.41232 .42339 L
.41108 .42196 L
.4104 .42118 L
.40949 .42003 L
.40847 .41874 L
.408 .41811 L
.40659 .41618 L
.40654 .41611 L
.40531 .41425 L
.40462 .4132 L
.40409 .41232 L
.40315 .4104 L
F
1 .96 0 r
.40462 .43707 m
.40502 .43737 L
.40654 .43848 L
.40711 .4393 L
.40847 .44072 L
.4089 .44123 L
.4104 .44297 L
.4106 .44316 L
.41214 .44508 L
.41232 .44525 L
.4137 .44701 L
.41425 .4477 L
.41556 .44894 L
.41618 .45019 L
.41674 .45086 L
.41811 .45268 L
.41818 .45279 L
.4197 .45472 L
.42003 .45518 L
.42125 .45664 L
.42196 .45774 L
.4225 .45857 L
.42389 .4603 L
.42412 .4605 L
.42577 .46242 L
.42581 .46277 L
.42698 .46435 L
.42774 .46542 L
.42811 .46628 L
.42967 .46808 L
.42997 .46821 L
.43148 .47013 L
.43159 .47043 L
.43273 .47206 L
.43352 .47314 L
.43375 .47399 L
.43545 .47553 L
.43574 .47591 L
.43721 .47784 L
.43737 .47816 L
.43845 .47977 L
.4393 .48091 L
.44006 .48169 L
.44123 .48331 L
.44147 .48362 L
.44292 .48555 L
.44316 .48596 L
.44413 .48747 L
.44508 .48871 L
.44576 .4894 L
.44701 .49114 L
.44716 .49133 L
.4486 .49326 L
.44894 .49381 L
.44979 .49518 L
.45086 .49655 L
.45143 .49711 L
.45279 .499 L
.45282 .49904 L
.45426 .50096 L
.45472 .50167 L
.45542 .50289 L
.45664 .5044 L
.45709 .50482 L
.45848 .50674 L
.45857 .50687 L
.45991 .50867 L
.4605 .50955 L
.46104 .5106 L
.46242 .51224 L
.46273 .51253 L
.4643 .51445 L
.46435 .51475 L
.46554 .51638 L
.46628 .51744 L
.46666 .51831 L
.46821 .52008 L
.46837 .52023 L
.46997 .52216 L
.47013 .52263 L
.47116 .52409 L
.47206 .52532 L
.47229 .52601 L
.47399 .52792 L
.47401 .52794 L
.47562 .52987 L
.47591 .53052 L
.47678 .53179 L
.47784 .53321 L
.47794 .53372 L
.47964 .53565 L
.47977 .53577 L
.48125 .53758 L
.48169 .53842 L
.4824 .5395 L
.48362 .54111 L
.48362 .54143 L
.48527 .54336 L
.48555 .54364 L
.48687 .54528 L
.48747 .54633 L
.48802 .54721 L
.4894 .54902 L
.48949 .54914 L
.49088 .55106 L
.49133 .55153 L
.49247 .55299 L
.49326 .55426 L
.49364 .55492 L
.4951 .55684 L
.49518 .55695 L
.49649 .55877 L
.49711 .55944 L
.49805 .5607 L
.49904 .56222 L
.49925 .56263 L
.50069 .56455 L
.50096 .56492 L
.5027 .56648 L
.50289 .56741 L
.5036 .56841 L
.50482 .57022 L
.50487 .57033 L
.50626 .57226 L
.50674 .57292 L
.50818 .57419 L
.50867 .57546 L
.50912 .57611 L
.51042 .57804 L
.5106 .57828 L
.51177 .57997 L
.51253 .58053 L
.51356 .58189 L
.51445 .58367 L
.51455 .58382 L
.51586 .58575 L
.51638 .58647 L
.51719 .58768 L
.51831 .58899 L
.51874 .5896 L
.51985 .59153 L
.52023 .59207 L
.52112 .59346 L
.52216 .59498 L
.52241 .59538 L
.52359 .59731 L
.52409 .59808 L
.52469 .59924 L
.52409 .60074 L
.52257 .59924 L
.52216 .59885 L
.52075 .59731 L
.52023 .59676 L
.51904 .59538 L
.51831 .59462 L
.51738 .59346 L
.51638 .59222 L
.51564 .59153 L
.51445 .58984 L
.51427 .5896 L
.51266 .58768 L
.51253 .58752 L
.51112 .58575 L
.5106 .58504 L
.50955 .58382 L
.50867 .58248 L
.5083 .58189 L
.50674 .58001 L
.50662 .57997 L
.50515 .57804 L
.50482 .57757 L
.50368 .57611 L
.50289 .57493 L
.50249 .57419 L
.50096 .57234 L
.50076 .57226 L
.49912 .57033 L
.49904 .56992 L
.49791 .56841 L
.49711 .56724 L
.49677 .56648 L
.49518 .56462 L
.49499 .56455 L
.49342 .56263 L
.49326 .56217 L
.4922 .5607 L
.49133 .55947 L
.49109 .55877 L
.4894 .55687 L
.48928 .55684 L
.48773 .55492 L
.48747 .55436 L
.48653 .55299 L
.48555 .55165 L
.48544 .55106 L
.48362 .54914 L
.4836 .54914 L
.48206 .54721 L
.48169 .54651 L
.48088 .54528 L
.47977 .54381 L
.47933 .54336 L
.47793 .54143 L
.47784 .54131 L
.4764 .5395 L
.47591 .53865 L
.47524 .53758 L
.47399 .53597 L
.47368 .53565 L
.47228 .53372 L
.47206 .53345 L
.47076 .53179 L
.47013 .53077 L
.4696 .52987 L
.46821 .52812 L
.46803 .52794 L
.46663 .52601 L
.46628 .52557 L
.46513 .52409 L
.46435 .52289 L
.46396 .52216 L
.46242 .52027 L
.46239 .52023 L
.46059 .51831 L
.4605 .51769 L
.45951 .51638 L
.45857 .515 L
.45832 .51445 L
.45675 .51253 L
.45664 .51243 L
.45497 .5106 L
.45472 .5098 L
.45389 .50867 L
.45279 .5071 L
.45265 .50674 L
.45112 .50482 L
.45086 .50459 L
.44936 .50289 L
.44894 .5019 L
.44827 .50096 L
.44701 .4992 L
.44697 .49904 L
.4455 .49711 L
.44508 .49673 L
.44377 .49518 L
.44316 .49398 L
.44266 .49326 L
.44126 .49133 L
.44123 .49128 L
.43988 .4894 L
.4393 .48884 L
.43819 .48747 L
.43737 .48605 L
.43705 .48555 L
.43565 .48362 L
.43545 .48335 L
.43427 .48169 L
.43352 .48091 L
.43263 .47977 L
.43159 .47808 L
.43144 .47784 L
.43006 .47591 L
.42967 .47539 L
.42867 .47399 L
.42774 .47292 L
.42709 .47206 L
.42585 .47013 L
.42581 .47009 L
.42449 .46821 L
.42389 .4674 L
.42242 .46628 L
.42196 .46486 L
.42159 .46435 L
.42031 .46242 L
.42003 .46205 L
.41896 .4605 L
.41811 .45934 L
.41712 .45857 L
.41618 .45667 L
.41616 .45664 L
.41485 .45472 L
.41425 .45391 L
.4135 .45279 L
.41232 .45135 L
.41197 .45086 L
.4108 .44894 L
.4104 .44837 L
.40951 .44701 L
.40847 .44553 L
.40818 .44508 L
.40691 .44316 L
.40654 .44261 L
.40572 .44123 L
.40462 .43948 L
.40452 .4393 L
.40369 .43737 L
F
0 .94 1 r
.40462 .40277 m
.40654 .40404 L
.40735 .40462 L
.40847 .40589 L
.40966 .40654 L
.4104 .40812 L
.41087 .40847 L
.41232 .41039 L
.41235 .4104 L
.41387 .41232 L
.41425 .41279 L
.41567 .41425 L
.41618 .41539 L
.41678 .41618 L
.41811 .41798 L
.41813 .41811 L
.41962 .42003 L
.42003 .42037 L
.4213 .42196 L
.42196 .42314 L
.42239 .42389 L
.42375 .42581 L
.42389 .42602 L
.42501 .42774 L
.42581 .42912 L
.42626 .42967 L
.42581 .43131 L
.42389 .43111 L
.42197 .42967 L
.42196 .42966 L
.42019 .42774 L
.42003 .42756 L
.41862 .42581 L
.41811 .42512 L
.41695 .42389 L
.41618 .42255 L
.41575 .42196 L
.41425 .42004 L
.41424 .42003 L
.41284 .41811 L
.41232 .41755 L
.41129 .41618 L
.4104 .41479 L
.41011 .41425 L
.40868 .41232 L
.40847 .41202 L
.40735 .4104 L
.40654 .4092 L
.40593 .40847 L
.40484 .40654 L
.40462 .40616 L
.40383 .40462 L
F
1 .59 0 r
.40462 .45325 m
.40587 .45472 L
.40654 .45544 L
.40753 .45664 L
.40847 .45773 L
.40914 .45857 L
.4104 .45996 L
.41072 .4605 L
.41225 .46242 L
.41232 .46251 L
.41376 .46435 L
.41425 .46496 L
.41527 .46628 L
.41618 .46725 L
.41677 .46821 L
.41811 .46991 L
.41831 .47013 L
.41972 .47206 L
.42003 .47245 L
.42119 .47399 L
.42196 .47481 L
.4233 .47591 L
.42389 .47752 L
.42416 .47784 L
.42555 .47977 L
.42581 .4801 L
.42699 .48169 L
.42774 .48251 L
.42893 .48362 L
.42967 .48524 L
.42991 .48555 L
.4313 .48747 L
.43159 .48786 L
.43272 .4894 L
.43352 .49031 L
.43453 .49133 L
.43545 .49306 L
.43559 .49326 L
.43698 .49518 L
.43737 .4957 L
.43839 .49711 L
.4393 .49818 L
.44009 .49904 L
.44123 .50096 L
.44123 .50096 L
.44261 .50289 L
.44316 .50362 L
.44401 .50482 L
.44508 .50616 L
.44559 .50674 L
.44681 .50867 L
.44701 .50894 L
.44817 .5106 L
.44894 .51163 L
.44957 .51253 L
.45086 .51426 L
.45102 .51445 L
.45231 .51638 L
.45279 .51703 L
.45367 .51831 L
.45472 .51937 L
.45505 .52023 L
.45639 .52216 L
.45664 .5225 L
.4577 .52409 L
.45857 .52531 L
.45904 .52601 L
.46036 .52794 L
.4605 .52813 L
.46158 .52987 L
.46242 .5311 L
.46284 .53179 L
.46242 .53359 L
.46087 .53179 L
.4605 .5314 L
.45924 .52987 L
.45857 .52911 L
.45763 .52794 L
.45664 .52723 L
.45606 .52601 L
.45472 .52439 L
.45433 .52409 L
.453 .52216 L
.45279 .5219 L
.4515 .52023 L
.45086 .51984 L
.45 .51831 L
.44894 .51701 L
.44826 .51638 L
.44703 .51445 L
.44701 .51442 L
.44558 .51253 L
.44508 .51221 L
.44411 .5106 L
.44316 .50942 L
.44244 .50867 L
.44123 .50678 L
.4412 .50674 L
.43977 .50482 L
.4393 .50449 L
.43833 .50289 L
.43737 .5017 L
.43672 .50096 L
.43545 .49904 L
.43545 .49903 L
.43404 .49711 L
.43352 .49671 L
.43261 .49518 L
.43159 .49388 L
.43107 .49326 L
.42977 .49133 L
.42967 .49119 L
.42837 .4894 L
.42774 .48886 L
.42695 .48747 L
.42581 .48598 L
.42547 .48555 L
.42415 .48362 L
.42389 .48328 L
.42276 .48169 L
.42196 .48091 L
.42082 .47977 L
.42003 .47798 L
.41992 .47784 L
.41858 .47591 L
.41811 .47527 L
.41721 .47399 L
.41618 .4728 L
.4155 .47206 L
.41444 .47013 L
.41425 .46988 L
.4131 .46821 L
.41232 .46714 L
.41174 .46628 L
.4104 .46443 L
.41033 .46435 L
.40907 .46242 L
.40847 .46159 L
.40776 .4605 L
.40654 .45876 L
.40642 .45857 L
.4052 .45664 L
.40462 .4558 L
.40398 .45472 L
F
0 .29 1 r
.40462 .46166 m
.4052 .46242 L
.40654 .46397 L
.40683 .46435 L
.40838 .46628 L
.40847 .46638 L
.40983 .46821 L
.4104 .46887 L
.41132 .47013 L
.41232 .47137 L
.41282 .47206 L
.41425 .47389 L
.41432 .47399 L
.41572 .47591 L
.41618 .47648 L
.41715 .47784 L
.41811 .47907 L
.4186 .47977 L
.42003 .48165 L
.42006 .48169 L
.42141 .48362 L
.42196 .48432 L
.4228 .48555 L
.42389 .48698 L
.42423 .48747 L
.42561 .4894 L
.42581 .48966 L
.42692 .49133 L
.42774 .49242 L
.42828 .49326 L
.42967 .49516 L
.42968 .49518 L
.43085 .49711 L
.43159 .49813 L
.43208 .49904 L
.43159 .4995 L
.43123 .49904 L
.42967 .49726 L
.42955 .49711 L
.42803 .49518 L
.42774 .49486 L
.42653 .49326 L
.42581 .49241 L
.42501 .49133 L
.42389 .48994 L
.42349 .4894 L
.422 .48747 L
.42196 .48743 L
.42059 .48555 L
.42003 .48486 L
.41914 .48362 L
.41811 .48229 L
.41768 .48169 L
.41623 .47977 L
.41618 .4797 L
.41486 .47784 L
.41425 .47706 L
.41345 .47591 L
.41232 .47442 L
.41202 .47399 L
.41065 .47206 L
.4104 .47174 L
.40932 .47013 L
.40847 .46901 L
.40794 .46821 L
.40654 .46628 L
.40654 .46628 L
.40533 .46435 L
.40462 .46338 L
.40405 .46242 L
F
1 .58 0 r
.40462 .45338 m
.40577 .45472 L
.40654 .45554 L
.40746 .45664 L
.40847 .45781 L
.40908 .45857 L
.4104 .46004 L
.41067 .4605 L
.4122 .46242 L
.41232 .46257 L
.41371 .46435 L
.41425 .46501 L
.41523 .46628 L
.41618 .4673 L
.41674 .46821 L
.41811 .46996 L
.41826 .47013 L
.41969 .47206 L
.42003 .47249 L
.42116 .47399 L
.42196 .47485 L
.42326 .47591 L
.42389 .47755 L
.42413 .47784 L
.42552 .47977 L
.42581 .48014 L
.42696 .48169 L
.42774 .48255 L
.4289 .48362 L
.42967 .48528 L
.42988 .48555 L
.43127 .48747 L
.43159 .48789 L
.4327 .4894 L
.43352 .49034 L
.4345 .49133 L
.43545 .49309 L
.43557 .49326 L
.43696 .49518 L
.43737 .49574 L
.43837 .49711 L
.4393 .49822 L
.44006 .49904 L
.4412 .50096 L
.44123 .501 L
.44258 .50289 L
.44316 .50366 L
.44398 .50482 L
.44508 .50619 L
.44556 .50674 L
.44678 .50867 L
.44701 .50898 L
.44815 .5106 L
.44894 .51166 L
.44954 .51253 L
.45086 .51431 L
.45098 .51445 L
.45228 .51638 L
.45279 .51707 L
.45363 .51831 L
.45472 .51945 L
.45502 .52023 L
.45635 .52216 L
.45664 .52256 L
.45765 .52409 L
.45857 .52537 L
.45899 .52601 L
.46031 .52794 L
.4605 .52821 L
.46151 .52987 L
.46242 .53121 L
.46276 .53179 L
.46242 .53345 L
.46097 .53179 L
.4605 .5313 L
.45931 .52987 L
.45857 .52903 L
.45769 .52794 L
.45664 .52715 L
.45611 .52601 L
.45472 .52432 L
.45441 .52409 L
.45305 .52216 L
.45279 .52185 L
.45154 .52023 L
.45086 .5198 L
.45003 .51831 L
.44894 .51696 L
.44831 .51638 L
.44707 .51445 L
.44701 .51438 L
.44561 .51253 L
.44508 .51218 L
.44414 .5106 L
.44316 .50938 L
.44247 .50867 L
.44123 .50675 L
.44123 .50674 L
.4398 .50482 L
.4393 .50447 L
.43835 .50289 L
.43737 .50166 L
.43675 .50096 L
.43548 .49904 L
.43545 .499 L
.43406 .49711 L
.43352 .49669 L
.43264 .49518 L
.43159 .49385 L
.43109 .49326 L
.42979 .49133 L
.42967 .49116 L
.42839 .4894 L
.42774 .48883 L
.42698 .48747 L
.42581 .48595 L
.42549 .48555 L
.42417 .48362 L
.42389 .48324 L
.42278 .48169 L
.42196 .48087 L
.42085 .47977 L
.42003 .47794 L
.41995 .47784 L
.41861 .47591 L
.41811 .47523 L
.41723 .47399 L
.41618 .47275 L
.41554 .47206 L
.41448 .47013 L
.41425 .46983 L
.41314 .46821 L
.41232 .46709 L
.41177 .46628 L
.4104 .46435 L
.4104 .46435 L
.40912 .46242 L
.40847 .46152 L
.4078 .4605 L
.40654 .45869 L
.40647 .45857 L
.40527 .45664 L
.40462 .45569 L
.40407 .45472 L
F
0 .93 1 r
.40462 .40326 m
.40654 .40428 L
.40705 .40462 L
.40847 .40608 L
.40944 .40654 L
.4104 .40824 L
.41074 .40847 L
.41228 .4104 L
.41232 .41044 L
.41378 .41232 L
.41425 .41289 L
.4156 .41425 L
.41618 .41548 L
.41672 .41618 L
.41811 .41806 L
.41812 .41811 L
.41955 .42003 L
.42003 .42044 L
.42123 .42196 L
.42196 .42325 L
.42232 .42389 L
.42365 .42581 L
.42389 .42616 L
.4249 .42774 L
.42581 .42944 L
.42598 .42967 L
.42581 .43086 L
.42389 .43097 L
.42219 .42967 L
.42196 .42949 L
.42032 .42774 L
.42003 .42742 L
.41872 .42581 L
.41811 .42501 L
.41702 .42389 L
.41618 .42246 L
.41581 .42196 L
.41431 .42003 L
.41425 .42002 L
.41291 .41811 L
.41232 .41746 L
.41135 .41618 L
.4104 .41468 L
.41017 .41425 L
.40877 .41232 L
.40847 .41189 L
.40745 .4104 L
.40654 .40903 L
.40607 .40847 L
.40502 .40654 L
.40462 .40579 L
.40411 .40462 L
F
0 .28 1 r
.40462 .46177 m
.40511 .46242 L
.40654 .46405 L
.40677 .46435 L
.40654 .4662 L
.40541 .46435 L
.40462 .46327 L
.40413 .46242 L
F
1 .57 0 r
.40462 .45352 m
.40567 .45472 L
.40654 .45563 L
.40738 .45664 L
.40847 .45789 L
.40902 .45857 L
.4104 .46013 L
.41061 .4605 L
.41215 .46242 L
.41232 .46263 L
.41367 .46435 L
.41425 .46506 L
.41519 .46628 L
.41618 .46735 L
.4167 .46821 L
.41811 .47001 L
.41822 .47013 L
.41966 .47206 L
.42003 .47253 L
.42112 .47399 L
.42196 .47489 L
.42322 .47591 L
.42389 .47759 L
.4241 .47784 L
.4255 .47977 L
.42581 .48017 L
.42694 .48169 L
.42774 .48258 L
.42887 .48362 L
.42967 .48531 L
.42986 .48555 L
.43125 .48747 L
.43159 .48793 L
.43267 .4894 L
.43352 .49037 L
.43447 .49133 L
.43545 .49313 L
.43555 .49326 L
.43693 .49518 L
.43737 .49577 L
.43834 .49711 L
.4393 .49825 L
.44003 .49904 L
.44118 .50096 L
.44123 .50103 L
.44256 .50289 L
.44316 .50369 L
.44396 .50482 L
.44508 .50623 L
.44553 .50674 L
.44675 .50867 L
.44701 .50901 L
.44812 .5106 L
.44894 .5117 L
.44951 .51253 L
.45086 .51436 L
.45094 .51445 L
.45225 .51638 L
.45279 .51712 L
.4536 .51831 L
.45472 .51952 L
.45498 .52023 L
.45631 .52216 L
.45664 .52262 L
.45761 .52409 L
.45857 .52543 L
.45895 .52601 L
.46024 .52794 L
.4605 .5283 L
.46144 .52987 L
.46242 .53133 L
.46269 .53179 L
.46242 .5333 L
.46108 .53179 L
.4605 .5312 L
.45939 .52987 L
.45857 .52895 L
.45775 .52794 L
.45664 .52706 L
.45616 .52601 L
.45472 .52425 L
.4545 .52409 L
.45309 .52216 L
.45279 .52179 L
.45158 .52023 L
.45086 .51976 L
.45007 .51831 L
.44894 .51691 L
.44836 .51638 L
.4471 .51445 L
.44701 .51434 L
.44564 .51253 L
.44508 .51216 L
.44417 .5106 L
.44316 .50934 L
.44251 .50867 L
.44125 .50674 L
.44123 .50671 L
.43982 .50482 L
.4393 .50444 L
.43838 .50289 L
.43737 .50163 L
.43678 .50096 L
.4355 .49904 L
.43545 .49897 L
.43409 .49711 L
.43352 .49666 L
.43266 .49518 L
.43159 .49382 L
.43112 .49326 L
.42982 .49133 L
.42967 .49113 L
.42842 .4894 L
.42774 .4888 L
.427 .48747 L
.42581 .48591 L
.42552 .48555 L
.4242 .48362 L
.42389 .48321 L
.42281 .48169 L
.42196 .48083 L
.42089 .47977 L
.42003 .4779 L
.41999 .47784 L
.41864 .47591 L
.41811 .47519 L
.41726 .47399 L
.41618 .4727 L
.41559 .47206 L
.41451 .47013 L
.41425 .46979 L
.41317 .46821 L
.41232 .46704 L
.41181 .46628 L
.41044 .46435 L
.4104 .46429 L
.40916 .46242 L
.40847 .46146 L
.40785 .4605 L
.40654 .45861 L
.40652 .45857 L
.40535 .45664 L
.40462 .45556 L
.40415 .45472 L
F
0 .85 1 r
.40462 .44513 m
.40638 .44701 L
.40654 .44717 L
.40808 .44894 L
.40847 .44936 L
.40973 .45086 L
.4104 .45134 L
.41135 .45279 L
.41232 .45395 L
.4133 .45472 L
.41425 .4564 L
.41446 .45664 L
.41599 .45857 L
.41618 .45871 L
.41751 .4605 L
.41811 .46124 L
.41929 .46242 L
.42003 .46378 L
.42045 .46435 L
.42196 .46625 L
.42196 .46628 L
.42347 .46821 L
.42389 .46874 L
.42511 .47013 L
.42581 .47134 L
.42629 .47206 L
.42774 .47389 L
.42786 .47399 L
.4293 .47591 L
.42967 .47639 L
.43086 .47784 L
.43159 .47902 L
.43205 .47977 L
.43352 .4816 L
.43364 .48169 L
.43507 .48362 L
.43545 .48412 L
.43657 .48555 L
.43737 .48678 L
.43776 .48747 L
.4393 .48935 L
.43936 .4894 L
.4412 .49133 L
.44123 .49192 L
.44225 .49326 L
.44316 .49458 L
.44345 .49518 L
.44505 .49711 L
.44508 .49714 L
.44683 .49904 L
.44701 .49975 L
.44791 .50096 L
.44894 .50242 L
.44912 .50289 L
.45072 .50482 L
.45086 .50496 L
.45246 .50674 L
.45279 .50761 L
.45355 .50867 L
.45472 .51029 L
.45481 .5106 L
.45636 .51253 L
.45664 .51281 L
.45807 .51445 L
.45857 .51551 L
.45917 .51638 L
.4605 .51818 L
.46052 .51831 L
.46199 .52023 L
.46242 .52069 L
.46366 .52216 L
.46435 .52343 L
.46478 .52409 L
.46621 .52601 L
.46628 .52611 L
.46759 .52794 L
.46821 .52861 L
.46922 .52987 L
.47013 .53139 L
.47038 .53179 L
.47179 .53372 L
.47206 .53408 L
.47317 .53565 L
.47399 .53659 L
.47475 .53758 L
.47591 .53941 L
.47597 .5395 L
.47734 .54143 L
.47784 .54211 L
.47872 .54336 L
.47977 .54467 L
.48022 .54528 L
.48148 .54721 L
.48169 .5475 L
.48283 .54914 L
.48362 .54974 L
.48474 .55106 L
.48555 .55293 L
.48559 .55299 L
.48688 .55492 L
.48747 .55574 L
.48822 .55684 L
.4894 .55834 L
.48973 .55877 L
.49084 .5607 L
.49133 .5614 L
.49209 .56263 L
.49326 .56435 L
.49338 .56455 L
.49449 .56648 L
.49518 .56763 L
.49552 .56841 L
.49518 .56922 L
.49431 .56841 L
.49326 .56742 L
.4924 .56648 L
.49133 .56533 L
.49066 .56455 L
.4894 .56318 L
.48899 .56263 L
.48747 .5608 L
.48737 .5607 L
.48582 .55877 L
.48555 .55872 L
.48426 .55684 L
.48362 .55611 L
.48205 .55492 L
.48169 .55359 L
.48117 .55299 L
.47977 .55113 L
.47974 .55106 L
.47822 .54914 L
.47784 .54869 L
.4763 .54721 L
.47591 .54611 L
.47526 .54528 L
.47399 .54356 L
.47391 .54336 L
.47233 .54143 L
.47206 .5411 L
.47058 .5395 L
.47013 .53849 L
.46947 .53758 L
.46821 .53589 L
.46815 .53565 L
.46654 .53372 L
.46628 .5334 L
.46488 .53179 L
.46435 .53076 L
.46373 .52987 L
.46242 .52815 L
.46242 .52794 L
.46081 .52601 L
.4605 .52563 L
.4592 .52409 L
.45857 .52298 L
.45804 .52216 L
.45664 .52036 L
.45652 .52023 L
.45511 .51831 L
.45472 .51782 L
.45355 .51638 L
.45279 .51515 L
.45237 .51445 L
.45086 .51254 L
.45085 .51253 L
.44944 .5106 L
.44894 .50997 L
.44791 .50867 L
.44701 .50729 L
.44671 .50674 L
.44519 .50482 L
.44508 .50473 L
.44325 .50289 L
.44316 .5021 L
.44229 .50096 L
.44123 .4994 L
.44105 .49904 L
.43956 .49711 L
.4393 .4969 L
.43767 .49518 L
.43737 .4942 L
.43668 .49326 L
.43545 .49149 L
.43538 .49133 L
.43394 .4894 L
.43352 .48903 L
.43212 .48747 L
.43159 .48626 L
.43109 .48555 L
.42973 .48362 L
.42967 .48354 L
.42835 .48169 L
.42774 .48111 L
.42659 .47977 L
.42581 .47827 L
.42552 .47784 L
.42416 .47591 L
.42389 .47555 L
.42278 .47399 L
.42196 .4731 L
.42111 .47206 L
.42003 .47021 L
.41998 .47013 L
.41863 .46821 L
.41811 .46749 L
.41726 .46628 L
.41618 .46495 L
.41572 .46435 L
.41452 .46242 L
.41425 .46207 L
.41318 .4605 L
.41232 .45931 L
.41182 .45857 L
.41046 .45664 L
.4104 .45656 L
.40918 .45472 L
.40847 .45372 L
.40787 .45279 L
.40654 .45087 L
.40654 .45086 L
.40536 .44894 L
.40462 .44782 L
.40416 .44701 L
F
0 .27 1 r
.40462 .4619 m
.40502 .46242 L
.40654 .46413 L
.40671 .46435 L
.40654 .4661 L
.40549 .46435 L
.40462 .46314 L
.40423 .46242 L
F
1 .56 0 r
.40462 .45368 m
.40555 .45472 L
.40654 .45573 L
.4073 .45664 L
.40847 .45797 L
.40896 .45857 L
.4104 .46022 L
.41056 .4605 L
.4121 .46242 L
.41232 .46269 L
.41362 .46435 L
.41425 .46512 L
.41515 .46628 L
.41618 .46741 L
.41666 .46821 L
.41811 .47006 L
.41818 .47013 L
.41962 .47206 L
.42003 .47258 L
.42109 .47399 L
.42196 .47493 L
.42318 .47591 L
.42389 .47763 L
.42407 .47784 L
.42547 .47977 L
.42581 .48021 L
.42691 .48169 L
.42774 .48261 L
.42884 .48362 L
.42967 .48534 L
.42983 .48555 L
.43122 .48747 L
.43159 .48796 L
.43265 .4894 L
.43352 .4904 L
.43444 .49133 L
.43545 .49316 L
.43552 .49326 L
.43691 .49518 L
.43737 .4958 L
.43832 .49711 L
.4393 .49828 L
.44 .49904 L
.44116 .50096 L
.44123 .50106 L
.44253 .50289 L
.44316 .50372 L
.44394 .50482 L
.44508 .50627 L
.44549 .50674 L
.44673 .50867 L
.44701 .50905 L
.44809 .5106 L
.44894 .51174 L
.44949 .51253 L
.45086 .51441 L
.4509 .51445 L
.45221 .51638 L
.45279 .51716 L
.45357 .51831 L
.45472 .5196 L
.45495 .52023 L
.45627 .52216 L
.45664 .52267 L
.45757 .52409 L
.45857 .52549 L
.45891 .52601 L
.46018 .52794 L
.4605 .52839 L
.46137 .52987 L
.46242 .53146 L
.46261 .53179 L
.46242 .53313 L
.4612 .53179 L
.4605 .53109 L
.45947 .52987 L
.45857 .52887 L
.45782 .52794 L
.45664 .52696 L
.45621 .52601 L
.45472 .52418 L
.45459 .52409 L
.45314 .52216 L
.45279 .52174 L
.45162 .52023 L
.45086 .51972 L
.45011 .51831 L
.44894 .51686 L
.44841 .51638 L
.44713 .51445 L
.44701 .5143 L
.44567 .51253 L
.44508 .51213 L
.4442 .5106 L
.44316 .5093 L
.44254 .50867 L
.44128 .50674 L
.44123 .50668 L
.43985 .50482 L
.4393 .50442 L
.4384 .50289 L
.43737 .50159 L
.43681 .50096 L
.43553 .49904 L
.43545 .49893 L
.43411 .49711 L
.43352 .49664 L
.43268 .49518 L
.43159 .49378 L
.43115 .49326 L
.42984 .49133 L
.42967 .4911 L
.42844 .4894 L
.42774 .48877 L
.42702 .48747 L
.42581 .48588 L
.42555 .48555 L
.42422 .48362 L
.42389 .48318 L
.42283 .48169 L
.42196 .4808 L
.42092 .47977 L
.42003 .47786 L
.42002 .47784 L
.41867 .47591 L
.41811 .47516 L
.41729 .47399 L
.41618 .47265 L
.41564 .47206 L
.41454 .47013 L
.41425 .46974 L
.4132 .46821 L
.41232 .46699 L
.41184 .46628 L
.41048 .46435 L
.4104 .46424 L
.40921 .46242 L
.40847 .46139 L
.4079 .4605 L
.40657 .45857 L
.40654 .45853 L
.40543 .45664 L
.40462 .45542 L
.40425 .45472 L
F
1 .81 0 r
.40462 .41066 m
.40628 .41232 L
.40654 .41259 L
.40792 .41425 L
.40847 .41489 L
.40944 .41618 L
.4104 .41738 L
.41091 .41811 L
.41232 .42003 L
.41232 .42004 L
.41351 .42196 L
.41425 .42317 L
.41459 .42389 L
.41425 .42483 L
.41309 .42389 L
.41232 .4232 L
.41123 .42196 L
.4104 .42102 L
.40961 .42003 L
.40847 .41859 L
.40811 .41811 L
.40673 .41618 L
.40654 .41593 L
.40545 .41425 L
.40462 .41296 L
.40425 .41232 L
F
0 .84 1 r
.40462 .44548 m
.40613 .44701 L
.40654 .44741 L
.40791 .44894 L
.40847 .44955 L
.40959 .45086 L
.4104 .45147 L
.41123 .45279 L
.41232 .45408 L
.41316 .45472 L
.41425 .45651 L
.41437 .45664 L
.41591 .45857 L
.41618 .45878 L
.41744 .4605 L
.41811 .46132 L
.41923 .46242 L
.42003 .46386 L
.4204 .46435 L
.42193 .46628 L
.42196 .4663 L
.42342 .46821 L
.42389 .46881 L
.42507 .47013 L
.42581 .4714 L
.42626 .47206 L
.42774 .47392 L
.42781 .47399 L
.42926 .47591 L
.42967 .47644 L
.43083 .47784 L
.43159 .47907 L
.43202 .47977 L
.43352 .48163 L
.4336 .48169 L
.43504 .48362 L
.43545 .48416 L
.43655 .48555 L
.43737 .48682 L
.43774 .48747 L
.4393 .48938 L
.43933 .4894 L
.4412 .49133 L
.44123 .49195 L
.44223 .49326 L
.44316 .49462 L
.44343 .49518 L
.44503 .49711 L
.44508 .49717 L
.44682 .49904 L
.44701 .49978 L
.44789 .50096 L
.44894 .50245 L
.44911 .50289 L
.45069 .50482 L
.45086 .50499 L
.45244 .50674 L
.45279 .50764 L
.45353 .50867 L
.45472 .51032 L
.4548 .5106 L
.45634 .51253 L
.45664 .51284 L
.45805 .51445 L
.45857 .51553 L
.45915 .51638 L
.4605 .51821 L
.46051 .51831 L
.46197 .52023 L
.46242 .52072 L
.46364 .52216 L
.46435 .52346 L
.46476 .52409 L
.46618 .52601 L
.46628 .52614 L
.46757 .52794 L
.46821 .52864 L
.4692 .52987 L
.47013 .53143 L
.47036 .53179 L
.47176 .53372 L
.47206 .53412 L
.47315 .53565 L
.47399 .53663 L
.47472 .53758 L
.47591 .53945 L
.47594 .5395 L
.4773 .54143 L
.47784 .54216 L
.47868 .54336 L
.47977 .54474 L
.48017 .54528 L
.48144 .54721 L
.48169 .54756 L
.48278 .54914 L
.48362 .54982 L
.48467 .55106 L
.48552 .55299 L
.48555 .55302 L
.48682 .55492 L
.48747 .55583 L
.48815 .55684 L
.4894 .55852 L
.48959 .55877 L
.49073 .5607 L
.49133 .56156 L
.49198 .56263 L
.49325 .56455 L
.49326 .56456 L
.49425 .56648 L
.49326 .56713 L
.49264 .56648 L
.49133 .56512 L
.49083 .56455 L
.4894 .56299 L
.48914 .56263 L
.48751 .5607 L
.48747 .56066 L
.48593 .55877 L
.48555 .55869 L
.48436 .55684 L
.48362 .55601 L
.48212 .55492 L
.48169 .5535 L
.48124 .55299 L
.47977 .55106 L
.47977 .55106 L
.47828 .54914 L
.47784 .54862 L
.47633 .54721 L
.47591 .54605 L
.47531 .54528 L
.47399 .54351 L
.47393 .54336 L
.47238 .54143 L
.47206 .54105 L
.47061 .5395 L
.47013 .53844 L
.4695 .53758 L
.46821 .53585 L
.46816 .53565 L
.46657 .53372 L
.46628 .53336 L
.46491 .53179 L
.46435 .53072 L
.46376 .52987 L
.46242 .52812 L
.46242 .52794 L
.46083 .52601 L
.4605 .5256 L
.45923 .52409 L
.45857 .52294 L
.45806 .52216 L
.45664 .52033 L
.45655 .52023 L
.45513 .51831 L
.45472 .51779 L
.45357 .51638 L
.45279 .51512 L
.45239 .51445 L
.45087 .51253 L
.45086 .51252 L
.44946 .5106 L
.44894 .50995 L
.44793 .50867 L
.44701 .50726 L
.44672 .50674 L
.44521 .50482 L
.44508 .50472 L
.44326 .50289 L
.44316 .50207 L
.4423 .50096 L
.44123 .49938 L
.44106 .49904 L
.43958 .49711 L
.4393 .49688 L
.43769 .49518 L
.43737 .49417 L
.4367 .49326 L
.43545 .49146 L
.43539 .49133 L
.43397 .4894 L
.43352 .48901 L
.43214 .48747 L
.43159 .48623 L
.43111 .48555 L
.42975 .48362 L
.42967 .48351 L
.42837 .48169 L
.42774 .48108 L
.42662 .47977 L
.42581 .47823 L
.42554 .47784 L
.42419 .47591 L
.42389 .47551 L
.42281 .47399 L
.42196 .47305 L
.42115 .47206 L
.42003 .47016 L
.42002 .47013 L
.41867 .46821 L
.41811 .46743 L
.4173 .46628 L
.41618 .46487 L
.41578 .46435 L
.41457 .46242 L
.41425 .462 L
.41324 .4605 L
.41232 .45923 L
.41188 .45857 L
.41053 .45664 L
.4104 .45646 L
.40926 .45472 L
.40847 .4536 L
.40796 .45279 L
.40666 .45086 L
.40654 .4507 L
.40551 .44894 L
.40462 .44755 L
.40433 .44701 L
F
0 .26 1 r
.40462 .46205 m
.4049 .46242 L
.40654 .46422 L
.40664 .46435 L
.40654 .466 L
.40559 .46435 L
.40462 .46299 L
.40434 .46242 L
F
1 .55 0 r
.40462 .45387 m
.40541 .45472 L
.40654 .45584 L
.40722 .45664 L
.40847 .45805 L
.40889 .45857 L
.4104 .46031 L
.4105 .4605 L
.41205 .46242 L
.41232 .46275 L
.41358 .46435 L
.41425 .46517 L
.41511 .46628 L
.41618 .46746 L
.41663 .46821 L
.41811 .4701 L
.41813 .47013 L
.41959 .47206 L
.42003 .47262 L
.42106 .47399 L
.42196 .47497 L
.42314 .47591 L
.42389 .47767 L
.42403 .47784 L
.42544 .47977 L
.42581 .48024 L
.42689 .48169 L
.42774 .48265 L
.4288 .48362 L
.42967 .48538 L
.4298 .48555 L
.4312 .48747 L
.43159 .48799 L
.43263 .4894 L
.43352 .49043 L
.43441 .49133 L
.43545 .49319 L
.4355 .49326 L
.43688 .49518 L
.43737 .49583 L
.4383 .49711 L
.4393 .49832 L
.43997 .49904 L
.44113 .50096 L
.44123 .50109 L
.44251 .50289 L
.44316 .50375 L
.44391 .50482 L
.44508 .50631 L
.44546 .50674 L
.4467 .50867 L
.44701 .50908 L
.44807 .5106 L
.44894 .51177 L
.44946 .51253 L
.45086 .51445 L
.45086 .51446 L
.45218 .51638 L
.45279 .5172 L
.45354 .51831 L
.45472 .51968 L
.45492 .52023 L
.45623 .52216 L
.45664 .52273 L
.45753 .52409 L
.45857 .52556 L
.45886 .52601 L
.46011 .52794 L
.4605 .52849 L
.46129 .52987 L
.46242 .53162 L
.46252 .53179 L
.46242 .53292 L
.46134 .53179 L
.4605 .53098 L
.45955 .52987 L
.45857 .52878 L
.45788 .52794 L
.45664 .52685 L
.45627 .52601 L
.45472 .52411 L
.45469 .52409 L
.45319 .52216 L
.45279 .52168 L
.45166 .52023 L
.45086 .51967 L
.45015 .51831 L
.44894 .51681 L
.44846 .51638 L
.44717 .51445 L
.44701 .51425 L
.4457 .51253 L
.44508 .5121 L
.44423 .5106 L
.44316 .50926 L
.44258 .50867 L
.44131 .50674 L
.44123 .50664 L
.43988 .50482 L
.4393 .50439 L
.43843 .50289 L
.43737 .50156 L
.43684 .50096 L
.43555 .49904 L
.43545 .4989 L
.43414 .49711 L
.43352 .49661 L
.43271 .49518 L
.43159 .49375 L
.43118 .49326 L
.42987 .49133 L
.42967 .49107 L
.42847 .4894 L
.42774 .48874 L
.42705 .48747 L
.42581 .48584 L
.42558 .48555 L
.42425 .48362 L
.42389 .48314 L
.42286 .48169 L
.42196 .48076 L
.42096 .47977 L
.42005 .47784 L
.42003 .47782 L
.4187 .47591 L
.41811 .47512 L
.41732 .47399 L
.41618 .47259 L
.41569 .47206 L
.41458 .47013 L
.41425 .46969 L
.41324 .46821 L
.41232 .46694 L
.41187 .46628 L
.41053 .46435 L
.4104 .46418 L
.40926 .46242 L
.40847 .46132 L
.40795 .4605 L
.40664 .45857 L
.40654 .45843 L
.40551 .45664 L
.40462 .45526 L
.40435 .45472 L
F
0 .92 1 r
.40462 .4039 m
.40654 .40451 L
.40672 .40462 L
.40847 .40625 L
.40916 .40654 L
.4104 .40834 L
.4106 .40847 L
.41217 .4104 L
.41232 .41053 L
.41369 .41232 L
.41425 .41299 L
.41554 .41425 L
.41618 .41558 L
.41665 .41618 L
.41808 .41811 L
.41811 .41814 L
.41948 .42003 L
.42003 .42051 L
.42117 .42196 L
.42196 .42337 L
.42225 .42389 L
.42356 .42581 L
.42389 .42632 L
.42478 .42774 L
.42571 .42967 L
.42389 .43083 L
.42243 .42967 L
.42196 .42933 L
.42045 .42774 L
.42003 .42728 L
.41882 .42581 L
.41811 .4249 L
.4171 .42389 L
.41618 .42237 L
.41587 .42196 L
.41439 .42003 L
.41425 .42 L
.41298 .41811 L
.41232 .41737 L
.41142 .41618 L
.4104 .41457 L
.41023 .41425 L
.40886 .41232 L
.40847 .41176 L
.40755 .4104 L
.40654 .40885 L
.40622 .40847 L
.4052 .40654 L
.40462 .40525 L
.40443 .40462 L
F
1 .8 0 r
.40462 .41101 m
.40605 .41232 L
.40654 .41279 L
.40777 .41425 L
.40847 .41505 L
.40932 .41618 L
.4104 .41754 L
.4108 .41811 L
.41218 .42003 L
.41232 .42023 L
.41335 .42196 L
.41425 .42359 L
.41436 .42389 L
.41425 .42436 L
.41342 .42389 L
.41232 .42299 L
.41139 .42196 L
.4104 .42085 L
.40975 .42003 L
.40847 .41842 L
.40823 .41811 L
.40687 .41618 L
.40654 .41573 L
.4056 .41425 L
.40462 .41266 L
.40443 .41232 L
F
1 .54 0 r
.40462 .45411 m
.40523 .45472 L
.40654 .45596 L
.40713 .45664 L
.40847 .45814 L
.40883 .45857 L
.4104 .46041 L
.41045 .4605 L
.41199 .46242 L
.41232 .46281 L
.41353 .46435 L
.41425 .46523 L
.41507 .46628 L
.41618 .46752 L
.41659 .46821 L
.41809 .47013 L
.41811 .47015 L
.41955 .47206 L
.42003 .47266 L
.42103 .47399 L
.42196 .47501 L
.42309 .47591 L
.42389 .47771 L
.424 .47784 L
.42541 .47977 L
.42581 .48028 L
.42686 .48169 L
.42774 .48268 L
.42877 .48362 L
.42967 .48541 L
.42978 .48555 L
.43117 .48747 L
.43159 .48802 L
.4326 .4894 L
.43352 .49047 L
.43438 .49133 L
.43545 .49322 L
.43547 .49326 L
.43686 .49518 L
.43737 .49586 L
.43828 .49711 L
.4393 .49835 L
.43994 .49904 L
.44111 .50096 L
.44123 .50112 L
.44248 .50289 L
.44316 .50379 L
.44389 .50482 L
.44508 .50635 L
.44542 .50674 L
.44667 .50867 L
.44701 .50912 L
.44804 .5106 L
.44894 .51181 L
.44943 .51253 L
.45083 .51445 L
.45086 .5145 L
.45215 .51638 L
.45279 .51725 L
.45351 .51831 L
.45472 .51977 L
.45488 .52023 L
.45618 .52216 L
.45664 .52279 L
.45748 .52409 L
.45857 .52563 L
.45881 .52601 L
.46004 .52794 L
.4605 .5286 L
.46121 .52987 L
.4605 .53086 L
.45965 .52987 L
.45857 .5287 L
.45795 .52794 L
.45664 .52674 L
.45633 .52601 L
.45475 .52409 L
.45472 .52404 L
.45323 .52216 L
.45279 .52163 L
.45171 .52023 L
.45086 .51962 L
.45018 .51831 L
.44894 .51676 L
.44851 .51638 L
.4472 .51445 L
.44701 .51421 L
.44574 .51253 L
.44508 .51206 L
.44426 .5106 L
.44316 .50922 L
.44262 .50867 L
.44134 .50674 L
.44123 .5066 L
.4399 .50482 L
.4393 .50437 L
.43845 .50289 L
.43737 .50152 L
.43687 .50096 L
.43558 .49904 L
.43545 .49887 L
.43416 .49711 L
.43352 .49658 L
.43273 .49518 L
.43159 .49371 L
.4312 .49326 L
.42989 .49133 L
.42967 .49103 L
.42849 .4894 L
.42774 .48871 L
.42707 .48747 L
.42581 .4858 L
.42561 .48555 L
.42427 .48362 L
.42389 .48311 L
.42288 .48169 L
.42196 .48072 L
.421 .47977 L
.42008 .47784 L
.42003 .47778 L
.41872 .47591 L
.41811 .47508 L
.41734 .47399 L
.41618 .47254 L
.41574 .47206 L
.41461 .47013 L
.41425 .46965 L
.41327 .46821 L
.41232 .46689 L
.41191 .46628 L
.41057 .46435 L
.4104 .46411 L
.4093 .46242 L
.40847 .46125 L
.408 .4605 L
.40672 .45857 L
.40654 .45832 L
.40561 .45664 L
.40462 .45505 L
.40447 .45472 L
F
0 .25 1 r
.40462 .46225 m
.40475 .46242 L
.40654 .46432 L
.40657 .46435 L
.40654 .46588 L
.40571 .46435 L
.40462 .46276 L
.40449 .46242 L
F
0 .83 1 r
.40462 .44595 m
.40582 .44701 L
.40654 .44766 L
.40771 .44894 L
.40847 .44973 L
.40944 .45086 L
.4104 .45162 L
.4111 .45279 L
.41232 .45422 L
.41301 .45472 L
.41425 .45661 L
.41428 .45664 L
.41582 .45857 L
.41618 .45884 L
.41737 .4605 L
.41811 .46141 L
.41917 .46242 L
.42003 .46393 L
.42035 .46435 L
.42188 .46628 L
.42196 .46635 L
.42336 .46821 L
.42389 .46887 L
.42503 .47013 L
.42581 .47146 L
.42622 .47206 L
.42774 .47396 L
.42777 .47399 L
.42923 .47591 L
.42967 .47649 L
.4308 .47784 L
.43159 .47911 L
.432 .47977 L
.43352 .48166 L
.43357 .48169 L
.435 .48362 L
.43545 .4842 L
.43652 .48555 L
.43737 .48685 L
.43772 .48747 L
.4393 .4894 L
.4393 .4894 L
.44119 .49133 L
.44123 .49198 L
.44221 .49326 L
.44316 .49465 L
.44342 .49518 L
.445 .49711 L
.44508 .49719 L
.44681 .49904 L
.44701 .49981 L
.44787 .50096 L
.44894 .50248 L
.4491 .50289 L
.45067 .50482 L
.45086 .50501 L
.45243 .50674 L
.45279 .50767 L
.45351 .50867 L
.45472 .51035 L
.45479 .5106 L
.45632 .51253 L
.45664 .51286 L
.45803 .51445 L
.45857 .51556 L
.45913 .51638 L
.4605 .51824 L
.46051 .51831 L
.46194 .52023 L
.46242 .52074 L
.46362 .52216 L
.46435 .52349 L
.46474 .52409 L
.46616 .52601 L
.46628 .52618 L
.46754 .52794 L
.46821 .52868 L
.46917 .52987 L
.47013 .53146 L
.47034 .53179 L
.47173 .53372 L
.47206 .53416 L
.47312 .53565 L
.47399 .53668 L
.47468 .53758 L
.47591 .5395 L
.47591 .5395 L
.47727 .54143 L
.47784 .54221 L
.47865 .54336 L
.47977 .5448 L
.48013 .54528 L
.48139 .54721 L
.48169 .54762 L
.48273 .54914 L
.48362 .54991 L
.48459 .55106 L
.48546 .55299 L
.48555 .55311 L
.48675 .55492 L
.48747 .55593 L
.48808 .55684 L
.4894 .55873 L
.48943 .55877 L
.49063 .5607 L
.49133 .56173 L
.49186 .56263 L
.49306 .56455 L
.49326 .56486 L
.49393 .56648 L
.49326 .56679 L
.49294 .56648 L
.49133 .56489 L
.49102 .56455 L
.4894 .56278 L
.48929 .56263 L
.48764 .5607 L
.48747 .56051 L
.48604 .55877 L
.48555 .55864 L
.48445 .55684 L
.48362 .5559 L
.48221 .55492 L
.48169 .5534 L
.48132 .55299 L
.47984 .55106 L
.47977 .55104 L
.47834 .54914 L
.47784 .54855 L
.47638 .54721 L
.47591 .54598 L
.47535 .54528 L
.47399 .54346 L
.47395 .54336 L
.47242 .54143 L
.47206 .54099 L
.47064 .5395 L
.47013 .53839 L
.46953 .53758 L
.46821 .53581 L
.46817 .53565 L
.46661 .53372 L
.46628 .53332 L
.46493 .53179 L
.46435 .53068 L
.46379 .52987 L
.46242 .52808 L
.46242 .52794 L
.46086 .52601 L
.4605 .52557 L
.45925 .52409 L
.45857 .52291 L
.45808 .52216 L
.45664 .52031 L
.45657 .52023 L
.45516 .51831 L
.45472 .51776 L
.45359 .51638 L
.45279 .51509 L
.4524 .51445 L
.45089 .51253 L
.45086 .5125 L
.44948 .5106 L
.44894 .50992 L
.44795 .50867 L
.44701 .50723 L
.44674 .50674 L
.44524 .50482 L
.44508 .5047 L
.44327 .50289 L
.44316 .50205 L
.44232 .50096 L
.44123 .49935 L
.44107 .49904 L
.4396 .49711 L
.4393 .49686 L
.4377 .49518 L
.43737 .49414 L
.43672 .49326 L
.43545 .49143 L
.4354 .49133 L
.43399 .4894 L
.43352 .48899 L
.43216 .48747 L
.43159 .48619 L
.43113 .48555 L
.42978 .48362 L
.42967 .48347 L
.4284 .48169 L
.42774 .48105 L
.42665 .47977 L
.42581 .47819 L
.42557 .47784 L
.42422 .47591 L
.42389 .47547 L
.42284 .47399 L
.42196 .47301 L
.42119 .47206 L
.42005 .47013 L
.42003 .4701 L
.41871 .46821 L
.41811 .46738 L
.41734 .46628 L
.41618 .4648 L
.41584 .46435 L
.41462 .46242 L
.41425 .46192 L
.41329 .4605 L
.41232 .45915 L
.41193 .45857 L
.41061 .45664 L
.4104 .45635 L
.40934 .45472 L
.40847 .45347 L
.40805 .45279 L
.40679 .45086 L
.40654 .4505 L
.40567 .44894 L
.40462 .44719 L
.40454 .44701 L
F
0 .91 1 r
.40654 .40479 m
.40847 .40641 L
.40881 .40654 L
.4104 .40844 L
.41045 .40847 L
.41206 .4104 L
.41232 .41062 L
.4136 .41232 L
.41425 .4131 L
.41546 .41425 L
.41618 .41567 L
.41658 .41618 L
.41801 .41811 L
.41811 .41824 L
.41941 .42003 L
.42003 .42059 L
.4211 .42196 L
.42196 .4235 L
.42218 .42389 L
.42346 .42581 L
.42389 .42648 L
.42465 .42774 L
.42545 .42967 L
.42389 .43066 L
.42269 .42967 L
.42196 .42919 L
.42059 .42774 L
.42003 .42715 L
.41892 .42581 L
.41811 .42479 L
.41718 .42389 L
.41618 .42229 L
.41593 .42196 L
.41446 .42003 L
.41425 .41998 L
.41305 .41811 L
.41232 .41728 L
.41149 .41618 L
.4104 .41445 L
.41029 .41425 L
.40895 .41232 L
.40847 .41162 L
.40766 .4104 L
.40654 .40866 L
.40638 .40847 L
.4054 .40654 L
F
0 .9 1 r
.40654 .40511 m
.40842 .40654 L
.40847 .40658 L
.41029 .40847 L
.4104 .40858 L
.41194 .4104 L
.41232 .41071 L
.4135 .41232 L
.41425 .4132 L
.41538 .41425 L
.41618 .41576 L
.41651 .41618 L
.41793 .41811 L
.41811 .41833 L
.41934 .42003 L
.42003 .42068 L
.42102 .42196 L
.42196 .42364 L
.4221 .42389 L
.42336 .42581 L
.42389 .42665 L
.42452 .42774 L
.42515 .42967 L
.42389 .43043 L
.42298 .42967 L
.42196 .42905 L
.42073 .42774 L
.42003 .42702 L
.41902 .42581 L
.41811 .42468 L
.41727 .42389 L
.41618 .4222 L
.416 .42196 L
.41454 .42003 L
.41425 .41995 L
.41312 .41811 L
.41232 .41718 L
.41157 .41618 L
.4104 .41432 L
.41036 .41425 L
.40905 .41232 L
.40847 .41147 L
.40776 .4104 L
.40656 .40847 L
.40654 .40845 L
.40562 .40654 L
F
1 .53 0 r
.40654 .45608 m
.40703 .45664 L
.40847 .45822 L
.40876 .45857 L
.41039 .4605 L
.4104 .46051 L
.41193 .46242 L
.41232 .46288 L
.41348 .46435 L
.41425 .46528 L
.41502 .46628 L
.41618 .46758 L
.41655 .46821 L
.41805 .47013 L
.41811 .4702 L
.41952 .47206 L
.42003 .4727 L
.421 .47399 L
.42196 .47506 L
.42305 .47591 L
.42389 .47775 L
.42397 .47784 L
.42539 .47977 L
.42581 .48032 L
.42683 .48169 L
.42774 .48272 L
.42874 .48362 L
.42967 .48545 L
.42975 .48555 L
.43115 .48747 L
.43159 .48805 L
.43258 .4894 L
.43352 .4905 L
.43435 .49133 L
.43545 .49326 L
.43545 .49326 L
.43684 .49518 L
.43737 .49589 L
.43825 .49711 L
.4393 .49839 L
.4399 .49904 L
.44108 .50096 L
.44123 .50116 L
.44246 .50289 L
.44316 .50382 L
.44387 .50482 L
.44508 .50639 L
.44539 .50674 L
.44664 .50867 L
.44701 .50916 L
.44801 .5106 L
.44894 .51185 L
.44941 .51253 L
.45079 .51445 L
.45086 .51454 L
.45212 .51638 L
.45279 .5173 L
.45347 .51831 L
.45472 .51986 L
.45485 .52023 L
.45614 .52216 L
.45664 .52286 L
.45743 .52409 L
.45857 .5257 L
.45877 .52601 L
.45997 .52794 L
.4605 .52872 L
.46112 .52987 L
.4605 .53073 L
.45975 .52987 L
.45857 .5286 L
.45802 .52794 L
.45664 .52661 L
.45638 .52601 L
.45481 .52409 L
.45472 .52398 L
.45328 .52216 L
.45279 .52157 L
.45175 .52023 L
.45086 .51957 L
.45022 .51831 L
.44894 .51671 L
.44857 .51638 L
.44724 .51445 L
.44701 .51417 L
.44577 .51253 L
.44508 .51203 L
.44429 .5106 L
.44316 .50918 L
.44266 .50867 L
.44137 .50674 L
.44123 .50657 L
.43993 .50482 L
.4393 .50434 L
.43848 .50289 L
.43737 .50149 L
.4369 .50096 L
.4356 .49904 L
.43545 .49883 L
.43419 .49711 L
.43352 .49655 L
.43275 .49518 L
.43159 .49368 L
.43123 .49326 L
.42992 .49133 L
.42967 .491 L
.42851 .4894 L
.42774 .48868 L
.42709 .48747 L
.42581 .48577 L
.42564 .48555 L
.4243 .48362 L
.42389 .48307 L
.42291 .48169 L
.42196 .48068 L
.42104 .47977 L
.4201 .47784 L
.42003 .47775 L
.41875 .47591 L
.41811 .47504 L
.41737 .47399 L
.41618 .47248 L
.41579 .47206 L
.41464 .47013 L
.41425 .4696 L
.41331 .46821 L
.41232 .46684 L
.41195 .46628 L
.41062 .46435 L
.4104 .46405 L
.40935 .46242 L
.40847 .46117 L
.40805 .4605 L
.4068 .45857 L
.40654 .4582 L
.40571 .45664 L
F
1 .79 0 r
.40654 .41301 m
.4076 .41425 L
.40847 .41523 L
.40919 .41618 L
.4104 .4177 L
.41068 .41811 L
.41203 .42003 L
.41232 .42046 L
.41317 .42196 L
.41232 .42276 L
.41158 .42196 L
.4104 .42067 L
.40989 .42003 L
.40847 .41825 L
.40836 .41811 L
.40702 .41618 L
.40654 .41551 L
.40577 .41425 L
F
1 .52 0 r
.40654 .45621 m
.40692 .45664 L
.40847 .45832 L
.40868 .45857 L
.41032 .4605 L
.4104 .46059 L
.41188 .46242 L
.41232 .46294 L
.41343 .46435 L
.41425 .46534 L
.41498 .46628 L
.41618 .46764 L
.41651 .46821 L
.41801 .47013 L
.41811 .47025 L
.41948 .47206 L
.42003 .47275 L
.42097 .47399 L
.42196 .4751 L
.423 .47591 L
.42389 .47779 L
.42393 .47784 L
.42536 .47977 L
.42581 .48035 L
.42681 .48169 L
.42774 .48276 L
.4287 .48362 L
.42967 .48548 L
.42972 .48555 L
.43112 .48747 L
.43159 .48809 L
.43255 .4894 L
.43352 .49054 L
.43432 .49133 L
.43542 .49326 L
.43545 .49329 L
.43681 .49518 L
.43737 .49592 L
.43823 .49711 L
.4393 .49842 L
.43987 .49904 L
.44106 .50096 L
.44123 .50119 L
.44244 .50289 L
.44316 .50385 L
.44384 .50482 L
.44508 .50644 L
.44535 .50674 L
.44662 .50867 L
.44701 .50919 L
.44799 .5106 L
.44894 .51189 L
.44938 .51253 L
.45076 .51445 L
.45086 .51459 L
.45208 .51638 L
.45279 .51734 L
.45344 .51831 L
.45472 .51995 L
.45482 .52023 L
.45609 .52216 L
.45664 .52292 L
.45739 .52409 L
.45857 .52578 L
.45872 .52601 L
.45989 .52794 L
.4605 .52885 L
.46102 .52987 L
.4605 .53059 L
.45986 .52987 L
.45857 .52851 L
.4581 .52794 L
.45664 .52648 L
.45645 .52601 L
.45487 .52409 L
.45472 .52391 L
.45333 .52216 L
.45279 .52151 L
.45179 .52023 L
.45086 .51951 L
.45026 .51831 L
.44894 .51666 L
.44862 .51638 L
.44728 .51445 L
.44701 .51412 L
.4458 .51253 L
.44508 .51199 L
.44432 .5106 L
.44316 .50914 L
.44269 .50867 L
.4414 .50674 L
.44123 .50653 L
.43996 .50482 L
.4393 .50431 L
.43851 .50289 L
.43737 .50145 L
.43693 .50096 L
.43563 .49904 L
.43545 .4988 L
.43421 .49711 L
.43352 .49652 L
.43278 .49518 L
.43159 .49364 L
.43126 .49326 L
.42994 .49133 L
.42967 .49097 L
.42854 .4894 L
.42774 .48864 L
.42712 .48747 L
.42581 .48573 L
.42567 .48555 L
.42432 .48362 L
.42389 .48304 L
.42293 .48169 L
.42196 .48063 L
.42108 .47977 L
.42013 .47784 L
.42003 .47771 L
.41878 .47591 L
.41811 .475 L
.4174 .47399 L
.41618 .47242 L
.41585 .47206 L
.41468 .47013 L
.41425 .46955 L
.41334 .46821 L
.41232 .46679 L
.41198 .46628 L
.41067 .46435 L
.4104 .46398 L
.4094 .46242 L
.40847 .46109 L
.4081 .4605 L
.40688 .45857 L
.40654 .45807 L
.40583 .45664 L
F
0 .82 1 r
.40654 .44794 m
.40749 .44894 L
.40847 .44993 L
.40929 .45086 L
.4104 .45179 L
.41098 .45279 L
.41232 .45436 L
.41283 .45472 L
.41418 .45664 L
.41425 .45673 L
.41574 .45857 L
.41618 .45891 L
.41729 .4605 L
.41811 .4615 L
.4191 .46242 L
.42003 .46401 L
.4203 .46435 L
.42182 .46628 L
.42196 .4664 L
.42331 .46821 L
.42389 .46894 L
.42498 .47013 L
.42581 .47152 L
.42618 .47206 L
.42772 .47399 L
.42774 .474 L
.42919 .47591 L
.42967 .47654 L
.43077 .47784 L
.43159 .47916 L
.43197 .47977 L
.43352 .48168 L
.43353 .48169 L
.43497 .48362 L
.43545 .48424 L
.43649 .48555 L
.43737 .48689 L
.4377 .48747 L
.43928 .4894 L
.4393 .48943 L
.44119 .49133 L
.44123 .49202 L
.44218 .49326 L
.44316 .49468 L
.4434 .49518 L
.44498 .49711 L
.44508 .49721 L
.4468 .49904 L
.44701 .49984 L
.44785 .50096 L
.44894 .50251 L
.44909 .50289 L
.45065 .50482 L
.45086 .50503 L
.45242 .50674 L
.45279 .5077 L
.45349 .50867 L
.45472 .51037 L
.45478 .5106 L
.4563 .51253 L
.45664 .51288 L
.45802 .51445 L
.45857 .51559 L
.45911 .51638 L
.4605 .51827 L
.4605 .51831 L
.46192 .52023 L
.46242 .52077 L
.4636 .52216 L
.46435 .52352 L
.46472 .52409 L
.46613 .52601 L
.46628 .52621 L
.46752 .52794 L
.46821 .52871 L
.46914 .52987 L
.47013 .5315 L
.47032 .53179 L
.4717 .53372 L
.47206 .5342 L
.47309 .53565 L
.47399 .53672 L
.47465 .53758 L
.47588 .5395 L
.47591 .53955 L
.47723 .54143 L
.47784 .54226 L
.47861 .54336 L
.47977 .54486 L
.48008 .54528 L
.48135 .54721 L
.48169 .54769 L
.48269 .54914 L
.48362 .55 L
.4845 .55106 L
.4854 .55299 L
.48555 .55319 L
.48669 .55492 L
.48747 .55603 L
.48801 .55684 L
.48932 .55877 L
.4894 .55888 L
.49052 .5607 L
.49133 .56192 L
.49174 .56263 L
.49283 .56455 L
.49133 .56465 L
.49124 .56455 L
.48945 .56263 L
.4894 .56257 L
.48778 .5607 L
.48747 .56036 L
.48615 .55877 L
.48555 .55858 L
.48454 .55684 L
.48362 .5558 L
.48232 .55492 L
.48169 .55331 L
.4814 .55299 L
.47991 .55106 L
.47977 .55101 L
.4784 .54914 L
.47784 .54848 L
.47642 .54721 L
.47591 .54591 L
.4754 .54528 L
.47399 .54341 L
.47396 .54336 L
.47246 .54143 L
.47206 .54094 L
.47067 .5395 L
.47013 .53834 L
.46957 .53758 L
.46821 .53577 L
.46818 .53565 L
.46664 .53372 L
.46628 .53328 L
.46496 .53179 L
.46435 .53064 L
.46381 .52987 L
.46242 .52805 L
.46242 .52794 L
.46089 .52601 L
.4605 .52553 L
.45927 .52409 L
.45857 .52288 L
.4581 .52216 L
.45664 .52028 L
.4566 .52023 L
.45518 .51831 L
.45472 .51773 L
.45361 .51638 L
.45279 .51506 L
.45242 .51445 L
.45091 .51253 L
.45086 .51249 L
.4495 .5106 L
.44894 .50989 L
.44797 .50867 L
.44701 .50721 L
.44675 .50674 L
.44526 .50482 L
.44508 .50468 L
.44327 .50289 L
.44316 .50202 L
.44234 .50096 L
.44123 .49932 L
.44109 .49904 L
.43962 .49711 L
.4393 .49685 L
.43771 .49518 L
.43737 .49411 L
.43674 .49326 L
.43545 .4914 L
.43542 .49133 L
.43401 .4894 L
.43352 .48896 L
.43218 .48747 L
.43159 .48616 L
.43116 .48555 L
.4298 .48362 L
.42967 .48344 L
.42843 .48169 L
.42774 .48101 L
.42668 .47977 L
.42581 .47815 L
.4256 .47784 L
.42425 .47591 L
.42389 .47542 L
.42288 .47399 L
.42196 .47296 L
.42123 .47206 L
.42009 .47013 L
.42003 .47005 L
.41875 .46821 L
.41811 .46732 L
.41738 .46628 L
.41618 .46471 L
.4159 .46435 L
.41467 .46242 L
.41425 .46185 L
.41335 .4605 L
.41232 .45907 L
.41199 .45857 L
.41068 .45664 L
.4104 .45624 L
.40943 .45472 L
.40847 .45333 L
.40814 .45279 L
.40693 .45086 L
.40654 .45027 L
.40586 .44894 L
F
0 .89 1 r
.40654 .40546 m
.40815 .40654 L
.40847 .4068 L
.41013 .40847 L
.4104 .40874 L
.41182 .4104 L
.41232 .41081 L
.41341 .41232 L
.41425 .41331 L
.41529 .41425 L
.41618 .41586 L
.41644 .41618 L
.41786 .41811 L
.41811 .41843 L
.41927 .42003 L
.42003 .42078 L
.42094 .42196 L
.42196 .42378 L
.42202 .42389 L
.42326 .42581 L
.42389 .42684 L
.42439 .42774 L
.42476 .42967 L
.42389 .43009 L
.42335 .42967 L
.42196 .42891 L
.42088 .42774 L
.42003 .4269 L
.41913 .42581 L
.41811 .42457 L
.41736 .42389 L
.41618 .42211 L
.41606 .42196 L
.41461 .42003 L
.41425 .41992 L
.41319 .41811 L
.41232 .41708 L
.41165 .41618 L
.41044 .41425 L
.4104 .4142 L
.40914 .41232 L
.40847 .41132 L
.40787 .4104 L
.40672 .40847 L
.40654 .40815 L
.40586 .40654 L
F
0 .99 1 r
.40654 .43268 m
.40847 .433 L
.41016 .43352 L
.4104 .43365 L
.41232 .43529 L
.41247 .43545 L
.41399 .43737 L
.41425 .43768 L
.41544 .4393 L
.41618 .44022 L
.41724 .44123 L
.41811 .44284 L
.41838 .44316 L
.41973 .44508 L
.42003 .44532 L
.42112 .44701 L
.42196 .44802 L
.42272 .44894 L
.42389 .45076 L
.42396 .45086 L
.42532 .45279 L
.42581 .4534 L
.42685 .45472 L
.42774 .45614 L
.42809 .45664 L
.42955 .45857 L
.42967 .45886 L
.43084 .4605 L
.43159 .46158 L
.43203 .46242 L
.43352 .46432 L
.43355 .46435 L
.43471 .46628 L
.43545 .46707 L
.43638 .46821 L
.43737 .46963 L
.43776 .47013 L
.43905 .47206 L
.4393 .47237 L
.44062 .47399 L
.44123 .47484 L
.44206 .47591 L
.44316 .47745 L
.44346 .47784 L
.44474 .47977 L
.44508 .48022 L
.44633 .48169 L
.44701 .48264 L
.44776 .48362 L
.44894 .48527 L
.44915 .48555 L
.45046 .48747 L
.45086 .48804 L
.45134 .4894 L
.45279 .49048 L
.45343 .49133 L
.45472 .49313 L
.45482 .49326 L
.45612 .49518 L
.45664 .4959 L
.45705 .49711 L
.45857 .49836 L
.45909 .49904 L
.46047 .50096 L
.4605 .50101 L
.46174 .50289 L
.46242 .5038 L
.46333 .50482 L
.46435 .50625 L
.46472 .50674 L
.46613 .50867 L
.46628 .50892 L
.46734 .5106 L
.46821 .5117 L
.46897 .51253 L
.47013 .51415 L
.47036 .51445 L
.47177 .51638 L
.47206 .51683 L
.47294 .51831 L
.47399 .51959 L
.4746 .52023 L
.47591 .52206 L
.47599 .52216 L
.4774 .52409 L
.47784 .52474 L
.47854 .52601 L
.47977 .52747 L
.48024 .52794 L
.48168 .52987 L
.48169 .52996 L
.48303 .53179 L
.48362 .53264 L
.48414 .53372 L
.48555 .53534 L
.48587 .53565 L
.48739 .53758 L
.48747 .53785 L
.48865 .5395 L
.4894 .54054 L
.48974 .54143 L
.49133 .54319 L
.49151 .54336 L
.49307 .54528 L
.49326 .54574 L
.49427 .54721 L
.49518 .54843 L
.49537 .54914 L
.49711 .55104 L
.49714 .55106 L
.49872 .55299 L
.49904 .55363 L
.49989 .55492 L
.50096 .55632 L
.50101 .55684 L
.50277 .55877 L
.50289 .55888 L
.50435 .5607 L
.50482 .56153 L
.50551 .56263 L
.50674 .56421 L
.50701 .56455 L
.5084 .56648 L
.50867 .56674 L
.50997 .56841 L
.5106 .56943 L
.51113 .57033 L
.51253 .57211 L
.51264 .57226 L
.51403 .57419 L
.51445 .57461 L
.51559 .57611 L
.51638 .57733 L
.51676 .57804 L
.51827 .57997 L
.51831 .58002 L
.52019 .58189 L
.52023 .5825 L
.52119 .58382 L
.52216 .58526 L
.5224 .58575 L
.52389 .58768 L
.52409 .58794 L
.52579 .5896 L
.52601 .59041 L
.52679 .59153 L
.52794 .59319 L
.52805 .59346 L
.5295 .59538 L
.52987 .59588 L
.53136 .59731 L
.53179 .59836 L
.53238 .59924 L
.53372 .60116 L
.53372 .60116 L
.5351 .60309 L
.53565 .60337 L
.53689 .60502 L
.53758 .60636 L
.53795 .60694 L
.53929 .60887 L
.5395 .60915 L
.54066 .6108 L
.54143 .61139 L
.54237 .61273 L
.54336 .61446 L
.54348 .61465 L
.54481 .61658 L
.54528 .61722 L
.54617 .61851 L
.54721 .61964 L
.54773 .62043 L
.54889 .62236 L
.54914 .6227 L
.55019 .62429 L
.55106 .62553 L
.55151 .62621 L
.5528 .62814 L
.55299 .62842 L
.55397 .63007 L
.55492 .63159 L
.55513 .63199 L
.55592 .63392 L
.55492 .63416 L
.55463 .63392 L
.55299 .63257 L
.5525 .63199 L
.55106 .63049 L
.55036 .63007 L
.54914 .62835 L
.54893 .62814 L
.54724 .62621 L
.54721 .62618 L
.54562 .62429 L
.54528 .62385 L
.54387 .62236 L
.54336 .62138 L
.54264 .62043 L
.54143 .61881 L
.54094 .61851 L
.5395 .61662 L
.53947 .61658 L
.53793 .61465 L
.53758 .61402 L
.53671 .61273 L
.53565 .61125 L
.53501 .6108 L
.53372 .60905 L
.53358 .60887 L
.53213 .60694 L
.53179 .60638 L
.53094 .60502 L
.52987 .60354 L
.52923 .60309 L
.52794 .60132 L
.52782 .60116 L
.52641 .59924 L
.52601 .59861 L
.52526 .59731 L
.52409 .59573 L
.52352 .59538 L
.52216 .5935 L
.52212 .59346 L
.52073 .59153 L
.52023 .59076 L
.51963 .5896 L
.51831 .5879 L
.51784 .58768 L
.51641 .58575 L
.51638 .58564 L
.51509 .58382 L
.51445 .58288 L
.51402 .58189 L
.51253 .58008 L
.51219 .57997 L
.51071 .57804 L
.5106 .57775 L
.50945 .57611 L
.50867 .575 L
.50841 .57419 L
.50674 .57253 L
.50654 .57226 L
.50504 .57033 L
.50482 .56986 L
.50383 .56841 L
.50289 .56712 L
.5028 .56648 L
.50096 .56464 L
.5009 .56455 L
.49939 .56263 L
.49904 .56196 L
.49821 .5607 L
.49711 .55924 L
.49666 .55877 L
.49526 .55684 L
.49518 .55674 L
.49375 .55492 L
.49326 .55407 L
.49258 .55299 L
.49133 .55138 L
.49102 .55106 L
.48962 .54914 L
.4894 .54886 L
.48812 .54721 L
.48747 .54618 L
.48696 .54528 L
.48555 .54352 L
.48538 .54336 L
.48363 .54143 L
.48362 .54097 L
.48249 .5395 L
.48169 .53828 L
.48133 .53758 L
.47977 .53567 L
.47974 .53565 L
.47797 .53372 L
.47784 .53309 L
.47687 .53179 L
.47591 .53039 L
.47568 .52987 L
.47411 .52794 L
.47399 .52783 L
.47235 .52601 L
.47206 .52519 L
.47125 .52409 L
.47013 .5225 L
.47002 .52216 L
.46848 .52023 L
.46821 .51999 L
.46673 .51831 L
.46628 .5173 L
.46563 .51638 L
.46435 .51461 L
.46432 .51445 L
.46285 .51253 L
.46242 .51213 L
.46113 .5106 L
.4605 .50939 L
.46001 .50867 L
.4586 .50674 L
.45857 .50671 L
.45721 .50482 L
.45664 .50425 L
.45554 .50289 L
.45472 .50148 L
.45438 .50096 L
.45297 .49904 L
.45279 .4988 L
.45158 .49711 L
.45086 .49635 L
.44994 .49518 L
.44894 .49356 L
.44875 .49326 L
.44735 .49133 L
.44701 .49088 L
.44595 .4894 L
.44508 .48844 L
.44435 .48747 L
.44316 .48564 L
.44311 .48555 L
.44172 .48362 L
.44123 .48297 L
.44032 .48169 L
.4393 .4805 L
.43876 .47977 L
.43748 .47784 L
.43737 .47771 L
.4361 .47591 L
.43545 .47505 L
.4341 .47399 L
.43352 .47253 L
.43318 .47206 L
.43187 .47013 L
.43159 .46977 L
.43049 .46821 L
.42967 .4675 L
.42867 .46628 L
.42774 .46452 L
.42763 .46435 L
.42628 .46242 L
.42581 .4618 L
.4249 .4605 L
.42389 .45929 L
.42333 .45857 L
.42208 .45664 L
.42196 .45659 L
.42072 .45472 L
.42003 .45391 L
.41915 .45279 L
.41811 .45114 L
.41791 .45086 L
.41626 .44894 L
.41618 .4485 L
.41505 .44701 L
.41425 .44579 L
.41377 .44508 L
.41239 .44316 L
.41232 .44312 L
.4109 .44123 L
.4104 .44059 L
.40961 .4393 L
.40847 .43773 L
.4083 .43737 L
.40699 .43545 L
.40654 .43472 L
.40589 .43352 L
F
1 .78 0 r
.40654 .41327 m
.4074 .41425 L
.40847 .41542 L
.40904 .41618 L
.4104 .41788 L
.41056 .41811 L
.41185 .42003 L
.41232 .42074 L
.41294 .42196 L
.41232 .42248 L
.41181 .42196 L
.4104 .42047 L
.41005 .42003 L
.40851 .41811 L
.40847 .41805 L
.40719 .41618 L
.40654 .41525 L
.40596 .41425 L
F
1 .51 0 r
.40654 .45636 m
.4068 .45664 L
.40847 .45841 L
.4086 .45857 L
.41024 .4605 L
.4104 .46067 L
.41182 .46242 L
.41232 .46301 L
.41338 .46435 L
.41425 .46539 L
.41494 .46628 L
.41618 .4677 L
.41647 .46821 L
.41797 .47013 L
.41811 .47029 L
.41945 .47206 L
.42003 .47279 L
.42094 .47399 L
.42196 .47514 L
.42295 .47591 L
.42389 .47783 L
.4239 .47784 L
.42533 .47977 L
.42581 .48039 L
.42678 .48169 L
.42774 .48279 L
.42866 .48362 L
.42967 .48552 L
.42969 .48555 L
.4311 .48747 L
.43159 .48812 L
.43253 .4894 L
.43352 .49057 L
.43428 .49133 L
.4354 .49326 L
.43545 .49332 L
.43679 .49518 L
.43737 .49596 L
.43821 .49711 L
.4393 .49846 L
.43984 .49904 L
.44103 .50096 L
.44123 .50122 L
.44241 .50289 L
.44316 .50389 L
.44382 .50482 L
.44508 .50648 L
.44531 .50674 L
.44659 .50867 L
.44701 .50923 L
.44796 .5106 L
.44894 .51193 L
.44935 .51253 L
.45073 .51445 L
.45086 .51463 L
.45205 .51638 L
.45279 .51739 L
.45341 .51831 L
.45472 .52005 L
.45478 .52023 L
.45605 .52216 L
.45664 .52299 L
.45734 .52409 L
.45857 .52586 L
.45867 .52601 L
.4598 .52794 L
.4605 .52901 L
.4609 .52987 L
.4605 .53043 L
.45998 .52987 L
.45857 .52841 L
.45818 .52794 L
.45664 .52633 L
.45651 .52601 L
.45493 .52409 L
.45472 .52384 L
.45338 .52216 L
.45279 .52146 L
.45184 .52023 L
.45086 .51945 L
.4503 .51831 L
.44894 .5166 L
.44868 .51638 L
.44731 .51445 L
.44701 .51408 L
.44583 .51253 L
.44508 .51195 L
.44435 .5106 L
.44316 .50909 L
.44273 .50867 L
.44143 .50674 L
.44123 .50649 L
.43999 .50482 L
.4393 .50428 L
.43853 .50289 L
.43737 .50141 L
.43697 .50096 L
.43566 .49904 L
.43545 .49877 L
.43424 .49711 L
.43352 .49649 L
.4328 .49518 L
.43159 .49361 L
.43129 .49326 L
.42997 .49133 L
.42967 .49093 L
.42856 .4894 L
.42774 .48861 L
.42714 .48747 L
.42581 .48569 L
.4257 .48555 L
.42435 .48362 L
.42389 .483 L
.42296 .48169 L
.42196 .48059 L
.42113 .47977 L
.42016 .47784 L
.42003 .47767 L
.41881 .47591 L
.41811 .47496 L
.41743 .47399 L
.41618 .47236 L
.4159 .47206 L
.41472 .47013 L
.41425 .4695 L
.41338 .46821 L
.41232 .46673 L
.41202 .46628 L
.41071 .46435 L
.4104 .46391 L
.40946 .46242 L
.40847 .46101 L
.40816 .4605 L
.40698 .45857 L
.40654 .45791 L
.40598 .45664 L
F
0 .81 1 r
.40654 .44828 m
.40722 .44894 L
.40847 .45014 L
.40912 .45086 L
.4104 .452 L
.41084 .45279 L
.41232 .45451 L
.41263 .45472 L
.41408 .45664 L
.41425 .45684 L
.41565 .45857 L
.41618 .45899 L
.41721 .4605 L
.41811 .46159 L
.41902 .46242 L
.42003 .46408 L
.42024 .46435 L
.42176 .46628 L
.42196 .46645 L
.42326 .46821 L
.42389 .469 L
.42494 .47013 L
.42581 .47157 L
.42615 .47206 L
.42768 .47399 L
.42774 .47404 L
.42915 .47591 L
.42967 .47659 L
.43073 .47784 L
.43159 .4792 L
.43195 .47977 L
.4335 .48169 L
.43352 .48172 L
.43494 .48362 L
.43545 .48428 L
.43647 .48555 L
.43737 .48692 L
.43768 .48747 L
.43925 .4894 L
.4393 .48945 L
.44118 .49133 L
.44123 .49205 L
.44216 .49326 L
.44316 .49471 L
.44339 .49518 L
.44495 .49711 L
.44508 .49724 L
.44679 .49904 L
.44701 .49987 L
.44783 .50096 L
.44894 .50254 L
.44908 .50289 L
.45063 .50482 L
.45086 .50506 L
.4524 .50674 L
.45279 .50773 L
.45347 .50867 L
.45472 .5104 L
.45478 .5106 L
.45627 .51253 L
.45664 .51291 L
.458 .51445 L
.45857 .51562 L
.45909 .51638 L
.4605 .51829 L
.4605 .51831 L
.4619 .52023 L
.46242 .5208 L
.46358 .52216 L
.46435 .52355 L
.4647 .52409 L
.46611 .52601 L
.46628 .52624 L
.46749 .52794 L
.46821 .52874 L
.46912 .52987 L
.47013 .53154 L
.47029 .53179 L
.47168 .53372 L
.47206 .53424 L
.47306 .53565 L
.47399 .53677 L
.47461 .53758 L
.47584 .5395 L
.47591 .53959 L
.4772 .54143 L
.47784 .54231 L
.47857 .54336 L
.47977 .54493 L
.48003 .54528 L
.4813 .54721 L
.48169 .54775 L
.48264 .54914 L
.48362 .55011 L
.48441 .55106 L
.48534 .55299 L
.48555 .55328 L
.48662 .55492 L
.48747 .55614 L
.48793 .55684 L
.48922 .55877 L
.4894 .55903 L
.4904 .5607 L
.49133 .56213 L
.4916 .56263 L
.49133 .56436 L
.48965 .56263 L
.4894 .56238 L
.48793 .5607 L
.48747 .56021 L
.48626 .55877 L
.48555 .5585 L
.48464 .55684 L
.48362 .55569 L
.48245 .55492 L
.48169 .55322 L
.48148 .55299 L
.47998 .55106 L
.47977 .55099 L
.47846 .54914 L
.47784 .54841 L
.47647 .54721 L
.47591 .54585 L
.47545 .54528 L
.47399 .54336 L
.47398 .54336 L
.47251 .54143 L
.47206 .54089 L
.4707 .5395 L
.47013 .53829 L
.4696 .53758 L
.46821 .53574 L
.46819 .53565 L
.46668 .53372 L
.46628 .53324 L
.46498 .53179 L
.46435 .5306 L
.46384 .52987 L
.46242 .52802 L
.46242 .52794 L
.46092 .52601 L
.4605 .5255 L
.45929 .52409 L
.45857 .52284 L
.45812 .52216 L
.45664 .52026 L
.45662 .52023 L
.4552 .51831 L
.45472 .5177 L
.45363 .51638 L
.45279 .51503 L
.45244 .51445 L
.45094 .51253 L
.45086 .51247 L
.44952 .5106 L
.44894 .50987 L
.44798 .50867 L
.44701 .50718 L
.44677 .50674 L
.44528 .50482 L
.44508 .50467 L
.44328 .50289 L
.44316 .50199 L
.44236 .50096 L
.44123 .49929 L
.4411 .49904 L
.43964 .49711 L
.4393 .49683 L
.43773 .49518 L
.43737 .49408 L
.43676 .49326 L
.43545 .49137 L
.43543 .49133 L
.43403 .4894 L
.43352 .48894 L
.4322 .48747 L
.43159 .48613 L
.43118 .48555 L
.42983 .48362 L
.42967 .48341 L
.42845 .48169 L
.42774 .48098 L
.42671 .47977 L
.42581 .47811 L
.42563 .47784 L
.42428 .47591 L
.42389 .47538 L
.42291 .47399 L
.42196 .4729 L
.42128 .47206 L
.42013 .47013 L
.42003 .47 L
.41879 .46821 L
.41811 .46727 L
.41742 .46628 L
.41618 .46463 L
.41597 .46435 L
.41473 .46242 L
.41425 .46177 L
.4134 .4605 L
.41232 .45898 L
.41205 .45857 L
.41076 .45664 L
.4104 .45612 L
.40952 .45472 L
.40847 .45318 L
.40824 .45279 L
.4071 .45086 L
.40654 .44997 L
.40609 .44894 L
F
0 .88 1 r
.40654 .40588 m
.4078 .40654 L
.40847 .40702 L
.40996 .40847 L
.4104 .4089 L
.4117 .4104 L
.41232 .41091 L
.41331 .41232 L
.41425 .41342 L
.4152 .41425 L
.41618 .41596 L
.41636 .41618 L
.41778 .41811 L
.41811 .41853 L
.4192 .42003 L
.42003 .42088 L
.42085 .42196 L
.42193 .42389 L
.42196 .42392 L
.42316 .42581 L
.42389 .42705 L
.42425 .42774 L
.42389 .42964 L
.42196 .42877 L
.42104 .42774 L
.42003 .42677 L
.41923 .42581 L
.41811 .42446 L
.41746 .42389 L
.41618 .42202 L
.41613 .42196 L
.41469 .42003 L
.41425 .41987 L
.41327 .41811 L
.41232 .41697 L
.41173 .41618 L
.41052 .41425 L
.4104 .41407 L
.40923 .41232 L
.40847 .41116 L
.40798 .4104 L
.40688 .40847 L
.40654 .40778 L
.40614 .40654 L
F
1 .77 0 r
.40654 .4136 m
.40714 .41425 L
.40847 .41563 L
.40888 .41618 L
.4104 .41807 L
.41042 .41811 L
.41163 .42003 L
.41232 .42114 L
.41259 .42196 L
.41232 .42213 L
.41213 .42196 L
.4104 .42024 L
.41022 .42003 L
.40872 .41811 L
.40847 .41781 L
.4074 .41618 L
.40654 .41492 L
.40619 .41425 L
F
1 .5 0 r
.40654 .45654 m
.40664 .45664 L
.40847 .45851 L
.40852 .45857 L
.41016 .4605 L
.4104 .46075 L
.41175 .46242 L
.41232 .46307 L
.41333 .46435 L
.41425 .46545 L
.4149 .46628 L
.41618 .46777 L
.41644 .46821 L
.41793 .47013 L
.41811 .47034 L
.41941 .47206 L
.42003 .47283 L
.4209 .47399 L
.42196 .47519 L
.42289 .47591 L
.42386 .47784 L
.42389 .47787 L
.4253 .47977 L
.42581 .48042 L
.42675 .48169 L
.42774 .48283 L
.42862 .48362 L
.42966 .48555 L
.42967 .48556 L
.43107 .48747 L
.43159 .48815 L
.43251 .4894 L
.43352 .49061 L
.43425 .49133 L
.43537 .49326 L
.43545 .49336 L
.43676 .49518 L
.43737 .49599 L
.43818 .49711 L
.4393 .4985 L
.4398 .49904 L
.441 .50096 L
.44123 .50126 L
.44239 .50289 L
.44316 .50392 L
.44379 .50482 L
.44508 .50652 L
.44528 .50674 L
.44656 .50867 L
.44701 .50927 L
.44793 .5106 L
.44894 .51197 L
.44933 .51253 L
.4507 .51445 L
.45086 .51468 L
.45202 .51638 L
.45279 .51744 L
.45337 .51831 L
.45472 .52015 L
.45475 .52023 L
.456 .52216 L
.45664 .52306 L
.45729 .52409 L
.45857 .52595 L
.45861 .52601 L
.4597 .52794 L
.4605 .52921 L
.46076 .52987 L
.4605 .53023 L
.46014 .52987 L
.45857 .52831 L
.45826 .52794 L
.45664 .52618 L
.45657 .52601 L
.45499 .52409 L
.45472 .52378 L
.45344 .52216 L
.45279 .5214 L
.45188 .52023 L
.45086 .51938 L
.45034 .51831 L
.44894 .51655 L
.44874 .51638 L
.44735 .51445 L
.44701 .51403 L
.44587 .51253 L
.44508 .51191 L
.44438 .5106 L
.44316 .50905 L
.44278 .50867 L
.44146 .50674 L
.44123 .50645 L
.44001 .50482 L
.4393 .50424 L
.43856 .50289 L
.43737 .50137 L
.437 .50096 L
.43568 .49904 L
.43545 .49873 L
.43426 .49711 L
.43352 .49646 L
.43283 .49518 L
.43159 .49357 L
.43132 .49326 L
.42999 .49133 L
.42967 .4909 L
.42859 .4894 L
.42774 .48857 L
.42717 .48747 L
.42581 .48565 L
.42573 .48555 L
.42438 .48362 L
.42389 .48297 L
.42298 .48169 L
.42196 .48054 L
.42117 .47977 L
.42019 .47784 L
.42003 .47763 L
.41884 .47591 L
.41811 .47492 L
.41746 .47399 L
.41618 .4723 L
.41596 .47206 L
.41475 .47013 L
.41425 .46945 L
.41342 .46821 L
.41232 .46668 L
.41206 .46628 L
.41077 .46435 L
.4104 .46384 L
.40951 .46242 L
.40847 .46092 L
.40822 .4605 L
.40709 .45857 L
.40654 .45771 L
.40619 .45664 L
F
1 .95 0 r
.40654 .43982 m
.40815 .44123 L
.40847 .44153 L
.41 .44316 L
.4104 .44358 L
.4117 .44508 L
.41232 .44565 L
.41332 .44701 L
.41425 .44813 L
.41521 .44894 L
.41618 .45057 L
.41644 .45086 L
.41794 .45279 L
.41811 .45297 L
.41947 .45472 L
.42003 .45547 L
.42106 .45664 L
.42196 .45799 L
.42234 .45857 L
.42389 .46046 L
.42394 .4605 L
.42574 .46242 L
.42581 .46298 L
.42685 .46435 L
.42774 .46559 L
.42802 .46628 L
.42967 .46815 L
.42984 .46821 L
.43142 .47013 L
.43159 .47058 L
.43263 .47206 L
.43352 .47327 L
.4337 .47399 L
.43545 .47564 L
.43566 .47591 L
.43716 .47784 L
.43737 .47827 L
.43838 .47977 L
.4393 .48099 L
.43999 .48169 L
.44123 .48339 L
.44141 .48362 L
.44288 .48555 L
.44316 .48604 L
.44408 .48747 L
.44508 .48878 L
.44571 .4894 L
.44701 .4912 L
.44711 .49133 L
.44857 .49326 L
.44894 .49386 L
.44975 .49518 L
.45086 .49659 L
.45139 .49711 L
.45278 .49904 L
.45279 .49904 L
.45423 .50096 L
.45472 .50172 L
.45539 .50289 L
.45664 .50443 L
.45705 .50482 L
.45845 .50674 L
.45857 .50691 L
.45988 .50867 L
.4605 .50959 L
.46102 .5106 L
.46242 .51227 L
.4627 .51253 L
.46429 .51445 L
.46435 .51478 L
.46551 .51638 L
.46628 .51747 L
.46665 .51831 L
.46821 .52011 L
.46835 .52023 L
.46996 .52216 L
.47013 .52266 L
.47114 .52409 L
.47206 .52535 L
.47228 .52601 L
.47398 .52794 L
.47399 .52794 L
.47561 .52987 L
.47591 .53056 L
.47676 .53179 L
.47784 .53325 L
.47793 .53372 L
.47961 .53565 L
.47977 .5358 L
.48124 .53758 L
.48169 .53846 L
.48238 .5395 L
.48362 .54115 L
.48362 .54143 L
.48524 .54336 L
.48555 .54367 L
.48684 .54528 L
.48747 .54637 L
.48799 .54721 L
.4894 .54906 L
.48946 .54914 L
.49085 .55106 L
.49133 .55157 L
.49244 .55299 L
.49326 .55431 L
.49361 .55492 L
.49506 .55684 L
.49518 .55701 L
.49645 .55877 L
.49711 .5595 L
.49801 .5607 L
.49904 .56229 L
.49922 .56263 L
.50064 .56455 L
.50096 .56499 L
.50266 .56648 L
.50289 .5675 L
.50354 .56841 L
.50482 .57032 L
.50482 .57033 L
.50618 .57226 L
.50674 .57303 L
.5081 .57419 L
.50867 .5756 L
.50902 .57611 L
.51032 .57804 L
.5106 .57842 L
.51166 .57997 L
.51253 .58072 L
.5134 .58189 L
.5144 .58382 L
.51445 .58389 L
.51569 .58575 L
.51638 .58671 L
.51701 .58768 L
.51831 .58948 L
.51839 .5896 L
.51957 .59153 L
.52023 .59251 L
.5208 .59346 L
.522 .59538 L
.52216 .59564 L
.5229 .59731 L
.52216 .5979 L
.52153 .59731 L
.52023 .59608 L
.51958 .59538 L
.51831 .59408 L
.51782 .59346 L
.51638 .59179 L
.51606 .59153 L
.51452 .5896 L
.51445 .58952 L
.51293 .58768 L
.51253 .58722 L
.51136 .58575 L
.5106 .58476 L
.50974 .58382 L
.50867 .58227 L
.50843 .58189 L
.5068 .57997 L
.50674 .57991 L
.50529 .57804 L
.50482 .57738 L
.5038 .57611 L
.50289 .57478 L
.50257 .57419 L
.50096 .57229 L
.50087 .57226 L
.49915 .57033 L
.49904 .56979 L
.49799 .56841 L
.49711 .56713 L
.49682 .56648 L
.49518 .56459 L
.49507 .56455 L
.49345 .56263 L
.49326 .56208 L
.49226 .5607 L
.49133 .55939 L
.49112 .55877 L
.4894 .55686 L
.48934 .55684 L
.48776 .55492 L
.48747 .55429 L
.48657 .55299 L
.48555 .5516 L
.48545 .55106 L
.48364 .54914 L
.48362 .54911 L
.48208 .54721 L
.48169 .54646 L
.48091 .54528 L
.47977 .54377 L
.47937 .54336 L
.47796 .54143 L
.47784 .54127 L
.47643 .5395 L
.47591 .53861 L
.47526 .53758 L
.47399 .53594 L
.47371 .53565 L
.4723 .53372 L
.47206 .53341 L
.47078 .53179 L
.47013 .53074 L
.46962 .52987 L
.46821 .52809 L
.46806 .52794 L
.46665 .52601 L
.46628 .52554 L
.46515 .52409 L
.46435 .52286 L
.46398 .52216 L
.46242 .52025 L
.46241 .52023 L
.4606 .51831 L
.4605 .51766 L
.45953 .51638 L
.45857 .51497 L
.45833 .51445 L
.45678 .51253 L
.45664 .51242 L
.45498 .5106 L
.45472 .50977 L
.45391 .50867 L
.45279 .50708 L
.45267 .50674 L
.45115 .50482 L
.45086 .50457 L
.44938 .50289 L
.44894 .50187 L
.4483 .50096 L
.44701 .49917 L
.44698 .49904 L
.44552 .49711 L
.44508 .4967 L
.44379 .49518 L
.44316 .49395 L
.44269 .49326 L
.44129 .49133 L
.44123 .49125 L
.43991 .4894 L
.4393 .4888 L
.43822 .48747 L
.43737 .486 L
.43708 .48555 L
.43569 .48362 L
.43545 .4833 L
.43431 .48169 L
.43352 .48086 L
.43267 .47977 L
.43159 .47802 L
.43148 .47784 L
.43011 .47591 L
.42967 .47532 L
.42872 .47399 L
.42774 .47284 L
.42715 .47206 L
.42591 .47013 L
.42581 .47 L
.42455 .46821 L
.42389 .46731 L
.42251 .46628 L
.42196 .46473 L
.42168 .46435 L
.4204 .46242 L
.42003 .46193 L
.41905 .4605 L
.41811 .4592 L
.41728 .45857 L
.41629 .45664 L
.41618 .45649 L
.41499 .45472 L
.41425 .4537 L
.41365 .45279 L
.41232 .45097 L
.41225 .45086 L
.41103 .44894 L
.4104 .44804 L
.40976 .44701 L
.40847 .4451 L
.40846 .44508 L
.40734 .44316 L
.40654 .44184 L
.40626 .44123 L
F
0 .8 1 r
.40654 .44879 m
.40678 .44894 L
.40847 .45037 L
.40892 .45086 L
.4104 .45224 L
.4107 .45279 L
.41232 .45466 L
.41241 .45472 L
.41398 .45664 L
.41425 .45696 L
.41556 .45857 L
.41618 .45907 L
.41714 .4605 L
.41811 .46168 L
.41894 .46242 L
.42003 .46416 L
.42019 .46435 L
.4217 .46628 L
.42196 .4665 L
.42321 .46821 L
.42389 .46906 L
.42489 .47013 L
.42581 .47163 L
.42611 .47206 L
.42764 .47399 L
.42774 .47408 L
.42911 .47591 L
.42967 .47664 L
.4307 .47784 L
.43159 .47925 L
.43192 .47977 L
.43346 .48169 L
.43352 .48175 L
.43491 .48362 L
.43545 .48432 L
.43644 .48555 L
.43737 .48696 L
.43766 .48747 L
.43922 .4894 L
.4393 .48948 L
.44118 .49133 L
.44123 .49208 L
.44214 .49326 L
.44316 .49474 L
.44337 .49518 L
.44493 .49711 L
.44508 .49726 L
.44678 .49904 L
.44701 .4999 L
.44781 .50096 L
.44894 .50257 L
.44907 .50289 L
.4506 .50482 L
.45086 .50508 L
.45239 .50674 L
.45279 .50776 L
.45345 .50867 L
.45472 .51043 L
.45477 .5106 L
.45625 .51253 L
.45664 .51293 L
.45798 .51445 L
.45857 .51565 L
.45907 .51638 L
.46048 .51831 L
.4605 .51832 L
.46187 .52023 L
.46242 .52082 L
.46355 .52216 L
.46435 .52359 L
.46468 .52409 L
.46608 .52601 L
.46628 .52628 L
.46747 .52794 L
.46821 .52877 L
.46909 .52987 L
.47013 .53158 L
.47027 .53179 L
.47165 .53372 L
.47206 .53428 L
.47303 .53565 L
.47399 .53681 L
.47458 .53758 L
.47581 .5395 L
.47591 .53964 L
.47716 .54143 L
.47784 .54236 L
.47854 .54336 L
.47977 .545 L
.47998 .54528 L
.48125 .54721 L
.48169 .54782 L
.48259 .54914 L
.48362 .55022 L
.48432 .55106 L
.48527 .55299 L
.48555 .55338 L
.48655 .55492 L
.48747 .55625 L
.48786 .55684 L
.48911 .55877 L
.4894 .5592 L
.49027 .5607 L
.49133 .5624 L
.49144 .56263 L
.49133 .56401 L
.48989 .56263 L
.4894 .56217 L
.48808 .5607 L
.48747 .56006 L
.48638 .55877 L
.48555 .5584 L
.48474 .55684 L
.48362 .55557 L
.48259 .55492 L
.48169 .55312 L
.48157 .55299 L
.48005 .55106 L
.47977 .55096 L
.47852 .54914 L
.47784 .54834 L
.47652 .54721 L
.47591 .54578 L
.4755 .54528 L
.47403 .54336 L
.47399 .54334 L
.47255 .54143 L
.47206 .54084 L
.47073 .5395 L
.47013 .53824 L
.46963 .53758 L
.46821 .5357 L
.46819 .53565 L
.46671 .53372 L
.46628 .5332 L
.46501 .53179 L
.46435 .53056 L
.46386 .52987 L
.46242 .52799 L
.46242 .52794 L
.46094 .52601 L
.4605 .52546 L
.45931 .52409 L
.45857 .52281 L
.45814 .52216 L
.45665 .52023 L
.45664 .52023 L
.45523 .51831 L
.45472 .51767 L
.45365 .51638 L
.45279 .515 L
.45245 .51445 L
.45096 .51253 L
.45086 .51246 L
.44955 .5106 L
.44894 .50984 L
.448 .50867 L
.44701 .50715 L
.44678 .50674 L
.4453 .50482 L
.44508 .50465 L
.44329 .50289 L
.44316 .50197 L
.44238 .50096 L
.44123 .49927 L
.44111 .49904 L
.43967 .49711 L
.4393 .49681 L
.43775 .49518 L
.43737 .49405 L
.43678 .49326 L
.43545 .49134 L
.43544 .49133 L
.43406 .4894 L
.43352 .48891 L
.43222 .48747 L
.43159 .48609 L
.4312 .48555 L
.42985 .48362 L
.42967 .48337 L
.42848 .48169 L
.42774 .48094 L
.42674 .47977 L
.42581 .47806 L
.42566 .47784 L
.42431 .47591 L
.42389 .47534 L
.42294 .47399 L
.42196 .47285 L
.42132 .47206 L
.42017 .47013 L
.42003 .46995 L
.41883 .46821 L
.41811 .46721 L
.41747 .46628 L
.41618 .46454 L
.41603 .46435 L
.41478 .46242 L
.41425 .46169 L
.41346 .4605 L
.41232 .45889 L
.41212 .45857 L
.41085 .45664 L
.4104 .456 L
.40961 .45472 L
.40847 .45301 L
.40834 .45279 L
.40729 .45086 L
.40654 .44946 L
.40645 .44894 L
F
0 .64 1 r
.40654 .48036 m
.40712 .48169 L
.40654 .48178 L
.40647 .48169 L
F
1 .99 0 r
.40654 .40026 m
.40847 .3998 L
.4104 .40024 L
.41129 .40076 L
.41232 .40173 L
.4129 .40269 L
.41425 .40406 L
.41468 .40462 L
.41613 .40654 L
.41618 .40663 L
.41759 .40847 L
.41811 .4095 L
.41874 .4104 L
.42003 .41176 L
.42045 .41232 L
.42194 .41425 L
.42196 .41441 L
.42326 .41618 L
.42389 .41714 L
.42437 .41811 L
.42581 .41982 L
.42611 .42003 L
.42764 .42196 L
.42774 .42222 L
.42888 .42389 L
.42967 .42486 L
.42998 .42581 L
.43159 .42756 L
.43172 .42774 L
.43328 .42967 L
.43352 .43035 L
.43434 .43159 L
.43352 .43262 L
.43159 .43274 L
.42967 .4326 L
.42855 .43159 L
.42774 .43053 L
.42728 .42967 L
.42581 .42791 L
.42569 .42774 L
.42428 .42581 L
.42389 .42523 L
.42278 .42389 L
.42196 .42256 L
.42161 .42196 L
.42003 .42003 L
.42003 .42003 L
.41824 .41811 L
.41811 .41751 L
.41716 .41618 L
.41618 .41479 L
.41596 .41425 L
.41441 .41232 L
.41425 .4121 L
.41263 .4104 L
.41232 .40992 L
.41157 .40847 L
.4104 .40689 L
.41031 .40654 L
.40887 .40462 L
.40847 .40403 L
.40717 .40269 L
.40654 .40088 L
.40648 .40076 L
F
1 .34 0 r
.40654 .47214 m
.40772 .47399 L
.40847 .47493 L
.40906 .47591 L
.4104 .47771 L
.41047 .47784 L
.4104 .47873 L
.40974 .47784 L
.40847 .47644 L
.40809 .47591 L
.40654 .47403 L
.40651 .47399 L
F
0 .87 1 r
.40654 .40651 m
.40724 .40654 L
.40847 .40725 L
.40977 .40847 L
.4104 .40907 L
.41158 .4104 L
.41232 .41102 L
.41321 .41232 L
.41425 .41353 L
.41509 .41425 L
.41618 .41606 L
.41628 .41618 L
.41771 .41811 L
.41811 .41863 L
.41912 .42003 L
.42003 .421 L
.42076 .42196 L
.42184 .42389 L
.42196 .42406 L
.42306 .42581 L
.42389 .42729 L
.42411 .42774 L
.42389 .4293 L
.42196 .4286 L
.4212 .42774 L
.42003 .42665 L
.41934 .42581 L
.41811 .42436 L
.41757 .42389 L
.41621 .42196 L
.41618 .42192 L
.41476 .42003 L
.41425 .41982 L
.41334 .41811 L
.41232 .41685 L
.41182 .41618 L
.41061 .41425 L
.4104 .41394 L
.40933 .41232 L
.40847 .411 L
.4081 .4104 L
.40707 .40847 L
.40654 .40707 L
.40653 .40654 L
F
0 .98 1 r
.40847 .34835 m
.40883 .34874 L
.4104 .35028 L
.41063 .35066 L
.41232 .35259 L
.41232 .3526 L
.41391 .35452 L
.41425 .3549 L
.41549 .35644 L
.41618 .35707 L
.41705 .35837 L
.41811 .35964 L
.41884 .3603 L
.42003 .36213 L
.42011 .36222 L
.4216 .36415 L
.42196 .36449 L
.42308 .36608 L
.42389 .36708 L
.42479 .36801 L
.42581 .36965 L
.42602 .36993 L
.42749 .37186 L
.42774 .37209 L
.42894 .37379 L
.42967 .3747 L
.43058 .37571 L
.43159 .37732 L
.43181 .37764 L
.43328 .37957 L
.43352 .3798 L
.43471 .38149 L
.43545 .38243 L
.43629 .38342 L
.43737 .38508 L
.43754 .38535 L
.43901 .38727 L
.4393 .38757 L
.44104 .3892 L
.44123 .39023 L
.44197 .39113 L
.44316 .39288 L
.44325 .39306 L
.4447 .39498 L
.44508 .39537 L
.44663 .39691 L
.44701 .39806 L
.44762 .39884 L
.44894 .40072 L
.44896 .40076 L
.45036 .40269 L
.45086 .40321 L
.45222 .40462 L
.45279 .40593 L
.45326 .40654 L
.45463 .40847 L
.45472 .40859 L
.45602 .4104 L
.45664 .41107 L
.4578 .41232 L
.45857 .41381 L
.45889 .41425 L
.46027 .41618 L
.4605 .41648 L
.46166 .41811 L
.46242 .41896 L
.46338 .42003 L
.46435 .42172 L
.46452 .42196 L
.46589 .42389 L
.46628 .42401 L
.46729 .42581 L
.46821 .42688 L
.46894 .42774 L
.47013 .42965 L
.47014 .42967 L
.47151 .43159 L
.47206 .4319 L
.47291 .43352 L
.47399 .43484 L
.47449 .43545 L
.47575 .43737 L
.47591 .43759 L
.47712 .4393 L
.47784 .4399 L
.47911 .44123 L
.47977 .44284 L
.48002 .44316 L
.48133 .44508 L
.48169 .44556 L
.48271 .44701 L
.48362 .448 L
.48444 .44894 L
.48554 .45086 L
.48555 .45087 L
.4869 .45279 L
.48747 .45356 L
.48828 .45472 L
.4894 .4561 L
.48983 .45664 L
.49108 .45857 L
.49133 .45891 L
.49243 .4605 L
.49326 .46162 L
.4938 .46242 L
.49518 .46429 L
.49522 .46435 L
.4965 .46628 L
.49711 .46714 L
.49775 .46821 L
.49711 .46966 L
.49518 .46838 L
.4949 .46821 L
.49326 .46696 L
.49223 .46628 L
.49133 .46528 L
.49028 .46435 L
.4894 .46272 L
.48868 .46242 L
.48747 .46074 L
.4872 .4605 L
.48574 .45857 L
.48555 .45833 L
.48409 .45664 L
.48362 .45573 L
.48283 .45472 L
.48169 .45308 L
.48149 .45279 L
.47987 .45086 L
.47977 .45044 L
.47863 .44894 L
.47784 .44776 L
.47734 .44701 L
.47591 .44509 L
.47591 .44508 L
.47445 .44316 L
.47399 .44243 L
.47323 .44123 L
.47206 .43976 L
.47168 .4393 L
.4702 .43737 L
.47013 .43716 L
.46895 .43545 L
.46821 .43447 L
.46791 .43352 L
.46628 .43179 L
.46601 .43159 L
.46455 .42967 L
.46435 .4293 L
.46336 .42774 L
.46242 .42658 L
.46172 .42581 L
.4605 .42393 L
.46032 .42389 L
.45887 .42196 L
.45857 .42146 L
.45771 .42003 L
.45664 .41874 L
.45604 .41811 L
.45472 .41619 L
.45465 .41618 L
.45321 .41425 L
.45279 .4136 L
.45205 .41232 L
.45086 .41089 L
.45039 .4104 L
.449 .40847 L
.44894 .40839 L
.44757 .40654 L
.44701 .40572 L
.44643 .40462 L
.44508 .40303 L
.44475 .40269 L
.44336 .40076 L
.44316 .4005 L
.44195 .39884 L
.44123 .39781 L
.44081 .39691 L
.4393 .39515 L
.43914 .39498 L
.43749 .39306 L
.43737 .39258 L
.43636 .39113 L
.43545 .38987 L
.4352 .3892 L
.43355 .38727 L
.43352 .38725 L
.43187 .38535 L
.43159 .38462 L
.43079 .38342 L
.42967 .38189 L
.42956 .38149 L
.42799 .37957 L
.42774 .37936 L
.42632 .37764 L
.42581 .3766 L
.42525 .37571 L
.42389 .37385 L
.42388 .37379 L
.42248 .37186 L
.42196 .37137 L
.42085 .36993 L
.42003 .36847 L
.41975 .36801 L
.4184 .36608 L
.41811 .36567 L
.41705 .36415 L
.41618 .36314 L
.41552 .36222 L
.41438 .3603 L
.41425 .36011 L
.41309 .35837 L
.41232 .35725 L
.41179 .35644 L
.41051 .35452 L
.4104 .35434 L
.40932 .35259 L
.40847 .35126 L
.40812 .35066 L
.4071 .34874 L
F
0 .86 1 r
.40847 .40749 m
.40957 .40847 L
.4104 .40923 L
.41144 .4104 L
.41232 .41114 L
.41311 .41232 L
.41425 .41364 L
.41497 .41425 L
.41618 .41616 L
.4162 .41618 L
.41763 .41811 L
.41811 .41873 L
.41905 .42003 L
.42003 .42113 L
.42066 .42196 L
.42175 .42389 L
.42196 .4242 L
.42295 .42581 L
.42389 .4276 L
.42395 .42774 L
.42389 .42886 L
.42196 .42841 L
.42137 .42774 L
.42003 .42651 L
.41946 .42581 L
.41811 .42425 L
.41768 .42389 L
.41629 .42196 L
.41618 .42182 L
.41484 .42003 L
.41425 .41975 L
.41342 .41811 L
.41232 .41672 L
.41192 .41618 L
.4107 .41425 L
.4104 .41381 L
.40943 .41232 L
.40847 .41081 L
.40822 .4104 L
.40727 .40847 L
F
0 .85 1 r
.40847 .40775 m
.40934 .40847 L
.4104 .4094 L
.41131 .4104 L
.41232 .41127 L
.41301 .41232 L
.41425 .41376 L
.41484 .41425 L
.41611 .41618 L
.41618 .41626 L
.41755 .41811 L
.41811 .41883 L
.41897 .42003 L
.42003 .42127 L
.42055 .42196 L
.42166 .42389 L
.42196 .42435 L
.42283 .42581 L
.42374 .42774 L
.42196 .4282 L
.42156 .42774 L
.42003 .42638 L
.41957 .42581 L
.41811 .42413 L
.41781 .42389 L
.41638 .42196 L
.41618 .42171 L
.41492 .42003 L
.41425 .41967 L
.41349 .41811 L
.41232 .41659 L
.41202 .41618 L
.41079 .41425 L
.4104 .41367 L
.40953 .41232 L
.40847 .41061 L
.40834 .4104 L
.4075 .40847 L
F
1 .99 0 r
.40847 .34064 m
.40892 .34103 L
.4104 .34205 L
.41098 .34296 L
.41232 .34431 L
.4128 .34488 L
.41425 .34654 L
.41456 .34681 L
.41612 .34874 L
.41618 .34877 L
.4177 .35066 L
.41811 .35114 L
.41988 .35259 L
.42003 .35362 L
.42082 .35452 L
.42196 .35614 L
.42214 .35644 L
.42377 .35837 L
.42389 .35852 L
.42559 .3603 L
.42581 .3611 L
.4267 .36222 L
.42774 .36373 L
.42793 .36415 L
.42962 .36608 L
.42967 .36614 L
.4313 .36801 L
.43159 .36877 L
.43246 .36993 L
.43352 .37144 L
.43365 .37186 L
.43537 .37379 L
.43545 .37388 L
.43699 .37571 L
.43737 .37653 L
.43816 .37764 L
.4393 .37922 L
.43934 .37957 L
.44108 .38149 L
.44123 .38169 L
.44267 .38342 L
.44316 .38436 L
.44383 .38535 L
.44508 .38702 L
.44535 .38727 L
.44676 .3892 L
.44701 .38953 L
.44832 .39113 L
.44894 .39221 L
.44949 .39306 L
.45086 .39484 L
.45102 .39498 L
.45242 .39691 L
.45279 .39739 L
.45396 .39884 L
.45472 .40007 L
.45513 .40076 L
.45664 .40267 L
.45667 .40269 L
.45854 .40462 L
.45857 .40526 L
.45959 .40654 L
.4605 .40794 L
.46078 .40847 L
.46232 .4104 L
.46242 .4105 L
.46417 .41232 L
.46435 .41314 L
.46521 .41425 L
.46628 .41582 L
.46644 .41618 L
.46795 .41811 L
.46821 .41835 L
.46977 .42003 L
.47013 .42103 L
.47084 .42196 L
.47206 .4237 L
.47213 .42389 L
.47359 .42581 L
.47399 .42621 L
.47537 .42774 L
.47591 .42892 L
.47646 .42967 L
.47784 .43159 L
.47784 .43159 L
.47922 .43352 L
.47977 .43409 L
.48096 .43545 L
.48169 .43683 L
.48208 .43737 L
.48347 .4393 L
.48362 .4395 L
.48486 .44123 L
.48555 .44198 L
.48654 .44316 L
.48747 .44474 L
.4877 .44508 L
.48909 .44701 L
.4894 .4471 L
.49049 .44894 L
.49133 .4499 L
.49211 .45086 L
.49326 .45266 L
.49334 .45279 L
.49472 .45472 L
.49518 .45495 L
.49612 .45664 L
.49711 .45783 L
.49769 .45857 L
.49896 .4605 L
.49904 .46059 L
.50034 .46242 L
.50096 .46281 L
.50234 .46435 L
.50289 .46577 L
.50328 .46628 L
.50458 .46821 L
.50482 .46852 L
.50596 .47013 L
.50674 .47117 L
.50737 .47206 L
.50867 .4737 L
.50888 .47399 L
.51019 .47591 L
.5106 .47644 L
.51157 .47784 L
.51253 .47909 L
.513 .47977 L
.51445 .48169 L
.51446 .48169 L
.51579 .48362 L
.51638 .48437 L
.51717 .48555 L
.51831 .48701 L
.51862 .48747 L
.52003 .4894 L
.52023 .48964 L
.52129 .49133 L
.52216 .4924 L
.52268 .49326 L
.52409 .49507 L
.52416 .49518 L
.52538 .49711 L
.52601 .49786 L
.52677 .49904 L
.52794 .50056 L
.52838 .50096 L
.52966 .50289 L
.52987 .50316 L
.53112 .50482 L
.53179 .50581 L
.53239 .50674 L
.53372 .50849 L
.53391 .50867 L
.53531 .5106 L
.53565 .51112 L
.5365 .51253 L
.53758 .51394 L
.53818 .51445 L
.5395 .5163 L
.53956 .51638 L
.54088 .51831 L
.54143 .51903 L
.54189 .52023 L
.54336 .52177 L
.54382 .52216 L
.5452 .52409 L
.54528 .52419 L
.54644 .52601 L
.54721 .52676 L
.54802 .52794 L
.54914 .52939 L
.54938 .52987 L
.5507 .53179 L
.54914 .53339 L
.54721 .53336 L
.54528 .53237 L
.54485 .53179 L
.54342 .52987 L
.54336 .52977 L
.54201 .52794 L
.54143 .52712 L
.54023 .52601 L
.5395 .52451 L
.53912 .52409 L
.53775 .52216 L
.53758 .52213 L
.53636 .52023 L
.53565 .51949 L
.53465 .51831 L
.53372 .51671 L
.5335 .51638 L
.53212 .51445 L
.53179 .51401 L
.53074 .51253 L
.52987 .51181 L
.5291 .5106 L
.52794 .50876 L
.5279 .50867 L
.52654 .50674 L
.52601 .50602 L
.52465 .50482 L
.52409 .50325 L
.52377 .50289 L
.52246 .50096 L
.52377 .49904 L
.52375 .49711 L
.52288 .49518 L
.52216 .49432 L
.52148 .49326 L
.52023 .49181 L
.51988 .49133 L
.51831 .48953 L
.5182 .4894 L
.51649 .48747 L
.51638 .48737 L
.51471 .48555 L
.51445 .4853 L
.51286 .48362 L
.51253 .4833 L
.51095 .48169 L
.5106 .48135 L
.509 .47977 L
.50867 .47922 L
.50706 .47784 L
.50674 .4775 L
.50517 .47591 L
.50482 .47551 L
.50339 .47399 L
.50289 .47337 L
.50173 .47206 L
.50096 .47105 L
.50019 .47013 L
.49904 .46858 L
.49873 .46821 L
.49733 .46628 L
.49711 .46594 L
.49609 .46435 L
.49518 .46306 L
.49438 .46242 L
.49326 .46086 L
.49298 .4605 L
.49159 .45857 L
.49133 .45819 L
.49037 .45664 L
.4894 .45543 L
.48871 .45472 L
.48747 .45299 L
.48732 .45279 L
.48597 .45086 L
.48555 .45029 L
.48488 .44894 L
.48362 .4475 L
.48306 .44701 L
.48169 .44509 L
.48169 .44508 L
.48039 .44316 L
.47977 .44236 L
.47945 .44123 L
.47784 .43956 L
.47743 .4393 L
.47603 .43737 L
.47591 .43719 L
.47481 .43545 L
.47399 .43443 L
.47318 .43352 L
.47206 .43169 L
.47179 .43159 L
.47039 .42967 L
.47013 .42928 L
.46922 .42774 L
.46821 .42653 L
.46754 .42581 L
.46628 .42391 L
.46616 .42389 L
.46476 .42196 L
.46435 .42138 L
.46363 .42003 L
.46242 .41865 L
.46191 .41811 L
.4605 .41618 L
.4605 .41614 L
.45913 .41425 L
.45857 .41347 L
.45803 .41232 L
.45664 .41077 L
.45628 .4104 L
.45479 .40847 L
.45472 .40825 L
.45352 .40654 L
.45279 .40557 L
.45243 .40462 L
.45086 .4029 L
.45065 .40269 L
.44911 .40076 L
.44894 .40035 L
.44791 .39884 L
.44701 .39766 L
.44682 .39691 L
.44508 .39503 L
.44503 .39498 L
.44347 .39306 L
.44316 .39245 L
.4423 .39113 L
.44123 .38975 L
.44118 .3892 L
.43942 .38727 L
.4393 .38717 L
.43785 .38535 L
.43737 .38452 L
.4367 .38342 L
.43545 .38181 L
.4352 .38149 L
.43382 .37957 L
.43352 .3793 L
.43226 .37764 L
.43159 .37657 L
.43111 .37571 L
.42967 .37385 L
.42962 .37379 L
.42824 .37186 L
.42774 .37138 L
.4267 .36993 L
.42581 .36857 L
.42552 .36801 L
.42407 .36608 L
.42389 .36583 L
.42269 .36415 L
.42196 .36335 L
.42119 .36222 L
.42003 .36046 L
.41995 .3603 L
.41858 .35837 L
.41811 .35771 L
.41664 .35644 L
.41618 .35512 L
.41579 .35452 L
.41454 .35259 L
.41425 .35219 L
.41323 .35066 L
.41232 .34934 L
.41158 .34874 L
.41066 .34681 L
.4104 .34642 L
.40948 .34488 L
.40847 .34325 L
.40831 .34296 L
.40751 .34103 L
F
0 .79 1 r
.40847 .45064 m
.40869 .45086 L
.4104 .45252 L
.41054 .45279 L
.41224 .45472 L
.41232 .45481 L
.41387 .45664 L
.41425 .45708 L
.41547 .45857 L
.41618 .45915 L
.41706 .4605 L
.41811 .46177 L
.41886 .46242 L
.42003 .46423 L
.42013 .46435 L
.42164 .46628 L
.42196 .46655 L
.42315 .46821 L
.42389 .46913 L
.42485 .47013 L
.42581 .47169 L
.42608 .47206 L
.4276 .47399 L
.42774 .47412 L
.42907 .47591 L
.42967 .47668 L
.43067 .47784 L
.43159 .47929 L
.43189 .47977 L
.43343 .48169 L
.43352 .48178 L
.43488 .48362 L
.43545 .48436 L
.43641 .48555 L
.43737 .487 L
.43764 .48747 L
.43919 .4894 L
.4393 .48951 L
.44117 .49133 L
.44123 .49212 L
.44212 .49326 L
.44316 .49477 L
.44336 .49518 L
.4449 .49711 L
.44508 .49728 L
.44677 .49904 L
.44701 .49993 L
.44778 .50096 L
.44894 .50259 L
.44906 .50289 L
.45058 .50482 L
.45086 .5051 L
.45237 .50674 L
.45279 .50779 L
.45343 .50867 L
.45472 .51045 L
.45476 .5106 L
.45623 .51253 L
.45664 .51296 L
.45797 .51445 L
.45857 .51568 L
.45905 .51638 L
.46046 .51831 L
.4605 .51835 L
.46185 .52023 L
.46242 .52085 L
.46353 .52216 L
.46435 .52362 L
.46466 .52409 L
.46606 .52601 L
.46628 .52631 L
.46744 .52794 L
.46821 .52881 L
.46906 .52987 L
.47013 .53162 L
.47024 .53179 L
.47162 .53372 L
.47206 .53432 L
.473 .53565 L
.47399 .53686 L
.47454 .53758 L
.47577 .5395 L
.47591 .53969 L
.47712 .54143 L
.47784 .54241 L
.4785 .54336 L
.47977 .54507 L
.47993 .54528 L
.48121 .54721 L
.48169 .54788 L
.48254 .54914 L
.48362 .55034 L
.48422 .55106 L
.4852 .55299 L
.48555 .55348 L
.48647 .55492 L
.48747 .55636 L
.48778 .55684 L
.489 .55877 L
.4894 .55938 L
.49012 .5607 L
.4894 .56195 L
.48825 .5607 L
.48747 .55989 L
.48651 .55877 L
.48555 .55827 L
.48485 .55684 L
.48362 .55545 L
.48275 .55492 L
.48169 .55303 L
.48166 .55299 L
.48012 .55106 L
.47977 .55093 L
.47859 .54914 L
.47784 .54826 L
.47658 .54721 L
.47591 .54572 L
.47555 .54528 L
.47408 .54336 L
.47399 .54331 L
.4726 .54143 L
.47206 .54078 L
.47077 .5395 L
.47013 .53819 L
.46967 .53758 L
.46821 .53566 L
.4682 .53565 L
.46674 .53372 L
.46628 .53315 L
.46503 .53179 L
.46435 .53052 L
.46389 .52987 L
.46242 .52796 L
.46242 .52794 L
.46097 .52601 L
.4605 .52543 L
.45934 .52409 L
.45857 .52278 L
.45816 .52216 L
.45667 .52023 L
.45664 .52021 L
.45525 .51831 L
.45472 .51764 L
.45367 .51638 L
.45279 .51497 L
.45247 .51445 L
.45098 .51253 L
.45086 .51244 L
.44957 .5106 L
.44894 .50981 L
.44802 .50867 L
.44701 .50712 L
.4468 .50674 L
.44532 .50482 L
.44508 .50463 L
.4433 .50289 L
.44316 .50194 L
.4424 .50096 L
.44123 .49924 L
.44113 .49904 L
.43969 .49711 L
.4393 .49679 L
.43776 .49518 L
.43737 .49402 L
.4368 .49326 L
.43546 .49133 L
.43545 .49131 L
.43408 .4894 L
.43352 .48889 L
.43224 .48747 L
.43159 .48606 L
.43123 .48555 L
.42988 .48362 L
.42967 .48334 L
.4285 .48169 L
.42774 .48091 L
.42677 .47977 L
.42581 .47802 L
.42569 .47784 L
.42434 .47591 L
.42389 .4753 L
.42297 .47399 L
.42196 .47279 L
.42137 .47206 L
.42021 .47013 L
.42003 .4699 L
.41887 .46821 L
.41811 .46715 L
.41751 .46628 L
.41618 .46445 L
.4161 .46435 L
.41484 .46242 L
.41425 .46161 L
.41352 .4605 L
.41232 .4588 L
.41218 .45857 L
.41094 .45664 L
.4104 .45586 L
.40971 .45472 L
.40847 .45282 L
.40845 .45279 L
.40755 .45086 L
F
1 .76 0 r
.40847 .41589 m
.40869 .41618 L
.40847 .4175 L
.40765 .41618 L
F
1 .98 0 r
.40847 .40075 m
.40887 .40076 L
.4104 .40132 L
.41232 .4025 L
.41246 .40269 L
.41425 .40455 L
.41431 .40462 L
.41589 .40654 L
.41618 .40702 L
.41743 .40847 L
.41811 .40975 L
.41862 .4104 L
.42003 .41193 L
.42033 .41232 L
.42192 .41425 L
.42196 .41456 L
.42317 .41618 L
.42389 .41726 L
.42431 .41811 L
.42581 .41989 L
.42602 .42003 L
.42761 .42196 L
.42774 .42232 L
.4288 .42389 L
.42967 .42498 L
.42992 .42581 L
.43159 .42774 L
.43159 .42775 L
.43318 .42967 L
.43352 .43075 L
.43397 .43159 L
.43352 .43224 L
.43159 .43248 L
.42967 .43208 L
.42892 .43159 L
.42774 .43026 L
.4274 .42967 L
.42581 .42775 L
.42581 .42774 L
.42437 .42581 L
.42389 .42512 L
.42285 .42389 L
.42196 .42247 L
.42165 .42196 L
.4201 .42003 L
.42003 .42 L
.41827 .41811 L
.41811 .41742 L
.41723 .41618 L
.41618 .41468 L
.41601 .41425 L
.41451 .41232 L
.41425 .41197 L
.4127 .4104 L
.41232 .40975 L
.41169 .40847 L
.4104 .40656 L
.41039 .40654 L
.40913 .40462 L
.40847 .40353 L
.40767 .40269 L
.40838 .40076 L
F
0 .84 1 r
.40847 .40804 m
.40905 .40847 L
.4104 .40958 L
.41116 .4104 L
.41232 .41141 L
.4129 .41232 L
.41425 .41388 L
.4147 .41425 L
.41602 .41618 L
.41618 .41637 L
.41747 .41811 L
.41811 .41893 L
.4189 .42003 L
.42003 .42142 L
.42043 .42196 L
.42156 .42389 L
.42196 .42451 L
.42271 .42581 L
.42347 .42774 L
.42196 .42794 L
.42178 .42774 L
.42003 .42623 L
.41969 .42581 L
.41811 .42402 L
.41794 .42389 L
.41647 .42196 L
.41618 .4216 L
.415 .42003 L
.41425 .41958 L
.41357 .41811 L
.41232 .41644 L
.41213 .41618 L
.41089 .41425 L
.4104 .41352 L
.40964 .41232 L
.40848 .4104 L
.40847 .41038 L
.40779 .40847 L
F
1 .94 0 r
.40847 .4425 m
.40924 .44316 L
.4104 .44425 L
.41117 .44508 L
.41232 .44618 L
.4129 .44701 L
.41425 .44859 L
.41471 .44894 L
.41611 .45086 L
.41618 .45094 L
.41768 .45279 L
.41811 .45326 L
.41923 .45472 L
.42003 .45575 L
.42087 .45664 L
.42196 .45822 L
.4222 .45857 L
.42377 .4605 L
.42389 .46065 L
.42572 .46242 L
.42581 .46317 L
.42673 .46435 L
.42774 .46575 L
.42795 .46628 L
.42967 .46819 L
.42972 .46821 L
.43137 .47013 L
.43159 .47072 L
.43254 .47206 L
.43352 .47338 L
.43365 .47399 L
.43545 .47575 L
.43557 .47591 L
.43711 .47784 L
.43737 .47837 L
.43832 .47977 L
.4393 .48108 L
.43993 .48169 L
.44123 .48347 L
.44134 .48362 L
.44284 .48555 L
.44316 .48612 L
.44404 .48747 L
.44508 .48883 L
.44566 .4894 L
.44701 .49126 L
.44706 .49133 L
.44854 .49326 L
.44894 .49392 L
.44971 .49518 L
.45086 .49664 L
.45135 .49711 L
.45275 .49904 L
.45279 .49909 L
.45421 .50096 L
.45472 .50176 L
.45536 .50289 L
.45664 .50446 L
.45702 .50482 L
.45842 .50674 L
.45857 .50695 L
.45985 .50867 L
.4605 .50963 L
.461 .5106 L
.46242 .5123 L
.46268 .51253 L
.46428 .51445 L
.46435 .51481 L
.46549 .51638 L
.46628 .5175 L
.46663 .51831 L
.46821 .52013 L
.46832 .52023 L
.46995 .52216 L
.47013 .5227 L
.47112 .52409 L
.47206 .52539 L
.47227 .52601 L
.47396 .52794 L
.47399 .52797 L
.47559 .52987 L
.47591 .53059 L
.47674 .53179 L
.47784 .53328 L
.47793 .53372 L
.47959 .53565 L
.47977 .53583 L
.48122 .53758 L
.48169 .53849 L
.48236 .5395 L
.48362 .54118 L
.48362 .54143 L
.48521 .54336 L
.48555 .5437 L
.48682 .54528 L
.48747 .54642 L
.48797 .54721 L
.4894 .5491 L
.48943 .54914 L
.49082 .55106 L
.49133 .55161 L
.4924 .55299 L
.49326 .55436 L
.49358 .55492 L
.49502 .55684 L
.49518 .55706 L
.49641 .55877 L
.49711 .55956 L
.49796 .5607 L
.49904 .56236 L
.49918 .56263 L
.50059 .56455 L
.50096 .56506 L
.50262 .56648 L
.50289 .56758 L
.50348 .56841 L
.50476 .57033 L
.50482 .57041 L
.50611 .57226 L
.50674 .57313 L
.50801 .57419 L
.50867 .57575 L
.50892 .57611 L
.51021 .57804 L
.5106 .57857 L
.51155 .57997 L
.51253 .58095 L
.51322 .58189 L
.51424 .58382 L
.51445 .58411 L
.51552 .58575 L
.51638 .58698 L
.51682 .58768 L
.5181 .5896 L
.51831 .58991 L
.51925 .59153 L
.52023 .5931 L
.52042 .59346 L
.52023 .59524 L
.51834 .59346 L
.51831 .59342 L
.51656 .59153 L
.51638 .59135 L
.51486 .5896 L
.51445 .58915 L
.51321 .58768 L
.51253 .58693 L
.5116 .58575 L
.5106 .58449 L
.50994 .58382 L
.50867 .58207 L
.50855 .58189 L
.50696 .57997 L
.50674 .57971 L
.50544 .57804 L
.50482 .5772 L
.50391 .57611 L
.50289 .57464 L
.50264 .57419 L
.50098 .57226 L
.50096 .57223 L
.49918 .57033 L
.49904 .56967 L
.49807 .56841 L
.49711 .56703 L
.49686 .56648 L
.49518 .56456 L
.49515 .56455 L
.49348 .56263 L
.49326 .56199 L
.49231 .5607 L
.49133 .55932 L
.49115 .55877 L
.4894 .55685 L
.48939 .55684 L
.48779 .55492 L
.48747 .55423 L
.48661 .55299 L
.48555 .55155 L
.48546 .55106 L
.48368 .54914 L
.48362 .54906 L
.48211 .54721 L
.48169 .54641 L
.48094 .54528 L
.47977 .54374 L
.4794 .54336 L
.478 .54143 L
.47784 .54123 L
.47645 .5395 L
.47591 .53857 L
.47528 .53758 L
.47399 .53591 L
.47373 .53565 L
.47233 .53372 L
.47206 .53338 L
.47081 .53179 L
.47013 .53071 L
.46964 .52987 L
.46821 .52807 L
.46808 .52794 L
.46668 .52601 L
.46628 .52551 L
.46517 .52409 L
.46435 .52283 L
.46399 .52216 L
.46243 .52023 L
.46242 .52023 L
.46061 .51831 L
.4605 .51764 L
.45955 .51638 L
.45857 .51494 L
.45834 .51445 L
.4568 .51253 L
.45664 .5124 L
.45499 .5106 L
.45472 .50974 L
.45393 .50867 L
.45279 .50705 L
.45268 .50674 L
.45117 .50482 L
.45086 .50455 L
.44939 .50289 L
.44894 .50184 L
.44832 .50096 L
.44701 .49914 L
.44698 .49904 L
.44555 .49711 L
.44508 .49667 L
.44381 .49518 L
.44316 .49391 L
.44271 .49326 L
.44132 .49133 L
.44123 .49121 L
.43994 .4894 L
.4393 .48876 L
.43825 .48747 L
.43737 .48596 L
.43711 .48555 L
.43573 .48362 L
.43545 .48325 L
.43434 .48169 L
.43352 .4808 L
.43271 .47977 L
.43159 .47796 L
.43152 .47784 L
.43015 .47591 L
.42967 .47526 L
.42877 .47399 L
.42774 .47276 L
.42721 .47206 L
.42597 .47013 L
.42581 .46992 L
.42462 .46821 L
.42389 .46721 L
.4226 .46628 L
.42196 .4646 L
.42178 .46435 L
.42049 .46242 L
.42003 .4618 L
.41915 .4605 L
.41811 .45906 L
.41746 .45857 L
.41643 .45664 L
.41618 .4563 L
.41514 .45472 L
.41425 .45348 L
.41381 .45279 L
.41249 .45086 L
.41232 .45063 L
.41128 .44894 L
.4104 .44762 L
.41004 .44701 L
.40889 .44508 L
.40847 .44437 L
.40798 .44316 L
F
0 .28 1 r
.40847 .46645 m
.40978 .46821 L
.4104 .46893 L
.41127 .47013 L
.41232 .47143 L
.41278 .47206 L
.41425 .47394 L
.41428 .47399 L
.41568 .47591 L
.41618 .47653 L
.41711 .47784 L
.41811 .47912 L
.41856 .47977 L
.42002 .48169 L
.42003 .4817 L
.42137 .48362 L
.42196 .48438 L
.42276 .48555 L
.42389 .48703 L
.42419 .48747 L
.42556 .4894 L
.42581 .48973 L
.42687 .49133 L
.42774 .49249 L
.42823 .49326 L
.42774 .49478 L
.42659 .49326 L
.42581 .49235 L
.42506 .49133 L
.42389 .48988 L
.42353 .4894 L
.42205 .48747 L
.42196 .48737 L
.42063 .48555 L
.42003 .4848 L
.41918 .48362 L
.41811 .48224 L
.41771 .48169 L
.41627 .47977 L
.41618 .47965 L
.4149 .47784 L
.41425 .477 L
.41349 .47591 L
.41232 .47436 L
.41206 .47399 L
.4107 .47206 L
.4104 .47167 L
.40937 .47013 L
.40847 .46894 L
.40798 .46821 L
F
0 .27 1 r
.40847 .46653 m
.40972 .46821 L
.4104 .469 L
.41122 .47013 L
.41232 .47149 L
.41274 .47206 L
.41424 .47399 L
.41425 .474 L
.41563 .47591 L
.41618 .47659 L
.41706 .47784 L
.41811 .47917 L
.41853 .47977 L
.41998 .48169 L
.42003 .48176 L
.42132 .48362 L
.42196 .48443 L
.42272 .48555 L
.42389 .48709 L
.42415 .48747 L
.42551 .4894 L
.42581 .48979 L
.42681 .49133 L
.42774 .49256 L
.42818 .49326 L
.42774 .4947 L
.42665 .49326 L
.42581 .49228 L
.42511 .49133 L
.42389 .48982 L
.42358 .4894 L
.4221 .48747 L
.42196 .48731 L
.42068 .48555 L
.42003 .48475 L
.41922 .48362 L
.41811 .48218 L
.41775 .48169 L
.41632 .47977 L
.41618 .47959 L
.41495 .47784 L
.41425 .47694 L
.41353 .47591 L
.41232 .47431 L
.4121 .47399 L
.41075 .47206 L
.4104 .47161 L
.40942 .47013 L
.40847 .46887 L
.40803 .46821 L
F
0 .26 1 r
.40847 .46661 m
.40965 .46821 L
.4104 .46907 L
.41117 .47013 L
.41232 .47155 L
.4127 .47206 L
.41419 .47399 L
.41425 .47406 L
.41558 .47591 L
.41618 .47664 L
.41702 .47784 L
.41811 .47922 L
.41849 .47977 L
.41993 .48169 L
.42003 .48182 L
.42128 .48362 L
.42196 .48449 L
.42268 .48555 L
.42389 .48714 L
.42411 .48747 L
.42545 .4894 L
.42581 .48987 L
.42676 .49133 L
.42774 .49264 L
.42813 .49326 L
.42774 .49461 L
.42672 .49326 L
.42581 .4922 L
.42516 .49133 L
.42389 .48975 L
.42362 .4894 L
.42215 .48747 L
.42196 .48724 L
.42073 .48555 L
.42003 .48469 L
.41927 .48362 L
.41811 .48213 L
.41779 .48169 L
.41637 .47977 L
.41618 .47953 L
.415 .47784 L
.41425 .47689 L
.41358 .47591 L
.41232 .47425 L
.41214 .47399 L
.4108 .47206 L
.4104 .47154 L
.40947 .47013 L
.40847 .4688 L
.40809 .46821 L
F
0 .25 1 r
.40847 .4667 m
.40958 .46821 L
.4104 .46914 L
.41112 .47013 L
.41232 .47161 L
.41265 .47206 L
.41414 .47399 L
.41425 .47412 L
.41553 .47591 L
.41618 .4767 L
.41698 .47784 L
.41811 .47928 L
.41845 .47977 L
.41988 .48169 L
.42003 .48188 L
.42123 .48362 L
.42196 .48455 L
.42263 .48555 L
.42389 .4872 L
.42407 .48747 L
.42539 .4894 L
.42581 .48994 L
.42669 .49133 L
.42774 .49272 L
.42807 .49326 L
.42774 .49451 L
.4268 .49326 L
.42581 .49213 L
.42522 .49133 L
.42389 .48969 L
.42367 .4894 L
.42221 .48747 L
.42196 .48718 L
.42078 .48555 L
.42003 .48463 L
.41931 .48362 L
.41811 .48207 L
.41783 .48169 L
.41642 .47977 L
.41618 .47947 L
.41504 .47784 L
.41425 .47682 L
.41362 .47591 L
.41232 .47419 L
.41219 .47399 L
.41086 .47206 L
.4104 .47146 L
.40953 .47013 L
.40847 .46872 L
.40814 .46821 L
F
1 .33 0 r
.40847 .47507 m
.40894 .47591 L
.40847 .47631 L
.40819 .47591 L
F
0 .24 1 r
.40847 .4668 m
.40951 .46821 L
.4104 .46922 L
.41106 .47013 L
.41232 .47167 L
.4126 .47206 L
.41408 .47399 L
.41425 .47419 L
.41548 .47591 L
.41618 .47676 L
.41693 .47784 L
.41811 .47933 L
.41841 .47977 L
.41983 .48169 L
.42003 .48194 L
.42118 .48362 L
.42196 .48461 L
.42259 .48555 L
.42389 .48727 L
.42403 .48747 L
.42533 .4894 L
.42581 .49002 L
.42663 .49133 L
.42774 .49282 L
.42801 .49326 L
.42774 .4944 L
.42688 .49326 L
.42581 .49205 L
.42528 .49133 L
.42389 .48962 L
.42372 .4894 L
.42227 .48747 L
.42196 .48711 L
.42083 .48555 L
.42003 .48456 L
.41936 .48362 L
.41811 .48201 L
.41788 .48169 L
.41647 .47977 L
.41618 .4794 L
.41509 .47784 L
.41425 .47676 L
.41367 .47591 L
.41232 .47412 L
.41223 .47399 L
.41092 .47206 L
.4104 .47138 L
.40959 .47013 L
.40847 .46863 L
.4082 .46821 L
F
0 .23 1 r
.40847 .4669 m
.40943 .46821 L
.4104 .4693 L
.411 .47013 L
.41232 .47174 L
.41255 .47206 L
.41402 .47399 L
.41425 .47426 L
.41543 .47591 L
.41618 .47683 L
.41689 .47784 L
.41811 .47939 L
.41837 .47977 L
.41977 .48169 L
.42003 .48201 L
.42113 .48362 L
.42196 .48468 L
.42254 .48555 L
.42389 .48733 L
.42398 .48747 L
.42526 .4894 L
.42581 .49011 L
.42656 .49133 L
.42774 .49292 L
.42794 .49326 L
.42774 .49428 L
.42697 .49326 L
.42581 .49196 L
.42535 .49133 L
.42389 .48955 L
.42378 .4894 L
.42234 .48747 L
.42196 .48704 L
.42089 .48555 L
.42003 .4845 L
.41941 .48362 L
.41811 .48195 L
.41792 .48169 L
.41653 .47977 L
.41618 .47934 L
.41514 .47784 L
.41425 .4767 L
.41371 .47591 L
.41232 .47406 L
.41227 .47399 L
.41099 .47206 L
.4104 .4713 L
.40965 .47013 L
.40847 .46854 L
.40826 .46821 L
F
0 .83 1 r
.40847 .4084 m
.40862 .40847 L
.4104 .40976 L
.411 .4104 L
.41232 .41157 L
.41279 .41232 L
.41425 .41401 L
.41455 .41425 L
.41593 .41618 L
.41618 .41648 L
.41739 .41811 L
.41811 .41904 L
.41882 .42003 L
.42003 .42159 L
.42031 .42196 L
.42146 .42389 L
.42196 .42469 L
.42259 .42581 L
.42196 .42767 L
.42003 .42608 L
.41982 .42581 L
.41811 .4239 L
.41809 .42389 L
.41656 .42196 L
.41618 .42149 L
.41508 .42003 L
.41425 .41946 L
.41365 .41811 L
.41232 .41629 L
.41224 .41618 L
.41099 .41425 L
.4104 .41337 L
.40975 .41232 L
.40866 .4104 L
.40847 .41001 L
.40826 .40847 L
F
0 .98 1 r
.40847 .43478 m
.4104 .4349 L
.41132 .43545 L
.41232 .43627 L
.41338 .43737 L
.41425 .43828 L
.41501 .4393 L
.41618 .4407 L
.41677 .44123 L
.41802 .44316 L
.41811 .44327 L
.41942 .44508 L
.42003 .44564 L
.42083 .44701 L
.42196 .44845 L
.42236 .44894 L
.42364 .45086 L
.42389 .45107 L
.42499 .45279 L
.42581 .45387 L
.42649 .45472 L
.42772 .45664 L
.42774 .45667 L
.4293 .45857 L
.42967 .45944 L
.43043 .4605 L
.43159 .46219 L
.43171 .46242 L
.43321 .46435 L
.43352 .46489 L
.43427 .46628 L
.43545 .4676 L
.436 .46821 L
.43737 .47011 L
.43739 .47013 L
.43863 .47206 L
.4393 .47289 L
.44036 .47399 L
.44123 .47518 L
.44181 .47591 L
.44316 .47776 L
.44322 .47784 L
.44448 .47977 L
.44508 .48057 L
.44617 .48169 L
.44701 .48286 L
.4476 .48362 L
.44894 .48546 L
.449 .48555 L
.45031 .48747 L
.45086 .48824 L
.45121 .4894 L
.45279 .49063 L
.45333 .49133 L
.45472 .49326 L
.45472 .49326 L
.45602 .49518 L
.45664 .49603 L
.45697 .49711 L
.45857 .49846 L
.45901 .49904 L
.46042 .50096 L
.4605 .50111 L
.46167 .50289 L
.46242 .50388 L
.46327 .50482 L
.46435 .50633 L
.46467 .50674 L
.46609 .50867 L
.46628 .509 L
.46729 .5106 L
.46821 .51176 L
.46892 .51253 L
.47013 .51421 L
.47031 .51445 L
.47173 .51638 L
.47206 .51689 L
.4729 .51831 L
.47399 .51964 L
.47457 .52023 L
.47591 .52211 L
.47595 .52216 L
.47737 .52409 L
.47784 .52479 L
.4785 .52601 L
.47977 .52751 L
.48021 .52794 L
.48168 .52987 L
.48169 .53 L
.483 .53179 L
.48362 .53268 L
.48411 .53372 L
.48555 .53537 L
.48584 .53565 L
.48738 .53758 L
.48747 .53789 L
.48862 .5395 L
.4894 .54058 L
.48973 .54143 L
.49133 .54322 L
.49147 .54336 L
.49305 .54528 L
.49326 .54578 L
.49424 .54721 L
.49518 .54847 L
.49535 .54914 L
.4971 .55106 L
.49711 .55107 L
.49869 .55299 L
.49904 .55368 L
.49986 .55492 L
.50096 .55637 L
.501 .55684 L
.50273 .55877 L
.50289 .55892 L
.50432 .5607 L
.50482 .56158 L
.50548 .56263 L
.50674 .56427 L
.50697 .56455 L
.50836 .56648 L
.50867 .56679 L
.50993 .56841 L
.5106 .56949 L
.51109 .57033 L
.51253 .57218 L
.51259 .57226 L
.51398 .57419 L
.51445 .57467 L
.51554 .57611 L
.51638 .57742 L
.51672 .57804 L
.5182 .57997 L
.51831 .58011 L
.52017 .58189 L
.52023 .58259 L
.52112 .58382 L
.52216 .58538 L
.52234 .58575 L
.52379 .58768 L
.52409 .58808 L
.52572 .5896 L
.52601 .59057 L
.52668 .59153 L
.52794 .59338 L
.52797 .59346 L
.52935 .59538 L
.52987 .59608 L
.53121 .59731 L
.53179 .59863 L
.5322 .59924 L
.53351 .60116 L
.53372 .60145 L
.53486 .60309 L
.53565 .60369 L
.5366 .60502 L
.53758 .60685 L
.53763 .60694 L
.53894 .60887 L
.5395 .60966 L
.54027 .6108 L
.54143 .61224 L
.54175 .61273 L
.54289 .61465 L
.54336 .61532 L
.54414 .61658 L
.54528 .6183 L
.54541 .61851 L
.5465 .62043 L
.54721 .62169 L
.54748 .62236 L
.54721 .62328 L
.54605 .62236 L
.54528 .62172 L
.54403 .62043 L
.54336 .61976 L
.54222 .61851 L
.54143 .6177 L
.54051 .61658 L
.5395 .61536 L
.53869 .61465 L
.53758 .61301 L
.53734 .61273 L
.53571 .6108 L
.53565 .61072 L
.53416 .60887 L
.53372 .60827 L
.53256 .60694 L
.53179 .60572 L
.53133 .60502 L
.52987 .60319 L
.52963 .60309 L
.52816 .60116 L
.52794 .60084 L
.52668 .59924 L
.52601 .5982 L
.52549 .59731 L
.52409 .59552 L
.52376 .59538 L
.52218 .59346 L
.52216 .59321 L
.52091 .59153 L
.52023 .59051 L
.51976 .5896 L
.51831 .58779 L
.518 .58768 L
.51646 .58575 L
.51638 .58545 L
.5152 .58382 L
.51445 .58273 L
.51409 .58189 L
.51253 .58003 L
.51229 .57997 L
.51076 .57804 L
.5106 .57763 L
.50953 .57611 L
.50867 .5749 L
.50845 .57419 L
.50674 .57244 L
.50661 .57226 L
.50508 .57033 L
.50482 .56977 L
.50388 .56841 L
.50289 .56705 L
.50282 .56648 L
.50096 .56457 L
.50095 .56455 L
.49942 .56263 L
.49904 .5619 L
.49824 .5607 L
.49711 .5592 L
.4967 .55877 L
.4953 .55684 L
.49518 .5567 L
.49378 .55492 L
.49326 .55402 L
.49261 .55299 L
.49133 .55134 L
.49105 .55106 L
.48965 .54914 L
.4894 .54882 L
.48814 .54721 L
.48747 .54614 L
.48698 .54528 L
.48555 .54349 L
.48541 .54336 L
.48363 .54143 L
.48362 .54094 L
.48252 .5395 L
.48169 .53825 L
.48134 .53758 L
.47977 .53565 L
.47977 .53565 L
.47798 .53372 L
.47784 .53305 L
.47689 .53179 L
.47591 .53036 L
.47569 .52987 L
.47414 .52794 L
.47399 .52781 L
.47236 .52601 L
.47206 .52516 L
.47127 .52409 L
.47013 .52247 L
.47003 .52216 L
.4685 .52023 L
.46821 .51996 L
.46675 .51831 L
.46628 .51726 L
.46566 .51638 L
.46435 .51457 L
.46433 .51445 L
.46287 .51253 L
.46242 .5121 L
.46116 .5106 L
.4605 .50935 L
.46004 .50867 L
.45863 .50674 L
.45857 .50666 L
.45725 .50482 L
.45664 .50421 L
.45557 .50289 L
.45472 .50143 L
.45441 .50096 L
.45301 .49904 L
.45279 .49874 L
.45162 .49711 L
.45086 .4963 L
.44999 .49518 L
.44894 .4935 L
.44879 .49326 L
.4474 .49133 L
.44701 .49082 L
.446 .4894 L
.44508 .48836 L
.44441 .48747 L
.44316 .48555 L
.44316 .48555 L
.44179 .48362 L
.44123 .48288 L
.44039 .48169 L
.4393 .48039 L
.43885 .47977 L
.43757 .47784 L
.43737 .47759 L
.4362 .47591 L
.43545 .47491 L
.43423 .47399 L
.43352 .47235 L
.43332 .47206 L
.432 .47013 L
.43159 .46959 L
.43063 .46821 L
.42967 .46725 L
.42889 .46628 L
.42782 .46435 L
.42774 .46424 L
.42649 .46242 L
.42581 .46152 L
.42511 .4605 L
.42389 .4589 L
.42364 .45857 L
.42236 .45664 L
.42196 .45638 L
.42101 .45472 L
.42003 .45346 L
.41951 .45279 L
.41826 .45086 L
.41811 .45073 L
.41646 .44894 L
.41618 .44798 L
.41545 .44701 L
.41425 .44516 L
.4142 .44508 L
.41287 .44316 L
.41232 .44267 L
.41141 .44123 L
.4104 .43955 L
.41027 .4393 L
.40911 .43737 L
.40847 .43604 L
.40827 .43545 L
F
1 .49 0 r
.40847 .45863 m
.41008 .4605 L
.4104 .46083 L
.41169 .46242 L
.41232 .46314 L
.41328 .46435 L
.41425 .46551 L
.41485 .46628 L
.41618 .46783 L
.4164 .46821 L
.41789 .47013 L
.41811 .47039 L
.41938 .47206 L
.42003 .47288 L
.42087 .47399 L
.42196 .47524 L
.42284 .47591 L
.42383 .47784 L
.42389 .47791 L
.42527 .47977 L
.42581 .48046 L
.42673 .48169 L
.42774 .48287 L
.42858 .48362 L
.42963 .48555 L
.42967 .48559 L
.43105 .48747 L
.43159 .48819 L
.43248 .4894 L
.43352 .49064 L
.43421 .49133 L
.43534 .49326 L
.43545 .49339 L
.43674 .49518 L
.43737 .49602 L
.43816 .49711 L
.4393 .49854 L
.43977 .49904 L
.44098 .50096 L
.44123 .50129 L
.44236 .50289 L
.44316 .50395 L
.44377 .50482 L
.44508 .50657 L
.44524 .50674 L
.44653 .50867 L
.44701 .50931 L
.4479 .5106 L
.44894 .51201 L
.4493 .51253 L
.45066 .51445 L
.45086 .51472 L
.45198 .51638 L
.45279 .51749 L
.45334 .51831 L
.45471 .52023 L
.45472 .52025 L
.45595 .52216 L
.45664 .52313 L
.45724 .52409 L
.45855 .52601 L
.45857 .52604 L
.45959 .52794 L
.4605 .52955 L
.46055 .52987 L
.4605 .52994 L
.4604 .52987 L
.45857 .52819 L
.45835 .52794 L
.45664 .52602 L
.45664 .52601 L
.45506 .52409 L
.45472 .5237 L
.45349 .52216 L
.45279 .52134 L
.45193 .52023 L
.45086 .51931 L
.45038 .51831 L
.44894 .51649 L
.44881 .51638 L
.44739 .51445 L
.44701 .51399 L
.4459 .51253 L
.44508 .51187 L
.44441 .5106 L
.44316 .50901 L
.44282 .50867 L
.44149 .50674 L
.44123 .50641 L
.44004 .50482 L
.4393 .50421 L
.43858 .50289 L
.43737 .50134 L
.43703 .50096 L
.43571 .49904 L
.43545 .4987 L
.43429 .49711 L
.43352 .49643 L
.43285 .49518 L
.43159 .49353 L
.43136 .49326 L
.43002 .49133 L
.42967 .49087 L
.42861 .4894 L
.42774 .48853 L
.42719 .48747 L
.42581 .48561 L
.42576 .48555 L
.4244 .48362 L
.42389 .48293 L
.42301 .48169 L
.42196 .4805 L
.42122 .47977 L
.42022 .47784 L
.42003 .47759 L
.41887 .47591 L
.41811 .47488 L
.41749 .47399 L
.41618 .47223 L
.41602 .47206 L
.41479 .47013 L
.41425 .4694 L
.41345 .46821 L
.41232 .46662 L
.4121 .46628 L
.41082 .46435 L
.4104 .46376 L
.40957 .46242 L
.40847 .46082 L
.40828 .4605 L
F
1 .32 0 r
.40847 .47526 m
.4088 .47591 L
.40847 .47614 L
.4083 .47591 L
F
0 .22 1 r
.40847 .46702 m
.40933 .46821 L
.4104 .46938 L
.41094 .47013 L
.41232 .47181 L
.4125 .47206 L
.41396 .47399 L
.41425 .47433 L
.41537 .47591 L
.41618 .47689 L
.41684 .47784 L
.41811 .47946 L
.41832 .47977 L
.41972 .48169 L
.42003 .48208 L
.42107 .48362 L
.42196 .48475 L
.42249 .48555 L
.42389 .4874 L
.42393 .48747 L
.42518 .4894 L
.42581 .49021 L
.42648 .49133 L
.42774 .49303 L
.42787 .49326 L
.42774 .49414 L
.42708 .49326 L
.42581 .49187 L
.42541 .49133 L
.42389 .48947 L
.42383 .4894 L
.42241 .48747 L
.42196 .48696 L
.42095 .48555 L
.42003 .48443 L
.41946 .48362 L
.41811 .48189 L
.41797 .48169 L
.41659 .47977 L
.41618 .47927 L
.4152 .47784 L
.41425 .47663 L
.41376 .47591 L
.41232 .47399 L
.41232 .47399 L
.41106 .47206 L
.4104 .47121 L
.40972 .47013 L
.40847 .46844 L
.40832 .46821 L
F
1 .48 0 r
.40847 .45876 m
.40998 .4605 L
.4104 .46092 L
.41162 .46242 L
.41232 .46321 L
.41323 .46435 L
.41425 .46557 L
.41481 .46628 L
.41618 .4679 L
.41635 .46821 L
.41785 .47013 L
.41811 .47044 L
.41934 .47206 L
.42003 .47292 L
.42084 .47399 L
.42196 .47528 L
.42278 .47591 L
.4238 .47784 L
.42389 .47795 L
.42524 .47977 L
.42581 .4805 L
.4267 .48169 L
.42774 .48291 L
.42854 .48362 L
.42961 .48555 L
.42967 .48562 L
.43102 .48747 L
.43159 .48822 L
.43246 .4894 L
.43352 .49068 L
.43418 .49133 L
.43532 .49326 L
.43545 .49342 L
.43672 .49518 L
.43737 .49605 L
.43813 .49711 L
.4393 .49858 L
.43973 .49904 L
.44095 .50096 L
.44123 .50133 L
.44234 .50289 L
.44316 .50399 L
.44374 .50482 L
.44508 .50661 L
.4452 .50674 L
.4465 .50867 L
.44701 .50935 L
.44787 .5106 L
.44894 .51205 L
.44927 .51253 L
.45063 .51445 L
.45086 .51477 L
.45194 .51638 L
.45279 .51754 L
.4533 .51831 L
.45466 .52023 L
.45472 .52031 L
.4559 .52216 L
.45664 .52321 L
.45718 .52409 L
.45664 .52592 L
.45513 .52409 L
.45472 .52363 L
.45354 .52216 L
.45279 .52128 L
.45197 .52023 L
.45086 .51924 L
.45042 .51831 L
.44894 .51644 L
.44887 .51638 L
.44742 .51445 L
.44701 .51394 L
.44593 .51253 L
.44508 .51183 L
.44444 .5106 L
.44316 .50896 L
.44286 .50867 L
.44152 .50674 L
.44123 .50638 L
.44007 .50482 L
.4393 .50417 L
.43861 .50289 L
.43737 .5013 L
.43707 .50096 L
.43574 .49904 L
.43545 .49866 L
.43431 .49711 L
.43352 .49639 L
.43287 .49518 L
.43159 .4935 L
.43139 .49326 L
.43004 .49133 L
.42967 .49083 L
.42864 .4894 L
.42774 .4885 L
.42721 .48747 L
.42581 .48557 L
.42579 .48555 L
.42443 .48362 L
.42389 .4829 L
.42303 .48169 L
.42196 .48045 L
.42127 .47977 L
.42025 .47784 L
.42003 .47755 L
.4189 .47591 L
.41811 .47484 L
.41752 .47399 L
.41618 .47216 L
.41608 .47206 L
.41483 .47013 L
.41425 .46935 L
.41349 .46821 L
.41232 .46657 L
.41213 .46628 L
.41087 .46435 L
.4104 .46369 L
.40963 .46242 L
.40847 .46072 L
.40834 .4605 L
F
0 .21 1 r
.40847 .46716 m
.40922 .46821 L
.4104 .46947 L
.41087 .47013 L
.41232 .47188 L
.41245 .47206 L
.41232 .4739 L
.41113 .47206 L
.4104 .47112 L
.40979 .47013 L
.40847 .46833 L
.40839 .46821 L
F
1 .97 0 r
.40847 .35723 m
.40959 .35837 L
.4104 .35912 L
.41138 .3603 L
.41232 .36132 L
.41304 .36222 L
.41425 .36363 L
.41465 .36415 L
.41618 .36598 L
.41623 .36608 L
.41773 .36801 L
.41811 .36845 L
.41922 .36993 L
.42003 .37092 L
.42073 .37186 L
.42196 .37331 L
.42256 .37379 L
.42371 .37571 L
.42389 .37593 L
.42515 .37764 L
.42581 .37847 L
.42661 .37957 L
.42774 .3809 L
.4284 .38149 L
.42954 .38342 L
.42967 .38358 L
.43095 .38535 L
.43159 .38617 L
.43239 .38727 L
.43352 .38863 L
.4341 .3892 L
.43528 .39113 L
.43545 .39134 L
.43668 .39306 L
.43737 .39343 L
.43811 .39498 L
.4393 .39646 L
.43973 .39691 L
.44097 .39884 L
.44123 .39917 L
.44236 .40076 L
.44316 .40132 L
.44378 .40269 L
.44508 .40436 L
.44531 .40462 L
.44661 .40654 L
.44701 .40707 L
.44799 .40847 L
.44894 .40928 L
.44941 .4104 L
.45085 .41232 L
.45086 .41235 L
.45219 .41425 L
.45279 .41503 L
.45358 .41618 L
.45472 .41738 L
.455 .41811 L
.45638 .42003 L
.45664 .42037 L
.45772 .42196 L
.45857 .42309 L
.45911 .42389 L
.4605 .42572 L
.46053 .42581 L
.46184 .42774 L
.46242 .42852 L
.46318 .42967 L
.46435 .43124 L
.46458 .43159 L
.46593 .43352 L
.46628 .43398 L
.46725 .43545 L
.46821 .43671 L
.46865 .43737 L
.47008 .4393 L
.47013 .43937 L
.47145 .44123 L
.47206 .44185 L
.47286 .44316 L
.47399 .44461 L
.47448 .44508 L
.47575 .44701 L
.47591 .44718 L
.47718 .44894 L
.47784 .44978 L
.47882 .45086 L
.47977 .45242 L
.48005 .45279 L
.48144 .45472 L
.48169 .45494 L
.48319 .45664 L
.48362 .45765 L
.48425 .45857 L
.48547 .4605 L
.48555 .46063 L
.48664 .46242 L
.48721 .46435 L
.48555 .46463 L
.48492 .46435 L
.48362 .46333 L
.48266 .46242 L
.48169 .4615 L
.48102 .4605 L
.47977 .45901 L
.4793 .45857 L
.47805 .45664 L
.47784 .45636 L
.47668 .45472 L
.47591 .45369 L
.47529 .45279 L
.47399 .45104 L
.47385 .45086 L
.4726 .44894 L
.47206 .44815 L
.47132 .44701 L
.47013 .44522 L
.47 .44508 L
.46888 .44316 L
.46821 .44206 L
.46774 .44123 L
.46662 .4393 L
.46628 .43874 L
.46547 .43737 L
.46435 .4356 L
.46421 .43545 L
.46295 .43352 L
.46242 .4328 L
.46155 .43159 L
.4605 .43023 L
.45978 .42967 L
.45866 .42774 L
.45857 .42763 L
.45716 .42581 L
.45664 .4256 L
.45564 .42389 L
.45472 .42272 L
.45395 .42196 L
.45279 .42018 L
.45277 .42003 L
.45114 .41811 L
.45086 .41802 L
.44963 .41618 L
.44894 .4153 L
.44794 .41425 L
.44701 .4127 L
.44679 .41232 L
.44523 .4104 L
.44508 .41036 L
.44376 .40847 L
.44316 .40771 L
.44211 .40654 L
.44123 .40506 L
.44095 .40462 L
.43945 .40269 L
.4393 .40264 L
.43801 .40076 L
.43737 .39996 L
.43643 .39884 L
.43545 .39726 L
.43524 .39691 L
.43377 .39498 L
.43352 .39486 L
.43235 .39306 L
.43159 .39208 L
.43084 .39113 L
.42967 .38935 L
.42958 .3892 L
.42816 .38727 L
.42774 .387 L
.42676 .38535 L
.42581 .38409 L
.42531 .38342 L
.42401 .38149 L
.42389 .38133 L
.42263 .37957 L
.42196 .37898 L
.4206 .37764 L
.42003 .37594 L
.41987 .37571 L
.41855 .37379 L
.41811 .37316 L
.41721 .37186 L
.41618 .37063 L
.41556 .36993 L
.41456 .36801 L
.41425 .36757 L
.41326 .36608 L
.41232 .3647 L
.41196 .36415 L
.41074 .36222 L
.4104 .36172 L
.40957 .3603 L
.40847 .35849 L
.40841 .35837 L
F
1 .47 0 r
.40847 .45891 m
.40988 .4605 L
.4104 .46102 L
.41155 .46242 L
.41232 .46329 L
.41317 .46435 L
.41425 .46563 L
.41476 .46628 L
.41618 .46797 L
.41631 .46821 L
.41781 .47013 L
.41811 .47049 L
.4193 .47206 L
.42003 .47297 L
.42081 .47399 L
.42196 .47533 L
.42272 .47591 L
.42377 .47784 L
.42389 .47799 L
.42521 .47977 L
.42581 .48054 L
.42667 .48169 L
.42774 .48295 L
.4285 .48362 L
.42958 .48555 L
.42967 .48566 L
.43099 .48747 L
.43159 .48825 L
.43243 .4894 L
.43352 .49072 L
.43414 .49133 L
.43529 .49326 L
.43545 .49346 L
.43669 .49518 L
.43737 .49609 L
.43811 .49711 L
.4393 .49862 L
.43969 .49904 L
.44093 .50096 L
.44123 .50136 L
.44231 .50289 L
.44316 .50402 L
.44372 .50482 L
.44508 .50666 L
.44516 .50674 L
.44647 .50867 L
.44701 .50939 L
.44785 .5106 L
.44894 .51209 L
.44924 .51253 L
.45059 .51445 L
.45086 .51482 L
.45191 .51638 L
.45279 .51759 L
.45326 .51831 L
.45461 .52023 L
.45472 .52038 L
.45585 .52216 L
.45664 .52329 L
.45713 .52409 L
.45664 .52583 L
.4552 .52409 L
.45472 .52356 L
.4536 .52216 L
.45279 .52121 L
.45202 .52023 L
.45086 .51916 L
.45046 .51831 L
.44894 .51638 L
.44894 .51638 L
.44746 .51445 L
.44701 .5139 L
.44597 .51253 L
.44508 .51178 L
.44447 .5106 L
.44316 .50892 L
.44291 .50867 L
.44155 .50674 L
.44123 .50634 L
.4401 .50482 L
.4393 .50414 L
.43864 .50289 L
.43737 .50126 L
.4371 .50096 L
.43576 .49904 L
.43545 .49863 L
.43434 .49711 L
.43352 .49636 L
.4329 .49518 L
.43159 .49346 L
.43142 .49326 L
.43007 .49133 L
.42967 .4908 L
.42866 .4894 L
.42774 .48846 L
.42724 .48747 L
.42582 .48555 L
.42581 .48554 L
.42446 .48362 L
.42389 .48286 L
.42306 .48169 L
.42196 .4804 L
.42132 .47977 L
.42028 .47784 L
.42003 .47751 L
.41893 .47591 L
.41811 .47479 L
.41755 .47399 L
.41618 .4721 L
.41614 .47206 L
.41486 .47013 L
.41425 .46929 L
.41353 .46821 L
.41232 .46651 L
.41217 .46628 L
.41093 .46435 L
.4104 .4636 L
.40969 .46242 L
.40847 .46061 L
.40841 .4605 L
F
1 .31 0 r
.40847 .47557 m
.4085 .47591 L
.40847 .47592 L
.40847 .47591 L
F
1 .97 0 r
.4104 .40198 m
.41186 .40269 L
.41232 .40313 L
.41395 .40462 L
.41425 .40501 L
.41565 .40654 L
.41618 .40736 L
.41727 .40847 L
.41811 .40995 L
.41852 .4104 L
.42003 .4121 L
.4202 .41232 L
.42191 .41425 L
.42196 .4147 L
.42309 .41618 L
.42389 .41737 L
.42425 .41811 L
.42581 .41995 L
.42593 .42003 L
.42758 .42196 L
.42774 .42241 L
.42872 .42389 L
.42967 .42511 L
.42987 .42581 L
.43146 .42774 L
.43159 .42794 L
.43307 .42967 L
.43352 .43158 L
.43352 .43159 L
.43352 .4316 L
.43159 .43223 L
.42967 .43172 L
.42941 .43159 L
.42774 .43002 L
.42752 .42967 L
.42592 .42774 L
.42581 .4276 L
.42446 .42581 L
.42389 .42501 L
.42292 .42389 L
.42196 .42239 L
.4217 .42196 L
.42018 .42003 L
.42003 .41996 L
.4183 .41811 L
.41811 .41733 L
.41729 .41618 L
.41618 .41457 L
.41605 .41425 L
.4146 .41232 L
.41425 .41184 L
.41278 .4104 L
.41232 .40953 L
.41182 .40847 L
.41058 .40654 L
.4104 .40626 L
.4094 .40462 L
.40848 .40269 L
F
0 .82 1 r
.4104 .40996 m
.41083 .4104 L
.41232 .41175 L
.41267 .41232 L
.41425 .41415 L
.41438 .41425 L
.41584 .41618 L
.41618 .41659 L
.41731 .41811 L
.41811 .41915 L
.41874 .42003 L
.42003 .42177 L
.42017 .42196 L
.42135 .42389 L
.42196 .42488 L
.42246 .42581 L
.42196 .42743 L
.42003 .42591 L
.41995 .42581 L
.41821 .42389 L
.41811 .42377 L
.41665 .42196 L
.41618 .42138 L
.41517 .42003 L
.41425 .41933 L
.41373 .41811 L
.41235 .41618 L
.41232 .41614 L
.41109 .41425 L
.4104 .4132 L
.40987 .41232 L
.40886 .4104 L
F
0 .81 1 r
.4104 .41017 m
.41063 .4104 L
.41232 .41195 L
.41255 .41232 L
.41422 .41425 L
.41425 .41429 L
.41575 .41618 L
.41618 .41671 L
.41722 .41811 L
.41811 .41926 L
.41866 .42003 L
.42003 .42196 L
.42003 .42196 L
.42124 .42389 L
.42196 .4251 L
.42231 .42581 L
.42196 .42716 L
.42012 .42581 L
.42003 .42574 L
.41833 .42389 L
.41811 .42364 L
.41675 .42196 L
.41618 .42126 L
.41525 .42003 L
.41425 .41918 L
.41382 .41811 L
.41245 .41618 L
.41232 .416 L
.41119 .41425 L
.4104 .41302 L
.40999 .41232 L
.40911 .4104 L
F
1 .96 0 r
.4104 .40244 m
.41102 .40269 L
.41232 .40361 L
.41359 .40462 L
.41425 .4054 L
.41542 .40654 L
.41618 .40763 L
.41712 .40847 L
.41811 .4101 L
.41842 .4104 L
.42003 .41226 L
.42008 .41232 L
.42189 .41425 L
.42196 .41483 L
.42301 .41618 L
.42389 .41748 L
.4242 .41811 L
.42581 .42001 L
.42585 .42003 L
.42755 .42196 L
.42774 .42251 L
.42864 .42389 L
.42967 .42525 L
.42983 .42581 L
.43134 .42774 L
.43159 .42814 L
.43293 .42967 L
.43299 .43159 L
.43159 .43198 L
.42999 .43159 L
.42967 .43133 L
.42774 .4298 L
.42765 .42967 L
.42603 .42774 L
.42581 .42745 L
.42455 .42581 L
.42389 .4249 L
.42299 .42389 L
.42196 .42231 L
.42174 .42196 L
.42025 .42003 L
.42003 .41992 L
.41834 .41811 L
.41811 .41724 L
.41736 .41618 L
.41618 .41445 L
.4161 .41425 L
.41469 .41232 L
.41425 .4117 L
.41287 .4104 L
.41232 .40926 L
.41196 .40847 L
.41078 .40654 L
.4104 .40592 L
.40969 .40462 L
.40929 .40269 L
F
1 .46 0 r
.4104 .46111 m
.41148 .46242 L
.41232 .46336 L
.41311 .46435 L
.41425 .46569 L
.41471 .46628 L
.41618 .46804 L
.41627 .46821 L
.41777 .47013 L
.41811 .47054 L
.41927 .47206 L
.42003 .47301 L
.42077 .47399 L
.42196 .47538 L
.42266 .47591 L
.42374 .47784 L
.42389 .47803 L
.42518 .47977 L
.42581 .48057 L
.42664 .48169 L
.42774 .48299 L
.42845 .48362 L
.42955 .48555 L
.42967 .4857 L
.43097 .48747 L
.43159 .48829 L
.43241 .4894 L
.43352 .49076 L
.4341 .49133 L
.43527 .49326 L
.43545 .49349 L
.43667 .49518 L
.43737 .49612 L
.43809 .49711 L
.4393 .49866 L
.43966 .49904 L
.4409 .50096 L
.44123 .5014 L
.44228 .50289 L
.44316 .50406 L
.44369 .50482 L
.44508 .50671 L
.44512 .50674 L
.44644 .50867 L
.44701 .50943 L
.44782 .5106 L
.44894 .51213 L
.44921 .51253 L
.45055 .51445 L
.45086 .51487 L
.45187 .51638 L
.45279 .51764 L
.45323 .51831 L
.45456 .52023 L
.45472 .52044 L
.45579 .52216 L
.45664 .52338 L
.45707 .52409 L
.45664 .52573 L
.45528 .52409 L
.45472 .52348 L
.45366 .52216 L
.45279 .52115 L
.45207 .52023 L
.45086 .51908 L
.45051 .51831 L
.44898 .51638 L
.44894 .51633 L
.4475 .51445 L
.44701 .51385 L
.446 .51253 L
.44508 .51173 L
.44451 .5106 L
.44316 .50887 L
.44295 .50867 L
.44158 .50674 L
.44123 .5063 L
.44013 .50482 L
.4393 .5041 L
.43866 .50289 L
.43737 .50122 L
.43714 .50096 L
.43579 .49904 L
.43545 .49859 L
.43436 .49711 L
.43352 .49632 L
.43292 .49518 L
.43159 .49342 L
.43145 .49326 L
.4301 .49133 L
.42967 .49077 L
.42869 .4894 L
.42774 .48842 L
.42726 .48747 L
.42585 .48555 L
.42581 .4855 L
.42448 .48362 L
.42389 .48283 L
.42309 .48169 L
.42196 .48035 L
.42137 .47977 L
.42031 .47784 L
.42003 .47747 L
.41896 .47591 L
.41811 .47475 L
.41758 .47399 L
.4162 .47206 L
.41618 .47204 L
.4149 .47013 L
.41425 .46924 L
.41357 .46821 L
.41232 .46645 L
.41222 .46628 L
.41099 .46435 L
.4104 .46351 L
.40975 .46242 L
F
0 .78 1 r
.4104 .45282 m
.4121 .45472 L
.41232 .45496 L
.41376 .45664 L
.41425 .4572 L
.41538 .45857 L
.41618 .45924 L
.41698 .4605 L
.41811 .46186 L
.41877 .46242 L
.42003 .46431 L
.42007 .46435 L
.42158 .46628 L
.42196 .4666 L
.4231 .46821 L
.42389 .46919 L
.4248 .47013 L
.42581 .47174 L
.42604 .47206 L
.42755 .47399 L
.42774 .47415 L
.42903 .47591 L
.42967 .47673 L
.43063 .47784 L
.43159 .47933 L
.43187 .47977 L
.4334 .48169 L
.43352 .48181 L
.43485 .48362 L
.43545 .4844 L
.43639 .48555 L
.43737 .48703 L
.43763 .48747 L
.43917 .4894 L
.4393 .48953 L
.44117 .49133 L
.44123 .49215 L
.44209 .49326 L
.44316 .4948 L
.44334 .49518 L
.44488 .49711 L
.44508 .49731 L
.44676 .49904 L
.44701 .49996 L
.44776 .50096 L
.44894 .50262 L
.44905 .50289 L
.45056 .50482 L
.45086 .50512 L
.45236 .50674 L
.45279 .50781 L
.45341 .50867 L
.45472 .51048 L
.45475 .5106 L
.45621 .51253 L
.45664 .51298 L
.45795 .51445 L
.45857 .51571 L
.45903 .51638 L
.46044 .51831 L
.4605 .51838 L
.46183 .52023 L
.46242 .52088 L
.46351 .52216 L
.46435 .52365 L
.46464 .52409 L
.46603 .52601 L
.46628 .52634 L
.46742 .52794 L
.46821 .52884 L
.46904 .52987 L
.47013 .53166 L
.47022 .53179 L
.47159 .53372 L
.47206 .53436 L
.47297 .53565 L
.47399 .53691 L
.4745 .53758 L
.47574 .5395 L
.47591 .53974 L
.47709 .54143 L
.47784 .54246 L
.47846 .54336 L
.47977 .54514 L
.47987 .54528 L
.48116 .54721 L
.48169 .54795 L
.48249 .54914 L
.48362 .55046 L
.48411 .55106 L
.48513 .55299 L
.48555 .55358 L
.4864 .55492 L
.48747 .55649 L
.4877 .55684 L
.48887 .55877 L
.4894 .5596 L
.48996 .5607 L
.4894 .56169 L
.48845 .5607 L
.48747 .55972 L
.48665 .55877 L
.48555 .55811 L
.48495 .55684 L
.48362 .55533 L
.48293 .55492 L
.48175 .55299 L
.48169 .55293 L
.4802 .55106 L
.47977 .55089 L
.47865 .54914 L
.47784 .54819 L
.47664 .54721 L
.47591 .54565 L
.4756 .54528 L
.47413 .54336 L
.47399 .54329 L
.47264 .54143 L
.47206 .54073 L
.4708 .5395 L
.47013 .53814 L
.4697 .53758 L
.46823 .53565 L
.46821 .53563 L
.46678 .53372 L
.46628 .53311 L
.46506 .53179 L
.46435 .53048 L
.46391 .52987 L
.46243 .52794 L
.46242 .52794 L
.461 .52601 L
.4605 .5254 L
.45936 .52409 L
.45857 .52274 L
.45818 .52216 L
.4567 .52023 L
.45664 .5202 L
.45528 .51831 L
.45472 .51761 L
.45369 .51638 L
.45279 .51494 L
.45249 .51445 L
.451 .51253 L
.45086 .51242 L
.44959 .5106 L
.44894 .50978 L
.44804 .50867 L
.44701 .5071 L
.44681 .50674 L
.44534 .50482 L
.44508 .50461 L
.44331 .50289 L
.44316 .50191 L
.44242 .50096 L
.44123 .49921 L
.44114 .49904 L
.43971 .49711 L
.4393 .49676 L
.43778 .49518 L
.43737 .49399 L
.43682 .49326 L
.43548 .49133 L
.43545 .49128 L
.4341 .4894 L
.43352 .48886 L
.43227 .48747 L
.43159 .48602 L
.43125 .48555 L
.42991 .48362 L
.42967 .4833 L
.42853 .48169 L
.42774 .48087 L
.4268 .47977 L
.42581 .47798 L
.42572 .47784 L
.42437 .47591 L
.42389 .47525 L
.423 .47399 L
.42196 .47274 L
.42141 .47206 L
.42025 .47013 L
.42003 .46984 L
.41891 .46821 L
.41811 .46709 L
.41755 .46628 L
.41618 .46436 L
.41617 .46435 L
.41489 .46242 L
.41425 .46153 L
.41358 .4605 L
.41232 .4587 L
.41224 .45857 L
.41103 .45664 L
.4104 .45571 L
.40982 .45472 L
F
1 .45 0 r
.4104 .46122 m
.4114 .46242 L
.41232 .46344 L
.41306 .46435 L
.41425 .46576 L
.41466 .46628 L
.41618 .46812 L
.41623 .46821 L
.41772 .47013 L
.41811 .47059 L
.41923 .47206 L
.42003 .47306 L
.42074 .47399 L
.42196 .47543 L
.42259 .47591 L
.4237 .47784 L
.42389 .47807 L
.42515 .47977 L
.42581 .48061 L
.42662 .48169 L
.42774 .48303 L
.42841 .48362 L
.42952 .48555 L
.42967 .48573 L
.43094 .48747 L
.43159 .48832 L
.43238 .4894 L
.43352 .4908 L
.43406 .49133 L
.43524 .49326 L
.43545 .49352 L
.43664 .49518 L
.43737 .49615 L
.43806 .49711 L
.4393 .4987 L
.43962 .49904 L
.44087 .50096 L
.44123 .50143 L
.44226 .50289 L
.44316 .50409 L
.44367 .50482 L
.44508 .50674 L
.44508 .50675 L
.44642 .50867 L
.44701 .50947 L
.44779 .5106 L
.44894 .51217 L
.44918 .51253 L
.45052 .51445 L
.45086 .51492 L
.45183 .51638 L
.45279 .5177 L
.45319 .51831 L
.45451 .52023 L
.45472 .52052 L
.45573 .52216 L
.45664 .52347 L
.45701 .52409 L
.45664 .52562 L
.45536 .52409 L
.45472 .5234 L
.45372 .52216 L
.45279 .52108 L
.45212 .52023 L
.45086 .51899 L
.45055 .51831 L
.44903 .51638 L
.44894 .51627 L
.44754 .51445 L
.44701 .5138 L
.44604 .51253 L
.44508 .51168 L
.44454 .5106 L
.44316 .50883 L
.443 .50867 L
.44161 .50674 L
.44123 .50626 L
.44016 .50482 L
.4393 .50406 L
.43869 .50289 L
.43737 .50118 L
.43718 .50096 L
.43582 .49904 L
.43545 .49856 L
.43439 .49711 L
.43352 .49628 L
.43295 .49518 L
.43159 .49338 L
.43149 .49326 L
.43012 .49133 L
.42967 .49073 L
.42871 .4894 L
.42774 .48838 L
.42729 .48747 L
.42588 .48555 L
.42581 .48546 L
.42451 .48362 L
.42389 .48279 L
.42311 .48169 L
.42196 .4803 L
.42142 .47977 L
.42034 .47784 L
.42003 .47742 L
.41899 .47591 L
.41811 .47471 L
.41761 .47399 L
.41623 .47206 L
.41618 .47198 L
.41494 .47013 L
.41425 .46918 L
.41361 .46821 L
.41232 .46638 L
.41226 .46628 L
.41105 .46435 L
.4104 .46342 L
.40982 .46242 L
F
0 .2 1 r
.4104 .46958 m
.41079 .47013 L
.41232 .47196 L
.41239 .47206 L
.41232 .47381 L
.41122 .47206 L
.4104 .47101 L
.40987 .47013 L
F
1 .44 0 r
.4104 .46133 m
.41131 .46242 L
.41232 .46352 L
.41299 .46435 L
.41425 .46582 L
.41461 .46628 L
.41618 .4682 L
.41618 .46821 L
.41768 .47013 L
.41811 .47064 L
.41919 .47206 L
.42003 .4731 L
.4207 .47399 L
.42196 .47549 L
.42253 .47591 L
.42367 .47784 L
.42389 .47811 L
.42512 .47977 L
.42581 .48065 L
.42659 .48169 L
.42774 .48308 L
.42836 .48362 L
.42949 .48555 L
.42967 .48577 L
.43092 .48747 L
.43159 .48836 L
.43236 .4894 L
.43352 .49084 L
.43402 .49133 L
.43521 .49326 L
.43545 .49356 L
.43661 .49518 L
.43737 .49619 L
.43804 .49711 L
.4393 .49874 L
.43958 .49904 L
.44085 .50096 L
.44123 .50147 L
.44223 .50289 L
.44316 .50413 L
.44364 .50482 L
.44505 .50674 L
.44508 .50679 L
.44638 .50867 L
.44701 .50951 L
.44776 .5106 L
.44894 .51221 L
.44915 .51253 L
.45048 .51445 L
.45086 .51497 L
.4518 .51638 L
.45279 .51775 L
.45315 .51831 L
.45446 .52023 L
.45472 .52059 L
.45567 .52216 L
.45664 .52357 L
.45694 .52409 L
.45664 .5255 L
.45545 .52409 L
.45472 .52332 L
.45378 .52216 L
.45279 .52102 L
.45217 .52023 L
.45086 .5189 L
.45059 .51831 L
.44907 .51638 L
.44894 .51622 L
.44758 .51445 L
.44701 .51376 L
.44607 .51253 L
.44508 .51163 L
.44457 .5106 L
.44316 .50878 L
.44305 .50867 L
.44164 .50674 L
.44123 .50622 L
.44019 .50482 L
.4393 .50402 L
.43872 .50289 L
.43737 .50114 L
.43721 .50096 L
.43585 .49904 L
.43545 .49852 L
.43442 .49711 L
.43352 .49625 L
.43297 .49518 L
.43159 .49334 L
.43152 .49326 L
.43015 .49133 L
.42967 .4907 L
.42874 .4894 L
.42774 .48833 L
.42731 .48747 L
.42591 .48555 L
.42581 .48543 L
.42454 .48362 L
.42389 .48275 L
.42314 .48169 L
.42196 .48025 L
.42147 .47977 L
.42038 .47784 L
.42003 .47738 L
.41902 .47591 L
.41811 .47466 L
.41764 .47399 L
.41627 .47206 L
.41618 .47193 L
.41498 .47013 L
.41425 .46912 L
.41365 .46821 L
.41232 .46632 L
.4123 .46628 L
.41111 .46435 L
.4104 .46331 L
.40989 .46242 L
F
0 .77 1 r
.4104 .45303 m
.41194 .45472 L
.41232 .45511 L
.41364 .45664 L
.41425 .45732 L
.41529 .45857 L
.41618 .45935 L
.4169 .4605 L
.41811 .46196 L
.41867 .46242 L
.42 .46435 L
.42003 .46439 L
.42152 .46628 L
.42196 .46665 L
.42305 .46821 L
.42389 .46926 L
.42475 .47013 L
.42581 .4718 L
.426 .47206 L
.42751 .47399 L
.42774 .47419 L
.42899 .47591 L
.42967 .47678 L
.4306 .47784 L
.43159 .47938 L
.43184 .47977 L
.43336 .48169 L
.43352 .48184 L
.43482 .48362 L
.43545 .48444 L
.43636 .48555 L
.43737 .48707 L
.43761 .48747 L
.43914 .4894 L
.4393 .48956 L
.44116 .49133 L
.44123 .49218 L
.44207 .49326 L
.44316 .49483 L
.44333 .49518 L
.44486 .49711 L
.44508 .49733 L
.44675 .49904 L
.44701 .49999 L
.44774 .50096 L
.44894 .50265 L
.44904 .50289 L
.45054 .50482 L
.45086 .50515 L
.45234 .50674 L
.45279 .50784 L
.45339 .50867 L
.45472 .51051 L
.45474 .5106 L
.45619 .51253 L
.45664 .513 L
.45793 .51445 L
.45857 .51574 L
.45901 .51638 L
.46042 .51831 L
.4605 .51842 L
.46181 .52023 L
.46242 .52091 L
.46349 .52216 L
.46435 .52369 L
.46462 .52409 L
.46601 .52601 L
.46628 .52638 L
.46739 .52794 L
.46821 .52888 L
.46901 .52987 L
.47013 .5317 L
.47019 .53179 L
.47156 .53372 L
.47206 .5344 L
.47294 .53565 L
.47399 .53696 L
.47447 .53758 L
.4757 .5395 L
.47591 .53979 L
.47705 .54143 L
.47784 .54252 L
.47842 .54336 L
.47977 .54522 L
.47982 .54528 L
.48111 .54721 L
.48169 .54802 L
.48244 .54914 L
.48362 .5506 L
.484 .55106 L
.48506 .55299 L
.48555 .55368 L
.48632 .55492 L
.48747 .55662 L
.48761 .55684 L
.48872 .55877 L
.4894 .55989 L
.48976 .5607 L
.4894 .56138 L
.48869 .5607 L
.48747 .55954 L
.48679 .55877 L
.48555 .55791 L
.48507 .55684 L
.48362 .5552 L
.48314 .55492 L
.48183 .55299 L
.48169 .55283 L
.48027 .55106 L
.47977 .55085 L
.47872 .54914 L
.47784 .54811 L
.47671 .54721 L
.47591 .54558 L
.47565 .54528 L
.47418 .54336 L
.47399 .54326 L
.47269 .54143 L
.47206 .54068 L
.47084 .5395 L
.47013 .53809 L
.46974 .53758 L
.46827 .53565 L
.46821 .53561 L
.46681 .53372 L
.46628 .53307 L
.46509 .53179 L
.46435 .53044 L
.46394 .52987 L
.46246 .52794 L
.46242 .52792 L
.46103 .52601 L
.4605 .52536 L
.45938 .52409 L
.45857 .52271 L
.45821 .52216 L
.45672 .52023 L
.45664 .52018 L
.4553 .51831 L
.45472 .51758 L
.45371 .51638 L
.45279 .51491 L
.45251 .51445 L
.45103 .51253 L
.45086 .51241 L
.44961 .5106 L
.44894 .50976 L
.44806 .50867 L
.44701 .50707 L
.44683 .50674 L
.44536 .50482 L
.44508 .5046 L
.44333 .50289 L
.44316 .50188 L
.44244 .50096 L
.44123 .49918 L
.44116 .49904 L
.43973 .49711 L
.4393 .49674 L
.4378 .49518 L
.43737 .49396 L
.43685 .49326 L
.43551 .49133 L
.43545 .49125 L
.43413 .4894 L
.43352 .48883 L
.43229 .48747 L
.43159 .48599 L
.43128 .48555 L
.42993 .48362 L
.42967 .48327 L
.42856 .48169 L
.42774 .48083 L
.42683 .47977 L
.42581 .47793 L
.42575 .47784 L
.42441 .47591 L
.42389 .47521 L
.42303 .47399 L
.42196 .47268 L
.42146 .47206 L
.42029 .47013 L
.42003 .46979 L
.41896 .46821 L
.41811 .46703 L
.41759 .46628 L
.41623 .46435 L
.41618 .46428 L
.41495 .46242 L
.41425 .46144 L
.41364 .4605 L
.41232 .45859 L
.41231 .45857 L
.41113 .45664 L
.4104 .45554 L
.40993 .45472 L
F
0 .19 1 r
.4104 .46969 m
.41071 .47013 L
.41232 .47205 L
.41233 .47206 L
.41232 .47371 L
.41132 .47206 L
.4104 .47088 L
.40996 .47013 L
F
1 .43 0 r
.4104 .46146 m
.41122 .46242 L
.41232 .4636 L
.41293 .46435 L
.41425 .46589 L
.41456 .46628 L
.41613 .46821 L
.41618 .46826 L
.41763 .47013 L
.41811 .47069 L
.41915 .47206 L
.42003 .47315 L
.42067 .47399 L
.42196 .47554 L
.42246 .47591 L
.42364 .47784 L
.42389 .47815 L
.42509 .47977 L
.42581 .48069 L
.42656 .48169 L
.42774 .48312 L
.42831 .48362 L
.42947 .48555 L
.42967 .4858 L
.43089 .48747 L
.43159 .48839 L
.43233 .4894 L
.43352 .49088 L
.43398 .49133 L
.43519 .49326 L
.43545 .49359 L
.43659 .49518 L
.43737 .49622 L
.43801 .49711 L
.4393 .49878 L
.43954 .49904 L
.44082 .50096 L
.44123 .5015 L
.44221 .50289 L
.44316 .50417 L
.44361 .50482 L
.44502 .50674 L
.44508 .50683 L
.44635 .50867 L
.44701 .50955 L
.44773 .5106 L
.44894 .51226 L
.44912 .51253 L
.45044 .51445 L
.45086 .51502 L
.45176 .51638 L
.45279 .51781 L
.45311 .51831 L
.4544 .52023 L
.45472 .52067 L
.45561 .52216 L
.45664 .52367 L
.45687 .52409 L
.45664 .52536 L
.45554 .52409 L
.45472 .52323 L
.45385 .52216 L
.45279 .52095 L
.45222 .52023 L
.45086 .51881 L
.45064 .51831 L
.44912 .51638 L
.44894 .51617 L
.44762 .51445 L
.44701 .51371 L
.44611 .51253 L
.44508 .51158 L
.4446 .5106 L
.44316 .50873 L
.44309 .50867 L
.44167 .50674 L
.44123 .50618 L
.44021 .50482 L
.4393 .50398 L
.43875 .50289 L
.43737 .5011 L
.43725 .50096 L
.43587 .49904 L
.43545 .49849 L
.43444 .49711 L
.43352 .4962 L
.433 .49518 L
.43159 .4933 L
.43155 .49326 L
.43018 .49133 L
.42967 .49066 L
.42876 .4894 L
.42774 .48829 L
.42734 .48747 L
.42593 .48555 L
.42581 .48539 L
.42457 .48362 L
.42389 .48271 L
.42317 .48169 L
.42196 .48019 L
.42153 .47977 L
.42041 .47784 L
.42003 .47734 L
.41905 .47591 L
.41811 .47462 L
.41767 .47399 L
.41631 .47206 L
.41618 .47188 L
.41502 .47013 L
.41425 .46906 L
.41369 .46821 L
.41235 .46628 L
.41232 .46624 L
.41118 .46435 L
.4104 .4632 L
.40997 .46242 L
F
1 .95 0 r
.4104 .40308 m
.41232 .404 L
.4132 .40462 L
.41425 .40572 L
.41517 .40654 L
.41618 .40786 L
.41695 .40847 L
.41811 .41022 L
.41833 .4104 L
.41996 .41232 L
.42003 .41241 L
.42187 .41425 L
.42196 .41496 L
.42293 .41618 L
.42389 .41759 L
.42415 .41811 L
.42576 .42003 L
.42581 .42006 L
.42751 .42196 L
.42774 .42261 L
.42857 .42389 L
.42967 .4254 L
.42978 .42581 L
.43122 .42774 L
.43159 .42836 L
.43276 .42967 L
.43228 .43159 L
.43159 .43173 L
.43071 .43159 L
.42967 .43098 L
.42781 .42967 L
.42774 .42959 L
.42615 .42774 L
.42581 .42732 L
.42464 .42581 L
.42389 .4248 L
.42306 .42389 L
.42196 .42223 L
.42179 .42196 L
.42032 .42003 L
.42003 .41987 L
.41838 .41811 L
.41811 .41714 L
.41743 .41618 L
.41618 .41433 L
.41615 .41425 L
.41479 .41232 L
.41425 .41156 L
.41298 .4104 L
.41232 .40894 L
.41211 .40847 L
.41098 .40654 L
.4104 .40548 L
.41 .40462 L
F
0 .76 1 r
.4104 .45328 m
.41177 .45472 L
.41232 .45527 L
.41352 .45664 L
.41425 .45745 L
.41519 .45857 L
.41618 .45946 L
.41681 .4605 L
.41811 .46205 L
.41856 .46242 L
.41993 .46435 L
.42003 .46447 L
.42146 .46628 L
.42196 .46671 L
.42299 .46821 L
.42389 .46932 L
.4247 .47013 L
.42581 .47185 L
.42596 .47206 L
.42747 .47399 L
.42774 .47423 L
.42895 .47591 L
.42967 .47683 L
.43056 .47784 L
.43159 .47942 L
.43182 .47977 L
.43333 .48169 L
.43352 .48187 L
.43479 .48362 L
.43545 .48448 L
.43633 .48555 L
.43737 .4871 L
.43759 .48747 L
.43911 .4894 L
.4393 .48959 L
.44115 .49133 L
.44123 .49222 L
.44205 .49326 L
.44316 .49486 L
.44331 .49518 L
.44483 .49711 L
.44508 .49736 L
.44673 .49904 L
.44701 .50002 L
.44772 .50096 L
.44894 .50268 L
.44902 .50289 L
.45051 .50482 L
.45086 .50517 L
.45233 .50674 L
.45279 .50787 L
.45337 .50867 L
.45472 .51054 L
.45474 .5106 L
.45616 .51253 L
.45664 .51303 L
.45791 .51445 L
.45857 .51577 L
.45899 .51638 L
.46039 .51831 L
.4605 .51845 L
.46178 .52023 L
.46242 .52094 L
.46346 .52216 L
.46435 .52372 L
.4646 .52409 L
.46598 .52601 L
.46628 .52641 L
.46737 .52794 L
.46821 .52892 L
.46898 .52987 L
.47013 .53174 L
.47017 .53179 L
.47153 .53372 L
.47206 .53444 L
.47291 .53565 L
.47399 .53701 L
.47443 .53758 L
.47567 .5395 L
.47591 .53984 L
.47701 .54143 L
.47784 .54257 L
.47838 .54336 L
.47976 .54528 L
.47977 .54529 L
.48106 .54721 L
.48169 .54809 L
.48239 .54914 L
.48362 .55075 L
.48388 .55106 L
.48499 .55299 L
.48555 .5538 L
.48624 .55492 L
.48747 .55677 L
.48752 .55684 L
.48855 .55877 L
.4894 .56037 L
.48948 .5607 L
.4894 .5609 L
.48909 .5607 L
.48747 .55934 L
.48696 .55877 L
.48555 .55767 L
.48519 .55684 L
.48362 .55506 L
.48337 .55492 L
.48192 .55299 L
.48169 .55273 L
.48035 .55106 L
.47977 .55079 L
.47878 .54914 L
.47784 .54804 L
.47679 .54721 L
.47591 .54552 L
.47571 .54528 L
.47423 .54336 L
.47399 .54324 L
.47273 .54143 L
.47206 .54062 L
.47088 .5395 L
.47013 .53804 L
.46977 .53758 L
.46831 .53565 L
.46821 .53559 L
.46685 .53372 L
.46628 .53303 L
.46512 .53179 L
.46435 .5304 L
.46397 .52987 L
.46249 .52794 L
.46242 .5279 L
.46106 .52601 L
.4605 .52533 L
.45941 .52409 L
.45857 .52268 L
.45823 .52216 L
.45675 .52023 L
.45664 .52016 L
.45532 .51831 L
.45472 .51755 L
.45373 .51638 L
.45279 .51488 L
.45252 .51445 L
.45105 .51253 L
.45086 .51239 L
.44963 .5106 L
.44894 .50973 L
.44808 .50867 L
.44701 .50704 L
.44684 .50674 L
.44539 .50482 L
.44508 .50458 L
.44334 .50289 L
.44316 .50185 L
.44246 .50096 L
.44123 .49915 L
.44117 .49904 L
.43975 .49711 L
.4393 .49672 L
.43781 .49518 L
.43737 .49393 L
.43687 .49326 L
.43553 .49133 L
.43545 .49122 L
.43415 .4894 L
.43352 .4888 L
.43231 .48747 L
.43159 .48595 L
.4313 .48555 L
.42996 .48362 L
.42967 .48323 L
.42858 .48169 L
.42774 .48079 L
.42687 .47977 L
.42581 .47789 L
.42578 .47784 L
.42444 .47591 L
.42389 .47516 L
.42307 .47399 L
.42196 .47262 L
.42151 .47206 L
.42033 .47013 L
.42003 .46973 L
.419 .46821 L
.41811 .46697 L
.41764 .46628 L
.41629 .46435 L
.41618 .4642 L
.41501 .46242 L
.41425 .46135 L
.41371 .4605 L
.4124 .45857 L
.41232 .45847 L
.41124 .45664 L
.4104 .45535 L
.41006 .45472 L
F
1 .42 0 r
.4104 .4616 m
.41111 .46242 L
.41232 .46369 L
.41286 .46435 L
.41425 .46596 L
.41451 .46628 L
.41608 .46821 L
.41618 .46832 L
.41759 .47013 L
.41811 .47075 L
.41911 .47206 L
.42003 .4732 L
.42063 .47399 L
.42196 .4756 L
.42238 .47591 L
.4236 .47784 L
.42389 .47819 L
.42506 .47977 L
.42581 .48073 L
.42653 .48169 L
.42774 .48316 L
.42826 .48362 L
.42944 .48555 L
.42967 .48584 L
.43086 .48747 L
.43159 .48843 L
.43231 .4894 L
.43352 .49092 L
.43394 .49133 L
.43516 .49326 L
.43545 .49363 L
.43656 .49518 L
.43737 .49625 L
.43799 .49711 L
.4393 .49883 L
.4395 .49904 L
.44079 .50096 L
.44123 .50154 L
.44218 .50289 L
.44316 .5042 L
.44359 .50482 L
.44499 .50674 L
.44508 .50687 L
.44632 .50867 L
.44701 .50959 L
.4477 .5106 L
.44894 .5123 L
.44909 .51253 L
.4504 .51445 L
.45086 .51508 L
.45172 .51638 L
.45279 .51787 L
.45307 .51831 L
.45434 .52023 L
.45472 .52076 L
.45554 .52216 L
.45664 .5238 L
.4568 .52409 L
.45664 .52521 L
.45565 .52409 L
.45472 .52314 L
.45392 .52216 L
.45279 .52088 L
.45228 .52023 L
.45086 .51871 L
.45069 .51831 L
.44916 .51638 L
.44894 .51611 L
.44766 .51445 L
.44701 .51366 L
.44615 .51253 L
.44508 .51152 L
.44464 .5106 L
.44316 .50868 L
.44314 .50867 L
.44171 .50674 L
.44123 .50614 L
.44024 .50482 L
.4393 .50393 L
.43878 .50289 L
.43737 .50105 L
.43729 .50096 L
.4359 .49904 L
.43545 .49845 L
.43447 .49711 L
.43352 .49616 L
.43303 .49518 L
.43159 .49326 L
.43159 .49326 L
.4302 .49133 L
.42967 .49063 L
.42879 .4894 L
.42774 .48824 L
.42736 .48747 L
.42596 .48555 L
.42581 .48535 L
.42459 .48362 L
.42389 .48268 L
.4232 .48169 L
.42196 .48013 L
.42159 .47977 L
.42044 .47784 L
.42003 .4773 L
.41909 .47591 L
.41811 .47457 L
.41771 .47399 L
.41635 .47206 L
.41618 .47182 L
.41507 .47013 L
.41425 .469 L
.41374 .46821 L
.41241 .46628 L
.41232 .46616 L
.41126 .46435 L
.4104 .46307 L
.41006 .46242 L
F
0 .18 1 r
.4104 .46983 m
.41061 .47013 L
.4104 .47073 L
.41008 .47013 L
F
0 .8 1 r
.4104 .4104 m
.41232 .41217 L
.41242 .41232 L
.4141 .41425 L
.41425 .41442 L
.41565 .41618 L
.41618 .41683 L
.41713 .41811 L
.41811 .41938 L
.41857 .42003 L
.41993 .42196 L
.42003 .42211 L
.42112 .42389 L
.42196 .42537 L
.42216 .42581 L
.42196 .42683 L
.42032 .42581 L
.42003 .42557 L
.41845 .42389 L
.41811 .42351 L
.41685 .42196 L
.41618 .42114 L
.41534 .42003 L
.41425 .419 L
.4139 .41811 L
.41255 .41618 L
.41232 .41585 L
.41131 .41425 L
.4104 .41281 L
.41012 .41232 L
F
1 .41 0 r
.4104 .46176 m
.41099 .46242 L
.41232 .46378 L
.41279 .46435 L
.41425 .46603 L
.41445 .46628 L
.41602 .46821 L
.41618 .46838 L
.41754 .47013 L
.41811 .4708 L
.41907 .47206 L
.42003 .47324 L
.4206 .47399 L
.42196 .47565 L
.42231 .47591 L
.42357 .47784 L
.42389 .47824 L
.42503 .47977 L
.42581 .48077 L
.4265 .48169 L
.42774 .48321 L
.42821 .48362 L
.42941 .48555 L
.42967 .48588 L
.43083 .48747 L
.43159 .48846 L
.43228 .4894 L
.43352 .49096 L
.4339 .49133 L
.43513 .49326 L
.43545 .49366 L
.43654 .49518 L
.43737 .49629 L
.43796 .49711 L
.4393 .49887 L
.43946 .49904 L
.44076 .50096 L
.44123 .50158 L
.44215 .50289 L
.44316 .50424 L
.44356 .50482 L
.44495 .50674 L
.44508 .50691 L
.44629 .50867 L
.44701 .50964 L
.44767 .5106 L
.44894 .51235 L
.44906 .51253 L
.45036 .51445 L
.45086 .51513 L
.45168 .51638 L
.45279 .51793 L
.45303 .51831 L
.45428 .52023 L
.45472 .52085 L
.45547 .52216 L
.45664 .52394 L
.45672 .52409 L
.45664 .52502 L
.45578 .52409 L
.45472 .52304 L
.45399 .52216 L
.45279 .52081 L
.45233 .52023 L
.45086 .5186 L
.45073 .51831 L
.44921 .51638 L
.44894 .51606 L
.4477 .51445 L
.44701 .51361 L
.44618 .51253 L
.44508 .51146 L
.44467 .5106 L
.44318 .50867 L
.44316 .50864 L
.44174 .50674 L
.44123 .5061 L
.44027 .50482 L
.4393 .50389 L
.4388 .50289 L
.43737 .50101 L
.43733 .50096 L
.43593 .49904 L
.43545 .49841 L
.4345 .49711 L
.43352 .49612 L
.43305 .49518 L
.43162 .49326 L
.43159 .49322 L
.43023 .49133 L
.42967 .49059 L
.42882 .4894 L
.42774 .4882 L
.42739 .48747 L
.42599 .48555 L
.42581 .48531 L
.42462 .48362 L
.42389 .48264 L
.42322 .48169 L
.42196 .48008 L
.42164 .47977 L
.42047 .47784 L
.42003 .47725 L
.41912 .47591 L
.41811 .47452 L
.41774 .47399 L
.4164 .47206 L
.41618 .47177 L
.41511 .47013 L
.41425 .46894 L
.41378 .46821 L
.41248 .46628 L
.41232 .46606 L
.41134 .46435 L
.4104 .46292 L
.41016 .46242 L
F
0 .97 1 r
.4104 .43653 m
.41232 .43713 L
.41256 .43737 L
.41425 .43895 L
.4145 .4393 L
.41615 .44123 L
.41618 .44126 L
.41763 .44316 L
.41811 .44375 L
.41908 .44508 L
.42003 .44611 L
.42051 .44701 L
.42194 .44894 L
.42196 .44896 L
.42329 .45086 L
.42389 .45148 L
.42463 .45279 L
.42581 .45443 L
.42604 .45472 L
.42732 .45664 L
.42774 .45722 L
.42894 .45857 L
.42967 .46004 L
.43001 .4605 L
.43136 .46242 L
.43159 .46274 L
.43291 .46435 L
.43352 .4654 L
.43396 .46628 L
.43545 .46801 L
.43564 .46821 L
.43711 .47013 L
.43737 .47055 L
.43831 .47206 L
.4393 .47328 L
.4401 .47399 L
.44123 .47549 L
.44157 .47591 L
.44307 .47784 L
.44316 .47806 L
.44426 .47977 L
.44508 .48085 L
.44601 .48169 L
.44701 .48306 L
.44745 .48362 L
.44889 .48555 L
.44894 .48565 L
.45018 .48747 L
.45086 .48842 L
.45111 .4894 L
.45279 .49076 L
.45323 .49133 L
.45465 .49326 L
.45472 .49339 L
.45593 .49518 L
.45664 .49615 L
.45691 .49711 L
.45857 .49856 L
.45894 .49904 L
.46037 .50096 L
.4605 .50121 L
.46161 .50289 L
.46242 .50396 L
.46321 .50482 L
.46435 .5064 L
.46461 .50674 L
.46604 .50867 L
.46628 .50907 L
.46725 .5106 L
.46821 .51182 L
.46887 .51253 L
.47013 .51427 L
.47027 .51445 L
.4717 .51638 L
.47206 .51695 L
.47286 .51831 L
.47399 .51969 L
.47453 .52023 L
.47591 .52216 L
.47591 .52216 L
.47734 .52409 L
.47784 .52484 L
.47847 .52601 L
.47977 .52755 L
.48017 .52794 L
.48167 .52987 L
.48169 .53004 L
.48297 .53179 L
.48362 .53273 L
.48409 .53372 L
.48555 .53541 L
.48581 .53565 L
.48737 .53758 L
.48747 .53793 L
.48859 .5395 L
.4894 .54062 L
.48971 .54143 L
.49133 .54325 L
.49144 .54336 L
.49303 .54528 L
.49326 .54582 L
.49421 .54721 L
.49518 .54851 L
.49534 .54914 L
.49707 .55106 L
.49711 .5511 L
.49867 .55299 L
.49904 .55372 L
.49983 .55492 L
.50096 .55641 L
.501 .55684 L
.5027 .55877 L
.50289 .55896 L
.50429 .5607 L
.50482 .56163 L
.50544 .56263 L
.50674 .56432 L
.50692 .56455 L
.50831 .56648 L
.50867 .56684 L
.5099 .56841 L
.5106 .56956 L
.51105 .57033 L
.51253 .57225 L
.51254 .57226 L
.51392 .57419 L
.51445 .57474 L
.51548 .57611 L
.51638 .57751 L
.51667 .57804 L
.51813 .57997 L
.51831 .58021 L
.52014 .58189 L
.52023 .5827 L
.52104 .58382 L
.52216 .58551 L
.52228 .58575 L
.52369 .58768 L
.52409 .58822 L
.52564 .5896 L
.52601 .59074 L
.52656 .59153 L
.52785 .59346 L
.52794 .59358 L
.5292 .59538 L
.52987 .5963 L
.53104 .59731 L
.53179 .59893 L
.532 .59924 L
.53329 .60116 L
.53372 .60176 L
.53462 .60309 L
.53565 .6042 L
.53622 .60502 L
.53728 .60694 L
.53758 .60736 L
.53854 .60887 L
.5395 .61028 L
.53983 .6108 L
.54102 .61273 L
.54143 .61336 L
.54211 .61465 L
.54143 .61616 L
.53991 .61465 L
.5395 .61427 L
.5381 .61273 L
.53758 .61217 L
.53638 .6108 L
.53565 .61001 L
.53473 .60887 L
.53372 .60762 L
.53301 .60694 L
.53179 .60524 L
.53163 .60502 L
.53002 .60309 L
.52987 .60291 L
.52848 .60116 L
.52794 .60042 L
.52693 .59924 L
.52601 .59786 L
.52568 .59731 L
.52409 .59541 L
.524 .59538 L
.5222 .59346 L
.52216 .59293 L
.52107 .59153 L
.52023 .59029 L
.51988 .5896 L
.51831 .58772 L
.51815 .58768 L
.51651 .58575 L
.51638 .58527 L
.5153 .58382 L
.51445 .58259 L
.51416 .58189 L
.51253 .58 L
.51239 .57997 L
.5108 .57804 L
.5106 .57751 L
.5096 .57611 L
.50867 .5748 L
.50849 .57419 L
.50674 .57234 L
.50668 .57226 L
.50512 .57033 L
.50482 .56969 L
.50393 .56841 L
.50289 .56699 L
.50283 .56648 L
.501 .56455 L
.50096 .5645 L
.49946 .56263 L
.49904 .56184 L
.49828 .5607 L
.49711 .55915 L
.49674 .55877 L
.49534 .55684 L
.49518 .55665 L
.49381 .55492 L
.49326 .55397 L
.49264 .55299 L
.49133 .55131 L
.49109 .55106 L
.48968 .54914 L
.4894 .54878 L
.48817 .54721 L
.48747 .5461 L
.487 .54528 L
.48555 .54346 L
.48544 .54336 L
.48363 .54143 L
.48362 .5409 L
.48254 .5395 L
.48169 .53822 L
.48136 .53758 L
.4798 .53565 L
.47977 .53562 L
.47799 .53372 L
.47784 .53302 L
.47692 .53179 L
.47591 .53033 L
.47571 .52987 L
.47416 .52794 L
.47399 .52779 L
.47237 .52601 L
.47206 .52513 L
.4713 .52409 L
.47013 .52244 L
.47004 .52216 L
.46853 .52023 L
.46821 .51994 L
.46677 .51831 L
.46628 .51723 L
.46568 .51638 L
.46435 .51454 L
.46433 .51445 L
.4629 .51253 L
.46242 .51207 L
.46118 .5106 L
.4605 .50931 L
.46006 .50867 L
.45866 .50674 L
.45857 .50662 L
.45728 .50482 L
.45664 .50417 L
.4556 .50289 L
.45472 .50138 L
.45445 .50096 L
.45305 .49904 L
.45279 .49869 L
.45166 .49711 L
.45086 .49624 L
.45003 .49518 L
.44894 .49344 L
.44883 .49326 L
.44744 .49133 L
.44701 .49075 L
.44605 .4894 L
.44508 .48828 L
.44447 .48747 L
.44322 .48555 L
.44316 .48546 L
.44186 .48362 L
.44123 .48279 L
.44046 .48169 L
.4393 .48026 L
.43894 .47977 L
.43766 .47784 L
.43737 .47747 L
.43629 .47591 L
.43545 .47478 L
.43438 .47399 L
.43352 .47214 L
.43346 .47206 L
.43214 .47013 L
.43159 .4694 L
.43078 .46821 L
.42967 .46694 L
.42914 .46628 L
.42802 .46435 L
.42774 .46397 L
.4267 .46242 L
.42581 .4612 L
.42534 .4605 L
.42397 .45857 L
.42389 .45846 L
.42267 .45664 L
.42196 .45598 L
.42133 .45472 L
.42003 .4529 L
.41995 .45279 L
.41865 .45086 L
.41811 .45029 L
.41686 .44894 L
.41618 .44733 L
.41594 .44701 L
.41467 .44508 L
.41425 .44447 L
.41338 .44316 L
.41232 .44166 L
.41209 .44123 L
.411 .4393 L
.4104 .43801 L
.41017 .43737 L
F
0 .75 1 r
.4104 .45357 m
.41156 .45472 L
.41232 .45544 L
.41339 .45664 L
.41425 .45758 L
.41509 .45857 L
.41618 .45958 L
.41673 .4605 L
.41811 .46215 L
.41845 .46242 L
.41986 .46435 L
.42003 .46455 L
.4214 .46628 L
.42196 .46676 L
.42294 .46821 L
.42389 .46939 L
.42464 .47013 L
.42581 .47191 L
.42592 .47206 L
.42742 .47399 L
.42774 .47427 L
.42891 .47591 L
.42967 .47688 L
.43053 .47784 L
.43159 .47946 L
.43179 .47977 L
.4333 .48169 L
.43352 .4819 L
.43475 .48362 L
.43545 .48452 L
.4363 .48555 L
.43737 .48714 L
.43757 .48747 L
.43908 .4894 L
.4393 .48961 L
.44114 .49133 L
.44123 .49225 L
.44202 .49326 L
.44316 .49489 L
.4433 .49518 L
.44481 .49711 L
.44508 .49738 L
.44672 .49904 L
.44701 .50005 L
.4477 .50096 L
.44894 .50271 L
.44901 .50289 L
.45049 .50482 L
.45086 .5052 L
.45231 .50674 L
.45279 .5079 L
.45335 .50867 L
.45472 .51056 L
.45473 .5106 L
.45614 .51253 L
.45664 .51305 L
.45789 .51445 L
.45857 .5158 L
.45897 .51638 L
.46037 .51831 L
.4605 .51848 L
.46176 .52023 L
.46242 .52097 L
.46344 .52216 L
.46435 .52375 L
.46457 .52409 L
.46596 .52601 L
.46628 .52645 L
.46734 .52794 L
.46821 .52895 L
.46895 .52987 L
.47013 .53178 L
.47014 .53179 L
.4715 .53372 L
.47206 .53448 L
.47288 .53565 L
.47399 .53706 L
.47439 .53758 L
.47563 .5395 L
.47591 .53989 L
.47698 .54143 L
.47784 .54262 L
.47835 .54336 L
.47971 .54528 L
.47977 .54536 L
.48101 .54721 L
.48169 .54817 L
.48234 .54914 L
.48362 .5509 L
.48375 .55106 L
.48491 .55299 L
.48555 .55392 L
.48615 .55492 L
.4874 .55684 L
.48747 .55696 L
.48834 .55877 L
.48747 .55912 L
.48714 .55877 L
.48555 .55739 L
.48531 .55684 L
.48362 .55492 L
.48362 .55492 L
.48201 .55299 L
.48169 .55263 L
.48042 .55106 L
.47977 .55074 L
.47885 .54914 L
.47784 .54796 L
.47687 .54721 L
.47591 .54545 L
.47577 .54528 L
.47428 .54336 L
.47399 .54321 L
.47278 .54143 L
.47206 .54057 L
.47092 .5395 L
.47013 .53799 L
.46981 .53758 L
.46834 .53565 L
.46821 .53557 L
.46688 .53372 L
.46628 .53299 L
.46515 .53179 L
.46435 .53036 L
.46399 .52987 L
.46252 .52794 L
.46242 .52788 L
.46108 .52601 L
.4605 .52529 L
.45943 .52409 L
.45857 .52264 L
.45825 .52216 L
.45677 .52023 L
.45664 .52014 L
.45535 .51831 L
.45472 .51752 L
.45375 .51638 L
.45279 .51485 L
.45254 .51445 L
.45107 .51253 L
.45086 .51237 L
.44966 .5106 L
.44894 .5097 L
.44811 .50867 L
.44701 .50701 L
.44686 .50674 L
.44541 .50482 L
.44508 .50456 L
.44335 .50289 L
.44316 .50183 L
.44248 .50096 L
.44123 .49913 L
.44118 .49904 L
.43977 .49711 L
.4393 .4967 L
.43783 .49518 L
.43737 .4939 L
.43689 .49326 L
.43555 .49133 L
.43545 .49119 L
.43417 .4894 L
.43352 .48877 L
.43234 .48747 L
.43159 .48592 L
.43133 .48555 L
.42999 .48362 L
.42967 .48319 L
.42861 .48169 L
.42774 .48075 L
.4269 .47977 L
.42581 .47784 L
.42581 .47784 L
.42447 .47591 L
.42389 .47512 L
.4231 .47399 L
.42196 .47255 L
.42156 .47206 L
.42037 .47013 L
.42003 .46967 L
.41904 .46821 L
.41811 .46691 L
.41768 .46628 L
.41634 .46435 L
.41618 .46412 L
.41508 .46242 L
.41425 .46125 L
.41377 .4605 L
.41249 .45857 L
.41232 .45833 L
.41136 .45664 L
.4104 .45512 L
.4102 .45472 L
F
0 .17 1 r
.4104 .47 m
.41048 .47013 L
.4104 .47052 L
.41024 .47013 L
F
0 .79 1 r
.4104 .41071 m
.41226 .41232 L
.41232 .41238 L
.41397 .41425 L
.41425 .41456 L
.41554 .41618 L
.41618 .41695 L
.41704 .41811 L
.41811 .4195 L
.41848 .42003 L
.41982 .42196 L
.42003 .42227 L
.421 .42389 L
.42196 .42577 L
.42197 .42581 L
.42196 .42627 L
.42058 .42581 L
.42003 .4254 L
.41859 .42389 L
.41811 .42338 L
.41695 .42196 L
.41618 .42102 L
.41543 .42003 L
.41425 .4188 L
.41399 .41811 L
.41266 .41618 L
.41232 .4157 L
.41142 .41425 L
.4104 .41257 L
.41027 .41232 L
F
1 .4 0 r
.4104 .46198 m
.41082 .46242 L
.41232 .46388 L
.41271 .46435 L
.41425 .4661 L
.41439 .46628 L
.41596 .46821 L
.41618 .46845 L
.41749 .47013 L
.41811 .47086 L
.41903 .47206 L
.42003 .47329 L
.42056 .47399 L
.42196 .47571 L
.42223 .47591 L
.42353 .47784 L
.42389 .47828 L
.425 .47977 L
.42581 .4808 L
.42647 .48169 L
.42774 .48326 L
.42816 .48362 L
.42938 .48555 L
.42967 .48591 L
.43081 .48747 L
.43159 .4885 L
.43225 .4894 L
.43352 .49101 L
.43385 .49133 L
.4351 .49326 L
.43545 .4937 L
.43651 .49518 L
.43737 .49632 L
.43794 .49711 L
.4393 .49892 L
.43941 .49904 L
.44073 .50096 L
.44123 .50161 L
.44212 .50289 L
.44316 .50428 L
.44354 .50482 L
.44492 .50674 L
.44508 .50696 L
.44626 .50867 L
.44701 .50968 L
.44764 .5106 L
.44894 .51239 L
.44903 .51253 L
.45032 .51445 L
.45086 .51519 L
.45164 .51638 L
.45279 .518 L
.45299 .51831 L
.45421 .52023 L
.45472 .52095 L
.4554 .52216 L
.45472 .52294 L
.45407 .52216 L
.45279 .52073 L
.45239 .52023 L
.45086 .51849 L
.45078 .51831 L
.44926 .51638 L
.44894 .516 L
.44774 .51445 L
.44701 .51356 L
.44622 .51253 L
.44508 .51139 L
.44471 .5106 L
.44322 .50867 L
.44316 .50859 L
.44177 .50674 L
.44123 .50606 L
.4403 .50482 L
.4393 .50384 L
.43883 .50289 L
.43737 .50097 L
.43737 .50096 L
.43596 .49904 L
.43545 .49838 L
.43452 .49711 L
.43352 .49608 L
.43308 .49518 L
.43165 .49326 L
.43159 .49319 L
.43026 .49133 L
.42967 .49055 L
.42884 .4894 L
.42774 .48815 L
.42742 .48747 L
.42602 .48555 L
.42581 .48527 L
.42465 .48362 L
.42389 .4826 L
.42325 .48169 L
.42196 .48002 L
.42171 .47977 L
.42051 .47784 L
.42003 .47721 L
.41915 .47591 L
.41811 .47448 L
.41777 .47399 L
.41644 .47206 L
.41618 .47171 L
.41516 .47013 L
.41425 .46887 L
.41383 .46821 L
.41255 .46628 L
.41232 .46597 L
.41143 .46435 L
.4104 .46272 L
.41027 .46242 L
F
0 .74 1 r
.4104 .454 m
.41129 .45472 L
.41232 .45563 L
.41324 .45664 L
.41425 .45772 L
.41498 .45857 L
.41618 .45971 L
.41664 .4605 L
.41811 .46225 L
.41832 .46242 L
.41979 .46435 L
.42003 .46463 L
.42134 .46628 L
.42196 .46682 L
.42288 .46821 L
.42389 .46945 L
.42458 .47013 L
.42581 .47196 L
.42589 .47206 L
.42738 .47399 L
.42774 .47431 L
.42887 .47591 L
.42967 .47693 L
.43049 .47784 L
.43159 .47951 L
.43176 .47977 L
.43326 .48169 L
.43352 .48194 L
.43472 .48362 L
.43545 .48456 L
.43628 .48555 L
.43737 .48717 L
.43755 .48747 L
.43905 .4894 L
.4393 .48964 L
.44113 .49133 L
.44123 .49229 L
.442 .49326 L
.44316 .49492 L
.44329 .49518 L
.44478 .49711 L
.44508 .49741 L
.44671 .49904 L
.44701 .50008 L
.44768 .50096 L
.44894 .50273 L
.449 .50289 L
.45047 .50482 L
.45086 .50522 L
.4523 .50674 L
.45279 .50793 L
.45333 .50867 L
.45472 .51059 L
.45472 .5106 L
.45612 .51253 L
.45664 .51308 L
.45787 .51445 L
.45857 .51583 L
.45895 .51638 L
.46035 .51831 L
.4605 .51851 L
.46174 .52023 L
.46242 .521 L
.46342 .52216 L
.46435 .52379 L
.46455 .52409 L
.46593 .52601 L
.46628 .52648 L
.46732 .52794 L
.46821 .52899 L
.46892 .52987 L
.47012 .53179 L
.47013 .53182 L
.47147 .53372 L
.47206 .53452 L
.47285 .53565 L
.47399 .53711 L
.47434 .53758 L
.47559 .5395 L
.47591 .53994 L
.47694 .54143 L
.47784 .54268 L
.47831 .54336 L
.47966 .54528 L
.47977 .54542 L
.48096 .54721 L
.48169 .54824 L
.48228 .54914 L
.48362 .55106 L
.48362 .55106 L
.48483 .55299 L
.48555 .55405 L
.48606 .55492 L
.48725 .55684 L
.48747 .55721 L
.48803 .55877 L
.48747 .55886 L
.48739 .55877 L
.48555 .55707 L
.48545 .55684 L
.48374 .55492 L
.48362 .55479 L
.48211 .55299 L
.48169 .55253 L
.4805 .55106 L
.47977 .55067 L
.47892 .54914 L
.47784 .54788 L
.47696 .54721 L
.47591 .54538 L
.47582 .54528 L
.47433 .54336 L
.47399 .54318 L
.47283 .54143 L
.47206 .54052 L
.47097 .5395 L
.47013 .53794 L
.46985 .53758 L
.46838 .53565 L
.46821 .53555 L
.46692 .53372 L
.46628 .53295 L
.46518 .53179 L
.46435 .53032 L
.46402 .52987 L
.46255 .52794 L
.46242 .52786 L
.46111 .52601 L
.4605 .52526 L
.45946 .52409 L
.45857 .52261 L
.45827 .52216 L
.4568 .52023 L
.45664 .52013 L
.45537 .51831 L
.45472 .51749 L
.45378 .51638 L
.45279 .51482 L
.45256 .51445 L
.4511 .51253 L
.45086 .51235 L
.44968 .5106 L
.44894 .50967 L
.44813 .50867 L
.44701 .50698 L
.44687 .50674 L
.44543 .50482 L
.44508 .50454 L
.44336 .50289 L
.44316 .5018 L
.44251 .50096 L
.44123 .4991 L
.4412 .49904 L
.4398 .49711 L
.4393 .49668 L
.43785 .49518 L
.43737 .49387 L
.43691 .49326 L
.43558 .49133 L
.43545 .49116 L
.4342 .4894 L
.43352 .48874 L
.43237 .48747 L
.43159 .48588 L
.43135 .48555 L
.43001 .48362 L
.42967 .48316 L
.42864 .48169 L
.42774 .48071 L
.42694 .47977 L
.42584 .47784 L
.42581 .4778 L
.4245 .47591 L
.42389 .47507 L
.42313 .47399 L
.42196 .47249 L
.42161 .47206 L
.42041 .47013 L
.42003 .46961 L
.41908 .46821 L
.41811 .46684 L
.41773 .46628 L
.4164 .46435 L
.41618 .46404 L
.41514 .46242 L
.41425 .46115 L
.41384 .4605 L
.41259 .45857 L
.41232 .45817 L
.41149 .45664 L
.4104 .45479 L
.41037 .45472 L
F
1 .94 0 r
.4104 .4041 m
.41232 .40435 L
.41274 .40462 L
.41425 .40599 L
.41492 .40654 L
.41618 .40806 L
.41677 .40847 L
.41811 .41031 L
.41824 .4104 L
.41984 .41232 L
.42003 .41255 L
.42185 .41425 L
.42196 .41509 L
.42285 .41618 L
.42389 .41769 L
.4241 .41811 L
.42568 .42003 L
.42581 .42011 L
.42747 .42196 L
.42774 .42272 L
.42849 .42389 L
.42967 .42555 L
.42974 .42581 L
.43109 .42774 L
.43159 .42861 L
.43254 .42967 L
.43159 .43144 L
.42967 .43073 L
.428 .42967 L
.42774 .42941 L
.42627 .42774 L
.42581 .42719 L
.42473 .42581 L
.42389 .4247 L
.42313 .42389 L
.42196 .42215 L
.42184 .42196 L
.42039 .42003 L
.42003 .41983 L
.41843 .41811 L
.41811 .41704 L
.41751 .41618 L
.41621 .41425 L
.41618 .41421 L
.41488 .41232 L
.41425 .41141 L
.41311 .4104 L
.41232 .40857 L
.41228 .40847 L
.4112 .40654 L
.4104 .40471 L
.41037 .40462 L
F
1 .93 0 r
.4104 .44513 m
.41232 .44692 L
.41239 .44701 L
.41413 .44894 L
.41425 .44907 L
.41579 .45086 L
.41618 .45131 L
.41741 .45279 L
.41811 .45355 L
.419 .45472 L
.42003 .45602 L
.42065 .45664 L
.42196 .45845 L
.42205 .45857 L
.4236 .4605 L
.42389 .46084 L
.42568 .46242 L
.42581 .46336 L
.42661 .46435 L
.42774 .4659 L
.42789 .46628 L
.4296 .46821 L
.42967 .46829 L
.43132 .47013 L
.43159 .47086 L
.43246 .47206 L
.43352 .47348 L
.43362 .47399 L
.43545 .47586 L
.43549 .47591 L
.43707 .47784 L
.43737 .47847 L
.43826 .47977 L
.4393 .48115 L
.43987 .48169 L
.44123 .48355 L
.44128 .48362 L
.4428 .48555 L
.44316 .48619 L
.44399 .48747 L
.44508 .48889 L
.44561 .4894 L
.44701 .49132 L
.44702 .49133 L
.4485 .49326 L
.44894 .49398 L
.44968 .49518 L
.45086 .49668 L
.45131 .49711 L
.45272 .49904 L
.45279 .49914 L
.45418 .50096 L
.45472 .50181 L
.45534 .50289 L
.45664 .5045 L
.45699 .50482 L
.45839 .50674 L
.45857 .50698 L
.45983 .50867 L
.4605 .50966 L
.46098 .5106 L
.46242 .51232 L
.46265 .51253 L
.46428 .51445 L
.46435 .51485 L
.46547 .51638 L
.46628 .51754 L
.46661 .51831 L
.46821 .52015 L
.46829 .52023 L
.46994 .52216 L
.47013 .52273 L
.4711 .52409 L
.47206 .52542 L
.47226 .52601 L
.47393 .52794 L
.47399 .52799 L
.47558 .52987 L
.47591 .53062 L
.47672 .53179 L
.47784 .53331 L
.47792 .53372 L
.47956 .53565 L
.47977 .53585 L
.4812 .53758 L
.48169 .53853 L
.48233 .5395 L
.48362 .54122 L
.48362 .54143 L
.48518 .54336 L
.48555 .54373 L
.4868 .54528 L
.48747 .54646 L
.48794 .54721 L
.4894 .54914 L
.4894 .54914 L
.49078 .55106 L
.49133 .55165 L
.49237 .55299 L
.49326 .55442 L
.49355 .55492 L
.49498 .55684 L
.49518 .55712 L
.49636 .55877 L
.49711 .55961 L
.49792 .5607 L
.49904 .56243 L
.49914 .56263 L
.50053 .56455 L
.50096 .56514 L
.50258 .56648 L
.50289 .56767 L
.50341 .56841 L
.50469 .57033 L
.50482 .57051 L
.50603 .57226 L
.50674 .57324 L
.50791 .57419 L
.50867 .5759 L
.50882 .57611 L
.51011 .57804 L
.5106 .57872 L
.51143 .57997 L
.51253 .58123 L
.51301 .58189 L
.51408 .58382 L
.51445 .58436 L
.51533 .58575 L
.51638 .58729 L
.51662 .58768 L
.51778 .5896 L
.51831 .59044 L
.51885 .59153 L
.51831 .59274 L
.51707 .59153 L
.51638 .59087 L
.51523 .5896 L
.51445 .58877 L
.5135 .58768 L
.51253 .58662 L
.51184 .58575 L
.5106 .58423 L
.51016 .58382 L
.50867 .58189 L
.50867 .58189 L
.50712 .57997 L
.50674 .57953 L
.50558 .57804 L
.50482 .57702 L
.50403 .57611 L
.50289 .57451 L
.50271 .57419 L
.50109 .57226 L
.50096 .57211 L
.49921 .57033 L
.49904 .56955 L
.49814 .56841 L
.49711 .56694 L
.4969 .56648 L
.49522 .56455 L
.49518 .56451 L
.49351 .56263 L
.49326 .56191 L
.49237 .5607 L
.49133 .55926 L
.49117 .55877 L
.48944 .55684 L
.4894 .55679 L
.48782 .55492 L
.48747 .55417 L
.48665 .55299 L
.48555 .5515 L
.48548 .55106 L
.48372 .54914 L
.48362 .54901 L
.48213 .54721 L
.48169 .54637 L
.48097 .54528 L
.47977 .5437 L
.47943 .54336 L
.47803 .54143 L
.47784 .54119 L
.47647 .5395 L
.47591 .53853 L
.47531 .53758 L
.47399 .53588 L
.47376 .53565 L
.47236 .53372 L
.47206 .53335 L
.47083 .53179 L
.47013 .53067 L
.46966 .52987 L
.46821 .52804 L
.4681 .52794 L
.4667 .52601 L
.46628 .52549 L
.46519 .52409 L
.46435 .5228 L
.46401 .52216 L
.46246 .52023 L
.46242 .52021 L
.46061 .51831 L
.4605 .51761 L
.45957 .51638 L
.45857 .51492 L
.45835 .51445 L
.45682 .51253 L
.45664 .51238 L
.455 .5106 L
.45472 .50972 L
.45395 .50867 L
.45279 .50702 L
.45269 .50674 L
.45119 .50482 L
.45086 .50453 L
.44941 .50289 L
.44894 .50181 L
.44834 .50096 L
.44701 .49911 L
.44699 .49904 L
.44557 .49711 L
.44508 .49665 L
.44384 .49518 L
.44316 .49387 L
.44274 .49326 L
.44135 .49133 L
.44123 .49117 L
.43997 .4894 L
.4393 .48873 L
.43828 .48747 L
.43737 .48591 L
.43714 .48555 L
.43576 .48362 L
.43545 .4832 L
.43438 .48169 L
.43352 .48075 L
.43276 .47977 L
.43159 .4779 L
.43156 .47784 L
.4302 .47591 L
.42967 .4752 L
.42882 .47399 L
.42774 .47268 L
.42728 .47206 L
.42603 .47013 L
.42581 .46984 L
.42468 .46821 L
.42389 .46712 L
.42271 .46628 L
.42196 .46445 L
.42188 .46435 L
.42059 .46242 L
.42003 .46166 L
.41925 .4605 L
.41811 .45891 L
.41765 .45857 L
.41657 .45664 L
.41618 .45609 L
.41529 .45472 L
.41425 .45322 L
.41398 .45279 L
.41274 .45086 L
.41232 .45025 L
.41157 .44894 L
.4104 .44704 L
.41038 .44701 L
F
.41232 .40473 m
.41425 .40624 L
.41465 .40654 L
.41618 .40823 L
.41657 .40847 L
.41811 .41038 L
.41814 .4104 L
.41972 .41232 L
.42003 .41268 L
.42181 .41425 L
.42196 .41521 L
.42277 .41618 L
.42389 .41778 L
.42405 .41811 L
.42559 .42003 L
.42581 .42017 L
.42743 .42196 L
.42774 .42283 L
.42841 .42389 L
.42967 .42572 L
.42969 .42581 L
.43096 .42774 L
.43159 .42889 L
.43227 .42967 L
.43159 .43109 L
.42967 .43055 L
.4282 .42967 L
.42774 .42924 L
.42639 .42774 L
.42581 .42706 L
.42482 .42581 L
.42389 .4246 L
.42321 .42389 L
.42196 .42207 L
.42189 .42196 L
.42046 .42003 L
.42003 .41977 L
.41848 .41811 L
.41811 .41693 L
.41758 .41618 L
.4163 .41425 L
.41618 .41408 L
.41498 .41232 L
.41425 .41126 L
.41326 .4104 L
.41245 .40847 L
.41232 .40826 L
.41143 .40654 L
F
1 .39 0 r
.41232 .46398 m
.41263 .46435 L
.41425 .46618 L
.41433 .46628 L
.4159 .46821 L
.41618 .46851 L
.41744 .47013 L
.41811 .47091 L
.41899 .47206 L
.42003 .47334 L
.42052 .47399 L
.42196 .47577 L
.42215 .47591 L
.4235 .47784 L
.42389 .47832 L
.42496 .47977 L
.42581 .48084 L
.42644 .48169 L
.42774 .48331 L
.42811 .48362 L
.42935 .48555 L
.42967 .48595 L
.43078 .48747 L
.43159 .48853 L
.43223 .4894 L
.43352 .49105 L
.43381 .49133 L
.43508 .49326 L
.43545 .49374 L
.43648 .49518 L
.43737 .49636 L
.43791 .49711 L
.4393 .49896 L
.43937 .49904 L
.44071 .50096 L
.44123 .50165 L
.4421 .50289 L
.44316 .50431 L
.44351 .50482 L
.44489 .50674 L
.44508 .507 L
.44623 .50867 L
.44701 .50972 L
.4476 .5106 L
.44894 .51244 L
.449 .51253 L
.45028 .51445 L
.45086 .51525 L
.45159 .51638 L
.45279 .51806 L
.45294 .51831 L
.45414 .52023 L
.45472 .52106 L
.45531 .52216 L
.45472 .52283 L
.45416 .52216 L
.45279 .52065 L
.45245 .52023 L
.45086 .51837 L
.45083 .51831 L
.44931 .51638 L
.44894 .51594 L
.44779 .51445 L
.44701 .51351 L
.44626 .51253 L
.44508 .51133 L
.44474 .5106 L
.44326 .50867 L
.44316 .50855 L
.44181 .50674 L
.44123 .50602 L
.44033 .50482 L
.4393 .50379 L
.43886 .50289 L
.4374 .50096 L
.43737 .50093 L
.43599 .49904 L
.43545 .49834 L
.43455 .49711 L
.43352 .49603 L
.4331 .49518 L
.43168 .49326 L
.43159 .49315 L
.43029 .49133 L
.42967 .49052 L
.42887 .4894 L
.42774 .4881 L
.42744 .48747 L
.42605 .48555 L
.42581 .48524 L
.42468 .48362 L
.42389 .48256 L
.42328 .48169 L
.42196 .47996 L
.42177 .47977 L
.42054 .47784 L
.42003 .47716 L
.41919 .47591 L
.41811 .47443 L
.41781 .47399 L
.41648 .47206 L
.41618 .47165 L
.4152 .47013 L
.41425 .4688 L
.41388 .46821 L
.41262 .46628 L
.41232 .46586 L
.41153 .46435 L
F
0 .78 1 r
.41232 .41257 m
.41384 .41425 L
.41425 .4147 L
.41543 .41618 L
.41618 .41708 L
.41695 .41811 L
.41811 .41963 L
.41839 .42003 L
.41971 .42196 L
.42003 .42244 L
.42087 .42389 L
.42003 .42521 L
.41873 .42389 L
.41811 .42323 L
.41706 .42196 L
.41618 .42089 L
.41553 .42003 L
.41425 .41857 L
.41408 .41811 L
.41277 .41618 L
.41232 .41553 L
.41155 .41425 L
F
0 .73 1 r
.41232 .45583 m
.41308 .45664 L
.41425 .45786 L
.41487 .45857 L
.41618 .45986 L
.41654 .4605 L
.41811 .46236 L
.41819 .46242 L
.41972 .46435 L
.42003 .46472 L
.42128 .46628 L
.42196 .46689 L
.42282 .46821 L
.42389 .46952 L
.42452 .47013 L
.42581 .47202 L
.42584 .47206 L
.42734 .47399 L
.42774 .47435 L
.42883 .47591 L
.42967 .47698 L
.43045 .47784 L
.43159 .47955 L
.43174 .47977 L
.43323 .48169 L
.43352 .48197 L
.43469 .48362 L
.43545 .4846 L
.43625 .48555 L
.43737 .48721 L
.43753 .48747 L
.43903 .4894 L
.4393 .48967 L
.44112 .49133 L
.44123 .49232 L
.44197 .49326 L
.44316 .49496 L
.44327 .49518 L
.44476 .49711 L
.44508 .49743 L
.44669 .49904 L
.44701 .50011 L
.44766 .50096 L
.44894 .50276 L
.44899 .50289 L
.45045 .50482 L
.45086 .50524 L
.45228 .50674 L
.45279 .50796 L
.45331 .50867 L
.4547 .5106 L
.45472 .51062 L
.4561 .51253 L
.45664 .51311 L
.45785 .51445 L
.45857 .51586 L
.45893 .51638 L
.46032 .51831 L
.4605 .51854 L
.46171 .52023 L
.46242 .52103 L
.46339 .52216 L
.46435 .52382 L
.46453 .52409 L
.46591 .52601 L
.46628 .52652 L
.46729 .52794 L
.46821 .52903 L
.46889 .52987 L
.47009 .53179 L
.47013 .53186 L
.47144 .53372 L
.47206 .53456 L
.47282 .53565 L
.47399 .53717 L
.4743 .53758 L
.47556 .5395 L
.47591 .53999 L
.4769 .54143 L
.47784 .54273 L
.47827 .54336 L
.47961 .54528 L
.47977 .54549 L
.4809 .54721 L
.48169 .54832 L
.48223 .54914 L
.48355 .55106 L
.48362 .55117 L
.48474 .55299 L
.48555 .55419 L
.48597 .55492 L
.48555 .55677 L
.48387 .55492 L
.48362 .55466 L
.48221 .55299 L
.48169 .55242 L
.48058 .55106 L
.47977 .55059 L
.47899 .54914 L
.47784 .5478 L
.47705 .54721 L
.47591 .54531 L
.47589 .54528 L
.47438 .54336 L
.47399 .54315 L
.47287 .54143 L
.47206 .54046 L
.47101 .5395 L
.47013 .53789 L
.46989 .53758 L
.46842 .53565 L
.46821 .53553 L
.46695 .53372 L
.46628 .53291 L
.46521 .53179 L
.46435 .53029 L
.46405 .52987 L
.46258 .52794 L
.46242 .52784 L
.46114 .52601 L
.4605 .52523 L
.45948 .52409 L
.45857 .52258 L
.45829 .52216 L
.45682 .52023 L
.45664 .52011 L
.4554 .51831 L
.45472 .51746 L
.4538 .51638 L
.45279 .51479 L
.45258 .51445 L
.45112 .51253 L
.45086 .51233 L
.4497 .5106 L
.44894 .50964 L
.44815 .50867 L
.44701 .50696 L
.44689 .50674 L
.44545 .50482 L
.44508 .50452 L
.44338 .50289 L
.44316 .50177 L
.44253 .50096 L
.44123 .49907 L
.44121 .49904 L
.43982 .49711 L
.4393 .49665 L
.43787 .49518 L
.43737 .49384 L
.43694 .49326 L
.4356 .49133 L
.43545 .49113 L
.43422 .4894 L
.43352 .48871 L
.43239 .48747 L
.43159 .48584 L
.43138 .48555 L
.43004 .48362 L
.42967 .48312 L
.42866 .48169 L
.42774 .48066 L
.42698 .47977 L
.42588 .47784 L
.42581 .47775 L
.42454 .47591 L
.42389 .47503 L
.42317 .47399 L
.42196 .47242 L
.42167 .47206 L
.42045 .47013 L
.42003 .46955 L
.41913 .46821 L
.41811 .46678 L
.41777 .46628 L
.41646 .46435 L
.41618 .46395 L
.41521 .46242 L
.41425 .46105 L
.41391 .4605 L
.4127 .45857 L
.41232 .45799 L
.41163 .45664 L
F
1 .38 0 r
.41232 .4641 m
.41254 .46435 L
.41425 .46626 L
.41427 .46628 L
.41584 .46821 L
.41618 .46858 L
.41739 .47013 L
.41811 .47097 L
.41894 .47206 L
.42003 .47339 L
.42048 .47399 L
.42196 .47583 L
.42207 .47591 L
.42346 .47784 L
.42389 .47836 L
.42493 .47977 L
.42581 .48089 L
.42641 .48169 L
.42774 .48335 L
.42805 .48362 L
.42932 .48555 L
.42967 .48599 L
.43075 .48747 L
.43159 .48857 L
.4322 .4894 L
.43352 .4911 L
.43376 .49133 L
.43505 .49326 L
.43545 .49377 L
.43646 .49518 L
.43737 .49639 L
.43789 .49711 L
.4393 .49901 L
.43933 .49904 L
.44068 .50096 L
.44123 .50169 L
.44207 .50289 L
.44316 .50435 L
.44348 .50482 L
.44486 .50674 L
.44508 .50704 L
.4462 .50867 L
.44701 .50977 L
.44757 .5106 L
.44894 .51249 L
.44896 .51253 L
.45024 .51445 L
.45086 .51531 L
.45155 .51638 L
.45279 .51813 L
.4529 .51831 L
.45407 .52023 L
.45472 .52118 L
.45521 .52216 L
.45472 .52271 L
.45425 .52216 L
.45279 .52057 L
.45252 .52023 L
.45089 .51831 L
.45086 .51827 L
.44937 .51638 L
.44894 .51588 L
.44783 .51445 L
.44701 .51346 L
.4463 .51253 L
.44508 .51126 L
.44478 .5106 L
.44329 .50867 L
.44316 .5085 L
.44184 .50674 L
.44123 .50598 L
.44037 .50482 L
.4393 .50374 L
.43889 .50289 L
.43743 .50096 L
.43737 .50089 L
.43602 .49904 L
.43545 .4983 L
.43458 .49711 L
.43352 .49598 L
.43313 .49518 L
.4317 .49326 L
.43159 .49311 L
.43031 .49133 L
.42967 .49048 L
.42889 .4894 L
.42774 .48805 L
.42747 .48747 L
.42608 .48555 L
.42581 .4852 L
.42471 .48362 L
.42389 .48252 L
.42331 .48169 L
.42196 .47989 L
.42183 .47977 L
.42057 .47784 L
.42003 .47711 L
.41922 .47591 L
.41811 .47438 L
.41784 .47399 L
.41653 .47206 L
.41618 .47158 L
.41525 .47013 L
.41425 .46873 L
.41392 .46821 L
.4127 .46628 L
.41232 .46573 L
.41165 .46435 L
F
0 .77 1 r
.41232 .41278 m
.41368 .41425 L
.41425 .41485 L
.41532 .41618 L
.41618 .41721 L
.41685 .41811 L
.41811 .41976 L
.4183 .42003 L
.41958 .42196 L
.42003 .42264 L
.42072 .42389 L
.42003 .425 L
.4189 .42389 L
.41811 .42308 L
.41718 .42196 L
.41618 .42076 L
.41563 .42003 L
.41425 .41831 L
.41418 .41811 L
.41289 .41618 L
.41232 .41534 L
.41168 .41425 L
F
1 .92 0 r
.41232 .40517 m
.41425 .40647 L
.41435 .40654 L
.41618 .40838 L
.41634 .40847 L
.41801 .4104 L
.41811 .41046 L
.4196 .41232 L
.42003 .41282 L
.42176 .41425 L
.42196 .41533 L
.42268 .41618 L
.42389 .41788 L
.424 .41811 L
.42551 .42003 L
.42581 .42022 L
.42738 .42196 L
.42774 .42295 L
.42833 .42389 L
.42962 .42581 L
.42967 .42589 L
.43083 .42774 L
.43159 .42923 L
.43193 .42967 L
.43159 .43065 L
.42967 .43041 L
.42841 .42967 L
.42774 .42908 L
.42651 .42774 L
.42581 .42694 L
.42491 .42581 L
.42389 .4245 L
.42329 .42389 L
.42196 .42198 L
.42194 .42196 L
.42053 .42003 L
.42003 .41971 L
.41855 .41811 L
.41811 .41682 L
.41767 .41618 L
.41639 .41425 L
.41618 .41396 L
.41508 .41232 L
.41425 .41109 L
.41343 .4104 L
.41262 .40847 L
.41232 .40794 L
.41169 .40654 L
F
1 .37 0 r
.41232 .46423 m
.41243 .46435 L
.41232 .46558 L
.4118 .46435 L
F
0 .72 1 r
.41232 .45607 m
.41289 .45664 L
.41425 .45801 L
.41474 .45857 L
.41618 .46002 L
.41645 .4605 L
.41807 .46242 L
.41811 .46246 L
.41965 .46435 L
.42003 .4648 L
.42122 .46628 L
.42196 .46695 L
.42277 .46821 L
.42389 .46959 L
.42446 .47013 L
.4258 .47206 L
.42581 .47207 L
.42729 .47399 L
.42774 .47439 L
.42879 .47591 L
.42967 .47703 L
.43041 .47784 L
.43159 .47959 L
.43171 .47977 L
.4332 .48169 L
.43352 .482 L
.43466 .48362 L
.43545 .48464 L
.43622 .48555 L
.43737 .48725 L
.43751 .48747 L
.439 .4894 L
.4393 .4897 L
.44111 .49133 L
.44123 .49235 L
.44195 .49326 L
.44316 .49499 L
.44326 .49518 L
.44473 .49711 L
.44508 .49746 L
.44668 .49904 L
.44701 .50014 L
.44764 .50096 L
.44894 .50279 L
.44898 .50289 L
.45042 .50482 L
.45086 .50527 L
.45226 .50674 L
.45279 .50799 L
.45329 .50867 L
.45468 .5106 L
.45472 .51065 L
.45608 .51253 L
.45664 .51313 L
.45783 .51445 L
.45857 .51589 L
.45891 .51638 L
.4603 .51831 L
.4605 .51857 L
.46169 .52023 L
.46242 .52106 L
.46337 .52216 L
.46435 .52386 L
.46451 .52409 L
.46588 .52601 L
.46628 .52655 L
.46727 .52794 L
.46821 .52907 L
.46885 .52987 L
.47006 .53179 L
.47013 .5319 L
.47141 .53372 L
.47206 .53461 L
.47279 .53565 L
.47399 .53722 L
.47426 .53758 L
.47552 .5395 L
.47591 .54004 L
.47686 .54143 L
.47784 .54279 L
.47823 .54336 L
.47956 .54528 L
.47977 .54556 L
.48085 .54721 L
.48169 .5484 L
.48217 .54914 L
.48347 .55106 L
.48362 .55128 L
.48465 .55299 L
.48555 .55435 L
.48586 .55492 L
.48555 .55657 L
.48402 .55492 L
.48362 .55452 L
.48231 .55299 L
.48169 .55231 L
.48066 .55106 L
.47977 .5505 L
.47906 .54914 L
.47784 .54771 L
.47715 .54721 L
.47595 .54528 L
.47591 .54524 L
.47443 .54336 L
.47399 .54312 L
.47292 .54143 L
.47206 .5404 L
.47106 .5395 L
.47013 .53784 L
.46992 .53758 L
.46846 .53565 L
.46821 .5355 L
.46699 .53372 L
.46628 .53286 L
.46524 .53179 L
.46435 .53025 L
.46408 .52987 L
.46261 .52794 L
.46242 .52782 L
.46117 .52601 L
.4605 .52519 L
.45951 .52409 L
.45857 .52254 L
.45831 .52216 L
.45685 .52023 L
.45664 .52009 L
.45542 .51831 L
.45472 .51743 L
.45382 .51638 L
.45279 .51476 L
.45259 .51445 L
.45114 .51253 L
.45086 .51232 L
.44972 .5106 L
.44894 .50961 L
.44817 .50867 L
.44701 .50693 L
.4469 .50674 L
.44547 .50482 L
.44508 .5045 L
.44339 .50289 L
.44316 .50174 L
.44255 .50096 L
.44123 .49904 L
.44123 .49904 L
.43984 .49711 L
.4393 .49663 L
.43789 .49518 L
.43737 .49381 L
.43696 .49326 L
.43562 .49133 L
.43545 .49109 L
.43424 .4894 L
.43352 .48868 L
.43242 .48747 L
.43159 .4858 L
.43141 .48555 L
.43007 .48362 L
.42967 .48308 L
.42869 .48169 L
.42774 .48062 L
.42701 .47977 L
.42591 .47784 L
.42581 .47771 L
.42457 .47591 L
.42389 .47498 L
.4232 .47399 L
.42196 .47235 L
.42172 .47206 L
.4205 .47013 L
.42003 .46949 L
.41917 .46821 L
.41811 .46671 L
.41782 .46628 L
.41653 .46435 L
.41618 .46386 L
.41528 .46242 L
.41425 .46093 L
.41399 .4605 L
.41283 .45857 L
.41232 .45778 L
.41181 .45664 L
F
0 .76 1 r
.41232 .41301 m
.41351 .41425 L
.41425 .41501 L
.41519 .41618 L
.41618 .41735 L
.41674 .41811 L
.41811 .4199 L
.4182 .42003 L
.41945 .42196 L
.42003 .42287 L
.42055 .42389 L
.42003 .42476 L
.41909 .42389 L
.41811 .42293 L
.4173 .42196 L
.41618 .42062 L
.41573 .42003 L
.41428 .41811 L
.41425 .41806 L
.41302 .41618 L
.41232 .41513 L
.41183 .41425 L
F
1 .92 0 r
.41232 .44765 m
.41363 .44894 L
.41425 .44955 L
.41543 .45086 L
.41618 .45169 L
.41712 .45279 L
.41811 .45387 L
.41875 .45472 L
.42003 .45629 L
.4204 .45664 L
.42188 .45857 L
.42196 .45859 L
.42343 .4605 L
.42389 .46104 L
.42561 .46242 L
.42581 .46354 L
.42648 .46435 L
.42774 .46603 L
.42784 .46628 L
.42949 .46821 L
.42967 .46843 L
.43127 .47013 L
.43159 .47099 L
.43238 .47206 L
.43352 .47358 L
.43359 .47399 L
.43541 .47591 L
.43545 .47597 L
.43702 .47784 L
.43737 .47857 L
.4382 .47977 L
.4393 .48122 L
.4398 .48169 L
.44122 .48362 L
.44123 .48363 L
.44276 .48555 L
.44316 .48626 L
.44395 .48747 L
.44508 .48894 L
.44556 .4894 L
.44697 .49133 L
.44701 .49138 L
.44847 .49326 L
.44894 .49403 L
.44964 .49518 L
.45086 .49672 L
.45128 .49711 L
.45268 .49904 L
.45279 .49918 L
.45415 .50096 L
.45472 .50185 L
.45531 .50289 L
.45664 .50453 L
.45696 .50482 L
.45836 .50674 L
.45857 .50702 L
.45981 .50867 L
.4605 .5097 L
.46096 .5106 L
.46242 .51235 L
.46262 .51253 L
.46427 .51445 L
.46435 .51488 L
.46545 .51638 L
.46628 .51757 L
.4666 .51831 L
.46821 .52018 L
.46827 .52023 L
.46993 .52216 L
.47013 .52276 L
.47108 .52409 L
.47206 .52545 L
.47225 .52601 L
.47391 .52794 L
.47399 .52802 L
.47557 .52987 L
.47591 .53065 L
.4767 .53179 L
.47784 .53334 L
.47791 .53372 L
.47954 .53565 L
.47977 .53588 L
.48118 .53758 L
.48169 .53856 L
.48231 .5395 L
.48362 .54125 L
.48362 .54143 L
.48515 .54336 L
.48555 .54376 L
.48677 .54528 L
.48747 .5465 L
.48792 .54721 L
.48936 .54914 L
.4894 .54919 L
.49075 .55106 L
.49133 .55169 L
.49234 .55299 L
.49326 .55447 L
.49352 .55492 L
.49494 .55684 L
.49518 .55717 L
.49632 .55877 L
.49711 .55967 L
.49787 .5607 L
.49904 .5625 L
.49911 .56263 L
.50048 .56455 L
.50096 .56521 L
.50252 .56648 L
.50289 .56777 L
.50334 .56841 L
.50461 .57033 L
.50482 .57061 L
.50596 .57226 L
.50674 .57335 L
.5078 .57419 L
.50867 .57606 L
.5087 .57611 L
.50999 .57804 L
.5106 .57889 L
.51132 .57997 L
.51253 .58155 L
.51277 .58189 L
.5139 .58382 L
.51445 .58463 L
.51513 .58575 L
.51638 .58766 L
.51639 .58768 L
.51736 .5896 L
.51638 .59032 L
.51568 .5896 L
.51445 .58837 L
.51383 .58768 L
.51253 .58629 L
.51211 .58575 L
.5106 .58397 L
.51043 .58382 L
.50887 .58189 L
.50867 .58186 L
.50729 .57997 L
.50674 .57935 L
.50573 .57804 L
.50482 .57685 L
.50415 .57611 L
.50289 .57438 L
.50278 .57419 L
.5012 .57226 L
.50096 .57198 L
.49924 .57033 L
.49904 .56943 L
.49822 .56841 L
.49711 .56685 L
.49694 .56648 L
.49529 .56455 L
.49518 .56442 L
.49355 .56263 L
.49326 .56182 L
.49242 .5607 L
.49133 .55919 L
.49119 .55877 L
.48949 .55684 L
.4894 .55673 L
.48785 .55492 L
.48747 .5541 L
.48669 .55299 L
.48555 .55145 L
.48548 .55106 L
.48376 .54914 L
.48362 .54897 L
.48216 .54721 L
.48169 .54632 L
.481 .54528 L
.47977 .54366 L
.47947 .54336 L
.47806 .54143 L
.47784 .54116 L
.4765 .5395 L
.47591 .53849 L
.47533 .53758 L
.47399 .53585 L
.47379 .53565 L
.47238 .53372 L
.47206 .53332 L
.47085 .53179 L
.47013 .53064 L
.46967 .52987 L
.46821 .52802 L
.46813 .52794 L
.46672 .52601 L
.46628 .52546 L
.46521 .52409 L
.46435 .52277 L
.46402 .52216 L
.46248 .52023 L
.46242 .52019 L
.46062 .51831 L
.4605 .51758 L
.45959 .51638 L
.45857 .51489 L
.45837 .51445 L
.45684 .51253 L
.45664 .51236 L
.45502 .5106 L
.45472 .50969 L
.45397 .50867 L
.45279 .50699 L
.4527 .50674 L
.45122 .50482 L
.45086 .5045 L
.44943 .50289 L
.44894 .50177 L
.44836 .50096 L
.44701 .49907 L
.447 .49904 L
.4456 .49711 L
.44508 .49662 L
.44386 .49518 L
.44316 .49383 L
.44276 .49326 L
.44138 .49133 L
.44123 .49113 L
.44 .4894 L
.4393 .48869 L
.43831 .48747 L
.43737 .48586 L
.43717 .48555 L
.4358 .48362 L
.43545 .48315 L
.43442 .48169 L
.43352 .48069 L
.4328 .47977 L
.4316 .47784 L
.43159 .47783 L
.43025 .47591 L
.42967 .47513 L
.42887 .47399 L
.42774 .47259 L
.42735 .47206 L
.4261 .47013 L
.42581 .46975 L
.42475 .46821 L
.42389 .46702 L
.42282 .46628 L
.42199 .46435 L
.42196 .46431 L
.42069 .46242 L
.42003 .46152 L
.41935 .4605 L
.41811 .45874 L
.41787 .45857 L
.41673 .45664 L
.41618 .45587 L
.41546 .45472 L
.41425 .45293 L
.41416 .45279 L
.41303 .45086 L
.41232 .44973 L
.41194 .44894 L
F
0 .75 1 r
.41232 .41329 m
.4133 .41425 L
.41425 .41518 L
.41506 .41618 L
.41618 .4175 L
.41663 .41811 L
.41809 .42003 L
.41811 .42005 L
.4193 .42196 L
.42003 .42316 L
.42035 .42389 L
.42003 .42447 L
.41932 .42389 L
.41811 .42276 L
.41744 .42196 L
.41618 .42048 L
.41584 .42003 L
.41442 .41811 L
.41425 .41789 L
.41316 .41618 L
.41232 .41487 L
.412 .41425 L
F
1 .91 0 r
.41232 .40571 m
.41397 .40654 L
.41425 .40674 L
.4161 .40847 L
.41618 .40854 L
.41786 .4104 L
.41811 .41055 L
.41948 .41232 L
.42003 .41295 L
.42169 .41425 L
.42196 .41545 L
.42259 .41618 L
.42389 .41798 L
.42395 .41811 L
.42543 .42003 L
.42581 .42029 L
.42732 .42196 L
.42774 .42308 L
.42824 .42389 L
.42951 .42581 L
.42967 .42605 L
.4307 .42774 L
.43155 .42967 L
.42967 .43028 L
.42864 .42967 L
.42774 .42894 L
.42664 .42774 L
.42581 .42682 L
.425 .42581 L
.42389 .4244 L
.42338 .42389 L
.42202 .42196 L
.42196 .42189 L
.42061 .42003 L
.42003 .41963 L
.41862 .41811 L
.41811 .41669 L
.41775 .41618 L
.41648 .41425 L
.41618 .41382 L
.41518 .41232 L
.41425 .41092 L
.41362 .4104 L
.41281 .40847 L
.41232 .40749 L
.412 .40654 L
F
0 .96 1 r
.41232 .43862 m
.41365 .4393 L
.41425 .43983 L
.41557 .44123 L
.41618 .44191 L
.41717 .44316 L
.41811 .4443 L
.41868 .44508 L
.42003 .44677 L
.42015 .44701 L
.42154 .44894 L
.42196 .44951 L
.42288 .45086 L
.42389 .45212 L
.42423 .45279 L
.42556 .45472 L
.42581 .45487 L
.42687 .45664 L
.42774 .45787 L
.42842 .45857 L
.42956 .4605 L
.42967 .4606 L
.43096 .46242 L
.43159 .46327 L
.43259 .46435 L
.43352 .46587 L
.43372 .46628 L
.43532 .46821 L
.43545 .46837 L
.43683 .47013 L
.43737 .47093 L
.43808 .47206 L
.4393 .47357 L
.43986 .47399 L
.44123 .47578 L
.44134 .47591 L
.44297 .47784 L
.44316 .47834 L
.44408 .47977 L
.44508 .48108 L
.44585 .48169 L
.44701 .48325 L
.4473 .48362 L
.44881 .48555 L
.44894 .48584 L
.45005 .48747 L
.45086 .48858 L
.45104 .4894 L
.45279 .4909 L
.45313 .49133 L
.45459 .49326 L
.45472 .49352 L
.45585 .49518 L
.45664 .49625 L
.45686 .49711 L
.45857 .49866 L
.45886 .49904 L
.46032 .50096 L
.4605 .5013 L
.46155 .50289 L
.46242 .50404 L
.46315 .50482 L
.46435 .50648 L
.46456 .50674 L
.466 .50867 L
.46628 .50914 L
.4672 .5106 L
.46821 .51188 L
.46883 .51253 L
.47013 .51433 L
.47022 .51445 L
.47166 .51638 L
.47206 .517 L
.47283 .51831 L
.47399 .51973 L
.47449 .52023 L
.47588 .52216 L
.47591 .52221 L
.47731 .52409 L
.47784 .52488 L
.47845 .52601 L
.47977 .52759 L
.48014 .52794 L
.48167 .52987 L
.48169 .53008 L
.48294 .53179 L
.48362 .53277 L
.48406 .53372 L
.48555 .53544 L
.48578 .53565 L
.48736 .53758 L
.48747 .53797 L
.48856 .5395 L
.4894 .54066 L
.48969 .54143 L
.49133 .54328 L
.49141 .54336 L
.49302 .54528 L
.49326 .54586 L
.49418 .54721 L
.49518 .54856 L
.49533 .54914 L
.49704 .55106 L
.49711 .55113 L
.49865 .55299 L
.49904 .55377 L
.4998 .55492 L
.50096 .55646 L
.50099 .55684 L
.50266 .55877 L
.50289 .559 L
.50426 .5607 L
.50482 .56168 L
.50541 .56263 L
.50674 .56438 L
.50688 .56455 L
.50827 .56648 L
.50867 .56688 L
.50986 .56841 L
.5106 .56962 L
.51101 .57033 L
.51248 .57226 L
.51253 .57232 L
.51386 .57419 L
.51445 .57481 L
.51543 .57611 L
.51638 .5776 L
.51662 .57804 L
.51805 .57997 L
.51831 .58031 L
.5201 .58189 L
.52023 .58281 L
.52096 .58382 L
.52216 .58564 L
.52221 .58575 L
.52359 .58768 L
.52409 .58836 L
.52554 .5896 L
.52601 .59092 L
.52643 .59153 L
.52771 .59346 L
.52794 .59377 L
.52905 .59538 L
.52987 .59652 L
.53082 .59731 L
.53177 .59924 L
.53179 .59927 L
.53305 .60116 L
.53372 .60211 L
.53436 .60309 L
.53565 .60492 L
.53571 .60502 L
.53687 .60694 L
.53758 .60801 L
.53807 .60887 L
.53917 .6108 L
.5395 .61141 L
.5397 .61273 L
.5395 .61278 L
.53942 .61273 L
.53758 .6112 L
.53719 .6108 L
.53565 .60924 L
.53536 .60887 L
.53372 .60703 L
.53362 .60694 L
.532 .60502 L
.53179 .60498 L
.53039 .60309 L
.52987 .6025 L
.52881 .60116 L
.52794 .60004 L
.52719 .59924 L
.52601 .59758 L
.52584 .59731 L
.52423 .59538 L
.52409 .59522 L
.52222 .59346 L
.52216 .59268 L
.52122 .59153 L
.52023 .59009 L
.51997 .5896 L
.51831 .58768 L
.5183 .58768 L
.51655 .58575 L
.51638 .58511 L
.51541 .58382 L
.51445 .58245 L
.51422 .58189 L
.51253 .57997 L
.51249 .57997 L
.51085 .57804 L
.5106 .5774 L
.50967 .57611 L
.50867 .57472 L
.50852 .57419 L
.50675 .57226 L
.50674 .57225 L
.50516 .57033 L
.50482 .56961 L
.50398 .56841 L
.50289 .56692 L
.50284 .56648 L
.50105 .56455 L
.50096 .56444 L
.49949 .56263 L
.49904 .56178 L
.49832 .5607 L
.49711 .5591 L
.49678 .55877 L
.49538 .55684 L
.49518 .5566 L
.49384 .55492 L
.49326 .55393 L
.49267 .55299 L
.49133 .55127 L
.49112 .55106 L
.48972 .54914 L
.4894 .54874 L
.48819 .54721 L
.48747 .54606 L
.48702 .54528 L
.48555 .54344 L
.48547 .54336 L
.48363 .54143 L
.48362 .54087 L
.48256 .5395 L
.48169 .53818 L
.48138 .53758 L
.47982 .53565 L
.47977 .5356 L
.478 .53372 L
.47784 .53299 L
.47694 .53179 L
.47591 .5303 L
.47572 .52987 L
.47419 .52794 L
.47399 .52776 L
.47239 .52601 L
.47206 .5251 L
.47132 .52409 L
.47013 .5224 L
.47005 .52216 L
.46856 .52023 L
.46821 .51991 L
.46679 .51831 L
.46628 .51719 L
.4657 .51638 L
.46435 .5145 L
.46434 .51445 L
.46293 .51253 L
.46242 .51203 L
.46121 .5106 L
.4605 .50927 L
.46009 .50867 L
.4587 .50674 L
.45857 .50658 L
.45731 .50482 L
.45664 .50413 L
.45564 .50289 L
.45472 .50133 L
.45448 .50096 L
.45309 .49904 L
.45279 .49864 L
.4517 .49711 L
.45086 .49619 L
.45008 .49518 L
.44894 .49337 L
.44887 .49326 L
.44749 .49133 L
.44701 .49068 L
.4461 .4894 L
.44508 .4882 L
.44454 .48747 L
.44328 .48555 L
.44316 .48538 L
.44192 .48362 L
.44123 .48269 L
.44053 .48169 L
.4393 .48013 L
.43904 .47977 L
.43775 .47784 L
.43737 .47734 L
.43639 .47591 L
.43545 .47464 L
.43455 .47399 L
.4336 .47206 L
.43352 .47195 L
.43229 .47013 L
.43159 .46919 L
.43093 .46821 L
.42967 .46657 L
.42944 .46628 L
.42825 .46435 L
.42774 .46366 L
.42694 .46242 L
.42581 .46084 L
.42559 .4605 L
.42429 .45857 L
.42389 .458 L
.42301 .45664 L
.42196 .45532 L
.42169 .45472 L
.42038 .45279 L
.42003 .45229 L
.41909 .45086 L
.41811 .44958 L
.41752 .44894 L
.41647 .44701 L
.41618 .44657 L
.4152 .44508 L
.41425 .4436 L
.41397 .44316 L
.41285 .44123 L
.41232 .44012 L
.41203 .4393 L
F
0 .71 1 r
.41232 .45637 m
.41263 .45664 L
.41425 .45817 L
.41461 .45857 L
.41618 .4602 L
.41635 .4605 L
.41798 .46242 L
.41811 .46256 L
.41957 .46435 L
.42003 .46489 L
.42115 .46628 L
.42196 .46702 L
.42271 .46821 L
.42389 .46966 L
.4244 .47013 L
.42575 .47206 L
.42581 .47214 L
.42725 .47399 L
.42774 .47444 L
.42875 .47591 L
.42967 .47708 L
.43037 .47784 L
.43159 .47964 L
.43168 .47977 L
.43316 .48169 L
.43352 .48203 L
.43463 .48362 L
.43545 .48468 L
.43619 .48555 L
.43737 .48728 L
.43749 .48747 L
.43897 .4894 L
.4393 .48972 L
.44109 .49133 L
.44123 .49239 L
.44193 .49326 L
.44316 .49502 L
.44324 .49518 L
.44471 .49711 L
.44508 .49748 L
.44666 .49904 L
.44701 .50017 L
.44761 .50096 L
.44894 .50282 L
.44897 .50289 L
.4504 .50482 L
.45086 .50529 L
.45224 .50674 L
.45279 .50802 L
.45327 .50867 L
.45465 .5106 L
.45472 .51068 L
.45605 .51253 L
.45664 .51316 L
.45781 .51445 L
.45857 .51592 L
.45889 .51638 L
.46028 .51831 L
.4605 .5186 L
.46167 .52023 L
.46242 .52109 L
.46334 .52216 L
.46435 .52389 L
.46448 .52409 L
.46585 .52601 L
.46628 .52659 L
.46724 .52794 L
.46821 .52911 L
.46882 .52987 L
.47003 .53179 L
.47013 .53194 L
.47138 .53372 L
.47206 .53465 L
.47276 .53565 L
.47399 .53728 L
.47422 .53758 L
.47548 .5395 L
.47591 .54009 L
.47682 .54143 L
.47784 .54285 L
.47819 .54336 L
.47951 .54528 L
.47977 .54564 L
.4808 .54721 L
.48169 .54849 L
.48211 .54914 L
.48339 .55106 L
.48362 .5514 L
.48455 .55299 L
.48555 .55454 L
.48575 .55492 L
.48555 .55634 L
.48418 .55492 L
.48362 .55438 L
.48242 .55299 L
.48169 .5522 L
.48075 .55106 L
.47977 .5504 L
.47913 .54914 L
.47784 .54762 L
.47726 .54721 L
.47601 .54528 L
.47591 .54517 L
.47449 .54336 L
.47399 .54308 L
.47297 .54143 L
.47206 .54035 L
.47111 .5395 L
.47013 .53778 L
.46996 .53758 L
.4685 .53565 L
.46821 .53548 L
.46702 .53372 L
.46628 .53282 L
.46527 .53179 L
.46435 .53021 L
.4641 .52987 L
.46264 .52794 L
.46242 .5278 L
.4612 .52601 L
.4605 .52516 L
.45953 .52409 L
.45857 .52251 L
.45833 .52216 L
.45688 .52023 L
.45664 .52007 L
.45544 .51831 L
.45472 .5174 L
.45384 .51638 L
.45279 .51473 L
.45261 .51445 L
.45116 .51253 L
.45086 .5123 L
.44974 .5106 L
.44894 .50958 L
.44819 .50867 L
.44701 .5069 L
.44692 .50674 L
.44549 .50482 L
.44508 .50448 L
.44341 .50289 L
.44316 .50171 L
.44257 .50096 L
.44125 .49904 L
.44123 .49901 L
.43986 .49711 L
.4393 .4966 L
.43791 .49518 L
.43737 .49377 L
.43698 .49326 L
.43565 .49133 L
.43545 .49106 L
.43427 .4894 L
.43352 .48865 L
.43245 .48747 L
.43159 .48577 L
.43144 .48555 L
.43009 .48362 L
.42967 .48305 L
.42872 .48169 L
.42774 .48057 L
.42705 .47977 L
.42594 .47784 L
.42581 .47767 L
.4246 .47591 L
.42389 .47493 L
.42323 .47399 L
.42196 .47228 L
.42178 .47206 L
.42054 .47013 L
.42003 .46943 L
.41922 .46821 L
.41811 .46664 L
.41787 .46628 L
.41659 .46435 L
.41618 .46377 L
.41535 .46242 L
.41425 .46081 L
.41407 .4605 L
.41297 .45857 L
.41232 .45748 L
.41205 .45664 L
F
1 .4 0 r
.41232 .47979 m
.4135 .48169 L
.41425 .48271 L
.41476 .48362 L
.41425 .48421 L
.41379 .48362 L
.41232 .48192 L
.41215 .48169 L
F
0 .74 1 r
.41232 .4137 m
.41301 .41425 L
.41425 .41538 L
.41491 .41618 L
.41618 .41765 L
.41651 .41811 L
.41794 .42003 L
.41811 .42025 L
.41914 .42196 L
.42003 .42366 L
.42008 .42389 L
.42003 .42401 L
.41972 .42389 L
.41811 .42257 L
.41759 .42196 L
.41618 .42032 L
.41596 .42003 L
.41456 .41811 L
.41425 .41769 L
.41332 .41618 L
.41232 .41452 L
.41221 .41425 L
F
1 .39 0 r
.41232 .4799 m
.41339 .48169 L
.41425 .48286 L
.41465 .48362 L
.41425 .48406 L
.41391 .48362 L
.41232 .48181 L
.41223 .48169 L
F
1 .38 0 r
.41232 .48003 m
.41326 .48169 L
.41425 .48306 L
.4145 .48362 L
.41425 .48387 L
.41405 .48362 L
.41232 .4817 L
.41232 .48169 L
F
0 .71 1 r
.41232 .48831 m
.41258 .4894 L
.41232 .4894 L
.41232 .4894 L
F
1 .99 0 r
.41425 .43322 m
.41618 .43334 L
.41663 .43352 L
.41811 .4346 L
.41909 .43545 L
.42003 .43703 L
.4203 .43737 L
.4217 .4393 L
.42196 .43957 L
.42311 .44123 L
.42389 .44219 L
.42484 .44316 L
.42581 .44485 L
.42599 .44508 L
.42737 .44701 L
.42774 .4475 L
.42876 .44894 L
.42967 .44993 L
.4304 .45086 L
.43159 .45276 L
.43161 .45279 L
.43297 .45472 L
.43352 .45546 L
.43495 .45664 L
.43545 .45785 L
.43586 .45857 L
.43713 .4605 L
.43737 .46084 L
.43892 .46242 L
.4393 .46378 L
.43968 .46435 L
.44043 .46628 L
.44098 .46821 L
.44123 .4691 L
.4419 .47013 L
.44307 .47206 L
.44316 .47216 L
.44452 .47399 L
.44508 .47467 L
.44611 .47591 L
.44701 .47698 L
.44778 .47784 L
.44894 .47919 L
.44949 .47977 L
.45086 .48135 L
.4512 .48169 L
.45279 .48353 L
.45289 .48362 L
.45458 .48555 L
.45472 .48572 L
.45625 .48747 L
.45664 .48799 L
.45785 .4894 L
.45857 .49037 L
.45937 .49133 L
.4605 .49288 L
.46081 .49326 L
.46215 .49518 L
.46242 .4956 L
.46315 .49711 L
.46435 .49798 L
.46517 .49904 L
.46628 .50059 L
.46657 .50096 L
.46793 .50289 L
.46821 .50329 L
.46907 .50482 L
.47013 .50618 L
.47085 .50674 L
.47206 .50844 L
.47223 .50867 L
.47358 .5106 L
.47399 .51117 L
.47464 .51253 L
.47591 .51402 L
.4765 .51445 L
.47784 .51633 L
.47787 .51638 L
.47918 .51831 L
.47977 .51909 L
.48013 .52023 L
.48169 .52193 L
.48214 .52216 L
.48353 .52409 L
.48362 .52424 L
.48477 .52601 L
.48555 .52701 L
.48638 .52794 L
.48747 .52979 L
.48777 .52987 L
.48918 .53179 L
.4894 .53215 L
.49036 .53372 L
.49133 .53491 L
.49202 .53565 L
.49326 .53738 L
.49341 .53758 L
.49481 .5395 L
.49518 .54006 L
.49595 .54143 L
.49711 .5428 L
.49765 .54336 L
.49904 .54528 L
.49904 .54528 L
.50044 .54721 L
.50096 .54796 L
.50155 .54914 L
.50289 .55067 L
.50329 .55106 L
.50477 .55299 L
.50482 .55317 L
.50606 .55492 L
.50674 .55586 L
.50716 .55684 L
.50867 .55853 L
.50892 .55877 L
.51046 .5607 L
.5106 .56106 L
.51168 .56263 L
.51253 .56375 L
.51277 .56455 L
.51445 .56639 L
.51455 .56648 L
.51611 .56841 L
.51638 .56896 L
.5173 .57033 L
.51831 .57165 L
.5184 .57226 L
.52018 .57419 L
.52023 .57423 L
.52175 .57611 L
.52216 .57685 L
.52292 .57804 L
.52409 .57955 L
.52442 .57997 L
.52581 .58189 L
.52601 .58209 L
.52738 .58382 L
.52794 .58476 L
.52853 .58575 L
.52987 .58745 L
.53004 .58768 L
.53144 .5896 L
.53179 .58995 L
.53299 .59153 L
.53372 .59267 L
.53416 .59346 L
.53565 .59536 L
.53566 .59538 L
.53705 .59731 L
.53758 .59784 L
.53859 .59924 L
.5395 .6006 L
.53978 .60116 L
.54127 .60309 L
.54143 .6033 L
.54319 .60502 L
.54336 .60577 L
.54418 .60694 L
.54528 .60857 L
.54542 .60887 L
.54686 .6108 L
.54721 .61127 L
.54874 .61273 L
.54914 .61375 L
.54974 .61465 L
.55106 .61658 L
.55106 .61658 L
.55242 .61851 L
.55299 .61928 L
.55423 .62043 L
.55492 .62184 L
.55525 .62236 L
.55657 .62429 L
.55684 .62466 L
.55792 .62621 L
.55877 .62739 L
.5596 .62814 L
.56068 .63007 L
.5607 .6301 L
.56198 .63199 L
.56263 .6329 L
.56331 .63392 L
.56455 .63559 L
.56472 .63585 L
.5659 .63778 L
.56648 .63862 L
.56714 .6397 L
.56838 .64163 L
.56841 .64167 L
.56936 .64356 L
.56841 .64463 L
.56726 .64356 L
.56648 .64283 L
.56536 .64163 L
.56455 .64083 L
.56361 .6397 L
.56263 .63851 L
.56172 .63778 L
.5607 .63615 L
.56042 .63585 L
.55879 .63392 L
.55877 .6339 L
.55724 .63199 L
.55684 .63145 L
.5556 .63007 L
.55492 .6289 L
.55438 .62814 L
.55299 .62632 L
.55269 .62621 L
.55122 .62429 L
.55106 .62406 L
.54972 .62236 L
.54914 .62141 L
.54852 .62043 L
.54721 .61869 L
.5468 .61851 L
.54537 .61658 L
.54528 .61644 L
.54393 .61465 L
.54336 .61374 L
.54278 .61273 L
.54143 .61096 L
.54103 .6108 L
.53953 .60887 L
.5395 .6087 L
.53822 .60694 L
.53758 .60596 L
.5371 .60502 L
.53565 .60319 L
.53532 .60309 L
.53381 .60116 L
.53372 .60088 L
.53255 .59924 L
.53179 .59813 L
.53147 .59731 L
.52987 .59568 L
.52964 .59538 L
.52812 .59346 L
.52794 .59302 L
.5269 .59153 L
.52601 .59027 L
.52584 .5896 L
.52409 .58781 L
.52399 .58768 L
.52246 .58575 L
.52216 .58514 L
.52127 .58382 L
.52023 .58241 L
.52021 .58189 L
.51834 .57997 L
.51831 .57992 L
.51681 .57804 L
.51638 .57725 L
.51564 .57611 L
.51445 .57455 L
.51409 .57419 L
.51269 .57226 L
.51253 .57204 L
.51117 .57033 L
.5106 .56936 L
.51001 .56841 L
.50867 .56669 L
.50845 .56648 L
.50705 .56455 L
.50674 .56416 L
.50554 .56263 L
.50482 .56147 L
.50438 .5607 L
.50289 .55885 L
.50281 .55877 L
.50102 .55684 L
.50096 .55628 L
.49992 .55492 L
.49904 .55359 L
.49874 .55299 L
.49717 .55106 L
.49711 .55101 L
.49538 .54914 L
.49518 .54839 L
.4943 .54721 L
.49326 .5457 L
.49308 .54528 L
.49154 .54336 L
.49133 .54316 L
.48977 .54143 L
.4894 .54049 L
.48868 .5395 L
.48747 .53781 L
.4874 .53758 L
.48591 .53565 L
.48555 .53531 L
.48416 .53372 L
.48362 .5326 L
.48306 .53179 L
.48169 .52991 L
.48169 .52987 L
.48028 .52794 L
.47977 .52743 L
.47857 .52601 L
.47784 .52469 L
.47744 .52409 L
.47603 .52216 L
.47591 .522 L
.47464 .52023 L
.47399 .51954 L
.47298 .51831 L
.47206 .51677 L
.47181 .51638 L
.47041 .51445 L
.47013 .51409 L
.46901 .51253 L
.46821 .51163 L
.4674 .5106 L
.46628 .50885 L
.46617 .50867 L
.46478 .50674 L
.46435 .50618 L
.46339 .50482 L
.46242 .5037 L
.46181 .50289 L
.46053 .50096 L
.4605 .50092 L
.45916 .49904 L
.45857 .49826 L
.45713 .49711 L
.45664 .49577 L
.45622 .49518 L
.45492 .49326 L
.45472 .49299 L
.45354 .49133 L
.45279 .49034 L
.45149 .4894 L
.45086 .48782 L
.45062 .48747 L
.44931 .48555 L
.44894 .48506 L
.44793 .48362 L
.44701 .48241 L
.44651 .48169 L
.44508 .47981 L
.44505 .47977 L
.44372 .47784 L
.44316 .47711 L
.44234 .47591 L
.44123 .47445 L
.44091 .47399 L
.43952 .47206 L
.4393 .47178 L
.43819 .47013 L
.43737 .46906 L
.43681 .46821 L
.43545 .46639 L
.43534 .46628 L
.43404 .46435 L
.43352 .46364 L
.43245 .46242 L
.43159 .46097 L
.43125 .4605 L
.42977 .45857 L
.42967 .45832 L
.42844 .45664 L
.42774 .45566 L
.42716 .45472 L
.42581 .453 L
.42564 .45279 L
.42424 .45086 L
.42389 .45035 L
.42301 .44894 L
.42196 .44765 L
.4214 .44701 L
.42003 .44509 L
.42002 .44508 L
.4187 .44316 L
.41811 .44245 L
.41757 .44123 L
.41618 .43975 L
.41583 .4393 L
.41446 .43737 L
.41425 .43699 L
.4133 .43545 L
.41273 .43352 L
F
0 .99 1 r
.41425 .40019 m
.41618 .40052 L
.41678 .40076 L
.41811 .40174 L
.41878 .40269 L
.42003 .40381 L
.4207 .40462 L
.42196 .40623 L
.4222 .40654 L
.42368 .40847 L
.42389 .40891 L
.42491 .4104 L
.42581 .41131 L
.42657 .41232 L
.42774 .41393 L
.42798 .41425 L
.4294 .41618 L
.42967 .41663 L
.43058 .41811 L
.43159 .41943 L
.43225 .42003 L
.43352 .42181 L
.43363 .42196 L
.43504 .42389 L
.43545 .4244 L
.43617 .42581 L
.43737 .42703 L
.43786 .42774 L
.43929 .42967 L
.4393 .42981 L
.44048 .43159 L
.4393 .43264 L
.43737 .43272 L
.43552 .43352 L
.43733 .43545 L
.43737 .43549 L
.43896 .43737 L
.4393 .43804 L
.44014 .4393 L
.44123 .44067 L
.44127 .44123 L
.44303 .44316 L
.44316 .44332 L
.44461 .44508 L
.44508 .44602 L
.44577 .44701 L
.44701 .44868 L
.44728 .44894 L
.44868 .45086 L
.44894 .45113 L
.45024 .45279 L
.45086 .45379 L
.4514 .45472 L
.45279 .45648 L
.45291 .45664 L
.45431 .45857 L
.45472 .45914 L
.45585 .4605 L
.45664 .4618 L
.45702 .46242 L
.4585 .46435 L
.45857 .46447 L
.45958 .46628 L
.45857 .46633 L
.45664 .46636 L
.45501 .46628 L
.45472 .46624 L
.45279 .46477 L
.4525 .46435 L
.45098 .46242 L
.45086 .46218 L
.44971 .4605 L
.44894 .45958 L
.44867 .45857 L
.44701 .45693 L
.4468 .45664 L
.4453 .45472 L
.44508 .45425 L
.44408 .45279 L
.44316 .45153 L
.44306 .45086 L
.44123 .44897 L
.44116 .44894 L
.43965 .44701 L
.4393 .44645 L
.43847 .44508 L
.43737 .44377 L
.43692 .44316 L
.43553 .44123 L
.43545 .44111 L
.43402 .4393 L
.43352 .43843 L
.43287 .43737 L
.43159 .43575 L
.43135 .43545 L
.43021 .43352 L
.43159 .43301 L
.43352 .43294 L
.43472 .43159 L
.43352 .43004 L
.43338 .42967 L
.43184 .42774 L
.43159 .42738 L
.43005 .42581 L
.42967 .42473 L
.42896 .42389 L
.42774 .42213 L
.42768 .42196 L
.42619 .42003 L
.42581 .41975 L
.42444 .41811 L
.42389 .41701 L
.42334 .41618 L
.42196 .41426 L
.42196 .41425 L
.42058 .41232 L
.42003 .41158 L
.41887 .4104 L
.41811 .40919 L
.41776 .40847 L
.4164 .40654 L
.41618 .40624 L
.41506 .40462 L
.41425 .40341 L
.41354 .40269 L
.41294 .40076 L
F
1 .9 0 r
.41425 .40703 m
.41587 .40847 L
.41618 .40875 L
.4177 .4104 L
.41811 .41065 L
.41935 .41232 L
.42003 .41308 L
.42161 .41425 L
.42196 .41557 L
.4225 .41618 L
.42389 .41807 L
.4239 .41811 L
.42534 .42003 L
.42581 .42036 L
.42725 .42196 L
.42774 .42322 L
.42815 .42389 L
.42941 .42581 L
.42967 .42623 L
.43056 .42774 L
.43126 .42967 L
.42967 .43014 L
.4289 .42967 L
.42774 .4288 L
.42677 .42774 L
.42581 .42671 L
.4251 .42581 L
.42389 .4243 L
.42347 .42389 L
.42209 .42196 L
.42196 .42178 L
.42068 .42003 L
.42003 .41955 L
.4187 .41811 L
.41811 .41657 L
.41784 .41618 L
.41657 .41425 L
.41618 .41368 L
.41529 .41232 L
.41425 .41073 L
.41385 .4104 L
.41302 .40847 L
F
0 .7 1 r
.41425 .45834 m
.41446 .45857 L
.41618 .46039 L
.41624 .4605 L
.41789 .46242 L
.41811 .46266 L
.4195 .46435 L
.42003 .46497 L
.42108 .46628 L
.42196 .4671 L
.42265 .46821 L
.42389 .46973 L
.42433 .47013 L
.4257 .47206 L
.42581 .4722 L
.4272 .47399 L
.42774 .47448 L
.42871 .47591 L
.42967 .47713 L
.43033 .47784 L
.43159 .47968 L
.43165 .47977 L
.43313 .48169 L
.43352 .48207 L
.4346 .48362 L
.43545 .48472 L
.43616 .48555 L
.43737 .48732 L
.43747 .48747 L
.43894 .4894 L
.4393 .48975 L
.44108 .49133 L
.44123 .49242 L
.4419 .49326 L
.44316 .49505 L
.44322 .49518 L
.44469 .49711 L
.44508 .49751 L
.44664 .49904 L
.44701 .5002 L
.44759 .50096 L
.44894 .50285 L
.44895 .50289 L
.45038 .50482 L
.45086 .50532 L
.45222 .50674 L
.45279 .50805 L
.45325 .50867 L
.45463 .5106 L
.45472 .51071 L
.45603 .51253 L
.45664 .51319 L
.45779 .51445 L
.45857 .51596 L
.45887 .51638 L
.46025 .51831 L
.4605 .51863 L
.46164 .52023 L
.46242 .52112 L
.46331 .52216 L
.46435 .52393 L
.46446 .52409 L
.46583 .52601 L
.46628 .52662 L
.46722 .52794 L
.46821 .52915 L
.46879 .52987 L
.47 .53179 L
.47013 .53198 L
.47135 .53372 L
.47206 .53469 L
.47273 .53565 L
.47399 .53734 L
.47417 .53758 L
.47544 .5395 L
.47591 .54015 L
.47678 .54143 L
.47784 .54291 L
.47815 .54336 L
.47946 .54528 L
.47977 .54571 L
.48074 .54721 L
.48169 .54858 L
.48205 .54914 L
.4833 .55106 L
.48362 .55153 L
.48445 .55299 L
.48555 .55476 L
.48562 .55492 L
.48555 .55604 L
.48438 .55492 L
.48362 .55422 L
.48254 .55299 L
.48169 .55209 L
.48084 .55106 L
.47977 .55028 L
.4792 .54914 L
.47784 .54753 L
.47738 .54721 L
.47607 .54528 L
.47591 .5451 L
.47454 .54336 L
.47399 .54304 L
.47301 .54143 L
.47206 .54029 L
.47117 .5395 L
.47013 .53773 L
.47 .53758 L
.46853 .53565 L
.46821 .53545 L
.46706 .53372 L
.46628 .53278 L
.46531 .53179 L
.46435 .53017 L
.46413 .52987 L
.46267 .52794 L
.46242 .52778 L
.46122 .52601 L
.4605 .52512 L
.45956 .52409 L
.45857 .52248 L
.45836 .52216 L
.4569 .52023 L
.45664 .52005 L
.45547 .51831 L
.45472 .51737 L
.45387 .51638 L
.45279 .5147 L
.45263 .51445 L
.45119 .51253 L
.45086 .51228 L
.44977 .5106 L
.44894 .50955 L
.44821 .50867 L
.44701 .50687 L
.44694 .50674 L
.44552 .50482 L
.44508 .50446 L
.44342 .50289 L
.44316 .50168 L
.44259 .50096 L
.44127 .49904 L
.44123 .49898 L
.43988 .49711 L
.4393 .49658 L
.43794 .49518 L
.43737 .49374 L
.43701 .49326 L
.43567 .49133 L
.43545 .49103 L
.43429 .4894 L
.43352 .48862 L
.43248 .48747 L
.43159 .48573 L
.43146 .48555 L
.43012 .48362 L
.42967 .48301 L
.42874 .48169 L
.42774 .48052 L
.42709 .47977 L
.42597 .47784 L
.42581 .47762 L
.42464 .47591 L
.42389 .47489 L
.42327 .47399 L
.42196 .47221 L
.42184 .47206 L
.42059 .47013 L
.42003 .46937 L
.41926 .46821 L
.41811 .46657 L
.41792 .46628 L
.41666 .46435 L
.41618 .46367 L
.41542 .46242 L
.41425 .46068 L
.41415 .4605 L
.41314 .45857 L
F
1 .89 0 r
.41425 .40734 m
.41561 .40847 L
.41618 .40896 L
.41753 .4104 L
.41811 .41076 L
.41923 .41232 L
.42003 .41321 L
.4215 .41425 L
.42196 .41569 L
.42241 .41618 L
.42382 .41811 L
.42389 .41818 L
.42526 .42003 L
.42581 .42044 L
.42717 .42196 L
.42774 .42336 L
.42806 .42389 L
.4293 .42581 L
.42967 .42642 L
.43042 .42774 L
.4309 .42967 L
.42967 .42995 L
.4292 .42967 L
.42774 .42866 L
.4269 .42774 L
.42581 .42659 L
.42519 .42581 L
.42389 .4242 L
.42357 .42389 L
.42218 .42196 L
.42196 .42168 L
.42076 .42003 L
.42003 .41946 L
.41879 .41811 L
.41811 .41643 L
.41793 .41618 L
.41667 .41425 L
.41618 .41354 L
.41539 .41232 L
.41425 .41052 L
.4141 .4104 L
.41325 .40847 L
F
0 .69 1 r
.41425 .45854 m
.41428 .45857 L
.41611 .4605 L
.41618 .46056 L
.41779 .46242 L
.41811 .46277 L
.41942 .46435 L
.42003 .46506 L
.42102 .46628 L
.42196 .46717 L
.42259 .46821 L
.42389 .4698 L
.42425 .47013 L
.42565 .47206 L
.42581 .47226 L
.42716 .47399 L
.42774 .47453 L
.42866 .47591 L
.42967 .47718 L
.43029 .47784 L
.43159 .47972 L
.43162 .47977 L
.43309 .48169 L
.43352 .4821 L
.43456 .48362 L
.43545 .48476 L
.43613 .48555 L
.43737 .48735 L
.43745 .48747 L
.43891 .4894 L
.4393 .48978 L
.44106 .49133 L
.44123 .49246 L
.44188 .49326 L
.44316 .49508 L
.44321 .49518 L
.44466 .49711 L
.44508 .49753 L
.44663 .49904 L
.44701 .50024 L
.44757 .50096 L
.44894 .50288 L
.44894 .50289 L
.45036 .50482 L
.45086 .50535 L
.4522 .50674 L
.45279 .50808 L
.45322 .50867 L
.45461 .5106 L
.45472 .51074 L
.45601 .51253 L
.45664 .51321 L
.45776 .51445 L
.45857 .51599 L
.45885 .51638 L
.46023 .51831 L
.4605 .51867 L
.46162 .52023 L
.46242 .52115 L
.46329 .52216 L
.46435 .52396 L
.46444 .52409 L
.4658 .52601 L
.46628 .52666 L
.46719 .52794 L
.46821 .52919 L
.46875 .52987 L
.46997 .53179 L
.47013 .53202 L
.47132 .53372 L
.47206 .53474 L
.4727 .53565 L
.47399 .5374 L
.47412 .53758 L
.4754 .5395 L
.47591 .5402 L
.47674 .54143 L
.47784 .54297 L
.4781 .54336 L
.47941 .54528 L
.47977 .54579 L
.48068 .54721 L
.48169 .54867 L
.48199 .54914 L
.48321 .55106 L
.48362 .55168 L
.48434 .55299 L
.48362 .55406 L
.48267 .55299 L
.48169 .55197 L
.48093 .55106 L
.47977 .55016 L
.47928 .54914 L
.47784 .54744 L
.47751 .54721 L
.47613 .54528 L
.47591 .54503 L
.47459 .54336 L
.47399 .54299 L
.47306 .54143 L
.47206 .54023 L
.47123 .5395 L
.47013 .53768 L
.47004 .53758 L
.46857 .53565 L
.46821 .53543 L
.46709 .53372 L
.46628 .53273 L
.46535 .53179 L
.46435 .53013 L
.46416 .52987 L
.46271 .52794 L
.46242 .52776 L
.46125 .52601 L
.4605 .52508 L
.45959 .52409 L
.45857 .52244 L
.45838 .52216 L
.45693 .52023 L
.45664 .52003 L
.45549 .51831 L
.45472 .51734 L
.45389 .51638 L
.45279 .51467 L
.45265 .51445 L
.45121 .51253 L
.45086 .51226 L
.44979 .5106 L
.44894 .50953 L
.44824 .50867 L
.44701 .50684 L
.44695 .50674 L
.44554 .50482 L
.44508 .50444 L
.44344 .50289 L
.44316 .50165 L
.44262 .50096 L
.44129 .49904 L
.44123 .49895 L
.43991 .49711 L
.4393 .49655 L
.43796 .49518 L
.43737 .49371 L
.43703 .49326 L
.4357 .49133 L
.43545 .491 L
.43431 .4894 L
.43352 .48858 L
.43251 .48747 L
.43159 .48569 L
.43149 .48555 L
.43015 .48362 L
.42967 .48297 L
.42877 .48169 L
.42774 .48048 L
.42714 .47977 L
.42601 .47784 L
.42581 .47758 L
.42467 .47591 L
.42389 .47484 L
.4233 .47399 L
.42196 .47213 L
.4219 .47206 L
.42063 .47013 L
.42003 .4693 L
.41931 .46821 L
.41811 .46649 L
.41797 .46628 L
.41673 .46435 L
.41618 .46356 L
.4155 .46242 L
.41425 .46053 L
.41424 .4605 L
.41338 .45857 L
F
1 .91 0 r
.41425 .45011 m
.41498 .45086 L
.41618 .4521 L
.41679 .45279 L
.41811 .45422 L
.41848 .45472 L
.42003 .45657 L
.42012 .45664 L
.42169 .45857 L
.42196 .45864 L
.42327 .4605 L
.42389 .46123 L
.42552 .46242 L
.42581 .46371 L
.42636 .46435 L
.42774 .46615 L
.42779 .46628 L
.42938 .46821 L
.42967 .46856 L
.43121 .47013 L
.43159 .47111 L
.4323 .47206 L
.43352 .47367 L
.43357 .47399 L
.43533 .47591 L
.43545 .47607 L
.43697 .47784 L
.43737 .47866 L
.43814 .47977 L
.4393 .48129 L
.43974 .48169 L
.44117 .48362 L
.44123 .4837 L
.44272 .48555 L
.44316 .48633 L
.4439 .48747 L
.44508 .489 L
.44552 .4894 L
.44693 .49133 L
.44701 .49143 L
.44844 .49326 L
.44894 .49409 L
.44961 .49518 L
.45086 .49676 L
.45124 .49711 L
.45265 .49904 L
.45279 .49923 L
.45412 .50096 L
.45472 .50189 L
.45528 .50289 L
.45664 .50456 L
.45693 .50482 L
.45833 .50674 L
.45857 .50706 L
.45978 .50867 L
.4605 .50974 L
.46094 .5106 L
.46242 .51237 L
.46259 .51253 L
.46427 .51445 L
.46435 .51492 L
.46542 .51638 L
.46628 .5176 L
.46658 .51831 L
.46821 .5202 L
.46824 .52023 L
.46992 .52216 L
.47013 .52279 L
.47105 .52409 L
.47206 .52548 L
.47224 .52601 L
.47388 .52794 L
.47399 .52804 L
.47555 .52987 L
.47591 .53069 L
.47667 .53179 L
.47784 .53337 L
.47791 .53372 L
.47951 .53565 L
.47977 .53591 L
.48116 .53758 L
.48169 .5386 L
.48229 .5395 L
.48362 .54129 L
.48362 .54143 L
.48512 .54336 L
.48555 .5438 L
.48675 .54528 L
.48747 .54654 L
.48789 .54721 L
.48933 .54914 L
.4894 .54923 L
.49071 .55106 L
.49133 .55173 L
.49231 .55299 L
.49326 .55452 L
.49349 .55492 L
.4949 .55684 L
.49518 .55723 L
.49628 .55877 L
.49711 .55974 L
.49782 .5607 L
.49904 .56257 L
.49907 .56263 L
.50042 .56455 L
.50096 .56529 L
.50247 .56648 L
.50289 .56787 L
.50327 .56841 L
.50454 .57033 L
.50482 .57071 L
.50588 .57226 L
.50674 .57346 L
.50768 .57419 L
.5086 .57611 L
.50867 .57622 L
.50988 .57804 L
.5106 .57906 L
.51119 .57997 L
.51252 .58189 L
.51253 .58191 L
.5137 .58382 L
.51445 .58496 L
.51491 .58575 L
.516 .58768 L
.51445 .58792 L
.51422 .58768 L
.51253 .58591 L
.5124 .58575 L
.51071 .58382 L
.5106 .5837 L
.50907 .58189 L
.50867 .5818 L
.50746 .57997 L
.50674 .57916 L
.50588 .57804 L
.50482 .57669 L
.50428 .57611 L
.50289 .57426 L
.50284 .57419 L
.5013 .57226 L
.50096 .57186 L
.49929 .57033 L
.49904 .56931 L
.4983 .56841 L
.49711 .56676 L
.49698 .56648 L
.49536 .56455 L
.49518 .56433 L
.49358 .56263 L
.49326 .56174 L
.49247 .5607 L
.49133 .55913 L
.49121 .55877 L
.48955 .55684 L
.4894 .55667 L
.48788 .55492 L
.48747 .55404 L
.48673 .55299 L
.48555 .5514 L
.48549 .55106 L
.4838 .54914 L
.48362 .54892 L
.48219 .54721 L
.48169 .54627 L
.48103 .54528 L
.47977 .54363 L
.4795 .54336 L
.47809 .54143 L
.47784 .54112 L
.47652 .5395 L
.47591 .53846 L
.47535 .53758 L
.47399 .53582 L
.47382 .53565 L
.47241 .53372 L
.47206 .53328 L
.47087 .53179 L
.47013 .53061 L
.46969 .52987 L
.46821 .52799 L
.46815 .52794 L
.46675 .52601 L
.46628 .52543 L
.46523 .52409 L
.46435 .52274 L
.46404 .52216 L
.4625 .52023 L
.46242 .52017 L
.46063 .51831 L
.4605 .51755 L
.45961 .51638 L
.45857 .51486 L
.45838 .51445 L
.45686 .51253 L
.45664 .51234 L
.45503 .5106 L
.45472 .50966 L
.45399 .50867 L
.45279 .50696 L
.45271 .50674 L
.45124 .50482 L
.45086 .50448 L
.44945 .50289 L
.44894 .50174 L
.44838 .50096 L
.44701 .49904 L
.44701 .49904 L
.44563 .49711 L
.44508 .49659 L
.44389 .49518 L
.44316 .4938 L
.44279 .49326 L
.44141 .49133 L
.44123 .49109 L
.44003 .4894 L
.4393 .48865 L
.43835 .48747 L
.43737 .48581 L
.4372 .48555 L
.43584 .48362 L
.43545 .4831 L
.43445 .48169 L
.43352 .48063 L
.43285 .47977 L
.43165 .47784 L
.43159 .47777 L
.4303 .47591 L
.42967 .47506 L
.42892 .47399 L
.42774 .47249 L
.42742 .47206 L
.42616 .47013 L
.42581 .46966 L
.42482 .46821 L
.42389 .46692 L
.42295 .46628 L
.42208 .46435 L
.42196 .46419 L
.42079 .46242 L
.42003 .46137 L
.41946 .4605 L
.41811 .45857 L
.41811 .45857 L
.41689 .45664 L
.41618 .45561 L
.41565 .45472 L
.41442 .45279 L
.41425 .45253 L
.41343 .45086 L
F
0 .73 1 r
.41425 .4156 m
.41474 .41618 L
.41618 .41783 L
.41638 .41811 L
.41777 .42003 L
.41811 .42048 L
.41893 .42196 L
.41811 .42236 L
.41776 .42196 L
.41618 .42014 L
.41609 .42003 L
.41473 .41811 L
.41425 .41745 L
.41351 .41618 L
F
1 .88 0 r
.41425 .40769 m
.4153 .40847 L
.41618 .40918 L
.41735 .4104 L
.41811 .41088 L
.4191 .41232 L
.42003 .41334 L
.42137 .41425 L
.42196 .41581 L
.4223 .41618 L
.42373 .41811 L
.42389 .4183 L
.42517 .42003 L
.42581 .42053 L
.42708 .42196 L
.42774 .42352 L
.42796 .42389 L
.42918 .42581 L
.42967 .42662 L
.43028 .42774 L
.4303 .42967 L
.42967 .42969 L
.42962 .42967 L
.42774 .42852 L
.42704 .42774 L
.42581 .42647 L
.42529 .42581 L
.42389 .4241 L
.42367 .42389 L
.42226 .42196 L
.42196 .42158 L
.42083 .42003 L
.42003 .41935 L
.4189 .41811 L
.41811 .41628 L
.41803 .41618 L
.41676 .41425 L
.41618 .41339 L
.41551 .41232 L
.41433 .4104 L
.41425 .41026 L
.41352 .40847 L
F
0 .72 1 r
.41425 .41586 m
.41452 .41618 L
.41618 .41803 L
.41623 .41811 L
.41618 .41993 L
.41494 .41811 L
.41425 .41715 L
.41376 .41618 L
F
0 .21 1 r
.41425 .47441 m
.41531 .47591 L
.41618 .47696 L
.41678 .47784 L
.41811 .47952 L
.41828 .47977 L
.41965 .48169 L
.42003 .48216 L
.42101 .48362 L
.42196 .48482 L
.42244 .48555 L
.42196 .48688 L
.42101 .48555 L
.42003 .48436 L
.41951 .48362 L
.41811 .48182 L
.41801 .48169 L
.41665 .47977 L
.41618 .47919 L
.41526 .47784 L
.41425 .47656 L
.41382 .47591 L
F
0 .2 1 r
.41425 .47449 m
.41524 .47591 L
.41618 .47704 L
.41673 .47784 L
.41811 .47959 L
.41823 .47977 L
.41959 .48169 L
.42003 .48223 L
.42095 .48362 L
.42196 .4849 L
.42238 .48555 L
.42196 .48679 L
.42108 .48555 L
.42003 .48428 L
.41956 .48362 L
.41811 .48175 L
.41806 .48169 L
.41672 .47977 L
.41618 .47911 L
.41532 .47784 L
.41425 .47648 L
.41387 .47591 L
F
1 .87 0 r
.41425 .40811 m
.4149 .40847 L
.41618 .40941 L
.41717 .4104 L
.41811 .41102 L
.41896 .41232 L
.42003 .41348 L
.42121 .41425 L
.42196 .41593 L
.4222 .41618 L
.42364 .41811 L
.42389 .41842 L
.42508 .42003 L
.42581 .42064 L
.42698 .42196 L
.42774 .42369 L
.42786 .42389 L
.42907 .42581 L
.42967 .42685 L
.43012 .42774 L
.42967 .4294 L
.42774 .42836 L
.42719 .42774 L
.42581 .42634 L
.42539 .42581 L
.42389 .42399 L
.42378 .42389 L
.42234 .42196 L
.42196 .42147 L
.42091 .42003 L
.42003 .41923 L
.41901 .41811 L
.41813 .41618 L
.41811 .41614 L
.41686 .41425 L
.41618 .41322 L
.41562 .41232 L
.41451 .4104 L
.41425 .40988 L
.41388 .40847 L
F
0 .97 1 r
.41425 .37281 m
.41495 .37379 L
.41618 .37517 L
.41656 .37571 L
.41811 .37759 L
.41814 .37764 L
.41956 .37957 L
.42003 .38013 L
.42099 .38149 L
.42196 .38268 L
.42247 .38342 L
.42389 .38522 L
.42397 .38535 L
.42536 .38727 L
.42581 .38784 L
.42673 .3892 L
.42774 .39048 L
.42817 .39113 L
.42964 .39306 L
.42967 .3931 L
.43093 .39498 L
.43159 .39584 L
.43226 .39691 L
.43352 .39859 L
.43367 .39884 L
.43352 .40033 L
.43231 .39884 L
.43159 .39801 L
.43073 .39691 L
.42967 .39559 L
.42919 .39498 L
.42774 .39309 L
.42771 .39306 L
.42629 .39113 L
.42581 .39052 L
.42484 .3892 L
.42389 .38794 L
.4234 .38727 L
.42199 .38535 L
.42196 .38531 L
.42063 .38342 L
.42003 .38263 L
.41923 .38149 L
.41811 .37994 L
.41784 .37957 L
.41653 .37764 L
.41618 .37717 L
.41523 .37571 L
.41425 .37435 L
.41389 .37379 L
F
0 .19 1 r
.41425 .47458 m
.41517 .47591 L
.41618 .47712 L
.41667 .47784 L
.41811 .47966 L
.41818 .47977 L
.41811 .48168 L
.41679 .47977 L
.41618 .47903 L
.41538 .47784 L
.41425 .4764 L
.41393 .47591 L
F
1 .98 0 r
.41425 .43417 m
.41618 .43412 L
.41811 .4352 L
.41848 .43545 L
.42003 .43737 L
.42003 .43738 L
.42151 .4393 L
.42196 .43976 L
.42296 .44123 L
.42389 .44236 L
.42468 .44316 L
.42581 .44502 L
.42586 .44508 L
.42724 .44701 L
.42774 .44767 L
.42864 .44894 L
.42967 .45013 L
.43024 .45086 L
.43146 .45279 L
.43159 .45297 L
.43281 .45472 L
.43352 .45569 L
.43473 .45664 L
.43545 .45833 L
.43558 .45857 L
.4368 .4605 L
.43737 .46139 L
.4384 .46242 L
.43888 .46435 L
.43929 .46628 L
.4393 .46631 L
.43991 .46821 L
.44095 .47013 L
.44123 .47049 L
.44232 .47206 L
.44316 .47305 L
.44389 .47399 L
.44508 .47538 L
.44554 .47591 L
.44701 .4776 L
.44723 .47784 L
.44893 .47977 L
.44894 .47977 L
.45068 .48169 L
.45086 .48193 L
.45244 .48362 L
.45279 .48444 L
.45417 .48555 L
.45472 .48619 L
.45586 .48747 L
.45664 .48844 L
.45749 .4894 L
.45857 .49079 L
.45903 .49133 L
.4605 .49324 L
.46051 .49326 L
.46185 .49518 L
.46242 .49604 L
.46289 .49711 L
.46435 .49823 L
.46498 .49904 L
.46628 .50082 L
.46639 .50096 L
.46777 .50289 L
.46821 .50352 L
.46892 .50482 L
.47013 .50633 L
.47072 .50674 L
.47206 .5086 L
.47211 .50867 L
.47346 .5106 L
.47399 .51132 L
.47455 .51253 L
.47591 .51412 L
.4764 .51445 L
.4778 .51638 L
.47784 .51646 L
.47909 .51831 L
.47977 .5192 L
.48007 .52023 L
.48169 .52199 L
.48206 .52216 L
.48347 .52409 L
.48362 .52434 L
.4847 .52601 L
.48555 .52709 L
.48632 .52794 L
.48747 .52982 L
.48771 .52987 L
.48913 .53179 L
.4894 .53223 L
.4903 .53372 L
.49133 .53498 L
.49196 .53565 L
.49326 .53745 L
.49335 .53758 L
.49477 .5395 L
.49518 .54012 L
.49591 .54143 L
.49711 .54286 L
.4976 .54336 L
.49903 .54528 L
.49904 .54534 L
.5004 .54721 L
.50096 .54802 L
.50152 .54914 L
.50289 .55072 L
.50324 .55106 L
.50476 .55299 L
.50482 .55323 L
.50602 .55492 L
.50674 .55592 L
.50713 .55684 L
.50867 .55858 L
.50887 .55877 L
.51043 .5607 L
.5106 .56112 L
.51164 .56263 L
.51253 .56381 L
.51275 .56455 L
.51445 .56643 L
.5145 .56648 L
.51608 .56841 L
.51638 .56902 L
.51725 .57033 L
.51831 .57172 L
.51839 .57226 L
.52013 .57419 L
.52023 .57429 L
.52171 .57611 L
.52216 .57693 L
.52286 .57804 L
.52409 .57963 L
.52435 .57997 L
.52574 .58189 L
.52601 .58215 L
.52732 .58382 L
.52794 .58485 L
.52847 .58575 L
.52987 .58755 L
.52996 .58768 L
.53135 .5896 L
.53179 .59005 L
.53291 .59153 L
.53372 .5928 L
.53408 .59346 L
.53556 .59538 L
.53565 .59551 L
.53694 .59731 L
.53758 .59799 L
.53847 .59924 L
.5395 .6008 L
.53969 .60116 L
.54112 .60309 L
.54143 .60351 L
.54309 .60502 L
.54336 .60601 L
.54399 .60694 L
.54528 .60887 L
.54528 .60887 L
.54663 .6108 L
.54721 .6116 L
.5485 .61273 L
.54914 .6142 L
.54943 .61465 L
.55072 .61658 L
.55106 .61706 L
.55204 .61851 L
.55299 .61985 L
.55369 .62043 L
.5547 .62236 L
.55492 .62267 L
.55596 .62429 L
.55684 .62559 L
.55723 .62621 L
.55844 .62814 L
.55877 .62865 L
.55952 .63007 L
.55877 .63161 L
.55724 .63007 L
.55684 .62969 L
.55544 .62814 L
.55492 .62802 L
.55374 .62621 L
.55299 .6254 L
.55209 .62429 L
.55106 .62301 L
.55039 .62236 L
.54914 .62062 L
.54899 .62043 L
.54739 .61851 L
.54721 .61829 L
.54586 .61658 L
.54528 .61579 L
.54431 .61465 L
.54336 .61323 L
.54306 .61273 L
.54143 .61081 L
.54138 .6108 L
.53959 .60887 L
.5395 .60829 L
.53846 .60694 L
.53758 .60564 L
.53727 .60502 L
.53565 .60311 L
.53554 .60309 L
.53389 .60116 L
.53372 .60062 L
.5327 .59924 L
.53179 .59793 L
.53155 .59731 L
.52987 .59549 L
.52979 .59538 L
.52819 .59346 L
.52794 .59285 L
.527 .59153 L
.52601 .59014 L
.52588 .5896 L
.52409 .58768 L
.52409 .58768 L
.52252 .58575 L
.52216 .58502 L
.52134 .58382 L
.52023 .58232 L
.52022 .58189 L
.51841 .57997 L
.51831 .57984 L
.51686 .57804 L
.51638 .57717 L
.51569 .57611 L
.51445 .57449 L
.51415 .57419 L
.51275 .57226 L
.51253 .57198 L
.51121 .57033 L
.5106 .5693 L
.51005 .56841 L
.50867 .56665 L
.50849 .56648 L
.50709 .56455 L
.50674 .56411 L
.50558 .56263 L
.50482 .56142 L
.50441 .5607 L
.50289 .55881 L
.50285 .55877 L
.50102 .55684 L
.50096 .55623 L
.49995 .55492 L
.49904 .55354 L
.49876 .55299 L
.49721 .55106 L
.49711 .55097 L
.4954 .54914 L
.49518 .54834 L
.49433 .54721 L
.49326 .54566 L
.4931 .54528 L
.49157 .54336 L
.49133 .54313 L
.48979 .54143 L
.4894 .54045 L
.48871 .5395 L
.48747 .53776 L
.48742 .53758 L
.48594 .53565 L
.48555 .53527 L
.48419 .53372 L
.48362 .53255 L
.48309 .53179 L
.48169 .52987 L
.48169 .52987 L
.48031 .52794 L
.47977 .52739 L
.4786 .52601 L
.47784 .52464 L
.47747 .52409 L
.47607 .52216 L
.47591 .52195 L
.47468 .52023 L
.47399 .51949 L
.47302 .51831 L
.47206 .51671 L
.47185 .51638 L
.47045 .51445 L
.47013 .51403 L
.46906 .51253 L
.46821 .51156 L
.46745 .5106 L
.46628 .50877 L
.46622 .50867 L
.46484 .50674 L
.46435 .5061 L
.46344 .50482 L
.46242 .50361 L
.46188 .50289 L
.46061 .50096 L
.4605 .50082 L
.45924 .49904 L
.45857 .49815 L
.45723 .49711 L
.45664 .49562 L
.45632 .49518 L
.45502 .49326 L
.45472 .49285 L
.45365 .49133 L
.45279 .49018 L
.45167 .4894 L
.45086 .48757 L
.4508 .48747 L
.44947 .48555 L
.44894 .48484 L
.44811 .48362 L
.44701 .48215 L
.4467 .48169 L
.44532 .47977 L
.44508 .47945 L
.44402 .47784 L
.44316 .47669 L
.44266 .47591 L
.44126 .47399 L
.44123 .47395 L
.44004 .47206 L
.4393 .47107 L
.43873 .47013 L
.43737 .46828 L
.43733 .46821 L
.43602 .46628 L
.43545 .46551 L
.43462 .46435 L
.43352 .46292 L
.43303 .46242 L
.4317 .4605 L
.43159 .46037 L
.43001 .45857 L
.42967 .45781 L
.42878 .45664 L
.42774 .45522 L
.42743 .45472 L
.42585 .45279 L
.42581 .45263 L
.4245 .45086 L
.42389 .44999 L
.42325 .44894 L
.42196 .44734 L
.42166 .44701 L
.42021 .44508 L
.42003 .44477 L
.41897 .44316 L
.41811 .44207 L
.4178 .44123 L
.4162 .4393 L
.41618 .43926 L
.41481 .43737 L
.41425 .43607 L
.41396 .43545 L
F
1 .37 0 r
.41425 .46635 m
.41577 .46821 L
.41618 .46865 L
.41734 .47013 L
.41811 .47103 L
.4189 .47206 L
.42003 .47344 L
.42045 .47399 L
.42196 .4759 L
.42198 .47591 L
.42342 .47784 L
.42389 .47841 L
.4249 .47977 L
.42581 .48093 L
.42638 .48169 L
.42774 .4834 L
.42799 .48362 L
.42929 .48555 L
.42967 .48603 L
.43072 .48747 L
.43159 .48861 L
.43217 .4894 L
.43352 .49114 L
.43372 .49133 L
.43502 .49326 L
.43545 .49381 L
.43643 .49518 L
.43737 .49643 L
.43786 .49711 L
.43929 .49904 L
.4393 .49905 L
.44065 .50096 L
.44123 .50173 L
.44204 .50289 L
.44316 .50439 L
.44345 .50482 L
.44482 .50674 L
.44508 .50709 L
.44616 .50867 L
.44701 .50982 L
.44754 .5106 L
.44893 .51253 L
.44894 .51254 L
.45019 .51445 L
.45086 .51537 L
.4515 .51638 L
.45279 .51821 L
.45285 .51831 L
.45398 .52023 L
.45472 .52133 L
.4551 .52216 L
.45472 .52256 L
.45437 .52216 L
.45279 .52048 L
.45259 .52023 L
.45096 .51831 L
.45086 .5182 L
.44942 .51638 L
.44894 .51582 L
.44788 .51445 L
.44701 .5134 L
.44634 .51253 L
.44508 .51119 L
.44481 .5106 L
.44333 .50867 L
.44316 .50846 L
.44187 .50674 L
.44123 .50594 L
.4404 .50482 L
.4393 .50369 L
.43892 .50289 L
.43747 .50096 L
.43737 .50085 L
.43605 .49904 L
.43545 .49826 L
.43461 .49711 L
.43352 .49594 L
.43316 .49518 L
.43173 .49326 L
.43159 .49308 L
.43034 .49133 L
.42967 .49044 L
.42892 .4894 L
.42774 .488 L
.42749 .48747 L
.42611 .48555 L
.42581 .48516 L
.42474 .48362 L
.42389 .48248 L
.42334 .48169 L
.42196 .47983 L
.4219 .47977 L
.42061 .47784 L
.42003 .47706 L
.41926 .47591 L
.41811 .47433 L
.41788 .47399 L
.41657 .47206 L
.41618 .47152 L
.4153 .47013 L
.41425 .46865 L
.41398 .46821 L
F
0 .18 1 r
.41425 .47468 m
.4151 .47591 L
.41618 .4772 L
.41661 .47784 L
.41811 .47973 L
.41813 .47977 L
.41811 .48159 L
.41687 .47977 L
.41618 .47894 L
.41545 .47784 L
.41425 .47631 L
.41399 .47591 L
F
1 .36 0 r
.41425 .46645 m
.41569 .46821 L
.41618 .46873 L
.41728 .47013 L
.41811 .47109 L
.41885 .47206 L
.42003 .4735 L
.42041 .47399 L
.42193 .47591 L
.42196 .47595 L
.42339 .47784 L
.42389 .47845 L
.42486 .47977 L
.42581 .48097 L
.42635 .48169 L
.42774 .48345 L
.42793 .48362 L
.42926 .48555 L
.42967 .48607 L
.43069 .48747 L
.43159 .48864 L
.43215 .4894 L
.43352 .49119 L
.43367 .49133 L
.43499 .49326 L
.43545 .49385 L
.4364 .49518 L
.43737 .49647 L
.43783 .49711 L
.43926 .49904 L
.4393 .49909 L
.44062 .50096 L
.44123 .50177 L
.44201 .50289 L
.44316 .50443 L
.44343 .50482 L
.44479 .50674 L
.44508 .50713 L
.44613 .50867 L
.44701 .50986 L
.44751 .5106 L
.44888 .51253 L
.44894 .51259 L
.45015 .51445 L
.45086 .51544 L
.45146 .51638 L
.45279 .51829 L
.4528 .51831 L
.45388 .52023 L
.45472 .52152 L
.45496 .52216 L
.45472 .52239 L
.45451 .52216 L
.45279 .52039 L
.45266 .52023 L
.45103 .51831 L
.45086 .51813 L
.44948 .51638 L
.44894 .51576 L
.44792 .51445 L
.44701 .51335 L
.44638 .51253 L
.44508 .51111 L
.44485 .5106 L
.44337 .50867 L
.44316 .50841 L
.44191 .50674 L
.44123 .50589 L
.44043 .50482 L
.4393 .50363 L
.43895 .50289 L
.4375 .50096 L
.43737 .50081 L
.43608 .49904 L
.43545 .49823 L
.43463 .49711 L
.43352 .49589 L
.43318 .49518 L
.43176 .49326 L
.43159 .49304 L
.43037 .49133 L
.42967 .49041 L
.42895 .4894 L
.42774 .48794 L
.42752 .48747 L
.42614 .48555 L
.42581 .48512 L
.42477 .48362 L
.42389 .48244 L
.42337 .48169 L
.42196 .47977 L
.42196 .47977 L
.42065 .47784 L
.42003 .47702 L
.41929 .47591 L
.41811 .47428 L
.41791 .47399 L
.41662 .47206 L
.41618 .47145 L
.41535 .47013 L
.41425 .46857 L
.41403 .46821 L
F
0 .97 1 r
.41425 .35648 m
.41607 .35837 L
.41618 .35847 L
.41776 .3603 L
.41811 .36067 L
.41938 .36222 L
.42003 .36297 L
.42098 .36415 L
.42196 .36514 L
.42255 .36608 L
.42389 .36771 L
.42421 .36801 L
.4256 .36993 L
.42581 .37019 L
.42709 .37186 L
.42774 .3725 L
.42859 .37379 L
.42967 .37514 L
.43022 .37571 L
.43155 .37764 L
.43159 .37769 L
.433 .37957 L
.43352 .38009 L
.43445 .38149 L
.43545 .38275 L
.43604 .38342 L
.43737 .38535 L
.43737 .38535 L
.43879 .38727 L
.4393 .38779 L
.44089 .3892 L
.44123 .39048 L
.44178 .39113 L
.44312 .39306 L
.44316 .39311 L
.44452 .39498 L
.44508 .39556 L
.44649 .39691 L
.44701 .39828 L
.44746 .39884 L
.44882 .40076 L
.44894 .40092 L
.45022 .40269 L
.45086 .40338 L
.45208 .40462 L
.45279 .40612 L
.45312 .40654 L
.45449 .40847 L
.45472 .40877 L
.45588 .4104 L
.45664 .41124 L
.45766 .41232 L
.45857 .414 L
.45876 .41425 L
.46013 .41618 L
.4605 .41666 L
.46153 .41811 L
.46242 .41913 L
.46322 .42003 L
.46435 .42191 L
.46439 .42196 L
.46576 .42389 L
.46628 .42411 L
.46716 .42581 L
.46821 .42708 L
.46877 .42774 L
.47 .42967 L
.47013 .42984 L
.47137 .43159 L
.47206 .43206 L
.47277 .43352 L
.47399 .43507 L
.4743 .43545 L
.47558 .43737 L
.47591 .43781 L
.47695 .4393 L
.47784 .44015 L
.47887 .44123 L
.47977 .44312 L
.4798 .44316 L
.48114 .44508 L
.48169 .44582 L
.48252 .44701 L
.48362 .44832 L
.48415 .44894 L
.48531 .45086 L
.48555 .45117 L
.48666 .45279 L
.48747 .45388 L
.48804 .45472 L
.4894 .45655 L
.48948 .45664 L
.49078 .45857 L
.49133 .45932 L
.49212 .4605 L
.49326 .46209 L
.49347 .46242 L
.49476 .46435 L
.49518 .46498 L
.49592 .46628 L
.49518 .46754 L
.49333 .46628 L
.49326 .46622 L
.49133 .46455 L
.49106 .46435 L
.4894 .46245 L
.48929 .46242 L
.48768 .4605 L
.48747 .46031 L
.48616 .45857 L
.48555 .45781 L
.48446 .45664 L
.48362 .45521 L
.48323 .45472 L
.48185 .45279 L
.48169 .45261 L
.48005 .45086 L
.47977 .44995 L
.47898 .44894 L
.47784 .44727 L
.47766 .44701 L
.47624 .44508 L
.47591 .44464 L
.47474 .44316 L
.47399 .44198 L
.47351 .44123 L
.47206 .43936 L
.47201 .4393 L
.47032 .43737 L
.47013 .43675 L
.46923 .43545 L
.46821 .43409 L
.46807 .43352 L
.4663 .43159 L
.46628 .43157 L
.46473 .42967 L
.46435 .42894 L
.4636 .42774 L
.46242 .42627 L
.46197 .42581 L
.46057 .42389 L
.4605 .42379 L
.45906 .42196 L
.45857 .42114 L
.45791 .42003 L
.45664 .41847 L
.45627 .41811 L
.45487 .41618 L
.45472 .41598 L
.45339 .41425 L
.45279 .41331 L
.45224 .41232 L
.45086 .41065 L
.45061 .4104 L
.44921 .40847 L
.44894 .40812 L
.44775 .40654 L
.44701 .40544 L
.44659 .40462 L
.44508 .4028 L
.44498 .40269 L
.44357 .40076 L
.44316 .40022 L
.44214 .39884 L
.44123 .39751 L
.44096 .39691 L
.43938 .39498 L
.4393 .39493 L
.43756 .39306 L
.43737 .39227 L
.43657 .39113 L
.43545 .38954 L
.43532 .3892 L
.43382 .38727 L
.43352 .38704 L
.43203 .38535 L
.43159 .38425 L
.43104 .38342 L
.42967 .38149 L
.42967 .38149 L
.42831 .37957 L
.42774 .37903 L
.4266 .37764 L
.42581 .37609 L
.42557 .37571 L
.42424 .37379 L
.42389 .37329 L
.42289 .37186 L
.42196 .37075 L
.42135 .36993 L
.42024 .36801 L
.42003 .36771 L
.41895 .36608 L
.41811 .36484 L
.41765 .36415 L
.4164 .36222 L
.41618 .36189 L
.41522 .3603 L
.41425 .35874 L
.41404 .35837 L
F
0 .17 1 r
.41425 .47479 m
.41501 .47591 L
.41618 .47729 L
.41655 .47784 L
.41618 .47884 L
.41552 .47784 L
.41425 .47622 L
.41405 .47591 L
F
1 .35 0 r
.41425 .46655 m
.41561 .46821 L
.41618 .4688 L
.41722 .47013 L
.41811 .47115 L
.41881 .47206 L
.42003 .47355 L
.42037 .47399 L
.42189 .47591 L
.42196 .476 L
.42335 .47784 L
.42389 .4785 L
.42483 .47977 L
.42581 .48101 L
.42632 .48169 L
.42774 .48351 L
.42787 .48362 L
.42922 .48555 L
.42967 .48611 L
.43066 .48747 L
.43159 .48868 L
.43212 .4894 L
.43352 .49124 L
.43362 .49133 L
.43496 .49326 L
.43545 .49388 L
.43638 .49518 L
.43737 .4965 L
.43781 .49711 L
.43923 .49904 L
.4393 .49913 L
.44059 .50096 L
.44123 .50181 L
.44198 .50289 L
.44316 .50447 L
.4434 .50482 L
.44475 .50674 L
.44508 .50718 L
.44609 .50867 L
.44701 .50991 L
.44747 .5106 L
.44884 .51253 L
.44894 .51265 L
.4501 .51445 L
.45086 .51551 L
.45141 .51638 L
.45086 .51805 L
.44954 .51638 L
.44894 .5157 L
.44797 .51445 L
.44701 .5133 L
.44642 .51253 L
.44508 .51103 L
.44489 .5106 L
.44341 .50867 L
.44316 .50836 L
.44194 .50674 L
.44123 .50585 L
.44046 .50482 L
.4393 .50357 L
.43898 .50289 L
.43753 .50096 L
.43737 .50077 L
.43611 .49904 L
.43545 .49819 L
.43466 .49711 L
.43352 .49583 L
.43321 .49518 L
.43179 .49326 L
.43159 .493 L
.4304 .49133 L
.42967 .49037 L
.42898 .4894 L
.42774 .48789 L
.42755 .48747 L
.42617 .48555 L
.42581 .48508 L
.4248 .48362 L
.42389 .4824 L
.4234 .48169 L
.422 .47977 L
.42196 .47972 L
.42068 .47784 L
.42003 .47697 L
.41933 .47591 L
.41811 .47422 L
.41795 .47399 L
.41667 .47206 L
.41618 .47138 L
.4154 .47013 L
.41425 .46848 L
.41408 .46821 L
F
0 .16 1 r
.41425 .47492 m
.4149 .47591 L
.41618 .47739 L
.41648 .47784 L
.41618 .47873 L
.41561 .47784 L
.41425 .47611 L
.41413 .47591 L
F
1 .34 0 r
.41425 .46667 m
.41553 .46821 L
.41618 .46888 L
.41716 .47013 L
.41811 .47121 L
.41876 .47206 L
.42003 .4736 L
.42033 .47399 L
.42184 .47591 L
.42196 .47605 L
.42331 .47784 L
.42389 .47855 L
.4248 .47977 L
.42581 .48105 L
.42629 .48169 L
.42774 .48356 L
.42781 .48362 L
.42919 .48555 L
.42967 .48615 L
.43063 .48747 L
.43159 .48872 L
.43209 .4894 L
.43352 .49128 L
.43357 .49133 L
.43493 .49326 L
.43545 .49392 L
.43635 .49518 L
.43737 .49654 L
.43778 .49711 L
.4392 .49904 L
.4393 .49917 L
.44056 .50096 L
.44123 .50185 L
.44195 .50289 L
.44316 .50451 L
.44337 .50482 L
.44472 .50674 L
.44508 .50722 L
.44606 .50867 L
.44701 .50996 L
.44744 .5106 L
.4488 .51253 L
.44894 .51271 L
.45005 .51445 L
.45086 .51558 L
.45136 .51638 L
.45086 .51796 L
.4496 .51638 L
.44894 .51563 L
.44802 .51445 L
.44701 .51324 L
.44646 .51253 L
.44508 .51095 L
.44492 .5106 L
.44345 .50867 L
.44316 .50832 L
.44198 .50674 L
.44123 .50581 L
.44049 .50482 L
.4393 .50352 L
.43901 .50289 L
.43756 .50096 L
.43737 .50073 L
.43614 .49904 L
.43545 .49815 L
.43469 .49711 L
.43352 .49578 L
.43324 .49518 L
.43182 .49326 L
.43159 .49296 L
.43043 .49133 L
.42967 .49033 L
.429 .4894 L
.42774 .48783 L
.42758 .48747 L
.42621 .48555 L
.42581 .48503 L
.42483 .48362 L
.42389 .48236 L
.42343 .48169 L
.42203 .47977 L
.42196 .47967 L
.42072 .47784 L
.42003 .47691 L
.41936 .47591 L
.41811 .47417 L
.41799 .47399 L
.41673 .47206 L
.41618 .47131 L
.41546 .47013 L
.41425 .46839 L
.41414 .46821 L
F
1 .33 0 r
.41425 .46681 m
.41543 .46821 L
.41618 .46897 L
.4171 .47013 L
.41811 .47128 L
.41871 .47206 L
.42003 .47366 L
.42028 .47399 L
.4218 .47591 L
.42196 .4761 L
.42327 .47784 L
.42389 .47859 L
.42476 .47977 L
.42581 .48109 L
.42626 .48169 L
.42774 .48361 L
.42775 .48362 L
.42916 .48555 L
.42967 .48619 L
.4306 .48747 L
.43159 .48876 L
.43206 .4894 L
.43352 .49133 L
.43352 .49133 L
.4349 .49326 L
.43545 .49396 L
.43632 .49518 L
.43737 .49658 L
.43775 .49711 L
.43917 .49904 L
.4393 .49921 L
.44053 .50096 L
.44123 .50189 L
.44192 .50289 L
.44316 .50455 L
.44334 .50482 L
.44468 .50674 L
.44508 .50727 L
.44602 .50867 L
.44701 .51001 L
.4474 .5106 L
.44875 .51253 L
.44894 .51278 L
.45 .51445 L
.45086 .51565 L
.45131 .51638 L
.45086 .51787 L
.44967 .51638 L
.44894 .51556 L
.44807 .51445 L
.44701 .51318 L
.4465 .51253 L
.44508 .51087 L
.44496 .5106 L
.44349 .50867 L
.44316 .50827 L
.44201 .50674 L
.44123 .50576 L
.44053 .50482 L
.4393 .50345 L
.43904 .50289 L
.4376 .50096 L
.43737 .50069 L
.43617 .49904 L
.43545 .49811 L
.43472 .49711 L
.43352 .49573 L
.43327 .49518 L
.43186 .49326 L
.43159 .49292 L
.43046 .49133 L
.42967 .49029 L
.42903 .4894 L
.42774 .48777 L
.4276 .48747 L
.42624 .48555 L
.42581 .48499 L
.42486 .48362 L
.42389 .48231 L
.42346 .48169 L
.42207 .47977 L
.42196 .47962 L
.42076 .47784 L
.42003 .47686 L
.4194 .47591 L
.41811 .47411 L
.41802 .47399 L
.41678 .47206 L
.41618 .47123 L
.41552 .47013 L
.41425 .46829 L
.41421 .46821 L
F
0 .15 1 r
.41425 .47508 m
.41477 .47591 L
.41618 .4775 L
.4164 .47784 L
.41618 .4786 L
.41571 .47784 L
.41425 .47599 L
.41421 .47591 L
F
0 .98 1 r
.41618 .40174 m
.4178 .40269 L
.41811 .40294 L
.41999 .40462 L
.42003 .40467 L
.42173 .40654 L
.42196 .40689 L
.42341 .40847 L
.42389 .40945 L
.42466 .4104 L
.42581 .41163 L
.42635 .41232 L
.42774 .41419 L
.42779 .41425 L
.42926 .41618 L
.42967 .41686 L
.43044 .41811 L
.43159 .41959 L
.43211 .42003 L
.43349 .42196 L
.43352 .42199 L
.43492 .42389 L
.43545 .42457 L
.43604 .42581 L
.43737 .42727 L
.43767 .42774 L
.43929 .42967 L
.4393 .4303 L
.43997 .43159 L
.4393 .43222 L
.43737 .4324 L
.43545 .4318 L
.43518 .43159 L
.43352 .42976 L
.43348 .42967 L
.43197 .42774 L
.43159 .42722 L
.43012 .42581 L
.42967 .42462 L
.42905 .42389 L
.42774 .42204 L
.42771 .42196 L
.42628 .42003 L
.42581 .41967 L
.42452 .41811 L
.42389 .41687 L
.42343 .41618 L
.42207 .41425 L
.42196 .4141 L
.42071 .41232 L
.42003 .41139 L
.41903 .4104 L
.41811 .40881 L
.41795 .40847 L
.41668 .40654 L
.41618 .40578 L
.41547 .40462 L
.41457 .40269 L
F
1 .86 0 r
.41618 .40964 m
.41696 .4104 L
.41811 .41119 L
.41882 .41232 L
.42003 .41363 L
.42103 .41425 L
.42196 .41605 L
.42208 .41618 L
.42355 .41811 L
.42389 .41854 L
.42499 .42003 L
.42581 .42076 L
.42687 .42196 L
.42774 .42388 L
.42775 .42389 L
.42895 .42581 L
.42967 .42712 L
.42996 .42774 L
.42967 .42907 L
.42774 .42818 L
.42735 .42774 L
.42581 .42621 L
.4255 .42581 L
.42389 .42389 L
.42389 .42388 L
.42243 .42196 L
.42196 .42136 L
.42099 .42003 L
.42003 .4191 L
.41914 .41811 L
.41823 .41618 L
.41811 .416 L
.41697 .41425 L
.41618 .41305 L
.41574 .41232 L
.41472 .4104 L
F
1 .97 0 r
.41618 .43421 m
.41776 .43545 L
.41811 .4355 L
.41974 .43737 L
.42003 .43755 L
.42131 .4393 L
.42196 .43995 L
.4228 .44123 L
.42389 .44255 L
.4245 .44316 L
.42573 .44508 L
.42581 .44519 L
.42711 .44701 L
.42774 .44784 L
.42851 .44894 L
.42967 .45034 L
.43007 .45086 L
.43131 .45279 L
.43159 .45318 L
.43264 .45472 L
.43352 .45595 L
.43444 .45664 L
.43529 .45857 L
.43545 .4588 L
.43644 .4605 L
.43737 .46226 L
.43751 .46242 L
.43784 .46435 L
.43737 .46613 L
.43545 .46441 L
.4354 .46435 L
.43375 .46242 L
.43352 .46217 L
.43218 .4605 L
.43159 .45979 L
.43034 .45857 L
.42967 .45733 L
.42912 .45664 L
.42774 .45481 L
.42768 .45472 L
.42592 .45279 L
.42581 .45227 L
.42474 .45086 L
.42389 .44965 L
.42346 .44894 L
.42196 .44706 L
.42192 .44701 L
.42037 .44508 L
.42003 .44445 L
.41921 .44316 L
.41811 .44168 L
.41796 .44123 L
.41653 .4393 L
.41618 .43871 L
.41519 .43737 L
.41473 .43545 L
F
1 .9 0 r
.41618 .45257 m
.41639 .45279 L
.41811 .45462 L
.41818 .45472 L
.41985 .45664 L
.42003 .45684 L
.42148 .45857 L
.42196 .45872 L
.42309 .4605 L
.42389 .46142 L
.42538 .46242 L
.42581 .46388 L
.42623 .46435 L
.42774 .46627 L
.42774 .46628 L
.42927 .46821 L
.42967 .46869 L
.43115 .47013 L
.43159 .47123 L
.43222 .47206 L
.43352 .47376 L
.43356 .47399 L
.43526 .47591 L
.43545 .47616 L
.43693 .47784 L
.43737 .47875 L
.43808 .47977 L
.4393 .48136 L
.43968 .48169 L
.44111 .48362 L
.44123 .48378 L
.44269 .48555 L
.44316 .4864 L
.44386 .48747 L
.44508 .48905 L
.44547 .4894 L
.44689 .49133 L
.44701 .49149 L
.44841 .49326 L
.44894 .49414 L
.44958 .49518 L
.45086 .4968 L
.4512 .49711 L
.45261 .49904 L
.45279 .49927 L
.45409 .50096 L
.45472 .50194 L
.45526 .50289 L
.45664 .50459 L
.4569 .50482 L
.45831 .50674 L
.45857 .5071 L
.45976 .50867 L
.4605 .50977 L
.46092 .5106 L
.46242 .5124 L
.46257 .51253 L
.46426 .51445 L
.46435 .51495 L
.4654 .51638 L
.46628 .51763 L
.46657 .51831 L
.46821 .52022 L
.46822 .52023 L
.46991 .52216 L
.47013 .52282 L
.47103 .52409 L
.47206 .52551 L
.47223 .52601 L
.47386 .52794 L
.47399 .52807 L
.47553 .52987 L
.47591 .53072 L
.47665 .53179 L
.47784 .53341 L
.4779 .53372 L
.47948 .53565 L
.47977 .53593 L
.48114 .53758 L
.48169 .53863 L
.48226 .5395 L
.48362 .54132 L
.48362 .54143 L
.48509 .54336 L
.48555 .54383 L
.48672 .54528 L
.48747 .54658 L
.48787 .54721 L
.4893 .54914 L
.4894 .54928 L
.49068 .55106 L
.49133 .55178 L
.49227 .55299 L
.49326 .55458 L
.49346 .55492 L
.49486 .55684 L
.49518 .55729 L
.49624 .55877 L
.49711 .5598 L
.49777 .5607 L
.49902 .56263 L
.49904 .56264 L
.50037 .56455 L
.50096 .56537 L
.5024 .56648 L
.50289 .56797 L
.5032 .56841 L
.50447 .57033 L
.50482 .57082 L
.5058 .57226 L
.50674 .57358 L
.50754 .57419 L
.50849 .57611 L
.50867 .57637 L
.50976 .57804 L
.5106 .57924 L
.51106 .57997 L
.51233 .58189 L
.51253 .58218 L
.51348 .58382 L
.51445 .58537 L
.51465 .58575 L
.51445 .58737 L
.51277 .58575 L
.51253 .58552 L
.51098 .58382 L
.5106 .58342 L
.50928 .58189 L
.50867 .58171 L
.50764 .57997 L
.50674 .57897 L
.50603 .57804 L
.50482 .57652 L
.50442 .57611 L
.50293 .57419 L
.50289 .57417 L
.50141 .57226 L
.50096 .57174 L
.49934 .57033 L
.49904 .5692 L
.49838 .56841 L
.49711 .56668 L
.49701 .56648 L
.49544 .56455 L
.49518 .56425 L
.49362 .56263 L
.49326 .56166 L
.49252 .5607 L
.49133 .55907 L
.49123 .55877 L
.4896 .55684 L
.4894 .5566 L
.48791 .55492 L
.48747 .55398 L
.48676 .55299 L
.48555 .55136 L
.4855 .55106 L
.48383 .54914 L
.48362 .54887 L
.48221 .54721 L
.48169 .54623 L
.48105 .54528 L
.47977 .54359 L
.47953 .54336 L
.47812 .54143 L
.47784 .54108 L
.47654 .5395 L
.47591 .53842 L
.47537 .53758 L
.47399 .53579 L
.47384 .53565 L
.47244 .53372 L
.47206 .53325 L
.47089 .53179 L
.47013 .53058 L
.46971 .52987 L
.46821 .52797 L
.46818 .52794 L
.46677 .52601 L
.46628 .5254 L
.46525 .52409 L
.46435 .52271 L
.46405 .52216 L
.46252 .52023 L
.46242 .52015 L
.46064 .51831 L
.4605 .51752 L
.45963 .51638 L
.45857 .51483 L
.45839 .51445 L
.45689 .51253 L
.45664 .51232 L
.45504 .5106 L
.45472 .50963 L
.45401 .50867 L
.45279 .50693 L
.45272 .50674 L
.45126 .50482 L
.45086 .50446 L
.44947 .50289 L
.44894 .50171 L
.44841 .50096 L
.44703 .49904 L
.44701 .49901 L
.44565 .49711 L
.44508 .49656 L
.44391 .49518 L
.44316 .49376 L
.44281 .49326 L
.44144 .49133 L
.44123 .49105 L
.44006 .4894 L
.4393 .4886 L
.43838 .48747 L
.43737 .48576 L
.43723 .48555 L
.43587 .48362 L
.43545 .48305 L
.43449 .48169 L
.43352 .48057 L
.4329 .47977 L
.43169 .47784 L
.43159 .47771 L
.43035 .47591 L
.42967 .47499 L
.42897 .47399 L
.42774 .47239 L
.42749 .47206 L
.42623 .47013 L
.42581 .46957 L
.42489 .46821 L
.42389 .46682 L
.42308 .46628 L
.42218 .46435 L
.42196 .46405 L
.42089 .46242 L
.42003 .46121 L
.41957 .4605 L
.41826 .45857 L
.41811 .45835 L
.41708 .45664 L
.41618 .45529 L
.41586 .45472 L
.41479 .45279 L
F
0 .95 1 r
.41618 .44277 m
.41651 .44316 L
.41811 .44499 L
.41817 .44508 L
.41964 .44701 L
.42003 .44752 L
.42102 .44894 L
.42196 .45022 L
.42238 .45086 L
.42373 .45279 L
.42389 .45301 L
.42502 .45472 L
.42581 .45557 L
.42635 .45664 L
.42769 .45857 L
.42774 .45863 L
.42909 .4605 L
.42967 .46108 L
.43054 .46242 L
.43159 .4638 L
.43217 .46435 L
.43349 .46628 L
.43352 .46631 L
.43502 .46821 L
.43545 .46873 L
.43657 .47013 L
.43737 .47126 L
.43789 .47206 L
.4393 .47378 L
.43963 .47399 L
.44113 .47591 L
.44123 .47604 L
.4429 .47784 L
.44316 .47859 L
.44393 .47977 L
.44508 .48126 L
.44569 .48169 L
.44701 .48344 L
.44716 .48362 L
.44875 .48555 L
.44894 .48602 L
.44994 .48747 L
.45086 .48872 L
.45097 .4894 L
.45279 .49103 L
.45303 .49133 L
.45454 .49326 L
.45472 .49364 L
.45577 .49518 L
.45664 .49636 L
.45681 .49711 L
.45857 .49875 L
.45879 .49904 L
.46027 .50096 L
.4605 .50139 L
.46149 .50289 L
.46242 .50412 L
.4631 .50482 L
.46435 .50655 L
.4645 .50674 L
.46596 .50867 L
.46628 .50921 L
.46715 .5106 L
.46821 .51194 L
.46878 .51253 L
.47013 .51439 L
.47018 .51445 L
.47163 .51638 L
.47206 .51706 L
.47279 .51831 L
.47399 .51978 L
.47445 .52023 L
.47584 .52216 L
.47591 .52225 L
.47728 .52409 L
.47784 .52493 L
.47842 .52601 L
.47977 .52762 L
.4801 .52794 L
.48166 .52987 L
.48169 .53013 L
.48291 .53179 L
.48362 .53281 L
.48404 .53372 L
.48555 .53547 L
.48574 .53565 L
.48735 .53758 L
.48747 .53801 L
.48854 .5395 L
.4894 .5407 L
.48967 .54143 L
.49133 .54331 L
.49138 .54336 L
.493 .54528 L
.49326 .5459 L
.49415 .54721 L
.49518 .5486 L
.49532 .54914 L
.497 .55106 L
.49711 .55117 L
.49863 .55299 L
.49904 .55381 L
.49977 .55492 L
.50096 .55651 L
.50099 .55684 L
.50262 .55877 L
.50289 .55904 L
.50423 .5607 L
.50482 .56174 L
.50537 .56263 L
.50674 .56443 L
.50684 .56455 L
.50822 .56648 L
.50867 .56694 L
.50982 .56841 L
.5106 .56969 L
.51098 .57033 L
.51243 .57226 L
.51253 .57239 L
.51381 .57419 L
.51445 .57489 L
.51537 .57611 L
.51638 .57769 L
.51657 .57804 L
.51798 .57997 L
.51831 .58041 L
.52006 .58189 L
.52023 .58292 L
.52087 .58382 L
.52214 .58575 L
.52216 .58578 L
.52348 .58768 L
.52409 .58851 L
.52542 .5896 L
.52601 .59113 L
.52629 .59153 L
.52756 .59346 L
.52794 .59398 L
.52889 .59538 L
.52987 .59677 L
.53055 .59731 L
.53154 .59924 L
.53179 .59959 L
.5328 .60116 L
.53372 .60252 L
.53408 .60309 L
.53528 .60502 L
.53565 .6056 L
.53636 .60694 L
.53565 .60832 L
.53429 .60694 L
.53372 .60639 L
.53249 .60502 L
.53179 .60479 L
.53079 .60309 L
.52987 .60209 L
.52914 .60116 L
.52794 .59969 L
.52748 .59924 L
.52601 .59733 L
.526 .59731 L
.52445 .59538 L
.52409 .59496 L
.52228 .59346 L
.52216 .59244 L
.52138 .59153 L
.52023 .58992 L
.52006 .5896 L
.51844 .58768 L
.51831 .58752 L
.5166 .58575 L
.51638 .58494 L
.51551 .58382 L
.51445 .58233 L
.51427 .58189 L
.51258 .57997 L
.51253 .5799 L
.51089 .57804 L
.5106 .57729 L
.50974 .57611 L
.50867 .57463 L
.50854 .57419 L
.50682 .57226 L
.50674 .57217 L
.5052 .57033 L
.50482 .56953 L
.50403 .56841 L
.50289 .56686 L
.50285 .56648 L
.5011 .56455 L
.50096 .56438 L
.49952 .56263 L
.49904 .56172 L
.49835 .5607 L
.49711 .55906 L
.49682 .55877 L
.49541 .55684 L
.49518 .55655 L
.49386 .55492 L
.49326 .55388 L
.4927 .55299 L
.49133 .55124 L
.49115 .55106 L
.48975 .54914 L
.4894 .5487 L
.48822 .54721 L
.48747 .54602 L
.48705 .54528 L
.48555 .54341 L
.4855 .54336 L
.48364 .54143 L
.48362 .54083 L
.48259 .5395 L
.48169 .53815 L
.4814 .53758 L
.47985 .53565 L
.47977 .53558 L
.47801 .53372 L
.47784 .53295 L
.47696 .53179 L
.47591 .53026 L
.47574 .52987 L
.47421 .52794 L
.47399 .52774 L
.47241 .52601 L
.47206 .52506 L
.47134 .52409 L
.47013 .52237 L
.47006 .52216 L
.46858 .52023 L
.46821 .51988 L
.46681 .51831 L
.46628 .51716 L
.46573 .51638 L
.46435 .51446 L
.46435 .51445 L
.46296 .51253 L
.46242 .512 L
.46124 .5106 L
.4605 .50923 L
.46012 .50867 L
.45873 .50674 L
.45857 .50654 L
.45734 .50482 L
.45664 .50409 L
.45567 .50289 L
.45472 .50128 L
.45451 .50096 L
.45313 .49904 L
.45279 .49859 L
.45174 .49711 L
.45086 .49613 L
.45012 .49518 L
.44894 .4933 L
.44891 .49326 L
.44754 .49133 L
.44701 .49061 L
.44616 .4894 L
.44508 .48811 L
.44461 .48747 L
.44335 .48555 L
.44316 .48529 L
.44199 .48362 L
.44123 .4826 L
.4406 .48169 L
.4393 .47999 L
.43914 .47977 L
.43785 .47784 L
.43737 .47721 L
.43649 .47591 L
.43545 .47449 L
.43474 .47399 L
.43374 .47206 L
.43352 .47176 L
.43244 .47013 L
.43159 .46896 L
.4311 .46821 L
.42974 .46628 L
.42967 .46618 L
.42849 .46435 L
.42774 .46329 L
.4272 .46242 L
.42588 .4605 L
.42581 .4604 L
.42468 .45857 L
.42389 .45741 L
.42343 .45664 L
.42214 .45472 L
.42196 .45445 L
.42091 .45279 L
.42003 .45151 L
.41963 .45086 L
.41834 .44894 L
.41811 .44859 L
.41708 .44701 L
.41618 .44559 L
.41587 .44508 L
.41479 .44316 L
F
1 .85 0 r
.41618 .4099 m
.41673 .4104 L
.41811 .41139 L
.41867 .41232 L
.42003 .41378 L
.42081 .41425 L
.42196 .41618 L
.42196 .41618 L
.42345 .41811 L
.42389 .41866 L
.4249 .42003 L
.42581 .4209 L
.42674 .42196 L
.42764 .42389 L
.42774 .42404 L
.42883 .42581 L
.42967 .42747 L
.42977 .42774 L
.42967 .42862 L
.42774 .42799 L
.42752 .42774 L
.42581 .42607 L
.42561 .42581 L
.42399 .42389 L
.42389 .42376 L
.42251 .42196 L
.42196 .42125 L
.42107 .42003 L
.42003 .41894 L
.41928 .41811 L
.41833 .41618 L
.41811 .41586 L
.41708 .41425 L
.41618 .41285 L
.41587 .41232 L
.41497 .4104 L
F
0 .99 1 r
.41618 .3428 m
.41632 .34296 L
.41811 .34488 L
.41811 .34488 L
.41982 .34681 L
.42003 .34703 L
.42151 .34874 L
.42196 .34883 L
.42318 .35066 L
.42389 .35144 L
.42483 .35259 L
.42581 .35383 L
.42657 .35452 L
.42774 .3562 L
.42795 .35644 L
.42957 .35837 L
.42967 .35849 L
.43111 .3603 L
.43159 .36096 L
.43269 .36222 L
.43352 .36352 L
.43394 .36415 L
.43545 .36603 L
.43563 .36608 L
.4371 .36801 L
.43737 .36841 L
.43856 .36993 L
.4393 .37108 L
.43974 .37186 L
.44123 .37346 L
.44147 .37379 L
.44307 .37571 L
.44316 .37608 L
.44431 .37764 L
.44508 .3788 L
.44544 .37957 L
.44701 .38122 L
.44722 .38149 L
.44878 .38342 L
.44894 .38387 L
.45 .38535 L
.45086 .3866 L
.4511 .38727 L
.45279 .38904 L
.45291 .3892 L
.45446 .39113 L
.45472 .39171 L
.45566 .39306 L
.45664 .39444 L
.45675 .39498 L
.45857 .39691 L
.45857 .39691 L
.46012 .39884 L
.4605 .39958 L
.4613 .40076 L
.46242 .40229 L
.46283 .40269 L
.46423 .40462 L
.46435 .40478 L
.46577 .40654 L
.46628 .40746 L
.46694 .40847 L
.46821 .41014 L
.46848 .4104 L
.46988 .41232 L
.47013 .41265 L
.47141 .41425 L
.47206 .41534 L
.47257 .41618 L
.47399 .41798 L
.47412 .41811 L
.47552 .42003 L
.47591 .42053 L
.47703 .42196 L
.47784 .42322 L
.47821 .42389 L
.47976 .42581 L
.47977 .42582 L
.48158 .42774 L
.48169 .42842 L
.48266 .42967 L
.48362 .43111 L
.48386 .43159 L
.4854 .43352 L
.48555 .43366 L
.4872 .43545 L
.48747 .43631 L
.48828 .43737 L
.4894 .43899 L
.48952 .4393 L
.49103 .44123 L
.49133 .44151 L
.49281 .44316 L
.49326 .4442 L
.4939 .44508 L
.49518 .44688 L
.49522 .44701 L
.49667 .44894 L
.49711 .44938 L
.49841 .45086 L
.49904 .4521 L
.49952 .45279 L
.50091 .45472 L
.50096 .45478 L
.5023 .45664 L
.50289 .45726 L
.504 .45857 L
.50482 .46001 L
.50514 .4605 L
.50654 .46242 L
.50674 .46269 L
.50793 .46435 L
.50867 .46516 L
.50958 .46628 L
.5106 .46793 L
.51077 .46821 L
.51217 .47013 L
.51253 .4706 L
.51356 .47206 L
.51445 .47307 L
.51518 .47399 L
.51638 .47585 L
.51641 .47591 L
.51779 .47784 L
.51831 .47852 L
.51919 .47977 L
.52023 .48099 L
.52077 .48169 L
.52204 .48362 L
.52216 .48378 L
.52341 .48555 L
.52409 .48643 L
.52482 .48747 L
.52601 .48894 L
.52636 .4894 L
.52766 .49133 L
.52794 .4917 L
.52903 .49326 L
.52987 .49436 L
.53101 .49518 L
.53179 .49694 L
.53192 .49711 L
.53325 .49904 L
.53372 .49966 L
.53463 .50096 L
.53565 .50218 L
.53625 .50289 L
.53746 .50482 L
.53758 .50493 L
.53882 .50674 L
.5395 .50762 L
.54037 .50867 L
.54143 .51033 L
.54162 .5106 L
.54315 .51253 L
.54336 .513 L
.54444 .51445 L
.54528 .51568 L
.54575 .51638 L
.54719 .51831 L
.54721 .51835 L
.54859 .52023 L
.54914 .521 L
.54991 .52216 L
.55106 .52368 L
.55125 .52409 L
.55279 .52601 L
.55299 .52617 L
.55413 .52794 L
.55492 .52903 L
.55546 .52987 L
.55683 .53179 L
.55492 .5335 L
.55299 .53322 L
.55113 .53179 L
.55106 .53172 L
.54964 .52987 L
.54914 .52901 L
.5482 .52794 L
.54721 .52657 L
.5466 .52601 L
.54533 .52409 L
.54528 .52403 L
.54395 .52216 L
.54336 .52163 L
.54202 .52023 L
.54143 .51884 L
.54102 .51831 L
.53971 .51638 L
.5395 .5161 L
.53833 .51445 L
.53758 .51373 L
.53669 .51253 L
.53565 .51082 L
.53551 .5106 L
.53416 .50867 L
.53372 .50821 L
.53266 .50674 L
.53179 .50534 L
.53146 .50482 L
.53008 .50289 L
.52987 .5025 L
.52908 .50096 L
.52794 .49967 L
.52751 .49904 L
.5262 .49711 L
.52601 .49672 L
.52477 .49518 L
.52409 .49418 L
.52335 .49326 L
.52216 .49156 L
.52197 .49133 L
.5205 .4894 L
.52023 .48903 L
.519 .48747 L
.51831 .48651 L
.51753 .48555 L
.51638 .48393 L
.51613 .48362 L
.51495 .48169 L
.51445 .48136 L
.51322 .47977 L
.51253 .4788 L
.51178 .47784 L
.5106 .47618 L
.51039 .47591 L
.50909 .47399 L
.50867 .47341 L
.50752 .47206 L
.50674 .47097 L
.5061 .47013 L
.50482 .46833 L
.50472 .46821 L
.50342 .46628 L
.50289 .46558 L
.50247 .46435 L
.50096 .46269 L
.50045 .46242 L
.49907 .4605 L
.49904 .46045 L
.4978 .45857 L
.49711 .45769 L
.49621 .45664 L
.49518 .45488 L
.49481 .45472 L
.49341 .45279 L
.49326 .45254 L
.4922 .45086 L
.49133 .44978 L
.49057 .44894 L
.4894 .44707 L
.48918 .44701 L
.48777 .44508 L
.48747 .44463 L
.48661 .44316 L
.48555 .44189 L
.48493 .44123 L
.48362 .4394 L
.48354 .4393 L
.48214 .43737 L
.48169 .43673 L
.48102 .43545 L
.47977 .434 L
.4793 .43352 L
.47786 .43159 L
.47784 .4315 L
.47652 .42967 L
.47591 .42883 L
.47543 .42774 L
.47399 .42613 L
.47366 .42581 L
.47216 .42389 L
.47206 .42361 L
.4709 .42196 L
.47013 .42093 L
.46982 .42003 L
.46821 .41827 L
.46804 .41811 L
.46649 .41618 L
.46628 .41572 L
.46529 .41425 L
.46435 .41303 L
.4642 .41232 L
.46242 .41041 L
.46241 .4104 L
.46085 .40847 L
.4605 .40782 L
.45968 .40654 L
.45857 .40513 L
.45856 .40462 L
.45678 .40269 L
.45664 .40257 L
.45522 .40076 L
.45472 .39992 L
.45406 .39884 L
.45279 .39722 L
.45255 .39691 L
.45116 .39498 L
.45086 .39471 L
.44961 .39306 L
.44894 .392 L
.44845 .39113 L
.44701 .3893 L
.44694 .3892 L
.44555 .38727 L
.44508 .38682 L
.44401 .38535 L
.44316 .38405 L
.44283 .38342 L
.44134 .38149 L
.44123 .38134 L
.43941 .37957 L
.4393 .37888 L
.43844 .37764 L
.43737 .37606 L
.43722 .37571 L
.43577 .37379 L
.43545 .37335 L
.43387 .37186 L
.43352 .37086 L
.43291 .36993 L
.4316 .36801 L
.43159 .36799 L
.43025 .36608 L
.42967 .36527 L
.42844 .36415 L
.42774 .36267 L
.42746 .36222 L
.42617 .3603 L
.42581 .35979 L
.42485 .35837 L
.42389 .357 L
.42325 .35644 L
.42221 .35452 L
.42196 .35416 L
.42096 .35259 L
.42003 .35123 L
.41968 .35066 L
.41847 .34874 L
.41811 .34819 L
.41733 .34681 L
.41618 .34495 L
.41614 .34488 L
.41528 .34296 L
F
1 .84 0 r
.41618 .41018 m
.41644 .4104 L
.41811 .41163 L
.41852 .41232 L
.42003 .41395 L
.42055 .41425 L
.42185 .41618 L
.42196 .41631 L
.42335 .41811 L
.42389 .41879 L
.42481 .42003 L
.42581 .42106 L
.42659 .42196 L
.42753 .42389 L
.42774 .42421 L
.4287 .42581 L
.42954 .42774 L
.42774 .42776 L
.42772 .42774 L
.42581 .42593 L
.42572 .42581 L
.4241 .42389 L
.42389 .42364 L
.4226 .42196 L
.42196 .42114 L
.42116 .42003 L
.42003 .41878 L
.41943 .41811 L
.41843 .41618 L
.41811 .41571 L
.41719 .41425 L
.41618 .41263 L
.41601 .41232 L
.41531 .4104 L
F
1 .96 0 r
.41618 .36727 m
.41677 .36801 L
.41811 .36943 L
.41849 .36993 L
.42003 .37173 L
.42013 .37186 L
.42165 .37379 L
.42196 .37414 L
.42315 .37571 L
.42389 .37659 L
.42466 .37764 L
.42581 .37906 L
.42619 .37957 L
.42769 .38149 L
.42774 .38155 L
.42912 .38342 L
.42967 .3841 L
.43057 .38535 L
.43159 .38664 L
.43205 .38727 L
.43352 .38918 L
.43354 .3892 L
.43493 .39113 L
.43545 .39178 L
.43636 .39306 L
.43737 .39393 L
.43781 .39498 L
.43927 .39691 L
.4393 .39695 L
.44064 .39884 L
.44123 .39959 L
.44205 .40076 L
.44316 .40185 L
.4435 .40269 L
.44492 .40462 L
.44508 .40483 L
.44628 .40654 L
.44701 .40749 L
.44768 .40847 L
.44894 .40992 L
.44912 .4104 L
.45049 .41232 L
.45086 .41281 L
.45184 .41425 L
.45279 .41551 L
.45324 .41618 L
.45466 .41811 L
.45472 .41819 L
.45595 .42003 L
.45664 .42096 L
.45729 .42196 L
.45857 .4237 L
.45869 .42389 L
.45996 .42581 L
.4605 .42654 L
.46122 .42774 L
.46242 .4294 L
.46258 .42967 L
.46242 .43144 L
.46105 .42967 L
.4605 .42904 L
.45947 .42774 L
.45857 .42667 L
.45788 .42581 L
.45664 .42469 L
.45631 .42389 L
.45477 .42196 L
.45472 .4219 L
.45323 .42003 L
.45279 .41949 L
.45169 .41811 L
.45086 .41761 L
.45016 .41618 L
.44894 .41464 L
.44851 .41425 L
.44718 .41232 L
.44701 .41211 L
.4457 .4104 L
.44508 .41011 L
.44422 .40847 L
.44316 .40712 L
.44259 .40654 L
.44133 .40462 L
.44123 .40449 L
.43989 .40269 L
.4393 .40238 L
.43844 .40076 L
.43737 .39937 L
.4369 .39884 L
.43562 .39691 L
.43545 .39668 L
.4342 .39498 L
.43352 .39449 L
.43279 .39306 L
.43159 .39144 L
.43133 .39113 L
.43002 .3892 L
.42967 .38873 L
.42863 .38727 L
.42774 .38641 L
.42724 .38535 L
.42587 .38342 L
.42581 .38334 L
.42453 .38149 L
.42389 .38059 L
.42317 .37957 L
.42196 .37797 L
.42162 .37764 L
.42053 .37571 L
.42003 .37501 L
.41922 .37379 L
.41811 .37215 L
.41792 .37186 L
.41673 .36993 L
.41618 .3691 L
.41557 .36801 L
F
1 .32 0 r
.41618 .46906 m
.41703 .47013 L
.41811 .47135 L
.41866 .47206 L
.42003 .47372 L
.42024 .47399 L
.42175 .47591 L
.42196 .47616 L
.42323 .47784 L
.42389 .47864 L
.42473 .47977 L
.42581 .48114 L
.42623 .48169 L
.42771 .48362 L
.42774 .48366 L
.42913 .48555 L
.42967 .48623 L
.43057 .48747 L
.43159 .48879 L
.43204 .4894 L
.43349 .49133 L
.43352 .49137 L
.43487 .49326 L
.43545 .494 L
.43629 .49518 L
.43737 .49661 L
.43773 .49711 L
.43913 .49904 L
.4393 .49925 L
.4405 .50096 L
.44123 .50193 L
.44189 .50289 L
.44316 .5046 L
.44331 .50482 L
.44465 .50674 L
.44508 .50732 L
.44599 .50867 L
.44701 .51006 L
.44737 .5106 L
.4487 .51253 L
.44894 .51285 L
.44995 .51445 L
.45086 .51573 L
.45125 .51638 L
.45086 .51778 L
.44974 .51638 L
.44894 .51549 L
.44813 .51445 L
.44701 .51313 L
.44655 .51253 L
.44508 .51078 L
.445 .5106 L
.44353 .50867 L
.44316 .50822 L
.44205 .50674 L
.44123 .50572 L
.44056 .50482 L
.4393 .50339 L
.43907 .50289 L
.43763 .50096 L
.43737 .50064 L
.4362 .49904 L
.43545 .49807 L
.43475 .49711 L
.43352 .49567 L
.43329 .49518 L
.43189 .49326 L
.43159 .49288 L
.43049 .49133 L
.42967 .49025 L
.42906 .4894 L
.42774 .48771 L
.42763 .48747 L
.42627 .48555 L
.42581 .48495 L
.42489 .48362 L
.42389 .48227 L
.42349 .48169 L
.42211 .47977 L
.42196 .47957 L
.4208 .47784 L
.42003 .47681 L
.41944 .47591 L
.41811 .47405 L
.41806 .47399 L
.41684 .47206 L
.41618 .47114 L
.41558 .47013 L
F
0 .68 1 r
.41618 .46071 m
.41768 .46242 L
.41811 .46288 L
.41933 .46435 L
.42003 .46515 L
.42095 .46628 L
.42196 .46726 L
.42253 .46821 L
.42389 .46987 L
.42418 .47013 L
.4256 .47206 L
.42581 .47232 L
.42711 .47399 L
.42774 .47457 L
.42862 .47591 L
.42967 .47723 L
.43025 .47784 L
.43159 .47977 L
.43159 .47977 L
.43306 .48169 L
.43352 .48214 L
.43453 .48362 L
.43545 .4848 L
.4361 .48555 L
.43737 .48739 L
.43743 .48747 L
.43889 .4894 L
.4393 .48981 L
.44105 .49133 L
.44123 .49249 L
.44185 .49326 L
.44316 .49511 L
.44319 .49518 L
.44464 .49711 L
.44508 .49756 L
.44661 .49904 L
.44701 .50027 L
.44755 .50096 L
.44892 .50289 L
.44894 .50291 L
.45033 .50482 L
.45086 .50537 L
.45218 .50674 L
.45279 .50811 L
.4532 .50867 L
.45459 .5106 L
.45472 .51077 L
.45599 .51253 L
.45664 .51324 L
.45774 .51445 L
.45857 .51602 L
.45882 .51638 L
.4602 .51831 L
.4605 .5187 L
.4616 .52023 L
.46242 .52119 L
.46326 .52216 L
.46435 .524 L
.46441 .52409 L
.46578 .52601 L
.46628 .52669 L
.46716 .52794 L
.46821 .52924 L
.46872 .52987 L
.46993 .53179 L
.47013 .53206 L
.47129 .53372 L
.47206 .53478 L
.47266 .53565 L
.47399 .53746 L
.47408 .53758 L
.47536 .5395 L
.47591 .54026 L
.4767 .54143 L
.47784 .54303 L
.47806 .54336 L
.47935 .54528 L
.47977 .54587 L
.48062 .54721 L
.48169 .54877 L
.48193 .54914 L
.48311 .55106 L
.48362 .55185 L
.48421 .55299 L
.48362 .55387 L
.48281 .55299 L
.48169 .55184 L
.48103 .55106 L
.47977 .55001 L
.47936 .54914 L
.47784 .54734 L
.47765 .54721 L
.47619 .54528 L
.47591 .54495 L
.47465 .54336 L
.47399 .54294 L
.47311 .54143 L
.47206 .54017 L
.47129 .5395 L
.47013 .53763 L
.47009 .53758 L
.46861 .53565 L
.46821 .5354 L
.46713 .53372 L
.46628 .53269 L
.46538 .53179 L
.46435 .53008 L
.46419 .52987 L
.46274 .52794 L
.46242 .52773 L
.46128 .52601 L
.4605 .52505 L
.45962 .52409 L
.45857 .52241 L
.4584 .52216 L
.45695 .52023 L
.45664 .52001 L
.45552 .51831 L
.45472 .51731 L
.45392 .51638 L
.45279 .51464 L
.45267 .51445 L
.45123 .51253 L
.45086 .51224 L
.44981 .5106 L
.44894 .5095 L
.44826 .50867 L
.44701 .50681 L
.44697 .50674 L
.44556 .50482 L
.44508 .50441 L
.44346 .50289 L
.44316 .50162 L
.44264 .50096 L
.44132 .49904 L
.44123 .49892 L
.43993 .49711 L
.4393 .49653 L
.43798 .49518 L
.43737 .49368 L
.43706 .49326 L
.43572 .49133 L
.43545 .49096 L
.43434 .4894 L
.43352 .48855 L
.43254 .48747 L
.43159 .48565 L
.43152 .48555 L
.43018 .48362 L
.42967 .48293 L
.4288 .48169 L
.42774 .48043 L
.42718 .47977 L
.42604 .47784 L
.42581 .47753 L
.4247 .47591 L
.42389 .47479 L
.42334 .47399 L
.42196 .47206 L
.42196 .47206 L
.42068 .47013 L
.42003 .46923 L
.41936 .46821 L
.41811 .46641 L
.41802 .46628 L
.4168 .46435 L
.41618 .46344 L
.41558 .46242 L
F
1 .31 0 r
.41618 .46916 m
.41696 .47013 L
.41811 .47142 L
.4186 .47206 L
.42003 .47377 L
.4202 .47399 L
.4217 .47591 L
.42196 .47621 L
.42319 .47784 L
.42389 .47869 L
.42469 .47977 L
.42581 .48118 L
.42619 .48169 L
.42767 .48362 L
.42774 .4837 L
.42909 .48555 L
.42967 .48627 L
.43054 .48747 L
.43159 .48883 L
.43201 .4894 L
.43345 .49133 L
.43352 .49141 L
.43484 .49326 L
.43545 .49404 L
.43626 .49518 L
.43737 .49665 L
.4377 .49711 L
.4391 .49904 L
.4393 .4993 L
.44046 .50096 L
.44123 .50197 L
.44186 .50289 L
.44316 .50464 L
.44328 .50482 L
.44461 .50674 L
.44508 .50737 L
.44595 .50867 L
.44701 .51012 L
.44733 .5106 L
.44865 .51253 L
.44894 .51292 L
.44989 .51445 L
.45086 .51582 L
.45119 .51638 L
.45086 .51768 L
.44982 .51638 L
.44894 .51542 L
.44818 .51445 L
.44701 .51307 L
.44659 .51253 L
.44508 .51069 L
.44504 .5106 L
.44357 .50867 L
.44316 .50817 L
.44209 .50674 L
.44123 .50567 L
.44059 .50482 L
.4393 .50333 L
.4391 .50289 L
.43766 .50096 L
.43737 .5006 L
.43623 .49904 L
.43545 .49803 L
.43478 .49711 L
.43352 .49561 L
.43332 .49518 L
.43192 .49326 L
.43159 .49284 L
.43052 .49133 L
.42967 .49021 L
.42909 .4894 L
.42774 .48765 L
.42766 .48747 L
.4263 .48555 L
.42581 .4849 L
.42492 .48362 L
.42389 .48222 L
.42352 .48169 L
.42215 .47977 L
.42196 .47952 L
.42084 .47784 L
.42003 .47675 L
.41948 .47591 L
.41811 .47399 L
.4181 .47399 L
.4169 .47206 L
.41618 .47105 L
.41564 .47013 L
F
0 .67 1 r
.41618 .46086 m
.41757 .46242 L
.41811 .46299 L
.41925 .46435 L
.42003 .46524 L
.42088 .46628 L
.42196 .46735 L
.42247 .46821 L
.42389 .46994 L
.4241 .47013 L
.42555 .47206 L
.42581 .47238 L
.42707 .47399 L
.42774 .47462 L
.42858 .47591 L
.42967 .47728 L
.4302 .47784 L
.43156 .47977 L
.43159 .47981 L
.43302 .48169 L
.43352 .48217 L
.4345 .48362 L
.43545 .48484 L
.43607 .48555 L
.43737 .48742 L
.43741 .48747 L
.43886 .4894 L
.4393 .48984 L
.44103 .49133 L
.44123 .49252 L
.44182 .49326 L
.44316 .49514 L
.44318 .49518 L
.44461 .49711 L
.44508 .49759 L
.44659 .49904 L
.44701 .5003 L
.44752 .50096 L
.4489 .50289 L
.44894 .50294 L
.45031 .50482 L
.45086 .5054 L
.45216 .50674 L
.45279 .50814 L
.45318 .50867 L
.45456 .5106 L
.45472 .5108 L
.45596 .51253 L
.45664 .51327 L
.45772 .51445 L
.45857 .51605 L
.4588 .51638 L
.46018 .51831 L
.4605 .51873 L
.46157 .52023 L
.46242 .52122 L
.46323 .52216 L
.46435 .52404 L
.46439 .52409 L
.46575 .52601 L
.46628 .52673 L
.46714 .52794 L
.46821 .52928 L
.46868 .52987 L
.4699 .53179 L
.47013 .5321 L
.47126 .53372 L
.47206 .53482 L
.47263 .53565 L
.47399 .53752 L
.47403 .53758 L
.47532 .5395 L
.47591 .54032 L
.47666 .54143 L
.47784 .54309 L
.47802 .54336 L
.47929 .54528 L
.47977 .54595 L
.48056 .54721 L
.48169 .54887 L
.48186 .54914 L
.483 .55106 L
.48362 .55205 L
.48406 .55299 L
.48362 .55366 L
.48298 .55299 L
.48169 .55171 L
.48114 .55106 L
.47977 .54985 L
.47944 .54914 L
.47784 .54724 L
.47779 .54721 L
.47626 .54528 L
.47591 .54488 L
.4747 .54336 L
.47399 .54289 L
.47316 .54143 L
.47206 .54011 L
.47135 .5395 L
.47013 .53758 L
.47013 .53758 L
.46865 .53565 L
.46821 .53537 L
.46716 .53372 L
.46628 .53264 L
.46542 .53179 L
.46435 .53004 L
.46422 .52987 L
.46277 .52794 L
.46242 .52771 L
.46131 .52601 L
.4605 .52501 L
.45964 .52409 L
.45857 .52237 L
.45842 .52216 L
.45698 .52023 L
.45664 .51999 L
.45554 .51831 L
.45472 .51728 L
.45394 .51638 L
.45279 .51461 L
.45269 .51445 L
.45126 .51253 L
.45086 .51222 L
.44983 .5106 L
.44894 .50947 L
.44828 .50867 L
.44701 .50678 L
.44699 .50674 L
.44558 .50482 L
.44508 .50439 L
.44348 .50289 L
.44316 .50159 L
.44266 .50096 L
.44134 .49904 L
.44123 .49889 L
.43995 .49711 L
.4393 .4965 L
.43801 .49518 L
.43737 .49364 L
.43708 .49326 L
.43575 .49133 L
.43545 .49093 L
.43436 .4894 L
.43352 .48851 L
.43257 .48747 L
.43159 .48561 L
.43155 .48555 L
.4302 .48362 L
.42967 .4829 L
.42883 .48169 L
.42774 .48037 L
.42722 .47977 L
.42608 .47784 L
.42581 .47748 L
.42474 .47591 L
.42389 .47474 L
.42337 .47399 L
.42201 .47206 L
.42196 .472 L
.42073 .47013 L
.42003 .46916 L
.41941 .46821 L
.41811 .46633 L
.41807 .46628 L
.41688 .46435 L
.41618 .46332 L
.41567 .46242 L
F
1 .96 0 r
.41618 .43522 m
.41667 .43545 L
.41811 .43556 L
.4194 .43737 L
.42003 .43774 L
.42109 .4393 L
.42196 .44016 L
.42264 .44123 L
.42389 .44275 L
.42431 .44316 L
.42559 .44508 L
.42581 .44538 L
.42698 .44701 L
.42774 .44801 L
.42839 .44894 L
.42967 .45058 L
.42988 .45086 L
.43115 .45279 L
.43159 .45341 L
.43246 .45472 L
.43352 .45623 L
.43407 .45664 L
.43499 .45857 L
.43545 .45934 L
.43602 .4605 L
.43659 .46242 L
.43545 .46322 L
.43465 .46242 L
.43352 .46141 L
.43273 .4605 L
.43159 .45922 L
.43082 .45857 L
.42967 .45686 L
.42948 .45664 L
.42797 .45472 L
.42774 .45445 L
.42602 .45279 L
.42581 .45193 L
.42497 .45086 L
.42389 .44934 L
.42365 .44894 L
.42215 .44701 L
.42196 .44682 L
.42054 .44508 L
.42003 .44413 L
.41944 .44316 L
.41811 .44125 L
.4181 .44123 L
.41686 .4393 L
.41618 .43804 L
.4157 .43737 L
.41589 .43545 L
F
1 .3 0 r
.41618 .46926 m
.41688 .47013 L
.41811 .47149 L
.41855 .47206 L
.42003 .47383 L
.42015 .47399 L
.42165 .47591 L
.42196 .47627 L
.42314 .47784 L
.42389 .47874 L
.42465 .47977 L
.42581 .48123 L
.42616 .48169 L
.42764 .48362 L
.42774 .48375 L
.42906 .48555 L
.42967 .48631 L
.43051 .48747 L
.43159 .48887 L
.43198 .4894 L
.43342 .49133 L
.43352 .49145 L
.43481 .49326 L
.43545 .49408 L
.43623 .49518 L
.43737 .49669 L
.43767 .49711 L
.43907 .49904 L
.4393 .49934 L
.44043 .50096 L
.44123 .50202 L
.44183 .50289 L
.44316 .50468 L
.44325 .50482 L
.44457 .50674 L
.44508 .50742 L
.44591 .50867 L
.44701 .51017 L
.44729 .5106 L
.44859 .51253 L
.44894 .51299 L
.44983 .51445 L
.45086 .51592 L
.45113 .51638 L
.45086 .51757 L
.4499 .51638 L
.44894 .51534 L
.44824 .51445 L
.44701 .513 L
.44664 .51253 L
.44508 .5106 L
.44508 .5106 L
.44362 .50867 L
.44316 .50812 L
.44213 .50674 L
.44123 .50563 L
.44063 .50482 L
.4393 .50326 L
.43913 .50289 L
.4377 .50096 L
.43737 .50056 L
.43626 .49904 L
.43545 .49799 L
.43481 .49711 L
.43352 .49555 L
.43335 .49518 L
.43195 .49326 L
.43159 .4928 L
.43055 .49133 L
.42967 .49017 L
.42912 .4894 L
.42774 .48759 L
.42769 .48747 L
.42634 .48555 L
.42581 .48486 L
.42496 .48362 L
.42389 .48218 L
.42355 .48169 L
.42219 .47977 L
.42196 .47946 L
.42088 .47784 L
.42003 .47669 L
.41952 .47591 L
.41816 .47399 L
.41811 .47392 L
.41696 .47206 L
.41618 .47095 L
.41571 .47013 L
F
0 .66 1 r
.41618 .46103 m
.41744 .46242 L
.41811 .46311 L
.41916 .46435 L
.42003 .46534 L
.42081 .46628 L
.42196 .46744 L
.42241 .46821 L
.42389 .47002 L
.42402 .47013 L
.4255 .47206 L
.42581 .47244 L
.42702 .47399 L
.42774 .47467 L
.42854 .47591 L
.42967 .47734 L
.43016 .47784 L
.43152 .47977 L
.43159 .47986 L
.43299 .48169 L
.43352 .48221 L
.43447 .48362 L
.43545 .48488 L
.43603 .48555 L
.43737 .48746 L
.43738 .48747 L
.43883 .4894 L
.4393 .48987 L
.44101 .49133 L
.44123 .49256 L
.4418 .49326 L
.44316 .49517 L
.44316 .49518 L
.44459 .49711 L
.44508 .49761 L
.44657 .49904 L
.44701 .50033 L
.4475 .50096 L
.44888 .50289 L
.44894 .50297 L
.45029 .50482 L
.45086 .50543 L
.45214 .50674 L
.45279 .50817 L
.45316 .50867 L
.45454 .5106 L
.45472 .51083 L
.45594 .51253 L
.45664 .5133 L
.45769 .51445 L
.45857 .51608 L
.45878 .51638 L
.46016 .51831 L
.4605 .51876 L
.46155 .52023 L
.46242 .52126 L
.4632 .52216 L
.46435 .52407 L
.46436 .52409 L
.46572 .52601 L
.46628 .52676 L
.46711 .52794 L
.46821 .52933 L
.46865 .52987 L
.46987 .53179 L
.47013 .53215 L
.47122 .53372 L
.47206 .53487 L
.4726 .53565 L
.47398 .53758 L
.47399 .53759 L
.47528 .5395 L
.47591 .54037 L
.47662 .54143 L
.47784 .54316 L
.47797 .54336 L
.47923 .54528 L
.47977 .54604 L
.4805 .54721 L
.48169 .54898 L
.48179 .54914 L
.48287 .55106 L
.48362 .55232 L
.48387 .55299 L
.48362 .55339 L
.4832 .55299 L
.48169 .55157 L
.48125 .55106 L
.47977 .54967 L
.47953 .54914 L
.47789 .54721 L
.47784 .54715 L
.47632 .54528 L
.47591 .54481 L
.47476 .54336 L
.47399 .54283 L
.47321 .54143 L
.47206 .54005 L
.47141 .5395 L
.47017 .53758 L
.47013 .53752 L
.46869 .53565 L
.46821 .53534 L
.4672 .53372 L
.46628 .5326 L
.46546 .53179 L
.46435 .53 L
.46425 .52987 L
.4628 .52794 L
.46242 .52769 L
.46134 .52601 L
.4605 .52498 L
.45967 .52409 L
.45857 .52234 L
.45845 .52216 L
.457 .52023 L
.45664 .51997 L
.45557 .51831 L
.45472 .51724 L
.45397 .51638 L
.45279 .51458 L
.45271 .51445 L
.45128 .51253 L
.45086 .5122 L
.44985 .5106 L
.44894 .50944 L
.4483 .50867 L
.44701 .50675 L
.447 .50674 L
.4456 .50482 L
.44508 .50437 L
.4435 .50289 L
.44316 .50156 L
.44268 .50096 L
.44136 .49904 L
.44123 .49886 L
.43997 .49711 L
.4393 .49647 L
.43803 .49518 L
.43737 .49361 L
.43711 .49326 L
.43577 .49133 L
.43545 .4909 L
.43439 .4894 L
.43352 .48848 L
.43261 .48747 L
.43159 .48557 L
.43158 .48555 L
.43023 .48362 L
.42967 .48286 L
.42886 .48169 L
.42774 .48032 L
.42727 .47977 L
.42611 .47784 L
.42581 .47744 L
.42478 .47591 L
.42389 .47469 L
.42341 .47399 L
.42205 .47206 L
.42196 .47193 L
.42077 .47013 L
.42003 .46909 L
.41946 .46821 L
.41813 .46628 L
.41811 .46624 L
.41696 .46435 L
.41618 .46318 L
.41576 .46242 L
F
1 .29 0 r
.41618 .46938 m
.41679 .47013 L
.41811 .47157 L
.41849 .47206 L
.42003 .4739 L
.4201 .47399 L
.4216 .47591 L
.42196 .47633 L
.4231 .47784 L
.42389 .47879 L
.42462 .47977 L
.42581 .48127 L
.42613 .48169 L
.4276 .48362 L
.42774 .48379 L
.42903 .48555 L
.42967 .48635 L
.43048 .48747 L
.43159 .48891 L
.43195 .4894 L
.43339 .49133 L
.43352 .4915 L
.43478 .49326 L
.43545 .49412 L
.4362 .49518 L
.43737 .49673 L
.43764 .49711 L
.43903 .49904 L
.4393 .49938 L
.4404 .50096 L
.44123 .50206 L
.4418 .50289 L
.44316 .50473 L
.44322 .50482 L
.44453 .50674 L
.44508 .50748 L
.44587 .50867 L
.44701 .51023 L
.44725 .5106 L
.44854 .51253 L
.44894 .51307 L
.44977 .51445 L
.45086 .51602 L
.45106 .51638 L
.45086 .51744 L
.44999 .51638 L
.44894 .51526 L
.4483 .51445 L
.44701 .51294 L
.44669 .51253 L
.44513 .5106 L
.44508 .51054 L
.44366 .50867 L
.44316 .50807 L
.44217 .50674 L
.44123 .50558 L
.44066 .50482 L
.4393 .50319 L
.43917 .50289 L
.43774 .50096 L
.43737 .50051 L
.4363 .49904 L
.43545 .49795 L
.43484 .49711 L
.43352 .49549 L
.43338 .49518 L
.43198 .49326 L
.43159 .49276 L
.43058 .49133 L
.42967 .49013 L
.42915 .4894 L
.42774 .48752 L
.42772 .48747 L
.42637 .48555 L
.42581 .48481 L
.42499 .48362 L
.42389 .48213 L
.42358 .48169 L
.42223 .47977 L
.42196 .47941 L
.42092 .47784 L
.42003 .47663 L
.41956 .47591 L
.41822 .47399 L
.41811 .47384 L
.41703 .47206 L
.41618 .47084 L
.41579 .47013 L
F
0 .14 1 r
.41618 .47764 m
.4163 .47784 L
.41618 .47844 L
.41584 .47784 L
F
0 .65 1 r
.41618 .46122 m
.4173 .46242 L
.41811 .46323 L
.41906 .46435 L
.42003 .46543 L
.42073 .46628 L
.42196 .46754 L
.42235 .46821 L
.42389 .47009 L
.42393 .47013 L
.42544 .47206 L
.42581 .47251 L
.42697 .47399 L
.42774 .47473 L
.4285 .47591 L
.42967 .47739 L
.43011 .47784 L
.43148 .47977 L
.43159 .47991 L
.43295 .48169 L
.43352 .48224 L
.43443 .48362 L
.43545 .48492 L
.436 .48555 L
.43736 .48747 L
.43737 .4875 L
.4388 .4894 L
.4393 .4899 L
.44099 .49133 L
.44123 .49259 L
.44177 .49326 L
.44314 .49518 L
.44316 .49521 L
.44456 .49711 L
.44508 .49764 L
.44655 .49904 L
.44701 .50036 L
.44748 .50096 L
.44885 .50289 L
.44894 .503 L
.45026 .50482 L
.45086 .50545 L
.45212 .50674 L
.45279 .5082 L
.45314 .50867 L
.45452 .5106 L
.45472 .51086 L
.45592 .51253 L
.45664 .51333 L
.45767 .51445 L
.45857 .51612 L
.45876 .51638 L
.46013 .51831 L
.4605 .51879 L
.46153 .52023 L
.46242 .52129 L
.46317 .52216 L
.46434 .52409 L
.46435 .52411 L
.4657 .52601 L
.46628 .5268 L
.46708 .52794 L
.46821 .52937 L
.46861 .52987 L
.46984 .53179 L
.47013 .53219 L
.47119 .53372 L
.47206 .53491 L
.47257 .53565 L
.47394 .53758 L
.47399 .53764 L
.47524 .5395 L
.47591 .54043 L
.47658 .54143 L
.47784 .54322 L
.47793 .54336 L
.47917 .54528 L
.47977 .54613 L
.48043 .54721 L
.48169 .5491 L
.48172 .54914 L
.48273 .55106 L
.48169 .55142 L
.48138 .55106 L
.47977 .54947 L
.47962 .54914 L
.47798 .54721 L
.47784 .54706 L
.47639 .54528 L
.47591 .54473 L
.47482 .54336 L
.47399 .54277 L
.47326 .54143 L
.47206 .53998 L
.47148 .5395 L
.47022 .53758 L
.47013 .53747 L
.46873 .53565 L
.46821 .5353 L
.46724 .53372 L
.46628 .53255 L
.4655 .53179 L
.46435 .52996 L
.46428 .52987 L
.46283 .52794 L
.46242 .52766 L
.46137 .52601 L
.4605 .52494 L
.4597 .52409 L
.45857 .52231 L
.45847 .52216 L
.45703 .52023 L
.45664 .51995 L
.45559 .51831 L
.45472 .51721 L
.45399 .51638 L
.45279 .51455 L
.45273 .51445 L
.4513 .51253 L
.45086 .51217 L
.44988 .5106 L
.44894 .5094 L
.44833 .50867 L
.44702 .50674 L
.44701 .50673 L
.44563 .50482 L
.44508 .50434 L
.44352 .50289 L
.44316 .50153 L
.44271 .50096 L
.44139 .49904 L
.44123 .49883 L
.44 .49711 L
.4393 .49644 L
.43806 .49518 L
.43737 .49357 L
.43713 .49326 L
.43579 .49133 L
.43545 .49087 L
.43441 .4894 L
.43352 .48844 L
.43264 .48747 L
.43161 .48555 L
.43159 .48553 L
.43026 .48362 L
.42967 .48282 L
.42888 .48169 L
.42774 .48027 L
.42731 .47977 L
.42615 .47784 L
.42581 .47739 L
.42481 .47591 L
.42389 .47464 L
.42345 .47399 L
.4221 .47206 L
.42196 .47187 L
.42082 .47013 L
.42003 .46902 L
.41951 .46821 L
.4182 .46628 L
.41811 .46614 L
.41705 .46435 L
.41618 .46302 L
.41587 .46242 L
F
1 .28 0 r
.41618 .46951 m
.41669 .47013 L
.41811 .47165 L
.41843 .47206 L
.42003 .47396 L
.42005 .47399 L
.42155 .47591 L
.42196 .47639 L
.42306 .47784 L
.42389 .47884 L
.42458 .47977 L
.42581 .48132 L
.42609 .48169 L
.42756 .48362 L
.42774 .48384 L
.42899 .48555 L
.42967 .4864 L
.43045 .48747 L
.43159 .48895 L
.43192 .4894 L
.43335 .49133 L
.43352 .49154 L
.43475 .49326 L
.43545 .49416 L
.43617 .49518 L
.43737 .49677 L
.43761 .49711 L
.439 .49904 L
.4393 .49943 L
.44037 .50096 L
.44123 .5021 L
.44177 .50289 L
.44316 .50477 L
.44319 .50482 L
.44449 .50674 L
.44508 .50753 L
.44583 .50867 L
.44701 .51029 L
.44721 .5106 L
.44847 .51253 L
.44894 .51315 L
.4497 .51445 L
.45086 .51614 L
.45099 .51638 L
.45086 .51729 L
.4501 .51638 L
.44894 .51518 L
.44837 .51445 L
.44701 .51287 L
.44674 .51253 L
.44519 .5106 L
.44508 .51048 L
.44371 .50867 L
.44316 .50801 L
.44221 .50674 L
.44123 .50553 L
.4407 .50482 L
.4393 .50312 L
.4392 .50289 L
.43777 .50096 L
.43737 .50047 L
.43633 .49904 L
.43545 .49791 L
.43487 .49711 L
.43352 .49543 L
.43341 .49518 L
.43202 .49326 L
.43159 .49271 L
.43061 .49133 L
.42967 .49009 L
.42918 .4894 L
.42775 .48747 L
.42774 .48746 L
.42641 .48555 L
.42581 .48477 L
.42502 .48362 L
.42389 .48209 L
.42362 .48169 L
.42227 .47977 L
.42196 .47935 L
.42096 .47784 L
.42003 .47657 L
.4196 .47591 L
.41828 .47399 L
.41811 .47375 L
.41711 .47206 L
.41618 .47071 L
.41588 .47013 L
F
0 .97 1 r
.41618 .40294 m
.41811 .40373 L
.41931 .40462 L
.42003 .40537 L
.4213 .40654 L
.42196 .40744 L
.42316 .40847 L
.42389 .40983 L
.42445 .4104 L
.42581 .41191 L
.42614 .41232 L
.42761 .41425 L
.42774 .41443 L
.42913 .41618 L
.42967 .41707 L
.43031 .41811 L
.43159 .41973 L
.43197 .42003 L
.43337 .42196 L
.43352 .42212 L
.4348 .42389 L
.43545 .42475 L
.43593 .42581 L
.43737 .42755 L
.43749 .42774 L
.43926 .42967 L
.4393 .43118 L
.43932 .43159 L
.4393 .43162 L
.43737 .4321 L
.43575 .43159 L
.43545 .43142 L
.43365 .42967 L
.43352 .42949 L
.43211 .42774 L
.43159 .42706 L
.4302 .42581 L
.42967 .4245 L
.42914 .42389 L
.42776 .42196 L
.42774 .42194 L
.42637 .42003 L
.42581 .41958 L
.4246 .41811 L
.42389 .41673 L
.42353 .41618 L
.42219 .41425 L
.42196 .41394 L
.42084 .41232 L
.42003 .41119 L
.41921 .4104 L
.41816 .40847 L
.41811 .40839 L
.41698 .40654 L
.41618 .40513 L
.41593 .40462 L
F
1 .27 0 r
.41618 .46967 m
.41657 .47013 L
.41811 .47173 L
.41836 .47206 L
.41811 .47366 L
.41719 .47206 L
.41618 .47056 L
.41598 .47013 L
F
0 .64 1 r
.41618 .46145 m
.41713 .46242 L
.41811 .46336 L
.41896 .46435 L
.42003 .46553 L
.42065 .46628 L
.42196 .46765 L
.42228 .46821 L
.42386 .47013 L
.42389 .47017 L
.42539 .47206 L
.42581 .47257 L
.42693 .47399 L
.42774 .47478 L
.42845 .47591 L
.42967 .47744 L
.43006 .47784 L
.43144 .47977 L
.43159 .47996 L
.43292 .48169 L
.43352 .48228 L
.4344 .48362 L
.43545 .48496 L
.43597 .48555 L
.43733 .48747 L
.43737 .48754 L
.43877 .4894 L
.4393 .48993 L
.44097 .49133 L
.44123 .49263 L
.44174 .49326 L
.44311 .49518 L
.44316 .49524 L
.44454 .49711 L
.44508 .49767 L
.44653 .49904 L
.44701 .50039 L
.44745 .50096 L
.44883 .50289 L
.44894 .50303 L
.45024 .50482 L
.45086 .50548 L
.4521 .50674 L
.45279 .50824 L
.45311 .50867 L
.45449 .5106 L
.45472 .51089 L
.4559 .51253 L
.45664 .51336 L
.45764 .51445 L
.45857 .51615 L
.45873 .51638 L
.46011 .51831 L
.4605 .51883 L
.4615 .52023 L
.46242 .52133 L
.46314 .52216 L
.46431 .52409 L
.46435 .52414 L
.46567 .52601 L
.46628 .52684 L
.46706 .52794 L
.46821 .52942 L
.46857 .52987 L
.46981 .53179 L
.47013 .53223 L
.47116 .53372 L
.47206 .53496 L
.47253 .53565 L
.4739 .53758 L
.47399 .53769 L
.4752 .5395 L
.47591 .5405 L
.47653 .54143 L
.47784 .54329 L
.47788 .54336 L
.47911 .54528 L
.47977 .54623 L
.48036 .54721 L
.48162 .54914 L
.48169 .54925 L
.48255 .55106 L
.48169 .55125 L
.48152 .55106 L
.47977 .54926 L
.47971 .54914 L
.47807 .54721 L
.47784 .54697 L
.47646 .54528 L
.47591 .54465 L
.47488 .54336 L
.47399 .5427 L
.47331 .54143 L
.47206 .53992 L
.47156 .5395 L
.47026 .53758 L
.47013 .53742 L
.46877 .53565 L
.46821 .53527 L
.46727 .53372 L
.46628 .53251 L
.46554 .53179 L
.46435 .52992 L
.46431 .52987 L
.46286 .52794 L
.46242 .52764 L
.4614 .52601 L
.4605 .5249 L
.45974 .52409 L
.45857 .52227 L
.45849 .52216 L
.45706 .52023 L
.45664 .51992 L
.45562 .51831 L
.45472 .51718 L
.45402 .51638 L
.45279 .51452 L
.45275 .51445 L
.45133 .51253 L
.45086 .51215 L
.4499 .5106 L
.44894 .50937 L
.44835 .50867 L
.44705 .50674 L
.44701 .50669 L
.44565 .50482 L
.44508 .50432 L
.44354 .50289 L
.44316 .5015 L
.44273 .50096 L
.44141 .49904 L
.44123 .4988 L
.44002 .49711 L
.4393 .49641 L
.43809 .49518 L
.43737 .49354 L
.43716 .49326 L
.43582 .49133 L
.43545 .49083 L
.43444 .4894 L
.43352 .4884 L
.43268 .48747 L
.43164 .48555 L
.43159 .48549 L
.43029 .48362 L
.42967 .48278 L
.42891 .48169 L
.42774 .48021 L
.42736 .47977 L
.42618 .47784 L
.42581 .47734 L
.42485 .47591 L
.42389 .47458 L
.42348 .47399 L
.42215 .47206 L
.42196 .4718 L
.42088 .47013 L
.42003 .46894 L
.41957 .46821 L
.41828 .46628 L
.41811 .46603 L
.41715 .46435 L
.41618 .46283 L
.41598 .46242 L
F
0 .13 1 r
.41618 .47782 m
.41619 .47784 L
.41618 .47817 L
.41607 .47784 L
F
1 .26 0 r
.41618 .4699 m
.41639 .47013 L
.41811 .47183 L
.41829 .47206 L
.41811 .47356 L
.41729 .47206 L
.41618 .47034 L
.4161 .47013 L
F
1 .89 0 r
.41618 .45316 m
.41779 .45472 L
.41811 .45501 L
.41958 .45664 L
.42003 .45713 L
.42127 .45857 L
.42196 .45885 L
.42291 .4605 L
.42389 .46162 L
.42518 .46242 L
.42581 .46405 L
.42609 .46435 L
.42762 .46628 L
.42774 .46635 L
.42917 .46821 L
.42967 .46882 L
.43108 .47013 L
.43159 .47135 L
.43214 .47206 L
.43352 .47384 L
.43354 .47399 L
.43518 .47591 L
.43545 .47626 L
.43688 .47784 L
.43737 .47884 L
.43803 .47977 L
.4393 .48142 L
.43961 .48169 L
.44106 .48362 L
.44123 .48385 L
.44265 .48555 L
.44316 .48647 L
.44382 .48747 L
.44508 .48909 L
.44542 .4894 L
.44685 .49133 L
.44701 .49155 L
.44837 .49326 L
.44894 .49419 L
.44955 .49518 L
.45086 .49684 L
.45116 .49711 L
.45258 .49904 L
.45279 .49932 L
.45407 .50096 L
.45472 .50198 L
.45523 .50289 L
.45664 .50462 L
.45686 .50482 L
.45828 .50674 L
.45857 .50713 L
.45973 .50867 L
.4605 .50981 L
.4609 .5106 L
.46242 .51243 L
.46254 .51253 L
.46425 .51445 L
.46435 .51498 L
.46538 .51638 L
.46628 .51767 L
.46655 .51831 L
.46819 .52023 L
.46821 .52025 L
.4699 .52216 L
.47013 .52286 L
.47101 .52409 L
.47206 .52554 L
.47221 .52601 L
.47383 .52794 L
.47399 .52809 L
.47552 .52987 L
.47591 .53075 L
.47663 .53179 L
.47784 .53344 L
.4779 .53372 L
.47946 .53565 L
.47977 .53596 L
.48112 .53758 L
.48169 .53867 L
.48224 .5395 L
.48362 .54136 L
.48362 .54143 L
.48506 .54336 L
.48555 .54386 L
.48669 .54528 L
.48747 .54662 L
.48784 .54721 L
.48926 .54914 L
.4894 .54932 L
.49065 .55106 L
.49133 .55182 L
.49223 .55299 L
.49326 .55463 L
.49342 .55492 L
.49482 .55684 L
.49518 .55734 L
.49619 .55877 L
.49711 .55987 L
.49772 .5607 L
.49897 .56263 L
.49904 .56272 L
.50031 .56455 L
.50096 .56544 L
.50233 .56648 L
.50289 .56808 L
.50312 .56841 L
.50439 .57033 L
.50482 .57092 L
.50572 .57226 L
.50674 .5737 L
.50739 .57419 L
.50837 .57611 L
.50867 .57653 L
.50964 .57804 L
.5106 .57945 L
.51092 .57997 L
.51213 .58189 L
.51253 .5825 L
.51323 .58382 L
.51253 .58511 L
.51129 .58382 L
.5106 .58313 L
.50951 .58189 L
.50867 .58154 L
.50782 .57997 L
.50674 .57877 L
.50619 .57804 L
.50482 .57636 L
.50457 .57611 L
.50305 .57419 L
.50289 .57413 L
.50151 .57226 L
.50096 .57162 L
.49941 .57033 L
.49904 .56909 L
.49846 .56841 L
.49711 .5666 L
.49705 .56648 L
.49551 .56455 L
.49518 .56416 L
.49366 .56263 L
.49326 .56158 L
.49258 .5607 L
.49133 .55901 L
.49125 .55877 L
.48965 .55684 L
.4894 .55654 L
.48794 .55492 L
.48747 .55392 L
.4868 .55299 L
.48555 .55131 L
.48551 .55106 L
.48387 .54914 L
.48362 .54882 L
.48224 .54721 L
.48169 .54618 L
.48108 .54528 L
.47977 .54356 L
.47957 .54336 L
.47815 .54143 L
.47784 .54104 L
.47657 .5395 L
.47591 .53838 L
.4754 .53758 L
.47399 .53576 L
.47387 .53565 L
.47246 .53372 L
.47206 .53322 L
.47091 .53179 L
.47013 .53055 L
.46973 .52987 L
.46821 .52795 L
.4682 .52794 L
.46679 .52601 L
.46628 .52537 L
.46527 .52409 L
.46435 .52268 L
.46407 .52216 L
.46255 .52023 L
.46242 .52013 L
.46065 .51831 L
.4605 .5175 L
.45965 .51638 L
.45857 .5148 L
.45841 .51445 L
.45691 .51253 L
.45664 .5123 L
.45506 .5106 L
.45472 .5096 L
.45403 .50867 L
.45279 .5069 L
.45273 .50674 L
.45129 .50482 L
.45086 .50443 L
.44949 .50289 L
.44894 .50168 L
.44843 .50096 L
.44706 .49904 L
.44701 .49897 L
.44568 .49711 L
.44508 .49653 L
.44394 .49518 L
.44316 .49372 L
.44284 .49326 L
.44147 .49133 L
.44123 .49101 L
.44009 .4894 L
.4393 .48856 L
.43842 .48747 L
.43737 .48571 L
.43727 .48555 L
.43591 .48362 L
.43545 .483 L
.43453 .48169 L
.43352 .4805 L
.43295 .47977 L
.43174 .47784 L
.43159 .47764 L
.43039 .47591 L
.42967 .47493 L
.42902 .47399 L
.42774 .47229 L
.42757 .47206 L
.4263 .47013 L
.42581 .46947 L
.42496 .46821 L
.42389 .46671 L
.42324 .46628 L
.42228 .46435 L
.42196 .46391 L
.421 .46242 L
.42003 .46104 L
.41969 .4605 L
.41844 .45857 L
.41811 .45808 L
.41728 .45664 L
.41618 .45487 L
.4161 .45472 L
F
0 .63 1 r
.41618 .46177 m
.41692 .46242 L
.41811 .4635 L
.41885 .46435 L
.42003 .46563 L
.42057 .46628 L
.42196 .46776 L
.42221 .46821 L
.42379 .47013 L
.42389 .47024 L
.42533 .47206 L
.42581 .47263 L
.42688 .47399 L
.42774 .47484 L
.42841 .47591 L
.42967 .4775 L
.43001 .47784 L
.4314 .47977 L
.43159 .48001 L
.43288 .48169 L
.43352 .48232 L
.43437 .48362 L
.43545 .48501 L
.43593 .48555 L
.4373 .48747 L
.43737 .48758 L
.43874 .4894 L
.4393 .48996 L
.44094 .49133 L
.44123 .49267 L
.44172 .49326 L
.44309 .49518 L
.44316 .49527 L
.44451 .49711 L
.44508 .4977 L
.4465 .49904 L
.44701 .50043 L
.44743 .50096 L
.4488 .50289 L
.44894 .50306 L
.45022 .50482 L
.45086 .50551 L
.45207 .50674 L
.45279 .50827 L
.45309 .50867 L
.45447 .5106 L
.45472 .51093 L
.45587 .51253 L
.45664 .51339 L
.45762 .51445 L
.45857 .51618 L
.45871 .51638 L
.46008 .51831 L
.4605 .51886 L
.46148 .52023 L
.46242 .52136 L
.46311 .52216 L
.46428 .52409 L
.46435 .52418 L
.46564 .52601 L
.46628 .52687 L
.46703 .52794 L
.46821 .52947 L
.46853 .52987 L
.46978 .53179 L
.47013 .53228 L
.47113 .53372 L
.47206 .53501 L
.4725 .53565 L
.47386 .53758 L
.47399 .53775 L
.47516 .5395 L
.47591 .54056 L
.47649 .54143 L
.47783 .54336 L
.47784 .54337 L
.47904 .54528 L
.47977 .54633 L
.48029 .54721 L
.47977 .54907 L
.47816 .54721 L
.47784 .54687 L
.47654 .54528 L
.47591 .54457 L
.47494 .54336 L
.47399 .54263 L
.47336 .54143 L
.47206 .53985 L
.47163 .5395 L
.47031 .53758 L
.47013 .53736 L
.46881 .53565 L
.46821 .53523 L
.46731 .53372 L
.46628 .53246 L
.46559 .53179 L
.46435 .52988 L
.46434 .52987 L
.46289 .52794 L
.46242 .52761 L
.46143 .52601 L
.4605 .52486 L
.45977 .52409 L
.45857 .52224 L
.45852 .52216 L
.45708 .52023 L
.45664 .5199 L
.45564 .51831 L
.45472 .51715 L
.45404 .51638 L
.45279 .51449 L
.45277 .51445 L
.45135 .51253 L
.45086 .51213 L
.44992 .5106 L
.44894 .50934 L
.44838 .50867 L
.44707 .50674 L
.44701 .50666 L
.44567 .50482 L
.44508 .50429 L
.44356 .50289 L
.44316 .50146 L
.44276 .50096 L
.44143 .49904 L
.44123 .49877 L
.44004 .49711 L
.4393 .49638 L
.43812 .49518 L
.43737 .4935 L
.43718 .49326 L
.43584 .49133 L
.43545 .4908 L
.43446 .4894 L
.43352 .48836 L
.43271 .48747 L
.43166 .48555 L
.43159 .48545 L
.43032 .48362 L
.42967 .48274 L
.42894 .48169 L
.42774 .48015 L
.42741 .47977 L
.42622 .47784 L
.42581 .47729 L
.42488 .47591 L
.42389 .47453 L
.42352 .47399 L
.42219 .47206 L
.42196 .47174 L
.42093 .47013 L
.42003 .46886 L
.41962 .46821 L
.41836 .46628 L
.41811 .4659 L
.41725 .46435 L
.41618 .46257 L
.41612 .46242 L
F
1 .83 0 r
.41618 .41053 m
.41811 .41191 L
.41834 .41232 L
.42003 .41412 L
.42026 .41425 L
.42173 .41618 L
.42196 .41645 L
.42325 .41811 L
.42389 .41891 L
.42472 .42003 L
.42581 .42125 L
.42643 .42196 L
.42741 .42389 L
.42774 .42439 L
.42856 .42581 L
.42774 .42755 L
.42585 .42581 L
.42581 .42577 L
.42421 .42389 L
.42389 .42351 L
.4227 .42196 L
.42196 .42102 L
.42124 .42003 L
.42003 .41859 L
.4196 .41811 L
.41854 .41618 L
.41811 .41555 L
.41731 .41425 L
.41618 .41237 L
.41615 .41232 L
F
1 .95 0 r
.41811 .43586 m
.41901 .43737 L
.42003 .43797 L
.42086 .4393 L
.42196 .4404 L
.42247 .44123 L
.42389 .44297 L
.42408 .44316 L
.42544 .44508 L
.42581 .44557 L
.42684 .44701 L
.42774 .4482 L
.42825 .44894 L
.42967 .45085 L
.42968 .45086 L
.43097 .45279 L
.43159 .45366 L
.43228 .45472 L
.43352 .45657 L
.43362 .45664 L
.43463 .45857 L
.43545 .46042 L
.43547 .4605 L
.43545 .46134 L
.43352 .46055 L
.43347 .4605 L
.43159 .45863 L
.43151 .45857 L
.42986 .45664 L
.42967 .45653 L
.42827 .45472 L
.42774 .4541 L
.42618 .45279 L
.42581 .45159 L
.42521 .45086 L
.42389 .44904 L
.42383 .44894 L
.42237 .44701 L
.42196 .44659 L
.42072 .44508 L
.42003 .44378 L
.41966 .44316 L
.41837 .44123 L
.41811 .4408 L
.41719 .4393 L
.41635 .43737 L
F
1 .82 0 r
.41811 .41225 m
.41815 .41232 L
.41999 .41425 L
.42003 .4143 L
.42161 .41618 L
.42196 .41659 L
.42314 .41811 L
.42389 .41904 L
.42462 .42003 L
.42581 .42145 L
.42625 .42196 L
.4273 .42389 L
.42774 .42459 L
.42841 .42581 L
.42774 .42733 L
.42601 .42581 L
.42581 .42562 L
.42432 .42389 L
.42389 .42338 L
.42279 .42196 L
.42196 .4209 L
.42133 .42003 L
.42003 .41838 L
.41979 .41811 L
.41865 .41618 L
.41811 .41537 L
.41744 .41425 L
.41638 .41232 L
F
0 .96 1 r
.41811 .40439 m
.41847 .40462 L
.42003 .40589 L
.42085 .40654 L
.42196 .40785 L
.42288 .40847 L
.42389 .4101 L
.42425 .4104 L
.42581 .41219 L
.42592 .41232 L
.42744 .41425 L
.42774 .41466 L
.42901 .41618 L
.42967 .41726 L
.4302 .41811 L
.43159 .41985 L
.43183 .42003 L
.43324 .42196 L
.43352 .42226 L
.43469 .42389 L
.43545 .42494 L
.43582 .42581 L
.43731 .42774 L
.43737 .42785 L
.43917 .42967 L
.43854 .43159 L
.43737 .4318 L
.43645 .43159 L
.43545 .43113 L
.43386 .42967 L
.43352 .42924 L
.43224 .42774 L
.43159 .42691 L
.4303 .42581 L
.42967 .42438 L
.42923 .42389 L
.42785 .42196 L
.42774 .42181 L
.42646 .42003 L
.42581 .41947 L
.4247 .41811 L
.42389 .41658 L
.42363 .41618 L
.4223 .41425 L
.42196 .41377 L
.42097 .41232 L
.42003 .41097 L
.41942 .4104 L
.4184 .40847 L
.41811 .408 L
.41731 .40654 L
.41666 .40462 L
F
1 .94 0 r
.41811 .43674 m
.41847 .43737 L
.42003 .43831 L
.42061 .4393 L
.42196 .44068 L
.42229 .44123 L
.42385 .44316 L
.42389 .4432 L
.42528 .44508 L
.42581 .44577 L
.42669 .44701 L
.42774 .44839 L
.42812 .44894 L
.4295 .45086 L
.42967 .45109 L
.43079 .45279 L
.43159 .45395 L
.43207 .45472 L
.43327 .45664 L
.43352 .45707 L
.43417 .45857 L
.43352 .45972 L
.43213 .45857 L
.43159 .45809 L
.43026 .45664 L
.42967 .45627 L
.42858 .45472 L
.42774 .45375 L
.42645 .45279 L
.42581 .45126 L
.42547 .45086 L
.42404 .44894 L
.42389 .44873 L
.4226 .44701 L
.42196 .44632 L
.42094 .44508 L
.42003 .44338 L
.4199 .44316 L
.41865 .44123 L
.41811 .44028 L
.41755 .4393 L
.41705 .43737 L
F
1 .98 0 r
.41811 .35337 m
.41921 .35452 L
.42003 .35533 L
.42101 .35644 L
.42196 .35719 L
.42271 .35837 L
.42389 .3597 L
.42476 .3603 L
.42581 .36208 L
.42595 .36222 L
.42748 .36415 L
.42774 .36435 L
.42901 .36608 L
.42967 .36687 L
.43092 .36801 L
.43159 .3694 L
.43204 .36993 L
.43352 .37185 L
.43352 .37186 L
.43499 .37379 L
.43545 .37435 L
.43675 .37571 L
.43737 .37695 L
.4379 .37764 L
.4393 .37949 L
.43931 .37957 L
.44083 .38149 L
.44123 .382 L
.44249 .38342 L
.44316 .38464 L
.44366 .38535 L
.44508 .38721 L
.44516 .38727 L
.44658 .3892 L
.44701 .38975 L
.44818 .39113 L
.44894 .39241 L
.44937 .39306 L
.45086 .39497 L
.45087 .39498 L
.45229 .39691 L
.45279 .39755 L
.45385 .39884 L
.45472 .40022 L
.45505 .40076 L
.45656 .40269 L
.45664 .40277 L
.45852 .40462 L
.45857 .40539 L
.4595 .40654 L
.4605 .40806 L
.46072 .40847 L
.46222 .4104 L
.46242 .41059 L
.46412 .41232 L
.46435 .41325 L
.46514 .41425 L
.46628 .41592 L
.4664 .41618 L
.46787 .41811 L
.46821 .41843 L
.46972 .42003 L
.47013 .42113 L
.47076 .42196 L
.47206 .4238 L
.47209 .42389 L
.47352 .42581 L
.47399 .42629 L
.47531 .42774 L
.47591 .42902 L
.47639 .42967 L
.47777 .43159 L
.47784 .43169 L
.47915 .43352 L
.47977 .43417 L
.48089 .43545 L
.48169 .43693 L
.48201 .43737 L
.48339 .4393 L
.48362 .4396 L
.48478 .44123 L
.48555 .44208 L
.48646 .44316 L
.48747 .44485 L
.48763 .44508 L
.48901 .44701 L
.4894 .44715 L
.49041 .44894 L
.49133 .45001 L
.49202 .45086 L
.49326 .45279 L
.49326 .45279 L
.49462 .45472 L
.49518 .45504 L
.49602 .45664 L
.49711 .45798 L
.49757 .45857 L
.49885 .4605 L
.49904 .46074 L
.50022 .46242 L
.50096 .46296 L
.5022 .46435 L
.50289 .46597 L
.50312 .46628 L
.50443 .46821 L
.50482 .46871 L
.50581 .47013 L
.50674 .47138 L
.50721 .47206 L
.50864 .47399 L
.50867 .47402 L
.50997 .47591 L
.5106 .47674 L
.51134 .47784 L
.51253 .47942 L
.51276 .47977 L
.51409 .48169 L
.51445 .48217 L
.51536 .48362 L
.51638 .485 L
.51669 .48555 L
.51638 .48657 L
.51542 .48555 L
.51445 .48469 L
.51341 .48362 L
.51253 .48278 L
.51145 .48169 L
.5106 .48087 L
.50949 .47977 L
.50867 .47869 L
.50755 .47784 L
.50674 .47699 L
.50567 .47591 L
.50482 .47496 L
.50388 .47399 L
.50289 .47282 L
.5022 .47206 L
.50096 .47053 L
.50062 .47013 L
.49906 .46821 L
.49904 .46809 L
.49766 .46628 L
.49711 .46544 L
.49638 .46435 L
.49518 .46273 L
.49464 .46242 L
.49326 .46053 L
.49323 .4605 L
.49181 .45857 L
.49133 .45787 L
.49058 .45664 L
.4894 .45518 L
.48891 .45472 L
.4875 .45279 L
.48747 .45273 L
.48616 .45086 L
.48555 .45004 L
.48504 .44894 L
.48362 .44732 L
.48323 .44701 L
.48181 .44508 L
.48169 .44487 L
.48055 .44316 L
.47977 .44215 L
.47956 .44123 L
.47784 .43945 L
.47757 .4393 L
.47614 .43737 L
.47591 .43699 L
.47495 .43545 L
.47399 .43426 L
.47331 .43352 L
.47206 .43163 L
.47192 .43159 L
.4705 .42967 L
.47013 .42911 L
.46934 .42774 L
.46821 .42638 L
.46767 .42581 L
.46628 .42389 L
.46628 .42388 L
.46486 .42196 L
.46435 .42121 L
.46373 .42003 L
.46242 .41851 L
.46203 .41811 L
.46052 .41618 L
.4605 .41599 L
.45924 .41425 L
.45857 .41331 L
.45812 .41232 L
.45664 .41064 L
.45641 .4104 L
.45483 .40847 L
.45472 .40809 L
.45363 .40654 L
.45279 .4054 L
.45251 .40462 L
.45086 .40276 L
.45079 .40269 L
.44919 .40076 L
.44894 .40017 L
.44804 .39884 L
.44701 .39747 L
.44688 .39691 L
.4452 .39498 L
.44508 .39489 L
.44358 .39306 L
.44316 .39223 L
.44245 .39113 L
.44123 .3895 L
.4412 .3892 L
.43962 .38727 L
.4393 .38699 L
.43801 .38535 L
.43737 .38423 L
.43689 .38342 L
.43545 .38149 L
.43545 .38149 L
.43408 .37957 L
.43352 .37901 L
.43251 .37764 L
.43159 .37614 L
.43135 .37571 L
.42997 .37379 L
.42967 .37337 L
.42861 .37186 L
.42774 .37085 L
.42711 .36993 L
.4259 .36801 L
.42581 .36788 L
.42459 .36608 L
.42389 .36507 L
.42327 .36415 L
.42196 .36225 L
.42194 .36222 L
.42071 .3603 L
.42003 .35929 L
.41946 .35837 L
.41825 .35644 L
.41811 .35622 L
.41722 .35452 L
F
0 .62 1 r
.41811 .46365 m
.41873 .46435 L
.42003 .46574 L
.42049 .46628 L
.42196 .46788 L
.42214 .46821 L
.42373 .47013 L
.42389 .47032 L
.42528 .47206 L
.42581 .4727 L
.42683 .47399 L
.42774 .4749 L
.42837 .47591 L
.42967 .47755 L
.42996 .47784 L
.43136 .47977 L
.43159 .48005 L
.43285 .48169 L
.43352 .48236 L
.43433 .48362 L
.43545 .48505 L
.4359 .48555 L
.43726 .48747 L
.43737 .48762 L
.43871 .4894 L
.4393 .48999 L
.44092 .49133 L
.44123 .4927 L
.44169 .49326 L
.44306 .49518 L
.44316 .49531 L
.44449 .49711 L
.44508 .49773 L
.44648 .49904 L
.44701 .50046 L
.44741 .50096 L
.44878 .50289 L
.44894 .50309 L
.45019 .50482 L
.45086 .50554 L
.45205 .50674 L
.45279 .5083 L
.45307 .50867 L
.45445 .5106 L
.45472 .51096 L
.45585 .51253 L
.45664 .51342 L
.45759 .51445 L
.45857 .51622 L
.45869 .51638 L
.46006 .51831 L
.4605 .51889 L
.46146 .52023 L
.46242 .5214 L
.46308 .52216 L
.46425 .52409 L
.46435 .52422 L
.46562 .52601 L
.46628 .52691 L
.467 .52794 L
.46821 .52952 L
.46849 .52987 L
.46974 .53179 L
.47013 .53232 L
.47109 .53372 L
.47206 .53505 L
.47247 .53565 L
.47382 .53758 L
.47399 .53781 L
.47511 .5395 L
.47591 .54062 L
.47644 .54143 L
.47777 .54336 L
.47784 .54345 L
.47898 .54528 L
.47977 .54644 L
.48022 .54721 L
.47977 .54894 L
.47826 .54721 L
.47784 .54677 L
.47661 .54528 L
.47591 .54449 L
.475 .54336 L
.47399 .54255 L
.47342 .54143 L
.47206 .53978 L
.47171 .5395 L
.47036 .53758 L
.47013 .53731 L
.46885 .53565 L
.46821 .53519 L
.46735 .53372 L
.46628 .53241 L
.46563 .53179 L
.46438 .52987 L
.46435 .52984 L
.46292 .52794 L
.46242 .52758 L
.46146 .52601 L
.4605 .52483 L
.4598 .52409 L
.45857 .5222 L
.45854 .52216 L
.45711 .52023 L
.45664 .51988 L
.45567 .51831 L
.45472 .51711 L
.45407 .51638 L
.45279 .51446 L
.45279 .51445 L
.45137 .51253 L
.45086 .51211 L
.44994 .5106 L
.44894 .50931 L
.4484 .50867 L
.44709 .50674 L
.44701 .50663 L
.44569 .50482 L
.44508 .50427 L
.44359 .50289 L
.44316 .50143 L
.44278 .50096 L
.44146 .49904 L
.44123 .49874 L
.44006 .49711 L
.4393 .49635 L
.43814 .49518 L
.43737 .49347 L
.43721 .49326 L
.43587 .49133 L
.43545 .49077 L
.43448 .4894 L
.43352 .48832 L
.43275 .48747 L
.43169 .48555 L
.43159 .48542 L
.43035 .48362 L
.42967 .4827 L
.42897 .48169 L
.42774 .4801 L
.42746 .47977 L
.42625 .47784 L
.42581 .47724 L
.42492 .47591 L
.42389 .47447 L
.42356 .47399 L
.42224 .47206 L
.42196 .47166 L
.42098 .47013 L
.42003 .46878 L
.41968 .46821 L
.41845 .46628 L
.41811 .46576 L
.41737 .46435 L
F
1 .25 0 r
.41811 .47193 m
.41821 .47206 L
.41811 .47344 L
.41741 .47206 L
F
0 .61 1 r
.41811 .46382 m
.4186 .46435 L
.42003 .46585 L
.4204 .46628 L
.42196 .46801 L
.42207 .46821 L
.42366 .47013 L
.42389 .47039 L
.42522 .47206 L
.42581 .47276 L
.42678 .47399 L
.42774 .47496 L
.42832 .47591 L
.42967 .47761 L
.4299 .47784 L
.43132 .47977 L
.43159 .4801 L
.43281 .48169 L
.43352 .4824 L
.4343 .48362 L
.43545 .48509 L
.43586 .48555 L
.43723 .48747 L
.43737 .48766 L
.43868 .4894 L
.4393 .49003 L
.44089 .49133 L
.44123 .49274 L
.44166 .49326 L
.44303 .49518 L
.44316 .49534 L
.44446 .49711 L
.44508 .49776 L
.44646 .49904 L
.44701 .50049 L
.44738 .50096 L
.44876 .50289 L
.44894 .50313 L
.45017 .50482 L
.45086 .50557 L
.45202 .50674 L
.45279 .50833 L
.45304 .50867 L
.45442 .5106 L
.45472 .51099 L
.45583 .51253 L
.45664 .51345 L
.45756 .51445 L
.45857 .51625 L
.45866 .51638 L
.46004 .51831 L
.4605 .51893 L
.46143 .52023 L
.46242 .52144 L
.46305 .52216 L
.46423 .52409 L
.46435 .52425 L
.46559 .52601 L
.46628 .52695 L
.46697 .52794 L
.46821 .52957 L
.46845 .52987 L
.46971 .53179 L
.47013 .53237 L
.47106 .53372 L
.47206 .5351 L
.47243 .53565 L
.47377 .53758 L
.47399 .53787 L
.47507 .5395 L
.47591 .54069 L
.4764 .54143 L
.47771 .54336 L
.47784 .54354 L
.4789 .54528 L
.47977 .54657 L
.48014 .54721 L
.47977 .54879 L
.47837 .54721 L
.47784 .54667 L
.47669 .54528 L
.47591 .54441 L
.47506 .54336 L
.47399 .54246 L
.47347 .54143 L
.47206 .53971 L
.4718 .5395 L
.4704 .53758 L
.47013 .53725 L
.46889 .53565 L
.46821 .53515 L
.46739 .53372 L
.46628 .53236 L
.46568 .53179 L
.46441 .52987 L
.46435 .52979 L
.46295 .52794 L
.46242 .52756 L
.46149 .52601 L
.4605 .52479 L
.45983 .52409 L
.45857 .52217 L
.45857 .52216 L
.45714 .52023 L
.45664 .51985 L
.45569 .51831 L
.45472 .51708 L
.4541 .51638 L
.45281 .51445 L
.45279 .51443 L
.4514 .51253 L
.45086 .51208 L
.44997 .5106 L
.44894 .50928 L
.44843 .50867 L
.44712 .50674 L
.44701 .5066 L
.44572 .50482 L
.44508 .50424 L
.44361 .50289 L
.44316 .5014 L
.44281 .50096 L
.44148 .49904 L
.44123 .49871 L
.44009 .49711 L
.4393 .49632 L
.43818 .49518 L
.43737 .49343 L
.43724 .49326 L
.43589 .49133 L
.43545 .49073 L
.43451 .4894 L
.43352 .48828 L
.43279 .48747 L
.43172 .48555 L
.43159 .48538 L
.43038 .48362 L
.42967 .48266 L
.429 .48169 L
.42774 .48004 L
.42751 .47977 L
.42629 .47784 L
.42581 .47719 L
.42496 .47591 L
.42389 .47442 L
.4236 .47399 L
.4223 .47206 L
.42196 .47159 L
.42104 .47013 L
.42003 .46869 L
.41974 .46821 L
.41855 .46628 L
.41811 .4656 L
.4175 .46435 L
F
1 .88 0 r
.41811 .45543 m
.41926 .45664 L
.42003 .45743 L
.42104 .45857 L
.42196 .45905 L
.42272 .4605 L
.42389 .46182 L
.42492 .46242 L
.42581 .46421 L
.42595 .46435 L
.4275 .46628 L
.42774 .46642 L
.42905 .46821 L
.42967 .46895 L
.43101 .47013 L
.43159 .47146 L
.43206 .47206 L
.43352 .47391 L
.43353 .47399 L
.43511 .47591 L
.43545 .47635 L
.43683 .47784 L
.43737 .47892 L
.43797 .47977 L
.4393 .48148 L
.43955 .48169 L
.441 .48362 L
.44123 .48392 L
.44261 .48555 L
.44316 .48653 L
.44378 .48747 L
.44508 .48914 L
.44537 .4894 L
.4468 .49133 L
.44701 .4916 L
.44834 .49326 L
.44894 .49424 L
.44952 .49518 L
.45086 .49687 L
.45113 .49711 L
.45255 .49904 L
.45279 .49936 L
.45404 .50096 L
.45472 .50202 L
.45521 .50289 L
.45664 .50465 L
.45683 .50482 L
.45825 .50674 L
.45857 .50717 L
.45971 .50867 L
.4605 .50985 L
.46088 .5106 L
.46242 .51245 L
.46251 .51253 L
.46425 .51445 L
.46435 .51502 L
.46536 .51638 L
.46628 .5177 L
.46654 .51831 L
.46817 .52023 L
.46821 .52027 L
.46989 .52216 L
.47013 .52289 L
.47099 .52409 L
.47206 .52557 L
.4722 .52601 L
.47381 .52794 L
.47399 .52812 L
.4755 .52987 L
.47591 .53078 L
.47661 .53179 L
.47784 .53347 L
.47789 .53372 L
.47943 .53565 L
.47977 .53599 L
.4811 .53758 L
.48169 .53871 L
.48222 .5395 L
.48362 .54139 L
.48362 .54143 L
.48503 .54336 L
.48555 .5439 L
.48667 .54528 L
.48747 .54667 L
.48781 .54721 L
.48923 .54914 L
.4894 .54937 L
.49061 .55106 L
.49133 .55187 L
.4922 .55299 L
.49326 .55469 L
.49339 .55492 L
.49477 .55684 L
.49518 .5574 L
.49615 .55877 L
.49711 .55994 L
.49767 .5607 L
.49892 .56263 L
.49904 .56279 L
.50026 .56455 L
.50096 .56553 L
.50225 .56648 L
.50289 .5682 L
.50304 .56841 L
.50431 .57033 L
.50482 .57104 L
.50564 .57226 L
.50674 .57383 L
.50723 .57419 L
.50826 .57611 L
.50867 .57671 L
.5095 .57804 L
.5106 .57967 L
.51078 .57997 L
.51189 .58189 L
.51253 .58296 L
.5129 .58382 L
.51253 .58459 L
.5117 .58382 L
.5106 .58281 L
.50977 .58189 L
.50867 .58129 L
.50802 .57997 L
.50674 .57856 L
.50635 .57804 L
.50482 .57619 L
.50473 .57611 L
.50318 .57419 L
.50289 .57408 L
.50162 .57226 L
.50096 .5715 L
.49949 .57033 L
.49904 .56898 L
.49854 .56841 L
.49711 .56652 L
.49709 .56648 L
.49558 .56455 L
.49518 .56408 L
.4937 .56263 L
.49326 .5615 L
.49263 .5607 L
.49133 .55895 L
.49127 .55877 L
.4897 .55684 L
.4894 .55648 L
.48797 .55492 L
.48747 .55386 L
.48684 .55299 L
.48555 .55127 L
.48552 .55106 L
.48391 .54914 L
.48362 .54878 L
.48227 .54721 L
.48169 .54613 L
.48111 .54528 L
.47977 .54352 L
.4796 .54336 L
.47818 .54143 L
.47784 .541 L
.47659 .5395 L
.47591 .53834 L
.47542 .53758 L
.47399 .53574 L
.4739 .53565 L
.47249 .53372 L
.47206 .53319 L
.47093 .53179 L
.47013 .53051 L
.46975 .52987 L
.46822 .52794 L
.46821 .52793 L
.46682 .52601 L
.46628 .52534 L
.46529 .52409 L
.46435 .52266 L
.46408 .52216 L
.46257 .52023 L
.46242 .52011 L
.46066 .51831 L
.4605 .51747 L
.45967 .51638 L
.45857 .51477 L
.45842 .51445 L
.45693 .51253 L
.45664 .51228 L
.45507 .5106 L
.45472 .50957 L
.45405 .50867 L
.45279 .50687 L
.45274 .50674 L
.45131 .50482 L
.45086 .50441 L
.44951 .50289 L
.44894 .50164 L
.44845 .50096 L
.44708 .49904 L
.44701 .49894 L
.4457 .49711 L
.44508 .4965 L
.44396 .49518 L
.44316 .49368 L
.44287 .49326 L
.4415 .49133 L
.44123 .49097 L
.44012 .4894 L
.4393 .48852 L
.43845 .48747 L
.43737 .48566 L
.4373 .48555 L
.43595 .48362 L
.43545 .48295 L
.43457 .48169 L
.43352 .48044 L
.433 .47977 L
.43179 .47784 L
.43159 .47758 L
.43044 .47591 L
.42967 .47485 L
.42907 .47399 L
.42774 .47218 L
.42765 .47206 L
.42637 .47013 L
.42581 .46937 L
.42503 .46821 L
.42389 .4666 L
.4234 .46628 L
.42238 .46435 L
.42196 .46376 L
.42112 .46242 L
.42003 .46085 L
.41982 .4605 L
.41863 .45857 L
.41811 .45776 L
.41753 .45664 L
F
1 .24 0 r
.41811 .47204 m
.41812 .47206 L
.41811 .4733 L
.41756 .47206 L
F
1 .81 0 r
.41811 .41252 m
.41982 .41425 L
.42003 .41447 L
.42148 .41618 L
.42196 .41673 L
.42303 .41811 L
.42389 .41918 L
.42452 .42003 L
.42581 .42169 L
.42605 .42196 L
.42717 .42389 L
.42774 .42482 L
.42825 .42581 L
.42774 .42707 L
.42619 .42581 L
.42581 .42546 L
.42444 .42389 L
.42389 .42325 L
.42289 .42196 L
.42196 .42078 L
.42142 .42003 L
.42003 .41816 L
.41999 .41811 L
.41877 .41618 L
.41811 .41518 L
.41757 .41425 L
F
0 .6 1 r
.41811 .46401 m
.41843 .46435 L
.42003 .46597 L
.4203 .46628 L
.42196 .46814 L
.42199 .46821 L
.42359 .47013 L
.42389 .47047 L
.42516 .47206 L
.42581 .47283 L
.42673 .47399 L
.42774 .47502 L
.42828 .47591 L
.42967 .47766 L
.42985 .47784 L
.43128 .47977 L
.43159 .48015 L
.43277 .48169 L
.43352 .48244 L
.43427 .48362 L
.43545 .48513 L
.43582 .48555 L
.4372 .48747 L
.43737 .48769 L
.43866 .4894 L
.4393 .49006 L
.44086 .49133 L
.44123 .49277 L
.44163 .49326 L
.44301 .49518 L
.44316 .49538 L
.44444 .49711 L
.44508 .49779 L
.44643 .49904 L
.44701 .50053 L
.44736 .50096 L
.44873 .50289 L
.44894 .50316 L
.45015 .50482 L
.45086 .5056 L
.452 .50674 L
.45279 .50836 L
.45302 .50867 L
.4544 .5106 L
.45472 .51102 L
.4558 .51253 L
.45664 .51349 L
.45753 .51445 L
.45857 .51629 L
.45864 .51638 L
.46001 .51831 L
.4605 .51896 L
.46141 .52023 L
.46242 .52148 L
.46302 .52216 L
.4642 .52409 L
.46435 .52429 L
.46556 .52601 L
.46628 .52699 L
.46695 .52794 L
.46821 .52962 L
.46841 .52987 L
.46968 .53179 L
.47013 .53241 L
.47103 .53372 L
.47206 .53515 L
.4724 .53565 L
.47373 .53758 L
.47399 .53793 L
.47502 .5395 L
.47591 .54076 L
.47635 .54143 L
.47765 .54336 L
.47784 .54363 L
.47883 .54528 L
.47977 .5467 L
.48005 .54721 L
.47977 .54863 L
.47848 .54721 L
.47784 .54656 L
.47677 .54528 L
.47591 .54433 L
.47513 .54336 L
.47399 .54237 L
.47353 .54143 L
.47206 .53964 L
.47188 .5395 L
.47045 .53758 L
.47013 .53719 L
.46894 .53565 L
.46821 .53511 L
.46742 .53372 L
.46628 .53231 L
.46573 .53179 L
.46445 .52987 L
.46435 .52975 L
.46299 .52794 L
.46242 .52753 L
.46151 .52601 L
.4605 .52475 L
.45987 .52409 L
.45859 .52216 L
.45857 .52213 L
.45716 .52023 L
.45664 .51983 L
.45572 .51831 L
.45472 .51705 L
.45413 .51638 L
.45283 .51445 L
.45279 .51439 L
.45142 .51253 L
.45086 .51206 L
.44999 .5106 L
.44894 .50925 L
.44845 .50867 L
.44714 .50674 L
.44701 .50657 L
.44574 .50482 L
.44508 .50422 L
.44364 .50289 L
.44316 .50137 L
.44283 .50096 L
.4415 .49904 L
.44123 .49867 L
.44011 .49711 L
.4393 .49629 L
.43821 .49518 L
.43737 .4934 L
.43727 .49326 L
.43592 .49133 L
.43545 .4907 L
.43453 .4894 L
.43352 .48823 L
.43283 .48747 L
.43175 .48555 L
.43159 .48534 L
.43041 .48362 L
.42967 .48262 L
.42903 .48169 L
.42774 .47997 L
.42757 .47977 L
.42633 .47784 L
.42581 .47714 L
.425 .47591 L
.42389 .47436 L
.42364 .47399 L
.42235 .47206 L
.42196 .47151 L
.42109 .47013 L
.42003 .46859 L
.4198 .46821 L
.41866 .46628 L
.41811 .46541 L
.41767 .46435 L
F
0 .95 1 r
.41811 .40517 m
.42003 .40632 L
.42034 .40654 L
.42196 .40817 L
.42252 .40847 L
.42389 .41028 L
.42406 .4104 L
.42572 .41232 L
.42581 .41243 L
.42727 .41425 L
.42774 .41488 L
.42888 .41618 L
.42967 .41744 L
.4301 .41811 L
.43159 .41996 L
.4317 .42003 L
.43311 .42196 L
.43352 .42239 L
.43458 .42389 L
.43545 .42513 L
.43573 .42581 L
.43713 .42774 L
.43737 .42816 L
.43897 .42967 L
.43737 .43147 L
.43545 .43086 L
.43407 .42967 L
.43352 .42903 L
.43238 .42774 L
.43159 .42677 L
.43041 .42581 L
.42967 .42427 L
.42933 .42389 L
.42795 .42196 L
.42774 .42169 L
.42655 .42003 L
.42581 .41935 L
.4248 .41811 L
.42389 .41641 L
.42374 .41618 L
.42243 .41425 L
.42196 .41359 L
.42111 .41232 L
.42003 .41074 L
.41967 .4104 L
.41866 .40847 L
.41811 .40748 L
.4177 .40654 L
F
1 .8 0 r
.41811 .41279 m
.41962 .41425 L
.42003 .41465 L
.42134 .41618 L
.42196 .41688 L
.42292 .41811 L
.42389 .41932 L
.42441 .42003 L
.42581 .42195 L
.42582 .42196 L
.42704 .42389 L
.42774 .4251 L
.42808 .42581 L
.42774 .42677 L
.42641 .42581 L
.42581 .42529 L
.42457 .42389 L
.42389 .42311 L
.423 .42196 L
.42196 .42065 L
.42152 .42003 L
.42012 .41811 L
.42003 .41798 L
.41889 .41618 L
.41811 .41495 L
.41772 .41425 L
F
1 .48 0 r
.41811 .48753 m
.41922 .4894 L
.42003 .49057 L
.42042 .49133 L
.42003 .4919 L
.41955 .49133 L
.41811 .48974 L
.41783 .4894 L
F
1 .87 0 r
.41811 .456 m
.41883 .45664 L
.42003 .45775 L
.42078 .45857 L
.42196 .45935 L
.42252 .4605 L
.42389 .46204 L
.42459 .46242 L
.42579 .46435 L
.42581 .46438 L
.42737 .46628 L
.42774 .46649 L
.42894 .46821 L
.42967 .46908 L
.43092 .47013 L
.43159 .47157 L
.43198 .47206 L
.43352 .47399 L
.43352 .47399 L
.43503 .47591 L
.43545 .47644 L
.43678 .47784 L
.43737 .47901 L
.43792 .47977 L
.4393 .48154 L
.43949 .48169 L
.44095 .48362 L
.44123 .48399 L
.44257 .48555 L
.44316 .4866 L
.44374 .48747 L
.44508 .48919 L
.44533 .4894 L
.44676 .49133 L
.44701 .49165 L
.44831 .49326 L
.44894 .49429 L
.44949 .49518 L
.45086 .49691 L
.45109 .49711 L
.45251 .49904 L
.45279 .4994 L
.45401 .50096 L
.45472 .50206 L
.45519 .50289 L
.45664 .50468 L
.4568 .50482 L
.45822 .50674 L
.45857 .50721 L
.45968 .50867 L
.4605 .50988 L
.46086 .5106 L
.46242 .51247 L
.46248 .51253 L
.46424 .51445 L
.46435 .51505 L
.46533 .51638 L
.46628 .51773 L
.46653 .51831 L
.46814 .52023 L
.46821 .5203 L
.46987 .52216 L
.47013 .52292 L
.47097 .52409 L
.47206 .5256 L
.47219 .52601 L
.47378 .52794 L
.47399 .52814 L
.47549 .52987 L
.47591 .53082 L
.47659 .53179 L
.47784 .5335 L
.47788 .53372 L
.4794 .53565 L
.47977 .53602 L
.48108 .53758 L
.48169 .53874 L
.48219 .5395 L
.48362 .54143 L
.48362 .54143 L
.485 .54336 L
.48555 .54393 L
.48664 .54528 L
.48747 .54671 L
.48779 .54721 L
.4892 .54914 L
.4894 .54942 L
.49058 .55106 L
.49133 .55192 L
.49216 .55299 L
.49326 .55474 L
.49336 .55492 L
.49473 .55684 L
.49518 .55746 L
.49611 .55877 L
.49711 .56001 L
.49762 .5607 L
.49886 .56263 L
.49904 .56286 L
.5002 .56455 L
.50096 .56561 L
.50216 .56648 L
.50289 .56832 L
.50295 .56841 L
.50423 .57033 L
.50482 .57115 L
.50555 .57226 L
.50674 .57397 L
.50704 .57419 L
.50813 .57611 L
.50867 .5769 L
.50936 .57804 L
.5106 .57994 L
.51062 .57997 L
.51158 .58189 L
.5106 .58245 L
.51007 .58189 L
.50867 .58092 L
.50823 .57997 L
.50674 .57833 L
.50653 .57804 L
.5049 .57611 L
.50482 .57602 L
.50331 .57419 L
.50289 .57402 L
.50173 .57226 L
.50096 .57137 L
.49959 .57033 L
.49904 .56887 L
.49862 .56841 L
.49715 .56648 L
.49711 .56646 L
.49565 .56455 L
.49518 .56399 L
.49375 .56263 L
.49326 .56142 L
.49268 .5607 L
.49133 .55889 L
.49129 .55877 L
.48975 .55684 L
.4894 .55642 L
.48801 .55492 L
.48747 .55381 L
.48688 .55299 L
.48555 .55123 L
.48552 .55106 L
.48395 .54914 L
.48362 .54873 L
.4823 .54721 L
.48169 .54609 L
.48114 .54528 L
.47977 .54349 L
.47963 .54336 L
.47821 .54143 L
.47784 .54097 L
.47661 .5395 L
.47591 .53831 L
.47544 .53758 L
.47399 .53571 L
.47393 .53565 L
.47251 .53372 L
.47206 .53316 L
.47095 .53179 L
.47013 .53048 L
.46977 .52987 L
.46825 .52794 L
.46821 .52791 L
.46684 .52601 L
.46628 .52531 L
.46531 .52409 L
.46435 .52263 L
.4641 .52216 L
.46259 .52023 L
.46242 .5201 L
.46067 .51831 L
.4605 .51744 L
.45969 .51638 L
.45857 .51475 L
.45843 .51445 L
.45695 .51253 L
.45664 .51226 L
.45509 .5106 L
.45472 .50954 L
.45407 .50867 L
.45279 .50684 L
.45275 .50674 L
.45133 .50482 L
.45086 .50438 L
.44953 .50289 L
.44894 .50161 L
.44847 .50096 L
.44711 .49904 L
.44701 .4989 L
.44573 .49711 L
.44508 .49646 L
.44399 .49518 L
.44316 .49364 L
.44289 .49326 L
.44153 .49133 L
.44123 .49093 L
.44015 .4894 L
.4393 .48847 L
.43849 .48747 L
.43737 .48561 L
.43734 .48555 L
.43598 .48362 L
.43545 .4829 L
.43461 .48169 L
.43352 .48037 L
.43305 .47977 L
.43184 .47784 L
.43159 .47751 L
.43049 .47591 L
.42967 .47478 L
.42912 .47399 L
.42774 .47207 L
.42773 .47206 L
.42644 .47013 L
.42581 .46927 L
.42511 .46821 L
.42389 .46648 L
.42357 .46628 L
.42249 .46435 L
.42196 .46359 L
.42124 .46242 L
.42003 .46063 L
.41995 .4605 L
.41887 .45857 L
.41811 .45727 L
.41786 .45664 L
F
1 .79 0 r
.41811 .41312 m
.41939 .41425 L
.42003 .41484 L
.42119 .41618 L
.42196 .41704 L
.4228 .41811 L
.42389 .41947 L
.4243 .42003 L
.42569 .42196 L
.42581 .42213 L
.42689 .42389 L
.42774 .42548 L
.42787 .42581 L
.42774 .42635 L
.42668 .42581 L
.42581 .42511 L
.42471 .42389 L
.42389 .42297 L
.42311 .42196 L
.42196 .42051 L
.42162 .42003 L
.42025 .41811 L
.42003 .41781 L
.41903 .41618 L
.41811 .41468 L
.41789 .41425 L
F
0 .96 1 r
.41811 .36221 m
.41812 .36222 L
.42003 .364 L
.42016 .36415 L
.42189 .36608 L
.42196 .36615 L
.4235 .36801 L
.42389 .36843 L
.42508 .36993 L
.42581 .37078 L
.42665 .37186 L
.42774 .37302 L
.42821 .37379 L
.42967 .37561 L
.42977 .37571 L
.43122 .37764 L
.43159 .3781 L
.4327 .37957 L
.43352 .38043 L
.43419 .38149 L
.43545 .38309 L
.43575 .38342 L
.43713 .38535 L
.43737 .38566 L
.43857 .38727 L
.4393 .38804 L
.44067 .3892 L
.44123 .39075 L
.44156 .39113 L
.44292 .39306 L
.44316 .39335 L
.44435 .39498 L
.44508 .39577 L
.4463 .39691 L
.44701 .3985 L
.44729 .39884 L
.44865 .40076 L
.44894 .40113 L
.45006 .40269 L
.45086 .40357 L
.45191 .40462 L
.45279 .40632 L
.45297 .40654 L
.45434 .40847 L
.45472 .40896 L
.45575 .4104 L
.45664 .41142 L
.45749 .41232 L
.45857 .41419 L
.45862 .41425 L
.45999 .41618 L
.4605 .41684 L
.4614 .41811 L
.46242 .41933 L
.46305 .42003 L
.46425 .42196 L
.46435 .4221 L
.46562 .42389 L
.46628 .42426 L
.46702 .42581 L
.46821 .4273 L
.46859 .42774 L
.46984 .42967 L
.47013 .43005 L
.47122 .43159 L
.47206 .43228 L
.47262 .43352 L
.47399 .43533 L
.47409 .43545 L
.47541 .43737 L
.47591 .43804 L
.47678 .4393 L
.47784 .44045 L
.47858 .44123 L
.47959 .44316 L
.47977 .44339 L
.48093 .44508 L
.48169 .4461 L
.48231 .44701 L
.48362 .44872 L
.48381 .44894 L
.48506 .45086 L
.48555 .45151 L
.48641 .45279 L
.48747 .45425 L
.48779 .45472 L
.48915 .45664 L
.4894 .45699 L
.49044 .45857 L
.49133 .45982 L
.49176 .4605 L
.49305 .46242 L
.49326 .46274 L
.49413 .46435 L
.49326 .46532 L
.49196 .46435 L
.49133 .46379 L
.48993 .46242 L
.4894 .46185 L
.4882 .4605 L
.48747 .4598 L
.48662 .45857 L
.48555 .45724 L
.48495 .45664 L
.48366 .45472 L
.48362 .45466 L
.48223 .45279 L
.48169 .45214 L
.48035 .45086 L
.47977 .44945 L
.47936 .44894 L
.478 .44701 L
.47784 .44686 L
.47657 .44508 L
.47591 .4442 L
.47504 .44316 L
.47399 .44155 L
.47378 .44123 L
.47231 .4393 L
.47206 .43901 L
.47046 .43737 L
.47013 .43637 L
.46948 .43545 L
.46821 .43376 L
.46816 .43352 L
.46655 .43159 L
.46628 .43125 L
.4649 .42967 L
.46435 .42861 L
.4638 .42774 L
.46242 .42601 L
.46223 .42581 L
.4608 .42389 L
.4605 .42351 L
.45923 .42196 L
.45857 .42085 L
.45809 .42003 L
.45664 .41824 L
.4565 .41811 L
.45508 .41618 L
.45472 .41571 L
.45356 .41425 L
.45279 .41304 L
.4524 .41232 L
.45086 .41043 L
.45083 .4104 L
.44941 .40847 L
.44894 .40786 L
.44793 .40654 L
.44701 .40516 L
.44673 .40462 L
.4452 .40269 L
.44508 .40261 L
.44379 .40076 L
.44316 .39995 L
.44234 .39884 L
.44123 .39722 L
.44109 .39691 L
.43961 .39498 L
.4393 .39475 L
.43768 .39306 L
.43737 .39195 L
.43679 .39113 L
.43545 .3892 L
.43545 .3892 L
.43408 .38727 L
.43352 .38677 L
.43226 .38535 L
.43159 .38383 L
.43132 .38342 L
.42999 .38149 L
.42967 .38105 L
.42864 .37957 L
.42774 .37854 L
.42701 .37764 L
.42596 .37571 L
.42581 .37551 L
.42466 .37379 L
.42389 .37267 L
.42335 .37186 L
.42206 .36993 L
.42196 .36979 L
.42085 .36801 L
.42003 .36675 L
.41963 .36608 L
.41855 .36415 L
.41811 .36335 L
.41792 .36222 L
F
1 .47 0 r
.41811 .48764 m
.4191 .4894 L
.42003 .49077 L
.42028 .49133 L
.42003 .4917 L
.41971 .49133 L
.41811 .48963 L
.41792 .4894 L
F
0 .59 1 r
.41811 .46426 m
.4182 .46435 L
.42003 .46609 L
.4202 .46628 L
.42191 .46821 L
.42196 .46826 L
.42351 .47013 L
.42389 .47055 L
.4251 .47206 L
.42581 .4729 L
.42668 .47399 L
.42774 .47509 L
.42823 .47591 L
.42967 .47772 L
.42979 .47784 L
.43124 .47977 L
.43159 .4802 L
.43274 .48169 L
.43352 .48249 L
.43423 .48362 L
.43545 .48518 L
.43578 .48555 L
.43717 .48747 L
.43737 .48773 L
.43863 .4894 L
.4393 .49009 L
.44083 .49133 L
.44123 .49281 L
.4416 .49326 L
.44298 .49518 L
.44316 .49541 L
.44441 .49711 L
.44508 .49782 L
.44641 .49904 L
.44701 .50056 L
.44733 .50096 L
.44871 .50289 L
.44894 .50319 L
.45012 .50482 L
.45086 .50563 L
.45197 .50674 L
.45279 .5084 L
.453 .50867 L
.45437 .5106 L
.45472 .51105 L
.45578 .51253 L
.45664 .51352 L
.4575 .51445 L
.45857 .51632 L
.45861 .51638 L
.45999 .51831 L
.4605 .51899 L
.46138 .52023 L
.46242 .52152 L
.46298 .52216 L
.46417 .52409 L
.46435 .52433 L
.46553 .52601 L
.46628 .52703 L
.46692 .52794 L
.46821 .52967 L
.46837 .52987 L
.46964 .53179 L
.47013 .53246 L
.47099 .53372 L
.47206 .5352 L
.47236 .53565 L
.47369 .53758 L
.47399 .53799 L
.47498 .5395 L
.47591 .54083 L
.4763 .54143 L
.47758 .54336 L
.47784 .54373 L
.47875 .54528 L
.47977 .54685 L
.47996 .54721 L
.47977 .54844 L
.47862 .54721 L
.47784 .54645 L
.47686 .54528 L
.47591 .54424 L
.47519 .54336 L
.47399 .54226 L
.47358 .54143 L
.47206 .53957 L
.47197 .5395 L
.4705 .53758 L
.47013 .53714 L
.46898 .53565 L
.46821 .53506 L
.46746 .53372 L
.46628 .53226 L
.46578 .53179 L
.46448 .52987 L
.46435 .52971 L
.46302 .52794 L
.46242 .52749 L
.46154 .52601 L
.4605 .52471 L
.4599 .52409 L
.45862 .52216 L
.45857 .52209 L
.45719 .52023 L
.45664 .5198 L
.45574 .51831 L
.45472 .51701 L
.45415 .51638 L
.45286 .51445 L
.45279 .51436 L
.45145 .51253 L
.45086 .51203 L
.45001 .5106 L
.44894 .50922 L
.44848 .50867 L
.44716 .50674 L
.44701 .50654 L
.44576 .50482 L
.44508 .50419 L
.44367 .50289 L
.44316 .50133 L
.44286 .50096 L
.44153 .49904 L
.44123 .49864 L
.44013 .49711 L
.4393 .49625 L
.43824 .49518 L
.43737 .49336 L
.43729 .49326 L
.43595 .49133 L
.43545 .49066 L
.43456 .4894 L
.43352 .48819 L
.43287 .48747 L
.43178 .48555 L
.43159 .4853 L
.43044 .48362 L
.42967 .48257 L
.42906 .48169 L
.42774 .47991 L
.42762 .47977 L
.42637 .47784 L
.42581 .47708 L
.42504 .47591 L
.42389 .4743 L
.42368 .47399 L
.4224 .47206 L
.42196 .47143 L
.42115 .47013 L
.42003 .46849 L
.41986 .46821 L
.41878 .46628 L
.41811 .46513 L
.41794 .46435 L
F
1 .93 0 r
.41811 .43788 m
.42003 .4388 L
.42031 .4393 L
.42196 .441 L
.42209 .44123 L
.42365 .44316 L
.42389 .44344 L
.42511 .44508 L
.42581 .44598 L
.42654 .44701 L
.42774 .4486 L
.42797 .44894 L
.42931 .45086 L
.42967 .45135 L
.43058 .45279 L
.43159 .45429 L
.43184 .45472 L
.43288 .45664 L
.43159 .45751 L
.43072 .45664 L
.42967 .45589 L
.42893 .45472 L
.42774 .45337 L
.42687 .45279 L
.42581 .45092 L
.42576 .45086 L
.42428 .44894 L
.42389 .44841 L
.42284 .44701 L
.42196 .44598 L
.42122 .44508 L
.42016 .44316 L
.42003 .44295 L
.41895 .44123 L
.41811 .4396 L
.41796 .4393 L
F
0 .72 1 r
.41811 .42079 m
.41864 .42196 L
.41811 .4221 L
.41797 .42196 L
F
1 .46 0 r
.41811 .48778 m
.41896 .4894 L
.42003 .49115 L
.42006 .49133 L
.42003 .49138 L
.41998 .49133 L
.41811 .4895 L
.41803 .4894 L
F
1 .78 0 r
.41811 .41367 m
.41907 .41425 L
.42003 .41505 L
.42103 .41618 L
.42196 .4172 L
.42267 .41811 L
.42389 .41962 L
.42419 .42003 L
.42555 .42196 L
.42581 .42233 L
.42673 .42389 L
.42581 .42491 L
.42487 .42389 L
.42389 .42281 L
.42322 .42196 L
.42196 .42037 L
.42172 .42003 L
.42038 .41811 L
.42003 .41761 L
.41918 .41618 L
.41811 .41428 L
.41809 .41425 L
F
0 .99 1 r
.42003 .43306 m
.42196 .43304 L
.42327 .43352 L
.42389 .43398 L
.42557 .43545 L
.42581 .43643 L
.42658 .43737 L
.42774 .43906 L
.42786 .4393 L
.42931 .44123 L
.42967 .44166 L
.4312 .44316 L
.43159 .44432 L
.43223 .44508 L
.43352 .44695 L
.43355 .44701 L
.43495 .44894 L
.43545 .44933 L
.43677 .45086 L
.43737 .45211 L
.43784 .45279 L
.4392 .45472 L
.4393 .45486 L
.44058 .45664 L
.44123 .45753 L
.44232 .45857 L
.44316 .46018 L
.44342 .4605 L
.44476 .46242 L
.44508 .46289 L
.44607 .46435 L
.44588 .46628 L
.44508 .46641 L
.44316 .46661 L
.44228 .46628 L
.44123 .46546 L
.44037 .46435 L
.4393 .46302 L
.43918 .46242 L
.43742 .4605 L
.43737 .4604 L
.4361 .45857 L
.43545 .45747 L
.43513 .45664 L
.43352 .45524 L
.43313 .45472 L
.43174 .45279 L
.43159 .45256 L
.43054 .45086 L
.42967 .44976 L
.42888 .44894 L
.42774 .44734 L
.42749 .44701 L
.42611 .44508 L
.42581 .4447 L
.42497 .44316 L
.42389 .44201 L
.42326 .44123 L
.42196 .43938 L
.42189 .4393 L
.42054 .43737 L
.42003 .43667 L
.41948 .43545 L
.41822 .43352 L
F
0 .58 1 r
.42003 .46623 m
.42008 .46628 L
.42181 .46821 L
.42196 .46836 L
.42344 .47013 L
.42389 .47063 L
.42504 .47206 L
.42581 .47296 L
.42663 .47399 L
.42774 .47516 L
.42818 .47591 L
.42967 .47778 L
.42973 .47784 L
.4312 .47977 L
.43159 .48025 L
.4327 .48169 L
.43352 .48253 L
.4342 .48362 L
.43545 .48522 L
.43575 .48555 L
.43714 .48747 L
.43737 .48777 L
.4386 .4894 L
.4393 .49013 L
.4408 .49133 L
.44123 .49285 L
.44157 .49326 L
.44295 .49518 L
.44316 .49545 L
.44439 .49711 L
.44508 .49785 L
.44638 .49904 L
.44701 .50059 L
.4473 .50096 L
.44868 .50289 L
.44894 .50322 L
.4501 .50482 L
.45086 .50566 L
.45194 .50674 L
.45279 .50843 L
.45297 .50867 L
.45435 .5106 L
.45472 .51108 L
.45576 .51253 L
.45664 .51355 L
.45748 .51445 L
.45857 .51635 L
.45859 .51638 L
.45996 .51831 L
.4605 .51903 L
.46136 .52023 L
.46242 .52156 L
.46295 .52216 L
.46414 .52409 L
.46435 .52437 L
.46551 .52601 L
.46628 .52707 L
.46689 .52794 L
.46821 .52972 L
.46832 .52987 L
.46961 .53179 L
.47013 .53251 L
.47096 .53372 L
.47206 .53525 L
.47233 .53565 L
.47364 .53758 L
.47399 .53805 L
.47493 .5395 L
.47591 .5409 L
.47625 .54143 L
.4775 .54336 L
.47784 .54384 L
.47866 .54528 L
.47977 .54704 L
.47985 .54721 L
.47977 .5482 L
.47878 .54721 L
.47784 .54633 L
.47695 .54528 L
.47591 .54415 L
.47526 .54336 L
.47399 .54216 L
.47364 .54143 L
.47207 .5395 L
.47206 .53949 L
.47055 .53758 L
.47013 .53708 L
.46902 .53565 L
.46821 .53501 L
.4675 .53372 L
.46628 .53221 L
.46583 .53179 L
.46452 .52987 L
.46435 .52966 L
.46305 .52794 L
.46242 .52746 L
.46157 .52601 L
.4605 .52467 L
.45994 .52409 L
.45865 .52216 L
.45857 .52206 L
.45722 .52023 L
.45664 .51977 L
.45577 .51831 L
.45472 .51698 L
.45418 .51638 L
.45288 .51445 L
.45279 .51433 L
.45147 .51253 L
.45086 .51201 L
.45004 .5106 L
.44894 .50918 L
.44851 .50867 L
.44719 .50674 L
.44701 .50651 L
.44578 .50482 L
.44508 .50416 L
.44369 .50289 L
.44316 .5013 L
.44289 .50096 L
.44155 .49904 L
.44123 .49861 L
.44016 .49711 L
.4393 .49622 L
.43827 .49518 L
.43737 .49332 L
.43732 .49326 L
.43597 .49133 L
.43545 .49063 L
.43459 .4894 L
.43352 .48814 L
.43291 .48747 L
.43181 .48555 L
.43159 .48526 L
.43047 .48362 L
.42967 .48253 L
.42909 .48169 L
.42774 .47984 L
.42768 .47977 L
.4264 .47784 L
.42581 .47703 L
.42507 .47591 L
.42389 .47424 L
.42372 .47399 L
.42246 .47206 L
.42196 .47135 L
.42121 .47013 L
.42003 .46838 L
.41993 .46821 L
.41893 .46628 L
F
0 .94 1 r
.42003 .40678 m
.42196 .40844 L
.42203 .40847 L
.42384 .4104 L
.42389 .41041 L
.42551 .41232 L
.42581 .41264 L
.4271 .41425 L
.42774 .41508 L
.42876 .41618 L
.42967 .4176 L
.43 .41811 L
.43156 .42003 L
.43159 .42004 L
.43299 .42196 L
.43352 .42254 L
.43446 .42389 L
.43545 .42535 L
.43563 .42581 L
.43695 .42774 L
.43737 .42851 L
.43862 .42967 L
.43737 .43107 L
.43545 .4306 L
.43431 .42967 L
.43352 .42884 L
.43252 .42774 L
.43159 .42663 L
.43054 .42581 L
.42967 .42415 L
.42943 .42389 L
.42804 .42196 L
.42774 .42156 L
.42665 .42003 L
.42581 .41922 L
.42492 .41811 L
.42389 .41623 L
.42385 .41618 L
.42255 .41425 L
.42196 .4134 L
.42125 .41232 L
.42003 .41048 L
.41995 .4104 L
.41894 .40847 L
F
1 .86 0 r
.42003 .45813 m
.42046 .45857 L
.42196 .45976 L
.4223 .4605 L
.42389 .46228 L
.42417 .46242 L
.42563 .46435 L
.42581 .46456 L
.42724 .46628 L
.42774 .46658 L
.42883 .46821 L
.42967 .46921 L
.43081 .47013 L
.43159 .47168 L
.4319 .47206 L
.43344 .47399 L
.43352 .47404 L
.43496 .47591 L
.43545 .47653 L
.43673 .47784 L
.43737 .47909 L
.43787 .47977 L
.4393 .48159 L
.43942 .48169 L
.44089 .48362 L
.44123 .48405 L
.44253 .48555 L
.44316 .48666 L
.4437 .48747 L
.44508 .48923 L
.44528 .4894 L
.44672 .49133 L
.44701 .49171 L
.44828 .49326 L
.44894 .49434 L
.44946 .49518 L
.45086 .49694 L
.45105 .49711 L
.45248 .49904 L
.45279 .49945 L
.45398 .50096 L
.45472 .5021 L
.45516 .50289 L
.45664 .50471 L
.45677 .50482 L
.45819 .50674 L
.45857 .50725 L
.45966 .50867 L
.4605 .50992 L
.46084 .5106 L
.46242 .5125 L
.46245 .51253 L
.46423 .51445 L
.46435 .51508 L
.46531 .51638 L
.46628 .51776 L
.46651 .51831 L
.46812 .52023 L
.46821 .52032 L
.46986 .52216 L
.47013 .52295 L
.47094 .52409 L
.47206 .52564 L
.47218 .52601 L
.47376 .52794 L
.47399 .52817 L
.47547 .52987 L
.47591 .53085 L
.47656 .53179 L
.47784 .53354 L
.47788 .53372 L
.47938 .53565 L
.47977 .53605 L
.48106 .53758 L
.48169 .53878 L
.48217 .5395 L
.48359 .54143 L
.48362 .54147 L
.48498 .54336 L
.48555 .54397 L
.48661 .54528 L
.48747 .54675 L
.48776 .54721 L
.48916 .54914 L
.4894 .54946 L
.49054 .55106 L
.49133 .55197 L
.49212 .55299 L
.49326 .5548 L
.49333 .55492 L
.49469 .55684 L
.49518 .55752 L
.49606 .55877 L
.49711 .56009 L
.49756 .5607 L
.49881 .56263 L
.49904 .56294 L
.50014 .56455 L
.50096 .56569 L
.50207 .56648 L
.50287 .56841 L
.50289 .56844 L
.50415 .57033 L
.50482 .57127 L
.50546 .57226 L
.50674 .57411 L
.50685 .57419 L
.508 .57611 L
.50867 .57712 L
.50921 .57804 L
.51037 .57997 L
.5106 .58035 L
.51108 .58189 L
.5106 .58199 L
.51049 .58189 L
.50867 .58041 L
.50848 .57997 L
.50674 .57808 L
.50671 .57804 L
.50506 .57611 L
.50482 .57585 L
.50344 .57419 L
.50289 .57394 L
.50185 .57226 L
.50096 .57125 L
.4997 .57033 L
.49904 .56876 L
.49871 .56841 L
.49723 .56648 L
.49711 .56642 L
.49572 .56455 L
.49518 .56391 L
.4938 .56263 L
.49326 .56134 L
.49274 .5607 L
.49133 .55884 L
.49131 .55877 L
.4898 .55684 L
.4894 .55636 L
.48804 .55492 L
.48747 .55375 L
.48692 .55299 L
.48555 .55118 L
.48553 .55106 L
.48399 .54914 L
.48362 .54868 L
.48233 .54721 L
.48169 .54604 L
.48117 .54528 L
.47977 .54346 L
.47967 .54336 L
.47824 .54143 L
.47784 .54093 L
.47664 .5395 L
.47591 .53827 L
.47546 .53758 L
.47399 .53568 L
.47395 .53565 L
.47254 .53372 L
.47206 .53312 L
.47098 .53179 L
.47013 .53045 L
.46978 .52987 L
.46827 .52794 L
.46821 .52789 L
.46686 .52601 L
.46628 .52528 L
.46533 .52409 L
.46435 .5226 L
.46411 .52216 L
.46262 .52023 L
.46242 .52008 L
.46068 .51831 L
.4605 .51741 L
.45971 .51638 L
.45857 .51472 L
.45844 .51445 L
.45698 .51253 L
.45664 .51224 L
.4551 .5106 L
.45472 .50951 L
.45409 .50867 L
.45279 .50681 L
.45276 .50674 L
.45136 .50482 L
.45086 .50436 L
.44955 .50289 L
.44894 .50158 L
.4485 .50096 L
.44714 .49904 L
.44701 .49887 L
.44575 .49711 L
.44508 .49643 L
.44402 .49518 L
.44316 .4936 L
.44292 .49326 L
.44156 .49133 L
.44123 .49089 L
.44018 .4894 L
.4393 .48843 L
.43853 .48747 L
.43737 .48555 L
.43737 .48555 L
.43602 .48362 L
.43545 .48285 L
.43464 .48169 L
.43352 .4803 L
.43311 .47977 L
.43189 .47784 L
.43159 .47745 L
.43055 .47591 L
.42967 .47471 L
.42917 .47399 L
.4278 .47206 L
.42774 .47198 L
.42651 .47013 L
.42581 .46916 L
.42519 .46821 L
.42389 .46636 L
.42376 .46628 L
.42261 .46435 L
.42196 .46341 L
.42137 .46242 L
.42013 .4605 L
.42003 .46035 L
.41918 .45857 L
F
1 .92 0 r
.42003 .43942 m
.42184 .44123 L
.42196 .44135 L
.42343 .44316 L
.42389 .44369 L
.42492 .44508 L
.42581 .44621 L
.42637 .44701 L
.42774 .44883 L
.42781 .44894 L
.42911 .45086 L
.42967 .45166 L
.43036 .45279 L
.43158 .45472 L
.43159 .45475 L
.43218 .45664 L
.43159 .45677 L
.43142 .45664 L
.42967 .4553 L
.42933 .45472 L
.42774 .45295 L
.42748 .45279 L
.42605 .45086 L
.42581 .45058 L
.42454 .44894 L
.42389 .44808 L
.42308 .44701 L
.42196 .44556 L
.42157 .44508 L
.42044 .44316 L
.42003 .44249 L
.41928 .44123 L
F
0 .93 1 r
.42003 .4073 m
.42158 .40847 L
.42196 .40878 L
.42357 .4104 L
.42389 .41047 L
.42531 .41232 L
.42581 .41285 L
.42693 .41425 L
.42774 .41527 L
.42862 .41618 L
.42967 .41776 L
.4299 .41811 L
.43143 .42003 L
.43159 .42008 L
.43286 .42196 L
.43352 .42269 L
.43434 .42389 L
.43545 .42559 L
.43553 .42581 L
.43677 .42774 L
.43737 .42896 L
.43807 .42967 L
.43737 .43057 L
.43545 .43034 L
.43456 .42967 L
.43352 .42867 L
.43266 .42774 L
.43159 .42649 L
.43069 .42581 L
.42967 .42402 L
.42954 .42389 L
.42814 .42196 L
.42774 .42143 L
.42674 .42003 L
.42581 .41907 L
.42504 .41811 L
.42397 .41618 L
.42389 .41606 L
.42268 .41425 L
.42196 .4132 L
.4214 .41232 L
.4202 .4104 L
.42003 .41012 L
.41928 .40847 L
F
1 .77 0 r
.42003 .41529 m
.42084 .41618 L
.42196 .41738 L
.42254 .41811 L
.42389 .41979 L
.42407 .42003 L
.4254 .42196 L
.42581 .42257 L
.42655 .42389 L
.42581 .42469 L
.42505 .42389 L
.42389 .42265 L
.42335 .42196 L
.42196 .42021 L
.42183 .42003 L
.42053 .41811 L
.42003 .41738 L
.41936 .41618 L
F
0 .94 1 r
.42003 .4488 m
.42012 .44894 L
.42003 .45011 L
.41936 .44894 L
F
1 .76 0 r
.42003 .41557 m
.42062 .41618 L
.42196 .41757 L
.42238 .41811 L
.42389 .41997 L
.42393 .42003 L
.42522 .42196 L
.42581 .42285 L
.42633 .42389 L
.42581 .42443 L
.42527 .42389 L
.42389 .42247 L
.42349 .42196 L
.42196 .42004 L
.42195 .42003 L
.42071 .41811 L
.42003 .4171 L
.41957 .41618 L
F
0 .19 1 r
.42003 .48232 m
.42088 .48362 L
.42196 .48498 L
.42232 .48555 L
.42196 .4867 L
.42115 .48555 L
.42003 .4842 L
.41962 .48362 L
F
1 .27 0 r
.42003 .47403 m
.42149 .47591 L
.42196 .47645 L
.42301 .47784 L
.42389 .47889 L
.42454 .47977 L
.42581 .48137 L
.42606 .48169 L
.42752 .48362 L
.42774 .48389 L
.42896 .48555 L
.42967 .48644 L
.43042 .48747 L
.43159 .48899 L
.43189 .4894 L
.43332 .49133 L
.43352 .49158 L
.43471 .49326 L
.43545 .4942 L
.43614 .49518 L
.43737 .49681 L
.43758 .49711 L
.43896 .49904 L
.4393 .49947 L
.44033 .50096 L
.44123 .50215 L
.44174 .50289 L
.44315 .50482 L
.44316 .50482 L
.44445 .50674 L
.44508 .50759 L
.44579 .50867 L
.44701 .51035 L
.44717 .5106 L
.44841 .51253 L
.44894 .51325 L
.44963 .51445 L
.45086 .51628 L
.45091 .51638 L
.45086 .5171 L
.45024 .51638 L
.44894 .51509 L
.44844 .51445 L
.44701 .51281 L
.44679 .51253 L
.44525 .5106 L
.44508 .51041 L
.44376 .50867 L
.44316 .50796 L
.44225 .50674 L
.44123 .50548 L
.44073 .50482 L
.4393 .50304 L
.43923 .50289 L
.43781 .50096 L
.43737 .50042 L
.43636 .49904 L
.43545 .49786 L
.4349 .49711 L
.43352 .49536 L
.43344 .49518 L
.43205 .49326 L
.43159 .49267 L
.43064 .49133 L
.42967 .49005 L
.42921 .4894 L
.42779 .48747 L
.42774 .48742 L
.42644 .48555 L
.42581 .48472 L
.42506 .48362 L
.42389 .48204 L
.42365 .48169 L
.42232 .47977 L
.42196 .47929 L
.42101 .47784 L
.42003 .47651 L
.41965 .47591 L
F
1 .91 0 r
.42003 .44002 m
.42147 .44123 L
.42196 .4417 L
.42318 .44316 L
.42389 .44397 L
.42471 .44508 L
.42581 .44646 L
.42619 .44701 L
.42761 .44894 L
.42774 .44911 L
.42886 .45086 L
.42967 .45205 L
.43009 .45279 L
.42967 .45454 L
.428 .45279 L
.42774 .45252 L
.42635 .45086 L
.42581 .45022 L
.42481 .44894 L
.42389 .44773 L
.42335 .44701 L
.42199 .44508 L
.42196 .44503 L
.42075 .44316 L
.42003 .44191 L
.41967 .44123 L
F
0 .18 1 r
.42003 .48241 m
.42081 .48362 L
.42196 .48508 L
.42226 .48555 L
.42196 .48659 L
.42123 .48555 L
.42003 .48412 L
.41968 .48362 L
F
1 .26 0 r
.42003 .47411 m
.42143 .47591 L
.42196 .47651 L
.42296 .47784 L
.42389 .47895 L
.4245 .47977 L
.42581 .48141 L
.42602 .48169 L
.42748 .48362 L
.42774 .48394 L
.42892 .48555 L
.42967 .48648 L
.43039 .48747 L
.43159 .48904 L
.43186 .4894 L
.43328 .49133 L
.43352 .49163 L
.43468 .49326 L
.43545 .49424 L
.43611 .49518 L
.43737 .49686 L
.43756 .49711 L
.43893 .49904 L
.4393 .49952 L
.4403 .50096 L
.44123 .5022 L
.4417 .50289 L
.44311 .50482 L
.44316 .50487 L
.4444 .50674 L
.44508 .50765 L
.44575 .50867 L
.44701 .51041 L
.44713 .5106 L
.44834 .51253 L
.44894 .51335 L
.44955 .51445 L
.44894 .51499 L
.44851 .51445 L
.44701 .51273 L
.44685 .51253 L
.44531 .5106 L
.44508 .51035 L
.44381 .50867 L
.44316 .5079 L
.44229 .50674 L
.44123 .50543 L
.44077 .50482 L
.4393 .50297 L
.43927 .50289 L
.43785 .50096 L
.43737 .50038 L
.4364 .49904 L
.43545 .49782 L
.43493 .49711 L
.43352 .49529 L
.43347 .49518 L
.43209 .49326 L
.43159 .49263 L
.43068 .49133 L
.42967 .49 L
.42924 .4894 L
.42782 .48747 L
.42774 .48737 L
.42648 .48555 L
.42581 .48467 L
.42509 .48362 L
.42389 .48199 L
.42368 .48169 L
.42236 .47977 L
.42196 .47923 L
.42105 .47784 L
.42003 .47644 L
.41969 .47591 L
F
0 .92 1 r
.42003 .40797 m
.421 .40847 L
.42196 .40914 L
.42327 .4104 L
.42389 .41055 L
.42509 .41232 L
.42581 .41305 L
.42676 .41425 L
.42774 .41546 L
.42847 .41618 L
.42967 .41792 L
.4298 .41811 L
.4313 .42003 L
.43159 .42013 L
.43274 .42196 L
.43352 .42287 L
.43421 .42389 L
.43542 .42581 L
.43545 .42586 L
.43659 .42774 L
.43733 .42967 L
.43545 .43008 L
.43485 .42967 L
.43352 .42851 L
.43282 .42774 L
.43159 .42635 L
.43086 .42581 L
.42967 .4239 L
.42966 .42389 L
.42824 .42196 L
.42774 .4213 L
.42684 .42003 L
.42581 .4189 L
.42518 .41811 L
.42409 .41618 L
.42389 .41589 L
.42281 .41425 L
.42196 .41297 L
.42156 .41232 L
.42045 .4104 L
.42003 .40956 L
.41973 .40847 L
F
1 .25 0 r
.42003 .47419 m
.42137 .47591 L
.42196 .47658 L
.42291 .47784 L
.42389 .479 L
.42446 .47977 L
.42581 .48146 L
.42598 .48169 L
.42744 .48362 L
.42774 .48399 L
.42888 .48555 L
.42967 .48653 L
.43035 .48747 L
.43159 .48908 L
.43183 .4894 L
.43325 .49133 L
.43352 .49167 L
.43465 .49326 L
.43545 .49429 L
.43608 .49518 L
.43737 .4969 L
.43752 .49711 L
.43889 .49904 L
.4393 .49957 L
.44026 .50096 L
.44123 .50224 L
.44167 .50289 L
.44307 .50482 L
.44316 .50493 L
.44436 .50674 L
.44508 .50771 L
.4457 .50867 L
.44701 .51048 L
.44709 .5106 L
.44826 .51253 L
.44894 .51346 L
.44945 .51445 L
.44894 .51488 L
.4486 .51445 L
.44701 .51266 L
.44691 .51253 L
.44537 .5106 L
.44508 .51028 L
.44386 .50867 L
.44316 .50784 L
.44233 .50674 L
.44123 .50538 L
.44081 .50482 L
.4393 .50289 L
.4393 .50289 L
.43789 .50096 L
.43737 .50033 L
.43643 .49904 L
.43545 .49778 L
.43496 .49711 L
.43352 .49523 L
.4335 .49518 L
.43212 .49326 L
.43159 .49258 L
.43071 .49133 L
.42967 .48996 L
.42927 .4894 L
.42786 .48747 L
.42774 .48732 L
.42652 .48555 L
.42581 .48462 L
.42513 .48362 L
.42389 .48194 L
.42372 .48169 L
.42241 .47977 L
.42196 .47917 L
.4211 .47784 L
.42003 .47637 L
.41974 .47591 L
F
0 .98 1 r
.42003 .43347 m
.42196 .4335 L
.42204 .43352 L
.42389 .43443 L
.42537 .43545 L
.42581 .43665 L
.42644 .43737 L
.42774 .4392 L
.42779 .4393 L
.42923 .44123 L
.42967 .44175 L
.43114 .44316 L
.43159 .4444 L
.43216 .44508 L
.43351 .44701 L
.43352 .44702 L
.43489 .44894 L
.43545 .44939 L
.43672 .45086 L
.43737 .4522 L
.43778 .45279 L
.43912 .45472 L
.4393 .45496 L
.44049 .45664 L
.44123 .45765 L
.44221 .45857 L
.44316 .46034 L
.44329 .4605 L
.44455 .46242 L
.44508 .46329 L
.44566 .46435 L
.44508 .46572 L
.44316 .46571 L
.44123 .46453 L
.44104 .46435 L
.4393 .46248 L
.43929 .46242 L
.43762 .4605 L
.43737 .45996 L
.43632 .45857 L
.43545 .45719 L
.43525 .45664 L
.43352 .45503 L
.43328 .45472 L
.43186 .45279 L
.43159 .45237 L
.43066 .45086 L
.42967 .44961 L
.42899 .44894 L
.42774 .44719 L
.42761 .44701 L
.42622 .44508 L
.42581 .44454 L
.4251 .44316 L
.42389 .44184 L
.4234 .44123 L
.42198 .4393 L
.42196 .43915 L
.42075 .43737 L
.42003 .43625 L
.41975 .43545 L
.41979 .43352 L
F
0 .17 1 r
.42003 .48251 m
.42073 .48362 L
.42196 .48518 L
.42219 .48555 L
.42196 .48648 L
.42132 .48555 L
.42003 .48402 L
.41975 .48362 L
F
1 .24 0 r
.42003 .47428 m
.4213 .47591 L
.42196 .47664 L
.42286 .47784 L
.42389 .47906 L
.42441 .47977 L
.42581 .48151 L
.42595 .48169 L
.4274 .48362 L
.42774 .48404 L
.42884 .48555 L
.42967 .48658 L
.43032 .48747 L
.43159 .48912 L
.4318 .4894 L
.43321 .49133 L
.43352 .49172 L
.43461 .49326 L
.43545 .49433 L
.43605 .49518 L
.43737 .49694 L
.43749 .49711 L
.43885 .49904 L
.4393 .49961 L
.44023 .50096 L
.44123 .50229 L
.44164 .50289 L
.44302 .50482 L
.44316 .50499 L
.44431 .50674 L
.44508 .50777 L
.44566 .50867 L
.44701 .51055 L
.44704 .5106 L
.44818 .51253 L
.44894 .5136 L
.44934 .51445 L
.44894 .51476 L
.44869 .51445 L
.44701 .51258 L
.44697 .51253 L
.44544 .5106 L
.44508 .51021 L
.44391 .50867 L
.44316 .50779 L
.44238 .50674 L
.44123 .50533 L
.44085 .50482 L
.43935 .50289 L
.4393 .50284 L
.43792 .50096 L
.43737 .50028 L
.43647 .49904 L
.43545 .49773 L
.435 .49711 L
.43354 .49518 L
.43352 .49516 L
.43216 .49326 L
.43159 .49254 L
.43074 .49133 L
.42967 .48992 L
.4293 .4894 L
.4279 .48747 L
.42774 .48727 L
.42655 .48555 L
.42581 .48457 L
.42517 .48362 L
.42389 .48189 L
.42376 .48169 L
.42246 .47977 L
.42196 .47911 L
.42115 .47784 L
.42003 .4763 L
.41979 .47591 L
F
0 .16 1 r
.42003 .48263 m
.42063 .48362 L
.42196 .48529 L
.42211 .48555 L
.42196 .48634 L
.42143 .48555 L
.42003 .48392 L
.41982 .48362 L
F
1 .23 0 r
.42003 .47438 m
.42123 .47591 L
.42196 .47672 L
.42281 .47784 L
.42389 .47912 L
.42437 .47977 L
.42581 .48157 L
.42591 .48169 L
.42735 .48362 L
.42774 .48409 L
.4288 .48555 L
.42967 .48662 L
.43028 .48747 L
.43159 .48917 L
.43176 .4894 L
.43317 .49133 L
.43352 .49176 L
.43458 .49326 L
.43545 .49438 L
.43602 .49518 L
.43737 .49698 L
.43746 .49711 L
.43881 .49904 L
.4393 .49966 L
.44019 .50096 L
.44123 .50234 L
.4416 .50289 L
.44298 .50482 L
.44316 .50505 L
.44426 .50674 L
.44508 .50784 L
.44561 .50867 L
.44508 .51014 L
.44397 .50867 L
.44316 .50772 L
.44242 .50674 L
.44123 .50528 L
.44089 .50482 L
.43939 .50289 L
.4393 .50278 L
.43797 .50096 L
.43737 .50023 L
.43651 .49904 L
.43545 .49769 L
.43503 .49711 L
.43357 .49518 L
.43352 .49512 L
.4322 .49326 L
.43159 .49249 L
.43078 .49133 L
.42967 .48987 L
.42934 .4894 L
.42794 .48747 L
.42774 .48722 L
.42659 .48555 L
.42581 .48452 L
.4252 .48362 L
.42389 .48183 L
.42379 .48169 L
.42251 .47977 L
.42196 .47904 L
.4212 .47784 L
.42003 .47622 L
.41984 .47591 L
F
1 .75 0 r
.42003 .41598 m
.42027 .41618 L
.42196 .41779 L
.42221 .41811 L
.42196 .41981 L
.42092 .41811 L
.42003 .41666 L
.41988 .41618 L
F
1 .22 0 r
.42003 .47448 m
.42115 .47591 L
.42196 .47679 L
.42275 .47784 L
.42389 .47918 L
.42432 .47977 L
.42581 .48162 L
.42587 .48169 L
.42731 .48362 L
.42774 .48414 L
.42876 .48555 L
.42967 .48667 L
.43025 .48747 L
.43159 .48921 L
.43173 .4894 L
.43313 .49133 L
.43352 .49181 L
.43454 .49326 L
.43545 .49442 L
.43598 .49518 L
.43737 .49703 L
.43743 .49711 L
.43878 .49904 L
.4393 .49971 L
.44015 .50096 L
.44123 .50239 L
.44157 .50289 L
.44293 .50482 L
.44316 .50511 L
.44421 .50674 L
.44508 .50791 L
.44556 .50867 L
.44508 .51006 L
.44403 .50867 L
.44316 .50766 L
.44247 .50674 L
.44123 .50522 L
.44093 .50482 L
.43944 .50289 L
.4393 .50273 L
.43801 .50096 L
.43737 .50018 L
.43654 .49904 L
.43545 .49764 L
.43506 .49711 L
.43361 .49518 L
.43352 .49507 L
.43223 .49326 L
.43159 .49244 L
.43081 .49133 L
.42967 .48982 L
.42937 .4894 L
.42798 .48747 L
.42774 .48717 L
.42663 .48555 L
.42581 .48447 L
.42524 .48362 L
.42389 .48178 L
.42383 .48169 L
.42256 .47977 L
.42196 .47896 L
.42126 .47784 L
.42003 .47613 L
.4199 .47591 L
F
0 .15 1 r
.42003 .48277 m
.42051 .48362 L
.42196 .48543 L
.42203 .48555 L
.42196 .48616 L
.42157 .48555 L
.42003 .48381 L
.41991 .48362 L
F
0 .97 1 r
.42003 .43413 m
.42196 .43387 L
.42389 .43479 L
.42507 .43545 L
.42581 .43686 L
.42629 .43737 L
.42771 .4393 L
.42774 .43933 L
.42915 .44123 L
.42967 .44184 L
.43108 .44316 L
.43159 .44448 L
.4321 .44508 L
.43345 .44701 L
.43352 .4471 L
.43483 .44894 L
.43545 .44946 L
.43665 .45086 L
.43737 .4523 L
.43771 .45279 L
.43905 .45472 L
.4393 .45506 L
.44041 .45664 L
.44123 .45778 L
.44208 .45857 L
.44314 .4605 L
.44316 .46052 L
.44433 .46242 L
.44508 .46398 L
.44518 .46435 L
.44508 .46482 L
.44316 .46508 L
.44176 .46435 L
.44123 .46381 L
.43962 .46242 L
.4393 .46198 L
.4378 .4605 L
.43737 .4596 L
.43651 .45857 L
.43545 .45697 L
.43533 .45664 L
.43352 .45484 L
.43343 .45472 L
.43197 .45279 L
.43159 .45219 L
.43078 .45086 L
.42967 .44947 L
.4291 .44894 L
.42774 .44703 L
.42772 .44701 L
.42632 .44508 L
.42581 .44439 L
.4252 .44316 L
.42389 .44167 L
.42354 .44123 L
.422 .4393 L
.42196 .4389 L
.42094 .43737 L
.42003 .43572 L
.41995 .43545 L
F
1 .21 0 r
.42003 .4746 m
.42106 .47591 L
.42196 .47687 L
.42269 .47784 L
.42389 .47924 L
.42428 .47977 L
.42581 .48167 L
.42583 .48169 L
.42726 .48362 L
.42774 .48419 L
.42872 .48555 L
.42967 .48672 L
.43021 .48747 L
.43159 .48926 L
.4317 .4894 L
.43309 .49133 L
.43352 .49186 L
.4345 .49326 L
.43545 .49447 L
.43595 .49518 L
.43737 .49708 L
.4374 .49711 L
.43873 .49904 L
.4393 .49977 L
.44011 .50096 L
.44123 .50245 L
.44153 .50289 L
.44288 .50482 L
.44316 .50518 L
.44416 .50674 L
.44508 .50798 L
.44551 .50867 L
.44508 .50997 L
.44409 .50867 L
.44316 .5076 L
.44252 .50674 L
.44123 .50517 L
.44097 .50482 L
.43949 .50289 L
.4393 .50267 L
.43805 .50096 L
.43737 .50013 L
.43658 .49904 L
.43545 .49759 L
.4351 .49711 L
.43365 .49518 L
.43352 .49502 L
.43227 .49326 L
.43159 .49239 L
.43085 .49133 L
.42967 .48978 L
.4294 .4894 L
.42802 .48747 L
.42774 .48711 L
.42668 .48555 L
.42581 .48441 L
.42528 .48362 L
.42389 .48172 L
.42387 .48169 L
.42262 .47977 L
.42196 .47889 L
.42131 .47784 L
.42003 .47604 L
.41996 .47591 L
F
0 .57 1 r
.42003 .46638 m
.4217 .46821 L
.42196 .46847 L
.42336 .47013 L
.42389 .47071 L
.42498 .47206 L
.42581 .47303 L
.42657 .47399 L
.42774 .47524 L
.42814 .47591 L
.42967 .47784 L
.42967 .47784 L
.43116 .47977 L
.43159 .4803 L
.43266 .48169 L
.43352 .48258 L
.43417 .48362 L
.43545 .48527 L
.43571 .48555 L
.43711 .48747 L
.43737 .48782 L
.43857 .4894 L
.4393 .49017 L
.44076 .49133 L
.44123 .49289 L
.44154 .49326 L
.44292 .49518 L
.44316 .49548 L
.44436 .49711 L
.44508 .49788 L
.44635 .49904 L
.44701 .50063 L
.44728 .50096 L
.44866 .50289 L
.44894 .50325 L
.45008 .50482 L
.45086 .50569 L
.45192 .50674 L
.45279 .50846 L
.45295 .50867 L
.45433 .5106 L
.45472 .51112 L
.45573 .51253 L
.45664 .51359 L
.45745 .51445 L
.45856 .51638 L
.45857 .51639 L
.45994 .51831 L
.4605 .51906 L
.46133 .52023 L
.46242 .5216 L
.46291 .52216 L
.46412 .52409 L
.46435 .5244 L
.46548 .52601 L
.46628 .5271 L
.46686 .52794 L
.46821 .52978 L
.46828 .52987 L
.46958 .53179 L
.47013 .53255 L
.47092 .53372 L
.47206 .5353 L
.47229 .53565 L
.4736 .53758 L
.47399 .53812 L
.47488 .5395 L
.47591 .54098 L
.4762 .54143 L
.47743 .54336 L
.47784 .54396 L
.47857 .54528 L
.47784 .5462 L
.47705 .54528 L
.47591 .54406 L
.47534 .54336 L
.47399 .54204 L
.4737 .54143 L
.47212 .5395 L
.47206 .53943 L
.4706 .53758 L
.47013 .53702 L
.46907 .53565 L
.46821 .53496 L
.46754 .53372 L
.46628 .53216 L
.46588 .53179 L
.46455 .52987 L
.46435 .52962 L
.46308 .52794 L
.46242 .52743 L
.4616 .52601 L
.4605 .52463 L
.45997 .52409 L
.45868 .52216 L
.45857 .52202 L
.45724 .52023 L
.45664 .51975 L
.45579 .51831 L
.45472 .51694 L
.45421 .51638 L
.45291 .51445 L
.45279 .5143 L
.45149 .51253 L
.45086 .51198 L
.45006 .5106 L
.44894 .50915 L
.44853 .50867 L
.44721 .50674 L
.44701 .50648 L
.44581 .50482 L
.44508 .50413 L
.44372 .50289 L
.44316 .50127 L
.44291 .50096 L
.44157 .49904 L
.44123 .49858 L
.44018 .49711 L
.4393 .49618 L
.43831 .49518 L
.43737 .49329 L
.43735 .49326 L
.436 .49133 L
.43545 .49059 L
.43461 .4894 L
.43352 .4881 L
.43295 .48747 L
.43184 .48555 L
.43159 .48522 L
.4305 .48362 L
.42967 .48249 L
.42912 .48169 L
.42774 .47978 L
.42773 .47977 L
.42644 .47784 L
.42581 .47697 L
.42511 .47591 L
.42389 .47418 L
.42376 .47399 L
.42252 .47206 L
.42196 .47126 L
.42128 .47013 L
.42003 .46826 L
.42 .46821 L
F
0 .14 1 r
.42003 .48296 m
.42034 .48362 L
.42003 .48366 L
.42 .48362 L
F
1 .2 0 r
.42003 .47474 m
.42095 .47591 L
.42196 .47696 L
.42263 .47784 L
.42389 .47931 L
.42423 .47977 L
.42389 .48165 L
.42268 .47977 L
.42196 .4788 L
.42137 .47784 L
.42003 .47594 L
.42002 .47591 L
F
0 .96 1 r
.42196 .43422 m
.42389 .4351 L
.42463 .43545 L
.42581 .43706 L
.42612 .43737 L
.4276 .4393 L
.42774 .43942 L
.42906 .44123 L
.42967 .44194 L
.43101 .44316 L
.43159 .44457 L
.43203 .44508 L
.43338 .44701 L
.43352 .44719 L
.43477 .44894 L
.43545 .44954 L
.43659 .45086 L
.43737 .4524 L
.43764 .45279 L
.43897 .45472 L
.4393 .45517 L
.44032 .45664 L
.44123 .45792 L
.44195 .45857 L
.44298 .4605 L
.44316 .46077 L
.44409 .46242 L
.44435 .46435 L
.44316 .46451 L
.44271 .46435 L
.44123 .46327 L
.43998 .46242 L
.4393 .46156 L
.43798 .4605 L
.43737 .4593 L
.43668 .45857 L
.43545 .45682 L
.43539 .45664 L
.43357 .45472 L
.43352 .45465 L
.43207 .45279 L
.43159 .45202 L
.43088 .45086 L
.42967 .44935 L
.42922 .44894 L
.42783 .44701 L
.42774 .44691 L
.42642 .44508 L
.42581 .44425 L
.4253 .44316 L
.42389 .4415 L
.42368 .44123 L
.42202 .4393 L
.42196 .43864 L
.42113 .43737 L
.42027 .43545 L
F
1 .85 0 r
.42196 .46032 m
.42204 .4605 L
.4238 .46242 L
.42389 .46252 L
.42547 .46435 L
.42581 .46473 L
.4271 .46628 L
.42774 .46668 L
.42871 .46821 L
.42967 .46934 L
.43069 .47013 L
.43159 .47179 L
.43182 .47206 L
.43335 .47399 L
.43352 .4741 L
.43488 .47591 L
.43545 .47662 L
.43667 .47784 L
.43737 .47917 L
.43781 .47977 L
.4393 .48164 L
.43936 .48169 L
.44084 .48362 L
.44123 .48412 L
.44249 .48555 L
.44316 .48672 L
.44366 .48747 L
.44508 .48927 L
.44523 .4894 L
.44668 .49133 L
.44701 .49176 L
.44824 .49326 L
.44894 .49439 L
.44943 .49518 L
.45086 .49698 L
.45101 .49711 L
.45244 .49904 L
.45279 .49949 L
.45396 .50096 L
.45472 .50215 L
.45514 .50289 L
.45664 .50473 L
.45674 .50482 L
.45816 .50674 L
.45857 .50728 L
.45963 .50867 L
.4605 .50995 L
.46083 .5106 L
.46242 .51252 L
.46243 .51253 L
.46423 .51445 L
.46435 .51512 L
.46529 .51638 L
.46628 .5178 L
.4665 .51831 L
.46809 .52023 L
.46821 .52034 L
.46985 .52216 L
.47013 .52298 L
.47092 .52409 L
.47206 .52567 L
.47217 .52601 L
.47373 .52794 L
.47399 .52819 L
.47545 .52987 L
.47591 .53088 L
.47654 .53179 L
.47784 .53357 L
.47787 .53372 L
.47935 .53565 L
.47977 .53607 L
.48103 .53758 L
.48169 .53882 L
.48215 .5395 L
.48356 .54143 L
.48362 .54151 L
.48495 .54336 L
.48555 .54401 L
.48658 .54528 L
.48747 .5468 L
.48773 .54721 L
.48913 .54914 L
.4894 .54951 L
.49051 .55106 L
.49133 .55202 L
.49208 .55299 L
.49326 .55486 L
.49329 .55492 L
.49465 .55684 L
.49518 .55758 L
.49602 .55877 L
.49711 .56017 L
.4975 .5607 L
.49875 .56263 L
.49904 .56302 L
.50009 .56455 L
.50096 .56578 L
.50197 .56648 L
.50279 .56841 L
.50289 .56855 L
.50407 .57033 L
.50482 .5714 L
.50537 .57226 L
.50668 .57419 L
.50674 .57428 L
.50785 .57611 L
.50867 .57737 L
.50904 .57804 L
.50867 .57986 L
.50694 .57804 L
.50674 .57785 L
.50523 .57611 L
.50482 .57567 L
.50358 .57419 L
.50289 .57384 L
.50196 .57226 L
.50096 .57112 L
.49984 .57033 L
.49904 .56865 L
.49881 .56841 L
.49731 .56648 L
.49711 .56638 L
.4958 .56455 L
.49518 .56383 L
.49386 .56263 L
.49326 .56127 L
.4928 .5607 L
.49133 .55878 L
.49133 .55877 L
.48985 .55684 L
.4894 .5563 L
.48808 .55492 L
.48747 .55369 L
.48695 .55299 L
.48555 .55114 L
.48554 .55106 L
.48403 .54914 L
.48362 .54863 L
.48235 .54721 L
.48169 .546 L
.4812 .54528 L
.47977 .54342 L
.4797 .54336 L
.47828 .54143 L
.47784 .54089 L
.47666 .5395 L
.47591 .53823 L
.47549 .53758 L
.47399 .53565 L
.47398 .53565 L
.47257 .53372 L
.47206 .53309 L
.471 .53179 L
.47013 .53042 L
.4698 .52987 L
.4683 .52794 L
.46821 .52787 L
.46689 .52601 L
.46628 .52525 L
.46535 .52409 L
.46435 .52257 L
.46413 .52216 L
.46264 .52023 L
.46242 .52006 L
.46069 .51831 L
.4605 .51738 L
.45973 .51638 L
.45857 .51469 L
.45846 .51445 L
.457 .51253 L
.45664 .51221 L
.45512 .5106 L
.45472 .50948 L
.45412 .50867 L
.45279 .50678 L
.45278 .50674 L
.45138 .50482 L
.45086 .50433 L
.44957 .50289 L
.44894 .50154 L
.44852 .50096 L
.44716 .49904 L
.44701 .49883 L
.44578 .49711 L
.44508 .4964 L
.44405 .49518 L
.44316 .49356 L
.44295 .49326 L
.44159 .49133 L
.44123 .49084 L
.44021 .4894 L
.4393 .48838 L
.43857 .48747 L
.43741 .48555 L
.43737 .4855 L
.43606 .48362 L
.43545 .48279 L
.43468 .48169 L
.43352 .48022 L
.43317 .47977 L
.43194 .47784 L
.43159 .47738 L
.4306 .47591 L
.42967 .47463 L
.42923 .47399 L
.42787 .47206 L
.42774 .47188 L
.42659 .47013 L
.42581 .46905 L
.42527 .46821 L
.42393 .46628 L
.42389 .46622 L
.42274 .46435 L
.42196 .4632 L
.42152 .46242 L
.42038 .4605 L
F
1 .99 0 r
.42196 .40141 m
.42352 .40269 L
.42389 .40297 L
.42581 .40448 L
.42596 .40462 L
.42774 .40649 L
.42779 .40654 L
.42946 .40847 L
.42967 .40895 L
.43073 .4104 L
.43159 .41115 L
.43252 .41232 L
.43352 .41367 L
.43397 .41425 L
.4354 .41618 L
.43545 .41628 L
.43665 .41811 L
.43737 .41909 L
.43829 .42003 L
.4393 .42144 L
.4397 .42196 L
.44109 .42389 L
.44123 .42407 L
.44228 .42581 L
.44316 .42667 L
.4439 .42774 L
.44508 .42934 L
.4452 .42967 L
.44633 .43159 L
.44508 .43248 L
.44316 .43256 L
.44146 .43352 L
.44316 .43506 L
.44344 .43545 L
.44502 .43737 L
.44508 .4376 L
.4463 .4393 L
.44701 .44018 L
.44741 .44123 L
.44894 .44282 L
.44918 .44316 L
.45072 .44508 L
.45086 .44551 L
.45195 .44701 L
.45279 .44826 L
.45303 .44894 L
.45472 .45083 L
.45482 .45086 L
.45638 .45279 L
.45664 .45332 L
.45757 .45472 L
.45857 .456 L
.45866 .45664 L
.46045 .45857 L
.4605 .45863 L
.46202 .4605 L
.46242 .46131 L
.46317 .46242 L
.46435 .46399 L
.46464 .46435 L
.46515 .46628 L
.46435 .46634 L
.46242 .46636 L
.46102 .46628 L
.4605 .4662 L
.45864 .46435 L
.45857 .46427 L
.45708 .46242 L
.45664 .46171 L
.4559 .4605 L
.45472 .45908 L
.45435 .45857 L
.45295 .45664 L
.45279 .45643 L
.45143 .45472 L
.45086 .45375 L
.45027 .45279 L
.44894 .4511 L
.44871 .45086 L
.44731 .44894 L
.44701 .44865 L
.4458 .44701 L
.44508 .44597 L
.44464 .44508 L
.44316 .44326 L
.44308 .44316 L
.44128 .44123 L
.44123 .44059 L
.4402 .4393 L
.4393 .43792 L
.43902 .43737 L
.43752 .43545 L
.43737 .4352 L
.43592 .43352 L
.43737 .43307 L
.4393 .43299 L
.44105 .43159 L
.43948 .42967 L
.4393 .42934 L
.43805 .42774 L
.43737 .42681 L
.43632 .42581 L
.43545 .42423 L
.43517 .42389 L
.43378 .42196 L
.43352 .42162 L
.43239 .42003 L
.43159 .41924 L
.43073 .41811 L
.42967 .41638 L
.42955 .41618 L
.42818 .41425 L
.42774 .41366 L
.4268 .41232 L
.42581 .41097 L
.42523 .4104 L
.42403 .40847 L
.42389 .40827 L
.42274 .40654 L
.42196 .40539 L
.42147 .40462 L
.42052 .40269 L
F
0 .95 1 r
.42196 .43457 m
.42389 .43539 L
.42403 .43545 L
.42581 .43725 L
.42594 .43737 L
.42749 .4393 L
.42774 .43952 L
.42898 .44123 L
.42967 .44203 L
.43094 .44316 L
.43159 .44465 L
.43196 .44508 L
.43332 .44701 L
.43352 .44727 L
.43471 .44894 L
.43545 .44962 L
.43652 .45086 L
.43737 .45251 L
.43757 .45279 L
.43889 .45472 L
.4393 .45528 L
.44023 .45664 L
.44123 .45806 L
.4418 .45857 L
.44282 .4605 L
.44316 .46106 L
.44382 .46242 L
.44316 .46399 L
.44123 .4629 L
.44036 .46242 L
.4393 .46123 L
.43819 .4605 L
.43737 .45907 L
.43684 .45857 L
.43545 .45673 L
.43542 .45664 L
.43369 .45472 L
.43352 .45447 L
.43217 .45279 L
.43159 .45187 L
.43098 .45086 L
.42967 .44924 L
.42933 .44894 L
.42793 .44701 L
.42774 .44679 L
.42652 .44508 L
.42581 .4441 L
.42539 .44316 L
.42389 .44132 L
.42382 .44123 L
.42205 .4393 L
.42196 .43835 L
.42133 .43737 L
.42067 .43545 L
F
0 .91 1 r
.42196 .40952 m
.42294 .4104 L
.42389 .41071 L
.42487 .41232 L
.42581 .41327 L
.42658 .41425 L
.42774 .41565 L
.4283 .41618 L
.42967 .41807 L
.42969 .41811 L
.43117 .42003 L
.43159 .4202 L
.43261 .42196 L
.43352 .42306 L
.43407 .42389 L
.43527 .42581 L
.43545 .42611 L
.43639 .42774 L
.43687 .42967 L
.43545 .42982 L
.4352 .42967 L
.43352 .42834 L
.43298 .42774 L
.43159 .4262 L
.43105 .42581 L
.42977 .42389 L
.42967 .42376 L
.42835 .42196 L
.42774 .42116 L
.42694 .42003 L
.42581 .41871 L
.42534 .41811 L
.42422 .41618 L
.42389 .41571 L
.42296 .41425 L
.42196 .41272 L
.42172 .41232 L
.42076 .4104 L
F
1 .9 0 r
.42196 .44213 m
.42286 .44316 L
.42389 .44429 L
.42448 .44508 L
.42581 .44675 L
.42599 .44701 L
.42735 .44894 L
.42774 .44948 L
.42857 .45086 L
.42967 .45262 L
.42975 .45279 L
.42967 .45377 L
.42851 .45279 L
.42774 .45206 L
.4267 .45086 L
.42581 .44982 L
.42511 .44894 L
.42389 .44734 L
.42364 .44701 L
.42231 .44508 L
.42196 .44455 L
.42111 .44316 L
F
0 .94 1 r
.42196 .43494 m
.42353 .43545 L
.42389 .43566 L
.42575 .43737 L
.42581 .43739 L
.42738 .4393 L
.42774 .43961 L
.42889 .44123 L
.42967 .44213 L
.43085 .44316 L
.43159 .44474 L
.43189 .44508 L
.43325 .44701 L
.43352 .44736 L
.43465 .44894 L
.43545 .4497 L
.43644 .45086 L
.43737 .45262 L
.43749 .45279 L
.43881 .45472 L
.4393 .4554 L
.44014 .45664 L
.44123 .45821 L
.44163 .45857 L
.44264 .4605 L
.44316 .46146 L
.44352 .46242 L
.44316 .46344 L
.44123 .46262 L
.44079 .46242 L
.4393 .46096 L
.43844 .4605 L
.43737 .45888 L
.437 .45857 L
.43545 .45667 L
.43544 .45664 L
.43382 .45472 L
.43352 .45431 L
.43227 .45279 L
.43159 .45172 L
.43106 .45086 L
.42967 .44914 L
.42944 .44894 L
.42803 .44701 L
.42774 .44667 L
.42661 .44508 L
.42581 .44395 L
.42547 .44316 L
.42395 .44123 L
.42389 .44113 L
.4221 .4393 L
.42196 .43804 L
.42154 .43737 L
.42113 .43545 L
F
0 .9 1 r
.42196 .40996 m
.42252 .4104 L
.42389 .41098 L
.42462 .41232 L
.42581 .41349 L
.42639 .41425 L
.42774 .41584 L
.42811 .41618 L
.42956 .41811 L
.42967 .41824 L
.43104 .42003 L
.43159 .42029 L
.43248 .42196 L
.43352 .42328 L
.43392 .42389 L
.4351 .42581 L
.43545 .42639 L
.43619 .42774 L
.43545 .42952 L
.43352 .42816 L
.43315 .42774 L
.43159 .42604 L
.43126 .42581 L
.42989 .42389 L
.42967 .42361 L
.42845 .42196 L
.42774 .42102 L
.42704 .42003 L
.42581 .41849 L
.42551 .41811 L
.42435 .41618 L
.42389 .41551 L
.4231 .41425 L
.42196 .41242 L
.4219 .41232 L
.42117 .4104 L
F
1 .74 0 r
.42196 .41806 m
.422 .41811 L
.42196 .41949 L
.42123 .41811 L
F
0 .56 1 r
.42196 .46858 m
.42328 .47013 L
.42389 .4708 L
.42492 .47206 L
.42581 .4731 L
.42652 .47399 L
.42774 .47531 L
.42809 .47591 L
.42962 .47784 L
.42967 .4779 L
.43112 .47977 L
.43159 .48035 L
.43263 .48169 L
.43352 .48263 L
.43413 .48362 L
.43545 .48531 L
.43567 .48555 L
.43707 .48747 L
.43737 .48786 L
.43854 .4894 L
.4393 .4902 L
.44073 .49133 L
.44123 .49292 L
.44151 .49326 L
.4429 .49518 L
.44316 .49552 L
.44433 .49711 L
.44508 .49791 L
.44632 .49904 L
.44701 .50066 L
.44725 .50096 L
.44863 .50289 L
.44894 .50329 L
.45005 .50482 L
.45086 .50572 L
.45189 .50674 L
.45279 .5085 L
.45292 .50867 L
.4543 .5106 L
.45472 .51115 L
.45571 .51253 L
.45664 .51362 L
.45741 .51445 L
.45854 .51638 L
.45857 .51642 L
.45991 .51831 L
.4605 .51909 L
.46131 .52023 L
.46242 .52164 L
.46288 .52216 L
.46409 .52409 L
.46435 .52444 L
.46545 .52601 L
.46628 .52714 L
.46683 .52794 L
.46821 .52983 L
.46823 .52987 L
.46954 .53179 L
.47013 .5326 L
.47089 .53372 L
.47206 .53536 L
.47226 .53565 L
.47355 .53758 L
.47399 .53818 L
.47483 .5395 L
.47591 .54106 L
.47615 .54143 L
.47734 .54336 L
.47784 .5441 L
.47846 .54528 L
.47784 .54606 L
.47716 .54528 L
.47591 .54396 L
.47541 .54336 L
.47399 .54191 L
.47376 .54143 L
.47218 .5395 L
.47206 .53936 L
.47065 .53758 L
.47013 .53696 L
.46911 .53565 L
.46821 .5349 L
.46758 .53372 L
.46628 .53211 L
.46594 .53179 L
.46459 .52987 L
.46435 .52957 L
.46312 .52794 L
.46242 .52739 L
.46164 .52601 L
.4605 .52459 L
.46001 .52409 L
.45871 .52216 L
.45857 .52198 L
.45727 .52023 L
.45664 .51972 L
.45582 .51831 L
.45472 .51691 L
.45424 .51638 L
.45294 .51445 L
.45279 .51426 L
.45152 .51253 L
.45086 .51195 L
.45008 .5106 L
.44894 .50912 L
.44856 .50867 L
.44724 .50674 L
.44701 .50645 L
.44583 .50482 L
.44508 .5041 L
.44375 .50289 L
.44316 .50123 L
.44294 .50096 L
.4416 .49904 L
.44123 .49855 L
.4402 .49711 L
.4393 .49615 L
.43834 .49518 L
.43738 .49326 L
.43737 .49325 L
.43602 .49133 L
.43545 .49056 L
.43464 .4894 L
.43352 .48805 L
.433 .48747 L
.43187 .48555 L
.43159 .48517 L
.43053 .48362 L
.42967 .48245 L
.42915 .48169 L
.42777 .47977 L
.42774 .47972 L
.42648 .47784 L
.42581 .47691 L
.42516 .47591 L
.42389 .47411 L
.4238 .47399 L
.42258 .47206 L
.42196 .47117 L
.42135 .47013 L
F
0 .55 1 r
.42196 .4687 m
.42319 .47013 L
.42389 .47088 L
.42485 .47206 L
.42581 .47318 L
.42646 .47399 L
.42774 .47539 L
.42804 .47591 L
.42957 .47784 L
.42967 .47795 L
.43108 .47977 L
.43159 .4804 L
.43259 .48169 L
.43352 .48267 L
.4341 .48362 L
.43545 .48536 L
.43562 .48555 L
.43704 .48747 L
.43737 .4879 L
.43851 .4894 L
.4393 .49024 L
.44069 .49133 L
.44123 .49296 L
.44148 .49326 L
.44287 .49518 L
.44316 .49555 L
.44431 .49711 L
.44508 .49795 L
.44629 .49904 L
.44701 .5007 L
.44722 .50096 L
.44861 .50289 L
.44894 .50332 L
.45003 .50482 L
.45086 .50575 L
.45186 .50674 L
.45279 .50853 L
.4529 .50867 L
.45428 .5106 L
.45472 .51118 L
.45569 .51253 L
.45664 .51366 L
.45738 .51445 L
.45851 .51638 L
.45857 .51646 L
.45988 .51831 L
.4605 .51913 L
.46128 .52023 L
.46242 .52168 L
.46284 .52216 L
.46406 .52409 L
.46435 .52448 L
.46542 .52601 L
.46628 .52718 L
.46681 .52794 L
.46819 .52987 L
.46821 .52988 L
.46951 .53179 L
.47013 .53265 L
.47085 .53372 L
.47206 .53541 L
.47222 .53565 L
.4735 .53758 L
.47399 .53825 L
.47478 .5395 L
.47591 .54114 L
.47609 .54143 L
.47725 .54336 L
.47784 .54425 L
.47835 .54528 L
.47784 .5459 L
.47728 .54528 L
.47591 .54386 L
.47549 .54336 L
.47399 .54178 L
.47383 .54143 L
.47225 .5395 L
.47206 .53929 L
.4707 .53758 L
.47013 .5369 L
.46915 .53565 L
.46821 .53484 L
.46762 .53372 L
.46628 .53205 L
.46599 .53179 L
.46463 .52987 L
.46435 .52953 L
.46315 .52794 L
.46242 .52735 L
.46167 .52601 L
.4605 .52455 L
.46005 .52409 L
.45874 .52216 L
.45857 .52195 L
.4573 .52023 L
.45664 .51969 L
.45584 .51831 L
.45472 .51687 L
.45427 .51638 L
.45296 .51445 L
.45279 .51423 L
.45154 .51253 L
.45086 .51192 L
.45011 .5106 L
.44894 .50908 L
.44859 .50867 L
.44726 .50674 L
.44701 .50642 L
.44585 .50482 L
.44508 .50407 L
.44378 .50289 L
.44316 .5012 L
.44297 .50096 L
.44162 .49904 L
.44123 .49852 L
.44023 .49711 L
.4393 .49611 L
.43838 .49518 L
.43741 .49326 L
.43737 .49321 L
.43605 .49133 L
.43545 .49052 L
.43466 .4894 L
.43352 .488 L
.43304 .48747 L
.4319 .48555 L
.43159 .48513 L
.43056 .48362 L
.42967 .4824 L
.42918 .48169 L
.42781 .47977 L
.42774 .47967 L
.42652 .47784 L
.42581 .47686 L
.4252 .47591 L
.42389 .47405 L
.42385 .47399 L
.42265 .47206 L
.42196 .47107 L
.42142 .47013 L
F
1 .19 0 r
.42196 .47705 m
.42256 .47784 L
.42389 .47938 L
.42418 .47977 L
.42389 .48158 L
.42275 .47977 L
.42196 .47871 L
.42144 .47784 L
F
0 .54 1 r
.42196 .46883 m
.42309 .47013 L
.42389 .47097 L
.42478 .47206 L
.42581 .47325 L
.42641 .47399 L
.42774 .47547 L
.42799 .47591 L
.42952 .47784 L
.42967 .47801 L
.43103 .47977 L
.43159 .48045 L
.43255 .48169 L
.43352 .48273 L
.43406 .48362 L
.43545 .4854 L
.43558 .48555 L
.43701 .48747 L
.43737 .48794 L
.43848 .4894 L
.4393 .49028 L
.44065 .49133 L
.44123 .493 L
.44145 .49326 L
.44284 .49518 L
.44316 .49559 L
.44428 .49711 L
.44508 .49798 L
.44626 .49904 L
.44701 .50073 L
.4472 .50096 L
.44858 .50289 L
.44894 .50335 L
.45001 .50482 L
.45086 .50579 L
.45183 .50674 L
.45279 .50856 L
.45287 .50867 L
.45425 .5106 L
.45472 .51121 L
.45566 .51253 L
.45664 .51369 L
.45735 .51445 L
.45849 .51638 L
.45857 .51649 L
.45986 .51831 L
.4605 .51916 L
.46126 .52023 L
.46242 .52173 L
.4628 .52216 L
.46403 .52409 L
.46435 .52452 L
.46539 .52601 L
.46628 .52722 L
.46678 .52794 L
.46816 .52987 L
.46821 .52993 L
.46947 .53179 L
.47013 .5327 L
.47082 .53372 L
.47206 .53547 L
.47218 .53565 L
.47345 .53758 L
.47399 .53833 L
.47473 .5395 L
.47591 .54123 L
.47604 .54143 L
.47715 .54336 L
.47784 .54444 L
.4782 .54528 L
.47784 .54571 L
.47743 .54528 L
.47591 .54375 L
.47558 .54336 L
.47399 .54163 L
.47389 .54143 L
.47231 .5395 L
.47206 .53922 L
.47075 .53758 L
.47013 .53684 L
.4692 .53565 L
.46821 .53478 L
.46766 .53372 L
.46628 .532 L
.46605 .53179 L
.46466 .52987 L
.46435 .52948 L
.46318 .52794 L
.46242 .52732 L
.4617 .52601 L
.4605 .5245 L
.46009 .52409 L
.45877 .52216 L
.45857 .52191 L
.45733 .52023 L
.45664 .51966 L
.45587 .51831 L
.45472 .51683 L
.45431 .51638 L
.45299 .51445 L
.45279 .5142 L
.45157 .51253 L
.45086 .51189 L
.45013 .5106 L
.44894 .50905 L
.44862 .50867 L
.44728 .50674 L
.44701 .50638 L
.44588 .50482 L
.44508 .50404 L
.44382 .50289 L
.44316 .50116 L
.44299 .50096 L
.44165 .49904 L
.44123 .49848 L
.44025 .49711 L
.4393 .49607 L
.43841 .49518 L
.43743 .49326 L
.43737 .49318 L
.43608 .49133 L
.43545 .49049 L
.43469 .4894 L
.43352 .48795 L
.43309 .48747 L
.43193 .48555 L
.43159 .48509 L
.43059 .48362 L
.42967 .48236 L
.42921 .48169 L
.42785 .47977 L
.42774 .47962 L
.42657 .47784 L
.42581 .4768 L
.42524 .47591 L
.42389 .47399 L
.42389 .47398 L
.42271 .47206 L
.42196 .47096 L
.42149 .47013 L
F
1 .18 0 r
.42196 .47715 m
.42248 .47784 L
.42389 .47945 L
.42412 .47977 L
.42389 .4815 L
.42282 .47977 L
.42196 .47861 L
.42151 .47784 L
F
1 .95 0 r
.42196 .37536 m
.42223 .37571 L
.42389 .37749 L
.424 .37764 L
.42557 .37957 L
.42581 .37984 L
.42707 .38149 L
.42774 .38227 L
.42859 .38342 L
.42967 .38472 L
.43012 .38535 L
.43159 .3872 L
.43165 .38727 L
.43307 .3892 L
.43352 .38975 L
.43451 .39113 L
.43545 .39231 L
.43598 .39306 L
.43737 .39474 L
.43747 .39498 L
.43886 .39691 L
.4393 .39746 L
.44026 .39884 L
.44123 .40007 L
.4417 .40076 L
.44316 .40265 L
.44317 .40269 L
.44452 .40462 L
.44508 .40534 L
.4459 .40654 L
.44701 .408 L
.44733 .40847 L
.44873 .4104 L
.44894 .41067 L
.45004 .41232 L
.45086 .41341 L
.4514 .41425 L
.45279 .41613 L
.45282 .41618 L
.45405 .41811 L
.45472 .419 L
.45531 .42003 L
.45664 .42193 L
.45666 .42196 L
.45664 .42298 L
.45575 .42196 L
.45472 .4209 L
.454 .42003 L
.45279 .41863 L
.45236 .41811 L
.45086 .41638 L
.45078 .41618 L
.44927 .41425 L
.44894 .41386 L
.44774 .41232 L
.44701 .41141 L
.44622 .4104 L
.44508 .40934 L
.44473 .40847 L
.44327 .40654 L
.44316 .4064 L
.44182 .40462 L
.44123 .40385 L
.44036 .40269 L
.4393 .40167 L
.43892 .40076 L
.43751 .39884 L
.43737 .39867 L
.4361 .39691 L
.43545 .39604 L
.43468 .39498 L
.43352 .39365 L
.43327 .39306 L
.43191 .39113 L
.43159 .39071 L
.43054 .3892 L
.42967 .388 L
.42915 .38727 L
.4278 .38535 L
.42774 .38527 L
.4265 .38342 L
.42581 .38246 L
.42517 .38149 L
.42389 .37962 L
.42385 .37957 L
.42271 .37764 L
.42196 .37652 L
.42155 .37571 L
F
0 .53 1 r
.42196 .46897 m
.42299 .47013 L
.42389 .47107 L
.42471 .47206 L
.42581 .47333 L
.42635 .47399 L
.42774 .47556 L
.42794 .47591 L
.42947 .47784 L
.42967 .47807 L
.43099 .47977 L
.43159 .4805 L
.43251 .48169 L
.43352 .48278 L
.43402 .48362 L
.43545 .48545 L
.43554 .48555 L
.43698 .48747 L
.43737 .48798 L
.43845 .4894 L
.4393 .49032 L
.44061 .49133 L
.44123 .49304 L
.44142 .49326 L
.44281 .49518 L
.44316 .49562 L
.44426 .49711 L
.44508 .49801 L
.44622 .49904 L
.44701 .50077 L
.44717 .50096 L
.44856 .50289 L
.44894 .50339 L
.44998 .50482 L
.45086 .50582 L
.4518 .50674 L
.45279 .5086 L
.45285 .50867 L
.45423 .5106 L
.45472 .51124 L
.45564 .51253 L
.45664 .51373 L
.45732 .51445 L
.45846 .51638 L
.45857 .51653 L
.45983 .51831 L
.4605 .5192 L
.46123 .52023 L
.46242 .52177 L
.46276 .52216 L
.464 .52409 L
.46435 .52456 L
.46536 .52601 L
.46628 .52727 L
.46675 .52794 L
.46812 .52987 L
.46821 .52998 L
.46943 .53179 L
.47013 .53275 L
.47078 .53372 L
.47206 .53552 L
.47214 .53565 L
.4734 .53758 L
.47399 .5384 L
.47467 .5395 L
.47591 .54132 L
.47598 .54143 L
.47704 .54336 L
.47784 .5447 L
.47801 .54528 L
.47784 .54547 L
.47764 .54528 L
.47591 .54364 L
.47567 .54336 L
.47399 .54148 L
.47396 .54143 L
.47238 .5395 L
.47206 .53915 L
.47081 .53758 L
.47013 .53678 L
.46925 .53565 L
.46821 .53471 L
.4677 .53372 L
.46628 .53194 L
.46611 .53179 L
.4647 .52987 L
.46435 .52944 L
.46322 .52794 L
.46242 .52727 L
.46173 .52601 L
.4605 .52446 L
.46013 .52409 L
.4588 .52216 L
.45857 .52187 L
.45735 .52023 L
.45664 .51962 L
.4559 .51831 L
.45472 .5168 L
.45434 .51638 L
.45301 .51445 L
.45279 .51416 L
.45159 .51253 L
.45086 .51186 L
.45015 .5106 L
.44894 .50901 L
.44864 .50867 L
.44731 .50674 L
.44701 .50635 L
.4459 .50482 L
.44508 .504 L
.44385 .50289 L
.44316 .50113 L
.44302 .50096 L
.44167 .49904 L
.44123 .49845 L
.44027 .49711 L
.4393 .49603 L
.43845 .49518 L
.43746 .49326 L
.43737 .49314 L
.4361 .49133 L
.43545 .49045 L
.43472 .4894 L
.43352 .4879 L
.43313 .48747 L
.43197 .48555 L
.43159 .48505 L
.43062 .48362 L
.42967 .48231 L
.42925 .48169 L
.42789 .47977 L
.42774 .47956 L
.42661 .47784 L
.42581 .47673 L
.42528 .47591 L
.42395 .47399 L
.42389 .47389 L
.42279 .47206 L
.42196 .47083 L
.42158 .47013 L
F
1 .17 0 r
.42196 .47726 m
.4224 .47784 L
.42389 .47953 L
.42407 .47977 L
.42389 .48141 L
.42289 .47977 L
.42196 .4785 L
.42159 .47784 L
F
1 .89 0 r
.42196 .44276 m
.42236 .44316 L
.42389 .44468 L
.42419 .44508 L
.42389 .44686 L
.42271 .44508 L
.42196 .44385 L
.42162 .44316 L
F
0 .52 1 r
.42196 .46913 m
.42287 .47013 L
.42389 .47117 L
.42463 .47206 L
.42581 .4734 L
.42629 .47399 L
.42774 .47565 L
.42789 .47591 L
.42942 .47784 L
.42967 .47813 L
.43095 .47977 L
.43159 .48056 L
.43247 .48169 L
.43352 .48283 L
.43399 .48362 L
.43545 .4855 L
.43549 .48555 L
.43694 .48747 L
.43737 .48802 L
.43842 .4894 L
.4393 .49036 L
.44056 .49133 L
.44123 .49308 L
.44138 .49326 L
.44279 .49518 L
.44316 .49566 L
.44423 .49711 L
.44508 .49805 L
.44619 .49904 L
.44701 .5008 L
.44714 .50096 L
.44853 .50289 L
.44894 .50342 L
.44996 .50482 L
.45086 .50585 L
.45176 .50674 L
.45279 .50863 L
.45282 .50867 L
.4542 .5106 L
.45472 .51128 L
.45562 .51253 L
.45664 .51377 L
.45728 .51445 L
.45843 .51638 L
.45857 .51656 L
.45981 .51831 L
.4605 .51923 L
.46121 .52023 L
.46242 .52182 L
.46272 .52216 L
.46397 .52409 L
.46435 .5246 L
.46533 .52601 L
.46628 .52731 L
.46672 .52794 L
.46809 .52987 L
.46821 .53003 L
.4694 .53179 L
.47013 .53281 L
.47074 .53372 L
.47206 .53558 L
.4721 .53565 L
.47335 .53758 L
.47399 .53848 L
.47462 .5395 L
.47591 .54142 L
.47592 .54143 L
.47691 .54336 L
.47591 .54352 L
.47577 .54336 L
.47405 .54143 L
.47399 .54137 L
.47245 .5395 L
.47206 .53907 L
.47086 .53758 L
.47013 .53672 L
.46929 .53565 L
.46821 .53464 L
.46774 .53372 L
.46628 .53189 L
.46618 .53179 L
.46474 .52987 L
.46435 .52939 L
.46325 .52794 L
.46242 .52723 L
.46176 .52601 L
.4605 .52442 L
.46017 .52409 L
.45883 .52216 L
.45857 .52183 L
.45738 .52023 L
.45664 .51959 L
.45592 .51831 L
.45472 .51676 L
.45437 .51638 L
.45304 .51445 L
.45279 .51413 L
.45162 .51253 L
.45086 .51183 L
.45018 .5106 L
.44894 .50898 L
.44867 .50867 L
.44733 .50674 L
.44701 .50632 L
.44592 .50482 L
.44508 .50397 L
.44389 .50289 L
.44316 .50109 L
.44305 .50096 L
.4417 .49904 L
.44123 .49842 L
.4403 .49711 L
.4393 .49599 L
.43849 .49518 L
.43749 .49326 L
.43737 .49311 L
.43613 .49133 L
.43545 .49041 L
.43474 .4894 L
.43352 .48785 L
.43318 .48747 L
.432 .48555 L
.43159 .485 L
.43065 .48362 L
.42967 .48227 L
.42928 .48169 L
.42793 .47977 L
.42774 .4795 L
.42665 .47784 L
.42581 .47667 L
.42533 .47591 L
.42402 .47399 L
.42389 .4738 L
.42286 .47206 L
.42196 .4707 L
.42167 .47013 L
F
1 .84 0 r
.42196 .46075 m
.42356 .46242 L
.42389 .46274 L
.4253 .46435 L
.42581 .46492 L
.42697 .46628 L
.42774 .4668 L
.42859 .46821 L
.42967 .46947 L
.43056 .47013 L
.43159 .4719 L
.43173 .47206 L
.43327 .47399 L
.43352 .47416 L
.4348 .47591 L
.43545 .47671 L
.43661 .47784 L
.43737 .47925 L
.43776 .47977 L
.4393 .48169 L
.4393 .4817 L
.44078 .48362 L
.44123 .48419 L
.44245 .48555 L
.44316 .48678 L
.44362 .48747 L
.44508 .48931 L
.44519 .4894 L
.44664 .49133 L
.44701 .49181 L
.44821 .49326 L
.44894 .49444 L
.4494 .49518 L
.45086 .49701 L
.45098 .49711 L
.45241 .49904 L
.45279 .49953 L
.45393 .50096 L
.45472 .50219 L
.45512 .50289 L
.45664 .50476 L
.45671 .50482 L
.45813 .50674 L
.45857 .50732 L
.45961 .50867 L
.4605 .50999 L
.46081 .5106 L
.4624 .51253 L
.46242 .51255 L
.46422 .51445 L
.46435 .51515 L
.46527 .51638 L
.46628 .51783 L
.46648 .51831 L
.46807 .52023 L
.46821 .52037 L
.46983 .52216 L
.47013 .52302 L
.4709 .52409 L
.47206 .5257 L
.47216 .52601 L
.47371 .52794 L
.47399 .52822 L
.47543 .52987 L
.47591 .53092 L
.47652 .53179 L
.47784 .5336 L
.47787 .53372 L
.47933 .53565 L
.47977 .5361 L
.48101 .53758 L
.48169 .53885 L
.48212 .5395 L
.48353 .54143 L
.48362 .54155 L
.48492 .54336 L
.48555 .54404 L
.48655 .54528 L
.48747 .54684 L
.4877 .54721 L
.48909 .54914 L
.4894 .54956 L
.49047 .55106 L
.49133 .55207 L
.49204 .55299 L
.49326 .55492 L
.49326 .55492 L
.4946 .55684 L
.49518 .55764 L
.49597 .55877 L
.49711 .56025 L
.49744 .5607 L
.49869 .56263 L
.49904 .5631 L
.50003 .56455 L
.50096 .56587 L
.50185 .56648 L
.50271 .56841 L
.50289 .56866 L
.50398 .57033 L
.50482 .57154 L
.50528 .57226 L
.50655 .57419 L
.50674 .57448 L
.50769 .57611 L
.50867 .57768 L
.50885 .57804 L
.50867 .57946 L
.50722 .57804 L
.50674 .5776 L
.50542 .57611 L
.50482 .57548 L
.50372 .57419 L
.50289 .57371 L
.50208 .57226 L
.50096 .57098 L
.49999 .57033 L
.49904 .56854 L
.49891 .56841 L
.4974 .56648 L
.49711 .56633 L
.49587 .56455 L
.49518 .56374 L
.49392 .56263 L
.49326 .56119 L
.49285 .5607 L
.49138 .55877 L
.49133 .55874 L
.48991 .55684 L
.4894 .55623 L
.48812 .55492 L
.48747 .55363 L
.48699 .55299 L
.48555 .5511 L
.48554 .55106 L
.48407 .54914 L
.48362 .54859 L
.48238 .54721 L
.48169 .54595 L
.48123 .54528 L
.47977 .54339 L
.47973 .54336 L
.47831 .54143 L
.47784 .54085 L
.47669 .5395 L
.47591 .5382 L
.47551 .53758 L
.47401 .53565 L
.47399 .53563 L
.47259 .53372 L
.47206 .53306 L
.47102 .53179 L
.47013 .53039 L
.46982 .52987 L
.46832 .52794 L
.46821 .52785 L
.46691 .52601 L
.46628 .52522 L
.46538 .52409 L
.46435 .52254 L
.46414 .52216 L
.46266 .52023 L
.46242 .52004 L
.4607 .51831 L
.4605 .51735 L
.45975 .51638 L
.45857 .51466 L
.45847 .51445 L
.45702 .51253 L
.45664 .51219 L
.45514 .5106 L
.45472 .50945 L
.45414 .50867 L
.45279 .50675 L
.45279 .50674 L
.4514 .50482 L
.45086 .50431 L
.44959 .50289 L
.44894 .50151 L
.44855 .50096 L
.44719 .49904 L
.44701 .4988 L
.44581 .49711 L
.44508 .49636 L
.44408 .49518 L
.44316 .49351 L
.44298 .49326 L
.44162 .49133 L
.44123 .4908 L
.44024 .4894 L
.4393 .48833 L
.43861 .48747 L
.43744 .48555 L
.43737 .48545 L
.4361 .48362 L
.43545 .48274 L
.43472 .48169 L
.43352 .48015 L
.43323 .47977 L
.43199 .47784 L
.43159 .47731 L
.43065 .47591 L
.42967 .47455 L
.42928 .47399 L
.42794 .47206 L
.42774 .47178 L
.42666 .47013 L
.42581 .46893 L
.42535 .46821 L
.42405 .46628 L
.42389 .46605 L
.42288 .46435 L
.42196 .46295 L
.42168 .46242 L
F
1 .16 0 r
.42196 .47739 m
.4223 .47784 L
.42389 .47961 L
.42401 .47977 L
.42389 .48132 L
.42298 .47977 L
.42196 .47837 L
.42168 .47784 L
F
0 .93 1 r
.42196 .43535 m
.42285 .43545 L
.42389 .43591 L
.42556 .43737 L
.42581 .43742 L
.42726 .4393 L
.42774 .43971 L
.4288 .44123 L
.42967 .44223 L
.43076 .44316 L
.43159 .44483 L
.43181 .44508 L
.43318 .44701 L
.43352 .44745 L
.43458 .44894 L
.43545 .4498 L
.43636 .45086 L
.43737 .45274 L
.43741 .45279 L
.43873 .45472 L
.4393 .45552 L
.44005 .45664 L
.44123 .45837 L
.44145 .45857 L
.44245 .4605 L
.44123 .46238 L
.4393 .46074 L
.43876 .4605 L
.43737 .45873 L
.43716 .45857 L
.43551 .45664 L
.43545 .45658 L
.43395 .45472 L
.43352 .45415 L
.43236 .45279 L
.43159 .45158 L
.43115 .45086 L
.42967 .44904 L
.42955 .44894 L
.42813 .44701 L
.42774 .44655 L
.4267 .44508 L
.42581 .44379 L
.42554 .44316 L
.42408 .44123 L
.42389 .44093 L
.42218 .4393 L
.42196 .43767 L
.42179 .43737 L
.42175 .43545 L
F
0 .94 1 r
.42196 .45144 m
.42284 .45279 L
.42389 .45423 L
.4242 .45472 L
.42389 .45643 L
.42295 .45472 L
.42196 .45318 L
.42176 .45279 L
F
0 .51 1 r
.42196 .46932 m
.42273 .47013 L
.42389 .47127 L
.42455 .47206 L
.42581 .47348 L
.42622 .47399 L
.42774 .47575 L
.42783 .47591 L
.42937 .47784 L
.42967 .47819 L
.4309 .47977 L
.43159 .48061 L
.43243 .48169 L
.43352 .48289 L
.43395 .48362 L
.43545 .48555 L
.43545 .48555 L
.43691 .48747 L
.43737 .48806 L
.43838 .4894 L
.4393 .4904 L
.44052 .49133 L
.44123 .49312 L
.44135 .49326 L
.44276 .49518 L
.44316 .49569 L
.4442 .49711 L
.44508 .49809 L
.44615 .49904 L
.44701 .50084 L
.44711 .50096 L
.44851 .50289 L
.44894 .50345 L
.44993 .50482 L
.45086 .50589 L
.45173 .50674 L
.45279 .50867 L
.45279 .50867 L
.45418 .5106 L
.45472 .51131 L
.45559 .51253 L
.45664 .51381 L
.45725 .51445 L
.45841 .51638 L
.45857 .5166 L
.45978 .51831 L
.4605 .51927 L
.46118 .52023 L
.46242 .52186 L
.46268 .52216 L
.46394 .52409 L
.46435 .52464 L
.4653 .52601 L
.46628 .52735 L
.46669 .52794 L
.46805 .52987 L
.46821 .53008 L
.46936 .53179 L
.47013 .53286 L
.4707 .53372 L
.47206 .53564 L
.47206 .53565 L
.47329 .53758 L
.47399 .53856 L
.47456 .5395 L
.47399 .54127 L
.47252 .5395 L
.47206 .539 L
.47092 .53758 L
.47013 .53665 L
.46934 .53565 L
.46821 .53457 L
.46779 .53372 L
.46628 .53183 L
.46624 .53179 L
.46478 .52987 L
.46435 .52934 L
.46329 .52794 L
.46242 .52719 L
.46179 .52601 L
.4605 .52437 L
.46021 .52409 L
.45886 .52216 L
.45857 .52179 L
.45741 .52023 L
.45664 .51956 L
.45595 .51831 L
.45472 .51672 L
.4544 .51638 L
.45307 .51445 L
.45279 .5141 L
.45164 .51253 L
.45086 .5118 L
.4502 .5106 L
.44894 .50894 L
.4487 .50867 L
.44736 .50674 L
.44701 .50629 L
.44595 .50482 L
.44508 .50394 L
.44392 .50289 L
.44316 .50105 L
.44308 .50096 L
.44172 .49904 L
.44123 .49838 L
.44032 .49711 L
.4393 .49595 L
.43853 .49518 L
.43752 .49326 L
.43737 .49307 L
.43616 .49133 L
.43545 .49038 L
.43477 .4894 L
.43352 .48779 L
.43323 .48747 L
.43203 .48555 L
.43159 .48496 L
.43069 .48362 L
.42967 .48222 L
.42931 .48169 L
.42798 .47977 L
.42774 .47945 L
.4267 .47784 L
.42581 .4766 L
.42537 .47591 L
.42409 .47399 L
.42389 .4737 L
.42294 .47206 L
.42196 .47053 L
.42177 .47013 L
F
1 .15 0 r
.42196 .47756 m
.42217 .47784 L
.42389 .4797 L
.42394 .47977 L
.42389 .48121 L
.42308 .47977 L
.42196 .4782 L
.4218 .47784 L
F
0 .95 1 r
.42196 .36761 m
.4224 .36801 L
.42389 .36933 L
.4244 .36993 L
.42581 .37147 L
.42612 .37186 L
.42774 .37374 L
.42777 .37379 L
.42931 .37571 L
.42967 .37613 L
.43084 .37764 L
.43159 .37854 L
.43237 .37957 L
.43352 .38085 L
.4339 .38149 L
.43541 .38342 L
.43545 .38347 L
.43686 .38535 L
.43737 .38598 L
.43833 .38727 L
.4393 .38834 L
.44036 .3892 L
.44123 .39103 L
.44132 .39113 L
.44272 .39306 L
.44316 .39361 L
.44416 .39498 L
.44508 .39601 L
.44607 .39691 L
.44701 .39874 L
.44709 .39884 L
.44848 .40076 L
.44894 .40134 L
.44991 .40269 L
.45086 .40378 L
.45171 .40462 L
.45279 .40653 L
.4528 .40654 L
.45419 .40847 L
.45472 .40916 L
.4556 .4104 L
.45664 .41163 L
.4573 .41232 L
.45847 .41425 L
.45857 .41439 L
.45985 .41618 L
.4605 .41703 L
.46126 .41811 L
.46242 .41955 L
.46286 .42003 L
.46409 .42196 L
.46435 .42229 L
.46547 .42389 L
.46628 .42445 L
.46688 .42581 L
.46821 .42754 L
.46838 .42774 L
.46968 .42967 L
.47013 .43026 L
.47106 .43159 L
.47206 .43256 L
.47247 .43352 L
.47388 .43545 L
.47399 .43559 L
.47522 .43737 L
.47591 .43829 L
.4766 .4393 L
.47784 .44082 L
.47822 .44123 L
.47937 .44316 L
.47977 .44369 L
.48071 .44508 L
.48169 .44641 L
.48209 .44701 L
.48348 .44894 L
.48362 .44913 L
.48478 .45086 L
.48555 .45191 L
.48613 .45279 L
.48747 .45467 L
.48751 .45472 L
.48878 .45664 L
.4894 .45754 L
.49004 .45857 L
.49133 .4605 L
.49133 .4605 L
.49231 .46242 L
.49133 .46285 L
.49078 .46242 L
.4894 .46109 L
.48883 .4605 L
.48747 .45906 L
.48715 .45857 L
.4856 .45664 L
.48555 .45658 L
.4841 .45472 L
.48362 .45409 L
.48264 .45279 L
.48169 .4516 L
.48085 .45086 L
.47979 .44894 L
.47977 .44891 L
.47835 .44701 L
.47784 .44649 L
.47691 .44508 L
.47591 .44375 L
.47539 .44316 L
.47406 .44123 L
.47399 .44113 L
.47261 .4393 L
.47206 .43865 L
.47065 .43737 L
.47013 .436 L
.46972 .43545 L
.46827 .43352 L
.46821 .43351 L
.46681 .43159 L
.46628 .43094 L
.46509 .42967 L
.46435 .4283 L
.46399 .42774 L
.46247 .42581 L
.46242 .42579 L
.46102 .42389 L
.4605 .42323 L
.45941 .42196 L
.45857 .42057 L
.45825 .42003 L
.45673 .41811 L
.45664 .41806 L
.45529 .41618 L
.45472 .41545 L
.45374 .41425 L
.45279 .41277 L
.45254 .41232 L
.45104 .4104 L
.45086 .41029 L
.44962 .40847 L
.44894 .4076 L
.44812 .40654 L
.44701 .40489 L
.44687 .40462 L
.44541 .40269 L
.44508 .40246 L
.444 .40076 L
.44316 .39965 L
.44255 .39884 L
.44123 .39692 L
.44122 .39691 L
.43984 .39498 L
.4393 .39452 L
.43787 .39306 L
.43737 .3916 L
.43704 .39113 L
.43572 .3892 L
.43545 .38883 L
.43435 .38727 L
.43352 .38639 L
.4326 .38535 L
.43164 .38342 L
.43159 .38336 L
.43032 .38149 L
.42967 .38056 L
.42899 .37957 L
.42774 .37781 L
.42761 .37764 L
.42641 .37571 L
.42581 .37484 L
.42515 .37379 L
.42389 .37186 L
.42389 .37186 L
.42283 .36993 L
.42196 .36838 L
.42182 .36801 L
F
1 .83 0 r
.42196 .46118 m
.42327 .46242 L
.42389 .46299 L
.42511 .46435 L
.42581 .4651 L
.42682 .46628 L
.42774 .46695 L
.42847 .46821 L
.42967 .46961 L
.4304 .47013 L
.43159 .47201 L
.43164 .47206 L
.43318 .47399 L
.43352 .47422 L
.43473 .47591 L
.43545 .4768 L
.43655 .47784 L
.43737 .47933 L
.43771 .47977 L
.43924 .48169 L
.4393 .48174 L
.44073 .48362 L
.44123 .48426 L
.44241 .48555 L
.44316 .48684 L
.44359 .48747 L
.44508 .48935 L
.44514 .4894 L
.4466 .49133 L
.44701 .49187 L
.44818 .49326 L
.44894 .49449 L
.44937 .49518 L
.45086 .49704 L
.45094 .49711 L
.45238 .49904 L
.45279 .49958 L
.4539 .50096 L
.45472 .50223 L
.4551 .50289 L
.45664 .50479 L
.45668 .50482 L
.4581 .50674 L
.45857 .50736 L
.45958 .50867 L
.4605 .51002 L
.46079 .5106 L
.46237 .51253 L
.46242 .51257 L
.46421 .51445 L
.46435 .51518 L
.46524 .51638 L
.46628 .51786 L
.46647 .51831 L
.46804 .52023 L
.46821 .52039 L
.46982 .52216 L
.47013 .52305 L
.47088 .52409 L
.47206 .52573 L
.47215 .52601 L
.47368 .52794 L
.47399 .52824 L
.47542 .52987 L
.47591 .53095 L
.4765 .53179 L
.47784 .53363 L
.47786 .53372 L
.4793 .53565 L
.47977 .53613 L
.48099 .53758 L
.48169 .53889 L
.4821 .5395 L
.4835 .54143 L
.48362 .54159 L
.48489 .54336 L
.48555 .54408 L
.48652 .54528 L
.48747 .54689 L
.48768 .54721 L
.48906 .54914 L
.4894 .5496 L
.49044 .55106 L
.49133 .55212 L
.492 .55299 L
.49321 .55492 L
.49326 .55497 L
.49456 .55684 L
.49518 .5577 L
.49593 .55877 L
.49711 .56033 L
.49738 .5607 L
.49864 .56263 L
.49904 .56318 L
.49997 .56455 L
.50096 .56596 L
.50173 .56648 L
.50263 .56841 L
.50289 .56878 L
.50389 .57033 L
.50482 .57168 L
.50518 .57226 L
.5064 .57419 L
.50674 .5747 L
.50751 .57611 L
.50674 .57733 L
.50563 .57611 L
.50482 .57528 L
.50388 .57419 L
.50289 .57355 L
.50221 .57226 L
.50096 .57084 L
.50018 .57033 L
.49904 .56843 L
.49902 .56841 L
.49748 .56648 L
.49711 .56628 L
.49595 .56455 L
.49518 .56365 L
.49399 .56263 L
.49326 .56111 L
.49291 .5607 L
.49144 .55877 L
.49133 .55871 L
.48996 .55684 L
.4894 .55617 L
.48816 .55492 L
.48747 .55358 L
.48703 .55299 L
.48556 .55106 L
.48555 .55106 L
.48411 .54914 L
.48362 .54854 L
.48242 .54721 L
.48169 .54591 L
.48125 .54528 L
.47977 .54336 L
.47977 .54336 L
.47834 .54143 L
.47784 .54081 L
.47671 .5395 L
.47591 .53816 L
.47553 .53758 L
.47404 .53565 L
.47399 .53561 L
.47262 .53372 L
.47206 .53302 L
.47104 .53179 L
.47013 .53035 L
.46984 .52987 L
.46835 .52794 L
.46821 .52783 L
.46693 .52601 L
.46628 .52519 L
.4654 .52409 L
.46435 .52251 L
.46416 .52216 L
.46268 .52023 L
.46242 .52002 L
.46071 .51831 L
.4605 .51732 L
.45977 .51638 L
.45857 .51463 L
.45848 .51445 L
.45704 .51253 L
.45664 .51217 L
.45515 .5106 L
.45472 .50942 L
.45416 .50867 L
.45281 .50674 L
.45279 .50672 L
.45143 .50482 L
.45086 .50428 L
.44961 .50289 L
.44894 .50147 L
.44857 .50096 L
.44721 .49904 L
.44701 .49876 L
.44583 .49711 L
.44508 .49632 L
.44411 .49518 L
.44316 .49347 L
.44301 .49326 L
.44165 .49133 L
.44123 .49076 L
.44027 .4894 L
.4393 .48828 L
.43865 .48747 L
.43748 .48555 L
.43737 .4854 L
.43614 .48362 L
.43545 .48268 L
.43476 .48169 L
.43352 .48007 L
.43329 .47977 L
.43204 .47784 L
.43159 .47723 L
.4307 .47591 L
.42967 .47447 L
.42934 .47399 L
.42802 .47206 L
.42774 .47168 L
.42674 .47013 L
.42581 .46881 L
.42543 .46821 L
.42417 .46628 L
.42389 .46586 L
.42303 .46435 L
.42196 .46263 L
.42186 .46242 L
F
0 .5 1 r
.42196 .46958 m
.42254 .47013 L
.42389 .47138 L
.42446 .47206 L
.42581 .47357 L
.42616 .47399 L
.42774 .47585 L
.42778 .47591 L
.42932 .47784 L
.42967 .47825 L
.43086 .47977 L
.43159 .48066 L
.43239 .48169 L
.43352 .48294 L
.43392 .48362 L
.43541 .48555 L
.43545 .48559 L
.43687 .48747 L
.43737 .4881 L
.43835 .4894 L
.4393 .49044 L
.44047 .49133 L
.44123 .49316 L
.44131 .49326 L
.44273 .49518 L
.44316 .49573 L
.44418 .49711 L
.44508 .49812 L
.44612 .49904 L
.44701 .50087 L
.44708 .50096 L
.44848 .50289 L
.44894 .50349 L
.44991 .50482 L
.45086 .50593 L
.4517 .50674 L
.45277 .50867 L
.45279 .5087 L
.45415 .5106 L
.45472 .51134 L
.45557 .51253 L
.45664 .51385 L
.45721 .51445 L
.45838 .51638 L
.45857 .51663 L
.45976 .51831 L
.4605 .5193 L
.46116 .52023 L
.46242 .52191 L
.46264 .52216 L
.46391 .52409 L
.46435 .52468 L
.46527 .52601 L
.46628 .52739 L
.46666 .52794 L
.46801 .52987 L
.46821 .53013 L
.46932 .53179 L
.47013 .53292 L
.47067 .53372 L
.47201 .53565 L
.47206 .53571 L
.47323 .53758 L
.47399 .53865 L
.4745 .5395 L
.47399 .54116 L
.4726 .5395 L
.47206 .53892 L
.47098 .53758 L
.47013 .53659 L
.46939 .53565 L
.46821 .53449 L
.46783 .53372 L
.4663 .53179 L
.46628 .53177 L
.46482 .52987 L
.46435 .5293 L
.46332 .52794 L
.46242 .52714 L
.46182 .52601 L
.4605 .52433 L
.46026 .52409 L
.45889 .52216 L
.45857 .52176 L
.45744 .52023 L
.45664 .51952 L
.45597 .51831 L
.45472 .51668 L
.45444 .51638 L
.45309 .51445 L
.45279 .51406 L
.45167 .51253 L
.45086 .51176 L
.45022 .5106 L
.44894 .50891 L
.44873 .50867 L
.44738 .50674 L
.44701 .50626 L
.44597 .50482 L
.44508 .5039 L
.44396 .50289 L
.44316 .50102 L
.44311 .50096 L
.44175 .49904 L
.44123 .49835 L
.44035 .49711 L
.4393 .49591 L
.43857 .49518 L
.43754 .49326 L
.43737 .49303 L
.43618 .49133 L
.43545 .49034 L
.4348 .4894 L
.43352 .48774 L
.43328 .48747 L
.43206 .48555 L
.43159 .48491 L
.43072 .48362 L
.42967 .48217 L
.42935 .48169 L
.42802 .47977 L
.42774 .47938 L
.42674 .47784 L
.42581 .47653 L
.42542 .47591 L
.42416 .47399 L
.42389 .4736 L
.42304 .47206 L
.42196 .47032 L
.42188 .47013 L
F
1 .97 0 r
.42196 .35964 m
.42288 .3603 L
.42389 .36111 L
.42491 .36222 L
.42581 .36314 L
.42668 .36415 L
.42774 .3651 L
.42835 .36608 L
.42967 .3676 L
.43021 .36801 L
.43154 .36993 L
.43159 .36999 L
.43308 .37186 L
.43352 .37224 L
.4346 .37379 L
.43545 .37481 L
.43642 .37571 L
.43737 .37734 L
.43762 .37764 L
.4391 .37957 L
.4393 .37974 L
.44057 .38149 L
.44123 .38231 L
.44228 .38342 L
.44316 .38491 L
.44348 .38535 L
.44496 .38727 L
.44508 .38739 L
.4464 .3892 L
.44701 .38997 L
.44804 .39113 L
.44894 .3926 L
.44925 .39306 L
.45073 .39498 L
.45086 .39511 L
.45215 .39691 L
.45279 .39772 L
.45374 .39884 L
.45472 .40037 L
.45496 .40076 L
.45644 .40269 L
.45664 .40288 L
.45848 .40462 L
.45857 .40552 L
.45941 .40654 L
.4605 .40818 L
.46066 .40847 L
.46213 .4104 L
.46242 .41069 L
.46407 .41232 L
.46435 .41336 L
.46505 .41425 L
.46628 .41603 L
.46635 .41618 L
.46779 .41811 L
.46821 .41852 L
.46966 .42003 L
.47013 .42123 L
.47069 .42196 L
.47205 .42389 L
.47206 .42389 L
.47344 .42581 L
.47399 .42638 L
.47524 .42774 L
.47591 .42912 L
.47632 .42967 L
.47769 .43159 L
.47784 .43179 L
.47908 .43352 L
.47977 .43426 L
.48081 .43545 L
.48169 .43703 L
.48194 .43737 L
.48331 .4393 L
.48362 .43971 L
.48471 .44123 L
.48555 .44218 L
.48637 .44316 L
.48747 .44496 L
.48756 .44508 L
.48893 .44701 L
.4894 .44721 L
.49032 .44894 L
.49133 .45014 L
.49192 .45086 L
.49316 .45279 L
.49326 .45292 L
.49453 .45472 L
.49518 .45515 L
.49593 .45664 L
.49711 .45814 L
.49745 .45857 L
.49874 .4605 L
.49904 .46089 L
.50011 .46242 L
.50096 .46314 L
.50202 .46435 L
.50289 .46619 L
.50295 .46628 L
.50428 .46821 L
.50482 .46892 L
.50565 .47013 L
.50674 .47161 L
.50705 .47206 L
.50843 .47399 L
.50867 .47431 L
.50974 .47591 L
.5106 .47708 L
.51109 .47784 L
.51246 .47977 L
.51253 .47985 L
.51358 .48169 L
.51445 .48303 L
.51463 .48362 L
.51445 .48381 L
.51424 .48362 L
.51253 .48219 L
.51201 .48169 L
.5106 .48036 L
.50998 .47977 L
.50867 .47837 L
.50802 .47784 L
.50674 .47652 L
.50613 .47591 L
.50482 .47449 L
.50432 .47399 L
.50289 .47235 L
.50262 .47206 L
.501 .47013 L
.50096 .47008 L
.49914 .46821 L
.49904 .46763 L
.49794 .46628 L
.49711 .46506 L
.49661 .46435 L
.49518 .46254 L
.4949 .46242 L
.49329 .4605 L
.49326 .46022 L
.49201 .45857 L
.49133 .45759 L
.49076 .45664 L
.4894 .45497 L
.48911 .45472 L
.48759 .45279 L
.48747 .45248 L
.48632 .45086 L
.48555 .44981 L
.48517 .44894 L
.48362 .44718 L
.4834 .44701 L
.48191 .44508 L
.48169 .44466 L
.48069 .44316 L
.47977 .44196 L
.47964 .44123 L
.47784 .43936 L
.47772 .4393 L
.47625 .43737 L
.47591 .43681 L
.47507 .43545 L
.47399 .4341 L
.47344 .43352 L
.47206 .4316 L
.47205 .43159 L
.4706 .42967 L
.47013 .42894 L
.46945 .42774 L
.46821 .42624 L
.46779 .42581 L
.46639 .42389 L
.46628 .42373 L
.46497 .42196 L
.46435 .42106 L
.46383 .42003 L
.46242 .41838 L
.46215 .41811 L
.46053 .41618 L
.4605 .41585 L
.45935 .41425 L
.45857 .41316 L
.45821 .41232 L
.45664 .41051 L
.45653 .4104 L
.45487 .40847 L
.45472 .40793 L
.45375 .40654 L
.45279 .40523 L
.45258 .40462 L
.45093 .40269 L
.45086 .40263 L
.44926 .40076 L
.44894 .39999 L
.44816 .39884 L
.44701 .39727 L
.44693 .39691 L
.44536 .39498 L
.44508 .39474 L
.4437 .39306 L
.44316 .392 L
.44261 .39113 L
.44123 .38926 L
.44122 .3892 L
.43982 .38727 L
.4393 .38677 L
.4382 .38535 L
.43737 .38391 L
.43708 .38342 L
.43571 .38149 L
.43545 .38114 L
.43435 .37957 L
.43352 .37862 L
.43281 .37764 L
.43164 .37571 L
.43159 .37565 L
.43033 .37379 L
.42967 .37284 L
.42901 .37186 L
.42774 .37005 L
.42766 .36993 L
.42644 .36801 L
.42581 .36708 L
.42519 .36608 L
.42395 .36415 L
.42389 .36405 L
.4229 .36222 L
.42196 .36048 L
.42189 .3603 L
F
0 .92 1 r
.42389 .43617 m
.42536 .43737 L
.42581 .43746 L
.42713 .4393 L
.42774 .43981 L
.42871 .44123 L
.42967 .44233 L
.43066 .44316 L
.43159 .44492 L
.43173 .44508 L
.43312 .44701 L
.43352 .44754 L
.43452 .44894 L
.43545 .4499 L
.43627 .45086 L
.43733 .45279 L
.43737 .45285 L
.43864 .45472 L
.4393 .45565 L
.43996 .45664 L
.44123 .45855 L
.44125 .45857 L
.44224 .4605 L
.44123 .46204 L
.4393 .46056 L
.43915 .4605 L
.43737 .4586 L
.43733 .45857 L
.43565 .45664 L
.43545 .45642 L
.43407 .45472 L
.43352 .45399 L
.43246 .45279 L
.43159 .45145 L
.43123 .45086 L
.42967 .44895 L
.42965 .44894 L
.42823 .44701 L
.42774 .44643 L
.4268 .44508 L
.42581 .44364 L
.42561 .44316 L
.42421 .44123 L
.42389 .44071 L
.4223 .4393 L
.42205 .43737 L
F
0 .89 1 r
.42389 .41141 m
.42435 .41232 L
.42581 .41375 L
.4262 .41425 L
.42774 .41604 L
.4279 .41618 L
.42941 .41811 L
.42967 .41843 L
.4309 .42003 L
.43159 .42043 L
.43234 .42196 L
.43352 .42353 L
.43376 .42389 L
.43494 .42581 L
.43545 .42671 L
.43596 .42774 L
.43545 .42915 L
.43352 .42796 L
.43333 .42774 L
.43159 .42588 L
.4315 .42581 L
.43001 .42389 L
.42967 .42346 L
.42856 .42196 L
.42774 .42088 L
.42714 .42003 L
.42581 .41825 L
.4257 .41811 L
.42449 .41618 L
.42389 .41529 L
.42326 .41425 L
.42216 .41232 L
F
0 .91 1 r
.42389 .43643 m
.42513 .43737 L
.42581 .43751 L
.427 .4393 L
.42774 .43992 L
.42862 .44123 L
.42967 .44243 L
.43055 .44316 L
.43159 .44502 L
.43165 .44508 L
.43305 .44701 L
.43352 .44763 L
.43445 .44894 L
.43545 .45001 L
.43617 .45086 L
.43725 .45279 L
.43737 .45296 L
.43856 .45472 L
.4393 .45578 L
.43986 .45664 L
.4411 .45857 L
.44123 .45879 L
.442 .4605 L
.44123 .46167 L
.43952 .4605 L
.4393 .46033 L
.43752 .45857 L
.43737 .45856 L
.4358 .45664 L
.43545 .45627 L
.4342 .45472 L
.43352 .45384 L
.43256 .45279 L
.43159 .45132 L
.4313 .45086 L
.42976 .44894 L
.42967 .4489 L
.42833 .44701 L
.42774 .4463 L
.42689 .44508 L
.42581 .44347 L
.42568 .44316 L
.42434 .44123 L
.42389 .44049 L
.42247 .4393 L
.42232 .43737 L
F
0 .88 1 r
.42389 .41204 m
.42403 .41232 L
.42581 .41403 L
.42598 .41425 L
.42768 .41618 L
.42774 .41625 L
.42925 .41811 L
.42967 .41861 L
.43076 .42003 L
.43159 .42061 L
.43221 .42196 L
.43352 .42381 L
.43357 .42389 L
.43476 .42581 L
.43545 .42711 L
.43571 .42774 L
.43545 .4287 L
.43354 .42774 L
.43352 .42772 L
.4317 .42581 L
.43159 .4257 L
.43014 .42389 L
.42967 .4233 L
.42868 .42196 L
.42774 .42073 L
.42725 .42003 L
.42587 .41811 L
.42581 .41802 L
.42464 .41618 L
.42389 .41503 L
.42344 .41425 L
.42252 .41232 L
F
0 .9 1 r
.42389 .4367 m
.42487 .43737 L
.42581 .43759 L
.42687 .4393 L
.42774 .44003 L
.42852 .44123 L
.42967 .44254 L
.43042 .44316 L
.43157 .44508 L
.43159 .44512 L
.43297 .44701 L
.43352 .44772 L
.43439 .44894 L
.43545 .45013 L
.43607 .45086 L
.43717 .45279 L
.43737 .45307 L
.43847 .45472 L
.4393 .45592 L
.43976 .45664 L
.44093 .45857 L
.44123 .45911 L
.44172 .4605 L
.44123 .46125 L
.43989 .4605 L
.4393 .46008 L
.43773 .45857 L
.43737 .45854 L
.43596 .45664 L
.43545 .45612 L
.43433 .45472 L
.43352 .4537 L
.43267 .45279 L
.43159 .4512 L
.43138 .45086 L
.42986 .44894 L
.42967 .44886 L
.42843 .44701 L
.42774 .44617 L
.42699 .44508 L
.42581 .44329 L
.42576 .44316 L
.42447 .44123 L
.42389 .44025 L
.42271 .4393 L
.42262 .43737 L
F
1 .98 0 r
.42389 .40453 m
.42404 .40462 L
.42581 .40592 L
.42672 .40654 L
.42774 .40778 L
.42893 .40847 L
.42967 .41 L
.43018 .4104 L
.43159 .41181 L
.43202 .41232 L
.43352 .41423 L
.43354 .41425 L
.43514 .41618 L
.43545 .41679 L
.43634 .41811 L
.43737 .41949 L
.438 .42003 L
.4393 .42182 L
.43941 .42196 L
.44087 .42389 L
.44123 .4244 L
.44199 .42581 L
.44316 .4271 L
.44355 .42774 L
.44474 .42967 L
.44508 .43046 L
.44534 .43159 L
.44508 .43177 L
.44316 .43206 L
.44183 .43159 L
.44123 .4312 L
.43978 .42967 L
.4393 .42893 L
.43824 .42774 L
.43737 .4266 L
.4365 .42581 L
.43545 .42405 L
.43531 .42389 L
.43393 .42196 L
.43352 .42142 L
.43253 .42003 L
.43159 .41901 L
.43091 .41811 L
.42972 .41618 L
.42967 .41611 L
.42839 .41425 L
.42774 .41335 L
.42704 .41232 L
.42581 .41058 L
.42562 .4104 L
.42447 .40847 L
.42389 .40753 L
.42336 .40654 L
.42295 .40462 L
F
0 .89 1 r
.42389 .43698 m
.42455 .43737 L
.42581 .43772 L
.42673 .4393 L
.42774 .44016 L
.42842 .44123 L
.42967 .44266 L
.43029 .44316 L
.43149 .44508 L
.43159 .44522 L
.4329 .44701 L
.43352 .44781 L
.43432 .44894 L
.43545 .45025 L
.43596 .45086 L
.43709 .45279 L
.43737 .45319 L
.43838 .45472 L
.4393 .45608 L
.43966 .45664 L
.44075 .45857 L
.44123 .45962 L
.44134 .4605 L
.44123 .46069 L
.44043 .4605 L
.4393 .45982 L
.43794 .45857 L
.43737 .4585 L
.43611 .45664 L
.43545 .45597 L
.43446 .45472 L
.43352 .45355 L
.43278 .45279 L
.43159 .45107 L
.43146 .45086 L
.42996 .44894 L
.42967 .44881 L
.42853 .44701 L
.42774 .44603 L
.42709 .44508 L
.42584 .44316 L
.42581 .44311 L
.4246 .44123 L
.42389 .43998 L
.42302 .4393 L
.42298 .43737 L
F
0 .49 1 r
.42389 .47151 m
.42436 .47206 L
.42581 .47365 L
.42609 .47399 L
.42772 .47591 L
.42774 .47594 L
.42926 .47784 L
.42967 .47831 L
.43081 .47977 L
.43159 .48072 L
.43235 .48169 L
.43352 .483 L
.43388 .48362 L
.43537 .48555 L
.43545 .48564 L
.43684 .48747 L
.43737 .48815 L
.43832 .4894 L
.4393 .49048 L
.44042 .49133 L
.44123 .4932 L
.44128 .49326 L
.4427 .49518 L
.44316 .49577 L
.44415 .49711 L
.44508 .49816 L
.44608 .49904 L
.44701 .50091 L
.44705 .50096 L
.44846 .50289 L
.44894 .50352 L
.44988 .50482 L
.45086 .50596 L
.45166 .50674 L
.45274 .50867 L
.45279 .50874 L
.45413 .5106 L
.45472 .51138 L
.45554 .51253 L
.45664 .51389 L
.45718 .51445 L
.45835 .51638 L
.45857 .51667 L
.45973 .51831 L
.4605 .51934 L
.46113 .52023 L
.46242 .52196 L
.4626 .52216 L
.46388 .52409 L
.46435 .52472 L
.46524 .52601 L
.46628 .52744 L
.46663 .52794 L
.46798 .52987 L
.46821 .53018 L
.46928 .53179 L
.47013 .53297 L
.47063 .53372 L
.47196 .53565 L
.47206 .53578 L
.47318 .53758 L
.47399 .53875 L
.47443 .5395 L
.47399 .54105 L
.47268 .5395 L
.47206 .53884 L
.47104 .53758 L
.47013 .53652 L
.46944 .53565 L
.46821 .53441 L
.46787 .53372 L
.46634 .53179 L
.46628 .53172 L
.46486 .52987 L
.46435 .52925 L
.46336 .52794 L
.46242 .52709 L
.46186 .52601 L
.4605 .52428 L
.4603 .52409 L
.45892 .52216 L
.45857 .52172 L
.45747 .52023 L
.45664 .51948 L
.456 .51831 L
.45472 .51665 L
.45447 .51638 L
.45312 .51445 L
.45279 .51403 L
.45169 .51253 L
.45086 .51173 L
.45025 .5106 L
.44894 .50887 L
.44876 .50867 L
.44741 .50674 L
.44701 .50622 L
.446 .50482 L
.44508 .50386 L
.444 .50289 L
.44316 .50098 L
.44314 .50096 L
.44177 .49904 L
.44123 .49832 L
.44037 .49711 L
.4393 .49587 L
.43862 .49518 L
.43757 .49326 L
.43737 .493 L
.43621 .49133 L
.43545 .4903 L
.43482 .4894 L
.43352 .48768 L
.43333 .48747 L
.4321 .48555 L
.43159 .48487 L
.43075 .48362 L
.42967 .48212 L
.42938 .48169 L
.42806 .47977 L
.42774 .47932 L
.42679 .47784 L
.42581 .47646 L
.42547 .47591 L
.42423 .47399 L
.42389 .47348 L
.42314 .47206 L
F
1 .82 0 r
.42389 .46327 m
.4249 .46435 L
.42581 .4653 L
.42666 .46628 L
.42774 .46713 L
.42834 .46821 L
.42967 .46975 L
.43022 .47013 L
.43154 .47206 L
.43159 .47213 L
.4331 .47399 L
.43352 .47429 L
.43465 .47591 L
.43545 .47689 L
.43648 .47784 L
.43737 .47941 L
.43765 .47977 L
.43918 .48169 L
.4393 .48179 L
.44068 .48362 L
.44123 .48432 L
.44236 .48555 L
.44316 .4869 L
.44355 .48747 L
.44508 .48939 L
.44509 .4894 L
.44655 .49133 L
.44701 .49192 L
.44815 .49326 L
.44894 .49454 L
.44934 .49518 L
.45086 .49708 L
.4509 .49711 L
.45234 .49904 L
.45279 .49962 L
.45387 .50096 L
.45472 .50227 L
.45507 .50289 L
.45664 .50482 L
.45664 .50482 L
.45807 .50674 L
.45857 .50739 L
.45956 .50867 L
.4605 .51006 L
.46077 .5106 L
.46235 .51253 L
.46242 .5126 L
.4642 .51445 L
.46435 .51522 L
.46522 .51638 L
.46628 .51789 L
.46646 .51831 L
.46801 .52023 L
.46821 .52042 L
.46981 .52216 L
.47013 .52308 L
.47086 .52409 L
.47206 .52576 L
.47214 .52601 L
.47366 .52794 L
.47399 .52827 L
.4754 .52987 L
.47591 .53098 L
.47647 .53179 L
.47784 .53367 L
.47785 .53372 L
.47927 .53565 L
.47977 .53616 L
.48096 .53758 L
.48169 .53893 L
.48207 .5395 L
.48347 .54143 L
.48362 .54163 L
.48486 .54336 L
.48555 .54412 L
.48649 .54528 L
.48747 .54694 L
.48765 .54721 L
.48902 .54914 L
.4894 .54965 L
.4904 .55106 L
.49133 .55218 L
.49196 .55299 L
.49317 .55492 L
.49326 .55503 L
.49451 .55684 L
.49518 .55776 L
.49588 .55877 L
.49711 .56042 L
.49732 .5607 L
.49858 .56263 L
.49904 .56326 L
.4999 .56455 L
.50096 .56605 L
.5016 .56648 L
.50254 .56841 L
.50289 .5689 L
.5038 .57033 L
.50482 .57184 L
.50508 .57226 L
.50624 .57419 L
.50674 .57498 L
.5073 .57611 L
.50674 .57701 L
.50587 .57611 L
.50482 .57507 L
.50404 .57419 L
.50289 .57336 L
.50234 .57226 L
.50096 .57069 L
.50039 .57033 L
.49912 .56841 L
.49904 .56831 L
.49757 .56648 L
.49711 .56623 L
.49602 .56455 L
.49518 .56357 L
.49406 .56263 L
.49326 .56104 L
.49297 .5607 L
.49149 .55877 L
.49133 .55867 L
.49001 .55684 L
.4894 .55611 L
.4882 .55492 L
.48747 .55352 L
.48707 .55299 L
.4856 .55106 L
.48555 .55103 L
.48415 .54914 L
.48362 .54849 L
.48245 .54721 L
.48169 .54586 L
.48128 .54528 L
.4798 .54336 L
.47977 .54333 L
.47837 .54143 L
.47784 .54078 L
.47674 .5395 L
.47591 .53812 L
.47555 .53758 L
.47407 .53565 L
.47399 .53559 L
.47264 .53372 L
.47206 .53299 L
.47107 .53179 L
.47013 .53032 L
.46986 .52987 L
.46837 .52794 L
.46821 .52781 L
.46696 .52601 L
.46628 .52516 L
.46542 .52409 L
.46435 .52248 L
.46418 .52216 L
.46271 .52023 L
.46242 .52 L
.46072 .51831 L
.4605 .51729 L
.45979 .51638 L
.45857 .5146 L
.4585 .51445 L
.45707 .51253 L
.45664 .51215 L
.45517 .5106 L
.45472 .50939 L
.45418 .50867 L
.45283 .50674 L
.45279 .50669 L
.45145 .50482 L
.45086 .50425 L
.44964 .50289 L
.44894 .50144 L
.4486 .50096 L
.44724 .49904 L
.44701 .49873 L
.44586 .49711 L
.44508 .49629 L
.44414 .49518 L
.44316 .49343 L
.44304 .49326 L
.44168 .49133 L
.44123 .49072 L
.4403 .4894 L
.4393 .48822 L
.4387 .48747 L
.43752 .48555 L
.43737 .48535 L
.43618 .48362 L
.43545 .48263 L
.4348 .48169 L
.43352 .47999 L
.43335 .47977 L
.43209 .47784 L
.43159 .47716 L
.43076 .47591 L
.42967 .47439 L
.4294 .47399 L
.42809 .47206 L
.42774 .47157 L
.42683 .47013 L
.42581 .46867 L
.42552 .46821 L
.42431 .46628 L
.42389 .46564 L
.42321 .46435 L
F
0 .48 1 r
.42389 .47164 m
.42426 .47206 L
.42581 .47374 L
.42602 .47399 L
.42765 .47591 L
.42774 .47601 L
.42921 .47784 L
.42967 .47837 L
.43076 .47977 L
.43159 .48077 L
.43231 .48169 L
.43352 .48307 L
.43384 .48362 L
.43533 .48555 L
.43545 .48569 L
.43681 .48747 L
.43737 .48819 L
.43829 .4894 L
.4393 .49053 L
.44036 .49133 L
.44123 .49324 L
.44124 .49326 L
.44267 .49518 L
.44316 .4958 L
.44412 .49711 L
.44508 .4982 L
.44604 .49904 L
.44701 .50095 L
.44702 .50096 L
.44843 .50289 L
.44894 .50355 L
.44986 .50482 L
.45086 .506 L
.45162 .50674 L
.45271 .50867 L
.45279 .50877 L
.4541 .5106 L
.45472 .51141 L
.45552 .51253 L
.45664 .51393 L
.45714 .51445 L
.45833 .51638 L
.45857 .5167 L
.4597 .51831 L
.4605 .51938 L
.4611 .52023 L
.46242 .52201 L
.46256 .52216 L
.46385 .52409 L
.46435 .52476 L
.46521 .52601 L
.46628 .52748 L
.4666 .52794 L
.46794 .52987 L
.46821 .53023 L
.46924 .53179 L
.47013 .53303 L
.47059 .53372 L
.47191 .53565 L
.47206 .53586 L
.47311 .53758 L
.47399 .53885 L
.47437 .5395 L
.47399 .54093 L
.47277 .5395 L
.47206 .53875 L
.47111 .53758 L
.47013 .53646 L
.46949 .53565 L
.46821 .53432 L
.46792 .53372 L
.46639 .53179 L
.46628 .53167 L
.4649 .52987 L
.46435 .5292 L
.46339 .52794 L
.46242 .52704 L
.46189 .52601 L
.4605 .52424 L
.46035 .52409 L
.45895 .52216 L
.45857 .52168 L
.4575 .52023 L
.45664 .51944 L
.45603 .51831 L
.45472 .51661 L
.45451 .51638 L
.45315 .51445 L
.45279 .51399 L
.45172 .51253 L
.45086 .5117 L
.45027 .5106 L
.44894 .50883 L
.4488 .50867 L
.44743 .50674 L
.44701 .50619 L
.44602 .50482 L
.44508 .50383 L
.44404 .50289 L
.44317 .50096 L
.44316 .50094 L
.4418 .49904 L
.44123 .49828 L
.4404 .49711 L
.4393 .49582 L
.43866 .49518 L
.4376 .49326 L
.43737 .49296 L
.43624 .49133 L
.43545 .49026 L
.43485 .4894 L
.43352 .48762 L
.43339 .48747 L
.43213 .48555 L
.43159 .48482 L
.43079 .48362 L
.42967 .48207 L
.42941 .48169 L
.42811 .47977 L
.42774 .47926 L
.42684 .47784 L
.42581 .47638 L
.42552 .47591 L
.42432 .47399 L
.42389 .47335 L
.42325 .47206 L
F
0 .47 1 r
.42389 .47179 m
.42413 .47206 L
.42581 .47383 L
.42594 .47399 L
.42757 .47591 L
.42774 .47609 L
.42915 .47784 L
.42967 .47844 L
.43071 .47977 L
.43159 .48083 L
.43227 .48169 L
.43352 .48313 L
.4338 .48362 L
.4353 .48555 L
.43545 .48573 L
.43677 .48747 L
.43737 .48823 L
.43826 .4894 L
.4393 .49058 L
.44031 .49133 L
.44121 .49326 L
.44123 .49328 L
.44264 .49518 L
.44316 .49584 L
.4441 .49711 L
.44508 .49824 L
.446 .49904 L
.44699 .50096 L
.44701 .50098 L
.4484 .50289 L
.44894 .50359 L
.44983 .50482 L
.45086 .50604 L
.45159 .50674 L
.45269 .50867 L
.45279 .50881 L
.45408 .5106 L
.45472 .51144 L
.45549 .51253 L
.45664 .51397 L
.4571 .51445 L
.4583 .51638 L
.45857 .51674 L
.45968 .51831 L
.4605 .51941 L
.46108 .52023 L
.46242 .52206 L
.46251 .52216 L
.46382 .52409 L
.46435 .52481 L
.46518 .52601 L
.46628 .52752 L
.46656 .52794 L
.4679 .52987 L
.46821 .53029 L
.4692 .53179 L
.47013 .53309 L
.47054 .53372 L
.47185 .53565 L
.47206 .53594 L
.47305 .53758 L
.47399 .53896 L
.47429 .5395 L
.47399 .5408 L
.47286 .5395 L
.47206 .53867 L
.47117 .53758 L
.47013 .53639 L
.46955 .53565 L
.46821 .53423 L
.46796 .53372 L
.46643 .53179 L
.46628 .53161 L
.46494 .52987 L
.46435 .52915 L
.46343 .52794 L
.46242 .52699 L
.46192 .52601 L
.4605 .52419 L
.46039 .52409 L
.45898 .52216 L
.45857 .52164 L
.45752 .52023 L
.45664 .51941 L
.45606 .51831 L
.45472 .51657 L
.45454 .51638 L
.45317 .51445 L
.45279 .51396 L
.45174 .51253 L
.45086 .51166 L
.4503 .5106 L
.44894 .5088 L
.44883 .50867 L
.44746 .50674 L
.44701 .50616 L
.44604 .50482 L
.44508 .50379 L
.44408 .50289 L
.4432 .50096 L
.44316 .50091 L
.44182 .49904 L
.44123 .49825 L
.44042 .49711 L
.4393 .49578 L
.43871 .49518 L
.43763 .49326 L
.43737 .49292 L
.43627 .49133 L
.43545 .49022 L
.43488 .4894 L
.43352 .48756 L
.43344 .48747 L
.43217 .48555 L
.43159 .48477 L
.43082 .48362 L
.42967 .48202 L
.42945 .48169 L
.42816 .47977 L
.42774 .47919 L
.42689 .47784 L
.42581 .4763 L
.42557 .47591 L
.42441 .47399 L
.42389 .47319 L
.4234 .47206 L
F
0 .88 1 r
.42389 .43731 m
.42406 .43737 L
.42581 .4379 L
.42657 .4393 L
.42774 .4403 L
.42832 .44123 L
.42967 .44278 L
.43015 .44316 L
.43141 .44508 L
.43159 .44532 L
.43283 .44701 L
.43352 .44791 L
.43425 .44894 L
.43545 .45039 L
.43584 .45086 L
.437 .45279 L
.43737 .45331 L
.43828 .45472 L
.4393 .45624 L
.43955 .45664 L
.44055 .45857 L
.4393 .45955 L
.43818 .45857 L
.43737 .45843 L
.43628 .45664 L
.43545 .45582 L
.43459 .45472 L
.43352 .45341 L
.4329 .45279 L
.43159 .45095 L
.43154 .45086 L
.43006 .44894 L
.42967 .44875 L
.42863 .44701 L
.42774 .44588 L
.42719 .44508 L
.42596 .44316 L
.42581 .44293 L
.42474 .44123 L
.42389 .43968 L
.42341 .4393 L
.42355 .43737 L
F
1 .81 0 r
.42389 .4636 m
.42464 .46435 L
.42581 .46551 L
.42649 .46628 L
.42774 .46734 L
.42821 .46821 L
.42967 .4699 L
.43002 .47013 L
.43144 .47206 L
.43159 .47224 L
.43301 .47399 L
.43352 .47436 L
.43457 .47591 L
.43545 .47698 L
.4364 .47784 L
.43737 .47948 L
.4376 .47977 L
.43912 .48169 L
.4393 .48184 L
.44062 .48362 L
.44123 .48439 L
.44232 .48555 L
.44316 .48696 L
.44351 .48747 L
.44505 .4894 L
.44508 .48943 L
.44651 .49133 L
.44701 .49197 L
.44811 .49326 L
.44894 .49459 L
.44931 .49518 L
.45086 .49711 L
.45086 .49711 L
.45231 .49904 L
.45279 .49966 L
.45384 .50096 L
.45472 .50231 L
.45505 .50289 L
.45661 .50482 L
.45664 .50484 L
.45805 .50674 L
.45857 .50743 L
.45954 .50867 L
.4605 .51009 L
.46076 .5106 L
.46232 .51253 L
.46242 .51263 L
.46419 .51445 L
.46435 .51525 L
.4652 .51638 L
.46628 .51792 L
.46644 .51831 L
.46799 .52023 L
.46821 .52044 L
.46979 .52216 L
.47013 .52311 L
.47083 .52409 L
.47206 .52579 L
.47213 .52601 L
.47363 .52794 L
.47399 .5283 L
.47538 .52987 L
.47591 .53102 L
.47645 .53179 L
.47784 .5337 L
.47785 .53372 L
.47925 .53565 L
.47977 .5362 L
.48094 .53758 L
.48169 .53897 L
.48205 .5395 L
.48344 .54143 L
.48362 .54167 L
.48483 .54336 L
.48555 .54416 L
.48646 .54528 L
.48747 .54698 L
.48762 .54721 L
.48899 .54914 L
.4894 .5497 L
.49037 .55106 L
.49133 .55224 L
.49191 .55299 L
.49313 .55492 L
.49326 .55509 L
.49447 .55684 L
.49518 .55783 L
.49584 .55877 L
.49711 .56051 L
.49725 .5607 L
.49852 .56263 L
.49904 .56335 L
.49984 .56455 L
.50096 .56615 L
.50146 .56648 L
.50245 .56841 L
.50289 .56904 L
.5037 .57033 L
.50482 .57201 L
.50497 .57226 L
.50606 .57419 L
.50674 .57537 L
.50703 .57611 L
.50674 .5766 L
.5062 .57611 L
.50482 .57485 L
.50422 .57419 L
.50289 .57312 L
.50247 .57226 L
.50096 .57054 L
.50063 .57033 L
.49922 .56841 L
.49904 .56819 L
.49765 .56648 L
.49711 .56617 L
.4961 .56455 L
.49518 .56348 L
.49415 .56263 L
.49326 .56096 L
.49303 .5607 L
.49155 .55877 L
.49133 .55864 L
.49006 .55684 L
.4894 .55605 L
.48825 .55492 L
.48747 .55346 L
.48711 .55299 L
.48564 .55106 L
.48555 .551 L
.48419 .54914 L
.48362 .54845 L
.48248 .54721 L
.48169 .54582 L
.48131 .54528 L
.47983 .54336 L
.47977 .54331 L
.4784 .54143 L
.47784 .54074 L
.47677 .5395 L
.47591 .53809 L
.47558 .53758 L
.47409 .53565 L
.47399 .53557 L
.47267 .53372 L
.47206 .53296 L
.47109 .53179 L
.47013 .53029 L
.46988 .52987 L
.4684 .52794 L
.46821 .52779 L
.46698 .52601 L
.46628 .52513 L
.46544 .52409 L
.46435 .52245 L
.46419 .52216 L
.46273 .52023 L
.46242 .51998 L
.46074 .51831 L
.4605 .51726 L
.45981 .51638 L
.45857 .51457 L
.45851 .51445 L
.45709 .51253 L
.45664 .51212 L
.45519 .5106 L
.45472 .50936 L
.45421 .50867 L
.45286 .50674 L
.45279 .50666 L
.45147 .50482 L
.45086 .50422 L
.44966 .50289 L
.44894 .5014 L
.44862 .50096 L
.44727 .49904 L
.44701 .49869 L
.44589 .49711 L
.44508 .49625 L
.44417 .49518 L
.44316 .49339 L
.44307 .49326 L
.44171 .49133 L
.44123 .49068 L
.44034 .4894 L
.4393 .48817 L
.43874 .48747 L
.43756 .48555 L
.43737 .4853 L
.43622 .48362 L
.43545 .48257 L
.43484 .48169 L
.43352 .4799 L
.43342 .47977 L
.43215 .47784 L
.43159 .47708 L
.43082 .47591 L
.42967 .4743 L
.42946 .47399 L
.42817 .47206 L
.42774 .47145 L
.42692 .47013 L
.42581 .46853 L
.42562 .46821 L
.42447 .46628 L
.42389 .46535 L
.42343 .46435 L
F
0 .46 1 r
.42389 .47197 m
.42397 .47206 L
.42581 .47393 L
.42586 .47399 L
.4275 .47591 L
.42774 .47617 L
.42909 .47784 L
.42967 .4785 L
.43066 .47977 L
.43159 .48088 L
.43222 .48169 L
.43352 .48319 L
.43376 .48362 L
.43526 .48555 L
.43545 .48578 L
.43674 .48747 L
.43737 .48827 L
.43823 .4894 L
.4393 .49062 L
.44025 .49133 L
.44118 .49326 L
.44123 .49332 L
.44261 .49518 L
.44316 .49588 L
.44407 .49711 L
.44508 .49828 L
.44595 .49904 L
.44697 .50096 L
.44701 .50102 L
.44838 .50289 L
.44894 .50362 L
.44981 .50482 L
.45086 .50608 L
.45155 .50674 L
.45266 .50867 L
.45279 .50884 L
.45405 .5106 L
.45472 .51148 L
.45547 .51253 L
.45664 .51401 L
.45706 .51445 L
.45827 .51638 L
.45857 .51678 L
.45965 .51831 L
.4605 .51945 L
.46105 .52023 L
.46242 .52211 L
.46247 .52216 L
.46379 .52409 L
.46435 .52485 L
.46515 .52601 L
.46628 .52757 L
.46653 .52794 L
.46786 .52987 L
.46821 .53034 L
.46916 .53179 L
.47013 .53315 L
.4705 .53372 L
.47179 .53565 L
.47206 .53603 L
.47298 .53758 L
.47399 .53908 L
.47422 .5395 L
.47399 .54066 L
.47297 .5395 L
.47206 .53857 L
.47124 .53758 L
.47013 .53631 L
.4696 .53565 L
.46821 .53414 L
.46801 .53372 L
.46648 .53179 L
.46628 .53156 L
.46498 .52987 L
.46435 .52911 L
.46346 .52794 L
.46242 .52694 L
.46195 .52601 L
.4605 .52414 L
.46044 .52409 L
.45902 .52216 L
.45857 .5216 L
.45755 .52023 L
.45664 .51936 L
.45608 .51831 L
.45472 .51653 L
.45458 .51638 L
.4532 .51445 L
.45279 .51392 L
.45177 .51253 L
.45086 .51162 L
.45032 .5106 L
.44894 .50876 L
.44886 .50867 L
.44748 .50674 L
.44701 .50612 L
.44607 .50482 L
.44508 .50375 L
.44412 .50289 L
.44322 .50096 L
.44316 .50088 L
.44185 .49904 L
.44123 .49821 L
.44045 .49711 L
.4393 .49573 L
.43875 .49518 L
.43766 .49326 L
.43737 .49288 L
.4363 .49133 L
.43545 .49018 L
.43491 .4894 L
.43352 .4875 L
.4335 .48747 L
.4322 .48555 L
.43159 .48472 L
.43086 .48362 L
.42967 .48197 L
.42949 .48169 L
.42821 .47977 L
.42774 .47912 L
.42694 .47784 L
.42581 .47622 L
.42563 .47591 L
.42452 .47399 L
.42389 .47298 L
.42361 .47206 L
F
0 .87 1 r
.42389 .4126 m
.42573 .41425 L
.42581 .41433 L
.42748 .41618 L
.42774 .41646 L
.42909 .41811 L
.42967 .41881 L
.43061 .42003 L
.43159 .42084 L
.43206 .42196 L
.4334 .42389 L
.43352 .42407 L
.43458 .42581 L
.43352 .42747 L
.43188 .42581 L
.43159 .42551 L
.43028 .42389 L
.42967 .42314 L
.4288 .42196 L
.42774 .42057 L
.42737 .42003 L
.42602 .41811 L
.42581 .41782 L
.4248 .41618 L
.42389 .41473 L
.42363 .41425 L
F
1 .75 0 r
.42389 .4202 m
.42501 .42196 L
.42581 .42328 L
.42602 .42389 L
.42581 .42407 L
.42559 .42389 L
.42389 .42227 L
.42365 .42196 L
F
1 .56 0 r
.42389 .49547 m
.42474 .49711 L
.42389 .49736 L
.42367 .49711 L
F
1 .8 0 r
.42389 .46406 m
.42426 .46435 L
.42581 .46574 L
.4263 .46628 L
.42774 .46758 L
.42806 .46821 L
.42967 .47006 L
.42979 .47013 L
.43133 .47206 L
.43159 .47236 L
.43292 .47399 L
.43352 .47443 L
.43449 .47591 L
.43545 .47707 L
.43632 .47784 L
.43737 .47956 L
.43754 .47977 L
.43906 .48169 L
.4393 .48188 L
.44057 .48362 L
.44123 .48445 L
.44227 .48555 L
.44316 .48702 L
.44347 .48747 L
.445 .4894 L
.44508 .48947 L
.44647 .49133 L
.44701 .49202 L
.44808 .49326 L
.44894 .49463 L
.44929 .49518 L
.45083 .49711 L
.45086 .49714 L
.45228 .49904 L
.45279 .49971 L
.45382 .50096 L
.45472 .50235 L
.45503 .50289 L
.45658 .50482 L
.45664 .50487 L
.45802 .50674 L
.45857 .50747 L
.45951 .50867 L
.4605 .51013 L
.46074 .5106 L
.46229 .51253 L
.46242 .51265 L
.46418 .51445 L
.46435 .51528 L
.46517 .51638 L
.46628 .51795 L
.46643 .51831 L
.46796 .52023 L
.46821 .52047 L
.46978 .52216 L
.47013 .52315 L
.47081 .52409 L
.47206 .52582 L
.47212 .52601 L
.47361 .52794 L
.47399 .52832 L
.47536 .52987 L
.47591 .53105 L
.47643 .53179 L
.47783 .53372 L
.47784 .53373 L
.47922 .53565 L
.47977 .53623 L
.48091 .53758 L
.48169 .53901 L
.48202 .5395 L
.48341 .54143 L
.48362 .54171 L
.4848 .54336 L
.48555 .5442 L
.48643 .54528 L
.48747 .54703 L
.48759 .54721 L
.48895 .54914 L
.4894 .54975 L
.49033 .55106 L
.49133 .55229 L
.49187 .55299 L
.49308 .55492 L
.49326 .55515 L
.49443 .55684 L
.49518 .55789 L
.49579 .55877 L
.49711 .5606 L
.49718 .5607 L
.49846 .56263 L
.49904 .56344 L
.49978 .56455 L
.50096 .56625 L
.50131 .56648 L
.50236 .56841 L
.50289 .56918 L
.5036 .57033 L
.50482 .5722 L
.50485 .57226 L
.50583 .57419 L
.50482 .5746 L
.50443 .57419 L
.50289 .57283 L
.50262 .57226 L
.50096 .57037 L
.5009 .57033 L
.49933 .56841 L
.49904 .56807 L
.49774 .56648 L
.49711 .56609 L
.49618 .56455 L
.49518 .56339 L
.49424 .56263 L
.49326 .56088 L
.4931 .5607 L
.49161 .55877 L
.49133 .5586 L
.49012 .55684 L
.4894 .55599 L
.48829 .55492 L
.48747 .5534 L
.48715 .55299 L
.48568 .55106 L
.48555 .55097 L
.48422 .54914 L
.48362 .5484 L
.48251 .54721 L
.48169 .54578 L
.48134 .54528 L
.47987 .54336 L
.47977 .54328 L
.47843 .54143 L
.47784 .5407 L
.47679 .5395 L
.47591 .53805 L
.4756 .53758 L
.47412 .53565 L
.47399 .53555 L
.4727 .53372 L
.47206 .53293 L
.47111 .53179 L
.47013 .53026 L
.46989 .52987 L
.46842 .52794 L
.46821 .52777 L
.467 .52601 L
.46628 .5251 L
.46546 .52409 L
.46435 .52242 L
.46421 .52216 L
.46275 .52023 L
.46242 .51995 L
.46075 .51831 L
.4605 .51723 L
.45983 .51638 L
.45857 .51454 L
.45853 .51445 L
.45711 .51253 L
.45664 .5121 L
.45521 .5106 L
.45472 .50932 L
.45423 .50867 L
.45288 .50674 L
.45279 .50662 L
.4515 .50482 L
.45086 .50419 L
.44969 .50289 L
.44894 .50137 L
.44865 .50096 L
.44729 .49904 L
.44701 .49866 L
.44591 .49711 L
.44508 .49621 L
.4442 .49518 L
.44316 .49334 L
.4431 .49326 L
.44175 .49133 L
.44123 .49063 L
.44037 .4894 L
.4393 .48811 L
.43879 .48747 L
.4376 .48555 L
.43737 .48525 L
.43626 .48362 L
.43545 .48251 L
.43489 .48169 L
.43352 .47981 L
.43349 .47977 L
.4322 .47784 L
.43159 .477 L
.43087 .47591 L
.42967 .47421 L
.42952 .47399 L
.42826 .47206 L
.42774 .47132 L
.42701 .47013 L
.42581 .46836 L
.42572 .46821 L
.42466 .46628 L
.42389 .46491 L
.42373 .46435 L
F
1 .55 0 r
.42389 .49564 m
.42456 .49711 L
.42389 .4972 L
.4238 .49711 L
F
1 .74 0 r
.42389 .4205 m
.42473 .42196 L
.42389 .42203 L
.42383 .42196 L
F
0 .86 1 r
.42389 .41317 m
.42539 .41425 L
.42581 .41461 L
.42727 .41618 L
.42774 .41668 L
.42892 .41811 L
.42967 .41901 L
.43046 .42003 L
.43159 .42114 L
.43191 .42196 L
.43323 .42389 L
.43352 .42434 L
.43437 .42581 L
.43352 .4272 L
.43208 .42581 L
.43159 .42532 L
.43043 .42389 L
.42967 .42297 L
.42893 .42196 L
.42774 .4204 L
.42749 .42003 L
.42617 .41811 L
.42581 .41759 L
.42498 .41618 L
.42389 .41431 L
.42386 .41425 L
F
0 .87 1 r
.42581 .43815 m
.42641 .4393 L
.42774 .44045 L
.42821 .44123 L
.42967 .4429 L
.42999 .44316 L
.43132 .44508 L
.43159 .44542 L
.43275 .44701 L
.43352 .44801 L
.43418 .44894 L
.43545 .45054 L
.43572 .45086 L
.43691 .45279 L
.43737 .45345 L
.43819 .45472 L
.4393 .45643 L
.43943 .45664 L
.44031 .45857 L
.4393 .45926 L
.43845 .45857 L
.43737 .45829 L
.43645 .45664 L
.43545 .45566 L
.43472 .45472 L
.43352 .45326 L
.43303 .45279 L
.43163 .45086 L
.43159 .45082 L
.43016 .44894 L
.42967 .44868 L
.42874 .44701 L
.42774 .44571 L
.42731 .44508 L
.42608 .44316 L
.42581 .44273 L
.42488 .44123 L
.42389 .4393 L
F
0 .86 1 r
.42581 .43848 m
.42622 .4393 L
.42774 .44063 L
.4281 .44123 L
.42967 .44304 L
.42982 .44316 L
.43123 .44508 L
.43159 .44553 L
.43267 .44701 L
.43352 .44811 L
.4341 .44894 L
.43545 .4507 L
.43559 .45086 L
.43682 .45279 L
.43737 .45359 L
.43808 .45472 L
.4393 .45664 L
.43931 .45664 L
.43999 .45857 L
.4393 .45893 L
.43878 .45857 L
.43737 .45808 L
.43663 .45664 L
.43545 .45549 L
.43486 .45472 L
.43352 .45311 L
.43318 .45279 L
.43174 .45086 L
.43159 .45068 L
.43027 .44894 L
.42967 .44858 L
.42884 .44701 L
.42774 .44554 L
.42743 .44508 L
.42621 .44316 L
.42581 .44253 L
.42503 .44123 L
.42414 .4393 L
F
1 .99 0 r
.42581 .43304 m
.42774 .43299 L
.42945 .43352 L
.42967 .43365 L
.43117 .43545 L
.43159 .43595 L
.43279 .43737 L
.43352 .43854 L
.43397 .4393 L
.43545 .44119 L
.43548 .44123 L
.43688 .44316 L
.43737 .44383 L
.43843 .44508 L
.4393 .4465 L
.43962 .44701 L
.44112 .44894 L
.44123 .44899 L
.44304 .45086 L
.44316 .45158 L
.44405 .45279 L
.44508 .45431 L
.44527 .45472 L
.44675 .45664 L
.44701 .457 L
.44863 .45857 L
.44894 .45967 L
.44964 .4605 L
.45086 .4623 L
.45092 .46242 L
.45229 .46435 L
.45175 .46628 L
.45086 .4663 L
.45007 .46628 L
.44894 .46619 L
.44701 .46507 L
.44645 .46435 L
.44508 .46258 L
.44497 .46242 L
.44355 .4605 L
.44316 .46002 L
.44242 .45857 L
.44123 .45741 L
.44066 .45664 L
.4393 .45476 L
.43927 .45472 L
.4379 .45279 L
.43737 .45202 L
.43683 .45086 L
.43545 .44927 L
.43501 .44894 L
.43358 .44701 L
.43352 .44688 L
.43229 .44508 L
.43159 .44423 L
.43125 .44316 L
.42967 .44156 L
.42939 .44123 L
.42792 .4393 L
.42774 .43891 L
.42671 .43737 L
.42581 .43619 L
.42569 .43545 L
.42422 .43352 L
F
0 .85 1 r
.42581 .43891 m
.42601 .4393 L
.42774 .44082 L
.42798 .44123 L
.42965 .44316 L
.42967 .44317 L
.43114 .44508 L
.43159 .44564 L
.43259 .44701 L
.43352 .44821 L
.43403 .44894 L
.43545 .45086 L
.43545 .45086 L
.43672 .45279 L
.43737 .45374 L
.43797 .45472 L
.43913 .45664 L
.43737 .45778 L
.43682 .45664 L
.43545 .4553 L
.43501 .45472 L
.43352 .45296 L
.43333 .45279 L
.43185 .45086 L
.43159 .45054 L
.43037 .44894 L
.42967 .44846 L
.42895 .44701 L
.42774 .44535 L
.42756 .44508 L
.42633 .44316 L
.42581 .44231 L
.42518 .44123 L
.42444 .4393 L
F
1 .79 0 r
.42581 .466 m
.42608 .46628 L
.42774 .46788 L
.42791 .46821 L
.4296 .47013 L
.42967 .47021 L
.43122 .47206 L
.43159 .47248 L
.43283 .47399 L
.43352 .47452 L
.43441 .47591 L
.43545 .47717 L
.43623 .47784 L
.43737 .47964 L
.43748 .47977 L
.439 .48169 L
.4393 .48193 L
.44051 .48362 L
.44123 .48452 L
.44222 .48555 L
.44316 .48708 L
.44343 .48747 L
.44496 .4894 L
.44508 .48951 L
.44643 .49133 L
.44701 .49207 L
.44804 .49326 L
.44894 .49468 L
.44926 .49518 L
.45079 .49711 L
.45086 .49717 L
.45224 .49904 L
.45279 .49975 L
.45379 .50096 L
.45472 .50239 L
.45501 .50289 L
.45655 .50482 L
.45664 .5049 L
.45799 .50674 L
.45857 .5075 L
.45949 .50867 L
.4605 .51016 L
.46072 .5106 L
.46227 .51253 L
.46242 .51268 L
.46417 .51445 L
.46435 .51532 L
.46515 .51638 L
.46628 .51799 L
.46642 .51831 L
.46794 .52023 L
.46821 .52049 L
.46976 .52216 L
.47013 .52318 L
.47079 .52409 L
.47206 .52586 L
.47211 .52601 L
.47358 .52794 L
.47399 .52835 L
.47534 .52987 L
.47591 .53109 L
.47641 .53179 L
.4778 .53372 L
.47784 .53377 L
.47919 .53565 L
.47977 .53626 L
.48089 .53758 L
.48169 .53905 L
.482 .5395 L
.48338 .54143 L
.48362 .54175 L
.48477 .54336 L
.48555 .54424 L
.48639 .54528 L
.48747 .54708 L
.48756 .54721 L
.48892 .54914 L
.4894 .5498 L
.49029 .55106 L
.49133 .55236 L
.49182 .55299 L
.49304 .55492 L
.49326 .55521 L
.49438 .55684 L
.49518 .55796 L
.49574 .55877 L
.49711 .5607 L
.49711 .5607 L
.4984 .56263 L
.49904 .56353 L
.49971 .56455 L
.50096 .56636 L
.50115 .56648 L
.50226 .56841 L
.50289 .56933 L
.50349 .57033 L
.50469 .57226 L
.50482 .57246 L
.50549 .57419 L
.50482 .5743 L
.5047 .57419 L
.50289 .57249 L
.50278 .57226 L
.50107 .57033 L
.50096 .57022 L
.49944 .56841 L
.49904 .56795 L
.49784 .56648 L
.49711 .56601 L
.49625 .56455 L
.49518 .56329 L
.49433 .56263 L
.49326 .5608 L
.49316 .5607 L
.49167 .55877 L
.49133 .55856 L
.49017 .55684 L
.4894 .55592 L
.48834 .55492 L
.48747 .55335 L
.4872 .55299 L
.48573 .55106 L
.48555 .55094 L
.48426 .54914 L
.48362 .54835 L
.48255 .54721 L
.48169 .54573 L
.48137 .54528 L
.4799 .54336 L
.47977 .54326 L
.47846 .54143 L
.47784 .54066 L
.47682 .5395 L
.47591 .53801 L
.47562 .53758 L
.47415 .53565 L
.47399 .53552 L
.47272 .53372 L
.47206 .53289 L
.47114 .53179 L
.47013 .53023 L
.46991 .52987 L
.46845 .52794 L
.46821 .52775 L
.46703 .52601 L
.46628 .52507 L
.46549 .52409 L
.46435 .52239 L
.46422 .52216 L
.46278 .52023 L
.46242 .51993 L
.46077 .51831 L
.4605 .5172 L
.45986 .51638 L
.45857 .51451 L
.45854 .51445 L
.45714 .51253 L
.45664 .51208 L
.45523 .5106 L
.45472 .50929 L
.45425 .50867 L
.45291 .50674 L
.45279 .50659 L
.45152 .50482 L
.45086 .50416 L
.44971 .50289 L
.44894 .50133 L
.44867 .50096 L
.44732 .49904 L
.44701 .49862 L
.44594 .49711 L
.44508 .49617 L
.44424 .49518 L
.44316 .4933 L
.44313 .49326 L
.44178 .49133 L
.44123 .49059 L
.4404 .4894 L
.4393 .48805 L
.43883 .48747 L
.43764 .48555 L
.43737 .48519 L
.4363 .48362 L
.43545 .48246 L
.43493 .48169 L
.43355 .47977 L
.43352 .47973 L
.43226 .47784 L
.43159 .47692 L
.43093 .47591 L
.42967 .47412 L
.42958 .47399 L
.42834 .47206 L
.42774 .47119 L
.4271 .47013 L
.42584 .46821 L
.42581 .46817 L
.4249 .46628 L
F
1 .97 0 r
.42581 .40685 m
.42774 .40839 L
.428 .40847 L
.42967 .41036 L
.42978 .4104 L
.43155 .41232 L
.43159 .41237 L
.43318 .41425 L
.43352 .41471 L
.43492 .41618 L
.43545 .41721 L
.43608 .41811 L
.43737 .41977 L
.43772 .42003 L
.43915 .42196 L
.4393 .42211 L
.44068 .42389 L
.44123 .42473 L
.44176 .42581 L
.44316 .42765 L
.44321 .42774 L
.4443 .42967 L
.44316 .43159 L
.44123 .43076 L
.44009 .42967 L
.4393 .42863 L
.43845 .42774 L
.43737 .42639 L
.4367 .42581 L
.43547 .42389 L
.43545 .42386 L
.43408 .42196 L
.43352 .42122 L
.43268 .42003 L
.43159 .41875 L
.43112 .41811 L
.42992 .41618 L
.42967 .41583 L
.42861 .41425 L
.42774 .41301 L
.42729 .41232 L
.42605 .4104 L
.42581 .41003 L
.42501 .40847 L
F
1 .98 0 r
.42581 .43334 m
.42774 .43331 L
.42859 .43352 L
.42967 .43402 L
.43098 .43545 L
.43159 .43613 L
.4327 .43737 L
.43352 .43865 L
.43391 .4393 L
.43542 .44123 L
.43545 .44126 L
.43683 .44316 L
.43737 .44389 L
.43839 .44508 L
.4393 .44655 L
.43959 .44701 L
.44108 .44894 L
.44123 .44901 L
.44303 .45086 L
.44316 .45163 L
.44401 .45279 L
.44508 .45437 L
.44524 .45472 L
.4467 .45664 L
.44701 .45707 L
.44859 .45857 L
.44894 .45975 L
.44957 .4605 L
.45085 .46242 L
.45086 .46244 L
.45207 .46435 L
.45086 .46601 L
.44894 .46582 L
.44701 .46456 L
.44681 .46435 L
.44516 .46242 L
.44508 .46226 L
.44367 .4605 L
.44316 .45987 L
.44251 .45857 L
.44123 .45729 L
.44074 .45664 L
.43932 .45472 L
.4393 .45466 L
.43796 .45279 L
.43737 .45193 L
.43688 .45086 L
.43545 .44922 L
.43507 .44894 L
.43361 .44701 L
.43352 .44681 L
.43235 .44508 L
.43159 .44415 L
.43129 .44316 L
.42967 .44147 L
.42948 .44123 L
.42798 .4393 L
.42774 .43876 L
.42683 .43737 L
.42581 .43593 L
.42575 .43545 L
.42518 .43352 L
F
0 .85 1 r
.42581 .41493 m
.42702 .41618 L
.42774 .41692 L
.42873 .41811 L
.42967 .41922 L
.4303 .42003 L
.43159 .42152 L
.43176 .42196 L
.43304 .42389 L
.43352 .42465 L
.43414 .42581 L
.43352 .42688 L
.43232 .42581 L
.43159 .4251 L
.43059 .42389 L
.42967 .42279 L
.42906 .42196 L
.42774 .42022 L
.42761 .42003 L
.42635 .41811 L
.42581 .41731 L
.42518 .41618 L
F
0 .94 1 r
.42581 .45691 m
.42704 .45857 L
.42774 .45943 L
.42854 .4605 L
.42967 .46177 L
.43007 .46242 L
.43159 .46435 L
.43159 .46436 L
.43314 .46628 L
.43352 .46673 L
.43472 .46821 L
.43545 .46907 L
.4363 .47013 L
.43737 .47155 L
.43773 .47206 L
.4393 .47394 L
.43939 .47399 L
.44094 .47591 L
.44123 .47628 L
.44283 .47784 L
.44316 .47881 L
.44379 .47977 L
.44508 .48141 L
.44554 .48169 L
.44701 .48362 L
.44701 .48362 L
.44868 .48555 L
.44894 .48618 L
.44984 .48747 L
.45086 .48885 L
.45093 .4894 L
.45279 .49115 L
.45293 .49133 L
.45448 .49326 L
.45472 .49376 L
.4557 .49518 L
.45664 .49645 L
.45678 .49711 L
.45857 .49884 L
.45872 .49904 L
.46022 .50096 L
.4605 .50148 L
.46143 .50289 L
.46242 .50419 L
.46304 .50482 L
.46435 .50662 L
.46444 .50674 L
.46592 .50867 L
.46628 .50928 L
.46711 .5106 L
.46821 .51199 L
.46874 .51253 L
.47013 .51445 L
.47013 .51445 L
.47159 .51638 L
.47206 .51712 L
.47276 .51831 L
.47399 .51982 L
.47441 .52023 L
.47581 .52216 L
.47591 .5223 L
.47725 .52409 L
.47784 .52498 L
.47839 .52601 L
.47977 .52766 L
.48007 .52794 L
.48166 .52987 L
.48169 .53017 L
.48288 .53179 L
.48362 .53285 L
.48402 .53372 L
.48555 .5355 L
.48571 .53565 L
.48734 .53758 L
.48747 .53805 L
.48851 .5395 L
.4894 .54074 L
.48965 .54143 L
.49133 .54334 L
.49134 .54336 L
.49298 .54528 L
.49326 .54595 L
.49413 .54721 L
.49518 .54864 L
.4953 .54914 L
.49697 .55106 L
.49711 .5512 L
.4986 .55299 L
.49904 .55386 L
.49974 .55492 L
.50096 .55655 L
.50099 .55684 L
.50258 .55877 L
.50289 .55907 L
.5042 .5607 L
.50482 .56179 L
.50534 .56263 L
.50674 .56449 L
.50679 .56455 L
.50818 .56648 L
.50867 .56699 L
.50977 .56841 L
.5106 .56976 L
.51093 .57033 L
.51237 .57226 L
.51253 .57247 L
.51375 .57419 L
.51445 .57496 L
.51531 .57611 L
.51638 .57779 L
.51652 .57804 L
.51791 .57997 L
.51831 .58051 L
.52 .58189 L
.52023 .58305 L
.52078 .58382 L
.52204 .58575 L
.52216 .58591 L
.52338 .58768 L
.52409 .58866 L
.52528 .5896 L
.52601 .59135 L
.52613 .59153 L
.52741 .59346 L
.52794 .59421 L
.52872 .59538 L
.52987 .59703 L
.53022 .59731 L
.53129 .59924 L
.53179 .59998 L
.53251 .60116 L
.53372 .60304 L
.53375 .60309 L
.5347 .60502 L
.53372 .60564 L
.53311 .60502 L
.53179 .60424 L
.53123 .60309 L
.52987 .60163 L
.5295 .60116 L
.52794 .59934 L
.52783 .59924 L
.52625 .59731 L
.52601 .59722 L
.52467 .59538 L
.52409 .59471 L
.52239 .59346 L
.52216 .59222 L
.52154 .59153 L
.52023 .58976 L
.52014 .5896 L
.51858 .58768 L
.51831 .58735 L
.51666 .58575 L
.51638 .58479 L
.51561 .58382 L
.51445 .58222 L
.51431 .58189 L
.51268 .57997 L
.51253 .57978 L
.51094 .57804 L
.5106 .57718 L
.50981 .57611 L
.50867 .57455 L
.50857 .57419 L
.50688 .57226 L
.50674 .57209 L
.50524 .57033 L
.50482 .56945 L
.50408 .56841 L
.50289 .56681 L
.50286 .56648 L
.50115 .56455 L
.50096 .56432 L
.49956 .56263 L
.49904 .56166 L
.49839 .5607 L
.49711 .55902 L
.49686 .55877 L
.49545 .55684 L
.49518 .5565 L
.49389 .55492 L
.49326 .55384 L
.49272 .55299 L
.49133 .55121 L
.49119 .55106 L
.48978 .54914 L
.4894 .54866 L
.48825 .54721 L
.48747 .54598 L
.48707 .54528 L
.48555 .54338 L
.48553 .54336 L
.48364 .54143 L
.48362 .5408 L
.48261 .5395 L
.48169 .53811 L
.48141 .53758 L
.47988 .53565 L
.47977 .53555 L
.47802 .53372 L
.47784 .53292 L
.47699 .53179 L
.47591 .53023 L
.47575 .52987 L
.47424 .52794 L
.47399 .52772 L
.47242 .52601 L
.47206 .52503 L
.47137 .52409 L
.47013 .52234 L
.47007 .52216 L
.46861 .52023 L
.46821 .51986 L
.46684 .51831 L
.46628 .51712 L
.46575 .51638 L
.46437 .51445 L
.46435 .51443 L
.46299 .51253 L
.46242 .51197 L
.46126 .5106 L
.4605 .50919 L
.46015 .50867 L
.45876 .50674 L
.45857 .50649 L
.45738 .50482 L
.45664 .50404 L
.45571 .50289 L
.45472 .50123 L
.45454 .50096 L
.45317 .49904 L
.45279 .49853 L
.45178 .49711 L
.45086 .49607 L
.45017 .49518 L
.44895 .49326 L
.44894 .49323 L
.4476 .49133 L
.44701 .49054 L
.44621 .4894 L
.44508 .48801 L
.44468 .48747 L
.44342 .48555 L
.44316 .4852 L
.44206 .48362 L
.44123 .4825 L
.44067 .48169 L
.4393 .47984 L
.43925 .47977 L
.43795 .47784 L
.43737 .47707 L
.4366 .47591 L
.43545 .47433 L
.43495 .47399 L
.4339 .47206 L
.43352 .47155 L
.43261 .47013 L
.43159 .46871 L
.43127 .46821 L
.42998 .46628 L
.42967 .46583 L
.42878 .46435 L
.42774 .46282 L
.42751 .46242 L
.42634 .4605 L
.42581 .4597 L
.42522 .45857 L
F
1 .2 0 r
.42581 .48173 m
.42721 .48362 L
.42774 .48425 L
.42868 .48555 L
.42967 .48677 L
.43017 .48747 L
.43159 .48931 L
.43166 .4894 L
.43305 .49133 L
.43352 .49191 L
.43447 .49326 L
.43545 .49452 L
.43591 .49518 L
.43736 .49711 L
.43737 .49712 L
.43869 .49904 L
.4393 .49982 L
.44007 .50096 L
.44123 .5025 L
.44149 .50289 L
.44283 .50482 L
.44316 .50525 L
.44411 .50674 L
.44508 .50806 L
.44546 .50867 L
.44508 .50988 L
.44416 .50867 L
.44316 .50753 L
.44257 .50674 L
.44123 .50511 L
.44101 .50482 L
.43954 .50289 L
.4393 .50262 L
.43809 .50096 L
.43737 .50008 L
.43662 .49904 L
.43545 .49754 L
.43514 .49711 L
.4337 .49518 L
.43352 .49497 L
.43231 .49326 L
.43159 .49234 L
.43088 .49133 L
.42967 .48973 L
.42944 .4894 L
.42807 .48747 L
.42774 .48706 L
.42672 .48555 L
.42581 .48436 L
.42532 .48362 L
F
0 .84 1 r
.42581 .43937 m
.42774 .44103 L
.42786 .44123 L
.42954 .44316 L
.42967 .4433 L
.43105 .44508 L
.43159 .44575 L
.43251 .44701 L
.43352 .44832 L
.43395 .44894 L
.43535 .45086 L
.43545 .45099 L
.43662 .45279 L
.43737 .4539 L
.43786 .45472 L
.43891 .45664 L
.43737 .45736 L
.43704 .45664 L
.43545 .4551 L
.43516 .45472 L
.43352 .4528 L
.43351 .45279 L
.43197 .45086 L
.43159 .45039 L
.43048 .44894 L
.42967 .44832 L
.42905 .44701 L
.42774 .44514 L
.4277 .44508 L
.42646 .44316 L
.42581 .44206 L
.42534 .44123 L
F
1 .19 0 r
.42581 .4818 m
.42716 .48362 L
.42774 .48431 L
.42864 .48555 L
.42967 .48682 L
.43014 .48747 L
.43159 .48935 L
.43163 .4894 L
.43301 .49133 L
.43352 .49196 L
.43443 .49326 L
.43545 .49457 L
.43588 .49518 L
.43732 .49711 L
.43737 .49718 L
.43865 .49904 L
.4393 .49988 L
.44003 .50096 L
.44123 .50256 L
.44145 .50289 L
.44277 .50482 L
.44316 .50532 L
.44405 .50674 L
.44508 .50815 L
.4454 .50867 L
.44508 .50979 L
.44423 .50867 L
.44316 .50745 L
.44262 .50674 L
.44123 .50505 L
.44106 .50482 L
.43959 .50289 L
.4393 .50256 L
.43814 .50096 L
.43737 .50003 L
.43666 .49904 L
.43545 .49749 L
.43517 .49711 L
.43374 .49518 L
.43352 .49491 L
.43235 .49326 L
.43159 .49229 L
.43092 .49133 L
.42967 .48968 L
.42947 .4894 L
.42811 .48747 L
.42774 .487 L
.42676 .48555 L
.42581 .4843 L
.42536 .48362 L
F
1 .18 0 r
.42581 .48187 m
.42711 .48362 L
.42774 .48437 L
.42859 .48555 L
.42967 .48688 L
.4301 .48747 L
.43159 .4894 L
.43159 .4894 L
.43297 .49133 L
.43352 .49202 L
.43439 .49326 L
.43545 .49462 L
.43584 .49518 L
.43727 .49711 L
.43737 .49724 L
.4386 .49904 L
.4393 .49993 L
.43999 .50096 L
.44123 .50262 L
.44141 .50289 L
.44271 .50482 L
.44316 .5054 L
.44398 .50674 L
.44508 .50824 L
.44534 .50867 L
.44508 .50968 L
.44432 .50867 L
.44316 .50738 L
.44268 .50674 L
.44123 .50499 L
.4411 .50482 L
.43964 .50289 L
.4393 .50249 L
.43819 .50096 L
.43737 .49997 L
.4367 .49904 L
.43545 .49744 L
.43521 .49711 L
.43379 .49518 L
.43352 .49486 L
.43239 .49326 L
.43159 .49224 L
.43096 .49133 L
.42967 .48963 L
.42951 .4894 L
.42816 .48747 L
.42774 .48694 L
.42681 .48555 L
.42581 .48423 L
.42541 .48362 L
F
0 .84 1 r
.42581 .41532 m
.42671 .41618 L
.42774 .41718 L
.42853 .41811 L
.42967 .41944 L
.43013 .42003 L
.43158 .42196 L
.43159 .42197 L
.43283 .42389 L
.43352 .42506 L
.43387 .42581 L
.43352 .42648 L
.43263 .42581 L
.43159 .42487 L
.43077 .42389 L
.42967 .42259 L
.42921 .42196 L
.42775 .42003 L
.42774 .42002 L
.42655 .41811 L
.42581 .41696 L
.42543 .41618 L
F
1 .17 0 r
.42581 .48194 m
.42705 .48362 L
.42774 .48443 L
.42855 .48555 L
.42967 .48693 L
.43006 .48747 L
.43154 .4894 L
.43159 .48946 L
.43292 .49133 L
.43352 .49207 L
.43435 .49326 L
.43545 .49467 L
.43581 .49518 L
.43723 .49711 L
.43737 .49729 L
.43856 .49904 L
.4393 .49999 L
.43995 .50096 L
.44123 .50268 L
.44137 .50289 L
.44264 .50482 L
.44316 .50548 L
.44392 .50674 L
.44508 .50835 L
.44527 .50867 L
.44508 .50956 L
.44441 .50867 L
.44316 .5073 L
.44274 .50674 L
.44123 .50492 L
.44115 .50482 L
.4397 .50289 L
.4393 .50243 L
.43824 .50096 L
.43737 .49991 L
.43674 .49904 L
.43545 .49739 L
.43525 .49711 L
.43383 .49518 L
.43352 .4948 L
.43244 .49326 L
.43159 .49218 L
.431 .49133 L
.42967 .48957 L
.42955 .4894 L
.42821 .48747 L
.42774 .48688 L
.42685 .48555 L
.42581 .48417 L
.42545 .48362 L
F
1 .89 0 r
.42581 .44711 m
.42699 .44894 L
.42774 .45002 L
.42815 .45086 L
.42774 .45144 L
.42718 .45086 L
.42581 .44935 L
.42547 .44894 L
F
0 .21 1 r
.42581 .49032 m
.4264 .49133 L
.42774 .49317 L
.42779 .49326 L
.42774 .49395 L
.42722 .49326 L
.42581 .49177 L
.42549 .49133 L
F
1 .16 0 r
.42581 .48202 m
.42699 .48362 L
.42774 .4845 L
.4285 .48555 L
.42967 .48699 L
.43002 .48747 L
.43149 .4894 L
.43159 .48952 L
.43287 .49133 L
.43352 .49213 L
.43431 .49326 L
.43545 .49472 L
.43577 .49518 L
.43718 .49711 L
.43737 .49736 L
.43851 .49904 L
.4393 .50006 L
.4399 .50096 L
.44123 .50274 L
.44133 .50289 L
.44257 .50482 L
.44316 .50558 L
.44384 .50674 L
.44508 .50847 L
.44519 .50867 L
.44508 .50941 L
.44452 .50867 L
.44316 .50721 L
.44281 .50674 L
.44123 .50485 L
.4412 .50482 L
.43976 .50289 L
.4393 .50236 L
.43829 .50096 L
.43737 .49986 L
.43679 .49904 L
.43545 .49733 L
.43529 .49711 L
.43388 .49518 L
.43352 .49474 L
.43248 .49326 L
.43159 .49213 L
.43104 .49133 L
.42967 .48952 L
.42959 .4894 L
.42826 .48747 L
.42774 .48681 L
.4269 .48555 L
.42581 .4841 L
.4255 .48362 L
F
0 .83 1 r
.42581 .4397 m
.42771 .44123 L
.42774 .44125 L
.42941 .44316 L
.42967 .44344 L
.43095 .44508 L
.43159 .44587 L
.43242 .44701 L
.43352 .44843 L
.43387 .44894 L
.43525 .45086 L
.43545 .45113 L
.43651 .45279 L
.43737 .45409 L
.43774 .45472 L
.43862 .45664 L
.43737 .4568 L
.4373 .45664 L
.43545 .45488 L
.43533 .45472 L
.43365 .45279 L
.43352 .45264 L
.43209 .45086 L
.43159 .45025 L
.43059 .44894 L
.42967 .44814 L
.42917 .44701 L
.42783 .44508 L
.42774 .44495 L
.4266 .44316 L
.42581 .44178 L
.42552 .44123 L
F
1 .15 0 r
.42581 .4821 m
.42692 .48362 L
.42774 .48456 L
.42845 .48555 L
.42967 .48705 L
.42997 .48747 L
.43144 .4894 L
.43159 .48958 L
.43283 .49133 L
.43352 .49219 L
.43426 .49326 L
.43545 .49478 L
.43573 .49518 L
.43712 .49711 L
.43737 .49742 L
.43846 .49904 L
.4393 .50012 L
.43985 .50096 L
.44123 .50281 L
.44128 .50289 L
.44123 .50477 L
.43983 .50289 L
.4393 .50229 L
.43834 .50096 L
.43737 .49979 L
.43683 .49904 L
.43545 .49728 L
.43533 .49711 L
.43393 .49518 L
.43352 .49468 L
.43253 .49326 L
.43159 .49207 L
.43108 .49133 L
.42967 .48946 L
.42962 .4894 L
.42832 .48747 L
.42774 .48674 L
.42696 .48555 L
.42581 .48403 L
.42555 .48362 L
F
0 .2 1 r
.42581 .49044 m
.42629 .49133 L
.42581 .49165 L
.42558 .49133 L
F
1 .14 0 r
.42581 .48219 m
.42685 .48362 L
.42774 .48464 L
.42839 .48555 L
.42967 .48711 L
.42993 .48747 L
.43139 .4894 L
.43159 .48965 L
.43277 .49133 L
.43352 .49225 L
.43422 .49326 L
.43545 .49484 L
.43569 .49518 L
.43707 .49711 L
.43737 .49749 L
.4384 .49904 L
.4393 .50019 L
.4398 .50096 L
.44123 .50288 L
.44123 .50289 L
.44123 .50468 L
.4399 .50289 L
.4393 .50222 L
.4384 .50096 L
.43737 .49973 L
.43688 .49904 L
.43545 .49722 L
.43537 .49711 L
.43399 .49518 L
.43352 .49462 L
.43258 .49326 L
.43159 .49201 L
.43112 .49133 L
.42967 .4894 L
.42967 .4894 L
.42837 .48747 L
.42774 .48667 L
.42701 .48555 L
.42581 .48396 L
.4256 .48362 L
F
1 .13 0 r
.42581 .48229 m
.42678 .48362 L
.42774 .48471 L
.42834 .48555 L
.42967 .48717 L
.42988 .48747 L
.42967 .48933 L
.42843 .48747 L
.42774 .4866 L
.42707 .48555 L
.42581 .48388 L
.42565 .48362 L
F
0 .19 1 r
.42581 .4906 m
.42616 .49133 L
.42581 .49152 L
.42567 .49133 L
F
0 .45 1 r
.42581 .47405 m
.42741 .47591 L
.42774 .47626 L
.42902 .47784 L
.42967 .47857 L
.43061 .47977 L
.43159 .48094 L
.43218 .48169 L
.43352 .48326 L
.43372 .48362 L
.43522 .48555 L
.43545 .48583 L
.4367 .48747 L
.43737 .48832 L
.43819 .4894 L
.4393 .49067 L
.44019 .49133 L
.44115 .49326 L
.44123 .49336 L
.44258 .49518 L
.44316 .49591 L
.44404 .49711 L
.44508 .49832 L
.44591 .49904 L
.44694 .50096 L
.44701 .50105 L
.44835 .50289 L
.44894 .50366 L
.44978 .50482 L
.45086 .50612 L
.45151 .50674 L
.45263 .50867 L
.45279 .50887 L
.45403 .5106 L
.45472 .51151 L
.45544 .51253 L
.45664 .51405 L
.45702 .51445 L
.45824 .51638 L
.45857 .51681 L
.45962 .51831 L
.4605 .51949 L
.46102 .52023 L
.46242 .52216 L
.46242 .52216 L
.46375 .52409 L
.46435 .52489 L
.46512 .52601 L
.46628 .52762 L
.4665 .52794 L
.46782 .52987 L
.46821 .5304 L
.46912 .53179 L
.47013 .53322 L
.47046 .53372 L
.47173 .53565 L
.47206 .53612 L
.4729 .53758 L
.47399 .53922 L
.47413 .5395 L
.47399 .54048 L
.4731 .5395 L
.47206 .53848 L
.47132 .53758 L
.47013 .53624 L
.46966 .53565 L
.46821 .53404 L
.46806 .53372 L
.46653 .53179 L
.46628 .5315 L
.46502 .52987 L
.46435 .52906 L
.4635 .52794 L
.46242 .52688 L
.46199 .52601 L
.4605 .52409 L
.46049 .52409 L
.45905 .52216 L
.45857 .52156 L
.45758 .52023 L
.45664 .51932 L
.45611 .51831 L
.45472 .51649 L
.45462 .51638 L
.45323 .51445 L
.45279 .51389 L
.45179 .51253 L
.45086 .51158 L
.45035 .5106 L
.44894 .50872 L
.44889 .50867 L
.44751 .50674 L
.44701 .50609 L
.44609 .50482 L
.44508 .50371 L
.44416 .50289 L
.44325 .50096 L
.44316 .50084 L
.44187 .49904 L
.44123 .49818 L
.44047 .49711 L
.4393 .49568 L
.4388 .49518 L
.43769 .49326 L
.43737 .49284 L
.43633 .49133 L
.43545 .49014 L
.43494 .4894 L
.43354 .48747 L
.43352 .48745 L
.43224 .48555 L
.43159 .48467 L
.43089 .48362 L
.42967 .48191 L
.42952 .48169 L
.42826 .47977 L
.42774 .47905 L
.42699 .47784 L
.42581 .47613 L
.42569 .47591 L
F
1 .12 0 r
.42581 .4824 m
.42669 .48362 L
.42774 .48479 L
.42828 .48555 L
.42967 .48724 L
.42983 .48747 L
.42967 .48926 L
.4285 .48747 L
.42774 .48651 L
.42713 .48555 L
.42581 .48379 L
.42571 .48362 L
F
0 .82 1 r
.42581 .44015 m
.4275 .44123 L
.42774 .44144 L
.42928 .44316 L
.42967 .44358 L
.43084 .44508 L
.43159 .44599 L
.43233 .44701 L
.43352 .44855 L
.43379 .44894 L
.43515 .45086 L
.43545 .45128 L
.43639 .45279 L
.43737 .4543 L
.4376 .45472 L
.43737 .45642 L
.43551 .45472 L
.43545 .45465 L
.4338 .45279 L
.43352 .45248 L
.43221 .45086 L
.43159 .45009 L
.43071 .44894 L
.42967 .44793 L
.42928 .44701 L
.42796 .44508 L
.42774 .44475 L
.42675 .44316 L
.42581 .44142 L
.42573 .44123 L
F
0 .44 1 r
.42581 .47418 m
.42732 .47591 L
.42774 .47634 L
.42896 .47784 L
.42967 .47864 L
.43056 .47977 L
.43159 .481 L
.43214 .48169 L
.43352 .48333 L
.43368 .48362 L
.43518 .48555 L
.43545 .48588 L
.43666 .48747 L
.43737 .48836 L
.43816 .4894 L
.4393 .49072 L
.44013 .49133 L
.44111 .49326 L
.44123 .4934 L
.44255 .49518 L
.44316 .49595 L
.44401 .49711 L
.44508 .49836 L
.44586 .49904 L
.44691 .50096 L
.44701 .50109 L
.44832 .50289 L
.44894 .50369 L
.44976 .50482 L
.45086 .50616 L
.45147 .50674 L
.45261 .50867 L
.45279 .50891 L
.454 .5106 L
.45472 .51155 L
.45542 .51253 L
.45664 .5141 L
.45698 .51445 L
.45821 .51638 L
.45857 .51685 L
.45959 .51831 L
.4605 .51953 L
.461 .52023 L
.46239 .52216 L
.46242 .5222 L
.46372 .52409 L
.46435 .52494 L
.46509 .52601 L
.46628 .52766 L
.46647 .52794 L
.46777 .52987 L
.46821 .53046 L
.46908 .53179 L
.47013 .53328 L
.47041 .53372 L
.47166 .53565 L
.47206 .53622 L
.47283 .53758 L
.47399 .5394 L
.47403 .5395 L
.47399 .54025 L
.47326 .5395 L
.47206 .53837 L
.4714 .53758 L
.47013 .53617 L
.46972 .53565 L
.46821 .53393 L
.46811 .53372 L
.46658 .53179 L
.46628 .53144 L
.46506 .52987 L
.46435 .52901 L
.46354 .52794 L
.46242 .52682 L
.46202 .52601 L
.46053 .52409 L
.4605 .52405 L
.45908 .52216 L
.45857 .52152 L
.45761 .52023 L
.45664 .51928 L
.45614 .51831 L
.45472 .51645 L
.45466 .51638 L
.45326 .51445 L
.45279 .51385 L
.45182 .51253 L
.45086 .51154 L
.45037 .5106 L
.44894 .50868 L
.44893 .50867 L
.44754 .50674 L
.44701 .50606 L
.44612 .50482 L
.44508 .50367 L
.44421 .50289 L
.44328 .50096 L
.44316 .50081 L
.4419 .49904 L
.44123 .49814 L
.4405 .49711 L
.4393 .49563 L
.43885 .49518 L
.43772 .49326 L
.43737 .4928 L
.43635 .49133 L
.43545 .4901 L
.43496 .4894 L
.43358 .48747 L
.43352 .4874 L
.43227 .48555 L
.43159 .48462 L
.43093 .48362 L
.42967 .48186 L
.42956 .48169 L
.42831 .47977 L
.42774 .47897 L
.42705 .47784 L
.42581 .47603 L
.42575 .47591 L
F
1 .11 0 r
.42581 .48253 m
.42659 .48362 L
.42774 .48488 L
.42821 .48555 L
.42967 .48731 L
.42978 .48747 L
.42967 .48917 L
.42858 .48747 L
.42774 .48642 L
.4272 .48555 L
.42581 .48369 L
.42577 .48362 L
F
0 .83 1 r
.42581 .41602 m
.42619 .41618 L
.42774 .41747 L
.42829 .41811 L
.42967 .41969 L
.42993 .42003 L
.43136 .42196 L
.43159 .42227 L
.43259 .42389 L
.43159 .42461 L
.43098 .42389 L
.42967 .42237 L
.42937 .42196 L
.42796 .42003 L
.42774 .41973 L
.42679 .41811 L
.42581 .41631 L
.42578 .41618 L
F
1 .97 0 r
.42581 .43374 m
.42774 .43359 L
.42967 .43431 L
.43079 .43545 L
.43159 .4363 L
.4326 .43737 L
.43352 .43876 L
.43385 .4393 L
.43536 .44123 L
.43545 .44133 L
.43678 .44316 L
.43737 .44395 L
.43835 .44508 L
.4393 .4466 L
.43956 .44701 L
.44104 .44894 L
.44123 .44904 L
.44301 .45086 L
.44316 .45168 L
.44397 .45279 L
.44508 .45443 L
.44522 .45472 L
.44665 .45664 L
.44701 .45714 L
.44855 .45857 L
.44894 .45985 L
.44949 .4605 L
.45073 .46242 L
.45086 .46263 L
.45184 .46435 L
.45086 .46573 L
.44894 .4655 L
.44716 .46435 L
.44701 .46423 L
.44533 .46242 L
.44508 .46192 L
.44378 .4605 L
.44316 .45973 L
.44259 .45857 L
.44123 .45718 L
.44082 .45664 L
.43934 .45472 L
.4393 .45456 L
.43802 .45279 L
.43737 .45185 L
.43692 .45086 L
.43545 .44917 L
.43513 .44894 L
.43364 .44701 L
.43352 .44674 L
.4324 .44508 L
.43159 .44407 L
.43133 .44316 L
.42967 .44137 L
.42956 .44123 L
.42803 .4393 L
.42774 .43861 L
.42695 .43737 L
.42581 .43562 L
.42579 .43545 L
F
0 .18 1 r
.42581 .49084 m
.42593 .49133 L
.42581 .49135 L
.4258 .49133 L
F
0 .94 1 r
.42581 .37266 m
.42694 .37379 L
.42774 .37452 L
.42873 .37571 L
.42967 .37672 L
.43039 .37764 L
.43159 .37903 L
.43201 .37957 L
.43352 .38138 L
.43359 .38149 L
.43508 .38342 L
.43545 .38385 L
.43658 .38535 L
.43737 .38632 L
.43808 .38727 L
.4393 .3887 L
.43995 .3892 L
.44107 .39113 L
.44123 .39133 L
.44251 .39306 L
.44316 .39387 L
.44397 .39498 L
.44508 .39629 L
.44578 .39691 L
.44689 .39884 L
.44701 .39898 L
.44831 .40076 L
.44894 .40157 L
.44974 .40269 L
.45086 .40402 L
.45147 .40462 L
.45263 .40654 L
.45279 .40674 L
.45403 .40847 L
.45472 .40936 L
.45546 .4104 L
.45664 .41186 L
.45709 .41232 L
.45831 .41425 L
.45857 .41459 L
.4597 .41618 L
.4605 .41722 L
.46112 .41811 L
.46242 .41979 L
.46265 .42003 L
.46394 .42196 L
.46435 .4225 L
.46532 .42389 L
.46628 .42471 L
.46674 .42581 L
.46816 .42774 L
.46821 .4278 L
.46951 .42967 L
.47013 .43049 L
.47089 .43159 L
.47206 .43291 L
.47231 .43352 L
.47368 .43545 L
.47399 .43585 L
.47502 .43737 L
.47591 .43857 L
.47641 .4393 L
.47782 .44123 L
.47784 .44126 L
.47912 .44316 L
.47977 .44403 L
.48046 .44508 L
.48169 .44677 L
.48185 .44701 L
.48316 .44894 L
.48362 .44957 L
.48445 .45086 L
.48555 .45239 L
.4858 .45279 L
.48708 .45472 L
.48747 .45529 L
.48828 .45664 L
.4894 .45839 L
.48949 .45857 L
.4894 .46001 L
.48789 .45857 L
.48747 .45813 L
.48619 .45664 L
.48555 .45588 L
.48462 .45472 L
.48362 .45345 L
.48311 .45279 L
.48169 .45093 L
.48161 .45086 L
.4802 .44894 L
.47977 .44838 L
.47874 .44701 L
.47784 .44601 L
.47728 .44508 L
.47591 .44326 L
.47582 .44316 L
.47439 .44123 L
.47399 .44071 L
.47291 .4393 L
.47206 .43827 L
.47097 .43737 L
.47013 .43563 L
.46999 .43545 L
.46854 .43352 L
.46821 .43345 L
.46706 .43159 L
.46628 .43062 L
.46533 .42967 L
.46435 .42799 L
.46419 .42774 L
.46271 .42581 L
.46242 .42569 L
.46125 .42389 L
.4605 .42294 L
.45962 .42196 L
.45857 .42029 L
.45841 .42003 L
.45694 .41811 L
.45664 .41794 L
.4555 .41618 L
.45472 .41518 L
.45394 .41425 L
.45279 .4125 L
.45269 .41232 L
.45125 .4104 L
.45086 .41014 L
.44982 .40847 L
.44894 .40731 L
.44832 .40654 L
.44702 .40462 L
.44701 .4046 L
.44562 .40269 L
.44508 .40226 L
.44422 .40076 L
.44316 .39934 L
.44278 .39884 L
.44146 .39691 L
.44123 .3966 L
.44008 .39498 L
.4393 .39421 L
.43816 .39306 L
.43737 .3912 L
.43733 .39113 L
.436 .3892 L
.43545 .38844 L
.43464 .38727 L
.43352 .38584 L
.43308 .38535 L
.43199 .38342 L
.43159 .38286 L
.43069 .38149 L
.42967 .37999 L
.42938 .37957 L
.42817 .37764 L
.42774 .37701 L
.42698 .37571 L
.42581 .3738 L
.42581 .37379 L
F
0 .43 1 r
.42581 .47433 m
.42722 .47591 L
.42774 .47644 L
.42889 .47784 L
.42967 .47871 L
.43051 .47977 L
.43159 .48106 L
.43209 .48169 L
.43352 .4834 L
.43364 .48362 L
.43513 .48555 L
.43545 .48593 L
.43663 .48747 L
.43737 .48841 L
.43813 .4894 L
.4393 .49077 L
.44006 .49133 L
.44108 .49326 L
.44123 .49344 L
.44252 .49518 L
.44316 .49599 L
.44399 .49711 L
.44508 .4984 L
.44582 .49904 L
.44688 .50096 L
.44701 .50113 L
.4483 .50289 L
.44894 .50373 L
.44973 .50482 L
.45086 .5062 L
.45143 .50674 L
.45258 .50867 L
.45279 .50895 L
.45397 .5106 L
.45472 .51158 L
.45539 .51253 L
.45664 .51414 L
.45694 .51445 L
.45819 .51638 L
.45857 .51689 L
.45957 .51831 L
.4605 .51956 L
.46097 .52023 L
.46236 .52216 L
.46242 .52225 L
.46369 .52409 L
.46435 .52498 L
.46505 .52601 L
.46628 .52771 L
.46643 .52794 L
.46773 .52987 L
.46821 .53052 L
.46903 .53179 L
.47013 .53335 L
.47037 .53372 L
.47159 .53565 L
.47206 .53633 L
.47274 .53758 L
.47206 .53826 L
.47148 .53758 L
.47013 .53609 L
.46978 .53565 L
.46821 .53382 L
.46816 .53372 L
.46663 .53179 L
.46628 .53138 L
.46511 .52987 L
.46435 .52896 L
.46358 .52794 L
.46242 .52676 L
.46206 .52601 L
.46056 .52409 L
.4605 .52401 L
.45911 .52216 L
.45857 .52148 L
.45764 .52023 L
.45664 .51923 L
.45617 .51831 L
.45472 .5164 L
.45469 .51638 L
.45328 .51445 L
.45279 .51382 L
.45185 .51253 L
.45086 .5115 L
.4504 .5106 L
.44896 .50867 L
.44894 .50865 L
.44756 .50674 L
.44701 .50602 L
.44614 .50482 L
.44508 .50362 L
.44426 .50289 L
.4433 .50096 L
.44316 .50077 L
.44193 .49904 L
.44123 .49811 L
.44052 .49711 L
.4393 .49558 L
.4389 .49518 L
.43775 .49326 L
.43737 .49276 L
.43638 .49133 L
.43545 .49006 L
.43499 .4894 L
.43361 .48747 L
.43352 .48735 L
.43231 .48555 L
.43159 .48457 L
.43097 .48362 L
.42967 .4818 L
.4296 .48169 L
.42836 .47977 L
.42774 .47889 L
.42711 .47784 L
.42581 .47592 L
.42581 .47591 L
F
1 .96 0 r
.42774 .43384 m
.42967 .43457 L
.4306 .43545 L
.43159 .43646 L
.4325 .43737 L
.43352 .43887 L
.4338 .4393 L
.4353 .44123 L
.43545 .4414 L
.43673 .44316 L
.43737 .44401 L
.43831 .44508 L
.4393 .44665 L
.43954 .44701 L
.441 .44894 L
.44123 .44906 L
.44299 .45086 L
.44316 .45173 L
.44393 .45279 L
.44508 .45449 L
.44519 .45472 L
.4466 .45664 L
.44701 .45721 L
.4485 .45857 L
.44894 .45994 L
.44941 .4605 L
.45061 .46242 L
.45086 .46285 L
.4516 .46435 L
.45086 .46543 L
.44894 .46522 L
.44751 .46435 L
.44701 .46398 L
.4455 .46242 L
.44508 .46162 L
.44389 .4605 L
.44316 .4596 L
.44266 .45857 L
.44123 .45707 L
.4409 .45664 L
.43935 .45472 L
.4393 .45447 L
.43808 .45279 L
.43737 .45177 L
.43697 .45086 L
.43545 .44912 L
.43519 .44894 L
.43366 .44701 L
.43352 .44667 L
.43246 .44508 L
.43159 .44398 L
.43137 .44316 L
.42967 .44127 L
.42964 .44123 L
.42809 .4393 L
.42774 .43845 L
.42706 .43737 L
.42594 .43545 L
F
1 .95 0 r
.42774 .43409 m
.42967 .4348 L
.4304 .43545 L
.43159 .43662 L
.43239 .43737 L
.43352 .43897 L
.43374 .4393 L
.43524 .44123 L
.43545 .44147 L
.43668 .44316 L
.43737 .44406 L
.43827 .44508 L
.4393 .44669 L
.43951 .44701 L
.44096 .44894 L
.44123 .44909 L
.44297 .45086 L
.44316 .45178 L
.44389 .45279 L
.44508 .45456 L
.44516 .45472 L
.44655 .45664 L
.44701 .45729 L
.44845 .45857 L
.44894 .46004 L
.44933 .4605 L
.45049 .46242 L
.45086 .46311 L
.45134 .46435 L
.45086 .4651 L
.44894 .46495 L
.44786 .46435 L
.44701 .46376 L
.44568 .46242 L
.44508 .46137 L
.44399 .4605 L
.44316 .45947 L
.44273 .45857 L
.44123 .45697 L
.44098 .45664 L
.43937 .45472 L
.4393 .45437 L
.43813 .45279 L
.43737 .45169 L
.437 .45086 L
.43545 .44908 L
.43525 .44894 L
.43369 .44701 L
.43352 .44661 L
.43251 .44508 L
.43159 .4439 L
.4314 .44316 L
.42971 .44123 L
.42967 .44116 L
.42815 .4393 L
.42774 .43829 L
.42717 .43737 L
.42618 .43545 L
F
1 .94 0 r
.42774 .43433 m
.42967 .43501 L
.43018 .43545 L
.43159 .43676 L
.43227 .43737 L
.43352 .43907 L
.43367 .4393 L
.43518 .44123 L
.43545 .44153 L
.43663 .44316 L
.43737 .44412 L
.43823 .44508 L
.4393 .44674 L
.43948 .44701 L
.44092 .44894 L
.44123 .44911 L
.44295 .45086 L
.44316 .45184 L
.44385 .45279 L
.44508 .45462 L
.44513 .45472 L
.4465 .45664 L
.44701 .45736 L
.44839 .45857 L
.44894 .46014 L
.44924 .4605 L
.45036 .46242 L
.45086 .4635 L
.45104 .46435 L
.45086 .46468 L
.44894 .46469 L
.44826 .46435 L
.44701 .46355 L
.44585 .46242 L
.44508 .46116 L
.4441 .4605 L
.44316 .45934 L
.44279 .45857 L
.44123 .45686 L
.44106 .45664 L
.43939 .45472 L
.4393 .45429 L
.43819 .45279 L
.43737 .45162 L
.43704 .45086 L
.43545 .44903 L
.43531 .44894 L
.43371 .44701 L
.43352 .44654 L
.43257 .44508 L
.43159 .44382 L
.43143 .44316 L
.42979 .44123 L
.42967 .44105 L
.42821 .4393 L
.42774 .43812 L
.42729 .43737 L
.42643 .43545 L
F
1 .96 0 r
.42774 .4091 m
.4292 .4104 L
.42967 .41082 L
.43109 .41232 L
.43159 .41279 L
.43281 .41425 L
.43352 .41513 L
.43468 .41618 L
.43545 .41756 L
.43586 .41811 L
.43737 .41998 L
.43745 .42003 L
.4389 .42196 L
.4393 .42236 L
.44048 .42389 L
.44123 .4251 L
.44156 .42581 L
.44288 .42774 L
.44316 .42825 L
.44383 .42967 L
.44316 .43096 L
.44123 .43035 L
.44044 .42967 L
.4393 .42839 L
.43866 .42774 L
.43737 .42618 L
.43694 .42581 L
.43564 .42389 L
.43545 .42364 L
.43424 .42196 L
.43352 .421 L
.43284 .42003 L
.43159 .41844 L
.43135 .41811 L
.43012 .41618 L
.42967 .41553 L
.42884 .41425 L
.42774 .41261 L
.42757 .41232 L
.42652 .4104 L
F
1 .93 0 r
.42774 .43459 m
.42967 .43522 L
.42996 .43545 L
.43159 .43691 L
.43214 .43737 L
.43352 .43917 L
.43361 .4393 L
.43512 .44123 L
.43545 .4416 L
.43658 .44316 L
.43737 .44418 L
.43819 .44508 L
.4393 .44679 L
.43945 .44701 L
.44088 .44894 L
.44123 .44914 L
.44292 .45086 L
.44316 .45189 L
.44381 .45279 L
.44508 .45469 L
.4451 .45472 L
.44645 .45664 L
.44701 .45744 L
.44832 .45857 L
.44894 .46025 L
.44915 .4605 L
.45023 .46242 L
.45062 .46435 L
.44894 .46444 L
.44873 .46435 L
.44701 .46335 L
.44602 .46242 L
.44508 .46099 L
.4442 .4605 L
.44316 .45922 L
.44285 .45857 L
.44123 .45676 L
.44114 .45664 L
.4394 .45472 L
.4393 .4542 L
.43824 .45279 L
.43737 .45155 L
.43708 .45086 L
.43545 .44899 L
.43537 .44894 L
.43374 .44701 L
.43352 .44647 L
.43262 .44508 L
.43159 .44373 L
.43145 .44316 L
.42986 .44123 L
.42967 .44093 L
.42828 .4393 L
.42774 .43793 L
.42741 .43737 L
.4267 .43545 L
F
0 .81 1 r
.42774 .44165 m
.42913 .44316 L
.42967 .44373 L
.43073 .44508 L
.43159 .44612 L
.43224 .44701 L
.43352 .44867 L
.4337 .44894 L
.43503 .45086 L
.43545 .45144 L
.43627 .45279 L
.43737 .45456 L
.43745 .45472 L
.43737 .45605 L
.43575 .45472 L
.43545 .45445 L
.43395 .45279 L
.43352 .45231 L
.43234 .45086 L
.43159 .44994 L
.43083 .44894 L
.42967 .44767 L
.4294 .44701 L
.4281 .44508 L
.42774 .44454 L
.4269 .44316 L
F
1 .92 0 r
.42774 .43485 m
.42967 .43542 L
.42971 .43545 L
.43159 .43705 L
.43199 .43737 L
.43352 .43927 L
.43354 .4393 L
.43506 .44123 L
.43545 .44166 L
.43653 .44316 L
.43737 .44424 L
.43814 .44508 L
.4393 .44684 L
.43941 .44701 L
.44084 .44894 L
.44123 .44917 L
.44289 .45086 L
.44316 .45195 L
.44377 .45279 L
.44505 .45472 L
.44508 .45476 L
.44639 .45664 L
.44701 .45752 L
.44825 .45857 L
.44894 .46036 L
.44906 .4605 L
.45009 .46242 L
.44894 .46421 L
.44701 .46316 L
.4462 .46242 L
.44508 .46086 L
.44431 .4605 L
.44316 .4591 L
.44291 .45857 L
.44123 .45666 L
.44122 .45664 L
.43942 .45472 L
.4393 .45411 L
.43829 .45279 L
.43737 .45148 L
.43711 .45086 L
.43545 .44895 L
.43542 .44894 L
.43377 .44701 L
.43352 .4464 L
.43267 .44508 L
.43159 .44364 L
.43148 .44316 L
.42994 .44123 L
.42967 .44081 L
.42835 .4393 L
.42774 .43773 L
.42754 .43737 L
.42699 .43545 L
F
0 .8 1 r
.42774 .44189 m
.42896 .44316 L
.42967 .44389 L
.43061 .44508 L
.43159 .44626 L
.43214 .44701 L
.43352 .4488 L
.43361 .44894 L
.43491 .45086 L
.43545 .45163 L
.43613 .45279 L
.43545 .45422 L
.43412 .45279 L
.43352 .45213 L
.43248 .45086 L
.43159 .44977 L
.43095 .44894 L
.42967 .44737 L
.42953 .44701 L
.42824 .44508 L
.42774 .4443 L
.42708 .44316 L
F
1 .96 0 r
.42774 .36641 m
.42922 .36801 L
.42967 .36845 L
.43093 .36993 L
.43159 .37066 L
.43258 .37186 L
.43352 .37273 L
.43419 .37379 L
.43545 .37529 L
.43595 .37571 L
.4373 .37764 L
.43737 .37773 L
.4388 .37957 L
.4393 .38002 L
.44031 .38149 L
.44123 .38263 L
.44204 .38342 L
.44316 .38517 L
.44329 .38535 L
.44475 .38727 L
.44508 .38757 L
.44622 .3892 L
.44701 .39019 L
.44787 .39113 L
.44894 .3928 L
.44912 .39306 L
.45058 .39498 L
.45086 .39525 L
.45202 .39691 L
.45279 .39789 L
.45361 .39884 L
.45472 .40052 L
.45487 .40076 L
.45633 .40269 L
.45664 .40299 L
.45843 .40462 L
.45857 .40566 L
.45931 .40654 L
.4605 .40831 L
.46059 .40847 L
.46203 .4104 L
.46242 .41078 L
.46401 .41232 L
.46435 .41348 L
.46497 .41425 L
.46628 .41613 L
.4663 .41618 L
.46771 .41811 L
.46821 .41861 L
.46959 .42003 L
.47013 .42134 L
.47061 .42196 L
.47197 .42389 L
.47206 .424 L
.47336 .42581 L
.47399 .42647 L
.47517 .42774 L
.47591 .42922 L
.47624 .42967 L
.47761 .43159 L
.47784 .43189 L
.479 .43352 L
.47977 .43436 L
.48073 .43545 L
.48169 .43714 L
.48186 .43737 L
.48324 .4393 L
.48362 .43981 L
.48463 .44123 L
.48555 .44229 L
.48628 .44316 L
.48747 .44508 L
.48748 .44508 L
.48884 .44701 L
.4894 .44729 L
.49024 .44894 L
.49133 .45027 L
.49181 .45086 L
.49306 .45279 L
.49326 .45305 L
.49443 .45472 L
.49518 .45528 L
.49583 .45664 L
.49711 .45831 L
.49731 .45857 L
.49862 .4605 L
.49904 .46105 L
.49999 .46242 L
.50096 .46336 L
.50182 .46435 L
.50279 .46628 L
.50289 .46641 L
.50412 .46821 L
.50482 .46914 L
.50548 .47013 L
.50674 .47185 L
.50688 .47206 L
.50819 .47399 L
.50867 .47465 L
.50947 .47591 L
.5106 .47751 L
.5108 .47784 L
.51188 .47977 L
.5106 .47979 L
.51057 .47977 L
.50867 .47799 L
.50851 .47784 L
.50674 .47607 L
.50658 .47591 L
.50482 .47405 L
.50475 .47399 L
.50301 .47206 L
.50289 .47203 L
.50132 .47013 L
.50096 .46969 L
.4992 .46821 L
.49904 .46725 L
.49818 .46628 L
.49711 .46477 L
.4968 .46435 L
.49518 .46244 L
.49514 .46242 L
.49331 .4605 L
.49326 .45994 L
.49219 .45857 L
.49133 .45733 L
.49092 .45664 L
.4894 .4548 L
.4893 .45472 L
.48767 .45279 L
.48747 .45225 L
.48648 .45086 L
.48555 .4496 L
.48527 .44894 L
.48362 .44705 L
.48356 .44701 L
.48201 .44508 L
.48169 .44446 L
.48083 .44316 L
.47977 .44179 L
.47969 .44123 L
.47786 .4393 L
.47784 .43928 L
.47635 .43737 L
.47591 .43664 L
.47519 .43545 L
.47399 .43396 L
.47357 .43352 L
.47217 .43159 L
.47206 .43145 L
.4707 .42967 L
.47013 .42878 L
.46955 .42774 L
.46821 .42611 L
.46791 .42581 L
.46651 .42389 L
.46628 .42359 L
.46507 .42196 L
.46435 .42091 L
.46391 .42003 L
.46242 .41826 L
.46227 .41811 L
.46054 .41618 L
.4605 .4157 L
.45945 .41425 L
.45857 .413 L
.45828 .41232 L
.45666 .4104 L
.45664 .41039 L
.45492 .40847 L
.45472 .40778 L
.45386 .40654 L
.45279 .40506 L
.45264 .40462 L
.45107 .40269 L
.45086 .40252 L
.44935 .40076 L
.44894 .3998 L
.44829 .39884 L
.44701 .39707 L
.44697 .39691 L
.44552 .39498 L
.44508 .39458 L
.44383 .39306 L
.44316 .39175 L
.44276 .39113 L
.44138 .3892 L
.44123 .38899 L
.44002 .38727 L
.4393 .3865 L
.43842 .38535 L
.43737 .38355 L
.4373 .38342 L
.43597 .38149 L
.43545 .38076 L
.43463 .37957 L
.43352 .3781 L
.43319 .37764 L
.43201 .37571 L
.43159 .37511 L
.43073 .37379 L
.42967 .3722 L
.42944 .37186 L
.42826 .36993 L
.42774 .36912 L
.42712 .36801 L
F
0 .82 1 r
.42774 .41784 m
.42799 .41811 L
.42967 .41998 L
.42971 .42003 L
.4311 .42196 L
.43159 .42265 L
.43229 .42389 L
.43159 .42429 L
.43124 .42389 L
.42967 .42212 L
.42955 .42196 L
.42822 .42003 L
.42774 .41935 L
.42714 .41811 L
F
0 .42 1 r
.42774 .47653 m
.42881 .47784 L
.42967 .47878 L
.43045 .47977 L
.43159 .48112 L
.43204 .48169 L
.43352 .48348 L
.4336 .48362 L
.43509 .48555 L
.43545 .48598 L
.43659 .48747 L
.43737 .48845 L
.43809 .4894 L
.4393 .49082 L
.44 .49133 L
.44105 .49326 L
.44123 .49348 L
.44249 .49518 L
.44316 .49603 L
.44396 .49711 L
.44508 .49845 L
.44577 .49904 L
.44685 .50096 L
.44701 .50116 L
.44827 .50289 L
.44894 .50376 L
.44971 .50482 L
.45086 .50624 L
.45139 .50674 L
.45255 .50867 L
.45279 .50898 L
.45395 .5106 L
.45472 .51162 L
.45537 .51253 L
.45664 .51419 L
.45689 .51445 L
.45816 .51638 L
.45857 .51693 L
.45954 .51831 L
.4605 .5196 L
.46094 .52023 L
.46233 .52216 L
.46242 .52229 L
.46366 .52409 L
.46435 .52503 L
.46502 .52601 L
.46628 .52776 L
.4664 .52794 L
.46769 .52987 L
.46821 .53058 L
.46899 .53179 L
.47013 .53342 L
.47032 .53372 L
.47151 .53565 L
.47206 .53645 L
.47264 .53758 L
.47206 .53814 L
.47158 .53758 L
.47013 .536 L
.46985 .53565 L
.46821 .53372 L
.46821 .53371 L
.46669 .53179 L
.46628 .53133 L
.46515 .52987 L
.46435 .5289 L
.46362 .52794 L
.46242 .52669 L
.46209 .52601 L
.4606 .52409 L
.4605 .52396 L
.45915 .52216 L
.45857 .52144 L
.45767 .52023 L
.45664 .51918 L
.45619 .51831 L
.45473 .51638 L
.45472 .51636 L
.45331 .51445 L
.45279 .51378 L
.45187 .51253 L
.45086 .51146 L
.45042 .5106 L
.44898 .50867 L
.44894 .50861 L
.44759 .50674 L
.44701 .50599 L
.44617 .50482 L
.44508 .50358 L
.4443 .50289 L
.44333 .50096 L
.44316 .50073 L
.44195 .49904 L
.44123 .49807 L
.44055 .49711 L
.4393 .49553 L
.43895 .49518 L
.43778 .49326 L
.43737 .49272 L
.43641 .49133 L
.43545 .49002 L
.43502 .4894 L
.43365 .48747 L
.43352 .4873 L
.43235 .48555 L
.43159 .48452 L
.431 .48362 L
.42967 .48174 L
.42964 .48169 L
.42842 .47977 L
.42774 .47881 L
.42717 .47784 L
F
1 .78 0 r
.42774 .46821 m
.42945 .47013 L
.42967 .47036 L
.43111 .47206 L
.43159 .47261 L
.43273 .47399 L
.43352 .47461 L
.43433 .47591 L
.43545 .47726 L
.43614 .47784 L
.43737 .47972 L
.43742 .47977 L
.43894 .48169 L
.4393 .48198 L
.44045 .48362 L
.44123 .48459 L
.44217 .48555 L
.44316 .48714 L
.44339 .48747 L
.44491 .4894 L
.44508 .48955 L
.44639 .49133 L
.44701 .49212 L
.44801 .49326 L
.44894 .49473 L
.44923 .49518 L
.45076 .49711 L
.45086 .4972 L
.45221 .49904 L
.45279 .49979 L
.45376 .50096 L
.45472 .50242 L
.45499 .50289 L
.45652 .50482 L
.45664 .50493 L
.45796 .50674 L
.45857 .50754 L
.45946 .50867 L
.4605 .51019 L
.4607 .5106 L
.46224 .51253 L
.46242 .5127 L
.46416 .51445 L
.46435 .51535 L
.46513 .51638 L
.46628 .51802 L
.4664 .51831 L
.46791 .52023 L
.46821 .52052 L
.46975 .52216 L
.47013 .52321 L
.47077 .52409 L
.47206 .52589 L
.4721 .52601 L
.47356 .52794 L
.47399 .52838 L
.47532 .52987 L
.47591 .53112 L
.47638 .53179 L
.47778 .53372 L
.47784 .53381 L
.47917 .53565 L
.47977 .53629 L
.48086 .53758 L
.48169 .53909 L
.48197 .5395 L
.48336 .54143 L
.48362 .54179 L
.48474 .54336 L
.48555 .54429 L
.48636 .54528 L
.48747 .54713 L
.48753 .54721 L
.48888 .54914 L
.4894 .54985 L
.49026 .55106 L
.49133 .55242 L
.49177 .55299 L
.493 .55492 L
.49326 .55527 L
.49433 .55684 L
.49518 .55803 L
.49569 .55877 L
.49705 .5607 L
.49711 .56078 L
.49833 .56263 L
.49904 .56362 L
.49964 .56455 L
.50096 .56647 L
.50098 .56648 L
.50216 .56841 L
.50289 .5695 L
.50337 .57033 L
.50289 .57217 L
.50123 .57033 L
.50096 .57006 L
.49956 .56841 L
.49904 .56783 L
.49793 .56648 L
.49711 .56592 L
.49634 .56455 L
.49518 .5632 L
.49444 .56263 L
.49326 .56072 L
.49323 .5607 L
.49173 .55877 L
.49133 .55852 L
.49022 .55684 L
.4894 .55586 L
.4884 .55492 L
.48747 .55329 L
.48724 .55299 L
.48577 .55106 L
.48555 .55091 L
.4843 .54914 L
.48362 .5483 L
.48258 .54721 L
.48169 .54569 L
.4814 .54528 L
.47994 .54336 L
.47977 .54323 L
.47849 .54143 L
.47784 .54062 L
.47685 .5395 L
.47591 .53798 L
.47565 .53758 L
.47418 .53565 L
.47399 .5355 L
.47275 .53372 L
.47206 .53286 L
.47116 .53179 L
.47013 .53019 L
.46993 .52987 L
.46847 .52794 L
.46821 .52773 L
.46705 .52601 L
.46628 .52504 L
.46551 .52409 L
.46435 .52236 L
.46424 .52216 L
.4628 .52023 L
.46242 .51991 L
.46078 .51831 L
.4605 .51717 L
.45988 .51638 L
.45857 .51448 L
.45856 .51445 L
.45716 .51253 L
.45664 .51205 L
.45525 .5106 L
.45472 .50926 L
.45427 .50867 L
.45293 .50674 L
.45279 .50656 L
.45155 .50482 L
.45086 .50413 L
.44974 .50289 L
.44894 .50129 L
.4487 .50096 L
.44735 .49904 L
.44701 .49858 L
.44597 .49711 L
.44508 .49613 L
.44427 .49518 L
.44316 .49326 L
.44316 .49325 L
.44181 .49133 L
.44123 .49054 L
.44043 .4894 L
.4393 .48799 L
.43888 .48747 L
.43768 .48555 L
.43737 .48514 L
.43634 .48362 L
.43545 .4824 L
.43497 .48169 L
.4336 .47977 L
.43352 .47966 L
.43231 .47784 L
.43159 .47684 L
.43099 .47591 L
.42967 .47402 L
.42964 .47399 L
.42844 .47206 L
.42774 .47104 L
.42721 .47013 L
F
0 .41 1 r
.42774 .47664 m
.42874 .47784 L
.42967 .47886 L
.43039 .47977 L
.43159 .48118 L
.432 .48169 L
.43352 .48356 L
.43356 .48362 L
.43505 .48555 L
.43545 .48603 L
.43655 .48747 L
.43737 .4885 L
.43806 .4894 L
.4393 .49088 L
.43993 .49133 L
.44102 .49326 L
.44123 .49352 L
.44246 .49518 L
.44316 .49607 L
.44393 .49711 L
.44508 .49849 L
.44572 .49904 L
.44682 .50096 L
.44701 .5012 L
.44824 .50289 L
.44894 .5038 L
.44968 .50482 L
.45086 .50628 L
.45134 .50674 L
.45252 .50867 L
.45279 .50902 L
.45392 .5106 L
.45472 .51165 L
.45534 .51253 L
.45664 .51423 L
.45685 .51445 L
.45813 .51638 L
.45857 .51697 L
.45951 .51831 L
.4605 .51964 L
.46091 .52023 L
.46229 .52216 L
.46242 .52233 L
.46362 .52409 L
.46435 .52508 L
.46499 .52601 L
.46628 .52781 L
.46637 .52794 L
.46764 .52987 L
.46821 .53064 L
.46894 .53179 L
.47013 .5335 L
.47027 .53372 L
.47142 .53565 L
.47206 .53659 L
.47253 .53758 L
.47206 .53801 L
.47169 .53758 L
.47013 .53592 L
.46991 .53565 L
.46828 .53372 L
.46821 .53364 L
.46674 .53179 L
.46628 .53126 L
.4652 .52987 L
.46435 .52885 L
.46365 .52794 L
.46242 .52663 L
.46213 .52601 L
.46064 .52409 L
.4605 .52392 L
.45918 .52216 L
.45857 .5214 L
.4577 .52023 L
.45664 .51914 L
.45622 .51831 L
.45476 .51638 L
.45472 .51632 L
.45334 .51445 L
.45279 .51375 L
.4519 .51253 L
.45086 .51142 L
.45045 .5106 L
.44901 .50867 L
.44894 .50858 L
.44762 .50674 L
.44701 .50595 L
.44619 .50482 L
.44508 .50354 L
.44435 .50289 L
.44336 .50096 L
.44316 .5007 L
.44198 .49904 L
.44123 .49804 L
.44058 .49711 L
.4393 .49548 L
.439 .49518 L
.43781 .49326 L
.43737 .49268 L
.43644 .49133 L
.43545 .48998 L
.43505 .4894 L
.43369 .48747 L
.43352 .48725 L
.43239 .48555 L
.43159 .48446 L
.43104 .48362 L
.42968 .48169 L
.42967 .48168 L
.42848 .47977 L
.42774 .47871 L
.42723 .47784 L
F
1 .95 0 r
.42774 .41001 m
.42834 .4104 L
.42967 .41141 L
.4306 .41232 L
.43159 .4132 L
.43243 .41425 L
.43352 .41551 L
.43437 .41618 L
.43545 .41787 L
.43564 .41811 L
.43718 .42003 L
.43737 .42028 L
.43865 .42196 L
.4393 .42263 L
.44026 .42389 L
.44123 .42554 L
.44135 .42581 L
.44255 .42774 L
.44316 .42914 L
.4433 .42967 L
.44316 .43009 L
.44123 .42995 L
.44086 .42967 L
.4393 .42816 L
.43889 .42774 L
.43737 .42595 L
.43721 .42581 L
.43582 .42389 L
.43545 .42341 L
.43441 .42196 L
.43352 .42078 L
.433 .42003 L
.43161 .41811 L
.43159 .41808 L
.43035 .41618 L
.42967 .41518 L
.4291 .41425 L
.42793 .41232 L
.42774 .41198 L
.42725 .4104 L
F
0 .79 1 r
.42774 .44217 m
.42875 .44316 L
.42967 .44407 L
.43048 .44508 L
.43159 .4464 L
.43203 .44701 L
.43352 .44894 L
.43352 .44894 L
.43477 .45086 L
.43545 .45184 L
.43598 .45279 L
.43545 .45397 L
.43432 .45279 L
.43352 .45195 L
.43263 .45086 L
.43159 .4496 L
.43108 .44894 L
.42967 .44702 L
.42966 .44701 L
.4284 .44508 L
.42774 .44402 L
.42727 .44316 L
F
1 .1 0 r
.42774 .48498 m
.42814 .48555 L
.42967 .48739 L
.42973 .48747 L
.42967 .48908 L
.42866 .48747 L
.42774 .48632 L
.42727 .48555 L
F
0 .4 1 r
.42774 .47675 m
.42865 .47784 L
.42967 .47894 L
.43033 .47977 L
.43159 .48125 L
.43195 .48169 L
.43351 .48362 L
.43352 .48363 L
.435 .48555 L
.43545 .48608 L
.43651 .48747 L
.43737 .48854 L
.43803 .4894 L
.4393 .49093 L
.43985 .49133 L
.44098 .49326 L
.44123 .49356 L
.44243 .49518 L
.44316 .49611 L
.4439 .49711 L
.44508 .49854 L
.44567 .49904 L
.44679 .50096 L
.44701 .50124 L
.44821 .50289 L
.44894 .50383 L
.44965 .50482 L
.45086 .50633 L
.4513 .50674 L
.4525 .50867 L
.45279 .50905 L
.45389 .5106 L
.45472 .51169 L
.45531 .51253 L
.45664 .51428 L
.45681 .51445 L
.4581 .51638 L
.45857 .51701 L
.45948 .51831 L
.4605 .51968 L
.46088 .52023 L
.46226 .52216 L
.46242 .52238 L
.46359 .52409 L
.46435 .52513 L
.46495 .52601 L
.46628 .52786 L
.46633 .52794 L
.4676 .52987 L
.46821 .53071 L
.46889 .53179 L
.47013 .53358 L
.47022 .53372 L
.47133 .53565 L
.47206 .53677 L
.47239 .53758 L
.47206 .53784 L
.47182 .53758 L
.47013 .53583 L
.46999 .53565 L
.46835 .53372 L
.46821 .53356 L
.4668 .53179 L
.46628 .5312 L
.46524 .52987 L
.46435 .5288 L
.4637 .52794 L
.46242 .52656 L
.46216 .52601 L
.46068 .52409 L
.4605 .52387 L
.45921 .52216 L
.45857 .52136 L
.45773 .52023 L
.45664 .51909 L
.45625 .51831 L
.45479 .51638 L
.45472 .51629 L
.45337 .51445 L
.45279 .51371 L
.45193 .51253 L
.45086 .51137 L
.45047 .5106 L
.44904 .50867 L
.44894 .50854 L
.44764 .50674 L
.44701 .50592 L
.44622 .50482 L
.44508 .50349 L
.44441 .50289 L
.44339 .50096 L
.44316 .50066 L
.44201 .49904 L
.44123 .498 L
.4406 .49711 L
.4393 .49543 L
.43906 .49518 L
.43784 .49326 L
.43737 .49264 L
.43647 .49133 L
.43545 .48993 L
.43508 .4894 L
.43372 .48747 L
.43352 .4872 L
.43243 .48555 L
.43159 .48441 L
.43108 .48362 L
.42973 .48169 L
.42967 .4816 L
.42854 .47977 L
.42774 .47861 L
.4273 .47784 L
F
1 .77 0 r
.42774 .46843 m
.4293 .47013 L
.42967 .47051 L
.43099 .47206 L
.43159 .47273 L
.43264 .47399 L
.43352 .47471 L
.43424 .47591 L
.43545 .47736 L
.43603 .47784 L
.43735 .47977 L
.43737 .4798 L
.43887 .48169 L
.4393 .48203 L
.4404 .48362 L
.44123 .48466 L
.44212 .48555 L
.44316 .4872 L
.44336 .48747 L
.44486 .4894 L
.44508 .48958 L
.44634 .49133 L
.44701 .49218 L
.44797 .49326 L
.44894 .49477 L
.4492 .49518 L
.45072 .49711 L
.45086 .49724 L
.45217 .49904 L
.45279 .49983 L
.45373 .50096 L
.45472 .50246 L
.45497 .50289 L
.45649 .50482 L
.45664 .50496 L
.45793 .50674 L
.45857 .50758 L
.45943 .50867 L
.4605 .51023 L
.46069 .5106 L
.46221 .51253 L
.46242 .51273 L
.46415 .51445 L
.46435 .51539 L
.4651 .51638 L
.46628 .51805 L
.46639 .51831 L
.46789 .52023 L
.46821 .52054 L
.46973 .52216 L
.47013 .52325 L
.47074 .52409 L
.47206 .52592 L
.47209 .52601 L
.47353 .52794 L
.47399 .52841 L
.4753 .52987 L
.47591 .53116 L
.47636 .53179 L
.47775 .53372 L
.47784 .53384 L
.47914 .53565 L
.47977 .53633 L
.48083 .53758 L
.48169 .53913 L
.48195 .5395 L
.48332 .54143 L
.48362 .54183 L
.48471 .54336 L
.48555 .54433 L
.48632 .54528 L
.48747 .54718 L
.4875 .54721 L
.48885 .54914 L
.4894 .5499 L
.49022 .55106 L
.49133 .55248 L
.49172 .55299 L
.49295 .55492 L
.49326 .55534 L
.49429 .55684 L
.49518 .55809 L
.49565 .55877 L
.49699 .5607 L
.49711 .56087 L
.49827 .56263 L
.49904 .56372 L
.49958 .56455 L
.50088 .56648 L
.50096 .5666 L
.50205 .56841 L
.50289 .5697 L
.50324 .57033 L
.50289 .57193 L
.5014 .57033 L
.50096 .5699 L
.49968 .56841 L
.49904 .5677 L
.49803 .56648 L
.49711 .56581 L
.49642 .56455 L
.49518 .5631 L
.49456 .56263 L
.4933 .5607 L
.49326 .56064 L
.49179 .55877 L
.49133 .55847 L
.49028 .55684 L
.4894 .55579 L
.48845 .55492 L
.48747 .55323 L
.48728 .55299 L
.48581 .55106 L
.48555 .55088 L
.48434 .54914 L
.48362 .54825 L
.48262 .54721 L
.48169 .54564 L
.48143 .54528 L
.47997 .54336 L
.47977 .54321 L
.47853 .54143 L
.47784 .54058 L
.47688 .5395 L
.47591 .53794 L
.47567 .53758 L
.47421 .53565 L
.47399 .53548 L
.47278 .53372 L
.47206 .53283 L
.47119 .53179 L
.47013 .53016 L
.46995 .52987 L
.4685 .52794 L
.46821 .5277 L
.46708 .52601 L
.46628 .52501 L
.46553 .52409 L
.46435 .52233 L
.46426 .52216 L
.46282 .52023 L
.46242 .51989 L
.4608 .51831 L
.4605 .51714 L
.4599 .51638 L
.45857 .51445 L
.45857 .51445 L
.45718 .51253 L
.45664 .51203 L
.45527 .5106 L
.45472 .50923 L
.4543 .50867 L
.45295 .50674 L
.45279 .50653 L
.45157 .50482 L
.45086 .5041 L
.44977 .50289 L
.44894 .50126 L
.44872 .50096 L
.44738 .49904 L
.44701 .49855 L
.44599 .49711 L
.44508 .49609 L
.44431 .49518 L
.44319 .49326 L
.44316 .49321 L
.44184 .49133 L
.44123 .4905 L
.44047 .4894 L
.4393 .48793 L
.43893 .48747 L
.43772 .48555 L
.43737 .48508 L
.43638 .48362 L
.43545 .48234 L
.43501 .48169 L
.43366 .47977 L
.43352 .47958 L
.43237 .47784 L
.43159 .47675 L
.43105 .47591 L
.42972 .47399 L
.42967 .47391 L
.42854 .47206 L
.42774 .47088 L
.42732 .47013 L
F
1 .91 0 r
.42774 .43514 m
.42934 .43545 L
.42967 .4356 L
.43159 .43719 L
.43184 .43737 L
.43346 .4393 L
.43352 .43934 L
.43499 .44123 L
.43545 .44173 L
.43648 .44316 L
.43737 .4443 L
.4381 .44508 L
.4393 .44689 L
.43938 .44701 L
.4408 .44894 L
.44123 .4492 L
.44286 .45086 L
.44316 .45201 L
.44373 .45279 L
.44501 .45472 L
.44508 .45482 L
.44634 .45664 L
.44701 .4576 L
.44818 .45857 L
.44894 .46048 L
.44895 .4605 L
.44995 .46242 L
.44894 .46398 L
.44701 .46297 L
.44639 .46242 L
.44508 .46075 L
.44442 .4605 L
.44316 .45898 L
.44296 .45857 L
.44129 .45664 L
.44123 .45657 L
.43944 .45472 L
.4393 .45403 L
.43835 .45279 L
.43737 .45141 L
.43714 .45086 L
.43548 .44894 L
.43545 .44891 L
.43379 .44701 L
.43352 .44633 L
.43272 .44508 L
.43159 .44355 L
.4315 .44316 L
.43001 .44123 L
.42967 .44069 L
.42843 .4393 L
.42774 .4375 L
.42767 .43737 L
.42733 .43545 L
F
1 .09 0 r
.42774 .48509 m
.42806 .48555 L
.42967 .48747 L
.42967 .48747 L
.42967 .48898 L
.42875 .48747 L
.42774 .48621 L
.42736 .48555 L
F
0 .39 1 r
.42774 .47687 m
.42856 .47784 L
.42967 .47902 L
.43027 .47977 L
.43159 .48131 L
.43189 .48169 L
.43346 .48362 L
.43352 .48369 L
.43496 .48555 L
.43545 .48613 L
.43647 .48747 L
.43737 .48859 L
.43799 .4894 L
.4393 .49099 L
.43978 .49133 L
.44095 .49326 L
.44123 .4936 L
.4424 .49518 L
.44316 .49614 L
.44387 .49711 L
.44508 .49858 L
.44562 .49904 L
.44677 .50096 L
.44701 .50127 L
.44819 .50289 L
.44894 .50387 L
.44963 .50482 L
.45086 .50637 L
.45125 .50674 L
.45247 .50867 L
.45279 .50909 L
.45387 .5106 L
.45472 .51173 L
.45529 .51253 L
.45664 .51433 L
.45676 .51445 L
.45807 .51638 L
.45857 .51704 L
.45945 .51831 L
.4605 .51972 L
.46085 .52023 L
.46222 .52216 L
.46242 .52243 L
.46355 .52409 L
.46435 .52517 L
.46492 .52601 L
.46628 .52792 L
.4663 .52794 L
.46755 .52987 L
.46821 .53078 L
.46884 .53179 L
.47013 .53366 L
.47017 .53372 L
.47122 .53565 L
.47206 .53703 L
.47216 .53758 L
.47206 .53763 L
.472 .53758 L
.47013 .53573 L
.47007 .53565 L
.46843 .53372 L
.46821 .53348 L
.46686 .53179 L
.46628 .53114 L
.46529 .52987 L
.46435 .52874 L
.46374 .52794 L
.46242 .52648 L
.4622 .52601 L
.46071 .52409 L
.4605 .52382 L
.45925 .52216 L
.45857 .52131 L
.45777 .52023 L
.45664 .51903 L
.45628 .51831 L
.45482 .51638 L
.45472 .51625 L
.4534 .51445 L
.45279 .51367 L
.45195 .51253 L
.45086 .51133 L
.4505 .5106 L
.44907 .50867 L
.44894 .5085 L
.44767 .50674 L
.44701 .50588 L
.44625 .50482 L
.44508 .50344 L
.44446 .50289 L
.44342 .50096 L
.44316 .50062 L
.44204 .49904 L
.44123 .49796 L
.44063 .49711 L
.4393 .49537 L
.43911 .49518 L
.43787 .49326 L
.43737 .4926 L
.43651 .49133 L
.43545 .48989 L
.43511 .4894 L
.43376 .48747 L
.43352 .48715 L
.43247 .48555 L
.43159 .48435 L
.43112 .48362 L
.42979 .48169 L
.42967 .48153 L
.42861 .47977 L
.42774 .4785 L
.42738 .47784 L
F
1 .76 0 r
.42774 .46867 m
.42912 .47013 L
.42967 .47068 L
.43087 .47206 L
.43159 .47286 L
.43254 .47399 L
.43352 .47483 L
.43416 .47591 L
.43545 .47746 L
.43592 .47784 L
.43728 .47977 L
.43737 .47988 L
.43881 .48169 L
.4393 .48209 L
.44034 .48362 L
.44123 .48472 L
.44207 .48555 L
.44316 .48726 L
.44331 .48747 L
.44482 .4894 L
.44508 .48962 L
.4463 .49133 L
.44701 .49223 L
.44793 .49326 L
.44894 .49482 L
.44917 .49518 L
.45068 .49711 L
.45086 .49727 L
.45214 .49904 L
.45279 .49988 L
.4537 .50096 L
.45472 .5025 L
.45494 .50289 L
.45646 .50482 L
.45664 .50498 L
.4579 .50674 L
.45857 .50761 L
.45941 .50867 L
.4605 .51026 L
.46067 .5106 L
.46218 .51253 L
.46242 .51275 L
.46413 .51445 L
.46435 .51542 L
.46508 .51638 L
.46628 .51808 L
.46638 .51831 L
.46786 .52023 L
.46821 .52057 L
.46971 .52216 L
.47013 .52328 L
.47072 .52409 L
.47206 .52595 L
.47208 .52601 L
.47351 .52794 L
.47399 .52843 L
.47528 .52987 L
.47591 .53119 L
.47633 .53179 L
.47772 .53372 L
.47784 .53388 L
.47911 .53565 L
.47977 .53636 L
.48081 .53758 L
.48169 .53917 L
.48192 .5395 L
.48329 .54143 L
.48362 .54187 L
.48468 .54336 L
.48555 .54438 L
.48628 .54528 L
.48746 .54721 L
.48747 .54723 L
.48881 .54914 L
.4894 .54995 L
.49018 .55106 L
.49133 .55255 L
.49167 .55299 L
.49291 .55492 L
.49326 .5554 L
.49424 .55684 L
.49518 .55816 L
.4956 .55877 L
.49693 .5607 L
.49711 .56095 L
.4982 .56263 L
.49904 .56382 L
.4995 .56455 L
.50078 .56648 L
.50096 .56675 L
.50193 .56841 L
.50289 .56993 L
.5031 .57033 L
.50289 .57164 L
.5016 .57033 L
.50096 .56972 L
.49982 .56841 L
.49904 .56756 L
.49813 .56648 L
.49711 .56569 L
.4965 .56455 L
.49518 .56299 L
.49468 .56263 L
.49337 .5607 L
.49326 .56056 L
.49185 .55877 L
.49133 .55843 L
.49033 .55684 L
.4894 .55573 L
.48851 .55492 L
.48747 .55317 L
.48733 .55299 L
.48586 .55106 L
.48555 .55085 L
.48438 .54914 L
.48362 .5482 L
.48266 .54721 L
.48169 .5456 L
.48146 .54528 L
.48 .54336 L
.47977 .54318 L
.47856 .54143 L
.47784 .54054 L
.47691 .5395 L
.47591 .5379 L
.47569 .53758 L
.47423 .53565 L
.47399 .53546 L
.4728 .53372 L
.47206 .53279 L
.47121 .53179 L
.47013 .53013 L
.46997 .52987 L
.46852 .52794 L
.46821 .52768 L
.4671 .52601 L
.46628 .52498 L
.46555 .52409 L
.46435 .5223 L
.46427 .52216 L
.46285 .52023 L
.46242 .51987 L
.46082 .51831 L
.4605 .51711 L
.45992 .51638 L
.45859 .51445 L
.45857 .51442 L
.4572 .51253 L
.45664 .512 L
.45529 .5106 L
.45472 .5092 L
.45432 .50867 L
.45298 .50674 L
.45279 .50649 L
.45159 .50482 L
.45086 .50407 L
.4498 .50289 L
.44894 .50122 L
.44875 .50096 L
.4474 .49904 L
.44701 .49851 L
.44602 .49711 L
.44508 .49604 L
.44435 .49518 L
.44322 .49326 L
.44316 .49317 L
.44188 .49133 L
.44123 .49045 L
.4405 .4894 L
.4393 .48787 L
.43898 .48747 L
.43776 .48555 L
.43737 .48502 L
.43642 .48362 L
.43545 .48227 L
.43506 .48169 L
.43371 .47977 L
.43352 .4795 L
.43243 .47784 L
.43159 .47666 L
.43112 .47591 L
.42981 .47399 L
.42967 .47378 L
.42864 .47206 L
.42774 .47068 L
.42744 .47013 L
F
1 .08 0 r
.42774 .48521 m
.42797 .48555 L
.42774 .48607 L
.42746 .48555 L
F
0 .38 1 r
.42774 .47701 m
.42845 .47784 L
.42967 .47911 L
.4302 .47977 L
.43159 .48138 L
.43184 .48169 L
.43341 .48362 L
.43352 .48375 L
.43491 .48555 L
.43545 .48618 L
.43643 .48747 L
.43737 .48864 L
.43795 .4894 L
.4393 .49104 L
.4397 .49133 L
.44091 .49326 L
.44123 .49365 L
.44237 .49518 L
.44316 .49618 L
.44384 .49711 L
.44508 .49863 L
.44556 .49904 L
.44674 .50096 L
.44701 .50131 L
.44816 .50289 L
.44894 .5039 L
.4496 .50482 L
.45086 .50642 L
.4512 .50674 L
.45244 .50867 L
.45279 .50913 L
.45384 .5106 L
.45472 .51176 L
.45526 .51253 L
.45664 .51438 L
.45671 .51445 L
.45804 .51638 L
.45857 .51709 L
.45942 .51831 L
.4605 .51976 L
.46083 .52023 L
.46219 .52216 L
.46242 .52247 L
.46352 .52409 L
.46435 .52522 L
.46488 .52601 L
.46625 .52794 L
.46628 .52797 L
.4675 .52987 L
.46821 .53085 L
.46879 .53179 L
.46821 .5334 L
.46692 .53179 L
.46628 .53107 L
.46534 .52987 L
.46435 .52869 L
.46378 .52794 L
.46242 .52641 L
.46224 .52601 L
.46075 .52409 L
.4605 .52378 L
.45928 .52216 L
.45857 .52127 L
.4578 .52023 L
.45664 .51898 L
.45631 .51831 L
.45485 .51638 L
.45472 .51621 L
.45343 .51445 L
.45279 .51363 L
.45198 .51253 L
.45086 .51128 L
.45052 .5106 L
.4491 .50867 L
.44894 .50847 L
.4477 .50674 L
.44701 .50585 L
.44627 .50482 L
.44508 .50339 L
.44451 .50289 L
.44345 .50096 L
.44316 .50059 L
.44206 .49904 L
.44123 .49793 L
.44066 .49711 L
.4393 .49531 L
.43917 .49518 L
.4379 .49326 L
.43737 .49255 L
.43654 .49133 L
.43545 .48985 L
.43515 .4894 L
.4338 .48747 L
.43352 .48709 L
.43251 .48555 L
.43159 .48429 L
.43116 .48362 L
.42985 .48169 L
.42967 .48144 L
.42868 .47977 L
.42774 .47838 L
.42746 .47784 L
F
0 .98 1 r
.42774 .3588 m
.42941 .3603 L
.42967 .36052 L
.43127 .36222 L
.43159 .36256 L
.43299 .36415 L
.43352 .36445 L
.43466 .36608 L
.43545 .36697 L
.43628 .36801 L
.43737 .36939 L
.43791 .36993 L
.4393 .37178 L
.43936 .37186 L
.44091 .37379 L
.44123 .37417 L
.4429 .37571 L
.44316 .3767 L
.44393 .37764 L
.44508 .37925 L
.44524 .37957 L
.44687 .38149 L
.44701 .38167 L
.44863 .38342 L
.44894 .38426 L
.44977 .38535 L
.45086 .38689 L
.451 .38727 L
.45269 .3892 L
.45279 .38933 L
.45434 .39113 L
.45472 .39197 L
.4555 .39306 L
.45664 .39463 L
.45671 .39498 L
.45843 .39691 L
.45857 .39709 L
.46003 .39884 L
.4605 .39975 L
.4612 .40076 L
.46242 .40241 L
.46272 .40269 L
.46412 .40462 L
.46435 .40491 L
.4657 .40654 L
.46628 .40758 L
.46686 .40847 L
.46821 .41022 L
.46839 .4104 L
.4698 .41232 L
.47013 .41275 L
.47134 .41425 L
.47206 .41543 L
.47252 .41618 L
.47399 .41804 L
.47406 .41811 L
.47546 .42003 L
.47591 .42061 L
.47698 .42196 L
.47784 .4233 L
.47817 .42389 L
.47971 .42581 L
.47977 .42587 L
.48156 .42774 L
.48169 .42849 L
.48261 .42967 L
.48362 .43117 L
.48383 .43159 L
.48535 .43352 L
.48555 .43371 L
.48718 .43545 L
.48747 .43637 L
.48823 .43737 L
.4894 .43905 L
.4895 .4393 L
.49099 .44123 L
.49133 .44156 L
.49278 .44316 L
.49326 .44426 L
.49385 .44508 L
.49518 .44694 L
.4952 .44701 L
.49662 .44894 L
.49711 .44943 L
.49837 .45086 L
.49904 .45217 L
.49947 .45279 L
.50086 .45472 L
.50096 .45485 L
.50225 .45664 L
.50289 .45732 L
.50395 .45857 L
.50482 .46008 L
.5051 .4605 L
.50649 .46242 L
.50674 .46277 L
.50788 .46435 L
.50867 .46523 L
.50952 .46628 L
.5106 .46801 L
.51072 .46821 L
.5121 .47013 L
.51253 .47069 L
.5135 .47206 L
.51445 .47316 L
.5151 .47399 L
.51635 .47591 L
.51638 .47596 L
.51771 .47784 L
.51831 .47862 L
.51911 .47977 L
.52023 .48112 L
.52067 .48169 L
.52194 .48362 L
.52216 .48391 L
.52331 .48555 L
.52409 .48658 L
.52472 .48747 L
.52601 .48914 L
.52621 .4894 L
.52752 .49133 L
.52794 .49189 L
.52889 .49326 L
.52987 .49456 L
.53077 .49518 L
.53171 .49711 L
.53179 .49722 L
.53305 .49904 L
.53372 .49993 L
.53443 .50096 L
.53565 .50253 L
.53596 .50289 L
.53721 .50482 L
.53758 .50519 L
.53857 .50674 L
.5395 .50797 L
.54009 .50867 L
.54137 .5106 L
.54143 .51068 L
.54298 .51253 L
.54336 .51335 L
.54419 .51445 L
.54528 .51602 L
.54552 .51638 L
.54705 .51831 L
.54721 .51867 L
.54836 .52023 L
.54914 .52135 L
.54966 .52216 L
.55106 .52405 L
.55108 .52409 L
.55254 .52601 L
.55299 .52646 L
.55379 .52794 L
.55492 .52967 L
.55503 .52987 L
.55603 .53179 L
.55492 .53283 L
.55299 .53258 L
.55172 .53179 L
.55106 .53122 L
.54992 .52987 L
.54914 .52872 L
.54839 .52794 L
.54721 .52639 L
.54679 .52601 L
.54547 .52409 L
.54528 .52384 L
.54408 .52216 L
.54336 .52147 L
.54218 .52023 L
.54143 .51864 L
.54118 .51831 L
.53986 .51638 L
.5395 .5159 L
.53849 .51445 L
.53758 .51347 L
.53689 .51253 L
.53572 .5106 L
.53565 .5105 L
.53441 .50867 L
.53372 .50783 L
.53297 .50674 L
.53181 .50482 L
.53179 .50479 L
.53047 .50289 L
.52987 .50179 L
.52952 .50096 L
.52806 .49904 L
.52794 .49886 L
.52667 .49711 L
.52601 .49593 L
.52525 .49518 L
.52409 .49356 L
.52384 .49326 L
.52253 .49133 L
.52216 .49087 L
.52084 .4894 L
.52023 .48859 L
.51932 .48747 L
.51831 .4861 L
.51785 .48555 L
.51642 .48362 L
.51638 .48355 L
.51533 .48169 L
.51445 .48108 L
.51342 .47977 L
.51253 .47853 L
.51198 .47784 L
.5106 .47594 L
.51058 .47591 L
.50928 .47399 L
.50867 .47316 L
.50766 .47206 L
.50674 .47079 L
.50624 .47013 L
.50484 .46821 L
.50482 .46816 L
.50355 .46628 L
.50289 .46541 L
.50257 .46435 L
.50096 .4626 L
.50056 .46242 L
.49915 .4605 L
.49904 .4603 L
.4979 .45857 L
.49711 .45756 L
.4963 .45664 L
.49518 .45482 L
.4949 .45472 L
.49348 .45279 L
.49326 .45242 L
.49229 .45086 L
.49133 .44968 L
.49065 .44894 L
.4894 .44704 L
.48926 .44701 L
.48784 .44508 L
.48747 .44453 L
.48668 .44316 L
.48555 .4418 L
.485 .44123 L
.48362 .4393 L
.48362 .4393 L
.48221 .43737 L
.48169 .43663 L
.48108 .43545 L
.47977 .43392 L
.47937 .43352 L
.47787 .43159 L
.47784 .43141 L
.47659 .42967 L
.47591 .42873 L
.47548 .42774 L
.47399 .42606 L
.47374 .42581 L
.47219 .42389 L
.47206 .42352 L
.47097 .42196 L
.47013 .42083 L
.46986 .42003 L
.46821 .41819 L
.46812 .41811 L
.46653 .41618 L
.46628 .41562 L
.46536 .41425 L
.46435 .41292 L
.46423 .41232 L
.4625 .4104 L
.46242 .41033 L
.46091 .40847 L
.4605 .4077 L
.45976 .40654 L
.45857 .405 L
.45856 .40462 L
.45689 .40269 L
.45664 .40246 L
.45531 .40076 L
.45472 .39976 L
.45416 .39884 L
.45279 .39705 L
.45269 .39691 L
.4513 .39498 L
.45086 .39455 L
.44974 .39306 L
.44894 .39178 L
.44858 .39113 L
.44712 .3892 L
.44701 .38905 L
.44574 .38727 L
.44508 .38657 L
.44421 .38535 L
.44316 .38372 L
.443 .38342 L
.44161 .38149 L
.44123 .38097 L
.43957 .37957 L
.4393 .37844 L
.43876 .37764 L
.43751 .37571 L
.43737 .37553 L
.43619 .37379 L
.43545 .37274 L
.43435 .37186 L
.43352 .36997 L
.4335 .36993 L
.43224 .36801 L
.43159 .36706 L
.43097 .36608 L
.4297 .36415 L
.42967 .36411 L
.42859 .36222 L
.42774 .3608 L
.42749 .3603 L
F
0 .78 1 r
.42774 .44255 m
.42848 .44316 L
.42967 .44426 L
.43033 .44508 L
.43159 .44656 L
.43192 .44701 L
.43338 .44894 L
.43352 .44913 L
.43462 .45086 L
.43545 .4521 L
.4358 .45279 L
.43545 .45367 L
.43455 .45279 L
.43352 .45174 L
.43279 .45086 L
.43159 .44941 L
.43123 .44894 L
.42982 .44701 L
.42967 .4468 L
.42858 .44508 L
.42774 .44365 L
.42751 .44316 L
F
0 .37 1 r
.42774 .47718 m
.42833 .47784 L
.42967 .4792 L
.43013 .47977 L
.43159 .48145 L
.43179 .48169 L
.43335 .48362 L
.43352 .48381 L
.43487 .48555 L
.43545 .48624 L
.43639 .48747 L
.43737 .48869 L
.43792 .4894 L
.4393 .4911 L
.43962 .49133 L
.44088 .49326 L
.44123 .49369 L
.44234 .49518 L
.44316 .49622 L
.44381 .49711 L
.44508 .49868 L
.4455 .49904 L
.44671 .50096 L
.44701 .50135 L
.44813 .50289 L
.44894 .50394 L
.44957 .50482 L
.45086 .50646 L
.45116 .50674 L
.45241 .50867 L
.45279 .50917 L
.45381 .5106 L
.45472 .5118 L
.45523 .51253 L
.45664 .51443 L
.45666 .51445 L
.45801 .51638 L
.45857 .51713 L
.45939 .51831 L
.4605 .51981 L
.4608 .52023 L
.46215 .52216 L
.46242 .52252 L
.46348 .52409 L
.46435 .52528 L
.46485 .52601 L
.46621 .52794 L
.46628 .52804 L
.46745 .52987 L
.46821 .53093 L
.46874 .53179 L
.46821 .53331 L
.46699 .53179 L
.46628 .53101 L
.46539 .52987 L
.46435 .52863 L
.46382 .52794 L
.46242 .52633 L
.46228 .52601 L
.46079 .52409 L
.4605 .52373 L
.45932 .52216 L
.45857 .52123 L
.45783 .52023 L
.45664 .51892 L
.45634 .51831 L
.45489 .51638 L
.45472 .51617 L
.45346 .51445 L
.45279 .5136 L
.45201 .51253 L
.45086 .51123 L
.45055 .5106 L
.44913 .50867 L
.44894 .50843 L
.44772 .50674 L
.44701 .50581 L
.4463 .50482 L
.44508 .50335 L
.44457 .50289 L
.44347 .50096 L
.44316 .50055 L
.44209 .49904 L
.44123 .49789 L
.44068 .49711 L
.4393 .49526 L
.43923 .49518 L
.43793 .49326 L
.43737 .49251 L
.43657 .49133 L
.43545 .4898 L
.43518 .4894 L
.43385 .48747 L
.43352 .48704 L
.43255 .48555 L
.43159 .48423 L
.43121 .48362 L
.42991 .48169 L
.42967 .48135 L
.42876 .47977 L
.42774 .47823 L
.42755 .47784 L
F
1 .75 0 r
.42774 .46897 m
.42891 .47013 L
.42967 .47085 L
.43073 .47206 L
.43159 .473 L
.43243 .47399 L
.43352 .47495 L
.43407 .47591 L
.43545 .47756 L
.4358 .47784 L
.43721 .47977 L
.43737 .47996 L
.43875 .48169 L
.4393 .48214 L
.44028 .48362 L
.44123 .48479 L
.44201 .48555 L
.44316 .48731 L
.44327 .48747 L
.44477 .4894 L
.44508 .48966 L
.44626 .49133 L
.44701 .49228 L
.44789 .49326 L
.44894 .49487 L
.44914 .49518 L
.45065 .49711 L
.45086 .4973 L
.45211 .49904 L
.45279 .49992 L
.45367 .50096 L
.45472 .50254 L
.45492 .50289 L
.45643 .50482 L
.45664 .50501 L
.45787 .50674 L
.45857 .50765 L
.45938 .50867 L
.4605 .5103 L
.46065 .5106 L
.46216 .51253 L
.46242 .51278 L
.46412 .51445 L
.46435 .51545 L
.46506 .51638 L
.46628 .51811 L
.46636 .51831 L
.46784 .52023 L
.46821 .5206 L
.46969 .52216 L
.47013 .52331 L
.4707 .52409 L
.47206 .52598 L
.47207 .52601 L
.47348 .52794 L
.47399 .52846 L
.47525 .52987 L
.47591 .53123 L
.47631 .53179 L
.4777 .53372 L
.47784 .53391 L
.47909 .53565 L
.47977 .53639 L
.48078 .53758 L
.48169 .53921 L
.48189 .5395 L
.48326 .54143 L
.48362 .54191 L
.48465 .54336 L
.48555 .54442 L
.48625 .54528 L
.48743 .54721 L
.48747 .54728 L
.48877 .54914 L
.4894 .55 L
.49015 .55106 L
.49133 .55262 L
.49162 .55299 L
.49286 .55492 L
.49326 .55546 L
.49419 .55684 L
.49518 .55823 L
.49555 .55877 L
.49686 .5607 L
.49711 .56104 L
.49813 .56263 L
.49904 .56393 L
.49943 .56455 L
.50067 .56648 L
.50096 .56691 L
.50179 .56841 L
.50289 .57024 L
.50293 .57033 L
.50289 .57123 L
.50187 .57033 L
.50096 .56954 L
.49996 .56841 L
.49904 .56743 L
.49824 .56648 L
.49711 .56555 L
.49659 .56455 L
.49518 .56289 L
.49482 .56263 L
.49345 .5607 L
.49326 .56047 L
.49192 .55877 L
.49133 .55837 L
.49039 .55684 L
.4894 .55566 L
.48858 .55492 L
.48747 .55312 L
.48737 .55299 L
.4859 .55106 L
.48555 .55082 L
.48442 .54914 L
.48362 .54816 L
.4827 .54721 L
.48169 .54555 L
.4815 .54528 L
.48004 .54336 L
.47977 .54316 L
.47859 .54143 L
.47784 .5405 L
.47694 .5395 L
.47591 .53786 L
.47572 .53758 L
.47426 .53565 L
.47399 .53543 L
.47283 .53372 L
.47206 .53276 L
.47124 .53179 L
.47013 .5301 L
.46999 .52987 L
.46855 .52794 L
.46821 .52766 L
.46712 .52601 L
.46628 .52495 L
.46558 .52409 L
.46435 .52227 L
.46429 .52216 L
.46287 .52023 L
.46242 .51984 L
.46083 .51831 L
.4605 .51708 L
.45995 .51638 L
.45862 .51445 L
.45857 .51439 L
.45723 .51253 L
.45664 .51197 L
.45532 .5106 L
.45472 .50916 L
.45435 .50867 L
.453 .50674 L
.45279 .50646 L
.45162 .50482 L
.45086 .50404 L
.44983 .50289 L
.44894 .50118 L
.44878 .50096 L
.44743 .49904 L
.44701 .49847 L
.44605 .49711 L
.44508 .496 L
.44439 .49518 L
.44326 .49326 L
.44316 .49312 L
.44191 .49133 L
.44123 .49041 L
.44053 .4894 L
.4393 .4878 L
.43904 .48747 L
.4378 .48555 L
.43737 .48497 L
.43647 .48362 L
.43545 .48221 L
.4351 .48169 L
.43377 .47977 L
.43352 .47942 L
.4325 .47784 L
.43159 .47656 L
.43118 .47591 L
.42991 .47399 L
.42967 .47364 L
.42876 .47206 L
.42774 .47045 L
.42758 .47013 L
F
1 .07 0 r
.42774 .48538 m
.42785 .48555 L
.42774 .48588 L
.42759 .48555 L
F
0 .36 1 r
.42774 .47742 m
.42815 .47784 L
.42967 .47929 L
.43005 .47977 L
.43159 .48152 L
.43173 .48169 L
.43329 .48362 L
.43352 .48388 L
.43482 .48555 L
.43545 .48629 L
.43635 .48747 L
.43737 .48874 L
.43788 .4894 L
.4393 .49117 L
.43953 .49133 L
.44084 .49326 L
.44123 .49373 L
.44231 .49518 L
.44316 .49626 L
.44378 .49711 L
.44508 .49873 L
.44545 .49904 L
.44667 .50096 L
.44701 .50139 L
.4481 .50289 L
.44894 .50398 L
.44955 .50482 L
.45086 .50651 L
.45111 .50674 L
.45238 .50867 L
.45279 .5092 L
.45378 .5106 L
.45472 .51184 L
.45521 .51253 L
.45663 .51445 L
.45664 .51448 L
.45798 .51638 L
.45857 .51717 L
.45936 .51831 L
.4605 .51985 L
.46077 .52023 L
.46212 .52216 L
.46242 .52257 L
.46344 .52409 L
.46435 .52533 L
.46481 .52601 L
.46616 .52794 L
.46628 .5281 L
.46739 .52987 L
.46821 .53101 L
.46868 .53179 L
.46821 .53322 L
.46705 .53179 L
.46628 .53094 L
.46544 .52987 L
.46435 .52857 L
.46386 .52794 L
.46242 .52625 L
.46231 .52601 L
.46084 .52409 L
.4605 .52368 L
.45936 .52216 L
.45857 .52118 L
.45786 .52023 L
.45664 .51887 L
.45637 .51831 L
.45492 .51638 L
.45472 .51613 L
.45349 .51445 L
.45279 .51356 L
.45204 .51253 L
.45086 .51118 L
.45058 .5106 L
.44916 .50867 L
.44894 .50839 L
.44775 .50674 L
.44701 .50577 L
.44632 .50482 L
.44508 .50329 L
.44462 .50289 L
.4435 .50096 L
.44316 .50051 L
.44212 .49904 L
.44123 .49785 L
.44071 .49711 L
.4393 .4952 L
.43929 .49518 L
.43797 .49326 L
.43737 .49247 L
.4366 .49133 L
.43545 .48975 L
.43521 .4894 L
.43389 .48747 L
.43352 .48698 L
.43259 .48555 L
.43159 .48416 L
.43125 .48362 L
.42998 .48169 L
.42967 .48125 L
.42885 .47977 L
.42774 .47803 L
.42766 .47784 L
F
1 .9 0 r
.42967 .43578 m
.43159 .43732 L
.43166 .43737 L
.43338 .4393 L
.43352 .4394 L
.43493 .44123 L
.43545 .44179 L
.43643 .44316 L
.43737 .44436 L
.43805 .44508 L
.4393 .44694 L
.43935 .44701 L
.44076 .44894 L
.44123 .44924 L
.44283 .45086 L
.44316 .45207 L
.44368 .45279 L
.44496 .45472 L
.44508 .45489 L
.44629 .45664 L
.44701 .45768 L
.44809 .45857 L
.44886 .4605 L
.44894 .46063 L
.44979 .46242 L
.44894 .46375 L
.44701 .46278 L
.44658 .46242 L
.44508 .46067 L
.44453 .4605 L
.44316 .45886 L
.44301 .45857 L
.44136 .45664 L
.44123 .45648 L
.43946 .45472 L
.4393 .45395 L
.4384 .45279 L
.43737 .45134 L
.43717 .45086 L
.43553 .44894 L
.43545 .44888 L
.43382 .44701 L
.43352 .44626 L
.43277 .44508 L
.43159 .44346 L
.43152 .44316 L
.43009 .44123 L
.42967 .44056 L
.42852 .4393 L
.42782 .43737 L
F
1 .89 0 r
.42967 .43596 m
.43151 .43737 L
.43159 .43745 L
.43329 .4393 L
.43352 .43946 L
.43487 .44123 L
.43545 .44186 L
.43638 .44316 L
.43737 .44442 L
.438 .44508 L
.4393 .44699 L
.43932 .44701 L
.44072 .44894 L
.44123 .44928 L
.44279 .45086 L
.44316 .45213 L
.44364 .45279 L
.44491 .45472 L
.44508 .45495 L
.44624 .45664 L
.44701 .45776 L
.448 .45857 L
.44876 .4605 L
.44894 .46081 L
.44962 .46242 L
.44894 .46351 L
.44701 .4626 L
.44678 .46242 L
.44508 .4606 L
.44466 .4605 L
.44316 .45875 L
.44307 .45857 L
.44144 .45664 L
.44123 .4564 L
.43948 .45472 L
.4393 .45387 L
.43845 .45279 L
.43737 .45128 L
.4372 .45086 L
.43559 .44894 L
.43545 .44884 L
.43385 .44701 L
.43352 .44618 L
.43282 .44508 L
.43159 .44336 L
.43155 .44316 L
.43017 .44123 L
.42967 .44043 L
.42862 .4393 L
.42797 .43737 L
F
1 .88 0 r
.42967 .43614 m
.43135 .43737 L
.43159 .43758 L
.4332 .4393 L
.43352 .43952 L
.4348 .44123 L
.43545 .44193 L
.43633 .44316 L
.43737 .44448 L
.43795 .44508 L
.43928 .44701 L
.4393 .44704 L
.44068 .44894 L
.44123 .44932 L
.44275 .45086 L
.44316 .45219 L
.44359 .45279 L
.44486 .45472 L
.44508 .45502 L
.44618 .45664 L
.44701 .45785 L
.4479 .45857 L
.44866 .4605 L
.44894 .46102 L
.44944 .46242 L
.44894 .46325 L
.44701 .46243 L
.44701 .46242 L
.44508 .46056 L
.44479 .4605 L
.44316 .45864 L
.44312 .45857 L
.44151 .45664 L
.44123 .45631 L
.43951 .45472 L
.4393 .4538 L
.4385 .45279 L
.43737 .45122 L
.43722 .45086 L
.43564 .44894 L
.43545 .4488 L
.43388 .44701 L
.43352 .44611 L
.43288 .44508 L
.43159 .44326 L
.43157 .44316 L
.43024 .44123 L
.42967 .4403 L
.42873 .4393 L
.42814 .43737 L
F
1 .87 0 r
.42967 .43632 m
.43119 .43737 L
.43159 .4377 L
.43311 .4393 L
.43352 .43958 L
.43474 .44123 L
.43545 .44199 L
.43628 .44316 L
.43737 .44454 L
.4379 .44508 L
.43923 .44701 L
.4393 .4471 L
.44064 .44894 L
.44123 .44936 L
.44271 .45086 L
.44316 .45226 L
.44354 .45279 L
.44481 .45472 L
.44508 .45509 L
.44613 .45664 L
.44701 .45794 L
.4478 .45857 L
.44856 .4605 L
.44894 .46129 L
.44923 .46242 L
.44894 .46294 L
.4473 .46242 L
.44701 .46226 L
.44508 .46052 L
.44494 .4605 L
.44319 .45857 L
.44316 .45855 L
.44158 .45664 L
.44123 .45623 L
.43954 .45472 L
.4393 .45372 L
.43855 .45279 L
.43737 .45115 L
.43725 .45086 L
.4357 .44894 L
.43545 .44876 L
.43392 .44701 L
.43352 .44603 L
.43293 .44508 L
.43159 .44316 L
.43159 .44316 L
.43032 .44123 L
.42967 .44016 L
.42885 .4393 L
.42831 .43737 L
F
1 .86 0 r
.42967 .43651 m
.43101 .43737 L
.43159 .43783 L
.43302 .4393 L
.43352 .43964 L
.43467 .44123 L
.43545 .44206 L
.43623 .44316 L
.43737 .4446 L
.43784 .44508 L
.43919 .44701 L
.4393 .44716 L
.44059 .44894 L
.44123 .44941 L
.44266 .45086 L
.44316 .45233 L
.44349 .45279 L
.44476 .45472 L
.44508 .45517 L
.44607 .45664 L
.44701 .45804 L
.44769 .45857 L
.44845 .4605 L
.44894 .46171 L
.44899 .46242 L
.44894 .46253 L
.44768 .46242 L
.44701 .4621 L
.44509 .4605 L
.44508 .46049 L
.44329 .45857 L
.44316 .45849 L
.44166 .45664 L
.44123 .45615 L
.43957 .45472 L
.4393 .45364 L
.43861 .45279 L
.43737 .45109 L
.43728 .45086 L
.43575 .44894 L
.43545 .44871 L
.43396 .44701 L
.43352 .44595 L
.43298 .44508 L
.43166 .44316 L
.43159 .44306 L
.4304 .44123 L
.42967 .44001 L
.42899 .4393 L
.4285 .43737 L
F
1 .94 0 r
.42967 .41207 m
.42997 .41232 L
.43159 .4137 L
.43201 .41425 L
.43352 .4159 L
.43392 .41618 L
.43538 .41811 L
.43545 .41818 L
.43692 .42003 L
.43737 .42061 L
.4384 .42196 L
.4393 .42297 L
.43999 .42389 L
.44109 .42581 L
.44123 .42604 L
.4422 .42774 L
.44123 .42951 L
.4393 .42791 L
.43914 .42774 L
.43748 .42581 L
.43737 .42569 L
.43601 .42389 L
.43545 .42317 L
.43458 .42196 L
.43352 .42054 L
.43317 .42003 L
.43183 .41811 L
.43159 .41777 L
.4306 .41618 L
.42967 .41474 L
.42939 .41425 L
.42854 .41232 L
F
1 .85 0 r
.42967 .43671 m
.43081 .43737 L
.43159 .43795 L
.43292 .4393 L
.43352 .4397 L
.43461 .44123 L
.43545 .44213 L
.43617 .44316 L
.43737 .44466 L
.43779 .44508 L
.43914 .44701 L
.4393 .44722 L
.44055 .44894 L
.44123 .44945 L
.44261 .45086 L
.44316 .4524 L
.44344 .45279 L
.44471 .45472 L
.44508 .45524 L
.44602 .45664 L
.44701 .45813 L
.44756 .45857 L
.44833 .4605 L
.44701 .46194 L
.44523 .4605 L
.44508 .46037 L
.44338 .45857 L
.44316 .45843 L
.44173 .45664 L
.44123 .45607 L
.43961 .45472 L
.4393 .45357 L
.43866 .45279 L
.43737 .45103 L
.4373 .45086 L
.43581 .44894 L
.43545 .44867 L
.43399 .44701 L
.43352 .44587 L
.43303 .44508 L
.43172 .44316 L
.43159 .44296 L
.43048 .44123 L
.42967 .43985 L
.42914 .4393 L
.4287 .43737 L
F
0 .77 1 r
.42967 .44448 m
.43016 .44508 L
.43159 .44673 L
.4318 .44701 L
.43322 .44894 L
.43352 .44934 L
.43444 .45086 L
.43545 .45249 L
.43557 .45279 L
.43545 .45324 L
.43488 .45279 L
.43352 .45151 L
.43297 .45086 L
.43159 .44921 L
.43138 .44894 L
.43 .44701 L
.42967 .44654 L
.42878 .44508 L
F
1 .74 0 r
.42967 .47104 m
.43058 .47206 L
.43159 .47313 L
.43232 .47399 L
.43352 .4751 L
.43398 .47591 L
.43545 .47767 L
.43567 .47784 L
.43714 .47977 L
.43737 .48005 L
.43869 .48169 L
.4393 .4822 L
.44023 .48362 L
.44123 .48486 L
.44195 .48555 L
.44316 .48737 L
.44323 .48747 L
.44473 .4894 L
.44508 .4897 L
.44622 .49133 L
.44701 .49233 L
.44786 .49326 L
.44894 .49491 L
.44911 .49518 L
.45061 .49711 L
.45086 .49733 L
.45207 .49904 L
.45279 .49996 L
.45364 .50096 L
.45472 .50258 L
.4549 .50289 L
.4564 .50482 L
.45664 .50504 L
.45784 .50674 L
.45857 .50769 L
.45936 .50867 L
.4605 .51033 L
.46064 .5106 L
.46213 .51253 L
.46242 .51281 L
.46411 .51445 L
.46435 .51549 L
.46503 .51638 L
.46628 .51815 L
.46635 .51831 L
.46781 .52023 L
.46821 .52062 L
.46967 .52216 L
.47013 .52335 L
.47067 .52409 L
.47206 .52601 L
.47206 .52601 L
.47345 .52794 L
.47399 .52849 L
.47523 .52987 L
.47591 .53126 L
.47629 .53179 L
.47767 .53372 L
.47784 .53395 L
.47906 .53565 L
.47977 .53643 L
.48075 .53758 L
.48169 .53925 L
.48186 .5395 L
.48323 .54143 L
.48362 .54195 L
.48462 .54336 L
.48555 .54447 L
.48621 .54528 L
.48739 .54721 L
.48747 .54732 L
.48874 .54914 L
.4894 .55005 L
.49011 .55106 L
.49133 .55269 L
.49156 .55299 L
.49281 .55492 L
.49326 .55553 L
.49414 .55684 L
.49518 .55831 L
.4955 .55877 L
.4968 .5607 L
.49711 .56114 L
.49806 .56263 L
.49904 .56405 L
.49935 .56455 L
.50055 .56648 L
.50096 .5671 L
.50165 .56841 L
.50096 .56933 L
.50012 .56841 L
.49904 .56728 L
.49836 .56648 L
.49711 .5654 L
.49668 .56455 L
.49518 .56278 L
.49497 .56263 L
.49352 .5607 L
.49326 .56039 L
.49198 .55877 L
.49133 .55831 L
.49044 .55684 L
.4894 .55559 L
.48864 .55492 L
.48747 .55306 L
.48742 .55299 L
.48595 .55106 L
.48555 .55078 L
.48446 .54914 L
.48362 .54811 L
.48274 .54721 L
.48169 .54551 L
.48153 .54528 L
.48007 .54336 L
.47977 .54313 L
.47862 .54143 L
.47784 .54046 L
.47697 .5395 L
.47591 .53783 L
.47574 .53758 L
.47429 .53565 L
.47399 .53541 L
.47286 .53372 L
.47206 .53272 L
.47127 .53179 L
.47013 .53006 L
.47001 .52987 L
.46857 .52794 L
.46821 .52764 L
.46715 .52601 L
.46628 .52491 L
.4656 .52409 L
.46435 .52224 L
.46431 .52216 L
.46289 .52023 L
.46242 .51982 L
.46085 .51831 L
.4605 .51705 L
.45997 .51638 L
.45864 .51445 L
.45857 .51436 L
.45725 .51253 L
.45664 .51195 L
.45534 .5106 L
.45472 .50913 L
.45437 .50867 L
.45303 .50674 L
.45279 .50643 L
.45164 .50482 L
.45086 .504 L
.44986 .50289 L
.44894 .50114 L
.44881 .50096 L
.44746 .49904 L
.44701 .49844 L
.44608 .49711 L
.44508 .49595 L
.44443 .49518 L
.44329 .49326 L
.44316 .49308 L
.44194 .49133 L
.44123 .49036 L
.44057 .4894 L
.4393 .48774 L
.43909 .48747 L
.43785 .48555 L
.43737 .48491 L
.43651 .48362 L
.43545 .48214 L
.43515 .48169 L
.43383 .47977 L
.43352 .47934 L
.43256 .47784 L
.43159 .47646 L
.43125 .47591 L
.43001 .47399 L
.42967 .47348 L
.42889 .47206 L
F
1 .84 0 r
.42967 .43692 m
.43057 .43737 L
.43159 .43808 L
.43282 .4393 L
.43352 .43977 L
.43454 .44123 L
.43545 .4422 L
.43612 .44316 L
.43737 .44472 L
.43773 .44508 L
.43909 .44701 L
.4393 .44728 L
.44051 .44894 L
.44123 .44951 L
.44256 .45086 L
.44316 .45247 L
.44338 .45279 L
.44466 .45472 L
.44508 .45531 L
.44596 .45664 L
.44701 .45824 L
.44743 .45857 L
.4482 .4605 L
.44701 .46177 L
.44538 .4605 L
.44508 .46024 L
.44348 .45857 L
.44316 .45837 L
.44181 .45664 L
.44123 .45599 L
.43965 .45472 L
.4393 .45349 L
.43871 .45279 L
.43737 .45097 L
.43733 .45086 L
.43586 .44894 L
.43545 .44862 L
.43404 .44701 L
.43352 .44578 L
.43309 .44508 L
.43179 .44316 L
.43159 .44285 L
.43056 .44123 L
.42967 .43968 L
.42931 .4393 L
.42894 .43737 L
F
0 .35 1 r
.42967 .4794 m
.42997 .47977 L
.43159 .4816 L
.43167 .48169 L
.43323 .48362 L
.43352 .48395 L
.43477 .48555 L
.43545 .48635 L
.43631 .48747 L
.43737 .48878 L
.43784 .4894 L
.4393 .49123 L
.43944 .49133 L
.44081 .49326 L
.44123 .49378 L
.44227 .49518 L
.44316 .49631 L
.44375 .49711 L
.44508 .49878 L
.44539 .49904 L
.44664 .50096 L
.44701 .50143 L
.44807 .50289 L
.44894 .50402 L
.44952 .50482 L
.45086 .50656 L
.45106 .50674 L
.45235 .50867 L
.45279 .50924 L
.45376 .5106 L
.45472 .51188 L
.45518 .51253 L
.45659 .51445 L
.45664 .51452 L
.45795 .51638 L
.45857 .51721 L
.45933 .51831 L
.4605 .51989 L
.46074 .52023 L
.46208 .52216 L
.46242 .52262 L
.46341 .52409 L
.46435 .52538 L
.46477 .52601 L
.46611 .52794 L
.46628 .52817 L
.46734 .52987 L
.46821 .5311 L
.46862 .53179 L
.46821 .53312 L
.46713 .53179 L
.46628 .53086 L
.4655 .52987 L
.46435 .52851 L
.46391 .52794 L
.46242 .52617 L
.46235 .52601 L
.46088 .52409 L
.4605 .52363 L
.45939 .52216 L
.45857 .52114 L
.45789 .52023 L
.45664 .51881 L
.4564 .51831 L
.45495 .51638 L
.45472 .51609 L
.45352 .51445 L
.45279 .51352 L
.45206 .51253 L
.45086 .51113 L
.4506 .5106 L
.44919 .50867 L
.44894 .50835 L
.44778 .50674 L
.44701 .50574 L
.44635 .50482 L
.44508 .50324 L
.44468 .50289 L
.44353 .50096 L
.44316 .50047 L
.44215 .49904 L
.44123 .49781 L
.44074 .49711 L
.43933 .49518 L
.4393 .49515 L
.438 .49326 L
.43737 .49242 L
.43663 .49133 L
.43545 .48971 L
.43524 .4894 L
.43393 .48747 L
.43352 .48692 L
.43264 .48555 L
.43159 .48409 L
.4313 .48362 L
.43006 .48169 L
.42967 .48114 L
.42895 .47977 L
F
0 .76 1 r
.42967 .44474 m
.42995 .44508 L
.43159 .44692 L
.43166 .44701 L
.43302 .44894 L
.43352 .44961 L
.43421 .45086 L
.43352 .45125 L
.43319 .45086 L
.43159 .44898 L
.43156 .44894 L
.43022 .44701 L
.42967 .44622 L
.42904 .44508 L
F
0 .93 1 r
.42967 .37756 m
.42973 .37764 L
.42967 .37912 L
.42904 .37764 L
F
1 .73 0 r
.42967 .47125 m
.43042 .47206 L
.43159 .47328 L
.4322 .47399 L
.43352 .47525 L
.43388 .47591 L
.43545 .47778 L
.43553 .47784 L
.43706 .47977 L
.43737 .48014 L
.43862 .48169 L
.4393 .48227 L
.44017 .48362 L
.44123 .48493 L
.44188 .48555 L
.44316 .48743 L
.44319 .48747 L
.44468 .4894 L
.44508 .48974 L
.44617 .49133 L
.44701 .49239 L
.44781 .49326 L
.44894 .49496 L
.44908 .49518 L
.45058 .49711 L
.45086 .49737 L
.45204 .49904 L
.45279 .5 L
.45361 .50096 L
.45472 .50262 L
.45488 .50289 L
.45637 .50482 L
.45664 .50507 L
.45781 .50674 L
.45857 .50773 L
.45933 .50867 L
.4605 .51037 L
.46062 .5106 L
.4621 .51253 L
.46242 .51283 L
.46409 .51445 L
.46435 .51552 L
.46501 .51638 L
.46628 .51818 L
.46634 .51831 L
.46779 .52023 L
.46821 .52065 L
.46965 .52216 L
.47013 .52338 L
.47065 .52409 L
.47203 .52601 L
.47206 .52605 L
.47343 .52794 L
.47399 .52852 L
.47521 .52987 L
.47591 .5313 L
.47626 .53179 L
.47764 .53372 L
.47784 .53399 L
.47903 .53565 L
.47977 .53647 L
.48072 .53758 L
.48169 .53929 L
.48184 .5395 L
.4832 .54143 L
.48362 .54199 L
.48459 .54336 L
.48555 .54452 L
.48617 .54528 L
.48735 .54721 L
.48747 .54737 L
.4887 .54914 L
.4894 .5501 L
.49007 .55106 L
.49133 .55276 L
.4915 .55299 L
.49276 .55492 L
.49326 .5556 L
.49409 .55684 L
.49518 .55838 L
.49544 .55877 L
.49673 .5607 L
.49711 .56124 L
.49799 .56263 L
.49904 .56417 L
.49927 .56455 L
.50042 .56648 L
.50096 .56733 L
.50147 .56841 L
.50096 .56908 L
.50032 .56841 L
.49904 .56713 L
.49848 .56648 L
.49711 .56522 L
.49678 .56455 L
.49518 .56266 L
.49513 .56263 L
.4936 .5607 L
.49326 .5603 L
.49204 .55877 L
.49133 .55825 L
.4905 .55684 L
.4894 .55552 L
.48871 .55492 L
.48747 .553 L
.48747 .55299 L
.48599 .55106 L
.48555 .55075 L
.48451 .54914 L
.48362 .54805 L
.48278 .54721 L
.48169 .54546 L
.48156 .54528 L
.48011 .54336 L
.47977 .5431 L
.47865 .54143 L
.47784 .54042 L
.477 .5395 L
.47591 .53779 L
.47577 .53758 L
.47432 .53565 L
.47399 .53539 L
.47288 .53372 L
.47206 .53269 L
.47129 .53179 L
.47013 .53003 L
.47003 .52987 L
.4686 .52794 L
.46821 .52761 L
.46717 .52601 L
.46628 .52488 L
.46563 .52409 L
.46435 .52221 L
.46432 .52216 L
.46292 .52023 L
.46242 .51979 L
.46087 .51831 L
.4605 .51702 L
.46 .51638 L
.45866 .51445 L
.45857 .51433 L
.45727 .51253 L
.45664 .51192 L
.45537 .5106 L
.45472 .50909 L
.4544 .50867 L
.45305 .50674 L
.45279 .50639 L
.45167 .50482 L
.45086 .50397 L
.44989 .50289 L
.44894 .5011 L
.44884 .50096 L
.44749 .49904 L
.44701 .4984 L
.4461 .49711 L
.44508 .49591 L
.44447 .49518 L
.44332 .49326 L
.44316 .49303 L
.44198 .49133 L
.44123 .49031 L
.4406 .4894 L
.4393 .48767 L
.43915 .48747 L
.43789 .48555 L
.43737 .48484 L
.43656 .48362 L
.43545 .48208 L
.43519 .48169 L
.43389 .47977 L
.43352 .47925 L
.43263 .47784 L
.43159 .47636 L
.43132 .47591 L
.43012 .47399 L
.42967 .4733 L
.42904 .47206 L
F
0 .34 1 r
.42967 .47952 m
.42988 .47977 L
.43159 .48168 L
.43161 .48169 L
.43316 .48362 L
.43352 .48401 L
.43472 .48555 L
.43545 .48641 L
.43627 .48747 L
.43737 .48884 L
.43781 .4894 L
.4393 .49129 L
.43935 .49133 L
.44077 .49326 L
.44123 .49382 L
.44224 .49518 L
.44316 .49635 L
.44372 .49711 L
.44508 .49883 L
.44532 .49904 L
.44661 .50096 L
.44701 .50147 L
.44804 .50289 L
.44894 .50405 L
.44949 .50482 L
.45086 .50661 L
.451 .50674 L
.45232 .50867 L
.45279 .50928 L
.45373 .5106 L
.45472 .51191 L
.45515 .51253 L
.45656 .51445 L
.45664 .51456 L
.45791 .51638 L
.45857 .51725 L
.4593 .51831 L
.4605 .51993 L
.4607 .52023 L
.46204 .52216 L
.46242 .52267 L
.46337 .52409 L
.46435 .52544 L
.46473 .52601 L
.46605 .52794 L
.46628 .52825 L
.46728 .52987 L
.46821 .53119 L
.46856 .53179 L
.46821 .53302 L
.46721 .53179 L
.46628 .53079 L
.46556 .52987 L
.46435 .52845 L
.46396 .52794 L
.46242 .52608 L
.46239 .52601 L
.46092 .52409 L
.4605 .52358 L
.45943 .52216 L
.45857 .52109 L
.45793 .52023 L
.45664 .51875 L
.45643 .51831 L
.45499 .51638 L
.45472 .51604 L
.45355 .51445 L
.45279 .51348 L
.45209 .51253 L
.45086 .51108 L
.45063 .5106 L
.44922 .50867 L
.44894 .50832 L
.44781 .50674 L
.44701 .5057 L
.44638 .50482 L
.44508 .50319 L
.44474 .50289 L
.44356 .50096 L
.44316 .50043 L
.44218 .49904 L
.44123 .49777 L
.44077 .49711 L
.43936 .49518 L
.4393 .49511 L
.43803 .49326 L
.43737 .49237 L
.43667 .49133 L
.43545 .48966 L
.43528 .4894 L
.43398 .48747 L
.43352 .48686 L
.43268 .48555 L
.43159 .48402 L
.43134 .48362 L
.43014 .48169 L
.42967 .48102 L
.42906 .47977 L
F
0 .93 1 r
.42967 .46267 m
.43111 .46435 L
.43159 .46488 L
.43276 .46628 L
.43352 .46715 L
.4344 .46821 L
.43545 .46942 L
.43601 .47013 L
.43737 .47183 L
.43755 .47206 L
.43917 .47399 L
.4393 .47405 L
.44075 .47591 L
.44123 .47651 L
.44275 .47784 L
.44316 .47902 L
.44368 .47977 L
.44508 .48152 L
.44539 .48169 L
.44689 .48362 L
.44701 .48378 L
.44863 .48555 L
.44894 .48634 L
.44974 .48747 L
.45086 .48896 L
.4509 .4894 L
.45279 .49128 L
.45283 .49133 L
.45443 .49326 L
.45472 .49387 L
.45562 .49518 L
.45664 .49654 L
.45675 .49711 L
.45857 .49894 L
.45865 .49904 L
.46018 .50096 L
.4605 .50156 L
.46138 .50289 L
.46242 .50426 L
.46298 .50482 L
.46435 .50669 L
.46439 .50674 L
.46589 .50867 L
.46628 .50934 L
.46707 .5106 L
.46821 .51204 L
.46869 .51253 L
.47009 .51445 L
.47013 .51451 L
.47156 .51638 L
.47206 .51717 L
.47272 .51831 L
.47399 .51986 L
.47437 .52023 L
.47577 .52216 L
.47591 .52235 L
.47721 .52409 L
.47784 .52502 L
.47836 .52601 L
.47977 .52769 L
.48003 .52794 L
.48165 .52987 L
.48169 .53021 L
.48285 .53179 L
.48362 .5329 L
.484 .53372 L
.48555 .53553 L
.48568 .53565 L
.48732 .53758 L
.48747 .53809 L
.48848 .5395 L
.4894 .54078 L
.48964 .54143 L
.49131 .54336 L
.49133 .54337 L
.49296 .54528 L
.49326 .54599 L
.4941 .54721 L
.49518 .54868 L
.49529 .54914 L
.49693 .55106 L
.49711 .55123 L
.49858 .55299 L
.49904 .5539 L
.49971 .55492 L
.50096 .5566 L
.50098 .55684 L
.50254 .55877 L
.50289 .55911 L
.50417 .5607 L
.50482 .56184 L
.50531 .56263 L
.50674 .56454 L
.50675 .56455 L
.50813 .56648 L
.50867 .56704 L
.50973 .56841 L
.5106 .56983 L
.51089 .57033 L
.51231 .57226 L
.51253 .57255 L
.51369 .57419 L
.51445 .57504 L
.51525 .57611 L
.51638 .57789 L
.51646 .57804 L
.51783 .57997 L
.51831 .58062 L
.51993 .58189 L
.52023 .58318 L
.52068 .58382 L
.52194 .58575 L
.52216 .58605 L
.52327 .58768 L
.52409 .58882 L
.52511 .5896 L
.52597 .59153 L
.52601 .59159 L
.52725 .59346 L
.52794 .59445 L
.52854 .59538 L
.52985 .59731 L
.52987 .59734 L
.53101 .59924 L
.53179 .60046 L
.53218 .60116 L
.53179 .60307 L
.52992 .60116 L
.52987 .60111 L
.5282 .59924 L
.52794 .59897 L
.52653 .59731 L
.52601 .59708 L
.52491 .59538 L
.52409 .59446 L
.52258 .59346 L
.52216 .592 L
.52171 .59153 L
.52023 .5896 L
.52023 .5896 L
.51872 .58768 L
.51831 .58719 L
.51673 .58575 L
.51638 .58464 L
.51571 .58382 L
.51445 .58211 L
.51436 .58189 L
.51277 .57997 L
.51253 .57967 L
.51099 .57804 L
.5106 .57707 L
.50988 .57611 L
.50867 .57447 L
.50859 .57419 L
.50695 .57226 L
.50674 .57201 L
.50528 .57033 L
.50482 .56938 L
.50413 .56841 L
.50289 .56675 L
.50287 .56648 L
.5012 .56455 L
.50096 .56426 L
.49959 .56263 L
.49904 .56161 L
.49843 .5607 L
.49711 .55898 L
.4969 .55877 L
.49549 .55684 L
.49518 .55646 L
.49392 .55492 L
.49326 .55379 L
.49275 .55299 L
.49133 .55117 L
.49122 .55106 L
.48981 .54914 L
.4894 .54862 L
.48827 .54721 L
.48747 .54594 L
.48709 .54528 L
.48555 .54336 L
.48555 .54335 L
.48365 .54143 L
.48362 .54076 L
.48264 .5395 L
.48169 .53808 L
.48143 .53758 L
.4799 .53565 L
.47977 .53553 L
.47804 .53372 L
.47784 .53289 L
.47701 .53179 L
.47591 .5302 L
.47576 .52987 L
.47426 .52794 L
.47399 .52769 L
.47244 .52601 L
.47206 .525 L
.47139 .52409 L
.47013 .5223 L
.47008 .52216 L
.46864 .52023 L
.46821 .51983 L
.46686 .51831 L
.46628 .51708 L
.46578 .51638 L
.4644 .51445 L
.46435 .51439 L
.46302 .51253 L
.46242 .51193 L
.46129 .5106 L
.4605 .50915 L
.46017 .50867 L
.45879 .50674 L
.45857 .50645 L
.45741 .50482 L
.45664 .504 L
.45574 .50289 L
.45472 .50118 L
.45458 .50096 L
.45321 .49904 L
.45279 .49848 L
.45182 .49711 L
.45086 .496 L
.45022 .49518 L
.449 .49326 L
.44894 .49317 L
.44765 .49133 L
.44701 .49047 L
.44626 .4894 L
.44508 .48792 L
.44475 .48747 L
.44348 .48555 L
.44316 .48511 L
.44213 .48362 L
.44123 .48239 L
.44075 .48169 L
.43936 .47977 L
.4393 .47969 L
.43805 .47784 L
.43737 .47692 L
.43671 .47591 L
.43545 .47416 L
.43519 .47399 L
.43406 .47206 L
.43352 .47131 L
.43278 .47013 L
.43159 .46842 L
.43146 .46821 L
.43028 .46628 L
.42967 .46536 L
.42913 .46435 L
F
0 .33 1 r
.42967 .47965 m
.42977 .47977 L
.42967 .48086 L
.42922 .47977 L
F
1 .72 0 r
.42967 .4715 m
.43022 .47206 L
.43159 .47343 L
.43208 .47399 L
.43352 .47543 L
.43378 .47591 L
.43541 .47784 L
.43545 .47789 L
.43699 .47977 L
.43737 .48022 L
.43855 .48169 L
.4393 .48234 L
.44011 .48362 L
.44123 .485 L
.44182 .48555 L
.44314 .48747 L
.44316 .48749 L
.44463 .4894 L
.44508 .48979 L
.44613 .49133 L
.44701 .49244 L
.44777 .49326 L
.44894 .49501 L
.44905 .49518 L
.45054 .49711 L
.45086 .4974 L
.452 .49904 L
.45279 .50005 L
.45357 .50096 L
.45472 .50266 L
.45486 .50289 L
.45634 .50482 L
.45664 .5051 L
.45779 .50674 L
.45857 .50776 L
.4593 .50867 L
.4605 .5104 L
.4606 .5106 L
.46208 .51253 L
.46242 .51286 L
.46408 .51445 L
.46435 .51556 L
.46498 .51638 L
.46628 .51821 L
.46632 .51831 L
.46776 .52023 L
.46821 .52068 L
.46963 .52216 L
.47013 .52342 L
.47063 .52409 L
.47201 .52601 L
.47206 .52608 L
.4734 .52794 L
.47399 .52855 L
.47518 .52987 L
.47591 .53134 L
.47624 .53179 L
.47761 .53372 L
.47784 .53402 L
.479 .53565 L
.47977 .5365 L
.48069 .53758 L
.48169 .53933 L
.48181 .5395 L
.48317 .54143 L
.48362 .54204 L
.48455 .54336 L
.48555 .54457 L
.48613 .54528 L
.48732 .54721 L
.48747 .54742 L
.48866 .54914 L
.4894 .55015 L
.49003 .55106 L
.49133 .55284 L
.49145 .55299 L
.49272 .55492 L
.49326 .55567 L
.49404 .55684 L
.49518 .55846 L
.49539 .55877 L
.49666 .5607 L
.49711 .56134 L
.49791 .56263 L
.49904 .5643 L
.49919 .56455 L
.50028 .56648 L
.50096 .56764 L
.50124 .56841 L
.50096 .56878 L
.50057 .56841 L
.49904 .56696 L
.49861 .56648 L
.49711 .56503 L
.49688 .56455 L
.49525 .56263 L
.49518 .56256 L
.49367 .5607 L
.49326 .56021 L
.49211 .55877 L
.49133 .55818 L
.49056 .55684 L
.4894 .55545 L
.48878 .55492 L
.48752 .55299 L
.48747 .55294 L
.48604 .55106 L
.48555 .55071 L
.48455 .54914 L
.48362 .548 L
.48283 .54721 L
.48169 .54541 L
.4816 .54528 L
.48014 .54336 L
.47977 .54307 L
.47869 .54143 L
.47784 .54038 L
.47703 .5395 L
.47591 .53775 L
.47579 .53758 L
.47435 .53565 L
.47399 .53536 L
.47291 .53372 L
.47206 .53265 L
.47132 .53179 L
.47013 .53 L
.47005 .52987 L
.46862 .52794 L
.46821 .52759 L
.4672 .52601 L
.46628 .52485 L
.46565 .52409 L
.46435 .52218 L
.46434 .52216 L
.46294 .52023 L
.46242 .51977 L
.46089 .51831 L
.4605 .51699 L
.46002 .51638 L
.45869 .51445 L
.45857 .5143 L
.4573 .51253 L
.45664 .51189 L
.45539 .5106 L
.45472 .50906 L
.45442 .50867 L
.45308 .50674 L
.45279 .50636 L
.45169 .50482 L
.45086 .50393 L
.44992 .50289 L
.44894 .50106 L
.44886 .50096 L
.44751 .49904 L
.44701 .49836 L
.44613 .49711 L
.44508 .49586 L
.44451 .49518 L
.44335 .49326 L
.44316 .49299 L
.44201 .49133 L
.44123 .49027 L
.44063 .4894 L
.4393 .48759 L
.43921 .48747 L
.43793 .48555 L
.43737 .48478 L
.4366 .48362 L
.43545 .48201 L
.43524 .48169 L
.43396 .47977 L
.43352 .47916 L
.4327 .47784 L
.43159 .47624 L
.43139 .47591 L
.43025 .47399 L
.42967 .47307 L
.42922 .47206 L
F
1 .95 0 r
.42967 .36962 m
.42999 .36993 L
.43159 .37144 L
.43196 .37186 L
.43352 .37347 L
.4337 .37379 L
.43534 .37571 L
.43545 .37583 L
.43692 .37764 L
.43737 .37817 L
.43848 .37957 L
.4393 .38034 L
.44003 .38149 L
.44123 .38296 L
.44173 .38342 L
.44307 .38535 L
.44316 .38545 L
.44454 .38727 L
.44508 .38778 L
.44603 .3892 L
.44701 .39042 L
.44769 .39113 L
.44894 .39299 L
.44898 .39306 L
.45043 .39498 L
.45086 .3954 L
.45188 .39691 L
.45279 .39806 L
.45348 .39884 L
.45472 .40067 L
.45478 .40076 L
.45621 .40269 L
.45664 .40311 L
.45836 .40462 L
.45857 .4058 L
.4592 .40654 L
.4605 .40843 L
.46052 .40847 L
.46194 .4104 L
.46242 .41089 L
.46393 .41232 L
.46435 .4136 L
.46488 .41425 L
.46623 .41618 L
.46628 .41625 L
.46763 .41811 L
.46821 .4187 L
.46951 .42003 L
.47013 .42144 L
.47053 .42196 L
.47189 .42389 L
.47206 .4241 L
.47329 .42581 L
.47399 .42656 L
.47509 .42774 L
.47591 .42933 L
.47617 .42967 L
.47753 .43159 L
.47784 .432 L
.47893 .43352 L
.47977 .43446 L
.48064 .43545 L
.48169 .43725 L
.48179 .43737 L
.48316 .4393 L
.48362 .43992 L
.48455 .44123 L
.48555 .44241 L
.48618 .44316 L
.48739 .44508 L
.48747 .4452 L
.48876 .44701 L
.4894 .44739 L
.49015 .44894 L
.49133 .45042 L
.49169 .45086 L
.49296 .45279 L
.49326 .45318 L
.49433 .45472 L
.49518 .45544 L
.49573 .45664 L
.49711 .4585 L
.49717 .45857 L
.49849 .4605 L
.49904 .46122 L
.49986 .46242 L
.50096 .46362 L
.50159 .46435 L
.50263 .46628 L
.50289 .46663 L
.50395 .46821 L
.50482 .46939 L
.50531 .47013 L
.50668 .47206 L
.50674 .47215 L
.50791 .47399 L
.50867 .47508 L
.50915 .47591 L
.50867 .47741 L
.50709 .47591 L
.50674 .4756 L
.50517 .47399 L
.50482 .47363 L
.50336 .47206 L
.50289 .47195 L
.50164 .47013 L
.50096 .46935 L
.49932 .46821 L
.49904 .46693 L
.49842 .46628 L
.49711 .46453 L
.49696 .46435 L
.49537 .46242 L
.49518 .46221 L
.49335 .4605 L
.49326 .45967 L
.49237 .45857 L
.49133 .4571 L
.49105 .45664 L
.48948 .45472 L
.4894 .45462 L
.48774 .45279 L
.48747 .45203 L
.48663 .45086 L
.48555 .4494 L
.48536 .44894 L
.48371 .44701 L
.48362 .4469 L
.48211 .44508 L
.48169 .44427 L
.48095 .44316 L
.47977 .44163 L
.47973 .44123 L
.47798 .4393 L
.47784 .43912 L
.47645 .43737 L
.47591 .43647 L
.47529 .43545 L
.47399 .43382 L
.47369 .43352 L
.47229 .43159 L
.47206 .4313 L
.4708 .42967 L
.47013 .42863 L
.46964 .42774 L
.46821 .42599 L
.46803 .42581 L
.46662 .42389 L
.46628 .42345 L
.46516 .42196 L
.46435 .42076 L
.46399 .42003 L
.46242 .41814 L
.46239 .41811 L
.46056 .41618 L
.4605 .41555 L
.45955 .41425 L
.45857 .41285 L
.45835 .41232 L
.45678 .4104 L
.45664 .41029 L
.45498 .40847 L
.45472 .40761 L
.45397 .40654 L
.45279 .40489 L
.4527 .40462 L
.4512 .40269 L
.45086 .4024 L
.44944 .40076 L
.44894 .39961 L
.44842 .39884 L
.44705 .39691 L
.44701 .39686 L
.44568 .39498 L
.44508 .3944 L
.44399 .39306 L
.44316 .39149 L
.44293 .39113 L
.44158 .3892 L
.44123 .38871 L
.44023 .38727 L
.4393 .38617 L
.43868 .38535 L
.43755 .38342 L
.43737 .38317 L
.43625 .38149 L
.43545 .38034 L
.43493 .37957 L
.43364 .37764 L
.43352 .37747 L
.43243 .37571 L
.43159 .37445 L
.43119 .37379 L
.43009 .37186 L
.42967 .37114 L
.42922 .36993 L
F
1 .83 0 r
.42967 .43715 m
.43026 .43737 L
.43159 .43821 L
.43271 .4393 L
.43352 .43984 L
.43447 .44123 L
.43545 .44227 L
.43606 .44316 L
.43737 .44478 L
.43767 .44508 L
.43905 .44701 L
.4393 .44734 L
.44046 .44894 L
.44123 .44956 L
.4425 .45086 L
.44316 .45255 L
.44333 .45279 L
.44461 .45472 L
.44508 .45539 L
.4459 .45664 L
.44701 .45835 L
.44729 .45857 L
.44807 .4605 L
.44701 .46159 L
.44554 .4605 L
.44508 .46012 L
.44358 .45857 L
.44316 .45831 L
.44188 .45664 L
.44123 .45591 L
.43971 .45472 L
.4393 .45342 L
.43877 .45279 L
.43737 .4509 L
.43736 .45086 L
.43591 .44894 L
.43545 .44857 L
.43408 .44701 L
.43352 .44569 L
.43315 .44508 L
.43186 .44316 L
.43159 .44274 L
.43064 .44123 L
.42967 .43948 L
.4295 .4393 L
.42924 .43737 L
F
0 .99 1 r
.42967 .40585 m
.43094 .40654 L
.43159 .40691 L
.43352 .40844 L
.43355 .40847 L
.43545 .41018 L
.43569 .4104 L
.43737 .41212 L
.43759 .41232 L
.4393 .41425 L
.4393 .41426 L
.44057 .41618 L
.44123 .41652 L
.44255 .41811 L
.44316 .41891 L
.44407 .42003 L
.44508 .42142 L
.44551 .42196 L
.44687 .42389 L
.44701 .42406 L
.44835 .42581 L
.44894 .42688 L
.44971 .42774 L
.45086 .42965 L
.45088 .42967 L
.45147 .43159 L
.45086 .432 L
.44894 .43224 L
.44747 .43159 L
.44701 .4312 L
.44574 .42967 L
.44508 .42847 L
.44426 .42774 L
.44316 .42628 L
.44264 .42581 L
.44138 .42389 L
.44123 .42369 L
.44 .42196 L
.4393 .42103 L
.4386 .42003 L
.43737 .41854 L
.43707 .41811 L
.4358 .41618 L
.43545 .41571 L
.43444 .41425 L
.43352 .41299 L
.43307 .41232 L
.43171 .4104 L
.43159 .41024 L
.43052 .40847 L
.42967 .40708 L
.42945 .40654 L
F
1 .71 0 r
.42967 .47183 m
.42994 .47206 L
.43159 .4736 L
.43194 .47399 L
.43352 .47562 L
.43368 .47591 L
.43531 .47784 L
.43545 .47799 L
.43691 .47977 L
.43737 .48031 L
.43849 .48169 L
.4393 .48241 L
.44005 .48362 L
.44123 .48507 L
.44175 .48555 L
.44309 .48747 L
.44316 .48756 L
.44459 .4894 L
.44508 .48983 L
.44609 .49133 L
.44701 .49249 L
.44773 .49326 L
.44894 .49505 L
.44902 .49518 L
.4505 .49711 L
.45086 .49743 L
.45197 .49904 L
.45279 .50009 L
.45354 .50096 L
.45472 .5027 L
.45483 .50289 L
.45631 .50482 L
.45664 .50513 L
.45776 .50674 L
.45857 .5078 L
.45928 .50867 L
.4605 .51044 L
.46058 .5106 L
.46205 .51253 L
.46242 .51289 L
.46406 .51445 L
.46435 .51559 L
.46496 .51638 L
.46628 .51824 L
.46631 .51831 L
.46773 .52023 L
.46821 .52071 L
.46961 .52216 L
.47013 .52345 L
.4706 .52409 L
.47198 .52601 L
.47206 .52612 L
.47338 .52794 L
.47399 .52859 L
.47516 .52987 L
.47591 .53137 L
.47621 .53179 L
.47759 .53372 L
.47784 .53406 L
.47898 .53565 L
.47977 .53654 L
.48066 .53758 L
.48169 .53937 L
.48178 .5395 L
.48314 .54143 L
.48362 .54208 L
.48452 .54336 L
.48555 .54462 L
.48609 .54528 L
.48728 .54721 L
.48747 .54747 L
.48863 .54914 L
.4894 .55021 L
.48999 .55106 L
.49133 .55292 L
.49139 .55299 L
.49267 .55492 L
.49326 .55574 L
.49399 .55684 L
.49518 .55854 L
.49534 .55877 L
.49659 .5607 L
.49711 .56145 L
.49783 .56263 L
.49904 .56444 L
.4991 .56455 L
.5001 .56648 L
.49904 .56679 L
.49876 .56648 L
.49711 .56481 L
.49699 .56455 L
.49534 .56263 L
.49518 .56245 L
.49375 .5607 L
.49326 .56013 L
.49218 .55877 L
.49133 .55811 L
.49062 .55684 L
.4894 .55538 L
.48886 .55492 L
.48757 .55299 L
.48747 .55287 L
.48608 .55106 L
.48555 .55067 L
.48459 .54914 L
.48362 .54795 L
.48287 .54721 L
.48169 .54537 L
.48163 .54528 L
.48018 .54336 L
.47977 .54304 L
.47872 .54143 L
.47784 .54034 L
.47707 .5395 L
.47591 .53771 L
.47582 .53758 L
.47438 .53565 L
.47399 .53533 L
.47294 .53372 L
.47206 .53262 L
.47135 .53179 L
.47013 .52997 L
.47007 .52987 L
.46865 .52794 L
.46821 .52757 L
.46722 .52601 L
.46628 .52482 L
.46568 .52409 L
.46436 .52216 L
.46435 .52215 L
.46296 .52023 L
.46242 .51974 L
.46092 .51831 L
.4605 .51695 L
.46004 .51638 L
.45871 .51445 L
.45857 .51427 L
.45732 .51253 L
.45664 .51186 L
.45542 .5106 L
.45472 .50902 L
.45445 .50867 L
.4531 .50674 L
.45279 .50633 L
.45172 .50482 L
.45086 .50389 L
.44995 .50289 L
.44894 .50102 L
.44889 .50096 L
.44754 .49904 L
.44701 .49832 L
.44616 .49711 L
.44508 .49581 L
.44455 .49518 L
.44339 .49326 L
.44316 .49294 L
.44204 .49133 L
.44123 .49022 L
.44067 .4894 L
.4393 .48752 L
.43926 .48747 L
.43798 .48555 L
.43737 .48472 L
.43665 .48362 L
.43545 .48194 L
.43529 .48169 L
.43402 .47977 L
.43352 .47906 L
.43277 .47784 L
.43159 .47612 L
.43147 .47591 L
.4304 .47399 L
.42967 .47274 L
.42947 .47206 L
F
0 .28 1 r
.42967 .49525 m
.43076 .49711 L
.43159 .49827 L
.43196 .49904 L
.43159 .49937 L
.43133 .49904 L
.42967 .49717 L
.42962 .49711 L
F
0 .92 1 r
.42967 .46385 m
.43033 .46435 L
.43159 .46548 L
.4323 .46628 L
.43352 .4676 L
.43404 .46821 L
.43545 .4698 L
.43571 .47013 L
.43734 .47206 L
.43737 .4721 L
.43895 .47399 L
.4393 .47415 L
.44056 .47591 L
.44123 .47672 L
.44264 .47784 L
.44316 .4792 L
.44357 .47977 L
.44508 .48161 L
.44524 .48169 L
.44676 .48362 L
.44701 .48394 L
.44857 .48555 L
.44894 .48648 L
.44965 .48747 L
.45086 .48906 L
.45088 .4894 L
.45274 .49133 L
.45279 .49139 L
.45438 .49326 L
.45472 .49398 L
.45555 .49518 L
.45664 .49663 L
.45672 .49711 L
.45857 .49903 L
.45858 .49904 L
.46014 .50096 L
.4605 .50165 L
.46133 .50289 L
.46242 .50432 L
.46293 .50482 L
.46434 .50674 L
.46435 .50676 L
.46585 .50867 L
.46628 .50941 L
.46703 .5106 L
.46821 .51209 L
.46865 .51253 L
.47005 .51445 L
.47013 .51456 L
.47153 .51638 L
.47206 .51722 L
.47269 .51831 L
.47399 .5199 L
.47433 .52023 L
.47574 .52216 L
.47591 .52239 L
.47718 .52409 L
.47784 .52507 L
.47834 .52601 L
.47977 .52773 L
.48 .52794 L
.48165 .52987 L
.48169 .53025 L
.48283 .53179 L
.48362 .53294 L
.48398 .53372 L
.48555 .53556 L
.48564 .53565 L
.48731 .53758 L
.48747 .53813 L
.48845 .5395 L
.4894 .54082 L
.48962 .54143 L
.49128 .54336 L
.49133 .5434 L
.49295 .54528 L
.49326 .54603 L
.49407 .54721 L
.49518 .54872 L
.49528 .54914 L
.4969 .55106 L
.49711 .55126 L
.49856 .55299 L
.49904 .55395 L
.49968 .55492 L
.50096 .55665 L
.50098 .55684 L
.50251 .55877 L
.50289 .55916 L
.50414 .5607 L
.50482 .5619 L
.50527 .56263 L
.50671 .56455 L
.50674 .5646 L
.50809 .56648 L
.50867 .5671 L
.50969 .56841 L
.5106 .5699 L
.51085 .57033 L
.51226 .57226 L
.51253 .57262 L
.51363 .57419 L
.51445 .57513 L
.51518 .57611 L
.51638 .57799 L
.51641 .57804 L
.51776 .57997 L
.51831 .58072 L
.51984 .58189 L
.52023 .58333 L
.52058 .58382 L
.52183 .58575 L
.52216 .5862 L
.52316 .58768 L
.52409 .58899 L
.52492 .5896 L
.52582 .59153 L
.52601 .59181 L
.52707 .59346 L
.52794 .59472 L
.52836 .59538 L
.52958 .59731 L
.52987 .59776 L
.53067 .59924 L
.52987 .60057 L
.5286 .59924 L
.52794 .59857 L
.52684 .59731 L
.52601 .59687 L
.52515 .59538 L
.52409 .59419 L
.52287 .59346 L
.52216 .59178 L
.52191 .59153 L
.52039 .5896 L
.52023 .58952 L
.51886 .58768 L
.51831 .58702 L
.51682 .58575 L
.51638 .58449 L
.51581 .58382 L
.51445 .582 L
.5144 .58189 L
.51286 .57997 L
.51253 .57956 L
.51105 .57804 L
.5106 .57697 L
.50994 .57611 L
.50867 .5744 L
.50861 .57419 L
.50701 .57226 L
.50674 .57192 L
.50532 .57033 L
.50482 .5693 L
.50418 .56841 L
.50289 .56669 L
.50287 .56648 L
.50125 .56455 L
.50096 .5642 L
.49963 .56263 L
.49904 .56155 L
.49846 .5607 L
.49711 .55893 L
.49695 .55877 L
.49553 .55684 L
.49518 .55641 L
.49395 .55492 L
.49326 .55374 L
.49278 .55299 L
.49133 .55114 L
.49125 .55106 L
.48984 .54914 L
.4894 .54858 L
.4883 .54721 L
.48747 .54591 L
.48711 .54528 L
.48558 .54336 L
.48555 .54333 L
.48365 .54143 L
.48362 .54073 L
.48266 .5395 L
.48169 .53805 L
.48145 .53758 L
.47993 .53565 L
.47977 .53551 L
.47805 .53372 L
.47784 .53286 L
.47703 .53179 L
.47591 .53017 L
.47578 .52987 L
.47429 .52794 L
.47399 .52767 L
.47246 .52601 L
.47206 .52496 L
.47141 .52409 L
.47013 .52227 L
.47009 .52216 L
.46866 .52023 L
.46821 .5198 L
.46688 .51831 L
.46628 .51705 L
.4658 .51638 L
.46443 .51445 L
.46435 .51435 L
.46305 .51253 L
.46242 .5119 L
.46132 .5106 L
.4605 .5091 L
.4602 .50867 L
.45883 .50674 L
.45857 .5064 L
.45744 .50482 L
.45664 .50395 L
.45578 .50289 L
.45472 .50112 L
.45461 .50096 L
.45325 .49904 L
.45279 .49843 L
.45186 .49711 L
.45086 .49593 L
.45028 .49518 L
.44905 .49326 L
.44894 .4931 L
.4477 .49133 L
.44701 .4904 L
.44631 .4894 L
.44508 .48782 L
.44483 .48747 L
.44355 .48555 L
.44316 .48501 L
.44221 .48362 L
.44123 .48229 L
.44082 .48169 L
.43945 .47977 L
.4393 .47956 L
.43816 .47784 L
.43737 .47676 L
.43682 .47591 L
.43546 .47399 L
.43545 .47397 L
.43423 .47206 L
.43352 .47104 L
.43298 .47013 L
.43171 .46821 L
.43159 .46803 L
.43068 .46628 L
.42967 .46441 L
.42965 .46435 L
F
1 .82 0 r
.43159 .43834 m
.4326 .4393 L
.43352 .43992 L
.4344 .44123 L
.43545 .44235 L
.43601 .44316 L
.43737 .44485 L
.43761 .44508 L
.439 .44701 L
.4393 .4474 L
.44042 .44894 L
.44123 .44962 L
.44244 .45086 L
.44316 .45263 L
.44327 .45279 L
.44456 .45472 L
.44508 .45547 L
.44584 .45664 L
.44701 .45846 L
.44714 .45857 L
.44793 .4605 L
.44701 .46141 L
.44571 .4605 L
.44508 .46 L
.44368 .45857 L
.44316 .45825 L
.44196 .45664 L
.44123 .45583 L
.43976 .45472 L
.4393 .45335 L
.43883 .45279 L
.4374 .45086 L
.43737 .45084 L
.43597 .44894 L
.43545 .44852 L
.43413 .44701 L
.43352 .4456 L
.4332 .44508 L
.43193 .44316 L
.43159 .44263 L
.43072 .44123 L
.42969 .4393 L
F
1 .81 0 r
.43159 .43847 m
.43249 .4393 L
.43352 .44 L
.43432 .44123 L
.43545 .44242 L
.43595 .44316 L
.43737 .44491 L
.43755 .44508 L
.43895 .44701 L
.4393 .44746 L
.44038 .44894 L
.44123 .44969 L
.44237 .45086 L
.44316 .45271 L
.44322 .45279 L
.4445 .45472 L
.44508 .45555 L
.44578 .45664 L
.447 .45857 L
.44701 .4586 L
.44776 .4605 L
.44701 .46122 L
.4459 .4605 L
.44508 .45987 L
.44378 .45857 L
.44316 .45818 L
.44204 .45664 L
.44123 .45575 L
.43983 .45472 L
.4393 .45327 L
.43888 .45279 L
.43745 .45086 L
.43737 .45076 L
.43603 .44894 L
.43545 .44846 L
.43418 .44701 L
.43352 .4455 L
.43326 .44508 L
.432 .44316 L
.43159 .44252 L
.4308 .44123 L
.42983 .4393 L
F
1 .8 0 r
.43159 .43861 m
.43236 .4393 L
.43352 .4401 L
.43425 .44123 L
.43545 .4425 L
.4359 .44316 L
.43737 .44498 L
.43748 .44508 L
.4389 .44701 L
.4393 .44752 L
.44033 .44894 L
.44123 .44976 L
.4423 .45086 L
.44316 .45279 L
.44316 .45279 L
.44445 .45472 L
.44508 .45564 L
.44572 .45664 L
.4469 .45857 L
.44701 .45877 L
.44757 .4605 L
.44701 .461 L
.44612 .4605 L
.44508 .45974 L
.44389 .45857 L
.44316 .45811 L
.44212 .45664 L
.44123 .45567 L
.4399 .45472 L
.4393 .4532 L
.43894 .45279 L
.43751 .45086 L
.43737 .45069 L
.43608 .44894 L
.43545 .44839 L
.43424 .44701 L
.43352 .4454 L
.43333 .44508 L
.43207 .44316 L
.43159 .44239 L
.43089 .44123 L
.42997 .4393 L
F
1 .79 0 r
.43159 .43875 m
.43223 .4393 L
.43352 .4402 L
.43417 .44123 L
.43545 .44258 L
.43584 .44316 L
.43737 .44505 L
.43741 .44508 L
.43885 .44701 L
.4393 .44758 L
.44029 .44894 L
.44123 .44983 L
.44223 .45086 L
.4431 .45279 L
.44316 .45286 L
.44439 .45472 L
.44508 .45573 L
.44566 .45664 L
.4468 .45857 L
.44701 .459 L
.44734 .4605 L
.44701 .46076 L
.4464 .4605 L
.44508 .45962 L
.444 .45857 L
.44316 .45803 L
.4422 .45664 L
.44123 .45558 L
.43999 .45472 L
.4393 .45312 L
.43901 .45279 L
.43757 .45086 L
.43737 .45061 L
.43614 .44894 L
.43545 .44832 L
.43431 .44701 L
.43352 .4453 L
.43339 .44508 L
.43214 .44316 L
.43159 .44227 L
.43098 .44123 L
.43013 .4393 L
F
1 .78 0 r
.43159 .4389 m
.43208 .4393 L
.43352 .44031 L
.43409 .44123 L
.43545 .44267 L
.43578 .44316 L
.43735 .44508 L
.43737 .44512 L
.4388 .44701 L
.4393 .44764 L
.44024 .44894 L
.44123 .44991 L
.44216 .45086 L
.44305 .45279 L
.44316 .45293 L
.44434 .45472 L
.44508 .45582 L
.44559 .45664 L
.44669 .45857 L
.44508 .45948 L
.44411 .45857 L
.44316 .45794 L
.44228 .45664 L
.44123 .4555 L
.44008 .45472 L
.4393 .45305 L
.43907 .45279 L
.43763 .45086 L
.43737 .45053 L
.43619 .44894 L
.43545 .44825 L
.43437 .44701 L
.43352 .44519 L
.43346 .44508 L
.43222 .44316 L
.43159 .44213 L
.43107 .44123 L
.43032 .4393 L
F
1 .77 0 r
.43159 .43905 m
.43191 .4393 L
.43352 .44043 L
.43401 .44123 L
.43545 .44275 L
.43572 .44316 L
.43729 .44508 L
.43737 .44519 L
.43875 .44701 L
.4393 .44771 L
.4402 .44894 L
.44123 .44999 L
.44207 .45086 L
.443 .45279 L
.44316 .45301 L
.44428 .45472 L
.44508 .45592 L
.44553 .45664 L
.44657 .45857 L
.44508 .45935 L
.44424 .45857 L
.44316 .45785 L
.44236 .45664 L
.44123 .45541 L
.44018 .45472 L
.4393 .45297 L
.43914 .45279 L
.43769 .45086 L
.43737 .45046 L
.43625 .44894 L
.43545 .44817 L
.43445 .44701 L
.43353 .44508 L
.43352 .44508 L
.43229 .44316 L
.43159 .44199 L
.43116 .44123 L
.43053 .4393 L
F
1 .7 0 r
.43159 .47378 m
.43178 .47399 L
.43352 .47583 L
.43357 .47591 L
.43521 .47784 L
.43545 .4781 L
.43683 .47977 L
.43737 .4804 L
.43842 .48169 L
.4393 .48249 L
.43999 .48362 L
.44123 .48515 L
.44167 .48555 L
.44304 .48747 L
.44316 .48762 L
.44454 .4894 L
.44508 .48988 L
.44604 .49133 L
.44701 .49255 L
.44768 .49326 L
.44894 .4951 L
.44899 .49518 L
.45047 .49711 L
.45086 .49747 L
.45193 .49904 L
.45279 .50013 L
.45351 .50096 L
.45472 .50274 L
.45481 .50289 L
.45628 .50482 L
.45664 .50516 L
.45773 .50674 L
.45857 .50784 L
.45925 .50867 L
.4605 .51047 L
.46057 .5106 L
.46202 .51253 L
.46242 .51292 L
.46404 .51445 L
.46435 .51563 L
.46493 .51638 L
.46628 .51828 L
.46629 .51831 L
.46771 .52023 L
.46821 .52074 L
.46959 .52216 L
.47013 .52348 L
.47058 .52409 L
.47195 .52601 L
.47206 .52615 L
.47335 .52794 L
.47399 .52862 L
.47513 .52987 L
.47591 .53141 L
.47619 .53179 L
.47756 .53372 L
.47784 .5341 L
.47895 .53565 L
.47977 .53658 L
.48062 .53758 L
.48169 .53942 L
.48175 .5395 L
.48311 .54143 L
.48362 .54212 L
.48449 .54336 L
.48555 .54468 L
.48604 .54528 L
.48724 .54721 L
.48747 .54752 L
.48859 .54914 L
.4894 .55026 L
.48996 .55106 L
.49132 .55299 L
.49133 .553 L
.49262 .55492 L
.49326 .55581 L
.49394 .55684 L
.49518 .55862 L
.49528 .55877 L
.49651 .5607 L
.49711 .56157 L
.49775 .56263 L
.49899 .56455 L
.49904 .56462 L
.49987 .56648 L
.49904 .56658 L
.49894 .56648 L
.49711 .56456 L
.4971 .56455 L
.49545 .56263 L
.49518 .56234 L
.49384 .5607 L
.49326 .56003 L
.49225 .55877 L
.49133 .55803 L
.49067 .55684 L
.4894 .5553 L
.48894 .55492 L
.48762 .55299 L
.48747 .55281 L
.48613 .55106 L
.48555 .55063 L
.48463 .54914 L
.48362 .5479 L
.48292 .54721 L
.48169 .54532 L
.48166 .54528 L
.48021 .54336 L
.47977 .54301 L
.47875 .54143 L
.47784 .5403 L
.4771 .5395 L
.47591 .53768 L
.47584 .53758 L
.47441 .53565 L
.47399 .53531 L
.47297 .53372 L
.47206 .53258 L
.47138 .53179 L
.47013 .52993 L
.47009 .52987 L
.46867 .52794 L
.46821 .52754 L
.46724 .52601 L
.46628 .52478 L
.4657 .52409 L
.46439 .52216 L
.46435 .52211 L
.46299 .52023 L
.46242 .51972 L
.46094 .51831 L
.4605 .51692 L
.46007 .51638 L
.45874 .51445 L
.45857 .51423 L
.45734 .51253 L
.45664 .51183 L
.45544 .5106 L
.45472 .50899 L
.45447 .50867 L
.45313 .50674 L
.45279 .50629 L
.45174 .50482 L
.45086 .50386 L
.44998 .50289 L
.44894 .50098 L
.44892 .50096 L
.44757 .49904 L
.44701 .49828 L
.44619 .49711 L
.44508 .49576 L
.44459 .49518 L
.44342 .49326 L
.44316 .4929 L
.44208 .49133 L
.44123 .49017 L
.4407 .4894 L
.43932 .48747 L
.4393 .48745 L
.43802 .48555 L
.43737 .48465 L
.43669 .48362 L
.43545 .48186 L
.43534 .48169 L
.43409 .47977 L
.43352 .47896 L
.43284 .47784 L
.43159 .47598 L
.43156 .47591 L
.43058 .47399 L
F
1 .99 0 r
.43159 .35537 m
.43274 .35644 L
.43352 .35717 L
.43464 .35837 L
.43545 .35917 L
.43639 .3603 L
.43737 .36149 L
.43828 .36222 L
.4393 .36385 L
.43958 .36415 L
.44121 .36608 L
.44123 .3661 L
.44276 .36801 L
.44316 .36855 L
.4444 .36993 L
.44508 .3711 L
.44562 .37186 L
.44701 .37368 L
.44731 .37379 L
.44878 .37571 L
.44894 .37594 L
.45028 .37764 L
.45086 .37859 L
.45148 .37957 L
.45279 .38131 L
.4532 .38149 L
.45463 .38342 L
.45472 .38356 L
.45607 .38535 L
.45664 .38626 L
.45722 .38727 L
.45857 .38904 L
.45897 .3892 L
.46047 .39113 L
.4605 .3913 L
.46178 .39306 L
.46242 .39404 L
.4629 .39498 L
.46435 .39681 L
.46468 .39691 L
.46619 .39884 L
.46628 .39912 L
.46745 .40076 L
.46821 .40187 L
.46853 .40269 L
.47013 .40432 L
.47036 .40462 L
.47188 .40654 L
.47206 .40698 L
.4731 .40847 L
.47399 .40973 L
.47416 .4104 L
.47591 .41219 L
.47601 .41232 L
.47754 .41425 L
.47784 .41486 L
.47873 .41618 L
.47977 .41759 L
.47979 .41811 L
.48166 .42003 L
.48169 .42008 L
.48319 .42196 L
.48362 .42275 L
.48436 .42389 L
.48555 .42545 L
.48591 .42581 L
.48731 .42774 L
.48747 .42796 L
.48883 .42967 L
.4894 .43064 L
.48999 .43159 L
.49133 .43331 L
.49155 .43352 L
.49295 .43545 L
.49326 .43584 L
.49446 .43737 L
.49518 .43853 L
.49562 .4393 L
.49711 .44115 L
.49719 .44123 L
.49898 .44316 L
.49904 .44372 L
.50008 .44508 L
.50096 .44641 L
.50126 .44701 L
.50283 .44894 L
.50289 .44899 L
.50462 .45086 L
.50482 .45161 L
.5057 .45279 L
.50674 .4543 L
.50692 .45472 L
.50846 .45664 L
.50867 .45684 L
.51023 .45857 L
.5106 .45951 L
.51132 .4605 L
.51253 .46219 L
.5126 .46242 L
.51409 .46435 L
.51445 .46469 L
.51584 .46628 L
.51638 .4674 L
.51694 .46821 L
.51831 .47009 L
.51831 .47013 L
.51972 .47206 L
.52023 .47256 L
.52143 .47399 L
.52216 .47531 L
.52257 .47591 L
.52397 .47784 L
.52409 .478 L
.52536 .47977 L
.52601 .48045 L
.52703 .48169 L
.52794 .48323 L
.52819 .48362 L
.52959 .48555 L
.52987 .48591 L
.53099 .48747 L
.53179 .48836 L
.53262 .4894 L
.53372 .49115 L
.53383 .49133 L
.53522 .49326 L
.53565 .49382 L
.53662 .49518 L
.53758 .49629 L
.5382 .49711 L
.53947 .49904 L
.5395 .49908 L
.54084 .50096 L
.54143 .50131 L
.54282 .50289 L
.54336 .50426 L
.54376 .50482 L
.54508 .50674 L
.54528 .50702 L
.54645 .50867 L
.54721 .50936 L
.54822 .5106 L
.54914 .51226 L
.54932 .51253 L
.55067 .51445 L
.55106 .51497 L
.55205 .51638 L
.55299 .51745 L
.55364 .51831 L
.55489 .52023 L
.55492 .52027 L
.55625 .52216 L
.55684 .52259 L
.55799 .52409 L
.55877 .52549 L
.55913 .52601 L
.56045 .52794 L
.5607 .52827 L
.56181 .52987 L
.56263 .53096 L
.56364 .53179 L
.56455 .53363 L
.56467 .53372 L
.56592 .53565 L
.56648 .53643 L
.56708 .53758 L
.56648 .53785 L
.56607 .53758 L
.56455 .53661 L
.5629 .53565 L
.56263 .53548 L
.5607 .53438 L
.56012 .53372 L
.55877 .53301 L
.5575 .53179 L
.55684 .53094 L
.55592 .52987 L
.55492 .52848 L
.55449 .52794 L
.55307 .52601 L
.55299 .52592 L
.55144 .52409 L
.55106 .5233 L
.55016 .52216 L
.54914 .52065 L
.54884 .52023 L
.54732 .51831 L
.54721 .51801 L
.54598 .51638 L
.54528 .51534 L
.54468 .51445 L
.54336 .51266 L
.5433 .51253 L
.54185 .5106 L
.54143 .50999 L
.54061 .50867 L
.5395 .5073 L
.53906 .50674 L
.53768 .50482 L
.53758 .50466 L
.5365 .50289 L
.53565 .50188 L
.53482 .50096 L
.53372 .49941 L
.53344 .49904 L
.53212 .49711 L
.53179 .49668 L
.53122 .49518 L
.52987 .49417 L
.52917 .49326 L
.52794 .49153 L
.52779 .49133 L
.5265 .4894 L
.52601 .48876 L
.52493 .48747 L
.52409 .4863 L
.52352 .48555 L
.52216 .48365 L
.52214 .48362 L
.52087 .48169 L
.52023 .48086 L
.51927 .47977 L
.51831 .47841 L
.51787 .47784 L
.51647 .47591 L
.51638 .47575 L
.51525 .47399 L
.51445 .47297 L
.51362 .47206 L
.51253 .47052 L
.51223 .47013 L
.51082 .46821 L
.5106 .46785 L
.50964 .46628 L
.50867 .46509 L
.50798 .46435 L
.50674 .46262 L
.50659 .46242 L
.50519 .4605 L
.50482 .45994 L
.50404 .45857 L
.50289 .4572 L
.50235 .45664 L
.50096 .45472 L
.50096 .45472 L
.49956 .45279 L
.49904 .45204 L
.49844 .45086 L
.49711 .44933 L
.49671 .44894 L
.49523 .44701 L
.49518 .44683 L
.49394 .44508 L
.49326 .44414 L
.49284 .44316 L
.49133 .44147 L
.49108 .44123 L
.48954 .4393 L
.4894 .43894 L
.48832 .43737 L
.48747 .43625 L
.48723 .43545 L
.48555 .43361 L
.48545 .43352 L
.48389 .43159 L
.48362 .43104 L
.4827 .42967 L
.48169 .42835 L
.4816 .42774 L
.47982 .42581 L
.47977 .42577 L
.47825 .42389 L
.47784 .42315 L
.47708 .42196 L
.47591 .42045 L
.47558 .42003 L
.47419 .41811 L
.47399 .41791 L
.47262 .41618 L
.47206 .41524 L
.47147 .41425 L
.47013 .41255 L
.46996 .41232 L
.46856 .4104 L
.46821 .41005 L
.46701 .40847 L
.46628 .40733 L
.46584 .40654 L
.46435 .40464 L
.46434 .40462 L
.46295 .40269 L
.46242 .40216 L
.46141 .40076 L
.4605 .3994 L
.46022 .39884 L
.45873 .39691 L
.45857 .3967 L
.45681 .39498 L
.45664 .39423 L
.45582 .39306 L
.45472 .39143 L
.45458 .39113 L
.45314 .3892 L
.45279 .38873 L
.45126 .38727 L
.45086 .38625 L
.45026 .38535 L
.44894 .38342 L
.44894 .38342 L
.44758 .38149 L
.44701 .38072 L
.44577 .37957 L
.44508 .37816 L
.44475 .37764 L
.44343 .37571 L
.44316 .37534 L
.44208 .37379 L
.44123 .37261 L
.4404 .37186 L
.43932 .36993 L
.4393 .3699 L
.43802 .36801 L
.43737 .3671 L
.43669 .36608 L
.43545 .36441 L
.43528 .36415 L
.4341 .36222 L
.43352 .36138 L
.43286 .3603 L
.43162 .35837 L
.43159 .35833 L
.43064 .35644 L
F
1 .76 0 r
.43159 .43922 m
.43171 .4393 L
.43352 .44056 L
.43392 .44123 L
.43545 .44284 L
.43566 .44316 L
.43723 .44508 L
.43737 .44526 L
.4387 .44701 L
.4393 .44777 L
.44015 .44894 L
.44123 .45008 L
.44199 .45086 L
.44294 .45279 L
.44316 .45309 L
.44422 .45472 L
.44508 .45602 L
.44546 .45664 L
.44644 .45857 L
.44508 .45921 L
.44437 .45857 L
.44316 .45774 L
.44245 .45664 L
.44123 .45532 L
.4403 .45472 L
.4393 .45289 L
.43921 .45279 L
.43775 .45086 L
.43737 .45038 L
.43631 .44894 L
.43545 .44808 L
.43453 .44701 L
.43359 .44508 L
.43352 .44497 L
.43237 .44316 L
.43159 .44184 L
.43126 .44123 L
.43083 .4393 L
F
1 .93 0 r
.43159 .41434 m
.43339 .41618 L
.43352 .41632 L
.43507 .41811 L
.43545 .41855 L
.43665 .42003 L
.43737 .42096 L
.43814 .42196 L
.4393 .42342 L
.43965 .42389 L
.44078 .42581 L
.44123 .4266 L
.4418 .42774 L
.44123 .42893 L
.43947 .42774 L
.4393 .42758 L
.43773 .42581 L
.43737 .4254 L
.43622 .42389 L
.43545 .42291 L
.43477 .42196 L
.43352 .42027 L
.43336 .42003 L
.43208 .41811 L
.43159 .41739 L
.43088 .41618 L
F
0 .98 1 r
.43159 .4333 m
.43352 .43323 L
.43484 .43352 L
.43545 .43377 L
.43715 .43545 L
.43737 .43569 L
.43889 .43737 L
.4393 .43815 L
.44008 .4393 L
.44123 .44075 L
.44126 .44123 L
.44299 .44316 L
.44316 .44338 L
.44458 .44508 L
.44508 .44607 L
.44575 .44701 L
.44701 .44871 L
.44725 .44894 L
.44864 .45086 L
.44894 .45117 L
.45022 .45279 L
.45086 .45384 L
.45138 .45472 L
.45279 .45653 L
.45288 .45664 L
.45426 .45857 L
.45472 .45921 L
.45581 .4605 L
.45664 .46189 L
.45696 .46242 L
.45835 .46435 L
.45664 .46618 L
.45472 .46597 L
.45279 .46445 L
.45271 .46435 L
.45103 .46242 L
.45086 .46206 L
.44978 .4605 L
.44894 .45949 L
.4487 .45857 L
.44701 .45687 L
.44685 .45664 L
.44532 .45472 L
.44508 .4542 L
.44412 .45279 L
.44316 .45149 L
.44307 .45086 L
.44123 .44895 L
.4412 .44894 L
.43968 .44701 L
.4393 .4464 L
.43851 .44508 L
.43737 .44371 L
.43697 .44316 L
.43559 .44123 L
.43545 .44102 L
.43408 .4393 L
.43352 .43831 L
.43296 .43737 L
.43159 .43553 L
.43154 .43545 L
.43099 .43352 L
F
0 .93 1 r
.43159 .37964 m
.43312 .38149 L
.43352 .38193 L
.43469 .38342 L
.43545 .38429 L
.43625 .38535 L
.43737 .3867 L
.43781 .38727 L
.4393 .38912 L
.43941 .3892 L
.4408 .39113 L
.44123 .39164 L
.44227 .39306 L
.44316 .39416 L
.44376 .39498 L
.44508 .39661 L
.44543 .39691 L
.44669 .39884 L
.44701 .39924 L
.44812 .40076 L
.44894 .40181 L
.44957 .40269 L
.45086 .4043 L
.4512 .40462 L
.45246 .40654 L
.45279 .40697 L
.45386 .40847 L
.45472 .40957 L
.4553 .4104 L
.45664 .41212 L
.45684 .41232 L
.45814 .41425 L
.45857 .4148 L
.45954 .41618 L
.4605 .41743 L
.46097 .41811 L
.46241 .42003 L
.46242 .42005 L
.46377 .42196 L
.46435 .42272 L
.46516 .42389 L
.46628 .42504 L
.46658 .42581 L
.46798 .42774 L
.46821 .42804 L
.46932 .42967 L
.47013 .43074 L
.47071 .43159 L
.47206 .43333 L
.47213 .43352 L
.47346 .43545 L
.47399 .43615 L
.4748 .43737 L
.47591 .43888 L
.47619 .4393 L
.47754 .44123 L
.47784 .44164 L
.47883 .44316 L
.47977 .44444 L
.48017 .44508 L
.48152 .44701 L
.48169 .44725 L
.48275 .44894 L
.48362 .45017 L
.48403 .45086 L
.48362 .45263 L
.48221 .45086 L
.48169 .45024 L
.48069 .44894 L
.47977 .44777 L
.47918 .44701 L
.47784 .44533 L
.4777 .44508 L
.47623 .44316 L
.47591 .44276 L
.47474 .44123 L
.47399 .44027 L
.47324 .4393 L
.47206 .43783 L
.47146 .43737 L
.4703 .43545 L
.47013 .43524 L
.46882 .43352 L
.46821 .43329 L
.46733 .43159 L
.46628 .43027 L
.46563 .42967 L
.46441 .42774 L
.46435 .42767 L
.46295 .42581 L
.46242 .42554 L
.46148 .42389 L
.4605 .42264 L
.45986 .42196 L
.4586 .42003 L
.45857 .42 L
.45716 .41811 L
.45664 .41778 L
.45572 .41618 L
.45472 .41488 L
.45417 .41425 L
.45288 .41232 L
.45279 .41221 L
.45146 .4104 L
.45086 .40994 L
.45004 .40847 L
.44894 .40701 L
.44856 .40654 L
.44724 .40462 L
.44701 .4043 L
.44585 .40269 L
.44508 .40198 L
.44445 .40076 L
.44316 .39898 L
.44304 .39884 L
.44171 .39691 L
.44123 .39625 L
.44033 .39498 L
.4393 .39378 L
.43858 .39306 L
.43762 .39113 L
.43737 .39078 L
.4363 .3892 L
.43545 .388 L
.43496 .38727 L
.43365 .38535 L
.43352 .38517 L
.4324 .38342 L
.43159 .38223 L
.43113 .38149 L
F
1 .13 0 r
.43159 .48972 m
.43272 .49133 L
.43352 .49231 L
.43417 .49326 L
.43545 .4949 L
.43565 .49518 L
.43701 .49711 L
.43737 .49756 L
.43835 .49904 L
.4393 .50027 L
.43975 .50096 L
.4393 .50214 L
.43846 .50096 L
.43737 .49966 L
.43693 .49904 L
.43545 .49716 L
.43541 .49711 L
.43404 .49518 L
.43352 .49455 L
.43263 .49326 L
.43159 .49195 L
.43117 .49133 L
F
1 .12 0 r
.43159 .48979 m
.43266 .49133 L
.43352 .49238 L
.43412 .49326 L
.43545 .49496 L
.4356 .49518 L
.43545 .4971 L
.4341 .49518 L
.43352 .49448 L
.43268 .49326 L
.43159 .49188 L
.43122 .49133 L
F
1 .92 0 r
.43159 .41499 m
.4329 .41618 L
.43352 .41676 L
.43472 .41811 L
.43545 .41893 L
.43635 .42003 L
.43737 .42133 L
.43786 .42196 L
.43924 .42389 L
.4393 .42398 L
.44044 .42581 L
.44123 .42755 L
.44128 .42774 L
.44123 .42795 L
.44005 .42774 L
.4393 .42718 L
.43803 .42581 L
.43737 .42509 L
.43645 .42389 L
.43545 .42263 L
.43498 .42196 L
.43357 .42003 L
.43352 .41996 L
.43237 .41811 L
.43159 .41688 L
.43124 .41618 L
F
1 .94 0 r
.43159 .38814 m
.43234 .3892 L
.43352 .39055 L
.43392 .39113 L
.43545 .393 L
.43549 .39306 L
.43688 .39498 L
.43737 .39557 L
.4383 .39691 L
.4393 .39814 L
.43977 .39884 L
.44123 .40071 L
.44127 .40076 L
.4426 .40269 L
.44316 .40339 L
.44396 .40462 L
.44508 .40606 L
.44539 .40654 L
.44508 .40804 L
.44396 .40654 L
.44316 .40556 L
.44245 .40462 L
.44123 .40305 L
.44096 .40269 L
.43954 .40076 L
.4393 .40047 L
.43814 .39884 L
.43737 .39785 L
.43671 .39691 L
.43545 .39521 L
.43528 .39498 L
.43397 .39306 L
.43352 .39248 L
.43263 .39113 L
.43159 .38972 L
.43126 .3892 L
F
1 .11 0 r
.43159 .48987 m
.4326 .49133 L
.43352 .49245 L
.43407 .49326 L
.43545 .49502 L
.43556 .49518 L
.43545 .49702 L
.43417 .49518 L
.43352 .49441 L
.43274 .49326 L
.43159 .49181 L
.43126 .49133 L
F
1 .1 0 r
.43159 .48995 m
.43253 .49133 L
.43352 .49252 L
.43402 .49326 L
.43545 .49509 L
.43551 .49518 L
.43545 .49693 L
.43424 .49518 L
.43352 .49433 L
.4328 .49326 L
.43159 .49174 L
.43132 .49133 L
F
1 .75 0 r
.43159 .43942 m
.43352 .44071 L
.43383 .44123 L
.43545 .44294 L
.43559 .44316 L
.43717 .44508 L
.43737 .44533 L
.43865 .44701 L
.4393 .44783 L
.4401 .44894 L
.44123 .45017 L
.4419 .45086 L
.44289 .45279 L
.44316 .45317 L
.44416 .45472 L
.44508 .45613 L
.44539 .45664 L
.44629 .45857 L
.44508 .45906 L
.44451 .45857 L
.44316 .45763 L
.44254 .45664 L
.44123 .45523 L
.44042 .45472 L
.4393 .45281 L
.43928 .45279 L
.43781 .45086 L
.43737 .4503 L
.43637 .44894 L
.43545 .44798 L
.43461 .44701 L
.43366 .44508 L
.43352 .44487 L
.43245 .44316 L
.43159 .44167 L
.43136 .44123 L
F
1 .09 0 r
.43159 .49004 m
.43246 .49133 L
.43352 .4926 L
.43396 .49326 L
.43545 .49517 L
.43546 .49518 L
.43545 .49684 L
.43432 .49518 L
.43352 .49425 L
.43286 .49326 L
.43159 .49166 L
.43137 .49133 L
F
0 .33 1 r
.43159 .48177 m
.43309 .48362 L
.43352 .48408 L
.43466 .48555 L
.43545 .48646 L
.43622 .48747 L
.43737 .48889 L
.43777 .4894 L
.43928 .49133 L
.4393 .49135 L
.44073 .49326 L
.44123 .49387 L
.44221 .49518 L
.44316 .49639 L
.44369 .49711 L
.44508 .49889 L
.44526 .49904 L
.44658 .50096 L
.44701 .50151 L
.44801 .50289 L
.44894 .50409 L
.44946 .50482 L
.45086 .50666 L
.45095 .50674 L
.45229 .50867 L
.45279 .50932 L
.4537 .5106 L
.45472 .51195 L
.45512 .51253 L
.45653 .51445 L
.45664 .5146 L
.45788 .51638 L
.45857 .5173 L
.45927 .51831 L
.4605 .51998 L
.46067 .52023 L
.462 .52216 L
.46242 .52273 L
.46333 .52409 L
.46435 .52549 L
.46469 .52601 L
.466 .52794 L
.46628 .52833 L
.46721 .52987 L
.46821 .53129 L
.46849 .53179 L
.46821 .5329 L
.4673 .53179 L
.46628 .53071 L
.46562 .52987 L
.46435 .52839 L
.464 .52794 L
.46244 .52601 L
.46242 .526 L
.46096 .52409 L
.4605 .52353 L
.45947 .52216 L
.45857 .52105 L
.45796 .52023 L
.45664 .51868 L
.45646 .51831 L
.45502 .51638 L
.45472 .516 L
.45358 .51445 L
.45279 .51344 L
.45212 .51253 L
.45086 .51102 L
.45066 .5106 L
.44925 .50867 L
.44894 .50828 L
.44784 .50674 L
.44701 .50566 L
.44641 .50482 L
.44508 .50313 L
.44481 .50289 L
.4436 .50096 L
.44316 .50039 L
.44221 .49904 L
.44123 .49773 L
.4408 .49711 L
.4394 .49518 L
.4393 .49506 L
.43807 .49326 L
.43737 .49233 L
.4367 .49133 L
.43545 .48961 L
.43531 .4894 L
.43402 .48747 L
.43352 .4868 L
.43273 .48555 L
.43159 .48395 L
.43139 .48362 L
F
1 .08 0 r
.43159 .49014 m
.43238 .49133 L
.43352 .49269 L
.4339 .49326 L
.43352 .49415 L
.43293 .49326 L
.43159 .49158 L
.43143 .49133 L
F
0 .32 1 r
.43159 .48187 m
.43302 .48362 L
.43352 .48416 L
.43461 .48555 L
.43545 .48652 L
.43618 .48747 L
.43737 .48894 L
.43773 .4894 L
.43924 .49133 L
.4393 .4914 L
.44069 .49326 L
.44123 .49391 L
.44217 .49518 L
.44316 .49643 L
.44366 .49711 L
.44508 .49894 L
.4452 .49904 L
.44655 .50096 L
.44701 .50155 L
.44798 .50289 L
.44894 .50413 L
.44943 .50482 L
.45086 .50671 L
.4509 .50674 L
.45226 .50867 L
.45279 .50936 L
.45367 .5106 L
.45472 .51199 L
.4551 .51253 L
.4565 .51445 L
.45664 .51464 L
.45785 .51638 L
.45857 .51734 L
.45924 .51831 L
.4605 .52002 L
.46064 .52023 L
.46196 .52216 L
.46242 .52278 L
.46329 .52409 L
.46435 .52555 L
.46465 .52601 L
.46594 .52794 L
.46628 .52841 L
.46715 .52987 L
.46821 .53141 L
.46842 .53179 L
.46821 .53276 L
.4674 .53179 L
.46628 .53063 L
.46568 .52987 L
.46435 .52833 L
.46405 .52794 L
.46249 .52601 L
.46242 .52594 L
.46101 .52409 L
.4605 .52348 L
.45951 .52216 L
.45857 .521 L
.458 .52023 L
.45664 .51862 L
.4565 .51831 L
.45505 .51638 L
.45472 .51596 L
.45361 .51445 L
.45279 .5134 L
.45215 .51253 L
.45086 .51097 L
.45069 .5106 L
.44928 .50867 L
.44894 .50824 L
.44787 .50674 L
.44701 .50562 L
.44643 .50482 L
.44508 .50308 L
.44487 .50289 L
.44363 .50096 L
.44316 .50035 L
.44224 .49904 L
.44123 .49769 L
.44082 .49711 L
.43943 .49518 L
.4393 .49501 L
.43811 .49326 L
.43737 .49228 L
.43674 .49133 L
.43545 .48956 L
.43534 .4894 L
.43407 .48747 L
.43352 .48673 L
.43278 .48555 L
.43159 .48387 L
.43144 .48362 L
F
0 .27 1 r
.43159 .49847 m
.43181 .49904 L
.43159 .4992 L
.43146 .49904 L
F
1 .74 0 r
.43159 .43967 m
.43352 .44087 L
.43373 .44123 L
.43545 .44303 L
.43553 .44316 L
.4371 .44508 L
.43737 .4454 L
.43859 .44701 L
.4393 .4479 L
.44005 .44894 L
.44123 .45027 L
.4418 .45086 L
.44283 .45279 L
.44316 .45325 L
.44409 .45472 L
.44508 .45624 L
.44531 .45664 L
.44611 .45857 L
.44508 .4589 L
.44467 .45857 L
.44316 .4575 L
.44263 .45664 L
.44123 .45513 L
.44056 .45472 L
.43935 .45279 L
.4393 .45273 L
.43787 .45086 L
.43737 .45022 L
.43643 .44894 L
.43545 .44788 L
.4347 .44701 L
.43373 .44508 L
.43352 .44476 L
.43253 .44316 L
.43159 .44147 L
.43147 .44123 L
F
1 .07 0 r
.43159 .49026 m
.43228 .49133 L
.43352 .49278 L
.43383 .49326 L
.43352 .49405 L
.43301 .49326 L
.43159 .49149 L
.43149 .49133 L
F
0 .31 1 r
.43159 .48198 m
.43294 .48362 L
.43352 .48424 L
.43455 .48555 L
.43545 .48659 L
.43613 .48747 L
.43737 .48899 L
.43769 .4894 L
.4392 .49133 L
.4393 .49145 L
.44066 .49326 L
.44123 .49396 L
.44214 .49518 L
.44316 .49647 L
.44363 .49711 L
.44508 .499 L
.44513 .49904 L
.44652 .50096 L
.44701 .50159 L
.44795 .50289 L
.44894 .50417 L
.44941 .50482 L
.45085 .50674 L
.45086 .50676 L
.45223 .50867 L
.45279 .5094 L
.45364 .5106 L
.45472 .51203 L
.45507 .51253 L
.45646 .51445 L
.45664 .51469 L
.45782 .51638 L
.45857 .51738 L
.45921 .51831 L
.4605 .52007 L
.46061 .52023 L
.46192 .52216 L
.46242 .52284 L
.46325 .52409 L
.46435 .52561 L
.46461 .52601 L
.46588 .52794 L
.46628 .5285 L
.46708 .52987 L
.46821 .53154 L
.46834 .53179 L
.46821 .5326 L
.46752 .53179 L
.46628 .53054 L
.46575 .52987 L
.46435 .52826 L
.4641 .52794 L
.46255 .52601 L
.46242 .52588 L
.46106 .52409 L
.4605 .52343 L
.45955 .52216 L
.45857 .52096 L
.45803 .52023 L
.45664 .51855 L
.45653 .51831 L
.45509 .51638 L
.45472 .51592 L
.45365 .51445 L
.45279 .51336 L
.45218 .51253 L
.45086 .51091 L
.45071 .5106 L
.44931 .50867 L
.44894 .5082 L
.4479 .50674 L
.44701 .50559 L
.44646 .50482 L
.44508 .50302 L
.44493 .50289 L
.44366 .50096 L
.44316 .50031 L
.44227 .49904 L
.44123 .49765 L
.44085 .49711 L
.43947 .49518 L
.4393 .49497 L
.43814 .49326 L
.43737 .49223 L
.43677 .49133 L
.43545 .4895 L
.43538 .4894 L
.43412 .48747 L
.43352 .48666 L
.43283 .48555 L
.43159 .48378 L
.4315 .48362 L
F
0 .3 1 r
.43159 .4821 m
.43285 .48362 L
.43352 .48432 L
.43449 .48555 L
.43545 .48665 L
.43608 .48747 L
.43737 .48905 L
.43765 .4894 L
.43915 .49133 L
.4393 .4915 L
.44062 .49326 L
.44123 .49401 L
.4421 .49518 L
.44316 .49652 L
.44359 .49711 L
.44507 .49904 L
.44508 .49905 L
.44648 .50096 L
.44701 .50163 L
.44792 .50289 L
.44894 .50421 L
.44938 .50482 L
.45082 .50674 L
.45086 .5068 L
.4522 .50867 L
.45279 .50944 L
.45361 .5106 L
.45472 .51207 L
.45504 .51253 L
.45643 .51445 L
.45664 .51473 L
.45778 .51638 L
.45857 .51743 L
.45917 .51831 L
.4605 .52012 L
.46058 .52023 L
.46188 .52216 L
.46242 .52289 L
.4632 .52409 L
.46435 .52568 L
.46457 .52601 L
.46581 .52794 L
.46628 .52859 L
.467 .52987 L
.46821 .53171 L
.46825 .53179 L
.46821 .53237 L
.46768 .53179 L
.46628 .53045 L
.46582 .52987 L
.46435 .52819 L
.46416 .52794 L
.4626 .52601 L
.46242 .52581 L
.4611 .52409 L
.4605 .52337 L
.45959 .52216 L
.45857 .52091 L
.45807 .52023 L
.45664 .51848 L
.45656 .51831 L
.45513 .51638 L
.45472 .51587 L
.45368 .51445 L
.45279 .51332 L
.45221 .51253 L
.45086 .51085 L
.45074 .5106 L
.44934 .50867 L
.44894 .50816 L
.44793 .50674 L
.44701 .50555 L
.44649 .50482 L
.44508 .50296 L
.445 .50289 L
.44369 .50096 L
.44316 .50027 L
.4423 .49904 L
.44123 .49761 L
.44088 .49711 L
.4395 .49518 L
.4393 .49492 L
.43818 .49326 L
.43737 .49218 L
.43681 .49133 L
.43545 .48945 L
.43542 .4894 L
.43417 .48747 L
.43352 .48658 L
.43289 .48555 L
.43159 .48369 L
.43155 .48362 L
F
1 .06 0 r
.43159 .4904 m
.43216 .49133 L
.43352 .49289 L
.43375 .49326 L
.43352 .49393 L
.4331 .49326 L
.43159 .49138 L
.43156 .49133 L
F
1 .73 0 r
.43159 .44 m
.43352 .44104 L
.43363 .44123 L
.43545 .44314 L
.43546 .44316 L
.43704 .44508 L
.43737 .44548 L
.43854 .44701 L
.4393 .44797 L
.44 .44894 L
.44123 .45037 L
.4417 .45086 L
.44277 .45279 L
.44316 .45334 L
.44403 .45472 L
.44508 .45637 L
.44524 .45664 L
.44589 .45857 L
.44508 .45873 L
.44486 .45857 L
.44316 .45735 L
.44273 .45664 L
.44123 .45503 L
.44071 .45472 L
.43942 .45279 L
.4393 .45265 L
.43793 .45086 L
.43737 .45014 L
.43649 .44894 L
.43545 .44777 L
.4348 .44701 L
.43381 .44508 L
.43352 .44465 L
.43261 .44316 L
.43159 .44124 L
.43159 .44123 L
F
0 .97 1 r
.43352 .43349 m
.43373 .43352 L
.43545 .43405 L
.43696 .43545 L
.43737 .43587 L
.43882 .43737 L
.4393 .43826 L
.44002 .4393 L
.44123 .44082 L
.44126 .44123 L
.44295 .44316 L
.44316 .44344 L
.44456 .44508 L
.44508 .44612 L
.44572 .44701 L
.44701 .44875 L
.44721 .44894 L
.44861 .45086 L
.44894 .4512 L
.45019 .45279 L
.45086 .45388 L
.45135 .45472 L
.45279 .45658 L
.45284 .45664 L
.45422 .45857 L
.45472 .45927 L
.45576 .4605 L
.45664 .46199 L
.45691 .46242 L
.45819 .46435 L
.45664 .46601 L
.45472 .46574 L
.45291 .46435 L
.45279 .46424 L
.45109 .46242 L
.45086 .46194 L
.44984 .4605 L
.44894 .45941 L
.44873 .45857 L
.44701 .4568 L
.44689 .45664 L
.44535 .45472 L
.44508 .45414 L
.44415 .45279 L
.44316 .45144 L
.44308 .45086 L
.44124 .44894 L
.44123 .44893 L
.43971 .44701 L
.4393 .44635 L
.43854 .44508 L
.43737 .44364 L
.43702 .44316 L
.43565 .44123 L
.43545 .44094 L
.43414 .4393 L
.43352 .43819 L
.43304 .43737 L
.43172 .43545 L
.43216 .43352 L
F
1 .72 0 r
.43352 .44123 m
.43352 .44123 L
.43538 .44316 L
.43545 .44323 L
.43697 .44508 L
.43737 .44555 L
.43848 .44701 L
.4393 .44804 L
.43995 .44894 L
.44123 .45048 L
.44159 .45086 L
.44271 .45279 L
.44316 .45343 L
.44396 .45472 L
.44508 .45651 L
.44516 .45664 L
.44508 .45855 L
.44316 .45719 L
.44283 .45664 L
.44123 .45493 L
.44088 .45472 L
.43949 .45279 L
.4393 .45256 L
.43799 .45086 L
.43737 .45006 L
.43655 .44894 L
.43545 .44764 L
.4349 .44701 L
.43388 .44508 L
.43352 .44453 L
.4327 .44316 L
.43175 .44123 L
F
0 .96 1 r
.43352 .43372 m
.43545 .43429 L
.43677 .43545 L
.43737 .43603 L
.43875 .43737 L
.4393 .43837 L
.43996 .4393 L
.44123 .4409 L
.44125 .44123 L
.4429 .44316 L
.44316 .4435 L
.44453 .44508 L
.44508 .44616 L
.44569 .44701 L
.44701 .44878 L
.44718 .44894 L
.44858 .45086 L
.44894 .45124 L
.45016 .45279 L
.45086 .45392 L
.45132 .45472 L
.45279 .45663 L
.4528 .45664 L
.45418 .45857 L
.45472 .45934 L
.45571 .4605 L
.45664 .46208 L
.45685 .46242 L
.45804 .46435 L
.45664 .46584 L
.45472 .46553 L
.4531 .46435 L
.45279 .46407 L
.45114 .46242 L
.45086 .46183 L
.44991 .4605 L
.44894 .45933 L
.44875 .45857 L
.44701 .45673 L
.44694 .45664 L
.44538 .45472 L
.44508 .45408 L
.44419 .45279 L
.44316 .4514 L
.44309 .45086 L
.44128 .44894 L
.44123 .4489 L
.43973 .44701 L
.4393 .4463 L
.43858 .44508 L
.43737 .44358 L
.43707 .44316 L
.4357 .44123 L
.43545 .44086 L
.4342 .4393 L
.43352 .43807 L
.43312 .43737 L
.43191 .43545 L
F
0 .95 1 r
.43352 .43394 m
.43545 .43451 L
.43658 .43545 L
.43737 .43619 L
.43866 .43737 L
.4393 .43847 L
.4399 .4393 L
.44123 .44098 L
.44125 .44123 L
.44286 .44316 L
.44316 .44356 L
.4445 .44508 L
.44508 .44621 L
.44566 .44701 L
.44701 .44881 L
.44715 .44894 L
.44855 .45086 L
.44894 .45127 L
.45014 .45279 L
.45086 .45397 L
.4513 .45472 L
.45276 .45664 L
.45279 .45668 L
.45413 .45857 L
.45472 .4594 L
.45566 .4605 L
.45664 .46218 L
.45679 .46242 L
.45788 .46435 L
.45664 .46566 L
.45472 .46534 L
.4533 .46435 L
.45279 .46392 L
.4512 .46242 L
.45086 .46173 L
.44997 .4605 L
.44894 .45925 L
.44878 .45857 L
.44701 .45667 L
.44699 .45664 L
.4454 .45472 L
.44508 .45403 L
.44422 .45279 L
.44316 .45135 L
.4431 .45086 L
.44131 .44894 L
.44123 .44886 L
.43976 .44701 L
.4393 .44625 L
.43861 .44508 L
.43737 .44352 L
.43712 .44316 L
.43576 .44123 L
.43545 .44077 L
.43426 .4393 L
.43352 .43793 L
.4332 .43737 L
.43211 .43545 L
F
0 .91 1 r
.43352 .46811 m
.43361 .46821 L
.43537 .47013 L
.43545 .47021 L
.43707 .47206 L
.43737 .4724 L
.43873 .47399 L
.4393 .47428 L
.44037 .47591 L
.44123 .47694 L
.44249 .47784 L
.44316 .47937 L
.44346 .47977 L
.44508 .48169 L
.44509 .48169 L
.44664 .48362 L
.44701 .48409 L
.4485 .48555 L
.44894 .48662 L
.44957 .48747 L
.45086 .48915 L
.45087 .4894 L
.45265 .49133 L
.45279 .49151 L
.45434 .49326 L
.45472 .49409 L
.45549 .49518 L
.45664 .4967 L
.4567 .49711 L
.45851 .49904 L
.45857 .49911 L
.46009 .50096 L
.4605 .50173 L
.46128 .50289 L
.46242 .50438 L
.46287 .50482 L
.46429 .50674 L
.46435 .50683 L
.46581 .50867 L
.46628 .50947 L
.46699 .5106 L
.46821 .51214 L
.4686 .51253 L
.47001 .51445 L
.47013 .51461 L
.47149 .51638 L
.47206 .51728 L
.47266 .51831 L
.47399 .51994 L
.47429 .52023 L
.4757 .52216 L
.47591 .52244 L
.47715 .52409 L
.47784 .52512 L
.47831 .52601 L
.47977 .52776 L
.47996 .52794 L
.48165 .52987 L
.48169 .5303 L
.4828 .53179 L
.48362 .53298 L
.48396 .53372 L
.48555 .53559 L
.48561 .53565 L
.4873 .53758 L
.48747 .53817 L
.48843 .5395 L
.4894 .54086 L
.48961 .54143 L
.49125 .54336 L
.49133 .54343 L
.49293 .54528 L
.49326 .54607 L
.49404 .54721 L
.49518 .54876 L
.49527 .54914 L
.49687 .55106 L
.49711 .5513 L
.49853 .55299 L
.49904 .55399 L
.49965 .55492 L
.50096 .55669 L
.50098 .55684 L
.50247 .55877 L
.50289 .5592 L
.5041 .5607 L
.50482 .56196 L
.50524 .56263 L
.50666 .56455 L
.50674 .56466 L
.50804 .56648 L
.50867 .56716 L
.50964 .56841 L
.5106 .56998 L
.51081 .57033 L
.5122 .57226 L
.51253 .5727 L
.51358 .57419 L
.51445 .57522 L
.51511 .57611 L
.51634 .57804 L
.51638 .57809 L
.51768 .57997 L
.51831 .58083 L
.51975 .58189 L
.52023 .58348 L
.52047 .58382 L
.52173 .58575 L
.52216 .58635 L
.52304 .58768 L
.52409 .58916 L
.52469 .5896 L
.52565 .59153 L
.52601 .59205 L
.52689 .59346 L
.52794 .59504 L
.52815 .59538 L
.52924 .59731 L
.52987 .59839 L
.5302 .59924 L
.52987 .59985 L
.52917 .59924 L
.52794 .59814 L
.52718 .59731 L
.52601 .59651 L
.52542 .59538 L
.52409 .59391 L
.52327 .59346 L
.52216 .59156 L
.52213 .59153 L
.52056 .5896 L
.52023 .58943 L
.519 .58768 L
.51831 .58686 L
.51693 .58575 L
.51638 .58435 L
.51592 .58382 L
.51445 .5819 L
.51445 .58189 L
.51296 .57997 L
.51253 .57945 L
.51111 .57804 L
.5106 .57687 L
.51001 .57611 L
.50867 .57432 L
.50863 .57419 L
.50708 .57226 L
.50674 .57185 L
.50537 .57033 L
.50482 .56923 L
.50422 .56841 L
.50289 .56664 L
.50288 .56648 L
.5013 .56455 L
.50096 .56414 L
.49966 .56263 L
.49904 .56149 L
.4985 .5607 L
.49711 .55889 L
.49699 .55877 L
.49557 .55684 L
.49518 .55636 L
.49398 .55492 L
.49326 .5537 L
.49281 .55299 L
.49133 .55111 L
.49129 .55106 L
.48988 .54914 L
.4894 .54854 L
.48833 .54721 L
.48747 .54587 L
.48713 .54528 L
.48561 .54336 L
.48555 .5433 L
.48366 .54143 L
.48362 .54069 L
.48268 .5395 L
.48169 .53801 L
.48146 .53758 L
.47996 .53565 L
.47977 .53548 L
.47806 .53372 L
.47784 .53282 L
.47706 .53179 L
.47591 .53013 L
.47579 .52987 L
.47432 .52794 L
.47399 .52764 L
.47248 .52601 L
.47206 .52493 L
.47144 .52409 L
.47013 .52224 L
.4701 .52216 L
.46869 .52023 L
.46821 .51977 L
.4669 .51831 L
.46628 .51701 L
.46583 .51638 L
.46446 .51445 L
.46435 .51431 L
.46307 .51253 L
.46242 .51186 L
.46135 .5106 L
.4605 .50906 L
.46023 .50867 L
.45886 .50674 L
.45857 .50636 L
.45748 .50482 L
.45664 .5039 L
.45582 .50289 L
.45472 .50107 L
.45465 .50096 L
.45329 .49904 L
.45279 .49837 L
.4519 .49711 L
.45086 .49587 L
.45033 .49518 L
.4491 .49326 L
.44894 .49303 L
.44775 .49133 L
.44701 .49033 L
.44637 .4894 L
.44508 .48771 L
.44491 .48747 L
.44363 .48555 L
.44316 .48491 L
.44228 .48362 L
.44123 .48218 L
.4409 .48169 L
.43956 .47977 L
.4393 .47942 L
.43827 .47784 L
.43737 .47659 L
.43694 .47591 L
.43562 .47399 L
.43545 .47374 L
.43443 .47206 L
.43352 .4707 L
.4332 .47013 L
.43212 .46821 L
F
0 .94 1 r
.43352 .43417 m
.43545 .43472 L
.43638 .43545 L
.43737 .43634 L
.43857 .43737 L
.4393 .43857 L
.43984 .4393 L
.44123 .44105 L
.44124 .44123 L
.44281 .44316 L
.44316 .44361 L
.44447 .44508 L
.44508 .44625 L
.44563 .44701 L
.44701 .44884 L
.44712 .44894 L
.44852 .45086 L
.44894 .45131 L
.45011 .45279 L
.45086 .45401 L
.45127 .45472 L
.45273 .45664 L
.45279 .45673 L
.45409 .45857 L
.45472 .45947 L
.4556 .4605 L
.45664 .46229 L
.45672 .46242 L
.45771 .46435 L
.45664 .46549 L
.45472 .46516 L
.4535 .46435 L
.45279 .46377 L
.45126 .46242 L
.45086 .46162 L
.45003 .4605 L
.44894 .45917 L
.4488 .45857 L
.44704 .45664 L
.44701 .45661 L
.44543 .45472 L
.44508 .45397 L
.44426 .45279 L
.44316 .45131 L
.44311 .45086 L
.44135 .44894 L
.44123 .44883 L
.43979 .44701 L
.4393 .4462 L
.43865 .44508 L
.43737 .44345 L
.43717 .44316 L
.43582 .44123 L
.43545 .44068 L
.43432 .4393 L
.43352 .4378 L
.43328 .43737 L
.43231 .43545 L
F
0 .93 1 r
.43352 .4344 m
.43545 .43491 L
.43617 .43545 L
.43737 .43648 L
.43847 .43737 L
.4393 .43867 L
.43977 .4393 L
.44123 .44112 L
.44124 .44123 L
.44277 .44316 L
.44316 .44367 L
.44444 .44508 L
.44508 .4463 L
.4456 .44701 L
.44701 .44887 L
.44708 .44894 L
.44848 .45086 L
.44894 .45134 L
.45008 .45279 L
.45086 .45406 L
.45124 .45472 L
.45269 .45664 L
.45279 .45679 L
.45404 .45857 L
.45472 .45954 L
.45555 .4605 L
.45664 .46241 L
.45666 .46242 L
.45753 .46435 L
.45664 .46531 L
.45472 .46499 L
.45371 .46435 L
.45279 .46364 L
.45132 .46242 L
.45086 .46152 L
.45009 .4605 L
.44894 .4591 L
.44882 .45857 L
.44708 .45664 L
.44701 .45655 L
.44546 .45472 L
.44508 .45392 L
.44429 .45279 L
.44316 .45127 L
.44311 .45086 L
.44139 .44894 L
.44123 .4488 L
.43982 .44701 L
.4393 .44615 L
.43868 .44508 L
.43737 .44339 L
.43721 .44316 L
.43587 .44123 L
.43545 .4406 L
.43438 .4393 L
.43352 .43765 L
.43337 .43737 L
.43252 .43545 L
F
0 .92 1 r
.43352 .43463 m
.43545 .4351 L
.43594 .43545 L
.43737 .43662 L
.43836 .43737 L
.4393 .43877 L
.43971 .4393 L
.44123 .4412 L
.44123 .44123 L
.44272 .44316 L
.44316 .44372 L
.44441 .44508 L
.44508 .44634 L
.44557 .44701 L
.44701 .4489 L
.44705 .44894 L
.44845 .45086 L
.44894 .45138 L
.45005 .45279 L
.45086 .45411 L
.45121 .45472 L
.45265 .45664 L
.45279 .45684 L
.454 .45857 L
.45472 .45961 L
.45549 .4605 L
.45657 .46242 L
.45664 .46256 L
.45735 .46435 L
.45664 .46511 L
.45472 .46483 L
.45392 .46435 L
.45279 .4635 L
.4514 .46242 L
.45086 .46142 L
.45015 .4605 L
.44894 .45902 L
.44884 .45857 L
.44713 .45664 L
.44701 .45649 L
.44548 .45472 L
.44508 .45387 L
.44432 .45279 L
.44316 .45122 L
.44312 .45086 L
.44142 .44894 L
.44123 .44877 L
.43985 .44701 L
.4393 .4461 L
.43872 .44508 L
.43737 .44332 L
.43726 .44316 L
.43593 .44123 L
.43545 .4405 L
.43445 .4393 L
.43352 .43749 L
.43346 .43737 L
.43275 .43545 L
F
1 .91 0 r
.43352 .41729 m
.43429 .41811 L
.43545 .41935 L
.43601 .42003 L
.43737 .42173 L
.43755 .42196 L
.43889 .42389 L
.4393 .42451 L
.44003 .42581 L
.4393 .42668 L
.43841 .42581 L
.43737 .42473 L
.43672 .42389 L
.43545 .4223 L
.43521 .42196 L
.43389 .42003 L
.43352 .41951 L
.43276 .41811 L
F
1 .71 0 r
.43352 .44136 m
.43528 .44316 L
.43545 .44332 L
.4369 .44508 L
.43737 .44563 L
.43842 .44701 L
.4393 .44811 L
.4399 .44894 L
.44123 .4506 L
.44148 .45086 L
.44265 .45279 L
.44316 .45352 L
.4439 .45472 L
.44507 .45664 L
.44316 .45701 L
.44294 .45664 L
.44123 .45482 L
.44105 .45472 L
.43957 .45279 L
.4393 .45248 L
.43806 .45086 L
.43737 .44998 L
.43661 .44894 L
.43545 .44751 L
.43502 .44701 L
.43396 .44508 L
.43352 .44441 L
.43279 .44316 L
F
1 .7 0 r
.43352 .44151 m
.43519 .44316 L
.43545 .44342 L
.43683 .44508 L
.43737 .44571 L
.43837 .44701 L
.4393 .44818 L
.43985 .44894 L
.44123 .45072 L
.44137 .45086 L
.44258 .45279 L
.44316 .45362 L
.44382 .45472 L
.44494 .45664 L
.44316 .45682 L
.44305 .45664 L
.44124 .45472 L
.44123 .45471 L
.43964 .45279 L
.4393 .45239 L
.43813 .45086 L
.43737 .44989 L
.43667 .44894 L
.43545 .44737 L
.43514 .44701 L
.43403 .44508 L
.43352 .44427 L
.43288 .44316 L
F
1 .69 0 r
.43352 .476 m
.43511 .47784 L
.43545 .4782 L
.43674 .47977 L
.43737 .48049 L
.43835 .48169 L
.4393 .48257 L
.43993 .48362 L
.44123 .48522 L
.44159 .48555 L
.44298 .48747 L
.44316 .48768 L
.44449 .4894 L
.44508 .48992 L
.446 .49133 L
.44701 .4926 L
.44764 .49326 L
.44894 .49515 L
.44896 .49518 L
.45043 .49711 L
.45086 .4975 L
.4519 .49904 L
.45279 .50018 L
.45348 .50096 L
.45472 .50278 L
.45479 .50289 L
.45625 .50482 L
.45664 .50519 L
.4577 .50674 L
.45857 .50788 L
.45922 .50867 L
.4605 .5105 L
.46055 .5106 L
.46199 .51253 L
.46242 .51295 L
.46402 .51445 L
.46435 .51566 L
.46491 .51638 L
.46628 .51831 L
.46628 .51831 L
.46768 .52023 L
.46821 .52076 L
.46957 .52216 L
.47013 .52352 L
.47055 .52409 L
.47193 .52601 L
.47206 .52619 L
.47333 .52794 L
.47399 .52865 L
.4751 .52987 L
.47591 .53145 L
.47616 .53179 L
.47753 .53372 L
.47784 .53414 L
.47892 .53565 L
.47977 .53662 L
.48059 .53758 L
.48169 .53946 L
.48172 .5395 L
.48308 .54143 L
.48362 .54217 L
.48446 .54336 L
.48555 .54473 L
.486 .54528 L
.48721 .54721 L
.48747 .54758 L
.48855 .54914 L
.4894 .55032 L
.48992 .55106 L
.49128 .55299 L
.49133 .55306 L
.49257 .55492 L
.49326 .55589 L
.49389 .55684 L
.49518 .55871 L
.49522 .55877 L
.49643 .5607 L
.49711 .5617 L
.49766 .56263 L
.49711 .56441 L
.49556 .56263 L
.49518 .56223 L
.49392 .5607 L
.49326 .55994 L
.49232 .55877 L
.49133 .55794 L
.49074 .55684 L
.4894 .55523 L
.48903 .55492 L
.48767 .55299 L
.48747 .55275 L
.48618 .55106 L
.48555 .55058 L
.48467 .54914 L
.48362 .54785 L
.48297 .54721 L
.4817 .54528 L
.48169 .54528 L
.48025 .54336 L
.47977 .54298 L
.47878 .54143 L
.47784 .54026 L
.47714 .5395 L
.47591 .53764 L
.47587 .53758 L
.47444 .53565 L
.47399 .53528 L
.47299 .53372 L
.47206 .53255 L
.4714 .53179 L
.47013 .5299 L
.47011 .52987 L
.4687 .52794 L
.46821 .52752 L
.46727 .52601 L
.46628 .52475 L
.46573 .52409 L
.46441 .52216 L
.46435 .52208 L
.46301 .52023 L
.46242 .51969 L
.46096 .51831 L
.4605 .51689 L
.4601 .51638 L
.45876 .51445 L
.45857 .5142 L
.45737 .51253 L
.45664 .5118 L
.45547 .5106 L
.45472 .50895 L
.4545 .50867 L
.45316 .50674 L
.45279 .50626 L
.45177 .50482 L
.45086 .50382 L
.45002 .50289 L
.44895 .50096 L
.44894 .50094 L
.4476 .49904 L
.44701 .49824 L
.44622 .49711 L
.44508 .4957 L
.44464 .49518 L
.44346 .49326 L
.44316 .49285 L
.44211 .49133 L
.44123 .49012 L
.44074 .4894 L
.43936 .48747 L
.4393 .48739 L
.43807 .48555 L
.43737 .48459 L
.43674 .48362 L
.43545 .48179 L
.43539 .48169 L
.43416 .47977 L
.43352 .47885 L
.43292 .47784 L
F
0 .29 1 r
.43352 .4844 m
.43442 .48555 L
.43545 .48672 L
.43603 .48747 L
.43737 .4891 L
.4376 .4894 L
.43911 .49133 L
.4393 .49156 L
.44058 .49326 L
.44123 .49405 L
.44207 .49518 L
.44316 .49656 L
.44356 .49711 L
.44504 .49904 L
.44508 .49909 L
.44645 .50096 L
.44701 .50167 L
.44789 .50289 L
.44894 .50425 L
.44935 .50482 L
.45078 .50674 L
.45086 .50684 L
.45216 .50867 L
.45279 .50948 L
.45358 .5106 L
.45472 .51211 L
.45501 .51253 L
.45639 .51445 L
.45664 .51478 L
.45775 .51638 L
.45857 .51748 L
.45914 .51831 L
.4605 .52017 L
.46054 .52023 L
.46183 .52216 L
.46242 .52295 L
.46316 .52409 L
.46435 .52574 L
.46452 .52601 L
.46573 .52794 L
.46628 .5287 L
.46691 .52987 L
.46628 .53034 L
.4659 .52987 L
.46435 .52812 L
.46421 .52794 L
.46266 .52601 L
.46242 .52575 L
.46115 .52409 L
.4605 .52332 L
.45963 .52216 L
.45857 .52086 L
.4581 .52023 L
.45664 .51841 L
.45659 .51831 L
.45516 .51638 L
.45472 .51583 L
.45371 .51445 L
.45279 .51328 L
.45224 .51253 L
.45086 .51079 L
.45077 .5106 L
.44937 .50867 L
.44894 .50812 L
.44796 .50674 L
.44701 .50551 L
.44652 .50482 L
.44508 .5029 L
.44507 .50289 L
.44372 .50096 L
.44316 .50022 L
.44233 .49904 L
.44123 .49756 L
.44091 .49711 L
.43954 .49518 L
.4393 .49487 L
.43822 .49326 L
.43737 .49213 L
.43685 .49133 L
.43546 .4894 L
.43545 .48939 L
.43423 .48747 L
.43352 .4865 L
.43294 .48555 L
F
1 .94 0 r
.43352 .37436 m
.43475 .37571 L
.43545 .37642 L
.43647 .37764 L
.43737 .37864 L
.43812 .37957 L
.4393 .38077 L
.43973 .38149 L
.44123 .38332 L
.44135 .38342 L
.44282 .38535 L
.44316 .38576 L
.44432 .38727 L
.44508 .38801 L
.44584 .3892 L
.44701 .39066 L
.44747 .39113 L
.44882 .39306 L
.44894 .3932 L
.45027 .39498 L
.45086 .39556 L
.45174 .39691 L
.45279 .39824 L
.45334 .39884 L
.45467 .40076 L
.45472 .40083 L
.45609 .40269 L
.45664 .40324 L
.45826 .40462 L
.45857 .40594 L
.45909 .40654 L
.46043 .40847 L
.4605 .40856 L
.46184 .4104 L
.46242 .41099 L
.46385 .41232 L
.46435 .41372 L
.46479 .41425 L
.46614 .41618 L
.46628 .41636 L
.46754 .41811 L
.46821 .4188 L
.46943 .42003 L
.47013 .42155 L
.47045 .42196 L
.47181 .42389 L
.47206 .42421 L
.47321 .42581 L
.47399 .42666 L
.475 .42774 L
.47591 .42944 L
.47609 .42967 L
.47745 .43159 L
.47784 .4321 L
.47885 .43352 L
.47977 .43457 L
.48055 .43545 L
.48169 .43736 L
.4817 .43737 L
.48307 .4393 L
.48362 .44002 L
.48447 .44123 L
.48555 .44254 L
.48608 .44316 L
.4873 .44508 L
.48747 .44532 L
.48867 .44701 L
.4894 .44751 L
.49007 .44894 L
.49133 .45057 L
.49157 .45086 L
.49286 .45279 L
.49326 .45332 L
.49422 .45472 L
.49518 .45562 L
.49563 .45664 L
.49703 .45857 L
.49711 .45867 L
.49836 .4605 L
.49904 .4614 L
.49973 .46242 L
.50096 .46393 L
.50132 .46435 L
.50246 .46628 L
.50289 .46687 L
.50376 .46821 L
.50482 .46967 L
.50511 .47013 L
.5064 .47206 L
.50674 .47255 L
.50756 .47399 L
.50867 .47581 L
.50871 .47591 L
.50867 .47648 L
.50781 .47591 L
.50674 .47507 L
.50563 .47399 L
.50482 .47319 L
.50373 .47206 L
.50289 .47176 L
.50196 .47013 L
.50096 .46901 L
.4996 .46821 L
.49904 .46663 L
.49867 .46628 L
.49713 .46435 L
.49711 .46432 L
.49559 .46242 L
.49518 .46196 L
.49343 .4605 L
.49326 .45941 L
.49256 .45857 L
.49133 .45688 L
.49119 .45664 L
.48966 .45472 L
.4894 .45441 L
.48783 .45279 L
.48747 .45181 L
.48677 .45086 L
.48555 .44922 L
.48543 .44894 L
.48385 .44701 L
.48362 .44672 L
.4822 .44508 L
.48169 .44409 L
.48107 .44316 L
.47977 .44147 L
.47975 .44123 L
.47811 .4393 L
.47784 .43896 L
.47655 .43737 L
.47591 .43631 L
.47539 .43545 L
.47399 .43369 L
.47382 .43352 L
.4724 .43159 L
.47206 .43116 L
.47089 .42967 L
.47013 .42848 L
.46972 .42774 L
.46821 .42587 L
.46815 .42581 L
.46673 .42389 L
.46628 .42331 L
.46526 .42196 L
.46435 .42061 L
.46406 .42003 L
.4625 .41811 L
.46242 .41805 L
.46058 .41618 L
.4605 .41541 L
.45966 .41425 L
.45857 .4127 L
.45841 .41232 L
.4569 .4104 L
.45664 .41019 L
.45504 .40847 L
.45472 .40745 L
.45408 .40654 L
.45279 .40472 L
.45276 .40462 L
.45134 .40269 L
.45086 .40226 L
.44956 .40076 L
.44894 .3994 L
.44856 .39884 L
.44721 .39691 L
.44701 .39664 L
.44584 .39498 L
.44508 .39417 L
.44418 .39306 L
.44316 .3912 L
.44311 .39113 L
.44179 .3892 L
.44123 .38841 L
.44045 .38727 L
.4393 .38574 L
.43901 .38535 L
.43783 .38342 L
.43737 .38276 L
.43655 .38149 L
.43545 .37985 L
.43526 .37957 L
.43409 .37764 L
.43352 .37675 L
.43295 .37571 L
F
0 .92 1 r
.43352 .38265 m
.43415 .38342 L
.43545 .38482 L
.43586 .38535 L
.43737 .38713 L
.43749 .38727 L
.43901 .3892 L
.4393 .38954 L
.44051 .39113 L
.44123 .39199 L
.44202 .39306 L
.44316 .39446 L
.44354 .39498 L
.44504 .39691 L
.44508 .39696 L
.44647 .39884 L
.44701 .39951 L
.44792 .40076 L
.44894 .40206 L
.44939 .40269 L
.45086 .4046 L
.45088 .40462 L
.45227 .40654 L
.45279 .40721 L
.45369 .40847 L
.45472 .4098 L
.45514 .4104 L
.45659 .41232 L
.45664 .41239 L
.45797 .41425 L
.45857 .41503 L
.45937 .41618 L
.4605 .41765 L
.46081 .41811 L
.46222 .42003 L
.46242 .42029 L
.46358 .42196 L
.46435 .42296 L
.46498 .42389 L
.46628 .42544 L
.46642 .42581 L
.46777 .42774 L
.46821 .42831 L
.46912 .42967 L
.47013 .43102 L
.47052 .43159 L
.47191 .43352 L
.47206 .43372 L
.4732 .43545 L
.47399 .4365 L
.47455 .43737 L
.47591 .43925 L
.47594 .4393 L
.47718 .44123 L
.47784 .44213 L
.47846 .44316 L
.47977 .44501 L
.47981 .44508 L
.47977 .44698 L
.47825 .44508 L
.47784 .44462 L
.47669 .44316 L
.47591 .44222 L
.47514 .44123 L
.47399 .43978 L
.47361 .4393 L
.47212 .43737 L
.47206 .43731 L
.47062 .43545 L
.47013 .43484 L
.46912 .43352 L
.46821 .43293 L
.46761 .43159 L
.46628 .42988 L
.46604 .42967 L
.46467 .42774 L
.46435 .42733 L
.4632 .42581 L
.46242 .42528 L
.46172 .42389 L
.4605 .4223 L
.46016 .42196 L
.45883 .42003 L
.45857 .41969 L
.45739 .41811 L
.45664 .41753 L
.45594 .41618 L
.45472 .41456 L
.45444 .41425 L
.4531 .41232 L
.45279 .41191 L
.45168 .4104 L
.45086 .40966 L
.45026 .40847 L
.44894 .40667 L
.44883 .40654 L
.44748 .40462 L
.44701 .40398 L
.44608 .40269 L
.44508 .4016 L
.44469 .40076 L
.44332 .39884 L
.44316 .39861 L
.44197 .39691 L
.44123 .39588 L
.4406 .39498 L
.4393 .39319 L
.43917 .39306 L
.43795 .39113 L
.43737 .39032 L
.43664 .3892 L
.43545 .38747 L
.43532 .38727 L
.43414 .38535 L
.43352 .38443 L
.43295 .38342 L
F
1 .69 0 r
.43352 .44166 m
.43508 .44316 L
.43545 .44352 L
.43676 .44508 L
.43737 .44579 L
.43831 .44701 L
.4393 .44825 L
.43979 .44894 L
.44123 .45084 L
.44125 .45086 L
.44251 .45279 L
.44316 .45372 L
.44375 .45472 L
.44316 .45662 L
.44133 .45472 L
.44123 .45461 L
.43972 .45279 L
.4393 .4523 L
.43819 .45086 L
.43737 .4498 L
.43674 .44894 L
.43545 .44722 L
.43527 .44701 L
.43411 .44508 L
.43352 .44413 L
.43298 .44316 L
F
0 .91 1 r
.43352 .43489 m
.43545 .43528 L
.4357 .43545 L
.43737 .43675 L
.43824 .43737 L
.4393 .43887 L
.43964 .4393 L
.4412 .44123 L
.44123 .44126 L
.44268 .44316 L
.44316 .44378 L
.44437 .44508 L
.44508 .44639 L
.44554 .44701 L
.44701 .44893 L
.44702 .44894 L
.44842 .45086 L
.44894 .45141 L
.45002 .45279 L
.45086 .45415 L
.45119 .45472 L
.45261 .45664 L
.45279 .4569 L
.45396 .45857 L
.45472 .45968 L
.45543 .4605 L
.45648 .46242 L
.45664 .46274 L
.45715 .46435 L
.45664 .46491 L
.45472 .46467 L
.45415 .46435 L
.45279 .46338 L
.45148 .46242 L
.45086 .46133 L
.45022 .4605 L
.44894 .45894 L
.44885 .45857 L
.44718 .45664 L
.44701 .45643 L
.44551 .45472 L
.44508 .45382 L
.44436 .45279 L
.44316 .45118 L
.44312 .45086 L
.44146 .44894 L
.44123 .44874 L
.43988 .44701 L
.4393 .44604 L
.43875 .44508 L
.43737 .44325 L
.43731 .44316 L
.43599 .44123 L
.43545 .44041 L
.43452 .4393 L
.43356 .43737 L
.43352 .43729 L
.43299 .43545 L
F
0 .28 1 r
.43352 .48449 m
.43435 .48555 L
.43545 .48679 L
.43598 .48747 L
.43737 .48916 L
.43756 .4894 L
.43906 .49133 L
.4393 .49161 L
.44053 .49326 L
.44123 .4941 L
.44203 .49518 L
.44316 .49661 L
.44353 .49711 L
.445 .49904 L
.44508 .49914 L
.44641 .50096 L
.44701 .50172 L
.44786 .50289 L
.44894 .50429 L
.44932 .50482 L
.45075 .50674 L
.45086 .50689 L
.45213 .50867 L
.45279 .50953 L
.45355 .5106 L
.45472 .51216 L
.45498 .51253 L
.45636 .51445 L
.45664 .51483 L
.45771 .51638 L
.45857 .51752 L
.45911 .51831 L
.4605 .52022 L
.46051 .52023 L
.46179 .52216 L
.46242 .52302 L
.46312 .52409 L
.46435 .52581 L
.46448 .52601 L
.46565 .52794 L
.46628 .52882 L
.46681 .52987 L
.46628 .53023 L
.46599 .52987 L
.46435 .52804 L
.46427 .52794 L
.46273 .52601 L
.46242 .52568 L
.46121 .52409 L
.4605 .52326 L
.45967 .52216 L
.45857 .52081 L
.45814 .52023 L
.45664 .51834 L
.45663 .51831 L
.4552 .51638 L
.45472 .51578 L
.45374 .51445 L
.45279 .51324 L
.45227 .51253 L
.45086 .51073 L
.4508 .5106 L
.44941 .50867 L
.44894 .50807 L
.44799 .50674 L
.44701 .50547 L
.44655 .50482 L
.44511 .50289 L
.44508 .50285 L
.44376 .50096 L
.44316 .50018 L
.44236 .49904 L
.44123 .49752 L
.44095 .49711 L
.43958 .49518 L
.4393 .49482 L
.43826 .49326 L
.43737 .49207 L
.43688 .49133 L
.43551 .4894 L
.43545 .48932 L
.43429 .48747 L
.43352 .48642 L
.433 .48555 L
F
1 .68 0 r
.43352 .47615 m
.435 .47784 L
.43545 .47832 L
.43666 .47977 L
.43737 .48059 L
.43828 .48169 L
.4393 .48266 L
.43986 .48362 L
.44123 .4853 L
.44151 .48555 L
.44293 .48747 L
.44316 .48775 L
.44444 .4894 L
.44508 .48997 L
.44596 .49133 L
.44701 .49266 L
.44759 .49326 L
.44893 .49518 L
.44894 .4952 L
.45039 .49711 L
.45086 .49754 L
.45187 .49904 L
.45279 .50022 L
.45344 .50096 L
.45472 .50281 L
.45476 .50289 L
.45622 .50482 L
.45664 .50522 L
.45767 .50674 L
.45857 .50792 L
.45919 .50867 L
.4605 .51054 L
.46053 .5106 L
.46197 .51253 L
.46242 .51297 L
.464 .51445 L
.46435 .5157 L
.46488 .51638 L
.46625 .51831 L
.46628 .51834 L
.46766 .52023 L
.46821 .52079 L
.46955 .52216 L
.47013 .52355 L
.47053 .52409 L
.4719 .52601 L
.47206 .52622 L
.4733 .52794 L
.47399 .52868 L
.47507 .52987 L
.47591 .53149 L
.47613 .53179 L
.4775 .53372 L
.47784 .53417 L
.47889 .53565 L
.47977 .53666 L
.48056 .53758 L
.48169 .5395 L
.48169 .53951 L
.48305 .54143 L
.48362 .54221 L
.48443 .54336 L
.48555 .54479 L
.48595 .54528 L
.48717 .54721 L
.48747 .54763 L
.48851 .54914 L
.4894 .55037 L
.48988 .55106 L
.49123 .55299 L
.49133 .55313 L
.49251 .55492 L
.49326 .55596 L
.49383 .55684 L
.49516 .55877 L
.49518 .5588 L
.49635 .5607 L
.49711 .56183 L
.49756 .56263 L
.49711 .56424 L
.49568 .56263 L
.49518 .56211 L
.49401 .5607 L
.49326 .55985 L
.49239 .55877 L
.49133 .55785 L
.4908 .55684 L
.4894 .55515 L
.48912 .55492 L
.48773 .55299 L
.48747 .55269 L
.48622 .55106 L
.48555 .55054 L
.48471 .54914 L
.48362 .54779 L
.48302 .54721 L
.48174 .54528 L
.48169 .54523 L
.48028 .54336 L
.47977 .54295 L
.47882 .54143 L
.47784 .54021 L
.47717 .5395 L
.47591 .5376 L
.4759 .53758 L
.47447 .53565 L
.47399 .53525 L
.47302 .53372 L
.47206 .53251 L
.47143 .53179 L
.47013 .52987 L
.47013 .52986 L
.46872 .52794 L
.46821 .52749 L
.46729 .52601 L
.46628 .52472 L
.46575 .52409 L
.46444 .52216 L
.46435 .52205 L
.46304 .52023 L
.46242 .51966 L
.46099 .51831 L
.4605 .51685 L
.46012 .51638 L
.45879 .51445 L
.45857 .51417 L
.45739 .51253 L
.45664 .51177 L
.4555 .5106 L
.45472 .50892 L
.45453 .50867 L
.45318 .50674 L
.45279 .50622 L
.45179 .50482 L
.45086 .50378 L
.45006 .50289 L
.44898 .50096 L
.44894 .5009 L
.44763 .49904 L
.44701 .4982 L
.44625 .49711 L
.44508 .49565 L
.44468 .49518 L
.44349 .49326 L
.44316 .4928 L
.44215 .49133 L
.44123 .49007 L
.44077 .4894 L
.43941 .48747 L
.4393 .48733 L
.43812 .48555 L
.43737 .48452 L
.43679 .48362 L
.43545 .48171 L
.43544 .48169 L
.43424 .47977 L
.43352 .47873 L
.43301 .47784 L
F
0 .97 1 r
.43352 .36624 m
.43529 .36801 L
.43545 .36816 L
.43704 .36993 L
.43737 .37028 L
.43872 .37186 L
.4393 .37225 L
.44035 .37379 L
.44123 .3748 L
.4425 .37571 L
.44316 .37724 L
.44353 .37764 L
.44503 .37957 L
.44508 .37961 L
.44654 .38149 L
.44701 .38207 L
.44844 .38342 L
.44894 .38462 L
.44953 .38535 L
.45086 .38714 L
.45091 .38727 L
.45247 .3892 L
.45279 .3896 L
.45421 .39113 L
.45472 .39221 L
.45535 .39306 L
.45664 .39479 L
.45668 .39498 L
.45828 .39691 L
.45857 .39728 L
.45993 .39884 L
.4605 .39992 L
.46109 .40076 L
.46242 .40253 L
.4626 .40269 L
.46402 .40462 L
.46435 .40504 L
.46562 .40654 L
.46628 .4077 L
.46679 .40847 L
.46821 .4103 L
.46831 .4104 L
.46972 .41232 L
.47013 .41285 L
.47128 .41425 L
.47206 .41552 L
.47246 .41618 L
.47399 .4181 L
.47399 .41811 L
.47539 .42003 L
.47591 .42069 L
.47693 .42196 L
.47784 .42337 L
.47813 .42389 L
.47965 .42581 L
.47977 .42592 L
.48154 .42774 L
.48169 .42856 L
.48256 .42967 L
.48362 .43124 L
.4838 .43159 L
.4853 .43352 L
.48555 .43376 L
.48715 .43545 L
.48747 .43643 L
.48819 .43737 L
.4894 .43911 L
.48948 .4393 L
.49094 .44123 L
.49133 .44161 L
.49274 .44316 L
.49326 .44433 L
.49381 .44508 L
.49518 .447 L
.49518 .44701 L
.49657 .44894 L
.49711 .44948 L
.49832 .45086 L
.49904 .45223 L
.49943 .45279 L
.50081 .45472 L
.50096 .45491 L
.5022 .45664 L
.50289 .45738 L
.5039 .45857 L
.50482 .46016 L
.50505 .4605 L
.50643 .46242 L
.50674 .46284 L
.50782 .46435 L
.50867 .46531 L
.50946 .46628 L
.5106 .4681 L
.51067 .46821 L
.51204 .47013 L
.51253 .47078 L
.51343 .47206 L
.51445 .47326 L
.51502 .47399 L
.51627 .47591 L
.51638 .47606 L
.51763 .47784 L
.51831 .47873 L
.51903 .47977 L
.52023 .48127 L
.52056 .48169 L
.52184 .48362 L
.52216 .48404 L
.52321 .48555 L
.52409 .48672 L
.52461 .48747 L
.52601 .48936 L
.52604 .4894 L
.52737 .49133 L
.52794 .49209 L
.52874 .49326 L
.52987 .49478 L
.53047 .49518 L
.53151 .49711 L
.53179 .49749 L
.53284 .49904 L
.53372 .50023 L
.53421 .50096 L
.53562 .50289 L
.53565 .50293 L
.53694 .50482 L
.53758 .50553 L
.53831 .50674 L
.5395 .50836 L
.53977 .50867 L
.5411 .5106 L
.54143 .51103 L
.54276 .51253 L
.54336 .51371 L
.54393 .51445 L
.54528 .51637 L
.54529 .51638 L
.54689 .51831 L
.54721 .519 L
.54812 .52023 L
.54914 .5217 L
.54943 .52216 L
.55083 .52409 L
.55106 .52421 L
.55228 .52601 L
.55299 .52693 L
.55345 .52794 L
.55458 .52987 L
.55492 .53072 L
.55506 .53179 L
.55492 .53195 L
.55299 .53204 L
.55248 .53179 L
.55106 .53078 L
.55022 .52987 L
.54914 .52849 L
.54859 .52794 L
.54721 .5262 L
.547 .52601 L
.54563 .52409 L
.54528 .52364 L
.54422 .52216 L
.54336 .52128 L
.54236 .52023 L
.54143 .51842 L
.54134 .51831 L
.54001 .51638 L
.5395 .51568 L
.53865 .51445 L
.53758 .51315 L
.53713 .51253 L
.53595 .5106 L
.53565 .51016 L
.53468 .50867 L
.53372 .50732 L
.53334 .50674 L
.5322 .50482 L
.53179 .50415 L
.53089 .50289 L
.52987 .50106 L
.52983 .50096 L
.52849 .49904 L
.52794 .49822 L
.52709 .49711 L
.52601 .49544 L
.52567 .49518 L
.52422 .49326 L
.52409 .49305 L
.52291 .49133 L
.52216 .49031 L
.52114 .4894 L
.52023 .48822 L
.51962 .48747 L
.51831 .48575 L
.51814 .48555 L
.51664 .48362 L
.51638 .48316 L
.51562 .48169 L
.51445 .48081 L
.51362 .47977 L
.51253 .47829 L
.51217 .47784 L
.5107 .47591 L
.5106 .47569 L
.50945 .47399 L
.50867 .47294 L
.5078 .47206 L
.50674 .47061 L
.50638 .47013 L
.50493 .46821 L
.50482 .46798 L
.50367 .46628 L
.50289 .46525 L
.50265 .46435 L
.50096 .46253 L
.50066 .46242 L
.49922 .4605 L
.49904 .46017 L
.49799 .45857 L
.49711 .45744 L
.49639 .45664 L
.49518 .45478 L
.49499 .45472 L
.49355 .45279 L
.49326 .45231 L
.49236 .45086 L
.49133 .44958 L
.49072 .44894 L
.4894 .44702 L
.48934 .44701 L
.4879 .44508 L
.48747 .44443 L
.48675 .44316 L
.48555 .44171 L
.48508 .44123 L
.48369 .4393 L
.48362 .43921 L
.48227 .43737 L
.48169 .43654 L
.48114 .43545 L
.47977 .43385 L
.47944 .43352 L
.47789 .43159 L
.47784 .43133 L
.47665 .42967 L
.47591 .42864 L
.47553 .42774 L
.47399 .42598 L
.47381 .42581 L
.47222 .42389 L
.47206 .42343 L
.47104 .42196 L
.47013 .42073 L
.4699 .42003 L
.46821 .41812 L
.4682 .41811 L
.46658 .41618 L
.46628 .41551 L
.46543 .41425 L
.46435 .41281 L
.46426 .41232 L
.46259 .4104 L
.46242 .41025 L
.46097 .40847 L
.4605 .40758 L
.45984 .40654 L
.45857 .40486 L
.45857 .40462 L
.457 .40269 L
.45664 .40235 L
.4554 .40076 L
.45472 .39959 L
.45426 .39884 L
.45282 .39691 L
.45279 .39687 L
.45145 .39498 L
.45086 .39438 L
.44988 .39306 L
.44894 .39154 L
.44871 .39113 L
.44731 .3892 L
.44701 .38879 L
.44594 .38727 L
.44508 .38627 L
.44443 .38535 L
.44321 .38342 L
.44316 .38335 L
.44188 .38149 L
.44123 .38057 L
.4399 .37957 L
.4393 .37785 L
.43916 .37764 L
.43792 .37571 L
.43737 .37492 L
.43664 .37379 L
.43545 .37201 L
.43525 .37186 L
.4342 .36993 L
.43352 .36885 L
.43306 .36801 L
F
0 .27 1 r
.43352 .48459 m
.43428 .48555 L
.43545 .48686 L
.43593 .48747 L
.43737 .48922 L
.43751 .4894 L
.43901 .49133 L
.4393 .49167 L
.44049 .49326 L
.44123 .49415 L
.44199 .49518 L
.44316 .49665 L
.44349 .49711 L
.44496 .49904 L
.44508 .49919 L
.44638 .50096 L
.44701 .50176 L
.44783 .50289 L
.44894 .50433 L
.44929 .50482 L
.45072 .50674 L
.45086 .50693 L
.4521 .50867 L
.45279 .50957 L
.45352 .5106 L
.45472 .5122 L
.45495 .51253 L
.45632 .51445 L
.45664 .51487 L
.45768 .51638 L
.45857 .51757 L
.45907 .51831 L
.46047 .52023 L
.4605 .52027 L
.46174 .52216 L
.46242 .52308 L
.46307 .52409 L
.46435 .52589 L
.46443 .52601 L
.46556 .52794 L
.46628 .52897 L
.46668 .52987 L
.46628 .5301 L
.46609 .52987 L
.46435 .52796 L
.46434 .52794 L
.4628 .52601 L
.46242 .52561 L
.46126 .52409 L
.4605 .5232 L
.45972 .52216 L
.45857 .52076 L
.45818 .52023 L
.45667 .51831 L
.45664 .51828 L
.45524 .51638 L
.45472 .51574 L
.45378 .51445 L
.45279 .5132 L
.4523 .51253 L
.45086 .51067 L
.45083 .5106 L
.44944 .50867 L
.44894 .50803 L
.44802 .50674 L
.44701 .50543 L
.44658 .50482 L
.44515 .50289 L
.44508 .50281 L
.44379 .50096 L
.44316 .50014 L
.4424 .49904 L
.44123 .49747 L
.44098 .49711 L
.43962 .49518 L
.4393 .49476 L
.4383 .49326 L
.43737 .49202 L
.43692 .49133 L
.43556 .4894 L
.43545 .48925 L
.43435 .48747 L
.43352 .48633 L
.43307 .48555 L
F
1 .68 0 r
.43352 .44184 m
.43496 .44316 L
.43545 .44362 L
.43668 .44508 L
.43737 .44587 L
.43824 .44701 L
.4393 .44833 L
.43974 .44894 L
.44117 .45086 L
.44123 .45094 L
.44244 .45279 L
.44316 .45384 L
.44367 .45472 L
.44316 .45648 L
.44144 .45472 L
.44123 .4545 L
.4398 .45279 L
.4393 .45221 L
.43826 .45086 L
.43737 .44972 L
.4368 .44894 L
.43545 .44706 L
.4354 .44701 L
.4342 .44508 L
.43352 .44397 L
.43308 .44316 L
F
1 .67 0 r
.43352 .47632 m
.43488 .47784 L
.43545 .47844 L
.43657 .47977 L
.43737 .48068 L
.4382 .48169 L
.4393 .48275 L
.4398 .48362 L
.44123 .48538 L
.44142 .48555 L
.44288 .48747 L
.44316 .48781 L
.4444 .4894 L
.44508 .49002 L
.44591 .49133 L
.44701 .49271 L
.44754 .49326 L
.44889 .49518 L
.44894 .49525 L
.45035 .49711 L
.45086 .49758 L
.45183 .49904 L
.45279 .50027 L
.45341 .50096 L
.45472 .50285 L
.45474 .50289 L
.45619 .50482 L
.45664 .50525 L
.45764 .50674 L
.45857 .50795 L
.45916 .50867 L
.4605 .51057 L
.46051 .5106 L
.46194 .51253 L
.46242 .513 L
.46398 .51445 L
.46435 .51573 L
.46486 .51638 L
.46622 .51831 L
.46628 .51838 L
.46763 .52023 L
.46821 .52082 L
.46952 .52216 L
.47013 .52359 L
.4705 .52409 L
.47187 .52601 L
.47206 .52626 L
.47327 .52794 L
.47399 .52872 L
.47505 .52987 L
.47591 .53152 L
.47611 .53179 L
.47747 .53372 L
.47784 .53421 L
.47887 .53565 L
.47977 .53671 L
.48052 .53758 L
.48166 .5395 L
.48169 .53955 L
.48302 .54143 L
.48362 .54225 L
.4844 .54336 L
.48555 .54485 L
.4859 .54528 L
.48713 .54721 L
.48747 .54768 L
.48847 .54914 L
.4894 .55043 L
.48984 .55106 L
.49118 .55299 L
.49133 .5532 L
.49246 .55492 L
.49326 .55604 L
.49378 .55684 L
.49508 .55877 L
.49518 .55891 L
.49626 .5607 L
.49711 .56199 L
.49746 .56263 L
.49711 .56406 L
.49582 .56263 L
.49518 .56198 L
.49411 .5607 L
.49326 .55975 L
.49246 .55877 L
.49133 .55774 L
.49086 .55684 L
.4894 .55507 L
.48922 .55492 L
.48778 .55299 L
.48747 .55262 L
.48627 .55106 L
.48555 .55048 L
.48476 .54914 L
.48362 .54774 L
.48307 .54721 L
.48178 .54528 L
.48169 .54518 L
.48032 .54336 L
.47977 .54291 L
.47885 .54143 L
.47784 .54017 L
.47721 .5395 L
.47592 .53758 L
.47591 .53756 L
.47449 .53565 L
.47399 .53523 L
.47305 .53372 L
.47206 .53247 L
.47146 .53179 L
.47016 .52987 L
.47013 .52983 L
.46875 .52794 L
.46821 .52746 L
.46732 .52601 L
.46628 .52468 L
.46578 .52409 L
.46446 .52216 L
.46435 .52202 L
.46306 .52023 L
.46242 .51963 L
.46101 .51831 L
.4605 .51682 L
.46015 .51638 L
.45881 .51445 L
.45857 .51414 L
.45742 .51253 L
.45664 .51173 L
.45553 .5106 L
.45472 .50888 L
.45456 .50867 L
.45321 .50674 L
.45279 .50619 L
.45182 .50482 L
.45086 .50374 L
.45009 .50289 L
.44901 .50096 L
.44894 .50086 L
.44766 .49904 L
.44701 .49816 L
.44628 .49711 L
.44508 .49559 L
.44473 .49518 L
.44353 .49326 L
.44316 .49275 L
.44218 .49133 L
.44123 .49002 L
.44081 .4894 L
.43945 .48747 L
.4393 .48727 L
.43817 .48555 L
.43737 .48444 L
.43684 .48362 L
.4355 .48169 L
.43545 .48161 L
.43432 .47977 L
.43352 .47859 L
.4331 .47784 L
F
0 .26 1 r
.43352 .4847 m
.43419 .48555 L
.43545 .48693 L
.43587 .48747 L
.43737 .48928 L
.43747 .4894 L
.43896 .49133 L
.4393 .49173 L
.44045 .49326 L
.44123 .4942 L
.44196 .49518 L
.44316 .4967 L
.44346 .49711 L
.44492 .49904 L
.44508 .49923 L
.44634 .50096 L
.44701 .5018 L
.44779 .50289 L
.44894 .50437 L
.44926 .50482 L
.45068 .50674 L
.45086 .50698 L
.45206 .50867 L
.45279 .50961 L
.45348 .5106 L
.45472 .51224 L
.45492 .51253 L
.45628 .51445 L
.45664 .51492 L
.45764 .51638 L
.45857 .51762 L
.45903 .51831 L
.46042 .52023 L
.4605 .52033 L
.46169 .52216 L
.46242 .52315 L
.46302 .52409 L
.46435 .52597 L
.46438 .52601 L
.46435 .52786 L
.46287 .52601 L
.46242 .52554 L
.46132 .52409 L
.4605 .52314 L
.45976 .52216 L
.45857 .52071 L
.45822 .52023 L
.45671 .51831 L
.45664 .51823 L
.45528 .51638 L
.45472 .51569 L
.45381 .51445 L
.45279 .51315 L
.45233 .51253 L
.45086 .5106 L
.45086 .5106 L
.44947 .50867 L
.44894 .50799 L
.44805 .50674 L
.44701 .50538 L
.44661 .50482 L
.44518 .50289 L
.44508 .50276 L
.44383 .50096 L
.44316 .50009 L
.44243 .49904 L
.44123 .49743 L
.44101 .49711 L
.43966 .49518 L
.4393 .49471 L
.43834 .49326 L
.43737 .49196 L
.43696 .49133 L
.43562 .4894 L
.43545 .48917 L
.43441 .48747 L
.43352 .48623 L
.43314 .48555 L
F
1 .66 0 r
.43352 .4765 m
.43474 .47784 L
.43545 .47856 L
.43647 .47977 L
.43737 .48078 L
.43813 .48169 L
.4393 .48286 L
.43973 .48362 L
.44123 .48546 L
.44133 .48555 L
.44282 .48747 L
.44316 .48788 L
.44435 .4894 L
.44508 .49008 L
.44587 .49133 L
.44701 .49277 L
.44749 .49326 L
.44884 .49518 L
.44894 .4953 L
.45032 .49711 L
.45086 .49761 L
.4518 .49904 L
.45279 .50031 L
.45337 .50096 L
.45471 .50289 L
.45472 .50289 L
.45616 .50482 L
.45664 .50528 L
.45761 .50674 L
.45857 .50799 L
.45913 .50867 L
.46049 .5106 L
.4605 .51061 L
.46191 .51253 L
.46242 .51303 L
.46396 .51445 L
.46435 .51577 L
.46483 .51638 L
.4662 .51831 L
.46628 .51842 L
.46761 .52023 L
.46821 .52085 L
.4695 .52216 L
.47013 .52363 L
.47048 .52409 L
.47185 .52601 L
.47206 .5263 L
.47325 .52794 L
.47399 .52875 L
.47502 .52987 L
.47591 .53156 L
.47608 .53179 L
.47745 .53372 L
.47784 .53425 L
.47884 .53565 L
.47977 .53675 L
.48048 .53758 L
.48163 .5395 L
.48169 .53959 L
.48298 .54143 L
.48362 .5423 L
.48436 .54336 L
.48555 .54491 L
.48586 .54528 L
.48709 .54721 L
.48747 .54774 L
.48843 .54914 L
.4894 .55049 L
.48979 .55106 L
.49113 .55299 L
.49133 .55327 L
.49241 .55492 L
.49326 .55613 L
.49372 .55684 L
.495 .55877 L
.49518 .55903 L
.49616 .5607 L
.49711 .56217 L
.49735 .56263 L
.49711 .56384 L
.49597 .56263 L
.49518 .56185 L
.49421 .5607 L
.49326 .55965 L
.49254 .55877 L
.49133 .55763 L
.49093 .55684 L
.4894 .55499 L
.48932 .55492 L
.48784 .55299 L
.48747 .55256 L
.48632 .55106 L
.48555 .55043 L
.4848 .54914 L
.48362 .54768 L
.48313 .54721 L
.48182 .54528 L
.48169 .54513 L
.48036 .54336 L
.47977 .54288 L
.47888 .54143 L
.47784 .54013 L
.47725 .5395 L
.47596 .53758 L
.47591 .53752 L
.47452 .53565 L
.47399 .5352 L
.47308 .53372 L
.47206 .53244 L
.47149 .53179 L
.47019 .52987 L
.47013 .52979 L
.46877 .52794 L
.46821 .52743 L
.46734 .52601 L
.46628 .52465 L
.46581 .52409 L
.46449 .52216 L
.46435 .52198 L
.46308 .52023 L
.46242 .51961 L
.46104 .51831 L
.4605 .51679 L
.46017 .51638 L
.45884 .51445 L
.45857 .5141 L
.45744 .51253 L
.45664 .5117 L
.45556 .5106 L
.45472 .50885 L
.45458 .50867 L
.45323 .50674 L
.45279 .50615 L
.45184 .50482 L
.45086 .5037 L
.45013 .50289 L
.44904 .50096 L
.44894 .50083 L
.44769 .49904 L
.44701 .49812 L
.4463 .49711 L
.44508 .49554 L
.44478 .49518 L
.44356 .49326 L
.44316 .49271 L
.44222 .49133 L
.44123 .48996 L
.44085 .4894 L
.4395 .48747 L
.4393 .4872 L
.43822 .48555 L
.43737 .48437 L
.43689 .48362 L
.43558 .48169 L
.43545 .48151 L
.4344 .47977 L
.43352 .47844 L
.43319 .47784 L
F
1 .67 0 r
.43352 .44204 m
.43483 .44316 L
.43545 .44373 L
.4366 .44508 L
.43737 .44596 L
.43818 .44701 L
.4393 .44841 L
.43968 .44894 L
.4411 .45086 L
.44123 .45103 L
.44237 .45279 L
.44316 .45396 L
.44359 .45472 L
.44316 .45633 L
.44155 .45472 L
.44123 .4544 L
.43988 .45279 L
.4393 .45211 L
.43833 .45086 L
.43737 .44962 L
.43687 .44894 L
.4355 .44701 L
.43545 .44693 L
.43429 .44508 L
.43352 .44379 L
.4332 .44316 L
F
0 .25 1 r
.43352 .48483 m
.4341 .48555 L
.43545 .48701 L
.43581 .48747 L
.43737 .48935 L
.43742 .4894 L
.4389 .49133 L
.4393 .49179 L
.4404 .49326 L
.44123 .49426 L
.44192 .49518 L
.44316 .49675 L
.44343 .49711 L
.44488 .49904 L
.44508 .49928 L
.44631 .50096 L
.44701 .50185 L
.44776 .50289 L
.44894 .50442 L
.44923 .50482 L
.45064 .50674 L
.45086 .50702 L
.45203 .50867 L
.45279 .50966 L
.45345 .5106 L
.45472 .51229 L
.45489 .51253 L
.45624 .51445 L
.45664 .51497 L
.4576 .51638 L
.45857 .51767 L
.459 .51831 L
.46037 .52023 L
.4605 .5204 L
.46164 .52216 L
.46242 .52322 L
.46297 .52409 L
.46242 .52546 L
.46137 .52409 L
.4605 .52308 L
.45981 .52216 L
.45857 .52065 L
.45826 .52023 L
.45675 .51831 L
.45664 .51817 L
.45532 .51638 L
.45472 .51564 L
.45385 .51445 L
.45279 .51311 L
.45237 .51253 L
.4509 .5106 L
.45086 .51055 L
.44951 .50867 L
.44894 .50794 L
.44808 .50674 L
.44701 .50534 L
.44664 .50482 L
.44522 .50289 L
.44508 .50272 L
.44386 .50096 L
.44316 .50004 L
.44246 .49904 L
.44123 .49738 L
.44104 .49711 L
.43971 .49518 L
.4393 .49465 L
.43838 .49326 L
.43737 .4919 L
.437 .49133 L
.43568 .4894 L
.43545 .48909 L
.43448 .48747 L
.43352 .48611 L
.43322 .48555 L
F
1 .05 0 r
.43352 .49303 m
.43366 .49326 L
.43352 .49378 L
.43322 .49326 L
F
0 .9 1 r
.43352 .43519 m
.43541 .43545 L
.43545 .43546 L
.43737 .43688 L
.4381 .43737 L
.4393 .43896 L
.43958 .4393 L
.44114 .44123 L
.44123 .44132 L
.44263 .44316 L
.44316 .44383 L
.44434 .44508 L
.44508 .44643 L
.44551 .44701 L
.44698 .44894 L
.44701 .44894 L
.44839 .45086 L
.44894 .45145 L
.44999 .45279 L
.45086 .4542 L
.45116 .45472 L
.45257 .45664 L
.45279 .45695 L
.45391 .45857 L
.45472 .45976 L
.45537 .4605 L
.45639 .46242 L
.45664 .46297 L
.45693 .46435 L
.45664 .46468 L
.45472 .46451 L
.45441 .46435 L
.45279 .46325 L
.45158 .46242 L
.45086 .46123 L
.45028 .4605 L
.44894 .45887 L
.44887 .45857 L
.44722 .45664 L
.44701 .45637 L
.44554 .45472 L
.44508 .45377 L
.44439 .45279 L
.44316 .45114 L
.44313 .45086 L
.4415 .44894 L
.44123 .4487 L
.43991 .44701 L
.4393 .44599 L
.43879 .44508 L
.43737 .44318 L
.43736 .44316 L
.43604 .44123 L
.43545 .44032 L
.43459 .4393 L
.43368 .43737 L
.43352 .43701 L
.43327 .43545 L
F
1 .65 0 r
.43352 .47671 m
.43459 .47784 L
.43545 .47869 L
.43637 .47977 L
.43737 .48088 L
.43805 .48169 L
.4393 .48297 L
.43966 .48362 L
.44123 .48554 L
.44124 .48555 L
.44276 .48747 L
.44316 .48795 L
.4443 .4894 L
.44508 .49013 L
.44582 .49133 L
.44701 .49282 L
.44744 .49326 L
.4488 .49518 L
.44894 .49535 L
.45028 .49711 L
.45086 .49765 L
.45176 .49904 L
.45279 .50036 L
.45333 .50096 L
.45468 .50289 L
.45472 .50294 L
.45612 .50482 L
.45664 .50532 L
.45758 .50674 L
.45857 .50803 L
.4591 .50867 L
.46046 .5106 L
.4605 .51065 L
.46188 .51253 L
.46242 .51306 L
.46393 .51445 L
.46435 .51581 L
.4648 .51638 L
.46617 .51831 L
.46628 .51845 L
.46758 .52023 L
.46821 .52089 L
.46947 .52216 L
.47013 .52366 L
.47045 .52409 L
.47182 .52601 L
.47206 .52633 L
.47322 .52794 L
.47399 .52879 L
.47498 .52987 L
.47591 .5316 L
.47605 .53179 L
.47742 .53372 L
.47784 .53429 L
.47881 .53565 L
.47977 .53679 L
.48045 .53758 L
.4816 .5395 L
.48169 .53963 L
.48295 .54143 L
.48362 .54234 L
.48433 .54336 L
.48555 .54497 L
.48581 .54528 L
.48705 .54721 L
.48747 .54779 L
.48839 .54914 L
.4894 .55055 L
.48975 .55106 L
.49107 .55299 L
.49133 .55335 L
.49235 .55492 L
.49326 .55621 L
.49366 .55684 L
.49492 .55877 L
.49518 .55916 L
.49606 .5607 L
.49711 .56239 L
.49722 .56263 L
.49711 .56357 L
.49616 .56263 L
.49518 .56171 L
.49431 .5607 L
.49326 .55955 L
.49262 .55877 L
.49133 .55751 L
.49099 .55684 L
.48941 .55492 L
.4894 .5549 L
.48789 .55299 L
.48747 .55249 L
.48637 .55106 L
.48555 .55037 L
.48484 .54914 L
.48362 .54762 L
.48318 .54721 L
.48186 .54528 L
.48169 .54508 L
.48039 .54336 L
.47977 .54284 L
.47892 .54143 L
.47784 .54008 L
.47729 .5395 L
.47599 .53758 L
.47591 .53748 L
.47455 .53565 L
.47399 .53517 L
.4731 .53372 L
.47206 .5324 L
.47152 .53179 L
.47022 .52987 L
.47013 .52976 L
.4688 .52794 L
.46821 .52741 L
.46737 .52601 L
.46628 .52461 L
.46584 .52409 L
.46451 .52216 L
.46435 .52195 L
.46311 .52023 L
.46242 .51958 L
.46107 .51831 L
.4605 .51675 L
.4602 .51638 L
.45886 .51445 L
.45857 .51407 L
.45746 .51253 L
.45664 .51167 L
.45559 .5106 L
.45472 .50881 L
.45461 .50867 L
.45326 .50674 L
.45279 .50612 L
.45187 .50482 L
.45086 .50365 L
.45017 .50289 L
.44907 .50096 L
.44894 .50079 L
.44772 .49904 L
.44701 .49808 L
.44633 .49711 L
.44508 .49548 L
.44483 .49518 L
.4436 .49326 L
.44316 .49265 L
.44226 .49133 L
.44123 .48991 L
.44089 .4894 L
.43955 .48747 L
.4393 .48714 L
.43827 .48555 L
.43737 .48429 L
.43695 .48362 L
.43565 .48169 L
.43545 .4814 L
.4345 .47977 L
.43352 .47827 L
.4333 .47784 L
F
0 .24 1 r
.43352 .48497 m
.43399 .48555 L
.43545 .48709 L
.43574 .48747 L
.43545 .489 L
.43456 .48747 L
.43352 .48598 L
.4333 .48555 L
F
1 .66 0 r
.43352 .44228 m
.43467 .44316 L
.43545 .44385 L
.43651 .44508 L
.43737 .44605 L
.43811 .44701 L
.4393 .44849 L
.43962 .44894 L
.44103 .45086 L
.44123 .45113 L
.44229 .45279 L
.44316 .45409 L
.4435 .45472 L
.44316 .45616 L
.44167 .45472 L
.44123 .45428 L
.43996 .45279 L
.4393 .45202 L
.43841 .45086 L
.43737 .44953 L
.43694 .44894 L
.43559 .44701 L
.43545 .44681 L
.43438 .44508 L
.43352 .44358 L
.43333 .44316 L
F
1 .04 0 r
.43352 .4932 m
.43355 .49326 L
.43352 .49353 L
.43341 .49326 L
F
0 .23 1 r
.43352 .48516 m
.43385 .48555 L
.43545 .48718 L
.43567 .48747 L
.43545 .48891 L
.43465 .48747 L
.43352 .4858 L
.43341 .48555 L
F
1 .64 0 r
.43352 .47699 m
.4344 .47784 L
.43545 .47883 L
.43626 .47977 L
.43737 .48099 L
.43797 .48169 L
.4393 .48309 L
.4396 .48362 L
.44117 .48555 L
.44123 .48562 L
.44271 .48747 L
.44316 .48801 L
.44425 .4894 L
.44508 .49019 L
.44577 .49133 L
.44701 .49288 L
.44738 .49326 L
.44876 .49518 L
.44894 .4954 L
.45024 .49711 L
.45086 .49769 L
.45172 .49904 L
.45279 .5004 L
.4533 .50096 L
.45465 .50289 L
.45472 .50298 L
.45609 .50482 L
.45664 .50535 L
.45755 .50674 L
.45857 .50807 L
.45907 .50867 L
.46043 .5106 L
.4605 .51069 L
.46186 .51253 L
.46242 .5131 L
.46391 .51445 L
.46435 .51584 L
.46477 .51638 L
.46614 .51831 L
.46628 .51849 L
.46755 .52023 L
.46821 .52092 L
.46944 .52216 L
.47013 .5237 L
.47042 .52409 L
.47179 .52601 L
.47206 .52637 L
.47319 .52794 L
.47399 .52882 L
.47495 .52987 L
.47591 .53164 L
.47602 .53179 L
.47739 .53372 L
.47784 .53433 L
.47878 .53565 L
.47977 .53684 L
.48041 .53758 L
.48156 .5395 L
.48169 .53968 L
.48292 .54143 L
.48362 .54239 L
.4843 .54336 L
.48555 .54503 L
.48576 .54528 L
.48701 .54721 L
.48747 .54785 L
.48835 .54914 L
.4894 .55061 L
.48971 .55106 L
.49102 .55299 L
.49133 .55342 L
.49229 .55492 L
.49326 .5563 L
.4936 .55684 L
.49483 .55877 L
.49518 .5593 L
.49595 .5607 L
.49518 .56156 L
.49443 .5607 L
.49326 .55944 L
.49271 .55877 L
.49133 .55738 L
.49106 .55684 L
.48948 .55492 L
.4894 .55483 L
.48795 .55299 L
.48747 .55242 L
.48642 .55106 L
.48555 .55031 L
.48489 .54914 L
.48362 .54757 L
.48324 .54721 L
.4819 .54528 L
.48169 .54503 L
.48043 .54336 L
.47977 .5428 L
.47895 .54143 L
.47784 .54004 L
.47733 .5395 L
.47602 .53758 L
.47591 .53744 L
.47458 .53565 L
.47399 .53513 L
.47313 .53372 L
.47206 .53236 L
.47156 .53179 L
.47024 .52987 L
.47013 .52972 L
.46883 .52794 L
.46821 .52738 L
.46739 .52601 L
.46628 .52458 L
.46586 .52409 L
.46454 .52216 L
.46435 .52192 L
.46313 .52023 L
.46242 .51955 L
.4611 .51831 L
.4605 .51672 L
.46023 .51638 L
.45889 .51445 L
.45857 .51404 L
.45749 .51253 L
.45664 .51163 L
.45563 .5106 L
.45472 .50877 L
.45464 .50867 L
.45329 .50674 L
.45279 .50608 L
.4519 .50482 L
.45086 .50361 L
.45021 .50289 L
.4491 .50096 L
.44894 .50075 L
.44775 .49904 L
.44701 .49804 L
.44636 .49711 L
.44508 .49542 L
.44488 .49518 L
.44364 .49326 L
.44316 .4926 L
.44229 .49133 L
.44123 .48986 L
.44092 .4894 L
.4396 .48747 L
.4393 .48707 L
.43832 .48555 L
.43737 .48421 L
.437 .48362 L
.43573 .48169 L
.43545 .48128 L
.4346 .47977 L
.43352 .47805 L
.43342 .47784 L
F
1 .65 0 r
.43352 .44265 m
.43447 .44316 L
.43545 .44397 L
.43642 .44508 L
.43737 .44614 L
.43804 .44701 L
.4393 .44857 L
.43956 .44894 L
.44096 .45086 L
.44123 .45123 L
.44221 .45279 L
.44316 .45424 L
.44341 .45472 L
.44316 .45597 L
.4418 .45472 L
.44123 .45417 L
.44005 .45279 L
.4393 .45192 L
.43848 .45086 L
.43737 .44943 L
.43701 .44894 L
.43567 .44701 L
.43545 .44669 L
.43448 .44508 L
.43352 .44328 L
.43347 .44316 L
F
0 .9 1 r
.43352 .46878 m
.43493 .47013 L
.43545 .47061 L
.43676 .47206 L
.43737 .4727 L
.43849 .47399 L
.4393 .47446 L
.44017 .47591 L
.44123 .47715 L
.44229 .47784 L
.44316 .47954 L
.44334 .47977 L
.44495 .48169 L
.44508 .48177 L
.44652 .48362 L
.44701 .48423 L
.44843 .48555 L
.44894 .48675 L
.44948 .48747 L
.45086 .48924 L
.45086 .4894 L
.45257 .49133 L
.45279 .49161 L
.45429 .49326 L
.45472 .49419 L
.45542 .49518 L
.45664 .49678 L
.45669 .49711 L
.45845 .49904 L
.45857 .49919 L
.46005 .50096 L
.4605 .50181 L
.46123 .50289 L
.46242 .50444 L
.46282 .50482 L
.46424 .50674 L
.46435 .50689 L
.46577 .50867 L
.46628 .50953 L
.46695 .5106 L
.46821 .51219 L
.46856 .51253 L
.46997 .51445 L
.47013 .51467 L
.47146 .51638 L
.47206 .51733 L
.47263 .51831 L
.47399 .51998 L
.47426 .52023 L
.47567 .52216 L
.47591 .52249 L
.47712 .52409 L
.47784 .52516 L
.47829 .52601 L
.47977 .52779 L
.47993 .52794 L
.48164 .52987 L
.48169 .53034 L
.48277 .53179 L
.48362 .53302 L
.48394 .53372 L
.48555 .53562 L
.48558 .53565 L
.48729 .53758 L
.48747 .53821 L
.4884 .5395 L
.4894 .5409 L
.48959 .54143 L
.49121 .54336 L
.49133 .54346 L
.49291 .54528 L
.49326 .54611 L
.49401 .54721 L
.49518 .54881 L
.49526 .54914 L
.49683 .55106 L
.49711 .55133 L
.49851 .55299 L
.49904 .55404 L
.49961 .55492 L
.50096 .55674 L
.50097 .55684 L
.50243 .55877 L
.50289 .55924 L
.50407 .5607 L
.50482 .56201 L
.5052 .56263 L
.50662 .56455 L
.50674 .56472 L
.508 .56648 L
.50867 .56722 L
.50959 .56841 L
.5106 .57005 L
.51077 .57033 L
.51215 .57226 L
.51253 .57278 L
.51352 .57419 L
.51445 .57532 L
.51504 .57611 L
.51627 .57804 L
.51638 .57819 L
.5176 .57997 L
.51831 .58095 L
.51963 .58189 L
.52023 .58365 L
.52035 .58382 L
.52162 .58575 L
.52216 .58652 L
.52293 .58768 L
.52409 .58935 L
.52444 .5896 L
.52548 .59153 L
.52601 .59232 L
.52669 .59346 L
.52791 .59538 L
.52794 .59544 L
.52876 .59731 L
.52794 .59761 L
.52764 .59731 L
.52601 .59598 L
.52572 .59538 L
.52409 .59359 L
.52382 .59346 L
.52234 .59153 L
.52216 .59133 L
.52074 .5896 L
.52023 .58932 L
.51915 .58768 L
.51831 .5867 L
.51707 .58575 L
.51638 .58421 L
.51604 .58382 L
.51455 .58189 L
.51445 .58183 L
.51305 .57997 L
.51253 .57934 L
.51118 .57804 L
.5106 .57676 L
.51008 .57611 L
.50867 .57425 L
.50865 .57419 L
.50715 .57226 L
.50674 .57177 L
.50541 .57033 L
.50482 .56915 L
.50427 .56841 L
.50289 .56659 L
.50288 .56648 L
.50134 .56455 L
.50096 .56408 L
.4997 .56263 L
.49904 .56144 L
.49853 .5607 L
.49711 .55885 L
.49703 .55877 L
.49561 .55684 L
.49518 .55631 L
.49401 .55492 L
.49326 .55365 L
.49283 .55299 L
.49133 .55107 L
.49132 .55106 L
.48991 .54914 L
.4894 .5485 L
.48835 .54721 L
.48747 .54583 L
.48715 .54528 L
.48564 .54336 L
.48555 .54328 L
.48367 .54143 L
.48362 .54066 L
.48271 .5395 L
.48169 .53798 L
.48148 .53758 L
.47998 .53565 L
.47977 .53546 L
.47808 .53372 L
.47784 .53279 L
.47708 .53179 L
.47591 .5301 L
.47581 .52987 L
.47434 .52794 L
.47399 .52762 L
.47249 .52601 L
.47206 .52489 L
.47146 .52409 L
.47013 .5222 L
.47012 .52216 L
.46872 .52023 L
.46821 .51974 L
.46693 .51831 L
.46628 .51697 L
.46586 .51638 L
.46449 .51445 L
.46435 .51427 L
.4631 .51253 L
.46242 .51182 L
.46138 .5106 L
.4605 .50901 L
.46026 .50867 L
.45889 .50674 L
.45857 .50631 L
.45751 .50482 L
.45664 .50385 L
.45586 .50289 L
.45472 .50101 L
.45469 .50096 L
.45333 .49904 L
.45279 .49832 L
.45194 .49711 L
.45086 .49579 L
.45039 .49518 L
.44916 .49326 L
.44894 .49296 L
.4478 .49133 L
.44701 .49025 L
.44642 .4894 L
.44508 .4876 L
.44499 .48747 L
.4437 .48555 L
.44316 .48481 L
.44236 .48362 L
.44123 .48206 L
.44098 .48169 L
.43967 .47977 L
.4393 .47926 L
.43839 .47784 L
.43737 .47641 L
.43707 .47591 L
.43581 .47399 L
.43545 .47345 L
.43466 .47206 L
.43352 .47023 L
.43347 .47013 L
F
0 .75 1 r
.43352 .45003 m
.43376 .45086 L
.43352 .45088 L
.4335 .45086 L
F
0 .89 1 r
.43545 .43562 m
.43737 .43701 L
.43794 .43737 L
.4393 .43905 L
.43951 .4393 L
.44108 .44123 L
.44123 .44138 L
.44259 .44316 L
.44316 .44388 L
.44431 .44508 L
.44508 .44647 L
.44549 .44701 L
.44695 .44894 L
.44701 .44895 L
.44835 .45086 L
.44894 .45149 L
.44996 .45279 L
.45086 .45425 L
.45113 .45472 L
.45253 .45664 L
.45279 .45701 L
.45387 .45857 L
.45472 .45983 L
.45531 .4605 L
.4563 .46242 L
.45664 .46329 L
.45668 .46435 L
.45664 .4644 L
.45472 .46436 L
.4547 .46435 L
.45279 .46313 L
.45169 .46242 L
.45086 .46114 L
.45034 .4605 L
.44894 .4588 L
.44888 .45857 L
.44727 .45664 L
.44701 .45632 L
.44557 .45472 L
.44508 .45372 L
.44442 .45279 L
.44316 .4511 L
.44313 .45086 L
.44154 .44894 L
.44123 .44867 L
.43994 .44701 L
.4393 .44593 L
.43882 .44508 L
.43741 .44316 L
.43737 .44311 L
.4361 .44123 L
.43545 .44022 L
.43467 .4393 L
.4338 .43737 L
F
0 .98 1 r
.43545 .41164 m
.43621 .41232 L
.43737 .4134 L
.43822 .41425 L
.4393 .41568 L
.43974 .41618 L
.44123 .41758 L
.44169 .41811 L
.44316 .41993 L
.44325 .42003 L
.44476 .42196 L
.44508 .42232 L
.44626 .42389 L
.44701 .42499 L
.44761 .42581 L
.44883 .42774 L
.44894 .42794 L
.4498 .42967 L
.44894 .43109 L
.44701 .43029 L
.44637 .42967 L
.44508 .42808 L
.44467 .42774 L
.44316 .42585 L
.44312 .42581 L
.44173 .42389 L
.44123 .42323 L
.44033 .42196 L
.4393 .42058 L
.43893 .42003 L
.43755 .41811 L
.43737 .41786 L
.43628 .41618 L
.43545 .41498 L
.435 .41425 L
.43385 .41232 L
F
0 .88 1 r
.43545 .43579 m
.43737 .43713 L
.43777 .43737 L
.4393 .43915 L
.43943 .4393 L
.44103 .44123 L
.44123 .44144 L
.44254 .44316 L
.44316 .44393 L
.44427 .44508 L
.44508 .44652 L
.44546 .44701 L
.44691 .44894 L
.44701 .44896 L
.44832 .45086 L
.44894 .45153 L
.44993 .45279 L
.45086 .4543 L
.4511 .45472 L
.45249 .45664 L
.45279 .45707 L
.45382 .45857 L
.45472 .45991 L
.45524 .4605 L
.4562 .46242 L
.45472 .46422 L
.45279 .46301 L
.45181 .46242 L
.45086 .46105 L
.4504 .4605 L
.44894 .45873 L
.4489 .45857 L
.44731 .45664 L
.44701 .45626 L
.4456 .45472 L
.44508 .45367 L
.44445 .45279 L
.44316 .45106 L
.44314 .45086 L
.44157 .44894 L
.44123 .44863 L
.43997 .44701 L
.4393 .44587 L
.43886 .44508 L
.43746 .44316 L
.43737 .44304 L
.43616 .44123 L
.43545 .44011 L
.43476 .4393 L
.43392 .43737 L
F
0 .87 1 r
.43545 .43595 m
.43737 .43726 L
.43758 .43737 L
.4393 .43924 L
.43936 .4393 L
.44097 .44123 L
.44123 .4415 L
.4425 .44316 L
.44316 .44399 L
.44423 .44508 L
.44508 .44656 L
.44543 .44701 L
.44688 .44894 L
.44701 .44897 L
.44829 .45086 L
.44894 .45157 L
.4499 .45279 L
.45086 .45435 L
.45107 .45472 L
.45245 .45664 L
.45279 .45713 L
.45378 .45857 L
.45472 .45999 L
.45517 .4605 L
.4561 .46242 L
.45472 .46408 L
.45279 .4629 L
.45196 .46242 L
.45086 .46096 L
.45047 .4605 L
.44894 .45865 L
.44892 .45857 L
.44736 .45664 L
.44701 .45621 L
.44563 .45472 L
.44508 .45362 L
.44449 .45279 L
.44316 .45102 L
.44314 .45086 L
.44161 .44894 L
.44123 .4486 L
.44 .44701 L
.4393 .44582 L
.43889 .44508 L
.43751 .44316 L
.43737 .44296 L
.43622 .44123 L
.43545 .44001 L
.43484 .4393 L
.43405 .43737 L
F
0 .86 1 r
.43545 .43611 m
.43737 .43737 L
.43737 .43738 L
.43928 .4393 L
.4393 .43931 L
.44091 .44123 L
.44123 .44156 L
.44245 .44316 L
.44316 .44404 L
.4442 .44508 L
.44508 .4466 L
.44539 .44701 L
.44685 .44894 L
.44701 .44898 L
.44826 .45086 L
.44894 .45161 L
.44987 .45279 L
.45086 .4544 L
.45105 .45472 L
.45241 .45664 L
.45279 .45719 L
.45373 .45857 L
.45472 .46007 L
.4551 .4605 L
.456 .46242 L
.45472 .46395 L
.45279 .46278 L
.45212 .46242 L
.45086 .46087 L
.45054 .4605 L
.44894 .45858 L
.44893 .45857 L
.44741 .45664 L
.44701 .45615 L
.44566 .45472 L
.44508 .45357 L
.44452 .45279 L
.44316 .45098 L
.44314 .45086 L
.44165 .44894 L
.44123 .44856 L
.44003 .44701 L
.4393 .44576 L
.43893 .44508 L
.43755 .44316 L
.43737 .44289 L
.43627 .44123 L
.43545 .4399 L
.43494 .4393 L
.43419 .43737 L
F
0 .85 1 r
.43545 .43628 m
.43722 .43737 L
.43737 .43749 L
.4392 .4393 L
.4393 .43935 L
.44085 .44123 L
.44123 .44161 L
.4424 .44316 L
.44316 .44409 L
.44416 .44508 L
.44508 .44665 L
.44536 .44701 L
.44681 .44894 L
.44701 .449 L
.44822 .45086 L
.44894 .45165 L
.44984 .45279 L
.45086 .45445 L
.45102 .45472 L
.45237 .45664 L
.45279 .45725 L
.45369 .45857 L
.45472 .46016 L
.45502 .4605 L
.45589 .46242 L
.45472 .46381 L
.45279 .46267 L
.45231 .46242 L
.45086 .46078 L
.45061 .4605 L
.44898 .45857 L
.44894 .45853 L
.44745 .45664 L
.44701 .4561 L
.44569 .45472 L
.44508 .45352 L
.44455 .45279 L
.44316 .45094 L
.44315 .45086 L
.44169 .44894 L
.44123 .44852 L
.44007 .44701 L
.4393 .44569 L
.43896 .44508 L
.4376 .44316 L
.43737 .44281 L
.43633 .44123 L
.43545 .43978 L
.43504 .4393 L
.43433 .43737 L
F
1 .9 0 r
.43545 .41987 m
.43559 .42003 L
.43545 .42188 L
.43435 .42003 L
F
0 .84 1 r
.43545 .43646 m
.43705 .43737 L
.43737 .43761 L
.43911 .4393 L
.4393 .43938 L
.44079 .44123 L
.44123 .44167 L
.44236 .44316 L
.44316 .44414 L
.44412 .44508 L
.44508 .44669 L
.44533 .44701 L
.44678 .44894 L
.44701 .44901 L
.44819 .45086 L
.44894 .4517 L
.4498 .45279 L
.45086 .4545 L
.45099 .45472 L
.45233 .45664 L
.45279 .45731 L
.45364 .45857 L
.45472 .46025 L
.45494 .4605 L
.45578 .46242 L
.45472 .46366 L
.45279 .46256 L
.45251 .46242 L
.45086 .4607 L
.45068 .4605 L
.44904 .45857 L
.44894 .45848 L
.4475 .45664 L
.44701 .45605 L
.44572 .45472 L
.44508 .45347 L
.44458 .45279 L
.44316 .4509 L
.44315 .45086 L
.44172 .44894 L
.44123 .44848 L
.4401 .44701 L
.4393 .44563 L
.439 .44508 L
.43765 .44316 L
.43737 .44274 L
.43639 .44123 L
.43545 .43966 L
.43514 .4393 L
.43449 .43737 L
F
1 .64 0 r
.43545 .4441 m
.43632 .44508 L
.43737 .44623 L
.43797 .44701 L
.4393 .44866 L
.4395 .44894 L
.44088 .45086 L
.44123 .45134 L
.44213 .45279 L
.44316 .45442 L
.4433 .45472 L
.44316 .45575 L
.44195 .45472 L
.44123 .45405 L
.44015 .45279 L
.4393 .45182 L
.43856 .45086 L
.43737 .44933 L
.43709 .44894 L
.43576 .44701 L
.43545 .44655 L
.43458 .44508 L
F
0 .83 1 r
.43545 .43664 m
.43687 .43737 L
.43737 .43772 L
.43902 .4393 L
.4393 .43942 L
.44073 .44123 L
.44123 .44173 L
.44231 .44316 L
.44316 .44419 L
.44407 .44508 L
.44508 .44673 L
.4453 .44701 L
.44674 .44894 L
.44701 .44902 L
.44816 .45086 L
.44894 .45174 L
.44977 .45279 L
.45086 .45456 L
.45095 .45472 L
.45229 .45664 L
.45279 .45737 L
.45359 .45857 L
.45472 .46034 L
.45486 .4605 L
.45567 .46242 L
.45472 .46352 L
.45279 .46244 L
.45275 .46242 L
.45086 .46061 L
.45076 .4605 L
.4491 .45857 L
.44894 .45843 L
.44755 .45664 L
.44701 .45599 L
.44576 .45472 L
.44508 .45342 L
.44462 .45279 L
.44316 .45086 L
.44316 .45086 L
.44176 .44894 L
.44123 .44844 L
.44014 .44701 L
.4393 .44557 L
.43903 .44508 L
.4377 .44316 L
.43737 .44266 L
.43645 .44123 L
.43545 .43953 L
.43526 .4393 L
.43465 .43737 L
F
1 .63 0 r
.43545 .44424 m
.43621 .44508 L
.43737 .44634 L
.43789 .44701 L
.4393 .44875 L
.43944 .44894 L
.44079 .45086 L
.44123 .45146 L
.44203 .45279 L
.44316 .45464 L
.44319 .45472 L
.44316 .45543 L
.44214 .45472 L
.44123 .45392 L
.44025 .45279 L
.4393 .45171 L
.43864 .45086 L
.43737 .44923 L
.43716 .44894 L
.43586 .44701 L
.43545 .4464 L
.4347 .44508 L
F
.43545 .47898 m
.43615 .47977 L
.43737 .48109 L
.43788 .48169 L
.4393 .48321 L
.43952 .48362 L
.4411 .48555 L
.44123 .48569 L
.44265 .48747 L
.44316 .48808 L
.44419 .4894 L
.44508 .49026 L
.44573 .49133 L
.44701 .49294 L
.44733 .49326 L
.44872 .49518 L
.44894 .49545 L
.4502 .49711 L
.45086 .49774 L
.45169 .49904 L
.45279 .50045 L
.45326 .50096 L
.45461 .50289 L
.45472 .50302 L
.45606 .50482 L
.45664 .50538 L
.45752 .50674 L
.45857 .50811 L
.45904 .50867 L
.4604 .5106 L
.4605 .51072 L
.46183 .51253 L
.46242 .51313 L
.46388 .51445 L
.46435 .51588 L
.46475 .51638 L
.46611 .51831 L
.46628 .51852 L
.46753 .52023 L
.46821 .52095 L
.46941 .52216 L
.47013 .52374 L
.4704 .52409 L
.47177 .52601 L
.47206 .5264 L
.47317 .52794 L
.47399 .52886 L
.47492 .52987 L
.47591 .53168 L
.47599 .53179 L
.47736 .53372 L
.47784 .53437 L
.47875 .53565 L
.47977 .53688 L
.48037 .53758 L
.48153 .5395 L
.48169 .53972 L
.48289 .54143 L
.48362 .54244 L
.48426 .54336 L
.48555 .54509 L
.4857 .54528 L
.48697 .54721 L
.48747 .54791 L
.48831 .54914 L
.4894 .55067 L
.48967 .55106 L
.49096 .55299 L
.49133 .5535 L
.49223 .55492 L
.49326 .5564 L
.49354 .55684 L
.49473 .55877 L
.49518 .55946 L
.49582 .5607 L
.49518 .5614 L
.49456 .5607 L
.49326 .55933 L
.4928 .55877 L
.49133 .55724 L
.49113 .55684 L
.48955 .55492 L
.4894 .55475 L
.48801 .55299 L
.48747 .55236 L
.48647 .55106 L
.48555 .55025 L
.48493 .54914 L
.48362 .54751 L
.4833 .54721 L
.48194 .54528 L
.48169 .54498 L
.48047 .54336 L
.47977 .54276 L
.47898 .54143 L
.47784 .53999 L
.47737 .5395 L
.47605 .53758 L
.47591 .5374 L
.47461 .53565 L
.47399 .5351 L
.47316 .53372 L
.47206 .53232 L
.47159 .53179 L
.47027 .52987 L
.47013 .52969 L
.46885 .52794 L
.46821 .52735 L
.46742 .52601 L
.46628 .52454 L
.46589 .52409 L
.46456 .52216 L
.46435 .52188 L
.46316 .52023 L
.46242 .51951 L
.46113 .51831 L
.4605 .51668 L
.46026 .51638 L
.45891 .51445 L
.45857 .514 L
.45751 .51253 L
.45664 .5116 L
.45566 .5106 L
.45472 .50873 L
.45467 .50867 L
.45331 .50674 L
.45279 .50605 L
.45192 .50482 L
.45086 .50356 L
.45025 .50289 L
.44913 .50096 L
.44894 .50071 L
.44778 .49904 L
.44701 .498 L
.44639 .49711 L
.44508 .49536 L
.44493 .49518 L
.44367 .49326 L
.44316 .49255 L
.44233 .49133 L
.44123 .4898 L
.44096 .4894 L
.43965 .48747 L
.4393 .48699 L
.43838 .48555 L
.43737 .48413 L
.43706 .48362 L
.43582 .48169 L
.43545 .48114 L
.43471 .47977 L
F
1 .93 0 r
.43545 .37719 m
.43586 .37764 L
.43737 .37918 L
.4377 .37957 L
.4393 .38133 L
.43939 .38149 L
.44098 .38342 L
.44123 .3837 L
.44254 .38535 L
.44316 .38607 L
.44409 .38727 L
.44508 .38829 L
.44563 .3892 L
.44701 .39092 L
.44723 .39113 L
.44864 .39306 L
.44894 .39342 L
.45011 .39498 L
.45086 .39574 L
.4516 .39691 L
.45279 .39842 L
.45318 .39884 L
.45453 .40076 L
.45472 .401 L
.45597 .40269 L
.45664 .40337 L
.45814 .40462 L
.45857 .40608 L
.45897 .40654 L
.46032 .40847 L
.4605 .4087 L
.46174 .4104 L
.46242 .41111 L
.46375 .41232 L
.46435 .41384 L
.46469 .41425 L
.46605 .41618 L
.46628 .41648 L
.46745 .41811 L
.46821 .41891 L
.46933 .42003 L
.47013 .42167 L
.47036 .42196 L
.47173 .42389 L
.47206 .42432 L
.47313 .42581 L
.47399 .42677 L
.4749 .42774 L
.47591 .42955 L
.476 .42967 L
.47737 .43159 L
.47784 .43221 L
.47877 .43352 L
.47977 .43469 L
.48045 .43545 L
.48162 .43737 L
.48169 .43747 L
.48299 .4393 L
.48362 .44014 L
.48439 .44123 L
.48555 .44267 L
.48596 .44316 L
.48721 .44508 L
.48747 .44544 L
.48857 .44701 L
.4894 .44764 L
.48998 .44894 L
.49133 .45073 L
.49144 .45086 L
.49275 .45279 L
.49326 .45346 L
.49412 .45472 L
.49518 .45584 L
.49552 .45664 L
.4969 .45857 L
.49711 .45885 L
.49823 .4605 L
.49904 .46159 L
.49959 .46242 L
.50096 .46429 L
.50102 .46435 L
.50226 .46628 L
.50289 .46715 L
.50356 .46821 L
.50482 .47 L
.5049 .47013 L
.50603 .47206 L
.50674 .47322 L
.50702 .47399 L
.50674 .47434 L
.50628 .47399 L
.50482 .47271 L
.50416 .47206 L
.50289 .47133 L
.50232 .47013 L
.50096 .46865 L
.5001 .46821 L
.49904 .46635 L
.49896 .46628 L
.49738 .46435 L
.49711 .46402 L
.49581 .46242 L
.49518 .4617 L
.49358 .4605 L
.49326 .45915 L
.49275 .45857 L
.49133 .45666 L
.49132 .45664 L
.48983 .45472 L
.4894 .45421 L
.48794 .45279 L
.48747 .4516 L
.48691 .45086 L
.48555 .44904 L
.4855 .44894 L
.484 .44701 L
.48362 .44654 L
.48231 .44508 L
.48169 .44391 L
.48118 .44316 L
.47977 .44133 L
.47976 .44123 L
.47823 .4393 L
.47784 .4388 L
.47665 .43737 L
.47591 .43615 L
.47548 .43545 L
.47399 .43356 L
.47394 .43352 L
.47252 .43159 L
.47206 .43101 L
.47099 .42967 L
.47013 .42833 L
.4698 .42774 L
.46826 .42581 L
.46821 .42577 L
.46684 .42389 L
.46628 .42316 L
.46536 .42196 L
.46435 .42047 L
.46414 .42003 L
.46262 .41811 L
.46242 .41796 L
.46062 .41618 L
.4605 .41526 L
.45976 .41425 L
.45857 .41254 L
.45848 .41232 L
.45702 .4104 L
.45664 .41008 L
.45512 .40847 L
.45472 .40727 L
.4542 .40654 L
.45285 .40462 L
.45279 .40454 L
.45148 .40269 L
.45086 .40209 L
.4497 .40076 L
.44894 .39918 L
.44871 .39884 L
.44737 .39691 L
.44701 .39641 L
.44601 .39498 L
.44508 .39389 L
.44441 .39306 L
.44332 .39113 L
.44316 .3909 L
.44201 .3892 L
.44123 .38809 L
.44068 .38727 L
.43937 .38535 L
.4393 .38524 L
.43814 .38342 L
.43737 .38227 L
.43689 .38149 L
.43572 .37957 L
.43545 .37914 L
.43475 .37764 L
F
0 .22 1 r
.43545 .48728 m
.4356 .48747 L
.43545 .4888 L
.43476 .48747 L
F
1 .62 0 r
.43545 .4444 m
.43608 .44508 L
.43737 .44644 L
.43781 .44701 L
.4393 .44884 L
.43937 .44894 L
.4407 .45086 L
.44123 .45159 L
.44193 .45279 L
.44123 .45378 L
.44036 .45279 L
.4393 .4516 L
.43873 .45086 L
.43737 .44912 L
.43724 .44894 L
.43597 .44701 L
.43545 .44623 L
.43483 .44508 L
F
.43545 .47914 m
.43601 .47977 L
.43737 .48121 L
.43779 .48169 L
.4393 .48335 L
.43945 .48362 L
.44103 .48555 L
.44123 .48577 L
.44259 .48747 L
.44316 .48815 L
.44414 .4894 L
.44508 .49032 L
.44568 .49133 L
.44701 .493 L
.44727 .49326 L
.44868 .49518 L
.44894 .4955 L
.45016 .49711 L
.45086 .49778 L
.45165 .49904 L
.45279 .5005 L
.45322 .50096 L
.45458 .50289 L
.45472 .50307 L
.45603 .50482 L
.45664 .50542 L
.45749 .50674 L
.45857 .50815 L
.45901 .50867 L
.46037 .5106 L
.4605 .51076 L
.4618 .51253 L
.46242 .51316 L
.46385 .51445 L
.46435 .51592 L
.46472 .51638 L
.46609 .51831 L
.46628 .51856 L
.4675 .52023 L
.46821 .52098 L
.46938 .52216 L
.47013 .52377 L
.47037 .52409 L
.47174 .52601 L
.47206 .52644 L
.47314 .52794 L
.47399 .5289 L
.47489 .52987 L
.47591 .53172 L
.47597 .53179 L
.47733 .53372 L
.47784 .53441 L
.47872 .53565 L
.47977 .53693 L
.48033 .53758 L
.4815 .5395 L
.48169 .53977 L
.48285 .54143 L
.48362 .54248 L
.48423 .54336 L
.48555 .54516 L
.48565 .54528 L
.48693 .54721 L
.48747 .54796 L
.48827 .54914 L
.4894 .55074 L
.48962 .55106 L
.49091 .55299 L
.49133 .55359 L
.49217 .55492 L
.49326 .5565 L
.49347 .55684 L
.49462 .55877 L
.49518 .55965 L
.49566 .5607 L
.49518 .5612 L
.49472 .5607 L
.49326 .55921 L
.49289 .55877 L
.49133 .55709 L
.49121 .55684 L
.48962 .55492 L
.4894 .55467 L
.48807 .55299 L
.48747 .55229 L
.48652 .55106 L
.48555 .55018 L
.48498 .54914 L
.48362 .54745 L
.48337 .54721 L
.48198 .54528 L
.48169 .54493 L
.4805 .54336 L
.47977 .54272 L
.47902 .54143 L
.47784 .53995 L
.47741 .5395 L
.47609 .53758 L
.47591 .53736 L
.47464 .53565 L
.47399 .53507 L
.47319 .53372 L
.47206 .53228 L
.47162 .53179 L
.4703 .52987 L
.47013 .52965 L
.46888 .52794 L
.46821 .52732 L
.46744 .52601 L
.46628 .52451 L
.46592 .52409 L
.46459 .52216 L
.46435 .52185 L
.46318 .52023 L
.46242 .51948 L
.46116 .51831 L
.4605 .51665 L
.46028 .51638 L
.45894 .51445 L
.45857 .51397 L
.45754 .51253 L
.45664 .51156 L
.4557 .5106 L
.45472 .50869 L
.4547 .50867 L
.45334 .50674 L
.45279 .50601 L
.45195 .50482 L
.45086 .50352 L
.45029 .50289 L
.44916 .50096 L
.44894 .50066 L
.44781 .49904 L
.44701 .49796 L
.44642 .49711 L
.44508 .49529 L
.44499 .49518 L
.44371 .49326 L
.44316 .4925 L
.44237 .49133 L
.44123 .48974 L
.441 .4894 L
.4397 .48747 L
.4393 .48692 L
.43843 .48555 L
.43737 .48404 L
.43712 .48362 L
.43592 .48169 L
.43545 .48099 L
.43484 .47977 L
F
0 .82 1 r
.43545 .43684 m
.43666 .43737 L
.43737 .43783 L
.43893 .4393 L
.4393 .43946 L
.44067 .44123 L
.44123 .44178 L
.44226 .44316 L
.44316 .44425 L
.44403 .44508 L
.44508 .44678 L
.44527 .44701 L
.44671 .44894 L
.44701 .44904 L
.44813 .45086 L
.44894 .45179 L
.44973 .45279 L
.45086 .45461 L
.45092 .45472 L
.45225 .45664 L
.45279 .45743 L
.45354 .45857 L
.45472 .46044 L
.45477 .4605 L
.45554 .46242 L
.45472 .46337 L
.45291 .46242 L
.45279 .46234 L
.45086 .46053 L
.45084 .4605 L
.44916 .45857 L
.44894 .45838 L
.44759 .45664 L
.44701 .45594 L
.44579 .45472 L
.44508 .45337 L
.44465 .45279 L
.4432 .45086 L
.44316 .45081 L
.4418 .44894 L
.44123 .44839 L
.44017 .44701 L
.4393 .4455 L
.43907 .44508 L
.43776 .44316 L
.43737 .44258 L
.43651 .44123 L
.43545 .43939 L
.43538 .4393 L
.43484 .43737 L
F
0 .21 1 r
.43545 .48739 m
.43551 .48747 L
.43545 .48867 L
.43489 .48747 L
F
0 .89 1 r
.43545 .47108 m
.4364 .47206 L
.43737 .47303 L
.43823 .47399 L
.4393 .47471 L
.43996 .47591 L
.44123 .47737 L
.44201 .47784 L
.44316 .4797 L
.44321 .47977 L
.44481 .48169 L
.44508 .48184 L
.44639 .48362 L
.44701 .48438 L
.44835 .48555 L
.44894 .48688 L
.4494 .48747 L
.45086 .48931 L
.45086 .4894 L
.45248 .49133 L
.45279 .49172 L
.45423 .49326 L
.45472 .49429 L
.45536 .49518 L
.45664 .49685 L
.45667 .49711 L
.45839 .49904 L
.45857 .49927 L
.46001 .50096 L
.4605 .50188 L
.46118 .50289 L
.46242 .5045 L
.46276 .50482 L
.46419 .50674 L
.46435 .50696 L
.46574 .50867 L
.46628 .5096 L
.46691 .5106 L
.46821 .51223 L
.46851 .51253 L
.46993 .51445 L
.47013 .51472 L
.47143 .51638 L
.47206 .51738 L
.4726 .51831 L
.47399 .52002 L
.47422 .52023 L
.47563 .52216 L
.47591 .52253 L
.47709 .52409 L
.47784 .5252 L
.47826 .52601 L
.47977 .52782 L
.47989 .52794 L
.48164 .52987 L
.48169 .53038 L
.48274 .53179 L
.48362 .53306 L
.48392 .53372 L
.48555 .53565 L
.48555 .53565 L
.48728 .53758 L
.48747 .53825 L
.48837 .5395 L
.4894 .54094 L
.48958 .54143 L
.49118 .54336 L
.49133 .54349 L
.49289 .54528 L
.49326 .54615 L
.49398 .54721 L
.49518 .54885 L
.49525 .54914 L
.4968 .55106 L
.49711 .55137 L
.49848 .55299 L
.49904 .55409 L
.49958 .55492 L
.50096 .55679 L
.50097 .55684 L
.50239 .55877 L
.50289 .55929 L
.50403 .5607 L
.50482 .56207 L
.50517 .56263 L
.50657 .56455 L
.50674 .56479 L
.50795 .56648 L
.50867 .56728 L
.50954 .56841 L
.5106 .57013 L
.51072 .57033 L
.51209 .57226 L
.51253 .57286 L
.51346 .57419 L
.51445 .57542 L
.51496 .57611 L
.51619 .57804 L
.51638 .5783 L
.51752 .57997 L
.51831 .58106 L
.51951 .58189 L
.52023 .58382 L
.52023 .58383 L
.5215 .58575 L
.52216 .58669 L
.5228 .58768 L
.52409 .58956 L
.52414 .5896 L
.52528 .59153 L
.52601 .59265 L
.52647 .59346 L
.52601 .5953 L
.52427 .59346 L
.52409 .59327 L
.52257 .59153 L
.52216 .59109 L
.52092 .5896 L
.52023 .58918 L
.5193 .58768 L
.51831 .58652 L
.51724 .58575 L
.51638 .58406 L
.51616 .58382 L
.51466 .58189 L
.51445 .58177 L
.51315 .57997 L
.51253 .57922 L
.51125 .57804 L
.5106 .57667 L
.51015 .57611 L
.50868 .57419 L
.50867 .57418 L
.50721 .57226 L
.50674 .57169 L
.50546 .57033 L
.50482 .56908 L
.50432 .56841 L
.50289 .56653 L
.50288 .56648 L
.50139 .56455 L
.50096 .56402 L
.49974 .56263 L
.49904 .56138 L
.49857 .5607 L
.49711 .55881 L
.49707 .55877 L
.49565 .55684 L
.49518 .55627 L
.49404 .55492 L
.49326 .55361 L
.49286 .55299 L
.49135 .55106 L
.49133 .55104 L
.48994 .54914 L
.4894 .54846 L
.48838 .54721 L
.48747 .54579 L
.48717 .54528 L
.48567 .54336 L
.48555 .54325 L
.48367 .54143 L
.48362 .54062 L
.48273 .5395 L
.48169 .53794 L
.4815 .53758 L
.48001 .53565 L
.47977 .53543 L
.47809 .53372 L
.47784 .53275 L
.4771 .53179 L
.47591 .53007 L
.47582 .52987 L
.47437 .52794 L
.47399 .52759 L
.47251 .52601 L
.47206 .52486 L
.47149 .52409 L
.47013 .52217 L
.47013 .52216 L
.46874 .52023 L
.46821 .51971 L
.46695 .51831 L
.46628 .51693 L
.46588 .51638 L
.46452 .51445 L
.46435 .51423 L
.46313 .51253 L
.46242 .51179 L
.46141 .5106 L
.4605 .50897 L
.46029 .50867 L
.45893 .50674 L
.45857 .50627 L
.45754 .50482 L
.45664 .5038 L
.45591 .50289 L
.45472 .50096 L
.45472 .50095 L
.45337 .49904 L
.45279 .49826 L
.45199 .49711 L
.45086 .49572 L
.45045 .49518 L
.44921 .49326 L
.44894 .49289 L
.44786 .49133 L
.44701 .49018 L
.44648 .4894 L
.44508 .48748 L
.44508 .48747 L
.44377 .48555 L
.44316 .4847 L
.44243 .48362 L
.44123 .48194 L
.44106 .48169 L
.43978 .47977 L
.4393 .4791 L
.43851 .47784 L
.43737 .4762 L
.4372 .47591 L
.43604 .47399 L
.43545 .47308 L
.43495 .47206 L
F
1 .61 0 r
.43545 .44458 m
.43593 .44508 L
.43737 .44656 L
.43773 .44701 L
.4393 .44894 L
.4393 .44894 L
.4406 .45086 L
.44123 .45174 L
.44182 .45279 L
.44123 .45362 L
.44048 .45279 L
.4393 .45148 L
.43882 .45086 L
.43737 .449 L
.43733 .44894 L
.43608 .44701 L
.43545 .44603 L
.43498 .44508 L
F
.43545 .47934 m
.43586 .47977 L
.43737 .48133 L
.43769 .48169 L
.4393 .48349 L
.43937 .48362 L
.44096 .48555 L
.44123 .48585 L
.44253 .48747 L
.44316 .48822 L
.44409 .4894 L
.44508 .49039 L
.44563 .49133 L
.44701 .49306 L
.44721 .49326 L
.44864 .49518 L
.44894 .49556 L
.45013 .49711 L
.45086 .49783 L
.45162 .49904 L
.45279 .50054 L
.45318 .50096 L
.45455 .50289 L
.45472 .50311 L
.456 .50482 L
.45664 .50546 L
.45746 .50674 L
.45857 .50819 L
.45898 .50867 L
.46034 .5106 L
.4605 .5108 L
.46177 .51253 L
.46242 .51319 L
.46382 .51445 L
.46435 .51595 L
.46469 .51638 L
.46606 .51831 L
.46628 .5186 L
.46747 .52023 L
.46821 .52102 L
.46935 .52216 L
.47013 .52381 L
.47034 .52409 L
.47171 .52601 L
.47206 .52648 L
.47311 .52794 L
.47399 .52894 L
.47485 .52987 L
.47591 .53176 L
.47594 .53179 L
.4773 .53372 L
.47784 .53445 L
.47869 .53565 L
.47977 .53698 L
.48028 .53758 L
.48146 .5395 L
.48169 .53981 L
.48282 .54143 L
.48362 .54253 L
.4842 .54336 L
.48555 .54523 L
.48559 .54528 L
.48689 .54721 L
.48747 .54802 L
.48822 .54914 L
.4894 .5508 L
.48958 .55106 L
.49085 .55299 L
.49133 .55367 L
.49211 .55492 L
.49326 .5566 L
.4934 .55684 L
.49449 .55877 L
.49518 .55991 L
.49546 .5607 L
.49518 .56096 L
.49492 .5607 L
.49326 .55908 L
.49299 .55877 L
.49133 .55693 L
.49129 .55684 L
.4897 .55492 L
.4894 .55459 L
.48813 .55299 L
.48747 .55222 L
.48657 .55106 L
.48555 .55011 L
.48503 .54914 L
.48362 .54738 L
.48343 .54721 L
.48202 .54528 L
.48169 .54488 L
.48054 .54336 L
.47977 .54268 L
.47905 .54143 L
.47784 .5399 L
.47745 .5395 L
.47612 .53758 L
.47591 .53732 L
.47467 .53565 L
.47399 .53503 L
.47322 .53372 L
.47206 .53224 L
.47166 .53179 L
.47033 .52987 L
.47013 .52962 L
.46891 .52794 L
.46821 .52728 L
.46747 .52601 L
.46628 .52447 L
.46595 .52409 L
.46461 .52216 L
.46435 .52182 L
.46321 .52023 L
.46242 .51945 L
.46119 .51831 L
.4605 .51661 L
.46031 .51638 L
.45896 .51445 L
.45857 .51394 L
.45756 .51253 L
.45664 .51152 L
.45573 .5106 L
.45473 .50867 L
.45472 .50866 L
.45337 .50674 L
.45279 .50598 L
.45197 .50482 L
.45086 .50347 L
.45033 .50289 L
.44919 .50096 L
.44894 .50062 L
.44784 .49904 L
.44701 .49791 L
.44645 .49711 L
.44508 .49523 L
.44504 .49518 L
.44375 .49326 L
.44316 .49244 L
.44241 .49133 L
.44123 .48968 L
.44104 .4894 L
.43976 .48747 L
.4393 .48684 L
.43849 .48555 L
.43737 .48394 L
.43718 .48362 L
.43603 .48169 L
.43545 .4808 L
.43499 .47977 L
F
0 .81 1 r
.43545 .43705 m
.4364 .43737 L
.43737 .43795 L
.43884 .4393 L
.4393 .4395 L
.44061 .44123 L
.44123 .44184 L
.44222 .44316 L
.44316 .4443 L
.44399 .44508 L
.44508 .44682 L
.44523 .44701 L
.44667 .44894 L
.44701 .44906 L
.44809 .45086 L
.44894 .45183 L
.44969 .45279 L
.45086 .45467 L
.45089 .45472 L
.45221 .45664 L
.45279 .4575 L
.4535 .45857 L
.45469 .4605 L
.45472 .46056 L
.45541 .46242 L
.45472 .46321 L
.45307 .46242 L
.45279 .46224 L
.45092 .4605 L
.45086 .46045 L
.44921 .45857 L
.44894 .45833 L
.44764 .45664 L
.44701 .45589 L
.44583 .45472 L
.44508 .45332 L
.44468 .45279 L
.44324 .45086 L
.44316 .45076 L
.44184 .44894 L
.44123 .44835 L
.44021 .44701 L
.4393 .44543 L
.43911 .44508 L
.43781 .44316 L
.43737 .44249 L
.43658 .44123 L
.43549 .4393 L
.43545 .43921 L
.43506 .43737 L
F
1 .6 0 r
.43545 .4448 m
.43574 .44508 L
.43737 .44668 L
.43763 .44701 L
.43737 .44886 L
.43621 .44701 L
.43545 .44577 L
.43517 .44508 L
F
.43545 .47958 m
.43565 .47977 L
.43737 .48146 L
.43758 .48169 L
.43929 .48362 L
.4393 .48364 L
.44088 .48555 L
.44123 .48594 L
.44247 .48747 L
.44316 .48829 L
.44404 .4894 L
.44508 .49046 L
.44558 .49133 L
.44701 .49312 L
.44715 .49326 L
.44859 .49518 L
.44894 .49561 L
.45009 .49711 L
.45086 .49787 L
.45158 .49904 L
.45279 .50059 L
.45313 .50096 L
.45451 .50289 L
.45472 .50315 L
.45597 .50482 L
.45664 .50549 L
.45743 .50674 L
.45857 .50823 L
.45894 .50867 L
.46031 .5106 L
.4605 .51084 L
.46174 .51253 L
.46242 .51323 L
.46379 .51445 L
.46435 .51599 L
.46466 .51638 L
.46603 .51831 L
.46628 .51863 L
.46745 .52023 L
.46821 .52105 L
.46932 .52216 L
.47013 .52385 L
.47031 .52409 L
.47168 .52601 L
.47206 .52651 L
.47309 .52794 L
.47399 .52898 L
.47482 .52987 L
.47591 .53179 L
.47591 .5318 L
.47727 .53372 L
.47784 .53449 L
.47867 .53565 L
.47977 .53703 L
.48024 .53758 L
.48143 .5395 L
.48169 .53986 L
.48278 .54143 L
.48362 .54258 L
.48416 .54336 L
.48554 .54528 L
.48555 .54529 L
.48684 .54721 L
.48747 .54808 L
.48818 .54914 L
.4894 .55087 L
.48953 .55106 L
.49078 .55299 L
.49133 .55376 L
.49204 .55492 L
.49326 .55672 L
.49333 .55684 L
.49434 .55877 L
.49326 .55894 L
.49311 .55877 L
.49138 .55684 L
.49133 .55679 L
.48978 .55492 L
.4894 .5545 L
.4882 .55299 L
.48747 .55215 L
.48663 .55106 L
.48555 .55004 L
.48507 .54914 L
.48362 .54732 L
.4835 .54721 L
.48207 .54528 L
.48169 .54483 L
.48058 .54336 L
.47977 .54263 L
.47909 .54143 L
.47784 .53985 L
.4775 .5395 L
.47615 .53758 L
.47591 .53727 L
.4747 .53565 L
.47399 .535 L
.47324 .53372 L
.47206 .5322 L
.47169 .53179 L
.47036 .52987 L
.47013 .52958 L
.46893 .52794 L
.46821 .52725 L
.46749 .52601 L
.46628 .52444 L
.46598 .52409 L
.46464 .52216 L
.46435 .52178 L
.46323 .52023 L
.46242 .51942 L
.46122 .51831 L
.4605 .51657 L
.46034 .51638 L
.45899 .51445 L
.45857 .5139 L
.45759 .51253 L
.45664 .51148 L
.45577 .5106 L
.45476 .50867 L
.45472 .50862 L
.45339 .50674 L
.45279 .50594 L
.452 .50482 L
.45086 .50342 L
.45038 .50289 L
.44922 .50096 L
.44894 .50058 L
.44787 .49904 L
.44701 .49787 L
.44649 .49711 L
.44509 .49518 L
.44508 .49517 L
.44379 .49326 L
.44316 .49239 L
.44245 .49133 L
.44123 .48962 L
.44108 .4894 L
.43981 .48747 L
.4393 .48676 L
.43855 .48555 L
.43737 .48384 L
.43724 .48362 L
.43615 .48169 L
.43545 .48054 L
.43521 .47977 L
F
0 .39 1 r
.43545 .50293 m
.43653 .50482 L
.43737 .50607 L
.43767 .50674 L
.43737 .50711 L
.43705 .50674 L
.43545 .50505 L
.43526 .50482 L
F
0 .8 1 r
.43545 .4373 m
.43601 .43737 L
.43737 .43806 L
.43875 .4393 L
.4393 .43954 L
.44055 .44123 L
.44123 .4419 L
.44217 .44316 L
.44316 .44435 L
.44394 .44508 L
.44508 .44686 L
.4452 .44701 L
.44664 .44894 L
.44701 .44907 L
.44806 .45086 L
.44894 .45188 L
.44966 .45279 L
.45086 .45472 L
.45086 .45473 L
.45217 .45664 L
.45279 .45756 L
.45345 .45857 L
.45461 .4605 L
.45472 .4607 L
.45527 .46242 L
.45472 .46304 L
.45325 .46242 L
.45279 .46214 L
.451 .4605 L
.45086 .46037 L
.44927 .45857 L
.44894 .45829 L
.44769 .45664 L
.44701 .45583 L
.44587 .45472 L
.44508 .45327 L
.44472 .45279 L
.44327 .45086 L
.44316 .4507 L
.44187 .44894 L
.44123 .4483 L
.44025 .44701 L
.4393 .44536 L
.43915 .44508 L
.43786 .44316 L
.43737 .44241 L
.43664 .44123 L
.43559 .4393 L
.43545 .43895 L
.43534 .43737 L
F
0 .38 1 r
.43545 .50303 m
.43642 .50482 L
.43737 .50632 L
.4375 .50674 L
.43737 .50689 L
.43723 .50674 L
.43545 .50494 L
.43535 .50482 L
F
0 .88 1 r
.43545 .47187 m
.43578 .47206 L
.43737 .47339 L
.43793 .47399 L
.4393 .47508 L
.43973 .47591 L
.44123 .47761 L
.44165 .47784 L
.44306 .47977 L
.44316 .47988 L
.44467 .48169 L
.44508 .48192 L
.44627 .48362 L
.44701 .48452 L
.44825 .48555 L
.44894 .487 L
.44931 .48747 L
.45086 .48939 L
.45086 .4894 L
.4524 .49133 L
.45279 .49182 L
.45418 .49326 L
.45472 .49438 L
.4553 .49518 L
.45664 .49692 L
.45667 .49711 L
.45833 .49904 L
.45857 .49935 L
.45997 .50096 L
.4605 .50196 L
.46113 .50289 L
.46242 .50456 L
.46271 .50482 L
.46414 .50674 L
.46435 .50702 L
.4657 .50867 L
.46628 .50966 L
.46687 .5106 L
.46821 .51228 L
.46847 .51253 L
.46989 .51445 L
.47013 .51477 L
.4714 .51638 L
.47206 .51743 L
.47257 .51831 L
.47399 .52005 L
.47418 .52023 L
.4756 .52216 L
.47591 .52258 L
.47707 .52409 L
.47784 .52525 L
.47824 .52601 L
.47977 .52786 L
.47986 .52794 L
.48163 .52987 L
.48169 .53042 L
.48271 .53179 L
.48362 .5331 L
.4839 .53372 L
.48551 .53565 L
.48555 .53568 L
.48726 .53758 L
.48747 .53829 L
.48834 .5395 L
.4894 .54098 L
.48956 .54143 L
.49115 .54336 L
.49133 .54352 L
.49287 .54528 L
.49326 .5462 L
.49396 .54721 L
.49518 .54889 L
.49524 .54914 L
.49677 .55106 L
.49711 .5514 L
.49845 .55299 L
.49904 .55414 L
.49955 .55492 L
.50096 .55683 L
.50096 .55684 L
.50235 .55877 L
.50289 .55933 L
.504 .5607 L
.50482 .56213 L
.50513 .56263 L
.50653 .56455 L
.50674 .56485 L
.5079 .56648 L
.50867 .56735 L
.50949 .56841 L
.5106 .57021 L
.51067 .57033 L
.51203 .57226 L
.51253 .57294 L
.5134 .57419 L
.51445 .57552 L
.51489 .57611 L
.51612 .57804 L
.51638 .5784 L
.51744 .57997 L
.51831 .58118 L
.51936 .58189 L
.52012 .58382 L
.52023 .58398 L
.52138 .58575 L
.52216 .58687 L
.52267 .58768 L
.52394 .5896 L
.52409 .58982 L
.52506 .59153 L
.52601 .59309 L
.5262 .59346 L
.52601 .59475 L
.52465 .59346 L
.52409 .59294 L
.52282 .59153 L
.52216 .59084 L
.52111 .5896 L
.52023 .58901 L
.51946 .58768 L
.51831 .58635 L
.51744 .58575 L
.51638 .58392 L
.51629 .58382 L
.51477 .58189 L
.51445 .5817 L
.51324 .57997 L
.51253 .57911 L
.51133 .57804 L
.5106 .57657 L
.51023 .57611 L
.50875 .57419 L
.50867 .57413 L
.50728 .57226 L
.50674 .57161 L
.50551 .57033 L
.50482 .56901 L
.50437 .56841 L
.50289 .56648 L
.50289 .56648 L
.50144 .56455 L
.50096 .56396 L
.49977 .56263 L
.49904 .56132 L
.4986 .5607 L
.49711 .55877 L
.49711 .55877 L
.49568 .55684 L
.49518 .55622 L
.49408 .55492 L
.49326 .55356 L
.49289 .55299 L
.49139 .55106 L
.49133 .55102 L
.48997 .54914 L
.4894 .54842 L
.48841 .54721 L
.48747 .54575 L
.4872 .54528 L
.4857 .54336 L
.48555 .54323 L
.48368 .54143 L
.48362 .54059 L
.48276 .5395 L
.48169 .53791 L
.48152 .53758 L
.48004 .53565 L
.47977 .53541 L
.47811 .53372 L
.47784 .53272 L
.47713 .53179 L
.47591 .53003 L
.47584 .52987 L
.4744 .52794 L
.47399 .52756 L
.47253 .52601 L
.47206 .52482 L
.47151 .52409 L
.47015 .52216 L
.47013 .52213 L
.46877 .52023 L
.46821 .51968 L
.46698 .51831 L
.46628 .51689 L
.46591 .51638 L
.46455 .51445 L
.46435 .51419 L
.46316 .51253 L
.46242 .51175 L
.46145 .5106 L
.4605 .50892 L
.46032 .50867 L
.45896 .50674 L
.45857 .50622 L
.45758 .50482 L
.45664 .50375 L
.45595 .50289 L
.45476 .50096 L
.45472 .5009 L
.45341 .49904 L
.45279 .4982 L
.45203 .49711 L
.45086 .49564 L
.45051 .49518 L
.44926 .49326 L
.44894 .49282 L
.44791 .49133 L
.44701 .4901 L
.44653 .4894 L
.44515 .48747 L
.44508 .48738 L
.44385 .48555 L
.44316 .48459 L
.44252 .48362 L
.44123 .48181 L
.44115 .48169 L
.4399 .47977 L
.4393 .47892 L
.43865 .47784 L
.43737 .47596 L
.43735 .47591 L
.43632 .47399 L
.43545 .47236 L
.43539 .47206 L
F
0 .37 1 r
.43545 .50315 m
.43628 .50482 L
.43545 .50483 L
.43544 .50482 L
F
0 .79 1 r
.43737 .43818 m
.43865 .4393 L
.4393 .43958 L
.44048 .44123 L
.44123 .44196 L
.44212 .44316 L
.44316 .4444 L
.44389 .44508 L
.44508 .44691 L
.44516 .44701 L
.4466 .44894 L
.44701 .44909 L
.44803 .45086 L
.44894 .45193 L
.44962 .45279 L
.45082 .45472 L
.45086 .45478 L
.45212 .45664 L
.45279 .45763 L
.4534 .45857 L
.45453 .4605 L
.45472 .46088 L
.45511 .46242 L
.45472 .46285 L
.45346 .46242 L
.45279 .46203 L
.45108 .4605 L
.45086 .46029 L
.44933 .45857 L
.44894 .45824 L
.44773 .45664 L
.44701 .45578 L
.44591 .45472 L
.44508 .45323 L
.44475 .45279 L
.44331 .45086 L
.44316 .45065 L
.44191 .44894 L
.44123 .44825 L
.44029 .44701 L
.4393 .44529 L
.43919 .44508 L
.43791 .44316 L
.43737 .44232 L
.4367 .44123 L
.4357 .4393 L
F
0 .78 1 r
.43737 .4383 m
.43854 .4393 L
.4393 .43963 L
.44042 .44123 L
.44123 .44202 L
.44207 .44316 L
.44316 .44446 L
.44384 .44508 L
.44508 .44695 L
.44513 .44701 L
.44657 .44894 L
.44701 .44912 L
.44799 .45086 L
.44894 .45198 L
.44958 .45279 L
.45078 .45472 L
.45086 .45484 L
.45208 .45664 L
.45279 .4577 L
.45335 .45857 L
.45445 .4605 L
.45472 .46109 L
.45492 .46242 L
.45472 .46264 L
.45371 .46242 L
.45279 .46193 L
.45117 .4605 L
.45086 .46021 L
.44939 .45857 L
.44894 .45819 L
.44778 .45664 L
.44701 .45573 L
.44595 .45472 L
.44508 .45318 L
.44479 .45279 L
.44335 .45086 L
.44316 .4506 L
.44195 .44894 L
.44123 .4482 L
.44033 .44701 L
.4393 .44522 L
.43923 .44508 L
.43796 .44316 L
.43737 .44223 L
.43676 .44123 L
.4358 .4393 L
F
0 .77 1 r
.43737 .43842 m
.43843 .4393 L
.4393 .43969 L
.44035 .44123 L
.44123 .44208 L
.44202 .44316 L
.44316 .44451 L
.44379 .44508 L
.44508 .447 L
.44509 .44701 L
.44653 .44894 L
.44701 .44914 L
.44796 .45086 L
.44894 .45203 L
.44954 .45279 L
.45074 .45472 L
.45086 .45489 L
.45204 .45664 L
.45279 .45777 L
.4533 .45857 L
.45437 .4605 L
.45279 .46183 L
.45126 .4605 L
.45086 .46013 L
.44945 .45857 L
.44894 .45814 L
.44783 .45664 L
.44701 .45567 L
.44599 .45472 L
.44508 .45313 L
.44482 .45279 L
.44339 .45086 L
.44316 .45055 L
.44199 .44894 L
.44123 .44815 L
.44038 .44701 L
.4393 .44514 L
.43927 .44508 L
.43801 .44316 L
.43737 .44213 L
.43683 .44123 L
.43592 .4393 L
F
0 .76 1 r
.43737 .43855 m
.43831 .4393 L
.4393 .43975 L
.44028 .44123 L
.44123 .44214 L
.44197 .44316 L
.44316 .44456 L
.44373 .44508 L
.44505 .44701 L
.44508 .44705 L
.44649 .44894 L
.44701 .44917 L
.44792 .45086 L
.44894 .45208 L
.44949 .45279 L
.4507 .45472 L
.45086 .45495 L
.452 .45664 L
.45279 .45784 L
.45325 .45857 L
.45429 .4605 L
.45279 .46172 L
.45135 .4605 L
.45086 .46005 L
.44951 .45857 L
.44894 .45809 L
.44788 .45664 L
.44701 .45562 L
.44604 .45472 L
.44508 .45308 L
.44486 .45279 L
.44343 .45086 L
.44316 .4505 L
.44203 .44894 L
.44123 .44809 L
.44042 .44701 L
.43931 .44508 L
.4393 .44506 L
.43807 .44316 L
.43737 .44204 L
.4369 .44123 L
.43605 .4393 L
F
0 .75 1 r
.43737 .43867 m
.43819 .4393 L
.4393 .43982 L
.44021 .44123 L
.44123 .4422 L
.44192 .44316 L
.44316 .44462 L
.44368 .44508 L
.44501 .44701 L
.44508 .4471 L
.44646 .44894 L
.44701 .4492 L
.44789 .45086 L
.44894 .45214 L
.44945 .45279 L
.45066 .45472 L
.45086 .455 L
.45195 .45664 L
.45279 .45792 L
.4532 .45857 L
.4542 .4605 L
.45279 .46161 L
.45145 .4605 L
.45086 .45997 L
.44957 .45857 L
.44894 .45804 L
.44793 .45664 L
.44701 .45557 L
.44609 .45472 L
.44508 .45303 L
.4449 .45279 L
.44347 .45086 L
.44316 .45044 L
.44207 .44894 L
.44123 .44803 L
.44047 .44701 L
.43936 .44508 L
.4393 .44499 L
.43812 .44316 L
.43737 .44193 L
.43697 .44123 L
.43618 .4393 L
F
0 .96 1 r
.43737 .37136 m
.43785 .37186 L
.4393 .3731 L
.43969 .37379 L
.44123 .37548 L
.44162 .37571 L
.44304 .37764 L
.44316 .37777 L
.44462 .37957 L
.44508 .3799 L
.44619 .38149 L
.44701 .38246 L
.44817 .38342 L
.44894 .38495 L
.44928 .38535 L
.45077 .38727 L
.45086 .38735 L
.45226 .3892 L
.45279 .38986 L
.45406 .39113 L
.45472 .39244 L
.4552 .39306 L
.45664 .39495 L
.45665 .39498 L
.45813 .39691 L
.45857 .39746 L
.45983 .39884 L
.4605 .40008 L
.46099 .40076 L
.46242 .40263 L
.46249 .40269 L
.46391 .40462 L
.46435 .40517 L
.46554 .40654 L
.46628 .40782 L
.46672 .40847 L
.46821 .41038 L
.46822 .4104 L
.46964 .41232 L
.47013 .41295 L
.47122 .41425 L
.47206 .41561 L
.47241 .41618 L
.47392 .41811 L
.47399 .41817 L
.47533 .42003 L
.47591 .42077 L
.47687 .42196 L
.47784 .42345 L
.47809 .42389 L
.47959 .42581 L
.47977 .42598 L
.48152 .42774 L
.48169 .42862 L
.48251 .42967 L
.48362 .4313 L
.48377 .43159 L
.48525 .43352 L
.48555 .43381 L
.48711 .43545 L
.48747 .4365 L
.48814 .43737 L
.4894 .43917 L
.48945 .4393 L
.49089 .44123 L
.49133 .44166 L
.4927 .44316 L
.49326 .44439 L
.49377 .44508 L
.49514 .44701 L
.49518 .44707 L
.49653 .44894 L
.49711 .44954 L
.49828 .45086 L
.49904 .4523 L
.49938 .45279 L
.50076 .45472 L
.50096 .45498 L
.50215 .45664 L
.50289 .45745 L
.50384 .45857 L
.50482 .46023 L
.505 .4605 L
.50638 .46242 L
.50674 .46291 L
.50777 .46435 L
.50867 .46539 L
.5094 .46628 L
.5106 .46819 L
.51061 .46821 L
.51197 .47013 L
.51253 .47086 L
.51337 .47206 L
.51445 .47337 L
.51493 .47399 L
.51619 .47591 L
.51638 .47616 L
.51755 .47784 L
.51831 .47884 L
.51895 .47977 L
.52023 .48142 L
.52044 .48169 L
.52173 .48362 L
.52216 .48419 L
.5231 .48555 L
.52409 .48688 L
.5245 .48747 L
.52589 .4894 L
.52601 .48956 L
.52721 .49133 L
.52794 .49231 L
.52858 .49326 L
.52987 .49502 L
.53012 .49518 L
.53129 .49711 L
.53179 .4978 L
.5326 .49904 L
.53372 .50057 L
.53398 .50096 L
.53532 .50289 L
.53565 .50333 L
.53664 .50482 L
.53758 .50598 L
.53802 .50674 L
.53942 .50867 L
.5395 .50875 L
.5408 .5106 L
.54143 .51141 L
.54248 .51253 L
.54336 .51408 L
.54365 .51445 L
.54504 .51638 L
.54528 .51668 L
.54671 .51831 L
.54721 .51934 L
.54787 .52023 L
.54914 .52206 L
.5492 .52216 L
.55057 .52409 L
.55106 .52445 L
.55201 .52601 L
.55299 .52769 L
.55309 .52794 L
.55409 .52987 L
.55299 .53144 L
.55106 .53038 L
.55055 .52987 L
.54914 .52827 L
.5488 .52794 L
.54722 .52601 L
.54721 .526 L
.54579 .52409 L
.54528 .52344 L
.54437 .52216 L
.54336 .52106 L
.54257 .52023 L
.54151 .51831 L
.54143 .51819 L
.54018 .51638 L
.5395 .51545 L
.53883 .51445 L
.53758 .51277 L
.53741 .51253 L
.5362 .5106 L
.53565 .50977 L
.53497 .50867 L
.53376 .50674 L
.53372 .50668 L
.53262 .50482 L
.53179 .50341 L
.5314 .50289 L
.53025 .50096 L
.52987 .50046 L
.52891 .49904 L
.52794 .49766 L
.52751 .49711 L
.52607 .49518 L
.52601 .49515 L
.52454 .49326 L
.52409 .49261 L
.52311 .49133 L
.52216 .48992 L
.52143 .4894 L
.52023 .48787 L
.5199 .48747 L
.51839 .48555 L
.51831 .48543 L
.5168 .48362 L
.51638 .48283 L
.51583 .48169 L
.51445 .48056 L
.51381 .47977 L
.51253 .47805 L
.51235 .47784 L
.5108 .47591 L
.5106 .47547 L
.5096 .47399 L
.50867 .47275 L
.50793 .47206 L
.50674 .47043 L
.50651 .47013 L
.50501 .46821 L
.50482 .46781 L
.50378 .46628 L
.50289 .46511 L
.50272 .46435 L
.50096 .46248 L
.50077 .46242 L
.49929 .4605 L
.49904 .46003 L
.49808 .45857 L
.49711 .45732 L
.49648 .45664 L
.49518 .45475 L
.49508 .45472 L
.49362 .45279 L
.49326 .4522 L
.49244 .45086 L
.49133 .44949 L
.4908 .44894 L
.48941 .44701 L
.4894 .44699 L
.48797 .44508 L
.48747 .44433 L
.48681 .44316 L
.48555 .44163 L
.48515 .44123 L
.48375 .4393 L
.48362 .43913 L
.48233 .43737 L
.48169 .43645 L
.48119 .43545 L
.47977 .43378 L
.47951 .43352 L
.4779 .43159 L
.47784 .43124 L
.47671 .42967 L
.47591 .42855 L
.47557 .42774 L
.47399 .42591 L
.47388 .42581 L
.47225 .42389 L
.47206 .42334 L
.4711 .42196 L
.47013 .42064 L
.46994 .42003 L
.46827 .41811 L
.46821 .41805 L
.46663 .41618 L
.46628 .41541 L
.46551 .41425 L
.46435 .4127 L
.46428 .41232 L
.46268 .4104 L
.46242 .41017 L
.46104 .40847 L
.4605 .40745 L
.45993 .40654 L
.45857 .40473 L
.45857 .40462 L
.45711 .40269 L
.45664 .40223 L
.4555 .40076 L
.45472 .39942 L
.45437 .39884 L
.45296 .39691 L
.45279 .39668 L
.45159 .39498 L
.45086 .39419 L
.45003 .39306 L
.44894 .39128 L
.44885 .39113 L
.4475 .3892 L
.44701 .38851 L
.44615 .38727 L
.44508 .3859 L
.4447 .38535 L
.44348 .38342 L
.44316 .38296 L
.44218 .38149 L
.44123 .38012 L
.44043 .37957 L
.4396 .37764 L
.4393 .37719 L
.4384 .37571 L
.43737 .37411 L
.43718 .37379 L
.4362 .37186 L
F
1 .59 0 r
.43737 .48159 m
.43746 .48169 L
.43918 .48362 L
.4393 .48374 L
.4408 .48555 L
.44123 .48602 L
.4424 .48747 L
.44316 .48836 L
.44398 .4894 L
.44508 .49054 L
.44554 .49133 L
.44701 .49319 L
.44708 .49326 L
.44855 .49518 L
.44894 .49566 L
.45005 .49711 L
.45086 .49792 L
.45154 .49904 L
.45279 .50064 L
.45309 .50096 L
.45448 .50289 L
.45472 .5032 L
.45593 .50482 L
.45664 .50553 L
.4574 .50674 L
.45857 .50827 L
.45891 .50867 L
.46028 .5106 L
.4605 .51088 L
.46171 .51253 L
.46242 .51326 L
.46376 .51445 L
.46435 .51603 L
.46463 .51638 L
.466 .51831 L
.46628 .51867 L
.46742 .52023 L
.46821 .52109 L
.46929 .52216 L
.47013 .52389 L
.47028 .52409 L
.47166 .52601 L
.47206 .52655 L
.47306 .52794 L
.47399 .52902 L
.47478 .52987 L
.47588 .53179 L
.47591 .53184 L
.47724 .53372 L
.47784 .53453 L
.47864 .53565 L
.47977 .53708 L
.4802 .53758 L
.4814 .5395 L
.48169 .5399 L
.48275 .54143 L
.48362 .54263 L
.48413 .54336 L
.4855 .54528 L
.48555 .54535 L
.4868 .54721 L
.48747 .54815 L
.48813 .54914 L
.4894 .55094 L
.48948 .55106 L
.49072 .55299 L
.49133 .55386 L
.49197 .55492 L
.49133 .55668 L
.48986 .55492 L
.4894 .55441 L
.48826 .55299 L
.48747 .55208 L
.48668 .55106 L
.48555 .54996 L
.48512 .54914 L
.48362 .54726 L
.48357 .54721 L
.48211 .54528 L
.48169 .54477 L
.48062 .54336 L
.47977 .54258 L
.47912 .54143 L
.47784 .53981 L
.47754 .5395 L
.47619 .53758 L
.47591 .53723 L
.47474 .53565 L
.47399 .53496 L
.47327 .53372 L
.47206 .53216 L
.47173 .53179 L
.47039 .52987 L
.47013 .52954 L
.46896 .52794 L
.46821 .52722 L
.46752 .52601 L
.46628 .5244 L
.46601 .52409 L
.46467 .52216 L
.46435 .52175 L
.46326 .52023 L
.46242 .51938 L
.46126 .51831 L
.4605 .51654 L
.46037 .51638 L
.45901 .51445 L
.45857 .51387 L
.45761 .51253 L
.45664 .51144 L
.45581 .5106 L
.45478 .50867 L
.45472 .50858 L
.45342 .50674 L
.45279 .5059 L
.45203 .50482 L
.45086 .50337 L
.45042 .50289 L
.44925 .50096 L
.44894 .50054 L
.4479 .49904 L
.44701 .49783 L
.44652 .49711 L
.44513 .49518 L
.44508 .49512 L
.44383 .49326 L
.44316 .49233 L
.44249 .49133 L
.44123 .48956 L
.44112 .4894 L
.43987 .48747 L
.4393 .48667 L
.43861 .48555 L
.43737 .48373 L
.43731 .48362 L
.4363 .48169 L
F
0 .74 1 r
.43737 .43881 m
.43805 .4393 L
.4393 .4399 L
.44014 .44123 L
.44123 .44227 L
.44187 .44316 L
.44316 .44468 L
.44362 .44508 L
.44497 .44701 L
.44508 .44715 L
.44642 .44894 L
.44701 .44923 L
.44785 .45086 L
.44894 .45219 L
.44941 .45279 L
.45062 .45472 L
.45086 .45506 L
.45191 .45664 L
.45279 .458 L
.45314 .45857 L
.4541 .4605 L
.45279 .4615 L
.45155 .4605 L
.45086 .45989 L
.44964 .45857 L
.44894 .45799 L
.44798 .45664 L
.44701 .45551 L
.44614 .45472 L
.44508 .45298 L
.44494 .45279 L
.44351 .45086 L
.44316 .45039 L
.4421 .44894 L
.44123 .44797 L
.44052 .44701 L
.43941 .44508 L
.4393 .44492 L
.43818 .44316 L
.43737 .44182 L
.43704 .44123 L
.43633 .4393 L
F
1 .59 0 r
.43737 .44681 m
.43753 .44701 L
.43737 .44869 L
.43636 .44701 L
F
0 .73 1 r
.43737 .43895 m
.43789 .4393 L
.4393 .43999 L
.44007 .44123 L
.44123 .44234 L
.44182 .44316 L
.44316 .44473 L
.44356 .44508 L
.44493 .44701 L
.44508 .4472 L
.44638 .44894 L
.44701 .44927 L
.44782 .45086 L
.44894 .45225 L
.44936 .45279 L
.45058 .45472 L
.45086 .45512 L
.45186 .45664 L
.45279 .45808 L
.45309 .45857 L
.454 .4605 L
.45279 .46139 L
.45165 .4605 L
.45086 .45981 L
.4497 .45857 L
.44894 .45793 L
.44803 .45664 L
.44701 .45546 L
.44619 .45472 L
.44508 .45293 L
.44498 .45279 L
.44355 .45086 L
.44316 .45034 L
.44214 .44894 L
.44123 .4479 L
.44057 .44701 L
.43946 .44508 L
.4393 .44485 L
.43823 .44316 L
.43737 .44171 L
.43711 .44123 L
.43651 .4393 L
F
1 .58 0 r
.43737 .44696 m
.43741 .44701 L
.43737 .44849 L
.43655 .44701 L
F
0 .72 1 r
.43737 .4391 m
.4377 .4393 L
.4393 .44009 L
.43999 .44123 L
.44123 .44241 L
.44176 .44316 L
.44316 .44479 L
.4435 .44508 L
.44489 .44701 L
.44508 .44725 L
.44635 .44894 L
.44701 .44931 L
.44778 .45086 L
.44894 .45231 L
.44931 .45279 L
.45054 .45472 L
.45086 .45518 L
.45182 .45664 L
.45279 .45816 L
.45304 .45857 L
.45389 .4605 L
.45279 .46127 L
.45176 .4605 L
.45086 .45973 L
.44977 .45857 L
.44894 .45787 L
.44808 .45664 L
.44701 .4554 L
.44624 .45472 L
.44508 .45288 L
.44502 .45279 L
.44359 .45086 L
.44316 .45028 L
.44218 .44894 L
.44123 .44783 L
.44062 .44701 L
.43951 .44508 L
.4393 .44477 L
.43829 .44316 L
.43737 .44159 L
.43718 .44123 L
.43673 .4393 L
F
0 .87 1 r
.43737 .47385 m
.43753 .47399 L
.4393 .47557 L
.43947 .47591 L
.44121 .47784 L
.44123 .47786 L
.44288 .47977 L
.44316 .48007 L
.44452 .48169 L
.44508 .48202 L
.44614 .48362 L
.44701 .48466 L
.44814 .48555 L
.44894 .48712 L
.44923 .48747 L
.45079 .4894 L
.45086 .48945 L
.45231 .49133 L
.45279 .49192 L
.45412 .49326 L
.45472 .49448 L
.45524 .49518 L
.45664 .49698 L
.45666 .49711 L
.45826 .49904 L
.45857 .49943 L
.45992 .50096 L
.4605 .50203 L
.46108 .50289 L
.46242 .50461 L
.46265 .50482 L
.46409 .50674 L
.46435 .50708 L
.46566 .50867 L
.46628 .50972 L
.46684 .5106 L
.46821 .51232 L
.46842 .51253 L
.46985 .51445 L
.47013 .51482 L
.47136 .51638 L
.47206 .51748 L
.47254 .51831 L
.47399 .52009 L
.47414 .52023 L
.47556 .52216 L
.47591 .52262 L
.47704 .52409 L
.47784 .52529 L
.47822 .52601 L
.47977 .52789 L
.47982 .52794 L
.48163 .52987 L
.48169 .53046 L
.48269 .53179 L
.48362 .53314 L
.48388 .53372 L
.48548 .53565 L
.48555 .53571 L
.48725 .53758 L
.48747 .53833 L
.48832 .5395 L
.4894 .54102 L
.48955 .54143 L
.49112 .54336 L
.49133 .54355 L
.49285 .54528 L
.49326 .54624 L
.49393 .54721 L
.49518 .54893 L
.49523 .54914 L
.49673 .55106 L
.49711 .55144 L
.49842 .55299 L
.49904 .55418 L
.49952 .55492 L
.50093 .55684 L
.50096 .55689 L
.50231 .55877 L
.50289 .55938 L
.50396 .5607 L
.50482 .56219 L
.50509 .56263 L
.50648 .56455 L
.50674 .56491 L
.50786 .56648 L
.50867 .56742 L
.50944 .56841 L
.5106 .57029 L
.51063 .57033 L
.51197 .57226 L
.51253 .57302 L
.51334 .57419 L
.51445 .57563 L
.5148 .57611 L
.51604 .57804 L
.51638 .57851 L
.51736 .57997 L
.51831 .58131 L
.5192 .58189 L
.52001 .58382 L
.52023 .58414 L
.52126 .58575 L
.52216 .58707 L
.52254 .58768 L
.52373 .5896 L
.52409 .59015 L
.5248 .59153 L
.52409 .59256 L
.52311 .59153 L
.52216 .59057 L
.52132 .5896 L
.52023 .58878 L
.51963 .58768 L
.51831 .58616 L
.51769 .58575 L
.51642 .58382 L
.51638 .58377 L
.51488 .58189 L
.51445 .58162 L
.51334 .57997 L
.51253 .579 L
.51143 .57804 L
.5106 .57647 L
.5103 .57611 L
.50882 .57419 L
.50867 .57408 L
.50734 .57226 L
.50674 .57153 L
.50557 .57033 L
.50482 .56893 L
.50442 .56841 L
.50294 .56648 L
.50289 .56644 L
.50149 .56455 L
.50096 .5639 L
.49981 .56263 L
.49904 .56127 L
.49864 .5607 L
.49715 .55877 L
.49711 .55874 L
.49572 .55684 L
.49518 .55617 L
.49411 .55492 L
.49326 .55352 L
.49291 .55299 L
.49142 .55106 L
.49133 .55099 L
.49 .54914 L
.4894 .54838 L
.48844 .54721 L
.48747 .54571 L
.48722 .54528 L
.48573 .54336 L
.48555 .5432 L
.48369 .54143 L
.48362 .54055 L
.48279 .5395 L
.48169 .53787 L
.48153 .53758 L
.48007 .53565 L
.47977 .53538 L
.47812 .53372 L
.47784 .53269 L
.47715 .53179 L
.47591 .53 L
.47585 .52987 L
.47442 .52794 L
.47399 .52754 L
.47256 .52601 L
.47206 .52479 L
.47154 .52409 L
.47018 .52216 L
.47013 .5221 L
.4688 .52023 L
.46821 .51965 L
.46701 .51831 L
.46628 .51685 L
.46594 .51638 L
.46458 .51445 L
.46435 .51416 L
.46319 .51253 L
.46242 .51171 L
.46148 .5106 L
.4605 .50888 L
.46036 .50867 L
.459 .50674 L
.45857 .50618 L
.45761 .50482 L
.45664 .50369 L
.45599 .50289 L
.45481 .50096 L
.45472 .50085 L
.45345 .49904 L
.45279 .49814 L
.45207 .49711 L
.45086 .49556 L
.45057 .49518 L
.44931 .49326 L
.44894 .49275 L
.44797 .49133 L
.44701 .49002 L
.44659 .4894 L
.44522 .48747 L
.44508 .48728 L
.44393 .48555 L
.44316 .48447 L
.4426 .48362 L
.44124 .48169 L
.44123 .48168 L
.44003 .47977 L
.4393 .47871 L
.43879 .47784 L
.43758 .47591 L
.43737 .47559 L
.43676 .47399 L
F
0 .97 1 r
.43737 .41467 m
.43903 .41618 L
.4393 .41643 L
.44087 .41811 L
.44123 .4185 L
.44255 .42003 L
.44316 .42077 L
.44412 .42196 L
.44508 .42305 L
.44576 .42389 L
.4469 .42581 L
.44701 .42599 L
.44803 .42774 L
.44701 .4294 L
.44516 .42774 L
.44508 .42766 L
.44358 .42581 L
.44316 .42529 L
.44213 .42389 L
.44123 .42271 L
.44071 .42196 L
.4393 .42003 L
.4393 .42003 L
.43809 .41811 L
.43737 .41703 L
.43691 .41618 L
F
1 .12 0 r
.43737 .49764 m
.43828 .49904 L
.4393 .50034 L
.4397 .50096 L
.4393 .50205 L
.43853 .50096 L
.43737 .49959 L
.43698 .49904 L
F
1 .11 0 r
.43737 .49772 m
.43822 .49904 L
.4393 .50043 L
.43964 .50096 L
.4393 .50196 L
.4386 .50096 L
.43737 .49952 L
.43703 .49904 L
F
0 .24 1 r
.43737 .48941 m
.43885 .49133 L
.4393 .49185 L
.44036 .49326 L
.44123 .49431 L
.44188 .49518 L
.44316 .49679 L
.44339 .49711 L
.44484 .49904 L
.44508 .49933 L
.44627 .50096 L
.44701 .5019 L
.44773 .50289 L
.44894 .50446 L
.44919 .50482 L
.45061 .50674 L
.45086 .50707 L
.452 .50867 L
.45279 .5097 L
.45342 .5106 L
.45472 .51233 L
.45485 .51253 L
.4562 .51445 L
.45664 .51502 L
.45756 .51638 L
.45857 .51773 L
.45896 .51831 L
.46032 .52023 L
.4605 .52046 L
.46159 .52216 L
.46242 .5233 L
.46292 .52409 L
.46242 .52537 L
.46144 .52409 L
.4605 .52301 L
.45986 .52216 L
.45857 .5206 L
.4583 .52023 L
.4568 .51831 L
.45664 .51812 L
.45536 .51638 L
.45472 .51559 L
.45389 .51445 L
.45279 .51306 L
.4524 .51253 L
.45094 .5106 L
.45086 .51051 L
.44955 .50867 L
.44894 .5079 L
.44812 .50674 L
.44701 .5053 L
.44667 .50482 L
.44526 .50289 L
.44508 .50267 L
.4439 .50096 L
.44316 .5 L
.4425 .49904 L
.44123 .49733 L
.44107 .49711 L
.43975 .49518 L
.4393 .4946 L
.43842 .49326 L
.43737 .49184 L
.43705 .49133 L
F
1 .9 0 r
.43737 .42226 m
.43844 .42389 L
.4393 .42555 L
.43934 .42581 L
.4393 .42585 L
.4392 .42581 L
.43737 .42429 L
.43706 .42389 L
F
0 .91 1 r
.43737 .38774 m
.43854 .3892 L
.4393 .39002 L
.44014 .39113 L
.44123 .39239 L
.44172 .39306 L
.44316 .39481 L
.44328 .39498 L
.44476 .39691 L
.44508 .3973 L
.44621 .39884 L
.44701 .39981 L
.4477 .40076 L
.44894 .40233 L
.44919 .40269 L
.45065 .40462 L
.45086 .40488 L
.45206 .40654 L
.45279 .40747 L
.4535 .40847 L
.45472 .41004 L
.45497 .4104 L
.45639 .41232 L
.45664 .41265 L
.45777 .41425 L
.45857 .41528 L
.45919 .41618 L
.4605 .41789 L
.46064 .41811 L
.46202 .42003 L
.46242 .42056 L
.46338 .42196 L
.46435 .42323 L
.4648 .42389 L
.46622 .42581 L
.46628 .42589 L
.46753 .42774 L
.46821 .42863 L
.46889 .42967 L
.47013 .43134 L
.4703 .43159 L
.47161 .43352 L
.47206 .43413 L
.47289 .43545 L
.47399 .43696 L
.47424 .43737 L
.47399 .43917 L
.47256 .43737 L
.47206 .4368 L
.471 .43545 L
.47013 .43439 L
.46945 .43352 L
.46821 .4323 L
.46793 .43159 L
.46644 .42967 L
.46628 .42947 L
.46496 .42774 L
.46435 .42697 L
.46346 .42581 L
.46242 .42488 L
.46198 .42389 L
.46052 .42196 L
.4605 .42193 L
.45908 .42003 L
.45857 .41937 L
.45763 .41811 L
.45664 .41718 L
.45617 .41618 L
.45475 .41425 L
.45472 .41421 L
.45334 .41232 L
.45279 .41159 L
.45192 .4104 L
.45086 .40927 L
.4505 .40847 L
.44911 .40654 L
.44894 .40632 L
.44773 .40462 L
.44701 .40364 L
.44633 .40269 L
.44508 .40108 L
.44494 .40076 L
.44361 .39884 L
.44316 .39821 L
.44226 .39691 L
.44123 .39546 L
.4409 .39498 L
.43961 .39306 L
.4393 .39263 L
.43835 .39113 L
.43737 .38971 L
.43706 .3892 L
F
0 .71 1 r
.43737 .43927 m
.43745 .4393 L
.4393 .4402 L
.43992 .44123 L
.44123 .44248 L
.44171 .44316 L
.44316 .44485 L
.44343 .44508 L
.44485 .44701 L
.44508 .4473 L
.44631 .44894 L
.44701 .44935 L
.44775 .45086 L
.44894 .45237 L
.44926 .45279 L
.45049 .45472 L
.45086 .45525 L
.45177 .45664 L
.45279 .45825 L
.45298 .45857 L
.45378 .4605 L
.45279 .46115 L
.45188 .4605 L
.45086 .45965 L
.44983 .45857 L
.44894 .45782 L
.44813 .45664 L
.44701 .45534 L
.4463 .45472 L
.44508 .45282 L
.44506 .45279 L
.44363 .45086 L
.44316 .45023 L
.44222 .44894 L
.44123 .44776 L
.44067 .44701 L
.43956 .44508 L
.4393 .4447 L
.43835 .44316 L
.43737 .44145 L
.43726 .44123 L
.43708 .4393 L
F
0 .23 1 r
.43737 .48949 m
.43879 .49133 L
.4393 .49191 L
.44031 .49326 L
.44123 .49436 L
.44184 .49518 L
.44316 .49684 L
.44335 .49711 L
.4448 .49904 L
.44508 .49938 L
.44623 .50096 L
.44701 .50194 L
.44769 .50289 L
.44894 .50451 L
.44916 .50482 L
.45057 .50674 L
.45086 .50712 L
.45196 .50867 L
.45279 .50975 L
.45339 .5106 L
.45472 .51238 L
.45482 .51253 L
.45616 .51445 L
.45664 .51508 L
.45752 .51638 L
.45857 .51778 L
.45892 .51831 L
.46027 .52023 L
.4605 .52053 L
.46153 .52216 L
.46242 .52338 L
.46286 .52409 L
.46242 .52529 L
.4615 .52409 L
.4605 .52295 L
.45991 .52216 L
.45857 .52054 L
.45834 .52023 L
.45685 .51831 L
.45664 .51807 L
.4554 .51638 L
.45472 .51554 L
.45392 .51445 L
.45279 .51302 L
.45243 .51253 L
.45098 .5106 L
.45086 .51046 L
.44958 .50867 L
.44894 .50785 L
.44815 .50674 L
.44701 .50525 L
.4467 .50482 L
.44529 .50289 L
.44508 .50262 L
.44393 .50096 L
.44316 .49995 L
.44253 .49904 L
.44123 .49729 L
.44111 .49711 L
.43979 .49518 L
.4393 .49454 L
.43847 .49326 L
.43737 .49177 L
.43709 .49133 L
F
1 .1 0 r
.43737 .49781 m
.43815 .49904 L
.4393 .50052 L
.43957 .50096 L
.4393 .50185 L
.43868 .50096 L
.43737 .49944 L
.43709 .49904 L
F
0 .22 1 r
.43737 .48957 m
.43873 .49133 L
.4393 .49198 L
.44026 .49326 L
.44123 .49442 L
.44179 .49518 L
.44316 .49689 L
.44331 .49711 L
.44476 .49904 L
.44508 .49943 L
.44619 .50096 L
.44701 .50199 L
.44766 .50289 L
.44894 .50455 L
.44913 .50482 L
.45053 .50674 L
.45086 .50716 L
.45192 .50867 L
.45279 .5098 L
.45335 .5106 L
.45472 .51242 L
.45479 .51253 L
.45612 .51445 L
.45664 .51513 L
.45748 .51638 L
.45857 .51784 L
.45888 .51831 L
.46022 .52023 L
.4605 .5206 L
.46148 .52216 L
.46242 .52346 L
.4628 .52409 L
.46242 .52519 L
.46158 .52409 L
.4605 .52288 L
.45996 .52216 L
.45857 .52048 L
.45838 .52023 L
.4569 .51831 L
.45664 .51801 L
.45544 .51638 L
.45472 .51549 L
.45396 .51445 L
.45279 .51297 L
.45247 .51253 L
.45102 .5106 L
.45086 .51041 L
.44962 .50867 L
.44894 .50781 L
.44819 .50674 L
.44701 .50521 L
.44673 .50482 L
.44533 .50289 L
.44508 .50257 L
.44397 .50096 L
.44316 .4999 L
.44257 .49904 L
.44123 .49723 L
.44114 .49711 L
.43984 .49518 L
.4393 .49447 L
.43851 .49326 L
.43737 .4917 L
.43714 .49133 L
F
1 .09 0 r
.43737 .49791 m
.43806 .49904 L
.4393 .50063 L
.4395 .50096 L
.4393 .50173 L
.43877 .50096 L
.43737 .49935 L
.43715 .49904 L
F
0 .21 1 r
.43737 .48966 m
.43866 .49133 L
.4393 .49205 L
.44021 .49326 L
.44123 .49448 L
.44175 .49518 L
.44316 .49695 L
.44328 .49711 L
.44471 .49904 L
.44508 .49948 L
.44615 .50096 L
.44701 .50204 L
.44762 .50289 L
.44894 .5046 L
.4491 .50482 L
.45049 .50674 L
.45086 .50721 L
.45189 .50867 L
.45279 .50984 L
.45332 .5106 L
.45472 .51247 L
.45475 .51253 L
.45608 .51445 L
.45664 .51519 L
.45744 .51638 L
.45857 .5179 L
.45884 .51831 L
.46016 .52023 L
.4605 .52068 L
.46141 .52216 L
.46242 .52356 L
.46274 .52409 L
.46242 .52509 L
.46166 .52409 L
.4605 .5228 L
.46001 .52216 L
.45857 .52042 L
.45843 .52023 L
.45695 .51831 L
.45664 .51795 L
.45549 .51638 L
.45472 .51544 L
.454 .51445 L
.45279 .51292 L
.4525 .51253 L
.45106 .5106 L
.45086 .51036 L
.44966 .50867 L
.44894 .50776 L
.44822 .50674 L
.44701 .50516 L
.44676 .50482 L
.44537 .50289 L
.44508 .50252 L
.44401 .50096 L
.44316 .49985 L
.4426 .49904 L
.44123 .49718 L
.44118 .49711 L
.43989 .49518 L
.4393 .49441 L
.43856 .49326 L
.43737 .49163 L
.43718 .49133 L
F
1 .08 0 r
.43737 .49802 m
.43797 .49904 L
.4393 .50075 L
.43942 .50096 L
.4393 .50158 L
.43889 .50096 L
.43737 .49925 L
.43722 .49904 L
F
0 .2 1 r
.43737 .48976 m
.43858 .49133 L
.4393 .49212 L
.44015 .49326 L
.44123 .49454 L
.44171 .49518 L
.44316 .497 L
.44324 .49711 L
.44467 .49904 L
.44508 .49954 L
.44611 .50096 L
.44701 .50209 L
.44759 .50289 L
.44894 .50464 L
.44906 .50482 L
.45045 .50674 L
.45086 .50727 L
.45185 .50867 L
.45279 .50989 L
.45328 .5106 L
.45472 .51252 L
.45472 .51253 L
.45603 .51445 L
.45664 .51525 L
.4574 .51638 L
.45857 .51796 L
.4588 .51831 L
.4601 .52023 L
.4605 .52076 L
.46135 .52216 L
.46242 .52366 L
.46267 .52409 L
.46242 .52497 L
.46175 .52409 L
.4605 .52272 L
.46007 .52216 L
.45857 .52036 L
.45848 .52023 L
.45701 .51831 L
.45664 .51789 L
.45554 .51638 L
.45472 .51539 L
.45404 .51445 L
.45279 .51287 L
.45254 .51253 L
.4511 .5106 L
.45086 .51031 L
.4497 .50867 L
.44894 .50771 L
.44826 .50674 L
.44701 .50512 L
.4468 .50482 L
.44542 .50289 L
.44508 .50247 L
.44405 .50096 L
.44316 .49979 L
.44264 .49904 L
.44123 .49713 L
.44122 .49711 L
.43994 .49518 L
.4393 .49434 L
.43861 .49326 L
.43737 .49156 L
.43723 .49133 L
F
0 .19 1 r
.43737 .48986 m
.4385 .49133 L
.4393 .4922 L
.44009 .49326 L
.44123 .4946 L
.44166 .49518 L
.44316 .49706 L
.4432 .49711 L
.44462 .49904 L
.44508 .49959 L
.44607 .50096 L
.44701 .50214 L
.44755 .50289 L
.44894 .50469 L
.44903 .50482 L
.45041 .50674 L
.45086 .50732 L
.45181 .50867 L
.45279 .50994 L
.45324 .5106 L
.45467 .51253 L
.45472 .51258 L
.45599 .51445 L
.45664 .51531 L
.45736 .51638 L
.45857 .51802 L
.45876 .51831 L
.46003 .52023 L
.4605 .52085 L
.46127 .52216 L
.46242 .52378 L
.46259 .52409 L
.46242 .52483 L
.46185 .52409 L
.4605 .52264 L
.46013 .52216 L
.45857 .52029 L
.45852 .52023 L
.45706 .51831 L
.45664 .51782 L
.45558 .51638 L
.45472 .51533 L
.45408 .51445 L
.45279 .51282 L
.45257 .51253 L
.45114 .5106 L
.45086 .51026 L
.44974 .50867 L
.44894 .50766 L
.44829 .50674 L
.44701 .50507 L
.44683 .50482 L
.44546 .50289 L
.44508 .50241 L
.44409 .50096 L
.44316 .49974 L
.44268 .49904 L
.44126 .49711 L
.44123 .49707 L
.44 .49518 L
.4393 .49427 L
.43867 .49326 L
.43737 .49147 L
.43729 .49133 L
F
1 .07 0 r
.43737 .49816 m
.43784 .49904 L
.4393 .50091 L
.43933 .50096 L
.4393 .50136 L
.43906 .50096 L
.43737 .49914 L
.4373 .49904 L
F
1 .92 0 r
.43737 .37997 m
.43886 .38149 L
.4393 .38191 L
.44059 .38342 L
.44123 .38411 L
.44223 .38535 L
.44316 .38641 L
.44384 .38727 L
.44508 .38862 L
.44542 .3892 L
.44696 .39113 L
.44701 .39119 L
.44845 .39306 L
.44894 .39365 L
.44994 .39498 L
.45086 .39594 L
.45145 .39691 L
.45279 .39862 L
.453 .39884 L
.45439 .40076 L
.45472 .40117 L
.45585 .40269 L
.45664 .40352 L
.45799 .40462 L
.45857 .40624 L
.45884 .40654 L
.46021 .40847 L
.4605 .40884 L
.46164 .4104 L
.46242 .41123 L
.46363 .41232 L
.46435 .41397 L
.46458 .41425 L
.46595 .41618 L
.46628 .4166 L
.46737 .41811 L
.46821 .41903 L
.46923 .42003 L
.47013 .42179 L
.47027 .42196 L
.47164 .42389 L
.47206 .42443 L
.47305 .42581 L
.47399 .42689 L
.4748 .42774 L
.47591 .42967 L
.47591 .42967 L
.47729 .43159 L
.47784 .43232 L
.4787 .43352 L
.47977 .43481 L
.48034 .43545 L
.48153 .43737 L
.48169 .43759 L
.4829 .4393 L
.48362 .44025 L
.48431 .44123 L
.48555 .44281 L
.48584 .44316 L
.48711 .44508 L
.48747 .44556 L
.48848 .44701 L
.4894 .4478 L
.48988 .44894 L
.4913 .45086 L
.49133 .4509 L
.49264 .45279 L
.49326 .45362 L
.49401 .45472 L
.49518 .45608 L
.49541 .45664 L
.49676 .45857 L
.49711 .45904 L
.49808 .4605 L
.49904 .4618 L
.49944 .46242 L
.5008 .46435 L
.50096 .46458 L
.50205 .46628 L
.50289 .46747 L
.50333 .46821 L
.50457 .47013 L
.50482 .47053 L
.50532 .47206 L
.50482 .47208 L
.50479 .47206 L
.50289 .47049 L
.50274 .47013 L
.50096 .46822 L
.50092 .46821 L
.49927 .46628 L
.49904 .46602 L
.49764 .46435 L
.49711 .46372 L
.49605 .46242 L
.49518 .46144 L
.49381 .4605 L
.49326 .4589 L
.49296 .45857 L
.4915 .45664 L
.49133 .45643 L
.49 .45472 L
.4894 .454 L
.48807 .45279 L
.48747 .4514 L
.48706 .45086 L
.48561 .44894 L
.48555 .44892 L
.48414 .44701 L
.48362 .44637 L
.48242 .44508 L
.48169 .44373 L
.4813 .44316 L
.47981 .44123 L
.47977 .44121 L
.47836 .4393 L
.47784 .43865 L
.47675 .43737 L
.47591 .43599 L
.47558 .43545 L
.47406 .43352 L
.47399 .43347 L
.47263 .43159 L
.47206 .43087 L
.47109 .42967 L
.47013 .42819 L
.46988 .42774 L
.46837 .42581 L
.46821 .4257 L
.46695 .42389 L
.46628 .42302 L
.46546 .42196 L
.46435 .42032 L
.46421 .42003 L
.46273 .41811 L
.46242 .41787 L
.46067 .41618 L
.4605 .4151 L
.45987 .41425 L
.45857 .41238 L
.45855 .41232 L
.45714 .4104 L
.45664 .40996 L
.45523 .40847 L
.45472 .40709 L
.45433 .40654 L
.45299 .40462 L
.45279 .40435 L
.45162 .40269 L
.45086 .4019 L
.44986 .40076 L
.44894 .39894 L
.44887 .39884 L
.44754 .39691 L
.44701 .39617 L
.44619 .39498 L
.44508 .39356 L
.44468 .39306 L
.44354 .39113 L
.44316 .39059 L
.44224 .3892 L
.44123 .38773 L
.44093 .38727 L
.4397 .38535 L
.4393 .38475 L
.43851 .38342 L
.43737 .38159 L
.43732 .38149 L
F
1 .98 0 r
.43737 .43351 m
.4393 .43331 L
.44048 .43352 L
.44123 .43375 L
.44316 .43541 L
.44319 .43545 L
.44498 .43737 L
.44508 .43775 L
.44622 .4393 L
.44701 .44029 L
.44737 .44123 L
.44894 .4429 L
.44912 .44316 L
.4507 .44508 L
.45086 .44558 L
.45191 .44701 L
.45279 .44831 L
.45302 .44894 L
.45472 .45084 L
.45479 .45086 L
.45636 .45279 L
.45664 .45337 L
.45754 .45472 L
.45857 .45605 L
.45865 .45664 L
.46041 .45857 L
.4605 .45869 L
.46198 .4605 L
.46242 .46139 L
.46311 .46242 L
.46435 .46414 L
.46451 .46435 L
.46435 .46613 L
.46242 .46621 L
.4605 .46594 L
.45879 .46435 L
.45857 .46412 L
.45713 .46242 L
.45664 .46163 L
.45594 .4605 L
.45472 .45902 L
.45439 .45857 L
.45299 .45664 L
.45279 .45638 L
.45146 .45472 L
.45086 .45371 L
.45029 .45279 L
.44894 .45107 L
.44874 .45086 L
.44734 .44894 L
.44701 .44862 L
.44583 .44701 L
.44508 .44592 L
.44467 .44508 L
.44316 .4432 L
.44312 .44316 L
.44129 .44123 L
.44123 .4405 L
.44026 .4393 L
.4393 .4378 L
.43909 .43737 L
.43772 .43545 L
.43737 .43474 L
.43732 .43352 L
F
0 .7 1 r
.43737 .43948 m
.4393 .44032 L
.43983 .44123 L
.44123 .44255 L
.44165 .44316 L
.44316 .44491 L
.44337 .44508 L
.4448 .44701 L
.44508 .44735 L
.44627 .44894 L
.44701 .44939 L
.44771 .45086 L
.44894 .45244 L
.44921 .45279 L
.45045 .45472 L
.45086 .45531 L
.45173 .45664 L
.45279 .45835 L
.45292 .45857 L
.45365 .4605 L
.45279 .46103 L
.45202 .4605 L
.45086 .45957 L
.4499 .45857 L
.44894 .45775 L
.44818 .45664 L
.44701 .45528 L
.44636 .45472 L
.4451 .45279 L
.44508 .45277 L
.44367 .45086 L
.44316 .45018 L
.44226 .44894 L
.44123 .44769 L
.44073 .44701 L
.43961 .44508 L
.4393 .44462 L
.43841 .44316 L
.43737 .4413 L
.43734 .44123 L
F
0 .18 1 r
.43737 .48998 m
.43841 .49133 L
.4393 .49228 L
.44003 .49326 L
.44123 .49467 L
.44161 .49518 L
.44123 .497 L
.44006 .49518 L
.4393 .49419 L
.43872 .49326 L
.43737 .49138 L
.43734 .49133 L
F
0 .69 1 r
.4393 .44045 m
.43975 .44123 L
.44123 .44263 L
.4416 .44316 L
.44316 .44496 L
.4433 .44508 L
.44476 .44701 L
.44508 .4474 L
.44623 .44894 L
.44701 .44944 L
.44768 .45086 L
.44894 .4525 L
.44916 .45279 L
.45041 .45472 L
.45086 .45537 L
.45168 .45664 L
.45279 .45844 L
.45286 .45857 L
.4535 .4605 L
.45279 .46089 L
.45216 .4605 L
.45086 .45949 L
.44997 .45857 L
.44894 .45769 L
.44823 .45664 L
.44701 .45522 L
.44642 .45472 L
.44514 .45279 L
.44508 .45271 L
.44371 .45086 L
.44316 .45012 L
.4423 .44894 L
.44123 .44761 L
.44079 .44701 L
.43966 .44508 L
.4393 .44453 L
.43847 .44316 L
.43743 .44123 L
F
0 .68 1 r
.4393 .4406 m
.43966 .44123 L
.44123 .44271 L
.44154 .44316 L
.44316 .44503 L
.44322 .44508 L
.44472 .44701 L
.44508 .44746 L
.44619 .44894 L
.44701 .44949 L
.44764 .45086 L
.44894 .45257 L
.44911 .45279 L
.45037 .45472 L
.45086 .45544 L
.45163 .45664 L
.45279 .45855 L
.4528 .45857 L
.45332 .4605 L
.45279 .46075 L
.45234 .4605 L
.45086 .4594 L
.45005 .45857 L
.44894 .45762 L
.44829 .45664 L
.44701 .45516 L
.44649 .45472 L
.44519 .45279 L
.44508 .45266 L
.44375 .45086 L
.44316 .45007 L
.44234 .44894 L
.44123 .44753 L
.44085 .44701 L
.43971 .44508 L
.4393 .44445 L
.43853 .44316 L
.43755 .44123 L
F
0 .67 1 r
.4393 .44077 m
.43956 .44123 L
.44123 .44279 L
.44148 .44316 L
.44315 .44508 L
.44316 .44509 L
.44467 .44701 L
.44508 .44751 L
.44615 .44894 L
.44701 .44955 L
.4476 .45086 L
.44894 .45264 L
.44906 .45279 L
.45032 .45472 L
.45086 .45551 L
.45158 .45664 L
.45272 .45857 L
.45279 .4587 L
.45307 .4605 L
.45279 .46059 L
.45258 .4605 L
.45086 .45932 L
.45012 .45857 L
.44894 .45755 L
.44834 .45664 L
.44701 .4551 L
.44656 .45472 L
.44523 .45279 L
.44508 .4526 L
.44379 .45086 L
.44316 .45001 L
.44239 .44894 L
.44123 .44745 L
.44091 .44701 L
.43977 .44508 L
.4393 .44436 L
.43859 .44316 L
.43767 .44123 L
F
0 .66 1 r
.4393 .44095 m
.43946 .44123 L
.44123 .44288 L
.44142 .44316 L
.4431 .44508 L
.44316 .44515 L
.44463 .44701 L
.44508 .44756 L
.44611 .44894 L
.44701 .44961 L
.44757 .45086 L
.44894 .45271 L
.449 .45279 L
.45028 .45472 L
.45086 .45558 L
.45153 .45664 L
.45264 .45857 L
.45086 .45923 L
.4502 .45857 L
.44894 .45748 L
.44839 .45664 L
.44701 .45504 L
.44663 .45472 L
.44528 .45279 L
.44508 .45255 L
.44384 .45086 L
.44316 .44995 L
.44243 .44894 L
.44123 .44736 L
.44098 .44701 L
.43982 .44508 L
.4393 .44427 L
.43866 .44316 L
.43781 .44123 L
F
1 .97 0 r
.4393 .43361 m
.44123 .43405 L
.44294 .43545 L
.44316 .43564 L
.44494 .43737 L
.44508 .43789 L
.44614 .4393 L
.44701 .44039 L
.44733 .44123 L
.44894 .44298 L
.44907 .44316 L
.45068 .44508 L
.45086 .44564 L
.45188 .44701 L
.45279 .44835 L
.453 .44894 L
.45472 .45085 L
.45475 .45086 L
.45634 .45279 L
.45664 .45341 L
.45751 .45472 L
.45857 .45609 L
.45865 .45664 L
.46037 .45857 L
.4605 .45876 L
.46194 .4605 L
.46242 .46147 L
.46305 .46242 L
.46435 .46432 L
.46437 .46435 L
.46435 .46586 L
.46242 .46607 L
.4605 .46573 L
.45893 .46435 L
.45857 .46398 L
.45719 .46242 L
.45664 .46155 L
.45599 .4605 L
.45472 .45896 L
.45443 .45857 L
.45302 .45664 L
.45279 .45634 L
.45148 .45472 L
.45086 .45367 L
.45032 .45279 L
.44894 .45103 L
.44877 .45086 L
.44738 .44894 L
.44701 .44858 L
.44586 .44701 L
.44508 .44587 L
.44469 .44508 L
.44317 .44316 L
.44316 .44314 L
.44131 .44123 L
.44123 .44042 L
.44033 .4393 L
.4393 .43767 L
.43915 .43737 L
.43792 .43545 L
F
0 .65 1 r
.4393 .44115 m
.43935 .44123 L
.44123 .44297 L
.44136 .44316 L
.44304 .44508 L
.44316 .44521 L
.44458 .44701 L
.44508 .44762 L
.44607 .44894 L
.44701 .44967 L
.44753 .45086 L
.44894 .45278 L
.44894 .45279 L
.45023 .45472 L
.45086 .45565 L
.45148 .45664 L
.45255 .45857 L
.45086 .45914 L
.45028 .45857 L
.44894 .4574 L
.44845 .45664 L
.44701 .45497 L
.4467 .45472 L
.44532 .45279 L
.44508 .45249 L
.44388 .45086 L
.44316 .4499 L
.44247 .44894 L
.44123 .44726 L
.44105 .44701 L
.43988 .44508 L
.4393 .44417 L
.43872 .44316 L
.43797 .44123 L
F
1 .96 0 r
.4393 .43387 m
.44123 .43432 L
.4427 .43545 L
.44316 .43584 L
.44489 .43737 L
.44508 .43803 L
.44607 .4393 L
.44701 .44048 L
.44729 .44123 L
.44894 .44305 L
.44902 .44316 L
.45066 .44508 L
.45086 .4457 L
.45184 .44701 L
.45279 .44839 L
.45298 .44894 L
.45472 .45086 L
.45472 .45086 L
.45632 .45279 L
.45664 .45345 L
.45748 .45472 L
.45857 .45614 L
.45864 .45664 L
.46032 .45857 L
.4605 .45882 L
.46191 .4605 L
.46242 .46156 L
.46299 .46242 L
.46424 .46435 L
.46242 .46593 L
.4605 .46555 L
.45907 .46435 L
.45857 .46386 L
.45725 .46242 L
.45664 .46146 L
.45603 .4605 L
.45472 .4589 L
.45448 .45857 L
.45306 .45664 L
.45279 .45629 L
.45151 .45472 L
.45086 .45362 L
.45034 .45279 L
.44894 .451 L
.4488 .45086 L
.44741 .44894 L
.44701 .44855 L
.44589 .44701 L
.44508 .44582 L
.44472 .44508 L
.44321 .44316 L
.44316 .44307 L
.44132 .44123 L
.44123 .44033 L
.44039 .4393 L
.4393 .43753 L
.43922 .43737 L
.43812 .43545 L
F
1 .95 0 r
.4393 .43414 m
.44123 .43457 L
.44245 .43545 L
.44316 .43603 L
.44484 .43737 L
.44508 .43816 L
.44599 .4393 L
.44701 .44058 L
.44725 .44123 L
.44894 .44312 L
.44896 .44316 L
.45063 .44508 L
.45086 .44576 L
.45181 .44701 L
.45279 .44844 L
.45297 .44894 L
.45468 .45086 L
.45472 .4509 L
.4563 .45279 L
.45664 .45349 L
.45745 .45472 L
.45857 .45619 L
.45863 .45664 L
.46028 .45857 L
.4605 .45888 L
.46187 .4605 L
.46242 .46165 L
.46293 .46242 L
.46409 .46435 L
.46242 .46579 L
.4605 .46538 L
.45922 .46435 L
.45857 .46374 L
.45731 .46242 L
.45664 .46139 L
.45608 .4605 L
.45472 .45884 L
.45452 .45857 L
.4531 .45664 L
.45279 .45624 L
.45154 .45472 L
.45086 .45358 L
.45037 .45279 L
.44894 .45097 L
.44884 .45086 L
.44744 .44894 L
.44701 .44851 L
.44592 .44701 L
.44508 .44577 L
.44475 .44508 L
.44326 .44316 L
.44316 .44301 L
.44134 .44123 L
.44123 .44025 L
.44046 .4393 L
.4393 .43738 L
.4393 .43737 L
.43833 .43545 L
F
1 .94 0 r
.4393 .43442 m
.44123 .4348 L
.44219 .43545 L
.44316 .43621 L
.44476 .43737 L
.44508 .43828 L
.44591 .4393 L
.44701 .44067 L
.44722 .44123 L
.44891 .44316 L
.44894 .44319 L
.45061 .44508 L
.45086 .44581 L
.45177 .44701 L
.45279 .44848 L
.45295 .44894 L
.45465 .45086 L
.45472 .45093 L
.45628 .45279 L
.45664 .45354 L
.45742 .45472 L
.45857 .45624 L
.45862 .45664 L
.46024 .45857 L
.4605 .45894 L
.46183 .4605 L
.46242 .46174 L
.46287 .46242 L
.46395 .46435 L
.46242 .46566 L
.4605 .46523 L
.45937 .46435 L
.45857 .46362 L
.45737 .46242 L
.45664 .46131 L
.45612 .4605 L
.45472 .45878 L
.45456 .45857 L
.45313 .45664 L
.45279 .4562 L
.45156 .45472 L
.45086 .45354 L
.45039 .45279 L
.44894 .45094 L
.44887 .45086 L
.44747 .44894 L
.44701 .44848 L
.44595 .44701 L
.44508 .44572 L
.44478 .44508 L
.44331 .44316 L
.44316 .44294 L
.44137 .44123 L
.44123 .44016 L
.44053 .4393 L
.43941 .43737 L
.4393 .43718 L
.43856 .43545 L
F
1 .58 0 r
.4393 .48385 m
.44072 .48555 L
.44123 .48611 L
.44234 .48747 L
.44316 .48844 L
.44392 .4894 L
.44508 .49062 L
.44549 .49133 L
.44701 .49325 L
.44701 .49326 L
.4485 .49518 L
.44894 .49572 L
.45001 .49711 L
.45086 .49797 L
.45151 .49904 L
.45279 .50069 L
.45305 .50096 L
.45444 .50289 L
.45472 .50324 L
.4559 .50482 L
.45664 .50557 L
.45737 .50674 L
.45857 .50832 L
.45888 .50867 L
.46025 .5106 L
.4605 .51092 L
.46169 .51253 L
.46242 .5133 L
.46373 .51445 L
.46435 .51607 L
.4646 .51638 L
.46597 .51831 L
.46628 .5187 L
.46739 .52023 L
.46821 .52113 L
.46926 .52216 L
.47013 .52393 L
.47025 .52409 L
.47163 .52601 L
.47206 .52659 L
.47303 .52794 L
.47399 .52906 L
.47474 .52987 L
.47585 .53179 L
.47591 .53188 L
.47721 .53372 L
.47784 .53457 L
.47861 .53565 L
.47977 .53713 L
.48015 .53758 L
.48136 .5395 L
.48169 .53995 L
.48272 .54143 L
.48362 .54267 L
.48409 .54336 L
.48546 .54528 L
.48555 .54541 L
.48676 .54721 L
.48747 .54821 L
.48809 .54914 L
.4894 .55101 L
.48944 .55106 L
.49065 .55299 L
.49133 .55396 L
.4919 .55492 L
.49133 .55656 L
.48995 .55492 L
.4894 .55432 L
.48833 .55299 L
.48747 .552 L
.48674 .55106 L
.48555 .54987 L
.48517 .54914 L
.48364 .54721 L
.48362 .54719 L
.48215 .54528 L
.48169 .54472 L
.48066 .54336 L
.47977 .54253 L
.47916 .54143 L
.47784 .53976 L
.47759 .5395 L
.47622 .53758 L
.47591 .53719 L
.47477 .53565 L
.47399 .53492 L
.4733 .53372 L
.47206 .53212 L
.47176 .53179 L
.47041 .52987 L
.47013 .52951 L
.46899 .52794 L
.46821 .52718 L
.46754 .52601 L
.46628 .52436 L
.46604 .52409 L
.46469 .52216 L
.46435 .52171 L
.46328 .52023 L
.46242 .51935 L
.46129 .51831 L
.4605 .5165 L
.4604 .51638 L
.45904 .51445 L
.45857 .51383 L
.45764 .51253 L
.45664 .5114 L
.45585 .5106 L
.45481 .50867 L
.45472 .50855 L
.45345 .50674 L
.45279 .50587 L
.45205 .50482 L
.45086 .50332 L
.45047 .50289 L
.44929 .50096 L
.44894 .5005 L
.44793 .49904 L
.44701 .49778 L
.44655 .49711 L
.44517 .49518 L
.44508 .49506 L
.44387 .49326 L
.44316 .49227 L
.44253 .49133 L
.44123 .4895 L
.44117 .4894 L
.43993 .48747 L
.4393 .48658 L
.43868 .48555 L
F
1 .57 0 r
.4393 .48397 m
.44063 .48555 L
.44123 .4862 L
.44227 .48747 L
.44316 .48851 L
.44387 .4894 L
.44508 .4907 L
.44543 .49133 L
.44696 .49326 L
.44701 .49331 L
.44846 .49518 L
.44894 .49577 L
.44997 .49711 L
.45086 .49802 L
.45147 .49904 L
.45279 .50074 L
.453 .50096 L
.45441 .50289 L
.45472 .50329 L
.45587 .50482 L
.45664 .50561 L
.45734 .50674 L
.45857 .50836 L
.45884 .50867 L
.46022 .5106 L
.4605 .51096 L
.46166 .51253 L
.46242 .51334 L
.46369 .51445 L
.46435 .51611 L
.46457 .51638 L
.46595 .51831 L
.46628 .51874 L
.46737 .52023 L
.46821 .52116 L
.46922 .52216 L
.47013 .52397 L
.47022 .52409 L
.4716 .52601 L
.47206 .52662 L
.47301 .52794 L
.47399 .5291 L
.47471 .52987 L
.47582 .53179 L
.47591 .53192 L
.47718 .53372 L
.47784 .53461 L
.47858 .53565 L
.47977 .53719 L
.48011 .53758 L
.48133 .5395 L
.48169 .54 L
.48268 .54143 L
.48362 .54272 L
.48406 .54336 L
.48541 .54528 L
.48555 .54547 L
.48671 .54721 L
.48747 .54828 L
.48804 .54914 L
.48938 .55106 L
.4894 .55109 L
.49059 .55299 L
.49133 .55407 L
.49183 .55492 L
.49133 .55643 L
.49004 .55492 L
.4894 .55423 L
.4884 .55299 L
.48747 .55193 L
.48679 .55106 L
.48555 .54978 L
.48522 .54914 L
.48369 .54721 L
.48362 .54713 L
.4822 .54528 L
.48169 .54467 L
.4807 .54336 L
.47977 .54248 L
.47919 .54143 L
.47784 .53971 L
.47764 .5395 L
.47625 .53758 L
.47591 .53715 L
.4748 .53565 L
.47399 .53488 L
.47333 .53372 L
.47206 .53208 L
.4718 .53179 L
.47044 .52987 L
.47013 .52947 L
.46901 .52794 L
.46821 .52715 L
.46757 .52601 L
.46628 .52432 L
.46608 .52409 L
.46472 .52216 L
.46435 .52168 L
.46331 .52023 L
.46242 .51931 L
.46133 .51831 L
.4605 .51646 L
.46043 .51638 L
.45907 .51445 L
.45857 .5138 L
.45766 .51253 L
.45664 .51136 L
.45589 .5106 L
.45484 .50867 L
.45472 .50851 L
.45348 .50674 L
.45279 .50583 L
.45208 .50482 L
.45086 .50327 L
.45052 .50289 L
.44932 .50096 L
.44894 .50045 L
.44797 .49904 L
.44701 .49774 L
.44658 .49711 L
.44521 .49518 L
.44508 .49501 L
.44391 .49326 L
.44316 .49221 L
.44257 .49133 L
.44123 .48943 L
.44121 .4894 L
.44 .48747 L
.4393 .48649 L
.43875 .48555 L
F
0 .17 1 r
.4393 .49236 m
.43997 .49326 L
.44123 .49473 L
.44156 .49518 L
.44123 .49693 L
.44012 .49518 L
.4393 .49411 L
.43878 .49326 L
F
0 .64 1 r
.4393 .44131 m
.44123 .44306 L
.44129 .44316 L
.44298 .44508 L
.44316 .44527 L
.44454 .44701 L
.44508 .44767 L
.44603 .44894 L
.44701 .44974 L
.44749 .45086 L
.4489 .45279 L
.44894 .45284 L
.45018 .45472 L
.45086 .45573 L
.45143 .45664 L
.45246 .45857 L
.45086 .45905 L
.45036 .45857 L
.44894 .45731 L
.44851 .45664 L
.44701 .45491 L
.44678 .45472 L
.44537 .45279 L
.44508 .45243 L
.44392 .45086 L
.44316 .44984 L
.44251 .44894 L
.44123 .44717 L
.44112 .44701 L
.43993 .44508 L
.4393 .44407 L
.43879 .44316 L
F
1 .93 0 r
.4393 .43473 m
.44123 .43502 L
.44191 .43545 L
.44316 .43637 L
.44467 .43737 L
.44508 .43841 L
.44584 .4393 L
.44701 .44076 L
.44719 .44123 L
.44885 .44316 L
.44894 .44326 L
.45059 .44508 L
.45086 .44587 L
.45174 .44701 L
.45279 .44852 L
.45294 .44894 L
.45461 .45086 L
.45472 .45096 L
.45626 .45279 L
.45664 .45358 L
.45739 .45472 L
.45857 .45629 L
.45862 .45664 L
.4602 .45857 L
.4605 .459 L
.46178 .4605 L
.46242 .46183 L
.4628 .46242 L
.4638 .46435 L
.46242 .46552 L
.4605 .46508 L
.45952 .46435 L
.45857 .46351 L
.45744 .46242 L
.45664 .46123 L
.45616 .4605 L
.45472 .45872 L
.45461 .45857 L
.45317 .45664 L
.45279 .45615 L
.45159 .45472 L
.45086 .4535 L
.45041 .45279 L
.44894 .4509 L
.4489 .45086 L
.44751 .44894 L
.44701 .44844 L
.44598 .44701 L
.44508 .44566 L
.4448 .44508 L
.44335 .44316 L
.44316 .44288 L
.44139 .44123 L
.44123 .44006 L
.44061 .4393 L
.43953 .43737 L
.4393 .43693 L
.43881 .43545 L
F
1 .56 0 r
.4393 .4841 m
.44054 .48555 L
.44123 .48629 L
.4422 .48747 L
.44316 .48859 L
.44381 .4894 L
.44508 .49079 L
.44538 .49133 L
.44691 .49326 L
.44701 .49337 L
.44841 .49518 L
.44894 .49583 L
.44992 .49711 L
.45086 .49808 L
.45143 .49904 L
.45279 .50079 L
.45296 .50096 L
.45437 .50289 L
.45472 .50333 L
.45584 .50482 L
.45664 .50565 L
.4573 .50674 L
.45857 .5084 L
.4588 .50867 L
.46019 .5106 L
.4605 .511 L
.46163 .51253 L
.46242 .51337 L
.46366 .51445 L
.46435 .51615 L
.46454 .51638 L
.46592 .51831 L
.46628 .51878 L
.46734 .52023 L
.46821 .5212 L
.46919 .52216 L
.47013 .52401 L
.47019 .52409 L
.47157 .52601 L
.47206 .52666 L
.47298 .52794 L
.47399 .52915 L
.47467 .52987 L
.47578 .53179 L
.47591 .53196 L
.47715 .53372 L
.47784 .53465 L
.47855 .53565 L
.47977 .53724 L
.48006 .53758 L
.48129 .5395 L
.48169 .54005 L
.48265 .54143 L
.48362 .54278 L
.48402 .54336 L
.48537 .54528 L
.48555 .54553 L
.48666 .54721 L
.48747 .54834 L
.488 .54914 L
.48932 .55106 L
.4894 .55118 L
.49051 .55299 L
.49133 .55419 L
.49174 .55492 L
.49133 .5563 L
.49015 .55492 L
.4894 .55414 L
.48847 .55299 L
.48747 .55185 L
.48685 .55106 L
.48555 .54969 L
.48527 .54914 L
.48374 .54721 L
.48362 .54707 L
.48224 .54528 L
.48169 .54462 L
.48074 .54336 L
.47977 .54242 L
.47923 .54143 L
.47784 .53966 L
.47769 .5395 L
.47629 .53758 L
.47591 .5371 L
.47483 .53565 L
.47399 .53484 L
.47336 .53372 L
.47206 .53204 L
.47184 .53179 L
.47047 .52987 L
.47013 .52943 L
.46904 .52794 L
.46821 .52711 L
.46759 .52601 L
.46628 .52428 L
.46611 .52409 L
.46475 .52216 L
.46435 .52165 L
.46333 .52023 L
.46242 .51927 L
.46137 .51831 L
.4605 .51642 L
.46046 .51638 L
.45909 .51445 L
.45857 .51377 L
.45769 .51253 L
.45664 .51132 L
.45593 .5106 L
.45487 .50867 L
.45472 .50847 L
.4535 .50674 L
.45279 .50579 L
.45211 .50482 L
.45086 .50322 L
.45056 .50289 L
.44935 .50096 L
.44894 .50041 L
.448 .49904 L
.44701 .49769 L
.44661 .49711 L
.44525 .49518 L
.44508 .49495 L
.44396 .49326 L
.44316 .49215 L
.44262 .49133 L
.44126 .4894 L
.44123 .48935 L
.44006 .48747 L
.4393 .48638 L
.43882 .48555 L
F
0 .16 1 r
.4393 .49246 m
.4399 .49326 L
.44123 .49481 L
.44151 .49518 L
.44123 .49685 L
.44018 .49518 L
.4393 .49402 L
.43885 .49326 L
F
0 .63 1 r
.4393 .44144 m
.44122 .44316 L
.44123 .44316 L
.44292 .44508 L
.44316 .44534 L
.44449 .44701 L
.44508 .44773 L
.44599 .44894 L
.44701 .44981 L
.44745 .45086 L
.44885 .45279 L
.44894 .45291 L
.45014 .45472 L
.45086 .4558 L
.45137 .45664 L
.45236 .45857 L
.45086 .45896 L
.45045 .45857 L
.44894 .45723 L
.44857 .45664 L
.44701 .45484 L
.44686 .45472 L
.44542 .45279 L
.44508 .45237 L
.44397 .45086 L
.44316 .44978 L
.44255 .44894 L
.44123 .44707 L
.44119 .44701 L
.43999 .44508 L
.4393 .44396 L
.43887 .44316 L
F
1 .55 0 r
.4393 .48423 m
.44044 .48555 L
.44123 .48639 L
.44212 .48747 L
.44316 .48867 L
.44375 .4894 L
.44508 .49088 L
.44533 .49133 L
.44686 .49326 L
.44701 .49343 L
.44837 .49518 L
.44894 .49588 L
.44988 .49711 L
.45086 .49813 L
.45139 .49904 L
.45279 .50084 L
.45291 .50096 L
.45433 .50289 L
.45472 .50337 L
.4558 .50482 L
.45664 .5057 L
.45727 .50674 L
.45857 .50844 L
.45877 .50867 L
.46016 .5106 L
.4605 .51104 L
.4616 .51253 L
.46242 .51341 L
.46362 .51445 L
.46435 .51619 L
.46451 .51638 L
.46589 .51831 L
.46628 .51882 L
.46731 .52023 L
.46821 .52124 L
.46915 .52216 L
.47013 .52405 L
.47016 .52409 L
.47154 .52601 L
.47206 .5267 L
.47295 .52794 L
.47399 .52919 L
.47462 .52987 L
.47575 .53179 L
.47591 .53201 L
.47712 .53372 L
.47784 .53469 L
.47852 .53565 L
.47977 .5373 L
.48001 .53758 L
.48126 .5395 L
.48169 .5401 L
.48261 .54143 L
.48362 .54283 L
.48399 .54336 L
.48532 .54528 L
.48555 .54559 L
.48662 .54721 L
.48747 .54841 L
.48795 .54914 L
.48925 .55106 L
.4894 .55127 L
.49043 .55299 L
.49133 .55433 L
.49166 .55492 L
.49133 .55614 L
.49026 .55492 L
.4894 .55403 L
.48855 .55299 L
.48747 .55177 L
.48691 .55106 L
.48555 .54959 L
.48532 .54914 L
.48379 .54721 L
.48362 .54701 L
.48229 .54528 L
.48169 .54456 L
.48078 .54336 L
.47977 .54237 L
.47927 .54143 L
.47784 .53961 L
.47774 .5395 L
.47632 .53758 L
.47591 .53706 L
.47486 .53565 L
.47399 .5348 L
.47339 .53372 L
.47206 .532 L
.47187 .53179 L
.4705 .52987 L
.47013 .52939 L
.46907 .52794 L
.46821 .52707 L
.46762 .52601 L
.46628 .52425 L
.46614 .52409 L
.46477 .52216 L
.46435 .52161 L
.46336 .52023 L
.46242 .51923 L
.46141 .51831 L
.4605 .51638 L
.46049 .51638 L
.45912 .51445 L
.45857 .51373 L
.45771 .51253 L
.45664 .51128 L
.45597 .5106 L
.4549 .50867 L
.45472 .50843 L
.45353 .50674 L
.45279 .50575 L
.45214 .50482 L
.45086 .50316 L
.45061 .50289 L
.44938 .50096 L
.44894 .50036 L
.44803 .49904 L
.44701 .49764 L
.44665 .49711 L
.44529 .49518 L
.44508 .4949 L
.444 .49326 L
.44316 .49209 L
.44266 .49133 L
.44132 .4894 L
.44123 .48927 L
.44013 .48747 L
.4393 .48627 L
.4389 .48555 L
F
1 .6 0 r
.4393 .44907 m
.44049 .45086 L
.44123 .45191 L
.4417 .45279 L
.44123 .45345 L
.44062 .45279 L
.4393 .45135 L
.43892 .45086 L
F
0 .15 1 r
.4393 .49256 m
.43982 .49326 L
.44123 .49488 L
.44145 .49518 L
.44123 .49677 L
.44026 .49518 L
.4393 .49391 L
.43892 .49326 L
F
0 .62 1 r
.4393 .44158 m
.44113 .44316 L
.44123 .44324 L
.44286 .44508 L
.44316 .4454 L
.44444 .44701 L
.44508 .44778 L
.44595 .44894 L
.44701 .44989 L
.44741 .45086 L
.44881 .45279 L
.44894 .45297 L
.45009 .45472 L
.45086 .45589 L
.45132 .45664 L
.45224 .45857 L
.45086 .45886 L
.45055 .45857 L
.44894 .45714 L
.44863 .45664 L
.44701 .45477 L
.44694 .45472 L
.44546 .45279 L
.44508 .45231 L
.44401 .45086 L
.44316 .44972 L
.4426 .44894 L
.44125 .44701 L
.44123 .44697 L
.44005 .44508 L
.4393 .44384 L
.43894 .44316 L
F
0 .86 1 r
.4393 .47607 m
.44097 .47784 L
.44123 .4781 L
.4427 .47977 L
.44316 .48027 L
.44437 .48169 L
.44508 .48214 L
.44601 .48362 L
.44701 .48481 L
.448 .48555 L
.44894 .48724 L
.44914 .48747 L
.45069 .4894 L
.45086 .4895 L
.45223 .49133 L
.45279 .49203 L
.45406 .49326 L
.45472 .49457 L
.45518 .49518 L
.45664 .49704 L
.45665 .49711 L
.4582 .49904 L
.45857 .49951 L
.45988 .50096 L
.4605 .50211 L
.46104 .50289 L
.46242 .50466 L
.4626 .50482 L
.46404 .50674 L
.46435 .50715 L
.46563 .50867 L
.46628 .50977 L
.4668 .5106 L
.46821 .51237 L
.46838 .51253 L
.46981 .51445 L
.47013 .51488 L
.47133 .51638 L
.47206 .51753 L
.47251 .51831 L
.47399 .52012 L
.4741 .52023 L
.47553 .52216 L
.47591 .52267 L
.47701 .52409 L
.47784 .52534 L
.47819 .52601 L
.47977 .52792 L
.47979 .52794 L
.48162 .52987 L
.48169 .5305 L
.48266 .53179 L
.48362 .53318 L
.48386 .53372 L
.48545 .53565 L
.48555 .53574 L
.48723 .53758 L
.48747 .53837 L
.48829 .5395 L
.4894 .54106 L
.48953 .54143 L
.49109 .54336 L
.49133 .54359 L
.49283 .54528 L
.49326 .54628 L
.4939 .54721 L
.49518 .54898 L
.49522 .54914 L
.4967 .55106 L
.49711 .55148 L
.4984 .55299 L
.49904 .55423 L
.49949 .55492 L
.50089 .55684 L
.50096 .55694 L
.50227 .55877 L
.50289 .55943 L
.50392 .5607 L
.50482 .56225 L
.50505 .56263 L
.50644 .56455 L
.50674 .56497 L
.50781 .56648 L
.50867 .56749 L
.50938 .56841 L
.51057 .57033 L
.5106 .57037 L
.51191 .57226 L
.51253 .57311 L
.51327 .57419 L
.51445 .57575 L
.51472 .57611 L
.51596 .57804 L
.51638 .57863 L
.51728 .57997 L
.51831 .58144 L
.51901 .58189 L
.51989 .58382 L
.52023 .58432 L
.52113 .58575 L
.52216 .5873 L
.52239 .58768 L
.52349 .5896 L
.52409 .59061 L
.52446 .59153 L
.52409 .59207 L
.52351 .59153 L
.52216 .59028 L
.52155 .5896 L
.52023 .58849 L
.51981 .58768 L
.51831 .58596 L
.51798 .58575 L
.51656 .58382 L
.51638 .58361 L
.515 .58189 L
.51445 .58153 L
.51344 .57997 L
.51253 .57888 L
.51153 .57804 L
.5106 .57637 L
.51038 .57611 L
.5089 .57419 L
.50867 .57403 L
.50741 .57226 L
.50674 .57145 L
.50563 .57033 L
.50482 .56886 L
.50447 .56841 L
.50299 .56648 L
.50289 .5664 L
.50154 .56455 L
.50096 .56384 L
.49985 .56263 L
.49904 .56121 L
.49867 .5607 L
.49719 .55877 L
.49711 .55871 L
.49576 .55684 L
.49518 .55612 L
.49414 .55492 L
.49326 .55347 L
.49294 .55299 L
.49146 .55106 L
.49133 .55096 L
.49003 .54914 L
.4894 .54834 L
.48846 .54721 L
.48747 .54568 L
.48724 .54528 L
.48576 .54336 L
.48555 .54318 L
.4837 .54143 L
.48362 .54052 L
.48281 .5395 L
.48169 .53784 L
.48155 .53758 L
.48009 .53565 L
.47977 .53536 L
.47814 .53372 L
.47784 .53265 L
.47718 .53179 L
.47591 .52997 L
.47587 .52987 L
.47445 .52794 L
.47399 .52751 L
.47258 .52601 L
.47206 .52475 L
.47156 .52409 L
.47021 .52216 L
.47013 .52206 L
.46882 .52023 L
.46821 .51961 L
.46703 .51831 L
.46628 .51681 L
.46597 .51638 L
.46461 .51445 L
.46435 .51412 L
.46322 .51253 L
.46242 .51166 L
.46152 .5106 L
.4605 .50883 L
.46039 .50867 L
.45903 .50674 L
.45857 .50613 L
.45765 .50482 L
.45664 .50363 L
.45604 .50289 L
.45485 .50096 L
.45472 .50079 L
.4535 .49904 L
.45279 .49808 L
.45211 .49711 L
.45086 .49548 L
.45063 .49518 L
.44937 .49326 L
.44894 .49267 L
.44803 .49133 L
.44701 .48993 L
.44665 .4894 L
.4453 .48747 L
.44508 .48718 L
.44401 .48555 L
.44316 .48435 L
.44269 .48362 L
.44136 .48169 L
.44123 .4815 L
.44018 .47977 L
.4393 .47847 L
.43895 .47784 L
F
0 .9 1 r
.4393 .39077 m
.43957 .39113 L
.44123 .3929 L
.44134 .39306 L
.44123 .39491 L
.44014 .39306 L
.4393 .39182 L
.43896 .39113 L
F
1 .54 0 r
.4393 .48438 m
.44033 .48555 L
.44123 .48649 L
.44205 .48747 L
.44316 .48875 L
.44369 .4894 L
.44508 .49098 L
.44527 .49133 L
.44681 .49326 L
.44701 .4935 L
.44832 .49518 L
.44894 .49594 L
.44984 .49711 L
.45086 .49819 L
.45135 .49904 L
.45279 .50089 L
.45286 .50096 L
.4543 .50289 L
.45472 .50342 L
.45577 .50482 L
.45664 .50574 L
.45724 .50674 L
.45857 .50849 L
.45873 .50867 L
.46013 .5106 L
.4605 .51108 L
.46157 .51253 L
.46242 .51345 L
.46358 .51445 L
.46435 .51623 L
.46447 .51638 L
.46586 .51831 L
.46628 .51885 L
.46728 .52023 L
.46821 .52128 L
.46911 .52216 L
.47013 .52409 L
.47013 .52409 L
.47152 .52601 L
.47206 .52674 L
.47292 .52794 L
.47399 .52924 L
.47458 .52987 L
.47572 .53179 L
.47591 .53205 L
.47709 .53372 L
.47784 .53473 L
.47849 .53565 L
.47977 .53736 L
.47996 .53758 L
.48122 .5395 L
.48169 .54015 L
.48257 .54143 L
.48362 .54288 L
.48395 .54336 L
.48528 .54528 L
.48555 .54565 L
.48657 .54721 L
.48747 .54849 L
.4879 .54914 L
.48918 .55106 L
.4894 .55138 L
.49035 .55299 L
.49133 .55448 L
.49156 .55492 L
.49133 .55596 L
.49039 .55492 L
.4894 .55393 L
.48863 .55299 L
.48747 .55169 L
.48698 .55106 L
.48555 .54948 L
.48538 .54914 L
.48384 .54721 L
.48362 .54695 L
.48233 .54528 L
.48169 .54451 L
.48082 .54336 L
.47977 .54231 L
.4793 .54143 L
.47784 .53955 L
.47779 .5395 L
.47636 .53758 L
.47591 .53702 L
.47489 .53565 L
.47399 .53475 L
.47342 .53372 L
.47206 .53195 L
.47191 .53179 L
.47053 .52987 L
.47013 .52936 L
.4691 .52794 L
.46821 .52703 L
.46765 .52601 L
.46628 .52421 L
.46618 .52409 L
.4648 .52216 L
.46435 .52158 L
.46338 .52023 L
.46242 .51919 L
.46145 .51831 L
.46052 .51638 L
.4605 .51635 L
.45915 .51445 L
.45857 .51369 L
.45774 .51253 L
.45664 .51123 L
.45602 .5106 L
.45493 .50867 L
.45472 .50839 L
.45356 .50674 L
.45279 .50571 L
.45217 .50482 L
.45086 .50311 L
.45067 .50289 L
.44942 .50096 L
.44894 .50032 L
.44806 .49904 L
.44701 .49759 L
.44668 .49711 L
.44534 .49518 L
.44508 .49484 L
.44404 .49326 L
.44316 .49202 L
.44271 .49133 L
.44139 .4894 L
.44123 .48918 L
.44021 .48747 L
.4393 .48614 L
.43898 .48555 L
F
0 .14 1 r
.4393 .49268 m
.43973 .49326 L
.44123 .49496 L
.44139 .49518 L
.44123 .49668 L
.44034 .49518 L
.4393 .4938 L
.439 .49326 L
F
0 .96 1 r
.4393 .41776 m
.43974 .41811 L
.44123 .41948 L
.44174 .42003 L
.44316 .42167 L
.4434 .42196 L
.44484 .42389 L
.44508 .42422 L
.4461 .42581 L
.44508 .42679 L
.44421 .42581 L
.44316 .4246 L
.44264 .42389 L
.44123 .42205 L
.44117 .42196 L
.43999 .42003 L
.4393 .41891 L
.43901 .41811 L
F
1 .91 0 r
.4393 .38268 m
.44001 .38342 L
.44123 .38459 L
.44186 .38535 L
.44316 .38678 L
.44355 .38727 L
.44508 .38903 L
.44518 .3892 L
.44672 .39113 L
.44701 .39146 L
.44824 .39306 L
.44894 .39389 L
.44977 .39498 L
.45086 .39618 L
.45129 .39691 L
.45279 .39882 L
.4528 .39884 L
.45425 .40076 L
.45472 .40135 L
.45572 .40269 L
.45664 .40369 L
.45782 .40462 L
.45857 .4064 L
.4587 .40654 L
.4601 .40847 L
.4605 .40898 L
.46154 .4104 L
.46242 .41137 L
.46349 .41232 L
.46435 .41411 L
.46447 .41425 L
.46586 .41618 L
.46628 .41672 L
.46728 .41811 L
.46821 .41915 L
.46911 .42003 L
.47013 .42191 L
.47017 .42196 L
.47155 .42389 L
.47206 .42454 L
.47297 .42581 L
.47399 .42701 L
.47469 .42774 L
.47583 .42967 L
.47591 .42978 L
.47721 .43159 L
.47784 .43243 L
.47862 .43352 L
.47977 .43494 L
.48022 .43545 L
.48144 .43737 L
.48169 .4377 L
.48282 .4393 L
.48362 .44037 L
.48422 .44123 L
.48555 .44296 L
.48571 .44316 L
.48701 .44508 L
.48747 .4457 L
.48838 .44701 L
.4894 .44799 L
.48979 .44894 L
.49119 .45086 L
.49133 .45105 L
.49252 .45279 L
.49326 .45378 L
.49389 .45472 L
.49518 .45636 L
.49529 .45664 L
.49661 .45857 L
.49711 .45925 L
.49793 .4605 L
.49904 .46203 L
.49929 .46242 L
.50058 .46435 L
.50096 .46489 L
.50179 .46628 L
.50289 .46791 L
.50305 .46821 L
.50289 .4697 L
.50138 .46821 L
.50096 .4678 L
.4996 .46628 L
.49904 .46566 L
.49791 .46435 L
.49711 .4634 L
.49629 .46242 L
.49518 .46114 L
.49416 .4605 L
.49326 .45864 L
.49319 .45857 L
.49169 .45664 L
.49133 .45619 L
.49018 .45472 L
.4894 .45379 L
.48824 .45279 L
.48747 .45119 L
.48721 .45086 L
.48576 .44894 L
.48555 .44887 L
.48428 .44701 L
.48362 .44619 L
.48254 .44508 L
.48169 .44356 L
.48141 .44316 L
.47994 .44123 L
.47977 .44114 L
.47848 .4393 L
.47784 .43849 L
.47686 .43737 L
.47591 .43584 L
.47567 .43545 L
.47418 .43352 L
.47399 .4334 L
.47274 .43159 L
.47206 .43072 L
.4712 .42967 L
.47013 .42804 L
.46996 .42774 L
.46849 .42581 L
.46821 .42561 L
.46706 .42389 L
.46628 .42287 L
.46557 .42196 L
.46435 .42017 L
.46428 .42003 L
.46285 .41811 L
.46242 .41776 L
.46074 .41618 L
.4605 .41494 L
.45998 .41425 L
.45865 .41232 L
.45857 .41222 L
.45727 .4104 L
.45664 .40981 L
.45535 .40847 L
.45472 .4069 L
.45446 .40654 L
.45313 .40462 L
.45279 .40415 L
.45176 .40269 L
.45086 .40168 L
.45006 .40076 L
.44904 .39884 L
.44894 .3987 L
.44771 .39691 L
.44701 .39591 L
.44637 .39498 L
.44508 .39316 L
.445 .39306 L
.44377 .39113 L
.44316 .39023 L
.44249 .3892 L
.44123 .3873 L
.44121 .38727 L
.44011 .38535 L
.4393 .38403 L
.43901 .38342 L
F
0 .61 1 r
.4393 .44174 m
.44104 .44316 L
.44123 .44333 L
.4428 .44508 L
.44316 .44547 L
.44439 .44701 L
.44508 .44784 L
.44591 .44894 L
.44701 .44997 L
.44737 .45086 L
.44876 .45279 L
.44894 .45303 L
.45004 .45472 L
.45086 .45597 L
.45126 .45664 L
.45211 .45857 L
.45086 .45876 L
.45066 .45857 L
.44894 .45704 L
.44869 .45664 L
.44702 .45472 L
.44701 .4547 L
.44551 .45279 L
.44508 .45225 L
.44405 .45086 L
.44316 .44966 L
.44264 .44894 L
.44131 .44701 L
.44123 .4469 L
.44011 .44508 L
.4393 .44371 L
.43902 .44316 L
F
0 .95 1 r
.4393 .37446 m
.44062 .37571 L
.44123 .37626 L
.44246 .37764 L
.44316 .37836 L
.44417 .37957 L
.44508 .38031 L
.44582 .38149 L
.44701 .38287 L
.44775 .38342 L
.44894 .38529 L
.44899 .38535 L
.45051 .38727 L
.45086 .38755 L
.45203 .3892 L
.45279 .39011 L
.45388 .39113 L
.45472 .39266 L
.45504 .39306 L
.45652 .39498 L
.45664 .39509 L
.45799 .39691 L
.45857 .39763 L
.45971 .39884 L
.4605 .40024 L
.46089 .40076 L
.46237 .40269 L
.46242 .40274 L
.46381 .40462 L
.46435 .4053 L
.46545 .40654 L
.46628 .40793 L
.46665 .40847 L
.46814 .4104 L
.46821 .41046 L
.46956 .41232 L
.47013 .41305 L
.47115 .41425 L
.47206 .4157 L
.47236 .41618 L
.47385 .41811 L
.47399 .41823 L
.47527 .42003 L
.47591 .42085 L
.47682 .42196 L
.47784 .42352 L
.47805 .42389 L
.47953 .42581 L
.47977 .42603 L
.48149 .42774 L
.48169 .42869 L
.48246 .42967 L
.48362 .43137 L
.48374 .43159 L
.4852 .43352 L
.48555 .43386 L
.48708 .43545 L
.48747 .43656 L
.4881 .43737 L
.4894 .43923 L
.48943 .4393 L
.49084 .44123 L
.49133 .44171 L
.49266 .44316 L
.49326 .44445 L
.49372 .44508 L
.49509 .44701 L
.49518 .44713 L
.49648 .44894 L
.49711 .4496 L
.49823 .45086 L
.49904 .45237 L
.49934 .45279 L
.50071 .45472 L
.50096 .45505 L
.5021 .45664 L
.50289 .45751 L
.50379 .45857 L
.50482 .46031 L
.50495 .4605 L
.50632 .46242 L
.50674 .46299 L
.50771 .46435 L
.50867 .46547 L
.50933 .46628 L
.51055 .46821 L
.5106 .46827 L
.51191 .47013 L
.51253 .47095 L
.5133 .47206 L
.51445 .47349 L
.51484 .47399 L
.51611 .47591 L
.51638 .47627 L
.51747 .47784 L
.51831 .47896 L
.51887 .47977 L
.52023 .48159 L
.52031 .48169 L
.52162 .48362 L
.52216 .48434 L
.52298 .48555 L
.52409 .48704 L
.52438 .48747 L
.52574 .4894 L
.52601 .48977 L
.52705 .49133 L
.52794 .49254 L
.52841 .49326 L
.52978 .49518 L
.52987 .4953 L
.53103 .49711 L
.53179 .49816 L
.53234 .49904 L
.53371 .50096 L
.53372 .50098 L
.53496 .50289 L
.53565 .50383 L
.53629 .50482 L
.53758 .50654 L
.53769 .50674 L
.53908 .50867 L
.5395 .50912 L
.54049 .5106 L
.54143 .51183 L
.54213 .51253 L
.54335 .51445 L
.54336 .51446 L
.54478 .51638 L
.54528 .517 L
.54648 .51831 L
.54721 .51969 L
.54762 .52023 L
.54896 .52216 L
.54914 .52242 L
.55031 .52409 L
.55106 .52484 L
.55169 .52601 L
.55272 .52794 L
.55299 .52851 L
.55351 .52987 L
.55299 .5307 L
.55106 .52997 L
.55095 .52987 L
.54914 .52806 L
.54902 .52794 L
.54743 .52601 L
.54721 .52575 L
.54596 .52409 L
.54528 .52323 L
.54452 .52216 L
.54336 .52081 L
.54281 .52023 L
.54168 .51831 L
.54143 .51797 L
.54035 .51638 L
.5395 .5152 L
.53901 .51445 L
.53768 .51253 L
.53758 .51237 L
.53647 .5106 L
.53565 .5093 L
.53529 .50867 L
.53417 .50674 L
.53372 .50597 L
.5331 .50482 L
.53198 .50289 L
.53179 .50261 L
.53072 .50096 L
.52987 .49983 L
.52935 .49904 L
.52794 .49712 L
.52793 .49711 L
.52642 .49518 L
.52601 .49495 L
.52485 .49326 L
.52409 .49224 L
.52325 .49133 L
.52216 .48967 L
.52171 .4894 L
.52023 .48755 L
.52017 .48747 L
.51861 .48555 L
.51831 .48514 L
.51693 .48362 L
.51638 .48256 L
.51598 .48169 L
.51445 .48033 L
.514 .47977 L
.51253 .47784 L
.51253 .47783 L
.51089 .47591 L
.5106 .47526 L
.50973 .47399 L
.50867 .47259 L
.50807 .47206 L
.50674 .47027 L
.50664 .47013 L
.50508 .46821 L
.50482 .46766 L
.50388 .46628 L
.50289 .46498 L
.50277 .46435 L
.50096 .46245 L
.50087 .46242 L
.49936 .4605 L
.49904 .45991 L
.49817 .45857 L
.49711 .45722 L
.49656 .45664 L
.49518 .45472 L
.49517 .45472 L
.49368 .45279 L
.49326 .45209 L
.49251 .45086 L
.49133 .4494 L
.49088 .44894 L
.48948 .44701 L
.4894 .4469 L
.48803 .44508 L
.48747 .44424 L
.48687 .44316 L
.48555 .44156 L
.48522 .44123 L
.48382 .4393 L
.48362 .43904 L
.48239 .43737 L
.48169 .43636 L
.48124 .43545 L
.47977 .4337 L
.47958 .43352 L
.47792 .43159 L
.47784 .43115 L
.47677 .42967 L
.47591 .42846 L
.47561 .42774 L
.47399 .42584 L
.47396 .42581 L
.47228 .42389 L
.47206 .42325 L
.47117 .42196 L
.47013 .42054 L
.46997 .42003 L
.46835 .41811 L
.46821 .41798 L
.46667 .41618 L
.46628 .41531 L
.46558 .41425 L
.46435 .41259 L
.4643 .41232 L
.46277 .4104 L
.46242 .41008 L
.46111 .40847 L
.4605 .40732 L
.46001 .40654 L
.45859 .40462 L
.45857 .40459 L
.45722 .40269 L
.45664 .4021 L
.45561 .40076 L
.45472 .39924 L
.45448 .39884 L
.4531 .39691 L
.45279 .39648 L
.45174 .39498 L
.45086 .39396 L
.45021 .39306 L
.44902 .39113 L
.44894 .39102 L
.4477 .3892 L
.44701 .38822 L
.44636 .38727 L
.44508 .38546 L
.44501 .38535 L
.44377 .38342 L
.44316 .38252 L
.4425 .38149 L
.44123 .37957 L
.44122 .37957 L
.44012 .37764 L
.4393 .37628 L
.43903 .37571 L
F
1 .59 0 r
.4393 .44922 m
.44036 .45086 L
.44123 .45212 L
.44154 .45279 L
.44123 .45324 L
.44079 .45279 L
.4393 .45121 L
.43903 .45086 L
F
1 .53 0 r
.4393 .48456 m
.4402 .48555 L
.44123 .48659 L
.44196 .48747 L
.44316 .48883 L
.44362 .4894 L
.44508 .49108 L
.44522 .49133 L
.44675 .49326 L
.44701 .49356 L
.44827 .49518 L
.44894 .49599 L
.4498 .49711 L
.45086 .49825 L
.45131 .49904 L
.45279 .50094 L
.45281 .50096 L
.45426 .50289 L
.45472 .50347 L
.45574 .50482 L
.45664 .50579 L
.45721 .50674 L
.45857 .50853 L
.45869 .50867 L
.4601 .5106 L
.4605 .51112 L
.46154 .51253 L
.46242 .51349 L
.46353 .51445 L
.46435 .51627 L
.46444 .51638 L
.46583 .51831 L
.46628 .51889 L
.46726 .52023 L
.46821 .52132 L
.46907 .52216 L
.4701 .52409 L
.47013 .52413 L
.47149 .52601 L
.47206 .52678 L
.47289 .52794 L
.47399 .52928 L
.47454 .52987 L
.47569 .53179 L
.47591 .53209 L
.47706 .53372 L
.47784 .53478 L
.47845 .53565 L
.47977 .53742 L
.47991 .53758 L
.48118 .5395 L
.48169 .5402 L
.48254 .54143 L
.48362 .54293 L
.48391 .54336 L
.48523 .54528 L
.48555 .54572 L
.48652 .54721 L
.48747 .54856 L
.48785 .54914 L
.48911 .55106 L
.4894 .55149 L
.49026 .55299 L
.49133 .55467 L
.49145 .55492 L
.49133 .55574 L
.49055 .55492 L
.4894 .55381 L
.48872 .55299 L
.48747 .5516 L
.48704 .55106 L
.48555 .54937 L
.48543 .54914 L
.4839 .54721 L
.48362 .54689 L
.48238 .54528 L
.48169 .54445 L
.48086 .54336 L
.47977 .54224 L
.47934 .54143 L
.47784 .5395 L
.47784 .5395 L
.47639 .53758 L
.47591 .53697 L
.47493 .53565 L
.47399 .53471 L
.47345 .53372 L
.47206 .53191 L
.47195 .53179 L
.47056 .52987 L
.47013 .52932 L
.46912 .52794 L
.46821 .52699 L
.46767 .52601 L
.46628 .52417 L
.46621 .52409 L
.46483 .52216 L
.46435 .52154 L
.46341 .52023 L
.46242 .51915 L
.4615 .51831 L
.46055 .51638 L
.4605 .51631 L
.45917 .51445 L
.45857 .51366 L
.45777 .51253 L
.45664 .51119 L
.45606 .5106 L
.45496 .50867 L
.45472 .50836 L
.45359 .50674 L
.45279 .50567 L
.45219 .50482 L
.45086 .50305 L
.45072 .50289 L
.44945 .50096 L
.44894 .50027 L
.4481 .49904 L
.44701 .49754 L
.44671 .49711 L
.44538 .49518 L
.44508 .49478 L
.44409 .49326 L
.44316 .49196 L
.44275 .49133 L
.44146 .4894 L
.44123 .48908 L
.44029 .48747 L
.4393 .48599 L
.43907 .48555 L
F
1 .92 0 r
.4393 .4351 m
.44123 .43524 L
.4416 .43545 L
.44316 .43653 L
.44455 .43737 L
.44508 .43852 L
.44576 .4393 L
.44701 .44085 L
.44715 .44123 L
.4488 .44316 L
.44894 .44333 L
.45057 .44508 L
.45086 .44593 L
.4517 .44701 L
.45279 .44856 L
.45292 .44894 L
.45458 .45086 L
.45472 .451 L
.45623 .45279 L
.45664 .45362 L
.45736 .45472 L
.45857 .45634 L
.45861 .45664 L
.46015 .45857 L
.4605 .45907 L
.46174 .4605 L
.46242 .46193 L
.46274 .46242 L
.46365 .46435 L
.46242 .46538 L
.4605 .46495 L
.45967 .46435 L
.45857 .4634 L
.45751 .46242 L
.45664 .46115 L
.45621 .4605 L
.45472 .45866 L
.45465 .45857 L
.45321 .45664 L
.45279 .45611 L
.45162 .45472 L
.45086 .45346 L
.45044 .45279 L
.44894 .45087 L
.44893 .45086 L
.44754 .44894 L
.44701 .4484 L
.44601 .44701 L
.44508 .44561 L
.44483 .44508 L
.4434 .44316 L
.44316 .44281 L
.44143 .44123 L
.44123 .43997 L
.44068 .4393 L
.43965 .43737 L
.4393 .43659 L
.43908 .43545 L
F
0 .13 1 r
.4393 .49282 m
.43962 .49326 L
.44123 .49505 L
.44133 .49518 L
.44123 .49658 L
.44043 .49518 L
.4393 .49366 L
.43909 .49326 L
F
0 .6 1 r
.4393 .44191 m
.44093 .44316 L
.44123 .44341 L
.44274 .44508 L
.44316 .44553 L
.44434 .44701 L
.44508 .4479 L
.44586 .44894 L
.44701 .45006 L
.44733 .45086 L
.44871 .45279 L
.44894 .4531 L
.44999 .45472 L
.45086 .45606 L
.4512 .45664 L
.45195 .45857 L
.45086 .45865 L
.45077 .45857 L
.44894 .45694 L
.44876 .45664 L
.44708 .45472 L
.44701 .45463 L
.44556 .45279 L
.44508 .45219 L
.4441 .45086 L
.44316 .4496 L
.44269 .44894 L
.44136 .44701 L
.44123 .44681 L
.44017 .44508 L
.4393 .44356 L
.4391 .44316 L
F
0 .85 1 r
.4393 .47648 m
.44068 .47784 L
.44123 .47836 L
.4425 .47977 L
.44316 .48047 L
.44421 .48169 L
.44508 .48228 L
.44587 .48362 L
.44701 .48495 L
.44785 .48555 L
.44894 .48736 L
.44904 .48747 L
.4506 .4894 L
.45086 .48956 L
.45214 .49133 L
.45279 .49213 L
.45399 .49326 L
.45472 .49466 L
.45511 .49518 L
.45664 .49711 L
.45664 .49711 L
.45814 .49904 L
.45857 .49959 L
.45983 .50096 L
.4605 .50218 L
.46099 .50289 L
.46242 .50471 L
.46254 .50482 L
.46399 .50674 L
.46435 .50721 L
.46559 .50867 L
.46628 .50983 L
.46677 .5106 L
.46821 .51241 L
.46833 .51253 L
.46977 .51445 L
.47013 .51493 L
.4713 .51638 L
.47206 .51758 L
.47248 .51831 L
.47399 .52016 L
.47407 .52023 L
.47549 .52216 L
.47591 .52271 L
.47698 .52409 L
.47784 .52538 L
.47817 .52601 L
.47976 .52794 L
.47977 .52795 L
.48161 .52987 L
.48169 .53054 L
.48263 .53179 L
.48362 .53322 L
.48385 .53372 L
.48542 .53565 L
.48555 .53577 L
.48722 .53758 L
.48747 .53841 L
.48826 .5395 L
.4894 .5411 L
.48952 .54143 L
.49106 .54336 L
.49133 .54362 L
.49281 .54528 L
.49326 .54632 L
.49387 .54721 L
.49518 .54902 L
.49521 .54914 L
.49666 .55106 L
.49711 .55151 L
.49837 .55299 L
.49904 .55428 L
.49946 .55492 L
.50086 .55684 L
.50096 .55699 L
.50224 .55877 L
.50289 .55948 L
.50388 .5607 L
.50482 .56231 L
.50502 .56263 L
.50639 .56455 L
.50674 .56504 L
.50776 .56648 L
.50867 .56756 L
.50932 .56841 L
.51052 .57033 L
.5106 .57044 L
.51185 .57226 L
.51253 .57319 L
.51321 .57419 L
.51445 .57588 L
.51463 .57611 L
.51588 .57804 L
.51638 .57875 L
.51719 .57997 L
.51831 .58157 L
.51881 .58189 L
.51976 .58382 L
.52023 .58451 L
.52099 .58575 L
.52216 .58756 L
.52223 .58768 L
.52318 .5896 L
.52216 .58995 L
.52184 .5896 L
.52023 .58813 L
.52001 .58768 L
.51831 .58575 L
.51831 .58574 L
.5167 .58382 L
.51638 .58346 L
.51511 .58189 L
.51445 .58143 L
.51354 .57997 L
.51253 .57877 L
.51164 .57804 L
.5106 .57627 L
.51046 .57611 L
.50898 .57419 L
.50867 .57397 L
.50748 .57226 L
.50674 .57137 L
.50569 .57033 L
.50482 .56879 L
.50452 .56841 L
.50305 .56648 L
.50289 .56636 L
.50159 .56455 L
.50096 .56378 L
.4999 .56263 L
.49904 .56116 L
.49871 .5607 L
.49724 .55877 L
.49711 .55867 L
.4958 .55684 L
.49518 .55608 L
.49418 .55492 L
.49326 .55343 L
.49297 .55299 L
.49149 .55106 L
.49133 .55093 L
.49007 .54914 L
.4894 .5483 L
.48849 .54721 L
.48747 .54564 L
.48726 .54528 L
.48579 .54336 L
.48555 .54315 L
.48372 .54143 L
.48362 .54048 L
.48284 .5395 L
.48169 .5378 L
.48157 .53758 L
.48012 .53565 L
.47977 .53533 L
.47816 .53372 L
.47784 .53262 L
.47721 .53179 L
.47591 .52993 L
.47588 .52987 L
.47447 .52794 L
.47399 .52748 L
.4726 .52601 L
.47206 .52472 L
.47159 .52409 L
.47024 .52216 L
.47013 .52202 L
.46885 .52023 L
.46821 .51958 L
.46706 .51831 L
.46628 .51677 L
.46599 .51638 L
.46464 .51445 L
.46435 .51408 L
.46325 .51253 L
.46242 .51162 L
.46155 .5106 L
.4605 .50878 L
.46042 .50867 L
.45907 .50674 L
.45857 .50608 L
.45768 .50482 L
.45664 .50358 L
.45609 .50289 L
.45489 .50096 L
.45472 .50073 L
.45354 .49904 L
.45279 .49802 L
.45216 .49711 L
.45086 .49539 L
.4507 .49518 L
.44943 .49326 L
.44894 .49259 L
.44808 .49133 L
.44701 .48985 L
.44671 .4894 L
.44538 .48747 L
.44508 .48707 L
.4441 .48555 L
.44316 .48422 L
.44278 .48362 L
.44149 .48169 L
.44123 .48131 L
.44033 .47977 L
.4393 .47816 L
.43914 .47784 L
F
1 .58 0 r
.4393 .4494 m
.4402 .45086 L
.44123 .45246 L
.44133 .45279 L
.44123 .45294 L
.44106 .45279 L
.4393 .45106 L
.43915 .45086 L
F
1 .52 0 r
.4393 .48478 m
.44004 .48555 L
.44123 .48671 L
.44188 .48747 L
.44316 .48892 L
.44355 .4894 L
.44508 .49118 L
.44516 .49133 L
.44669 .49326 L
.44701 .49362 L
.44823 .49518 L
.44894 .49605 L
.44976 .49711 L
.45086 .49831 L
.45127 .49904 L
.45276 .50096 L
.45279 .50099 L
.45423 .50289 L
.45472 .50351 L
.4557 .50482 L
.45664 .50583 L
.45718 .50674 L
.45857 .50858 L
.45865 .50867 L
.46007 .5106 L
.4605 .51116 L
.46151 .51253 L
.46242 .51353 L
.46349 .51445 L
.46435 .51631 L
.46441 .51638 L
.4658 .51831 L
.46628 .51893 L
.46723 .52023 L
.46821 .52137 L
.46903 .52216 L
.47007 .52409 L
.47013 .52417 L
.47146 .52601 L
.47206 .52682 L
.47287 .52794 L
.47399 .52933 L
.47449 .52987 L
.47566 .53179 L
.47591 .53213 L
.47703 .53372 L
.47784 .53482 L
.47842 .53565 L
.47977 .53748 L
.47985 .53758 L
.48115 .5395 L
.48169 .54025 L
.4825 .54143 L
.48362 .54299 L
.48387 .54336 L
.48518 .54528 L
.48555 .54579 L
.48647 .54721 L
.48747 .54864 L
.48779 .54914 L
.48903 .55106 L
.4894 .55161 L
.49016 .55299 L
.4894 .55369 L
.48882 .55299 L
.48747 .55151 L
.48711 .55106 L
.48555 .54926 L
.48549 .54914 L
.48396 .54721 L
.48362 .54682 L
.48243 .54528 L
.48169 .54439 L
.4809 .54336 L
.47977 .54218 L
.47938 .54143 L
.47788 .5395 L
.47784 .53945 L
.47643 .53758 L
.47591 .53693 L
.47496 .53565 L
.47399 .53466 L
.47348 .53372 L
.47206 .53187 L
.47199 .53179 L
.47059 .52987 L
.47013 .52928 L
.46915 .52794 L
.46821 .52695 L
.4677 .52601 L
.46628 .52413 L
.46624 .52409 L
.46486 .52216 L
.46435 .5215 L
.46344 .52023 L
.46242 .51911 L
.46154 .51831 L
.46058 .51638 L
.4605 .51627 L
.4592 .51445 L
.45857 .51362 L
.45779 .51253 L
.45664 .51114 L
.45611 .5106 L
.45499 .50867 L
.45472 .50832 L
.45362 .50674 L
.45279 .50563 L
.45222 .50482 L
.45086 .50299 L
.45077 .50289 L
.44949 .50096 L
.44894 .50022 L
.44813 .49904 L
.44701 .49749 L
.44675 .49711 L
.44543 .49518 L
.44508 .49472 L
.44414 .49326 L
.44316 .49189 L
.4428 .49133 L
.44153 .4894 L
.44123 .48898 L
.44038 .48747 L
.4393 .48581 L
.43918 .48555 L
F
0 .59 1 r
.4393 .44213 m
.44081 .44316 L
.44123 .44351 L
.44267 .44508 L
.44316 .4456 L
.44429 .44701 L
.44508 .44796 L
.44582 .44894 L
.44701 .45015 L
.44729 .45086 L
.44866 .45279 L
.44894 .45317 L
.44993 .45472 L
.45086 .45616 L
.45114 .45664 L
.45086 .45853 L
.44894 .45683 L
.44882 .45664 L
.44714 .45472 L
.44701 .45457 L
.44561 .45279 L
.44508 .45213 L
.44415 .45086 L
.44316 .44953 L
.44273 .44894 L
.44142 .44701 L
.44123 .44673 L
.44024 .44508 L
.4393 .4434 L
.43919 .44316 L
F
0 .12 1 r
.4393 .49302 m
.43947 .49326 L
.44123 .49514 L
.44126 .49518 L
.44123 .49646 L
.44055 .49518 L
.4393 .49347 L
.43921 .49326 L
F
0 .58 1 r
.4393 .44244 m
.44068 .44316 L
.44123 .4436 L
.4426 .44508 L
.44316 .44567 L
.44424 .44701 L
.44508 .44802 L
.44577 .44894 L
.44701 .45024 L
.44725 .45086 L
.44861 .45279 L
.44894 .45324 L
.44988 .45472 L
.45086 .45626 L
.45108 .45664 L
.45086 .4584 L
.44894 .45672 L
.44889 .45664 L
.4472 .45472 L
.44701 .4545 L
.44566 .45279 L
.44508 .45207 L
.44419 .45086 L
.44316 .44947 L
.44278 .44894 L
.44148 .44701 L
.44123 .44664 L
.4403 .44508 L
.4393 .44319 L
.43929 .44316 L
F
1 .57 0 r
.4393 .44962 m
.43998 .45086 L
.4393 .45088 L
.43929 .45086 L
F
1 .51 0 r
.4393 .48515 m
.43981 .48555 L
.44123 .48683 L
.44178 .48747 L
.44316 .489 L
.44348 .4894 L
.44508 .4913 L
.4451 .49133 L
.44664 .49326 L
.44701 .49369 L
.44818 .49518 L
.44894 .49611 L
.44971 .49711 L
.45086 .49838 L
.45123 .49904 L
.45272 .50096 L
.45279 .50105 L
.45419 .50289 L
.45472 .50356 L
.45567 .50482 L
.45664 .50588 L
.45714 .50674 L
.45857 .50862 L
.45861 .50867 L
.46003 .5106 L
.4605 .5112 L
.46148 .51253 L
.46242 .51358 L
.46345 .51445 L
.46435 .51635 L
.46437 .51638 L
.46577 .51831 L
.46628 .51897 L
.4672 .52023 L
.46821 .52141 L
.46898 .52216 L
.47004 .52409 L
.47013 .5242 L
.47143 .52601 L
.47206 .52685 L
.47284 .52794 L
.47399 .52938 L
.47445 .52987 L
.47563 .53179 L
.47591 .53217 L
.477 .53372 L
.47784 .53486 L
.47839 .53565 L
.47977 .53754 L
.4798 .53758 L
.48111 .5395 L
.48169 .5403 L
.48246 .54143 L
.48362 .54304 L
.48383 .54336 L
.48513 .54528 L
.48555 .54586 L
.48642 .54721 L
.48747 .54872 L
.48774 .54914 L
.48894 .55106 L
.4894 .55174 L
.49005 .55299 L
.4894 .55356 L
.48892 .55299 L
.48747 .55142 L
.48719 .55106 L
.48555 .54914 L
.48555 .54914 L
.48402 .54721 L
.48362 .54675 L
.48248 .54528 L
.48169 .54434 L
.48094 .54336 L
.47977 .54211 L
.47942 .54143 L
.47792 .5395 L
.47784 .5394 L
.47647 .53758 L
.47591 .53688 L
.47499 .53565 L
.47399 .53461 L
.47351 .53372 L
.47206 .53182 L
.47203 .53179 L
.47062 .52987 L
.47013 .52924 L
.46918 .52794 L
.46821 .52691 L
.46773 .52601 L
.46628 .52409 L
.46628 .52409 L
.46488 .52216 L
.46435 .52147 L
.46346 .52023 L
.46242 .51907 L
.46158 .51831 L
.46061 .51638 L
.4605 .51624 L
.45923 .51445 L
.45857 .51359 L
.45782 .51253 L
.45664 .51109 L
.45615 .5106 L
.45502 .50867 L
.45472 .50828 L
.45365 .50674 L
.45279 .50559 L
.45225 .50482 L
.45086 .50293 L
.45083 .50289 L
.44952 .50096 L
.44894 .50017 L
.44817 .49904 L
.44701 .49744 L
.44678 .49711 L
.44547 .49518 L
.44508 .49465 L
.44418 .49326 L
.44316 .49181 L
.44285 .49133 L
.4416 .4894 L
.44123 .48886 L
.44047 .48747 L
.4393 .48555 L
.4393 .48555 L
F
1 .91 0 r
.44123 .43545 m
.44316 .43669 L
.4444 .43737 L
.44508 .43864 L
.44567 .4393 L
.44701 .44094 L
.44712 .44123 L
.44875 .44316 L
.44894 .4434 L
.45054 .44508 L
.45086 .44598 L
.45167 .44701 L
.45279 .4486 L
.45291 .44894 L
.45454 .45086 L
.45472 .45103 L
.45621 .45279 L
.45664 .45367 L
.45733 .45472 L
.45857 .45639 L
.4586 .45664 L
.46011 .45857 L
.4605 .45913 L
.4617 .4605 L
.46242 .46203 L
.46267 .46242 L
.46349 .46435 L
.46242 .46524 L
.4605 .46481 L
.45983 .46435 L
.45857 .4633 L
.45758 .46242 L
.45664 .46108 L
.45625 .4605 L
.45472 .4586 L
.45469 .45857 L
.45324 .45664 L
.45279 .45606 L
.45165 .45472 L
.45086 .45342 L
.45046 .45279 L
.44896 .45086 L
.44894 .45083 L
.44757 .44894 L
.44701 .44836 L
.44605 .44701 L
.44508 .44555 L
.44486 .44508 L
.44344 .44316 L
.44316 .44274 L
.44147 .44123 L
.44123 .43987 L
.44077 .4393 L
.43977 .43737 L
F
1 .9 0 r
.44123 .43564 m
.44316 .43684 L
.44421 .43737 L
.44508 .43875 L
.44559 .4393 L
.44701 .44102 L
.44709 .44123 L
.4487 .44316 L
.44894 .44346 L
.45052 .44508 L
.45086 .44604 L
.45163 .44701 L
.45279 .44864 L
.4529 .44894 L
.45451 .45086 L
.45472 .45107 L
.45619 .45279 L
.45664 .45371 L
.4573 .45472 L
.45857 .45644 L
.4586 .45664 L
.46007 .45857 L
.4605 .4592 L
.46165 .4605 L
.46242 .46214 L
.4626 .46242 L
.46333 .46435 L
.46242 .46509 L
.4605 .46468 L
.46 .46435 L
.45857 .4632 L
.45766 .46242 L
.45664 .46101 L
.45629 .4605 L
.45474 .45857 L
.45472 .45855 L
.45328 .45664 L
.45279 .45602 L
.45168 .45472 L
.45086 .45338 L
.45049 .45279 L
.449 .45086 L
.44894 .45078 L
.4476 .44894 L
.44701 .44832 L
.44608 .44701 L
.44508 .44549 L
.44489 .44508 L
.44349 .44316 L
.44316 .44267 L
.44151 .44123 L
.44123 .43976 L
.44085 .4393 L
.4399 .43737 L
F
1 .89 0 r
.44123 .43583 m
.44316 .43699 L
.44398 .43737 L
.44508 .43886 L
.4455 .4393 L
.44701 .44111 L
.44706 .44123 L
.44864 .44316 L
.44894 .44353 L
.45049 .44508 L
.45086 .44609 L
.4516 .44701 L
.45279 .44867 L
.45288 .44894 L
.45447 .45086 L
.45472 .4511 L
.45617 .45279 L
.45664 .45376 L
.45727 .45472 L
.45857 .45649 L
.45859 .45664 L
.46003 .45857 L
.4605 .45927 L
.4616 .4605 L
.46242 .46225 L
.46253 .46242 L
.46315 .46435 L
.46242 .46494 L
.4605 .46455 L
.46017 .46435 L
.45857 .4631 L
.45775 .46242 L
.45664 .46093 L
.45634 .4605 L
.45478 .45857 L
.45472 .4585 L
.45332 .45664 L
.45279 .45597 L
.45171 .45472 L
.45086 .45334 L
.45051 .45279 L
.44903 .45086 L
.44894 .45074 L
.44764 .44894 L
.44701 .44828 L
.44611 .44701 L
.44508 .44543 L
.44492 .44508 L
.44354 .44316 L
.44316 .4426 L
.44156 .44123 L
.44123 .43965 L
.44094 .4393 L
.44004 .43737 L
F
1 .88 0 r
.44123 .43602 m
.44316 .43714 L
.44371 .43737 L
.44508 .43897 L
.44541 .4393 L
.44701 .44119 L
.44702 .44123 L
.44859 .44316 L
.44894 .44359 L
.45046 .44508 L
.45086 .44614 L
.45157 .44701 L
.45279 .44871 L
.45287 .44894 L
.45444 .45086 L
.45472 .45113 L
.45614 .45279 L
.45664 .4538 L
.45724 .45472 L
.45857 .45654 L
.45858 .45664 L
.45998 .45857 L
.4605 .45933 L
.46155 .4605 L
.46242 .46237 L
.46246 .46242 L
.46296 .46435 L
.46242 .46478 L
.4605 .46443 L
.46036 .46435 L
.45857 .463 L
.45784 .46242 L
.45664 .46086 L
.45638 .4605 L
.45483 .45857 L
.45472 .45846 L
.45336 .45664 L
.45279 .45593 L
.45174 .45472 L
.45086 .4533 L
.45054 .45279 L
.44906 .45086 L
.44894 .45069 L
.44767 .44894 L
.44701 .44824 L
.44615 .44701 L
.44508 .44537 L
.44494 .44508 L
.44359 .44316 L
.44316 .44252 L
.44161 .44123 L
.44123 .43954 L
.44104 .4393 L
.44018 .43737 L
F
1 .87 0 r
.44123 .43622 m
.44316 .43729 L
.44338 .43737 L
.44508 .43908 L
.44531 .4393 L
.44697 .44123 L
.44701 .44127 L
.44854 .44316 L
.44894 .44365 L
.45043 .44508 L
.45086 .44619 L
.45153 .44701 L
.45279 .44875 L
.45286 .44894 L
.45441 .45086 L
.45472 .45117 L
.45612 .45279 L
.45664 .45385 L
.45721 .45472 L
.45857 .45659 L
.45858 .45664 L
.45994 .45857 L
.4605 .4594 L
.4615 .4605 L
.46238 .46242 L
.46242 .46253 L
.46275 .46435 L
.46242 .4646 L
.4606 .46435 L
.4605 .46431 L
.45857 .46291 L
.45793 .46242 L
.45664 .46079 L
.45643 .4605 L
.45487 .45857 L
.45472 .45842 L
.45339 .45664 L
.45279 .45588 L
.45177 .45472 L
.45086 .45326 L
.45056 .45279 L
.44909 .45086 L
.44894 .45065 L
.4477 .44894 L
.44701 .4482 L
.44618 .44701 L
.44508 .44531 L
.44497 .44508 L
.44363 .44316 L
.44316 .44245 L
.44167 .44123 L
.44123 .43942 L
.44114 .4393 L
.44033 .43737 L
F
0 .57 1 r
.44123 .4437 m
.44252 .44508 L
.44316 .44574 L
.44418 .44701 L
.44508 .44808 L
.44573 .44894 L
.44701 .45035 L
.44721 .45086 L
.44856 .45279 L
.44894 .45331 L
.44983 .45472 L
.45086 .45637 L
.45101 .45664 L
.45086 .45825 L
.44897 .45664 L
.44894 .45661 L
.44727 .45472 L
.44701 .45443 L
.44572 .45279 L
.44508 .452 L
.44424 .45086 L
.44316 .4494 L
.44283 .44894 L
.44154 .44701 L
.44123 .44655 L
.44037 .44508 L
F
0 .56 1 r
.44123 .4438 m
.44245 .44508 L
.44316 .44582 L
.44413 .44701 L
.44508 .44814 L
.44568 .44894 L
.44701 .45045 L
.44716 .45086 L
.44851 .45279 L
.44894 .45339 L
.44977 .45472 L
.45086 .45649 L
.45094 .45664 L
.45086 .45808 L
.44907 .45664 L
.44894 .45652 L
.44733 .45472 L
.44701 .45436 L
.44577 .45279 L
.44508 .45194 L
.44429 .45086 L
.44316 .44933 L
.44288 .44894 L
.4416 .44701 L
.44123 .44645 L
.44045 .44508 L
F
1 .98 0 r
.44123 .36839 m
.44276 .36993 L
.44316 .37031 L
.44456 .37186 L
.44508 .37198 L
.44626 .37379 L
.44701 .3746 L
.44791 .37571 L
.44894 .37699 L
.44961 .37764 L
.45086 .37938 L
.45101 .37957 L
.45261 .38149 L
.45279 .38171 L
.45414 .38342 L
.45472 .38421 L
.45569 .38535 L
.45664 .38677 L
.45694 .38727 L
.45857 .38919 L
.45862 .3892 L
.46041 .39113 L
.4605 .39171 L
.46154 .39306 L
.46242 .39436 L
.46273 .39498 L
.46435 .39689 L
.46446 .39691 L
.46611 .39884 L
.46628 .39938 L
.4673 .40076 L
.46821 .40207 L
.46845 .40269 L
.47013 .40451 L
.47021 .40462 L
.47181 .40654 L
.47206 .40715 L
.473 .40847 L
.47399 .40986 L
.47412 .4104 L
.47591 .41232 L
.47591 .41232 L
.47748 .41425 L
.47784 .41498 L
.47866 .41618 L
.47977 .41768 L
.47978 .41811 L
.48159 .42003 L
.48169 .42016 L
.48314 .42196 L
.48362 .42283 L
.48431 .42389 L
.48555 .42551 L
.48585 .42581 L
.48725 .42774 L
.48747 .42802 L
.48879 .42967 L
.4894 .4307 L
.48995 .43159 L
.49133 .43335 L
.49151 .43352 L
.49291 .43545 L
.49326 .43589 L
.49442 .43737 L
.49518 .43858 L
.49559 .4393 L
.49711 .44119 L
.49715 .44123 L
.49898 .44316 L
.49904 .44377 L
.50005 .44508 L
.50096 .44646 L
.50124 .44701 L
.50279 .44894 L
.50289 .44903 L
.5046 .45086 L
.50482 .45166 L
.50567 .45279 L
.50674 .45434 L
.5069 .45472 L
.50843 .45664 L
.50867 .45687 L
.51021 .45857 L
.5106 .45955 L
.51129 .4605 L
.51253 .46224 L
.51258 .46242 L
.51406 .46435 L
.51445 .46473 L
.51581 .46628 L
.51638 .46745 L
.51691 .46821 L
.51831 .47013 L
.51831 .47013 L
.51969 .47206 L
.52023 .4726 L
.5214 .47399 L
.52216 .47536 L
.52253 .47591 L
.52393 .47784 L
.52409 .47805 L
.52532 .47977 L
.52601 .4805 L
.52698 .48169 L
.52794 .48329 L
.52816 .48362 L
.52955 .48555 L
.52987 .48597 L
.53094 .48747 L
.53179 .48843 L
.53256 .4894 L
.53372 .49123 L
.53378 .49133 L
.53516 .49326 L
.53565 .4939 L
.53656 .49518 L
.53758 .49639 L
.53812 .49711 L
.53939 .49904 L
.5395 .49918 L
.54076 .50096 L
.54143 .5014 L
.54273 .50289 L
.54336 .5044 L
.54366 .50482 L
.54497 .50674 L
.54528 .50715 L
.54635 .50867 L
.54721 .50953 L
.54808 .5106 L
.54914 .51246 L
.54918 .51253 L
.55053 .51445 L
.55106 .51517 L
.5519 .51638 L
.55299 .51771 L
.55344 .51831 L
.5547 .52023 L
.55492 .52053 L
.55605 .52216 L
.55684 .52289 L
.55772 .52409 L
.55877 .52593 L
.55883 .52601 L
.56014 .52794 L
.5607 .52872 L
.56146 .52987 L
.56263 .53154 L
.56294 .53179 L
.56395 .53372 L
.56263 .53466 L
.56093 .53372 L
.5607 .53357 L
.55877 .53217 L
.55828 .53179 L
.55684 .53026 L
.55645 .52987 L
.55492 .52797 L
.55489 .52794 L
.5534 .52601 L
.55299 .52551 L
.55169 .52409 L
.55106 .52292 L
.55045 .52216 L
.54914 .5203 L
.54909 .52023 L
.54746 .51831 L
.54721 .51766 L
.54622 .51638 L
.54528 .51499 L
.54491 .51445 L
.54341 .51253 L
.54336 .51233 L
.54207 .5106 L
.54143 .50967 L
.54082 .50867 L
.5395 .50701 L
.53929 .50674 L
.53788 .50482 L
.53758 .50436 L
.53671 .50289 L
.53565 .50163 L
.53501 .50096 L
.53372 .49917 L
.53362 .49904 L
.53229 .49711 L
.53179 .49645 L
.53138 .49518 L
.52987 .49399 L
.52931 .49326 L
.52794 .49136 L
.52792 .49133 L
.52663 .4894 L
.52601 .48859 L
.52503 .48747 L
.52409 .48616 L
.52361 .48555 L
.52222 .48362 L
.52216 .48352 L
.52096 .48169 L
.52023 .48075 L
.51935 .47977 L
.51831 .47831 L
.51794 .47784 L
.51653 .47591 L
.51638 .47565 L
.51532 .47399 L
.51445 .47289 L
.51369 .47206 L
.51253 .47044 L
.51229 .47013 L
.51087 .46821 L
.5106 .46777 L
.5097 .46628 L
.50867 .46502 L
.50804 .46435 L
.50674 .46255 L
.50665 .46242 L
.50523 .4605 L
.50482 .45988 L
.50409 .45857 L
.50289 .45715 L
.5024 .45664 L
.50097 .45472 L
.50096 .45466 L
.4996 .45279 L
.49904 .45198 L
.49848 .45086 L
.49711 .44928 L
.49676 .44894 L
.49524 .44701 L
.49518 .44677 L
.49398 .44508 L
.49326 .44408 L
.49287 .44316 L
.49133 .44142 L
.49113 .44123 L
.48957 .4393 L
.4894 .43888 L
.48836 .43737 L
.48747 .43619 L
.48725 .43545 L
.48555 .43357 L
.4855 .43352 L
.48392 .43159 L
.48362 .43098 L
.48275 .42967 L
.48169 .42828 L
.48161 .42774 L
.47987 .42581 L
.47977 .42571 L
.47829 .42389 L
.47784 .42307 L
.47714 .42196 L
.47591 .42037 L
.47565 .42003 L
.47426 .41811 L
.47399 .41785 L
.47268 .41618 L
.47206 .41515 L
.47153 .41425 L
.47013 .41245 L
.47004 .41232 L
.46865 .4104 L
.46821 .40995 L
.46709 .40847 L
.46628 .4072 L
.46592 .40654 L
.46444 .40462 L
.46435 .40449 L
.46306 .40269 L
.46242 .40201 L
.46153 .40076 L
.4605 .3992 L
.46031 .39884 L
.45888 .39691 L
.45857 .39649 L
.45691 .39498 L
.45664 .39399 L
.45601 .39306 L
.45472 .39113 L
.45472 .39113 L
.45337 .3892 L
.45279 .3884 L
.4515 .38727 L
.45086 .3858 L
.45057 .38535 L
.44928 .38342 L
.44894 .38294 L
.44796 .38149 L
.44701 .38015 L
.44631 .37957 L
.4453 .37764 L
.44508 .37733 L
.44404 .37571 L
.44316 .37441 L
.44277 .37379 L
.44156 .37186 L
.44123 .37135 L
.44048 .36993 L
F
1 .86 0 r
.44123 .43643 m
.44308 .43737 L
.44316 .43742 L
.44508 .43919 L
.4452 .4393 L
.4469 .44123 L
.44701 .44133 L
.44848 .44316 L
.44894 .44371 L
.4504 .44508 L
.45086 .44624 L
.4515 .44701 L
.45279 .44878 L
.45285 .44894 L
.45437 .45086 L
.45472 .4512 L
.45609 .45279 L
.45664 .4539 L
.45718 .45472 L
.45857 .45664 L
.45857 .45665 L
.4599 .45857 L
.4605 .45947 L
.46144 .4605 L
.46229 .46242 L
.46242 .46275 L
.4625 .46435 L
.46242 .46441 L
.46093 .46435 L
.4605 .4642 L
.45857 .46282 L
.45803 .46242 L
.45664 .46072 L
.45648 .4605 L
.45492 .45857 L
.45472 .45837 L
.45343 .45664 L
.45279 .45584 L
.4518 .45472 L
.45086 .45322 L
.45059 .45279 L
.44913 .45086 L
.44894 .45061 L
.44774 .44894 L
.44701 .44815 L
.44621 .44701 L
.44508 .44525 L
.445 .44508 L
.44368 .44316 L
.44316 .44237 L
.44174 .44123 L
.44124 .4393 L
.44123 .43928 L
.44049 .43737 L
F
0 .84 1 r
.44123 .47864 m
.44228 .47977 L
.44316 .48068 L
.44405 .48169 L
.44508 .48246 L
.44573 .48362 L
.44701 .48511 L
.44766 .48555 L
.44894 .48747 L
.44894 .48747 L
.4505 .4894 L
.45086 .48962 L
.45205 .49133 L
.45279 .49223 L
.45392 .49326 L
.45472 .49475 L
.45505 .49518 L
.45658 .49711 L
.45664 .49715 L
.45807 .49904 L
.45857 .49966 L
.45979 .50096 L
.4605 .50225 L
.46095 .50289 L
.46242 .50476 L
.46249 .50482 L
.46394 .50674 L
.46435 .50727 L
.46555 .50867 L
.46628 .50989 L
.46673 .5106 L
.46821 .51245 L
.46829 .51253 L
.46973 .51445 L
.47013 .51498 L
.47127 .51638 L
.47206 .51763 L
.47246 .51831 L
.47399 .5202 L
.47403 .52023 L
.47546 .52216 L
.47591 .52276 L
.47695 .52409 L
.47784 .52542 L
.47815 .52601 L
.47972 .52794 L
.47977 .52798 L
.48161 .52987 L
.48169 .53058 L
.4826 .53179 L
.48362 .53326 L
.48383 .53372 L
.48539 .53565 L
.48555 .5358 L
.4872 .53758 L
.48747 .53846 L
.48823 .5395 L
.4894 .54114 L
.48951 .54143 L
.49102 .54336 L
.49133 .54365 L
.49279 .54528 L
.49326 .54637 L
.49384 .54721 L
.49518 .54906 L
.4952 .54914 L
.49663 .55106 L
.49711 .55155 L
.49834 .55299 L
.49904 .55433 L
.49943 .55492 L
.50082 .55684 L
.50096 .55704 L
.5022 .55877 L
.50289 .55953 L
.50384 .5607 L
.50482 .56237 L
.50498 .56263 L
.50634 .56455 L
.50674 .5651 L
.50771 .56648 L
.50867 .56764 L
.50926 .56841 L
.51046 .57033 L
.5106 .57053 L
.51179 .57226 L
.51253 .57328 L
.51315 .57419 L
.51445 .57601 L
.51453 .57611 L
.51579 .57804 L
.51638 .57887 L
.5171 .57997 L
.51831 .58172 L
.51859 .58189 L
.51963 .58382 L
.52023 .58472 L
.52084 .58575 L
.522 .58768 L
.52023 .58768 L
.52023 .58768 L
.5185 .58575 L
.51831 .58554 L
.51685 .58382 L
.51638 .58329 L
.51524 .58189 L
.51445 .58131 L
.51365 .57997 L
.51253 .57864 L
.51177 .57804 L
.5106 .57617 L
.51055 .57611 L
.50905 .57419 L
.50867 .57392 L
.50755 .57226 L
.50674 .57129 L
.50575 .57033 L
.50482 .56872 L
.50457 .56841 L
.5031 .56648 L
.50289 .56632 L
.50164 .56455 L
.50096 .56372 L
.49994 .56263 L
.49904 .5611 L
.49875 .5607 L
.49728 .55877 L
.49711 .55864 L
.49584 .55684 L
.49518 .55603 L
.49421 .55492 L
.49326 .55338 L
.493 .55299 L
.49153 .55106 L
.49133 .5509 L
.4901 .54914 L
.4894 .54826 L
.48852 .54721 L
.48747 .5456 L
.48728 .54528 L
.48582 .54336 L
.48555 .54312 L
.48373 .54143 L
.48362 .54044 L
.48287 .5395 L
.48169 .53777 L
.48159 .53758 L
.48015 .53565 L
.47977 .53531 L
.47818 .53372 L
.47784 .53258 L
.47723 .53179 L
.47591 .5299 L
.4759 .52987 L
.4745 .52794 L
.47399 .52745 L
.47263 .52601 L
.47206 .52468 L
.47162 .52409 L
.47026 .52216 L
.47013 .52199 L
.46888 .52023 L
.46821 .51955 L
.46709 .51831 L
.46628 .51673 L
.46602 .51638 L
.46467 .51445 L
.46435 .51403 L
.46328 .51253 L
.46242 .51158 L
.46159 .5106 L
.4605 .50873 L
.46046 .50867 L
.4591 .50674 L
.45857 .50604 L
.45772 .50482 L
.45664 .50352 L
.45614 .50289 L
.45493 .50096 L
.45472 .50068 L
.45358 .49904 L
.45279 .49796 L
.4522 .49711 L
.45086 .4953 L
.45077 .49518 L
.44948 .49326 L
.44894 .49251 L
.44814 .49133 L
.44701 .48976 L
.44677 .4894 L
.44546 .48747 L
.44508 .48695 L
.44419 .48555 L
.44316 .48408 L
.44287 .48362 L
.44164 .48169 L
.44123 .48108 L
.44052 .47977 L
F
0 .55 1 r
.44123 .44391 m
.44236 .44508 L
.44316 .44589 L
.44407 .44701 L
.44508 .4482 L
.44563 .44894 L
.44701 .45057 L
.44712 .45086 L
.44845 .45279 L
.44894 .45347 L
.44971 .45472 L
.45086 .45664 L
.45087 .45664 L
.45086 .45786 L
.44918 .45664 L
.44894 .45643 L
.4474 .45472 L
.44701 .45429 L
.44583 .45279 L
.44508 .45187 L
.44434 .45086 L
.44316 .44926 L
.44293 .44894 L
.44166 .44701 L
.44123 .44635 L
.44052 .44508 L
F
1 .5 0 r
.44123 .48696 m
.44167 .48747 L
.44316 .4891 L
.44341 .4894 L
.44503 .49133 L
.44508 .49139 L
.44658 .49326 L
.44701 .49376 L
.44813 .49518 L
.44894 .49617 L
.44967 .49711 L
.45086 .49845 L
.45119 .49904 L
.45268 .50096 L
.45279 .5011 L
.45415 .50289 L
.45472 .5036 L
.45563 .50482 L
.45664 .50593 L
.45711 .50674 L
.45857 .50867 L
.45857 .50867 L
.46 .5106 L
.4605 .51124 L
.46145 .51253 L
.46242 .51362 L
.4634 .51445 L
.46434 .51638 L
.46435 .51639 L
.46574 .51831 L
.46628 .51901 L
.46717 .52023 L
.46821 .52145 L
.46894 .52216 L
.47001 .52409 L
.47013 .52424 L
.4714 .52601 L
.47206 .52689 L
.47281 .52794 L
.47399 .52943 L
.4744 .52987 L
.4756 .53179 L
.47591 .53222 L
.47697 .53372 L
.47784 .53491 L
.47836 .53565 L
.47975 .53758 L
.47977 .5376 L
.48107 .5395 L
.48169 .54035 L
.48242 .54143 L
.48362 .5431 L
.48379 .54336 L
.48508 .54528 L
.48555 .54593 L
.48636 .54721 L
.48747 .54881 L
.48768 .54914 L
.48884 .55106 L
.4894 .5519 L
.48992 .55299 L
.4894 .5534 L
.48904 .55299 L
.48747 .55133 L
.48726 .55106 L
.48562 .54914 L
.48555 .54905 L
.48408 .54721 L
.48362 .54669 L
.48253 .54528 L
.48169 .54428 L
.48099 .54336 L
.47977 .54204 L
.47946 .54143 L
.47796 .5395 L
.47784 .53935 L
.4765 .53758 L
.47591 .53684 L
.47503 .53565 L
.47399 .53456 L
.47354 .53372 L
.47207 .53179 L
.47206 .53178 L
.47065 .52987 L
.47013 .5292 L
.46921 .52794 L
.46821 .52687 L
.46775 .52601 L
.46631 .52409 L
.46628 .52405 L
.46491 .52216 L
.46435 .52143 L
.46349 .52023 L
.46242 .51902 L
.46163 .51831 L
.46064 .51638 L
.4605 .5162 L
.45925 .51445 L
.45857 .51355 L
.45785 .51253 L
.45664 .51104 L
.4562 .5106 L
.45505 .50867 L
.45472 .50824 L
.45368 .50674 L
.45279 .50555 L
.45228 .50482 L
.45088 .50289 L
.45086 .50287 L
.44956 .50096 L
.44894 .50013 L
.4482 .49904 L
.44701 .49739 L
.44682 .49711 L
.44552 .49518 L
.44508 .49458 L
.44423 .49326 L
.44316 .49174 L
.4429 .49133 L
.44169 .4894 L
.44123 .48873 L
.44058 .48747 L
F
0 .54 1 r
.44123 .44403 m
.44227 .44508 L
.44316 .44597 L
.44401 .44701 L
.44508 .44827 L
.44558 .44894 L
.44701 .45069 L
.44707 .45086 L
.4484 .45279 L
.44894 .45355 L
.44965 .45472 L
.44894 .45634 L
.44747 .45472 L
.44701 .45421 L
.44588 .45279 L
.44508 .4518 L
.44439 .45086 L
.44316 .44919 L
.44298 .44894 L
.44173 .44701 L
.44123 .44623 L
.44061 .44508 L
F
1 .85 0 r
.44123 .43666 m
.44286 .43737 L
.44316 .43756 L
.44508 .43929 L
.44509 .4393 L
.44683 .44123 L
.44701 .44139 L
.44843 .44316 L
.44894 .44377 L
.45037 .44508 L
.45086 .44629 L
.45146 .44701 L
.45279 .44882 L
.45283 .44894 L
.45434 .45086 L
.45472 .45124 L
.45606 .45279 L
.45664 .45394 L
.45715 .45472 L
.45853 .45664 L
.45857 .4567 L
.45985 .45857 L
.4605 .45955 L
.46138 .4605 L
.4622 .46242 L
.4605 .46409 L
.45857 .46272 L
.45815 .46242 L
.45664 .46065 L
.45653 .4605 L
.45496 .45857 L
.45472 .45833 L
.45347 .45664 L
.45279 .4558 L
.45183 .45472 L
.45086 .45318 L
.45061 .45279 L
.44916 .45086 L
.44894 .45056 L
.44777 .44894 L
.44701 .4481 L
.44625 .44701 L
.44508 .44518 L
.44504 .44508 L
.44373 .44316 L
.44316 .44229 L
.44182 .44123 L
.44133 .4393 L
.44123 .4391 L
.44067 .43737 L
F
0 .53 1 r
.44123 .44415 m
.44218 .44508 L
.44316 .44605 L
.44395 .44701 L
.44508 .44834 L
.44553 .44894 L
.44701 .45081 L
.44703 .45086 L
.44834 .45279 L
.44894 .45364 L
.44959 .45472 L
.44894 .45624 L
.44755 .45472 L
.44701 .45414 L
.44594 .45279 L
.44508 .45173 L
.44444 .45086 L
.44316 .44912 L
.44303 .44894 L
.4418 .44701 L
.44123 .44611 L
.44069 .44508 L
F
1 .49 0 r
.44123 .48711 m
.44155 .48747 L
.44316 .4892 L
.44333 .4894 L
.44495 .49133 L
.44508 .49147 L
.44651 .49326 L
.44701 .49383 L
.44807 .49518 L
.44894 .49623 L
.44962 .49711 L
.45086 .49852 L
.45115 .49904 L
.45264 .50096 L
.45279 .50115 L
.45411 .50289 L
.45472 .50365 L
.4556 .50482 L
.45664 .50598 L
.45708 .50674 L
.45854 .50867 L
.45857 .50871 L
.45997 .5106 L
.4605 .51128 L
.46142 .51253 L
.46242 .51367 L
.46335 .51445 L
.46431 .51638 L
.46435 .51643 L
.46571 .51831 L
.46628 .51905 L
.46714 .52023 L
.46821 .5215 L
.46889 .52216 L
.46998 .52409 L
.47013 .52428 L
.47137 .52601 L
.47206 .52693 L
.47278 .52794 L
.47399 .52948 L
.47435 .52987 L
.47556 .53179 L
.47591 .53226 L
.47693 .53372 L
.47784 .53495 L
.47833 .53565 L
.47971 .53758 L
.47977 .53765 L
.48103 .5395 L
.48169 .54041 L
.48238 .54143 L
.48362 .54316 L
.48375 .54336 L
.48503 .54528 L
.48555 .54601 L
.48631 .54721 L
.48747 .5489 L
.48762 .54914 L
.48873 .55106 L
.4894 .5521 L
.48975 .55299 L
.4894 .55322 L
.48919 .55299 L
.48747 .55122 L
.48735 .55106 L
.48571 .54914 L
.48555 .54897 L
.48414 .54721 L
.48362 .54662 L
.48258 .54528 L
.48169 .54422 L
.48103 .54336 L
.47977 .54197 L
.4795 .54143 L
.478 .5395 L
.47784 .5393 L
.47654 .53758 L
.47591 .53679 L
.47506 .53565 L
.47399 .53451 L
.47357 .53372 L
.47211 .53179 L
.47206 .53174 L
.47068 .52987 L
.47013 .52916 L
.46924 .52794 L
.46821 .52682 L
.46778 .52601 L
.46634 .52409 L
.46628 .52401 L
.46494 .52216 L
.46435 .5214 L
.46352 .52023 L
.46242 .51898 L
.46168 .51831 L
.46067 .51638 L
.4605 .51616 L
.45928 .51445 L
.45857 .51351 L
.45787 .51253 L
.45664 .51099 L
.45625 .5106 L
.45508 .50867 L
.45472 .5082 L
.45371 .50674 L
.45279 .50551 L
.45231 .50482 L
.45091 .50289 L
.45086 .50283 L
.4496 .50096 L
.44894 .50008 L
.44824 .49904 L
.44701 .49734 L
.44686 .49711 L
.44557 .49518 L
.44508 .49452 L
.44429 .49326 L
.44316 .49165 L
.44296 .49133 L
.44178 .4894 L
.44123 .48858 L
.44072 .48747 L
F
0 .83 1 r
.44123 .47898 m
.44201 .47977 L
.44316 .4809 L
.44386 .48169 L
.44508 .48268 L
.44558 .48362 L
.44701 .48527 L
.44744 .48555 L
.44882 .48747 L
.44894 .48761 L
.4504 .4894 L
.45086 .48969 L
.45197 .49133 L
.45279 .49233 L
.45384 .49326 L
.45472 .49484 L
.45499 .49518 L
.45651 .49711 L
.45664 .4972 L
.45801 .49904 L
.45857 .49974 L
.45974 .50096 L
.4605 .50232 L
.4609 .50289 L
.46242 .50481 L
.46243 .50482 L
.4639 .50674 L
.46435 .50733 L
.46551 .50867 L
.46628 .50995 L
.4667 .5106 L
.46821 .51249 L
.46824 .51253 L
.46969 .51445 L
.47013 .51503 L
.47123 .51638 L
.47206 .51767 L
.47243 .51831 L
.47399 .52023 L
.47399 .52023 L
.47542 .52216 L
.47591 .5228 L
.47692 .52409 L
.47784 .52546 L
.47813 .52601 L
.47969 .52794 L
.47977 .52801 L
.4816 .52987 L
.48169 .53063 L
.48257 .53179 L
.48362 .5333 L
.48381 .53372 L
.48536 .53565 L
.48555 .53583 L
.48719 .53758 L
.48747 .5385 L
.4882 .5395 L
.4894 .54118 L
.48949 .54143 L
.49099 .54336 L
.49133 .54368 L
.49276 .54528 L
.49326 .54641 L
.49381 .54721 L
.49518 .5491 L
.49519 .54914 L
.49659 .55106 L
.49711 .55159 L
.4983 .55299 L
.49904 .55438 L
.49939 .55492 L
.50078 .55684 L
.50096 .55709 L
.50216 .55877 L
.50289 .55958 L
.5038 .5607 L
.50482 .56244 L
.50494 .56263 L
.5063 .56455 L
.50674 .56517 L
.50767 .56648 L
.50867 .56772 L
.5092 .56841 L
.5104 .57033 L
.5106 .57061 L
.51173 .57226 L
.51253 .57337 L
.51308 .57419 L
.51443 .57611 L
.51445 .57614 L
.51571 .57804 L
.51638 .579 L
.51701 .57997 L
.51831 .58187 L
.51834 .58189 L
.51948 .58382 L
.52023 .58497 L
.52067 .58575 L
.52023 .58738 L
.51872 .58575 L
.51831 .58533 L
.51701 .58382 L
.51638 .58313 L
.51536 .58189 L
.51445 .58118 L
.51375 .57997 L
.51253 .57852 L
.51192 .57804 L
.51064 .57611 L
.5106 .57606 L
.50913 .57419 L
.50867 .57385 L
.50762 .57226 L
.50674 .5712 L
.50582 .57033 L
.50482 .56865 L
.50463 .56841 L
.50316 .56648 L
.50289 .56628 L
.50169 .56455 L
.50096 .56366 L
.49999 .56263 L
.49904 .56105 L
.49879 .5607 L
.49732 .55877 L
.49711 .5586 L
.49588 .55684 L
.49518 .55598 L
.49425 .55492 L
.49326 .55334 L
.49302 .55299 L
.49156 .55106 L
.49133 .55087 L
.49013 .54914 L
.4894 .54822 L
.48855 .54721 L
.48747 .54556 L
.48731 .54528 L
.48585 .54336 L
.48555 .5431 L
.48375 .54143 L
.48362 .54041 L
.48289 .5395 L
.48169 .53773 L
.48161 .53758 L
.48017 .53565 L
.47977 .53528 L
.4782 .53372 L
.47784 .53254 L
.47726 .53179 L
.47592 .52987 L
.47591 .52986 L
.47453 .52794 L
.47399 .52742 L
.47265 .52601 L
.47206 .52464 L
.47164 .52409 L
.47029 .52216 L
.47013 .52195 L
.46891 .52023 L
.46821 .51951 L
.46712 .51831 L
.46628 .51669 L
.46605 .51638 L
.4647 .51445 L
.46435 .51399 L
.46331 .51253 L
.46242 .51153 L
.46163 .5106 L
.4605 .50868 L
.46049 .50867 L
.45914 .50674 L
.45857 .50599 L
.45775 .50482 L
.45664 .50345 L
.45619 .50289 L
.45497 .50096 L
.45472 .50062 L
.45363 .49904 L
.45279 .4979 L
.45225 .49711 L
.45086 .49521 L
.45084 .49518 L
.44954 .49326 L
.44894 .49243 L
.4482 .49133 L
.44701 .48966 L
.44683 .4894 L
.44555 .48747 L
.44508 .48682 L
.44428 .48555 L
.44316 .48392 L
.44297 .48362 L
.44181 .48169 L
.44123 .4808 L
.44074 .47977 L
F
0 .52 1 r
.44123 .44429 m
.44207 .44508 L
.44316 .44613 L
.44388 .44701 L
.44508 .44841 L
.44548 .44894 L
.44697 .45086 L
.44701 .45091 L
.44828 .45279 L
.44894 .45373 L
.44952 .45472 L
.44894 .45613 L
.44763 .45472 L
.44701 .45406 L
.446 .45279 L
.44508 .45166 L
.4445 .45086 L
.44316 .44904 L
.44308 .44894 L
.44187 .44701 L
.44123 .44597 L
.44079 .44508 L
F
1 .9 0 r
.44123 .38527 m
.4413 .38535 L
.44316 .38721 L
.44321 .38727 L
.44486 .3892 L
.44508 .38943 L
.44645 .39113 L
.44701 .39176 L
.44802 .39306 L
.44894 .39414 L
.44958 .39498 L
.45086 .39644 L
.45113 .39691 L
.45263 .39884 L
.45279 .39903 L
.4541 .40076 L
.45472 .40153 L
.45558 .40269 L
.45664 .40387 L
.4576 .40462 L
.45856 .40654 L
.45857 .40656 L
.45998 .40847 L
.4605 .40912 L
.46143 .4104 L
.46242 .41152 L
.46334 .41232 L
.46435 .41425 L
.46435 .41425 L
.46576 .41618 L
.46628 .41685 L
.46719 .41811 L
.46821 .41928 L
.46898 .42003 L
.47007 .42196 L
.47013 .42203 L
.47146 .42389 L
.47206 .42466 L
.47288 .42581 L
.47399 .42714 L
.47456 .42774 L
.47574 .42967 L
.47591 .4299 L
.47712 .43159 L
.47784 .43254 L
.47853 .43352 L
.47977 .43508 L
.4801 .43545 L
.48135 .43737 L
.48169 .43783 L
.48273 .4393 L
.48362 .44049 L
.48414 .44123 L
.48555 .44312 L
.48558 .44316 L
.48691 .44508 L
.48747 .44583 L
.48828 .44701 L
.4894 .4482 L
.48969 .44894 L
.49106 .45086 L
.49133 .45121 L
.49239 .45279 L
.49326 .45395 L
.49377 .45472 L
.49517 .45664 L
.49518 .45667 L
.49644 .45857 L
.49711 .45949 L
.49776 .4605 L
.49904 .4623 L
.49911 .46242 L
.50031 .46435 L
.50096 .46532 L
.50148 .46628 L
.50096 .46728 L
.5 .46628 L
.49904 .46527 L
.49822 .46435 L
.49711 .46307 L
.49656 .46242 L
.49518 .46081 L
.49466 .4605 L
.49342 .45857 L
.49326 .45837 L
.49189 .45664 L
.49133 .45594 L
.49036 .45472 L
.4894 .45356 L
.48846 .45279 L
.48747 .45098 L
.48738 .45086 L
.48591 .44894 L
.48555 .44881 L
.48443 .44701 L
.48362 .44601 L
.48269 .44508 L
.48169 .44338 L
.48153 .44316 L
.48007 .44123 L
.47977 .44107 L
.47861 .4393 L
.47784 .43833 L
.47698 .43737 L
.47591 .43568 L
.47576 .43545 L
.4743 .43352 L
.47399 .43332 L
.47286 .43159 L
.47206 .43057 L
.47131 .42967 L
.47013 .42789 L
.47004 .42774 L
.4686 .42581 L
.46821 .42552 L
.46718 .42389 L
.46628 .42272 L
.46568 .42196 L
.46436 .42003 L
.46435 .42002 L
.46296 .41811 L
.46242 .41764 L
.46084 .41618 L
.4605 .41477 L
.46011 .41425 L
.45877 .41232 L
.45857 .41205 L
.45739 .4104 L
.45664 .40965 L
.4555 .40847 L
.45472 .40669 L
.45461 .40654 L
.45327 .40462 L
.45279 .40395 L
.45191 .40269 L
.45086 .40141 L
.45029 .40076 L
.44922 .39884 L
.44894 .39845 L
.4479 .39691 L
.44701 .39564 L
.44657 .39498 L
.44527 .39306 L
.44508 .39278 L
.44404 .39113 L
.44316 .38981 L
.44278 .3892 L
.44166 .38727 L
.44123 .38656 L
.44083 .38535 L
F
1 .84 0 r
.44123 .43691 m
.44261 .43737 L
.44316 .43769 L
.44499 .4393 L
.44508 .43939 L
.44676 .44123 L
.44701 .44145 L
.44838 .44316 L
.44894 .44383 L
.45033 .44508 L
.45086 .44634 L
.45142 .44701 L
.45279 .44885 L
.45282 .44894 L
.4543 .45086 L
.45472 .45127 L
.45604 .45279 L
.45664 .45399 L
.45711 .45472 L
.45849 .45664 L
.45857 .45676 L
.45981 .45857 L
.4605 .45962 L
.46132 .4605 L
.46211 .46242 L
.4605 .46398 L
.45857 .46263 L
.45826 .46242 L
.45664 .46058 L
.45658 .4605 L
.455 .45857 L
.45472 .45829 L
.4535 .45664 L
.45279 .45575 L
.45186 .45472 L
.45086 .45313 L
.45064 .45279 L
.44919 .45086 L
.44894 .45052 L
.4478 .44894 L
.44701 .44805 L
.44629 .44701 L
.44508 .44512 L
.44507 .44508 L
.44378 .44316 L
.44316 .44221 L
.4419 .44123 L
.44143 .4393 L
.44123 .43887 L
.44087 .43737 L
F
1 .48 0 r
.44123 .48729 m
.4414 .48747 L
.44316 .4893 L
.44324 .4894 L
.44487 .49133 L
.44508 .49155 L
.44645 .49326 L
.44701 .4939 L
.44802 .49518 L
.44894 .49629 L
.44958 .49711 L
.45086 .49859 L
.45111 .49904 L
.4526 .50096 L
.45279 .5012 L
.45407 .50289 L
.45472 .5037 L
.45556 .50482 L
.45664 .50604 L
.45704 .50674 L
.4585 .50867 L
.45857 .50876 L
.45994 .5106 L
.4605 .51132 L
.46139 .51253 L
.46242 .51371 L
.4633 .51445 L
.46428 .51638 L
.46435 .51648 L
.46568 .51831 L
.46628 .51908 L
.46711 .52023 L
.46821 .52155 L
.46885 .52216 L
.46995 .52409 L
.47013 .52432 L
.47134 .52601 L
.47206 .52697 L
.47275 .52794 L
.47399 .52953 L
.4743 .52987 L
.47553 .53179 L
.47591 .53231 L
.4769 .53372 L
.47784 .535 L
.4783 .53565 L
.47967 .53758 L
.47977 .5377 L
.48099 .5395 L
.48169 .54046 L
.48234 .54143 L
.48362 .54322 L
.48371 .54336 L
.48497 .54528 L
.48555 .54609 L
.48625 .54721 L
.48747 .549 L
.48756 .54914 L
.48861 .55106 L
.48747 .55111 L
.48744 .55106 L
.48579 .54914 L
.48555 .54888 L
.48421 .54721 L
.48362 .54655 L
.48264 .54528 L
.48169 .54416 L
.48108 .54336 L
.47977 .54189 L
.47954 .54143 L
.47805 .5395 L
.47784 .53925 L
.47658 .53758 L
.47591 .53675 L
.47509 .53565 L
.47399 .53445 L
.47361 .53372 L
.47214 .53179 L
.47206 .53169 L
.47072 .52987 L
.47013 .52912 L
.46927 .52794 L
.46821 .52677 L
.46781 .52601 L
.46637 .52409 L
.46628 .52397 L
.46497 .52216 L
.46435 .52136 L
.46354 .52023 L
.46242 .51893 L
.46173 .51831 L
.46069 .51638 L
.4605 .51612 L
.45931 .51445 L
.45857 .51347 L
.4579 .51253 L
.45664 .51094 L
.4563 .5106 L
.45511 .50867 L
.45472 .50815 L
.45374 .50674 L
.45279 .50547 L
.45234 .50482 L
.45095 .50289 L
.45086 .50278 L
.44963 .50096 L
.44894 .50002 L
.44828 .49904 L
.44701 .49728 L
.44689 .49711 L
.44562 .49518 L
.44508 .49444 L
.44434 .49326 L
.44316 .49157 L
.44301 .49133 L
.44189 .4894 L
.44123 .48838 L
.44089 .48747 L
F
0 .51 1 r
.44123 .44445 m
.44194 .44508 L
.44316 .44622 L
.44381 .44701 L
.44508 .44848 L
.44543 .44894 L
.44691 .45086 L
.44701 .45099 L
.44821 .45279 L
.44894 .45383 L
.44945 .45472 L
.44894 .45602 L
.44771 .45472 L
.44701 .45398 L
.44606 .45279 L
.44508 .45159 L
.44455 .45086 L
.44316 .44896 L
.44314 .44894 L
.44195 .44701 L
.44123 .44581 L
.4409 .44508 L
F
0 .94 1 r
.44123 .3774 m
.44153 .37764 L
.44316 .37905 L
.44362 .37957 L
.44508 .38093 L
.4454 .38149 L
.44701 .38333 L
.44715 .38342 L
.44867 .38535 L
.44894 .38565 L
.45025 .38727 L
.45086 .38778 L
.45181 .3892 L
.45279 .39038 L
.45365 .39113 L
.45472 .39288 L
.45487 .39306 L
.45635 .39498 L
.45664 .39523 L
.45784 .39691 L
.45857 .39781 L
.45958 .39884 L
.4605 .40039 L
.46078 .40076 L
.46225 .40269 L
.46242 .40284 L
.4637 .40462 L
.46435 .40543 L
.46536 .40654 L
.46628 .40805 L
.46657 .40847 L
.46805 .4104 L
.46821 .41054 L
.46948 .41232 L
.47013 .41315 L
.47108 .41425 L
.47206 .41579 L
.4723 .41618 L
.47378 .41811 L
.47399 .41829 L
.4752 .42003 L
.47591 .42093 L
.47676 .42196 L
.47784 .42359 L
.47801 .42389 L
.47948 .42581 L
.47977 .42609 L
.48146 .42774 L
.48169 .42876 L
.48241 .42967 L
.48362 .43143 L
.4837 .43159 L
.48514 .43352 L
.48555 .43391 L
.48704 .43545 L
.48747 .43663 L
.48805 .43737 L
.4894 .4393 L
.4894 .4393 L
.4908 .44123 L
.49133 .44177 L
.49262 .44316 L
.49326 .44452 L
.49368 .44508 L
.49504 .44701 L
.49518 .44719 L
.49643 .44894 L
.49711 .44966 L
.49818 .45086 L
.49904 .45243 L
.49929 .45279 L
.50066 .45472 L
.50096 .45512 L
.50205 .45664 L
.50289 .45758 L
.50373 .45857 L
.50482 .46038 L
.5049 .4605 L
.50626 .46242 L
.50674 .46306 L
.50766 .46435 L
.50867 .46556 L
.50926 .46628 L
.51048 .46821 L
.5106 .46836 L
.51184 .47013 L
.51253 .47104 L
.51324 .47206 L
.51445 .47361 L
.51475 .47399 L
.51602 .47591 L
.51638 .47638 L
.51739 .47784 L
.51831 .47908 L
.51878 .47977 L
.52019 .48169 L
.52023 .48175 L
.52151 .48362 L
.52216 .4845 L
.52287 .48555 L
.52409 .48722 L
.52426 .48747 L
.52557 .4894 L
.52601 .49 L
.52687 .49133 L
.52794 .49281 L
.52822 .49326 L
.52951 .49518 L
.52987 .49568 L
.53073 .49711 L
.53179 .49864 L
.53203 .49904 L
.53325 .50096 L
.53372 .50161 L
.53447 .50289 L
.53565 .5045 L
.53584 .50482 L
.53724 .50674 L
.53758 .50716 L
.53866 .50867 L
.5395 .50962 L
.54013 .5106 L
.54143 .51229 L
.54168 .51253 L
.54306 .51445 L
.54336 .51465 L
.54451 .51638 L
.54528 .51735 L
.5462 .51831 L
.54721 .52006 L
.54734 .52023 L
.5487 .52216 L
.54914 .52279 L
.55003 .52409 L
.55106 .52549 L
.55132 .52601 L
.55232 .52794 L
.55106 .52949 L
.54931 .52794 L
.54914 .52777 L
.54765 .52601 L
.54721 .52549 L
.54614 .52409 L
.54528 .52301 L
.54468 .52216 L
.54336 .52052 L
.54309 .52023 L
.54186 .51831 L
.54143 .51772 L
.54054 .51638 L
.5395 .51492 L
.5392 .51445 L
.53794 .51253 L
.53758 .51196 L
.53679 .5106 L
.53566 .50867 L
.53565 .50865 L
.53469 .50674 L
.53372 .50486 L
.5337 .50482 L
.53259 .50289 L
.53179 .50174 L
.53128 .50096 L
.52987 .49904 L
.52986 .49904 L
.52836 .49711 L
.52794 .49662 L
.52678 .49518 L
.52601 .49468 L
.52518 .49326 L
.52409 .4919 L
.52343 .49133 L
.52216 .48949 L
.52199 .4894 L
.52041 .48747 L
.52023 .48737 L
.51882 .48555 L
.51831 .48487 L
.51704 .48362 L
.51638 .48233 L
.51609 .48169 L
.51445 .4801 L
.51418 .47977 L
.51268 .47784 L
.51253 .47763 L
.51097 .47591 L
.5106 .47507 L
.50985 .47399 L
.50867 .47245 L
.5082 .47206 L
.50677 .47013 L
.50674 .4701 L
.50515 .46821 L
.50482 .46751 L
.50398 .46628 L
.50289 .46485 L
.5028 .46435 L
.50097 .46242 L
.50096 .46241 L
.49943 .4605 L
.49904 .45979 L
.49825 .45857 L
.49711 .45712 L
.49665 .45664 L
.49525 .45472 L
.49518 .45463 L
.49374 .45279 L
.49326 .45199 L
.49257 .45086 L
.49133 .44931 L
.49096 .44894 L
.48955 .44701 L
.4894 .44681 L
.48809 .44508 L
.48747 .44414 L
.48693 .44316 L
.48555 .44148 L
.48529 .44123 L
.48389 .4393 L
.48362 .43895 L
.48245 .43737 L
.48169 .43627 L
.48129 .43545 L
.47977 .43364 L
.47965 .43352 L
.47793 .43159 L
.47784 .43107 L
.47683 .42967 L
.47591 .42837 L
.47565 .42774 L
.47403 .42581 L
.47399 .42578 L
.47231 .42389 L
.47206 .42315 L
.47123 .42196 L
.47013 .42045 L
.47 .42003 L
.46843 .41811 L
.46821 .41791 L
.46673 .41618 L
.46628 .4152 L
.46565 .41425 L
.46435 .41248 L
.46432 .41232 L
.46286 .4104 L
.46242 .40998 L
.46119 .40847 L
.4605 .40718 L
.4601 .40654 L
.4587 .40462 L
.45857 .40444 L
.45734 .40269 L
.45664 .40195 L
.45573 .40076 L
.45472 .39905 L
.45459 .39884 L
.45324 .39691 L
.45279 .39628 L
.45189 .39498 L
.45086 .39369 L
.4504 .39306 L
.44921 .39113 L
.44894 .39074 L
.44791 .3892 L
.44701 .3879 L
.44659 .38727 L
.44531 .38535 L
.44508 .38501 L
.4441 .38342 L
.44316 .38198 L
.44287 .38149 L
.4418 .37957 L
.44123 .3785 L
.44099 .37764 L
F
0 .5 1 r
.44123 .51077 m
.44215 .51253 L
.44123 .51277 L
.44102 .51253 L
F
.44123 .44465 m
.44178 .44508 L
.44316 .44631 L
.44374 .44701 L
.44508 .44855 L
.44537 .44894 L
.44685 .45086 L
.44701 .45107 L
.44815 .45279 L
.44894 .45394 L
.44938 .45472 L
.44894 .4559 L
.4478 .45472 L
.44701 .45389 L
.44613 .45279 L
.44508 .45151 L
.44461 .45086 L
.4432 .44894 L
.44316 .44887 L
.44203 .44701 L
.44123 .44561 L
.44102 .44508 L
F
0 .82 1 r
.44123 .47946 m
.44162 .47977 L
.44316 .48115 L
.44366 .48169 L
.44508 .48295 L
.44543 .48362 L
.44701 .48544 L
.44719 .48555 L
.44871 .48747 L
.44894 .48774 L
.4503 .4894 L
.45086 .48977 L
.45188 .49133 L
.45279 .49243 L
.45375 .49326 L
.45472 .49493 L
.45492 .49518 L
.45644 .49711 L
.45664 .49725 L
.45795 .49904 L
.45857 .49981 L
.45968 .50096 L
.4605 .50239 L
.46086 .50289 L
.46238 .50482 L
.46242 .50485 L
.46385 .50674 L
.46435 .50739 L
.46547 .50867 L
.46628 .51 L
.46666 .5106 L
.4682 .51253 L
.46821 .51253 L
.46965 .51445 L
.47013 .51508 L
.4712 .51638 L
.47206 .51772 L
.4724 .51831 L
.47395 .52023 L
.47399 .52026 L
.47539 .52216 L
.47591 .52285 L
.47689 .52409 L
.47784 .52551 L
.47811 .52601 L
.47966 .52794 L
.47977 .52804 L
.48159 .52987 L
.48169 .53067 L
.48254 .53179 L
.48362 .53334 L
.48379 .53372 L
.48533 .53565 L
.48555 .53586 L
.48717 .53758 L
.48747 .53854 L
.48818 .5395 L
.4894 .54122 L
.48948 .54143 L
.49096 .54336 L
.49133 .54372 L
.49274 .54528 L
.49326 .54646 L
.49378 .54721 L
.49517 .54914 L
.49518 .54915 L
.49656 .55106 L
.49711 .55163 L
.49827 .55299 L
.49904 .55443 L
.49936 .55492 L
.50074 .55684 L
.50096 .55715 L
.50212 .55877 L
.50289 .55964 L
.50375 .5607 L
.50482 .5625 L
.5049 .56263 L
.50625 .56455 L
.50674 .56523 L
.50762 .56648 L
.50867 .56781 L
.50913 .56841 L
.51034 .57033 L
.5106 .57069 L
.51167 .57226 L
.51253 .57347 L
.51302 .57419 L
.51435 .57611 L
.51445 .57625 L
.51562 .57804 L
.51638 .57914 L
.51691 .57997 L
.51819 .58189 L
.51831 .58207 L
.51932 .58382 L
.52023 .58528 L
.52047 .58575 L
.52023 .587 L
.51899 .58575 L
.51831 .5851 L
.51719 .58382 L
.51638 .58295 L
.5155 .58189 L
.51445 .58102 L
.51387 .57997 L
.51253 .57838 L
.51207 .57804 L
.51073 .57611 L
.5106 .57596 L
.50921 .57419 L
.50867 .57379 L
.50769 .57226 L
.50674 .57112 L
.5059 .57033 L
.50482 .56857 L
.50468 .56841 L
.50322 .56648 L
.50289 .56623 L
.50174 .56455 L
.50096 .5636 L
.50004 .56263 L
.49904 .56099 L
.49882 .5607 L
.49736 .55877 L
.49711 .55857 L
.49592 .55684 L
.49518 .55593 L
.49428 .55492 L
.49326 .55329 L
.49305 .55299 L
.49159 .55106 L
.49133 .55084 L
.49016 .54914 L
.4894 .54818 L
.48858 .54721 L
.48747 .54552 L
.48733 .54528 L
.48588 .54336 L
.48555 .54307 L
.48376 .54143 L
.48362 .54037 L
.48292 .5395 L
.48169 .5377 L
.48163 .53758 L
.4802 .53565 L
.47977 .53525 L
.47822 .53372 L
.47784 .53251 L
.47728 .53179 L
.47594 .52987 L
.47591 .52983 L
.47455 .52794 L
.47399 .52739 L
.47268 .52601 L
.47206 .5246 L
.47167 .52409 L
.47032 .52216 L
.47013 .52191 L
.46893 .52023 L
.46821 .51947 L
.46715 .51831 L
.46628 .51665 L
.46608 .51638 L
.46473 .51445 L
.46435 .51395 L
.46334 .51253 L
.46242 .51149 L
.46167 .5106 L
.46052 .50867 L
.4605 .50864 L
.45917 .50674 L
.45857 .50594 L
.45779 .50482 L
.45664 .50339 L
.45624 .50289 L
.45502 .50096 L
.45472 .50056 L
.45367 .49904 L
.45279 .49784 L
.45229 .49711 L
.4509 .49518 L
.45086 .49513 L
.4496 .49326 L
.44894 .49234 L
.44827 .49133 L
.44701 .48957 L
.4469 .4894 L
.44564 .48747 L
.44508 .48669 L
.44438 .48555 L
.44316 .48375 L
.44308 .48362 L
.44201 .48169 L
.44123 .48035 L
.44105 .47977 L
F
1 .83 0 r
.44123 .43722 m
.44226 .43737 L
.44316 .43782 L
.44488 .4393 L
.44508 .43948 L
.44669 .44123 L
.44701 .44152 L
.44832 .44316 L
.44894 .44389 L
.45029 .44508 L
.45086 .44639 L
.45139 .44701 L
.45279 .44889 L
.45281 .44894 L
.45427 .45086 L
.45472 .45131 L
.45601 .45279 L
.45664 .45404 L
.45708 .45472 L
.45845 .45664 L
.45857 .45682 L
.45976 .45857 L
.4605 .4597 L
.46125 .4605 L
.46202 .46242 L
.4605 .46386 L
.45857 .46254 L
.45839 .46242 L
.45664 .46051 L
.45663 .4605 L
.45505 .45857 L
.45472 .45824 L
.45354 .45664 L
.45279 .45571 L
.4519 .45472 L
.45086 .45309 L
.45066 .45279 L
.44923 .45086 L
.44894 .45047 L
.44784 .44894 L
.44701 .448 L
.44632 .44701 L
.4451 .44508 L
.44508 .44505 L
.44383 .44316 L
.44316 .44213 L
.44199 .44123 L
.44153 .4393 L
.44123 .43857 L
.44111 .43737 L
F
0 .49 1 r
.44123 .5109 m
.442 .51253 L
.44123 .51264 L
.44113 .51253 L
F
.44123 .44494 m
.44154 .44508 L
.44316 .4464 L
.44367 .44701 L
.44508 .44863 L
.44532 .44894 L
.44678 .45086 L
.44701 .45116 L
.44808 .45279 L
.44894 .45406 L
.4493 .45472 L
.44894 .45577 L
.4479 .45472 L
.44701 .4538 L
.4462 .45279 L
.44508 .45143 L
.44467 .45086 L
.44328 .44894 L
.44316 .44876 L
.44212 .44701 L
.44123 .4453 L
.44118 .44508 L
F
1 .82 0 r
.44316 .43795 m
.44477 .4393 L
.44508 .43958 L
.44662 .44123 L
.44701 .44158 L
.44827 .44316 L
.44894 .44395 L
.45025 .44508 L
.45086 .44644 L
.45135 .44701 L
.45279 .44892 L
.45279 .44894 L
.45423 .45086 L
.45472 .45135 L
.45598 .45279 L
.45664 .45409 L
.45705 .45472 L
.45841 .45664 L
.45857 .45687 L
.45972 .45857 L
.4605 .45977 L
.46118 .4605 L
.46193 .46242 L
.4605 .46375 L
.45857 .46245 L
.45853 .46242 L
.45669 .4605 L
.45664 .46048 L
.4551 .45857 L
.45472 .4582 L
.45358 .45664 L
.45279 .45566 L
.45193 .45472 L
.45086 .45305 L
.45069 .45279 L
.44926 .45086 L
.44894 .45043 L
.44787 .44894 L
.44701 .44795 L
.44636 .44701 L
.44515 .44508 L
.44508 .44499 L
.44388 .44316 L
.44316 .44204 L
.44209 .44123 L
.44163 .4393 L
F
1 .81 0 r
.44316 .43809 m
.44465 .4393 L
.44508 .43968 L
.44654 .44123 L
.44701 .44164 L
.44821 .44316 L
.44894 .44401 L
.45021 .44508 L
.45086 .44649 L
.45131 .44701 L
.45276 .44894 L
.45279 .44897 L
.4542 .45086 L
.45472 .45139 L
.45595 .45279 L
.45664 .45414 L
.45702 .45472 L
.45837 .45664 L
.45857 .45693 L
.45968 .45857 L
.4605 .45985 L
.46111 .4605 L
.46183 .46242 L
.4605 .46364 L
.45864 .46242 L
.45857 .46237 L
.45675 .4605 L
.45664 .46047 L
.45514 .45857 L
.45472 .45816 L
.45362 .45664 L
.45279 .45562 L
.45197 .45472 L
.45086 .45301 L
.45072 .45279 L
.44929 .45086 L
.44894 .45038 L
.4479 .44894 L
.44701 .4479 L
.4464 .44701 L
.44519 .44508 L
.44508 .44492 L
.44393 .44316 L
.44316 .44195 L
.4422 .44123 L
.44174 .4393 L
F
1 .8 0 r
.44316 .43823 m
.44453 .4393 L
.44508 .43977 L
.44647 .44123 L
.44701 .4417 L
.44816 .44316 L
.44894 .44407 L
.45017 .44508 L
.45086 .44654 L
.45127 .44701 L
.45273 .44894 L
.45279 .44902 L
.45416 .45086 L
.45472 .45143 L
.45592 .45279 L
.45664 .45419 L
.45698 .45472 L
.45833 .45664 L
.45857 .45699 L
.45963 .45857 L
.4605 .45994 L
.46103 .4605 L
.46173 .46242 L
.4605 .46352 L
.45875 .46242 L
.45857 .46228 L
.45681 .4605 L
.45664 .46045 L
.45519 .45857 L
.45472 .45811 L
.45366 .45664 L
.45279 .45557 L
.452 .45472 L
.45086 .45297 L
.45074 .45279 L
.44933 .45086 L
.44894 .45033 L
.44794 .44894 L
.44701 .44784 L
.44644 .44701 L
.44523 .44508 L
.44508 .44486 L
.44398 .44316 L
.44316 .44185 L
.44232 .44123 L
.44186 .4393 L
F
1 .79 0 r
.44316 .43837 m
.44439 .4393 L
.44508 .43987 L
.44639 .44123 L
.44701 .44176 L
.4481 .44316 L
.44894 .44413 L
.45012 .44508 L
.45086 .44659 L
.45124 .44701 L
.45269 .44894 L
.45279 .44907 L
.45413 .45086 L
.45472 .45147 L
.45589 .45279 L
.45664 .45424 L
.45695 .45472 L
.45829 .45664 L
.45857 .45705 L
.45958 .45857 L
.4605 .46002 L
.46095 .4605 L
.46162 .46242 L
.4605 .46341 L
.45887 .46242 L
.45857 .4622 L
.45688 .4605 L
.45664 .46044 L
.45523 .45857 L
.45472 .45807 L
.45369 .45664 L
.45279 .45553 L
.45204 .45472 L
.45086 .45293 L
.45077 .45279 L
.44936 .45086 L
.44894 .45029 L
.44797 .44894 L
.44701 .44778 L
.44648 .44701 L
.44528 .44508 L
.44508 .44479 L
.44403 .44316 L
.44316 .44176 L
.44245 .44123 L
.44198 .4393 L
F
1 .78 0 r
.44316 .43852 m
.44425 .4393 L
.44508 .43996 L
.44631 .44123 L
.44701 .44182 L
.44804 .44316 L
.44894 .44418 L
.45007 .44508 L
.45086 .44664 L
.4512 .44701 L
.45265 .44894 L
.45279 .44911 L
.45409 .45086 L
.45472 .45151 L
.45585 .45279 L
.45664 .45429 L
.45692 .45472 L
.45825 .45664 L
.45857 .45711 L
.45954 .45857 L
.4605 .46011 L
.46086 .4605 L
.46151 .46242 L
.4605 .46328 L
.45899 .46242 L
.45857 .46212 L
.45694 .4605 L
.45664 .46042 L
.45528 .45857 L
.45472 .45802 L
.45373 .45664 L
.45279 .45548 L
.45208 .45472 L
.45086 .45288 L
.4508 .45279 L
.4494 .45086 L
.44894 .45024 L
.44801 .44894 L
.44701 .44772 L
.44653 .44701 L
.44532 .44508 L
.44508 .44473 L
.44408 .44316 L
.44316 .44165 L
.44259 .44123 L
.44212 .4393 L
F
0 .48 1 r
.44316 .44651 m
.44358 .44701 L
.44508 .44871 L
.44526 .44894 L
.4467 .45086 L
.44701 .45125 L
.448 .45279 L
.44894 .45419 L
.44921 .45472 L
.44894 .45561 L
.44802 .45472 L
.44701 .45371 L
.44627 .45279 L
.44508 .45135 L
.44473 .45086 L
.44336 .44894 L
.44316 .44865 L
.44222 .44701 L
F
1 .77 0 r
.44316 .43867 m
.4441 .4393 L
.44508 .44006 L
.44623 .44123 L
.44701 .44189 L
.44799 .44316 L
.44894 .44424 L
.45001 .44508 L
.45086 .44669 L
.45116 .44701 L
.45261 .44894 L
.45279 .44916 L
.45406 .45086 L
.45472 .45155 L
.45582 .45279 L
.45664 .45435 L
.45688 .45472 L
.45821 .45664 L
.45857 .45717 L
.45949 .45857 L
.4605 .4602 L
.46077 .4605 L
.46138 .46242 L
.4605 .46316 L
.45912 .46242 L
.45857 .46203 L
.45701 .4605 L
.45664 .4604 L
.45533 .45857 L
.45472 .45798 L
.45377 .45664 L
.45279 .45543 L
.45212 .45472 L
.45086 .45284 L
.45083 .45279 L
.44943 .45086 L
.44894 .4502 L
.44804 .44894 L
.44701 .44766 L
.44657 .44701 L
.44537 .44508 L
.44508 .44466 L
.44413 .44316 L
.44316 .44154 L
.44274 .44123 L
.44227 .4393 L
F
0 .81 1 r
.44316 .48143 m
.44341 .48169 L
.44508 .48328 L
.44525 .48362 L
.44695 .48555 L
.44701 .48561 L
.44859 .48747 L
.44894 .48787 L
.4502 .4894 L
.45086 .48985 L
.45178 .49133 L
.45279 .49254 L
.45365 .49326 L
.45472 .49502 L
.45485 .49518 L
.45637 .49711 L
.45664 .49729 L
.45788 .49904 L
.45857 .49989 L
.45963 .50096 L
.4605 .50246 L
.46081 .50289 L
.46233 .50482 L
.46242 .50489 L
.4638 .50674 L
.46435 .50745 L
.46543 .50867 L
.46628 .51006 L
.46663 .5106 L
.46816 .51253 L
.46821 .51256 L
.46961 .51445 L
.47013 .51513 L
.47116 .51638 L
.47206 .51777 L
.47238 .51831 L
.47392 .52023 L
.47399 .52029 L
.47535 .52216 L
.47591 .52289 L
.47686 .52409 L
.47784 .52555 L
.47808 .52601 L
.47962 .52794 L
.47977 .52807 L
.48158 .52987 L
.48169 .53071 L
.48252 .53179 L
.48362 .53338 L
.48377 .53372 L
.48529 .53565 L
.48555 .53589 L
.48715 .53758 L
.48747 .53858 L
.48815 .5395 L
.4894 .54126 L
.48946 .54143 L
.49093 .54336 L
.49133 .54375 L
.49271 .54528 L
.49326 .5465 L
.49375 .54721 L
.49514 .54914 L
.49518 .54919 L
.49653 .55106 L
.49711 .55167 L
.49824 .55299 L
.49904 .55449 L
.49932 .55492 L
.5007 .55684 L
.50096 .5572 L
.50208 .55877 L
.50289 .5597 L
.5037 .5607 L
.50482 .56257 L
.50485 .56263 L
.5062 .56455 L
.50674 .5653 L
.50757 .56648 L
.50867 .5679 L
.50906 .56841 L
.51028 .57033 L
.5106 .57078 L
.5116 .57226 L
.51253 .57356 L
.51295 .57419 L
.51427 .57611 L
.51445 .57638 L
.51552 .57804 L
.51638 .57928 L
.51681 .57997 L
.51804 .58189 L
.51831 .58229 L
.51914 .58382 L
.51831 .58485 L
.51738 .58382 L
.51638 .58277 L
.51564 .58189 L
.51445 .58084 L
.51398 .57997 L
.51253 .57825 L
.51225 .57804 L
.51083 .57611 L
.5106 .57585 L
.50929 .57419 L
.50867 .57371 L
.50776 .57226 L
.50674 .57103 L
.50598 .57033 L
.50482 .5685 L
.50474 .56841 L
.50327 .56648 L
.50289 .56619 L
.50179 .56455 L
.50096 .56353 L
.50009 .56263 L
.49904 .56094 L
.49886 .5607 L
.49741 .55877 L
.49711 .55853 L
.49596 .55684 L
.49518 .55588 L
.49432 .55492 L
.49326 .55325 L
.49308 .55299 L
.49163 .55106 L
.49133 .55081 L
.4902 .54914 L
.4894 .54814 L
.48861 .54721 L
.48747 .54548 L
.48735 .54528 L
.48591 .54336 L
.48555 .54304 L
.48378 .54143 L
.48362 .54033 L
.48295 .5395 L
.48169 .53766 L
.48165 .53758 L
.48023 .53565 L
.47977 .53522 L
.47824 .53372 L
.47784 .53247 L
.47731 .53179 L
.47597 .52987 L
.47591 .52979 L
.47458 .52794 L
.47399 .52736 L
.4727 .52601 L
.47206 .52457 L
.4717 .52409 L
.47035 .52216 L
.47013 .52187 L
.46896 .52023 L
.46821 .51944 L
.46719 .51831 L
.46628 .51661 L
.46611 .51638 L
.46476 .51445 L
.46435 .51391 L
.46337 .51253 L
.46242 .51144 L
.46171 .5106 L
.46056 .50867 L
.4605 .50859 L
.45921 .50674 L
.45857 .50589 L
.45782 .50482 L
.45664 .50332 L
.45629 .50289 L
.45506 .50096 L
.45472 .5005 L
.45372 .49904 L
.45279 .49777 L
.45234 .49711 L
.45096 .49518 L
.45086 .49505 L
.44966 .49326 L
.44894 .49225 L
.44833 .49133 L
.44701 .48947 L
.44697 .4894 L
.44573 .48747 L
.44508 .48654 L
.44448 .48555 L
.44321 .48362 L
.44316 .48354 L
.44227 .48169 L
F
0 .47 1 r
.44316 .44661 m
.44349 .44701 L
.44508 .44879 L
.44519 .44894 L
.44663 .45086 L
.44701 .45135 L
.44792 .45279 L
.44894 .45435 L
.44912 .45472 L
.44894 .45543 L
.44815 .45472 L
.44701 .45361 L
.44635 .45279 L
.44508 .45126 L
.44479 .45086 L
.44345 .44894 L
.44316 .44853 L
.44233 .44701 L
F
0 .99 1 r
.44316 .43316 m
.44508 .43302 L
.44701 .43327 L
.44749 .43352 L
.44894 .43468 L
.44954 .43545 L
.45086 .43717 L
.45102 .43737 L
.45246 .4393 L
.45279 .43973 L
.45364 .44123 L
.45472 .44233 L
.45533 .44316 L
.45664 .44498 L
.45672 .44508 L
.45812 .44701 L
.45857 .44774 L
.45925 .44894 L
.4605 .45054 L
.46098 .45086 L
.46241 .45279 L
.46242 .45287 L
.46375 .45472 L
.46435 .45552 L
.46484 .45664 L
.46628 .45819 L
.46661 .45857 L
.46811 .4605 L
.46821 .4608 L
.46935 .46242 L
.47013 .46349 L
.47042 .46435 L
.47136 .46628 L
.47013 .46644 L
.46821 .46637 L
.46692 .46628 L
.46628 .46612 L
.46478 .46435 L
.46435 .46385 L
.46323 .46242 L
.46242 .46123 L
.46205 .4605 L
.4605 .45857 L
.4605 .45857 L
.45868 .45664 L
.45857 .45595 L
.4576 .45472 L
.45664 .45328 L
.4564 .45279 L
.45486 .45086 L
.45472 .45082 L
.45305 .44894 L
.45279 .44821 L
.45198 .44701 L
.45086 .44545 L
.45074 .44508 L
.44924 .44316 L
.44894 .44275 L
.44746 .44123 L
.44701 .44008 L
.44639 .4393 L
.44508 .43744 L
.44506 .43737 L
.44369 .43545 L
.44316 .43454 L
.4424 .43352 L
F
1 .76 0 r
.44316 .43884 m
.44392 .4393 L
.44508 .44016 L
.44615 .44123 L
.44701 .44195 L
.44793 .44316 L
.44894 .4443 L
.44996 .44508 L
.45086 .44673 L
.45111 .44701 L
.45257 .44894 L
.45279 .44921 L
.45402 .45086 L
.45472 .45159 L
.45578 .45279 L
.45664 .4544 L
.45685 .45472 L
.45817 .45664 L
.45857 .45723 L
.45945 .45857 L
.4605 .4603 L
.46068 .4605 L
.46125 .46242 L
.4605 .46303 L
.45926 .46242 L
.45857 .46195 L
.45707 .4605 L
.45664 .46038 L
.45538 .45857 L
.45472 .45793 L
.45381 .45664 L
.45279 .45539 L
.45216 .45472 L
.45086 .4528 L
.45086 .45279 L
.44946 .45086 L
.44894 .45015 L
.44807 .44894 L
.44701 .4476 L
.44661 .44701 L
.44541 .44508 L
.44508 .44459 L
.44419 .44316 L
.44316 .44142 L
.4429 .44123 L
.44244 .4393 L
F
0 .46 1 r
.44316 .44674 m
.4434 .44701 L
.44508 .44888 L
.44513 .44894 L
.44654 .45086 L
.44701 .45146 L
.44784 .45279 L
.44894 .45456 L
.44901 .45472 L
.44894 .45518 L
.44833 .45472 L
.44701 .45351 L
.44643 .45279 L
.44508 .45117 L
.44486 .45086 L
.44354 .44894 L
.44316 .44838 L
.44246 .44701 L
F
0 .9 1 r
.44316 .39526 m
.4444 .39691 L
.44508 .39769 L
.44592 .39884 L
.44701 .40016 L
.44744 .40076 L
.44894 .40264 L
.44897 .40269 L
.45039 .40462 L
.45086 .4052 L
.45182 .40654 L
.45279 .40776 L
.45329 .40847 L
.45472 .41031 L
.45478 .4104 L
.45615 .41232 L
.45664 .41294 L
.45755 .41425 L
.45857 .41556 L
.459 .41618 L
.46045 .41811 L
.4605 .41817 L
.46178 .42003 L
.46242 .42086 L
.46316 .42196 L
.46435 .42353 L
.46459 .42389 L
.46595 .42581 L
.46628 .42625 L
.46725 .42774 L
.46821 .42901 L
.46862 .42967 L
.46821 .43146 L
.46682 .42967 L
.46628 .42903 L
.46529 .42774 L
.46435 .42657 L
.46377 .42581 L
.46242 .42427 L
.46227 .42389 L
.46082 .42196 L
.4605 .42156 L
.45936 .42003 L
.45857 .41902 L
.45789 .41811 L
.45664 .41667 L
.45643 .41618 L
.45502 .41425 L
.45472 .41386 L
.4536 .41232 L
.45279 .41125 L
.45217 .4104 L
.45086 .40873 L
.45075 .40847 L
.44939 .40654 L
.44894 .40594 L
.448 .40462 L
.44701 .40326 L
.44661 .40269 L
.44526 .40076 L
.44508 .40053 L
.44395 .39884 L
.44316 .39774 L
.44261 .39691 L
F
0 .45 1 r
.44316 .44687 m
.44328 .44701 L
.44316 .44821 L
.44262 .44701 L
F
1 .75 0 r
.44316 .43902 m
.4437 .4393 L
.44508 .44026 L
.44607 .44123 L
.44701 .44202 L
.44787 .44316 L
.44894 .44436 L
.44989 .44508 L
.45086 .44678 L
.45107 .44701 L
.45253 .44894 L
.45279 .44926 L
.45398 .45086 L
.45472 .45164 L
.45574 .45279 L
.45664 .45446 L
.45681 .45472 L
.45813 .45664 L
.45857 .4573 L
.4594 .45857 L
.4605 .46041 L
.46058 .4605 L
.46111 .46242 L
.4605 .46289 L
.45943 .46242 L
.45857 .46187 L
.45714 .4605 L
.45664 .46036 L
.45542 .45857 L
.45472 .45789 L
.45385 .45664 L
.45279 .45534 L
.4522 .45472 L
.45089 .45279 L
.45086 .45275 L
.4495 .45086 L
.44894 .4501 L
.44811 .44894 L
.44701 .44753 L
.44666 .44701 L
.44546 .44508 L
.44508 .44451 L
.44424 .44316 L
.44316 .44129 L
.44307 .44123 L
.44265 .4393 L
F
0 .18 1 r
.44316 .49711 m
.44457 .49904 L
.44508 .49965 L
.44603 .50096 L
.44701 .50219 L
.44751 .50289 L
.44894 .50474 L
.44899 .50482 L
.45036 .50674 L
.45086 .50737 L
.45177 .50867 L
.45279 .51 L
.45321 .5106 L
.45463 .51253 L
.45472 .51264 L
.45594 .51445 L
.45664 .51537 L
.45731 .51638 L
.45857 .51809 L
.45872 .51831 L
.45857 .52022 L
.45713 .51831 L
.45664 .51776 L
.45564 .51638 L
.45472 .51527 L
.45412 .51445 L
.45279 .51277 L
.45261 .51253 L
.45119 .5106 L
.45086 .5102 L
.44978 .50867 L
.44894 .50761 L
.44833 .50674 L
.44701 .50502 L
.44687 .50482 L
.4455 .50289 L
.44508 .50236 L
.44414 .50096 L
.44316 .49968 L
.44272 .49904 L
F
0 .17 1 r
.44316 .49718 m
.44452 .49904 L
.44508 .49971 L
.44598 .50096 L
.44701 .50225 L
.44747 .50289 L
.44894 .50479 L
.44895 .50482 L
.45032 .50674 L
.45086 .50743 L
.45173 .50867 L
.45279 .51005 L
.45317 .5106 L
.45458 .51253 L
.45472 .5127 L
.45589 .51445 L
.45664 .51543 L
.45726 .51638 L
.45857 .51815 L
.45867 .51831 L
.45857 .52014 L
.45719 .51831 L
.45664 .51769 L
.45569 .51638 L
.45472 .51521 L
.45417 .51445 L
.45279 .51272 L
.45265 .51253 L
.45124 .5106 L
.45086 .51015 L
.44982 .50867 L
.44894 .50756 L
.44837 .50674 L
.44701 .50497 L
.4469 .50482 L
.44555 .50289 L
.44508 .5023 L
.44418 .50096 L
.44316 .49963 L
.44276 .49904 L
F
0 .16 1 r
.44316 .49725 m
.44446 .49904 L
.44508 .49977 L
.44594 .50096 L
.44701 .5023 L
.44743 .50289 L
.44891 .50482 L
.44894 .50485 L
.45027 .50674 L
.45086 .50748 L
.45168 .50867 L
.45279 .51011 L
.45313 .5106 L
.45453 .51253 L
.45472 .51277 L
.45584 .51445 L
.45664 .5155 L
.45721 .51638 L
.45857 .51823 L
.45862 .51831 L
.45857 .52005 L
.45727 .51831 L
.45664 .51762 L
.45574 .51638 L
.45472 .51515 L
.45421 .51445 L
.45279 .51266 L
.45269 .51253 L
.45129 .5106 L
.45086 .51009 L
.44987 .50867 L
.44894 .5075 L
.44841 .50674 L
.44701 .50492 L
.44694 .50482 L
.4456 .50289 L
.44508 .50224 L
.44422 .50096 L
.44316 .49957 L
.4428 .49904 L
F
0 .15 1 r
.44316 .49732 m
.44441 .49904 L
.44508 .49984 L
.44589 .50096 L
.44701 .50236 L
.44739 .50289 L
.44886 .50482 L
.44894 .50491 L
.45022 .50674 L
.45086 .50754 L
.45164 .50867 L
.45279 .51016 L
.45309 .5106 L
.45447 .51253 L
.45472 .51284 L
.45578 .51445 L
.45664 .51558 L
.45716 .51638 L
.45664 .51754 L
.4558 .51638 L
.45472 .51509 L
.45426 .51445 L
.45279 .51261 L
.45273 .51253 L
.45134 .5106 L
.45086 .51003 L
.44991 .50867 L
.44894 .50745 L
.44845 .50674 L
.44701 .50486 L
.44698 .50482 L
.44565 .50289 L
.44508 .50218 L
.44427 .50096 L
.44316 .4995 L
.44285 .49904 L
F
1 .15 0 r
.44316 .50568 m
.44376 .50674 L
.44508 .50862 L
.44511 .50867 L
.44508 .50919 L
.44469 .50867 L
.44316 .50712 L
.44288 .50674 L
F
0 .14 1 r
.44316 .4974 m
.44434 .49904 L
.44508 .4999 L
.44584 .50096 L
.44701 .50242 L
.44735 .50289 L
.44701 .50481 L
.4457 .50289 L
.44508 .50211 L
.44432 .50096 L
.44316 .49944 L
.44289 .49904 L
F
0 .13 1 r
.44316 .49748 m
.44428 .49904 L
.44508 .49997 L
.44579 .50096 L
.44701 .50248 L
.4473 .50289 L
.44701 .50474 L
.44576 .50289 L
.44508 .50204 L
.44437 .50096 L
.44316 .49937 L
.44294 .49904 L
F
1 .74 0 r
.44316 .43922 m
.44339 .4393 L
.44508 .44036 L
.44598 .44123 L
.44701 .44209 L
.44781 .44316 L
.44894 .44442 L
.44983 .44508 L
.45086 .44683 L
.45103 .44701 L
.4525 .44894 L
.45279 .44931 L
.45395 .45086 L
.45472 .45168 L
.4557 .45279 L
.45664 .45452 L
.45677 .45472 L
.45809 .45664 L
.45857 .45736 L
.45935 .45857 L
.46048 .4605 L
.4605 .46053 L
.46095 .46242 L
.4605 .46275 L
.45962 .46242 L
.45857 .46178 L
.45721 .4605 L
.45664 .46033 L
.45547 .45857 L
.45472 .45784 L
.45389 .45664 L
.45279 .45529 L
.45224 .45472 L
.45093 .45279 L
.45086 .4527 L
.44953 .45086 L
.44894 .45005 L
.44814 .44894 L
.44701 .44746 L
.44671 .44701 L
.44551 .44508 L
.44508 .44444 L
.4443 .44316 L
.4432 .44123 L
.44316 .44113 L
.44295 .4393 L
F
1 .14 0 r
.44316 .5058 m
.44366 .50674 L
.44316 .50701 L
.44296 .50674 L
F
0 .12 1 r
.44316 .49757 m
.44421 .49904 L
.44508 .50005 L
.44573 .50096 L
.44701 .50254 L
.44725 .50289 L
.44701 .50467 L
.44582 .50289 L
.44508 .50197 L
.44443 .50096 L
.44316 .49929 L
.44299 .49904 L
F
1 .97 0 r
.44316 .47403 m
.44488 .47591 L
.44508 .4761 L
.44667 .47784 L
.44701 .47817 L
.44847 .47977 L
.44894 .48025 L
.45027 .48169 L
.45086 .48236 L
.45206 .48362 L
.45279 .48503 L
.45381 .48555 L
.45472 .48659 L
.45552 .48747 L
.45664 .48883 L
.45716 .4894 L
.45857 .49115 L
.45872 .49133 L
.46036 .49326 L
.4605 .49364 L
.4616 .49518 L
.46242 .49638 L
.46271 .49711 L
.46435 .49847 L
.4648 .49904 L
.46626 .50096 L
.46628 .50104 L
.46763 .50289 L
.46821 .50372 L
.4688 .50482 L
.47013 .50646 L
.4706 .50674 L
.47203 .50867 L
.47206 .50876 L
.47336 .5106 L
.47399 .51147 L
.47446 .51253 L
.47591 .51421 L
.47631 .51445 L
.47774 .51638 L
.47784 .51658 L
.47901 .51831 L
.47977 .51931 L
.48001 .52023 L
.48169 .52204 L
.48199 .52216 L
.48342 .52409 L
.48362 .52443 L
.48463 .52601 L
.48555 .52718 L
.48625 .52794 L
.48747 .52984 L
.48765 .52987 L
.48908 .53179 L
.4894 .53231 L
.49025 .53372 L
.49133 .53505 L
.49191 .53565 L
.49326 .53752 L
.4933 .53758 L
.49472 .5395 L
.49518 .54019 L
.49587 .54143 L
.49711 .54291 L
.49756 .54336 L
.49903 .54528 L
.49904 .5454 L
.50036 .54721 L
.50096 .54808 L
.50148 .54914 L
.50289 .55077 L
.50319 .55106 L
.50474 .55299 L
.50482 .55329 L
.50598 .55492 L
.50674 .55598 L
.5071 .55684 L
.50867 .55862 L
.50883 .55877 L
.51041 .5607 L
.5106 .56118 L
.5116 .56263 L
.51253 .56388 L
.51272 .56455 L
.51445 .56648 L
.51445 .56648 L
.51605 .56841 L
.51638 .56909 L
.51721 .57033 L
.51831 .57178 L
.51837 .57226 L
.52007 .57419 L
.52023 .57434 L
.52167 .57611 L
.52216 .57701 L
.52281 .57804 L
.52409 .57971 L
.52429 .57997 L
.52568 .58189 L
.52601 .58222 L
.52726 .58382 L
.52794 .58495 L
.52841 .58575 L
.52987 .58765 L
.52988 .58768 L
.53126 .5896 L
.53179 .59015 L
.53283 .59153 L
.53372 .59294 L
.53401 .59346 L
.53545 .59538 L
.53565 .59566 L
.53682 .59731 L
.53758 .59815 L
.53835 .59924 L
.5395 .601 L
.53958 .60116 L
.54096 .60309 L
.54143 .60374 L
.54295 .60502 L
.54336 .6063 L
.54379 .60694 L
.54506 .60887 L
.54528 .60918 L
.54639 .6108 L
.54721 .61196 L
.54816 .61273 L
.54907 .61465 L
.54914 .61474 L
.55034 .61658 L
.55106 .61763 L
.55162 .61851 L
.55289 .62043 L
.55299 .62058 L
.55402 .62236 L
.55492 .62384 L
.55514 .62429 L
.55492 .62591 L
.55316 .62429 L
.55299 .62414 L
.55134 .62236 L
.55106 .62208 L
.54963 .62043 L
.54914 .62023 L
.54797 .61851 L
.54721 .61766 L
.54635 .61658 L
.54528 .61523 L
.54472 .61465 L
.54336 .61283 L
.54328 .61273 L
.54172 .6108 L
.54143 .61045 L
.53968 .60887 L
.5395 .60792 L
.53869 .60694 L
.53758 .60537 L
.53739 .60502 L
.53575 .60309 L
.53565 .60296 L
.53397 .60116 L
.53372 .60038 L
.53285 .59924 L
.53179 .59775 L
.53163 .59731 L
.52993 .59538 L
.52987 .59531 L
.52827 .59346 L
.52794 .59269 L
.5271 .59153 L
.52601 .59002 L
.52592 .5896 L
.52418 .58768 L
.52409 .58756 L
.52257 .58575 L
.52216 .58491 L
.52141 .58382 L
.52023 .58224 L
.52023 .58189 L
.51848 .57997 L
.51831 .57975 L
.5169 .57804 L
.51638 .57709 L
.51574 .57611 L
.51445 .57443 L
.5142 .57419 L
.5128 .57226 L
.51253 .57191 L
.51125 .57033 L
.5106 .56924 L
.51008 .56841 L
.50867 .56661 L
.50854 .56648 L
.50714 .56455 L
.50674 .56405 L
.50561 .56263 L
.50482 .56137 L
.50443 .5607 L
.50289 .55877 L
.50289 .55877 L
.50103 .55684 L
.50096 .55618 L
.49998 .55492 L
.49904 .5535 L
.49878 .55299 L
.49724 .55106 L
.49711 .55094 L
.49541 .54914 L
.49518 .5483 L
.49436 .54721 L
.49326 .54561 L
.49312 .54528 L
.49161 .54336 L
.49133 .5431 L
.48981 .54143 L
.4894 .54041 L
.48874 .5395 L
.48747 .53772 L
.48743 .53758 L
.48597 .53565 L
.48555 .53524 L
.48422 .53372 L
.48362 .53251 L
.48312 .53179 L
.48173 .52987 L
.48169 .52982 L
.48035 .52794 L
.47977 .52735 L
.47864 .52601 L
.47784 .52459 L
.4775 .52409 L
.47611 .52216 L
.47591 .5219 L
.47472 .52023 L
.47399 .51944 L
.47306 .51831 L
.47206 .51665 L
.47189 .51638 L
.4705 .51445 L
.47013 .51397 L
.46911 .51253 L
.46821 .51149 L
.46751 .5106 L
.46628 .50869 L
.46627 .50867 L
.4649 .50674 L
.46435 .50602 L
.4635 .50482 L
.46242 .50351 L
.46196 .50289 L
.46068 .50096 L
.4605 .50072 L
.45932 .49904 L
.45857 .49804 L
.45734 .49711 L
.45664 .49547 L
.45644 .49518 L
.45513 .49326 L
.45472 .49271 L
.45377 .49133 L
.45279 .49002 L
.45188 .4894 L
.45097 .48747 L
.45086 .48734 L
.44965 .48555 L
.44894 .48459 L
.44829 .48362 L
.44701 .48186 L
.4469 .48169 L
.44563 .47977 L
.44508 .47902 L
.44437 .47784 L
.44316 .47611 L
.44304 .47591 L
F
0 .99 1 r
.44316 .46965 m
.44372 .47013 L
.44508 .47143 L
.4455 .47206 L
.44701 .4739 L
.44707 .47399 L
.44841 .47591 L
.44894 .47653 L
.44979 .47784 L
.45086 .47912 L
.45128 .47977 L
.45279 .48158 L
.45287 .48169 L
.45279 .48262 L
.45209 .48169 L
.45086 .48056 L
.45021 .47977 L
.44894 .47845 L
.44843 .47784 L
.44701 .47623 L
.44675 .47591 L
.44526 .47399 L
.44508 .47376 L
.44405 .47206 L
.44316 .47042 L
.44304 .47013 L
F
0 .11 1 r
.44316 .49767 m
.44413 .49904 L
.44508 .50013 L
.44567 .50096 L
.44701 .50261 L
.44721 .50289 L
.44701 .50459 L
.44589 .50289 L
.44508 .50189 L
.44449 .50096 L
.44316 .49921 L
.44304 .49904 L
F
1 .13 0 r
.44316 .50595 m
.44353 .50674 L
.44316 .50689 L
.44305 .50674 L
F
1 .47 0 r
.44316 .48941 m
.44478 .49133 L
.44508 .49164 L
.44638 .49326 L
.44701 .49397 L
.44797 .49518 L
.44894 .49635 L
.44953 .49711 L
.45086 .49867 L
.45107 .49904 L
.45255 .50096 L
.45279 .50125 L
.45403 .50289 L
.45472 .50375 L
.45553 .50482 L
.45664 .50609 L
.45701 .50674 L
.45847 .50867 L
.45857 .5088 L
.4599 .5106 L
.4605 .51136 L
.46136 .51253 L
.46242 .51376 L
.46324 .51445 L
.46425 .51638 L
.46435 .51652 L
.46565 .51831 L
.46628 .51912 L
.46708 .52023 L
.46821 .52159 L
.4688 .52216 L
.46992 .52409 L
.47013 .52437 L
.47131 .52601 L
.47206 .52701 L
.47272 .52794 L
.47399 .52959 L
.47425 .52987 L
.4755 .53179 L
.47591 .53235 L
.47687 .53372 L
.47784 .53504 L
.47826 .53565 L
.47963 .53758 L
.47977 .53775 L
.48095 .5395 L
.48169 .54052 L
.4823 .54143 L
.48362 .54328 L
.48367 .54336 L
.48491 .54528 L
.48555 .54617 L
.48619 .54721 L
.48747 .5491 L
.48749 .54914 L
.48747 .55098 L
.48589 .54914 L
.48555 .54879 L
.48428 .54721 L
.48362 .54647 L
.48269 .54528 L
.48169 .5441 L
.48112 .54336 L
.47977 .54181 L
.47958 .54143 L
.47809 .5395 L
.47784 .5392 L
.47662 .53758 L
.47591 .5367 L
.47513 .53565 L
.47399 .5344 L
.47364 .53372 L
.47217 .53179 L
.47206 .53165 L
.47075 .52987 L
.47013 .52908 L
.4693 .52794 L
.46821 .52673 L
.46784 .52601 L
.4664 .52409 L
.46628 .52393 L
.465 .52216 L
.46435 .52132 L
.46357 .52023 L
.46242 .51889 L
.46178 .51831 L
.46072 .51638 L
.4605 .51609 L
.45934 .51445 L
.45857 .51344 L
.45793 .51253 L
.45664 .51088 L
.45636 .5106 L
.45514 .50867 L
.45472 .50811 L
.45377 .50674 L
.45279 .50543 L
.45237 .50482 L
.45098 .50289 L
.45086 .50273 L
.44967 .50096 L
.44894 .49997 L
.44831 .49904 L
.44701 .49723 L
.44693 .49711 L
.44567 .49518 L
.44508 .49437 L
.44439 .49326 L
.44316 .49147 L
.44307 .49133 L
F
0 .89 1 r
.44316 .39603 m
.44381 .39691 L
.44508 .39823 L
.44552 .39884 L
.44701 .40058 L
.44714 .40076 L
.44862 .40269 L
.44894 .40305 L
.45006 .40462 L
.45086 .40558 L
.45154 .40654 L
.45279 .4081 L
.45305 .40847 L
.4545 .4104 L
.45472 .41066 L
.45588 .41232 L
.45664 .41328 L
.4573 .41425 L
.45857 .41588 L
.45877 .41618 L
.46015 .41811 L
.4605 .41854 L
.46149 .42003 L
.46242 .42124 L
.46289 .42196 L
.46242 .42364 L
.46117 .42196 L
.4605 .42114 L
.45967 .42003 L
.45857 .41862 L
.45818 .41811 L
.45674 .41618 L
.45664 .41606 L
.45533 .41425 L
.45472 .41346 L
.4539 .41232 L
.45279 .41085 L
.45246 .4104 L
.45108 .40847 L
.45086 .4082 L
.44972 .40654 L
.44894 .4055 L
.44833 .40462 L
.44701 .40279 L
.44694 .40269 L
.44569 .40076 L
.44508 .39994 L
.4444 .39884 L
.44316 .39703 L
.44308 .39691 L
F
0 .1 1 r
.44316 .49779 m
.44403 .49904 L
.44508 .50021 L
.44561 .50096 L
.44701 .50269 L
.44715 .50289 L
.44701 .5045 L
.44596 .50289 L
.44508 .5018 L
.44455 .50096 L
.44316 .49912 L
.4431 .49904 L
F
1 .46 0 r
.44316 .48955 m
.44469 .49133 L
.44508 .49174 L
.44631 .49326 L
.44701 .49404 L
.44791 .49518 L
.44894 .49641 L
.44948 .49711 L
.45086 .49874 L
.45102 .49904 L
.45251 .50096 L
.45279 .5013 L
.45399 .50289 L
.45472 .5038 L
.45549 .50482 L
.45664 .50615 L
.45698 .50674 L
.45843 .50867 L
.45857 .50884 L
.45987 .5106 L
.4605 .5114 L
.46133 .51253 L
.46242 .51381 L
.46319 .51445 L
.46421 .51638 L
.46435 .51656 L
.46562 .51831 L
.46628 .51916 L
.46706 .52023 L
.46821 .52164 L
.46875 .52216 L
.46989 .52409 L
.47013 .52441 L
.47128 .52601 L
.47206 .52706 L
.47269 .52794 L
.47399 .52964 L
.4742 .52987 L
.47546 .53179 L
.47591 .5324 L
.47684 .53372 L
.47784 .53509 L
.47823 .53565 L
.47959 .53758 L
.47977 .53781 L
.48091 .5395 L
.48169 .54058 L
.48226 .54143 L
.48362 .54335 L
.48363 .54336 L
.48485 .54528 L
.48555 .54626 L
.48613 .54721 L
.48555 .54869 L
.48435 .54721 L
.48362 .5464 L
.48275 .54528 L
.48169 .54403 L
.48117 .54336 L
.47977 .54173 L
.47962 .54143 L
.47813 .5395 L
.47784 .53915 L
.47666 .53758 L
.47591 .53665 L
.47516 .53565 L
.47399 .53434 L
.47367 .53372 L
.47221 .53179 L
.47206 .53161 L
.47078 .52987 L
.47013 .52904 L
.46933 .52794 L
.46821 .52668 L
.46786 .52601 L
.46643 .52409 L
.46628 .52389 L
.46503 .52216 L
.46435 .52128 L
.4636 .52023 L
.46242 .51884 L
.46184 .51831 L
.46075 .51638 L
.4605 .51605 L
.45937 .51445 L
.45857 .5134 L
.45795 .51253 L
.45664 .51083 L
.45641 .5106 L
.45517 .50867 L
.45472 .50807 L
.4538 .50674 L
.45279 .50538 L
.4524 .50482 L
.45102 .50289 L
.45086 .50268 L
.44971 .50096 L
.44894 .49992 L
.44835 .49904 L
.44701 .49717 L
.44697 .49711 L
.44573 .49518 L
.44508 .49429 L
.44445 .49326 L
.44316 .49137 L
.44313 .49133 L
F
1 .89 0 r
.44316 .38793 m
.44437 .3892 L
.44508 .38987 L
.44612 .39113 L
.44701 .39209 L
.44777 .39306 L
.44894 .39441 L
.44938 .39498 L
.45086 .39675 L
.45095 .39691 L
.45245 .39884 L
.45279 .39924 L
.45394 .40076 L
.45472 .40172 L
.45544 .40269 L
.45664 .40408 L
.45735 .40462 L
.45842 .40654 L
.45857 .40673 L
.45986 .40847 L
.4605 .40927 L
.46132 .4104 L
.46242 .41168 L
.46317 .41232 L
.46425 .41425 L
.46435 .41439 L
.46566 .41618 L
.46628 .41698 L
.46709 .41811 L
.46821 .41942 L
.46884 .42003 L
.46998 .42196 L
.47013 .42216 L
.47137 .42389 L
.47206 .42478 L
.4728 .42581 L
.47399 .42728 L
.47443 .42774 L
.47564 .42967 L
.47591 .43002 L
.47703 .43159 L
.47784 .43266 L
.47845 .43352 L
.47977 .43523 L
.47996 .43545 L
.48125 .43737 L
.48169 .43795 L
.48263 .4393 L
.48362 .44061 L
.48405 .44123 L
.48546 .44316 L
.48555 .44327 L
.4868 .44508 L
.48747 .44598 L
.48818 .44701 L
.4894 .44845 L
.48959 .44894 L
.49093 .45086 L
.49133 .45139 L
.49226 .45279 L
.49326 .45414 L
.49364 .45472 L
.495 .45664 L
.49518 .4569 L
.49626 .45857 L
.49711 .45976 L
.49757 .4605 L
.49887 .46242 L
.49904 .46267 L
.49994 .46435 L
.49904 .46481 L
.49861 .46435 L
.49711 .4627 L
.49687 .46242 L
.49524 .4605 L
.49518 .46044 L
.49366 .45857 L
.49326 .45809 L
.4921 .45664 L
.49133 .45569 L
.49055 .45472 L
.4894 .45331 L
.48873 .45279 L
.48756 .45086 L
.48747 .45076 L
.48607 .44894 L
.48555 .44871 L
.48458 .44701 L
.48362 .44582 L
.48286 .44508 L
.48169 .4432 L
.48166 .44316 L
.4802 .44123 L
.47977 .44098 L
.47874 .4393 L
.47784 .43816 L
.47711 .43737 L
.47591 .43552 L
.47586 .43545 L
.47442 .43352 L
.47399 .43322 L
.47298 .43159 L
.47206 .43041 L
.47143 .42967 L
.47013 .42774 L
.47013 .42774 L
.46872 .42581 L
.46821 .42541 L
.46729 .42389 L
.46628 .42256 L
.4658 .42196 L
.46448 .42003 L
.46435 .41986 L
.46308 .41811 L
.46242 .41751 L
.46096 .41618 L
.4605 .41459 L
.46024 .41425 L
.4589 .41232 L
.45857 .41187 L
.45752 .4104 L
.45664 .40945 L
.45569 .40847 L
.45476 .40654 L
.45472 .40648 L
.45342 .40462 L
.45279 .40374 L
.45206 .40269 L
.45086 .4011 L
.45057 .40076 L
.44941 .39884 L
.44894 .39817 L
.4481 .39691 L
.44701 .39533 L
.44678 .39498 L
.44555 .39306 L
.44508 .39236 L
.44435 .39113 L
.44316 .38922 L
.44315 .3892 L
F
1 .73 0 r
.44508 .44046 m
.44589 .44123 L
.44701 .44216 L
.44775 .44316 L
.44894 .44448 L
.44976 .44508 L
.45086 .44688 L
.45098 .44701 L
.45246 .44894 L
.45279 .44936 L
.45391 .45086 L
.45472 .45173 L
.45566 .45279 L
.45664 .45457 L
.45674 .45472 L
.45804 .45664 L
.45857 .45743 L
.4593 .45857 L
.46041 .4605 L
.4605 .4607 L
.46075 .46242 L
.4605 .46259 L
.45986 .46242 L
.45857 .4617 L
.45729 .4605 L
.45664 .4603 L
.45552 .45857 L
.45472 .45779 L
.45393 .45664 L
.45279 .45524 L
.45228 .45472 L
.45097 .45279 L
.45086 .45266 L
.44957 .45086 L
.44894 .45 L
.44818 .44894 L
.44701 .44739 L
.44676 .44701 L
.44555 .44508 L
.44508 .44436 L
.44435 .44316 L
.4433 .44123 L
F
1 .72 0 r
.44508 .44057 m
.44579 .44123 L
.44701 .44224 L
.44769 .44316 L
.44894 .44454 L
.44969 .44508 L
.45086 .44693 L
.45094 .44701 L
.45242 .44894 L
.45279 .44941 L
.45388 .45086 L
.45472 .45178 L
.45562 .45279 L
.45664 .45463 L
.4567 .45472 L
.458 .45664 L
.45857 .4575 L
.45926 .45857 L
.46033 .4605 L
.45857 .46161 L
.45736 .4605 L
.45664 .46027 L
.45557 .45857 L
.45472 .45774 L
.45397 .45664 L
.45279 .45519 L
.45233 .45472 L
.451 .45279 L
.45086 .45261 L
.4496 .45086 L
.44894 .44996 L
.44822 .44894 L
.44701 .44731 L
.44681 .44701 L
.4456 .44508 L
.44508 .44428 L
.44441 .44316 L
.4434 .44123 L
F
1 .71 0 r
.44508 .44067 m
.44569 .44123 L
.44701 .44232 L
.44762 .44316 L
.44894 .44461 L
.44961 .44508 L
.45086 .44698 L
.45089 .44701 L
.45238 .44894 L
.45279 .44946 L
.45384 .45086 L
.45472 .45183 L
.45557 .45279 L
.45664 .45469 L
.45666 .45472 L
.45796 .45664 L
.45857 .45757 L
.45921 .45857 L
.46025 .4605 L
.45857 .46152 L
.45744 .4605 L
.45664 .46023 L
.45562 .45857 L
.45472 .45769 L
.45401 .45664 L
.45279 .45515 L
.45237 .45472 L
.45104 .45279 L
.45086 .45256 L
.44964 .45086 L
.44894 .44991 L
.44825 .44894 L
.44701 .44724 L
.44686 .44701 L
.44565 .44508 L
.44508 .44419 L
.44447 .44316 L
.44351 .44123 L
F
1 .7 0 r
.44508 .44078 m
.44558 .44123 L
.44701 .4424 L
.44756 .44316 L
.44894 .44467 L
.44953 .44508 L
.45084 .44701 L
.45086 .44703 L
.45234 .44894 L
.45279 .44951 L
.4538 .45086 L
.45472 .45189 L
.45553 .45279 L
.45662 .45472 L
.45664 .45475 L
.45792 .45664 L
.45857 .45764 L
.45916 .45857 L
.46017 .4605 L
.45857 .46143 L
.45752 .4605 L
.45664 .46019 L
.45568 .45857 L
.45472 .45763 L
.45405 .45664 L
.45279 .45509 L
.45242 .45472 L
.45108 .45279 L
.45086 .45251 L
.44967 .45086 L
.44894 .44986 L
.44829 .44894 L
.44701 .44716 L
.44691 .44701 L
.4457 .44508 L
.44508 .44411 L
.44453 .44316 L
.44364 .44123 L
F
1 .69 0 r
.44508 .4409 m
.44547 .44123 L
.44701 .44249 L
.44749 .44316 L
.44894 .44473 L
.44945 .44508 L
.4508 .44701 L
.45086 .44709 L
.4523 .44894 L
.45279 .44956 L
.45376 .45086 L
.45472 .45194 L
.45548 .45279 L
.45658 .45472 L
.45664 .45481 L
.45787 .45664 L
.45857 .45771 L
.4591 .45857 L
.46008 .4605 L
.45857 .46134 L
.4576 .4605 L
.45664 .46014 L
.45573 .45857 L
.45472 .45758 L
.45409 .45664 L
.45279 .45504 L
.45247 .45472 L
.45111 .45279 L
.45086 .45246 L
.44971 .45086 L
.44894 .44981 L
.44832 .44894 L
.44701 .44708 L
.44697 .44701 L
.44575 .44508 L
.44508 .44402 L
.44459 .44316 L
.44377 .44123 L
F
1 .68 0 r
.44508 .44102 m
.44534 .44123 L
.44701 .44258 L
.44742 .44316 L
.44894 .4448 L
.44936 .44508 L
.45075 .44701 L
.45086 .44714 L
.45225 .44894 L
.45279 .44961 L
.45373 .45086 L
.45472 .452 L
.45543 .45279 L
.45654 .45472 L
.45664 .45487 L
.45783 .45664 L
.45857 .45779 L
.45905 .45857 L
.45999 .4605 L
.45857 .46125 L
.45768 .4605 L
.45664 .46009 L
.45578 .45857 L
.45472 .45752 L
.45414 .45664 L
.45279 .45499 L
.45252 .45472 L
.45115 .45279 L
.45086 .45241 L
.44975 .45086 L
.44894 .44976 L
.44836 .44894 L
.44702 .44701 L
.44701 .447 L
.4458 .44508 L
.44508 .44392 L
.44465 .44316 L
.44393 .44123 L
F
0 .98 1 r
.44508 .43352 m
.44518 .43352 L
.44701 .43386 L
.44894 .43526 L
.44912 .43545 L
.45079 .43737 L
.45086 .43752 L
.45233 .4393 L
.45279 .4399 L
.45353 .44123 L
.45472 .44246 L
.45524 .44316 L
.45664 .44508 L
.45665 .44508 L
.45807 .44701 L
.45857 .44782 L
.4592 .44894 L
.4605 .45059 L
.46093 .45086 L
.4624 .45279 L
.46242 .45293 L
.46371 .45472 L
.46435 .45558 L
.46481 .45664 L
.46628 .45825 L
.46655 .45857 L
.46808 .4605 L
.46821 .46089 L
.46927 .46242 L
.47013 .46366 L
.47034 .46435 L
.47013 .46618 L
.46821 .46621 L
.46628 .46582 L
.46491 .46435 L
.46435 .46372 L
.4633 .46242 L
.46242 .46115 L
.46209 .4605 L
.46054 .45857 L
.4605 .45852 L
.45869 .45664 L
.45857 .45591 L
.45763 .45472 L
.45664 .45324 L
.45642 .45279 L
.45489 .45086 L
.45472 .45081 L
.45307 .44894 L
.45279 .44816 L
.45202 .44701 L
.45086 .44538 L
.45076 .44508 L
.44929 .44316 L
.44894 .44267 L
.44751 .44123 L
.44701 .43997 L
.44647 .4393 L
.44517 .43737 L
.44508 .43725 L
.44396 .43545 L
.44479 .43352 L
F
0 .99 1 r
.44508 .36584 m
.44537 .36608 L
.44701 .36743 L
.4475 .36801 L
.44894 .36951 L
.44964 .36993 L
.45086 .37165 L
.45107 .37186 L
.45276 .37379 L
.45279 .37382 L
.45438 .37571 L
.45472 .37615 L
.45613 .37764 L
.45664 .37862 L
.45736 .37957 L
.45857 .38119 L
.45906 .38149 L
.4605 .38338 L
.46053 .38342 L
.46207 .38535 L
.46242 .38598 L
.46329 .38727 L
.46435 .38875 L
.46499 .3892 L
.46628 .39095 L
.46642 .39113 L
.46787 .39306 L
.46821 .39362 L
.46906 .39498 L
.47013 .39646 L
.47077 .39691 L
.47206 .39868 L
.47218 .39884 L
.47359 .40076 L
.47399 .40139 L
.47474 .40269 L
.47591 .40427 L
.47648 .40462 L
.47784 .4065 L
.47788 .40654 L
.47927 .40847 L
.47977 .40924 L
.48037 .4104 L
.48169 .4121 L
.48216 .41232 L
.48359 .41425 L
.48362 .41436 L
.48491 .41618 L
.48555 .41712 L
.48598 .41811 L
.48747 .41992 L
.48781 .42003 L
.48929 .42196 L
.4894 .42225 L
.49055 .42389 L
.49133 .425 L
.49159 .42581 L
.49326 .42747 L
.49346 .42774 L
.49496 .42967 L
.49518 .43014 L
.49617 .43159 L
.49711 .43288 L
.4972 .43352 L
.49904 .43536 L
.4991 .43545 L
.50061 .43737 L
.50096 .43804 L
.50179 .4393 L
.50289 .44076 L
.50334 .44123 L
.50474 .44316 L
.50482 .44326 L
.50625 .44508 L
.50674 .44593 L
.50742 .44701 L
.50867 .44862 L
.50898 .44894 L
.51038 .45086 L
.5106 .45114 L
.51188 .45279 L
.51253 .45382 L
.51304 .45472 L
.51445 .45648 L
.51462 .45664 L
.51637 .45857 L
.51638 .45903 L
.51751 .4605 L
.51831 .46172 L
.51867 .46242 L
.52023 .46433 L
.52026 .46435 L
.52203 .46628 L
.52216 .46691 L
.52313 .46821 L
.52409 .46961 L
.52432 .47013 L
.52589 .47206 L
.52601 .47217 L
.52765 .47399 L
.52794 .47481 L
.52875 .47591 L
.52987 .4775 L
.52998 .47784 L
.53152 .47977 L
.53179 .48001 L
.53327 .48169 L
.53372 .4827 L
.53437 .48362 L
.53565 .48539 L
.53568 .48555 L
.53715 .48747 L
.53758 .48787 L
.53887 .4894 L
.5395 .4906 L
.53999 .49133 L
.5414 .49326 L
.54143 .49329 L
.54279 .49518 L
.54336 .49575 L
.54446 .49711 L
.54528 .49852 L
.54562 .49904 L
.54703 .50096 L
.54721 .5012 L
.54842 .50289 L
.54914 .50365 L
.55005 .50482 L
.55106 .50644 L
.55125 .50674 L
.55265 .50867 L
.55299 .50912 L
.55405 .5106 L
.55492 .51158 L
.55564 .51253 L
.55684 .51437 L
.55689 .51445 L
.55827 .51638 L
.55877 .51704 L
.56027 .51831 L
.5607 .51952 L
.56122 .52023 L
.56252 .52216 L
.56263 .5223 L
.56389 .52409 L
.56455 .52451 L
.56577 .52601 L
.56648 .52749 L
.5668 .52794 L
.56813 .52987 L
.56841 .53024 L
.56951 .53179 L
.57033 .53289 L
.57133 .53372 L
.57226 .53546 L
.57239 .53565 L
.57373 .53758 L
.57419 .53818 L
.57511 .5395 L
.57611 .54083 L
.57653 .54143 L
.57797 .54336 L
.57804 .54345 L
.5793 .54528 L
.57997 .54614 L
.58068 .54721 L
.58189 .54879 L
.58213 .54914 L
.58347 .55106 L
.58382 .55149 L
.58463 .55299 L
.58575 .5544 L
.58593 .55492 L
.58575 .55501 L
.58568 .55492 L
.58382 .55308 L
.58375 .55299 L
.58189 .55113 L
.58184 .55106 L
.57997 .54922 L
.57989 .54914 L
.57804 .54734 L
.5779 .54721 L
.57611 .54551 L
.57586 .54528 L
.57419 .5437 L
.57379 .54336 L
.57226 .54188 L
.57174 .54143 L
.57033 .53996 L
.56984 .5395 L
.56841 .53784 L
.56816 .53758 L
.56665 .53565 L
.56648 .53551 L
.56534 .53372 L
.56455 .53305 L
.56409 .53179 L
.56263 .5305 L
.56214 .52987 L
.56073 .52794 L
.5607 .52789 L
.55939 .52601 L
.55877 .52513 L
.5582 .52409 L
.55684 .52238 L
.55645 .52216 L
.55506 .52023 L
.55492 .52001 L
.55381 .51831 L
.55299 .51723 L
.5522 .51638 L
.55106 .51479 L
.55081 .51445 L
.54945 .51253 L
.54914 .51208 L
.54835 .5106 L
.54721 .50922 L
.54655 .50867 L
.54528 .50689 L
.54517 .50674 L
.54386 .50482 L
.54336 .50413 L
.5429 .50289 L
.54143 .50123 L
.54091 .50096 L
.53953 .49904 L
.5395 .49898 L
.53827 .49711 L
.53758 .4962 L
.53667 .49518 L
.53565 .49375 L
.53528 .49326 L
.53387 .49133 L
.53372 .49107 L
.53267 .4894 L
.53179 .48829 L
.53103 .48747 L
.52987 .48585 L
.52964 .48555 L
.52823 .48362 L
.52794 .48317 L
.52707 .48169 L
.52601 .4804 L
.5254 .47977 L
.52409 .47794 L
.52401 .47784 L
.5226 .47591 L
.52216 .47526 L
.52147 .47399 L
.52023 .47252 L
.51976 .47206 L
.51832 .47013 L
.51831 .47004 L
.51697 .46821 L
.51638 .46736 L
.51586 .46628 L
.51445 .46466 L
.51413 .46435 L
.51261 .46242 L
.51253 .46215 L
.51135 .4605 L
.5106 .45946 L
.51025 .45857 L
.50867 .45681 L
.50849 .45664 L
.50693 .45472 L
.50674 .45426 L
.50573 .45279 L
.50482 .45157 L
.50463 .45086 L
.50289 .44896 L
.50286 .44894 L
.50128 .44701 L
.50096 .44637 L
.50011 .44508 L
.49904 .44368 L
.49899 .44316 L
.49723 .44123 L
.49711 .44112 L
.49565 .4393 L
.49518 .43847 L
.49449 .43737 L
.49326 .43579 L
.49299 .43545 L
.4916 .43352 L
.49133 .43326 L
.49003 .43159 L
.4894 .43057 L
.48887 .42967 L
.48747 .42789 L
.48736 .42774 L
.48597 .42581 L
.48555 .42539 L
.48441 .42389 L
.48362 .42267 L
.48324 .42196 L
.48173 .42003 L
.48169 .41998 L
.47981 .41811 L
.47977 .4175 L
.47881 .41618 L
.47784 .41474 L
.4776 .41425 L
.47611 .41232 L
.47591 .41206 L
.47421 .4104 L
.47399 .40959 L
.47321 .40847 L
.47206 .40681 L
.47195 .40654 L
.4705 .40462 L
.47013 .40412 L
.46864 .40269 L
.46821 .40164 L
.46762 .40076 L
.46628 .39884 L
.46628 .39884 L
.4649 .39691 L
.46435 .39663 L
.46311 .39498 L
.46242 .39364 L
.46205 .39306 L
.46071 .39113 L
.4605 .39085 L
.45934 .3892 L
.45857 .38861 L
.45763 .38727 L
.45664 .38554 L
.45652 .38535 L
.45519 .38342 L
.45472 .38278 L
.45383 .38149 L
.45279 .38036 L
.45227 .37957 L
.45111 .37764 L
.45086 .3773 L
.44981 .37571 L
.44894 .37447 L
.44849 .37379 L
.4472 .37186 L
.44701 .37158 L
.44603 .36993 L
.44508 .36841 L
.44487 .36801 L
.44408 .36608 L
F
1 .67 0 r
.44508 .44114 m
.44519 .44123 L
.44701 .44268 L
.44735 .44316 L
.44894 .44487 L
.44926 .44508 L
.4507 .44701 L
.45086 .4472 L
.45221 .44894 L
.45279 .44966 L
.45369 .45086 L
.45472 .45205 L
.45538 .45279 L
.45649 .45472 L
.45664 .45493 L
.45778 .45664 L
.45857 .45787 L
.459 .45857 L
.45989 .4605 L
.45857 .46116 L
.45778 .4605 L
.45664 .46003 L
.45584 .45857 L
.45472 .45747 L
.45418 .45664 L
.45279 .45494 L
.45257 .45472 L
.45119 .45279 L
.45086 .45236 L
.44978 .45086 L
.44894 .4497 L
.4484 .44894 L
.44706 .44701 L
.44701 .44693 L
.44586 .44508 L
.44508 .44382 L
.44472 .44316 L
.44413 .44123 L
F
1 .99 0 r
.44508 .46728 m
.44701 .46704 L
.44881 .46821 L
.44894 .46833 L
.45034 .47013 L
.45086 .47093 L
.45178 .47206 L
.45279 .47338 L
.4535 .47399 L
.45468 .47591 L
.45472 .47597 L
.45605 .47784 L
.45664 .47862 L
.45746 .47977 L
.45857 .48103 L
.45911 .48169 L
.4603 .48362 L
.4605 .48387 L
.46167 .48555 L
.46242 .48655 L
.46307 .48747 L
.46435 .48918 L
.46474 .4894 L
.46586 .49133 L
.46628 .49189 L
.46714 .49326 L
.46821 .49489 L
.46826 .49518 L
.46821 .49522 L
.46816 .49518 L
.46628 .494 L
.46535 .49326 L
.46435 .49253 L
.46293 .49133 L
.46242 .49092 L
.46073 .4894 L
.4605 .48921 L
.45872 .48747 L
.45857 .48716 L
.45685 .48555 L
.45664 .48532 L
.45509 .48362 L
.45472 .48315 L
.45344 .48169 L
.45279 .48083 L
.45189 .47977 L
.45086 .47834 L
.45044 .47784 L
.44905 .47591 L
.44894 .47562 L
.44759 .47399 L
.44701 .4731 L
.44622 .47206 L
.44508 .47019 L
.44504 .47013 L
.44419 .46821 L
F
0 .97 1 r
.44508 .43393 m
.44701 .43427 L
.44871 .43545 L
.44894 .43581 L
.45058 .43737 L
.45086 .43791 L
.45221 .4393 L
.45279 .44006 L
.45344 .44123 L
.45472 .44258 L
.45516 .44316 L
.45658 .44508 L
.45664 .44518 L
.45802 .44701 L
.45857 .4479 L
.45916 .44894 L
.4605 .45063 L
.46088 .45086 L
.46239 .45279 L
.46242 .45298 L
.46366 .45472 L
.46435 .45565 L
.46477 .45664 L
.46628 .45832 L
.46649 .45857 L
.46805 .4605 L
.46821 .46099 L
.46919 .46242 L
.47013 .46385 L
.47027 .46435 L
.47013 .46595 L
.46821 .46606 L
.46628 .46559 L
.46504 .46435 L
.46435 .46359 L
.46336 .46242 L
.46242 .46107 L
.46212 .4605 L
.46058 .45857 L
.4605 .45847 L
.4587 .45664 L
.45857 .45586 L
.45766 .45472 L
.45664 .45319 L
.45644 .45279 L
.45493 .45086 L
.45472 .45079 L
.4531 .44894 L
.45279 .44811 L
.45206 .44701 L
.45086 .44531 L
.45079 .44508 L
.44935 .44316 L
.44894 .44258 L
.44757 .44123 L
.44701 .43986 L
.44656 .4393 L
.44532 .43737 L
.44508 .437 L
.44424 .43545 L
F
0 .93 1 r
.44508 .38175 m
.44662 .38342 L
.44701 .38381 L
.44832 .38535 L
.44894 .38603 L
.44996 .38727 L
.45086 .38807 L
.45156 .3892 L
.45279 .39066 L
.45336 .39113 L
.45467 .39306 L
.45472 .39311 L
.45618 .39498 L
.45664 .39538 L
.45768 .39691 L
.45857 .39799 L
.45943 .39884 L
.4605 .40055 L
.46067 .40076 L
.46213 .40269 L
.46242 .40294 L
.4636 .40462 L
.46435 .40556 L
.46526 .40654 L
.46628 .40817 L
.46649 .40847 L
.46796 .4104 L
.46821 .41062 L
.4694 .41232 L
.47013 .41325 L
.47101 .41425 L
.47206 .41589 L
.47225 .41618 L
.47371 .41811 L
.47399 .41836 L
.47514 .42003 L
.47591 .42102 L
.4767 .42196 L
.47784 .42367 L
.47797 .42389 L
.47942 .42581 L
.47977 .42614 L
.48143 .42774 L
.48169 .42884 L
.48236 .42967 L
.48362 .4315 L
.48367 .43159 L
.48509 .43352 L
.48555 .43397 L
.487 .43545 L
.48747 .43669 L
.488 .43737 L
.48936 .4393 L
.4894 .43936 L
.49075 .44123 L
.49133 .44182 L
.49257 .44316 L
.49326 .44458 L
.49363 .44508 L
.49499 .44701 L
.49518 .44726 L
.49638 .44894 L
.49711 .44972 L
.49813 .45086 L
.49904 .4525 L
.49924 .45279 L
.50061 .45472 L
.50096 .45518 L
.502 .45664 L
.50289 .45766 L
.50367 .45857 L
.50482 .46046 L
.50484 .4605 L
.50621 .46242 L
.50674 .46314 L
.5076 .46435 L
.50867 .46565 L
.50918 .46628 L
.51041 .46821 L
.5106 .46845 L
.51177 .47013 L
.51253 .47114 L
.51317 .47206 L
.51445 .47373 L
.51465 .47399 L
.51594 .47591 L
.51638 .4765 L
.5173 .47784 L
.51831 .4792 L
.51869 .47977 L
.52008 .48169 L
.52023 .4819 L
.52139 .48362 L
.52216 .48467 L
.52274 .48555 L
.52409 .48741 L
.52413 .48747 L
.52539 .4894 L
.52601 .49027 L
.52667 .49133 L
.52794 .49313 L
.52801 .49326 L
.52917 .49518 L
.52987 .49622 L
.53033 .49711 L
.52987 .49829 L
.52889 .49711 L
.52794 .49608 L
.52719 .49518 L
.52601 .49422 L
.52552 .49326 L
.52409 .49155 L
.52376 .49133 L
.52227 .4894 L
.52216 .48928 L
.52065 .48747 L
.52023 .48724 L
.51903 .48555 L
.51831 .48463 L
.51717 .48362 L
.51638 .48213 L
.51617 .48169 L
.51445 .47988 L
.51436 .47977 L
.51283 .47784 L
.51253 .47745 L
.51106 .47591 L
.5106 .47489 L
.50997 .47399 L
.50867 .47233 L
.50833 .47206 L
.50688 .47013 L
.50674 .46996 L
.50522 .46821 L
.50482 .46736 L
.50407 .46628 L
.50289 .46474 L
.50283 .46435 L
.50107 .46242 L
.50096 .46229 L
.49949 .4605 L
.49904 .45967 L
.49832 .45857 L
.49711 .45702 L
.49674 .45664 L
.49532 .45472 L
.49518 .45453 L
.49381 .45279 L
.49326 .45188 L
.49264 .45086 L
.49133 .44923 L
.49103 .44894 L
.48962 .44701 L
.4894 .44672 L
.48815 .44508 L
.48747 .44405 L
.48698 .44316 L
.48555 .44141 L
.48536 .44123 L
.48396 .4393 L
.48362 .43887 L
.48251 .43737 L
.48169 .43618 L
.48134 .43545 L
.47977 .43357 L
.47972 .43352 L
.47795 .43159 L
.47784 .43098 L
.47689 .42967 L
.47591 .42828 L
.47569 .42774 L
.4741 .42581 L
.47399 .42572 L
.47235 .42389 L
.47206 .42306 L
.47129 .42196 L
.47013 .42035 L
.47003 .42003 L
.4685 .41811 L
.46821 .41784 L
.46678 .41618 L
.46628 .41509 L
.46572 .41425 L
.46435 .41236 L
.46434 .41232 L
.46295 .4104 L
.46242 .40988 L
.46128 .40847 L
.4605 .40704 L
.46019 .40654 L
.45881 .40462 L
.45857 .40428 L
.45745 .40269 L
.45664 .40178 L
.45586 .40076 L
.45472 .39884 L
.45471 .39884 L
.45339 .39691 L
.45279 .39607 L
.45205 .39498 L
.45086 .39338 L
.45063 .39306 L
.44942 .39113 L
.44894 .39044 L
.44813 .3892 L
.44701 .38755 L
.44683 .38727 L
.44565 .38535 L
.44508 .38448 L
.44448 .38342 L
F
1 .45 0 r
.44508 .49183 m
.44624 .49326 L
.44701 .49412 L
.44785 .49518 L
.44894 .49648 L
.44943 .49711 L
.45086 .49883 L
.45098 .49904 L
.45246 .50096 L
.45279 .50136 L
.45395 .50289 L
.45472 .50384 L
.45545 .50482 L
.45664 .50621 L
.45694 .50674 L
.4584 .50867 L
.45857 .50889 L
.45984 .5106 L
.4605 .51145 L
.4613 .51253 L
.46242 .51386 L
.46313 .51445 L
.46418 .51638 L
.46435 .5166 L
.46559 .51831 L
.46628 .5192 L
.46703 .52023 L
.46821 .52169 L
.4687 .52216 L
.46986 .52409 L
.47013 .52445 L
.47125 .52601 L
.47206 .5271 L
.47266 .52794 L
.47399 .5297 L
.47415 .52987 L
.47543 .53179 L
.47591 .53244 L
.4768 .53372 L
.47784 .53514 L
.4782 .53565 L
.47955 .53758 L
.47977 .53786 L
.48087 .5395 L
.48169 .54064 L
.48222 .54143 L
.48357 .54336 L
.48362 .54342 L
.48479 .54528 L
.48555 .54636 L
.48606 .54721 L
.48555 .54858 L
.48443 .54721 L
.48362 .54632 L
.48281 .54528 L
.48169 .54397 L
.48122 .54336 L
.47977 .54164 L
.47966 .54143 L
.47818 .5395 L
.47784 .53909 L
.4767 .53758 L
.47591 .53661 L
.4752 .53565 L
.47399 .53428 L
.4737 .53372 L
.47224 .53179 L
.47206 .53156 L
.47081 .52987 L
.47013 .529 L
.46936 .52794 L
.46821 .52663 L
.46789 .52601 L
.46646 .52409 L
.46628 .52385 L
.46506 .52216 L
.46435 .52124 L
.46362 .52023 L
.46242 .51879 L
.46189 .51831 L
.46078 .51638 L
.4605 .51601 L
.4594 .51445 L
.45857 .51336 L
.45798 .51253 L
.45664 .51077 L
.45647 .5106 L
.45521 .50867 L
.45472 .50803 L
.45383 .50674 L
.45279 .50534 L
.45243 .50482 L
.45106 .50289 L
.45086 .50263 L
.44975 .50096 L
.44894 .49986 L
.44839 .49904 L
.44701 .49711 L
.44701 .49711 L
.44579 .49518 L
.44508 .4942 L
.44451 .49326 L
F
0 .96 1 r
.44508 .43437 m
.44701 .43463 L
.4483 .43545 L
.44894 .43632 L
.45037 .43737 L
.45086 .43823 L
.45209 .4393 L
.45279 .44021 L
.45336 .44123 L
.45472 .44269 L
.45507 .44316 L
.45651 .44508 L
.45664 .44528 L
.45796 .44701 L
.45857 .44798 L
.45911 .44894 L
.4605 .45067 L
.46083 .45086 L
.46238 .45279 L
.46242 .45304 L
.46362 .45472 L
.46435 .45571 L
.46474 .45664 L
.46628 .45838 L
.46644 .45857 L
.46803 .4605 L
.46821 .46109 L
.46912 .46242 L
.47013 .46406 L
.47021 .46435 L
.47013 .46567 L
.46821 .46591 L
.46628 .46539 L
.46518 .46435 L
.46435 .46347 L
.46343 .46242 L
.46242 .461 L
.46216 .4605 L
.46063 .45857 L
.4605 .45843 L
.45872 .45664 L
.45857 .45581 L
.4577 .45472 L
.45664 .45315 L
.45646 .45279 L
.45497 .45086 L
.45472 .45078 L
.45312 .44894 L
.45279 .44806 L
.4521 .44701 L
.45086 .44524 L
.45081 .44508 L
.4494 .44316 L
.44894 .4425 L
.44763 .44123 L
.44701 .43974 L
.44666 .4393 L
.44547 .43737 L
.44508 .43669 L
.44454 .43545 L
F
1 .44 0 r
.44508 .49194 m
.44616 .49326 L
.44701 .4942 L
.44779 .49518 L
.44894 .49654 L
.44938 .49711 L
.45086 .49891 L
.45093 .49904 L
.45242 .50096 L
.45279 .50141 L
.45391 .50289 L
.45472 .50389 L
.45542 .50482 L
.45664 .50627 L
.45691 .50674 L
.45836 .50867 L
.45857 .50893 L
.4598 .5106 L
.4605 .51149 L
.46126 .51253 L
.46242 .51391 L
.46307 .51445 L
.46415 .51638 L
.46435 .51664 L
.46556 .51831 L
.46628 .51925 L
.467 .52023 L
.46821 .52174 L
.46864 .52216 L
.46982 .52409 L
.47013 .52449 L
.47122 .52601 L
.47206 .52714 L
.47263 .52794 L
.47399 .52976 L
.47409 .52987 L
.47539 .53179 L
.47591 .53249 L
.47677 .53372 L
.47784 .53519 L
.47816 .53565 L
.47951 .53758 L
.47977 .53792 L
.48082 .5395 L
.48169 .5407 L
.48218 .54143 L
.48351 .54336 L
.48362 .5435 L
.48473 .54528 L
.48555 .54646 L
.48599 .54721 L
.48555 .54847 L
.48452 .54721 L
.48362 .54624 L
.48287 .54528 L
.48169 .5439 L
.48127 .54336 L
.47977 .54155 L
.47971 .54143 L
.47823 .5395 L
.47784 .53904 L
.47674 .53758 L
.47591 .53656 L
.47523 .53565 L
.47399 .53422 L
.47374 .53372 L
.47228 .53179 L
.47206 .53152 L
.47084 .52987 L
.47013 .52896 L
.46939 .52794 L
.46821 .52657 L
.46792 .52601 L
.46649 .52409 L
.46628 .52381 L
.46509 .52216 L
.46435 .52121 L
.46365 .52023 L
.46242 .51874 L
.46195 .51831 L
.46082 .51638 L
.4605 .51597 L
.45943 .51445 L
.45857 .51332 L
.45801 .51253 L
.45664 .51072 L
.45652 .5106 L
.45524 .50867 L
.45472 .50798 L
.45387 .50674 L
.45279 .50529 L
.45246 .50482 L
.4511 .50289 L
.45086 .50257 L
.44979 .50096 L
.44894 .4998 L
.44843 .49904 L
.44706 .49711 L
.44701 .49703 L
.44585 .49518 L
.44508 .49411 L
.44458 .49326 L
F
0 .8 1 r
.44508 .48365 m
.44679 .48555 L
.44701 .48577 L
.44846 .48747 L
.44894 .48801 L
.45009 .4894 L
.45086 .48995 L
.45169 .49133 L
.45279 .49265 L
.45354 .49326 L
.45472 .4951 L
.45478 .49518 L
.4563 .49711 L
.45664 .49734 L
.45782 .49904 L
.45857 .49997 L
.45957 .50096 L
.4605 .50253 L
.46076 .50289 L
.46227 .50482 L
.46242 .50493 L
.46375 .50674 L
.46435 .50751 L
.46539 .50867 L
.46628 .51012 L
.46659 .5106 L
.46812 .51253 L
.46821 .5126 L
.46957 .51445 L
.47013 .51518 L
.47113 .51638 L
.47206 .51782 L
.47235 .51831 L
.47388 .52023 L
.47399 .52032 L
.47532 .52216 L
.47591 .52293 L
.47682 .52409 L
.47784 .52559 L
.47806 .52601 L
.47959 .52794 L
.47977 .5281 L
.48157 .52987 L
.48169 .53075 L
.48249 .53179 L
.48362 .53342 L
.48376 .53372 L
.48526 .53565 L
.48555 .53592 L
.48713 .53758 L
.48747 .53862 L
.48812 .5395 L
.4894 .5413 L
.48945 .54143 L
.4909 .54336 L
.49133 .54378 L
.49269 .54528 L
.49326 .54655 L
.49372 .54721 L
.4951 .54914 L
.49518 .54924 L
.49649 .55106 L
.49711 .55172 L
.4982 .55299 L
.49904 .55454 L
.49929 .55492 L
.50066 .55684 L
.50096 .55726 L
.50204 .55877 L
.50289 .55976 L
.50366 .5607 L
.50481 .56263 L
.50482 .56264 L
.50615 .56455 L
.50674 .56537 L
.50752 .56648 L
.50867 .56799 L
.50899 .56841 L
.51021 .57033 L
.5106 .57086 L
.51154 .57226 L
.51253 .57366 L
.51288 .57419 L
.51418 .57611 L
.51445 .5765 L
.51543 .57804 L
.51638 .57944 L
.51671 .57997 L
.51788 .58189 L
.51831 .58256 L
.51892 .58382 L
.51831 .58456 L
.51761 .58382 L
.51638 .58258 L
.5158 .58189 L
.51445 .58063 L
.5141 .57997 L
.51253 .5781 L
.51244 .57804 L
.51092 .57611 L
.5106 .57574 L
.50937 .57419 L
.50867 .57363 L
.50783 .57226 L
.50674 .57095 L
.50606 .57033 L
.50482 .56842 L
.5048 .56841 L
.50333 .56648 L
.50289 .56614 L
.50184 .56455 L
.50096 .56347 L
.50014 .56263 L
.49904 .56088 L
.4989 .5607 L
.49745 .55877 L
.49711 .5585 L
.496 .55684 L
.49518 .55583 L
.49436 .55492 L
.49326 .5532 L
.49311 .55299 L
.49166 .55106 L
.49133 .55078 L
.49023 .54914 L
.4894 .5481 L
.48865 .54721 L
.48747 .54544 L
.48738 .54528 L
.48594 .54336 L
.48555 .54301 L
.4838 .54143 L
.48362 .54029 L
.48298 .5395 L
.48169 .53763 L
.48167 .53758 L
.48026 .53565 L
.47977 .53519 L
.47826 .53372 L
.47784 .53243 L
.47734 .53179 L
.476 .52987 L
.47591 .52975 L
.47461 .52794 L
.47399 .52733 L
.47273 .52601 L
.47206 .52453 L
.47173 .52409 L
.47038 .52216 L
.47013 .52184 L
.46899 .52023 L
.46821 .5194 L
.46722 .51831 L
.46628 .51656 L
.46614 .51638 L
.46479 .51445 L
.46435 .51387 L
.4634 .51253 L
.46242 .51139 L
.46175 .5106 L
.4606 .50867 L
.4605 .50854 L
.45924 .50674 L
.45857 .50584 L
.45786 .50482 L
.45664 .50325 L
.45635 .50289 L
.45511 .50096 L
.45472 .50044 L
.45376 .49904 L
.45279 .49771 L
.45238 .49711 L
.45102 .49518 L
.45086 .49497 L
.44973 .49326 L
.44894 .49216 L
.44839 .49133 L
.44704 .4894 L
.44701 .48935 L
.44584 .48747 L
.44508 .48638 L
.4446 .48555 L
F
0 .09 1 r
.44508 .50031 m
.44554 .50096 L
.44701 .50276 L
.4471 .50289 L
.44701 .50441 L
.44604 .50289 L
.44508 .50171 L
.44462 .50096 L
F
1 .43 0 r
.44508 .49205 m
.44608 .49326 L
.44701 .49428 L
.44773 .49518 L
.44894 .49661 L
.44933 .49711 L
.45086 .499 L
.45088 .49904 L
.45237 .50096 L
.45279 .50147 L
.45387 .50289 L
.45472 .50395 L
.45538 .50482 L
.45664 .50633 L
.45687 .50674 L
.45832 .50867 L
.45857 .50898 L
.45977 .5106 L
.4605 .51153 L
.46123 .51253 L
.46242 .51396 L
.46301 .51445 L
.46411 .51638 L
.46435 .51668 L
.46553 .51831 L
.46628 .51929 L
.46697 .52023 L
.46821 .5218 L
.46859 .52216 L
.46979 .52409 L
.47013 .52453 L
.47119 .52601 L
.47206 .52718 L
.4726 .52794 L
.47399 .52982 L
.47403 .52987 L
.47536 .53179 L
.47591 .53254 L
.47673 .53372 L
.47784 .53524 L
.47813 .53565 L
.47947 .53758 L
.47977 .53798 L
.48078 .5395 L
.48169 .54076 L
.48213 .54143 L
.48345 .54336 L
.48362 .54359 L
.48466 .54528 L
.48555 .54657 L
.48591 .54721 L
.48555 .54834 L
.48461 .54721 L
.48362 .54615 L
.48294 .54528 L
.48169 .54383 L
.48132 .54336 L
.47977 .54146 L
.47975 .54143 L
.47827 .5395 L
.47784 .53899 L
.47678 .53758 L
.47591 .53651 L
.47527 .53565 L
.47399 .53415 L
.47377 .53372 L
.47232 .53179 L
.47206 .53147 L
.47088 .52987 L
.47013 .52892 L
.46942 .52794 L
.46821 .52652 L
.46795 .52601 L
.46653 .52409 L
.46628 .52377 L
.46512 .52216 L
.46435 .52117 L
.46368 .52023 L
.46242 .51868 L
.462 .51831 L
.46085 .51638 L
.4605 .51593 L
.45946 .51445 L
.45857 .51328 L
.45804 .51253 L
.45664 .51066 L
.45658 .5106 L
.45527 .50867 L
.45472 .50794 L
.4539 .50674 L
.45279 .50525 L
.4525 .50482 L
.45114 .50289 L
.45086 .50252 L
.44983 .50096 L
.44894 .49975 L
.44847 .49904 L
.44712 .49711 L
.44701 .49696 L
.44591 .49518 L
.44508 .49401 L
.44465 .49326 L
F
0 .08 1 r
.44508 .50041 m
.44546 .50096 L
.44701 .50285 L
.44704 .50289 L
.44701 .50431 L
.44613 .50289 L
.44508 .5016 L
.4447 .50096 L
F
0 .79 1 r
.44508 .48389 m
.44662 .48555 L
.44701 .48595 L
.44833 .48747 L
.44894 .48815 L
.44998 .4894 L
.45086 .49007 L
.4516 .49133 L
.45279 .49276 L
.45342 .49326 L
.45471 .49518 L
.45472 .4952 L
.45623 .49711 L
.45664 .4974 L
.45776 .49904 L
.45857 .50005 L
.45951 .50096 L
.4605 .50259 L
.46072 .50289 L
.46222 .50482 L
.46242 .50497 L
.4637 .50674 L
.46435 .50757 L
.46535 .50867 L
.46628 .51017 L
.46656 .5106 L
.46807 .51253 L
.46821 .51263 L
.46953 .51445 L
.47013 .51523 L
.47109 .51638 L
.47206 .51787 L
.47232 .51831 L
.47384 .52023 L
.47399 .52036 L
.47528 .52216 L
.47591 .52298 L
.47679 .52409 L
.47784 .52563 L
.47804 .52601 L
.47956 .52794 L
.47977 .52813 L
.48155 .52987 L
.48169 .53079 L
.48246 .53179 L
.48362 .53346 L
.48374 .53372 L
.48523 .53565 L
.48555 .53595 L
.48711 .53758 L
.48747 .53866 L
.48809 .5395 L
.4894 .54134 L
.48943 .54143 L
.49086 .54336 L
.49133 .54382 L
.49266 .54528 L
.49326 .54659 L
.49369 .54721 L
.49507 .54914 L
.49518 .54929 L
.49646 .55106 L
.49711 .55176 L
.49817 .55299 L
.49904 .55459 L
.49925 .55492 L
.50062 .55684 L
.50096 .55731 L
.502 .55877 L
.50289 .55982 L
.5036 .5607 L
.50476 .56263 L
.50482 .5627 L
.5061 .56455 L
.50674 .56544 L
.50747 .56648 L
.50867 .56809 L
.50892 .56841 L
.51015 .57033 L
.5106 .57096 L
.51147 .57226 L
.51253 .57376 L
.51281 .57419 L
.51409 .57611 L
.51445 .57664 L
.51533 .57804 L
.51638 .57961 L
.51659 .57997 L
.51769 .58189 L
.51831 .58295 L
.51863 .58382 L
.51831 .58418 L
.51793 .58382 L
.51638 .58237 L
.51597 .58189 L
.51445 .5804 L
.51423 .57997 L
.5126 .57804 L
.51253 .57796 L
.51102 .57611 L
.5106 .57562 L
.50946 .57419 L
.50867 .57355 L
.5079 .57226 L
.50674 .57086 L
.50615 .57033 L
.50487 .56841 L
.50482 .56835 L
.50339 .56648 L
.50289 .56609 L
.5019 .56455 L
.50096 .56341 L
.50019 .56263 L
.49904 .56082 L
.49894 .5607 L
.49749 .55877 L
.49711 .55846 L
.49604 .55684 L
.49518 .55578 L
.4944 .55492 L
.49326 .55316 L
.49314 .55299 L
.4917 .55106 L
.49133 .55075 L
.49026 .54914 L
.4894 .54805 L
.48868 .54721 L
.48747 .5454 L
.4874 .54528 L
.48597 .54336 L
.48555 .54298 L
.48382 .54143 L
.48362 .54025 L
.48301 .5395 L
.48169 .53759 L
.48169 .53758 L
.48029 .53565 L
.47977 .53516 L
.47829 .53372 L
.47784 .5324 L
.47737 .53179 L
.47603 .52987 L
.47591 .52972 L
.47464 .52794 L
.47399 .52729 L
.47276 .52601 L
.47206 .52449 L
.47176 .52409 L
.47041 .52216 L
.47013 .5218 L
.46902 .52023 L
.46821 .51936 L
.46725 .51831 L
.46628 .51652 L
.46618 .51638 L
.46482 .51445 L
.46435 .51383 L
.46343 .51253 L
.46242 .51134 L
.46179 .5106 L
.46063 .50867 L
.4605 .50849 L
.45928 .50674 L
.45857 .50579 L
.4579 .50482 L
.45664 .50318 L
.45641 .50289 L
.45515 .50096 L
.45472 .50038 L
.45381 .49904 L
.45279 .49764 L
.45243 .49711 L
.45108 .49518 L
.45086 .49489 L
.44979 .49326 L
.44894 .49206 L
.44846 .49133 L
.44714 .4894 L
.44701 .48922 L
.44595 .48747 L
.44508 .4862 L
.44472 .48555 L
F
1 .42 0 r
.44508 .49218 m
.44598 .49326 L
.44701 .49437 L
.44766 .49518 L
.44894 .49668 L
.44927 .49711 L
.45083 .49904 L
.45086 .49907 L
.45232 .50096 L
.45279 .50153 L
.45383 .50289 L
.45472 .504 L
.45534 .50482 L
.45664 .50639 L
.45684 .50674 L
.45829 .50867 L
.45857 .50903 L
.45974 .5106 L
.4605 .51158 L
.4612 .51253 L
.46242 .51402 L
.46295 .51445 L
.46408 .51638 L
.46435 .51673 L
.4655 .51831 L
.46628 .51933 L
.46694 .52023 L
.46821 .52185 L
.46853 .52216 L
.46976 .52409 L
.47013 .52458 L
.47115 .52601 L
.47206 .52722 L
.47257 .52794 L
.47398 .52987 L
.47399 .52988 L
.47532 .53179 L
.47591 .53259 L
.4767 .53372 L
.47784 .53529 L
.47809 .53565 L
.47942 .53758 L
.47977 .53804 L
.48074 .5395 L
.48169 .54083 L
.48209 .54143 L
.48339 .54336 L
.48362 .54368 L
.48458 .54528 L
.48555 .5467 L
.48583 .54721 L
.48555 .5482 L
.48472 .54721 L
.48362 .54606 L
.48301 .54528 L
.48169 .54376 L
.48138 .54336 L
.47981 .54143 L
.47977 .54138 L
.47832 .5395 L
.47784 .53893 L
.47682 .53758 L
.47591 .53646 L
.47531 .53565 L
.47399 .53409 L
.4738 .53372 L
.47235 .53179 L
.47206 .53143 L
.47091 .52987 L
.47013 .52888 L
.46945 .52794 L
.46821 .52646 L
.46798 .52601 L
.46656 .52409 L
.46628 .52373 L
.46515 .52216 L
.46435 .52113 L
.46371 .52023 L
.46242 .51863 L
.46206 .51831 L
.46088 .51638 L
.4605 .51589 L
.45949 .51445 L
.45857 .51324 L
.45807 .51253 L
.45664 .5106 L
.45664 .5106 L
.45531 .50867 L
.45472 .50789 L
.45393 .50674 L
.45279 .5052 L
.45253 .50482 L
.45118 .50289 L
.45086 .50246 L
.44987 .50096 L
.44894 .49969 L
.44851 .49904 L
.44718 .49711 L
.44701 .49688 L
.44598 .49518 L
.44508 .4939 L
.44472 .49326 L
F
1 .88 0 r
.44508 .39049 m
.44565 .39113 L
.44701 .39248 L
.44747 .39306 L
.44894 .39471 L
.44915 .39498 L
.45074 .39691 L
.45086 .39705 L
.45225 .39884 L
.45279 .39947 L
.45377 .40076 L
.45472 .40191 L
.4553 .40269 L
.45664 .4043 L
.45706 .40462 L
.45828 .40654 L
.45857 .4069 L
.45973 .40847 L
.4605 .40943 L
.46121 .4104 L
.46242 .41185 L
.46298 .41232 L
.46413 .41425 L
.46435 .41453 L
.46555 .41618 L
.46628 .41711 L
.467 .41811 L
.46821 .41958 L
.46868 .42003 L
.46988 .42196 L
.47013 .42229 L
.47128 .42389 L
.47206 .4249 L
.47271 .42581 L
.47399 .42743 L
.47429 .42774 L
.47555 .42967 L
.47591 .43014 L
.47694 .43159 L
.47784 .43278 L
.47836 .43352 L
.47977 .43539 L
.47982 .43545 L
.48115 .43737 L
.48169 .43808 L
.48254 .4393 L
.48362 .44074 L
.48396 .44123 L
.48535 .44316 L
.48555 .44342 L
.48669 .44508 L
.48747 .44613 L
.48807 .44701 L
.4894 .44872 L
.48948 .44894 L
.49079 .45086 L
.49133 .45158 L
.49212 .45279 L
.49326 .45434 L
.4935 .45472 L
.4948 .45664 L
.49518 .45717 L
.49605 .45857 L
.49711 .46009 L
.49735 .4605 L
.49711 .46226 L
.49556 .4605 L
.49518 .46009 L
.49392 .45857 L
.49326 .4578 L
.49232 .45664 L
.49133 .45543 L
.49076 .45472 L
.4894 .45304 L
.48907 .45279 L
.48774 .45086 L
.48747 .45054 L
.48623 .44894 L
.48555 .44857 L
.48474 .44701 L
.48362 .44561 L
.48305 .44508 L
.4818 .44316 L
.48169 .44302 L
.48034 .44123 L
.47977 .44087 L
.47887 .4393 L
.47784 .43799 L
.47726 .43737 L
.47598 .43545 L
.47591 .43536 L
.47454 .43352 L
.47399 .43311 L
.4731 .43159 L
.47206 .43024 L
.47156 .42967 L
.47025 .42774 L
.47013 .42758 L
.46883 .42581 L
.46821 .42528 L
.46741 .42389 L
.46628 .42239 L
.46593 .42196 L
.4646 .42003 L
.46435 .4197 L
.4632 .41811 L
.46242 .41735 L
.46112 .41618 L
.4605 .4144 L
.46038 .41425 L
.45903 .41232 L
.45857 .41169 L
.45765 .4104 L
.45664 .40922 L
.45591 .40847 L
.45492 .40654 L
.45472 .40627 L
.45358 .40462 L
.45279 .40351 L
.45222 .40269 L
.45088 .40076 L
.45086 .40074 L
.44961 .39884 L
.44894 .39787 L
.44831 .39691 L
.44702 .39498 L
.44701 .39497 L
.4459 .39306 L
.44508 .39176 L
.44478 .39113 L
F
1 .66 0 r
.44508 .44128 m
.44701 .44278 L
.44728 .44316 L
.44894 .44493 L
.44916 .44508 L
.45065 .44701 L
.45086 .44726 L
.45217 .44894 L
.45279 .44971 L
.45365 .45086 L
.45472 .45212 L
.45532 .45279 L
.45645 .45472 L
.45664 .45499 L
.45774 .45664 L
.45857 .45795 L
.45895 .45857 L
.45978 .4605 L
.45857 .46106 L
.45787 .4605 L
.45664 .45996 L
.45589 .45857 L
.45472 .45741 L
.45422 .45664 L
.45279 .45488 L
.45262 .45472 L
.45123 .45279 L
.45086 .45231 L
.44982 .45086 L
.44894 .44965 L
.44844 .44894 L
.44711 .44701 L
.44701 .44686 L
.44591 .44508 L
.44508 .44371 L
.44479 .44316 L
F
0 .07 1 r
.44508 .50053 m
.44537 .50096 L
.44508 .50148 L
.44479 .50096 L
F
1 .41 0 r
.44508 .49232 m
.44588 .49326 L
.44701 .49446 L
.44759 .49518 L
.44894 .49675 L
.44922 .49711 L
.45077 .49904 L
.45086 .49914 L
.45227 .50096 L
.45279 .50158 L
.45379 .50289 L
.45472 .50405 L
.4553 .50482 L
.45664 .50646 L
.4568 .50674 L
.45825 .50867 L
.45857 .50908 L
.4597 .5106 L
.4605 .51162 L
.46117 .51253 L
.46242 .51408 L
.46288 .51445 L
.46405 .51638 L
.46435 .51677 L
.46547 .51831 L
.46628 .51937 L
.4669 .52023 L
.46821 .52191 L
.46847 .52216 L
.46972 .52409 L
.47013 .52462 L
.47112 .52601 L
.47206 .52727 L
.47254 .52794 L
.47394 .52987 L
.47399 .52992 L
.47528 .53179 L
.47591 .53264 L
.47666 .53372 L
.47784 .53534 L
.47805 .53565 L
.47938 .53758 L
.47977 .5381 L
.48069 .5395 L
.48169 .5409 L
.48204 .54143 L
.48332 .54336 L
.48362 .54378 L
.4845 .54528 L
.48555 .54685 L
.48574 .54721 L
.48555 .54803 L
.48485 .54721 L
.48362 .54596 L
.48308 .54528 L
.48169 .54369 L
.48144 .54336 L
.47987 .54143 L
.47977 .54132 L
.47837 .5395 L
.47784 .53887 L
.47686 .53758 L
.47591 .53641 L
.47535 .53565 L
.47399 .53402 L
.47384 .53372 L
.47239 .53179 L
.47206 .53138 L
.47095 .52987 L
.47013 .52883 L
.46948 .52794 L
.46821 .52641 L
.46801 .52601 L
.46659 .52409 L
.46628 .52369 L
.46518 .52216 L
.46435 .52109 L
.46374 .52023 L
.46242 .51857 L
.46213 .51831 L
.46091 .51638 L
.4605 .51584 L
.45952 .51445 L
.45857 .5132 L
.4581 .51253 L
.45668 .5106 L
.45664 .51055 L
.45534 .50867 L
.45472 .50785 L
.45396 .50674 L
.45279 .50515 L
.45256 .50482 L
.45123 .50289 L
.45086 .50241 L
.44992 .50096 L
.44894 .49962 L
.44856 .49904 L
.44724 .49711 L
.44701 .49679 L
.44605 .49518 L
.44508 .49378 L
.4448 .49326 L
F
1 .96 0 r
.44508 .47699 m
.44595 .47784 L
.44701 .47877 L
.44796 .47977 L
.44894 .48073 L
.44985 .48169 L
.45086 .48271 L
.45168 .48362 L
.45279 .48533 L
.45347 .48555 L
.45472 .48696 L
.45519 .48747 L
.45664 .48918 L
.45685 .4894 L
.45846 .49133 L
.45857 .49148 L
.46026 .49326 L
.4605 .49397 L
.4614 .49518 L
.46242 .49663 L
.46259 .49711 L
.46435 .4987 L
.46462 .49904 L
.46621 .50096 L
.46628 .50125 L
.4675 .50289 L
.46821 .50391 L
.46869 .50482 L
.47013 .50656 L
.47047 .50674 L
.47197 .50867 L
.47206 .50891 L
.47326 .5106 L
.47399 .5116 L
.47438 .51253 L
.47591 .51428 L
.47622 .51445 L
.47768 .51638 L
.47784 .51669 L
.47893 .51831 L
.47977 .51941 L
.47996 .52023 L
.48169 .52208 L
.48191 .52216 L
.48337 .52409 L
.48362 .52453 L
.48457 .52601 L
.48555 .52725 L
.48619 .52794 L
.48747 .52985 L
.48759 .52987 L
.48903 .53179 L
.4894 .53238 L
.4902 .53372 L
.49133 .53511 L
.49186 .53565 L
.49325 .53758 L
.49326 .53759 L
.49468 .5395 L
.49518 .54026 L
.49583 .54143 L
.49711 .54296 L
.49751 .54336 L
.49903 .54528 L
.49904 .54546 L
.50032 .54721 L
.50096 .54814 L
.50145 .54914 L
.50289 .55082 L
.50315 .55106 L
.50473 .55299 L
.50482 .55334 L
.50594 .55492 L
.50674 .55603 L
.50707 .55684 L
.50867 .55867 L
.50878 .55877 L
.51039 .5607 L
.5106 .56124 L
.51156 .56263 L
.51253 .56394 L
.5127 .56455 L
.5144 .56648 L
.51445 .56653 L
.51602 .56841 L
.51638 .56915 L
.51716 .57033 L
.51831 .57185 L
.51836 .57226 L
.52001 .57419 L
.52023 .57439 L
.52163 .57611 L
.52216 .57708 L
.52276 .57804 L
.52409 .57979 L
.52422 .57997 L
.52561 .58189 L
.52601 .58229 L
.52721 .58382 L
.52794 .58505 L
.52835 .58575 L
.5298 .58768 L
.52987 .58777 L
.53118 .5896 L
.53179 .59025 L
.53274 .59153 L
.53372 .59308 L
.53393 .59346 L
.53533 .59538 L
.53565 .59581 L
.53671 .59731 L
.53758 .59833 L
.53822 .59924 L
.53946 .60116 L
.5395 .60122 L
.5408 .60309 L
.54143 .60397 L
.54276 .60502 L
.54336 .60663 L
.54356 .60694 L
.54482 .60887 L
.54528 .60952 L
.54613 .6108 L
.54721 .61236 L
.54768 .61273 L
.54869 .61465 L
.54914 .61531 L
.5499 .61658 L
.55106 .61841 L
.55112 .61851 L
.55204 .62043 L
.55106 .62096 L
.55053 .62043 L
.54914 .61946 L
.54863 .61851 L
.54721 .61698 L
.54689 .61658 L
.54528 .6147 L
.54522 .61465 L
.54363 .61273 L
.54336 .61258 L
.54205 .6108 L
.54143 .61007 L
.53986 .60887 L
.5395 .60759 L
.53893 .60694 L
.53758 .60513 L
.53751 .60502 L
.53596 .60309 L
.53565 .60272 L
.53407 .60116 L
.53372 .60015 L
.53299 .59924 L
.53179 .59758 L
.53169 .59731 L
.53006 .59538 L
.52987 .59514 L
.52834 .59346 L
.52794 .59253 L
.5272 .59153 L
.52601 .58991 L
.52594 .5896 L
.52427 .58768 L
.52409 .58744 L
.52263 .58575 L
.52216 .5848 L
.52147 .58382 L
.52023 .58216 L
.52023 .58189 L
.51854 .57997 L
.51831 .57967 L
.51695 .57804 L
.51638 .57701 L
.51579 .57611 L
.51445 .57437 L
.51426 .57419 L
.51285 .57226 L
.51253 .57185 L
.51129 .57033 L
.5106 .56917 L
.51012 .56841 L
.50867 .56656 L
.50859 .56648 L
.50718 .56455 L
.50674 .564 L
.50565 .56263 L
.50482 .56132 L
.50446 .5607 L
.50293 .55877 L
.50289 .55874 L
.50104 .55684 L
.50096 .55614 L
.50001 .55492 L
.49904 .55345 L
.4988 .55299 L
.49728 .55106 L
.49711 .55091 L
.49543 .54914 L
.49518 .54826 L
.49439 .54721 L
.49326 .54557 L
.49313 .54528 L
.49164 .54336 L
.49133 .54307 L
.48983 .54143 L
.4894 .54037 L
.48877 .5395 L
.48747 .53768 L
.48744 .53758 L
.48601 .53565 L
.48555 .5352 L
.48425 .53372 L
.48362 .53246 L
.48315 .53179 L
.48177 .52987 L
.48169 .52977 L
.48038 .52794 L
.47977 .52731 L
.47867 .52601 L
.47784 .52453 L
.47754 .52409 L
.47615 .52216 L
.47591 .52184 L
.47476 .52023 L
.47399 .51938 L
.47311 .51831 L
.47206 .51659 L
.47193 .51638 L
.47055 .51445 L
.47013 .5139 L
.46916 .51253 L
.46821 .51142 L
.46756 .5106 L
.46632 .50867 L
.46628 .50861 L
.46496 .50674 L
.46435 .50594 L
.46357 .50482 L
.46242 .5034 L
.46204 .50289 L
.46076 .50096 L
.4605 .50062 L
.4594 .49904 L
.45857 .49793 L
.45746 .49711 L
.45664 .4953 L
.45656 .49518 L
.45524 .49326 L
.45472 .49255 L
.45388 .49133 L
.45279 .48984 L
.45212 .4894 L
.45113 .48747 L
.45086 .48711 L
.44984 .48555 L
.44894 .48431 L
.4485 .48362 L
.44717 .48169 L
.44701 .48147 L
.44602 .47977 L
.44508 .47834 L
.44485 .47784 L
F
0 .78 1 r
.44508 .48417 m
.44641 .48555 L
.44701 .48613 L
.44819 .48747 L
.44894 .4883 L
.44987 .4894 L
.45086 .4902 L
.4515 .49133 L
.45279 .49287 L
.45329 .49326 L
.45463 .49518 L
.45472 .49529 L
.45616 .49711 L
.45664 .49745 L
.45769 .49904 L
.45857 .50012 L
.45945 .50096 L
.4605 .50266 L
.46067 .50289 L
.46217 .50482 L
.46242 .50501 L
.46365 .50674 L
.46435 .50763 L
.4653 .50867 L
.46628 .51023 L
.46652 .5106 L
.46803 .51253 L
.46821 .51267 L
.46949 .51445 L
.47013 .51528 L
.47106 .51638 L
.47206 .51791 L
.47229 .51831 L
.47381 .52023 L
.47399 .52039 L
.47525 .52216 L
.47591 .52302 L
.47676 .52409 L
.47784 .52568 L
.47802 .52601 L
.47953 .52794 L
.47977 .52816 L
.48154 .52987 L
.48169 .53084 L
.48243 .53179 L
.48362 .5335 L
.48372 .53372 L
.4852 .53565 L
.48555 .53598 L
.48709 .53758 L
.48747 .53871 L
.48806 .5395 L
.4894 .54138 L
.48942 .54143 L
.49083 .54336 L
.49133 .54386 L
.49263 .54528 L
.49326 .54664 L
.49366 .54721 L
.49503 .54914 L
.49518 .54934 L
.49642 .55106 L
.49711 .55181 L
.49813 .55299 L
.49904 .55465 L
.49922 .55492 L
.50058 .55684 L
.50096 .55737 L
.50196 .55877 L
.50289 .55988 L
.50355 .5607 L
.50471 .56263 L
.50482 .56277 L
.50605 .56455 L
.50674 .56551 L
.50742 .56648 L
.50867 .56819 L
.50884 .56841 L
.51009 .57033 L
.5106 .57105 L
.5114 .57226 L
.51253 .57387 L
.51274 .57419 L
.51399 .57611 L
.51445 .57679 L
.51522 .57804 L
.51638 .57981 L
.51647 .57997 L
.51745 .58189 L
.51638 .58213 L
.51617 .58189 L
.51445 .58012 L
.51437 .57997 L
.51272 .57804 L
.51253 .57782 L
.51113 .57611 L
.5106 .57551 L
.50954 .57419 L
.50867 .57345 L
.50798 .57226 L
.50674 .57076 L
.50625 .57033 L
.50493 .56841 L
.50482 .56827 L
.50344 .56648 L
.50289 .56603 L
.50195 .56455 L
.50096 .56334 L
.50025 .56263 L
.49904 .56077 L
.49899 .5607 L
.49754 .55877 L
.49711 .55842 L
.49608 .55684 L
.49518 .55573 L
.49444 .55492 L
.49326 .55311 L
.49317 .55299 L
.49173 .55106 L
.49133 .55072 L
.49029 .54914 L
.4894 .54801 L
.48871 .54721 L
.48747 .54537 L
.48742 .54528 L
.486 .54336 L
.48555 .54295 L
.48384 .54143 L
.48362 .54022 L
.48304 .5395 L
.48171 .53758 L
.48169 .53755 L
.48031 .53565 L
.47977 .53513 L
.47831 .53372 L
.47784 .53236 L
.4774 .53179 L
.47606 .52987 L
.47591 .52968 L
.47466 .52794 L
.47399 .52726 L
.47279 .52601 L
.47206 .52445 L
.47178 .52409 L
.47043 .52216 L
.47013 .52176 L
.46904 .52023 L
.46821 .51932 L
.46729 .51831 L
.46628 .51648 L
.46621 .51638 L
.46485 .51445 L
.46435 .51379 L
.46346 .51253 L
.46242 .51129 L
.46184 .5106 L
.46067 .50867 L
.4605 .50844 L
.45932 .50674 L
.45857 .50574 L
.45793 .50482 L
.45664 .50311 L
.45646 .50289 L
.4552 .50096 L
.45472 .50031 L
.45385 .49904 L
.45279 .49757 L
.45248 .49711 L
.45114 .49518 L
.45086 .4948 L
.44986 .49326 L
.44894 .49196 L
.44853 .49133 L
.44724 .4894 L
.44701 .48908 L
.44606 .48747 L
.44508 .48598 L
.44486 .48555 L
F
1 .97 0 r
.44508 .37409 m
.44684 .37571 L
.44701 .37586 L
.44866 .37764 L
.44894 .37792 L
.45037 .37957 L
.45086 .37977 L
.45203 .38149 L
.45279 .38234 L
.45365 .38342 L
.45472 .38477 L
.45528 .38535 L
.45664 .38717 L
.45672 .38727 L
.45828 .3892 L
.45857 .38955 L
.46032 .39113 L
.4605 .39208 L
.46131 .39306 L
.46242 .39463 L
.46261 .39498 L
.46425 .39691 L
.46435 .39704 L
.46603 .39884 L
.46628 .39962 L
.46715 .40076 L
.46821 .40225 L
.46837 .40269 L
.47007 .40462 L
.47013 .40469 L
.47173 .40654 L
.47206 .40731 L
.4729 .40847 L
.47399 .40998 L
.47408 .4104 L
.47582 .41232 L
.47591 .41244 L
.47743 .41425 L
.47784 .41509 L
.47859 .41618 L
.47977 .41776 L
.47977 .41811 L
.48152 .42003 L
.48169 .42025 L
.4831 .42196 L
.48362 .42291 L
.48426 .42389 L
.48555 .42557 L
.4858 .42581 L
.4872 .42774 L
.48747 .42809 L
.48875 .42967 L
.4894 .43076 L
.48992 .43159 L
.49133 .43339 L
.49146 .43352 L
.49286 .43545 L
.49326 .43595 L
.49439 .43737 L
.49518 .43863 L
.49557 .4393 L
.49711 .44123 L
.49711 .44123 L
.49897 .44316 L
.49904 .44382 L
.50002 .44508 L
.50096 .4465 L
.50122 .44701 L
.50276 .44894 L
.50289 .44906 L
.50459 .45086 L
.50482 .4517 L
.50564 .45279 L
.50674 .45439 L
.50688 .45472 L
.50839 .45664 L
.50867 .4569 L
.51019 .45857 L
.5106 .45959 L
.51126 .4605 L
.51253 .46228 L
.51257 .46242 L
.51403 .46435 L
.51445 .46476 L
.51578 .46628 L
.51638 .46749 L
.51688 .46821 L
.51827 .47013 L
.51831 .47018 L
.51965 .47206 L
.52023 .47265 L
.52137 .47399 L
.52216 .47541 L
.5225 .47591 L
.52389 .47784 L
.52409 .4781 L
.52528 .47977 L
.52601 .48056 L
.52694 .48169 L
.52794 .48335 L
.52812 .48362 L
.5295 .48555 L
.52987 .48603 L
.53089 .48747 L
.53179 .4885 L
.5325 .4894 L
.53372 .49131 L
.53373 .49133 L
.5351 .49326 L
.53565 .49398 L
.5365 .49518 L
.53758 .49649 L
.53805 .49711 L
.53932 .49904 L
.5395 .49928 L
.54068 .50096 L
.54143 .50151 L
.54262 .50289 L
.54336 .50455 L
.54355 .50482 L
.54487 .50674 L
.54528 .5073 L
.54624 .50867 L
.54721 .50972 L
.54792 .5106 L
.54904 .51253 L
.54914 .51265 L
.55038 .51445 L
.55106 .51538 L
.55175 .51638 L
.55299 .518 L
.55322 .51831 L
.55449 .52023 L
.55492 .52082 L
.55583 .52216 L
.55684 .52331 L
.55739 .52409 L
.55853 .52601 L
.55877 .52636 L
.5598 .52794 L
.5607 .52927 L
.56106 .52987 L
.56219 .53179 L
.5607 .53274 L
.55923 .53179 L
.55877 .53143 L
.55706 .52987 L
.55684 .52973 L
.55533 .52794 L
.55492 .52752 L
.55376 .52601 L
.55299 .52508 L
.55202 .52409 L
.55106 .52253 L
.55076 .52216 L
.54936 .52023 L
.54914 .51995 L
.54765 .51831 L
.54721 .51731 L
.54648 .51638 L
.54528 .51465 L
.54514 .51445 L
.5435 .51253 L
.54336 .51201 L
.54229 .5106 L
.54143 .50936 L
.54101 .50867 L
.53951 .50674 L
.5395 .50674 L
.53806 .50482 L
.53758 .50409 L
.53689 .50289 L
.53565 .50141 L
.53519 .50096 L
.53375 .49904 L
.53372 .49895 L
.53245 .49711 L
.53179 .49623 L
.53151 .49518 L
.52987 .49381 L
.52944 .49326 L
.52801 .49133 L
.52794 .49119 L
.52675 .4894 L
.52601 .48843 L
.52512 .48747 L
.52409 .48604 L
.52371 .48555 L
.52228 .48362 L
.52216 .48339 L
.52105 .48169 L
.52023 .48064 L
.51942 .47977 L
.51831 .47822 L
.51802 .47784 L
.51659 .47591 L
.51638 .47556 L
.51538 .47399 L
.51445 .47281 L
.51375 .47206 L
.51253 .47036 L
.51235 .47013 L
.51092 .46821 L
.5106 .46769 L
.50975 .46628 L
.50867 .46495 L
.50809 .46435 L
.50674 .46248 L
.5067 .46242 L
.50527 .4605 L
.50482 .45981 L
.50413 .45857 L
.50289 .45709 L
.50244 .45664 L
.50097 .45472 L
.50096 .4546 L
.49964 .45279 L
.49904 .45192 L
.49852 .45086 L
.49711 .44923 L
.4968 .44894 L
.49526 .44701 L
.49518 .44671 L
.49402 .44508 L
.49326 .44403 L
.4929 .44316 L
.49133 .44138 L
.49117 .44123 L
.48959 .4393 L
.4894 .43882 L
.4884 .43737 L
.48747 .43613 L
.48728 .43545 L
.48555 .43352 L
.48555 .43352 L
.48395 .43159 L
.48362 .43091 L
.48279 .42967 L
.48169 .42822 L
.48163 .42774 L
.47993 .42581 L
.47977 .42566 L
.47833 .42389 L
.47784 .42299 L
.47719 .42196 L
.47591 .42029 L
.47571 .42003 L
.47432 .41811 L
.47399 .41778 L
.47274 .41618 L
.47206 .41505 L
.47159 .41425 L
.47013 .41235 L
.47012 .41232 L
.46874 .4104 L
.46821 .40985 L
.46717 .40847 L
.46628 .40706 L
.46599 .40654 L
.46455 .40462 L
.46435 .40434 L
.46318 .40269 L
.46242 .40185 L
.46165 .40076 L
.4605 .399 L
.46042 .39884 L
.45904 .39691 L
.45857 .39626 L
.45705 .39498 L
.45664 .3937 L
.45621 .39306 L
.45494 .39113 L
.45472 .39082 L
.45361 .3892 L
.45279 .38804 L
.45184 .38727 L
.45093 .38535 L
.45086 .38526 L
.44966 .38342 L
.44894 .38237 L
.44838 .38149 L
.44711 .37957 L
.44701 .37942 L
.44598 .37764 L
.44508 .37616 L
.44486 .37571 L
F
1 .65 0 r
.44508 .44144 m
.44701 .44289 L
.4472 .44316 L
.44894 .445 L
.44906 .44508 L
.4506 .44701 L
.45086 .44731 L
.45213 .44894 L
.45279 .44977 L
.45361 .45086 L
.45472 .45218 L
.45527 .45279 L
.45641 .45472 L
.45664 .45505 L
.45769 .45664 L
.45857 .45803 L
.45889 .45857 L
.45966 .4605 L
.45857 .46096 L
.45798 .4605 L
.45664 .45988 L
.45595 .45857 L
.45472 .45734 L
.45427 .45664 L
.45279 .45483 L
.45268 .45472 L
.45127 .45279 L
.45086 .45226 L
.44986 .45086 L
.44894 .4496 L
.44847 .44894 L
.44716 .44701 L
.44701 .44679 L
.44596 .44508 L
.44508 .44359 L
.44486 .44316 L
F
0 .95 1 r
.44508 .43492 m
.44701 .43498 L
.44785 .43545 L
.44894 .43671 L
.45016 .43737 L
.45086 .4385 L
.45198 .4393 L
.45279 .44035 L
.45328 .44123 L
.45472 .44281 L
.45499 .44316 L
.45645 .44508 L
.45664 .44537 L
.45791 .44701 L
.45857 .44806 L
.45907 .44894 L
.4605 .45071 L
.46078 .45086 L
.46237 .45279 L
.46242 .4531 L
.46358 .45472 L
.46435 .45577 L
.46471 .45664 L
.46628 .45845 L
.46638 .45857 L
.468 .4605 L
.46821 .4612 L
.46904 .46242 L
.47013 .46431 L
.47014 .46435 L
.47013 .46527 L
.46821 .46577 L
.46628 .46522 L
.46532 .46435 L
.46435 .46336 L
.4635 .46242 L
.46242 .46092 L
.4622 .4605 L
.46067 .45857 L
.4605 .45838 L
.45873 .45664 L
.45857 .45577 L
.45773 .45472 L
.45664 .45311 L
.45648 .45279 L
.455 .45086 L
.45472 .45076 L
.45314 .44894 L
.45279 .44801 L
.45213 .44701 L
.45086 .44517 L
.45083 .44508 L
.44946 .44316 L
.44894 .44241 L
.4477 .44123 L
.44701 .43962 L
.44676 .4393 L
.44563 .43737 L
.44508 .43623 L
.44488 .43545 L
F
1 .4 0 r
.44508 .49248 m
.44575 .49326 L
.44701 .49455 L
.44752 .49518 L
.44894 .49683 L
.44916 .49711 L
.45071 .49904 L
.45086 .49921 L
.45222 .50096 L
.45279 .50164 L
.45374 .50289 L
.45472 .5041 L
.45526 .50482 L
.45664 .50653 L
.45676 .50674 L
.45821 .50867 L
.45857 .50912 L
.45966 .5106 L
.4605 .51167 L
.46113 .51253 L
.46242 .51413 L
.46281 .51445 L
.46401 .51638 L
.46435 .51681 L
.46543 .51831 L
.46628 .51941 L
.46687 .52023 L
.46821 .52196 L
.46841 .52216 L
.46969 .52409 L
.47013 .52467 L
.47109 .52601 L
.47206 .52731 L
.47251 .52794 L
.47391 .52987 L
.47399 .52997 L
.47525 .53179 L
.47591 .53269 L
.47662 .53372 L
.47784 .53539 L
.47802 .53565 L
.47933 .53758 L
.47977 .53817 L
.48064 .5395 L
.48169 .54097 L
.48199 .54143 L
.48324 .54336 L
.48362 .54388 L
.48441 .54528 L
.48555 .54703 L
.48563 .54721 L
.48555 .5478 L
.48501 .54721 L
.48362 .54586 L
.48316 .54528 L
.48169 .54361 L
.48149 .54336 L
.47993 .54143 L
.47977 .54125 L
.47843 .5395 L
.47784 .53881 L
.47691 .53758 L
.47591 .53635 L
.47539 .53565 L
.47399 .53395 L
.47387 .53372 L
.47243 .53179 L
.47206 .53134 L
.47098 .52987 L
.47013 .52879 L
.46951 .52794 L
.46821 .52635 L
.46804 .52601 L
.46662 .52409 L
.46628 .52365 L
.46521 .52216 L
.46435 .52105 L
.46377 .52023 L
.46242 .51852 L
.46219 .51831 L
.46094 .51638 L
.4605 .5158 L
.45955 .51445 L
.45857 .51316 L
.45813 .51253 L
.45671 .5106 L
.45664 .51051 L
.45538 .50867 L
.45472 .5078 L
.454 .50674 L
.45279 .5051 L
.4526 .50482 L
.45127 .50289 L
.45086 .50235 L
.44996 .50096 L
.44894 .49956 L
.4486 .49904 L
.44731 .49711 L
.44701 .4967 L
.44613 .49518 L
.44508 .49364 L
.44489 .49326 L
F
0 .06 1 r
.44508 .50069 m
.44526 .50096 L
.44508 .50132 L
.4449 .50096 L
F
1 .64 0 r
.44508 .44162 m
.44701 .443 L
.44712 .44316 L
.44894 .44508 L
.44895 .44508 L
.45055 .44701 L
.45086 .44737 L
.45209 .44894 L
.45279 .44982 L
.45357 .45086 L
.45472 .45224 L
.45521 .45279 L
.45637 .45472 L
.45664 .45511 L
.45764 .45664 L
.45857 .45812 L
.45883 .45857 L
.45953 .4605 L
.45857 .46085 L
.45809 .4605 L
.45664 .4598 L
.45601 .45857 L
.45472 .45728 L
.45431 .45664 L
.45279 .45477 L
.45273 .45472 L
.45131 .45279 L
.45086 .45221 L
.4499 .45086 L
.44894 .44955 L
.44851 .44894 L
.44721 .44701 L
.44701 .44672 L
.44602 .44508 L
.44508 .44346 L
.44493 .44316 L
F
0 .45 1 r
.44508 .44898 m
.44645 .45086 L
.44701 .45158 L
.44774 .45279 L
.44701 .45339 L
.44652 .45279 L
.44508 .45107 L
.44493 .45086 L
F
1 .39 0 r
.44508 .4927 m
.44559 .49326 L
.44701 .49466 L
.44744 .49518 L
.44894 .49691 L
.4491 .49711 L
.45065 .49904 L
.45086 .49928 L
.45217 .50096 L
.45279 .5017 L
.4537 .50289 L
.45472 .50416 L
.45522 .50482 L
.45664 .5066 L
.45672 .50674 L
.45817 .50867 L
.45857 .50917 L
.45963 .5106 L
.4605 .51171 L
.4611 .51253 L
.46242 .51419 L
.46274 .51445 L
.46398 .51638 L
.46435 .51686 L
.4654 .51831 L
.46628 .51946 L
.46684 .52023 L
.46821 .52202 L
.46835 .52216 L
.46966 .52409 L
.47013 .52471 L
.47106 .52601 L
.47206 .52736 L
.47247 .52794 L
.47387 .52987 L
.47399 .53002 L
.47521 .53179 L
.47591 .53274 L
.47659 .53372 L
.47784 .53545 L
.47798 .53565 L
.47928 .53758 L
.47977 .53823 L
.48059 .5395 L
.48169 .54105 L
.48194 .54143 L
.48316 .54336 L
.48362 .544 L
.48432 .54528 L
.48362 .54575 L
.48325 .54528 L
.48169 .54353 L
.48156 .54336 L
.48 .54143 L
.47977 .54117 L
.47848 .5395 L
.47784 .53875 L
.47695 .53758 L
.47591 .5363 L
.47542 .53565 L
.47399 .53388 L
.47391 .53372 L
.47247 .53179 L
.47206 .53129 L
.47102 .52987 L
.47013 .52875 L
.46954 .52794 L
.46821 .52629 L
.46807 .52601 L
.46666 .52409 L
.46628 .52361 L
.46524 .52216 L
.46435 .52101 L
.4638 .52023 L
.46242 .51846 L
.46225 .51831 L
.46098 .51638 L
.4605 .51576 L
.45958 .51445 L
.45857 .51312 L
.45816 .51253 L
.45675 .5106 L
.45664 .51046 L
.45541 .50867 L
.45472 .50775 L
.45403 .50674 L
.45279 .50505 L
.45263 .50482 L
.45132 .50289 L
.45086 .50228 L
.45001 .50096 L
.44894 .49949 L
.44865 .49904 L
.44738 .49711 L
.44701 .49659 L
.44622 .49518 L
.44508 .49346 L
.44499 .49326 L
F
1 .63 0 r
.44508 .44182 m
.44701 .44312 L
.44704 .44316 L
.44888 .44508 L
.44894 .44514 L
.4505 .44701 L
.45086 .44743 L
.45204 .44894 L
.45279 .44987 L
.45353 .45086 L
.45472 .45231 L
.45515 .45279 L
.45632 .45472 L
.45664 .45518 L
.4576 .45664 L
.45857 .45821 L
.45878 .45857 L
.45938 .4605 L
.45857 .46074 L
.45822 .4605 L
.45664 .4597 L
.45607 .45857 L
.45472 .45721 L
.45436 .45664 L
.45279 .45472 L
.45279 .45472 L
.45135 .45279 L
.45086 .45216 L
.44993 .45086 L
.44894 .44949 L
.44855 .44894 L
.44726 .44701 L
.44701 .44664 L
.44608 .44508 L
.44508 .44331 L
.44501 .44316 L
F
0 .44 1 r
.44508 .4491 m
.44634 .45086 L
.44701 .45172 L
.44763 .45279 L
.44701 .45327 L
.44662 .45279 L
.44508 .45096 L
.44501 .45086 L
F
0 .77 1 r
.44508 .48454 m
.44616 .48555 L
.44701 .48633 L
.44803 .48747 L
.44894 .48845 L
.44975 .4894 L
.45086 .49035 L
.4514 .49133 L
.45279 .49299 L
.45314 .49326 L
.45454 .49518 L
.45472 .49539 L
.45609 .49711 L
.45664 .49752 L
.45762 .49904 L
.45857 .5002 L
.45938 .50096 L
.4605 .50273 L
.46062 .50289 L
.46211 .50482 L
.46242 .50506 L
.4636 .50674 L
.46435 .50769 L
.46526 .50867 L
.46628 .51028 L
.46649 .5106 L
.46799 .51253 L
.46821 .5127 L
.46945 .51445 L
.47013 .51533 L
.47102 .51638 L
.47206 .51796 L
.47227 .51831 L
.47377 .52023 L
.47399 .52042 L
.47521 .52216 L
.47591 .52307 L
.47673 .52409 L
.47784 .52572 L
.478 .52601 L
.47949 .52794 L
.47977 .52819 L
.48152 .52987 L
.48169 .53088 L
.4824 .53179 L
.48362 .53354 L
.4837 .53372 L
.48517 .53565 L
.48555 .53601 L
.48707 .53758 L
.48747 .53875 L
.48803 .5395 L
.4894 .54143 L
.4894 .54143 L
.4908 .54336 L
.49133 .54389 L
.4926 .54528 L
.49326 .54668 L
.49363 .54721 L
.495 .54914 L
.49518 .54938 L
.49639 .55106 L
.49711 .55186 L
.49809 .55299 L
.49904 .5547 L
.49918 .55492 L
.50054 .55684 L
.50096 .55742 L
.50192 .55877 L
.50289 .55995 L
.5035 .5607 L
.50467 .56263 L
.50482 .56283 L
.506 .56455 L
.50674 .56558 L
.50737 .56648 L
.50867 .56829 L
.50876 .56841 L
.51002 .57033 L
.5106 .57115 L
.51133 .57226 L
.51253 .57398 L
.51266 .57419 L
.51389 .57611 L
.51445 .57694 L
.51511 .57804 L
.51445 .57988 L
.51286 .57804 L
.51253 .57768 L
.51123 .57611 L
.5106 .57539 L
.50963 .57419 L
.50867 .57334 L
.50806 .57226 L
.50674 .57067 L
.50635 .57033 L
.505 .56841 L
.50482 .56819 L
.5035 .56648 L
.50289 .56598 L
.502 .56455 L
.50096 .56327 L
.50031 .56263 L
.49904 .56071 L
.49903 .5607 L
.49758 .55877 L
.49711 .55838 L
.49612 .55684 L
.49518 .55568 L
.49448 .55492 L
.49326 .55307 L
.4932 .55299 L
.49177 .55106 L
.49133 .55068 L
.49033 .54914 L
.4894 .54797 L
.48875 .54721 L
.48747 .54533 L
.48745 .54528 L
.48603 .54336 L
.48555 .54292 L
.48387 .54143 L
.48362 .54018 L
.48307 .5395 L
.48174 .53758 L
.48169 .53751 L
.48034 .53565 L
.47977 .5351 L
.47834 .53372 L
.47784 .53232 L
.47742 .53179 L
.47608 .52987 L
.47591 .52964 L
.47469 .52794 L
.47399 .52723 L
.47282 .52601 L
.47206 .52441 L
.47181 .52409 L
.47046 .52216 L
.47013 .52172 L
.46907 .52023 L
.46821 .51928 L
.46733 .51831 L
.46628 .51643 L
.46624 .51638 L
.46488 .51445 L
.46435 .51374 L
.4635 .51253 L
.46242 .51123 L
.46188 .5106 L
.46071 .50867 L
.4605 .50839 L
.45935 .50674 L
.45857 .50569 L
.45797 .50482 L
.45664 .50304 L
.45653 .50289 L
.45525 .50096 L
.45472 .50025 L
.4539 .49904 L
.45279 .4975 L
.45253 .49711 L
.45121 .49518 L
.45086 .49471 L
.44993 .49326 L
.44894 .49186 L
.4486 .49133 L
.44734 .4894 L
.44701 .48892 L
.4462 .48747 L
.44508 .4857 L
.44501 .48555 L
F
0 .92 1 r
.44508 .38283 m
.44588 .38342 L
.44701 .38437 L
.44789 .38535 L
.44894 .38644 L
.44964 .38727 L
.45086 .38844 L
.4513 .3892 L
.45279 .39096 L
.45301 .39113 L
.45446 .39306 L
.45472 .39335 L
.456 .39498 L
.45664 .39555 L
.45753 .39691 L
.45857 .39818 L
.45927 .39884 L
.4605 .40071 L
.46054 .40076 L
.46201 .40269 L
.46242 .40305 L
.46349 .40462 L
.46435 .40569 L
.46516 .40654 L
.46628 .40828 L
.46641 .40847 L
.46787 .4104 L
.46821 .4107 L
.46932 .41232 L
.47013 .41335 L
.47093 .41425 L
.47206 .41598 L
.47219 .41618 L
.47364 .41811 L
.47399 .41843 L
.47507 .42003 L
.47591 .4211 L
.47664 .42196 L
.47784 .42374 L
.47792 .42389 L
.47936 .42581 L
.47977 .4262 L
.48139 .42774 L
.48169 .42891 L
.48231 .42967 L
.48362 .43156 L
.48364 .43159 L
.48504 .43352 L
.48555 .43402 L
.48696 .43545 L
.48747 .43676 L
.48795 .43737 L
.48931 .4393 L
.4894 .43943 L
.4907 .44123 L
.49133 .44188 L
.49252 .44316 L
.49326 .44465 L
.49358 .44508 L
.49494 .44701 L
.49518 .44733 L
.49633 .44894 L
.49711 .44978 L
.49807 .45086 L
.49904 .45258 L
.49919 .45279 L
.50056 .45472 L
.50096 .45525 L
.50195 .45664 L
.50289 .45774 L
.5036 .45857 L
.50478 .4605 L
.50482 .46054 L
.50615 .46242 L
.50674 .46322 L
.50754 .46435 L
.50867 .46575 L
.5091 .46628 L
.51034 .46821 L
.5106 .46854 L
.5117 .47013 L
.51253 .47123 L
.5131 .47206 L
.51445 .47387 L
.51455 .47399 L
.51585 .47591 L
.51638 .47662 L
.51721 .47784 L
.51831 .47933 L
.5186 .47977 L
.51996 .48169 L
.52023 .48207 L
.52126 .48362 L
.52216 .48485 L
.52261 .48555 L
.52396 .48747 L
.52409 .48765 L
.52518 .4894 L
.52601 .49058 L
.52645 .49133 L
.52769 .49326 L
.52794 .49364 L
.5286 .49518 L
.52794 .49538 L
.52775 .49518 L
.52601 .49342 L
.52594 .49326 L
.52423 .49133 L
.52409 .49118 L
.52256 .4894 L
.52216 .48896 L
.52089 .48747 L
.52023 .48708 L
.51925 .48555 L
.51831 .48439 L
.51734 .48362 L
.51638 .48195 L
.51625 .48169 L
.51453 .47977 L
.51445 .47973 L
.51298 .47784 L
.51253 .47727 L
.51115 .47591 L
.5106 .47472 L
.51007 .47399 L
.50867 .47222 L
.50846 .47206 L
.50699 .47013 L
.50674 .46982 L
.50529 .46821 L
.50482 .46722 L
.50416 .46628 L
.50289 .46463 L
.50285 .46435 L
.50116 .46242 L
.50096 .46218 L
.49956 .4605 L
.49904 .45955 L
.49839 .45857 L
.49711 .45693 L
.49682 .45664 L
.4954 .45472 L
.49518 .45443 L
.49387 .45279 L
.49326 .45178 L
.4927 .45086 L
.49133 .44915 L
.49111 .44894 L
.48969 .44701 L
.4894 .44663 L
.4882 .44508 L
.48747 .44396 L
.48703 .44316 L
.48555 .44134 L
.48543 .44123 L
.48402 .4393 L
.48362 .43878 L
.48257 .43737 L
.48169 .4361 L
.48138 .43545 L
.47979 .43352 L
.47977 .4335 L
.47797 .43159 L
.47784 .4309 L
.47695 .42967 L
.47591 .4282 L
.47573 .42774 L
.47417 .42581 L
.47399 .42566 L
.47238 .42389 L
.47206 .42297 L
.47136 .42196 L
.47013 .42025 L
.47006 .42003 L
.46858 .41811 L
.46821 .41776 L
.46684 .41618 L
.46628 .41498 L
.4658 .41425 L
.46441 .41232 L
.46435 .41224 L
.46304 .4104 L
.46242 .40977 L
.46137 .40847 L
.4605 .40689 L
.46028 .40654 L
.45892 .40462 L
.45857 .40413 L
.45756 .40269 L
.45664 .4016 L
.45601 .40076 L
.45486 .39884 L
.45472 .39864 L
.45354 .39691 L
.45279 .39584 L
.45221 .39498 L
.45088 .39306 L
.45086 .39303 L
.44964 .39113 L
.44894 .3901 L
.44837 .3892 L
.44713 .38727 L
.44701 .38709 L
.44606 .38535 L
.44508 .38357 L
.44503 .38342 L
F
0 .05 1 r
.44508 .50094 m
.44509 .50096 L
.44508 .50101 L
.44507 .50096 L
F
0 .94 1 r
.44701 .43531 m
.44731 .43545 L
.44894 .43698 L
.44995 .43737 L
.45086 .43872 L
.45186 .4393 L
.45279 .44049 L
.4532 .44123 L
.45472 .44292 L
.4549 .44316 L
.45638 .44508 L
.45664 .44547 L
.45786 .44701 L
.45857 .44813 L
.45903 .44894 L
.4605 .45074 L
.46073 .45086 L
.46236 .45279 L
.46242 .45316 L
.46354 .45472 L
.46435 .45583 L
.46468 .45664 L
.46628 .45851 L
.46633 .45857 L
.46797 .4605 L
.46821 .4613 L
.46896 .46242 L
.46999 .46435 L
.46821 .46562 L
.46628 .46506 L
.46546 .46435 L
.46435 .46325 L
.46357 .46242 L
.46242 .46085 L
.46223 .4605 L
.46072 .45857 L
.4605 .45833 L
.45875 .45664 L
.45857 .45572 L
.45776 .45472 L
.45664 .45307 L
.45651 .45279 L
.45504 .45086 L
.45472 .45074 L
.45317 .44894 L
.45279 .44795 L
.45217 .44701 L
.45086 .4451 L
.45086 .44508 L
.44952 .44316 L
.44894 .44233 L
.44777 .44123 L
.44701 .43949 L
.44686 .4393 L
.44579 .43737 L
.44536 .43545 L
F
1 .98 0 r
.44701 .46773 m
.44805 .46821 L
.44894 .46888 L
.45003 .47013 L
.45086 .47122 L
.45158 .47206 L
.45279 .47359 L
.45327 .47399 L
.45452 .47591 L
.45472 .47617 L
.4559 .47784 L
.45664 .47881 L
.45732 .47977 L
.45857 .48129 L
.45889 .48169 L
.46013 .48362 L
.4605 .48411 L
.46148 .48555 L
.46242 .48683 L
.46286 .48747 L
.46422 .4894 L
.46435 .48959 L
.46533 .49133 L
.46435 .49196 L
.46356 .49133 L
.46242 .49045 L
.46124 .4894 L
.4605 .48894 L
.45918 .48747 L
.45857 .48641 L
.45728 .48555 L
.45664 .48484 L
.45552 .48362 L
.45472 .48265 L
.45387 .48169 L
.45279 .48029 L
.45234 .47977 L
.4509 .47784 L
.45086 .47778 L
.44942 .47591 L
.44894 .47489 L
.44802 .47399 L
.44701 .47241 L
.44676 .47206 L
.44567 .47013 L
.4454 .46821 L
F
0 .93 1 r
.44701 .43561 m
.44894 .43716 L
.44973 .43737 L
.45086 .43889 L
.45173 .4393 L
.45279 .44063 L
.45313 .44123 L
.45472 .44303 L
.45482 .44316 L
.45632 .44508 L
.45664 .44556 L
.45781 .44701 L
.45857 .4482 L
.459 .44894 L
.4605 .45077 L
.46068 .45086 L
.46235 .45279 L
.46242 .45321 L
.4635 .45472 L
.46435 .45589 L
.46465 .45664 L
.46627 .45857 L
.46628 .45858 L
.46794 .4605 L
.46821 .46141 L
.46888 .46242 L
.46982 .46435 L
.46821 .46548 L
.46628 .46491 L
.46561 .46435 L
.46435 .46315 L
.46365 .46242 L
.46242 .46077 L
.46227 .4605 L
.46076 .45857 L
.4605 .45828 L
.45877 .45664 L
.45857 .45567 L
.4578 .45472 L
.45664 .45302 L
.45653 .45279 L
.45508 .45086 L
.45472 .45072 L
.4532 .44894 L
.45279 .44789 L
.45221 .44701 L
.4509 .44508 L
.45086 .44503 L
.44957 .44316 L
.44894 .44224 L
.44785 .44123 L
.44701 .43935 L
.44697 .4393 L
.44597 .43737 L
F
1 .62 0 r
.44701 .44322 m
.44881 .44508 L
.44894 .44521 L
.45045 .44701 L
.45086 .44749 L
.452 .44894 L
.45279 .44992 L
.45349 .45086 L
.45472 .45238 L
.45509 .45279 L
.45628 .45472 L
.45664 .45524 L
.45755 .45664 L
.45857 .45831 L
.45872 .45857 L
.45919 .4605 L
.45857 .46063 L
.45837 .4605 L
.45664 .4596 L
.45613 .45857 L
.45472 .45714 L
.4544 .45664 L
.45284 .45472 L
.45279 .45466 L
.45139 .45279 L
.45086 .45211 L
.44997 .45086 L
.44894 .44943 L
.44859 .44894 L
.44731 .44701 L
.44701 .44656 L
.44614 .44508 L
F
0 .92 1 r
.44701 .43591 m
.44894 .43727 L
.4495 .43737 L
.45086 .43902 L
.45159 .4393 L
.45279 .44076 L
.45306 .44123 L
.45472 .44313 L
.45474 .44316 L
.45625 .44508 L
.45664 .44564 L
.45776 .44701 L
.45857 .44826 L
.45896 .44894 L
.4605 .4508 L
.46063 .45086 L
.46234 .45279 L
.46242 .45327 L
.46346 .45472 L
.46435 .45596 L
.46462 .45664 L
.46622 .45857 L
.46628 .45866 L
.4679 .4605 L
.46821 .46152 L
.4688 .46242 L
.46965 .46435 L
.46821 .46534 L
.46628 .46477 L
.46576 .46435 L
.46435 .46304 L
.46373 .46242 L
.46242 .4607 L
.46231 .4605 L
.4608 .45857 L
.4605 .45824 L
.45879 .45664 L
.45857 .45562 L
.45783 .45472 L
.45664 .45298 L
.45655 .45279 L
.45511 .45086 L
.45472 .4507 L
.45323 .44894 L
.45279 .44783 L
.45226 .44701 L
.45095 .44508 L
.45086 .44496 L
.44963 .44316 L
.44894 .44214 L
.44794 .44123 L
.44709 .4393 L
.44701 .43917 L
.44615 .43737 L
F
1 .61 0 r
.44701 .44332 m
.44874 .44508 L
.44894 .44528 L
.4504 .44701 L
.45086 .44755 L
.45195 .44894 L
.45279 .44998 L
.45345 .45086 L
.45472 .45245 L
.45502 .45279 L
.45623 .45472 L
.45664 .45531 L
.4575 .45664 L
.45857 .45842 L
.45865 .45857 L
.45883 .4605 L
.45857 .4605 L
.45857 .4605 L
.45664 .45949 L
.45619 .45857 L
.45472 .45707 L
.45445 .45664 L
.45288 .45472 L
.45279 .45461 L
.45143 .45279 L
.45086 .45205 L
.45001 .45086 L
.44894 .44938 L
.44863 .44894 L
.44736 .44701 L
.44701 .44648 L
.4462 .44508 L
F
1 .97 0 r
.44701 .46844 m
.44894 .46935 L
.44969 .47013 L
.45086 .47147 L
.45137 .47206 L
.45279 .47381 L
.45301 .47399 L
.45435 .47591 L
.45472 .47639 L
.45575 .47784 L
.45664 .47901 L
.45718 .47977 L
.45857 .4816 L
.45865 .48169 L
.45994 .48362 L
.4605 .48438 L
.46127 .48555 L
.46242 .48716 L
.46263 .48747 L
.46376 .4894 L
.46242 .48994 L
.46178 .4894 L
.4605 .48868 L
.45962 .48747 L
.45857 .48602 L
.45768 .48555 L
.45664 .48441 L
.45591 .48362 L
.45472 .48221 L
.45426 .48169 L
.45279 .47984 L
.45273 .47977 L
.45122 .47784 L
.45086 .47734 L
.44976 .47591 L
.44894 .47448 L
.44841 .47399 L
.44722 .47206 L
.44701 .47166 L
.44625 .47013 L
F
1 .6 0 r
.44701 .44342 m
.44866 .44508 L
.44894 .44536 L
.45034 .44701 L
.45086 .44761 L
.45191 .44894 L
.45279 .45003 L
.45341 .45086 L
.45472 .45252 L
.45496 .45279 L
.45619 .45472 L
.45664 .45538 L
.45745 .45664 L
.45857 .45854 L
.45859 .45857 L
.45857 .46033 L
.45664 .45936 L
.45626 .45857 L
.45472 .457 L
.4545 .45664 L
.45293 .45472 L
.45279 .45455 L
.45147 .45279 L
.45086 .452 L
.45005 .45086 L
.44894 .44932 L
.44867 .44894 L
.44741 .44701 L
.44701 .44639 L
.44626 .44508 L
F
1 .38 0 r
.44701 .49477 m
.44735 .49518 L
.44894 .49699 L
.44903 .49711 L
.45058 .49904 L
.45086 .49935 L
.45211 .50096 L
.45279 .50176 L
.45365 .50289 L
.45472 .50421 L
.45518 .50482 L
.45664 .50667 L
.45668 .50674 L
.45813 .50867 L
.45857 .50922 L
.45959 .5106 L
.4605 .51176 L
.46107 .51253 L
.46242 .51425 L
.46267 .51445 L
.46394 .51638 L
.46435 .5169 L
.46537 .51831 L
.46628 .5195 L
.46681 .52023 L
.46821 .52208 L
.46829 .52216 L
.46962 .52409 L
.47013 .52476 L
.47102 .52601 L
.47206 .5274 L
.47244 .52794 L
.47383 .52987 L
.47399 .53007 L
.47517 .53179 L
.47591 .53279 L
.47655 .53372 L
.47784 .5355 L
.47794 .53565 L
.47923 .53758 L
.47977 .5383 L
.48054 .5395 L
.48169 .54112 L
.48189 .54143 L
.48308 .54336 L
.48362 .54414 L
.4842 .54528 L
.48362 .54563 L
.48334 .54528 L
.48169 .54345 L
.48162 .54336 L
.48007 .54143 L
.47977 .5411 L
.47854 .5395 L
.47784 .53869 L
.477 .53758 L
.47591 .53625 L
.47546 .53565 L
.47399 .5338 L
.47395 .53372 L
.47251 .53179 L
.47206 .53124 L
.47105 .52987 L
.47013 .5287 L
.46958 .52794 L
.46821 .52623 L
.4681 .52601 L
.46669 .52409 L
.46628 .52356 L
.46527 .52216 L
.46435 .52097 L
.46383 .52023 L
.46242 .5184 L
.46232 .51831 L
.46101 .51638 L
.4605 .51572 L
.45961 .51445 L
.45857 .51307 L
.45819 .51253 L
.45679 .5106 L
.45664 .51041 L
.45545 .50867 L
.45472 .5077 L
.45407 .50674 L
.45279 .505 L
.45266 .50482 L
.45136 .50289 L
.45086 .50222 L
.45005 .50096 L
.44894 .49942 L
.4487 .49904 L
.44746 .49711 L
.44701 .49648 L
.44632 .49518 L
F
1 .59 0 r
.44701 .44352 m
.44859 .44508 L
.44894 .44543 L
.45029 .44701 L
.45086 .44767 L
.45186 .44894 L
.45279 .45009 L
.45337 .45086 L
.45472 .4526 L
.45489 .45279 L
.45614 .45472 L
.45664 .45545 L
.4574 .45664 L
.45851 .45857 L
.45664 .45923 L
.45633 .45857 L
.45472 .45692 L
.45455 .45664 L
.45298 .45472 L
.45279 .45449 L
.45152 .45279 L
.45086 .45194 L
.45009 .45086 L
.44894 .44926 L
.44871 .44894 L
.44747 .44701 L
.44701 .4463 L
.44633 .44508 L
F
0 .76 1 r
.44701 .48655 m
.44786 .48747 L
.44894 .48861 L
.44962 .4894 L
.45086 .49052 L
.45129 .49133 L
.45279 .49311 L
.45299 .49326 L
.45446 .49518 L
.45472 .49549 L
.45601 .49711 L
.45664 .49758 L
.45756 .49904 L
.45857 .50028 L
.4593 .50096 L
.4605 .5028 L
.46057 .50289 L
.46206 .50482 L
.46242 .5051 L
.46355 .50674 L
.46435 .50775 L
.46521 .50867 L
.46628 .51034 L
.46645 .5106 L
.46794 .51253 L
.46821 .51274 L
.4694 .51445 L
.47013 .51538 L
.47099 .51638 L
.47206 .51801 L
.47224 .51831 L
.47373 .52023 L
.47399 .52045 L
.47518 .52216 L
.47591 .52311 L
.4767 .52409 L
.47784 .52576 L
.47798 .52601 L
.47946 .52794 L
.47977 .52822 L
.48151 .52987 L
.48169 .53092 L
.48237 .53179 L
.48362 .53358 L
.48368 .53372 L
.48513 .53565 L
.48555 .53605 L
.48704 .53758 L
.48747 .53879 L
.488 .5395 L
.48937 .54143 L
.4894 .54147 L
.49077 .54336 L
.49133 .54393 L
.49257 .54528 L
.49326 .54673 L
.49359 .54721 L
.49496 .54914 L
.49518 .54943 L
.49635 .55106 L
.49711 .5519 L
.49805 .55299 L
.49904 .55476 L
.49914 .55492 L
.5005 .55684 L
.50096 .55748 L
.50188 .55877 L
.50289 .56002 L
.50344 .5607 L
.50462 .56263 L
.50482 .5629 L
.50595 .56455 L
.50674 .56565 L
.50731 .56648 L
.50867 .5684 L
.50867 .56841 L
.50995 .57033 L
.5106 .57125 L
.51126 .57226 L
.51253 .5741 L
.51258 .57419 L
.51378 .57611 L
.51445 .57712 L
.51498 .57804 L
.51445 .57967 L
.51302 .57804 L
.51253 .57753 L
.51135 .57611 L
.5106 .57527 L
.50973 .57419 L
.50867 .57323 L
.50814 .57226 L
.50674 .57057 L
.50646 .57033 L
.50506 .56841 L
.50482 .56811 L
.50356 .56648 L
.50289 .56592 L
.50205 .56455 L
.50096 .56321 L
.50037 .56263 L
.49908 .5607 L
.49904 .56065 L
.49762 .55877 L
.49711 .55834 L
.49616 .55684 L
.49518 .55563 L
.49452 .55492 L
.49326 .55302 L
.49324 .55299 L
.49181 .55106 L
.49133 .55065 L
.49036 .54914 L
.4894 .54792 L
.48878 .54721 L
.48747 .54529 L
.48747 .54528 L
.48606 .54336 L
.48555 .54289 L
.48389 .54143 L
.48362 .54014 L
.4831 .5395 L
.48177 .53758 L
.48169 .53748 L
.48037 .53565 L
.47977 .53507 L
.47837 .53372 L
.47784 .53228 L
.47745 .53179 L
.47611 .52987 L
.47591 .52961 L
.47472 .52794 L
.47399 .52719 L
.47285 .52601 L
.47206 .52437 L
.47184 .52409 L
.47049 .52216 L
.47013 .52168 L
.4691 .52023 L
.46821 .51924 L
.46736 .51831 L
.46628 .51639 L
.46627 .51638 L
.46492 .51445 L
.46435 .5137 L
.46353 .51253 L
.46242 .51118 L
.46193 .5106 L
.46074 .50867 L
.4605 .50834 L
.45939 .50674 L
.45857 .50563 L
.45801 .50482 L
.45664 .50296 L
.45659 .50289 L
.45529 .50096 L
.45472 .50018 L
.45395 .49904 L
.45279 .49743 L
.45258 .49711 L
.45128 .49518 L
.45086 .49461 L
.45 .49326 L
.44894 .49174 L
.44868 .49133 L
.44746 .4894 L
.44701 .48873 L
.44635 .48747 L
F
0 .91 1 r
.44701 .43622 m
.44894 .43734 L
.44926 .43737 L
.45086 .43912 L
.45145 .4393 L
.45279 .44089 L
.45299 .44123 L
.45466 .44316 L
.45472 .44323 L
.45619 .44508 L
.45664 .44573 L
.45771 .44701 L
.45857 .44833 L
.45893 .44894 L
.4605 .45082 L
.46058 .45086 L
.46232 .45279 L
.46242 .45333 L
.46342 .45472 L
.46435 .45602 L
.46459 .45664 L
.46616 .45857 L
.46628 .45874 L
.46787 .4605 L
.46821 .46164 L
.46872 .46242 L
.46946 .46435 L
.46821 .46519 L
.46628 .46463 L
.46591 .46435 L
.46435 .46294 L
.46381 .46242 L
.46242 .46063 L
.46235 .4605 L
.46085 .45857 L
.4605 .45819 L
.45882 .45664 L
.45857 .45558 L
.45786 .45472 L
.45664 .45293 L
.45657 .45279 L
.45515 .45086 L
.45472 .45067 L
.45326 .44894 L
.45279 .44777 L
.4523 .44701 L
.451 .44508 L
.45086 .44489 L
.44969 .44316 L
.44894 .44204 L
.44804 .44123 L
.4472 .4393 L
.44701 .43895 L
.44635 .43737 L
F
1 .58 0 r
.44701 .44364 m
.4485 .44508 L
.44894 .4455 L
.45023 .44701 L
.45086 .44773 L
.45182 .44894 L
.45279 .45014 L
.45333 .45086 L
.45472 .45268 L
.45482 .45279 L
.45609 .45472 L
.45664 .45552 L
.45735 .45664 L
.45842 .45857 L
.45664 .45908 L
.4564 .45857 L
.45472 .45684 L
.4546 .45664 L
.45303 .45472 L
.45279 .45443 L
.45156 .45279 L
.45086 .45189 L
.45013 .45086 L
.44894 .4492 L
.44876 .44894 L
.44752 .44701 L
.44701 .4462 L
.4464 .44508 L
F
1 .37 0 r
.44701 .49489 m
.44725 .49518 L
.44894 .49707 L
.44896 .49711 L
.45051 .49904 L
.45086 .49942 L
.45206 .50096 L
.45279 .50183 L
.4536 .50289 L
.45472 .50427 L
.45514 .50482 L
.45664 .50674 L
.45665 .50674 L
.45809 .50867 L
.45857 .50927 L
.45955 .5106 L
.4605 .5118 L
.46103 .51253 L
.46242 .51431 L
.46259 .51445 L
.46391 .51638 L
.46435 .51695 L
.46533 .51831 L
.46628 .51954 L
.46678 .52023 L
.46821 .52214 L
.46822 .52216 L
.46959 .52409 L
.47013 .5248 L
.47099 .52601 L
.47206 .52745 L
.47241 .52794 L
.47379 .52987 L
.47399 .53013 L
.47513 .53179 L
.47591 .53284 L
.47651 .53372 L
.47784 .53556 L
.4779 .53565 L
.47918 .53758 L
.47977 .53837 L
.48049 .5395 L
.48169 .54121 L
.48183 .54143 L
.48297 .54336 L
.48362 .5443 L
.48405 .54528 L
.48362 .54548 L
.48346 .54528 L
.48169 .54336 L
.48169 .54336 L
.48014 .54143 L
.47977 .54102 L
.4786 .5395 L
.47784 .53863 L
.47705 .53758 L
.47591 .53619 L
.47551 .53565 L
.47399 .53373 L
.47398 .53372 L
.47255 .53179 L
.47206 .53119 L
.47109 .52987 L
.47013 .52866 L
.46961 .52794 L
.46821 .52617 L
.46813 .52601 L
.46673 .52409 L
.46628 .52352 L
.4653 .52216 L
.46435 .52092 L
.46386 .52023 L
.46242 .51834 L
.46239 .51831 L
.46104 .51638 L
.4605 .51567 L
.45964 .51445 L
.45857 .51303 L
.45822 .51253 L
.45682 .5106 L
.45664 .51036 L
.45549 .50867 L
.45472 .50765 L
.45411 .50674 L
.45279 .50495 L
.4527 .50482 L
.45141 .50289 L
.45086 .50215 L
.4501 .50096 L
.44894 .49934 L
.44874 .49904 L
.44755 .49711 L
.44701 .49635 L
.44644 .49518 L
F
1 .57 0 r
.44701 .44375 m
.44842 .44508 L
.44894 .44558 L
.45017 .44701 L
.45086 .44779 L
.45177 .44894 L
.45279 .4502 L
.45329 .45086 L
.45472 .45276 L
.45474 .45279 L
.45604 .45472 L
.45664 .4556 L
.45729 .45664 L
.45832 .45857 L
.45664 .45892 L
.45648 .45857 L
.45472 .45676 L
.45465 .45664 L
.45308 .45472 L
.45279 .45438 L
.4516 .45279 L
.45086 .45183 L
.45018 .45086 L
.44894 .44914 L
.4488 .44894 L
.44758 .44701 L
.44701 .4461 L
.44647 .44508 L
F
1 .87 0 r
.44701 .393 m
.44706 .39306 L
.44701 .39437 L
.44649 .39306 L
F
0 .75 1 r
.44701 .48681 m
.44766 .48747 L
.44894 .48877 L
.44949 .4894 L
.45086 .49071 L
.45118 .49133 L
.45279 .49324 L
.45281 .49326 L
.45437 .49518 L
.45472 .49559 L
.45594 .49711 L
.45664 .49766 L
.45749 .49904 L
.45857 .50037 L
.45923 .50096 L
.4605 .50287 L
.46051 .50289 L
.46201 .50482 L
.46242 .50514 L
.4635 .50674 L
.46435 .50782 L
.46516 .50867 L
.46628 .5104 L
.46642 .5106 L
.4679 .51253 L
.46821 .51278 L
.46936 .51445 L
.47013 .51544 L
.47095 .51638 L
.47206 .51805 L
.47221 .51831 L
.4737 .52023 L
.47399 .52049 L
.47514 .52216 L
.47591 .52316 L
.47666 .52409 L
.47784 .5258 L
.47795 .52601 L
.47943 .52794 L
.47977 .52826 L
.48149 .52987 L
.48169 .53096 L
.48234 .53179 L
.48362 .53363 L
.48367 .53372 L
.4851 .53565 L
.48555 .53608 L
.48702 .53758 L
.48747 .53883 L
.48797 .5395 L
.48934 .54143 L
.4894 .54151 L
.49073 .54336 L
.49133 .54397 L
.49254 .54528 L
.49326 .54678 L
.49356 .54721 L
.49493 .54914 L
.49518 .54948 L
.49631 .55106 L
.49711 .55195 L
.49801 .55299 L
.49904 .55482 L
.49911 .55492 L
.50046 .55684 L
.50096 .55753 L
.50183 .55877 L
.50289 .56009 L
.50338 .5607 L
.50457 .56263 L
.50482 .56297 L
.5059 .56455 L
.50674 .56573 L
.50726 .56648 L
.50861 .56841 L
.50867 .5685 L
.50988 .57033 L
.5106 .57135 L
.51119 .57226 L
.5125 .57419 L
.51253 .57422 L
.51366 .57611 L
.51445 .57732 L
.51485 .57804 L
.51445 .57943 L
.51319 .57804 L
.51253 .57737 L
.51147 .57611 L
.5106 .57514 L
.50982 .57419 L
.50867 .5731 L
.50822 .57226 L
.50674 .57047 L
.50658 .57033 L
.50513 .56841 L
.50482 .56803 L
.50362 .56648 L
.50289 .56585 L
.50211 .56455 L
.50096 .56314 L
.50044 .56263 L
.49913 .5607 L
.49904 .56059 L
.49767 .55877 L
.49711 .55829 L
.4962 .55684 L
.49518 .55557 L
.49457 .55492 L
.49327 .55299 L
.49326 .55297 L
.49184 .55106 L
.49133 .55061 L
.49039 .54914 L
.4894 .54788 L
.48882 .54721 L
.48751 .54528 L
.48747 .54524 L
.48609 .54336 L
.48555 .54285 L
.48392 .54143 L
.48362 .5401 L
.48313 .5395 L
.4818 .53758 L
.48169 .53744 L
.4804 .53565 L
.47977 .53504 L
.4784 .53372 L
.47784 .53224 L
.47748 .53179 L
.47614 .52987 L
.47591 .52957 L
.47474 .52794 L
.47399 .52715 L
.47288 .52601 L
.47206 .52433 L
.47188 .52409 L
.47052 .52216 L
.47013 .52164 L
.46913 .52023 L
.46821 .51919 L
.4674 .51831 L
.46631 .51638 L
.46628 .51634 L
.46495 .51445 L
.46435 .51366 L
.46356 .51253 L
.46242 .51112 L
.46198 .5106 L
.46078 .50867 L
.4605 .50829 L
.45943 .50674 L
.45857 .50558 L
.45805 .50482 L
.45665 .50289 L
.45664 .50288 L
.45534 .50096 L
.45472 .50011 L
.454 .49904 L
.45279 .49735 L
.45263 .49711 L
.45135 .49518 L
.45086 .49451 L
.45007 .49326 L
.44894 .49162 L
.44876 .49133 L
.4476 .4894 L
.44701 .4885 L
.44653 .48747 L
F
1 .56 0 r
.44701 .44388 m
.44832 .44508 L
.44894 .44566 L
.45011 .44701 L
.45086 .44785 L
.45172 .44894 L
.45279 .45026 L
.45324 .45086 L
.45468 .45279 L
.45472 .45283 L
.45599 .45472 L
.45664 .45568 L
.45724 .45664 L
.45821 .45857 L
.45664 .45875 L
.45656 .45857 L
.45472 .45667 L
.4547 .45664 L
.45313 .45472 L
.45279 .45432 L
.45165 .45279 L
.45086 .45177 L
.45022 .45086 L
.44894 .44907 L
.44884 .44894 L
.44764 .44701 L
.44701 .44599 L
.44654 .44508 L
F
0 .9 1 r
.44701 .43657 m
.44894 .43737 L
.44899 .43737 L
.45086 .4392 L
.45129 .4393 L
.45279 .44102 L
.45292 .44123 L
.45458 .44316 L
.45472 .44333 L
.45612 .44508 L
.45664 .44581 L
.45766 .44701 L
.45857 .44839 L
.45889 .44894 L
.4605 .45085 L
.46053 .45086 L
.46231 .45279 L
.46242 .45338 L
.46337 .45472 L
.46435 .45608 L
.46456 .45664 L
.46611 .45857 L
.46628 .45882 L
.46783 .4605 L
.46821 .46176 L
.46864 .46242 L
.46927 .46435 L
.46821 .46504 L
.46628 .46449 L
.46608 .46435 L
.46435 .46284 L
.4639 .46242 L
.46242 .46056 L
.46239 .4605 L
.46089 .45857 L
.4605 .45814 L
.45884 .45664 L
.45857 .45553 L
.4579 .45472 L
.45664 .45289 L
.45659 .45279 L
.45519 .45086 L
.45472 .45064 L
.45329 .44894 L
.45279 .44771 L
.45234 .44701 L
.45105 .44508 L
.45086 .44481 L
.44975 .44316 L
.44894 .44194 L
.44814 .44123 L
.44733 .4393 L
.44701 .43868 L
.44658 .43737 L
F
1 .36 0 r
.44701 .49503 m
.44714 .49518 L
.44701 .49618 L
.44659 .49518 L
F
1 .55 0 r
.44701 .44402 m
.44822 .44508 L
.44894 .44574 L
.45005 .44701 L
.45086 .44792 L
.45167 .44894 L
.45279 .45032 L
.4532 .45086 L
.45463 .45279 L
.45472 .4529 L
.45594 .45472 L
.45664 .45576 L
.45718 .45664 L
.45664 .45857 L
.45476 .45664 L
.45472 .4566 L
.45318 .45472 L
.45279 .45426 L
.45169 .45279 L
.45086 .45171 L
.45026 .45086 L
.44894 .44901 L
.44889 .44894 L
.4477 .44701 L
.44701 .44586 L
.44663 .44508 L
F
1 .99 0 r
.44701 .42085 m
.44798 .42196 L
.44894 .42295 L
.44969 .42389 L
.45086 .42535 L
.4512 .42581 L
.45086 .42765 L
.44948 .42581 L
.44894 .42517 L
.44808 .42389 L
.44701 .42252 L
.44666 .42196 L
F
1 .95 0 r
.44701 .47956 m
.44725 .47977 L
.44894 .48125 L
.44938 .48169 L
.45086 .48309 L
.45129 .48362 L
.45279 .48546 L
.45312 .48555 L
.45472 .48732 L
.45487 .48747 L
.45656 .4894 L
.45664 .48945 L
.45823 .49133 L
.45857 .49178 L
.46018 .49326 L
.4605 .49425 L
.46123 .49518 L
.46242 .49682 L
.46251 .49711 L
.46435 .49892 L
.46445 .49904 L
.46617 .50096 L
.46628 .50145 L
.46737 .50289 L
.46821 .50407 L
.4686 .50482 L
.47013 .50664 L
.47035 .50674 L
.47192 .50867 L
.47206 .50906 L
.47316 .5106 L
.47399 .51173 L
.47432 .51253 L
.47591 .51434 L
.47612 .51445 L
.47763 .51638 L
.47784 .51681 L
.47886 .51831 L
.47977 .51951 L
.47992 .52023 L
.48169 .52211 L
.48184 .52216 L
.48332 .52409 L
.48362 .52462 L
.48451 .52601 L
.48555 .52733 L
.48613 .52794 L
.48747 .52986 L
.48753 .52987 L
.48899 .53179 L
.4894 .53246 L
.49015 .53372 L
.49133 .53517 L
.49181 .53565 L
.4932 .53758 L
.49326 .53765 L
.49464 .5395 L
.49518 .54032 L
.49579 .54143 L
.49711 .54301 L
.49746 .54336 L
.49903 .54528 L
.49904 .54552 L
.50028 .54721 L
.50096 .5482 L
.50141 .54914 L
.50289 .55086 L
.5031 .55106 L
.50472 .55299 L
.50482 .5534 L
.5059 .55492 L
.50674 .55609 L
.50704 .55684 L
.50867 .55871 L
.50873 .55877 L
.51037 .5607 L
.5106 .5613 L
.51152 .56263 L
.51253 .564 L
.51268 .56455 L
.51435 .56648 L
.51445 .56657 L
.51599 .56841 L
.51638 .56922 L
.51712 .57033 L
.51831 .57192 L
.51835 .57226 L
.51996 .57419 L
.52023 .57445 L
.52158 .57611 L
.52216 .57716 L
.52271 .57804 L
.52409 .57987 L
.52416 .57997 L
.52554 .58189 L
.52601 .58237 L
.52714 .58382 L
.52794 .58515 L
.52829 .58575 L
.52972 .58768 L
.52987 .58788 L
.53109 .5896 L
.53179 .59037 L
.53265 .59153 L
.53372 .59323 L
.53385 .59346 L
.53522 .59538 L
.53565 .59597 L
.53659 .59731 L
.53758 .59853 L
.53807 .59924 L
.53931 .60116 L
.5395 .60143 L
.54063 .60309 L
.54143 .60422 L
.54251 .60502 L
.54331 .60694 L
.54336 .60701 L
.54457 .60887 L
.54528 .60991 L
.54585 .6108 L
.54711 .61273 L
.54721 .61287 L
.54823 .61465 L
.54914 .61617 L
.54934 .61658 L
.54914 .61795 L
.54763 .61658 L
.54721 .6162 L
.54578 .61465 L
.54528 .61414 L
.54407 .61273 L
.54336 .61229 L
.54241 .6108 L
.54143 .60969 L
.54019 .60887 L
.5395 .60727 L
.53919 .60694 L
.53769 .60502 L
.53758 .60495 L
.53616 .60309 L
.53565 .60248 L
.5342 .60116 L
.53372 .59993 L
.53314 .59924 L
.53179 .59743 L
.53174 .59731 L
.5302 .59538 L
.52987 .59498 L
.52842 .59346 L
.52794 .59238 L
.5273 .59153 L
.52601 .5898 L
.52597 .5896 L
.52437 .58768 L
.52409 .58733 L
.5227 .58575 L
.52216 .58469 L
.52154 .58382 L
.52023 .58209 L
.52023 .58189 L
.51861 .57997 L
.51831 .57958 L
.517 .57804 L
.51638 .57693 L
.51583 .57611 L
.51445 .57432 L
.51432 .57419 L
.5129 .57226 L
.51253 .57178 L
.51133 .57033 L
.5106 .56911 L
.51016 .56841 L
.50867 .56652 L
.50863 .56648 L
.50722 .56455 L
.50674 .56395 L
.50568 .56263 L
.50482 .56127 L
.50449 .5607 L
.50296 .55877 L
.50289 .55871 L
.50105 .55684 L
.50096 .55609 L
.50005 .55492 L
.49904 .55341 L
.49882 .55299 L
.49731 .55106 L
.49711 .55088 L
.49545 .54914 L
.49518 .54822 L
.49442 .54721 L
.49326 .54553 L
.49315 .54528 L
.49167 .54336 L
.49133 .54303 L
.48986 .54143 L
.4894 .54032 L
.4888 .5395 L
.48747 .53764 L
.48745 .53758 L
.48604 .53565 L
.48555 .53516 L
.48427 .53372 L
.48362 .53241 L
.48318 .53179 L
.4818 .52987 L
.48169 .52972 L
.48042 .52794 L
.47977 .52726 L
.47871 .52601 L
.47784 .52448 L
.47757 .52409 L
.47619 .52216 L
.47591 .52179 L
.4748 .52023 L
.47399 .51933 L
.47316 .51831 L
.47206 .51652 L
.47197 .51638 L
.4706 .51445 L
.47013 .51384 L
.4692 .51253 L
.46821 .51134 L
.46762 .5106 L
.46638 .50867 L
.46628 .50854 L
.46502 .50674 L
.46435 .50585 L
.46363 .50482 L
.46242 .50329 L
.46212 .50289 L
.46084 .50096 L
.4605 .50051 L
.45948 .49904 L
.45857 .49781 L
.45759 .49711 L
.45668 .49518 L
.45664 .49514 L
.45536 .49326 L
.45472 .49239 L
.45401 .49133 L
.45279 .48965 L
.4524 .4894 L
.45132 .48747 L
.45086 .48685 L
.45005 .48555 L
.44894 .48397 L
.44873 .48362 L
.44758 .48169 L
.44701 .48078 L
.4467 .47977 L
F
1 .54 0 r
.44701 .44418 m
.44811 .44508 L
.44894 .44582 L
.44998 .44701 L
.45086 .44798 L
.45162 .44894 L
.45279 .45038 L
.45315 .45086 L
.45458 .45279 L
.45472 .45297 L
.45589 .45472 L
.45664 .45585 L
.45712 .45664 L
.45664 .45847 L
.45483 .45664 L
.45472 .45653 L
.45323 .45472 L
.45279 .45419 L
.45174 .45279 L
.45086 .45165 L
.45031 .45086 L
.44894 .44894 L
.44893 .44894 L
.44777 .44701 L
.44701 .44572 L
.44671 .44508 L
F
0 .43 1 r
.44701 .45188 m
.4475 .45279 L
.44701 .45313 L
.44673 .45279 L
F
0 .74 1 r
.44701 .48714 m
.44738 .48747 L
.44894 .48896 L
.44934 .4894 L
.45086 .49093 L
.45106 .49133 L
.4527 .49326 L
.45279 .49336 L
.45429 .49518 L
.45472 .49569 L
.45586 .49711 L
.45664 .49774 L
.45742 .49904 L
.45857 .50045 L
.45914 .50096 L
.46045 .50289 L
.4605 .50294 L
.46195 .50482 L
.46242 .50519 L
.46345 .50674 L
.46435 .50788 L
.46511 .50867 L
.46628 .51045 L
.46638 .5106 L
.46786 .51253 L
.46821 .51282 L
.46932 .51445 L
.47013 .51549 L
.47091 .51638 L
.47206 .5181 L
.47218 .51831 L
.47366 .52023 L
.47399 .52052 L
.4751 .52216 L
.47591 .52321 L
.47663 .52409 L
.47784 .52585 L
.47793 .52601 L
.47939 .52794 L
.47977 .52829 L
.48147 .52987 L
.48169 .53101 L
.4823 .53179 L
.48362 .53367 L
.48365 .53372 L
.48507 .53565 L
.48555 .53611 L
.48699 .53758 L
.48747 .53888 L
.48794 .5395 L
.4893 .54143 L
.4894 .54156 L
.4907 .54336 L
.49133 .54401 L
.4925 .54528 L
.49326 .54683 L
.49353 .54721 L
.49489 .54914 L
.49518 .54953 L
.49628 .55106 L
.49711 .55201 L
.49796 .55299 L
.49904 .55487 L
.49907 .55492 L
.50042 .55684 L
.50096 .55759 L
.50179 .55877 L
.50289 .56017 L
.50332 .5607 L
.50452 .56263 L
.50482 .56304 L
.50585 .56455 L
.50674 .5658 L
.50721 .56648 L
.50854 .56841 L
.50867 .56859 L
.50981 .57033 L
.5106 .57146 L
.51111 .57226 L
.51239 .57419 L
.51253 .57438 L
.51353 .57611 L
.51445 .57757 L
.51469 .57804 L
.51445 .57914 L
.5134 .57804 L
.51253 .5772 L
.5116 .57611 L
.5106 .57502 L
.50992 .57419 L
.50867 .57296 L
.5083 .57226 L
.50674 .57036 L
.50671 .57033 L
.5052 .56841 L
.50482 .56794 L
.50368 .56648 L
.50289 .56578 L
.50216 .56455 L
.50096 .56307 L
.5005 .56263 L
.49918 .5607 L
.49904 .56053 L
.49771 .55877 L
.49711 .55825 L
.49624 .55684 L
.49518 .55552 L
.49462 .55492 L
.49331 .55299 L
.49326 .55292 L
.49188 .55106 L
.49133 .55058 L
.49043 .54914 L
.4894 .54783 L
.48885 .54721 L
.48754 .54528 L
.48747 .5452 L
.48612 .54336 L
.48555 .54282 L
.48395 .54143 L
.48362 .54006 L
.48316 .5395 L
.48183 .53758 L
.48169 .5374 L
.48043 .53565 L
.47977 .535 L
.47843 .53372 L
.47784 .5322 L
.47751 .53179 L
.47617 .52987 L
.47591 .52953 L
.47477 .52794 L
.47399 .52712 L
.47292 .52601 L
.47206 .52429 L
.47191 .52409 L
.47055 .52216 L
.47013 .5216 L
.46916 .52023 L
.46821 .51915 L
.46744 .51831 L
.46634 .51638 L
.46628 .5163 L
.46498 .51445 L
.46435 .51361 L
.46359 .51253 L
.46242 .51106 L
.46203 .5106 L
.46082 .50867 L
.4605 .50824 L
.45947 .50674 L
.45857 .50553 L
.45809 .50482 L
.4567 .50289 L
.45664 .50282 L
.45539 .50096 L
.45472 .50004 L
.45405 .49904 L
.45279 .49727 L
.45268 .49711 L
.45142 .49518 L
.45086 .4944 L
.45015 .49326 L
.44894 .49149 L
.44884 .49133 L
.44775 .4894 L
.44701 .48817 L
.44677 .48747 L
F
0 .91 1 r
.44701 .38519 m
.4472 .38535 L
.44894 .38691 L
.44925 .38727 L
.45086 .38893 L
.45101 .3892 L
.45266 .39113 L
.45279 .39128 L
.45424 .39306 L
.45472 .39361 L
.45581 .39498 L
.45664 .39575 L
.45736 .39691 L
.45857 .39838 L
.45907 .39884 L
.46041 .40076 L
.4605 .40087 L
.46189 .40269 L
.46242 .40317 L
.46338 .40462 L
.46435 .40583 L
.46505 .40654 L
.46628 .4084 L
.46633 .40847 L
.46778 .4104 L
.46821 .41079 L
.46923 .41232 L
.47013 .41345 L
.47085 .41425 L
.47206 .41607 L
.47213 .41618 L
.47357 .41811 L
.47399 .4185 L
.47501 .42003 L
.47591 .42118 L
.47657 .42196 L
.47784 .42382 L
.47788 .42389 L
.4793 .42581 L
.47977 .42627 L
.48134 .42774 L
.48169 .42898 L
.48225 .42967 L
.48359 .43159 L
.48362 .43163 L
.48499 .43352 L
.48555 .43408 L
.48691 .43545 L
.48747 .43683 L
.4879 .43737 L
.48925 .4393 L
.4894 .43949 L
.49065 .44123 L
.49133 .44194 L
.49247 .44316 L
.49326 .44472 L
.49353 .44508 L
.49489 .44701 L
.49518 .44739 L
.49628 .44894 L
.49711 .44985 L
.49801 .45086 L
.49904 .45265 L
.49914 .45279 L
.5005 .45472 L
.50096 .45532 L
.5019 .45664 L
.50289 .45782 L
.50353 .45857 L
.50473 .4605 L
.50482 .46062 L
.50609 .46242 L
.50674 .4633 L
.50748 .46435 L
.50867 .46585 L
.50902 .46628 L
.51027 .46821 L
.5106 .46864 L
.51163 .47013 L
.51253 .47133 L
.51303 .47206 L
.51444 .47399 L
.51445 .474 L
.51576 .47591 L
.51638 .47675 L
.51712 .47784 L
.51831 .47947 L
.51851 .47977 L
.51983 .48169 L
.52023 .48224 L
.52113 .48362 L
.52216 .48506 L
.52247 .48555 L
.52376 .48747 L
.52409 .48794 L
.52494 .4894 L
.52601 .49101 L
.52618 .49133 L
.52601 .49274 L
.52467 .49133 L
.52409 .49077 L
.52287 .4894 L
.52216 .48864 L
.52115 .48747 L
.52023 .48685 L
.51948 .48555 L
.51831 .48416 L
.51757 .48362 L
.51638 .48179 L
.51632 .48169 L
.5147 .47977 L
.51445 .47966 L
.51313 .47784 L
.51253 .47709 L
.51125 .47591 L
.5106 .47456 L
.51018 .47399 L
.50867 .47211 L
.5086 .47206 L
.50711 .47013 L
.50674 .46968 L
.50537 .46821 L
.50482 .46709 L
.50425 .46628 L
.50289 .46453 L
.50287 .46435 L
.50125 .46242 L
.50096 .46206 L
.49962 .4605 L
.49904 .45944 L
.49847 .45857 L
.49711 .45684 L
.49691 .45664 L
.49548 .45472 L
.49518 .45434 L
.49393 .45279 L
.49326 .45169 L
.49276 .45086 L
.49133 .44908 L
.49119 .44894 L
.48976 .44701 L
.4894 .44654 L
.48826 .44508 L
.48747 .44387 L
.48708 .44316 L
.48555 .44127 L
.48551 .44123 L
.48409 .4393 L
.48362 .4387 L
.48262 .43737 L
.48169 .43601 L
.48142 .43545 L
.47986 .43352 L
.47977 .43345 L
.47799 .43159 L
.47784 .43081 L
.47701 .42967 L
.47591 .42811 L
.47576 .42774 L
.47424 .42581 L
.47399 .42559 L
.47243 .42389 L
.47206 .42287 L
.47142 .42196 L
.47013 .42015 L
.47009 .42003 L
.46866 .41811 L
.46821 .41768 L
.46691 .41618 L
.46628 .41486 L
.46587 .41425 L
.4645 .41232 L
.46435 .41212 L
.46313 .4104 L
.46242 .40965 L
.46147 .40847 L
.4605 .40673 L
.46038 .40654 L
.45904 .40462 L
.45857 .40397 L
.45768 .40269 L
.45664 .40138 L
.45617 .40076 L
.455 .39884 L
.45472 .39843 L
.4537 .39691 L
.45279 .3956 L
.45238 .39498 L
.4511 .39306 L
.45086 .39271 L
.44988 .39113 L
.44894 .3897 L
.44864 .3892 L
.44757 .38727 L
.44701 .38626 L
.44677 .38535 L
F
1 .53 0 r
.44701 .44436 m
.44798 .44508 L
.44894 .44591 L
.44991 .44701 L
.45086 .44805 L
.45157 .44894 L
.45279 .45044 L
.45311 .45086 L
.45453 .45279 L
.45472 .45304 L
.45583 .45472 L
.45664 .45594 L
.45706 .45664 L
.45664 .45836 L
.45491 .45664 L
.45472 .45645 L
.45329 .45472 L
.45279 .45413 L
.45179 .45279 L
.45086 .45159 L
.45035 .45086 L
.44899 .44894 L
.44894 .44886 L
.44784 .44701 L
.44701 .44556 L
.44681 .44508 L
F
0 .89 1 r
.44701 .437 m
.44862 .43737 L
.44894 .43754 L
.45086 .43925 L
.45111 .4393 L
.45279 .44115 L
.45284 .44123 L
.4545 .44316 L
.45472 .44342 L
.45606 .44508 L
.45664 .44589 L
.45761 .44701 L
.45857 .44845 L
.45886 .44894 L
.46048 .45086 L
.4605 .45088 L
.4623 .45279 L
.46242 .45344 L
.46333 .45472 L
.46435 .45615 L
.46454 .45664 L
.46606 .45857 L
.46628 .4589 L
.46779 .4605 L
.46821 .46189 L
.46855 .46242 L
.46907 .46435 L
.46821 .46489 L
.46628 .46437 L
.46626 .46435 L
.46435 .46275 L
.46399 .46242 L
.46243 .4605 L
.46242 .46049 L
.46094 .45857 L
.4605 .45809 L
.45887 .45664 L
.45857 .45548 L
.45794 .45472 L
.45664 .45284 L
.45662 .45279 L
.45522 .45086 L
.45472 .45061 L
.45333 .44894 L
.45279 .44764 L
.45239 .44701 L
.4511 .44508 L
.45086 .44474 L
.44981 .44316 L
.44894 .44184 L
.44825 .44123 L
.44745 .4393 L
.44701 .4383 L
.44684 .43737 L
F
0 .42 1 r
.44701 .45209 m
.44733 .45279 L
.44701 .45296 L
.44687 .45279 L
F
1 .96 0 r
.44701 .46959 m
.44894 .46982 L
.44928 .47013 L
.45086 .47173 L
.45114 .47206 L
.45273 .47399 L
.45279 .47406 L
.45416 .47591 L
.45472 .47661 L
.45559 .47784 L
.45664 .47922 L
.45703 .47977 L
.45843 .48169 L
.45857 .48188 L
.45973 .48362 L
.4605 .48468 L
.46104 .48555 L
.46232 .48747 L
.4605 .48816 L
.46009 .48747 L
.45857 .48581 L
.45808 .48555 L
.45664 .48401 L
.45628 .48362 L
.45472 .4818 L
.45462 .48169 L
.45305 .47977 L
.45279 .47974 L
.45153 .47784 L
.45086 .47698 L
.45009 .47591 L
.44894 .47414 L
.44879 .47399 L
.44763 .47206 L
.44701 .47057 L
.44687 .47013 L
F
1 .52 0 r
.44701 .44461 m
.44781 .44508 L
.44894 .446 L
.44984 .44701 L
.45086 .44812 L
.45152 .44894 L
.45279 .4505 L
.45306 .45086 L
.45448 .45279 L
.45472 .45311 L
.45578 .45472 L
.45664 .45603 L
.457 .45664 L
.45664 .45824 L
.45498 .45664 L
.45472 .45638 L
.45334 .45472 L
.45279 .45407 L
.45184 .45279 L
.45086 .45153 L
.4504 .45086 L
.44905 .44894 L
.44894 .44877 L
.44791 .44701 L
.44701 .44535 L
.44692 .44508 L
F
1 .94 0 r
.44701 .40877 m
.44798 .4104 L
.44894 .41166 L
.44928 .41232 L
.44894 .41276 L
.44858 .41232 L
.44701 .41048 L
.44694 .4104 L
F
0 .6 1 r
.44701 .51886 m
.44745 .52023 L
.44701 .52025 L
.447 .52023 L
F
0 .88 1 r
.44894 .43773 m
.45086 .43929 L
.45091 .4393 L
.45276 .44123 L
.45279 .44126 L
.45442 .44316 L
.45472 .44351 L
.45599 .44508 L
.45664 .44597 L
.45756 .44701 L
.45857 .44851 L
.45883 .44894 L
.46043 .45086 L
.4605 .45092 L
.46229 .45279 L
.46242 .4535 L
.46329 .45472 L
.46435 .45621 L
.46451 .45664 L
.466 .45857 L
.46628 .45899 L
.46774 .4605 L
.46821 .46203 L
.46846 .46242 L
.46884 .46435 L
.46821 .46473 L
.4665 .46435 L
.46628 .46424 L
.46435 .46265 L
.46409 .46242 L
.46249 .4605 L
.46242 .46046 L
.46099 .45857 L
.4605 .45805 L
.4589 .45664 L
.45857 .45543 L
.45797 .45472 L
.45664 .4528 L
.45664 .45279 L
.45526 .45086 L
.45472 .45057 L
.45337 .44894 L
.45279 .44757 L
.45243 .44701 L
.45116 .44508 L
.45086 .44466 L
.44987 .44316 L
.44894 .44173 L
.44837 .44123 L
.44759 .4393 L
F
0 .87 1 r
.44894 .43794 m
.45073 .4393 L
.45086 .43941 L
.45265 .44123 L
.45279 .44134 L
.45434 .44316 L
.45472 .4436 L
.45593 .44508 L
.45664 .44604 L
.45751 .44701 L
.45857 .44856 L
.4588 .44894 L
.46038 .45086 L
.4605 .45096 L
.46227 .45279 L
.46242 .45356 L
.46325 .45472 L
.46435 .45628 L
.46449 .45664 L
.46595 .45857 L
.46628 .45907 L
.46769 .4605 L
.46821 .46218 L
.46836 .46242 L
.46858 .46435 L
.46821 .46456 L
.4668 .46435 L
.46628 .46413 L
.46435 .46256 L
.46419 .46242 L
.46255 .4605 L
.46242 .46042 L
.46103 .45857 L
.4605 .458 L
.45893 .45664 L
.45857 .45538 L
.45801 .45472 L
.45668 .45279 L
.45664 .45275 L
.4553 .45086 L
.45472 .45054 L
.45341 .44894 L
.45279 .4475 L
.45248 .44701 L
.45121 .44508 L
.45086 .44458 L
.44993 .44316 L
.44894 .44161 L
.4485 .44123 L
.44773 .4393 L
F
0 .86 1 r
.44894 .43814 m
.45054 .4393 L
.45086 .43956 L
.45254 .44123 L
.45279 .44141 L
.45425 .44316 L
.45472 .44368 L
.45586 .44508 L
.45664 .44612 L
.45746 .44701 L
.45857 .44862 L
.45877 .44894 L
.46033 .45086 L
.4605 .451 L
.46225 .45279 L
.46242 .45361 L
.46321 .45472 L
.46435 .45634 L
.46446 .45664 L
.46589 .45857 L
.46628 .45915 L
.46763 .4605 L
.46821 .46234 L
.46826 .46242 L
.46825 .46435 L
.46821 .46437 L
.46724 .46435 L
.46628 .46401 L
.46435 .46247 L
.4643 .46242 L
.46261 .4605 L
.46242 .46039 L
.46108 .45857 L
.4605 .45795 L
.45897 .45664 L
.45857 .45534 L
.45805 .45472 L
.45671 .45279 L
.45664 .4527 L
.45533 .45086 L
.45472 .45049 L
.45345 .44894 L
.45279 .44742 L
.45253 .44701 L
.45126 .44508 L
.45086 .4445 L
.44999 .44316 L
.44894 .44149 L
.44865 .44123 L
.44788 .4393 L
F
0 .73 1 r
.44894 .48916 m
.44916 .4894 L
.45086 .49118 L
.45094 .49133 L
.45259 .49326 L
.45279 .49348 L
.4542 .49518 L
.45472 .49579 L
.45579 .49711 L
.45664 .49782 L
.45735 .49904 L
.45857 .50053 L
.45906 .50096 L
.46039 .50289 L
.4605 .50302 L
.4619 .50482 L
.46242 .50524 L
.4634 .50674 L
.46435 .50794 L
.46506 .50867 L
.46628 .51051 L
.46634 .5106 L
.46781 .51253 L
.46821 .51285 L
.46928 .51445 L
.47013 .51554 L
.47087 .51638 L
.47206 .51815 L
.47216 .51831 L
.47362 .52023 L
.47399 .52056 L
.47507 .52216 L
.47591 .52325 L
.4766 .52409 L
.47784 .52589 L
.47791 .52601 L
.47936 .52794 L
.47977 .52832 L
.48145 .52987 L
.48169 .53105 L
.48227 .53179 L
.48362 .53371 L
.48363 .53372 L
.48504 .53565 L
.48555 .53615 L
.48697 .53758 L
.48747 .53892 L
.48791 .5395 L
.48927 .54143 L
.4894 .5416 L
.49067 .54336 L
.49133 .54405 L
.49247 .54528 L
.49326 .54688 L
.49349 .54721 L
.49486 .54914 L
.49518 .54958 L
.49624 .55106 L
.49711 .55206 L
.49792 .55299 L
.49903 .55492 L
.49904 .55493 L
.50038 .55684 L
.50096 .55765 L
.50175 .55877 L
.50289 .56025 L
.50326 .5607 L
.50446 .56263 L
.50482 .56311 L
.5058 .56455 L
.50674 .56588 L
.50715 .56648 L
.50847 .56841 L
.50867 .56869 L
.50974 .57033 L
.5106 .57158 L
.51103 .57226 L
.51228 .57419 L
.51253 .57455 L
.51339 .57611 L
.51445 .57791 L
.51451 .57804 L
.51445 .57871 L
.51369 .57804 L
.51253 .57701 L
.51175 .57611 L
.5106 .57488 L
.51003 .57419 L
.50867 .5728 L
.50839 .57226 L
.5068 .57033 L
.50674 .57026 L
.50528 .56841 L
.50482 .56786 L
.50375 .56648 L
.50289 .56571 L
.50222 .56455 L
.50096 .563 L
.50057 .56263 L
.49923 .5607 L
.49904 .56046 L
.49776 .55877 L
.49711 .5582 L
.49628 .55684 L
.49518 .55547 L
.49466 .55492 L
.49335 .55299 L
.49326 .55287 L
.49191 .55106 L
.49133 .55054 L
.49046 .54914 L
.4894 .54779 L
.48889 .54721 L
.48757 .54528 L
.48747 .54516 L
.48616 .54336 L
.48555 .54279 L
.48398 .54143 L
.48362 .54001 L
.48319 .5395 L
.48186 .53758 L
.48169 .53736 L
.48045 .53565 L
.47977 .53497 L
.47846 .53372 L
.47784 .53217 L
.47754 .53179 L
.4762 .52987 L
.47591 .52949 L
.4748 .52794 L
.47399 .52708 L
.47295 .52601 L
.47206 .52425 L
.47194 .52409 L
.47058 .52216 L
.47013 .52157 L
.46919 .52023 L
.46821 .5191 L
.46748 .51831 L
.46637 .51638 L
.46628 .51626 L
.46501 .51445 L
.46435 .51357 L
.46362 .51253 L
.46242 .511 L
.46208 .5106 L
.46086 .50867 L
.4605 .50819 L
.45951 .50674 L
.45857 .50547 L
.45812 .50482 L
.45675 .50289 L
.45664 .50275 L
.45545 .50096 L
.45472 .49996 L
.45411 .49904 L
.45279 .49719 L
.45274 .49711 L
.4515 .49518 L
.45086 .49429 L
.45023 .49326 L
.44894 .49134 L
.44893 .49133 L
.44794 .4894 L
F
1 .96 0 r
.44894 .37904 m
.44947 .37957 L
.45086 .38054 L
.45137 .38149 L
.45279 .38302 L
.45311 .38342 L
.45472 .3853 L
.45478 .38535 L
.45637 .38727 L
.45664 .38742 L
.45795 .3892 L
.45857 .38993 L
.46014 .39113 L
.4605 .39241 L
.46107 .39306 L
.46242 .39487 L
.46249 .39498 L
.46404 .39691 L
.46435 .39728 L
.46593 .39884 L
.46628 .39985 L
.46701 .40076 L
.46821 .40242 L
.46831 .40269 L
.46994 .40462 L
.47013 .40486 L
.47166 .40654 L
.47206 .40747 L
.4728 .40847 L
.47399 .41009 L
.47406 .4104 L
.47573 .41232 L
.47591 .41256 L
.47737 .41425 L
.47784 .4152 L
.47853 .41618 L
.47977 .41784 L
.47977 .41811 L
.48146 .42003 L
.48169 .42033 L
.48305 .42196 L
.48362 .42299 L
.48421 .42389 L
.48555 .42563 L
.48574 .42581 L
.48715 .42774 L
.48747 .42815 L
.48871 .42967 L
.4894 .43083 L
.48988 .43159 L
.49133 .43344 L
.49141 .43352 L
.49282 .43545 L
.49326 .436 L
.49435 .43737 L
.49518 .43868 L
.49554 .4393 L
.49707 .44123 L
.49711 .44126 L
.49896 .44316 L
.49904 .44386 L
.49999 .44508 L
.50096 .44655 L
.5012 .44701 L
.50272 .44894 L
.50289 .44909 L
.50457 .45086 L
.50482 .45174 L
.50561 .45279 L
.50674 .45443 L
.50687 .45472 L
.50836 .45664 L
.50867 .45693 L
.51017 .45857 L
.5106 .45963 L
.51123 .4605 L
.51253 .46232 L
.51256 .46242 L
.51399 .46435 L
.51445 .4648 L
.51575 .46628 L
.51638 .46754 L
.51685 .46821 L
.51823 .47013 L
.51831 .47023 L
.51962 .47206 L
.52023 .47269 L
.52133 .47399 L
.52216 .47547 L
.52246 .47591 L
.52385 .47784 L
.52409 .47815 L
.52524 .47977 L
.52601 .48061 L
.5269 .48169 L
.52794 .48341 L
.52808 .48362 L
.52945 .48555 L
.52987 .4861 L
.53084 .48747 L
.53179 .48857 L
.53244 .4894 L
.53368 .49133 L
.53372 .49139 L
.53504 .49326 L
.53565 .49406 L
.53643 .49518 L
.53758 .4966 L
.53796 .49711 L
.53924 .49904 L
.5395 .49938 L
.5406 .50096 L
.54143 .50164 L
.5425 .50289 L
.54336 .5047 L
.54344 .50482 L
.54476 .50674 L
.54528 .50744 L
.54613 .50867 L
.54721 .50993 L
.54775 .5106 L
.54889 .51253 L
.54914 .51285 L
.55022 .51445 L
.55106 .5156 L
.55159 .51638 L
.55297 .51831 L
.55299 .51833 L
.55427 .52023 L
.55492 .52113 L
.55559 .52216 L
.55684 .52386 L
.557 .52409 L
.55819 .52601 L
.55877 .52688 L
.5594 .52794 L
.56054 .52987 L
.55877 .53066 L
.55776 .52987 L
.55684 .52929 L
.55582 .52794 L
.55492 .52702 L
.55415 .52601 L
.55299 .52462 L
.55243 .52409 L
.5511 .52216 L
.55106 .52213 L
.54965 .52023 L
.54914 .51959 L
.5479 .51831 L
.54721 .51694 L
.54675 .51638 L
.54539 .51445 L
.54528 .51432 L
.54362 .51253 L
.54336 .5117 L
.54251 .5106 L
.54143 .50907 L
.54119 .50867 L
.5397 .50674 L
.5395 .50647 L
.53823 .50482 L
.53758 .50385 L
.53705 .50289 L
.53565 .50123 L
.53536 .50096 L
.53381 .49904 L
.53372 .49873 L
.53259 .49711 L
.53179 .49604 L
.5316 .49518 L
.52987 .49364 L
.52956 .49326 L
.52808 .49133 L
.52794 .49103 L
.52686 .4894 L
.52601 .48829 L
.52522 .48747 L
.52409 .48591 L
.52381 .48555 L
.52235 .48362 L
.52216 .48327 L
.52113 .48169 L
.52023 .48053 L
.5195 .47977 L
.51831 .47812 L
.51809 .47784 L
.51664 .47591 L
.51638 .47546 L
.51544 .47399 L
.51445 .47273 L
.51381 .47206 L
.51253 .47028 L
.51241 .47013 L
.51097 .46821 L
.5106 .46762 L
.5098 .46628 L
.50867 .46489 L
.50814 .46435 L
.50675 .46242 L
.50674 .46241 L
.50532 .4605 L
.50482 .45974 L
.50417 .45857 L
.50289 .45704 L
.50249 .45664 L
.50097 .45472 L
.50096 .45454 L
.49968 .45279 L
.49904 .45186 L
.49855 .45086 L
.49711 .44919 L
.49685 .44894 L
.49527 .44701 L
.49518 .44666 L
.49406 .44508 L
.49326 .44397 L
.49293 .44316 L
.49133 .44133 L
.49122 .44123 L
.48961 .4393 L
.4894 .43876 L
.48844 .43737 L
.48747 .43606 L
.4873 .43545 L
.4856 .43352 L
.48555 .43347 L
.48398 .43159 L
.48362 .43085 L
.48284 .42967 L
.48169 .42815 L
.48164 .42774 L
.47999 .42581 L
.47977 .42561 L
.47837 .42389 L
.47784 .42292 L
.47724 .42196 L
.47591 .42021 L
.47578 .42003 L
.47439 .41811 L
.47399 .41771 L
.47279 .41618 L
.47206 .41495 L
.47165 .41425 L
.4702 .41232 L
.47013 .41223 L
.46882 .4104 L
.46821 .40975 L
.46726 .40847 L
.46628 .40692 L
.46607 .40654 L
.46467 .40462 L
.46435 .40419 L
.46329 .40269 L
.46242 .40167 L
.46178 .40076 L
.46054 .39884 L
.4605 .39878 L
.4592 .39691 L
.45857 .39603 L
.45724 .39498 L
.45664 .39337 L
.45644 .39306 L
.45518 .39113 L
.45472 .39048 L
.45387 .3892 L
.45279 .38764 L
.45232 .38727 L
.45131 .38535 L
.45086 .38469 L
.4501 .38342 L
.44894 .38159 L
.44888 .38149 L
.44796 .37957 L
F
1 .51 0 r
.44894 .44609 m
.44977 .44701 L
.45086 .44819 L
.45146 .44894 L
.45279 .45057 L
.45301 .45086 L
.45442 .45279 L
.45472 .45319 L
.45572 .45472 L
.45664 .45614 L
.45693 .45664 L
.45664 .45812 L
.45507 .45664 L
.45472 .4563 L
.4534 .45472 L
.45279 .454 L
.45189 .45279 L
.45086 .45146 L
.45044 .45086 L
.44911 .44894 L
.44894 .44868 L
.44798 .44701 L
F
0 .85 1 r
.44894 .43836 m
.45034 .4393 L
.45086 .4397 L
.45242 .44123 L
.45279 .44149 L
.45417 .44316 L
.45472 .44377 L
.45579 .44508 L
.45664 .44619 L
.45741 .44701 L
.45857 .44867 L
.45873 .44894 L
.46029 .45086 L
.4605 .45105 L
.46224 .45279 L
.46242 .45367 L
.46317 .45472 L
.46435 .45641 L
.46444 .45664 L
.46584 .45857 L
.46628 .45924 L
.46757 .4605 L
.46815 .46242 L
.46628 .46389 L
.46441 .46242 L
.46435 .46238 L
.46267 .4605 L
.46242 .46035 L
.46113 .45857 L
.4605 .4579 L
.45901 .45664 L
.45857 .45529 L
.45809 .45472 L
.45675 .45279 L
.45664 .45265 L
.45537 .45086 L
.45472 .45045 L
.45349 .44894 L
.45279 .44735 L
.45258 .44701 L
.45132 .44508 L
.45086 .44442 L
.45006 .44316 L
.44894 .44135 L
.4488 .44123 L
.44805 .4393 L
F
1 .5 0 r
.44894 .44619 m
.44969 .44701 L
.45086 .44826 L
.4514 .44894 L
.45279 .45063 L
.45296 .45086 L
.45436 .45279 L
.45472 .45326 L
.45566 .45472 L
.45664 .45625 L
.45686 .45664 L
.45664 .45798 L
.45516 .45664 L
.45472 .45622 L
.45347 .45472 L
.45279 .45393 L
.45194 .45279 L
.45086 .4514 L
.45049 .45086 L
.44918 .44894 L
.44894 .44858 L
.44806 .44701 L
F
1 .95 0 r
.44894 .47035 m
.45086 .47204 L
.45088 .47206 L
.45249 .47399 L
.45279 .47434 L
.45397 .47591 L
.45472 .47685 L
.45542 .47784 L
.45664 .47945 L
.45686 .47977 L
.45822 .48169 L
.45857 .48217 L
.4595 .48362 L
.4605 .48506 L
.46078 .48555 L
.4605 .48731 L
.45857 .48559 L
.45851 .48555 L
.45666 .48362 L
.45664 .48361 L
.45496 .48169 L
.45472 .48142 L
.45335 .47977 L
.45279 .47968 L
.45183 .47784 L
.45086 .4766 L
.45042 .47591 L
.44916 .47399 L
.44894 .47361 L
.44806 .47206 L
F
1 .49 0 r
.44894 .44629 m
.4496 .44701 L
.45086 .44834 L
.45134 .44894 L
.45279 .4507 L
.45291 .45086 L
.4543 .45279 L
.45472 .45334 L
.4556 .45472 L
.45664 .45638 L
.45678 .45664 L
.45664 .45781 L
.45526 .45664 L
.45472 .45613 L
.45353 .45472 L
.45279 .45386 L
.45199 .45279 L
.45086 .45133 L
.45054 .45086 L
.44924 .44894 L
.44894 .44848 L
.44815 .44701 L
F
0 .72 1 r
.44894 .48939 m
.44895 .4894 L
.44894 .49112 L
.44823 .4894 L
F
1 .48 0 r
.44894 .44641 m
.44951 .44701 L
.45086 .44842 L
.45128 .44894 L
.45279 .45077 L
.45286 .45086 L
.45424 .45279 L
.45472 .45343 L
.45554 .45472 L
.45664 .45653 L
.4567 .45664 L
.45664 .45761 L
.45538 .45664 L
.45472 .45605 L
.4536 .45472 L
.45279 .45379 L
.45205 .45279 L
.45086 .45125 L
.45059 .45086 L
.44932 .44894 L
.44894 .44836 L
.44825 .44701 L
F
0 .84 1 r
.44894 .4386 m
.45011 .4393 L
.45086 .43984 L
.45231 .44123 L
.45279 .44157 L
.45409 .44316 L
.45472 .44385 L
.45573 .44508 L
.45664 .44626 L
.45735 .44701 L
.45857 .44873 L
.4587 .44894 L
.46024 .45086 L
.4605 .45109 L
.46221 .45279 L
.46242 .45373 L
.46313 .45472 L
.46435 .45648 L
.46441 .45664 L
.46578 .45857 L
.46628 .45933 L
.4675 .4605 L
.46804 .46242 L
.46628 .46378 L
.4645 .46242 L
.46435 .46229 L
.46273 .4605 L
.46242 .46032 L
.46117 .45857 L
.4605 .45785 L
.45905 .45664 L
.45857 .45524 L
.45813 .45472 L
.45679 .45279 L
.45664 .45259 L
.45541 .45086 L
.45472 .4504 L
.45354 .44894 L
.45279 .44727 L
.45263 .44701 L
.45137 .44508 L
.45086 .44433 L
.45012 .44316 L
.44895 .44123 L
.44894 .4412 L
.44825 .4393 L
F
1 .47 0 r
.44894 .44653 m
.44941 .44701 L
.45086 .4485 L
.45122 .44894 L
.45279 .45084 L
.45281 .45086 L
.45418 .45279 L
.45472 .45352 L
.45547 .45472 L
.45472 .45595 L
.45367 .45472 L
.45279 .45371 L
.4521 .45279 L
.45086 .45118 L
.45064 .45086 L
.44939 .44894 L
.44894 .44823 L
.44835 .44701 L
F
0 .83 1 r
.44894 .43886 m
.44984 .4393 L
.45086 .43998 L
.45219 .44123 L
.45279 .44164 L
.454 .44316 L
.45472 .44394 L
.45566 .44508 L
.45664 .44633 L
.4573 .44701 L
.45857 .44878 L
.45867 .44894 L
.46019 .45086 L
.4605 .45113 L
.46219 .45279 L
.46242 .45379 L
.46308 .45472 L
.46435 .45655 L
.46439 .45664 L
.46573 .45857 L
.46628 .45942 L
.46742 .4605 L
.46793 .46242 L
.46628 .46366 L
.46461 .46242 L
.46435 .4622 L
.4628 .4605 L
.46242 .46028 L
.46122 .45857 L
.4605 .4578 L
.45909 .45664 L
.45857 .45518 L
.45817 .45472 L
.45683 .45279 L
.45664 .45254 L
.45545 .45086 L
.45472 .45035 L
.45359 .44894 L
.45279 .44719 L
.45268 .44701 L
.45143 .44508 L
.45086 .44424 L
.45019 .44316 L
.44906 .44123 L
.44894 .44099 L
.44847 .4393 L
F
1 .46 0 r
.44894 .44666 m
.44929 .44701 L
.45086 .44858 L
.45115 .44894 L
.45274 .45086 L
.45279 .45092 L
.45411 .45279 L
.45472 .45362 L
.4554 .45472 L
.45472 .45585 L
.45375 .45472 L
.45279 .45363 L
.45216 .45279 L
.45086 .4511 L
.4507 .45086 L
.44948 .44894 L
.44894 .44808 L
.44848 .44701 L
F
0 .14 1 r
.44894 .50497 m
.45017 .50674 L
.45086 .50761 L
.45159 .50867 L
.45279 .51022 L
.45305 .5106 L
.45441 .51253 L
.45472 .51291 L
.45572 .51445 L
.45664 .51565 L
.4571 .51638 L
.45664 .51746 L
.45587 .51638 L
.45472 .51502 L
.45431 .51445 L
.45279 .51255 L
.45277 .51253 L
.45139 .5106 L
.45086 .50996 L
.44996 .50867 L
.44894 .50739 L
.44849 .50674 L
F
0 .13 1 r
.44894 .50504 m
.45012 .50674 L
.45086 .50767 L
.45155 .50867 L
.45279 .51029 L
.453 .5106 L
.45279 .51248 L
.45145 .5106 L
.45086 .5099 L
.45001 .50867 L
.44894 .50733 L
.44853 .50674 L
F
1 .87 0 r
.44894 .39507 m
.45045 .39691 L
.45086 .39735 L
.45202 .39884 L
.45279 .39972 L
.45359 .40076 L
.45472 .40213 L
.45514 .40269 L
.45664 .40455 L
.45673 .40462 L
.45813 .40654 L
.45857 .40708 L
.4596 .40847 L
.4605 .40959 L
.46109 .4104 L
.46242 .41204 L
.46276 .41232 L
.46401 .41425 L
.46435 .41467 L
.46544 .41618 L
.46628 .41725 L
.4669 .41811 L
.46821 .41974 L
.46851 .42003 L
.46977 .42196 L
.47013 .42242 L
.47118 .42389 L
.47206 .42503 L
.47262 .42581 L
.47399 .42759 L
.47414 .42774 L
.47545 .42967 L
.47591 .43027 L
.47684 .43159 L
.47784 .4329 L
.47827 .43352 L
.4797 .43545 L
.47977 .43554 L
.48105 .43737 L
.48169 .43822 L
.48244 .4393 L
.48362 .44088 L
.48386 .44123 L
.48523 .44316 L
.48555 .44357 L
.48657 .44508 L
.48747 .44629 L
.48795 .44701 L
.48936 .44894 L
.4894 .44899 L
.49064 .45086 L
.49133 .45179 L
.49197 .45279 L
.49326 .45457 L
.49335 .45472 L
.49457 .45664 L
.49518 .45751 L
.49579 .45857 L
.49518 .45968 L
.49423 .45857 L
.49326 .45747 L
.49257 .45664 L
.49133 .45514 L
.49098 .45472 L
.48944 .45279 L
.4894 .45275 L
.48793 .45086 L
.48747 .45031 L
.48641 .44894 L
.48555 .44837 L
.4849 .44701 L
.48362 .44539 L
.48328 .44508 L
.48195 .44316 L
.48169 .44283 L
.48048 .44123 L
.47977 .44072 L
.479 .4393 L
.47784 .4378 L
.47743 .43737 L
.47611 .43545 L
.47591 .43519 L
.47467 .43352 L
.47399 .43297 L
.47322 .43159 L
.47206 .43007 L
.4717 .42967 L
.47037 .42774 L
.47013 .42742 L
.46895 .42581 L
.46821 .42513 L
.46753 .42389 L
.46628 .42221 L
.46607 .42196 L
.46472 .42003 L
.46435 .41953 L
.46332 .41811 L
.46242 .41716 L
.46132 .41618 L
.46053 .41425 L
.4605 .41421 L
.45917 .41232 L
.45857 .4115 L
.45779 .4104 L
.45664 .40896 L
.45617 .40847 L
.45508 .40654 L
.45472 .40604 L
.45374 .40462 L
.45279 .40327 L
.4524 .40269 L
.45109 .40076 L
.45086 .40044 L
.44984 .39884 L
.44894 .39752 L
.44856 .39691 L
F
1 .94 0 r
.44894 .47112 m
.45044 .47206 L
.45086 .47244 L
.45221 .47399 L
.45279 .47464 L
.45375 .47591 L
.45472 .47711 L
.45523 .47784 L
.45664 .4797 L
.45669 .47977 L
.45798 .48169 L
.45857 .48252 L
.45923 .48362 L
.45857 .48513 L
.45706 .48362 L
.45664 .4832 L
.45529 .48169 L
.45472 .48103 L
.45366 .47977 L
.45279 .47942 L
.45214 .47784 L
.45086 .4761 L
.45076 .47591 L
.44953 .47399 L
.44894 .47286 L
.44857 .47206 L
F
0 .12 1 r
.44894 .50511 m
.45006 .50674 L
.45086 .50774 L
.4515 .50867 L
.45279 .51035 L
.45296 .5106 L
.45279 .5124 L
.45151 .5106 L
.45086 .50983 L
.45006 .50867 L
.44894 .50726 L
.44858 .50674 L
F
0 .11 1 r
.44894 .50519 m
.45 .50674 L
.45086 .50781 L
.45144 .50867 L
.45279 .51042 L
.45291 .5106 L
.45279 .51232 L
.45158 .5106 L
.45086 .50976 L
.45012 .50867 L
.44894 .5072 L
.44863 .50674 L
F
1 .45 0 r
.44894 .44683 m
.44914 .44701 L
.45086 .44867 L
.45108 .44894 L
.45266 .45086 L
.45279 .45101 L
.45404 .45279 L
.45472 .45372 L
.45532 .45472 L
.45472 .45575 L
.45383 .45472 L
.45279 .45355 L
.45222 .45279 L
.45086 .45102 L
.45076 .45086 L
.44957 .44894 L
.44894 .44789 L
.44865 .44701 L
F
0 .1 1 r
.44894 .50527 m
.44993 .50674 L
.45086 .50789 L
.45139 .50867 L
.45279 .51049 L
.45286 .5106 L
.45279 .51223 L
.45166 .5106 L
.45086 .50968 L
.45018 .50867 L
.44894 .50713 L
.44868 .50674 L
F
0 .09 1 r
.44894 .50536 m
.44986 .50674 L
.45086 .50797 L
.45133 .50867 L
.45279 .51057 L
.45281 .5106 L
.45279 .51213 L
.45174 .5106 L
.45086 .50959 L
.45024 .50867 L
.44894 .50705 L
.44873 .50674 L
F
0 .88 1 r
.44894 .40371 m
.44954 .40462 L
.45086 .40609 L
.45117 .40654 L
.45086 .40761 L
.45017 .40654 L
.44894 .40487 L
.44877 .40462 L
F
0 .82 1 r
.44894 .43917 m
.44943 .4393 L
.45086 .44013 L
.45206 .44123 L
.45279 .44173 L
.45392 .44316 L
.45472 .44402 L
.45559 .44508 L
.45664 .4464 L
.45724 .44701 L
.45857 .44883 L
.45864 .44894 L
.46014 .45086 L
.4605 .45117 L
.46216 .45279 L
.46242 .45385 L
.46304 .45472 L
.46435 .45662 L
.46436 .45664 L
.46567 .45857 L
.46628 .45952 L
.46734 .4605 L
.46782 .46242 L
.46628 .46354 L
.46471 .46242 L
.46435 .46211 L
.46286 .4605 L
.46242 .46024 L
.46127 .45857 L
.4605 .45775 L
.45914 .45664 L
.45857 .45513 L
.45822 .45472 L
.45687 .45279 L
.45664 .45249 L
.45549 .45086 L
.45472 .45029 L
.45364 .44894 L
.45279 .4471 L
.45273 .44701 L
.45148 .44508 L
.45086 .44414 L
.45026 .44316 L
.44918 .44123 L
.44894 .4407 L
.44878 .4393 L
F
0 .08 1 r
.44894 .50545 m
.44978 .50674 L
.45086 .50806 L
.45126 .50867 L
.45086 .5095 L
.45031 .50867 L
.44894 .50697 L
.44878 .50674 L
F
1 .36 0 r
.44894 .49717 m
.45044 .49904 L
.45086 .4995 L
.452 .50096 L
.45279 .50189 L
.45355 .50289 L
.45472 .50432 L
.45509 .50482 L
.4566 .50674 L
.45664 .5068 L
.45804 .50867 L
.45857 .50932 L
.45952 .5106 L
.4605 .51185 L
.461 .51253 L
.46242 .51438 L
.46252 .51445 L
.46387 .51638 L
.46435 .51699 L
.4653 .51831 L
.46628 .51959 L
.46675 .52023 L
.46818 .52216 L
.46821 .52219 L
.46955 .52409 L
.47013 .52485 L
.47095 .52601 L
.47206 .5275 L
.47237 .52794 L
.47375 .52987 L
.47399 .53018 L
.47509 .53179 L
.47591 .5329 L
.47647 .53372 L
.47784 .53562 L
.47786 .53565 L
.47913 .53758 L
.47977 .53845 L
.48043 .5395 L
.48169 .5413 L
.48178 .54143 L
.48169 .54325 L
.48022 .54143 L
.47977 .54094 L
.47866 .5395 L
.47784 .53856 L
.4771 .53758 L
.47591 .53614 L
.47555 .53565 L
.47403 .53372 L
.47399 .53367 L
.47259 .53179 L
.47206 .53114 L
.47113 .52987 L
.47013 .52861 L
.46964 .52794 L
.46821 .5261 L
.46816 .52601 L
.46676 .52409 L
.46628 .52347 L
.46534 .52216 L
.46435 .52088 L
.46389 .52023 L
.46244 .51831 L
.46242 .51828 L
.46108 .51638 L
.4605 .51563 L
.45968 .51445 L
.45857 .51298 L
.45825 .51253 L
.45686 .5106 L
.45664 .51031 L
.45552 .50867 L
.45472 .5076 L
.45414 .50674 L
.45279 .5049 L
.45274 .50482 L
.45146 .50289 L
.45086 .50208 L
.45015 .50096 L
.44894 .49926 L
.4488 .49904 L
F
1 .23 0 r
.44894 .51377 m
.4492 .51445 L
.44894 .51461 L
.44881 .51445 L
F
0 .07 1 r
.44894 .50556 m
.44969 .50674 L
.45086 .50816 L
.45119 .50867 L
.45086 .50939 L
.45039 .50867 L
.44894 .50688 L
.44884 .50674 L
F
1 .35 0 r
.44894 .49728 m
.45035 .49904 L
.45086 .49958 L
.45194 .50096 L
.45279 .50196 L
.4535 .50289 L
.45472 .50438 L
.45505 .50482 L
.45655 .50674 L
.45664 .50685 L
.458 .50867 L
.45857 .50937 L
.45948 .5106 L
.4605 .5119 L
.46096 .51253 L
.46242 .51444 L
.46243 .51445 L
.46383 .51638 L
.46435 .51704 L
.46527 .51831 L
.46628 .51963 L
.46671 .52023 L
.46814 .52216 L
.46821 .52224 L
.46951 .52409 L
.47013 .5249 L
.47092 .52601 L
.47206 .52755 L
.47234 .52794 L
.47371 .52987 L
.47399 .53023 L
.47505 .53179 L
.47591 .53296 L
.47643 .53372 L
.47782 .53565 L
.47784 .53568 L
.47907 .53758 L
.47977 .53853 L
.48038 .5395 L
.48169 .54139 L
.48172 .54143 L
.48169 .54313 L
.48031 .54143 L
.47977 .54086 L
.47872 .5395 L
.47784 .53849 L
.47715 .53758 L
.47591 .53608 L
.47559 .53565 L
.47408 .53372 L
.47399 .53361 L
.47264 .53179 L
.47206 .53109 L
.47116 .52987 L
.47013 .52857 L
.46968 .52794 L
.46821 .52603 L
.4682 .52601 L
.4668 .52409 L
.46628 .52343 L
.46537 .52216 L
.46435 .52084 L
.46392 .52023 L
.46248 .51831 L
.46242 .51824 L
.46111 .51638 L
.4605 .51558 L
.45971 .51445 L
.45857 .51294 L
.45828 .51253 L
.4569 .5106 L
.45664 .51026 L
.45556 .50867 L
.45472 .50754 L
.45418 .50674 L
.45279 .50484 L
.45277 .50482 L
.45152 .50289 L
.45086 .50201 L
.45021 .50096 L
.44894 .49918 L
.44885 .49904 L
F
1 .86 0 r
.44894 .39563 m
.45005 .39691 L
.45086 .39771 L
.45175 .39884 L
.45279 .39999 L
.45338 .40076 L
.45472 .40235 L
.45497 .40269 L
.4565 .40462 L
.45664 .40478 L
.45797 .40654 L
.45857 .40727 L
.45946 .40847 L
.4605 .40976 L
.46097 .4104 L
.46242 .41225 L
.46252 .41232 L
.46389 .41425 L
.46435 .41483 L
.46533 .41618 L
.46628 .41739 L
.4668 .41811 L
.46821 .41992 L
.46833 .42003 L
.46966 .42196 L
.47013 .42255 L
.47108 .42389 L
.47206 .42516 L
.47252 .42581 L
.47398 .42774 L
.47399 .42775 L
.47534 .42967 L
.47591 .4304 L
.47675 .43159 L
.47784 .43304 L
.47818 .43352 L
.47959 .43545 L
.47977 .43568 L
.48094 .43737 L
.48169 .43836 L
.48233 .4393 L
.48362 .44103 L
.48376 .44123 L
.4851 .44316 L
.48555 .44374 L
.48644 .44508 L
.48747 .44647 L
.48783 .44701 L
.4892 .44894 L
.4894 .44921 L
.49047 .45086 L
.49133 .45203 L
.4918 .45279 L
.49314 .45472 L
.49326 .45488 L
.49427 .45664 L
.49518 .45802 L
.49543 .45857 L
.49518 .4591 L
.49467 .45857 L
.49326 .45709 L
.49288 .45664 L
.49133 .45483 L
.49123 .45472 L
.48968 .45279 L
.4894 .45247 L
.48813 .45086 L
.48747 .45007 L
.48659 .44894 L
.48555 .44809 L
.48507 .44701 L
.48362 .44515 L
.48354 .44508 L
.48211 .44316 L
.48169 .44264 L
.48062 .44123 L
.47977 .44054 L
.47914 .4393 L
.47784 .43761 L
.47761 .43737 L
.47625 .43545 L
.47591 .43502 L
.4748 .43352 L
.47399 .43281 L
.47335 .43159 L
.47206 .42989 L
.47186 .42967 L
.4705 .42774 L
.47013 .42725 L
.46908 .42581 L
.46821 .42496 L
.46765 .42389 L
.46628 .42202 L
.46623 .42196 L
.46485 .42003 L
.46435 .41936 L
.46345 .41811 L
.46242 .41694 L
.46155 .41618 L
.46067 .41425 L
.4605 .41402 L
.45931 .41232 L
.45857 .41131 L
.45793 .4104 L
.45664 .40865 L
.45647 .40847 L
.45525 .40654 L
.45472 .4058 L
.45392 .40462 L
.45279 .403 L
.45258 .40269 L
.45134 .40076 L
.45086 .40008 L
.45011 .39884 L
.44894 .39704 L
.44886 .39691 L
F
1 .34 0 r
.44894 .49741 m
.45026 .49904 L
.45086 .49967 L
.45187 .50096 L
.45279 .50203 L
.45345 .50289 L
.45472 .50444 L
.455 .50482 L
.4565 .50674 L
.45664 .50691 L
.45796 .50867 L
.45857 .50943 L
.45944 .5106 L
.4605 .51195 L
.46092 .51253 L
.46239 .51445 L
.46242 .5145 L
.46379 .51638 L
.46435 .51709 L
.46523 .51831 L
.46628 .51968 L
.46668 .52023 L
.4681 .52216 L
.46821 .52229 L
.46947 .52409 L
.47013 .52495 L
.47088 .52601 L
.47206 .52759 L
.4723 .52794 L
.47366 .52987 L
.47399 .53029 L
.47501 .53179 L
.47591 .53302 L
.47639 .53372 L
.47776 .53565 L
.47784 .53575 L
.47901 .53758 L
.47977 .53861 L
.48032 .5395 L
.47977 .54077 L
.47879 .5395 L
.47784 .53842 L
.4772 .53758 L
.47591 .53602 L
.47564 .53565 L
.47413 .53372 L
.47399 .53355 L
.47268 .53179 L
.47206 .53104 L
.4712 .52987 L
.47013 .52852 L
.46971 .52794 L
.46823 .52601 L
.46821 .52598 L
.46684 .52409 L
.46628 .52338 L
.46541 .52216 L
.46435 .52079 L
.46395 .52023 L
.46252 .51831 L
.46242 .51819 L
.46115 .51638 L
.4605 .51554 L
.45974 .51445 L
.45857 .51289 L
.45832 .51253 L
.45694 .5106 L
.45664 .51021 L
.4556 .50867 L
.45472 .50749 L
.45422 .50674 L
.45282 .50482 L
.45279 .50478 L
.45157 .50289 L
.45086 .50193 L
.45026 .50096 L
.44894 .49908 L
.44891 .49904 L
F
0 .06 1 r
.44894 .5057 m
.44957 .50674 L
.45086 .50827 L
.45111 .50867 L
.45086 .50927 L
.45048 .50867 L
.44894 .50678 L
.44891 .50674 L
F
0 .81 1 r
.45086 .44028 m
.45193 .44123 L
.45279 .44181 L
.45383 .44316 L
.45472 .4441 L
.45552 .44508 L
.45664 .44647 L
.45718 .44701 L
.45857 .44888 L
.45861 .44894 L
.46009 .45086 L
.4605 .45122 L
.46214 .45279 L
.46242 .45392 L
.463 .45472 L
.46432 .45664 L
.46435 .45669 L
.46562 .45857 L
.46628 .45961 L
.46724 .4605 L
.4677 .46242 L
.46628 .46342 L
.46483 .46242 L
.46435 .46203 L
.46293 .4605 L
.46242 .4602 L
.46132 .45857 L
.4605 .4577 L
.45919 .45664 L
.45857 .45508 L
.45826 .45472 L
.45691 .45279 L
.45664 .45244 L
.45553 .45086 L
.45472 .45023 L
.4537 .44894 L
.45279 .44701 L
.45279 .44701 L
.45154 .44508 L
.45086 .44404 L
.45033 .44316 L
.4493 .44123 L
F
0 .99 1 r
.45086 .46664 m
.45279 .46662 L
.45472 .46758 L
.45519 .46821 L
.4566 .47013 L
.45664 .47021 L
.458 .47206 L
.45857 .47286 L
.4598 .47399 L
.4605 .47548 L
.46089 .47591 L
.46226 .47784 L
.46242 .47806 L
.46365 .47977 L
.46435 .48048 L
.46539 .48169 L
.46628 .48327 L
.46651 .48362 L
.46789 .48555 L
.46821 .48597 L
.46927 .48747 L
.47013 .48863 L
.47096 .4894 L
.47206 .4912 L
.47213 .49133 L
.47348 .49326 L
.47399 .49395 L
.47485 .49518 L
.47591 .49668 L
.47655 .49711 L
.47591 .49894 L
.47399 .49813 L
.47206 .4973 L
.47176 .49711 L
.47013 .49584 L
.46942 .49518 L
.46821 .49379 L
.46773 .49326 L
.46628 .49136 L
.46625 .49133 L
.46524 .4894 L
.46435 .48887 L
.46327 .48747 L
.46242 .4863 L
.46185 .48555 L
.4605 .48366 L
.46047 .48362 L
.4593 .48169 L
.45857 .4808 L
.45759 .47977 L
.45664 .47843 L
.45619 .47784 L
.45482 .47591 L
.45472 .47579 L
.4537 .47399 L
.45279 .47318 L
.45197 .47206 L
.45086 .47057 L
.45062 .47013 L
.4494 .46821 L
F
0 .8 1 r
.45086 .44043 m
.45179 .44123 L
.45279 .44191 L
.45374 .44316 L
.45472 .44419 L
.45546 .44508 L
.45664 .44654 L
.45712 .44701 L
.45857 .44894 L
.45857 .44894 L
.46005 .45086 L
.4605 .45126 L
.4621 .45279 L
.46242 .45398 L
.46295 .45472 L
.46427 .45664 L
.46435 .45677 L
.46556 .45857 L
.46628 .45971 L
.46714 .4605 L
.46758 .46242 L
.46628 .4633 L
.46495 .46242 L
.46435 .46194 L
.46299 .4605 L
.46242 .46016 L
.46137 .45857 L
.4605 .45764 L
.45925 .45664 L
.45857 .45503 L
.4583 .45472 L
.45695 .45279 L
.45664 .45239 L
.45557 .45086 L
.45472 .45016 L
.45376 .44894 L
.45284 .44701 L
.45279 .44694 L
.4516 .44508 L
.45086 .44394 L
.4504 .44316 L
.44944 .44123 L
F
1 .99 0 r
.45086 .4332 m
.45279 .43341 L
.45326 .43352 L
.45472 .43463 L
.45534 .43545 L
.45664 .43688 L
.45704 .43737 L
.45852 .4393 L
.45857 .43944 L
.45985 .44123 L
.4605 .44192 L
.46086 .44316 L
.46242 .44453 L
.46284 .44508 L
.46425 .44701 L
.46435 .4472 L
.46548 .44894 L
.46628 .45004 L
.46711 .45086 L
.46821 .4524 L
.4685 .45279 L
.4699 .45472 L
.47013 .45506 L
.47108 .45664 L
.47206 .45775 L
.47274 .45857 L
.47399 .46037 L
.47412 .4605 L
.4755 .46242 L
.47591 .46304 L
.4766 .46435 L
.47681 .46628 L
.47591 .46632 L
.47399 .46632 L
.47351 .46628 L
.47206 .4658 L
.47052 .46435 L
.47013 .46334 L
.46944 .46242 L
.46821 .4607 L
.46814 .4605 L
.46667 .45857 L
.46628 .45812 L
.46488 .45664 L
.46435 .45546 L
.4638 .45472 L
.46242 .45281 L
.46242 .45279 L
.46103 .45086 L
.4605 .45049 L
.4593 .44894 L
.45857 .44765 L
.45818 .44701 L
.4568 .44508 L
.45664 .44488 L
.45542 .44316 L
.45472 .4422 L
.45375 .44123 L
.45279 .43955 L
.4526 .4393 L
.45126 .43737 L
.45086 .43679 L
.44998 .43545 L
.44951 .43352 L
F
0 .79 1 r
.45086 .44059 m
.45164 .44123 L
.45279 .44201 L
.45365 .44316 L
.45472 .44427 L
.45538 .44508 L
.45664 .44661 L
.45705 .44701 L
.45852 .44894 L
.45857 .449 L
.46 .45086 L
.4605 .45131 L
.46207 .45279 L
.46242 .45405 L
.4629 .45472 L
.46421 .45664 L
.46435 .45684 L
.4655 .45857 L
.46628 .45982 L
.46703 .4605 L
.46744 .46242 L
.46628 .46317 L
.46508 .46242 L
.46435 .46185 L
.46306 .4605 L
.46242 .46012 L
.46142 .45857 L
.4605 .45759 L
.45931 .45664 L
.45857 .45497 L
.45835 .45472 L
.45699 .45279 L
.45664 .45233 L
.45561 .45086 L
.45472 .45009 L
.45382 .44894 L
.45289 .44701 L
.45279 .44687 L
.45166 .44508 L
.45086 .44383 L
.45047 .44316 L
.44959 .44123 L
F
1 .44 0 r
.45086 .44876 m
.451 .44894 L
.45258 .45086 L
.45279 .45111 L
.45396 .45279 L
.45472 .45383 L
.45524 .45472 L
.45472 .45563 L
.45392 .45472 L
.45279 .45347 L
.45229 .45279 L
.45086 .45093 L
.45082 .45086 L
.44967 .44894 L
F
0 .78 1 r
.45086 .44075 m
.45147 .44123 L
.45279 .44211 L
.45356 .44316 L
.45472 .44436 L
.45531 .44508 L
.45664 .44668 L
.45699 .44701 L
.45846 .44894 L
.45857 .44907 L
.45995 .45086 L
.4605 .45136 L
.46203 .45279 L
.46242 .45411 L
.46286 .45472 L
.46416 .45664 L
.46435 .45692 L
.46545 .45857 L
.46628 .45993 L
.46692 .4605 L
.4673 .46242 L
.46628 .46304 L
.46522 .46242 L
.46435 .46176 L
.46313 .4605 L
.46242 .46007 L
.46147 .45857 L
.4605 .45753 L
.45937 .45664 L
.45857 .45492 L
.4584 .45472 L
.45703 .45279 L
.45664 .45228 L
.45565 .45086 L
.45472 .45001 L
.45388 .44894 L
.45294 .44701 L
.45279 .44679 L
.45172 .44508 L
.45086 .44371 L
.45055 .44316 L
.44976 .44123 L
F
1 .43 0 r
.45086 .44887 m
.45092 .44894 L
.45086 .45083 L
.4498 .44894 L
F
0 .98 1 r
.45086 .467 m
.45279 .46697 L
.45472 .46802 L
.4549 .46821 L
.45646 .47013 L
.45664 .47042 L
.4579 .47206 L
.45857 .47297 L
.45973 .47399 L
.4605 .47555 L
.46083 .47591 L
.4622 .47784 L
.46242 .47814 L
.46359 .47977 L
.46435 .48055 L
.46532 .48169 L
.46628 .48336 L
.46645 .48362 L
.46782 .48555 L
.46821 .48607 L
.4692 .48747 L
.47013 .48874 L
.47086 .4894 L
.47201 .49133 L
.47206 .4914 L
.47333 .49326 L
.47399 .4942 L
.47463 .49518 L
.47576 .49711 L
.47399 .4978 L
.47265 .49711 L
.47206 .49656 L
.47013 .49524 L
.47007 .49518 L
.46821 .49327 L
.46819 .49326 L
.46664 .49133 L
.46628 .49103 L
.46561 .4894 L
.46435 .4886 L
.46346 .48747 L
.46242 .48607 L
.46202 .48555 L
.46062 .48362 L
.4605 .48343 L
.45946 .48169 L
.45857 .4806 L
.45772 .47977 L
.45664 .47826 L
.45633 .47784 L
.45496 .47591 L
.45472 .47563 L
.45386 .47399 L
.45279 .47297 L
.45216 .47206 L
.45089 .47013 L
.45086 .47009 L
.44983 .46821 L
F
1 .93 0 r
.45086 .47293 m
.45186 .47399 L
.45279 .47498 L
.4535 .47591 L
.45472 .4774 L
.45502 .47784 L
.45644 .47977 L
.45664 .48004 L
.45768 .48169 L
.45857 .48301 L
.45888 .48362 L
.45857 .48453 L
.45756 .48362 L
.45664 .48276 L
.45566 .48169 L
.45472 .48063 L
.45399 .47977 L
.45279 .47879 L
.45247 .47784 L
.45112 .47591 L
.45086 .47551 L
.44995 .47399 L
F
0 .77 1 r
.45086 .44093 m
.45128 .44123 L
.45279 .44223 L
.45346 .44316 L
.45472 .44445 L
.45524 .44508 L
.45664 .44675 L
.45692 .44701 L
.45841 .44894 L
.45857 .44914 L
.4599 .45086 L
.4605 .45141 L
.46198 .45279 L
.46242 .45418 L
.46281 .45472 L
.46411 .45664 L
.46435 .457 L
.46539 .45857 L
.46628 .46004 L
.46679 .4605 L
.46714 .46242 L
.46628 .46291 L
.46538 .46242 L
.46435 .46168 L
.4632 .4605 L
.46242 .46002 L
.46152 .45857 L
.4605 .45747 L
.45943 .45664 L
.45857 .45486 L
.45845 .45472 L
.45707 .45279 L
.45664 .45222 L
.45569 .45086 L
.45472 .44993 L
.45395 .44894 L
.453 .44701 L
.45279 .44671 L
.45178 .44508 L
.45086 .44359 L
.45062 .44316 L
.44997 .44123 L
F
0 .9 1 r
.45086 .38945 m
.45234 .39113 L
.45279 .3916 L
.45399 .39306 L
.45472 .39387 L
.45561 .39498 L
.45664 .39598 L
.45719 .39691 L
.45857 .39858 L
.45886 .39884 L
.46026 .40076 L
.4605 .40105 L
.46176 .40269 L
.46242 .4033 L
.46326 .40462 L
.46435 .40597 L
.46492 .40654 L
.46624 .40847 L
.46628 .40852 L
.46769 .4104 L
.46821 .41088 L
.46915 .41232 L
.47013 .41356 L
.47076 .41425 L
.47206 .41616 L
.47207 .41618 L
.4735 .41811 L
.47399 .41857 L
.47494 .42003 L
.47591 .42127 L
.4765 .42196 L
.47783 .42389 L
.47784 .4239 L
.47924 .42581 L
.47977 .42633 L
.48129 .42774 L
.48169 .42906 L
.48219 .42967 L
.48353 .43159 L
.48362 .43171 L
.48494 .43352 L
.48555 .43414 L
.48686 .43545 L
.48747 .4369 L
.48785 .43737 L
.4892 .4393 L
.4894 .43956 L
.4906 .44123 L
.49133 .44201 L
.49242 .44316 L
.49326 .44479 L
.49348 .44508 L
.49484 .44701 L
.49518 .44746 L
.49624 .44894 L
.49711 .44992 L
.49795 .45086 L
.49904 .45272 L
.49909 .45279 L
.50045 .45472 L
.50096 .4554 L
.50185 .45664 L
.50289 .4579 L
.50346 .45857 L
.50467 .4605 L
.50482 .4607 L
.50603 .46242 L
.50674 .46338 L
.50742 .46435 L
.50867 .46596 L
.50893 .46628 L
.5102 .46821 L
.5106 .46873 L
.51156 .47013 L
.51253 .47143 L
.51296 .47206 L
.51435 .47399 L
.51445 .47412 L
.51567 .47591 L
.51638 .47688 L
.51702 .47784 L
.51831 .47961 L
.51841 .47977 L
.5197 .48169 L
.52023 .48244 L
.52098 .48362 L
.52216 .48529 L
.52232 .48555 L
.52351 .48747 L
.52409 .48833 L
.52463 .4894 L
.52409 .49029 L
.52325 .4894 L
.52216 .48829 L
.52144 .48747 L
.52023 .48652 L
.51972 .48555 L
.51831 .48391 L
.51787 .48362 L
.51646 .48169 L
.51638 .4816 L
.51487 .47977 L
.51445 .47958 L
.51329 .47784 L
.51253 .47691 L
.51137 .47591 L
.5106 .4744 L
.51028 .47399 L
.50872 .47206 L
.50867 .47204 L
.50722 .47013 L
.50674 .46954 L
.50545 .46821 L
.50482 .46696 L
.50433 .46628 L
.50289 .46444 L
.50288 .46435 L
.50134 .46242 L
.50096 .46195 L
.49969 .4605 L
.49904 .45933 L
.49853 .45857 L
.49711 .45676 L
.49699 .45664 L
.49556 .45472 L
.49518 .45424 L
.49399 .45279 L
.49326 .45159 L
.49281 .45086 L
.49133 .449 L
.49126 .44894 L
.48983 .44701 L
.4894 .44645 L
.48832 .44508 L
.48747 .44378 L
.48713 .44316 L
.48557 .44123 L
.48555 .44121 L
.48415 .4393 L
.48362 .43861 L
.48268 .43737 L
.48169 .43592 L
.48146 .43545 L
.47992 .43352 L
.47977 .43339 L
.47801 .43159 L
.47784 .43072 L
.47707 .42967 L
.47591 .42802 L
.4758 .42774 L
.47431 .42581 L
.47399 .42553 L
.47247 .42389 L
.47206 .42277 L
.47149 .42196 L
.47013 .42005 L
.47013 .42003 L
.46874 .41811 L
.46821 .41759 L
.46698 .41618 L
.46628 .41474 L
.46595 .41425 L
.46459 .41232 L
.46435 .41199 L
.46322 .4104 L
.46242 .40951 L
.46158 .40847 L
.4605 .40657 L
.46048 .40654 L
.45915 .40462 L
.45857 .4038 L
.4578 .40269 L
.45664 .40115 L
.45635 .40076 L
.45516 .39884 L
.45472 .39821 L
.45386 .39691 L
.45279 .39534 L
.45256 .39498 L
.45134 .39306 L
.45086 .39234 L
.45015 .39113 L
F
0 .97 1 r
.45086 .46741 m
.45279 .46727 L
.45457 .46821 L
.45472 .46833 L
.45632 .47013 L
.45664 .4706 L
.45781 .47206 L
.45857 .47307 L
.45964 .47399 L
.4605 .47563 L
.46076 .47591 L
.46213 .47784 L
.46242 .47822 L
.46353 .47977 L
.46435 .48063 L
.46525 .48169 L
.46628 .48346 L
.46639 .48362 L
.46775 .48555 L
.46821 .48617 L
.46912 .48747 L
.47013 .48885 L
.47074 .4894 L
.47189 .49133 L
.47206 .49157 L
.47316 .49326 L
.47399 .49451 L
.47439 .49518 L
.47488 .49711 L
.47399 .49731 L
.47362 .49711 L
.47206 .49605 L
.47056 .49518 L
.47013 .4946 L
.46852 .49326 L
.46821 .49265 L
.46693 .49133 L
.46628 .49074 L
.46587 .4894 L
.46435 .48836 L
.46364 .48747 L
.46242 .48585 L
.46218 .48555 L
.46075 .48362 L
.4605 .48322 L
.45961 .48169 L
.45857 .48043 L
.45784 .47977 L
.45664 .47808 L
.45646 .47784 L
.45508 .47591 L
.45472 .47547 L
.45401 .47399 L
.45279 .47276 L
.45234 .47206 L
.45112 .47013 L
.45086 .46963 L
.45022 .46821 L
F
0 .76 1 r
.45086 .44112 m
.45103 .44123 L
.45279 .44236 L
.45336 .44316 L
.45472 .44454 L
.45517 .44508 L
.45664 .44682 L
.45685 .44701 L
.45835 .44894 L
.45857 .4492 L
.45985 .45086 L
.4605 .45147 L
.46194 .45279 L
.46242 .45425 L
.46276 .45472 L
.46406 .45664 L
.46435 .45708 L
.46533 .45857 L
.46628 .46017 L
.46665 .4605 L
.46695 .46242 L
.46628 .46277 L
.46556 .46242 L
.46435 .46159 L
.46327 .4605 L
.46242 .45997 L
.46157 .45857 L
.4605 .45741 L
.4595 .45664 L
.45857 .4548 L
.4585 .45472 L
.45711 .45279 L
.45664 .45217 L
.45573 .45086 L
.45472 .44984 L
.45402 .44894 L
.45305 .44701 L
.45279 .44662 L
.45184 .44508 L
.45086 .44345 L
.45071 .44316 L
.45027 .44123 L
F
1 .94 0 r
.45086 .48364 m
.45274 .48555 L
.45279 .48559 L
.45455 .48747 L
.45472 .48765 L
.4563 .4894 L
.45664 .48959 L
.458 .49133 L
.45857 .49205 L
.46009 .49326 L
.4605 .49449 L
.46108 .49518 L
.46242 .49695 L
.46247 .49711 L
.46429 .49904 L
.46435 .49912 L
.46614 .50096 L
.46628 .50164 L
.46725 .50289 L
.46821 .50423 L
.46852 .50482 L
.47013 .5067 L
.47023 .50674 L
.47187 .50867 L
.47206 .5092 L
.47307 .5106 L
.47399 .51185 L
.47426 .51253 L
.47591 .51439 L
.47603 .51445 L
.47758 .51638 L
.47784 .51691 L
.47879 .51831 L
.47977 .5196 L
.47989 .52023 L
.48169 .52214 L
.48177 .52216 L
.48327 .52409 L
.48362 .5247 L
.48446 .52601 L
.48555 .5274 L
.48607 .52794 L
.48747 .52987 L
.48747 .52987 L
.48894 .53179 L
.4894 .53253 L
.49011 .53372 L
.49133 .53523 L
.49175 .53565 L
.49315 .53758 L
.49326 .53771 L
.4946 .5395 L
.49518 .54038 L
.49575 .54143 L
.49711 .54306 L
.49741 .54336 L
.49903 .54528 L
.49904 .54558 L
.50024 .54721 L
.50096 .54826 L
.50138 .54914 L
.50289 .55091 L
.50306 .55106 L
.50471 .55299 L
.50482 .55346 L
.50586 .55492 L
.50674 .55615 L
.50702 .55684 L
.50867 .55876 L
.50869 .55877 L
.51035 .5607 L
.5106 .56136 L
.51148 .56263 L
.51253 .56406 L
.51267 .56455 L
.5143 .56648 L
.51445 .56661 L
.51596 .56841 L
.51638 .56928 L
.51708 .57033 L
.51831 .57199 L
.51834 .57226 L
.5199 .57419 L
.52023 .5745 L
.52154 .57611 L
.52216 .57724 L
.52266 .57804 L
.52409 .57995 L
.5241 .57997 L
.52547 .58189 L
.52601 .58245 L
.52708 .58382 L
.52794 .58526 L
.52823 .58575 L
.52963 .58768 L
.52987 .58799 L
.531 .5896 L
.53179 .5905 L
.53255 .59153 L
.53372 .59338 L
.53376 .59346 L
.53511 .59538 L
.53565 .59614 L
.53646 .59731 L
.53758 .59876 L
.53791 .59924 L
.53915 .60116 L
.5395 .60166 L
.54046 .60309 L
.54143 .60448 L
.54218 .60502 L
.54306 .60694 L
.54336 .60737 L
.54429 .60887 L
.54528 .61038 L
.54553 .6108 L
.54662 .61273 L
.54721 .61378 L
.54753 .61465 L
.54721 .61517 L
.5466 .61465 L
.54528 .61349 L
.54458 .61273 L
.54336 .6118 L
.5428 .6108 L
.54143 .60927 L
.54074 .60887 L
.5395 .60694 L
.5395 .60694 L
.53793 .60502 L
.53758 .60479 L
.53638 .60309 L
.53565 .60224 L
.53436 .60116 L
.53372 .59973 L
.5333 .59924 L
.53182 .59731 L
.53179 .59729 L
.53033 .59538 L
.52987 .59482 L
.52851 .59346 L
.52794 .59224 L
.52739 .59153 L
.52601 .5897 L
.52599 .5896 L
.52446 .58768 L
.52409 .58721 L
.52276 .58575 L
.52216 .58459 L
.52161 .58382 L
.52023 .58201 L
.52023 .58189 L
.51868 .57997 L
.51831 .5795 L
.51705 .57804 L
.51638 .57685 L
.51588 .57611 L
.51445 .57426 L
.51437 .57419 L
.51296 .57226 L
.51253 .57172 L
.51138 .57033 L
.5106 .56905 L
.51019 .56841 L
.50868 .56648 L
.50867 .56648 L
.50727 .56455 L
.50674 .56389 L
.50572 .56263 L
.50482 .56122 L
.50452 .5607 L
.503 .55877 L
.50289 .55867 L
.50107 .55684 L
.50096 .55604 L
.50008 .55492 L
.49904 .55336 L
.49885 .55299 L
.49735 .55106 L
.49711 .55085 L
.49547 .54914 L
.49518 .54817 L
.49445 .54721 L
.49326 .54549 L
.49317 .54528 L
.49171 .54336 L
.49133 .543 L
.48988 .54143 L
.4894 .54028 L
.48883 .5395 L
.48747 .5376 L
.48747 .53758 L
.48607 .53565 L
.48555 .53512 L
.48431 .53372 L
.48362 .53237 L
.48322 .53179 L
.48184 .52987 L
.48169 .52968 L
.48045 .52794 L
.47977 .52722 L
.47875 .52601 L
.47784 .52443 L
.47761 .52409 L
.47623 .52216 L
.47591 .52174 L
.47484 .52023 L
.47399 .51927 L
.4732 .51831 L
.47206 .51646 L
.47201 .51638 L
.47064 .51445 L
.47013 .51377 L
.46925 .51253 L
.46821 .51126 L
.46769 .5106 L
.46644 .50867 L
.46628 .50846 L
.46508 .50674 L
.46435 .50577 L
.46369 .50482 L
.46242 .50317 L
.46221 .50289 L
.46092 .50096 L
.4605 .5004 L
.45956 .49904 L
.45857 .49769 L
.45775 .49711 L
.45679 .49518 L
.45664 .49499 L
.45548 .49326 L
.45472 .49221 L
.45414 .49133 L
.45279 .48945 L
.45272 .4894 L
.45153 .48747 L
.45086 .48653 L
.45028 .48555 L
F
0 .72 1 r
.45086 .4914 m
.45247 .49326 L
.45279 .4936 L
.4541 .49518 L
.45472 .49589 L
.4557 .49711 L
.45664 .49792 L
.45728 .49904 L
.45857 .50062 L
.45896 .50096 L
.46033 .50289 L
.4605 .50309 L
.46184 .50482 L
.46242 .5053 L
.46335 .50674 L
.46435 .50801 L
.465 .50867 L
.46628 .51056 L
.4663 .5106 L
.46777 .51253 L
.46821 .51289 L
.46924 .51445 L
.47013 .51559 L
.47083 .51638 L
.47206 .5182 L
.47213 .51831 L
.47358 .52023 L
.47399 .52059 L
.47503 .52216 L
.47591 .5233 L
.47656 .52409 L
.47784 .52593 L
.47788 .52601 L
.47932 .52794 L
.47977 .52836 L
.48142 .52987 L
.48169 .53109 L
.48224 .53179 L
.4836 .53372 L
.48362 .53375 L
.485 .53565 L
.48555 .53619 L
.48694 .53758 L
.48747 .53897 L
.48787 .5395 L
.48924 .54143 L
.4894 .54165 L
.49063 .54336 L
.49133 .5441 L
.49243 .54528 L
.49326 .54693 L
.49346 .54721 L
.49482 .54914 L
.49518 .54963 L
.49621 .55106 L
.49711 .55212 L
.49787 .55299 L
.49898 .55492 L
.49904 .55499 L
.50033 .55684 L
.50096 .55771 L
.50171 .55877 L
.50289 .56033 L
.50319 .5607 L
.50441 .56263 L
.50482 .56318 L
.50574 .56455 L
.50674 .56596 L
.50709 .56648 L
.5084 .56841 L
.50867 .56879 L
.50966 .57033 L
.5106 .5717 L
.51095 .57226 L
.51215 .57419 L
.51253 .57476 L
.51322 .57611 L
.51253 .5768 L
.51191 .57611 L
.5106 .57474 L
.51014 .57419 L
.50867 .57264 L
.50848 .57226 L
.50689 .57033 L
.50674 .57016 L
.50535 .56841 L
.50482 .56778 L
.50381 .56648 L
.50289 .56563 L
.50227 .56455 L
.50096 .56292 L
.50065 .56263 L
.49928 .5607 L
.49904 .5604 L
.4978 .55877 L
.49711 .55815 L
.49632 .55684 L
.49518 .55541 L
.49471 .55492 L
.49339 .55299 L
.49326 .55282 L
.49195 .55106 L
.49133 .5505 L
.4905 .54914 L
.4894 .54774 L
.48893 .54721 L
.48761 .54528 L
.48747 .54512 L
.48619 .54336 L
.48555 .54275 L
.48401 .54143 L
.48362 .53997 L
.48323 .5395 L
.48189 .53758 L
.48169 .53732 L
.48048 .53565 L
.47977 .53493 L
.47849 .53372 L
.47784 .53212 L
.47758 .53179 L
.47623 .52987 L
.47591 .52945 L
.47483 .52794 L
.47399 .52704 L
.47299 .52601 L
.47206 .5242 L
.47197 .52409 L
.47061 .52216 L
.47013 .52153 L
.46922 .52023 L
.46821 .51905 L
.46753 .51831 L
.4664 .51638 L
.46628 .51621 L
.46505 .51445 L
.46435 .51352 L
.46366 .51253 L
.46242 .51094 L
.46213 .5106 L
.4609 .50867 L
.4605 .50813 L
.45955 .50674 L
.45857 .50541 L
.45816 .50482 L
.4568 .50289 L
.45664 .50268 L
.4555 .50096 L
.45472 .49989 L
.45416 .49904 L
.45279 .49711 L
.45279 .4971 L
.45158 .49518 L
.45086 .49416 L
.45032 .49326 L
F
1 .33 0 r
.45086 .49976 m
.4518 .50096 L
.45279 .5021 L
.4534 .50289 L
.45472 .5045 L
.45496 .50482 L
.45645 .50674 L
.45664 .50697 L
.45791 .50867 L
.45857 .50948 L
.4594 .5106 L
.4605 .512 L
.46089 .51253 L
.46235 .51445 L
.46242 .51455 L
.46376 .51638 L
.46435 .51714 L
.46519 .51831 L
.46628 .51973 L
.46664 .52023 L
.46806 .52216 L
.46821 .52234 L
.46944 .52409 L
.47013 .525 L
.47085 .52601 L
.47206 .52764 L
.47227 .52794 L
.47362 .52987 L
.47399 .53035 L
.47496 .53179 L
.47591 .53308 L
.47635 .53372 L
.4777 .53565 L
.47784 .53583 L
.47895 .53758 L
.47977 .53871 L
.48025 .5395 L
.47977 .54067 L
.47886 .5395 L
.47784 .53835 L
.47726 .53758 L
.47591 .53596 L
.47568 .53565 L
.47418 .53372 L
.47399 .5335 L
.47272 .53179 L
.47206 .53099 L
.47124 .52987 L
.47013 .52847 L
.46975 .52794 L
.46827 .52601 L
.46821 .52593 L
.46688 .52409 L
.46628 .52334 L
.46544 .52216 L
.46435 .52075 L
.46398 .52023 L
.46255 .51831 L
.46242 .51814 L
.46119 .51638 L
.4605 .51549 L
.45978 .51445 L
.45857 .51285 L
.45835 .51253 L
.45699 .5106 L
.45664 .51015 L
.45565 .50867 L
.45472 .50743 L
.45426 .50674 L
.45287 .50482 L
.45279 .50471 L
.45163 .50289 L
.45086 .50185 L
.45032 .50096 L
F
1 .32 0 r
.45086 .49986 m
.45173 .50096 L
.45279 .50218 L
.45334 .50289 L
.45472 .50457 L
.45491 .50482 L
.4564 .50674 L
.45664 .50703 L
.45787 .50867 L
.45857 .50954 L
.45936 .5106 L
.4605 .51205 L
.46085 .51253 L
.46231 .51445 L
.46242 .5146 L
.46372 .51638 L
.46435 .51719 L
.46516 .51831 L
.46628 .51977 L
.46661 .52023 L
.46802 .52216 L
.46821 .52239 L
.4694 .52409 L
.47013 .52505 L
.47081 .52601 L
.47206 .5277 L
.47223 .52794 L
.47357 .52987 L
.47399 .53041 L
.47492 .53179 L
.47591 .53314 L
.4763 .53372 L
.47764 .53565 L
.47784 .53591 L
.47888 .53758 L
.47977 .5388 L
.48018 .5395 L
.47977 .54056 L
.47895 .5395 L
.47784 .53827 L
.47731 .53758 L
.47591 .53589 L
.47573 .53565 L
.47423 .53372 L
.47399 .53343 L
.47277 .53179 L
.47206 .53093 L
.47128 .52987 L
.47013 .52842 L
.46978 .52794 L
.46832 .52601 L
.46821 .52588 L
.46691 .52409 L
.46628 .52329 L
.46548 .52216 L
.46435 .5207 L
.46402 .52023 L
.46259 .51831 L
.46242 .51809 L
.46122 .51638 L
.4605 .51544 L
.45981 .51445 L
.45857 .5128 L
.45838 .51253 L
.45703 .5106 L
.45664 .5101 L
.45569 .50867 L
.45472 .50738 L
.4543 .50674 L
.45293 .50482 L
.45279 .50463 L
.45169 .50289 L
.45086 .50176 L
.45039 .50096 L
F
0 .71 1 r
.45086 .49157 m
.45234 .49326 L
.45279 .49373 L
.454 .49518 L
.45472 .496 L
.45562 .49711 L
.45664 .49802 L
.45721 .49904 L
.45857 .50071 L
.45886 .50096 L
.46027 .50289 L
.4605 .50317 L
.46178 .50482 L
.46242 .50535 L
.46329 .50674 L
.46435 .50807 L
.46494 .50867 L
.46626 .5106 L
.46628 .51062 L
.46773 .51253 L
.46821 .51294 L
.4692 .51445 L
.47013 .51565 L
.47078 .51638 L
.47206 .51825 L
.4721 .51831 L
.47355 .52023 L
.47399 .52063 L
.475 .52216 L
.47591 .52335 L
.47653 .52409 L
.47784 .52598 L
.47786 .52601 L
.47929 .52794 L
.47977 .52839 L
.4814 .52987 L
.48169 .53114 L
.48221 .53179 L
.48357 .53372 L
.48362 .5338 L
.48497 .53565 L
.48555 .53622 L
.48691 .53758 L
.48747 .53901 L
.48784 .5395 L
.4892 .54143 L
.4894 .54169 L
.4906 .54336 L
.49133 .54414 L
.49239 .54528 L
.49326 .54698 L
.49342 .54721 L
.49478 .54914 L
.49518 .54968 L
.49617 .55106 L
.49711 .55217 L
.49782 .55299 L
.49894 .55492 L
.49904 .55504 L
.50029 .55684 L
.50096 .55777 L
.50166 .55877 L
.50289 .56041 L
.50312 .5607 L
.50436 .56263 L
.50482 .56326 L
.50569 .56455 L
.50674 .56605 L
.50704 .56648 L
.50832 .56841 L
.50867 .5689 L
.50958 .57033 L
.5106 .57183 L
.51086 .57226 L
.51201 .57419 L
.51253 .57501 L
.51302 .57611 L
.51253 .57656 L
.51211 .57611 L
.5106 .57458 L
.51026 .57419 L
.50867 .57245 L
.50857 .57226 L
.50698 .57033 L
.50674 .57006 L
.50543 .56841 L
.50482 .56769 L
.50387 .56648 L
.50289 .56555 L
.50233 .56455 L
.50096 .56285 L
.50072 .56263 L
.49933 .5607 L
.49904 .56034 L
.49785 .55877 L
.49711 .5581 L
.49636 .55684 L
.49518 .55536 L
.49476 .55492 L
.49343 .55299 L
.49326 .55277 L
.49199 .55106 L
.49133 .55046 L
.49053 .54914 L
.4894 .5477 L
.48897 .54721 L
.48764 .54528 L
.48747 .54507 L
.48622 .54336 L
.48555 .54271 L
.48405 .54143 L
.48362 .53993 L
.48326 .5395 L
.48192 .53758 L
.48169 .53728 L
.48051 .53565 L
.47977 .53489 L
.47853 .53372 L
.47784 .53208 L
.47761 .53179 L
.47626 .52987 L
.47591 .52942 L
.47486 .52794 L
.47399 .527 L
.47303 .52601 L
.47206 .52416 L
.472 .52409 L
.47064 .52216 L
.47013 .52148 L
.46925 .52023 L
.46821 .519 L
.46757 .51831 L
.46644 .51638 L
.46628 .51617 L
.46508 .51445 L
.46435 .51348 L
.46369 .51253 L
.46242 .51088 L
.46219 .5106 L
.46094 .50867 L
.4605 .50808 L
.45959 .50674 L
.45857 .50536 L
.4582 .50482 L
.45685 .50289 L
.45664 .50261 L
.45555 .50096 L
.45472 .49981 L
.45421 .49904 L
.45287 .49711 L
.45279 .497 L
.45166 .49518 L
.45086 .49403 L
.45042 .49326 L
F
1 .31 0 r
.45086 .49997 m
.45165 .50096 L
.45279 .50225 L
.45328 .50289 L
.45472 .50463 L
.45486 .50482 L
.45634 .50674 L
.45664 .5071 L
.45782 .50867 L
.45857 .50959 L
.45931 .5106 L
.4605 .5121 L
.46081 .51253 L
.46226 .51445 L
.46242 .51465 L
.46368 .51638 L
.46435 .51724 L
.46512 .51831 L
.46628 .51982 L
.46657 .52023 L
.46798 .52216 L
.46821 .52245 L
.46936 .52409 L
.47013 .5251 L
.47077 .52601 L
.47206 .52775 L
.47219 .52794 L
.47353 .52987 L
.47399 .53047 L
.47487 .53179 L
.47591 .5332 L
.47626 .53372 L
.47758 .53565 L
.47784 .53599 L
.47881 .53758 L
.47977 .53891 L
.48011 .5395 L
.47977 .54044 L
.47903 .5395 L
.47784 .53819 L
.47737 .53758 L
.47591 .53583 L
.47578 .53565 L
.47429 .53372 L
.47399 .53337 L
.47282 .53179 L
.47206 .53088 L
.47132 .52987 L
.47013 .52837 L
.46982 .52794 L
.46836 .52601 L
.46821 .52583 L
.46695 .52409 L
.46628 .52324 L
.46551 .52216 L
.46435 .52066 L
.46405 .52023 L
.46263 .51831 L
.46242 .51804 L
.46126 .51638 L
.4605 .51539 L
.45985 .51445 L
.45857 .51275 L
.45842 .51253 L
.45707 .5106 L
.45664 .51004 L
.45573 .50867 L
.45472 .50732 L
.45434 .50674 L
.45299 .50482 L
.45279 .50456 L
.45176 .50289 L
.45086 .50167 L
.45045 .50096 L
F
1 .85 0 r
.45086 .39819 m
.45139 .39884 L
.45279 .40031 L
.45314 .40076 L
.45472 .40261 L
.45478 .40269 L
.45629 .40462 L
.45664 .40502 L
.4578 .40654 L
.45857 .40747 L
.45931 .40847 L
.4605 .40994 L
.46084 .4104 L
.46233 .41232 L
.46242 .41244 L
.46376 .41425 L
.46435 .41499 L
.46521 .41618 L
.46628 .41754 L
.46669 .41811 L
.46816 .42003 L
.46821 .42009 L
.46955 .42196 L
.47013 .4227 L
.47098 .42389 L
.47206 .42529 L
.47243 .42581 L
.47386 .42774 L
.47399 .4279 L
.47523 .42967 L
.47591 .43054 L
.47664 .43159 L
.47784 .43317 L
.47808 .43352 L
.47947 .43545 L
.47977 .43583 L
.48083 .43737 L
.48169 .43852 L
.48223 .4393 L
.48362 .44118 L
.48365 .44123 L
.48496 .44316 L
.48555 .44393 L
.48631 .44508 L
.48747 .44666 L
.4877 .44701 L
.48902 .44894 L
.4894 .44946 L
.49028 .45086 L
.49133 .45233 L
.4916 .45279 L
.49133 .45445 L
.48996 .45279 L
.4894 .45217 L
.48836 .45086 L
.48747 .44981 L
.48679 .44894 L
.48555 .44772 L
.48525 .44701 L
.48375 .44508 L
.48362 .44492 L
.48227 .44316 L
.48169 .44243 L
.48077 .44123 L
.47977 .44031 L
.47929 .4393 L
.47784 .43739 L
.47782 .43737 L
.47639 .43545 L
.47591 .43484 L
.47493 .43352 L
.47399 .43261 L
.47348 .43159 L
.47206 .42969 L
.47204 .42967 L
.47063 .42774 L
.47013 .42708 L
.4692 .42581 L
.46821 .42476 L
.46777 .42389 L
.46637 .42196 L
.46628 .42184 L
.46499 .42003 L
.46435 .41918 L
.46358 .41811 L
.46242 .41669 L
.46184 .41618 L
.46082 .41425 L
.4605 .41381 L
.45946 .41232 L
.45857 .41109 L
.45808 .4104 L
.45673 .40847 L
.45664 .40835 L
.45544 .40654 L
.45472 .40553 L
.45412 .40462 L
.45279 .40269 L
.45279 .40269 L
.45164 .40076 L
.45086 .39959 L
.45046 .39884 L
F
1 .98 0 r
.45086 .43416 m
.45279 .43429 L
.45461 .43545 L
.45472 .43557 L
.45657 .43737 L
.45664 .43749 L
.45832 .4393 L
.45857 .43995 L
.45963 .44123 L
.4605 .44217 L
.46073 .44316 L
.46242 .44473 L
.4627 .44508 L
.46415 .44701 L
.46435 .44738 L
.46538 .44894 L
.46628 .45018 L
.46701 .45086 L
.46821 .45252 L
.46841 .45279 L
.46982 .45472 L
.47013 .45517 L
.47099 .45664 L
.47206 .45786 L
.47264 .45857 L
.47399 .46048 L
.474 .4605 L
.47537 .46242 L
.47591 .46328 L
.4764 .46435 L
.47591 .46607 L
.47399 .46609 L
.47206 .46545 L
.47065 .46435 L
.47013 .46319 L
.46952 .46242 L
.46821 .46061 L
.46817 .4605 L
.46672 .45857 L
.46628 .45806 L
.46493 .45664 L
.46435 .45539 L
.46384 .45472 L
.46246 .45279 L
.46242 .45274 L
.46108 .45086 L
.4605 .45044 L
.45935 .44894 L
.45857 .44756 L
.45824 .44701 L
.45687 .44508 L
.45664 .44477 L
.4555 .44316 L
.45472 .44206 L
.45387 .44123 L
.45279 .43935 L
.45275 .4393 L
.45152 .43737 L
.45086 .43626 L
.45047 .43545 L
F
0 .89 1 r
.45086 .39001 m
.45193 .39113 L
.45279 .39197 L
.45371 .39306 L
.45472 .39415 L
.45539 .39498 L
.45664 .39626 L
.45701 .39691 L
.45857 .3988 L
.45861 .39884 L
.46011 .40076 L
.4605 .40123 L
.46163 .40269 L
.46242 .40345 L
.46315 .40462 L
.46435 .40611 L
.46479 .40654 L
.46613 .40847 L
.46628 .40865 L
.46759 .4104 L
.46821 .41098 L
.46907 .41232 L
.47013 .41367 L
.47067 .41425 L
.472 .41618 L
.47206 .41626 L
.47343 .41811 L
.47399 .41865 L
.47487 .42003 L
.47591 .42136 L
.47643 .42196 L
.47777 .42389 L
.47784 .42398 L
.47918 .42581 L
.47977 .4264 L
.48123 .42774 L
.48169 .42913 L
.48213 .42967 L
.48348 .43159 L
.48362 .43178 L
.48488 .43352 L
.48555 .43421 L
.4868 .43545 L
.48747 .43697 L
.48779 .43737 L
.48915 .4393 L
.4894 .43963 L
.49055 .44123 L
.49133 .44207 L
.49236 .44316 L
.49326 .44486 L
.49343 .44508 L
.49479 .44701 L
.49518 .44753 L
.49619 .44894 L
.49711 .44999 L
.49789 .45086 L
.49903 .45279 L
.49904 .4528 L
.5004 .45472 L
.50096 .45547 L
.50179 .45664 L
.50289 .45799 L
.50339 .45857 L
.5046 .4605 L
.50482 .46078 L
.50597 .46242 L
.50674 .46346 L
.50736 .46435 L
.50867 .46607 L
.50884 .46628 L
.51013 .46821 L
.5106 .46883 L
.51149 .47013 L
.51253 .47154 L
.51288 .47206 L
.51426 .47399 L
.51445 .47425 L
.51557 .47591 L
.51638 .47702 L
.51692 .47784 L
.51831 .47977 L
.51831 .47977 L
.51955 .48169 L
.52023 .48265 L
.52083 .48362 L
.52215 .48555 L
.52216 .48556 L
.52318 .48747 L
.52409 .48917 L
.52411 .4894 L
.52409 .48944 L
.52398 .4894 L
.52216 .48788 L
.52178 .48747 L
.52023 .48605 L
.51998 .48555 L
.51831 .48364 L
.51828 .48362 L
.51666 .48169 L
.51638 .48138 L
.51504 .47977 L
.51445 .47947 L
.51344 .47784 L
.51253 .47674 L
.51152 .47591 L
.5106 .47425 L
.51039 .47399 L
.50885 .47206 L
.50867 .47198 L
.50733 .47013 L
.50674 .46941 L
.50553 .46821 L
.50482 .46683 L
.50442 .46628 L
.5029 .46435 L
.50289 .46435 L
.50143 .46242 L
.50096 .46184 L
.49976 .4605 L
.49904 .45922 L
.4986 .45857 L
.49711 .45667 L
.49708 .45664 L
.49563 .45472 L
.49518 .45414 L
.49405 .45279 L
.49326 .45149 L
.49287 .45086 L
.49134 .44894 L
.49133 .44893 L
.4899 .44701 L
.4894 .44636 L
.48838 .44508 L
.48747 .44369 L
.48718 .44316 L
.48564 .44123 L
.48555 .44116 L
.48422 .4393 L
.48362 .43853 L
.48274 .43737 L
.48169 .43584 L
.4815 .43545 L
.47999 .43352 L
.47977 .43334 L
.47804 .43159 L
.47784 .43063 L
.47713 .42967 L
.47591 .42793 L
.47584 .42774 L
.47438 .42581 L
.47399 .42546 L
.47253 .42389 L
.47206 .42267 L
.47156 .42196 L
.47019 .42003 L
.47013 .41995 L
.46882 .41811 L
.46821 .41749 L
.46706 .41618 L
.46628 .41462 L
.46603 .41425 L
.46468 .41232 L
.46435 .41187 L
.46332 .4104 L
.46242 .40936 L
.4617 .40847 L
.46059 .40654 L
.4605 .40641 L
.45927 .40462 L
.45857 .40363 L
.45793 .40269 L
.45664 .40088 L
.45656 .40076 L
.45532 .39884 L
.45472 .39796 L
.45404 .39691 L
.45279 .39504 L
.45275 .39498 L
.45162 .39306 L
.45086 .39185 L
.45049 .39113 L
F
0 .7 1 r
.45086 .49176 m
.4522 .49326 L
.45279 .49387 L
.4539 .49518 L
.45472 .49611 L
.45554 .49711 L
.45664 .49814 L
.45713 .49904 L
.45857 .5008 L
.45876 .50096 L
.46021 .50289 L
.4605 .50324 L
.46173 .50482 L
.46242 .50541 L
.46324 .50674 L
.46435 .50814 L
.46488 .50867 L
.46621 .5106 L
.46628 .51068 L
.46768 .51253 L
.46821 .51298 L
.46916 .51445 L
.47013 .5157 L
.47074 .51638 L
.47206 .51829 L
.47207 .51831 L
.47351 .52023 L
.47399 .52066 L
.47496 .52216 L
.47591 .52339 L
.47649 .52409 L
.47783 .52601 L
.47784 .52602 L
.47926 .52794 L
.47977 .52843 L
.48137 .52987 L
.48169 .53118 L
.48217 .53179 L
.48353 .53372 L
.48362 .53384 L
.48494 .53565 L
.48555 .53626 L
.48687 .53758 L
.48747 .53906 L
.48781 .5395 L
.48917 .54143 L
.4894 .54174 L
.49057 .54336 L
.49133 .54418 L
.49235 .54528 L
.49326 .54703 L
.49339 .54721 L
.49475 .54914 L
.49518 .54973 L
.49613 .55106 L
.49711 .55223 L
.49777 .55299 L
.4989 .55492 L
.49904 .5551 L
.50025 .55684 L
.50096 .55783 L
.50162 .55877 L
.50289 .5605 L
.50305 .5607 L
.5043 .56263 L
.50482 .56334 L
.50563 .56455 L
.50674 .56613 L
.50698 .56648 L
.50825 .56841 L
.50867 .56901 L
.5095 .57033 L
.5106 .57197 L
.51077 .57226 L
.51184 .57419 L
.51253 .57539 L
.51269 .57611 L
.51253 .57622 L
.51241 .57611 L
.5106 .57442 L
.5104 .57419 L
.50868 .57226 L
.50867 .57226 L
.50708 .57033 L
.50674 .56996 L
.50551 .56841 L
.50482 .5676 L
.50394 .56648 L
.50289 .56546 L
.50239 .56455 L
.50096 .56277 L
.5008 .56263 L
.49938 .5607 L
.49904 .56027 L
.4979 .55877 L
.49711 .55804 L
.49641 .55684 L
.49518 .5553 L
.49482 .55492 L
.49347 .55299 L
.49326 .55272 L
.49202 .55106 L
.49133 .55041 L
.49056 .54914 L
.4894 .54765 L
.48901 .54721 L
.48767 .54528 L
.48747 .54503 L
.48625 .54336 L
.48555 .54268 L
.48408 .54143 L
.48362 .53989 L
.4833 .5395 L
.48195 .53758 L
.48169 .53724 L
.48054 .53565 L
.47977 .53486 L
.47857 .53372 L
.47784 .53204 L
.47764 .53179 L
.47629 .52987 L
.47591 .52938 L
.47488 .52794 L
.47399 .52695 L
.47307 .52601 L
.47206 .52412 L
.47204 .52409 L
.47067 .52216 L
.47013 .52144 L
.46928 .52023 L
.46821 .51895 L
.46762 .51831 L
.46647 .51638 L
.46628 .51612 L
.46511 .51445 L
.46435 .51343 L
.46372 .51253 L
.46242 .51081 L
.46224 .5106 L
.46098 .50867 L
.4605 .50802 L
.45963 .50674 L
.45857 .5053 L
.45825 .50482 L
.4569 .50289 L
.45664 .50254 L
.45561 .50096 L
.45472 .49973 L
.45427 .49904 L
.45295 .49711 L
.45279 .49689 L
.45175 .49518 L
.45086 .49388 L
.45052 .49326 L
F
1 .3 0 r
.45086 .50009 m
.45156 .50096 L
.45279 .50234 L
.45322 .50289 L
.45472 .5047 L
.45481 .50482 L
.45628 .50674 L
.45664 .50716 L
.45777 .50867 L
.45857 .50965 L
.45927 .5106 L
.4605 .51216 L
.46077 .51253 L
.46222 .51445 L
.46242 .51471 L
.46363 .51638 L
.46435 .51729 L
.46508 .51831 L
.46628 .51987 L
.46654 .52023 L
.46794 .52216 L
.46821 .5225 L
.46932 .52409 L
.47013 .52515 L
.47073 .52601 L
.47206 .5278 L
.47216 .52794 L
.47348 .52987 L
.47399 .53053 L
.47483 .53179 L
.47591 .53327 L
.47621 .53372 L
.47751 .53565 L
.47784 .53609 L
.47873 .53758 L
.47977 .53904 L
.48003 .5395 L
.47977 .54031 L
.47914 .5395 L
.47784 .5381 L
.47744 .53758 L
.47591 .53576 L
.47583 .53565 L
.47435 .53372 L
.47399 .5333 L
.47287 .53179 L
.47206 .53082 L
.47137 .52987 L
.47013 .52832 L
.46986 .52794 L
.4684 .52601 L
.46821 .52577 L
.46699 .52409 L
.46628 .52319 L
.46555 .52216 L
.46435 .52061 L
.46408 .52023 L
.46267 .51831 L
.46242 .51799 L
.4613 .51638 L
.4605 .51534 L
.45989 .51445 L
.45857 .5127 L
.45845 .51253 L
.45712 .5106 L
.45664 .50998 L
.45578 .50867 L
.45472 .50725 L
.45438 .50674 L
.45305 .50482 L
.45279 .50447 L
.45183 .50289 L
.45086 .50156 L
.45053 .50096 L
F
1 .92 0 r
.45086 .47363 m
.4513 .47399 L
.45279 .47539 L
.45319 .47591 L
.45472 .47775 L
.45478 .47784 L
.45609 .47977 L
.45664 .48054 L
.45726 .48169 L
.45664 .48221 L
.45613 .48169 L
.45472 .48016 L
.45438 .47977 L
.45286 .47784 L
.45279 .47775 L
.45156 .47591 L
.45086 .47471 L
.45054 .47399 L
F
1 .93 0 r
.45086 .4842 m
.4523 .48555 L
.45279 .48599 L
.45422 .48747 L
.45472 .48798 L
.45603 .4894 L
.45664 .48973 L
.45776 .49133 L
.45857 .4923 L
.45996 .49326 L
.4605 .4947 L
.46094 .49518 L
.46242 .49704 L
.46244 .49711 L
.46414 .49904 L
.46435 .4993 L
.46609 .50096 L
.46628 .50182 L
.46714 .50289 L
.46821 .50437 L
.46844 .50482 L
.47012 .50674 L
.47013 .50676 L
.47182 .50867 L
.47206 .50933 L
.47299 .5106 L
.47399 .51196 L
.47421 .51253 L
.47591 .51444 L
.47595 .51445 L
.47753 .51638 L
.47784 .51702 L
.47872 .51831 L
.47977 .51968 L
.47986 .52023 L
.48169 .52216 L
.4817 .52216 L
.48322 .52409 L
.48362 .52479 L
.4844 .52601 L
.48555 .52747 L
.48601 .52794 L
.48742 .52987 L
.48747 .52995 L
.4889 .53179 L
.4894 .5326 L
.49006 .53372 L
.49133 .53528 L
.4917 .53565 L
.4931 .53758 L
.49326 .53778 L
.49456 .5395 L
.49518 .54045 L
.49571 .54143 L
.49711 .54311 L
.49737 .54336 L
.49903 .54528 L
.49904 .54563 L
.5002 .54721 L
.50096 .54832 L
.50135 .54914 L
.50289 .55095 L
.50301 .55106 L
.50469 .55299 L
.50482 .55351 L
.50582 .55492 L
.50674 .55621 L
.50699 .55684 L
.50864 .55877 L
.50867 .5588 L
.51032 .5607 L
.5106 .56142 L
.51143 .56263 L
.51253 .56412 L
.51265 .56455 L
.51426 .56648 L
.51445 .56666 L
.51593 .56841 L
.51638 .56935 L
.51703 .57033 L
.51831 .57206 L
.51833 .57226 L
.51985 .57419 L
.52023 .57456 L
.52149 .57611 L
.52216 .57732 L
.52261 .57804 L
.52403 .57997 L
.52409 .58004 L
.52541 .58189 L
.52601 .58253 L
.52701 .58382 L
.52794 .58537 L
.52816 .58575 L
.52955 .58768 L
.52987 .58811 L
.53092 .5896 L
.53179 .59064 L
.53245 .59153 L
.53366 .59346 L
.53372 .59354 L
.53499 .59538 L
.53565 .59631 L
.53634 .59731 L
.53758 .59901 L
.53773 .59924 L
.53898 .60116 L
.5395 .60191 L
.54028 .60309 L
.54143 .60478 L
.54177 .60502 L
.54279 .60694 L
.54336 .60781 L
.54397 .60887 L
.5451 .6108 L
.54336 .61094 L
.54328 .6108 L
.54149 .60887 L
.54143 .60881 L
.53982 .60694 L
.5395 .60659 L
.53819 .60502 L
.53758 .60459 L
.5366 .60309 L
.53565 .60199 L
.53458 .60116 L
.53372 .59952 L
.53347 .59924 L
.53197 .59731 L
.53179 .59719 L
.53047 .59538 L
.52987 .59466 L
.52861 .59346 L
.52794 .59209 L
.52749 .59153 L
.52601 .5896 L
.52601 .5896 L
.52455 .58768 L
.52409 .5871 L
.52283 .58575 L
.52216 .58449 L
.52167 .58382 L
.52023 .58194 L
.52023 .58189 L
.51875 .57997 L
.51831 .57941 L
.51711 .57804 L
.51638 .57677 L
.51593 .57611 L
.51445 .57421 L
.51443 .57419 L
.51301 .57226 L
.51253 .57165 L
.51142 .57033 L
.5106 .56899 L
.51023 .56841 L
.50872 .56648 L
.50867 .56644 L
.50731 .56455 L
.50674 .56384 L
.50576 .56263 L
.50482 .56117 L
.50454 .5607 L
.50304 .55877 L
.50289 .55864 L
.50108 .55684 L
.50096 .556 L
.50011 .55492 L
.49904 .55332 L
.49887 .55299 L
.49738 .55106 L
.49711 .55081 L
.49549 .54914 L
.49518 .54813 L
.49448 .54721 L
.49326 .54545 L
.49319 .54528 L
.49174 .54336 L
.49133 .54296 L
.48991 .54143 L
.4894 .54023 L
.48886 .5395 L
.48749 .53758 L
.48747 .53755 L
.48611 .53565 L
.48555 .53509 L
.48434 .53372 L
.48362 .53232 L
.48325 .53179 L
.48188 .52987 L
.48169 .52963 L
.48049 .52794 L
.47977 .52717 L
.47878 .52601 L
.47784 .52437 L
.47765 .52409 L
.47627 .52216 L
.47591 .52168 L
.47489 .52023 L
.47399 .51921 L
.47325 .51831 L
.47206 .51639 L
.47205 .51638 L
.47069 .51445 L
.47013 .5137 L
.4693 .51253 L
.46821 .51118 L
.46775 .5106 L
.4665 .50867 L
.46628 .50837 L
.46514 .50674 L
.46435 .50568 L
.46375 .50482 L
.46242 .50305 L
.4623 .50289 L
.461 .50096 L
.4605 .50028 L
.45965 .49904 L
.45857 .49757 L
.45791 .49711 L
.45691 .49518 L
.45664 .49482 L
.45561 .49326 L
.45472 .49202 L
.45427 .49133 L
.45294 .4894 L
.45279 .48919 L
.45176 .48747 L
.45086 .48612 L
.45056 .48555 L
F
0 .05 1 r
.45086 .50841 m
.45102 .50867 L
.45086 .50912 L
.4506 .50867 L
F
1 .29 0 r
.45086 .50022 m
.45145 .50096 L
.45279 .50242 L
.45315 .50289 L
.45472 .50477 L
.45475 .50482 L
.45622 .50674 L
.45664 .50723 L
.45772 .50867 L
.45857 .50971 L
.45923 .5106 L
.4605 .51221 L
.46073 .51253 L
.46217 .51445 L
.46242 .51476 L
.46359 .51638 L
.46435 .51734 L
.46504 .51831 L
.46628 .51992 L
.4665 .52023 L
.46789 .52216 L
.46821 .52255 L
.46928 .52409 L
.47013 .52521 L
.47069 .52601 L
.47206 .52786 L
.47212 .52794 L
.47343 .52987 L
.47399 .5306 L
.47478 .53179 L
.47591 .53334 L
.47616 .53372 L
.47744 .53565 L
.47784 .53619 L
.47865 .53758 L
.47977 .53918 L
.47994 .5395 L
.47977 .54014 L
.47926 .5395 L
.47784 .53801 L
.47751 .53758 L
.47591 .53569 L
.47588 .53565 L
.47441 .53372 L
.47399 .53324 L
.47292 .53179 L
.47206 .53076 L
.47141 .52987 L
.47013 .52826 L
.4699 .52794 L
.46845 .52601 L
.46821 .52572 L
.46704 .52409 L
.46628 .52314 L
.46559 .52216 L
.46435 .52056 L
.46412 .52023 L
.46272 .51831 L
.46242 .51794 L
.46134 .51638 L
.4605 .51529 L
.45992 .51445 L
.45857 .51265 L
.45849 .51253 L
.45717 .5106 L
.45664 .50992 L
.45582 .50867 L
.45472 .50719 L
.45443 .50674 L
.45312 .50482 L
.45279 .50438 L
.45191 .50289 L
.45086 .50144 L
.45061 .50096 L
F
0 .69 1 r
.45086 .49198 m
.45204 .49326 L
.45279 .49401 L
.45379 .49518 L
.45472 .49623 L
.45545 .49711 L
.45664 .49826 L
.45706 .49904 L
.45857 .5009 L
.45865 .50096 L
.46014 .50289 L
.4605 .50332 L
.46167 .50482 L
.46242 .50548 L
.46319 .50674 L
.46435 .50821 L
.46482 .50867 L
.46616 .5106 L
.46628 .51074 L
.46764 .51253 L
.46821 .51302 L
.46911 .51445 L
.47013 .51575 L
.4707 .51638 L
.47203 .51831 L
.47206 .51834 L
.47347 .52023 L
.47399 .5207 L
.47493 .52216 L
.47591 .52344 L
.47645 .52409 L
.4778 .52601 L
.47784 .52607 L
.47922 .52794 L
.47977 .52846 L
.48134 .52987 L
.48169 .53123 L
.48214 .53179 L
.4835 .53372 L
.48362 .53388 L
.48491 .53565 L
.48555 .5363 L
.48684 .53758 L
.48747 .53911 L
.48777 .5395 L
.48914 .54143 L
.4894 .54179 L
.49053 .54336 L
.49133 .54423 L
.49231 .54528 L
.49326 .54708 L
.49335 .54721 L
.49471 .54914 L
.49518 .54978 L
.4961 .55106 L
.49711 .55229 L
.49772 .55299 L
.49886 .55492 L
.49904 .55516 L
.50021 .55684 L
.50096 .55789 L
.50158 .55877 L
.50289 .56059 L
.50298 .5607 L
.50425 .56263 L
.50482 .56342 L
.50558 .56455 L
.50674 .56622 L
.50692 .56648 L
.50816 .56841 L
.50867 .56913 L
.50941 .57033 L
.5106 .57213 L
.51067 .57226 L
.51162 .57419 L
.5106 .57423 L
.51056 .57419 L
.50881 .57226 L
.50867 .57212 L
.50719 .57033 L
.50674 .56985 L
.50559 .56841 L
.50482 .56751 L
.50401 .56648 L
.50289 .56536 L
.50245 .56455 L
.50096 .56269 L
.50089 .56263 L
.49944 .5607 L
.49904 .56021 L
.49795 .55877 L
.49711 .55798 L
.49645 .55684 L
.49518 .55524 L
.49487 .55492 L
.49351 .55299 L
.49326 .55267 L
.49206 .55106 L
.49133 .55037 L
.4906 .54914 L
.4894 .5476 L
.48905 .54721 L
.48771 .54528 L
.48747 .54498 L
.48628 .54336 L
.48555 .54264 L
.48412 .54143 L
.48362 .53985 L
.48333 .5395 L
.48198 .53758 L
.48169 .5372 L
.48057 .53565 L
.47977 .53482 L
.4786 .53372 L
.47784 .532 L
.47767 .53179 L
.47632 .52987 L
.47591 .52934 L
.47491 .52794 L
.47399 .52691 L
.47311 .52601 L
.47207 .52409 L
.47206 .52407 L
.4707 .52216 L
.47013 .5214 L
.46931 .52023 L
.46821 .5189 L
.46766 .51831 L
.46651 .51638 L
.46628 .51608 L
.46515 .51445 L
.46435 .51338 L
.46376 .51253 L
.46242 .51075 L
.4623 .5106 L
.46102 .50867 L
.4605 .50797 L
.45967 .50674 L
.45857 .50524 L
.45829 .50482 L
.45696 .50289 L
.45664 .50247 L
.45566 .50096 L
.45472 .49964 L
.45433 .49904 L
.45303 .49711 L
.45279 .49677 L
.45185 .49518 L
.45086 .4937 L
.45063 .49326 L
F
1 .95 0 r
.45086 .38205 m
.45237 .38342 L
.45279 .3838 L
.45422 .38535 L
.45472 .38586 L
.45593 .38727 L
.45664 .38771 L
.45759 .3892 L
.45857 .39031 L
.45981 .39113 L
.4605 .39273 L
.46081 .39306 L
.46231 .39498 L
.46242 .39505 L
.46384 .39691 L
.46435 .39752 L
.4658 .39884 L
.46628 .40007 L
.46686 .40076 L
.46821 .40257 L
.46826 .40269 L
.4698 .40462 L
.47013 .40502 L
.47158 .40654 L
.47206 .40762 L
.4727 .40847 L
.47399 .4102 L
.47403 .4104 L
.47563 .41232 L
.47591 .41267 L
.4773 .41425 L
.47784 .41531 L
.47846 .41618 L
.47977 .41791 L
.47977 .41811 L
.48139 .42003 L
.48169 .42042 L
.483 .42196 L
.48362 .42307 L
.48417 .42389 L
.48555 .42568 L
.48568 .42581 L
.4871 .42774 L
.48747 .42822 L
.48867 .42967 L
.4894 .43089 L
.48984 .43159 L
.49133 .43348 L
.49137 .43352 L
.49278 .43545 L
.49326 .43605 L
.49432 .43737 L
.49518 .43873 L
.49551 .4393 L
.49704 .44123 L
.49711 .44129 L
.49895 .44316 L
.49904 .44391 L
.49995 .44508 L
.50096 .44659 L
.50118 .44701 L
.50269 .44894 L
.50289 .44912 L
.50455 .45086 L
.50482 .45178 L
.50558 .45279 L
.50674 .45447 L
.50685 .45472 L
.50833 .45664 L
.50867 .45697 L
.51014 .45857 L
.5106 .45968 L
.5112 .4605 L
.51253 .46236 L
.51255 .46242 L
.51396 .46435 L
.51445 .46484 L
.51573 .46628 L
.51638 .46759 L
.51682 .46821 L
.5182 .47013 L
.51831 .47028 L
.51958 .47206 L
.52023 .47273 L
.52129 .47399 L
.52216 .47552 L
.52243 .47591 L
.52381 .47784 L
.52409 .47821 L
.5252 .47977 L
.52601 .48067 L
.52685 .48169 L
.52794 .48348 L
.52803 .48362 L
.5294 .48555 L
.52987 .48616 L
.5308 .48747 L
.53179 .48865 L
.53238 .4894 L
.53362 .49133 L
.53372 .49146 L
.53498 .49326 L
.53565 .49415 L
.53637 .49518 L
.53758 .49671 L
.53788 .49711 L
.53916 .49904 L
.5395 .49949 L
.54052 .50096 L
.54143 .50178 L
.54237 .50289 L
.54332 .50482 L
.54336 .50486 L
.54465 .50674 L
.54528 .5076 L
.54601 .50867 L
.54721 .51017 L
.54755 .5106 L
.54874 .51253 L
.54914 .51307 L
.55006 .51445 L
.55106 .51584 L
.55142 .51638 L
.55276 .51831 L
.55299 .51863 L
.55403 .52023 L
.55492 .5215 L
.55534 .52216 L
.55662 .52409 L
.55684 .52442 L
.5578 .52601 L
.55877 .52765 L
.55891 .52794 L
.55877 .52968 L
.55684 .52851 L
.55644 .52794 L
.55492 .52643 L
.55461 .52601 L
.55299 .52411 L
.55296 .52409 L
.55144 .52216 L
.55106 .52184 L
.54996 .52023 L
.54914 .51919 L
.54822 .51831 L
.54721 .51657 L
.54705 .51638 L
.54564 .51445 L
.54528 .514 L
.54379 .51253 L
.54336 .51138 L
.54274 .5106 L
.54143 .50878 L
.54136 .50867 L
.53989 .50674 L
.5395 .50621 L
.53839 .50482 L
.53758 .50361 L
.53718 .50289 L
.53565 .50107 L
.53553 .50096 L
.53385 .49904 L
.53372 .49853 L
.53272 .49711 L
.53179 .49587 L
.53167 .49518 L
.52987 .49348 L
.52969 .49326 L
.52815 .49133 L
.52794 .49087 L
.52696 .4894 L
.52601 .48817 L
.52532 .48747 L
.52409 .48579 L
.5239 .48555 L
.52241 .48362 L
.52216 .48316 L
.5212 .48169 L
.52023 .48044 L
.51957 .47977 L
.51831 .47802 L
.51817 .47784 L
.51669 .47591 L
.51638 .47537 L
.5155 .47399 L
.51445 .47265 L
.51387 .47206 L
.51253 .4702 L
.51247 .47013 L
.51101 .46821 L
.5106 .46754 L
.50985 .46628 L
.50867 .46483 L
.50819 .46435 L
.5068 .46242 L
.50674 .46235 L
.50536 .4605 L
.50482 .45968 L
.50421 .45857 L
.50289 .45699 L
.50254 .45664 L
.50097 .45472 L
.50096 .45448 L
.49972 .45279 L
.49904 .4518 L
.49858 .45086 L
.49711 .44914 L
.4969 .44894 L
.49528 .44701 L
.49518 .4466 L
.4941 .44508 L
.49326 .44391 L
.49296 .44316 L
.49133 .44129 L
.49127 .44123 L
.48963 .4393 L
.4894 .4387 L
.48848 .43737 L
.48747 .436 L
.48732 .43545 L
.48565 .43352 L
.48555 .43343 L
.48401 .43159 L
.48362 .43078 L
.48288 .42967 L
.48169 .42808 L
.48165 .42774 L
.48004 .42581 L
.47977 .42555 L
.47842 .42389 L
.47784 .42284 L
.47729 .42196 L
.47591 .42013 L
.47584 .42003 L
.47446 .41811 L
.47399 .41763 L
.47286 .41618 L
.47206 .41485 L
.47171 .41425 L
.47028 .41232 L
.47013 .41212 L
.46891 .4104 L
.46821 .40963 L
.46735 .40847 L
.46628 .40677 L
.46615 .40654 L
.46478 .40462 L
.46435 .40403 L
.46341 .40269 L
.46242 .40147 L
.46193 .40076 L
.46069 .39884 L
.4605 .39857 L
.45937 .39691 L
.45857 .39578 L
.45749 .39498 L
.45669 .39306 L
.45664 .39299 L
.45543 .39113 L
.45472 .39009 L
.45415 .3892 L
.45289 .38727 L
.45279 .38713 L
.45177 .38535 L
.45086 .38383 L
.45066 .38342 L
F
0 .96 1 r
.45086 .46796 m
.45279 .46755 L
.45421 .46821 L
.45472 .46857 L
.45617 .47013 L
.45664 .47077 L
.45771 .47206 L
.45857 .47317 L
.45956 .47399 L
.4605 .47571 L
.46069 .47591 L
.46207 .47784 L
.46242 .4783 L
.46347 .47977 L
.46435 .48072 L
.46518 .48169 L
.46628 .48355 L
.46632 .48362 L
.46767 .48555 L
.46821 .48627 L
.46905 .48747 L
.47013 .48897 L
.47061 .4894 L
.47176 .49133 L
.47206 .49177 L
.47299 .49326 L
.47399 .49492 L
.47412 .49518 L
.47399 .49661 L
.47206 .49572 L
.47103 .49518 L
.47013 .49413 L
.46883 .49326 L
.46821 .49218 L
.46715 .49133 L
.46628 .49048 L
.46605 .4894 L
.46435 .48813 L
.46381 .48747 L
.46242 .48565 L
.46234 .48555 L
.46087 .48362 L
.4605 .48303 L
.45974 .48169 L
.45857 .48028 L
.45796 .47977 L
.45664 .47791 L
.45659 .47784 L
.45519 .47591 L
.45472 .47532 L
.45413 .47399 L
.45279 .47251 L
.45252 .47206 L
.45134 .47013 L
.45086 .46895 L
.45069 .46821 L
F
1 .28 0 r
.45086 .50039 m
.45133 .50096 L
.45279 .50252 L
.45308 .50289 L
.45279 .50428 L
.45199 .50289 L
.45086 .50129 L
.4507 .50096 L
F
0 .68 1 r
.45086 .49226 m
.45185 .49326 L
.45279 .49416 L
.45367 .49518 L
.45472 .49634 L
.45536 .49711 L
.45664 .4984 L
.45698 .49904 L
.45854 .50096 L
.45857 .50099 L
.46008 .50289 L
.4605 .5034 L
.46161 .50482 L
.46242 .50554 L
.46313 .50674 L
.46435 .50828 L
.46476 .50867 L
.46611 .5106 L
.46628 .5108 L
.46759 .51253 L
.46821 .51307 L
.46907 .51445 L
.47013 .51581 L
.47065 .51638 L
.47199 .51831 L
.47206 .5184 L
.47343 .52023 L
.47399 .52074 L
.47489 .52216 L
.47591 .52349 L
.47642 .52409 L
.47776 .52601 L
.47784 .52611 L
.47919 .52794 L
.47977 .5285 L
.48131 .52987 L
.48169 .53128 L
.48211 .53179 L
.48346 .53372 L
.48362 .53393 L
.48487 .53565 L
.48555 .53634 L
.4868 .53758 L
.48747 .53915 L
.48774 .5395 L
.4891 .54143 L
.4894 .54183 L
.4905 .54336 L
.49133 .54428 L
.49227 .54528 L
.49326 .54713 L
.49331 .54721 L
.49467 .54914 L
.49518 .54983 L
.49606 .55106 L
.49711 .55236 L
.49766 .55299 L
.49881 .55492 L
.49904 .55522 L
.50016 .55684 L
.50096 .55795 L
.50153 .55877 L
.50289 .56068 L
.5029 .5607 L
.50419 .56263 L
.50482 .5635 L
.50552 .56455 L
.50674 .56631 L
.50685 .56648 L
.50808 .56841 L
.50867 .56926 L
.50931 .57033 L
.50867 .57197 L
.5073 .57033 L
.50674 .56974 L
.50567 .56841 L
.50482 .56742 L
.50408 .56648 L
.50289 .56526 L
.50251 .56455 L
.50097 .56263 L
.50096 .56261 L
.49949 .5607 L
.49904 .56015 L
.49799 .55877 L
.49711 .55792 L
.49649 .55684 L
.49518 .55518 L
.49492 .55492 L
.49355 .55299 L
.49326 .55262 L
.4921 .55106 L
.49133 .55032 L
.49063 .54914 L
.4894 .54755 L
.48909 .54721 L
.48774 .54528 L
.48747 .54494 L
.48631 .54336 L
.48555 .5426 L
.48417 .54143 L
.48362 .5398 L
.48337 .5395 L
.48201 .53758 L
.48169 .53716 L
.4806 .53565 L
.47977 .53478 L
.47864 .53372 L
.47784 .53196 L
.47771 .53179 L
.47635 .52987 L
.47591 .5293 L
.47494 .52794 L
.47399 .52687 L
.47315 .52601 L
.4721 .52409 L
.47206 .52403 L
.47073 .52216 L
.47013 .52136 L
.46934 .52023 L
.46821 .51885 L
.46771 .51831 L
.46654 .51638 L
.46628 .51603 L
.46518 .51445 L
.46435 .51334 L
.46379 .51253 L
.46242 .51068 L
.46236 .5106 L
.46106 .50867 L
.4605 .50791 L
.45971 .50674 L
.45857 .50517 L
.45833 .50482 L
.45701 .50289 L
.45664 .50239 L
.45572 .50096 L
.45472 .49955 L
.45439 .49904 L
.45312 .49711 L
.45279 .49664 L
.45196 .49518 L
.45086 .49348 L
.45075 .49326 L
F
0 .04 1 r
.45086 .50861 m
.4509 .50867 L
.45086 .50887 L
.45078 .50867 L
F
0 .75 1 r
.45086 .44135 m
.45279 .44251 L
.45325 .44316 L
.45472 .44463 L
.45509 .44508 L
.45664 .44689 L
.45677 .44701 L
.4583 .44894 L
.45857 .44927 L
.4598 .45086 L
.4605 .45152 L
.46188 .45279 L
.46242 .45433 L
.46271 .45472 L
.464 .45664 L
.46435 .45716 L
.46527 .45857 L
.46628 .4603 L
.4665 .4605 L
.46673 .46242 L
.46628 .46261 L
.46579 .46242 L
.46435 .4615 L
.46335 .4605 L
.46242 .45991 L
.46162 .45857 L
.4605 .45735 L
.45957 .45664 L
.45857 .45474 L
.45855 .45472 L
.45716 .45279 L
.45664 .45211 L
.45577 .45086 L
.45472 .44975 L
.4541 .44894 L
.45311 .44701 L
.45279 .44654 L
.45191 .44508 L
.45086 .44329 L
.45079 .44316 L
F
1 .27 0 r
.45086 .50064 m
.45114 .50096 L
.45279 .50262 L
.453 .50289 L
.45279 .50417 L
.45209 .50289 L
.45086 .50108 L
.45081 .50096 L
F
0 .74 1 r
.45279 .44266 m
.45314 .44316 L
.45472 .44472 L
.45501 .44508 L
.45664 .44696 L
.4567 .44701 L
.45824 .44894 L
.45857 .44934 L
.45975 .45086 L
.4605 .45158 L
.46183 .45279 L
.46242 .4544 L
.46265 .45472 L
.46395 .45664 L
.46435 .45724 L
.46521 .45857 L
.46628 .46045 L
.46633 .4605 L
.46637 .46242 L
.46628 .46245 L
.46617 .46242 L
.46435 .46141 L
.46343 .4605 L
.46242 .45984 L
.46167 .45857 L
.4605 .45728 L
.45965 .45664 L
.4586 .45472 L
.45857 .45468 L
.4572 .45279 L
.45664 .45205 L
.45581 .45086 L
.45472 .44965 L
.45417 .44894 L
.45316 .44701 L
.45279 .44645 L
.45198 .44508 L
.45089 .44316 L
F
0 .73 1 r
.45279 .44284 m
.45301 .44316 L
.45472 .44482 L
.45493 .44508 L
.45662 .44701 L
.45664 .44704 L
.45818 .44894 L
.45857 .44941 L
.4597 .45086 L
.4605 .45165 L
.46177 .45279 L
.46242 .45448 L
.4626 .45472 L
.4639 .45664 L
.46435 .45732 L
.46515 .45857 L
.46621 .4605 L
.46435 .46131 L
.46351 .4605 L
.46242 .45977 L
.46173 .45857 L
.4605 .45722 L
.45973 .45664 L
.45864 .45472 L
.45857 .45463 L
.45724 .45279 L
.45664 .452 L
.45585 .45086 L
.45472 .44955 L
.45425 .44894 L
.45322 .44701 L
.45279 .44635 L
.45205 .44508 L
.45102 .44316 L
F
1 .97 0 r
.45279 .435 m
.45371 .43545 L
.45472 .43634 L
.45615 .43737 L
.45664 .43806 L
.45814 .4393 L
.45857 .44035 L
.45943 .44123 L
.4605 .44241 L
.46064 .44316 L
.46242 .44491 L
.46256 .44508 L
.46406 .44701 L
.46435 .44755 L
.46528 .44894 L
.46628 .4503 L
.46692 .45086 L
.46821 .45264 L
.46832 .45279 L
.46975 .45472 L
.47013 .45528 L
.47091 .45664 L
.47206 .45797 L
.47255 .45857 L
.4739 .4605 L
.47399 .46063 L
.47525 .46242 L
.47591 .46356 L
.47623 .46435 L
.47591 .46577 L
.47399 .46589 L
.47206 .46518 L
.47082 .46435 L
.47013 .46305 L
.46961 .46242 L
.46821 .46051 L
.4682 .4605 L
.46678 .45857 L
.46628 .45799 L
.46497 .45664 L
.46435 .45533 L
.46389 .45472 L
.46251 .45279 L
.46242 .45267 L
.46113 .45086 L
.4605 .45037 L
.45941 .44894 L
.45857 .44746 L
.4583 .44701 L
.45695 .44508 L
.45664 .44466 L
.45559 .44316 L
.45472 .44192 L
.45401 .44123 L
.45293 .4393 L
.45279 .4391 L
.45179 .43737 L
.45113 .43545 L
F
0 .72 1 r
.45279 .44303 m
.45288 .44316 L
.45472 .44492 L
.45485 .44508 L
.45655 .44701 L
.45664 .44711 L
.45813 .44894 L
.45857 .44947 L
.45965 .45086 L
.4605 .45171 L
.4617 .45279 L
.46242 .45456 L
.46254 .45472 L
.46384 .45664 L
.46435 .45741 L
.46509 .45857 L
.46611 .4605 L
.46435 .46122 L
.46359 .4605 L
.46242 .4597 L
.46178 .45857 L
.4605 .45715 L
.45982 .45664 L
.45869 .45472 L
.45857 .45457 L
.45729 .45279 L
.45664 .45194 L
.4559 .45086 L
.45472 .44944 L
.45434 .44894 L
.45328 .44701 L
.45279 .44625 L
.45212 .44508 L
.45118 .44316 L
F
0 .95 1 r
.45279 .46783 m
.45378 .46821 L
.45472 .4688 L
.45601 .47013 L
.45664 .47092 L
.45762 .47206 L
.45857 .47327 L
.45946 .47399 L
.4605 .47579 L
.46062 .47591 L
.46201 .47784 L
.46242 .47839 L
.46341 .47977 L
.46435 .4808 L
.46511 .48169 L
.46626 .48362 L
.46628 .48365 L
.4676 .48555 L
.46821 .48637 L
.46897 .48747 L
.47013 .4891 L
.47048 .4894 L
.47162 .49133 L
.47206 .49199 L
.4728 .49326 L
.47373 .49518 L
.47206 .49545 L
.47155 .49518 L
.47013 .49381 L
.46914 .49326 L
.46821 .49185 L
.46733 .49133 L
.46628 .49023 L
.46615 .4894 L
.46435 .48792 L
.46399 .48747 L
.46249 .48555 L
.46242 .48546 L
.46098 .48362 L
.4605 .48285 L
.45985 .48169 L
.45857 .48016 L
.45809 .47977 L
.45671 .47784 L
.45664 .47778 L
.45529 .47591 L
.45472 .47516 L
.45424 .47399 L
.45279 .47224 L
.45269 .47206 L
.45156 .47013 L
.45125 .46821 L
F
0 .94 1 r
.45279 .46811 m
.45316 .46821 L
.45472 .46902 L
.45585 .47013 L
.45664 .47106 L
.45752 .47206 L
.45857 .47337 L
.45936 .47399 L
.4605 .47587 L
.46054 .47591 L
.46194 .47784 L
.46242 .47847 L
.46335 .47977 L
.46435 .4809 L
.46503 .48169 L
.46619 .48362 L
.46628 .48375 L
.46753 .48555 L
.46821 .48648 L
.46889 .48747 L
.47013 .48923 L
.47033 .4894 L
.47148 .49133 L
.47206 .49224 L
.4726 .49326 L
.47206 .49508 L
.47013 .49358 L
.46946 .49326 L
.46821 .49162 L
.4675 .49133 L
.46628 .49 L
.46621 .4894 L
.46435 .48771 L
.46415 .48747 L
.46262 .48555 L
.46242 .48528 L
.46108 .48362 L
.4605 .48268 L
.45995 .48169 L
.45857 .48005 L
.45821 .47977 L
.45682 .47784 L
.45664 .47768 L
.45539 .47591 L
.45472 .47499 L
.45434 .47399 L
.45286 .47206 L
.45279 .47194 L
.45179 .47013 L
.45201 .46821 L
F
0 .88 1 r
.45279 .3924 m
.45337 .39306 L
.45472 .39446 L
.45515 .39498 L
.45664 .39659 L
.45682 .39691 L
.45841 .39884 L
.45857 .39902 L
.45995 .40076 L
.4605 .40141 L
.46149 .40269 L
.46242 .40361 L
.46303 .40462 L
.46435 .40626 L
.46464 .40654 L
.46603 .40847 L
.46628 .40878 L
.4675 .4104 L
.46821 .41108 L
.46898 .41232 L
.47013 .41378 L
.47057 .41425 L
.47191 .41618 L
.47206 .41636 L
.47335 .41811 L
.47399 .41873 L
.47481 .42003 L
.47591 .42145 L
.47636 .42196 L
.4777 .42389 L
.47784 .42407 L
.47912 .42581 L
.47977 .42647 L
.48117 .42774 L
.48169 .42921 L
.48207 .42967 L
.48342 .43159 L
.48362 .43185 L
.48483 .43352 L
.48555 .43427 L
.48674 .43545 L
.48747 .43704 L
.48774 .43737 L
.4891 .4393 L
.4894 .4397 L
.4905 .44123 L
.49133 .44214 L
.4923 .44316 L
.49326 .44493 L
.49337 .44508 L
.49474 .44701 L
.49518 .4476 L
.49614 .44894 L
.49711 .45007 L
.49782 .45086 L
.49897 .45279 L
.49904 .45287 L
.50034 .45472 L
.50096 .45554 L
.50174 .45664 L
.50289 .45808 L
.50331 .45857 L
.50454 .4605 L
.50482 .46086 L
.50591 .46242 L
.50674 .46355 L
.5073 .46435 L
.50867 .46619 L
.50874 .46628 L
.51005 .46821 L
.5106 .46894 L
.51141 .47013 L
.51253 .47165 L
.51281 .47206 L
.51416 .47399 L
.51445 .47438 L
.51547 .47591 L
.51638 .47717 L
.51682 .47784 L
.51816 .47977 L
.51831 .47996 L
.51939 .48169 L
.52023 .48291 L
.52065 .48362 L
.52023 .48548 L
.51856 .48362 L
.51831 .48336 L
.51687 .48169 L
.51638 .48115 L
.51522 .47977 L
.51445 .47933 L
.5136 .47784 L
.51253 .47655 L
.5117 .47591 L
.5106 .4741 L
.5105 .47399 L
.50897 .47206 L
.50867 .47193 L
.50745 .47013 L
.50674 .46927 L
.50563 .46821 L
.50482 .4667 L
.5045 .46628 L
.503 .46435 L
.50289 .4643 L
.50152 .46242 L
.50096 .46173 L
.49983 .4605 L
.49904 .45911 L
.49867 .45857 L
.49716 .45664 L
.49711 .45661 L
.49571 .45472 L
.49518 .45405 L
.49412 .45279 L
.49326 .4514 L
.49293 .45086 L
.49141 .44894 L
.49133 .44888 L
.48997 .44701 L
.4894 .44628 L
.48844 .44508 L
.48747 .44361 L
.48723 .44316 L
.48571 .44123 L
.48555 .4411 L
.48429 .4393 L
.48362 .43844 L
.4828 .43737 L
.48169 .43575 L
.48155 .43545 L
.48006 .43352 L
.47977 .43328 L
.47808 .43159 L
.47784 .43054 L
.4772 .42967 L
.47591 .42784 L
.47587 .42774 L
.47445 .42581 L
.47399 .42539 L
.47258 .42389 L
.47206 .42257 L
.47163 .42196 L
.47027 .42003 L
.47013 .41984 L
.4689 .41811 L
.46821 .41739 L
.46715 .41618 L
.46628 .41449 L
.46612 .41425 L
.46478 .41232 L
.46435 .41173 L
.46342 .4104 L
.46242 .40919 L
.46184 .40847 L
.46071 .40654 L
.4605 .40625 L
.45939 .40462 L
.45857 .40345 L
.45806 .40269 L
.45674 .40076 L
.45664 .40062 L
.4555 .39884 L
.45472 .39769 L
.45423 .39691 L
.45302 .39498 L
.45279 .39463 L
.45198 .39306 L
F
0 .93 1 r
.45279 .46844 m
.45472 .46923 L
.45568 .47013 L
.45664 .47119 L
.45741 .47206 L
.45857 .47347 L
.45925 .47399 L
.46047 .47591 L
.4605 .47595 L
.46187 .47784 L
.46242 .47855 L
.46329 .47977 L
.46435 .481 L
.46494 .48169 L
.46611 .48362 L
.46628 .48384 L
.46745 .48555 L
.46821 .48659 L
.4688 .48747 L
.47013 .48937 L
.47017 .4894 L
.47132 .49133 L
.47206 .49257 L
.47238 .49326 L
.47206 .49461 L
.47013 .4934 L
.46981 .49326 L
.46821 .49148 L
.46768 .49133 L
.46628 .48978 L
.46624 .4894 L
.46435 .48751 L
.46432 .48747 L
.46275 .48555 L
.46242 .48511 L
.46117 .48362 L
.4605 .48253 L
.46004 .48169 L
.45857 .47995 L
.45832 .47977 L
.45692 .47784 L
.45664 .47758 L
.45549 .47591 L
.45472 .47481 L
.45442 .47399 L
.45302 .47206 L
.45279 .47164 L
.45202 .47013 L
F
1 .92 0 r
.45279 .48643 m
.45385 .48747 L
.45472 .48832 L
.45574 .4894 L
.45664 .48994 L
.45752 .49133 L
.45857 .49254 L
.45975 .49326 L
.4605 .49488 L
.46079 .49518 L
.46242 .49711 L
.46242 .49711 L
.46399 .49904 L
.46435 .49948 L
.46604 .50096 L
.46628 .50198 L
.46702 .50289 L
.46821 .5045 L
.46838 .50482 L
.47001 .50674 L
.47013 .50689 L
.47177 .50867 L
.47206 .50946 L
.4729 .5106 L
.47399 .51206 L
.47417 .51253 L
.47586 .51445 L
.47591 .51452 L
.47748 .51638 L
.47784 .51712 L
.47865 .51831 L
.47977 .51977 L
.47984 .52023 L
.48164 .52216 L
.48169 .52224 L
.48317 .52409 L
.48362 .52487 L
.48435 .52601 L
.48555 .52754 L
.48595 .52794 L
.48736 .52987 L
.48747 .53002 L
.48886 .53179 L
.4894 .53267 L
.49002 .53372 L
.49133 .53534 L
.49165 .53565 L
.49306 .53758 L
.49326 .53784 L
.49452 .5395 L
.49518 .54051 L
.49568 .54143 L
.49711 .54316 L
.49732 .54336 L
.49903 .54528 L
.49904 .54569 L
.50016 .54721 L
.50096 .54837 L
.50132 .54914 L
.50289 .55099 L
.50297 .55106 L
.50468 .55299 L
.50482 .55357 L
.50579 .55492 L
.50674 .55626 L
.50697 .55684 L
.5086 .55877 L
.50867 .55884 L
.5103 .5607 L
.5106 .56148 L
.51139 .56263 L
.51253 .56418 L
.51263 .56455 L
.51421 .56648 L
.51445 .56671 L
.51589 .56841 L
.51638 .56942 L
.51699 .57033 L
.51831 .57212 L
.51833 .57226 L
.51979 .57419 L
.52023 .57462 L
.52144 .57611 L
.52216 .57741 L
.52256 .57804 L
.52397 .57997 L
.52409 .58013 L
.52534 .58189 L
.52601 .58262 L
.52694 .58382 L
.52794 .58549 L
.5281 .58575 L
.52946 .58768 L
.52987 .58823 L
.53083 .5896 L
.53179 .59079 L
.53234 .59153 L
.53355 .59346 L
.53372 .5937 L
.53487 .59538 L
.53565 .59649 L
.53621 .59731 L
.53755 .59924 L
.53758 .59928 L
.5388 .60116 L
.5395 .60218 L
.54008 .60309 L
.54135 .60502 L
.54143 .60514 L
.54246 .60694 L
.54336 .60843 L
.54357 .60887 L
.54336 .61011 L
.54203 .60887 L
.54143 .60832 L
.54019 .60694 L
.5395 .60623 L
.53848 .60502 L
.53758 .60433 L
.53683 .60309 L
.53565 .60173 L
.53486 .60116 L
.53372 .59931 L
.53365 .59924 L
.53213 .59731 L
.53179 .59707 L
.53061 .59538 L
.52987 .5945 L
.52873 .59346 L
.52794 .59195 L
.5276 .59153 L
.52612 .5896 L
.52601 .58952 L
.52465 .58768 L
.52409 .58699 L
.5229 .58575 L
.52216 .58438 L
.52174 .58382 L
.52026 .58189 L
.52023 .58187 L
.51882 .57997 L
.51831 .57933 L
.51716 .57804 L
.51638 .5767 L
.51598 .57611 L
.51449 .57419 L
.51445 .57416 L
.51306 .57226 L
.51253 .57159 L
.51146 .57033 L
.5106 .56893 L
.51026 .56841 L
.50877 .56648 L
.50867 .5664 L
.50735 .56455 L
.50674 .56379 L
.50579 .56263 L
.50482 .56112 L
.50457 .5607 L
.50308 .55877 L
.50289 .5586 L
.5011 .55684 L
.50096 .55595 L
.50015 .55492 L
.49904 .55327 L
.49889 .55299 L
.49742 .55106 L
.49711 .55078 L
.49551 .54914 L
.49518 .54808 L
.49451 .54721 L
.49326 .5454 L
.4932 .54528 L
.49177 .54336 L
.49133 .54293 L
.48994 .54143 L
.4894 .54019 L
.48889 .5395 L
.48753 .53758 L
.48747 .53751 L
.48614 .53565 L
.48555 .53505 L
.48437 .53372 L
.48362 .53227 L
.48328 .53179 L
.48191 .52987 L
.48169 .52958 L
.48053 .52794 L
.47977 .52712 L
.47883 .52601 L
.47784 .52432 L
.47768 .52409 L
.47632 .52216 L
.47591 .52163 L
.47493 .52023 L
.47399 .51914 L
.4733 .51831 L
.4721 .51638 L
.47206 .51632 L
.47074 .51445 L
.47013 .51364 L
.46935 .51253 L
.46821 .51109 L
.46782 .5106 L
.46656 .50867 L
.46628 .50829 L
.46521 .50674 L
.46435 .50559 L
.46382 .50482 L
.46242 .50292 L
.4624 .50289 L
.46109 .50096 L
.4605 .50017 L
.45974 .49904 L
.45857 .49743 L
.4581 .49711 L
.45703 .49518 L
.45664 .49465 L
.45574 .49326 L
.45472 .49181 L
.45442 .49133 L
.45317 .4894 L
.45279 .48885 L
.45205 .48747 L
F
0 .67 1 r
.45279 .49433 m
.45354 .49518 L
.45472 .49647 L
.45526 .49711 L
.45664 .49855 L
.45689 .49904 L
.45847 .50096 L
.45857 .50108 L
.46001 .50289 L
.4605 .50348 L
.46155 .50482 L
.46242 .50562 L
.46308 .50674 L
.46435 .50835 L
.46469 .50867 L
.46606 .5106 L
.46628 .51087 L
.46755 .51253 L
.46821 .51312 L
.46903 .51445 L
.47013 .51586 L
.4706 .51638 L
.47195 .51831 L
.47206 .51845 L
.4734 .52023 L
.47399 .52078 L
.47485 .52216 L
.47591 .52354 L
.47638 .52409 L
.47773 .52601 L
.47784 .52616 L
.47915 .52794 L
.47977 .52854 L
.48128 .52987 L
.48169 .53132 L
.48207 .53179 L
.48343 .53372 L
.48362 .53397 L
.48484 .53565 L
.48555 .53639 L
.48677 .53758 L
.48747 .5392 L
.4877 .5395 L
.48907 .54143 L
.4894 .54188 L
.49046 .54336 L
.49133 .54433 L
.49223 .54528 L
.49326 .54719 L
.49327 .54721 L
.49464 .54914 L
.49518 .54988 L
.49602 .55106 L
.49711 .55242 L
.4976 .55299 L
.49877 .55492 L
.49904 .55528 L
.50012 .55684 L
.50096 .55802 L
.50148 .55877 L
.50285 .5607 L
.50289 .56076 L
.50413 .56263 L
.50482 .56358 L
.50546 .56455 L
.50674 .56641 L
.50679 .56648 L
.50799 .56841 L
.50867 .56941 L
.50921 .57033 L
.50867 .57181 L
.50742 .57033 L
.50674 .56962 L
.50576 .56841 L
.50482 .56732 L
.50415 .56648 L
.50289 .56515 L
.50257 .56455 L
.50104 .56263 L
.50096 .56254 L
.49954 .5607 L
.49904 .56008 L
.49804 .55877 L
.49711 .55786 L
.49654 .55684 L
.49518 .55512 L
.49498 .55492 L
.49359 .55299 L
.49326 .55257 L
.49214 .55106 L
.49133 .55028 L
.49067 .54914 L
.4894 .5475 L
.48914 .54721 L
.48778 .54528 L
.48747 .5449 L
.48635 .54336 L
.48555 .54255 L
.48421 .54143 L
.48362 .53976 L
.4834 .5395 L
.48204 .53758 L
.48169 .53712 L
.48063 .53565 L
.47977 .53473 L
.47869 .53372 L
.47784 .53191 L
.47774 .53179 L
.47638 .52987 L
.47591 .52926 L
.47497 .52794 L
.47399 .52682 L
.47319 .52601 L
.47213 .52409 L
.47206 .52399 L
.47077 .52216 L
.47013 .52132 L
.46937 .52023 L
.46821 .5188 L
.46776 .51831 L
.46658 .51638 L
.46628 .51598 L
.46522 .51445 L
.46435 .51329 L
.46383 .51253 L
.46242 .51061 L
.46242 .5106 L
.46111 .50867 L
.4605 .50785 L
.45976 .50674 L
.45857 .50511 L
.45837 .50482 L
.45707 .50289 L
.45664 .50231 L
.45578 .50096 L
.45472 .49946 L
.45445 .49904 L
.45322 .49711 L
.45279 .49649 L
.45208 .49518 L
F
1 .96 0 r
.45279 .43566 m
.45472 .43684 L
.45571 .43737 L
.45664 .43849 L
.45794 .4393 L
.45857 .44066 L
.45925 .44123 L
.4605 .44263 L
.46058 .44316 L
.46242 .44508 L
.46242 .44509 L
.46397 .44701 L
.46435 .44771 L
.46519 .44894 L
.46628 .4504 L
.46683 .45086 L
.46821 .45276 L
.46823 .45279 L
.46968 .45472 L
.47013 .45539 L
.47083 .45664 L
.47206 .45808 L
.47246 .45857 L
.4738 .4605 L
.47399 .46079 L
.47513 .46242 L
.47591 .46389 L
.47607 .46435 L
.47591 .46539 L
.47399 .46569 L
.47206 .46496 L
.47103 .46435 L
.47013 .46291 L
.46971 .46242 L
.46827 .4605 L
.46821 .46045 L
.46684 .45857 L
.46628 .45793 L
.46502 .45664 L
.46435 .45526 L
.46394 .45472 L
.46257 .45279 L
.46242 .4526 L
.46119 .45086 L
.4605 .45031 L
.45947 .44894 L
.45857 .44736 L
.45836 .44701 L
.45702 .44508 L
.45664 .44455 L
.45569 .44316 L
.45472 .44177 L
.45416 .44123 L
.45311 .4393 L
.45279 .43877 L
.45209 .43737 L
F
1 .84 0 r
.45279 .40073 m
.45282 .40076 L
.45279 .4022 L
.45212 .40076 L
F
0 .71 1 r
.45279 .44321 m
.45472 .44503 L
.45476 .44508 L
.45648 .44701 L
.45664 .44719 L
.45807 .44894 L
.45857 .44954 L
.45959 .45086 L
.4605 .45178 L
.46163 .45279 L
.46242 .45464 L
.46248 .45472 L
.46379 .45664 L
.46435 .4575 L
.46502 .45857 L
.46601 .4605 L
.46435 .46112 L
.46368 .4605 L
.46242 .45962 L
.46184 .45857 L
.4605 .45708 L
.45991 .45664 L
.45874 .45472 L
.45857 .45451 L
.45733 .45279 L
.45664 .45188 L
.45594 .45086 L
.45472 .44933 L
.45443 .44894 L
.45334 .44701 L
.45279 .44615 L
.45219 .44508 L
F
0 .66 1 r
.45279 .49452 m
.45339 .49518 L
.45472 .4966 L
.45515 .49711 L
.45664 .49872 L
.45681 .49904 L
.45839 .50096 L
.45857 .50118 L
.45994 .50289 L
.4605 .50356 L
.46149 .50482 L
.46242 .50569 L
.46302 .50674 L
.46435 .50842 L
.46462 .50867 L
.46601 .5106 L
.46628 .51093 L
.4675 .51253 L
.46821 .51317 L
.46899 .51445 L
.47013 .51592 L
.47055 .51638 L
.47191 .51831 L
.47206 .5185 L
.47336 .52023 L
.47399 .52083 L
.47482 .52216 L
.47591 .52359 L
.47634 .52409 L
.47769 .52601 L
.47784 .52621 L
.47912 .52794 L
.47977 .52858 L
.48124 .52987 L
.48169 .53137 L
.48203 .53179 L
.48339 .53372 L
.48362 .53402 L
.48481 .53565 L
.48555 .53643 L
.48673 .53758 L
.48747 .53925 L
.48767 .5395 L
.48903 .54143 L
.4894 .54192 L
.49043 .54336 L
.49133 .54438 L
.49218 .54528 L
.49323 .54721 L
.49326 .54724 L
.4946 .54914 L
.49518 .54993 L
.49598 .55106 L
.49711 .55249 L
.49754 .55299 L
.49872 .55492 L
.49904 .55534 L
.50007 .55684 L
.50096 .55808 L
.50144 .55877 L
.50279 .5607 L
.50289 .56084 L
.50408 .56263 L
.50482 .56367 L
.50539 .56455 L
.50672 .56648 L
.50674 .56652 L
.50789 .56841 L
.50867 .56957 L
.5091 .57033 L
.50867 .57163 L
.50755 .57033 L
.50674 .5695 L
.50586 .56841 L
.50482 .56722 L
.50423 .56648 L
.50289 .56504 L
.50264 .56455 L
.5011 .56263 L
.50096 .56246 L
.4996 .5607 L
.49904 .56001 L
.49809 .55877 L
.49711 .55779 L
.49658 .55684 L
.49518 .55506 L
.49504 .55492 L
.49364 .55299 L
.49326 .55251 L
.49218 .55106 L
.49133 .55023 L
.49071 .54914 L
.4894 .54745 L
.48918 .54721 L
.48781 .54528 L
.48747 .54485 L
.48638 .54336 L
.48555 .54251 L
.48425 .54143 L
.48362 .53971 L
.48344 .5395 L
.48208 .53758 L
.48169 .53708 L
.48066 .53565 L
.47977 .53469 L
.47873 .53372 L
.47784 .53187 L
.47778 .53179 L
.47641 .52987 L
.47591 .52922 L
.475 .52794 L
.47399 .52678 L
.47324 .52601 L
.47217 .52409 L
.47206 .52395 L
.4708 .52216 L
.47013 .52128 L
.4694 .52023 L
.46821 .51874 L
.46781 .51831 L
.46661 .51638 L
.46628 .51594 L
.46525 .51445 L
.46435 .51324 L
.46386 .51253 L
.46246 .5106 L
.46242 .51055 L
.46115 .50867 L
.4605 .50779 L
.4598 .50674 L
.45857 .50505 L
.45842 .50482 L
.45713 .50289 L
.45664 .50222 L
.45585 .50096 L
.45472 .49936 L
.45452 .49904 L
.45332 .49711 L
.45279 .49631 L
.45222 .49518 L
F
1 .26 0 r
.45279 .50274 m
.45291 .50289 L
.45279 .50404 L
.45222 .50289 L
F
0 .92 1 r
.45279 .46882 m
.45472 .46944 L
.4555 .47013 L
.45664 .47131 L
.45731 .47206 L
.45857 .47357 L
.45913 .47399 L
.46039 .47591 L
.4605 .47605 L
.46181 .47784 L
.46242 .47864 L
.46323 .47977 L
.46435 .4811 L
.46485 .48169 L
.46604 .48362 L
.46628 .48394 L
.46737 .48555 L
.46821 .48671 L
.46872 .48747 L
.47004 .4894 L
.47013 .48955 L
.47116 .49133 L
.47206 .49308 L
.47212 .49326 L
.47206 .49394 L
.47022 .49326 L
.47013 .4932 L
.46821 .49139 L
.46792 .49133 L
.46628 .48956 L
.46626 .4894 L
.46447 .48747 L
.46435 .48736 L
.46288 .48555 L
.46242 .48494 L
.46127 .48362 L
.4605 .48239 L
.46011 .48169 L
.45857 .47986 L
.45844 .47977 L
.45703 .47784 L
.45664 .47747 L
.45559 .47591 L
.45472 .47462 L
.4545 .47399 L
.45318 .47206 L
.45279 .47129 L
.45227 .47013 L
F
0 .7 1 r
.45279 .44335 m
.45467 .44508 L
.45472 .44513 L
.4564 .44701 L
.45664 .44727 L
.45801 .44894 L
.45857 .44961 L
.45954 .45086 L
.4605 .45186 L
.46155 .45279 L
.46242 .45472 L
.46242 .45472 L
.46373 .45664 L
.46435 .45759 L
.46496 .45857 L
.46589 .4605 L
.46435 .46102 L
.46378 .4605 L
.46242 .45953 L
.4619 .45857 L
.4605 .45701 L
.46001 .45664 L
.45878 .45472 L
.45857 .45445 L
.45737 .45279 L
.45664 .45182 L
.45598 .45086 L
.45472 .4492 L
.45452 .44894 L
.45341 .44701 L
.45279 .44603 L
.45227 .44508 L
F
0 .69 1 r
.45279 .44351 m
.45456 .44508 L
.45472 .44523 L
.45633 .44701 L
.45664 .44735 L
.45795 .44894 L
.45857 .44968 L
.45949 .45086 L
.4605 .45193 L
.46147 .45279 L
.46237 .45472 L
.46242 .4548 L
.46367 .45664 L
.46435 .45769 L
.46489 .45857 L
.46577 .4605 L
.46435 .46092 L
.46388 .4605 L
.46242 .45943 L
.46196 .45857 L
.4605 .45693 L
.46011 .45664 L
.45883 .45472 L
.45857 .45439 L
.45742 .45279 L
.45664 .45175 L
.45603 .45086 L
.45472 .44907 L
.45462 .44894 L
.45347 .44701 L
.45279 .44591 L
.45236 .44508 L
F
1 .43 0 r
.45279 .45121 m
.45388 .45279 L
.45472 .45395 L
.45515 .45472 L
.45472 .45551 L
.45401 .45472 L
.45279 .45338 L
.45236 .45279 L
F
0 .65 1 r
.45279 .49475 m
.45321 .49518 L
.45472 .49673 L
.45504 .49711 L
.45664 .49889 L
.45672 .49904 L
.4583 .50096 L
.45857 .50127 L
.45987 .50289 L
.4605 .50364 L
.46143 .50482 L
.46242 .50578 L
.46297 .50674 L
.46435 .50849 L
.46454 .50867 L
.46596 .5106 L
.46628 .51099 L
.46745 .51253 L
.46821 .51323 L
.46894 .51445 L
.47013 .51598 L
.4705 .51638 L
.47187 .51831 L
.47206 .51855 L
.47332 .52023 L
.47399 .52087 L
.47478 .52216 L
.47591 .52364 L
.4763 .52409 L
.47765 .52601 L
.47784 .52626 L
.47908 .52794 L
.47977 .52863 L
.4812 .52987 L
.48169 .53142 L
.482 .53179 L
.48336 .53372 L
.48362 .53407 L
.48477 .53565 L
.48555 .53647 L
.48668 .53758 L
.48747 .5393 L
.48763 .5395 L
.489 .54143 L
.4894 .54197 L
.4904 .54336 L
.49133 .54443 L
.49213 .54528 L
.4932 .54721 L
.49326 .54729 L
.49456 .54914 L
.49518 .54998 L
.49594 .55106 L
.49711 .55256 L
.49748 .55299 L
.49868 .55492 L
.49904 .5554 L
.50003 .55684 L
.50096 .55815 L
.50139 .55877 L
.50273 .5607 L
.50289 .56092 L
.50401 .56263 L
.50482 .56376 L
.50533 .56455 L
.50663 .56648 L
.50674 .56664 L
.50779 .56841 L
.50867 .56975 L
.50898 .57033 L
.50867 .57141 L
.50771 .57033 L
.50674 .56936 L
.50596 .56841 L
.50482 .56712 L
.50431 .56648 L
.50289 .56492 L
.5027 .56455 L
.50117 .56263 L
.50096 .56239 L
.49966 .5607 L
.49904 .55995 L
.49814 .55877 L
.49711 .55772 L
.49663 .55684 L
.49518 .555 L
.4951 .55492 L
.49368 .55299 L
.49326 .55246 L
.49222 .55106 L
.49133 .55017 L
.49074 .54914 L
.4894 .5474 L
.48923 .54721 L
.48785 .54528 L
.48747 .54481 L
.48641 .54336 L
.48555 .54247 L
.4843 .54143 L
.48362 .53967 L
.48348 .5395 L
.48211 .53758 L
.48169 .53704 L
.48069 .53565 L
.47977 .53465 L
.47877 .53372 L
.47784 .53183 L
.47781 .53179 L
.47644 .52987 L
.47591 .52918 L
.47503 .52794 L
.47399 .52673 L
.47328 .52601 L
.4722 .52409 L
.47206 .5239 L
.47083 .52216 L
.47013 .52123 L
.46943 .52023 L
.46821 .51868 L
.46786 .51831 L
.46665 .51638 L
.46628 .51589 L
.46529 .51445 L
.46435 .51319 L
.4639 .51253 L
.46251 .5106 L
.46242 .51049 L
.46119 .50867 L
.4605 .50773 L
.45984 .50674 L
.45857 .50498 L
.45846 .50482 L
.45719 .50289 L
.45664 .50213 L
.45591 .50096 L
.45472 .49925 L
.45459 .49904 L
.45345 .49711 L
.45279 .4961 L
.45239 .49518 L
F
1 .25 0 r
.45279 .50287 m
.45281 .50289 L
.45279 .50387 L
.45241 .50289 L
F
1 .42 0 r
.45279 .45132 m
.45379 .45279 L
.45472 .4541 L
.45505 .45472 L
.45472 .45536 L
.45413 .45472 L
.45279 .45328 L
.45243 .45279 L
F
1 .95 0 r
.45279 .43631 m
.45472 .43716 L
.45523 .43737 L
.45664 .43881 L
.45768 .4393 L
.45857 .44088 L
.45908 .44123 L
.4605 .44284 L
.46054 .44316 L
.46229 .44508 L
.46242 .44527 L
.46389 .44701 L
.46435 .44785 L
.4651 .44894 L
.46628 .4505 L
.46674 .45086 L
.46815 .45279 L
.46821 .45286 L
.46961 .45472 L
.47013 .4555 L
.47076 .45664 L
.47206 .45819 L
.47236 .45857 L
.4737 .4605 L
.47399 .46095 L
.47502 .46242 L
.4759 .46435 L
.47399 .46549 L
.47206 .46475 L
.47129 .46435 L
.47013 .46278 L
.46981 .46242 L
.46834 .4605 L
.46821 .46039 L
.4669 .45857 L
.46628 .45786 L
.46507 .45664 L
.46435 .45519 L
.46399 .45472 L
.46262 .45279 L
.46242 .45253 L
.46124 .45086 L
.4605 .45024 L
.45953 .44894 L
.45857 .44725 L
.45843 .44701 L
.4571 .44508 L
.45664 .44444 L
.45578 .44316 L
.45472 .4416 L
.45433 .44123 L
.45331 .4393 L
.45279 .43833 L
.45243 .43737 L
F
0 .68 1 r
.45279 .44368 m
.45444 .44508 L
.45472 .44533 L
.45625 .44701 L
.45664 .44743 L
.45789 .44894 L
.45857 .44976 L
.45943 .45086 L
.4605 .45202 L
.46138 .45279 L
.46231 .45472 L
.46242 .45488 L
.46361 .45664 L
.46435 .45779 L
.46482 .45857 L
.46563 .4605 L
.46435 .46081 L
.46398 .4605 L
.46242 .45933 L
.46202 .45857 L
.4605 .45685 L
.46021 .45664 L
.45888 .45472 L
.45857 .45432 L
.45747 .45279 L
.45664 .45169 L
.45607 .45086 L
.45472 .44894 L
.45472 .44894 L
.45354 .44701 L
.45279 .44577 L
.45244 .44508 L
F
1 .91 0 r
.45279 .48701 m
.45335 .48747 L
.45472 .48868 L
.45542 .4894 L
.45664 .49024 L
.45726 .49133 L
.45857 .49278 L
.45944 .49326 L
.4605 .49506 L
.46063 .49518 L
.46225 .49711 L
.46242 .49715 L
.46384 .49904 L
.46435 .49965 L
.46597 .50096 L
.46628 .50215 L
.46691 .50289 L
.46821 .50462 L
.46831 .50482 L
.46991 .50674 L
.47013 .50702 L
.47172 .50867 L
.47206 .50959 L
.47282 .5106 L
.47399 .51216 L
.47412 .51253 L
.47578 .51445 L
.47591 .51462 L
.47743 .51638 L
.47784 .51722 L
.47859 .51831 L
.47977 .51985 L
.47982 .52023 L
.48157 .52216 L
.48169 .52232 L
.48313 .52409 L
.48362 .52495 L
.4843 .52601 L
.48555 .5276 L
.48589 .52794 L
.48731 .52987 L
.48747 .53009 L
.48881 .53179 L
.4894 .53274 L
.48998 .53372 L
.49133 .53539 L
.4916 .53565 L
.49301 .53758 L
.49326 .5379 L
.49448 .5395 L
.49518 .54057 L
.49564 .54143 L
.49711 .5432 L
.49727 .54336 L
.49903 .54528 L
.49904 .54575 L
.50012 .54721 L
.50096 .54843 L
.50129 .54914 L
.50289 .55103 L
.50292 .55106 L
.50466 .55299 L
.50482 .55362 L
.50575 .55492 L
.50674 .55632 L
.50695 .55684 L
.50855 .55877 L
.50867 .55888 L
.51028 .5607 L
.5106 .56153 L
.51135 .56263 L
.51253 .56424 L
.51261 .56455 L
.51416 .56648 L
.51445 .56675 L
.51586 .56841 L
.51638 .56948 L
.51694 .57033 L
.51831 .57219 L
.51832 .57226 L
.51974 .57419 L
.52023 .57469 L
.52139 .57611 L
.52216 .57749 L
.5225 .57804 L
.5239 .57997 L
.52409 .58022 L
.52527 .58189 L
.52601 .58272 L
.52686 .58382 L
.52794 .5856 L
.52803 .58575 L
.52938 .58768 L
.52987 .58836 L
.53074 .5896 L
.53179 .59095 L
.53222 .59153 L
.53343 .59346 L
.53372 .59386 L
.53474 .59538 L
.53565 .59667 L
.53608 .59731 L
.53737 .59924 L
.53758 .59953 L
.53861 .60116 L
.5395 .60249 L
.53987 .60309 L
.54103 .60502 L
.54143 .60567 L
.54203 .60694 L
.54143 .60773 L
.54066 .60694 L
.5395 .60582 L
.53879 .60502 L
.53758 .60398 L
.53708 .60309 L
.53565 .60145 L
.53522 .60116 L
.53385 .59924 L
.53372 .59909 L
.5323 .59731 L
.53179 .59694 L
.53075 .59538 L
.52987 .59433 L
.52887 .59346 L
.52794 .59181 L
.5277 .59153 L
.52622 .5896 L
.52601 .58944 L
.52474 .58768 L
.52409 .58687 L
.52298 .58575 L
.52216 .58428 L
.52181 .58382 L
.52033 .58189 L
.52023 .58181 L
.51889 .57997 L
.51831 .57925 L
.51722 .57804 L
.51638 .57662 L
.51603 .57611 L
.51454 .57419 L
.51445 .57411 L
.51311 .57226 L
.51253 .57152 L
.51151 .57033 L
.5106 .56887 L
.5103 .56841 L
.50881 .56648 L
.50867 .56636 L
.50739 .56455 L
.50674 .56373 L
.50583 .56263 L
.50482 .56107 L
.5046 .5607 L
.50312 .55877 L
.50289 .55856 L
.50111 .55684 L
.50096 .5559 L
.50018 .55492 L
.49904 .55323 L
.49891 .55299 L
.49745 .55106 L
.49711 .55074 L
.49554 .54914 L
.49518 .54804 L
.49455 .54721 L
.49326 .54536 L
.49322 .54528 L
.49181 .54336 L
.49133 .54289 L
.48996 .54143 L
.4894 .54014 L
.48893 .5395 L
.48756 .53758 L
.48747 .53746 L
.48618 .53565 L
.48555 .535 L
.48441 .53372 L
.48362 .53222 L
.48332 .53179 L
.48195 .52987 L
.48169 .52953 L
.48056 .52794 L
.47977 .52707 L
.47887 .52601 L
.47784 .52426 L
.47772 .52409 L
.47636 .52216 L
.47591 .52157 L
.47497 .52023 L
.47399 .51908 L
.47336 .51831 L
.47215 .51638 L
.47206 .51626 L
.47079 .51445 L
.47013 .51357 L
.4694 .51253 L
.46821 .511 L
.46789 .5106 L
.46663 .50867 L
.46628 .50821 L
.46527 .50674 L
.46435 .5055 L
.46388 .50482 L
.46249 .50289 L
.46242 .50281 L
.46117 .50096 L
.4605 .50004 L
.45983 .49904 L
.45857 .49729 L
.4583 .49711 L
.45717 .49518 L
.45664 .49446 L
.45589 .49326 L
.45472 .49156 L
.45457 .49133 L
.45344 .4894 L
.45279 .48834 L
.45246 .48747 L
F
1 .94 0 r
.45279 .38483 m
.4534 .38535 L
.45472 .38651 L
.45542 .38727 L
.45664 .3882 L
.4572 .3892 L
.45857 .39073 L
.45926 .39113 L
.4605 .39306 L
.4605 .39306 L
.46207 .39498 L
.46242 .39521 L
.46362 .39691 L
.46435 .39776 L
.46564 .39884 L
.46628 .40027 L
.4667 .40076 L
.46818 .40269 L
.46821 .40271 L
.46967 .40462 L
.47013 .40518 L
.47149 .40654 L
.47206 .40776 L
.47261 .40847 L
.47399 .4103 L
.47401 .4104 L
.47554 .41232 L
.47591 .41279 L
.47724 .41425 L
.47784 .41541 L
.47839 .41618 L
.47977 .41799 L
.47977 .41811 L
.48132 .42003 L
.48169 .4205 L
.48295 .42196 L
.48362 .42315 L
.48412 .42389 L
.48555 .42574 L
.48563 .42581 L
.48704 .42774 L
.48747 .42828 L
.48862 .42967 L
.4894 .43095 L
.48981 .43159 L
.49132 .43352 L
.49133 .43352 L
.49273 .43545 L
.49326 .43611 L
.49428 .43737 L
.49518 .43878 L
.49548 .4393 L
.497 .44123 L
.49711 .44133 L
.49893 .44316 L
.49904 .44396 L
.49992 .44508 L
.50096 .44664 L
.50115 .44701 L
.50265 .44894 L
.50289 .44915 L
.50453 .45086 L
.50482 .45183 L
.50555 .45279 L
.50674 .45451 L
.50683 .45472 L
.50829 .45664 L
.50867 .457 L
.51012 .45857 L
.5106 .45972 L
.51117 .4605 L
.51253 .4624 L
.51253 .46242 L
.51393 .46435 L
.51445 .46488 L
.51569 .46628 L
.51638 .46763 L
.51678 .46821 L
.51816 .47013 L
.51831 .47032 L
.51955 .47206 L
.52023 .47278 L
.52126 .47399 L
.52216 .47557 L
.52239 .47591 L
.52377 .47784 L
.52409 .47826 L
.52516 .47977 L
.52601 .48073 L
.5268 .48169 L
.52794 .48354 L
.52799 .48362 L
.52936 .48555 L
.52987 .48623 L
.53075 .48747 L
.53179 .48873 L
.53232 .4894 L
.53356 .49133 L
.53372 .49154 L
.53492 .49326 L
.53565 .49423 L
.53631 .49518 L
.53758 .49683 L
.53779 .49711 L
.53908 .49904 L
.5395 .4996 L
.54044 .50096 L
.54143 .50194 L
.54223 .50289 L
.54322 .50482 L
.54336 .50501 L
.54453 .50674 L
.54528 .50776 L
.54589 .50867 L
.54721 .51044 L
.54733 .5106 L
.54857 .51253 L
.54914 .5133 L
.54989 .51445 L
.55106 .51611 L
.55123 .51638 L
.55251 .51831 L
.55299 .51899 L
.55377 .52023 L
.55492 .52194 L
.55505 .52216 L
.55622 .52409 L
.55684 .52514 L
.55727 .52601 L
.55684 .52742 L
.55521 .52601 L
.55492 .52573 L
.55343 .52409 L
.55299 .52358 L
.55182 .52216 L
.55106 .52143 L
.5503 .52023 L
.54914 .51876 L
.54864 .51831 L
.54736 .51638 L
.54721 .51631 L
.5459 .51445 L
.54528 .51368 L
.54401 .51253 L
.54336 .51106 L
.54298 .5106 L
.54156 .50867 L
.54143 .50853 L
.54008 .50674 L
.5395 .50597 L
.53855 .50482 L
.53758 .50339 L
.5373 .50289 L
.53569 .50096 L
.53565 .50091 L
.5339 .49904 L
.53372 .49834 L
.53284 .49711 L
.53179 .49572 L
.53172 .49518 L
.52987 .49332 L
.52981 .49326 L
.52821 .49133 L
.52794 .49073 L
.52705 .4894 L
.52601 .48805 L
.52541 .48747 L
.52409 .48567 L
.52399 .48555 L
.52246 .48362 L
.52216 .48305 L
.52128 .48169 L
.52023 .48035 L
.51965 .47977 L
.51831 .47793 L
.51824 .47784 L
.51674 .47591 L
.51638 .47528 L
.51556 .47399 L
.51445 .47258 L
.51393 .47206 L
.51253 .47013 L
.51253 .47012 L
.51106 .46821 L
.5106 .46747 L
.50989 .46628 L
.50867 .46477 L
.50825 .46435 L
.50685 .46242 L
.50674 .46229 L
.5054 .4605 L
.50482 .45962 L
.50425 .45857 L
.50289 .45694 L
.50259 .45664 L
.50097 .45472 L
.50096 .45442 L
.49976 .45279 L
.49904 .45174 L
.49862 .45086 L
.49711 .4491 L
.49694 .44894 L
.49529 .44701 L
.49518 .44654 L
.49414 .44508 L
.49326 .44385 L
.49298 .44316 L
.49133 .44124 L
.49131 .44123 L
.48965 .4393 L
.4894 .43864 L
.48852 .43737 L
.48747 .43594 L
.48733 .43545 L
.4857 .43352 L
.48555 .43339 L
.48404 .43159 L
.48362 .43072 L
.48292 .42967 L
.48169 .42801 L
.48166 .42774 L
.4801 .42581 L
.47977 .4255 L
.47846 .42389 L
.47784 .42276 L
.47734 .42196 L
.47591 .42005 L
.4759 .42003 L
.47453 .41811 L
.47399 .41755 L
.47292 .41618 L
.47206 .41474 L
.47177 .41425 L
.47037 .41232 L
.47013 .41201 L
.469 .4104 L
.46821 .4095 L
.46745 .40847 L
.46628 .40662 L
.46624 .40654 L
.46489 .40462 L
.46435 .40386 L
.46354 .40269 L
.46242 .40124 L
.46209 .40076 L
.46085 .39884 L
.4605 .39834 L
.45954 .39691 L
.45857 .39552 L
.45782 .39498 L
.45694 .39306 L
.45664 .39263 L
.45571 .39113 L
.45472 .38962 L
.45447 .3892 L
.45338 .38727 L
.45279 .38622 L
.45247 .38535 L
F
1 .41 0 r
.45279 .45145 m
.45369 .45279 L
.45472 .45427 L
.45494 .45472 L
.45472 .45518 L
.45427 .45472 L
.45279 .45317 L
.45251 .45279 L
F
0 .98 1 r
.45279 .37672 m
.45395 .37764 L
.45472 .37828 L
.45597 .37957 L
.45664 .38024 L
.45778 .38149 L
.45857 .3823 L
.45949 .38342 L
.4605 .38464 L
.46131 .38535 L
.46242 .38699 L
.46266 .38727 L
.46429 .3892 L
.46435 .38928 L
.46584 .39113 L
.46628 .39173 L
.46744 .39306 L
.46821 .39428 L
.46867 .39498 L
.47013 .39681 L
.47037 .39691 L
.47184 .39884 L
.47206 .39916 L
.47332 .40076 L
.47399 .4018 L
.47451 .40269 L
.47591 .40448 L
.47624 .40462 L
.47782 .40654 L
.47784 .40679 L
.47909 .40847 L
.47977 .40949 L
.48024 .4104 L
.48169 .41221 L
.482 .41232 L
.48354 .41425 L
.48362 .41455 L
.4848 .41618 L
.48555 .41727 L
.48591 .41811 L
.48747 .41997 L
.48771 .42003 L
.48924 .42196 L
.4894 .42237 L
.49047 .42389 L
.49133 .4251 L
.49155 .42581 L
.49326 .42756 L
.49339 .42774 L
.49492 .42967 L
.49518 .43023 L
.49612 .43159 L
.49711 .43295 L
.49718 .43352 L
.49904 .43543 L
.49905 .43545 L
.50058 .43737 L
.50096 .4381 L
.50176 .4393 L
.50289 .4408 L
.5033 .44123 L
.5047 .44316 L
.50482 .4433 L
.50622 .44508 L
.50674 .44598 L
.50739 .44701 L
.50867 .44866 L
.50895 .44894 L
.51035 .45086 L
.5106 .45118 L
.51186 .45279 L
.51253 .45386 L
.51302 .45472 L
.51445 .45651 L
.51459 .45664 L
.51637 .45857 L
.51638 .45906 L
.51748 .4605 L
.51831 .46175 L
.51866 .46242 L
.52023 .46435 L
.52023 .46435 L
.52202 .46628 L
.52216 .46695 L
.52311 .46821 L
.52409 .46964 L
.52431 .47013 L
.52586 .47206 L
.52601 .47219 L
.52764 .47399 L
.52794 .47484 L
.52873 .47591 L
.52987 .47753 L
.52997 .47784 L
.5315 .47977 L
.53179 .48004 L
.53325 .48169 L
.53372 .48274 L
.53435 .48362 L
.53565 .48543 L
.53567 .48555 L
.53713 .48747 L
.53758 .4879 L
.53884 .4894 L
.5395 .49064 L
.53996 .49133 L
.54137 .49326 L
.54143 .49334 L
.54275 .49518 L
.54336 .49579 L
.54443 .49711 L
.54528 .49857 L
.54559 .49904 L
.54699 .50096 L
.54721 .50126 L
.54838 .50289 L
.54914 .5037 L
.55001 .50482 L
.55106 .5065 L
.55121 .50674 L
.5526 .50867 L
.55299 .50918 L
.554 .5106 L
.55492 .51165 L
.55558 .51253 L
.55684 .51445 L
.55684 .51446 L
.55821 .51638 L
.55877 .51713 L
.5602 .51831 L
.5607 .51964 L
.56113 .52023 L
.56243 .52216 L
.56263 .52242 L
.5638 .52409 L
.56455 .52463 L
.56565 .52601 L
.56648 .52767 L
.56667 .52794 L
.568 .52987 L
.56841 .53041 L
.56937 .53179 L
.57033 .53309 L
.57111 .53372 L
.57218 .53565 L
.57226 .53576 L
.57351 .53758 L
.57419 .53849 L
.57487 .5395 L
.57611 .5412 L
.57627 .54143 L
.57756 .54336 L
.57804 .54402 L
.5788 .54528 L
.57997 .54699 L
.58008 .54721 L
.57997 .54808 L
.57891 .54721 L
.57804 .54656 L
.57664 .54528 L
.57611 .54484 L
.57452 .54336 L
.57419 .54305 L
.57248 .54143 L
.57226 .54124 L
.57055 .5395 L
.57033 .53916 L
.56862 .53758 L
.56841 .53688 L
.56724 .53565 L
.56648 .53496 L
.56579 .53372 L
.56455 .53258 L
.56436 .53179 L
.56263 .5301 L
.56244 .52987 L
.56095 .52794 L
.5607 .52751 L
.55962 .52601 L
.55877 .52483 L
.55837 .52409 L
.55684 .52224 L
.55664 .52216 L
.55522 .52023 L
.55492 .51977 L
.55397 .51831 L
.55299 .51703 L
.55234 .51638 L
.55106 .51461 L
.55094 .51445 L
.54957 .51253 L
.54914 .51191 L
.54846 .5106 L
.54721 .5091 L
.54666 .50867 L
.54528 .50676 L
.54527 .50674 L
.54395 .50482 L
.54336 .50401 L
.54297 .50289 L
.54143 .50116 L
.54099 .50096 L
.53958 .49904 L
.5395 .49889 L
.53833 .49711 L
.53758 .49612 L
.53673 .49518 L
.53565 .49367 L
.53533 .49326 L
.53392 .49133 L
.53372 .491 L
.53272 .4894 L
.53179 .48823 L
.53108 .48747 L
.52987 .48578 L
.52969 .48555 L
.52827 .48362 L
.52794 .48311 L
.52711 .48169 L
.52601 .48035 L
.52543 .47977 L
.52409 .47789 L
.52405 .47784 L
.52263 .47591 L
.52216 .47521 L
.5215 .47399 L
.52023 .47249 L
.51979 .47206 L
.51832 .47013 L
.51831 .47 L
.517 .46821 L
.51638 .46732 L
.51589 .46628 L
.51445 .46463 L
.51416 .46435 L
.51262 .46242 L
.51253 .46211 L
.51138 .4605 L
.5106 .45942 L
.51027 .45857 L
.50867 .45678 L
.50853 .45664 L
.50695 .45472 L
.50674 .45422 L
.50576 .45279 L
.50482 .45153 L
.50465 .45086 L
.5029 .44894 L
.50289 .44893 L
.50131 .44701 L
.50096 .44632 L
.50014 .44508 L
.49904 .44363 L
.499 .44316 L
.49727 .44123 L
.49711 .44108 L
.49568 .4393 L
.49518 .43842 L
.49452 .43737 L
.49326 .43573 L
.49303 .43545 L
.49164 .43352 L
.49133 .43321 L
.49007 .43159 L
.4894 .43051 L
.48891 .42967 L
.48747 .42782 L
.48741 .42774 L
.48602 .42581 L
.48555 .42533 L
.48446 .42389 L
.48362 .42258 L
.48328 .42196 L
.4818 .42003 L
.48169 .41989 L
.47983 .41811 L
.47977 .41741 L
.47888 .41618 L
.47784 .41462 L
.47766 .41425 L
.47621 .41232 L
.47591 .41192 L
.47428 .4104 L
.47399 .40943 L
.47332 .40847 L
.47206 .40662 L
.47203 .40654 L
.47065 .40462 L
.47013 .40392 L
.46879 .40269 L
.46821 .40137 L
.4678 .40076 L
.46649 .39884 L
.46628 .39855 L
.46514 .39691 L
.46435 .39631 L
.4634 .39498 L
.46242 .39315 L
.46237 .39306 L
.46106 .39113 L
.4605 .39034 L
.45973 .3892 L
.45857 .38776 L
.45825 .38727 L
.45711 .38535 L
.45664 .38468 L
.45586 .38342 L
.45472 .3817 L
.45459 .38149 L
.4535 .37957 L
.45279 .37831 L
.45252 .37764 L
F
0 .91 1 r
.45279 .46929 m
.45472 .46964 L
.4553 .47013 L
.45664 .47144 L
.4572 .47206 L
.45857 .47367 L
.459 .47399 L
.46031 .47591 L
.4605 .47615 L
.46174 .47784 L
.46242 .47873 L
.46316 .47977 L
.46435 .48121 L
.46476 .48169 L
.46597 .48362 L
.46628 .48405 L
.46729 .48555 L
.46821 .48683 L
.46863 .48747 L
.46991 .4894 L
.47013 .48975 L
.47098 .49133 L
.47013 .49289 L
.46823 .49133 L
.46821 .49131 L
.46633 .4894 L
.46628 .48935 L
.46462 .48747 L
.46435 .48722 L
.46301 .48555 L
.46242 .48479 L
.46136 .48362 L
.4605 .48225 L
.46019 .48169 L
.45857 .47978 L
.45856 .47977 L
.45714 .47784 L
.45664 .47736 L
.45569 .47591 L
.45472 .4744 L
.45458 .47399 L
.45334 .47206 L
.45279 .47085 L
.45253 .47013 L
F
0 .67 1 r
.45279 .44387 m
.45431 .44508 L
.45472 .44543 L
.45617 .44701 L
.45664 .44751 L
.45782 .44894 L
.45857 .44983 L
.45938 .45086 L
.4605 .4521 L
.46128 .45279 L
.46225 .45472 L
.46242 .45496 L
.46355 .45664 L
.46435 .4579 L
.46475 .45857 L
.46547 .4605 L
.46435 .4607 L
.4641 .4605 L
.46242 .45922 L
.46208 .45857 L
.4605 .45677 L
.46032 .45664 L
.45894 .45472 L
.45857 .45426 L
.45751 .45279 L
.45664 .45162 L
.45612 .45086 L
.45478 .44894 L
.45472 .44885 L
.45361 .44701 L
.45279 .44562 L
.45254 .44508 L
F
1 .4 0 r
.45279 .45159 m
.45357 .45279 L
.45472 .45452 L
.45479 .45472 L
.45472 .45493 L
.45448 .45472 L
.45279 .45306 L
.45259 .45279 L
F
0 .66 1 r
.45279 .4441 m
.45416 .44508 L
.45472 .44554 L
.45609 .44701 L
.45664 .4476 L
.45776 .44894 L
.45857 .4499 L
.45932 .45086 L
.4605 .45219 L
.46118 .45279 L
.46219 .45472 L
.46242 .45504 L
.46349 .45664 L
.46435 .45801 L
.46468 .45857 L
.46526 .4605 L
.46435 .46058 L
.46424 .4605 L
.46242 .4591 L
.46215 .45857 L
.4605 .45669 L
.46044 .45664 L
.45899 .45472 L
.45857 .45419 L
.45756 .45279 L
.45664 .45156 L
.45617 .45086 L
.45484 .44894 L
.45472 .44876 L
.45369 .44701 L
.45279 .44543 L
.45264 .44508 L
F
0 .64 1 r
.45279 .49505 m
.45294 .49518 L
.45472 .49688 L
.45491 .49711 L
.45662 .49904 L
.45664 .49907 L
.45821 .50096 L
.45857 .50137 L
.4598 .50289 L
.4605 .50372 L
.46136 .50482 L
.46242 .50586 L
.46291 .50674 L
.46435 .50857 L
.46446 .50867 L
.46591 .5106 L
.46628 .51105 L
.46741 .51253 L
.46821 .51328 L
.4689 .51445 L
.47013 .51604 L
.47045 .51638 L
.47182 .51831 L
.47206 .51861 L
.47328 .52023 L
.47399 .52092 L
.47474 .52216 L
.47591 .52369 L
.47625 .52409 L
.47762 .52601 L
.47784 .5263 L
.47905 .52794 L
.47977 .52867 L
.48116 .52987 L
.48169 .53147 L
.48196 .53179 L
.48333 .53372 L
.48362 .53411 L
.48474 .53565 L
.48555 .53652 L
.48664 .53758 L
.48747 .53935 L
.48759 .5395 L
.48896 .54143 L
.4894 .54202 L
.49036 .54336 L
.49133 .54449 L
.49208 .54528 L
.49316 .54721 L
.49326 .54734 L
.49452 .54914 L
.49518 .55004 L
.49591 .55106 L
.49711 .55264 L
.49742 .55299 L
.49863 .55492 L
.49904 .55547 L
.49998 .55684 L
.50096 .55822 L
.50134 .55877 L
.50267 .5607 L
.50289 .561 L
.50395 .56263 L
.50482 .56386 L
.50527 .56455 L
.50654 .56648 L
.50674 .56678 L
.50768 .56841 L
.50867 .56998 L
.50884 .57033 L
.50867 .57115 L
.5079 .57033 L
.50674 .56922 L
.50607 .56841 L
.50482 .56702 L
.50439 .56648 L
.50289 .56478 L
.50277 .56455 L
.50124 .56263 L
.50096 .56231 L
.49972 .5607 L
.49904 .55988 L
.49819 .55877 L
.49711 .55765 L
.49667 .55684 L
.49518 .55493 L
.49517 .55492 L
.49372 .55299 L
.49326 .55241 L
.49225 .55106 L
.49133 .55012 L
.49078 .54914 L
.4894 .54735 L
.48927 .54721 L
.48788 .54528 L
.48747 .54476 L
.48645 .54336 L
.48555 .54242 L
.48435 .54143 L
.48362 .53962 L
.48352 .5395 L
.48214 .53758 L
.48169 .537 L
.48072 .53565 L
.47977 .5346 L
.47882 .53372 L
.47785 .53179 L
.47784 .53178 L
.47647 .52987 L
.47591 .52914 L
.47506 .52794 L
.47399 .52668 L
.47333 .52601 L
.47223 .52409 L
.47206 .52386 L
.47086 .52216 L
.47013 .52119 L
.46946 .52023 L
.46821 .51862 L
.46791 .51831 L
.46669 .51638 L
.46628 .51584 L
.46532 .51445 L
.46435 .51314 L
.46393 .51253 L
.46255 .5106 L
.46242 .51043 L
.46124 .50867 L
.4605 .50766 L
.45989 .50674 L
.45857 .50491 L
.45851 .50482 L
.45726 .50289 L
.45664 .50204 L
.45598 .50096 L
.45472 .49914 L
.45466 .49904 L
.45359 .49711 L
.45279 .49577 L
.45265 .49518 L
F
1 .39 0 r
.45279 .45176 m
.45342 .45279 L
.45279 .45292 L
.45269 .45279 L
F
1 .35 0 r
.45279 .51838 m
.45377 .52023 L
.45279 .5203 L
.45274 .52023 L
F
0 .65 1 r
.45279 .44443 m
.45399 .44508 L
.45472 .44565 L
.456 .44701 L
.45664 .44768 L
.45769 .44894 L
.45857 .44998 L
.45927 .45086 L
.4605 .45229 L
.46107 .45279 L
.46214 .45472 L
.46242 .45512 L
.46343 .45664 L
.46435 .45813 L
.4646 .45857 L
.46435 .46045 L
.46242 .45897 L
.46222 .45857 L
.46053 .45664 L
.4605 .45661 L
.45904 .45472 L
.45857 .45413 L
.45761 .45279 L
.45664 .45149 L
.45622 .45086 L
.4549 .44894 L
.45472 .44866 L
.45377 .44701 L
.45279 .44519 L
.45275 .44508 L
F
0 .9 1 r
.45472 .46986 m
.45507 .47013 L
.45664 .47156 L
.45708 .47206 L
.45857 .47378 L
.45886 .47399 L
.46023 .47591 L
.4605 .47625 L
.46167 .47784 L
.46242 .47882 L
.4631 .47977 L
.46435 .48133 L
.46466 .48169 L
.46589 .48362 L
.46628 .48415 L
.46721 .48555 L
.46821 .48696 L
.46854 .48747 L
.46977 .4894 L
.47013 .49 L
.47077 .49133 L
.47013 .49255 L
.46852 .49133 L
.46821 .49108 L
.46652 .4894 L
.46628 .48916 L
.46477 .48747 L
.46435 .48708 L
.46314 .48555 L
.46242 .48464 L
.46146 .48362 L
.4605 .48212 L
.46026 .48169 L
.45867 .47977 L
.45857 .47964 L
.45725 .47784 L
.45664 .47723 L
.45579 .47591 L
.45472 .47416 L
.45466 .47399 L
.45351 .47206 L
.45283 .47013 L
F
0 .89 1 r
.45472 .47007 m
.4548 .47013 L
.45664 .4717 L
.45696 .47206 L
.45857 .47389 L
.45871 .47399 L
.46015 .47591 L
.4605 .47635 L
.46159 .47784 L
.46242 .47891 L
.46303 .47977 L
.46435 .48146 L
.46455 .48169 L
.46581 .48362 L
.46628 .48427 L
.46713 .48555 L
.46821 .48709 L
.46845 .48747 L
.46961 .4894 L
.47013 .49031 L
.47053 .49133 L
.47013 .49216 L
.46885 .49133 L
.46821 .49084 L
.46672 .4894 L
.46628 .48897 L
.46492 .48747 L
.46435 .48695 L
.46327 .48555 L
.46242 .48449 L
.46157 .48362 L
.4605 .482 L
.46032 .48169 L
.45877 .47977 L
.45857 .47949 L
.45736 .47784 L
.45664 .47708 L
.4559 .47591 L
.45477 .47399 L
.45472 .4739 L
.45368 .47206 L
.45324 .47013 L
F
0 .87 1 r
.45472 .39482 m
.45486 .39498 L
.45659 .39691 L
.45664 .39696 L
.4582 .39884 L
.45857 .39925 L
.45978 .40076 L
.4605 .4016 L
.46135 .40269 L
.46242 .40379 L
.4629 .40462 L
.46435 .40642 L
.46448 .40654 L
.46592 .40847 L
.46628 .40891 L
.4674 .4104 L
.46821 .4112 L
.46889 .41232 L
.47013 .41389 L
.47047 .41425 L
.47183 .41618 L
.47206 .41646 L
.47328 .41811 L
.47399 .41881 L
.47474 .42003 L
.47591 .42154 L
.47628 .42196 L
.47763 .42389 L
.47784 .42415 L
.47906 .42581 L
.47977 .42654 L
.4811 .42774 L
.48169 .42929 L
.48201 .42967 L
.48336 .43159 L
.48362 .43193 L
.48477 .43352 L
.48555 .43434 L
.48668 .43545 L
.48747 .43712 L
.48768 .43737 L
.48904 .4393 L
.4894 .43977 L
.49045 .44123 L
.49133 .44221 L
.49223 .44316 L
.49326 .44501 L
.49331 .44508 L
.49468 .44701 L
.49518 .44767 L
.49608 .44894 L
.49711 .45015 L
.49775 .45086 L
.49892 .45279 L
.49904 .45295 L
.50029 .45472 L
.50096 .45562 L
.50168 .45664 L
.50289 .45817 L
.50323 .45857 L
.50448 .4605 L
.50482 .46095 L
.50584 .46242 L
.50674 .46364 L
.50724 .46435 L
.50865 .46628 L
.50867 .46631 L
.50997 .46821 L
.5106 .46904 L
.51133 .47013 L
.51253 .47176 L
.51273 .47206 L
.51405 .47399 L
.51445 .47453 L
.51536 .47591 L
.51638 .47733 L
.51671 .47784 L
.51801 .47977 L
.51831 .48019 L
.5192 .48169 L
.52023 .48322 L
.52045 .48362 L
.52023 .48505 L
.51887 .48362 L
.51831 .48307 L
.5171 .48169 L
.51638 .48091 L
.51541 .47977 L
.51445 .47913 L
.51377 .47784 L
.51253 .47636 L
.51192 .47591 L
.51063 .47399 L
.5106 .47394 L
.5091 .47206 L
.50867 .47186 L
.50756 .47013 L
.50674 .46913 L
.50574 .46821 L
.50482 .46658 L
.50459 .46628 L
.50309 .46435 L
.50289 .46424 L
.50161 .46242 L
.50096 .46162 L
.49991 .4605 L
.49904 .459 L
.49874 .45857 L
.49724 .45664 L
.49711 .45656 L
.49579 .45472 L
.49518 .45395 L
.49419 .45279 L
.49326 .4513 L
.49298 .45086 L
.49148 .44894 L
.49133 .44883 L
.49004 .44701 L
.4894 .44619 L
.48851 .44508 L
.48747 .44352 L
.48727 .44316 L
.48578 .44123 L
.48555 .44105 L
.48435 .4393 L
.48362 .43835 L
.48287 .43737 L
.48169 .43567 L
.48159 .43545 L
.48012 .43352 L
.47977 .43321 L
.47812 .43159 L
.47784 .43045 L
.47726 .42967 L
.47591 .42775 L
.47591 .42774 L
.47452 .42581 L
.47399 .42531 L
.47265 .42389 L
.47206 .42246 L
.4717 .42196 L
.47035 .42003 L
.47013 .41973 L
.46898 .41811 L
.46821 .41728 L
.46725 .41618 L
.46628 .41435 L
.46621 .41425 L
.46487 .41232 L
.46435 .4116 L
.46351 .4104 L
.46242 .40901 L
.46199 .40847 L
.46083 .40654 L
.4605 .40607 L
.45952 .40462 L
.45857 .40325 L
.45819 .40269 L
.45692 .40076 L
.45664 .40037 L
.45569 .39884 L
.45472 .39736 L
.45444 .39691 L
.45338 .39498 L
F
1 .94 0 r
.45472 .43742 m
.45664 .43905 L
.45734 .4393 L
.45857 .44105 L
.45891 .44123 L
.4605 .44304 L
.46051 .44316 L
.46217 .44508 L
.46242 .44543 L
.4638 .44701 L
.46435 .44799 L
.46502 .44894 L
.46628 .45058 L
.46665 .45086 L
.46807 .45279 L
.46821 .45296 L
.46955 .45472 L
.47013 .4556 L
.4707 .45664 L
.47206 .4583 L
.47227 .45857 L
.47359 .4605 L
.47399 .46112 L
.4749 .46242 L
.47565 .46435 L
.47399 .4653 L
.47206 .46456 L
.47161 .46435 L
.47013 .46266 L
.46992 .46242 L
.46841 .4605 L
.46821 .46033 L
.46696 .45857 L
.46628 .45779 L
.46513 .45664 L
.46435 .45513 L
.46404 .45472 L
.46267 .45279 L
.46242 .45246 L
.46129 .45086 L
.4605 .45016 L
.45959 .44894 L
.45857 .44714 L
.45849 .44701 L
.45718 .44508 L
.45664 .44431 L
.45587 .44316 L
.45472 .44143 L
.45451 .44123 L
.45352 .4393 L
F
1 .93 0 r
.45472 .43781 m
.45664 .43923 L
.45688 .4393 L
.45857 .44116 L
.45872 .44123 L
.46044 .44316 L
.4605 .44322 L
.46205 .44508 L
.46242 .44559 L
.46372 .44701 L
.46435 .44811 L
.46494 .44894 L
.46628 .45066 L
.46656 .45086 L
.46799 .45279 L
.46821 .45306 L
.46948 .45472 L
.47013 .45571 L
.47063 .45664 L
.47206 .45842 L
.47218 .45857 L
.47349 .4605 L
.47399 .46129 L
.47477 .46242 L
.47538 .46435 L
.47399 .46511 L
.47206 .46438 L
.47199 .46435 L
.47013 .46253 L
.47003 .46242 L
.46849 .4605 L
.46821 .46027 L
.46702 .45857 L
.46628 .45773 L
.46518 .45664 L
.46435 .45506 L
.46409 .45472 L
.46273 .45279 L
.46242 .45239 L
.46135 .45086 L
.4605 .45007 L
.45966 .44894 L
.45857 .44702 L
.45856 .44701 L
.45727 .44508 L
.45664 .44419 L
.45597 .44316 L
.45472 .44123 L
.45471 .44123 L
.45376 .4393 L
F
0 .63 1 r
.45472 .49705 m
.45477 .49711 L
.45472 .499 L
.45378 .49711 L
F
1 .9 0 r
.45472 .48911 m
.45503 .4894 L
.45664 .49069 L
.45698 .49133 L
.45857 .49305 L
.459 .49326 L
.46044 .49518 L
.4605 .49525 L
.46208 .49711 L
.46242 .4972 L
.46369 .49904 L
.46435 .49982 L
.46586 .50096 L
.46628 .5023 L
.46679 .50289 L
.46821 .50473 L
.46825 .50482 L
.4698 .50674 L
.47013 .50715 L
.47167 .50867 L
.47206 .50971 L
.47274 .5106 L
.47399 .51226 L
.47409 .51253 L
.4757 .51445 L
.47591 .51472 L
.47738 .51638 L
.47784 .51732 L
.47852 .51831 L
.47977 .51992 L
.47981 .52023 L
.48151 .52216 L
.48169 .5224 L
.48308 .52409 L
.48362 .52503 L
.48425 .52601 L
.48555 .52766 L
.48584 .52794 L
.48725 .52987 L
.48747 .53015 L
.48877 .53179 L
.4894 .53281 L
.48994 .53372 L
.49133 .53544 L
.49155 .53565 L
.49296 .53758 L
.49326 .53796 L
.49444 .5395 L
.49518 .54063 L
.49561 .54143 L
.49711 .54325 L
.49723 .54336 L
.49902 .54528 L
.49904 .5458 L
.50008 .54721 L
.50096 .54849 L
.50127 .54914 L
.50288 .55106 L
.50289 .55108 L
.50465 .55299 L
.50482 .55368 L
.50571 .55492 L
.50674 .55637 L
.50692 .55684 L
.50851 .55877 L
.50867 .55892 L
.51025 .5607 L
.5106 .56159 L
.51131 .56263 L
.51253 .5643 L
.5126 .56455 L
.51411 .56648 L
.51445 .5668 L
.51582 .56841 L
.51638 .56955 L
.5169 .57033 L
.5183 .57226 L
.51831 .57227 L
.51968 .57419 L
.52023 .57475 L
.52134 .57611 L
.52216 .57758 L
.52245 .57804 L
.52383 .57997 L
.52409 .58032 L
.5252 .58189 L
.52601 .58282 L
.52678 .58382 L
.52794 .58573 L
.52795 .58575 L
.52929 .58768 L
.52987 .58848 L
.53064 .5896 L
.53179 .59113 L
.53209 .59153 L
.53331 .59346 L
.53372 .59404 L
.53461 .59538 L
.53565 .59688 L
.53594 .59731 L
.53719 .59924 L
.53758 .5998 L
.5384 .60116 L
.5395 .60287 L
.53963 .60309 L
.54059 .60502 L
.5395 .60535 L
.53919 .60502 L
.53758 .6035 L
.53736 .60309 L
.53566 .60116 L
.53565 .60115 L
.53405 .59924 L
.53372 .59886 L
.53247 .59731 L
.53179 .59679 L
.5309 .59538 L
.52987 .59416 L
.52903 .59346 L
.52794 .59167 L
.52782 .59153 L
.52633 .5896 L
.52601 .58936 L
.52484 .58768 L
.52409 .58676 L
.52307 .58575 L
.52216 .58418 L
.52188 .58382 L
.52041 .58189 L
.52023 .58175 L
.51895 .57997 L
.51831 .57916 L
.51728 .57804 L
.51638 .57654 L
.51608 .57611 L
.5146 .57419 L
.51445 .57406 L
.51317 .57226 L
.51253 .57146 L
.51156 .57033 L
.5106 .56881 L
.51034 .56841 L
.50886 .56648 L
.50867 .56631 L
.50744 .56455 L
.50674 .56368 L
.50587 .56263 L
.50482 .56102 L
.50463 .5607 L
.50316 .55877 L
.50289 .55853 L
.50113 .55684 L
.50096 .55585 L
.50022 .55492 L
.49904 .55318 L
.49894 .55299 L
.49749 .55106 L
.49711 .55071 L
.49556 .54914 L
.49518 .54799 L
.49458 .54721 L
.49326 .54532 L
.49324 .54528 L
.49184 .54336 L
.49133 .54285 L
.48999 .54143 L
.4894 .5401 L
.48896 .5395 L
.4876 .53758 L
.48747 .53741 L
.48621 .53565 L
.48555 .53496 L
.48444 .53372 L
.48362 .53217 L
.48335 .53179 L
.48199 .52987 L
.48169 .52948 L
.4806 .52794 L
.47977 .52702 L
.47891 .52601 L
.47784 .5242 L
.47776 .52409 L
.4764 .52216 L
.47591 .52151 L
.47501 .52023 L
.47399 .51901 L
.47341 .51831 L
.4722 .51638 L
.47206 .51619 L
.47084 .51445 L
.47013 .5135 L
.46945 .51253 L
.46821 .5109 L
.46797 .5106 L
.46669 .50867 L
.46628 .50812 L
.46534 .50674 L
.46435 .50541 L
.46395 .50482 L
.46257 .50289 L
.46242 .50269 L
.46127 .50096 L
.4605 .49991 L
.45992 .49904 L
.45857 .49714 L
.45852 .49711 L
.45731 .49518 L
.45664 .49424 L
.45605 .49326 L
.45476 .49133 L
.45472 .49126 L
.45383 .4894 L
F
0 .64 1 r
.45472 .44577 m
.45591 .44701 L
.45664 .44777 L
.45762 .44894 L
.45857 .45005 L
.45921 .45086 L
.4605 .45239 L
.46096 .45279 L
.46207 .45472 L
.46242 .45521 L
.46336 .45664 L
.46435 .45826 L
.46452 .45857 L
.46435 .46028 L
.46242 .45884 L
.46229 .45857 L
.46059 .45664 L
.4605 .45654 L
.4591 .45472 L
.45857 .45406 L
.45766 .45279 L
.45664 .45142 L
.45626 .45086 L
.45497 .44894 L
.45472 .44856 L
.45385 .44701 L
F
0 .88 1 r
.45472 .47033 m
.45664 .47184 L
.45683 .47206 L
.45855 .47399 L
.45857 .47401 L
.46006 .47591 L
.4605 .47645 L
.46152 .47784 L
.46242 .47901 L
.46297 .47977 L
.46435 .48159 L
.46444 .48169 L
.46573 .48362 L
.46628 .48438 L
.46704 .48555 L
.46821 .48724 L
.46835 .48747 L
.46944 .4894 L
.47013 .49084 L
.47022 .49133 L
.47013 .49158 L
.46933 .49133 L
.46821 .49059 L
.46693 .4894 L
.46628 .48877 L
.46508 .48747 L
.46435 .48681 L
.4634 .48555 L
.46242 .48435 L
.46169 .48362 L
.4605 .48188 L
.46039 .48169 L
.45888 .47977 L
.45857 .47935 L
.45747 .47784 L
.45664 .47691 L
.45602 .47591 L
.4549 .47399 L
.45472 .47366 L
.45386 .47206 L
F
0 .63 1 r
.45472 .4459 m
.45581 .44701 L
.45664 .44786 L
.45755 .44894 L
.45857 .45013 L
.45915 .45086 L
.4605 .4525 L
.46083 .45279 L
.46201 .45472 L
.46242 .4553 L
.4633 .45664 L
.46435 .45841 L
.46444 .45857 L
.46435 .46009 L
.46242 .45869 L
.46237 .45857 L
.46066 .45664 L
.4605 .45646 L
.45915 .45472 L
.45857 .45399 L
.45771 .45279 L
.45664 .45135 L
.45632 .45086 L
.45504 .44894 L
.45472 .44845 L
.45394 .44701 L
F
0 .62 1 r
.45472 .44603 m
.4557 .44701 L
.45664 .44795 L
.45748 .44894 L
.45857 .45021 L
.45909 .45086 L
.4605 .45261 L
.4607 .45279 L
.46195 .45472 L
.46242 .45539 L
.46323 .45664 L
.46242 .45855 L
.46073 .45664 L
.4605 .45638 L
.45921 .45472 L
.45857 .45392 L
.45777 .45279 L
.45664 .45127 L
.45637 .45086 L
.45511 .44894 L
.45472 .44833 L
.45403 .44701 L
F
1 .92 0 r
.45472 .43823 m
.45643 .4393 L
.45664 .43946 L
.45852 .44123 L
.45857 .44125 L
.46029 .44316 L
.4605 .44339 L
.46193 .44508 L
.46242 .44574 L
.46364 .44701 L
.46435 .44823 L
.46486 .44894 L
.46628 .45073 L
.46647 .45086 L
.46791 .45279 L
.46821 .45315 L
.46942 .45472 L
.47013 .45581 L
.47057 .45664 L
.47206 .45853 L
.47209 .45857 L
.47339 .4605 L
.47399 .46148 L
.47464 .46242 L
.47509 .46435 L
.47399 .46491 L
.47229 .46435 L
.47206 .46421 L
.47015 .46242 L
.47013 .46242 L
.46856 .4605 L
.46821 .46021 L
.46708 .45857 L
.46628 .45766 L
.46524 .45664 L
.46435 .45499 L
.46414 .45472 L
.46278 .45279 L
.46242 .45232 L
.4614 .45086 L
.4605 .44998 L
.45974 .44894 L
.45864 .44701 L
.45857 .44692 L
.45735 .44508 L
.45664 .44405 L
.45607 .44316 L
.45488 .44123 L
.45472 .44095 L
.45403 .4393 L
F
0 .87 1 r
.45472 .47062 m
.45664 .472 L
.4567 .47206 L
.45844 .47399 L
.45857 .47413 L
.45997 .47591 L
.4605 .47655 L
.46144 .47784 L
.46242 .4791 L
.4629 .47977 L
.46433 .48169 L
.46435 .48172 L
.46564 .48362 L
.46628 .48451 L
.46695 .48555 L
.46821 .4874 L
.46825 .48747 L
.46925 .4894 L
.46821 .49033 L
.46716 .4894 L
.46628 .48858 L
.46524 .48747 L
.46435 .48666 L
.46354 .48555 L
.46242 .4842 L
.46181 .48362 L
.4605 .48175 L
.46046 .48169 L
.45899 .47977 L
.45857 .4792 L
.45758 .47784 L
.45664 .47672 L
.45615 .47591 L
.45505 .47399 L
.45472 .47339 L
.45405 .47206 L
F
0 .61 1 r
.45472 .44618 m
.45558 .44701 L
.45664 .44805 L
.4574 .44894 L
.45857 .45029 L
.45902 .45086 L
.4605 .45273 L
.46057 .45279 L
.46188 .45472 L
.46242 .45549 L
.46316 .45664 L
.46242 .45844 L
.46081 .45664 L
.4605 .4563 L
.45927 .45472 L
.45857 .45384 L
.45782 .45279 L
.45664 .4512 L
.45642 .45086 L
.45519 .44894 L
.45472 .44819 L
.45413 .44701 L
F
0 .6 1 r
.45472 .44634 m
.45545 .44701 L
.45664 .44815 L
.45732 .44894 L
.45857 .45037 L
.45896 .45086 L
.46046 .45279 L
.4605 .45284 L
.46181 .45472 L
.46242 .45559 L
.46309 .45664 L
.46242 .45833 L
.46089 .45664 L
.4605 .45622 L
.45934 .45472 L
.45857 .45377 L
.45788 .45279 L
.45664 .45112 L
.45648 .45086 L
.45528 .44894 L
.45472 .44803 L
.45425 .44701 L
F
0 .86 1 r
.45472 .47095 m
.45651 .47206 L
.45664 .47217 L
.45832 .47399 L
.45857 .47426 L
.45988 .47591 L
.4605 .47666 L
.46136 .47784 L
.46242 .4792 L
.46283 .47977 L
.46425 .48169 L
.46435 .48184 L
.46555 .48362 L
.46628 .48464 L
.46686 .48555 L
.46812 .48747 L
.46821 .48762 L
.46901 .4894 L
.46821 .49004 L
.46743 .4894 L
.46628 .48838 L
.46542 .48747 L
.46435 .48649 L
.46368 .48555 L
.46242 .48405 L
.46195 .48362 L
.46056 .48169 L
.4605 .48161 L
.4591 .47977 L
.45857 .47905 L
.45769 .47784 L
.45664 .4765 L
.45629 .47591 L
.45519 .47399 L
.45472 .47307 L
.45426 .47206 L
F
0 .88 1 r
.45472 .41114 m
.4555 .41232 L
.45664 .41373 L
.45698 .41425 L
.45664 .41554 L
.45574 .41425 L
.45472 .41296 L
.45427 .41232 L
F
1 .84 0 r
.45472 .40293 m
.45604 .40462 L
.45664 .40528 L
.4576 .40654 L
.45857 .40769 L
.45915 .40847 L
.4605 .41013 L
.46069 .4104 L
.46217 .41232 L
.46242 .41263 L
.46361 .41425 L
.46435 .41516 L
.46509 .41618 L
.46628 .41769 L
.46658 .41811 L
.46803 .42003 L
.46821 .42025 L
.46943 .42196 L
.47013 .42285 L
.47086 .42389 L
.47206 .42544 L
.47233 .42581 L
.47374 .42774 L
.47399 .42805 L
.47512 .42967 L
.47591 .43069 L
.47654 .43159 L
.47784 .43332 L
.47798 .43352 L
.47934 .43545 L
.47977 .436 L
.4807 .43737 L
.48169 .43868 L
.48211 .4393 L
.48352 .44123 L
.48362 .44137 L
.48481 .44316 L
.48555 .44414 L
.48616 .44508 L
.48747 .44688 L
.48756 .44701 L
.4888 .44894 L
.4894 .44977 L
.49004 .45086 L
.49133 .45273 L
.49136 .45279 L
.49133 .45392 L
.49034 .45279 L
.4894 .45181 L
.48863 .45086 L
.48747 .44951 L
.48701 .44894 L
.48555 .44725 L
.48545 .44701 L
.48395 .44508 L
.48362 .44469 L
.48245 .44316 L
.48169 .44222 L
.48094 .44123 L
.47977 .44002 L
.47944 .4393 L
.47798 .43737 L
.47784 .4372 L
.47653 .43545 L
.47591 .43465 L
.47507 .43352 L
.47399 .43238 L
.47361 .43159 L
.47218 .42967 L
.47206 .42951 L
.47077 .42774 L
.47013 .4269 L
.46933 .42581 L
.46821 .42452 L
.46791 .42389 L
.46651 .42196 L
.46628 .42165 L
.46513 .42003 L
.46435 .41899 L
.46372 .41811 L
.46242 .4164 L
.46217 .41618 L
.46098 .41425 L
.4605 .4136 L
.45962 .41232 L
.45857 .41087 L
.45825 .4104 L
.45693 .40847 L
.45664 .40807 L
.45565 .40654 L
.45472 .40521 L
.45434 .40462 L
F
0 .13 1 r
.45472 .51299 m
.45566 .51445 L
.45664 .51574 L
.45705 .51638 L
.45664 .51737 L
.45593 .51638 L
.45472 .51495 L
.45436 .51445 L
F
1 .91 0 r
.45472 .43873 m
.45597 .4393 L
.45664 .43973 L
.4583 .44123 L
.45857 .44132 L
.46013 .44316 L
.4605 .44354 L
.4618 .44508 L
.46242 .44588 L
.46355 .44701 L
.46435 .44835 L
.46479 .44894 L
.46628 .45079 L
.46638 .45086 L
.46783 .45279 L
.46821 .45325 L
.46935 .45472 L
.47013 .45592 L
.47051 .45664 L
.472 .45857 L
.47206 .45866 L
.47329 .4605 L
.47399 .46168 L
.4745 .46242 L
.47476 .46435 L
.47399 .4647 L
.47261 .46435 L
.47206 .46405 L
.47026 .46242 L
.47013 .46242 L
.46864 .4605 L
.46821 .46015 L
.46714 .45857 L
.46628 .45758 L
.46531 .45664 L
.46435 .45491 L
.4642 .45472 L
.46283 .45279 L
.46242 .45224 L
.46145 .45086 L
.4605 .44988 L
.45982 .44894 L
.45871 .44701 L
.45857 .44681 L
.45744 .44508 L
.45664 .4439 L
.45617 .44316 L
.45505 .44123 L
.45472 .44057 L
.45437 .4393 L
F
0 .59 1 r
.45472 .44652 m
.45529 .44701 L
.45664 .44825 L
.45724 .44894 L
.45857 .45046 L
.45889 .45086 L
.46039 .45279 L
.4605 .45293 L
.46174 .45472 L
.46242 .4557 L
.46301 .45664 L
.46242 .45822 L
.46097 .45664 L
.4605 .45613 L
.4594 .45472 L
.45857 .45369 L
.45794 .45279 L
.45664 .45103 L
.45653 .45086 L
.45537 .44894 L
.45472 .44785 L
.45438 .44701 L
F
0 .12 1 r
.45472 .51307 m
.45559 .51445 L
.45664 .51583 L
.45698 .51638 L
.45664 .51727 L
.45601 .51638 L
.45472 .51488 L
.45441 .51445 L
F
0 .11 1 r
.45472 .51316 m
.45551 .51445 L
.45664 .51593 L
.45691 .51638 L
.45664 .51715 L
.45609 .51638 L
.45472 .5148 L
.45447 .51445 L
F
1 .28 0 r
.45472 .50485 m
.45616 .50674 L
.45664 .5073 L
.45766 .50867 L
.45857 .50977 L
.45918 .5106 L
.4605 .51227 L
.46069 .51253 L
.46212 .51445 L
.46242 .51482 L
.46355 .51638 L
.46435 .5174 L
.465 .51831 L
.46628 .51998 L
.46646 .52023 L
.46785 .52216 L
.46821 .52261 L
.46923 .52409 L
.47013 .52526 L
.47065 .52601 L
.47206 .52792 L
.47208 .52794 L
.47338 .52987 L
.47399 .53067 L
.47473 .53179 L
.47591 .53341 L
.47611 .53372 L
.47591 .53561 L
.47448 .53372 L
.47399 .53316 L
.47298 .53179 L
.47206 .5307 L
.47145 .52987 L
.47013 .52821 L
.46994 .52794 L
.4685 .52601 L
.46821 .52566 L
.46708 .52409 L
.46628 .52308 L
.46562 .52216 L
.46435 .52051 L
.46415 .52023 L
.46276 .51831 L
.46242 .51788 L
.46138 .51638 L
.4605 .51523 L
.45996 .51445 L
.45857 .51259 L
.45852 .51253 L
.45722 .5106 L
.45664 .50985 L
.45587 .50867 L
.45472 .50712 L
.45448 .50674 L
F
0 .85 1 r
.45472 .47138 m
.45627 .47206 L
.45664 .47236 L
.45819 .47399 L
.45857 .4744 L
.45978 .47591 L
.4605 .47677 L
.46128 .47784 L
.46242 .4793 L
.46275 .47977 L
.46416 .48169 L
.46435 .48195 L
.46546 .48362 L
.46628 .48478 L
.46676 .48555 L
.46796 .48747 L
.46821 .48791 L
.46869 .4894 L
.46821 .4897 L
.46777 .4894 L
.46628 .48817 L
.4656 .48747 L
.46435 .48631 L
.46382 .48555 L
.46242 .4839 L
.46211 .48362 L
.46068 .48169 L
.4605 .48146 L
.45921 .47977 L
.45857 .47889 L
.4578 .47784 L
.45664 .47624 L
.45645 .47591 L
.45535 .47399 L
.45472 .47266 L
.4545 .47206 L
F
1 .27 0 r
.45472 .50494 m
.45609 .50674 L
.45664 .50737 L
.45761 .50867 L
.45857 .50983 L
.45913 .5106 L
.4605 .51232 L
.46065 .51253 L
.46207 .51445 L
.46242 .51488 L
.4635 .51638 L
.46435 .51745 L
.46496 .51831 L
.46628 .52003 L
.46642 .52023 L
.4678 .52216 L
.46821 .52267 L
.46919 .52409 L
.47013 .52532 L
.47061 .52601 L
.47203 .52794 L
.47206 .52798 L
.47332 .52987 L
.47399 .53074 L
.47467 .53179 L
.47591 .53349 L
.47606 .53372 L
.47591 .53551 L
.47455 .53372 L
.47399 .53309 L
.47303 .53179 L
.47206 .53063 L
.4715 .52987 L
.47013 .52815 L
.46998 .52794 L
.46854 .52601 L
.46821 .5256 L
.46712 .52409 L
.46628 .52303 L
.46566 .52216 L
.46435 .52046 L
.46419 .52023 L
.46281 .51831 L
.46242 .51783 L
.46143 .51638 L
.4605 .51518 L
.46 .51445 L
.45857 .51254 L
.45856 .51253 L
.45727 .5106 L
.45664 .50978 L
.45592 .50867 L
.45472 .50705 L
.45452 .50674 L
F
0 .1 1 r
.45472 .51326 m
.45543 .51445 L
.45664 .51605 L
.45683 .51638 L
.45664 .51702 L
.4562 .51638 L
.45472 .51471 L
.45454 .51445 L
F
0 .58 1 r
.45472 .44676 m
.45508 .44701 L
.45664 .44836 L
.45715 .44894 L
.45857 .45055 L
.45882 .45086 L
.46031 .45279 L
.4605 .45302 L
.46167 .45472 L
.46242 .45582 L
.46293 .45664 L
.46242 .45809 L
.46106 .45664 L
.4605 .45604 L
.45947 .45472 L
.45857 .45361 L
.458 .45279 L
.45664 .45094 L
.45659 .45086 L
.45546 .44894 L
.45472 .44759 L
.45455 .44701 L
F
1 .26 0 r
.45472 .50504 m
.45602 .50674 L
.45664 .50745 L
.45755 .50867 L
.45857 .5099 L
.45909 .5106 L
.4605 .51238 L
.4606 .51253 L
.46202 .51445 L
.46242 .51494 L
.46346 .51638 L
.46435 .51751 L
.46492 .51831 L
.46628 .52008 L
.46639 .52023 L
.46775 .52216 L
.46821 .52273 L
.46914 .52409 L
.47013 .52538 L
.47057 .52601 L
.47197 .52794 L
.47206 .52805 L
.47326 .52987 L
.47399 .53082 L
.47462 .53179 L
.47591 .53358 L
.47601 .53372 L
.47591 .53541 L
.47463 .53372 L
.47399 .53301 L
.47309 .53179 L
.47206 .53057 L
.47155 .52987 L
.47013 .5281 L
.47002 .52794 L
.4686 .52601 L
.46821 .52554 L
.46717 .52409 L
.46628 .52297 L
.4657 .52216 L
.46435 .52041 L
.46423 .52023 L
.46285 .51831 L
.46242 .51777 L
.46147 .51638 L
.4605 .51512 L
.46004 .51445 L
.45861 .51253 L
.45857 .51247 L
.45733 .5106 L
.45664 .50971 L
.45597 .50867 L
.45472 .50697 L
.45457 .50674 L
F
0 .09 1 r
.45472 .51338 m
.45532 .51445 L
.45664 .51619 L
.45674 .51638 L
.45664 .51685 L
.45633 .51638 L
.45472 .51461 L
.4546 .51445 L
F
1 .83 0 r
.45472 .4034 m
.45569 .40462 L
.45664 .4056 L
.45736 .40654 L
.45857 .40794 L
.45896 .40847 L
.4605 .41034 L
.46054 .4104 L
.46199 .41232 L
.46242 .41283 L
.46346 .41425 L
.46435 .41534 L
.46495 .41618 L
.46628 .41786 L
.46646 .41811 L
.46789 .42003 L
.46821 .42042 L
.4693 .42196 L
.47013 .42301 L
.47075 .42389 L
.47206 .42559 L
.47222 .42581 L
.47361 .42774 L
.47399 .42821 L
.475 .42967 L
.47591 .43085 L
.47642 .43159 L
.47784 .43347 L
.47787 .43352 L
.47921 .43545 L
.47977 .43618 L
.48057 .43737 L
.48169 .43886 L
.48198 .4393 L
.48335 .44123 L
.48362 .44158 L
.48464 .44316 L
.48555 .44437 L
.48599 .44508 L
.48555 .44684 L
.48418 .44508 L
.48362 .44443 L
.48264 .44316 L
.48169 .44199 L
.48111 .44123 L
.47977 .43967 L
.47961 .4393 L
.47815 .43737 L
.47784 .43699 L
.47669 .43545 L
.47591 .43445 L
.47521 .43352 L
.47399 .4321 L
.47375 .43159 L
.47233 .42967 L
.47206 .42932 L
.47091 .42774 L
.47013 .42672 L
.46947 .42581 L
.46821 .42424 L
.46804 .42389 L
.46667 .42196 L
.46628 .42145 L
.46527 .42003 L
.46435 .41879 L
.46386 .41811 L
.46248 .41618 L
.46242 .41611 L
.46115 .41425 L
.4605 .41336 L
.45979 .41232 L
.45857 .41061 L
.45843 .4104 L
.45717 .40847 L
.45664 .40774 L
.4559 .40654 L
.45472 .4048 L
.45461 .40462 L
F
1 .25 0 r
.45472 .50514 m
.45593 .50674 L
.45664 .50753 L
.45749 .50867 L
.45857 .50997 L
.45904 .5106 L
.4605 .51244 L
.46056 .51253 L
.46197 .51445 L
.46242 .515 L
.46341 .51638 L
.46435 .51757 L
.46488 .51831 L
.46628 .52014 L
.46634 .52023 L
.4677 .52216 L
.46821 .52279 L
.4691 .52409 L
.47013 .52544 L
.47052 .52601 L
.47192 .52794 L
.47206 .52812 L
.4732 .52987 L
.47399 .5309 L
.47456 .53179 L
.47591 .53367 L
.47595 .53372 L
.47591 .5353 L
.47472 .53372 L
.47399 .53293 L
.47316 .53179 L
.47206 .5305 L
.4716 .52987 L
.47013 .52804 L
.47006 .52794 L
.46865 .52601 L
.46821 .52548 L
.46722 .52409 L
.46628 .52292 L
.46575 .52216 L
.46435 .52035 L
.46427 .52023 L
.4629 .51831 L
.46242 .51771 L
.46152 .51638 L
.4605 .51506 L
.46009 .51445 L
.45867 .51253 L
.45857 .5124 L
.45738 .5106 L
.45664 .50964 L
.45603 .50867 L
.45472 .50689 L
.45463 .50674 L
F
0 .08 1 r
.45472 .51352 m
.45519 .51445 L
.45472 .5145 L
.45468 .51445 L
F
1 .24 0 r
.45472 .50526 m
.45584 .50674 L
.45664 .50762 L
.45742 .50867 L
.45857 .51004 L
.45898 .5106 L
.4605 .51251 L
.46051 .51253 L
.46191 .51445 L
.46242 .51507 L
.46336 .51638 L
.46435 .51763 L
.46483 .51831 L
.46628 .5202 L
.4663 .52023 L
.46765 .52216 L
.46821 .52286 L
.46905 .52409 L
.47013 .52551 L
.47048 .52601 L
.47185 .52794 L
.47206 .5282 L
.47314 .52987 L
.47399 .53098 L
.4745 .53179 L
.47399 .53284 L
.47322 .53179 L
.47206 .53043 L
.47165 .52987 L
.47013 .52797 L
.47011 .52794 L
.46871 .52601 L
.46821 .52542 L
.46726 .52409 L
.46628 .52286 L
.46579 .52216 L
.46435 .5203 L
.46431 .52023 L
.46295 .51831 L
.46242 .51765 L
.46156 .51638 L
.4605 .515 L
.46013 .51445 L
.45873 .51253 L
.45857 .51233 L
.45744 .5106 L
.45664 .50956 L
.45609 .50867 L
.45472 .5068 L
.45468 .50674 L
F
0 .86 1 r
.45472 .39532 m
.45625 .39691 L
.45664 .39729 L
.45796 .39884 L
.45857 .39949 L
.4596 .40076 L
.4605 .4018 L
.4612 .40269 L
.46242 .404 L
.46278 .40462 L
.46432 .40654 L
.46435 .40659 L
.4658 .40847 L
.46628 .40905 L
.4673 .4104 L
.46821 .41132 L
.4688 .41232 L
.47013 .41401 L
.47036 .41425 L
.47175 .41618 L
.47206 .41657 L
.4732 .41811 L
.47399 .41891 L
.47467 .42003 L
.47591 .42163 L
.4762 .42196 L
.47757 .42389 L
.47784 .42424 L
.47899 .42581 L
.47977 .42662 L
.48103 .42774 L
.48169 .42937 L
.48194 .42967 L
.4833 .43159 L
.48362 .432 L
.48472 .43352 L
.48555 .43442 L
.48661 .43545 L
.48747 .43719 L
.48762 .43737 L
.48899 .4393 L
.4894 .43984 L
.4904 .44123 L
.49133 .44229 L
.49216 .44316 L
.49326 .44508 L
.49326 .44508 L
.49463 .44701 L
.49518 .44774 L
.49603 .44894 L
.49711 .45023 L
.49768 .45086 L
.49886 .45279 L
.49904 .45302 L
.50023 .45472 L
.50096 .45569 L
.50163 .45664 L
.50289 .45827 L
.50315 .45857 L
.50441 .4605 L
.50482 .46103 L
.50578 .46242 L
.50674 .46373 L
.50718 .46435 L
.50857 .46628 L
.50867 .46641 L
.50989 .46821 L
.5106 .46916 L
.51125 .47013 L
.51253 .47188 L
.51265 .47206 L
.51395 .47399 L
.51445 .47468 L
.51524 .47591 L
.51638 .47751 L
.51659 .47784 L
.51783 .47977 L
.51831 .48046 L
.51898 .48169 L
.51831 .48273 L
.51736 .48169 L
.51638 .48065 L
.51561 .47977 L
.51445 .47886 L
.51395 .47784 L
.51253 .47616 L
.51218 .47591 L
.51078 .47399 L
.5106 .47377 L
.50922 .47206 L
.50867 .47177 L
.50768 .47013 L
.50674 .46899 L
.50587 .46821 L
.50482 .46645 L
.50469 .46628 L
.50319 .46435 L
.50289 .46419 L
.5017 .46242 L
.50096 .4615 L
.5 .4605 L
.49904 .4589 L
.49881 .45857 L
.49733 .45664 L
.49711 .45651 L
.49587 .45472 L
.49518 .45385 L
.49426 .45279 L
.49326 .45121 L
.49304 .45086 L
.49155 .44894 L
.49133 .44877 L
.49011 .44701 L
.4894 .4461 L
.48857 .44508 L
.48747 .44343 L
.48732 .44316 L
.48585 .44123 L
.48555 .44099 L
.48442 .4393 L
.48362 .43826 L
.48293 .43737 L
.48169 .43558 L
.48163 .43545 L
.48019 .43352 L
.47977 .43315 L
.47816 .43159 L
.47784 .43035 L
.47733 .42967 L
.47598 .42774 L
.47591 .42765 L
.47459 .42581 L
.47399 .42522 L
.47272 .42389 L
.47206 .42235 L
.47178 .42196 L
.47043 .42003 L
.47013 .41962 L
.46906 .41811 L
.46821 .41715 L
.46735 .41618 L
.46631 .41425 L
.46628 .41421 L
.46497 .41232 L
.46435 .41146 L
.46362 .4104 L
.46242 .40881 L
.46215 .40847 L
.46096 .40654 L
.4605 .40589 L
.45965 .40462 L
.45857 .40304 L
.45834 .40269 L
.45711 .40076 L
.45664 .40008 L
.45591 .39884 L
.45472 .39695 L
.45469 .39691 L
F
1 .93 0 r
.45664 .38906 m
.45672 .3892 L
.45851 .39113 L
.45857 .39119 L
.46018 .39306 L
.4605 .39341 L
.46181 .39498 L
.46242 .39541 L
.4634 .39691 L
.46435 .39801 L
.46542 .39884 L
.46628 .40048 L
.46653 .40076 L
.46803 .40269 L
.46821 .40281 L
.46953 .40462 L
.47013 .40534 L
.47139 .40654 L
.47206 .40791 L
.47251 .40847 L
.47399 .4104 L
.47399 .4104 L
.47545 .41232 L
.47591 .4129 L
.47717 .41425 L
.47784 .41551 L
.47833 .41618 L
.47977 .41806 L
.47977 .41811 L
.48125 .42003 L
.48169 .42059 L
.48289 .42196 L
.48362 .42323 L
.48407 .42389 L
.48555 .42579 L
.48557 .42581 L
.48699 .42774 L
.48747 .42835 L
.48858 .42967 L
.4894 .43101 L
.48977 .43159 L
.49128 .43352 L
.49133 .43356 L
.49269 .43545 L
.49326 .43616 L
.49424 .43737 L
.49518 .43883 L
.49546 .4393 L
.49696 .44123 L
.49711 .44136 L
.49892 .44316 L
.49904 .444 L
.49989 .44508 L
.50096 .44668 L
.50113 .44701 L
.50262 .44894 L
.50289 .44919 L
.50451 .45086 L
.50482 .45187 L
.50552 .45279 L
.50674 .45455 L
.50681 .45472 L
.50826 .45664 L
.50867 .45704 L
.51009 .45857 L
.5106 .45977 L
.51114 .4605 L
.51251 .46242 L
.51253 .46245 L
.51389 .46435 L
.51445 .46491 L
.51566 .46628 L
.51638 .46768 L
.51675 .46821 L
.51812 .47013 L
.51831 .47037 L
.51951 .47206 L
.52023 .47283 L
.52122 .47399 L
.52216 .47563 L
.52235 .47591 L
.52373 .47784 L
.52409 .47832 L
.52511 .47977 L
.52601 .48079 L
.52675 .48169 L
.52794 .48361 L
.52795 .48362 L
.52931 .48555 L
.52987 .4863 L
.5307 .48747 L
.53179 .48882 L
.53225 .4894 L
.5335 .49133 L
.53372 .49163 L
.53486 .49326 L
.53565 .49432 L
.53625 .49518 L
.53758 .49695 L
.5377 .49711 L
.539 .49904 L
.5395 .49972 L
.54035 .50096 L
.54143 .50213 L
.54207 .50289 L
.5431 .50482 L
.54336 .50516 L
.54441 .50674 L
.54528 .50794 L
.54577 .50867 L
.54713 .5106 L
.54721 .51071 L
.5484 .51253 L
.54914 .51357 L
.5497 .51445 L
.55103 .51638 L
.55106 .51643 L
.55224 .51831 L
.55299 .51943 L
.55346 .52023 L
.55465 .52216 L
.55492 .5226 L
.55563 .52409 L
.55492 .52487 L
.55407 .52409 L
.55299 .52296 L
.5523 .52216 L
.55106 .52084 L
.55069 .52023 L
.54916 .51831 L
.54914 .51827 L
.54767 .51638 L
.54721 .5161 L
.54618 .51445 L
.54528 .51332 L
.54433 .51253 L
.54336 .51074 L
.54323 .5106 L
.54177 .50867 L
.54143 .5083 L
.54028 .50674 L
.5395 .50572 L
.53872 .50482 L
.53758 .50319 L
.53741 .50289 L
.53584 .50096 L
.53565 .50072 L
.53395 .49904 L
.53372 .49816 L
.53296 .49711 L
.53179 .49558 L
.53175 .49518 L
.52993 .49326 L
.52987 .49318 L
.52827 .49133 L
.52794 .49059 L
.52714 .4894 L
.52601 .48794 L
.52551 .48747 L
.52409 .48555 L
.52408 .48555 L
.52252 .48362 L
.52216 .48294 L
.52135 .48169 L
.52023 .48026 L
.51972 .47977 L
.51831 .47784 L
.51831 .47784 L
.51679 .47591 L
.51638 .4752 L
.51562 .47399 L
.51445 .47251 L
.51399 .47206 L
.51259 .47013 L
.51253 .47005 L
.5111 .46821 L
.5106 .4674 L
.50994 .46628 L
.50867 .46472 L
.5083 .46435 L
.5069 .46242 L
.50674 .46222 L
.50544 .4605 L
.50482 .45955 L
.50428 .45857 L
.50289 .45689 L
.50263 .45664 L
.50097 .45472 L
.50096 .45437 L
.4998 .45279 L
.49904 .45168 L
.49865 .45086 L
.49711 .44905 L
.49699 .44894 L
.49531 .44701 L
.49518 .44649 L
.49418 .44508 L
.49326 .4438 L
.49301 .44316 L
.49136 .44123 L
.49133 .4412 L
.48968 .4393 L
.4894 .43858 L
.48856 .43737 L
.48747 .43588 L
.48735 .43545 L
.48574 .43352 L
.48555 .43334 L
.48407 .43159 L
.48362 .43065 L
.48297 .42967 L
.48169 .42794 L
.48167 .42774 L
.48015 .42581 L
.47977 .42544 L
.47851 .42389 L
.47784 .42268 L
.47739 .42196 L
.47597 .42003 L
.47591 .41996 L
.47459 .41811 L
.47399 .41747 L
.47299 .41618 L
.47206 .41463 L
.47184 .41425 L
.47045 .41232 L
.47013 .41189 L
.46908 .4104 L
.46821 .40936 L
.46755 .40847 L
.46634 .40654 L
.46628 .40646 L
.46501 .40462 L
.46435 .40369 L
.46366 .40269 L
.46242 .40099 L
.46227 .40076 L
.46102 .39884 L
.4605 .39809 L
.45972 .39691 L
.45857 .39522 L
.45823 .39498 L
.45721 .39306 L
.45664 .39219 L
.45603 .39113 L
.4549 .3892 L
F
1 .9 0 r
.45664 .44 m
.45806 .44123 L
.45857 .4414 L
.45997 .44316 L
.4605 .44369 L
.46168 .44508 L
.46242 .44602 L
.46346 .44701 L
.46435 .44846 L
.46472 .44894 L
.46628 .45086 L
.46629 .45086 L
.46775 .45279 L
.46821 .45334 L
.46928 .45472 L
.47013 .45602 L
.47046 .45664 L
.47191 .45857 L
.47206 .45879 L
.47319 .4605 L
.47399 .46189 L
.47434 .46242 L
.47434 .46435 L
.47399 .46448 L
.47307 .46435 L
.47206 .46389 L
.47038 .46242 L
.47013 .46241 L
.46872 .4605 L
.46821 .46009 L
.4672 .45857 L
.46628 .45751 L
.46538 .45664 L
.46435 .45484 L
.46426 .45472 L
.46289 .45279 L
.46242 .45217 L
.46151 .45086 L
.4605 .44977 L
.4599 .44894 L
.45879 .44701 L
.45857 .4467 L
.45752 .44508 L
.45664 .44375 L
.45628 .44316 L
.45525 .44123 L
F
1 .99 0 r
.45664 .46657 m
.45857 .46655 L
.4605 .46706 L
.46141 .46821 L
.46242 .46965 L
.46266 .47013 L
.46417 .47206 L
.46435 .47233 L
.46606 .47399 L
.46628 .475 L
.46709 .47591 L
.46821 .47762 L
.46834 .47784 L
.46981 .47977 L
.47013 .48004 L
.47166 .48169 L
.47206 .48273 L
.47271 .48362 L
.47399 .48545 L
.47402 .48555 L
.47544 .48747 L
.47591 .48811 L
.47724 .4894 L
.47784 .49046 L
.47831 .49133 L
.47967 .49326 L
.47977 .49338 L
.48104 .49518 L
.48169 .49611 L
.48277 .49711 L
.48362 .49899 L
.48366 .49904 L
.48362 .49946 L
.48169 .49977 L
.47977 .49954 L
.47861 .49904 L
.47784 .49852 L
.47713 .49711 L
.47591 .49629 L
.47507 .49518 L
.47399 .49372 L
.47363 .49326 L
.47223 .49133 L
.47206 .491 L
.47106 .4894 L
.47013 .48852 L
.46935 .48747 L
.46821 .48588 L
.46795 .48555 L
.46657 .48362 L
.46628 .48318 L
.46545 .48169 L
.46435 .48041 L
.4637 .47977 L
.46242 .47798 L
.46232 .47784 L
.46095 .47591 L
.4605 .4754 L
.45987 .47399 L
.45857 .47276 L
.45809 .47206 L
.45668 .47013 L
.45664 .47001 L
.45544 .46821 L
F
1 .89 0 r
.45664 .44029 m
.45781 .44123 L
.45857 .4415 L
.45981 .44316 L
.4605 .44384 L
.46155 .44508 L
.46242 .44615 L
.46336 .44701 L
.46435 .44856 L
.46465 .44894 L
.46621 .45086 L
.46628 .45091 L
.46768 .45279 L
.46821 .45343 L
.46922 .45472 L
.47013 .45613 L
.4704 .45664 L
.47183 .45857 L
.47206 .45892 L
.47309 .4605 L
.47399 .46214 L
.47417 .46242 L
.47399 .4642 L
.47206 .46374 L
.47051 .46242 L
.47013 .4624 L
.4688 .4605 L
.46821 .46003 L
.46726 .45857 L
.46628 .45743 L
.46545 .45664 L
.46435 .45476 L
.46432 .45472 L
.46295 .45279 L
.46242 .45209 L
.46157 .45086 L
.4605 .44965 L
.45999 .44894 L
.45886 .44701 L
.45857 .44659 L
.45761 .44508 L
.45664 .44358 L
.4564 .44316 L
.45547 .44123 L
F
0 .84 1 r
.45664 .47256 m
.45805 .47399 L
.45857 .47454 L
.45968 .47591 L
.4605 .47689 L
.4612 .47784 L
.46242 .47941 L
.46268 .47977 L
.46406 .48169 L
.46435 .48208 L
.46536 .48362 L
.46628 .48494 L
.46665 .48555 L
.46777 .48747 L
.46628 .48794 L
.4658 .48747 L
.46435 .48611 L
.46397 .48555 L
.46242 .48373 L
.46229 .48362 L
.4608 .48169 L
.4605 .48131 L
.45932 .47977 L
.45857 .47873 L
.45792 .47784 L
.45664 .47594 L
.45663 .47591 L
.45551 .47399 L
F
0 .57 1 r
.45664 .44848 m
.45706 .44894 L
.45857 .45064 L
.45875 .45086 L
.46023 .45279 L
.4605 .45312 L
.46159 .45472 L
.46242 .45594 L
.46284 .45664 L
.46242 .45795 L
.46116 .45664 L
.4605 .45595 L
.45954 .45472 L
.45857 .45352 L
.45806 .45279 L
.45666 .45086 L
.45664 .45084 L
.45557 .44894 L
F
1 .98 0 r
.45664 .46679 m
.45857 .46675 L
.4605 .46744 L
.46124 .46821 L
.46242 .46978 L
.4626 .47013 L
.46411 .47206 L
.46435 .4724 L
.46604 .47399 L
.46628 .47506 L
.46705 .47591 L
.46821 .47766 L
.46832 .47784 L
.46978 .47977 L
.47013 .48007 L
.47164 .48169 L
.47206 .48277 L
.47267 .48362 L
.47399 .48549 L
.47401 .48555 L
.4754 .48747 L
.47591 .48817 L
.4772 .4894 L
.47784 .49055 L
.47826 .49133 L
.4796 .49326 L
.47977 .49349 L
.48094 .49518 L
.48169 .49629 L
.48257 .49711 L
.48295 .49904 L
.48169 .49941 L
.47977 .49906 L
.4797 .49904 L
.47784 .49802 L
.47748 .49711 L
.47591 .49597 L
.47527 .49518 L
.47399 .49352 L
.47378 .49326 L
.47233 .49133 L
.47206 .49081 L
.47116 .4894 L
.47013 .48842 L
.46942 .48747 L
.46821 .48579 L
.46802 .48555 L
.46663 .48362 L
.46628 .4831 L
.4655 .48169 L
.46435 .48034 L
.46376 .47977 L
.46242 .4779 L
.46238 .47784 L
.46101 .47591 L
.4605 .47532 L
.45993 .47399 L
.45857 .47264 L
.45818 .47206 L
.45673 .47013 L
.45664 .4698 L
.45566 .46821 L
F
0 .83 1 r
.45664 .47277 m
.45789 .47399 L
.45857 .47468 L
.45957 .47591 L
.4605 .47701 L
.46111 .47784 L
.46242 .47952 L
.4626 .47977 L
.46397 .48169 L
.46435 .48222 L
.46526 .48362 L
.46628 .48511 L
.46654 .48555 L
.46753 .48747 L
.46628 .4877 L
.46604 .48747 L
.46435 .48587 L
.46413 .48555 L
.46247 .48362 L
.46242 .48357 L
.46092 .48169 L
.4605 .48116 L
.45944 .47977 L
.45857 .47857 L
.45804 .47784 L
.45677 .47591 L
.45664 .4757 L
.45568 .47399 L
F
0 .56 1 r
.45664 .4486 m
.45695 .44894 L
.45857 .45074 L
.45867 .45086 L
.46015 .45279 L
.4605 .45323 L
.46151 .45472 L
.46242 .45608 L
.46275 .45664 L
.46242 .4578 L
.46127 .45664 L
.4605 .45585 L
.45962 .45472 L
.45857 .45343 L
.45812 .45279 L
.45675 .45086 L
.45664 .45072 L
.4557 .44894 L
F
1 .88 0 r
.45664 .4406 m
.45751 .44123 L
.45857 .44163 L
.45964 .44316 L
.4605 .444 L
.46142 .44508 L
.46242 .44628 L
.46325 .44701 L
.46435 .44866 L
.46457 .44894 L
.46612 .45086 L
.46628 .45097 L
.4676 .45279 L
.46821 .45353 L
.46915 .45472 L
.47013 .45624 L
.47034 .45664 L
.47174 .45857 L
.47206 .45906 L
.47299 .4605 L
.47398 .46242 L
.47206 .46358 L
.47064 .46242 L
.47013 .46239 L
.46888 .4605 L
.46821 .45996 L
.46733 .45857 L
.46628 .45735 L
.46553 .45664 L
.46438 .45472 L
.46435 .45468 L
.463 .45279 L
.46242 .45201 L
.46162 .45086 L
.4605 .44953 L
.46008 .44894 L
.45894 .44701 L
.45857 .44647 L
.45771 .44508 L
.45664 .44339 L
.45651 .44316 L
.45574 .44123 L
F
0 .55 1 r
.45664 .44874 m
.45683 .44894 L
.45857 .45084 L
.45859 .45086 L
.46006 .45279 L
.4605 .45334 L
.46143 .45472 L
.46242 .45624 L
.46265 .45664 L
.46242 .45761 L
.4614 .45664 L
.4605 .45574 L
.4597 .45472 L
.45857 .45334 L
.45819 .45279 L
.45684 .45086 L
.45664 .45057 L
.45585 .44894 L
F
1 .97 0 r
.45664 .46702 m
.45857 .46694 L
.4605 .46771 L
.46105 .46821 L
.46242 .46991 L
.46255 .47013 L
.46405 .47206 L
.46435 .47248 L
.46601 .47399 L
.46628 .47511 L
.46702 .47591 L
.46821 .47769 L
.4683 .47784 L
.46975 .47977 L
.47013 .4801 L
.47161 .48169 L
.47206 .48282 L
.47264 .48362 L
.47399 .48554 L
.47399 .48555 L
.47536 .48747 L
.47591 .48822 L
.47716 .4894 L
.47784 .49064 L
.47821 .49133 L
.47953 .49326 L
.47977 .4936 L
.48084 .49518 L
.48169 .4965 L
.48233 .49711 L
.48169 .49903 L
.47977 .49858 L
.47784 .49764 L
.47766 .49711 L
.47591 .4957 L
.47547 .49518 L
.47399 .49334 L
.47392 .49326 L
.47243 .49133 L
.47206 .49064 L
.47124 .4894 L
.47013 .48832 L
.46949 .48747 L
.46821 .4857 L
.46809 .48555 L
.46668 .48362 L
.46628 .48302 L
.46556 .48169 L
.46435 .48028 L
.46382 .47977 L
.46243 .47784 L
.46242 .47783 L
.46107 .47591 L
.4605 .47525 L
.45999 .47399 L
.45857 .47252 L
.45827 .47206 L
.45677 .47013 L
.45664 .46957 L
.45587 .46821 L
F
0 .82 1 r
.45664 .47301 m
.45771 .47399 L
.45857 .47484 L
.45945 .47591 L
.4605 .47713 L
.46102 .47784 L
.46242 .47963 L
.46252 .47977 L
.46386 .48169 L
.46435 .48236 L
.46515 .48362 L
.46628 .48531 L
.46642 .48555 L
.46628 .48743 L
.46435 .48561 L
.46431 .48555 L
.46262 .48362 L
.46242 .4834 L
.46105 .48169 L
.4605 .481 L
.45956 .47977 L
.45857 .4784 L
.45817 .47784 L
.45692 .47591 L
.45664 .47545 L
.45588 .47399 L
F
0 .63 1 r
.45664 .49919 m
.45812 .50096 L
.45857 .50147 L
.45972 .50289 L
.4605 .50381 L
.4613 .50482 L
.46242 .50596 L
.46285 .50674 L
.46435 .50864 L
.46438 .50867 L
.46586 .5106 L
.46628 .51112 L
.46736 .51253 L
.46821 .51334 L
.46885 .51445 L
.47013 .5161 L
.4704 .51638 L
.47178 .51831 L
.47206 .51866 L
.47324 .52023 L
.47399 .52097 L
.4747 .52216 L
.47591 .52374 L
.47621 .52409 L
.47758 .52601 L
.47784 .52635 L
.47901 .52794 L
.47977 .52871 L
.48112 .52987 L
.48169 .53151 L
.48192 .53179 L
.48329 .53372 L
.48362 .53416 L
.48471 .53565 L
.48555 .53657 L
.4866 .53758 L
.48747 .5394 L
.48755 .5395 L
.48893 .54143 L
.4894 .54207 L
.49033 .54336 L
.49133 .54455 L
.49203 .54528 L
.49312 .54721 L
.49326 .54739 L
.49448 .54914 L
.49518 .55009 L
.49587 .55106 L
.49711 .55271 L
.49735 .55299 L
.49859 .55492 L
.49904 .55553 L
.49993 .55684 L
.50096 .55829 L
.50129 .55877 L
.50261 .5607 L
.50289 .56109 L
.50389 .56263 L
.50482 .56396 L
.5052 .56455 L
.50643 .56648 L
.50674 .56693 L
.50755 .56841 L
.50674 .56907 L
.50619 .56841 L
.50482 .56691 L
.50447 .56648 L
.50289 .56465 L
.50284 .56455 L
.50131 .56263 L
.50096 .56223 L
.49978 .5607 L
.49904 .55981 L
.49825 .55877 L
.49711 .55757 L
.49672 .55684 L
.49522 .55492 L
.49518 .55487 L
.49377 .55299 L
.49326 .55235 L
.49229 .55106 L
.49133 .55006 L
.49081 .54914 L
.4894 .5473 L
.48932 .54721 L
.48792 .54528 L
.48747 .54472 L
.48648 .54336 L
.48555 .54237 L
.48441 .54143 L
.48362 .53957 L
.48356 .5395 L
.48217 .53758 L
.48169 .53696 L
.48075 .53565 L
.47977 .53456 L
.47887 .53372 L
.47788 .53179 L
.47784 .53174 L
.4765 .52987 L
.47591 .5291 L
.47509 .52794 L
.47399 .52663 L
.47338 .52601 L
.47226 .52409 L
.47206 .52382 L
.47089 .52216 L
.47013 .52115 L
.46949 .52023 L
.46821 .51856 L
.46797 .51831 L
.46672 .51638 L
.46628 .51579 L
.46536 .51445 L
.46435 .51309 L
.46397 .51253 L
.4626 .5106 L
.46242 .51037 L
.46129 .50867 L
.4605 .5076 L
.45994 .50674 L
.45857 .50484 L
.45856 .50482 L
.45732 .50289 L
.45664 .50194 L
.45605 .50096 L
F
0 .54 1 r
.45664 .44889 m
.45669 .44894 L
.45664 .4504 L
.45606 .44894 L
F
1 .96 0 r
.45664 .46728 m
.45857 .46711 L
.4605 .46794 L
.46084 .46821 L
.46242 .47003 L
.46248 .47013 L
.46399 .47206 L
.46435 .47255 L
.46598 .47399 L
.46628 .47516 L
.46698 .47591 L
.46821 .47773 L
.46828 .47784 L
.46971 .47977 L
.47013 .48013 L
.47158 .48169 L
.47206 .48286 L
.47261 .48362 L
.47395 .48555 L
.47399 .48559 L
.47532 .48747 L
.47591 .48828 L
.47711 .4894 L
.47784 .49074 L
.47815 .49133 L
.47945 .49326 L
.47977 .49371 L
.48074 .49518 L
.48169 .49676 L
.48204 .49711 L
.48169 .49862 L
.47977 .49824 L
.47784 .49732 L
.47777 .49711 L
.47591 .49547 L
.47566 .49518 L
.47405 .49326 L
.47399 .49315 L
.47251 .49133 L
.47206 .49049 L
.47132 .4894 L
.47013 .48822 L
.46956 .48747 L
.46821 .48562 L
.46815 .48555 L
.46674 .48362 L
.46628 .48294 L
.46561 .48169 L
.46435 .48022 L
.46387 .47977 L
.46244 .47784 L
.46242 .47777 L
.46112 .47591 L
.4605 .47517 L
.46004 .47399 L
.45857 .4724 L
.45836 .47206 L
.45681 .47013 L
.45664 .46931 L
.45608 .46821 L
F
0 .81 1 r
.45664 .47329 m
.45749 .47399 L
.45857 .475 L
.45933 .47591 L
.4605 .47726 L
.46092 .47784 L
.46242 .47976 L
.46243 .47977 L
.46375 .48169 L
.46435 .48253 L
.46503 .48362 L
.46628 .48554 L
.46628 .48555 L
.46628 .48707 L
.46453 .48555 L
.46435 .48538 L
.46278 .48362 L
.46242 .48322 L
.46119 .48169 L
.4605 .48083 L
.45969 .47977 L
.45857 .47822 L
.4583 .47784 L
.45708 .47591 L
.45664 .47514 L
.4561 .47399 L
F
1 .87 0 r
.45664 .44096 m
.45712 .44123 L
.45857 .4418 L
.45945 .44316 L
.4605 .44415 L
.46129 .44508 L
.46242 .44641 L
.46313 .44701 L
.46435 .44876 L
.4645 .44894 L
.46604 .45086 L
.46628 .45102 L
.46752 .45279 L
.46821 .45363 L
.46907 .45472 L
.47013 .45635 L
.47028 .45664 L
.47165 .45857 L
.47206 .45921 L
.47288 .4605 L
.47381 .46242 L
.47206 .46342 L
.47079 .46242 L
.47013 .46237 L
.46897 .4605 L
.46821 .45988 L
.46739 .45857 L
.46628 .45727 L
.46561 .45664 L
.46444 .45472 L
.46435 .45461 L
.46306 .45279 L
.46242 .45193 L
.46168 .45086 L
.4605 .44939 L
.46018 .44894 L
.45903 .44701 L
.45857 .44634 L
.45781 .44508 L
.45664 .44316 L
.45664 .44316 L
.45611 .44123 L
F
0 .62 1 r
.45664 .49932 m
.45802 .50096 L
.45857 .50157 L
.45964 .50289 L
.4605 .5039 L
.46123 .50482 L
.46242 .50606 L
.46279 .50674 L
.46432 .50867 L
.46435 .50872 L
.46581 .5106 L
.46628 .51118 L
.46731 .51253 L
.46821 .51341 L
.46881 .51445 L
.47013 .51616 L
.47034 .51638 L
.47174 .51831 L
.47206 .51871 L
.4732 .52023 L
.47399 .52102 L
.47467 .52216 L
.47591 .52379 L
.47617 .52409 L
.47754 .52601 L
.47784 .5264 L
.47898 .52794 L
.47977 .52876 L
.48107 .52987 L
.48169 .53156 L
.48188 .53179 L
.48326 .53372 L
.48362 .5342 L
.48467 .53565 L
.48555 .53662 L
.48655 .53758 L
.48747 .53945 L
.48751 .5395 L
.48889 .54143 L
.4894 .54212 L
.49029 .54336 L
.49133 .54461 L
.49197 .54528 L
.49308 .54721 L
.49326 .54745 L
.49444 .54914 L
.49518 .55015 L
.49583 .55106 L
.49711 .55279 L
.49729 .55299 L
.49854 .55492 L
.49904 .5556 L
.49988 .55684 L
.50096 .55836 L
.50124 .55877 L
.50254 .5607 L
.50289 .56118 L
.50382 .56263 L
.50482 .56406 L
.50513 .56455 L
.50632 .56648 L
.50674 .56711 L
.5074 .56841 L
.50674 .56889 L
.50633 .56841 L
.50482 .56679 L
.50457 .56648 L
.50292 .56455 L
.50289 .56452 L
.50138 .56263 L
.50096 .56214 L
.49984 .5607 L
.49904 .55974 L
.4983 .55877 L
.49711 .55749 L
.49677 .55684 L
.49527 .55492 L
.49518 .55481 L
.49381 .55299 L
.49326 .5523 L
.49233 .55106 L
.49133 .55001 L
.49085 .54914 L
.4894 .54725 L
.48937 .54721 L
.48796 .54528 L
.48747 .54467 L
.48651 .54336 L
.48555 .54232 L
.48446 .54143 L
.48362 .53953 L
.4836 .5395 L
.48221 .53758 L
.48169 .53691 L
.48078 .53565 L
.47977 .53451 L
.47892 .53372 L
.47791 .53179 L
.47784 .5317 L
.47653 .52987 L
.47591 .52906 L
.47512 .52794 L
.47399 .52658 L
.47343 .52601 L
.4723 .52409 L
.47206 .52377 L
.47093 .52216 L
.47013 .5211 L
.46952 .52023 L
.46821 .5185 L
.46803 .51831 L
.46676 .51638 L
.46628 .51574 L
.4654 .51445 L
.46435 .51303 L
.464 .51253 L
.46264 .5106 L
.46242 .51031 L
.46133 .50867 L
.4605 .50753 L
.45998 .50674 L
.45862 .50482 L
.45857 .50475 L
.4574 .50289 L
.45664 .50183 L
.45613 .50096 L
F
1 .23 0 r
.45664 .50771 m
.45735 .50867 L
.45857 .51011 L
.45893 .5106 L
.45857 .51225 L
.45751 .5106 L
.45664 .50947 L
.45615 .50867 L
F
0 .85 1 r
.45664 .39767 m
.45767 .39884 L
.45857 .39976 L
.45939 .40076 L
.4605 .40201 L
.46104 .40269 L
.46242 .40423 L
.46264 .40462 L
.46418 .40654 L
.46435 .40674 L
.46568 .40847 L
.46628 .40919 L
.4672 .4104 L
.46821 .41146 L
.46871 .41232 L
.47013 .41414 L
.47025 .41425 L
.47166 .41618 L
.47206 .41667 L
.47312 .41811 L
.47399 .419 L
.4746 .42003 L
.47591 .42173 L
.47612 .42196 L
.4775 .42389 L
.47784 .42432 L
.47893 .42581 L
.47977 .4267 L
.48095 .42774 L
.48169 .42946 L
.48187 .42967 L
.48324 .43159 L
.48362 .43208 L
.48466 .43352 L
.48555 .43449 L
.48654 .43545 L
.48747 .43727 L
.48756 .43737 L
.48893 .4393 L
.4894 .43991 L
.49034 .44123 L
.49133 .44237 L
.49209 .44316 L
.4932 .44508 L
.49326 .44516 L
.49457 .44701 L
.49518 .44781 L
.49598 .44894 L
.49711 .45032 L
.4976 .45086 L
.4988 .45279 L
.49904 .4531 L
.50017 .45472 L
.50096 .45577 L
.50157 .45664 L
.50289 .45838 L
.50306 .45857 L
.50435 .4605 L
.50482 .46112 L
.50571 .46242 L
.50674 .46382 L
.50711 .46435 L
.50849 .46628 L
.50867 .46652 L
.50981 .46821 L
.5106 .46927 L
.51117 .47013 L
.51253 .47201 L
.51256 .47206 L
.51383 .47399 L
.51445 .47485 L
.51512 .47591 L
.51638 .4777 L
.51646 .47784 L
.51761 .47977 L
.51831 .48084 L
.5187 .48169 L
.51831 .48231 L
.5177 .48169 L
.51638 .48037 L
.51584 .47977 L
.51445 .47852 L
.51414 .47784 L
.51253 .47593 L
.51249 .47591 L
.51093 .47399 L
.5106 .4736 L
.50936 .47206 L
.50867 .47166 L
.5078 .47013 L
.50674 .46884 L
.50601 .46821 L
.50482 .46632 L
.50478 .46628 L
.50329 .46435 L
.50289 .46412 L
.5018 .46242 L
.50096 .46139 L
.50009 .4605 L
.49904 .45879 L
.49888 .45857 L
.49741 .45664 L
.49711 .45645 L
.49595 .45472 L
.49518 .45375 L
.49433 .45279 L
.49326 .45111 L
.4931 .45086 L
.49163 .44894 L
.49133 .44872 L
.49018 .44701 L
.4894 .446 L
.48864 .44508 L
.48747 .44334 L
.48737 .44316 L
.48591 .44123 L
.48555 .44093 L
.48449 .4393 L
.48362 .43817 L
.483 .43737 L
.48169 .43549 L
.48167 .43545 L
.48026 .43352 L
.47977 .43308 L
.47822 .43159 L
.47784 .43026 L
.4774 .42967 L
.47605 .42774 L
.47591 .42755 L
.47467 .42581 L
.47399 .42513 L
.4728 .42389 L
.47206 .42224 L
.47186 .42196 L
.47051 .42003 L
.47013 .41951 L
.46914 .41811 L
.46821 .41702 L
.46747 .41618 L
.4664 .41425 L
.46628 .41408 L
.46507 .41232 L
.46435 .41132 L
.46372 .4104 L
.46242 .40858 L
.46233 .40847 L
.46109 .40654 L
.4605 .40569 L
.45979 .40462 L
.45857 .40281 L
.45849 .40269 L
.45732 .40076 L
.45664 .39972 L
.45616 .39884 L
F
0 .61 1 r
.45664 .49947 m
.45791 .50096 L
.45857 .50168 L
.45956 .50289 L
.4605 .50399 L
.46116 .50482 L
.46242 .50616 L
.46273 .50674 L
.46425 .50867 L
.46435 .50879 L
.46575 .5106 L
.46628 .51125 L
.46726 .51253 L
.46821 .51347 L
.46876 .51445 L
.47013 .51622 L
.47028 .51638 L
.4717 .51831 L
.47206 .51877 L
.47316 .52023 L
.47399 .52107 L
.47463 .52216 L
.47591 .52385 L
.47612 .52409 L
.47751 .52601 L
.47784 .52645 L
.47894 .52794 L
.47977 .52881 L
.48102 .52987 L
.48169 .53161 L
.48184 .53179 L
.48322 .53372 L
.48362 .53425 L
.48464 .53565 L
.48555 .53667 L
.4865 .53758 L
.48747 .5395 L
.48747 .5395 L
.48885 .54143 L
.4894 .54216 L
.49025 .54336 L
.49133 .54467 L
.49192 .54528 L
.49304 .54721 L
.49326 .5475 L
.4944 .54914 L
.49518 .5502 L
.49579 .55106 L
.49711 .55287 L
.49722 .55299 L
.49849 .55492 L
.49904 .55567 L
.49983 .55684 L
.50096 .55843 L
.50119 .55877 L
.50248 .5607 L
.50289 .56127 L
.50375 .56263 L
.50482 .56418 L
.50505 .56455 L
.50619 .56648 L
.50674 .56734 L
.5072 .56841 L
.50674 .56869 L
.50649 .56841 L
.50482 .56666 L
.50467 .56648 L
.50302 .56455 L
.50289 .56441 L
.50146 .56263 L
.50096 .56206 L
.4999 .5607 L
.49904 .55966 L
.49835 .55877 L
.49711 .5574 L
.49682 .55684 L
.49532 .55492 L
.49518 .55475 L
.49386 .55299 L
.49326 .55224 L
.49238 .55106 L
.49133 .54995 L
.49089 .54914 L
.48942 .54721 L
.4894 .54719 L
.48799 .54528 L
.48747 .54462 L
.48655 .54336 L
.48555 .54227 L
.48452 .54143 L
.48364 .5395 L
.48362 .53948 L
.48224 .53758 L
.48169 .53687 L
.48081 .53565 L
.47977 .53446 L
.47897 .53372 L
.47795 .53179 L
.47784 .53166 L
.47656 .52987 L
.47591 .52901 L
.47515 .52794 L
.47399 .52652 L
.47348 .52601 L
.47233 .52409 L
.47206 .52373 L
.47096 .52216 L
.47013 .52106 L
.46956 .52023 L
.46821 .51844 L
.46808 .51831 L
.4668 .51638 L
.46628 .51569 L
.46544 .51445 L
.46435 .51298 L
.46404 .51253 L
.46269 .5106 L
.46242 .51024 L
.46138 .50867 L
.4605 .50746 L
.46003 .50674 L
.45869 .50482 L
.45857 .50466 L
.45747 .50289 L
.45664 .50171 L
.45621 .50096 L
F
1 .22 0 r
.45664 .50781 m
.45728 .50867 L
.45857 .51019 L
.45887 .5106 L
.45857 .51217 L
.45758 .5106 L
.45664 .50937 L
.45622 .50867 L
F
1 .89 0 r
.45664 .49133 m
.45849 .49326 L
.45857 .49333 L
.46023 .49518 L
.4605 .49548 L
.4619 .49711 L
.46242 .49727 L
.46353 .49904 L
.46435 .49999 L
.46573 .50096 L
.46628 .50246 L
.46667 .50289 L
.46818 .50482 L
.46821 .50483 L
.4697 .50674 L
.47013 .50727 L
.4716 .50867 L
.47206 .50983 L
.47266 .5106 L
.47399 .51235 L
.47405 .51253 L
.47562 .51445 L
.47591 .51482 L
.47733 .51638 L
.47784 .51742 L
.47846 .51831 L
.47977 .52 L
.4798 .52023 L
.48144 .52216 L
.48169 .52248 L
.48303 .52409 L
.48362 .52511 L
.4842 .52601 L
.48555 .52772 L
.48578 .52794 L
.4872 .52987 L
.48747 .53022 L
.48873 .53179 L
.4894 .53288 L
.4899 .53372 L
.49133 .53549 L
.4915 .53565 L
.49291 .53758 L
.49326 .53802 L
.4944 .5395 L
.49518 .54069 L
.49558 .54143 L
.49711 .54329 L
.49718 .54336 L
.49902 .54528 L
.49904 .54586 L
.50005 .54721 L
.50096 .54854 L
.50124 .54914 L
.50283 .55106 L
.50289 .55111 L
.50463 .55299 L
.50482 .55374 L
.50567 .55492 L
.50674 .55643 L
.5069 .55684 L
.50846 .55877 L
.50867 .55896 L
.51022 .5607 L
.5106 .56165 L
.51127 .56263 L
.51253 .56436 L
.51258 .56455 L
.51406 .56648 L
.51445 .56685 L
.51578 .56841 L
.51638 .56962 L
.51685 .57033 L
.51825 .57226 L
.51831 .57234 L
.51962 .57419 L
.52023 .57482 L
.52128 .57611 L
.52216 .57767 L
.52239 .57804 L
.52376 .57997 L
.52409 .58041 L
.52513 .58189 L
.52601 .58293 L
.5267 .58382 L
.52787 .58575 L
.52794 .58585 L
.5292 .58768 L
.52987 .58861 L
.53055 .5896 L
.53179 .59132 L
.53194 .59153 L
.53318 .59346 L
.53372 .59422 L
.53448 .59538 L
.53565 .59709 L
.53579 .59731 L
.53698 .59924 L
.53758 .60013 L
.53817 .60116 L
.53758 .60295 L
.53595 .60116 L
.53565 .60086 L
.53427 .59924 L
.53372 .59863 L
.53264 .59731 L
.53179 .59661 L
.53105 .59538 L
.52987 .59399 L
.52922 .59346 L
.52794 .59153 L
.52794 .59153 L
.52644 .5896 L
.52601 .58927 L
.52494 .58768 L
.52409 .58664 L
.52316 .58575 L
.52216 .58408 L
.52196 .58382 L
.52049 .58189 L
.52023 .58169 L
.51902 .57997 L
.51831 .57908 L
.51734 .57804 L
.51638 .57647 L
.51613 .57611 L
.51466 .57419 L
.51445 .57401 L
.51322 .57226 L
.51253 .57139 L
.5116 .57033 L
.5106 .56875 L
.51037 .56841 L
.50891 .56648 L
.50867 .56627 L
.50748 .56455 L
.50674 .56362 L
.50591 .56263 L
.50482 .56097 L
.50466 .5607 L
.5032 .55877 L
.50289 .55849 L
.50115 .55684 L
.50096 .5558 L
.50025 .55492 L
.49904 .55314 L
.49896 .55299 L
.49753 .55106 L
.49711 .55067 L
.49559 .54914 L
.49518 .54795 L
.49461 .54721 L
.49326 .54528 L
.49326 .54527 L
.49188 .54336 L
.49133 .54282 L
.49003 .54143 L
.4894 .54005 L
.48899 .5395 L
.48763 .53758 L
.48747 .53737 L
.48625 .53565 L
.48555 .53492 L
.48448 .53372 L
.48362 .53212 L
.48339 .53179 L
.48202 .52987 L
.48169 .52943 L
.48064 .52794 L
.47977 .52696 L
.47896 .52601 L
.47784 .52414 L
.4778 .52409 L
.47644 .52216 L
.47591 .52146 L
.47505 .52023 L
.47399 .51894 L
.47347 .51831 L
.47225 .51638 L
.47206 .51612 L
.47089 .51445 L
.47013 .51343 L
.46951 .51253 L
.46821 .51081 L
.46804 .5106 L
.46676 .50867 L
.46628 .50803 L
.4654 .50674 L
.46435 .50531 L
.46402 .50482 L
.46266 .50289 L
.46242 .50257 L
.46136 .50096 L
.4605 .49977 L
.46002 .49904 L
.45868 .49711 L
.45857 .49696 L
.45746 .49518 L
.45664 .49399 L
.45622 .49326 L
F
1 .82 0 r
.45664 .40603 m
.45703 .40654 L
.45857 .40823 L
.45875 .40847 L
.45857 .4103 L
.45747 .40847 L
.45664 .40729 L
.45623 .40654 L
F
1 .21 0 r
.45664 .50793 m
.45719 .50867 L
.45857 .51028 L
.45881 .5106 L
.45857 .51207 L
.45766 .5106 L
.45664 .50927 L
.45629 .50867 L
F
0 .6 1 r
.45664 .49963 m
.4578 .50096 L
.45857 .50179 L
.45947 .50289 L
.4605 .50408 L
.46109 .50482 L
.46242 .50628 L
.46267 .50674 L
.46419 .50867 L
.46435 .50886 L
.4657 .5106 L
.46628 .51131 L
.46721 .51253 L
.46821 .51354 L
.46872 .51445 L
.47013 .51628 L
.47023 .51638 L
.47165 .51831 L
.47206 .51882 L
.47312 .52023 L
.47399 .52112 L
.47459 .52216 L
.47591 .5239 L
.47608 .52409 L
.47747 .52601 L
.47784 .5265 L
.47891 .52794 L
.47977 .52886 L
.48097 .52987 L
.48169 .53167 L
.4818 .53179 L
.48318 .53372 L
.48362 .5343 L
.4846 .53565 L
.48555 .53672 L
.48645 .53758 L
.48744 .5395 L
.48747 .53955 L
.48882 .54143 L
.4894 .54221 L
.49022 .54336 L
.49133 .54473 L
.49186 .54528 L
.493 .54721 L
.49326 .54756 L
.49436 .54914 L
.49518 .55026 L
.49575 .55106 L
.49711 .55295 L
.49714 .55299 L
.49844 .55492 L
.49904 .55574 L
.49978 .55684 L
.50096 .55851 L
.50114 .55877 L
.50241 .5607 L
.50289 .56137 L
.50368 .56263 L
.50482 .5643 L
.50497 .56455 L
.50604 .56648 L
.50674 .56768 L
.50682 .56841 L
.50674 .56842 L
.50673 .56841 L
.50482 .56653 L
.50478 .56648 L
.50313 .56455 L
.50289 .5643 L
.50154 .56263 L
.50096 .56197 L
.49997 .5607 L
.49904 .55959 L
.49841 .55877 L
.49711 .55731 L
.49687 .55684 L
.49537 .55492 L
.49518 .55469 L
.4939 .55299 L
.49326 .55219 L
.49242 .55106 L
.49133 .54988 L
.49093 .54914 L
.48946 .54721 L
.4894 .54714 L
.48803 .54528 L
.48747 .54458 L
.48658 .54336 L
.48555 .54222 L
.48458 .54143 L
.48367 .5395 L
.48362 .53944 L
.48227 .53758 L
.48169 .53683 L
.48084 .53565 L
.47977 .53441 L
.47902 .53372 L
.47798 .53179 L
.47784 .53161 L
.4766 .52987 L
.47591 .52897 L
.47518 .52794 L
.47399 .52647 L
.47354 .52601 L
.47237 .52409 L
.47206 .52368 L
.47099 .52216 L
.47013 .52101 L
.46959 .52023 L
.46821 .51837 L
.46814 .51831 L
.46684 .51638 L
.46628 .51563 L
.46547 .51445 L
.46435 .51292 L
.46408 .51253 L
.46274 .5106 L
.46242 .51018 L
.46143 .50867 L
.4605 .50738 L
.46008 .50674 L
.45876 .50482 L
.45857 .50456 L
.45755 .50289 L
.45664 .50158 L
.4563 .50096 L
F
1 .95 0 r
.45664 .46759 m
.45857 .46728 L
.4605 .46813 L
.4606 .46821 L
.46242 .47013 L
.46242 .47014 L
.46393 .47206 L
.46435 .47263 L
.46595 .47399 L
.46628 .47521 L
.46694 .47591 L
.46821 .47776 L
.46826 .47784 L
.46968 .47977 L
.47013 .48017 L
.47156 .48169 L
.47206 .48291 L
.47258 .48362 L
.47392 .48555 L
.47399 .48564 L
.47528 .48747 L
.47591 .48833 L
.47707 .4894 L
.47784 .49084 L
.4781 .49133 L
.47938 .49326 L
.47977 .49383 L
.48063 .49518 L
.48169 .4971 L
.4817 .49711 L
.48169 .49806 L
.47977 .498 L
.47792 .49711 L
.47784 .49704 L
.47591 .49525 L
.47585 .49518 L
.47417 .49326 L
.47399 .49296 L
.4726 .49133 L
.47206 .49034 L
.47139 .4894 L
.47013 .48812 L
.46963 .48747 L
.46822 .48555 L
.46821 .48553 L
.46679 .48362 L
.46628 .48286 L
.46565 .48169 L
.46435 .48016 L
.46393 .47977 L
.46244 .47784 L
.46242 .47772 L
.46118 .47591 L
.4605 .47509 L
.46009 .47399 L
.45857 .47226 L
.45845 .47206 L
.45686 .47013 L
.45664 .46899 L
.45632 .46821 L
F
1 .2 0 r
.45664 .50806 m
.45709 .50867 L
.45857 .51037 L
.45874 .5106 L
.45857 .51197 L
.45775 .5106 L
.45664 .50914 L
.45638 .50867 L
F
0 .59 1 r
.45664 .49981 m
.45766 .50096 L
.45857 .50191 L
.45938 .50289 L
.4605 .50417 L
.46102 .50482 L
.46242 .5064 L
.4626 .50674 L
.46413 .50867 L
.46435 .50893 L
.46564 .5106 L
.46628 .51138 L
.46716 .51253 L
.46821 .51361 L
.46867 .51445 L
.47013 .51635 L
.47016 .51638 L
.47161 .51831 L
.47206 .51888 L
.47308 .52023 L
.47399 .52118 L
.47455 .52216 L
.47591 .52396 L
.47603 .52409 L
.47743 .52601 L
.47784 .52655 L
.47887 .52794 L
.47977 .52891 L
.48091 .52987 L
.48169 .53172 L
.48176 .53179 L
.48315 .53372 L
.48362 .53435 L
.48457 .53565 L
.48555 .53678 L
.48639 .53758 L
.4874 .5395 L
.48747 .5396 L
.48878 .54143 L
.4894 .54226 L
.49018 .54336 L
.49133 .54479 L
.4918 .54528 L
.49296 .54721 L
.49326 .54761 L
.49432 .54914 L
.49518 .55032 L
.4957 .55106 L
.49708 .55299 L
.49711 .55303 L
.49839 .55492 L
.49904 .55581 L
.49973 .55684 L
.50096 .55859 L
.50109 .55877 L
.50234 .5607 L
.50289 .56148 L
.5036 .56263 L
.50482 .56444 L
.50489 .56455 L
.50482 .56636 L
.50325 .56455 L
.50289 .56419 L
.50163 .56263 L
.50096 .56188 L
.50004 .5607 L
.49904 .55951 L
.49847 .55877 L
.49711 .55722 L
.49692 .55684 L
.49542 .55492 L
.49518 .55463 L
.49395 .55299 L
.49326 .55213 L
.49246 .55106 L
.49133 .54982 L
.49097 .54914 L
.4895 .54721 L
.4894 .54709 L
.48807 .54528 L
.48747 .54453 L
.48662 .54336 L
.48555 .54216 L
.48464 .54143 L
.48371 .5395 L
.48362 .53939 L
.48231 .53758 L
.48169 .53678 L
.48088 .53565 L
.47977 .53436 L
.47908 .53372 L
.47802 .53179 L
.47784 .53157 L
.47663 .52987 L
.47591 .52893 L
.47521 .52794 L
.47399 .52641 L
.47359 .52601 L
.4724 .52409 L
.47206 .52364 L
.47103 .52216 L
.47013 .52097 L
.46962 .52023 L
.46821 .51831 L
.4682 .51831 L
.46688 .51638 L
.46628 .51558 L
.46551 .51445 L
.46435 .51287 L
.46412 .51253 L
.46279 .5106 L
.46242 .51011 L
.46148 .50867 L
.4605 .50731 L
.46014 .50674 L
.45883 .50482 L
.45857 .50446 L
.45764 .50289 L
.45664 .50143 L
.45639 .50096 L
F
0 .8 1 r
.45664 .47366 m
.45717 .47399 L
.45857 .47518 L
.45919 .47591 L
.4605 .4774 L
.46082 .47784 L
.46232 .47977 L
.46242 .47991 L
.46362 .48169 L
.46435 .48271 L
.4649 .48362 L
.46435 .48515 L
.46295 .48362 L
.46242 .48304 L
.46133 .48169 L
.4605 .48066 L
.45982 .47977 L
.45857 .47802 L
.45844 .47784 L
.45726 .47591 L
.45664 .47471 L
.45639 .47399 L
F
1 .88 0 r
.45664 .49176 m
.45818 .49326 L
.45857 .49362 L
.46 .49518 L
.4605 .49571 L
.46172 .49711 L
.46242 .49738 L
.46337 .49904 L
.46435 .50017 L
.46556 .50096 L
.46628 .50261 L
.46654 .50289 L
.46806 .50482 L
.46821 .50486 L
.46959 .50674 L
.47013 .5074 L
.47153 .50867 L
.47206 .50995 L
.47257 .5106 L
.47399 .51244 L
.47402 .51253 L
.47555 .51445 L
.47591 .51491 L
.47727 .51638 L
.47784 .51751 L
.4784 .51831 L
.47977 .52007 L
.47979 .52023 L
.48138 .52216 L
.48169 .52256 L
.48299 .52409 L
.48362 .52519 L
.48415 .52601 L
.48555 .52778 L
.48572 .52794 L
.48715 .52987 L
.48747 .53029 L
.48868 .53179 L
.4894 .53294 L
.48986 .53372 L
.49133 .53554 L
.49144 .53565 L
.49287 .53758 L
.49326 .53808 L
.49436 .5395 L
.49518 .54075 L
.49555 .54143 L
.49711 .54334 L
.49713 .54336 L
.49902 .54528 L
.49904 .54592 L
.50001 .54721 L
.50096 .5486 L
.50121 .54914 L
.50279 .55106 L
.50289 .55115 L
.50462 .55299 L
.50482 .55379 L
.50563 .55492 L
.50674 .55649 L
.50688 .55684 L
.50842 .55877 L
.50867 .559 L
.51019 .5607 L
.5106 .56172 L
.51123 .56263 L
.51253 .56442 L
.51256 .56455 L
.51401 .56648 L
.51445 .56691 L
.51574 .56841 L
.51638 .5697 L
.5168 .57033 L
.51819 .57226 L
.51831 .57242 L
.51957 .57419 L
.52023 .5749 L
.52122 .57611 L
.52216 .57776 L
.52234 .57804 L
.52369 .57997 L
.52409 .58051 L
.52506 .58189 L
.52601 .58305 L
.5266 .58382 L
.52778 .58575 L
.52794 .58597 L
.52911 .58768 L
.52987 .58875 L
.53045 .5896 L
.53179 .59153 L
.53179 .59153 L
.53305 .59346 L
.53372 .59442 L
.53434 .59538 L
.53563 .59731 L
.53565 .59734 L
.53675 .59924 L
.53758 .60055 L
.53789 .60116 L
.53758 .60245 L
.53631 .60116 L
.53565 .60053 L
.53452 .59924 L
.53372 .59838 L
.53284 .59731 L
.53179 .5964 L
.53121 .59538 L
.52987 .5938 L
.52943 .59346 L
.52807 .59153 L
.52794 .59137 L
.52655 .5896 L
.52601 .58917 L
.52503 .58768 L
.52409 .58652 L
.52327 .58575 L
.52216 .58398 L
.52203 .58382 L
.52057 .58189 L
.52023 .58162 L
.51909 .57997 L
.51831 .57899 L
.51741 .57804 L
.51638 .57639 L
.51618 .57611 L
.51472 .57419 L
.51445 .57396 L
.51327 .57226 L
.51253 .57132 L
.51165 .57033 L
.5106 .56869 L
.51041 .56841 L
.50895 .56648 L
.50867 .56623 L
.50752 .56455 L
.50674 .56357 L
.50595 .56263 L
.50482 .56091 L
.50469 .5607 L
.50324 .55877 L
.50289 .55845 L
.50118 .55684 L
.50096 .55576 L
.50029 .55492 L
.49904 .55309 L
.49898 .55299 L
.49756 .55106 L
.49711 .55063 L
.49562 .54914 L
.49518 .5479 L
.49465 .54721 L
.4933 .54528 L
.49326 .54523 L
.49191 .54336 L
.49133 .54278 L
.49006 .54143 L
.4894 .54 L
.48903 .5395 L
.48767 .53758 L
.48747 .53732 L
.48628 .53565 L
.48555 .53487 L
.48452 .53372 L
.48362 .53207 L
.48342 .53179 L
.48206 .52987 L
.48169 .52938 L
.48067 .52794 L
.47977 .52691 L
.479 .52601 L
.47784 .52409 L
.47784 .52408 L
.47648 .52216 L
.47591 .5214 L
.4751 .52023 L
.47399 .51887 L
.47353 .51831 L
.4723 .51638 L
.47206 .51606 L
.47095 .51445 L
.47013 .51335 L
.46956 .51253 L
.46821 .5107 L
.46812 .5106 L
.46682 .50867 L
.46628 .50794 L
.46547 .50674 L
.46435 .50521 L
.46409 .50482 L
.46275 .50289 L
.46242 .50244 L
.46146 .50096 L
.4605 .49962 L
.46012 .49904 L
.45882 .49711 L
.45857 .49675 L
.45764 .49518 L
.45664 .49367 L
.45642 .49326 L
F
1 .92 0 r
.45664 .38989 m
.45797 .39113 L
.45857 .39168 L
.45981 .39306 L
.4605 .39377 L
.46152 .39498 L
.46242 .39567 L
.46317 .39691 L
.46435 .39827 L
.46514 .39884 L
.46628 .40069 L
.46635 .40076 L
.46787 .40269 L
.46821 .40293 L
.46939 .40462 L
.47013 .4055 L
.47127 .40654 L
.47206 .40805 L
.4724 .40847 L
.47388 .4104 L
.47399 .41048 L
.47535 .41232 L
.47591 .41301 L
.4771 .41425 L
.47784 .41562 L
.47826 .41618 L
.47974 .41811 L
.47977 .41813 L
.48118 .42003 L
.48169 .42067 L
.48284 .42196 L
.48362 .4233 L
.48402 .42389 L
.48551 .42581 L
.48555 .42584 L
.48694 .42774 L
.48747 .42841 L
.48854 .42967 L
.4894 .43107 L
.48974 .43159 L
.49123 .43352 L
.49133 .4336 L
.49265 .43545 L
.49326 .43621 L
.49421 .43737 L
.49518 .43888 L
.49543 .4393 L
.49692 .44123 L
.49711 .4414 L
.4989 .44316 L
.49904 .44405 L
.49985 .44508 L
.50096 .44673 L
.50111 .44701 L
.50258 .44894 L
.50289 .44922 L
.50449 .45086 L
.50482 .45192 L
.50549 .45279 L
.50674 .4546 L
.5068 .45472 L
.50823 .45664 L
.50867 .45707 L
.51006 .45857 L
.5106 .45981 L
.51111 .4605 L
.51247 .46242 L
.51253 .46249 L
.51386 .46435 L
.51445 .46495 L
.51563 .46628 L
.51638 .46773 L
.51672 .46821 L
.51809 .47013 L
.51831 .47042 L
.51947 .47206 L
.52023 .47288 L
.52118 .47399 L
.52216 .47568 L
.52232 .47591 L
.52368 .47784 L
.52409 .47837 L
.52507 .47977 L
.52601 .48085 L
.5267 .48169 L
.5279 .48362 L
.52794 .48368 L
.52926 .48555 L
.52987 .48636 L
.53065 .48747 L
.53179 .48891 L
.53218 .4894 L
.53344 .49133 L
.53372 .49171 L
.53479 .49326 L
.53565 .49441 L
.53618 .49518 L
.53758 .49708 L
.5376 .49711 L
.53891 .49904 L
.5395 .49983 L
.54026 .50096 L
.54143 .50233 L
.54189 .50289 L
.54298 .50482 L
.54336 .50533 L
.54429 .50674 L
.54528 .50813 L
.54563 .50867 L
.54695 .5106 L
.54721 .51096 L
.5482 .51253 L
.54914 .51387 L
.54949 .51445 L
.55074 .51638 L
.55106 .51686 L
.5519 .51831 L
.55299 .52007 L
.55307 .52023 L
.55299 .52211 L
.5512 .52023 L
.55106 .52008 L
.54957 .51831 L
.54914 .51779 L
.54801 .51638 L
.54721 .51575 L
.54648 .51445 L
.54528 .51294 L
.54474 .51253 L
.54349 .5106 L
.54336 .51043 L
.54198 .50867 L
.54143 .50806 L
.54047 .50674 L
.5395 .50548 L
.5389 .50482 L
.53758 .50298 L
.53752 .50289 L
.53599 .50096 L
.53565 .50055 L
.53401 .49904 L
.53372 .49799 L
.53307 .49711 L
.53179 .49545 L
.53177 .49518 L
.53004 .49326 L
.52987 .49304 L
.52833 .49133 L
.52794 .49046 L
.52722 .4894 L
.52601 .48784 L
.5256 .48747 L
.52416 .48555 L
.52409 .48545 L
.52257 .48362 L
.52216 .48283 L
.52141 .48169 L
.52023 .48018 L
.51979 .47977 L
.51837 .47784 L
.51831 .47775 L
.51684 .47591 L
.51638 .47511 L
.51567 .47399 L
.51445 .47245 L
.51405 .47206 L
.51264 .47013 L
.51253 .46998 L
.51115 .46821 L
.5106 .46733 L
.50998 .46628 L
.50867 .46466 L
.50835 .46435 L
.50694 .46242 L
.50674 .46216 L
.50548 .4605 L
.50482 .45949 L
.50432 .45857 L
.50289 .45685 L
.50268 .45664 L
.50097 .45472 L
.50096 .45431 L
.49984 .45279 L
.49904 .45163 L
.49867 .45086 L
.49711 .44901 L
.49703 .44894 L
.49532 .44701 L
.49518 .44643 L
.49421 .44508 L
.49326 .44374 L
.49303 .44316 L
.4914 .44123 L
.49133 .44116 L
.4897 .4393 L
.4894 .43853 L
.48861 .43737 L
.48747 .43582 L
.48737 .43545 L
.48579 .43352 L
.48555 .43329 L
.48411 .43159 L
.48362 .43058 L
.48301 .42967 L
.48169 .42788 L
.48167 .42774 L
.48021 .42581 L
.47977 .42538 L
.47856 .42389 L
.47784 .42259 L
.47744 .42196 L
.47603 .42003 L
.47591 .41987 L
.47466 .41811 L
.47399 .41738 L
.47306 .41618 L
.47206 .41451 L
.4719 .41425 L
.47054 .41232 L
.47013 .41177 L
.46917 .4104 L
.46821 .40921 L
.46766 .40847 L
.46645 .40654 L
.46628 .4063 L
.46513 .40462 L
.46435 .40351 L
.46379 .40269 L
.46245 .40076 L
.46242 .40072 L
.4612 .39884 L
.4605 .39782 L
.45992 .39691 L
.45865 .39498 L
.45857 .39486 L
.45754 .39306 L
.45664 .39157 L
.45643 .39113 L
F
1 .19 0 r
.45664 .50822 m
.45697 .50867 L
.45857 .51047 L
.45867 .5106 L
.45857 .51185 L
.45786 .5106 L
.45664 .50899 L
.45648 .50867 L
F
0 .84 1 r
.45664 .39826 m
.45724 .39884 L
.45857 .40007 L
.45916 .40076 L
.4605 .40224 L
.46086 .40269 L
.46242 .40449 L
.46249 .40462 L
.46403 .40654 L
.46435 .40691 L
.46556 .40847 L
.46628 .40933 L
.46709 .4104 L
.46821 .4116 L
.46862 .41232 L
.47012 .41425 L
.47013 .41426 L
.47158 .41618 L
.47206 .41678 L
.47305 .41811 L
.47399 .41911 L
.47453 .42003 L
.47591 .42183 L
.47603 .42196 L
.47743 .42389 L
.47784 .42441 L
.47887 .42581 L
.47977 .42679 L
.48086 .42774 L
.48169 .42954 L
.4818 .42967 L
.48318 .43159 L
.48362 .43216 L
.48461 .43352 L
.48555 .43457 L
.48646 .43545 L
.48747 .43735 L
.48749 .43737 L
.48888 .4393 L
.4894 .43999 L
.49029 .44123 L
.49133 .44245 L
.49201 .44316 L
.49314 .44508 L
.49326 .44523 L
.49452 .44701 L
.49518 .44788 L
.49593 .44894 L
.49711 .45041 L
.49752 .45086 L
.49874 .45279 L
.49904 .45318 L
.50011 .45472 L
.50096 .45585 L
.50152 .45664 L
.50289 .45848 L
.50297 .45857 L
.50428 .4605 L
.50482 .46122 L
.50564 .46242 L
.50674 .46391 L
.50704 .46435 L
.50841 .46628 L
.50867 .46663 L
.50972 .46821 L
.5106 .4694 L
.51108 .47013 L
.51246 .47206 L
.51253 .47215 L
.5137 .47399 L
.51445 .47503 L
.51499 .47591 L
.5163 .47784 L
.51638 .47796 L
.51732 .47977 L
.51638 .48004 L
.51612 .47977 L
.51445 .47807 L
.51435 .47784 L
.5127 .47591 L
.51253 .47572 L
.51109 .47399 L
.5106 .47342 L
.50949 .47206 L
.50867 .47152 L
.50793 .47013 L
.50674 .46869 L
.50617 .46821 L
.50489 .46628 L
.50482 .46619 L
.50339 .46435 L
.50289 .46405 L
.50189 .46242 L
.50096 .46127 L
.50019 .4605 L
.49904 .45868 L
.49896 .45857 L
.49749 .45664 L
.49711 .45639 L
.49602 .45472 L
.49518 .45365 L
.49441 .45279 L
.49326 .45102 L
.49316 .45086 L
.4917 .44894 L
.49133 .44866 L
.49026 .44701 L
.4894 .44591 L
.48871 .44508 L
.48747 .44325 L
.48742 .44316 L
.48598 .44123 L
.48555 .44087 L
.48456 .4393 L
.48362 .43808 L
.48306 .43737 L
.48173 .43545 L
.48169 .4354 L
.48033 .43352 L
.47977 .433 L
.47828 .43159 L
.47784 .43016 L
.47747 .42967 L
.47613 .42774 L
.47591 .42745 L
.47474 .42581 L
.47399 .42503 L
.47289 .42389 L
.47206 .42212 L
.47194 .42196 L
.4706 .42003 L
.47013 .41939 L
.46922 .41811 L
.46821 .41687 L
.4676 .41618 L
.4665 .41425 L
.46628 .41394 L
.46517 .41232 L
.46435 .41117 L
.46383 .4104 L
.46249 .40847 L
.46242 .40837 L
.46123 .40654 L
.4605 .40548 L
.45994 .40462 L
.45868 .40269 L
.45857 .40253 L
.45758 .40076 L
.45664 .39919 L
.45649 .39884 L
F
0 .58 1 r
.45664 .50003 m
.4575 .50096 L
.45857 .50204 L
.45928 .50289 L
.4605 .50427 L
.46094 .50482 L
.46242 .50653 L
.46254 .50674 L
.46406 .50867 L
.46435 .50901 L
.46559 .5106 L
.46628 .51145 L
.46711 .51253 L
.46821 .51369 L
.46862 .51445 L
.47011 .51638 L
.47013 .51641 L
.47157 .51831 L
.47206 .51893 L
.47304 .52023 L
.47399 .52124 L
.47451 .52216 L
.47591 .52401 L
.47598 .52409 L
.47739 .52601 L
.47784 .5266 L
.47883 .52794 L
.47977 .52896 L
.48086 .52987 L
.48169 .53177 L
.48171 .53179 L
.48311 .53372 L
.48362 .53439 L
.48453 .53565 L
.48555 .53683 L
.48633 .53758 L
.48736 .5395 L
.48747 .53965 L
.48874 .54143 L
.4894 .54231 L
.49015 .54336 L
.49133 .54486 L
.49173 .54528 L
.49291 .54721 L
.49326 .54767 L
.49428 .54914 L
.49518 .55038 L
.49566 .55106 L
.49703 .55299 L
.49711 .5531 L
.49834 .55492 L
.49904 .55588 L
.49968 .55684 L
.50096 .55867 L
.50103 .55877 L
.50226 .5607 L
.50289 .56159 L
.50352 .56263 L
.50289 .56406 L
.50172 .56263 L
.50096 .56179 L
.50011 .5607 L
.49904 .55943 L
.49853 .55877 L
.49711 .55712 L
.49697 .55684 L
.49548 .55492 L
.49518 .55456 L
.494 .55299 L
.49326 .55207 L
.4925 .55106 L
.49133 .54975 L
.491 .54914 L
.48954 .54721 L
.4894 .54704 L
.48811 .54528 L
.48747 .54448 L
.48665 .54336 L
.48555 .54211 L
.48471 .54143 L
.48375 .5395 L
.48362 .53934 L
.48234 .53758 L
.48169 .53674 L
.48091 .53565 L
.47977 .5343 L
.47913 .53372 L
.47805 .53179 L
.47784 .53152 L
.47666 .52987 L
.47591 .52889 L
.47524 .52794 L
.47399 .52635 L
.47365 .52601 L
.47244 .52409 L
.47206 .52359 L
.47106 .52216 L
.47013 .52092 L
.46965 .52023 L
.46825 .51831 L
.46821 .51825 L
.46692 .51638 L
.46628 .51552 L
.46555 .51445 L
.46435 .51281 L
.46416 .51253 L
.46284 .5106 L
.46242 .51004 L
.46154 .50867 L
.4605 .50723 L
.46019 .50674 L
.45891 .50482 L
.45857 .50434 L
.45773 .50289 L
.45664 .50125 L
.4565 .50096 L
F
1 .94 0 r
.45664 .46805 m
.45857 .46745 L
.46036 .46821 L
.4605 .46837 L
.46232 .47013 L
.46242 .47026 L
.46387 .47206 L
.46435 .47269 L
.46591 .47399 L
.46628 .47526 L
.4669 .47591 L
.46821 .4778 L
.46823 .47784 L
.46964 .47977 L
.47013 .4802 L
.47153 .48169 L
.47206 .48295 L
.47254 .48362 L
.47388 .48555 L
.47399 .48569 L
.47524 .48747 L
.47591 .48839 L
.47702 .4894 L
.47784 .49095 L
.47804 .49133 L
.4793 .49326 L
.47977 .49396 L
.48052 .49518 L
.48144 .49711 L
.47977 .49781 L
.47826 .49711 L
.47784 .49676 L
.47603 .49518 L
.47591 .49503 L
.47429 .49326 L
.47399 .49278 L
.47268 .49133 L
.47206 .49022 L
.47146 .4894 L
.47013 .48803 L
.4697 .48747 L
.46828 .48555 L
.46821 .48545 L
.46684 .48362 L
.46628 .48278 L
.4657 .48169 L
.46435 .4801 L
.46398 .47977 L
.46245 .47784 L
.46242 .47767 L
.46123 .47591 L
.4605 .475 L
.46014 .47399 L
.45857 .47212 L
.45853 .47206 L
.45691 .47013 L
.45664 .46848 L
.45659 .46821 L
F
1 .18 0 r
.45664 .50848 m
.45677 .50867 L
.45857 .51058 L
.45858 .5106 L
.45857 .51171 L
.45801 .5106 L
.45664 .50877 L
.4566 .50867 L
F
0 .57 1 r
.45664 .50035 m
.45729 .50096 L
.45857 .50217 L
.45918 .50289 L
.4605 .50438 L
.46086 .50482 L
.46242 .50666 L
.46247 .50674 L
.464 .50867 L
.46435 .50909 L
.46553 .5106 L
.46628 .51152 L
.46706 .51253 L
.46821 .51377 L
.46857 .51445 L
.47006 .51638 L
.47013 .51647 L
.47152 .51831 L
.47206 .51899 L
.473 .52023 L
.47399 .5213 L
.47447 .52216 L
.47591 .52407 L
.47593 .52409 L
.47735 .52601 L
.47784 .52665 L
.4788 .52794 L
.47977 .52902 L
.48079 .52987 L
.48167 .53179 L
.48169 .53182 L
.48307 .53372 L
.48362 .53444 L
.4845 .53565 L
.48555 .53689 L
.48628 .53758 L
.48732 .5395 L
.48747 .5397 L
.4887 .54143 L
.4894 .54237 L
.49011 .54336 L
.49133 .54493 L
.49167 .54528 L
.49287 .54721 L
.49326 .54773 L
.49424 .54914 L
.49518 .55044 L
.49562 .55106 L
.49698 .55299 L
.49711 .55317 L
.49828 .55492 L
.49904 .55596 L
.49963 .55684 L
.50096 .55875 L
.50097 .55877 L
.50218 .5607 L
.50289 .56172 L
.50343 .56263 L
.50289 .56393 L
.50183 .56263 L
.50096 .56169 L
.50019 .5607 L
.49904 .55935 L
.49859 .55877 L
.49711 .55702 L
.49702 .55684 L
.49553 .55492 L
.49518 .5545 L
.49405 .55299 L
.49326 .55202 L
.49254 .55106 L
.49133 .54968 L
.49104 .54914 L
.48958 .54721 L
.4894 .54699 L
.48815 .54528 L
.48747 .54443 L
.48669 .54336 L
.48555 .54205 L
.48478 .54143 L
.48378 .5395 L
.48362 .5393 L
.48237 .53758 L
.48169 .5367 L
.48094 .53565 L
.47977 .53425 L
.47919 .53372 L
.47808 .53179 L
.47784 .53148 L
.47669 .52987 L
.47591 .52884 L
.47527 .52794 L
.47399 .5263 L
.47371 .52601 L
.47247 .52409 L
.47206 .52354 L
.4711 .52216 L
.47013 .52087 L
.46969 .52023 L
.46829 .51831 L
.46821 .5182 L
.46696 .51638 L
.46628 .51547 L
.46559 .51445 L
.46435 .51275 L
.4642 .51253 L
.46289 .5106 L
.46242 .50996 L
.46159 .50867 L
.4605 .50714 L
.46024 .50674 L
.459 .50482 L
.45857 .50421 L
.45784 .50289 L
.45664 .50101 L
.45662 .50096 L
F
1 .86 0 r
.45857 .44205 m
.45926 .44316 L
.4605 .44431 L
.46115 .44508 L
.46242 .44654 L
.463 .44701 L
.46435 .44886 L
.46442 .44894 L
.46595 .45086 L
.46628 .45108 L
.46744 .45279 L
.46821 .45373 L
.469 .45472 L
.47013 .45647 L
.47022 .45664 L
.47156 .45857 L
.47206 .45935 L
.47277 .4605 L
.47363 .46242 L
.47206 .46326 L
.47094 .46242 L
.47013 .46233 L
.46906 .4605 L
.46821 .4598 L
.46746 .45857 L
.46628 .45718 L
.4657 .45664 L
.4645 .45472 L
.46435 .45453 L
.46312 .45279 L
.46242 .45185 L
.46174 .45086 L
.4605 .44925 L
.46028 .44894 L
.45911 .44701 L
.45857 .4462 L
.45791 .44508 L
.45682 .44316 L
F
1 .93 0 r
.45857 .46762 m
.46011 .46821 L
.4605 .46861 L
.46223 .47013 L
.46242 .47037 L
.46381 .47206 L
.46435 .47276 L
.46587 .47399 L
.46628 .47531 L
.46686 .47591 L
.46821 .47783 L
.46821 .47784 L
.46961 .47977 L
.47013 .48024 L
.4715 .48169 L
.47206 .483 L
.47251 .48362 L
.47384 .48555 L
.47399 .48574 L
.4752 .48747 L
.47591 .48845 L
.47696 .4894 L
.47784 .49107 L
.47798 .49133 L
.47922 .49326 L
.47977 .4941 L
.48041 .49518 L
.48112 .49711 L
.47977 .49763 L
.47863 .49711 L
.47784 .49652 L
.47621 .49518 L
.47591 .49482 L
.47441 .49326 L
.47399 .49261 L
.47276 .49133 L
.47206 .4901 L
.47152 .4894 L
.47013 .48794 L
.46977 .48747 L
.46833 .48555 L
.46821 .48537 L
.46689 .48362 L
.46628 .48271 L
.46574 .48169 L
.46435 .48005 L
.46404 .47977 L
.46245 .47784 L
.46242 .47761 L
.46128 .47591 L
.4605 .47492 L
.46018 .47399 L
.45862 .47206 L
.45857 .47198 L
.45698 .47013 L
.45687 .46821 L
F
1 .85 0 r
.45857 .44237 m
.45904 .44316 L
.4605 .44447 L
.46101 .44508 L
.46242 .44667 L
.46286 .44701 L
.46433 .44894 L
.46435 .44896 L
.46587 .45086 L
.46628 .45114 L
.46736 .45279 L
.46821 .45383 L
.46892 .45472 L
.47013 .45659 L
.47016 .45664 L
.47147 .45857 L
.47206 .45951 L
.47266 .4605 L
.47344 .46242 L
.47206 .46309 L
.47111 .46242 L
.47013 .46227 L
.46915 .4605 L
.46821 .45971 L
.46753 .45857 L
.46628 .4571 L
.46579 .45664 L
.46456 .45472 L
.46435 .45445 L
.46318 .45279 L
.46242 .45177 L
.4618 .45086 L
.4605 .4491 L
.46039 .44894 L
.4592 .44701 L
.45857 .44605 L
.45801 .44508 L
.45703 .44316 L
F
1 .92 0 r
.45857 .46778 m
.45983 .46821 L
.4605 .46881 L
.46213 .47013 L
.46242 .47048 L
.46375 .47206 L
.46435 .47283 L
.46583 .47399 L
.46628 .47535 L
.46682 .47591 L
.46818 .47784 L
.46821 .47788 L
.46958 .47977 L
.47013 .48027 L
.47146 .48169 L
.47206 .48305 L
.47247 .48362 L
.4738 .48555 L
.47399 .48579 L
.47516 .48747 L
.47591 .48851 L
.47691 .4894 L
.47784 .49119 L
.47791 .49133 L
.47914 .49326 L
.47977 .49425 L
.48029 .49518 L
.48071 .49711 L
.47977 .4974 L
.47907 .49711 L
.47784 .49631 L
.47638 .49518 L
.47591 .49463 L
.47453 .49326 L
.47399 .49246 L
.47284 .49133 L
.47206 .49 L
.47158 .4894 L
.47013 .48785 L
.46984 .48747 L
.46839 .48555 L
.46821 .48529 L
.46694 .48362 L
.46628 .48264 L
.46578 .48169 L
.46435 .48 L
.46409 .47977 L
.46246 .47784 L
.46242 .47756 L
.46134 .47591 L
.4605 .47483 L
.46022 .47399 L
.4587 .47206 L
.45857 .47184 L
.45706 .47013 L
.45719 .46821 L
F
1 .91 0 r
.45857 .46795 m
.45949 .46821 L
.4605 .46898 L
.46203 .47013 L
.46242 .47058 L
.46368 .47206 L
.46435 .47289 L
.46579 .47399 L
.46628 .4754 L
.46678 .47591 L
.46814 .47784 L
.46821 .47792 L
.46954 .47977 L
.47013 .48031 L
.47143 .48169 L
.47206 .4831 L
.47244 .48362 L
.47377 .48555 L
.47399 .48585 L
.47512 .48747 L
.47591 .48857 L
.47685 .4894 L
.47784 .49132 L
.47785 .49133 L
.47906 .49326 L
.47977 .49442 L
.48017 .49518 L
.47977 .49709 L
.47784 .49613 L
.47657 .49518 L
.47591 .49446 L
.47465 .49326 L
.47399 .49233 L
.47291 .49133 L
.47206 .48991 L
.47164 .4894 L
.47013 .48776 L
.46991 .48747 L
.46845 .48555 L
.46821 .48521 L
.46698 .48362 L
.46628 .48257 L
.46582 .48169 L
.46435 .47995 L
.46415 .47977 L
.46246 .47784 L
.46242 .47751 L
.46139 .47591 L
.4605 .47474 L
.46026 .47399 L
.45878 .47206 L
.45857 .47169 L
.45715 .47013 L
.45756 .46821 L
F
1 .9 0 r
.45857 .46813 m
.45901 .46821 L
.4605 .46913 L
.46193 .47013 L
.46242 .47067 L
.46362 .47206 L
.46435 .47296 L
.46574 .47399 L
.46628 .47545 L
.46674 .47591 L
.4681 .47784 L
.46821 .47797 L
.46951 .47977 L
.47013 .48035 L
.4714 .48169 L
.47206 .48315 L
.4724 .48362 L
.47373 .48555 L
.47399 .4859 L
.47508 .48747 L
.47591 .48863 L
.47679 .4894 L
.47778 .49133 L
.47784 .49141 L
.47898 .49326 L
.47977 .49462 L
.48004 .49518 L
.47977 .49679 L
.47784 .49596 L
.47675 .49518 L
.47591 .4943 L
.47477 .49326 L
.47399 .4922 L
.47299 .49133 L
.47206 .48982 L
.47169 .4894 L
.47013 .48767 L
.46998 .48747 L
.4685 .48555 L
.46821 .48514 L
.46703 .48362 L
.46628 .4825 L
.46586 .48169 L
.46435 .4799 L
.4642 .47977 L
.46246 .47784 L
.46242 .47745 L
.46144 .47591 L
.4605 .47464 L
.46029 .47399 L
.45887 .47206 L
.45857 .47154 L
.45727 .47013 L
.45807 .46821 L
F
1 .84 0 r
.45857 .44279 m
.45879 .44316 L
.4605 .44465 L
.46086 .44508 L
.46242 .4468 L
.46271 .44701 L
.46424 .44894 L
.46435 .44907 L
.46578 .45086 L
.46628 .45121 L
.46728 .45279 L
.46821 .45394 L
.46884 .45472 L
.47009 .45664 L
.47013 .45671 L
.47138 .45857 L
.47206 .45967 L
.47255 .4605 L
.47322 .46242 L
.47206 .46292 L
.47129 .46242 L
.47013 .46219 L
.46924 .4605 L
.46821 .45962 L
.46759 .45857 L
.46628 .457 L
.46589 .45664 L
.46462 .45472 L
.46435 .45436 L
.46324 .45279 L
.46242 .45168 L
.46186 .45086 L
.4605 .44894 L
.4605 .44893 L
.45929 .44701 L
.45857 .44588 L
.45813 .44508 L
.4573 .44316 L
F
1 .89 0 r
.45857 .46832 m
.4605 .46925 L
.46182 .47013 L
.46242 .47076 L
.46356 .47206 L
.46435 .47302 L
.46568 .47399 L
.46628 .4755 L
.46669 .47591 L
.46806 .47784 L
.46821 .47802 L
.46947 .47977 L
.47013 .48039 L
.47136 .48169 L
.47206 .4832 L
.47236 .48362 L
.47369 .48555 L
.47399 .48595 L
.47504 .48747 L
.47591 .48869 L
.47673 .4894 L
.47772 .49133 L
.47784 .49151 L
.47889 .49326 L
.47977 .49487 L
.4799 .49518 L
.47977 .49644 L
.47784 .4958 L
.47695 .49518 L
.47591 .49415 L
.47489 .49326 L
.47399 .49208 L
.47307 .49133 L
.47206 .48975 L
.47174 .4894 L
.47013 .48758 L
.47005 .48747 L
.46856 .48555 L
.46821 .48506 L
.46708 .48362 L
.46628 .48244 L
.4659 .48169 L
.46435 .47985 L
.46426 .47977 L
.46247 .47784 L
.46242 .47739 L
.46149 .47591 L
.4605 .47454 L
.46033 .47399 L
.45895 .47206 L
.45857 .47137 L
.45742 .47013 L
F
0 .79 1 r
.45857 .47537 m
.45904 .47591 L
.4605 .47755 L
.46071 .47784 L
.46218 .47977 L
.46242 .48008 L
.46349 .48169 L
.46435 .48292 L
.46475 .48362 L
.46435 .48489 L
.46315 .48362 L
.46242 .48284 L
.46148 .48169 L
.4605 .48047 L
.45996 .47977 L
.45859 .47784 L
.45857 .47781 L
.45746 .47591 L
F
0 .98 1 r
.45857 .43403 m
.4605 .43541 L
.46053 .43545 L
.4624 .43737 L
.46242 .4374 L
.46406 .4393 L
.46435 .43967 L
.46578 .44123 L
.46628 .44211 L
.4671 .44316 L
.46821 .44465 L
.46845 .44508 L
.47012 .44701 L
.47013 .44708 L
.47152 .44894 L
.47206 .44973 L
.47274 .45086 L
.47399 .45242 L
.47443 .45279 L
.47585 .45472 L
.47591 .45484 L
.47715 .45664 L
.47784 .45751 L
.47827 .45857 L
.47977 .46019 L
.48001 .4605 L
.48142 .46242 L
.48169 .46303 L
.48244 .46435 L
.48169 .46588 L
.47977 .46586 L
.47784 .46489 L
.47716 .46435 L
.47591 .46259 L
.47579 .46242 L
.47435 .4605 L
.47399 .46014 L
.47293 .45857 L
.47206 .45751 L
.47127 .45664 L
.47013 .45482 L
.47006 .45472 L
.46869 .45279 L
.46821 .45215 L
.4673 .45086 L
.46628 .44972 L
.46573 .44894 L
.46449 .44701 L
.46435 .44683 L
.46314 .44508 L
.46242 .44409 L
.46126 .44316 L
.4605 .44133 L
.4604 .44123 L
.45921 .4393 L
.45857 .43827 L
.4581 .43737 L
.45754 .43545 L
F
1 .88 0 r
.45857 .46854 m
.4605 .46935 L
.46171 .47013 L
.46242 .47085 L
.46349 .47206 L
.46435 .47308 L
.46563 .47399 L
.46628 .47555 L
.46665 .47591 L
.46803 .47784 L
.46821 .47807 L
.46944 .47977 L
.47013 .48043 L
.47132 .48169 L
.47206 .48325 L
.47233 .48362 L
.47365 .48555 L
.47399 .48601 L
.475 .48747 L
.47591 .48876 L
.47666 .4894 L
.47765 .49133 L
.47784 .49162 L
.4788 .49326 L
.47975 .49518 L
.47784 .49564 L
.47716 .49518 L
.47591 .49402 L
.47502 .49326 L
.47399 .49197 L
.47316 .49133 L
.47206 .48968 L
.47179 .4894 L
.47013 .48749 L
.47012 .48747 L
.46862 .48555 L
.46821 .48499 L
.46712 .48362 L
.46628 .48237 L
.46593 .48169 L
.46435 .4798 L
.46431 .47977 L
.46248 .47784 L
.46242 .47733 L
.46154 .47591 L
.4605 .47443 L
.46036 .47399 L
.45903 .47206 L
.45857 .47119 L
.4576 .47013 L
F
0 .78 1 r
.45857 .4756 m
.45885 .47591 L
.4605 .47772 L
.46059 .47784 L
.46203 .47977 L
.46242 .48027 L
.46333 .48169 L
.46435 .48318 L
.46458 .48362 L
.46435 .48457 L
.46339 .48362 L
.46242 .48263 L
.46165 .48169 L
.4605 .48027 L
.46012 .47977 L
.45878 .47784 L
.45857 .47752 L
.45771 .47591 L
F
1 .87 0 r
.45857 .46878 m
.4605 .46944 L
.4616 .47013 L
.46242 .47093 L
.46343 .47206 L
.46435 .47315 L
.46556 .47399 L
.46628 .4756 L
.4666 .47591 L
.46799 .47784 L
.46821 .47812 L
.4694 .47977 L
.47013 .48047 L
.47128 .48169 L
.47206 .48331 L
.47229 .48362 L
.47361 .48555 L
.47399 .48606 L
.47496 .48747 L
.47591 .48882 L
.47659 .4894 L
.47758 .49133 L
.47784 .49173 L
.47871 .49326 L
.47953 .49518 L
.47784 .49547 L
.4774 .49518 L
.47591 .49389 L
.47514 .49326 L
.47399 .49187 L
.47325 .49133 L
.47206 .48962 L
.47184 .4894 L
.47018 .48747 L
.47013 .48742 L
.46867 .48555 L
.46821 .48492 L
.46717 .48362 L
.46628 .48231 L
.46596 .48169 L
.46436 .47977 L
.46435 .47975 L
.46248 .47784 L
.46242 .47727 L
.46159 .47591 L
.4605 .47432 L
.4604 .47399 L
.45912 .47206 L
.45857 .47099 L
.45781 .47013 L
F
.45857 .49394 m
.45975 .49518 L
.4605 .49596 L
.46152 .49711 L
.46242 .49755 L
.4632 .49904 L
.46435 .50035 L
.46533 .50096 L
.46628 .50276 L
.4664 .50289 L
.46794 .50482 L
.46821 .50491 L
.46948 .50674 L
.47013 .50752 L
.47144 .50867 L
.47206 .51007 L
.47249 .5106 L
.47398 .51253 L
.47399 .51253 L
.47547 .51445 L
.47591 .51501 L
.47721 .51638 L
.47784 .5176 L
.47834 .51831 L
.47977 .52014 L
.47978 .52023 L
.48132 .52216 L
.48169 .52264 L
.48294 .52409 L
.48362 .52526 L
.48411 .52601 L
.48555 .52784 L
.48566 .52794 L
.4871 .52987 L
.48747 .53036 L
.48864 .53179 L
.4894 .53301 L
.48982 .53372 L
.49133 .53559 L
.49139 .53565 L
.49282 .53758 L
.49326 .53814 L
.49432 .5395 L
.49518 .54081 L
.49551 .54143 L
.49709 .54336 L
.49711 .54338 L
.49901 .54528 L
.49904 .54597 L
.49997 .54721 L
.50096 .54865 L
.50119 .54914 L
.50275 .55106 L
.50289 .55119 L
.5046 .55299 L
.50482 .55385 L
.50559 .55492 L
.50674 .55654 L
.50686 .55684 L
.50837 .55877 L
.50867 .55905 L
.51016 .5607 L
.5106 .56178 L
.51119 .56263 L
.51253 .56448 L
.51255 .56455 L
.51396 .56648 L
.51445 .56696 L
.51569 .56841 L
.51638 .56977 L
.51676 .57033 L
.51813 .57226 L
.51831 .57249 L
.51951 .57419 L
.52023 .57498 L
.52116 .57611 L
.52216 .57786 L
.52228 .57804 L
.52362 .57997 L
.52409 .58061 L
.52499 .58189 L
.52601 .58318 L
.52651 .58382 L
.52769 .58575 L
.52794 .58609 L
.52901 .58768 L
.52987 .58889 L
.53035 .5896 L
.53167 .59153 L
.53179 .59171 L
.53292 .59346 L
.53372 .59464 L
.53419 .59538 L
.53541 .59731 L
.53565 .59768 L
.53648 .59924 L
.53565 .60016 L
.53481 .59924 L
.53372 .59811 L
.53304 .59731 L
.53179 .59614 L
.53137 .59538 L
.52987 .5936 L
.52967 .59346 L
.52821 .59153 L
.52794 .59122 L
.52667 .5896 L
.52601 .58906 L
.52514 .58768 L
.52409 .5864 L
.52338 .58575 L
.52216 .58388 L
.52211 .58382 L
.52064 .58189 L
.52023 .58155 L
.51917 .57997 L
.51831 .57891 L
.51748 .57804 L
.51638 .57631 L
.51623 .57611 L
.51478 .57419 L
.51445 .57391 L
.51333 .57226 L
.51253 .57125 L
.5117 .57033 L
.5106 .56863 L
.51045 .56841 L
.509 .56648 L
.50867 .56619 L
.50757 .56455 L
.50674 .56351 L
.506 .56263 L
.50482 .56086 L
.50472 .5607 L
.50328 .55877 L
.50289 .55841 L
.5012 .55684 L
.50096 .55571 L
.50033 .55492 L
.49904 .55304 L
.49901 .55299 L
.4976 .55106 L
.49711 .5506 L
.49565 .54914 L
.49518 .54785 L
.49468 .54721 L
.49334 .54528 L
.49326 .54518 L
.49194 .54336 L
.49133 .54273 L
.49009 .54143 L
.4894 .53996 L
.48906 .5395 L
.4877 .53758 L
.48747 .53727 L
.48631 .53565 L
.48555 .53482 L
.48456 .53372 L
.48362 .53202 L
.48346 .53179 L
.4821 .52987 L
.48169 .52933 L
.48071 .52794 L
.47977 .52685 L
.47905 .52601 L
.47789 .52409 L
.47784 .52403 L
.47653 .52216 L
.47591 .52134 L
.47514 .52023 L
.47399 .51879 L
.47359 .51831 L
.47235 .51638 L
.47206 .51599 L
.471 .51445 L
.47013 .51328 L
.46961 .51253 L
.46821 .5106 L
.46821 .5106 L
.46689 .50867 L
.46628 .50784 L
.46554 .50674 L
.46435 .5051 L
.46416 .50482 L
.46285 .50289 L
.46242 .5023 L
.46156 .50096 L
.4605 .49946 L
.46023 .49904 L
.45899 .49711 L
.45857 .4965 L
.45784 .49518 L
F
0 .97 1 r
.45857 .38384 m
.46009 .38535 L
.4605 .38573 L
.4619 .38727 L
.46242 .38783 L
.46362 .3892 L
.46435 .38999 L
.46527 .39113 L
.46628 .39238 L
.46699 .39306 L
.46821 .39476 L
.46837 .39498 L
.46998 .39691 L
.47013 .39709 L
.47152 .39884 L
.47206 .39958 L
.47307 .40076 L
.47399 .40214 L
.47432 .40269 L
.47591 .40459 L
.476 .40462 L
.4778 .40654 L
.47784 .40707 L
.47893 .40847 L
.47977 .40971 L
.48012 .4104 L
.48169 .41228 L
.48185 .41232 L
.48349 .41425 L
.48362 .41473 L
.4847 .41618 L
.48555 .41741 L
.48584 .41811 L
.48747 .42 L
.48761 .42003 L
.4892 .42196 L
.4894 .42249 L
.4904 .42389 L
.49133 .4252 L
.49151 .42581 L
.49326 .42766 L
.49332 .42774 L
.49488 .42967 L
.49518 .43031 L
.49607 .43159 L
.49711 .43301 L
.49717 .43352 L
.499 .43545 L
.49904 .4355 L
.50054 .43737 L
.50096 .43816 L
.50172 .4393 L
.50289 .44085 L
.50326 .44123 L
.50466 .44316 L
.50482 .44335 L
.50619 .44508 L
.50674 .44603 L
.50736 .44701 L
.50867 .44869 L
.50891 .44894 L
.51032 .45086 L
.5106 .45122 L
.51183 .45279 L
.51253 .4539 L
.513 .45472 L
.51445 .45654 L
.51456 .45664 L
.51637 .45857 L
.51638 .4591 L
.51746 .4605 L
.51831 .46178 L
.51864 .46242 L
.5202 .46435 L
.52023 .46438 L
.52201 .46628 L
.52216 .46698 L
.52308 .46821 L
.52409 .46967 L
.52429 .47013 L
.52584 .47206 L
.52601 .47221 L
.52763 .47399 L
.52794 .47487 L
.5287 .47591 L
.52987 .47756 L
.52996 .47784 L
.53147 .47977 L
.53179 .48006 L
.53323 .48169 L
.53372 .48277 L
.53432 .48362 L
.53565 .48546 L
.53567 .48555 L
.5371 .48747 L
.53758 .48793 L
.53882 .4894 L
.5395 .49069 L
.53994 .49133 L
.54134 .49326 L
.54143 .49338 L
.54272 .49518 L
.54336 .49583 L
.5444 .49711 L
.54528 .49862 L
.54555 .49904 L
.54695 .50096 L
.54721 .50131 L
.54834 .50289 L
.54914 .50376 L
.54997 .50482 L
.55106 .50657 L
.55117 .50674 L
.55255 .50867 L
.55299 .50925 L
.55395 .5106 L
.55492 .51173 L
.55552 .51253 L
.55678 .51445 L
.55684 .51454 L
.55814 .51638 L
.55877 .51722 L
.56012 .51831 L
.5607 .51976 L
.56104 .52023 L
.56234 .52216 L
.56263 .52254 L
.56371 .52409 L
.56455 .52479 L
.56552 .52601 L
.56648 .52786 L
.56653 .52794 L
.56786 .52987 L
.56841 .5306 L
.56922 .53179 L
.57033 .53331 L
.57086 .53372 L
.57197 .53565 L
.57226 .53604 L
.57327 .53758 L
.57419 .53885 L
.5746 .5395 L
.57591 .54143 L
.57611 .54172 L
.577 .54336 L
.57611 .5441 L
.57525 .54336 L
.57419 .54245 L
.57308 .54143 L
.57226 .54084 L
.57108 .5395 L
.57033 .53852 L
.5687 .53758 L
.56841 .53621 L
.56763 .53565 L
.56648 .5345 L
.56609 .53372 L
.56455 .53217 L
.56449 .53179 L
.56272 .52987 L
.56263 .52973 L
.56115 .52794 L
.5607 .52718 L
.55983 .52601 L
.55877 .52458 L
.55851 .52409 L
.55684 .52217 L
.55683 .52216 L
.55536 .52023 L
.55492 .51955 L
.55412 .51831 L
.55299 .51686 L
.55248 .51638 L
.55107 .51445 L
.55106 .51444 L
.54969 .51253 L
.54914 .51175 L
.54856 .5106 L
.54721 .50899 L
.54676 .50867 L
.54533 .50674 L
.54528 .50663 L
.54404 .50482 L
.54336 .5039 L
.54304 .50289 L
.54143 .50111 L
.54106 .50096 L
.53964 .49904 L
.5395 .49879 L
.5384 .49711 L
.53758 .49603 L
.53679 .49518 L
.53565 .49359 L
.53539 .49326 L
.53396 .49133 L
.53372 .49093 L
.53277 .4894 L
.53179 .48817 L
.53113 .48747 L
.52987 .48572 L
.52973 .48555 L
.5283 .48362 L
.52794 .48305 L
.52714 .48169 L
.52601 .48031 L
.52547 .47977 L
.52409 .47784 L
.52409 .47784 L
.52266 .47591 L
.52216 .47516 L
.52153 .47399 L
.52023 .47245 L
.51983 .47206 L
.51833 .47013 L
.51831 .46996 L
.51703 .46821 L
.51638 .46727 L
.51591 .46628 L
.51445 .46459 L
.51419 .46435 L
.51263 .46242 L
.51253 .46207 L
.51141 .4605 L
.5106 .45938 L
.51029 .45857 L
.50867 .45675 L
.50856 .45664 L
.50697 .45472 L
.50674 .45418 L
.50579 .45279 L
.50482 .45149 L
.50466 .45086 L
.50293 .44894 L
.50289 .4489 L
.50133 .44701 L
.50096 .44628 L
.50017 .44508 L
.49904 .44359 L
.499 .44316 L
.4973 .44123 L
.49711 .44104 L
.49571 .4393 L
.49518 .43837 L
.49456 .43737 L
.49326 .43568 L
.49308 .43545 L
.49169 .43352 L
.49133 .43316 L
.4901 .43159 L
.4894 .43044 L
.48895 .42967 L
.48747 .42775 L
.48746 .42774 L
.48608 .42581 L
.48555 .42526 L
.48452 .42389 L
.48362 .42249 L
.48333 .42196 L
.48187 .42003 L
.48169 .41979 L
.47986 .41811 L
.47977 .4173 L
.47896 .41618 L
.47784 .41449 L
.47772 .41425 L
.47631 .41232 L
.47591 .41178 L
.47436 .4104 L
.47399 .40926 L
.47344 .40847 L
.47215 .40654 L
.47206 .40642 L
.4708 .40462 L
.47013 .4037 L
.46896 .40269 L
.46821 .40107 L
.468 .40076 L
.46671 .39884 L
.46628 .39824 L
.46538 .39691 L
.46435 .3958 L
.46378 .39498 L
.46272 .39306 L
.46242 .39264 L
.46146 .39113 L
.4605 .38972 L
.46017 .3892 L
.45898 .38727 L
.45857 .38664 L
.45789 .38535 L
F
0 .83 1 r
.45857 .40044 m
.45885 .40076 L
.4605 .40249 L
.46066 .40269 L
.46231 .40462 L
.46242 .40474 L
.46388 .40654 L
.46435 .40709 L
.46543 .40847 L
.46628 .40948 L
.46698 .4104 L
.46821 .41176 L
.46852 .41232 L
.47002 .41425 L
.47013 .41438 L
.47149 .41618 L
.47206 .41689 L
.47296 .41811 L
.47399 .41922 L
.47445 .42003 L
.47591 .42193 L
.47594 .42196 L
.47736 .42389 L
.47784 .4245 L
.4788 .42581 L
.47977 .42688 L
.48076 .42774 L
.48169 .42963 L
.48173 .42967 L
.48312 .43159 L
.48362 .43224 L
.48455 .43352 L
.48555 .43466 L
.48638 .43545 L
.48743 .43737 L
.48747 .43743 L
.48882 .4393 L
.4894 .44006 L
.49024 .44123 L
.49133 .44253 L
.49193 .44316 L
.49308 .44508 L
.49326 .44531 L
.49446 .44701 L
.49518 .44796 L
.49587 .44894 L
.49711 .4505 L
.49744 .45086 L
.49868 .45279 L
.49904 .45326 L
.50005 .45472 L
.50096 .45593 L
.50146 .45664 L
.50287 .45857 L
.50289 .45859 L
.50421 .4605 L
.50482 .46131 L
.50557 .46242 L
.50674 .46401 L
.50697 .46435 L
.50832 .46628 L
.50867 .46675 L
.50963 .46821 L
.5106 .46953 L
.51099 .47013 L
.51234 .47206 L
.51253 .47232 L
.51356 .47399 L
.51445 .47525 L
.51484 .47591 L
.51445 .47768 L
.51291 .47591 L
.51253 .47551 L
.51125 .47399 L
.5106 .47323 L
.50964 .47206 L
.50867 .47134 L
.50806 .47013 L
.50674 .46852 L
.50635 .46821 L
.505 .46628 L
.50482 .46605 L
.50349 .46435 L
.50289 .46396 L
.50199 .46242 L
.50096 .46114 L
.5003 .4605 L
.49904 .45857 L
.49904 .45857 L
.49757 .45664 L
.49711 .45632 L
.49611 .45472 L
.49518 .45354 L
.49449 .45279 L
.49326 .45092 L
.49322 .45086 L
.49177 .44894 L
.49133 .44859 L
.49033 .44701 L
.4894 .44581 L
.48878 .44508 L
.48747 .44316 L
.48747 .44316 L
.48605 .44123 L
.48555 .4408 L
.48462 .4393 L
.48362 .43798 L
.48314 .43737 L
.4818 .43545 L
.48169 .4353 L
.4804 .43352 L
.47977 .43292 L
.47835 .43159 L
.47784 .43006 L
.47755 .42967 L
.4762 .42774 L
.47591 .42735 L
.47481 .42581 L
.47399 .42492 L
.47299 .42389 L
.47206 .422 L
.47203 .42196 L
.47068 .42003 L
.47013 .41928 L
.46931 .41811 L
.46821 .41671 L
.46774 .41618 L
.46661 .41425 L
.46628 .4138 L
.46528 .41232 L
.46435 .41101 L
.46394 .4104 L
.46263 .40847 L
.46242 .40818 L
.46138 .40654 L
.4605 .40524 L
.46011 .40462 L
.45893 .40269 L
.45857 .40213 L
.45794 .40076 L
F
0 .56 1 r
.45857 .50233 m
.45906 .50289 L
.4605 .50448 L
.46077 .50482 L
.46239 .50674 L
.46242 .50679 L
.46393 .50867 L
.46435 .50917 L
.46547 .5106 L
.46628 .51159 L
.46701 .51253 L
.46821 .51385 L
.46853 .51445 L
.47001 .51638 L
.47013 .51653 L
.47147 .51831 L
.47206 .51905 L
.47295 .52023 L
.47399 .52136 L
.47443 .52216 L
.47588 .52409 L
.47591 .52412 L
.47731 .52601 L
.47784 .5267 L
.47876 .52794 L
.47977 .52908 L
.48073 .52987 L
.48163 .53179 L
.48169 .53187 L
.48304 .53372 L
.48362 .53449 L
.48446 .53565 L
.48555 .53695 L
.48621 .53758 L
.48728 .5395 L
.48747 .53976 L
.48867 .54143 L
.4894 .54242 L
.49007 .54336 L
.49133 .545 L
.4916 .54528 L
.49283 .54721 L
.49326 .54779 L
.49419 .54914 L
.49518 .5505 L
.49558 .55106 L
.49693 .55299 L
.49711 .55324 L
.49823 .55492 L
.49904 .55604 L
.49957 .55684 L
.5009 .55877 L
.50096 .55886 L
.5021 .5607 L
.50289 .56185 L
.50333 .56263 L
.50289 .56378 L
.50194 .56263 L
.50096 .56158 L
.50027 .5607 L
.49904 .55927 L
.49865 .55877 L
.49711 .55691 L
.49708 .55684 L
.49559 .55492 L
.49518 .55443 L
.4941 .55299 L
.49326 .55196 L
.49259 .55106 L
.49133 .54961 L
.49108 .54914 L
.48962 .54721 L
.4894 .54693 L
.48818 .54528 L
.48747 .54438 L
.48672 .54336 L
.48555 .54199 L
.48485 .54143 L
.48382 .5395 L
.48362 .53925 L
.48241 .53758 L
.48169 .53665 L
.48097 .53565 L
.47977 .53419 L
.47925 .53372 L
.47812 .53179 L
.47784 .53143 L
.47673 .52987 L
.47591 .5288 L
.47531 .52794 L
.47399 .52623 L
.47377 .52601 L
.47251 .52409 L
.47206 .5235 L
.47113 .52216 L
.47013 .52082 L
.46972 .52023 L
.46833 .51831 L
.46821 .51814 L
.467 .51638 L
.46628 .51541 L
.46564 .51445 L
.46435 .51269 L
.46424 .51253 L
.46295 .5106 L
.46242 .50988 L
.46165 .50867 L
.4605 .50706 L
.4603 .50674 L
.45909 .50482 L
.45857 .50406 L
.45796 .50289 L
F
1 .91 0 r
.45857 .39227 m
.45934 .39306 L
.4605 .39418 L
.46121 .39498 L
.46242 .39602 L
.46292 .39691 L
.46435 .39855 L
.46478 .39884 L
.46615 .40076 L
.46628 .40091 L
.4677 .40269 L
.46821 .40306 L
.46925 .40462 L
.47013 .40567 L
.47113 .40654 L
.47206 .40819 L
.4723 .40847 L
.47378 .4104 L
.47399 .41056 L
.47526 .41232 L
.47591 .41313 L
.47702 .41425 L
.47784 .41572 L
.47819 .41618 L
.47967 .41811 L
.47977 .41819 L
.48111 .42003 L
.48169 .42075 L
.48278 .42196 L
.48362 .42338 L
.48397 .42389 L
.48546 .42581 L
.48555 .42589 L
.48689 .42774 L
.48747 .42848 L
.48849 .42967 L
.4894 .43113 L
.4897 .43159 L
.49119 .43352 L
.49133 .43364 L
.49261 .43545 L
.49326 .43627 L
.49417 .43737 L
.49518 .43893 L
.4954 .4393 L
.49688 .44123 L
.49711 .44144 L
.49889 .44316 L
.49904 .4441 L
.49982 .44508 L
.50096 .44677 L
.50109 .44701 L
.50255 .44894 L
.50289 .44926 L
.50446 .45086 L
.50482 .45196 L
.50545 .45279 L
.50674 .45464 L
.50678 .45472 L
.50819 .45664 L
.50867 .45711 L
.51004 .45857 L
.5106 .45986 L
.51107 .4605 L
.51244 .46242 L
.51253 .46254 L
.51382 .46435 L
.51445 .465 L
.51559 .46628 L
.51638 .46778 L
.51668 .46821 L
.51805 .47013 L
.51831 .47047 L
.51944 .47206 L
.52023 .47293 L
.52113 .47399 L
.52216 .47574 L
.52228 .47591 L
.52364 .47784 L
.52409 .47843 L
.52503 .47977 L
.52601 .48092 L
.52665 .48169 L
.52785 .48362 L
.52794 .48374 L
.52921 .48555 L
.52987 .48643 L
.5306 .48747 L
.53179 .489 L
.53211 .4894 L
.53337 .49133 L
.53372 .4918 L
.53473 .49326 L
.53565 .4945 L
.53612 .49518 L
.53751 .49711 L
.53758 .4972 L
.53882 .49904 L
.5395 .49996 L
.54017 .50096 L
.54143 .50256 L
.5417 .50289 L
.54285 .50482 L
.54336 .50551 L
.54415 .50674 L
.54528 .50834 L
.54549 .50867 L
.54676 .5106 L
.54721 .51125 L
.54798 .51253 L
.54914 .51425 L
.54925 .51445 L
.55037 .51638 L
.55106 .51752 L
.55142 .51831 L
.55106 .51927 L
.55014 .51831 L
.54914 .51722 L
.54843 .51638 L
.54721 .51519 L
.54683 .51445 L
.54529 .51253 L
.54528 .51252 L
.54375 .5106 L
.54336 .51012 L
.54221 .50867 L
.54143 .5078 L
.54068 .50674 L
.5395 .50524 L
.5391 .50482 L
.53766 .50289 L
.53758 .50288 L
.53614 .50096 L
.53565 .50037 L
.53408 .49904 L
.53372 .49783 L
.53318 .49711 L
.53179 .49533 L
.53178 .49518 L
.53014 .49326 L
.52987 .49291 L
.52839 .49133 L
.52794 .49033 L
.5273 .4894 L
.52601 .48775 L
.52569 .48747 L
.52425 .48555 L
.52409 .48534 L
.52262 .48362 L
.52216 .48273 L
.52147 .48169 L
.52023 .48011 L
.51986 .47977 L
.51844 .47784 L
.51831 .47767 L
.51689 .47591 L
.51638 .47503 L
.51572 .47399 L
.51445 .47239 L
.51411 .47206 L
.51269 .47013 L
.51253 .46991 L
.51119 .46821 L
.5106 .46726 L
.51002 .46628 L
.50867 .46461 L
.5084 .46435 L
.50699 .46242 L
.50674 .4621 L
.50552 .4605 L
.50482 .45943 L
.50435 .45857 L
.50289 .4568 L
.50273 .45664 L
.50097 .45472 L
.50096 .45425 L
.49988 .45279 L
.49904 .45157 L
.4987 .45086 L
.49711 .44897 L
.49708 .44894 L
.49534 .44701 L
.49518 .44638 L
.49425 .44508 L
.49326 .44368 L
.49305 .44316 L
.49145 .44123 L
.49133 .44112 L
.48972 .4393 L
.4894 .43847 L
.48865 .43737 L
.48747 .43576 L
.48739 .43545 L
.48584 .43352 L
.48555 .43325 L
.48414 .43159 L
.48362 .43052 L
.48306 .42967 L
.48169 .42781 L
.48168 .42774 L
.48026 .42581 L
.47977 .42531 L
.47861 .42389 L
.47784 .42251 L
.4775 .42196 L
.4761 .42003 L
.47591 .41978 L
.47473 .41811 L
.47399 .41728 L
.47314 .41618 L
.47206 .4144 L
.47197 .41425 L
.47062 .41232 L
.47013 .41164 L
.46926 .4104 L
.46821 .40905 L
.46778 .40847 L
.46657 .40654 L
.46628 .40614 L
.46526 .40462 L
.46435 .40333 L
.46392 .40269 L
.46263 .40076 L
.46242 .40047 L
.46139 .39884 L
.4605 .39751 L
.46013 .39691 L
.45897 .39498 L
.45857 .39433 L
.45797 .39306 L
F
1 .86 0 r
.45857 .46906 m
.4605 .46952 L
.46148 .47013 L
.46242 .47101 L
.46336 .47206 L
.46435 .47321 L
.4655 .47399 L
.46628 .47565 L
.46655 .47591 L
.46795 .47784 L
.46821 .47817 L
.46937 .47977 L
.47013 .48052 L
.47124 .48169 L
.47206 .48336 L
.47225 .48362 L
.47357 .48555 L
.47399 .48612 L
.47492 .48747 L
.47591 .48889 L
.47651 .4894 L
.47751 .49133 L
.47784 .49185 L
.47861 .49326 L
.47924 .49518 L
.47784 .49528 L
.47767 .49518 L
.47591 .49377 L
.47527 .49326 L
.47399 .49178 L
.47334 .49133 L
.47206 .48956 L
.47189 .4894 L
.47024 .48747 L
.47013 .48735 L
.46873 .48555 L
.46821 .48485 L
.46721 .48362 L
.46628 .48224 L
.466 .48169 L
.46441 .47977 L
.46435 .47968 L
.46249 .47784 L
.46242 .4772 L
.46164 .47591 L
.4605 .47421 L
.46043 .47399 L
.4592 .47206 L
.45857 .47075 L
.45805 .47013 L
F
.45857 .49433 m
.45944 .49518 L
.4605 .49622 L
.4613 .49711 L
.46242 .49779 L
.46303 .49904 L
.46435 .50055 L
.46506 .50096 L
.46626 .50289 L
.46628 .50292 L
.46782 .50482 L
.46821 .50496 L
.46937 .50674 L
.47013 .50765 L
.47135 .50867 L
.47206 .51018 L
.4724 .5106 L
.47389 .51253 L
.47399 .51257 L
.47539 .51445 L
.47591 .5151 L
.47715 .51638 L
.47784 .51769 L
.47828 .51831 L
.47977 .52021 L
.47977 .52023 L
.48125 .52216 L
.48169 .52272 L
.48289 .52409 L
.48362 .52534 L
.48406 .52601 L
.48555 .52789 L
.4856 .52794 L
.48704 .52987 L
.48747 .53042 L
.4886 .53179 L
.4894 .53307 L
.48979 .53372 L
.49133 .53564 L
.49134 .53565 L
.49277 .53758 L
.49326 .5382 L
.49428 .5395 L
.49518 .54087 L
.49548 .54143 L
.49704 .54336 L
.49711 .54341 L
.49901 .54528 L
.49904 .54603 L
.49993 .54721 L
.50096 .54871 L
.50116 .54914 L
.5027 .55106 L
.50289 .55123 L
.50458 .55299 L
.50482 .55391 L
.50555 .55492 L
.50674 .5566 L
.50684 .55684 L
.50833 .55877 L
.50867 .55909 L
.51013 .5607 L
.5106 .56184 L
.51115 .56263 L
.51253 .56454 L
.51253 .56455 L
.51391 .56648 L
.51445 .56702 L
.51565 .56841 L
.51638 .56984 L
.51671 .57033 L
.51808 .57226 L
.51831 .57257 L
.51945 .57419 L
.52023 .57506 L
.52109 .57611 L
.52216 .57796 L
.52221 .57804 L
.52355 .57997 L
.52409 .58071 L
.52491 .58189 L
.52601 .58331 L
.5264 .58382 L
.5276 .58575 L
.52794 .58622 L
.52892 .58768 L
.52987 .58904 L
.53025 .5896 L
.53153 .59153 L
.53179 .5919 L
.53277 .59346 L
.53372 .59488 L
.53403 .59538 L
.53515 .59731 L
.53565 .59814 L
.5361 .59924 L
.53565 .59968 L
.5352 .59924 L
.53372 .59782 L
.53328 .59731 L
.53179 .59583 L
.53155 .59538 L
.52992 .59346 L
.52987 .5934 L
.52835 .59153 L
.52794 .59106 L
.52679 .5896 L
.52601 .58894 L
.52524 .58768 L
.52409 .58628 L
.5235 .58575 L
.5222 .58382 L
.52216 .58377 L
.52072 .58189 L
.52023 .58148 L
.51924 .57997 L
.51831 .57882 L
.51755 .57804 L
.51638 .57624 L
.51629 .57611 L
.51484 .57419 L
.51445 .57385 L
.51338 .57226 L
.51253 .57119 L
.51176 .57033 L
.5106 .56857 L
.51049 .56841 L
.50905 .56648 L
.50867 .56614 L
.50761 .56455 L
.50674 .56345 L
.50604 .56263 L
.50482 .56081 L
.50475 .5607 L
.50332 .55877 L
.50289 .55837 L
.50123 .55684 L
.50096 .55566 L
.50036 .55492 L
.49904 .553 L
.49903 .55299 L
.49763 .55106 L
.49711 .55056 L
.49568 .54914 L
.49518 .5478 L
.49472 .54721 L
.49337 .54528 L
.49326 .54513 L
.49198 .54336 L
.49133 .54269 L
.49013 .54143 L
.4894 .53991 L
.4891 .5395 L
.48774 .53758 L
.48747 .53722 L
.48635 .53565 L
.48555 .53478 L
.4846 .53372 L
.48362 .53196 L
.4835 .53179 L
.48214 .52987 L
.48169 .52928 L
.48075 .52794 L
.47977 .52679 L
.4791 .52601 L
.47793 .52409 L
.47784 .52397 L
.47657 .52216 L
.47591 .52128 L
.47518 .52023 L
.47399 .51871 L
.47366 .51831 L
.47241 .51638 L
.47206 .51591 L
.47105 .51445 L
.47013 .5132 L
.46967 .51253 L
.46827 .5106 L
.46821 .51051 L
.46696 .50867 L
.46628 .50774 L
.46561 .50674 L
.46435 .50499 L
.46424 .50482 L
.46295 .50289 L
.46242 .50216 L
.46167 .50096 L
.4605 .49928 L
.46035 .49904 L
.45917 .49711 L
.45857 .49618 L
.45808 .49518 L
F
0 .77 1 r
.45857 .47587 m
.45861 .47591 L
.45857 .47714 L
.45809 .47591 L
F
0 .55 1 r
.45857 .5025 m
.45891 .50289 L
.4605 .5046 L
.46068 .50482 L
.4623 .50674 L
.46242 .50688 L
.46385 .50867 L
.46435 .50925 L
.46541 .5106 L
.46628 .51166 L
.46695 .51253 L
.46821 .51394 L
.46848 .51445 L
.46996 .51638 L
.47013 .51659 L
.47143 .51831 L
.47206 .5191 L
.47291 .52023 L
.47399 .52143 L
.47439 .52216 L
.47584 .52409 L
.47591 .52418 L
.47727 .52601 L
.47784 .52675 L
.47872 .52794 L
.47977 .52914 L
.48066 .52987 L
.48159 .53179 L
.48169 .53192 L
.483 .53372 L
.48362 .53454 L
.48442 .53565 L
.48555 .53701 L
.48615 .53758 L
.48724 .5395 L
.48747 .53981 L
.48863 .54143 L
.4894 .54247 L
.49003 .54336 L
.49133 .54507 L
.49153 .54528 L
.49278 .54721 L
.49326 .54785 L
.49415 .54914 L
.49518 .55056 L
.49553 .55106 L
.49687 .55299 L
.49711 .55331 L
.49817 .55492 L
.49904 .55612 L
.49951 .55684 L
.50082 .55877 L
.50096 .55897 L
.502 .5607 L
.50289 .56201 L
.50323 .56263 L
.50289 .56361 L
.50207 .56263 L
.50096 .56147 L
.50035 .5607 L
.49904 .55918 L
.49872 .55877 L
.49714 .55684 L
.49711 .55681 L
.49565 .55492 L
.49518 .55436 L
.49415 .55299 L
.49326 .5519 L
.49263 .55106 L
.49133 .54953 L
.49113 .54914 L
.48967 .54721 L
.4894 .54688 L
.48822 .54528 L
.48747 .54433 L
.48676 .54336 L
.48555 .54193 L
.48493 .54143 L
.48386 .5395 L
.48362 .5392 L
.48244 .53758 L
.48169 .53661 L
.48101 .53565 L
.47977 .53413 L
.47932 .53372 L
.47816 .53179 L
.47784 .53139 L
.47676 .52987 L
.47591 .52875 L
.47534 .52794 L
.47399 .52617 L
.47383 .52601 L
.47255 .52409 L
.47206 .52345 L
.47117 .52216 L
.47013 .52077 L
.46976 .52023 L
.46837 .51831 L
.46821 .51809 L
.46705 .51638 L
.46628 .51535 L
.46568 .51445 L
.46435 .51263 L
.46428 .51253 L
.46301 .5106 L
.46242 .5098 L
.46171 .50867 L
.4605 .50696 L
.46036 .50674 L
.4592 .50482 L
.45857 .50389 L
.45811 .50289 L
F
1 .83 0 r
.45857 .44324 m
.4605 .44484 L
.46071 .44508 L
.46242 .44693 L
.46254 .44701 L
.46413 .44894 L
.46435 .44919 L
.46569 .45086 L
.46628 .45129 L
.4672 .45279 L
.46821 .45405 L
.46875 .45472 L
.47 .45664 L
.47013 .45684 L
.47129 .45857 L
.47206 .45985 L
.47243 .4605 L
.47296 .46242 L
.47206 .46274 L
.47152 .46242 L
.47013 .46208 L
.46934 .4605 L
.46821 .45952 L
.46767 .45857 L
.46628 .45691 L
.46599 .45664 L
.46469 .45472 L
.46435 .45428 L
.4633 .45279 L
.46242 .4516 L
.46193 .45086 L
.46058 .44894 L
.4605 .44882 L
.45939 .44701 L
.45857 .44569 L
.45825 .44508 L
F
0 .54 1 r
.45857 .45096 m
.45996 .45279 L
.4605 .45346 L
.46133 .45472 L
.46242 .45643 L
.46253 .45664 L
.46242 .45738 L
.46156 .45664 L
.4605 .45563 L
.45979 .45472 L
.45857 .45324 L
.45826 .45279 L
F
0 .99 1 r
.45857 .48798 m
.46008 .4894 L
.4605 .48973 L
.46232 .49133 L
.46242 .49141 L
.46435 .49304 L
.46463 .49326 L
.46628 .49463 L
.46702 .49518 L
.46821 .49625 L
.46923 .49711 L
.47013 .49807 L
.47106 .49904 L
.47206 .50029 L
.47262 .50096 L
.47399 .50276 L
.47409 .50289 L
.47555 .50482 L
.47591 .50541 L
.47693 .50674 L
.47784 .50805 L
.47827 .50867 L
.47977 .51057 L
.4798 .5106 L
.48121 .51253 L
.48169 .51322 L
.48249 .51445 L
.48362 .5159 L
.48404 .51638 L
.48543 .51831 L
.48555 .51849 L
.4867 .52023 L
.48747 .52121 L
.4877 .52216 L
.4894 .52392 L
.48966 .52409 L
.49101 .52601 L
.49133 .52645 L
.49209 .52794 L
.49326 .52928 L
.49391 .52987 L
.49518 .53166 L
.49529 .53179 L
.49658 .53372 L
.49711 .53441 L
.49748 .53565 L
.49904 .5373 L
.49955 .53758 L
.50093 .5395 L
.50096 .53956 L
.50217 .54143 L
.50289 .54233 L
.50379 .54336 L
.50482 .5448 L
.50519 .54528 L
.50658 .54721 L
.50674 .54747 L
.50778 .54914 L
.50867 .55023 L
.50943 .55106 L
.5106 .5527 L
.51082 .55299 L
.51222 .55492 L
.51253 .55537 L
.51338 .55684 L
.51445 .55812 L
.51507 .55877 L
.51638 .5606 L
.51646 .5607 L
.51785 .56263 L
.51831 .56327 L
.51898 .56455 L
.52023 .566 L
.5207 .56648 L
.52214 .56841 L
.52216 .5685 L
.52348 .57033 L
.52409 .57117 L
.52457 .57226 L
.52601 .57387 L
.52634 .57419 L
.52784 .57611 L
.52794 .57639 L
.5291 .57804 L
.52987 .57907 L
.53018 .57997 L
.53179 .58173 L
.53196 .58189 L
.53351 .58382 L
.53372 .58428 L
.53471 .58575 L
.53565 .58697 L
.5358 .58768 L
.53758 .58959 L
.53759 .5896 L
.53915 .59153 L
.5395 .59218 L
.54032 .59346 L
.54143 .59487 L
.54144 .59538 L
.54322 .59731 L
.54336 .59743 L
.54478 .59924 L
.54528 .60008 L
.54594 .60116 L
.54721 .60278 L
.54745 .60309 L
.54884 .60502 L
.54914 .60529 L
.55039 .60694 L
.55106 .608 L
.55155 .60887 L
.55299 .6107 L
.55306 .6108 L
.55445 .61273 L
.55492 .61318 L
.55599 .61465 L
.55684 .61595 L
.55717 .61658 L
.55866 .61851 L
.55877 .61866 L
.56059 .62043 L
.5607 .62112 L
.56156 .62236 L
.56263 .62394 L
.56278 .62429 L
.56423 .62621 L
.56455 .62665 L
.56613 .62814 L
.56648 .62914 L
.56709 .63007 L
.5684 .63199 L
.56841 .63201 L
.56975 .63392 L
.57033 .63473 L
.57156 .63585 L
.57226 .63733 L
.57254 .63778 L
.57383 .6397 L
.57419 .64021 L
.57515 .64163 L
.57611 .643 L
.57675 .64356 L
.57779 .64548 L
.57804 .64584 L
.57904 .64741 L
.57997 .64877 L
.58032 .64934 L
.58153 .65126 L
.58189 .65181 L
.58267 .65319 L
.58382 .65505 L
.58386 .65512 L
.58472 .65704 L
.58382 .6572 L
.58368 .65704 L
.58189 .65512 L
.58189 .65512 L
.58018 .65319 L
.57997 .65297 L
.57849 .65126 L
.57804 .65117 L
.57682 .64934 L
.57611 .64856 L
.57517 .64741 L
.57419 .64617 L
.57343 .64548 L
.57226 .6438 L
.57205 .64356 L
.57043 .64163 L
.57033 .64151 L
.56889 .6397 L
.56841 .63904 L
.56731 .63778 L
.56648 .63648 L
.56606 .63585 L
.56455 .63397 L
.56437 .63392 L
.5629 .63199 L
.56263 .63159 L
.56144 .63007 L
.5607 .62892 L
.56026 .62814 L
.55877 .62654 L
.55853 .62621 L
.55693 .62429 L
.55684 .62392 L
.55569 .62236 L
.55492 .6212 L
.55456 .62043 L
.55299 .61878 L
.55278 .61851 L
.55122 .61658 L
.55106 .61613 L
.55 .61465 L
.54914 .6134 L
.5489 .61273 L
.54721 .61096 L
.54709 .6108 L
.54554 .60887 L
.54528 .60829 L
.54434 .60694 L
.54336 .60556 L
.54325 .60502 L
.54143 .60309 L
.54143 .60309 L
.53988 .60116 L
.5395 .60042 L
.5387 .59924 L
.53758 .59771 L
.53717 .59731 L
.53577 .59538 L
.53565 .59522 L
.53423 .59346 L
.53372 .59254 L
.53306 .59153 L
.53179 .58986 L
.53152 .5896 L
.53012 .58768 L
.52987 .58735 L
.52859 .58575 L
.52794 .58466 L
.52743 .58382 L
.52601 .58202 L
.52588 .58189 L
.52448 .57997 L
.52409 .57947 L
.52297 .57804 L
.52216 .57678 L
.52179 .57611 L
.52024 .57419 L
.52023 .57418 L
.51842 .57226 L
.51831 .57158 L
.51734 .57033 L
.51638 .56889 L
.51614 .56841 L
.5146 .56648 L
.51445 .56634 L
.5128 .56455 L
.51253 .56369 L
.51172 .56263 L
.5106 .56101 L
.51048 .5607 L
.50897 .55877 L
.50867 .55849 L
.50719 .55684 L
.50674 .5558 L
.5061 .55492 L
.50482 .55312 L
.50478 .55299 L
.50333 .55106 L
.50289 .55062 L
.50159 .54914 L
.50096 .5479 L
.50048 .54721 L
.49909 .54528 L
.49904 .54522 L
.4977 .54336 L
.49711 .54274 L
.496 .54143 L
.49518 .53999 L
.49486 .5395 L
.49346 .53758 L
.49326 .53731 L
.49207 .53565 L
.49133 .53484 L
.49042 .53372 L
.4894 .53207 L
.48923 .53179 L
.48783 .52987 L
.48747 .52976 L
.48644 .52794 L
.48555 .52692 L
.48484 .52601 L
.48362 .52414 L
.48359 .52409 L
.48221 .52216 L
.48169 .52186 L
.4802 .52023 L
.47977 .51897 L
.47927 .51831 L
.47797 .51638 L
.47784 .51621 L
.47659 .51445 L
.47591 .5139 L
.47475 .51253 L
.47399 .511 L
.4737 .5106 L
.47236 .50867 L
.47206 .50828 L
.47098 .50674 L
.47013 .50598 L
.46924 .50482 L
.46821 .50304 L
.46811 .50289 L
.46675 .50096 L
.46628 .50034 L
.46536 .49904 L
.46435 .4977 L
.46349 .49711 L
.4625 .49518 L
.46242 .49509 L
.46115 .49326 L
.4605 .49243 L
.45975 .49133 L
.45857 .48983 L
.45828 .4894 L
F
0 .54 1 r
.45857 .50273 m
.45873 .50289 L
.4605 .50472 L
.46058 .50482 L
.4622 .50674 L
.46242 .50699 L
.46377 .50867 L
.46435 .50933 L
.46534 .5106 L
.46628 .51173 L
.4669 .51253 L
.46821 .51404 L
.46842 .51445 L
.46991 .51638 L
.47013 .51666 L
.47138 .51831 L
.47206 .51916 L
.47287 .52023 L
.47399 .52149 L
.47435 .52216 L
.4758 .52409 L
.47591 .52423 L
.47723 .52601 L
.47784 .5268 L
.47868 .52794 L
.47977 .5292 L
.48059 .52987 L
.48155 .53179 L
.48169 .53197 L
.48296 .53372 L
.48362 .53459 L
.48439 .53565 L
.48555 .53708 L
.48608 .53758 L
.4872 .5395 L
.48747 .53986 L
.48859 .54143 L
.4894 .54252 L
.48999 .54336 L
.49133 .54515 L
.49146 .54528 L
.49274 .54721 L
.49326 .54791 L
.4941 .54914 L
.49518 .55062 L
.49549 .55106 L
.49682 .55299 L
.49711 .55339 L
.49812 .55492 L
.49904 .55621 L
.49945 .55684 L
.50074 .55877 L
.50096 .55909 L
.5019 .5607 L
.50289 .5622 L
.50311 .56263 L
.50289 .5634 L
.50222 .56263 L
.50096 .56136 L
.50044 .5607 L
.49904 .55909 L
.49879 .55877 L
.49721 .55684 L
.49711 .55673 L
.49571 .55492 L
.49518 .55429 L
.4942 .55299 L
.49326 .55183 L
.49268 .55106 L
.49133 .54945 L
.49117 .54914 L
.48971 .54721 L
.4894 .54683 L
.48827 .54528 L
.48747 .54428 L
.4868 .54336 L
.48555 .54186 L
.485 .54143 L
.4839 .5395 L
.48362 .53916 L
.48248 .53758 L
.48169 .53656 L
.48104 .53565 L
.47977 .53407 L
.47938 .53372 L
.47819 .53179 L
.47784 .53134 L
.4768 .52987 L
.47591 .52871 L
.47537 .52794 L
.47399 .52611 L
.47389 .52601 L
.47259 .52409 L
.47206 .5234 L
.4712 .52216 L
.47013 .52072 L
.46979 .52023 L
.46841 .51831 L
.46821 .51803 L
.46709 .51638 L
.46628 .51529 L
.46572 .51445 L
.46435 .51256 L
.46433 .51253 L
.46307 .5106 L
.46242 .50972 L
.46177 .50867 L
.4605 .50686 L
.46043 .50674 L
.45933 .50482 L
.45857 .50364 L
.45832 .50289 L
F
0 .53 1 r
.45857 .45109 m
.45986 .45279 L
.4605 .45359 L
.46123 .45472 L
.4605 .45551 L
.45988 .45472 L
.45857 .45313 L
.45834 .45279 L
F
1 .85 0 r
.45857 .46944 m
.4605 .4696 L
.46135 .47013 L
.46242 .47109 L
.46329 .47206 L
.46435 .47327 L
.46543 .47399 L
.46628 .47569 L
.4665 .47591 L
.46791 .47784 L
.46821 .47822 L
.46933 .47977 L
.47013 .48057 L
.4712 .48169 L
.47206 .48342 L
.47221 .48362 L
.47353 .48555 L
.47399 .48618 L
.47487 .48747 L
.47591 .48896 L
.47644 .4894 L
.47744 .49133 L
.47784 .49197 L
.47851 .49326 L
.47784 .49509 L
.47591 .49365 L
.47541 .49326 L
.47399 .49169 L
.47344 .49133 L
.47206 .48951 L
.47194 .4894 L
.47031 .48747 L
.47013 .48729 L
.46879 .48555 L
.46821 .48478 L
.46726 .48362 L
.46628 .48218 L
.46603 .48169 L
.46446 .47977 L
.46435 .47961 L
.46251 .47784 L
.46242 .47713 L
.46169 .47591 L
.4605 .47408 L
.46047 .47399 L
.45929 .47206 L
.45857 .47045 L
.45834 .47013 L
F
1 .82 0 r
.45857 .44354 m
.4605 .44504 L
.46053 .44508 L
.46237 .44701 L
.46242 .44706 L
.46403 .44894 L
.46435 .44931 L
.4656 .45086 L
.46628 .45137 L
.46711 .45279 L
.46821 .45417 L
.46865 .45472 L
.46991 .45664 L
.47013 .45696 L
.47119 .45857 L
.47206 .46004 L
.47231 .4605 L
.4726 .46242 L
.47206 .46254 L
.47181 .46242 L
.47013 .46194 L
.46944 .4605 L
.46821 .45941 L
.46774 .45857 L
.46628 .45681 L
.4661 .45664 L
.46475 .45472 L
.46435 .45419 L
.46337 .45279 L
.46242 .45151 L
.46199 .45086 L
.46067 .44894 L
.4605 .44869 L
.45949 .44701 L
.45857 .44548 L
.45838 .44508 L
F
0 .52 1 r
.45857 .45125 m
.45974 .45279 L
.4605 .45374 L
.46112 .45472 L
.4605 .45537 L
.45999 .45472 L
.45857 .45301 L
.45842 .45279 L
F
1 .85 0 r
.45857 .4949 m
.45897 .49518 L
.4605 .49652 L
.46106 .49711 L
.46242 .49813 L
.46284 .49904 L
.46435 .50076 L
.46472 .50096 L
.46611 .50289 L
.46628 .50308 L
.4677 .50482 L
.46821 .50502 L
.46926 .50674 L
.47013 .50778 L
.47124 .50867 L
.47206 .5103 L
.47231 .5106 L
.47381 .51253 L
.47399 .51262 L
.47531 .51445 L
.47591 .5152 L
.47709 .51638 L
.47784 .51778 L
.47822 .51831 L
.47972 .52023 L
.47977 .52026 L
.48119 .52216 L
.48169 .5228 L
.48284 .52409 L
.48362 .52541 L
.48401 .52601 L
.48554 .52794 L
.48555 .52795 L
.48699 .52987 L
.48747 .53049 L
.48855 .53179 L
.4894 .53314 L
.48975 .53372 L
.49129 .53565 L
.49133 .53568 L
.49273 .53758 L
.49326 .53826 L
.49424 .5395 L
.49518 .54092 L
.49545 .54143 L
.497 .54336 L
.49711 .54345 L
.499 .54528 L
.49904 .54609 L
.49989 .54721 L
.50096 .54877 L
.50114 .54914 L
.50266 .55106 L
.50289 .55127 L
.50455 .55299 L
.50482 .55397 L
.50551 .55492 L
.50674 .55666 L
.50682 .55684 L
.50828 .55877 L
.50867 .55914 L
.5101 .5607 L
.5106 .5619 L
.5111 .56263 L
.51248 .56455 L
.51253 .56461 L
.51386 .56648 L
.51445 .56708 L
.5156 .56841 L
.51638 .56992 L
.51666 .57033 L
.51802 .57226 L
.51831 .57265 L
.51939 .57419 L
.52023 .57515 L
.52102 .57611 L
.52215 .57804 L
.52216 .57806 L
.52348 .57997 L
.52409 .58081 L
.52484 .58189 L
.52601 .58346 L
.52629 .58382 L
.52751 .58575 L
.52794 .58636 L
.52882 .58768 L
.52987 .58919 L
.53014 .5896 L
.53139 .59153 L
.53179 .59212 L
.53261 .59346 L
.53372 .59517 L
.53385 .59538 L
.53479 .59731 L
.53372 .59748 L
.53357 .59731 L
.53179 .59546 L
.53176 .59538 L
.5301 .59346 L
.52987 .5932 L
.5285 .59153 L
.52794 .59089 L
.52691 .5896 L
.52601 .5888 L
.52534 .58768 L
.52409 .58615 L
.52364 .58575 L
.52229 .58382 L
.52216 .58366 L
.52081 .58189 L
.52023 .5814 L
.51931 .57997 L
.51831 .57873 L
.51763 .57804 L
.51638 .57616 L
.51635 .57611 L
.5149 .57419 L
.51445 .5738 L
.51344 .57226 L
.51253 .57112 L
.51181 .57033 L
.5106 .5685 L
.51053 .56841 L
.5091 .56648 L
.50867 .5661 L
.50766 .56455 L
.50674 .5634 L
.50608 .56263 L
.50482 .56076 L
.50478 .5607 L
.50336 .55877 L
.50289 .55833 L
.50126 .55684 L
.50096 .5556 L
.5004 .55492 L
.49907 .55299 L
.49904 .55295 L
.49767 .55106 L
.49711 .55051 L
.49571 .54914 L
.49518 .54776 L
.49475 .54721 L
.49341 .54528 L
.49326 .54508 L
.49201 .54336 L
.49133 .54265 L
.49017 .54143 L
.4894 .53986 L
.48913 .5395 L
.48778 .53758 L
.48747 .53718 L
.48639 .53565 L
.48555 .53473 L
.48464 .53372 L
.48362 .53191 L
.48354 .53179 L
.48218 .52987 L
.48169 .52923 L
.48079 .52794 L
.47977 .52673 L
.47915 .52601 L
.47797 .52409 L
.47784 .52391 L
.47662 .52216 L
.47591 .52122 L
.47523 .52023 L
.47399 .51863 L
.47372 .51831 L
.47246 .51638 L
.47206 .51584 L
.47111 .51445 L
.47013 .51313 L
.46972 .51253 L
.46834 .5106 L
.46821 .51041 L
.46703 .50867 L
.46628 .50764 L
.46569 .50674 L
.46435 .50488 L
.46431 .50482 L
.46306 .50289 L
.46242 .502 L
.46179 .50096 L
.4605 .49908 L
.46047 .49904 L
.45941 .49711 L
.45857 .49565 L
.45844 .49518 L
F
1 .48 0 r
.45857 .52616 m
.45945 .52794 L
.45857 .52807 L
.45846 .52794 L
F
0 .51 1 r
.45857 .45143 m
.45959 .45279 L
.4605 .45392 L
.46099 .45472 L
.4605 .45521 L
.46011 .45472 L
.45857 .45288 L
.45851 .45279 L
F
1 .81 0 r
.45857 .44393 m
.46031 .44508 L
.4605 .44523 L
.46224 .44701 L
.46242 .4472 L
.46392 .44894 L
.46435 .44943 L
.46551 .45086 L
.46628 .45147 L
.46703 .45279 L
.46821 .4543 L
.46855 .45472 L
.46982 .45664 L
.47013 .4571 L
.4711 .45857 L
.47206 .46026 L
.47218 .4605 L
.47206 .46229 L
.47013 .46177 L
.46955 .4605 L
.46821 .45929 L
.46781 .45857 L
.46628 .4567 L
.46621 .45664 L
.46482 .45472 L
.46435 .4541 L
.46343 .45279 L
.46242 .45141 L
.46205 .45086 L
.46076 .44894 L
.4605 .44855 L
.4596 .44701 L
.45857 .4452 L
.45852 .44508 L
F
1 .99 0 r
.45857 .37672 m
.45991 .37764 L
.4605 .3781 L
.46196 .37957 L
.46242 .38002 L
.46379 .38149 L
.46435 .382 L
.46553 .38342 L
.46628 .38433 L
.46764 .38535 L
.46821 .38668 L
.46875 .38727 L
.47013 .38905 L
.47018 .3892 L
.47196 .39113 L
.47206 .39127 L
.47364 .39306 L
.47399 .39378 L
.47487 .39498 L
.47591 .39643 L
.47656 .39691 L
.47784 .39861 L
.47802 .39884 L
.47952 .40076 L
.47977 .40121 L
.48076 .40269 L
.48169 .40399 L
.48245 .40462 L
.48362 .40622 L
.48387 .40654 L
.48531 .40847 L
.48555 .40887 L
.48651 .4104 L
.48747 .41172 L
.48821 .41232 L
.4894 .41397 L
.48962 .41425 L
.49103 .41618 L
.49133 .41666 L
.49218 .41811 L
.49326 .41954 L
.49391 .42003 L
.49518 .42179 L
.49531 .42196 L
.4967 .42389 L
.49711 .42452 L
.49781 .42581 L
.49904 .4274 L
.49959 .42774 L
.50096 .42966 L
.50097 .42967 L
.50234 .43159 L
.50289 .43241 L
.50342 .43352 L
.50482 .43524 L
.50524 .43545 L
.50668 .43737 L
.50674 .43754 L
.50797 .4393 L
.50867 .4403 L
.50901 .44123 L
.5106 .44306 L
.51088 .44316 L
.51236 .44508 L
.51253 .44544 L
.5136 .44701 L
.51445 .44819 L
.51461 .44894 L
.51638 .45084 L
.51652 .45086 L
.51802 .45279 L
.51831 .45334 L
.51922 .45472 L
.52023 .45607 L
.52077 .45664 L
.52216 .45857 L
.52216 .45857 L
.52366 .4605 L
.52409 .46124 L
.52483 .46242 L
.52601 .46394 L
.5264 .46435 L
.5278 .46628 L
.52794 .46646 L
.5293 .46821 L
.52987 .46913 L
.53046 .47013 L
.53179 .47181 L
.53204 .47206 L
.53344 .47399 L
.53372 .47434 L
.53492 .47591 L
.53565 .47702 L
.53608 .47784 L
.53758 .47966 L
.53768 .47977 L
.53942 .48169 L
.5395 .48223 L
.54055 .48362 L
.54143 .48492 L
.54172 .48555 L
.54331 .48747 L
.54336 .48751 L
.54506 .4894 L
.54528 .49012 L
.54617 .49133 L
.54721 .49281 L
.54738 .49326 L
.54895 .49518 L
.54914 .49535 L
.55069 .49711 L
.55106 .49801 L
.55179 .49904 L
.55299 .5007 L
.55305 .50096 L
.55458 .50289 L
.55492 .5032 L
.55629 .50482 L
.55684 .50591 L
.55741 .50674 L
.55877 .5086 L
.55878 .50867 L
.56021 .5106 L
.5607 .51106 L
.56189 .51253 L
.56263 .51382 L
.56303 .51445 L
.56445 .51638 L
.56455 .51651 L
.56584 .51831 L
.56648 .51895 L
.56748 .52023 L
.56841 .52174 L
.56866 .52216 L
.57007 .52409 L
.57033 .52443 L
.57147 .52601 L
.57226 .52686 L
.57307 .52794 L
.57419 .52967 L
.5743 .52987 L
.5757 .53179 L
.57611 .53235 L
.57778 .53372 L
.57804 .5348 L
.57866 .53565 L
.57994 .53758 L
.57997 .53761 L
.58131 .5395 L
.58189 .54027 L
.58333 .54143 L
.58382 .54275 L
.58425 .54336 L
.58555 .54528 L
.58575 .54555 L
.58692 .54721 L
.58768 .54821 L
.5889 .54914 L
.5896 .55075 L
.58982 .55106 L
.59114 .55299 L
.59153 .55351 L
.59251 .55492 L
.59346 .55618 L
.59443 .55684 L
.59535 .55877 L
.59538 .55881 L
.59669 .5607 L
.59731 .56153 L
.59806 .56263 L
.59924 .56399 L
.59969 .56455 L
.60083 .56648 L
.60116 .56692 L
.60217 .56841 L
.60309 .5695 L
.60387 .57033 L
.60494 .57226 L
.60502 .57236 L
.60628 .57419 L
.60694 .57509 L
.60777 .57611 L
.60887 .57779 L
.60905 .57804 L
.6106 .57997 L
.6108 .58046 L
.61186 .58189 L
.61273 .58314 L
.61316 .58382 L
.61465 .58575 L
.61465 .58582 L
.61603 .58768 L
.61658 .58848 L
.61728 .5896 L
.61851 .59124 L
.61861 .59153 L
.62021 .59346 L
.62043 .59407 L
.62132 .59538 L
.62236 .59729 L
.62237 .59731 L
.62246 .59924 L
.62236 .59929 L
.62043 .59924 L
.62042 .59924 L
.61851 .59798 L
.61791 .59731 L
.61658 .59581 L
.61607 .59538 L
.61474 .59346 L
.61465 .59344 L
.61331 .59153 L
.61273 .59097 L
.61188 .5896 L
.6108 .58826 L
.61027 .58768 L
.60901 .58575 L
.60887 .58556 L
.60764 .58382 L
.60694 .58329 L
.60569 .58189 L
.60502 .58033 L
.60475 .57997 L
.60346 .57804 L
.60309 .57754 L
.60212 .57611 L
.60116 .57498 L
.60065 .57419 L
.59946 .57226 L
.59924 .57192 L
.5981 .57033 L
.59731 .56877 L
.59712 .56841 L
.59598 .56648 L
.59538 .5657 L
.5946 .56455 L
.59346 .56282 L
.5933 .56263 L
.59185 .5607 L
.59153 .56027 L
.59031 .55877 L
.5896 .55785 L
.58875 .55684 L
.58768 .55544 L
.58722 .55492 L
.58575 .553 L
.58574 .55299 L
.58417 .55106 L
.58382 .55061 L
.58262 .54914 L
.58189 .54815 L
.58113 .54721 L
.57997 .54561 L
.5797 .54528 L
.57838 .54336 L
.57804 .54285 L
.57678 .54143 L
.57611 .54051 L
.57533 .5395 L
.57419 .5379 L
.57393 .53758 L
.57258 .53565 L
.57226 .53517 L
.57151 .53372 L
.57033 .5327 L
.56964 .53179 L
.56841 .53007 L
.56825 .52987 L
.56692 .52794 L
.56648 .52732 L
.56587 .52601 L
.56455 .5244 L
.56398 .52409 L
.56263 .52219 L
.5626 .52216 L
.5613 .52023 L
.5607 .51942 L
.56033 .51831 L
.55877 .51695 L
.55834 .51638 L
.55694 .51445 L
.55684 .51428 L
.55569 .51253 L
.55492 .5115 L
.5541 .5106 L
.55299 .50905 L
.5527 .50867 L
.55129 .50674 L
.55106 .50638 L
.55009 .50482 L
.54914 .5036 L
.54846 .50289 L
.54721 .50115 L
.54707 .50096 L
.54565 .49904 L
.54528 .49847 L
.5445 .49711 L
.54336 .49571 L
.54282 .49518 L
.54143 .49326 L
.54143 .49325 L
.54002 .49133 L
.5395 .49057 L
.53889 .4894 L
.53758 .48784 L
.53718 .48747 L
.53569 .48555 L
.53565 .48536 L
.53439 .48362 L
.53372 .48267 L
.53329 .48169 L
.53179 .47999 L
.53155 .47977 L
.52999 .47784 L
.52987 .47747 L
.52877 .47591 L
.52794 .47477 L
.52767 .47399 L
.52601 .47214 L
.52592 .47206 L
.52433 .47013 L
.52409 .46957 L
.52315 .46821 L
.52216 .46688 L
.52203 .46628 L
.52028 .46435 L
.52023 .4643 L
.51869 .46242 L
.51831 .46168 L
.51753 .4605 L
.51638 .45899 L
.51637 .45857 L
.51465 .45664 L
.51445 .45645 L
.51306 .45472 L
.51253 .45378 L
.51191 .45279 L
.5106 .4511 L
.51041 .45086 L
.50902 .44894 L
.50867 .44859 L
.50744 .44701 L
.50674 .44588 L
.50628 .44508 L
.50482 .44321 L
.50478 .44316 L
.50339 .44123 L
.50289 .44071 L
.50183 .4393 L
.50096 .43797 L
.50064 .43737 L
.49915 .43545 L
.49904 .4353 L
.49722 .43352 L
.49711 .43281 L
.49622 .43159 L
.49518 .43005 L
.495 .42967 L
.49353 .42774 L
.49326 .42737 L
.49163 .42581 L
.49133 .4249 L
.49062 .42389 L
.4894 .42212 L
.48934 .42196 L
.48791 .42003 L
.48747 .41985 L
.48607 .41811 L
.48555 .41695 L
.48503 .41618 L
.48369 .41425 L
.48362 .41417 L
.48231 .41232 L
.48169 .41193 L
.48053 .4104 L
.47977 .40895 L
.47946 .40847 L
.47811 .40654 L
.47784 .40619 L
.47673 .40462 L
.47591 .40391 L
.47504 .40269 L
.47399 .40089 L
.47391 .40076 L
.47257 .39884 L
.47206 .39815 L
.4712 .39691 L
.47013 .39572 L
.46963 .39498 L
.46844 .39306 L
.46821 .39273 L
.46712 .39113 L
.46628 .38996 L
.46577 .3892 L
.46441 .38727 L
.46435 .38719 L
.46317 .38535 L
.46242 .38428 L
.46189 .38342 L
.46063 .38149 L
.4605 .38129 L
.45956 .37957 L
.45857 .37776 L
.45853 .37764 L
F
0 .88 1 r
.45857 .41633 m
.45972 .41811 L
.4605 .41907 L
.46108 .42003 L
.46242 .42178 L
.46253 .42196 L
.46242 .42296 L
.46169 .42196 L
.4605 .42058 L
.46009 .42003 L
.45857 .41812 L
.45856 .41811 L
F
1 .84 0 r
.4605 .46968 m
.46121 .47013 L
.46242 .47117 L
.46322 .47206 L
.46435 .47333 L
.46535 .47399 L
.46628 .47574 L
.46645 .47591 L
.46787 .47784 L
.46821 .47827 L
.4693 .47977 L
.47013 .48062 L
.47115 .48169 L
.47206 .48348 L
.47216 .48362 L
.47349 .48555 L
.47399 .48623 L
.47483 .48747 L
.47591 .48903 L
.47636 .4894 L
.47737 .49133 L
.47784 .49212 L
.47841 .49326 L
.47784 .49489 L
.47591 .49354 L
.47555 .49326 L
.47399 .4916 L
.47355 .49133 L
.47206 .48946 L
.47199 .4894 L
.47037 .48747 L
.47013 .48722 L
.46884 .48555 L
.46821 .48471 L
.46731 .48362 L
.46628 .48212 L
.46606 .48169 L
.46451 .47977 L
.46435 .47954 L
.46252 .47784 L
.46242 .47706 L
.46175 .47591 L
.46051 .47399 L
.4605 .47396 L
.45938 .47206 L
.45862 .47013 L
F
1 .83 0 r
.4605 .46977 m
.46107 .47013 L
.46242 .47125 L
.46315 .47206 L
.46435 .4734 L
.46527 .47399 L
.46628 .47579 L
.4664 .47591 L
.46783 .47784 L
.46821 .47832 L
.46926 .47977 L
.47013 .48067 L
.4711 .48169 L
.47206 .48354 L
.47212 .48362 L
.47345 .48555 L
.47399 .48629 L
.47479 .48747 L
.47591 .4891 L
.47627 .4894 L
.47729 .49133 L
.47784 .49228 L
.4783 .49326 L
.47784 .49467 L
.47591 .49342 L
.47569 .49326 L
.47399 .49152 L
.47366 .49133 L
.47206 .48942 L
.47204 .4894 L
.47044 .48747 L
.47013 .48716 L
.4689 .48555 L
.46821 .48464 L
.46736 .48362 L
.46628 .48206 L
.46609 .48169 L
.46457 .47977 L
.46435 .47947 L
.46254 .47784 L
.46242 .47698 L
.4618 .47591 L
.46058 .47399 L
.4605 .47385 L
.45946 .47206 L
.45881 .47013 L
F
0 .97 1 r
.4605 .43672 m
.46136 .43737 L
.46242 .43828 L
.46343 .4393 L
.46435 .44032 L
.46537 .44123 L
.46628 .4426 L
.46676 .44316 L
.46821 .44497 L
.46827 .44508 L
.47007 .44701 L
.47013 .44742 L
.47131 .44894 L
.47206 .45002 L
.47257 .45086 L
.47399 .4526 L
.47423 .45279 L
.47574 .45472 L
.47591 .45507 L
.47698 .45664 L
.47784 .45775 L
.47813 .45857 L
.47977 .46047 L
.47979 .4605 L
.48123 .46242 L
.48169 .46361 L
.48202 .46435 L
.48169 .46529 L
.47977 .46551 L
.47784 .46454 L
.47756 .46435 L
.47595 .46242 L
.47591 .4624 L
.47448 .4605 L
.47399 .46003 L
.47303 .45857 L
.47206 .45739 L
.47138 .45664 L
.47015 .45472 L
.47013 .45469 L
.46879 .45279 L
.46821 .45201 L
.4674 .45086 L
.46628 .44953 L
.46586 .44894 L
.46462 .44701 L
.46435 .44663 L
.4633 .44508 L
.46242 .44383 L
.46155 .44316 L
.46071 .44123 L
.4605 .4409 L
.45964 .4393 L
.4589 .43737 L
F
1 .82 0 r
.4605 .46988 m
.4609 .47013 L
.46242 .47133 L
.46308 .47206 L
.46435 .47346 L
.46519 .47399 L
.46628 .47585 L
.46635 .47591 L
.46779 .47784 L
.46821 .47837 L
.46922 .47977 L
.47013 .48072 L
.47105 .48169 L
.47206 .48359 L
.47208 .48362 L
.47341 .48555 L
.47399 .48635 L
.47474 .48747 L
.47591 .48918 L
.47618 .4894 L
.47721 .49133 L
.47784 .49246 L
.47818 .49326 L
.47784 .49443 L
.47591 .4933 L
.47585 .49326 L
.47399 .49144 L
.47378 .49133 L
.47211 .4894 L
.47206 .48935 L
.4705 .48747 L
.47013 .48709 L
.46896 .48555 L
.46821 .48457 L
.4674 .48362 L
.46628 .482 L
.46612 .48169 L
.46462 .47977 L
.46435 .4794 L
.46257 .47784 L
.46242 .4769 L
.46185 .47591 L
.46065 .47399 L
.4605 .47373 L
.45956 .47206 L
.45902 .47013 L
F
1 .81 0 r
.4605 .47 m
.46071 .47013 L
.46242 .47142 L
.463 .47206 L
.46435 .47353 L
.4651 .47399 L
.46628 .4759 L
.4663 .47591 L
.46775 .47784 L
.46821 .47842 L
.46919 .47977 L
.47013 .48077 L
.471 .48169 L
.47204 .48362 L
.47206 .48365 L
.47336 .48555 L
.47399 .48642 L
.4747 .48747 L
.47591 .48926 L
.47609 .4894 L
.47713 .49133 L
.47784 .49269 L
.47805 .49326 L
.47784 .49414 L
.47604 .49326 L
.47591 .49317 L
.47399 .49137 L
.47392 .49133 L
.47219 .4894 L
.47206 .48926 L
.47057 .48747 L
.47013 .48703 L
.46901 .48555 L
.46821 .48451 L
.46745 .48362 L
.46628 .48193 L
.46615 .48169 L
.46467 .47977 L
.46435 .47933 L
.46259 .47784 L
.46242 .47681 L
.46191 .47591 L
.46072 .47399 L
.4605 .4736 L
.45965 .47206 L
.45928 .47013 L
F
1 .9 0 r
.4605 .39465 m
.46081 .39498 L
.46242 .3965 L
.46264 .39691 L
.46434 .39884 L
.46435 .39885 L
.46595 .40076 L
.46628 .40114 L
.46753 .40269 L
.46821 .40321 L
.4691 .40462 L
.47013 .40584 L
.47097 .40654 L
.47206 .40833 L
.47218 .40847 L
.47367 .4104 L
.47399 .41064 L
.47516 .41232 L
.47591 .41324 L
.47693 .41425 L
.47784 .41582 L
.47812 .41618 L
.47959 .41811 L
.47977 .41825 L
.48105 .42003 L
.48169 .42084 L
.48272 .42196 L
.48362 .42346 L
.48392 .42389 L
.4854 .42581 L
.48555 .42594 L
.48683 .42774 L
.48747 .42854 L
.48844 .42967 L
.4894 .43119 L
.48966 .43159 L
.49114 .43352 L
.49133 .43369 L
.49256 .43545 L
.49326 .43632 L
.49413 .43737 L
.49518 .43898 L
.49537 .4393 L
.49684 .44123 L
.49711 .44147 L
.49887 .44316 L
.49904 .44415 L
.49978 .44508 L
.50096 .44682 L
.50106 .44701 L
.50251 .44894 L
.50289 .44929 L
.50444 .45086 L
.50482 .45201 L
.50542 .45279 L
.50674 .45468 L
.50676 .45472 L
.50816 .45664 L
.50867 .45715 L
.51001 .45857 L
.5106 .4599 L
.51104 .4605 L
.5124 .46242 L
.51253 .46259 L
.51379 .46435 L
.51445 .46504 L
.51556 .46628 L
.51638 .46783 L
.51665 .46821 L
.51801 .47013 L
.51831 .47052 L
.5194 .47206 L
.52023 .47298 L
.52109 .47399 L
.52216 .4758 L
.52224 .47591 L
.5236 .47784 L
.52409 .47849 L
.52499 .47977 L
.52601 .48099 L
.52659 .48169 L
.5278 .48362 L
.52794 .48381 L
.52916 .48555 L
.52987 .4865 L
.53054 .48747 L
.53179 .48909 L
.53203 .4894 L
.53331 .49133 L
.53372 .49188 L
.53466 .49326 L
.53565 .4946 L
.53605 .49518 L
.53742 .49711 L
.53758 .49731 L
.53873 .49904 L
.5395 .50009 L
.54008 .50096 L
.54143 .50281 L
.54149 .50289 L
.54272 .50482 L
.54336 .50571 L
.54401 .50674 L
.54528 .50858 L
.54534 .50867 L
.54653 .5106 L
.54721 .51161 L
.54772 .51253 L
.54721 .51438 L
.54563 .51253 L
.54528 .51213 L
.54403 .5106 L
.54336 .50979 L
.54245 .50867 L
.54143 .50752 L
.54089 .50674 L
.5395 .50499 L
.53933 .50482 L
.53783 .50289 L
.53758 .50286 L
.53629 .50096 L
.53565 .5002 L
.53419 .49904 L
.53372 .49766 L
.53329 .49711 L
.53179 .49522 L
.53179 .49518 L
.53025 .49326 L
.52987 .49278 L
.52846 .49133 L
.52794 .49021 L
.52738 .4894 L
.52601 .48767 L
.52579 .48747 L
.52433 .48555 L
.52409 .48524 L
.52268 .48362 L
.52216 .48263 L
.52154 .48169 L
.52023 .48004 L
.51994 .47977 L
.5185 .47784 L
.51831 .47758 L
.51693 .47591 L
.51638 .47495 L
.51577 .47399 L
.51445 .47233 L
.51417 .47206 L
.51275 .47013 L
.51253 .46984 L
.51123 .46821 L
.5106 .46719 L
.51006 .46628 L
.50867 .46456 L
.50845 .46435 L
.50704 .46242 L
.50674 .46204 L
.50556 .4605 L
.50482 .45937 L
.50439 .45857 L
.50289 .45675 L
.50277 .45664 L
.50097 .45472 L
.50096 .4542 L
.49992 .45279 L
.49904 .45151 L
.49873 .45086 L
.49712 .44894 L
.49711 .44892 L
.49535 .44701 L
.49518 .44632 L
.49429 .44508 L
.49326 .44363 L
.49307 .44316 L
.49149 .44123 L
.49133 .44108 L
.48975 .4393 L
.4894 .43841 L
.48869 .43737 L
.48747 .4357 L
.4874 .43545 L
.48589 .43352 L
.48555 .4332 L
.48418 .43159 L
.48362 .43045 L
.4831 .42967 L
.4817 .42774 L
.48169 .42773 L
.48032 .42581 L
.47977 .42525 L
.47866 .42389 L
.47784 .42242 L
.47755 .42196 L
.47617 .42003 L
.47591 .41968 L
.4748 .41811 L
.47399 .41718 L
.47322 .41618 L
.47206 .41427 L
.47205 .41425 L
.47071 .41232 L
.47013 .41152 L
.46936 .4104 L
.46821 .40887 L
.46791 .40847 L
.46669 .40654 L
.46628 .40596 L
.46539 .40462 L
.46435 .40312 L
.46406 .40269 L
.46281 .40076 L
.46242 .4002 L
.4616 .39884 L
.4605 .39713 L
.46037 .39691 L
.45941 .39498 L
F
1 .8 0 r
.4605 .44542 m
.46209 .44701 L
.46242 .44734 L
.46381 .44894 L
.46435 .44955 L
.46542 .45086 L
.46628 .45158 L
.46694 .45279 L
.46821 .45443 L
.46845 .45472 L
.46973 .45664 L
.47013 .45723 L
.471 .45857 L
.47204 .4605 L
.47013 .46155 L
.46966 .4605 L
.46821 .45916 L
.46789 .45857 L
.46631 .45664 L
.46628 .4566 L
.46489 .45472 L
.46435 .45401 L
.4635 .45279 L
.46242 .45131 L
.46212 .45086 L
.46085 .44894 L
.4605 .4484 L
.45971 .44701 L
F
1 .84 0 r
.4605 .49686 m
.46075 .49711 L
.46242 .49857 L
.46263 .49904 L
.46433 .50096 L
.46435 .50098 L
.46597 .50289 L
.46628 .50325 L
.46757 .50482 L
.46821 .50511 L
.46915 .50674 L
.47013 .50791 L
.47111 .50867 L
.47206 .51041 L
.47222 .5106 L
.47372 .51253 L
.47399 .51266 L
.47522 .51445 L
.47591 .5153 L
.47702 .51638 L
.47784 .51787 L
.47816 .51831 L
.47966 .52023 L
.47977 .5203 L
.48113 .52216 L
.48169 .52287 L
.48279 .52409 L
.48362 .52549 L
.48397 .52601 L
.48549 .52794 L
.48555 .52799 L
.48694 .52987 L
.48747 .53056 L
.48851 .53179 L
.4894 .5332 L
.48971 .53372 L
.49124 .53565 L
.49133 .53572 L
.49268 .53758 L
.49326 .53832 L
.4942 .5395 L
.49518 .54098 L
.49542 .54143 L
.49695 .54336 L
.49711 .54349 L
.49899 .54528 L
.49904 .54614 L
.49985 .54721 L
.50096 .54882 L
.50111 .54914 L
.50261 .55106 L
.50289 .55131 L
.50453 .55299 L
.50482 .55402 L
.50547 .55492 L
.50674 .55672 L
.50679 .55684 L
.50824 .55877 L
.50867 .55919 L
.51006 .5607 L
.5106 .56197 L
.51106 .56263 L
.51243 .56455 L
.51253 .56468 L
.51381 .56648 L
.51445 .56714 L
.51554 .56841 L
.51638 .57 L
.5166 .57033 L
.51796 .57226 L
.51831 .57273 L
.51933 .57419 L
.52023 .57524 L
.52094 .57611 L
.52208 .57804 L
.52216 .57815 L
.52341 .57997 L
.52409 .58091 L
.52476 .58189 L
.52601 .58361 L
.52617 .58382 L
.52741 .58575 L
.52794 .5865 L
.52871 .58768 L
.52987 .58936 L
.53003 .5896 L
.53124 .59153 L
.53179 .59236 L
.53244 .59346 L
.53179 .59515 L
.53031 .59346 L
.52987 .59299 L
.52865 .59153 L
.52794 .59072 L
.52704 .5896 L
.52601 .58864 L
.52545 .58768 L
.52409 .58601 L
.52378 .58575 L
.52239 .58382 L
.52216 .58355 L
.52089 .58189 L
.52023 .58132 L
.51938 .57997 L
.51831 .57863 L
.51771 .57804 L
.51641 .57611 L
.51638 .57608 L
.51496 .57419 L
.51445 .57374 L
.51349 .57226 L
.51253 .57105 L
.51187 .57033 L
.5106 .56844 L
.51057 .56841 L
.50914 .56648 L
.50867 .56605 L
.5077 .56455 L
.50674 .56334 L
.50613 .56263 L
.50482 .56071 L
.50481 .5607 L
.5034 .55877 L
.50289 .55829 L
.5013 .55684 L
.50096 .55555 L
.50044 .55492 L
.49911 .55299 L
.49904 .5529 L
.49771 .55106 L
.49711 .55047 L
.49575 .54914 L
.49518 .54771 L
.49479 .54721 L
.49344 .54528 L
.49326 .54504 L
.49205 .54336 L
.49133 .5426 L
.49021 .54143 L
.4894 .53981 L
.48917 .5395 L
.48781 .53758 L
.48747 .53713 L
.48642 .53565 L
.48555 .53468 L
.48469 .53372 L
.48362 .53185 L
.48358 .53179 L
.48222 .52987 L
.48169 .52917 L
.48083 .52794 L
.47977 .52667 L
.47921 .52601 L
.47802 .52409 L
.47784 .52385 L
.47666 .52216 L
.47591 .52116 L
.47527 .52023 L
.47399 .51855 L
.47379 .51831 L
.47252 .51638 L
.47206 .51576 L
.47116 .51445 L
.47013 .51305 L
.46978 .51253 L
.46841 .5106 L
.46821 .51032 L
.46711 .50867 L
.46628 .50753 L
.46577 .50674 L
.4644 .50482 L
.46435 .50474 L
.46318 .50289 L
.46242 .50182 L
.46191 .50096 L
.46066 .49904 L
.4605 .49879 L
.45973 .49711 L
F
1 .8 0 r
.4605 .47014 m
.46242 .4715 L
.46293 .47206 L
.46435 .47359 L
.465 .47399 L
.46624 .47591 L
.46628 .47595 L
.46771 .47784 L
.46821 .47847 L
.46915 .47977 L
.47013 .48083 L
.47095 .48169 L
.472 .48362 L
.47206 .48371 L
.47332 .48555 L
.47399 .48648 L
.47465 .48747 L
.47591 .48934 L
.47599 .4894 L
.47704 .49133 L
.47784 .49303 L
.4779 .49326 L
.47784 .49374 L
.47627 .49326 L
.47591 .49303 L
.47404 .49133 L
.47399 .49128 L
.47227 .4894 L
.47206 .48918 L
.47063 .48747 L
.47013 .48696 L
.46907 .48555 L
.46821 .48444 L
.4675 .48362 L
.46628 .48187 L
.46618 .48169 L
.46472 .47977 L
.46435 .47926 L
.46263 .47784 L
.46242 .47672 L
.46197 .47591 L
.46079 .47399 L
.4605 .47347 L
.45974 .47206 L
F
1 .79 0 r
.4605 .44563 m
.46193 .44701 L
.46242 .44749 L
.4637 .44894 L
.46435 .44967 L
.46532 .45086 L
.46628 .4517 L
.46686 .45279 L
.46821 .45456 L
.46833 .45472 L
.46964 .45664 L
.47013 .45738 L
.47089 .45857 L
.47187 .4605 L
.47013 .46129 L
.46979 .4605 L
.46821 .45901 L
.46797 .45857 L
.46639 .45664 L
.46628 .4565 L
.46497 .45472 L
.46435 .45392 L
.46357 .45279 L
.46242 .45121 L
.46219 .45086 L
.46095 .44894 L
.4605 .44824 L
.45984 .44701 L
F
.4605 .4703 m
.46242 .47159 L
.46284 .47206 L
.46435 .47366 L
.4649 .47399 L
.4662 .47591 L
.46628 .47601 L
.46766 .47784 L
.46821 .47852 L
.46911 .47977 L
.47013 .48089 L
.47089 .48169 L
.47195 .48362 L
.47206 .48376 L
.47328 .48555 L
.47399 .48654 L
.4746 .48747 L
.4759 .4894 L
.47591 .48943 L
.47695 .49133 L
.47591 .49289 L
.47416 .49133 L
.47399 .49117 L
.47235 .4894 L
.47206 .48909 L
.4707 .48747 L
.47013 .4869 L
.46913 .48555 L
.46821 .48437 L
.46756 .48362 L
.46628 .48181 L
.46622 .48169 L
.46477 .47977 L
.46435 .47919 L
.46266 .47784 L
.46242 .47662 L
.46203 .47591 L
.46087 .47399 L
.4605 .47333 L
.45984 .47206 L
F
1 .78 0 r
.4605 .47048 m
.46242 .47168 L
.46276 .47206 L
.46435 .47373 L
.46479 .47399 L
.46615 .47591 L
.46628 .47607 L
.46762 .47784 L
.46821 .47858 L
.46907 .47977 L
.47013 .48095 L
.47084 .48169 L
.47191 .48362 L
.47206 .48382 L
.47323 .48555 L
.47399 .48661 L
.47456 .48747 L
.47583 .4894 L
.47591 .48953 L
.47686 .49133 L
.47591 .49274 L
.47428 .49133 L
.47399 .49107 L
.47243 .4894 L
.47206 .489 L
.47076 .48747 L
.47013 .48683 L
.46919 .48555 L
.46821 .4843 L
.46761 .48362 L
.46628 .48175 L
.46625 .48169 L
.46482 .47977 L
.46435 .47911 L
.46271 .47784 L
.46242 .47651 L
.46209 .47591 L
.46094 .47399 L
.4605 .47318 L
.45994 .47206 L
F
.4605 .44586 m
.46175 .44701 L
.46242 .44764 L
.46358 .44894 L
.46435 .4498 L
.46523 .45086 L
.46628 .45184 L
.46677 .45279 L
.46821 .45471 L
.46821 .45472 L
.46955 .45664 L
.47013 .45753 L
.47079 .45857 L
.47168 .4605 L
.47013 .46098 L
.46993 .4605 L
.46821 .45886 L
.46805 .45857 L
.46648 .45664 L
.46628 .4564 L
.46504 .45472 L
.46435 .45382 L
.46364 .45279 L
.46242 .45111 L
.46226 .45086 L
.46106 .44894 L
.4605 .44805 L
.45998 .44701 L
F
1 .82 0 r
.4605 .4106 m
.46179 .41232 L
.46242 .41307 L
.46329 .41425 L
.46435 .41554 L
.46481 .41618 L
.46628 .41804 L
.46633 .41811 L
.46773 .42003 L
.46821 .42061 L
.46916 .42196 L
.47013 .42318 L
.47062 .42389 L
.47206 .42575 L
.4721 .42581 L
.47347 .42774 L
.47399 .42839 L
.47486 .42967 L
.47591 .43103 L
.4763 .43159 L
.47773 .43352 L
.47784 .43366 L
.47905 .43545 L
.47977 .43638 L
.48043 .43737 L
.48169 .43906 L
.48185 .4393 L
.48316 .44123 L
.48362 .44184 L
.48444 .44316 L
.48555 .44466 L
.4858 .44508 L
.48555 .44647 L
.48445 .44508 L
.48362 .44414 L
.48286 .44316 L
.48169 .44173 L
.4813 .44123 L
.47979 .4393 L
.47977 .43928 L
.47834 .43737 L
.47784 .43677 L
.47685 .43545 L
.47591 .43425 L
.47537 .43352 L
.47399 .43178 L
.47391 .43159 L
.4725 .42967 L
.47206 .42911 L
.47106 .42774 L
.47013 .42652 L
.46962 .42581 L
.46821 .42392 L
.46819 .42389 L
.46683 .42196 L
.46628 .42124 L
.46543 .42003 L
.46435 .41857 L
.46402 .41811 L
.46267 .41618 L
.46242 .41586 L
.46135 .41425 L
.4605 .41309 L
.45998 .41232 L
F
1 .77 0 r
.4605 .47067 m
.46242 .47178 L
.46267 .47206 L
.46435 .4738 L
.46468 .47399 L
.46609 .47591 L
.46628 .47613 L
.46758 .47784 L
.46821 .47863 L
.46903 .47977 L
.47013 .48101 L
.47078 .48169 L
.47187 .48362 L
.47206 .48388 L
.47319 .48555 L
.47399 .48668 L
.47451 .48747 L
.47576 .4894 L
.47591 .48965 L
.47676 .49133 L
.47591 .49259 L
.4744 .49133 L
.47399 .49096 L
.47251 .4894 L
.47206 .48892 L
.47083 .48747 L
.47013 .48676 L
.46924 .48555 L
.46821 .48423 L
.46766 .48362 L
.46628 .48169 L
.46628 .48169 L
.46487 .47977 L
.46435 .47904 L
.46275 .47784 L
.46242 .4764 L
.46216 .47591 L
.46101 .47399 L
.4605 .47302 L
.46005 .47206 L
F
.4605 .44612 m
.46155 .44701 L
.46242 .4478 L
.46345 .44894 L
.46435 .44993 L
.46512 .45086 L
.46628 .452 L
.46667 .45279 L
.46811 .45472 L
.46821 .45484 L
.46945 .45664 L
.47013 .45769 L
.47067 .45857 L
.47144 .4605 L
.47013 .46062 L
.47008 .4605 L
.46821 .45869 L
.46814 .45857 L
.46657 .45664 L
.46628 .4563 L
.46512 .45472 L
.46435 .45372 L
.46371 .45279 L
.46242 .45099 L
.46234 .45086 L
.46117 .44894 L
.4605 .44782 L
.46013 .44701 L
F
1 .76 0 r
.4605 .47088 m
.46242 .47188 L
.46258 .47206 L
.46435 .47387 L
.46456 .47399 L
.46604 .47591 L
.46628 .47619 L
.46753 .47784 L
.46821 .47868 L
.469 .47977 L
.47013 .48108 L
.47071 .48169 L
.47183 .48362 L
.47206 .48394 L
.47314 .48555 L
.47399 .48675 L
.47446 .48747 L
.47569 .4894 L
.47591 .48978 L
.47665 .49133 L
.47591 .49243 L
.47454 .49133 L
.47399 .49085 L
.4726 .4894 L
.47206 .48883 L
.4709 .48747 L
.47013 .48669 L
.4693 .48555 L
.46821 .48416 L
.46772 .48362 L
.46634 .48169 L
.46628 .48162 L
.46492 .47977 L
.46435 .47897 L
.46281 .47784 L
.46242 .47628 L
.46223 .47591 L
.46109 .47399 L
.4605 .47283 L
.46016 .47206 L
F
0 .96 1 r
.4605 .43804 m
.46242 .43908 L
.46269 .4393 L
.46435 .44089 L
.46481 .44123 L
.46628 .44302 L
.46641 .44316 L
.46804 .44508 L
.46821 .44529 L
.47001 .44701 L
.47013 .44774 L
.47112 .44894 L
.47206 .45027 L
.47242 .45086 L
.47399 .45275 L
.47404 .45279 L
.47564 .45472 L
.47591 .4553 L
.47682 .45664 L
.47784 .45799 L
.47803 .45857 L
.47958 .4605 L
.47977 .46079 L
.48103 .46242 L
.48156 .46435 L
.47977 .46517 L
.478 .46435 L
.47784 .46429 L
.47613 .46242 L
.47591 .46231 L
.4746 .4605 L
.47399 .45991 L
.47313 .45857 L
.47206 .45725 L
.4715 .45664 L
.47025 .45472 L
.47013 .45456 L
.46888 .45279 L
.46821 .45188 L
.4675 .45086 L
.46628 .44932 L
.46601 .44894 L
.46477 .44701 L
.46435 .44642 L
.46347 .44508 L
.46242 .44354 L
.46192 .44316 L
.46105 .44123 L
.4605 .4402 L
.46017 .4393 L
F
1 .23 0 r
.4605 .51258 m
.46185 .51445 L
.46242 .51514 L
.46331 .51638 L
.46435 .51769 L
.46479 .51831 L
.46625 .52023 L
.46628 .52026 L
.4676 .52216 L
.46821 .52293 L
.469 .52409 L
.47013 .52558 L
.47043 .52601 L
.47013 .5279 L
.46877 .52601 L
.46821 .52535 L
.46732 .52409 L
.46628 .5228 L
.46583 .52216 L
.46435 .52024 L
.46435 .52023 L
.46301 .51831 L
.46242 .51758 L
.46161 .51638 L
.4605 .51494 L
.46017 .51445 L
F
0 .18 1 r
.4605 .52095 m
.46119 .52216 L
.46242 .52393 L
.46251 .52409 L
.46242 .52464 L
.46199 .52409 L
.4605 .52255 L
.4602 .52216 L
F
1 .81 0 r
.4605 .41094 m
.46152 .41232 L
.46242 .41333 L
.46309 .41425 L
.46435 .41577 L
.46464 .41618 L
.46615 .41811 L
.46628 .41826 L
.46756 .42003 L
.46821 .42082 L
.469 .42196 L
.47013 .42337 L
.47049 .42389 L
.47195 .42581 L
.47206 .42594 L
.47331 .42774 L
.47399 .42859 L
.47472 .42967 L
.47591 .43122 L
.47617 .43159 L
.47756 .43352 L
.47784 .43388 L
.47888 .43545 L
.47977 .4366 L
.48026 .43737 L
.48169 .4393 L
.4817 .4393 L
.48291 .44123 L
.48362 .44218 L
.48418 .44316 L
.48362 .44378 L
.48313 .44316 L
.48169 .44144 L
.48153 .44123 L
.48003 .4393 L
.47977 .439 L
.47855 .43737 L
.47784 .43652 L
.47704 .43545 L
.47591 .43402 L
.47554 .43352 L
.47408 .43159 L
.47399 .43148 L
.47267 .42967 L
.47206 .42889 L
.47123 .42774 L
.47013 .4263 L
.46978 .42581 L
.46837 .42389 L
.46821 .42367 L
.46701 .42196 L
.46628 .421 L
.4656 .42003 L
.46435 .41833 L
.4642 .41811 L
.46289 .41618 L
.46242 .41557 L
.46157 .41425 L
.4605 .41277 L
.46021 .41232 L
F
1 .22 0 r
.4605 .51266 m
.46179 .51445 L
.46242 .51521 L
.46326 .51638 L
.46435 .51776 L
.46474 .51831 L
.46435 .52017 L
.46306 .51831 L
.46242 .51751 L
.46166 .51638 L
.4605 .51487 L
.46022 .51445 L
F
0 .98 1 r
.4605 .49051 m
.46153 .49133 L
.46242 .49198 L
.46397 .49326 L
.46435 .49356 L
.46628 .49517 L
.46629 .49518 L
.46821 .49686 L
.4685 .49711 L
.47013 .49874 L
.47044 .49904 L
.47206 .50088 L
.47213 .50096 L
.47381 .50289 L
.47399 .5033 L
.47525 .50482 L
.47591 .50584 L
.47665 .50674 L
.47784 .50836 L
.47806 .50867 L
.47964 .5106 L
.47977 .51087 L
.48099 .51253 L
.48169 .51351 L
.48229 .51445 L
.48362 .51614 L
.48384 .51638 L
.48527 .51831 L
.48555 .51875 L
.48652 .52023 L
.48747 .52144 L
.48759 .52216 L
.4894 .52404 L
.48949 .52409 L
.49085 .52601 L
.49133 .52666 L
.49194 .52794 L
.49326 .52944 L
.49377 .52987 L
.49516 .53179 L
.49518 .53183 L
.49645 .53372 L
.49711 .53458 L
.49737 .53565 L
.49904 .53739 L
.49944 .53758 L
.50084 .5395 L
.50096 .53971 L
.50207 .54143 L
.50289 .54246 L
.5037 .54336 L
.50482 .54492 L
.5051 .54528 L
.50651 .54721 L
.50674 .54759 L
.50769 .54914 L
.50867 .55034 L
.50935 .55106 L
.5106 .5528 L
.51074 .55299 L
.51216 .55492 L
.51253 .55547 L
.51331 .55684 L
.51445 .55821 L
.515 .55877 L
.51638 .5607 L
.51638 .5607 L
.51779 .56263 L
.51831 .56337 L
.51892 .56455 L
.52023 .56608 L
.52063 .56648 L
.52213 .56841 L
.52216 .56859 L
.52341 .57033 L
.52409 .57127 L
.52452 .57226 L
.52601 .57394 L
.52626 .57419 L
.52781 .57611 L
.52794 .57648 L
.52903 .57804 L
.52987 .57917 L
.53014 .57997 L
.53179 .58181 L
.53188 .58189 L
.53347 .58382 L
.53372 .58438 L
.53464 .58575 L
.53565 .58708 L
.53577 .58768 L
.5375 .5896 L
.53758 .58967 L
.53909 .59153 L
.5395 .5923 L
.54024 .59346 L
.54143 .595 L
.54144 .59538 L
.54311 .59731 L
.54336 .59754 L
.54469 .59924 L
.54528 .60024 L
.54584 .60116 L
.54721 .60295 L
.54731 .60309 L
.5487 .60502 L
.54914 .60545 L
.55026 .60694 L
.55106 .60822 L
.55142 .60887 L
.55288 .6108 L
.55299 .61095 L
.55426 .61273 L
.55492 .61343 L
.55579 .61465 L
.55684 .61628 L
.557 .61658 L
.55839 .61851 L
.55877 .61903 L
.56043 .62043 L
.5607 .62156 L
.56124 .62236 L
.56249 .62429 L
.56263 .62447 L
.56381 .62621 L
.56455 .62726 L
.56565 .62814 L
.56648 .63003 L
.5665 .63007 L
.56776 .63199 L
.56841 .63294 L
.56903 .63392 L
.5703 .63585 L
.57033 .63589 L
.57141 .63778 L
.57226 .6392 L
.57251 .6397 L
.57226 .6412 L
.57059 .6397 L
.57033 .63948 L
.56873 .63778 L
.56841 .63744 L
.56701 .63585 L
.56648 .63555 L
.56534 .63392 L
.56455 .63303 L
.56372 .63199 L
.56263 .63061 L
.56209 .63007 L
.5607 .62822 L
.56064 .62814 L
.55909 .62621 L
.55877 .62583 L
.5571 .62429 L
.55684 .6233 L
.55607 .62236 L
.55492 .62075 L
.55476 .62043 L
.55313 .61851 L
.55299 .61833 L
.55137 .61658 L
.55106 .61574 L
.55023 .61465 L
.54914 .61311 L
.549 .61273 L
.54731 .6108 L
.54721 .61067 L
.54566 .60887 L
.54528 .60803 L
.5445 .60694 L
.54336 .60537 L
.54329 .60502 L
.54157 .60309 L
.54143 .60291 L
.53997 .60116 L
.5395 .60025 L
.5388 .59924 L
.53758 .59759 L
.53728 .59731 L
.53588 .59538 L
.53565 .59509 L
.5343 .59346 L
.53372 .59242 L
.53314 .59153 L
.53179 .58978 L
.53161 .5896 L
.5302 .58768 L
.52987 .58725 L
.52866 .58575 L
.52794 .58457 L
.52748 .58382 L
.52601 .58196 L
.52594 .58189 L
.52454 .57997 L
.52409 .57939 L
.52302 .57804 L
.52216 .5767 L
.52183 .57611 L
.52029 .57419 L
.52023 .57413 L
.51844 .57226 L
.51831 .57151 L
.51739 .57033 L
.51638 .56883 L
.51617 .56841 L
.51465 .56648 L
.51445 .56629 L
.51282 .56455 L
.51253 .56363 L
.51177 .56263 L
.5106 .56095 L
.5105 .5607 L
.50901 .55877 L
.50867 .55844 L
.50722 .55684 L
.50674 .55574 L
.50615 .55492 L
.50482 .55306 L
.5048 .55299 L
.50338 .55106 L
.50289 .55057 L
.50163 .54914 L
.50096 .54783 L
.50052 .54721 L
.49914 .54528 L
.49904 .54515 L
.49775 .54336 L
.49711 .54268 L
.49605 .54143 L
.49518 .53992 L
.4949 .5395 L
.49351 .53758 L
.49326 .53724 L
.49212 .53565 L
.49133 .53477 L
.49048 .53372 L
.4894 .53199 L
.48928 .53179 L
.4879 .52987 L
.48747 .52972 L
.4865 .52794 L
.48555 .52682 L
.48491 .52601 L
.48366 .52409 L
.48362 .52404 L
.48229 .52216 L
.48169 .52178 L
.48029 .52023 L
.47977 .51884 L
.47936 .51831 L
.47806 .51638 L
.47784 .51608 L
.47669 .51445 L
.47591 .51376 L
.47488 .51253 L
.47399 .51082 L
.47382 .5106 L
.47249 .50867 L
.47206 .5081 L
.47111 .50674 L
.47013 .50574 L
.46943 .50482 L
.46829 .50289 L
.46821 .50278 L
.46695 .50096 L
.46628 .50007 L
.46557 .49904 L
.46435 .49739 L
.46394 .49711 L
.46283 .49518 L
.46242 .49463 L
.46156 .49326 L
.4605 .49176 L
.46026 .49133 L
F
0 .5 1 r
.4605 .45414 m
.46082 .45472 L
.4605 .45502 L
.46026 .45472 L
F
1 .21 0 r
.4605 .51274 m
.46172 .51445 L
.46242 .51528 L
.4632 .51638 L
.46435 .51782 L
.46469 .51831 L
.46435 .5201 L
.46313 .51831 L
.46242 .51744 L
.46172 .51638 L
.4605 .5148 L
.46027 .51445 L
F
0 .17 1 r
.4605 .52106 m
.4611 .52216 L
.4605 .52245 L
.46028 .52216 L
F
1 .75 0 r
.4605 .47113 m
.46242 .47199 L
.46249 .47206 L
.46435 .47394 L
.46443 .47399 L
.46599 .47591 L
.46628 .47625 L
.46749 .47784 L
.46821 .47874 L
.46896 .47977 L
.47013 .48115 L
.47065 .48169 L
.47178 .48362 L
.47206 .484 L
.4731 .48555 L
.47399 .48682 L
.47441 .48747 L
.47561 .4894 L
.47591 .48992 L
.47653 .49133 L
.47591 .49225 L
.47469 .49133 L
.47399 .49074 L
.47269 .4894 L
.47206 .48874 L
.47097 .48747 L
.47013 .48662 L
.46936 .48555 L
.46821 .48409 L
.46778 .48362 L
.46639 .48169 L
.46628 .48155 L
.46498 .47977 L
.46435 .47889 L
.46287 .47784 L
.46242 .47615 L
.4623 .47591 L
.46117 .47399 L
.4605 .47261 L
.46028 .47206 L
F
0 .82 1 r
.4605 .40279 m
.46208 .40462 L
.46242 .40497 L
.4637 .40654 L
.46435 .40727 L
.46529 .40847 L
.46628 .40964 L
.46686 .4104 L
.46821 .41194 L
.46842 .41232 L
.46992 .41425 L
.47013 .41451 L
.47139 .41618 L
.47206 .417 L
.47288 .41811 L
.47399 .41934 L
.47438 .42003 L
.47585 .42196 L
.47591 .42203 L
.47728 .42389 L
.47784 .42459 L
.47874 .42581 L
.47977 .42697 L
.48066 .42774 L
.48166 .42967 L
.48169 .42972 L
.48306 .43159 L
.48362 .43232 L
.48449 .43352 L
.48555 .43475 L
.48629 .43545 L
.48737 .43737 L
.48747 .43751 L
.48876 .4393 L
.4894 .44013 L
.49018 .44123 L
.49133 .44262 L
.49185 .44316 L
.49302 .44508 L
.49326 .44538 L
.49441 .44701 L
.49518 .44803 L
.49582 .44894 L
.49711 .4506 L
.49735 .45086 L
.49862 .45279 L
.49904 .45334 L
.49999 .45472 L
.50096 .45602 L
.5014 .45664 L
.5028 .45857 L
.50289 .45869 L
.50413 .4605 L
.50482 .46141 L
.5055 .46242 L
.50674 .46412 L
.5069 .46435 L
.50823 .46628 L
.50867 .46688 L
.50954 .46821 L
.5106 .46967 L
.5109 .47013 L
.5122 .47206 L
.51253 .47251 L
.51341 .47399 L
.51445 .47551 L
.51468 .47591 L
.51445 .47734 L
.51315 .47591 L
.51253 .47527 L
.51144 .47399 L
.5106 .47304 L
.50979 .47206 L
.50867 .47113 L
.50819 .47013 L
.50674 .46835 L
.50656 .46821 L
.50512 .46628 L
.50482 .46591 L
.5036 .46435 L
.50289 .46386 L
.50209 .46242 L
.50096 .46102 L
.50042 .4605 L
.49913 .45857 L
.49904 .45846 L
.49766 .45664 L
.49711 .45624 L
.49619 .45472 L
.49518 .45344 L
.49458 .45279 L
.49329 .45086 L
.49326 .45082 L
.49185 .44894 L
.49133 .44852 L
.4904 .44701 L
.4894 .44572 L
.48886 .44508 L
.48754 .44316 L
.48747 .44307 L
.48612 .44123 L
.48555 .44072 L
.48469 .4393 L
.48362 .43789 L
.48321 .43737 L
.48187 .43545 L
.48169 .43521 L
.48047 .43352 L
.47977 .43283 L
.47844 .43159 L
.47784 .42995 L
.47762 .42967 L
.47628 .42774 L
.47591 .42725 L
.47489 .42581 L
.47399 .42481 L
.4731 .42389 L
.47212 .42196 L
.47206 .42188 L
.47077 .42003 L
.47013 .41915 L
.4694 .41811 L
.46821 .41654 L
.46789 .41618 L
.46671 .41425 L
.46628 .41365 L
.46539 .41232 L
.46435 .41084 L
.46405 .4104 L
.46279 .40847 L
.46242 .40796 L
.46155 .40654 L
.4605 .40496 L
.46029 .40462 L
F
0 .77 1 r
.4605 .47791 m
.46185 .47977 L
.46242 .48051 L
.46314 .48169 L
.46435 .48358 L
.46437 .48362 L
.46435 .48403 L
.46375 .48362 L
.46242 .48238 L
.46185 .48169 L
.4605 .48004 L
.46029 .47977 L
F
0 .96 1 r
.4605 .38722 m
.46058 .38727 L
.46242 .3888 L
.46281 .3892 L
.46435 .39076 L
.46464 .39113 L
.46628 .39297 L
.46638 .39306 L
.468 .39498 L
.46821 .39502 L
.46961 .39691 L
.47013 .3975 L
.47119 .39884 L
.47206 .39996 L
.47281 .40076 L
.47399 .40242 L
.47416 .40269 L
.47577 .40462 L
.47591 .40478 L
.47778 .40654 L
.47784 .40732 L
.47878 .40847 L
.47977 .40991 L
.48003 .4104 L
.48169 .41232 L
.4817 .41232 L
.48345 .41425 L
.48362 .41489 L
.48459 .41618 L
.48555 .41755 L
.48578 .41811 L
.48747 .42003 L
.48751 .42003 L
.48915 .42196 L
.4894 .4226 L
.49033 .42389 L
.49133 .42528 L
.49148 .42581 L
.49325 .42774 L
.49326 .42775 L
.49484 .42967 L
.49518 .43039 L
.49602 .43159 L
.49711 .43308 L
.49716 .43352 L
.49895 .43545 L
.49904 .43556 L
.50051 .43737 L
.50096 .43822 L
.50168 .4393 L
.50289 .4409 L
.50322 .44123 L
.50462 .44316 L
.50482 .4434 L
.50616 .44508 L
.50674 .44607 L
.50733 .44701 L
.50867 .44873 L
.50888 .44894 L
.51028 .45086 L
.5106 .45126 L
.51181 .45279 L
.51253 .45394 L
.51298 .45472 L
.51445 .45656 L
.51453 .45664 L
.51637 .45857 L
.51638 .45913 L
.51744 .4605 L
.51831 .46182 L
.51862 .46242 L
.52018 .46435 L
.52023 .4644 L
.522 .46628 L
.52216 .46701 L
.52306 .46821 L
.52409 .4697 L
.52428 .47013 L
.52581 .47206 L
.52601 .47224 L
.52761 .47399 L
.52794 .4749 L
.52868 .47591 L
.52987 .4776 L
.52995 .47784 L
.53144 .47977 L
.53179 .48009 L
.53321 .48169 L
.53372 .48281 L
.5343 .48362 L
.53565 .4855 L
.53566 .48555 L
.53707 .48747 L
.53758 .48797 L
.53879 .4894 L
.5395 .49073 L
.53991 .49133 L
.5413 .49326 L
.54143 .49342 L
.54269 .49518 L
.54336 .49587 L
.54437 .49711 L
.54528 .49867 L
.54552 .49904 L
.54691 .50096 L
.54721 .50136 L
.5483 .50289 L
.54914 .50382 L
.54992 .50482 L
.55106 .50663 L
.55113 .50674 L
.55251 .50867 L
.55299 .50932 L
.5539 .5106 L
.55492 .51182 L
.55545 .51253 L
.55672 .51445 L
.55684 .51462 L
.55808 .51638 L
.55877 .51731 L
.56004 .51831 L
.5607 .51989 L
.56095 .52023 L
.56225 .52216 L
.56263 .52266 L
.56361 .52409 L
.56455 .52496 L
.56537 .52601 L
.5664 .52794 L
.56648 .52805 L
.56772 .52987 L
.56841 .5308 L
.56907 .53179 L
.57033 .53354 L
.57056 .53372 L
.57174 .53565 L
.57226 .53638 L
.573 .53758 L
.57419 .53931 L
.5743 .5395 L
.5753 .54143 L
.57419 .54176 L
.57378 .54143 L
.57226 .54036 L
.57162 .5395 L
.57033 .53809 L
.56894 .53758 L
.56841 .53586 L
.56793 .53565 L
.56648 .53407 L
.56631 .53372 L
.56456 .53179 L
.56455 .53179 L
.56297 .52987 L
.56263 .52939 L
.56134 .52794 L
.5607 .52688 L
.56002 .52601 L
.55877 .52437 L
.55862 .52409 L
.55699 .52216 L
.55684 .52195 L
.5555 .52023 L
.55492 .51934 L
.55425 .51831 L
.55299 .51672 L
.55261 .51638 L
.55111 .51445 L
.55106 .51427 L
.54979 .51253 L
.54914 .5116 L
.54865 .5106 L
.54721 .5089 L
.54685 .50867 L
.54539 .50674 L
.54528 .50651 L
.54412 .50482 L
.54336 .50379 L
.54309 .50289 L
.54143 .50106 L
.54114 .50096 L
.53968 .49904 L
.5395 .4987 L
.53846 .49711 L
.53758 .49596 L
.53685 .49518 L
.53565 .49352 L
.53545 .49326 L
.534 .49133 L
.53372 .49086 L
.53281 .4894 L
.53179 .48811 L
.53117 .48747 L
.52987 .48566 L
.52978 .48555 L
.52834 .48362 L
.52794 .48299 L
.52718 .48169 L
.52601 .48026 L
.52551 .47977 L
.52412 .47784 L
.52409 .47779 L
.52269 .47591 L
.52216 .47512 L
.52156 .47399 L
.52023 .47241 L
.51986 .47206 L
.51833 .47013 L
.51831 .46992 L
.51706 .46821 L
.51638 .46723 L
.51594 .46628 L
.51445 .46456 L
.51422 .46435 L
.51264 .46242 L
.51253 .46203 L
.51144 .4605 L
.5106 .45934 L
.51031 .45857 L
.50867 .45672 L
.50859 .45664 L
.50698 .45472 L
.50674 .45414 L
.50582 .45279 L
.50482 .45144 L
.50467 .45086 L
.50296 .44894 L
.50289 .44887 L
.50135 .44701 L
.50096 .44623 L
.5002 .44508 L
.49904 .44354 L
.499 .44316 L
.49734 .44123 L
.49711 .441 L
.49574 .4393 L
.49518 .43832 L
.49459 .43737 L
.49326 .43562 L
.49312 .43545 L
.49173 .43352 L
.49133 .43312 L
.49014 .43159 L
.4894 .43038 L
.48899 .42967 L
.48752 .42774 L
.48747 .42768 L
.48614 .42581 L
.48555 .42519 L
.48457 .42389 L
.48362 .4224 L
.48338 .42196 L
.48195 .42003 L
.48169 .41969 L
.4799 .41811 L
.47977 .41719 L
.47904 .41618 L
.47784 .41436 L
.47779 .41425 L
.47641 .41232 L
.47591 .41164 L
.47446 .4104 L
.47399 .40908 L
.47357 .40847 L
.47229 .40654 L
.47206 .40623 L
.47095 .40462 L
.47013 .40348 L
.46918 .40269 L
.46823 .40076 L
.46821 .40073 L
.46695 .39884 L
.46628 .39789 L
.46564 .39691 L
.46435 .39508 L
.46429 .39498 L
.46313 .39306 L
.46242 .39199 L
.46193 .39113 L
.46083 .3892 L
.4605 .38859 L
.4603 .38727 L
F
1 .2 0 r
.4605 .51283 m
.46165 .51445 L
.46242 .51536 L
.46314 .51638 L
.46435 .5179 L
.46464 .51831 L
.46435 .52002 L
.46319 .51831 L
.46242 .51736 L
.46178 .51638 L
.4605 .51472 L
.46032 .51445 L
F
1 .76 0 r
.4605 .44647 m
.46129 .44701 L
.46242 .44797 L
.46332 .44894 L
.46435 .45006 L
.46502 .45086 L
.46628 .45217 L
.46658 .45279 L
.46801 .45472 L
.46821 .45498 L
.46935 .45664 L
.47013 .45787 L
.47055 .45857 L
.47013 .46036 L
.46824 .45857 L
.46821 .45853 L
.46666 .45664 L
.46628 .45619 L
.4652 .45472 L
.46435 .45361 L
.46379 .45279 L
.46242 .45087 L
.46242 .45086 L
.4613 .44894 L
.4605 .4475 L
.46032 .44701 L
F
0 .16 1 r
.4605 .52119 m
.46098 .52216 L
.4605 .52234 L
.46036 .52216 L
F
1 .19 0 r
.4605 .51293 m
.46157 .51445 L
.46242 .51545 L
.46308 .51638 L
.46435 .51797 L
.46459 .51831 L
.46435 .51994 L
.46326 .51831 L
.46242 .51728 L
.46184 .51638 L
.4605 .51464 L
.46037 .51445 L
F
1 .74 0 r
.4605 .47147 m
.46236 .47206 L
.46242 .4721 L
.46432 .47399 L
.46435 .47402 L
.46593 .47591 L
.46628 .47632 L
.46744 .47784 L
.46821 .47879 L
.46892 .47977 L
.47013 .48122 L
.47058 .48169 L
.47174 .48362 L
.47206 .48406 L
.47305 .48555 L
.47399 .48689 L
.47436 .48747 L
.47553 .4894 L
.47591 .49008 L
.4764 .49133 L
.47591 .49206 L
.47485 .49133 L
.47399 .49063 L
.47278 .4894 L
.47206 .48865 L
.47104 .48747 L
.47013 .48655 L
.46942 .48555 L
.46821 .48402 L
.46784 .48362 L
.46645 .48169 L
.46628 .48147 L
.46503 .47977 L
.46435 .47882 L
.46294 .47784 L
.46242 .47602 L
.46237 .47591 L
.46125 .47399 L
.4605 .47234 L
.46041 .47206 L
F
1 .18 0 r
.4605 .51304 m
.46148 .51445 L
.46242 .51554 L
.46301 .51638 L
.46435 .51805 L
.46453 .51831 L
.46435 .51984 L
.46334 .51831 L
.46242 .51719 L
.4619 .51638 L
.4605 .51456 L
.46043 .51445 L
F
0 .15 1 r
.4605 .52136 m
.46081 .52216 L
.4605 .52222 L
.46046 .52216 L
F
1 .17 0 r
.4605 .51317 m
.46137 .51445 L
.46242 .51564 L
.46293 .51638 L
.46435 .51814 L
.46447 .51831 L
.46435 .51974 L
.46342 .51831 L
.46242 .51709 L
.46197 .51638 L
.4605 .51446 L
.46049 .51445 L
F
0 .53 1 r
.4605 .50487 m
.46209 .50674 L
.46242 .50709 L
.46369 .50867 L
.46435 .50942 L
.46528 .5106 L
.46628 .51181 L
.46684 .51253 L
.46821 .51413 L
.46837 .51445 L
.46985 .51638 L
.47013 .51672 L
.47133 .51831 L
.47206 .51922 L
.47282 .52023 L
.47399 .52157 L
.47431 .52216 L
.47575 .52409 L
.47591 .52429 L
.47719 .52601 L
.47784 .52685 L
.47864 .52794 L
.47977 .52926 L
.48051 .52987 L
.48151 .53179 L
.48169 .53203 L
.48292 .53372 L
.48362 .53464 L
.48435 .53565 L
.48555 .53714 L
.48601 .53758 L
.48716 .5395 L
.48747 .53991 L
.48855 .54143 L
.4894 .54258 L
.48995 .54336 L
.49133 .54523 L
.49138 .54528 L
.49269 .54721 L
.49326 .54797 L
.49406 .54914 L
.49518 .55069 L
.49544 .55106 L
.49676 .55299 L
.49711 .55347 L
.49806 .55492 L
.49904 .5563 L
.49939 .55684 L
.50064 .55877 L
.50096 .55922 L
.50179 .5607 L
.50289 .56245 L
.50297 .56263 L
.50289 .5631 L
.50244 .56263 L
.50096 .56123 L
.50054 .5607 L
.49904 .559 L
.49886 .55877 L
.49729 .55684 L
.49711 .55664 L
.49578 .55492 L
.49518 .55422 L
.49425 .55299 L
.49326 .55177 L
.49273 .55106 L
.49133 .54937 L
.49121 .54914 L
.48976 .54721 L
.4894 .54677 L
.48831 .54528 L
.48747 .54423 L
.48683 .54336 L
.48555 .5418 L
.48509 .54143 L
.48393 .5395 L
.48362 .53911 L
.48252 .53758 L
.48169 .53651 L
.48107 .53565 L
.47977 .53401 L
.47945 .53372 L
.47823 .53179 L
.47784 .53129 L
.47683 .52987 L
.47591 .52866 L
.47541 .52794 L
.47399 .52604 L
.47396 .52601 L
.47262 .52409 L
.47206 .52335 L
.47124 .52216 L
.47013 .52067 L
.46983 .52023 L
.46846 .51831 L
.46821 .51797 L
.46713 .51638 L
.46628 .51523 L
.46577 .51445 L
.46438 .51253 L
.46435 .51249 L
.46313 .5106 L
.46242 .50963 L
.46184 .50867 L
.4605 .50675 L
.46049 .50674 L
F
0 .76 1 r
.4605 .47821 m
.4616 .47977 L
.46242 .48082 L
.46289 .48169 L
.46242 .48207 L
.46209 .48169 L
.4605 .47977 L
.4605 .47977 L
F
1 .73 0 r
.46242 .47222 m
.46425 .47399 L
.46435 .47409 L
.46588 .47591 L
.46628 .47638 L
.4674 .47784 L
.46821 .47885 L
.46888 .47977 L
.47013 .48129 L
.47051 .48169 L
.47169 .48362 L
.47206 .48413 L
.473 .48555 L
.47399 .48697 L
.47431 .48747 L
.47544 .4894 L
.47591 .49029 L
.47624 .49133 L
.47591 .49184 L
.47505 .49133 L
.47399 .49052 L
.47288 .4894 L
.47206 .48856 L
.47111 .48747 L
.47013 .48647 L
.46948 .48555 L
.46821 .48395 L
.4679 .48362 L
.4665 .48169 L
.46628 .4814 L
.46508 .47977 L
.46435 .47874 L
.46302 .47784 L
.46244 .47591 L
.46242 .47588 L
.46133 .47399 L
F
1 .72 0 r
.46242 .47233 m
.46417 .47399 L
.46435 .47417 L
.46582 .47591 L
.46628 .47644 L
.46735 .47784 L
.46821 .4789 L
.46884 .47977 L
.47013 .48137 L
.47044 .48169 L
.47164 .48362 L
.47206 .48419 L
.47296 .48555 L
.47399 .48705 L
.47425 .48747 L
.47535 .4894 L
.47591 .49057 L
.47606 .49133 L
.47591 .49156 L
.47531 .49133 L
.47399 .4904 L
.47298 .4894 L
.47206 .48847 L
.47118 .48747 L
.47013 .48639 L
.46955 .48555 L
.46821 .48387 L
.46797 .48362 L
.46655 .48169 L
.46628 .48133 L
.46514 .47977 L
.46435 .47866 L
.4631 .47784 L
.46251 .47591 L
.46242 .47577 L
.46141 .47399 L
F
1 .75 0 r
.46242 .44815 m
.46317 .44894 L
.46435 .4502 L
.46491 .45086 L
.46628 .45237 L
.46648 .45279 L
.46791 .45472 L
.46821 .45512 L
.46924 .45664 L
.47013 .45806 L
.47042 .45857 L
.47013 .46013 L
.46838 .45857 L
.46821 .4584 L
.46676 .45664 L
.46628 .45607 L
.46529 .45472 L
.46435 .4535 L
.46387 .45279 L
.46252 .45086 L
.46242 .45072 L
.46144 .44894 L
F
0 .95 1 r
.46242 .43982 m
.46414 .44123 L
.46435 .44141 L
.46604 .44316 L
.46628 .44335 L
.46775 .44508 L
.46821 .44562 L
.46991 .44701 L
.47013 .44802 L
.47092 .44894 L
.47206 .4505 L
.47228 .45086 L
.47387 .45279 L
.47399 .45292 L
.47555 .45472 L
.47591 .45552 L
.47666 .45664 L
.47784 .45823 L
.47794 .45857 L
.47938 .4605 L
.47977 .46114 L
.48079 .46242 L
.48102 .46435 L
.47977 .46484 L
.47845 .46435 L
.47784 .46421 L
.47631 .46242 L
.47591 .46222 L
.47473 .4605 L
.47399 .45978 L
.47324 .45857 L
.47206 .45711 L
.47162 .45664 L
.47036 .45472 L
.47013 .45442 L
.46899 .45279 L
.46821 .45174 L
.4676 .45086 L
.46628 .44909 L
.46617 .44894 L
.46492 .44701 L
.46435 .44619 L
.46365 .44508 L
.46242 .4432 L
.46237 .44316 L
.46146 .44123 L
F
1 .71 0 r
.46242 .47245 m
.46408 .47399 L
.46435 .47425 L
.46576 .47591 L
.46628 .47651 L
.4673 .47784 L
.46821 .47896 L
.46879 .47977 L
.47013 .48145 L
.47037 .48169 L
.4716 .48362 L
.47206 .48426 L
.47291 .48555 L
.47399 .48713 L
.4742 .48747 L
.47525 .4894 L
.47399 .49028 L
.47308 .4894 L
.47206 .48838 L
.47126 .48747 L
.47013 .48631 L
.46961 .48555 L
.46821 .4838 L
.46804 .48362 L
.46661 .48169 L
.46628 .48126 L
.46519 .47977 L
.46435 .47858 L
.4632 .47784 L
.46258 .47591 L
.46242 .47566 L
.4615 .47399 L
F
0 .99 1 r
.46242 .46653 m
.46435 .4665 L
.46628 .46667 L
.46762 .46821 L
.46821 .46912 L
.4688 .47013 L
.47013 .47178 L
.47033 .47206 L
.47173 .47399 L
.47206 .47448 L
.47328 .47591 L
.47399 .47719 L
.47445 .47784 L
.47591 .47973 L
.47598 .47977 L
.47737 .48169 L
.47784 .48224 L
.4789 .48362 L
.47977 .48493 L
.48009 .48555 L
.48161 .48747 L
.48169 .48759 L
.48348 .4894 L
.48362 .48982 L
.48452 .49133 L
.48555 .49271 L
.48574 .49326 L
.48723 .49518 L
.48747 .49554 L
.48907 .49711 L
.4894 .49833 L
.49002 .49904 L
.4894 .49983 L
.48747 .49996 L
.48555 .49992 L
.48422 .49904 L
.48362 .49851 L
.48294 .49711 L
.48169 .49594 L
.48114 .49518 L
.47977 .49329 L
.47974 .49326 L
.47836 .49133 L
.47784 .49038 L
.47728 .4894 L
.47591 .48806 L
.47548 .48747 L
.47404 .48555 L
.47399 .4854 L
.47274 .48362 L
.47206 .48269 L
.47168 .48169 L
.47013 .48001 L
.46985 .47977 L
.46836 .47784 L
.46821 .47759 L
.46712 .47591 L
.46628 .47495 L
.46608 .47399 L
.46435 .47225 L
.46422 .47206 L
.46271 .47013 L
.46242 .46951 L
.46156 .46821 L
F
1 .7 0 r
.46242 .47258 m
.46399 .47399 L
.46435 .47434 L
.4657 .47591 L
.46628 .47657 L
.46726 .47784 L
.46821 .47902 L
.46875 .47977 L
.47013 .48153 L
.47029 .48169 L
.47155 .48362 L
.47206 .48433 L
.47286 .48555 L
.47399 .48722 L
.47414 .48747 L
.47515 .4894 L
.47399 .49015 L
.47319 .4894 L
.47206 .48829 L
.47133 .48747 L
.47013 .48622 L
.46967 .48555 L
.46821 .48372 L
.46811 .48362 L
.46667 .48169 L
.46628 .48118 L
.46525 .47977 L
.46435 .4785 L
.4633 .47784 L
.46265 .47591 L
.46242 .47554 L
.46159 .47399 L
F
1 .74 0 r
.46242 .44835 m
.463 .44894 L
.46435 .45035 L
.46479 .45086 L
.46628 .45259 L
.46637 .45279 L
.4678 .45472 L
.46821 .45527 L
.46913 .45664 L
.47013 .45829 L
.47028 .45857 L
.47013 .45985 L
.46854 .45857 L
.46821 .45825 L
.46687 .45664 L
.46628 .45595 L
.46538 .45472 L
.46435 .45338 L
.46395 .45279 L
.46264 .45086 L
.46242 .45053 L
.46161 .44894 L
F
1 .69 0 r
.46242 .47271 m
.46389 .47399 L
.46435 .47442 L
.46564 .47591 L
.46628 .47664 L
.46721 .47784 L
.46821 .47908 L
.46871 .47977 L
.47013 .48161 L
.47021 .48169 L
.4715 .48362 L
.47206 .4844 L
.4728 .48555 L
.47399 .48732 L
.47408 .48747 L
.47503 .4894 L
.47399 .49002 L
.47331 .4894 L
.47206 .48819 L
.47141 .48747 L
.47013 .48613 L
.46974 .48555 L
.46821 .48364 L
.46818 .48362 L
.46672 .48169 L
.46628 .48111 L
.4653 .47977 L
.46435 .47842 L
.46341 .47784 L
.46273 .47591 L
.46242 .4754 L
.46169 .47399 L
F
0 .98 1 r
.46242 .46671 m
.46435 .46665 L
.46628 .46705 L
.4675 .46821 L
.46821 .46924 L
.46875 .47013 L
.47013 .47185 L
.47028 .47206 L
.47169 .47399 L
.47206 .47453 L
.47326 .47591 L
.47399 .47722 L
.47443 .47784 L
.47591 .47974 L
.47595 .47977 L
.47735 .48169 L
.47784 .48227 L
.47888 .48362 L
.47977 .48496 L
.48007 .48555 L
.48158 .48747 L
.48169 .48762 L
.48347 .4894 L
.48362 .48985 L
.48448 .49133 L
.48555 .49278 L
.48571 .49326 L
.48717 .49518 L
.48747 .49563 L
.489 .49711 L
.4894 .49863 L
.48968 .49904 L
.4894 .49949 L
.48747 .49976 L
.48555 .49953 L
.48465 .49904 L
.48362 .49819 L
.48308 .49711 L
.48169 .49579 L
.48124 .49518 L
.47978 .49326 L
.47977 .49318 L
.47841 .49133 L
.47784 .4903 L
.47731 .4894 L
.47591 .488 L
.47552 .48747 L
.47405 .48555 L
.47399 .48535 L
.47277 .48362 L
.47206 .48264 L
.4717 .48169 L
.47013 .47998 L
.46988 .47977 L
.46838 .47784 L
.46821 .47755 L
.46716 .47591 L
.46628 .4749 L
.46611 .47399 L
.46435 .47216 L
.46428 .47206 L
.46277 .47013 L
.46242 .46936 L
.4617 .46821 L
F
0 .81 1 r
.46242 .40523 m
.4635 .40654 L
.46435 .40747 L
.46514 .40847 L
.46628 .4098 L
.46674 .4104 L
.46821 .41213 L
.46831 .41232 L
.46981 .41425 L
.47013 .41464 L
.4713 .41618 L
.47206 .41712 L
.4728 .41811 L
.47399 .41947 L
.4743 .42003 L
.47577 .42196 L
.47591 .42213 L
.47721 .42389 L
.47784 .42468 L
.47867 .42581 L
.47977 .42708 L
.48055 .42774 L
.48159 .42967 L
.48169 .4298 L
.483 .43159 L
.48362 .4324 L
.48443 .43352 L
.48555 .43484 L
.48619 .43545 L
.48731 .43737 L
.48747 .43759 L
.4887 .4393 L
.4894 .44021 L
.49013 .44123 L
.49133 .44271 L
.49176 .44316 L
.49296 .44508 L
.49326 .44546 L
.49435 .44701 L
.49518 .44811 L
.49576 .44894 L
.49711 .4507 L
.49725 .45086 L
.49855 .45279 L
.49904 .45343 L
.49993 .45472 L
.50096 .4561 L
.50134 .45664 L
.50273 .45857 L
.50289 .45878 L
.50406 .4605 L
.50482 .46151 L
.50543 .46242 L
.50674 .46422 L
.50683 .46435 L
.50813 .46628 L
.50867 .46702 L
.50944 .46821 L
.5106 .46982 L
.5108 .47013 L
.51205 .47206 L
.51253 .47274 L
.51323 .47399 L
.51445 .47586 L
.51448 .47591 L
.51445 .47686 L
.51349 .47591 L
.51253 .475 L
.51164 .47399 L
.5106 .47283 L
.50995 .47206 L
.50867 .47086 L
.50833 .47013 L
.50677 .46821 L
.50674 .46817 L
.50524 .46628 L
.50482 .46576 L
.50371 .46435 L
.50289 .46373 L
.50219 .46242 L
.50096 .46089 L
.50055 .4605 L
.49922 .45857 L
.49904 .45834 L
.49775 .45664 L
.49711 .45616 L
.49627 .45472 L
.49518 .45333 L
.49468 .45279 L
.49337 .45086 L
.49326 .45072 L
.49192 .44894 L
.49133 .44844 L
.49047 .44701 L
.4894 .44562 L
.48894 .44508 L
.48762 .44316 L
.48747 .44297 L
.48619 .44123 L
.48555 .44064 L
.48476 .4393 L
.48362 .43779 L
.48329 .43737 L
.48195 .43545 L
.48169 .43511 L
.48054 .43352 L
.47977 .43274 L
.47853 .43159 L
.47784 .42984 L
.47771 .42967 L
.47635 .42774 L
.47591 .42714 L
.47496 .42581 L
.47399 .42468 L
.47322 .42389 L
.47221 .42196 L
.47206 .42176 L
.47086 .42003 L
.47013 .41903 L
.46949 .41811 L
.46821 .41635 L
.46806 .41618 L
.46683 .41425 L
.46628 .41348 L
.46551 .41232 L
.46435 .41066 L
.46418 .4104 L
.46295 .40847 L
.46242 .4077 L
.46173 .40654 L
F
1 .68 0 r
.46242 .47286 m
.46379 .47399 L
.46435 .47451 L
.46557 .47591 L
.46628 .47671 L
.46716 .47784 L
.46821 .47914 L
.46867 .47977 L
.47013 .48169 L
.47013 .4817 L
.47145 .48362 L
.47206 .48447 L
.47275 .48555 L
.47399 .48742 L
.47402 .48747 L
.47489 .4894 L
.47399 .48988 L
.47344 .4894 L
.47206 .4881 L
.47149 .48747 L
.47013 .48604 L
.46981 .48555 L
.46825 .48362 L
.46821 .48357 L
.46678 .48169 L
.46628 .48103 L
.46536 .47977 L
.46435 .47833 L
.46353 .47784 L
.4628 .47591 L
.46242 .47526 L
.46179 .47399 L
F
1 .73 0 r
.46242 .44858 m
.4628 .44894 L
.46435 .45051 L
.46466 .45086 L
.46626 .45279 L
.46628 .45281 L
.46768 .45472 L
.46821 .45543 L
.46901 .45664 L
.46821 .45809 L
.46698 .45664 L
.46628 .45583 L
.46547 .45472 L
.46435 .45325 L
.46404 .45279 L
.46278 .45086 L
.46242 .45031 L
.46182 .44894 L
F
1 .89 0 r
.46242 .39705 m
.46405 .39884 L
.46435 .39914 L
.46573 .40076 L
.46628 .40137 L
.46736 .40269 L
.46821 .40339 L
.46895 .40462 L
.47013 .40601 L
.47078 .40654 L
.47206 .40847 L
.47206 .40847 L
.47356 .4104 L
.47399 .41073 L
.47506 .41232 L
.47591 .41336 L
.47684 .41425 L
.47784 .41592 L
.47804 .41618 L
.47951 .41811 L
.47977 .41831 L
.48098 .42003 L
.48169 .42092 L
.48266 .42196 L
.48362 .42353 L
.48387 .42389 L
.48534 .42581 L
.48555 .42599 L
.48678 .42774 L
.48747 .42861 L
.4884 .42967 L
.4894 .43125 L
.48963 .43159 L
.49109 .43352 L
.49133 .43373 L
.49252 .43545 L
.49326 .43638 L
.49409 .43737 L
.49518 .43903 L
.49534 .4393 L
.4968 .44123 L
.49711 .44151 L
.49884 .44316 L
.49904 .4442 L
.49975 .44508 L
.50096 .44686 L
.50104 .44701 L
.50247 .44894 L
.50289 .44933 L
.50441 .45086 L
.50482 .45205 L
.50539 .45279 L
.50674 .45472 L
.50674 .45473 L
.50812 .45664 L
.50867 .45718 L
.50997 .45857 L
.5106 .45995 L
.51101 .4605 L
.51237 .46242 L
.51253 .46263 L
.51375 .46435 L
.51445 .46508 L
.51552 .46628 L
.51638 .46788 L
.51661 .46821 L
.51798 .47013 L
.51831 .47057 L
.51936 .47206 L
.52023 .47303 L
.52104 .47399 L
.52216 .47586 L
.5222 .47591 L
.52356 .47784 L
.52409 .47854 L
.52495 .47977 L
.52601 .48106 L
.52653 .48169 L
.52775 .48362 L
.52794 .48388 L
.5291 .48555 L
.52987 .48657 L
.53049 .48747 L
.53179 .4892 L
.53196 .4894 L
.53324 .49133 L
.53372 .49197 L
.53459 .49326 L
.53565 .4947 L
.53598 .49518 L
.53733 .49711 L
.53758 .49744 L
.53864 .49904 L
.5395 .50023 L
.53998 .50096 L
.54134 .50289 L
.54143 .50302 L
.54257 .50482 L
.54336 .50593 L
.54385 .50674 L
.54514 .50867 L
.54528 .50889 L
.54624 .5106 L
.54721 .51215 L
.54738 .51253 L
.54721 .5137 L
.5461 .51253 L
.54528 .51169 L
.54436 .5106 L
.54336 .50945 L
.54272 .50867 L
.54143 .50719 L
.54112 .50674 L
.53956 .50482 L
.5395 .50475 L
.538 .50289 L
.53758 .50282 L
.53645 .50096 L
.53565 .50002 L
.53432 .49904 L
.53372 .49751 L
.5334 .49711 L
.53188 .49518 L
.53179 .49514 L
.53036 .49326 L
.52987 .49265 L
.52853 .49133 L
.52794 .49009 L
.52745 .4894 L
.52601 .48759 L
.52588 .48747 L
.52441 .48555 L
.52409 .48514 L
.52273 .48362 L
.52216 .48254 L
.52159 .48169 L
.52023 .47997 L
.52001 .47977 L
.51857 .47784 L
.51831 .4775 L
.51698 .47591 L
.51638 .47487 L
.51582 .47399 L
.51445 .47227 L
.51423 .47206 L
.5128 .47013 L
.51253 .46977 L
.51127 .46821 L
.5106 .46712 L
.5101 .46628 L
.50867 .46451 L
.5085 .46435 L
.50708 .46242 L
.50674 .46198 L
.5056 .4605 L
.50482 .45931 L
.50442 .45857 L
.50289 .45671 L
.50282 .45664 L
.50098 .45472 L
.50096 .45414 L
.49995 .45279 L
.49904 .45146 L
.49876 .45086 L
.49717 .44894 L
.49711 .44889 L
.49537 .44701 L
.49518 .44626 L
.49433 .44508 L
.49326 .44357 L
.4931 .44316 L
.49154 .44123 L
.49133 .44104 L
.48978 .4393 L
.4894 .43835 L
.48873 .43737 L
.48747 .43564 L
.48742 .43545 L
.48594 .43352 L
.48555 .43315 L
.48422 .43159 L
.48362 .43038 L
.48315 .42967 L
.48175 .42774 L
.48169 .42766 L
.48038 .42581 L
.47977 .42518 L
.47872 .42389 L
.47784 .42233 L
.47761 .42196 L
.47624 .42003 L
.47591 .41959 L
.47487 .41811 L
.47399 .41707 L
.4733 .41618 L
.47213 .41425 L
.47206 .41415 L
.4708 .41232 L
.47013 .41139 L
.46945 .4104 L
.46821 .40868 L
.46806 .40847 L
.46682 .40654 L
.46628 .40578 L
.46552 .40462 L
.46435 .40291 L
.46421 .40269 L
.46302 .40076 L
.46242 .39987 L
.46183 .39884 L
F
0 .97 1 r
.46242 .4669 m
.46435 .46679 L
.46628 .4673 L
.46737 .46821 L
.46821 .46936 L
.46869 .47013 L
.47013 .47192 L
.47024 .47206 L
.47166 .47399 L
.47206 .47457 L
.47323 .47591 L
.47399 .47725 L
.47441 .47784 L
.47591 .47976 L
.47593 .47977 L
.47733 .48169 L
.47784 .4823 L
.47886 .48362 L
.47977 .48499 L
.48006 .48555 L
.48156 .48747 L
.48169 .48766 L
.48346 .4894 L
.48362 .48989 L
.48445 .49133 L
.48555 .49286 L
.48568 .49326 L
.4871 .49518 L
.48747 .49573 L
.48891 .49711 L
.48928 .49904 L
.48747 .49957 L
.48555 .49924 L
.48509 .49904 L
.48362 .49794 L
.4832 .49711 L
.48169 .49565 L
.48133 .49518 L
.47979 .49326 L
.47977 .49306 L
.47846 .49133 L
.47784 .49023 L
.47735 .4894 L
.47591 .48795 L
.47556 .48747 L
.47407 .48555 L
.47399 .4853 L
.4728 .48362 L
.47206 .4826 L
.47172 .48169 L
.47013 .47995 L
.46991 .47977 L
.46839 .47784 L
.46821 .47751 L
.46719 .47591 L
.46628 .47484 L
.46612 .47399 L
.46435 .47208 L
.46434 .47206 L
.46282 .47013 L
.46242 .4692 L
.46185 .46821 L
F
1 .8 0 r
.46242 .41368 m
.46283 .41425 L
.46435 .41603 L
.46445 .41618 L
.46435 .41804 L
.46317 .41618 L
.46242 .41519 L
.46185 .41425 L
F
1 .67 0 r
.46242 .47302 m
.46367 .47399 L
.46435 .4746 L
.46551 .47591 L
.46628 .47678 L
.4671 .47784 L
.46821 .4792 L
.46862 .47977 L
.47008 .48169 L
.47013 .48177 L
.47139 .48362 L
.47206 .48455 L
.4727 .48555 L
.47395 .48747 L
.47399 .48754 L
.47473 .4894 L
.47399 .48973 L
.47359 .4894 L
.47206 .488 L
.47158 .48747 L
.47013 .48594 L
.46988 .48555 L
.46832 .48362 L
.46821 .48349 L
.46684 .48169 L
.46628 .48095 L
.46542 .47977 L
.46435 .47825 L
.46367 .47784 L
.46288 .47591 L
.46242 .47511 L
.4619 .47399 L
F
0 .52 1 r
.46242 .50721 m
.46361 .50867 L
.46435 .50951 L
.46521 .5106 L
.46628 .51188 L
.46678 .51253 L
.46821 .51423 L
.46832 .51445 L
.4698 .51638 L
.47013 .51679 L
.47128 .51831 L
.47206 .51928 L
.47278 .52023 L
.47399 .52164 L
.47426 .52216 L
.47571 .52409 L
.47591 .52434 L
.47715 .52601 L
.47784 .52691 L
.4786 .52794 L
.47977 .52933 L
.48044 .52987 L
.48147 .53179 L
.48169 .53208 L
.48288 .53372 L
.48362 .53469 L
.48431 .53565 L
.48555 .53721 L
.48594 .53758 L
.48712 .5395 L
.48747 .53997 L
.48851 .54143 L
.4894 .54263 L
.48991 .54336 L
.49131 .54528 L
.49133 .5453 L
.49265 .54721 L
.49326 .54803 L
.49401 .54914 L
.49518 .55076 L
.49539 .55106 L
.4967 .55299 L
.49711 .55355 L
.49799 .55492 L
.49904 .55639 L
.49933 .55684 L
.50054 .55877 L
.50096 .55938 L
.50166 .5607 L
.50096 .56108 L
.50065 .5607 L
.49904 .5589 L
.49894 .55877 L
.49737 .55684 L
.49711 .55656 L
.49584 .55492 L
.49518 .55415 L
.49431 .55299 L
.49326 .55171 L
.49277 .55106 L
.49133 .54929 L
.49125 .54914 L
.48981 .54721 L
.4894 .54671 L
.48835 .54528 L
.48747 .54418 L
.48687 .54336 L
.48555 .54173 L
.48517 .54143 L
.48397 .5395 L
.48362 .53906 L
.48255 .53758 L
.48169 .53647 L
.48111 .53565 L
.47977 .53395 L
.47952 .53372 L
.47827 .53179 L
.47784 .53125 L
.47687 .52987 L
.47591 .52861 L
.47544 .52794 L
.47401 .52601 L
.47399 .52598 L
.47266 .52409 L
.47206 .52329 L
.47128 .52216 L
.47013 .52062 L
.46987 .52023 L
.46851 .51831 L
.46821 .51791 L
.46718 .51638 L
.46628 .51516 L
.46581 .51445 L
.46444 .51253 L
.46435 .51241 L
.4632 .5106 L
.46242 .50953 L
.46191 .50867 L
F
0 .8 1 r
.46242 .40555 m
.46326 .40654 L
.46435 .40769 L
.46497 .40847 L
.46628 .40997 L
.46661 .4104 L
.4682 .41232 L
.46821 .41234 L
.46969 .41425 L
.47013 .41478 L
.47119 .41618 L
.47206 .41724 L
.47271 .41811 L
.47399 .4196 L
.47422 .42003 L
.47569 .42196 L
.47591 .42224 L
.47713 .42389 L
.47784 .42478 L
.4786 .42581 L
.47977 .42718 L
.48042 .42774 L
.48152 .42967 L
.48169 .42989 L
.48293 .43159 L
.48362 .43248 L
.48437 .43352 L
.48555 .43493 L
.48609 .43545 L
.48725 .43737 L
.48747 .43767 L
.48864 .4393 L
.4894 .44029 L
.49007 .44123 L
.49133 .44281 L
.49166 .44316 L
.4929 .44508 L
.49326 .44554 L
.49429 .44701 L
.49518 .44819 L
.49571 .44894 L
.49711 .45081 L
.49716 .45086 L
.49848 .45279 L
.49904 .45352 L
.49986 .45472 L
.50096 .45619 L
.50127 .45664 L
.50265 .45857 L
.50289 .45889 L
.50398 .4605 L
.50482 .46162 L
.50535 .46242 L
.50674 .46434 L
.50675 .46435 L
.50802 .46628 L
.50867 .46716 L
.50933 .46821 L
.5106 .46999 L
.51069 .47013 L
.51187 .47206 L
.51253 .47303 L
.51301 .47399 L
.51253 .47468 L
.51189 .47399 L
.5106 .4726 L
.51014 .47206 L
.50867 .47054 L
.50849 .47013 L
.50692 .46821 L
.50674 .46801 L
.50537 .46628 L
.50482 .46562 L
.50382 .46435 L
.50289 .46359 L
.50229 .46242 L
.50096 .46075 L
.50069 .4605 L
.49931 .45857 L
.49904 .45822 L
.49783 .45664 L
.49711 .45606 L
.49635 .45472 L
.49518 .45321 L
.49478 .45279 L
.49345 .45086 L
.49326 .45062 L
.492 .44894 L
.49133 .44836 L
.49055 .44701 L
.4894 .44551 L
.48903 .44508 L
.48769 .44316 L
.48747 .44287 L
.48626 .44123 L
.48555 .44055 L
.48483 .4393 L
.48362 .43768 L
.48337 .43737 L
.48202 .43545 L
.48169 .43501 L
.48061 .43352 L
.47977 .43263 L
.47863 .43159 L
.47784 .42973 L
.47779 .42967 L
.47643 .42774 L
.47591 .42704 L
.47504 .42581 L
.47399 .42454 L
.47335 .42389 L
.4723 .42196 L
.47206 .42164 L
.47095 .42003 L
.47013 .4189 L
.46958 .41811 L
.46823 .41618 L
.46821 .41615 L
.46694 .41425 L
.46628 .41331 L
.46563 .41232 L
.46435 .41046 L
.46431 .4104 L
.46314 .40847 L
.46242 .4074 L
.46195 .40654 L
F
0 .51 1 r
.46242 .50733 m
.46351 .50867 L
.46435 .50961 L
.46514 .5106 L
.46628 .51196 L
.46672 .51253 L
.46821 .51434 L
.46826 .51445 L
.46974 .51638 L
.47013 .51685 L
.47123 .51831 L
.47206 .51934 L
.47273 .52023 L
.47399 .52172 L
.47422 .52216 L
.47566 .52409 L
.47591 .5244 L
.47711 .52601 L
.47784 .52696 L
.47856 .52794 L
.47977 .5294 L
.48035 .52987 L
.48143 .53179 L
.48169 .53213 L
.48284 .53372 L
.48362 .53475 L
.48427 .53565 L
.48555 .53728 L
.48587 .53758 L
.48708 .5395 L
.48747 .54002 L
.48847 .54143 L
.4894 .54269 L
.48987 .54336 L
.49127 .54528 L
.49133 .54536 L
.4926 .54721 L
.49326 .5481 L
.49396 .54914 L
.49518 .55083 L
.49534 .55106 L
.49663 .55299 L
.49711 .55364 L
.49793 .55492 L
.49904 .55649 L
.49926 .55684 L
.50042 .55877 L
.50096 .55956 L
.50149 .5607 L
.50096 .56092 L
.50078 .5607 L
.49904 .55879 L
.49902 .55877 L
.49746 .55684 L
.49711 .55646 L
.49591 .55492 L
.49518 .55407 L
.49436 .55299 L
.49326 .55164 L
.49282 .55106 L
.49133 .5492 L
.4913 .54914 L
.48985 .54721 L
.4894 .54666 L
.48839 .54528 L
.48747 .54413 L
.48691 .54336 L
.48555 .54166 L
.48526 .54143 L
.48401 .5395 L
.48362 .53901 L
.48259 .53758 L
.48169 .53642 L
.48114 .53565 L
.47977 .53388 L
.47959 .53372 L
.4783 .53179 L
.47784 .5312 L
.4769 .52987 L
.47591 .52857 L
.47547 .52794 L
.47405 .52601 L
.47399 .52593 L
.4727 .52409 L
.47206 .52324 L
.47132 .52216 L
.47013 .52057 L
.4699 .52023 L
.46855 .51831 L
.46821 .51785 L
.46723 .51638 L
.46628 .51509 L
.46586 .51445 L
.4645 .51253 L
.46435 .51232 L
.46327 .5106 L
.46242 .50942 L
.46198 .50867 L
F
0 .96 1 r
.46242 .46711 m
.46435 .46693 L
.46628 .4675 L
.46722 .46821 L
.46821 .46948 L
.46863 .47013 L
.47013 .47198 L
.47019 .47206 L
.47162 .47399 L
.47206 .47462 L
.47321 .47591 L
.47399 .47728 L
.47439 .47784 L
.4759 .47977 L
.47591 .47977 L
.4773 .48169 L
.47784 .48233 L
.47884 .48362 L
.47977 .48503 L
.48004 .48555 L
.48153 .48747 L
.48169 .4877 L
.48344 .4894 L
.48362 .48993 L
.48442 .49133 L
.48555 .49293 L
.48566 .49326 L
.48704 .49518 L
.48747 .49584 L
.48881 .49711 L
.48884 .49904 L
.48747 .49938 L
.48566 .49904 L
.48555 .49896 L
.48362 .49773 L
.4833 .49711 L
.48169 .49552 L
.48143 .49518 L
.47981 .49326 L
.47977 .49296 L
.47851 .49133 L
.47784 .49016 L
.47738 .4894 L
.47591 .4879 L
.47559 .48747 L
.47408 .48555 L
.47399 .48526 L
.47283 .48362 L
.47206 .48256 L
.47174 .48169 L
.47013 .47992 L
.46994 .47977 L
.46841 .47784 L
.46821 .47748 L
.46722 .47591 L
.46628 .47479 L
.46614 .47399 L
.4644 .47206 L
.46435 .47199 L
.46288 .47013 L
.46242 .46902 L
.46199 .46821 L
F
1 .66 0 r
.46242 .47319 m
.46354 .47399 L
.46435 .47469 L
.46544 .47591 L
.46628 .47685 L
.46705 .47784 L
.46821 .47926 L
.46858 .47977 L
.47002 .48169 L
.47013 .48184 L
.47134 .48362 L
.47206 .48463 L
.47264 .48555 L
.47386 .48747 L
.47399 .48769 L
.47452 .4894 L
.47399 .48956 L
.47378 .4894 L
.47206 .48789 L
.47167 .48747 L
.47013 .48583 L
.46995 .48555 L
.46838 .48362 L
.46821 .48341 L
.4669 .48169 L
.46628 .48087 L
.46548 .47977 L
.46435 .47816 L
.46381 .47784 L
.46296 .47591 L
.46242 .47493 L
.46202 .47399 L
F
0 .94 1 r
.46242 .44069 m
.46341 .44123 L
.46435 .44191 L
.46564 .44316 L
.46628 .44366 L
.46745 .44508 L
.46821 .44593 L
.46975 .44701 L
.47013 .44829 L
.47072 .44894 L
.47206 .45071 L
.47216 .45086 L
.4737 .45279 L
.47399 .45311 L
.47544 .45472 L
.47591 .45574 L
.47651 .45664 L
.47784 .45848 L
.47787 .45857 L
.47918 .4605 L
.47977 .46152 L
.48049 .46242 L
.48029 .46435 L
.47977 .46448 L
.47914 .46435 L
.47784 .46417 L
.47652 .46242 L
.47591 .46212 L
.47487 .4605 L
.47399 .45964 L
.47335 .45857 L
.47206 .45696 L
.47176 .45664 L
.47046 .45472 L
.47013 .45428 L
.46909 .45279 L
.46821 .45159 L
.46771 .45086 L
.46633 .44894 L
.46628 .44886 L
.46508 .44701 L
.46435 .44593 L
.46384 .44508 L
.4627 .44316 L
.46242 .44262 L
.46203 .44123 L
F
1 .83 0 r
.46242 .49909 m
.46413 .50096 L
.46435 .50119 L
.46581 .50289 L
.46628 .50342 L
.46744 .50482 L
.46821 .50523 L
.46903 .50674 L
.47013 .50805 L
.47096 .50867 L
.47206 .51053 L
.47212 .5106 L
.47363 .51253 L
.47399 .51272 L
.47514 .51445 L
.47591 .5154 L
.47694 .51638 L
.47784 .51796 L
.4781 .51831 L
.47959 .52023 L
.47977 .52035 L
.48106 .52216 L
.48169 .52295 L
.48273 .52409 L
.48362 .52556 L
.48392 .52601 L
.48543 .52794 L
.48555 .52803 L
.48688 .52987 L
.48747 .53062 L
.48846 .53179 L
.4894 .53326 L
.48968 .53372 L
.4912 .53565 L
.49133 .53576 L
.49263 .53758 L
.49326 .53838 L
.49415 .5395 L
.49518 .54104 L
.49539 .54143 L
.49691 .54336 L
.49711 .54353 L
.49897 .54528 L
.49904 .5462 L
.49981 .54721 L
.50096 .54888 L
.50109 .54914 L
.50257 .55106 L
.50289 .55135 L
.5045 .55299 L
.50482 .55408 L
.50543 .55492 L
.50674 .55677 L
.50677 .55684 L
.50819 .55877 L
.50867 .55924 L
.51002 .5607 L
.5106 .56203 L
.51101 .56263 L
.51238 .56455 L
.51253 .56475 L
.51376 .56648 L
.51445 .56721 L
.51549 .56841 L
.51638 .57008 L
.51655 .57033 L
.5179 .57226 L
.51831 .57281 L
.51927 .57419 L
.52023 .57534 L
.52086 .57611 L
.52201 .57804 L
.52216 .57825 L
.52334 .57997 L
.52409 .58102 L
.52469 .58189 L
.52601 .58378 L
.52605 .58382 L
.52731 .58575 L
.52794 .58665 L
.52861 .58768 L
.52987 .58954 L
.52991 .5896 L
.53107 .59153 L
.53179 .59264 L
.53224 .59346 L
.53179 .59482 L
.53055 .59346 L
.52987 .59277 L
.52883 .59153 L
.52794 .59055 L
.52718 .5896 L
.52601 .58847 L
.52557 .58768 L
.52409 .58587 L
.52394 .58575 L
.52248 .58382 L
.52216 .58343 L
.52097 .58189 L
.52023 .58123 L
.51946 .57997 L
.51831 .57854 L
.5178 .57804 L
.51648 .57611 L
.51638 .57599 L
.51502 .57419 L
.51445 .57368 L
.51355 .57226 L
.51253 .57098 L
.51193 .57033 L
.51062 .56841 L
.5106 .56838 L
.50919 .56648 L
.50867 .566 L
.50775 .56455 L
.50674 .56328 L
.50618 .56263 L
.50486 .5607 L
.50482 .56065 L
.50344 .55877 L
.50289 .55824 L
.50133 .55684 L
.50096 .5555 L
.50048 .55492 L
.49915 .55299 L
.49904 .55285 L
.49774 .55106 L
.49711 .55043 L
.49579 .54914 L
.49518 .54766 L
.49483 .54721 L
.49348 .54528 L
.49326 .54499 L
.49208 .54336 L
.49133 .54256 L
.49025 .54143 L
.4894 .53976 L
.48921 .5395 L
.48785 .53758 L
.48747 .53708 L
.48646 .53565 L
.48555 .53462 L
.48473 .53372 L
.48362 .5318 L
.48362 .53179 L
.48226 .52987 L
.48169 .52912 L
.48086 .52794 L
.47977 .5266 L
.47926 .52601 L
.47807 .52409 L
.47784 .52379 L
.47671 .52216 L
.47591 .52109 L
.47532 .52023 L
.47399 .51846 L
.47386 .51831 L
.47257 .51638 L
.47206 .51569 L
.47122 .51445 L
.47013 .51296 L
.46983 .51253 L
.46849 .5106 L
.46821 .51021 L
.46719 .50867 L
.46628 .50741 L
.46584 .50674 L
.46451 .50482 L
.46435 .50459 L
.4633 .50289 L
.46242 .50162 L
.46205 .50096 L
F
1 .16 0 r
.46242 .51575 m
.46285 .51638 L
.46435 .51823 L
.4644 .51831 L
.46435 .51963 L
.46353 .51831 L
.46242 .51698 L
.46205 .51638 L
F
0 .5 1 r
.46242 .50747 m
.46341 .50867 L
.46435 .50971 L
.46506 .5106 L
.46628 .51205 L
.46665 .51253 L
.4682 .51445 L
.46821 .51445 L
.46968 .51638 L
.47013 .51692 L
.47118 .51831 L
.47206 .5194 L
.47269 .52023 L
.47399 .5218 L
.47418 .52216 L
.47562 .52409 L
.47591 .52446 L
.47706 .52601 L
.47784 .52701 L
.47852 .52794 L
.47977 .52947 L
.48027 .52987 L
.48139 .53179 L
.48169 .53219 L
.4828 .53372 L
.48362 .5348 L
.48423 .53565 L
.48555 .53735 L
.48579 .53758 L
.48703 .5395 L
.48747 .54008 L
.48843 .54143 L
.4894 .54275 L
.48983 .54336 L
.49122 .54528 L
.49133 .54543 L
.49255 .54721 L
.49326 .54817 L
.49392 .54914 L
.49518 .5509 L
.49529 .55106 L
.49657 .55299 L
.49711 .55373 L
.49786 .55492 L
.49904 .5566 L
.49919 .55684 L
.49904 .55866 L
.49756 .55684 L
.49711 .55637 L
.49599 .55492 L
.49518 .55399 L
.49442 .55299 L
.49326 .55157 L
.49287 .55106 L
.49135 .54914 L
.49133 .54912 L
.4899 .54721 L
.4894 .5466 L
.48844 .54528 L
.48747 .54407 L
.48695 .54336 L
.48555 .54159 L
.48535 .54143 L
.48406 .5395 L
.48362 .53895 L
.48263 .53758 L
.48169 .53637 L
.48118 .53565 L
.47977 .53381 L
.47967 .53372 L
.47834 .53179 L
.47784 .53115 L
.47694 .52987 L
.47591 .52852 L
.47551 .52794 L
.47409 .52601 L
.47399 .52588 L
.47274 .52409 L
.47206 .52319 L
.47136 .52216 L
.47013 .52051 L
.46994 .52023 L
.4686 .51831 L
.46821 .51778 L
.46728 .51638 L
.46628 .51502 L
.46591 .51445 L
.46457 .51253 L
.46435 .51223 L
.46335 .5106 L
.46242 .50931 L
.46206 .50867 L
F
1 .88 0 r
.46242 .39755 m
.46369 .39884 L
.46435 .39947 L
.46548 .40076 L
.46628 .40162 L
.46716 .40269 L
.46821 .4036 L
.46879 .40462 L
.47013 .4062 L
.47057 .40654 L
.47193 .40847 L
.47206 .40863 L
.47345 .4104 L
.47399 .41083 L
.47497 .41232 L
.47591 .41348 L
.47673 .41425 L
.47784 .41602 L
.47797 .41618 L
.47943 .41811 L
.47977 .41838 L
.48091 .42003 L
.48169 .42101 L
.48259 .42196 L
.48362 .42361 L
.48382 .42389 L
.48528 .42581 L
.48555 .42604 L
.48673 .42774 L
.48747 .42868 L
.48835 .42967 L
.4894 .43131 L
.48959 .43159 L
.49105 .43352 L
.49133 .43377 L
.49248 .43545 L
.49326 .43643 L
.49405 .43737 L
.49518 .43909 L
.49531 .4393 L
.49676 .44123 L
.49711 .44155 L
.49882 .44316 L
.49904 .44424 L
.49971 .44508 L
.50096 .44691 L
.50102 .44701 L
.50244 .44894 L
.50289 .44937 L
.50438 .45086 L
.50482 .4521 L
.50535 .45279 L
.5067 .45472 L
.50674 .45477 L
.50809 .45664 L
.50867 .45722 L
.50994 .45857 L
.5106 .46 L
.51097 .4605 L
.51233 .46242 L
.51253 .46268 L
.51372 .46435 L
.51445 .46513 L
.51548 .46628 L
.51638 .46793 L
.51658 .46821 L
.51794 .47013 L
.51831 .47062 L
.51933 .47206 L
.52023 .47309 L
.521 .47399 L
.52216 .47591 L
.52216 .47592 L
.52352 .47784 L
.52409 .4786 L
.5249 .47977 L
.52601 .48113 L
.52647 .48169 L
.5277 .48362 L
.52794 .48395 L
.52905 .48555 L
.52987 .48665 L
.53044 .48747 L
.53179 .4893 L
.53187 .4894 L
.53317 .49133 L
.53372 .49207 L
.53452 .49326 L
.53565 .4948 L
.53591 .49518 L
.53724 .49711 L
.53758 .49756 L
.53854 .49904 L
.5395 .50038 L
.53988 .50096 L
.54119 .50289 L
.54143 .50322 L
.54241 .50482 L
.54336 .50619 L
.54368 .50674 L
.54486 .50867 L
.54528 .50934 L
.54584 .5106 L
.54528 .51112 L
.5448 .5106 L
.54336 .50906 L
.54302 .50867 L
.54143 .50682 L
.54138 .50674 L
.53978 .50482 L
.5395 .5045 L
.53819 .50289 L
.53758 .50273 L
.5366 .50096 L
.53565 .49983 L
.5345 .49904 L
.53372 .49735 L
.53352 .49711 L
.53199 .49518 L
.53179 .49509 L
.53046 .49326 L
.52987 .49252 L
.5286 .49133 L
.52794 .48997 L
.52753 .4894 L
.52601 .48751 L
.52597 .48747 L
.52449 .48555 L
.52409 .48504 L
.52279 .48362 L
.52216 .48244 L
.52165 .48169 L
.52023 .4799 L
.52008 .47977 L
.51863 .47784 L
.51831 .47742 L
.51703 .47591 L
.51638 .4748 L
.51586 .47399 L
.51445 .47221 L
.51429 .47206 L
.51285 .47013 L
.51253 .46971 L
.51132 .46821 L
.5106 .46706 L
.51014 .46628 L
.50867 .46446 L
.50855 .46435 L
.50713 .46242 L
.50674 .46192 L
.50564 .4605 L
.50482 .45925 L
.50445 .45857 L
.50289 .45667 L
.50287 .45664 L
.50098 .45472 L
.50096 .45409 L
.49999 .45279 L
.49904 .4514 L
.49878 .45086 L
.49721 .44894 L
.49711 .44885 L
.49538 .44701 L
.49518 .44621 L
.49437 .44508 L
.49326 .44351 L
.49312 .44316 L
.49158 .44123 L
.49133 .441 L
.48981 .4393 L
.4894 .43828 L
.48877 .43737 L
.48747 .43558 L
.48744 .43545 L
.48599 .43352 L
.48555 .43309 L
.48426 .43159 L
.48362 .4303 L
.4832 .42967 L
.48181 .42774 L
.48169 .42758 L
.48043 .42581 L
.47977 .4251 L
.47878 .42389 L
.47784 .42224 L
.47766 .42196 L
.47631 .42003 L
.47591 .41949 L
.47494 .41811 L
.47399 .41695 L
.4734 .41618 L
.47222 .41425 L
.47206 .41403 L
.47089 .41232 L
.47013 .41125 L
.46955 .4104 L
.46821 .40847 L
.46821 .40847 L
.46695 .40654 L
.46628 .40558 L
.46566 .40462 L
.46437 .40269 L
.46435 .40266 L
.46325 .40076 L
.46242 .39945 L
.46211 .39884 L
F
0 .95 1 r
.46242 .46735 m
.46435 .46707 L
.46628 .46768 L
.46706 .46821 L
.46821 .46958 L
.46858 .47013 L
.47013 .47205 L
.47014 .47206 L
.47159 .47399 L
.47206 .47467 L
.47318 .47591 L
.47399 .47732 L
.47437 .47784 L
.47588 .47977 L
.47591 .47979 L
.47728 .48169 L
.47784 .48235 L
.47882 .48362 L
.47977 .48506 L
.48002 .48555 L
.4815 .48747 L
.48169 .48773 L
.48343 .4894 L
.48362 .48997 L
.48439 .49133 L
.48555 .49302 L
.48563 .49326 L
.48698 .49518 L
.48747 .49596 L
.48869 .49711 L
.48827 .49904 L
.48747 .49919 L
.48633 .49904 L
.48555 .49862 L
.48362 .49754 L
.48339 .49711 L
.48169 .4954 L
.48152 .49518 L
.47982 .49326 L
.47977 .49285 L
.47855 .49133 L
.47784 .49009 L
.47741 .4894 L
.47591 .48785 L
.47563 .48747 L
.4741 .48555 L
.47399 .48521 L
.47286 .48362 L
.47206 .48252 L
.47176 .48169 L
.47013 .4799 L
.46998 .47977 L
.46843 .47784 L
.46821 .47744 L
.46726 .47591 L
.46628 .47473 L
.46616 .47399 L
.46445 .47206 L
.46435 .47191 L
.46294 .47013 L
.46242 .4688 L
.46214 .46821 L
F
0 .49 1 r
.46242 .50762 m
.4633 .50867 L
.46435 .50981 L
.46498 .5106 L
.46628 .51213 L
.46659 .51253 L
.46814 .51445 L
.46821 .51453 L
.46962 .51638 L
.47013 .51699 L
.47113 .51831 L
.47206 .51947 L
.47264 .52023 L
.47399 .52188 L
.47413 .52216 L
.47557 .52409 L
.47591 .52451 L
.47702 .52601 L
.47784 .52707 L
.47848 .52794 L
.47977 .52954 L
.48018 .52987 L
.48135 .53179 L
.48169 .53224 L
.48276 .53372 L
.48362 .53485 L
.4842 .53565 L
.48555 .53743 L
.48571 .53758 L
.48699 .5395 L
.48747 .54014 L
.48838 .54143 L
.4894 .5428 L
.48979 .54336 L
.49117 .54528 L
.49133 .54549 L
.4925 .54721 L
.49326 .54824 L
.49387 .54914 L
.49518 .55097 L
.49524 .55106 L
.4965 .55299 L
.49711 .55383 L
.49779 .55492 L
.49904 .55672 L
.49911 .55684 L
.49904 .55852 L
.49767 .55684 L
.49711 .55626 L
.49606 .55492 L
.49518 .55391 L
.49449 .55299 L
.49326 .5515 L
.49292 .55106 L
.4914 .54914 L
.49133 .54905 L
.48995 .54721 L
.4894 .54654 L
.48848 .54528 L
.48747 .54402 L
.48699 .54336 L
.48555 .54151 L
.48544 .54143 L
.4841 .5395 L
.48362 .5389 L
.48267 .53758 L
.48169 .53632 L
.48121 .53565 L
.47977 .53374 L
.47974 .53372 L
.47838 .53179 L
.47784 .5311 L
.47698 .52987 L
.47591 .52847 L
.47554 .52794 L
.47413 .52601 L
.47399 .52582 L
.47279 .52409 L
.47206 .52313 L
.4714 .52216 L
.47013 .52046 L
.46998 .52023 L
.46865 .51831 L
.46821 .51771 L
.46733 .51638 L
.46628 .51495 L
.46595 .51445 L
.46464 .51253 L
.46435 .51213 L
.46343 .5106 L
.46242 .50917 L
.46215 .50867 L
F
1 .15 0 r
.46242 .51589 m
.46275 .51638 L
.46242 .51685 L
.46215 .51638 L
F
1 .65 0 r
.46242 .4734 m
.46338 .47399 L
.46435 .47478 L
.46536 .47591 L
.46628 .47692 L
.467 .47784 L
.46821 .47932 L
.46853 .47977 L
.46997 .48169 L
.47013 .48191 L
.47128 .48362 L
.47206 .48471 L
.47258 .48555 L
.47376 .48747 L
.47206 .48779 L
.47176 .48747 L
.47013 .48572 L
.47002 .48555 L
.46845 .48362 L
.46821 .48333 L
.46696 .48169 L
.46628 .48079 L
.46554 .47977 L
.46435 .47806 L
.46396 .47784 L
.46304 .47591 L
.46242 .47471 L
.46215 .47399 L
F
0 .97 1 r
.46242 .49278 m
.46314 .49326 L
.46435 .49412 L
.46567 .49518 L
.46628 .49569 L
.46791 .49711 L
.46821 .49739 L
.46992 .49904 L
.47013 .49927 L
.47172 .50096 L
.47206 .50142 L
.47358 .50289 L
.47399 .50376 L
.47496 .50482 L
.47591 .5062 L
.47639 .50674 L
.47784 .50862 L
.47788 .50867 L
.47949 .5106 L
.47977 .51118 L
.48079 .51253 L
.48169 .51379 L
.48212 .51445 L
.48362 .51636 L
.48364 .51638 L
.48511 .51831 L
.48555 .51899 L
.48636 .52023 L
.48747 .52165 L
.48753 .52216 L
.48938 .52409 L
.4894 .52418 L
.49071 .52601 L
.49133 .52686 L
.49182 .52794 L
.49326 .52957 L
.49364 .52987 L
.49508 .53179 L
.49518 .53201 L
.49633 .53372 L
.49711 .53473 L
.49729 .53565 L
.49904 .53746 L
.49933 .53758 L
.50077 .5395 L
.50096 .53984 L
.50197 .54143 L
.50289 .54259 L
.50361 .54336 L
.50482 .54504 L
.505 .54528 L
.50644 .54721 L
.50674 .5477 L
.50761 .54914 L
.50867 .55044 L
.50927 .55106 L
.5106 .55291 L
.51066 .55299 L
.51209 .55492 L
.51253 .55557 L
.51324 .55684 L
.51445 .55829 L
.51492 .55877 L
.51631 .5607 L
.51638 .56079 L
.51773 .56263 L
.51831 .56346 L
.51886 .56455 L
.52023 .56615 L
.52056 .56648 L
.52211 .56841 L
.52216 .56867 L
.52335 .57033 L
.52409 .57136 L
.52447 .57226 L
.52601 .57402 L
.52619 .57419 L
.52778 .57611 L
.52794 .57657 L
.52896 .57804 L
.52987 .57927 L
.5301 .57997 L
.53179 .58188 L
.5318 .58189 L
.53342 .58382 L
.53372 .58449 L
.53457 .58575 L
.53565 .58719 L
.53574 .58768 L
.53741 .5896 L
.53758 .58975 L
.53903 .59153 L
.5395 .59242 L
.54016 .59346 L
.54143 .59514 L
.54143 .59538 L
.543 .59731 L
.54336 .59765 L
.5446 .59924 L
.54528 .60041 L
.54574 .60116 L
.54718 .60309 L
.54721 .60313 L
.54855 .60502 L
.54914 .60562 L
.55012 .60694 L
.55106 .60846 L
.55129 .60887 L
.55269 .6108 L
.55299 .61121 L
.55406 .61273 L
.55492 .61373 L
.55557 .61465 L
.55679 .61658 L
.55684 .61665 L
.55812 .61851 L
.55877 .61943 L
.5601 .62043 L
.5607 .62215 L
.56084 .62236 L
.56208 .62429 L
.56263 .62508 L
.56336 .62621 L
.56455 .62799 L
.56475 .62814 L
.5658 .63007 L
.56648 .63115 L
.56694 .63199 L
.56648 .63376 L
.56471 .63199 L
.56455 .63184 L
.56296 .63007 L
.56263 .62972 L
.56128 .62814 L
.5607 .62775 L
.55965 .62621 L
.55877 .6252 L
.5575 .62429 L
.55684 .62276 L
.55647 .62236 L
.55497 .62043 L
.55492 .62039 L
.55346 .61851 L
.55299 .61793 L
.55156 .61658 L
.55106 .61538 L
.55047 .61465 L
.54914 .61286 L
.54909 .61273 L
.54753 .6108 L
.54721 .6104 L
.54579 .60887 L
.54528 .60779 L
.54465 .60694 L
.54336 .60521 L
.54332 .60502 L
.54172 .60309 L
.54143 .60272 L
.54007 .60116 L
.5395 .60008 L
.53891 .59924 L
.53758 .59747 L
.5374 .59731 L
.53598 .59538 L
.53565 .59496 L
.53438 .59346 L
.53372 .5923 L
.53321 .59153 L
.53179 .5897 L
.53169 .5896 L
.53028 .58768 L
.52987 .58715 L
.52872 .58575 L
.52794 .58448 L
.52754 .58382 L
.52601 .5819 L
.52601 .58189 L
.52461 .57997 L
.52409 .57931 L
.52307 .57804 L
.52216 .57663 L
.52187 .57611 L
.52035 .57419 L
.52023 .57408 L
.51846 .57226 L
.51831 .57144 L
.51744 .57033 L
.51638 .56876 L
.5162 .56841 L
.5147 .56648 L
.51445 .56624 L
.51285 .56455 L
.51253 .56357 L
.51181 .56263 L
.5106 .56089 L
.51052 .5607 L
.50906 .55877 L
.50867 .55839 L
.50726 .55684 L
.50674 .55567 L
.50619 .55492 L
.50482 .553 L
.50482 .55299 L
.50343 .55106 L
.50289 .55052 L
.50168 .54914 L
.50096 .54777 L
.50057 .54721 L
.49919 .54528 L
.49904 .54509 L
.4978 .54336 L
.49711 .54262 L
.4961 .54143 L
.49518 .53984 L
.49495 .5395 L
.49357 .53758 L
.49326 .53716 L
.49218 .53565 L
.49133 .53469 L
.49054 .53372 L
.4894 .5319 L
.48933 .53179 L
.48796 .52987 L
.48747 .52967 L
.48657 .52794 L
.48555 .52672 L
.48499 .52601 L
.48373 .52409 L
.48362 .52394 L
.48237 .52216 L
.48169 .52168 L
.48038 .52023 L
.47977 .5187 L
.47947 .51831 L
.47816 .51638 L
.47784 .51595 L
.47679 .51445 L
.47591 .5136 L
.47502 .51253 L
.47399 .51063 L
.47396 .5106 L
.47262 .50867 L
.47206 .50792 L
.47125 .50674 L
.47013 .50546 L
.46965 .50482 L
.46848 .50289 L
.46821 .50252 L
.46715 .50096 L
.46628 .49977 L
.4658 .49904 L
.46443 .49711 L
.46435 .497 L
.46325 .49518 L
.46242 .4939 L
.46215 .49326 L
F
1 .72 0 r
.46242 .44886 m
.46252 .44894 L
.46435 .45067 L
.46452 .45086 L
.46612 .45279 L
.46628 .45297 L
.46756 .45472 L
.46821 .45561 L
.46888 .45664 L
.46821 .45792 L
.46712 .45664 L
.46628 .45569 L
.46558 .45472 L
.46435 .45312 L
.46414 .45279 L
.46294 .45086 L
.46242 .45 L
.46217 .44894 L
F
1 .82 0 r
.46242 .49941 m
.4639 .50096 L
.46435 .50141 L
.46564 .50289 L
.46628 .5036 L
.4673 .50482 L
.46821 .50537 L
.46891 .50674 L
.47013 .50819 L
.47079 .50867 L
.47202 .5106 L
.47206 .51065 L
.47354 .51253 L
.47399 .51278 L
.47506 .51445 L
.47591 .5155 L
.47686 .51638 L
.47784 .51806 L
.47803 .51831 L
.47952 .52023 L
.47977 .5204 L
.481 .52216 L
.48169 .52303 L
.48267 .52409 L
.48362 .52564 L
.48387 .52601 L
.48537 .52794 L
.48555 .52807 L
.48683 .52987 L
.48747 .53069 L
.48842 .53179 L
.4894 .53333 L
.48964 .53372 L
.49115 .53565 L
.49133 .53579 L
.49259 .53758 L
.49326 .53844 L
.49411 .5395 L
.49518 .5411 L
.49536 .54143 L
.49686 .54336 L
.49711 .54357 L
.49896 .54528 L
.49904 .54626 L
.49977 .54721 L
.50096 .54893 L
.50106 .54914 L
.50253 .55106 L
.50289 .5514 L
.50447 .55299 L
.50482 .55414 L
.50539 .55492 L
.50674 .55683 L
.50675 .55684 L
.50814 .55877 L
.50867 .55929 L
.50998 .5607 L
.5106 .5621 L
.51097 .56263 L
.51233 .56455 L
.51253 .56481 L
.51371 .56648 L
.51445 .56728 L
.51543 .56841 L
.51638 .57016 L
.5165 .57033 L
.51785 .57226 L
.51831 .57289 L
.51921 .57419 L
.52023 .57544 L
.52078 .57611 L
.52193 .57804 L
.52216 .57835 L
.52326 .57997 L
.52409 .58113 L
.52461 .58189 L
.52594 .58382 L
.52601 .58392 L
.5272 .58575 L
.52794 .58681 L
.52849 .58768 L
.52976 .5896 L
.52987 .58975 L
.53088 .59153 L
.53179 .59302 L
.532 .59346 L
.53179 .59438 L
.53087 .59346 L
.52987 .59252 L
.52902 .59153 L
.52794 .59036 L
.52732 .5896 L
.52601 .58827 L
.52569 .58768 L
.5241 .58575 L
.52409 .58573 L
.52258 .58382 L
.52216 .58332 L
.52106 .58189 L
.52023 .58113 L
.51953 .57997 L
.51831 .57844 L
.51789 .57804 L
.51655 .57611 L
.51638 .57591 L
.51508 .57419 L
.51445 .57361 L
.5136 .57226 L
.51253 .5709 L
.51199 .57033 L
.51067 .56841 L
.5106 .56831 L
.50924 .56648 L
.50867 .56595 L
.50779 .56455 L
.50674 .56322 L
.50623 .56263 L
.5049 .5607 L
.50482 .56059 L
.50348 .55877 L
.50289 .5582 L
.50137 .55684 L
.50096 .55545 L
.50052 .55492 L
.49919 .55299 L
.49904 .5528 L
.49778 .55106 L
.49711 .55038 L
.49583 .54914 L
.49518 .54761 L
.49487 .54721 L
.49352 .54528 L
.49326 .54494 L
.49212 .54336 L
.49133 .54251 L
.49029 .54143 L
.4894 .5397 L
.48925 .5395 L
.48789 .53758 L
.48747 .53703 L
.48649 .53565 L
.48555 .53457 L
.48478 .53372 L
.48366 .53179 L
.48362 .53174 L
.4823 .52987 L
.48169 .52907 L
.4809 .52794 L
.47977 .52653 L
.47932 .52601 L
.47811 .52409 L
.47784 .52373 L
.47675 .52216 L
.47591 .52103 L
.47536 .52023 L
.47399 .51837 L
.47394 .51831 L
.47263 .51638 L
.47206 .51561 L
.47128 .51445 L
.47013 .51288 L
.46989 .51253 L
.46856 .5106 L
.46821 .51011 L
.46727 .50867 L
.46628 .50729 L
.46593 .50674 L
.46463 .50482 L
.46435 .50442 L
.46344 .50289 L
.46242 .50138 L
.4622 .50096 L
F
0 .79 1 r
.46242 .40601 m
.46291 .40654 L
.46435 .40794 L
.46478 .40847 L
.46628 .41016 L
.46647 .4104 L
.46805 .41232 L
.46821 .4125 L
.46956 .41425 L
.47013 .41492 L
.47109 .41618 L
.47206 .41736 L
.47262 .41811 L
.47399 .41975 L
.47414 .42003 L
.4756 .42196 L
.47591 .42234 L
.47705 .42389 L
.47784 .42488 L
.47853 .42581 L
.47977 .4273 L
.48029 .42774 L
.48145 .42967 L
.48169 .42998 L
.48287 .43159 L
.48362 .43256 L
.48431 .43352 L
.48555 .43504 L
.48599 .43545 L
.48718 .43737 L
.48747 .43775 L
.48858 .4393 L
.4894 .44037 L
.49001 .44123 L
.49133 .44291 L
.49157 .44316 L
.49284 .44508 L
.49326 .44562 L
.49423 .44701 L
.49518 .44827 L
.49565 .44894 L
.49707 .45086 L
.49711 .45091 L
.49842 .45279 L
.49904 .45361 L
.4998 .45472 L
.50096 .45628 L
.50121 .45664 L
.50257 .45857 L
.50289 .45899 L
.5039 .4605 L
.50482 .46174 L
.50527 .46242 L
.50665 .46435 L
.50674 .46447 L
.50791 .46628 L
.50867 .46733 L
.50922 .46821 L
.51056 .47013 L
.5106 .47019 L
.51164 .47206 L
.51253 .47349 L
.51268 .47399 L
.51253 .47421 L
.51228 .47399 L
.5106 .47234 L
.51035 .47206 L
.50867 .47016 L
.50866 .47013 L
.50707 .46821 L
.50674 .46783 L
.5055 .46628 L
.50482 .46546 L
.50394 .46435 L
.50289 .46342 L
.5024 .46242 L
.50096 .4606 L
.50085 .4605 L
.49941 .45857 L
.49904 .4581 L
.49792 .45664 L
.49711 .45595 L
.49644 .45472 L
.49518 .4531 L
.49489 .45279 L
.49353 .45086 L
.49326 .45051 L
.49208 .44894 L
.49133 .44827 L
.49062 .44701 L
.4894 .44541 L
.48912 .44508 L
.48777 .44316 L
.48747 .44277 L
.48634 .44123 L
.48555 .44046 L
.48491 .4393 L
.48362 .43758 L
.48346 .43737 L
.48209 .43545 L
.48169 .43492 L
.48069 .43352 L
.47977 .43252 L
.47875 .43159 L
.47788 .42967 L
.47784 .42961 L
.47651 .42774 L
.47591 .42693 L
.47512 .42581 L
.47399 .42439 L
.47349 .42389 L
.47239 .42196 L
.47206 .42151 L
.47104 .42003 L
.47013 .41876 L
.46968 .41811 L
.46835 .41618 L
.46821 .41599 L
.46707 .41425 L
.46628 .41313 L
.46576 .41232 L
.46448 .4104 L
.46435 .41021 L
.46337 .40847 L
.46242 .40696 L
.46223 .40654 L
F
0 .48 1 r
.46242 .50781 m
.46316 .50867 L
.46435 .50992 L
.46489 .5106 L
.46628 .51222 L
.46652 .51253 L
.46806 .51445 L
.46821 .51461 L
.46956 .51638 L
.47013 .51706 L
.47108 .51831 L
.47206 .51953 L
.47259 .52023 L
.47399 .52197 L
.47408 .52216 L
.47552 .52409 L
.47591 .52457 L
.47698 .52601 L
.47784 .52713 L
.47844 .52794 L
.47977 .52962 L
.48008 .52987 L
.4813 .53179 L
.48169 .5323 L
.48272 .53372 L
.48362 .53491 L
.48416 .53565 L
.48555 .53751 L
.48562 .53758 L
.48695 .5395 L
.48747 .5402 L
.48834 .54143 L
.4894 .54286 L
.48975 .54336 L
.49112 .54528 L
.49133 .54556 L
.49245 .54721 L
.49326 .54831 L
.49382 .54914 L
.49518 .55105 L
.49519 .55106 L
.49643 .55299 L
.49711 .55394 L
.49771 .55492 L
.49711 .55615 L
.49615 .55492 L
.49518 .55382 L
.49455 .55299 L
.49326 .55143 L
.49298 .55106 L
.49146 .54914 L
.49133 .54898 L
.49001 .54721 L
.4894 .54647 L
.48853 .54528 L
.48747 .54396 L
.48703 .54336 L
.48555 .54144 L
.48554 .54143 L
.48414 .5395 L
.48362 .53885 L
.48271 .53758 L
.48169 .53627 L
.48125 .53565 L
.4798 .53372 L
.47977 .53369 L
.47842 .53179 L
.47784 .53104 L
.47701 .52987 L
.47591 .52842 L
.47558 .52794 L
.47418 .52601 L
.47399 .52577 L
.47283 .52409 L
.47206 .52307 L
.47144 .52216 L
.47013 .5204 L
.47002 .52023 L
.46871 .51831 L
.46821 .51764 L
.46738 .51638 L
.46628 .51488 L
.46601 .51445 L
.46472 .51253 L
.46435 .51203 L
.46352 .5106 L
.46242 .50902 L
.46224 .50867 L
F
1 .14 0 r
.46242 .51606 m
.46263 .51638 L
.46242 .51668 L
.46226 .51638 L
F
0 .94 1 r
.46242 .46767 m
.46435 .4672 L
.46628 .46785 L
.46687 .46821 L
.46821 .46969 L
.46852 .47013 L
.47009 .47206 L
.47013 .47211 L
.47155 .47399 L
.47206 .47471 L
.47315 .47591 L
.47399 .47735 L
.47435 .47784 L
.47585 .47977 L
.47591 .47981 L
.47725 .48169 L
.47784 .48238 L
.4788 .48362 L
.47977 .48509 L
.48001 .48555 L
.48148 .48747 L
.48169 .48777 L
.48341 .4894 L
.48362 .49002 L
.48435 .49133 L
.48555 .4931 L
.4856 .49326 L
.48692 .49518 L
.48747 .49608 L
.48856 .49711 L
.48747 .49899 L
.48555 .49834 L
.48362 .49736 L
.48348 .49711 L
.48169 .49528 L
.48162 .49518 L
.47983 .49326 L
.47977 .49276 L
.4786 .49133 L
.47784 .49003 L
.47744 .4894 L
.47591 .4878 L
.47567 .48747 L
.47411 .48555 L
.47399 .48517 L
.47288 .48362 L
.47206 .48248 L
.47178 .48169 L
.47013 .47987 L
.47001 .47977 L
.46845 .47784 L
.46821 .4774 L
.46729 .47591 L
.46628 .47467 L
.46617 .47399 L
.46451 .47206 L
.46435 .47182 L
.463 .47013 L
.46242 .46853 L
.46229 .46821 L
F
1 .64 0 r
.46242 .47368 m
.46318 .47399 L
.46435 .47488 L
.46528 .47591 L
.46628 .47699 L
.46694 .47784 L
.46821 .47939 L
.46848 .47977 L
.46991 .48169 L
.47013 .48198 L
.47123 .48362 L
.47206 .4848 L
.47252 .48555 L
.47365 .48747 L
.47206 .48768 L
.47187 .48747 L
.47013 .48561 L
.47009 .48555 L
.46852 .48362 L
.46821 .48324 L
.46702 .48169 L
.46628 .48071 L
.4656 .47977 L
.46435 .47797 L
.46413 .47784 L
.46313 .47591 L
.46242 .47442 L
.4623 .47399 L
F
0 .47 1 r
.46242 .50806 m
.46298 .50867 L
.46435 .51005 L
.4648 .5106 L
.46628 .51231 L
.46645 .51253 L
.46799 .51445 L
.46821 .5147 L
.4695 .51638 L
.47013 .51713 L
.47102 .51831 L
.47206 .5196 L
.47254 .52023 L
.47399 .52206 L
.47404 .52216 L
.47547 .52409 L
.47591 .52463 L
.47693 .52601 L
.47784 .52718 L
.4784 .52794 L
.47977 .52969 L
.47999 .52987 L
.48126 .53179 L
.48169 .53235 L
.48268 .53372 L
.48362 .53496 L
.48411 .53565 L
.48554 .53758 L
.48555 .53758 L
.4869 .5395 L
.48747 .54026 L
.4883 .54143 L
.4894 .54292 L
.4897 .54336 L
.49106 .54528 L
.49133 .54563 L
.49239 .54721 L
.49326 .54838 L
.49376 .54914 L
.49512 .55106 L
.49518 .55114 L
.49635 .55299 L
.49711 .55405 L
.49763 .55492 L
.49711 .55603 L
.49624 .55492 L
.49518 .55373 L
.49462 .55299 L
.49326 .55136 L
.49303 .55106 L
.49152 .54914 L
.49133 .54891 L
.49006 .54721 L
.4894 .54641 L
.48857 .54528 L
.48747 .5439 L
.48707 .54336 L
.48559 .54143 L
.48555 .54138 L
.48418 .5395 L
.48362 .53879 L
.48275 .53758 L
.48169 .53622 L
.48129 .53565 L
.47984 .53372 L
.47977 .53363 L
.47846 .53179 L
.47784 .53099 L
.47705 .52987 L
.47591 .52837 L
.47562 .52794 L
.47422 .52601 L
.47399 .52571 L
.47287 .52409 L
.47206 .52302 L
.47148 .52216 L
.47013 .52034 L
.47006 .52023 L
.46876 .51831 L
.46821 .51757 L
.46744 .51638 L
.46628 .5148 L
.46606 .51445 L
.4648 .51253 L
.46435 .5119 L
.46362 .5106 L
.46242 .50882 L
.46235 .50867 L
F
1 .81 0 r
.46242 .49983 m
.46362 .50096 L
.46435 .50165 L
.46546 .50289 L
.46628 .50379 L
.46716 .50482 L
.46821 .50555 L
.46879 .50674 L
.47013 .50835 L
.47059 .50867 L
.47191 .5106 L
.47206 .51077 L
.47345 .51253 L
.47399 .51284 L
.47498 .51445 L
.47591 .5156 L
.47677 .51638 L
.47784 .51815 L
.47796 .51831 L
.47945 .52023 L
.47977 .52044 L
.48094 .52216 L
.48169 .52311 L
.48261 .52409 L
.48362 .52571 L
.48383 .52601 L
.48532 .52794 L
.48555 .52811 L
.48678 .52987 L
.48747 .53076 L
.48837 .53179 L
.4894 .53339 L
.4896 .53372 L
.4911 .53565 L
.49133 .53584 L
.49254 .53758 L
.49326 .5385 L
.49407 .5395 L
.49518 .54116 L
.49533 .54143 L
.49682 .54336 L
.49711 .54361 L
.49894 .54528 L
.49904 .54632 L
.49973 .54721 L
.50096 .54899 L
.50103 .54914 L
.50248 .55106 L
.50289 .55144 L
.50444 .55299 L
.50482 .5542 L
.50535 .55492 L
.50671 .55684 L
.50674 .55689 L
.5081 .55877 L
.50867 .55934 L
.50993 .5607 L
.5106 .56217 L
.51092 .56263 L
.51228 .56455 L
.51253 .56488 L
.51366 .56648 L
.51445 .56735 L
.51537 .56841 L
.51638 .57024 L
.51644 .57033 L
.51779 .57226 L
.51831 .57298 L
.51915 .57419 L
.52023 .57555 L
.52069 .57611 L
.52186 .57804 L
.52216 .57846 L
.52318 .57997 L
.52409 .58124 L
.52453 .58189 L
.52584 .58382 L
.52601 .58407 L
.52709 .58575 L
.52794 .58699 L
.52837 .58768 L
.52959 .5896 L
.52987 .59003 L
.53065 .59153 L
.52987 .59224 L
.52924 .59153 L
.52794 .59016 L
.52748 .5896 L
.52601 .58805 L
.52581 .58768 L
.52423 .58575 L
.52409 .58559 L
.52269 .58382 L
.52216 .5832 L
.52115 .58189 L
.52023 .58102 L
.51961 .57997 L
.51831 .57834 L
.51799 .57804 L
.51662 .57611 L
.51638 .57582 L
.51514 .57419 L
.51445 .57354 L
.51366 .57226 L
.51253 .57083 L
.51206 .57033 L
.51073 .56841 L
.5106 .56824 L
.50929 .56648 L
.50867 .56589 L
.50784 .56455 L
.50674 .56316 L
.50628 .56263 L
.50494 .5607 L
.50482 .56054 L
.50353 .55877 L
.50289 .55815 L
.50142 .55684 L
.50096 .55539 L
.50057 .55492 L
.49923 .55299 L
.49904 .55275 L
.49782 .55106 L
.49711 .55034 L
.49587 .54914 L
.49518 .54755 L
.49491 .54721 L
.49356 .54528 L
.49326 .54489 L
.49215 .54336 L
.49133 .54246 L
.49034 .54143 L
.4894 .53965 L
.48929 .5395 L
.48793 .53758 L
.48747 .53698 L
.48653 .53565 L
.48555 .53451 L
.48483 .53372 L
.4837 .53179 L
.48362 .53169 L
.48234 .52987 L
.48169 .52901 L
.48094 .52794 L
.47977 .52646 L
.47938 .52601 L
.47816 .52409 L
.47784 .52366 L
.4768 .52216 L
.47591 .52096 L
.47541 .52023 L
.47401 .51831 L
.47399 .51828 L
.47269 .51638 L
.47206 .51553 L
.47134 .51445 L
.47013 .51279 L
.46995 .51253 L
.46864 .5106 L
.46821 .51 L
.46735 .50867 L
.46628 .50716 L
.46601 .50674 L
.46476 .50482 L
.46435 .50423 L
.46359 .50289 L
.46242 .50106 L
.46238 .50096 L
F
0 .93 1 r
.46435 .46733 m
.46628 .468 L
.46666 .46821 L
.46821 .46978 L
.46846 .47013 L
.47004 .47206 L
.47013 .47218 L
.47151 .47399 L
.47206 .47476 L
.47313 .47591 L
.47399 .47738 L
.47433 .47784 L
.47583 .47977 L
.47591 .47983 L
.47723 .48169 L
.47784 .48241 L
.47878 .48362 L
.47977 .48512 L
.47999 .48555 L
.48145 .48747 L
.48169 .48781 L
.4834 .4894 L
.48362 .49007 L
.48432 .49133 L
.48555 .49318 L
.48557 .49326 L
.48685 .49518 L
.48747 .49621 L
.4884 .49711 L
.48747 .49879 L
.48555 .4981 L
.48362 .4972 L
.48357 .49711 L
.48171 .49518 L
.48169 .49516 L
.47985 .49326 L
.47977 .49266 L
.47864 .49133 L
.47784 .48998 L
.47747 .4894 L
.47591 .48775 L
.47571 .48747 L
.47412 .48555 L
.47399 .48513 L
.47291 .48362 L
.47206 .48244 L
.4718 .48169 L
.47013 .47984 L
.47004 .47977 L
.46847 .47784 L
.46821 .47737 L
.46732 .47591 L
.46628 .47461 L
.46618 .47399 L
.46456 .47206 L
.46435 .47173 L
.46306 .47013 L
.46247 .46821 L
F
0 .92 1 r
.46435 .46746 m
.46628 .46814 L
.46641 .46821 L
.46821 .46988 L
.46839 .47013 L
.46999 .47206 L
.47013 .47224 L
.47148 .47399 L
.47206 .4748 L
.4731 .47591 L
.47399 .47741 L
.47431 .47784 L
.4758 .47977 L
.47591 .47985 L
.47721 .48169 L
.47784 .48244 L
.47876 .48362 L
.47977 .48516 L
.47997 .48555 L
.48142 .48747 L
.48169 .48785 L
.48338 .4894 L
.48362 .49012 L
.48429 .49133 L
.48554 .49326 L
.48555 .49327 L
.48679 .49518 L
.48747 .49636 L
.48823 .49711 L
.48747 .49858 L
.48555 .49792 L
.48368 .49711 L
.48362 .49704 L
.4818 .49518 L
.48169 .49503 L
.47986 .49326 L
.47977 .49257 L
.47869 .49133 L
.47784 .48992 L
.4775 .4894 L
.47591 .4877 L
.47575 .48747 L
.47414 .48555 L
.47399 .48508 L
.47294 .48362 L
.47206 .4824 L
.47181 .48169 L
.47013 .47981 L
.47007 .47977 L
.46849 .47784 L
.46821 .47733 L
.46736 .47591 L
.46628 .47455 L
.4662 .47399 L
.46462 .47206 L
.46435 .47164 L
.46313 .47013 L
.46267 .46821 L
F
0 .91 1 r
.46435 .46759 m
.46618 .46821 L
.46628 .46828 L
.46821 .46997 L
.46833 .47013 L
.46994 .47206 L
.47013 .4723 L
.47144 .47399 L
.47206 .47485 L
.47307 .47591 L
.47399 .47744 L
.47429 .47784 L
.47578 .47977 L
.47591 .47986 L
.47718 .48169 L
.47784 .48247 L
.47873 .48362 L
.47977 .48519 L
.47996 .48555 L
.4814 .48747 L
.48169 .48788 L
.48336 .4894 L
.48362 .49017 L
.48425 .49133 L
.48549 .49326 L
.48555 .49334 L
.48672 .49518 L
.48747 .49653 L
.48803 .49711 L
.48747 .49835 L
.48555 .49777 L
.48384 .49711 L
.48362 .49687 L
.48189 .49518 L
.48169 .49491 L
.47987 .49326 L
.47977 .49249 L
.47873 .49133 L
.47784 .48987 L
.47752 .4894 L
.47591 .48765 L
.47578 .48747 L
.47415 .48555 L
.47399 .48504 L
.47297 .48362 L
.47206 .48236 L
.47183 .48169 L
.47013 .47979 L
.47011 .47977 L
.46851 .47784 L
.46821 .47729 L
.46739 .47591 L
.46628 .47449 L
.46621 .47399 L
.46467 .47206 L
.46435 .47154 L
.4632 .47013 L
.46288 .46821 L
F
0 .9 1 r
.46435 .46772 m
.46595 .46821 L
.46628 .46841 L
.46821 .47006 L
.46826 .47013 L
.46989 .47206 L
.47013 .47236 L
.4714 .47399 L
.47206 .47489 L
.47304 .47591 L
.47399 .47747 L
.47427 .47784 L
.47575 .47977 L
.47591 .47988 L
.47716 .48169 L
.47784 .4825 L
.47871 .48362 L
.47977 .48522 L
.47994 .48555 L
.48137 .48747 L
.48169 .48792 L
.48334 .4894 L
.48362 .49023 L
.48421 .49133 L
.48544 .49326 L
.48555 .49341 L
.48666 .49518 L
.48747 .49673 L
.4878 .49711 L
.48747 .49807 L
.48555 .49765 L
.48401 .49711 L
.48362 .49672 L
.48197 .49518 L
.48169 .4948 L
.47989 .49326 L
.47977 .49241 L
.47877 .49133 L
.47784 .48982 L
.47755 .4894 L
.47591 .4876 L
.47582 .48747 L
.47416 .48555 L
.47399 .485 L
.473 .48362 L
.47206 .48233 L
.47185 .48169 L
.47014 .47977 L
.47013 .47976 L
.46853 .47784 L
.46821 .47725 L
.46742 .47591 L
.46628 .47442 L
.46622 .47399 L
.46473 .47206 L
.46435 .47144 L
.46328 .47013 L
.4631 .46821 L
F
0 .93 1 r
.46435 .44245 m
.46517 .44316 L
.46628 .444 L
.46714 .44508 L
.46821 .44624 L
.46947 .44701 L
.47013 .44855 L
.47051 .44894 L
.47202 .45086 L
.47206 .45086 L
.47353 .45279 L
.47399 .4533 L
.47532 .45472 L
.47591 .45596 L
.47636 .45664 L
.47772 .45857 L
.47784 .45875 L
.47898 .4605 L
.47977 .46199 L
.4801 .46242 L
.47977 .46396 L
.47784 .46409 L
.47674 .46242 L
.47591 .46199 L
.47501 .4605 L
.47399 .45948 L
.47346 .45857 L
.47206 .4568 L
.47191 .45664 L
.47057 .45472 L
.47013 .45414 L
.4692 .45279 L
.46821 .45143 L
.46782 .45086 L
.46648 .44894 L
.46628 .44865 L
.46525 .44701 L
.46435 .44562 L
.46404 .44508 L
.46311 .44316 L
F
1 .71 0 r
.46435 .45086 m
.46435 .45086 L
.46597 .45279 L
.46628 .45315 L
.46742 .45472 L
.46821 .4558 L
.46873 .45664 L
.46821 .45772 L
.46727 .45664 L
.46628 .45554 L
.46569 .45472 L
.46435 .45296 L
.46424 .45279 L
.46314 .45086 L
F
1 .63 0 r
.46435 .47499 m
.4652 .47591 L
.46628 .47707 L
.46688 .47784 L
.46821 .47945 L
.46843 .47977 L
.46985 .48169 L
.47013 .48206 L
.47117 .48362 L
.47206 .48489 L
.47246 .48555 L
.47353 .48747 L
.47206 .48756 L
.47198 .48747 L
.47018 .48555 L
.47013 .4855 L
.46859 .48362 L
.46821 .48316 L
.46709 .48169 L
.46628 .48063 L
.46566 .47977 L
.46435 .47787 L
.4643 .47784 L
.46322 .47591 L
F
1 .62 0 r
.46435 .4751 m
.46511 .47591 L
.46628 .47715 L
.46682 .47784 L
.46821 .47952 L
.46838 .47977 L
.46979 .48169 L
.47013 .48214 L
.47111 .48362 L
.47206 .48499 L
.47239 .48555 L
.47206 .48744 L
.47027 .48555 L
.47013 .4854 L
.46866 .48362 L
.46821 .48307 L
.46715 .48169 L
.46628 .48054 L
.46572 .47977 L
.46441 .47784 L
.46435 .47775 L
.46332 .47591 L
F
0 .89 1 r
.46435 .46786 m
.4657 .46821 L
.46628 .46853 L
.46819 .47013 L
.46821 .47015 L
.46984 .47206 L
.47013 .47242 L
.47137 .47399 L
.47206 .47493 L
.47302 .47591 L
.47399 .4775 L
.47425 .47784 L
.47573 .47977 L
.47591 .4799 L
.47714 .48169 L
.47784 .48253 L
.47869 .48362 L
.47977 .48526 L
.47992 .48555 L
.48134 .48747 L
.48169 .48796 L
.48332 .4894 L
.48362 .49029 L
.48418 .49133 L
.4854 .49326 L
.48555 .49349 L
.48659 .49518 L
.48747 .49701 L
.48754 .49711 L
.48747 .49766 L
.48555 .49755 L
.48418 .49711 L
.48362 .49657 L
.48206 .49518 L
.48169 .49469 L
.47991 .49326 L
.47977 .49233 L
.47882 .49133 L
.47784 .48978 L
.47757 .4894 L
.47591 .48755 L
.47586 .48747 L
.47418 .48555 L
.47399 .48495 L
.47302 .48362 L
.47206 .48229 L
.47186 .48169 L
.47017 .47977 L
.47013 .47975 L
.46855 .47784 L
.46821 .47721 L
.46745 .47591 L
.46628 .47436 L
.46623 .47399 L
.46478 .47206 L
.46435 .47133 L
.46337 .47013 L
.46335 .46821 L
F
1 .61 0 r
.46435 .47521 m
.46502 .47591 L
.46628 .47723 L
.46676 .47784 L
.46821 .47959 L
.46833 .47977 L
.46973 .48169 L
.47013 .48223 L
.47104 .48362 L
.47206 .4851 L
.47232 .48555 L
.47206 .48729 L
.47037 .48555 L
.47013 .4853 L
.46874 .48362 L
.46821 .48299 L
.46722 .48169 L
.46628 .48045 L
.46579 .47977 L
.46449 .47784 L
.46435 .47762 L
.46343 .47591 L
F
0 .88 1 r
.46435 .46799 m
.46539 .46821 L
.46628 .46864 L
.46811 .47013 L
.46821 .47023 L
.46979 .47206 L
.47013 .47248 L
.47133 .47399 L
.47206 .47497 L
.47299 .47591 L
.47399 .47753 L
.47423 .47784 L
.4757 .47977 L
.47591 .47992 L
.47711 .48169 L
.47784 .48256 L
.47867 .48362 L
.47977 .48529 L
.4799 .48555 L
.48132 .48747 L
.48169 .488 L
.48329 .4894 L
.48362 .49035 L
.48414 .49133 L
.48535 .49326 L
.48555 .49357 L
.48652 .49518 L
.48735 .49711 L
.48555 .49747 L
.48436 .49711 L
.48362 .49644 L
.48215 .49518 L
.48169 .49459 L
.47993 .49326 L
.47977 .49226 L
.47886 .49133 L
.47784 .48974 L
.47759 .4894 L
.47591 .4875 L
.4759 .48747 L
.47419 .48555 L
.47399 .48491 L
.47305 .48362 L
.47206 .48225 L
.47187 .48169 L
.4702 .47977 L
.47013 .47974 L
.46857 .47784 L
.46821 .47716 L
.46748 .47591 L
.46628 .47429 L
.46624 .47399 L
.46484 .47206 L
.46435 .47123 L
.46346 .47013 L
.46365 .46821 L
F
1 .87 0 r
.46435 .39984 m
.46519 .40076 L
.46628 .40189 L
.46696 .40269 L
.46821 .40386 L
.46863 .40462 L
.47013 .4064 L
.47033 .40654 L
.47179 .40847 L
.47206 .40878 L
.47333 .4104 L
.47399 .41094 L
.47486 .41232 L
.47591 .4136 L
.47662 .41425 L
.47784 .41612 L
.47789 .41618 L
.47936 .41811 L
.47977 .41845 L
.48083 .42003 L
.48169 .42109 L
.48252 .42196 L
.48362 .42369 L
.48377 .42389 L
.48522 .42581 L
.48555 .42609 L
.48667 .42774 L
.48747 .42875 L
.4883 .42967 L
.4894 .43137 L
.48955 .43159 L
.491 .43352 L
.49133 .43381 L
.49243 .43545 L
.49326 .43649 L
.494 .43737 L
.49518 .43914 L
.49528 .4393 L
.49672 .44123 L
.49711 .44159 L
.4988 .44316 L
.49904 .44429 L
.49967 .44508 L
.50096 .44696 L
.50099 .44701 L
.5024 .44894 L
.50289 .4494 L
.50435 .45086 L
.50482 .45215 L
.50532 .45279 L
.50666 .45472 L
.50674 .45482 L
.50806 .45664 L
.50867 .45727 L
.50991 .45857 L
.5106 .46004 L
.51094 .4605 L
.5123 .46242 L
.51253 .46273 L
.51369 .46435 L
.51445 .46517 L
.51544 .46628 L
.51638 .46798 L
.51654 .46821 L
.5179 .47013 L
.51831 .47067 L
.51929 .47206 L
.52023 .47315 L
.52095 .47399 L
.52211 .47591 L
.52216 .47597 L
.52347 .47784 L
.52409 .47866 L
.52486 .47977 L
.52601 .48121 L
.52641 .48169 L
.52764 .48362 L
.52794 .48402 L
.529 .48555 L
.52987 .48672 L
.53039 .48747 L
.53179 .4894 L
.53179 .48941 L
.5331 .49133 L
.53372 .49217 L
.53445 .49326 L
.53565 .4949 L
.53583 .49518 L
.53714 .49711 L
.53758 .4977 L
.53844 .49904 L
.5395 .50054 L
.53977 .50096 L
.54104 .50289 L
.54143 .50345 L
.54223 .50482 L
.54336 .50652 L
.54348 .50674 L
.54336 .50859 L
.54168 .50674 L
.54143 .50648 L
.54001 .50482 L
.5395 .50425 L
.53838 .50289 L
.53758 .50258 L
.53677 .50096 L
.53565 .49964 L
.53472 .49904 L
.53372 .49719 L
.53365 .49711 L
.53211 .49518 L
.53179 .49503 L
.53057 .49326 L
.52987 .49239 L
.52869 .49133 L
.52794 .48986 L
.5276 .4894 L
.52606 .48747 L
.52601 .48745 L
.52457 .48555 L
.52409 .48494 L
.52285 .48362 L
.52216 .48235 L
.52171 .48169 L
.52023 .47984 L
.52015 .47977 L
.51869 .47784 L
.51831 .47734 L
.51708 .47591 L
.51638 .47472 L
.51591 .47399 L
.51445 .47216 L
.51434 .47206 L
.51291 .47013 L
.51253 .46964 L
.51136 .46821 L
.5106 .46699 L
.51018 .46628 L
.50867 .46441 L
.50861 .46435 L
.50718 .46242 L
.50674 .46186 L
.50568 .4605 L
.50482 .45919 L
.50448 .45857 L
.50291 .45664 L
.50289 .45662 L
.50098 .45472 L
.50096 .45403 L
.50003 .45279 L
.49904 .45135 L
.49881 .45086 L
.49725 .44894 L
.49711 .44881 L
.4954 .44701 L
.49518 .44615 L
.49441 .44508 L
.49326 .44346 L
.49314 .44316 L
.49163 .44123 L
.49133 .44095 L
.48984 .4393 L
.4894 .43822 L
.48881 .43737 L
.48747 .43552 L
.48745 .43545 L
.48604 .43352 L
.48555 .43304 L
.48431 .43159 L
.48362 .43023 L
.48324 .42967 L
.48187 .42774 L
.48169 .42751 L
.48049 .42581 L
.47977 .42502 L
.47884 .42389 L
.47784 .42214 L
.47772 .42196 L
.47638 .42003 L
.47591 .41939 L
.47501 .41811 L
.47399 .41682 L
.47349 .41618 L
.47231 .41425 L
.47206 .41391 L
.47099 .41232 L
.47013 .41111 L
.46965 .4104 L
.46833 .40847 L
.46821 .40829 L
.46708 .40654 L
.46628 .40536 L
.46581 .40462 L
.46459 .40269 L
.46435 .40232 L
.46352 .40076 L
F
1 .6 0 r
.46435 .47534 m
.46491 .47591 L
.46628 .47731 L
.46669 .47784 L
.46821 .47967 L
.46828 .47977 L
.46966 .48169 L
.47013 .48231 L
.47098 .48362 L
.47206 .48521 L
.47225 .48555 L
.47206 .48714 L
.47048 .48555 L
.47013 .4852 L
.46882 .48362 L
.46821 .48289 L
.46729 .48169 L
.46628 .48036 L
.46586 .47977 L
.46458 .47784 L
.46435 .47748 L
.46355 .47591 L
F
0 .87 1 r
.46435 .46813 m
.46495 .46821 L
.46628 .46874 L
.46802 .47013 L
.46821 .47031 L
.46974 .47206 L
.47013 .47253 L
.47129 .47399 L
.47206 .47501 L
.47296 .47591 L
.47399 .47756 L
.47421 .47784 L
.47568 .47977 L
.47591 .47994 L
.47709 .48169 L
.47784 .48259 L
.47864 .48362 L
.47977 .48532 L
.47989 .48555 L
.48129 .48747 L
.48169 .48804 L
.48327 .4894 L
.48362 .49041 L
.4841 .49133 L
.4853 .49326 L
.48555 .49365 L
.48645 .49518 L
.48717 .49711 L
.48555 .4974 L
.48456 .49711 L
.48362 .49632 L
.48224 .49518 L
.48169 .49449 L
.47995 .49326 L
.47977 .49219 L
.4789 .49133 L
.47784 .4897 L
.47761 .4894 L
.47593 .48747 L
.47591 .48745 L
.47421 .48555 L
.47399 .48487 L
.47308 .48362 L
.47206 .48221 L
.47189 .48169 L
.47023 .47977 L
.47013 .47973 L
.46859 .47784 L
.46821 .47712 L
.46751 .47591 L
.46628 .47422 L
.46625 .47399 L
.46489 .47206 L
.46435 .47111 L
.46356 .47013 L
.46404 .46821 L
F
0 .95 1 r
.46435 .39168 m
.46571 .39306 L
.46628 .39361 L
.46751 .39498 L
.46821 .39521 L
.46921 .39691 L
.47013 .39791 L
.47086 .39884 L
.47206 .40031 L
.47252 .40076 L
.47399 .40267 L
.474 .40269 L
.47555 .40462 L
.47591 .40504 L
.47772 .40654 L
.47784 .40756 L
.47862 .40847 L
.47977 .41008 L
.47994 .4104 L
.48156 .41232 L
.48169 .41248 L
.4834 .41425 L
.48362 .41506 L
.48449 .41618 L
.48555 .41767 L
.48573 .41811 L
.48742 .42003 L
.48747 .4201 L
.48911 .42196 L
.4894 .42271 L
.49026 .42389 L
.49133 .42537 L
.49146 .42581 L
.49318 .42774 L
.49326 .42783 L
.4948 .42967 L
.49518 .43047 L
.49597 .43159 L
.49711 .43314 L
.49715 .43352 L
.4989 .43545 L
.49904 .43562 L
.50048 .43737 L
.50096 .43828 L
.50165 .4393 L
.50289 .44094 L
.50318 .44123 L
.50459 .44316 L
.50482 .44345 L
.50614 .44508 L
.50674 .44612 L
.5073 .44701 L
.50867 .44876 L
.50885 .44894 L
.51025 .45086 L
.5106 .4513 L
.51178 .45279 L
.51253 .45398 L
.51295 .45472 L
.51445 .45659 L
.5145 .45664 L
.51636 .45857 L
.51638 .45917 L
.51741 .4605 L
.51831 .46185 L
.5186 .46242 L
.52015 .46435 L
.52023 .46442 L
.52199 .46628 L
.52216 .46705 L
.52304 .46821 L
.52409 .46974 L
.52426 .47013 L
.52579 .47206 L
.52601 .47226 L
.52759 .47399 L
.52794 .47494 L
.52866 .47591 L
.52987 .47763 L
.52994 .47784 L
.53142 .47977 L
.53179 .48012 L
.53319 .48169 L
.53372 .48284 L
.53427 .48362 L
.53565 .48554 L
.53565 .48555 L
.53704 .48747 L
.53758 .488 L
.53877 .4894 L
.5395 .49077 L
.53988 .49133 L
.54127 .49326 L
.54143 .49346 L
.54266 .49518 L
.54336 .49591 L
.54433 .49711 L
.54528 .49872 L
.54549 .49904 L
.54687 .50096 L
.54721 .50141 L
.54826 .50289 L
.54914 .50388 L
.54987 .50482 L
.55106 .5067 L
.55109 .50674 L
.55246 .50867 L
.55299 .50939 L
.55384 .5106 L
.55492 .5119 L
.55539 .51253 L
.55665 .51445 L
.55684 .51471 L
.55801 .51638 L
.55877 .5174 L
.55994 .51831 L
.5607 .52002 L
.56085 .52023 L
.56216 .52216 L
.56263 .52279 L
.56351 .52409 L
.56455 .52517 L
.5652 .52601 L
.56626 .52794 L
.56648 .52823 L
.56757 .52987 L
.56841 .53102 L
.56891 .53179 L
.57026 .53372 L
.57033 .53382 L
.57147 .53565 L
.57226 .53681 L
.5727 .53758 L
.57226 .53947 L
.57033 .5377 L
.56986 .53758 L
.56841 .53569 L
.56828 .53565 L
.56652 .53372 L
.56648 .53367 L
.56484 .53179 L
.56455 .53147 L
.56322 .52987 L
.56263 .52908 L
.56154 .52794 L
.5607 .52662 L
.5602 .52601 L
.55877 .52419 L
.55871 .52409 L
.55715 .52216 L
.55684 .52173 L
.55563 .52023 L
.55492 .51915 L
.55436 .51831 L
.55299 .51659 L
.55275 .51638 L
.55114 .51445 L
.55106 .51411 L
.54989 .51253 L
.54914 .51146 L
.54872 .5106 L
.54721 .50883 L
.54695 .50867 L
.54544 .50674 L
.54528 .50639 L
.5442 .50482 L
.54336 .50369 L
.54314 .50289 L
.54143 .50103 L
.54121 .50096 L
.53973 .49904 L
.5395 .49861 L
.53852 .49711 L
.53758 .49588 L
.53691 .49518 L
.53565 .49345 L
.5355 .49326 L
.53404 .49133 L
.53372 .49079 L
.53286 .4894 L
.53179 .48806 L
.53122 .48747 L
.52987 .4856 L
.52982 .48555 L
.52838 .48362 L
.52794 .48294 L
.52722 .48169 L
.52601 .48022 L
.52555 .47977 L
.52416 .47784 L
.52409 .47774 L
.52273 .47591 L
.52216 .47507 L
.52158 .47399 L
.52023 .47238 L
.5199 .47206 L
.51834 .47013 L
.51831 .46987 L
.51709 .46821 L
.51638 .46719 L
.51596 .46628 L
.51445 .46453 L
.51426 .46435 L
.51265 .46242 L
.51253 .46199 L
.51146 .4605 L
.5106 .4593 L
.51033 .45857 L
.50867 .45669 L
.50862 .45664 L
.507 .45472 L
.50674 .4541 L
.50585 .45279 L
.50482 .4514 L
.50468 .45086 L
.503 .44894 L
.50289 .44883 L
.50137 .44701 L
.50096 .44619 L
.50023 .44508 L
.49904 .44349 L
.49901 .44316 L
.49738 .44123 L
.49711 .44096 L
.49577 .4393 L
.49518 .43826 L
.49463 .43737 L
.49326 .43557 L
.49316 .43545 L
.49178 .43352 L
.49133 .43306 L
.49018 .43159 L
.4894 .43031 L
.48902 .42967 L
.48757 .42774 L
.48747 .42761 L
.48619 .42581 L
.48555 .42511 L
.48463 .42389 L
.48362 .42231 L
.48343 .42196 L
.48202 .42003 L
.48169 .41959 L
.47994 .41811 L
.47977 .41708 L
.47913 .41618 L
.47786 .41425 L
.47784 .41422 L
.47652 .41232 L
.47591 .41149 L
.47458 .4104 L
.47399 .40887 L
.47371 .40847 L
.47244 .40654 L
.47206 .40602 L
.47111 .40462 L
.47013 .40323 L
.46945 .40269 L
.46846 .40076 L
.46821 .40041 L
.4672 .39884 L
.46628 .39748 L
.46592 .39691 L
.46472 .39498 L
.46435 .3944 L
.46364 .39306 L
F
0 .86 1 r
.46435 .46829 m
.46628 .46883 L
.46794 .47013 L
.46821 .47039 L
.46969 .47206 L
.47013 .47259 L
.47126 .47399 L
.47206 .47505 L
.47293 .47591 L
.47399 .47759 L
.47419 .47784 L
.47565 .47977 L
.47591 .47996 L
.47707 .48169 L
.47784 .48262 L
.47862 .48362 L
.47977 .48536 L
.47987 .48555 L
.48126 .48747 L
.48169 .48808 L
.48324 .4894 L
.48362 .49048 L
.48406 .49133 L
.48525 .49326 L
.48555 .49373 L
.48638 .49518 L
.48696 .49711 L
.48555 .49733 L
.48477 .49711 L
.48362 .49621 L
.48233 .49518 L
.48169 .4944 L
.47998 .49326 L
.47977 .49212 L
.47894 .49133 L
.47784 .48966 L
.47764 .4894 L
.47597 .48747 L
.47591 .48741 L
.47422 .48555 L
.47399 .48483 L
.47311 .48362 L
.47206 .48218 L
.4719 .48169 L
.47026 .47977 L
.47013 .47972 L
.46861 .47784 L
.46821 .47707 L
.46755 .47591 L
.46628 .47414 L
.46626 .47399 L
.46495 .47206 L
.46435 .47099 L
.46367 .47013 L
F
0 .78 1 r
.46435 .40824 m
.46454 .40847 L
.46628 .41036 L
.46631 .4104 L
.46788 .41232 L
.46821 .41268 L
.46943 .41425 L
.47013 .41507 L
.47098 .41618 L
.47206 .41749 L
.47252 .41811 L
.47399 .41991 L
.47405 .42003 L
.47551 .42196 L
.47591 .42245 L
.47697 .42389 L
.47784 .42498 L
.47845 .42581 L
.47977 .42742 L
.48015 .42774 L
.48137 .42967 L
.48169 .43007 L
.4828 .43159 L
.48362 .43265 L
.48425 .43352 L
.48555 .43514 L
.48587 .43545 L
.48712 .43737 L
.48747 .43783 L
.48852 .4393 L
.4894 .44045 L
.48995 .44123 L
.49133 .44302 L
.49146 .44316 L
.49277 .44508 L
.49326 .44571 L
.49417 .44701 L
.49518 .44836 L
.49559 .44894 L
.497 .45086 L
.49711 .451 L
.49835 .45279 L
.49904 .4537 L
.49973 .45472 L
.50096 .45638 L
.50114 .45664 L
.50249 .45857 L
.50289 .45911 L
.50382 .4605 L
.50482 .46186 L
.50519 .46242 L
.50654 .46435 L
.50674 .46463 L
.50779 .46628 L
.50867 .46751 L
.50909 .46821 L
.50867 .46992 L
.50725 .46821 L
.50674 .46765 L
.50564 .46628 L
.50482 .4653 L
.50406 .46435 L
.50289 .46322 L
.50251 .46242 L
.501 .4605 L
.50096 .46046 L
.49951 .45857 L
.49904 .45798 L
.49801 .45664 L
.49711 .45583 L
.49652 .45472 L
.49518 .45297 L
.495 .45279 L
.49361 .45086 L
.49326 .4504 L
.49216 .44894 L
.49133 .44816 L
.4907 .44701 L
.4894 .4453 L
.48921 .44508 L
.48784 .44316 L
.48747 .44267 L
.48641 .44123 L
.48555 .44035 L
.48498 .4393 L
.48362 .43747 L
.48355 .43737 L
.48217 .43545 L
.48169 .43481 L
.48076 .43352 L
.47977 .4324 L
.47888 .43159 L
.47796 .42967 L
.47784 .42951 L
.47659 .42774 L
.47591 .42681 L
.4752 .42581 L
.47399 .42423 L
.47365 .42389 L
.47248 .42196 L
.47206 .42138 L
.47114 .42003 L
.47013 .41862 L
.46978 .41811 L
.46847 .41618 L
.46821 .41581 L
.4672 .41425 L
.46628 .41292 L
.4659 .41232 L
.4647 .4104 L
.46435 .40988 L
.46367 .40847 L
F
1 .59 0 r
.46435 .47548 m
.46479 .47591 L
.46628 .4774 L
.46663 .47784 L
.46821 .47974 L
.46822 .47977 L
.46959 .48169 L
.47013 .48241 L
.4709 .48362 L
.47206 .48534 L
.47217 .48555 L
.47206 .48696 L
.4706 .48555 L
.47013 .48509 L
.4689 .48362 L
.46821 .4828 L
.46736 .48169 L
.46628 .48026 L
.46593 .47977 L
.46468 .47784 L
.46435 .47732 L
.46369 .47591 L
F
0 .46 1 r
.46435 .51018 m
.46469 .5106 L
.46628 .51241 L
.46637 .51253 L
.46791 .51445 L
.46821 .51479 L
.46943 .51638 L
.47013 .51721 L
.47097 .51831 L
.47206 .51967 L
.47249 .52023 L
.47399 .52215 L
.47399 .52216 L
.47542 .52409 L
.47591 .5247 L
.47688 .52601 L
.47784 .52724 L
.47836 .52794 L
.47977 .52978 L
.47988 .52987 L
.48121 .53179 L
.48169 .53241 L
.48264 .53372 L
.48362 .53502 L
.48407 .53565 L
.48549 .53758 L
.48555 .53765 L
.48685 .5395 L
.48747 .54032 L
.48825 .54143 L
.4894 .54299 L
.48966 .54336 L
.49101 .54528 L
.49133 .54571 L
.49234 .54721 L
.49326 .54846 L
.49371 .54914 L
.49505 .55106 L
.49518 .55124 L
.49627 .55299 L
.49711 .55418 L
.49754 .55492 L
.49711 .5559 L
.49634 .55492 L
.49518 .55364 L
.49469 .55299 L
.49326 .55128 L
.49309 .55106 L
.49159 .54914 L
.49133 .54884 L
.49012 .54721 L
.4894 .54635 L
.48862 .54528 L
.48747 .54385 L
.48712 .54336 L
.48564 .54143 L
.48555 .54132 L
.48423 .5395 L
.48362 .53874 L
.48279 .53758 L
.48169 .53617 L
.48132 .53565 L
.47988 .53372 L
.47977 .53358 L
.47851 .53179 L
.47784 .53094 L
.47709 .52987 L
.47591 .52831 L
.47565 .52794 L
.47427 .52601 L
.47399 .52565 L
.47292 .52409 L
.47206 .52296 L
.47152 .52216 L
.47013 .52028 L
.4701 .52023 L
.46882 .51831 L
.46821 .51749 L
.46749 .51638 L
.46628 .51471 L
.46612 .51445 L
.4649 .51253 L
.46435 .51177 L
.46374 .5106 L
F
1 .8 0 r
.46435 .50193 m
.46524 .50289 L
.46628 .50398 L
.467 .50482 L
.46821 .50578 L
.46866 .50674 L
.47013 .5085 L
.47038 .50867 L
.47181 .5106 L
.47206 .5109 L
.47335 .51253 L
.47399 .51292 L
.47489 .51445 L
.47591 .5157 L
.47667 .51638 L
.47784 .51824 L
.47789 .51831 L
.47938 .52023 L
.47977 .5205 L
.48087 .52216 L
.48169 .52319 L
.48255 .52409 L
.48362 .52578 L
.48378 .52601 L
.48526 .52794 L
.48555 .52816 L
.48672 .52987 L
.48747 .53083 L
.48832 .53179 L
.4894 .53345 L
.48957 .53372 L
.49105 .53565 L
.49133 .53588 L
.49249 .53758 L
.49326 .53856 L
.49402 .5395 L
.49518 .54121 L
.4953 .54143 L
.49677 .54336 L
.49711 .54365 L
.49892 .54528 L
.49904 .54638 L
.49968 .54721 L
.50096 .54905 L
.50101 .54914 L
.50244 .55106 L
.50289 .55149 L
.50441 .55299 L
.50482 .55426 L
.5053 .55492 L
.50666 .55684 L
.50674 .55696 L
.50805 .55877 L
.50867 .5594 L
.50989 .5607 L
.5106 .56224 L
.51087 .56263 L
.51223 .56455 L
.51253 .56495 L
.51361 .56648 L
.51445 .56743 L
.5153 .56841 L
.51638 .57033 L
.51638 .57033 L
.51773 .57226 L
.51831 .57306 L
.51909 .57419 L
.52023 .57567 L
.52059 .57611 L
.52178 .57804 L
.52216 .57856 L
.5231 .57997 L
.52409 .58136 L
.52444 .58189 L
.52573 .58382 L
.52601 .58422 L
.52698 .58575 L
.52794 .58718 L
.52825 .58768 L
.52938 .5896 L
.52987 .59039 L
.53034 .59153 L
.52987 .59188 L
.52953 .59153 L
.52794 .58994 L
.52765 .5896 L
.52601 .5878 L
.52595 .58768 L
.52436 .58575 L
.52409 .58545 L
.52279 .58382 L
.52216 .58308 L
.52124 .58189 L
.52023 .58091 L
.51969 .57997 L
.51831 .57824 L
.51809 .57804 L
.51669 .57611 L
.51638 .57574 L
.51521 .57419 L
.51445 .57347 L
.51372 .57226 L
.51253 .57075 L
.51213 .57033 L
.51078 .56841 L
.5106 .56817 L
.50934 .56648 L
.50867 .56584 L
.50788 .56455 L
.50674 .5631 L
.50633 .56263 L
.50499 .5607 L
.50482 .56048 L
.50357 .55877 L
.50289 .5581 L
.50146 .55684 L
.50096 .55534 L
.50061 .55492 L
.49927 .55299 L
.49904 .55269 L
.49786 .55106 L
.49711 .55029 L
.49591 .54914 L
.49518 .5475 L
.49495 .54721 L
.49359 .54528 L
.49326 .54484 L
.49219 .54336 L
.49133 .54241 L
.49038 .54143 L
.4894 .5396 L
.48933 .5395 L
.48796 .53758 L
.48747 .53693 L
.48657 .53565 L
.48555 .53445 L
.48489 .53372 L
.48374 .53179 L
.48362 .53164 L
.48238 .52987 L
.48169 .52896 L
.48098 .52794 L
.47977 .52639 L
.47944 .52601 L
.47821 .52409 L
.47784 .5236 L
.47685 .52216 L
.47591 .5209 L
.47546 .52023 L
.47406 .51831 L
.47399 .5182 L
.47275 .51638 L
.47206 .51544 L
.4714 .51445 L
.47013 .5127 L
.47002 .51253 L
.46873 .5106 L
.46821 .50988 L
.46744 .50867 L
.46628 .50702 L
.46611 .50674 L
.4649 .50482 L
.46435 .504 L
.46377 .50289 L
F
0 .85 1 r
.46435 .46847 m
.46628 .46891 L
.46785 .47013 L
.46821 .47046 L
.46964 .47206 L
.47013 .47264 L
.47122 .47399 L
.47206 .47509 L
.4729 .47591 L
.47399 .47761 L
.47417 .47784 L
.47562 .47977 L
.47591 .47998 L
.47704 .48169 L
.47784 .48265 L
.4786 .48362 L
.47977 .48539 L
.47985 .48555 L
.48123 .48747 L
.48169 .48811 L
.48321 .4894 L
.48362 .49055 L
.48402 .49133 L
.4852 .49326 L
.48555 .49382 L
.48631 .49518 L
.4867 .49711 L
.48555 .49725 L
.48501 .49711 L
.48362 .4961 L
.48243 .49518 L
.48169 .49431 L
.48002 .49326 L
.47977 .49206 L
.47899 .49133 L
.47784 .48963 L
.47766 .4894 L
.476 .48747 L
.47591 .48737 L
.47424 .48555 L
.47399 .48479 L
.47313 .48362 L
.47206 .48214 L
.47191 .48169 L
.47029 .47977 L
.47013 .47971 L
.46863 .47784 L
.46821 .47703 L
.46758 .47591 L
.46628 .47407 L
.46627 .47399 L
.46501 .47206 L
.46435 .47085 L
.46378 .47013 L
F
1 .58 0 r
.46435 .47563 m
.46465 .47591 L
.46628 .47749 L
.46655 .47784 L
.46815 .47977 L
.46821 .47983 L
.46952 .48169 L
.47013 .48251 L
.47083 .48362 L
.47206 .48549 L
.47209 .48555 L
.47206 .48674 L
.47074 .48555 L
.47013 .48497 L
.46899 .48362 L
.46821 .4827 L
.46744 .48169 L
.46628 .48016 L
.466 .47977 L
.46478 .47784 L
.46435 .47712 L
.46385 .47591 L
F
0 .92 1 r
.46435 .4431 m
.46445 .44316 L
.46628 .44442 L
.46679 .44508 L
.46821 .44655 L
.46906 .44701 L
.47013 .4488 L
.47028 .44894 L
.47183 .45086 L
.47206 .45087 L
.47335 .45279 L
.47399 .45349 L
.47517 .45472 L
.47591 .4562 L
.47621 .45664 L
.47754 .45857 L
.47784 .45904 L
.47877 .4605 L
.47966 .46242 L
.47784 .46388 L
.47699 .46242 L
.47591 .46183 L
.47516 .4605 L
.47399 .4593 L
.47357 .45857 L
.47207 .45664 L
.47206 .45664 L
.47069 .45472 L
.47013 .45398 L
.46931 .45279 L
.46821 .45127 L
.46793 .45086 L
.46664 .44894 L
.46628 .44841 L
.46544 .44701 L
.46435 .44523 L
.46428 .44508 L
.46387 .44316 L
F
0 .45 1 r
.46435 .51034 m
.46457 .5106 L
.46628 .51252 L
.46628 .51253 L
.46782 .51445 L
.46821 .51488 L
.46936 .51638 L
.47013 .51729 L
.47091 .51831 L
.47206 .51974 L
.47244 .52023 L
.47393 .52216 L
.47399 .52222 L
.47537 .52409 L
.47591 .52476 L
.47684 .52601 L
.47784 .5273 L
.47831 .52794 L
.47977 .52986 L
.47978 .52987 L
.48117 .53179 L
.48169 .53247 L
.48259 .53372 L
.48362 .53508 L
.48403 .53565 L
.48544 .53758 L
.48555 .53771 L
.48681 .5395 L
.48747 .54038 L
.4882 .54143 L
.4894 .54305 L
.48961 .54336 L
.49095 .54528 L
.49133 .54578 L
.49228 .54721 L
.49326 .54854 L
.49365 .54914 L
.49497 .55106 L
.49518 .55135 L
.49618 .55299 L
.49711 .55432 L
.49744 .55492 L
.49711 .55574 L
.49646 .55492 L
.49518 .55354 L
.49477 .55299 L
.49326 .5512 L
.49315 .55106 L
.49166 .54914 L
.49133 .54876 L
.49018 .54721 L
.4894 .54628 L
.48867 .54528 L
.48747 .54379 L
.48716 .54336 L
.48569 .54143 L
.48555 .54126 L
.48428 .5395 L
.48362 .53868 L
.48283 .53758 L
.48169 .53611 L
.48136 .53565 L
.47993 .53372 L
.47977 .53352 L
.47855 .53179 L
.47784 .53088 L
.47713 .52987 L
.47591 .52826 L
.47569 .52794 L
.47432 .52601 L
.47399 .52559 L
.47296 .52409 L
.47206 .52289 L
.47157 .52216 L
.47015 .52023 L
.47013 .52021 L
.46888 .51831 L
.46821 .51741 L
.46755 .51638 L
.46628 .51462 L
.46617 .51445 L
.46501 .51253 L
.46435 .5116 L
.46388 .5106 L
F
0 .96 1 r
.46435 .49484 m
.46488 .49518 L
.46628 .49623 L
.46734 .49711 L
.46821 .49788 L
.46945 .49904 L
.47013 .4997 L
.47132 .50096 L
.47206 .50188 L
.4733 .50289 L
.47399 .50415 L
.47466 .50482 L
.47591 .5065 L
.47614 .50674 L
.47765 .50867 L
.47784 .50892 L
.47933 .5106 L
.47977 .51147 L
.48059 .51253 L
.48169 .51405 L
.48195 .51445 L
.48346 .51638 L
.48362 .5166 L
.48496 .51831 L
.48555 .51922 L
.48621 .52023 L
.48747 .52184 L
.48749 .52216 L
.48933 .52409 L
.4894 .52438 L
.49058 .52601 L
.49133 .52705 L
.49171 .52794 L
.49326 .52969 L
.49351 .52987 L
.495 .53179 L
.49518 .53217 L
.49622 .53372 L
.49711 .53488 L
.49723 .53565 L
.49904 .53751 L
.49922 .53758 L
.50069 .5395 L
.50096 .53998 L
.50188 .54143 L
.50289 .5427 L
.50352 .54336 L
.50482 .54516 L
.50492 .54528 L
.50637 .54721 L
.50674 .54781 L
.50754 .54914 L
.50867 .55053 L
.50919 .55106 L
.51058 .55299 L
.5106 .55301 L
.51203 .55492 L
.51253 .55567 L
.51318 .55684 L
.51445 .55837 L
.51485 .55877 L
.51624 .5607 L
.51638 .56087 L
.51767 .56263 L
.51831 .56355 L
.51881 .56455 L
.52023 .56623 L
.52049 .56648 L
.5221 .56841 L
.52216 .56876 L
.52329 .57033 L
.52409 .57145 L
.52443 .57226 L
.52601 .57409 L
.52612 .57419 L
.52775 .57611 L
.52794 .57666 L
.5289 .57804 L
.52987 .57936 L
.53006 .57997 L
.53173 .58189 L
.53179 .58195 L
.53337 .58382 L
.53372 .58459 L
.53449 .58575 L
.53565 .5873 L
.53572 .58768 L
.53732 .5896 L
.53758 .58983 L
.53896 .59153 L
.5395 .59255 L
.54007 .59346 L
.54143 .59527 L
.54143 .59538 L
.54289 .59731 L
.54336 .59777 L
.5445 .59924 L
.54528 .60058 L
.54563 .60116 L
.54704 .60309 L
.54721 .60332 L
.54841 .60502 L
.54914 .60581 L
.54997 .60694 L
.55106 .60872 L
.55115 .60887 L
.5525 .6108 L
.55299 .61149 L
.55385 .61273 L
.55492 .6141 L
.5553 .61465 L
.55652 .61658 L
.55684 .61704 L
.55782 .61851 L
.55877 .61988 L
.55957 .62043 L
.5604 .62236 L
.5607 .62281 L
.5616 .62429 L
.56263 .62589 L
.56282 .62621 L
.5638 .62814 L
.56263 .62864 L
.56215 .62814 L
.5607 .6269 L
.56031 .62621 L
.55877 .62452 L
.55838 .62429 L
.55696 .62236 L
.55684 .62223 L
.55538 .62043 L
.55492 .6201 L
.55381 .61851 L
.55299 .61754 L
.55183 .61658 L
.55106 .61505 L
.55072 .61465 L
.54923 .61273 L
.54914 .61265 L
.54774 .6108 L
.54721 .61014 L
.54594 .60887 L
.54528 .60756 L
.5448 .60694 L
.54336 .60505 L
.54335 .60502 L
.54187 .60309 L
.54143 .60254 L
.54017 .60116 L
.5395 .59992 L
.53901 .59924 L
.53758 .59737 L
.53751 .59731 L
.53609 .59538 L
.53565 .59483 L
.53446 .59346 L
.53372 .59218 L
.53328 .59153 L
.53179 .58962 L
.53178 .5896 L
.53036 .58768 L
.52987 .58705 L
.52878 .58575 L
.52794 .58439 L
.52759 .58382 L
.52608 .58189 L
.52601 .58183 L
.52467 .57997 L
.52409 .57923 L
.52313 .57804 L
.52216 .57655 L
.52191 .57611 L
.52041 .57419 L
.52023 .57402 L
.51848 .57226 L
.51831 .57138 L
.51749 .57033 L
.51638 .5687 L
.51623 .56841 L
.51475 .56648 L
.51445 .56619 L
.51289 .56455 L
.51253 .5635 L
.51186 .56263 L
.5106 .56083 L
.51055 .5607 L
.50911 .55877 L
.50867 .55834 L
.5073 .55684 L
.50674 .55561 L
.50623 .55492 L
.50486 .55299 L
.50482 .55293 L
.50347 .55106 L
.50289 .55046 L
.50172 .54914 L
.50096 .5477 L
.50061 .54721 L
.49924 .54528 L
.49904 .54502 L
.49785 .54336 L
.49711 .54256 L
.49615 .54143 L
.49518 .53977 L
.495 .5395 L
.49362 .53758 L
.49326 .53709 L
.49223 .53565 L
.49133 .53461 L
.4906 .53372 L
.4894 .53181 L
.48939 .53179 L
.48803 .52987 L
.48747 .52961 L
.48663 .52794 L
.48555 .52662 L
.48508 .52601 L
.48381 .52409 L
.48362 .52384 L
.48245 .52216 L
.48169 .52157 L
.48049 .52023 L
.47977 .51856 L
.47958 .51831 L
.47826 .51638 L
.47784 .51582 L
.47689 .51445 L
.47591 .51342 L
.47518 .51253 L
.47409 .5106 L
.47399 .51045 L
.47276 .50867 L
.47206 .50772 L
.4714 .50674 L
.47013 .50513 L
.4699 .50482 L
.46868 .50289 L
.46821 .50224 L
.46738 .50096 L
.46628 .49941 L
.46604 .49904 L
.46483 .49711 L
.46435 .49634 L
.4639 .49518 L
F
1 .86 0 r
.46435 .40032 m
.4648 .40076 L
.46628 .40218 L
.46672 .40269 L
.46821 .40417 L
.46845 .40462 L
.47008 .40654 L
.47013 .4066 L
.47165 .40847 L
.47206 .40894 L
.47321 .4104 L
.47399 .41106 L
.47476 .41232 L
.47591 .41372 L
.4765 .41425 L
.4778 .41618 L
.47784 .41623 L
.47928 .41811 L
.47977 .41852 L
.48076 .42003 L
.48169 .42118 L
.48245 .42196 L
.48362 .42376 L
.48371 .42389 L
.48516 .42581 L
.48555 .42615 L
.48662 .42774 L
.48747 .42881 L
.48824 .42967 L
.4894 .43143 L
.48951 .43159 L
.49095 .43352 L
.49133 .43386 L
.49239 .43545 L
.49326 .43655 L
.49396 .43737 L
.49518 .43919 L
.49525 .4393 L
.49668 .44123 L
.49711 .44163 L
.49877 .44316 L
.49904 .44434 L
.49964 .44508 L
.50096 .447 L
.50097 .44701 L
.50237 .44894 L
.50289 .44944 L
.50432 .45086 L
.50482 .4522 L
.50528 .45279 L
.50663 .45472 L
.50674 .45487 L
.50802 .45664 L
.50867 .45731 L
.50987 .45857 L
.5106 .46009 L
.5109 .4605 L
.51226 .46242 L
.51253 .46278 L
.51365 .46435 L
.51445 .46522 L
.5154 .46628 L
.51638 .46804 L
.5165 .46821 L
.51786 .47013 L
.51831 .47072 L
.51925 .47206 L
.52023 .47321 L
.5209 .47399 L
.52207 .47591 L
.52216 .47603 L
.52343 .47784 L
.52409 .47872 L
.52482 .47977 L
.52601 .48129 L
.52634 .48169 L
.52759 .48362 L
.52794 .48409 L
.52894 .48555 L
.52987 .4868 L
.53033 .48747 L
.53172 .4894 L
.53179 .4895 L
.53303 .49133 L
.53372 .49227 L
.53438 .49326 L
.53565 .49502 L
.53576 .49518 L
.53704 .49711 L
.53758 .49785 L
.53833 .49904 L
.5395 .50071 L
.53966 .50096 L
.54086 .50289 L
.54143 .50373 L
.54202 .50482 L
.54143 .50612 L
.54028 .50482 L
.5395 .50398 L
.53858 .50289 L
.53758 .50234 L
.53695 .50096 L
.53565 .49944 L
.535 .49904 L
.53379 .49711 L
.53372 .49703 L
.53224 .49518 L
.53179 .49496 L
.53068 .49326 L
.52987 .49226 L
.52879 .49133 L
.52794 .48974 L
.52768 .4894 L
.52615 .48747 L
.52601 .48739 L
.52465 .48555 L
.52409 .48484 L
.52291 .48362 L
.52216 .48226 L
.52177 .48169 L
.52023 .47977 L
.52022 .47977 L
.51876 .47784 L
.51831 .47727 L
.51713 .47591 L
.51638 .47465 L
.51595 .47399 L
.51445 .4721 L
.5144 .47206 L
.51296 .47013 L
.51253 .46957 L
.5114 .46821 L
.5106 .46693 L
.51021 .46628 L
.50867 .46436 L
.50866 .46435 L
.50723 .46242 L
.50674 .4618 L
.50572 .4605 L
.50482 .45914 L
.50451 .45857 L
.50296 .45664 L
.50289 .45659 L
.50099 .45472 L
.50096 .45397 L
.50007 .45279 L
.49904 .45129 L
.49884 .45086 L
.4973 .44894 L
.49711 .44877 L
.49542 .44701 L
.49518 .44609 L
.49445 .44508 L
.49326 .4434 L
.49316 .44316 L
.49167 .44123 L
.49133 .44091 L
.48987 .4393 L
.4894 .43816 L
.48885 .43737 L
.48747 .43546 L
.48747 .43545 L
.48609 .43352 L
.48555 .43298 L
.48435 .43159 L
.48362 .43016 L
.48329 .42967 L
.48192 .42774 L
.48169 .42743 L
.48055 .42581 L
.47977 .42494 L
.47891 .42389 L
.47784 .42204 L
.47779 .42196 L
.47645 .42003 L
.47591 .41929 L
.47509 .41811 L
.47399 .41669 L
.4736 .41618 L
.4724 .41425 L
.47206 .41378 L
.47108 .41232 L
.47013 .41096 L
.46975 .4104 L
.46847 .40847 L
.46821 .4081 L
.46723 .40654 L
.46628 .40512 L
.46597 .40462 L
.46485 .40269 L
.46435 .40186 L
.4639 .40076 L
F
0 .84 1 r
.46435 .46866 m
.46628 .46898 L
.46776 .47013 L
.46821 .47053 L
.46959 .47206 L
.47013 .4727 L
.47118 .47399 L
.47206 .47513 L
.47286 .47591 L
.47399 .47764 L
.47414 .47784 L
.4756 .47977 L
.47591 .48 L
.47702 .48169 L
.47784 .48269 L
.47857 .48362 L
.47977 .48543 L
.47983 .48555 L
.48121 .48747 L
.48169 .48815 L
.48318 .4894 L
.48362 .49063 L
.48398 .49133 L
.48515 .49326 L
.48555 .49392 L
.48623 .49518 L
.48635 .49711 L
.48555 .49717 L
.48532 .49711 L
.48362 .49601 L
.48252 .49518 L
.48169 .49422 L
.48006 .49326 L
.47977 .492 L
.47903 .49133 L
.47784 .4896 L
.47768 .4894 L
.47604 .48747 L
.47591 .48733 L
.47425 .48555 L
.47399 .48475 L
.47316 .48362 L
.47206 .4821 L
.47193 .48169 L
.47032 .47977 L
.47013 .47969 L
.46865 .47784 L
.46821 .47698 L
.46761 .47591 L
.46628 .47399 L
.46628 .47399 L
.46506 .47206 L
.46435 .47071 L
.46391 .47013 L
F
1 .79 0 r
.46435 .50227 m
.46498 .50289 L
.46628 .5042 L
.46682 .50482 L
.46821 .50605 L
.46852 .50674 L
.47013 .50867 L
.47013 .50867 L
.4717 .5106 L
.47206 .51103 L
.47326 .51253 L
.47399 .51301 L
.47481 .51445 L
.47591 .51581 L
.47656 .51638 L
.47782 .51831 L
.47784 .51833 L
.47931 .52023 L
.47977 .52055 L
.48081 .52216 L
.48169 .52327 L
.48248 .52409 L
.48362 .52586 L
.48373 .52601 L
.4852 .52794 L
.48555 .5282 L
.48667 .52987 L
.48747 .5309 L
.48826 .53179 L
.4894 .53352 L
.48953 .53372 L
.491 .53565 L
.49133 .53592 L
.49244 .53758 L
.49326 .53862 L
.49398 .5395 L
.49518 .54127 L
.49527 .54143 L
.49672 .54336 L
.49711 .54369 L
.49889 .54528 L
.49904 .54644 L
.49964 .54721 L
.50096 .5491 L
.50098 .54914 L
.50239 .55106 L
.50289 .55153 L
.50437 .55299 L
.50482 .55433 L
.50526 .55492 L
.50661 .55684 L
.50674 .55702 L
.50801 .55877 L
.50867 .55946 L
.50984 .5607 L
.5106 .56231 L
.51082 .56263 L
.51218 .56455 L
.51253 .56502 L
.51356 .56648 L
.51445 .56751 L
.51524 .56841 L
.51632 .57033 L
.51638 .57041 L
.51766 .57226 L
.51831 .57315 L
.51903 .57419 L
.52023 .57579 L
.52049 .57611 L
.5217 .57804 L
.52216 .57868 L
.52302 .57997 L
.52409 .58149 L
.52436 .58189 L
.52562 .58382 L
.52601 .58439 L
.52685 .58575 L
.52794 .58739 L
.52811 .58768 L
.52911 .5896 L
.52794 .5897 L
.52786 .5896 L
.52612 .58768 L
.52601 .58757 L
.5245 .58575 L
.52409 .5853 L
.52291 .58382 L
.52216 .58295 L
.52133 .58189 L
.52023 .58078 L
.51977 .57997 L
.51831 .57813 L
.51821 .57804 L
.51676 .57611 L
.51638 .57565 L
.51527 .57419 L
.51445 .57339 L
.51378 .57226 L
.51253 .57067 L
.5122 .57033 L
.51084 .56841 L
.5106 .5681 L
.50939 .56648 L
.50867 .56578 L
.50793 .56455 L
.50674 .56303 L
.50638 .56263 L
.50503 .5607 L
.50482 .56042 L
.50361 .55877 L
.50289 .55805 L
.50151 .55684 L
.50096 .55528 L
.50066 .55492 L
.49931 .55299 L
.49904 .55264 L
.49789 .55106 L
.49711 .55024 L
.49596 .54914 L
.49518 .54745 L
.49499 .54721 L
.49363 .54528 L
.49326 .54479 L
.49223 .54336 L
.49133 .54236 L
.49043 .54143 L
.4894 .53954 L
.48937 .5395 L
.488 .53758 L
.48747 .53688 L
.4866 .53565 L
.48555 .53439 L
.48494 .53372 L
.48378 .53179 L
.48362 .53158 L
.48242 .52987 L
.48169 .5289 L
.48102 .52794 L
.47977 .52632 L
.47951 .52601 L
.47825 .52409 L
.47784 .52353 L
.4769 .52216 L
.47591 .52083 L
.4755 .52023 L
.47412 .51831 L
.47399 .51812 L
.47281 .51638 L
.47206 .51535 L
.47146 .51445 L
.47013 .51261 L
.47008 .51253 L
.46882 .5106 L
.46821 .50975 L
.46753 .50867 L
.46628 .50687 L
.4662 .50674 L
.46507 .50482 L
.46435 .50369 L
.46399 .50289 L
F
1 .96 0 r
.46435 .43236 m
.46497 .43352 L
.46628 .43526 L
.46638 .43545 L
.46628 .43681 L
.46548 .43545 L
.46435 .43397 L
.46404 .43352 L
F
0 .83 1 r
.46435 .46888 m
.46628 .46906 L
.46767 .47013 L
.46821 .4706 L
.46953 .47206 L
.47013 .47275 L
.47114 .47399 L
.47206 .47517 L
.47283 .47591 L
.47399 .47767 L
.47412 .47784 L
.47557 .47977 L
.47591 .48002 L
.47699 .48169 L
.47784 .48272 L
.47855 .48362 L
.47977 .48547 L
.47981 .48555 L
.48118 .48747 L
.48169 .48819 L
.48315 .4894 L
.48362 .49071 L
.48394 .49133 L
.4851 .49326 L
.48555 .49402 L
.48616 .49518 L
.48555 .49704 L
.48362 .49591 L
.48262 .49518 L
.48169 .49414 L
.48011 .49326 L
.47977 .49194 L
.47908 .49133 L
.47784 .48957 L
.4777 .4894 L
.47607 .48747 L
.47591 .48729 L
.47427 .48555 L
.47399 .48471 L
.47319 .48362 L
.47206 .48207 L
.47194 .48169 L
.47036 .47977 L
.47013 .47968 L
.46867 .47784 L
.46821 .47693 L
.46764 .47591 L
.46632 .47399 L
.46628 .47392 L
.46512 .47206 L
.46435 .47055 L
.46405 .47013 L
F
1 .57 0 r
.46435 .47582 m
.46447 .47591 L
.46628 .47759 L
.46648 .47784 L
.46807 .47977 L
.46821 .47993 L
.46944 .48169 L
.47013 .48262 L
.47075 .48362 L
.47013 .48485 L
.46909 .48362 L
.46821 .4826 L
.46752 .48169 L
.46628 .48005 L
.46608 .47977 L
.46489 .47784 L
.46435 .47688 L
.46409 .47591 L
F
0 .44 1 r
.46435 .51053 m
.46441 .5106 L
.46435 .51137 L
.46411 .5106 L
F
0 .89 1 r
.46435 .42391 m
.46557 .42581 L
.46628 .42675 L
.46686 .42774 L
.46821 .42958 L
.46825 .42967 L
.46821 .43072 L
.46737 .42967 L
.46628 .42847 L
.46571 .42774 L
.46435 .42609 L
.46413 .42581 L
F
0 .82 1 r
.46435 .46916 m
.46628 .46913 L
.46757 .47013 L
.46821 .47067 L
.46948 .47206 L
.47013 .4728 L
.4711 .47399 L
.47206 .47521 L
.4728 .47591 L
.47399 .4777 L
.4741 .47784 L
.47555 .47977 L
.47591 .48004 L
.47697 .48169 L
.47784 .48275 L
.47852 .48362 L
.47977 .4855 L
.47979 .48555 L
.48115 .48747 L
.48169 .48823 L
.48312 .4894 L
.48362 .49079 L
.48389 .49133 L
.48504 .49326 L
.48555 .49412 L
.48608 .49518 L
.48555 .49689 L
.48362 .49583 L
.48271 .49518 L
.48169 .49407 L
.48016 .49326 L
.47977 .49188 L
.47912 .49133 L
.47784 .48954 L
.47772 .4894 L
.47611 .48747 L
.47591 .48725 L
.47428 .48555 L
.47399 .48467 L
.47321 .48362 L
.47206 .48203 L
.47195 .48169 L
.47039 .47977 L
.47013 .47966 L
.46869 .47784 L
.46821 .47688 L
.46767 .47591 L
.46636 .47399 L
.46628 .47385 L
.46518 .47206 L
.46435 .47035 L
.46421 .47013 L
F
1 .6 0 r
.46435 .53408 m
.46498 .53565 L
.46435 .53572 L
.46428 .53565 L
F
1 .78 0 r
.46435 .50289 m
.4644 .50289 L
.46628 .50444 L
.46662 .50482 L
.46821 .50638 L
.46836 .50674 L
.46999 .50867 L
.47013 .50882 L
.47158 .5106 L
.47206 .51116 L
.47316 .51253 L
.47399 .51312 L
.47472 .51445 L
.47591 .51592 L
.47645 .51638 L
.47774 .51831 L
.47784 .51843 L
.47924 .52023 L
.47977 .52061 L
.48074 .52216 L
.48169 .52336 L
.48241 .52409 L
.48362 .52593 L
.48368 .52601 L
.48515 .52794 L
.48555 .52825 L
.48661 .52987 L
.48747 .53097 L
.48821 .53179 L
.4894 .53358 L
.48949 .53372 L
.49095 .53565 L
.49133 .53596 L
.4924 .53758 L
.49326 .53869 L
.49393 .5395 L
.49518 .54133 L
.49524 .54143 L
.49668 .54336 L
.49711 .54374 L
.49886 .54528 L
.49904 .5465 L
.4996 .54721 L
.50094 .54914 L
.50096 .54916 L
.50235 .55106 L
.50289 .55158 L
.50433 .55299 L
.50482 .55439 L
.50521 .55492 L
.50657 .55684 L
.50674 .55708 L
.50796 .55877 L
.50867 .55952 L
.50978 .5607 L
.5106 .56238 L
.51077 .56263 L
.51213 .56455 L
.51253 .56509 L
.51351 .56648 L
.51445 .56759 L
.51516 .56841 L
.51626 .57033 L
.51638 .57049 L
.5176 .57226 L
.51831 .57324 L
.51896 .57419 L
.52023 .57592 L
.52039 .57611 L
.52162 .57804 L
.52216 .57879 L
.52294 .57997 L
.52409 .58162 L
.52427 .58189 L
.5255 .58382 L
.52601 .58457 L
.52672 .58575 L
.52794 .58765 L
.52795 .58768 L
.52794 .58938 L
.52634 .58768 L
.52601 .58736 L
.52465 .58575 L
.52409 .58514 L
.52302 .58382 L
.52216 .58282 L
.52143 .58189 L
.52023 .58065 L
.51986 .57997 L
.51832 .57804 L
.51831 .57803 L
.51683 .57611 L
.51638 .57556 L
.51534 .57419 L
.51445 .57331 L
.51384 .57226 L
.51253 .5706 L
.51227 .57033 L
.51089 .56841 L
.5106 .56804 L
.50944 .56648 L
.50867 .56572 L
.50798 .56455 L
.50674 .56297 L
.50644 .56263 L
.50508 .5607 L
.50482 .56036 L
.50365 .55877 L
.50289 .558 L
.50156 .55684 L
.50096 .55523 L
.5007 .55492 L
.49935 .55299 L
.49904 .55259 L
.49793 .55106 L
.49711 .55019 L
.49601 .54914 L
.49518 .5474 L
.49503 .54721 L
.49367 .54528 L
.49326 .54474 L
.49226 .54336 L
.49133 .5423 L
.49048 .54143 L
.48941 .5395 L
.4894 .53949 L
.48804 .53758 L
.48747 .53683 L
.48664 .53565 L
.48555 .53433 L
.485 .53372 L
.48383 .53179 L
.48362 .53152 L
.48246 .52987 L
.48169 .52884 L
.48107 .52794 L
.47977 .52624 L
.47958 .52601 L
.4783 .52409 L
.47784 .52347 L
.47694 .52216 L
.47591 .52076 L
.47555 .52023 L
.47419 .51831 L
.47399 .51804 L
.47288 .51638 L
.47206 .51526 L
.47152 .51445 L
.47015 .51253 L
.47013 .5125 L
.46891 .5106 L
.46821 .50961 L
.46763 .50867 L
.46632 .50674 L
.46628 .50668 L
.46528 .50482 L
.46435 .503 L
.46435 .50289 L
F
1 .7 0 r
.46435 .45111 m
.46579 .45279 L
.46628 .45335 L
.46727 .45472 L
.46821 .45604 L
.46857 .45664 L
.46821 .45748 L
.46745 .45664 L
.46628 .45537 L
.46581 .45472 L
.46435 .45279 L
.46435 .45279 L
F
0 .81 1 r
.46628 .4692 m
.46747 .47013 L
.46821 .47073 L
.46943 .47206 L
.47013 .47285 L
.47107 .47399 L
.47206 .47525 L
.47276 .47591 L
.47399 .47773 L
.47408 .47784 L
.47552 .47977 L
.47591 .48006 L
.47695 .48169 L
.47784 .48278 L
.4785 .48362 L
.47977 .48554 L
.47977 .48555 L
.48112 .48747 L
.48169 .48828 L
.48309 .4894 L
.48362 .49087 L
.48385 .49133 L
.48499 .49326 L
.48555 .49424 L
.486 .49518 L
.48555 .49673 L
.48362 .49574 L
.48282 .49518 L
.48169 .49399 L
.48022 .49326 L
.47977 .49183 L
.47917 .49133 L
.47784 .48951 L
.47774 .4894 L
.47615 .48747 L
.47591 .48721 L
.4743 .48555 L
.47399 .48463 L
.47324 .48362 L
.47206 .48199 L
.47196 .48169 L
.47042 .47977 L
.47013 .47965 L
.46872 .47784 L
.46821 .47683 L
.46771 .47591 L
.46641 .47399 L
.46628 .47378 L
.46524 .47206 L
.46436 .47013 L
F
0 .8 1 r
.46628 .46928 m
.46737 .47013 L
.46821 .47079 L
.46937 .47206 L
.47013 .4729 L
.47103 .47399 L
.47206 .47529 L
.47273 .47591 L
.47399 .47776 L
.47405 .47784 L
.47549 .47977 L
.47591 .48008 L
.47692 .48169 L
.47784 .48282 L
.47847 .48362 L
.47975 .48555 L
.47977 .48558 L
.48109 .48747 L
.48169 .48832 L
.48305 .4894 L
.48362 .49096 L
.4838 .49133 L
.48494 .49326 L
.48555 .49437 L
.48592 .49518 L
.48555 .49656 L
.48362 .49566 L
.48292 .49518 L
.48169 .49392 L
.48029 .49326 L
.47977 .49178 L
.47921 .49133 L
.47784 .48949 L
.47776 .4894 L
.47618 .48747 L
.47591 .48717 L
.47432 .48555 L
.47399 .48459 L
.47327 .48362 L
.47206 .48196 L
.47197 .48169 L
.47045 .47977 L
.47013 .47963 L
.46874 .47784 L
.46821 .47678 L
.46774 .47591 L
.46645 .47399 L
.46628 .4737 L
.4653 .47206 L
.46448 .47013 L
F
0 .79 1 r
.46628 .46937 m
.46726 .47013 L
.46821 .47086 L
.46932 .47206 L
.47013 .47295 L
.47099 .47399 L
.47206 .47533 L
.47269 .47591 L
.47399 .47779 L
.47403 .47784 L
.47547 .47977 L
.47591 .48011 L
.4769 .48169 L
.47784 .48285 L
.47844 .48362 L
.47972 .48555 L
.47977 .48561 L
.48107 .48747 L
.48169 .48836 L
.48301 .4894 L
.48362 .49105 L
.48376 .49133 L
.48488 .49326 L
.48555 .49451 L
.48583 .49518 L
.48555 .49637 L
.48362 .49558 L
.48303 .49518 L
.48169 .49385 L
.48037 .49326 L
.47977 .49173 L
.47926 .49133 L
.47784 .48946 L
.47778 .4894 L
.47622 .48747 L
.47591 .48713 L
.47434 .48555 L
.47399 .48455 L
.4733 .48362 L
.47206 .48192 L
.47198 .48169 L
.47048 .47977 L
.47013 .47961 L
.46877 .47784 L
.46821 .47672 L
.46777 .47591 L
.4665 .47399 L
.46628 .47363 L
.46536 .47206 L
.4646 .47013 L
F
0 .91 1 r
.46628 .44498 m
.46636 .44508 L
.46821 .44688 L
.46847 .44701 L
.47003 .44894 L
.47013 .44905 L
.47164 .45086 L
.47206 .45091 L
.47318 .45279 L
.47399 .45371 L
.47499 .45472 L
.47591 .45645 L
.47604 .45664 L
.47736 .45857 L
.47784 .45934 L
.47855 .4605 L
.47927 .46242 L
.47784 .46345 L
.47728 .46242 L
.47591 .46162 L
.47531 .4605 L
.47399 .45911 L
.47369 .45857 L
.47219 .45664 L
.47206 .45647 L
.47081 .45472 L
.47013 .45382 L
.46943 .45279 L
.46821 .4511 L
.46805 .45086 L
.46681 .44894 L
.46628 .44814 L
.46564 .44701 L
.46464 .44508 L
F
0 .78 1 r
.46628 .46946 m
.46714 .47013 L
.46821 .47092 L
.46926 .47206 L
.47013 .473 L
.47095 .47399 L
.47206 .47537 L
.47266 .47591 L
.47399 .47782 L
.47401 .47784 L
.47544 .47977 L
.47591 .48013 L
.47687 .48169 L
.47784 .48289 L
.47842 .48362 L
.47969 .48555 L
.47977 .48565 L
.48104 .48747 L
.48169 .4884 L
.48297 .4894 L
.48362 .49115 L
.48371 .49133 L
.48483 .49326 L
.48555 .49468 L
.48574 .49518 L
.48555 .49615 L
.48362 .49549 L
.48314 .49518 L
.48169 .49379 L
.48046 .49326 L
.47977 .49168 L
.47931 .49133 L
.47784 .48944 L
.4778 .4894 L
.47625 .48747 L
.47591 .48709 L
.47436 .48555 L
.47399 .48451 L
.47332 .48362 L
.47206 .48189 L
.472 .48169 L
.47051 .47977 L
.47013 .47959 L
.46879 .47784 L
.46821 .47666 L
.46781 .47591 L
.46655 .47399 L
.46628 .47355 L
.46542 .47206 L
.46473 .47013 L
F
0 .77 1 r
.46628 .46956 m
.46702 .47013 L
.46821 .47098 L
.4692 .47206 L
.47013 .47305 L
.47091 .47399 L
.47206 .47541 L
.47262 .47591 L
.47398 .47784 L
.47399 .47785 L
.47542 .47977 L
.47591 .48016 L
.47685 .48169 L
.47784 .48292 L
.47839 .48362 L
.47967 .48555 L
.47977 .48569 L
.48101 .48747 L
.48169 .48844 L
.48293 .4894 L
.48362 .49125 L
.48366 .49133 L
.48477 .49326 L
.48555 .4949 L
.48564 .49518 L
.48555 .49588 L
.48362 .49541 L
.48326 .49518 L
.48169 .49372 L
.48056 .49326 L
.47977 .49164 L
.47936 .49133 L
.47784 .48942 L
.47782 .4894 L
.47629 .48747 L
.47591 .48705 L
.47438 .48555 L
.47399 .48447 L
.47335 .48362 L
.47206 .48185 L
.47201 .48169 L
.47054 .47977 L
.47013 .47957 L
.46882 .47784 L
.46821 .4766 L
.46784 .47591 L
.46659 .47399 L
.46628 .47346 L
.46548 .47206 L
.46488 .47013 L
F
1 .56 0 r
.46628 .4777 m
.46639 .47784 L
.46798 .47977 L
.46821 .48004 L
.46935 .48169 L
.47013 .48274 L
.47066 .48362 L
.47013 .48472 L
.46919 .48362 L
.46821 .48249 L
.4676 .48169 L
.46628 .47993 L
.46616 .47977 L
.46502 .47784 L
F
0 .76 1 r
.46628 .46967 m
.46688 .47013 L
.46821 .47104 L
.46915 .47206 L
.47013 .4731 L
.47087 .47399 L
.47206 .47545 L
.47258 .47591 L
.47395 .47784 L
.47399 .47788 L
.47539 .47977 L
.47591 .48018 L
.47682 .48169 L
.47784 .48296 L
.47836 .48362 L
.47964 .48555 L
.47977 .48572 L
.48098 .48747 L
.48169 .48849 L
.48288 .4894 L
.48361 .49133 L
.48362 .49135 L
.48471 .49326 L
.48553 .49518 L
.48362 .49533 L
.48339 .49518 L
.48169 .49366 L
.48067 .49326 L
.47977 .49159 L
.47941 .49133 L
.47785 .4894 L
.47784 .4894 L
.47632 .48747 L
.47591 .48701 L
.4744 .48555 L
.47399 .48443 L
.47338 .48362 L
.47206 .48181 L
.47202 .48169 L
.47057 .47977 L
.47013 .47954 L
.46885 .47784 L
.46821 .47654 L
.46787 .47591 L
.46664 .47399 L
.46628 .47338 L
.46554 .47206 L
.46503 .47013 L
F
1 .55 0 r
.46628 .47781 m
.4663 .47784 L
.46788 .47977 L
.46821 .48015 L
.46926 .48169 L
.47013 .48287 L
.47057 .48362 L
.47013 .48457 L
.46931 .48362 L
.46821 .48237 L
.46769 .48169 L
.46628 .47981 L
.46625 .47977 L
.46516 .47784 L
F
1 .85 0 r
.46628 .40252 m
.46643 .40269 L
.46821 .40454 L
.46824 .40462 L
.4699 .40654 L
.47013 .4068 L
.4715 .40847 L
.47206 .40911 L
.47309 .4104 L
.47399 .4112 L
.47466 .41232 L
.47591 .41385 L
.47636 .41425 L
.47771 .41618 L
.47784 .41634 L
.47919 .41811 L
.47977 .4186 L
.48069 .42003 L
.48169 .42127 L
.48237 .42196 L
.48362 .42384 L
.48365 .42389 L
.4851 .42581 L
.48555 .4262 L
.48656 .42774 L
.48747 .42888 L
.48819 .42967 L
.4894 .4315 L
.48947 .43159 L
.4909 .43352 L
.49133 .4339 L
.49234 .43545 L
.49326 .4366 L
.49392 .43737 L
.49518 .43924 L
.49522 .4393 L
.49664 .44123 L
.49711 .44167 L
.49874 .44316 L
.49904 .4444 L
.4996 .44508 L
.50093 .44701 L
.50096 .44705 L
.50233 .44894 L
.50289 .44949 L
.50429 .45086 L
.50482 .45224 L
.50525 .45279 L
.50659 .45472 L
.50674 .45492 L
.50799 .45664 L
.50867 .45735 L
.50983 .45857 L
.5106 .46014 L
.51087 .4605 L
.51222 .46242 L
.51253 .46282 L
.51361 .46435 L
.51445 .46527 L
.51536 .46628 L
.51638 .46809 L
.51646 .46821 L
.51782 .47013 L
.51831 .47078 L
.51921 .47206 L
.52023 .47327 L
.52085 .47399 L
.52202 .47591 L
.52216 .47609 L
.52338 .47784 L
.52409 .47878 L
.52477 .47977 L
.52601 .48137 L
.52628 .48169 L
.52754 .48362 L
.52794 .48416 L
.52889 .48555 L
.52987 .48688 L
.53028 .48747 L
.53165 .4894 L
.53179 .48959 L
.53296 .49133 L
.53372 .49237 L
.5343 .49326 L
.53565 .49513 L
.53568 .49518 L
.53693 .49711 L
.53758 .49801 L
.53821 .49904 L
.5395 .50091 L
.53953 .50096 L
.54065 .50289 L
.54143 .50412 L
.54175 .50482 L
.54143 .50566 L
.54062 .50482 L
.5395 .50368 L
.53882 .50289 L
.53758 .502 L
.53713 .50096 L
.53565 .49922 L
.53534 .49904 L
.53394 .49711 L
.53372 .49686 L
.53236 .49518 L
.53179 .49487 L
.5308 .49326 L
.52987 .49213 L
.52891 .49133 L
.52794 .48963 L
.52776 .4894 L
.52624 .48747 L
.52601 .48734 L
.52473 .48555 L
.52409 .48475 L
.52298 .48362 L
.52216 .48217 L
.52182 .48169 L
.52029 .47977 L
.52023 .47973 L
.51882 .47784 L
.51831 .47719 L
.51718 .47591 L
.51638 .47457 L
.516 .47399 L
.51446 .47206 L
.51445 .47205 L
.51301 .47013 L
.51253 .46951 L
.51145 .46821 L
.5106 .46686 L
.51025 .46628 L
.50871 .46435 L
.50867 .46432 L
.50727 .46242 L
.50674 .46174 L
.50576 .4605 L
.50482 .45908 L
.50454 .45857 L
.503 .45664 L
.50289 .45655 L
.501 .45472 L
.50096 .45392 L
.50011 .45279 L
.49904 .45124 L
.49886 .45086 L
.49734 .44894 L
.49711 .44873 L
.49545 .44701 L
.49518 .44603 L
.49449 .44508 L
.49326 .44334 L
.49318 .44316 L
.49172 .44123 L
.49133 .44086 L
.4899 .4393 L
.4894 .4381 L
.4889 .43737 L
.48752 .43545 L
.48747 .43539 L
.48614 .43352 L
.48555 .43292 L
.4844 .43159 L
.48362 .43008 L
.48334 .42967 L
.48198 .42774 L
.48169 .42735 L
.48061 .42581 L
.47977 .42485 L
.47898 .42389 L
.47785 .42196 L
.47784 .42194 L
.47652 .42003 L
.47591 .41919 L
.47516 .41811 L
.47399 .41654 L
.47371 .41618 L
.47249 .41425 L
.47206 .41364 L
.47118 .41232 L
.47013 .41081 L
.46986 .4104 L
.46861 .40847 L
.46821 .40788 L
.46739 .40654 L
.46628 .40483 L
.46615 .40462 L
.46521 .40269 L
F
0 .75 1 r
.46628 .4698 m
.46673 .47013 L
.46821 .47111 L
.46909 .47206 L
.47013 .47315 L
.47083 .47399 L
.47206 .47549 L
.47254 .47591 L
.47392 .47784 L
.47399 .47792 L
.47536 .47977 L
.47591 .48021 L
.4768 .48169 L
.47784 .48299 L
.47833 .48362 L
.47961 .48555 L
.47977 .48576 L
.48095 .48747 L
.48169 .48853 L
.48284 .4894 L
.48357 .49133 L
.48362 .49141 L
.48465 .49326 L
.48538 .49518 L
.48362 .49524 L
.48353 .49518 L
.48169 .4936 L
.48078 .49326 L
.47977 .49155 L
.47947 .49133 L
.47789 .4894 L
.47784 .48938 L
.47636 .48747 L
.47591 .48698 L
.47442 .48555 L
.47399 .48439 L
.47341 .48362 L
.47206 .48178 L
.47203 .48169 L
.4706 .47977 L
.47013 .47952 L
.46888 .47784 L
.46821 .47648 L
.46791 .47591 L
.46668 .47399 L
.46628 .47329 L
.4656 .47206 L
.46522 .47013 L
F
0 .94 1 r
.46628 .39436 m
.46689 .39498 L
.46821 .39576 L
.46877 .39691 L
.47013 .39837 L
.4705 .39884 L
.47206 .40066 L
.47217 .40076 L
.47375 .40269 L
.47399 .40278 L
.47533 .40462 L
.47591 .40529 L
.47761 .40654 L
.47784 .40778 L
.47846 .40847 L
.47977 .41024 L
.47986 .4104 L
.48142 .41232 L
.48169 .41265 L
.48334 .41425 L
.48362 .41521 L
.48439 .41618 L
.48555 .41778 L
.48569 .41811 L
.48732 .42003 L
.48747 .42022 L
.48906 .42196 L
.4894 .42282 L
.49019 .42389 L
.49133 .42545 L
.49143 .42581 L
.49312 .42774 L
.49326 .42791 L
.49476 .42967 L
.49518 .43055 L
.49592 .43159 L
.49711 .43319 L
.49714 .43352 L
.49885 .43545 L
.49904 .43568 L
.50044 .43737 L
.50096 .43834 L
.50161 .4393 L
.50289 .44098 L
.50314 .44123 L
.50455 .44316 L
.50482 .4435 L
.50611 .44508 L
.50674 .44616 L
.50728 .44701 L
.50867 .44879 L
.50881 .44894 L
.51022 .45086 L
.5106 .45134 L
.51175 .45279 L
.51253 .45402 L
.51293 .45472 L
.51445 .45662 L
.51447 .45664 L
.51636 .45857 L
.51638 .4592 L
.51739 .4605 L
.51831 .46189 L
.51859 .46242 L
.52012 .46435 L
.52023 .46445 L
.52198 .46628 L
.52216 .46708 L
.52301 .46821 L
.52409 .46977 L
.52425 .47013 L
.52576 .47206 L
.52601 .47228 L
.52758 .47399 L
.52794 .47497 L
.52863 .47591 L
.52987 .47766 L
.52993 .47784 L
.53139 .47977 L
.53179 .48014 L
.53317 .48169 L
.53372 .48288 L
.53425 .48362 L
.53563 .48555 L
.53565 .48557 L
.53701 .48747 L
.53758 .48803 L
.53874 .4894 L
.5395 .49081 L
.53985 .49133 L
.54124 .49326 L
.54143 .49351 L
.54262 .49518 L
.54336 .49596 L
.54429 .49711 L
.54528 .49877 L
.54546 .49904 L
.54683 .50096 L
.54721 .50147 L
.54822 .50289 L
.54914 .50394 L
.54982 .50482 L
.55105 .50674 L
.55106 .50677 L
.5524 .50867 L
.55299 .50946 L
.55379 .5106 L
.55492 .51199 L
.55532 .51253 L
.55658 .51445 L
.55684 .5148 L
.55794 .51638 L
.55877 .5175 L
.55984 .51831 L
.5607 .52016 L
.56075 .52023 L
.56206 .52216 L
.56263 .52292 L
.56341 .52409 L
.56455 .52541 L
.56501 .52601 L
.56612 .52794 L
.56648 .52843 L
.56741 .52987 L
.56841 .53127 L
.56874 .53179 L
.57001 .53372 L
.57033 .53419 L
.57116 .53565 L
.57226 .53748 L
.5723 .53758 L
.57226 .53856 L
.57083 .53758 L
.57033 .53719 L
.56873 .53565 L
.56841 .53534 L
.56687 .53372 L
.56648 .5333 L
.56514 .53179 L
.56455 .53117 L
.56348 .52987 L
.56263 .52879 L
.56175 .52794 L
.5607 .52638 L
.56038 .52601 L
.55883 .52409 L
.55877 .52402 L
.55731 .52216 L
.55684 .52152 L
.55577 .52023 L
.55492 .51897 L
.55448 .51831 L
.55299 .51647 L
.55288 .51638 L
.55117 .51445 L
.55106 .51396 L
.54999 .51253 L
.54914 .51133 L
.54879 .5106 L
.54721 .50876 L
.54705 .50867 L
.54549 .50674 L
.54528 .50627 L
.54427 .50482 L
.54336 .50359 L
.54318 .50289 L
.54143 .501 L
.54128 .50096 L
.53978 .49904 L
.5395 .49852 L
.53858 .49711 L
.53758 .49581 L
.53696 .49518 L
.53565 .49337 L
.53556 .49326 L
.53408 .49133 L
.53372 .49072 L
.5329 .4894 L
.53179 .488 L
.53126 .48747 L
.52987 .48555 L
.52987 .48555 L
.52841 .48362 L
.52794 .48288 L
.52725 .48169 L
.52601 .48018 L
.52559 .47977 L
.52419 .47784 L
.52409 .4777 L
.52276 .47591 L
.52216 .47502 L
.52161 .47399 L
.52023 .47234 L
.51993 .47206 L
.51834 .47013 L
.51831 .46983 L
.51712 .46821 L
.51638 .46715 L
.51598 .46628 L
.51445 .4645 L
.51429 .46435 L
.51266 .46242 L
.51253 .46195 L
.51149 .4605 L
.5106 .45926 L
.51035 .45857 L
.50867 .45666 L
.50866 .45664 L
.50702 .45472 L
.50674 .45405 L
.50587 .45279 L
.50482 .45136 L
.5047 .45086 L
.50303 .44894 L
.50289 .4488 L
.5014 .44701 L
.50096 .44614 L
.50026 .44508 L
.49904 .44345 L
.49901 .44316 L
.49742 .44123 L
.49711 .44093 L
.4958 .4393 L
.49518 .43821 L
.49466 .43737 L
.49326 .43551 L
.49321 .43545 L
.49182 .43352 L
.49133 .43301 L
.49023 .43159 L
.4894 .43024 L
.48907 .42967 L
.48763 .42774 L
.48747 .42753 L
.48625 .42581 L
.48555 .42504 L
.48469 .42389 L
.48362 .42221 L
.48348 .42196 L
.48209 .42003 L
.48169 .41949 L
.48 .41811 L
.47977 .41695 L
.47922 .41618 L
.47796 .41425 L
.47784 .41409 L
.47662 .41232 L
.47591 .41134 L
.47472 .4104 L
.47399 .40865 L
.47387 .40847 L
.47259 .40654 L
.47206 .40579 L
.47128 .40462 L
.47013 .40297 L
.46978 .40269 L
.46871 .40076 L
.46821 .40002 L
.46749 .39884 L
.46628 .39696 L
.46625 .39691 L
.4653 .39498 L
F
0 .74 1 r
.46628 .46995 m
.46655 .47013 L
.46821 .47117 L
.46903 .47206 L
.47013 .4732 L
.47079 .47399 L
.47206 .47553 L
.4725 .47591 L
.47389 .47784 L
.47399 .47796 L
.47534 .47977 L
.47591 .48023 L
.47677 .48169 L
.47784 .48303 L
.4783 .48362 L
.47958 .48555 L
.47977 .4858 L
.48092 .48747 L
.48169 .48857 L
.48279 .4894 L
.48352 .49133 L
.48362 .49149 L
.48459 .49326 L
.48362 .49514 L
.48169 .49354 L
.48092 .49326 L
.47977 .4915 L
.47952 .49133 L
.47793 .4894 L
.47784 .48936 L
.47639 .48747 L
.47591 .48694 L
.47445 .48555 L
.47399 .48435 L
.47343 .48362 L
.47206 .48174 L
.47204 .48169 L
.47063 .47977 L
.47013 .47949 L
.46891 .47784 L
.46821 .47641 L
.46795 .47591 L
.46673 .47399 L
.46628 .4732 L
.46567 .47206 L
.46544 .47013 L
F
0 .95 1 r
.46628 .49687 m
.46662 .49711 L
.46821 .4984 L
.46894 .49904 L
.47013 .50012 L
.4709 .50096 L
.47206 .50228 L
.47294 .50289 L
.47399 .5045 L
.47434 .50482 L
.47587 .50674 L
.47591 .50678 L
.47741 .50867 L
.47784 .50922 L
.47915 .5106 L
.47977 .51175 L
.48039 .51253 L
.48169 .51429 L
.4818 .51445 L
.48328 .51638 L
.48362 .51684 L
.48481 .51831 L
.48555 .51944 L
.48607 .52023 L
.48747 .52201 L
.48748 .52216 L
.48928 .52409 L
.4894 .52457 L
.49045 .52601 L
.49133 .52722 L
.49163 .52794 L
.49326 .52979 L
.49338 .52987 L
.49493 .53179 L
.49518 .53233 L
.49612 .53372 L
.49711 .53501 L
.49719 .53565 L
.49904 .53755 L
.49912 .53758 L
.50062 .5395 L
.50096 .54011 L
.5018 .54143 L
.50289 .54281 L
.50343 .54336 L
.50482 .54527 L
.50483 .54528 L
.50631 .54721 L
.50674 .54792 L
.50747 .54914 L
.50867 .55062 L
.50912 .55106 L
.51051 .55299 L
.5106 .5531 L
.51197 .55492 L
.51253 .55577 L
.51312 .55684 L
.51445 .55845 L
.51478 .55877 L
.51618 .5607 L
.51638 .56096 L
.51761 .56263 L
.51831 .56364 L
.51876 .56455 L
.52023 .5663 L
.52042 .56648 L
.52208 .56841 L
.52216 .56885 L
.52323 .57033 L
.52409 .57154 L
.52439 .57226 L
.52601 .57416 L
.52604 .57419 L
.52772 .57611 L
.52794 .57675 L
.52883 .57804 L
.52987 .57946 L
.53003 .57997 L
.53165 .58189 L
.53179 .58202 L
.53333 .58382 L
.53372 .58469 L
.53442 .58575 L
.53565 .58741 L
.5357 .58768 L
.53723 .5896 L
.53758 .58992 L
.53889 .59153 L
.5395 .59268 L
.53999 .59346 L
.54141 .59538 L
.54143 .59541 L
.54278 .59731 L
.54336 .5979 L
.54439 .59924 L
.54528 .60076 L
.54552 .60116 L
.5469 .60309 L
.54721 .60352 L
.54826 .60502 L
.54914 .60604 L
.54979 .60694 L
.55098 .60887 L
.55106 .60898 L
.5523 .6108 L
.55299 .61178 L
.55364 .61273 L
.55492 .61454 L
.55499 .61465 L
.55623 .61658 L
.55684 .61748 L
.5575 .61851 L
.55877 .62043 L
.55878 .62043 L
.55988 .62236 L
.5607 .62372 L
.56097 .62429 L
.5607 .62554 L
.55938 .62429 L
.55877 .62374 L
.55754 .62236 L
.55684 .62164 L
.55583 .62043 L
.55492 .61969 L
.55418 .61851 L
.55299 .61713 L
.55225 .61658 L
.55106 .61471 L
.55101 .61465 L
.54949 .61273 L
.54914 .61245 L
.54797 .6108 L
.54721 .60989 L
.54612 .60887 L
.54528 .60734 L
.54496 .60694 L
.54348 .60502 L
.54336 .60491 L
.54201 .60309 L
.54143 .60237 L
.54029 .60116 L
.5395 .59976 L
.53911 .59924 L
.53763 .59731 L
.53758 .59726 L
.53619 .59538 L
.53565 .5947 L
.53455 .59346 L
.53372 .59207 L
.53335 .59153 L
.53186 .5896 L
.53179 .58954 L
.53044 .58768 L
.52987 .58695 L
.52885 .58575 L
.52794 .5843 L
.52764 .58382 L
.52615 .58189 L
.52601 .58177 L
.52473 .57997 L
.52409 .57915 L
.52318 .57804 L
.52216 .57648 L
.52195 .57611 L
.52047 .57419 L
.52023 .57397 L
.51851 .57226 L
.51831 .57131 L
.51754 .57033 L
.51638 .56863 L
.51626 .56841 L
.5148 .56648 L
.51445 .56614 L
.51292 .56455 L
.51253 .56344 L
.5119 .56263 L
.5106 .56077 L
.51057 .5607 L
.50916 .55877 L
.50867 .55829 L
.50734 .55684 L
.50674 .55555 L
.50628 .55492 L
.50491 .55299 L
.50482 .55287 L
.50352 .55106 L
.50289 .5504 L
.50177 .54914 L
.50096 .54763 L
.50066 .54721 L
.49929 .54528 L
.49904 .54495 L
.4979 .54336 L
.49711 .54249 L
.49621 .54143 L
.49518 .53969 L
.49505 .5395 L
.49368 .53758 L
.49326 .53701 L
.49229 .53565 L
.49133 .53453 L
.49067 .53372 L
.48945 .53179 L
.4894 .53173 L
.48809 .52987 L
.48747 .52954 L
.4867 .52794 L
.48555 .5265 L
.48516 .52601 L
.48389 .52409 L
.48362 .52373 L
.48253 .52216 L
.48169 .52145 L
.48061 .52023 L
.47977 .51841 L
.47969 .51831 L
.47837 .51638 L
.47784 .51567 L
.477 .51445 L
.47591 .51321 L
.47535 .51253 L
.47423 .5106 L
.47399 .51027 L
.47291 .50867 L
.47206 .50751 L
.47155 .50674 L
.47017 .50482 L
.47013 .50477 L
.4689 .50289 L
.46821 .5019 L
.46763 .50096 L
.46635 .49904 L
.46628 .49893 L
.46548 .49711 L
F
1 .77 0 r
.46628 .50472 m
.46637 .50482 L
.46628 .50642 L
.46559 .50482 L
F
0 .73 1 r
.46628 .47011 m
.46632 .47013 L
.46821 .47124 L
.46896 .47206 L
.47013 .47325 L
.47075 .47399 L
.47206 .47556 L
.47246 .47591 L
.47386 .47784 L
.47399 .478 L
.47531 .47977 L
.47591 .48026 L
.47675 .48169 L
.47784 .48307 L
.47828 .48362 L
.47955 .48555 L
.47977 .48584 L
.48089 .48747 L
.48169 .48862 L
.48274 .4894 L
.48348 .49133 L
.48362 .49156 L
.48453 .49326 L
.48362 .49503 L
.48169 .49348 L
.48106 .49326 L
.47977 .49146 L
.47958 .49133 L
.47798 .4894 L
.47784 .48934 L
.47643 .48747 L
.47591 .4869 L
.47447 .48555 L
.47399 .48431 L
.47346 .48362 L
.47206 .4817 L
.47206 .48169 L
.47067 .47977 L
.47013 .47946 L
.46894 .47784 L
.46821 .47634 L
.46798 .47591 L
.46678 .47399 L
.46628 .4731 L
.46573 .47206 L
.4658 .47013 L
F
1 .8 0 r
.46628 .41853 m
.46735 .42003 L
.46821 .42106 L
.46883 .42196 L
.47013 .42359 L
.47034 .42389 L
.47176 .42581 L
.47206 .42618 L
.47313 .42774 L
.47399 .42882 L
.47455 .42967 L
.47591 .43143 L
.47602 .43159 L
.47735 .43352 L
.47784 .43415 L
.47867 .43545 L
.47977 .43688 L
.48007 .43737 L
.47977 .43867 L
.4788 .43737 L
.47784 .43624 L
.47725 .43545 L
.47591 .43376 L
.47573 .43352 L
.4743 .43159 L
.47399 .43121 L
.47287 .42967 L
.47206 .42864 L
.47141 .42774 L
.47013 .42606 L
.46995 .42581 L
.46859 .42389 L
.46821 .42341 L
.46721 .42196 L
.46628 .42073 L
.4658 .42003 L
F
0 .72 1 r
.46628 .47024 m
.46821 .4713 L
.4689 .47206 L
.47013 .4733 L
.47071 .47399 L
.47206 .4756 L
.47242 .47591 L
.47383 .47784 L
.47399 .47803 L
.47528 .47977 L
.47591 .48029 L
.47672 .48169 L
.47784 .48311 L
.47825 .48362 L
.47953 .48555 L
.47977 .48588 L
.48086 .48747 L
.48169 .48867 L
.48269 .4894 L
.48343 .49133 L
.48362 .49164 L
.48446 .49326 L
.48362 .49493 L
.48169 .49342 L
.48122 .49326 L
.47977 .49142 L
.47964 .49133 L
.47802 .4894 L
.47784 .48932 L
.47647 .48747 L
.47591 .48686 L
.4745 .48555 L
.47399 .48427 L
.47349 .48362 L
.47208 .48169 L
.47206 .48166 L
.4707 .47977 L
.47013 .47942 L
.46897 .47784 L
.46821 .47627 L
.46802 .47591 L
.46683 .47399 L
.46628 .473 L
.4658 .47206 L
F
0 .71 1 r
.46628 .47038 m
.46821 .47137 L
.46884 .47206 L
.47013 .47335 L
.47066 .47399 L
.47206 .47564 L
.47238 .47591 L
.4738 .47784 L
.47399 .47807 L
.47525 .47977 L
.47591 .48032 L
.4767 .48169 L
.47784 .48315 L
.47822 .48362 L
.4795 .48555 L
.47977 .48592 L
.48083 .48747 L
.48169 .48871 L
.48263 .4894 L
.48338 .49133 L
.48362 .49172 L
.4844 .49326 L
.48362 .49482 L
.48169 .49336 L
.48139 .49326 L
.47977 .49138 L
.4797 .49133 L
.47806 .4894 L
.47784 .48931 L
.4765 .48747 L
.47591 .48682 L
.47453 .48555 L
.47399 .48422 L
.47352 .48362 L
.47212 .48169 L
.47206 .48162 L
.47073 .47977 L
.47013 .47939 L
.46901 .47784 L
.46821 .4762 L
.46806 .47591 L
.46688 .47399 L
.46628 .47289 L
.46587 .47206 L
F
1 .22 0 r
.46628 .52033 m
.46754 .52216 L
.46821 .523 L
.46894 .52409 L
.47013 .52565 L
.47038 .52601 L
.47013 .52782 L
.46883 .52601 L
.46821 .52528 L
.46737 .52409 L
.46628 .52273 L
.46588 .52216 L
F
0 .9 1 r
.46628 .44549 m
.46798 .44701 L
.46821 .44722 L
.46979 .44894 L
.47013 .44932 L
.47144 .45086 L
.47206 .451 L
.473 .45279 L
.47399 .45394 L
.47478 .45472 L
.47586 .45664 L
.47591 .45672 L
.47717 .45857 L
.47784 .45968 L
.47831 .4605 L
.47873 .46242 L
.47784 .46272 L
.47767 .46242 L
.47591 .46134 L
.47549 .4605 L
.47399 .45889 L
.47382 .45857 L
.47233 .45664 L
.47206 .4563 L
.47093 .45472 L
.47013 .45365 L
.46955 .45279 L
.46821 .4509 L
.46818 .45086 L
.467 .44894 L
.46628 .44779 L
.46588 .44701 L
F
1 .21 0 r
.46628 .52041 m
.46748 .52216 L
.46821 .52307 L
.46889 .52409 L
.47013 .52572 L
.47033 .52601 L
.47013 .52774 L
.4689 .52601 L
.46821 .5252 L
.46743 .52409 L
.46628 .52267 L
.46593 .52216 L
F
0 .7 1 r
.46628 .47053 m
.46821 .47145 L
.46877 .47206 L
.47013 .4734 L
.47062 .47399 L
.47206 .47568 L
.47233 .47591 L
.47377 .47784 L
.47399 .47811 L
.47523 .47977 L
.47591 .48035 L
.47667 .48169 L
.47784 .48319 L
.47818 .48362 L
.47947 .48555 L
.47977 .48596 L
.4808 .48747 L
.48169 .48876 L
.48257 .4894 L
.48333 .49133 L
.48362 .49181 L
.48433 .49326 L
.48362 .4947 L
.48169 .49329 L
.48158 .49326 L
.47977 .49133 L
.47976 .49133 L
.4781 .4894 L
.47784 .48929 L
.47654 .48747 L
.47591 .48678 L
.47455 .48555 L
.47399 .48418 L
.47355 .48362 L
.47215 .48169 L
.47206 .48158 L
.47076 .47977 L
.47013 .47935 L
.46904 .47784 L
.46821 .47613 L
.4681 .47591 L
.46693 .47399 L
.46628 .47278 L
.46594 .47206 L
F
1 .69 0 r
.46628 .45358 m
.46709 .45472 L
.46821 .45635 L
.46836 .45664 L
.46821 .45714 L
.46771 .45664 L
.46628 .45517 L
.46596 .45472 L
F
1 .2 0 r
.46628 .52049 m
.46741 .52216 L
.46821 .52315 L
.46883 .52409 L
.47013 .5258 L
.47028 .52601 L
.47013 .52765 L
.46897 .52601 L
.46821 .52512 L
.46749 .52409 L
.46628 .5226 L
.46598 .52216 L
F
0 .69 1 r
.46628 .47069 m
.46821 .47152 L
.4687 .47206 L
.47013 .47345 L
.47058 .47399 L
.47206 .47572 L
.47229 .47591 L
.47374 .47784 L
.47399 .47815 L
.4752 .47977 L
.47591 .48038 L
.47665 .48169 L
.47784 .48323 L
.47815 .48362 L
.47944 .48555 L
.47977 .486 L
.48077 .48747 L
.48169 .48881 L
.48251 .4894 L
.48329 .49133 L
.48362 .49191 L
.48425 .49326 L
.48362 .49458 L
.48173 .49326 L
.48169 .49323 L
.47982 .49133 L
.47977 .49128 L
.47815 .4894 L
.47784 .48927 L
.47658 .48747 L
.47591 .48674 L
.47459 .48555 L
.47399 .48414 L
.47358 .48362 L
.47218 .48169 L
.47206 .48153 L
.47079 .47977 L
.47013 .47931 L
.46908 .47784 L
.46821 .47605 L
.46814 .47591 L
.46698 .47399 L
.46628 .47265 L
.46601 .47206 L
F
1 .19 0 r
.46628 .52058 m
.46734 .52216 L
.46821 .52324 L
.46877 .52409 L
.47013 .52588 L
.47022 .52601 L
.47013 .52754 L
.46906 .52601 L
.46821 .52504 L
.46755 .52409 L
.46628 .52252 L
.46603 .52216 L
F
1 .79 0 r
.46628 .41888 m
.46707 .42003 L
.46821 .42135 L
.46862 .42196 L
.47013 .42384 L
.47017 .42389 L
.47013 .42577 L
.46886 .42389 L
.46821 .42308 L
.46746 .42196 L
.46628 .4204 L
.46603 .42003 L
F
0 .77 1 r
.46628 .41063 m
.46768 .41232 L
.46821 .41288 L
.46928 .41425 L
.47013 .41522 L
.47086 .41618 L
.47206 .41762 L
.47242 .41811 L
.47396 .42003 L
.47399 .42006 L
.47541 .42196 L
.47591 .42257 L
.47689 .42389 L
.47784 .42508 L
.47838 .42581 L
.47977 .42755 L
.48 .42774 L
.4813 .42967 L
.48169 .43017 L
.48273 .43159 L
.48362 .43274 L
.48418 .43352 L
.48555 .43526 L
.48575 .43545 L
.48705 .43737 L
.48747 .43792 L
.48846 .4393 L
.4894 .44053 L
.48989 .44123 L
.49133 .44313 L
.49135 .44316 L
.49271 .44508 L
.49326 .4458 L
.4941 .44701 L
.49518 .44844 L
.49553 .44894 L
.49693 .45086 L
.49711 .4511 L
.49827 .45279 L
.49904 .4538 L
.49966 .45472 L
.50096 .45648 L
.50108 .45664 L
.5024 .45857 L
.50289 .45923 L
.50373 .4605 L
.50482 .46198 L
.5051 .46242 L
.50642 .46435 L
.50674 .4648 L
.50765 .46628 L
.50867 .46772 L
.50895 .46821 L
.50867 .46965 L
.50745 .46821 L
.50674 .46745 L
.50579 .46628 L
.50482 .46514 L
.50419 .46435 L
.50289 .463 L
.50263 .46242 L
.50111 .4605 L
.50096 .46032 L
.49961 .45857 L
.49904 .45785 L
.49811 .45664 L
.49711 .45569 L
.49661 .45472 L
.49518 .45285 L
.49513 .45279 L
.4937 .45086 L
.49326 .4503 L
.49224 .44894 L
.49133 .44805 L
.49078 .44701 L
.4894 .44518 L
.48931 .44508 L
.48792 .44316 L
.48747 .44257 L
.48649 .44123 L
.48555 .44024 L
.48505 .4393 L
.48364 .43737 L
.48362 .43735 L
.48225 .43545 L
.48169 .43471 L
.48084 .43352 L
.47977 .43227 L
.47902 .43159 L
.47805 .42967 L
.47784 .42939 L
.47668 .42774 L
.47591 .4267 L
.47529 .42581 L
.47399 .42405 L
.47382 .42389 L
.47259 .42196 L
.47206 .42124 L
.47124 .42003 L
.47013 .41847 L
.46989 .41811 L
.46861 .41618 L
.46821 .41562 L
.46735 .41425 L
.46628 .41268 L
.46606 .41232 L
F
1 .18 0 r
.46628 .52067 m
.46726 .52216 L
.46821 .52333 L
.4687 .52409 L
.47013 .52598 L
.47016 .52601 L
.47013 .52743 L
.46916 .52601 L
.46821 .52494 L
.46762 .52409 L
.46628 .52244 L
.46608 .52216 L
F
0 .68 1 r
.46628 .47087 m
.46821 .4716 L
.46863 .47206 L
.47013 .47351 L
.47053 .47399 L
.47206 .47576 L
.47224 .47591 L
.47371 .47784 L
.47399 .47819 L
.47517 .47977 L
.47591 .48042 L
.47662 .48169 L
.47784 .48327 L
.47812 .48362 L
.47941 .48555 L
.47977 .48604 L
.48074 .48747 L
.48169 .48886 L
.48245 .4894 L
.48323 .49133 L
.48362 .49201 L
.48418 .49326 L
.48362 .49446 L
.48183 .49326 L
.48169 .49315 L
.47988 .49133 L
.47977 .49122 L
.47819 .4894 L
.47784 .48924 L
.47661 .48747 L
.47591 .4867 L
.47462 .48555 L
.47399 .4841 L
.47361 .48362 L
.47221 .48169 L
.47206 .48149 L
.47082 .47977 L
.47013 .47927 L
.46912 .47784 L
.46821 .47597 L
.46818 .47591 L
.46703 .47399 L
.46628 .47251 L
.46609 .47206 L
F
1 .68 0 r
.46628 .45389 m
.46684 .45472 L
.46628 .45493 L
.46613 .45472 L
F
1 .17 0 r
.46628 .52077 m
.46718 .52216 L
.46821 .52343 L
.46863 .52409 L
.46821 .52484 L
.4677 .52409 L
.46628 .52236 L
.46614 .52216 L
F
0 .67 1 r
.46628 .47109 m
.46821 .47168 L
.46855 .47206 L
.47013 .47356 L
.47049 .47399 L
.47206 .4758 L
.47219 .47591 L
.47367 .47784 L
.47399 .47822 L
.47514 .47977 L
.47591 .48045 L
.4766 .48169 L
.47784 .48331 L
.47809 .48362 L
.47938 .48555 L
.47977 .48608 L
.48071 .48747 L
.48169 .4889 L
.48239 .4894 L
.48318 .49133 L
.48362 .49212 L
.4841 .49326 L
.48362 .49432 L
.48193 .49326 L
.48169 .49307 L
.47993 .49133 L
.47977 .49116 L
.47824 .4894 L
.47784 .48922 L
.47665 .48747 L
.47591 .48665 L
.47465 .48555 L
.47399 .48406 L
.47364 .48362 L
.47224 .48169 L
.47206 .48145 L
.47086 .47977 L
.47013 .47922 L
.46916 .47784 L
.46822 .47591 L
.46821 .47589 L
.46708 .47399 L
.46628 .47235 L
.46617 .47206 L
F
0 .89 1 r
.46628 .44615 m
.46754 .44701 L
.46821 .44756 L
.46952 .44894 L
.47013 .44959 L
.47122 .45086 L
.47206 .45119 L
.47281 .45279 L
.47399 .45421 L
.47451 .45472 L
.47568 .45664 L
.47591 .45699 L
.47697 .45857 L
.47784 .46009 L
.47805 .4605 L
.47784 .46208 L
.47591 .46099 L
.47567 .4605 L
.47399 .45864 L
.47395 .45857 L
.47247 .45664 L
.47206 .45612 L
.47107 .45472 L
.47013 .45347 L
.46968 .45279 L
.46835 .45086 L
.46821 .45066 L
.46722 .44894 L
.46628 .44727 L
.46617 .44701 L
F
1 .16 0 r
.46628 .52089 m
.46707 .52216 L
.46821 .52354 L
.46855 .52409 L
.46821 .52472 L
.46778 .52409 L
.46628 .52226 L
.46621 .52216 L
F
0 .26 1 r
.46628 .52917 m
.4665 .52987 L
.46628 .52995 L
.46621 .52987 L
F
0 .44 1 r
.46628 .51265 m
.46772 .51445 L
.46821 .51498 L
.46929 .51638 L
.47013 .51737 L
.47084 .51831 L
.47206 .51981 L
.47238 .52023 L
.47387 .52216 L
.47399 .52229 L
.47532 .52409 L
.47591 .52483 L
.47679 .52601 L
.47784 .52736 L
.47827 .52794 L
.47972 .52987 L
.47977 .52992 L
.48112 .53179 L
.48169 .53253 L
.48255 .53372 L
.48362 .53514 L
.48399 .53565 L
.48539 .53758 L
.48555 .53777 L
.48676 .5395 L
.48747 .54045 L
.48816 .54143 L
.4894 .54312 L
.48957 .54336 L
.49089 .54528 L
.49133 .54586 L
.49222 .54721 L
.49326 .54863 L
.49359 .54914 L
.49488 .55106 L
.49518 .55147 L
.49607 .55299 L
.49711 .5545 L
.49733 .55492 L
.49711 .55555 L
.4966 .55492 L
.49518 .55343 L
.49485 .55299 L
.49326 .55112 L
.49322 .55106 L
.49173 .54914 L
.49133 .54868 L
.49024 .54721 L
.4894 .54621 L
.48872 .54528 L
.48747 .54373 L
.48721 .54336 L
.48574 .54143 L
.48555 .5412 L
.48432 .5395 L
.48362 .53862 L
.48287 .53758 L
.48169 .53606 L
.4814 .53565 L
.47997 .53372 L
.47977 .53346 L
.47859 .53179 L
.47784 .53083 L
.47717 .52987 L
.47591 .5282 L
.47573 .52794 L
.47436 .52601 L
.47399 .52553 L
.47301 .52409 L
.47206 .52283 L
.47161 .52216 L
.47021 .52023 L
.47013 .52013 L
.46894 .51831 L
.46821 .51732 L
.46761 .51638 L
.46628 .51452 L
.46624 .51445 L
F
0 .76 1 r
.46628 .411 m
.46742 .41232 L
.46821 .4131 L
.46911 .41425 L
.47013 .41539 L
.47073 .41618 L
.47206 .41776 L
.47232 .41811 L
.47385 .42003 L
.47399 .4202 L
.47531 .42196 L
.47591 .42269 L
.4768 .42389 L
.47784 .42518 L
.4783 .42581 L
.47977 .42768 L
.47984 .42774 L
.48122 .42967 L
.48169 .43026 L
.48266 .43159 L
.48362 .43283 L
.48412 .43352 L
.48555 .43537 L
.48563 .43545 L
.48698 .43737 L
.48747 .43801 L
.48839 .4393 L
.4894 .44062 L
.48983 .44123 L
.49127 .44316 L
.49133 .44323 L
.49264 .44508 L
.49326 .44589 L
.49404 .44701 L
.49518 .44853 L
.49546 .44894 L
.49685 .45086 L
.49711 .4512 L
.4982 .45279 L
.49904 .4539 L
.49959 .45472 L
.50096 .45658 L
.501 .45664 L
.5023 .45857 L
.50289 .45936 L
.50363 .4605 L
.50482 .46212 L
.50501 .46242 L
.50628 .46435 L
.50674 .46499 L
.5075 .46628 L
.50867 .46799 L
.50879 .46821 L
.50867 .4693 L
.5077 .46821 L
.50674 .46722 L
.50596 .46628 L
.50482 .46496 L
.50433 .46435 L
.50289 .46274 L
.50275 .46242 L
.50124 .4605 L
.50096 .46017 L
.49972 .45857 L
.49904 .45772 L
.49821 .45664 L
.49711 .45553 L
.49671 .45472 L
.49524 .45279 L
.49518 .45272 L
.49379 .45086 L
.49326 .45018 L
.49232 .44894 L
.49133 .44792 L
.49086 .44701 L
.48942 .44508 L
.4894 .44506 L
.488 .44316 L
.48747 .44247 L
.48656 .44123 L
.48555 .44012 L
.48513 .4393 L
.48372 .43737 L
.48362 .43725 L
.48233 .43545 L
.48169 .4346 L
.48091 .43352 L
.47977 .43212 L
.47918 .43159 L
.47813 .42967 L
.47784 .42928 L
.47676 .42774 L
.47591 .42658 L
.47538 .42581 L
.474 .42389 L
.47399 .42387 L
.47269 .42196 L
.47206 .42109 L
.47135 .42003 L
.47013 .41831 L
.47 .41811 L
.46876 .41618 L
.46821 .4154 L
.46751 .41425 L
.46628 .41239 L
.46624 .41232 L
F
0 .66 1 r
.46628 .47139 m
.46821 .47177 L
.46847 .47206 L
.47013 .47361 L
.47044 .47399 L
.47206 .47584 L
.47214 .47591 L
.47364 .47784 L
.47399 .47826 L
.47512 .47977 L
.47591 .48048 L
.47657 .48169 L
.47784 .48335 L
.47806 .48362 L
.47935 .48555 L
.47977 .48612 L
.48068 .48747 L
.48169 .48896 L
.48232 .4894 L
.48313 .49133 L
.48362 .49224 L
.48402 .49326 L
.48362 .49418 L
.48204 .49326 L
.48169 .493 L
.47999 .49133 L
.47977 .4911 L
.47828 .4894 L
.47784 .4892 L
.47669 .48747 L
.47591 .48661 L
.47469 .48555 L
.47399 .48402 L
.47367 .48362 L
.47228 .48169 L
.47206 .4814 L
.47089 .47977 L
.47013 .47917 L
.4692 .47784 L
.46826 .47591 L
.46821 .47582 L
.46713 .47399 L
.46628 .47214 L
.46625 .47206 L
F
1 .15 0 r
.46628 .52103 m
.46694 .52216 L
.46821 .52368 L
.46845 .52409 L
.46821 .52458 L
.46789 .52409 L
.46628 .52216 L
.46628 .52216 L
F
0 .65 1 r
.46821 .47186 m
.46839 .47206 L
.47013 .47367 L
.4704 .47399 L
.47206 .47589 L
.47209 .47591 L
.47361 .47784 L
.47399 .4783 L
.47509 .47977 L
.47591 .48052 L
.47654 .48169 L
.47784 .48339 L
.47802 .48362 L
.47932 .48555 L
.47977 .48616 L
.48065 .48747 L
.48169 .48901 L
.48225 .4894 L
.48308 .49133 L
.48362 .49238 L
.48393 .49326 L
.48362 .49402 L
.48217 .49326 L
.48169 .49292 L
.48006 .49133 L
.47977 .49104 L
.47833 .4894 L
.47784 .48917 L
.47673 .48747 L
.47591 .48657 L
.47472 .48555 L
.47399 .48398 L
.47371 .48362 L
.47231 .48169 L
.47206 .48136 L
.47092 .47977 L
.47013 .47912 L
.46924 .47784 L
.46831 .47591 L
.46821 .47576 L
.46718 .47399 L
.46635 .47206 L
F
0 .64 1 r
.46821 .47196 m
.4683 .47206 L
.47013 .47372 L
.47035 .47399 L
.47205 .47591 L
.47206 .47593 L
.47358 .47784 L
.47399 .47834 L
.47506 .47977 L
.47591 .48056 L
.47652 .48169 L
.47784 .48344 L
.47799 .48362 L
.47929 .48555 L
.47977 .48621 L
.48062 .48747 L
.48169 .48906 L
.48218 .4894 L
.48302 .49133 L
.48362 .49255 L
.48383 .49326 L
.48362 .49384 L
.4823 .49326 L
.48169 .49284 L
.48012 .49133 L
.47977 .49098 L
.47837 .4894 L
.47784 .48915 L
.47676 .48747 L
.47591 .48653 L
.47476 .48555 L
.47399 .48393 L
.47374 .48362 L
.47234 .48169 L
.47206 .48132 L
.47095 .47977 L
.47013 .47906 L
.46929 .47784 L
.46835 .47591 L
.46821 .47568 L
.46724 .47399 L
.46647 .47206 L
F
0 .63 1 r
.46821 .47206 m
.46821 .47206 L
.47013 .47378 L
.4703 .47399 L
.472 .47591 L
.47206 .47597 L
.47354 .47784 L
.47399 .47838 L
.47503 .47977 L
.47591 .4806 L
.47649 .48169 L
.47784 .48348 L
.47795 .48362 L
.47926 .48555 L
.47977 .48625 L
.48059 .48747 L
.48169 .48911 L
.4821 .4894 L
.48296 .49133 L
.48362 .49278 L
.48373 .49326 L
.48362 .49361 L
.48246 .49326 L
.48169 .49276 L
.48018 .49133 L
.47977 .49092 L
.47842 .4894 L
.47784 .48912 L
.4768 .48747 L
.47591 .48648 L
.47481 .48555 L
.47399 .48389 L
.47377 .48362 L
.47237 .48169 L
.47206 .48127 L
.47099 .47977 L
.47013 .479 L
.46933 .47784 L
.46839 .47591 L
.46821 .47561 L
.46729 .47399 L
.46661 .47206 L
F
0 .94 1 r
.46821 .49898 m
.46828 .49904 L
.47013 .50062 L
.47044 .50096 L
.47206 .50266 L
.47242 .50289 L
.47398 .50482 L
.47399 .50482 L
.4756 .50674 L
.47591 .50702 L
.47716 .50867 L
.47784 .50952 L
.47894 .5106 L
.47977 .51203 L
.48018 .51253 L
.48163 .51445 L
.48169 .51452 L
.48311 .51638 L
.48362 .51706 L
.48466 .51831 L
.48555 .51965 L
.48594 .52023 L
.48746 .52216 L
.48747 .52218 L
.48924 .52409 L
.4894 .52475 L
.49033 .52601 L
.49133 .52738 L
.49155 .52794 L
.49325 .52987 L
.49326 .52987 L
.49486 .53179 L
.49518 .53248 L
.49602 .53372 L
.49711 .53513 L
.49715 .53565 L
.49902 .53758 L
.49904 .5376 L
.50055 .5395 L
.50096 .54023 L
.50172 .54143 L
.50289 .54291 L
.50334 .54336 L
.50475 .54528 L
.50482 .54538 L
.50624 .54721 L
.50674 .54803 L
.5074 .54914 L
.50867 .5507 L
.50904 .55106 L
.51044 .55299 L
.5106 .55319 L
.51191 .55492 L
.51253 .55586 L
.51306 .55684 L
.51445 .55852 L
.51471 .55877 L
.51611 .5607 L
.51638 .56105 L
.51755 .56263 L
.51831 .56373 L
.51871 .56455 L
.52023 .56637 L
.52035 .56648 L
.52207 .56841 L
.52216 .56893 L
.52317 .57033 L
.52409 .57163 L
.52435 .57226 L
.52597 .57419 L
.52601 .57422 L
.52769 .57611 L
.52794 .57685 L
.52877 .57804 L
.52987 .57955 L
.53 .57997 L
.53157 .58189 L
.53179 .58209 L
.53327 .58382 L
.53372 .5848 L
.53435 .58575 L
.53565 .58752 L
.53568 .58768 L
.53714 .5896 L
.53758 .59002 L
.53881 .59153 L
.5395 .59282 L
.5399 .59346 L
.5413 .59538 L
.54143 .59556 L
.54266 .59731 L
.54336 .59805 L
.54427 .59924 L
.54528 .60095 L
.54541 .60116 L
.54676 .60309 L
.54721 .60372 L
.54811 .60502 L
.54914 .60631 L
.5496 .60694 L
.55079 .60887 L
.55106 .60926 L
.55209 .6108 L
.55299 .6121 L
.55341 .61273 L
.55469 .61465 L
.55492 .61499 L
.5559 .61658 L
.55684 .61802 L
.55713 .61851 L
.5582 .62043 L
.55877 .6215 L
.55901 .62236 L
.55877 .6226 L
.55847 .62236 L
.55684 .62095 L
.55638 .62043 L
.55492 .61907 L
.5546 .61851 L
.55299 .61667 L
.55285 .61658 L
.55133 .61465 L
.55106 .61435 L
.54975 .61273 L
.54914 .61222 L
.54819 .6108 L
.54721 .60962 L
.54635 .60887 L
.54528 .60712 L
.54513 .60694 L
.54365 .60502 L
.54336 .60477 L
.54216 .60309 L
.54143 .60219 L
.54042 .60116 L
.5395 .59961 L
.53922 .59924 L
.53775 .59731 L
.53758 .59716 L
.5363 .59538 L
.53565 .59457 L
.53464 .59346 L
.53372 .59195 L
.53343 .59153 L
.53195 .5896 L
.53179 .58946 L
.53052 .58768 L
.52987 .58685 L
.52892 .58575 L
.52794 .58421 L
.5277 .58382 L
.52622 .58189 L
.52601 .58171 L
.5248 .57997 L
.52409 .57907 L
.52324 .57804 L
.52216 .57641 L
.52199 .57611 L
.52052 .57419 L
.52023 .57391 L
.51854 .57226 L
.51831 .57124 L
.51759 .57033 L
.51638 .56857 L
.5163 .56841 L
.51486 .56648 L
.51445 .56609 L
.51296 .56455 L
.51253 .56337 L
.51195 .56263 L
.5106 .5607 L
.5106 .5607 L
.5092 .55877 L
.50867 .55823 L
.50738 .55684 L
.50674 .55548 L
.50632 .55492 L
.50496 .55299 L
.50482 .55281 L
.50357 .55106 L
.50289 .55034 L
.50182 .54914 L
.50096 .54757 L
.50071 .54721 L
.49934 .54528 L
.49904 .54488 L
.49795 .54336 L
.49711 .54242 L
.49627 .54143 L
.49518 .53962 L
.4951 .5395 L
.49374 .53758 L
.49326 .53694 L
.49234 .53565 L
.49133 .53444 L
.49074 .53372 L
.48952 .53179 L
.4894 .53164 L
.48816 .52987 L
.48747 .52945 L
.48676 .52794 L
.48555 .52639 L
.48525 .52601 L
.48397 .52409 L
.48362 .52362 L
.48261 .52216 L
.48169 .5213 L
.48074 .52023 L
.4798 .51831 L
.47977 .51826 L
.47847 .51638 L
.47784 .51552 L
.47711 .51445 L
.47591 .51298 L
.47555 .51253 L
.47438 .5106 L
.47399 .51006 L
.47306 .50867 L
.47206 .50728 L
.47171 .50674 L
.47039 .50482 L
.47013 .50446 L
.46916 .50289 L
.46821 .50147 L
.46792 .50096 L
.46692 .49904 L
F
1 .98 0 r
.46821 .38897 m
.46847 .3892 L
.47013 .39067 L
.47049 .39113 L
.47206 .39281 L
.47245 .39306 L
.47399 .39498 L
.47399 .39498 L
.47565 .39691 L
.47591 .39719 L
.47727 .39884 L
.47784 .39958 L
.47902 .40076 L
.47977 .40204 L
.48026 .40269 L
.48169 .4045 L
.48193 .40462 L
.48343 .40654 L
.48362 .40681 L
.48499 .40847 L
.48555 .4094 L
.4862 .4104 L
.48747 .41207 L
.48791 .41232 L
.48935 .41425 L
.4894 .41433 L
.49082 .41618 L
.49133 .41699 L
.49199 .41811 L
.49326 .41975 L
.49373 .42003 L
.49515 .42196 L
.49518 .42201 L
.49656 .42389 L
.49711 .42472 L
.4977 .42581 L
.49904 .42751 L
.49947 .42774 L
.50093 .42967 L
.50096 .4298 L
.50225 .43159 L
.50289 .43253 L
.50335 .43352 L
.50482 .4353 L
.50516 .43545 L
.50665 .43737 L
.50674 .43764 L
.50791 .4393 L
.50867 .44038 L
.50898 .44123 L
.5106 .44309 L
.51083 .44316 L
.51233 .44508 L
.51253 .44551 L
.51355 .44701 L
.51445 .44824 L
.51459 .44894 L
.51638 .45085 L
.51648 .45086 L
.51799 .45279 L
.51831 .45339 L
.51918 .45472 L
.52023 .45611 L
.52073 .45664 L
.52213 .45857 L
.52216 .45861 L
.52364 .4605 L
.52409 .46128 L
.52481 .46242 L
.52601 .46397 L
.52638 .46435 L
.52777 .46628 L
.52794 .46649 L
.52928 .46821 L
.52987 .46916 L
.53044 .47013 L
.53179 .47183 L
.53202 .47206 L
.53342 .47399 L
.53372 .47437 L
.53491 .47591 L
.53565 .47705 L
.53607 .47784 L
.53758 .47969 L
.53766 .47977 L
.53942 .48169 L
.5395 .48225 L
.54053 .48362 L
.54143 .48494 L
.54171 .48555 L
.54329 .48747 L
.54336 .48753 L
.54505 .4894 L
.54528 .49014 L
.54615 .49133 L
.54721 .49284 L
.54737 .49326 L
.54892 .49518 L
.54914 .49537 L
.55067 .49711 L
.55106 .49804 L
.55177 .49904 L
.55299 .50074 L
.55305 .50096 L
.55455 .50289 L
.55492 .50322 L
.55627 .50482 L
.55684 .50595 L
.55739 .50674 L
.55877 .50864 L
.55877 .50867 L
.56018 .5106 L
.5607 .5111 L
.56186 .51253 L
.56263 .51386 L
.56301 .51445 L
.56442 .51638 L
.56455 .51656 L
.5658 .51831 L
.56648 .519 L
.56745 .52023 L
.56841 .5218 L
.56863 .52216 L
.57003 .52409 L
.57033 .52449 L
.57142 .52601 L
.57226 .52693 L
.57302 .52794 L
.57419 .52975 L
.57425 .52987 L
.57563 .53179 L
.57611 .53243 L
.57772 .53372 L
.57804 .5349 L
.57858 .53565 L
.57986 .53758 L
.57997 .53772 L
.58122 .5395 L
.58189 .5404 L
.58321 .54143 L
.58382 .54293 L
.58412 .54336 L
.58542 .54528 L
.58575 .54572 L
.58678 .54721 L
.58768 .54841 L
.58868 .54914 L
.5896 .55106 L
.5896 .55107 L
.59092 .55299 L
.59153 .55381 L
.59228 .55492 L
.59346 .55653 L
.59393 .55684 L
.59499 .55877 L
.59538 .55931 L
.59628 .5607 L
.59731 .56213 L
.59762 .56263 L
.59891 .56455 L
.59924 .565 L
.60014 .56648 L
.60116 .56795 L
.60144 .56841 L
.60274 .57033 L
.60309 .57081 L
.60404 .57226 L
.60502 .57356 L
.60542 .57419 L
.60683 .57611 L
.60694 .57621 L
.60824 .57804 L
.60887 .57884 L
.60997 .57997 L
.6108 .58151 L
.6111 .58189 L
.61247 .58382 L
.61273 .58403 L
.6145 .58575 L
.61465 .58679 L
.61529 .58768 L
.61653 .5896 L
.61658 .58967 L
.61781 .59153 L
.61851 .59269 L
.61926 .59346 L
.61985 .59538 L
.61851 .59638 L
.61726 .59538 L
.61658 .59475 L
.61545 .59346 L
.61465 .5931 L
.61386 .59153 L
.61273 .59032 L
.61233 .5896 L
.61084 .58768 L
.6108 .58762 L
.60946 .58575 L
.60887 .58498 L
.60807 .58382 L
.60694 .58256 L
.60637 .58189 L
.60531 .57997 L
.60502 .57956 L
.60403 .57804 L
.60309 .57666 L
.60275 .57611 L
.60157 .57419 L
.60116 .57352 L
.60049 .57226 L
.59947 .57033 L
.59924 .5701 L
.59837 .56841 L
.59731 .56673 L
.59711 .56648 L
.59577 .56455 L
.59538 .56426 L
.59425 .56263 L
.59346 .56149 L
.59268 .5607 L
.59153 .55929 L
.59108 .55877 L
.5896 .55697 L
.58949 .55684 L
.58787 .55492 L
.58768 .5546 L
.58651 .55299 L
.58575 .55189 L
.58462 .55106 L
.58382 .55006 L
.58304 .54914 L
.58189 .54765 L
.58152 .54721 L
.58001 .54528 L
.57997 .54516 L
.57873 .54336 L
.57804 .54236 L
.57701 .54143 L
.57611 .54022 L
.57555 .5395 L
.57419 .53765 L
.57413 .53758 L
.57276 .53565 L
.57226 .53492 L
.57167 .53372 L
.57033 .53252 L
.56977 .53179 L
.56841 .52991 L
.56838 .52987 L
.56703 .52794 L
.56648 .52717 L
.56597 .52601 L
.56455 .52431 L
.56407 .52409 L
.56267 .52216 L
.56263 .52207 L
.56137 .52023 L
.5607 .51931 L
.56039 .51831 L
.55877 .51686 L
.5584 .51638 L
.55698 .51445 L
.55684 .5142 L
.55575 .51253 L
.55492 .51143 L
.55415 .5106 L
.55299 .50899 L
.55275 .50867 L
.55132 .50674 L
.55106 .50631 L
.55013 .50482 L
.54914 .50355 L
.54849 .50289 L
.54721 .5011 L
.5471 .50096 L
.54568 .49904 L
.54528 .49842 L
.54453 .49711 L
.54336 .49568 L
.54285 .49518 L
.54146 .49326 L
.54143 .49321 L
.54004 .49133 L
.5395 .49053 L
.53892 .4894 L
.53758 .48781 L
.53721 .48747 L
.53569 .48555 L
.53565 .48532 L
.53442 .48362 L
.53372 .48263 L
.5333 .48169 L
.53179 .47996 L
.53158 .47977 L
.53001 .47784 L
.52987 .47743 L
.52879 .47591 L
.52794 .47474 L
.52768 .47399 L
.52601 .47212 L
.52594 .47206 L
.52435 .47013 L
.52409 .46954 L
.52317 .46821 L
.52216 .46685 L
.52204 .46628 L
.52031 .46435 L
.52023 .46428 L
.51871 .46242 L
.51831 .46165 L
.51755 .4605 L
.51638 .45896 L
.51637 .45857 L
.51468 .45664 L
.51445 .45642 L
.51309 .45472 L
.51253 .45375 L
.51193 .45279 L
.5106 .45106 L
.51044 .45086 L
.50905 .44894 L
.50867 .44855 L
.50747 .44701 L
.50674 .44583 L
.50631 .44508 L
.50482 .44316 L
.50482 .44316 L
.50343 .44123 L
.50289 .44066 L
.50187 .4393 L
.50096 .43791 L
.50068 .43737 L
.4992 .43545 L
.49904 .43523 L
.49724 .43352 L
.49711 .43274 L
.49628 .43159 L
.49518 .42996 L
.49504 .42967 L
.4936 .42774 L
.49326 .42728 L
.49169 .42581 L
.49133 .42478 L
.49071 .42389 L
.4894 .42198 L
.48939 .42196 L
.48802 .42003 L
.48747 .41975 L
.48618 .41811 L
.48555 .41676 L
.48516 .41618 L
.48383 .41425 L
.48362 .41397 L
.48247 .41232 L
.48169 .4117 L
.48073 .4104 L
.47977 .40863 L
.47967 .40847 L
.47835 .40654 L
.47784 .40585 L
.477 .40462 L
.47591 .40338 L
.47544 .40269 L
.47429 .40076 L
.47399 .40034 L
.473 .39884 L
.47206 .3975 L
.47168 .39691 L
.4704 .39498 L
.47013 .39459 L
.46923 .39306 L
.46821 .39144 L
.46804 .39113 L
.4672 .3892 L
F
0 .62 1 r
.46821 .47214 m
.47013 .47384 L
.47025 .47399 L
.47196 .47591 L
.47206 .47602 L
.47351 .47784 L
.47399 .47842 L
.475 .47977 L
.47591 .48064 L
.47646 .48169 L
.47784 .48353 L
.47792 .48362 L
.47923 .48555 L
.47977 .48629 L
.48056 .48747 L
.48169 .48917 L
.48202 .4894 L
.4829 .49133 L
.48169 .49268 L
.48025 .49133 L
.47977 .49086 L
.47847 .4894 L
.47784 .48909 L
.47684 .48747 L
.47591 .48644 L
.47485 .48555 L
.47399 .48385 L
.47381 .48362 L
.47241 .48169 L
.47206 .48123 L
.47102 .47977 L
.47013 .47894 L
.46938 .47784 L
.46844 .47591 L
.46821 .47554 L
.46735 .47399 L
F
0 .61 1 r
.46821 .47223 m
.47013 .4739 L
.4702 .47399 L
.47192 .47591 L
.47206 .47607 L
.47348 .47784 L
.47399 .47846 L
.47497 .47977 L
.47591 .48068 L
.47644 .48169 L
.47784 .48357 L
.47788 .48362 L
.4792 .48555 L
.47977 .48634 L
.48052 .48747 L
.48169 .48923 L
.48194 .4894 L
.48284 .49133 L
.48169 .49259 L
.48032 .49133 L
.47977 .4908 L
.47851 .4894 L
.47784 .48905 L
.47688 .48747 L
.47591 .48639 L
.47489 .48555 L
.47399 .4838 L
.47384 .48362 L
.47244 .48169 L
.47206 .48118 L
.47105 .47977 L
.47013 .47887 L
.46943 .47784 L
.46848 .47591 L
.46821 .47546 L
.4674 .47399 L
F
0 .6 1 r
.46821 .47233 m
.47013 .47396 L
.47015 .47399 L
.47188 .47591 L
.47206 .47611 L
.47344 .47784 L
.47399 .4785 L
.47494 .47977 L
.47591 .48072 L
.47641 .48169 L
.47784 .48362 L
.47784 .48362 L
.47917 .48555 L
.47977 .48638 L
.48049 .48747 L
.48169 .48929 L
.48186 .4894 L
.48278 .49133 L
.48169 .49251 L
.48039 .49133 L
.47977 .49074 L
.47856 .4894 L
.47784 .48902 L
.47692 .48747 L
.47591 .48635 L
.47494 .48555 L
.47399 .48376 L
.47388 .48362 L
.47247 .48169 L
.47206 .48114 L
.47109 .47977 L
.47013 .4788 L
.46949 .47784 L
.46853 .47591 L
.46821 .47538 L
.46746 .47399 L
F
0 .88 1 r
.46821 .44796 m
.4692 .44894 L
.47013 .44988 L
.47099 .45086 L
.47206 .45149 L
.47261 .45279 L
.47399 .45453 L
.47419 .45472 L
.47548 .45664 L
.47591 .45728 L
.47675 .45857 L
.47774 .4605 L
.47591 .46054 L
.47589 .4605 L
.47413 .45857 L
.47399 .45841 L
.47263 .45664 L
.47206 .45593 L
.47121 .45472 L
.47013 .45327 L
.46982 .45279 L
.46855 .45086 L
.46821 .45034 L
.46748 .44894 L
F
0 .59 1 r
.46821 .47242 m
.47009 .47399 L
.47013 .47402 L
.47183 .47591 L
.47206 .47616 L
.47341 .47784 L
.47399 .47854 L
.47491 .47977 L
.47591 .48077 L
.47638 .48169 L
.47781 .48362 L
.47784 .48366 L
.47914 .48555 L
.47977 .48643 L
.48046 .48747 L
.48169 .48935 L
.48177 .4894 L
.48271 .49133 L
.48169 .49242 L
.48047 .49133 L
.47977 .49068 L
.47861 .4894 L
.47784 .48898 L
.47696 .48747 L
.47591 .4863 L
.47499 .48555 L
.47399 .48371 L
.47391 .48362 L
.4725 .48169 L
.47206 .48109 L
.47112 .47977 L
.47013 .47872 L
.46954 .47784 L
.46857 .47591 L
.46821 .47529 L
.46752 .47399 L
F
1 .84 0 r
.46821 .40485 m
.46969 .40654 L
.47013 .40701 L
.47135 .40847 L
.47206 .40928 L
.47296 .4104 L
.47399 .41136 L
.47455 .41232 L
.47591 .41399 L
.47622 .41425 L
.47761 .41618 L
.47784 .41645 L
.47911 .41811 L
.47977 .41868 L
.48062 .42003 L
.48169 .42137 L
.48229 .42196 L
.48359 .42389 L
.48362 .42392 L
.48504 .42581 L
.48555 .42626 L
.48651 .42774 L
.48747 .42895 L
.48813 .42967 L
.4894 .43156 L
.48943 .43159 L
.49086 .43352 L
.49133 .43395 L
.4923 .43545 L
.49326 .43666 L
.49387 .43737 L
.49518 .43929 L
.49519 .4393 L
.4966 .44123 L
.49711 .44171 L
.4987 .44316 L
.49904 .44445 L
.49956 .44508 L
.50089 .44701 L
.50096 .4471 L
.50229 .44894 L
.50289 .44953 L
.50425 .45086 L
.50482 .45229 L
.50521 .45279 L
.50656 .45472 L
.50674 .45496 L
.50795 .45664 L
.50867 .4574 L
.50979 .45857 L
.5106 .46019 L
.51083 .4605 L
.51219 .46242 L
.51253 .46287 L
.51358 .46435 L
.51445 .46532 L
.51531 .46628 L
.51638 .46815 L
.51642 .46821 L
.51778 .47013 L
.51831 .47083 L
.51917 .47206 L
.52023 .47333 L
.52079 .47399 L
.52198 .47591 L
.52216 .47615 L
.52334 .47784 L
.52409 .47884 L
.52473 .47977 L
.52601 .48146 L
.52621 .48169 L
.52748 .48362 L
.52794 .48424 L
.52883 .48555 L
.52987 .48696 L
.53022 .48747 L
.53158 .4894 L
.53179 .48969 L
.53288 .49133 L
.53372 .49248 L
.53423 .49326 L
.53559 .49518 L
.53565 .49527 L
.53681 .49711 L
.53758 .49819 L
.53808 .49904 L
.53936 .50096 L
.5395 .50118 L
.54037 .50289 L
.5395 .50333 L
.5391 .50289 L
.53758 .50154 L
.53734 .50096 L
.53569 .49904 L
.53565 .49899 L
.53409 .49711 L
.53372 .49669 L
.53249 .49518 L
.53179 .49477 L
.53091 .49326 L
.52987 .492 L
.52904 .49133 L
.52794 .48952 L
.52785 .4894 L
.52633 .48747 L
.52601 .48729 L
.52481 .48555 L
.52409 .48465 L
.52305 .48362 L
.52216 .48209 L
.52188 .48169 L
.52036 .47977 L
.52023 .47968 L
.51888 .47784 L
.51831 .47711 L
.51723 .47591 L
.51638 .4745 L
.51604 .47399 L
.51452 .47206 L
.51445 .47201 L
.51307 .47013 L
.51253 .46944 L
.51149 .46821 L
.5106 .4668 L
.51029 .46628 L
.50876 .46435 L
.50867 .46428 L
.50732 .46242 L
.50674 .46168 L
.5058 .4605 L
.50482 .45902 L
.50457 .45857 L
.50305 .45664 L
.50289 .45651 L
.50101 .45472 L
.50096 .45386 L
.50015 .45279 L
.49904 .45118 L
.49889 .45086 L
.49739 .44894 L
.49711 .44869 L
.49547 .44701 L
.49518 .44598 L
.49453 .44508 L
.49326 .44328 L
.4932 .44316 L
.49176 .44123 L
.49133 .44081 L
.48994 .4393 L
.4894 .43803 L
.48894 .43737 L
.48757 .43545 L
.48747 .43532 L
.48619 .43352 L
.48555 .43286 L
.48446 .43159 L
.48362 .43 L
.4834 .42967 L
.48204 .42774 L
.48169 .42727 L
.48067 .42581 L
.47977 .42476 L
.47906 .42389 L
.47792 .42196 L
.47784 .42185 L
.47659 .42003 L
.47591 .41909 L
.47524 .41811 L
.47399 .41639 L
.47383 .41618 L
.47259 .41425 L
.47206 .4135 L
.47129 .41232 L
.47013 .41064 L
.46997 .4104 L
.46876 .40847 L
.46821 .40764 L
.46756 .40654 L
F
0 .58 1 r
.46821 .47253 m
.47002 .47399 L
.47013 .47408 L
.47179 .47591 L
.47206 .47621 L
.47337 .47784 L
.47399 .47858 L
.47488 .47977 L
.47591 .48081 L
.47636 .48169 L
.47778 .48362 L
.47784 .4837 L
.47911 .48555 L
.47977 .48648 L
.48042 .48747 L
.48169 .4894 L
.48169 .48941 L
.48264 .49133 L
.48169 .49233 L
.48054 .49133 L
.47977 .49062 L
.47866 .4894 L
.47784 .48894 L
.477 .48747 L
.47591 .48625 L
.47504 .48555 L
.47399 .48367 L
.47395 .48362 L
.47254 .48169 L
.47206 .48104 L
.47115 .47977 L
.47013 .47864 L
.4696 .47784 L
.46862 .47591 L
.46821 .4752 L
.46759 .47399 L
F
0 .57 1 r
.46821 .47263 m
.46995 .47399 L
.47013 .47415 L
.47174 .47591 L
.47206 .47626 L
.47334 .47784 L
.47399 .47862 L
.47485 .47977 L
.47591 .48086 L
.47633 .48169 L
.47775 .48362 L
.47784 .48374 L
.47908 .48555 L
.47977 .48652 L
.48039 .48747 L
.48164 .4894 L
.48169 .48949 L
.48257 .49133 L
.48169 .49224 L
.48062 .49133 L
.47977 .49055 L
.47871 .4894 L
.47784 .48889 L
.47704 .48747 L
.47591 .4862 L
.4751 .48555 L
.47399 .48362 L
.47399 .48362 L
.47257 .48169 L
.47206 .481 L
.47119 .47977 L
.47013 .47856 L
.46966 .47784 L
.46867 .47591 L
.46821 .47511 L
.46765 .47399 L
F
1 .96 0 r
.46821 .43792 m
.46917 .4393 L
.47013 .44045 L
.47069 .44123 L
.47206 .44286 L
.47223 .44316 L
.47375 .44508 L
.47399 .44537 L
.47524 .44701 L
.47591 .44774 L
.47672 .44894 L
.47784 .45037 L
.47832 .45086 L
.47963 .45279 L
.47977 .45297 L
.48106 .45472 L
.48169 .45537 L
.48282 .45664 L
.48362 .45831 L
.48379 .45857 L
.485 .4605 L
.48555 .4615 L
.486 .46242 L
.48555 .46375 L
.48362 .46294 L
.48313 .46242 L
.48169 .46108 L
.48133 .4605 L
.47977 .45861 L
.47973 .45857 L
.47832 .45664 L
.47784 .45601 L
.47693 .45472 L
.47591 .45333 L
.47555 .45279 L
.4742 .45086 L
.47399 .45055 L
.47296 .44894 L
.47206 .44757 L
.47172 .44701 L
.47058 .44508 L
.47013 .44431 L
.46955 .44316 L
.4686 .44123 L
.46821 .44049 L
.46766 .4393 L
F
0 .43 1 r
.46821 .51508 m
.46921 .51638 L
.47013 .51746 L
.47078 .51831 L
.47206 .51988 L
.47233 .52023 L
.47381 .52216 L
.47399 .52237 L
.47526 .52409 L
.47591 .52489 L
.47674 .52601 L
.47784 .52743 L
.47822 .52794 L
.47967 .52987 L
.47977 .52999 L
.48107 .53179 L
.48169 .5326 L
.4825 .53372 L
.48362 .5352 L
.48394 .53565 L
.48534 .53758 L
.48555 .53784 L
.48671 .5395 L
.48747 .54051 L
.48811 .54143 L
.4894 .54319 L
.48952 .54336 L
.49083 .54528 L
.49133 .54594 L
.49216 .54721 L
.49326 .54872 L
.49353 .54914 L
.49326 .55102 L
.49181 .54914 L
.49133 .5486 L
.4903 .54721 L
.4894 .54614 L
.48877 .54528 L
.48747 .54366 L
.48725 .54336 L
.48579 .54143 L
.48555 .54113 L
.48437 .5395 L
.48362 .53856 L
.48292 .53758 L
.48169 .536 L
.48144 .53565 L
.48002 .53372 L
.47977 .5334 L
.47864 .53179 L
.47784 .53077 L
.47722 .52987 L
.47591 .52815 L
.47577 .52794 L
.47442 .52601 L
.47399 .52546 L
.47306 .52409 L
.47206 .52276 L
.47166 .52216 L
.47027 .52023 L
.47013 .52005 L
.46901 .51831 L
.46821 .51723 L
.46768 .51638 L
F
0 .75 1 r
.46821 .41337 m
.46891 .41425 L
.47013 .41558 L
.47059 .41618 L
.47206 .41791 L
.4722 .41811 L
.47372 .42003 L
.47399 .42034 L
.4752 .42196 L
.47591 .42281 L
.47671 .42389 L
.47784 .42529 L
.47822 .42581 L
.47972 .42774 L
.47977 .4278 L
.48113 .42967 L
.48169 .43036 L
.48258 .43159 L
.48362 .43292 L
.48405 .43352 L
.48552 .43545 L
.48555 .43548 L
.4869 .43737 L
.48747 .4381 L
.48832 .4393 L
.4894 .44071 L
.48977 .44123 L
.4912 .44316 L
.49133 .44332 L
.49256 .44508 L
.49326 .44598 L
.49397 .44701 L
.49518 .44862 L
.4954 .44894 L
.49677 .45086 L
.49711 .4513 L
.49812 .45279 L
.49904 .45401 L
.49951 .45472 L
.50092 .45664 L
.50096 .4567 L
.5022 .45857 L
.50289 .45949 L
.50353 .4605 L
.50482 .46227 L
.50491 .46242 L
.50612 .46435 L
.50674 .46523 L
.50731 .46628 L
.50674 .46696 L
.50616 .46628 L
.50482 .46476 L
.50448 .46435 L
.50289 .46244 L
.50288 .46242 L
.50137 .4605 L
.50096 .46002 L
.49984 .45857 L
.49904 .45759 L
.49831 .45664 L
.49711 .45535 L
.4968 .45472 L
.49533 .45279 L
.49518 .4526 L
.49388 .45086 L
.49326 .45007 L
.4924 .44894 L
.49133 .44778 L
.49094 .44701 L
.4895 .44508 L
.4894 .44495 L
.48808 .44316 L
.48747 .44236 L
.48664 .44123 L
.48555 .43998 L
.48521 .4393 L
.4838 .43737 L
.48362 .43714 L
.48241 .43545 L
.48169 .43449 L
.48099 .43352 L
.47977 .43197 L
.47935 .43159 L
.47822 .42967 L
.47784 .42915 L
.47685 .42774 L
.47591 .42645 L
.47547 .42581 L
.47411 .42389 L
.47399 .42373 L
.4728 .42196 L
.47206 .42093 L
.47146 .42003 L
.47013 .41813 L
.47012 .41811 L
.46893 .41618 L
.46821 .41513 L
.4677 .41425 L
F
0 .56 1 r
.46821 .47274 m
.46988 .47399 L
.47013 .47421 L
.4717 .47591 L
.47206 .4763 L
.4733 .47784 L
.47399 .47866 L
.47482 .47977 L
.47591 .48091 L
.4763 .48169 L
.47772 .48362 L
.47784 .48379 L
.47904 .48555 L
.47977 .48657 L
.48035 .48747 L
.48159 .4894 L
.48169 .48958 L
.48249 .49133 L
.48169 .49214 L
.48071 .49133 L
.47977 .49049 L
.47877 .4894 L
.47784 .48884 L
.47708 .48747 L
.47591 .48615 L
.47515 .48555 L
.47402 .48362 L
.47399 .48358 L
.47261 .48169 L
.47206 .48095 L
.47122 .47977 L
.47013 .47847 L
.46972 .47784 L
.46872 .47591 L
.46821 .475 L
.46772 .47399 L
F
1 .99 0 r
.46821 .46656 m
.47013 .46669 L
.47206 .46662 L
.47374 .46821 L
.47399 .46867 L
.47497 .47013 L
.47591 .47127 L
.47606 .47206 L
.47784 .47394 L
.47788 .47399 L
.47943 .47591 L
.47977 .47668 L
.48061 .47784 L
.48169 .47941 L
.48171 .47977 L
.48352 .48169 L
.48362 .48181 L
.48507 .48362 L
.48555 .48445 L
.48624 .48555 L
.48747 .48712 L
.48776 .48747 L
.48916 .4894 L
.4894 .48943 L
.4907 .49133 L
.49133 .49207 L
.49186 .49326 L
.49326 .49493 L
.49338 .49518 L
.49476 .49711 L
.49518 .49777 L
.49622 .49904 L
.49518 .49987 L
.49326 .49997 L
.49133 .49999 L
.4903 .49904 L
.4894 .4981 L
.48913 .49711 L
.48747 .49545 L
.48729 .49518 L
.48576 .49326 L
.48555 .49264 L
.48455 .49133 L
.48362 .48978 L
.48349 .4894 L
.48169 .48755 L
.48164 .48747 L
.48011 .48555 L
.47977 .4849 L
.47892 .48362 L
.47784 .48221 L
.4774 .48169 L
.476 .47977 L
.47591 .47971 L
.47447 .47784 L
.47399 .47715 L
.47331 .47591 L
.47206 .47443 L
.47177 .47399 L
.47038 .47206 L
.47013 .47171 L
.46886 .47013 L
.46821 .46898 L
.46773 .46821 L
F
1 .77 0 r
.46821 .50676 m
.46985 .50867 L
.47013 .50898 L
.47147 .5106 L
.47206 .51129 L
.47306 .51253 L
.47399 .51324 L
.47463 .51445 L
.47591 .51604 L
.47632 .51638 L
.47766 .51831 L
.47784 .51852 L
.47917 .52023 L
.47977 .52068 L
.48067 .52216 L
.48169 .52344 L
.48234 .52409 L
.48362 .52601 L
.48362 .52601 L
.48509 .52794 L
.48555 .5283 L
.48656 .52987 L
.48747 .53104 L
.48816 .53179 L
.4894 .53365 L
.48945 .53372 L
.4909 .53565 L
.49133 .53601 L
.49235 .53758 L
.49326 .53875 L
.49388 .5395 L
.49518 .54139 L
.4952 .54143 L
.49663 .54336 L
.49711 .54379 L
.49883 .54528 L
.49904 .54656 L
.49955 .54721 L
.5009 .54914 L
.50096 .54923 L
.5023 .55106 L
.50289 .55164 L
.50429 .55299 L
.50482 .55445 L
.50516 .55492 L
.50652 .55684 L
.50674 .55715 L
.50791 .55877 L
.50867 .55958 L
.50973 .5607 L
.5106 .56245 L
.51072 .56263 L
.51207 .56455 L
.51253 .56517 L
.51345 .56648 L
.51445 .56768 L
.51509 .56841 L
.5162 .57033 L
.51638 .57058 L
.51754 .57226 L
.51831 .57333 L
.5189 .57419 L
.52023 .57606 L
.52027 .57611 L
.52154 .57804 L
.52216 .57891 L
.52285 .57997 L
.52409 .58176 L
.52417 .58189 L
.52537 .58382 L
.52601 .58478 L
.52657 .58575 L
.52601 .58713 L
.52482 .58575 L
.52409 .58497 L
.52315 .58382 L
.52216 .58269 L
.52153 .58189 L
.52023 .5805 L
.51995 .57997 L
.51841 .57804 L
.51831 .57792 L
.51691 .57611 L
.51638 .57547 L
.5154 .57419 L
.51445 .57322 L
.5139 .57226 L
.51253 .57051 L
.51235 .57033 L
.51095 .56841 L
.5106 .56797 L
.50949 .56648 L
.50867 .56565 L
.50802 .56455 L
.50674 .5629 L
.50649 .56263 L
.50513 .5607 L
.50482 .5603 L
.5037 .55877 L
.50289 .55794 L
.50162 .55684 L
.50096 .55517 L
.50075 .55492 L
.49939 .55299 L
.49904 .55254 L
.49797 .55106 L
.49711 .55014 L
.49606 .54914 L
.49518 .54734 L
.49508 .54721 L
.49371 .54528 L
.49326 .54469 L
.4923 .54336 L
.49133 .54225 L
.49053 .54143 L
.48945 .5395 L
.4894 .53944 L
.48808 .53758 L
.48747 .53678 L
.48668 .53565 L
.48555 .53427 L
.48505 .53372 L
.48387 .53179 L
.48362 .53147 L
.4825 .52987 L
.48169 .52878 L
.48111 .52794 L
.47977 .52616 L
.47964 .52601 L
.47835 .52409 L
.47784 .5234 L
.47699 .52216 L
.47591 .52069 L
.4756 .52023 L
.47425 .51831 L
.47399 .51795 L
.47294 .51638 L
.47206 .51517 L
.47159 .51445 L
.47024 .51253 L
.47013 .51238 L
.46901 .5106 L
.46821 .50946 L
.46774 .50867 L
F
0 .42 1 r
.46821 .5152 m
.46912 .51638 L
.47013 .51754 L
.47071 .51831 L
.47206 .51996 L
.47227 .52023 L
.47375 .52216 L
.47399 .52244 L
.47521 .52409 L
.47591 .52496 L
.47669 .52601 L
.47784 .52749 L
.47817 .52794 L
.47962 .52987 L
.47977 .53005 L
.48102 .53179 L
.48169 .53266 L
.48245 .53372 L
.48362 .53526 L
.4839 .53565 L
.48529 .53758 L
.48555 .53791 L
.48666 .5395 L
.48747 .54058 L
.48806 .54143 L
.4894 .54326 L
.48947 .54336 L
.49077 .54528 L
.49133 .54603 L
.4921 .54721 L
.49326 .54881 L
.49347 .54914 L
.49326 .55091 L
.49189 .54914 L
.49133 .54851 L
.49037 .54721 L
.4894 .54607 L
.48883 .54528 L
.48747 .5436 L
.4873 .54336 L
.48585 .54143 L
.48555 .54106 L
.48442 .5395 L
.48362 .5385 L
.48296 .53758 L
.48169 .53595 L
.48148 .53565 L
.48007 .53372 L
.47977 .53334 L
.47869 .53179 L
.47784 .53071 L
.47726 .52987 L
.47591 .52809 L
.47581 .52794 L
.47447 .52601 L
.47399 .52539 L
.47311 .52409 L
.47206 .52269 L
.4717 .52216 L
.47034 .52023 L
.47013 .51997 L
.46908 .51831 L
.46821 .51713 L
.46775 .51638 L
F
1 .83 0 r
.46821 .40518 m
.46945 .40654 L
.47013 .40723 L
.47117 .40847 L
.47206 .40945 L
.47282 .4104 L
.47399 .41153 L
.47443 .41232 L
.47591 .41413 L
.47606 .41425 L
.47752 .41618 L
.47784 .41657 L
.47903 .41811 L
.47977 .41877 L
.48054 .42003 L
.48169 .42146 L
.4822 .42196 L
.48352 .42389 L
.48362 .42401 L
.48498 .42581 L
.48555 .42632 L
.48645 .42774 L
.48747 .42902 L
.48807 .42967 L
.48938 .43159 L
.4894 .43162 L
.49081 .43352 L
.49133 .434 L
.49225 .43545 L
.49326 .43672 L
.49382 .43737 L
.49514 .4393 L
.49518 .43935 L
.49656 .44123 L
.49711 .44176 L
.49867 .44316 L
.49904 .4445 L
.49952 .44508 L
.50085 .44701 L
.50096 .44715 L
.50226 .44894 L
.50289 .44957 L
.50421 .45086 L
.50482 .45234 L
.50517 .45279 L
.50652 .45472 L
.50674 .45501 L
.50792 .45664 L
.50867 .45744 L
.50975 .45857 L
.5106 .46024 L
.51079 .4605 L
.51215 .46242 L
.51253 .46292 L
.51354 .46435 L
.51445 .46538 L
.51527 .46628 L
.51638 .4682 L
.51638 .46821 L
.51774 .47013 L
.51831 .47088 L
.51914 .47206 L
.52023 .4734 L
.52074 .47399 L
.52193 .47591 L
.52216 .47621 L
.52329 .47784 L
.52409 .47891 L
.52468 .47977 L
.52601 .48154 L
.52614 .48169 L
.52742 .48362 L
.52794 .48432 L
.52878 .48555 L
.52987 .48704 L
.53016 .48747 L
.53151 .4894 L
.53179 .48979 L
.5328 .49133 L
.53372 .4926 L
.53415 .49326 L
.53548 .49518 L
.53565 .49542 L
.53669 .49711 L
.53758 .4984 L
.53795 .49904 L
.53758 .50095 L
.53589 .49904 L
.53565 .49878 L
.53424 .49711 L
.53372 .49651 L
.53262 .49518 L
.53179 .49464 L
.53103 .49326 L
.52987 .49186 L
.52919 .49133 L
.52794 .4894 L
.52794 .4894 L
.52642 .48747 L
.52601 .48722 L
.52489 .48555 L
.52409 .48455 L
.52313 .48362 L
.52216 .482 L
.52194 .48169 L
.52043 .47977 L
.52023 .47963 L
.51895 .47784 L
.51831 .47703 L
.51729 .47591 L
.51638 .47442 L
.51609 .47399 L
.51457 .47206 L
.51445 .47197 L
.51312 .47013 L
.51253 .46937 L
.51154 .46821 L
.5106 .46674 L
.51032 .46628 L
.5088 .46435 L
.50867 .46425 L
.50737 .46242 L
.50674 .46162 L
.50584 .4605 L
.50482 .45896 L
.50461 .45857 L
.50309 .45664 L
.50289 .45647 L
.50102 .45472 L
.50096 .4538 L
.50019 .45279 L
.49904 .45112 L
.49891 .45086 L
.49743 .44894 L
.49711 .44865 L
.4955 .44701 L
.49518 .44592 L
.49457 .44508 L
.49326 .44323 L
.49323 .44316 L
.49181 .44123 L
.49133 .44076 L
.48998 .4393 L
.4894 .43797 L
.48899 .43737 L
.48762 .43545 L
.48747 .43525 L
.48624 .43352 L
.48555 .43279 L
.48451 .43159 L
.48362 .42992 L
.48345 .42967 L
.4821 .42774 L
.48169 .42719 L
.48073 .42581 L
.47977 .42466 L
.47914 .42389 L
.47799 .42196 L
.47784 .42175 L
.47666 .42003 L
.47591 .41898 L
.47531 .41811 L
.47399 .41622 L
.47395 .41618 L
.47269 .41425 L
.47206 .41335 L
.47139 .41232 L
.47013 .41046 L
.47009 .4104 L
.46893 .40847 L
.46821 .40736 L
.46776 .40654 L
F
1 .54 0 r
.46821 .48028 m
.46915 .48169 L
.47013 .48302 L
.47046 .48362 L
.47013 .4844 L
.46944 .48362 L
.46821 .48224 L
.46778 .48169 L
F
0 .55 1 r
.46821 .47287 m
.46979 .47399 L
.47013 .47427 L
.47165 .47591 L
.47206 .47635 L
.47326 .47784 L
.47399 .4787 L
.47479 .47977 L
.47591 .48096 L
.47627 .48169 L
.47769 .48362 L
.47784 .48383 L
.47901 .48555 L
.47977 .48662 L
.48032 .48747 L
.48153 .4894 L
.48169 .48967 L
.4824 .49133 L
.48169 .49204 L
.4808 .49133 L
.47977 .49043 L
.47882 .4894 L
.47784 .48879 L
.47712 .48747 L
.47591 .4861 L
.47521 .48555 L
.47406 .48362 L
.47399 .48353 L
.47264 .48169 L
.47206 .4809 L
.47126 .47977 L
.47013 .47838 L
.46978 .47784 L
.46877 .47591 L
.46821 .4749 L
.46779 .47399 L
F
0 .93 1 r
.46821 .39693 m
.47008 .39884 L
.47013 .39889 L
.4718 .40076 L
.47206 .40103 L
.47347 .40269 L
.47399 .40292 L
.47509 .40462 L
.47591 .40554 L
.47742 .40654 L
.47784 .408 L
.47829 .40847 L
.47977 .4104 L
.47977 .4104 L
.48128 .41232 L
.48169 .41281 L
.48327 .41425 L
.48362 .41536 L
.48429 .41618 L
.48555 .41789 L
.48564 .41811 L
.48723 .42003 L
.48747 .42033 L
.48901 .42196 L
.4894 .42293 L
.49012 .42389 L
.49133 .42553 L
.49141 .42581 L
.49305 .42774 L
.49326 .42799 L
.49472 .42967 L
.49518 .43062 L
.49587 .43159 L
.49711 .43325 L
.49713 .43352 L
.4988 .43545 L
.49904 .43574 L
.50041 .43737 L
.50096 .43839 L
.50157 .4393 L
.50289 .44102 L
.5031 .44123 L
.50451 .44316 L
.50482 .44354 L
.50608 .44508 L
.50674 .44621 L
.50725 .44701 L
.50867 .44883 L
.50878 .44894 L
.51019 .45086 L
.5106 .45138 L
.51173 .45279 L
.51253 .45406 L
.51291 .45472 L
.51445 .45664 L
.51445 .45665 L
.51635 .45857 L
.51638 .45924 L
.51736 .4605 L
.51831 .46192 L
.51857 .46242 L
.5201 .46435 L
.52023 .46447 L
.52196 .46628 L
.52216 .46711 L
.52299 .46821 L
.52409 .4698 L
.52424 .47013 L
.52574 .47206 L
.52601 .47231 L
.52756 .47399 L
.52794 .475 L
.52861 .47591 L
.52987 .4777 L
.52992 .47784 L
.53136 .47977 L
.53179 .48017 L
.53314 .48169 L
.53372 .48292 L
.53422 .48362 L
.5356 .48555 L
.53565 .48561 L
.53698 .48747 L
.53758 .48807 L
.53871 .4894 L
.5395 .49085 L
.53983 .49133 L
.54121 .49326 L
.54143 .49355 L
.54259 .49518 L
.54336 .496 L
.54426 .49711 L
.54528 .49882 L
.54542 .49904 L
.54679 .50096 L
.54721 .50152 L
.54818 .50289 L
.54914 .504 L
.54977 .50482 L
.551 .50674 L
.55106 .50683 L
.55235 .50867 L
.55299 .50953 L
.55374 .5106 L
.55492 .51209 L
.55524 .51253 L
.55652 .51445 L
.55684 .51489 L
.55787 .51638 L
.55877 .5176 L
.55972 .51831 L
.56065 .52023 L
.5607 .5203 L
.56196 .52216 L
.56263 .52307 L
.56331 .52409 L
.56455 .52568 L
.56481 .52601 L
.56597 .52794 L
.56648 .52866 L
.56725 .52987 L
.56841 .53155 L
.56856 .53179 L
.56971 .53372 L
.57033 .53472 L
.57075 .53565 L
.57033 .53652 L
.56928 .53565 L
.56841 .53488 L
.56726 .53372 L
.56648 .53292 L
.56545 .53179 L
.56455 .53086 L
.56374 .52987 L
.56263 .52851 L
.56199 .52794 L
.5607 .52616 L
.56057 .52601 L
.55901 .52409 L
.55877 .52382 L
.55747 .52216 L
.55684 .52132 L
.5559 .52023 L
.55492 .5188 L
.55458 .51831 L
.55301 .51638 L
.55299 .51636 L
.5512 .51445 L
.55106 .51381 L
.55009 .51253 L
.54914 .5112 L
.54885 .5106 L
.54721 .50871 L
.54714 .50867 L
.54553 .50674 L
.54528 .50616 L
.54434 .50482 L
.54336 .5035 L
.54321 .50289 L
.54143 .50098 L
.54135 .50096 L
.53982 .49904 L
.5395 .49844 L
.53863 .49711 L
.53758 .49574 L
.53702 .49518 L
.53565 .4933 L
.53561 .49326 L
.53412 .49133 L
.53372 .49065 L
.53294 .4894 L
.53179 .48795 L
.53131 .48747 L
.52991 .48555 L
.52987 .48549 L
.52844 .48362 L
.52794 .48283 L
.52728 .48169 L
.52601 .48014 L
.52563 .47977 L
.52423 .47784 L
.52409 .47765 L
.52279 .47591 L
.52216 .47497 L
.52164 .47399 L
.52023 .47231 L
.51997 .47206 L
.51835 .47013 L
.51831 .46979 L
.51715 .46821 L
.51638 .4671 L
.516 .46628 L
.51445 .46447 L
.51432 .46435 L
.51268 .46242 L
.51253 .46191 L
.51152 .4605 L
.5106 .45922 L
.51036 .45857 L
.50869 .45664 L
.50867 .45663 L
.50704 .45472 L
.50674 .45401 L
.5059 .45279 L
.50482 .45132 L
.50471 .45086 L
.50307 .44894 L
.50289 .44877 L
.50142 .44701 L
.50096 .4461 L
.50029 .44508 L
.49904 .4434 L
.49902 .44316 L
.49746 .44123 L
.49711 .44089 L
.49583 .4393 L
.49518 .43816 L
.49469 .43737 L
.49326 .43546 L
.49325 .43545 L
.49187 .43352 L
.49133 .43296 L
.49027 .43159 L
.4894 .43017 L
.48911 .42967 L
.48769 .42774 L
.48747 .42745 L
.48631 .42581 L
.48555 .42496 L
.48475 .42389 L
.48362 .42211 L
.48354 .42196 L
.48217 .42003 L
.48169 .41938 L
.48007 .41811 L
.47977 .41682 L
.47932 .41618 L
.47806 .41425 L
.47784 .41395 L
.47673 .41232 L
.47591 .41118 L
.47489 .4104 L
.47403 .40847 L
.47399 .40841 L
.47275 .40654 L
.47206 .40555 L
.47146 .40462 L
.47015 .40269 L
.47013 .40266 L
.46899 .40076 L
.46821 .39954 L
.46782 .39884 L
F
0 .41 1 r
.46821 .51532 m
.46903 .51638 L
.47013 .51764 L
.47064 .51831 L
.47206 .52004 L
.47221 .52023 L
.47368 .52216 L
.47399 .52252 L
.47515 .52409 L
.47591 .52503 L
.47664 .52601 L
.47784 .52755 L
.47812 .52794 L
.47956 .52987 L
.47977 .53012 L
.48097 .53179 L
.48169 .53272 L
.48241 .53372 L
.48362 .53533 L
.48385 .53565 L
.48523 .53758 L
.48555 .53798 L
.4866 .5395 L
.48747 .54065 L
.48801 .54143 L
.4894 .54333 L
.48942 .54336 L
.4907 .54528 L
.49133 .54612 L
.49203 .54721 L
.49326 .54892 L
.4934 .54914 L
.49326 .55079 L
.49199 .54914 L
.49133 .54841 L
.49044 .54721 L
.4894 .54599 L
.48889 .54528 L
.48747 .54353 L
.48735 .54336 L
.48591 .54143 L
.48555 .54099 L
.48448 .5395 L
.48362 .53844 L
.48301 .53758 L
.48169 .53589 L
.48152 .53565 L
.48012 .53372 L
.47977 .53328 L
.47873 .53179 L
.47784 .53065 L
.4773 .52987 L
.47591 .52803 L
.47585 .52794 L
.47452 .52601 L
.47399 .52532 L
.47316 .52409 L
.47206 .52262 L
.47175 .52216 L
.47041 .52023 L
.47013 .51987 L
.46916 .51831 L
.46821 .51702 L
.46783 .51638 L
F
0 .87 1 r
.46821 .44846 m
.46878 .44894 L
.47013 .4502 L
.47073 .45086 L
.47206 .45194 L
.47239 .45279 L
.47389 .45472 L
.47399 .45484 L
.47527 .45664 L
.47591 .45761 L
.47652 .45857 L
.47591 .46019 L
.47435 .45857 L
.47399 .45817 L
.47281 .45664 L
.47206 .45571 L
.47137 .45472 L
.47013 .45304 L
.46997 .45279 L
.46879 .45086 L
.46821 .44989 L
.46784 .44894 L
F
1 .78 0 r
.46821 .42177 m
.46833 .42196 L
.46821 .42259 L
.46784 .42196 L
F
1 .98 0 r
.46821 .46676 m
.47013 .46688 L
.47206 .46693 L
.47364 .46821 L
.47399 .46882 L
.4749 .47013 L
.47591 .47136 L
.47604 .47206 L
.47784 .47399 L
.47784 .47399 L
.47941 .47591 L
.47977 .47672 L
.48059 .47784 L
.48169 .47944 L
.4817 .47977 L
.4835 .48169 L
.48362 .48183 L
.48506 .48362 L
.48555 .48448 L
.48622 .48555 L
.48747 .48715 L
.48774 .48747 L
.48913 .4894 L
.4894 .48944 L
.49068 .49133 L
.49133 .49211 L
.49183 .49326 L
.49326 .49502 L
.49333 .49518 L
.49468 .49711 L
.49518 .49794 L
.496 .49904 L
.49518 .4997 L
.49326 .49984 L
.49133 .49962 L
.49056 .49904 L
.4894 .49792 L
.48918 .49711 L
.48747 .49536 L
.48735 .49518 L
.48579 .49326 L
.48555 .49257 L
.48458 .49133 L
.48362 .48975 L
.4835 .4894 L
.48169 .48752 L
.48166 .48747 L
.48012 .48555 L
.47977 .48487 L
.47894 .48362 L
.47784 .48219 L
.47742 .48169 L
.47602 .47977 L
.47591 .4797 L
.47449 .47784 L
.47399 .47712 L
.47333 .47591 L
.47206 .47438 L
.4718 .47399 L
.47042 .47206 L
.47013 .47163 L
.46892 .47013 L
.46821 .46883 L
.46784 .46821 L
F
1 .76 0 r
.46821 .50698 m
.46969 .50867 L
.47013 .50915 L
.47134 .5106 L
.47206 .51143 L
.47295 .51253 L
.47399 .51339 L
.47453 .51445 L
.47591 .51616 L
.47618 .51638 L
.47758 .51831 L
.47784 .51862 L
.47909 .52023 L
.47977 .52075 L
.4806 .52216 L
.48169 .52353 L
.48226 .52409 L
.48356 .52601 L
.48362 .52609 L
.48503 .52794 L
.48555 .52836 L
.4865 .52987 L
.48747 .53111 L
.4881 .53179 L
.4894 .53371 L
.48941 .53372 L
.49085 .53565 L
.49133 .53606 L
.4923 .53758 L
.49326 .53881 L
.49383 .5395 L
.49516 .54143 L
.49518 .54145 L
.49659 .54336 L
.49711 .54383 L
.49879 .54528 L
.49904 .54662 L
.4995 .54721 L
.50085 .54914 L
.50096 .54929 L
.50226 .55106 L
.50289 .55169 L
.50424 .55299 L
.50482 .55452 L
.50512 .55492 L
.50647 .55684 L
.50674 .55721 L
.50786 .55877 L
.50867 .55965 L
.50967 .5607 L
.5106 .56253 L
.51067 .56263 L
.51202 .56455 L
.51253 .56524 L
.5134 .56648 L
.51445 .56777 L
.515 .56841 L
.51614 .57033 L
.51638 .57067 L
.51747 .57226 L
.51831 .57342 L
.51883 .57419 L
.52018 .57611 L
.52023 .57619 L
.52146 .57804 L
.52216 .57904 L
.52276 .57997 L
.52407 .58189 L
.52409 .58191 L
.52522 .58382 L
.52601 .58503 L
.5264 .58575 L
.52601 .58686 L
.52503 .58575 L
.52409 .58479 L
.52329 .58382 L
.52216 .58255 L
.52164 .58189 L
.52023 .58034 L
.52004 .57997 L
.5185 .57804 L
.51831 .57782 L
.51699 .57611 L
.51638 .57538 L
.51547 .57419 L
.51445 .57313 L
.51396 .57226 L
.51253 .57043 L
.51243 .57033 L
.51101 .56841 L
.5106 .56789 L
.50954 .56648 L
.50867 .56558 L
.50807 .56455 L
.50674 .56284 L
.50655 .56263 L
.50517 .5607 L
.50482 .56024 L
.50374 .55877 L
.50289 .55788 L
.50168 .55684 L
.50096 .55511 L
.5008 .55492 L
.49943 .55299 L
.49904 .55248 L
.49801 .55106 L
.49711 .55008 L
.49611 .54914 L
.49518 .54728 L
.49512 .54721 L
.49375 .54528 L
.49326 .54464 L
.49234 .54336 L
.49133 .54219 L
.49059 .54143 L
.48949 .5395 L
.4894 .53938 L
.48812 .53758 L
.48747 .53672 L
.48672 .53565 L
.48555 .5342 L
.48511 .53372 L
.48391 .53179 L
.48362 .53141 L
.48255 .52987 L
.48169 .52873 L
.48115 .52794 L
.47977 .52607 L
.47971 .52601 L
.47841 .52409 L
.47784 .52333 L
.47705 .52216 L
.47591 .52061 L
.47565 .52023 L
.47431 .51831 L
.47399 .51786 L
.47301 .51638 L
.47206 .51507 L
.47166 .51445 L
.47033 .51253 L
.47013 .51225 L
.46911 .5106 L
.46821 .50929 L
.46785 .50867 L
F
0 .54 1 r
.46821 .473 m
.46971 .47399 L
.47013 .47434 L
.4716 .47591 L
.47206 .4764 L
.47323 .47784 L
.47399 .47874 L
.47476 .47977 L
.47591 .48101 L
.47624 .48169 L
.47765 .48362 L
.47784 .48387 L
.47898 .48555 L
.47977 .48667 L
.48028 .48747 L
.48148 .4894 L
.48169 .48977 L
.48231 .49133 L
.48169 .49193 L
.4809 .49133 L
.47977 .49036 L
.47887 .4894 L
.47784 .48873 L
.47716 .48747 L
.47591 .48605 L
.47527 .48555 L
.47409 .48362 L
.47399 .48348 L
.47268 .48169 L
.47206 .48086 L
.47129 .47977 L
.47013 .47828 L
.46985 .47784 L
.46882 .47591 L
.46821 .47478 L
.46786 .47399 L
F
1 .53 0 r
.46821 .48043 m
.46903 .48169 L
.47013 .48322 L
.47034 .48362 L
.47013 .48419 L
.4696 .48362 L
.46821 .48211 L
.46789 .48169 L
F
0 .4 1 r
.46821 .51546 m
.46892 .51638 L
.47013 .51774 L
.47057 .51831 L
.47206 .52012 L
.47214 .52023 L
.47361 .52216 L
.47399 .5226 L
.47509 .52409 L
.47591 .5251 L
.47658 .52601 L
.47784 .52762 L
.47807 .52794 L
.4795 .52987 L
.47977 .53019 L
.48091 .53179 L
.48169 .53279 L
.48236 .53372 L
.48362 .53539 L
.4838 .53565 L
.48518 .53758 L
.48555 .53805 L
.48655 .5395 L
.48747 .54073 L
.48796 .54143 L
.48935 .54336 L
.4894 .54342 L
.49062 .54528 L
.49133 .54622 L
.49196 .54721 L
.49326 .54903 L
.49332 .54914 L
.49326 .55065 L
.4921 .54914 L
.49133 .54831 L
.49051 .54721 L
.4894 .54591 L
.48895 .54528 L
.48747 .54346 L
.4874 .54336 L
.48597 .54143 L
.48555 .54092 L
.48453 .5395 L
.48362 .53838 L
.48305 .53758 L
.48169 .53583 L
.48157 .53565 L
.48018 .53372 L
.47977 .53321 L
.47878 .53179 L
.47784 .53058 L
.47735 .52987 L
.47591 .52797 L
.4759 .52794 L
.47458 .52601 L
.47399 .52525 L
.47322 .52409 L
.47206 .52255 L
.47181 .52216 L
.47049 .52023 L
.47013 .51977 L
.46924 .51831 L
.46821 .51689 L
.46791 .51638 L
F
0 .53 1 r
.46821 .47315 m
.46961 .47399 L
.47013 .47441 L
.47155 .47591 L
.47206 .47645 L
.47319 .47784 L
.47399 .47879 L
.47473 .47977 L
.47591 .48107 L
.47621 .48169 L
.47762 .48362 L
.47784 .48392 L
.47895 .48555 L
.47977 .48672 L
.48025 .48747 L
.48142 .4894 L
.48169 .48989 L
.48221 .49133 L
.48169 .49181 L
.48102 .49133 L
.47977 .49029 L
.47893 .4894 L
.47784 .48867 L
.4772 .48747 L
.47591 .486 L
.47534 .48555 L
.47413 .48362 L
.47399 .48344 L
.47271 .48169 L
.47206 .48081 L
.47133 .47977 L
.47013 .47818 L
.46992 .47784 L
.46887 .47591 L
.46821 .47464 L
.46794 .47399 L
F
0 .74 1 r
.46821 .41373 m
.46864 .41425 L
.47013 .41579 L
.47043 .41618 L
.47206 .41808 L
.47208 .41811 L
.47358 .42003 L
.47399 .42049 L
.47509 .42196 L
.47591 .42294 L
.47661 .42389 L
.47784 .42541 L
.47814 .42581 L
.47962 .42774 L
.47977 .42792 L
.48105 .42967 L
.48169 .43047 L
.48251 .43159 L
.48362 .43302 L
.48398 .43352 L
.48544 .43545 L
.48555 .43558 L
.48683 .43737 L
.48747 .4382 L
.48825 .4393 L
.4894 .4408 L
.48971 .44123 L
.49112 .44316 L
.49133 .44342 L
.49249 .44508 L
.49326 .44608 L
.4939 .44701 L
.49518 .44872 L
.49533 .44894 L
.49669 .45086 L
.49711 .45141 L
.49804 .45279 L
.49904 .45412 L
.49943 .45472 L
.50082 .45664 L
.50096 .45684 L
.50209 .45857 L
.50289 .45965 L
.50342 .4605 L
.50289 .46224 L
.50151 .4605 L
.50096 .45987 L
.49996 .45857 L
.49904 .45744 L
.49842 .45664 L
.49711 .45516 L
.4969 .45472 L
.49544 .45279 L
.49518 .45248 L
.49397 .45086 L
.49326 .44995 L
.49249 .44894 L
.49133 .44763 L
.49102 .44701 L
.48959 .44508 L
.4894 .44484 L
.48817 .44316 L
.48747 .44225 L
.48672 .44123 L
.48555 .43983 L
.48529 .4393 L
.48389 .43737 L
.48362 .43703 L
.48249 .43545 L
.48169 .43438 L
.48108 .43352 L
.47977 .4318 L
.47953 .43159 L
.47832 .42967 L
.47784 .42903 L
.47695 .42774 L
.47591 .42632 L
.47556 .42581 L
.47422 .42389 L
.47399 .42357 L
.47292 .42196 L
.47206 .42076 L
.47158 .42003 L
.47028 .41811 L
.47013 .4179 L
.46913 .41618 L
.46821 .41478 L
.46794 .41425 L
F
1 .97 0 r
.46821 .46698 m
.47013 .467 L
.47206 .46716 L
.47354 .46821 L
.47399 .46896 L
.47483 .47013 L
.47591 .47143 L
.47603 .47206 L
.4778 .47399 L
.47784 .47405 L
.47939 .47591 L
.47977 .47676 L
.48057 .47784 L
.48169 .47946 L
.4817 .47977 L
.48348 .48169 L
.48362 .48186 L
.48504 .48362 L
.48555 .4845 L
.4862 .48555 L
.48747 .48718 L
.48771 .48747 L
.48911 .4894 L
.4894 .48945 L
.49065 .49133 L
.49133 .49216 L
.4918 .49326 L
.49326 .49512 L
.49329 .49518 L
.4946 .49711 L
.49518 .49815 L
.49574 .49904 L
.49518 .4995 L
.49326 .49971 L
.49133 .49936 L
.49082 .49904 L
.4894 .49775 L
.48923 .49711 L
.48747 .49527 L
.48741 .49518 L
.48581 .49326 L
.48555 .49251 L
.48461 .49133 L
.48362 .48972 L
.48351 .4894 L
.48169 .48748 L
.48169 .48747 L
.48014 .48555 L
.47977 .48484 L
.47896 .48362 L
.47784 .48216 L
.47744 .48169 L
.47605 .47977 L
.47591 .47968 L
.47451 .47784 L
.47399 .47708 L
.47336 .47591 L
.47206 .47433 L
.47184 .47399 L
.47047 .47206 L
.47013 .47156 L
.46898 .47013 L
.46821 .46867 L
.46796 .46821 L
F
1 .75 0 r
.46821 .50724 m
.4695 .50867 L
.47013 .50932 L
.47121 .5106 L
.47206 .51157 L
.47284 .51253 L
.47399 .51355 L
.47443 .51445 L
.47591 .51628 L
.47604 .51638 L
.4775 .51831 L
.47784 .51872 L
.47902 .52023 L
.47977 .52083 L
.48054 .52216 L
.48169 .52362 L
.48218 .52409 L
.4835 .52601 L
.48362 .52617 L
.48497 .52794 L
.48555 .52841 L
.48645 .52987 L
.48747 .53118 L
.48804 .53179 L
.48936 .53372 L
.4894 .53378 L
.4908 .53565 L
.49133 .53611 L
.49225 .53758 L
.49326 .53888 L
.49378 .5395 L
.49512 .54143 L
.49518 .54152 L
.49654 .54336 L
.49711 .54389 L
.49875 .54528 L
.49904 .54668 L
.49946 .54721 L
.5008 .54914 L
.50096 .54935 L
.50221 .55106 L
.50289 .55175 L
.50419 .55299 L
.50482 .55459 L
.50507 .55492 L
.50642 .55684 L
.50674 .55728 L
.50782 .55877 L
.50867 .55972 L
.5096 .5607 L
.5106 .56261 L
.51061 .56263 L
.51197 .56455 L
.51253 .56532 L
.51335 .56648 L
.51445 .56787 L
.51492 .56841 L
.51607 .57033 L
.51638 .57076 L
.51741 .57226 L
.51831 .57352 L
.51876 .57419 L
.5201 .57611 L
.52023 .5763 L
.52137 .57804 L
.52216 .57918 L
.52267 .57997 L
.52394 .58189 L
.52409 .58211 L
.52506 .58382 L
.52601 .58536 L
.5262 .58575 L
.52601 .58649 L
.5253 .58575 L
.52409 .5846 L
.52344 .58382 L
.52216 .5824 L
.52175 .58189 L
.52023 .58016 L
.52013 .57997 L
.51859 .57804 L
.51831 .57771 L
.51707 .57611 L
.51638 .57528 L
.51554 .57419 L
.51445 .57303 L
.51402 .57226 L
.51253 .57034 L
.51251 .57033 L
.51107 .56841 L
.5106 .56782 L
.5096 .56648 L
.50867 .56551 L
.50812 .56455 L
.50674 .56277 L
.50661 .56263 L
.50522 .5607 L
.50482 .56018 L
.50378 .55877 L
.50289 .55782 L
.50174 .55684 L
.50096 .55505 L
.50085 .55492 L
.49947 .55299 L
.49904 .55243 L
.49805 .55106 L
.49711 .55003 L
.49617 .54914 L
.49518 .54723 L
.49517 .54721 L
.49379 .54528 L
.49326 .54459 L
.49238 .54336 L
.49133 .54213 L
.49064 .54143 L
.48953 .5395 L
.4894 .53933 L
.48816 .53758 L
.48747 .53667 L
.48676 .53565 L
.48555 .53413 L
.48518 .53372 L
.48396 .53179 L
.48362 .53135 L
.48259 .52987 L
.48169 .52867 L
.48119 .52794 L
.47978 .52601 L
.47977 .52599 L
.47846 .52409 L
.47784 .52326 L
.4771 .52216 L
.47591 .52054 L
.47571 .52023 L
.47438 .51831 L
.47399 .51777 L
.47308 .51638 L
.47206 .51496 L
.47173 .51445 L
.47043 .51253 L
.47013 .5121 L
.46923 .5106 L
.46821 .50909 L
.46798 .50867 L
F
1 .82 0 r
.46821 .40562 m
.46913 .40654 L
.47013 .40748 L
.47098 .40847 L
.47206 .40964 L
.47268 .4104 L
.47399 .41173 L
.47431 .41232 L
.4759 .41425 L
.47591 .41427 L
.47742 .41618 L
.47784 .41668 L
.47894 .41811 L
.47977 .41887 L
.48047 .42003 L
.48169 .42156 L
.48211 .42196 L
.48345 .42389 L
.48362 .42409 L
.48492 .42581 L
.48555 .42639 L
.4864 .42774 L
.48747 .4291 L
.48801 .42967 L
.48933 .43159 L
.4894 .43169 L
.49076 .43352 L
.49133 .43405 L
.49221 .43545 L
.49326 .43678 L
.49377 .43737 L
.4951 .4393 L
.49518 .43941 L
.49652 .44123 L
.49711 .4418 L
.49863 .44316 L
.49904 .44455 L
.49948 .44508 L
.50081 .44701 L
.50096 .4472 L
.50222 .44894 L
.50289 .44962 L
.50417 .45086 L
.50482 .45239 L
.50513 .45279 L
.50648 .45472 L
.50674 .45506 L
.50788 .45664 L
.50867 .45749 L
.50971 .45857 L
.5106 .4603 L
.51075 .4605 L
.51211 .46242 L
.51253 .46297 L
.51351 .46435 L
.51445 .46543 L
.51522 .46628 L
.51634 .46821 L
.51638 .46826 L
.5177 .47013 L
.51831 .47093 L
.5191 .47206 L
.52023 .47347 L
.52068 .47399 L
.52189 .47591 L
.52216 .47627 L
.52325 .47784 L
.52409 .47897 L
.52464 .47977 L
.52601 .48164 L
.52606 .48169 L
.52737 .48362 L
.52794 .4844 L
.52872 .48555 L
.52987 .48713 L
.5301 .48747 L
.53143 .4894 L
.53179 .4899 L
.53272 .49133 L
.53372 .49272 L
.53406 .49326 L
.53535 .49518 L
.53565 .4956 L
.53655 .49711 L
.53758 .49864 L
.53779 .49904 L
.53758 .50062 L
.53613 .49904 L
.53565 .49855 L
.53442 .49711 L
.53372 .49633 L
.53276 .49518 L
.53179 .49448 L
.53115 .49326 L
.52987 .49171 L
.52936 .49133 L
.52804 .4894 L
.52794 .48928 L
.52651 .48747 L
.52601 .48716 L
.52498 .48555 L
.52409 .48445 L
.52321 .48362 L
.52216 .48191 L
.522 .48169 L
.5205 .47977 L
.52023 .47959 L
.51901 .47784 L
.51831 .47695 L
.51734 .47591 L
.51638 .47435 L
.51614 .47399 L
.51463 .47206 L
.51445 .47193 L
.51317 .47013 L
.51253 .46931 L
.51159 .46821 L
.5106 .46667 L
.51036 .46628 L
.50885 .46435 L
.50867 .46421 L
.50741 .46242 L
.50674 .46156 L
.50589 .4605 L
.50482 .4589 L
.50464 .45857 L
.50314 .45664 L
.50289 .45643 L
.50104 .45472 L
.50096 .45374 L
.50023 .45279 L
.49904 .45107 L
.49894 .45086 L
.49747 .44894 L
.49711 .4486 L
.49553 .44701 L
.49518 .44586 L
.49461 .44508 L
.49326 .44317 L
.49325 .44316 L
.49186 .44123 L
.49133 .44071 L
.49002 .4393 L
.4894 .4379 L
.48903 .43737 L
.48767 .43545 L
.48747 .43519 L
.48629 .43352 L
.48555 .43272 L
.48457 .43159 L
.48362 .42984 L
.4835 .42967 L
.48215 .42774 L
.48169 .42711 L
.48079 .42581 L
.47977 .42456 L
.47922 .42389 L
.47807 .42196 L
.47784 .42165 L
.47674 .42003 L
.47591 .41887 L
.47539 .41811 L
.47406 .41618 L
.47399 .41608 L
.4728 .41425 L
.47206 .41319 L
.47151 .41232 L
.47024 .4104 L
.47013 .41025 L
.46912 .40847 L
.46821 .40698 L
.468 .40654 L
F
0 .39 1 r
.46821 .51563 m
.46879 .51638 L
.47013 .51785 L
.47048 .51831 L
.47206 .52021 L
.47208 .52023 L
.47353 .52216 L
.47399 .52269 L
.47502 .52409 L
.47591 .52518 L
.47653 .52601 L
.47784 .52769 L
.47802 .52794 L
.47944 .52987 L
.47977 .53027 L
.48086 .53179 L
.48169 .53286 L
.48231 .53372 L
.48362 .53546 L
.48376 .53565 L
.48512 .53758 L
.48555 .53813 L
.48649 .5395 L
.48747 .54081 L
.4879 .54143 L
.48928 .54336 L
.4894 .54351 L
.49055 .54528 L
.49133 .54633 L
.49188 .54721 L
.49133 .5482 L
.4906 .54721 L
.4894 .54582 L
.48901 .54528 L
.48747 .54339 L
.48745 .54336 L
.48604 .54143 L
.48555 .54085 L
.48459 .5395 L
.48362 .53831 L
.4831 .53758 L
.48169 .53576 L
.48161 .53565 L
.48023 .53372 L
.47977 .53314 L
.47884 .53179 L
.47784 .53052 L
.4774 .52987 L
.47595 .52794 L
.47591 .52789 L
.47464 .52601 L
.47399 .52517 L
.47328 .52409 L
.47206 .52247 L
.47186 .52216 L
.47057 .52023 L
.47013 .51966 L
.46934 .51831 L
.46821 .51675 L
.46801 .51638 L
F
1 .52 0 r
.46821 .48061 m
.46888 .48169 L
.47013 .48351 L
.47018 .48362 L
.47013 .48385 L
.46986 .48362 L
.46821 .48195 L
.46801 .48169 L
F
0 .52 1 r
.46821 .47332 m
.4695 .47399 L
.47013 .47447 L
.4715 .47591 L
.47206 .4765 L
.47315 .47784 L
.47399 .47883 L
.4747 .47977 L
.47591 .48112 L
.47619 .48169 L
.47759 .48362 L
.47784 .48396 L
.47891 .48555 L
.47977 .48678 L
.48021 .48747 L
.48137 .4894 L
.48169 .49001 L
.4821 .49133 L
.48169 .49168 L
.48115 .49133 L
.47977 .49022 L
.47899 .4894 L
.47784 .48861 L
.47725 .48747 L
.47591 .48594 L
.47541 .48555 L
.47417 .48362 L
.47399 .48339 L
.47275 .48169 L
.47206 .48076 L
.47136 .47977 L
.47013 .47807 L
.46999 .47784 L
.46892 .47591 L
.46821 .47448 L
.46802 .47399 L
F
1 .14 0 r
.46821 .52386 m
.46833 .52409 L
.46821 .52439 L
.46802 .52409 L
F
1 .96 0 r
.46821 .46726 m
.47013 .46709 L
.47206 .46736 L
.47341 .46821 L
.47399 .46909 L
.47476 .47013 L
.47591 .47151 L
.47601 .47206 L
.47776 .47399 L
.47784 .4741 L
.47937 .47591 L
.47977 .4768 L
.48054 .47784 L
.48169 .47948 L
.4817 .47977 L
.48345 .48169 L
.48362 .48188 L
.48502 .48362 L
.48555 .48453 L
.48618 .48555 L
.48747 .48721 L
.48769 .48747 L
.48908 .4894 L
.4894 .48946 L
.49063 .49133 L
.49133 .49221 L
.49178 .49326 L
.49324 .49518 L
.49326 .49521 L
.49452 .49711 L
.49518 .49843 L
.49543 .49904 L
.49518 .49926 L
.49326 .49958 L
.49133 .49915 L
.49111 .49904 L
.4894 .49761 L
.48927 .49711 L
.48747 .49519 L
.48747 .49518 L
.48584 .49326 L
.48555 .49245 L
.48464 .49133 L
.48362 .48969 L
.48352 .4894 L
.48171 .48747 L
.48169 .48745 L
.48015 .48555 L
.47977 .48481 L
.47898 .48362 L
.47784 .48213 L
.47747 .48169 L
.47607 .47977 L
.47591 .47967 L
.47453 .47784 L
.47399 .47705 L
.47338 .47591 L
.47206 .47427 L
.47188 .47399 L
.47052 .47206 L
.47013 .47148 L
.46904 .47013 L
.46821 .46847 L
.46807 .46821 L
F
0 .51 1 r
.46821 .47354 m
.46938 .47399 L
.47013 .47454 L
.47144 .47591 L
.47206 .47655 L
.47311 .47784 L
.47399 .47887 L
.47467 .47977 L
.47591 .48118 L
.47616 .48169 L
.47755 .48362 L
.47784 .48401 L
.47888 .48555 L
.47977 .48683 L
.48017 .48747 L
.4813 .4894 L
.48169 .49016 L
.48195 .49133 L
.48169 .49154 L
.48131 .49133 L
.47977 .49016 L
.47905 .4894 L
.47784 .48854 L
.47729 .48747 L
.47591 .48588 L
.47548 .48555 L
.47421 .48362 L
.47399 .48334 L
.47278 .48169 L
.47206 .48071 L
.4714 .47977 L
.47013 .47796 L
.47006 .47784 L
.46898 .47591 L
.46821 .47428 L
.46812 .47399 L
F
0 .38 1 r
.46821 .51586 m
.46862 .51638 L
.47013 .51797 L
.47039 .51831 L
.47013 .51953 L
.46945 .51831 L
.46821 .51656 L
.46812 .51638 L
F
1 .74 0 r
.46821 .50757 m
.46927 .50867 L
.47013 .50952 L
.47106 .5106 L
.47206 .51172 L
.47273 .51253 L
.47399 .51373 L
.47433 .51445 L
.47589 .51638 L
.47591 .51641 L
.47742 .51831 L
.47784 .51882 L
.47894 .52023 L
.47977 .52092 L
.48046 .52216 L
.48169 .52371 L
.48209 .52409 L
.48344 .52601 L
.48362 .52625 L
.48491 .52794 L
.48555 .52848 L
.48639 .52987 L
.48747 .53125 L
.48797 .53179 L
.4893 .53372 L
.4894 .53385 L
.49075 .53565 L
.49133 .53616 L
.4922 .53758 L
.49326 .53895 L
.49373 .5395 L
.49507 .54143 L
.49518 .54158 L
.49649 .54336 L
.49711 .54394 L
.4987 .54528 L
.49904 .54675 L
.49941 .54721 L
.50076 .54914 L
.50096 .54941 L
.50216 .55106 L
.50289 .55181 L
.50413 .55299 L
.50482 .55466 L
.50502 .55492 L
.50637 .55684 L
.50674 .55734 L
.50777 .55877 L
.50867 .55979 L
.50953 .5607 L
.51056 .56263 L
.5106 .56268 L
.51191 .56455 L
.51253 .56539 L
.51329 .56648 L
.51445 .56798 L
.51483 .56841 L
.516 .57033 L
.51638 .57085 L
.51734 .57226 L
.51831 .57362 L
.51869 .57419 L
.52001 .57611 L
.52023 .57643 L
.52127 .57804 L
.52216 .57932 L
.52257 .57997 L
.52379 .58189 L
.52409 .58234 L
.52487 .58382 L
.52409 .58437 L
.52362 .58382 L
.52216 .58225 L
.52188 .58189 L
.52023 .57997 L
.52023 .57997 L
.51869 .57804 L
.51831 .5776 L
.51715 .57611 L
.51638 .57518 L
.51562 .57419 L
.51445 .57293 L
.51409 .57226 L
.51258 .57033 L
.51253 .57026 L
.51113 .56841 L
.5106 .56775 L
.50965 .56648 L
.50867 .56544 L
.50817 .56455 L
.50674 .5627 L
.50668 .56263 L
.50527 .5607 L
.50482 .56012 L
.50383 .55877 L
.50289 .55776 L
.50181 .55684 L
.50096 .55499 L
.5009 .55492 L
.49951 .55299 L
.49904 .55238 L
.49809 .55106 L
.49711 .54997 L
.49623 .54914 L
.49521 .54721 L
.49518 .54717 L
.49383 .54528 L
.49326 .54454 L
.49241 .54336 L
.49133 .54207 L
.4907 .54143 L
.48958 .5395 L
.4894 .53928 L
.4882 .53758 L
.48747 .53662 L
.48679 .53565 L
.48555 .53406 L
.48524 .53372 L
.484 .53179 L
.48362 .53129 L
.48264 .52987 L
.48169 .5286 L
.48124 .52794 L
.47983 .52601 L
.47977 .52592 L
.47851 .52409 L
.47784 .52318 L
.47715 .52216 L
.47591 .52046 L
.47576 .52023 L
.47445 .51831 L
.47399 .51767 L
.47315 .51638 L
.47206 .51485 L
.4718 .51445 L
.47054 .51253 L
.47013 .51194 L
.46936 .5106 L
.46821 .50883 L
.46812 .50867 L
F
1 .51 0 r
.46821 .48086 m
.46866 .48169 L
.46821 .48175 L
.46816 .48169 L
F
1 .95 0 r
.46821 .46771 m
.47013 .46714 L
.47206 .46754 L
.47326 .46821 L
.47399 .46921 L
.47469 .47013 L
.47591 .47159 L
.476 .47206 L
.47772 .47399 L
.47784 .47416 L
.47935 .47591 L
.47977 .47684 L
.48052 .47784 L
.48169 .4795 L
.4817 .47977 L
.48343 .48169 L
.48362 .48191 L
.48501 .48362 L
.48555 .48456 L
.48617 .48555 L
.48747 .48723 L
.48767 .48747 L
.48906 .4894 L
.4894 .48947 L
.4906 .49133 L
.49133 .49226 L
.49175 .49326 L
.49319 .49518 L
.49326 .49529 L
.49444 .49711 L
.49508 .49904 L
.49326 .49945 L
.49145 .49904 L
.49133 .49899 L
.4894 .49747 L
.4893 .49711 L
.48753 .49518 L
.48747 .4951 L
.48586 .49326 L
.48555 .49239 L
.48467 .49133 L
.48362 .48966 L
.48353 .4894 L
.48174 .48747 L
.48169 .48742 L
.48017 .48555 L
.47977 .48478 L
.479 .48362 L
.47784 .4821 L
.47749 .48169 L
.4761 .47977 L
.47591 .47965 L
.47455 .47784 L
.47399 .47701 L
.4734 .47591 L
.47206 .47422 L
.47191 .47399 L
.47057 .47206 L
.47013 .47141 L
.4691 .47013 L
.46821 .46821 L
.4682 .46821 L
F
1 .94 0 r
.47013 .46718 m
.47206 .46771 L
.47308 .46821 L
.47399 .46933 L
.47463 .47013 L
.47591 .47166 L
.47598 .47206 L
.47769 .47399 L
.47784 .47421 L
.47933 .47591 L
.47977 .47688 L
.4805 .47784 L
.48169 .47953 L
.4817 .47977 L
.48341 .48169 L
.48362 .48194 L
.48499 .48362 L
.48555 .48459 L
.48615 .48555 L
.48747 .48726 L
.48765 .48747 L
.48903 .4894 L
.4894 .48948 L
.49058 .49133 L
.49133 .49231 L
.49172 .49326 L
.49314 .49518 L
.49326 .49536 L
.49436 .49711 L
.49473 .49904 L
.49326 .49932 L
.49183 .49904 L
.49133 .49886 L
.4894 .49735 L
.48933 .49711 L
.48758 .49518 L
.48747 .495 L
.48589 .49326 L
.48555 .49233 L
.4847 .49133 L
.48362 .48964 L
.48354 .4894 L
.48177 .48747 L
.48169 .48739 L
.48019 .48555 L
.47977 .48475 L
.47902 .48362 L
.47784 .48208 L
.47751 .48169 L
.47612 .47977 L
.47591 .47964 L
.47457 .47784 L
.47399 .47698 L
.47343 .47591 L
.47206 .47416 L
.47195 .47399 L
.47061 .47206 L
.47013 .47132 L
.46917 .47013 L
.46837 .46821 L
F
1 .93 0 r
.47013 .46722 m
.47206 .46786 L
.47286 .46821 L
.47399 .46944 L
.47456 .47013 L
.47591 .47173 L
.47597 .47206 L
.47765 .47399 L
.47784 .47426 L
.47931 .47591 L
.47977 .47692 L
.48048 .47784 L
.48169 .47955 L
.4817 .47977 L
.48339 .48169 L
.48362 .48196 L
.48498 .48362 L
.48555 .48462 L
.48613 .48555 L
.48747 .48729 L
.48762 .48747 L
.489 .4894 L
.4894 .4895 L
.49056 .49133 L
.49133 .49237 L
.49169 .49326 L
.49309 .49518 L
.49326 .49545 L
.49428 .49711 L
.4943 .49904 L
.49326 .49919 L
.49228 .49904 L
.49133 .49874 L
.4894 .49723 L
.48937 .49711 L
.48764 .49518 L
.48747 .49491 L
.48591 .49326 L
.48555 .49228 L
.48472 .49133 L
.48362 .48962 L
.48355 .4894 L
.48179 .48747 L
.48169 .48736 L
.4802 .48555 L
.47977 .48472 L
.47904 .48362 L
.47784 .48205 L
.47754 .48169 L
.47615 .47977 L
.47591 .47962 L
.47459 .47784 L
.47399 .47694 L
.47345 .47591 L
.47206 .47411 L
.47198 .47399 L
.47066 .47206 L
.47013 .47124 L
.46924 .47013 L
.46855 .46821 L
F
1 .92 0 r
.47013 .46727 m
.47206 .468 L
.47259 .46821 L
.47399 .46954 L
.47449 .47013 L
.47591 .4718 L
.47596 .47206 L
.47761 .47399 L
.47784 .47432 L
.47929 .47591 L
.47977 .47696 L
.48045 .47784 L
.48169 .47957 L
.4817 .47977 L
.48336 .48169 L
.48362 .48199 L
.48496 .48362 L
.48555 .48464 L
.48611 .48555 L
.48747 .48732 L
.4876 .48747 L
.48898 .4894 L
.4894 .48951 L
.49053 .49133 L
.49133 .49242 L
.49167 .49326 L
.49304 .49518 L
.49326 .49553 L
.4942 .49711 L
.49361 .49904 L
.49326 .49906 L
.49296 .49904 L
.49133 .49863 L
.4894 .49712 L
.4894 .49711 L
.4877 .49518 L
.48747 .49482 L
.48594 .49326 L
.48555 .49222 L
.48475 .49133 L
.48362 .48959 L
.48355 .4894 L
.48182 .48747 L
.48169 .48733 L
.48022 .48555 L
.47977 .48469 L
.47906 .48362 L
.47784 .48202 L
.47756 .48169 L
.47617 .47977 L
.47591 .4796 L
.47461 .47784 L
.47399 .4769 L
.47347 .47591 L
.47206 .47405 L
.47202 .47399 L
.47071 .47206 L
.47013 .47115 L
.46931 .47013 L
.46874 .46821 L
F
1 .91 0 r
.47013 .46734 m
.47206 .46813 L
.47226 .46821 L
.47399 .46964 L
.47441 .47013 L
.47591 .47187 L
.47595 .47206 L
.47757 .47399 L
.47784 .47437 L
.47926 .47591 L
.47977 .47699 L
.48043 .47784 L
.48169 .47959 L
.4817 .47977 L
.48334 .48169 L
.48362 .48201 L
.48494 .48362 L
.48555 .48467 L
.48609 .48555 L
.48747 .48735 L
.48758 .48747 L
.48895 .4894 L
.4894 .48953 L
.4905 .49133 L
.49133 .49248 L
.49164 .49326 L
.49299 .49518 L
.49326 .49562 L
.49412 .49711 L
.49326 .49893 L
.49133 .49852 L
.4895 .49711 L
.4894 .49698 L
.48776 .49518 L
.48747 .49474 L
.48597 .49326 L
.48555 .49217 L
.48478 .49133 L
.48362 .48957 L
.48356 .4894 L
.48184 .48747 L
.48169 .4873 L
.48024 .48555 L
.47977 .48466 L
.47908 .48362 L
.47784 .482 L
.47758 .48169 L
.47619 .47977 L
.47591 .47959 L
.47463 .47784 L
.47399 .47686 L
.4735 .47591 L
.47206 .47399 L
.47206 .47399 L
.47075 .47206 L
.47013 .47106 L
.46939 .47013 L
.46893 .46821 L
F
0 .5 1 r
.47013 .47462 m
.47139 .47591 L
.47206 .47661 L
.47307 .47784 L
.47399 .47892 L
.47463 .47977 L
.47591 .48124 L
.47613 .48169 L
.47752 .48362 L
.47784 .48406 L
.47884 .48555 L
.47977 .48689 L
.48014 .48747 L
.48124 .4894 L
.48169 .49036 L
.48176 .49133 L
.48169 .49137 L
.48156 .49133 L
.47977 .49008 L
.47911 .4894 L
.47784 .48847 L
.47734 .48747 L
.47591 .48583 L
.47555 .48555 L
.47424 .48362 L
.47399 .48329 L
.47282 .48169 L
.47206 .48066 L
.47144 .47977 L
.47013 .47784 L
.47013 .47784 L
.46903 .47591 L
F
0 .49 1 r
.47013 .47469 m
.47133 .47591 L
.47206 .47666 L
.47303 .47784 L
.47399 .47896 L
.4746 .47977 L
.47591 .4813 L
.4761 .48169 L
.47748 .48362 L
.47784 .4841 L
.47881 .48555 L
.47977 .48695 L
.4801 .48747 L
.48117 .4894 L
.47977 .49001 L
.47917 .4894 L
.47784 .48839 L
.47738 .48747 L
.47591 .48577 L
.47562 .48555 L
.47428 .48362 L
.47399 .48324 L
.47285 .48169 L
.47206 .48061 L
.47147 .47977 L
.47018 .47784 L
.47013 .47777 L
.46909 .47591 L
F
0 .86 1 r
.47013 .45057 m
.47041 .45086 L
.47206 .45256 L
.47214 .45279 L
.47365 .45472 L
.47399 .45515 L
.47504 .45664 L
.47591 .45801 L
.47624 .45857 L
.47591 .45977 L
.47463 .45857 L
.47399 .4579 L
.47301 .45664 L
.47206 .45547 L
.47154 .45472 L
.47014 .45279 L
.47013 .45277 L
.46912 .45086 L
F
1 .9 0 r
.47013 .46745 m
.47195 .46821 L
.47206 .46825 L
.47399 .46974 L
.47434 .47013 L
.47591 .47194 L
.47594 .47206 L
.47753 .47399 L
.47784 .47442 L
.47924 .47591 L
.47977 .47703 L
.48041 .47784 L
.48169 .47961 L
.4817 .47977 L
.48332 .48169 L
.48362 .48204 L
.48492 .48362 L
.48555 .4847 L
.48608 .48555 L
.48747 .48738 L
.48755 .48747 L
.48893 .4894 L
.4894 .48955 L
.49048 .49133 L
.49133 .49255 L
.49161 .49326 L
.49294 .49518 L
.49326 .49572 L
.49403 .49711 L
.49326 .4988 L
.49133 .49841 L
.4896 .49711 L
.4894 .49685 L
.48781 .49518 L
.48747 .49466 L
.48599 .49326 L
.48555 .49212 L
.48481 .49133 L
.48362 .48955 L
.48356 .4894 L
.48187 .48747 L
.48169 .48727 L
.48025 .48555 L
.47977 .48463 L
.4791 .48362 L
.47784 .48197 L
.47761 .48169 L
.47622 .47977 L
.47591 .47957 L
.47465 .47784 L
.47399 .47682 L
.47352 .47591 L
.47209 .47399 L
.47206 .47394 L
.4708 .47206 L
.47013 .47097 L
.46947 .47013 L
.46915 .46821 L
F
0 .48 1 r
.47013 .47477 m
.47127 .47591 L
.47206 .47671 L
.47299 .47784 L
.47399 .47901 L
.47457 .47977 L
.47591 .48136 L
.47607 .48169 L
.47745 .48362 L
.47784 .48415 L
.47877 .48555 L
.47977 .48701 L
.48006 .48747 L
.4811 .4894 L
.47977 .48994 L
.47924 .4894 L
.47784 .48831 L
.47743 .48747 L
.47591 .48571 L
.4757 .48555 L
.47432 .48362 L
.47399 .48319 L
.47289 .48169 L
.47206 .48056 L
.47151 .47977 L
.47023 .47784 L
.47013 .47769 L
.46915 .47591 L
F
0 .47 1 r
.47013 .47485 m
.47121 .47591 L
.47206 .47677 L
.47295 .47784 L
.47399 .47905 L
.47453 .47977 L
.47591 .48143 L
.47603 .48169 L
.47741 .48362 L
.47784 .4842 L
.47873 .48555 L
.47977 .48707 L
.48002 .48747 L
.48102 .4894 L
.47977 .48986 L
.47931 .4894 L
.47784 .48822 L
.47748 .48747 L
.47591 .48565 L
.47578 .48555 L
.47436 .48362 L
.47399 .48314 L
.47293 .48169 L
.47206 .4805 L
.47155 .47977 L
.47028 .47784 L
.47013 .47761 L
.46921 .47591 L
F
0 .46 1 r
.47013 .47493 m
.47114 .47591 L
.47206 .47682 L
.47291 .47784 L
.47399 .4791 L
.4745 .47977 L
.47591 .4815 L
.476 .48169 L
.47737 .48362 L
.47784 .48425 L
.47869 .48555 L
.47977 .48713 L
.47998 .48747 L
.48094 .4894 L
.47977 .48978 L
.47938 .4894 L
.47784 .48813 L
.47752 .48747 L
.47591 .48558 L
.47587 .48555 L
.4744 .48362 L
.47399 .48309 L
.47297 .48169 L
.47206 .48045 L
.47159 .47977 L
.47033 .47784 L
.47013 .47753 L
.46928 .47591 L
F
0 .92 1 r
.47013 .39943 m
.4714 .40076 L
.47206 .40143 L
.47316 .40269 L
.47399 .40313 L
.47485 .40462 L
.47591 .40581 L
.47713 .40654 L
.47784 .40822 L
.47809 .40847 L
.47961 .4104 L
.47977 .41048 L
.48114 .41232 L
.48169 .41298 L
.48318 .41425 L
.48362 .41551 L
.48419 .41618 L
.48555 .418 L
.4856 .41811 L
.48714 .42003 L
.48747 .42044 L
.48895 .42196 L
.4894 .42303 L
.49006 .42389 L
.49133 .4256 L
.49139 .42581 L
.49299 .42774 L
.49326 .42808 L
.49468 .42967 L
.49518 .4307 L
.49582 .43159 L
.49711 .43331 L
.49713 .43352 L
.49875 .43545 L
.49904 .4358 L
.50037 .43737 L
.50096 .43845 L
.50154 .4393 L
.50289 .44107 L
.50305 .44123 L
.50447 .44316 L
.50482 .44359 L
.50605 .44508 L
.50674 .44626 L
.50722 .44701 L
.50867 .44886 L
.50875 .44894 L
.51016 .45086 L
.5106 .45142 L
.5117 .45279 L
.51253 .45409 L
.51289 .45472 L
.51442 .45664 L
.51445 .45667 L
.51635 .45857 L
.51638 .45927 L
.51734 .4605 L
.51831 .46195 L
.51855 .46242 L
.52007 .46435 L
.52023 .46449 L
.52195 .46628 L
.52216 .46714 L
.52297 .46821 L
.52409 .46983 L
.52422 .47013 L
.52571 .47206 L
.52601 .47233 L
.52754 .47399 L
.52794 .47504 L
.52859 .47591 L
.52987 .47773 L
.52991 .47784 L
.53134 .47977 L
.53179 .4802 L
.53312 .48169 L
.53372 .48295 L
.5342 .48362 L
.53557 .48555 L
.53565 .48565 L
.53695 .48747 L
.53758 .4881 L
.53868 .4894 L
.5395 .4909 L
.5398 .49133 L
.54117 .49326 L
.54143 .4936 L
.54256 .49518 L
.54336 .49605 L
.54422 .49711 L
.54528 .49888 L
.54539 .49904 L
.54675 .50096 L
.54721 .50157 L
.54814 .50289 L
.54914 .50407 L
.54972 .50482 L
.55095 .50674 L
.55106 .5069 L
.5523 .50867 L
.55299 .5096 L
.55369 .5106 L
.55492 .51219 L
.55517 .51253 L
.55645 .51445 L
.55684 .51499 L
.5578 .51638 L
.55877 .51771 L
.55959 .51831 L
.56055 .52023 L
.5607 .52043 L
.56186 .52216 L
.56263 .52322 L
.5632 .52409 L
.56455 .52598 L
.56458 .52601 L
.5658 .52794 L
.56648 .52891 L
.56706 .52987 L
.56833 .53179 L
.56841 .53191 L
.56931 .53372 L
.56841 .53435 L
.56772 .53372 L
.56648 .53252 L
.56578 .53179 L
.56455 .53053 L
.56402 .52987 L
.56263 .52823 L
.56228 .52794 L
.56076 .52601 L
.5607 .52594 L
.55918 .52409 L
.55877 .52362 L
.55763 .52216 L
.55684 .52113 L
.55604 .52023 L
.55492 .51864 L
.55469 .51831 L
.55313 .51638 L
.55299 .51621 L
.55123 .51445 L
.55106 .51367 L
.55018 .51253 L
.54914 .51109 L
.54891 .5106 L
.54723 .50867 L
.54721 .50864 L
.54558 .50674 L
.54528 .50605 L
.54441 .50482 L
.54336 .50341 L
.54324 .50289 L
.54143 .50097 L
.54142 .50096 L
.53986 .49904 L
.5395 .49835 L
.53868 .49711 L
.53758 .49568 L
.53707 .49518 L
.53567 .49326 L
.53565 .49323 L
.53416 .49133 L
.53372 .49059 L
.53299 .4894 L
.53179 .4879 L
.53135 .48747 L
.52995 .48555 L
.52987 .48544 L
.52848 .48362 L
.52794 .48277 L
.52732 .48169 L
.52601 .4801 L
.52567 .47977 L
.52426 .47784 L
.52409 .4776 L
.52282 .47591 L
.52216 .47493 L
.52166 .47399 L
.52023 .47227 L
.52 .47206 L
.51835 .47013 L
.51831 .46975 L
.51717 .46821 L
.51638 .46706 L
.51602 .46628 L
.51445 .46444 L
.51436 .46435 L
.51269 .46242 L
.51253 .46187 L
.51155 .4605 L
.5106 .45918 L
.51038 .45857 L
.50872 .45664 L
.50867 .4566 L
.50705 .45472 L
.50674 .45397 L
.50593 .45279 L
.50482 .45128 L
.50472 .45086 L
.5031 .44894 L
.50289 .44874 L
.50144 .44701 L
.50096 .44605 L
.50032 .44508 L
.49904 .44336 L
.49902 .44316 L
.49749 .44123 L
.49711 .44084 L
.49586 .4393 L
.49518 .4381 L
.49473 .43737 L
.49329 .43545 L
.49326 .4354 L
.49191 .43352 L
.49133 .4329 L
.49031 .43159 L
.4894 .4301 L
.48915 .42967 L
.48774 .42774 L
.48747 .42738 L
.48637 .42581 L
.48555 .42487 L
.48482 .42389 L
.48362 .42201 L
.48359 .42196 L
.48224 .42003 L
.48169 .41928 L
.48016 .41811 L
.47977 .41667 L
.47942 .41618 L
.47817 .41425 L
.47784 .4138 L
.47684 .41232 L
.47591 .41101 L
.47508 .4104 L
.47418 .40847 L
.47399 .40819 L
.47293 .40654 L
.47206 .40528 L
.47164 .40462 L
.47042 .40269 L
.47013 .40224 L
.46933 .40076 L
F
1 .81 0 r
.47013 .40776 m
.47076 .40847 L
.47206 .40984 L
.47252 .4104 L
.47399 .41195 L
.47419 .41232 L
.47577 .41425 L
.47591 .41441 L
.47731 .41618 L
.47784 .4168 L
.47885 .41811 L
.47977 .41898 L
.48039 .42003 L
.48169 .42166 L
.48201 .42196 L
.48338 .42389 L
.48362 .42418 L
.48486 .42581 L
.48555 .42646 L
.48634 .42774 L
.48747 .42917 L
.48794 .42967 L
.48927 .43159 L
.4894 .43176 L
.49071 .43352 L
.49133 .43411 L
.49216 .43545 L
.49326 .43684 L
.49372 .43737 L
.49506 .4393 L
.49518 .43946 L
.49647 .44123 L
.49711 .44185 L
.49858 .44316 L
.49904 .44461 L
.49943 .44508 L
.50077 .44701 L
.50096 .44725 L
.50218 .44894 L
.50289 .44966 L
.50413 .45086 L
.50482 .45245 L
.50509 .45279 L
.50644 .45472 L
.50674 .45511 L
.50785 .45664 L
.50867 .45754 L
.50966 .45857 L
.5106 .46035 L
.51071 .4605 L
.51207 .46242 L
.51253 .46302 L
.51347 .46435 L
.51445 .46549 L
.51517 .46628 L
.5163 .46821 L
.51638 .46831 L
.51766 .47013 L
.51831 .47099 L
.51906 .47206 L
.52023 .47354 L
.52062 .47399 L
.52184 .47591 L
.52216 .47634 L
.5232 .47784 L
.52409 .47904 L
.52459 .47977 L
.52599 .48169 L
.52601 .48172 L
.52731 .48362 L
.52794 .48448 L
.52866 .48555 L
.52987 .48721 L
.53004 .48747 L
.53135 .4894 L
.53179 .49002 L
.53264 .49133 L
.53372 .49285 L
.53397 .49326 L
.53522 .49518 L
.53565 .4958 L
.53639 .49711 L
.53758 .49896 L
.53761 .49904 L
.53758 .50018 L
.53642 .49904 L
.53565 .4983 L
.53461 .49711 L
.53372 .49614 L
.53291 .49518 L
.53179 .49428 L
.53128 .49326 L
.52987 .49156 L
.52955 .49133 L
.52815 .4894 L
.52794 .48916 L
.5266 .48747 L
.52601 .48708 L
.52506 .48555 L
.52409 .48435 L
.5233 .48362 L
.52216 .48182 L
.52207 .48169 L
.52057 .47977 L
.52023 .47954 L
.51908 .47784 L
.51831 .47687 L
.5174 .47591 L
.51638 .47428 L
.51618 .47399 L
.51469 .47206 L
.51445 .47188 L
.51323 .47013 L
.51253 .46924 L
.51163 .46821 L
.5106 .46661 L
.5104 .46628 L
.5089 .46435 L
.50867 .46417 L
.50746 .46242 L
.50674 .4615 L
.50593 .4605 L
.50482 .45885 L
.50467 .45857 L
.50318 .45664 L
.50289 .45639 L
.50106 .45472 L
.50096 .45368 L
.50027 .45279 L
.49904 .45101 L
.49897 .45086 L
.49752 .44894 L
.49711 .44856 L
.49556 .44701 L
.49518 .4458 L
.49465 .44508 L
.49329 .44316 L
.49326 .44311 L
.4919 .44123 L
.49133 .44066 L
.49007 .4393 L
.4894 .43783 L
.48908 .43737 L
.48772 .43545 L
.48747 .43512 L
.48634 .43352 L
.48555 .43265 L
.48463 .43159 L
.48362 .42976 L
.48356 .42967 L
.48221 .42774 L
.48169 .42702 L
.48085 .42581 L
.47977 .42445 L
.47931 .42389 L
.47814 .42196 L
.47784 .42154 L
.47682 .42003 L
.47591 .41876 L
.47547 .41811 L
.47416 .41618 L
.47399 .41593 L
.47291 .41425 L
.47206 .41301 L
.47163 .41232 L
.47041 .4104 L
.47013 .40997 L
.46935 .40847 L
F
0 .45 1 r
.47013 .47501 m
.47107 .47591 L
.47206 .47688 L
.47286 .47784 L
.47399 .47914 L
.47446 .47977 L
.47591 .48157 L
.47597 .48169 L
.47733 .48362 L
.47784 .48431 L
.47866 .48555 L
.47977 .4872 L
.47993 .48747 L
.48084 .4894 L
.47977 .4897 L
.47946 .4894 L
.47784 .48803 L
.47758 .48747 L
.47594 .48555 L
.47591 .48552 L
.47444 .48362 L
.47399 .48304 L
.47301 .48169 L
.47206 .48039 L
.47163 .47977 L
.47038 .47784 L
.47013 .47744 L
.46935 .47591 L
F
1 .89 0 r
.47013 .46762 m
.47167 .46821 L
.47206 .46833 L
.47399 .46984 L
.47426 .47013 L
.47591 .472 L
.47592 .47206 L
.47749 .47399 L
.47784 .47447 L
.47922 .47591 L
.47977 .47706 L
.48039 .47784 L
.48169 .47963 L
.4817 .47977 L
.4833 .48169 L
.48362 .48206 L
.48491 .48362 L
.48555 .48473 L
.48606 .48555 L
.48747 .48741 L
.48753 .48747 L
.4889 .4894 L
.4894 .48957 L
.49045 .49133 L
.49133 .49261 L
.49158 .49326 L
.49289 .49518 L
.49326 .49582 L
.49394 .49711 L
.49326 .49867 L
.49133 .4983 L
.4897 .49711 L
.4894 .49672 L
.48787 .49518 L
.48747 .49458 L
.48602 .49326 L
.48555 .49208 L
.48484 .49133 L
.48362 .48954 L
.48357 .4894 L
.48189 .48747 L
.48169 .48724 L
.48027 .48555 L
.47977 .4846 L
.47912 .48362 L
.47784 .48194 L
.47763 .48169 L
.47624 .47977 L
.47591 .47955 L
.47467 .47784 L
.47399 .47678 L
.47355 .47591 L
.47213 .47399 L
.47206 .47388 L
.47085 .47206 L
.47013 .47087 L
.46955 .47013 L
.46939 .46821 L
F
0 .73 1 r
.47013 .41605 m
.47024 .41618 L
.47013 .4176 L
.46941 .41618 L
F
0 .44 1 r
.47013 .4751 m
.471 .47591 L
.47206 .47694 L
.47282 .47784 L
.47399 .47919 L
.47443 .47977 L
.47591 .48164 L
.47594 .48169 L
.4773 .48362 L
.47784 .48436 L
.47862 .48555 L
.47977 .48727 L
.47989 .48747 L
.48074 .4894 L
.47977 .48961 L
.47955 .4894 L
.47784 .48793 L
.47763 .48747 L
.47598 .48555 L
.47591 .48547 L
.47449 .48362 L
.47399 .48299 L
.47304 .48169 L
.47206 .48034 L
.47167 .47977 L
.47043 .47784 L
.47013 .47735 L
.46942 .47591 L
F
0 .93 1 r
.47013 .50121 m
.47186 .50289 L
.47206 .50309 L
.47365 .50482 L
.47399 .5052 L
.47532 .50674 L
.47591 .50729 L
.47691 .50867 L
.47784 .50982 L
.47869 .5106 L
.47977 .5123 L
.47996 .51253 L
.48144 .51445 L
.48169 .51473 L
.48293 .51638 L
.48362 .51729 L
.4845 .51831 L
.48555 .51985 L
.4858 .52023 L
.48732 .52216 L
.48747 .52235 L
.48919 .52409 L
.4894 .52493 L
.49021 .52601 L
.49133 .52753 L
.49149 .52794 L
.49314 .52987 L
.49326 .53001 L
.49479 .53179 L
.49518 .53262 L
.49593 .53372 L
.49711 .53525 L
.49713 .53565 L
.49893 .53758 L
.49904 .53772 L
.50049 .5395 L
.50096 .54035 L
.50164 .54143 L
.50289 .543 L
.50326 .54336 L
.50467 .54528 L
.50482 .54548 L
.50618 .54721 L
.50674 .54813 L
.50734 .54914 L
.50867 .55078 L
.50896 .55106 L
.51037 .55299 L
.5106 .55329 L
.51185 .55492 L
.51253 .55595 L
.51301 .55684 L
.51445 .55859 L
.51464 .55877 L
.51604 .5607 L
.51638 .56113 L
.51749 .56263 L
.51831 .56382 L
.51866 .56455 L
.52023 .56643 L
.52028 .56648 L
.52205 .56841 L
.52216 .56902 L
.52311 .57033 L
.52409 .57172 L
.52431 .57226 L
.5259 .57419 L
.52601 .57428 L
.52765 .57611 L
.52794 .57694 L
.52871 .57804 L
.52987 .57965 L
.52997 .57997 L
.5315 .58189 L
.53179 .58216 L
.53322 .58382 L
.53372 .58491 L
.53428 .58575 L
.53565 .58764 L
.53566 .58768 L
.53705 .5896 L
.53758 .59012 L
.53872 .59153 L
.5395 .59296 L
.53981 .59346 L
.54119 .59538 L
.54143 .59572 L
.54255 .59731 L
.54336 .59822 L
.54414 .59924 L
.54528 .60116 L
.54529 .60116 L
.54661 .60309 L
.54721 .60393 L
.54795 .60502 L
.54914 .60662 L
.54937 .60694 L
.55058 .60887 L
.55106 .60956 L
.55187 .6108 L
.55299 .61245 L
.55317 .61273 L
.55435 .61465 L
.55492 .61552 L
.55552 .61658 L
.55492 .61825 L
.55338 .61658 L
.55299 .61619 L
.55168 .61465 L
.55106 .61397 L
.55004 .61273 L
.54914 .61193 L
.54844 .6108 L
.54721 .60934 L
.54664 .60887 L
.54533 .60694 L
.54528 .60689 L
.54382 .60502 L
.54336 .60462 L
.54232 .60309 L
.54143 .60201 L
.54057 .60116 L
.5395 .59945 L
.53933 .59924 L
.53787 .59731 L
.53758 .59706 L
.5364 .59538 L
.53565 .59444 L
.53474 .59346 L
.53372 .59183 L
.53351 .59153 L
.53204 .5896 L
.53179 .58938 L
.5306 .58768 L
.52987 .58675 L
.52899 .58575 L
.52794 .58411 L
.52775 .58382 L
.52629 .58189 L
.52601 .58164 L
.52486 .57997 L
.52409 .57898 L
.5233 .57804 L
.52216 .57633 L
.52203 .57611 L
.52058 .57419 L
.52023 .57386 L
.51857 .57226 L
.51831 .57116 L
.51764 .57033 L
.51638 .5685 L
.51633 .56841 L
.51491 .56648 L
.51445 .56603 L
.513 .56455 L
.51253 .56331 L
.512 .56263 L
.51064 .5607 L
.5106 .56064 L
.50925 .55877 L
.50867 .55818 L
.50743 .55684 L
.50674 .55542 L
.50637 .55492 L
.50501 .55299 L
.50482 .55274 L
.50362 .55106 L
.50289 .55028 L
.50187 .54914 L
.50096 .5475 L
.50076 .54721 L
.49939 .54528 L
.49904 .54482 L
.498 .54336 L
.49711 .54234 L
.49633 .54143 L
.49518 .53954 L
.49516 .5395 L
.49379 .53758 L
.49326 .53686 L
.4924 .53565 L
.49133 .53434 L
.49082 .53372 L
.48959 .53179 L
.4894 .53155 L
.48823 .52987 L
.48747 .52936 L
.48683 .52794 L
.48555 .52626 L
.48535 .52601 L
.48406 .52409 L
.48362 .52351 L
.48269 .52216 L
.48169 .52114 L
.48089 .52023 L
.47991 .51831 L
.47977 .51811 L
.47859 .51638 L
.47784 .51537 L
.47723 .51445 L
.47591 .51271 L
.47576 .51253 L
.47453 .5106 L
.47399 .50984 L
.47323 .50867 L
.47206 .50702 L
.47188 .50674 L
.47064 .50482 L
.47013 .50407 L
.46946 .50289 L
F
0 .43 1 r
.47013 .4752 m
.47092 .47591 L
.47206 .47699 L
.47277 .47784 L
.47399 .47924 L
.47439 .47977 L
.4759 .48169 L
.47591 .4817 L
.47726 .48362 L
.47784 .48441 L
.47858 .48555 L
.47977 .48734 L
.47984 .48747 L
.48061 .4894 L
.47977 .48952 L
.47964 .4894 L
.47784 .48782 L
.47768 .48747 L
.47603 .48555 L
.47591 .48541 L
.47453 .48362 L
.47399 .48294 L
.47308 .48169 L
.47206 .48028 L
.47171 .47977 L
.47049 .47784 L
.47013 .47725 L
.4695 .47591 L
F
1 .73 0 r
.47013 .50973 m
.47089 .5106 L
.47206 .51188 L
.4726 .51253 L
.47399 .51394 L
.47423 .51445 L
.47579 .51638 L
.47591 .51652 L
.47733 .51831 L
.47784 .51893 L
.47887 .52023 L
.47977 .52102 L
.48039 .52216 L
.48169 .5238 L
.48199 .52409 L
.48337 .52601 L
.48362 .52633 L
.48485 .52794 L
.48555 .52854 L
.48633 .52987 L
.48747 .53133 L
.48791 .53179 L
.48925 .53372 L
.4894 .53392 L
.4907 .53565 L
.49133 .53622 L
.49215 .53758 L
.49326 .53901 L
.49367 .5395 L
.49502 .54143 L
.49518 .54164 L
.49645 .54336 L
.49711 .54399 L
.49865 .54528 L
.49904 .54681 L
.49935 .54721 L
.50071 .54914 L
.50096 .54947 L
.50212 .55106 L
.50289 .55187 L
.50407 .55299 L
.50482 .55473 L
.50496 .55492 L
.50632 .55684 L
.50674 .55741 L
.50772 .55877 L
.50867 .55987 L
.50946 .5607 L
.5105 .56263 L
.5106 .56276 L
.51186 .56455 L
.51253 .56547 L
.51323 .56648 L
.51445 .56809 L
.51473 .56841 L
.51594 .57033 L
.51638 .57094 L
.51727 .57226 L
.51831 .57372 L
.51862 .57419 L
.51992 .57611 L
.52023 .57656 L
.52117 .57804 L
.52216 .57948 L
.52246 .57997 L
.52362 .58189 L
.52409 .58263 L
.52461 .58382 L
.52409 .5841 L
.52384 .58382 L
.52216 .58208 L
.52201 .58189 L
.52036 .57997 L
.52023 .57983 L
.5188 .57804 L
.51831 .57748 L
.51724 .57611 L
.51638 .57509 L
.51569 .57419 L
.51445 .57281 L
.51415 .57226 L
.51265 .57033 L
.51253 .57018 L
.51119 .56841 L
.5106 .56768 L
.50971 .56648 L
.50867 .56536 L
.50822 .56455 L
.50674 .56263 L
.50674 .56263 L
.50532 .5607 L
.50482 .56006 L
.50387 .55877 L
.50289 .5577 L
.50188 .55684 L
.50096 .55493 L
.50095 .55492 L
.49956 .55299 L
.49904 .55232 L
.49813 .55106 L
.49711 .54991 L
.49629 .54914 L
.49525 .54721 L
.49518 .54712 L
.49387 .54528 L
.49326 .54448 L
.49245 .54336 L
.49133 .54201 L
.49076 .54143 L
.48962 .5395 L
.4894 .53922 L
.48824 .53758 L
.48747 .53656 L
.48683 .53565 L
.48555 .53399 L
.48531 .53372 L
.48405 .53179 L
.48362 .53123 L
.48268 .52987 L
.48169 .52854 L
.48128 .52794 L
.47989 .52601 L
.47977 .52585 L
.47857 .52409 L
.47784 .52311 L
.47721 .52216 L
.47591 .52038 L
.47582 .52023 L
.47453 .51831 L
.47399 .51757 L
.47323 .51638 L
.47206 .51474 L
.47188 .51445 L
.47067 .51253 L
.47013 .51175 L
.46951 .5106 L
F
0 .37 1 r
.47013 .51811 m
.47029 .51831 L
.47013 .51938 L
.46958 .51831 L
F
0 .42 1 r
.47013 .4753 m
.47083 .47591 L
.47206 .47706 L
.47272 .47784 L
.47399 .47929 L
.47435 .47977 L
.47586 .48169 L
.47591 .48176 L
.47722 .48362 L
.47784 .48447 L
.47854 .48555 L
.47977 .48742 L
.4798 .48747 L
.48044 .4894 L
.47977 .48942 L
.47975 .4894 L
.47784 .4877 L
.47774 .48747 L
.47608 .48555 L
.47591 .48535 L
.47457 .48362 L
.47399 .48288 L
.47312 .48169 L
.47206 .48022 L
.47175 .47977 L
.47055 .47784 L
.47013 .47714 L
.46958 .47591 L
F
1 .88 0 r
.47013 .46784 m
.47133 .46821 L
.47206 .4684 L
.47399 .46993 L
.47418 .47013 L
.47591 .47206 L
.47591 .47207 L
.47746 .47399 L
.47784 .47451 L
.4792 .47591 L
.47977 .4771 L
.48037 .47784 L
.48169 .47964 L
.4817 .47977 L
.48327 .48169 L
.48362 .48209 L
.48489 .48362 L
.48555 .48476 L
.48604 .48555 L
.48747 .48743 L
.48751 .48747 L
.48888 .4894 L
.4894 .48959 L
.49043 .49133 L
.49133 .49268 L
.49155 .49326 L
.49283 .49518 L
.49326 .49593 L
.49386 .49711 L
.49326 .49853 L
.49133 .4982 L
.4898 .49711 L
.4894 .4966 L
.48793 .49518 L
.48747 .49451 L
.48605 .49326 L
.48555 .49203 L
.48487 .49133 L
.48362 .48952 L
.48358 .4894 L
.48192 .48747 L
.48169 .48721 L
.48029 .48555 L
.47977 .48457 L
.47914 .48362 L
.47784 .48191 L
.47765 .48169 L
.47627 .47977 L
.47591 .47953 L
.4747 .47784 L
.47399 .47674 L
.47357 .47591 L
.47217 .47399 L
.47206 .47382 L
.4709 .47206 L
.47013 .47076 L
.46964 .47013 L
.46967 .46821 L
F
1 .8 0 r
.47013 .40812 m
.47047 .40847 L
.47206 .41006 L
.47235 .4104 L
.47399 .4122 L
.47405 .41232 L
.47564 .41425 L
.47591 .41455 L
.47721 .41618 L
.47784 .41692 L
.47876 .41811 L
.47977 .41909 L
.48031 .42003 L
.48169 .42176 L
.48191 .42196 L
.48331 .42389 L
.48362 .42426 L
.48479 .42581 L
.48555 .42653 L
.48628 .42774 L
.48747 .42925 L
.48787 .42967 L
.48922 .43159 L
.4894 .43183 L
.49066 .43352 L
.49133 .43416 L
.49212 .43545 L
.49326 .4369 L
.49367 .43737 L
.49501 .4393 L
.49518 .43952 L
.49643 .44123 L
.49711 .4419 L
.49854 .44316 L
.49904 .44466 L
.49939 .44508 L
.50073 .44701 L
.50096 .44731 L
.50214 .44894 L
.50289 .44971 L
.50409 .45086 L
.50482 .4525 L
.50505 .45279 L
.50641 .45472 L
.50674 .45516 L
.50781 .45664 L
.50867 .45759 L
.50962 .45857 L
.5106 .4604 L
.51067 .4605 L
.51204 .46242 L
.51253 .46307 L
.51343 .46435 L
.51445 .46555 L
.51511 .46628 L
.51626 .46821 L
.51638 .46836 L
.51762 .47013 L
.51831 .47104 L
.51902 .47206 L
.52023 .47361 L
.52056 .47399 L
.52179 .47591 L
.52216 .4764 L
.52315 .47784 L
.52409 .4791 L
.52454 .47977 L
.52593 .48169 L
.52601 .4818 L
.52725 .48362 L
.52794 .48456 L
.5286 .48555 L
.52987 .48731 L
.52998 .48747 L
.53126 .4894 L
.53179 .49014 L
.53255 .49133 L
.53372 .493 L
.53388 .49326 L
.53507 .49518 L
.53565 .49604 L
.5362 .49711 L
.53565 .49802 L
.53483 .49711 L
.53372 .49594 L
.53308 .49518 L
.53179 .49404 L
.53142 .49326 L
.52987 .4914 L
.52977 .49133 L
.52825 .4894 L
.52794 .48903 L
.52669 .48747 L
.52601 .487 L
.52515 .48555 L
.52409 .48424 L
.5234 .48362 L
.52216 .48173 L
.52213 .48169 L
.52064 .47977 L
.52023 .47948 L
.51914 .47784 L
.51831 .47679 L
.51747 .47591 L
.51638 .47421 L
.51623 .47399 L
.51474 .47206 L
.51445 .47184 L
.51328 .47013 L
.51253 .46917 L
.51168 .46821 L
.5106 .46654 L
.51043 .46628 L
.50895 .46435 L
.50867 .46412 L
.50751 .46242 L
.50674 .46144 L
.50597 .4605 L
.50482 .45879 L
.5047 .45857 L
.50323 .45664 L
.50289 .45635 L
.50108 .45472 L
.50096 .45363 L
.50031 .45279 L
.49904 .45095 L
.49899 .45086 L
.49756 .44894 L
.49711 .44851 L
.49559 .44701 L
.49518 .44574 L
.4947 .44508 L
.49334 .44316 L
.49326 .44304 L
.49195 .44123 L
.49133 .4406 L
.49011 .4393 L
.4894 .43776 L
.48913 .43737 L
.48777 .43545 L
.48747 .43505 L
.48639 .43352 L
.48555 .43257 L
.4847 .43159 L
.48362 .42967 L
.48362 .42967 L
.48227 .42774 L
.48169 .42694 L
.48091 .42581 L
.47977 .42433 L
.47941 .42389 L
.47822 .42196 L
.47784 .42144 L
.4769 .42003 L
.47591 .41864 L
.47556 .41811 L
.47427 .41618 L
.47399 .41578 L
.47302 .41425 L
.47206 .41282 L
.47175 .41232 L
.47062 .4104 L
.47013 .40961 L
.46966 .40847 L
F
0 .41 1 r
.47013 .47541 m
.47073 .47591 L
.47206 .47712 L
.47267 .47784 L
.47399 .47934 L
.47431 .47977 L
.47582 .48169 L
.47591 .48181 L
.47717 .48362 L
.47784 .48453 L
.47849 .48555 L
.47974 .48747 L
.47784 .48758 L
.47779 .48747 L
.47614 .48555 L
.47591 .4853 L
.47462 .48362 L
.47399 .48283 L
.47317 .48169 L
.47206 .48016 L
.47179 .47977 L
.47061 .47784 L
.47013 .47701 L
.46968 .47591 L
F
1 .72 0 r
.47013 .50999 m
.47069 .5106 L
.47206 .51205 L
.47246 .51253 L
.47399 .51418 L
.47411 .51445 L
.47568 .51638 L
.47591 .51664 L
.47724 .51831 L
.47784 .51903 L
.47879 .52023 L
.47977 .52112 L
.48032 .52216 L
.48169 .5239 L
.48189 .52409 L
.4833 .52601 L
.48362 .52641 L
.48479 .52794 L
.48555 .52861 L
.48628 .52987 L
.48747 .53141 L
.48784 .53179 L
.48919 .53372 L
.4894 .53399 L
.49064 .53565 L
.49133 .53628 L
.4921 .53758 L
.49326 .53908 L
.49362 .5395 L
.49497 .54143 L
.49518 .54171 L
.4964 .54336 L
.49711 .54405 L
.49859 .54528 L
.49904 .54688 L
.4993 .54721 L
.50066 .54914 L
.50096 .54954 L
.50207 .55106 L
.50289 .55193 L
.50401 .55299 L
.50482 .5548 L
.50491 .55492 L
.50627 .55684 L
.50674 .55748 L
.50767 .55877 L
.50867 .55995 L
.50939 .5607 L
.51044 .56263 L
.5106 .56283 L
.5118 .56455 L
.51253 .56555 L
.51318 .56648 L
.51445 .5682 L
.51463 .56841 L
.51587 .57033 L
.51638 .57104 L
.5172 .57226 L
.51831 .57383 L
.51855 .57419 L
.51982 .57611 L
.52023 .5767 L
.52107 .57804 L
.52216 .57966 L
.52235 .57997 L
.52216 .58189 L
.52051 .57997 L
.52023 .57968 L
.51891 .57804 L
.51831 .57736 L
.51733 .57611 L
.51638 .57498 L
.51577 .57419 L
.51445 .57269 L
.51422 .57226 L
.51272 .57033 L
.51253 .5701 L
.51125 .56841 L
.5106 .5676 L
.50976 .56648 L
.50867 .56528 L
.50827 .56455 L
.5068 .56263 L
.50674 .56256 L
.50537 .5607 L
.50482 .56 L
.50392 .55877 L
.50289 .55763 L
.50195 .55684 L
.501 .55492 L
.50096 .55487 L
.4996 .55299 L
.49904 .55227 L
.49817 .55106 L
.49711 .54984 L
.49636 .54914 L
.4953 .54721 L
.49518 .54706 L
.49391 .54528 L
.49326 .54443 L
.49249 .54336 L
.49133 .54194 L
.49083 .54143 L
.48966 .5395 L
.4894 .53916 L
.48828 .53758 L
.48747 .53651 L
.48687 .53565 L
.48555 .53391 L
.48537 .53372 L
.4841 .53179 L
.48362 .53117 L
.48273 .52987 L
.48169 .52848 L
.48132 .52794 L
.47994 .52601 L
.47977 .52578 L
.47862 .52409 L
.47784 .52303 L
.47726 .52216 L
.47591 .5203 L
.47587 .52023 L
.4746 .51831 L
.47399 .51746 L
.47331 .51638 L
.47206 .51461 L
.47196 .51445 L
.47081 .51253 L
.47013 .51151 L
.46969 .5106 L
F
1 .87 0 r
.47013 .46815 m
.47081 .46821 L
.47206 .46846 L
.47399 .47002 L
.4741 .47013 L
.47585 .47206 L
.47591 .47213 L
.47742 .47399 L
.47784 .47456 L
.47917 .47591 L
.47977 .47713 L
.48034 .47784 L
.48169 .47966 L
.4817 .47977 L
.48325 .48169 L
.48362 .48211 L
.48487 .48362 L
.48555 .48479 L
.48602 .48555 L
.48747 .48746 L
.48748 .48747 L
.48885 .4894 L
.4894 .48962 L
.4904 .49133 L
.49133 .49275 L
.49152 .49326 L
.49278 .49518 L
.49326 .49604 L
.49377 .49711 L
.49326 .49838 L
.49133 .4981 L
.48991 .49711 L
.4894 .4965 L
.48799 .49518 L
.48747 .49444 L
.48608 .49326 L
.48555 .49199 L
.48489 .49133 L
.48362 .4895 L
.48358 .4894 L
.48194 .48747 L
.48169 .48718 L
.48031 .48555 L
.47977 .48454 L
.47916 .48362 L
.47784 .48189 L
.47768 .48169 L
.47629 .47977 L
.47591 .47951 L
.47472 .47784 L
.47399 .47669 L
.47359 .47591 L
.47221 .47399 L
.47206 .47377 L
.47095 .47206 L
.47013 .47065 L
.46974 .47013 L
.47005 .46821 L
F
0 .4 1 r
.47013 .47554 m
.47062 .47591 L
.47206 .47718 L
.47262 .47784 L
.47399 .47939 L
.47428 .47977 L
.47578 .48169 L
.47591 .48186 L
.47713 .48362 L
.47784 .48459 L
.47845 .48555 L
.47784 .48746 L
.47619 .48555 L
.47591 .48524 L
.47466 .48362 L
.47399 .48277 L
.47321 .48169 L
.47206 .4801 L
.47183 .47977 L
.47067 .47784 L
.47013 .47687 L
.46978 .47591 L
F
0 .36 1 r
.47013 .51827 m
.47016 .51831 L
.47013 .51917 L
.4698 .51831 L
F
0 .91 1 r
.47013 .40015 m
.47083 .40076 L
.47206 .40186 L
.47282 .40269 L
.47399 .40349 L
.47458 .40462 L
.47591 .40609 L
.47673 .40654 L
.47784 .40844 L
.47787 .40847 L
.47944 .4104 L
.47977 .41057 L
.481 .41232 L
.48169 .41314 L
.48307 .41425 L
.48362 .41565 L
.48408 .41618 L
.48555 .4181 L
.48555 .41811 L
.48704 .42003 L
.48747 .42055 L
.48889 .42196 L
.4894 .42313 L
.48999 .42389 L
.49133 .42568 L
.49137 .42581 L
.49292 .42774 L
.49326 .42815 L
.49463 .42967 L
.49518 .43077 L
.49578 .43159 L
.49711 .43336 L
.49712 .43352 L
.4987 .43545 L
.49904 .43586 L
.50034 .43737 L
.50096 .43851 L
.5015 .4393 L
.50289 .44111 L
.50301 .44123 L
.50443 .44316 L
.50482 .44364 L
.50602 .44508 L
.50674 .4463 L
.50719 .44701 L
.50867 .44889 L
.50871 .44894 L
.51012 .45086 L
.5106 .45146 L
.51167 .45279 L
.51253 .45413 L
.51287 .45472 L
.51439 .45664 L
.51445 .4567 L
.51634 .45857 L
.51638 .45931 L
.51732 .4605 L
.51831 .46199 L
.51854 .46242 L
.52004 .46435 L
.52023 .46452 L
.52194 .46628 L
.52216 .46718 L
.52294 .46821 L
.52409 .46987 L
.52421 .47013 L
.52568 .47206 L
.52601 .47236 L
.52752 .47399 L
.52794 .47507 L
.52856 .47591 L
.52987 .47776 L
.5299 .47784 L
.53131 .47977 L
.53179 .48023 L
.5331 .48169 L
.53372 .48299 L
.53417 .48362 L
.53554 .48555 L
.53565 .48569 L
.53693 .48747 L
.53758 .48814 L
.53865 .4894 L
.5395 .49094 L
.53977 .49133 L
.54114 .49326 L
.54143 .49364 L
.54252 .49518 L
.54336 .4961 L
.54418 .49711 L
.54528 .49893 L
.54535 .49904 L
.54671 .50096 L
.54721 .50163 L
.5481 .50289 L
.54914 .50414 L
.54967 .50482 L
.5509 .50674 L
.55106 .50697 L
.55225 .50867 L
.55299 .50967 L
.55363 .5106 L
.55492 .51229 L
.55509 .51253 L
.55638 .51445 L
.55684 .51508 L
.55773 .51638 L
.55877 .51781 L
.55946 .51831 L
.56046 .52023 L
.5607 .52056 L
.56175 .52216 L
.56263 .52338 L
.56309 .52409 L
.56441 .52601 L
.56455 .52621 L
.56562 .52794 L
.56648 .52921 L
.56686 .52987 L
.56797 .53179 L
.56648 .53208 L
.56619 .53179 L
.56455 .53015 L
.56433 .52987 L
.56263 .52795 L
.56262 .52794 L
.56097 .52601 L
.5607 .52569 L
.55937 .52409 L
.55877 .52342 L
.55779 .52216 L
.55684 .52094 L
.55618 .52023 L
.55492 .51849 L
.55479 .51831 L
.55324 .51638 L
.55299 .51607 L
.55128 .51445 L
.55106 .51353 L
.55027 .51253 L
.54914 .51098 L
.54896 .5106 L
.54732 .50867 L
.54721 .50853 L
.54562 .50674 L
.54528 .50595 L
.54448 .50482 L
.54336 .50333 L
.54327 .50289 L
.54148 .50096 L
.54143 .50089 L
.53991 .49904 L
.5395 .49827 L
.53873 .49711 L
.53758 .49561 L
.53713 .49518 L
.53572 .49326 L
.53565 .49317 L
.5342 .49133 L
.53372 .49052 L
.53302 .4894 L
.53179 .48785 L
.5314 .48747 L
.52999 .48555 L
.52987 .48538 L
.52851 .48362 L
.52794 .48272 L
.52735 .48169 L
.52601 .48006 L
.52571 .47977 L
.5243 .47784 L
.52409 .47756 L
.52285 .47591 L
.52216 .47488 L
.52169 .47399 L
.52023 .47224 L
.52004 .47206 L
.51835 .47013 L
.51831 .4697 L
.5172 .46821 L
.51638 .46702 L
.51604 .46628 L
.51445 .46441 L
.51439 .46435 L
.5127 .46242 L
.51253 .46183 L
.51157 .4605 L
.5106 .45914 L
.51039 .45857 L
.50875 .45664 L
.50867 .45657 L
.50707 .45472 L
.50674 .45393 L
.50596 .45279 L
.50482 .45124 L
.50473 .45086 L
.50313 .44894 L
.50289 .4487 L
.50147 .44701 L
.50096 .44601 L
.50035 .44508 L
.49904 .44331 L
.49902 .44316 L
.49753 .44123 L
.49711 .4408 L
.4959 .4393 L
.49518 .43804 L
.49476 .43737 L
.49334 .43545 L
.49326 .43534 L
.49196 .43352 L
.49133 .43284 L
.49036 .43159 L
.4894 .43002 L
.48919 .42967 L
.4878 .42774 L
.48747 .4273 L
.48642 .42581 L
.48555 .42478 L
.48489 .42389 L
.48366 .42196 L
.48362 .42191 L
.48232 .42003 L
.48169 .41917 L
.48025 .41811 L
.47977 .41652 L
.47953 .41618 L
.47827 .41425 L
.47784 .41365 L
.47696 .41232 L
.47591 .41084 L
.47531 .4104 L
.47435 .40847 L
.47399 .40795 L
.47311 .40654 L
.47206 .40496 L
.47185 .40462 L
.47076 .40269 L
.47013 .40161 L
.4698 .40076 L
F
1 .86 0 r
.47013 .46836 m
.47206 .46852 L
.47399 .47011 L
.47401 .47013 L
.4758 .47206 L
.47591 .47219 L
.47738 .47399 L
.47784 .47461 L
.47915 .47591 L
.47977 .47717 L
.48032 .47784 L
.48169 .47968 L
.4817 .47977 L
.48323 .48169 L
.48362 .48214 L
.48485 .48362 L
.48555 .48482 L
.486 .48555 L
.48746 .48747 L
.48747 .4875 L
.48883 .4894 L
.4894 .48965 L
.49037 .49133 L
.49133 .49282 L
.4915 .49326 L
.49273 .49518 L
.49326 .49617 L
.49367 .49711 L
.49326 .49822 L
.49133 .498 L
.49002 .49711 L
.4894 .49639 L
.48805 .49518 L
.48747 .49437 L
.48611 .49326 L
.48555 .49195 L
.48492 .49133 L
.48362 .48949 L
.48358 .4894 L
.48197 .48747 L
.48169 .48715 L
.48032 .48555 L
.47977 .48451 L
.47918 .48362 L
.47784 .48186 L
.4777 .48169 L
.47631 .47977 L
.47591 .47949 L
.47474 .47784 L
.47399 .47665 L
.47362 .47591 L
.47224 .47399 L
.47206 .47371 L
.471 .47206 L
.47013 .47053 L
.46984 .47013 L
F
0 .92 1 r
.47013 .50191 m
.47132 .50289 L
.47206 .50357 L
.47327 .50482 L
.47399 .50559 L
.47501 .50674 L
.47591 .5076 L
.47664 .50867 L
.47784 .51013 L
.47838 .5106 L
.47973 .51253 L
.47977 .51258 L
.48125 .51445 L
.48169 .51493 L
.48275 .51638 L
.48362 .51751 L
.48433 .51831 L
.48555 .52005 L
.48567 .52023 L
.48717 .52216 L
.48747 .52252 L
.48913 .52409 L
.4894 .5251 L
.4901 .52601 L
.49133 .52767 L
.49143 .52794 L
.49303 .52987 L
.49326 .53015 L
.49473 .53179 L
.49518 .53276 L
.49584 .53372 L
.49711 .53536 L
.49712 .53565 L
.49883 .53758 L
.49904 .53784 L
.50042 .5395 L
.50096 .54047 L
.50157 .54143 L
.50289 .54309 L
.50317 .54336 L
.50459 .54528 L
.50482 .54558 L
.50612 .54721 L
.50674 .54823 L
.50728 .54914 L
.50867 .55086 L
.50889 .55106 L
.5103 .55299 L
.5106 .55337 L
.51179 .55492 L
.51253 .55605 L
.51296 .55684 L
.51445 .55866 L
.51456 .55877 L
.51598 .5607 L
.51638 .56122 L
.51743 .56263 L
.51831 .5639 L
.51862 .56455 L
.52021 .56648 L
.52023 .5665 L
.52203 .56841 L
.52216 .5691 L
.52305 .57033 L
.52409 .5718 L
.52427 .57226 L
.52583 .57419 L
.52601 .57434 L
.52762 .57611 L
.52794 .57703 L
.52864 .57804 L
.52987 .57975 L
.52994 .57997 L
.53142 .58189 L
.53179 .58224 L
.53316 .58382 L
.53372 .58502 L
.5342 .58575 L
.53559 .58768 L
.53565 .58776 L
.53696 .5896 L
.53758 .59023 L
.53863 .59153 L
.5395 .59311 L
.53972 .59346 L
.54108 .59538 L
.54143 .59587 L
.54244 .59731 L
.54336 .5984 L
.54399 .59924 L
.54514 .60116 L
.54528 .60136 L
.54646 .60309 L
.54721 .60416 L
.54779 .60502 L
.54912 .60694 L
.54914 .60697 L
.55036 .60887 L
.55106 .6099 L
.55163 .6108 L
.55287 .61273 L
.55299 .61291 L
.55394 .61465 L
.55492 .61643 L
.55497 .61658 L
.55492 .61717 L
.55412 .61658 L
.55299 .61563 L
.55211 .61465 L
.55106 .61356 L
.55036 .61273 L
.54914 .61156 L
.5487 .6108 L
.54721 .60904 L
.54699 .60887 L
.54554 .60694 L
.54528 .60665 L
.544 .60502 L
.54336 .60445 L
.54247 .60309 L
.54143 .60182 L
.54073 .60116 L
.5395 .59929 L
.53946 .59924 L
.53799 .59731 L
.53758 .59695 L
.53651 .59538 L
.53565 .59431 L
.53484 .59346 L
.53372 .59172 L
.53359 .59153 L
.53213 .5896 L
.53179 .5893 L
.53068 .58768 L
.52987 .58665 L
.52907 .58575 L
.52794 .58402 L
.52781 .58382 L
.52636 .58189 L
.52601 .58157 L
.52493 .57997 L
.52409 .5789 L
.52336 .57804 L
.52216 .57626 L
.52208 .57611 L
.52064 .57419 L
.52023 .5738 L
.51861 .57226 L
.51831 .57109 L
.51769 .57033 L
.51638 .56844 L
.51636 .56841 L
.51496 .56648 L
.51445 .56598 L
.51304 .56455 L
.51253 .56324 L
.51205 .56263 L
.51069 .5607 L
.5106 .56057 L
.5093 .55877 L
.50867 .55812 L
.50748 .55684 L
.50674 .55535 L
.50642 .55492 L
.50506 .55299 L
.50482 .55267 L
.50367 .55106 L
.50289 .55022 L
.50192 .54914 L
.50096 .54742 L
.50081 .54721 L
.49944 .54528 L
.49904 .54475 L
.49805 .54336 L
.49711 .54227 L
.4964 .54143 L
.49522 .5395 L
.49518 .53946 L
.49385 .53758 L
.49326 .53678 L
.49246 .53565 L
.49133 .53425 L
.4909 .53372 L
.48966 .53179 L
.4894 .53146 L
.48829 .52987 L
.48747 .52925 L
.4869 .52794 L
.48555 .52613 L
.48545 .52601 L
.48414 .52409 L
.48362 .52339 L
.48278 .52216 L
.48169 .52096 L
.48106 .52023 L
.48002 .51831 L
.47977 .51796 L
.4787 .51638 L
.47784 .5152 L
.47734 .51445 L
.47597 .51253 L
.47591 .51245 L
.4747 .5106 L
.47399 .50959 L
.47341 .50867 L
.47208 .50674 L
.47206 .50672 L
.47094 .50482 L
.47013 .50351 L
.46985 .50289 L
F
0 .9 1 r
.47013 .43178 m
.47117 .43352 L
.47206 .43475 L
.47243 .43545 L
.47206 .43609 L
.47153 .43545 L
.47013 .43383 L
.46988 .43352 L
F
0 .39 1 r
.47013 .47568 m
.47048 .47591 L
.47206 .47725 L
.47257 .47784 L
.47399 .47944 L
.47424 .47977 L
.47573 .48169 L
.47591 .48192 L
.47709 .48362 L
.47784 .48465 L
.47841 .48555 L
.47784 .48739 L
.47625 .48555 L
.47591 .48518 L
.47471 .48362 L
.47399 .48271 L
.47325 .48169 L
.47206 .48003 L
.47188 .47977 L
.47073 .47784 L
.47013 .4767 L
.46991 .47591 L
F
1 .85 0 r
.47013 .46857 m
.47206 .46857 L
.47392 .47013 L
.47399 .47019 L
.47575 .47206 L
.47591 .47225 L
.47734 .47399 L
.47784 .47465 L
.47912 .47591 L
.47977 .4772 L
.4803 .47784 L
.48169 .4797 L
.4817 .47977 L
.48321 .48169 L
.48362 .48216 L
.48484 .48362 L
.48555 .48485 L
.48599 .48555 L
.48744 .48747 L
.48747 .48753 L
.4888 .4894 L
.4894 .48967 L
.49034 .49133 L
.49133 .4929 L
.49146 .49326 L
.49268 .49518 L
.49326 .49632 L
.49358 .49711 L
.49326 .49805 L
.49133 .4979 L
.49013 .49711 L
.4894 .4963 L
.4881 .49518 L
.48747 .49431 L
.48614 .49326 L
.48555 .4919 L
.48495 .49133 L
.48362 .48948 L
.48359 .4894 L
.48199 .48747 L
.48169 .48712 L
.48034 .48555 L
.47977 .48448 L
.4792 .48362 L
.47784 .48183 L
.47772 .48169 L
.47634 .47977 L
.47591 .47947 L
.47476 .47784 L
.47399 .47661 L
.47364 .47591 L
.47228 .47399 L
.47206 .47365 L
.47105 .47206 L
.47013 .47039 L
.46995 .47013 L
F
1 .71 0 r
.47013 .51034 m
.4704 .5106 L
.47206 .51224 L
.47231 .51253 L
.47399 .51444 L
.47399 .51445 L
.47557 .51638 L
.47591 .51677 L
.47714 .51831 L
.47784 .51914 L
.47871 .52023 L
.47977 .52124 L
.48025 .52216 L
.48169 .524 L
.48179 .52409 L
.48324 .52601 L
.48362 .52649 L
.48473 .52794 L
.48555 .52869 L
.48622 .52987 L
.48747 .53149 L
.48777 .53179 L
.48914 .53372 L
.4894 .53406 L
.49059 .53565 L
.49133 .53634 L
.49205 .53758 L
.49326 .53915 L
.49356 .5395 L
.49492 .54143 L
.49518 .54177 L
.49635 .54336 L
.49711 .54412 L
.49853 .54528 L
.49904 .54695 L
.49925 .54721 L
.50061 .54914 L
.50096 .5496 L
.50202 .55106 L
.50289 .552 L
.50394 .55299 L
.50482 .55487 L
.50485 .55492 L
.50622 .55684 L
.50674 .55755 L
.50762 .55877 L
.50867 .56004 L
.5093 .5607 L
.51039 .56263 L
.5106 .56291 L
.51174 .56455 L
.51253 .56563 L
.51312 .56648 L
.51445 .56832 L
.51452 .56841 L
.5158 .57033 L
.51638 .57114 L
.51713 .57226 L
.51831 .57394 L
.51847 .57419 L
.51972 .57611 L
.52023 .57685 L
.52096 .57804 L
.52216 .57986 L
.52222 .57997 L
.52216 .58163 L
.52069 .57997 L
.52023 .57951 L
.51904 .57804 L
.51831 .57723 L
.51743 .57611 L
.51638 .57488 L
.51585 .57419 L
.51445 .57257 L
.51429 .57226 L
.51279 .57033 L
.51253 .57001 L
.51131 .56841 L
.5106 .56752 L
.50982 .56648 L
.50867 .56519 L
.50832 .56455 L
.50685 .56263 L
.50674 .56249 L
.50542 .5607 L
.50482 .55994 L
.50396 .55877 L
.50289 .55756 L
.50203 .55684 L
.50105 .55492 L
.50096 .55481 L
.49964 .55299 L
.49904 .55221 L
.49821 .55106 L
.49711 .54978 L
.49642 .54914 L
.49534 .54721 L
.49518 .54701 L
.49395 .54528 L
.49326 .54438 L
.49253 .54336 L
.49133 .54187 L
.49089 .54143 L
.4897 .5395 L
.4894 .53911 L
.48832 .53758 L
.48747 .53645 L
.48691 .53565 L
.48555 .53383 L
.48545 .53372 L
.48414 .53179 L
.48362 .5311 L
.48277 .52987 L
.48169 .52841 L
.48137 .52794 L
.48 .52601 L
.47977 .5257 L
.47868 .52409 L
.47784 .52295 L
.47732 .52216 L
.47593 .52023 L
.47591 .5202 L
.47469 .51831 L
.47399 .51734 L
.47339 .51638 L
.47206 .51446 L
.47205 .51445 L
.47098 .51253 L
.47013 .51116 L
.46995 .5106 L
F
1 .84 0 r
.47013 .46881 m
.47206 .46862 L
.47383 .47013 L
.47399 .47026 L
.47569 .47206 L
.47591 .47231 L
.4773 .47399 L
.47784 .4747 L
.4791 .47591 L
.47977 .47723 L
.48028 .47784 L
.48169 .47972 L
.4817 .47977 L
.48318 .48169 L
.48362 .48219 L
.48482 .48362 L
.48555 .48487 L
.48597 .48555 L
.48741 .48747 L
.48747 .48756 L
.48878 .4894 L
.4894 .48971 L
.49031 .49133 L
.49133 .49298 L
.49143 .49326 L
.49262 .49518 L
.49326 .49649 L
.49348 .49711 L
.49326 .49785 L
.49133 .4978 L
.49025 .49711 L
.4894 .49621 L
.48816 .49518 L
.48747 .49424 L
.48618 .49326 L
.48555 .49187 L
.48498 .49133 L
.48362 .48946 L
.48359 .4894 L
.48202 .48747 L
.48169 .48709 L
.48036 .48555 L
.47977 .48445 L
.47921 .48362 L
.47784 .48181 L
.47775 .48169 L
.47636 .47977 L
.47591 .47944 L
.47479 .47784 L
.47399 .47656 L
.47367 .47591 L
.47232 .47399 L
.47206 .47359 L
.47109 .47206 L
.47013 .47024 L
.47006 .47013 L
F
0 .38 1 r
.47013 .47587 m
.47025 .47591 L
.47206 .47731 L
.47251 .47784 L
.47399 .4795 L
.47419 .47977 L
.47569 .48169 L
.47591 .48198 L
.47704 .48362 L
.47784 .48472 L
.47836 .48555 L
.47784 .48731 L
.4763 .48555 L
.47591 .48511 L
.47475 .48362 L
.47399 .48265 L
.47329 .48169 L
.47206 .47997 L
.47192 .47977 L
.4708 .47784 L
.47013 .47644 L
.47008 .47591 L
F
1 .83 0 r
.47206 .46868 m
.47373 .47013 L
.47399 .47032 L
.47564 .47206 L
.47591 .47237 L
.47726 .47399 L
.47784 .47474 L
.47907 .47591 L
.47977 .47727 L
.48025 .47784 L
.48169 .47973 L
.4817 .47977 L
.48316 .48169 L
.48362 .48222 L
.4848 .48362 L
.48555 .4849 L
.48595 .48555 L
.48739 .48747 L
.48747 .48759 L
.48875 .4894 L
.4894 .48974 L
.49029 .49133 L
.49133 .49306 L
.4914 .49326 L
.49257 .49518 L
.49326 .4967 L
.49337 .49711 L
.49326 .49761 L
.49133 .4977 L
.49037 .49711 L
.4894 .49613 L
.48822 .49518 L
.48747 .49418 L
.48621 .49326 L
.48555 .49183 L
.48501 .49133 L
.48362 .48945 L
.4836 .4894 L
.48204 .48747 L
.48169 .48706 L
.48038 .48555 L
.47977 .48442 L
.47923 .48362 L
.47784 .48178 L
.47777 .48169 L
.47639 .47977 L
.47591 .47942 L
.47481 .47784 L
.47399 .47651 L
.47369 .47591 L
.47236 .47399 L
.47206 .47352 L
.47114 .47206 L
.47017 .47013 L
F
1 .82 0 r
.47206 .46873 m
.47363 .47013 L
.47399 .47039 L
.47558 .47206 L
.47591 .47242 L
.47722 .47399 L
.47784 .47479 L
.47904 .47591 L
.47977 .4773 L
.48023 .47784 L
.48169 .47975 L
.48169 .47977 L
.48314 .48169 L
.48362 .48224 L
.48478 .48362 L
.48555 .48493 L
.48593 .48555 L
.48736 .48747 L
.48747 .48763 L
.48873 .4894 L
.4894 .48978 L
.49026 .49133 L
.49133 .49314 L
.49137 .49326 L
.49251 .49518 L
.49326 .49706 L
.49326 .49711 L
.49326 .49719 L
.49133 .4976 L
.4905 .49711 L
.4894 .49605 L
.48828 .49518 L
.48747 .49413 L
.48625 .49326 L
.48555 .49179 L
.48504 .49133 L
.48362 .48944 L
.4836 .4894 L
.48207 .48747 L
.48169 .48703 L
.4804 .48555 L
.47977 .48439 L
.47925 .48362 L
.47784 .48175 L
.47779 .48169 L
.47641 .47977 L
.47591 .47939 L
.47483 .47784 L
.47399 .47646 L
.47372 .47591 L
.47239 .47399 L
.47206 .47346 L
.4712 .47206 L
.47027 .47013 L
F
1 .81 0 r
.47206 .4688 m
.47353 .47013 L
.47399 .47045 L
.47553 .47206 L
.47591 .47248 L
.47719 .47399 L
.47784 .47483 L
.47902 .47591 L
.47977 .47733 L
.48021 .47784 L
.48169 .47977 L
.48169 .47977 L
.48312 .48169 L
.48362 .48227 L
.48476 .48362 L
.48555 .48496 L
.48591 .48555 L
.48734 .48747 L
.48747 .48766 L
.4887 .4894 L
.4894 .48982 L
.49022 .49133 L
.49133 .49323 L
.49134 .49326 L
.49246 .49518 L
.49312 .49711 L
.49133 .49751 L
.49063 .49711 L
.4894 .49598 L
.48834 .49518 L
.48747 .49407 L
.48629 .49326 L
.48555 .49176 L
.48507 .49133 L
.48362 .48943 L
.48361 .4894 L
.48209 .48747 L
.48169 .487 L
.48042 .48555 L
.47977 .48436 L
.47927 .48362 L
.47784 .48172 L
.47782 .48169 L
.47644 .47977 L
.47591 .47937 L
.47486 .47784 L
.47399 .47642 L
.47374 .47591 L
.47243 .47399 L
.47206 .47339 L
.47125 .47206 L
.47037 .47013 L
F
1 .8 0 r
.47206 .46887 m
.47342 .47013 L
.47399 .47051 L
.47547 .47206 L
.47591 .47253 L
.47715 .47399 L
.47784 .47487 L
.47899 .47591 L
.47977 .47736 L
.48018 .47784 L
.48167 .47977 L
.48169 .47978 L
.48309 .48169 L
.48362 .48229 L
.48474 .48362 L
.48555 .48499 L
.4859 .48555 L
.48732 .48747 L
.48747 .4877 L
.48867 .4894 L
.4894 .48986 L
.49019 .49133 L
.4913 .49326 L
.49133 .4933 L
.4924 .49518 L
.49296 .49711 L
.49133 .49741 L
.49078 .49711 L
.4894 .49591 L
.48841 .49518 L
.48747 .49402 L
.48633 .49326 L
.48555 .49172 L
.4851 .49133 L
.48362 .48942 L
.48361 .4894 L
.48212 .48747 L
.48169 .48697 L
.48044 .48555 L
.47977 .48433 L
.47929 .48362 L
.47784 .4817 L
.47784 .48169 L
.47646 .47977 L
.47591 .47934 L
.47488 .47784 L
.47399 .47637 L
.47377 .47591 L
.47247 .47399 L
.47206 .47333 L
.4713 .47206 L
.47047 .47013 L
F
1 .79 0 r
.47206 .46896 m
.47331 .47013 L
.47399 .47057 L
.47541 .47206 L
.47591 .47258 L
.47711 .47399 L
.47784 .47491 L
.47896 .47591 L
.47977 .47739 L
.48016 .47784 L
.48164 .47977 L
.48169 .4798 L
.48307 .48169 L
.48362 .48232 L
.48472 .48362 L
.48555 .48502 L
.48588 .48555 L
.48729 .48747 L
.48747 .48773 L
.48865 .4894 L
.4894 .4899 L
.49016 .49133 L
.49126 .49326 L
.49133 .49337 L
.49235 .49518 L
.49278 .49711 L
.49133 .49731 L
.49094 .49711 L
.4894 .49584 L
.48847 .49518 L
.48747 .49396 L
.48637 .49326 L
.48555 .49169 L
.48513 .49133 L
.48362 .48941 L
.48362 .4894 L
.48214 .48747 L
.48169 .48694 L
.48046 .48555 L
.47977 .4843 L
.47931 .48362 L
.47786 .48169 L
.47784 .48166 L
.47648 .47977 L
.47591 .47931 L
.47491 .47784 L
.47399 .47631 L
.47379 .47591 L
.47251 .47399 L
.47206 .47326 L
.47135 .47206 L
.47059 .47013 L
F
1 .78 0 r
.47206 .46906 m
.47319 .47013 L
.47399 .47063 L
.47536 .47206 L
.47591 .47264 L
.47707 .47399 L
.47784 .47495 L
.47893 .47591 L
.47977 .47742 L
.48014 .47784 L
.48162 .47977 L
.48169 .47981 L
.48305 .48169 L
.48362 .48235 L
.4847 .48362 L
.48555 .48505 L
.48586 .48555 L
.48727 .48747 L
.48747 .48776 L
.48862 .4894 L
.4894 .48995 L
.49013 .49133 L
.49122 .49326 L
.49133 .49344 L
.49229 .49518 L
.49255 .49711 L
.49133 .49721 L
.49112 .49711 L
.4894 .49578 L
.48853 .49518 L
.48747 .49391 L
.48642 .49326 L
.48555 .49166 L
.48516 .49133 L
.48364 .4894 L
.48362 .48939 L
.48217 .48747 L
.48169 .48691 L
.48047 .48555 L
.47977 .48427 L
.47933 .48362 L
.47789 .48169 L
.47784 .48163 L
.47651 .47977 L
.47591 .47928 L
.47493 .47784 L
.47399 .47626 L
.47382 .47591 L
.47255 .47399 L
.47206 .47319 L
.4714 .47206 L
.47071 .47013 L
F
1 .77 0 r
.47206 .46918 m
.47306 .47013 L
.47399 .47069 L
.4753 .47206 L
.47591 .47269 L
.47703 .47399 L
.47784 .475 L
.4789 .47591 L
.47977 .47745 L
.48011 .47784 L
.48159 .47977 L
.48169 .47982 L
.48303 .48169 L
.48362 .48237 L
.48468 .48362 L
.48555 .48508 L
.48584 .48555 L
.48724 .48747 L
.48747 .4878 L
.4886 .4894 L
.4894 .49 L
.4901 .49133 L
.49118 .49326 L
.49133 .49351 L
.49223 .49518 L
.49133 .49711 L
.4894 .49573 L
.4886 .49518 L
.48747 .49387 L
.48646 .49326 L
.48555 .49163 L
.48519 .49133 L
.48366 .4894 L
.48362 .48937 L
.4822 .48747 L
.48169 .48688 L
.4805 .48555 L
.47977 .48424 L
.47935 .48362 L
.47791 .48169 L
.47784 .4816 L
.47653 .47977 L
.47591 .47925 L
.47496 .47784 L
.47399 .47621 L
.47385 .47591 L
.47259 .47399 L
.47206 .47311 L
.47146 .47206 L
.47084 .47013 L
F
0 .37 1 r
.47206 .47739 m
.47246 .47784 L
.47399 .47955 L
.47415 .47977 L
.47564 .48169 L
.47591 .48204 L
.477 .48362 L
.47784 .48479 L
.47831 .48555 L
.47784 .48723 L
.47636 .48555 L
.47591 .48505 L
.4748 .48362 L
.47399 .48259 L
.47334 .48169 L
.47206 .4799 L
.47197 .47977 L
.47088 .47784 L
F
1 .79 0 r
.47206 .4103 m
.47214 .4104 L
.47388 .41232 L
.47399 .41243 L
.4755 .41425 L
.47591 .4147 L
.47709 .41618 L
.47784 .41705 L
.47867 .41811 L
.47977 .41922 L
.48023 .42003 L
.48169 .42187 L
.48179 .42196 L
.48324 .42389 L
.48362 .42435 L
.48473 .42581 L
.48555 .42661 L
.48622 .42774 L
.48747 .42933 L
.4878 .42967 L
.48916 .43159 L
.4894 .4319 L
.49061 .43352 L
.49133 .43422 L
.49207 .43545 L
.49326 .43697 L
.49362 .43737 L
.49497 .4393 L
.49518 .43958 L
.49639 .44123 L
.49711 .44195 L
.49849 .44316 L
.49904 .44472 L
.49934 .44508 L
.50069 .44701 L
.50096 .44736 L
.50211 .44894 L
.50289 .44976 L
.50404 .45086 L
.50482 .45255 L
.50501 .45279 L
.50637 .45472 L
.50674 .45521 L
.50777 .45664 L
.50867 .45764 L
.50957 .45857 L
.5106 .46046 L
.51063 .4605 L
.512 .46242 L
.51253 .46312 L
.5134 .46435 L
.51445 .46561 L
.51506 .46628 L
.51622 .46821 L
.51638 .46842 L
.51758 .47013 L
.51831 .4711 L
.51898 .47206 L
.52023 .47368 L
.52049 .47399 L
.52174 .47591 L
.52216 .47647 L
.5231 .47784 L
.52409 .47917 L
.52449 .47977 L
.52587 .48169 L
.52601 .48188 L
.52718 .48362 L
.52794 .48465 L
.52853 .48555 L
.52987 .4874 L
.52991 .48747 L
.53117 .4894 L
.53179 .49027 L
.53245 .49133 L
.53372 .49316 L
.53378 .49326 L
.53489 .49518 L
.53565 .49637 L
.53596 .49711 L
.53565 .49765 L
.53511 .49711 L
.53372 .49571 L
.53326 .49518 L
.53179 .49376 L
.53156 .49326 L
.52994 .49133 L
.52987 .49124 L
.52836 .4894 L
.52794 .4889 L
.52679 .48747 L
.52601 .4869 L
.52524 .48555 L
.52409 .48414 L
.5235 .48362 L
.5222 .48169 L
.52216 .48164 L
.52071 .47977 L
.52023 .47942 L
.51921 .47784 L
.51831 .47671 L
.51753 .47591 L
.51638 .47413 L
.51628 .47399 L
.5148 .47206 L
.51445 .47179 L
.51333 .47013 L
.51253 .4691 L
.51174 .46821 L
.5106 .46648 L
.51047 .46628 L
.509 .46435 L
.50867 .46408 L
.50756 .46242 L
.50674 .46138 L
.50602 .4605 L
.50482 .45873 L
.50473 .45857 L
.50328 .45664 L
.50289 .45631 L
.50111 .45472 L
.50096 .45357 L
.50036 .45279 L
.49904 .4509 L
.49902 .45086 L
.49761 .44894 L
.49711 .44847 L
.49563 .44701 L
.49518 .44567 L
.49474 .44508 L
.49339 .44316 L
.49326 .44298 L
.49199 .44123 L
.49133 .44055 L
.49016 .4393 L
.4894 .43769 L
.48918 .43737 L
.48782 .43545 L
.48747 .43498 L
.48644 .43352 L
.48555 .43249 L
.48476 .43159 L
.48368 .42967 L
.48362 .42959 L
.48234 .42774 L
.48169 .42685 L
.48097 .42581 L
.47977 .42421 L
.47951 .42389 L
.4783 .42196 L
.47784 .42132 L
.47698 .42003 L
.47591 .41851 L
.47564 .41811 L
.47438 .41618 L
.47399 .41561 L
.47315 .41425 L
.47206 .41261 L
.47189 .41232 L
.47089 .4104 L
F
0 .36 1 r
.47206 .47746 m
.47239 .47784 L
.47399 .47961 L
.47411 .47977 L
.47559 .48169 L
.47591 .4821 L
.47695 .48362 L
.47784 .48486 L
.47826 .48555 L
.47784 .48714 L
.47643 .48555 L
.47591 .48498 L
.47485 .48362 L
.47399 .48253 L
.47339 .48169 L
.47206 .47983 L
.47202 .47977 L
.47096 .47784 L
F
1 .76 0 r
.47206 .46932 m
.47292 .47013 L
.47399 .47075 L
.47524 .47206 L
.47591 .47274 L
.47699 .47399 L
.47784 .47504 L
.47886 .47591 L
.47977 .47748 L
.48009 .47784 L
.48157 .47977 L
.48169 .47983 L
.483 .48169 L
.48362 .4824 L
.48466 .48362 L
.48555 .48512 L
.48582 .48555 L
.48722 .48747 L
.48747 .48783 L
.48857 .4894 L
.4894 .49005 L
.49006 .49133 L
.49114 .49326 L
.49133 .49358 L
.49217 .49518 L
.49133 .497 L
.4894 .49567 L
.48866 .49518 L
.48747 .49382 L
.48651 .49326 L
.48555 .4916 L
.48522 .49133 L
.48369 .4894 L
.48362 .48935 L
.48222 .48747 L
.48169 .48685 L
.48052 .48555 L
.47977 .48421 L
.47937 .48362 L
.47793 .48169 L
.47784 .48157 L
.47656 .47977 L
.47591 .47922 L
.47499 .47784 L
.47399 .47615 L
.47387 .47591 L
.47263 .47399 L
.47206 .47303 L
.47151 .47206 L
.47098 .47013 L
F
0 .35 1 r
.47206 .47754 m
.47233 .47784 L
.47399 .47967 L
.47406 .47977 L
.47554 .48169 L
.47591 .48216 L
.4769 .48362 L
.47784 .48493 L
.47821 .48555 L
.47784 .48705 L
.4765 .48555 L
.47591 .48492 L
.47491 .48362 L
.47399 .48247 L
.47343 .48169 L
.47207 .47977 L
.47206 .47975 L
.47104 .47784 L
F
1 .75 0 r
.47206 .46949 m
.47277 .47013 L
.47399 .47081 L
.47518 .47206 L
.47591 .47279 L
.47695 .47399 L
.47784 .47508 L
.47883 .47591 L
.47977 .47751 L
.48006 .47784 L
.48154 .47977 L
.48169 .47985 L
.48298 .48169 L
.48362 .48243 L
.48464 .48362 L
.48555 .48515 L
.4858 .48555 L
.48719 .48747 L
.48747 .48787 L
.48854 .4894 L
.4894 .49011 L
.49003 .49133 L
.49109 .49326 L
.49133 .49366 L
.49211 .49518 L
.49133 .4969 L
.4894 .49562 L
.48873 .49518 L
.48747 .49377 L
.48656 .49326 L
.48555 .49157 L
.48525 .49133 L
.48372 .4894 L
.48362 .48933 L
.48225 .48747 L
.48169 .48682 L
.48054 .48555 L
.47977 .48418 L
.47939 .48362 L
.47796 .48169 L
.47784 .48153 L
.47658 .47977 L
.47591 .47919 L
.47501 .47784 L
.47399 .47609 L
.4739 .47591 L
.47267 .47399 L
.47206 .47295 L
.47156 .47206 L
.47114 .47013 L
F
0 .34 1 r
.47206 .47762 m
.47226 .47784 L
.47399 .47973 L
.47402 .47977 L
.47548 .48169 L
.47591 .48223 L
.47685 .48362 L
.47784 .48501 L
.47816 .48555 L
.47784 .48695 L
.47657 .48555 L
.47591 .48485 L
.47496 .48362 L
.47399 .4824 L
.47348 .48169 L
.47214 .47977 L
.47206 .47965 L
.47114 .47784 L
F
1 .7 0 r
.47206 .51246 m
.47212 .51253 L
.47206 .51426 L
.47121 .51253 L
F
0 .9 1 r
.47206 .40239 m
.47236 .40269 L
.47399 .40402 L
.47428 .40462 L
.47591 .40641 L
.47618 .40654 L
.47766 .40847 L
.47784 .40867 L
.47926 .4104 L
.47977 .41068 L
.48085 .41232 L
.48169 .4133 L
.48293 .41425 L
.48362 .41579 L
.48396 .41618 L
.48545 .41811 L
.48555 .41817 L
.48695 .42003 L
.48747 .42066 L
.48882 .42196 L
.4894 .42324 L
.48992 .42389 L
.49133 .42575 L
.49135 .42581 L
.49285 .42774 L
.49326 .42823 L
.49459 .42967 L
.49518 .43085 L
.49573 .43159 L
.49711 .43341 L
.49712 .43352 L
.49866 .43545 L
.49904 .43592 L
.5003 .43737 L
.50096 .43856 L
.50147 .4393 L
.50289 .44115 L
.50297 .44123 L
.50439 .44316 L
.50482 .44369 L
.50599 .44508 L
.50674 .44635 L
.50717 .44701 L
.50867 .44893 L
.50868 .44894 L
.51009 .45086 L
.5106 .4515 L
.51165 .45279 L
.51253 .45417 L
.51285 .45472 L
.51436 .45664 L
.51445 .45672 L
.51633 .45857 L
.51638 .45934 L
.51729 .4605 L
.51831 .46202 L
.51852 .46242 L
.52002 .46435 L
.52023 .46454 L
.52192 .46628 L
.52216 .46721 L
.52292 .46821 L
.52409 .4699 L
.52419 .47013 L
.52566 .47206 L
.52601 .47238 L
.52751 .47399 L
.52794 .47511 L
.52854 .47591 L
.52987 .4778 L
.52988 .47784 L
.53128 .47977 L
.53179 .48026 L
.53307 .48169 L
.53372 .48303 L
.53414 .48362 L
.53551 .48555 L
.53565 .48573 L
.5369 .48747 L
.53758 .48817 L
.53862 .4894 L
.5395 .49099 L
.53974 .49133 L
.54111 .49326 L
.54143 .49369 L
.54249 .49518 L
.54336 .49615 L
.54414 .49711 L
.54528 .49899 L
.54531 .49904 L
.54667 .50096 L
.54721 .50168 L
.54806 .50289 L
.54914 .50421 L
.54961 .50482 L
.55085 .50674 L
.55106 .50704 L
.5522 .50867 L
.55299 .50975 L
.55358 .5106 L
.55492 .5124 L
.55501 .51253 L
.55631 .51445 L
.55684 .51518 L
.55765 .51638 L
.55877 .51793 L
.55931 .51831 L
.56035 .52023 L
.5607 .52071 L
.56164 .52216 L
.56263 .52355 L
.56297 .52409 L
.56424 .52601 L
.56455 .52646 L
.56542 .52794 L
.56648 .5296 L
.56662 .52987 L
.56648 .53154 L
.56469 .52987 L
.56455 .52974 L
.56289 .52794 L
.56263 .52766 L
.56119 .52601 L
.5607 .52545 L
.55956 .52409 L
.55877 .52322 L
.55796 .52216 L
.55684 .52075 L
.55634 .52023 L
.55492 .51834 L
.55489 .51831 L
.55336 .51638 L
.55299 .51593 L
.55133 .51445 L
.55106 .5134 L
.55036 .51253 L
.54914 .51087 L
.54901 .5106 L
.5474 .50867 L
.54721 .50843 L
.54567 .50674 L
.54528 .50585 L
.54454 .50482 L
.54336 .50325 L
.54329 .50289 L
.54155 .50096 L
.54143 .50081 L
.53995 .49904 L
.5395 .49819 L
.53878 .49711 L
.53758 .49555 L
.53719 .49518 L
.53576 .49326 L
.53565 .4931 L
.53423 .49133 L
.53372 .49046 L
.53306 .4894 L
.53179 .4878 L
.53145 .48747 L
.53003 .48555 L
.52987 .48533 L
.52854 .48362 L
.52794 .48267 L
.52738 .48169 L
.52601 .48002 L
.52574 .47977 L
.52433 .47784 L
.52409 .47751 L
.52288 .47591 L
.52216 .47484 L
.52171 .47399 L
.52023 .47221 L
.52007 .47206 L
.51836 .47013 L
.51831 .46966 L
.51723 .46821 L
.51638 .46698 L
.51606 .46628 L
.51445 .46438 L
.51442 .46435 L
.51271 .46242 L
.51253 .46179 L
.5116 .4605 L
.5106 .4591 L
.51041 .45857 L
.50879 .45664 L
.50867 .45654 L
.50709 .45472 L
.50674 .45389 L
.50599 .45279 L
.50482 .45119 L
.50474 .45086 L
.50317 .44894 L
.50289 .44867 L
.50149 .44701 L
.50096 .44596 L
.50039 .44508 L
.49904 .44326 L
.49903 .44316 L
.49757 .44123 L
.49711 .44076 L
.49593 .4393 L
.49518 .43799 L
.4948 .43737 L
.49338 .43545 L
.49326 .43528 L
.492 .43352 L
.49133 .43278 L
.49041 .43159 L
.4894 .42995 L
.48923 .42967 L
.48785 .42774 L
.48747 .42722 L
.48648 .42581 L
.48555 .42468 L
.48496 .42389 L
.48373 .42196 L
.48362 .42181 L
.4824 .42003 L
.48169 .41905 L
.48037 .41811 L
.47977 .41635 L
.47965 .41618 L
.47838 .41425 L
.47784 .41348 L
.47707 .41232 L
.47591 .41065 L
.47556 .4104 L
.47452 .40847 L
.47399 .40768 L
.47331 .40654 L
.47209 .40462 L
.47206 .40456 L
.47124 .40269 L
F
0 .33 1 r
.47206 .47771 m
.47218 .47784 L
.47206 .47954 L
.47126 .47784 L
F
1 .74 0 r
.47206 .46968 m
.47259 .47013 L
.47399 .47086 L
.47512 .47206 L
.47591 .47284 L
.47691 .47399 L
.47784 .47512 L
.4788 .47591 L
.47977 .47754 L
.48004 .47784 L
.48152 .47977 L
.48169 .47986 L
.48296 .48169 L
.48362 .48246 L
.48462 .48362 L
.48555 .48518 L
.48578 .48555 L
.48717 .48747 L
.48747 .4879 L
.48852 .4894 L
.4894 .49017 L
.48999 .49133 L
.49105 .49326 L
.49133 .49374 L
.49205 .49518 L
.49133 .49679 L
.4894 .49557 L
.4888 .49518 L
.48747 .49373 L
.48662 .49326 L
.48555 .49154 L
.48528 .49133 L
.48375 .4894 L
.48362 .48931 L
.48227 .48747 L
.48169 .48679 L
.48056 .48555 L
.47977 .48415 L
.47941 .48362 L
.47798 .48169 L
.47784 .4815 L
.47661 .47977 L
.47591 .47916 L
.47504 .47784 L
.47399 .47603 L
.47393 .47591 L
.47271 .47399 L
.47206 .47287 L
.47162 .47206 L
.47132 .47013 L
F
0 .91 1 r
.47206 .50414 m
.47279 .50482 L
.47399 .50602 L
.47465 .50674 L
.47591 .50801 L
.47635 .50867 L
.47784 .51046 L
.47801 .5106 L
.4795 .51253 L
.47977 .51285 L
.48105 .51445 L
.48169 .51515 L
.48257 .51638 L
.48362 .51774 L
.48415 .51831 L
.48554 .52023 L
.48555 .52025 L
.48703 .52216 L
.48747 .52269 L
.48905 .52409 L
.4894 .52527 L
.48998 .52601 L
.49133 .52781 L
.49138 .52794 L
.49292 .52987 L
.49326 .53029 L
.49465 .53179 L
.49518 .5329 L
.49575 .53372 L
.49711 .53546 L
.49711 .53565 L
.49874 .53758 L
.49904 .53795 L
.50035 .5395 L
.50096 .54058 L
.5015 .54143 L
.50289 .54317 L
.50308 .54336 L
.50451 .54528 L
.50482 .54568 L
.50606 .54721 L
.50674 .54833 L
.50722 .54914 L
.50867 .55093 L
.50881 .55106 L
.51023 .55299 L
.5106 .55346 L
.51173 .55492 L
.51253 .55613 L
.51291 .55684 L
.51445 .55873 L
.51449 .55877 L
.51591 .5607 L
.51638 .5613 L
.51737 .56263 L
.51831 .56399 L
.51858 .56455 L
.52014 .56648 L
.52023 .56655 L
.52201 .56841 L
.52216 .56919 L
.52299 .57033 L
.52409 .57189 L
.52424 .57226 L
.52576 .57419 L
.52601 .5744 L
.52757 .57611 L
.52794 .57713 L
.52858 .57804 L
.52987 .57985 L
.52991 .57997 L
.53134 .58189 L
.53179 .58232 L
.53309 .58382 L
.53372 .58514 L
.53413 .58575 L
.5355 .58768 L
.53565 .58788 L
.53687 .5896 L
.53758 .59035 L
.53853 .59153 L
.5395 .59327 L
.53962 .59346 L
.54096 .59538 L
.54143 .59603 L
.54232 .59731 L
.54336 .59862 L
.54383 .59924 L
.545 .60116 L
.54528 .60157 L
.5463 .60309 L
.54721 .6044 L
.54762 .60502 L
.5489 .60694 L
.54914 .60729 L
.55012 .60887 L
.55106 .6103 L
.55136 .6108 L
.55243 .61273 L
.55299 .61374 L
.55323 .61465 L
.55299 .61481 L
.5528 .61465 L
.55106 .61309 L
.55075 .61273 L
.54914 .61107 L
.54899 .6108 L
.54734 .60887 L
.54721 .60872 L
.54576 .60694 L
.54528 .60639 L
.54419 .60502 L
.54336 .60425 L
.54264 .60309 L
.54143 .60162 L
.54093 .60116 L
.53959 .59924 L
.5395 .59913 L
.53811 .59731 L
.53758 .59683 L
.53662 .59538 L
.53565 .59417 L
.53495 .59346 L
.53372 .5916 L
.53367 .59153 L
.53222 .5896 L
.53179 .58921 L
.53077 .58768 L
.52987 .58655 L
.52915 .58575 L
.52794 .58393 L
.52787 .58382 L
.52643 .58189 L
.52601 .5815 L
.52499 .57997 L
.52409 .57882 L
.52343 .57804 L
.52216 .57618 L
.52212 .57611 L
.5207 .57419 L
.52023 .57373 L
.51866 .57226 L
.51831 .57102 L
.51775 .57033 L
.51641 .56841 L
.51638 .56837 L
.51501 .56648 L
.51445 .56592 L
.51309 .56455 L
.51253 .56317 L
.5121 .56263 L
.51075 .5607 L
.5106 .56051 L
.50935 .55877 L
.50867 .55806 L
.50753 .55684 L
.50674 .55528 L
.50647 .55492 L
.50511 .55299 L
.50482 .55261 L
.50372 .55106 L
.50289 .55015 L
.50198 .54914 L
.50096 .54735 L
.50086 .54721 L
.4995 .54528 L
.49904 .54468 L
.4981 .54336 L
.49711 .54219 L
.49646 .54143 L
.49527 .5395 L
.49518 .53938 L
.49391 .53758 L
.49326 .5367 L
.49252 .53565 L
.49133 .53414 L
.49098 .53372 L
.48973 .53179 L
.4894 .53136 L
.48836 .52987 L
.48747 .52913 L
.48697 .52794 L
.48556 .52601 L
.48555 .526 L
.48423 .52409 L
.48362 .52326 L
.48287 .52216 L
.48169 .52076 L
.48124 .52023 L
.48014 .51831 L
.47977 .5178 L
.47883 .51638 L
.47784 .51502 L
.47747 .51445 L
.47614 .51253 L
.47591 .51222 L
.47489 .5106 L
.47399 .50931 L
.4736 .50867 L
.47237 .50674 L
.47206 .50626 L
.47135 .50482 L
F
0 .32 1 r
.47206 .4778 m
.4721 .47784 L
.47206 .47942 L
.47141 .47784 L
F
1 .95 0 r
.47206 .44425 m
.47285 .44508 L
.47399 .44628 L
.47459 .44701 L
.47591 .44853 L
.47618 .44894 L
.47771 .45086 L
.47784 .45102 L
.4792 .45279 L
.47977 .45354 L
.48064 .45472 L
.48169 .45601 L
.48225 .45664 L
.48332 .45857 L
.48362 .45906 L
.48447 .4605 L
.48362 .46225 L
.48169 .46052 L
.48168 .4605 L
.48008 .45857 L
.47977 .45819 L
.47863 .45664 L
.47784 .45561 L
.47722 .45472 L
.47591 .45292 L
.47583 .45279 L
.47458 .45086 L
.47399 .44997 L
.47339 .44894 L
.47226 .44701 L
.47206 .44664 L
.47144 .44508 L
F
1 .97 0 r
.47206 .39447 m
.47266 .39498 L
.47399 .39617 L
.4747 .39691 L
.47591 .39809 L
.47651 .39884 L
.47784 .40037 L
.47836 .40076 L
.47977 .40262 L
.47983 .40269 L
.48145 .40462 L
.48169 .40489 L
.48303 .40654 L
.48362 .40732 L
.48469 .40847 L
.48555 .40982 L
.48595 .4104 L
.48747 .41226 L
.48762 .41232 L
.48911 .41425 L
.4894 .41466 L
.49063 .41618 L
.49133 .41727 L
.49183 .41811 L
.49326 .41989 L
.49355 .42003 L
.495 .42196 L
.49518 .42223 L
.49644 .42389 L
.49711 .4249 L
.4976 .42581 L
.49904 .4276 L
.49935 .42774 L
.5009 .42967 L
.50096 .42994 L
.50217 .43159 L
.50289 .43265 L
.50329 .43352 L
.50482 .43535 L
.50508 .43545 L
.50661 .43737 L
.50674 .43774 L
.50785 .4393 L
.50867 .44046 L
.50894 .44123 L
.5106 .44311 L
.51077 .44316 L
.5123 .44508 L
.51253 .44558 L
.51351 .44701 L
.51445 .4483 L
.51458 .44894 L
.51638 .45085 L
.51644 .45086 L
.51797 .45279 L
.51831 .45344 L
.51915 .45472 L
.52023 .45615 L
.5207 .45664 L
.5221 .45857 L
.52216 .45865 L
.52362 .4605 L
.52409 .46132 L
.52479 .46242 L
.52601 .464 L
.52635 .46435 L
.52775 .46628 L
.52794 .46652 L
.52926 .46821 L
.52987 .4692 L
.53042 .47013 L
.53179 .47186 L
.53199 .47206 L
.53339 .47399 L
.53372 .4744 L
.53489 .47591 L
.53565 .47708 L
.53605 .47784 L
.53758 .47971 L
.53763 .47977 L
.53941 .48169 L
.5395 .48228 L
.54051 .48362 L
.54143 .48497 L
.5417 .48555 L
.54327 .48747 L
.54336 .48755 L
.54504 .4894 L
.54528 .49017 L
.54613 .49133 L
.54721 .49287 L
.54736 .49326 L
.5489 .49518 L
.54914 .49539 L
.55065 .49711 L
.55106 .49807 L
.55175 .49904 L
.55299 .50077 L
.55304 .50096 L
.55453 .50289 L
.55492 .50325 L
.55625 .50482 L
.55684 .50598 L
.55736 .50674 L
.55877 .50867 L
.55877 .50868 L
.56015 .5106 L
.5607 .51113 L
.56184 .51253 L
.56263 .51391 L
.56298 .51445 L
.56438 .51638 L
.56455 .51661 L
.56577 .51831 L
.56648 .51905 L
.56741 .52023 L
.56841 .52186 L
.56859 .52216 L
.56998 .52409 L
.57033 .52455 L
.57137 .52601 L
.57226 .527 L
.57296 .52794 L
.57419 .52983 L
.57421 .52987 L
.57557 .53179 L
.57611 .53252 L
.57765 .53372 L
.57804 .53502 L
.5785 .53565 L
.57977 .53758 L
.57997 .53783 L
.58113 .5395 L
.58189 .54053 L
.58308 .54143 L
.58382 .54313 L
.58398 .54336 L
.58528 .54528 L
.58575 .54591 L
.58664 .54721 L
.58768 .54862 L
.5884 .54914 L
.58939 .55106 L
.5896 .55136 L
.59068 .55299 L
.59153 .55416 L
.59202 .55492 L
.59336 .55684 L
.59346 .55698 L
.59454 .55877 L
.59538 .56 L
.59577 .5607 L
.5969 .56263 L
.59731 .5633 L
.59759 .56455 L
.59731 .56464 L
.59723 .56455 L
.59538 .56282 L
.59528 .56263 L
.59353 .5607 L
.59346 .56062 L
.59181 .55877 L
.59153 .55848 L
.59009 .55684 L
.5896 .55645 L
.58837 .55492 L
.58768 .55395 L
.58676 .55299 L
.58575 .55133 L
.58503 .55106 L
.58382 .54959 L
.58343 .54914 L
.58189 .54723 L
.58187 .54721 L
.58014 .54528 L
.57997 .54473 L
.579 .54336 L
.57804 .542 L
.57723 .54143 L
.57611 .53995 L
.57575 .5395 L
.57423 .53758 L
.57419 .5374 L
.57292 .53565 L
.57226 .5347 L
.57179 .53372 L
.57033 .53235 L
.5699 .53179 L
.56845 .52987 L
.56841 .52975 L
.56713 .52794 L
.56648 .52702 L
.56605 .52601 L
.56455 .52424 L
.56416 .52409 L
.56272 .52216 L
.56263 .52196 L
.56144 .52023 L
.5607 .51922 L
.56044 .51831 L
.55877 .51678 L
.55847 .51638 L
.55703 .51445 L
.55684 .51412 L
.5558 .51253 L
.55492 .51137 L
.55419 .5106 L
.55299 .50893 L
.5528 .50867 L
.55136 .50674 L
.55106 .50625 L
.55017 .50482 L
.54914 .5035 L
.54853 .50289 L
.54721 .50105 L
.54714 .50096 L
.54571 .49904 L
.54528 .49837 L
.54456 .49711 L
.54336 .49564 L
.54288 .49518 L
.54149 .49326 L
.54143 .49317 L
.54007 .49133 L
.5395 .49049 L
.53894 .4894 L
.53758 .48779 L
.53724 .48747 L
.5357 .48555 L
.53565 .48529 L
.53444 .48362 L
.53372 .4826 L
.53332 .48169 L
.53179 .47994 L
.5316 .47977 L
.53002 .47784 L
.52987 .4774 L
.52882 .47591 L
.52794 .47471 L
.52769 .47399 L
.52601 .4721 L
.52597 .47206 L
.52436 .47013 L
.52409 .46951 L
.52319 .46821 L
.52216 .46682 L
.52205 .46628 L
.52033 .46435 L
.52023 .46425 L
.51873 .46242 L
.51831 .46161 L
.51758 .4605 L
.51638 .45892 L
.51638 .45857 L
.51471 .45664 L
.51445 .45639 L
.51311 .45472 L
.51253 .45371 L
.51196 .45279 L
.5106 .45102 L
.51047 .45086 L
.50908 .44894 L
.50867 .44851 L
.5075 .44701 L
.50674 .44579 L
.50634 .44508 L
.50486 .44316 L
.50482 .4431 L
.50347 .44123 L
.50289 .44061 L
.50191 .4393 L
.50096 .43785 L
.50071 .43737 L
.49925 .43545 L
.49904 .43515 L
.49727 .43352 L
.49711 .43267 L
.49634 .43159 L
.49518 .42987 L
.49508 .42967 L
.49367 .42774 L
.49326 .42718 L
.49175 .42581 L
.49133 .42466 L
.49079 .42389 L
.48948 .42196 L
.4894 .42185 L
.48812 .42003 L
.48747 .41963 L
.4863 .41811 L
.48555 .41656 L
.4853 .41618 L
.48398 .41425 L
.48362 .41376 L
.48264 .41232 L
.48169 .4114 L
.48098 .4104 L
.4799 .40847 L
.47977 .40829 L
.4786 .40654 L
.47784 .40547 L
.47728 .40462 L
.47594 .40269 L
.47591 .40265 L
.47474 .40076 L
.47399 .39965 L
.47351 .39884 L
.47235 .39691 L
.47206 .39642 L
.4715 .39498 L
F
1 .73 0 r
.47206 .4699 m
.47237 .47013 L
.47399 .47093 L
.47506 .47206 L
.47591 .47289 L
.47686 .47399 L
.47784 .47516 L
.47876 .47591 L
.47977 .47757 L
.48001 .47784 L
.48149 .47977 L
.48169 .47987 L
.48293 .48169 L
.48362 .48249 L
.48459 .48362 L
.48555 .48521 L
.48576 .48555 L
.48715 .48747 L
.48747 .48794 L
.48849 .4894 L
.4894 .49023 L
.48995 .49133 L
.49101 .49326 L
.49133 .49382 L
.49198 .49518 L
.49133 .49669 L
.4894 .49552 L
.48886 .49518 L
.48747 .49369 L
.48667 .49326 L
.48555 .49151 L
.48531 .49133 L
.48378 .4894 L
.48362 .48929 L
.4823 .48747 L
.48169 .48676 L
.48058 .48555 L
.47977 .48412 L
.47943 .48362 L
.47801 .48169 L
.47784 .48147 L
.47663 .47977 L
.47591 .47912 L
.47507 .47784 L
.47399 .47597 L
.47396 .47591 L
.47275 .47399 L
.47206 .47278 L
.47168 .47206 L
.47157 .47013 L
F
1 .79 0 r
.47206 .42647 m
.4729 .42774 L
.47399 .42909 L
.47436 .42967 L
.47399 .4309 L
.47311 .42967 L
.47206 .42835 L
.47163 .42774 L
F
1 .23 0 r
.47206 .52829 m
.47307 .52987 L
.47399 .53108 L
.47443 .53179 L
.47399 .53274 L
.4733 .53179 L
.47206 .53035 L
.47171 .52987 L
F
0 .73 1 r
.47206 .41828 m
.47343 .42003 L
.47399 .42066 L
.47497 .42196 L
.47591 .42308 L
.47651 .42389 L
.47784 .42553 L
.47805 .42581 L
.47952 .42774 L
.47977 .42804 L
.48096 .42967 L
.48169 .43058 L
.48243 .43159 L
.48362 .43312 L
.48391 .43352 L
.48535 .43545 L
.48555 .43569 L
.48675 .43737 L
.48747 .4383 L
.48818 .4393 L
.4894 .44089 L
.48964 .44123 L
.49104 .44316 L
.49133 .44352 L
.49241 .44508 L
.49326 .44618 L
.49383 .44701 L
.49518 .44882 L
.49526 .44894 L
.4966 .45086 L
.49711 .45153 L
.49795 .45279 L
.49904 .45424 L
.49935 .45472 L
.50071 .45664 L
.50096 .45699 L
.50197 .45857 L
.50289 .45982 L
.50331 .4605 L
.50289 .46204 L
.50166 .4605 L
.50096 .4597 L
.50008 .45857 L
.49904 .4573 L
.49853 .45664 L
.49711 .45494 L
.49701 .45472 L
.49554 .45279 L
.49518 .45235 L
.49407 .45086 L
.49326 .44983 L
.49258 .44894 L
.49133 .44746 L
.49111 .44701 L
.48968 .44508 L
.4894 .44472 L
.48825 .44316 L
.48747 .44214 L
.48681 .44123 L
.48555 .43967 L
.48537 .4393 L
.48398 .43737 L
.48362 .43691 L
.48258 .43545 L
.48169 .43426 L
.48116 .43352 L
.47977 .43162 L
.47974 .43159 L
.47842 .42967 L
.47784 .4289 L
.47704 .42774 L
.47591 .42618 L
.47566 .42581 L
.47434 .42389 L
.47399 .4234 L
.47305 .42196 L
.47206 .42057 L
.47171 .42003 L
F
1 .72 0 r
.47206 .47014 m
.47399 .47099 L
.47499 .47206 L
.47591 .47294 L
.47682 .47399 L
.47784 .4752 L
.47872 .47591 L
.47977 .4776 L
.47999 .47784 L
.48146 .47977 L
.48169 .47989 L
.48291 .48169 L
.48362 .48251 L
.48457 .48362 L
.48555 .48524 L
.48574 .48555 L
.48712 .48747 L
.48747 .48797 L
.48847 .4894 L
.4894 .4903 L
.48992 .49133 L
.49097 .49326 L
.49133 .49391 L
.49191 .49518 L
.49133 .49657 L
.4894 .49547 L
.48894 .49518 L
.48747 .49365 L
.48673 .49326 L
.48555 .49148 L
.48535 .49133 L
.48381 .4894 L
.48362 .48927 L
.48232 .48747 L
.48169 .48673 L
.4806 .48555 L
.47977 .48409 L
.47945 .48362 L
.47803 .48169 L
.47784 .48143 L
.47666 .47977 L
.47591 .47908 L
.4751 .47784 L
.47399 .47591 L
.47399 .47591 L
.47279 .47399 L
.47206 .47269 L
.47174 .47206 L
F
0 .85 1 r
.47206 .45306 m
.47337 .45472 L
.47399 .45551 L
.47476 .45664 L
.47399 .45758 L
.47326 .45664 L
.47206 .45519 L
.47175 .45472 L
F
1 .22 0 r
.47206 .52838 m
.473 .52987 L
.47399 .53118 L
.47436 .53179 L
.47399 .53263 L
.47338 .53179 L
.47206 .53027 L
.47177 .52987 L
F
1 .71 0 r
.47206 .47028 m
.47399 .47105 L
.47493 .47206 L
.47591 .47299 L
.47678 .47399 L
.47784 .47524 L
.47869 .47591 L
.47977 .47763 L
.47996 .47784 L
.48144 .47977 L
.48169 .4799 L
.48289 .48169 L
.48362 .48254 L
.48455 .48362 L
.48555 .48527 L
.48572 .48555 L
.4871 .48747 L
.48747 .48801 L
.48844 .4894 L
.4894 .49036 L
.48988 .49133 L
.49092 .49326 L
.49133 .49401 L
.49185 .49518 L
.49133 .49646 L
.4894 .49542 L
.48901 .49518 L
.48747 .4936 L
.48679 .49326 L
.48555 .49145 L
.48538 .49133 L
.48384 .4894 L
.48362 .48925 L
.48235 .48747 L
.48169 .4867 L
.48063 .48555 L
.47977 .48405 L
.47947 .48362 L
.47806 .48169 L
.47784 .4814 L
.47668 .47977 L
.47591 .47904 L
.47513 .47784 L
.47402 .47591 L
.47399 .47586 L
.47283 .47399 L
.47206 .47259 L
.4718 .47206 L
F
1 .21 0 r
.47206 .52847 m
.47291 .52987 L
.47399 .5313 L
.47428 .53179 L
.47399 .53251 L
.47347 .53179 L
.47206 .53019 L
.47183 .52987 L
F
1 .99 0 r
.47206 .49823 m
.47399 .49883 L
.47433 .49904 L
.47591 .49966 L
.47784 .50037 L
.47869 .50096 L
.47977 .50216 L
.48046 .50289 L
.48169 .50462 L
.48185 .50482 L
.48326 .50674 L
.48362 .50714 L
.48518 .50867 L
.48555 .50977 L
.48624 .5106 L
.48747 .51246 L
.48752 .51253 L
.4889 .51445 L
.4894 .51503 L
.49049 .51638 L
.49133 .51777 L
.49172 .51831 L
.49308 .52023 L
.49326 .52047 L
.49454 .52216 L
.49518 .52319 L
.4958 .52409 L
.49711 .52591 L
.49715 .52601 L
.49856 .52794 L
.49904 .5286 L
.49969 .52987 L
.50096 .53132 L
.50133 .53179 L
.50266 .53372 L
.50289 .53401 L
.50415 .53565 L
.50482 .5369 L
.50557 .53758 L
.50674 .53924 L
.50695 .5395 L
.50819 .54143 L
.50867 .54202 L
.50982 .54336 L
.5106 .54445 L
.51124 .54528 L
.51253 .54708 L
.51263 .54721 L
.51387 .54914 L
.51445 .54987 L
.51551 .55106 L
.51638 .55229 L
.51692 .55299 L
.5183 .55492 L
.51831 .55493 L
.51955 .55684 L
.52023 .55771 L
.52117 .55877 L
.52216 .56016 L
.52257 .5607 L
.52396 .56263 L
.52409 .56282 L
.52518 .56455 L
.52601 .56558 L
.52682 .56648 L
.52794 .56833 L
.52821 .56841 L
.52961 .57033 L
.52987 .57072 L
.53079 .57226 L
.53179 .57346 L
.53246 .57419 L
.53372 .57609 L
.53385 .57611 L
.53525 .57804 L
.53565 .57862 L
.53638 .57997 L
.53758 .58135 L
.53809 .58189 L
.5395 .58382 L
.5395 .58385 L
.54087 .58575 L
.54143 .58653 L
.54197 .58768 L
.54336 .58923 L
.54372 .5896 L
.54522 .59153 L
.54528 .59175 L
.54648 .59346 L
.54721 .59443 L
.54757 .59538 L
.54914 .5971 L
.54935 .59731 L
.55089 .59924 L
.55106 .59965 L
.55209 .60116 L
.55299 .60234 L
.55318 .60309 L
.55492 .60497 L
.55497 .60502 L
.55653 .60694 L
.55684 .60755 L
.5577 .60887 L
.55877 .61025 L
.55882 .6108 L
.56058 .61273 L
.5607 .61283 L
.56215 .61465 L
.56263 .61548 L
.5633 .61658 L
.56455 .61819 L
.5648 .61851 L
.56618 .62043 L
.56648 .6207 L
.56774 .62236 L
.56841 .62343 L
.56889 .62429 L
.57033 .62615 L
.57038 .62621 L
.57176 .62814 L
.57226 .62862 L
.5733 .63007 L
.57419 .63143 L
.57448 .63199 L
.57593 .63392 L
.57611 .63417 L
.57731 .63585 L
.57804 .63665 L
.57881 .63778 L
.57997 .63954 L
.58005 .6397 L
.58142 .64163 L
.58189 .64229 L
.58336 .64356 L
.58382 .64488 L
.58421 .64548 L
.58546 .64741 L
.58575 .64781 L
.58677 .64934 L
.58768 .65066 L
.58842 .65126 L
.58934 .65319 L
.5896 .65358 L
.59052 .65512 L
.59153 .65675 L
.59169 .65704 L
.59249 .65897 L
.59153 .65936 L
.59108 .65897 L
.5896 .65795 L
.58902 .65704 L
.58768 .65569 L
.5872 .65512 L
.58575 .65346 L
.58544 .65319 L
.58388 .65126 L
.58382 .65123 L
.5823 .64934 L
.58189 .64886 L
.58012 .64741 L
.57997 .64638 L
.57918 .64548 L
.57804 .64386 L
.57786 .64356 L
.57623 .64163 L
.57611 .64148 L
.57441 .6397 L
.57419 .6389 L
.5733 .63778 L
.57226 .63627 L
.57207 .63585 L
.57038 .63392 L
.57033 .63386 L
.5687 .63199 L
.56841 .63123 L
.56754 .63007 L
.56648 .62856 L
.56635 .62814 L
.56463 .62621 L
.56455 .62612 L
.56301 .62429 L
.56263 .62347 L
.56184 .62236 L
.5607 .62078 L
.56066 .62043 L
.55892 .61851 L
.55877 .61831 L
.55733 .61658 L
.55684 .61564 L
.55617 .61465 L
.55492 .61298 L
.55465 .61273 L
.55324 .6108 L
.55299 .61047 L
.55168 .60887 L
.55106 .60779 L
.55051 .60694 L
.54914 .60516 L
.54898 .60502 L
.54758 .60309 L
.54721 .60261 L
.54604 .60116 L
.54528 .59993 L
.54487 .59924 L
.54336 .59733 L
.54333 .59731 L
.54146 .59538 L
.54143 .59474 L
.54041 .59346 L
.5395 .59206 L
.53922 .59153 L
.53768 .5896 L
.53758 .5895 L
.53583 .58768 L
.53565 .58686 L
.53479 .58575 L
.53372 .58418 L
.53356 .58382 L
.53205 .58189 L
.53179 .58165 L
.53023 .57997 L
.52987 .57897 L
.52916 .57804 L
.52794 .5763 L
.52787 .57611 L
.52641 .57419 L
.52601 .57379 L
.52463 .57226 L
.52409 .57108 L
.52354 .57033 L
.52216 .56841 L
.52216 .56841 L
.52078 .56648 L
.52023 .56592 L
.51904 .56455 L
.51831 .56317 L
.51792 .56263 L
.51653 .5607 L
.51638 .5605 L
.51514 .55877 L
.51445 .55803 L
.51345 .55684 L
.51253 .55526 L
.51229 .55492 L
.5109 .55299 L
.5106 .55259 L
.50951 .55106 L
.50867 .55012 L
.50787 .54914 L
.50674 .54734 L
.50666 .54721 L
.50528 .54528 L
.50482 .54467 L
.50388 .54336 L
.50289 .54219 L
.50229 .54143 L
.50103 .5395 L
.50096 .53941 L
.49966 .53758 L
.49904 .53718 L
.4976 .53565 L
.49711 .53422 L
.49672 .53372 L
.49542 .53179 L
.49518 .53148 L
.49405 .52987 L
.49326 .52908 L
.49226 .52794 L
.49133 .52622 L
.49118 .52601 L
.48983 .52409 L
.4894 .52377 L
.48784 .52216 L
.48747 .52095 L
.48691 .52023 L
.48562 .51831 L
.48555 .51825 L
.48425 .51638 L
.48362 .51563 L
.4827 .51445 L
.48169 .5129 L
.48143 .51253 L
.48005 .5106 L
.47977 .51034 L
.4785 .50867 L
.47784 .50768 L
.47722 .50674 L
.47591 .50489 L
.47587 .50482 L
.4745 .50289 L
.47399 .50217 L
.47316 .50096 L
.47206 .49941 L
.47184 .49904 L
F
1 .7 0 r
.47206 .47043 m
.47399 .47112 L
.47486 .47206 L
.47591 .47304 L
.47674 .47399 L
.47784 .47528 L
.47865 .47591 L
.47977 .47766 L
.47994 .47784 L
.48141 .47977 L
.48169 .47992 L
.48286 .48169 L
.48362 .48257 L
.48452 .48362 L
.48555 .48531 L
.4857 .48555 L
.48707 .48747 L
.48747 .48804 L
.48841 .4894 L
.4894 .49044 L
.48984 .49133 L
.49088 .49326 L
.49133 .49411 L
.49178 .49518 L
.49133 .49633 L
.4894 .49537 L
.48909 .49518 L
.48747 .49356 L
.48686 .49326 L
.48555 .49143 L
.48542 .49133 L
.48387 .4894 L
.48362 .48922 L
.48238 .48747 L
.48169 .48667 L
.48065 .48555 L
.47977 .48402 L
.47949 .48362 L
.47808 .48169 L
.47784 .48137 L
.47671 .47977 L
.47591 .479 L
.47516 .47784 L
.47405 .47591 L
.47399 .47581 L
.47287 .47399 L
.47206 .47248 L
.47186 .47206 L
F
0 .72 1 r
.47206 .41853 m
.47324 .42003 L
.47399 .42084 L
.47483 .42196 L
.47591 .42323 L
.4764 .42389 L
.47784 .42566 L
.47796 .42581 L
.47941 .42774 L
.47977 .42816 L
.48086 .42967 L
.48169 .43069 L
.48234 .43159 L
.48362 .43322 L
.48383 .43352 L
.48527 .43545 L
.48555 .4358 L
.48667 .43737 L
.48747 .4384 L
.48811 .4393 L
.4894 .44099 L
.48957 .44123 L
.49096 .44316 L
.49133 .44363 L
.49233 .44508 L
.49326 .44629 L
.49375 .44701 L
.49518 .44892 L
.49519 .44894 L
.4965 .45086 L
.49711 .45166 L
.49786 .45279 L
.49904 .45437 L
.49926 .45472 L
.50058 .45664 L
.50096 .45715 L
.50184 .45857 L
.50289 .46002 L
.50317 .4605 L
.50289 .46179 L
.50185 .4605 L
.50096 .45951 L
.50023 .45857 L
.49904 .45714 L
.49865 .45664 L
.49712 .45472 L
.49711 .4547 L
.49566 .45279 L
.49518 .45221 L
.49417 .45086 L
.49326 .44971 L
.49268 .44894 L
.49133 .44728 L
.4912 .44701 L
.48978 .44508 L
.4894 .4446 L
.48834 .44316 L
.48747 .44202 L
.48689 .44123 L
.48555 .4395 L
.48545 .4393 L
.48407 .43737 L
.48362 .43679 L
.48267 .43545 L
.48169 .43414 L
.48125 .43352 L
.47986 .43159 L
.47977 .43148 L
.47852 .42967 L
.47784 .42876 L
.47714 .42774 L
.47591 .42603 L
.47576 .42581 L
.47448 .42389 L
.47399 .42321 L
.47319 .42196 L
.47206 .42035 L
.47186 .42003 L
F
1 .2 0 r
.47206 .52859 m
.47282 .52987 L
.47399 .53144 L
.47419 .53179 L
.47399 .53236 L
.47359 .53179 L
.47206 .53009 L
.4719 .52987 L
F
1 .78 0 r
.47206 .42689 m
.47256 .42774 L
.47399 .42946 L
.47411 .42967 L
.47399 .43044 L
.47347 .42967 L
.47206 .42796 L
.47191 .42774 L
F
0 .38 1 r
.47206 .52032 m
.47345 .52216 L
.47399 .52278 L
.47495 .52409 L
.47591 .52526 L
.47647 .52601 L
.47784 .52777 L
.47797 .52794 L
.47938 .52987 L
.47977 .53034 L
.4808 .53179 L
.48169 .53293 L
.48225 .53372 L
.48362 .53553 L
.48371 .53565 L
.48505 .53758 L
.48555 .53821 L
.48643 .5395 L
.48747 .54089 L
.48784 .54143 L
.48747 .5433 L
.48611 .54143 L
.48555 .54077 L
.48465 .5395 L
.48362 .53824 L
.48315 .53758 L
.48169 .5357 L
.48166 .53565 L
.48029 .53372 L
.47977 .53307 L
.47889 .53179 L
.47784 .53045 L
.47744 .52987 L
.47601 .52794 L
.47591 .52782 L
.47471 .52601 L
.47399 .52509 L
.47334 .52409 L
.47206 .52238 L
.47192 .52216 L
F
1 .69 0 r
.47206 .4706 m
.47399 .47119 L
.47479 .47206 L
.47591 .47309 L
.4767 .47399 L
.47784 .47532 L
.47861 .47591 L
.47977 .47769 L
.47991 .47784 L
.48139 .47977 L
.48169 .47993 L
.48284 .48169 L
.48362 .4826 L
.4845 .48362 L
.48555 .48534 L
.48568 .48555 L
.48705 .48747 L
.48747 .48808 L
.48839 .4894 L
.4894 .49051 L
.4898 .49133 L
.49083 .49326 L
.49133 .49423 L
.4917 .49518 L
.49133 .4962 L
.4894 .49532 L
.48916 .49518 L
.48747 .49352 L
.48692 .49326 L
.48555 .4914 L
.48545 .49133 L
.4839 .4894 L
.48362 .4892 L
.4824 .48747 L
.48169 .48664 L
.48067 .48555 L
.47977 .48399 L
.47951 .48362 L
.4781 .48169 L
.47784 .48133 L
.47673 .47977 L
.47591 .47896 L
.47519 .47784 L
.47409 .47591 L
.47399 .47576 L
.47292 .47399 L
.47206 .47237 L
.47192 .47206 L
F
1 .19 0 r
.47206 .52871 m
.4727 .52987 L
.47399 .53162 L
.47407 .53179 L
.47399 .53215 L
.47375 .53179 L
.47206 .52999 L
.47197 .52987 L
F
0 .37 1 r
.47206 .52043 m
.47336 .52216 L
.47399 .52287 L
.47488 .52409 L
.47591 .52534 L
.47641 .52601 L
.47784 .52784 L
.47791 .52794 L
.47931 .52987 L
.47977 .53042 L
.48074 .53179 L
.48169 .53301 L
.4822 .53372 L
.48362 .5356 L
.48365 .53565 L
.48498 .53758 L
.48555 .53829 L
.48637 .5395 L
.48747 .54097 L
.48778 .54143 L
.48747 .54321 L
.48618 .54143 L
.48555 .54069 L
.48471 .5395 L
.48362 .53816 L
.48321 .53758 L
.48171 .53565 L
.48169 .53563 L
.48036 .53372 L
.47977 .53299 L
.47895 .53179 L
.47784 .53038 L
.47749 .52987 L
.47608 .52794 L
.47591 .52773 L
.47477 .52601 L
.47399 .525 L
.4734 .52409 L
.47206 .52229 L
.47198 .52216 L
F
1 .68 0 r
.47206 .4708 m
.47399 .47126 L
.47472 .47206 L
.47591 .47314 L
.47665 .47399 L
.47784 .47535 L
.47857 .47591 L
.47977 .47772 L
.47988 .47784 L
.48136 .47977 L
.48169 .47995 L
.48282 .48169 L
.48362 .48263 L
.48448 .48362 L
.48555 .48537 L
.48566 .48555 L
.48702 .48747 L
.48747 .48811 L
.48836 .4894 L
.4894 .49059 L
.48976 .49133 L
.49079 .49326 L
.49133 .49435 L
.49163 .49518 L
.49133 .49605 L
.4894 .49527 L
.48925 .49518 L
.48747 .49348 L
.48699 .49326 L
.48555 .49137 L
.48549 .49133 L
.48393 .4894 L
.48362 .48918 L
.48243 .48747 L
.48169 .48661 L
.4807 .48555 L
.47977 .48396 L
.47953 .48362 L
.47813 .48169 L
.47784 .4813 L
.47676 .47977 L
.47591 .47892 L
.47522 .47784 L
.47412 .47591 L
.47399 .4757 L
.47296 .47399 L
.47206 .47223 L
.47198 .47206 L
F
0 .84 1 r
.47206 .45357 m
.47298 .45472 L
.47399 .45601 L
.47439 .45664 L
.47399 .45712 L
.4736 .45664 L
.47206 .45481 L
.472 .45472 L
F
0 .71 1 r
.47206 .41887 m
.47298 .42003 L
.47399 .42105 L
.47467 .42196 L
.47591 .42339 L
.47628 .42389 L
.47784 .42579 L
.47786 .42581 L
.4793 .42774 L
.47977 .4283 L
.48076 .42967 L
.48169 .43081 L
.48225 .43159 L
.48362 .43333 L
.48376 .43352 L
.48517 .43545 L
.48555 .43591 L
.48658 .43737 L
.48747 .43851 L
.48803 .4393 L
.4894 .44109 L
.4895 .44123 L
.49087 .44316 L
.49133 .44374 L
.49225 .44508 L
.49326 .4464 L
.49367 .44701 L
.49509 .44894 L
.49518 .44905 L
.4964 .45086 L
.49711 .45179 L
.49776 .45279 L
.49904 .45451 L
.49917 .45472 L
.50044 .45664 L
.50096 .45735 L
.50168 .45857 L
.50289 .46027 L
.50301 .4605 L
.50289 .46148 L
.50208 .4605 L
.50096 .4593 L
.50039 .45857 L
.49904 .45697 L
.49878 .45664 L
.49726 .45472 L
.49711 .45454 L
.49578 .45279 L
.49518 .45207 L
.49428 .45086 L
.49326 .44957 L
.49278 .44894 L
.49133 .44708 L
.4913 .44701 L
.48988 .44508 L
.4894 .44448 L
.48844 .44316 L
.48747 .4419 L
.48698 .44123 L
.48555 .43931 L
.48554 .4393 L
.48417 .43737 L
.48362 .43666 L
.48276 .43545 L
.48169 .43402 L
.48134 .43352 L
.47997 .43159 L
.47977 .43133 L
.47863 .42967 L
.47784 .42861 L
.47725 .42774 L
.47591 .42587 L
.47587 .42581 L
.47463 .42389 L
.47399 .423 L
.47335 .42196 L
.47206 .42007 L
.47203 .42003 L
F
0 .36 1 r
.47206 .52057 m
.47325 .52216 L
.47399 .52298 L
.4748 .52409 L
.47591 .52543 L
.47634 .52601 L
.47784 .52792 L
.47786 .52794 L
.47924 .52987 L
.47977 .53051 L
.48068 .53179 L
.48169 .53309 L
.48214 .53372 L
.48169 .53555 L
.48042 .53372 L
.47977 .53292 L
.479 .53179 L
.47784 .5303 L
.47755 .52987 L
.47615 .52794 L
.47591 .52764 L
.47485 .52601 L
.47399 .52491 L
.47347 .52409 L
.47206 .52219 L
.47204 .52216 L
F
1 .78 0 r
.47206 .41062 m
.47366 .41232 L
.47399 .41264 L
.47535 .41425 L
.47591 .41486 L
.47698 .41618 L
.47784 .41718 L
.47857 .41811 L
.47977 .41935 L
.48014 .42003 L
.48168 .42196 L
.48169 .42197 L
.48317 .42389 L
.48362 .42444 L
.48466 .42581 L
.48555 .42669 L
.48616 .42774 L
.48747 .4294 L
.48773 .42967 L
.48911 .43159 L
.4894 .43196 L
.49056 .43352 L
.49133 .43428 L
.49202 .43545 L
.49326 .43703 L
.49356 .43737 L
.49492 .4393 L
.49518 .43964 L
.49635 .44123 L
.49711 .442 L
.49844 .44316 L
.49904 .44477 L
.4993 .44508 L
.50065 .44701 L
.50096 .44741 L
.50207 .44894 L
.50289 .44981 L
.50399 .45086 L
.50482 .4526 L
.50497 .45279 L
.50633 .45472 L
.50674 .45526 L
.50774 .45664 L
.50867 .4577 L
.50952 .45857 L
.51059 .4605 L
.5106 .46051 L
.51196 .46242 L
.51253 .46317 L
.51336 .46435 L
.51445 .46567 L
.515 .46628 L
.51617 .46821 L
.51638 .46848 L
.51754 .47013 L
.51831 .47116 L
.51893 .47206 L
.52023 .47376 L
.52042 .47399 L
.5217 .47591 L
.52216 .47653 L
.52305 .47784 L
.52409 .47924 L
.52444 .47977 L
.52581 .48169 L
.52601 .48197 L
.52712 .48362 L
.52794 .48474 L
.52847 .48555 L
.52984 .48747 L
.52987 .48751 L
.53108 .4894 L
.53179 .49041 L
.53235 .49133 L
.53365 .49326 L
.53372 .49336 L
.53466 .49518 L
.53372 .49546 L
.53347 .49518 L
.53179 .49342 L
.53172 .49326 L
.53008 .49133 L
.52987 .49109 L
.52848 .4894 L
.52794 .48877 L
.52689 .48747 L
.52601 .48678 L
.52532 .48555 L
.52409 .48403 L
.52362 .48362 L
.52228 .48169 L
.52216 .48154 L
.52078 .47977 L
.52023 .47936 L
.51927 .47784 L
.51831 .47663 L
.51761 .47591 L
.51638 .47406 L
.51633 .47399 L
.51486 .47206 L
.51445 .47174 L
.51339 .47013 L
.51253 .46903 L
.51179 .46821 L
.5106 .46642 L
.51051 .46628 L
.50905 .46435 L
.50867 .46404 L
.5076 .46242 L
.50674 .46131 L
.50607 .4605 L
.50482 .45867 L
.50476 .45857 L
.50332 .45664 L
.50289 .45626 L
.50114 .45472 L
.50096 .4535 L
.5004 .45279 L
.49906 .45086 L
.49904 .45084 L
.49765 .44894 L
.49711 .44842 L
.49567 .44701 L
.49518 .44561 L
.49479 .44508 L
.49343 .44316 L
.49326 .44292 L
.49204 .44123 L
.49133 .44048 L
.49022 .4393 L
.4894 .43762 L
.48923 .43737 L
.48787 .43545 L
.48747 .43491 L
.48649 .43352 L
.48555 .43241 L
.48484 .43159 L
.48374 .42967 L
.48362 .42951 L
.4824 .42774 L
.48169 .42676 L
.48104 .42581 L
.47977 .42408 L
.47961 .42389 L
.47838 .42196 L
.47784 .42121 L
.47706 .42003 L
.47591 .41838 L
.47573 .41811 L
.4745 .41618 L
.47399 .41543 L
.47328 .41425 L
.47206 .41235 L
.47205 .41232 L
F
1 .67 0 r
.47206 .47105 m
.47399 .47134 L
.47465 .47206 L
.47591 .47319 L
.47661 .47399 L
.47784 .47539 L
.47852 .47591 L
.47977 .47775 L
.47985 .47784 L
.48134 .47977 L
.48169 .47997 L
.48279 .48169 L
.48362 .48266 L
.48445 .48362 L
.48555 .48541 L
.48564 .48555 L
.487 .48747 L
.48747 .48815 L
.48833 .4894 L
.4894 .49068 L
.48971 .49133 L
.49074 .49326 L
.49133 .4945 L
.49155 .49518 L
.49133 .49589 L
.4894 .49522 L
.48933 .49518 L
.48747 .49345 L
.48707 .49326 L
.48555 .49135 L
.48552 .49133 L
.48396 .4894 L
.48362 .48916 L
.48245 .48747 L
.48169 .48658 L
.48072 .48555 L
.47977 .48393 L
.47955 .48362 L
.47815 .48169 L
.47784 .48127 L
.47678 .47977 L
.47591 .47887 L
.47525 .47784 L
.47416 .47591 L
.47399 .47565 L
.473 .47399 L
.47206 .47208 L
.47205 .47206 L
F
1 .18 0 r
.47206 .52887 m
.47253 .52987 L
.47206 .52987 L
.47206 .52987 L
F
1 .66 0 r
.47399 .47142 m
.47457 .47206 L
.47591 .47324 L
.47657 .47399 L
.47784 .47543 L
.47848 .47591 L
.47977 .47778 L
.47983 .47784 L
.48131 .47977 L
.48169 .47998 L
.48277 .48169 L
.48362 .48269 L
.48443 .48362 L
.48555 .48544 L
.48562 .48555 L
.48697 .48747 L
.48747 .48819 L
.4883 .4894 L
.4894 .49076 L
.48967 .49133 L
.49069 .49326 L
.49133 .49468 L
.49146 .49518 L
.49133 .49569 L
.48943 .49518 L
.4894 .49517 L
.48747 .49341 L
.48715 .49326 L
.48556 .49133 L
.48555 .49131 L
.48399 .4894 L
.48362 .48914 L
.48248 .48747 L
.48169 .48655 L
.48075 .48555 L
.47977 .4839 L
.47958 .48362 L
.47818 .48169 L
.47784 .48123 L
.47681 .47977 L
.47591 .47883 L
.47529 .47784 L
.47419 .47591 L
.47399 .47559 L
.47305 .47399 L
.47214 .47206 L
F
1 .65 0 r
.47399 .47151 m
.47449 .47206 L
.47591 .47329 L
.47652 .47399 L
.47784 .47547 L
.47843 .47591 L
.47977 .47781 L
.4798 .47784 L
.48128 .47977 L
.48169 .48 L
.48275 .48169 L
.48362 .48272 L
.4844 .48362 L
.48555 .48547 L
.4856 .48555 L
.48695 .48747 L
.48747 .48823 L
.48828 .4894 L
.4894 .49085 L
.48962 .49133 L
.49064 .49326 L
.49133 .49494 L
.49137 .49518 L
.49133 .49542 L
.48955 .49518 L
.4894 .49509 L
.48747 .49337 L
.48723 .49326 L
.4856 .49133 L
.48555 .49127 L
.48402 .4894 L
.48362 .48911 L
.48251 .48747 L
.48169 .48651 L
.48077 .48555 L
.47977 .48387 L
.4796 .48362 L
.4782 .48169 L
.47784 .4812 L
.47683 .47977 L
.47591 .47878 L
.47532 .47784 L
.47423 .47591 L
.47399 .47553 L
.47309 .47399 L
.47223 .47206 L
F
1 .64 0 r
.47399 .4716 m
.47441 .47206 L
.47591 .47334 L
.47648 .47399 L
.47784 .47551 L
.47839 .47591 L
.47977 .47784 L
.47977 .47784 L
.48126 .47977 L
.48169 .48002 L
.48272 .48169 L
.48362 .48276 L
.48437 .48362 L
.48555 .48551 L
.48557 .48555 L
.48692 .48747 L
.48747 .48826 L
.48825 .4894 L
.4894 .49095 L
.48958 .49133 L
.49059 .49326 L
.4894 .49502 L
.48747 .49333 L
.48731 .49326 L
.48564 .49133 L
.48555 .49123 L
.48405 .4894 L
.48362 .48909 L
.48253 .48747 L
.48169 .48648 L
.4808 .48555 L
.47977 .48383 L
.47962 .48362 L
.47823 .48169 L
.47784 .48116 L
.47686 .47977 L
.47591 .47873 L
.47536 .47784 L
.47426 .47591 L
.47399 .47547 L
.47313 .47399 L
.47232 .47206 L
F
1 .63 0 r
.47399 .4717 m
.47432 .47206 L
.47591 .4734 L
.47643 .47399 L
.47784 .47555 L
.47834 .47591 L
.47974 .47784 L
.47977 .47787 L
.48123 .47977 L
.48169 .48004 L
.4827 .48169 L
.48362 .48279 L
.48435 .48362 L
.48555 .48554 L
.48555 .48555 L
.48689 .48747 L
.48747 .4883 L
.48822 .4894 L
.4894 .49105 L
.48953 .49133 L
.49054 .49326 L
.4894 .49495 L
.48747 .49329 L
.4874 .49326 L
.48568 .49133 L
.48555 .49119 L
.48408 .4894 L
.48362 .48907 L
.48256 .48747 L
.48169 .48645 L
.48083 .48555 L
.47977 .4838 L
.47964 .48362 L
.47825 .48169 L
.47784 .48113 L
.47688 .47977 L
.47591 .47867 L
.47539 .47784 L
.4743 .47591 L
.47399 .47541 L
.47318 .47399 L
.47243 .47206 L
F
1 .62 0 r
.47399 .4718 m
.47423 .47206 L
.47591 .47345 L
.47638 .47399 L
.47784 .47559 L
.47829 .47591 L
.47971 .47784 L
.47977 .47791 L
.48121 .47977 L
.48169 .48006 L
.48268 .48169 L
.48362 .48282 L
.48432 .48362 L
.48553 .48555 L
.48555 .48558 L
.48687 .48747 L
.48747 .48834 L
.48819 .4894 L
.4894 .49115 L
.48948 .49133 L
.49049 .49326 L
.4894 .49487 L
.48749 .49326 L
.48747 .49325 L
.48572 .49133 L
.48555 .49115 L
.48412 .4894 L
.48362 .48904 L
.48259 .48747 L
.48169 .48642 L
.48086 .48555 L
.47977 .48377 L
.47966 .48362 L
.47828 .48169 L
.47784 .48109 L
.47691 .47977 L
.47591 .47862 L
.47543 .47784 L
.47434 .47591 L
.47399 .47534 L
.47323 .47399 L
.47255 .47206 L
F
1 .61 0 r
.47399 .47191 m
.47413 .47206 L
.47591 .47351 L
.47633 .47399 L
.47784 .47563 L
.47824 .47591 L
.47968 .47784 L
.47977 .47795 L
.48118 .47977 L
.48169 .48008 L
.48265 .48169 L
.48362 .48285 L
.48429 .48362 L
.4855 .48555 L
.48555 .48561 L
.48684 .48747 L
.48747 .48838 L
.48816 .4894 L
.4894 .49126 L
.48943 .49133 L
.49044 .49326 L
.4894 .49479 L
.48754 .49326 L
.48747 .49319 L
.48576 .49133 L
.48555 .4911 L
.48415 .4894 L
.48362 .48902 L
.48261 .48747 L
.48169 .48638 L
.48089 .48555 L
.47977 .48373 L
.47969 .48362 L
.4783 .48169 L
.47784 .48106 L
.47693 .47977 L
.47591 .47856 L
.47546 .47784 L
.47437 .47591 L
.47399 .47528 L
.47327 .47399 L
.47269 .47206 L
F
0 .9 1 r
.47399 .50653 m
.47421 .50674 L
.47591 .50852 L
.47601 .50867 L
.47766 .5106 L
.47784 .5108 L
.47927 .51253 L
.47977 .51313 L
.48084 .51445 L
.48169 .5154 L
.48238 .51638 L
.48362 .51797 L
.48395 .51831 L
.48538 .52023 L
.48555 .52045 L
.48688 .52216 L
.48747 .52286 L
.48894 .52409 L
.4894 .52544 L
.48986 .52601 L
.49132 .52794 L
.49133 .52794 L
.4928 .52987 L
.49326 .53043 L
.49457 .53179 L
.49518 .53303 L
.49567 .53372 L
.49711 .53557 L
.49711 .53565 L
.49865 .53758 L
.49904 .53806 L
.50029 .5395 L
.50096 .54069 L
.50144 .54143 L
.50289 .54326 L
.503 .54336 L
.50444 .54528 L
.50482 .54577 L
.50599 .54721 L
.50674 .54842 L
.50717 .54914 L
.50867 .551 L
.50873 .55106 L
.51016 .55299 L
.5106 .55355 L
.51167 .55492 L
.51253 .55622 L
.51286 .55684 L
.51442 .55877 L
.51445 .55879 L
.51585 .5607 L
.51638 .56139 L
.51732 .56263 L
.51831 .56408 L
.51854 .56455 L
.52008 .56648 L
.52023 .56661 L
.52199 .56841 L
.52216 .56928 L
.52293 .57033 L
.52409 .57198 L
.5242 .57226 L
.52569 .57419 L
.52601 .57447 L
.52753 .57611 L
.52794 .57723 L
.52851 .57804 L
.52987 .57995 L
.52987 .57997 L
.53126 .58189 L
.53179 .58241 L
.53302 .58382 L
.53372 .58526 L
.53405 .58575 L
.53541 .58768 L
.53565 .58801 L
.53678 .5896 L
.53758 .59049 L
.53842 .59153 L
.5395 .59343 L
.53952 .59346 L
.54085 .59538 L
.54143 .5962 L
.5422 .59731 L
.54336 .59885 L
.54365 .59924 L
.54484 .60116 L
.54528 .60179 L
.54614 .60309 L
.54721 .60466 L
.54744 .60502 L
.54866 .60694 L
.54914 .60766 L
.54985 .60887 L
.54914 .61055 L
.54766 .60887 L
.54721 .6084 L
.54601 .60694 L
.54528 .60613 L
.54439 .60502 L
.54336 .60402 L
.54281 .60309 L
.54143 .60142 L
.54114 .60116 L
.53974 .59924 L
.5395 .59895 L
.53824 .59731 L
.53758 .5967 L
.53674 .59538 L
.53565 .59403 L
.53508 .59346 L
.53376 .59153 L
.53372 .59148 L
.53231 .5896 L
.53179 .58912 L
.53085 .58768 L
.52987 .58644 L
.52924 .58575 L
.52794 .58384 L
.52793 .58382 L
.5265 .58189 L
.52601 .58143 L
.52506 .57997 L
.52409 .57873 L
.5235 .57804 L
.52217 .57611 L
.52216 .5761 L
.52076 .57419 L
.52023 .57367 L
.51871 .57226 L
.51831 .57094 L
.51781 .57033 L
.51647 .56841 L
.51638 .56829 L
.51506 .56648 L
.51445 .56586 L
.51314 .56455 L
.51253 .5631 L
.51215 .56263 L
.5108 .5607 L
.5106 .56044 L
.5094 .55877 L
.50867 .55799 L
.50758 .55684 L
.50674 .55521 L
.50652 .55492 L
.50516 .55299 L
.50482 .55254 L
.50376 .55106 L
.50289 .55008 L
.50204 .54914 L
.50096 .54728 L
.50091 .54721 L
.49955 .54528 L
.49904 .5446 L
.49816 .54336 L
.49711 .5421 L
.49653 .54143 L
.49534 .5395 L
.49518 .5393 L
.49397 .53758 L
.49326 .53662 L
.49258 .53565 L
.49133 .53404 L
.49107 .53372 L
.4898 .53179 L
.4894 .53127 L
.48844 .52987 L
.48747 .52899 L
.48704 .52794 L
.48565 .52601 L
.48555 .52588 L
.48432 .52409 L
.48362 .52314 L
.48296 .52216 L
.48169 .52054 L
.48143 .52023 L
.48026 .51831 L
.47977 .51763 L
.47896 .51638 L
.47784 .51482 L
.4776 .51445 L
.47632 .51253 L
.47591 .51195 L
.4751 .5106 L
.47399 .50895 L
.47383 .50867 L
.47279 .50674 L
F
0 .99 1 r
.47399 .38835 m
.4749 .3892 L
.47591 .38992 L
.47683 .39113 L
.47784 .39225 L
.47861 .39306 L
.47977 .39449 L
.48028 .39498 L
.48169 .39677 L
.48177 .39691 L
.48352 .39884 L
.48362 .39897 L
.48536 .40076 L
.48555 .40142 L
.48653 .40269 L
.48747 .40402 L
.48772 .40462 L
.4894 .40618 L
.4897 .40654 L
.49121 .40847 L
.49133 .40872 L
.49251 .4104 L
.49326 .41146 L
.49354 .41232 L
.49518 .41371 L
.49561 .41425 L
.49704 .41618 L
.49711 .4163 L
.49832 .41811 L
.49904 .41912 L
.49997 .42003 L
.50096 .42141 L
.50139 .42196 L
.50279 .42389 L
.50289 .42405 L
.50402 .42581 L
.50482 .42692 L
.50569 .42774 L
.50674 .42921 L
.50709 .42967 L
.50849 .43159 L
.50867 .43189 L
.50966 .43352 L
.5106 .43478 L
.51137 .43545 L
.51253 .43706 L
.51276 .43737 L
.51414 .4393 L
.51445 .43978 L
.51527 .44123 L
.51638 .44267 L
.51703 .44316 L
.51831 .44494 L
.51842 .44508 L
.51978 .44701 L
.52023 .44768 L
.52086 .44894 L
.52216 .45054 L
.52268 .45086 L
.52407 .45279 L
.52409 .45283 L
.52541 .45472 L
.52601 .45558 L
.52645 .45664 L
.52794 .45839 L
.52832 .45857 L
.52977 .4605 L
.52987 .46073 L
.53103 .46242 L
.53179 .46348 L
.53204 .46435 L
.53372 .4662 L
.53395 .46628 L
.53543 .46821 L
.53565 .46864 L
.53664 .47013 L
.53758 .47137 L
.53763 .47206 L
.5395 .47397 L
.53959 .47399 L
.54108 .47591 L
.54143 .47654 L
.54226 .47784 L
.54336 .47925 L
.54383 .47977 L
.54522 .48169 L
.54528 .48177 L
.54672 .48362 L
.54721 .48443 L
.54788 .48555 L
.54914 .48713 L
.54947 .48747 L
.55086 .4894 L
.55106 .48965 L
.55235 .49133 L
.55299 .49233 L
.5535 .49326 L
.55492 .49499 L
.5551 .49518 L
.55681 .49711 L
.55684 .49754 L
.55797 .49904 L
.55877 .50022 L
.55913 .50096 L
.5607 .50285 L
.56074 .50289 L
.56247 .50482 L
.56263 .50542 L
.56359 .50674 L
.56455 .50812 L
.56477 .50867 L
.56637 .5106 L
.56648 .51068 L
.5681 .51253 L
.56841 .51331 L
.56921 .51445 L
.57033 .51601 L
.57044 .51638 L
.572 .51831 L
.57226 .51852 L
.57372 .52023 L
.57419 .52121 L
.57483 .52216 L
.57611 .52391 L
.57614 .52409 L
.57763 .52601 L
.57804 .52638 L
.57932 .52794 L
.57997 .52912 L
.58046 .52987 L
.58188 .53179 L
.58189 .53182 L
.58326 .53372 L
.58382 .53425 L
.58492 .53565 L
.58575 .53703 L
.58608 .53758 L
.5875 .5395 L
.58768 .53973 L
.58889 .54143 L
.5896 .54215 L
.59052 .54336 L
.59153 .54496 L
.59172 .54528 L
.59313 .54721 L
.59346 .54765 L
.59452 .54914 L
.59538 .55008 L
.59611 .55106 L
.59731 .5529 L
.59736 .55299 L
.59874 .55492 L
.59924 .55557 L
.60078 .55684 L
.60116 .55803 L
.60169 .55877 L
.60298 .5607 L
.60309 .56084 L
.60435 .56263 L
.60502 .56351 L
.60627 .56455 L
.60694 .56604 L
.60725 .56648 L
.60857 .56841 L
.60887 .56881 L
.60994 .57033 L
.6108 .57109 L
.61168 .57226 L
.61273 .5741 L
.61278 .57419 L
.61412 .57611 L
.61465 .57682 L
.6155 .57804 L
.61658 .57934 L
.61703 .57997 L
.61828 .58189 L
.61851 .5822 L
.61963 .58382 L
.62043 .58463 L
.62124 .58575 L
.62236 .58763 L
.62239 .58768 L
.62371 .5896 L
.62429 .59041 L
.62539 .59153 L
.62621 .59309 L
.62643 .59346 L
.62765 .59538 L
.62814 .59613 L
.62885 .59731 L
.62986 .59924 L
.62814 .60027 L
.62696 .59924 L
.62621 .59885 L
.62453 .59731 L
.62429 .5971 L
.62278 .59538 L
.62236 .59493 L
.62122 .59346 L
.62043 .5925 L
.61944 .59153 L
.61851 .58995 L
.6182 .5896 L
.61682 .58768 L
.61658 .58738 L
.61508 .58575 L
.61465 .58474 L
.61391 .58382 L
.61273 .58209 L
.61259 .58189 L
.61103 .57997 L
.6108 .57943 L
.60976 .57804 L
.60887 .57677 L
.60846 .57611 L
.60698 .57419 L
.60694 .57411 L
.60564 .57226 L
.60502 .57143 L
.60458 .57033 L
.60309 .56871 L
.60274 .56841 L
.60137 .56648 L
.60116 .56618 L
.60033 .56455 L
.59924 .56324 L
.59844 .56263 L
.59731 .56105 L
.59704 .5607 L
.5957 .55877 L
.59538 .55831 L
.5948 .55684 L
.59346 .55586 L
.59273 .55492 L
.59153 .55323 L
.59134 .55299 L
.59002 .55106 L
.5896 .55046 L
.58908 .54914 L
.58768 .54802 L
.58706 .54721 L
.58575 .54538 L
.58567 .54528 L
.58437 .54336 L
.58382 .54259 L
.58342 .54143 L
.58189 .54015 L
.5814 .5395 L
.58001 .53758 L
.57997 .5375 L
.57874 .53565 L
.57804 .5347 L
.57783 .53372 L
.57611 .53227 L
.57576 .53179 L
.57434 .52987 L
.57419 .52959 L
.57312 .52794 L
.57226 .5268 L
.57151 .52601 L
.57033 .52437 L
.57012 .52409 L
.5687 .52216 L
.56841 .52168 L
.56752 .52023 L
.56648 .51891 L
.56587 .51831 L
.56455 .51647 L
.56449 .51638 L
.56306 .51445 L
.56263 .51378 L
.56192 .51253 L
.5607 .51103 L
.56024 .5106 L
.55878 .50867 L
.55877 .50857 L
.55743 .50674 L
.55684 .50588 L
.55631 .50482 L
.55492 .50317 L
.5546 .50289 L
.55306 .50096 L
.55299 .50067 L
.55181 .49904 L
.55106 .49798 L
.5507 .49711 L
.54914 .49533 L
.54897 .49518 L
.54739 .49326 L
.54721 .49278 L
.54619 .49133 L
.54528 .49009 L
.54507 .4894 L
.54336 .48749 L
.54333 .48747 L
.54174 .48555 L
.54143 .48489 L
.54057 .48362 L
.5395 .4822 L
.53943 .48169 L
.5377 .47977 L
.53758 .47964 L
.5361 .47784 L
.53565 .477 L
.53494 .47591 L
.53372 .47431 L
.53346 .47399 L
.53207 .47206 L
.53179 .47178 L
.53048 .47013 L
.52987 .4691 L
.52932 .46821 L
.52794 .46642 L
.52783 .46628 L
.52643 .46435 L
.52601 .46391 L
.52486 .46242 L
.52409 .4612 L
.52369 .4605 L
.52219 .45857 L
.52216 .45853 L
.5208 .45664 L
.52023 .45603 L
.51925 .45472 L
.51831 .45329 L
.51805 .45279 L
.51657 .45086 L
.51638 .45083 L
.51463 .44894 L
.51445 .44813 L
.51364 .44701 L
.51253 .44537 L
.51239 .44508 L
.51094 .44316 L
.5106 .44303 L
.50906 .44123 L
.50867 .44021 L
.50804 .4393 L
.50674 .43744 L
.50672 .43737 L
.50532 .43545 L
.50482 .43517 L
.50349 .43352 L
.50289 .43227 L
.50244 .43159 L
.50108 .42967 L
.50096 .42951 L
.4997 .42774 L
.49904 .42725 L
.49794 .42581 L
.49711 .4243 L
.49684 .42389 L
.49548 .42196 L
.49518 .42156 L
.4941 .42003 L
.49326 .41926 L
.49242 .41811 L
.49133 .41628 L
.49126 .41618 L
.48991 .41425 L
.4894 .41358 L
.48853 .41232 L
.48747 .41117 L
.48694 .4104 L
.48573 .40847 L
.48555 .40823 L
.48438 .40654 L
.48362 .40552 L
.483 .40462 L
.48169 .40289 L
.48156 .40269 L
.48029 .40076 L
.47977 .40005 L
.47896 .39884 L
.47784 .39727 L
.47761 .39691 L
.47632 .39498 L
.47591 .3944 L
.4751 .39306 L
.47399 .39137 L
.47385 .39113 L
.47283 .3892 L
F
1 .6 0 r
.47399 .47203 m
.47401 .47206 L
.47591 .47356 L
.47629 .47399 L
.47784 .47567 L
.47818 .47591 L
.47965 .47784 L
.47977 .47798 L
.48115 .47977 L
.48169 .4801 L
.48263 .48169 L
.48362 .48289 L
.48426 .48362 L
.48548 .48555 L
.48555 .48565 L
.48682 .48747 L
.48747 .48842 L
.48814 .4894 L
.48939 .49133 L
.4894 .49135 L
.49039 .49326 L
.4894 .49472 L
.48761 .49326 L
.48747 .49314 L
.4858 .49133 L
.48555 .49106 L
.48418 .4894 L
.48362 .48899 L
.48264 .48747 L
.48169 .48635 L
.48091 .48555 L
.47977 .4837 L
.47971 .48362 L
.47833 .48169 L
.47784 .48102 L
.47696 .47977 L
.47591 .4785 L
.4755 .47784 L
.47441 .47591 L
.47399 .47521 L
.47332 .47399 L
.47285 .47206 L
F
1 .59 0 r
.47399 .47213 m
.47591 .47362 L
.47624 .47399 L
.47784 .47571 L
.47813 .47591 L
.47961 .47784 L
.47977 .47802 L
.48113 .47977 L
.48169 .48013 L
.4826 .48169 L
.48362 .48292 L
.48424 .48362 L
.48545 .48555 L
.48555 .48568 L
.48679 .48747 L
.48747 .48846 L
.48811 .4894 L
.48935 .49133 L
.4894 .49142 L
.49033 .49326 L
.4894 .49464 L
.48767 .49326 L
.48747 .49309 L
.48584 .49133 L
.48555 .49102 L
.48421 .4894 L
.48362 .48896 L
.48267 .48747 L
.48169 .48632 L
.48094 .48555 L
.47977 .48367 L
.47973 .48362 L
.47835 .48169 L
.47784 .48099 L
.47699 .47977 L
.47591 .47844 L
.47554 .47784 L
.47445 .47591 L
.47399 .47514 L
.47337 .47399 L
F
1 .58 0 r
.47399 .47222 m
.47591 .47368 L
.47618 .47399 L
.47784 .47575 L
.47807 .47591 L
.47958 .47784 L
.47977 .47806 L
.4811 .47977 L
.48169 .48015 L
.48258 .48169 L
.48362 .48296 L
.48421 .48362 L
.48543 .48555 L
.48555 .48572 L
.48676 .48747 L
.48747 .4885 L
.48808 .4894 L
.48931 .49133 L
.4894 .49149 L
.49027 .49326 L
.4894 .49456 L
.48773 .49326 L
.48747 .49303 L
.48588 .49133 L
.48555 .49098 L
.48424 .4894 L
.48362 .48893 L
.48269 .48747 L
.48169 .48628 L
.48098 .48555 L
.47977 .48363 L
.47976 .48362 L
.47838 .48169 L
.47784 .48095 L
.47701 .47977 L
.47591 .47838 L
.47558 .47784 L
.47449 .47591 L
.47399 .47507 L
.47342 .47399 L
F
1 .77 0 r
.47399 .41287 m
.47518 .41425 L
.47591 .41503 L
.47685 .41618 L
.47784 .41731 L
.47847 .41811 L
.47977 .4195 L
.48005 .42003 L
.48159 .42196 L
.48169 .42208 L
.48309 .42389 L
.48362 .42453 L
.4846 .42581 L
.48555 .42678 L
.4861 .42774 L
.48747 .42949 L
.48765 .42967 L
.48905 .43159 L
.4894 .43203 L
.49051 .43352 L
.49133 .43435 L
.49198 .43545 L
.49326 .4371 L
.49351 .43737 L
.49487 .4393 L
.49518 .4397 L
.4963 .44123 L
.49711 .44206 L
.49838 .44316 L
.49904 .44483 L
.49925 .44508 L
.50061 .44701 L
.50096 .44746 L
.50203 .44894 L
.50289 .44986 L
.50394 .45086 L
.50482 .45266 L
.50492 .45279 L
.50629 .45472 L
.50674 .45531 L
.5077 .45664 L
.50867 .45775 L
.50947 .45857 L
.51055 .4605 L
.5106 .46056 L
.51192 .46242 L
.51253 .46322 L
.51332 .46435 L
.51445 .46573 L
.51495 .46628 L
.51613 .46821 L
.51638 .46853 L
.5175 .47013 L
.51831 .47122 L
.51889 .47206 L
.52023 .47384 L
.52036 .47399 L
.52164 .47591 L
.52216 .4766 L
.523 .47784 L
.52409 .47931 L
.52439 .47977 L
.52575 .48169 L
.52601 .48205 L
.52705 .48362 L
.52794 .48484 L
.5284 .48555 L
.52975 .48747 L
.52987 .48763 L
.53097 .4894 L
.53179 .49057 L
.53224 .49133 L
.53179 .49314 L
.53024 .49133 L
.52987 .49093 L
.5286 .4894 L
.52794 .48864 L
.52699 .48747 L
.52601 .48666 L
.52542 .48555 L
.52409 .48391 L
.52374 .48362 L
.52236 .48169 L
.52216 .48144 L
.52085 .47977 L
.52023 .47929 L
.51934 .47784 L
.51831 .47654 L
.51768 .47591 L
.51638 .47399 L
.51638 .47398 L
.51492 .47206 L
.51445 .47169 L
.51344 .47013 L
.51253 .46896 L
.51185 .46821 L
.5106 .46635 L
.51055 .46628 L
.5091 .46435 L
.50867 .46399 L
.50765 .46242 L
.50674 .46125 L
.50612 .4605 L
.50482 .45861 L
.5048 .45857 L
.50337 .45664 L
.50289 .45622 L
.50117 .45472 L
.50096 .45344 L
.50045 .45279 L
.4991 .45086 L
.49904 .45078 L
.4977 .44894 L
.49711 .44837 L
.49571 .44701 L
.49518 .44555 L
.49483 .44508 L
.49348 .44316 L
.49326 .44285 L
.49209 .44123 L
.49133 .44042 L
.49027 .4393 L
.4894 .43755 L
.48928 .43737 L
.48793 .43545 L
.48747 .43483 L
.48655 .43352 L
.48555 .43232 L
.48491 .43159 L
.4838 .42967 L
.48362 .42942 L
.48246 .42774 L
.48169 .42667 L
.4811 .42581 L
.47977 .42394 L
.47973 .42389 L
.47846 .42196 L
.47784 .42109 L
.47715 .42003 L
.47591 .41824 L
.47583 .41811 L
.47463 .41618 L
.47399 .41522 L
.47343 .41425 L
F
1 .57 0 r
.47399 .47232 m
.47591 .47374 L
.47613 .47399 L
.47784 .4758 L
.47801 .47591 L
.47955 .47784 L
.47977 .47809 L
.48107 .47977 L
.48169 .48017 L
.48256 .48169 L
.48362 .48299 L
.48418 .48362 L
.4854 .48555 L
.48555 .48575 L
.48674 .48747 L
.48747 .48854 L
.48805 .4894 L
.48927 .49133 L
.4894 .49156 L
.49022 .49326 L
.4894 .49447 L
.4878 .49326 L
.48747 .49298 L
.48592 .49133 L
.48555 .49093 L
.48427 .4894 L
.48362 .48891 L
.48272 .48747 L
.48169 .48625 L
.48101 .48555 L
.47978 .48362 L
.47977 .4836 L
.4784 .48169 L
.47784 .48092 L
.47704 .47977 L
.47591 .47832 L
.47562 .47784 L
.47452 .47591 L
.47399 .47499 L
.47348 .47399 L
F
1 .7 0 r
.47399 .51461 m
.47545 .51638 L
.47591 .5169 L
.47705 .51831 L
.47784 .51925 L
.47862 .52023 L
.47977 .52137 L
.48017 .52216 L
.48168 .52409 L
.48169 .5241 L
.48317 .52601 L
.48362 .52658 L
.48467 .52794 L
.48555 .52877 L
.48616 .52987 L
.48747 .53157 L
.48769 .53179 L
.48908 .53372 L
.4894 .53413 L
.49054 .53565 L
.49133 .53641 L
.492 .53758 L
.49326 .53923 L
.4935 .5395 L
.49487 .54143 L
.49518 .54184 L
.4963 .54336 L
.49711 .54418 L
.49846 .54528 L
.49904 .54702 L
.49919 .54721 L
.50056 .54914 L
.50096 .54967 L
.50198 .55106 L
.50289 .55207 L
.50387 .55299 L
.5048 .55492 L
.50482 .55494 L
.50617 .55684 L
.50674 .55762 L
.50757 .55877 L
.50867 .56013 L
.50922 .5607 L
.51033 .56263 L
.5106 .56299 L
.51168 .56455 L
.51253 .56571 L
.51306 .56648 L
.51443 .56841 L
.51445 .56844 L
.51572 .57033 L
.51638 .57125 L
.51705 .57226 L
.51831 .57406 L
.51839 .57419 L
.51961 .57611 L
.52023 .57702 L
.52084 .57804 L
.52023 .57933 L
.51917 .57804 L
.51831 .5771 L
.51753 .57611 L
.51638 .57477 L
.51593 .57419 L
.51445 .57243 L
.51436 .57226 L
.51287 .57033 L
.51253 .56992 L
.51138 .56841 L
.5106 .56745 L
.50988 .56648 L
.50867 .5651 L
.50837 .56455 L
.50691 .56263 L
.50674 .56242 L
.50547 .5607 L
.50482 .55987 L
.50401 .55877 L
.50289 .55749 L
.50212 .55684 L
.5011 .55492 L
.50096 .55475 L
.49969 .55299 L
.49904 .55215 L
.49825 .55106 L
.49711 .54971 L
.4965 .54914 L
.49538 .54721 L
.49518 .54695 L
.49399 .54528 L
.49326 .54432 L
.49257 .54336 L
.49133 .5418 L
.49096 .54143 L
.48975 .5395 L
.4894 .53905 L
.48837 .53758 L
.48747 .53639 L
.48696 .53565 L
.48555 .53375 L
.48552 .53372 L
.48419 .53179 L
.48362 .53104 L
.48282 .52987 L
.48169 .52835 L
.48142 .52794 L
.48006 .52601 L
.47977 .52562 L
.47874 .52409 L
.47784 .52286 L
.47738 .52216 L
.47601 .52023 L
.47591 .5201 L
.47477 .51831 L
.47399 .51721 L
.47348 .51638 L
F
1 .56 0 r
.47399 .47242 m
.47591 .4738 L
.47608 .47399 L
.47784 .47584 L
.47795 .47591 L
.47952 .47784 L
.47977 .47813 L
.48104 .47977 L
.48169 .4802 L
.48253 .48169 L
.48362 .48303 L
.48414 .48362 L
.48537 .48555 L
.48555 .48579 L
.48671 .48747 L
.48747 .48858 L
.48802 .4894 L
.48923 .49133 L
.4894 .49163 L
.49015 .49326 L
.4894 .49439 L
.48787 .49326 L
.48747 .49292 L
.48596 .49133 L
.48555 .49089 L
.48431 .4894 L
.48362 .48888 L
.48275 .48747 L
.48169 .48621 L
.48104 .48555 L
.47981 .48362 L
.47977 .48356 L
.47843 .48169 L
.47784 .48088 L
.47707 .47977 L
.47591 .47825 L
.47567 .47784 L
.47456 .47591 L
.47399 .47491 L
.47353 .47399 L
F
0 .33 1 r
.47399 .47979 m
.47542 .48169 L
.47591 .4823 L
.4768 .48362 L
.47784 .4851 L
.4781 .48555 L
.47784 .48685 L
.47664 .48555 L
.47591 .48477 L
.47502 .48362 L
.47399 .48233 L
.47353 .48169 L
F
0 .89 1 r
.47399 .4047 m
.47573 .40654 L
.47591 .40673 L
.47743 .40847 L
.47784 .40891 L
.47908 .4104 L
.47977 .41082 L
.4807 .41232 L
.48169 .41348 L
.48276 .41425 L
.48362 .41594 L
.48384 .41618 L
.48534 .41811 L
.48555 .41823 L
.48685 .42003 L
.48747 .42078 L
.48875 .42196 L
.4894 .42333 L
.48985 .42389 L
.49132 .42581 L
.49133 .42582 L
.49279 .42774 L
.49326 .42831 L
.49454 .42967 L
.49518 .43092 L
.49568 .43159 L
.49711 .43347 L
.49712 .43352 L
.49861 .43545 L
.49904 .43598 L
.50026 .43737 L
.50096 .43862 L
.50143 .4393 L
.50289 .44119 L
.50293 .44123 L
.50435 .44316 L
.50482 .44373 L
.50596 .44508 L
.50674 .44639 L
.50714 .44701 L
.50865 .44894 L
.50867 .44896 L
.51006 .45086 L
.5106 .45154 L
.51162 .45279 L
.51253 .45421 L
.51283 .45472 L
.51433 .45664 L
.51445 .45675 L
.51633 .45857 L
.51638 .45938 L
.51727 .4605 L
.51831 .46206 L
.5185 .46242 L
.51999 .46435 L
.52023 .46457 L
.52191 .46628 L
.52216 .46725 L
.5229 .46821 L
.52409 .46993 L
.52418 .47013 L
.52563 .47206 L
.52601 .47241 L
.52749 .47399 L
.52794 .47514 L
.52851 .47591 L
.52987 .47783 L
.52987 .47784 L
.53126 .47977 L
.53179 .48029 L
.53305 .48169 L
.53372 .48307 L
.53412 .48362 L
.53548 .48555 L
.53565 .48577 L
.53687 .48747 L
.53758 .48821 L
.53859 .4894 L
.5395 .49103 L
.53971 .49133 L
.54107 .49326 L
.54143 .49373 L
.54246 .49518 L
.54336 .4962 L
.5441 .49711 L
.54528 .49904 L
.54528 .49905 L
.54663 .50096 L
.54721 .50174 L
.54801 .50289 L
.54914 .50428 L
.54955 .50482 L
.55079 .50674 L
.55106 .50711 L
.55214 .50867 L
.55299 .50982 L
.55352 .5106 L
.55492 .51251 L
.55493 .51253 L
.55623 .51445 L
.55684 .51529 L
.55757 .51638 L
.55877 .51804 L
.55915 .51831 L
.56024 .52023 L
.5607 .52087 L
.56152 .52216 L
.56263 .52374 L
.56284 .52409 L
.56405 .52601 L
.56455 .52677 L
.56518 .52794 L
.56455 .52932 L
.5632 .52794 L
.56263 .52735 L
.56143 .52601 L
.5607 .52519 L
.55975 .52409 L
.55877 .523 L
.55813 .52216 L
.55684 .52057 L
.55651 .52023 L
.55502 .51831 L
.55492 .51828 L
.55348 .51638 L
.55299 .51579 L
.5514 .51445 L
.55106 .51326 L
.55046 .51253 L
.54914 .51077 L
.54906 .5106 L
.54749 .50867 L
.54721 .50832 L
.54572 .50674 L
.54528 .50575 L
.54461 .50482 L
.54336 .50318 L
.5433 .50289 L
.54161 .50096 L
.54143 .50073 L
.53999 .49904 L
.5395 .49812 L
.53883 .49711 L
.53758 .4955 L
.53724 .49518 L
.53581 .49326 L
.53565 .49304 L
.53427 .49133 L
.53372 .4904 L
.5331 .4894 L
.53179 .48776 L
.53149 .48747 L
.53007 .48555 L
.52987 .48528 L
.52858 .48362 L
.52794 .48262 L
.52741 .48169 L
.52601 .47998 L
.52578 .47977 L
.52437 .47784 L
.52409 .47747 L
.52291 .47591 L
.52216 .47479 L
.52174 .47399 L
.52023 .47218 L
.52011 .47206 L
.51836 .47013 L
.51831 .46962 L
.51726 .46821 L
.51638 .46694 L
.51608 .46628 L
.51445 .46435 L
.51445 .46435 L
.51272 .46242 L
.51253 .46175 L
.51163 .4605 L
.5106 .45906 L
.51042 .45857 L
.50882 .45664 L
.50867 .45651 L
.50711 .45472 L
.50674 .45385 L
.50602 .45279 L
.50482 .45115 L
.50475 .45086 L
.5032 .44894 L
.50289 .44863 L
.50152 .44701 L
.50096 .44591 L
.50042 .44508 L
.49904 .44321 L
.49903 .44316 L
.49761 .44123 L
.49711 .44071 L
.49597 .4393 L
.49518 .43793 L
.49483 .43737 L
.49343 .43545 L
.49326 .43521 L
.49205 .43352 L
.49133 .43272 L
.49046 .43159 L
.4894 .42987 L
.48928 .42967 L
.48791 .42774 L
.48747 .42714 L
.48654 .42581 L
.48555 .42458 L
.48504 .42389 L
.48381 .42196 L
.48362 .4217 L
.48248 .42003 L
.48169 .41894 L
.48049 .41811 L
.47977 .41618 L
.47977 .41617 L
.4785 .41425 L
.47784 .41331 L
.4772 .41232 L
.47591 .41044 L
.47586 .4104 L
.47472 .40847 L
.47399 .40735 L
.47353 .40654 L
F
0 .7 1 r
.47399 .42131 m
.47447 .42196 L
.47591 .42357 L
.47615 .42389 L
.47591 .42567 L
.47481 .42389 L
.47399 .42273 L
.47354 .42196 L
F
0 .35 1 r
.47399 .52309 m
.47472 .52409 L
.47591 .52552 L
.47627 .52601 L
.47591 .52755 L
.47493 .52601 L
.47399 .5248 L
.47354 .52409 L
F
1 .69 0 r
.47399 .51479 m
.47532 .51638 L
.47591 .51703 L
.47694 .51831 L
.47784 .51936 L
.47853 .52023 L
.47977 .52152 L
.48009 .52216 L
.4816 .52409 L
.48169 .5242 L
.4831 .52601 L
.48362 .52666 L
.4846 .52794 L
.48555 .52886 L
.4861 .52987 L
.48747 .53165 L
.48761 .53179 L
.48902 .53372 L
.4894 .53421 L
.49048 .53565 L
.49133 .53648 L
.49195 .53758 L
.49326 .5393 L
.49344 .5395 L
.49482 .54143 L
.49518 .54191 L
.49625 .54336 L
.49711 .54425 L
.49839 .54528 L
.49904 .54709 L
.49913 .54721 L
.50051 .54914 L
.50096 .54973 L
.50193 .55106 L
.50289 .55215 L
.50379 .55299 L
.50475 .55492 L
.50482 .55501 L
.50612 .55684 L
.50674 .55769 L
.50752 .55877 L
.50867 .56022 L
.50913 .5607 L
.51027 .56263 L
.5106 .56307 L
.51163 .56455 L
.51253 .56579 L
.513 .56648 L
.51435 .56841 L
.51445 .56854 L
.51565 .57033 L
.51638 .57136 L
.51697 .57226 L
.51831 .57419 L
.51831 .57419 L
.51948 .57611 L
.52023 .57722 L
.5207 .57804 L
.52023 .57912 L
.51933 .57804 L
.51831 .57695 L
.51764 .57611 L
.51638 .57466 L
.51602 .57419 L
.51445 .57229 L
.51444 .57226 L
.51295 .57033 L
.51253 .56983 L
.51145 .56841 L
.5106 .56737 L
.50994 .56648 L
.50867 .56501 L
.50843 .56455 L
.50696 .56263 L
.50674 .56235 L
.50552 .5607 L
.50482 .55981 L
.50406 .55877 L
.50289 .55741 L
.50221 .55684 L
.50114 .55492 L
.50096 .55469 L
.49973 .55299 L
.49904 .55209 L
.49829 .55106 L
.49711 .54964 L
.49657 .54914 L
.49543 .54721 L
.49518 .54689 L
.49403 .54528 L
.49326 .54427 L
.49261 .54336 L
.49133 .54173 L
.49103 .54143 L
.48979 .5395 L
.4894 .53899 L
.48841 .53758 L
.48747 .53633 L
.487 .53565 L
.48558 .53372 L
.48555 .53368 L
.48424 .53179 L
.48362 .53097 L
.48287 .52987 L
.48169 .52828 L
.48147 .52794 L
.48012 .52601 L
.47977 .52554 L
.4788 .52409 L
.47784 .52277 L
.47744 .52216 L
.4761 .52023 L
.47591 .51998 L
.47487 .51831 L
.47399 .51707 L
.47358 .51638 L
F
1 .55 0 r
.47399 .47252 m
.47591 .47386 L
.47602 .47399 L
.47784 .47588 L
.47789 .47591 L
.47949 .47784 L
.47977 .47817 L
.48102 .47977 L
.48169 .48023 L
.48251 .48169 L
.48362 .48306 L
.48411 .48362 L
.48535 .48555 L
.48555 .48582 L
.48668 .48747 L
.48747 .48862 L
.48799 .4894 L
.48918 .49133 L
.4894 .49171 L
.49009 .49326 L
.4894 .4943 L
.48795 .49326 L
.48747 .49287 L
.48601 .49133 L
.48555 .49085 L
.48434 .4894 L
.48362 .48885 L
.48278 .48747 L
.48169 .48618 L
.48107 .48555 L
.47984 .48362 L
.47977 .48353 L
.47846 .48169 L
.47784 .48084 L
.47709 .47977 L
.47591 .47818 L
.47571 .47784 L
.4746 .47591 L
.47399 .47482 L
.47358 .47399 L
F
0 .32 1 r
.47399 .47987 m
.47536 .48169 L
.47591 .48238 L
.47674 .48362 L
.47784 .48519 L
.47804 .48555 L
.47784 .48673 L
.47673 .48555 L
.47591 .4847 L
.47508 .48362 L
.47399 .48226 L
.47358 .48169 L
F
1 .76 0 r
.47399 .41314 m
.47497 .41425 L
.47591 .41521 L
.47671 .41618 L
.47784 .41745 L
.47836 .41811 L
.47977 .41966 L
.47996 .42003 L
.4815 .42196 L
.48169 .42218 L
.48301 .42389 L
.48362 .42462 L
.48453 .42581 L
.48555 .42687 L
.48604 .42774 L
.48747 .42957 L
.48757 .42967 L
.48899 .43159 L
.4894 .43211 L
.49046 .43352 L
.49133 .43442 L
.49193 .43545 L
.49326 .43716 L
.49345 .43737 L
.49483 .4393 L
.49518 .43976 L
.49626 .44123 L
.49711 .44212 L
.49832 .44316 L
.49904 .44489 L
.4992 .44508 L
.50057 .44701 L
.50096 .44752 L
.50199 .44894 L
.50289 .44992 L
.50389 .45086 L
.50482 .45272 L
.50488 .45279 L
.50625 .45472 L
.50674 .45536 L
.50766 .45664 L
.50867 .45781 L
.50941 .45857 L
.51051 .4605 L
.5106 .46062 L
.51188 .46242 L
.51253 .46328 L
.51328 .46435 L
.51445 .4658 L
.51489 .46628 L
.51609 .46821 L
.51638 .46859 L
.51745 .47013 L
.51831 .47128 L
.51885 .47206 L
.52023 .47393 L
.52028 .47399 L
.52159 .47591 L
.52216 .47667 L
.52295 .47784 L
.52409 .47939 L
.52434 .47977 L
.52568 .48169 L
.52601 .48214 L
.52699 .48362 L
.52794 .48494 L
.52833 .48555 L
.52966 .48747 L
.52987 .48777 L
.53086 .4894 L
.53179 .49075 L
.53212 .49133 L
.53179 .49291 L
.53041 .49133 L
.52987 .49076 L
.52873 .4894 L
.52794 .4885 L
.5271 .48747 L
.52601 .48651 L
.52551 .48555 L
.52409 .48379 L
.52388 .48362 L
.52244 .48169 L
.52216 .48135 L
.52092 .47977 L
.52023 .47922 L
.51941 .47784 L
.51831 .47645 L
.51776 .47591 L
.51644 .47399 L
.51638 .4739 L
.51497 .47206 L
.51445 .47164 L
.5135 .47013 L
.51253 .46889 L
.5119 .46821 L
.5106 .46629 L
.51059 .46628 L
.50915 .46435 L
.50867 .46394 L
.5077 .46242 L
.50674 .46119 L
.50617 .4605 L
.50483 .45857 L
.50482 .45855 L
.50341 .45664 L
.50289 .45617 L
.50121 .45472 L
.50096 .45338 L
.5005 .45279 L
.49915 .45086 L
.49904 .45071 L
.49774 .44894 L
.49711 .44831 L
.49576 .44701 L
.49518 .44548 L
.49488 .44508 L
.49353 .44316 L
.49326 .44279 L
.49214 .44123 L
.49133 .44035 L
.49033 .4393 L
.4894 .43747 L
.48933 .43737 L
.48798 .43545 L
.48747 .43476 L
.4866 .43352 L
.48555 .43223 L
.485 .43159 L
.48386 .42967 L
.48362 .42933 L
.48253 .42774 L
.48169 .42658 L
.48117 .42581 L
.47982 .42389 L
.47977 .42381 L
.47854 .42196 L
.47784 .42096 L
.47724 .42003 L
.47593 .41811 L
.47591 .41809 L
.47478 .41618 L
.47399 .41497 L
.4736 .41425 L
F
0 .34 1 r
.47399 .52322 m
.47462 .52409 L
.47591 .52562 L
.4762 .52601 L
.47591 .52744 L
.47502 .52601 L
.47399 .52469 L
.47362 .52409 L
F
0 .31 1 r
.47399 .47995 m
.4753 .48169 L
.47591 .48245 L
.47668 .48362 L
.47784 .48529 L
.47798 .48555 L
.47784 .4866 L
.47682 .48555 L
.47591 .48462 L
.47514 .48362 L
.47399 .48219 L
.47364 .48169 L
F
1 .54 0 r
.47399 .47264 m
.47591 .47393 L
.47597 .47399 L
.47783 .47591 L
.47784 .47592 L
.47945 .47784 L
.47977 .47821 L
.48099 .47977 L
.48169 .48026 L
.48248 .48169 L
.48362 .4831 L
.48408 .48362 L
.48532 .48555 L
.48555 .48586 L
.48666 .48747 L
.48747 .48866 L
.48796 .4894 L
.48914 .49133 L
.4894 .4918 L
.49002 .49326 L
.4894 .4942 L
.48802 .49326 L
.48747 .49281 L
.48605 .49133 L
.48555 .4908 L
.48437 .4894 L
.48362 .48881 L
.48281 .48747 L
.48169 .48614 L
.48111 .48555 L
.47986 .48362 L
.47977 .48349 L
.47848 .48169 L
.47784 .48081 L
.47712 .47977 L
.47591 .47811 L
.47575 .47784 L
.47464 .47591 L
.47399 .47473 L
.47364 .47399 L
F
1 .68 0 r
.47399 .51499 m
.47517 .51638 L
.47591 .51718 L
.47683 .51831 L
.47784 .51948 L
.47844 .52023 L
.47977 .52167 L
.48001 .52216 L
.48152 .52409 L
.48169 .52429 L
.48303 .52601 L
.48362 .52675 L
.48454 .52794 L
.48555 .52896 L
.48604 .52987 L
.48747 .53174 L
.48753 .53179 L
.48896 .53372 L
.4894 .53428 L
.49043 .53565 L
.49133 .53656 L
.4919 .53758 L
.49326 .53937 L
.49337 .5395 L
.49476 .54143 L
.49518 .54197 L
.4962 .54336 L
.49711 .54432 L
.49831 .54528 L
.49904 .54716 L
.49907 .54721 L
.50046 .54914 L
.50096 .5498 L
.50188 .55106 L
.50289 .55223 L
.50371 .55299 L
.50469 .55492 L
.50482 .55508 L
.50607 .55684 L
.50674 .55776 L
.50746 .55877 L
.50867 .56032 L
.50903 .5607 L
.51021 .56263 L
.5106 .56315 L
.51156 .56455 L
.51253 .56588 L
.51294 .56648 L
.51428 .56841 L
.51445 .56864 L
.51557 .57033 L
.51638 .57147 L
.51689 .57226 L
.51819 .57419 L
.51831 .57434 L
.51935 .57611 L
.52023 .57745 L
.52054 .57804 L
.52023 .57887 L
.51952 .57804 L
.51831 .5768 L
.51776 .57611 L
.51638 .57454 L
.51611 .57419 L
.51453 .57226 L
.51445 .57217 L
.51303 .57033 L
.51253 .56974 L
.51152 .56841 L
.5106 .56728 L
.51 .56648 L
.50867 .56491 L
.50848 .56455 L
.50702 .56263 L
.50674 .56228 L
.50557 .5607 L
.50482 .55974 L
.50411 .55877 L
.50289 .55733 L
.5023 .55684 L
.50119 .55492 L
.50096 .55463 L
.49978 .55299 L
.49904 .55204 L
.49834 .55106 L
.49711 .54957 L
.49665 .54914 L
.49547 .54721 L
.49518 .54684 L
.49408 .54528 L
.49326 .54421 L
.49265 .54336 L
.49133 .54165 L
.49111 .54143 L
.48984 .5395 L
.4894 .53893 L
.48846 .53758 L
.48747 .53627 L
.48704 .53565 L
.48563 .53372 L
.48555 .53361 L
.48429 .53179 L
.48362 .5309 L
.48292 .52987 L
.48169 .52821 L
.48151 .52794 L
.48018 .52601 L
.47977 .52545 L
.47887 .52409 L
.47784 .52268 L
.4775 .52216 L
.47619 .52023 L
.47591 .51986 L
.47497 .51831 L
.47399 .5169 L
.47369 .51638 L
F
0 .3 1 r
.47399 .48004 m
.47523 .48169 L
.47591 .48254 L
.47662 .48362 L
.47784 .48541 L
.47791 .48555 L
.47784 .48644 L
.47693 .48555 L
.47591 .48453 L
.4752 .48362 L
.47399 .48211 L
.4737 .48169 L
F
1 .53 0 r
.47399 .47276 m
.47591 .47399 L
.47591 .47399 L
.47779 .47591 L
.47784 .47597 L
.47942 .47784 L
.47977 .47824 L
.48096 .47977 L
.48169 .48029 L
.48246 .48169 L
.48362 .48314 L
.48405 .48362 L
.48529 .48555 L
.48555 .4859 L
.48663 .48747 L
.48747 .48871 L
.48793 .4894 L
.4891 .49133 L
.4894 .49189 L
.48996 .49326 L
.4894 .4941 L
.48811 .49326 L
.48747 .49276 L
.48609 .49133 L
.48555 .49076 L
.48441 .4894 L
.48362 .48878 L
.48283 .48747 L
.48169 .4861 L
.48114 .48555 L
.47989 .48362 L
.47977 .48346 L
.47851 .48169 L
.47784 .48077 L
.47715 .47977 L
.47591 .47803 L
.4758 .47784 L
.47469 .47591 L
.47399 .47463 L
.4737 .47399 L
F
0 .33 1 r
.47399 .52336 m
.47451 .52409 L
.47591 .52573 L
.47612 .52601 L
.47591 .52732 L
.47512 .52601 L
.47399 .52455 L
.47371 .52409 L
F
0 .29 1 r
.47399 .48013 m
.47515 .48169 L
.47591 .48263 L
.47655 .48362 L
.47591 .48444 L
.47527 .48362 L
.47399 .48202 L
.47376 .48169 L
F
1 .52 0 r
.47399 .47289 m
.47583 .47399 L
.47591 .47405 L
.47774 .47591 L
.47784 .47601 L
.47939 .47784 L
.47977 .47828 L
.48093 .47977 L
.48169 .48032 L
.48243 .48169 L
.48362 .48318 L
.48402 .48362 L
.48527 .48555 L
.48555 .48593 L
.4866 .48747 L
.48747 .48875 L
.4879 .4894 L
.48905 .49133 L
.4894 .49199 L
.48988 .49326 L
.4894 .494 L
.4882 .49326 L
.48747 .4927 L
.48614 .49133 L
.48555 .49072 L
.48444 .4894 L
.48362 .48875 L
.48286 .48747 L
.48169 .48607 L
.48118 .48555 L
.47992 .48362 L
.47977 .48342 L
.47853 .48169 L
.47784 .48073 L
.47717 .47977 L
.47591 .47796 L
.47584 .47784 L
.47473 .47591 L
.47399 .47452 L
.47376 .47399 L
F
1 .75 0 r
.47399 .41351 m
.4747 .41425 L
.47591 .4154 L
.47656 .41618 L
.47784 .4176 L
.47825 .41811 L
.47977 .41984 L
.47987 .42003 L
.48141 .42196 L
.48169 .42229 L
.48293 .42389 L
.48362 .42472 L
.48446 .42581 L
.48555 .42697 L
.48598 .42774 L
.48747 .42966 L
.48749 .42967 L
.48893 .43159 L
.4894 .43218 L
.4904 .43352 L
.49133 .43449 L
.49188 .43545 L
.49326 .43723 L
.49339 .43737 L
.49478 .4393 L
.49518 .43982 L
.49622 .44123 L
.49711 .44218 L
.49826 .44316 L
.49904 .44495 L
.49915 .44508 L
.50053 .44701 L
.50096 .44757 L
.50195 .44894 L
.50289 .44997 L
.50383 .45086 L
.50482 .45277 L
.50483 .45279 L
.50621 .45472 L
.50674 .45541 L
.50762 .45664 L
.50867 .45787 L
.50936 .45857 L
.51047 .4605 L
.5106 .46067 L
.51184 .46242 L
.51253 .46333 L
.51324 .46435 L
.51445 .46587 L
.51482 .46628 L
.51604 .46821 L
.51638 .46865 L
.51741 .47013 L
.51831 .47134 L
.51881 .47206 L
.52022 .47399 L
.52023 .47401 L
.52154 .47591 L
.52216 .47675 L
.5229 .47784 L
.52409 .47946 L
.52429 .47977 L
.52561 .48169 L
.52601 .48224 L
.52691 .48362 L
.52794 .48505 L
.52826 .48555 L
.52955 .48747 L
.52987 .48792 L
.53074 .4894 L
.53179 .49096 L
.53199 .49133 L
.53179 .49263 L
.5306 .49133 L
.52987 .49058 L
.52887 .4894 L
.52794 .48835 L
.52721 .48747 L
.52601 .48634 L
.52561 .48555 L
.52409 .48367 L
.52403 .48362 L
.52253 .48169 L
.52216 .48125 L
.521 .47977 L
.52023 .47914 L
.51948 .47784 L
.51831 .47637 L
.51784 .47591 L
.51651 .47399 L
.51638 .47383 L
.51503 .47206 L
.51445 .47158 L
.51355 .47013 L
.51253 .46882 L
.51196 .46821 L
.51064 .46628 L
.5106 .46622 L
.5092 .46435 L
.50867 .46389 L
.50775 .46242 L
.50674 .46112 L
.50622 .4605 L
.50488 .45857 L
.50482 .45849 L
.50346 .45664 L
.50289 .45612 L
.50125 .45472 L
.50096 .45332 L
.50054 .45279 L
.4992 .45086 L
.49904 .45065 L
.49779 .44894 L
.49711 .44825 L
.49581 .44701 L
.49518 .44541 L
.49493 .44508 L
.49358 .44316 L
.49326 .44272 L
.49218 .44123 L
.49133 .44028 L
.4904 .4393 L
.4894 .43739 L
.48939 .43737 L
.48803 .43545 L
.48747 .43468 L
.48665 .43352 L
.48555 .43213 L
.48508 .43159 L
.48393 .42967 L
.48362 .42924 L
.48259 .42774 L
.48169 .42648 L
.48124 .42581 L
.4799 .42389 L
.47977 .4237 L
.47863 .42196 L
.47784 .42082 L
.47733 .42003 L
.47606 .41811 L
.47591 .41789 L
.47494 .41618 L
.47399 .41464 L
.4738 .41425 L
F
0 .88 1 r
.47399 .40525 m
.47535 .40654 L
.47591 .40706 L
.47718 .40847 L
.47784 .40916 L
.47889 .4104 L
.47977 .41099 L
.48054 .41232 L
.48169 .41365 L
.48256 .41425 L
.48362 .41608 L
.48371 .41618 L
.48523 .41811 L
.48555 .4183 L
.48676 .42003 L
.48747 .42089 L
.48867 .42196 L
.4894 .42343 L
.48977 .42389 L
.49125 .42581 L
.49133 .42587 L
.49272 .42774 L
.49326 .42839 L
.49449 .42967 L
.49518 .43099 L
.49563 .43159 L
.49711 .43352 L
.49711 .43352 L
.49856 .43545 L
.49904 .43604 L
.50023 .43737 L
.50096 .43868 L
.5014 .4393 L
.50289 .44123 L
.50289 .44123 L
.50432 .44316 L
.50482 .44378 L
.50592 .44508 L
.50674 .44644 L
.50711 .44701 L
.50861 .44894 L
.50867 .44898 L
.51003 .45086 L
.5106 .45158 L
.51159 .45279 L
.51253 .45425 L
.5128 .45472 L
.5143 .45664 L
.51445 .45677 L
.51632 .45857 L
.51638 .45941 L
.51724 .4605 L
.51831 .46209 L
.51848 .46242 L
.51996 .46435 L
.52023 .46459 L
.52189 .46628 L
.52216 .46728 L
.52287 .46821 L
.52409 .46997 L
.52416 .47013 L
.5256 .47206 L
.52601 .47244 L
.52747 .47399 L
.52794 .47518 L
.52849 .47591 L
.52985 .47784 L
.52987 .47787 L
.53123 .47977 L
.53179 .48032 L
.53302 .48169 L
.53372 .48311 L
.53409 .48362 L
.53545 .48555 L
.53565 .48581 L
.53684 .48747 L
.53758 .48825 L
.53855 .4894 L
.5395 .49108 L
.53968 .49133 L
.54104 .49326 L
.54143 .49378 L
.54242 .49518 L
.54336 .49625 L
.54405 .49711 L
.54524 .49904 L
.54528 .4991 L
.54659 .50096 L
.54721 .5018 L
.54797 .50289 L
.54914 .50436 L
.54949 .50482 L
.55074 .50674 L
.55106 .50718 L
.55209 .50867 L
.55299 .5099 L
.55347 .5106 L
.55485 .51253 L
.55492 .51261 L
.55616 .51445 L
.55684 .5154 L
.5575 .51638 L
.55877 .51817 L
.55897 .51831 L
.56013 .52023 L
.5607 .52104 L
.5614 .52216 L
.56263 .52396 L
.5627 .52409 L
.56382 .52601 L
.56455 .5272 L
.56488 .52794 L
.56455 .5288 L
.5636 .52794 L
.56263 .52702 L
.56169 .52601 L
.5607 .52493 L
.55996 .52409 L
.55877 .52277 L
.55831 .52216 L
.55684 .52038 L
.55669 .52023 L
.55516 .51831 L
.55492 .51825 L
.55361 .51638 L
.55299 .51565 L
.55148 .51445 L
.55106 .51313 L
.55055 .51253 L
.54914 .51067 L
.5491 .5106 L
.54757 .50867 L
.54721 .50822 L
.54577 .50674 L
.54528 .50565 L
.54467 .50482 L
.54336 .50311 L
.54332 .50289 L
.54167 .50096 L
.54143 .50065 L
.54004 .49904 L
.5395 .49804 L
.53888 .49711 L
.53758 .49544 L
.5373 .49518 L
.53586 .49326 L
.53565 .49297 L
.53431 .49133 L
.53372 .49034 L
.53314 .4894 L
.53179 .48772 L
.53153 .48747 L
.53011 .48555 L
.52987 .48522 L
.52861 .48362 L
.52794 .48257 L
.52744 .48169 L
.52601 .47994 L
.52582 .47977 L
.5244 .47784 L
.52409 .47742 L
.52294 .47591 L
.52216 .47475 L
.52176 .47399 L
.52023 .47214 L
.52014 .47206 L
.51837 .47013 L
.51831 .46958 L
.51729 .46821 L
.51638 .4669 L
.5161 .46628 L
.51449 .46435 L
.51445 .46432 L
.51274 .46242 L
.51253 .46171 L
.51166 .4605 L
.5106 .45902 L
.51044 .45857 L
.50885 .45664 L
.50867 .45648 L
.50713 .45472 L
.50674 .4538 L
.50604 .45279 L
.50482 .45111 L
.50476 .45086 L
.50323 .44894 L
.50289 .4486 L
.50155 .44701 L
.50096 .44586 L
.50045 .44508 L
.49904 .44317 L
.49904 .44316 L
.49765 .44123 L
.49711 .44067 L
.496 .4393 L
.49518 .43787 L
.49487 .43737 L
.49347 .43545 L
.49326 .43515 L
.4921 .43352 L
.49133 .43265 L
.49051 .43159 L
.4894 .42979 L
.48933 .42967 L
.48797 .42774 L
.48747 .42706 L
.4866 .42581 L
.48555 .42448 L
.48511 .42389 L
.48388 .42196 L
.48362 .4216 L
.48256 .42003 L
.48169 .41882 L
.48064 .41811 L
.47988 .41618 L
.47977 .41602 L
.47862 .41425 L
.47784 .41313 L
.47733 .41232 L
.47606 .4104 L
.47591 .41018 L
.47494 .40847 L
.47399 .40691 L
.4738 .40654 L
F
1 .67 0 r
.47399 .51523 m
.475 .51638 L
.47591 .51733 L
.47671 .51831 L
.47784 .51961 L
.47834 .52023 L
.47977 .52184 L
.47992 .52216 L
.48144 .52409 L
.48169 .52439 L
.48295 .52601 L
.48362 .52684 L
.48447 .52794 L
.48555 .52906 L
.48597 .52987 L
.48745 .53179 L
.48747 .53182 L
.48891 .53372 L
.4894 .53435 L
.49037 .53565 L
.49133 .53664 L
.49184 .53758 L
.49326 .53945 L
.4933 .5395 L
.49471 .54143 L
.49518 .54204 L
.49615 .54336 L
.49711 .5444 L
.49822 .54528 L
.49902 .54721 L
.49904 .54724 L
.50041 .54914 L
.50096 .54987 L
.50183 .55106 L
.50289 .55231 L
.50363 .55299 L
.50464 .55492 L
.50482 .55515 L
.50601 .55684 L
.50674 .55783 L
.50741 .55877 L
.50867 .56043 L
.50893 .5607 L
.51015 .56263 L
.5106 .56324 L
.5115 .56455 L
.51253 .56597 L
.51287 .56648 L
.5142 .56841 L
.51445 .56875 L
.51549 .57033 L
.51638 .5716 L
.51681 .57226 L
.51807 .57419 L
.51831 .57453 L
.51919 .57611 L
.52023 .57779 L
.52034 .57804 L
.52023 .57849 L
.5198 .57804 L
.51831 .57663 L
.51789 .57611 L
.51638 .57441 L
.51621 .57419 L
.51463 .57226 L
.51445 .57206 L
.51311 .57033 L
.51253 .56964 L
.51159 .56841 L
.5106 .5672 L
.51006 .56648 L
.50867 .56481 L
.50854 .56455 L
.50708 .56263 L
.50674 .56221 L
.50563 .5607 L
.50482 .55968 L
.50416 .55877 L
.50289 .55725 L
.5024 .55684 L
.50124 .55492 L
.50096 .55456 L
.49982 .55299 L
.49904 .55198 L
.49838 .55106 L
.49711 .54949 L
.49673 .54914 L
.49552 .54721 L
.49518 .54678 L
.49412 .54528 L
.49326 .54415 L
.49269 .54336 L
.49133 .54158 L
.49118 .54143 L
.48989 .5395 L
.4894 .53887 L
.4885 .53758 L
.48747 .53621 L
.48708 .53565 L
.48568 .53372 L
.48555 .53355 L
.48435 .53179 L
.48362 .53083 L
.48297 .52987 L
.48169 .52813 L
.48156 .52794 L
.48025 .52601 L
.47977 .52536 L
.47893 .52409 L
.47784 .52258 L
.47757 .52216 L
.47628 .52023 L
.47591 .51972 L
.47508 .51831 L
.47399 .51671 L
.47381 .51638 L
F
0 .69 1 r
.47399 .42169 m
.47419 .42196 L
.47591 .42378 L
.47599 .42389 L
.47591 .42542 L
.47505 .42389 L
.47399 .42234 L
.47381 .42196 L
F
1 .98 0 r
.47399 .49989 m
.47591 .49994 L
.4776 .50096 L
.47784 .50106 L
.47977 .50273 L
.47994 .50289 L
.48153 .50482 L
.48169 .50495 L
.48301 .50674 L
.48362 .50742 L
.48496 .50867 L
.48555 .51007 L
.486 .5106 L
.48731 .51253 L
.48747 .51263 L
.48868 .51445 L
.4894 .51532 L
.49026 .51638 L
.49133 .51811 L
.49147 .51831 L
.49281 .52023 L
.49326 .52083 L
.49427 .52216 L
.49518 .5236 L
.49551 .52409 L
.49702 .52601 L
.49711 .52634 L
.49824 .52794 L
.49904 .52906 L
.49941 .52987 L
.50096 .53177 L
.50099 .53179 L
.50232 .53372 L
.50289 .53446 L
.50386 .53565 L
.50482 .53725 L
.50527 .53758 L
.50669 .5395 L
.50674 .53962 L
.50788 .54143 L
.50867 .5424 L
.50959 .54336 L
.5106 .54475 L
.51101 .54528 L
.51243 .54721 L
.51253 .54738 L
.51364 .54914 L
.51445 .55016 L
.51533 .55106 L
.51638 .55253 L
.51674 .55299 L
.51816 .55492 L
.51831 .55517 L
.51938 .55684 L
.52023 .55793 L
.52102 .55877 L
.52216 .56036 L
.52242 .5607 L
.52385 .56263 L
.52409 .56302 L
.52504 .56455 L
.52601 .56575 L
.52669 .56648 L
.52794 .56838 L
.52808 .56841 L
.5295 .57033 L
.52987 .57089 L
.53067 .57226 L
.53179 .57361 L
.53234 .57419 L
.53372 .57611 L
.53372 .57612 L
.53514 .57804 L
.53565 .57878 L
.53628 .57997 L
.53758 .58149 L
.53797 .58189 L
.53948 .58382 L
.5395 .58401 L
.54076 .58575 L
.54143 .58669 L
.54188 .58768 L
.54336 .58936 L
.54359 .5896 L
.54517 .59153 L
.54528 .59191 L
.54637 .59346 L
.54721 .5946 L
.54749 .59538 L
.54914 .59724 L
.54921 .59731 L
.55081 .59924 L
.55106 .59983 L
.55196 .60116 L
.55299 .60253 L
.55312 .60309 L
.5548 .60502 L
.55492 .60511 L
.55642 .60694 L
.55684 .60777 L
.55755 .60887 L
.55877 .6105 L
.5588 .6108 L
.56038 .61273 L
.5607 .61301 L
.56199 .61465 L
.56263 .61577 L
.56311 .61658 L
.56455 .61851 L
.56455 .61851 L
.56592 .62043 L
.56648 .62099 L
.56749 .62236 L
.56841 .62386 L
.56865 .62429 L
.57003 .62621 L
.57033 .62663 L
.57139 .62814 L
.57226 .62915 L
.57289 .63007 L
.5741 .63199 L
.57419 .63212 L
.57541 .63392 L
.57611 .63493 L
.57673 .63585 L
.57804 .63775 L
.57806 .63778 L
.57929 .6397 L
.57997 .64071 L
.58054 .64163 L
.58175 .64356 L
.58189 .64378 L
.58278 .64548 L
.58189 .64663 L
.58079 .64548 L
.57997 .64467 L
.57899 .64356 L
.57804 .64281 L
.57729 .64163 L
.57611 .6403 L
.57524 .6397 L
.57419 .63792 L
.57405 .63778 L
.57252 .63585 L
.57226 .63565 L
.57099 .63392 L
.57033 .63313 L
.56908 .63199 L
.56841 .6306 L
.56796 .63007 L
.56648 .62815 L
.56648 .62814 L
.56501 .62621 L
.56455 .62565 L
.56325 .62429 L
.56263 .62305 L
.5621 .62236 L
.5607 .62051 L
.56069 .62043 L
.55917 .61851 L
.55877 .618 L
.55751 .61658 L
.55684 .61536 L
.55634 .61465 L
.55492 .61279 L
.55484 .61273 L
.55342 .6108 L
.55299 .61025 L
.55182 .60887 L
.55106 .60759 L
.55063 .60694 L
.54914 .60503 L
.54913 .60502 L
.54771 .60309 L
.54721 .60245 L
.54615 .60116 L
.54528 .59978 L
.54495 .59924 L
.54344 .59731 L
.54336 .59723 L
.54148 .59538 L
.54143 .59461 L
.5405 .59346 L
.5395 .59194 L
.53928 .59153 L
.53778 .5896 L
.53758 .58941 L
.53588 .58768 L
.53565 .58675 L
.53486 .58575 L
.53372 .58408 L
.5336 .58382 L
.53213 .58189 L
.53179 .58157 L
.53028 .57997 L
.52987 .57887 L
.52924 .57804 L
.52794 .5762 L
.52791 .57611 L
.52648 .57419 L
.52601 .57371 L
.52469 .57226 L
.52409 .57098 L
.52361 .57033 L
.52223 .56841 L
.52216 .56831 L
.52085 .56648 L
.52023 .56583 L
.51911 .56455 L
.51831 .56307 L
.51799 .56263 L
.51661 .5607 L
.51638 .5604 L
.51522 .55877 L
.51445 .55793 L
.51353 .55684 L
.51253 .55515 L
.51237 .55492 L
.51099 .55299 L
.5106 .55248 L
.50959 .55106 L
.50867 .55 L
.50796 .54914 L
.50674 .54721 L
.50674 .54721 L
.50538 .54528 L
.50482 .54455 L
.50398 .54336 L
.50289 .54204 L
.50241 .54143 L
.50115 .5395 L
.50096 .53926 L
.49978 .53758 L
.49904 .53703 L
.49775 .53565 L
.49711 .53402 L
.49688 .53372 L
.49557 .53179 L
.49518 .53129 L
.49419 .52987 L
.49326 .52886 L
.49246 .52794 L
.49136 .52601 L
.49133 .52597 L
.49001 .52409 L
.4894 .52356 L
.48805 .52216 L
.48747 .52067 L
.48713 .52023 L
.48583 .51831 L
.48555 .51807 L
.48447 .51638 L
.48362 .51532 L
.48294 .51445 L
.48169 .51255 L
.48168 .51253 L
.48031 .5106 L
.47977 .51004 L
.47877 .50867 L
.47784 .50721 L
.47754 .50674 L
.47624 .50482 L
.47591 .50435 L
.47496 .50289 L
.47399 .5013 L
.47382 .50096 L
F
0 .28 1 r
.47399 .48024 m
.47507 .48169 L
.47591 .48272 L
.47647 .48362 L
.47591 .48434 L
.47535 .48362 L
.47399 .48193 L
.47382 .48169 L
F
0 .32 1 r
.47399 .52355 m
.47437 .52409 L
.47591 .52585 L
.47603 .52601 L
.47591 .52718 L
.47525 .52601 L
.47399 .52439 L
.47382 .52409 L
F
1 .51 0 r
.47399 .47305 m
.47574 .47399 L
.47591 .47412 L
.4777 .47591 L
.47784 .47606 L
.47935 .47784 L
.47977 .47832 L
.4809 .47977 L
.48169 .48035 L
.48241 .48169 L
.48362 .48322 L
.48398 .48362 L
.48524 .48555 L
.48555 .48597 L
.48657 .48747 L
.48747 .48879 L
.48787 .4894 L
.48901 .49133 L
.4894 .4921 L
.4898 .49326 L
.4894 .49389 L
.48829 .49326 L
.48747 .49264 L
.48619 .49133 L
.48555 .49067 L
.48447 .4894 L
.48362 .48871 L
.48289 .48747 L
.48169 .48603 L
.48121 .48555 L
.47994 .48362 L
.47977 .48339 L
.47856 .48169 L
.47784 .48069 L
.4772 .47977 L
.47591 .47788 L
.47589 .47784 L
.47477 .47591 L
.47399 .47439 L
.47382 .47399 L
F
0 .99 1 r
.47399 .46658 m
.47591 .46651 L
.47784 .46659 L
.47975 .46821 L
.47977 .46828 L
.48114 .47013 L
.48169 .47079 L
.48226 .47206 L
.48362 .47342 L
.48403 .47399 L
.4855 .47591 L
.48555 .47611 L
.4868 .47784 L
.48747 .47893 L
.48787 .47977 L
.4894 .48132 L
.48968 .48169 L
.49118 .48362 L
.49133 .48397 L
.49242 .48555 L
.49326 .48666 L
.49348 .48747 L
.49518 .48928 L
.49531 .4894 L
.49684 .49133 L
.49711 .49157 L
.49803 .49326 L
.49904 .49419 L
.4991 .49518 L
.50092 .49711 L
.50096 .49718 L
.50242 .49904 L
.50096 .4999 L
.49904 .49999 L
.49743 .50096 L
.49901 .50289 L
.49904 .50293 L
.50089 .50482 L
.50096 .50588 L
.50194 .50674 L
.50289 .50846 L
.50314 .50867 L
.50466 .5106 L
.50482 .51075 L
.50651 .51253 L
.50674 .51338 L
.50756 .51445 L
.50867 .51606 L
.5088 .51638 L
.5103 .51831 L
.5106 .51871 L
.51211 .52023 L
.51253 .52111 L
.51317 .52216 L
.51445 .52395 L
.51449 .52409 L
.51592 .52601 L
.51638 .52665 L
.51768 .52794 L
.51831 .52933 L
.51875 .52987 L
.52007 .53179 L
.51831 .53347 L
.51638 .5334 L
.51445 .53206 L
.51424 .53179 L
.51272 .52987 L
.51253 .52962 L
.51148 .52794 L
.5106 .52705 L
.50983 .52601 L
.50867 .52441 L
.50843 .52409 L
.50703 .52216 L
.50674 .52166 L
.50588 .52023 L
.50482 .51874 L
.50417 .51831 L
.50289 .51652 L
.50279 .51638 L
.5014 .51445 L
.50096 .51383 L
.50029 .51253 L
.49904 .51112 L
.49854 .5106 L
.49713 .50867 L
.49711 .50866 L
.49579 .50674 L
.49518 .50646 L
.49471 .50482 L
.49326 .50329 L
.49294 .50289 L
.49148 .50096 L
.49326 .50011 L
.49518 .50003 L
.49642 .49904 L
.49518 .49762 L
.49484 .49711 L
.49343 .49518 L
.49326 .49485 L
.49189 .49326 L
.49133 .49202 L
.49072 .49133 L
.4894 .48943 L
.48918 .4894 L
.48778 .48747 L
.48747 .48709 L
.48626 .48555 L
.48555 .48442 L
.48509 .48362 L
.48362 .48178 L
.48354 .48169 L
.48171 .47977 L
.48169 .47939 L
.48064 .47784 L
.47977 .47664 L
.47945 .47591 L
.47792 .47399 L
.47784 .47388 L
.47608 .47206 L
.47591 .47119 L
.47504 .47013 L
.47399 .4685 L
.47384 .46821 L
F
0 .27 1 r
.47399 .48036 m
.47497 .48169 L
.47591 .48283 L
.47639 .48362 L
.47591 .48423 L
.47543 .48362 L
.47399 .48183 L
.47389 .48169 L
F
1 .5 0 r
.47399 .47323 m
.47565 .47399 L
.47591 .47418 L
.47765 .47591 L
.47784 .47611 L
.47932 .47784 L
.47977 .47836 L
.48088 .47977 L
.48169 .48038 L
.48238 .48169 L
.48362 .48326 L
.48395 .48362 L
.48521 .48555 L
.48555 .48601 L
.48655 .48747 L
.48747 .48884 L
.48784 .4894 L
.48896 .49133 L
.4894 .49222 L
.48972 .49326 L
.4894 .49377 L
.4884 .49326 L
.48747 .49258 L
.48623 .49133 L
.48555 .49063 L
.48451 .4894 L
.48362 .48867 L
.48292 .48747 L
.48169 .48599 L
.48125 .48555 L
.47997 .48362 L
.47977 .48335 L
.47859 .48169 L
.47784 .48065 L
.47723 .47977 L
.47593 .47784 L
.47591 .47781 L
.47481 .47591 L
.47399 .47425 L
.47389 .47399 L
F
0 .98 1 r
.47399 .46691 m
.47591 .4667 L
.47784 .46693 L
.47972 .46821 L
.47977 .46851 L
.48104 .47013 L
.48169 .47092 L
.4822 .47206 L
.48362 .4735 L
.48398 .47399 L
.48548 .47591 L
.48555 .47618 L
.48676 .47784 L
.48747 .47898 L
.48785 .47977 L
.4894 .48136 L
.48965 .48169 L
.49117 .48362 L
.49133 .484 L
.4924 .48555 L
.49326 .48669 L
.49347 .48747 L
.49518 .48931 L
.49528 .4894 L
.49682 .49133 L
.49711 .49159 L
.498 .49326 L
.49904 .49426 L
.49909 .49518 L
.50084 .49711 L
.50096 .49732 L
.50224 .49904 L
.50096 .49976 L
.49904 .49986 L
.49725 .50096 L
.49892 .50289 L
.49904 .50302 L
.50087 .50482 L
.50096 .50595 L
.5019 .50674 L
.50289 .50848 L
.50312 .50867 L
.50463 .5106 L
.50482 .51077 L
.50649 .51253 L
.50674 .51341 L
.50753 .51445 L
.50867 .5161 L
.50879 .51638 L
.51027 .51831 L
.5106 .51875 L
.51208 .52023 L
.51253 .52116 L
.51314 .52216 L
.51445 .52402 L
.51447 .52409 L
.51586 .52601 L
.51638 .52674 L
.51761 .52794 L
.51831 .52946 L
.51864 .52987 L
.51978 .53179 L
.51831 .53316 L
.51638 .53293 L
.5147 .53179 L
.51445 .53159 L
.5129 .52987 L
.51253 .52939 L
.51162 .52794 L
.5106 .5269 L
.50993 .52601 L
.50867 .5243 L
.50851 .52409 L
.50709 .52216 L
.50674 .52156 L
.50593 .52023 L
.50482 .51869 L
.50422 .51831 L
.50289 .51646 L
.50283 .51638 L
.50144 .51445 L
.50096 .51378 L
.50033 .51253 L
.49904 .51107 L
.49858 .5106 L
.49714 .50867 L
.49711 .50866 L
.49584 .50674 L
.49518 .5064 L
.49476 .50482 L
.49326 .50316 L
.49305 .50289 L
.49163 .50096 L
.49326 .50026 L
.49518 .50018 L
.49662 .49904 L
.49518 .49749 L
.49492 .49711 L
.49348 .49518 L
.49326 .49476 L
.49191 .49326 L
.49133 .49198 L
.49074 .49133 L
.4894 .48942 L
.48921 .4894 L
.48781 .48747 L
.48747 .48707 L
.48627 .48555 L
.48555 .48439 L
.48511 .48362 L
.48362 .48176 L
.48357 .48169 L
.48171 .47977 L
.48169 .47936 L
.48066 .47784 L
.47977 .4766 L
.47947 .47591 L
.47796 .47399 L
.47784 .47382 L
.47611 .47206 L
.47591 .4711 L
.47511 .47013 L
.47399 .4683 L
.47394 .46821 L
F
1 .66 0 r
.47399 .51556 m
.47477 .51638 L
.47591 .51751 L
.47658 .51831 L
.47784 .51974 L
.47824 .52023 L
.47977 .52203 L
.47983 .52216 L
.48135 .52409 L
.48169 .52449 L
.48288 .52601 L
.48362 .52693 L
.4844 .52794 L
.48555 .52917 L
.48591 .52987 L
.48739 .53179 L
.48747 .5319 L
.48885 .53372 L
.4894 .53443 L
.49032 .53565 L
.49133 .53672 L
.49179 .53758 L
.49324 .5395 L
.49326 .53953 L
.49466 .54143 L
.49518 .54211 L
.4961 .54336 L
.49711 .54448 L
.49813 .54528 L
.49896 .54721 L
.49904 .54731 L
.50036 .54914 L
.50096 .54994 L
.50178 .55106 L
.50289 .5524 L
.50353 .55299 L
.50458 .55492 L
.50482 .55523 L
.50596 .55684 L
.50674 .55791 L
.50736 .55877 L
.50867 .56054 L
.50883 .5607 L
.51008 .56263 L
.5106 .56332 L
.51144 .56455 L
.51253 .56607 L
.51281 .56648 L
.51412 .56841 L
.51445 .56887 L
.5154 .57033 L
.51638 .57173 L
.51672 .57226 L
.51792 .57419 L
.51831 .57474 L
.519 .57611 L
.51831 .57643 L
.51805 .57611 L
.51638 .57427 L
.51631 .57419 L
.51474 .57226 L
.51445 .57194 L
.5132 .57033 L
.51253 .56954 L
.51166 .56841 L
.5106 .56711 L
.51012 .56648 L
.50867 .5647 L
.5086 .56455 L
.50715 .56263 L
.50674 .56213 L
.50568 .5607 L
.50482 .55961 L
.50421 .55877 L
.50289 .55716 L
.5025 .55684 L
.5013 .55492 L
.50096 .5545 L
.49987 .55299 L
.49904 .55192 L
.49842 .55106 L
.49711 .54941 L
.49681 .54914 L
.49557 .54721 L
.49518 .54672 L
.49417 .54528 L
.49326 .54409 L
.49273 .54336 L
.49133 .5415 L
.49126 .54143 L
.48993 .5395 L
.4894 .53881 L
.48855 .53758 L
.48747 .53615 L
.48713 .53565 L
.48574 .53372 L
.48555 .53348 L
.4844 .53179 L
.48362 .53076 L
.48302 .52987 L
.48169 .52806 L
.48162 .52794 L
.48032 .52601 L
.47977 .52527 L
.479 .52409 L
.47784 .52248 L
.47764 .52216 L
.47639 .52023 L
.47591 .51956 L
.4752 .51831 L
.47399 .51646 L
.47395 .51638 L
F
0 .31 1 r
.47399 .52386 m
.47413 .52409 L
.47591 .526 L
.47593 .52601 L
.47591 .52699 L
.47543 .52601 L
.47399 .52415 L
.47396 .52409 L
F
1 .49 0 r
.47399 .4735 m
.47555 .47399 L
.47591 .47424 L
.4776 .47591 L
.47784 .47615 L
.47928 .47784 L
.47977 .4784 L
.48085 .47977 L
.48169 .48042 L
.48235 .48169 L
.48362 .4833 L
.48391 .48362 L
.48519 .48555 L
.48555 .48605 L
.48652 .48747 L
.48747 .48888 L
.48781 .4894 L
.48891 .49133 L
.4894 .49236 L
.48963 .49326 L
.4894 .49363 L
.48853 .49326 L
.48747 .49252 L
.48628 .49133 L
.48555 .49058 L
.48454 .4894 L
.48362 .48864 L
.48295 .48747 L
.48169 .48595 L
.48129 .48555 L
.48 .48362 L
.47977 .48332 L
.47861 .48169 L
.47784 .48062 L
.47726 .47977 L
.47597 .47784 L
.47591 .47776 L
.47486 .47591 L
.47399 .47406 L
.47396 .47399 L
F
0 .26 1 r
.47399 .4805 m
.47486 .48169 L
.47591 .48296 L
.4763 .48362 L
.47591 .48411 L
.47553 .48362 L
.47399 .48173 L
.47396 .48169 L
F
0 .97 1 r
.47591 .46688 m
.47784 .4672 L
.47968 .46821 L
.47977 .46871 L
.48093 .47013 L
.48169 .47103 L
.48214 .47206 L
.48362 .47358 L
.48392 .47399 L
.48547 .47591 L
.48555 .47624 L
.48673 .47784 L
.48747 .47902 L
.48783 .47977 L
.4894 .4814 L
.48962 .48169 L
.49116 .48362 L
.49133 .48404 L
.49237 .48555 L
.49326 .48672 L
.49345 .48747 L
.49518 .48934 L
.49525 .4894 L
.4968 .49133 L
.49711 .49162 L
.49796 .49326 L
.49904 .49435 L
.49908 .49518 L
.50076 .49711 L
.50096 .49747 L
.50203 .49904 L
.50096 .49962 L
.49904 .49974 L
.49711 .4993 L
.49681 .49904 L
.49518 .49736 L
.495 .49711 L
.49353 .49518 L
.49326 .49468 L
.49194 .49326 L
.49133 .49194 L
.49077 .49133 L
.4894 .48942 L
.48923 .4894 L
.48783 .48747 L
.48747 .48704 L
.48629 .48555 L
.48555 .48436 L
.48512 .48362 L
.48362 .48173 L
.48359 .48169 L
.48172 .47977 L
.48169 .47934 L
.48068 .47784 L
.47977 .47655 L
.4795 .47591 L
.478 .47399 L
.47784 .47377 L
.47613 .47206 L
.47591 .47101 L
.47519 .47013 L
.4741 .46821 L
F
0 .96 1 r
.47591 .46705 m
.47784 .46743 L
.47959 .46821 L
.47977 .46889 L
.48083 .47013 L
.48169 .47114 L
.48209 .47206 L
.48362 .47366 L
.48387 .47399 L
.48545 .47591 L
.48555 .4763 L
.4867 .47784 L
.48747 .47906 L
.48781 .47977 L
.4894 .48144 L
.48959 .48169 L
.49114 .48362 L
.49133 .48407 L
.49235 .48555 L
.49326 .48676 L
.49344 .48747 L
.49518 .48937 L
.49522 .4894 L
.49678 .49133 L
.49711 .49165 L
.49793 .49326 L
.49904 .49443 L
.49907 .49518 L
.50068 .49711 L
.50096 .49765 L
.50177 .49904 L
.50096 .49946 L
.49904 .49963 L
.49711 .4991 L
.49703 .49904 L
.49518 .49725 L
.49508 .49711 L
.49357 .49518 L
.49326 .4946 L
.49197 .49326 L
.49133 .4919 L
.49079 .49133 L
.4894 .48941 L
.48926 .4894 L
.48785 .48747 L
.48747 .48701 L
.48631 .48555 L
.48555 .48434 L
.48514 .48362 L
.48362 .48171 L
.48361 .48169 L
.48172 .47977 L
.48169 .47931 L
.48071 .47784 L
.47977 .47651 L
.47952 .47591 L
.47804 .47399 L
.47784 .47371 L
.47616 .47206 L
.47591 .47092 L
.47527 .47013 L
.47429 .46821 L
F
0 .95 1 r
.47591 .46723 m
.47784 .46764 L
.47942 .46821 L
.47977 .46905 L
.48074 .47013 L
.48169 .47125 L
.48205 .47206 L
.48362 .47373 L
.48381 .47399 L
.48544 .47591 L
.48555 .47636 L
.48667 .47784 L
.48747 .4791 L
.48779 .47977 L
.4894 .48148 L
.48956 .48169 L
.49113 .48362 L
.49133 .48411 L
.49232 .48555 L
.49326 .48679 L
.49343 .48747 L
.49518 .48939 L
.49519 .4894 L
.49676 .49133 L
.49711 .49169 L
.4979 .49326 L
.49904 .49453 L
.49907 .49518 L
.50059 .49711 L
.50096 .49786 L
.50146 .49904 L
.50096 .49929 L
.49904 .49951 L
.49729 .49904 L
.49711 .49895 L
.49518 .49714 L
.49516 .49711 L
.49362 .49518 L
.49326 .49453 L
.492 .49326 L
.49133 .49187 L
.49081 .49133 L
.4894 .48941 L
.48928 .4894 L
.48788 .48747 L
.48747 .48698 L
.48633 .48555 L
.48555 .48431 L
.48515 .48362 L
.48363 .48169 L
.48362 .48168 L
.48173 .47977 L
.48169 .47928 L
.48073 .47784 L
.47977 .47646 L
.47954 .47591 L
.47808 .47399 L
.47784 .47365 L
.4762 .47206 L
.47591 .47082 L
.47535 .47013 L
.4745 .46821 L
F
0 .94 1 r
.47591 .46741 m
.47784 .46783 L
.47911 .46821 L
.47977 .4692 L
.48064 .47013 L
.48169 .47135 L
.482 .47206 L
.48362 .47381 L
.48376 .47399 L
.48542 .47591 L
.48555 .47642 L
.48664 .47784 L
.48747 .47914 L
.48777 .47977 L
.4894 .48152 L
.48953 .48169 L
.49111 .48362 L
.49133 .48414 L
.4923 .48555 L
.49326 .48682 L
.49342 .48747 L
.49516 .4894 L
.49518 .48943 L
.49674 .49133 L
.49711 .49172 L
.49787 .49326 L
.49904 .49463 L
.49906 .49518 L
.50051 .49711 L
.50096 .49816 L
.50106 .49904 L
.50096 .49909 L
.49904 .4994 L
.49758 .49904 L
.49711 .49883 L
.49524 .49711 L
.49518 .497 L
.49367 .49518 L
.49326 .49446 L
.49203 .49326 L
.49133 .49183 L
.49083 .49133 L
.4894 .48941 L
.48931 .4894 L
.4879 .48747 L
.48747 .48695 L
.48635 .48555 L
.48555 .48428 L
.48517 .48362 L
.48366 .48169 L
.48362 .48165 L
.48173 .47977 L
.48169 .47925 L
.48076 .47784 L
.47977 .47641 L
.47956 .47591 L
.47812 .47399 L
.47784 .47359 L
.47623 .47206 L
.47591 .47072 L
.47544 .47013 L
.47472 .46821 L
F
1 .48 0 r
.47591 .47431 m
.47755 .47591 L
.47784 .4762 L
.47925 .47784 L
.47977 .47843 L
.48082 .47977 L
.48169 .48045 L
.48233 .48169 L
.48362 .48334 L
.48387 .48362 L
.48516 .48555 L
.48555 .48608 L
.48649 .48747 L
.48747 .48893 L
.48778 .4894 L
.48886 .49133 L
.4894 .49255 L
.48952 .49326 L
.4894 .49347 L
.48868 .49326 L
.48747 .49246 L
.48633 .49133 L
.48555 .49054 L
.48458 .4894 L
.48362 .4886 L
.48298 .48747 L
.48169 .48591 L
.48133 .48555 L
.48003 .48362 L
.47977 .48328 L
.47864 .48169 L
.47784 .48058 L
.47729 .47977 L
.476 .47784 L
.47591 .4777 L
.4749 .47591 L
F
1 .47 0 r
.47591 .47438 m
.4775 .47591 L
.47784 .47625 L
.47921 .47784 L
.47977 .47847 L
.48079 .47977 L
.48169 .48049 L
.4823 .48169 L
.48362 .48338 L
.48384 .48362 L
.48513 .48555 L
.48555 .48612 L
.48646 .48747 L
.48747 .48898 L
.48774 .4894 L
.48881 .49133 L
.48747 .4924 L
.48638 .49133 L
.48555 .49049 L
.48461 .4894 L
.48362 .48856 L
.48301 .48747 L
.48169 .48587 L
.48137 .48555 L
.48005 .48362 L
.47977 .48324 L
.47867 .48169 L
.47784 .48054 L
.47731 .47977 L
.47604 .47784 L
.47591 .47764 L
.47495 .47591 L
F
0 .93 1 r
.47591 .46759 m
.47784 .46801 L
.47865 .46821 L
.47977 .46934 L
.48054 .47013 L
.48169 .47145 L
.48196 .47206 L
.48362 .47388 L
.48371 .47399 L
.48541 .47591 L
.48555 .47648 L
.48661 .47784 L
.48747 .47918 L
.48776 .47977 L
.4894 .48156 L
.4895 .48169 L
.4911 .48362 L
.49133 .48417 L
.49228 .48555 L
.49326 .48686 L
.49341 .48747 L
.49513 .4894 L
.49518 .48947 L
.49672 .49133 L
.49711 .49176 L
.49783 .49326 L
.49904 .49473 L
.49906 .49518 L
.50043 .49711 L
.50069 .49904 L
.49904 .49929 L
.49791 .49904 L
.49711 .49872 L
.49532 .49711 L
.49518 .49686 L
.49372 .49518 L
.49326 .49439 L
.49206 .49326 L
.49133 .4918 L
.49086 .49133 L
.4894 .4894 L
.48933 .4894 L
.48792 .48747 L
.48747 .48693 L
.48637 .48555 L
.48555 .48425 L
.48519 .48362 L
.48368 .48169 L
.48362 .48161 L
.48174 .47977 L
.48169 .47923 L
.48078 .47784 L
.47977 .47636 L
.47958 .47591 L
.47816 .47399 L
.47784 .47353 L
.47627 .47206 L
.47591 .47061 L
.47553 .47013 L
.47495 .46821 L
F
1 .46 0 r
.47591 .47444 m
.47745 .47591 L
.47784 .47629 L
.47917 .47784 L
.47977 .47851 L
.48076 .47977 L
.48169 .48053 L
.48228 .48169 L
.48362 .48342 L
.4838 .48362 L
.4851 .48555 L
.48555 .48616 L
.48643 .48747 L
.48747 .48903 L
.48771 .4894 L
.48876 .49133 L
.48747 .49234 L
.48643 .49133 L
.48555 .49045 L
.48465 .4894 L
.48362 .48851 L
.48304 .48747 L
.48169 .48583 L
.48141 .48555 L
.48008 .48362 L
.47977 .48321 L
.4787 .48169 L
.47784 .4805 L
.47734 .47977 L
.47608 .47784 L
.47591 .47758 L
.475 .47591 L
F
1 .45 0 r
.47591 .47451 m
.4774 .47591 L
.47784 .47634 L
.47914 .47784 L
.47977 .47855 L
.48073 .47977 L
.48169 .48057 L
.48225 .48169 L
.48362 .48346 L
.48376 .48362 L
.48507 .48555 L
.48555 .4862 L
.4864 .48747 L
.48747 .48908 L
.48768 .4894 L
.4887 .49133 L
.48747 .49228 L
.48649 .49133 L
.48555 .4904 L
.48469 .4894 L
.48362 .48847 L
.48307 .48747 L
.48169 .48579 L
.48145 .48555 L
.48011 .48362 L
.47977 .48317 L
.47872 .48169 L
.47784 .48046 L
.47737 .47977 L
.47612 .47784 L
.47591 .47752 L
.47505 .47591 L
F
1 .94 0 r
.47591 .44947 m
.47712 .45086 L
.47784 .45172 L
.47869 .45279 L
.47977 .45418 L
.48017 .45472 L
.48154 .45664 L
.48169 .45688 L
.48279 .45857 L
.48362 .4602 L
.48374 .4605 L
.48362 .46105 L
.48236 .4605 L
.48169 .4599 L
.48052 .45857 L
.47977 .45768 L
.479 .45664 L
.47784 .45514 L
.47756 .45472 L
.47624 .45279 L
.47591 .45231 L
.47508 .45086 L
F
1 .44 0 r
.47591 .47459 m
.47734 .47591 L
.47784 .47639 L
.4791 .47784 L
.47977 .47859 L
.4807 .47977 L
.48169 .48061 L
.48222 .48169 L
.48362 .48351 L
.48372 .48362 L
.48505 .48555 L
.48555 .48624 L
.48637 .48747 L
.48747 .48913 L
.48764 .4894 L
.48865 .49133 L
.48747 .49221 L
.48654 .49133 L
.48555 .49035 L
.48472 .4894 L
.48362 .48842 L
.4831 .48747 L
.48169 .48575 L
.48149 .48555 L
.48014 .48362 L
.47977 .48313 L
.47875 .48169 L
.47784 .48041 L
.4774 .47977 L
.47616 .47784 L
.47591 .47745 L
.4751 .47591 L
F
1 .74 0 r
.47591 .41563 m
.47638 .41618 L
.47784 .41775 L
.47812 .41811 L
.47977 .42003 L
.47977 .42003 L
.48131 .42196 L
.48169 .4224 L
.48285 .42389 L
.48362 .42482 L
.48438 .42581 L
.48555 .42707 L
.48591 .42774 L
.48742 .42967 L
.48747 .42974 L
.48887 .43159 L
.4894 .43225 L
.49035 .43352 L
.49133 .43456 L
.49183 .43545 L
.49326 .4373 L
.49332 .43737 L
.49473 .4393 L
.49518 .43988 L
.49617 .44123 L
.49711 .44224 L
.49819 .44316 L
.49904 .44501 L
.4991 .44508 L
.50049 .44701 L
.50096 .44762 L
.50191 .44894 L
.50289 .45003 L
.50377 .45086 L
.50479 .45279 L
.50482 .45283 L
.50617 .45472 L
.50674 .45546 L
.50759 .45664 L
.50867 .45793 L
.5093 .45857 L
.51042 .4605 L
.5106 .46072 L
.5118 .46242 L
.51253 .46338 L
.51321 .46435 L
.51445 .46594 L
.51476 .46628 L
.516 .46821 L
.51638 .46871 L
.51736 .47013 L
.51831 .4714 L
.51876 .47206 L
.52016 .47399 L
.52023 .47408 L
.52149 .47591 L
.52216 .47682 L
.52285 .47784 L
.52409 .47954 L
.52424 .47977 L
.52554 .48169 L
.52601 .48234 L
.52684 .48362 L
.52794 .48516 L
.52819 .48555 L
.52944 .48747 L
.52987 .48809 L
.53061 .4894 L
.53179 .49125 L
.53183 .49133 L
.53179 .49226 L
.53086 .49133 L
.52987 .49038 L
.52902 .4894 L
.52794 .4882 L
.52733 .48747 L
.52601 .48615 L
.52571 .48555 L
.52415 .48362 L
.52409 .48355 L
.52261 .48169 L
.52216 .48115 L
.52108 .47977 L
.52023 .47905 L
.51955 .47784 L
.51831 .47627 L
.51793 .47591 L
.51657 .47399 L
.51638 .47374 L
.51509 .47206 L
.51445 .47152 L
.51361 .47013 L
.51253 .46874 L
.51203 .46821 L
.5107 .46628 L
.5106 .46615 L
.50925 .46435 L
.50867 .46384 L
.5078 .46242 L
.50674 .46106 L
.50627 .4605 L
.50493 .45857 L
.50482 .45842 L
.50351 .45664 L
.50289 .45606 L
.5013 .45472 L
.50096 .45325 L
.50059 .45279 L
.49924 .45086 L
.49904 .45059 L
.49783 .44894 L
.49711 .4482 L
.49587 .44701 L
.49518 .44534 L
.49498 .44508 L
.49363 .44316 L
.49326 .44266 L
.49223 .44123 L
.49133 .44021 L
.49047 .4393 L
.48944 .43737 L
.4894 .43732 L
.48809 .43545 L
.48747 .43461 L
.48671 .43352 L
.48555 .43202 L
.48517 .43159 L
.484 .42967 L
.48362 .42915 L
.48266 .42774 L
.48169 .42638 L
.48131 .42581 L
.47999 .42389 L
.47977 .42357 L
.47873 .42196 L
.47784 .42068 L
.47743 .42003 L
.47621 .41811 L
.47591 .41766 L
.47513 .41618 L
F
1 .43 0 r
.47591 .47466 m
.47728 .47591 L
.47784 .47644 L
.47906 .47784 L
.47977 .47863 L
.48067 .47977 L
.48169 .48066 L
.4822 .48169 L
.48362 .48355 L
.48368 .48362 L
.48502 .48555 L
.48555 .48628 L
.48634 .48747 L
.48747 .48918 L
.48761 .4894 L
.48859 .49133 L
.48747 .49214 L
.4866 .49133 L
.48555 .49031 L
.48476 .4894 L
.48362 .48838 L
.48313 .48747 L
.48169 .4857 L
.48153 .48555 L
.48017 .48362 L
.47977 .48309 L
.47878 .48169 L
.47784 .48037 L
.47743 .47977 L
.4762 .47784 L
.47591 .47738 L
.47515 .47591 L
F
0 .87 1 r
.47591 .40744 m
.47689 .40847 L
.47784 .40943 L
.47868 .4104 L
.47977 .41122 L
.48037 .41232 L
.48169 .41384 L
.48231 .41425 L
.48358 .41618 L
.48362 .41623 L
.48512 .41811 L
.48555 .41838 L
.48666 .42003 L
.48747 .421 L
.48857 .42196 L
.4894 .42353 L
.4897 .42389 L
.49118 .42581 L
.49133 .42592 L
.49266 .42774 L
.49326 .42847 L
.49443 .42967 L
.49518 .43107 L
.49558 .43159 L
.49706 .43352 L
.49711 .43356 L
.49851 .43545 L
.49904 .4361 L
.50019 .43737 L
.50096 .43873 L
.50136 .4393 L
.50285 .44123 L
.50289 .44126 L
.50428 .44316 L
.50482 .44383 L
.50589 .44508 L
.50674 .44648 L
.50709 .44701 L
.50858 .44894 L
.50867 .44901 L
.51 .45086 L
.5106 .45162 L
.51156 .45279 L
.51253 .45429 L
.51278 .45472 L
.51427 .45664 L
.51445 .4568 L
.51631 .45857 L
.51638 .45945 L
.51721 .4605 L
.51831 .46213 L
.51847 .46242 L
.51993 .46435 L
.52023 .46462 L
.52188 .46628 L
.52216 .46731 L
.52285 .46821 L
.52409 .47 L
.52415 .47013 L
.52558 .47206 L
.52601 .47246 L
.52744 .47399 L
.52794 .47521 L
.52846 .47591 L
.52982 .47784 L
.52987 .4779 L
.5312 .47977 L
.53179 .48035 L
.53299 .48169 L
.53372 .48315 L
.53406 .48362 L
.53542 .48555 L
.53565 .48584 L
.53681 .48747 L
.53758 .48829 L
.53852 .4894 L
.5395 .49112 L
.53964 .49133 L
.541 .49326 L
.54143 .49382 L
.54239 .49518 L
.54336 .49631 L
.54401 .49711 L
.54519 .49904 L
.54528 .49915 L
.54655 .50096 L
.54721 .50186 L
.54793 .50289 L
.54914 .50444 L
.54943 .50482 L
.55069 .50674 L
.55106 .50725 L
.55203 .50867 L
.55299 .50998 L
.55341 .5106 L
.55478 .51253 L
.55492 .51271 L
.55608 .51445 L
.55684 .51551 L
.55741 .51638 L
.55877 .5183 L
.55878 .51831 L
.56001 .52023 L
.5607 .52123 L
.56126 .52216 L
.56253 .52409 L
.56263 .52423 L
.56354 .52601 L
.56263 .52664 L
.56201 .52601 L
.5607 .52465 L
.56019 .52409 L
.55877 .52252 L
.5585 .52216 L
.55689 .52023 L
.55684 .52018 L
.5553 .51831 L
.55492 .51821 L
.55373 .51638 L
.55299 .51551 L
.55158 .51445 L
.55106 .51301 L
.55065 .51253 L
.54916 .5106 L
.54914 .51058 L
.54765 .50867 L
.54721 .50812 L
.54583 .50674 L
.54528 .50556 L
.54473 .50482 L
.54336 .50304 L
.54333 .50289 L
.54174 .50096 L
.54143 .50057 L
.54008 .49904 L
.5395 .49797 L
.53892 .49711 L
.53758 .49539 L
.53735 .49518 L
.53591 .49326 L
.53565 .49291 L
.53435 .49133 L
.53372 .49028 L
.53317 .4894 L
.53179 .48767 L
.53158 .48747 L
.53015 .48555 L
.52987 .48517 L
.52864 .48362 L
.52794 .48252 L
.52746 .48169 L
.52601 .47991 L
.52586 .47977 L
.52444 .47784 L
.52409 .47738 L
.52297 .47591 L
.52216 .47471 L
.52178 .47399 L
.52023 .47211 L
.52018 .47206 L
.51837 .47013 L
.51831 .46954 L
.51732 .46821 L
.51638 .46686 L
.51612 .46628 L
.51452 .46435 L
.51445 .46429 L
.51275 .46242 L
.51253 .46167 L
.51168 .4605 L
.5106 .45898 L
.51045 .45857 L
.50888 .45664 L
.50867 .45645 L
.50715 .45472 L
.50674 .45376 L
.50607 .45279 L
.50482 .45107 L
.50477 .45086 L
.50327 .44894 L
.50289 .44856 L
.50157 .44701 L
.50096 .44582 L
.50048 .44508 L
.49907 .44316 L
.49904 .44311 L
.49769 .44123 L
.49711 .44062 L
.49604 .4393 L
.49518 .43781 L
.49491 .43737 L
.49352 .43545 L
.49326 .43509 L
.49214 .43352 L
.49133 .43258 L
.49056 .43159 L
.4894 .42971 L
.48937 .42967 L
.48803 .42774 L
.48747 .42698 L
.48666 .42581 L
.48555 .42437 L
.4852 .42389 L
.48396 .42196 L
.48362 .42149 L
.48264 .42003 L
.48169 .41869 L
.4808 .41811 L
.47999 .41618 L
.47977 .41586 L
.47874 .41425 L
.47784 .41293 L
.47746 .41232 L
.47627 .4104 L
.47591 .40985 L
.4752 .40847 L
F
1 .42 0 r
.47591 .47474 m
.47722 .47591 L
.47784 .47649 L
.47902 .47784 L
.47977 .47867 L
.48064 .47977 L
.48169 .4807 L
.48217 .48169 L
.48362 .4836 L
.48364 .48362 L
.48499 .48555 L
.48555 .48633 L
.48631 .48747 L
.48747 .48924 L
.48758 .4894 L
.48852 .49133 L
.48747 .49208 L
.48666 .49133 L
.48555 .49026 L
.4848 .4894 L
.48362 .48833 L
.48316 .48747 L
.48169 .48566 L
.48158 .48555 L
.4802 .48362 L
.47977 .48305 L
.47881 .48169 L
.47784 .48033 L
.47746 .47977 L
.47624 .47784 L
.47591 .47731 L
.4752 .47591 L
F
0 .92 1 r
.47591 .46778 m
.47784 .46818 L
.47798 .46821 L
.47977 .46948 L
.48044 .47013 L
.48169 .47155 L
.48192 .47206 L
.48362 .47395 L
.48365 .47399 L
.48539 .47591 L
.48555 .47654 L
.48658 .47784 L
.48747 .47922 L
.48774 .47977 L
.4894 .4816 L
.48947 .48169 L
.49109 .48362 L
.49133 .48421 L
.49225 .48555 L
.49326 .48689 L
.4934 .48747 L
.49511 .4894 L
.49518 .48951 L
.4967 .49133 L
.49711 .4918 L
.4978 .49326 L
.49904 .49484 L
.49905 .49518 L
.50035 .49711 L
.50028 .49904 L
.49904 .49917 L
.49829 .49904 L
.49711 .49861 L
.4954 .49711 L
.49518 .49672 L
.49377 .49518 L
.49326 .49433 L
.49209 .49326 L
.49133 .49177 L
.49088 .49133 L
.4894 .4894 L
.48936 .4894 L
.48794 .48747 L
.48747 .4869 L
.48639 .48555 L
.48555 .48422 L
.4852 .48362 L
.4837 .48169 L
.48362 .48158 L
.48175 .47977 L
.48169 .47919 L
.48081 .47784 L
.47977 .47631 L
.4796 .47591 L
.4782 .47399 L
.47784 .47346 L
.47632 .47206 L
.47591 .47049 L
.47563 .47013 L
.47521 .46821 L
F
1 .41 0 r
.47591 .47482 m
.47716 .47591 L
.47784 .47654 L
.47898 .47784 L
.47977 .47871 L
.48061 .47977 L
.48169 .48075 L
.48214 .48169 L
.48361 .48362 L
.48362 .48364 L
.48496 .48555 L
.48555 .48637 L
.48628 .48747 L
.48747 .4893 L
.48754 .4894 L
.48846 .49133 L
.48747 .49201 L
.48673 .49133 L
.48555 .49021 L
.48484 .4894 L
.48362 .48828 L
.48319 .48747 L
.48169 .48561 L
.48162 .48555 L
.48023 .48362 L
.47977 .48301 L
.47884 .48169 L
.47784 .48029 L
.47749 .47977 L
.47628 .47784 L
.47591 .47724 L
.47526 .47591 L
F
1 .96 0 r
.47591 .39926 m
.47743 .40076 L
.47784 .40115 L
.47925 .40269 L
.47977 .40324 L
.48096 .40462 L
.48169 .40538 L
.48262 .40654 L
.48362 .40778 L
.48436 .40847 L
.48555 .41016 L
.48573 .4104 L
.48734 .41232 L
.48747 .41248 L
.48888 .41425 L
.4894 .41496 L
.49045 .41618 L
.49133 .41752 L
.4917 .41811 L
.49326 .41999 L
.49338 .42003 L
.49485 .42196 L
.49518 .42243 L
.49632 .42389 L
.49711 .42507 L
.49751 .42581 L
.49904 .42766 L
.49924 .42774 L
.50088 .42967 L
.50096 .43008 L
.50209 .43159 L
.50289 .43276 L
.50323 .43352 L
.50482 .43538 L
.50501 .43545 L
.50658 .43737 L
.50674 .43783 L
.5078 .4393 L
.50867 .44053 L
.50891 .44123 L
.5106 .44313 L
.51072 .44316 L
.51227 .44508 L
.51253 .44564 L
.51347 .44701 L
.51445 .44835 L
.51456 .44894 L
.51638 .45086 L
.5164 .45086 L
.51794 .45279 L
.51831 .45349 L
.51912 .45472 L
.52023 .45619 L
.52067 .45664 L
.52207 .45857 L
.52216 .45869 L
.5236 .4605 L
.52409 .46135 L
.52476 .46242 L
.52601 .46403 L
.52632 .46435 L
.52772 .46628 L
.52794 .46655 L
.52924 .46821 L
.52987 .46923 L
.5304 .47013 L
.53179 .47188 L
.53197 .47206 L
.53337 .47399 L
.53372 .47443 L
.53487 .47591 L
.53565 .47711 L
.53604 .47784 L
.53758 .47973 L
.53761 .47977 L
.53941 .48169 L
.5395 .48231 L
.54049 .48362 L
.54143 .485 L
.54168 .48555 L
.54325 .48747 L
.54336 .48757 L
.54503 .4894 L
.54528 .4902 L
.54611 .49133 L
.54721 .4929 L
.54735 .49326 L
.54888 .49518 L
.54914 .49541 L
.55064 .49711 L
.55106 .4981 L
.55173 .49904 L
.55299 .5008 L
.55303 .50096 L
.5545 .50289 L
.55492 .50327 L
.55623 .50482 L
.55684 .50602 L
.55734 .50674 L
.55874 .50867 L
.55877 .50872 L
.56012 .5106 L
.5607 .51117 L
.56181 .51253 L
.56263 .51395 L
.56295 .51445 L
.56435 .51638 L
.56455 .51665 L
.56573 .51831 L
.56648 .5191 L
.56737 .52023 L
.56841 .52192 L
.56856 .52216 L
.56994 .52409 L
.57033 .52461 L
.57133 .52601 L
.57226 .52708 L
.57291 .52794 L
.57415 .52987 L
.57419 .52992 L
.57551 .53179 L
.57611 .5326 L
.57758 .53372 L
.57804 .53514 L
.57841 .53565 L
.57969 .53758 L
.57997 .53795 L
.58104 .5395 L
.58189 .54066 L
.58294 .54143 L
.58382 .54334 L
.58383 .54336 L
.58514 .54528 L
.58575 .54611 L
.58649 .54721 L
.58768 .54886 L
.58808 .54914 L
.58915 .55106 L
.5896 .55169 L
.59042 .55299 L
.59153 .5546 L
.59172 .55492 L
.59287 .55684 L
.59346 .55778 L
.59389 .55877 L
.59346 .55952 L
.59268 .55877 L
.59153 .55772 L
.59071 .55684 L
.5896 .55595 L
.58889 .55492 L
.58768 .55348 L
.58695 .55299 L
.58575 .55111 L
.58544 .55106 L
.58382 .54916 L
.5838 .54914 L
.58216 .54721 L
.58189 .54685 L
.58022 .54528 L
.57997 .54437 L
.57921 .54336 L
.57804 .54175 L
.57744 .54143 L
.57611 .5397 L
.57595 .5395 L
.57429 .53758 L
.57419 .53717 L
.57306 .53565 L
.57226 .53451 L
.5719 .53372 L
.57033 .53219 L
.57003 .53179 L
.56851 .52987 L
.56841 .52959 L
.56723 .52794 L
.56648 .52689 L
.56612 .52601 L
.56455 .52419 L
.56425 .52409 L
.56277 .52216 L
.56263 .52186 L
.56151 .52023 L
.5607 .51913 L
.56048 .51831 L
.55877 .5167 L
.55853 .51638 L
.55707 .51445 L
.55684 .51404 L
.55585 .51253 L
.55492 .5113 L
.55424 .5106 L
.55299 .50886 L
.55284 .50867 L
.55139 .50674 L
.55106 .5062 L
.55021 .50482 L
.54914 .50346 L
.54857 .50289 L
.54721 .501 L
.54718 .50096 L
.54574 .49904 L
.54528 .49833 L
.54458 .49711 L
.54336 .4956 L
.54291 .49518 L
.54152 .49326 L
.54143 .49313 L
.5401 .49133 L
.5395 .49045 L
.53896 .4894 L
.53758 .48776 L
.53727 .48747 L
.5357 .48555 L
.53565 .48525 L
.53446 .48362 L
.53372 .48256 L
.53334 .48169 L
.53179 .47992 L
.53163 .47977 L
.53003 .47784 L
.52987 .47737 L
.52884 .47591 L
.52794 .47468 L
.52771 .47399 L
.52601 .47208 L
.52599 .47206 L
.52438 .47013 L
.52409 .46948 L
.52322 .46821 L
.52216 .46679 L
.52206 .46628 L
.52036 .46435 L
.52023 .46423 L
.51875 .46242 L
.51831 .46158 L
.5176 .4605 L
.51638 .45889 L
.51638 .45857 L
.51473 .45664 L
.51445 .45636 L
.51313 .45472 L
.51253 .45367 L
.51198 .45279 L
.5106 .45098 L
.51051 .45086 L
.50912 .44894 L
.50867 .44847 L
.50753 .44701 L
.50674 .44574 L
.50636 .44508 L
.5049 .44316 L
.50482 .44305 L
.50351 .44123 L
.50289 .44056 L
.50195 .4393 L
.50096 .43778 L
.50075 .43737 L
.49931 .43545 L
.49904 .43508 L
.4973 .43352 L
.49711 .43259 L
.4964 .43159 L
.49518 .42978 L
.49513 .42967 L
.49374 .42774 L
.49326 .42708 L
.49182 .42581 L
.49133 .42454 L
.49088 .42389 L
.48958 .42196 L
.4894 .42172 L
.48823 .42003 L
.48747 .41947 L
.48644 .41811 L
.48555 .41633 L
.48545 .41618 L
.48414 .41425 L
.48362 .41353 L
.48281 .41232 L
.48169 .41101 L
.48126 .4104 L
.48015 .40847 L
.47977 .40793 L
.47888 .40654 L
.47784 .40502 L
.47759 .40462 L
.47641 .40269 L
.47591 .40192 L
.47531 .40076 L
F
1 .4 0 r
.47591 .47491 m
.47709 .47591 L
.47784 .47659 L
.47894 .47784 L
.47977 .47875 L
.48058 .47977 L
.48169 .4808 L
.48211 .48169 L
.48358 .48362 L
.48362 .48368 L
.48493 .48555 L
.48555 .48641 L
.48625 .48747 L
.48747 .48935 L
.4875 .4894 L
.48839 .49133 L
.48747 .49193 L
.48679 .49133 L
.48555 .49016 L
.48488 .4894 L
.48362 .48822 L
.48322 .48747 L
.48169 .48557 L
.48167 .48555 L
.48026 .48362 L
.47977 .48297 L
.47887 .48169 L
.47784 .48024 L
.47752 .47977 L
.47632 .47784 L
.47591 .47716 L
.47532 .47591 L
F
0 .89 1 r
.47591 .50901 m
.47734 .5106 L
.47784 .51114 L
.47901 .51253 L
.47977 .51342 L
.48061 .51445 L
.48169 .51567 L
.48218 .51638 L
.48362 .51821 L
.48372 .51831 L
.48521 .52023 L
.48555 .52065 L
.48673 .52216 L
.48747 .52303 L
.48881 .52409 L
.4894 .52561 L
.48973 .52601 L
.4912 .52794 L
.49133 .52798 L
.49269 .52987 L
.49326 .53056 L
.49449 .53179 L
.49518 .53316 L
.49558 .53372 L
.49709 .53565 L
.49711 .53566 L
.49856 .53758 L
.49904 .53817 L
.50021 .5395 L
.50096 .5408 L
.50137 .54143 L
.50289 .54334 L
.50291 .54336 L
.50436 .54528 L
.50482 .54587 L
.50593 .54721 L
.50674 .54852 L
.50711 .54914 L
.50866 .55106 L
.50867 .55107 L
.51009 .55299 L
.5106 .55364 L
.51161 .55492 L
.51253 .55631 L
.51282 .55684 L
.51436 .55877 L
.51445 .55885 L
.51578 .5607 L
.51638 .56147 L
.51726 .56263 L
.51831 .56416 L
.5185 .56455 L
.52001 .56648 L
.52023 .56666 L
.52196 .56841 L
.52216 .56937 L
.52287 .57033 L
.52409 .57207 L
.52416 .57226 L
.52562 .57419 L
.52601 .57454 L
.52748 .57611 L
.52794 .57733 L
.52844 .57804 L
.52981 .57997 L
.52987 .58005 L
.53118 .58189 L
.53179 .58251 L
.53294 .58382 L
.53372 .58538 L
.53397 .58575 L
.53532 .58768 L
.53565 .58813 L
.53668 .5896 L
.53758 .59064 L
.5383 .59153 L
.53941 .59346 L
.5395 .59359 L
.54073 .59538 L
.54143 .59637 L
.54207 .59731 L
.54336 .59912 L
.54344 .59924 L
.54468 .60116 L
.54528 .60204 L
.54596 .60309 L
.54721 .60496 L
.54725 .60502 L
.54838 .60694 L
.54914 .60815 L
.54951 .60887 L
.54914 .60999 L
.54807 .60887 L
.54721 .60803 L
.54629 .60694 L
.54528 .60585 L
.54461 .60502 L
.54336 .60374 L
.54299 .60309 L
.54143 .6012 L
.54139 .60116 L
.53989 .59924 L
.5395 .59877 L
.53837 .59731 L
.53758 .59655 L
.53685 .59538 L
.53565 .59389 L
.53521 .59346 L
.53387 .59153 L
.53372 .59135 L
.53241 .5896 L
.53179 .58902 L
.53093 .58768 L
.52987 .58633 L
.52933 .58575 L
.528 .58382 L
.52794 .58374 L
.52657 .58189 L
.52601 .58135 L
.52513 .57997 L
.52409 .57864 L
.52357 .57804 L
.52223 .57611 L
.52216 .57602 L
.52082 .57419 L
.52023 .5736 L
.51877 .57226 L
.51831 .57087 L
.51787 .57033 L
.51652 .56841 L
.51638 .56822 L
.51512 .56648 L
.51445 .56579 L
.5132 .56455 L
.51253 .56303 L
.51221 .56263 L
.51085 .5607 L
.5106 .56037 L
.50945 .55877 L
.50867 .55793 L
.50764 .55684 L
.50674 .55514 L
.50657 .55492 L
.50521 .55299 L
.50482 .55247 L
.50381 .55106 L
.50289 .55001 L
.50211 .54914 L
.50097 .54721 L
.50096 .5472 L
.4996 .54528 L
.49904 .54453 L
.49821 .54336 L
.49711 .54201 L
.49661 .54143 L
.4954 .5395 L
.49518 .53922 L
.49403 .53758 L
.49326 .53654 L
.49264 .53565 L
.49133 .53393 L
.49116 .53372 L
.48987 .53179 L
.4894 .53117 L
.48851 .52987 L
.48747 .52884 L
.48711 .52794 L
.48574 .52601 L
.48555 .52576 L
.48442 .52409 L
.48362 .523 L
.48306 .52216 L
.48169 .52029 L
.48164 .52023 L
.4804 .51831 L
.47977 .51743 L
.47909 .51638 L
.47784 .5146 L
.47775 .51445 L
.47653 .51253 L
.47591 .51161 L
.47534 .5106 L
F
1 .65 0 r
.47591 .5177 m
.47643 .51831 L
.47784 .51988 L
.47813 .52023 L
.47973 .52216 L
.47977 .5222 L
.48126 .52409 L
.48169 .5246 L
.4828 .52601 L
.48362 .52702 L
.48433 .52794 L
.48555 .52929 L
.48584 .52987 L
.48732 .53179 L
.48747 .53199 L
.48878 .53372 L
.4894 .53451 L
.49026 .53565 L
.49133 .53681 L
.49173 .53758 L
.49318 .5395 L
.49326 .5396 L
.4946 .54143 L
.49518 .54218 L
.49605 .54336 L
.49711 .54456 L
.49803 .54528 L
.49891 .54721 L
.49904 .54738 L
.50031 .54914 L
.50096 .55001 L
.50173 .55106 L
.50289 .55249 L
.50343 .55299 L
.50453 .55492 L
.50482 .5553 L
.5059 .55684 L
.50674 .55798 L
.5073 .55877 L
.50867 .56065 L
.50872 .5607 L
.51002 .56263 L
.5106 .56341 L
.51137 .56455 L
.51253 .56616 L
.51274 .56648 L
.51403 .56841 L
.51445 .56899 L
.51531 .57033 L
.51638 .57188 L
.51662 .57226 L
.51638 .57411 L
.51487 .57226 L
.51445 .57181 L
.5133 .57033 L
.51253 .56944 L
.51174 .56841 L
.5106 .56702 L
.51019 .56648 L
.50867 .56458 L
.50866 .56455 L
.50721 .56263 L
.50674 .56206 L
.50574 .5607 L
.50482 .55954 L
.50426 .55877 L
.50289 .55708 L
.50261 .55684 L
.50135 .55492 L
.50096 .55443 L
.49992 .55299 L
.49904 .55185 L
.49847 .55106 L
.49711 .54933 L
.4969 .54914 L
.49562 .54721 L
.49518 .54665 L
.49421 .54528 L
.49326 .54403 L
.49278 .54336 L
.49134 .54143 L
.49133 .54142 L
.48998 .5395 L
.4894 .53874 L
.48859 .53758 L
.48747 .53609 L
.48717 .53565 L
.48579 .53372 L
.48555 .5334 L
.48446 .53179 L
.48362 .53068 L
.48308 .52987 L
.48169 .52798 L
.48167 .52794 L
.48039 .52601 L
.47977 .52517 L
.47908 .52409 L
.47784 .52236 L
.47771 .52216 L
.47651 .52023 L
.47591 .51938 L
.47535 .51831 L
F
1 .39 0 r
.47591 .47499 m
.47702 .47591 L
.47784 .47665 L
.4789 .47784 L
.47977 .4788 L
.48054 .47977 L
.48169 .48085 L
.48209 .48169 L
.48355 .48362 L
.48362 .48372 L
.4849 .48555 L
.48555 .48646 L
.48622 .48747 L
.48747 .4894 L
.48747 .48942 L
.48831 .49133 L
.48747 .49186 L
.48686 .49133 L
.48555 .49011 L
.48492 .4894 L
.48362 .48817 L
.48325 .48747 L
.48171 .48555 L
.48169 .48553 L
.48029 .48362 L
.47977 .48293 L
.4789 .48169 L
.47784 .4802 L
.47755 .47977 L
.47636 .47784 L
.47591 .47707 L
.47538 .47591 L
F
1 .73 0 r
.47591 .4159 m
.47616 .41618 L
.47784 .41792 L
.47799 .41811 L
.47964 .42003 L
.47977 .42017 L
.4812 .42196 L
.48169 .42252 L
.48276 .42389 L
.48362 .42491 L
.48431 .42581 L
.48555 .42719 L
.48585 .42774 L
.48735 .42967 L
.48747 .42982 L
.48881 .43159 L
.4894 .43232 L
.49029 .43352 L
.49133 .43464 L
.49178 .43545 L
.49326 .43737 L
.49326 .43737 L
.49468 .4393 L
.49518 .43994 L
.49613 .44123 L
.49711 .4423 L
.49812 .44316 L
.49904 .44507 L
.49905 .44508 L
.50044 .44701 L
.50096 .44768 L
.50187 .44894 L
.50289 .45009 L
.50371 .45086 L
.50475 .45279 L
.50482 .45288 L
.50613 .45472 L
.50674 .45552 L
.50755 .45664 L
.50867 .45799 L
.50924 .45857 L
.51038 .4605 L
.5106 .46078 L
.51176 .46242 L
.51253 .46344 L
.51317 .46435 L
.51445 .46601 L
.51469 .46628 L
.51595 .46821 L
.51638 .46877 L
.51732 .47013 L
.51831 .47146 L
.51872 .47206 L
.52011 .47399 L
.52023 .47415 L
.52143 .47591 L
.52216 .4769 L
.52279 .47784 L
.52409 .47962 L
.52418 .47977 L
.52547 .48169 L
.52601 .48244 L
.52676 .48362 L
.52794 .48528 L
.52811 .48555 L
.52931 .48747 L
.52987 .48829 L
.53045 .4894 L
.52987 .49016 L
.5292 .4894 L
.52794 .48804 L
.52746 .48747 L
.52601 .48594 L
.52582 .48555 L
.52425 .48362 L
.52409 .48343 L
.5227 .48169 L
.52216 .48104 L
.52115 .47977 L
.52023 .47895 L
.51962 .47784 L
.51831 .47618 L
.51802 .47591 L
.51664 .47399 L
.51638 .47366 L
.51515 .47206 L
.51445 .47145 L
.51367 .47013 L
.51253 .46867 L
.51209 .46821 L
.51075 .46628 L
.5106 .46608 L
.5093 .46435 L
.50867 .46378 L
.50785 .46242 L
.50674 .46099 L
.50632 .4605 L
.50498 .45857 L
.50482 .45836 L
.50355 .45664 L
.50289 .45601 L
.50135 .45472 L
.50096 .45319 L
.50064 .45279 L
.49929 .45086 L
.49904 .45053 L
.49788 .44894 L
.49711 .44813 L
.49592 .44701 L
.49518 .44527 L
.49504 .44508 L
.49368 .44316 L
.49326 .44259 L
.49228 .44123 L
.49133 .44013 L
.49054 .4393 L
.4895 .43737 L
.4894 .43724 L
.48814 .43545 L
.48747 .43453 L
.48677 .43352 L
.48555 .43191 L
.48527 .43159 L
.48406 .42967 L
.48362 .42906 L
.48273 .42774 L
.48169 .42628 L
.48138 .42581 L
.48008 .42389 L
.47977 .42344 L
.47883 .42196 L
.47784 .42052 L
.47754 .42003 L
.47638 .41811 L
.47591 .41737 L
.47539 .41618 L
F
1 .38 0 r
.47591 .47509 m
.47695 .47591 L
.47784 .4767 L
.47886 .47784 L
.47977 .47884 L
.48051 .47977 L
.48169 .48091 L
.48206 .48169 L
.48351 .48362 L
.48362 .48376 L
.48487 .48555 L
.48555 .4865 L
.48619 .48747 L
.48742 .4894 L
.48747 .4895 L
.48823 .49133 L
.48747 .49178 L
.48694 .49133 L
.48555 .49006 L
.48496 .4894 L
.48362 .48811 L
.48329 .48747 L
.48174 .48555 L
.48169 .48549 L
.48032 .48362 L
.47977 .48289 L
.47893 .48169 L
.47784 .48015 L
.47758 .47977 L
.47641 .47784 L
.47591 .47698 L
.47544 .47591 L
F
1 .97 0 r
.47591 .50101 m
.47784 .5013 L
.47937 .50289 L
.47977 .50307 L
.48118 .50482 L
.48169 .50524 L
.48273 .50674 L
.48362 .50773 L
.48466 .50867 L
.48555 .51039 L
.48573 .5106 L
.48708 .51253 L
.48747 .51282 L
.48845 .51445 L
.4894 .51566 L
.48998 .51638 L
.49121 .51831 L
.49133 .51842 L
.49254 .52023 L
.49326 .52123 L
.49398 .52216 L
.49518 .52404 L
.49522 .52409 L
.49688 .52601 L
.49711 .52678 L
.49794 .52794 L
.49904 .52951 L
.49919 .52987 L
.5007 .53179 L
.50096 .53217 L
.50204 .53372 L
.50289 .53485 L
.50358 .53565 L
.50482 .53748 L
.50499 .53758 L
.50653 .5395 L
.50674 .53997 L
.50763 .54143 L
.50867 .54271 L
.50937 .54336 L
.5106 .54503 L
.5108 .54528 L
.51229 .54721 L
.51253 .54766 L
.51345 .54914 L
.51445 .55039 L
.51515 .55106 L
.51638 .55275 L
.51656 .55299 L
.51804 .55492 L
.51831 .55539 L
.51923 .55684 L
.52023 .55811 L
.52088 .55877 L
.52216 .56055 L
.52227 .5607 L
.52374 .56263 L
.52409 .5632 L
.52492 .56455 L
.52601 .56591 L
.52656 .56648 L
.52794 .5684 L
.52795 .56841 L
.5294 .57033 L
.52987 .57105 L
.53056 .57226 L
.53179 .57375 L
.53221 .57419 L
.53361 .57611 L
.53372 .57626 L
.53504 .57804 L
.53565 .57894 L
.53618 .57997 L
.53758 .58161 L
.53785 .58189 L
.53947 .58382 L
.5395 .58415 L
.54065 .58575 L
.54143 .58684 L
.5418 .58768 L
.54336 .58949 L
.54347 .5896 L
.54513 .59153 L
.54528 .59206 L
.54625 .59346 L
.54721 .59477 L
.54742 .59538 L
.54907 .59731 L
.54914 .59737 L
.55074 .59924 L
.55106 .60001 L
.55184 .60116 L
.55299 .60273 L
.55307 .60309 L
.55464 .60502 L
.55492 .60526 L
.5563 .60694 L
.55684 .608 L
.55739 .60887 L
.55877 .61074 L
.55878 .6108 L
.56018 .61273 L
.5607 .61323 L
.5618 .61465 L
.56263 .61609 L
.56292 .61658 L
.56429 .61851 L
.56455 .61886 L
.56565 .62043 L
.56648 .62138 L
.56719 .62236 L
.56836 .62429 L
.56841 .62435 L
.56967 .62621 L
.57033 .62716 L
.57099 .62814 L
.57226 .62995 L
.57234 .63007 L
.57356 .63199 L
.57419 .63292 L
.57481 .63392 L
.57605 .63585 L
.57611 .63595 L
.5771 .63778 L
.57804 .63952 L
.57811 .6397 L
.57804 .64036 L
.57712 .6397 L
.57611 .63889 L
.57509 .63778 L
.57419 .63686 L
.57332 .63585 L
.57226 .6349 L
.57165 .63392 L
.57033 .6324 L
.56979 .63199 L
.56846 .63007 L
.56841 .63001 L
.56692 .62814 L
.56648 .62776 L
.5654 .62621 L
.56455 .62519 L
.56358 .62429 L
.56263 .62266 L
.56238 .62236 L
.5609 .62043 L
.5607 .62026 L
.55943 .61851 L
.55877 .61769 L
.55772 .61658 L
.55684 .61509 L
.55652 .61465 L
.55504 .61273 L
.55492 .61261 L
.5536 .6108 L
.55299 .61003 L
.55196 .60887 L
.55106 .6074 L
.55075 .60694 L
.54927 .60502 L
.54914 .60489 L
.54785 .60309 L
.54721 .60228 L
.54626 .60116 L
.54528 .59963 L
.54504 .59924 L
.54356 .59731 L
.54336 .59712 L
.54152 .59538 L
.54143 .59448 L
.54059 .59346 L
.5395 .59182 L
.53934 .59153 L
.53787 .5896 L
.53758 .58931 L
.53593 .58768 L
.53565 .58664 L
.53495 .58575 L
.53372 .58397 L
.53365 .58382 L
.53221 .58189 L
.53179 .58148 L
.53034 .57997 L
.52987 .57877 L
.52931 .57804 L
.52795 .57611 L
.52794 .5761 L
.52656 .57419 L
.52601 .57362 L
.52476 .57226 L
.52409 .57088 L
.52368 .57033 L
.52231 .56841 L
.52216 .56821 L
.52092 .56648 L
.52023 .56574 L
.51919 .56455 L
.51831 .56297 L
.51806 .56263 L
.51669 .5607 L
.51638 .5603 L
.51529 .55877 L
.51445 .55782 L
.51362 .55684 L
.51253 .55504 L
.51244 .55492 L
.51107 .55299 L
.5106 .55237 L
.50968 .55106 L
.50867 .54987 L
.50807 .54914 L
.50684 .54721 L
.50674 .54708 L
.50547 .54528 L
.50482 .54441 L
.50407 .54336 L
.50289 .54187 L
.50254 .54143 L
.50126 .5395 L
.50096 .53911 L
.49989 .53758 L
.49904 .53684 L
.49793 .53565 L
.49711 .5338 L
.49705 .53372 L
.49572 .53179 L
.49518 .53108 L
.49434 .52987 L
.49326 .52859 L
.49269 .52794 L
.49155 .52601 L
.49133 .52572 L
.4902 .52409 L
.4894 .52329 L
.48831 .52216 L
.48747 .52034 L
.48739 .52023 L
.48606 .51831 L
.48555 .51782 L
.4847 .51638 L
.48362 .51497 L
.48322 .51445 L
.48193 .51253 L
.48169 .51243 L
.48059 .5106 L
.47977 .50964 L
.47909 .50867 L
.4779 .50674 L
.47784 .50666 L
.47663 .50482 L
.47591 .50365 L
.47549 .50289 L
F
1 .37 0 r
.47591 .47519 m
.47686 .47591 L
.47784 .47675 L
.47882 .47784 L
.47977 .47888 L
.48048 .47977 L
.48169 .48096 L
.48203 .48169 L
.48348 .48362 L
.48362 .4838 L
.48484 .48555 L
.48555 .48655 L
.48616 .48747 L
.48737 .4894 L
.48747 .48958 L
.48814 .49133 L
.48747 .49169 L
.48702 .49133 L
.48555 .49001 L
.485 .4894 L
.48362 .48805 L
.48332 .48747 L
.48178 .48555 L
.48169 .48545 L
.48035 .48362 L
.47977 .48285 L
.47896 .48169 L
.47784 .48011 L
.47762 .47977 L
.47645 .47784 L
.47591 .47688 L
.47551 .47591 L
F
0 .91 1 r
.47591 .46799 m
.4775 .46821 L
.47784 .46832 L
.47977 .46961 L
.48033 .47013 L
.48169 .47164 L
.48188 .47206 L
.4836 .47399 L
.48362 .47402 L
.48538 .47591 L
.48555 .47659 L
.48655 .47784 L
.48747 .47926 L
.48772 .47977 L
.4894 .48164 L
.48944 .48169 L
.49107 .48362 L
.49133 .48424 L
.49223 .48555 L
.49326 .48692 L
.49339 .48747 L
.49508 .4894 L
.49518 .48955 L
.49668 .49133 L
.49711 .49184 L
.49777 .49326 L
.49904 .49496 L
.49905 .49518 L
.50027 .49711 L
.49962 .49904 L
.49904 .49906 L
.49884 .49904 L
.49711 .49851 L
.49548 .49711 L
.49518 .49659 L
.49381 .49518 L
.49326 .49426 L
.49212 .49326 L
.49133 .49173 L
.4909 .49133 L
.4894 .4894 L
.48938 .4894 L
.48797 .48747 L
.48747 .48687 L
.48641 .48555 L
.48555 .48419 L
.48522 .48362 L
.48373 .48169 L
.48362 .48155 L
.48175 .47977 L
.48169 .47916 L
.48083 .47784 L
.47977 .47626 L
.47962 .47591 L
.47824 .47399 L
.47784 .4734 L
.47637 .47206 L
.47591 .47036 L
.47574 .47013 L
.47552 .46821 L
F
1 .64 0 r
.47591 .51794 m
.47623 .51831 L
.47784 .52004 L
.478 .52023 L
.47961 .52216 L
.47977 .52233 L
.48116 .52409 L
.48169 .52471 L
.48271 .52601 L
.48362 .52712 L
.48426 .52794 L
.48555 .52941 L
.48578 .52987 L
.48725 .53179 L
.48747 .53207 L
.48872 .53372 L
.4894 .53458 L
.4902 .53565 L
.49133 .53691 L
.49168 .53758 L
.49312 .5395 L
.49326 .53967 L
.49455 .54143 L
.49518 .54225 L
.496 .54336 L
.49711 .54465 L
.49792 .54528 L
.49885 .54721 L
.49904 .54745 L
.50025 .54914 L
.50096 .55008 L
.50168 .55106 L
.50289 .55259 L
.50333 .55299 L
.50447 .55492 L
.50482 .55538 L
.50585 .55684 L
.50674 .55806 L
.50725 .55877 L
.50863 .5607 L
.50867 .56075 L
.50995 .56263 L
.5106 .56351 L
.51131 .56455 L
.51253 .56626 L
.51267 .56648 L
.51394 .56841 L
.51445 .56912 L
.51521 .57033 L
.51638 .57204 L
.51651 .57226 L
.51638 .57392 L
.51501 .57226 L
.51445 .57168 L
.5134 .57033 L
.51253 .56933 L
.51182 .56841 L
.5106 .56693 L
.51026 .56648 L
.50873 .56455 L
.50867 .56449 L
.50728 .56263 L
.50674 .56198 L
.5058 .5607 L
.50482 .55947 L
.50431 .55877 L
.50289 .55698 L
.50272 .55684 L
.5014 .55492 L
.50096 .55437 L
.49997 .55299 L
.49904 .55179 L
.49851 .55106 L
.49711 .54925 L
.49699 .54914 L
.49567 .54721 L
.49518 .54659 L
.49426 .54528 L
.49326 .54397 L
.49282 .54336 L
.49139 .54143 L
.49133 .54135 L
.49003 .5395 L
.4894 .53868 L
.48864 .53758 L
.48747 .53602 L
.48722 .53565 L
.48585 .53372 L
.48555 .53333 L
.48451 .53179 L
.48362 .5306 L
.48313 .52987 L
.48173 .52794 L
.48169 .52789 L
.48047 .52601 L
.47977 .52506 L
.47915 .52409 L
.47784 .52224 L
.47779 .52216 L
.47666 .52023 L
.47591 .51913 L
.47554 .51831 L
F
0 .86 1 r
.47591 .40793 m
.47649 .40847 L
.47784 .40972 L
.47845 .4104 L
.47977 .41151 L
.48019 .41232 L
.48169 .41404 L
.48202 .41425 L
.48344 .41618 L
.48362 .41639 L
.485 .41811 L
.48555 .41847 L
.48656 .42003 L
.48747 .42112 L
.48847 .42196 L
.4894 .42363 L
.48962 .42389 L
.4911 .42581 L
.49133 .42597 L
.49259 .42774 L
.49326 .42855 L
.49437 .42967 L
.49518 .43114 L
.49553 .43159 L
.49701 .43352 L
.49711 .4336 L
.49846 .43545 L
.49904 .43616 L
.50015 .43737 L
.50096 .43879 L
.50133 .4393 L
.50281 .44123 L
.50289 .44129 L
.50424 .44316 L
.50482 .44388 L
.50586 .44508 L
.50674 .44653 L
.50706 .44701 L
.50854 .44894 L
.50867 .44904 L
.50997 .45086 L
.5106 .45166 L
.51154 .45279 L
.51253 .45432 L
.51276 .45472 L
.51424 .45664 L
.51445 .45682 L
.5163 .45857 L
.51638 .45948 L
.51719 .4605 L
.51831 .46216 L
.51845 .46242 L
.51991 .46435 L
.52023 .46464 L
.52186 .46628 L
.52216 .46735 L
.52282 .46821 L
.52409 .47003 L
.52413 .47013 L
.52555 .47206 L
.52601 .47249 L
.52742 .47399 L
.52794 .47525 L
.52844 .47591 L
.52979 .47784 L
.52987 .47794 L
.53118 .47977 L
.53179 .48039 L
.53297 .48169 L
.53372 .48319 L
.53403 .48362 L
.53539 .48555 L
.53565 .48588 L
.53678 .48747 L
.53758 .48833 L
.53849 .4894 L
.5395 .49117 L
.53961 .49133 L
.54097 .49326 L
.54143 .49387 L
.54235 .49518 L
.54336 .49637 L
.54396 .49711 L
.54515 .49904 L
.54528 .49921 L
.5465 .50096 L
.54721 .50191 L
.54789 .50289 L
.54914 .50452 L
.54937 .50482 L
.55063 .50674 L
.55106 .50733 L
.55198 .50867 L
.55299 .51006 L
.55335 .5106 L
.55471 .51253 L
.55492 .51281 L
.556 .51445 L
.55684 .51563 L
.55733 .51638 L
.55866 .51831 L
.55877 .51846 L
.55987 .52023 L
.5607 .52144 L
.56112 .52216 L
.56229 .52409 L
.56263 .52466 L
.56306 .52601 L
.56263 .52615 L
.56246 .52601 L
.5607 .52435 L
.56045 .52409 L
.55877 .52224 L
.55871 .52216 L
.55706 .52023 L
.55684 .51999 L
.55545 .51831 L
.55492 .51814 L
.55386 .51638 L
.55299 .51537 L
.55171 .51445 L
.55106 .51288 L
.55075 .51253 L
.54926 .5106 L
.54914 .51054 L
.54774 .50867 L
.54721 .50802 L
.54589 .50674 L
.54528 .50546 L
.5448 .50482 L
.54336 .50297 L
.54334 .50289 L
.5418 .50096 L
.54143 .50049 L
.54012 .49904 L
.5395 .49789 L
.53897 .49711 L
.53758 .49534 L
.53741 .49518 L
.53596 .49326 L
.53565 .49285 L
.53438 .49133 L
.53372 .49022 L
.53321 .4894 L
.53179 .48763 L
.53162 .48747 L
.53019 .48555 L
.52987 .48512 L
.52867 .48362 L
.52794 .48247 L
.52749 .48169 L
.52601 .47987 L
.5259 .47977 L
.52447 .47784 L
.52409 .47733 L
.523 .47591 L
.52216 .47466 L
.52181 .47399 L
.52023 .47208 L
.52021 .47206 L
.51838 .47013 L
.51831 .4695 L
.51734 .46821 L
.51638 .46682 L
.51614 .46628 L
.51455 .46435 L
.51445 .46426 L
.51277 .46242 L
.51253 .46163 L
.51171 .4605 L
.5106 .45894 L
.51047 .45857 L
.50891 .45664 L
.50867 .45641 L
.50717 .45472 L
.50674 .45372 L
.5061 .45279 L
.50482 .45102 L
.50478 .45086 L
.5033 .44894 L
.50289 .44852 L
.5016 .44701 L
.50096 .44577 L
.50051 .44508 L
.49911 .44316 L
.49904 .44306 L
.49773 .44123 L
.49711 .44057 L
.49608 .4393 L
.49518 .43775 L
.49495 .43737 L
.49356 .43545 L
.49326 .43503 L
.49219 .43352 L
.49133 .43251 L
.49062 .43159 L
.48943 .42967 L
.4894 .42963 L
.48809 .42774 L
.48747 .42689 L
.48673 .42581 L
.48555 .42425 L
.48528 .42389 L
.48404 .42196 L
.48362 .42137 L
.48272 .42003 L
.48169 .41856 L
.48099 .41811 L
.48011 .41618 L
.47977 .41568 L
.47887 .41425 L
.47784 .4127 L
.47761 .41232 L
.47651 .4104 L
.47591 .40939 L
.47554 .40847 L
F
1 .36 0 r
.47591 .4753 m
.47677 .47591 L
.47784 .47681 L
.47877 .47784 L
.47977 .47892 L
.48044 .47977 L
.48169 .48102 L
.482 .48169 L
.48345 .48362 L
.48362 .48384 L
.4848 .48555 L
.48555 .48659 L
.48612 .48747 L
.48732 .4894 L
.48747 .48968 L
.48804 .49133 L
.48747 .49161 L
.48711 .49133 L
.48555 .48996 L
.48505 .4894 L
.48362 .48799 L
.48335 .48747 L
.48181 .48555 L
.48169 .4854 L
.48038 .48362 L
.47977 .48281 L
.47899 .48169 L
.47784 .48006 L
.47765 .47977 L
.4765 .47784 L
.47591 .47677 L
.47558 .47591 L
F
0 .25 1 r
.47591 .48311 m
.47619 .48362 L
.47591 .48397 L
.47564 .48362 L
F
0 .88 1 r
.47591 .50959 m
.47692 .5106 L
.47784 .51153 L
.47871 .51253 L
.47977 .51373 L
.48037 .51445 L
.48169 .51598 L
.48196 .51638 L
.48351 .51831 L
.48362 .51844 L
.48505 .52023 L
.48555 .52085 L
.48658 .52216 L
.48747 .52322 L
.48863 .52409 L
.4894 .52578 L
.4896 .52601 L
.49108 .52794 L
.49133 .52803 L
.49258 .52987 L
.49326 .5307 L
.49439 .53179 L
.49518 .53329 L
.4955 .53372 L
.497 .53565 L
.49711 .53571 L
.49847 .53758 L
.49904 .53829 L
.50014 .5395 L
.50096 .54091 L
.5013 .54143 L
.50283 .54336 L
.50289 .5434 L
.50428 .54528 L
.50482 .54597 L
.50586 .54721 L
.50674 .54861 L
.50706 .54914 L
.50859 .55106 L
.50867 .55112 L
.51002 .55299 L
.5106 .55373 L
.51155 .55492 L
.51253 .5564 L
.51277 .55684 L
.51429 .55877 L
.51445 .5589 L
.51571 .5607 L
.51638 .56156 L
.5172 .56263 L
.51831 .56425 L
.51845 .56455 L
.51994 .56648 L
.52023 .56672 L
.52192 .56841 L
.52216 .56946 L
.5228 .57033 L
.52409 .57216 L
.52413 .57226 L
.52555 .57419 L
.52601 .57461 L
.52742 .57611 L
.52794 .57743 L
.52837 .57804 L
.52973 .57997 L
.52987 .58016 L
.5311 .58189 L
.53179 .58261 L
.53285 .58382 L
.53372 .58551 L
.53388 .58575 L
.53522 .58768 L
.53565 .58826 L
.53658 .5896 L
.53758 .59081 L
.53816 .59153 L
.53929 .59346 L
.5395 .59375 L
.54061 .59538 L
.54143 .59655 L
.54194 .59731 L
.54326 .59924 L
.54336 .59938 L
.5445 .60116 L
.54528 .60231 L
.54577 .60309 L
.54698 .60502 L
.54721 .60537 L
.54802 .60694 L
.54721 .6076 L
.54663 .60694 L
.54528 .60554 L
.54485 .60502 L
.54336 .60341 L
.54318 .60309 L
.54159 .60116 L
.54143 .60098 L
.54005 .59924 L
.5395 .59859 L
.53851 .59731 L
.53758 .59639 L
.53697 .59538 L
.53565 .59374 L
.53536 .59346 L
.53397 .59153 L
.53372 .59122 L
.5325 .5896 L
.53179 .58892 L
.53102 .58768 L
.52987 .58622 L
.52943 .58575 L
.52809 .58382 L
.52794 .58364 L
.52665 .58189 L
.52601 .58127 L
.52519 .57997 L
.52409 .57855 L
.52364 .57804 L
.5223 .57611 L
.52216 .57593 L
.52088 .57419 L
.52023 .57353 L
.51883 .57226 L
.51831 .57079 L
.51793 .57033 L
.51658 .56841 L
.51638 .56815 L
.51517 .56648 L
.51445 .56573 L
.51326 .56455 L
.51253 .56296 L
.51226 .56263 L
.5109 .5607 L
.5106 .5603 L
.5095 .55877 L
.50867 .55786 L
.5077 .55684 L
.50674 .55507 L
.50663 .55492 L
.50526 .55299 L
.50482 .5524 L
.50387 .55106 L
.50289 .54993 L
.50218 .54914 L
.50103 .54721 L
.50096 .54713 L
.49966 .54528 L
.49904 .54446 L
.49826 .54336 L
.49711 .54192 L
.49669 .54143 L
.49546 .5395 L
.49518 .53914 L
.4941 .53758 L
.49326 .53645 L
.4927 .53565 L
.49133 .53381 L
.49126 .53372 L
.48995 .53179 L
.4894 .53106 L
.48859 .52987 L
.48747 .52867 L
.48719 .52794 L
.48583 .52601 L
.48555 .52563 L
.48452 .52409 L
.48362 .52286 L
.48316 .52216 L
.4818 .52023 L
.48169 .52009 L
.48054 .51831 L
.47977 .51722 L
.47924 .51638 L
.47793 .51445 L
.47784 .51433 L
.47679 .51253 L
.47591 .51115 L
.47565 .5106 L
F
1 .35 0 r
.47591 .47543 m
.47667 .47591 L
.47784 .47687 L
.47873 .47784 L
.47977 .47897 L
.48041 .47977 L
.48169 .48108 L
.48197 .48169 L
.48342 .48362 L
.48362 .48388 L
.48477 .48555 L
.48555 .48664 L
.48609 .48747 L
.48727 .4894 L
.48747 .48978 L
.48792 .49133 L
.48747 .49151 L
.48722 .49133 L
.48555 .48991 L
.48509 .4894 L
.48362 .48793 L
.48339 .48747 L
.48185 .48555 L
.48169 .48536 L
.48041 .48362 L
.47977 .48277 L
.47902 .48169 L
.47784 .48001 L
.47768 .47977 L
.47655 .47784 L
.47591 .47664 L
.47566 .47591 L
F
0 .91 1 r
.47591 .43988 m
.47661 .44123 L
.47591 .44148 L
.47571 .44123 L
F
1 .34 0 r
.47591 .47558 m
.47654 .47591 L
.47784 .47692 L
.47868 .47784 L
.47977 .47901 L
.48038 .47977 L
.48169 .48114 L
.48194 .48169 L
.48339 .48362 L
.48362 .48393 L
.48474 .48555 L
.48555 .48669 L
.48605 .48747 L
.48721 .4894 L
.48747 .4899 L
.48775 .49133 L
.48747 .49141 L
.48735 .49133 L
.48555 .48985 L
.48514 .4894 L
.48362 .48787 L
.48342 .48747 L
.48188 .48555 L
.48169 .48532 L
.48044 .48362 L
.47977 .48273 L
.47905 .48169 L
.47784 .47996 L
.47771 .47977 L
.4766 .47784 L
.47591 .47648 L
.47575 .47591 L
F
0 .24 1 r
.47591 .48333 m
.47604 .48362 L
.47591 .48377 L
.47579 .48362 L
F
0 .9 1 r
.47591 .46821 m
.47784 .46845 L
.47977 .46973 L
.48022 .47013 L
.48169 .47173 L
.48184 .47206 L
.48355 .47399 L
.48362 .47409 L
.48536 .47591 L
.48555 .47665 L
.48651 .47784 L
.48747 .47929 L
.48771 .47977 L
.4894 .48168 L
.48942 .48169 L
.49106 .48362 L
.49133 .48428 L
.49221 .48555 L
.49326 .48696 L
.49338 .48747 L
.49505 .4894 L
.49518 .48959 L
.49666 .49133 L
.49711 .49189 L
.49774 .49326 L
.49904 .49508 L
.49904 .49518 L
.50018 .49711 L
.49904 .49895 L
.49711 .49841 L
.49557 .49711 L
.49518 .49647 L
.49386 .49518 L
.49326 .49421 L
.49215 .49326 L
.49133 .4917 L
.49093 .49133 L
.48941 .4894 L
.4894 .4894 L
.48799 .48747 L
.48747 .48684 L
.48643 .48555 L
.48555 .48417 L
.48523 .48362 L
.48375 .48169 L
.48362 .48152 L
.48176 .47977 L
.48169 .47913 L
.48086 .47784 L
.47977 .47621 L
.47964 .47591 L
.47828 .47399 L
.47784 .47333 L
.47642 .47206 L
.47591 .47022 L
.47585 .47013 L
F
1 .33 0 r
.47591 .47578 m
.47637 .47591 L
.47784 .47698 L
.47863 .47784 L
.47977 .47906 L
.48034 .47977 L
.48169 .4812 L
.48191 .48169 L
.48335 .48362 L
.48362 .48397 L
.48471 .48555 L
.48555 .48674 L
.48602 .48747 L
.48716 .4894 L
.48555 .4898 L
.48519 .4894 L
.48362 .4878 L
.48346 .48747 L
.48192 .48555 L
.48169 .48528 L
.48048 .48362 L
.47977 .48268 L
.47908 .48169 L
.47784 .47991 L
.47775 .47977 L
.47665 .47784 L
.47591 .47624 L
.47586 .47591 L
F
0 .51 1 r
.47591 .54156 m
.47674 .54336 L
.47591 .54338 L
.47589 .54336 L
F
0 .89 1 r
.47784 .46859 m
.47977 .46986 L
.4801 .47013 L
.48169 .47182 L
.48181 .47206 L
.4835 .47399 L
.48362 .47415 L
.48534 .47591 L
.48555 .4767 L
.48648 .47784 L
.48747 .47932 L
.48769 .47977 L
.48939 .48169 L
.4894 .48171 L
.49105 .48362 L
.49133 .48431 L
.49219 .48555 L
.49326 .48699 L
.49337 .48747 L
.49502 .4894 L
.49518 .48963 L
.49663 .49133 L
.49711 .49193 L
.4977 .49326 L
.49903 .49518 L
.49904 .4952 L
.5001 .49711 L
.49904 .49883 L
.49711 .49831 L
.49565 .49711 L
.49518 .49636 L
.49391 .49518 L
.49326 .49415 L
.49218 .49326 L
.49133 .49168 L
.49095 .49133 L
.48943 .4894 L
.4894 .48937 L
.48801 .48747 L
.48747 .48681 L
.48645 .48555 L
.48555 .48414 L
.48525 .48362 L
.48377 .48169 L
.48362 .48149 L
.48177 .47977 L
.48169 .4791 L
.48088 .47784 L
.47977 .47616 L
.47967 .47591 L
.47832 .47399 L
.47784 .47327 L
.47648 .47206 L
.47596 .47013 L
F
0 .88 1 r
.47784 .46872 m
.47977 .46997 L
.47997 .47013 L
.48169 .47191 L
.48177 .47206 L
.48345 .47399 L
.48362 .47422 L
.48533 .47591 L
.48555 .47675 L
.48645 .47784 L
.48747 .47936 L
.48768 .47977 L
.48936 .48169 L
.4894 .48174 L
.49103 .48362 L
.49133 .48434 L
.49216 .48555 L
.49326 .48702 L
.49336 .48747 L
.49499 .4894 L
.49518 .48967 L
.49661 .49133 L
.49711 .49198 L
.49767 .49326 L
.49897 .49518 L
.49904 .49529 L
.50001 .49711 L
.49904 .49872 L
.49711 .49821 L
.49574 .49711 L
.49518 .49625 L
.49396 .49518 L
.49326 .49409 L
.49221 .49326 L
.49133 .49165 L
.49097 .49133 L
.48946 .4894 L
.4894 .48935 L
.48804 .48747 L
.48747 .48679 L
.48647 .48555 L
.48555 .48411 L
.48527 .48362 L
.4838 .48169 L
.48362 .48145 L
.48178 .47977 L
.48169 .47906 L
.48091 .47784 L
.47977 .4761 L
.47969 .47591 L
.47836 .47399 L
.47784 .4732 L
.47654 .47206 L
.47606 .47013 L
F
0 .87 1 r
.47784 .46885 m
.47977 .47009 L
.47983 .47013 L
.48169 .47199 L
.48173 .47206 L
.48339 .47399 L
.48362 .47429 L
.48531 .47591 L
.48555 .4768 L
.48642 .47784 L
.48747 .47939 L
.48766 .47977 L
.48933 .48169 L
.4894 .48177 L
.49102 .48362 L
.49133 .48438 L
.49214 .48555 L
.49326 .48705 L
.49335 .48747 L
.49496 .4894 L
.49518 .48971 L
.49659 .49133 L
.49711 .49204 L
.49764 .49326 L
.49892 .49518 L
.49904 .49539 L
.49992 .49711 L
.49904 .4986 L
.49711 .49812 L
.49583 .49711 L
.49518 .49616 L
.49401 .49518 L
.49326 .49404 L
.49224 .49326 L
.49133 .49162 L
.49099 .49133 L
.48949 .4894 L
.4894 .48933 L
.48806 .48747 L
.48747 .48676 L
.48649 .48555 L
.48555 .48408 L
.48528 .48362 L
.48382 .48169 L
.48362 .48142 L
.48179 .47977 L
.48169 .47903 L
.48094 .47784 L
.47977 .47605 L
.47971 .47591 L
.4784 .47399 L
.47784 .47312 L
.47661 .47206 L
.47617 .47013 L
F
1 .96 0 r
.47784 .50193 m
.47864 .50289 L
.47977 .50338 L
.48077 .50482 L
.48169 .50559 L
.48243 .50674 L
.48362 .5081 L
.48427 .50867 L
.48544 .5106 L
.48555 .51074 L
.48683 .51253 L
.48747 .5131 L
.48821 .51445 L
.4894 .51605 L
.48966 .51638 L
.49093 .51831 L
.49133 .51874 L
.49225 .52023 L
.49326 .52167 L
.49364 .52216 L
.49491 .52409 L
.49518 .52444 L
.49667 .52601 L
.49711 .52723 L
.49763 .52794 L
.49899 .52987 L
.49904 .52993 L
.50042 .53179 L
.50096 .53256 L
.5018 .53372 L
.50289 .53519 L
.5033 .53565 L
.50473 .53758 L
.50482 .53768 L
.50641 .5395 L
.50674 .54029 L
.50743 .54143 L
.50867 .54295 L
.50916 .54336 L
.51059 .54528 L
.5106 .5453 L
.51216 .54721 L
.51253 .54791 L
.51329 .54914 L
.51445 .55059 L
.51498 .55106 L
.51638 .55297 L
.51639 .55299 L
.51793 .55492 L
.51831 .5556 L
.51909 .55684 L
.52023 .55828 L
.52073 .55877 L
.52213 .5607 L
.52216 .56073 L
.52364 .56263 L
.52409 .56338 L
.5248 .56455 L
.52601 .56606 L
.52643 .56648 L
.52783 .56841 L
.52794 .56855 L
.5293 .57033 L
.52987 .57121 L
.53046 .57226 L
.53179 .57388 L
.53209 .57419 L
.53349 .57611 L
.53372 .57641 L
.53494 .57804 L
.53565 .57909 L
.5361 .57997 L
.53758 .58174 L
.53773 .58189 L
.53946 .58382 L
.5395 .5843 L
.54055 .58575 L
.54143 .587 L
.54172 .58768 L
.54334 .5896 L
.54336 .58961 L
.54508 .59153 L
.54528 .59222 L
.54614 .59346 L
.54721 .59494 L
.54736 .59538 L
.54893 .59731 L
.54914 .59748 L
.55065 .59924 L
.55106 .6002 L
.55171 .60116 L
.55299 .60293 L
.55303 .60309 L
.55448 .60502 L
.55492 .60542 L
.55617 .60694 L
.55684 .60825 L
.55724 .60887 L
.55862 .6108 L
.55877 .61101 L
.55998 .61273 L
.5607 .6135 L
.56158 .61465 L
.56263 .61645 L
.5627 .61658 L
.56403 .61851 L
.56455 .61924 L
.56537 .62043 L
.56648 .6219 L
.56681 .62236 L
.56799 .62429 L
.56841 .62489 L
.56927 .62621 L
.57033 .6278 L
.57056 .62814 L
.57174 .63007 L
.57226 .63088 L
.57288 .63199 L
.57226 .63359 L
.57078 .63199 L
.57033 .63155 L
.56907 .63007 L
.56841 .62934 L
.56742 .62814 L
.56648 .62727 L
.56581 .62621 L
.56455 .62471 L
.56405 .62429 L
.5627 .62236 L
.56263 .62227 L
.5612 .62043 L
.5607 .61998 L
.55969 .61851 L
.55877 .61737 L
.55796 .61658 L
.55684 .61483 L
.55671 .61465 L
.55525 .61273 L
.55492 .61243 L
.55378 .6108 L
.55299 .60981 L
.55213 .60887 L
.55106 .6072 L
.55088 .60694 L
.54942 .60502 L
.54914 .60475 L
.54798 .60309 L
.54721 .60211 L
.54639 .60116 L
.54528 .59948 L
.54513 .59924 L
.54367 .59731 L
.54336 .59701 L
.54157 .59538 L
.54143 .59434 L
.54069 .59346 L
.5395 .59169 L
.53941 .59153 L
.53797 .5896 L
.53758 .58922 L
.53599 .58768 L
.53565 .58652 L
.53503 .58575 L
.53372 .58387 L
.5337 .58382 L
.53229 .58189 L
.53179 .58139 L
.53041 .57997 L
.52987 .57866 L
.52939 .57804 L
.52803 .57611 L
.52794 .576 L
.52664 .57419 L
.52601 .57353 L
.52483 .57226 L
.52409 .57078 L
.52376 .57033 L
.52239 .56841 L
.52216 .56811 L
.521 .56648 L
.52023 .56564 L
.51927 .56455 L
.51831 .56286 L
.51814 .56263 L
.51676 .5607 L
.51638 .56019 L
.51537 .55877 L
.51445 .55771 L
.51371 .55684 L
.51253 .55492 L
.51252 .55492 L
.51116 .55299 L
.5106 .55225 L
.50976 .55106 L
.50867 .54974 L
.50818 .54914 L
.50694 .54721 L
.50674 .54695 L
.50557 .54528 L
.50482 .54428 L
.50417 .54336 L
.50289 .54169 L
.50268 .54143 L
.50139 .5395 L
.50096 .53894 L
.50002 .53758 L
.49904 .53662 L
.49815 .53565 L
.49721 .53372 L
.49711 .53359 L
.49587 .53179 L
.49518 .53087 L
.4945 .52987 L
.49326 .52828 L
.49296 .52794 L
.49175 .52601 L
.49133 .52545 L
.4904 .52409 L
.4894 .52295 L
.48865 .52216 L
.48764 .52023 L
.48747 .52001 L
.4863 .51831 L
.48555 .51749 L
.48494 .51638 L
.48362 .51457 L
.48353 .51445 L
.48221 .51253 L
.48169 .51218 L
.48088 .5106 L
.47977 .50911 L
.47947 .50867 L
.47826 .50674 L
.47784 .50608 L
.47709 .50482 L
.47621 .50289 L
F
0 .86 1 r
.47784 .46898 m
.47969 .47013 L
.47977 .47017 L
.48168 .47206 L
.48169 .47208 L
.48334 .47399 L
.48362 .47435 L
.48529 .47591 L
.48555 .47685 L
.48639 .47784 L
.48747 .47942 L
.48765 .47977 L
.4893 .48169 L
.4894 .4818 L
.491 .48362 L
.49133 .48441 L
.49212 .48555 L
.49326 .48709 L
.49335 .48747 L
.49494 .4894 L
.49518 .48975 L
.49657 .49133 L
.49711 .4921 L
.49761 .49326 L
.49887 .49518 L
.49904 .49549 L
.49984 .49711 L
.49904 .49848 L
.49711 .49803 L
.49592 .49711 L
.49518 .49607 L
.49406 .49518 L
.49326 .49399 L
.49228 .49326 L
.49133 .4916 L
.49102 .49133 L
.48951 .4894 L
.4894 .48931 L
.48808 .48747 L
.48747 .48673 L
.48651 .48555 L
.48555 .48405 L
.4853 .48362 L
.48384 .48169 L
.48362 .48139 L
.4818 .47977 L
.48169 .47899 L
.48096 .47784 L
.47977 .47599 L
.47973 .47591 L
.47844 .47399 L
.47784 .47305 L
.47669 .47206 L
.47629 .47013 L
F
0 .85 1 r
.47784 .46911 m
.47955 .47013 L
.47977 .47024 L
.48161 .47206 L
.48169 .47215 L
.48329 .47399 L
.48362 .47441 L
.48527 .47591 L
.48555 .4769 L
.48636 .47784 L
.48747 .47945 L
.48764 .47977 L
.48928 .48169 L
.4894 .48183 L
.49099 .48362 L
.49133 .48444 L
.4921 .48555 L
.49326 .48712 L
.49334 .48747 L
.49491 .4894 L
.49518 .48979 L
.49654 .49133 L
.49711 .49216 L
.49757 .49326 L
.49881 .49518 L
.49904 .49559 L
.49974 .49711 L
.49904 .49835 L
.49711 .49794 L
.49601 .49711 L
.49518 .49599 L
.49411 .49518 L
.49326 .49395 L
.49231 .49326 L
.49133 .49157 L
.49104 .49133 L
.48954 .4894 L
.4894 .48928 L
.48811 .48747 L
.48747 .4867 L
.48653 .48555 L
.48555 .48402 L
.48532 .48362 L
.48387 .48169 L
.48362 .48136 L
.48182 .47977 L
.48169 .47895 L
.48099 .47784 L
.47977 .47593 L
.47976 .47591 L
.47849 .47399 L
.47784 .47297 L
.47677 .47206 L
.47641 .47013 L
F
0 .84 1 r
.47784 .46924 m
.47941 .47013 L
.47977 .4703 L
.48153 .47206 L
.48169 .47222 L
.48324 .47399 L
.48362 .47447 L
.48525 .47591 L
.48555 .47694 L
.48633 .47784 L
.48747 .47948 L
.48762 .47977 L
.48925 .48169 L
.4894 .48186 L
.49097 .48362 L
.49133 .48448 L
.49207 .48555 L
.49326 .48715 L
.49333 .48747 L
.49488 .4894 L
.49518 .48983 L
.49652 .49133 L
.49711 .49222 L
.49754 .49326 L
.49876 .49518 L
.49904 .49571 L
.49965 .49711 L
.49904 .49822 L
.49711 .49785 L
.4961 .49711 L
.49518 .49591 L
.49416 .49518 L
.49326 .4939 L
.49235 .49326 L
.49133 .49155 L
.49106 .49133 L
.48956 .4894 L
.4894 .48926 L
.48813 .48747 L
.48747 .48667 L
.48655 .48555 L
.48555 .48399 L
.48533 .48362 L
.48389 .48169 L
.48362 .48133 L
.48183 .47977 L
.48169 .47891 L
.48102 .47784 L
.47979 .47591 L
.47977 .47588 L
.47853 .47399 L
.47784 .47289 L
.47686 .47206 L
.47654 .47013 L
F
0 .83 1 r
.47784 .46937 m
.47925 .47013 L
.47977 .47036 L
.48146 .47206 L
.48169 .47229 L
.48319 .47399 L
.48362 .47453 L
.48522 .47591 L
.48555 .47699 L
.4863 .47784 L
.48747 .47951 L
.48761 .47977 L
.48922 .48169 L
.4894 .48189 L
.49095 .48362 L
.49133 .48451 L
.49205 .48555 L
.49326 .48719 L
.49332 .48747 L
.49485 .4894 L
.49518 .48987 L
.49649 .49133 L
.49711 .49229 L
.4975 .49326 L
.49871 .49518 L
.49904 .49583 L
.49956 .49711 L
.49904 .49809 L
.49711 .49776 L
.4962 .49711 L
.49518 .49584 L
.49421 .49518 L
.49326 .49386 L
.49239 .49326 L
.49133 .49152 L
.49109 .49133 L
.48959 .4894 L
.4894 .48924 L
.48815 .48747 L
.48747 .48664 L
.48657 .48555 L
.48555 .48396 L
.48535 .48362 L
.48391 .48169 L
.48362 .48129 L
.48185 .47977 L
.48169 .47887 L
.48105 .47784 L
.47982 .47591 L
.47977 .47583 L
.47857 .47399 L
.47784 .47281 L
.47696 .47206 L
.47667 .47013 L
F
1 .32 0 r
.47784 .47704 m
.47858 .47784 L
.47977 .4791 L
.48031 .47977 L
.48169 .48127 L
.48188 .48169 L
.48332 .48362 L
.48362 .48402 L
.48467 .48555 L
.48555 .48679 L
.48599 .48747 L
.4871 .4894 L
.48555 .48974 L
.48524 .4894 L
.48362 .48773 L
.48349 .48747 L
.48195 .48555 L
.48169 .48523 L
.48051 .48362 L
.47977 .48264 L
.47911 .48169 L
.47784 .47986 L
.47778 .47977 L
.47671 .47784 L
F
1 .31 0 r
.47784 .47711 m
.47853 .47784 L
.47977 .47915 L
.48027 .47977 L
.48169 .48134 L
.48185 .48169 L
.48328 .48362 L
.48362 .48406 L
.48464 .48555 L
.48555 .48684 L
.48595 .48747 L
.48703 .4894 L
.48555 .48968 L
.48529 .4894 L
.48362 .48766 L
.48353 .48747 L
.48199 .48555 L
.48169 .48519 L
.48054 .48362 L
.47977 .48259 L
.47914 .48169 L
.47784 .4798 L
.47782 .47977 L
.47676 .47784 L
F
0 .85 1 r
.47784 .41005 m
.47816 .4104 L
.47977 .41187 L
.47999 .41232 L
.48169 .41425 L
.48169 .41426 L
.4833 .41618 L
.48362 .41654 L
.48489 .41811 L
.48555 .41857 L
.48646 .42003 L
.48747 .42123 L
.48836 .42196 L
.4894 .42373 L
.48954 .42389 L
.49102 .42581 L
.49133 .42603 L
.49252 .42774 L
.49326 .42863 L
.49431 .42967 L
.49518 .43121 L
.49548 .43159 L
.49695 .43352 L
.49711 .43364 L
.49841 .43545 L
.49904 .43622 L
.5001 .43737 L
.50096 .43884 L
.50129 .4393 L
.50276 .44123 L
.50289 .44133 L
.5042 .44316 L
.50482 .44392 L
.50582 .44508 L
.50674 .44657 L
.50703 .44701 L
.50851 .44894 L
.50867 .44907 L
.50993 .45086 L
.5106 .4517 L
.51151 .45279 L
.51253 .45436 L
.51274 .45472 L
.51421 .45664 L
.51445 .45685 L
.51628 .45857 L
.51638 .45952 L
.51716 .4605 L
.51831 .4622 L
.51843 .46242 L
.51988 .46435 L
.52023 .46467 L
.52184 .46628 L
.52216 .46738 L
.52279 .46821 L
.52409 .47007 L
.52412 .47013 L
.52553 .47206 L
.52601 .47252 L
.5274 .47399 L
.52794 .47528 L
.52841 .47591 L
.52976 .47784 L
.52987 .47798 L
.53115 .47977 L
.53179 .48042 L
.53294 .48169 L
.53372 .48323 L
.53401 .48362 L
.53536 .48555 L
.53565 .48592 L
.53675 .48747 L
.53758 .48838 L
.53845 .4894 L
.5395 .49122 L
.53958 .49133 L
.54093 .49326 L
.54143 .49392 L
.54232 .49518 L
.54336 .49642 L
.54391 .49711 L
.54511 .49904 L
.54528 .49927 L
.54646 .50096 L
.54721 .50197 L
.54784 .50289 L
.54914 .50461 L
.5493 .50482 L
.55058 .50674 L
.55106 .50741 L
.55192 .50867 L
.55299 .51015 L
.55329 .5106 L
.55463 .51253 L
.55492 .51292 L
.55592 .51445 L
.55684 .51576 L
.55724 .51638 L
.55854 .51831 L
.55877 .51863 L
.55973 .52023 L
.5607 .52169 L
.56095 .52216 L
.5607 .524 L
.55895 .52216 L
.55877 .52198 L
.55725 .52023 L
.55684 .51979 L
.5556 .51831 L
.55492 .51804 L
.55399 .51638 L
.55299 .51522 L
.55187 .51445 L
.55106 .51275 L
.55086 .51253 L
.54935 .5106 L
.54914 .51049 L
.54783 .50867 L
.54721 .50792 L
.54595 .50674 L
.54528 .50537 L
.54486 .50482 L
.54336 .5029 L
.54335 .50289 L
.54186 .50096 L
.54143 .50042 L
.54017 .49904 L
.5395 .49782 L
.53902 .49711 L
.53758 .49528 L
.53746 .49518 L
.53601 .49326 L
.53565 .49279 L
.53442 .49133 L
.53372 .49016 L
.53324 .4894 L
.53179 .48759 L
.53167 .48747 L
.53023 .48555 L
.52987 .48507 L
.52871 .48362 L
.52794 .48242 L
.52752 .48169 L
.52601 .47984 L
.52594 .47977 L
.52451 .47784 L
.52409 .47729 L
.52303 .47591 L
.52216 .47462 L
.52183 .47399 L
.52024 .47206 L
.52023 .47205 L
.51839 .47013 L
.51831 .46946 L
.51737 .46821 L
.51638 .46678 L
.51615 .46628 L
.51458 .46435 L
.51445 .46423 L
.51278 .46242 L
.51253 .46159 L
.51174 .4605 L
.5106 .4589 L
.51048 .45857 L
.50894 .45664 L
.50867 .45638 L
.50719 .45472 L
.50674 .45368 L
.50613 .45279 L
.50482 .45098 L
.50479 .45086 L
.50334 .44894 L
.50289 .44849 L
.50163 .44701 L
.50096 .44572 L
.50054 .44508 L
.49914 .44316 L
.49904 .44301 L
.49776 .44123 L
.49711 .44052 L
.49612 .4393 L
.49518 .43769 L
.49498 .43737 L
.49361 .43545 L
.49326 .43496 L
.49224 .43352 L
.49133 .43244 L
.49068 .43159 L
.48948 .42967 L
.4894 .42956 L
.48815 .42774 L
.48747 .42681 L
.48679 .42581 L
.48555 .42412 L
.48537 .42389 L
.48412 .42196 L
.48362 .42125 L
.48281 .42003 L
.48169 .41843 L
.48119 .41811 L
.48024 .41618 L
.47977 .41549 L
.47901 .41425 L
.47784 .41244 L
.47777 .41232 L
.47682 .4104 L
F
0 .82 1 r
.47784 .46951 m
.47909 .47013 L
.47977 .47042 L
.48138 .47206 L
.48169 .47236 L
.48313 .47399 L
.48362 .47459 L
.4852 .47591 L
.48555 .47703 L
.48627 .47784 L
.48747 .47954 L
.4876 .47977 L
.48919 .48169 L
.4894 .48192 L
.49094 .48362 L
.49133 .48454 L
.49203 .48555 L
.49326 .48722 L
.49331 .48747 L
.49482 .4894 L
.49518 .48991 L
.49647 .49133 L
.49711 .49236 L
.49747 .49326 L
.49865 .49518 L
.49904 .49597 L
.49946 .49711 L
.49904 .49794 L
.49711 .49767 L
.4963 .49711 L
.49518 .49578 L
.49426 .49518 L
.49326 .49381 L
.49242 .49326 L
.49133 .4915 L
.49111 .49133 L
.48962 .4894 L
.4894 .48922 L
.48818 .48747 L
.48747 .48662 L
.48659 .48555 L
.48555 .48393 L
.48537 .48362 L
.48394 .48169 L
.48362 .48126 L
.48186 .47977 L
.48169 .47883 L
.48108 .47784 L
.47986 .47591 L
.47977 .47578 L
.47861 .47399 L
.47784 .47272 L
.47706 .47206 L
.47682 .47013 L
F
1 .3 0 r
.47784 .47717 m
.47847 .47784 L
.47977 .4792 L
.48023 .47977 L
.48169 .48141 L
.48182 .48169 L
.48325 .48362 L
.48362 .48411 L
.48461 .48555 L
.48555 .4869 L
.48591 .48747 L
.48696 .4894 L
.48555 .48962 L
.48534 .4894 L
.48362 .48758 L
.48357 .48747 L
.48203 .48555 L
.48169 .48514 L
.48058 .48362 L
.47977 .48255 L
.47918 .48169 L
.47786 .47977 L
.47784 .47974 L
.47682 .47784 L
F
1 .63 0 r
.47784 .52021 m
.47786 .52023 L
.47784 .52209 L
.47684 .52023 L
F
1 .29 0 r
.47784 .47724 m
.47842 .47784 L
.47977 .47924 L
.48019 .47977 L
.48169 .48148 L
.48179 .48169 L
.48321 .48362 L
.48362 .48415 L
.48457 .48555 L
.48555 .48695 L
.48587 .48747 L
.48689 .4894 L
.48555 .48956 L
.4854 .4894 L
.48362 .48751 L
.48361 .48747 L
.48207 .48555 L
.48169 .4851 L
.48061 .48362 L
.47977 .4825 L
.47921 .48169 L
.4779 .47977 L
.47784 .47967 L
.47689 .47784 L
F
1 .28 0 r
.47784 .47731 m
.47836 .47784 L
.47977 .47929 L
.48015 .47977 L
.48169 .48156 L
.48175 .48169 L
.48317 .48362 L
.48362 .4842 L
.48453 .48555 L
.48555 .48701 L
.48584 .48747 L
.48681 .4894 L
.48555 .4895 L
.48546 .4894 L
.48365 .48747 L
.48362 .48744 L
.48211 .48555 L
.48169 .48505 L
.48065 .48362 L
.47977 .48245 L
.47925 .48169 L
.47795 .47977 L
.47784 .4796 L
.47695 .47784 L
F
1 .93 0 r
.47784 .4527 m
.47792 .45279 L
.47784 .45439 L
.47699 .45279 L
F
0 .81 1 r
.47784 .46965 m
.4789 .47013 L
.47977 .47048 L
.4813 .47206 L
.48169 .47243 L
.48308 .47399 L
.48362 .47465 L
.48517 .47591 L
.48555 .47708 L
.48624 .47784 L
.48747 .47956 L
.48758 .47977 L
.48917 .48169 L
.4894 .48195 L
.49092 .48362 L
.49133 .48458 L
.49201 .48555 L
.49326 .48725 L
.49331 .48747 L
.49479 .4894 L
.49518 .48996 L
.49644 .49133 L
.49711 .49244 L
.49743 .49326 L
.4986 .49518 L
.49904 .49613 L
.49935 .49711 L
.49904 .49778 L
.49711 .49759 L
.4964 .49711 L
.49518 .49572 L
.49431 .49518 L
.49326 .49377 L
.49246 .49326 L
.49133 .49148 L
.49114 .49133 L
.48964 .4894 L
.4894 .48919 L
.4882 .48747 L
.48747 .48659 L
.48661 .48555 L
.48555 .4839 L
.48538 .48362 L
.48396 .48169 L
.48362 .48123 L
.48188 .47977 L
.48169 .47879 L
.48111 .47784 L
.47989 .47591 L
.47977 .47572 L
.47866 .47399 L
.47784 .47263 L
.47718 .47206 L
.47699 .47013 L
F
1 .27 0 r
.47784 .47738 m
.47829 .47784 L
.47977 .47934 L
.48011 .47977 L
.48169 .48163 L
.48172 .48169 L
.48314 .48362 L
.48362 .48425 L
.4845 .48555 L
.48555 .48707 L
.4858 .48747 L
.48672 .4894 L
.48555 .48943 L
.48552 .4894 L
.4837 .48747 L
.48362 .48739 L
.48215 .48555 L
.48169 .485 L
.48068 .48362 L
.47977 .48241 L
.47928 .48169 L
.478 .47977 L
.47784 .47952 L
.47703 .47784 L
F
1 .95 0 r
.47784 .4021 m
.47847 .40269 L
.47977 .40392 L
.48042 .40462 L
.48169 .40592 L
.48218 .40654 L
.48362 .40821 L
.48394 .40847 L
.48548 .4104 L
.48555 .41048 L
.48707 .41232 L
.48747 .41278 L
.48864 .41425 L
.4894 .41524 L
.49026 .41618 L
.49133 .41773 L
.49157 .41811 L
.4932 .42003 L
.49326 .42009 L
.49471 .42196 L
.49518 .42262 L
.4962 .42389 L
.49711 .42522 L
.49743 .42581 L
.49904 .42771 L
.49913 .42774 L
.50085 .42967 L
.50096 .43021 L
.50201 .43159 L
.50289 .43287 L
.50318 .43352 L
.50482 .43541 L
.50493 .43545 L
.50655 .43737 L
.50674 .43792 L
.50774 .4393 L
.50867 .44061 L
.50888 .44123 L
.5106 .44314 L
.51066 .44316 L
.51224 .44508 L
.51253 .44571 L
.51343 .44701 L
.51445 .4484 L
.51455 .44894 L
.51636 .45086 L
.51638 .45089 L
.51792 .45279 L
.51831 .45354 L
.51909 .45472 L
.52023 .45623 L
.52063 .45664 L
.52204 .45857 L
.52216 .45873 L
.52357 .4605 L
.52409 .46139 L
.52474 .46242 L
.52601 .46406 L
.52629 .46435 L
.5277 .46628 L
.52794 .46659 L
.52922 .46821 L
.52987 .46926 L
.53038 .47013 L
.53179 .47191 L
.53194 .47206 L
.53335 .47399 L
.53372 .47446 L
.53485 .47591 L
.53565 .47714 L
.53602 .47784 L
.53758 .47975 L
.53759 .47977 L
.5394 .48169 L
.5395 .48234 L
.54047 .48362 L
.54143 .48503 L
.54167 .48555 L
.54322 .48747 L
.54336 .48758 L
.54502 .4894 L
.54528 .49023 L
.54609 .49133 L
.54721 .49292 L
.54733 .49326 L
.54885 .49518 L
.54914 .49543 L
.55062 .49711 L
.55106 .49813 L
.5517 .49904 L
.55299 .50083 L
.55302 .50096 L
.55448 .50289 L
.55492 .5033 L
.55621 .50482 L
.55684 .50605 L
.55731 .50674 L
.55871 .50867 L
.55877 .50875 L
.56009 .5106 L
.5607 .5112 L
.56178 .51253 L
.56263 .514 L
.56292 .51445 L
.56431 .51638 L
.56455 .5167 L
.56569 .51831 L
.56648 .51915 L
.56733 .52023 L
.56841 .52198 L
.56852 .52216 L
.56989 .52409 L
.57033 .52468 L
.57128 .52601 L
.57226 .52716 L
.57285 .52794 L
.57409 .52987 L
.57419 .53 L
.57545 .53179 L
.57611 .53269 L
.57749 .53372 L
.57804 .53527 L
.57832 .53565 L
.5796 .53758 L
.57997 .53808 L
.58095 .5395 L
.58189 .5408 L
.58277 .54143 L
.5837 .54336 L
.58382 .54352 L
.585 .54528 L
.58575 .54632 L
.58633 .54721 L
.58768 .54912 L
.5877 .54914 L
.58889 .55106 L
.5896 .55211 L
.59011 .55299 L
.59128 .55492 L
.5896 .5551 L
.58949 .55492 L
.58768 .55304 L
.58756 .55299 L
.58585 .55106 L
.58575 .55096 L
.58413 .54914 L
.58382 .54895 L
.58245 .54721 L
.58189 .54652 L
.58031 .54528 L
.57997 .54408 L
.57939 .54336 L
.57804 .54159 L
.57765 .54143 L
.57614 .5395 L
.57611 .53947 L
.57433 .53758 L
.57419 .53695 L
.57319 .53565 L
.57226 .53434 L
.57198 .53372 L
.57033 .53202 L
.57015 .53179 L
.56856 .52987 L
.56841 .52944 L
.56732 .52794 L
.56648 .52677 L
.56618 .52601 L
.56455 .52415 L
.56433 .52409 L
.56282 .52216 L
.56263 .52175 L
.56158 .52023 L
.5607 .51904 L
.56051 .51831 L
.55877 .51662 L
.55859 .51638 L
.55711 .51445 L
.55684 .51397 L
.5559 .51253 L
.55492 .51124 L
.55429 .5106 L
.55299 .5088 L
.55289 .50867 L
.55143 .50674 L
.55106 .50614 L
.55025 .50482 L
.54914 .50341 L
.54861 .50289 L
.54722 .50096 L
.54721 .50096 L
.54577 .49904 L
.54528 .49828 L
.54461 .49711 L
.54336 .49557 L
.54295 .49518 L
.54155 .49326 L
.54143 .49309 L
.54012 .49133 L
.5395 .49041 L
.53898 .4894 L
.53758 .48773 L
.5373 .48747 L
.53571 .48555 L
.53565 .48522 L
.53449 .48362 L
.53372 .48253 L
.53335 .48169 L
.53179 .47989 L
.53165 .47977 L
.53004 .47784 L
.52987 .47734 L
.52886 .47591 L
.52794 .47465 L
.52772 .47399 L
.52602 .47206 L
.52601 .47206 L
.52439 .47013 L
.52409 .46944 L
.52324 .46821 L
.52216 .46675 L
.52207 .46628 L
.52039 .46435 L
.52023 .4642 L
.51876 .46242 L
.51831 .46154 L
.51762 .4605 L
.51638 .45885 L
.51638 .45857 L
.51476 .45664 L
.51445 .45633 L
.51316 .45472 L
.51253 .45363 L
.51201 .45279 L
.5106 .45094 L
.51054 .45086 L
.50915 .44894 L
.50867 .44843 L
.50756 .44701 L
.50674 .44569 L
.50639 .44508 L
.50494 .44316 L
.50482 .44299 L
.50355 .44123 L
.50289 .4405 L
.50199 .4393 L
.50096 .43771 L
.50078 .43737 L
.49936 .43545 L
.49904 .43501 L
.49734 .43352 L
.49711 .4325 L
.49646 .43159 L
.49518 .42968 L
.49518 .42967 L
.49382 .42774 L
.49326 .42697 L
.4919 .42581 L
.49133 .4244 L
.49098 .42389 L
.48968 .42196 L
.4894 .42158 L
.48834 .42003 L
.48747 .41928 L
.4866 .41811 L
.4856 .41618 L
.48555 .41611 L
.48431 .41425 L
.48362 .41329 L
.48299 .41232 L
.48169 .41052 L
.48161 .4104 L
.48043 .40847 L
.47977 .40749 L
.4792 .40654 L
.478 .40462 L
.47784 .40436 L
.4771 .40269 L
F
1 .26 0 r
.47784 .47746 m
.47822 .47784 L
.47977 .47939 L
.48007 .47977 L
.48168 .48169 L
.48169 .48171 L
.4831 .48362 L
.48362 .4843 L
.48446 .48555 L
.48555 .48713 L
.48576 .48747 L
.48555 .48936 L
.48375 .48747 L
.48362 .48734 L
.48219 .48555 L
.48169 .48496 L
.48072 .48362 L
.47977 .48236 L
.47932 .48169 L
.47805 .47977 L
.47784 .47944 L
.47711 .47784 L
F
0 .87 1 r
.47784 .51201 m
.47833 .51253 L
.47977 .51408 L
.48009 .51445 L
.48169 .51634 L
.48172 .51638 L
.4833 .51831 L
.48362 .51868 L
.48487 .52023 L
.48555 .52106 L
.48642 .52216 L
.48747 .52341 L
.48842 .52409 L
.4894 .52595 L
.48946 .52601 L
.49095 .52794 L
.49133 .52809 L
.49246 .52987 L
.49326 .53084 L
.49428 .53179 L
.49518 .53342 L
.49541 .53372 L
.4969 .53565 L
.49711 .53576 L
.49838 .53758 L
.49904 .5384 L
.50006 .5395 L
.50096 .54101 L
.50124 .54143 L
.50275 .54336 L
.50289 .54345 L
.5042 .54528 L
.50482 .54607 L
.5058 .54721 L
.50674 .54871 L
.507 .54914 L
.50851 .55106 L
.50867 .55118 L
.50995 .55299 L
.5106 .55382 L
.51149 .55492 L
.51253 .55649 L
.51272 .55684 L
.51422 .55877 L
.51445 .55895 L
.51565 .5607 L
.51638 .56165 L
.51713 .56263 L
.51831 .56433 L
.51841 .56455 L
.51988 .56648 L
.52023 .56679 L
.52188 .56841 L
.52216 .56955 L
.52274 .57033 L
.52409 .57225 L
.52409 .57226 L
.52548 .57419 L
.52601 .57469 L
.52735 .57611 L
.52794 .57754 L
.5283 .57804 L
.52965 .57997 L
.52987 .58027 L
.53102 .58189 L
.53179 .58272 L
.53275 .58382 L
.53372 .58565 L
.53379 .58575 L
.53513 .58768 L
.53565 .5884 L
.53649 .5896 L
.53758 .59099 L
.53801 .59153 L
.53917 .59346 L
.5395 .59393 L
.54048 .59538 L
.54143 .59675 L
.54181 .59731 L
.54308 .59924 L
.54336 .59963 L
.54431 .60116 L
.54528 .60264 L
.54556 .60309 L
.54662 .60502 L
.54528 .60518 L
.54514 .60502 L
.54341 .60309 L
.54336 .60304 L
.5418 .60116 L
.54143 .60075 L
.54022 .59924 L
.5395 .5984 L
.53865 .59731 L
.53758 .59621 L
.5371 .59538 L
.53565 .59358 L
.53552 .59346 L
.53408 .59153 L
.53372 .59109 L
.5326 .5896 L
.53179 .5888 L
.53111 .58768 L
.52987 .58611 L
.52953 .58575 L
.52817 .58382 L
.52794 .58354 L
.52672 .58189 L
.52601 .58119 L
.52526 .57997 L
.52409 .57846 L
.52372 .57804 L
.52237 .57611 L
.52216 .57585 L
.52094 .57419 L
.52023 .57346 L
.5189 .57226 L
.51831 .57071 L
.51799 .57033 L
.51664 .56841 L
.51638 .56807 L
.51523 .56648 L
.51445 .56566 L
.51332 .56455 L
.51253 .56288 L
.51232 .56263 L
.51096 .5607 L
.5106 .56023 L
.50955 .55877 L
.50867 .55779 L
.50777 .55684 L
.50674 .55499 L
.50669 .55492 L
.50532 .55299 L
.50482 .55233 L
.50392 .55106 L
.50289 .54985 L
.50225 .54914 L
.50108 .54721 L
.50096 .54705 L
.49972 .54528 L
.49904 .54438 L
.49832 .54336 L
.49711 .54183 L
.49677 .54143 L
.49552 .5395 L
.49518 .53905 L
.49416 .53758 L
.49326 .53636 L
.49276 .53565 L
.49135 .53372 L
.49133 .53369 L
.49002 .53179 L
.4894 .53096 L
.48866 .52987 L
.48747 .52849 L
.48727 .52794 L
.48594 .52601 L
.48555 .52549 L
.48462 .52409 L
.48362 .5227 L
.48327 .52216 L
.48194 .52023 L
.48169 .51989 L
.4807 .51831 L
.47977 .51698 L
.47941 .51638 L
.47818 .51445 L
.47784 .51394 L
.47715 .51253 L
F
0 .8 1 r
.47784 .4698 m
.47869 .47013 L
.47977 .47054 L
.48122 .47206 L
.48169 .4725 L
.48303 .47399 L
.48362 .4747 L
.48514 .47591 L
.48555 .47712 L
.48621 .47784 L
.48747 .47959 L
.48757 .47977 L
.48914 .48169 L
.4894 .48198 L
.49091 .48362 L
.49133 .48461 L
.49198 .48555 L
.49326 .48729 L
.4933 .48747 L
.49477 .4894 L
.49518 .49 L
.49641 .49133 L
.49711 .49252 L
.4974 .49326 L
.49854 .49518 L
.49904 .49632 L
.49925 .49711 L
.49904 .49759 L
.49711 .4975 L
.49651 .49711 L
.49518 .49567 L
.49436 .49518 L
.49326 .49373 L
.4925 .49326 L
.49133 .49146 L
.49116 .49133 L
.48967 .4894 L
.4894 .48917 L
.48822 .48747 L
.48747 .48656 L
.48664 .48555 L
.48555 .48387 L
.4854 .48362 L
.48399 .48169 L
.48362 .48119 L
.4819 .47977 L
.48169 .47874 L
.48114 .47784 L
.47993 .47591 L
.47977 .47567 L
.4787 .47399 L
.47784 .47253 L
.47729 .47206 L
.47718 .47013 L
F
1 .25 0 r
.47784 .47754 m
.47815 .47784 L
.47977 .47945 L
.48003 .47977 L
.48164 .48169 L
.48169 .48176 L
.48306 .48362 L
.48362 .48435 L
.48442 .48555 L
.48555 .4872 L
.48571 .48747 L
.48555 .48927 L
.48381 .48747 L
.48362 .48728 L
.48223 .48555 L
.48169 .48491 L
.48076 .48362 L
.47977 .4823 L
.47935 .48169 L
.4781 .47977 L
.47784 .47934 L
.4772 .47784 L
F
1 .24 0 r
.47784 .47763 m
.47806 .47784 L
.47977 .4795 L
.47999 .47977 L
.4816 .48169 L
.48169 .48181 L
.48302 .48362 L
.48362 .48441 L
.48438 .48555 L
.48555 .48727 L
.48567 .48747 L
.48555 .48918 L
.48387 .48747 L
.48362 .48722 L
.48228 .48555 L
.48169 .48485 L
.4808 .48362 L
.47977 .48225 L
.47939 .48169 L
.47816 .47977 L
.47784 .47924 L
.4773 .47784 L
F
0 .7 1 r
.47784 .42596 m
.47916 .42774 L
.47977 .42844 L
.48065 .42967 L
.48169 .43094 L
.48216 .43159 L
.48362 .43345 L
.48367 .43352 L
.48507 .43545 L
.48555 .43604 L
.48649 .43737 L
.48747 .43862 L
.48795 .4393 L
.4894 .4412 L
.48942 .44123 L
.49077 .44316 L
.49133 .44387 L
.49216 .44508 L
.49326 .44652 L
.49359 .44701 L
.49499 .44894 L
.49518 .44919 L
.49629 .45086 L
.49711 .45194 L
.49765 .45279 L
.49904 .45467 L
.49907 .45472 L
.50026 .45664 L
.50096 .4576 L
.50148 .45857 L
.50096 .45905 L
.50058 .45857 L
.49904 .45677 L
.49893 .45664 L
.49742 .45472 L
.49711 .45437 L
.49591 .45279 L
.49518 .45191 L
.49439 .45086 L
.49326 .44943 L
.49288 .44894 L
.49141 .44701 L
.49133 .44691 L
.48999 .44508 L
.4894 .44434 L
.48853 .44316 L
.48747 .44177 L
.48708 .44123 L
.48565 .4393 L
.48555 .43917 L
.48427 .43737 L
.48362 .43653 L
.48286 .43545 L
.48169 .43388 L
.48144 .43352 L
.48009 .43159 L
.47977 .43118 L
.47875 .42967 L
.47784 .42844 L
.47737 .42774 L
F
0 .79 1 r
.47784 .46996 m
.47842 .47013 L
.47977 .4706 L
.48114 .47206 L
.48169 .47256 L
.48298 .47399 L
.48362 .47476 L
.48511 .47591 L
.48555 .47716 L
.48618 .47784 L
.48747 .47962 L
.48756 .47977 L
.48911 .48169 L
.4894 .48201 L
.49089 .48362 L
.49133 .48464 L
.49196 .48555 L
.49326 .48732 L
.49329 .48747 L
.49474 .4894 L
.49518 .49004 L
.49638 .49133 L
.49711 .4926 L
.49736 .49326 L
.49849 .49518 L
.49904 .49657 L
.49913 .49711 L
.49904 .49737 L
.49711 .49741 L
.49663 .49711 L
.49518 .49562 L
.49442 .49518 L
.49326 .4937 L
.49254 .49326 L
.49133 .49144 L
.49119 .49133 L
.4897 .4894 L
.4894 .48915 L
.48825 .48747 L
.48747 .48653 L
.48666 .48555 L
.48555 .48384 L
.48542 .48362 L
.48401 .48169 L
.48362 .48116 L
.48192 .47977 L
.48169 .4787 L
.48117 .47784 L
.47997 .47591 L
.47977 .47562 L
.47875 .47399 L
.47784 .47243 L
.47742 .47206 L
.47743 .47013 L
F
1 .23 0 r
.47784 .47773 m
.47797 .47784 L
.47977 .47956 L
.47994 .47977 L
.48155 .48169 L
.48169 .48186 L
.48298 .48362 L
.48362 .48446 L
.48434 .48555 L
.48555 .48734 L
.48563 .48747 L
.48555 .48909 L
.48393 .48747 L
.48362 .48716 L
.48232 .48555 L
.48169 .4848 L
.48083 .48362 L
.47977 .4822 L
.47943 .48169 L
.47822 .47977 L
.47784 .47912 L
.47744 .47784 L
F
0 .69 1 r
.47784 .42615 m
.47901 .42774 L
.47977 .4286 L
.48053 .42967 L
.48169 .43108 L
.48206 .43159 L
.48357 .43352 L
.48362 .43358 L
.48496 .43545 L
.48555 .43617 L
.48639 .43737 L
.48747 .43874 L
.48786 .4393 L
.48932 .44123 L
.4894 .44133 L
.49066 .44316 L
.49133 .444 L
.49206 .44508 L
.49326 .44664 L
.4935 .44701 L
.49486 .44894 L
.49518 .44934 L
.49616 .45086 L
.49711 .45211 L
.49754 .45279 L
.49711 .45417 L
.49606 .45279 L
.49518 .45175 L
.49452 .45086 L
.49326 .44928 L
.49299 .44894 L
.49154 .44701 L
.49133 .44676 L
.4901 .44508 L
.4894 .4442 L
.48864 .44316 L
.48747 .44164 L
.48718 .44123 L
.48577 .4393 L
.48555 .43903 L
.48438 .43737 L
.48362 .43638 L
.48296 .43545 L
.48169 .43374 L
.48154 .43352 L
.48022 .43159 L
.47977 .43101 L
.47887 .42967 L
.47784 .42826 L
.4775 .42774 L
F
1 .79 0 r
.47784 .4345 m
.47838 .43545 L
.47977 .43727 L
.47982 .43737 L
.47977 .43817 L
.47918 .43737 L
.47784 .43588 L
.47752 .43545 L
F
0 .78 1 r
.47784 .47013 m
.4779 .47013 L
.47977 .47066 L
.48106 .47206 L
.48169 .47263 L
.48292 .47399 L
.48362 .47481 L
.48508 .47591 L
.48555 .4772 L
.48615 .47784 L
.48747 .47964 L
.48754 .47977 L
.48908 .48169 L
.4894 .48204 L
.49087 .48362 L
.49133 .48468 L
.49194 .48555 L
.49326 .48736 L
.49328 .48747 L
.49471 .4894 L
.49518 .49008 L
.49635 .49133 L
.49711 .49269 L
.49733 .49326 L
.49843 .49518 L
.499 .49711 L
.49711 .49733 L
.49675 .49711 L
.49518 .49557 L
.49447 .49518 L
.49326 .49366 L
.49259 .49326 L
.49133 .49142 L
.49121 .49133 L
.48972 .4894 L
.4894 .48912 L
.48827 .48747 L
.48747 .4865 L
.48668 .48555 L
.48555 .48381 L
.48543 .48362 L
.48403 .48169 L
.48362 .48113 L
.48194 .47977 L
.48169 .47865 L
.4812 .47784 L
.48 .47591 L
.47977 .47556 L
.47879 .47399 L
.47784 .47231 L
.47756 .47206 L
.47782 .47013 L
F
1 .28 0 r
.47784 .5363 m
.47855 .53758 L
.47977 .53938 L
.47983 .5395 L
.47977 .5399 L
.47944 .5395 L
.47784 .53791 L
.47758 .53758 L
F
0 .35 1 r
.47784 .52801 m
.47917 .52987 L
.47977 .53059 L
.48061 .53179 L
.48169 .53317 L
.48208 .53372 L
.48169 .53546 L
.48049 .53372 L
.47977 .53283 L
.47907 .53179 L
.47784 .53022 L
.4776 .52987 L
F
0 .68 1 r
.47784 .42639 m
.47883 .42774 L
.47977 .42879 L
.4804 .42967 L
.48169 .43123 L
.48195 .43159 L
.48344 .43352 L
.48362 .43373 L
.48484 .43545 L
.48555 .43631 L
.48629 .43737 L
.48747 .43887 L
.48777 .4393 L
.4892 .44123 L
.4894 .44147 L
.49055 .44316 L
.49133 .44414 L
.49195 .44508 L
.49326 .44678 L
.4934 .44701 L
.49472 .44894 L
.49518 .44952 L
.49602 .45086 L
.49711 .4523 L
.4974 .45279 L
.49711 .45394 L
.49624 .45279 L
.49518 .45156 L
.49466 .45086 L
.49326 .44912 L
.49312 .44894 L
.49168 .44701 L
.49133 .4466 L
.49023 .44508 L
.4894 .44405 L
.48875 .44316 L
.48747 .44149 L
.48728 .44123 L
.48589 .4393 L
.48555 .43887 L
.4845 .43737 L
.48362 .43623 L
.48308 .43545 L
.48169 .43358 L
.48165 .43352 L
.48036 .43159 L
.47977 .43082 L
.47902 .42967 L
.47784 .42805 L
.47764 .42774 L
F
1 .95 0 r
.47784 .50336 m
.47977 .50402 L
.48027 .50482 L
.48169 .50608 L
.48209 .50674 L
.48362 .50855 L
.48377 .50867 L
.48516 .5106 L
.48555 .51111 L
.48656 .51253 L
.48747 .51351 L
.48794 .51445 L
.48932 .51638 L
.4894 .5165 L
.49063 .51831 L
.49133 .51917 L
.49194 .52023 L
.49325 .52216 L
.49326 .52216 L
.49458 .52409 L
.49518 .52489 L
.49635 .52601 L
.49711 .52769 L
.4973 .52794 L
.49869 .52987 L
.49904 .53026 L
.50014 .53179 L
.50096 .53292 L
.50156 .53372 L
.50289 .53549 L
.50303 .53565 L
.5045 .53758 L
.50482 .53797 L
.50629 .5395 L
.50674 .54057 L
.50726 .54143 L
.50867 .54314 L
.50895 .54336 L
.51041 .54528 L
.5106 .54553 L
.51205 .54721 L
.51253 .54814 L
.51315 .54914 L
.51445 .55076 L
.51481 .55106 L
.51625 .55299 L
.51638 .55316 L
.51782 .55492 L
.51831 .55579 L
.51897 .55684 L
.52023 .55843 L
.52059 .55877 L
.52201 .5607 L
.52216 .56089 L
.52354 .56263 L
.52409 .56354 L
.5247 .56455 L
.52601 .56619 L
.52631 .56648 L
.52771 .56841 L
.52794 .5687 L
.52921 .57033 L
.52987 .57137 L
.53037 .57226 L
.53179 .57401 L
.53198 .57419 L
.53338 .57611 L
.53372 .57655 L
.53484 .57804 L
.53565 .57924 L
.53602 .57997 L
.53758 .58186 L
.53761 .58189 L
.53944 .58382 L
.5395 .58444 L
.54045 .58575 L
.54143 .58715 L
.54165 .58768 L
.54322 .5896 L
.54336 .58971 L
.54502 .59153 L
.54528 .59239 L
.54603 .59346 L
.54721 .59511 L
.5473 .59538 L
.5488 .59731 L
.54914 .5976 L
.55056 .59924 L
.55106 .60039 L
.55158 .60116 L
.55295 .60309 L
.55299 .60314 L
.55432 .60502 L
.55492 .60561 L
.55601 .60694 L
.55684 .60851 L
.55707 .60887 L
.55842 .6108 L
.55877 .61129 L
.55977 .61273 L
.5607 .61383 L
.56132 .61465 L
.56245 .61658 L
.56263 .61683 L
.56375 .61851 L
.56455 .61966 L
.56507 .62043 L
.56636 .62236 L
.56648 .62253 L
.56757 .62429 L
.56841 .62555 L
.56881 .62621 L
.56991 .62814 L
.57033 .62886 L
.57078 .63007 L
.57033 .63038 L
.57001 .63007 L
.56841 .62856 L
.56804 .62814 L
.56648 .62653 L
.5663 .62621 L
.56466 .62429 L
.56455 .62417 L
.56308 .62236 L
.56263 .62183 L
.56152 .62043 L
.5607 .61966 L
.55997 .61851 L
.55877 .61704 L
.55827 .61658 L
.55693 .61465 L
.55684 .61455 L
.55546 .61273 L
.55492 .61222 L
.55397 .6108 L
.55299 .60958 L
.55231 .60887 L
.55106 .60701 L
.55102 .60694 L
.54957 .60502 L
.54914 .6046 L
.54812 .60309 L
.54721 .60194 L
.54652 .60116 L
.54528 .59933 L
.54522 .59924 L
.54379 .59731 L
.54336 .59689 L
.54164 .59538 L
.54143 .5942 L
.5408 .59346 L
.5395 .59157 L
.53948 .59153 L
.53806 .5896 L
.53758 .58911 L
.53607 .58768 L
.53565 .5864 L
.53512 .58575 L
.53377 .58382 L
.53372 .58375 L
.53237 .58189 L
.53179 .5813 L
.53049 .57997 L
.52987 .57856 L
.52947 .57804 L
.52811 .57611 L
.52794 .5759 L
.52671 .57419 L
.52601 .57344 L
.52491 .57226 L
.52409 .57067 L
.52383 .57033 L
.52247 .56841 L
.52216 .568 L
.52107 .56648 L
.52023 .56554 L
.51936 .56455 L
.51831 .56275 L
.51821 .56263 L
.51685 .5607 L
.51638 .56008 L
.51545 .55877 L
.51445 .55759 L
.51381 .55684 L
.51261 .55492 L
.51253 .5548 L
.51125 .55299 L
.5106 .55213 L
.50985 .55106 L
.50867 .54959 L
.5083 .54914 L
.50704 .54721 L
.50674 .54682 L
.50568 .54528 L
.50482 .54414 L
.50427 .54336 L
.50289 .5415 L
.50283 .54143 L
.50151 .5395 L
.50096 .53877 L
.50015 .53758 L
.49904 .53636 L
.49839 .53565 L
.49737 .53372 L
.49711 .53337 L
.49604 .53179 L
.49518 .53063 L
.49467 .52987 L
.49327 .52794 L
.49326 .52793 L
.49196 .52601 L
.49133 .52515 L
.49062 .52409 L
.4894 .52252 L
.48906 .52216 L
.4879 .52023 L
.48747 .51965 L
.48657 .51831 L
.48555 .51705 L
.4852 .51638 L
.48384 .51445 L
.48362 .51415 L
.48251 .51253 L
.48169 .51171 L
.48119 .5106 L
.47989 .50867 L
.47977 .50848 L
.47868 .50674 L
.47784 .50523 L
.47765 .50482 L
F
1 .72 0 r
.47784 .41811 m
.47949 .42003 L
.47977 .42032 L
.48109 .42196 L
.48169 .42264 L
.48267 .42389 L
.48362 .42502 L
.48423 .42581 L
.48555 .42731 L
.48578 .42774 L
.48728 .42967 L
.48747 .4299 L
.48875 .43159 L
.4894 .4324 L
.49024 .43352 L
.49133 .43472 L
.49173 .43545 L
.4932 .43737 L
.49326 .43744 L
.49463 .4393 L
.49518 .44 L
.49608 .44123 L
.49711 .44237 L
.49805 .44316 L
.499 .44508 L
.49904 .44513 L
.5004 .44701 L
.50096 .44773 L
.50183 .44894 L
.50289 .45016 L
.50364 .45086 L
.5047 .45279 L
.50482 .45294 L
.50609 .45472 L
.50674 .45557 L
.50751 .45664 L
.50867 .45806 L
.50917 .45857 L
.51034 .4605 L
.5106 .46084 L
.51172 .46242 L
.51253 .46349 L
.51313 .46435 L
.51445 .46609 L
.51463 .46628 L
.5159 .46821 L
.51638 .46883 L
.51727 .47013 L
.51831 .47152 L
.51867 .47206 L
.52006 .47399 L
.52023 .47422 L
.52137 .47591 L
.52216 .47698 L
.52274 .47784 L
.52409 .47971 L
.52413 .47977 L
.52539 .48169 L
.52601 .48256 L
.52668 .48362 L
.52794 .48541 L
.52802 .48555 L
.52916 .48747 L
.52987 .48856 L
.53025 .4894 L
.52987 .48988 L
.52942 .4894 L
.52794 .48787 L
.52761 .48747 L
.52601 .48571 L
.52594 .48555 L
.52436 .48362 L
.52409 .48331 L
.52279 .48169 L
.52216 .48094 L
.52123 .47977 L
.52023 .47884 L
.51969 .47784 L
.51831 .47608 L
.51812 .47591 L
.5167 .47399 L
.51638 .47358 L
.51521 .47206 L
.51445 .47138 L
.51373 .47013 L
.51253 .46859 L
.51216 .46821 L
.51081 .46628 L
.5106 .46601 L
.50936 .46435 L
.50867 .46372 L
.5079 .46242 L
.50674 .46092 L
.50638 .4605 L
.50503 .45857 L
.50482 .45829 L
.5036 .45664 L
.50289 .45595 L
.5014 .45472 L
.50096 .45312 L
.5007 .45279 L
.49934 .45086 L
.49904 .45046 L
.49793 .44894 L
.49711 .44807 L
.49599 .44701 L
.49518 .4452 L
.49509 .44508 L
.49373 .44316 L
.49326 .44252 L
.49233 .44123 L
.49133 .44005 L
.49061 .4393 L
.48956 .43737 L
.4894 .43717 L
.4882 .43545 L
.48747 .43445 L
.48682 .43352 L
.48555 .4318 L
.48537 .43159 L
.48413 .42967 L
.48362 .42896 L
.4828 .42774 L
.48169 .42617 L
.48145 .42581 L
.48018 .42389 L
.47977 .4233 L
.47893 .42196 L
.47784 .42034 L
.47765 .42003 L
F
0 .34 1 r
.47784 .52811 m
.47908 .52987 L
.47977 .53069 L
.48054 .53179 L
.48169 .53326 L
.48202 .53372 L
.48169 .53537 L
.48057 .53372 L
.47977 .53274 L
.47913 .53179 L
.47784 .53014 L
.47766 .52987 L
F
1 .27 0 r
.47784 .53643 m
.47844 .53758 L
.47784 .5378 L
.47767 .53758 L
F
1 .22 0 r
.47784 .47783 m
.47785 .47784 L
.47977 .47961 L
.4799 .47977 L
.4815 .48169 L
.48169 .48192 L
.48293 .48362 L
.48362 .48452 L
.4843 .48555 L
.48555 .48742 L
.48558 .48747 L
.48555 .48898 L
.484 .48747 L
.48362 .4871 L
.48237 .48555 L
.48169 .48475 L
.48087 .48362 L
.47977 .48214 L
.47947 .48169 L
.47829 .47977 L
.47784 .47898 L
.47768 .47784 L
F
0 .77 1 r
.47784 .47033 m
.47977 .47073 L
.48097 .47206 L
.48169 .47269 L
.48287 .47399 L
.48362 .47486 L
.48505 .47591 L
.48555 .47725 L
.48612 .47784 L
.48747 .47967 L
.48753 .47977 L
.48906 .48169 L
.4894 .48207 L
.49085 .48362 L
.49133 .48471 L
.49191 .48555 L
.49326 .48739 L
.49328 .48747 L
.49468 .4894 L
.49518 .49013 L
.49632 .49133 L
.49711 .49279 L
.49729 .49326 L
.49837 .49518 L
.49883 .49711 L
.49711 .49724 L
.49689 .49711 L
.49518 .49553 L
.49452 .49518 L
.49326 .49362 L
.49263 .49326 L
.49133 .4914 L
.49124 .49133 L
.48975 .4894 L
.4894 .4891 L
.4883 .48747 L
.48747 .48647 L
.4867 .48555 L
.48555 .48378 L
.48545 .48362 L
.48406 .48169 L
.48362 .48109 L
.48196 .47977 L
.48169 .4786 L
.48123 .47784 L
.48004 .47591 L
.47977 .4755 L
.47884 .47399 L
.47784 .47219 L
.4777 .47206 L
F
0 .33 1 r
.47784 .52823 m
.47899 .52987 L
.47977 .53079 L
.48046 .53179 L
.48169 .53335 L
.48195 .53372 L
.48169 .53526 L
.48065 .53372 L
.47977 .53265 L
.4792 .53179 L
.47784 .53005 L
.47772 .52987 L
F
1 .26 0 r
.47784 .53659 m
.47829 .53758 L
.47784 .53767 L
.47777 .53758 L
F
1 .71 0 r
.47784 .41837 m
.47931 .42003 L
.47977 .42049 L
.48096 .42196 L
.48169 .42277 L
.48257 .42389 L
.48362 .42512 L
.48415 .42581 L
.48555 .42743 L
.48571 .42774 L
.48721 .42967 L
.48747 .42999 L
.48869 .43159 L
.4894 .43248 L
.49018 .43352 L
.49133 .43481 L
.49168 .43545 L
.49315 .43737 L
.49326 .43751 L
.49458 .4393 L
.49518 .44006 L
.49604 .44123 L
.49711 .44244 L
.49797 .44316 L
.49895 .44508 L
.49904 .44519 L
.50036 .44701 L
.50096 .44779 L
.50179 .44894 L
.50289 .45022 L
.50358 .45086 L
.50466 .45279 L
.50482 .45299 L
.50605 .45472 L
.50674 .45562 L
.50747 .45664 L
.50867 .45813 L
.50911 .45857 L
.5103 .4605 L
.5106 .46089 L
.51168 .46242 L
.51253 .46355 L
.51309 .46435 L
.51445 .46617 L
.51455 .46628 L
.51586 .46821 L
.51638 .4689 L
.51723 .47013 L
.51831 .47159 L
.51863 .47206 L
.52 .47399 L
.52023 .4743 L
.52132 .47591 L
.52216 .47706 L
.52268 .47784 L
.52406 .47977 L
.52409 .4798 L
.52531 .48169 L
.52601 .48268 L
.5266 .48362 L
.52601 .48549 L
.52447 .48362 L
.52409 .48319 L
.52289 .48169 L
.52216 .48083 L
.52132 .47977 L
.52023 .47872 L
.51977 .47784 L
.51831 .47598 L
.51823 .47591 L
.51677 .47399 L
.51638 .4735 L
.51528 .47206 L
.51445 .4713 L
.51378 .47013 L
.51253 .46851 L
.51223 .46821 L
.51086 .46628 L
.5106 .46594 L
.50941 .46435 L
.50867 .46366 L
.50795 .46242 L
.50674 .46085 L
.50644 .4605 L
.50508 .45857 L
.50482 .45823 L
.50365 .45664 L
.50289 .45589 L
.50147 .45472 L
.50096 .45305 L
.50075 .45279 L
.49939 .45086 L
.49904 .4504 L
.49798 .44894 L
.49711 .448 L
.49606 .44701 L
.49518 .44513 L
.49515 .44508 L
.49378 .44316 L
.49326 .44245 L
.49238 .44123 L
.49133 .43996 L
.4907 .4393 L
.48961 .43737 L
.4894 .43709 L
.48826 .43545 L
.48747 .43437 L
.48688 .43352 L
.48555 .43168 L
.48548 .43159 L
.4842 .42967 L
.48362 .42886 L
.48287 .42774 L
.48169 .42606 L
.48153 .42581 L
.48028 .42389 L
.47977 .42315 L
.47904 .42196 L
.47784 .42014 L
.47778 .42003 L
F
0 .32 1 r
.47784 .52835 m
.47889 .52987 L
.47977 .5309 L
.48038 .53179 L
.48169 .53345 L
.48188 .53372 L
.48169 .53515 L
.48075 .53372 L
.47977 .53254 L
.47928 .53179 L
.47784 .52995 L
.47779 .52987 L
F
0 .67 1 r
.47784 .42672 m
.47857 .42774 L
.47977 .429 L
.48024 .42967 L
.48169 .4314 L
.48183 .43159 L
.48169 .43338 L
.48054 .43159 L
.47977 .43059 L
.47919 .42967 L
.47784 .42778 L
.47781 .42774 L
F
0 .76 1 r
.47977 .47081 m
.48089 .47206 L
.48169 .47275 L
.48281 .47399 L
.48362 .47492 L
.48501 .47591 L
.48555 .47729 L
.48608 .47784 L
.48747 .47969 L
.48752 .47977 L
.48903 .48169 L
.4894 .4821 L
.49083 .48362 L
.49133 .48475 L
.49189 .48555 L
.49326 .48743 L
.49327 .48747 L
.49465 .4894 L
.49518 .49017 L
.49629 .49133 L
.49711 .49288 L
.49725 .49326 L
.49831 .49518 L
.49863 .49711 L
.49711 .49715 L
.49703 .49711 L
.49518 .49549 L
.49458 .49518 L
.49326 .49359 L
.49267 .49326 L
.49133 .49138 L
.49126 .49133 L
.48978 .4894 L
.4894 .48908 L
.48832 .48747 L
.48747 .48644 L
.48673 .48555 L
.48555 .48375 L
.48547 .48362 L
.48408 .48169 L
.48362 .48106 L
.48198 .47977 L
.48169 .47855 L
.48127 .47784 L
.48008 .47591 L
.47977 .47544 L
.47888 .47399 L
.47785 .47206 L
F
0 .75 1 r
.47977 .47089 m
.4808 .47206 L
.48169 .47281 L
.48276 .47399 L
.48362 .47497 L
.48497 .47591 L
.48555 .47733 L
.48605 .47784 L
.48747 .47972 L
.4875 .47977 L
.489 .48169 L
.4894 .48213 L
.49081 .48362 L
.49133 .48478 L
.49187 .48555 L
.49326 .48746 L
.49326 .48747 L
.49462 .4894 L
.49518 .49021 L
.49626 .49133 L
.49711 .49299 L
.49721 .49326 L
.49825 .49518 L
.49711 .49706 L
.49518 .49545 L
.49463 .49518 L
.49326 .49356 L
.49272 .49326 L
.49133 .49136 L
.49129 .49133 L
.4898 .4894 L
.4894 .48905 L
.48834 .48747 L
.48747 .48641 L
.48675 .48555 L
.48555 .48372 L
.48549 .48362 L
.48411 .48169 L
.48362 .48103 L
.48201 .47977 L
.48169 .47849 L
.4813 .47784 L
.48011 .47591 L
.47977 .47538 L
.47893 .47399 L
.47794 .47206 L
F
0 .84 1 r
.47977 .41232 m
.47977 .41232 L
.4815 .41425 L
.48169 .41446 L
.48315 .41618 L
.48362 .41671 L
.48476 .41811 L
.48555 .41869 L
.48635 .42003 L
.48747 .42136 L
.48823 .42196 L
.4894 .42383 L
.48945 .42389 L
.49095 .42581 L
.49133 .42608 L
.49245 .42774 L
.49326 .42871 L
.49425 .42967 L
.49518 .43128 L
.49543 .43159 L
.4969 .43352 L
.49711 .43368 L
.49836 .43545 L
.49904 .43628 L
.50006 .43737 L
.50096 .4389 L
.50125 .4393 L
.50272 .44123 L
.50289 .44136 L
.50416 .44316 L
.50482 .44397 L
.50579 .44508 L
.50674 .44662 L
.507 .44701 L
.50847 .44894 L
.50867 .4491 L
.5099 .45086 L
.5106 .45174 L
.51148 .45279 L
.51253 .4544 L
.51272 .45472 L
.51418 .45664 L
.51445 .45688 L
.51627 .45857 L
.51638 .45956 L
.51713 .4605 L
.51831 .46223 L
.51841 .46242 L
.51985 .46435 L
.52023 .46469 L
.52182 .46628 L
.52216 .46742 L
.52277 .46821 L
.52409 .4701 L
.5241 .47013 L
.5255 .47206 L
.52601 .47255 L
.52737 .47399 L
.52794 .47532 L
.52838 .47591 L
.52974 .47784 L
.52987 .47801 L
.53112 .47977 L
.53179 .48045 L
.53291 .48169 L
.53372 .48327 L
.53398 .48362 L
.53533 .48555 L
.53565 .48597 L
.53672 .48747 L
.53758 .48842 L
.53841 .4894 L
.5395 .49127 L
.53954 .49133 L
.5409 .49326 L
.54143 .49396 L
.54228 .49518 L
.54336 .49648 L
.54386 .49711 L
.54507 .49904 L
.54528 .49932 L
.54642 .50096 L
.54721 .50204 L
.5478 .50289 L
.54914 .5047 L
.54923 .50482 L
.55052 .50674 L
.55106 .50749 L
.55186 .50867 L
.55299 .51024 L
.55323 .5106 L
.55455 .51253 L
.55492 .51304 L
.55583 .51445 L
.55684 .51589 L
.55715 .51638 L
.55841 .51831 L
.55877 .51884 L
.55957 .52023 L
.5607 .52202 L
.56077 .52216 L
.5607 .52355 L
.55925 .52216 L
.55877 .52171 L
.55745 .52023 L
.55684 .51958 L
.55576 .51831 L
.55492 .5179 L
.55412 .51638 L
.55299 .51506 L
.55205 .51445 L
.55106 .51262 L
.55097 .51253 L
.54945 .5106 L
.54914 .51043 L
.54791 .50867 L
.54721 .50782 L
.54603 .50674 L
.54528 .50528 L
.54492 .50482 L
.54341 .50289 L
.54336 .50285 L
.54192 .50096 L
.54143 .50034 L
.54022 .49904 L
.5395 .49775 L
.53906 .49711 L
.53758 .49523 L
.53752 .49518 L
.53606 .49326 L
.53565 .49273 L
.53446 .49133 L
.53372 .4901 L
.53328 .4894 L
.53179 .48755 L
.53171 .48747 L
.53027 .48555 L
.52987 .48502 L
.52874 .48362 L
.52794 .48237 L
.52755 .48169 L
.52601 .4798 L
.52597 .47977 L
.52454 .47784 L
.52409 .47724 L
.52305 .47591 L
.52216 .47458 L
.52185 .47399 L
.52028 .47206 L
.52023 .47202 L
.51839 .47013 L
.51831 .46941 L
.5174 .46821 L
.51638 .46674 L
.51617 .46628 L
.51461 .46435 L
.51445 .4642 L
.5128 .46242 L
.51253 .46154 L
.51177 .4605 L
.5106 .45886 L
.51049 .45857 L
.50898 .45664 L
.50867 .45635 L
.50721 .45472 L
.50674 .45363 L
.50616 .45279 L
.50482 .45094 L
.5048 .45086 L
.50337 .44894 L
.50289 .44845 L
.50166 .44701 L
.50096 .44567 L
.50057 .44508 L
.49918 .44316 L
.49904 .44296 L
.4978 .44123 L
.49711 .44047 L
.49616 .4393 L
.49518 .43763 L
.49502 .43737 L
.49366 .43545 L
.49326 .4349 L
.49229 .43352 L
.49133 .43236 L
.49074 .43159 L
.48954 .42967 L
.4894 .42947 L
.48821 .42774 L
.48747 .42672 L
.48685 .42581 L
.48555 .42399 L
.48547 .42389 L
.48421 .42196 L
.48362 .42113 L
.4829 .42003 L
.48169 .41828 L
.48141 .41811 L
.48037 .41618 L
.47977 .41528 L
.47916 .41425 L
.478 .41232 L
F
0 .74 1 r
.47977 .47098 m
.4807 .47206 L
.48169 .47288 L
.4827 .47399 L
.48362 .47502 L
.48493 .47591 L
.48555 .47737 L
.48602 .47784 L
.48747 .47974 L
.48749 .47977 L
.48897 .48169 L
.4894 .48216 L
.49079 .48362 L
.49133 .48481 L
.49184 .48555 L
.49324 .48747 L
.49326 .4875 L
.49459 .4894 L
.49518 .49026 L
.49623 .49133 L
.49711 .49309 L
.49717 .49326 L
.49819 .49518 L
.49711 .49697 L
.49518 .49542 L
.49469 .49518 L
.49326 .49352 L
.49277 .49326 L
.49133 .49134 L
.49132 .49133 L
.48983 .4894 L
.4894 .48903 L
.48837 .48747 L
.48747 .48638 L
.48678 .48555 L
.48555 .48369 L
.48551 .48362 L
.48413 .48169 L
.48362 .48099 L
.48203 .47977 L
.48169 .47844 L
.48133 .47784 L
.48015 .47591 L
.47977 .47532 L
.47898 .47399 L
.47803 .47206 L
F
0 .73 1 r
.47977 .47109 m
.48061 .47206 L
.48169 .47294 L
.48265 .47399 L
.48362 .47507 L
.48488 .47591 L
.48555 .47741 L
.48598 .47784 L
.48747 .47977 L
.48747 .47977 L
.48894 .48169 L
.4894 .48219 L
.49077 .48362 L
.49133 .48485 L
.49182 .48555 L
.49321 .48747 L
.49326 .48754 L
.49456 .4894 L
.49518 .4903 L
.49619 .49133 L
.49711 .49321 L
.49713 .49326 L
.49813 .49518 L
.49711 .49688 L
.49518 .49539 L
.49475 .49518 L
.49326 .49349 L
.49282 .49326 L
.49135 .49133 L
.49133 .4913 L
.48986 .4894 L
.4894 .489 L
.48839 .48747 L
.48747 .48634 L
.4868 .48555 L
.48555 .48366 L
.48553 .48362 L
.48416 .48169 L
.48362 .48096 L
.48206 .47977 L
.48169 .47839 L
.48137 .47784 L
.48019 .47591 L
.47977 .47525 L
.47903 .47399 L
.47813 .47206 L
F
0 .72 1 r
.47977 .4712 m
.4805 .47206 L
.48169 .473 L
.48259 .47399 L
.48362 .47512 L
.48483 .47591 L
.48555 .47744 L
.48595 .47784 L
.48744 .47977 L
.48747 .47977 L
.48892 .48169 L
.4894 .48222 L
.49075 .48362 L
.49133 .48488 L
.4918 .48555 L
.49318 .48747 L
.49326 .48758 L
.49454 .4894 L
.49518 .49034 L
.49616 .49133 L
.49708 .49326 L
.49711 .4933 L
.49807 .49518 L
.49711 .49679 L
.49518 .49536 L
.49481 .49518 L
.49326 .49346 L
.49287 .49326 L
.49138 .49133 L
.49133 .49127 L
.48988 .4894 L
.4894 .48898 L
.48841 .48747 L
.48747 .48631 L
.48683 .48555 L
.48555 .48362 L
.48555 .48362 L
.48418 .48169 L
.48362 .48092 L
.48209 .47977 L
.48169 .47833 L
.4814 .47784 L
.48023 .47591 L
.47977 .47519 L
.47907 .47399 L
.47823 .47206 L
F
0 .71 1 r
.47977 .47133 m
.48039 .47206 L
.48169 .47307 L
.48253 .47399 L
.48362 .47517 L
.48478 .47591 L
.48555 .47748 L
.48591 .47784 L
.48741 .47977 L
.48747 .47978 L
.48889 .48169 L
.4894 .48225 L
.49073 .48362 L
.49133 .48492 L
.49177 .48555 L
.49316 .48747 L
.49326 .48761 L
.49451 .4894 L
.49518 .49039 L
.49612 .49133 L
.49704 .49326 L
.49711 .49338 L
.498 .49518 L
.49711 .49669 L
.49518 .49533 L
.49487 .49518 L
.49326 .49343 L
.49292 .49326 L
.49142 .49133 L
.49133 .49123 L
.48991 .4894 L
.4894 .48895 L
.48844 .48747 L
.48747 .48628 L
.48685 .48555 L
.48557 .48362 L
.48555 .48359 L
.4842 .48169 L
.48362 .48089 L
.48212 .47977 L
.48169 .47827 L
.48144 .47784 L
.48026 .47591 L
.47977 .47512 L
.47912 .47399 L
.47835 .47206 L
F
1 .21 0 r
.47977 .47967 m
.47985 .47977 L
.48145 .48169 L
.48169 .48198 L
.48289 .48362 L
.48362 .48458 L
.48426 .48555 L
.48362 .48704 L
.48242 .48555 L
.48169 .48469 L
.48092 .48362 L
.47977 .48208 L
.47951 .48169 L
.47835 .47977 L
F
1 .2 0 r
.47977 .47973 m
.47979 .47977 L
.4814 .48169 L
.48169 .48204 L
.48284 .48362 L
.48362 .48464 L
.48421 .48555 L
.48362 .48697 L
.48247 .48555 L
.48169 .48464 L
.48096 .48362 L
.47977 .48202 L
.47955 .48169 L
.47843 .47977 L
F
0 .7 1 r
.47977 .47147 m
.48028 .47206 L
.48169 .47313 L
.48247 .47399 L
.48362 .47523 L
.48472 .47591 L
.48555 .47752 L
.48588 .47784 L
.48738 .47977 L
.48747 .47978 L
.48886 .48169 L
.4894 .48228 L
.4907 .48362 L
.49133 .48495 L
.49175 .48555 L
.49313 .48747 L
.49326 .48765 L
.49448 .4894 L
.49518 .49043 L
.49608 .49133 L
.497 .49326 L
.49711 .49346 L
.49794 .49518 L
.49711 .4966 L
.49518 .4953 L
.49493 .49518 L
.49326 .4934 L
.49298 .49326 L
.49145 .49133 L
.49133 .49119 L
.48994 .4894 L
.4894 .48893 L
.48846 .48747 L
.48747 .48625 L
.48688 .48555 L
.48559 .48362 L
.48555 .48356 L
.48423 .48169 L
.48362 .48085 L
.48215 .47977 L
.48169 .47821 L
.48148 .47784 L
.4803 .47591 L
.47977 .47504 L
.47918 .47399 L
.47848 .47206 L
F
0 .69 1 r
.47977 .47163 m
.48015 .47206 L
.48169 .4732 L
.48241 .47399 L
.48362 .47528 L
.48467 .47591 L
.48555 .47756 L
.48584 .47784 L
.48735 .47977 L
.48747 .47979 L
.48883 .48169 L
.4894 .48231 L
.49068 .48362 L
.49133 .48499 L
.49172 .48555 L
.4931 .48747 L
.49326 .48769 L
.49445 .4894 L
.49518 .49048 L
.49604 .49133 L
.49695 .49326 L
.49711 .49354 L
.49787 .49518 L
.49711 .4965 L
.49518 .49527 L
.49499 .49518 L
.49326 .49337 L
.49303 .49326 L
.49148 .49133 L
.49133 .49115 L
.48997 .4894 L
.4894 .4889 L
.48849 .48747 L
.48747 .48622 L
.4869 .48555 L
.48562 .48362 L
.48555 .48353 L
.48425 .48169 L
.48362 .48082 L
.48218 .47977 L
.48169 .47814 L
.48151 .47784 L
.48034 .47591 L
.47977 .47497 L
.47923 .47399 L
.47863 .47206 L
F
0 .68 1 r
.47977 .4718 m
.48 .47206 L
.48169 .47327 L
.48235 .47399 L
.48362 .47533 L
.4846 .47591 L
.48555 .4776 L
.48581 .47784 L
.48732 .47977 L
.48747 .4798 L
.4888 .48169 L
.4894 .48234 L
.49066 .48362 L
.49133 .48503 L
.4917 .48555 L
.49307 .48747 L
.49326 .48773 L
.49442 .4894 L
.49518 .49053 L
.496 .49133 L
.4969 .49326 L
.49711 .49363 L
.4978 .49518 L
.49711 .49639 L
.49518 .49524 L
.49506 .49518 L
.49326 .49334 L
.49309 .49326 L
.49152 .49133 L
.49133 .49111 L
.48999 .4894 L
.4894 .48887 L
.48851 .48747 L
.48747 .48618 L
.48693 .48555 L
.48564 .48362 L
.48555 .48349 L
.48428 .48169 L
.48362 .48078 L
.48222 .47977 L
.48169 .47808 L
.48155 .47784 L
.48038 .47591 L
.47977 .47489 L
.47928 .47399 L
.4788 .47206 L
F
0 .67 1 r
.47977 .472 m
.47983 .47206 L
.48169 .47333 L
.48229 .47399 L
.48362 .47538 L
.48454 .47591 L
.48555 .47764 L
.48577 .47784 L
.48728 .47977 L
.48747 .4798 L
.48877 .48169 L
.4894 .48237 L
.49063 .48362 L
.49133 .48506 L
.49167 .48555 L
.49304 .48747 L
.49326 .48777 L
.49439 .4894 L
.49518 .49057 L
.49596 .49133 L
.49686 .49326 L
.49711 .49373 L
.49773 .49518 L
.49711 .49628 L
.49518 .49521 L
.49513 .49518 L
.49326 .49331 L
.49315 .49326 L
.49155 .49133 L
.49133 .49107 L
.49002 .4894 L
.4894 .48884 L
.48854 .48747 L
.48747 .48615 L
.48696 .48555 L
.48567 .48362 L
.48555 .48346 L
.4843 .48169 L
.48362 .48074 L
.48225 .47977 L
.48169 .47801 L
.48159 .47784 L
.48042 .47591 L
.47977 .47481 L
.47933 .47399 L
.47905 .47206 L
F
1 .7 0 r
.47977 .42067 m
.48083 .42196 L
.48169 .4229 L
.48247 .42389 L
.48362 .42523 L
.48407 .42581 L
.48555 .42757 L
.48564 .42774 L
.48713 .42967 L
.48747 .43008 L
.48862 .43159 L
.4894 .43255 L
.49012 .43352 L
.49133 .4349 L
.49163 .43545 L
.49309 .43737 L
.49326 .43758 L
.49453 .4393 L
.49518 .44013 L
.49599 .44123 L
.49711 .44251 L
.49788 .44316 L
.4989 .44508 L
.49904 .44525 L
.50031 .44701 L
.50096 .44785 L
.50175 .44894 L
.50289 .45029 L
.5035 .45086 L
.50462 .45279 L
.50482 .45305 L
.50601 .45472 L
.50674 .45568 L
.50743 .45664 L
.50867 .4582 L
.50904 .45857 L
.51025 .4605 L
.5106 .46095 L
.51163 .46242 L
.51253 .46361 L
.51304 .46435 L
.51445 .46625 L
.51448 .46628 L
.51581 .46821 L
.51638 .46896 L
.51718 .47013 L
.51831 .47165 L
.51858 .47206 L
.51994 .47399 L
.52023 .47438 L
.52126 .47591 L
.52216 .47714 L
.52262 .47784 L
.52398 .47977 L
.52409 .47991 L
.52522 .48169 L
.52601 .48281 L
.5265 .48362 L
.52601 .48532 L
.5246 .48362 L
.52409 .48306 L
.52299 .48169 L
.52216 .48072 L
.5214 .47977 L
.52023 .47859 L
.51985 .47784 L
.51833 .47591 L
.51831 .47589 L
.51684 .47399 L
.51638 .47341 L
.51534 .47206 L
.51445 .47122 L
.51384 .47013 L
.51253 .46843 L
.51231 .46821 L
.51092 .46628 L
.5106 .46587 L
.50946 .46435 L
.50867 .46359 L
.508 .46242 L
.50674 .46078 L
.5065 .4605 L
.50513 .45857 L
.50482 .45816 L
.5037 .45664 L
.50289 .45582 L
.50153 .45472 L
.50096 .45298 L
.50081 .45279 L
.49944 .45086 L
.49904 .45033 L
.49802 .44894 L
.49711 .44793 L
.49613 .44701 L
.4952 .44508 L
.49518 .44506 L
.49383 .44316 L
.49326 .44238 L
.49243 .44123 L
.49133 .43987 L
.49078 .4393 L
.48967 .43737 L
.4894 .43701 L
.48832 .43545 L
.48747 .43429 L
.48694 .43352 L
.48557 .43159 L
.48555 .43156 L
.48428 .42967 L
.48362 .42875 L
.48295 .42774 L
.48169 .42594 L
.48161 .42581 L
.48039 .42389 L
.47977 .42298 L
.47916 .42196 L
F
1 .94 0 r
.47977 .50507 m
.48168 .50674 L
.48169 .50676 L
.48334 .50867 L
.48362 .50902 L
.48483 .5106 L
.48555 .51154 L
.48625 .51253 L
.48747 .51407 L
.48765 .51445 L
.48899 .51638 L
.4894 .51697 L
.49029 .51831 L
.49133 .51975 L
.49159 .52023 L
.4929 .52216 L
.49326 .52267 L
.49423 .52409 L
.49518 .5254 L
.49587 .52601 L
.49696 .52794 L
.49711 .52814 L
.49839 .52987 L
.49904 .53062 L
.49985 .53179 L
.50096 .53328 L
.50131 .53372 L
.50277 .53565 L
.50289 .53566 L
.50428 .53758 L
.50482 .53825 L
.50615 .5395 L
.50674 .54083 L
.50712 .54143 L
.50867 .54331 L
.50874 .54336 L
.51023 .54528 L
.5106 .54575 L
.51193 .54721 L
.51253 .54836 L
.51302 .54914 L
.51445 .55091 L
.51465 .55106 L
.5161 .55299 L
.51638 .55335 L
.51772 .55492 L
.51831 .55597 L
.51886 .55684 L
.52023 .55857 L
.52045 .55877 L
.52188 .5607 L
.52216 .56105 L
.52344 .56263 L
.52409 .5637 L
.5246 .56455 L
.52601 .56632 L
.52618 .56648 L
.5276 .56841 L
.52794 .56884 L
.52911 .57033 L
.52987 .57152 L
.53029 .57226 L
.53179 .57412 L
.53186 .57419 L
.53327 .57611 L
.53372 .57669 L
.53474 .57804 L
.53565 .57938 L
.53594 .57997 L
.5375 .58189 L
.53758 .58195 L
.53942 .58382 L
.5395 .58459 L
.54035 .58575 L
.54143 .5873 L
.54159 .58768 L
.5431 .5896 L
.54336 .58981 L
.54496 .59153 L
.54528 .59255 L
.54592 .59346 L
.54721 .59528 L
.54724 .59538 L
.54866 .59731 L
.54914 .59774 L
.55044 .59924 L
.55106 .6006 L
.55144 .60116 L
.55279 .60309 L
.55299 .60336 L
.55416 .60502 L
.55492 .60583 L
.55582 .60694 L
.55684 .6088 L
.55689 .60887 L
.55821 .6108 L
.55877 .61159 L
.55955 .61273 L
.5607 .61426 L
.56099 .61465 L
.56217 .61658 L
.56263 .61724 L
.56345 .61851 L
.56455 .62015 L
.56474 .62043 L
.56591 .62236 L
.56648 .62325 L
.56705 .62429 L
.56648 .62564 L
.56525 .62429 L
.56455 .62358 L
.56353 .62236 L
.56263 .62136 L
.56188 .62043 L
.5607 .61923 L
.56027 .61851 L
.55877 .61668 L
.55865 .61658 L
.55718 .61465 L
.55684 .61424 L
.55568 .61273 L
.55492 .61199 L
.55416 .6108 L
.55299 .60934 L
.55253 .60887 L
.55118 .60694 L
.55106 .6068 L
.54973 .60502 L
.54914 .60444 L
.54826 .60309 L
.54721 .60176 L
.54666 .60116 L
.54533 .59924 L
.54528 .59917 L
.54391 .59731 L
.54336 .59676 L
.54174 .59538 L
.54143 .59406 L
.54091 .59346 L
.53957 .59153 L
.5395 .59144 L
.53816 .5896 L
.53758 .58901 L
.53615 .58768 L
.53565 .58628 L
.53521 .58575 L
.53386 .58382 L
.53372 .58364 L
.53246 .58189 L
.53179 .58119 L
.53057 .57997 L
.52987 .57845 L
.52955 .57804 L
.52819 .57611 L
.52794 .57579 L
.52679 .57419 L
.52601 .57334 L
.525 .57226 L
.52409 .57056 L
.52391 .57033 L
.52255 .56841 L
.52216 .5679 L
.52115 .56648 L
.52023 .56543 L
.51945 .56455 L
.51831 .56264 L
.5183 .56263 L
.51693 .5607 L
.51638 .55998 L
.51553 .55877 L
.51445 .55747 L
.51392 .55684 L
.5127 .55492 L
.51253 .55468 L
.51134 .55299 L
.5106 .55201 L
.50994 .55106 L
.50867 .54943 L
.50843 .54914 L
.50715 .54721 L
.50674 .54668 L
.50578 .54528 L
.50482 .54399 L
.50438 .54336 L
.50297 .54143 L
.50289 .54132 L
.50165 .5395 L
.50096 .53859 L
.50028 .53758 L
.49904 .53605 L
.49868 .53565 L
.49755 .53372 L
.49711 .53313 L
.49622 .53179 L
.49518 .53037 L
.49485 .52987 L
.4935 .52794 L
.49326 .52761 L
.49221 .52601 L
.49133 .5248 L
.49086 .52409 L
.48949 .52216 L
.4894 .52203 L
.4882 .52023 L
.48747 .51923 L
.48686 .51831 L
.48555 .51649 L
.48549 .51638 L
.48417 .51445 L
.48362 .51367 L
.48285 .51253 L
.48169 .51096 L
.48155 .5106 L
.48031 .50867 L
.47977 .50778 L
.4792 .50674 L
F
1 .63 0 r
.47977 .52247 m
.48106 .52409 L
.48169 .52482 L
.48263 .52601 L
.48362 .52722 L
.48418 .52794 L
.48555 .52955 L
.48571 .52987 L
.48718 .53179 L
.48747 .53216 L
.48866 .53372 L
.4894 .53466 L
.49014 .53565 L
.49133 .53701 L
.49162 .53758 L
.49306 .5395 L
.49326 .53975 L
.49449 .54143 L
.49518 .54232 L
.49594 .54336 L
.49711 .54474 L
.4978 .54528 L
.4988 .54721 L
.49904 .54752 L
.5002 .54914 L
.50096 .55015 L
.50162 .55106 L
.50289 .55269 L
.50322 .55299 L
.50441 .55492 L
.50482 .55546 L
.50579 .55684 L
.50674 .55814 L
.50719 .55877 L
.50856 .5607 L
.50867 .56084 L
.50988 .56263 L
.5106 .56361 L
.51123 .56455 L
.51253 .56637 L
.5126 .56648 L
.51384 .56841 L
.51445 .56927 L
.5151 .57033 L
.51638 .57223 L
.51639 .57226 L
.51638 .57367 L
.51518 .57226 L
.51445 .57153 L
.51352 .57033 L
.51253 .56922 L
.51191 .56841 L
.5106 .56684 L
.51033 .56648 L
.50881 .56455 L
.50867 .56439 L
.50735 .56263 L
.50674 .5619 L
.50586 .5607 L
.50482 .55939 L
.50436 .55877 L
.50289 .55689 L
.50284 .55684 L
.50146 .55492 L
.50096 .5543 L
.50002 .55299 L
.49904 .55173 L
.49856 .55106 L
.49711 .54916 L
.49708 .54914 L
.49572 .54721 L
.49518 .54653 L
.4943 .54528 L
.49326 .54391 L
.49287 .54336 L
.49144 .54143 L
.49133 .54128 L
.49009 .5395 L
.4894 .53861 L
.48869 .53758 L
.48747 .53595 L
.48727 .53565 L
.48591 .53372 L
.48555 .53325 L
.48457 .53179 L
.48362 .53052 L
.48319 .52987 L
.48181 .52794 L
.48169 .52779 L
.48055 .52601 L
.47977 .52495 L
.47924 .52409 L
F
1 .69 0 r
.47977 .42088 m
.48067 .42196 L
.48169 .42305 L
.48236 .42389 L
.48362 .42534 L
.48398 .42581 L
.48555 .42771 L
.48556 .42774 L
.48705 .42967 L
.48747 .43017 L
.48855 .43159 L
.4894 .43263 L
.49006 .43352 L
.49133 .43499 L
.49157 .43545 L
.49304 .43737 L
.49326 .43765 L
.49448 .4393 L
.49518 .44019 L
.49594 .44123 L
.49711 .44259 L
.49779 .44316 L
.49886 .44508 L
.49904 .44531 L
.50027 .44701 L
.50096 .44791 L
.50171 .44894 L
.50289 .45036 L
.50343 .45086 L
.50457 .45279 L
.50482 .45311 L
.50597 .45472 L
.50674 .45573 L
.50739 .45664 L
.50867 .45827 L
.50897 .45857 L
.51021 .4605 L
.5106 .46101 L
.51159 .46242 L
.51253 .46367 L
.513 .46435 L
.51442 .46628 L
.51445 .46632 L
.51576 .46821 L
.51638 .46903 L
.51713 .47013 L
.51831 .47172 L
.51853 .47206 L
.51988 .47399 L
.52023 .47446 L
.52119 .47591 L
.52216 .47723 L
.52256 .47784 L
.5239 .47977 L
.52409 .48003 L
.52512 .48169 L
.52601 .48295 L
.5264 .48362 L
.52601 .48514 L
.52473 .48362 L
.52409 .48292 L
.52309 .48169 L
.52216 .4806 L
.52149 .47977 L
.52023 .47845 L
.51993 .47784 L
.51841 .47591 L
.51831 .47579 L
.51691 .47399 L
.51638 .47333 L
.5154 .47206 L
.51445 .47113 L
.5139 .47013 L
.51253 .46835 L
.51239 .46821 L
.51098 .46628 L
.5106 .46579 L
.50952 .46435 L
.50867 .46352 L
.50805 .46242 L
.50674 .4607 L
.50656 .4605 L
.50518 .45857 L
.50482 .4581 L
.50375 .45664 L
.50289 .45575 L
.50161 .45472 L
.50096 .45291 L
.50087 .45279 L
.49949 .45086 L
.49904 .45027 L
.49807 .44894 L
.49711 .44785 L
.4962 .44701 L
.49525 .44508 L
.49518 .44499 L
.49388 .44316 L
.49326 .44231 L
.49248 .44123 L
.49133 .43978 L
.49087 .4393 L
.48973 .43737 L
.4894 .43693 L
.48837 .43545 L
.48747 .43421 L
.487 .43352 L
.48565 .43159 L
.48555 .43146 L
.48435 .42967 L
.48362 .42864 L
.48303 .42774 L
.48169 .42581 L
.48169 .42581 L
.48052 .42389 L
.47977 .42278 L
.4793 .42196 L
F
1 .62 0 r
.47977 .52262 m
.48094 .52409 L
.48169 .52494 L
.48254 .52601 L
.48362 .52732 L
.4841 .52794 L
.48555 .52969 L
.48563 .52987 L
.48711 .53179 L
.48747 .53224 L
.48859 .53372 L
.4894 .53475 L
.49008 .53565 L
.49133 .53712 L
.49156 .53758 L
.493 .5395 L
.49326 .53983 L
.49444 .54143 L
.49518 .5424 L
.49589 .54336 L
.49711 .54484 L
.49768 .54528 L
.49874 .54721 L
.49904 .5476 L
.50014 .54914 L
.50096 .55022 L
.50157 .55106 L
.50289 .5528 L
.5031 .55299 L
.50435 .55492 L
.50482 .55554 L
.50573 .55684 L
.50674 .55822 L
.50713 .55877 L
.50849 .5607 L
.50867 .56094 L
.50981 .56263 L
.5106 .56371 L
.51116 .56455 L
.51252 .56648 L
.51253 .56649 L
.51373 .56841 L
.51445 .56943 L
.51499 .57033 L
.51445 .57136 L
.51365 .57033 L
.51253 .56909 L
.512 .56841 L
.5106 .56674 L
.5104 .56648 L
.50889 .56455 L
.50867 .5643 L
.50742 .56263 L
.50674 .56181 L
.50592 .5607 L
.50482 .55932 L
.50442 .55877 L
.50293 .55684 L
.50289 .5568 L
.50152 .55492 L
.50096 .55423 L
.50007 .55299 L
.49904 .55166 L
.49861 .55106 L
.49715 .54914 L
.49711 .54909 L
.49577 .54721 L
.49518 .54646 L
.49435 .54528 L
.49326 .54385 L
.49291 .54336 L
.4915 .54143 L
.49133 .54121 L
.49014 .5395 L
.4894 .53854 L
.48874 .53758 L
.48747 .53588 L
.48731 .53565 L
.48597 .53372 L
.48555 .53317 L
.48463 .53179 L
.48362 .53044 L
.48325 .52987 L
.48189 .52794 L
.48169 .52768 L
.48064 .52601 L
.47977 .52482 L
.47932 .52409 L
F
0 .83 1 r
.47977 .41262 m
.48128 .41425 L
.48169 .41467 L
.48299 .41618 L
.48362 .41687 L
.48464 .41811 L
.48555 .41882 L
.48625 .42003 L
.48747 .42148 L
.48808 .42196 L
.48936 .42389 L
.4894 .42394 L
.49087 .42581 L
.49133 .42615 L
.49238 .42774 L
.49326 .4288 L
.49418 .42967 L
.49518 .43135 L
.49537 .43159 L
.49684 .43352 L
.49711 .43372 L
.49831 .43545 L
.49904 .43634 L
.50001 .43737 L
.50096 .43895 L
.50121 .4393 L
.50268 .44123 L
.50289 .4414 L
.50412 .44316 L
.50482 .44402 L
.50575 .44508 L
.50674 .44666 L
.50698 .44701 L
.50844 .44894 L
.50867 .44913 L
.50987 .45086 L
.5106 .45178 L
.51145 .45279 L
.51253 .45444 L
.51269 .45472 L
.51415 .45664 L
.51445 .4569 L
.51625 .45857 L
.51638 .45959 L
.51711 .4605 L
.51831 .46227 L
.51839 .46242 L
.51983 .46435 L
.52023 .46472 L
.5218 .46628 L
.52216 .46746 L
.52274 .46821 L
.52408 .47013 L
.52409 .47014 L
.52547 .47206 L
.52601 .47258 L
.52735 .47399 L
.52794 .47536 L
.52836 .47591 L
.52971 .47784 L
.52987 .47805 L
.53109 .47977 L
.53179 .48049 L
.53288 .48169 L
.53372 .48331 L
.53395 .48362 L
.5353 .48555 L
.53565 .48601 L
.53669 .48747 L
.53758 .48847 L
.53837 .4894 L
.5395 .49132 L
.53951 .49133 L
.54086 .49326 L
.54143 .49401 L
.54225 .49518 L
.54336 .49655 L
.54381 .49711 L
.54503 .49904 L
.54528 .49938 L
.54637 .50096 L
.54721 .5021 L
.54775 .50289 L
.54914 .50479 L
.54916 .50482 L
.55046 .50674 L
.55106 .50757 L
.5518 .50867 L
.55299 .51033 L
.55317 .5106 L
.55446 .51253 L
.55492 .51316 L
.55574 .51445 L
.55684 .51604 L
.55706 .51638 L
.55826 .51831 L
.55877 .51908 L
.55939 .52023 L
.55877 .52141 L
.55768 .52023 L
.55684 .51936 L
.55593 .51831 L
.55492 .51771 L
.55426 .51638 L
.55299 .5149 L
.55227 .51445 L
.55109 .51253 L
.55106 .51249 L
.54954 .5106 L
.54914 .51037 L
.548 .50867 L
.54721 .50772 L
.54611 .50674 L
.54528 .50519 L
.54499 .50482 L
.54348 .50289 L
.54336 .50281 L
.54199 .50096 L
.54143 .50026 L
.54027 .49904 L
.5395 .49768 L
.53911 .49711 L
.53758 .49518 L
.53757 .49518 L
.53611 .49326 L
.53565 .49267 L
.5345 .49133 L
.53372 .49005 L
.53331 .4894 L
.53179 .48751 L
.53176 .48747 L
.53031 .48555 L
.52987 .48497 L
.52877 .48362 L
.52794 .48232 L
.52758 .48169 L
.52601 .47977 L
.52601 .47977 L
.52458 .47784 L
.52409 .4772 L
.52309 .47591 L
.52216 .47453 L
.52187 .47399 L
.52031 .47206 L
.52023 .47199 L
.5184 .47013 L
.51831 .46937 L
.51743 .46821 L
.51638 .4667 L
.51619 .46628 L
.51464 .46435 L
.51445 .46417 L
.51281 .46242 L
.51253 .4615 L
.5118 .4605 L
.5106 .45882 L
.51051 .45857 L
.50901 .45664 L
.50867 .45632 L
.50724 .45472 L
.50674 .45359 L
.50619 .45279 L
.50482 .4509 L
.50481 .45086 L
.50341 .44894 L
.50289 .44841 L
.5017 .44701 L
.50096 .44562 L
.50061 .44508 L
.49922 .44316 L
.49904 .44291 L
.49784 .44123 L
.49711 .44042 L
.4962 .4393 L
.49518 .43756 L
.49506 .43737 L
.4937 .43545 L
.49326 .43483 L
.49233 .43352 L
.49133 .43228 L
.4908 .43159 L
.4896 .42967 L
.4894 .42939 L
.48827 .42774 L
.48747 .42663 L
.48692 .42581 L
.48557 .42389 L
.48555 .42386 L
.48429 .42196 L
.48362 .421 L
.48299 .42003 L
.48169 .41813 L
.48166 .41811 L
.48052 .41618 L
.47977 .41503 L
.47933 .41425 L
F
0 .31 1 r
.47977 .53103 m
.48029 .53179 L
.48169 .53357 L
.4818 .53372 L
.48169 .53502 L
.48086 .53372 L
.47977 .53242 L
.47937 .53179 L
F
0 .66 1 r
.47977 .47214 m
.48169 .47341 L
.48222 .47399 L
.48362 .47543 L
.48447 .47591 L
.48555 .47767 L
.48573 .47784 L
.48725 .47977 L
.48747 .47981 L
.48875 .48169 L
.4894 .48241 L
.4906 .48362 L
.49133 .4851 L
.49165 .48555 L
.49302 .48747 L
.49326 .48781 L
.49436 .4894 L
.49518 .49062 L
.49591 .49133 L
.49681 .49326 L
.49711 .49383 L
.49765 .49518 L
.49711 .49617 L
.4952 .49518 L
.49518 .49517 L
.49326 .49328 L
.49321 .49326 L
.49158 .49133 L
.49133 .49103 L
.49005 .4894 L
.4894 .48881 L
.48856 .48747 L
.48747 .48612 L
.48699 .48555 L
.48569 .48362 L
.48555 .48342 L
.48433 .48169 L
.48362 .48071 L
.48229 .47977 L
.48169 .47795 L
.48163 .47784 L
.48047 .47591 L
.47977 .47472 L
.47939 .47399 L
F
.47977 .42928 m
.48003 .42967 L
.48169 .43159 L
.4817 .43159 L
.48169 .43313 L
.48077 .43159 L
.47977 .43029 L
.47941 .42967 L
F
1 .61 0 r
.47977 .52279 m
.48081 .52409 L
.48169 .52507 L
.48244 .52601 L
.48362 .52743 L
.48402 .52794 L
.48555 .52985 L
.48556 .52987 L
.48703 .53179 L
.48747 .53233 L
.48852 .53372 L
.4894 .53483 L
.49002 .53565 L
.49133 .53723 L
.4915 .53758 L
.49294 .5395 L
.49326 .53991 L
.49438 .54143 L
.49518 .54247 L
.49583 .54336 L
.49711 .54495 L
.49755 .54528 L
.49868 .54721 L
.49904 .54767 L
.50009 .54914 L
.50096 .5503 L
.50151 .55106 L
.50289 .55291 L
.50298 .55299 L
.50429 .55492 L
.50482 .55562 L
.50567 .55684 L
.50674 .55831 L
.50707 .55877 L
.50842 .5607 L
.50867 .56104 L
.50973 .56263 L
.5106 .56382 L
.51109 .56455 L
.51242 .56648 L
.51253 .56663 L
.51361 .56841 L
.51445 .56962 L
.51485 .57033 L
.51445 .57116 L
.51379 .57033 L
.51253 .56896 L
.5121 .56841 L
.5106 .56663 L
.51048 .56648 L
.50898 .56455 L
.50867 .5642 L
.50749 .56263 L
.50674 .56173 L
.50599 .5607 L
.50482 .55924 L
.50447 .55877 L
.50299 .55684 L
.50289 .55672 L
.50157 .55492 L
.50096 .55416 L
.50013 .55299 L
.49904 .55159 L
.49866 .55106 L
.4972 .54914 L
.49711 .54902 L
.49582 .54721 L
.49518 .54639 L
.4944 .54528 L
.49326 .54378 L
.49296 .54336 L
.49155 .54143 L
.49133 .54114 L
.49019 .5395 L
.4894 .53847 L
.48879 .53758 L
.48747 .53581 L
.48736 .53565 L
.48603 .53372 L
.48555 .53308 L
.4847 .53179 L
.48362 .53035 L
.48331 .52987 L
.48197 .52794 L
.48169 .52757 L
.48073 .52601 L
.47977 .52468 L
.47942 .52409 L
F
0 .65 1 r
.47977 .47227 m
.48169 .47348 L
.48216 .47399 L
.48362 .47548 L
.48439 .47591 L
.48555 .47771 L
.48569 .47784 L
.48722 .47977 L
.48747 .47982 L
.48872 .48169 L
.4894 .48244 L
.49058 .48362 L
.49133 .48514 L
.49162 .48555 L
.49299 .48747 L
.49326 .48785 L
.49433 .4894 L
.49518 .49067 L
.49587 .49133 L
.49676 .49326 L
.49711 .49395 L
.49757 .49518 L
.49711 .49605 L
.49529 .49518 L
.49518 .49511 L
.49327 .49326 L
.49326 .49324 L
.49162 .49133 L
.49133 .491 L
.49008 .4894 L
.4894 .48878 L
.48859 .48747 L
.48747 .48608 L
.48701 .48555 L
.48572 .48362 L
.48555 .48339 L
.48436 .48169 L
.48362 .48067 L
.48233 .47977 L
.48169 .47788 L
.48167 .47784 L
.48051 .47591 L
.47977 .47463 L
.47945 .47399 L
F
1 .68 0 r
.47977 .42113 m
.48048 .42196 L
.48169 .4232 L
.48224 .42389 L
.48362 .42546 L
.48389 .42581 L
.48547 .42774 L
.48555 .42783 L
.48697 .42967 L
.48747 .43026 L
.48848 .43159 L
.4894 .43272 L
.49 .43352 L
.49133 .43509 L
.49152 .43545 L
.49298 .43737 L
.49326 .43772 L
.49443 .4393 L
.49518 .44026 L
.49589 .44123 L
.49711 .44267 L
.4977 .44316 L
.49881 .44508 L
.49904 .44537 L
.50022 .44701 L
.50096 .44796 L
.50166 .44894 L
.50289 .45043 L
.50335 .45086 L
.50453 .45279 L
.50482 .45316 L
.50592 .45472 L
.50674 .45579 L
.50735 .45664 L
.50867 .45835 L
.50889 .45857 L
.51016 .4605 L
.5106 .46107 L
.51154 .46242 L
.51253 .46373 L
.51296 .46435 L
.51437 .46628 L
.51445 .46639 L
.51571 .46821 L
.51638 .4691 L
.51708 .47013 L
.51831 .47179 L
.51849 .47206 L
.51981 .47399 L
.52023 .47455 L
.52113 .47591 L
.52216 .47733 L
.52249 .47784 L
.52381 .47977 L
.52409 .48015 L
.52502 .48169 L
.52601 .48312 L
.52629 .48362 L
.52601 .48493 L
.52489 .48362 L
.52409 .48277 L
.5232 .48169 L
.52216 .48048 L
.52158 .47977 L
.52023 .47829 L
.52001 .47784 L
.51849 .47591 L
.51831 .47569 L
.51698 .47399 L
.51638 .47324 L
.51547 .47206 L
.51445 .47104 L
.51397 .47013 L
.51253 .46826 L
.51247 .46821 L
.51104 .46628 L
.5106 .46572 L
.50957 .46435 L
.50867 .46345 L
.5081 .46242 L
.50674 .46063 L
.50663 .4605 L
.50523 .45857 L
.50482 .45803 L
.5038 .45664 L
.50289 .45568 L
.50169 .45472 L
.50096 .45284 L
.50092 .45279 L
.49954 .45086 L
.49904 .4502 L
.49812 .44894 L
.49711 .44777 L
.49629 .44701 L
.49531 .44508 L
.49518 .44492 L
.49393 .44316 L
.49326 .44224 L
.49254 .44123 L
.49133 .43968 L
.49097 .4393 L
.48979 .43737 L
.4894 .43685 L
.48844 .43545 L
.48747 .43412 L
.48706 .43352 L
.48572 .43159 L
.48555 .43136 L
.48443 .42967 L
.48362 .42853 L
.48311 .42774 L
.48181 .42581 L
.48169 .42566 L
.48065 .42389 L
.47977 .42255 L
.47946 .42196 L
F
0 .3 1 r
.47977 .53117 m
.48018 .53179 L
.48169 .53369 L
.48171 .53372 L
.48169 .53485 L
.48101 .53372 L
.47977 .53228 L
.47947 .53179 L
F
0 .64 1 r
.47977 .47241 m
.48169 .47356 L
.48209 .47399 L
.48362 .47553 L
.48431 .47591 L
.48555 .47775 L
.48565 .47784 L
.48719 .47977 L
.48747 .47983 L
.48869 .48169 L
.4894 .48247 L
.49055 .48362 L
.49133 .48517 L
.4916 .48555 L
.49296 .48747 L
.49326 .48789 L
.4943 .4894 L
.49518 .49072 L
.49582 .49133 L
.49671 .49326 L
.49711 .49407 L
.49749 .49518 L
.49711 .49592 L
.49539 .49518 L
.49518 .49504 L
.49332 .49326 L
.49326 .49319 L
.49165 .49133 L
.49133 .49096 L
.49011 .4894 L
.4894 .48875 L
.48861 .48747 L
.48747 .48605 L
.48704 .48555 L
.48575 .48362 L
.48555 .48336 L
.48438 .48169 L
.48362 .48063 L
.48237 .47977 L
.48171 .47784 L
.48169 .47781 L
.48055 .47591 L
.47977 .47453 L
.47951 .47399 L
F
1 .93 0 r
.47977 .45506 m
.48087 .45664 L
.48169 .45802 L
.48195 .45857 L
.48169 .45887 L
.48132 .45857 L
.47977 .457 L
.47951 .45664 L
F
1 .6 0 r
.47977 .52299 m
.48067 .52409 L
.48169 .52521 L
.48233 .52601 L
.48362 .52754 L
.48393 .52794 L
.48547 .52987 L
.48555 .52996 L
.48695 .53179 L
.48747 .53243 L
.48845 .53372 L
.4894 .53492 L
.48995 .53565 L
.49133 .53735 L
.49144 .53758 L
.49287 .5395 L
.49326 .53999 L
.49432 .54143 L
.49518 .54255 L
.49578 .54336 L
.49711 .54505 L
.49741 .54528 L
.49862 .54721 L
.49904 .54775 L
.50003 .54914 L
.50096 .55038 L
.50146 .55106 L
.50287 .55299 L
.50289 .55301 L
.50422 .55492 L
.50482 .55571 L
.50561 .55684 L
.50674 .5584 L
.507 .55877 L
.50834 .5607 L
.50867 .56115 L
.50965 .56263 L
.5106 .56393 L
.511 .56455 L
.5123 .56648 L
.51253 .56679 L
.51347 .56841 L
.51445 .56987 L
.51469 .57033 L
.51445 .57091 L
.51399 .57033 L
.51253 .56882 L
.51221 .56841 L
.5106 .56652 L
.51057 .56648 L
.50907 .56455 L
.50867 .56409 L
.50757 .56263 L
.50674 .56164 L
.50605 .5607 L
.50482 .55916 L
.50453 .55877 L
.50306 .55684 L
.50289 .55664 L
.50163 .55492 L
.50096 .55408 L
.50018 .55299 L
.49904 .55153 L
.49871 .55106 L
.49726 .54914 L
.49711 .54895 L
.49588 .54721 L
.49518 .54632 L
.49445 .54528 L
.49326 .54371 L
.49301 .54336 L
.49161 .54143 L
.49133 .54107 L
.49025 .5395 L
.4894 .53839 L
.48884 .53758 L
.48747 .53574 L
.48741 .53565 L
.4861 .53372 L
.48555 .53299 L
.48476 .53179 L
.48362 .53025 L
.48337 .52987 L
.48207 .52794 L
.48169 .52744 L
.48084 .52601 L
.47977 .52451 L
.47953 .52409 L
F
0 .82 1 r
.47977 .413 m
.48101 .41425 L
.48169 .4149 L
.48281 .41618 L
.48362 .41705 L
.4845 .41811 L
.48555 .41898 L
.48613 .42003 L
.48747 .42162 L
.48793 .42196 L
.48927 .42389 L
.4894 .42404 L
.49079 .42581 L
.49133 .42621 L
.49231 .42774 L
.49326 .42888 L
.4941 .42967 L
.49518 .43143 L
.49532 .43159 L
.49678 .43352 L
.49711 .43377 L
.49826 .43545 L
.49904 .4364 L
.49996 .43737 L
.50096 .43901 L
.50118 .4393 L
.50264 .44123 L
.50289 .44143 L
.50408 .44316 L
.50482 .44407 L
.50572 .44508 L
.50674 .44671 L
.50695 .44701 L
.50841 .44894 L
.50867 .44916 L
.50984 .45086 L
.5106 .45182 L
.51142 .45279 L
.51253 .45448 L
.51267 .45472 L
.51412 .45664 L
.51445 .45693 L
.51624 .45857 L
.51638 .45963 L
.51708 .4605 L
.51831 .4623 L
.51837 .46242 L
.5198 .46435 L
.52023 .46475 L
.52178 .46628 L
.52216 .46749 L
.52272 .46821 L
.52406 .47013 L
.52409 .47017 L
.52545 .47206 L
.52601 .47261 L
.52732 .47399 L
.52794 .4754 L
.52833 .47591 L
.52968 .47784 L
.52987 .47809 L
.53107 .47977 L
.53179 .48052 L
.53285 .48169 L
.53372 .48335 L
.53392 .48362 L
.53527 .48555 L
.53565 .48605 L
.53666 .48747 L
.53758 .48851 L
.53833 .4894 L
.53948 .49133 L
.5395 .49136 L
.54083 .49326 L
.54143 .49406 L
.54221 .49518 L
.54336 .49661 L
.54376 .49711 L
.54498 .49904 L
.54528 .49944 L
.54633 .50096 L
.54721 .50216 L
.54771 .50289 L
.5491 .50482 L
.54914 .50487 L
.5504 .50674 L
.55106 .50765 L
.55174 .50867 L
.55299 .51042 L
.55311 .5106 L
.55437 .51253 L
.55492 .51329 L
.55564 .51445 L
.55684 .5162 L
.55695 .51638 L
.55809 .51831 L
.55877 .51939 L
.55916 .52023 L
.55877 .52104 L
.55796 .52023 L
.55684 .51913 L
.55611 .51831 L
.55492 .51746 L
.55441 .51638 L
.55299 .51473 L
.55253 .51445 L
.55121 .51253 L
.55106 .51236 L
.54964 .5106 L
.54914 .51031 L
.54809 .50867 L
.54721 .50761 L
.5462 .50674 L
.54528 .5051 L
.54506 .50482 L
.54355 .50289 L
.54336 .50276 L
.54205 .50096 L
.54143 .50019 L
.54032 .49904 L
.5395 .49761 L
.53915 .49711 L
.53763 .49518 L
.53758 .49514 L
.53616 .49326 L
.53565 .49261 L
.53454 .49133 L
.53372 .48999 L
.53335 .4894 L
.5318 .48747 L
.53179 .48747 L
.53035 .48555 L
.52987 .48492 L
.52881 .48362 L
.52794 .48227 L
.5276 .48169 L
.52605 .47977 L
.52601 .47974 L
.52461 .47784 L
.52409 .47715 L
.52312 .47591 L
.52216 .47449 L
.5219 .47399 L
.52034 .47206 L
.52023 .47196 L
.51841 .47013 L
.51831 .46933 L
.51746 .46821 L
.51638 .46666 L
.51621 .46628 L
.51467 .46435 L
.51445 .46414 L
.51283 .46242 L
.51253 .46146 L
.51182 .4605 L
.5106 .45878 L
.51052 .45857 L
.50904 .45664 L
.50867 .45628 L
.50726 .45472 L
.50674 .45354 L
.50622 .45279 L
.50483 .45086 L
.50482 .45085 L
.50344 .44894 L
.50289 .44837 L
.50173 .44701 L
.50096 .44557 L
.50064 .44508 L
.49926 .44316 L
.49904 .44285 L
.49788 .44123 L
.49711 .44036 L
.49625 .4393 L
.49518 .4375 L
.4951 .43737 L
.49375 .43545 L
.49326 .43477 L
.49238 .43352 L
.49133 .43219 L
.49087 .43159 L
.48966 .42967 L
.4894 .42931 L
.48833 .42774 L
.48747 .42653 L
.48698 .42581 L
.48565 .42389 L
.48555 .42375 L
.48438 .42196 L
.48362 .42086 L
.48309 .42003 L
.48181 .41811 L
.48169 .41793 L
.48068 .41618 L
.47977 .41472 L
.47953 .41425 L
F
0 .99 1 r
.47977 .50029 m
.48169 .50013 L
.48362 .50017 L
.48507 .50096 L
.48555 .50143 L
.48663 .50289 L
.48747 .50394 L
.48832 .50482 L
.4894 .50656 L
.48954 .50674 L
.49092 .50867 L
.49133 .50899 L
.49232 .5106 L
.49326 .51171 L
.49393 .51253 L
.49518 .51445 L
.49518 .51445 L
.49655 .51638 L
.49711 .51712 L
.49852 .51831 L
.49904 .51957 L
.49948 .52023 L
.50077 .52216 L
.50096 .52241 L
.50214 .52409 L
.50289 .52512 L
.50377 .52601 L
.50482 .52774 L
.50491 .52794 L
.50652 .52987 L
.50674 .53069 L
.50742 .53179 L
.50841 .53372 L
.50867 .53414 L
.50944 .53565 L
.51045 .53758 L
.5106 .53802 L
.5118 .5395 L
.51253 .54051 L
.51327 .54143 L
.51445 .543 L
.51477 .54336 L
.5163 .54528 L
.51638 .54552 L
.51795 .54721 L
.51831 .54766 L
.51959 .54914 L
.52023 .54997 L
.52119 .55106 L
.52216 .55236 L
.52271 .55299 L
.52409 .55484 L
.52415 .55492 L
.52567 .55684 L
.52601 .55732 L
.52716 .55877 L
.52794 .55986 L
.5286 .5607 L
.52987 .56246 L
.53 .56263 L
.53131 .56455 L
.53179 .56521 L
.5323 .56648 L
.53372 .56813 L
.53431 .56841 L
.53565 .57028 L
.53569 .57033 L
.537 .57226 L
.53758 .57301 L
.53801 .57419 L
.5395 .5758 L
.53996 .57611 L
.54136 .57804 L
.54143 .57817 L
.54261 .57997 L
.54336 .5809 L
.54421 .58189 L
.54528 .58364 L
.5456 .58382 L
.547 .58575 L
.54721 .58607 L
.5482 .58768 L
.54914 .58881 L
.54984 .5896 L
.55106 .59146 L
.55123 .59153 L
.55263 .59346 L
.55299 .59398 L
.55378 .59538 L
.55492 .5967 L
.55548 .59731 L
.55684 .59923 L
.55686 .59924 L
.55825 .60116 L
.55877 .60189 L
.55936 .60309 L
.5607 .60459 L
.5611 .60502 L
.56258 .60694 L
.56263 .60712 L
.56386 .60887 L
.56455 .6098 L
.56496 .6108 L
.56648 .61248 L
.56672 .61273 L
.56826 .61465 L
.56841 .61502 L
.56947 .61658 L
.57033 .61772 L
.57056 .61851 L
.57226 .62036 L
.57233 .62043 L
.5739 .62236 L
.57419 .62295 L
.57506 .62429 L
.57611 .62566 L
.5762 .62621 L
.57792 .62814 L
.57804 .62824 L
.5795 .63007 L
.57997 .6309 L
.58064 .63199 L
.58189 .63363 L
.58212 .63392 L
.5835 .63585 L
.58382 .63613 L
.58506 .63778 L
.58575 .6389 L
.5862 .6397 L
.58766 .64163 L
.58768 .64165 L
.58902 .64356 L
.5896 .64413 L
.59057 .64548 L
.59153 .64702 L
.59174 .64741 L
.59313 .64934 L
.59346 .6498 L
.59448 .65126 L
.59538 .65234 L
.59595 .65319 L
.59717 .65512 L
.59731 .65532 L
.59847 .65704 L
.59924 .65814 L
.60031 .65897 L
.6011 .6609 L
.60116 .66099 L
.60234 .66283 L
.60309 .66395 L
.6036 .66475 L
.60482 .66668 L
.60502 .66699 L
.60592 .66861 L
.60694 .67036 L
.60703 .67053 L
.60694 .67208 L
.60527 .67053 L
.60502 .67031 L
.60351 .66861 L
.60309 .66817 L
.60184 .66668 L
.60116 .66621 L
.60022 .66475 L
.59924 .66359 L
.59796 .66283 L
.59731 .66116 L
.59704 .6609 L
.59554 .65897 L
.59538 .65885 L
.59402 .65704 L
.59346 .65636 L
.59203 .65512 L
.59153 .65383 L
.59097 .65319 L
.5896 .65135 L
.58956 .65126 L
.58803 .64934 L
.58768 .64889 L
.58624 .64741 L
.58575 .6463 L
.58511 .64548 L
.58382 .64373 L
.58377 .64356 L
.58218 .64163 L
.58189 .64126 L
.5805 .6397 L
.57997 .63863 L
.57934 .63778 L
.57804 .63602 L
.57785 .63585 L
.57643 .63392 L
.57611 .63352 L
.57481 .63199 L
.57419 .63086 L
.57364 .63007 L
.57226 .62825 L
.57213 .62814 L
.57072 .62621 L
.57033 .62571 L
.56914 .62429 L
.56841 .62304 L
.56796 .62236 L
.56648 .62046 L
.56645 .62043 L
.56504 .61851 L
.56455 .61787 L
.56349 .61658 L
.56263 .6152 L
.5623 .61465 L
.56078 .61273 L
.5607 .61264 L
.55887 .6108 L
.55877 .61001 L
.55786 .60887 L
.55684 .60734 L
.55664 .60694 L
.55513 .60502 L
.55492 .6048 L
.55327 .60309 L
.55299 .60214 L
.55223 .60116 L
.55106 .59947 L
.55096 .59924 L
.54949 .59731 L
.54914 .59695 L
.54767 .59538 L
.54721 .59425 L
.54661 .59346 L
.54528 .59159 L
.54526 .59153 L
.54385 .5896 L
.54336 .58908 L
.54208 .58768 L
.54143 .58636 L
.54098 .58575 L
.5396 .58382 L
.5395 .58381 L
.53822 .58189 L
.53758 .5812 L
.5365 .57997 L
.53565 .57845 L
.53536 .57804 L
.53397 .57611 L
.53372 .57605 L
.53258 .57419 L
.53179 .5733 L
.53092 .57226 L
.52987 .57054 L
.52973 .57033 L
.52835 .56841 L
.52794 .56825 L
.52695 .56648 L
.52601 .56539 L
.52533 .56455 L
.52409 .56263 L
.52409 .56261 L
.52272 .5607 L
.52216 .55996 L
.52132 .55877 L
.52023 .55747 L
.51974 .55684 L
.51848 .55492 L
.51831 .5547 L
.5171 .55299 L
.51638 .55204 L
.51569 .55106 L
.51445 .54953 L
.51414 .54914 L
.51286 .54721 L
.51253 .54677 L
.51149 .54528 L
.5106 .54412 L
.51007 .54336 L
.50867 .54153 L
.50859 .54143 L
.50727 .5395 L
.50674 .53882 L
.50589 .53758 L
.50482 .53638 L
.50447 .53565 L
.50306 .53372 L
.50289 .53356 L
.50171 .53179 L
.50096 .53082 L
.50006 .52987 L
.49904 .52813 L
.49889 .52794 L
.49735 .52601 L
.49711 .52546 L
.49609 .52409 L
.49518 .52279 L
.49479 .52216 L
.49331 .52023 L
.49326 .52013 L
.49195 .51831 L
.49133 .51745 L
.4907 .51638 L
.4894 .51478 L
.4891 .51445 L
.48771 .51253 L
.48747 .51219 L
.48645 .5106 L
.48555 .5095 L
.48533 .50867 L
.48362 .50687 L
.4835 .50674 L
.48214 .50482 L
.48169 .50422 L
.48087 .50289 L
.47977 .50137 L
.47954 .50096 L
F
0 .63 1 r
.47977 .47255 m
.48169 .47363 L
.48202 .47399 L
.48362 .47558 L
.48423 .47591 L
.48555 .47779 L
.48561 .47784 L
.48715 .47977 L
.48747 .47984 L
.48866 .48169 L
.4894 .48251 L
.49052 .48362 L
.49133 .48521 L
.49157 .48555 L
.49293 .48747 L
.49326 .48793 L
.49427 .4894 L
.49518 .49077 L
.49577 .49133 L
.49667 .49326 L
.49711 .49421 L
.4974 .49518 L
.49711 .49578 L
.4955 .49518 L
.49518 .49498 L
.49337 .49326 L
.49326 .49315 L
.49169 .49133 L
.49133 .49092 L
.49014 .4894 L
.4894 .48872 L
.48864 .48747 L
.48747 .48601 L
.48707 .48555 L
.48577 .48362 L
.48555 .48332 L
.48441 .48169 L
.48362 .48059 L
.48242 .47977 L
.48175 .47784 L
.48169 .47776 L
.48059 .47591 L
.47977 .47442 L
.47957 .47399 L
F
1 .94 0 r
.47977 .40476 m
.48166 .40654 L
.48169 .40658 L
.48344 .40847 L
.48362 .40865 L
.48514 .4104 L
.48555 .41085 L
.48679 .41232 L
.48747 .41307 L
.4884 .41425 L
.4894 .41551 L
.49006 .41618 L
.49133 .41793 L
.49145 .41811 L
.49304 .42003 L
.49326 .42029 L
.49456 .42196 L
.49518 .4228 L
.49609 .42389 L
.49711 .42536 L
.49736 .42581 L
.49902 .42774 L
.49904 .42777 L
.50082 .42967 L
.50096 .43033 L
.50193 .43159 L
.50289 .43297 L
.50314 .43352 L
.50482 .43544 L
.50485 .43545 L
.50652 .43737 L
.50674 .43801 L
.50769 .4393 L
.50867 .44068 L
.50885 .44123 L
.5106 .44315 L
.51061 .44316 L
.51221 .44508 L
.51253 .44577 L
.51339 .44701 L
.51445 .44845 L
.51454 .44894 L
.51632 .45086 L
.51638 .45094 L
.51789 .45279 L
.51831 .45359 L
.51906 .45472 L
.52023 .45626 L
.5206 .45664 L
.522 .45857 L
.52216 .45877 L
.52355 .4605 L
.52409 .46143 L
.52472 .46242 L
.52601 .46409 L
.52627 .46435 L
.52767 .46628 L
.52794 .46662 L
.52919 .46821 L
.52987 .46929 L
.53036 .47013 L
.53179 .47193 L
.53192 .47206 L
.53332 .47399 L
.53372 .47449 L
.53483 .47591 L
.53565 .47717 L
.53601 .47784 L
.53757 .47977 L
.53758 .47977 L
.53939 .48169 L
.5395 .48236 L
.54045 .48362 L
.54143 .48506 L
.54166 .48555 L
.5432 .48747 L
.54336 .4876 L
.54501 .4894 L
.54528 .49026 L
.54607 .49133 L
.54721 .49295 L
.54732 .49326 L
.54883 .49518 L
.54914 .49545 L
.55061 .49711 L
.55106 .49816 L
.55168 .49904 L
.55299 .50086 L
.55302 .50096 L
.55445 .50289 L
.55492 .50333 L
.55619 .50482 L
.55684 .50609 L
.55729 .50674 L
.55868 .50867 L
.55877 .50879 L
.56006 .5106 L
.5607 .51124 L
.56175 .51253 L
.56263 .51405 L
.56289 .51445 L
.56427 .51638 L
.56455 .51675 L
.56566 .51831 L
.56648 .5192 L
.56728 .52023 L
.56841 .52204 L
.56848 .52216 L
.56985 .52409 L
.57033 .52474 L
.57123 .52601 L
.57226 .52724 L
.57278 .52794 L
.57403 .52987 L
.57419 .53008 L
.57538 .53179 L
.57611 .53279 L
.5774 .53372 L
.57804 .5354 L
.57822 .53565 L
.5795 .53758 L
.57997 .5382 L
.58085 .5395 L
.58189 .54095 L
.58258 .54143 L
.58356 .54336 L
.58382 .54372 L
.58484 .54528 L
.58575 .54657 L
.58616 .54721 L
.58744 .54914 L
.58768 .54949 L
.58857 .55106 L
.5896 .55273 L
.58972 .55299 L
.5896 .55416 L
.58825 .55299 L
.58768 .55251 L
.58628 .55106 L
.58575 .55053 L
.58447 .54914 L
.58382 .54875 L
.58274 .54721 L
.58189 .54621 L
.58047 .54528 L
.57997 .54383 L
.57955 .54336 L
.57804 .54148 L
.57786 .54143 L
.57631 .5395 L
.57611 .53925 L
.57438 .53758 L
.57419 .53675 L
.57332 .53565 L
.57226 .53419 L
.57205 .53372 L
.57033 .53187 L
.57027 .53179 L
.56861 .52987 L
.56841 .5293 L
.56741 .52794 L
.56648 .52666 L
.56623 .52601 L
.56455 .52412 L
.56441 .52409 L
.56286 .52216 L
.56263 .52165 L
.56164 .52023 L
.5607 .51896 L
.56055 .51831 L
.55877 .51654 L
.55865 .51638 L
.55715 .51445 L
.55684 .51389 L
.55595 .51253 L
.55492 .51118 L
.55434 .5106 L
.55299 .50874 L
.55294 .50867 L
.55146 .50674 L
.55106 .50608 L
.55028 .50482 L
.54914 .50337 L
.54865 .50289 L
.54725 .50096 L
.54721 .50091 L
.54579 .49904 L
.54528 .49824 L
.54464 .49711 L
.54336 .49554 L
.54298 .49518 L
.54158 .49326 L
.54143 .49305 L
.54015 .49133 L
.5395 .49037 L
.539 .4894 L
.53758 .4877 L
.53732 .48747 L
.53572 .48555 L
.53565 .48519 L
.53451 .48362 L
.53372 .4825 L
.53337 .48169 L
.53179 .47987 L
.53168 .47977 L
.53005 .47784 L
.52987 .4773 L
.52888 .47591 L
.52794 .47461 L
.52773 .47399 L
.52604 .47206 L
.52601 .47203 L
.52441 .47013 L
.52409 .46941 L
.52326 .46821 L
.52216 .46672 L
.52207 .46628 L
.52041 .46435 L
.52023 .46417 L
.51878 .46242 L
.51831 .46151 L
.51764 .4605 L
.51638 .45882 L
.51638 .45857 L
.51479 .45664 L
.51445 .4563 L
.51318 .45472 L
.51253 .45358 L
.51203 .45279 L
.5106 .4509 L
.51057 .45086 L
.50918 .44894 L
.50867 .44839 L
.5076 .44701 L
.50674 .44564 L
.50642 .44508 L
.50498 .44316 L
.50482 .44294 L
.50359 .44123 L
.50289 .44044 L
.50204 .4393 L
.50096 .43764 L
.50082 .43737 L
.49941 .43545 L
.49904 .43494 L
.49738 .43352 L
.49711 .43242 L
.49652 .43159 L
.49524 .42967 L
.49518 .42959 L
.49389 .42774 L
.49326 .42687 L
.49199 .42581 L
.49133 .42425 L
.49108 .42389 L
.48979 .42196 L
.4894 .42143 L
.48845 .42003 L
.48747 .41905 L
.48678 .41811 L
.48576 .41618 L
.48555 .41589 L
.48448 .41425 L
.48362 .41302 L
.48318 .41232 L
.4819 .4104 L
.48169 .41009 L
.48075 .40847 L
.47977 .4069 L
.47958 .40654 L
F
0 .29 1 r
.47977 .53136 m
.48004 .53179 L
.47977 .53211 L
.47959 .53179 L
F
1 .19 0 r
.47977 .47981 m
.48134 .48169 L
.48169 .4821 L
.48279 .48362 L
.48362 .4847 L
.48417 .48555 L
.48362 .4869 L
.48252 .48555 L
.48169 .48458 L
.481 .48362 L
.47977 .48196 L
.47959 .48169 L
F
0 .86 1 r
.47977 .51449 m
.48144 .51638 L
.48169 .51665 L
.48308 .51831 L
.48362 .51893 L
.48468 .52023 L
.48555 .52128 L
.48626 .52216 L
.48747 .52363 L
.48815 .52409 L
.48931 .52601 L
.4894 .52612 L
.49083 .52794 L
.49133 .52816 L
.49235 .52987 L
.49326 .53098 L
.49416 .53179 L
.49518 .53355 L
.49531 .53372 L
.4968 .53565 L
.49711 .53582 L
.49829 .53758 L
.49904 .53851 L
.49998 .5395 L
.50096 .54112 L
.50117 .54143 L
.50266 .54336 L
.50289 .54351 L
.50412 .54528 L
.50482 .54616 L
.50573 .54721 L
.50674 .5488 L
.50695 .54914 L
.50844 .55106 L
.50867 .55123 L
.50988 .55299 L
.5106 .55391 L
.51142 .55492 L
.51253 .55657 L
.51268 .55684 L
.51415 .55877 L
.51445 .55901 L
.51558 .5607 L
.51638 .56174 L
.51707 .56263 L
.51831 .56442 L
.51837 .56455 L
.51981 .56648 L
.52023 .56685 L
.52184 .56841 L
.52216 .56965 L
.52267 .57033 L
.52402 .57226 L
.52409 .57235 L
.52541 .57419 L
.52601 .57478 L
.52728 .57611 L
.52794 .57765 L
.52822 .57804 L
.52957 .57997 L
.52987 .58038 L
.53094 .58189 L
.53179 .58285 L
.53265 .58382 L
.53369 .58575 L
.53372 .58579 L
.53503 .58768 L
.53565 .58854 L
.53638 .5896 L
.53758 .59119 L
.53785 .59153 L
.53904 .59346 L
.5395 .59411 L
.54035 .59538 L
.54143 .59696 L
.54166 .59731 L
.54289 .59924 L
.54336 .59992 L
.54409 .60116 L
.54528 .60305 L
.54531 .60309 L
.54528 .60468 L
.54375 .60309 L
.54336 .60271 L
.54204 .60116 L
.54143 .60051 L
.5404 .59924 L
.5395 .5982 L
.5388 .59731 L
.53758 .596 L
.53722 .59538 L
.53568 .59346 L
.53565 .59341 L
.5342 .59153 L
.53372 .59095 L
.5327 .5896 L
.53179 .58868 L
.5312 .58768 L
.52987 .58599 L
.52964 .58575 L
.52825 .58382 L
.52794 .58343 L
.5268 .58189 L
.52601 .58109 L
.52533 .57997 L
.52409 .57837 L
.5238 .57804 L
.52243 .57611 L
.52216 .57576 L
.52101 .57419 L
.52023 .57338 L
.51897 .57226 L
.51831 .57063 L
.51806 .57033 L
.5167 .56841 L
.51638 .568 L
.51528 .56648 L
.51445 .56558 L
.51339 .56455 L
.51253 .56281 L
.51238 .56263 L
.51101 .5607 L
.5106 .56016 L
.5096 .55877 L
.50867 .55771 L
.50784 .55684 L
.50674 .55492 L
.50674 .55492 L
.50537 .55299 L
.50482 .55226 L
.50397 .55106 L
.50289 .54977 L
.50232 .54914 L
.50114 .54721 L
.50096 .54698 L
.49977 .54528 L
.49904 .54431 L
.49837 .54336 L
.49711 .54173 L
.49685 .54143 L
.49559 .5395 L
.49518 .53896 L
.49422 .53758 L
.49326 .53627 L
.49282 .53565 L
.49143 .53372 L
.49133 .53359 L
.4901 .53179 L
.4894 .53085 L
.48874 .52987 L
.48747 .52828 L
.48735 .52794 L
.48604 .52601 L
.48555 .52534 L
.48473 .52409 L
.48362 .52254 L
.48338 .52216 L
.4821 .52023 L
.48169 .51966 L
.48088 .51831 L
.47977 .51668 L
.4796 .51638 L
F
0 .62 1 r
.47977 .47272 m
.48169 .47372 L
.48194 .47399 L
.48362 .47563 L
.48414 .47591 L
.48555 .47783 L
.48556 .47784 L
.48712 .47977 L
.48747 .47985 L
.48863 .48169 L
.4894 .48254 L
.49049 .48362 L
.49133 .48525 L
.49154 .48555 L
.4929 .48747 L
.49326 .48797 L
.49424 .4894 L
.49518 .49082 L
.49572 .49133 L
.49662 .49326 L
.49711 .49438 L
.49731 .49518 L
.49711 .49562 L
.49562 .49518 L
.49518 .49491 L
.49342 .49326 L
.49326 .4931 L
.49172 .49133 L
.49133 .49088 L
.49016 .4894 L
.4894 .48869 L
.48866 .48747 L
.48747 .48598 L
.4871 .48555 L
.4858 .48362 L
.48555 .48329 L
.48443 .48169 L
.48362 .48056 L
.48246 .47977 L
.48178 .47784 L
.48169 .47771 L
.48064 .47591 L
.47977 .4743 L
.47963 .47399 L
F
1 .18 0 r
.47977 .47989 m
.48128 .48169 L
.48169 .48216 L
.48274 .48362 L
.48362 .48477 L
.48412 .48555 L
.48362 .48683 L
.48258 .48555 L
.48169 .48452 L
.48105 .48362 L
.47977 .48189 L
.47964 .48169 L
F
1 .59 0 r
.47977 .52324 m
.48048 .52409 L
.48169 .52536 L
.48222 .52601 L
.48362 .52766 L
.48384 .52794 L
.48537 .52987 L
.48555 .53007 L
.48687 .53179 L
.48747 .53253 L
.48838 .53372 L
.4894 .535 L
.48989 .53565 L
.49133 .53748 L
.49138 .53758 L
.4928 .5395 L
.49326 .54007 L
.49426 .54143 L
.49518 .54263 L
.49572 .54336 L
.49711 .54517 L
.49726 .54528 L
.49856 .54721 L
.49904 .54783 L
.49997 .54914 L
.50096 .55046 L
.5014 .55106 L
.5028 .55299 L
.50289 .5531 L
.50416 .55492 L
.50482 .5558 L
.50554 .55684 L
.50674 .55849 L
.50694 .55877 L
.50825 .5607 L
.50867 .56126 L
.50957 .56263 L
.5106 .56406 L
.51092 .56455 L
.5106 .56639 L
.50918 .56455 L
.50867 .56398 L
.50766 .56263 L
.50674 .56154 L
.50612 .5607 L
.50482 .55908 L
.50459 .55877 L
.50313 .55684 L
.50289 .55656 L
.5017 .55492 L
.50096 .55401 L
.50024 .55299 L
.49904 .55146 L
.49876 .55106 L
.49732 .54914 L
.49711 .54887 L
.49593 .54721 L
.49518 .54625 L
.4945 .54528 L
.49326 .54364 L
.49305 .54336 L
.49167 .54143 L
.49133 .54099 L
.49031 .5395 L
.4894 .53832 L
.4889 .53758 L
.48747 .53566 L
.48747 .53565 L
.48617 .53372 L
.48555 .5329 L
.48483 .53179 L
.48362 .53015 L
.48344 .52987 L
.48217 .52794 L
.48169 .52729 L
.48095 .52601 L
.47977 .52431 L
.47965 .52409 L
F
1 .67 0 r
.47977 .42151 m
.4802 .42196 L
.48169 .42337 L
.48211 .42389 L
.48362 .42559 L
.48379 .42581 L
.48537 .42774 L
.48555 .42794 L
.48689 .42967 L
.48747 .43036 L
.48841 .43159 L
.4894 .4328 L
.48994 .43352 L
.49133 .43519 L
.49146 .43545 L
.49292 .43737 L
.49326 .43779 L
.49437 .4393 L
.49518 .44032 L
.49584 .44123 L
.49711 .44275 L
.4976 .44316 L
.49876 .44508 L
.49904 .44544 L
.50018 .44701 L
.50096 .44802 L
.50162 .44894 L
.50289 .45051 L
.50327 .45086 L
.50448 .45279 L
.50482 .45322 L
.50588 .45472 L
.50674 .45585 L
.50731 .45664 L
.50867 .45842 L
.50882 .45857 L
.51011 .4605 L
.5106 .46113 L
.5115 .46242 L
.51253 .46379 L
.51292 .46435 L
.51432 .46628 L
.51445 .46645 L
.51565 .46821 L
.51638 .46917 L
.51703 .47013 L
.51831 .47187 L
.51844 .47206 L
.51975 .47399 L
.52023 .47464 L
.52106 .47591 L
.52216 .47742 L
.52243 .47784 L
.52371 .47977 L
.52409 .4803 L
.52491 .48169 L
.52601 .48332 L
.52617 .48362 L
.52601 .48468 L
.52507 .48362 L
.52409 .48261 L
.52333 .48169 L
.52216 .48036 L
.52168 .47977 L
.52023 .47812 L
.5201 .47784 L
.51857 .47591 L
.51831 .4756 L
.51706 .47399 L
.51638 .47315 L
.51554 .47206 L
.51445 .47094 L
.51403 .47013 L
.51255 .46821 L
.51253 .46818 L
.51109 .46628 L
.5106 .46565 L
.50962 .46435 L
.50867 .46337 L
.50816 .46242 L
.50674 .46055 L
.5067 .4605 L
.50529 .45857 L
.50482 .45796 L
.50385 .45664 L
.50289 .45561 L
.50178 .45472 L
.50098 .45279 L
.50096 .45276 L
.49959 .45086 L
.49904 .45013 L
.49817 .44894 L
.49711 .44769 L
.49637 .44701 L
.49536 .44508 L
.49518 .44485 L
.49399 .44316 L
.49326 .44217 L
.49259 .44123 L
.49133 .43957 L
.49107 .4393 L
.48985 .43737 L
.4894 .43676 L
.4885 .43545 L
.48747 .43403 L
.48713 .43352 L
.4858 .43159 L
.48555 .43125 L
.48451 .42967 L
.48362 .4284 L
.48319 .42774 L
.48193 .42581 L
.48169 .42547 L
.48081 .42389 L
.47977 .42221 L
.47966 .42196 L
F
1 .17 0 r
.47977 .47997 m
.48122 .48169 L
.48169 .48223 L
.48269 .48362 L
.48362 .48484 L
.48407 .48555 L
.48362 .48675 L
.48264 .48555 L
.48169 .48445 L
.4811 .48362 L
.47977 .48183 L
.47968 .48169 L
F
0 .61 1 r
.47977 .47292 m
.48169 .4738 L
.48187 .47399 L
.48362 .47569 L
.48405 .47591 L
.48552 .47784 L
.48555 .47787 L
.48709 .47977 L
.48747 .47986 L
.4886 .48169 L
.4894 .48258 L
.49046 .48362 L
.49133 .48529 L
.49151 .48555 L
.49287 .48747 L
.49326 .48801 L
.49421 .4894 L
.49518 .49087 L
.49567 .49133 L
.49656 .49326 L
.49711 .4946 L
.49721 .49518 L
.49711 .49543 L
.49575 .49518 L
.49518 .49484 L
.49347 .49326 L
.49326 .49305 L
.49176 .49133 L
.49133 .49084 L
.49019 .4894 L
.4894 .48866 L
.48869 .48747 L
.48747 .48594 L
.48713 .48555 L
.48582 .48362 L
.48555 .48325 L
.48446 .48169 L
.48362 .48052 L
.48251 .47977 L
.48182 .47784 L
.48169 .47765 L
.48068 .47591 L
.47977 .47416 L
.4797 .47399 L
F
1 .16 0 r
.47977 .48007 m
.48115 .48169 L
.48169 .4823 L
.48264 .48362 L
.48362 .48491 L
.48402 .48555 L
.48362 .48666 L
.4827 .48555 L
.48169 .48439 L
.48115 .48362 L
.47977 .48175 L
.47973 .48169 L
F
0 .28 1 r
.47977 .53174 m
.47979 .53179 L
.47977 .53181 L
.47976 .53179 L
F
0 .6 1 r
.48169 .47389 m
.48178 .47399 L
.48362 .47574 L
.48395 .47591 L
.48548 .47784 L
.48555 .47791 L
.48705 .47977 L
.48747 .47987 L
.48857 .48169 L
.4894 .48262 L
.49043 .48362 L
.49133 .48533 L
.49149 .48555 L
.49284 .48747 L
.49326 .48806 L
.49418 .4894 L
.49518 .49092 L
.49562 .49133 L
.49651 .49326 L
.49518 .49477 L
.49352 .49326 L
.49326 .493 L
.4918 .49133 L
.49133 .4908 L
.49022 .4894 L
.4894 .48863 L
.48871 .48747 L
.48747 .48591 L
.48716 .48555 L
.48585 .48362 L
.48555 .48322 L
.48448 .48169 L
.48362 .48048 L
.48256 .47977 L
.48186 .47784 L
.48169 .47759 L
.48073 .47591 L
.47977 .47399 L
F
0 .59 1 r
.48169 .47398 m
.4817 .47399 L
.48362 .4758 L
.48385 .47591 L
.48544 .47784 L
.48555 .47796 L
.48702 .47977 L
.48747 .47989 L
.48854 .48169 L
.4894 .48265 L
.49039 .48362 L
.49133 .48537 L
.49146 .48555 L
.49281 .48747 L
.49326 .4881 L
.49415 .4894 L
.49518 .49098 L
.49556 .49133 L
.49646 .49326 L
.49518 .4947 L
.49357 .49326 L
.49326 .49295 L
.49183 .49133 L
.49133 .49076 L
.49025 .4894 L
.4894 .48859 L
.48874 .48747 L
.48747 .48587 L
.48719 .48555 L
.48587 .48362 L
.48555 .48318 L
.48451 .48169 L
.48362 .48044 L
.48261 .47977 L
.48189 .47784 L
.48169 .47753 L
.48077 .47591 L
.47987 .47399 L
F
1 .99 0 r
.48169 .46663 m
.48362 .46678 L
.48555 .46809 L
.48566 .46821 L
.48723 .47013 L
.48747 .47042 L
.48844 .47206 L
.4894 .47297 L
.49016 .47399 L
.49133 .47561 L
.49156 .47591 L
.49296 .47784 L
.49326 .47836 L
.4941 .47977 L
.49518 .48129 L
.49582 .48169 L
.49711 .48349 L
.49721 .48362 L
.49859 .48555 L
.49904 .48618 L
.4997 .48747 L
.50096 .48889 L
.50146 .4894 L
.50287 .49133 L
.50289 .49134 L
.50421 .49326 L
.50482 .49355 L
.50528 .49518 L
.50674 .49672 L
.50705 .49711 L
.5085 .49904 L
.50674 .49987 L
.50482 .49996 L
.50356 .50096 L
.50482 .50239 L
.50515 .50289 L
.50657 .50482 L
.50674 .50516 L
.50811 .50674 L
.50867 .50798 L
.50928 .50867 L
.5106 .51058 L
.51082 .5106 L
.51221 .51253 L
.51253 .51291 L
.51374 .51445 L
.51445 .51558 L
.51491 .51638 L
.51638 .51822 L
.51645 .51831 L
.51829 .52023 L
.51831 .52061 L
.51936 .52216 L
.52023 .52337 L
.52054 .52409 L
.52208 .52601 L
.52216 .52612 L
.52391 .52794 L
.52409 .52882 L
.52495 .52987 L
.52601 .53152 L
.52615 .53179 L
.52601 .53339 L
.52409 .53347 L
.52216 .53338 L
.52025 .53179 L
.52023 .5317 L
.51886 .52987 L
.51831 .5292 L
.51774 .52794 L
.51638 .52657 L
.51597 .52601 L
.5145 .52409 L
.51445 .52388 L
.5132 .52216 L
.51253 .52107 L
.51213 .52023 L
.5106 .51867 L
.51033 .51831 L
.50882 .51638 L
.50867 .51603 L
.50758 .51445 L
.50674 .51334 L
.50652 .51253 L
.50482 .51072 L
.50469 .5106 L
.50316 .50867 L
.50289 .50843 L
.50197 .50674 L
.50096 .50581 L
.5009 .50482 L
.49909 .50289 L
.49904 .50281 L
.4976 .50096 L
.49904 .50012 L
.50096 .50002 L
.50259 .49904 L
.501 .49711 L
.50096 .49707 L
.49911 .49518 L
.49904 .49412 L
.49807 .49326 L
.49711 .49154 L
.49686 .49133 L
.49534 .4894 L
.49518 .48925 L
.49349 .48747 L
.49326 .48662 L
.49244 .48555 L
.49133 .48393 L
.4912 .48362 L
.48971 .48169 L
.4894 .48128 L
.48789 .47977 L
.48747 .47888 L
.48683 .47784 L
.48555 .47605 L
.48551 .47591 L
.48409 .47399 L
.48362 .47334 L
.48232 .47206 L
.48169 .47066 L
.48125 .47013 L
.47996 .46821 L
F
1 .98 0 r
.48169 .46693 m
.48362 .46721 L
.48518 .46821 L
.48555 .4685 L
.48703 .47013 L
.48747 .47065 L
.4883 .47206 L
.4894 .47312 L
.49006 .47399 L
.49133 .47571 L
.49148 .47591 L
.4929 .47784 L
.49326 .47846 L
.49405 .47977 L
.49518 .48135 L
.49577 .48169 L
.49711 .48355 L
.49716 .48362 L
.49855 .48555 L
.49904 .48623 L
.49966 .48747 L
.50096 .48894 L
.50141 .4894 L
.50286 .49133 L
.50289 .49134 L
.50416 .49326 L
.50482 .49361 L
.50522 .49518 L
.50674 .49685 L
.50694 .49711 L
.50835 .49904 L
.50674 .49973 L
.50482 .49981 L
.50337 .50096 L
.50482 .50252 L
.50507 .50289 L
.50652 .50482 L
.50674 .50525 L
.50808 .50674 L
.50867 .50802 L
.50925 .50867 L
.5106 .51058 L
.51079 .5106 L
.51219 .51253 L
.51253 .51294 L
.51372 .51445 L
.51445 .51561 L
.51489 .51638 L
.51638 .51825 L
.51643 .51831 L
.51829 .52023 L
.51831 .52064 L
.51934 .52216 L
.52023 .52341 L
.52052 .52409 L
.52204 .52601 L
.52216 .52618 L
.52389 .52794 L
.52409 .5289 L
.52488 .52987 L
.52601 .53172 L
.52605 .53179 L
.52601 .53306 L
.52409 .53329 L
.52216 .53305 L
.52027 .53179 L
.52023 .53147 L
.51897 .52987 L
.51831 .52907 L
.5178 .52794 L
.51638 .52649 L
.51603 .52601 L
.51452 .52409 L
.51445 .52382 L
.51324 .52216 L
.51253 .52102 L
.51215 .52023 L
.5106 .51863 L
.51036 .51831 L
.50883 .51638 L
.50867 .51599 L
.50761 .51445 L
.50674 .51331 L
.50653 .51253 L
.50482 .51069 L
.50472 .5106 L
.50318 .50867 L
.50289 .5084 L
.502 .50674 L
.50096 .50573 L
.50091 .50482 L
.49917 .50289 L
.49904 .50267 L
.49778 .50096 L
.49904 .50025 L
.50096 .50015 L
.50276 .49904 L
.50108 .49711 L
.50096 .49697 L
.49913 .49518 L
.49904 .49405 L
.4981 .49326 L
.49711 .49152 L
.49688 .49133 L
.49537 .4894 L
.49518 .48922 L
.49351 .48747 L
.49326 .48659 L
.49247 .48555 L
.49133 .4839 L
.49121 .48362 L
.48974 .48169 L
.4894 .48124 L
.48792 .47977 L
.48747 .47883 L
.48686 .47784 L
.48555 .47598 L
.48553 .47591 L
.48414 .47399 L
.48362 .47326 L
.48239 .47206 L
.48169 .47052 L
.48137 .47013 L
.48025 .46821 L
F
0 .98 1 r
.48169 .50051 m
.48362 .50061 L
.48443 .50096 L
.48555 .50182 L
.48643 .50289 L
.48747 .50415 L
.48817 .50482 L
.4894 .5067 L
.48943 .50674 L
.49083 .50867 L
.49133 .50908 L
.49224 .5106 L
.49326 .51183 L
.49383 .51253 L
.49509 .51445 L
.49518 .51458 L
.49645 .51638 L
.49711 .51726 L
.4984 .51831 L
.49904 .51978 L
.49934 .52023 L
.50062 .52216 L
.50096 .52263 L
.50196 .52409 L
.50289 .52541 L
.50348 .52601 L
.50457 .52794 L
.50482 .52832 L
.50611 .52987 L
.50668 .53179 L
.50674 .53193 L
.50753 .53372 L
.50843 .53565 L
.50867 .53599 L
.50966 .53758 L
.5106 .53931 L
.51104 .5395 L
.5125 .54143 L
.51253 .54146 L
.51408 .54336 L
.51445 .54384 L
.51571 .54528 L
.51638 .5468 L
.51736 .54721 L
.51831 .54837 L
.51899 .54914 L
.52023 .55068 L
.52058 .55106 L
.52212 .55299 L
.52216 .55305 L
.52356 .55492 L
.52409 .55571 L
.52525 .55684 L
.52601 .55786 L
.52675 .55877 L
.52794 .56037 L
.5282 .5607 L
.52971 .56263 L
.52987 .56296 L
.53095 .56455 L
.53179 .56567 L
.53203 .56648 L
.53372 .56834 L
.534 .56841 L
.53548 .57033 L
.53565 .57067 L
.53672 .57226 L
.53758 .57337 L
.53781 .57419 L
.5395 .576 L
.5397 .57611 L
.54116 .57804 L
.54143 .5785 L
.54237 .57997 L
.54336 .58121 L
.54397 .58189 L
.54528 .58378 L
.54536 .58382 L
.54681 .58575 L
.54721 .58638 L
.54798 .58768 L
.54914 .58908 L
.54962 .5896 L
.551 .59153 L
.55106 .59161 L
.55244 .59346 L
.55299 .59428 L
.55358 .59538 L
.55492 .59696 L
.55525 .59731 L
.55664 .59924 L
.55684 .5995 L
.55805 .60116 L
.55877 .60219 L
.55919 .60309 L
.5607 .60485 L
.56086 .60502 L
.56251 .60694 L
.56263 .60742 L
.56364 .60887 L
.56455 .61013 L
.5648 .6108 L
.56645 .61273 L
.56648 .61275 L
.56813 .61465 L
.56841 .61538 L
.56921 .61658 L
.57033 .61811 L
.57044 .61851 L
.57201 .62043 L
.57226 .62064 L
.57368 .62236 L
.57419 .6234 L
.57475 .62429 L
.57611 .62615 L
.57612 .62621 L
.57752 .62814 L
.57804 .62863 L
.57915 .63007 L
.57997 .63153 L
.58025 .63199 L
.5816 .63392 L
.58189 .63433 L
.58295 .63585 L
.58382 .63686 L
.58448 .63778 L
.58562 .6397 L
.58575 .63989 L
.58691 .64163 L
.58768 .64275 L
.58821 .64356 L
.58949 .64548 L
.5896 .64566 L
.59068 .64741 L
.59153 .64874 L
.59188 .64934 L
.5929 .65126 L
.59153 .65165 L
.59117 .65126 L
.5896 .64972 L
.58937 .64934 L
.58768 .64741 L
.58768 .6474 L
.58609 .64548 L
.58575 .6451 L
.58451 .64356 L
.58382 .64293 L
.58295 .64163 L
.58189 .64036 L
.58116 .6397 L
.57997 .63787 L
.57989 .63778 L
.5784 .63585 L
.57804 .63551 L
.57692 .63392 L
.57611 .63292 L
.57521 .63199 L
.57419 .63035 L
.57398 .63007 L
.57251 .62814 L
.57226 .62791 L
.57106 .62621 L
.57033 .6253 L
.56942 .62429 L
.56841 .62268 L
.56819 .62236 L
.56672 .62043 L
.56648 .6202 L
.56529 .61851 L
.56455 .61757 L
.56371 .61658 L
.56263 .61492 L
.56246 .61465 L
.56099 .61273 L
.5607 .61243 L
.55896 .6108 L
.55877 .60977 L
.55803 .60887 L
.55684 .60712 L
.55675 .60694 L
.5553 .60502 L
.55492 .60463 L
.55337 .60309 L
.55299 .60194 L
.55238 .60116 L
.55106 .59928 L
.55104 .59924 L
.54964 .59731 L
.54914 .59679 L
.54778 .59538 L
.54721 .59407 L
.54674 .59346 L
.54537 .59153 L
.54528 .59141 L
.54398 .5896 L
.54336 .58893 L
.5422 .58768 L
.54143 .58619 L
.54111 .58575 L
.53973 .58382 L
.5395 .58378 L
.53834 .58189 L
.53758 .58104 L
.53663 .57997 L
.53565 .57828 L
.53548 .57804 L
.53411 .57611 L
.53372 .57598 L
.53271 .57419 L
.53179 .57312 L
.53107 .57226 L
.52987 .57035 L
.52986 .57033 L
.52849 .56841 L
.52794 .56813 L
.52709 .56648 L
.52601 .56517 L
.52551 .56455 L
.52425 .56263 L
.52409 .56241 L
.52288 .5607 L
.52216 .55974 L
.52148 .55877 L
.52023 .55719 L
.51996 .55684 L
.51867 .55492 L
.51831 .55444 L
.5173 .55299 L
.51638 .55177 L
.51589 .55106 L
.51446 .54914 L
.51445 .54913 L
.51312 .54721 L
.51253 .54642 L
.51175 .54528 L
.5106 .54374 L
.51034 .54336 L
.50896 .54143 L
.50867 .54104 L
.50764 .5395 L
.50674 .53831 L
.50626 .53758 L
.50483 .53565 L
.50482 .53563 L
.50351 .53372 L
.50289 .53302 L
.50213 .53179 L
.50096 .53026 L
.50056 .52987 L
.49927 .52794 L
.49904 .52763 L
.49761 .52601 L
.49711 .52503 L
.49639 .52409 L
.49518 .52242 L
.49502 .52216 L
.49348 .52023 L
.49326 .51981 L
.49216 .51831 L
.49133 .51716 L
.49087 .51638 L
.4894 .51455 L
.48931 .51445 L
.48789 .51253 L
.48747 .51193 L
.48664 .5106 L
.48555 .50925 L
.48543 .50867 L
.48368 .50674 L
.48362 .50659 L
.48239 .50482 L
.48169 .50377 L
.48121 .50289 L
.48043 .50096 L
F
1 .97 0 r
.48169 .46723 m
.48362 .46757 L
.48473 .46821 L
.48555 .4688 L
.48685 .47013 L
.48747 .47086 L
.48817 .47206 L
.4894 .47327 L
.48996 .47399 L
.49133 .47582 L
.4914 .47591 L
.49284 .47784 L
.49326 .47855 L
.494 .47977 L
.49518 .4814 L
.49573 .48169 L
.49711 .48361 L
.49712 .48362 L
.49852 .48555 L
.49904 .48629 L
.49962 .48747 L
.50096 .48898 L
.50137 .4894 L
.50284 .49133 L
.50289 .49135 L
.50411 .49326 L
.50482 .49368 L
.50518 .49518 L
.50674 .497 L
.50683 .49711 L
.50814 .49904 L
.50674 .49958 L
.50482 .49967 L
.50298 .49904 L
.50289 .49898 L
.50117 .49711 L
.50096 .49688 L
.49915 .49518 L
.49904 .49398 L
.49814 .49326 L
.49711 .4915 L
.4969 .49133 L
.4954 .4894 L
.49518 .48919 L
.49352 .48747 L
.49326 .48655 L
.49249 .48555 L
.49133 .48386 L
.49123 .48362 L
.48976 .48169 L
.4894 .4812 L
.48794 .47977 L
.48747 .47878 L
.4869 .47784 L
.48555 .47591 L
.48555 .47591 L
.4842 .47399 L
.48362 .47317 L
.48247 .47206 L
.48169 .47037 L
.4815 .47013 L
.48056 .46821 L
F
0 .58 1 r
.48169 .47406 m
.48362 .47585 L
.48375 .47591 L
.4854 .47784 L
.48555 .47801 L
.48699 .47977 L
.48747 .47991 L
.48851 .48169 L
.4894 .48269 L
.49036 .48362 L
.49133 .48541 L
.49143 .48555 L
.49279 .48747 L
.49326 .48814 L
.49412 .4894 L
.49518 .49103 L
.4955 .49133 L
.4964 .49326 L
.49518 .49463 L
.49363 .49326 L
.49326 .4929 L
.49187 .49133 L
.49133 .49072 L
.49028 .4894 L
.4894 .48856 L
.48876 .48747 L
.48747 .48583 L
.48723 .48555 L
.4859 .48362 L
.48555 .48315 L
.48454 .48169 L
.48362 .4804 L
.48266 .47977 L
.48193 .47784 L
.48169 .47747 L
.48082 .47591 L
F
1 .93 0 r
.48169 .50747 m
.48284 .50867 L
.48362 .50957 L
.48442 .5106 L
.48555 .51204 L
.48589 .51253 L
.48728 .51445 L
.48747 .51472 L
.48859 .51638 L
.4894 .51756 L
.48989 .51831 L
.49118 .52023 L
.49133 .52044 L
.49248 .52216 L
.49326 .52326 L
.49382 .52409 L
.49518 .52601 L
.49519 .52601 L
.4966 .52794 L
.49711 .5286 L
.49807 .52987 L
.49904 .53103 L
.49955 .53179 L
.50096 .53365 L
.50103 .53372 L
.50252 .53565 L
.50289 .5357 L
.50404 .53758 L
.50482 .53852 L
.50596 .5395 L
.50674 .54108 L
.50697 .54143 L
.50854 .54336 L
.50867 .5434 L
.51005 .54528 L
.5106 .54597 L
.5118 .54721 L
.51253 .54856 L
.5129 .54914 L
.51445 .55104 L
.51448 .55106 L
.51595 .55299 L
.51638 .55353 L
.51761 .55492 L
.51831 .55615 L
.51875 .55684 L
.52023 .5587 L
.52031 .55877 L
.52176 .5607 L
.52216 .56121 L
.52334 .56263 L
.52409 .56386 L
.52451 .56455 L
.52601 .56644 L
.52606 .56648 L
.52749 .56841 L
.52794 .56899 L
.52901 .57033 L
.52987 .57166 L
.5302 .57226 L
.53174 .57419 L
.53179 .57422 L
.53316 .57611 L
.53372 .57683 L
.53465 .57804 L
.53565 .57953 L
.53587 .57997 L
.53738 .58189 L
.53758 .58204 L
.53939 .58382 L
.5395 .58474 L
.54024 .58575 L
.54143 .58746 L
.54152 .58768 L
.54298 .5896 L
.54336 .58992 L
.54488 .59153 L
.54528 .59273 L
.5458 .59346 L
.54715 .59538 L
.54721 .59546 L
.54852 .59731 L
.54914 .59791 L
.5503 .59924 L
.55106 .60082 L
.55129 .60116 L
.55263 .60309 L
.55299 .60359 L
.55399 .60502 L
.55492 .60611 L
.55559 .60694 L
.55668 .60887 L
.55684 .6091 L
.55799 .6108 L
.55877 .61191 L
.55932 .61273 L
.56063 .61465 L
.5607 .61476 L
.56186 .61658 L
.56263 .61773 L
.56311 .61851 L
.56428 .62043 L
.56455 .62086 L
.56525 .62236 L
.56455 .62281 L
.56414 .62236 L
.56263 .62082 L
.5623 .62043 L
.5607 .61867 L
.56061 .61851 L
.55902 .61658 L
.55877 .6163 L
.55746 .61465 L
.55684 .61393 L
.55591 .61273 L
.55492 .61171 L
.55437 .6108 L
.55299 .60908 L
.55277 .60887 L
.55136 .60694 L
.55106 .60658 L
.54989 .60502 L
.54914 .60426 L
.5484 .60309 L
.54721 .60158 L
.54682 .60116 L
.54547 .59924 L
.54528 .599 L
.54403 .59731 L
.54336 .59663 L
.54186 .59538 L
.54143 .59392 L
.54103 .59346 L
.53968 .59153 L
.5395 .5913 L
.53826 .5896 L
.53758 .58889 L
.53626 .58768 L
.53565 .58616 L
.53531 .58575 L
.53395 .58382 L
.53372 .58352 L
.53255 .58189 L
.53179 .58109 L
.53067 .57997 L
.52987 .57833 L
.52964 .57804 L
.52827 .57611 L
.52794 .57568 L
.52687 .57419 L
.52601 .57323 L
.5251 .57226 L
.52409 .57045 L
.524 .57033 L
.52263 .56841 L
.52216 .56779 L
.52123 .56648 L
.52023 .56531 L
.51955 .56455 L
.51838 .56263 L
.51831 .56253 L
.51701 .5607 L
.51638 .55986 L
.51561 .55877 L
.51445 .55733 L
.51403 .55684 L
.5128 .55492 L
.51253 .55456 L
.51143 .55299 L
.5106 .55189 L
.51003 .55106 L
.50867 .54926 L
.50857 .54914 L
.50726 .54721 L
.50674 .54653 L
.50589 .54528 L
.50482 .54384 L
.50449 .54336 L
.50311 .54143 L
.50289 .54113 L
.50179 .5395 L
.50096 .53839 L
.50042 .53758 L
.49904 .53569 L
.499 .53565 L
.49774 .53372 L
.49711 .53286 L
.49642 .53179 L
.49518 .53008 L
.49505 .52987 L
.49377 .52794 L
.49326 .52723 L
.49249 .52601 L
.49133 .52439 L
.49114 .52409 L
.48985 .52216 L
.4894 .52155 L
.48856 .52023 L
.48747 .51871 L
.48722 .51831 L
.48588 .51638 L
.48555 .51592 L
.48457 .51445 L
.48362 .51309 L
.48326 .51253 L
.48199 .5106 L
.48169 .51012 L
.48084 .50867 L
F
0 .81 1 r
.48169 .41515 m
.48262 .41618 L
.48362 .41723 L
.48436 .41811 L
.48555 .41916 L
.48602 .42003 L
.48747 .42175 L
.48775 .42196 L
.48917 .42389 L
.4894 .42415 L
.49071 .42581 L
.49133 .42629 L
.49224 .42774 L
.49326 .42897 L
.49402 .42967 L
.49518 .4315 L
.49526 .43159 L
.49673 .43352 L
.49711 .43381 L
.49821 .43545 L
.49904 .43647 L
.49991 .43737 L
.50096 .43906 L
.50114 .4393 L
.50259 .44123 L
.50289 .44147 L
.50404 .44316 L
.50482 .44412 L
.50568 .44508 L
.50674 .44675 L
.50692 .44701 L
.50837 .44894 L
.50867 .44919 L
.5098 .45086 L
.5106 .45186 L
.51139 .45279 L
.51253 .45452 L
.51265 .45472 L
.51409 .45664 L
.51445 .45696 L
.51622 .45857 L
.51638 .45967 L
.51705 .4605 L
.51831 .46234 L
.51835 .46242 L
.51977 .46435 L
.52023 .46478 L
.52176 .46628 L
.52216 .46753 L
.52269 .46821 L
.52403 .47013 L
.52409 .47021 L
.52542 .47206 L
.52601 .47264 L
.5273 .47399 L
.52794 .47543 L
.5283 .47591 L
.52965 .47784 L
.52987 .47813 L
.53104 .47977 L
.53179 .48056 L
.53281 .48169 L
.53372 .48339 L
.53389 .48362 L
.53524 .48555 L
.53565 .48609 L
.53663 .48747 L
.53758 .48856 L
.53829 .4894 L
.53944 .49133 L
.5395 .49141 L
.54079 .49326 L
.54143 .49411 L
.54218 .49518 L
.54336 .49668 L
.54371 .49711 L
.54494 .49904 L
.54528 .4995 L
.54628 .50096 L
.54721 .50223 L
.54766 .50289 L
.54904 .50482 L
.54914 .50495 L
.55034 .50674 L
.55106 .50774 L
.55168 .50867 L
.55299 .51052 L
.55304 .5106 L
.55428 .51253 L
.55492 .51343 L
.55554 .51445 L
.55684 .51638 L
.55684 .51638 L
.55788 .51831 L
.55877 .51996 L
.55883 .52023 L
.55877 .52044 L
.55842 .52023 L
.55684 .51887 L
.55633 .51831 L
.55492 .51715 L
.55457 .51638 L
.55299 .51455 L
.55283 .51445 L
.55132 .51253 L
.55106 .51222 L
.54974 .5106 L
.54914 .51023 L
.54818 .50867 L
.54721 .50751 L
.54629 .50674 L
.54528 .50501 L
.54513 .50482 L
.54362 .50289 L
.54336 .50271 L
.54211 .50096 L
.54143 .50011 L
.54037 .49904 L
.5395 .49754 L
.5392 .49711 L
.53768 .49518 L
.53758 .4951 L
.53621 .49326 L
.53565 .49254 L
.53458 .49133 L
.53372 .48993 L
.53338 .4894 L
.53185 .48747 L
.53179 .48743 L
.5304 .48555 L
.52987 .48487 L
.52884 .48362 L
.52794 .48223 L
.52763 .48169 L
.52608 .47977 L
.52601 .47971 L
.52465 .47784 L
.52409 .47711 L
.52315 .47591 L
.52216 .47445 L
.52192 .47399 L
.52038 .47206 L
.52023 .47193 L
.51842 .47013 L
.51831 .46929 L
.51749 .46821 L
.51638 .46662 L
.51623 .46628 L
.51471 .46435 L
.51445 .46411 L
.51285 .46242 L
.51253 .46142 L
.51185 .4605 L
.5106 .45874 L
.51054 .45857 L
.50907 .45664 L
.50867 .45625 L
.50729 .45472 L
.50674 .4535 L
.50625 .45279 L
.50486 .45086 L
.50482 .45081 L
.50347 .44894 L
.50289 .44833 L
.50176 .44701 L
.50096 .44551 L
.50068 .44508 L
.4993 .44316 L
.49904 .4428 L
.49792 .44123 L
.49711 .4403 L
.4963 .4393 L
.49518 .43743 L
.49515 .43737 L
.4938 .43545 L
.49326 .4347 L
.49243 .43352 L
.49133 .4321 L
.49094 .43159 L
.48972 .42967 L
.4894 .42922 L
.4884 .42774 L
.48747 .42644 L
.48705 .42581 L
.48573 .42389 L
.48555 .42362 L
.48448 .42196 L
.48362 .42072 L
.48319 .42003 L
.48196 .41811 L
.48169 .41771 L
.48086 .41618 L
F
0 .57 1 r
.48169 .47414 m
.48362 .47591 L
.48363 .47591 L
.48536 .47784 L
.48555 .47805 L
.48695 .47977 L
.48747 .47993 L
.48848 .48169 L
.4894 .48273 L
.49032 .48362 L
.49133 .48545 L
.4914 .48555 L
.49276 .48747 L
.49326 .48818 L
.49408 .4894 L
.49518 .49109 L
.49544 .49133 L
.49635 .49326 L
.49518 .49456 L
.49369 .49326 L
.49326 .49285 L
.49191 .49133 L
.49133 .49068 L
.49031 .4894 L
.4894 .48852 L
.48879 .48747 L
.48747 .48579 L
.48726 .48555 L
.48593 .48362 L
.48555 .48311 L
.48456 .48169 L
.48362 .48036 L
.48271 .47977 L
.48197 .47784 L
.48169 .47741 L
.48087 .47591 L
F
1 .96 0 r
.48169 .46755 m
.48362 .46788 L
.48425 .46821 L
.48555 .46906 L
.48668 .47013 L
.48747 .47104 L
.48806 .47206 L
.4894 .4734 L
.48986 .47399 L
.49132 .47591 L
.49133 .47592 L
.49279 .47784 L
.49326 .47864 L
.49395 .47977 L
.49518 .48144 L
.49568 .48169 L
.49707 .48362 L
.49711 .48367 L
.49848 .48555 L
.49904 .48634 L
.49959 .48747 L
.50096 .48903 L
.50132 .4894 L
.50283 .49133 L
.50289 .49136 L
.50406 .49326 L
.50482 .49376 L
.50513 .49518 L
.50672 .49711 L
.50674 .49716 L
.50784 .49904 L
.50674 .49941 L
.50482 .49953 L
.50326 .49904 L
.50289 .49882 L
.50125 .49711 L
.50096 .49679 L
.49917 .49518 L
.49904 .49392 L
.49817 .49326 L
.49711 .49147 L
.49692 .49133 L
.49543 .4894 L
.49518 .48917 L
.49354 .48747 L
.49326 .48652 L
.49252 .48555 L
.49133 .48383 L
.49124 .48362 L
.48979 .48169 L
.4894 .48116 L
.48797 .47977 L
.48747 .47873 L
.48693 .47784 L
.4856 .47591 L
.48555 .47584 L
.48426 .47399 L
.48362 .47308 L
.48255 .47206 L
.48169 .4702 L
.48164 .47013 L
.48091 .46821 L
F
0 .56 1 r
.48169 .47422 m
.48357 .47591 L
.48362 .47596 L
.48531 .47784 L
.48555 .4781 L
.48692 .47977 L
.48747 .47995 L
.48845 .48169 L
.4894 .48277 L
.49029 .48362 L
.49133 .48549 L
.49137 .48555 L
.49273 .48747 L
.49326 .48823 L
.49405 .4894 L
.49518 .49114 L
.49538 .49133 L
.49629 .49326 L
.49518 .49449 L
.49375 .49326 L
.49326 .4928 L
.49195 .49133 L
.49133 .49064 L
.49034 .4894 L
.4894 .48848 L
.48882 .48747 L
.48747 .48576 L
.48729 .48555 L
.48595 .48362 L
.48555 .48307 L
.48459 .48169 L
.48362 .48032 L
.48277 .47977 L
.48201 .47784 L
.48169 .47734 L
.48092 .47591 L
F
0 .55 1 r
.48169 .47431 m
.4835 .47591 L
.48362 .47602 L
.48527 .47784 L
.48555 .47814 L
.48688 .47977 L
.48747 .47997 L
.48842 .48169 L
.4894 .48281 L
.49025 .48362 L
.49133 .48553 L
.49134 .48555 L
.4927 .48747 L
.49326 .48827 L
.49402 .4894 L
.49518 .4912 L
.49532 .49133 L
.49623 .49326 L
.49518 .49441 L
.49381 .49326 L
.49326 .49275 L
.49199 .49133 L
.49133 .4906 L
.49037 .4894 L
.4894 .48845 L
.48884 .48747 L
.48747 .48572 L
.48733 .48555 L
.48598 .48362 L
.48555 .48304 L
.48462 .48169 L
.48362 .48028 L
.48283 .47977 L
.48205 .47784 L
.48169 .47727 L
.48097 .47591 L
F
1 .66 0 r
.48169 .42357 m
.48195 .42389 L
.48362 .42573 L
.48369 .42581 L
.48526 .42774 L
.48555 .42806 L
.4868 .42967 L
.48747 .43046 L
.48834 .43159 L
.4894 .43289 L
.48988 .43352 L
.49133 .4353 L
.4914 .43545 L
.49285 .43737 L
.49326 .43787 L
.49432 .4393 L
.49518 .44039 L
.49579 .44123 L
.49711 .44284 L
.4975 .44316 L
.4987 .44508 L
.49904 .4455 L
.50013 .44701 L
.50096 .44808 L
.50158 .44894 L
.50289 .45059 L
.50319 .45086 L
.50443 .45279 L
.50482 .45328 L
.50583 .45472 L
.50674 .45591 L
.50727 .45664 L
.50867 .4585 L
.50874 .45857 L
.51007 .4605 L
.5106 .46119 L
.51145 .46242 L
.51253 .46385 L
.51287 .46435 L
.51426 .46628 L
.51445 .46652 L
.5156 .46821 L
.51638 .46924 L
.51698 .47013 L
.51831 .47194 L
.51838 .47206 L
.51968 .47399 L
.52023 .47473 L
.52099 .47591 L
.52216 .47753 L
.52236 .47784 L
.5236 .47977 L
.52409 .48046 L
.52478 .48169 L
.52601 .4836 L
.52602 .48362 L
.52601 .4843 L
.52533 .48362 L
.52409 .48244 L
.52346 .48169 L
.52216 .48022 L
.52179 .47977 L
.52023 .47793 L
.52019 .47784 L
.51866 .47591 L
.51831 .47549 L
.51713 .47399 L
.51638 .47306 L
.5156 .47206 L
.51445 .47083 L
.51409 .47013 L
.51261 .46821 L
.51253 .4681 L
.51115 .46628 L
.5106 .46557 L
.50968 .46435 L
.50867 .46328 L
.50821 .46242 L
.50676 .4605 L
.50674 .46047 L
.50534 .45857 L
.50482 .45789 L
.5039 .45664 L
.50289 .45553 L
.50187 .45472 L
.50104 .45279 L
.50096 .4527 L
.49964 .45086 L
.49904 .45006 L
.49822 .44894 L
.49711 .4476 L
.49647 .44701 L
.49542 .44508 L
.49518 .44477 L
.49404 .44316 L
.49326 .44209 L
.49264 .44123 L
.49133 .43946 L
.49117 .4393 L
.48992 .43737 L
.4894 .43668 L
.48856 .43545 L
.48747 .43393 L
.48719 .43352 L
.48588 .43159 L
.48555 .43113 L
.4846 .42967 L
.48362 .42827 L
.48328 .42774 L
.48208 .42581 L
.48169 .42526 L
.481 .42389 L
F
0 .54 1 r
.48169 .4744 m
.48344 .47591 L
.48362 .47608 L
.48523 .47784 L
.48555 .47819 L
.48685 .47977 L
.48747 .47999 L
.48839 .48169 L
.4894 .48285 L
.49021 .48362 L
.49131 .48555 L
.49133 .48557 L
.49267 .48747 L
.49326 .48832 L
.49399 .4894 L
.49518 .49126 L
.49525 .49133 L
.49617 .49326 L
.49518 .49434 L
.49387 .49326 L
.49326 .4927 L
.49203 .49133 L
.49133 .49056 L
.4904 .4894 L
.4894 .48841 L
.48887 .48747 L
.48747 .48568 L
.48736 .48555 L
.48601 .48362 L
.48555 .483 L
.48465 .48169 L
.48362 .48024 L
.48289 .47977 L
.48209 .47784 L
.48169 .4772 L
.48102 .47591 L
F
0 .8 1 r
.48169 .41544 m
.48239 .41618 L
.48362 .41742 L
.4842 .41811 L
.48555 .41937 L
.4859 .42003 L
.48747 .4219 L
.48756 .42196 L
.48908 .42389 L
.4894 .42426 L
.49063 .42581 L
.49133 .42637 L
.49217 .42774 L
.49326 .42905 L
.49394 .42967 L
.49518 .43158 L
.4952 .43159 L
.49667 .43352 L
.49711 .43386 L
.49816 .43545 L
.49904 .43653 L
.49986 .43737 L
.50096 .43912 L
.5011 .4393 L
.50255 .44123 L
.50289 .4415 L
.504 .44316 L
.50482 .44417 L
.50564 .44508 L
.50674 .4468 L
.50689 .44701 L
.50834 .44894 L
.50867 .44922 L
.50977 .45086 L
.5106 .4519 L
.51135 .45279 L
.51253 .45456 L
.51262 .45472 L
.51406 .45664 L
.51445 .45699 L
.5162 .45857 L
.51638 .45971 L
.51702 .4605 L
.51831 .46237 L
.51833 .46242 L
.51974 .46435 L
.52023 .46481 L
.52174 .46628 L
.52216 .46757 L
.52266 .46821 L
.524 .47013 L
.52409 .47025 L
.52539 .47206 L
.52601 .47267 L
.52727 .47399 L
.52794 .47547 L
.52827 .47591 L
.52962 .47784 L
.52987 .47816 L
.53101 .47977 L
.53179 .4806 L
.53278 .48169 L
.53372 .48344 L
.53386 .48362 L
.53521 .48555 L
.53565 .48613 L
.5366 .48747 L
.53758 .48861 L
.53825 .4894 L
.5394 .49133 L
.5395 .49146 L
.54076 .49326 L
.54143 .49416 L
.54214 .49518 L
.54336 .49675 L
.54365 .49711 L
.54489 .49904 L
.54528 .49956 L
.54624 .50096 L
.54721 .50229 L
.54762 .50289 L
.54898 .50482 L
.54914 .50503 L
.55028 .50674 L
.55106 .50783 L
.55161 .50867 L
.55297 .5106 L
.55299 .51063 L
.55418 .51253 L
.55492 .51358 L
.55544 .51445 L
.55668 .51638 L
.55684 .51664 L
.5576 .51831 L
.55684 .51856 L
.55659 .51831 L
.55492 .51676 L
.55475 .51638 L
.55307 .51445 L
.55299 .51437 L
.55145 .51253 L
.55106 .51208 L
.54985 .5106 L
.54914 .51014 L
.54827 .50867 L
.54721 .5074 L
.5464 .50674 L
.54528 .50491 L
.5452 .50482 L
.54369 .50289 L
.54336 .50266 L
.54218 .50096 L
.54143 .50003 L
.54043 .49904 L
.5395 .49747 L
.53924 .49711 L
.53773 .49518 L
.53758 .49506 L
.53626 .49326 L
.53565 .49248 L
.53462 .49133 L
.53372 .48988 L
.53341 .4894 L
.53189 .48747 L
.53179 .4874 L
.53044 .48555 L
.52987 .48482 L
.52887 .48362 L
.52794 .48218 L
.52766 .48169 L
.52612 .47977 L
.52601 .47967 L
.52468 .47784 L
.52409 .47706 L
.52318 .47591 L
.52216 .47441 L
.52194 .47399 L
.52041 .47206 L
.52023 .4719 L
.51843 .47013 L
.51831 .46925 L
.51751 .46821 L
.51638 .46658 L
.51624 .46628 L
.51474 .46435 L
.51445 .46408 L
.51287 .46242 L
.51253 .46138 L
.51188 .4605 L
.5106 .4587 L
.51055 .45857 L
.5091 .45664 L
.50867 .45622 L
.50731 .45472 L
.50674 .45345 L
.50628 .45279 L
.5049 .45086 L
.50482 .45076 L
.50351 .44894 L
.50289 .44828 L
.5018 .44701 L
.50096 .44546 L
.50071 .44508 L
.49934 .44316 L
.49904 .44274 L
.49796 .44123 L
.49711 .44024 L
.49634 .4393 L
.49519 .43737 L
.49518 .43736 L
.49385 .43545 L
.49326 .43463 L
.49248 .43352 L
.49133 .43201 L
.49101 .43159 L
.48979 .42967 L
.4894 .42914 L
.48846 .42774 L
.48747 .42634 L
.48712 .42581 L
.48582 .42389 L
.48555 .4235 L
.48457 .42196 L
.48362 .42056 L
.48329 .42003 L
.48212 .41811 L
.48169 .41744 L
.48108 .41618 L
F
0 .53 1 r
.48169 .47449 m
.48337 .47591 L
.48362 .47614 L
.48518 .47784 L
.48555 .47824 L
.48681 .47977 L
.48747 .48002 L
.48836 .48169 L
.4894 .48289 L
.49017 .48362 L
.49128 .48555 L
.49133 .48561 L
.49264 .48747 L
.49326 .48836 L
.49396 .4894 L
.49518 .49133 L
.49518 .49133 L
.4961 .49326 L
.49518 .49426 L
.49394 .49326 L
.49326 .49265 L
.49207 .49133 L
.49133 .49052 L
.49043 .4894 L
.4894 .48837 L
.4889 .48747 L
.48747 .48564 L
.4874 .48555 L
.48604 .48362 L
.48555 .48296 L
.48467 .48169 L
.48362 .48019 L
.48295 .47977 L
.48213 .47784 L
.48169 .47712 L
.48108 .47591 L
F
0 .85 1 r
.48169 .517 m
.48282 .51831 L
.48362 .5192 L
.48447 .52023 L
.48555 .52151 L
.48608 .52216 L
.48747 .52385 L
.48783 .52409 L
.48917 .52601 L
.4894 .5263 L
.4907 .52794 L
.49133 .52826 L
.49222 .52987 L
.49326 .53113 L
.49401 .53179 L
.49518 .53368 L
.49522 .53372 L
.4967 .53565 L
.49711 .53589 L
.49819 .53758 L
.49904 .53863 L
.49988 .5395 L
.50096 .54123 L
.5011 .54143 L
.50258 .54336 L
.50289 .54356 L
.50404 .54528 L
.50482 .54626 L
.50565 .54721 L
.50674 .5489 L
.50689 .54914 L
.50837 .55106 L
.50867 .55129 L
.50981 .55299 L
.5106 .554 L
.51135 .55492 L
.51253 .55666 L
.51263 .55684 L
.51408 .55877 L
.51445 .55907 L
.51551 .5607 L
.51638 .56183 L
.517 .56263 L
.51831 .56451 L
.51833 .56455 L
.51974 .56648 L
.52023 .56692 L
.52178 .56841 L
.52216 .56974 L
.5226 .57033 L
.52395 .57226 L
.52409 .57245 L
.52534 .57419 L
.52601 .57487 L
.5272 .57611 L
.52794 .57776 L
.52814 .57804 L
.52949 .57997 L
.52987 .58049 L
.53086 .58189 L
.53179 .58298 L
.53253 .58382 L
.5336 .58575 L
.53372 .58592 L
.53493 .58768 L
.53565 .58868 L
.53628 .5896 L
.53758 .59142 L
.53767 .59153 L
.53891 .59346 L
.5395 .59431 L
.54021 .59538 L
.54143 .59719 L
.54151 .59731 L
.54268 .59924 L
.54336 .60028 L
.54384 .60116 L
.54336 .60233 L
.54233 .60116 L
.54143 .60024 L
.54061 .59924 L
.5395 .59799 L
.53896 .59731 L
.53758 .59577 L
.53736 .59538 L
.53582 .59346 L
.53565 .59326 L
.53432 .59153 L
.53372 .59081 L
.5328 .5896 L
.53179 .58854 L
.53129 .58768 L
.52987 .58586 L
.52975 .58575 L
.52834 .58382 L
.52794 .58333 L
.52688 .58189 L
.52601 .581 L
.5254 .57997 L
.52409 .57827 L
.52388 .57804 L
.5225 .57611 L
.52216 .57568 L
.52107 .57419 L
.52023 .5733 L
.51905 .57226 L
.51831 .57054 L
.51813 .57033 L
.51676 .56841 L
.51638 .56792 L
.51534 .56648 L
.51445 .56551 L
.51346 .56455 L
.51253 .56273 L
.51244 .56263 L
.51107 .5607 L
.5106 .56009 L
.50966 .55877 L
.50867 .55764 L
.50791 .55684 L
.5068 .55492 L
.50674 .55484 L
.50543 .55299 L
.50482 .55219 L
.50402 .55106 L
.50289 .54968 L
.5024 .54914 L
.5012 .54721 L
.50096 .5469 L
.49983 .54528 L
.49904 .54423 L
.49843 .54336 L
.49711 .54162 L
.49694 .54143 L
.49566 .5395 L
.49518 .53887 L
.49429 .53758 L
.49326 .53618 L
.49289 .53565 L
.49151 .53372 L
.49133 .53348 L
.49019 .53179 L
.4894 .53073 L
.48883 .52987 L
.48747 .52806 L
.48743 .52794 L
.48615 .52601 L
.48555 .52518 L
.48485 .52409 L
.48362 .52236 L
.4835 .52216 L
.48228 .52023 L
.48169 .51939 L
.48108 .51831 L
F
1 .58 0 r
.48169 .52553 m
.48208 .52601 L
.48362 .52779 L
.48374 .52794 L
.48526 .52987 L
.48555 .53019 L
.48678 .53179 L
.48747 .53263 L
.4883 .53372 L
.4894 .5351 L
.48982 .53565 L
.49131 .53758 L
.49133 .5376 L
.49273 .5395 L
.49326 .54015 L
.49419 .54143 L
.49518 .54271 L
.49566 .54336 L
.49711 .54528 L
.49711 .54529 L
.49849 .54721 L
.49904 .54791 L
.49991 .54914 L
.50096 .55054 L
.50134 .55106 L
.50273 .55299 L
.50289 .55319 L
.50409 .55492 L
.50482 .55589 L
.50548 .55684 L
.50674 .55859 L
.50687 .55877 L
.50817 .5607 L
.50867 .56138 L
.50948 .56263 L
.5106 .56419 L
.51083 .56455 L
.5106 .56623 L
.50929 .56455 L
.50867 .56386 L
.50775 .56263 L
.50674 .56144 L
.5062 .5607 L
.50482 .55899 L
.50466 .55877 L
.5032 .55684 L
.50289 .55647 L
.50176 .55492 L
.50096 .55393 L
.50029 .55299 L
.49904 .55138 L
.49881 .55106 L
.49738 .54914 L
.49711 .54879 L
.49599 .54721 L
.49518 .54618 L
.49456 .54528 L
.49326 .54357 L
.4931 .54336 L
.49173 .54143 L
.49133 .54091 L
.49037 .5395 L
.4894 .53824 L
.48895 .53758 L
.48754 .53565 L
.48747 .53557 L
.48625 .53372 L
.48555 .5328 L
.4849 .53179 L
.48362 .53004 L
.48351 .52987 L
.48229 .52794 L
.48169 .52712 L
.48109 .52601 L
F
0 .52 1 r
.48169 .47459 m
.4833 .47591 L
.48362 .4762 L
.48514 .47784 L
.48555 .47828 L
.48678 .47977 L
.48747 .48005 L
.48833 .48169 L
.4894 .48293 L
.49013 .48362 L
.49125 .48555 L
.49133 .48565 L
.49261 .48747 L
.49326 .48841 L
.49392 .4894 L
.49514 .49133 L
.49518 .4914 L
.49604 .49326 L
.49518 .49418 L
.49401 .49326 L
.49326 .4926 L
.49211 .49133 L
.49133 .49047 L
.49047 .4894 L
.4894 .48832 L
.48892 .48747 L
.48747 .4856 L
.48743 .48555 L
.48606 .48362 L
.48555 .48292 L
.4847 .48169 L
.48362 .48015 L
.48302 .47977 L
.48217 .47784 L
.48169 .47704 L
.48114 .47591 L
F
1 .93 0 r
.48169 .40726 m
.48293 .40847 L
.48362 .40913 L
.48477 .4104 L
.48555 .41123 L
.4865 .41232 L
.48747 .41338 L
.48816 .41425 L
.4894 .41577 L
.48984 .41618 L
.49133 .41811 L
.49133 .41811 L
.49288 .42003 L
.49326 .42047 L
.49442 .42196 L
.49518 .42298 L
.49597 .42389 L
.49711 .42549 L
.49729 .42581 L
.49891 .42774 L
.49904 .42789 L
.50079 .42967 L
.50096 .43045 L
.50186 .43159 L
.50289 .43306 L
.5031 .43352 L
.50478 .43545 L
.50482 .43549 L
.50649 .43737 L
.50674 .43809 L
.50763 .4393 L
.50867 .44074 L
.50883 .44123 L
.51056 .44316 L
.5106 .44321 L
.51218 .44508 L
.51253 .44583 L
.51335 .44701 L
.51445 .4485 L
.51452 .44894 L
.51628 .45086 L
.51638 .45099 L
.51787 .45279 L
.51831 .45363 L
.51903 .45472 L
.52023 .4563 L
.52057 .45664 L
.52197 .45857 L
.52216 .45881 L
.52353 .4605 L
.52409 .46147 L
.52469 .46242 L
.52601 .46412 L
.52624 .46435 L
.52764 .46628 L
.52794 .46665 L
.52917 .46821 L
.52987 .46933 L
.53034 .47013 L
.53179 .47196 L
.5319 .47206 L
.5333 .47399 L
.53372 .47451 L
.53481 .47591 L
.53565 .4772 L
.53599 .47784 L
.53754 .47977 L
.53758 .47979 L
.53939 .48169 L
.5395 .48239 L
.54043 .48362 L
.54143 .48508 L
.54165 .48555 L
.54318 .48747 L
.54336 .48762 L
.545 .4894 L
.54528 .49028 L
.54605 .49133 L
.54721 .49298 L
.54731 .49326 L
.54881 .49518 L
.54914 .49547 L
.55059 .49711 L
.55106 .49819 L
.55166 .49904 L
.55299 .50089 L
.55301 .50096 L
.55443 .50289 L
.55492 .50335 L
.55616 .50482 L
.55684 .50613 L
.55726 .50674 L
.55865 .50867 L
.55877 .50883 L
.56003 .5106 L
.5607 .51128 L
.56172 .51253 L
.56263 .51409 L
.56286 .51445 L
.56424 .51638 L
.56455 .5168 L
.56562 .51831 L
.56648 .51926 L
.56724 .52023 L
.56841 .5221 L
.56844 .52216 L
.5698 .52409 L
.57033 .5248 L
.57118 .52601 L
.57226 .52733 L
.57272 .52794 L
.57397 .52987 L
.57419 .53016 L
.57532 .53179 L
.57611 .53288 L
.57729 .53372 L
.57804 .53554 L
.57812 .53565 L
.57941 .53758 L
.57997 .53834 L
.58075 .5395 L
.58189 .5411 L
.58236 .54143 L
.58341 .54336 L
.58382 .54393 L
.58467 .54528 L
.58575 .54685 L
.58597 .54721 L
.58713 .54914 L
.58768 .55001 L
.58815 .55106 L
.58768 .55184 L
.58682 .55106 L
.58575 .55008 L
.58484 .54914 L
.58382 .54845 L
.58304 .54721 L
.58189 .54592 L
.58075 .54528 L
.57997 .54361 L
.57972 .54336 L
.57807 .54143 L
.57804 .54141 L
.57648 .5395 L
.57611 .53905 L
.57444 .53758 L
.57419 .53656 L
.57344 .53565 L
.57226 .53405 L
.57211 .53372 L
.57039 .53179 L
.57033 .53172 L
.56865 .52987 L
.56841 .52917 L
.56749 .52794 L
.56648 .52655 L
.56628 .52601 L
.56455 .5241 L
.5645 .52409 L
.56291 .52216 L
.56263 .52155 L
.56171 .52023 L
.5607 .51888 L
.56057 .51831 L
.55877 .51646 L
.55871 .51638 L
.55719 .51445 L
.55684 .51382 L
.55599 .51253 L
.55492 .51112 L
.55439 .5106 L
.55299 .50868 L
.55298 .50867 L
.55149 .50674 L
.55106 .50603 L
.55032 .50482 L
.54914 .50332 L
.54869 .50289 L
.54728 .50096 L
.54721 .50086 L
.54582 .49904 L
.54528 .49819 L
.54467 .49711 L
.54336 .4955 L
.54301 .49518 L
.54161 .49326 L
.54143 .49302 L
.54017 .49133 L
.5395 .49034 L
.53902 .4894 L
.53758 .48768 L
.53735 .48747 L
.53572 .48555 L
.53565 .48515 L
.53453 .48362 L
.53372 .48246 L
.53339 .48169 L
.53179 .47985 L
.53171 .47977 L
.53006 .47784 L
.52987 .47727 L
.5289 .47591 L
.52794 .47458 L
.52774 .47399 L
.52607 .47206 L
.52601 .47201 L
.52442 .47013 L
.52409 .46938 L
.52328 .46821 L
.52216 .46669 L
.52208 .46628 L
.52044 .46435 L
.52023 .46415 L
.5188 .46242 L
.51831 .46147 L
.51767 .4605 L
.51638 .45878 L
.51638 .45857 L
.51482 .45664 L
.51445 .45627 L
.5132 .45472 L
.51253 .45354 L
.51206 .45279 L
.5106 .45086 L
.5106 .45086 L
.50922 .44894 L
.50867 .44835 L
.50763 .44701 L
.50674 .44558 L
.50645 .44508 L
.50502 .44316 L
.50482 .44288 L
.50364 .44123 L
.50289 .44039 L
.50208 .4393 L
.50096 .43757 L
.50086 .43737 L
.49947 .43545 L
.49904 .43486 L
.49742 .43352 L
.49711 .43233 L
.49659 .43159 L
.49531 .42967 L
.49518 .42949 L
.49397 .42774 L
.49326 .42676 L
.49209 .42581 L
.49133 .4241 L
.49118 .42389 L
.48989 .42196 L
.4894 .42128 L
.48857 .42003 L
.48747 .41877 L
.48699 .41811 L
.48592 .41618 L
.48555 .41564 L
.48467 .41425 L
.48362 .41271 L
.48338 .41232 L
.48222 .4104 L
.48169 .40956 L
.48115 .40847 L
F
0 .51 1 r
.48169 .47469 m
.48323 .47591 L
.48362 .47626 L
.48509 .47784 L
.48555 .47833 L
.48674 .47977 L
.48747 .48008 L
.4883 .48169 L
.4894 .48298 L
.49008 .48362 L
.49122 .48555 L
.49133 .4857 L
.49257 .48747 L
.49326 .48845 L
.49389 .4894 L
.49509 .49133 L
.49518 .49149 L
.49597 .49326 L
.49518 .49409 L
.49408 .49326 L
.49326 .49254 L
.49215 .49133 L
.49133 .49043 L
.4905 .4894 L
.4894 .48828 L
.48895 .48747 L
.48747 .48556 L
.48747 .48555 L
.48609 .48362 L
.48555 .48288 L
.48473 .48169 L
.48362 .4801 L
.48309 .47977 L
.48222 .47784 L
.48169 .47695 L
.48119 .47591 L
F
1 .15 0 r
.48169 .48237 m
.48258 .48362 L
.48362 .48499 L
.48396 .48555 L
.48362 .48657 L
.48277 .48555 L
.48169 .48432 L
.4812 .48362 L
F
1 .14 0 r
.48169 .48245 m
.48252 .48362 L
.48362 .48508 L
.4839 .48555 L
.48362 .48647 L
.48285 .48555 L
.48169 .48425 L
.48125 .48362 L
F
0 .5 1 r
.48169 .47479 m
.48315 .47591 L
.48362 .47632 L
.48504 .47784 L
.48555 .47838 L
.4867 .47977 L
.48747 .48011 L
.48827 .48169 L
.4894 .48302 L
.49004 .48362 L
.49119 .48555 L
.49133 .48574 L
.49254 .48747 L
.49326 .4885 L
.49386 .4894 L
.49505 .49133 L
.49518 .49157 L
.49589 .49326 L
.49518 .494 L
.49416 .49326 L
.49326 .49249 L
.49219 .49133 L
.49133 .49039 L
.49053 .4894 L
.4894 .48824 L
.48898 .48747 L
.4875 .48555 L
.48747 .48552 L
.48612 .48362 L
.48555 .48285 L
.48476 .48169 L
.48362 .48006 L
.48315 .47977 L
.48226 .47784 L
.48169 .47686 L
.48126 .47591 L
F
1 .57 0 r
.48169 .52574 m
.48192 .52601 L
.48362 .52794 L
.48362 .52794 L
.48514 .52987 L
.48555 .53031 L
.48668 .53179 L
.48747 .53274 L
.48822 .53372 L
.4894 .53519 L
.48975 .53565 L
.49123 .53758 L
.49133 .5377 L
.49266 .5395 L
.49326 .54024 L
.49413 .54143 L
.49518 .5428 L
.49559 .54336 L
.49704 .54528 L
.49711 .54538 L
.49842 .54721 L
.49904 .548 L
.49985 .54914 L
.50096 .55062 L
.50128 .55106 L
.50266 .55299 L
.50289 .55329 L
.50401 .55492 L
.50482 .55599 L
.50541 .55684 L
.50674 .55869 L
.5068 .55877 L
.50807 .5607 L
.50867 .56151 L
.50938 .56263 L
.5106 .56434 L
.51073 .56455 L
.5106 .56605 L
.50943 .56455 L
.50867 .56373 L
.50784 .56263 L
.50674 .56134 L
.50627 .5607 L
.50482 .5589 L
.50472 .55877 L
.50328 .55684 L
.50289 .55638 L
.50183 .55492 L
.50096 .55385 L
.50035 .55299 L
.49904 .55131 L
.49886 .55106 L
.49745 .54914 L
.49711 .54871 L
.49605 .54721 L
.49518 .5461 L
.49461 .54528 L
.49326 .5435 L
.49316 .54336 L
.4918 .54143 L
.49133 .54083 L
.49043 .5395 L
.4894 .53815 L
.48901 .53758 L
.48761 .53565 L
.48747 .53547 L
.48633 .53372 L
.48555 .53269 L
.48498 .53179 L
.48362 .52993 L
.48359 .52987 L
.48244 .52794 L
.48169 .5269 L
.48128 .52601 L
F
1 .65 0 r
.48169 .42381 m
.48175 .42389 L
.48169 .42496 L
.4813 .42389 L
F
1 .13 0 r
.48169 .48254 m
.48245 .48362 L
.48362 .48518 L
.48384 .48555 L
.48362 .48636 L
.48293 .48555 L
.48169 .48417 L
.48131 .48362 L
F
0 .49 1 r
.48169 .47491 m
.48306 .47591 L
.48362 .47638 L
.48499 .47784 L
.48555 .47843 L
.48667 .47977 L
.48747 .48015 L
.48824 .48169 L
.4894 .48307 L
.48999 .48362 L
.49116 .48555 L
.49133 .48578 L
.49251 .48747 L
.49326 .48855 L
.49382 .4894 L
.495 .49133 L
.49518 .49167 L
.49582 .49326 L
.49518 .49391 L
.49424 .49326 L
.49326 .49244 L
.49224 .49133 L
.49133 .49035 L
.49056 .4894 L
.4894 .48819 L
.48901 .48747 L
.48753 .48555 L
.48747 .48548 L
.48615 .48362 L
.48555 .48281 L
.48479 .48169 L
.48362 .48001 L
.48323 .47977 L
.48231 .47784 L
.48169 .47676 L
.48132 .47591 L
F
1 .95 0 r
.48169 .46791 m
.48362 .46817 L
.48371 .46821 L
.48555 .4693 L
.48651 .47013 L
.48747 .47122 L
.48796 .47206 L
.4894 .47353 L
.48977 .47399 L
.49125 .47591 L
.49133 .47603 L
.49274 .47784 L
.49326 .47873 L
.4939 .47977 L
.49518 .48148 L
.49563 .48169 L
.49703 .48362 L
.49711 .48373 L
.49844 .48555 L
.49904 .4864 L
.49956 .48747 L
.50096 .48908 L
.50128 .4894 L
.50282 .49133 L
.50289 .49138 L
.50401 .49326 L
.50482 .49386 L
.50509 .49518 L
.50661 .49711 L
.50674 .4974 L
.50738 .49904 L
.50674 .49923 L
.50482 .4994 L
.50357 .49904 L
.50289 .49868 L
.50134 .49711 L
.50096 .4967 L
.49919 .49518 L
.49904 .49387 L
.49821 .49326 L
.49711 .49145 L
.49694 .49133 L
.49546 .4894 L
.49518 .48914 L
.49356 .48747 L
.49326 .48648 L
.49254 .48555 L
.49133 .48379 L
.49126 .48362 L
.48982 .48169 L
.4894 .48112 L
.48799 .47977 L
.48747 .47868 L
.48697 .47784 L
.48564 .47591 L
.48555 .47578 L
.48431 .47399 L
.48362 .47298 L
.48264 .47206 L
.48178 .47013 L
.48169 .46997 L
.48133 .46821 L
F
0 .84 1 r
.48169 .51743 m
.48249 .51831 L
.48362 .5195 L
.48424 .52023 L
.48555 .52175 L
.48588 .52216 L
.48746 .52409 L
.48747 .5241 L
.48901 .52601 L
.4894 .52648 L
.49056 .52794 L
.49133 .52839 L
.4921 .52987 L
.49326 .53129 L
.49385 .53179 L
.49511 .53372 L
.49518 .53381 L
.4966 .53565 L
.49711 .53597 L
.4981 .53758 L
.49904 .53875 L
.49978 .5395 L
.50096 .54134 L
.50103 .54143 L
.5025 .54336 L
.50289 .54363 L
.50397 .54528 L
.50482 .54637 L
.50557 .54721 L
.50674 .54899 L
.50684 .54914 L
.5083 .55106 L
.50867 .55135 L
.50974 .55299 L
.5106 .5541 L
.51128 .55492 L
.51253 .55675 L
.51258 .55684 L
.51402 .55877 L
.51445 .55914 L
.51544 .5607 L
.51638 .56192 L
.51694 .56263 L
.51827 .56455 L
.51831 .5646 L
.51967 .56648 L
.52023 .567 L
.52172 .56841 L
.52216 .56984 L
.52253 .57033 L
.52387 .57226 L
.52409 .57255 L
.52526 .57419 L
.52601 .57497 L
.52711 .57611 L
.52794 .57788 L
.52806 .57804 L
.5294 .57997 L
.52987 .58061 L
.53078 .58189 L
.53179 .58313 L
.5324 .58382 L
.5335 .58575 L
.53372 .58606 L
.53483 .58768 L
.53565 .58883 L
.53617 .5896 L
.53751 .59153 L
.53758 .59163 L
.53877 .59346 L
.5395 .59452 L
.54006 .59538 L
.54132 .59731 L
.54143 .59747 L
.54242 .59924 L
.54336 .60081 L
.54351 .60116 L
.54336 .60174 L
.54276 .60116 L
.54143 .59993 L
.54084 .59924 L
.5395 .59776 L
.53914 .59731 L
.53758 .59551 L
.53751 .59538 L
.53597 .59346 L
.53565 .59309 L
.53444 .59153 L
.53372 .59067 L
.53291 .5896 L
.53179 .5884 L
.53138 .58768 L
.52988 .58575 L
.52987 .58574 L
.52842 .58382 L
.52794 .58322 L
.52695 .58189 L
.52601 .58089 L
.52547 .57997 L
.52409 .57817 L
.52397 .57804 L
.52257 .57611 L
.52216 .57559 L
.52113 .57419 L
.52023 .57321 L
.51914 .57226 L
.51831 .57046 L
.5182 .57033 L
.51682 .56841 L
.51638 .56784 L
.51539 .56648 L
.51445 .56543 L
.51354 .56455 L
.51253 .56265 L
.51251 .56263 L
.51112 .5607 L
.5106 .56001 L
.50971 .55877 L
.50867 .55755 L
.50799 .55684 L
.50686 .55492 L
.50674 .55477 L
.50548 .55299 L
.50482 .55212 L
.50407 .55106 L
.50289 .54959 L
.50248 .54914 L
.50126 .54721 L
.50096 .54682 L
.49989 .54528 L
.49904 .54415 L
.49849 .54336 L
.49711 .54152 L
.49704 .54143 L
.49572 .5395 L
.49518 .53878 L
.49436 .53758 L
.49326 .53609 L
.49296 .53565 L
.49159 .53372 L
.49133 .53337 L
.49027 .53179 L
.4894 .53061 L
.48891 .52987 L
.48753 .52794 L
.48747 .52786 L
.48628 .52601 L
.48555 .525 L
.48498 .52409 L
.48363 .52216 L
.48362 .52215 L
.4825 .52023 L
.48169 .51902 L
.48134 .51831 L
F
1 .12 0 r
.48169 .48264 m
.48237 .48362 L
.48362 .48529 L
.48377 .48555 L
.48362 .48623 L
.48303 .48555 L
.48169 .48408 L
.48137 .48362 L
F
0 .79 1 r
.48169 .41582 m
.48207 .41618 L
.48362 .41763 L
.48403 .41811 L
.48555 .4196 L
.48577 .42003 L
.4874 .42196 L
.48747 .42204 L
.48898 .42389 L
.4894 .42438 L
.49054 .42581 L
.49133 .42645 L
.4921 .42774 L
.49326 .42914 L
.49385 .42967 L
.49513 .43159 L
.49518 .43165 L
.49661 .43352 L
.49711 .43391 L
.4981 .43545 L
.49904 .43659 L
.49981 .43737 L
.50096 .43918 L
.50106 .4393 L
.50251 .44123 L
.50289 .44154 L
.50396 .44316 L
.50482 .44422 L
.5056 .44508 L
.50674 .44684 L
.50686 .44701 L
.5083 .44894 L
.50867 .44925 L
.50974 .45086 L
.5106 .45195 L
.51132 .45279 L
.51253 .4546 L
.5126 .45472 L
.51403 .45664 L
.51445 .45702 L
.51618 .45857 L
.51638 .45975 L
.51699 .4605 L
.51831 .46241 L
.51831 .46242 L
.51971 .46435 L
.52023 .46484 L
.52171 .46628 L
.52216 .4676 L
.52263 .46821 L
.52397 .47013 L
.52409 .47028 L
.52536 .47206 L
.52601 .47271 L
.52724 .47399 L
.52794 .47551 L
.52824 .47591 L
.52959 .47784 L
.52987 .4782 L
.53098 .47977 L
.53179 .48064 L
.53275 .48169 L
.53372 .48348 L
.53382 .48362 L
.53518 .48555 L
.53565 .48617 L
.53657 .48747 L
.53758 .48866 L
.53821 .4894 L
.53937 .49133 L
.5395 .49151 L
.54072 .49326 L
.54143 .49421 L
.5421 .49518 L
.54336 .49682 L
.54359 .49711 L
.54485 .49904 L
.54528 .49962 L
.54619 .50096 L
.54721 .50236 L
.54757 .50289 L
.54892 .50482 L
.54914 .50511 L
.55021 .50674 L
.55106 .50793 L
.55154 .50867 L
.55288 .5106 L
.55299 .51076 L
.55408 .51253 L
.55492 .51375 L
.55532 .51445 L
.55492 .51634 L
.55323 .51445 L
.55299 .5142 L
.55158 .51253 L
.55106 .51194 L
.54995 .5106 L
.54914 .51003 L
.54836 .50867 L
.54721 .50729 L
.54652 .50674 L
.54528 .50482 L
.54528 .50482 L
.54376 .50289 L
.54336 .50261 L
.54224 .50096 L
.54143 .49996 L
.54049 .49904 L
.5395 .4974 L
.53929 .49711 L
.53778 .49518 L
.53758 .49502 L
.5363 .49326 L
.53565 .49242 L
.53466 .49133 L
.53372 .48982 L
.53345 .4894 L
.53193 .48747 L
.53179 .48736 L
.53048 .48555 L
.52987 .48477 L
.52891 .48362 L
.52794 .48213 L
.52768 .48169 L
.52616 .47977 L
.52601 .47964 L
.52472 .47784 L
.52409 .47702 L
.52321 .47591 L
.52216 .47436 L
.52196 .47399 L
.52044 .47206 L
.52023 .47187 L
.51845 .47013 L
.51831 .46921 L
.51754 .46821 L
.51638 .46654 L
.51626 .46628 L
.51477 .46435 L
.51445 .46405 L
.51289 .46242 L
.51253 .46134 L
.51191 .4605 L
.5106 .45866 L
.51057 .45857 L
.50914 .45664 L
.50867 .45618 L
.50734 .45472 L
.50674 .45341 L
.50631 .45279 L
.50493 .45086 L
.50482 .45071 L
.50354 .44894 L
.50289 .44824 L
.50183 .44701 L
.50096 .44541 L
.50075 .44508 L
.49938 .44316 L
.49904 .44269 L
.498 .44123 L
.49711 .44018 L
.4964 .4393 L
.49524 .43737 L
.49518 .4373 L
.4939 .43545 L
.49326 .43456 L
.49253 .43352 L
.49133 .43191 L
.49108 .43159 L
.48985 .42967 L
.4894 .42904 L
.48853 .42774 L
.48747 .42624 L
.48719 .42581 L
.48591 .42389 L
.48555 .42336 L
.48467 .42196 L
.48362 .42039 L
.48341 .42003 L
.48231 .41811 L
.48169 .41705 L
.48137 .41618 L
F
0 .48 1 r
.48169 .47503 m
.48297 .47591 L
.48362 .47644 L
.48494 .47784 L
.48555 .47847 L
.48663 .47977 L
.48747 .48019 L
.48821 .48169 L
.4894 .48311 L
.48994 .48362 L
.49112 .48555 L
.49133 .48582 L
.49248 .48747 L
.49326 .4886 L
.49379 .4894 L
.49495 .49133 L
.49518 .49177 L
.49573 .49326 L
.49518 .49382 L
.49434 .49326 L
.49326 .49238 L
.49228 .49133 L
.49133 .49031 L
.4906 .4894 L
.4894 .48815 L
.48903 .48747 L
.48756 .48555 L
.48747 .48544 L
.48618 .48362 L
.48555 .48277 L
.48482 .48169 L
.48362 .47997 L
.4833 .47977 L
.48235 .47784 L
.48169 .47665 L
.48139 .47591 L
F
1 .11 0 r
.48169 .48274 m
.48229 .48362 L
.48362 .48542 L
.48369 .48555 L
.48362 .48605 L
.48317 .48555 L
.48169 .48399 L
.48144 .48362 L
F
0 .47 1 r
.48169 .47517 m
.48287 .47591 L
.48362 .47651 L
.48489 .47784 L
.48555 .47852 L
.48659 .47977 L
.48747 .48023 L
.48817 .48169 L
.4894 .48316 L
.4899 .48362 L
.49109 .48555 L
.49133 .48586 L
.49245 .48747 L
.49326 .48865 L
.49375 .4894 L
.4949 .49133 L
.49518 .49188 L
.49564 .49326 L
.49518 .49371 L
.49444 .49326 L
.49326 .49232 L
.49232 .49133 L
.49133 .49026 L
.49063 .4894 L
.4894 .4881 L
.48906 .48747 L
.48759 .48555 L
.48747 .4854 L
.48621 .48362 L
.48555 .48273 L
.48484 .48169 L
.48362 .47992 L
.48338 .47977 L
.4824 .47784 L
.48169 .47652 L
.48146 .47591 L
F
0 .92 1 r
.48169 .44818 m
.48198 .44894 L
.48169 .44917 L
.48149 .44894 L
F
1 .1 0 r
.48169 .48287 m
.48219 .48362 L
.48169 .48388 L
.48151 .48362 L
F
0 .97 1 r
.48169 .50094 m
.48354 .50096 L
.48362 .50098 L
.48555 .50214 L
.48621 .50289 L
.48747 .50434 L
.488 .50482 L
.48932 .50674 L
.4894 .50685 L
.49073 .50867 L
.49133 .50918 L
.49215 .5106 L
.49326 .51196 L
.49372 .51253 L
.49499 .51445 L
.49518 .51471 L
.49635 .51638 L
.49711 .5174 L
.49826 .51831 L
.49904 .52001 L
.49918 .52023 L
.50046 .52216 L
.50096 .52287 L
.50176 .52409 L
.50289 .52575 L
.50315 .52601 L
.50419 .52794 L
.50482 .5291 L
.50538 .52987 L
.50586 .53179 L
.50652 .53372 L
.50674 .53412 L
.50755 .53565 L
.50867 .53723 L
.50885 .53758 L
.51028 .5395 L
.5106 .53987 L
.51185 .54143 L
.51253 .5422 L
.51349 .54336 L
.51445 .5444 L
.51516 .54528 L
.51638 .54716 L
.51682 .54721 L
.51831 .54897 L
.51846 .54914 L
.52008 .55106 L
.52023 .55118 L
.5217 .55299 L
.52216 .55365 L
.52323 .55492 L
.52409 .55627 L
.52486 .55684 L
.52601 .55834 L
.52637 .55877 L
.52785 .5607 L
.52794 .56082 L
.52952 .56263 L
.52987 .56339 L
.53067 .56455 L
.53179 .56602 L
.53189 .56648 L
.53371 .56841 L
.53372 .56842 L
.53531 .57033 L
.53565 .57102 L
.53649 .57226 L
.53758 .57368 L
.53769 .57419 L
.53945 .57611 L
.5395 .57618 L
.54099 .57804 L
.54143 .57881 L
.54216 .57997 L
.54336 .58148 L
.54374 .58189 L
.54514 .58382 L
.54528 .584 L
.54664 .58575 L
.54721 .58667 L
.5478 .58768 L
.54914 .58933 L
.5494 .5896 L
.5508 .59153 L
.55106 .59187 L
.55226 .59346 L
.55299 .59456 L
.55342 .59538 L
.55492 .5972 L
.55502 .59731 L
.55643 .59924 L
.55684 .59978 L
.55786 .60116 L
.55877 .60249 L
.55904 .60309 L
.56062 .60502 L
.5607 .60507 L
.56244 .60694 L
.56263 .60773 L
.56343 .60887 L
.56455 .61046 L
.56468 .6108 L
.56618 .61273 L
.56648 .61296 L
.56796 .61465 L
.56841 .61575 L
.56896 .61658 L
.57033 .61851 L
.57033 .61851 L
.57169 .62043 L
.57226 .62097 L
.5734 .62236 L
.57419 .62391 L
.57443 .62429 L
.57576 .62621 L
.57611 .62671 L
.57711 .62814 L
.57804 .62925 L
.57865 .63007 L
.57976 .63199 L
.57997 .63229 L
.58105 .63392 L
.58189 .63516 L
.58235 .63585 L
.5836 .63778 L
.58382 .63811 L
.58478 .6397 L
.58575 .64126 L
.58596 .64163 L
.58575 .64352 L
.58393 .64163 L
.58382 .64153 L
.58224 .6397 L
.58189 .63933 L
.58062 .63778 L
.57997 .63703 L
.57902 .63585 L
.57804 .63486 L
.57745 .63392 L
.57611 .63229 L
.57579 .63199 L
.5744 .63007 L
.57419 .62981 L
.57291 .62814 L
.57226 .6275 L
.57141 .62621 L
.57033 .62486 L
.56978 .62429 L
.56845 .62236 L
.56841 .62231 L
.567 .62043 L
.56648 .61991 L
.56555 .61851 L
.56455 .61725 L
.56396 .61658 L
.56263 .61465 L
.56263 .61465 L
.56121 .61273 L
.5607 .61221 L
.55911 .6108 L
.55877 .60952 L
.55822 .60887 L
.55688 .60694 L
.55684 .60689 L
.55548 .60502 L
.55492 .60444 L
.55351 .60309 L
.55299 .60172 L
.55254 .60116 L
.55118 .59924 L
.55106 .59908 L
.54978 .59731 L
.54914 .59662 L
.54792 .59538 L
.54721 .59388 L
.54688 .59346 L
.54551 .59153 L
.54528 .59123 L
.54412 .5896 L
.54336 .58876 L
.54235 .58768 L
.54143 .586 L
.54124 .58575 L
.53987 .58382 L
.5395 .58372 L
.53847 .58189 L
.53758 .58086 L
.53678 .57997 L
.53565 .57809 L
.53561 .57804 L
.53424 .57611 L
.53372 .57587 L
.53284 .57419 L
.53179 .57292 L
.53123 .57226 L
.53 .57033 L
.52987 .57016 L
.52863 .56841 L
.52794 .56797 L
.52723 .56648 L
.52601 .56494 L
.5257 .56455 L
.52442 .56263 L
.52409 .56219 L
.52305 .5607 L
.52216 .55951 L
.52164 .55877 L
.52023 .55688 L
.52021 .55684 L
.51888 .55492 L
.51831 .55416 L
.51751 .55299 L
.51638 .55147 L
.5161 .55106 L
.51473 .54914 L
.51445 .54877 L
.51342 .54721 L
.51253 .54601 L
.51205 .54528 L
.51065 .54336 L
.5106 .54328 L
.50942 .54143 L
.50867 .54042 L
.50811 .5395 L
.50674 .53763 L
.50671 .53758 L
.50547 .53565 L
.50482 .53482 L
.50411 .53372 L
.50289 .53222 L
.50264 .53179 L
.50116 .52987 L
.50096 .52963 L
.49969 .52794 L
.49904 .52711 L
.49794 .52601 L
.49711 .5246 L
.4967 .52409 L
.49526 .52216 L
.49518 .52206 L
.49366 .52023 L
.49326 .5195 L
.49237 .51831 L
.49133 .5169 L
.49103 .51638 L
.48941 .51445 L
.4894 .51433 L
.48806 .51253 L
.48747 .51168 L
.48681 .5106 L
.48555 .50901 L
.4855 .50867 L
.48378 .50674 L
.48362 .50628 L
.48263 .50482 L
.48169 .50325 L
.48152 .50289 L
.48161 .50096 L
F
0 .46 1 r
.48169 .47534 m
.48276 .47591 L
.48362 .47657 L
.48484 .47784 L
.48555 .47857 L
.48655 .47977 L
.48747 .48027 L
.48814 .48169 L
.4894 .48321 L
.48984 .48362 L
.49106 .48555 L
.49133 .48591 L
.49242 .48747 L
.49326 .4887 L
.49372 .4894 L
.49485 .49133 L
.49518 .49201 L
.49554 .49326 L
.49518 .4936 L
.49456 .49326 L
.49326 .49227 L
.49237 .49133 L
.49133 .49022 L
.49066 .4894 L
.4894 .48805 L
.48909 .48747 L
.48762 .48555 L
.48747 .48536 L
.48624 .48362 L
.48555 .48268 L
.48487 .48169 L
.48362 .47987 L
.48346 .47977 L
.48245 .47784 L
.48169 .47637 L
.48154 .47591 L
F
0 .98 1 r
.48169 .39975 m
.48304 .40076 L
.48362 .40124 L
.48505 .40269 L
.48555 .40318 L
.48687 .40462 L
.48747 .40518 L
.48859 .40654 L
.4894 .40753 L
.49059 .40847 L
.49133 .40989 L
.49177 .4104 L
.49326 .41224 L
.49327 .41232 L
.49497 .41425 L
.49518 .41454 L
.49663 .41618 L
.49711 .41707 L
.49785 .41811 L
.49904 .41968 L
.49955 .42003 L
.50096 .42191 L
.501 .42196 L
.50252 .42389 L
.50289 .42452 L
.50373 .42581 L
.50482 .42727 L
.50544 .42774 L
.50674 .42951 L
.50687 .42967 L
.50831 .43159 L
.50867 .43218 L
.50949 .43352 L
.5106 .43499 L
.51122 .43545 L
.51253 .43725 L
.51262 .43737 L
.51403 .4393 L
.51445 .43995 L
.51516 .44123 L
.51638 .44278 L
.51693 .44316 L
.51831 .44506 L
.51832 .44508 L
.51971 .44701 L
.52023 .44779 L
.5208 .44894 L
.52216 .45061 L
.52261 .45086 L
.52404 .45279 L
.52409 .45292 L
.52536 .45472 L
.52601 .45566 L
.52641 .45664 L
.52794 .45842 L
.52827 .45857 L
.52974 .4605 L
.52987 .46079 L
.53099 .46242 L
.53179 .46353 L
.53202 .46435 L
.53372 .46622 L
.53392 .46628 L
.53541 .46821 L
.53565 .46868 L
.53662 .47013 L
.53758 .47141 L
.53762 .47206 L
.5395 .47398 L
.53956 .47399 L
.54106 .47591 L
.54143 .47657 L
.54224 .47784 L
.54336 .47928 L
.54381 .47977 L
.5452 .48169 L
.54528 .4818 L
.5467 .48362 L
.54721 .48447 L
.54786 .48555 L
.54914 .48715 L
.54944 .48747 L
.55084 .4894 L
.55106 .48968 L
.55233 .49133 L
.55299 .49236 L
.55348 .49326 L
.55492 .49501 L
.55508 .49518 L
.55681 .49711 L
.55684 .49756 L
.55795 .49904 L
.55877 .50025 L
.55912 .50096 L
.5607 .50287 L
.56072 .50289 L
.56246 .50482 L
.56263 .50545 L
.56357 .50674 L
.56455 .50814 L
.56476 .50867 L
.56635 .5106 L
.56648 .5107 L
.56809 .51253 L
.56841 .51334 L
.56919 .51445 L
.57033 .51604 L
.57043 .51638 L
.57198 .51831 L
.57226 .51854 L
.5737 .52023 L
.57419 .52125 L
.57481 .52216 L
.57611 .52395 L
.57613 .52409 L
.57761 .52601 L
.57804 .52641 L
.5793 .52794 L
.57997 .52916 L
.58043 .52987 L
.58184 .53179 L
.58189 .53186 L
.58323 .53372 L
.58382 .5343 L
.58488 .53565 L
.58575 .53709 L
.58605 .53758 L
.58746 .5395 L
.58768 .53979 L
.58885 .54143 L
.5896 .54222 L
.59046 .54336 L
.59153 .54504 L
.59167 .54528 L
.59306 .54721 L
.59346 .54774 L
.59445 .54914 L
.59538 .55018 L
.59602 .55106 L
.59729 .55299 L
.59731 .55302 L
.59865 .55492 L
.59924 .5557 L
.60067 .55684 L
.60116 .55821 L
.60156 .55877 L
.60284 .5607 L
.60309 .56103 L
.6042 .56263 L
.60502 .56372 L
.60606 .56455 L
.60694 .56636 L
.60703 .56648 L
.60834 .56841 L
.60887 .56912 L
.6097 .57033 L
.6108 .57159 L
.61129 .57226 L
.61243 .57419 L
.61273 .57459 L
.61374 .57611 L
.61465 .57739 L
.61508 .57804 L
.61641 .57997 L
.61658 .5802 L
.61767 .58189 L
.61851 .58311 L
.61895 .58382 L
.62022 .58575 L
.62043 .58607 L
.6214 .58768 L
.62236 .58924 L
.62256 .5896 L
.62356 .59153 L
.62236 .59261 L
.62122 .59153 L
.62043 .5907 L
.61949 .5896 L
.61851 .58861 L
.61789 .58768 L
.61658 .58605 L
.61624 .58575 L
.61488 .58382 L
.61465 .58359 L
.61342 .58189 L
.61273 .58099 L
.61171 .57997 L
.6108 .5784 L
.61051 .57804 L
.60908 .57611 L
.60887 .57584 L
.60735 .57419 L
.60694 .57327 L
.6062 .57226 L
.60502 .57071 L
.60491 .57033 L
.60323 .56841 L
.60309 .5682 L
.60179 .56648 L
.60116 .56557 L
.60073 .56455 L
.59924 .56282 L
.59879 .56263 L
.59732 .5607 L
.59731 .56063 L
.596 .55877 L
.59538 .5579 L
.59505 .55684 L
.59346 .55557 L
.59295 .55492 L
.59153 .55299 L
.59153 .55298 L
.5902 .55106 L
.5896 .55021 L
.58923 .54914 L
.58768 .54784 L
.58719 .54721 L
.58578 .54528 L
.58575 .54522 L
.58448 .54336 L
.58382 .54244 L
.5835 .54143 L
.58189 .54004 L
.58149 .5395 L
.58007 .53758 L
.57997 .53738 L
.57881 .53565 L
.57804 .5346 L
.57787 .53372 L
.57611 .53218 L
.57582 .53179 L
.57439 .52987 L
.57419 .52951 L
.57317 .52794 L
.57226 .52674 L
.57156 .52601 L
.57033 .52431 L
.57016 .52409 L
.56873 .52216 L
.56841 .52163 L
.56756 .52023 L
.56648 .51886 L
.56591 .51831 L
.56455 .51642 L
.56452 .51638 L
.56309 .51445 L
.56263 .51373 L
.56194 .51253 L
.5607 .511 L
.56027 .5106 L
.55878 .50867 L
.55877 .50853 L
.55746 .50674 L
.55684 .50584 L
.55633 .50482 L
.55492 .50315 L
.55463 .50289 L
.55307 .50096 L
.55299 .50064 L
.55183 .49904 L
.55106 .49795 L
.55071 .49711 L
.54914 .49531 L
.54899 .49518 L
.5474 .49326 L
.54721 .49275 L
.54621 .49133 L
.54528 .49006 L
.54508 .4894 L
.54336 .48747 L
.54336 .48747 L
.54175 .48555 L
.54143 .48486 L
.54059 .48362 L
.5395 .48217 L
.53943 .48169 L
.53772 .47977 L
.53758 .47962 L
.53612 .47784 L
.53565 .47697 L
.53496 .47591 L
.53372 .47428 L
.53349 .47399 L
.53209 .47206 L
.53179 .47175 L
.5305 .47013 L
.52987 .46907 L
.52934 .46821 L
.52794 .46639 L
.52785 .46628 L
.52646 .46435 L
.52601 .46388 L
.52488 .46242 L
.52409 .46116 L
.52371 .4605 L
.52223 .45857 L
.52216 .45848 L
.52083 .45664 L
.52023 .45599 L
.51928 .45472 L
.51831 .45324 L
.51807 .45279 L
.51661 .45086 L
.51638 .45081 L
.51466 .44894 L
.51445 .44807 L
.51369 .44701 L
.51253 .4453 L
.51243 .44508 L
.511 .44316 L
.5106 .44299 L
.5091 .44123 L
.50867 .44012 L
.5081 .4393 L
.50677 .43737 L
.50674 .43734 L
.5054 .43545 L
.50482 .43509 L
.50358 .43352 L
.50289 .43213 L
.50253 .43159 L
.5012 .42967 L
.50096 .42936 L
.49983 .42774 L
.49904 .42708 L
.4981 .42581 L
.49711 .42406 L
.497 .42389 L
.49566 .42196 L
.49518 .42131 L
.4943 .42003 L
.49326 .41889 L
.4927 .41811 L
.49154 .41618 L
.49133 .41589 L
.49022 .41425 L
.4894 .41312 L
.48887 .41232 L
.4875 .4104 L
.48747 .41036 L
.48625 .40847 L
.48555 .40747 L
.48498 .40654 L
.48369 .40462 L
.48362 .40451 L
.48261 .40269 L
.48169 .40107 L
.48157 .40076 L
F
1 .09 0 r
.48169 .48303 m
.48206 .48362 L
.48169 .48376 L
.4816 .48362 L
F
0 .45 1 r
.48169 .47557 m
.48262 .47591 L
.48362 .47664 L
.48479 .47784 L
.48555 .47862 L
.48651 .47977 L
.48747 .48032 L
.48811 .48169 L
.4894 .48326 L
.48979 .48362 L
.49103 .48555 L
.49133 .48595 L
.49238 .48747 L
.49326 .48875 L
.49368 .4894 L
.49479 .49133 L
.49518 .49215 L
.49542 .49326 L
.49518 .49347 L
.4947 .49326 L
.49326 .49221 L
.49242 .49133 L
.49133 .49018 L
.4907 .4894 L
.4894 .488 L
.48912 .48747 L
.48765 .48555 L
.48747 .48532 L
.48627 .48362 L
.48555 .48264 L
.4849 .48169 L
.48362 .47982 L
.48354 .47977 L
.4825 .47784 L
.48169 .47617 L
.48163 .47591 L
F
0 .96 1 r
.48362 .50137 m
.48555 .50243 L
.48598 .50289 L
.48747 .50454 L
.4878 .50482 L
.4892 .50674 L
.4894 .507 L
.49063 .50867 L
.49133 .50929 L
.49206 .5106 L
.49326 .5121 L
.49361 .51253 L
.49489 .51445 L
.49518 .51484 L
.49625 .51638 L
.49711 .51755 L
.4981 .51831 L
.49902 .52023 L
.49904 .52026 L
.50029 .52216 L
.50096 .52314 L
.50156 .52409 L
.50278 .52601 L
.50289 .5262 L
.50375 .52794 L
.50443 .52987 L
.50289 .53124 L
.50183 .52987 L
.50096 .52892 L
.50018 .52794 L
.49904 .52658 L
.4984 .52601 L
.49711 .52417 L
.49704 .52409 L
.49553 .52216 L
.49518 .52172 L
.49385 .52023 L
.49326 .5192 L
.49257 .51831 L
.49133 .51664 L
.49118 .51638 L
.48943 .51445 L
.4894 .51409 L
.48822 .51253 L
.48747 .51145 L
.48697 .5106 L
.48555 .50876 L
.48554 .50867 L
.48389 .50674 L
.48362 .50596 L
.48286 .50482 L
.48186 .50289 L
F
1 .94 0 r
.48362 .4684 m
.48555 .46952 L
.48632 .47013 L
.48747 .47139 L
.48787 .47206 L
.4894 .47365 L
.48967 .47399 L
.49118 .47591 L
.49133 .47614 L
.49268 .47784 L
.49326 .47881 L
.49386 .47977 L
.49518 .48152 L
.49558 .48169 L
.49699 .48362 L
.49711 .48378 L
.4984 .48555 L
.49904 .48645 L
.49953 .48747 L
.50096 .48912 L
.50124 .4894 L
.5028 .49133 L
.50289 .49139 L
.50396 .49326 L
.50482 .49396 L
.50506 .49518 L
.5065 .49711 L
.50673 .49904 L
.50482 .49927 L
.50391 .49904 L
.50289 .49855 L
.50143 .49711 L
.50096 .49661 L
.49922 .49518 L
.49904 .49382 L
.49825 .49326 L
.49711 .49144 L
.49696 .49133 L
.49549 .4894 L
.49518 .48911 L
.49358 .48747 L
.49326 .48645 L
.49257 .48555 L
.49133 .48375 L
.49127 .48362 L
.48985 .48169 L
.4894 .48108 L
.48802 .47977 L
.48747 .47862 L
.48701 .47784 L
.48569 .47591 L
.48555 .47571 L
.48437 .47399 L
.48362 .47288 L
.48274 .47206 L
.48193 .47013 L
F
1 .93 0 r
.48362 .46862 m
.48555 .46973 L
.48611 .47013 L
.48747 .47155 L
.48778 .47206 L
.4894 .47377 L
.48958 .47399 L
.49112 .47591 L
.49133 .47624 L
.49263 .47784 L
.49326 .47888 L
.49382 .47977 L
.49518 .48155 L
.49554 .48169 L
.49695 .48362 L
.49711 .48384 L
.49837 .48555 L
.49904 .4865 L
.4995 .48747 L
.50096 .48916 L
.50119 .4894 L
.50279 .49133 L
.50289 .49141 L
.50391 .49326 L
.50482 .49408 L
.50502 .49518 L
.5064 .49711 L
.50622 .49904 L
.50482 .49914 L
.50433 .49904 L
.50289 .49843 L
.50152 .49711 L
.50096 .49653 L
.49926 .49518 L
.49904 .49377 L
.49829 .49326 L
.49711 .49142 L
.49699 .49133 L
.49552 .4894 L
.49518 .48908 L
.49359 .48747 L
.49326 .48641 L
.4926 .48555 L
.49133 .48372 L
.49129 .48362 L
.48988 .48169 L
.4894 .48104 L
.48805 .47977 L
.48747 .47856 L
.48704 .47784 L
.48574 .47591 L
.48555 .47564 L
.48443 .47399 L
.48362 .47278 L
.48285 .47206 L
.48209 .47013 L
F
0 .95 1 r
.48362 .50174 m
.48555 .50271 L
.48573 .50289 L
.48747 .50473 L
.48758 .50482 L
.48907 .50674 L
.4894 .50715 L
.49052 .50867 L
.49133 .50941 L
.49197 .5106 L
.49326 .51225 L
.49348 .51253 L
.49479 .51445 L
.49518 .51499 L
.49614 .51638 L
.49711 .5177 L
.49792 .51831 L
.49887 .52023 L
.49904 .52047 L
.50012 .52216 L
.50096 .52345 L
.50135 .52409 L
.50242 .52601 L
.50289 .52698 L
.50318 .52794 L
.50289 .52946 L
.50096 .52811 L
.5008 .52794 L
.49904 .52604 L
.49901 .52601 L
.49738 .52409 L
.49711 .5238 L
.4958 .52216 L
.49518 .5214 L
.49406 .52023 L
.49326 .51892 L
.49277 .51831 L
.49133 .5164 L
.49131 .51638 L
.48945 .51445 L
.4894 .51386 L
.48838 .51253 L
.48747 .51121 L
.48711 .5106 L
.48566 .50867 L
.48555 .50851 L
.484 .50674 L
.48362 .50561 L
.4831 .50482 L
.48225 .50289 L
F
1 .92 0 r
.48362 .46884 m
.48555 .46993 L
.48586 .47013 L
.48747 .4717 L
.4877 .47206 L
.4894 .47389 L
.48948 .47399 L
.49105 .47591 L
.49133 .47633 L
.49258 .47784 L
.49326 .47895 L
.49378 .47977 L
.49518 .48158 L
.49549 .48169 L
.49691 .48362 L
.49711 .48389 L
.49833 .48555 L
.49904 .48656 L
.49947 .48747 L
.50096 .48921 L
.50115 .4894 L
.50278 .49133 L
.50289 .49143 L
.50387 .49326 L
.50482 .49421 L
.50499 .49518 L
.50629 .49711 L
.50482 .49901 L
.50289 .49831 L
.50161 .49711 L
.50096 .49645 L
.4993 .49518 L
.49904 .49372 L
.49832 .49326 L
.49711 .4914 L
.49701 .49133 L
.49555 .4894 L
.49518 .48905 L
.49361 .48747 L
.49326 .48637 L
.49262 .48555 L
.49133 .48368 L
.4913 .48362 L
.48991 .48169 L
.4894 .481 L
.48808 .47977 L
.48747 .4785 L
.48708 .47784 L
.48579 .47591 L
.48555 .47557 L
.48449 .47399 L
.48362 .47267 L
.48297 .47206 L
.48226 .47013 L
F
1 .91 0 r
.48362 .46906 m
.48555 .47012 L
.48557 .47013 L
.48747 .47184 L
.48761 .47206 L
.48939 .47399 L
.4894 .474 L
.49098 .47591 L
.49133 .47643 L
.49253 .47784 L
.49326 .47902 L
.49374 .47977 L
.49518 .4816 L
.49544 .48169 L
.49687 .48362 L
.49711 .48394 L
.4983 .48555 L
.49904 .48661 L
.49944 .48747 L
.50096 .48925 L
.50111 .4894 L
.50276 .49133 L
.50289 .49146 L
.50382 .49326 L
.50482 .49436 L
.50496 .49518 L
.50618 .49711 L
.50482 .49888 L
.50289 .4982 L
.5017 .49711 L
.50096 .49637 L
.49934 .49518 L
.49904 .49368 L
.49836 .49326 L
.49711 .49138 L
.49703 .49133 L
.49558 .4894 L
.49518 .48902 L
.49364 .48747 L
.49326 .48634 L
.49265 .48555 L
.49133 .48364 L
.49132 .48362 L
.48994 .48169 L
.4894 .48096 L
.48811 .47977 L
.48747 .47844 L
.48712 .47784 L
.48583 .47591 L
.48555 .4755 L
.48455 .47399 L
.48362 .47255 L
.48309 .47206 L
.48244 .47013 L
F
0 .44 1 r
.48362 .47671 m
.48473 .47784 L
.48555 .47867 L
.48648 .47977 L
.48747 .48037 L
.48807 .48169 L
.4894 .48331 L
.48974 .48362 L
.491 .48555 L
.49133 .486 L
.49235 .48747 L
.49326 .4888 L
.49365 .4894 L
.49474 .49133 L
.49518 .49235 L
.49527 .49326 L
.49518 .49333 L
.49491 .49326 L
.49326 .49215 L
.49247 .49133 L
.49133 .49013 L
.49073 .4894 L
.4894 .48795 L
.48915 .48747 L
.48768 .48555 L
.48747 .48528 L
.4863 .48362 L
.48555 .4826 L
.48493 .48169 L
.48362 .47977 L
.48362 .47977 L
.48255 .47784 L
F
0 .78 1 r
.48362 .41787 m
.48383 .41811 L
.48555 .41988 L
.48563 .42003 L
.48728 .42196 L
.48747 .42218 L
.48887 .42389 L
.4894 .42449 L
.49046 .42581 L
.49133 .42655 L
.49202 .42774 L
.49326 .42924 L
.49375 .42967 L
.49507 .43159 L
.49518 .43173 L
.49656 .43352 L
.49711 .43397 L
.49805 .43545 L
.49904 .43666 L
.49975 .43737 L
.50096 .43923 L
.50101 .4393 L
.50246 .44123 L
.50289 .44158 L
.50392 .44316 L
.50482 .44427 L
.50556 .44508 L
.50674 .44689 L
.50683 .44701 L
.50827 .44894 L
.50867 .44928 L
.50971 .45086 L
.5106 .45199 L
.51129 .45279 L
.51253 .45463 L
.51258 .45472 L
.514 .45664 L
.51445 .45705 L
.51616 .45857 L
.51638 .45978 L
.51696 .4605 L
.51829 .46242 L
.51831 .46245 L
.51969 .46435 L
.52023 .46487 L
.52169 .46628 L
.52216 .46764 L
.5226 .46821 L
.52394 .47013 L
.52409 .47032 L
.52534 .47206 L
.52601 .47274 L
.52721 .47399 L
.52794 .47555 L
.52822 .47591 L
.52957 .47784 L
.52987 .47824 L
.53096 .47977 L
.53179 .48068 L
.53271 .48169 L
.53372 .48352 L
.53379 .48362 L
.53515 .48555 L
.53565 .48621 L
.53654 .48747 L
.53758 .48871 L
.53816 .4894 L
.53933 .49133 L
.5395 .49156 L
.54068 .49326 L
.54143 .49426 L
.54207 .49518 L
.54336 .49689 L
.54354 .49711 L
.5448 .49904 L
.54528 .49969 L
.54615 .50096 L
.54721 .50243 L
.54752 .50289 L
.54886 .50482 L
.54914 .5052 L
.55015 .50674 L
.55106 .50803 L
.55147 .50867 L
.55278 .5106 L
.55299 .5109 L
.55396 .51253 L
.55492 .51395 L
.55519 .51445 L
.55492 .51608 L
.55342 .51445 L
.55299 .51402 L
.55171 .51253 L
.55106 .5118 L
.55007 .5106 L
.54914 .50991 L
.54846 .50867 L
.54721 .50717 L
.54666 .50674 L
.54536 .50482 L
.54528 .50473 L
.54383 .50289 L
.54336 .50255 L
.54231 .50096 L
.54143 .49988 L
.54056 .49904 L
.5395 .49733 L
.53934 .49711 L
.53784 .49518 L
.53758 .49498 L
.53635 .49326 L
.53565 .49236 L
.53471 .49133 L
.53372 .48977 L
.53348 .4894 L
.53197 .48747 L
.53179 .48733 L
.53052 .48555 L
.52987 .48471 L
.52895 .48362 L
.52794 .48208 L
.52771 .48169 L
.52619 .47977 L
.52601 .47961 L
.52475 .47784 L
.52409 .47697 L
.52324 .47591 L
.52216 .47432 L
.52198 .47399 L
.52048 .47206 L
.52023 .47184 L
.51846 .47013 L
.51831 .46916 L
.51757 .46821 L
.51638 .4665 L
.51628 .46628 L
.5148 .46435 L
.51445 .46402 L
.51291 .46242 L
.51253 .46129 L
.51194 .4605 L
.5106 .45862 L
.51058 .45857 L
.50917 .45664 L
.50867 .45614 L
.50737 .45472 L
.50674 .45336 L
.50634 .45279 L
.50497 .45086 L
.50482 .45066 L
.50358 .44894 L
.50289 .44819 L
.50187 .44701 L
.50096 .44535 L
.50078 .44508 L
.49942 .44316 L
.49904 .44263 L
.49804 .44123 L
.49711 .44012 L
.49645 .4393 L
.49529 .43737 L
.49518 .43723 L
.49395 .43545 L
.49326 .43449 L
.49258 .43352 L
.49133 .43181 L
.49116 .43159 L
.48991 .42967 L
.4894 .42895 L
.4886 .42774 L
.48747 .42613 L
.48726 .42581 L
.48601 .42389 L
.48555 .42321 L
.48478 .42196 L
.48362 .42019 L
.48353 .42003 L
.48255 .41811 L
F
0 .43 1 r
.48362 .47678 m
.48468 .47784 L
.48555 .47872 L
.48643 .47977 L
.48747 .48043 L
.48804 .48169 L
.4894 .48336 L
.48968 .48362 L
.49096 .48555 L
.49133 .48604 L
.49232 .48747 L
.49326 .48885 L
.49361 .4894 L
.49468 .49133 L
.49326 .49209 L
.49252 .49133 L
.49133 .49009 L
.49077 .4894 L
.4894 .4879 L
.48918 .48747 L
.48771 .48555 L
.48747 .48524 L
.48633 .48362 L
.48555 .48256 L
.48497 .48169 L
.48366 .47977 L
.48362 .4797 L
.48261 .47784 L
F
1 .92 0 r
.48362 .40968 m
.48432 .4104 L
.48555 .41163 L
.48617 .41232 L
.48747 .41371 L
.48789 .41425 L
.4894 .41603 L
.48957 .41618 L
.49113 .41811 L
.49133 .41814 L
.49271 .42003 L
.49326 .42065 L
.49427 .42196 L
.49518 .42315 L
.49585 .42389 L
.49711 .42562 L
.49722 .42581 L
.4988 .42774 L
.49904 .42802 L
.50076 .42967 L
.50096 .43057 L
.50178 .43159 L
.50289 .43315 L
.50306 .43352 L
.50471 .43545 L
.50482 .43558 L
.50645 .43737 L
.50674 .43818 L
.50758 .4393 L
.50867 .44081 L
.50881 .44123 L
.51051 .44316 L
.5106 .44327 L
.51215 .44508 L
.51253 .4459 L
.51331 .44701 L
.51445 .44855 L
.51452 .44894 L
.51624 .45086 L
.51638 .45103 L
.51784 .45279 L
.51831 .45368 L
.519 .45472 L
.52023 .45634 L
.52053 .45664 L
.52194 .45857 L
.52216 .45884 L
.5235 .4605 L
.52409 .46151 L
.52467 .46242 L
.52601 .46415 L
.52621 .46435 L
.52762 .46628 L
.52794 .46668 L
.52915 .46821 L
.52987 .46936 L
.53033 .47013 L
.53179 .47198 L
.53187 .47206 L
.53328 .47399 L
.53372 .47454 L
.53479 .47591 L
.53565 .47723 L
.53598 .47784 L
.53752 .47977 L
.53758 .47981 L
.53938 .48169 L
.5395 .48242 L
.54041 .48362 L
.54143 .48511 L
.54163 .48555 L
.54316 .48747 L
.54336 .48764 L
.54498 .4894 L
.54528 .49031 L
.54603 .49133 L
.54721 .49301 L
.5473 .49326 L
.54878 .49518 L
.54914 .4955 L
.55057 .49711 L
.55106 .49823 L
.55164 .49904 L
.55299 .50093 L
.553 .50096 L
.5544 .50289 L
.55492 .50338 L
.55614 .50482 L
.55684 .50617 L
.55724 .50674 L
.55862 .50867 L
.55877 .50887 L
.56 .5106 L
.5607 .51132 L
.56168 .51253 L
.56263 .51414 L
.56283 .51445 L
.5642 .51638 L
.56455 .51685 L
.56558 .51831 L
.56648 .51931 L
.56719 .52023 L
.5684 .52216 L
.56841 .52217 L
.56975 .52409 L
.57033 .52487 L
.57113 .52601 L
.57226 .52741 L
.57265 .52794 L
.5739 .52987 L
.57419 .53025 L
.57525 .53179 L
.57611 .53298 L
.57718 .53372 L
.57801 .53565 L
.57804 .53569 L
.57931 .53758 L
.57997 .53848 L
.58064 .5395 L
.58189 .54127 L
.58213 .54143 L
.58325 .54336 L
.58382 .54418 L
.58449 .54528 L
.58575 .54719 L
.58576 .54721 L
.5867 .54914 L
.58575 .54956 L
.5853 .54914 L
.58382 .548 L
.58337 .54721 L
.58189 .54562 L
.5812 .54528 L
.57997 .54341 L
.57991 .54336 L
.57826 .54143 L
.57804 .54132 L
.57665 .5395 L
.57611 .53886 L
.57452 .53758 L
.57419 .53639 L
.57356 .53565 L
.57226 .53393 L
.57216 .53372 L
.5705 .53179 L
.57033 .53158 L
.5687 .52987 L
.56841 .52904 L
.56758 .52794 L
.56648 .52645 L
.56632 .52601 L
.56458 .52409 L
.56455 .52405 L
.56295 .52216 L
.56263 .52146 L
.56177 .52023 L
.5607 .51881 L
.5606 .51831 L
.55877 .51638 L
.55877 .51638 L
.55723 .51445 L
.55684 .51375 L
.55604 .51253 L
.55492 .51107 L
.55443 .5106 L
.55303 .50867 L
.55299 .50862 L
.55153 .50674 L
.55106 .50597 L
.55035 .50482 L
.54914 .50328 L
.54872 .50289 L
.54732 .50096 L
.54721 .50082 L
.54585 .49904 L
.54528 .49815 L
.54469 .49711 L
.54336 .49547 L
.54304 .49518 L
.54164 .49326 L
.54143 .49298 L
.5402 .49133 L
.5395 .4903 L
.53904 .4894 L
.53758 .48765 L
.53738 .48747 L
.53573 .48555 L
.53565 .48512 L
.53455 .48362 L
.53372 .48243 L
.5334 .48169 L
.53179 .47982 L
.53173 .47977 L
.53007 .47784 L
.52987 .47724 L
.52892 .47591 L
.52794 .47455 L
.52775 .47399 L
.52609 .47206 L
.52601 .47198 L
.52443 .47013 L
.52409 .46935 L
.5233 .46821 L
.52216 .46666 L
.52209 .46628 L
.52046 .46435 L
.52023 .46412 L
.51882 .46242 L
.51831 .46144 L
.51769 .4605 L
.51638 .45875 L
.51638 .45857 L
.51485 .45664 L
.51445 .45624 L
.51323 .45472 L
.51253 .4535 L
.51208 .45279 L
.51064 .45086 L
.5106 .45081 L
.50925 .44894 L
.50867 .44831 L
.50766 .44701 L
.50674 .44553 L
.50648 .44508 L
.50506 .44316 L
.50482 .44283 L
.50368 .44123 L
.50289 .44033 L
.50213 .4393 L
.50096 .4375 L
.50089 .43737 L
.49952 .43545 L
.49904 .43479 L
.49748 .43352 L
.49711 .43223 L
.49666 .43159 L
.49539 .42967 L
.49518 .42939 L
.49404 .42774 L
.49326 .42665 L
.4922 .42581 L
.49133 .42394 L
.4913 .42389 L
.49001 .42196 L
.4894 .42111 L
.48868 .42003 L
.48747 .41845 L
.48723 .41811 L
.4861 .41618 L
.48555 .41537 L
.48487 .41425 L
.48362 .41234 L
.48361 .41232 L
.48264 .4104 L
F
1 .9 0 r
.48362 .46929 m
.48531 .47013 L
.48555 .47028 L
.48747 .47198 L
.48753 .47206 L
.4893 .47399 L
.4894 .47411 L
.49091 .47591 L
.49133 .47652 L
.49249 .47784 L
.49326 .47909 L
.49371 .47977 L
.49518 .48163 L
.4954 .48169 L
.49683 .48362 L
.49711 .48399 L
.49826 .48555 L
.49904 .48666 L
.49941 .48747 L
.50096 .4893 L
.50107 .4894 L
.50275 .49133 L
.50289 .49149 L
.50378 .49326 L
.50482 .49452 L
.50492 .49518 L
.50607 .49711 L
.50482 .49875 L
.50289 .49809 L
.50179 .49711 L
.50096 .49629 L
.49939 .49518 L
.49904 .49364 L
.49841 .49326 L
.49711 .49137 L
.49705 .49133 L
.49561 .4894 L
.49518 .48899 L
.49366 .48747 L
.49326 .4863 L
.49268 .48555 L
.49134 .48362 L
.49133 .4836 L
.48997 .48169 L
.4894 .48091 L
.48815 .47977 L
.48747 .47837 L
.48716 .47784 L
.48588 .47591 L
.48555 .47543 L
.48461 .47399 L
.48362 .47243 L
.48323 .47206 L
.48264 .47013 L
F
0 .42 1 r
.48362 .47685 m
.48462 .47784 L
.48555 .47878 L
.48639 .47977 L
.48747 .48049 L
.48801 .48169 L
.4894 .48341 L
.48963 .48362 L
.49093 .48555 L
.49133 .48609 L
.49228 .48747 L
.49326 .48891 L
.49357 .4894 L
.49462 .49133 L
.49326 .49203 L
.49257 .49133 L
.49133 .49004 L
.4908 .4894 L
.4894 .48784 L
.48921 .48747 L
.48775 .48555 L
.48747 .4852 L
.48636 .48362 L
.48555 .48251 L
.485 .48169 L
.48371 .47977 L
.48362 .47964 L
.48266 .47784 L
F
0 .94 1 r
.48362 .50214 m
.48542 .50289 L
.48555 .50299 L
.48738 .50482 L
.48747 .50492 L
.48894 .50674 L
.4894 .50731 L
.49041 .50867 L
.49133 .50956 L
.49187 .5106 L
.49326 .51241 L
.49335 .51253 L
.49468 .51445 L
.49518 .51513 L
.49603 .51638 L
.49711 .51787 L
.49771 .51831 L
.49871 .52023 L
.49904 .52071 L
.49992 .52216 L
.50096 .52383 L
.50111 .52409 L
.50197 .52601 L
.50096 .5273 L
.49955 .52601 L
.49904 .52585 L
.49774 .52409 L
.49711 .52344 L
.49608 .52216 L
.49518 .52108 L
.49431 .52023 L
.49326 .51864 L
.49298 .51831 L
.49149 .51638 L
.49133 .5162 L
.48949 .51445 L
.4894 .51364 L
.48854 .51253 L
.48747 .51098 L
.48725 .5106 L
.48583 .50867 L
.48555 .50825 L
.48414 .50674 L
.48362 .50523 L
.48336 .50482 L
.48267 .50289 L
F
1 .92 0 r
.48362 .51039 m
.4838 .5106 L
.48362 .51219 L
.4827 .5106 L
F
0 .41 1 r
.48362 .47692 m
.48455 .47784 L
.48555 .47883 L
.48635 .47977 L
.48747 .48055 L
.48797 .48169 L
.4894 .48347 L
.48957 .48362 L
.49089 .48555 L
.49133 .48613 L
.49225 .48747 L
.49326 .48896 L
.49353 .4894 L
.49456 .49133 L
.49326 .49197 L
.49263 .49133 L
.49133 .48999 L
.49084 .4894 L
.4894 .48778 L
.48924 .48747 L
.48778 .48555 L
.48747 .48516 L
.48639 .48362 L
.48555 .48247 L
.48503 .48169 L
.48375 .47977 L
.48362 .47957 L
.48272 .47784 L
F
0 .4 1 r
.48362 .477 m
.48449 .47784 L
.48555 .47888 L
.48631 .47977 L
.48747 .48062 L
.48794 .48169 L
.4894 .48352 L
.48951 .48362 L
.49086 .48555 L
.49133 .48618 L
.49221 .48747 L
.49326 .48902 L
.4935 .4894 L
.49449 .49133 L
.49326 .4919 L
.49268 .49133 L
.49133 .48995 L
.49088 .4894 L
.4894 .48773 L
.48927 .48747 L
.48781 .48555 L
.48747 .48512 L
.48642 .48362 L
.48555 .48242 L
.48506 .48169 L
.48379 .47977 L
.48362 .4795 L
.48279 .47784 L
F
0 .83 1 r
.48362 .51986 m
.48396 .52023 L
.48555 .52202 L
.48567 .52216 L
.48727 .52409 L
.48747 .52432 L
.48885 .52601 L
.4894 .52667 L
.49042 .52794 L
.49133 .52856 L
.49197 .52987 L
.49326 .53145 L
.49367 .53179 L
.49499 .53372 L
.49518 .53395 L
.4965 .53565 L
.49711 .53606 L
.498 .53758 L
.49904 .53887 L
.49967 .5395 L
.50095 .54143 L
.50096 .54145 L
.50241 .54336 L
.50289 .5437 L
.50389 .54528 L
.50482 .54647 L
.50549 .54721 L
.50674 .54909 L
.50678 .54914 L
.50822 .55106 L
.50867 .55142 L
.50967 .55299 L
.5106 .55419 L
.51121 .55492 L
.51253 .55684 L
.51253 .55684 L
.51395 .55877 L
.51445 .5592 L
.51538 .5607 L
.51638 .56202 L
.51686 .56263 L
.5182 .56455 L
.51831 .5647 L
.5196 .56648 L
.52023 .56708 L
.52165 .56841 L
.52216 .56994 L
.52245 .57033 L
.5238 .57226 L
.52409 .57265 L
.52519 .57419 L
.52601 .57508 L
.52701 .57611 L
.52794 .578 L
.52797 .57804 L
.52932 .57997 L
.52987 .58072 L
.53069 .58189 L
.53179 .58329 L
.53226 .58382 L
.53339 .58575 L
.53372 .5862 L
.53472 .58768 L
.53565 .58899 L
.53606 .5896 L
.53737 .59153 L
.53758 .59182 L
.53862 .59346 L
.5395 .59476 L
.53989 .59538 L
.54107 .59731 L
.54143 .59787 L
.54206 .59924 L
.54143 .59956 L
.54115 .59924 L
.5395 .59751 L
.53934 .59731 L
.53769 .59538 L
.53758 .59526 L
.53612 .59346 L
.53565 .59291 L
.53457 .59153 L
.53372 .59052 L
.53302 .5896 L
.53179 .58824 L
.53148 .58768 L
.52998 .58575 L
.52987 .58562 L
.52851 .58382 L
.52794 .58311 L
.52704 .58189 L
.52601 .58078 L
.52555 .57997 L
.52409 .57807 L
.52406 .57804 L
.52264 .57611 L
.52216 .5755 L
.5212 .57419 L
.52023 .57312 L
.51924 .57226 L
.51831 .57037 L
.51827 .57033 L
.51688 .56841 L
.51638 .56776 L
.51545 .56648 L
.51445 .56534 L
.51362 .56455 L
.51257 .56263 L
.51253 .56257 L
.51118 .5607 L
.5106 .55994 L
.50976 .55877 L
.50867 .55747 L
.50807 .55684 L
.50692 .55492 L
.50674 .55469 L
.50554 .55299 L
.50482 .55204 L
.50413 .55106 L
.50289 .5495 L
.50256 .54914 L
.50132 .54721 L
.50096 .54674 L
.49995 .54528 L
.49904 .54407 L
.49854 .54336 L
.49713 .54143 L
.49711 .54141 L
.49579 .5395 L
.49518 .53869 L
.49443 .53758 L
.49326 .53599 L
.49303 .53565 L
.49168 .53372 L
.49133 .53325 L
.49036 .53179 L
.4894 .53048 L
.489 .52987 L
.48765 .52794 L
.48747 .5277 L
.48641 .52601 L
.48555 .5248 L
.48511 .52409 L
.48384 .52216 L
.48362 .52184 L
.48279 .52023 L
F
0 .39 1 r
.48362 .47708 m
.48442 .47784 L
.48555 .47894 L
.48627 .47977 L
.48747 .48068 L
.4879 .48169 L
.4894 .48358 L
.48945 .48362 L
.49082 .48555 L
.49133 .48623 L
.49218 .48747 L
.49326 .48908 L
.49346 .4894 L
.49442 .49133 L
.49326 .49184 L
.49274 .49133 L
.49133 .4899 L
.49091 .4894 L
.4894 .48767 L
.4893 .48747 L
.48785 .48555 L
.48747 .48507 L
.48645 .48362 L
.48555 .48238 L
.48509 .48169 L
.48384 .47977 L
.48362 .47942 L
.48285 .47784 L
F
1 .89 0 r
.48362 .46953 m
.48503 .47013 L
.48555 .47043 L
.48741 .47206 L
.48747 .47211 L
.48921 .47399 L
.4894 .47422 L
.49084 .47591 L
.49133 .4766 L
.49244 .47784 L
.49326 .47915 L
.49367 .47977 L
.49518 .48164 L
.49535 .48169 L
.49679 .48362 L
.49711 .48405 L
.49823 .48555 L
.49904 .48671 L
.49939 .48747 L
.50096 .48934 L
.50102 .4894 L
.50274 .49133 L
.50289 .49153 L
.50373 .49326 L
.50482 .4947 L
.50489 .49518 L
.50596 .49711 L
.50482 .49861 L
.50289 .49798 L
.50189 .49711 L
.50096 .49622 L
.49944 .49518 L
.49904 .4936 L
.49845 .49326 L
.49711 .49135 L
.49708 .49133 L
.49564 .4894 L
.49518 .48896 L
.49368 .48747 L
.49326 .48626 L
.4927 .48555 L
.49137 .48362 L
.49133 .48356 L
.49 .48169 L
.4894 .48087 L
.48818 .47977 L
.48747 .47831 L
.4872 .47784 L
.48593 .47591 L
.48555 .47535 L
.48467 .47399 L
.48362 .47229 L
.48338 .47206 L
.48287 .47013 L
F
0 .38 1 r
.48362 .47717 m
.48435 .47784 L
.48555 .47899 L
.48622 .47977 L
.48747 .48076 L
.48786 .48169 L
.48939 .48362 L
.4894 .48363 L
.49079 .48555 L
.49133 .48628 L
.49214 .48747 L
.49326 .48915 L
.49342 .4894 L
.49434 .49133 L
.49326 .49177 L
.4928 .49133 L
.49133 .48985 L
.49095 .4894 L
.4894 .48761 L
.48933 .48747 L
.48788 .48555 L
.48747 .48503 L
.48649 .48362 L
.48555 .48233 L
.48513 .48169 L
.48389 .47977 L
.48362 .47933 L
.48292 .47784 L
F
0 .37 1 r
.48362 .47726 m
.48427 .47784 L
.48555 .47905 L
.48617 .47977 L
.48747 .48084 L
.48783 .48169 L
.48935 .48362 L
.4894 .48368 L
.49075 .48555 L
.49133 .48633 L
.49211 .48747 L
.49326 .48921 L
.49337 .4894 L
.49426 .49133 L
.49326 .4917 L
.49287 .49133 L
.49133 .4898 L
.49099 .4894 L
.4894 .48755 L
.48937 .48747 L
.48792 .48555 L
.48747 .48499 L
.48652 .48362 L
.48555 .48228 L
.48516 .48169 L
.48394 .47977 L
.48362 .47924 L
.483 .47784 L
F
0 .36 1 r
.48362 .47736 m
.48418 .47784 L
.48555 .47911 L
.48613 .47977 L
.48747 .48092 L
.48779 .48169 L
.48931 .48362 L
.4894 .48373 L
.49072 .48555 L
.49133 .48638 L
.49207 .48747 L
.49326 .48928 L
.49333 .4894 L
.49417 .49133 L
.49326 .49162 L
.49294 .49133 L
.49133 .48975 L
.49103 .4894 L
.4894 .48748 L
.4894 .48747 L
.48795 .48555 L
.48747 .48494 L
.48655 .48362 L
.48555 .48223 L
.48519 .48169 L
.48399 .47977 L
.48362 .47915 L
.48308 .47784 L
F
1 .88 0 r
.48362 .46979 m
.48468 .47013 L
.48555 .47059 L
.48728 .47206 L
.48747 .47222 L
.48912 .47399 L
.4894 .47432 L
.49078 .47591 L
.49133 .47669 L
.49239 .47784 L
.49326 .47921 L
.49364 .47977 L
.49518 .48166 L
.4953 .48169 L
.49675 .48362 L
.49711 .4841 L
.49819 .48555 L
.49904 .48676 L
.49936 .48747 L
.50096 .48939 L
.50098 .4894 L
.50272 .49133 L
.50289 .49157 L
.50368 .49326 L
.50482 .4949 L
.50486 .49518 L
.50585 .49711 L
.50482 .49848 L
.50289 .49788 L
.50198 .49711 L
.50096 .49614 L
.4995 .49518 L
.49904 .49356 L
.49849 .49326 L
.49711 .49133 L
.4971 .49133 L
.49567 .4894 L
.49518 .48892 L
.49371 .48747 L
.49326 .48623 L
.49273 .48555 L
.4914 .48362 L
.49133 .48352 L
.49004 .48169 L
.4894 .48083 L
.48822 .47977 L
.48747 .47824 L
.48724 .47784 L
.48598 .47591 L
.48555 .47527 L
.48473 .47399 L
.48362 .47214 L
.48354 .47206 L
.48315 .47013 L
F
0 .35 1 r
.48362 .47746 m
.48408 .47784 L
.48555 .47916 L
.48608 .47977 L
.48747 .481 L
.48775 .48169 L
.48927 .48362 L
.4894 .48378 L
.49068 .48555 L
.49133 .48643 L
.49203 .48747 L
.49326 .48935 L
.49329 .4894 L
.49407 .49133 L
.49326 .49155 L
.49302 .49133 L
.49133 .4897 L
.49108 .4894 L
.48944 .48747 L
.4894 .48743 L
.48799 .48555 L
.48747 .48489 L
.48659 .48362 L
.48555 .48218 L
.48523 .48169 L
.48405 .47977 L
.48362 .47903 L
.48318 .47784 L
F
0 .67 1 r
.48362 .43391 m
.4847 .43545 L
.48555 .43647 L
.48617 .43737 L
.48747 .43902 L
.48767 .4393 L
.48907 .44123 L
.4894 .44164 L
.49042 .44316 L
.49133 .4443 L
.49184 .44508 L
.49326 .44694 L
.4933 .44701 L
.49455 .44894 L
.49518 .44974 L
.49585 .45086 L
.49711 .45255 L
.49724 .45279 L
.49711 .45363 L
.49647 .45279 L
.49518 .45135 L
.49482 .45086 L
.49326 .44894 L
.49325 .44894 L
.49184 .44701 L
.49133 .44642 L
.49037 .44508 L
.4894 .44389 L
.48887 .44316 L
.48747 .44134 L
.4874 .44123 L
.48604 .4393 L
.48555 .4387 L
.48463 .43737 L
.48362 .43606 L
.4832 .43545 L
F
0 .93 1 r
.48362 .50259 m
.48492 .50289 L
.48555 .50328 L
.48718 .50482 L
.48747 .50513 L
.4888 .50674 L
.4894 .50746 L
.4903 .50867 L
.49133 .50971 L
.49177 .5106 L
.49322 .51253 L
.49326 .51257 L
.49457 .51445 L
.49518 .51529 L
.49592 .51638 L
.49711 .51804 L
.49747 .51831 L
.49854 .52023 L
.49904 .52099 L
.49971 .52216 L
.50079 .52409 L
.50096 .52444 L
.5012 .52601 L
.50096 .52624 L
.50042 .52601 L
.49904 .52545 L
.49815 .52409 L
.49711 .52305 L
.49638 .52216 L
.49518 .52076 L
.4946 .52023 L
.49326 .51837 L
.4932 .51831 L
.49168 .51638 L
.49133 .516 L
.48957 .51445 L
.4894 .51341 L
.48871 .51253 L
.48747 .51075 L
.48739 .5106 L
.48601 .50867 L
.48555 .50797 L
.48432 .50674 L
.48365 .50482 L
.48362 .50476 L
.4832 .50289 L
F
0 .36 1 r
.48362 .53569 m
.48491 .53758 L
.48555 .53838 L
.4863 .5395 L
.48747 .54106 L
.48772 .54143 L
.48747 .54311 L
.48626 .54143 L
.48555 .5406 L
.48477 .5395 L
.48362 .53809 L
.48326 .53758 L
F
0 .34 1 r
.48362 .47758 m
.48397 .47784 L
.48555 .47923 L
.48603 .47977 L
.48747 .48109 L
.48771 .48169 L
.48923 .48362 L
.4894 .48383 L
.49064 .48555 L
.49133 .48648 L
.49199 .48747 L
.49324 .4894 L
.49326 .48943 L
.49395 .49133 L
.49326 .49146 L
.4931 .49133 L
.49133 .48965 L
.49112 .4894 L
.48948 .48747 L
.4894 .48738 L
.48803 .48555 L
.48747 .48485 L
.48662 .48362 L
.48555 .48213 L
.48526 .48169 L
.4841 .47977 L
.48362 .47891 L
.48329 .47784 L
F
0 .35 1 r
.48362 .53578 m
.48484 .53758 L
.48555 .53848 L
.48623 .5395 L
.48747 .54116 L
.48765 .54143 L
.48747 .54299 L
.48635 .54143 L
.48555 .54051 L
.48484 .5395 L
.48362 .53801 L
.48332 .53758 L
F
0 .66 1 r
.48362 .43412 m
.48453 .43545 L
.48555 .43665 L
.48604 .43737 L
.48747 .43917 L
.48756 .4393 L
.48747 .44115 L
.4862 .4393 L
.48555 .4385 L
.48478 .43737 L
.48362 .43586 L
.48334 .43545 L
F
0 .34 1 r
.48362 .53588 m
.48475 .53758 L
.48555 .53858 L
.48615 .5395 L
.48747 .54127 L
.48758 .54143 L
.48747 .54286 L
.48646 .54143 L
.48555 .5404 L
.48492 .5395 L
.48362 .53792 L
.48338 .53758 L
F
1 .65 0 r
.48362 .42589 m
.48513 .42774 L
.48555 .42819 L
.4867 .42967 L
.48747 .43056 L
.48826 .43159 L
.4894 .43298 L
.48981 .43352 L
.49133 .43542 L
.49134 .43545 L
.49279 .43737 L
.49326 .43794 L
.49426 .4393 L
.49518 .44046 L
.49574 .44123 L
.49711 .44292 L
.49739 .44316 L
.49865 .44508 L
.49904 .44557 L
.50008 .44701 L
.50096 .44815 L
.50153 .44894 L
.50289 .45067 L
.5031 .45086 L
.50438 .45279 L
.50482 .45335 L
.50579 .45472 L
.50674 .45597 L
.50722 .45664 L
.50866 .45857 L
.50867 .45858 L
.51002 .4605 L
.5106 .46126 L
.51141 .46242 L
.51253 .46391 L
.51283 .46435 L
.51421 .46628 L
.51445 .4666 L
.51554 .46821 L
.51638 .46932 L
.51692 .47013 L
.51831 .47202 L
.51833 .47206 L
.51961 .47399 L
.52023 .47483 L
.52092 .47591 L
.52216 .47764 L
.52228 .47784 L
.52347 .47977 L
.52409 .48065 L
.52462 .48169 L
.52409 .48224 L
.52362 .48169 L
.52216 .48008 L
.5219 .47977 L
.52029 .47784 L
.52023 .47777 L
.51876 .47591 L
.51831 .47539 L
.51721 .47399 L
.51638 .47297 L
.51567 .47206 L
.51445 .47071 L
.51416 .47013 L
.51268 .46821 L
.51253 .46801 L
.51122 .46628 L
.5106 .46549 L
.50974 .46435 L
.50867 .46319 L
.50827 .46242 L
.50682 .4605 L
.50674 .4604 L
.50539 .45857 L
.50482 .45782 L
.50395 .45664 L
.50289 .45544 L
.50197 .45472 L
.50109 .45279 L
.50096 .45262 L
.49969 .45086 L
.49904 .44999 L
.49827 .44894 L
.49711 .44751 L
.49656 .44701 L
.49547 .44508 L
.49518 .4447 L
.4941 .44316 L
.49326 .44202 L
.4927 .44123 L
.49133 .43935 L
.49128 .4393 L
.48998 .43737 L
.4894 .43659 L
.48863 .43545 L
.48747 .43384 L
.48726 .43352 L
.48597 .43159 L
.48555 .43101 L
.48469 .42967 L
.48362 .42812 L
.48338 .42774 L
F
0 .33 1 r
.48362 .47771 m
.48382 .47784 L
.48555 .47929 L
.48598 .47977 L
.48747 .48119 L
.48767 .48169 L
.48919 .48362 L
.4894 .48388 L
.4906 .48555 L
.49133 .48654 L
.49195 .48747 L
.49318 .4894 L
.49326 .48953 L
.49379 .49133 L
.49326 .49138 L
.4932 .49133 L
.49133 .4896 L
.49116 .4894 L
.48952 .48747 L
.4894 .48733 L
.48806 .48555 L
.48747 .4848 L
.48666 .48362 L
.48555 .48208 L
.4853 .48169 L
.48416 .47977 L
.48362 .47875 L
.48343 .47784 L
F
.48362 .53599 m
.48466 .53758 L
.48555 .53869 L
.48607 .5395 L
.48747 .54139 L
.4875 .54143 L
.48747 .54271 L
.48658 .54143 L
.48555 .54029 L
.485 .5395 L
.48362 .53783 L
.48345 .53758 L
F
1 .64 0 r
.48362 .42608 m
.48499 .42774 L
.48555 .42832 L
.4866 .42967 L
.48747 .43067 L
.48818 .43159 L
.4894 .43307 L
.48974 .43352 L
.49127 .43545 L
.49133 .43551 L
.49272 .43737 L
.49326 .43802 L
.4942 .4393 L
.49518 .44053 L
.49569 .44123 L
.49711 .44302 L
.49728 .44316 L
.4986 .44508 L
.49904 .44563 L
.50003 .44701 L
.50096 .44821 L
.50149 .44894 L
.50289 .45075 L
.50301 .45086 L
.50433 .45279 L
.50482 .45341 L
.50574 .45472 L
.50674 .45603 L
.50718 .45664 L
.50861 .45857 L
.50867 .45865 L
.50997 .4605 L
.5106 .46132 L
.51136 .46242 L
.51253 .46398 L
.51278 .46435 L
.51415 .46628 L
.51445 .46667 L
.51549 .46821 L
.51638 .4694 L
.51687 .47013 L
.51827 .47206 L
.51831 .47211 L
.51953 .47399 L
.52023 .47494 L
.52084 .47591 L
.52216 .47777 L
.5222 .47784 L
.52332 .47977 L
.52409 .48091 L
.52441 .48169 L
.52409 .48198 L
.52382 .48169 L
.52216 .47992 L
.52203 .47977 L
.52042 .47784 L
.52023 .47764 L
.51885 .47591 L
.51831 .47528 L
.51729 .47399 L
.51638 .47287 L
.51575 .47206 L
.51445 .47058 L
.51423 .47013 L
.51275 .46821 L
.51253 .46793 L
.51128 .46628 L
.5106 .46542 L
.5098 .46435 L
.50867 .46309 L
.50832 .46242 L
.50688 .4605 L
.50674 .46033 L
.50545 .45857 L
.50482 .45775 L
.504 .45664 L
.50289 .45535 L
.50208 .45472 L
.50115 .45279 L
.50096 .45255 L
.49974 .45086 L
.49904 .44992 L
.49832 .44894 L
.49711 .44741 L
.49667 .44701 L
.49553 .44508 L
.49518 .44462 L
.49415 .44316 L
.49326 .44194 L
.49275 .44123 L
.49137 .4393 L
.49133 .43925 L
.49005 .43737 L
.4894 .43649 L
.48869 .43545 L
.48747 .43374 L
.48733 .43352 L
.48606 .43159 L
.48555 .43088 L
.48479 .42967 L
.48362 .42796 L
.48349 .42774 L
F
0 .65 1 r
.48362 .43439 m
.48431 .43545 L
.48555 .43686 L
.48588 .43737 L
.48555 .43826 L
.48496 .43737 L
.48362 .43563 L
.4835 .43545 L
F
0 .32 1 r
.48362 .53611 m
.48455 .53758 L
.48555 .53882 L
.48597 .5395 L
.48555 .54016 L
.4851 .5395 L
.48362 .53773 L
.48352 .53758 L
F
1 .87 0 r
.48362 .47009 m
.48412 .47013 L
.48555 .47074 L
.48714 .47206 L
.48747 .47233 L
.48903 .47399 L
.4894 .47442 L
.49071 .47591 L
.49133 .47677 L
.49234 .47784 L
.49326 .47927 L
.4936 .47977 L
.49518 .48167 L
.49526 .48169 L
.49671 .48362 L
.49711 .48415 L
.49816 .48555 L
.49904 .48681 L
.49934 .48747 L
.50094 .4894 L
.50096 .48944 L
.5027 .49133 L
.50289 .49163 L
.50364 .49326 L
.50482 .49512 L
.50483 .49518 L
.50573 .49711 L
.50482 .49834 L
.50289 .49777 L
.50209 .49711 L
.50096 .49607 L
.49956 .49518 L
.49904 .49353 L
.49853 .49326 L
.49713 .49133 L
.49711 .49133 L
.4957 .4894 L
.49518 .48889 L
.49373 .48747 L
.49326 .48619 L
.49276 .48555 L
.49143 .48362 L
.49133 .48348 L
.49007 .48169 L
.4894 .48078 L
.48826 .47977 L
.48747 .47816 L
.48729 .47784 L
.48603 .47591 L
.48555 .47519 L
.48479 .47399 L
.48368 .47206 L
.48362 .47193 L
.48354 .47013 L
F
0 .31 1 r
.48362 .53626 m
.48442 .53758 L
.48555 .53898 L
.48586 .5395 L
.48555 .54001 L
.48521 .5395 L
.48362 .53761 L
.48359 .53758 L
F
1 .36 0 r
.48362 .54453 m
.4838 .54528 L
.48362 .54531 L
.4836 .54528 L
F
1 .8 0 r
.48362 .44286 m
.48365 .44316 L
.48362 .44318 L
.4836 .44316 L
F
1 .63 0 r
.48362 .42633 m
.48482 .42774 L
.48555 .42847 L
.48648 .42967 L
.48747 .43078 L
.48809 .43159 L
.4894 .43316 L
.48967 .43352 L
.49119 .43545 L
.49133 .43561 L
.49265 .43737 L
.49326 .4381 L
.49414 .4393 L
.49518 .44061 L
.49564 .44123 L
.49711 .44311 L
.49716 .44316 L
.49854 .44508 L
.49904 .4457 L
.49998 .44701 L
.50096 .44827 L
.50144 .44894 L
.50289 .45084 L
.50292 .45086 L
.50428 .45279 L
.50482 .45347 L
.5057 .45472 L
.50674 .45609 L
.50713 .45664 L
.50856 .45857 L
.50867 .45872 L
.50991 .4605 L
.5106 .46139 L
.51131 .46242 L
.51253 .46405 L
.51273 .46435 L
.51409 .46628 L
.51445 .46675 L
.51543 .46821 L
.51638 .46948 L
.51681 .47013 L
.51819 .47206 L
.51831 .47221 L
.51945 .47399 L
.52023 .47506 L
.52076 .47591 L
.52023 .4775 L
.51896 .47591 L
.51831 .47517 L
.51738 .47399 L
.51638 .47277 L
.51582 .47206 L
.51445 .47045 L
.5143 .47013 L
.51282 .46821 L
.51253 .46784 L
.51134 .46628 L
.5106 .46534 L
.50986 .46435 L
.50867 .46299 L
.50838 .46242 L
.50694 .4605 L
.50674 .46025 L
.50551 .45857 L
.50482 .45768 L
.50406 .45664 L
.50289 .45526 L
.5022 .45472 L
.5012 .45279 L
.50096 .45248 L
.4998 .45086 L
.49904 .44985 L
.49838 .44894 L
.49711 .44731 L
.49678 .44701 L
.49559 .44508 L
.49518 .44454 L
.49421 .44316 L
.49326 .44186 L
.49281 .44123 L
.49144 .4393 L
.49133 .43916 L
.49012 .43737 L
.4894 .43639 L
.48877 .43545 L
.48747 .43363 L
.4874 .43352 L
.48616 .43159 L
.48555 .43073 L
.4849 .42967 L
.48362 .42777 L
.48361 .42774 L
F
1 .86 0 r
.48555 .47089 m
.487 .47206 L
.48747 .47243 L
.48894 .47399 L
.4894 .47451 L
.49064 .47591 L
.49133 .47684 L
.49229 .47784 L
.49326 .47932 L
.49357 .47977 L
.49518 .48169 L
.49521 .48169 L
.49667 .48362 L
.49711 .4842 L
.49812 .48555 L
.49904 .48686 L
.49931 .48747 L
.5009 .4894 L
.50096 .4895 L
.50269 .49133 L
.50289 .49168 L
.50359 .49326 L
.50476 .49518 L
.50482 .49528 L
.50561 .49711 L
.50482 .49819 L
.50289 .49767 L
.50219 .49711 L
.50096 .49599 L
.49964 .49518 L
.49904 .4935 L
.49858 .49326 L
.49717 .49133 L
.49711 .49132 L
.49573 .4894 L
.49518 .48886 L
.49376 .48747 L
.49326 .48615 L
.49279 .48555 L
.49146 .48362 L
.49133 .48344 L
.4901 .48169 L
.4894 .48074 L
.48829 .47977 L
.48747 .47809 L
.48733 .47784 L
.48608 .47591 L
.48555 .47511 L
.48486 .47399 L
.4838 .47206 L
F
0 .92 1 r
.48555 .50357 m
.48696 .50482 L
.48747 .50534 L
.48865 .50674 L
.4894 .50763 L
.49019 .50867 L
.49133 .50989 L
.49167 .5106 L
.49311 .51253 L
.49326 .51272 L
.49445 .51445 L
.49518 .51545 L
.4958 .51638 L
.49711 .51823 L
.49721 .51831 L
.49835 .52023 L
.49904 .52133 L
.49948 .52216 L
.5003 .52409 L
.49904 .52462 L
.49869 .52409 L
.49711 .52263 L
.49672 .52216 L
.49518 .52043 L
.49495 .52023 L
.49342 .51831 L
.49326 .51811 L
.49187 .51638 L
.49133 .5158 L
.48968 .51445 L
.4894 .51318 L
.48888 .51253 L
.48754 .5106 L
.48747 .5105 L
.48619 .50867 L
.48555 .50768 L
.48456 .50674 L
.48393 .50482 L
F
1 .85 0 r
.48555 .47105 m
.48685 .47206 L
.48747 .47252 L
.48885 .47399 L
.4894 .47461 L
.49057 .47591 L
.49133 .47692 L
.49224 .47784 L
.49326 .47937 L
.49354 .47977 L
.49517 .48169 L
.49518 .48171 L
.49663 .48362 L
.49711 .48425 L
.49809 .48555 L
.49904 .48691 L
.49929 .48747 L
.50086 .4894 L
.50096 .48955 L
.50267 .49133 L
.50289 .49175 L
.50354 .49326 L
.50469 .49518 L
.50482 .49543 L
.50549 .49711 L
.50482 .49804 L
.50289 .49757 L
.5023 .49711 L
.50096 .49592 L
.49971 .49518 L
.49904 .49347 L
.49863 .49326 L
.4972 .49133 L
.49711 .49132 L
.49576 .4894 L
.49518 .48883 L
.49379 .48747 L
.49326 .48611 L
.49282 .48555 L
.49149 .48362 L
.49133 .4834 L
.49013 .48169 L
.4894 .48069 L
.48834 .47977 L
.48747 .47801 L
.48737 .47784 L
.48613 .47591 L
.48555 .47502 L
.48492 .47399 L
.48393 .47206 L
F
1 .91 0 r
.48555 .41208 m
.48578 .41232 L
.48747 .41409 L
.4876 .41425 L
.48929 .41618 L
.4894 .4163 L
.49093 .41811 L
.49133 .4182 L
.49254 .42003 L
.49326 .42084 L
.49412 .42196 L
.49518 .42331 L
.49572 .42389 L
.49711 .42574 L
.49716 .42581 L
.4987 .42774 L
.49904 .42814 L
.50071 .42967 L
.50096 .43069 L
.5017 .43159 L
.50289 .43324 L
.50302 .43352 L
.50464 .43545 L
.50482 .43567 L
.50642 .43737 L
.50674 .43826 L
.50753 .4393 L
.50867 .44087 L
.50879 .44123 L
.51045 .44316 L
.5106 .44333 L
.51212 .44508 L
.51253 .44596 L
.51327 .44701 L
.51445 .4486 L
.51451 .44894 L
.5162 .45086 L
.51638 .45108 L
.51781 .45279 L
.51831 .45373 L
.51897 .45472 L
.52023 .45637 L
.5205 .45664 L
.52191 .45857 L
.52216 .45888 L
.52348 .4605 L
.52409 .46154 L
.52465 .46242 L
.52601 .46418 L
.52618 .46435 L
.52759 .46628 L
.52794 .46672 L
.52913 .46821 L
.52987 .46939 L
.53031 .47013 L
.53179 .47201 L
.53185 .47206 L
.53325 .47399 L
.53372 .47457 L
.53477 .47591 L
.53565 .47726 L
.53596 .47784 L
.5375 .47977 L
.53758 .47983 L
.53937 .48169 L
.5395 .48245 L
.54039 .48362 L
.54143 .48514 L
.54162 .48555 L
.54314 .48747 L
.54336 .48766 L
.54497 .4894 L
.54528 .49034 L
.54601 .49133 L
.54721 .49304 L
.54729 .49326 L
.54876 .49518 L
.54914 .49552 L
.55055 .49711 L
.55106 .49826 L
.55162 .49904 L
.55299 .50096 L
.55299 .50096 L
.55437 .50289 L
.55492 .50341 L
.55611 .50482 L
.55684 .5062 L
.55721 .50674 L
.55859 .50867 L
.55877 .50891 L
.55997 .5106 L
.5607 .51136 L
.56165 .51253 L
.56263 .51419 L
.5628 .51445 L
.56416 .51638 L
.56455 .5169 L
.56555 .51831 L
.56648 .51937 L
.56715 .52023 L
.56835 .52216 L
.56841 .52223 L
.5697 .52409 L
.57033 .52494 L
.57108 .52601 L
.57226 .52751 L
.57258 .52794 L
.57384 .52987 L
.57419 .53034 L
.57518 .53179 L
.57611 .53308 L
.57705 .53372 L
.57792 .53565 L
.57804 .53581 L
.57921 .53758 L
.57997 .53863 L
.58053 .5395 L
.58188 .54143 L
.58189 .54145 L
.58307 .54336 L
.58382 .54447 L
.58428 .54528 L
.58539 .54721 L
.58382 .54731 L
.58377 .54721 L
.58189 .54528 L
.58189 .54528 L
.58015 .54336 L
.57997 .54316 L
.57847 .54143 L
.57804 .54121 L
.57682 .5395 L
.57611 .53867 L
.57463 .53758 L
.57419 .53622 L
.57368 .53565 L
.57226 .53383 L
.57221 .53372 L
.57061 .53179 L
.57033 .53145 L
.56875 .52987 L
.56841 .52891 L
.56766 .52794 L
.56648 .52636 L
.56635 .52601 L
.56465 .52409 L
.56455 .52395 L
.563 .52216 L
.56263 .52137 L
.56182 .52023 L
.5607 .51874 L
.56062 .51831 L
.55883 .51638 L
.55877 .51631 L
.55726 .51445 L
.55684 .51368 L
.55608 .51253 L
.55492 .51102 L
.55448 .5106 L
.55307 .50867 L
.55299 .50857 L
.55156 .50674 L
.55106 .50592 L
.55038 .50482 L
.54914 .50324 L
.54876 .50289 L
.54735 .50096 L
.54721 .50077 L
.54588 .49904 L
.54528 .49811 L
.54472 .49711 L
.54336 .49544 L
.54307 .49518 L
.54167 .49326 L
.54143 .49294 L
.54022 .49133 L
.5395 .49026 L
.53906 .4894 L
.53758 .48763 L
.53741 .48747 L
.53573 .48555 L
.53565 .48508 L
.53458 .48362 L
.53372 .4824 L
.53342 .48169 L
.53179 .4798 L
.53176 .47977 L
.53008 .47784 L
.52987 .47721 L
.52895 .47591 L
.52794 .47452 L
.52776 .47399 L
.52612 .47206 L
.52601 .47196 L
.52445 .47013 L
.52409 .46931 L
.52333 .46821 L
.52216 .46663 L
.52209 .46628 L
.52049 .46435 L
.52023 .46409 L
.51884 .46242 L
.51831 .4614 L
.51771 .4605 L
.51638 .45871 L
.51638 .45857 L
.51488 .45664 L
.51445 .4562 L
.51325 .45472 L
.51253 .45346 L
.51211 .45279 L
.51067 .45086 L
.5106 .45077 L
.50929 .44894 L
.50867 .44827 L
.50769 .44701 L
.50674 .44548 L
.50651 .44508 L
.5051 .44316 L
.50482 .44277 L
.50372 .44123 L
.50289 .44026 L
.50218 .4393 L
.50096 .43743 L
.50093 .43737 L
.49958 .43545 L
.49904 .43471 L
.49753 .43352 L
.49711 .43213 L
.49673 .43159 L
.49546 .42967 L
.49518 .42929 L
.49412 .42774 L
.49326 .42654 L
.49232 .42581 L
.4914 .42389 L
.49133 .42378 L
.49012 .42196 L
.4894 .42094 L
.48881 .42003 L
.48748 .41811 L
.48747 .41809 L
.4863 .41618 L
.48555 .41504 L
.48509 .41425 L
.484 .41232 L
F
1 .84 0 r
.48555 .47121 m
.4867 .47206 L
.48747 .47262 L
.48876 .47399 L
.4894 .4747 L
.4905 .47591 L
.49133 .47699 L
.49219 .47784 L
.49326 .47942 L
.49351 .47977 L
.49512 .48169 L
.49518 .48175 L
.49659 .48362 L
.49711 .4843 L
.49806 .48555 L
.49904 .48696 L
.49927 .48747 L
.50082 .4894 L
.50096 .48961 L
.50265 .49133 L
.50289 .49182 L
.50349 .49326 L
.50462 .49518 L
.50482 .49559 L
.50536 .49711 L
.50482 .49788 L
.50289 .49747 L
.50241 .49711 L
.50096 .49584 L
.4998 .49518 L
.49904 .49344 L
.49868 .49326 L
.49724 .49133 L
.49711 .49132 L
.49579 .4894 L
.49518 .48879 L
.49381 .48747 L
.49326 .48607 L
.49285 .48555 L
.49152 .48362 L
.49133 .48336 L
.49016 .48169 L
.4894 .48065 L
.48838 .47977 L
.48747 .47793 L
.48742 .47784 L
.48618 .47591 L
.48555 .47492 L
.48499 .47399 L
.48407 .47206 L
F
1 .83 0 r
.48555 .47137 m
.48653 .47206 L
.48747 .47271 L
.48866 .47399 L
.4894 .47478 L
.49043 .47591 L
.49133 .47706 L
.49214 .47784 L
.49326 .47947 L
.49348 .47977 L
.49508 .48169 L
.49518 .4818 L
.49655 .48362 L
.49711 .48435 L
.49802 .48555 L
.49904 .48701 L
.49925 .48747 L
.50078 .4894 L
.50096 .48967 L
.50262 .49133 L
.50289 .49191 L
.50344 .49326 L
.50455 .49518 L
.50482 .49578 L
.50522 .49711 L
.50482 .49771 L
.50289 .49737 L
.50253 .49711 L
.50096 .49577 L
.49989 .49518 L
.49904 .49341 L
.49872 .49326 L
.49728 .49133 L
.49711 .49131 L
.49583 .4894 L
.49518 .48876 L
.49384 .48747 L
.49326 .48603 L
.49288 .48555 L
.49155 .48362 L
.49133 .48332 L
.49019 .48169 L
.4894 .4806 L
.48842 .47977 L
.48747 .47785 L
.48747 .47784 L
.48624 .47591 L
.48555 .47483 L
.48506 .47399 L
.48422 .47206 L
F
0 .32 1 r
.48555 .47935 m
.48592 .47977 L
.48747 .48129 L
.48763 .48169 L
.48915 .48362 L
.4894 .48393 L
.49056 .48555 L
.49133 .48659 L
.49191 .48747 L
.49312 .4894 L
.49133 .48954 L
.49121 .4894 L
.48957 .48747 L
.4894 .48728 L
.4881 .48555 L
.48747 .48475 L
.48669 .48362 L
.48555 .48202 L
.48534 .48169 L
.48423 .47977 L
F
0 .91 1 r
.48555 .50389 m
.48671 .50482 L
.48747 .50555 L
.4885 .50674 L
.4894 .50779 L
.49007 .50867 L
.49133 .51009 L
.49157 .5106 L
.49299 .51253 L
.49326 .51288 L
.49433 .51445 L
.49518 .51563 L
.49568 .51638 L
.497 .51831 L
.49711 .51847 L
.49813 .52023 L
.49904 .5218 L
.4992 .52216 L
.49904 .52367 L
.49712 .52216 L
.49711 .52215 L
.4953 .52023 L
.49518 .52011 L
.49364 .51831 L
.49326 .51785 L
.49207 .51638 L
.49133 .51558 L
.48986 .51445 L
.4894 .51294 L
.48907 .51253 L
.48771 .5106 L
.48747 .51025 L
.48637 .50867 L
.48555 .50737 L
.48486 .50674 L
.48424 .50482 L
F
0 .31 1 r
.48555 .47942 m
.48586 .47977 L
.48747 .48139 L
.48759 .48169 L
.48911 .48362 L
.4894 .48399 L
.49052 .48555 L
.49133 .48665 L
.49187 .48747 L
.49305 .4894 L
.49133 .48949 L
.49126 .4894 L
.48962 .48747 L
.4894 .48723 L
.48814 .48555 L
.48747 .4847 L
.48673 .48362 L
.48555 .48196 L
.48538 .48169 L
.4843 .47977 L
F
0 .3 1 r
.48555 .47949 m
.48581 .47977 L
.48747 .4815 L
.48755 .48169 L
.48906 .48362 L
.4894 .48404 L
.49048 .48555 L
.49133 .48671 L
.49183 .48747 L
.49298 .4894 L
.49133 .48943 L
.49131 .4894 L
.48966 .48747 L
.4894 .48718 L
.48818 .48555 L
.48747 .48465 L
.48677 .48362 L
.48555 .4819 L
.48541 .48169 L
.48437 .47977 L
F
1 .82 0 r
.48555 .47153 m
.48635 .47206 L
.48747 .47281 L
.48857 .47399 L
.4894 .47487 L
.49036 .47591 L
.49133 .47713 L
.49208 .47784 L
.49326 .47952 L
.49344 .47977 L
.49504 .48169 L
.49518 .48184 L
.49651 .48362 L
.49711 .4844 L
.49799 .48555 L
.49904 .48706 L
.49922 .48747 L
.50073 .4894 L
.50096 .48973 L
.5026 .49133 L
.50289 .492 L
.50339 .49326 L
.50447 .49518 L
.50482 .496 L
.50507 .49711 L
.50482 .49751 L
.50289 .49727 L
.50266 .49711 L
.50096 .4957 L
.49999 .49518 L
.49904 .49338 L
.49878 .49326 L
.49731 .49133 L
.49711 .49131 L
.49586 .4894 L
.49518 .48872 L
.49388 .48747 L
.49326 .48599 L
.49291 .48555 L
.49158 .48362 L
.49133 .48328 L
.49022 .48169 L
.4894 .48056 L
.48847 .47977 L
.48751 .47784 L
.48747 .47779 L
.48629 .47591 L
.48555 .47472 L
.48513 .47399 L
.4844 .47206 L
F
0 .29 1 r
.48555 .47956 m
.48574 .47977 L
.48747 .48162 L
.4875 .48169 L
.48901 .48362 L
.4894 .4841 L
.49044 .48555 L
.49133 .48677 L
.49179 .48747 L
.49133 .48936 L
.48971 .48747 L
.4894 .48712 L
.48823 .48555 L
.48747 .48459 L
.48681 .48362 L
.48555 .48184 L
.48545 .48169 L
.48445 .47977 L
F
0 .28 1 r
.48555 .47963 m
.48567 .47977 L
.48745 .48169 L
.48747 .48172 L
.48897 .48362 L
.4894 .48415 L
.49039 .48555 L
.49133 .48684 L
.49174 .48747 L
.49133 .48929 L
.48977 .48747 L
.4894 .48706 L
.48827 .48555 L
.48747 .48454 L
.48685 .48362 L
.48555 .48178 L
.4855 .48169 L
.48455 .47977 L
F
0 .9 1 r
.48555 .50423 m
.48639 .50482 L
.48747 .50577 L
.48833 .50674 L
.4894 .50797 L
.48994 .50867 L
.49133 .51032 L
.49146 .5106 L
.49286 .51253 L
.49326 .51306 L
.4942 .51445 L
.49518 .51582 L
.49555 .51638 L
.49681 .51831 L
.49711 .51877 L
.49789 .52023 L
.49711 .52172 L
.49562 .52023 L
.49518 .51979 L
.49388 .51831 L
.49326 .51758 L
.49227 .51638 L
.49133 .51533 L
.49011 .51445 L
.4894 .51268 L
.48927 .51253 L
.48789 .5106 L
.48747 .51 L
.48656 .50867 L
.48555 .50701 L
.48525 .50674 L
.4846 .50482 L
F
1 .81 0 r
.48555 .47171 m
.48614 .47206 L
.48747 .47291 L
.48847 .47399 L
.4894 .47495 L
.49029 .47591 L
.49133 .4772 L
.49203 .47784 L
.49326 .47956 L
.49341 .47977 L
.49499 .48169 L
.49518 .48188 L
.49647 .48362 L
.49711 .48445 L
.49795 .48555 L
.49904 .48711 L
.4992 .48747 L
.50069 .4894 L
.50096 .48979 L
.50257 .49133 L
.50289 .4921 L
.50334 .49326 L
.5044 .49518 L
.50482 .4963 L
.50491 .49711 L
.50482 .49728 L
.50289 .49717 L
.5028 .49711 L
.50096 .49563 L
.5001 .49518 L
.49904 .49335 L
.49883 .49326 L
.49735 .49133 L
.49711 .4913 L
.49589 .4894 L
.49518 .48869 L
.49391 .48747 L
.49326 .48595 L
.49295 .48555 L
.49162 .48362 L
.49133 .48323 L
.49025 .48169 L
.4894 .48051 L
.48852 .47977 L
.48756 .47784 L
.48747 .47772 L
.48635 .47591 L
.48555 .47461 L
.48521 .47399 L
.48461 .47206 L
F
0 .27 1 r
.48555 .47971 m
.4856 .47977 L
.48739 .48169 L
.48747 .48178 L
.48892 .48362 L
.4894 .48421 L
.49035 .48555 L
.49133 .4869 L
.4917 .48747 L
.49133 .48922 L
.48982 .48747 L
.4894 .48701 L
.48831 .48555 L
.48747 .48448 L
.48689 .48362 L
.48555 .48171 L
.48554 .48169 L
.48466 .47977 L
F
1 .8 0 r
.48555 .47189 m
.48588 .47206 L
.48747 .47302 L
.48837 .47399 L
.4894 .47504 L
.49022 .47591 L
.49133 .47727 L
.49197 .47784 L
.49326 .47961 L
.49338 .47977 L
.49495 .48169 L
.49518 .48192 L
.49643 .48362 L
.49711 .4845 L
.49792 .48555 L
.49904 .48716 L
.49918 .48747 L
.50065 .4894 L
.50096 .48985 L
.50254 .49133 L
.50289 .49221 L
.50329 .49326 L
.50432 .49518 L
.50289 .49707 L
.50096 .49555 L
.50022 .49518 L
.49904 .49333 L
.49888 .49326 L
.49739 .49133 L
.49711 .49129 L
.49592 .4894 L
.49518 .48865 L
.49394 .48747 L
.49326 .4859 L
.49298 .48555 L
.49165 .48362 L
.49133 .48319 L
.49029 .48169 L
.4894 .48046 L
.48857 .47977 L
.4876 .47784 L
.48747 .47765 L
.4864 .47591 L
.48555 .47449 L
.48528 .47399 L
.48489 .47206 L
F
0 .77 1 r
.48555 .42012 m
.48714 .42196 L
.48747 .42232 L
.48877 .42389 L
.4894 .42461 L
.49037 .42581 L
.49133 .42666 L
.49194 .42774 L
.49326 .42933 L
.49365 .42967 L
.495 .43159 L
.49518 .43181 L
.4965 .43352 L
.49711 .43402 L
.498 .43545 L
.49904 .43673 L
.49969 .43737 L
.50096 .43929 L
.50097 .4393 L
.50242 .44123 L
.50289 .44162 L
.50388 .44316 L
.50482 .44432 L
.50552 .44508 L
.50674 .44693 L
.5068 .44701 L
.50823 .44894 L
.50867 .44932 L
.50967 .45086 L
.5106 .45203 L
.51125 .45279 L
.51253 .45467 L
.51255 .45472 L
.51397 .45664 L
.51445 .45708 L
.51613 .45857 L
.51638 .45982 L
.51693 .4605 L
.51826 .46242 L
.51831 .46249 L
.51966 .46435 L
.52023 .4649 L
.52166 .46628 L
.52216 .46768 L
.52258 .46821 L
.52392 .47013 L
.52409 .47036 L
.52531 .47206 L
.52601 .47277 L
.52718 .47399 L
.52794 .47559 L
.52819 .47591 L
.52954 .47784 L
.52987 .47828 L
.53093 .47977 L
.53179 .48072 L
.53267 .48169 L
.53372 .48357 L
.53376 .48362 L
.53512 .48555 L
.53565 .48626 L
.5365 .48747 L
.53758 .48877 L
.53812 .4894 L
.53929 .49133 L
.5395 .49161 L
.54065 .49326 L
.54143 .49431 L
.54203 .49518 L
.54336 .49696 L
.54347 .49711 L
.54475 .49904 L
.54528 .49975 L
.5461 .50096 L
.54721 .5025 L
.54747 .50289 L
.54879 .50482 L
.54914 .50529 L
.55008 .50674 L
.55106 .50814 L
.5514 .50867 L
.55267 .5106 L
.55299 .51105 L
.55384 .51253 L
.55492 .5142 L
.55505 .51445 L
.55492 .51576 L
.55364 .51445 L
.55299 .51382 L
.55186 .51253 L
.55106 .51165 L
.55018 .5106 L
.54914 .50976 L
.54856 .50867 L
.54721 .50705 L
.5468 .50674 L
.54544 .50482 L
.54528 .50463 L
.5439 .50289 L
.54336 .50249 L
.54237 .50096 L
.54143 .4998 L
.54063 .49904 L
.5395 .49726 L
.53939 .49711 L
.53789 .49518 L
.53758 .49494 L
.5364 .49326 L
.53565 .4923 L
.53475 .49133 L
.53372 .48971 L
.53352 .4894 L
.53202 .48747 L
.53179 .48729 L
.53056 .48555 L
.52987 .48466 L
.52898 .48362 L
.52794 .48204 L
.52774 .48169 L
.52623 .47977 L
.52601 .47958 L
.52479 .47784 L
.52409 .47693 L
.52327 .47591 L
.52216 .47428 L
.522 .47399 L
.52051 .47206 L
.52023 .47181 L
.51848 .47013 L
.51831 .46912 L
.5176 .46821 L
.51638 .46646 L
.5163 .46628 L
.51483 .46435 L
.51445 .46399 L
.51293 .46242 L
.51253 .46125 L
.51197 .4605 L
.5106 .45857 L
.5106 .45857 L
.5092 .45664 L
.50867 .45611 L
.5074 .45472 L
.50674 .45332 L
.50637 .45279 L
.505 .45086 L
.50482 .45062 L
.50361 .44894 L
.50289 .44815 L
.50191 .44701 L
.50096 .4453 L
.50082 .44508 L
.49946 .44316 L
.49904 .44258 L
.49808 .44123 L
.49711 .44005 L
.4965 .4393 L
.49533 .43737 L
.49518 .43717 L
.494 .43545 L
.49326 .43442 L
.49263 .43352 L
.49133 .43171 L
.49124 .43159 L
.48998 .42967 L
.4894 .42885 L
.48867 .42774 L
.48747 .42602 L
.48734 .42581 L
.48611 .42389 L
.48555 .42306 L
.48489 .42196 L
F
1 .62 0 r
.48555 .42864 m
.48635 .42967 L
.48747 .43091 L
.488 .43159 L
.4894 .43326 L
.4896 .43352 L
.49111 .43545 L
.49133 .4357 L
.49258 .43737 L
.49326 .43819 L
.49408 .4393 L
.49518 .44068 L
.49558 .44123 L
.49707 .44316 L
.49711 .4432 L
.49849 .44508 L
.49904 .44577 L
.49993 .44701 L
.50096 .44834 L
.50139 .44894 L
.50285 .45086 L
.50289 .45091 L
.50423 .45279 L
.50482 .45354 L
.50565 .45472 L
.50674 .45615 L
.50709 .45664 L
.5085 .45857 L
.50867 .45879 L
.50986 .4605 L
.5106 .46146 L
.51126 .46242 L
.51253 .46412 L
.51269 .46435 L
.51403 .46628 L
.51445 .46683 L
.51537 .46821 L
.51638 .46956 L
.51675 .47013 L
.51811 .47206 L
.51831 .47232 L
.51936 .47399 L
.52023 .47519 L
.52067 .47591 L
.52023 .47735 L
.51907 .47591 L
.51831 .47504 L
.51747 .47399 L
.51638 .47267 L
.5159 .47206 L
.51445 .4703 L
.51437 .47013 L
.51289 .46821 L
.51253 .46776 L
.51141 .46628 L
.5106 .46525 L
.50992 .46435 L
.50867 .46289 L
.50844 .46242 L
.507 .4605 L
.50674 .46018 L
.50556 .45857 L
.50482 .4576 L
.50411 .45664 L
.50289 .45516 L
.50232 .45472 L
.50126 .45279 L
.50096 .4524 L
.49985 .45086 L
.49904 .44978 L
.49843 .44894 L
.49711 .4472 L
.49689 .44701 L
.49565 .44508 L
.49518 .44446 L
.49427 .44316 L
.49326 .44178 L
.49287 .44123 L
.49151 .4393 L
.49133 .43906 L
.49019 .43737 L
.4894 .43629 L
.48884 .43545 L
.48748 .43352 L
.48747 .43351 L
.48627 .43159 L
.48555 .43057 L
.48501 .42967 L
F
0 .76 1 r
.48555 .42033 m
.48698 .42196 L
.48747 .42247 L
.48865 .42389 L
.4894 .42473 L
.49027 .42581 L
.49133 .42677 L
.49186 .42774 L
.49326 .42943 L
.49354 .42967 L
.49494 .43159 L
.49518 .43189 L
.49644 .43352 L
.49711 .43408 L
.49795 .43545 L
.49904 .43679 L
.49963 .43737 L
.50092 .4393 L
.50096 .43935 L
.50238 .44123 L
.50289 .44166 L
.50384 .44316 L
.50482 .44437 L
.50548 .44508 L
.50674 .44698 L
.50676 .44701 L
.50819 .44894 L
.50867 .44935 L
.50964 .45086 L
.5106 .45208 L
.51122 .45279 L
.51253 .45471 L
.51253 .45472 L
.51394 .45664 L
.51445 .45711 L
.51611 .45857 L
.51638 .45986 L
.5169 .4605 L
.51823 .46242 L
.51831 .46252 L
.51963 .46435 L
.52023 .46493 L
.52163 .46628 L
.52216 .46772 L
.52255 .46821 L
.52389 .47013 L
.52409 .47039 L
.52528 .47206 L
.52601 .47281 L
.52715 .47399 L
.52794 .47563 L
.52816 .47591 L
.52951 .47784 L
.52987 .47832 L
.5309 .47977 L
.53179 .48076 L
.53264 .48169 L
.53372 .48361 L
.53373 .48362 L
.53508 .48555 L
.53565 .4863 L
.53647 .48747 L
.53758 .48882 L
.53807 .4894 L
.53926 .49133 L
.5395 .49166 L
.54061 .49326 L
.54143 .49437 L
.54199 .49518 L
.54336 .49704 L
.54341 .49711 L
.54471 .49904 L
.54528 .49982 L
.54605 .50096 L
.54721 .50257 L
.54742 .50289 L
.54873 .50482 L
.54914 .50539 L
.55001 .50674 L
.55106 .50825 L
.55133 .50867 L
.55256 .5106 L
.55299 .51123 L
.5537 .51253 L
.55299 .51361 L
.55202 .51253 L
.55106 .51149 L
.55031 .5106 L
.54914 .50959 L
.54866 .50867 L
.54721 .50693 L
.54696 .50674 L
.54552 .50482 L
.54528 .50453 L
.54398 .50289 L
.54336 .50242 L
.54244 .50096 L
.54143 .49972 L
.5407 .49904 L
.5395 .4972 L
.53944 .49711 L
.53794 .49518 L
.53758 .4949 L
.53645 .49326 L
.53565 .49224 L
.5348 .49133 L
.53372 .48965 L
.53355 .4894 L
.53206 .48747 L
.53179 .48726 L
.5306 .48555 L
.52987 .48461 L
.52902 .48362 L
.52794 .48199 L
.52776 .48169 L
.52627 .47977 L
.52601 .47955 L
.52483 .47784 L
.52409 .47688 L
.5233 .47591 L
.52216 .47424 L
.52203 .47399 L
.52054 .47206 L
.52023 .47178 L
.51849 .47013 L
.51831 .46908 L
.51763 .46821 L
.51638 .46642 L
.51632 .46628 L
.51487 .46435 L
.51445 .46395 L
.51296 .46242 L
.51253 .46121 L
.512 .4605 L
.51063 .45857 L
.5106 .45853 L
.50923 .45664 L
.50867 .45607 L
.50743 .45472 L
.50674 .45327 L
.50641 .45279 L
.50504 .45086 L
.50482 .45057 L
.50365 .44894 L
.50289 .4481 L
.50195 .44701 L
.50096 .44524 L
.50086 .44508 L
.4995 .44316 L
.49904 .44252 L
.49812 .44123 L
.49711 .43998 L
.49656 .4393 L
.49538 .43737 L
.49518 .4371 L
.49405 .43545 L
.49326 .43435 L
.49269 .43352 L
.49133 .4316 L
.49133 .43159 L
.49005 .42967 L
.4894 .42875 L
.48874 .42774 L
.48747 .4259 L
.48742 .42581 L
.48622 .42389 L
.48555 .42288 L
.48502 .42196 L
F
1 .56 0 r
.48555 .53045 m
.48658 .53179 L
.48747 .53285 L
.48814 .53372 L
.4894 .53529 L
.48967 .53565 L
.49115 .53758 L
.49133 .53779 L
.49259 .5395 L
.49326 .54033 L
.49406 .54143 L
.49518 .54288 L
.49553 .54336 L
.49696 .54528 L
.49711 .54547 L
.49835 .54721 L
.49904 .54809 L
.49978 .54914 L
.50096 .55071 L
.50121 .55106 L
.50258 .55299 L
.50289 .55339 L
.50394 .55492 L
.50482 .55609 L
.50533 .55684 L
.50672 .55877 L
.50674 .5588 L
.50797 .5607 L
.50867 .56165 L
.50928 .56263 L
.5106 .56452 L
.51062 .56455 L
.5106 .56583 L
.5096 .56455 L
.50867 .56359 L
.50795 .56263 L
.50674 .56123 L
.50636 .5607 L
.50482 .55881 L
.50479 .55877 L
.50336 .55684 L
.50289 .55629 L
.5019 .55492 L
.50096 .55376 L
.50042 .55299 L
.49904 .55123 L
.49892 .55106 L
.49752 .54914 L
.49711 .54863 L
.49612 .54721 L
.49518 .54602 L
.49467 .54528 L
.49326 .54342 L
.49321 .54336 L
.49187 .54143 L
.49133 .54074 L
.49049 .5395 L
.4894 .53807 L
.48907 .53758 L
.4877 .53565 L
.48747 .53536 L
.48642 .53372 L
.48555 .53257 L
.48507 .53179 L
F
1 .92 0 r
.48555 .51276 m
.48673 .51445 L
.48747 .51549 L
.48804 .51638 L
.48747 .51797 L
.48643 .51638 L
.48555 .51513 L
.48512 .51445 L
F
0 .89 1 r
.48555 .50464 m
.48592 .50482 L
.48747 .50601 L
.48814 .50674 L
.4894 .50815 L
.4898 .50867 L
.49133 .51057 L
.49134 .5106 L
.49272 .51253 L
.49326 .51324 L
.49406 .51445 L
.49518 .51603 L
.4954 .51638 L
.49659 .51831 L
.49711 .51917 L
.49758 .52023 L
.49711 .52119 L
.49601 .52023 L
.49518 .51945 L
.49415 .51831 L
.49326 .5173 L
.49249 .51638 L
.49133 .51505 L
.49045 .51445 L
.48948 .51253 L
.4894 .51242 L
.48808 .5106 L
.48747 .50972 L
.48676 .50867 L
.48564 .50674 L
.48555 .50654 L
.48512 .50482 L
F
1 .61 0 r
.48555 .42884 m
.48621 .42967 L
.48747 .43104 L
.4879 .43159 L
.4894 .43337 L
.48952 .43352 L
.49102 .43545 L
.49133 .4358 L
.49251 .43737 L
.49326 .43827 L
.49401 .4393 L
.49518 .44076 L
.49553 .44123 L
.49701 .44316 L
.49711 .44328 L
.49843 .44508 L
.49904 .44584 L
.49987 .44701 L
.50096 .44841 L
.50134 .44894 L
.5028 .45086 L
.50289 .45098 L
.50418 .45279 L
.50482 .45361 L
.5056 .45472 L
.50674 .45622 L
.50704 .45664 L
.50845 .45857 L
.50867 .45886 L
.50981 .4605 L
.5106 .46153 L
.51121 .46242 L
.51253 .46419 L
.51264 .46435 L
.51397 .46628 L
.51445 .46692 L
.5153 .46821 L
.51638 .46965 L
.51669 .47013 L
.51802 .47206 L
.51831 .47244 L
.51926 .47399 L
.52023 .47533 L
.52057 .47591 L
.52023 .47718 L
.5192 .47591 L
.51831 .47492 L
.51757 .47399 L
.51638 .47256 L
.51599 .47206 L
.51445 .47015 L
.51444 .47013 L
.51297 .46821 L
.51253 .46766 L
.51148 .46628 L
.5106 .46517 L
.50998 .46435 L
.50867 .46277 L
.5085 .46242 L
.50706 .4605 L
.50674 .4601 L
.50562 .45857 L
.50482 .45753 L
.50417 .45664 L
.50289 .45506 L
.50245 .45472 L
.50132 .45279 L
.50096 .45233 L
.49991 .45086 L
.49904 .4497 L
.49849 .44894 L
.49711 .44709 L
.49702 .44701 L
.49571 .44508 L
.49518 .44438 L
.49433 .44316 L
.49326 .44169 L
.49293 .44123 L
.49158 .4393 L
.49133 .43896 L
.49027 .43737 L
.4894 .43618 L
.48891 .43545 L
.48758 .43352 L
.48747 .43337 L
.48639 .43159 L
.48555 .43038 L
.48515 .42967 L
F
0 .75 1 r
.48555 .42057 m
.48681 .42196 L
.48747 .42263 L
.48853 .42389 L
.4894 .42486 L
.49018 .42581 L
.49133 .4269 L
.49178 .42774 L
.49326 .42953 L
.49342 .42967 L
.49487 .43159 L
.49518 .43197 L
.49638 .43352 L
.49711 .43415 L
.49789 .43545 L
.49904 .43686 L
.49956 .43737 L
.50087 .4393 L
.50096 .43941 L
.50233 .44123 L
.50289 .44171 L
.5038 .44316 L
.50482 .44443 L
.50543 .44508 L
.50673 .44701 L
.50674 .44703 L
.50816 .44894 L
.50867 .44939 L
.50961 .45086 L
.5106 .45212 L
.51118 .45279 L
.51249 .45472 L
.51253 .45476 L
.51391 .45664 L
.51445 .45715 L
.51608 .45857 L
.51638 .4599 L
.51687 .4605 L
.5182 .46242 L
.51831 .46256 L
.5196 .46435 L
.52023 .46496 L
.5216 .46628 L
.52216 .46776 L
.52252 .46821 L
.52386 .47013 L
.52409 .47043 L
.52526 .47206 L
.52601 .47285 L
.52712 .47399 L
.52794 .47567 L
.52812 .47591 L
.52948 .47784 L
.52987 .47836 L
.53087 .47977 L
.53179 .48081 L
.5326 .48169 L
.53369 .48362 L
.53372 .48366 L
.53505 .48555 L
.53565 .48634 L
.53644 .48747 L
.53758 .48888 L
.53802 .4894 L
.53922 .49133 L
.5395 .49171 L
.54057 .49326 L
.54143 .49442 L
.54195 .49518 L
.54335 .49711 L
.54336 .49712 L
.54466 .49904 L
.54528 .49989 L
.546 .50096 L
.54721 .50265 L
.54737 .50289 L
.54866 .50482 L
.54914 .50549 L
.54993 .50674 L
.55106 .50837 L
.55125 .50867 L
.55243 .5106 L
.55299 .51144 L
.55354 .51253 L
.55299 .51337 L
.55221 .51253 L
.55106 .51132 L
.55044 .5106 L
.54914 .5094 L
.54877 .50867 L
.54721 .5068 L
.54713 .50674 L
.54561 .50482 L
.54528 .50443 L
.54405 .50289 L
.54336 .50235 L
.54251 .50096 L
.54143 .49963 L
.54078 .49904 L
.5395 .49713 L
.53949 .49711 L
.538 .49518 L
.53758 .49485 L
.5365 .49326 L
.53565 .49218 L
.53485 .49133 L
.53372 .4896 L
.53359 .4894 L
.5321 .48747 L
.53179 .48722 L
.53064 .48555 L
.52987 .48456 L
.52906 .48362 L
.52794 .48194 L
.52779 .48169 L
.5263 .47977 L
.52601 .47951 L
.52486 .47784 L
.52409 .47684 L
.52334 .47591 L
.52216 .47419 L
.52205 .47399 L
.52058 .47206 L
.52023 .47174 L
.51851 .47013 L
.51831 .46904 L
.51766 .46821 L
.51638 .46637 L
.51633 .46628 L
.5149 .46435 L
.51445 .46392 L
.51298 .46242 L
.51253 .46117 L
.51203 .4605 L
.51066 .45857 L
.5106 .45849 L
.50927 .45664 L
.50867 .45603 L
.50746 .45472 L
.50674 .45322 L
.50644 .45279 L
.50507 .45086 L
.50482 .45052 L
.50369 .44894 L
.50289 .44805 L
.50199 .44701 L
.50096 .44518 L
.50089 .44508 L
.49954 .44316 L
.49904 .44247 L
.49817 .44123 L
.49711 .43991 L
.49662 .4393 L
.49543 .43737 L
.49518 .43703 L
.4941 .43545 L
.49326 .43427 L
.49274 .43352 L
.49139 .43159 L
.49133 .4315 L
.49012 .42967 L
.4894 .42865 L
.48881 .42774 L
.4875 .42581 L
.48747 .42578 L
.48634 .42389 L
.48555 .42268 L
.48515 .42196 L
F
1 .55 0 r
.48555 .5306 m
.48646 .53179 L
.48747 .53297 L
.48805 .53372 L
.4894 .5354 L
.48959 .53565 L
.49106 .53758 L
.49133 .5379 L
.49251 .5395 L
.49326 .54043 L
.49399 .54143 L
.49518 .54297 L
.49546 .54336 L
.49689 .54528 L
.49711 .54556 L
.49828 .54721 L
.49904 .54818 L
.49971 .54914 L
.50096 .5508 L
.50115 .55106 L
.5025 .55299 L
.50289 .55349 L
.50386 .55492 L
.50482 .5562 L
.50525 .55684 L
.50482 .5587 L
.50345 .55684 L
.50289 .55619 L
.50198 .55492 L
.50096 .55367 L
.50048 .55299 L
.49904 .55115 L
.49898 .55106 L
.49759 .54914 L
.49711 .54854 L
.49618 .54721 L
.49518 .54594 L
.49473 .54528 L
.49327 .54336 L
.49326 .54334 L
.49194 .54143 L
.49133 .54065 L
.49056 .5395 L
.4894 .53797 L
.48914 .53758 L
.48779 .53565 L
.48747 .53525 L
.48651 .53372 L
.48555 .53244 L
.48516 .53179 L
F
0 .64 1 r
.48555 .43716 m
.48568 .43737 L
.48555 .43792 L
.48523 .43737 L
F
1 .54 0 r
.48555 .53078 m
.48633 .53179 L
.48747 .5331 L
.48795 .53372 L
.4894 .53551 L
.48951 .53565 L
.49096 .53758 L
.49133 .53801 L
.49242 .5395 L
.49326 .54053 L
.49391 .54143 L
.49518 .54307 L
.49539 .54336 L
.4968 .54528 L
.49711 .54566 L
.49821 .54721 L
.49904 .54828 L
.49964 .54914 L
.50096 .5509 L
.50108 .55106 L
.50242 .55299 L
.50289 .5536 L
.50378 .55492 L
.50482 .55631 L
.50517 .55684 L
.50482 .55857 L
.50355 .55684 L
.50289 .55608 L
.50206 .55492 L
.50096 .55358 L
.50055 .55299 L
.49904 .55106 L
.49904 .55106 L
.49767 .54914 L
.49711 .54845 L
.49625 .54721 L
.49518 .54585 L
.49479 .54528 L
.49334 .54336 L
.49326 .54324 L
.49202 .54143 L
.49133 .54055 L
.49064 .5395 L
.4894 .53788 L
.48921 .53758 L
.48789 .53565 L
.48747 .53512 L
.48662 .53372 L
.48555 .53229 L
.48526 .53179 L
F
0 .82 1 r
.48555 .52233 m
.48705 .52409 L
.48747 .52455 L
.48867 .52601 L
.4894 .52686 L
.49027 .52794 L
.49133 .52878 L
.49184 .52987 L
.49326 .53163 L
.49346 .53179 L
.49488 .53372 L
.49518 .53409 L
.49639 .53565 L
.49711 .53616 L
.4979 .53758 L
.49904 .539 L
.49956 .5395 L
.50086 .54143 L
.50096 .54156 L
.50233 .54336 L
.50289 .54378 L
.5038 .54528 L
.50482 .54658 L
.5054 .54721 L
.50671 .54914 L
.50674 .54919 L
.50815 .55106 L
.50867 .55149 L
.5096 .55299 L
.5106 .55429 L
.51113 .55492 L
.51246 .55684 L
.51253 .55694 L
.51388 .55877 L
.51445 .55928 L
.51531 .5607 L
.51638 .56211 L
.51679 .56263 L
.51813 .56455 L
.51831 .56479 L
.51953 .56648 L
.52023 .56717 L
.52156 .56841 L
.52216 .57005 L
.52238 .57033 L
.52372 .57226 L
.52409 .57275 L
.52511 .57419 L
.52601 .57519 L
.5269 .57611 L
.52788 .57804 L
.52794 .57812 L
.52923 .57997 L
.52987 .58085 L
.5306 .58189 L
.53179 .58346 L
.53211 .58382 L
.53329 .58575 L
.53372 .58635 L
.53461 .58768 L
.53565 .58916 L
.53595 .5896 L
.53721 .59153 L
.53758 .59204 L
.53845 .59346 L
.5395 .59504 L
.53971 .59538 L
.5395 .59721 L
.53792 .59538 L
.53758 .59503 L
.5363 .59346 L
.53565 .59273 L
.53471 .59153 L
.53372 .59036 L
.53314 .5896 L
.53179 .58806 L
.53158 .58768 L
.53008 .58575 L
.52987 .58549 L
.52861 .58382 L
.52794 .583 L
.52712 .58189 L
.52601 .58066 L
.52562 .57997 L
.52415 .57804 L
.52409 .57797 L
.52272 .57611 L
.52216 .57541 L
.52126 .57419 L
.52023 .57303 L
.51934 .57226 L
.51834 .57033 L
.51831 .57028 L
.51694 .56841 L
.51638 .56768 L
.51551 .56648 L
.51445 .56525 L
.51371 .56455 L
.51263 .56263 L
.51253 .56249 L
.51124 .5607 L
.5106 .55987 L
.50982 .55877 L
.50867 .55738 L
.50815 .55684 L
.50698 .55492 L
.50674 .55462 L
.50559 .55299 L
.50482 .55197 L
.50418 .55106 L
.50289 .5494 L
.50265 .54914 L
.50139 .54721 L
.50096 .54666 L
.50001 .54528 L
.49904 .54398 L
.4986 .54336 L
.4972 .54143 L
.49711 .54131 L
.49587 .5395 L
.49518 .53859 L
.4945 .53758 L
.49326 .53588 L
.4931 .53565 L
.49177 .53372 L
.49133 .53312 L
.49046 .53179 L
.4894 .53034 L
.4891 .52987 L
.48778 .52794 L
.48747 .52751 L
.48656 .52601 L
.48555 .52457 L
.48527 .52409 L
F
0 .74 1 r
.48555 .42086 m
.4866 .42196 L
.48747 .4228 L
.4884 .42389 L
.4894 .42498 L
.49008 .42581 L
.49133 .42704 L
.4917 .42774 L
.49326 .42964 L
.49329 .42967 L
.4948 .43159 L
.49518 .43206 L
.49632 .43352 L
.49711 .43422 L
.49784 .43545 L
.49904 .43693 L
.4995 .43737 L
.50082 .4393 L
.50096 .43947 L
.50229 .44123 L
.50289 .44175 L
.50376 .44316 L
.50482 .44448 L
.50538 .44508 L
.50669 .44701 L
.50674 .44708 L
.50812 .44894 L
.50867 .44942 L
.50957 .45086 L
.5106 .45217 L
.51115 .45279 L
.51246 .45472 L
.51253 .4548 L
.51388 .45664 L
.51445 .45718 L
.51605 .45857 L
.51638 .45994 L
.51684 .4605 L
.51817 .46242 L
.51831 .4626 L
.51957 .46435 L
.52023 .465 L
.52157 .46628 L
.52216 .4678 L
.52249 .46821 L
.52383 .47013 L
.52409 .47047 L
.52523 .47206 L
.52601 .47288 L
.52708 .47399 L
.52794 .47571 L
.52809 .47591 L
.52945 .47784 L
.52987 .4784 L
.53084 .47977 L
.53179 .48085 L
.53256 .48169 L
.53366 .48362 L
.53372 .4837 L
.53502 .48555 L
.53565 .48639 L
.53641 .48747 L
.53758 .48894 L
.53797 .4894 L
.53918 .49133 L
.5395 .49176 L
.54053 .49326 L
.54143 .49448 L
.54191 .49518 L
.5433 .49711 L
.54336 .49718 L
.54461 .49904 L
.54528 .49996 L
.54595 .50096 L
.54721 .50273 L
.54732 .50289 L
.54858 .50482 L
.54914 .50559 L
.54985 .50674 L
.55106 .5085 L
.55117 .50867 L
.55229 .5106 L
.55299 .51172 L
.55334 .51253 L
.55299 .51307 L
.55245 .51253 L
.55106 .51115 L
.55058 .5106 L
.54914 .50918 L
.54889 .50867 L
.54727 .50674 L
.54721 .50668 L
.5457 .50482 L
.54528 .50433 L
.54413 .50289 L
.54336 .50227 L
.54258 .50096 L
.54143 .49955 L
.54086 .49904 L
.53955 .49711 L
.5395 .49705 L
.53805 .49518 L
.53758 .4948 L
.53656 .49326 L
.53565 .49211 L
.5349 .49133 L
.53372 .48954 L
.53363 .4894 L
.53215 .48747 L
.53179 .48718 L
.53068 .48555 L
.52987 .48451 L
.5291 .48362 L
.52794 .4819 L
.52782 .48169 L
.52634 .47977 L
.52601 .47948 L
.5249 .47784 L
.52409 .47679 L
.52337 .47591 L
.52216 .47415 L
.52207 .47399 L
.52061 .47206 L
.52023 .47171 L
.51853 .47013 L
.51831 .46899 L
.5177 .46821 L
.51638 .46633 L
.51635 .46628 L
.51493 .46435 L
.51445 .46389 L
.51301 .46242 L
.51253 .46112 L
.51206 .4605 L
.5107 .45857 L
.5106 .45844 L
.5093 .45664 L
.50867 .45599 L
.5075 .45472 L
.50674 .45317 L
.50647 .45279 L
.50511 .45086 L
.50482 .45047 L
.50372 .44894 L
.50289 .44799 L
.50204 .44701 L
.50096 .44513 L
.50093 .44508 L
.49958 .44316 L
.49904 .44241 L
.49821 .44123 L
.49711 .43983 L
.49668 .4393 L
.49548 .43737 L
.49518 .43696 L
.49415 .43545 L
.49326 .4342 L
.49279 .43352 L
.49146 .43159 L
.49133 .43141 L
.49019 .42967 L
.4894 .42854 L
.48889 .42774 L
.48761 .42581 L
.48747 .42562 L
.48647 .42389 L
.48555 .42243 L
.48531 .42196 L
F
1 .6 0 r
.48555 .42909 m
.48601 .42967 L
.48747 .43118 L
.48779 .43159 L
.4894 .43348 L
.48943 .43352 L
.49093 .43545 L
.49133 .43591 L
.49243 .43737 L
.49326 .43836 L
.49395 .4393 L
.49518 .44084 L
.49547 .44123 L
.49694 .44316 L
.49711 .44336 L
.49837 .44508 L
.49904 .44592 L
.49982 .44701 L
.50096 .44847 L
.50129 .44894 L
.50274 .45086 L
.50289 .45105 L
.50412 .45279 L
.50482 .45368 L
.50555 .45472 L
.50674 .45629 L
.50699 .45664 L
.50839 .45857 L
.50867 .45893 L
.50975 .4605 L
.5106 .46161 L
.51116 .46242 L
.51253 .46426 L
.51259 .46435 L
.5139 .46628 L
.51445 .46701 L
.51524 .46821 L
.51638 .46975 L
.51663 .47013 L
.51793 .47206 L
.51831 .47257 L
.51916 .47399 L
.52023 .4755 L
.52047 .47591 L
.52023 .47698 L
.51935 .47591 L
.51831 .47478 L
.51768 .47399 L
.51638 .47245 L
.51607 .47206 L
.51453 .47013 L
.51445 .47004 L
.51305 .46821 L
.51253 .46757 L
.51155 .46628 L
.5106 .46508 L
.51004 .46435 L
.50867 .46265 L
.50856 .46242 L
.50713 .4605 L
.50674 .46002 L
.50568 .45857 L
.50482 .45745 L
.50422 .45664 L
.50289 .45495 L
.50259 .45472 L
.50138 .45279 L
.50096 .45225 L
.49997 .45086 L
.49904 .44962 L
.49854 .44894 L
.49713 .44701 L
.49711 .44699 L
.49578 .44508 L
.49518 .44429 L
.49439 .44316 L
.49326 .4416 L
.493 .44123 L
.49166 .4393 L
.49133 .43886 L
.49035 .43737 L
.4894 .43607 L
.489 .43545 L
.4877 .43352 L
.48747 .43321 L
.48653 .43159 L
.48555 .43013 L
.48531 .42967 L
F
1 .9 0 r
.48555 .41263 m
.48723 .41425 L
.48747 .41448 L
.48902 .41618 L
.4894 .41658 L
.49072 .41811 L
.49133 .41829 L
.49236 .42003 L
.49326 .42103 L
.49397 .42196 L
.49518 .42348 L
.49558 .42389 L
.49707 .42581 L
.49711 .42583 L
.49859 .42774 L
.49904 .42826 L
.50066 .42967 L
.50096 .4308 L
.50162 .43159 L
.50289 .43332 L
.50299 .43352 L
.50456 .43545 L
.50482 .43575 L
.50638 .43737 L
.50674 .43834 L
.50748 .4393 L
.50867 .44093 L
.50877 .44123 L
.5104 .44316 L
.5106 .4434 L
.51209 .44508 L
.51253 .44602 L
.51324 .44701 L
.51445 .44864 L
.5145 .44894 L
.51617 .45086 L
.51638 .45113 L
.51779 .45279 L
.51831 .45377 L
.51895 .45472 L
.52023 .45641 L
.52047 .45664 L
.52188 .45857 L
.52216 .45892 L
.52346 .4605 L
.52409 .46158 L
.52463 .46242 L
.52601 .46421 L
.52616 .46435 L
.52756 .46628 L
.52794 .46675 L
.52911 .46821 L
.52987 .46942 L
.53029 .47013 L
.53179 .47203 L
.53182 .47206 L
.53323 .47399 L
.53372 .4746 L
.53475 .47591 L
.53565 .47729 L
.53595 .47784 L
.53748 .47977 L
.53758 .47985 L
.53936 .48169 L
.5395 .48248 L
.54037 .48362 L
.54143 .48517 L
.54161 .48555 L
.54311 .48747 L
.54336 .48768 L
.54496 .4894 L
.54528 .49037 L
.54599 .49133 L
.54721 .49307 L
.54728 .49326 L
.54874 .49518 L
.54914 .49554 L
.55053 .49711 L
.55106 .49829 L
.55159 .49904 L
.55297 .50096 L
.55299 .50099 L
.55435 .50289 L
.55492 .50344 L
.55609 .50482 L
.55684 .50624 L
.55719 .50674 L
.55856 .50867 L
.55877 .50895 L
.55994 .5106 L
.5607 .5114 L
.56162 .51253 L
.56263 .51424 L
.56276 .51445 L
.56413 .51638 L
.56455 .51695 L
.56551 .51831 L
.56648 .51943 L
.5671 .52023 L
.56831 .52216 L
.56841 .52229 L
.56966 .52409 L
.57033 .525 L
.57103 .52601 L
.57226 .52761 L
.57251 .52794 L
.57377 .52987 L
.57419 .53043 L
.57511 .53179 L
.57611 .53318 L
.57692 .53372 L
.57782 .53565 L
.57804 .53595 L
.5791 .53758 L
.57997 .5388 L
.58042 .5395 L
.58171 .54143 L
.58189 .54169 L
.58287 .54336 L
.58382 .54485 L
.58404 .54528 L
.58382 .54675 L
.58226 .54528 L
.58189 .54495 L
.58041 .54336 L
.57997 .54289 L
.57868 .54143 L
.57804 .54108 L
.577 .5395 L
.57611 .53847 L
.57478 .53758 L
.57419 .53606 L
.5738 .53565 L
.57226 .53372 L
.57226 .53372 L
.57072 .53179 L
.57033 .53132 L
.56881 .52987 L
.56841 .52879 L
.56774 .52794 L
.56648 .52627 L
.56638 .52601 L
.56473 .52409 L
.56455 .52386 L
.56304 .52216 L
.56263 .52128 L
.56188 .52023 L
.5607 .51867 L
.56063 .51831 L
.55888 .51638 L
.55877 .51623 L
.5573 .51445 L
.55684 .51361 L
.55612 .51253 L
.55492 .51097 L
.55453 .5106 L
.55311 .50867 L
.55299 .50851 L
.55159 .50674 L
.55106 .50586 L
.55042 .50482 L
.54914 .50321 L
.5488 .50289 L
.54739 .50096 L
.54721 .50073 L
.54591 .49904 L
.54528 .49806 L
.54474 .49711 L
.54336 .49541 L
.5431 .49518 L
.5417 .49326 L
.54143 .4929 L
.54024 .49133 L
.5395 .49023 L
.53908 .4894 L
.53758 .4876 L
.53743 .48747 L
.53574 .48555 L
.53565 .48505 L
.5346 .48362 L
.53372 .48237 L
.53343 .48169 L
.53179 .47978 L
.53178 .47977 L
.53009 .47784 L
.52987 .47718 L
.52897 .47591 L
.52794 .47449 L
.52777 .47399 L
.52614 .47206 L
.52601 .47193 L
.52447 .47013 L
.52409 .46928 L
.52335 .46821 L
.52216 .46659 L
.5221 .46628 L
.52052 .46435 L
.52023 .46407 L
.51886 .46242 L
.51831 .46137 L
.51774 .4605 L
.51638 .45868 L
.51638 .45857 L
.51491 .45664 L
.51445 .45617 L
.51328 .45472 L
.51253 .45342 L
.51213 .45279 L
.5107 .45086 L
.5106 .45072 L
.50932 .44894 L
.50867 .44822 L
.50773 .44701 L
.50674 .44542 L
.50654 .44508 L
.50514 .44316 L
.50482 .44271 L
.50376 .44123 L
.50289 .4402 L
.50223 .4393 L
.50098 .43737 L
.50096 .43736 L
.49963 .43545 L
.49904 .43463 L
.4976 .43352 L
.49711 .43203 L
.4968 .43159 L
.49553 .42967 L
.49518 .42918 L
.4942 .42774 L
.49326 .42642 L
.49246 .42581 L
.49151 .42389 L
.49133 .42363 L
.49024 .42196 L
.4894 .42076 L
.48894 .42003 L
.48767 .41811 L
.48747 .41782 L
.48652 .41618 L
.48555 .41463 L
.48535 .41425 L
F
0 .3 1 r
.48555 .53918 m
.48572 .5395 L
.48555 .53981 L
.48536 .5395 L
F
1 .79 0 r
.48555 .47209 m
.48747 .47313 L
.48826 .47399 L
.4894 .47512 L
.49015 .47591 L
.49133 .47733 L
.49191 .47784 L
.49326 .47965 L
.49335 .47977 L
.49491 .48169 L
.49518 .48196 L
.49639 .48362 L
.49711 .48455 L
.49788 .48555 L
.49904 .48721 L
.49916 .48747 L
.50061 .4894 L
.50096 .48991 L
.50251 .49133 L
.50289 .49234 L
.50323 .49326 L
.50425 .49518 L
.50289 .49696 L
.50096 .49548 L
.50035 .49518 L
.49904 .4933 L
.49894 .49326 L
.49743 .49133 L
.49711 .49128 L
.49595 .4894 L
.49518 .48861 L
.49398 .48747 L
.49326 .48586 L
.49301 .48555 L
.49168 .48362 L
.49133 .48315 L
.49032 .48169 L
.4894 .48041 L
.48862 .47977 L
.48765 .47784 L
.48747 .47758 L
.48646 .47591 L
.48555 .47436 L
.48536 .47399 L
F
1 .53 0 r
.48555 .53099 m
.48617 .53179 L
.48747 .53325 L
.48784 .53372 L
.4894 .53563 L
.48942 .53565 L
.49085 .53758 L
.49133 .53813 L
.49233 .5395 L
.49326 .54064 L
.49383 .54143 L
.49518 .54317 L
.49532 .54336 L
.49672 .54528 L
.49711 .54577 L
.49813 .54721 L
.49904 .54838 L
.49957 .54914 L
.50096 .551 L
.50101 .55106 L
.50232 .55299 L
.50289 .55372 L
.50369 .55492 L
.50482 .55644 L
.50509 .55684 L
.50482 .55843 L
.50366 .55684 L
.50289 .55596 L
.50215 .55492 L
.50096 .55348 L
.50062 .55299 L
.49913 .55106 L
.49904 .55096 L
.49775 .54914 L
.49711 .54835 L
.49632 .54721 L
.49518 .54576 L
.49486 .54528 L
.49343 .54336 L
.49326 .54314 L
.4921 .54143 L
.49133 .54044 L
.49071 .5395 L
.4894 .53777 L
.48928 .53758 L
.488 .53565 L
.48747 .53497 L
.48674 .53372 L
.48555 .53211 L
.48538 .53179 L
F
0 .93 1 r
.48555 .45317 m
.48632 .45472 L
.48555 .45487 L
.48541 .45472 L
F
1 .78 0 r
.48555 .47232 m
.48747 .47324 L
.48815 .47399 L
.4894 .4752 L
.49007 .47591 L
.49133 .47739 L
.49185 .47784 L
.49326 .47969 L
.49332 .47977 L
.49486 .48169 L
.49518 .48201 L
.49635 .48362 L
.49711 .4846 L
.49785 .48555 L
.49904 .48726 L
.49913 .48747 L
.50057 .4894 L
.50096 .48997 L
.50247 .49133 L
.50289 .49247 L
.50317 .49326 L
.50417 .49518 L
.50289 .49686 L
.50096 .49541 L
.50048 .49518 L
.49904 .49327 L
.49899 .49326 L
.49747 .49133 L
.49711 .49127 L
.49599 .4894 L
.49518 .48857 L
.49402 .48747 L
.49326 .48582 L
.49304 .48555 L
.49171 .48362 L
.49133 .4831 L
.49035 .48169 L
.4894 .48037 L
.48867 .47977 L
.4877 .47784 L
.48747 .47751 L
.48652 .47591 L
.48555 .47421 L
.48544 .47399 L
F
0 .81 1 r
.48555 .52272 m
.48677 .52409 L
.48747 .52481 L
.48848 .52601 L
.4894 .52707 L
.49011 .52794 L
.49133 .52904 L
.4917 .52987 L
.49324 .53179 L
.49326 .53181 L
.49476 .53372 L
.49518 .53424 L
.49628 .53565 L
.49711 .53629 L
.4978 .53758 L
.49904 .53913 L
.49943 .5395 L
.50077 .54143 L
.50096 .54168 L
.50224 .54336 L
.50289 .54386 L
.50372 .54528 L
.50482 .54669 L
.50531 .54721 L
.50663 .54914 L
.50674 .54929 L
.50807 .55106 L
.50867 .55156 L
.50952 .55299 L
.5106 .55439 L
.51105 .55492 L
.51238 .55684 L
.51253 .55703 L
.51381 .55877 L
.51445 .55936 L
.51524 .5607 L
.51638 .56221 L
.51671 .56263 L
.51805 .56455 L
.51831 .56489 L
.51946 .56648 L
.52023 .56726 L
.52147 .56841 L
.52216 .57016 L
.52229 .57033 L
.52365 .57226 L
.52409 .57286 L
.52504 .57419 L
.52601 .57532 L
.52678 .57611 L
.52779 .57804 L
.52794 .57824 L
.52914 .57997 L
.52987 .58097 L
.53051 .58189 L
.53179 .58365 L
.53194 .58382 L
.53317 .58575 L
.53372 .58651 L
.53449 .58768 L
.53565 .58934 L
.53582 .5896 L
.53705 .59153 L
.53758 .5923 L
.53827 .59346 L
.53758 .59477 L
.5365 .59346 L
.53565 .59253 L
.53486 .59153 L
.53372 .5902 L
.53326 .5896 L
.53179 .58787 L
.53169 .58768 L
.53019 .58575 L
.52987 .58536 L
.5287 .58382 L
.52794 .58288 L
.5272 .58189 L
.52601 .58053 L
.5257 .57997 L
.52423 .57804 L
.52409 .57787 L
.52279 .57611 L
.52216 .57532 L
.52133 .57419 L
.52023 .57292 L
.51945 .57226 L
.51841 .57033 L
.51831 .5702 L
.517 .56841 L
.51638 .5676 L
.51557 .56648 L
.51445 .56516 L
.51381 .56455 L
.51269 .56263 L
.51253 .56241 L
.5113 .5607 L
.5106 .55979 L
.50987 .55877 L
.50867 .55729 L
.50824 .55684 L
.50704 .55492 L
.50674 .55454 L
.50565 .55299 L
.50482 .55189 L
.50424 .55106 L
.50289 .54929 L
.50275 .54914 L
.50145 .54721 L
.50096 .54657 L
.50007 .54528 L
.49904 .5439 L
.49866 .54336 L
.49727 .54143 L
.49711 .54121 L
.49594 .5395 L
.49518 .53848 L
.49457 .53758 L
.49326 .53577 L
.49317 .53565 L
.49187 .53372 L
.49133 .53299 L
.49056 .53179 L
.4894 .53019 L
.4892 .52987 L
.48793 .52794 L
.48747 .5273 L
.48672 .52601 L
.48555 .52428 L
.48544 .52409 L
F
0 .73 1 r
.48555 .42129 m
.48631 .42196 L
.48747 .42299 L
.48825 .42389 L
.4894 .42512 L
.48997 .42581 L
.49133 .4272 L
.49161 .42774 L
.4932 .42967 L
.49326 .42974 L
.49472 .43159 L
.49518 .43214 L
.49625 .43352 L
.49711 .43429 L
.49778 .43545 L
.49904 .437 L
.49943 .43737 L
.50077 .4393 L
.50096 .43954 L
.50224 .44123 L
.50289 .4418 L
.50372 .44316 L
.50482 .44453 L
.50534 .44508 L
.50665 .44701 L
.50674 .44713 L
.50809 .44894 L
.50867 .44946 L
.50954 .45086 L
.5106 .45221 L
.51111 .45279 L
.51243 .45472 L
.51253 .45484 L
.51384 .45664 L
.51445 .45721 L
.51602 .45857 L
.51638 .45999 L
.51681 .4605 L
.51814 .46242 L
.51831 .46264 L
.51955 .46435 L
.52023 .46503 L
.52154 .46628 L
.52216 .46783 L
.52246 .46821 L
.5238 .47013 L
.52409 .47051 L
.5252 .47206 L
.52601 .47292 L
.52705 .47399 L
.52794 .47575 L
.52806 .47591 L
.52942 .47784 L
.52987 .47843 L
.53081 .47977 L
.53179 .4809 L
.53252 .48169 L
.53363 .48362 L
.53372 .48374 L
.53499 .48555 L
.53565 .48643 L
.53638 .48747 L
.53758 .489 L
.53792 .4894 L
.53914 .49133 L
.5395 .49181 L
.54049 .49326 L
.54143 .49453 L
.54188 .49518 L
.54325 .49711 L
.54336 .49725 L
.54455 .49904 L
.54528 .50004 L
.54589 .50096 L
.54721 .50281 L
.54726 .50289 L
.54851 .50482 L
.54914 .50571 L
.54977 .50674 L
.55106 .50864 L
.55108 .50867 L
.55211 .5106 L
.55299 .51225 L
.55302 .51253 L
.55299 .51258 L
.55289 .51253 L
.55106 .51095 L
.55075 .5106 L
.54914 .50893 L
.54901 .50867 L
.54738 .50674 L
.54721 .50655 L
.54579 .50482 L
.54528 .50423 L
.54421 .50289 L
.54336 .50219 L
.54265 .50096 L
.54143 .49946 L
.54095 .49904 L
.53961 .49711 L
.5395 .49698 L
.53811 .49518 L
.53758 .49475 L
.53661 .49326 L
.53565 .49205 L
.53495 .49133 L
.53372 .48949 L
.53366 .4894 L
.53219 .48747 L
.53179 .48714 L
.53072 .48555 L
.52987 .48446 L
.52914 .48362 L
.52794 .48185 L
.52785 .48169 L
.52638 .47977 L
.52601 .47944 L
.52493 .47784 L
.52409 .47675 L
.5234 .47591 L
.52216 .47411 L
.52209 .47399 L
.52064 .47206 L
.52023 .47168 L
.51855 .47013 L
.51831 .46895 L
.51773 .46821 L
.51638 .46629 L
.51637 .46628 L
.51496 .46435 L
.51445 .46385 L
.51303 .46242 L
.51253 .46108 L
.51209 .4605 L
.51073 .45857 L
.5106 .4584 L
.50933 .45664 L
.50867 .45595 L
.50753 .45472 L
.50674 .45312 L
.50651 .45279 L
.50514 .45086 L
.50482 .45042 L
.50376 .44894 L
.50289 .44794 L
.50208 .44701 L
.50097 .44508 L
.50096 .44507 L
.49962 .44316 L
.49904 .44235 L
.49825 .44123 L
.49711 .43975 L
.49674 .4393 L
.49554 .43737 L
.49518 .43689 L
.4942 .43545 L
.49326 .43412 L
.49285 .43352 L
.49153 .43159 L
.49133 .43131 L
.49026 .42967 L
.4894 .42842 L
.48897 .42774 L
.48772 .42581 L
.48747 .42545 L
.48661 .42389 L
.48555 .42209 L
.48549 .42196 L
F
1 .52 0 r
.48555 .53133 m
.48592 .53179 L
.48747 .53341 L
.48771 .53372 L
.48747 .53479 L
.48689 .53372 L
.48555 .53185 L
.48552 .53179 L
F
1 .77 0 r
.48555 .47259 m
.48747 .47337 L
.48804 .47399 L
.4894 .47528 L
.49 .47591 L
.49133 .47746 L
.49179 .47784 L
.49326 .47973 L
.49328 .47977 L
.49482 .48169 L
.49518 .48205 L
.49631 .48362 L
.49711 .48465 L
.49781 .48555 L
.49904 .48731 L
.49911 .48747 L
.50053 .4894 L
.50096 .49003 L
.50243 .49133 L
.50289 .49262 L
.50312 .49326 L
.50409 .49518 L
.50289 .49675 L
.50096 .49534 L
.50063 .49518 L
.49905 .49326 L
.49904 .49324 L
.4975 .49133 L
.49711 .49126 L
.49602 .4894 L
.49518 .48853 L
.49406 .48747 L
.49326 .48577 L
.49308 .48555 L
.49174 .48362 L
.49133 .48306 L
.49038 .48169 L
.4894 .48032 L
.48873 .47977 L
.48775 .47784 L
.48747 .47743 L
.48658 .47591 L
.48555 .47403 L
.48553 .47399 L
F
1 .59 0 r
.48555 .42959 m
.48564 .42967 L
.48747 .43135 L
.48767 .43159 L
.48747 .43302 L
.4867 .43159 L
.48555 .4297 L
.48554 .42967 L
F
1 .99 0 r
.48747 .50016 m
.4894 .50009 L
.49132 .50096 L
.49133 .50097 L
.49282 .50289 L
.49326 .50342 L
.49465 .50482 L
.49518 .50651 L
.49573 .50674 L
.49711 .50867 L
.49711 .50867 L
.49849 .5106 L
.49904 .51117 L
.50025 .51253 L
.50096 .51389 L
.50136 .51445 L
.50274 .51638 L
.50289 .51658 L
.50413 .51831 L
.50482 .5188 L
.50582 .52023 L
.50674 .52176 L
.50697 .52216 L
.50835 .52409 L
.50867 .52452 L
.50973 .52601 L
.5106 .52721 L
.51133 .52794 L
.51251 .52987 L
.51253 .52988 L
.51373 .53179 L
.51253 .5336 L
.51184 .53372 L
.5106 .53391 L
.51021 .53372 L
.50867 .53249 L
.50817 .53179 L
.50674 .52997 L
.50672 .52987 L
.50521 .52794 L
.50482 .52719 L
.504 .52601 L
.50289 .52486 L
.50231 .52409 L
.50096 .52221 L
.50092 .52216 L
.49961 .52023 L
.49904 .51939 L
.49863 .51831 L
.49711 .51699 L
.49665 .51638 L
.49526 .51445 L
.49518 .51433 L
.49402 .51253 L
.49326 .51159 L
.49241 .5106 L
.49133 .50891 L
.49102 .50867 L
.48963 .50674 L
.4894 .50642 L
.48846 .50482 L
.48747 .50374 L
.48683 .50289 L
.48563 .50096 L
F
1 .76 0 r
.48747 .4735 m
.48792 .47399 L
.4894 .47537 L
.48992 .47591 L
.49133 .47752 L
.49172 .47784 L
.49324 .47977 L
.49326 .47978 L
.49477 .48169 L
.49518 .48209 L
.49627 .48362 L
.49711 .4847 L
.49777 .48555 L
.49904 .48736 L
.49909 .48747 L
.50049 .4894 L
.50096 .49009 L
.50239 .49133 L
.50289 .49278 L
.50305 .49326 L
.504 .49518 L
.50289 .49664 L
.50096 .49526 L
.50078 .49518 L
.4991 .49326 L
.49904 .49318 L
.49754 .49133 L
.49711 .49124 L
.49605 .4894 L
.49518 .48849 L
.4941 .48747 L
.49326 .48573 L
.49311 .48555 L
.49177 .48362 L
.49133 .48302 L
.49042 .48169 L
.4894 .48026 L
.48879 .47977 L
.48779 .47784 L
.48747 .47735 L
.48664 .47591 L
.48564 .47399 L
F
1 .75 0 r
.48747 .47365 m
.48779 .47399 L
.4894 .47545 L
.48984 .47591 L
.49133 .47758 L
.49165 .47784 L
.49319 .47977 L
.49326 .47984 L
.49473 .48169 L
.49518 .48214 L
.49623 .48362 L
.49711 .48476 L
.49773 .48555 L
.49904 .48741 L
.49907 .48747 L
.50045 .4894 L
.50096 .49015 L
.50234 .49133 L
.50289 .49296 L
.50299 .49326 L
.50392 .49518 L
.50289 .49653 L
.50096 .49519 L
.50094 .49518 L
.49915 .49326 L
.49904 .49313 L
.49758 .49133 L
.49711 .49123 L
.49608 .4894 L
.49518 .48845 L
.49414 .48747 L
.49326 .48568 L
.49315 .48555 L
.49181 .48362 L
.49133 .48297 L
.49045 .48169 L
.4894 .48021 L
.48885 .47977 L
.48784 .47784 L
.48747 .47727 L
.4867 .47591 L
.48578 .47399 L
F
1 .74 0 r
.48747 .47381 m
.48764 .47399 L
.4894 .47554 L
.48976 .47591 L
.49133 .47764 L
.49158 .47784 L
.49314 .47977 L
.49326 .4799 L
.49469 .48169 L
.49518 .48218 L
.49619 .48362 L
.49711 .48481 L
.4977 .48555 L
.49904 .48746 L
.49904 .48747 L
.50041 .4894 L
.50096 .49022 L
.50229 .49133 L
.50289 .49315 L
.50293 .49326 L
.50383 .49518 L
.50289 .49642 L
.50104 .49518 L
.50096 .49512 L
.49921 .49326 L
.49904 .49307 L
.49762 .49133 L
.49711 .49121 L
.49612 .4894 L
.49518 .4884 L
.49419 .48747 L
.49326 .48564 L
.49319 .48555 L
.49184 .48362 L
.49133 .48292 L
.49048 .48169 L
.4894 .48016 L
.48891 .47977 L
.4879 .47784 L
.48747 .47718 L
.48677 .47591 L
.48593 .47399 L
F
0 .88 1 r
.48747 .50627 m
.48792 .50674 L
.4894 .50834 L
.48965 .50867 L
.49119 .5106 L
.49133 .51077 L
.49256 .51253 L
.49326 .51345 L
.49391 .51445 L
.49518 .51627 L
.49525 .51638 L
.49632 .51831 L
.49518 .51907 L
.49445 .51831 L
.49326 .517 L
.49272 .51638 L
.49133 .51474 L
.4909 .51445 L
.48968 .51253 L
.4894 .51216 L
.48827 .5106 L
.48747 .50942 L
.48698 .50867 L
.48594 .50674 L
F
1 .98 0 r
.48747 .50036 m
.4894 .50032 L
.49097 .50096 L
.49133 .50124 L
.49271 .50289 L
.49326 .50354 L
.49459 .50482 L
.49518 .50655 L
.49568 .50674 L
.49706 .50867 L
.49711 .50869 L
.49845 .5106 L
.49904 .51122 L
.50021 .51253 L
.50096 .51395 L
.50132 .51445 L
.50269 .51638 L
.50289 .51664 L
.50408 .51831 L
.50482 .51887 L
.50576 .52023 L
.50674 .52186 L
.50691 .52216 L
.50827 .52409 L
.50867 .52464 L
.50963 .52601 L
.5106 .52738 L
.51116 .52794 L
.51226 .52987 L
.51253 .53031 L
.51315 .53179 L
.51253 .53279 L
.5106 .5328 L
.509 .53179 L
.50867 .53141 L
.50709 .52987 L
.50674 .52933 L
.50548 .52794 L
.50482 .52676 L
.5042 .52601 L
.50289 .52462 L
.50248 .52409 L
.50104 .52216 L
.50096 .52201 L
.49973 .52023 L
.49904 .51922 L
.49871 .51831 L
.49711 .51686 L
.49674 .51638 L
.49533 .51445 L
.49518 .51421 L
.49411 .51253 L
.49326 .51148 L
.49249 .5106 L
.49133 .50883 L
.49111 .50867 L
.48972 .50674 L
.4894 .50627 L
.48859 .50482 L
.48747 .50351 L
.48703 .50289 L
.48612 .50096 L
F
1 .73 0 r
.48747 .47398 m
.48748 .47399 L
.4894 .47562 L
.48968 .47591 L
.49133 .47771 L
.4915 .47784 L
.49309 .47977 L
.49326 .47996 L
.49464 .48169 L
.49518 .48223 L
.49615 .48362 L
.49711 .48486 L
.49766 .48555 L
.499 .48747 L
.49904 .48752 L
.50036 .4894 L
.50096 .49028 L
.50224 .49133 L
.50286 .49326 L
.50289 .49331 L
.50374 .49518 L
.50289 .4963 L
.50114 .49518 L
.50096 .49504 L
.49926 .49326 L
.49904 .49302 L
.49766 .49133 L
.49711 .49119 L
.49615 .4894 L
.49518 .48836 L
.49423 .48747 L
.49326 .48559 L
.49322 .48555 L
.49187 .48362 L
.49133 .48288 L
.49052 .48169 L
.4894 .48011 L
.48897 .47977 L
.48795 .47784 L
.48747 .47709 L
.48683 .47591 L
.48613 .47399 L
F
0 .99 1 r
.48747 .46704 m
.4894 .46747 L
.49086 .46821 L
.49133 .46848 L
.49289 .47013 L
.49326 .47032 L
.49471 .47206 L
.49518 .47265 L
.49622 .47399 L
.49711 .47519 L
.49766 .47591 L
.49904 .47781 L
.49906 .47784 L
.50028 .47977 L
.50096 .4808 L
.50195 .48169 L
.50289 .48301 L
.50335 .48362 L
.50473 .48555 L
.50482 .48568 L
.50592 .48747 L
.50674 .48845 L
.50759 .4894 L
.50867 .49116 L
.50898 .49133 L
.51036 .49326 L
.5106 .49358 L
.51148 .49518 L
.51253 .49626 L
.51318 .49711 L
.51439 .49904 L
.51253 .49984 L
.5106 .49992 L
.50973 .50096 L
.5106 .50188 L
.51088 .50289 L
.51253 .50455 L
.51272 .50482 L
.51424 .50674 L
.51445 .50735 L
.51546 .50867 L
.51638 .51021 L
.51651 .5106 L
.51831 .51244 L
.51837 .51253 L
.5199 .51445 L
.52023 .5151 L
.52108 .51638 L
.52216 .51778 L
.52261 .51831 L
.524 .52023 L
.52409 .52028 L
.52553 .52216 L
.52601 .52284 L
.5267 .52409 L
.52794 .52557 L
.52824 .52601 L
.52963 .52794 L
.52987 .52829 L
.53114 .52987 L
.53179 .531 L
.53228 .53179 L
.53179 .53346 L
.52987 .53333 L
.52794 .53342 L
.52625 .53179 L
.52601 .53134 L
.52502 .52987 L
.52409 .52873 L
.52393 .52794 L
.52216 .52607 L
.52212 .52601 L
.52056 .52409 L
.52023 .52332 L
.51938 .52216 L
.51831 .52059 L
.51829 .52023 L
.51648 .51831 L
.51638 .51819 L
.51492 .51638 L
.51445 .51555 L
.51376 .51445 L
.51253 .51288 L
.51224 .51253 L
.51084 .5106 L
.5106 .51057 L
.5093 .50867 L
.50867 .50794 L
.50814 .50674 L
.50674 .50508 L
.50661 .50482 L
.50523 .50289 L
.50482 .50225 L
.50376 .50096 L
.50482 .50012 L
.50674 .50001 L
.50866 .49904 L
.50717 .49711 L
.50674 .49659 L
.50533 .49518 L
.50482 .4935 L
.50426 .49326 L
.50289 .49133 L
.50289 .49133 L
.5015 .4894 L
.50096 .48884 L
.49974 .48747 L
.49904 .48612 L
.49863 .48555 L
.49725 .48362 L
.49711 .48343 L
.49587 .48169 L
.49518 .48123 L
.49416 .47977 L
.49326 .47826 L
.49302 .47784 L
.49164 .47591 L
.49133 .47549 L
.49026 .47399 L
.4894 .47281 L
.4886 .47206 L
.48747 .47016 L
.48745 .47013 L
.48623 .46821 L
F
0 .87 1 r
.48747 .50656 m
.48766 .50674 L
.4894 .50856 L
.48949 .50867 L
.49101 .5106 L
.49133 .511 L
.4924 .51253 L
.49326 .51368 L
.49375 .51445 L
.49503 .51638 L
.49518 .51662 L
.49593 .51831 L
.49518 .51862 L
.49485 .51831 L
.49326 .51668 L
.49299 .51638 L
.49138 .51445 L
.49133 .51439 L
.48989 .51253 L
.4894 .51188 L
.48848 .5106 L
.48747 .50908 L
.48721 .50867 L
.48632 .50674 L
F
1 .97 0 r
.48747 .50058 m
.4894 .50053 L
.49058 .50096 L
.49133 .50146 L
.49259 .50289 L
.49326 .50366 L
.49452 .50482 L
.49518 .50659 L
.49562 .50674 L
.49701 .50867 L
.49711 .50872 L
.4984 .5106 L
.49904 .51127 L
.50017 .51253 L
.50096 .51401 L
.50128 .51445 L
.50265 .51638 L
.50289 .5167 L
.50403 .51831 L
.50482 .51895 L
.5057 .52023 L
.50674 .52198 L
.50685 .52216 L
.50819 .52409 L
.50867 .52477 L
.50953 .52601 L
.5106 .52757 L
.51097 .52794 L
.51198 .52987 L
.51236 .53179 L
.5106 .53203 L
.51003 .53179 L
.50867 .53068 L
.50751 .52987 L
.50674 .52883 L
.50573 .52794 L
.50482 .52646 L
.50437 .52601 L
.50289 .52439 L
.50265 .52409 L
.50113 .52216 L
.50096 .52181 L
.49984 .52023 L
.49904 .51907 L
.49879 .51831 L
.49711 .51674 L
.49683 .51638 L
.4954 .51445 L
.49518 .51409 L
.4942 .51253 L
.49326 .51138 L
.49258 .5106 L
.49133 .50876 L
.4912 .50867 L
.48981 .50674 L
.4894 .50613 L
.4887 .50482 L
.48747 .50327 L
.48722 .50289 L
.48662 .50096 L
F
1 .89 0 r
.48747 .41489 m
.48871 .41618 L
.4894 .41687 L
.49049 .41811 L
.49133 .41846 L
.49218 .42003 L
.49326 .42123 L
.49381 .42196 L
.49518 .42364 L
.49543 .42389 L
.49695 .42581 L
.49711 .42587 L
.49849 .42774 L
.49904 .42838 L
.50059 .42967 L
.50096 .43091 L
.50154 .43159 L
.50289 .4334 L
.50295 .43352 L
.50449 .43545 L
.50482 .43584 L
.50634 .43737 L
.50674 .43842 L
.50742 .4393 L
.50867 .44099 L
.50875 .44123 L
.51035 .44316 L
.5106 .44346 L
.51206 .44508 L
.51253 .44608 L
.5132 .44701 L
.51445 .44869 L
.51449 .44894 L
.51613 .45086 L
.51638 .45118 L
.51776 .45279 L
.51831 .45382 L
.51892 .45472 L
.52023 .45644 L
.52043 .45664 L
.52185 .45857 L
.52216 .45896 L
.52343 .4605 L
.52409 .46162 L
.5246 .46242 L
.52601 .46424 L
.52613 .46435 L
.52754 .46628 L
.52794 .46678 L
.52909 .46821 L
.52987 .46945 L
.53027 .47013 L
.53179 .47205 L
.5318 .47206 L
.53321 .47399 L
.53372 .47463 L
.53473 .47591 L
.53565 .47732 L
.53593 .47784 L
.53745 .47977 L
.53758 .47987 L
.53935 .48169 L
.5395 .4825 L
.54035 .48362 L
.54143 .4852 L
.54159 .48555 L
.54309 .48747 L
.54336 .4877 L
.54494 .4894 L
.54528 .4904 L
.54597 .49133 L
.54721 .4931 L
.54727 .49326 L
.54871 .49518 L
.54914 .49557 L
.55051 .49711 L
.55106 .49832 L
.55157 .49904 L
.55294 .50096 L
.55299 .50103 L
.55432 .50289 L
.55492 .50347 L
.55606 .50482 L
.55684 .50628 L
.55716 .50674 L
.55853 .50867 L
.55877 .50899 L
.55991 .5106 L
.5607 .51144 L
.56158 .51253 L
.56263 .51429 L
.56273 .51445 L
.56409 .51638 L
.56455 .517 L
.56547 .51831 L
.56648 .5195 L
.56705 .52023 L
.56826 .52216 L
.56841 .52236 L
.56961 .52409 L
.57033 .52507 L
.57098 .52601 L
.57226 .52771 L
.57243 .52794 L
.5737 .52987 L
.57419 .53053 L
.57504 .53179 L
.57611 .53329 L
.57677 .53372 L
.57772 .53565 L
.57804 .53609 L
.57899 .53758 L
.57997 .53897 L
.5803 .5395 L
.58153 .54143 L
.58189 .54198 L
.58263 .54336 L
.58189 .54457 L
.58071 .54336 L
.57997 .54261 L
.5789 .54143 L
.57804 .54091 L
.57718 .5395 L
.57611 .53828 L
.57498 .53758 L
.57419 .53591 L
.57394 .53565 L
.57238 .53372 L
.57226 .53365 L
.57082 .53179 L
.57033 .53119 L
.56888 .52987 L
.56841 .52868 L
.56782 .52794 L
.56648 .52619 L
.56641 .52601 L
.5648 .52409 L
.56455 .52377 L
.56309 .52216 L
.56263 .52119 L
.56194 .52023 L
.5607 .51861 L
.56065 .51831 L
.55894 .51638 L
.55877 .51616 L
.55734 .51445 L
.55684 .51355 L
.55616 .51253 L
.55492 .51092 L
.55458 .5106 L
.55315 .50867 L
.55299 .50846 L
.55162 .50674 L
.55106 .50581 L
.55045 .50482 L
.54914 .50317 L
.54884 .50289 L
.54742 .50096 L
.54721 .50068 L
.54593 .49904 L
.54528 .49802 L
.54477 .49711 L
.54336 .49538 L
.54314 .49518 L
.54172 .49326 L
.54143 .49286 L
.54027 .49133 L
.5395 .49019 L
.5391 .4894 L
.53758 .48757 L
.53746 .48747 L
.53575 .48555 L
.53565 .48502 L
.53462 .48362 L
.53372 .48233 L
.53345 .48169 L
.53181 .47977 L
.53179 .47975 L
.5301 .47784 L
.52987 .47714 L
.52899 .47591 L
.52794 .47446 L
.52779 .47399 L
.52617 .47206 L
.52601 .47191 L
.52448 .47013 L
.52409 .46925 L
.52337 .46821 L
.52216 .46656 L
.5221 .46628 L
.52054 .46435 L
.52023 .46404 L
.51888 .46242 L
.51831 .46133 L
.51776 .4605 L
.51638 .45864 L
.51638 .45857 L
.51494 .45664 L
.51445 .45614 L
.51331 .45472 L
.51253 .45338 L
.51216 .45279 L
.51074 .45086 L
.5106 .45068 L
.50935 .44894 L
.50867 .44818 L
.50777 .44701 L
.50674 .44537 L
.50658 .44508 L
.50518 .44316 L
.50482 .44266 L
.50381 .44123 L
.50289 .44013 L
.50228 .4393 L
.50103 .43737 L
.50096 .43728 L
.49969 .43545 L
.49904 .43456 L
.49767 .43352 L
.49711 .43192 L
.49688 .43159 L
.49561 .42967 L
.49518 .42908 L
.49428 .42774 L
.49326 .4263 L
.49261 .42581 L
.49163 .42389 L
.49133 .42347 L
.49036 .42196 L
.4894 .42055 L
.48908 .42003 L
.48787 .41811 L
.48747 .4175 L
.48677 .41618 L
F
0 .72 1 r
.48747 .4232 m
.48809 .42389 L
.4894 .42526 L
.48986 .42581 L
.49133 .42736 L
.49152 .42774 L
.49311 .42967 L
.49326 .42984 L
.49465 .43159 L
.49518 .43222 L
.49619 .43352 L
.49711 .43437 L
.49773 .43545 L
.49904 .43708 L
.49935 .43737 L
.50072 .4393 L
.50096 .4396 L
.5022 .44123 L
.50289 .44185 L
.50368 .44316 L
.50482 .44459 L
.50529 .44508 L
.50661 .44701 L
.50674 .44718 L
.50805 .44894 L
.50867 .4495 L
.5095 .45086 L
.5106 .45226 L
.51107 .45279 L
.51239 .45472 L
.51253 .45488 L
.51381 .45664 L
.51445 .45725 L
.51599 .45857 L
.51638 .46003 L
.51677 .4605 L
.51811 .46242 L
.51831 .46268 L
.51952 .46435 L
.52023 .46507 L
.52151 .46628 L
.52216 .46788 L
.52242 .46821 L
.52377 .47013 L
.52409 .47055 L
.52517 .47206 L
.52601 .47296 L
.52701 .47399 L
.52794 .4758 L
.52803 .47591 L
.52939 .47784 L
.52987 .47847 L
.53078 .47977 L
.53179 .48095 L
.53247 .48169 L
.5336 .48362 L
.53372 .48379 L
.53495 .48555 L
.53565 .48648 L
.53634 .48747 L
.53758 .48906 L
.53787 .4894 L
.5391 .49133 L
.5395 .49187 L
.54045 .49326 L
.54143 .49459 L
.54184 .49518 L
.5432 .49711 L
.54336 .49732 L
.5445 .49904 L
.54528 .50011 L
.54584 .50096 L
.54721 .50289 L
.54721 .50289 L
.54843 .50482 L
.54914 .50583 L
.54969 .50674 L
.54914 .50866 L
.5475 .50674 L
.54721 .50643 L
.54588 .50482 L
.54528 .50412 L
.54429 .50289 L
.54336 .50209 L
.54272 .50096 L
.54143 .49938 L
.54104 .49904 L
.53967 .49711 L
.5395 .4969 L
.53816 .49518 L
.53758 .4947 L
.53666 .49326 L
.53565 .49199 L
.53501 .49133 L
.53372 .48943 L
.5337 .4894 L
.53223 .48747 L
.53179 .4871 L
.53076 .48555 L
.52987 .4844 L
.52918 .48362 L
.52794 .4818 L
.52788 .48169 L
.52642 .47977 L
.52601 .47941 L
.52497 .47784 L
.52409 .4767 L
.52344 .47591 L
.52216 .47407 L
.52212 .47399 L
.52068 .47206 L
.52023 .47164 L
.51858 .47013 L
.51831 .46891 L
.51776 .46821 L
.5164 .46628 L
.51638 .46625 L
.515 .46435 L
.51445 .46381 L
.51306 .46242 L
.51253 .46103 L
.51213 .4605 L
.51076 .45857 L
.5106 .45835 L
.50937 .45664 L
.50867 .4559 L
.50757 .45472 L
.50674 .45307 L
.50654 .45279 L
.50518 .45086 L
.50482 .45037 L
.50379 .44894 L
.50289 .44788 L
.50213 .44701 L
.50102 .44508 L
.50096 .44501 L
.49967 .44316 L
.49904 .44229 L
.49829 .44123 L
.49711 .43967 L
.49681 .4393 L
.49559 .43737 L
.49518 .43682 L
.49426 .43545 L
.49326 .43404 L
.49291 .43352 L
.4916 .43159 L
.49133 .43121 L
.49034 .42967 L
.4894 .4283 L
.48905 .42774 L
.48785 .42581 L
.48747 .42524 L
.48678 .42389 L
F
1 .72 0 r
.48747 .47411 m
.4894 .47571 L
.4896 .47591 L
.49133 .47777 L
.49142 .47784 L
.49304 .47977 L
.49326 .48002 L
.4946 .48169 L
.49518 .48227 L
.4961 .48362 L
.49711 .48491 L
.49762 .48555 L
.49896 .48747 L
.49904 .48758 L
.50032 .4894 L
.50096 .49035 L
.50218 .49133 L
.5028 .49326 L
.50289 .49343 L
.50364 .49518 L
.50289 .49618 L
.50124 .49518 L
.50096 .49497 L
.49932 .49326 L
.49904 .49296 L
.4977 .49133 L
.49711 .49116 L
.49618 .4894 L
.49518 .48831 L
.49428 .48747 L
.49326 .48555 L
.49326 .48554 L
.49191 .48362 L
.49133 .48283 L
.49055 .48169 L
.4894 .48005 L
.48904 .47977 L
.488 .47784 L
.48747 .47699 L
.4869 .47591 L
F
0 .8 1 r
.48747 .52511 m
.48825 .52601 L
.4894 .5273 L
.48993 .52794 L
.49133 .52936 L
.49155 .52987 L
.4931 .53179 L
.49326 .53198 L
.49463 .53372 L
.49518 .53439 L
.49617 .53565 L
.49711 .53644 L
.4977 .53758 L
.49904 .53927 L
.49928 .5395 L
.50067 .54143 L
.50096 .5418 L
.50215 .54336 L
.50289 .54396 L
.50364 .54528 L
.50482 .5468 L
.50521 .54721 L
.50655 .54914 L
.50674 .54939 L
.50799 .55106 L
.50867 .55165 L
.50945 .55299 L
.5106 .55449 L
.51097 .55492 L
.51231 .55684 L
.51253 .55713 L
.51373 .55877 L
.51445 .55945 L
.51517 .5607 L
.51638 .56232 L
.51663 .56263 L
.51798 .56455 L
.51831 .56499 L
.51939 .56648 L
.52023 .56737 L
.52137 .56841 L
.52216 .57027 L
.52221 .57033 L
.52357 .57226 L
.52409 .57296 L
.52496 .57419 L
.52601 .57546 L
.52665 .57611 L
.5277 .57804 L
.52794 .57836 L
.52905 .57997 L
.52987 .5811 L
.53042 .58189 L
.53177 .58382 L
.53179 .58385 L
.53306 .58575 L
.53372 .58669 L
.53437 .58768 L
.53565 .58954 L
.53569 .5896 L
.53686 .59153 L
.53758 .5926 L
.53805 .59346 L
.53758 .59445 L
.53674 .59346 L
.53565 .59231 L
.53503 .59153 L
.53372 .59003 L
.53339 .5896 L
.5318 .58768 L
.53179 .58766 L
.53031 .58575 L
.52987 .58522 L
.52881 .58382 L
.52794 .58276 L
.52729 .58189 L
.52601 .5804 L
.52578 .57997 L
.52431 .57804 L
.52409 .57776 L
.52287 .57611 L
.52216 .57522 L
.5214 .57419 L
.52023 .57282 L
.51958 .57226 L
.51848 .57033 L
.51831 .57011 L
.51707 .56841 L
.51638 .56752 L
.51563 .56648 L
.51445 .56507 L
.51391 .56455 L
.51275 .56263 L
.51253 .56233 L
.51136 .5607 L
.5106 .55971 L
.50993 .55877 L
.50867 .55719 L
.50834 .55684 L
.5071 .55492 L
.50674 .55446 L
.50571 .55299 L
.50482 .55181 L
.5043 .55106 L
.50289 .54919 L
.50284 .54914 L
.50152 .54721 L
.50096 .54648 L
.50014 .54528 L
.49904 .54381 L
.49873 .54336 L
.49735 .54143 L
.49711 .54111 L
.49602 .5395 L
.49518 .53837 L
.49465 .53758 L
.49326 .53566 L
.49325 .53565 L
.49198 .53372 L
.49133 .53284 L
.49067 .53179 L
.4894 .53002 L
.4893 .52987 L
.4881 .52794 L
.48747 .52704 L
.48692 .52601 L
F
0 .26 1 r
.48747 .48185 m
.48887 .48362 L
.4894 .48427 L
.4903 .48555 L
.49133 .48697 L
.49165 .48747 L
.49133 .48914 L
.48988 .48747 L
.4894 .48695 L
.48836 .48555 L
.48747 .48443 L
.48693 .48362 L
F
0 .98 1 r
.48747 .46771 m
.4894 .46809 L
.48967 .46821 L
.49133 .46909 L
.49213 .47013 L
.49326 .47082 L
.49438 .47206 L
.49518 .47302 L
.49598 .47399 L
.49711 .47546 L
.49747 .47591 L
.49892 .47784 L
.49904 .47806 L
.50014 .47977 L
.50096 .481 L
.50184 .48169 L
.50289 .48315 L
.50325 .48362 L
.50465 .48555 L
.50482 .48581 L
.50583 .48747 L
.50674 .48856 L
.50751 .4894 L
.50867 .49122 L
.50889 .49133 L
.51026 .49326 L
.5106 .49373 L
.51135 .49518 L
.51253 .49648 L
.51298 .49711 L
.51388 .49904 L
.51253 .49964 L
.5106 .49969 L
.509 .49904 L
.50867 .49879 L
.50728 .49711 L
.50674 .49647 L
.5054 .49518 L
.50482 .49345 L
.50431 .49326 L
.50294 .49133 L
.50289 .49131 L
.50155 .4894 L
.50096 .48879 L
.49978 .48747 L
.49904 .48606 L
.49867 .48555 L
.4973 .48362 L
.49711 .48337 L
.49592 .48169 L
.49518 .48116 L
.49421 .47977 L
.49326 .47815 L
.49308 .47784 L
.49172 .47591 L
.49133 .47537 L
.49036 .47399 L
.4894 .47264 L
.48878 .47206 L
.48772 .47013 L
.48747 .46972 L
.48694 .46821 L
F
1 .58 0 r
.48747 .43154 m
.48752 .43159 L
.48747 .43278 L
.48694 .43159 L
F
0 .97 1 r
.48747 .40677 m
.48921 .40847 L
.4894 .40865 L
.49102 .4104 L
.49133 .41072 L
.49274 .41232 L
.49326 .41283 L
.49441 .41425 L
.49518 .41522 L
.49624 .41618 L
.49711 .41763 L
.49749 .41811 L
.49904 .41998 L
.49914 .42003 L
.50068 .42196 L
.50096 .42236 L
.50228 .42389 L
.50289 .42491 L
.5035 .42581 L
.50482 .42751 L
.5052 .42774 L
.50666 .42967 L
.50674 .4298 L
.50815 .43159 L
.50867 .43243 L
.50933 .43352 L
.5106 .43515 L
.51107 .43545 L
.51249 .43737 L
.51253 .43743 L
.51392 .4393 L
.51445 .44012 L
.51507 .44123 L
.51638 .44288 L
.51683 .44316 L
.51829 .44508 L
.51831 .44518 L
.51963 .44701 L
.52023 .4479 L
.52074 .44894 L
.52216 .45066 L
.52254 .45086 L
.52402 .45279 L
.52409 .453 L
.5253 .45472 L
.52601 .45573 L
.52638 .45664 L
.52794 .45845 L
.52822 .45857 L
.52971 .4605 L
.52987 .46085 L
.53095 .46242 L
.53179 .46358 L
.532 .46435 L
.53372 .46623 L
.53388 .46628 L
.53539 .46821 L
.53565 .46873 L
.53659 .47013 L
.53758 .47145 L
.53762 .47206 L
.5395 .47398 L
.53953 .47399 L
.54104 .47591 L
.54143 .47661 L
.54221 .47784 L
.54336 .47931 L
.54378 .47977 L
.54518 .48169 L
.54528 .48183 L
.54668 .48362 L
.54721 .4845 L
.54784 .48555 L
.54914 .48718 L
.54942 .48747 L
.55082 .4894 L
.55106 .48971 L
.55231 .49133 L
.55299 .49238 L
.55347 .49326 L
.55492 .49503 L
.55506 .49518 L
.55681 .49711 L
.55684 .49759 L
.55793 .49904 L
.55877 .50028 L
.5591 .50096 L
.5607 .50289 L
.5607 .50289 L
.56245 .50482 L
.56263 .50548 L
.56355 .50674 L
.56455 .50817 L
.56475 .50867 L
.56633 .5106 L
.56648 .51072 L
.56807 .51253 L
.56841 .51337 L
.56917 .51445 L
.57033 .51607 L
.57042 .51638 L
.57195 .51831 L
.57226 .51857 L
.57368 .52023 L
.57419 .52128 L
.57479 .52216 L
.57611 .52398 L
.57613 .52409 L
.57758 .52601 L
.57804 .52644 L
.57927 .52794 L
.57997 .5292 L
.5804 .52987 L
.58181 .53179 L
.58189 .53191 L
.58319 .53372 L
.58382 .53434 L
.58485 .53565 L
.58575 .53715 L
.58601 .53758 L
.58741 .5395 L
.58768 .53985 L
.5888 .54143 L
.5896 .54229 L
.59041 .54336 L
.59153 .54513 L
.59162 .54528 L
.593 .54721 L
.59346 .54782 L
.59438 .54914 L
.59538 .5503 L
.59594 .55106 L
.5972 .55299 L
.59731 .55314 L
.59855 .55492 L
.59924 .55584 L
.60055 .55684 L
.60116 .55841 L
.60141 .55877 L
.6027 .5607 L
.60309 .56122 L
.60405 .56263 L
.60502 .56395 L
.60581 .56455 L
.6068 .56648 L
.60694 .56667 L
.6081 .56841 L
.60887 .56947 L
.60944 .57033 L
.6108 .57226 L
.6108 .57226 L
.61203 .57419 L
.61273 .57519 L
.61329 .57611 L
.61457 .57804 L
.61465 .57817 L
.61569 .57997 L
.61658 .58141 L
.61683 .58189 L
.61778 .58382 L
.61658 .58416 L
.61626 .58382 L
.61465 .58207 L
.61453 .58189 L
.61292 .57997 L
.61273 .57974 L
.61135 .57804 L
.6108 .57753 L
.60979 .57611 L
.60887 .57499 L
.60793 .57419 L
.60694 .57253 L
.60673 .57226 L
.6052 .57033 L
.60502 .57012 L
.60365 .56841 L
.60309 .56764 L
.60213 .56648 L
.60116 .5651 L
.60095 .56455 L
.59924 .56265 L
.59912 .56263 L
.59738 .5607 L
.59731 .56024 L
.59624 .55877 L
.59538 .55757 L
.59522 .55684 L
.59346 .55531 L
.59315 .55492 L
.59162 .55299 L
.59153 .55273 L
.59036 .55106 L
.5896 .55 L
.58934 .54914 L
.58768 .54767 L
.58732 .54721 L
.58585 .54528 L
.58575 .54505 L
.58458 .54336 L
.58382 .5423 L
.58357 .54143 L
.58189 .53992 L
.58157 .5395 L
.58012 .53758 L
.57997 .53728 L
.57888 .53565 L
.57804 .53451 L
.57791 .53372 L
.57611 .53211 L
.57588 .53179 L
.57443 .52987 L
.57419 .52944 L
.57322 .52794 L
.57226 .52668 L
.5716 .52601 L
.57033 .52425 L
.57021 .52409 L
.56876 .52216 L
.56841 .52157 L
.56759 .52023 L
.56648 .51882 L
.56594 .51831 L
.56455 .51638 L
.56455 .51638 L
.56312 .51445 L
.56263 .51369 L
.56197 .51253 L
.5607 .51097 L
.5603 .5106 L
.55878 .50867 L
.55877 .5085 L
.55748 .50674 L
.55684 .50581 L
.55635 .50482 L
.55492 .50312 L
.55465 .50289 L
.55308 .50096 L
.55299 .50061 L
.55185 .49904 L
.55106 .49792 L
.55073 .49711 L
.54914 .49529 L
.54901 .49518 L
.54741 .49326 L
.54721 .49272 L
.54623 .49133 L
.54528 .49003 L
.54509 .4894 L
.54338 .48747 L
.54336 .48745 L
.54176 .48555 L
.54143 .48483 L
.5406 .48362 L
.5395 .48215 L
.53944 .48169 L
.53774 .47977 L
.53758 .4796 L
.53613 .47784 L
.53565 .47694 L
.53498 .47591 L
.53372 .47425 L
.53351 .47399 L
.53211 .47206 L
.53179 .47173 L
.53052 .47013 L
.52987 .46903 L
.52936 .46821 L
.52794 .46636 L
.52788 .46628 L
.52649 .46435 L
.52601 .46385 L
.52491 .46242 L
.52409 .46112 L
.52373 .4605 L
.52226 .45857 L
.52216 .45844 L
.52087 .45664 L
.52023 .45594 L
.51931 .45472 L
.51831 .45318 L
.5181 .45279 L
.51665 .45086 L
.51638 .45079 L
.51468 .44894 L
.51445 .44801 L
.51373 .44701 L
.51253 .44523 L
.51246 .44508 L
.51105 .44316 L
.5106 .44294 L
.50915 .44123 L
.50867 .44003 L
.50817 .4393 L
.50685 .43737 L
.50674 .43724 L
.50548 .43545 L
.50482 .43499 L
.50367 .43352 L
.50289 .43197 L
.50264 .43159 L
.50131 .42967 L
.50096 .4292 L
.49995 .42774 L
.49904 .42686 L
.49827 .42581 L
.49717 .42389 L
.49711 .4238 L
.49585 .42196 L
.49518 .42104 L
.4945 .42003 L
.49326 .4184 L
.49305 .41811 L
.49184 .41618 L
.49133 .41545 L
.49056 .41425 L
.4894 .41257 L
.48925 .41232 L
.48807 .4104 L
.48747 .40948 L
.48694 .40847 L
F
0 .25 1 r
.48747 .48192 m
.48881 .48362 L
.4894 .48434 L
.49026 .48555 L
.49133 .48704 L
.4916 .48747 L
.49133 .48905 L
.48994 .48747 L
.4894 .48688 L
.48841 .48555 L
.48747 .48437 L
.48697 .48362 L
F
1 .71 0 r
.48747 .47425 m
.4894 .47581 L
.48951 .47591 L
.49133 .47783 L
.49134 .47784 L
.49298 .47977 L
.49326 .48008 L
.49455 .48169 L
.49518 .48232 L
.49606 .48362 L
.49711 .48497 L
.49758 .48555 L
.49892 .48747 L
.49904 .48763 L
.50028 .4894 L
.50096 .49041 L
.50212 .49133 L
.50274 .49326 L
.50289 .49355 L
.50354 .49518 L
.50289 .49605 L
.50134 .49518 L
.50096 .49489 L
.49937 .49326 L
.49904 .4929 L
.49775 .49133 L
.49711 .49113 L
.49622 .4894 L
.49518 .48826 L
.49433 .48747 L
.49329 .48555 L
.49326 .4855 L
.49194 .48362 L
.49133 .48278 L
.49059 .48169 L
.4894 .48 L
.48911 .47977 L
.48806 .47784 L
.48747 .47689 L
.48697 .47591 L
F
0 .71 1 r
.48747 .42344 m
.48789 .42389 L
.4894 .42542 L
.48974 .42581 L
.49133 .42755 L
.49143 .42774 L
.49302 .42967 L
.49326 .42994 L
.49457 .43159 L
.49518 .43231 L
.49613 .43352 L
.49711 .43445 L
.49767 .43545 L
.49904 .43715 L
.49928 .43737 L
.50067 .4393 L
.50096 .43966 L
.50215 .44123 L
.50289 .4419 L
.50364 .44316 L
.50482 .44464 L
.50524 .44508 L
.50657 .44701 L
.50674 .44723 L
.50801 .44894 L
.50867 .44954 L
.50947 .45086 L
.5106 .4523 L
.51103 .45279 L
.51236 .45472 L
.51253 .45493 L
.51378 .45664 L
.51445 .45729 L
.51595 .45857 L
.51638 .46007 L
.51674 .4605 L
.51808 .46242 L
.51831 .46272 L
.51949 .46435 L
.52023 .46511 L
.52147 .46628 L
.52216 .46792 L
.52239 .46821 L
.52374 .47013 L
.52409 .47058 L
.52514 .47206 L
.52601 .473 L
.52697 .47399 L
.52794 .47584 L
.528 .47591 L
.52936 .47784 L
.52987 .47852 L
.53075 .47977 L
.53179 .481 L
.53243 .48169 L
.53356 .48362 L
.53372 .48383 L
.53492 .48555 L
.53565 .48652 L
.53631 .48747 L
.53758 .48912 L
.53781 .4894 L
.53906 .49133 L
.5395 .49192 L
.54041 .49326 L
.54143 .49465 L
.54179 .49518 L
.54315 .49711 L
.54336 .49739 L
.54445 .49904 L
.54528 .50019 L
.54579 .50096 L
.54713 .50289 L
.54721 .503 L
.54834 .50482 L
.54914 .50596 L
.54959 .50674 L
.54914 .50849 L
.54762 .50674 L
.54721 .5063 L
.54598 .50482 L
.54528 .50401 L
.54437 .50289 L
.54336 .50198 L
.54279 .50096 L
.54143 .49929 L
.54114 .49904 L
.53973 .49711 L
.5395 .49683 L
.53822 .49518 L
.53758 .49464 L
.53671 .49326 L
.53565 .49192 L
.53507 .49133 L
.53374 .4894 L
.53372 .48937 L
.53228 .48747 L
.53179 .48706 L
.5308 .48555 L
.52987 .48435 L
.52922 .48362 L
.52794 .48175 L
.5279 .48169 L
.52645 .47977 L
.52601 .47937 L
.525 .47784 L
.52409 .47665 L
.52347 .47591 L
.52216 .47402 L
.52214 .47399 L
.52071 .47206 L
.52023 .47161 L
.5186 .47013 L
.51831 .46886 L
.51779 .46821 L
.51643 .46628 L
.51638 .4662 L
.51503 .46435 L
.51445 .46378 L
.51309 .46242 L
.51253 .46099 L
.51216 .4605 L
.5108 .45857 L
.5106 .45831 L
.5094 .45664 L
.50867 .45586 L
.50761 .45472 L
.50674 .45302 L
.50658 .45279 L
.50522 .45086 L
.50482 .45032 L
.50383 .44894 L
.50289 .44783 L
.50218 .44701 L
.50106 .44508 L
.50096 .44496 L
.49971 .44316 L
.49904 .44223 L
.49834 .44123 L
.49711 .43959 L
.49688 .4393 L
.49564 .43737 L
.49518 .43674 L
.49431 .43545 L
.49326 .43395 L
.49296 .43352 L
.49168 .43159 L
.49133 .4311 L
.49042 .42967 L
.4894 .42817 L
.48914 .42774 L
.48799 .42581 L
.48747 .42499 L
.48698 .42389 L
F
0 .24 1 r
.48747 .48199 m
.48876 .48362 L
.4894 .4844 L
.49021 .48555 L
.49133 .48712 L
.49155 .48747 L
.49133 .48896 L
.49001 .48747 L
.4894 .48682 L
.48846 .48555 L
.48747 .4843 L
.48702 .48362 L
F
1 .7 0 r
.48747 .4744 m
.4894 .4759 L
.48942 .47591 L
.49127 .47784 L
.49133 .4779 L
.49293 .47977 L
.49326 .48014 L
.4945 .48169 L
.49518 .48237 L
.49602 .48362 L
.49711 .48502 L
.49753 .48555 L
.49888 .48747 L
.49904 .48769 L
.50024 .4894 L
.50096 .49048 L
.50205 .49133 L
.50267 .49326 L
.50289 .4937 L
.50343 .49518 L
.50289 .49591 L
.50146 .49518 L
.50096 .49481 L
.49943 .49326 L
.49904 .49284 L
.49779 .49133 L
.49711 .4911 L
.49625 .4894 L
.49518 .48821 L
.49438 .48747 L
.49333 .48555 L
.49326 .48545 L
.49197 .48362 L
.49133 .48274 L
.49062 .48169 L
.4894 .47994 L
.48918 .47977 L
.48811 .47784 L
.48747 .47677 L
.48705 .47591 L
F
0 .23 1 r
.48747 .48207 m
.4887 .48362 L
.4894 .48447 L
.49015 .48555 L
.49133 .4872 L
.49149 .48747 L
.49133 .48886 L
.49008 .48747 L
.4894 .48675 L
.48851 .48555 L
.48747 .48424 L
.48707 .48362 L
F
1 .88 0 r
.48747 .41541 m
.4883 .41618 L
.4894 .41719 L
.49023 .41811 L
.49133 .41871 L
.49198 .42003 L
.49326 .42144 L
.49365 .42196 L
.49518 .42381 L
.49527 .42389 L
.49682 .42581 L
.49711 .42592 L
.49838 .42774 L
.49904 .4285 L
.50051 .42967 L
.50096 .43102 L
.50146 .43159 L
.50289 .43348 L
.50291 .43352 L
.50442 .43545 L
.50482 .43592 L
.5063 .43737 L
.50674 .4385 L
.50737 .4393 L
.50867 .44105 L
.50873 .44123 L
.5103 .44316 L
.5106 .44352 L
.51203 .44508 L
.51253 .44614 L
.51316 .44701 L
.51445 .44873 L
.51448 .44894 L
.51609 .45086 L
.51638 .45122 L
.51773 .45279 L
.51831 .45387 L
.51889 .45472 L
.52023 .45648 L
.5204 .45664 L
.52182 .45857 L
.52216 .459 L
.52341 .4605 L
.52409 .46166 L
.52458 .46242 L
.52601 .46426 L
.5261 .46435 L
.52751 .46628 L
.52794 .46681 L
.52907 .46821 L
.52987 .46949 L
.53025 .47013 L
.53178 .47206 L
.53179 .47207 L
.53318 .47399 L
.53372 .47466 L
.53471 .47591 L
.53565 .47734 L
.53592 .47784 L
.53743 .47977 L
.53758 .47989 L
.53934 .48169 L
.5395 .48253 L
.54033 .48362 L
.54143 .48523 L
.54158 .48555 L
.54307 .48747 L
.54336 .48772 L
.54493 .4894 L
.54528 .49043 L
.54595 .49133 L
.54721 .49313 L
.54726 .49326 L
.54869 .49518 L
.54914 .49559 L
.55049 .49711 L
.55106 .49836 L
.55155 .49904 L
.55292 .50096 L
.55299 .50106 L
.5543 .50289 L
.55492 .5035 L
.55604 .50482 L
.55684 .50632 L
.55713 .50674 L
.5585 .50867 L
.55877 .50903 L
.55988 .5106 L
.5607 .51148 L
.56154 .51253 L
.56263 .51434 L
.5627 .51445 L
.56405 .51638 L
.56455 .51705 L
.56543 .51831 L
.56648 .51956 L
.567 .52023 L
.56821 .52216 L
.56841 .52242 L
.56956 .52409 L
.57033 .52514 L
.57093 .52601 L
.57226 .52781 L
.57235 .52794 L
.57364 .52987 L
.57419 .53062 L
.57497 .53179 L
.57611 .5334 L
.5766 .53372 L
.57762 .53565 L
.57804 .53625 L
.57887 .53758 L
.57997 .53917 L
.58017 .5395 L
.58132 .54143 L
.58189 .54236 L
.58234 .54336 L
.58189 .54411 L
.58108 .54336 L
.57997 .54232 L
.57914 .54143 L
.57804 .54067 L
.57738 .5395 L
.57611 .53808 L
.57524 .53758 L
.57419 .53575 L
.57408 .53565 L
.5725 .53372 L
.57226 .53359 L
.57094 .53179 L
.57033 .53107 L
.56895 .52987 L
.56841 .52856 L
.5679 .52794 L
.56648 .52611 L
.56644 .52601 L
.56488 .52409 L
.56455 .52367 L
.56313 .52216 L
.56263 .5211 L
.56199 .52023 L
.5607 .51854 L
.56066 .51831 L
.55899 .51638 L
.55877 .51609 L
.55738 .51445 L
.55684 .51348 L
.55621 .51253 L
.55492 .51087 L
.55462 .5106 L
.55319 .50867 L
.55299 .5084 L
.55166 .50674 L
.55106 .50576 L
.55048 .50482 L
.54914 .50313 L
.54887 .50289 L
.54745 .50096 L
.54721 .50064 L
.54596 .49904 L
.54528 .49798 L
.54479 .49711 L
.54336 .49535 L
.54317 .49518 L
.54175 .49326 L
.54143 .49283 L
.54029 .49133 L
.5395 .49015 L
.53912 .4894 L
.53758 .48755 L
.53749 .48747 L
.53575 .48555 L
.53565 .48498 L
.53464 .48362 L
.53372 .4823 L
.53346 .48169 L
.53183 .47977 L
.53179 .47973 L
.53012 .47784 L
.52987 .47711 L
.52901 .47591 L
.52794 .47443 L
.5278 .47399 L
.52619 .47206 L
.52601 .47188 L
.5245 .47013 L
.52409 .46922 L
.52339 .46821 L
.52216 .46653 L
.52211 .46628 L
.52057 .46435 L
.52023 .46401 L
.5189 .46242 L
.51831 .46129 L
.51778 .4605 L
.51638 .45861 L
.51638 .45857 L
.51497 .45664 L
.51445 .4561 L
.51333 .45472 L
.51253 .45333 L
.51219 .45279 L
.51077 .45086 L
.5106 .45063 L
.50939 .44894 L
.50867 .44813 L
.5078 .44701 L
.50674 .44531 L
.50661 .44508 L
.50523 .44316 L
.50482 .4426 L
.50385 .44123 L
.50289 .44006 L
.50233 .4393 L
.50108 .43737 L
.50096 .43721 L
.49974 .43545 L
.49904 .43447 L
.49775 .43352 L
.49711 .4318 L
.49696 .43159 L
.49569 .42967 L
.49518 .42896 L
.49436 .42774 L
.49326 .42617 L
.49277 .42581 L
.49174 .42389 L
.49133 .42329 L
.4905 .42196 L
.4894 .42033 L
.48922 .42003 L
.48811 .41811 L
.48747 .41704 L
.4871 .41618 L
F
1 .51 0 r
.48747 .53362 m
.48755 .53372 L
.48747 .53455 L
.48711 .53372 L
F
0 .22 1 r
.48747 .48215 m
.48863 .48362 L
.4894 .48454 L
.4901 .48555 L
.49133 .48729 L
.49144 .48747 L
.49133 .48874 L
.49016 .48747 L
.4894 .48668 L
.48857 .48555 L
.48747 .48417 L
.48711 .48362 L
F
1 .69 0 r
.48747 .47456 m
.48931 .47591 L
.4894 .47599 L
.4912 .47784 L
.49133 .47797 L
.49288 .47977 L
.49326 .4802 L
.49446 .48169 L
.49518 .48242 L
.49598 .48362 L
.49711 .48508 L
.49749 .48555 L
.49884 .48747 L
.49904 .48775 L
.50019 .4894 L
.50096 .49055 L
.50198 .49133 L
.50261 .49326 L
.50289 .49386 L
.50332 .49518 L
.50289 .49576 L
.50159 .49518 L
.50096 .49473 L
.49949 .49326 L
.49904 .49279 L
.49783 .49133 L
.49711 .49107 L
.49629 .4894 L
.49518 .48816 L
.49443 .48747 L
.49336 .48555 L
.49326 .48541 L
.49201 .48362 L
.49133 .48269 L
.49066 .48169 L
.4894 .47988 L
.48926 .47977 L
.48817 .47784 L
.48747 .47665 L
.48713 .47591 L
F
1 .96 0 r
.48747 .50083 m
.4894 .50073 L
.49014 .50096 L
.49133 .50165 L
.49247 .50289 L
.49326 .50378 L
.49444 .50482 L
.49518 .50662 L
.49557 .50674 L
.49696 .50867 L
.49711 .50874 L
.49836 .5106 L
.49904 .51133 L
.50012 .51253 L
.50096 .51407 L
.50123 .51445 L
.5026 .51638 L
.50289 .51677 L
.50398 .51831 L
.50482 .51903 L
.50564 .52023 L
.50674 .52209 L
.50678 .52216 L
.5081 .52409 L
.50867 .5249 L
.50942 .52601 L
.5106 .52778 L
.51075 .52794 L
.51168 .52987 L
.5106 .53145 L
.50867 .53022 L
.50794 .52987 L
.50674 .52847 L
.50599 .52794 L
.50482 .52624 L
.50452 .52601 L
.50289 .52418 L
.50281 .52409 L
.50122 .52216 L
.50096 .52163 L
.49995 .52023 L
.49904 .51894 L
.49885 .51831 L
.49711 .51662 L
.49693 .51638 L
.49547 .51445 L
.49518 .51398 L
.49427 .51253 L
.49326 .51128 L
.49266 .5106 L
.49133 .5087 L
.4913 .50867 L
.48989 .50674 L
.4894 .50598 L
.4888 .50482 L
.48747 .503 L
.48741 .50289 L
.48716 .50096 L
F
0 .21 1 r
.48747 .48224 m
.48857 .48362 L
.4894 .48462 L
.49004 .48555 L
.49133 .48739 L
.49138 .48747 L
.49133 .48861 L
.49025 .48747 L
.4894 .4866 L
.48862 .48555 L
.48747 .4841 L
.48717 .48362 L
F
0 .79 1 r
.48747 .52552 m
.48794 .52601 L
.4894 .52755 L
.48973 .52794 L
.49133 .52975 L
.49138 .52987 L
.49294 .53179 L
.49326 .53215 L
.4945 .53372 L
.49518 .53454 L
.49606 .53565 L
.49711 .53661 L
.49759 .53758 L
.49904 .53942 L
.49913 .5395 L
.50057 .54143 L
.50096 .54192 L
.50206 .54336 L
.50289 .54407 L
.50355 .54528 L
.50482 .54692 L
.5051 .54721 L
.50646 .54914 L
.50674 .5495 L
.50792 .55106 L
.50867 .55174 L
.50937 .55299 L
.5106 .5546 L
.51088 .55492 L
.51223 .55684 L
.51253 .55723 L
.51366 .55877 L
.51445 .55954 L
.51509 .5607 L
.51638 .56242 L
.51654 .56263 L
.51791 .56455 L
.51831 .56509 L
.51931 .56648 L
.52023 .56748 L
.52125 .56841 L
.52212 .57033 L
.52216 .57038 L
.52349 .57226 L
.52409 .57307 L
.52488 .57419 L
.52601 .57561 L
.52651 .57611 L
.52761 .57804 L
.52794 .57849 L
.52896 .57997 L
.52987 .58124 L
.53032 .58189 L
.53166 .58382 L
.53179 .58401 L
.53293 .58575 L
.53372 .58687 L
.53424 .58768 L
.53552 .5896 L
.53565 .58979 L
.53663 .59153 L
.53758 .59304 L
.53777 .59346 L
.53758 .59399 L
.53709 .59346 L
.53565 .59206 L
.53522 .59153 L
.53372 .58984 L
.53353 .5896 L
.53195 .58768 L
.53179 .5875 L
.53044 .58575 L
.52987 .58508 L
.52891 .58382 L
.52794 .58264 L
.52738 .58189 L
.52601 .58025 L
.52586 .57997 L
.5244 .57804 L
.52409 .57766 L
.52295 .57611 L
.52216 .57512 L
.52147 .57419 L
.52023 .5727 L
.51971 .57226 L
.51855 .57033 L
.51831 .57002 L
.51713 .56841 L
.51638 .56744 L
.51569 .56648 L
.51445 .56496 L
.51401 .56455 L
.51282 .56263 L
.51253 .56225 L
.51142 .5607 L
.5106 .55963 L
.50999 .55877 L
.50867 .55709 L
.50843 .55684 L
.50716 .55492 L
.50674 .55437 L
.50577 .55299 L
.50482 .55173 L
.50435 .55106 L
.50293 .54914 L
.50289 .54909 L
.50158 .54721 L
.50096 .54639 L
.5002 .54528 L
.49904 .54371 L
.49879 .54336 L
.49743 .54143 L
.49711 .541 L
.4961 .5395 L
.49518 .53826 L
.49473 .53758 L
.49335 .53565 L
.49326 .53552 L
.49209 .53372 L
.49133 .53268 L
.49078 .53179 L
.48943 .52987 L
.4894 .52983 L
.48832 .52794 L
.48747 .52667 L
.48719 .52601 L
F
1 .68 0 r
.48747 .47474 m
.48919 .47591 L
.4894 .47609 L
.49113 .47784 L
.49133 .47804 L
.49282 .47977 L
.49326 .48027 L
.49441 .48169 L
.49518 .48247 L
.49594 .48362 L
.49711 .48513 L
.49745 .48555 L
.4988 .48747 L
.49904 .48781 L
.50015 .4894 L
.50096 .49062 L
.5019 .49133 L
.50254 .49326 L
.50289 .49404 L
.50319 .49518 L
.50289 .49559 L
.50175 .49518 L
.50096 .49465 L
.49955 .49326 L
.49904 .49273 L
.49787 .49133 L
.49711 .49103 L
.49632 .4894 L
.49518 .48811 L
.49449 .48747 L
.4934 .48555 L
.49326 .48536 L
.49204 .48362 L
.49133 .48264 L
.49069 .48169 L
.4894 .47982 L
.48933 .47977 L
.48823 .47784 L
.48747 .47651 L
.48721 .47591 L
F
0 .2 1 r
.48747 .48233 m
.4885 .48362 L
.4894 .4847 L
.48998 .48555 L
.4894 .48652 L
.48869 .48555 L
.48747 .48402 L
.48722 .48362 L
F
0 .19 1 r
.48747 .48243 m
.48842 .48362 L
.4894 .48478 L
.48992 .48555 L
.4894 .48643 L
.48875 .48555 L
.48747 .48393 L
.48728 .48362 L
F
1 .83 0 r
.48747 .44717 m
.4885 .44894 L
.4894 .45023 L
.4897 .45086 L
.4894 .45132 L
.48901 .45086 L
.48747 .44917 L
.48728 .44894 L
F
1 .67 0 r
.48747 .47495 m
.48905 .47591 L
.4894 .47618 L
.49105 .47784 L
.49133 .47812 L
.49277 .47977 L
.49326 .48033 L
.49437 .48169 L
.49518 .48252 L
.49589 .48362 L
.49711 .48519 L
.4974 .48555 L
.49875 .48747 L
.49904 .48787 L
.50011 .4894 L
.50096 .49069 L
.50182 .49133 L
.50247 .49326 L
.50289 .49429 L
.50304 .49518 L
.50289 .49539 L
.50194 .49518 L
.50096 .49457 L
.49961 .49326 L
.49904 .49267 L
.49792 .49133 L
.49711 .49099 L
.49636 .4894 L
.49518 .48806 L
.49454 .48747 L
.49343 .48555 L
.49326 .48531 L
.49208 .48362 L
.49133 .48259 L
.49073 .48169 L
.48941 .47977 L
.4894 .47976 L
.48829 .47784 L
.48747 .47634 L
.4873 .47591 L
F
0 .7 1 r
.48747 .42378 m
.48759 .42389 L
.4894 .42558 L
.4896 .42581 L
.49132 .42774 L
.49133 .42774 L
.49292 .42967 L
.49326 .43004 L
.49449 .43159 L
.49518 .4324 L
.49606 .43352 L
.49711 .43454 L
.49761 .43545 L
.49904 .43723 L
.4992 .43737 L
.50062 .4393 L
.50096 .43973 L
.5021 .44123 L
.50289 .44196 L
.50359 .44316 L
.50482 .4447 L
.50518 .44508 L
.50653 .44701 L
.50674 .44728 L
.50798 .44894 L
.50867 .44959 L
.50944 .45086 L
.5106 .45235 L
.51099 .45279 L
.51233 .45472 L
.51253 .45497 L
.51375 .45664 L
.51445 .45732 L
.51592 .45857 L
.51638 .46011 L
.5167 .4605 L
.51805 .46242 L
.51831 .46276 L
.51946 .46435 L
.52023 .46514 L
.52143 .46628 L
.52216 .46796 L
.52236 .46821 L
.52371 .47013 L
.52409 .47062 L
.52512 .47206 L
.52601 .47304 L
.52693 .47399 L
.52794 .47588 L
.52796 .47591 L
.52933 .47784 L
.52987 .47856 L
.53072 .47977 L
.53179 .48105 L
.53238 .48169 L
.53353 .48362 L
.53372 .48388 L
.53489 .48555 L
.53565 .48657 L
.53628 .48747 L
.53758 .48919 L
.53776 .4894 L
.53902 .49133 L
.5395 .49198 L
.54037 .49326 L
.54143 .4947 L
.54175 .49518 L
.5431 .49711 L
.54336 .49746 L
.54439 .49904 L
.54528 .50027 L
.54573 .50096 L
.54706 .50289 L
.54721 .50311 L
.54825 .50482 L
.54914 .50611 L
.5495 .50674 L
.54914 .5083 L
.54776 .50674 L
.54721 .50617 L
.54608 .50482 L
.54528 .5039 L
.54445 .50289 L
.54336 .50187 L
.54287 .50096 L
.54143 .49919 L
.54124 .49904 L
.5398 .49711 L
.5395 .49675 L
.53828 .49518 L
.53758 .49458 L
.53676 .49326 L
.53565 .49185 L
.53512 .49133 L
.53379 .4894 L
.53372 .48931 L
.53232 .48747 L
.53179 .48702 L
.53085 .48555 L
.52987 .4843 L
.52926 .48362 L
.52794 .4817 L
.52793 .48169 L
.52649 .47977 L
.52601 .47933 L
.52504 .47784 L
.52409 .47661 L
.52351 .47591 L
.52217 .47399 L
.52216 .47398 L
.52074 .47206 L
.52023 .47157 L
.51863 .47013 L
.51831 .46882 L
.51783 .46821 L
.51647 .46628 L
.51638 .46616 L
.51506 .46435 L
.51445 .46374 L
.51313 .46242 L
.51253 .46094 L
.51219 .4605 L
.51083 .45857 L
.5106 .45826 L
.50943 .45664 L
.50867 .45582 L
.50765 .45472 L
.50674 .45297 L
.50661 .45279 L
.50525 .45086 L
.50482 .45027 L
.50387 .44894 L
.50289 .44777 L
.50223 .44701 L
.5011 .44508 L
.50096 .4449 L
.49975 .44316 L
.49904 .44217 L
.49838 .44123 L
.49711 .4395 L
.49695 .4393 L
.4957 .43737 L
.49518 .43666 L
.49437 .43545 L
.49326 .43387 L
.49302 .43352 L
.49175 .43159 L
.49133 .43099 L
.4905 .42967 L
.4894 .42803 L
.48923 .42774 L
.48816 .42581 L
.48747 .42461 L
.48731 .42389 L
F
0 .18 1 r
.48747 .48255 m
.48832 .48362 L
.4894 .48488 L
.48985 .48555 L
.4894 .48634 L
.48883 .48555 L
.48747 .48384 L
.48734 .48362 L
F
1 .66 0 r
.48747 .47522 m
.4889 .47591 L
.4894 .47628 L
.49098 .47784 L
.49133 .47819 L
.49271 .47977 L
.49326 .48039 L
.49432 .48169 L
.49518 .48258 L
.49585 .48362 L
.49711 .48525 L
.49735 .48555 L
.49871 .48747 L
.49904 .48793 L
.50006 .4894 L
.50096 .49076 L
.50173 .49133 L
.5024 .49326 L
.50096 .49449 L
.49968 .49326 L
.49904 .49261 L
.49796 .49133 L
.49711 .49094 L
.4964 .4894 L
.49518 .488 L
.4946 .48747 L
.49347 .48555 L
.49326 .48526 L
.49212 .48362 L
.49133 .48253 L
.49077 .48169 L
.48946 .47977 L
.4894 .47968 L
.48835 .47784 L
.48747 .47613 L
.4874 .47591 L
F
0 .17 1 r
.48747 .48269 m
.48822 .48362 L
.4894 .48498 L
.48977 .48555 L
.4894 .48623 L
.48891 .48555 L
.48747 .48374 L
.4874 .48362 L
F
1 .95 0 r
.4894 .50093 m
.48955 .50096 L
.49133 .50183 L
.49235 .50289 L
.49326 .50389 L
.49436 .50482 L
.49518 .50665 L
.49551 .50674 L
.49691 .50867 L
.49711 .50876 L
.49831 .5106 L
.49904 .51138 L
.50007 .51253 L
.50096 .51413 L
.50119 .51445 L
.50255 .51638 L
.50289 .51683 L
.50393 .51831 L
.50482 .51912 L
.50557 .52023 L
.50671 .52216 L
.50674 .5222 L
.50801 .52409 L
.50867 .52504 L
.50931 .52601 L
.51054 .52794 L
.5106 .52805 L
.51132 .52987 L
.5106 .53091 L
.50867 .52995 L
.50843 .52987 L
.50674 .5282 L
.50626 .52794 L
.50482 .52611 L
.50465 .52601 L
.50296 .52409 L
.50289 .52398 L
.5013 .52216 L
.50096 .52146 L
.50005 .52023 L
.49904 .51882 L
.49889 .51831 L
.49711 .5165 L
.49702 .51638 L
.49554 .51445 L
.49518 .51387 L
.49435 .51253 L
.49326 .51118 L
.49274 .5106 L
.49138 .50867 L
.49133 .5086 L
.48997 .50674 L
.4894 .50583 L
.4889 .50482 L
.48759 .50289 L
.48794 .50096 L
F
1 .94 0 r
.4894 .50112 m
.49133 .50199 L
.49222 .50289 L
.49326 .504 L
.49427 .50482 L
.49518 .50667 L
.49545 .50674 L
.49685 .50867 L
.49711 .50879 L
.49827 .5106 L
.49904 .51144 L
.50003 .51253 L
.50096 .5142 L
.50114 .51445 L
.5025 .51638 L
.50289 .5169 L
.50388 .51831 L
.50482 .51921 L
.5055 .52023 L
.50664 .52216 L
.50674 .52231 L
.50793 .52409 L
.50867 .52518 L
.5092 .52601 L
.51033 .52794 L
.5106 .52848 L
.51087 .52987 L
.5106 .53027 L
.50906 .52987 L
.50867 .52967 L
.50674 .52802 L
.50656 .52794 L
.50482 .52603 L
.50478 .52601 L
.50311 .52409 L
.50289 .52379 L
.50138 .52216 L
.50096 .52131 L
.50014 .52023 L
.49904 .51872 L
.49893 .51831 L
.49711 .51638 L
.49711 .51638 L
.4956 .51445 L
.49518 .51376 L
.49442 .51253 L
.49326 .51109 L
.49282 .5106 L
.49146 .50867 L
.49133 .50848 L
.49005 .50674 L
.4894 .50567 L
.48899 .50482 L
.48777 .50289 L
F
1 .93 0 r
.4894 .50132 m
.49133 .50215 L
.49209 .50289 L
.49326 .50411 L
.49417 .50482 L
.49518 .50669 L
.49538 .50674 L
.4968 .50867 L
.49711 .50882 L
.49822 .5106 L
.49904 .5115 L
.49997 .51253 L
.50096 .51426 L
.5011 .51445 L
.50245 .51638 L
.50289 .51697 L
.50383 .51831 L
.50482 .51932 L
.50542 .52023 L
.50657 .52216 L
.50674 .52241 L
.50784 .52409 L
.50867 .52535 L
.50908 .52601 L
.51011 .52794 L
.50867 .52933 L
.50688 .52794 L
.50674 .52788 L
.50495 .52601 L
.50482 .52587 L
.50325 .52409 L
.50289 .52361 L
.50146 .52216 L
.50096 .52116 L
.50024 .52023 L
.49904 .51862 L
.49896 .51831 L
.49719 .51638 L
.49711 .51628 L
.49566 .51445 L
.49518 .51366 L
.49449 .51253 L
.49326 .51099 L
.4929 .5106 L
.49154 .50867 L
.49133 .50836 L
.49013 .50674 L
.4894 .50551 L
.48907 .50482 L
.48795 .50289 L
F
0 .97 1 r
.4894 .46857 m
.49133 .46957 L
.49181 .47013 L
.49326 .47122 L
.49406 .47206 L
.49518 .47333 L
.49575 .47399 L
.49711 .47569 L
.49729 .47591 L
.4988 .47784 L
.49904 .47829 L
.50001 .47977 L
.50096 .48116 L
.50174 .48169 L
.50289 .48327 L
.50316 .48362 L
.50457 .48555 L
.50482 .48593 L
.50574 .48747 L
.50674 .48867 L
.50742 .4894 L
.50867 .49127 L
.50879 .49133 L
.51017 .49326 L
.5106 .49387 L
.51124 .49518 L
.51253 .49673 L
.51278 .49711 L
.51338 .49904 L
.51253 .49941 L
.5106 .49948 L
.50939 .49904 L
.50867 .49856 L
.5074 .49711 L
.50674 .49635 L
.50546 .49518 L
.50482 .49342 L
.50437 .49326 L
.50299 .49133 L
.50289 .49129 L
.50159 .4894 L
.50096 .48873 L
.49982 .48747 L
.49904 .486 L
.49872 .48555 L
.49735 .48362 L
.49711 .4833 L
.49597 .48169 L
.49518 .48109 L
.49428 .47977 L
.49326 .47804 L
.49314 .47784 L
.49181 .47591 L
.49133 .47525 L
.49047 .47399 L
.4894 .47245 L
.48899 .47206 L
.48802 .47013 L
F
1 .92 0 r
.4894 .50152 m
.49133 .50231 L
.49195 .50289 L
.49326 .50421 L
.49407 .50482 L
.49518 .50671 L
.49532 .50674 L
.49675 .50867 L
.49711 .50885 L
.49817 .5106 L
.49904 .51156 L
.49992 .51253 L
.50096 .51433 L
.50105 .51445 L
.5024 .51638 L
.50289 .51704 L
.50378 .51831 L
.50482 .51943 L
.50535 .52023 L
.50649 .52216 L
.50674 .52253 L
.50774 .52409 L
.50867 .52553 L
.50896 .52601 L
.50985 .52794 L
.50867 .52898 L
.5072 .52794 L
.50674 .52774 L
.50515 .52601 L
.50482 .52567 L
.5034 .52409 L
.50289 .52344 L
.50155 .52216 L
.50096 .52102 L
.50032 .52023 L
.49904 .51854 L
.49898 .51831 L
.49726 .51638 L
.49711 .51618 L
.49572 .51445 L
.49518 .51356 L
.49455 .51253 L
.49326 .5109 L
.49298 .5106 L
.49162 .50867 L
.49133 .50824 L
.49021 .50674 L
.4894 .50535 L
.48916 .50482 L
.48813 .50289 L
F
1 .91 0 r
.4894 .50173 m
.49133 .50246 L
.49181 .50289 L
.49326 .50432 L
.49395 .50482 L
.49518 .50673 L
.49525 .50674 L
.49669 .50867 L
.49711 .50888 L
.49813 .5106 L
.49904 .51163 L
.49986 .51253 L
.50096 .5144 L
.501 .51445 L
.50235 .51638 L
.50289 .51711 L
.50372 .51831 L
.50482 .51955 L
.50526 .52023 L
.50641 .52216 L
.50674 .52265 L
.50765 .52409 L
.50867 .52573 L
.50883 .52601 L
.50954 .52794 L
.50867 .52861 L
.50757 .52794 L
.50674 .5276 L
.50535 .52601 L
.50482 .52549 L
.50354 .52409 L
.50289 .52328 L
.50164 .52216 L
.50096 .5209 L
.50041 .52023 L
.49904 .51846 L
.499 .51831 L
.49734 .51638 L
.49711 .51608 L
.49578 .51445 L
.49518 .51346 L
.49461 .51253 L
.49326 .51082 L
.49306 .5106 L
.4917 .50867 L
.49133 .50812 L
.49029 .50674 L
.4894 .50517 L
.48924 .50482 L
.48832 .50289 L
F
0 .96 1 r
.4894 .46902 m
.49133 .47 L
.4915 .47013 L
.49326 .47157 L
.49375 .47206 L
.49518 .4736 L
.49552 .47399 L
.49711 .47591 L
.49711 .47591 L
.49869 .47784 L
.49904 .4785 L
.49989 .47977 L
.50096 .4813 L
.50164 .48169 L
.50289 .4834 L
.50306 .48362 L
.5045 .48555 L
.50482 .48605 L
.50566 .48747 L
.50674 .48877 L
.50734 .4894 L
.50867 .49131 L
.5087 .49133 L
.51008 .49326 L
.5106 .49402 L
.51113 .49518 L
.51253 .497 L
.51259 .49711 L
.51282 .49904 L
.51253 .49917 L
.5106 .49928 L
.50983 .49904 L
.50867 .49837 L
.50752 .49711 L
.50674 .49623 L
.50554 .49518 L
.50482 .49338 L
.50443 .49326 L
.50304 .49133 L
.50289 .49127 L
.50164 .4894 L
.50096 .48868 L
.49987 .48747 L
.49904 .48594 L
.49876 .48555 L
.4974 .48362 L
.49711 .48324 L
.49602 .48169 L
.49518 .48101 L
.49434 .47977 L
.49326 .47792 L
.49321 .47784 L
.49189 .47591 L
.49133 .47512 L
.49057 .47399 L
.4894 .47223 L
.48922 .47206 L
.48836 .47013 L
F
0 .69 1 r
.4894 .42577 m
.48944 .42581 L
.49119 .42774 L
.49133 .42788 L
.49281 .42967 L
.49326 .43015 L
.49441 .43159 L
.49518 .43249 L
.49599 .43352 L
.49711 .43464 L
.49755 .43545 L
.49904 .43731 L
.49911 .43737 L
.50056 .4393 L
.50096 .43979 L
.50205 .44123 L
.50289 .44202 L
.50355 .44316 L
.50482 .44476 L
.50513 .44508 L
.50649 .44701 L
.50674 .44733 L
.50794 .44894 L
.50867 .44963 L
.5094 .45086 L
.5106 .4524 L
.51095 .45279 L
.51229 .45472 L
.51253 .45502 L
.51372 .45664 L
.51445 .45736 L
.51588 .45857 L
.51638 .46015 L
.51667 .4605 L
.51802 .46242 L
.51831 .4628 L
.51943 .46435 L
.52023 .46518 L
.5214 .46628 L
.52216 .468 L
.52233 .46821 L
.52368 .47013 L
.52409 .47066 L
.52509 .47206 L
.52601 .47309 L
.52689 .47399 L
.52793 .47591 L
.52794 .47593 L
.5293 .47784 L
.52987 .4786 L
.53069 .47977 L
.53179 .4811 L
.53234 .48169 L
.53349 .48362 L
.53372 .48392 L
.53485 .48555 L
.53565 .48662 L
.53624 .48747 L
.53758 .48925 L
.5377 .4894 L
.53898 .49133 L
.5395 .49203 L
.54033 .49326 L
.54143 .49476 L
.54171 .49518 L
.54304 .49711 L
.54336 .49753 L
.54434 .49904 L
.54528 .50036 L
.54567 .50096 L
.54697 .50289 L
.54721 .50323 L
.54816 .50482 L
.54914 .50628 L
.54939 .50674 L
.54914 .50809 L
.54792 .50674 L
.54721 .50602 L
.54619 .50482 L
.54528 .50379 L
.54454 .50289 L
.54336 .50174 L
.54294 .50096 L
.54143 .4991 L
.54136 .49904 L
.53986 .49711 L
.5395 .49667 L
.53834 .49518 L
.53758 .49452 L
.53682 .49326 L
.53565 .49179 L
.53519 .49133 L
.53384 .4894 L
.53372 .48925 L
.53237 .48747 L
.53179 .48697 L
.53089 .48555 L
.52987 .48424 L
.52931 .48362 L
.52797 .48169 L
.52794 .48165 L
.52653 .47977 L
.52601 .47929 L
.52508 .47784 L
.52409 .47656 L
.52355 .47591 L
.5222 .47399 L
.52216 .47393 L
.52078 .47206 L
.52023 .47153 L
.51866 .47013 L
.51831 .46877 L
.51786 .46821 L
.5165 .46628 L
.51638 .46612 L
.51509 .46435 L
.51445 .4637 L
.51316 .46242 L
.51253 .46089 L
.51223 .4605 L
.51086 .45857 L
.5106 .45821 L
.50947 .45664 L
.50867 .45577 L
.50769 .45472 L
.50674 .45292 L
.50665 .45279 L
.50529 .45086 L
.50482 .45022 L
.5039 .44894 L
.50289 .44771 L
.50228 .44701 L
.50114 .44508 L
.50096 .44484 L
.49979 .44316 L
.49904 .44211 L
.49842 .44123 L
.49711 .43941 L
.49702 .4393 L
.49575 .43737 L
.49518 .43658 L
.49442 .43545 L
.49326 .43378 L
.49308 .43352 L
.49184 .43159 L
.49133 .43087 L
.49059 .42967 L
.4894 .42787 L
.48933 .42774 L
.48838 .42581 L
F
1 .87 0 r
.4894 .41755 m
.48993 .41811 L
.49133 .41908 L
.49177 .42003 L
.49326 .42167 L
.49347 .42196 L
.4951 .42389 L
.49518 .42398 L
.49669 .42581 L
.49711 .42598 L
.49827 .42774 L
.49904 .42863 L
.50041 .42967 L
.50096 .43113 L
.50138 .43159 L
.50285 .43352 L
.50289 .43354 L
.50435 .43545 L
.50482 .43601 L
.50625 .43737 L
.50674 .43858 L
.50732 .4393 L
.50867 .44111 L
.50871 .44123 L
.51025 .44316 L
.5106 .44358 L
.51199 .44508 L
.51253 .44619 L
.51312 .44701 L
.51445 .44877 L
.51448 .44894 L
.51605 .45086 L
.51638 .45127 L
.5177 .45279 L
.51831 .45391 L
.51886 .45472 L
.52023 .45651 L
.52037 .45664 L
.52179 .45857 L
.52216 .45903 L
.52339 .4605 L
.52409 .46169 L
.52456 .46242 L
.52601 .46429 L
.52607 .46435 L
.52749 .46628 L
.52794 .46684 L
.52905 .46821 L
.52987 .46952 L
.53023 .47013 L
.53175 .47206 L
.53179 .47209 L
.53316 .47399 L
.53372 .47469 L
.53469 .47591 L
.53565 .47737 L
.5359 .47784 L
.53741 .47977 L
.53758 .4799 L
.53933 .48169 L
.5395 .48256 L
.54031 .48362 L
.54143 .48525 L
.54157 .48555 L
.54305 .48747 L
.54336 .48774 L
.54491 .4894 L
.54528 .49046 L
.54593 .49133 L
.54721 .49316 L
.54725 .49326 L
.54867 .49518 L
.54914 .49562 L
.55047 .49711 L
.55106 .49839 L
.55153 .49904 L
.55289 .50096 L
.55299 .5011 L
.55427 .50289 L
.55492 .50354 L
.55601 .50482 L
.55684 .50636 L
.55711 .50674 L
.55847 .50867 L
.55877 .50907 L
.55985 .5106 L
.5607 .51153 L
.56151 .51253 L
.56263 .51439 L
.56266 .51445 L
.56402 .51638 L
.56455 .5171 L
.56539 .51831 L
.56648 .51963 L
.56694 .52023 L
.56816 .52216 L
.56841 .52249 L
.56951 .52409 L
.57033 .52522 L
.57088 .52601 L
.57226 .52793 L
.57227 .52794 L
.57356 .52987 L
.57419 .53073 L
.57489 .53179 L
.57611 .53352 L
.57643 .53372 L
.5775 .53565 L
.57804 .53642 L
.57875 .53758 L
.57997 .5394 L
.58003 .5395 L
.58105 .54143 L
.57997 .54198 L
.57942 .54143 L
.57804 .54035 L
.57759 .5395 L
.57611 .53787 L
.57557 .53758 L
.57424 .53565 L
.57419 .53559 L
.57263 .53372 L
.57226 .53351 L
.57105 .53179 L
.57033 .53094 L
.56904 .52987 L
.56841 .52845 L
.56798 .52794 L
.56648 .52603 L
.56647 .52601 L
.56495 .52409 L
.56455 .52358 L
.56318 .52216 L
.56263 .52102 L
.56205 .52023 L
.5607 .51848 L
.56067 .51831 L
.55904 .51638 L
.55877 .51603 L
.55742 .51445 L
.55684 .51342 L
.55624 .51253 L
.55492 .51082 L
.55467 .5106 L
.55324 .50867 L
.55299 .50835 L
.55169 .50674 L
.55106 .50571 L
.55051 .50482 L
.54914 .50309 L
.54891 .50289 L
.54749 .50096 L
.54721 .5006 L
.54599 .49904 L
.54528 .49794 L
.54481 .49711 L
.54336 .49532 L
.5432 .49518 L
.54178 .49326 L
.54143 .49279 L
.54032 .49133 L
.5395 .49012 L
.53914 .4894 L
.53758 .48753 L
.53752 .48747 L
.53576 .48555 L
.53565 .48495 L
.53467 .48362 L
.53372 .48227 L
.53348 .48169 L
.53186 .47977 L
.53179 .4797 L
.53013 .47784 L
.52987 .47708 L
.52903 .47591 L
.52794 .47439 L
.52781 .47399 L
.52622 .47206 L
.52601 .47186 L
.52451 .47013 L
.52409 .46918 L
.52341 .46821 L
.52216 .4665 L
.52212 .46628 L
.5206 .46435 L
.52023 .46398 L
.51892 .46242 L
.51831 .46126 L
.51781 .4605 L
.51638 .45857 L
.51638 .45857 L
.515 .45664 L
.51445 .45607 L
.51336 .45472 L
.51253 .45329 L
.51221 .45279 L
.5108 .45086 L
.5106 .45058 L
.50942 .44894 L
.50867 .44808 L
.50784 .44701 L
.50674 .44526 L
.50664 .44508 L
.50527 .44316 L
.50482 .44254 L
.50389 .44123 L
.50289 .43999 L
.50238 .4393 L
.50114 .43737 L
.50096 .43714 L
.4998 .43545 L
.49904 .43439 L
.49784 .43352 L
.49711 .43168 L
.49705 .43159 L
.49577 .42967 L
.49518 .42885 L
.49445 .42774 L
.49326 .42603 L
.49296 .42581 L
.49187 .42389 L
.49133 .4231 L
.49064 .42196 L
.4894 .42006 L
.48938 .42003 L
.48842 .41811 L
F
1 .65 0 r
.4894 .47638 m
.4909 .47784 L
.49133 .47826 L
.49265 .47977 L
.49326 .48045 L
.49427 .48169 L
.49518 .48264 L
.49581 .48362 L
.49711 .48531 L
.49731 .48555 L
.49867 .48747 L
.49904 .48799 L
.50002 .4894 L
.50096 .49084 L
.50164 .49133 L
.50232 .49326 L
.50096 .49441 L
.49975 .49326 L
.49904 .49255 L
.49801 .49133 L
.49711 .49089 L
.49643 .4894 L
.49518 .48795 L
.49466 .48747 L
.49351 .48555 L
.49326 .48522 L
.49215 .48362 L
.49133 .48248 L
.4908 .48169 L
.48951 .47977 L
.4894 .4796 L
.48842 .47784 L
F
1 .64 0 r
.4894 .47648 m
.49082 .47784 L
.49133 .47834 L
.49259 .47977 L
.49326 .48051 L
.49422 .48169 L
.49518 .4827 L
.49576 .48362 L
.49711 .48537 L
.49726 .48555 L
.49862 .48747 L
.49904 .48805 L
.49997 .4894 L
.50096 .49091 L
.50154 .49133 L
.50224 .49326 L
.50096 .49432 L
.49982 .49326 L
.49904 .49249 L
.49806 .49133 L
.49711 .49083 L
.49647 .4894 L
.49518 .48789 L
.49473 .48747 L
.49354 .48555 L
.49326 .48517 L
.49219 .48362 L
.49133 .48243 L
.49084 .48169 L
.48956 .47977 L
.4894 .47952 L
.48849 .47784 L
F
1 .9 0 r
.4894 .50194 m
.49133 .50261 L
.49166 .50289 L
.49326 .50443 L
.49382 .50482 L
.49518 .50674 L
.49518 .50675 L
.49664 .50867 L
.49711 .50892 L
.49808 .5106 L
.49904 .51169 L
.49981 .51253 L
.50095 .51445 L
.50096 .51447 L
.5023 .51638 L
.50289 .51718 L
.50367 .51831 L
.50482 .51968 L
.50518 .52023 L
.50633 .52216 L
.50674 .52277 L
.50755 .52409 L
.50867 .52597 L
.5087 .52601 L
.50909 .52794 L
.50867 .52818 L
.50809 .52794 L
.50674 .52744 L
.50556 .52601 L
.50482 .52531 L
.50369 .52409 L
.50289 .52313 L
.50174 .52216 L
.50096 .52078 L
.50049 .52023 L
.49904 .51839 L
.49902 .51831 L
.49742 .51638 L
.49711 .51598 L
.49584 .51445 L
.49518 .51337 L
.49467 .51253 L
.49326 .51073 L
.49314 .5106 L
.49178 .50867 L
.49133 .508 L
.49037 .50674 L
.4894 .50499 L
.48933 .50482 L
.48852 .50289 L
F
1 .63 0 r
.4894 .47659 m
.49073 .47784 L
.49133 .47841 L
.49253 .47977 L
.49326 .48058 L
.49417 .48169 L
.49518 .48276 L
.49572 .48362 L
.49711 .48543 L
.49721 .48555 L
.49858 .48747 L
.49904 .48811 L
.49993 .4894 L
.50096 .49099 L
.50143 .49133 L
.50216 .49326 L
.50096 .49423 L
.49989 .49326 L
.49904 .49243 L
.4981 .49133 L
.49711 .49078 L
.49651 .4894 L
.49518 .48783 L
.49479 .48747 L
.49358 .48555 L
.49326 .48512 L
.49223 .48362 L
.49133 .48237 L
.49088 .48169 L
.48962 .47977 L
.4894 .47943 L
.48856 .47784 L
F
0 .78 1 r
.4894 .52786 m
.48947 .52794 L
.4894 .52955 L
.48863 .52794 L
F
1 .62 0 r
.4894 .4767 m
.49064 .47784 L
.49133 .47849 L
.49247 .47977 L
.49326 .48064 L
.49412 .48169 L
.49518 .48282 L
.49568 .48362 L
.49711 .48549 L
.49715 .48555 L
.49854 .48747 L
.49904 .48817 L
.49988 .4894 L
.50096 .49107 L
.50132 .49133 L
.50208 .49326 L
.50096 .49414 L
.49997 .49326 L
.49904 .49236 L
.49815 .49133 L
.49711 .49071 L
.49655 .4894 L
.49518 .48777 L
.49486 .48747 L
.49362 .48555 L
.49326 .48507 L
.49226 .48362 L
.49133 .48232 L
.49092 .48169 L
.48967 .47977 L
.4894 .47934 L
.48864 .47784 L
F
0 .86 1 r
.4894 .50882 m
.4908 .5106 L
.49133 .51125 L
.4922 .51253 L
.49326 .51396 L
.49356 .51445 L
.49326 .51631 L
.49165 .51445 L
.49133 .51408 L
.49012 .51253 L
.4894 .51157 L
.48871 .5106 L
F
1 .61 0 r
.4894 .47682 m
.49054 .47784 L
.49133 .47857 L
.49241 .47977 L
.49326 .48071 L
.49407 .48169 L
.49518 .48289 L
.49563 .48362 L
.4971 .48555 L
.49711 .48556 L
.49849 .48747 L
.49904 .48824 L
.49983 .4894 L
.50096 .49116 L
.5012 .49133 L
.50199 .49326 L
.50096 .49404 L
.50005 .49326 L
.49904 .4923 L
.4982 .49133 L
.49711 .49064 L
.49659 .4894 L
.49518 .4877 L
.49493 .48747 L
.49366 .48555 L
.49326 .48501 L
.4923 .48362 L
.49133 .48226 L
.49096 .48169 L
.48973 .47977 L
.4894 .47923 L
.48872 .47784 L
F
1 .89 0 r
.4894 .50217 m
.49133 .50276 L
.49149 .50289 L
.49326 .50453 L
.49368 .50482 L
.49511 .50674 L
.49518 .50683 L
.49658 .50867 L
.49711 .50896 L
.49803 .5106 L
.49904 .51176 L
.49974 .51253 L
.5009 .51445 L
.50096 .51454 L
.50225 .51638 L
.50289 .51725 L
.50362 .51831 L
.50482 .51981 L
.50509 .52023 L
.50625 .52216 L
.50674 .52291 L
.50744 .52409 L
.50851 .52601 L
.50674 .52723 L
.50578 .52601 L
.50482 .52514 L
.50384 .52409 L
.50289 .52298 L
.50185 .52216 L
.50096 .52067 L
.50058 .52023 L
.49904 .51833 L
.49903 .51831 L
.4975 .51638 L
.49711 .51589 L
.4959 .51445 L
.49518 .51327 L
.49473 .51253 L
.49326 .51064 L
.49322 .5106 L
.49186 .50867 L
.49133 .50788 L
.49046 .50674 L
.48942 .50482 L
.4894 .50477 L
.48874 .50289 L
F
0 .95 1 r
.4894 .46951 m
.49093 .47013 L
.49133 .47035 L
.49326 .47188 L
.49344 .47206 L
.49518 .47386 L
.4953 .47399 L
.49696 .47591 L
.49711 .47614 L
.49858 .47784 L
.49904 .47868 L
.49979 .47977 L
.50096 .4814 L
.50154 .48169 L
.50289 .48352 L
.50297 .48362 L
.50443 .48555 L
.50482 .48616 L
.50558 .48747 L
.50674 .48886 L
.50726 .4894 L
.50862 .49133 L
.50867 .49141 L
.51 .49326 L
.5106 .49418 L
.51104 .49518 L
.51241 .49711 L
.51205 .49904 L
.5106 .49908 L
.51041 .49904 L
.50867 .49819 L
.50764 .49711 L
.50674 .49612 L
.50562 .49518 L
.50482 .49336 L
.50449 .49326 L
.50309 .49133 L
.50289 .49125 L
.50168 .4894 L
.50096 .48863 L
.49991 .48747 L
.49904 .48587 L
.4988 .48555 L
.49744 .48362 L
.49711 .48317 L
.49607 .48169 L
.49518 .48092 L
.49441 .47977 L
.49328 .47784 L
.49326 .47781 L
.49198 .47591 L
.49133 .47497 L
.49068 .47399 L
.48946 .47206 L
.4894 .47195 L
.48878 .47013 L
F
1 .6 0 r
.4894 .47695 m
.49044 .47784 L
.49133 .47865 L
.49234 .47977 L
.49326 .48077 L
.49402 .48169 L
.49518 .48296 L
.49558 .48362 L
.49705 .48555 L
.49711 .48562 L
.49845 .48747 L
.49904 .4883 L
.49979 .4894 L
.50096 .49125 L
.50107 .49133 L
.50189 .49326 L
.50096 .49394 L
.50014 .49326 L
.49904 .49224 L
.49825 .49133 L
.49711 .49057 L
.49662 .4894 L
.49518 .48764 L
.495 .48747 L
.4937 .48555 L
.49326 .48496 L
.49234 .48362 L
.49133 .4822 L
.491 .48169 L
.48979 .47977 L
.4894 .47912 L
.48881 .47784 L
F
1 .59 0 r
.4894 .47708 m
.49032 .47784 L
.49133 .47873 L
.49228 .47977 L
.49326 .48084 L
.49397 .48169 L
.49518 .48303 L
.49554 .48362 L
.49701 .48555 L
.49711 .48568 L
.4984 .48747 L
.49904 .48837 L
.49974 .4894 L
.50095 .49133 L
.50096 .49135 L
.50179 .49326 L
.50096 .49384 L
.50024 .49326 L
.49904 .49217 L
.49831 .49133 L
.49711 .49049 L
.49667 .4894 L
.49518 .48757 L
.49508 .48747 L
.49374 .48555 L
.49326 .48491 L
.49238 .48362 L
.49133 .48214 L
.49104 .48169 L
.48986 .47977 L
.4894 .479 L
.4889 .47784 L
F
1 .86 0 r
.4894 .41801 m
.48951 .41811 L
.49133 .41959 L
.49152 .42003 L
.49326 .42192 L
.49329 .42196 L
.49494 .42389 L
.49518 .42415 L
.49656 .42581 L
.49711 .42606 L
.49815 .42774 L
.49904 .42875 L
.5003 .42967 L
.50096 .43124 L
.50129 .43159 L
.50277 .43352 L
.50289 .43358 L
.50428 .43545 L
.50482 .43609 L
.5062 .43737 L
.50674 .43866 L
.50726 .4393 L
.50867 .44116 L
.50869 .44123 L
.5102 .44316 L
.5106 .44364 L
.51196 .44508 L
.51253 .44625 L
.51308 .44701 L
.51445 .44882 L
.51447 .44894 L
.51601 .45086 L
.51638 .45132 L
.51767 .45279 L
.51831 .45396 L
.51883 .45472 L
.52023 .45654 L
.52033 .45664 L
.52176 .45857 L
.52216 .45907 L
.52336 .4605 L
.52409 .46173 L
.52454 .46242 L
.52601 .46432 L
.52605 .46435 L
.52746 .46628 L
.52794 .46688 L
.52902 .46821 L
.52987 .46955 L
.53022 .47013 L
.53173 .47206 L
.53179 .47211 L
.53314 .47399 L
.53372 .47472 L
.53467 .47591 L
.53565 .4774 L
.53589 .47784 L
.53738 .47977 L
.53758 .47992 L
.53932 .48169 L
.5395 .48259 L
.54029 .48362 L
.54143 .48528 L
.54156 .48555 L
.54302 .48747 L
.54336 .48776 L
.5449 .4894 L
.54528 .49049 L
.54591 .49133 L
.54721 .49319 L
.54724 .49326 L
.54864 .49518 L
.54914 .49564 L
.55045 .49711 L
.55106 .49842 L
.5515 .49904 L
.55286 .50096 L
.55299 .50113 L
.55425 .50289 L
.55492 .50357 L
.55598 .50482 L
.55684 .5064 L
.55708 .50674 L
.55844 .50867 L
.55877 .50911 L
.55982 .5106 L
.5607 .51158 L
.56147 .51253 L
.56263 .51445 L
.56263 .51445 L
.56398 .51638 L
.56455 .51715 L
.56536 .51831 L
.56648 .5197 L
.56689 .52023 L
.56811 .52216 L
.56841 .52255 L
.56945 .52409 L
.57033 .52529 L
.57083 .52601 L
.5722 .52794 L
.57226 .52802 L
.57349 .52987 L
.57419 .53083 L
.57482 .53179 L
.57611 .53364 L
.57624 .53372 L
.57738 .53565 L
.57804 .5366 L
.57862 .53758 L
.57984 .5395 L
.57997 .53971 L
.58064 .54143 L
.57997 .54158 L
.5798 .54143 L
.57804 .53993 L
.57782 .5395 L
.57611 .53764 L
.57599 .53758 L
.57439 .53565 L
.57419 .53542 L
.57276 .53372 L
.57226 .53343 L
.57116 .53179 L
.57033 .53081 L
.56914 .52987 L
.56841 .52834 L
.56806 .52794 L
.56654 .52601 L
.56648 .52597 L
.56503 .52409 L
.56455 .52349 L
.56323 .52216 L
.56263 .52094 L
.5621 .52023 L
.5607 .51843 L
.56068 .51831 L
.5591 .51638 L
.55877 .51596 L
.55745 .51445 L
.55684 .51335 L
.55628 .51253 L
.55492 .51078 L
.55472 .5106 L
.55328 .50867 L
.55299 .5083 L
.55172 .50674 L
.55106 .50566 L
.55054 .50482 L
.54914 .50306 L
.54895 .50289 L
.54752 .50096 L
.54721 .50055 L
.54602 .49904 L
.54528 .4979 L
.54484 .49711 L
.54336 .49529 L
.54323 .49518 L
.54181 .49326 L
.54143 .49275 L
.54034 .49133 L
.5395 .49008 L
.53916 .4894 L
.53758 .4875 L
.53755 .48747 L
.53577 .48555 L
.53565 .48492 L
.53469 .48362 L
.53372 .48224 L
.53349 .48169 L
.53188 .47977 L
.53179 .47968 L
.53014 .47784 L
.52987 .47705 L
.52906 .47591 L
.52794 .47436 L
.52782 .47399 L
.52624 .47206 L
.52601 .47183 L
.52453 .47013 L
.52409 .46915 L
.52344 .46821 L
.52216 .46646 L
.52212 .46628 L
.52062 .46435 L
.52023 .46395 L
.51894 .46242 L
.51831 .46122 L
.51783 .4605 L
.51641 .45857 L
.51638 .45853 L
.51502 .45664 L
.51445 .45603 L
.51339 .45472 L
.51253 .45325 L
.51224 .45279 L
.51084 .45086 L
.5106 .45054 L
.50946 .44894 L
.50867 .44803 L
.50788 .44701 L
.50674 .4452 L
.50667 .44508 L
.50531 .44316 L
.50482 .44248 L
.50394 .44123 L
.50289 .43991 L
.50244 .4393 L
.50119 .43737 L
.50096 .43706 L
.49986 .43545 L
.49904 .43431 L
.49793 .43352 L
.49713 .43159 L
.49711 .43156 L
.49585 .42967 L
.49518 .42873 L
.49454 .42774 L
.49326 .42589 L
.49315 .42581 L
.492 .42389 L
.49133 .42288 L
.49079 .42196 L
.48963 .42003 L
.4894 .41965 L
.48892 .41811 L
F
1 .88 0 r
.4894 .50242 m
.49131 .50289 L
.49133 .5029 L
.49326 .50464 L
.49354 .50482 L
.49504 .50674 L
.49518 .50691 L
.49653 .50867 L
.49711 .50901 L
.49798 .5106 L
.49904 .51183 L
.49968 .51253 L
.50085 .51445 L
.50096 .5146 L
.5022 .51638 L
.50289 .51732 L
.50356 .51831 L
.50482 .51996 L
.50499 .52023 L
.50616 .52216 L
.50674 .52306 L
.50734 .52409 L
.50829 .52601 L
.50674 .52695 L
.50603 .52601 L
.50482 .52496 L
.504 .52409 L
.50289 .52284 L
.50198 .52216 L
.50096 .52056 L
.50067 .52023 L
.49909 .51831 L
.49904 .51826 L
.49758 .51638 L
.49711 .51579 L
.49596 .51445 L
.49518 .51318 L
.49479 .51253 L
.4933 .5106 L
.49326 .51054 L
.49194 .50867 L
.49133 .50775 L
.49054 .50674 L
.48955 .50482 L
.4894 .50449 L
.48898 .50289 L
F
0 .85 1 r
.4894 .50918 m
.49054 .5106 L
.49133 .51156 L
.49197 .51253 L
.49326 .51431 L
.49334 .51445 L
.49326 .51582 L
.49199 .51445 L
.49133 .51372 L
.4904 .51253 L
.4894 .5112 L
.48898 .5106 L
F
0 .16 1 r
.4894 .4851 m
.48969 .48555 L
.4894 .48611 L
.489 .48555 L
F
1 .58 0 r
.4894 .47724 m
.49019 .47784 L
.49133 .47882 L
.49221 .47977 L
.49326 .4809 L
.49391 .48169 L
.49518 .4831 L
.49549 .48362 L
.49696 .48555 L
.49711 .48574 L
.49835 .48747 L
.49904 .48844 L
.49969 .4894 L
.50089 .49133 L
.50096 .49147 L
.50168 .49326 L
.50096 .49373 L
.50035 .49326 L
.49904 .4921 L
.49836 .49133 L
.49711 .49041 L
.49671 .4894 L
.49518 .4875 L
.49515 .48747 L
.49378 .48555 L
.49326 .48485 L
.49242 .48362 L
.49133 .48208 L
.49108 .48169 L
.48992 .47977 L
.4894 .47885 L
.48901 .47784 L
F
0 .66 1 r
.4894 .44182 m
.49027 .44316 L
.49133 .44449 L
.49171 .44508 L
.49133 .44621 L
.49053 .44508 L
.4894 .4437 L
.48901 .44316 L
F
1 .92 0 r
.4894 .5184 m
.4906 .52023 L
.49133 .52125 L
.49193 .52216 L
.49326 .52402 L
.4933 .52409 L
.49472 .52601 L
.49518 .52659 L
.4962 .52794 L
.49711 .52909 L
.49771 .52987 L
.49904 .53152 L
.49921 .53179 L
.50072 .53372 L
.50096 .53401 L
.50226 .53565 L
.50289 .53583 L
.5038 .53758 L
.50482 .53881 L
.5057 .5395 L
.50674 .54132 L
.50682 .54143 L
.50835 .54336 L
.50867 .54348 L
.50987 .54528 L
.5106 .54619 L
.51166 .54721 L
.51253 .54876 L
.51278 .54914 L
.51433 .55106 L
.51445 .55112 L
.51581 .55299 L
.51638 .55371 L
.51749 .55492 L
.51831 .55632 L
.51865 .55684 L
.52018 .55877 L
.52023 .5588 L
.52163 .5607 L
.52216 .56137 L
.52324 .56263 L
.52409 .56402 L
.52442 .56455 L
.52594 .56648 L
.52601 .56653 L
.52737 .56841 L
.52794 .56913 L
.52891 .57033 L
.52987 .57181 L
.53012 .57226 L
.53163 .57419 L
.53179 .5743 L
.53305 .57611 L
.53372 .57698 L
.53454 .57804 L
.53565 .57968 L
.5358 .57997 L
.53727 .58189 L
.53758 .58213 L
.53933 .58382 L
.5395 .5849 L
.54013 .58575 L
.54143 .58762 L
.54146 .58768 L
.54286 .5896 L
.54336 .59004 L
.54478 .59153 L
.54528 .59291 L
.54567 .59346 L
.54701 .59538 L
.54721 .59565 L
.54838 .59731 L
.54914 .5981 L
.55014 .59924 L
.55106 .60106 L
.55113 .60116 L
.55246 .60309 L
.55299 .60383 L
.55381 .60502 L
.55492 .60644 L
.55532 .60694 L
.55646 .60887 L
.55684 .60941 L
.55776 .6108 L
.55877 .61227 L
.55907 .61273 L
.5603 .61465 L
.5607 .61525 L
.56149 .61658 L
.56263 .61841 L
.56268 .61851 L
.56263 .62003 L
.56114 .61851 L
.5607 .61809 L
.55941 .61658 L
.55877 .61589 L
.55777 .61465 L
.55684 .61359 L
.55616 .61273 L
.55492 .61138 L
.55458 .6108 L
.55304 .60887 L
.55299 .60881 L
.55155 .60694 L
.55106 .60635 L
.55006 .60502 L
.54914 .60406 L
.54855 .60309 L
.54721 .60138 L
.547 .60116 L
.54561 .59924 L
.54528 .59883 L
.54415 .59731 L
.54336 .59648 L
.54201 .59538 L
.54143 .59376 L
.54116 .59346 L
.53979 .59153 L
.5395 .59116 L
.53836 .5896 L
.53758 .58877 L
.53637 .58768 L
.53565 .58603 L
.53542 .58575 L
.53405 .58382 L
.53372 .5834 L
.53263 .58189 L
.53179 .58097 L
.53077 .57997 L
.52987 .57821 L
.52973 .57804 L
.52836 .57611 L
.52794 .57557 L
.52695 .57419 L
.52601 .57311 L
.5252 .57226 L
.52409 .57034 L
.52409 .57033 L
.52271 .56841 L
.52216 .56768 L
.5213 .56648 L
.52023 .56519 L
.51966 .56455 L
.51847 .56263 L
.51831 .56241 L
.5171 .5607 L
.51638 .55975 L
.51569 .55877 L
.51445 .55719 L
.51416 .55684 L
.51289 .55492 L
.51253 .55443 L
.51152 .55299 L
.5106 .55176 L
.51012 .55106 L
.5087 .54914 L
.50867 .54909 L
.50737 .54721 L
.50674 .54637 L
.506 .54528 L
.50482 .54367 L
.5046 .54336 L
.50326 .54143 L
.50289 .54094 L
.50194 .5395 L
.50096 .53817 L
.50057 .53758 L
.49921 .53565 L
.49904 .53541 L
.49795 .53372 L
.49711 .53255 L
.49664 .53179 L
.4953 .52987 L
.49518 .5297 L
.4941 .52794 L
.49326 .52673 L
.49284 .52601 L
.49154 .52409 L
.49133 .52379 L
.49035 .52216 L
.4894 .52082 L
.48906 .52023 L
F
0 .96 1 r
.4894 .41008 m
.48983 .4104 L
.49133 .41167 L
.49197 .41232 L
.49326 .41355 L
.49379 .41425 L
.49518 .41583 L
.49567 .41618 L
.49711 .41807 L
.49715 .41811 L
.49877 .42003 L
.49904 .42032 L
.50036 .42196 L
.50096 .42275 L
.50205 .42389 L
.50289 .42524 L
.5033 .42581 L
.50482 .42767 L
.50496 .42774 L
.50646 .42967 L
.50674 .43006 L
.508 .43159 L
.50867 .43266 L
.5092 .43352 L
.5106 .43527 L
.51092 .43545 L
.51237 .43737 L
.51253 .43761 L
.51382 .4393 L
.51445 .44027 L
.51498 .44123 L
.51638 .44296 L
.51673 .44316 L
.51827 .44508 L
.51831 .4453 L
.51956 .44701 L
.52023 .448 L
.52068 .44894 L
.52216 .45071 L
.52247 .45086 L
.52399 .45279 L
.52409 .45308 L
.52525 .45472 L
.52601 .4558 L
.52634 .45664 L
.52794 .45848 L
.52817 .45857 L
.52969 .4605 L
.52987 .46091 L
.53091 .46242 L
.53179 .46363 L
.53198 .46435 L
.53372 .46624 L
.53384 .46628 L
.53536 .46821 L
.53565 .46877 L
.53656 .47013 L
.53758 .47149 L
.53761 .47206 L
.5395 .47399 L
.5395 .47399 L
.54102 .47591 L
.54143 .47664 L
.54219 .47784 L
.54336 .47934 L
.54376 .47977 L
.54515 .48169 L
.54528 .48186 L
.54666 .48362 L
.54721 .48453 L
.54782 .48555 L
.54914 .4872 L
.5494 .48747 L
.5508 .4894 L
.55106 .48973 L
.55229 .49133 L
.55299 .49241 L
.55345 .49326 L
.55492 .49506 L
.55504 .49518 L
.5568 .49711 L
.55684 .49761 L
.55792 .49904 L
.55877 .5003 L
.55909 .50096 L
.56067 .50289 L
.5607 .50291 L
.56244 .50482 L
.56263 .5055 L
.56354 .50674 L
.56455 .5082 L
.56474 .50867 L
.5663 .5106 L
.56648 .51074 L
.56806 .51253 L
.56841 .5134 L
.56915 .51445 L
.57033 .5161 L
.57041 .51638 L
.57193 .51831 L
.57226 .51859 L
.57366 .52023 L
.57419 .52131 L
.57476 .52216 L
.57611 .52402 L
.57612 .52409 L
.57755 .52601 L
.57804 .52647 L
.57924 .52794 L
.57997 .52925 L
.58037 .52987 L
.58177 .53179 L
.58189 .53196 L
.58315 .53372 L
.58382 .53439 L
.58481 .53565 L
.58575 .53721 L
.58597 .53758 L
.58736 .5395 L
.58768 .53992 L
.58875 .54143 L
.5896 .54236 L
.59035 .54336 L
.59153 .54522 L
.59157 .54528 L
.59293 .54721 L
.59346 .54791 L
.59432 .54914 L
.59538 .55042 L
.59585 .55106 L
.59711 .55299 L
.59731 .55327 L
.59846 .55492 L
.59924 .55598 L
.6004 .55684 L
.60116 .55863 L
.60126 .55877 L
.60255 .5607 L
.60309 .56143 L
.60389 .56263 L
.60502 .56419 L
.6055 .56455 L
.60657 .56648 L
.60694 .56701 L
.60784 .56841 L
.60887 .56989 L
.60915 .57033 L
.61038 .57226 L
.6108 .57289 L
.61153 .57419 L
.6127 .57611 L
.61273 .57615 L
.61343 .57804 L
.61273 .57817 L
.61259 .57804 L
.6108 .57631 L
.61067 .57611 L
.60896 .57419 L
.60887 .57409 L
.60731 .57226 L
.60694 .57184 L
.60569 .57033 L
.60502 .56958 L
.60408 .56841 L
.60309 .56715 L
.60247 .56648 L
.60116 .56474 L
.60109 .56455 L
.59941 .56263 L
.59924 .5624 L
.59742 .5607 L
.59731 .5599 L
.59645 .55877 L
.59538 .55732 L
.59531 .55684 L
.59346 .55505 L
.59335 .55492 L
.59169 .55299 L
.59153 .55249 L
.5905 .55106 L
.5896 .54981 L
.58942 .54914 L
.58768 .54751 L
.58744 .54721 L
.58591 .54528 L
.58575 .5449 L
.58467 .54336 L
.58382 .54218 L
.58363 .54143 L
.58189 .53981 L
.58166 .5395 L
.58017 .53758 L
.57997 .53717 L
.57894 .53565 L
.57804 .53443 L
.57794 .53372 L
.57611 .53203 L
.57594 .53179 L
.57447 .52987 L
.57419 .52937 L
.57327 .52794 L
.57226 .52662 L
.57165 .52601 L
.57033 .52419 L
.57025 .52409 L
.5688 .52216 L
.56841 .52152 L
.56762 .52023 L
.56648 .51878 L
.56598 .51831 L
.56459 .51638 L
.56455 .51633 L
.56314 .51445 L
.56263 .51365 L
.56199 .51253 L
.5607 .51094 L
.56032 .5106 L
.55878 .50867 L
.55877 .50846 L
.5575 .50674 L
.55684 .50577 L
.55637 .50482 L
.55492 .5031 L
.55468 .50289 L
.55308 .50096 L
.55299 .50058 L
.55187 .49904 L
.55106 .49789 L
.55074 .49711 L
.54914 .49527 L
.54904 .49518 L
.54742 .49326 L
.54721 .4927 L
.54625 .49133 L
.54528 .49001 L
.5451 .4894 L
.5434 .48747 L
.54336 .48743 L
.54178 .48555 L
.54143 .48481 L
.54062 .48362 L
.5395 .48212 L
.53944 .48169 L
.53777 .47977 L
.53758 .47957 L
.53615 .47784 L
.53565 .47691 L
.535 .47591 L
.53372 .47422 L
.53353 .47399 L
.53214 .47206 L
.53179 .4717 L
.53054 .47013 L
.52987 .469 L
.52938 .46821 L
.52794 .46632 L
.52791 .46628 L
.52652 .46435 L
.52601 .46381 L
.52494 .46242 L
.52409 .46108 L
.52376 .4605 L
.52229 .45857 L
.52216 .4584 L
.5209 .45664 L
.52023 .4559 L
.51935 .45472 L
.51831 .45313 L
.51813 .45279 L
.51669 .45086 L
.51638 .45077 L
.51471 .44894 L
.51445 .44794 L
.51378 .44701 L
.51253 .44515 L
.51249 .44508 L
.51111 .44316 L
.5106 .44289 L
.50921 .44123 L
.50867 .43993 L
.50824 .4393 L
.50692 .43737 L
.50674 .43713 L
.50556 .43545 L
.50482 .43487 L
.50378 .43352 L
.50289 .43181 L
.50275 .43159 L
.50143 .42967 L
.50096 .42903 L
.50008 .42774 L
.49904 .4266 L
.49847 .42581 L
.49735 .42389 L
.49711 .42355 L
.49605 .42196 L
.49518 .42074 L
.49472 .42003 L
.4934 .41811 L
.49326 .41789 L
.4922 .41618 L
.49133 .41488 L
.49096 .41425 L
.48985 .41232 L
.4894 .41153 L
.48907 .4104 L
F
0 .38 1 r
.4894 .54361 m
.49046 .54528 L
.49133 .54645 L
.4918 .54721 L
.49133 .54808 L
.49069 .54721 L
.4894 .54573 L
.48908 .54528 L
F
1 .59 0 r
.4894 .43361 m
.49082 .43545 L
.49133 .43602 L
.49234 .43737 L
.49326 .43846 L
.49388 .4393 L
.49518 .44092 L
.49541 .44123 L
.49687 .44316 L
.49711 .44344 L
.4983 .44508 L
.49904 .44599 L
.49976 .44701 L
.50096 .44854 L
.50124 .44894 L
.50268 .45086 L
.50289 .45113 L
.50407 .45279 L
.50482 .45375 L
.5055 .45472 L
.50674 .45635 L
.50695 .45664 L
.50833 .45857 L
.50867 .45901 L
.50969 .4605 L
.5106 .46168 L
.5111 .46242 L
.51253 .46434 L
.51253 .46435 L
.51383 .46628 L
.51445 .4671 L
.51517 .46821 L
.51638 .46985 L
.51656 .47013 L
.51782 .47206 L
.51831 .47271 L
.51904 .47399 L
.52023 .4757 L
.52034 .47591 L
.52023 .47672 L
.51954 .47591 L
.51831 .47463 L
.51779 .47399 L
.51638 .47233 L
.51617 .47206 L
.51463 .47013 L
.51445 .46993 L
.51314 .46821 L
.51253 .46747 L
.51162 .46628 L
.5106 .465 L
.51011 .46435 L
.50867 .46252 L
.50862 .46242 L
.50719 .4605 L
.50674 .45993 L
.50574 .45857 L
.50482 .45737 L
.50428 .45664 L
.50289 .45483 L
.50274 .45472 L
.50144 .45279 L
.50096 .45217 L
.50003 .45086 L
.49904 .44954 L
.4986 .44894 L
.4972 .44701 L
.49711 .4469 L
.49584 .44508 L
.49518 .4442 L
.49446 .44316 L
.49326 .44151 L
.49306 .44123 L
.49175 .4393 L
.49133 .43874 L
.49043 .43737 L
.4894 .43594 L
.48908 .43545 L
F
0 .15 1 r
.4894 .48525 m
.48959 .48555 L
.4894 .48595 L
.48912 .48555 L
F
1 .57 0 r
.4894 .47741 m
.49004 .47784 L
.49133 .4789 L
.49214 .47977 L
.49326 .48097 L
.49386 .48169 L
.49518 .48318 L
.49544 .48362 L
.49691 .48555 L
.49711 .48581 L
.49831 .48747 L
.49904 .48851 L
.49964 .4894 L
.50082 .49133 L
.50096 .4916 L
.50155 .49326 L
.50096 .49361 L
.50047 .49326 L
.49904 .49203 L
.49841 .49133 L
.49711 .49031 L
.49675 .4894 L
.49521 .48747 L
.49518 .48744 L
.49382 .48555 L
.49326 .4848 L
.49246 .48362 L
.49133 .48201 L
.49113 .48169 L
.48999 .47977 L
.4894 .47868 L
.48913 .47784 L
F
0 .37 1 r
.4894 .54372 m
.49037 .54528 L
.49133 .54658 L
.4917 .54721 L
.49133 .54794 L
.49079 .54721 L
.4894 .54563 L
.48915 .54528 L
F
0 .65 1 r
.4894 .44206 m
.49007 .44316 L
.49133 .44471 L
.49155 .44508 L
.49133 .44594 L
.49073 .44508 L
.4894 .44348 L
.48917 .44316 L
F
1 .58 0 r
.4894 .43377 m
.49071 .43545 L
.49133 .43614 L
.49225 .43737 L
.49326 .43856 L
.4938 .4393 L
.49518 .44101 L
.49534 .44123 L
.4968 .44316 L
.49711 .44353 L
.49824 .44508 L
.49904 .44607 L
.49971 .44701 L
.50096 .44862 L
.50119 .44894 L
.50262 .45086 L
.50289 .45121 L
.50401 .45279 L
.50482 .45382 L
.50544 .45472 L
.50674 .45643 L
.5069 .45664 L
.50827 .45857 L
.50867 .45909 L
.50963 .4605 L
.5106 .46176 L
.51105 .46242 L
.51246 .46435 L
.51253 .46443 L
.51375 .46628 L
.51445 .4672 L
.5151 .46821 L
.51638 .46996 L
.51649 .47013 L
.5177 .47206 L
.51831 .47289 L
.5189 .47399 L
.51831 .47445 L
.51793 .47399 L
.51638 .4722 L
.51627 .47206 L
.51474 .47013 L
.51445 .46981 L
.51322 .46821 L
.51253 .46737 L
.5117 .46628 L
.5106 .4649 L
.51018 .46435 L
.50869 .46242 L
.50867 .4624 L
.50726 .4605 L
.50674 .45985 L
.50581 .45857 L
.50482 .45729 L
.50434 .45664 L
.50289 .45472 L
.50289 .45471 L
.50151 .45279 L
.50096 .45209 L
.50009 .45086 L
.49904 .44946 L
.49866 .44894 L
.49727 .44701 L
.49711 .44681 L
.49591 .44508 L
.49518 .44411 L
.49452 .44316 L
.49326 .44141 L
.49313 .44123 L
.49183 .4393 L
.49133 .43862 L
.49052 .43737 L
.4894 .43581 L
.48917 .43545 L
F
0 .36 1 r
.4894 .54385 m
.49026 .54528 L
.49133 .54674 L
.49159 .54721 L
.49133 .54778 L
.49092 .54721 L
.4894 .54553 L
.48923 .54528 L
F
1 .87 0 r
.4894 .50272 m
.49102 .50289 L
.49133 .50306 L
.49326 .50474 L
.49338 .50482 L
.49497 .50674 L
.49518 .507 L
.49647 .50867 L
.49711 .50906 L
.49793 .5106 L
.49904 .5119 L
.49961 .51253 L
.5008 .51445 L
.50096 .51467 L
.50215 .51638 L
.50289 .5174 L
.50351 .51831 L
.50482 .52012 L
.50489 .52023 L
.50607 .52216 L
.50674 .52322 L
.50722 .52409 L
.50801 .52601 L
.50674 .52657 L
.50632 .52601 L
.50482 .52479 L
.50416 .52409 L
.50289 .5227 L
.50212 .52216 L
.50096 .52045 L
.50075 .52023 L
.49918 .51831 L
.49904 .5182 L
.49766 .51638 L
.49711 .5157 L
.49603 .51445 L
.49518 .51308 L
.49484 .51253 L
.49337 .5106 L
.49326 .51044 L
.49202 .50867 L
.49133 .50762 L
.49064 .50674 L
.48967 .50482 L
.4894 .5041 L
.48925 .50289 L
F
1 .57 0 r
.4894 .43395 m
.49057 .43545 L
.49133 .43627 L
.49216 .43737 L
.49326 .43866 L
.49373 .4393 L
.49518 .4411 L
.49528 .44123 L
.49672 .44316 L
.49711 .44362 L
.49817 .44508 L
.49904 .44615 L
.49965 .44701 L
.50096 .44869 L
.50114 .44894 L
.50255 .45086 L
.50289 .45129 L
.50395 .45279 L
.50482 .4539 L
.50539 .45472 L
.50674 .4565 L
.50684 .45664 L
.5082 .45857 L
.50867 .45917 L
.50957 .4605 L
.5106 .46185 L
.51099 .46242 L
.51239 .46435 L
.51253 .46453 L
.51367 .46628 L
.51445 .46731 L
.51502 .46821 L
.51638 .47008 L
.51641 .47013 L
.51638 .47206 L
.51486 .47013 L
.51445 .46968 L
.51332 .46821 L
.51253 .46726 L
.51178 .46628 L
.5106 .46481 L
.51025 .46435 L
.50877 .46242 L
.50867 .46231 L
.50734 .4605 L
.50674 .45976 L
.50587 .45857 L
.50482 .45721 L
.5044 .45664 L
.50296 .45472 L
.50289 .45463 L
.50158 .45279 L
.50096 .452 L
.50015 .45086 L
.49904 .44938 L
.49872 .44894 L
.49734 .44701 L
.49711 .44671 L
.49599 .44508 L
.49518 .44401 L
.49459 .44316 L
.49326 .44131 L
.4932 .44123 L
.49193 .4393 L
.49133 .43849 L
.49062 .43737 L
.4894 .43566 L
.48927 .43545 L
F
1 .56 0 r
.4894 .47764 m
.48983 .47784 L
.49133 .47899 L
.49206 .47977 L
.49326 .48104 L
.4938 .48169 L
.49518 .48326 L
.49539 .48362 L
.49686 .48555 L
.49711 .48587 L
.49826 .48747 L
.49904 .48858 L
.49959 .4894 L
.50074 .49133 L
.50096 .49176 L
.50139 .49326 L
.50096 .49348 L
.50061 .49326 L
.49904 .49196 L
.49847 .49133 L
.49711 .49022 L
.49679 .4894 L
.49526 .48747 L
.49518 .48738 L
.49387 .48555 L
.49326 .48474 L
.4925 .48362 L
.49133 .48194 L
.49117 .48169 L
.49007 .47977 L
.4894 .47844 L
.48928 .47784 L
F
0 .14 1 r
.4894 .48545 m
.48945 .48555 L
.4894 .48571 L
.4893 .48555 L
F
0 .35 1 r
.4894 .54399 m
.49013 .54528 L
.49133 .54696 L
.49145 .54721 L
.49133 .54755 L
.49109 .54721 L
.4894 .54541 L
.48931 .54528 L
F
0 .84 1 r
.4894 .50976 m
.49011 .5106 L
.49133 .51199 L
.49166 .51253 L
.49133 .51323 L
.49076 .51253 L
.4894 .51068 L
.48935 .5106 L
F
1 .52 0 r
.4894 .53578 m
.49073 .53758 L
.49133 .53826 L
.49224 .5395 L
.49326 .54075 L
.49375 .54143 L
.49518 .54327 L
.49524 .54336 L
.49662 .54528 L
.49711 .54588 L
.49804 .54721 L
.49904 .54849 L
.49949 .54914 L
.49904 .55085 L
.49784 .54914 L
.49711 .54825 L
.4964 .54721 L
.49518 .54566 L
.49492 .54528 L
.49352 .54336 L
.49326 .54303 L
.4922 .54143 L
.49133 .54033 L
.4908 .5395 L
.4894 .53765 L
.48935 .53758 L
F
0 .64 1 r
.4894 .44242 m
.48975 .44316 L
.49133 .44505 L
.49135 .44508 L
.49133 .44549 L
.49108 .44508 L
.4894 .44319 L
.48938 .44316 L
F
1 .56 0 r
.4894 .43417 m
.4904 .43545 L
.49133 .43641 L
.49205 .43737 L
.49326 .43877 L
.49364 .4393 L
.49518 .44119 L
.49521 .44123 L
.49664 .44316 L
.49711 .44371 L
.4981 .44508 L
.49904 .44624 L
.49958 .44701 L
.50096 .44877 L
.50108 .44894 L
.50248 .45086 L
.50289 .45137 L
.50389 .45279 L
.50482 .45398 L
.50533 .45472 L
.50674 .45658 L
.50679 .45664 L
.50813 .45857 L
.50867 .45926 L
.50951 .4605 L
.5106 .46193 L
.51093 .46242 L
.5123 .46435 L
.51253 .46464 L
.51358 .46628 L
.51445 .46743 L
.51493 .46821 L
.51445 .46955 L
.51342 .46821 L
.51253 .46715 L
.51186 .46628 L
.5106 .46471 L
.51033 .46435 L
.50885 .46242 L
.50867 .46221 L
.50741 .4605 L
.50674 .45967 L
.50594 .45857 L
.50482 .45712 L
.50447 .45664 L
.50304 .45472 L
.50289 .45454 L
.50164 .45279 L
.50096 .45191 L
.50022 .45086 L
.49904 .44929 L
.49878 .44894 L
.49742 .44701 L
.49711 .44661 L
.49606 .44508 L
.49518 .44391 L
.49467 .44316 L
.49328 .44123 L
.49326 .4412 L
.49203 .4393 L
.49133 .43835 L
.49072 .43737 L
.4894 .43548 L
.48938 .43545 L
F
0 .94 1 r
.49133 .47067 m
.49313 .47206 L
.49326 .47214 L
.49509 .47399 L
.49518 .47409 L
.49681 .47591 L
.49711 .47635 L
.49849 .47784 L
.49904 .47885 L
.49969 .47977 L
.50096 .48149 L
.50145 .48169 L
.50288 .48362 L
.50289 .48364 L
.50436 .48555 L
.50482 .48627 L
.50551 .48747 L
.50674 .48895 L
.50717 .4894 L
.50854 .49133 L
.50867 .49153 L
.50992 .49326 L
.5106 .49433 L
.51096 .49518 L
.51223 .49711 L
.5106 .49888 L
.50867 .49802 L
.50777 .49711 L
.50674 .49601 L
.50571 .49518 L
.50482 .49333 L
.50455 .49326 L
.50314 .49133 L
.50289 .49122 L
.50173 .4894 L
.50096 .48857 L
.49996 .48747 L
.49904 .48581 L
.49885 .48555 L
.49749 .48362 L
.49711 .48311 L
.49612 .48169 L
.49518 .48082 L
.49448 .47977 L
.49335 .47784 L
.49326 .4777 L
.49207 .47591 L
.49133 .47482 L
.4908 .47399 L
.48968 .47206 L
F
1 .86 0 r
.49133 .50321 m
.49322 .50482 L
.49326 .50485 L
.49489 .50674 L
.49518 .50708 L
.49641 .50867 L
.49711 .50912 L
.49788 .5106 L
.49904 .51198 L
.49954 .51253 L
.50074 .51445 L
.50096 .51475 L
.50209 .51638 L
.50289 .51748 L
.50345 .51831 L
.5048 .52023 L
.50482 .52026 L
.50598 .52216 L
.50674 .5234 L
.5071 .52409 L
.50757 .52601 L
.50674 .52606 L
.5067 .52601 L
.50482 .5246 L
.50433 .52409 L
.50289 .52256 L
.50229 .52216 L
.50096 .52035 L
.50085 .52023 L
.49926 .51831 L
.49904 .51813 L
.49773 .51638 L
.49711 .5156 L
.4961 .51445 L
.49518 .51299 L
.4949 .51253 L
.49344 .5106 L
.49326 .51033 L
.4921 .50867 L
.49133 .50749 L
.49074 .50674 L
.4898 .50482 L
F
0 .93 1 r
.49133 .47099 m
.49282 .47206 L
.49326 .47232 L
.49489 .47399 L
.49518 .47431 L
.49666 .47591 L
.49711 .47654 L
.49839 .47784 L
.49904 .479 L
.49961 .47977 L
.50096 .48156 L
.50135 .48169 L
.5028 .48362 L
.50289 .48375 L
.5043 .48555 L
.50482 .48637 L
.50544 .48747 L
.50674 .48904 L
.50709 .4894 L
.50845 .49133 L
.50867 .49165 L
.50984 .49326 L
.5106 .49449 L
.51088 .49518 L
.51205 .49711 L
.5106 .49868 L
.50867 .49786 L
.5079 .49711 L
.50674 .4959 L
.50581 .49518 L
.50482 .49331 L
.50461 .49326 L
.5032 .49133 L
.50289 .49119 L
.50177 .4894 L
.50096 .48851 L
.50001 .48747 L
.49904 .48574 L
.4989 .48555 L
.49754 .48362 L
.49711 .48304 L
.49617 .48169 L
.49518 .48071 L
.49456 .47977 L
.49343 .47784 L
.49326 .4776 L
.49216 .47591 L
.49133 .47466 L
.49092 .47399 L
.48992 .47206 L
F
1 .85 0 r
.49133 .50337 m
.49311 .50482 L
.49326 .50496 L
.49482 .50674 L
.49518 .50716 L
.49635 .50867 L
.49711 .50918 L
.49783 .5106 L
.49904 .51206 L
.49947 .51253 L
.50069 .51445 L
.50096 .51482 L
.50204 .51638 L
.50289 .51756 L
.50339 .51831 L
.50472 .52023 L
.50482 .52038 L
.50588 .52216 L
.50674 .52362 L
.50697 .52409 L
.50674 .52573 L
.50482 .5244 L
.50451 .52409 L
.50289 .52243 L
.50247 .52216 L
.50096 .52025 L
.50094 .52023 L
.49935 .51831 L
.49904 .51806 L
.49781 .51638 L
.49711 .51551 L
.49616 .51445 L
.49518 .51289 L
.49496 .51253 L
.49352 .5106 L
.49326 .51022 L
.49218 .50867 L
.49133 .50735 L
.49084 .50674 L
.48994 .50482 L
F
1 .84 0 r
.49133 .50354 m
.49298 .50482 L
.49326 .50507 L
.49474 .50674 L
.49518 .50725 L
.49629 .50867 L
.49711 .50925 L
.49778 .5106 L
.49904 .51214 L
.49939 .51253 L
.50063 .51445 L
.50096 .51489 L
.50198 .51638 L
.50289 .51764 L
.50334 .51831 L
.50464 .52023 L
.50482 .5205 L
.50578 .52216 L
.50674 .52389 L
.50683 .52409 L
.50674 .52534 L
.50482 .52419 L
.50472 .52409 L
.50289 .52229 L
.50268 .52216 L
.50105 .52023 L
.50096 .52014 L
.49944 .51831 L
.49904 .51799 L
.49789 .51638 L
.49711 .51541 L
.49624 .51445 L
.49518 .51279 L
.49502 .51253 L
.49359 .5106 L
.49326 .51011 L
.49226 .50867 L
.49133 .50721 L
.49095 .50674 L
.49008 .50482 L
F
1 .55 0 r
.49133 .47908 m
.49198 .47977 L
.49326 .48111 L
.49375 .48169 L
.49518 .48334 L
.49534 .48362 L
.49681 .48555 L
.49711 .48594 L
.49821 .48747 L
.49904 .48865 L
.49953 .4894 L
.50067 .49133 L
.50096 .49195 L
.50118 .49326 L
.50096 .49334 L
.50081 .49326 L
.49904 .49189 L
.49853 .49133 L
.49711 .49012 L
.49683 .4894 L
.4953 .48747 L
.49518 .48733 L
.49391 .48555 L
.49326 .48468 L
.49255 .48362 L
.49133 .48187 L
.49122 .48169 L
.49015 .47977 L
F
0 .92 1 r
.49133 .47132 m
.49246 .47206 L
.49326 .47249 L
.49469 .47399 L
.49518 .47451 L
.49651 .47591 L
.49711 .47671 L
.4983 .47784 L
.49904 .47913 L
.49953 .47977 L
.50096 .48161 L
.50125 .48169 L
.50272 .48362 L
.50289 .48385 L
.50423 .48555 L
.50482 .48648 L
.50538 .48747 L
.50674 .48913 L
.50701 .4894 L
.50837 .49133 L
.50867 .49177 L
.50976 .49326 L
.5106 .49466 L
.51081 .49518 L
.51186 .49711 L
.5106 .49848 L
.50867 .4977 L
.50804 .49711 L
.50674 .49579 L
.50592 .49518 L
.50482 .49329 L
.50468 .49326 L
.50325 .49133 L
.50289 .49116 L
.50182 .4894 L
.50096 .48845 L
.50007 .48747 L
.49904 .48568 L
.49894 .48555 L
.49759 .48362 L
.49711 .48297 L
.49622 .48169 L
.49518 .4806 L
.49464 .47977 L
.49351 .47784 L
.49326 .47748 L
.49225 .47591 L
.49133 .47447 L
.49104 .47399 L
.49021 .47206 L
F
1 .83 0 r
.49133 .50371 m
.49285 .50482 L
.49326 .50518 L
.49466 .50674 L
.49518 .50733 L
.49623 .50867 L
.49711 .50932 L
.49773 .5106 L
.49904 .51223 L
.49931 .51253 L
.50058 .51445 L
.50096 .51497 L
.50193 .51638 L
.50289 .51773 L
.50328 .51831 L
.50455 .52023 L
.50482 .52064 L
.50567 .52216 L
.50482 .52398 L
.5029 .52216 L
.50289 .52215 L
.50116 .52023 L
.50096 .52002 L
.49953 .51831 L
.49904 .51791 L
.49797 .51638 L
.49711 .51531 L
.49632 .51445 L
.49518 .5127 L
.49508 .51253 L
.49367 .5106 L
.49326 .51 L
.49234 .50867 L
.49133 .50705 L
.49108 .50674 L
.49023 .50482 L
F
1 .54 0 r
.49133 .47918 m
.4919 .47977 L
.49326 .48119 L
.49369 .48169 L
.49518 .48343 L
.49529 .48362 L
.49676 .48555 L
.49711 .486 L
.49816 .48747 L
.49904 .48873 L
.49948 .4894 L
.50058 .49133 L
.49904 .49182 L
.4986 .49133 L
.49711 .49001 L
.49688 .4894 L
.49535 .48747 L
.49518 .48727 L
.49396 .48555 L
.49326 .48462 L
.49259 .48362 L
.49133 .4818 L
.49126 .48169 L
.49024 .47977 L
F
1 .99 0 r
.49133 .40378 m
.49224 .40462 L
.49326 .40526 L
.49417 .40654 L
.49518 .40766 L
.49596 .40847 L
.49711 .40989 L
.49764 .4104 L
.49904 .41217 L
.49913 .41232 L
.50089 .41425 L
.50096 .41435 L
.50277 .41618 L
.50289 .41679 L
.50392 .41811 L
.50482 .41936 L
.50512 .42003 L
.50674 .42154 L
.50709 .42196 L
.5086 .42389 L
.50867 .42406 L
.50992 .42581 L
.5106 .42678 L
.51096 .42774 L
.51253 .42905 L
.51301 .42967 L
.51443 .43159 L
.51445 .43163 L
.51574 .43352 L
.51638 .43442 L
.51737 .43545 L
.51831 .43674 L
.5188 .43737 L
.5202 .4393 L
.52023 .43936 L
.52145 .44123 L
.52216 .44221 L
.5231 .44316 L
.52409 .44453 L
.52451 .44508 L
.5259 .44701 L
.52601 .4472 L
.5271 .44894 L
.52794 .45007 L
.52878 .45086 L
.52987 .45238 L
.53018 .45279 L
.53156 .45472 L
.53179 .45507 L
.53271 .45664 L
.53372 .45796 L
.53445 .45857 L
.53565 .46025 L
.53584 .4605 L
.5372 .46242 L
.53758 .46297 L
.5383 .46435 L
.5395 .46585 L
.5401 .46628 L
.54143 .46814 L
.54148 .46821 L
.54283 .47013 L
.54336 .47088 L
.54388 .47206 L
.54528 .47371 L
.54574 .47399 L
.54716 .47591 L
.54721 .47604 L
.54845 .47784 L
.54914 .47879 L
.54947 .47977 L
.55106 .48155 L
.55137 .48169 L
.55283 .48362 L
.55299 .48394 L
.55407 .48555 L
.55492 .48668 L
.55505 .48747 L
.55684 .48934 L
.55701 .4894 L
.55849 .49133 L
.55877 .49185 L
.55968 .49326 L
.5607 .49457 L
.56125 .49518 L
.56263 .49711 L
.56264 .49711 L
.56413 .49904 L
.56455 .49974 L
.5653 .50096 L
.56648 .50245 L
.56689 .50289 L
.56828 .50482 L
.56841 .50497 L
.56976 .50674 L
.57033 .50764 L
.57091 .50867 L
.57226 .51032 L
.57252 .5106 L
.57392 .51253 L
.57419 .51285 L
.57539 .51445 L
.57611 .51554 L
.57654 .51638 L
.57804 .51818 L
.57816 .51831 L
.57986 .52023 L
.57997 .52074 L
.58101 .52216 L
.58189 .52343 L
.58218 .52409 L
.58379 .52601 L
.58382 .52604 L
.58551 .52794 L
.58575 .52863 L
.58663 .52987 L
.58768 .53133 L
.58783 .53179 L
.58942 .53372 L
.5896 .53386 L
.59113 .53565 L
.59153 .53652 L
.59225 .53758 L
.59346 .53923 L
.59351 .5395 L
.59505 .54143 L
.59538 .5417 L
.59674 .54336 L
.59731 .54443 L
.59787 .54528 L
.59924 .54713 L
.59929 .54721 L
.60068 .54914 L
.60116 .54957 L
.60234 .55106 L
.60309 .55234 L
.60349 .55299 L
.60492 .55492 L
.60502 .55505 L
.60631 .55684 L
.60694 .55746 L
.60794 .55877 L
.60887 .56027 L
.60912 .5607 L
.61054 .56263 L
.6108 .56297 L
.61193 .56455 L
.61273 .56539 L
.61352 .56648 L
.61465 .56822 L
.61475 .56841 L
.61615 .57033 L
.61658 .57091 L
.61818 .57226 L
.61851 .57336 L
.61909 .57419 L
.62038 .57611 L
.62043 .57619 L
.62175 .57804 L
.62236 .57886 L
.62365 .57997 L
.62429 .58138 L
.62463 .58189 L
.62595 .58382 L
.62621 .58417 L
.62732 .58575 L
.62814 .58686 L
.62906 .58768 L
.63007 .58949 L
.63014 .5896 L
.63147 .59153 L
.63199 .59224 L
.63283 .59346 L
.63392 .59495 L
.63441 .59538 L
.63557 .59731 L
.63585 .59769 L
.63687 .59924 L
.63778 .6005 L
.6382 .60116 L
.6395 .60309 L
.6397 .60338 L
.64064 .60502 L
.64163 .60672 L
.64172 .60694 L
.64163 .60761 L
.64042 .60694 L
.6397 .60648 L
.63797 .60502 L
.63778 .60486 L
.63589 .60309 L
.63585 .60305 L
.634 .60116 L
.63392 .60107 L
.63225 .59924 L
.63199 .59888 L
.63042 .59731 L
.63007 .59651 L
.62905 .59538 L
.62814 .59404 L
.62762 .59346 L
.62621 .59162 L
.62614 .59153 L
.62449 .5896 L
.62429 .58919 L
.62315 .58768 L
.62236 .58655 L
.62188 .58575 L
.62043 .58395 L
.62021 .58382 L
.61877 .58189 L
.61851 .58147 L
.61752 .57997 L
.61658 .57871 L
.61588 .57804 L
.61465 .57635 L
.61447 .57611 L
.61309 .57419 L
.61273 .57364 L
.61198 .57226 L
.6108 .57074 L
.61017 .57033 L
.60887 .56852 L
.60878 .56841 L
.60744 .56648 L
.60694 .56576 L
.60644 .56455 L
.60502 .56331 L
.6045 .56263 L
.60311 .5607 L
.60309 .56067 L
.60181 .55877 L
.60116 .55787 L
.60087 .55684 L
.59924 .55545 L
.59884 .55492 L
.59742 .55299 L
.59731 .55278 L
.59618 .55106 L
.59538 .54998 L
.59459 .54914 L
.59346 .54756 L
.59319 .54721 L
.59176 .54528 L
.59153 .54488 L
.59057 .54336 L
.5896 .54209 L
.58894 .54143 L
.58768 .53967 L
.58755 .5395 L
.58612 .53758 L
.58575 .53698 L
.58496 .53565 L
.58382 .53421 L
.5833 .53372 L
.58191 .53179 L
.58189 .53177 L
.58048 .52987 L
.57997 .52907 L
.57935 .52794 L
.57804 .52635 L
.57766 .52601 L
.57614 .52409 L
.57611 .52388 L
.57486 .52216 L
.57419 .52118 L
.57373 .52023 L
.57226 .5185 L
.57203 .51831 L
.57045 .51638 L
.57033 .51598 L
.56923 .51445 L
.56841 .51329 L
.56811 .51253 L
.56648 .51067 L
.56639 .5106 L
.56479 .50867 L
.56455 .50809 L
.56361 .50674 L
.56263 .5054 L
.56248 .50482 L
.56076 .50289 L
.5607 .50283 L
.55914 .50096 L
.55877 .5002 L
.55799 .49904 L
.55684 .49751 L
.55681 .49711 L
.55512 .49518 L
.55492 .49497 L
.55352 .49326 L
.55299 .4923 L
.55236 .49133 L
.55106 .48963 L
.55088 .4894 L
.54949 .48747 L
.54914 .4871 L
.5479 .48555 L
.54721 .4844 L
.54673 .48362 L
.54528 .48174 L
.54525 .48169 L
.54386 .47977 L
.54336 .47922 L
.54228 .47784 L
.54143 .4765 L
.5411 .47591 L
.53962 .47399 L
.5395 .47396 L
.53764 .47206 L
.53758 .47133 L
.53667 .47013 L
.53565 .46859 L
.53545 .46821 L
.53399 .46628 L
.53372 .46618 L
.53206 .46435 L
.53179 .46343 L
.53107 .46242 L
.52987 .46067 L
.52979 .4605 L
.52837 .45857 L
.52794 .45835 L
.52649 .45664 L
.52601 .4555 L
.52547 .45472 L
.52412 .45279 L
.52409 .45274 L
.52274 .45086 L
.52216 .45047 L
.52094 .44894 L
.52023 .44756 L
.51986 .44701 L
.51851 .44508 L
.51831 .44481 L
.51713 .44316 L
.51638 .44253 L
.51539 .44123 L
.51445 .43958 L
.51427 .4393 L
.51291 .43737 L
.51253 .43686 L
.51153 .43545 L
.5106 .43452 L
.50987 .43352 L
.50869 .43159 L
.50867 .43157 L
.50733 .42967 L
.50674 .42888 L
.50595 .42774 L
.50482 .42643 L
.50439 .42581 L
.50315 .42389 L
.50289 .42354 L
.5018 .42196 L
.50096 .42083 L
.50042 .42003 L
.49904 .41816 L
.499 .41811 L
.49771 .41618 L
.49711 .41536 L
.49638 .41425 L
.49518 .41258 L
.49482 .41232 L
.49375 .4104 L
.49326 .4097 L
.49251 .40847 L
.49133 .40668 L
.49125 .40654 L
.49026 .40462 L
F
1 .53 0 r
.49133 .47928 m
.49181 .47977 L
.49326 .48126 L
.49363 .48169 L
.49518 .48352 L
.49524 .48362 L
.49671 .48555 L
.49711 .48607 L
.49811 .48747 L
.49904 .48881 L
.49943 .4894 L
.5005 .49133 L
.49904 .49174 L
.49866 .49133 L
.49711 .48989 L
.49692 .4894 L
.4954 .48747 L
.49518 .48721 L
.494 .48555 L
.49326 .48455 L
.49264 .48362 L
.49133 .48172 L
.49131 .48169 L
.49033 .47977 L
F
1 .82 0 r
.49133 .50388 m
.4927 .50482 L
.49326 .5053 L
.49457 .50674 L
.49518 .50742 L
.49616 .50867 L
.49711 .50941 L
.49768 .5106 L
.49904 .51232 L
.49923 .51253 L
.50052 .51445 L
.50096 .51505 L
.50187 .51638 L
.50289 .51781 L
.50321 .51831 L
.50446 .52023 L
.50482 .52078 L
.50556 .52216 L
.50482 .52378 L
.50306 .52216 L
.50289 .522 L
.50127 .52023 L
.50096 .5199 L
.49962 .51831 L
.49904 .51783 L
.49806 .51638 L
.49711 .51521 L
.4964 .51445 L
.49518 .5126 L
.49514 .51253 L
.49375 .5106 L
.49326 .50988 L
.49242 .50867 L
.49133 .50689 L
.49121 .50674 L
.49038 .50482 L
F
1 .52 0 r
.49133 .47939 m
.49171 .47977 L
.49326 .48134 L
.49356 .48169 L
.49518 .48362 L
.49518 .48362 L
.49665 .48555 L
.49711 .48614 L
.49806 .48747 L
.49904 .48889 L
.49937 .4894 L
.5004 .49133 L
.49904 .49166 L
.49873 .49133 L
.49711 .48977 L
.49697 .4894 L
.49545 .48747 L
.49518 .48715 L
.49405 .48555 L
.49326 .48449 L
.49268 .48362 L
.49137 .48169 L
.49133 .48163 L
.49044 .47977 L
F
1 .81 0 r
.49133 .50407 m
.49253 .50482 L
.49326 .50541 L
.49449 .50674 L
.49518 .50751 L
.4961 .50867 L
.49711 .5095 L
.49762 .5106 L
.49904 .51241 L
.49915 .51253 L
.50046 .51445 L
.50096 .51513 L
.50181 .51638 L
.50289 .51791 L
.50315 .51831 L
.50437 .52023 L
.50482 .52095 L
.50543 .52216 L
.50482 .52356 L
.50322 .52216 L
.50289 .52186 L
.50138 .52023 L
.50096 .51978 L
.49972 .51831 L
.49904 .51775 L
.49814 .51638 L
.49711 .51511 L
.49648 .51445 L
.49521 .51253 L
.49518 .51249 L
.49383 .5106 L
.49326 .50977 L
.49251 .50867 L
.49134 .50674 L
.49133 .50672 L
.49056 .50482 L
F
1 .51 0 r
.49133 .4795 m
.49161 .47977 L
.49326 .48142 L
.4935 .48169 L
.49512 .48362 L
.49518 .48369 L
.4966 .48555 L
.49711 .48621 L
.498 .48747 L
.49904 .48898 L
.49931 .4894 L
.5003 .49133 L
.49904 .49158 L
.4988 .49133 L
.49711 .48964 L
.49702 .4894 L
.4955 .48747 L
.49518 .48708 L
.4941 .48555 L
.49326 .48442 L
.49273 .48362 L
.49144 .48169 L
.49133 .48151 L
.49057 .47977 L
F
0 .91 1 r
.49133 .47168 m
.49203 .47206 L
.49326 .47267 L
.49448 .47399 L
.49518 .4747 L
.49636 .47591 L
.49711 .47688 L
.4982 .47784 L
.49904 .47925 L
.49945 .47977 L
.50096 .48165 L
.50116 .48169 L
.50264 .48362 L
.50289 .48395 L
.50417 .48555 L
.50482 .48657 L
.50532 .48747 L
.50674 .48921 L
.50693 .4894 L
.50829 .49133 L
.50867 .49189 L
.50968 .49326 L
.5106 .49484 L
.51074 .49518 L
.51167 .49711 L
.5106 .49827 L
.50867 .49755 L
.50818 .49711 L
.50674 .49569 L
.50603 .49518 L
.50482 .49327 L
.50475 .49326 L
.5033 .49133 L
.50289 .49113 L
.50187 .4894 L
.50096 .48838 L
.50012 .48747 L
.49904 .48561 L
.49899 .48555 L
.49764 .48362 L
.49711 .4829 L
.49627 .48169 L
.49518 .48048 L
.49472 .47977 L
.49359 .47784 L
.49326 .47736 L
.49235 .47591 L
.49133 .47426 L
.49118 .47399 L
.49059 .47206 L
F
0 .68 1 r
.49133 .42803 m
.4927 .42967 L
.49326 .43026 L
.49433 .43159 L
.49518 .43258 L
.49592 .43352 L
.49711 .43474 L
.49749 .43545 L
.49903 .43737 L
.49904 .43739 L
.50051 .4393 L
.50096 .43985 L
.50201 .44123 L
.50289 .44208 L
.50351 .44316 L
.50482 .44482 L
.50508 .44508 L
.50645 .44701 L
.50674 .44738 L
.5079 .44894 L
.50867 .44968 L
.50937 .45086 L
.5106 .45245 L
.51091 .45279 L
.51226 .45472 L
.51253 .45506 L
.51369 .45664 L
.51445 .4574 L
.51583 .45857 L
.51638 .4602 L
.51663 .4605 L
.51799 .46242 L
.51831 .46284 L
.5194 .46435 L
.52023 .46522 L
.52136 .46628 L
.52216 .46804 L
.52229 .46821 L
.52365 .47013 L
.52409 .4707 L
.52506 .47206 L
.52601 .47313 L
.52685 .47399 L
.5279 .47591 L
.52794 .47597 L
.52927 .47784 L
.52987 .47864 L
.53066 .47977 L
.53179 .48115 L
.53229 .48169 L
.53346 .48362 L
.53372 .48397 L
.53482 .48555 L
.53565 .48667 L
.53621 .48747 L
.53758 .48932 L
.53764 .4894 L
.53894 .49133 L
.5395 .49209 L
.54029 .49326 L
.54143 .49483 L
.54167 .49518 L
.54299 .49711 L
.54336 .49761 L
.54428 .49904 L
.54528 .50045 L
.54561 .50096 L
.54688 .50289 L
.54721 .50336 L
.54805 .50482 L
.54914 .50649 L
.54926 .50674 L
.54914 .50782 L
.5481 .50674 L
.54721 .50587 L
.54631 .50482 L
.54528 .50367 L
.54464 .50289 L
.54336 .5016 L
.54302 .50096 L
.54146 .49904 L
.54143 .499 L
.53993 .49711 L
.5395 .49659 L
.53839 .49518 L
.53758 .49445 L
.53687 .49326 L
.53565 .49172 L
.53525 .49133 L
.53389 .4894 L
.53372 .48919 L
.53241 .48747 L
.53179 .48692 L
.53093 .48555 L
.52987 .48419 L
.52935 .48362 L
.52801 .48169 L
.52794 .4816 L
.52657 .47977 L
.52601 .47925 L
.52511 .47784 L
.52409 .47651 L
.52359 .47591 L
.52224 .47399 L
.52216 .47388 L
.52081 .47206 L
.52023 .4715 L
.51869 .47013 L
.51831 .46872 L
.51789 .46821 L
.51654 .46628 L
.51638 .46607 L
.51513 .46435 L
.51445 .46366 L
.5132 .46242 L
.51253 .46085 L
.51226 .4605 L
.5109 .45857 L
.5106 .45817 L
.5095 .45664 L
.50867 .45572 L
.50773 .45472 L
.50674 .45287 L
.50669 .45279 L
.50533 .45086 L
.50482 .45017 L
.50394 .44894 L
.50289 .44764 L
.50234 .44701 L
.50119 .44508 L
.50096 .44478 L
.49984 .44316 L
.49904 .44205 L
.49847 .44123 L
.49711 .43932 L
.4971 .4393 L
.49581 .43737 L
.49518 .4365 L
.49448 .43545 L
.49326 .43369 L
.49315 .43352 L
.49192 .43159 L
.49133 .43074 L
.49069 .42967 L
F
1 .5 0 r
.49133 .47963 m
.49148 .47977 L
.49326 .4815 L
.49343 .48169 L
.49506 .48362 L
.49518 .48377 L
.49654 .48555 L
.49711 .48629 L
.49795 .48747 L
.49904 .48907 L
.49925 .4894 L
.50018 .49133 L
.49904 .49149 L
.49888 .49133 L
.49711 .48951 L
.49707 .4894 L
.49556 .48747 L
.49518 .48701 L
.49415 .48555 L
.49326 .48435 L
.49278 .48362 L
.49152 .48169 L
.49133 .48139 L
.49073 .47977 L
F
1 .8 0 r
.49133 .50428 m
.49233 .50482 L
.49326 .50553 L
.49439 .50674 L
.49518 .5076 L
.49603 .50867 L
.49711 .50959 L
.49757 .5106 L
.49904 .5125 L
.49906 .51253 L
.5004 .51445 L
.50096 .51521 L
.50175 .51638 L
.50289 .518 L
.50309 .51831 L
.50427 .52023 L
.50482 .52114 L
.50529 .52216 L
.50482 .52332 L
.50341 .52216 L
.50289 .5217 L
.5015 .52023 L
.50096 .51966 L
.49981 .51831 L
.49904 .51765 L
.49822 .51638 L
.49711 .51501 L
.49658 .51445 L
.49528 .51253 L
.49518 .51239 L
.4939 .5106 L
.49326 .50965 L
.4926 .50867 L
.49146 .50674 L
.49133 .50648 L
.49075 .50482 L
F
0 .67 1 r
.49133 .42819 m
.49258 .42967 L
.49326 .43038 L
.49424 .43159 L
.49518 .43268 L
.49585 .43352 L
.49711 .43485 L
.49743 .43545 L
.49896 .43737 L
.49904 .43746 L
.50046 .4393 L
.50096 .43992 L
.50196 .44123 L
.50289 .44214 L
.50346 .44316 L
.50482 .44488 L
.50502 .44508 L
.50641 .44701 L
.50674 .44743 L
.50786 .44894 L
.50867 .44973 L
.50933 .45086 L
.5106 .4525 L
.51086 .45279 L
.51222 .45472 L
.51253 .4551 L
.51365 .45664 L
.51445 .45745 L
.51579 .45857 L
.51638 .46024 L
.5166 .4605 L
.51796 .46242 L
.51831 .46288 L
.51937 .46435 L
.52023 .46527 L
.52131 .46628 L
.52216 .46809 L
.52226 .46821 L
.52362 .47013 L
.52409 .47074 L
.52503 .47206 L
.52601 .47318 L
.52681 .47399 L
.52787 .47591 L
.52794 .47601 L
.52923 .47784 L
.52987 .47868 L
.53063 .47977 L
.53179 .4812 L
.53224 .48169 L
.53342 .48362 L
.53372 .48402 L
.53478 .48555 L
.53565 .48671 L
.53617 .48747 L
.53758 .48939 L
.53758 .4894 L
.53889 .49133 L
.5395 .49215 L
.54024 .49326 L
.54143 .49489 L
.54162 .49518 L
.54293 .49711 L
.54336 .49769 L
.54422 .49904 L
.54528 .50054 L
.54555 .50096 L
.54679 .50289 L
.54721 .5035 L
.54793 .50482 L
.54721 .5057 L
.54644 .50482 L
.54528 .50355 L
.54473 .50289 L
.54336 .50145 L
.5431 .50096 L
.54154 .49904 L
.54143 .49891 L
.54 .49711 L
.5395 .49652 L
.53845 .49518 L
.53758 .49438 L
.53692 .49326 L
.53565 .49165 L
.53532 .49133 L
.53394 .4894 L
.53372 .48913 L
.53246 .48747 L
.53179 .48687 L
.53097 .48555 L
.52987 .48413 L
.5294 .48362 L
.52805 .48169 L
.52794 .48155 L
.52661 .47977 L
.52601 .47921 L
.52515 .47784 L
.52409 .47646 L
.52362 .47591 L
.52227 .47399 L
.52216 .47384 L
.52085 .47206 L
.52023 .47146 L
.51872 .47013 L
.51831 .46868 L
.51793 .46821 L
.51657 .46628 L
.51638 .46603 L
.51516 .46435 L
.51445 .46361 L
.51323 .46242 L
.51253 .4608 L
.5123 .4605 L
.51093 .45857 L
.5106 .45812 L
.50954 .45664 L
.50867 .45567 L
.50777 .45472 L
.50674 .45281 L
.50673 .45279 L
.50536 .45086 L
.50482 .45012 L
.50398 .44894 L
.50289 .44758 L
.5024 .44701 L
.50123 .44508 L
.50096 .44472 L
.49988 .44316 L
.49904 .44198 L
.49852 .44123 L
.49715 .4393 L
.49711 .43924 L
.49587 .43737 L
.49518 .43642 L
.49454 .43545 L
.49326 .43359 L
.49321 .43352 L
.49201 .43159 L
.49133 .43059 L
.49079 .42967 L
F
1 .55 0 r
.49133 .43657 m
.49192 .43737 L
.49326 .43889 L
.49356 .4393 L
.49326 .44106 L
.49215 .4393 L
.49133 .43819 L
.49084 .43737 L
F
1 .51 0 r
.49133 .5384 m
.49213 .5395 L
.49326 .54087 L
.49366 .54143 L
.49326 .5429 L
.4923 .54143 L
.49133 .5402 L
.49089 .5395 L
F
0 .66 1 r
.49133 .42837 m
.49245 .42967 L
.49326 .4305 L
.49414 .43159 L
.49518 .43278 L
.49577 .43352 L
.49711 .43496 L
.49736 .43545 L
.4989 .43737 L
.49904 .43754 L
.5004 .4393 L
.50096 .43999 L
.50191 .44123 L
.50289 .44221 L
.50342 .44316 L
.50482 .44494 L
.50496 .44508 L
.50636 .44701 L
.50674 .44749 L
.50782 .44894 L
.50867 .44977 L
.50929 .45086 L
.5106 .45255 L
.51082 .45279 L
.51219 .45472 L
.51253 .45515 L
.51362 .45664 L
.51445 .45749 L
.51575 .45857 L
.51638 .46029 L
.51656 .4605 L
.51792 .46242 L
.51831 .46292 L
.51934 .46435 L
.52023 .46531 L
.52127 .46628 L
.52216 .46813 L
.52222 .46821 L
.52359 .47013 L
.52409 .47078 L
.525 .47206 L
.52601 .47322 L
.52676 .47399 L
.52783 .47591 L
.52794 .47605 L
.5292 .47784 L
.52987 .47872 L
.5306 .47977 L
.53179 .48126 L
.53219 .48169 L
.53339 .48362 L
.53372 .48406 L
.53475 .48555 L
.53565 .48676 L
.53614 .48747 L
.53754 .4894 L
.53758 .48945 L
.53885 .49133 L
.5395 .49221 L
.5402 .49326 L
.54143 .49496 L
.54158 .49518 L
.54287 .49711 L
.54336 .49778 L
.54415 .49904 L
.54528 .50064 L
.54548 .50096 L
.54668 .50289 L
.54721 .50368 L
.54779 .50482 L
.54721 .50552 L
.54659 .50482 L
.54528 .50342 L
.54484 .50289 L
.54336 .50129 L
.54319 .50096 L
.54162 .49904 L
.54143 .49882 L
.54006 .49711 L
.5395 .49644 L
.53851 .49518 L
.53758 .4943 L
.53698 .49326 L
.53565 .49158 L
.53539 .49133 L
.53399 .4894 L
.53372 .48907 L
.5325 .48747 L
.53179 .48682 L
.53102 .48555 L
.52987 .48407 L
.52945 .48362 L
.52809 .48169 L
.52794 .4815 L
.52664 .47977 L
.52601 .47917 L
.52519 .47784 L
.52409 .47641 L
.52366 .47591 L
.52231 .47399 L
.52216 .47379 L
.52088 .47206 L
.52023 .47142 L
.51876 .47013 L
.51831 .46863 L
.51797 .46821 L
.51661 .46628 L
.51638 .46598 L
.51519 .46435 L
.51445 .46357 L
.51327 .46242 L
.51253 .46075 L
.51233 .4605 L
.51097 .45857 L
.5106 .45808 L
.50957 .45664 L
.50867 .45562 L
.50782 .45472 L
.50677 .45279 L
.50674 .45276 L
.5054 .45086 L
.50482 .45007 L
.50402 .44894 L
.50289 .44751 L
.50246 .44701 L
.50128 .44508 L
.50096 .44466 L
.49993 .44316 L
.49904 .44192 L
.49856 .44123 L
.49721 .4393 L
.49711 .43916 L
.49592 .43737 L
.49518 .43633 L
.49461 .43545 L
.49328 .43352 L
.49326 .43348 L
.49211 .43159 L
.49133 .43043 L
.4909 .42967 L
F
0 .78 1 r
.49133 .53004 m
.49277 .53179 L
.49326 .53234 L
.49436 .53372 L
.49518 .5347 L
.49593 .53565 L
.49711 .53681 L
.49748 .53758 L
.49899 .5395 L
.49904 .53956 L
.50047 .54143 L
.50096 .54204 L
.50197 .54336 L
.50289 .5442 L
.50346 .54528 L
.50482 .54704 L
.50498 .54721 L
.50638 .54914 L
.50674 .54961 L
.50784 .55106 L
.50867 .55185 L
.5093 .55299 L
.5106 .55471 L
.51078 .55492 L
.51216 .55684 L
.51253 .55733 L
.51359 .55877 L
.51445 .55965 L
.51502 .5607 L
.51638 .56253 L
.51645 .56263 L
.51783 .56455 L
.51831 .56519 L
.51924 .56648 L
.52023 .5676 L
.52112 .56841 L
.52204 .57033 L
.52216 .57049 L
.52341 .57226 L
.52409 .57319 L
.5248 .57419 L
.52601 .57577 L
.52635 .57611 L
.52752 .57804 L
.52794 .57862 L
.52886 .57997 L
.52987 .58138 L
.53022 .58189 L
.53153 .58382 L
.53179 .58419 L
.5328 .58575 L
.53372 .58708 L
.5341 .58768 L
.5353 .5896 L
.53565 .59012 L
.53633 .59153 L
.53565 .59176 L
.53546 .59153 L
.53372 .58964 L
.53369 .5896 L
.53212 .58768 L
.53179 .58732 L
.53057 .58575 L
.52987 .58493 L
.52902 .58382 L
.52794 .58251 L
.52748 .58189 L
.52601 .58009 L
.52595 .57997 L
.52449 .57804 L
.52409 .57755 L
.52303 .57611 L
.52216 .57502 L
.52155 .57419 L
.52023 .57258 L
.51985 .57226 L
.51863 .57033 L
.51831 .56993 L
.5172 .56841 L
.51638 .56735 L
.51575 .56648 L
.51445 .56486 L
.51413 .56455 L
.51288 .56263 L
.51253 .56217 L
.51148 .5607 L
.5106 .55955 L
.51005 .55877 L
.50867 .55698 L
.50854 .55684 L
.50723 .55492 L
.50674 .55429 L
.50584 .55299 L
.50482 .55164 L
.50441 .55106 L
.503 .54914 L
.50289 .549 L
.50166 .54721 L
.50096 .5463 L
.50027 .54528 L
.49904 .54362 L
.49886 .54336 L
.49752 .54143 L
.49711 .54089 L
.49619 .5395 L
.49518 .53814 L
.49481 .53758 L
.49346 .53565 L
.49326 .53537 L
.49221 .53372 L
.49133 .5325 L
.4909 .53179 L
F
1 .85 0 r
.49133 .42014 m
.49306 .42196 L
.49326 .42215 L
.49477 .42389 L
.49518 .42433 L
.49642 .42581 L
.49711 .42616 L
.49804 .42774 L
.49904 .42888 L
.50016 .42967 L
.50096 .43135 L
.50119 .43159 L
.50269 .43352 L
.50289 .43362 L
.5042 .43545 L
.50482 .43617 L
.50614 .43737 L
.50674 .43873 L
.5072 .4393 L
.50867 .44122 L
.50867 .44123 L
.51015 .44316 L
.5106 .4437 L
.51192 .44508 L
.51253 .44631 L
.51305 .44701 L
.51445 .44886 L
.51446 .44894 L
.51597 .45086 L
.51638 .45137 L
.51765 .45279 L
.51831 .454 L
.5188 .45472 L
.52023 .45658 L
.5203 .45664 L
.52172 .45857 L
.52216 .45911 L
.52334 .4605 L
.52409 .46177 L
.52451 .46242 L
.52601 .46435 L
.52602 .46435 L
.52743 .46628 L
.52794 .46691 L
.529 .46821 L
.52987 .46958 L
.5302 .47013 L
.5317 .47206 L
.53179 .47213 L
.53311 .47399 L
.53372 .47475 L
.53465 .47591 L
.53565 .47743 L
.53587 .47784 L
.53736 .47977 L
.53758 .47994 L
.53931 .48169 L
.5395 .48262 L
.54027 .48362 L
.54143 .48531 L
.54154 .48555 L
.543 .48747 L
.54336 .48779 L
.54488 .4894 L
.54528 .49052 L
.54588 .49133 L
.54721 .49322 L
.54722 .49326 L
.54862 .49518 L
.54914 .49567 L
.55043 .49711 L
.55106 .49846 L
.55148 .49904 L
.55284 .50096 L
.55299 .50117 L
.55422 .50289 L
.55492 .5036 L
.55595 .50482 L
.55684 .50644 L
.55705 .50674 L
.55841 .50867 L
.55877 .50916 L
.55979 .5106 L
.5607 .51162 L
.56143 .51253 L
.56259 .51445 L
.56263 .5145 L
.56394 .51638 L
.56455 .51721 L
.56532 .51831 L
.56648 .51978 L
.56683 .52023 L
.56806 .52216 L
.56841 .52262 L
.5694 .52409 L
.57033 .52537 L
.57077 .52601 L
.57213 .52794 L
.57226 .52812 L
.57342 .52987 L
.57419 .53095 L
.57474 .53179 L
.57607 .53372 L
.57611 .53378 L
.57726 .53565 L
.57804 .53682 L
.57847 .53758 L
.57804 .53944 L
.57627 .53758 L
.57611 .53742 L
.57456 .53565 L
.57419 .53524 L
.5729 .53372 L
.57226 .53333 L
.57128 .53179 L
.57033 .53068 L
.56926 .52987 L
.56841 .52823 L
.56815 .52794 L
.56663 .52601 L
.56648 .52592 L
.5651 .52409 L
.56455 .5234 L
.56329 .52216 L
.56263 .52086 L
.56216 .52023 L
.5607 .51837 L
.56069 .51831 L
.55915 .51638 L
.55877 .51589 L
.55749 .51445 L
.55684 .51329 L
.55632 .51253 L
.55492 .51074 L
.55476 .5106 L
.55332 .50867 L
.55299 .50824 L
.55175 .50674 L
.55106 .50561 L
.55057 .50482 L
.54914 .50303 L
.54899 .50289 L
.54756 .50096 L
.54721 .50051 L
.54604 .49904 L
.54528 .49785 L
.54486 .49711 L
.54336 .49527 L
.54326 .49518 L
.54184 .49326 L
.54143 .49272 L
.54037 .49133 L
.5395 .49005 L
.53918 .4894 L
.53758 .48748 L
.53757 .48747 L
.53577 .48555 L
.53565 .48488 L
.53471 .48362 L
.53372 .4822 L
.5335 .48169 L
.53191 .47977 L
.53179 .47966 L
.53015 .47784 L
.52987 .47702 L
.52908 .47591 L
.52794 .47433 L
.52783 .47399 L
.52627 .47206 L
.52601 .47181 L
.52455 .47013 L
.52409 .46912 L
.52346 .46821 L
.52216 .46643 L
.52213 .46628 L
.52065 .46435 L
.52023 .46393 L
.51897 .46242 L
.51831 .46118 L
.51785 .4605 L
.51644 .45857 L
.51638 .45849 L
.51505 .45664 L
.51445 .45599 L
.51342 .45472 L
.51253 .4532 L
.51227 .45279 L
.51087 .45086 L
.5106 .45049 L
.50949 .44894 L
.50867 .44798 L
.50792 .44701 L
.50674 .44514 L
.50671 .44508 L
.50535 .44316 L
.50482 .44242 L
.50398 .44123 L
.50289 .43983 L
.5025 .4393 L
.50125 .43737 L
.50096 .43698 L
.49991 .43545 L
.49904 .43422 L
.49803 .43352 L
.49721 .43159 L
.49711 .43145 L
.49593 .42967 L
.49518 .4286 L
.49463 .42774 L
.49332 .42581 L
.49326 .42572 L
.49215 .42389 L
.49133 .42263 L
.49096 .42196 L
F
1 .54 0 r
.49133 .43677 m
.49178 .43737 L
.49326 .43902 L
.49346 .4393 L
.49326 .44091 L
.49228 .4393 L
.49133 .43799 L
.49098 .43737 L
F
1 .79 0 r
.49133 .50452 m
.49208 .50482 L
.49326 .50566 L
.4943 .50674 L
.49518 .50769 L
.49597 .50867 L
.49711 .5097 L
.49751 .5106 L
.49899 .51253 L
.49904 .51259 L
.50034 .51445 L
.50096 .5153 L
.50168 .51638 L
.50289 .5181 L
.50302 .51831 L
.50416 .52023 L
.50482 .52138 L
.50514 .52216 L
.50482 .52304 L
.50362 .52216 L
.50289 .52155 L
.50163 .52023 L
.50096 .51953 L
.49991 .51831 L
.49904 .51755 L
.49831 .51638 L
.49711 .5149 L
.49668 .51445 L
.49536 .51253 L
.49518 .51228 L
.49398 .5106 L
.49326 .50952 L
.49268 .50867 L
.49158 .50674 L
.49133 .50619 L
.49099 .50482 L
F
1 .5 0 r
.49133 .53856 m
.49201 .5395 L
.49326 .54101 L
.49356 .54143 L
.49326 .54276 L
.49241 .54143 L
.49133 .54005 L
.49099 .5395 L
F
0 .65 1 r
.49133 .42859 m
.49229 .42967 L
.49326 .43064 L
.49404 .43159 L
.49518 .43288 L
.49569 .43352 L
.49711 .43508 L
.4973 .43545 L
.49883 .43737 L
.49904 .43761 L
.50034 .4393 L
.50096 .44005 L
.50186 .44123 L
.50289 .44228 L
.50337 .44316 L
.50482 .445 L
.5049 .44508 L
.50632 .44701 L
.50674 .44754 L
.50778 .44894 L
.50867 .44983 L
.50926 .45086 L
.5106 .4526 L
.51077 .45279 L
.51215 .45472 L
.51253 .45519 L
.51359 .45664 L
.51445 .45753 L
.5157 .45857 L
.51638 .46033 L
.51652 .4605 L
.51789 .46242 L
.51831 .46296 L
.51931 .46435 L
.52023 .46535 L
.52123 .46628 L
.52216 .46817 L
.52219 .46821 L
.52356 .47013 L
.52409 .47082 L
.52497 .47206 L
.52601 .47327 L
.52672 .47399 L
.5278 .47591 L
.52794 .4761 L
.52917 .47784 L
.52987 .47877 L
.53057 .47977 L
.53179 .48132 L
.53214 .48169 L
.53335 .48362 L
.53372 .48411 L
.53471 .48555 L
.53565 .48681 L
.5361 .48747 L
.53749 .4894 L
.53758 .48951 L
.5388 .49133 L
.5395 .49228 L
.54016 .49326 L
.54143 .49502 L
.54153 .49518 L
.54281 .49711 L
.54336 .49787 L
.54409 .49904 L
.54528 .50075 L
.54542 .50096 L
.54656 .50289 L
.54721 .50389 L
.54763 .50482 L
.54721 .50529 L
.54676 .50482 L
.54528 .50328 L
.54495 .50289 L
.54336 .50111 L
.54328 .50096 L
.5417 .49904 L
.54143 .49873 L
.54014 .49711 L
.5395 .49635 L
.53858 .49518 L
.53758 .49421 L
.53704 .49326 L
.53565 .4915 L
.53547 .49133 L
.53404 .4894 L
.53372 .489 L
.53255 .48747 L
.53179 .48677 L
.53106 .48555 L
.52987 .48402 L
.5295 .48362 L
.52814 .48169 L
.52794 .48144 L
.52668 .47977 L
.52601 .47913 L
.52522 .47784 L
.52409 .47636 L
.52371 .47591 L
.52235 .47399 L
.52216 .47374 L
.52092 .47206 L
.52023 .47137 L
.5188 .47013 L
.51831 .46858 L
.518 .46821 L
.51664 .46628 L
.51638 .46593 L
.51523 .46435 L
.51445 .46353 L
.51332 .46242 L
.51253 .4607 L
.51237 .4605 L
.511 .45857 L
.5106 .45803 L
.5096 .45664 L
.50867 .45557 L
.50787 .45472 L
.5068 .45279 L
.50674 .45271 L
.50544 .45086 L
.50482 .45002 L
.50406 .44894 L
.50289 .44744 L
.50252 .44701 L
.50132 .44508 L
.50096 .4446 L
.49997 .44316 L
.49904 .44185 L
.49861 .44123 L
.49727 .4393 L
.49711 .43908 L
.49599 .43737 L
.49518 .43624 L
.49467 .43545 L
.49337 .43352 L
.49326 .43336 L
.49221 .43159 L
.49133 .43025 L
.49102 .42967 L
F
0 .77 1 r
.49133 .53031 m
.49257 .53179 L
.49326 .53254 L
.49421 .53372 L
.49518 .53487 L
.4958 .53565 L
.49711 .53704 L
.49736 .53758 L
.49887 .5395 L
.49904 .5397 L
.50037 .54143 L
.50096 .54217 L
.50188 .54336 L
.50289 .54434 L
.50337 .54528 L
.50482 .54717 L
.50486 .54721 L
.50629 .54914 L
.50674 .54971 L
.50776 .55106 L
.50867 .55196 L
.50922 .55299 L
.5106 .55482 L
.51068 .55492 L
.51208 .55684 L
.51253 .55743 L
.51351 .55877 L
.51445 .55976 L
.51495 .5607 L
.51636 .56263 L
.51638 .56265 L
.51775 .56455 L
.51831 .56529 L
.51916 .56648 L
.52023 .56773 L
.52098 .56841 L
.52195 .57033 L
.52216 .57061 L
.52332 .57226 L
.52409 .5733 L
.52471 .57419 L
.52601 .57594 L
.52618 .57611 L
.52742 .57804 L
.52794 .57876 L
.52876 .57997 L
.52987 .58153 L
.53012 .58189 L
.53139 .58382 L
.53179 .58438 L
.53265 .58575 L
.53372 .58732 L
.53394 .58768 L
.53372 .58937 L
.53232 .58768 L
.53179 .58712 L
.53072 .58575 L
.52987 .58478 L
.52914 .58382 L
.52794 .58238 L
.52758 .58189 L
.52604 .57997 L
.52601 .57994 L
.52459 .57804 L
.52409 .57743 L
.52311 .57611 L
.52216 .57492 L
.52162 .57419 L
.52023 .57245 L
.52 .57226 L
.5187 .57033 L
.51831 .56983 L
.51727 .56841 L
.51638 .56726 L
.51582 .56648 L
.51445 .56474 L
.51425 .56455 L
.51295 .56263 L
.51253 .56208 L
.51154 .5607 L
.5106 .55947 L
.51011 .55877 L
.50867 .55687 L
.50865 .55684 L
.5073 .55492 L
.50674 .5542 L
.5059 .55299 L
.50482 .55156 L
.50447 .55106 L
.50307 .54914 L
.50289 .5489 L
.50173 .54721 L
.50096 .5462 L
.50034 .54528 L
.49904 .54352 L
.49893 .54336 L
.49761 .54143 L
.49711 .54077 L
.49628 .5395 L
.49518 .53801 L
.4949 .53758 L
.49358 .53565 L
.49326 .5352 L
.49235 .53372 L
.49133 .53229 L
.49104 .53179 L
F
1 .49 0 r
.49133 .53876 m
.49185 .5395 L
.49326 .54116 L
.49345 .54143 L
.49326 .54259 L
.49256 .54143 L
.49133 .53988 L
.49111 .5395 L
F
1 .84 0 r
.49133 .42054 m
.49278 .42196 L
.49326 .4224 L
.49458 .42389 L
.49518 .42452 L
.49628 .42581 L
.49711 .42629 L
.49792 .42774 L
.49904 .42902 L
.50001 .42967 L
.50096 .43146 L
.50109 .43159 L
.5026 .43352 L
.50289 .43367 L
.50413 .43545 L
.50482 .43626 L
.50608 .43737 L
.50674 .43881 L
.50715 .4393 L
.50862 .44123 L
.50867 .44126 L
.51009 .44316 L
.5106 .44377 L
.51188 .44508 L
.51253 .44637 L
.51301 .44701 L
.51445 .4489 L
.51446 .44894 L
.51593 .45086 L
.51638 .45141 L
.51762 .45279 L
.51831 .45405 L
.51877 .45472 L
.52023 .45661 L
.52027 .45664 L
.52169 .45857 L
.52216 .45915 L
.52331 .4605 L
.52409 .4618 L
.52449 .46242 L
.52599 .46435 L
.52601 .46437 L
.52741 .46628 L
.52794 .46694 L
.52898 .46821 L
.52987 .46961 L
.53018 .47013 L
.53168 .47206 L
.53179 .47215 L
.53309 .47399 L
.53372 .47478 L
.53462 .47591 L
.53565 .47746 L
.53586 .47784 L
.53734 .47977 L
.53758 .47996 L
.5393 .48169 L
.5395 .48265 L
.54025 .48362 L
.54143 .48534 L
.54153 .48555 L
.54298 .48747 L
.54336 .48781 L
.54486 .4894 L
.54528 .49055 L
.54586 .49133 L
.54721 .49325 L
.54721 .49326 L
.5486 .49518 L
.54914 .49569 L
.55041 .49711 L
.55106 .49849 L
.55145 .49904 L
.55281 .50096 L
.55299 .5012 L
.55419 .50289 L
.55492 .50364 L
.55592 .50482 L
.55684 .50649 L
.55702 .50674 L
.55838 .50867 L
.55877 .5092 L
.55976 .5106 L
.5607 .51167 L
.56139 .51253 L
.56256 .51445 L
.56263 .51455 L
.5639 .51638 L
.56455 .51726 L
.56528 .51831 L
.56648 .51985 L
.56677 .52023 L
.56801 .52216 L
.56841 .52269 L
.56935 .52409 L
.57033 .52544 L
.57072 .52601 L
.57206 .52794 L
.57226 .52822 L
.57334 .52987 L
.57419 .53106 L
.57465 .53179 L
.57595 .53372 L
.57611 .53395 L
.57712 .53565 L
.57804 .53708 L
.5783 .53758 L
.57804 .5391 L
.57652 .53758 L
.57611 .53719 L
.57473 .53565 L
.57419 .53506 L
.57304 .53372 L
.57226 .53321 L
.5714 .53179 L
.57033 .53055 L
.5694 .52987 L
.56841 .52812 L
.56824 .52794 L
.56671 .52601 L
.56648 .52586 L
.56518 .52409 L
.56455 .52332 L
.56335 .52216 L
.56263 .52078 L
.56221 .52023 L
.5607 .51831 L
.5607 .51831 L
.55921 .51638 L
.55877 .51582 L
.55754 .51445 L
.55684 .51323 L
.55636 .51253 L
.55492 .51069 L
.55481 .5106 L
.55336 .50867 L
.55299 .50819 L
.55178 .50674 L
.55106 .50556 L
.5506 .50482 L
.54914 .50299 L
.54902 .50289 L
.54759 .50096 L
.54721 .50047 L
.54607 .49904 L
.54528 .49781 L
.54488 .49711 L
.54336 .49524 L
.54329 .49518 L
.54187 .49326 L
.54143 .49268 L
.54039 .49133 L
.5395 .49001 L
.53919 .4894 L
.5376 .48747 L
.53758 .48745 L
.53578 .48555 L
.53565 .48485 L
.53474 .48362 L
.53372 .48217 L
.53352 .48169 L
.53193 .47977 L
.53179 .47963 L
.53017 .47784 L
.52987 .47698 L
.5291 .47591 L
.52794 .4743 L
.52784 .47399 L
.52629 .47206 L
.52601 .47178 L
.52457 .47013 L
.52409 .46908 L
.52348 .46821 L
.52216 .4664 L
.52213 .46628 L
.52067 .46435 L
.52023 .4639 L
.51899 .46242 L
.51831 .46115 L
.51788 .4605 L
.51647 .45857 L
.51638 .45845 L
.51508 .45664 L
.51445 .45596 L
.51345 .45472 L
.51253 .45316 L
.5123 .45279 L
.51091 .45086 L
.5106 .45044 L
.50953 .44894 L
.50867 .44793 L
.50796 .44701 L
.50674 .44508 L
.50674 .44508 L
.5054 .44316 L
.50482 .44236 L
.50403 .44123 L
.50289 .43975 L
.50256 .4393 L
.50131 .43737 L
.50096 .4369 L
.49997 .43545 L
.49904 .43413 L
.49815 .43352 L
.49729 .43159 L
.49711 .43134 L
.49602 .42967 L
.49518 .42846 L
.49472 .42774 L
.49345 .42581 L
.49326 .42552 L
.49231 .42389 L
.49133 .42232 L
.49115 .42196 L
F
0 .64 1 r
.49133 .42885 m
.4921 .42967 L
.49326 .43078 L
.49393 .43159 L
.49518 .43298 L
.49561 .43352 L
.49711 .43522 L
.49723 .43545 L
.49876 .43737 L
.49904 .43769 L
.50028 .4393 L
.50096 .44012 L
.50181 .44123 L
.50289 .44235 L
.50333 .44316 L
.50482 .44507 L
.50483 .44508 L
.50628 .44701 L
.50674 .44759 L
.50775 .44894 L
.50867 .44988 L
.50922 .45086 L
.5106 .45265 L
.51073 .45279 L
.51212 .45472 L
.51253 .45524 L
.51355 .45664 L
.51445 .45758 L
.51565 .45857 L
.51638 .46038 L
.51648 .4605 L
.51786 .46242 L
.51831 .463 L
.51928 .46435 L
.52023 .4654 L
.52118 .46628 L
.52215 .46821 L
.52216 .46822 L
.52353 .47013 L
.52409 .47086 L
.52494 .47206 L
.52601 .47332 L
.52667 .47399 L
.52777 .47591 L
.52794 .47614 L
.52914 .47784 L
.52987 .47881 L
.53054 .47977 L
.53179 .48138 L
.53209 .48169 L
.53331 .48362 L
.53372 .48416 L
.53468 .48555 L
.53565 .48686 L
.53607 .48747 L
.53745 .4894 L
.53758 .48957 L
.53876 .49133 L
.5395 .49234 L
.54011 .49326 L
.54143 .49509 L
.54149 .49518 L
.54274 .49711 L
.54336 .49796 L
.54402 .49904 L
.54528 .50086 L
.54534 .50096 L
.54642 .50289 L
.54721 .5042 L
.54739 .50482 L
.54721 .505 L
.54701 .50482 L
.54528 .50313 L
.54507 .50289 L
.54338 .50096 L
.54336 .50094 L
.54179 .49904 L
.54143 .49863 L
.54021 .49711 L
.5395 .49627 L
.53864 .49518 L
.53758 .49413 L
.53709 .49326 L
.53565 .49143 L
.53554 .49133 L
.53409 .4894 L
.53372 .48894 L
.5326 .48747 L
.53179 .48671 L
.5311 .48555 L
.52987 .48396 L
.52955 .48362 L
.52818 .48169 L
.52794 .48139 L
.52672 .47977 L
.52601 .47908 L
.52526 .47784 L
.52409 .47631 L
.52375 .47591 L
.52238 .47399 L
.52216 .4737 L
.52095 .47206 L
.52023 .47133 L
.51884 .47013 L
.51831 .46853 L
.51804 .46821 L
.51667 .46628 L
.51638 .46589 L
.51526 .46435 L
.51445 .46348 L
.51336 .46242 L
.51253 .46065 L
.51241 .4605 L
.51104 .45857 L
.5106 .45798 L
.50964 .45664 L
.50867 .45551 L
.50792 .45472 L
.50684 .45279 L
.50674 .45266 L
.50548 .45086 L
.50482 .44996 L
.50409 .44894 L
.50289 .44736 L
.50258 .44701 L
.50137 .44508 L
.50096 .44453 L
.50002 .44316 L
.49904 .44178 L
.49866 .44123 L
.49733 .4393 L
.49711 .439 L
.49605 .43737 L
.49518 .43614 L
.49473 .43545 L
.49346 .43352 L
.49326 .43322 L
.49232 .43159 L
.49133 .43002 L
.49116 .42967 L
F
1 .53 0 r
.49133 .43704 m
.49157 .43737 L
.49326 .43917 L
.49335 .4393 L
.49326 .44073 L
.49244 .4393 L
.49133 .43771 L
.49116 .43737 L
F
0 .76 1 r
.49133 .53064 m
.49233 .53179 L
.49326 .53277 L
.49404 .53372 L
.49518 .53505 L
.49566 .53565 L
.49711 .5373 L
.49724 .53758 L
.49875 .5395 L
.49904 .53985 L
.50026 .54143 L
.50096 .5423 L
.50178 .54336 L
.50289 .5445 L
.50328 .54528 L
.50475 .54721 L
.50482 .54729 L
.50621 .54914 L
.50674 .54983 L
.50767 .55106 L
.50867 .55209 L
.50914 .55299 L
.51058 .55492 L
.5106 .55494 L
.512 .55684 L
.51253 .55753 L
.51343 .55877 L
.51445 .55989 L
.51487 .5607 L
.51628 .56263 L
.51638 .56275 L
.51767 .56455 L
.51831 .5654 L
.51909 .56648 L
.52023 .56788 L
.52082 .56841 L
.52187 .57033 L
.52216 .57072 L
.52324 .57226 L
.52409 .57342 L
.52462 .57419 L
.526 .57611 L
.52601 .57613 L
.52731 .57804 L
.52794 .57891 L
.52865 .57997 L
.52987 .58169 L
.53 .58189 L
.53124 .58382 L
.53179 .5846 L
.53249 .58575 L
.53372 .58761 L
.53376 .58768 L
.53372 .589 L
.53258 .58768 L
.53179 .5869 L
.53089 .58575 L
.52987 .58461 L
.52927 .58382 L
.52794 .58224 L
.52768 .58189 L
.52615 .57997 L
.52601 .5798 L
.52469 .57804 L
.52409 .57731 L
.5232 .57611 L
.52216 .57482 L
.5217 .57419 L
.52023 .57232 L
.52016 .57226 L
.51878 .57033 L
.51831 .56974 L
.51734 .56841 L
.51638 .56717 L
.51588 .56648 L
.51445 .56463 L
.51437 .56455 L
.51302 .56263 L
.51253 .56199 L
.51161 .5607 L
.5106 .55938 L
.51017 .55877 L
.50873 .55684 L
.50867 .55677 L
.50736 .55492 L
.50674 .55411 L
.50597 .55299 L
.50482 .55147 L
.50454 .55106 L
.50315 .54914 L
.50289 .5488 L
.5018 .54721 L
.50096 .5461 L
.50041 .54528 L
.49904 .54341 L
.499 .54336 L
.4977 .54143 L
.49711 .54064 L
.49637 .5395 L
.49518 .53787 L
.49499 .53758 L
.49372 .53565 L
.49326 .535 L
.4925 .53372 L
.49133 .53202 L
.49121 .53179 L
F
1 .48 0 r
.49133 .53905 m
.49163 .5395 L
.49326 .54134 L
.49332 .54143 L
.49326 .54237 L
.49276 .54143 L
.49133 .53964 L
.49125 .5395 L
F
0 .9 1 r
.49133 .47211 m
.49326 .47286 L
.49426 .47399 L
.49518 .47488 L
.49621 .47591 L
.49711 .47703 L
.49809 .47784 L
.49904 .47936 L
.49938 .47977 L
.50096 .48167 L
.50106 .48169 L
.50256 .48362 L
.50289 .48405 L
.50411 .48555 L
.50482 .48667 L
.50527 .48747 L
.50674 .48929 L
.50685 .4894 L
.50821 .49133 L
.50867 .49201 L
.5096 .49326 L
.5106 .49503 L
.51066 .49518 L
.51147 .49711 L
.5106 .49806 L
.50867 .4974 L
.50833 .49711 L
.50674 .49558 L
.50616 .49518 L
.50482 .49326 L
.50482 .49326 L
.50336 .49133 L
.50289 .49109 L
.50192 .4894 L
.50096 .48832 L
.50018 .48747 L
.49904 .48555 L
.49904 .48554 L
.49769 .48362 L
.49711 .48283 L
.49633 .48169 L
.49518 .48035 L
.49481 .47977 L
.49367 .47784 L
.49326 .47723 L
.49245 .47591 L
.49133 .47401 L
.49132 .47399 L
F
1 .78 0 r
.49133 .50482 m
.49133 .50482 L
.49326 .50578 L
.49419 .50674 L
.49518 .50778 L
.49589 .50867 L
.49711 .50981 L
.49745 .5106 L
.49892 .51253 L
.49904 .51267 L
.50028 .51445 L
.50096 .51539 L
.50162 .51638 L
.50289 .51821 L
.50295 .51831 L
.50405 .52023 L
.50482 .52171 L
.50495 .52216 L
.50482 .52266 L
.5039 .52216 L
.50289 .52138 L
.50176 .52023 L
.50096 .5194 L
.50001 .51831 L
.49904 .51744 L
.49839 .51638 L
.49711 .51478 L
.49678 .51445 L
.49544 .51253 L
.49518 .51217 L
.49406 .5106 L
.49326 .5094 L
.49277 .50867 L
.4917 .50674 L
.49133 .50482 L
.49133 .50482 L
F
0 .89 1 r
.49326 .4731 m
.49402 .47399 L
.49518 .47505 L
.49605 .47591 L
.49711 .47717 L
.49798 .47784 L
.49904 .47946 L
.49931 .47977 L
.50096 .48169 L
.50097 .48169 L
.50248 .48362 L
.50289 .48415 L
.50405 .48555 L
.50482 .48677 L
.50521 .48747 L
.50674 .48937 L
.50677 .4894 L
.50813 .49133 L
.50867 .49214 L
.50952 .49326 L
.51057 .49518 L
.5106 .49524 L
.51125 .49711 L
.5106 .49783 L
.50867 .49725 L
.5085 .49711 L
.50674 .49548 L
.5063 .49518 L
.50489 .49326 L
.50482 .49317 L
.50341 .49133 L
.50289 .49105 L
.50196 .4894 L
.50096 .48825 L
.50024 .48747 L
.4991 .48555 L
.49904 .48547 L
.49774 .48362 L
.49711 .48276 L
.49638 .48169 L
.49518 .48021 L
.4949 .47977 L
.49375 .47784 L
.49326 .47709 L
.49256 .47591 L
.49152 .47399 L
F
1 .49 0 r
.49326 .48158 m
.49336 .48169 L
.49499 .48362 L
.49518 .48384 L
.49648 .48555 L
.49711 .48636 L
.49789 .48747 L
.49904 .48916 L
.49919 .4894 L
.50005 .49133 L
.49904 .4914 L
.49897 .49133 L
.49713 .4894 L
.49711 .48938 L
.49562 .48747 L
.49518 .48695 L
.4942 .48555 L
.49326 .48428 L
.49283 .48362 L
.4916 .48169 L
F
1 .48 0 r
.49326 .48167 m
.49328 .48169 L
.49492 .48362 L
.49518 .48392 L
.49642 .48555 L
.49711 .48644 L
.49783 .48747 L
.49904 .48926 L
.49912 .4894 L
.49904 .49129 L
.4972 .4894 L
.49711 .4893 L
.49568 .48747 L
.49518 .48687 L
.49425 .48555 L
.49326 .48421 L
.49288 .48362 L
.4917 .48169 L
F
0 .88 1 r
.49326 .4734 m
.49376 .47399 L
.49518 .47521 L
.49589 .47591 L
.49711 .4773 L
.49786 .47784 L
.49904 .47955 L
.49924 .47977 L
.50088 .48169 L
.50096 .48177 L
.5024 .48362 L
.50289 .48425 L
.50398 .48555 L
.50482 .48686 L
.50516 .48747 L
.50669 .4894 L
.50674 .48947 L
.50806 .49133 L
.50867 .49226 L
.50943 .49326 L
.51044 .49518 L
.5106 .49554 L
.51101 .49711 L
.5106 .49757 L
.50868 .49711 L
.50867 .49711 L
.50674 .49537 L
.50645 .49518 L
.50496 .49326 L
.50482 .49309 L
.50347 .49133 L
.50289 .49101 L
.50201 .4894 L
.50096 .48818 L
.50031 .48747 L
.49915 .48555 L
.49904 .4854 L
.4978 .48362 L
.49711 .48268 L
.49643 .48169 L
.49518 .48006 L
.495 .47977 L
.49384 .47784 L
.49326 .47694 L
.49267 .47591 L
.49176 .47399 L
F
0 .97 1 r
.49326 .50041 m
.49518 .50032 L
.49704 .50096 L
.49711 .50101 L
.49884 .50289 L
.49904 .50312 L
.50085 .50482 L
.50096 .50601 L
.50187 .50674 L
.50289 .5085 L
.5031 .50867 L
.5046 .5106 L
.50482 .5108 L
.50648 .51253 L
.50674 .51344 L
.50751 .51445 L
.50867 .51613 L
.50877 .51638 L
.51024 .51831 L
.5106 .51879 L
.51206 .52023 L
.51253 .52121 L
.5131 .52216 L
.51445 .52409 L
.51445 .52409 L
.51581 .52601 L
.51638 .52682 L
.51753 .52794 L
.51831 .52961 L
.51851 .52987 L
.51947 .53179 L
.51831 .53285 L
.51638 .53255 L
.51513 .53179 L
.51445 .53128 L
.51306 .52987 L
.51253 .52919 L
.51174 .52794 L
.5106 .52676 L
.51002 .52601 L
.50867 .5242 L
.50859 .52409 L
.50714 .52216 L
.50674 .52147 L
.50598 .52023 L
.50482 .51863 L
.50427 .51831 L
.50289 .5164 L
.50288 .51638 L
.50148 .51445 L
.50096 .51372 L
.50036 .51253 L
.49904 .51103 L
.49863 .5106 L
.49716 .50867 L
.49711 .50865 L
.49589 .50674 L
.49518 .50633 L
.49481 .50482 L
.49326 .50302 L
.49316 .50289 L
.49182 .50096 L
F
1 .77 0 r
.49326 .50591 m
.49409 .50674 L
.49518 .50788 L
.49582 .50867 L
.49711 .50994 L
.49739 .5106 L
.49886 .51253 L
.49904 .51276 L
.50021 .51445 L
.50096 .51548 L
.50155 .51638 L
.50288 .51831 L
.50289 .51833 L
.50392 .52023 L
.50289 .52121 L
.5019 .52023 L
.50096 .51927 L
.50011 .51831 L
.49904 .51732 L
.49848 .51638 L
.49711 .51467 L
.4969 .51445 L
.49553 .51253 L
.49518 .51206 L
.49415 .5106 L
.49326 .50926 L
.49287 .50867 L
.49183 .50674 L
F
1 .76 0 r
.49326 .50605 m
.49397 .50674 L
.49518 .50798 L
.49575 .50867 L
.49711 .51007 L
.49733 .5106 L
.49879 .51253 L
.49904 .51285 L
.50014 .51445 L
.50096 .51558 L
.50149 .51638 L
.50278 .51831 L
.50289 .51848 L
.50378 .52023 L
.50289 .52103 L
.50206 .52023 L
.50096 .51914 L
.50022 .51831 L
.49904 .51718 L
.49858 .51638 L
.49711 .51454 L
.49702 .51445 L
.49561 .51253 L
.49518 .51194 L
.49423 .5106 L
.49326 .50912 L
.49296 .50867 L
.49198 .50674 L
F
0 .87 1 r
.49326 .47378 m
.49344 .47399 L
.49518 .47539 L
.49572 .47591 L
.49711 .47743 L
.49772 .47784 L
.49904 .47963 L
.49917 .47977 L
.50079 .48169 L
.50096 .48184 L
.50232 .48362 L
.50289 .48434 L
.50392 .48555 L
.50482 .48695 L
.50511 .48747 L
.50662 .4894 L
.50674 .48958 L
.50797 .49133 L
.50867 .49239 L
.50934 .49326 L
.51032 .49518 L
.5106 .49593 L
.51074 .49711 L
.5106 .49727 L
.50897 .49711 L
.50867 .49695 L
.50674 .49527 L
.50661 .49518 L
.50503 .49326 L
.50482 .49301 L
.50353 .49133 L
.50289 .49096 L
.50206 .4894 L
.50096 .48811 L
.50038 .48747 L
.4992 .48555 L
.49904 .48533 L
.49785 .48362 L
.49711 .48261 L
.49649 .48169 L
.49518 .4799 L
.4951 .47977 L
.49393 .47784 L
.49326 .47677 L
.49279 .47591 L
.4921 .47399 L
F
0 .96 1 r
.49326 .50057 m
.49518 .50046 L
.49676 .50096 L
.49711 .50116 L
.49875 .50289 L
.49904 .50321 L
.50083 .50482 L
.50096 .50607 L
.50183 .50674 L
.50289 .50852 L
.50308 .50867 L
.50458 .5106 L
.50482 .51083 L
.50646 .51253 L
.50674 .51348 L
.50748 .51445 L
.50867 .51617 L
.50876 .51638 L
.51021 .51831 L
.5106 .51883 L
.51203 .52023 L
.51253 .52127 L
.51307 .52216 L
.51441 .52409 L
.51445 .52415 L
.51575 .52601 L
.51638 .52692 L
.51745 .52794 L
.51831 .52978 L
.51838 .52987 L
.51914 .53179 L
.51831 .53252 L
.51638 .53222 L
.51559 .53179 L
.51445 .53101 L
.51322 .52987 L
.51253 .529 L
.51185 .52794 L
.5106 .52662 L
.51012 .52601 L
.50867 .5241 L
.50866 .52409 L
.5072 .52216 L
.50674 .52138 L
.50603 .52023 L
.50482 .51859 L
.50432 .51831 L
.50292 .51638 L
.50289 .51634 L
.50152 .51445 L
.50096 .51366 L
.5004 .51253 L
.49904 .51098 L
.49867 .5106 L
.49717 .50867 L
.49711 .50864 L
.49594 .50674 L
.49518 .50625 L
.49485 .50482 L
.49327 .50289 L
.49326 .50286 L
.49212 .50096 L
F
1 .75 0 r
.49326 .5062 m
.49384 .50674 L
.49518 .50808 L
.49567 .50867 L
.49711 .51022 L
.49727 .5106 L
.49871 .51253 L
.49904 .51294 L
.50007 .51445 L
.50096 .51568 L
.50141 .51638 L
.50267 .51831 L
.50289 .51866 L
.50361 .52023 L
.50289 .52082 L
.50224 .52023 L
.50096 .519 L
.50034 .51831 L
.49904 .51703 L
.49867 .51638 L
.49714 .51445 L
.49711 .51442 L
.4957 .51253 L
.49518 .51183 L
.49432 .5106 L
.49326 .50897 L
.49307 .50867 L
.49214 .50674 L
F
1 .74 0 r
.49326 .50636 m
.49369 .50674 L
.49518 .50818 L
.49558 .50867 L
.49711 .51037 L
.4972 .5106 L
.49864 .51253 L
.49904 .51304 L
.5 .51445 L
.50096 .51579 L
.50134 .51638 L
.50255 .51831 L
.50289 .51887 L
.50339 .52023 L
.50289 .52059 L
.50246 .52023 L
.50096 .51886 L
.50046 .51831 L
.49904 .51686 L
.49877 .51638 L
.49723 .51445 L
.49711 .5143 L
.49578 .51253 L
.49518 .5117 L
.49441 .5106 L
.49326 .50881 L
.49317 .50867 L
.49232 .50674 L
F
0 .63 1 r
.49326 .43093 m
.49381 .43159 L
.49518 .43309 L
.49553 .43352 L
.49711 .43535 L
.49716 .43545 L
.49869 .43737 L
.49904 .43777 L
.50022 .4393 L
.50096 .44019 L
.50175 .44123 L
.50289 .44243 L
.50328 .44316 L
.50478 .44508 L
.50482 .44513 L
.50623 .44701 L
.50674 .44765 L
.50771 .44894 L
.50867 .44994 L
.50919 .45086 L
.5106 .4527 L
.51068 .45279 L
.51208 .45472 L
.51253 .45528 L
.51352 .45664 L
.51445 .45763 L
.51559 .45857 L
.51638 .46043 L
.51644 .4605 L
.51783 .46242 L
.51831 .46304 L
.51925 .46435 L
.52023 .46544 L
.52113 .46628 L
.52212 .46821 L
.52216 .46826 L
.5235 .47013 L
.52409 .4709 L
.52491 .47206 L
.52601 .47337 L
.52662 .47399 L
.52774 .47591 L
.52794 .47618 L
.52911 .47784 L
.52987 .47885 L
.53051 .47977 L
.53179 .48144 L
.53203 .48169 L
.53328 .48362 L
.53372 .48421 L
.53464 .48555 L
.53565 .48692 L
.53603 .48747 L
.5374 .4894 L
.53758 .48963 L
.53871 .49133 L
.5395 .49241 L
.54006 .49326 L
.54143 .49517 L
.54144 .49518 L
.54267 .49711 L
.54336 .49806 L
.54395 .49904 L
.54336 .50081 L
.54188 .49904 L
.54143 .49853 L
.54028 .49711 L
.5395 .49619 L
.53871 .49518 L
.53758 .49403 L
.53715 .49326 L
.53565 .49135 L
.53562 .49133 L
.53414 .4894 L
.53372 .48888 L
.53264 .48747 L
.53179 .48665 L
.53115 .48555 L
.52987 .4839 L
.52961 .48362 L
.52822 .48169 L
.52794 .48134 L
.52676 .47977 L
.52601 .47903 L
.5253 .47784 L
.52409 .47626 L
.52379 .47591 L
.52242 .47399 L
.52216 .47365 L
.52099 .47206 L
.52023 .47129 L
.51888 .47013 L
.51831 .46849 L
.51808 .46821 L
.51671 .46628 L
.51638 .46584 L
.51529 .46435 L
.51445 .46343 L
.5134 .46242 L
.51253 .4606 L
.51245 .4605 L
.51107 .45857 L
.5106 .45793 L
.50967 .45664 L
.50867 .45545 L
.50797 .45472 L
.50688 .45279 L
.50674 .45261 L
.50552 .45086 L
.50482 .44991 L
.50413 .44894 L
.50289 .44729 L
.50265 .44701 L
.50141 .44508 L
.50096 .44447 L
.50007 .44316 L
.49904 .44171 L
.49871 .44123 L
.49739 .4393 L
.49711 .43891 L
.49611 .43737 L
.49518 .43604 L
.4948 .43545 L
.49357 .43352 L
.49326 .43307 L
.49245 .43159 L
F
1 .83 0 r
.49326 .42267 m
.49437 .42389 L
.49518 .42472 L
.49612 .42581 L
.49711 .42645 L
.49779 .42774 L
.49904 .42916 L
.49982 .42967 L
.50096 .43157 L
.50098 .43159 L
.50252 .43352 L
.50289 .43372 L
.50405 .43545 L
.50482 .43635 L
.50601 .43737 L
.50674 .43889 L
.50709 .4393 L
.50856 .44123 L
.50867 .44129 L
.51004 .44316 L
.5106 .44383 L
.51184 .44508 L
.51253 .44642 L
.51297 .44701 L
.51444 .44894 L
.51445 .44894 L
.51589 .45086 L
.51638 .45146 L
.51758 .45279 L
.51831 .45409 L
.51875 .45472 L
.52023 .45664 L
.52023 .45664 L
.52166 .45857 L
.52216 .45919 L
.52329 .4605 L
.52409 .46184 L
.52447 .46242 L
.52596 .46435 L
.52601 .46439 L
.52738 .46628 L
.52794 .46698 L
.52896 .46821 L
.52987 .46965 L
.53016 .47013 L
.53165 .47206 L
.53179 .47217 L
.53307 .47399 L
.53372 .47481 L
.5346 .47591 L
.53565 .47749 L
.53584 .47784 L
.53732 .47977 L
.53758 .47998 L
.53929 .48169 L
.5395 .48268 L
.54023 .48362 L
.54143 .48537 L
.54152 .48555 L
.54296 .48747 L
.54336 .48783 L
.54485 .4894 L
.54528 .49058 L
.54584 .49133 L
.54719 .49326 L
.54721 .49328 L
.54857 .49518 L
.54914 .49572 L
.55039 .49711 L
.55106 .49853 L
.55143 .49904 L
.55279 .50096 L
.55299 .50124 L
.55417 .50289 L
.55492 .50368 L
.55589 .50482 L
.55684 .50653 L
.55699 .50674 L
.55835 .50867 L
.55877 .50924 L
.55973 .5106 L
.5607 .51173 L
.56135 .51253 L
.56252 .51445 L
.56263 .5146 L
.56386 .51638 L
.56455 .51732 L
.56524 .51831 L
.56648 .51993 L
.56671 .52023 L
.56796 .52216 L
.56841 .52277 L
.5693 .52409 L
.57033 .52552 L
.57066 .52601 L
.57199 .52794 L
.57226 .52832 L
.57326 .52987 L
.57419 .53119 L
.57457 .53179 L
.57583 .53372 L
.57611 .53414 L
.57696 .53565 L
.57804 .53742 L
.57811 .53758 L
.57804 .53864 L
.57682 .53758 L
.57611 .53694 L
.57492 .53565 L
.57419 .53488 L
.57318 .53372 L
.57226 .53306 L
.57152 .53179 L
.57033 .53041 L
.56955 .52987 L
.56841 .52801 L
.56834 .52794 L
.5668 .52601 L
.56648 .5258 L
.56525 .52409 L
.56455 .52323 L
.56341 .52216 L
.56263 .5207 L
.56227 .52023 L
.56075 .51831 L
.5607 .51827 L
.55926 .51638 L
.55877 .51576 L
.55758 .51445 L
.55684 .51317 L
.5564 .51253 L
.55492 .51065 L
.55486 .5106 L
.5534 .50867 L
.55299 .50814 L
.55182 .50674 L
.55106 .50551 L
.55063 .50482 L
.54914 .50296 L
.54906 .50289 L
.54762 .50096 L
.54721 .50042 L
.5461 .49904 L
.54528 .49777 L
.5449 .49711 L
.54336 .49521 L
.54332 .49518 L
.5419 .49326 L
.54143 .49264 L
.54042 .49133 L
.5395 .48998 L
.53921 .4894 L
.53763 .48747 L
.53758 .48743 L
.53579 .48555 L
.53565 .48482 L
.53476 .48362 L
.53372 .48214 L
.53353 .48169 L
.53196 .47977 L
.53179 .47961 L
.53018 .47784 L
.52987 .47695 L
.52912 .47591 L
.52794 .47427 L
.52785 .47399 L
.52632 .47206 L
.52601 .47176 L
.52458 .47013 L
.52409 .46905 L
.5235 .46821 L
.52216 .46637 L
.52214 .46628 L
.5207 .46435 L
.52023 .46387 L
.51901 .46242 L
.51831 .46111 L
.5179 .4605 L
.5165 .45857 L
.51638 .45841 L
.51511 .45664 L
.51445 .45592 L
.51348 .45472 L
.51253 .45311 L
.51232 .45279 L
.51094 .45086 L
.5106 .4504 L
.50956 .44894 L
.50867 .44788 L
.508 .44701 L
.50679 .44508 L
.50674 .44503 L
.50544 .44316 L
.50482 .4423 L
.50407 .44123 L
.50289 .43967 L
.50262 .4393 L
.50136 .43737 L
.50096 .43682 L
.50003 .43545 L
.49904 .43404 L
.49827 .43352 L
.49737 .43159 L
.49711 .43122 L
.49611 .42967 L
.49518 .42832 L
.49482 .42774 L
.4936 .42581 L
.49326 .4253 L
.49249 .42389 L
F
1 .73 0 r
.49326 .50654 m
.49351 .50674 L
.49518 .50829 L
.4955 .50867 L
.49711 .51053 L
.49714 .5106 L
.49856 .51253 L
.49904 .51314 L
.49992 .51445 L
.50096 .5159 L
.50126 .51638 L
.50242 .51831 L
.50289 .51918 L
.50303 .52023 L
.50289 .52029 L
.5028 .52023 L
.50096 .5187 L
.50059 .51831 L
.49904 .51668 L
.49888 .51638 L
.49733 .51445 L
.49711 .51418 L
.49588 .51253 L
.49518 .51158 L
.4945 .5106 L
.49329 .50867 L
.49326 .50862 L
.49256 .50674 L
F
0 .95 1 r
.49326 .50075 m
.49518 .50059 L
.49646 .50096 L
.49711 .5013 L
.49867 .50289 L
.49904 .50329 L
.50081 .50482 L
.50096 .50613 L
.50179 .50674 L
.50289 .50854 L
.50306 .50867 L
.50455 .5106 L
.50482 .51086 L
.50644 .51253 L
.50674 .51351 L
.50746 .51445 L
.50867 .51621 L
.50874 .51638 L
.51018 .51831 L
.5106 .51887 L
.51201 .52023 L
.51253 .52132 L
.51303 .52216 L
.51436 .52409 L
.51445 .52422 L
.51569 .52601 L
.51638 .52701 L
.51736 .52794 L
.51823 .52987 L
.51831 .53 L
.51874 .53179 L
.51831 .53217 L
.51638 .53192 L
.5161 .53179 L
.51445 .53077 L
.51339 .52987 L
.51253 .52882 L
.51196 .52794 L
.5106 .52649 L
.51022 .52601 L
.50873 .52409 L
.50867 .52399 L
.50725 .52216 L
.50674 .5213 L
.50607 .52023 L
.50482 .51854 L
.50436 .51831 L
.50296 .51638 L
.50289 .51628 L
.50155 .51445 L
.50096 .51361 L
.50043 .51253 L
.49904 .51093 L
.49871 .5106 L
.49718 .50867 L
.49711 .50863 L
.49598 .50674 L
.49518 .50616 L
.4949 .50482 L
.49338 .50289 L
.49326 .50263 L
.49256 .50096 L
F
0 .62 1 r
.49326 .43111 m
.49367 .43159 L
.49518 .43321 L
.49543 .43352 L
.49708 .43545 L
.49711 .43548 L
.49862 .43737 L
.49904 .43786 L
.50016 .4393 L
.50096 .44026 L
.5017 .44123 L
.50289 .44251 L
.50323 .44316 L
.50473 .44508 L
.50482 .44519 L
.50619 .44701 L
.50674 .4477 L
.50767 .44894 L
.50867 .44999 L
.50915 .45086 L
.5106 .45275 L
.51063 .45279 L
.51204 .45472 L
.51253 .45533 L
.51349 .45664 L
.51445 .45768 L
.51554 .45857 L
.51638 .46047 L
.5164 .4605 L
.51779 .46242 L
.51831 .46309 L
.51922 .46435 L
.52023 .46549 L
.52108 .46628 L
.52209 .46821 L
.52216 .4683 L
.52347 .47013 L
.52409 .47094 L
.52488 .47206 L
.52601 .47342 L
.52657 .47399 L
.5277 .47591 L
.52794 .47623 L
.52907 .47784 L
.52987 .4789 L
.53048 .47977 L
.53179 .4815 L
.53197 .48169 L
.53324 .48362 L
.53372 .48426 L
.5346 .48555 L
.53565 .48697 L
.53599 .48747 L
.53736 .4894 L
.53758 .48969 L
.53866 .49133 L
.5395 .49247 L
.54002 .49326 L
.54138 .49518 L
.54143 .49525 L
.5426 .49711 L
.54336 .49817 L
.54387 .49904 L
.54336 .50068 L
.54198 .49904 L
.54143 .49843 L
.54036 .49711 L
.5395 .4961 L
.53877 .49518 L
.53758 .49393 L
.53721 .49326 L
.53569 .49133 L
.53565 .49128 L
.5342 .4894 L
.53372 .48881 L
.53269 .48747 L
.53179 .48659 L
.53119 .48555 L
.52987 .48384 L
.52966 .48362 L
.52826 .48169 L
.52794 .48128 L
.5268 .47977 L
.52601 .47898 L
.52534 .47784 L
.52409 .47621 L
.52383 .47591 L
.52246 .47399 L
.52216 .4736 L
.52102 .47206 L
.52023 .47124 L
.51893 .47013 L
.51831 .46844 L
.51812 .46821 L
.51674 .46628 L
.51638 .4658 L
.51533 .46435 L
.51445 .46338 L
.51345 .46242 L
.51253 .46055 L
.51249 .4605 L
.51111 .45857 L
.5106 .45788 L
.50971 .45664 L
.50867 .45539 L
.50803 .45472 L
.50692 .45279 L
.50674 .45255 L
.50556 .45086 L
.50482 .44985 L
.50417 .44894 L
.50289 .44721 L
.50271 .44701 L
.50146 .44508 L
.50096 .4444 L
.50012 .44316 L
.49904 .44164 L
.49876 .44123 L
.49746 .4393 L
.49711 .43882 L
.49618 .43737 L
.49518 .43594 L
.49487 .43545 L
.49368 .43352 L
.49326 .43289 L
.4926 .43159 L
F
0 .95 1 r
.49326 .4145 m
.49491 .41618 L
.49518 .41645 L
.49669 .41811 L
.49711 .41856 L
.49839 .42003 L
.49904 .4207 L
.50003 .42196 L
.50096 .42312 L
.50179 .42389 L
.50289 .42551 L
.50312 .42581 L
.50474 .42774 L
.50482 .42783 L
.50627 .42967 L
.50674 .43031 L
.50785 .43159 L
.50867 .43286 L
.50909 .43352 L
.5106 .43536 L
.51077 .43545 L
.51225 .43737 L
.51253 .43777 L
.51372 .4393 L
.51445 .44041 L
.5149 .44123 L
.51638 .44303 L
.51664 .44316 L
.51826 .44508 L
.51831 .44542 L
.51949 .44701 L
.52023 .4481 L
.52063 .44894 L
.52216 .45075 L
.52241 .45086 L
.52397 .45279 L
.52409 .45316 L
.5252 .45472 L
.52601 .45587 L
.52631 .45664 L
.52794 .4585 L
.52812 .45857 L
.52967 .4605 L
.52987 .46097 L
.53088 .46242 L
.53179 .46368 L
.53196 .46435 L
.53372 .46626 L
.53381 .46628 L
.53534 .46821 L
.53565 .46882 L
.53653 .47013 L
.53758 .47152 L
.5376 .47206 L
.53947 .47399 L
.5395 .47402 L
.541 .47591 L
.54143 .47668 L
.54217 .47784 L
.54336 .47937 L
.54373 .47977 L
.54513 .48169 L
.54528 .48189 L
.54664 .48362 L
.54721 .48456 L
.5478 .48555 L
.54914 .48722 L
.54938 .48747 L
.55078 .4894 L
.55106 .48976 L
.55227 .49133 L
.55299 .49244 L
.55344 .49326 L
.55492 .49508 L
.55502 .49518 L
.5568 .49711 L
.55684 .49764 L
.5579 .49904 L
.55877 .50033 L
.55908 .50096 L
.56065 .50289 L
.5607 .50293 L
.56243 .50482 L
.56263 .50553 L
.56352 .50674 L
.56455 .50823 L
.56473 .50867 L
.56628 .5106 L
.56648 .51076 L
.56805 .51253 L
.56841 .51343 L
.56913 .51445 L
.57033 .51613 L
.57041 .51638 L
.5719 .51831 L
.57226 .51861 L
.57364 .52023 L
.57419 .52135 L
.57474 .52216 L
.57611 .52406 L
.57612 .52409 L
.57752 .52601 L
.57804 .5265 L
.57922 .52794 L
.57997 .52929 L
.58034 .52987 L
.58174 .53179 L
.58189 .53201 L
.58312 .53372 L
.58382 .53444 L
.58477 .53565 L
.58575 .53727 L
.58594 .53758 L
.58732 .5395 L
.58768 .53998 L
.5887 .54143 L
.5896 .54244 L
.59029 .54336 L
.59151 .54528 L
.59153 .5453 L
.59287 .54721 L
.59346 .54801 L
.59425 .54914 L
.59538 .55055 L
.59575 .55106 L
.59701 .55299 L
.59731 .55339 L
.59835 .55492 L
.59924 .55613 L
.60023 .55684 L
.60111 .55877 L
.60116 .55885 L
.6024 .5607 L
.60309 .56166 L
.60372 .56263 L
.60502 .56446 L
.60514 .56455 L
.6063 .56648 L
.60694 .56741 L
.60754 .56841 L
.60879 .57033 L
.60887 .57047 L
.60978 .57226 L
.60887 .57315 L
.60803 .57226 L
.60694 .57114 L
.60623 .57033 L
.60502 .56901 L
.60453 .56841 L
.60309 .56669 L
.60287 .56648 L
.6013 .56455 L
.60116 .56449 L
.5997 .56263 L
.59924 .56207 L
.5975 .5607 L
.59731 .5596 L
.59664 .55877 L
.59538 .55711 L
.59535 .55684 L
.59353 .55492 L
.59346 .55482 L
.59176 .55299 L
.59153 .55228 L
.59063 .55106 L
.5896 .54965 L
.58948 .54914 L
.58768 .54735 L
.58757 .54721 L
.58597 .54528 L
.58575 .54475 L
.58477 .54336 L
.58382 .54206 L
.58367 .54143 L
.58189 .5397 L
.58174 .5395 L
.58022 .53758 L
.57997 .53707 L
.57901 .53565 L
.57804 .53435 L
.57797 .53372 L
.57611 .53195 L
.57599 .53179 L
.57451 .52987 L
.57419 .52929 L
.57331 .52794 L
.57226 .52656 L
.5717 .52601 L
.57033 .52414 L
.5703 .52409 L
.56883 .52216 L
.56841 .52147 L
.56766 .52023 L
.56648 .51874 L
.56602 .51831 L
.56462 .51638 L
.56455 .51629 L
.56317 .51445 L
.56263 .51361 L
.56202 .51253 L
.5607 .51091 L
.56035 .5106 L
.55878 .50867 L
.55877 .50843 L
.55753 .50674 L
.55684 .50574 L
.55639 .50482 L
.55492 .50308 L
.5547 .50289 L
.55309 .50096 L
.55299 .50055 L
.55189 .49904 L
.55106 .49786 L
.55075 .49711 L
.54914 .49525 L
.54906 .49518 L
.54743 .49326 L
.54721 .49267 L
.54626 .49133 L
.54528 .48998 L
.54511 .4894 L
.54342 .48747 L
.54336 .48741 L
.54179 .48555 L
.54143 .48478 L
.54064 .48362 L
.5395 .48209 L
.53945 .48169 L
.53779 .47977 L
.53758 .47955 L
.53617 .47784 L
.53565 .47688 L
.53502 .47591 L
.53372 .4742 L
.53356 .47399 L
.53216 .47206 L
.53179 .47168 L
.53056 .47013 L
.52987 .46896 L
.5294 .46821 L
.52794 .46629 L
.52793 .46628 L
.52654 .46435 L
.52601 .46378 L
.52496 .46242 L
.52409 .46103 L
.52378 .4605 L
.52232 .45857 L
.52216 .45835 L
.52094 .45664 L
.52023 .45585 L
.51938 .45472 L
.51831 .45308 L
.51816 .45279 L
.51673 .45086 L
.51638 .45075 L
.51474 .44894 L
.51445 .44788 L
.51383 .44701 L
.51253 .44508 L
.51253 .44508 L
.51117 .44316 L
.5106 .44283 L
.50927 .44123 L
.50867 .43982 L
.50831 .4393 L
.507 .43737 L
.50674 .43703 L
.50565 .43545 L
.50482 .43473 L
.50389 .43352 L
.50289 .43163 L
.50287 .43159 L
.50155 .42967 L
.50096 .42886 L
.50021 .42774 L
.49904 .42629 L
.4987 .42581 L
.49755 .42389 L
.49711 .42327 L
.49627 .42196 L
.49518 .42039 L
.49496 .42003 L
.49376 .41811 L
.49326 .41734 L
.49263 .41618 L
F
0 .75 1 r
.49326 .53303 m
.49384 .53372 L
.49518 .53525 L
.49551 .53565 L
.4971 .53758 L
.49711 .53759 L
.49862 .5395 L
.49904 .54 L
.50015 .54143 L
.50096 .54243 L
.50168 .54336 L
.50289 .54468 L
.50318 .54528 L
.50465 .54721 L
.50482 .54741 L
.50612 .54914 L
.50674 .54994 L
.50759 .55106 L
.50867 .55223 L
.50906 .55299 L
.51049 .55492 L
.5106 .55505 L
.51192 .55684 L
.51253 .55764 L
.51336 .55877 L
.51445 .56002 L
.51479 .5607 L
.5162 .56263 L
.51638 .56286 L
.51759 .56455 L
.51831 .56551 L
.51901 .56648 L
.52023 .56803 L
.52065 .56841 L
.52178 .57033 L
.52216 .57085 L
.52315 .57226 L
.52409 .57355 L
.52453 .57419 L
.52589 .57611 L
.52601 .57627 L
.5272 .57804 L
.52794 .57907 L
.52854 .57997 L
.52987 .58187 L
.52988 .58189 L
.53107 .58382 L
.53179 .58487 L
.5323 .58575 L
.53179 .58663 L
.53109 .58575 L
.52987 .58442 L
.52941 .58382 L
.52794 .58209 L
.5278 .58189 L
.52628 .57997 L
.52601 .57966 L
.5248 .57804 L
.52409 .57719 L
.52329 .57611 L
.52216 .57471 L
.52178 .57419 L
.52028 .57226 L
.52023 .5722 L
.51887 .57033 L
.51831 .56964 L
.51742 .56841 L
.51638 .56708 L
.51595 .56648 L
.51448 .56455 L
.51445 .56452 L
.5131 .56263 L
.51253 .5619 L
.51168 .5607 L
.5106 .55929 L
.51023 .55877 L
.5088 .55684 L
.50867 .55668 L
.50744 .55492 L
.50674 .55402 L
.50603 .55299 L
.50482 .55138 L
.5046 .55106 L
.50323 .54914 L
.50289 .54869 L
.50188 .54721 L
.50096 .54599 L
.50049 .54528 L
.49908 .54336 L
.49904 .5433 L
.4978 .54143 L
.49711 .5405 L
.49647 .5395 L
.49518 .53772 L
.49509 .53758 L
.49389 .53565 L
.49326 .53476 L
.49269 .53372 L
F
1 .82 0 r
.49326 .42299 m
.49413 .42389 L
.49518 .42493 L
.49596 .42581 L
.49711 .42664 L
.49766 .42774 L
.49904 .42931 L
.49961 .42967 L
.50088 .43159 L
.50096 .43169 L
.50243 .43352 L
.50289 .43377 L
.50398 .43545 L
.50482 .43643 L
.50594 .43737 L
.50674 .43896 L
.50703 .4393 L
.50851 .44123 L
.50867 .44133 L
.50999 .44316 L
.5106 .44389 L
.5118 .44508 L
.51253 .44648 L
.51293 .44701 L
.5144 .44894 L
.51445 .44897 L
.51585 .45086 L
.51638 .45151 L
.51755 .45279 L
.51831 .45414 L
.51872 .45472 L
.5202 .45664 L
.52023 .45667 L
.52163 .45857 L
.52216 .45922 L
.52326 .4605 L
.52409 .46188 L
.52445 .46242 L
.52593 .46435 L
.52601 .46441 L
.52736 .46628 L
.52794 .46701 L
.52893 .46821 L
.52987 .46968 L
.53014 .47013 L
.53163 .47206 L
.53179 .47219 L
.53304 .47399 L
.53372 .47484 L
.53458 .47591 L
.53565 .47752 L
.53582 .47784 L
.53729 .47977 L
.53758 .48 L
.53928 .48169 L
.5395 .48271 L
.54021 .48362 L
.54143 .4854 L
.5415 .48555 L
.54293 .48747 L
.54336 .48785 L
.54483 .4894 L
.54528 .49061 L
.54582 .49133 L
.54717 .49326 L
.54721 .49331 L
.54855 .49518 L
.54914 .49575 L
.55036 .49711 L
.55106 .49856 L
.5514 .49904 L
.55276 .50096 L
.55299 .50127 L
.55414 .50289 L
.55492 .50371 L
.55586 .50482 L
.55684 .50657 L
.55696 .50674 L
.55832 .50867 L
.55877 .50928 L
.5597 .5106 L
.5607 .51178 L
.5613 .51253 L
.56248 .51445 L
.56263 .51465 L
.56382 .51638 L
.56455 .51737 L
.5652 .51831 L
.56648 .52001 L
.56665 .52023 L
.56791 .52216 L
.56841 .52284 L
.56924 .52409 L
.57033 .52561 L
.5706 .52601 L
.57191 .52794 L
.57226 .52843 L
.57318 .52987 L
.57419 .53132 L
.57448 .53179 L
.57569 .53372 L
.57611 .53437 L
.57678 .53565 L
.57611 .53667 L
.57514 .53565 L
.57419 .53468 L
.57334 .53372 L
.57226 .53289 L
.57165 .53179 L
.57033 .53027 L
.56973 .52987 L
.56844 .52794 L
.56841 .5279 L
.56688 .52601 L
.56648 .52574 L
.56533 .52409 L
.56455 .52314 L
.56348 .52216 L
.56263 .52062 L
.56232 .52023 L
.56081 .51831 L
.5607 .51822 L
.55932 .51638 L
.55877 .51569 L
.55762 .51445 L
.55684 .51311 L
.55644 .51253 L
.55492 .51061 L
.55491 .5106 L
.55344 .50867 L
.55299 .50809 L
.55185 .50674 L
.55106 .50546 L
.55066 .50482 L
.54914 .50292 L
.5491 .50289 L
.54766 .50096 L
.54721 .50038 L
.54613 .49904 L
.54528 .49773 L
.54493 .49711 L
.54336 .49518 L
.54336 .49518 L
.54193 .49326 L
.54143 .49261 L
.54044 .49133 L
.5395 .48994 L
.53923 .4894 L
.53765 .48747 L
.53758 .4874 L
.5358 .48555 L
.53565 .48478 L
.53478 .48362 L
.53372 .48211 L
.53354 .48169 L
.53199 .47977 L
.53179 .47958 L
.53019 .47784 L
.52987 .47692 L
.52914 .47591 L
.52794 .47424 L
.52786 .47399 L
.52634 .47206 L
.52601 .47173 L
.5246 .47013 L
.52409 .46902 L
.52353 .46821 L
.52216 .46633 L
.52215 .46628 L
.52073 .46435 L
.52023 .46384 L
.51904 .46242 L
.51831 .46107 L
.51793 .4605 L
.51653 .45857 L
.51638 .45837 L
.51514 .45664 L
.51445 .45588 L
.51351 .45472 L
.51253 .45306 L
.51235 .45279 L
.51098 .45086 L
.5106 .45035 L
.5096 .44894 L
.50867 .44782 L
.50804 .44701 L
.50683 .44508 L
.50674 .44497 L
.50549 .44316 L
.50482 .44224 L
.50412 .44123 L
.50289 .43958 L
.50268 .4393 L
.50142 .43737 L
.50096 .43674 L
.5001 .43545 L
.49904 .43395 L
.4984 .43352 L
.49746 .43159 L
.49711 .4311 L
.4962 .42967 L
.49518 .42816 L
.49492 .42774 L
.49376 .42581 L
.49326 .42502 L
.4927 .42389 L
F
0 .61 1 r
.49326 .43131 m
.49351 .43159 L
.49518 .43334 L
.49533 .43352 L
.49698 .43545 L
.49711 .43559 L
.49854 .43737 L
.49904 .43794 L
.5001 .4393 L
.50096 .44034 L
.50165 .44123 L
.50289 .4426 L
.50318 .44316 L
.50468 .44508 L
.50482 .44525 L
.50614 .44701 L
.50674 .44776 L
.50762 .44894 L
.50867 .45005 L
.50911 .45086 L
.51058 .45279 L
.5106 .45281 L
.51201 .45472 L
.51253 .45538 L
.51345 .45664 L
.51445 .45773 L
.51548 .45857 L
.51636 .4605 L
.51638 .46052 L
.51776 .46242 L
.51831 .46313 L
.51919 .46435 L
.52023 .46554 L
.52103 .46628 L
.52205 .46821 L
.52216 .46834 L
.52344 .47013 L
.52409 .47099 L
.52485 .47206 L
.52601 .47348 L
.52652 .47399 L
.52767 .47591 L
.52794 .47627 L
.52904 .47784 L
.52987 .47894 L
.53044 .47977 L
.53179 .48156 L
.53192 .48169 L
.5332 .48362 L
.53372 .48432 L
.53456 .48555 L
.53565 .48702 L
.53596 .48747 L
.53731 .4894 L
.53758 .48976 L
.53862 .49133 L
.5395 .49254 L
.53997 .49326 L
.54131 .49518 L
.54143 .49534 L
.54253 .49711 L
.54336 .49829 L
.54379 .49904 L
.54336 .50053 L
.54209 .49904 L
.54143 .49832 L
.54044 .49711 L
.5395 .49601 L
.53884 .49518 L
.53758 .49382 L
.53727 .49326 L
.53575 .49133 L
.53565 .49121 L
.53425 .4894 L
.53372 .48875 L
.53274 .48747 L
.53179 .48652 L
.53124 .48555 L
.52987 .48378 L
.52972 .48362 L
.5283 .48169 L
.52794 .48123 L
.52684 .47977 L
.52601 .47893 L
.52537 .47784 L
.52409 .47615 L
.52388 .47591 L
.5225 .47399 L
.52216 .47355 L
.52106 .47206 L
.52023 .47119 L
.51898 .47013 L
.51831 .46839 L
.51816 .46821 L
.51678 .46628 L
.51638 .46575 L
.51536 .46435 L
.51445 .46333 L
.5135 .46242 L
.51253 .4605 L
.51253 .4605 L
.51115 .45857 L
.5106 .45784 L
.50975 .45664 L
.50867 .45533 L
.50808 .45472 L
.50696 .45279 L
.50674 .4525 L
.5056 .45086 L
.50482 .4498 L
.50421 .44894 L
.50289 .44713 L
.50278 .44701 L
.50151 .44508 L
.50096 .44433 L
.50017 .44316 L
.49904 .44157 L
.49881 .44123 L
.49752 .4393 L
.49711 .43873 L
.49625 .43737 L
.49518 .43582 L
.49495 .43545 L
.49381 .43352 L
.49326 .43266 L
.4928 .43159 L
F
0 .86 1 r
.49326 .47414 m
.49518 .47556 L
.49555 .47591 L
.49711 .47755 L
.49756 .47784 L
.49904 .47971 L
.49909 .47977 L
.5007 .48169 L
.50096 .48191 L
.50224 .48362 L
.50289 .48444 L
.50385 .48555 L
.50482 .48705 L
.50506 .48747 L
.50654 .4894 L
.50674 .48969 L
.50789 .49133 L
.50867 .49253 L
.50924 .49326 L
.51019 .49518 L
.50867 .49679 L
.50677 .49518 L
.50674 .49516 L
.5051 .49326 L
.50482 .49293 L
.50359 .49133 L
.50289 .4909 L
.50211 .4894 L
.50096 .48803 L
.50045 .48747 L
.49925 .48555 L
.49904 .48526 L
.4979 .48362 L
.49711 .48253 L
.49655 .48169 L
.4952 .47977 L
.49518 .47974 L
.49402 .47784 L
.49326 .47658 L
.49291 .47591 L
F
1 .47 0 r
.49326 .48177 m
.49484 .48362 L
.49518 .484 L
.49636 .48555 L
.49711 .48652 L
.49777 .48747 L
.49904 .48938 L
.49905 .4894 L
.49904 .49115 L
.49728 .4894 L
.49711 .48922 L
.49574 .48747 L
.49518 .4868 L
.49431 .48555 L
.49326 .48413 L
.49294 .48362 L
F
0 .74 1 r
.49326 .53337 m
.49356 .53372 L
.49518 .53547 L
.49533 .53565 L
.49518 .53754 L
.49409 .53565 L
.49326 .53442 L
.49295 .53372 L
F
1 .72 0 r
.49326 .50674 m
.49327 .50674 L
.49518 .50841 L
.4954 .50867 L
.49705 .5106 L
.49711 .51067 L
.49847 .51253 L
.49904 .51325 L
.49984 .51445 L
.50096 .51603 L
.50118 .51638 L
.50226 .51831 L
.50096 .51854 L
.50074 .51831 L
.49904 .51647 L
.49899 .51638 L
.49743 .51445 L
.49711 .51406 L
.49597 .51253 L
.49518 .51144 L
.4946 .5106 L
.49342 .50867 L
.49326 .50835 L
.49297 .50674 L
F
1 .81 0 r
.49326 .4234 m
.4938 .42389 L
.49518 .42515 L
.49578 .42581 L
.49711 .42688 L
.49753 .42774 L
.49904 .42946 L
.49937 .42967 L
.50078 .43159 L
.50096 .43181 L
.50235 .43352 L
.50289 .43383 L
.5039 .43545 L
.50482 .43652 L
.50585 .43737 L
.50674 .43904 L
.50697 .4393 L
.50845 .44123 L
.50867 .44136 L
.50994 .44316 L
.5106 .44395 L
.51175 .44508 L
.51253 .44654 L
.51289 .44701 L
.51436 .44894 L
.51445 .449 L
.51581 .45086 L
.51638 .45155 L
.51752 .45279 L
.51831 .45418 L
.51869 .45472 L
.52017 .45664 L
.52023 .45669 L
.5216 .45857 L
.52216 .45926 L
.52323 .4605 L
.52409 .46191 L
.52442 .46242 L
.52591 .46435 L
.52601 .46443 L
.52733 .46628 L
.52794 .46704 L
.52891 .46821 L
.52987 .46971 L
.53012 .47013 L
.5316 .47206 L
.53179 .47221 L
.53302 .47399 L
.53372 .47487 L
.53456 .47591 L
.53565 .47755 L
.53581 .47784 L
.53727 .47977 L
.53758 .48002 L
.53926 .48169 L
.5395 .48274 L
.54019 .48362 L
.54143 .48543 L
.54149 .48555 L
.54291 .48747 L
.54336 .48788 L
.54481 .4894 L
.54528 .49064 L
.54579 .49133 L
.54714 .49326 L
.54721 .49334 L
.54853 .49518 L
.54914 .49578 L
.55034 .49711 L
.55106 .4986 L
.55138 .49904 L
.55273 .50096 L
.55299 .50131 L
.55411 .50289 L
.55492 .50375 L
.55583 .50482 L
.55684 .50661 L
.55693 .50674 L
.55829 .50867 L
.55877 .50932 L
.55966 .5106 L
.5607 .51183 L
.56126 .51253 L
.56244 .51445 L
.56263 .5147 L
.56378 .51638 L
.56455 .51743 L
.56516 .51831 L
.56648 .5201 L
.56658 .52023 L
.56786 .52216 L
.56841 .52292 L
.56919 .52409 L
.57033 .52569 L
.57055 .52601 L
.57183 .52794 L
.57226 .52855 L
.57309 .52987 L
.57419 .53147 L
.57438 .53179 L
.57553 .53372 L
.57611 .53466 L
.57656 .53565 L
.57611 .53634 L
.5754 .53565 L
.57419 .53447 L
.57351 .53372 L
.57226 .53268 L
.57178 .53179 L
.57033 .53012 L
.56994 .52987 L
.56854 .52794 L
.56841 .52778 L
.56697 .52601 L
.56648 .52567 L
.56541 .52409 L
.56455 .52305 L
.56356 .52216 L
.56263 .52054 L
.56238 .52023 L
.56087 .51831 L
.5607 .51818 L
.55937 .51638 L
.55877 .51562 L
.55767 .51445 L
.55684 .51305 L
.55648 .51253 L
.55495 .5106 L
.55492 .51057 L
.55349 .50867 L
.55299 .50803 L
.55188 .50674 L
.55106 .50542 L
.55068 .50482 L
.54914 .50289 L
.54914 .50289 L
.54769 .50096 L
.54721 .50034 L
.54616 .49904 L
.54528 .49769 L
.54495 .49711 L
.54339 .49518 L
.54336 .49516 L
.54195 .49326 L
.54143 .49257 L
.54047 .49133 L
.5395 .48991 L
.53925 .4894 L
.53768 .48747 L
.53758 .48737 L
.53581 .48555 L
.53565 .48475 L
.5348 .48362 L
.53372 .48208 L
.53356 .48169 L
.53201 .47977 L
.53179 .47956 L
.53021 .47784 L
.52987 .47689 L
.52917 .47591 L
.52794 .47421 L
.52787 .47399 L
.52637 .47206 L
.52601 .4717 L
.52462 .47013 L
.52409 .46898 L
.52355 .46821 L
.52216 .4663 L
.52215 .46628 L
.52075 .46435 L
.52023 .4638 L
.51906 .46242 L
.51831 .46103 L
.51795 .4605 L
.51656 .45857 L
.51638 .45833 L
.51517 .45664 L
.51445 .45584 L
.51354 .45472 L
.51253 .45302 L
.51238 .45279 L
.51101 .45086 L
.5106 .4503 L
.50963 .44894 L
.50867 .44776 L
.50809 .44701 L
.50687 .44508 L
.50674 .44491 L
.50553 .44316 L
.50482 .44217 L
.50416 .44123 L
.50289 .43949 L
.50275 .4393 L
.50148 .43737 L
.50096 .43665 L
.50016 .43545 L
.49904 .43385 L
.49854 .43352 L
.49755 .43159 L
.49711 .43096 L
.4963 .42967 L
.49518 .42799 L
.49503 .42774 L
.49394 .42581 L
.49326 .42463 L
.49297 .42389 L
F
1 .46 0 r
.49326 .48188 m
.49476 .48362 L
.49518 .48409 L
.49629 .48555 L
.49711 .48661 L
.49771 .48747 L
.49711 .48913 L
.49581 .48747 L
.49518 .48672 L
.49437 .48555 L
.49326 .48404 L
.49299 .48362 L
F
0 .85 1 r
.49326 .47446 m
.49518 .47575 L
.49535 .47591 L
.49711 .47767 L
.49738 .47784 L
.499 .47977 L
.49904 .4798 L
.50061 .48169 L
.50096 .48199 L
.50216 .48362 L
.50289 .48453 L
.50378 .48555 L
.50482 .48714 L
.50501 .48747 L
.50647 .4894 L
.50674 .4898 L
.50781 .49133 L
.50867 .49267 L
.50914 .49326 L
.51005 .49518 L
.50867 .49663 L
.50688 .49518 L
.50674 .49505 L
.50518 .49326 L
.50482 .49284 L
.50365 .49133 L
.50289 .49084 L
.50216 .4894 L
.50096 .48795 L
.50052 .48747 L
.49931 .48555 L
.49904 .48519 L
.49796 .48362 L
.49711 .48245 L
.4966 .48169 L
.49528 .47977 L
.49518 .47962 L
.49412 .47784 L
.49326 .47636 L
.49305 .47591 L
F
1 .45 0 r
.49326 .482 m
.49468 .48362 L
.49518 .48418 L
.49622 .48555 L
.49711 .4867 L
.49764 .48747 L
.49711 .48904 L
.49588 .48747 L
.49518 .48664 L
.49443 .48555 L
.49326 .48395 L
.49305 .48362 L
F
1 .44 0 r
.49326 .48213 m
.49458 .48362 L
.49518 .48428 L
.49615 .48555 L
.49711 .4868 L
.49757 .48747 L
.49711 .48894 L
.49596 .48747 L
.49518 .48655 L
.4945 .48555 L
.49326 .48385 L
.49312 .48362 L
F
1 .43 0 r
.49326 .48228 m
.49447 .48362 L
.49518 .48438 L
.49607 .48555 L
.49711 .4869 L
.4975 .48747 L
.49711 .48882 L
.49604 .48747 L
.49518 .48646 L
.49456 .48555 L
.49326 .48374 L
.49318 .48362 L
F
0 .6 1 r
.49326 .43158 m
.49327 .43159 L
.49518 .43347 L
.49522 .43352 L
.49687 .43545 L
.49711 .4357 L
.49846 .43737 L
.49904 .43803 L
.50003 .4393 L
.50096 .44041 L
.50159 .44123 L
.50289 .44269 L
.50313 .44316 L
.50463 .44508 L
.50482 .44531 L
.5061 .44701 L
.50674 .44781 L
.50758 .44894 L
.50867 .45012 L
.50907 .45086 L
.51054 .45279 L
.5106 .45286 L
.51197 .45472 L
.51253 .45542 L
.51342 .45664 L
.51445 .45778 L
.51542 .45857 L
.51633 .4605 L
.51638 .46056 L
.51773 .46242 L
.51831 .46317 L
.51916 .46435 L
.52023 .46559 L
.52098 .46628 L
.52202 .46821 L
.52216 .46839 L
.5234 .47013 L
.52409 .47103 L
.52482 .47206 L
.52601 .47353 L
.52646 .47399 L
.52763 .47591 L
.52794 .47632 L
.52901 .47784 L
.52987 .47899 L
.53041 .47977 L
.53179 .48163 L
.53186 .48169 L
.53316 .48362 L
.53372 .48437 L
.53453 .48555 L
.53565 .48708 L
.53592 .48747 L
.53726 .4894 L
.53758 .48982 L
.53857 .49133 L
.5395 .49262 L
.53992 .49326 L
.54124 .49518 L
.54143 .49544 L
.54245 .49711 L
.54336 .49842 L
.5437 .49904 L
.54336 .50038 L
.54221 .49904 L
.54143 .49821 L
.54053 .49711 L
.5395 .49592 L
.53891 .49518 L
.53758 .49371 L
.53734 .49326 L
.53581 .49133 L
.53565 .49113 L
.53431 .4894 L
.53372 .48868 L
.53279 .48747 L
.53179 .48645 L
.53129 .48555 L
.52987 .48371 L
.52978 .48362 L
.52835 .48169 L
.52794 .48118 L
.52688 .47977 L
.52601 .47888 L
.52541 .47784 L
.52409 .4761 L
.52392 .47591 L
.52253 .47399 L
.52216 .4735 L
.52109 .47206 L
.52023 .47114 L
.51903 .47013 L
.51831 .46833 L
.5182 .46821 L
.51682 .46628 L
.51638 .4657 L
.5154 .46435 L
.51445 .46328 L
.51355 .46242 L
.51256 .4605 L
.51253 .46045 L
.51118 .45857 L
.5106 .45779 L
.50978 .45664 L
.50867 .45527 L
.50814 .45472 L
.507 .45279 L
.50674 .45244 L
.50564 .45086 L
.50482 .44974 L
.50425 .44894 L
.50289 .44705 L
.50286 .44701 L
.50156 .44508 L
.50096 .44426 L
.50022 .44316 L
.49904 .44149 L
.49886 .44123 L
.49759 .4393 L
.49711 .43863 L
.49632 .43737 L
.49518 .4357 L
.49503 .43545 L
.49396 .43352 L
.49326 .43232 L
.49318 .43159 L
F
0 .84 1 r
.49326 .47488 m
.49513 .47591 L
.49518 .47595 L
.49711 .4778 L
.49718 .47784 L
.4989 .47977 L
.49904 .47992 L
.50052 .48169 L
.50096 .48206 L
.50208 .48362 L
.50289 .48463 L
.50371 .48555 L
.50482 .48724 L
.50495 .48747 L
.50639 .4894 L
.50674 .48991 L
.50773 .49133 L
.50867 .49281 L
.50903 .49326 L
.50991 .49518 L
.50867 .49647 L
.50701 .49518 L
.50674 .49494 L
.50526 .49326 L
.50482 .49276 L
.50371 .49133 L
.50289 .49077 L
.50221 .4894 L
.50096 .48787 L
.5006 .48747 L
.49936 .48555 L
.49904 .48511 L
.49802 .48362 L
.49711 .48236 L
.49666 .48169 L
.49536 .47977 L
.49518 .4795 L
.49423 .47784 L
.49326 .47606 L
.4932 .47591 L
F
0 .94 1 r
.49326 .50095 m
.49518 .50072 L
.49612 .50096 L
.49711 .50144 L
.49858 .50289 L
.49904 .50338 L
.50078 .50482 L
.50096 .50618 L
.50176 .50674 L
.50289 .50856 L
.50304 .50867 L
.50452 .5106 L
.50482 .51089 L
.50642 .51253 L
.50674 .51355 L
.50743 .51445 L
.50867 .51624 L
.50873 .51638 L
.51015 .51831 L
.5106 .51892 L
.51198 .52023 L
.51253 .52138 L
.513 .52216 L
.51431 .52409 L
.51445 .52428 L
.51563 .52601 L
.51638 .52711 L
.51726 .52794 L
.51809 .52987 L
.51638 .53167 L
.51445 .53054 L
.51358 .52987 L
.51253 .52865 L
.51206 .52794 L
.5106 .52637 L
.51031 .52601 L
.5088 .52409 L
.50867 .52388 L
.5073 .52216 L
.50674 .52122 L
.50612 .52023 L
.50482 .51851 L
.50441 .51831 L
.503 .51638 L
.50289 .51623 L
.50159 .51445 L
.50096 .51356 L
.50046 .51253 L
.49904 .51089 L
.49876 .5106 L
.49719 .50867 L
.49711 .50861 L
.49603 .50674 L
.49518 .50605 L
.49493 .50482 L
.49349 .50289 L
.49326 .50233 L
.4932 .50096 L
F
1 .59 0 r
.49326 .55685 m
.49415 .55877 L
.49326 .55879 L
.49324 .55877 L
F
1 .71 0 r
.49518 .50853 m
.4953 .50867 L
.49695 .5106 L
.49711 .51079 L
.49838 .51253 L
.49904 .51337 L
.49976 .51445 L
.50096 .51616 L
.50109 .51638 L
.50205 .51831 L
.50096 .51836 L
.50091 .51831 L
.49911 .51638 L
.49904 .5163 L
.49754 .51445 L
.49711 .51392 L
.49607 .51253 L
.49518 .5113 L
.4947 .5106 L
.49358 .50867 L
F
0 .93 1 r
.49518 .50085 m
.49571 .50096 L
.49711 .50156 L
.49849 .50289 L
.49904 .50346 L
.50074 .50482 L
.50096 .50623 L
.50172 .50674 L
.50289 .50858 L
.50302 .50867 L
.50449 .5106 L
.50482 .51092 L
.50641 .51253 L
.50674 .51359 L
.50741 .51445 L
.50867 .51628 L
.50871 .51638 L
.51012 .51831 L
.5106 .51896 L
.51195 .52023 L
.51253 .52144 L
.51296 .52216 L
.51427 .52409 L
.51445 .52435 L
.51558 .52601 L
.51638 .52721 L
.51715 .52794 L
.51793 .52987 L
.51638 .53145 L
.51445 .53033 L
.51379 .52987 L
.51253 .52849 L
.51215 .52794 L
.5106 .52625 L
.5104 .52601 L
.50887 .52409 L
.50867 .52378 L
.50735 .52216 L
.50674 .52114 L
.50616 .52023 L
.50482 .51847 L
.50446 .51831 L
.50304 .51638 L
.50289 .51617 L
.50163 .51445 L
.50096 .5135 L
.50049 .51253 L
.49904 .51084 L
.4988 .5106 L
.49721 .50867 L
.49711 .50859 L
.49608 .50674 L
.49518 .50594 L
.49497 .50482 L
.49359 .50289 L
.49372 .50096 L
F
0 .92 1 r
.49518 .50098 m
.49711 .50168 L
.4984 .50289 L
.49904 .50354 L
.50071 .50482 L
.50096 .50628 L
.50168 .50674 L
.50289 .5086 L
.50299 .50867 L
.50446 .5106 L
.50482 .51095 L
.50639 .51253 L
.50674 .51362 L
.50738 .51445 L
.50867 .51632 L
.5087 .51638 L
.51009 .51831 L
.5106 .519 L
.51192 .52023 L
.51253 .5215 L
.51292 .52216 L
.51422 .52409 L
.51445 .52442 L
.51552 .52601 L
.51638 .52732 L
.51704 .52794 L
.51776 .52987 L
.51638 .53123 L
.51445 .53013 L
.51404 .52987 L
.51253 .52834 L
.51225 .52794 L
.5106 .52613 L
.5105 .52601 L
.50894 .52409 L
.50867 .52369 L
.5074 .52216 L
.50674 .52107 L
.5062 .52023 L
.50482 .51844 L
.5045 .51831 L
.50308 .51638 L
.50289 .51612 L
.50166 .51445 L
.50096 .51345 L
.50052 .51253 L
.49904 .5108 L
.49884 .5106 L
.49722 .50867 L
.49711 .50857 L
.49612 .50674 L
.49518 .50581 L
.495 .50482 L
.4937 .50289 L
F
1 .7 0 r
.49518 .50866 m
.49519 .50867 L
.49684 .5106 L
.49711 .51091 L
.49829 .51253 L
.49904 .51349 L
.49966 .51445 L
.50096 .51632 L
.501 .51638 L
.50096 .51814 L
.49926 .51638 L
.49904 .51615 L
.49766 .51445 L
.49711 .51379 L
.49617 .51253 L
.49518 .51115 L
.49481 .5106 L
.49376 .50867 L
F
0 .91 1 r
.49518 .50111 m
.49711 .50179 L
.49831 .50289 L
.49904 .50362 L
.50066 .50482 L
.50096 .50632 L
.50164 .50674 L
.50289 .50861 L
.50297 .50867 L
.50442 .5106 L
.50482 .51098 L
.50636 .51253 L
.50674 .51366 L
.50735 .51445 L
.50867 .51636 L
.50868 .51638 L
.51006 .51831 L
.5106 .51904 L
.51189 .52023 L
.51253 .52156 L
.51288 .52216 L
.51417 .52409 L
.51445 .52449 L
.51546 .52601 L
.51638 .52744 L
.51691 .52794 L
.51758 .52987 L
.51638 .531 L
.51445 .52994 L
.51433 .52987 L
.51253 .52819 L
.51234 .52794 L
.5106 .52602 L
.51059 .52601 L
.50901 .52409 L
.50867 .52359 L
.50745 .52216 L
.50674 .521 L
.50624 .52023 L
.50482 .51841 L
.50455 .51831 L
.50312 .51638 L
.50289 .51607 L
.5017 .51445 L
.50096 .5134 L
.50055 .51253 L
.49904 .51075 L
.49889 .5106 L
.49723 .50867 L
.49711 .50854 L
.49617 .50674 L
.49518 .50566 L
.49504 .50482 L
.49381 .50289 L
F
0 .9 1 r
.49518 .50124 m
.49711 .5019 L
.49822 .50289 L
.49904 .5037 L
.50062 .50482 L
.50096 .50636 L
.5016 .50674 L
.50289 .50863 L
.50295 .50867 L
.50439 .5106 L
.50482 .51101 L
.50634 .51253 L
.50674 .5137 L
.50733 .51445 L
.50866 .51638 L
.50867 .51639 L
.51003 .51831 L
.5106 .51908 L
.51185 .52023 L
.51253 .52162 L
.51284 .52216 L
.51412 .52409 L
.51445 .52456 L
.5154 .52601 L
.51638 .52756 L
.51678 .52794 L
.51739 .52987 L
.51638 .53077 L
.51461 .52987 L
.51445 .52977 L
.51253 .52805 L
.51244 .52794 L
.51068 .52601 L
.5106 .52591 L
.50908 .52409 L
.50867 .52351 L
.5075 .52216 L
.50674 .52093 L
.50627 .52023 L
.50482 .51839 L
.5046 .51831 L
.50316 .51638 L
.50289 .51601 L
.50173 .51445 L
.50096 .51335 L
.50058 .51253 L
.49904 .51071 L
.49893 .5106 L
.49725 .50867 L
.49711 .50851 L
.49622 .50674 L
.49518 .5055 L
.49507 .50482 L
.49392 .50289 L
F
1 .99 0 r
.49518 .46985 m
.49562 .47013 L
.49711 .47103 L
.49849 .47206 L
.49904 .47263 L
.50084 .47399 L
.50096 .47425 L
.50284 .47591 L
.50289 .47596 L
.50463 .47784 L
.50482 .47806 L
.50628 .47977 L
.50674 .48037 L
.50783 .48169 L
.50867 .48284 L
.5093 .48362 L
.5106 .48542 L
.5107 .48555 L
.51163 .48747 L
.51253 .48844 L
.51361 .4894 L
.51445 .49061 L
.51501 .49133 L
.51635 .49326 L
.51638 .49329 L
.51711 .49518 L
.51831 .49602 L
.51909 .49711 L
.51986 .49904 L
.51831 .49961 L
.51638 .49971 L
.51499 .49904 L
.51445 .49853 L
.51338 .49711 L
.51253 .49604 L
.51163 .49518 L
.5106 .49343 L
.51046 .49326 L
.50908 .49133 L
.50867 .49109 L
.50768 .4894 L
.50674 .48833 L
.50602 .48747 L
.50482 .48555 L
.50482 .48555 L
.50345 .48362 L
.50289 .48288 L
.50205 .48169 L
.50096 .48058 L
.50044 .47977 L
.49922 .47784 L
.49904 .4776 L
.49787 .47591 L
.49711 .47489 L
.49648 .47399 L
.49518 .47219 L
.49509 .47206 L
.494 .47013 L
F
0 .89 1 r
.49518 .50137 m
.49711 .50201 L
.49812 .50289 L
.49904 .50378 L
.50056 .50482 L
.50096 .5064 L
.50156 .50674 L
.50289 .50865 L
.50293 .50867 L
.50436 .5106 L
.50482 .51104 L
.50632 .51253 L
.50674 .51373 L
.5073 .51445 L
.50863 .51638 L
.50867 .51643 L
.51 .51831 L
.5106 .51913 L
.51182 .52023 L
.51253 .52169 L
.5128 .52216 L
.51407 .52409 L
.51445 .52464 L
.51534 .52601 L
.51638 .52769 L
.51663 .52794 L
.51717 .52987 L
.51638 .53054 L
.51489 .52987 L
.51445 .52961 L
.51255 .52794 L
.51253 .52792 L
.51077 .52601 L
.5106 .52581 L
.50914 .52409 L
.50867 .52342 L
.50755 .52216 L
.50674 .52087 L
.50631 .52023 L
.50482 .51837 L
.50464 .51831 L
.5032 .51638 L
.50289 .51596 L
.50177 .51445 L
.50096 .5133 L
.5006 .51253 L
.49904 .51066 L
.49897 .5106 L
.49726 .50867 L
.49711 .50848 L
.49626 .50674 L
.49518 .50532 L
.4951 .50482 L
.49403 .50289 L
F
0 .88 1 r
.49518 .50151 m
.49711 .50211 L
.49802 .50289 L
.49904 .50385 L
.50051 .50482 L
.50096 .50643 L
.50151 .50674 L
.50289 .50866 L
.5029 .50867 L
.50433 .5106 L
.50482 .51107 L
.5063 .51253 L
.50674 .51377 L
.50727 .51445 L
.5086 .51638 L
.50867 .51647 L
.50997 .51831 L
.5106 .51917 L
.51178 .52023 L
.51253 .52176 L
.51276 .52216 L
.51402 .52409 L
.51445 .52472 L
.51528 .52601 L
.51638 .52784 L
.51648 .52794 L
.5169 .52987 L
.51638 .53028 L
.51522 .52987 L
.51445 .52946 L
.51268 .52794 L
.51253 .52781 L
.51086 .52601 L
.5106 .5257 L
.50921 .52409 L
.50867 .52334 L
.50759 .52216 L
.50674 .52081 L
.50635 .52023 L
.50482 .51835 L
.50469 .51831 L
.50324 .51638 L
.50289 .51591 L
.5018 .51445 L
.50096 .51325 L
.50063 .51253 L
.49904 .51062 L
.49902 .5106 L
.49728 .50867 L
.49711 .50843 L
.49631 .50674 L
.49518 .50512 L
.49514 .50482 L
.49414 .50289 L
F
1 .8 0 r
.49518 .4254 m
.49557 .42581 L
.49711 .42717 L
.49738 .42774 L
.49904 .42963 L
.4991 .42967 L
.50067 .43159 L
.50096 .43193 L
.50226 .43352 L
.50289 .43391 L
.50382 .43545 L
.50482 .43661 L
.50576 .43737 L
.50674 .43912 L
.5069 .4393 L
.50839 .44123 L
.50867 .4414 L
.50988 .44316 L
.5106 .44401 L
.51171 .44508 L
.51253 .4466 L
.51285 .44701 L
.51432 .44894 L
.51445 .44903 L
.51578 .45086 L
.51638 .4516 L
.51749 .45279 L
.51831 .45422 L
.51866 .45472 L
.52013 .45664 L
.52023 .45672 L
.52157 .45857 L
.52216 .4593 L
.52321 .4605 L
.52409 .46195 L
.5244 .46242 L
.52588 .46435 L
.52601 .46445 L
.5273 .46628 L
.52794 .46707 L
.52889 .46821 L
.52987 .46974 L
.53011 .47013 L
.53158 .47206 L
.53179 .47223 L
.533 .47399 L
.53372 .4749 L
.53454 .47591 L
.53565 .47758 L
.53579 .47784 L
.53725 .47977 L
.53758 .48005 L
.53925 .48169 L
.5395 .48277 L
.54017 .48362 L
.54143 .48546 L
.54147 .48555 L
.54289 .48747 L
.54336 .4879 L
.54479 .4894 L
.54528 .49068 L
.54577 .49133 L
.54712 .49326 L
.54721 .49338 L
.5485 .49518 L
.54914 .49581 L
.55031 .49711 L
.55106 .49863 L
.55135 .49904 L
.55271 .50096 L
.55299 .50134 L
.55409 .50289 L
.55492 .50379 L
.55579 .50482 L
.55684 .50666 L
.5569 .50674 L
.55825 .50867 L
.55877 .50937 L
.55963 .5106 L
.5607 .51189 L
.56121 .51253 L
.5624 .51445 L
.56263 .51475 L
.56374 .51638 L
.56455 .51748 L
.56512 .51831 L
.56648 .52019 L
.56652 .52023 L
.5678 .52216 L
.56841 .52299 L
.56913 .52409 L
.57033 .52578 L
.57049 .52601 L
.57175 .52794 L
.57226 .52867 L
.573 .52987 L
.57419 .53163 L
.57428 .53179 L
.57534 .53372 L
.57611 .53513 L
.57623 .53565 L
.57611 .53586 L
.57581 .53565 L
.57419 .53425 L
.5737 .53372 L
.57226 .53244 L
.57192 .53179 L
.57033 .52997 L
.57017 .52987 L
.56865 .52794 L
.56841 .52766 L
.56706 .52601 L
.56648 .5256 L
.56549 .52409 L
.56455 .52295 L
.56364 .52216 L
.56263 .52046 L
.56244 .52023 L
.56093 .51831 L
.5607 .51813 L
.55943 .51638 L
.55877 .51556 L
.55771 .51445 L
.55684 .51299 L
.55652 .51253 L
.555 .5106 L
.55492 .51053 L
.55353 .50867 L
.55299 .50798 L
.55192 .50674 L
.55106 .50537 L
.55071 .50482 L
.54917 .50289 L
.54914 .50286 L
.54772 .50096 L
.54721 .5003 L
.54618 .49904 L
.54528 .49765 L
.54497 .49711 L
.54342 .49518 L
.54336 .49513 L
.54198 .49326 L
.54143 .49253 L
.54049 .49133 L
.5395 .48987 L
.53926 .4894 L
.53771 .48747 L
.53758 .48735 L
.53582 .48555 L
.53565 .48471 L
.53483 .48362 L
.53372 .48205 L
.53357 .48169 L
.53204 .47977 L
.53179 .47953 L
.53022 .47784 L
.52987 .47685 L
.52919 .47591 L
.52794 .47418 L
.52788 .47399 L
.52639 .47206 L
.52601 .47168 L
.52464 .47013 L
.52409 .46895 L
.52357 .46821 L
.52217 .46628 L
.52216 .46627 L
.52078 .46435 L
.52023 .46377 L
.51909 .46242 L
.51831 .46099 L
.51798 .4605 L
.51659 .45857 L
.51638 .45829 L
.5152 .45664 L
.51445 .4558 L
.51357 .45472 L
.51253 .45297 L
.51241 .45279 L
.51105 .45086 L
.5106 .45025 L
.50967 .44894 L
.50867 .44771 L
.50813 .44701 L
.50692 .44508 L
.50674 .44485 L
.50557 .44316 L
.50482 .44211 L
.50421 .44123 L
.50289 .4394 L
.50282 .4393 L
.50154 .43737 L
.50096 .43656 L
.50022 .43545 L
.49904 .43375 L
.49869 .43352 L
.49764 .43159 L
.49711 .43082 L
.4964 .42967 L
.49518 .4278 L
.49515 .42774 L
.49417 .42581 L
F
0 .94 1 r
.49518 .41714 m
.49614 .41811 L
.49711 .41908 L
.49797 .42003 L
.49904 .42111 L
.49969 .42196 L
.50096 .42346 L
.50147 .42389 L
.50289 .42577 L
.50293 .42581 L
.50452 .42774 L
.50482 .42807 L
.50608 .42967 L
.50674 .43054 L
.5077 .43159 L
.50867 .43305 L
.50898 .43352 L
.5106 .43544 L
.51063 .43545 L
.51213 .43737 L
.51253 .43793 L
.51362 .4393 L
.51445 .44054 L
.51483 .44123 L
.51638 .44308 L
.51654 .44316 L
.51825 .44508 L
.51831 .44553 L
.51942 .44701 L
.52023 .44819 L
.52059 .44894 L
.52216 .45079 L
.52234 .45086 L
.52395 .45279 L
.52409 .45324 L
.52515 .45472 L
.52601 .45593 L
.52628 .45664 L
.52794 .45852 L
.52808 .45857 L
.52964 .4605 L
.52987 .46103 L
.53084 .46242 L
.53179 .46373 L
.53194 .46435 L
.53372 .46627 L
.53377 .46628 L
.53532 .46821 L
.53565 .46886 L
.5365 .47013 L
.53758 .47156 L
.5376 .47206 L
.53944 .47399 L
.5395 .47406 L
.54098 .47591 L
.54143 .47672 L
.54215 .47784 L
.54336 .4794 L
.54371 .47977 L
.54511 .48169 L
.54528 .48192 L
.54662 .48362 L
.54721 .48459 L
.54779 .48555 L
.54914 .48725 L
.54936 .48747 L
.55076 .4894 L
.55106 .48979 L
.55226 .49133 L
.55299 .49247 L
.55342 .49326 L
.55492 .4951 L
.555 .49518 L
.5568 .49711 L
.55684 .49766 L
.55788 .49904 L
.55877 .50036 L
.55907 .50096 L
.56063 .50289 L
.5607 .50294 L
.56243 .50482 L
.56263 .50556 L
.5635 .50674 L
.56455 .50825 L
.56472 .50867 L
.56626 .5106 L
.56648 .51078 L
.56803 .51253 L
.56841 .51346 L
.56911 .51445 L
.57033 .51617 L
.5704 .51638 L
.57188 .51831 L
.57226 .51864 L
.57362 .52023 L
.57419 .52139 L
.57471 .52216 L
.57611 .52409 L
.57611 .52409 L
.57749 .52601 L
.57804 .52654 L
.57919 .52794 L
.57997 .52934 L
.58031 .52987 L
.5817 .53179 L
.58189 .53205 L
.58308 .53372 L
.58382 .53449 L
.58473 .53565 L
.58575 .53734 L
.5859 .53758 L
.58727 .5395 L
.58768 .54005 L
.58865 .54143 L
.5896 .54252 L
.59023 .54336 L
.59145 .54528 L
.59153 .54539 L
.5928 .54721 L
.59346 .5481 L
.59418 .54914 L
.59538 .55069 L
.59565 .55106 L
.59691 .55299 L
.59731 .55353 L
.59825 .55492 L
.59924 .55628 L
.60003 .55684 L
.60096 .55877 L
.60116 .55905 L
.60223 .5607 L
.60309 .56191 L
.60354 .56263 L
.60483 .56455 L
.60502 .56482 L
.60599 .56648 L
.60694 .56796 L
.60718 .56841 L
.60694 .57029 L
.60507 .56841 L
.60502 .56835 L
.60333 .56648 L
.60309 .56623 L
.60164 .56455 L
.60116 .56433 L
.59999 .56263 L
.59924 .56175 L
.59765 .5607 L
.59731 .55932 L
.59683 .55877 L
.59538 .55694 L
.59537 .55684 L
.5937 .55492 L
.59346 .5546 L
.59183 .55299 L
.59153 .55208 L
.59076 .55106 L
.5896 .54951 L
.58953 .54914 L
.58769 .54721 L
.58768 .54719 L
.58603 .54528 L
.58575 .54462 L
.58485 .54336 L
.58382 .54196 L
.58371 .54143 L
.58189 .5396 L
.58182 .5395 L
.58027 .53758 L
.57997 .53697 L
.57907 .53565 L
.57804 .53428 L
.57799 .53372 L
.57611 .53187 L
.57605 .53179 L
.57455 .52987 L
.57419 .52922 L
.57336 .52794 L
.57226 .52651 L
.57174 .52601 L
.57034 .52409 L
.57033 .52408 L
.56886 .52216 L
.56841 .52141 L
.56769 .52023 L
.56648 .51871 L
.56605 .51831 L
.56465 .51638 L
.56455 .51625 L
.5632 .51445 L
.56263 .51357 L
.56204 .51253 L
.5607 .51088 L
.56038 .5106 L
.55879 .50867 L
.55877 .50839 L
.55755 .50674 L
.55684 .50571 L
.55641 .50482 L
.55492 .50305 L
.55473 .50289 L
.5531 .50096 L
.55299 .50052 L
.55191 .49904 L
.55106 .49783 L
.55077 .49711 L
.54914 .49523 L
.54908 .49518 L
.54744 .49326 L
.54721 .49264 L
.54628 .49133 L
.54528 .48995 L
.54512 .4894 L
.54344 .48747 L
.54336 .48739 L
.5418 .48555 L
.54143 .48475 L
.54066 .48362 L
.5395 .48206 L
.53945 .48169 L
.53781 .47977 L
.53758 .47953 L
.53618 .47784 L
.53565 .47685 L
.53504 .47591 L
.53372 .47417 L
.53358 .47399 L
.53219 .47206 L
.53179 .47165 L
.53058 .47013 L
.52987 .46893 L
.52942 .46821 L
.52796 .46628 L
.52794 .46625 L
.52657 .46435 L
.52601 .46375 L
.52499 .46242 L
.52409 .46099 L
.5238 .4605 L
.52236 .45857 L
.52216 .45831 L
.52097 .45664 L
.52023 .45581 L
.51942 .45472 L
.51831 .45302 L
.51818 .45279 L
.51678 .45086 L
.51638 .45072 L
.51478 .44894 L
.51445 .44781 L
.51388 .44701 L
.51258 .44508 L
.51253 .445 L
.51123 .44316 L
.5106 .44276 L
.50934 .44123 L
.50867 .43971 L
.50839 .4393 L
.50708 .43737 L
.50674 .43692 L
.50573 .43545 L
.50482 .43458 L
.50402 .43352 L
.50298 .43159 L
.50289 .43147 L
.50168 .42967 L
.50096 .42867 L
.50035 .42774 L
.49904 .42592 L
.49896 .42581 L
.49775 .42389 L
.49711 .42295 L
.4965 .42196 L
.49524 .42003 L
.49518 .41994 L
.49422 .41811 L
F
0 .87 1 r
.49518 .50165 m
.49711 .50222 L
.49792 .50289 L
.49904 .50393 L
.50044 .50482 L
.50096 .50647 L
.50147 .50674 L
.50287 .50867 L
.50289 .50867 L
.5043 .5106 L
.50482 .5111 L
.50627 .51253 L
.50674 .51381 L
.50724 .51445 L
.50857 .51638 L
.50867 .51651 L
.50994 .51831 L
.5106 .51921 L
.51175 .52023 L
.51253 .52183 L
.51272 .52216 L
.51397 .52409 L
.51445 .5248 L
.51521 .52601 L
.51633 .52794 L
.51638 .52804 L
.51655 .52987 L
.51638 .52998 L
.51569 .52987 L
.51445 .5293 L
.51282 .52794 L
.51253 .52771 L
.51095 .52601 L
.5106 .52561 L
.50928 .52409 L
.50867 .52326 L
.50764 .52216 L
.50674 .52075 L
.50638 .52023 L
.50482 .51833 L
.50473 .51831 L
.50328 .51638 L
.50289 .51586 L
.50183 .51445 L
.50096 .5132 L
.50065 .51253 L
.49906 .5106 L
.49904 .51057 L
.49729 .50867 L
.49711 .50838 L
.49636 .50674 L
.49518 .5049 L
.49517 .50482 L
.49426 .50289 L
F
0 .83 1 r
.49518 .47614 m
.49701 .47784 L
.49711 .47794 L
.49879 .47977 L
.49904 .48004 L
.50043 .48169 L
.50096 .48214 L
.502 .48362 L
.50289 .48473 L
.50364 .48555 L
.50482 .48733 L
.5049 .48747 L
.50632 .4894 L
.50674 .49002 L
.50765 .49133 L
.50867 .49296 L
.50891 .49326 L
.50976 .49518 L
.50867 .4963 L
.50714 .49518 L
.50674 .49482 L
.50534 .49326 L
.50482 .49267 L
.50377 .49133 L
.50289 .4907 L
.50227 .4894 L
.50096 .48778 L
.50068 .48747 L
.49942 .48555 L
.49904 .48504 L
.49807 .48362 L
.49711 .48228 L
.49672 .48169 L
.49545 .47977 L
.49518 .47936 L
.49434 .47784 L
F
0 .86 1 r
.49518 .50179 m
.49711 .50232 L
.49782 .50289 L
.49904 .504 L
.50037 .50482 L
.50096 .5065 L
.50142 .50674 L
.50284 .50867 L
.50289 .50868 L
.50427 .5106 L
.50482 .51114 L
.50624 .51253 L
.50674 .51385 L
.50721 .51445 L
.50854 .51638 L
.50867 .51655 L
.50991 .51831 L
.5106 .51926 L
.51171 .52023 L
.51253 .5219 L
.51267 .52216 L
.51392 .52409 L
.51445 .52488 L
.51515 .52601 L
.51621 .52794 L
.51445 .52915 L
.51296 .52794 L
.51253 .52761 L
.51104 .52601 L
.5106 .52551 L
.50935 .52409 L
.50867 .52318 L
.50769 .52216 L
.50674 .5207 L
.50641 .52023 L
.50482 .51832 L
.50478 .51831 L
.50332 .51638 L
.50289 .51581 L
.50187 .51445 L
.50096 .51315 L
.50068 .51253 L
.4991 .5106 L
.49904 .51051 L
.49731 .50867 L
.49711 .50833 L
.4964 .50674 L
.49523 .50482 L
.49518 .50473 L
.49438 .50289 L
F
0 .82 1 r
.49518 .47635 m
.49685 .47784 L
.49711 .47808 L
.49867 .47977 L
.49904 .48016 L
.50034 .48169 L
.50096 .48222 L
.50192 .48362 L
.50289 .48483 L
.50355 .48555 L
.50482 .48743 L
.50484 .48747 L
.50624 .4894 L
.50674 .49013 L
.50756 .49133 L
.50867 .49312 L
.50878 .49326 L
.50961 .49518 L
.50867 .49612 L
.50729 .49518 L
.50674 .49471 L
.50542 .49326 L
.50482 .49259 L
.50383 .49133 L
.50289 .49061 L
.50232 .4894 L
.50096 .48769 L
.50076 .48747 L
.49948 .48555 L
.49904 .48496 L
.49813 .48362 L
.49711 .48219 L
.49678 .48169 L
.49554 .47977 L
.49518 .47921 L
.49446 .47784 L
F
0 .85 1 r
.49518 .50194 m
.49711 .50242 L
.49771 .50289 L
.49904 .50408 L
.50029 .50482 L
.50096 .50653 L
.50138 .50674 L
.5028 .50867 L
.50289 .50868 L
.50424 .5106 L
.50482 .51117 L
.50622 .51253 L
.50674 .51389 L
.50718 .51445 L
.50851 .51638 L
.50867 .5166 L
.50988 .51831 L
.5106 .5193 L
.51167 .52023 L
.51253 .52198 L
.51263 .52216 L
.51387 .52409 L
.51445 .52497 L
.51508 .52601 L
.51609 .52794 L
.51445 .52899 L
.51311 .52794 L
.51253 .52751 L
.51113 .52601 L
.5106 .52542 L
.50942 .52409 L
.50867 .5231 L
.50774 .52216 L
.50674 .52065 L
.50645 .52023 L
.50483 .51831 L
.50482 .5183 L
.50336 .51638 L
.50289 .51576 L
.5019 .51445 L
.50096 .5131 L
.5007 .51253 L
.49914 .5106 L
.49904 .51045 L
.49733 .50867 L
.49711 .50826 L
.49645 .50674 L
.4953 .50482 L
.49518 .50459 L
.4945 .50289 L
F
1 .79 0 r
.49518 .4257 m
.4953 .42581 L
.49711 .42751 L
.49722 .42774 L
.49893 .42967 L
.49904 .42978 L
.50056 .43159 L
.50096 .43205 L
.50216 .43352 L
.50289 .43399 L
.50375 .43545 L
.50482 .43671 L
.50567 .43737 L
.50674 .4392 L
.50684 .4393 L
.50833 .44123 L
.50867 .44144 L
.50983 .44316 L
.5106 .44408 L
.51166 .44508 L
.51253 .44665 L
.5128 .44701 L
.51427 .44894 L
.51445 .44906 L
.51574 .45086 L
.51638 .45165 L
.51745 .45279 L
.51831 .45427 L
.51863 .45472 L
.5201 .45664 L
.52023 .45674 L
.52154 .45857 L
.52216 .45934 L
.52318 .4605 L
.52409 .46199 L
.52438 .46242 L
.52585 .46435 L
.52601 .46448 L
.52728 .46628 L
.52794 .46711 L
.52886 .46821 L
.52987 .46977 L
.53009 .47013 L
.53155 .47206 L
.53179 .47225 L
.53297 .47399 L
.53372 .47493 L
.53451 .47591 L
.53565 .47761 L
.53578 .47784 L
.53722 .47977 L
.53758 .48007 L
.53923 .48169 L
.5395 .4828 L
.54014 .48362 L
.54143 .48549 L
.54146 .48555 L
.54286 .48747 L
.54336 .48792 L
.54477 .4894 L
.54528 .49071 L
.54575 .49133 L
.54709 .49326 L
.54721 .49341 L
.54848 .49518 L
.54914 .49584 L
.55029 .49711 L
.55106 .49867 L
.55133 .49904 L
.55268 .50096 L
.55299 .50138 L
.55406 .50289 L
.55492 .50383 L
.55576 .50482 L
.55684 .5067 L
.55687 .50674 L
.55822 .50867 L
.55877 .50941 L
.5596 .5106 L
.5607 .51195 L
.56117 .51253 L
.56236 .51445 L
.56263 .51481 L
.5637 .51638 L
.56455 .51754 L
.56507 .51831 L
.56645 .52023 L
.56648 .52027 L
.56775 .52216 L
.56841 .52307 L
.56907 .52409 L
.57033 .52587 L
.57042 .52601 L
.57166 .52794 L
.57226 .5288 L
.5729 .52987 L
.57417 .53179 L
.57419 .53182 L
.5751 .53372 L
.57419 .53399 L
.57392 .53372 L
.57226 .53215 L
.57208 .53179 L
.57038 .52987 L
.57033 .52982 L
.56875 .52794 L
.56841 .52754 L
.56715 .52601 L
.56648 .52552 L
.56557 .52409 L
.56455 .52286 L
.56373 .52216 L
.56263 .52038 L
.5625 .52023 L
.56099 .51831 L
.5607 .51808 L
.55948 .51638 L
.55877 .51549 L
.55776 .51445 L
.55684 .51293 L
.55656 .51253 L
.55504 .5106 L
.55492 .5105 L
.55357 .50867 L
.55299 .50793 L
.55195 .50674 L
.55106 .50532 L
.55074 .50482 L
.54921 .50289 L
.54914 .50283 L
.54776 .50096 L
.54721 .50025 L
.54621 .49904 L
.54528 .49761 L
.54499 .49711 L
.54345 .49518 L
.54336 .4951 L
.54201 .49326 L
.54143 .4925 L
.54052 .49133 L
.5395 .48984 L
.53928 .4894 L
.53773 .48747 L
.53758 .48732 L
.53583 .48555 L
.53565 .48468 L
.53485 .48362 L
.53372 .48201 L
.53358 .48169 L
.53206 .47977 L
.53179 .47951 L
.53024 .47784 L
.52987 .47682 L
.52921 .47591 L
.52794 .47414 L
.52789 .47399 L
.52642 .47206 L
.52601 .47165 L
.52466 .47013 L
.52409 .46891 L
.52359 .46821 L
.5222 .46628 L
.52216 .46623 L
.52081 .46435 L
.52023 .46374 L
.51911 .46242 L
.51831 .46095 L
.518 .4605 L
.51662 .45857 L
.51638 .45825 L
.51523 .45664 L
.51445 .45576 L
.51361 .45472 L
.51253 .45292 L
.51244 .45279 L
.51108 .45086 L
.5106 .4502 L
.50971 .44894 L
.50867 .44764 L
.50818 .44701 L
.50696 .44508 L
.50674 .44479 L
.50562 .44316 L
.50482 .44204 L
.50426 .44123 L
.50289 .4393 L
.50289 .4393 L
.5016 .43737 L
.50096 .43647 L
.50029 .43545 L
.49904 .43364 L
.49885 .43352 L
.49774 .43159 L
.49711 .43067 L
.49651 .42967 L
.49531 .42774 L
.49518 .42754 L
.49451 .42581 L
F
0 .81 1 r
.49518 .47656 m
.49668 .47784 L
.49711 .47823 L
.49856 .47977 L
.49904 .48028 L
.50024 .48169 L
.50096 .48231 L
.50183 .48362 L
.50289 .48493 L
.50347 .48555 L
.50478 .48747 L
.50482 .48753 L
.50616 .4894 L
.50674 .49025 L
.50748 .49133 L
.50864 .49326 L
.50867 .49331 L
.50943 .49518 L
.50867 .49593 L
.50746 .49518 L
.50674 .49459 L
.50551 .49326 L
.50482 .4925 L
.5039 .49133 L
.50289 .49052 L
.50237 .4894 L
.50096 .4876 L
.50085 .48747 L
.49954 .48555 L
.49904 .48488 L
.49819 .48362 L
.49711 .4821 L
.49685 .48169 L
.49564 .47977 L
.49518 .47904 L
.49459 .47784 L
F
1 .91 0 r
.49518 .52737 m
.49564 .52794 L
.49711 .52969 L
.49726 .52987 L
.49882 .53179 L
.49904 .53204 L
.50039 .53372 L
.50096 .53439 L
.50197 .53565 L
.50289 .53612 L
.50355 .53758 L
.50482 .53913 L
.50534 .5395 L
.50662 .54143 L
.50674 .54158 L
.50815 .54336 L
.50867 .54359 L
.50968 .54528 L
.5106 .54641 L
.51148 .54721 L
.51253 .54895 L
.51265 .54914 L
.51417 .55106 L
.51445 .5512 L
.51566 .55299 L
.51638 .55389 L
.51737 .55492 L
.51831 .55649 L
.51854 .55684 L
.52004 .55877 L
.52023 .55887 L
.52151 .5607 L
.52216 .56152 L
.52312 .56263 L
.52409 .56417 L
.52432 .56455 L
.52582 .56648 L
.52601 .5666 L
.52726 .56841 L
.52794 .56928 L
.52881 .57033 L
.52987 .57196 L
.53004 .57226 L
.53152 .57419 L
.53179 .57439 L
.53294 .57611 L
.53372 .57713 L
.53444 .57804 L
.53565 .57982 L
.53572 .57997 L
.53716 .58189 L
.53758 .58224 L
.53926 .58382 L
.5395 .58506 L
.54002 .58575 L
.54135 .58768 L
.54143 .58778 L
.54274 .5896 L
.54336 .59019 L
.54465 .59153 L
.54528 .5931 L
.54554 .59346 L
.54687 .59538 L
.54721 .59585 L
.54824 .59731 L
.54914 .59832 L
.54994 .59924 L
.55096 .60116 L
.55106 .6013 L
.55229 .60309 L
.55299 .60409 L
.55363 .60502 L
.55492 .60684 L
.555 .60694 L
.55623 .60887 L
.55684 .60977 L
.55751 .6108 L
.55877 .6127 L
.55879 .61273 L
.55989 .61465 L
.5607 .61597 L
.56099 .61658 L
.5607 .61732 L
.55999 .61658 L
.55877 .61541 L
.55814 .61465 L
.55684 .61322 L
.55645 .61273 L
.55492 .61097 L
.55482 .6108 L
.55328 .60887 L
.55299 .60854 L
.55176 .60694 L
.55106 .60611 L
.55023 .60502 L
.54914 .60382 L
.54871 .60309 L
.54721 .60118 L
.5472 .60116 L
.54575 .59924 L
.54528 .59865 L
.54428 .59731 L
.54336 .59631 L
.54218 .59538 L
.54143 .5936 L
.5413 .59346 L
.5399 .59153 L
.5395 .59102 L
.53846 .5896 L
.53758 .58863 L
.53651 .58768 L
.53565 .58589 L
.53553 .58575 L
.53414 .58382 L
.53372 .58328 L
.53272 .58189 L
.53179 .58085 L
.53089 .57997 L
.52987 .57809 L
.52983 .57804 L
.52845 .57611 L
.52794 .57546 L
.52703 .57419 L
.52601 .57299 L
.52531 .57226 L
.52417 .57033 L
.52409 .57022 L
.52279 .56841 L
.52216 .56757 L
.52139 .56648 L
.52023 .56506 L
.51978 .56455 L
.51856 .56263 L
.51831 .5623 L
.51718 .5607 L
.51638 .55963 L
.51578 .55877 L
.51445 .55704 L
.51429 .55684 L
.51299 .55492 L
.51253 .5543 L
.51162 .55299 L
.5106 .55162 L
.51022 .55106 L
.50882 .54914 L
.50867 .54894 L
.50749 .54721 L
.50674 .54621 L
.50612 .54528 L
.50482 .5435 L
.50472 .54336 L
.50342 .54143 L
.50289 .54072 L
.5021 .5395 L
.50096 .53793 L
.50074 .53758 L
.49945 .53565 L
.49904 .53508 L
.49821 .53372 L
.49711 .53215 L
.4969 .53179 L
.49571 .52987 L
.49518 .52909 L
.49462 .52794 L
F
0 .84 1 r
.49518 .5021 m
.49711 .50252 L
.4976 .50289 L
.49904 .50415 L
.50021 .50482 L
.50096 .50656 L
.50133 .50674 L
.50276 .50867 L
.50289 .50868 L
.50421 .5106 L
.50482 .5112 L
.50619 .51253 L
.50674 .51393 L
.50715 .51445 L
.50848 .51638 L
.50867 .51664 L
.50984 .51831 L
.5106 .51935 L
.51162 .52023 L
.51253 .52206 L
.51258 .52216 L
.51382 .52409 L
.51445 .52507 L
.51502 .52601 L
.51595 .52794 L
.51445 .52884 L
.51326 .52794 L
.51253 .52741 L
.51122 .52601 L
.5106 .52533 L
.50948 .52409 L
.50867 .52303 L
.50779 .52216 L
.50674 .52059 L
.50648 .52023 L
.50487 .51831 L
.50482 .51825 L
.5034 .51638 L
.50289 .51571 L
.50194 .51445 L
.50096 .51305 L
.50072 .51253 L
.49918 .5106 L
.49904 .5104 L
.49735 .50867 L
.49711 .50819 L
.4965 .50674 L
.49537 .50482 L
.49518 .50443 L
.49463 .50289 L
F
1 .42 0 r
.49518 .48449 m
.49598 .48555 L
.49711 .48701 L
.49742 .48747 L
.49711 .4887 L
.49614 .48747 L
.49518 .48636 L
.49464 .48555 L
F
1 .41 0 r
.49518 .48461 m
.49589 .48555 L
.49711 .48713 L
.49733 .48747 L
.49711 .48856 L
.49624 .48747 L
.49518 .48625 L
.49472 .48555 L
F
0 .8 1 r
.49518 .47681 m
.49648 .47784 L
.49711 .47838 L
.49843 .47977 L
.49904 .4804 L
.50015 .48169 L
.50096 .48241 L
.50175 .48362 L
.50289 .48504 L
.50338 .48555 L
.5047 .48747 L
.50482 .48764 L
.50608 .4894 L
.50674 .49037 L
.50739 .49133 L
.50853 .49326 L
.50867 .49354 L
.50924 .49518 L
.50867 .49572 L
.50766 .49518 L
.50674 .49447 L
.5056 .49326 L
.50482 .49241 L
.50396 .49133 L
.50289 .49042 L
.50243 .4894 L
.50096 .4875 L
.50094 .48747 L
.4996 .48555 L
.49904 .48479 L
.49825 .48362 L
.49711 .482 L
.49691 .48169 L
.49574 .47977 L
.49518 .47884 L
.49473 .47784 L
F
1 .55 0 r
.49518 .4413 m
.49655 .44316 L
.49711 .44381 L
.49802 .44508 L
.49904 .44633 L
.49952 .44701 L
.50096 .44885 L
.50102 .44894 L
.50241 .45086 L
.50289 .45146 L
.50382 .45279 L
.50482 .45406 L
.50527 .45472 L
.50673 .45664 L
.50674 .45666 L
.50806 .45857 L
.50867 .45935 L
.50944 .4605 L
.5106 .46203 L
.51086 .46242 L
.51221 .46435 L
.51253 .46475 L
.51349 .46628 L
.51445 .46756 L
.51484 .46821 L
.51445 .46939 L
.51354 .46821 L
.51253 .46703 L
.51195 .46628 L
.5106 .4646 L
.51041 .46435 L
.50894 .46242 L
.50867 .4621 L
.50749 .4605 L
.50674 .45957 L
.50601 .45857 L
.50482 .45703 L
.50453 .45664 L
.50311 .45472 L
.50289 .45444 L
.50172 .45279 L
.50096 .45182 L
.50029 .45086 L
.49904 .4492 L
.49885 .44894 L
.4975 .44701 L
.49711 .44651 L
.49614 .44508 L
.49518 .4438 L
.49474 .44316 L
F
0 .83 1 r
.49518 .50227 m
.49711 .50262 L
.49748 .50289 L
.49904 .50422 L
.50012 .50482 L
.50096 .50659 L
.50128 .50674 L
.50273 .50867 L
.50289 .50869 L
.50418 .5106 L
.50482 .51124 L
.50616 .51253 L
.50674 .51397 L
.50712 .51445 L
.50845 .51638 L
.50867 .51668 L
.50981 .51831 L
.5106 .51939 L
.51158 .52023 L
.51253 .52214 L
.51254 .52216 L
.51377 .52409 L
.51445 .52516 L
.51495 .52601 L
.5158 .52794 L
.51445 .52867 L
.51342 .52794 L
.51253 .52732 L
.51131 .52601 L
.5106 .52524 L
.50955 .52409 L
.50867 .52296 L
.50785 .52216 L
.50674 .52055 L
.50651 .52023 L
.50491 .51831 L
.50482 .51821 L
.50344 .51638 L
.50289 .51566 L
.50197 .51445 L
.50096 .513 L
.50075 .51253 L
.49922 .5106 L
.49904 .51034 L
.49737 .50867 L
.49711 .50811 L
.49655 .50674 L
.49544 .50482 L
.49518 .50425 L
.49476 .50289 L
F
1 .4 0 r
.49518 .48474 m
.49579 .48555 L
.49711 .48728 L
.49724 .48747 L
.49711 .48838 L
.49638 .48747 L
.49518 .48613 L
.49481 .48555 L
F
1 .54 0 r
.49518 .44143 m
.49645 .44316 L
.49711 .44392 L
.49794 .44508 L
.49904 .44642 L
.49945 .44701 L
.50096 .44894 L
.50096 .44894 L
.50233 .45086 L
.50289 .45155 L
.50375 .45279 L
.50482 .45415 L
.50521 .45472 L
.50666 .45664 L
.50674 .45675 L
.50798 .45857 L
.50867 .45945 L
.50936 .4605 L
.5106 .46212 L
.5108 .46242 L
.51211 .46435 L
.51253 .46488 L
.51338 .46628 L
.51445 .46771 L
.51474 .46821 L
.51445 .46922 L
.51367 .46821 L
.51253 .4669 L
.51205 .46628 L
.5106 .46449 L
.51049 .46435 L
.50904 .46242 L
.50867 .46199 L
.50757 .4605 L
.50674 .45947 L
.50609 .45857 L
.50482 .45693 L
.5046 .45664 L
.50319 .45472 L
.50289 .45434 L
.50179 .45279 L
.50096 .45172 L
.50036 .45086 L
.49904 .4491 L
.49892 .44894 L
.49758 .44701 L
.49711 .4464 L
.49622 .44508 L
.49518 .44369 L
.49483 .44316 L
F
0 .79 1 r
.49518 .4771 m
.49625 .47784 L
.49711 .47854 L
.49831 .47977 L
.49904 .48053 L
.50005 .48169 L
.50096 .48251 L
.50166 .48362 L
.50289 .48514 L
.50328 .48555 L
.50462 .48747 L
.50482 .48774 L
.506 .4894 L
.50674 .4905 L
.5073 .49133 L
.50841 .49326 L
.50867 .49384 L
.509 .49518 L
.50867 .49548 L
.50792 .49518 L
.50674 .49435 L
.5057 .49326 L
.50482 .49232 L
.50403 .49133 L
.50289 .49032 L
.50249 .4894 L
.50101 .48747 L
.50096 .48742 L
.49966 .48555 L
.49904 .48471 L
.49831 .48362 L
.49711 .4819 L
.49698 .48169 L
.49585 .47977 L
.49518 .47859 L
.4949 .47784 L
F
0 .82 1 r
.49518 .50247 m
.49711 .50272 L
.49735 .50289 L
.49904 .50429 L
.50002 .50482 L
.50096 .50662 L
.50123 .50674 L
.50269 .50867 L
.50289 .50869 L
.50415 .5106 L
.50482 .51128 L
.50613 .51253 L
.50674 .51401 L
.50709 .51445 L
.50842 .51638 L
.50867 .51672 L
.50978 .51831 L
.5106 .51944 L
.51153 .52023 L
.51249 .52216 L
.51253 .52221 L
.51371 .52409 L
.51445 .52527 L
.51488 .52601 L
.51563 .52794 L
.51445 .52851 L
.5136 .52794 L
.51253 .52722 L
.51141 .52601 L
.5106 .52516 L
.50962 .52409 L
.50867 .52289 L
.5079 .52216 L
.50674 .5205 L
.50654 .52023 L
.50496 .51831 L
.50482 .51817 L
.50348 .51638 L
.50289 .51561 L
.50201 .51445 L
.50096 .51295 L
.50077 .51253 L
.49926 .5106 L
.49904 .51028 L
.4974 .50867 L
.49711 .50802 L
.4966 .50674 L
.49552 .50482 L
.49518 .50403 L
.49491 .50289 L
F
1 .39 0 r
.49518 .48491 m
.49566 .48555 L
.49711 .48745 L
.49712 .48747 L
.49711 .48814 L
.49656 .48747 L
.49518 .48598 L
.49491 .48555 L
F
1 .53 0 r
.49518 .44157 m
.49634 .44316 L
.49711 .44404 L
.49785 .44508 L
.49904 .44652 L
.49938 .44701 L
.50088 .44894 L
.50096 .44904 L
.50225 .45086 L
.50289 .45165 L
.50368 .45279 L
.50482 .45424 L
.50514 .45472 L
.50657 .45664 L
.50674 .45686 L
.5079 .45857 L
.50867 .45956 L
.50929 .4605 L
.5106 .46223 L
.51072 .46242 L
.512 .46435 L
.51253 .46503 L
.51326 .46628 L
.51445 .4679 L
.51462 .46821 L
.51445 .469 L
.51383 .46821 L
.51253 .46675 L
.51216 .46628 L
.5106 .46437 L
.51058 .46435 L
.50914 .46242 L
.50867 .46187 L
.50766 .4605 L
.50674 .45937 L
.50616 .45857 L
.50482 .45684 L
.50468 .45664 L
.50328 .45472 L
.50289 .45423 L
.50187 .45279 L
.50096 .45162 L
.50043 .45086 L
.49904 .449 L
.49899 .44894 L
.49768 .44701 L
.49711 .44628 L
.49631 .44508 L
.49518 .44356 L
.49491 .44316 L
F
1 .69 0 r
.49518 .50884 m
.49671 .5106 L
.49711 .51105 L
.49818 .51253 L
.49904 .51363 L
.49957 .51445 L
.49904 .51598 L
.49778 .51445 L
.49711 .51364 L
.49629 .51253 L
.49518 .51098 L
.49493 .5106 L
F
0 .43 1 r
.49518 .55161 m
.49596 .55299 L
.49711 .55474 L
.49719 .55492 L
.49711 .55528 L
.49681 .55492 L
.49518 .55331 L
.49494 .55299 L
F
1 .51 0 r
.49518 .54339 m
.49652 .54528 L
.49711 .546 L
.49795 .54721 L
.49904 .54861 L
.4994 .54914 L
.49904 .55072 L
.49794 .54914 L
.49711 .54813 L
.49648 .54721 L
.49518 .54556 L
.495 .54528 L
F
1 .52 0 r
.49518 .44173 m
.49622 .44316 L
.49711 .44416 L
.49776 .44508 L
.49904 .44663 L
.4993 .44701 L
.49904 .44888 L
.49778 .44701 L
.49711 .44615 L
.49641 .44508 L
.49518 .44342 L
.49501 .44316 L
F
0 .66 1 r
.49518 .45004 m
.4956 .45086 L
.49518 .45108 L
.49502 .45086 L
F
1 .38 0 r
.49518 .48512 m
.4955 .48555 L
.49518 .4858 L
.49504 .48555 L
F
0 .42 1 r
.49518 .55177 m
.49581 .55299 L
.49518 .55318 L
.49504 .55299 L
F
1 .68 0 r
.49518 .50906 m
.49657 .5106 L
.49711 .5112 L
.49806 .51253 L
.49904 .51378 L
.49946 .51445 L
.49904 .5158 L
.49792 .51445 L
.49711 .51348 L
.49641 .51253 L
.49518 .51079 L
.49506 .5106 L
F
0 .81 1 r
.49518 .5027 m
.49711 .50282 L
.49721 .50289 L
.49904 .50437 L
.49991 .50482 L
.50096 .50664 L
.50118 .50674 L
.50265 .50867 L
.50289 .5087 L
.50411 .5106 L
.50482 .51131 L
.50609 .51253 L
.50674 .51405 L
.50706 .51445 L
.50839 .51638 L
.50867 .51676 L
.50975 .51831 L
.5106 .51949 L
.51149 .52023 L
.51245 .52216 L
.51253 .52227 L
.51366 .52409 L
.51445 .52538 L
.5148 .52601 L
.51543 .52794 L
.51445 .52834 L
.51381 .52794 L
.51253 .52712 L
.51151 .52601 L
.5106 .52507 L
.50969 .52409 L
.50867 .52282 L
.50796 .52216 L
.50674 .52045 L
.50658 .52023 L
.505 .51831 L
.50482 .51813 L
.50352 .51638 L
.50289 .51556 L
.50204 .51445 L
.50096 .5129 L
.50079 .51253 L
.4993 .5106 L
.49904 .51022 L
.49742 .50867 L
.49711 .50791 L
.49665 .50674 L
.49559 .50482 L
.49518 .50374 L
.49507 .50289 L
F
1 .5 0 r
.49518 .54353 m
.4964 .54528 L
.49711 .54614 L
.49785 .54721 L
.49904 .54874 L
.49931 .54914 L
.49904 .55058 L
.49805 .54914 L
.49711 .54801 L
.49658 .54721 L
.49518 .54544 L
.49508 .54528 L
F
0 .78 1 r
.49518 .47753 m
.49594 .47784 L
.49711 .4787 L
.49817 .47977 L
.49904 .48066 L
.49995 .48169 L
.50096 .48263 L
.50157 .48362 L
.50289 .48526 L
.50317 .48555 L
.50454 .48747 L
.50482 .48785 L
.50592 .4894 L
.50674 .49062 L
.50721 .49133 L
.50829 .49326 L
.50674 .49422 L
.5058 .49326 L
.50482 .49222 L
.5041 .49133 L
.50289 .4902 L
.50255 .4894 L
.50107 .48747 L
.50096 .48733 L
.49972 .48555 L
.49904 .48462 L
.49838 .48362 L
.49711 .48179 L
.49705 .48169 L
.49597 .47977 L
.49518 .47819 L
.4951 .47784 L
F
0 .59 1 r
.49518 .43364 m
.49675 .43545 L
.49711 .43581 L
.49837 .43737 L
.49904 .43812 L
.49996 .4393 L
.50096 .44049 L
.50153 .44123 L
.50289 .44278 L
.50308 .44316 L
.50458 .44508 L
.50482 .44537 L
.50605 .44701 L
.50674 .44787 L
.50754 .44894 L
.50867 .45018 L
.50903 .45086 L
.5105 .45279 L
.5106 .45291 L
.51193 .45472 L
.51253 .45547 L
.51338 .45664 L
.51445 .45784 L
.51536 .45857 L
.51629 .4605 L
.51638 .46061 L
.51769 .46242 L
.51831 .46322 L
.51912 .46435 L
.52023 .46564 L
.52092 .46628 L
.52198 .46821 L
.52216 .46843 L
.52337 .47013 L
.52409 .47107 L
.52479 .47206 L
.52601 .47359 L
.52641 .47399 L
.5276 .47591 L
.52794 .47636 L
.52897 .47784 L
.52987 .47903 L
.53038 .47977 L
.53179 .48169 L
.53179 .48169 L
.53312 .48362 L
.53372 .48442 L
.53449 .48555 L
.53565 .48713 L
.53588 .48747 L
.53721 .4894 L
.53758 .48989 L
.53851 .49133 L
.5395 .49269 L
.53986 .49326 L
.54117 .49518 L
.54143 .49555 L
.54236 .49711 L
.54336 .49857 L
.54361 .49904 L
.54336 .50019 L
.54234 .49904 L
.54143 .49809 L
.54062 .49711 L
.5395 .49582 L
.53899 .49518 L
.53758 .49359 L
.5374 .49326 L
.53588 .49133 L
.53565 .49106 L
.53436 .4894 L
.53372 .48862 L
.53284 .48747 L
.53179 .48638 L
.53133 .48555 L
.52987 .48365 L
.52984 .48362 L
.52839 .48169 L
.52794 .48112 L
.52692 .47977 L
.52601 .47882 L
.52545 .47784 L
.52409 .47604 L
.52397 .47591 L
.52257 .47399 L
.52216 .47345 L
.52113 .47206 L
.52023 .47109 L
.51909 .47013 L
.51831 .46828 L
.51824 .46821 L
.51685 .46628 L
.51638 .46565 L
.51543 .46435 L
.51445 .46322 L
.51361 .46242 L
.5126 .4605 L
.51253 .4604 L
.51122 .45857 L
.5106 .45774 L
.50982 .45664 L
.50867 .45521 L
.5082 .45472 L
.50704 .45279 L
.50674 .45239 L
.50568 .45086 L
.50482 .44968 L
.5043 .44894 L
.50292 .44701 L
.50289 .44697 L
.50161 .44508 L
.50096 .44419 L
.50027 .44316 L
.49904 .44141 L
.49891 .44123 L
.49766 .4393 L
.49711 .43852 L
.4964 .43737 L
.49518 .43556 L
.49511 .43545 L
F
1 .51 0 r
.49518 .44192 m
.49606 .44316 L
.49711 .4443 L
.49765 .44508 L
.49904 .44674 L
.49922 .44701 L
.49904 .44874 L
.4979 .44701 L
.49711 .446 L
.49652 .44508 L
.49518 .44326 L
.49512 .44316 L
F
1 .49 0 r
.49518 .54369 m
.49626 .54528 L
.49711 .54629 L
.49773 .54721 L
.49904 .54888 L
.49921 .54914 L
.49904 .55042 L
.49818 .54914 L
.49711 .54787 L
.49668 .54721 L
.49518 .54532 L
.49516 .54528 L
F
0 .41 1 r
.49518 .55197 m
.49559 .55299 L
.49518 .55302 L
.49516 .55299 L
F
0 .8 1 r
.49711 .50292 m
.49904 .50444 L
.49979 .50482 L
.50096 .50667 L
.50112 .50674 L
.50261 .50867 L
.50289 .50871 L
.50408 .5106 L
.50482 .51135 L
.50606 .51253 L
.50674 .51409 L
.50703 .51445 L
.50836 .51638 L
.50867 .51681 L
.50972 .51831 L
.5106 .51953 L
.51144 .52023 L
.5124 .52216 L
.51253 .52234 L
.5136 .52409 L
.51445 .5255 L
.51473 .52601 L
.51517 .52794 L
.51445 .52815 L
.51405 .52794 L
.51253 .52702 L
.51161 .52601 L
.5106 .52499 L
.50976 .52409 L
.50867 .52275 L
.50801 .52216 L
.50674 .52041 L
.50661 .52023 L
.50504 .51831 L
.50482 .51808 L
.50356 .51638 L
.50289 .51551 L
.50208 .51445 L
.50096 .51285 L
.50082 .51253 L
.49934 .5106 L
.49904 .51016 L
.49745 .50867 L
.49711 .5078 L
.49671 .50674 L
.49567 .50482 L
F
0 .93 1 r
.49711 .41967 m
.49747 .42003 L
.49904 .42159 L
.49931 .42196 L
.50096 .42381 L
.50106 .42389 L
.50268 .42581 L
.50289 .42605 L
.5043 .42774 L
.50482 .4283 L
.50589 .42967 L
.50674 .43076 L
.50755 .43159 L
.50867 .43321 L
.50888 .43352 L
.51049 .43545 L
.5106 .43557 L
.51201 .43737 L
.51253 .43809 L
.51353 .4393 L
.51445 .44066 L
.51477 .44123 L
.51638 .44313 L
.51645 .44316 L
.51823 .44508 L
.51831 .44563 L
.51936 .44701 L
.52023 .44828 L
.52054 .44894 L
.52216 .45082 L
.52228 .45086 L
.52392 .45279 L
.52409 .45332 L
.52511 .45472 L
.52601 .45599 L
.52626 .45664 L
.52794 .45854 L
.52803 .45857 L
.52962 .4605 L
.52987 .46108 L
.53081 .46242 L
.53179 .46377 L
.53193 .46435 L
.53372 .46628 L
.53373 .46628 L
.5353 .46821 L
.53565 .4689 L
.53648 .47013 L
.53758 .47159 L
.53759 .47206 L
.53942 .47399 L
.5395 .47409 L
.54096 .47591 L
.54143 .47675 L
.54213 .47784 L
.54336 .47943 L
.54368 .47977 L
.54508 .48169 L
.54528 .48195 L
.5466 .48362 L
.54721 .48462 L
.54777 .48555 L
.54914 .48727 L
.54933 .48747 L
.55073 .4894 L
.55106 .48981 L
.55224 .49133 L
.55299 .49249 L
.55341 .49326 L
.55492 .49512 L
.55498 .49518 L
.55679 .49711 L
.55684 .49769 L
.55786 .49904 L
.55877 .50038 L
.55905 .50096 L
.56061 .50289 L
.5607 .50296 L
.56242 .50482 L
.56263 .50558 L
.56348 .50674 L
.56455 .50828 L
.56471 .50867 L
.56624 .5106 L
.56648 .5108 L
.56802 .51253 L
.56841 .51349 L
.56909 .51445 L
.57033 .5162 L
.57039 .51638 L
.57185 .51831 L
.57226 .51866 L
.5736 .52023 L
.57419 .52142 L
.57469 .52216 L
.57608 .52409 L
.57611 .52413 L
.57746 .52601 L
.57804 .52657 L
.57916 .52794 L
.57997 .52939 L
.58028 .52987 L
.58166 .53179 L
.58189 .5321 L
.58304 .53372 L
.58382 .53454 L
.58468 .53565 L
.58575 .5374 L
.58586 .53758 L
.58722 .5395 L
.58768 .54011 L
.5886 .54143 L
.5896 .54261 L
.59016 .54336 L
.59139 .54528 L
.59153 .54548 L
.59273 .54721 L
.59346 .5482 L
.5941 .54914 L
.59538 .55084 L
.59554 .55106 L
.59681 .55299 L
.59731 .55367 L
.59814 .55492 L
.59924 .55645 L
.59981 .55684 L
.6008 .55877 L
.60116 .55928 L
.60206 .5607 L
.60309 .5622 L
.60335 .56263 L
.60453 .56455 L
.60502 .56531 L
.6056 .56648 L
.60502 .56767 L
.60384 .56648 L
.60309 .56575 L
.60201 .56455 L
.60116 .56407 L
.60029 .56263 L
.59924 .56143 L
.59795 .5607 L
.59731 .55907 L
.59703 .55877 L
.59545 .55684 L
.59538 .5568 L
.59387 .55492 L
.59346 .5544 L
.59191 .55299 L
.59153 .5519 L
.59087 .55106 L
.5896 .54939 L
.58956 .54914 L
.5878 .54721 L
.58768 .54705 L
.58609 .54528 L
.58575 .54448 L
.58493 .54336 L
.58382 .54186 L
.58374 .54143 L
.5819 .5395 L
.58189 .53949 L
.58032 .53758 L
.57997 .53688 L
.57913 .53565 L
.57804 .53421 L
.578 .53372 L
.57611 .5318 L
.57611 .53179 L
.57459 .52987 L
.57419 .52916 L
.5734 .52794 L
.57226 .52646 L
.57179 .52601 L
.57038 .52409 L
.57033 .52402 L
.56889 .52216 L
.56841 .52136 L
.56772 .52023 L
.56648 .51867 L
.56609 .51831 L
.56468 .51638 L
.56455 .5162 L
.56322 .51445 L
.56263 .51353 L
.56207 .51253 L
.5607 .51085 L
.56041 .5106 L
.55879 .50867 L
.55877 .50836 L
.55757 .50674 L
.55684 .50567 L
.55642 .50482 L
.55492 .50303 L
.55475 .50289 L
.5531 .50096 L
.55299 .50049 L
.55193 .49904 L
.55106 .4978 L
.55078 .49711 L
.54914 .49521 L
.54911 .49518 L
.54745 .49326 L
.54721 .49261 L
.5463 .49133 L
.54528 .48992 L
.54513 .4894 L
.54347 .48747 L
.54336 .48736 L
.54182 .48555 L
.54143 .48472 L
.54068 .48362 L
.5395 .48204 L
.53945 .48169 L
.53783 .47977 L
.53758 .4795 L
.5362 .47784 L
.53565 .47682 L
.53506 .47591 L
.53372 .47414 L
.5336 .47399 L
.53221 .47206 L
.53179 .47162 L
.5306 .47013 L
.52987 .4689 L
.52944 .46821 L
.52799 .46628 L
.52794 .46622 L
.5266 .46435 L
.52601 .46371 L
.52501 .46242 L
.52409 .46095 L
.52383 .4605 L
.52239 .45857 L
.52216 .45826 L
.521 .45664 L
.52023 .45576 L
.51945 .45472 L
.51831 .45297 L
.51821 .45279 L
.51682 .45086 L
.51638 .45069 L
.51482 .44894 L
.51445 .44774 L
.51393 .44701 L
.51264 .44508 L
.51253 .44493 L
.51128 .44316 L
.5106 .44269 L
.50941 .44123 L
.50867 .4396 L
.50847 .4393 L
.50716 .43737 L
.50674 .4368 L
.50582 .43545 L
.50482 .4344 L
.50416 .43352 L
.5031 .43159 L
.50289 .4313 L
.50181 .42967 L
.50096 .42847 L
.50049 .42774 L
.49918 .42581 L
.49904 .42561 L
.49799 .42389 L
.49711 .42256 L
.49677 .42196 L
.49571 .42003 L
F
1 .98 0 r
.49711 .47166 m
.4977 .47206 L
.49904 .47312 L
.50025 .47399 L
.50096 .4752 L
.50235 .47591 L
.50289 .47645 L
.50421 .47784 L
.50482 .47853 L
.50592 .47977 L
.50674 .4808 L
.5075 .48169 L
.50867 .48323 L
.50899 .48362 L
.5104 .48555 L
.5106 .48584 L
.51123 .48747 L
.51253 .48885 L
.51338 .4894 L
.51445 .49093 L
.51476 .49133 L
.51607 .49326 L
.51638 .49365 L
.5167 .49518 L
.51831 .49661 L
.51861 .49711 L
.51919 .49904 L
.51831 .49917 L
.51638 .49927 L
.51574 .49904 L
.51445 .49814 L
.5136 .49711 L
.51253 .49584 L
.5118 .49518 L
.5106 .49329 L
.51057 .49326 L
.50918 .49133 L
.50867 .49101 L
.50777 .4894 L
.50674 .4882 L
.50613 .48747 L
.50492 .48555 L
.50482 .48542 L
.50355 .48362 L
.50289 .48273 L
.50216 .48169 L
.50096 .48031 L
.50062 .47977 L
.49939 .47784 L
.49904 .47735 L
.49808 .47591 L
.49711 .47452 L
.49677 .47399 L
.49571 .47206 L
F
0 .79 1 r
.49711 .50303 m
.49904 .50451 L
.49967 .50482 L
.50096 .5067 L
.50107 .50674 L
.50258 .50867 L
.50289 .50872 L
.50405 .5106 L
.50482 .51139 L
.50602 .51253 L
.50674 .51414 L
.50699 .51445 L
.50832 .51638 L
.50867 .51685 L
.50969 .51831 L
.5106 .51958 L
.51139 .52023 L
.51236 .52216 L
.51253 .52241 L
.51355 .52409 L
.51445 .52563 L
.51465 .52601 L
.51468 .52794 L
.51445 .52795 L
.51442 .52794 L
.51253 .52691 L
.51171 .52601 L
.5106 .5249 L
.50984 .52409 L
.50867 .52269 L
.50807 .52216 L
.50674 .52036 L
.50664 .52023 L
.50509 .51831 L
.50482 .51804 L
.5036 .51638 L
.50289 .51546 L
.50211 .51445 L
.50096 .5128 L
.50084 .51253 L
.49938 .5106 L
.49904 .5101 L
.49749 .50867 L
.49711 .50768 L
.49676 .50674 L
.49574 .50482 L
F
0 .78 1 r
.49711 .50313 m
.49904 .50458 L
.49953 .50482 L
.50096 .50672 L
.50101 .50674 L
.50254 .50867 L
.50289 .50873 L
.50402 .5106 L
.50482 .51143 L
.50598 .51253 L
.50674 .51418 L
.50696 .51445 L
.50829 .51638 L
.50867 .51689 L
.50965 .51831 L
.5106 .51963 L
.51133 .52023 L
.51231 .52216 L
.51253 .52248 L
.51349 .52409 L
.51445 .52577 L
.51457 .52601 L
.51445 .52773 L
.51253 .52679 L
.51182 .52601 L
.5106 .52482 L
.50991 .52409 L
.50867 .52262 L
.50813 .52216 L
.50674 .52032 L
.50668 .52023 L
.50513 .51831 L
.50482 .518 L
.50364 .51638 L
.50289 .51541 L
.50215 .51445 L
.50096 .51275 L
.50086 .51253 L
.49942 .5106 L
.49904 .51004 L
.49752 .50867 L
.49711 .50754 L
.49682 .50674 L
.49582 .50482 L
F
0 .77 1 r
.49711 .50324 m
.49904 .50466 L
.49939 .50482 L
.50095 .50674 L
.50096 .50675 L
.5025 .50867 L
.50289 .50874 L
.50399 .5106 L
.50482 .51147 L
.50595 .51253 L
.50674 .51422 L
.50692 .51445 L
.50826 .51638 L
.50867 .51694 L
.50962 .51831 L
.5106 .51968 L
.51128 .52023 L
.51226 .52216 L
.51253 .52256 L
.51343 .52409 L
.51445 .52594 L
.51448 .52601 L
.51445 .52747 L
.51253 .52667 L
.51193 .52601 L
.5106 .52474 L
.50998 .52409 L
.50867 .52256 L
.5082 .52216 L
.50674 .52027 L
.50671 .52023 L
.50517 .51831 L
.50482 .51796 L
.50368 .51638 L
.50289 .51536 L
.50218 .51445 L
.50096 .5127 L
.50088 .51253 L
.49946 .5106 L
.49904 .50998 L
.49756 .50867 L
.49711 .5074 L
.49688 .50674 L
.4959 .50482 L
F
0 .76 1 r
.49711 .50334 m
.49904 .50473 L
.49923 .50482 L
.5009 .50674 L
.50096 .50681 L
.50246 .50867 L
.50289 .50876 L
.50395 .5106 L
.50482 .51151 L
.5059 .51253 L
.50674 .51427 L
.50689 .51445 L
.50823 .51638 L
.50867 .51698 L
.50959 .51831 L
.5106 .51973 L
.51122 .52023 L
.51221 .52216 L
.51253 .52264 L
.51337 .52409 L
.51438 .52601 L
.51253 .52653 L
.51205 .52601 L
.5106 .52466 L
.51006 .52409 L
.50867 .5225 L
.50826 .52216 L
.50675 .52023 L
.50674 .52023 L
.50522 .51831 L
.50482 .51792 L
.50373 .51638 L
.50289 .5153 L
.50222 .51445 L
.50096 .51265 L
.50091 .51253 L
.49951 .5106 L
.49904 .50992 L
.4976 .50867 L
.49711 .50724 L
.49694 .50674 L
.49599 .50482 L
F
0 .75 1 r
.49711 .50346 m
.49904 .5048 L
.49907 .50482 L
.50085 .50674 L
.50096 .50687 L
.50242 .50867 L
.50289 .50877 L
.50392 .5106 L
.50482 .51155 L
.50586 .51253 L
.50674 .51431 L
.50685 .51445 L
.5082 .51638 L
.50867 .51703 L
.50955 .51831 L
.5106 .51978 L
.51116 .52023 L
.51216 .52216 L
.51253 .52272 L
.51331 .52409 L
.51424 .52601 L
.51253 .52639 L
.51218 .52601 L
.5106 .52457 L
.51014 .52409 L
.50867 .52243 L
.50833 .52216 L
.5068 .52023 L
.50674 .52017 L
.50526 .51831 L
.50482 .51787 L
.50377 .51638 L
.50289 .51525 L
.50226 .51445 L
.50096 .51259 L
.50093 .51253 L
.49955 .5106 L
.49904 .50985 L
.49765 .50867 L
.49711 .50706 L
.497 .50674 L
.49607 .50482 L
F
0 .77 1 r
.49711 .47887 m
.49802 .47977 L
.49904 .48079 L
.49984 .48169 L
.50096 .48276 L
.50148 .48362 L
.50289 .48537 L
.50306 .48555 L
.50445 .48747 L
.50482 .48797 L
.50584 .4894 L
.50674 .49076 L
.50712 .49133 L
.50815 .49326 L
.50674 .49409 L
.50591 .49326 L
.50482 .49213 L
.50418 .49133 L
.50289 .49008 L
.5026 .4894 L
.50114 .48747 L
.50096 .48724 L
.49979 .48555 L
.49904 .48452 L
.49845 .48362 L
.49713 .48169 L
.49711 .48167 L
.4961 .47977 L
F
0 .74 1 r
.49711 .50357 m
.49897 .50482 L
.49904 .50488 L
.5008 .50674 L
.50096 .50692 L
.50238 .50867 L
.50289 .50879 L
.50389 .5106 L
.50482 .5116 L
.50582 .51253 L
.50674 .51436 L
.50682 .51445 L
.50816 .51638 L
.50867 .51707 L
.50952 .51831 L
.5106 .51983 L
.5111 .52023 L
.51211 .52216 L
.51253 .52281 L
.51324 .52409 L
.51409 .52601 L
.51253 .52623 L
.51232 .52601 L
.5106 .52448 L
.51022 .52409 L
.50867 .52237 L
.5084 .52216 L
.50685 .52023 L
.50674 .52011 L
.50531 .51831 L
.50482 .51783 L
.50381 .51638 L
.50289 .5152 L
.5023 .51445 L
.50096 .51254 L
.50096 .51253 L
.49959 .5106 L
.49904 .50979 L
.4977 .50867 L
.49711 .50688 L
.49707 .50674 L
.49616 .50482 L
F
0 .76 1 r
.49711 .47906 m
.49786 .47977 L
.49904 .48092 L
.49973 .48169 L
.50096 .48289 L
.50139 .48362 L
.50289 .4855 L
.50294 .48555 L
.50437 .48747 L
.50482 .48808 L
.50575 .4894 L
.50674 .4909 L
.50702 .49133 L
.50801 .49326 L
.50674 .49395 L
.50603 .49326 L
.50482 .49203 L
.50425 .49133 L
.50289 .48994 L
.50267 .4894 L
.50121 .48747 L
.50096 .48715 L
.49986 .48555 L
.49904 .48442 L
.49851 .48362 L
.49723 .48169 L
.49711 .48151 L
.49625 .47977 L
F
0 .73 1 r
.49711 .50369 m
.49887 .50482 L
.49904 .50495 L
.50075 .50674 L
.50096 .50698 L
.50234 .50867 L
.50289 .50881 L
.50385 .5106 L
.50482 .51164 L
.50577 .51253 L
.50674 .51441 L
.50678 .51445 L
.50813 .51638 L
.50867 .51712 L
.50949 .51831 L
.5106 .51989 L
.51103 .52023 L
.51206 .52216 L
.51253 .5229 L
.51318 .52409 L
.5139 .52601 L
.51253 .52606 L
.51248 .52601 L
.5106 .5244 L
.5103 .52409 L
.50867 .52231 L
.50848 .52216 L
.5069 .52023 L
.50674 .52005 L
.50535 .51831 L
.50482 .51778 L
.50385 .51638 L
.50289 .51515 L
.50234 .51445 L
.50099 .51253 L
.50096 .51249 L
.49963 .5106 L
.49904 .50973 L
.49775 .50867 L
.49713 .50674 L
.49711 .50671 L
.49625 .50482 L
F
0 .72 1 r
.49711 .50381 m
.49878 .50482 L
.49904 .50503 L
.50069 .50674 L
.50096 .50704 L
.5023 .50867 L
.50289 .50884 L
.50382 .5106 L
.50482 .51169 L
.50573 .51253 L
.50674 .51445 L
.50674 .51445 L
.5081 .51638 L
.50867 .51716 L
.50945 .51831 L
.5106 .51994 L
.51097 .52023 L
.51201 .52216 L
.51253 .523 L
.51311 .52409 L
.51253 .52591 L
.5106 .52431 L
.51038 .52409 L
.50867 .52225 L
.50856 .52216 L
.50695 .52023 L
.50674 .51999 L
.5054 .51831 L
.50482 .51774 L
.50389 .51638 L
.50289 .5151 L
.50238 .51445 L
.50103 .51253 L
.50096 .51243 L
.49967 .5106 L
.49904 .50966 L
.49781 .50867 L
.49719 .50674 L
.49711 .50659 L
.49635 .50482 L
F
0 .75 1 r
.49711 .47927 m
.49768 .47977 L
.49904 .48106 L
.49961 .48169 L
.50096 .48305 L
.50129 .48362 L
.50284 .48555 L
.50289 .48561 L
.50428 .48747 L
.50482 .4882 L
.50566 .4894 L
.50674 .49105 L
.50692 .49133 L
.50785 .49326 L
.50674 .4938 L
.50616 .49326 L
.50482 .49193 L
.50433 .49133 L
.50289 .4898 L
.50273 .4894 L
.50128 .48747 L
.50096 .48706 L
.49993 .48555 L
.49904 .48432 L
.49859 .48362 L
.49734 .48169 L
.49711 .48133 L
.49643 .47977 L
F
0 .71 1 r
.49711 .50394 m
.49867 .50482 L
.49904 .5051 L
.50063 .50674 L
.50096 .50709 L
.50226 .50867 L
.50289 .50887 L
.50378 .5106 L
.50482 .51173 L
.50568 .51253 L
.50671 .51445 L
.50674 .5145 L
.50806 .51638 L
.50867 .51721 L
.50942 .51831 L
.5106 .52 L
.5109 .52023 L
.51195 .52216 L
.51253 .5231 L
.51303 .52409 L
.51253 .52578 L
.5106 .52422 L
.51047 .52409 L
.50867 .52218 L
.50864 .52216 L
.50701 .52023 L
.50674 .51993 L
.50544 .51831 L
.50482 .51769 L
.50393 .51638 L
.50289 .51504 L
.50242 .51445 L
.50107 .51253 L
.50096 .51237 L
.49972 .5106 L
.49904 .5096 L
.49787 .50867 L
.49726 .50674 L
.49711 .50646 L
.49645 .50482 L
F
0 .58 1 r
.49711 .43594 m
.49828 .43737 L
.49904 .43821 L
.49989 .4393 L
.50096 .44057 L
.50147 .44123 L
.50289 .44288 L
.50303 .44316 L
.50452 .44508 L
.50482 .44544 L
.506 .44701 L
.50674 .44793 L
.5075 .44894 L
.50867 .45025 L
.509 .45086 L
.51046 .45279 L
.5106 .45296 L
.51189 .45472 L
.51253 .45552 L
.51335 .45664 L
.51445 .45789 L
.51529 .45857 L
.51625 .4605 L
.51638 .46066 L
.51766 .46242 L
.51831 .46326 L
.51909 .46435 L
.52023 .4657 L
.52087 .46628 L
.52195 .46821 L
.52216 .46848 L
.52334 .47013 L
.52409 .47111 L
.52476 .47206 L
.52601 .47365 L
.52635 .47399 L
.52756 .47591 L
.52794 .47641 L
.52894 .47784 L
.52987 .47908 L
.53035 .47977 L
.53175 .48169 L
.53179 .48175 L
.53308 .48362 L
.53372 .48448 L
.53445 .48555 L
.53565 .48719 L
.53584 .48747 L
.53716 .4894 L
.53758 .48997 L
.53846 .49133 L
.5395 .49277 L
.53981 .49326 L
.54109 .49518 L
.54143 .49566 L
.54226 .49711 L
.54336 .49875 L
.5435 .49904 L
.54336 .49997 L
.5425 .49904 L
.54143 .49796 L
.54072 .49711 L
.5395 .49572 L
.53906 .49518 L
.53758 .49346 L
.53747 .49326 L
.53594 .49133 L
.53565 .49098 L
.53442 .4894 L
.53372 .48855 L
.53289 .48747 L
.53179 .4863 L
.53138 .48555 L
.52989 .48362 L
.52987 .48359 L
.52844 .48169 L
.52794 .48107 L
.52696 .47977 L
.52601 .47876 L
.52549 .47784 L
.52409 .47599 L
.52402 .47591 L
.52261 .47399 L
.52216 .4734 L
.52117 .47206 L
.52023 .47104 L
.51915 .47013 L
.51831 .46823 L
.51829 .46821 L
.51689 .46628 L
.51638 .46561 L
.51547 .46435 L
.51445 .46317 L
.51367 .46242 L
.51264 .4605 L
.51253 .46035 L
.51126 .45857 L
.5106 .45769 L
.50985 .45664 L
.50867 .45514 L
.50827 .45472 L
.50709 .45279 L
.50674 .45233 L
.50572 .45086 L
.50482 .44962 L
.50434 .44894 L
.50297 .44701 L
.50289 .4469 L
.50166 .44508 L
.50096 .44412 L
.50032 .44316 L
.49904 .44133 L
.49897 .44123 L
.49774 .4393 L
.49711 .43841 L
.49648 .43737 L
F
1 .67 0 r
.49711 .51137 m
.49793 .51253 L
.49904 .51395 L
.49934 .51445 L
.49904 .51559 L
.49808 .51445 L
.49711 .5133 L
.49654 .51253 L
F
0 .7 1 r
.49711 .50408 m
.49855 .50482 L
.49904 .50518 L
.50058 .50674 L
.50096 .50715 L
.50222 .50867 L
.50289 .5089 L
.50375 .5106 L
.50482 .51178 L
.50562 .51253 L
.50667 .51445 L
.50674 .51454 L
.50803 .51638 L
.50867 .51726 L
.50938 .51831 L
.5106 .52005 L
.51083 .52023 L
.5119 .52216 L
.51253 .52321 L
.51296 .52409 L
.51253 .52563 L
.5106 .52412 L
.51056 .52409 L
.50872 .52216 L
.50867 .52211 L
.50706 .52023 L
.50674 .51987 L
.50549 .51831 L
.50482 .51764 L
.50397 .51638 L
.50289 .51499 L
.50246 .51445 L
.50111 .51253 L
.50096 .51232 L
.49976 .5106 L
.49904 .50953 L
.49794 .50867 L
.49732 .50674 L
.49711 .50632 L
.49656 .50482 L
F
0 .57 1 r
.49711 .43607 m
.49817 .43737 L
.49904 .43831 L
.49981 .4393 L
.50096 .44065 L
.50141 .44123 L
.50289 .44298 L
.50298 .44316 L
.50447 .44508 L
.50482 .4455 L
.50595 .44701 L
.50674 .44798 L
.50746 .44894 L
.50867 .45032 L
.50896 .45086 L
.51042 .45279 L
.5106 .45301 L
.51185 .45472 L
.51253 .45557 L
.51331 .45664 L
.51445 .45795 L
.51522 .45857 L
.51622 .4605 L
.51638 .4607 L
.51763 .46242 L
.51831 .4633 L
.51906 .46435 L
.52023 .46575 L
.52081 .46628 L
.52192 .46821 L
.52216 .46852 L
.52331 .47013 L
.52409 .47116 L
.52473 .47206 L
.52601 .4737 L
.52629 .47399 L
.52753 .47591 L
.52794 .47646 L
.5289 .47784 L
.52987 .47913 L
.53031 .47977 L
.53171 .48169 L
.53179 .4818 L
.53304 .48362 L
.53372 .48453 L
.53441 .48555 L
.53565 .48725 L
.5358 .48747 L
.5371 .4894 L
.53758 .49004 L
.53841 .49133 L
.5395 .49286 L
.53975 .49326 L
.541 .49518 L
.54143 .49579 L
.54216 .49711 L
.54336 .49899 L
.54338 .49904 L
.54336 .49965 L
.54272 .49904 L
.54143 .49782 L
.54083 .49711 L
.5395 .49562 L
.53915 .49518 L
.53758 .49332 L
.53754 .49326 L
.53601 .49133 L
.53565 .4909 L
.53448 .4894 L
.53372 .48848 L
.53294 .48747 L
.53179 .48622 L
.53143 .48555 L
.52994 .48362 L
.52987 .48353 L
.52848 .48169 L
.52794 .48101 L
.52701 .47977 L
.52601 .4787 L
.52553 .47784 L
.52409 .47593 L
.52407 .47591 L
.52265 .47399 L
.52216 .47335 L
.5212 .47206 L
.52023 .47098 L
.51921 .47013 L
.51833 .46821 L
.51831 .46818 L
.51693 .46628 L
.51638 .46556 L
.5155 .46435 L
.51445 .46311 L
.51372 .46242 L
.51268 .4605 L
.51253 .4603 L
.5113 .45857 L
.5106 .45763 L
.50989 .45664 L
.50867 .45507 L
.50833 .45472 L
.50713 .45279 L
.50674 .45227 L
.50576 .45086 L
.50482 .44956 L
.50438 .44894 L
.50302 .44701 L
.50289 .44683 L
.50172 .44508 L
.50096 .44404 L
.50037 .44316 L
.49904 .44125 L
.49903 .44123 L
.49782 .4393 L
.49711 .43828 L
.49657 .43737 L
F
0 .74 1 r
.49711 .53778 m
.49847 .5395 L
.49904 .54016 L
.50003 .54143 L
.50096 .54258 L
.50157 .54336 L
.50289 .54487 L
.50308 .54528 L
.50455 .54721 L
.50482 .54754 L
.50602 .54914 L
.50674 .55006 L
.5075 .55106 L
.50867 .55238 L
.50897 .55299 L
.5104 .55492 L
.5106 .55516 L
.51183 .55684 L
.51253 .55775 L
.51327 .55877 L
.51445 .56017 L
.51471 .5607 L
.51611 .56263 L
.51638 .56298 L
.51751 .56455 L
.51831 .56562 L
.51892 .56648 L
.52023 .5682 L
.52047 .56841 L
.52168 .57033 L
.52216 .57097 L
.52306 .57226 L
.52409 .57368 L
.52444 .57419 L
.52578 .57611 L
.52601 .57643 L
.52708 .57804 L
.52794 .57924 L
.52842 .57997 L
.52972 .58189 L
.52987 .5821 L
.53087 .58382 L
.53179 .58522 L
.53206 .58575 L
.53179 .58627 L
.53136 .58575 L
.52987 .58421 L
.52957 .58382 L
.52794 .58192 L
.52792 .58189 L
.52642 .57997 L
.52601 .57951 L
.52491 .57804 L
.52409 .57706 L
.52339 .57611 L
.52216 .57459 L
.52186 .57419 L
.52038 .57226 L
.52023 .57208 L
.51895 .57033 L
.51831 .56953 L
.51749 .56841 L
.51638 .56698 L
.51602 .56648 L
.51456 .56455 L
.51445 .56442 L
.51317 .56263 L
.51253 .5618 L
.51175 .5607 L
.5106 .5592 L
.51029 .55877 L
.50888 .55684 L
.50867 .55658 L
.50751 .55492 L
.50674 .55392 L
.5061 .55299 L
.50482 .55128 L
.50467 .55106 L
.50331 .54914 L
.50289 .54858 L
.50197 .54721 L
.50096 .54588 L
.50057 .54528 L
.49919 .54336 L
.49904 .54316 L
.49791 .54143 L
.49711 .54035 L
.49658 .5395 L
F
1 .78 0 r
.49711 .42783 m
.49877 .42967 L
.49904 .42994 L
.50044 .43159 L
.50096 .43217 L
.50207 .43352 L
.50289 .43408 L
.50366 .43545 L
.50482 .4368 L
.50556 .43737 L
.50674 .43928 L
.50677 .4393 L
.50827 .44123 L
.50867 .44148 L
.50978 .44316 L
.5106 .44414 L
.5116 .44508 L
.51253 .44671 L
.51276 .44701 L
.51423 .44894 L
.51445 .44909 L
.5157 .45086 L
.51638 .4517 L
.51742 .45279 L
.51831 .45431 L
.5186 .45472 L
.52006 .45664 L
.52023 .45677 L
.52151 .45857 L
.52216 .45938 L
.52315 .4605 L
.52409 .46202 L
.52435 .46242 L
.52582 .46435 L
.52601 .4645 L
.52725 .46628 L
.52794 .46714 L
.52884 .46821 L
.52987 .46981 L
.53007 .47013 L
.53153 .47206 L
.53179 .47227 L
.53295 .47399 L
.53372 .47496 L
.53449 .47591 L
.53565 .47764 L
.53576 .47784 L
.5372 .47977 L
.53758 .48009 L
.53922 .48169 L
.5395 .48283 L
.54012 .48362 L
.54143 .48552 L
.54144 .48555 L
.54284 .48747 L
.54336 .48795 L
.54475 .4894 L
.54528 .49074 L
.54573 .49133 L
.54707 .49326 L
.54721 .49344 L
.54845 .49518 L
.54914 .49587 L
.55026 .49711 L
.55106 .49871 L
.5513 .49904 L
.55265 .50096 L
.55299 .50142 L
.55403 .50289 L
.55492 .50387 L
.55573 .50482 L
.55684 .50674 L
.55684 .50675 L
.55819 .50867 L
.55877 .50946 L
.55957 .5106 L
.5607 .51201 L
.56112 .51253 L
.56232 .51445 L
.56263 .51486 L
.56366 .51638 L
.56455 .5176 L
.56503 .51831 L
.5664 .52023 L
.56648 .52034 L
.56769 .52216 L
.56841 .52316 L
.56901 .52409 L
.57033 .52597 L
.57036 .52601 L
.57157 .52794 L
.57226 .52895 L
.5728 .52987 L
.574 .53179 L
.57226 .53181 L
.57225 .53179 L
.57052 .52987 L
.57033 .52967 L
.56887 .52794 L
.56841 .52742 L
.56724 .52601 L
.56648 .52543 L
.56565 .52409 L
.56455 .52276 L
.56382 .52216 L
.56263 .5203 L
.56257 .52023 L
.56105 .51831 L
.5607 .51803 L
.55954 .51638 L
.55877 .51543 L
.55781 .51445 L
.55684 .51287 L
.5566 .51253 L
.55509 .5106 L
.55492 .51046 L
.55361 .50867 L
.55299 .50788 L
.55199 .50674 L
.55106 .50527 L
.55077 .50482 L
.54924 .50289 L
.54914 .5028 L
.54779 .50096 L
.54721 .50021 L
.54624 .49904 L
.54528 .49758 L
.54501 .49711 L
.54348 .49518 L
.54336 .49507 L
.54204 .49326 L
.54143 .49246 L
.54054 .49133 L
.5395 .48981 L
.5393 .4894 L
.53776 .48747 L
.53758 .4873 L
.53584 .48555 L
.53565 .48465 L
.53487 .48362 L
.53372 .48198 L
.5336 .48169 L
.53209 .47977 L
.53179 .47948 L
.53026 .47784 L
.52987 .47679 L
.52923 .47591 L
.52794 .47411 L
.5279 .47399 L
.52644 .47206 L
.52601 .47162 L
.52468 .47013 L
.52409 .46888 L
.52362 .46821 L
.52222 .46628 L
.52216 .46619 L
.52083 .46435 L
.52023 .46371 L
.51914 .46242 L
.51831 .46091 L
.51803 .4605 L
.51664 .45857 L
.51638 .45821 L
.51526 .45664 L
.51445 .45571 L
.51364 .45472 L
.51253 .45287 L
.51247 .45279 L
.51112 .45086 L
.5106 .45015 L
.50974 .44894 L
.50867 .44758 L
.50823 .44701 L
.507 .44508 L
.50674 .44473 L
.50567 .44316 L
.50482 .44197 L
.50431 .44123 L
.50295 .4393 L
.50289 .43922 L
.50167 .43737 L
.50096 .43638 L
.50036 .43545 L
.49904 .43353 L
.49902 .43352 L
.49784 .43159 L
.49711 .4305 L
.49663 .42967 L
F
1 .5 0 r
.49711 .44447 m
.49753 .44508 L
.49904 .44687 L
.49913 .44701 L
.49904 .44859 L
.49803 .44701 L
.49711 .44583 L
.49665 .44508 L
F
0 .56 1 r
.49711 .43622 m
.49806 .43737 L
.49904 .43842 L
.49973 .4393 L
.50096 .44073 L
.50135 .44123 L
.50289 .44309 L
.50292 .44316 L
.50441 .44508 L
.50482 .44557 L
.5059 .44701 L
.50674 .44804 L
.50741 .44894 L
.50867 .45039 L
.50892 .45086 L
.51038 .45279 L
.5106 .45307 L
.51182 .45472 L
.51253 .45562 L
.51328 .45664 L
.51445 .45801 L
.51515 .45857 L
.51618 .4605 L
.51638 .46075 L
.51759 .46242 L
.51831 .46335 L
.51903 .46435 L
.52023 .46581 L
.52075 .46628 L
.52188 .46821 L
.52216 .46857 L
.52327 .47013 L
.52409 .4712 L
.52469 .47206 L
.52601 .47377 L
.52623 .47399 L
.52749 .47591 L
.52794 .4765 L
.52887 .47784 L
.52987 .47918 L
.53028 .47977 L
.53167 .48169 L
.53179 .48186 L
.533 .48362 L
.53372 .48459 L
.53436 .48555 L
.53565 .48731 L
.53576 .48747 L
.53705 .4894 L
.53758 .49012 L
.53835 .49133 L
.5395 .49295 L
.5397 .49326 L
.5409 .49518 L
.54143 .49594 L
.54204 .49711 L
.54143 .49767 L
.54095 .49711 L
.5395 .49551 L
.53923 .49518 L
.53762 .49326 L
.53758 .49321 L
.53608 .49133 L
.53565 .49082 L
.53454 .4894 L
.53372 .48841 L
.533 .48747 L
.53179 .48614 L
.53148 .48555 L
.52999 .48362 L
.52987 .48347 L
.52853 .48169 L
.52794 .48095 L
.52705 .47977 L
.52601 .47864 L
.52557 .47784 L
.52412 .47591 L
.52409 .47588 L
.52269 .47399 L
.52216 .4733 L
.52124 .47206 L
.52023 .47092 L
.51927 .47013 L
.51837 .46821 L
.51831 .46813 L
.51696 .46628 L
.51638 .46551 L
.51554 .46435 L
.51445 .46305 L
.51379 .46242 L
.51272 .4605 L
.51253 .46024 L
.51133 .45857 L
.5106 .45758 L
.50993 .45664 L
.50867 .455 L
.5084 .45472 L
.50717 .45279 L
.50674 .45221 L
.50581 .45086 L
.50482 .4495 L
.50442 .44894 L
.50307 .44701 L
.50289 .44676 L
.50177 .44508 L
.50096 .44396 L
.50043 .44316 L
.4991 .44123 L
.49904 .44114 L
.4979 .4393 L
.49711 .43815 L
.49667 .43737 L
F
0 .74 1 r
.49711 .47951 m
.49744 .47977 L
.49904 .4812 L
.49949 .48169 L
.50096 .48321 L
.50119 .48362 L
.50274 .48555 L
.50289 .48573 L
.5042 .48747 L
.50482 .48832 L
.50557 .4894 L
.50674 .49122 L
.50681 .49133 L
.50766 .49326 L
.50674 .49364 L
.50631 .49326 L
.50482 .49182 L
.50441 .49133 L
.50289 .48964 L
.50279 .4894 L
.50136 .48747 L
.50096 .48696 L
.5 .48555 L
.49904 .48421 L
.49866 .48362 L
.49746 .48169 L
.49711 .4811 L
.49667 .47977 L
F
0 .69 1 r
.49711 .50423 m
.49842 .50482 L
.49904 .50526 L
.50052 .50674 L
.50096 .50721 L
.50217 .50867 L
.50289 .50893 L
.50371 .5106 L
.50482 .51183 L
.50557 .51253 L
.50664 .51445 L
.50674 .51459 L
.50799 .51638 L
.50867 .51731 L
.50935 .51831 L
.5106 .52011 L
.51075 .52023 L
.51184 .52216 L
.51253 .52334 L
.51288 .52409 L
.51253 .52547 L
.51067 .52409 L
.5106 .52403 L
.50879 .52216 L
.50867 .52204 L
.50711 .52023 L
.50674 .51981 L
.50553 .51831 L
.50482 .51759 L
.50401 .51638 L
.50289 .51493 L
.5025 .51445 L
.50116 .51253 L
.50096 .51226 L
.4998 .5106 L
.49904 .50946 L
.49801 .50867 L
.49739 .50674 L
.49711 .50616 L
.49667 .50482 L
F
1 .66 0 r
.49711 .51158 m
.49777 .51253 L
.49904 .51417 L
.4992 .51445 L
.49904 .51532 L
.49828 .51445 L
.49711 .5131 L
.49669 .51253 L
F
0 .73 1 r
.49711 .53799 m
.49831 .5395 L
.49904 .54033 L
.4999 .54143 L
.50096 .54272 L
.50145 .54336 L
.50289 .54509 L
.50298 .54528 L
.50444 .54721 L
.50482 .54767 L
.50592 .54914 L
.50674 .55018 L
.50741 .55106 L
.50867 .55255 L
.50888 .55299 L
.51031 .55492 L
.5106 .55528 L
.51174 .55684 L
.51253 .55786 L
.51319 .55877 L
.51445 .56033 L
.51463 .5607 L
.51602 .56263 L
.51638 .56309 L
.51742 .56455 L
.51831 .56574 L
.51884 .56648 L
.52023 .56838 L
.52026 .56841 L
.52158 .57033 L
.52216 .5711 L
.52296 .57226 L
.52409 .57382 L
.52434 .57419 L
.52566 .57611 L
.52601 .5766 L
.52695 .57804 L
.52794 .57943 L
.52829 .57997 L
.52794 .58172 L
.52657 .57997 L
.52601 .57934 L
.52503 .57804 L
.52409 .57692 L
.52349 .57611 L
.52216 .57447 L
.52195 .57419 L
.52048 .57226 L
.52023 .57196 L
.51904 .57033 L
.51831 .56942 L
.51757 .56841 L
.51638 .56688 L
.51609 .56648 L
.51465 .56455 L
.51445 .56431 L
.51325 .56263 L
.51253 .5617 L
.51182 .5607 L
.5106 .55911 L
.51036 .55877 L
.50896 .55684 L
.50867 .55648 L
.50759 .55492 L
.50674 .55382 L
.50618 .55299 L
.50482 .55118 L
.50474 .55106 L
.5034 .54914 L
.50289 .54847 L
.50205 .54721 L
.50096 .54576 L
.50065 .54528 L
.4993 .54336 L
.49904 .54301 L
.49803 .54143 L
.49711 .54017 L
.4967 .5395 L
F
1 .77 0 r
.49711 .42807 m
.4986 .42967 L
.49904 .4301 L
.50032 .43159 L
.50096 .4323 L
.50197 .43352 L
.50289 .43419 L
.50358 .43545 L
.50482 .4369 L
.50544 .43737 L
.5067 .4393 L
.50674 .43936 L
.50821 .44123 L
.50867 .44153 L
.50972 .44316 L
.5106 .44421 L
.51155 .44508 L
.51253 .44677 L
.51272 .44701 L
.51419 .44894 L
.51445 .44912 L
.51566 .45086 L
.51638 .45175 L
.51738 .45279 L
.51831 .45436 L
.51857 .45472 L
.52003 .45664 L
.52023 .45679 L
.52147 .45857 L
.52216 .45942 L
.52312 .4605 L
.52409 .46206 L
.52433 .46242 L
.52579 .46435 L
.52601 .46452 L
.52722 .46628 L
.52794 .46717 L
.52881 .46821 L
.52987 .46984 L
.53005 .47013 L
.5315 .47206 L
.53179 .4723 L
.53292 .47399 L
.53372 .47499 L
.53447 .47591 L
.53565 .47767 L
.53574 .47784 L
.53718 .47977 L
.53758 .48011 L
.5392 .48169 L
.5395 .48286 L
.5401 .48362 L
.54143 .48555 L
.54143 .48555 L
.54282 .48747 L
.54336 .48797 L
.54473 .4894 L
.54528 .49077 L
.5457 .49133 L
.54705 .49326 L
.54721 .49347 L
.54843 .49518 L
.54914 .4959 L
.55023 .49711 L
.55106 .49874 L
.55128 .49904 L
.55262 .50096 L
.55299 .50145 L
.55401 .50289 L
.55492 .50391 L
.55569 .50482 L
.55681 .50674 L
.55684 .50679 L
.55816 .50867 L
.55877 .5095 L
.55953 .5106 L
.5607 .51207 L
.56107 .51253 L
.56228 .51445 L
.56263 .51492 L
.56362 .51638 L
.56455 .51766 L
.56499 .51831 L
.56635 .52023 L
.56648 .52041 L
.56763 .52216 L
.56841 .52325 L
.56895 .52409 L
.57028 .52601 L
.57033 .52608 L
.57147 .52794 L
.57226 .52911 L
.57269 .52987 L
.57226 .53159 L
.57068 .52987 L
.57033 .52951 L
.56898 .52794 L
.56841 .5273 L
.56734 .52601 L
.56648 .52533 L
.56573 .52409 L
.56455 .52267 L
.56393 .52216 L
.56263 .52023 L
.56263 .52022 L
.56111 .51831 L
.5607 .51798 L
.55959 .51638 L
.55877 .51536 L
.55786 .51445 L
.55684 .51281 L
.55664 .51253 L
.55513 .5106 L
.55492 .51042 L
.55365 .50867 L
.55299 .50783 L
.55203 .50674 L
.55106 .50523 L
.5508 .50482 L
.54928 .50289 L
.54914 .50276 L
.54783 .50096 L
.54721 .50017 L
.54627 .49904 L
.54528 .49754 L
.54503 .49711 L
.54351 .49518 L
.54336 .49504 L
.54207 .49326 L
.54143 .49242 L
.54057 .49133 L
.5395 .48977 L
.53931 .4894 L
.53779 .48747 L
.53758 .48727 L
.53585 .48555 L
.53565 .48461 L
.5349 .48362 L
.53372 .48195 L
.53361 .48169 L
.53211 .47977 L
.53179 .47946 L
.53027 .47784 L
.52987 .47675 L
.52926 .47591 L
.52794 .47408 L
.52791 .47399 L
.52647 .47206 L
.52601 .47159 L
.5247 .47013 L
.52409 .46884 L
.52364 .46821 L
.52225 .46628 L
.52216 .46616 L
.52086 .46435 L
.52023 .46367 L
.51917 .46242 L
.51831 .46087 L
.51805 .4605 L
.51668 .45857 L
.51638 .45817 L
.51529 .45664 L
.51445 .45567 L
.51368 .45472 L
.51253 .45282 L
.5125 .45279 L
.51115 .45086 L
.5106 .4501 L
.50978 .44894 L
.50867 .44752 L
.50828 .44701 L
.50705 .44508 L
.50674 .44466 L
.50571 .44316 L
.50482 .44191 L
.50435 .44123 L
.50301 .4393 L
.50289 .43913 L
.50173 .43737 L
.50096 .43628 L
.50042 .43545 L
.49912 .43352 L
.49904 .4334 L
.49795 .43159 L
.49711 .4303 L
.49676 .42967 L
F
0 .55 1 r
.49711 .43639 m
.49793 .43737 L
.49904 .43853 L
.49965 .4393 L
.50096 .44082 L
.50128 .44123 L
.50286 .44316 L
.50289 .44319 L
.50435 .44508 L
.50482 .44564 L
.50585 .44701 L
.50674 .4481 L
.50737 .44894 L
.50867 .45047 L
.50887 .45086 L
.51033 .45279 L
.5106 .45312 L
.51178 .45472 L
.51253 .45567 L
.51324 .45664 L
.51445 .45807 L
.51507 .45857 L
.51614 .4605 L
.51638 .4608 L
.51756 .46242 L
.51831 .46339 L
.51899 .46435 L
.52023 .46587 L
.52068 .46628 L
.52184 .46821 L
.52216 .46861 L
.52324 .47013 L
.52409 .47125 L
.52466 .47206 L
.52601 .47383 L
.52617 .47399 L
.52745 .47591 L
.52794 .47655 L
.52883 .47784 L
.52987 .47923 L
.53024 .47977 L
.53163 .48169 L
.53179 .48191 L
.53295 .48362 L
.53372 .48465 L
.53432 .48555 L
.53565 .48737 L
.53572 .48747 L
.53699 .4894 L
.53758 .4902 L
.53829 .49133 L
.5395 .49304 L
.53963 .49326 L
.54079 .49518 L
.54143 .49612 L
.54189 .49711 L
.54143 .49749 L
.54109 .49711 L
.5395 .49539 L
.53933 .49518 L
.53771 .49326 L
.53758 .49311 L
.53615 .49133 L
.53565 .49074 L
.5346 .4894 L
.53372 .48834 L
.53305 .48747 L
.53179 .48605 L
.53153 .48555 L
.53004 .48362 L
.52987 .4834 L
.52857 .48169 L
.52794 .48089 L
.52709 .47977 L
.52601 .47857 L
.52561 .47784 L
.52416 .47591 L
.52409 .47582 L
.52273 .47399 L
.52216 .47325 L
.52128 .47206 L
.52023 .47086 L
.51934 .47013 L
.51841 .46821 L
.51831 .46808 L
.517 .46628 L
.51638 .46546 L
.51558 .46435 L
.51445 .46299 L
.51385 .46242 L
.51276 .4605 L
.51253 .46019 L
.51137 .45857 L
.5106 .45753 L
.50997 .45664 L
.50867 .45493 L
.50847 .45472 L
.50722 .45279 L
.50674 .45215 L
.50585 .45086 L
.50482 .44944 L
.50447 .44894 L
.50313 .44701 L
.50289 .44669 L
.50183 .44508 L
.50096 .44388 L
.50049 .44316 L
.49918 .44123 L
.49904 .44103 L
.498 .4393 L
.49711 .43799 L
.49677 .43737 L
F
1 .48 0 r
.49711 .54647 m
.4976 .54721 L
.49904 .54905 L
.4991 .54914 L
.49904 .55022 L
.49836 .54914 L
.49711 .5477 L
.4968 .54721 L
F
0 .68 1 r
.49711 .50439 m
.49827 .50482 L
.49904 .50534 L
.50046 .50674 L
.50096 .50727 L
.50213 .50867 L
.50289 .50897 L
.50368 .5106 L
.50482 .51188 L
.50552 .51253 L
.5066 .51445 L
.50674 .51464 L
.50796 .51638 L
.50867 .51736 L
.50931 .51831 L
.5106 .52017 L
.51068 .52023 L
.51178 .52216 L
.51253 .52347 L
.5128 .52409 L
.51253 .52529 L
.51079 .52409 L
.5106 .52393 L
.50886 .52216 L
.50867 .52197 L
.50717 .52023 L
.50674 .51975 L
.50558 .51831 L
.50482 .51754 L
.50406 .51638 L
.50289 .51487 L
.50255 .51445 L
.5012 .51253 L
.50096 .5122 L
.49984 .5106 L
.49904 .50939 L
.49809 .50867 L
.49745 .50674 L
.49711 .50598 L
.4968 .50482 L
F
1 .49 0 r
.49711 .44468 m
.49738 .44508 L
.49711 .44561 L
.49681 .44508 L
F
0 .72 1 r
.49711 .53824 m
.49813 .5395 L
.49904 .54052 L
.49975 .54143 L
.50096 .54288 L
.50133 .54336 L
.50286 .54528 L
.50289 .54532 L
.50433 .54721 L
.50482 .5478 L
.50582 .54914 L
.50674 .5503 L
.50732 .55106 L
.50867 .55274 L
.50879 .55299 L
.51022 .55492 L
.5106 .5554 L
.51165 .55684 L
.51253 .55798 L
.51311 .55877 L
.51445 .5605 L
.51454 .5607 L
.51593 .56263 L
.51638 .56321 L
.51733 .56455 L
.51831 .56586 L
.51875 .56648 L
.52014 .56841 L
.52023 .56852 L
.52148 .57033 L
.52216 .57124 L
.52286 .57226 L
.52409 .57397 L
.52424 .57419 L
.52552 .57611 L
.52601 .57678 L
.52681 .57804 L
.52794 .57965 L
.52814 .57997 L
.52794 .58147 L
.52676 .57997 L
.52601 .57916 L
.52517 .57804 L
.52409 .57677 L
.5236 .57611 L
.52216 .57434 L
.52204 .57419 L
.52059 .57226 L
.52023 .57184 L
.51914 .57033 L
.51831 .56931 L
.51766 .56841 L
.51638 .56678 L
.51617 .56648 L
.51473 .56455 L
.51445 .5642 L
.51333 .56263 L
.51253 .5616 L
.51189 .5607 L
.5106 .55901 L
.51043 .55877 L
.50904 .55684 L
.50867 .55637 L
.50767 .55492 L
.50674 .55371 L
.50625 .55299 L
.50482 .55107 L
.50481 .55106 L
.5035 .54914 L
.50289 .54834 L
.50214 .54721 L
.50096 .54563 L
.50074 .54528 L
.49943 .54336 L
.49904 .54284 L
.49817 .54143 L
.49711 .53997 L
.49684 .5395 L
F
1 .65 0 r
.49711 .51186 m
.49755 .51253 L
.49711 .51284 L
.49689 .51253 L
F
0 .54 1 r
.49711 .4366 m
.49778 .43737 L
.49904 .43864 L
.49956 .4393 L
.50096 .44091 L
.50121 .44123 L
.50279 .44316 L
.50289 .44327 L
.50429 .44508 L
.50482 .44571 L
.5058 .44701 L
.50674 .44817 L
.50732 .44894 L
.50867 .45055 L
.50883 .45086 L
.51029 .45279 L
.5106 .45317 L
.51173 .45472 L
.51253 .45572 L
.5132 .45664 L
.51445 .45814 L
.515 .45857 L
.5161 .4605 L
.51638 .46084 L
.51752 .46242 L
.51831 .46344 L
.51896 .46435 L
.52023 .46593 L
.52062 .46628 L
.52181 .46821 L
.52216 .46866 L
.5232 .47013 L
.52409 .47129 L
.52463 .47206 L
.52601 .47389 L
.52611 .47399 L
.52741 .47591 L
.52794 .4766 L
.5288 .47784 L
.52987 .47928 L
.53021 .47977 L
.53158 .48169 L
.53179 .48197 L
.53291 .48362 L
.53372 .48471 L
.53428 .48555 L
.53565 .48744 L
.53567 .48747 L
.53693 .4894 L
.53758 .49029 L
.53823 .49133 L
.5395 .49314 L
.53957 .49326 L
.54066 .49518 L
.54143 .49637 L
.54167 .49711 L
.54143 .49726 L
.54128 .49711 L
.5395 .49527 L
.53943 .49518 L
.53781 .49326 L
.53758 .49301 L
.53623 .49133 L
.53565 .49066 L
.53466 .4894 L
.53372 .48826 L
.53311 .48747 L
.53179 .48596 L
.53158 .48555 L
.5301 .48362 L
.52987 .48334 L
.52862 .48169 L
.52794 .48084 L
.52713 .47977 L
.52601 .4785 L
.52565 .47784 L
.5242 .47591 L
.52409 .47577 L
.52277 .47399 L
.52216 .4732 L
.52132 .47206 L
.52023 .4708 L
.51941 .47013 L
.51845 .46821 L
.51831 .46803 L
.51704 .46628 L
.51638 .46541 L
.51561 .46435 L
.51445 .46292 L
.51392 .46242 L
.5128 .4605 L
.51253 .46014 L
.51141 .45857 L
.5106 .45748 L
.51001 .45664 L
.50867 .45485 L
.50854 .45472 L
.50726 .45279 L
.50674 .45209 L
.5059 .45086 L
.50482 .44938 L
.50451 .44894 L
.50318 .44701 L
.50289 .44661 L
.50188 .44508 L
.50096 .44379 L
.50055 .44316 L
.49926 .44123 L
.49904 .44091 L
.4981 .4393 L
.49711 .4378 L
.49689 .43737 L
F
1 .76 0 r
.49711 .42836 m
.4984 .42967 L
.49904 .43028 L
.50018 .43159 L
.50096 .43244 L
.50187 .43352 L
.50289 .43431 L
.5035 .43545 L
.50482 .43701 L
.50532 .43737 L
.50663 .4393 L
.50674 .43944 L
.50815 .44123 L
.50867 .44157 L
.50967 .44316 L
.5106 .44427 L
.51149 .44508 L
.51253 .44683 L
.51267 .44701 L
.51414 .44894 L
.51445 .44915 L
.51562 .45086 L
.51638 .4518 L
.51734 .45279 L
.51831 .4544 L
.51854 .45472 L
.52 .45664 L
.52023 .45682 L
.52144 .45857 L
.52216 .45946 L
.52309 .4605 L
.52409 .4621 L
.52431 .46242 L
.52577 .46435 L
.52601 .46454 L
.5272 .46628 L
.52794 .46721 L
.52879 .46821 L
.52987 .46987 L
.53003 .47013 L
.53148 .47206 L
.53179 .47232 L
.5329 .47399 L
.53372 .47502 L
.53445 .47591 L
.53565 .4777 L
.53573 .47784 L
.53715 .47977 L
.53758 .48013 L
.53918 .48169 L
.5395 .48289 L
.54008 .48362 L
.54141 .48555 L
.54143 .48558 L
.5428 .48747 L
.54336 .488 L
.54471 .4894 L
.54528 .4908 L
.54568 .49133 L
.54702 .49326 L
.54721 .49351 L
.54841 .49518 L
.54914 .49593 L
.5502 .49711 L
.55106 .49878 L
.55125 .49904 L
.5526 .50096 L
.55299 .50149 L
.55398 .50289 L
.55492 .50396 L
.55565 .50482 L
.55678 .50674 L
.55684 .50683 L
.55812 .50867 L
.55877 .50955 L
.5595 .5106 L
.5607 .51213 L
.56102 .51253 L
.56224 .51445 L
.56263 .51498 L
.56358 .51638 L
.56455 .51773 L
.56494 .51831 L
.56629 .52023 L
.56648 .52049 L
.56757 .52216 L
.56841 .52334 L
.56889 .52409 L
.5702 .52601 L
.57033 .52621 L
.57136 .52794 L
.57226 .5293 L
.57256 .52987 L
.57226 .53135 L
.57085 .52987 L
.57033 .52935 L
.56911 .52794 L
.56841 .52717 L
.56744 .52601 L
.56648 .52522 L
.56582 .52409 L
.56455 .52257 L
.56404 .52216 L
.5627 .52023 L
.56263 .52014 L
.56117 .51831 L
.5607 .51793 L
.55965 .51638 L
.55877 .51529 L
.55792 .51445 L
.55684 .51275 L
.55668 .51253 L
.55518 .5106 L
.55492 .51038 L
.5537 .50867 L
.55299 .50778 L
.55206 .50674 L
.55106 .50518 L
.55083 .50482 L
.54932 .50289 L
.54914 .50273 L
.54786 .50096 L
.54721 .50013 L
.5463 .49904 L
.54528 .4975 L
.54506 .49711 L
.54354 .49518 L
.54336 .49502 L
.5421 .49326 L
.54143 .49239 L
.54059 .49133 L
.5395 .48974 L
.53933 .4894 L
.53782 .48747 L
.53758 .48725 L
.53587 .48555 L
.53565 .48458 L
.53492 .48362 L
.53372 .48192 L
.53362 .48169 L
.53214 .47977 L
.53179 .47943 L
.53029 .47784 L
.52987 .47672 L
.52928 .47591 L
.52794 .47405 L
.52792 .47399 L
.52649 .47206 L
.52601 .47157 L
.52472 .47013 L
.52409 .46881 L
.52367 .46821 L
.52228 .46628 L
.52216 .46612 L
.52089 .46435 L
.52023 .46364 L
.51919 .46242 L
.51831 .46083 L
.51808 .4605 L
.51671 .45857 L
.51638 .45813 L
.51532 .45664 L
.51445 .45562 L
.51372 .45472 L
.51254 .45279 L
.51253 .45277 L
.51119 .45086 L
.5106 .45005 L
.50982 .44894 L
.50867 .44745 L
.50833 .44701 L
.50709 .44508 L
.50674 .4446 L
.50576 .44316 L
.50482 .44184 L
.5044 .44123 L
.50307 .4393 L
.50289 .43905 L
.5018 .43737 L
.50096 .43618 L
.5005 .43545 L
.49922 .43352 L
.49904 .43325 L
.49807 .43159 L
.49711 .43007 L
.4969 .42967 L
F
0 .67 1 r
.49711 .50458 m
.49809 .50482 L
.49904 .50542 L
.50039 .50674 L
.50096 .50732 L
.50209 .50867 L
.50289 .50901 L
.50364 .5106 L
.50482 .51194 L
.50546 .51253 L
.50657 .51445 L
.50674 .51468 L
.50792 .51638 L
.50867 .51741 L
.50927 .51831 L
.5106 .52023 L
.5106 .52023 L
.51172 .52216 L
.51253 .52364 L
.51271 .52409 L
.51253 .52509 L
.51092 .52409 L
.5106 .52384 L
.50893 .52216 L
.50867 .5219 L
.50722 .52023 L
.50674 .51968 L
.50563 .51831 L
.50482 .51749 L
.5041 .51638 L
.50289 .51482 L
.50259 .51445 L
.50124 .51253 L
.50096 .51214 L
.49989 .5106 L
.49904 .50932 L
.49817 .50867 L
.49752 .50674 L
.49711 .50575 L
.49694 .50482 L
F
1 .47 0 r
.49711 .54671 m
.49742 .54721 L
.49711 .54748 L
.49695 .54721 L
F
0 .71 1 r
.49711 .53856 m
.49789 .5395 L
.49904 .54073 L
.49959 .54143 L
.50096 .54306 L
.5012 .54336 L
.50272 .54528 L
.50289 .54548 L
.50421 .54721 L
.50482 .54795 L
.50571 .54914 L
.50674 .55044 L
.50722 .55106 L
.50867 .55294 L
.5087 .55299 L
.51011 .55492 L
.5106 .55553 L
.51156 .55684 L
.51253 .5581 L
.51302 .55877 L
.51445 .56069 L
.51445 .5607 L
.51583 .56263 L
.51638 .56334 L
.51724 .56455 L
.51831 .56598 L
.51866 .56648 L
.52003 .56841 L
.52023 .56867 L
.52137 .57033 L
.52216 .57139 L
.52275 .57226 L
.52409 .57413 L
.52413 .57419 L
.52537 .57611 L
.52601 .577 L
.52665 .57804 L
.52794 .57993 L
.52797 .57997 L
.52794 .58113 L
.52702 .57997 L
.52601 .57895 L
.52533 .57804 L
.52409 .57661 L
.52372 .57611 L
.52216 .57421 L
.52214 .57419 L
.5207 .57226 L
.52023 .5717 L
.51924 .57033 L
.51831 .56919 L
.51775 .56841 L
.51638 .56667 L
.51624 .56648 L
.51483 .56455 L
.51445 .56409 L
.51342 .56263 L
.51253 .56149 L
.51197 .5607 L
.5106 .55891 L
.5105 .55877 L
.50914 .55684 L
.50867 .55625 L
.50776 .55492 L
.50674 .5536 L
.50633 .55299 L
.50491 .55106 L
.50482 .55095 L
.5036 .54914 L
.50289 .5482 L
.50224 .54721 L
.50096 .54548 L
.50083 .54528 L
.49957 .54336 L
.49904 .54264 L
.49833 .54143 L
.49711 .53971 L
.497 .5395 L
F
0 .53 1 r
.49711 .4369 m
.49756 .43737 L
.49904 .43877 L
.49946 .4393 L
.50096 .441 L
.50114 .44123 L
.50271 .44316 L
.50289 .44336 L
.50422 .44508 L
.50482 .44578 L
.50575 .44701 L
.50674 .44823 L
.50727 .44894 L
.50867 .45063 L
.50879 .45086 L
.51024 .45279 L
.5106 .45323 L
.51169 .45472 L
.51253 .45577 L
.51317 .45664 L
.51445 .4582 L
.51491 .45857 L
.51607 .4605 L
.51638 .46089 L
.51748 .46242 L
.51831 .46349 L
.51893 .46435 L
.52023 .46599 L
.52055 .46628 L
.52177 .46821 L
.52216 .46871 L
.52317 .47013 L
.52409 .47134 L
.52459 .47206 L
.52601 .47396 L
.52604 .47399 L
.52738 .47591 L
.52794 .47665 L
.52876 .47784 L
.52987 .47933 L
.53017 .47977 L
.53154 .48169 L
.53179 .48203 L
.53286 .48362 L
.53372 .48478 L
.53423 .48555 L
.53562 .48747 L
.53565 .48751 L
.53687 .4894 L
.53758 .49038 L
.53816 .49133 L
.5395 .49325 L
.5395 .49326 L
.5395 .49512 L
.53792 .49326 L
.53758 .4929 L
.53631 .49133 L
.53565 .49057 L
.53473 .4894 L
.53372 .48819 L
.53317 .48747 L
.53179 .48586 L
.53163 .48555 L
.53015 .48362 L
.52987 .48328 L
.52867 .48169 L
.52794 .48078 L
.52718 .47977 L
.52601 .47843 L
.5257 .47784 L
.52425 .47591 L
.52409 .47571 L
.52281 .47399 L
.52216 .47315 L
.52136 .47206 L
.52023 .47074 L
.51949 .47013 L
.51849 .46821 L
.51831 .46797 L
.51708 .46628 L
.51638 .46536 L
.51565 .46435 L
.51445 .46286 L
.51399 .46242 L
.51284 .4605 L
.51253 .46009 L
.51145 .45857 L
.5106 .45742 L
.51005 .45664 L
.50867 .45477 L
.50862 .45472 L
.50731 .45279 L
.50674 .45203 L
.50594 .45086 L
.50482 .44931 L
.50456 .44894 L
.50324 .44701 L
.50289 .44653 L
.50194 .44508 L
.50096 .4437 L
.50061 .44316 L
.49936 .44123 L
.49904 .44078 L
.49821 .4393 L
.49711 .43755 L
.49703 .43737 L
F
1 .48 0 r
.49711 .44503 m
.49714 .44508 L
.49711 .4452 L
.49707 .44508 L
F
1 .75 0 r
.49711 .42877 m
.49813 .42967 L
.49904 .43046 L
.50004 .43159 L
.50096 .43257 L
.50176 .43352 L
.50289 .43445 L
.50341 .43545 L
.50482 .43711 L
.50518 .43737 L
.50655 .4393 L
.50674 .43953 L
.50808 .44123 L
.50867 .44163 L
.50961 .44316 L
.5106 .44434 L
.51142 .44508 L
.51253 .44688 L
.51263 .44701 L
.5141 .44894 L
.51445 .44918 L
.51558 .45086 L
.51638 .45184 L
.5173 .45279 L
.51831 .45445 L
.5185 .45472 L
.51996 .45664 L
.52023 .45684 L
.52141 .45857 L
.52216 .4595 L
.52306 .4605 L
.52409 .46214 L
.52428 .46242 L
.52574 .46435 L
.52601 .46457 L
.52717 .46628 L
.52794 .46724 L
.52876 .46821 L
.52987 .4699 L
.53001 .47013 L
.53145 .47206 L
.53179 .47234 L
.53288 .47399 L
.53372 .47505 L
.53442 .47591 L
.53565 .47773 L
.53571 .47784 L
.53713 .47977 L
.53758 .48016 L
.53917 .48169 L
.5395 .48292 L
.54005 .48362 L
.54138 .48555 L
.54143 .48561 L
.54277 .48747 L
.54336 .48803 L
.54468 .4894 L
.54528 .49084 L
.54565 .49133 L
.547 .49326 L
.54721 .49354 L
.54838 .49518 L
.54914 .49596 L
.55017 .49711 L
.55106 .49882 L
.55122 .49904 L
.55257 .50096 L
.55299 .50153 L
.55395 .50289 L
.55492 .504 L
.55561 .50482 L
.55675 .50674 L
.55684 .50688 L
.55809 .50867 L
.55877 .50959 L
.55947 .5106 L
.5607 .5122 L
.56096 .51253 L
.5622 .51445 L
.56263 .51503 L
.56353 .51638 L
.56455 .51779 L
.5649 .51831 L
.56623 .52023 L
.56648 .52057 L
.56751 .52216 L
.56841 .52343 L
.56882 .52409 L
.5701 .52601 L
.57033 .52635 L
.57125 .52794 L
.57226 .52953 L
.57243 .52987 L
.57226 .53106 L
.57106 .52987 L
.57033 .52918 L
.56924 .52794 L
.56841 .52704 L
.56754 .52601 L
.56648 .52509 L
.56591 .52409 L
.56455 .52247 L
.56416 .52216 L
.56277 .52023 L
.56263 .52005 L
.56124 .51831 L
.5607 .51788 L
.55971 .51638 L
.55877 .51522 L
.55798 .51445 L
.55684 .51269 L
.55672 .51253 L
.55522 .5106 L
.55492 .51034 L
.55374 .50867 L
.55299 .50772 L
.5521 .50674 L
.55106 .50513 L
.55086 .50482 L
.54935 .50289 L
.54914 .5027 L
.54789 .50096 L
.54721 .50008 L
.54633 .49904 L
.54528 .49746 L
.54508 .49711 L
.54357 .49518 L
.54336 .49499 L
.54213 .49326 L
.54143 .49235 L
.54062 .49133 L
.5395 .4897 L
.53935 .4894 L
.53784 .48747 L
.53758 .48722 L
.53588 .48555 L
.53565 .48455 L
.53494 .48362 L
.53372 .48189 L
.53364 .48169 L
.53216 .47977 L
.53179 .4794 L
.53031 .47784 L
.52987 .47669 L
.5293 .47591 L
.52794 .47402 L
.52793 .47399 L
.52652 .47206 L
.52601 .47154 L
.52475 .47013 L
.52409 .46877 L
.52369 .46821 L
.5223 .46628 L
.52216 .46609 L
.52091 .46435 L
.52023 .46361 L
.51922 .46242 L
.51831 .46079 L
.51811 .4605 L
.51674 .45857 L
.51638 .45809 L
.51535 .45664 L
.51445 .45558 L
.51375 .45472 L
.51257 .45279 L
.51253 .45272 L
.51123 .45086 L
.5106 .45 L
.50985 .44894 L
.50867 .44738 L
.50838 .44701 L
.50714 .44508 L
.50674 .44454 L
.50581 .44316 L
.50482 .44177 L
.50445 .44123 L
.50314 .4393 L
.50289 .43896 L
.50187 .43737 L
.50096 .43607 L
.50057 .43545 L
.49933 .43352 L
.49904 .43309 L
.49821 .43159 L
.49711 .42976 L
.49707 .42967 L
F
0 .92 1 r
.49711 .42046 m
.49883 .42196 L
.49904 .42214 L
.50068 .42389 L
.50096 .42418 L
.5024 .42581 L
.50289 .42635 L
.50407 .42774 L
.50482 .42854 L
.5057 .42967 L
.50674 .43097 L
.50738 .43159 L
.50867 .43337 L
.50878 .43352 L
.51036 .43545 L
.5106 .43572 L
.51189 .43737 L
.51253 .43824 L
.51343 .4393 L
.51445 .44078 L
.51471 .44123 L
.51636 .44316 L
.51638 .44318 L
.51822 .44508 L
.51831 .44574 L
.51929 .44701 L
.52023 .44836 L
.5205 .44894 L
.52216 .45084 L
.52221 .45086 L
.5239 .45279 L
.52409 .45339 L
.52506 .45472 L
.52601 .45605 L
.52623 .45664 L
.52794 .45856 L
.52798 .45857 L
.52959 .4605 L
.52987 .46114 L
.53077 .46242 L
.53179 .46382 L
.53192 .46435 L
.5337 .46628 L
.53372 .46631 L
.53528 .46821 L
.53565 .46895 L
.53645 .47013 L
.53758 .47163 L
.53759 .47206 L
.53939 .47399 L
.5395 .47413 L
.54094 .47591 L
.54143 .47679 L
.54211 .47784 L
.54336 .47945 L
.54365 .47977 L
.54506 .48169 L
.54528 .48197 L
.54659 .48362 L
.54721 .48465 L
.54775 .48555 L
.54914 .48729 L
.54931 .48747 L
.55071 .4894 L
.55106 .48984 L
.55222 .49133 L
.55299 .49252 L
.55339 .49326 L
.55492 .49514 L
.55496 .49518 L
.55679 .49711 L
.55684 .49772 L
.55784 .49904 L
.55877 .50041 L
.55904 .50096 L
.56059 .50289 L
.5607 .50298 L
.56241 .50482 L
.56263 .50561 L
.56346 .50674 L
.56455 .50831 L
.5647 .50867 L
.56622 .5106 L
.56648 .51082 L
.568 .51253 L
.56841 .51352 L
.56907 .51445 L
.57033 .51623 L
.57038 .51638 L
.57183 .51831 L
.57226 .51869 L
.57358 .52023 L
.57419 .52146 L
.57467 .52216 L
.57605 .52409 L
.57611 .52417 L
.57743 .52601 L
.57804 .52661 L
.57913 .52794 L
.57997 .52943 L
.58025 .52987 L
.58163 .53179 L
.58189 .53215 L
.58301 .53372 L
.58382 .5346 L
.58464 .53565 L
.58575 .53747 L
.58582 .53758 L
.58717 .5395 L
.58768 .54018 L
.58855 .54143 L
.5896 .5427 L
.59009 .54336 L
.59132 .54528 L
.59153 .54557 L
.59266 .54721 L
.59346 .5483 L
.59403 .54914 L
.59538 .551 L
.59543 .55106 L
.59671 .55299 L
.59731 .55382 L
.59803 .55492 L
.59924 .55662 L
.59956 .55684 L
.60063 .55877 L
.60116 .55954 L
.60186 .5607 L
.60309 .56256 L
.60313 .56263 L
.60412 .56455 L
.60309 .5652 L
.60246 .56455 L
.60116 .56362 L
.60063 .56263 L
.59924 .56109 L
.59844 .5607 L
.59731 .55882 L
.59726 .55877 L
.59565 .55684 L
.59538 .55668 L
.59405 .55492 L
.59346 .5542 L
.59201 .55299 L
.59153 .55172 L
.59099 .55106 L
.5896 .54928 L
.58958 .54914 L
.58791 .54721 L
.58768 .54691 L
.58615 .54528 L
.58575 .54436 L
.58501 .54336 L
.58382 .54177 L
.58376 .54143 L
.58198 .5395 L
.58189 .53939 L
.58036 .53758 L
.57997 .53679 L
.57918 .53565 L
.57804 .53414 L
.57802 .53372 L
.57616 .53179 L
.57611 .53173 L
.57462 .52987 L
.57419 .52909 L
.57344 .52794 L
.57226 .52641 L
.57183 .52601 L
.57042 .52409 L
.57033 .52397 L
.56892 .52216 L
.56841 .52131 L
.56775 .52023 L
.56648 .51863 L
.56612 .51831 L
.56471 .51638 L
.56455 .51616 L
.56325 .51445 L
.56263 .51349 L
.56209 .51253 L
.5607 .51083 L
.56044 .5106 L
.55879 .50867 L
.55877 .50832 L
.55759 .50674 L
.55684 .50564 L
.55644 .50482 L
.55492 .50301 L
.55478 .50289 L
.55311 .50096 L
.55299 .50046 L
.55195 .49904 L
.55106 .49777 L
.55079 .49711 L
.54914 .49519 L
.54913 .49518 L
.54746 .49326 L
.54721 .49258 L
.54632 .49133 L
.54528 .4899 L
.54514 .4894 L
.54349 .48747 L
.54336 .48734 L
.54183 .48555 L
.54143 .48469 L
.5407 .48362 L
.5395 .48201 L
.53946 .48169 L
.53786 .47977 L
.53758 .47948 L
.53622 .47784 L
.53565 .47679 L
.53508 .47591 L
.53372 .47411 L
.53363 .47399 L
.53223 .47206 L
.53179 .47159 L
.53062 .47013 L
.52987 .46886 L
.52946 .46821 L
.52801 .46628 L
.52794 .46618 L
.52663 .46435 L
.52601 .46368 L
.52504 .46242 L
.52409 .46091 L
.52385 .4605 L
.52242 .45857 L
.52216 .45822 L
.52104 .45664 L
.52023 .45571 L
.51949 .45472 L
.51831 .45291 L
.51824 .45279 L
.51686 .45086 L
.51638 .45065 L
.51486 .44894 L
.51445 .44766 L
.51398 .44701 L
.5127 .44508 L
.51253 .44485 L
.51134 .44316 L
.5106 .4426 L
.50949 .44123 L
.50867 .43948 L
.50855 .4393 L
.50725 .43737 L
.50674 .43668 L
.50591 .43545 L
.50482 .4342 L
.50432 .43352 L
.50323 .43159 L
.50289 .43112 L
.50195 .42967 L
.50096 .42825 L
.50064 .42774 L
.4994 .42581 L
.49904 .42527 L
.49825 .42389 L
.49711 .422 L
.49709 .42196 L
F
1 .97 0 r
.49711 .47247 m
.49904 .47349 L
.49967 .47399 L
.50096 .47565 L
.50191 .47591 L
.50289 .47687 L
.50384 .47784 L
.50482 .47892 L
.50559 .47977 L
.50674 .48117 L
.5072 .48169 L
.50867 .48357 L
.50871 .48362 L
.51015 .48555 L
.5106 .48621 L
.51094 .48747 L
.51253 .48912 L
.51316 .4894 L
.51445 .49124 L
.51452 .49133 L
.51584 .49326 L
.51638 .49402 L
.51649 .49518 L
.51817 .49711 L
.51638 .49886 L
.51445 .49781 L
.51382 .49711 L
.51253 .49564 L
.51199 .49518 L
.51069 .49326 L
.5106 .49314 L
.50928 .49133 L
.50867 .49092 L
.50786 .4894 L
.50674 .48806 L
.50625 .48747 L
.50502 .48555 L
.50482 .48528 L
.50366 .48362 L
.50289 .48259 L
.50227 .48169 L
.50096 .48001 L
.50081 .47977 L
.49958 .47784 L
.49904 .47707 L
.49831 .47591 L
.49711 .47401 L
.49709 .47399 L
F
0 .66 1 r
.49904 .5055 m
.50033 .50674 L
.50096 .50738 L
.50204 .50867 L
.50289 .50906 L
.50361 .5106 L
.50482 .51199 L
.5054 .51253 L
.50653 .51445 L
.50674 .51473 L
.50789 .51638 L
.50867 .51746 L
.50924 .51831 L
.51055 .52023 L
.5106 .52031 L
.51165 .52216 L
.51253 .52384 L
.51261 .52409 L
.51253 .52483 L
.51107 .52409 L
.5106 .52374 L
.50901 .52216 L
.50867 .52182 L
.50728 .52023 L
.50674 .51962 L
.50567 .51831 L
.50482 .51743 L
.50414 .51638 L
.50289 .51476 L
.50264 .51445 L
.50128 .51253 L
.50096 .51208 L
.49993 .5106 L
.49904 .50925 L
.49826 .50867 L
.4976 .50674 L
F
0 .73 1 r
.49904 .48136 m
.49935 .48169 L
.50096 .4834 L
.50109 .48362 L
.50264 .48555 L
.50289 .48585 L
.5041 .48747 L
.50482 .48845 L
.50548 .4894 L
.5067 .49133 L
.50674 .49141 L
.50743 .49326 L
.50674 .49346 L
.50649 .49326 L
.50482 .49171 L
.5045 .49133 L
.50289 .48947 L
.50286 .4894 L
.50144 .48747 L
.50096 .48686 L
.50008 .48555 L
.49904 .4841 L
.49874 .48362 L
.4976 .48169 L
F
0 .65 1 r
.49904 .50558 m
.50026 .50674 L
.50096 .50744 L
.502 .50867 L
.50289 .50911 L
.50357 .5106 L
.50482 .51205 L
.50534 .51253 L
.5065 .51445 L
.50674 .51478 L
.50785 .51638 L
.50867 .51751 L
.5092 .51831 L
.5105 .52023 L
.5106 .52039 L
.51159 .52216 L
.5106 .52364 L
.50908 .52216 L
.50867 .52175 L
.50734 .52023 L
.50674 .51956 L
.50572 .51831 L
.50482 .51737 L
.50418 .51638 L
.50289 .5147 L
.50269 .51445 L
.50133 .51253 L
.50096 .51202 L
.49998 .5106 L
.49904 .50917 L
.49835 .50867 L
.49767 .50674 L
F
0 .64 1 r
.49904 .50567 m
.50019 .50674 L
.50096 .5075 L
.50195 .50867 L
.50289 .50916 L
.50353 .5106 L
.50482 .51211 L
.50528 .51253 L
.50646 .51445 L
.50674 .51483 L
.50782 .51638 L
.50867 .51757 L
.50916 .51831 L
.51044 .52023 L
.5106 .52047 L
.51152 .52216 L
.5106 .52354 L
.50917 .52216 L
.50867 .52168 L
.5074 .52023 L
.50674 .5195 L
.50577 .51831 L
.50482 .51732 L
.50423 .51638 L
.50289 .51464 L
.50274 .51445 L
.50137 .51253 L
.50096 .51196 L
.50002 .5106 L
.49904 .5091 L
.49845 .50867 L
.49775 .50674 L
F
0 .72 1 r
.49904 .48152 m
.4992 .48169 L
.50096 .4836 L
.50098 .48362 L
.50254 .48555 L
.50289 .48598 L
.50401 .48747 L
.50482 .48859 L
.50538 .4894 L
.50656 .49133 L
.50674 .49169 L
.507 .49326 L
.50674 .49326 L
.50674 .49326 L
.50482 .49159 L
.5046 .49133 L
.50295 .4894 L
.50289 .48933 L
.50153 .48747 L
.50096 .48675 L
.50016 .48555 L
.49904 .48397 L
.49882 .48362 L
.49777 .48169 L
F
0 .63 1 r
.49904 .50576 m
.50012 .50674 L
.50096 .50757 L
.5019 .50867 L
.50289 .50922 L
.5035 .5106 L
.50482 .51217 L
.50521 .51253 L
.50642 .51445 L
.50674 .51488 L
.50778 .51638 L
.50867 .51762 L
.50912 .51831 L
.51039 .52023 L
.5106 .52056 L
.51145 .52216 L
.5106 .52343 L
.50925 .52216 L
.50867 .5216 L
.50746 .52023 L
.50674 .51943 L
.50582 .51831 L
.50482 .51725 L
.50427 .51638 L
.50289 .51458 L
.50279 .51445 L
.50141 .51253 L
.50096 .5119 L
.50007 .5106 L
.49904 .50902 L
.49855 .50867 L
.49783 .50674 L
F
0 .62 1 r
.49904 .50585 m
.50004 .50674 L
.50096 .50763 L
.50185 .50867 L
.50289 .50928 L
.50346 .5106 L
.50482 .51223 L
.50515 .51253 L
.50638 .51445 L
.50674 .51493 L
.50774 .51638 L
.50867 .51768 L
.50909 .51831 L
.51033 .52023 L
.5106 .52065 L
.51137 .52216 L
.5106 .52332 L
.50934 .52216 L
.50867 .52152 L
.50752 .52023 L
.50674 .51937 L
.50587 .51831 L
.50482 .51719 L
.50432 .51638 L
.50289 .51451 L
.50284 .51445 L
.50146 .51253 L
.50096 .51183 L
.50011 .5106 L
.49904 .50894 L
.49867 .50867 L
.49791 .50674 L
F
1 .97 0 r
.49904 .50039 m
.50096 .50027 L
.50289 .50072 L
.50317 .50096 L
.50482 .50265 L
.50499 .50289 L
.50647 .50482 L
.50674 .50533 L
.50806 .50674 L
.50867 .50806 L
.50923 .50867 L
.5106 .51059 L
.51077 .5106 L
.51217 .51253 L
.51253 .51297 L
.51371 .51445 L
.51445 .51564 L
.51488 .51638 L
.51638 .51827 L
.51641 .51831 L
.51828 .52023 L
.51831 .52066 L
.51931 .52216 L
.52023 .52345 L
.5205 .52409 L
.522 .52601 L
.52216 .52624 L
.52386 .52794 L
.52409 .52899 L
.5248 .52987 L
.52589 .53179 L
.52409 .53311 L
.52216 .53279 L
.52031 .53179 L
.52023 .53128 L
.51907 .52987 L
.51831 .52896 L
.51785 .52794 L
.51638 .52641 L
.51608 .52601 L
.51454 .52409 L
.51445 .52375 L
.51327 .52216 L
.51253 .52098 L
.51217 .52023 L
.5106 .51859 L
.51038 .51831 L
.50884 .51638 L
.50867 .51596 L
.50763 .51445 L
.50674 .51327 L
.50655 .51253 L
.50482 .51066 L
.50475 .5106 L
.5032 .50867 L
.50289 .50837 L
.50204 .50674 L
.50096 .50565 L
.50092 .50482 L
.49925 .50289 L
.49904 .50251 L
.49799 .50096 L
F
0 .61 1 r
.49904 .50595 m
.49996 .50674 L
.50096 .50769 L
.5018 .50867 L
.50289 .50935 L
.50342 .5106 L
.50482 .51229 L
.50508 .51253 L
.50634 .51445 L
.50674 .51498 L
.5077 .51638 L
.50867 .51773 L
.50905 .51831 L
.51027 .52023 L
.5106 .52075 L
.51129 .52216 L
.5106 .5232 L
.50944 .52216 L
.50867 .52145 L
.50758 .52023 L
.50674 .51931 L
.50592 .51831 L
.50482 .51712 L
.50436 .51638 L
.50289 .51445 L
.50289 .51445 L
.5015 .51253 L
.50096 .51177 L
.50016 .5106 L
.49904 .50885 L
.49878 .50867 L
.498 .50674 L
F
0 .6 1 r
.49904 .50604 m
.49987 .50674 L
.50096 .50776 L
.50175 .50867 L
.50289 .50943 L
.50338 .5106 L
.50482 .51236 L
.50501 .51253 L
.5063 .51445 L
.50674 .51503 L
.50766 .51638 L
.50867 .51779 L
.50901 .51831 L
.51021 .52023 L
.5106 .52086 L
.5112 .52216 L
.5106 .52308 L
.50954 .52216 L
.50867 .52137 L
.50764 .52023 L
.50674 .51924 L
.50597 .51831 L
.50482 .51706 L
.50441 .51638 L
.50294 .51445 L
.50289 .51439 L
.50155 .51253 L
.50096 .5117 L
.50021 .5106 L
.49904 .50876 L
.49891 .50867 L
.49809 .50674 L
F
0 .59 1 r
.49904 .50615 m
.49977 .50674 L
.50096 .50782 L
.5017 .50867 L
.50289 .5095 L
.50334 .5106 L
.50482 .51242 L
.50493 .51253 L
.50626 .51445 L
.50674 .51509 L
.50762 .51638 L
.50867 .51785 L
.50896 .51831 L
.51015 .52023 L
.5106 .52099 L
.51111 .52216 L
.5106 .52294 L
.50965 .52216 L
.50867 .52128 L
.50771 .52023 L
.50674 .51917 L
.50602 .51831 L
.50482 .51699 L
.50446 .51638 L
.50299 .51445 L
.50289 .51433 L
.50159 .51253 L
.50096 .51164 L
.50026 .5106 L
.49904 .50867 L
.49904 .50867 L
.4982 .50674 L
F
1 .96 0 r
.49904 .50055 m
.50096 .50038 L
.50289 .50092 L
.50295 .50096 L
.50482 .50276 L
.50492 .50289 L
.50642 .50482 L
.50674 .5054 L
.50803 .50674 L
.50867 .5081 L
.50921 .50867 L
.5106 .51059 L
.51074 .5106 L
.51215 .51253 L
.51253 .51299 L
.51369 .51445 L
.51445 .51567 L
.51486 .51638 L
.51638 .5183 L
.51639 .51831 L
.51828 .52023 L
.51831 .52069 L
.51929 .52216 L
.52023 .5235 L
.52048 .52409 L
.52196 .52601 L
.52216 .5263 L
.52383 .52794 L
.52409 .52909 L
.52472 .52987 L
.52569 .53179 L
.52409 .53293 L
.52216 .53256 L
.5204 .53179 L
.52023 .5311 L
.51917 .52987 L
.51831 .52885 L
.5179 .52794 L
.51638 .52634 L
.51614 .52601 L
.51455 .52409 L
.51445 .52369 L
.5133 .52216 L
.51253 .52093 L
.51219 .52023 L
.5106 .51855 L
.51041 .51831 L
.50886 .51638 L
.50867 .51592 L
.50765 .51445 L
.50674 .51324 L
.50656 .51253 L
.50482 .51063 L
.50478 .5106 L
.50322 .50867 L
.50289 .50834 L
.50207 .50674 L
.50096 .50556 L
.50093 .50482 L
.49933 .50289 L
.49904 .50233 L
.49825 .50096 L
F
0 .58 1 r
.49904 .50626 m
.49967 .50674 L
.50096 .50789 L
.50165 .50867 L
.50289 .50959 L
.5033 .5106 L
.50482 .51249 L
.50486 .51253 L
.50622 .51445 L
.50674 .51514 L
.50758 .51638 L
.50867 .51792 L
.50892 .51831 L
.51008 .52023 L
.5106 .52113 L
.51101 .52216 L
.5106 .52279 L
.50978 .52216 L
.50867 .5212 L
.50778 .52023 L
.50674 .51911 L
.50608 .51831 L
.50482 .51691 L
.5045 .51638 L
.50303 .51445 L
.50289 .51427 L
.50164 .51253 L
.50096 .51157 L
.50031 .5106 L
.49911 .50867 L
.49904 .50855 L
.49831 .50674 L
F
0 .52 1 r
.49904 .43892 m
.49935 .4393 L
.50096 .4411 L
.50106 .44123 L
.50263 .44316 L
.50289 .44344 L
.50416 .44508 L
.50482 .44585 L
.50569 .44701 L
.50674 .44829 L
.50723 .44894 L
.50867 .45071 L
.50875 .45086 L
.51019 .45279 L
.5106 .45329 L
.51165 .45472 L
.51253 .45582 L
.51313 .45664 L
.51445 .45827 L
.51483 .45857 L
.51603 .4605 L
.51638 .46094 L
.51745 .46242 L
.51831 .46353 L
.51889 .46435 L
.52023 .46605 L
.52048 .46628 L
.52173 .46821 L
.52216 .46875 L
.52313 .47013 L
.52409 .47139 L
.52456 .47206 L
.52599 .47399 L
.52601 .47402 L
.52734 .47591 L
.52794 .47671 L
.52872 .47784 L
.52987 .47938 L
.53013 .47977 L
.53149 .48169 L
.53179 .48209 L
.53282 .48362 L
.53372 .48484 L
.53419 .48555 L
.53556 .48747 L
.53565 .48759 L
.5368 .4894 L
.53758 .49048 L
.53809 .49133 L
.53758 .49278 L
.5364 .49133 L
.53565 .49048 L
.5348 .4894 L
.53372 .48811 L
.53323 .48747 L
.53179 .48576 L
.53169 .48555 L
.5302 .48362 L
.52987 .48321 L
.52872 .48169 L
.52794 .48072 L
.52722 .47977 L
.52601 .47836 L
.52574 .47784 L
.52429 .47591 L
.52409 .47566 L
.52285 .47399 L
.52216 .47309 L
.5214 .47206 L
.52023 .47067 L
.51956 .47013 L
.51853 .46821 L
.51831 .46792 L
.51712 .46628 L
.51638 .46531 L
.51569 .46435 L
.51445 .46279 L
.51406 .46242 L
.51288 .4605 L
.51253 .46003 L
.51149 .45857 L
.5106 .45737 L
.51009 .45664 L
.50869 .45472 L
.50867 .4547 L
.50735 .45279 L
.50674 .45197 L
.50599 .45086 L
.50482 .44924 L
.50461 .44894 L
.5033 .44701 L
.50289 .44645 L
.50201 .44508 L
.50096 .44361 L
.50067 .44316 L
.49946 .44123 L
.49904 .44062 L
.49834 .4393 L
F
1 .74 0 r
.49904 .43067 m
.49988 .43159 L
.50096 .43272 L
.50164 .43352 L
.50289 .4346 L
.50332 .43545 L
.50482 .43722 L
.50503 .43737 L
.50648 .4393 L
.50674 .43961 L
.50802 .44123 L
.50867 .44169 L
.50956 .44316 L
.5106 .44441 L
.51136 .44508 L
.51253 .44694 L
.51258 .44701 L
.51405 .44894 L
.51445 .44922 L
.51554 .45086 L
.51638 .45189 L
.51726 .45279 L
.51831 .45449 L
.51847 .45472 L
.51993 .45664 L
.52023 .45687 L
.52138 .45857 L
.52216 .45954 L
.52303 .4605 L
.52409 .46217 L
.52426 .46242 L
.52571 .46435 L
.52601 .46459 L
.52714 .46628 L
.52794 .46728 L
.52873 .46821 L
.52987 .46994 L
.52999 .47013 L
.53143 .47206 L
.53179 .47236 L
.53285 .47399 L
.53372 .47509 L
.5344 .47591 L
.53565 .47776 L
.53569 .47784 L
.53711 .47977 L
.53758 .48018 L
.53915 .48169 L
.5395 .48295 L
.54003 .48362 L
.54136 .48555 L
.54143 .48564 L
.54275 .48747 L
.54336 .48805 L
.54466 .4894 L
.54528 .49087 L
.54563 .49133 L
.54697 .49326 L
.54721 .49357 L
.54836 .49518 L
.54914 .496 L
.55014 .49711 L
.55106 .49886 L
.55119 .49904 L
.55254 .50096 L
.55299 .50156 L
.55392 .50289 L
.55492 .50405 L
.55557 .50482 L
.55671 .50674 L
.55684 .50692 L
.55806 .50867 L
.55877 .50964 L
.55944 .5106 L
.5607 .51226 L
.56091 .51253 L
.56215 .51445 L
.56263 .51509 L
.56349 .51638 L
.56455 .51785 L
.56486 .51831 L
.56617 .52023 L
.56648 .52066 L
.56744 .52216 L
.56841 .52353 L
.56875 .52409 L
.57 .52601 L
.57033 .52651 L
.57112 .52794 L
.57226 .52985 L
.57227 .52987 L
.57226 .53062 L
.57133 .52987 L
.57033 .52899 L
.56938 .52794 L
.56841 .5269 L
.56765 .52601 L
.56648 .52495 L
.566 .52409 L
.56455 .52236 L
.56429 .52216 L
.56285 .52023 L
.56263 .51997 L
.5613 .51831 L
.5607 .51782 L
.55976 .51638 L
.55877 .51515 L
.55804 .51445 L
.55684 .51263 L
.55676 .51253 L
.55527 .5106 L
.55492 .5103 L
.55378 .50867 L
.55299 .50767 L
.55214 .50674 L
.55106 .50509 L
.55088 .50482 L
.54939 .50289 L
.54914 .50267 L
.54793 .50096 L
.54721 .50004 L
.54636 .49904 L
.54528 .49742 L
.5451 .49711 L
.5436 .49518 L
.54336 .49496 L
.54216 .49326 L
.54143 .49231 L
.54064 .49133 L
.5395 .48967 L
.53936 .4894 L
.53787 .48747 L
.53758 .48719 L
.53589 .48555 L
.53565 .48451 L
.53497 .48362 L
.53372 .48185 L
.53365 .48169 L
.53219 .47977 L
.53179 .47938 L
.53033 .47784 L
.52987 .47665 L
.52933 .47591 L
.52794 .47399 L
.52794 .47399 L
.52655 .47206 L
.52601 .47151 L
.52477 .47013 L
.52409 .46874 L
.52371 .46821 L
.52233 .46628 L
.52216 .46605 L
.52094 .46435 L
.52023 .46357 L
.51925 .46242 L
.51831 .46075 L
.51814 .4605 L
.51677 .45857 L
.51638 .45805 L
.51538 .45664 L
.51445 .45553 L
.51379 .45472 L
.51261 .45279 L
.51253 .45268 L
.51126 .45086 L
.5106 .44995 L
.50989 .44894 L
.50867 .44731 L
.50844 .44701 L
.50719 .44508 L
.50674 .44447 L
.50586 .44316 L
.50482 .44169 L
.5045 .44123 L
.5032 .4393 L
.50289 .43886 L
.50194 .43737 L
.50096 .43595 L
.50065 .43545 L
.49945 .43352 L
.49904 .4329 L
.49835 .43159 L
F
0 .57 1 r
.49904 .50638 m
.49955 .50674 L
.50096 .50796 L
.50159 .50867 L
.50289 .50968 L
.50326 .5106 L
.50479 .51253 L
.50482 .51255 L
.50618 .51445 L
.50674 .5152 L
.50754 .51638 L
.50867 .51798 L
.50888 .51831 L
.51001 .52023 L
.5106 .5213 L
.51089 .52216 L
.5106 .52262 L
.50993 .52216 L
.50867 .52111 L
.50785 .52023 L
.50674 .51904 L
.50613 .51831 L
.50482 .51683 L
.50455 .51638 L
.50308 .51445 L
.50289 .5142 L
.50169 .51253 L
.50096 .5115 L
.50036 .5106 L
.49918 .50867 L
.49904 .50841 L
.49844 .50674 L
F
0 .51 1 r
.49904 .43908 m
.49922 .4393 L
.50096 .44121 L
.50098 .44123 L
.50254 .44316 L
.50289 .44354 L
.50409 .44508 L
.50482 .44593 L
.50564 .44701 L
.50674 .44836 L
.50718 .44894 L
.50867 .4508 L
.5087 .45086 L
.51015 .45279 L
.5106 .45334 L
.51161 .45472 L
.51253 .45587 L
.51309 .45664 L
.51445 .45834 L
.51474 .45857 L
.51599 .4605 L
.51638 .46099 L
.51741 .46242 L
.51831 .46358 L
.51886 .46435 L
.52023 .46612 L
.52041 .46628 L
.5217 .46821 L
.52216 .4688 L
.5231 .47013 L
.52409 .47143 L
.52453 .47206 L
.52595 .47399 L
.52601 .47407 L
.5273 .47591 L
.52794 .47676 L
.52868 .47784 L
.52987 .47943 L
.5301 .47977 L
.53145 .48169 L
.53179 .48215 L
.53277 .48362 L
.53372 .48491 L
.53414 .48555 L
.5355 .48747 L
.53565 .48768 L
.53673 .4894 L
.53758 .49058 L
.53802 .49133 L
.53758 .49266 L
.53649 .49133 L
.53565 .49039 L
.53487 .4894 L
.53372 .48803 L
.53329 .48747 L
.53179 .48565 L
.53174 .48555 L
.53026 .48362 L
.52987 .48314 L
.52877 .48169 L
.52794 .48066 L
.52727 .47977 L
.52601 .47828 L
.52578 .47784 L
.52434 .47591 L
.52409 .4756 L
.52289 .47399 L
.52216 .47304 L
.52144 .47206 L
.52023 .4706 L
.51965 .47013 L
.51857 .46821 L
.51831 .46787 L
.51716 .46628 L
.51638 .46525 L
.51573 .46435 L
.51445 .46272 L
.51413 .46242 L
.51292 .4605 L
.51253 .45998 L
.51153 .45857 L
.5106 .45731 L
.51013 .45664 L
.50873 .45472 L
.50867 .45464 L
.5074 .45279 L
.50674 .4519 L
.50604 .45086 L
.50482 .44917 L
.50466 .44894 L
.50337 .44701 L
.50289 .44636 L
.50207 .44508 L
.50096 .44351 L
.50074 .44316 L
.49958 .44123 L
.49904 .44044 L
.49851 .4393 L
F
1 .73 0 r
.49904 .43092 m
.49968 .43159 L
.50096 .43287 L
.50152 .43352 L
.50289 .43478 L
.50322 .43545 L
.50482 .43734 L
.50487 .43737 L
.5064 .4393 L
.50674 .4397 L
.50796 .44123 L
.50867 .44175 L
.5095 .44316 L
.5106 .44448 L
.51129 .44508 L
.51253 .447 L
.51253 .44701 L
.51401 .44894 L
.51445 .44925 L
.51549 .45086 L
.51638 .45195 L
.51722 .45279 L
.51831 .45454 L
.51844 .45472 L
.51989 .45664 L
.52023 .4569 L
.52135 .45857 L
.52216 .45958 L
.523 .4605 L
.52409 .46221 L
.52423 .46242 L
.52568 .46435 L
.52601 .46461 L
.52712 .46628 L
.52794 .46731 L
.52871 .46821 L
.52987 .46997 L
.52997 .47013 L
.5314 .47206 L
.53179 .47239 L
.53283 .47399 L
.53372 .47512 L
.53437 .47591 L
.53565 .47779 L
.53568 .47784 L
.53708 .47977 L
.53758 .48021 L
.53913 .48169 L
.5395 .48298 L
.54 .48362 L
.54134 .48555 L
.54143 .48567 L
.54273 .48747 L
.54336 .48808 L
.54463 .4894 L
.54528 .49091 L
.5456 .49133 L
.54695 .49326 L
.54721 .49361 L
.54833 .49518 L
.54914 .49603 L
.55011 .49711 L
.55106 .4989 L
.55116 .49904 L
.55251 .50096 L
.55299 .5016 L
.5539 .50289 L
.55492 .50409 L
.55553 .50482 L
.55668 .50674 L
.55684 .50697 L
.55802 .50867 L
.55877 .50969 L
.5594 .5106 L
.5607 .51233 L
.56085 .51253 L
.56211 .51445 L
.56263 .51515 L
.56345 .51638 L
.56455 .51792 L
.56481 .51831 L
.56611 .52023 L
.56648 .52074 L
.56738 .52216 L
.56841 .52364 L
.56868 .52409 L
.56989 .52601 L
.57033 .52669 L
.57098 .52794 L
.57033 .52879 L
.56955 .52794 L
.56841 .52675 L
.56777 .52601 L
.56648 .5248 L
.56609 .52409 L
.56455 .52225 L
.56443 .52216 L
.56292 .52023 L
.56263 .51988 L
.56137 .51831 L
.5607 .51775 L
.55982 .51638 L
.55877 .51508 L
.5581 .51445 L
.55684 .51258 L
.55681 .51253 L
.55532 .5106 L
.55492 .51026 L
.55382 .50867 L
.55299 .50762 L
.55218 .50674 L
.55106 .50504 L
.55091 .50482 L
.54942 .50289 L
.54914 .50264 L
.54796 .50096 L
.54721 .5 L
.54639 .49904 L
.54528 .49738 L
.54512 .49711 L
.54363 .49518 L
.54336 .49493 L
.54219 .49326 L
.54143 .49227 L
.54067 .49133 L
.5395 .48963 L
.53938 .4894 L
.5379 .48747 L
.53758 .48717 L
.53591 .48555 L
.53565 .48448 L
.53499 .48362 L
.53372 .48182 L
.53367 .48169 L
.53221 .47977 L
.53179 .47935 L
.53035 .47784 L
.52987 .47662 L
.52935 .47591 L
.52797 .47399 L
.52794 .47395 L
.52657 .47206 L
.52601 .47148 L
.52479 .47013 L
.52409 .4687 L
.52374 .46821 L
.52236 .46628 L
.52216 .46601 L
.52097 .46435 L
.52023 .46353 L
.51928 .46242 L
.51831 .46071 L
.51816 .4605 L
.5168 .45857 L
.51638 .45801 L
.51541 .45664 L
.51445 .45548 L
.51383 .45472 L
.51265 .45279 L
.51253 .45263 L
.5113 .45086 L
.5106 .4499 L
.50993 .44894 L
.50867 .44724 L
.5085 .44701 L
.50724 .44508 L
.50674 .4444 L
.50591 .44316 L
.50482 .44162 L
.50456 .44123 L
.50327 .4393 L
.50289 .43876 L
.50201 .43737 L
.50096 .43583 L
.50073 .43545 L
.49958 .43352 L
.49904 .43267 L
.49853 .43159 L
F
1 .9 0 r
.49904 .53259 m
.49998 .53372 L
.50096 .53482 L
.50165 .53565 L
.50289 .53664 L
.50326 .53758 L
.50482 .53948 L
.50486 .5395 L
.50639 .54143 L
.50674 .54186 L
.50795 .54336 L
.50867 .54376 L
.50949 .54528 L
.5106 .54664 L
.51126 .54721 L
.51251 .54914 L
.51253 .54915 L
.51401 .55106 L
.51445 .55129 L
.51551 .55299 L
.51638 .55407 L
.51722 .55492 L
.51831 .55666 L
.51843 .55684 L
.51991 .55877 L
.52023 .55895 L
.52138 .5607 L
.52216 .56169 L
.523 .56263 L
.52409 .56433 L
.52423 .56455 L
.5257 .56648 L
.52601 .56668 L
.52714 .56841 L
.52794 .56943 L
.5287 .57033 L
.52987 .5721 L
.52996 .57226 L
.5314 .57419 L
.53179 .57448 L
.53283 .57611 L
.53372 .57728 L
.53432 .57804 L
.53564 .57997 L
.53565 .57998 L
.53704 .58189 L
.53758 .58235 L
.53917 .58382 L
.5395 .58523 L
.53989 .58575 L
.54123 .58768 L
.54143 .58795 L
.54261 .5896 L
.54336 .59035 L
.5445 .59153 L
.54528 .59331 L
.54539 .59346 L
.54673 .59538 L
.54721 .59605 L
.54809 .59731 L
.54914 .59859 L
.54971 .59924 L
.55078 .60116 L
.55106 .60155 L
.5521 .60309 L
.55299 .60436 L
.55343 .60502 L
.55473 .60694 L
.55492 .60722 L
.55596 .60887 L
.55684 .61019 L
.55722 .6108 L
.55834 .61273 L
.55877 .61344 L
.55917 .61465 L
.55877 .61473 L
.5587 .61465 L
.55684 .61279 L
.55679 .61273 L
.55514 .6108 L
.55492 .61057 L
.55355 .60887 L
.55299 .60824 L
.55198 .60694 L
.55106 .60586 L
.55042 .60502 L
.54914 .60356 L
.54887 .60309 L
.54737 .60116 L
.54721 .60097 L
.5459 .59924 L
.54528 .59847 L
.54442 .59731 L
.54336 .59613 L
.5424 .59538 L
.54144 .59346 L
.54143 .59344 L
.54002 .59153 L
.5395 .59088 L
.53857 .5896 L
.53758 .58848 L
.53666 .58768 L
.53565 .58575 L
.53565 .58575 L
.53424 .58382 L
.53372 .58315 L
.53281 .58189 L
.53179 .58072 L
.53102 .57997 L
.52993 .57804 L
.52987 .57797 L
.52854 .57611 L
.52794 .57534 L
.52712 .57419 L
.52601 .57286 L
.52544 .57226 L
.52426 .57033 L
.52409 .57011 L
.52288 .56841 L
.52216 .56746 L
.52147 .56648 L
.52023 .56492 L
.5199 .56455 L
.51865 .56263 L
.51831 .56217 L
.51727 .5607 L
.51638 .55951 L
.51586 .55877 L
.51445 .55687 L
.51443 .55684 L
.5131 .55492 L
.51253 .55416 L
.51172 .55299 L
.5106 .55148 L
.51032 .55106 L
.50895 .54914 L
.50867 .54877 L
.50762 .54721 L
.50674 .54603 L
.50625 .54528 L
.50486 .54336 L
.50482 .5433 L
.50359 .54143 L
.50289 .54047 L
.50228 .5395 L
.50096 .53765 L
.50092 .53758 L
.49973 .53565 L
.49904 .53465 L
.49853 .53372 L
F
0 .7 1 r
.49904 .54098 m
.49939 .54143 L
.50096 .54325 L
.50105 .54336 L
.50256 .54528 L
.50289 .54565 L
.50407 .54721 L
.50482 .5481 L
.5056 .54914 L
.50674 .55058 L
.50711 .55106 L
.50858 .55299 L
.50867 .5531 L
.51001 .55492 L
.5106 .55566 L
.51146 .55684 L
.51253 .55823 L
.51292 .55877 L
.51435 .5607 L
.51445 .56083 L
.51573 .56263 L
.51638 .56348 L
.51714 .56455 L
.51831 .56612 L
.51856 .56648 L
.51991 .56841 L
.52023 .56882 L
.52125 .57033 L
.52216 .57156 L
.52263 .57226 L
.52216 .57404 L
.52084 .57226 L
.52023 .57156 L
.51935 .57033 L
.51831 .56906 L
.51784 .56841 L
.51638 .56655 L
.51633 .56648 L
.51493 .56455 L
.51445 .56396 L
.51351 .56263 L
.51253 .56138 L
.51205 .5607 L
.5106 .5588 L
.51058 .55877 L
.50923 .55684 L
.50867 .55613 L
.50785 .55492 L
.50674 .55348 L
.50641 .55299 L
.50502 .55106 L
.50482 .55081 L
.50372 .54914 L
.50289 .54805 L
.50235 .54721 L
.50096 .54533 L
.50094 .54528 L
.49975 .54336 L
.49904 .54238 L
.49853 .54143 L
F
1 .95 0 r
.49904 .50073 m
.50096 .5005 L
.50268 .50096 L
.50289 .50106 L
.50482 .50287 L
.50484 .50289 L
.50637 .50482 L
.50674 .50548 L
.508 .50674 L
.50867 .50814 L
.50919 .50867 L
.5106 .51059 L
.51072 .5106 L
.51212 .51253 L
.51253 .51302 L
.51367 .51445 L
.51445 .51569 L
.51484 .51638 L
.51636 .51831 L
.51638 .51833 L
.51827 .52023 L
.51831 .52072 L
.51927 .52216 L
.52023 .52355 L
.52046 .52409 L
.52192 .52601 L
.52216 .52636 L
.5238 .52794 L
.52409 .52919 L
.52464 .52987 L
.52548 .53179 L
.52409 .53276 L
.52216 .53235 L
.52058 .53179 L
.52023 .53094 L
.51926 .52987 L
.51831 .52874 L
.51795 .52794 L
.51638 .52626 L
.51619 .52601 L
.51456 .52409 L
.51445 .52363 L
.51333 .52216 L
.51253 .52089 L
.51221 .52023 L
.5106 .51851 L
.51044 .51831 L
.50887 .51638 L
.50867 .51589 L
.50768 .51445 L
.50674 .51321 L
.50657 .51253 L
.50482 .5106 L
.50481 .5106 L
.50324 .50867 L
.50289 .50831 L
.5021 .50674 L
.50096 .50546 L
.50093 .50482 L
.49941 .50289 L
.49904 .50212 L
.49857 .50096 L
F
1 .96 0 r
.49904 .47405 m
.50096 .47581 L
.50146 .47591 L
.50289 .47726 L
.50348 .47784 L
.50482 .47928 L
.50527 .47977 L
.50674 .4815 L
.50692 .48169 L
.50849 .48362 L
.50867 .48389 L
.50995 .48555 L
.5106 .48652 L
.51076 .48747 L
.51253 .48928 L
.51295 .4894 L
.51431 .49133 L
.51445 .49154 L
.51565 .49326 L
.51638 .4944 L
.5164 .49518 L
.51777 .49711 L
.51638 .49845 L
.51445 .49751 L
.51407 .49711 L
.51253 .49544 L
.5122 .49518 L
.51082 .49326 L
.5106 .49298 L
.50939 .49133 L
.50867 .49081 L
.50795 .4894 L
.50674 .4879 L
.50638 .48747 L
.50512 .48555 L
.50482 .48514 L
.50377 .48362 L
.50289 .48243 L
.50239 .48169 L
.50101 .47977 L
.50096 .4797 L
.49978 .47784 L
.49904 .47673 L
.49858 .47591 L
F
0 .91 1 r
.49904 .42271 m
.50025 .42389 L
.50096 .42456 L
.5021 .42581 L
.50289 .42666 L
.50383 .42774 L
.50482 .42878 L
.50549 .42967 L
.50674 .43118 L
.50719 .43159 L
.50867 .43352 L
.50867 .43352 L
.51022 .43545 L
.5106 .43587 L
.51177 .43737 L
.51253 .43838 L
.51333 .4393 L
.51445 .44089 L
.51465 .44123 L
.51627 .44316 L
.51638 .44329 L
.5182 .44508 L
.51831 .44584 L
.51923 .44701 L
.52023 .44844 L
.52047 .44894 L
.52215 .45086 L
.52216 .45088 L
.52387 .45279 L
.52409 .45347 L
.52501 .45472 L
.52601 .45611 L
.52621 .45664 L
.52793 .45857 L
.52794 .45858 L
.52957 .4605 L
.52987 .4612 L
.53074 .46242 L
.53179 .46386 L
.5319 .46435 L
.53367 .46628 L
.53372 .46635 L
.53525 .46821 L
.53565 .46899 L
.53642 .47013 L
.53758 .47166 L
.53759 .47206 L
.53936 .47399 L
.5395 .47416 L
.54092 .47591 L
.54143 .47682 L
.54208 .47784 L
.54336 .47948 L
.54363 .47977 L
.54503 .48169 L
.54528 .482 L
.54657 .48362 L
.54721 .48468 L
.54773 .48555 L
.54914 .48732 L
.54929 .48747 L
.55069 .4894 L
.55106 .48986 L
.5522 .49133 L
.55299 .49255 L
.55338 .49326 L
.55492 .49517 L
.55493 .49518 L
.55678 .49711 L
.55684 .49774 L
.55783 .49904 L
.55877 .50044 L
.55903 .50096 L
.56057 .50289 L
.5607 .50299 L
.5624 .50482 L
.56263 .50564 L
.56344 .50674 L
.56455 .50834 L
.56469 .50867 L
.56619 .5106 L
.56648 .51084 L
.56799 .51253 L
.56841 .51355 L
.56905 .51445 L
.57033 .51626 L
.57037 .51638 L
.5718 .51831 L
.57226 .51872 L
.57356 .52023 L
.57419 .5215 L
.57464 .52216 L
.57602 .52409 L
.57611 .52421 L
.5774 .52601 L
.57804 .52665 L
.57909 .52794 L
.57997 .52948 L
.58022 .52987 L
.58159 .53179 L
.58189 .5322 L
.58297 .53372 L
.58382 .53465 L
.58459 .53565 L
.58575 .53753 L
.58577 .53758 L
.58712 .5395 L
.58768 .54025 L
.5885 .54143 L
.5896 .54279 L
.59002 .54336 L
.59125 .54528 L
.59153 .54566 L
.59259 .54721 L
.59346 .54841 L
.59395 .54914 L
.59532 .55106 L
.59538 .55115 L
.5966 .55299 L
.59731 .55398 L
.59792 .55492 L
.59924 .55682 L
.59928 .55684 L
.60044 .55877 L
.60116 .55985 L
.60165 .5607 L
.60277 .56263 L
.60116 .56289 L
.60103 .56263 L
.59924 .56073 L
.59917 .5607 L
.59751 .55877 L
.59731 .55856 L
.59585 .55684 L
.59538 .55655 L
.59422 .55492 L
.59346 .554 L
.59214 .55299 L
.59153 .55156 L
.59111 .55106 L
.5896 .54918 L
.58959 .54914 L
.58801 .54721 L
.58768 .54678 L
.58621 .54528 L
.58575 .54424 L
.58509 .54336 L
.58382 .54169 L
.58378 .54143 L
.58205 .5395 L
.58189 .5393 L
.58041 .53758 L
.57997 .5367 L
.57924 .53565 L
.57804 .53408 L
.57803 .53372 L
.57622 .53179 L
.57611 .53166 L
.57466 .52987 L
.57419 .52902 L
.57348 .52794 L
.57226 .52637 L
.57187 .52601 L
.57046 .52409 L
.57033 .52392 L
.56895 .52216 L
.56841 .52126 L
.56778 .52023 L
.56648 .5186 L
.56616 .51831 L
.56474 .51638 L
.56455 .51612 L
.56327 .51445 L
.56263 .51345 L
.56211 .51253 L
.5607 .5108 L
.56047 .5106 L
.55879 .50867 L
.55877 .50829 L
.55762 .50674 L
.55684 .50561 L
.55646 .50482 L
.55492 .50299 L
.5548 .50289 L
.55312 .50096 L
.55299 .50043 L
.55197 .49904 L
.55106 .49775 L
.55081 .49711 L
.54915 .49518 L
.54914 .49517 L
.54747 .49326 L
.54721 .49256 L
.54634 .49133 L
.54528 .48987 L
.54515 .4894 L
.54351 .48747 L
.54336 .48732 L
.54184 .48555 L
.54143 .48467 L
.54072 .48362 L
.5395 .48198 L
.53946 .48169 L
.53788 .47977 L
.53758 .47946 L
.53623 .47784 L
.53565 .47676 L
.5351 .47591 L
.53372 .47408 L
.53365 .47399 L
.53226 .47206 L
.53179 .47157 L
.53064 .47013 L
.52987 .46883 L
.52948 .46821 L
.52804 .46628 L
.52794 .46614 L
.52666 .46435 L
.52601 .46364 L
.52507 .46242 L
.52409 .46086 L
.52388 .4605 L
.52246 .45857 L
.52216 .45817 L
.52107 .45664 L
.52023 .45566 L
.51953 .45472 L
.51831 .45285 L
.51827 .45279 L
.5169 .45086 L
.51638 .45061 L
.5149 .44894 L
.51445 .44759 L
.51404 .44701 L
.51275 .44508 L
.51253 .44477 L
.5114 .44316 L
.5106 .4425 L
.50958 .44123 L
.50867 .43935 L
.50863 .4393 L
.50733 .43737 L
.50674 .43656 L
.506 .43545 L
.50482 .43397 L
.50449 .43352 L
.50336 .43159 L
.50289 .43092 L
.5021 .42967 L
.50096 .428 L
.5008 .42774 L
.49966 .42581 L
.49904 .42482 L
.49858 .42389 L
F
0 .56 1 r
.49904 .5065 m
.49941 .50674 L
.50096 .50803 L
.50153 .50867 L
.50289 .50977 L
.50321 .5106 L
.50475 .51253 L
.50482 .51261 L
.50614 .51445 L
.50674 .51526 L
.5075 .51638 L
.50867 .51805 L
.50883 .51831 L
.50994 .52023 L
.5106 .52152 L
.51074 .52216 L
.5106 .52241 L
.51013 .52216 L
.50867 .52103 L
.50792 .52023 L
.50674 .51897 L
.50619 .51831 L
.50482 .51675 L
.5046 .51638 L
.50313 .51445 L
.50289 .51414 L
.50174 .51253 L
.50096 .51143 L
.50041 .5106 L
.49925 .50867 L
.49904 .50826 L
.49859 .50674 L
F
1 .98 0 r
.49904 .41446 m
.50087 .41618 L
.50096 .41626 L
.50271 .41811 L
.50289 .41829 L
.50445 .42003 L
.50482 .42036 L
.50614 .42196 L
.50674 .42272 L
.50814 .42389 L
.50867 .42512 L
.50925 .42581 L
.5106 .42754 L
.51064 .42774 L
.51244 .42967 L
.51253 .42978 L
.51409 .43159 L
.51445 .43232 L
.5153 .43352 L
.51638 .43496 L
.517 .43545 L
.51831 .43719 L
.51845 .43737 L
.51995 .4393 L
.52023 .4398 L
.52117 .44123 L
.52216 .44255 L
.52287 .44316 L
.52409 .44481 L
.5243 .44508 L
.52573 .44701 L
.52601 .44746 L
.52692 .44894 L
.52794 .45028 L
.52864 .45086 L
.52987 .45255 L
.53005 .45279 L
.53145 .45472 L
.53179 .45524 L
.5326 .45664 L
.53372 .45808 L
.53435 .45857 L
.53565 .46037 L
.53575 .4605 L
.53713 .46242 L
.53758 .46308 L
.53823 .46435 L
.5395 .46592 L
.54003 .46628 L
.54142 .46821 L
.54143 .46822 L
.54278 .47013 L
.54336 .47096 L
.54384 .47206 L
.54528 .47375 L
.54569 .47399 L
.54713 .47591 L
.54721 .4761 L
.54841 .47784 L
.54914 .47884 L
.54944 .47977 L
.55106 .48157 L
.55134 .48169 L
.55281 .48362 L
.55299 .48399 L
.55404 .48555 L
.55492 .48672 L
.55504 .48747 L
.55684 .48936 L
.55698 .4894 L
.55847 .49133 L
.55877 .49188 L
.55966 .49326 L
.5607 .4946 L
.56123 .49518 L
.56262 .49711 L
.56263 .49712 L
.56411 .49904 L
.56455 .49978 L
.56528 .50096 L
.56648 .50247 L
.56686 .50289 L
.56826 .50482 L
.56841 .505 L
.56974 .50674 L
.57033 .50767 L
.5709 .50867 L
.57226 .51034 L
.5725 .5106 L
.5739 .51253 L
.57419 .51288 L
.57537 .51445 L
.57611 .51556 L
.57653 .51638 L
.57804 .51821 L
.57813 .51831 L
.57986 .52023 L
.57997 .52077 L
.58099 .52216 L
.58189 .52346 L
.58216 .52409 L
.58377 .52601 L
.58382 .52605 L
.5855 .52794 L
.58575 .52866 L
.58661 .52987 L
.58768 .53136 L
.58782 .53179 L
.5894 .53372 L
.5896 .53388 L
.59111 .53565 L
.59153 .53656 L
.59222 .53758 L
.59346 .53927 L
.5935 .5395 L
.59502 .54143 L
.59538 .54173 L
.59672 .54336 L
.59731 .54447 L
.59784 .54528 L
.59924 .54718 L
.59926 .54721 L
.60064 .54914 L
.60116 .54961 L
.60231 .55106 L
.60309 .55241 L
.60345 .55299 L
.60487 .55492 L
.60502 .55512 L
.60625 .55684 L
.60694 .55753 L
.60788 .55877 L
.60887 .56036 L
.60907 .5607 L
.61047 .56263 L
.6108 .56307 L
.61185 .56455 L
.61273 .56551 L
.61343 .56648 L
.61465 .56836 L
.61468 .56841 L
.61604 .57033 L
.61658 .57106 L
.61807 .57226 L
.61851 .57357 L
.61894 .57419 L
.62022 .57611 L
.62043 .5764 L
.62157 .57804 L
.62236 .57911 L
.62341 .57997 L
.62429 .58177 L
.62437 .58189 L
.62568 .58382 L
.62621 .58456 L
.62702 .58575 L
.62814 .58731 L
.62857 .58768 L
.62969 .5896 L
.63007 .59013 L
.63097 .59153 L
.63199 .59302 L
.63227 .59346 L
.63347 .59538 L
.63392 .59608 L
.63456 .59731 L
.63392 .59891 L
.63216 .59731 L
.63199 .59715 L
.6303 .59538 L
.63007 .59514 L
.62856 .59346 L
.62814 .59303 L
.6269 .59153 L
.62621 .59067 L
.62507 .5896 L
.62429 .58827 L
.62377 .58768 L
.62236 .58587 L
.62228 .58575 L
.62071 .58382 L
.62043 .58344 L
.61915 .58189 L
.61851 .58088 L
.61788 .57997 L
.61658 .5783 L
.61624 .57804 L
.61467 .57611 L
.61465 .57592 L
.61336 .57419 L
.61273 .57325 L
.6122 .57226 L
.6108 .57052 L
.61039 .57033 L
.60893 .56841 L
.60887 .56825 L
.60762 .56648 L
.60694 .56552 L
.60657 .56455 L
.60502 .56312 L
.60463 .56263 L
.60319 .5607 L
.60309 .56049 L
.60192 .55877 L
.60116 .55772 L
.60094 .55684 L
.59924 .55532 L
.59893 .55492 L
.59748 .55299 L
.59731 .55266 L
.59626 .55106 L
.59538 .54988 L
.59465 .54914 L
.59346 .54748 L
.59325 .54721 L
.59181 .54528 L
.59153 .5448 L
.59062 .54336 L
.5896 .54203 L
.58899 .54143 L
.58768 .53961 L
.5876 .5395 L
.58615 .53758 L
.58575 .53692 L
.58499 .53565 L
.58382 .53417 L
.58334 .53372 L
.58195 .53179 L
.58189 .53172 L
.58051 .52987 L
.57997 .52903 L
.57937 .52794 L
.57804 .52632 L
.57769 .52601 L
.57615 .52409 L
.57611 .52384 L
.57488 .52216 L
.57419 .52114 L
.57375 .52023 L
.57226 .51848 L
.57205 .51831 L
.57046 .51638 L
.57033 .51595 L
.56925 .51445 L
.56841 .51326 L
.56813 .51253 L
.56648 .51065 L
.56642 .5106 L
.5648 .50867 L
.56455 .50806 L
.56363 .50674 L
.56263 .50537 L
.56248 .50482 L
.56078 .50289 L
.5607 .50281 L
.55916 .50096 L
.55877 .50017 L
.558 .49904 L
.55684 .49749 L
.55682 .49711 L
.55514 .49518 L
.55492 .49495 L
.55353 .49326 L
.55299 .49227 L
.55238 .49133 L
.55106 .4896 L
.55091 .4894 L
.54951 .48747 L
.54914 .48708 L
.54792 .48555 L
.54721 .48437 L
.54675 .48362 L
.54528 .48171 L
.54527 .48169 L
.54388 .47977 L
.54336 .47919 L
.54231 .47784 L
.54143 .47646 L
.54112 .47591 L
.53965 .47399 L
.5395 .47395 L
.53766 .47206 L
.53758 .47129 L
.5367 .47013 L
.53565 .46854 L
.53548 .46821 L
.53403 .46628 L
.53372 .46616 L
.53209 .46435 L
.53179 .46337 L
.53111 .46242 L
.52987 .46061 L
.52982 .4605 L
.52841 .45857 L
.52794 .45831 L
.52654 .45664 L
.52601 .45542 L
.52552 .45472 L
.52419 .45279 L
.52409 .45266 L
.52281 .45086 L
.52216 .45038 L
.52101 .44894 L
.52023 .44743 L
.51995 .44701 L
.51861 .44508 L
.51831 .44468 L
.51723 .44316 L
.51638 .44237 L
.51553 .44123 L
.51445 .43937 L
.5144 .4393 L
.51306 .43737 L
.51253 .43665 L
.51169 .43545 L
.5106 .4342 L
.51011 .43352 L
.50892 .43159 L
.50867 .43126 L
.50759 .42967 L
.50674 .42851 L
.50623 .42774 L
.50485 .42581 L
.50482 .42577 L
.50358 .42389 L
.50289 .42292 L
.50228 .42196 L
.50096 .42005 L
.50095 .42003 L
.4998 .41811 L
.49904 .41691 L
.49866 .41618 L
F
1 .72 0 r
.49904 .43122 m
.49943 .43159 L
.50096 .43304 L
.50139 .43352 L
.50289 .43497 L
.50312 .43545 L
.50475 .43737 L
.50482 .43744 L
.50633 .4393 L
.50674 .43979 L
.50789 .44123 L
.50867 .44182 L
.50944 .44316 L
.5106 .44455 L
.51122 .44508 L
.51248 .44701 L
.51253 .44706 L
.51396 .44894 L
.51445 .44929 L
.51545 .45086 L
.51638 .452 L
.51717 .45279 L
.51831 .45459 L
.5184 .45472 L
.51986 .45664 L
.52023 .45693 L
.52131 .45857 L
.52216 .45962 L
.52297 .4605 L
.52409 .46225 L
.52421 .46242 L
.52565 .46435 L
.52601 .46464 L
.52709 .46628 L
.52794 .46735 L
.52868 .46821 L
.52987 .47 L
.52995 .47013 L
.53138 .47206 L
.53179 .47241 L
.5328 .47399 L
.53372 .47515 L
.53435 .47591 L
.53565 .47782 L
.53566 .47784 L
.53706 .47977 L
.53758 .48023 L
.53911 .48169 L
.5395 .48301 L
.53998 .48362 L
.54131 .48555 L
.54143 .4857 L
.5427 .48747 L
.54336 .48811 L
.54461 .4894 L
.54528 .49094 L
.54558 .49133 L
.54692 .49326 L
.54721 .49364 L
.54831 .49518 L
.54914 .49607 L
.55008 .49711 L
.55106 .49894 L
.55114 .49904 L
.55249 .50096 L
.55299 .50164 L
.55387 .50289 L
.55492 .50414 L
.55549 .50482 L
.55665 .50674 L
.55684 .50701 L
.55799 .50867 L
.55877 .50973 L
.55937 .5106 L
.5607 .5124 L
.5608 .51253 L
.56207 .51445 L
.56263 .51522 L
.5634 .51638 L
.56455 .51799 L
.56476 .51831 L
.56605 .52023 L
.56648 .52084 L
.56731 .52216 L
.56841 .52375 L
.56861 .52409 L
.56976 .52601 L
.57033 .52691 L
.5708 .52794 L
.57033 .52855 L
.56974 .52794 L
.56841 .5266 L
.56789 .52601 L
.56648 .52463 L
.56619 .52409 L
.56457 .52216 L
.56455 .52214 L
.563 .52023 L
.56263 .5198 L
.56143 .51831 L
.5607 .51769 L
.55988 .51638 L
.55877 .51501 L
.55817 .51445 L
.55685 .51253 L
.55684 .51251 L
.55536 .5106 L
.55492 .51022 L
.55387 .50867 L
.55299 .50757 L
.55222 .50674 L
.55106 .50499 L
.55094 .50482 L
.54946 .50289 L
.54914 .5026 L
.548 .50096 L
.54721 .49995 L
.54643 .49904 L
.54528 .49734 L
.54514 .49711 L
.54366 .49518 L
.54336 .4949 L
.54221 .49326 L
.54143 .49224 L
.5407 .49133 L
.5395 .4896 L
.5394 .4894 L
.53792 .48747 L
.53758 .48714 L
.53593 .48555 L
.53565 .48444 L
.53502 .48362 L
.53372 .48179 L
.53368 .48169 L
.53224 .47977 L
.53179 .47932 L
.53037 .47784 L
.52987 .47658 L
.52937 .47591 L
.52799 .47399 L
.52794 .47392 L
.5266 .47206 L
.52601 .47145 L
.52482 .47013 L
.52409 .46866 L
.52376 .46821 L
.52239 .46628 L
.52216 .46598 L
.521 .46435 L
.52023 .4635 L
.51931 .46242 L
.51831 .46067 L
.51819 .4605 L
.51683 .45857 L
.51638 .45796 L
.51545 .45664 L
.51445 .45543 L
.51387 .45472 L
.51268 .45279 L
.51253 .45258 L
.51134 .45086 L
.5106 .44985 L
.50997 .44894 L
.50867 .44716 L
.50855 .44701 L
.50728 .44508 L
.50674 .44433 L
.50596 .44316 L
.50482 .44154 L
.50461 .44123 L
.50334 .4393 L
.50289 .43866 L
.50209 .43737 L
.50096 .4357 L
.50081 .43545 L
.49972 .43352 L
.49904 .43236 L
.49876 .43159 L
F
0 .55 1 r
.49904 .50665 m
.49922 .50674 L
.50096 .5081 L
.50147 .50867 L
.50289 .50987 L
.50317 .5106 L
.5047 .51253 L
.50482 .51267 L
.50609 .51445 L
.50674 .51532 L
.50746 .51638 L
.50867 .51812 L
.50879 .51831 L
.50986 .52023 L
.50867 .52093 L
.508 .52023 L
.50674 .5189 L
.50624 .51831 L
.50482 .51667 L
.50465 .51638 L
.50318 .51445 L
.50289 .51407 L
.50178 .51253 L
.50096 .51136 L
.50046 .5106 L
.49933 .50867 L
.49904 .50808 L
.49879 .50674 L
F
0 .5 1 r
.49904 .43928 m
.49905 .4393 L
.49904 .44018 L
.49881 .4393 L
F
1 .95 0 r
.49904 .47474 m
.50096 .47591 L
.50096 .47592 L
.50289 .47763 L
.50311 .47784 L
.50482 .47962 L
.50496 .47977 L
.50665 .48169 L
.50674 .48178 L
.50828 .48362 L
.50867 .48417 L
.50979 .48555 L
.5106 .48677 L
.51066 .48747 L
.51253 .48936 L
.51274 .4894 L
.51412 .49133 L
.51445 .49182 L
.51548 .49326 L
.51638 .4948 L
.51639 .49518 L
.51735 .49711 L
.51638 .49803 L
.51445 .49722 L
.51434 .49711 L
.51253 .49524 L
.51245 .49518 L
.51095 .49326 L
.5106 .49282 L
.5095 .49133 L
.50867 .49068 L
.50805 .4894 L
.50674 .48774 L
.50652 .48747 L
.50523 .48555 L
.50482 .48499 L
.50388 .48362 L
.50289 .48226 L
.50251 .48169 L
.50118 .47977 L
.50096 .47945 L
.5 .47784 L
.49904 .47624 L
.49888 .47591 L
F
0 .69 1 r
.49904 .54135 m
.4991 .54143 L
.49904 .54197 L
.49889 .54143 L
F
0 .71 1 r
.49904 .48171 m
.50084 .48362 L
.50096 .48375 L
.50243 .48555 L
.50289 .48611 L
.50391 .48747 L
.50482 .48873 L
.50528 .4894 L
.5064 .49133 L
.50482 .49147 L
.5047 .49133 L
.50305 .4894 L
.50289 .48922 L
.50162 .48747 L
.50096 .48663 L
.50025 .48555 L
.49904 .48383 L
.49891 .48362 L
F
1 .94 0 r
.49904 .50093 m
.50096 .50061 L
.50239 .50096 L
.50289 .50118 L
.50476 .50289 L
.50482 .50301 L
.50633 .50482 L
.50674 .50555 L
.50797 .50674 L
.50867 .50817 L
.50916 .50867 L
.5106 .51059 L
.51069 .5106 L
.5121 .51253 L
.51253 .51305 L
.51365 .51445 L
.51445 .51572 L
.51483 .51638 L
.51634 .51831 L
.51638 .51836 L
.51827 .52023 L
.51831 .52075 L
.51924 .52216 L
.52023 .52359 L
.52044 .52409 L
.52188 .52601 L
.52216 .52642 L
.52376 .52794 L
.52409 .52929 L
.52455 .52987 L
.52526 .53179 L
.52409 .53258 L
.52216 .53216 L
.52089 .53179 L
.52023 .53079 L
.51936 .52987 L
.51831 .52864 L
.518 .52794 L
.51638 .52619 L
.51624 .52601 L
.51458 .52409 L
.51445 .52357 L
.51336 .52216 L
.51253 .52085 L
.51223 .52023 L
.5106 .51847 L
.51047 .51831 L
.50889 .51638 L
.50867 .51586 L
.5077 .51445 L
.50674 .51317 L
.50658 .51253 L
.50484 .5106 L
.50482 .51057 L
.50326 .50867 L
.50289 .50828 L
.50214 .50674 L
.50096 .50536 L
.50094 .50482 L
.49949 .50289 L
.49904 .5018 L
.49898 .50096 L
F
0 .7 1 r
.49904 .48194 m
.50069 .48362 L
.50096 .4839 L
.50231 .48555 L
.50289 .48625 L
.5038 .48747 L
.50482 .48888 L
.50517 .4894 L
.50622 .49133 L
.50482 .49134 L
.50481 .49133 L
.50316 .4894 L
.50289 .48909 L
.50172 .48747 L
.50096 .48651 L
.50034 .48555 L
.49904 .48367 L
.49901 .48362 L
F
1 .93 0 r
.50096 .50072 m
.50206 .50096 L
.50289 .50129 L
.50467 .50289 L
.50482 .50316 L
.50628 .50482 L
.50674 .50561 L
.50794 .50674 L
.50867 .50821 L
.50914 .50867 L
.5106 .5106 L
.51067 .5106 L
.51208 .51253 L
.51253 .51308 L
.51363 .51445 L
.51445 .51575 L
.51481 .51638 L
.51632 .51831 L
.51638 .51839 L
.51826 .52023 L
.51831 .52078 L
.51922 .52216 L
.52023 .52364 L
.52042 .52409 L
.52184 .52601 L
.52216 .52648 L
.52372 .52794 L
.52409 .5294 L
.52446 .52987 L
.52503 .53179 L
.52409 .53239 L
.52216 .53198 L
.52138 .53179 L
.52023 .53065 L
.51946 .52987 L
.51831 .52854 L
.51804 .52794 L
.51638 .52612 L
.5163 .52601 L
.51459 .52409 L
.51445 .52351 L
.5134 .52216 L
.51253 .52082 L
.51224 .52023 L
.5106 .51844 L
.5105 .51831 L
.5089 .51638 L
.50867 .51582 L
.50772 .51445 L
.50674 .51314 L
.50659 .51253 L
.50487 .5106 L
.50482 .51053 L
.50328 .50867 L
.50289 .50824 L
.50217 .50674 L
.50096 .50526 L
.50094 .50482 L
.49958 .50289 L
.49934 .50096 L
F
0 .54 1 r
.50096 .50817 m
.50141 .50867 L
.50289 .50998 L
.50313 .5106 L
.50466 .51253 L
.50482 .51273 L
.50605 .51445 L
.50674 .51538 L
.50741 .51638 L
.50867 .51819 L
.50874 .51831 L
.50977 .52023 L
.50867 .52084 L
.50808 .52023 L
.50674 .51883 L
.5063 .51831 L
.50482 .51658 L
.5047 .51638 L
.50323 .51445 L
.50289 .51401 L
.50183 .51253 L
.50096 .51128 L
.50051 .5106 L
.49941 .50867 L
F
0 .53 1 r
.50096 .50825 m
.50135 .50867 L
.50289 .5101 L
.50308 .5106 L
.50461 .51253 L
.50482 .51279 L
.506 .51445 L
.50674 .51544 L
.50737 .51638 L
.50867 .51827 L
.50869 .51831 L
.50968 .52023 L
.50867 .52074 L
.50817 .52023 L
.50674 .51875 L
.50636 .51831 L
.50482 .51649 L
.50475 .51638 L
.50329 .51445 L
.50289 .51394 L
.50189 .51253 L
.50096 .5112 L
.50057 .5106 L
.49949 .50867 L
F
0 .52 1 r
.50096 .50833 m
.50128 .50867 L
.50289 .51022 L
.50303 .5106 L
.50455 .51253 L
.50482 .51285 L
.50596 .51445 L
.50674 .5155 L
.50732 .51638 L
.50864 .51831 L
.50867 .51836 L
.50957 .52023 L
.50867 .52063 L
.50827 .52023 L
.50674 .51868 L
.50643 .51831 L
.50482 .5164 L
.50481 .51638 L
.50334 .51445 L
.50289 .51387 L
.50194 .51253 L
.50096 .51112 L
.50062 .5106 L
.49959 .50867 L
F
1 .92 0 r
.50096 .50084 m
.50167 .50096 L
.50289 .5014 L
.50459 .50289 L
.50482 .5033 L
.50623 .50482 L
.50674 .50568 L
.50791 .50674 L
.50867 .50824 L
.50912 .50867 L
.5106 .5106 L
.51064 .5106 L
.51205 .51253 L
.51253 .5131 L
.51361 .51445 L
.51445 .51578 L
.5148 .51638 L
.51629 .51831 L
.51638 .51842 L
.51825 .52023 L
.51831 .52081 L
.51919 .52216 L
.52023 .52369 L
.5204 .52409 L
.5218 .52601 L
.52216 .52654 L
.52368 .52794 L
.52409 .52952 L
.52436 .52987 L
.52476 .53179 L
.52409 .5322 L
.52216 .53181 L
.52207 .53179 L
.52023 .53051 L
.51957 .52987 L
.51831 .52845 L
.51808 .52794 L
.51638 .52605 L
.51635 .52601 L
.51461 .52409 L
.51445 .52346 L
.51343 .52216 L
.51253 .52078 L
.51226 .52023 L
.5106 .5184 L
.51053 .51831 L
.50891 .51638 L
.50867 .51579 L
.50775 .51445 L
.50674 .51311 L
.5066 .51253 L
.5049 .5106 L
.50482 .51049 L
.5033 .50867 L
.50289 .5082 L
.5022 .50674 L
.50096 .50515 L
.50095 .50482 L
.49966 .50289 L
.49977 .50096 L
F
0 .51 1 r
.50096 .50841 m
.5012 .50867 L
.50289 .51034 L
.50298 .5106 L
.5045 .51253 L
.50482 .51291 L
.50591 .51445 L
.50674 .51557 L
.50728 .51638 L
.50857 .51831 L
.50867 .51847 L
.50945 .52023 L
.50867 .52052 L
.50837 .52023 L
.50674 .5186 L
.50649 .51831 L
.50487 .51638 L
.50482 .51632 L
.5034 .51445 L
.50289 .5138 L
.50199 .51253 L
.50096 .51103 L
.50068 .5106 L
.49969 .50867 L
F
1 .91 0 r
.50096 .50095 m
.50108 .50096 L
.50289 .5015 L
.50451 .50289 L
.50482 .50342 L
.50618 .50482 L
.50674 .50574 L
.50788 .50674 L
.50867 .50827 L
.5091 .50867 L
.5106 .5106 L
.51062 .5106 L
.51203 .51253 L
.51253 .51313 L
.51359 .51445 L
.51445 .51581 L
.51478 .51638 L
.51627 .51831 L
.51638 .51845 L
.51825 .52023 L
.51831 .52084 L
.51917 .52216 L
.52023 .52374 L
.52038 .52409 L
.52176 .52601 L
.52216 .52661 L
.52363 .52794 L
.52409 .52965 L
.52425 .52987 L
.52445 .53179 L
.52409 .532 L
.52253 .53179 L
.52216 .53167 L
.52023 .53038 L
.51967 .52987 L
.51831 .52835 L
.51812 .52794 L
.5164 .52601 L
.51638 .52598 L
.51462 .52409 L
.51445 .5234 L
.51346 .52216 L
.51253 .52074 L
.51228 .52023 L
.5106 .51836 L
.51056 .51831 L
.50893 .51638 L
.50867 .51575 L
.50777 .51445 L
.50674 .51307 L
.50661 .51253 L
.50493 .5106 L
.50482 .51045 L
.50332 .50867 L
.50289 .50816 L
.50223 .50674 L
.50096 .50503 L
.50095 .50482 L
.49974 .50289 L
.50049 .50096 L
F
0 .5 1 r
.50096 .5085 m
.50113 .50867 L
.50289 .51048 L
.50293 .5106 L
.50445 .51253 L
.50482 .51298 L
.50586 .51445 L
.50674 .51564 L
.50723 .51638 L
.50849 .51831 L
.50867 .5186 L
.50929 .52023 L
.50867 .52039 L
.5085 .52023 L
.50674 .51852 L
.50656 .51831 L
.50493 .51638 L
.50482 .51625 L
.50345 .51445 L
.50289 .51372 L
.50205 .51253 L
.50096 .51094 L
.50074 .5106 L
.4998 .50867 L
F
1 .9 0 r
.50096 .50106 m
.50289 .5016 L
.50443 .50289 L
.50482 .50354 L
.50613 .50482 L
.50674 .5058 L
.50785 .50674 L
.50867 .5083 L
.50907 .50867 L
.51059 .5106 L
.5106 .51061 L
.51201 .51253 L
.51253 .51316 L
.51357 .51445 L
.51445 .51584 L
.51476 .51638 L
.51625 .51831 L
.51638 .51848 L
.51824 .52023 L
.51831 .52087 L
.51914 .52216 L
.52023 .52379 L
.52036 .52409 L
.52172 .52601 L
.52216 .52667 L
.52357 .52794 L
.52409 .52979 L
.52414 .52987 L
.52409 .53177 L
.52216 .53154 L
.52023 .53026 L
.51979 .52987 L
.51831 .52826 L
.51816 .52794 L
.51646 .52601 L
.51638 .52591 L
.51464 .52409 L
.51445 .52335 L
.51349 .52216 L
.51253 .52071 L
.51229 .52023 L
.5106 .51832 L
.51059 .51831 L
.50894 .51638 L
.50867 .51572 L
.50779 .51445 L
.50674 .51304 L
.50662 .51253 L
.50495 .5106 L
.50482 .51041 L
.50335 .50867 L
.50289 .50811 L
.50227 .50674 L
.50096 .50491 L
.50096 .50482 L
.49983 .50289 L
F
1 .71 0 r
.50096 .43321 m
.50124 .43352 L
.50289 .43519 L
.50301 .43545 L
.50466 .43737 L
.50482 .43755 L
.50625 .4393 L
.50674 .43987 L
.50782 .44123 L
.50867 .44189 L
.50938 .44316 L
.5106 .44462 L
.51114 .44508 L
.51243 .44701 L
.51253 .44713 L
.51392 .44894 L
.51445 .44933 L
.51541 .45086 L
.51638 .45205 L
.51713 .45279 L
.51831 .45463 L
.51837 .45472 L
.51982 .45664 L
.52023 .45696 L
.52128 .45857 L
.52216 .45966 L
.52293 .4605 L
.52409 .46229 L
.52418 .46242 L
.52562 .46435 L
.52601 .46467 L
.52706 .46628 L
.52794 .46738 L
.52865 .46821 L
.52987 .47003 L
.52993 .47013 L
.53135 .47206 L
.53179 .47243 L
.53278 .47399 L
.53372 .47518 L
.53432 .47591 L
.53564 .47784 L
.53565 .47785 L
.53704 .47977 L
.53758 .48026 L
.53908 .48169 L
.5395 .48305 L
.53996 .48362 L
.54129 .48555 L
.54143 .48573 L
.54268 .48747 L
.54336 .48814 L
.54458 .4894 L
.54528 .49098 L
.54555 .49133 L
.5469 .49326 L
.54721 .49367 L
.54828 .49518 L
.54914 .49611 L
.55005 .49711 L
.55106 .49898 L
.55111 .49904 L
.55246 .50096 L
.55299 .50168 L
.55384 .50289 L
.55492 .50419 L
.55545 .50482 L
.55661 .50674 L
.55684 .50706 L
.55796 .50867 L
.55877 .50978 L
.55933 .5106 L
.5607 .51248 L
.56074 .51253 L
.56202 .51445 L
.56263 .51528 L
.56335 .51638 L
.56455 .51806 L
.56471 .51831 L
.56598 .52023 L
.56648 .52093 L
.56724 .52216 L
.56841 .52387 L
.56853 .52409 L
.56962 .52601 L
.57033 .52722 L
.57057 .52794 L
.57033 .52823 L
.57 .52794 L
.56841 .52644 L
.56803 .52601 L
.56648 .52444 L
.5663 .52409 L
.56466 .52216 L
.56455 .52204 L
.56307 .52023 L
.56263 .51971 L
.5615 .51831 L
.5607 .51761 L
.55994 .51638 L
.55877 .51494 L
.55824 .51445 L
.5569 .51253 L
.55684 .51245 L
.55541 .5106 L
.55492 .51018 L
.55391 .50867 L
.55299 .50751 L
.55227 .50674 L
.55106 .50495 L
.55098 .50482 L
.5495 .50289 L
.54914 .50257 L
.54803 .50096 L
.54721 .49991 L
.54646 .49904 L
.54528 .4973 L
.54517 .49711 L
.54369 .49518 L
.54336 .49487 L
.54224 .49326 L
.54143 .4922 L
.54073 .49133 L
.5395 .48956 L
.53942 .4894 L
.53795 .48747 L
.53758 .48711 L
.53594 .48555 L
.53565 .48441 L
.53504 .48362 L
.53372 .48176 L
.53369 .48169 L
.53227 .47977 L
.53179 .47929 L
.53039 .47784 L
.52987 .47655 L
.5294 .47591 L
.52802 .47399 L
.52794 .47388 L
.52662 .47206 L
.52601 .47141 L
.52485 .47013 L
.52409 .46863 L
.52379 .46821 L
.52241 .46628 L
.52216 .46594 L
.52102 .46435 L
.52023 .46346 L
.51934 .46242 L
.51831 .46063 L
.51822 .4605 L
.51686 .45857 L
.51638 .45792 L
.51548 .45664 L
.51445 .45538 L
.51391 .45472 L
.51272 .45279 L
.51253 .45253 L
.51137 .45086 L
.5106 .44979 L
.51001 .44894 L
.50867 .44708 L
.50861 .44701 L
.50733 .44508 L
.50674 .44426 L
.50601 .44316 L
.50482 .44146 L
.50466 .44123 L
.50341 .4393 L
.50289 .43855 L
.50217 .43737 L
.50096 .43556 L
.5009 .43545 L
.4999 .43352 L
F
1 .89 0 r
.50096 .50118 m
.50289 .5017 L
.50434 .50289 L
.50482 .50365 L
.50608 .50482 L
.50674 .50586 L
.50782 .50674 L
.50867 .50833 L
.50905 .50867 L
.51056 .5106 L
.5106 .51063 L
.51198 .51253 L
.51253 .51319 L
.51355 .51445 L
.51445 .51587 L
.51475 .51638 L
.51622 .51831 L
.51638 .51852 L
.51823 .52023 L
.51831 .52091 L
.51911 .52216 L
.52023 .52385 L
.52033 .52409 L
.52168 .52601 L
.52216 .52674 L
.52351 .52794 L
.52403 .52987 L
.52216 .53141 L
.52023 .53014 L
.51991 .52987 L
.51831 .52817 L
.5182 .52794 L
.51651 .52601 L
.51638 .52584 L
.51466 .52409 L
.51445 .5233 L
.51352 .52216 L
.51253 .52067 L
.51231 .52023 L
.51062 .51831 L
.5106 .51829 L
.50896 .51638 L
.50867 .51569 L
.50782 .51445 L
.50674 .51301 L
.50663 .51253 L
.50498 .5106 L
.50482 .51037 L
.50337 .50867 L
.50289 .50806 L
.5023 .50674 L
.50098 .50482 L
.50096 .50479 L
.49991 .50289 L
F
0 .49 1 r
.50096 .50859 m
.50104 .50867 L
.50288 .5106 L
.50289 .51061 L
.50439 .51253 L
.50482 .51305 L
.50581 .51445 L
.50674 .51571 L
.50718 .51638 L
.50841 .51831 L
.50867 .51875 L
.50905 .52023 L
.50867 .52025 L
.50865 .52023 L
.50674 .51843 L
.50663 .51831 L
.505 .51638 L
.50482 .51617 L
.50351 .51445 L
.50289 .51365 L
.5021 .51253 L
.50096 .51085 L
.5008 .5106 L
.49994 .50867 L
F
0 .9 1 r
.50096 .425 m
.50175 .42581 L
.50289 .42698 L
.50357 .42774 L
.50482 .42905 L
.50528 .42967 L
.50674 .4314 L
.50697 .43159 L
.50851 .43352 L
.50867 .43371 L
.51009 .43545 L
.5106 .43602 L
.51165 .43737 L
.51253 .43852 L
.51323 .4393 L
.51445 .441 L
.51459 .44123 L
.51618 .44316 L
.51638 .44339 L
.51818 .44508 L
.51831 .44594 L
.51916 .44701 L
.52023 .44852 L
.52043 .44894 L
.52209 .45086 L
.52216 .45095 L
.52385 .45279 L
.52409 .45354 L
.52497 .45472 L
.52601 .45617 L
.52619 .45664 L
.52789 .45857 L
.52794 .45863 L
.52955 .4605 L
.52987 .46125 L
.5307 .46242 L
.53179 .46391 L
.53189 .46435 L
.53363 .46628 L
.53372 .46639 L
.53523 .46821 L
.53565 .46903 L
.5364 .47013 L
.53758 .47169 L
.53758 .47206 L
.53933 .47399 L
.5395 .4742 L
.5409 .47591 L
.54143 .47685 L
.54206 .47784 L
.54336 .47951 L
.5436 .47977 L
.54501 .48169 L
.54528 .48203 L
.54655 .48362 L
.54721 .48471 L
.54772 .48555 L
.54914 .48734 L
.54927 .48747 L
.55067 .4894 L
.55106 .48989 L
.55218 .49133 L
.55299 .49258 L
.55336 .49326 L
.55491 .49518 L
.55492 .49519 L
.55678 .49711 L
.55684 .49777 L
.55781 .49904 L
.55877 .50046 L
.55902 .50096 L
.56055 .50289 L
.5607 .50301 L
.56239 .50482 L
.56263 .50566 L
.56342 .50674 L
.56455 .50837 L
.56468 .50867 L
.56617 .5106 L
.56648 .51086 L
.56797 .51253 L
.56841 .51358 L
.56902 .51445 L
.57033 .51629 L
.57036 .51638 L
.57178 .51831 L
.57226 .51874 L
.57353 .52023 L
.57419 .52153 L
.57462 .52216 L
.57599 .52409 L
.57611 .52425 L
.57737 .52601 L
.57804 .52669 L
.57906 .52794 L
.57997 .52953 L
.58019 .52987 L
.58155 .53179 L
.58189 .53225 L
.58293 .53372 L
.58382 .53471 L
.58455 .53565 L
.58573 .53758 L
.58575 .5376 L
.58707 .5395 L
.58768 .54032 L
.58845 .54143 L
.5896 .54289 L
.58995 .54336 L
.59118 .54528 L
.59153 .54575 L
.59252 .54721 L
.59346 .54851 L
.59388 .54914 L
.59522 .55106 L
.59538 .55129 L
.59649 .55299 L
.59731 .55415 L
.5978 .55492 L
.59909 .55684 L
.59924 .55706 L
.60023 .55877 L
.60116 .56025 L
.60139 .5607 L
.60116 .56222 L
.59959 .5607 L
.59924 .56037 L
.59778 .55877 L
.59731 .55828 L
.59607 .55684 L
.59538 .55639 L
.5944 .55492 L
.59346 .55381 L
.5923 .55299 L
.59153 .5514 L
.59123 .55106 L
.58967 .54914 L
.5896 .54909 L
.58812 .54721 L
.58768 .54665 L
.58628 .54528 L
.58575 .54412 L
.58517 .54336 L
.58382 .54161 L
.58379 .54143 L
.58212 .5395 L
.58189 .5392 L
.58046 .53758 L
.57997 .53661 L
.57929 .53565 L
.57804 .53402 L
.57803 .53372 L
.57627 .53179 L
.57611 .53159 L
.5747 .52987 L
.57419 .52896 L
.57352 .52794 L
.57226 .52632 L
.57192 .52601 L
.5705 .52409 L
.57033 .52387 L
.56898 .52216 L
.56841 .52121 L
.56781 .52023 L
.56648 .51856 L
.56619 .51831 L
.56478 .51638 L
.56455 .51608 L
.5633 .51445 L
.56263 .51341 L
.56213 .51253 L
.5607 .51077 L
.5605 .5106 L
.55879 .50867 L
.55877 .50825 L
.55764 .50674 L
.55684 .50557 L
.55647 .50482 L
.55492 .50297 L
.55483 .50289 L
.55313 .50096 L
.55299 .5004 L
.55199 .49904 L
.55106 .49772 L
.55082 .49711 L
.54917 .49518 L
.54914 .49515 L
.54748 .49326 L
.54721 .49253 L
.54636 .49133 L
.54528 .48984 L
.54515 .4894 L
.54353 .48747 L
.54336 .4873 L
.54186 .48555 L
.54143 .48464 L
.54074 .48362 L
.5395 .48195 L
.53946 .48169 L
.5379 .47977 L
.53758 .47943 L
.53625 .47784 L
.53565 .47673 L
.53512 .47591 L
.53372 .47405 L
.53367 .47399 L
.53228 .47206 L
.53179 .47154 L
.53066 .47013 L
.52987 .46879 L
.52951 .46821 L
.52807 .46628 L
.52794 .46611 L
.52668 .46435 L
.52601 .4636 L
.5251 .46242 L
.52409 .46082 L
.5239 .4605 L
.52249 .45857 L
.52216 .45812 L
.52111 .45664 L
.52023 .45561 L
.51957 .45472 L
.51831 .45279 L
.5183 .45279 L
.51695 .45086 L
.51638 .45057 L
.51495 .44894 L
.51445 .44751 L
.51409 .44701 L
.51281 .44508 L
.51253 .44469 L
.51146 .44316 L
.5106 .44239 L
.50968 .44123 L
.50872 .4393 L
.50867 .43924 L
.50742 .43737 L
.50674 .43643 L
.50609 .43545 L
.50482 .43371 L
.50468 .43352 L
.5035 .43159 L
.50289 .43071 L
.50225 .42967 L
.50099 .42774 L
.50096 .4277 L
.49998 .42581 L
F
1 .88 0 r
.50096 .50129 m
.50289 .50179 L
.50425 .50289 L
.50482 .50376 L
.50604 .50482 L
.50674 .50591 L
.50779 .50674 L
.50867 .50835 L
.50903 .50867 L
.51054 .5106 L
.5106 .51065 L
.51196 .51253 L
.51253 .51322 L
.51353 .51445 L
.51445 .51589 L
.51473 .51638 L
.5162 .51831 L
.51638 .51855 L
.51822 .52023 L
.51831 .52094 L
.51909 .52216 L
.52023 .5239 L
.52031 .52409 L
.52164 .52601 L
.52216 .52681 L
.52345 .52794 L
.52393 .52987 L
.52216 .53127 L
.52023 .53002 L
.52004 .52987 L
.51831 .52809 L
.51823 .52794 L
.51656 .52601 L
.51638 .52577 L
.51467 .52409 L
.51445 .52325 L
.51355 .52216 L
.51253 .52064 L
.51232 .52023 L
.51064 .51831 L
.5106 .51826 L
.50897 .51638 L
.50867 .51565 L
.50784 .51445 L
.50674 .51298 L
.50664 .51253 L
.50501 .5106 L
.50482 .51033 L
.50339 .50867 L
.50289 .50801 L
.50233 .50674 L
.50103 .50482 L
.50096 .5047 L
.5 .50289 L
F
1 .87 0 r
.50096 .50141 m
.50289 .50189 L
.50417 .50289 L
.50482 .50385 L
.50599 .50482 L
.50674 .50596 L
.50775 .50674 L
.50867 .50838 L
.509 .50867 L
.51051 .5106 L
.5106 .51067 L
.51194 .51253 L
.51253 .51324 L
.51351 .51445 L
.51445 .51592 L
.51472 .51638 L
.51618 .51831 L
.51638 .51858 L
.51821 .52023 L
.51831 .52098 L
.51906 .52216 L
.52023 .52396 L
.52029 .52409 L
.52159 .52601 L
.52216 .52688 L
.52338 .52794 L
.52382 .52987 L
.52216 .53114 L
.52023 .52991 L
.52018 .52987 L
.51831 .528 L
.51828 .52794 L
.51661 .52601 L
.51638 .52571 L
.51469 .52409 L
.51445 .5232 L
.51358 .52216 L
.51253 .52061 L
.51234 .52023 L
.51067 .51831 L
.5106 .51823 L
.50898 .51638 L
.50867 .51562 L
.50786 .51445 L
.50674 .51294 L
.50665 .51253 L
.50504 .5106 L
.50482 .51029 L
.50341 .50867 L
.50289 .50796 L
.50236 .50674 L
.50108 .50482 L
.50096 .5046 L
.50008 .50289 L
F
1 .7 0 r
.50096 .43342 m
.50106 .43352 L
.50289 .43544 L
.5029 .43545 L
.50455 .43737 L
.50482 .43766 L
.50616 .4393 L
.50674 .43997 L
.50775 .44123 L
.50867 .44197 L
.50933 .44316 L
.5106 .4447 L
.51106 .44508 L
.51238 .44701 L
.51253 .44719 L
.51387 .44894 L
.51445 .44937 L
.51537 .45086 L
.51638 .4521 L
.51708 .45279 L
.51831 .45468 L
.51834 .45472 L
.51979 .45664 L
.52023 .45699 L
.52125 .45857 L
.52216 .4597 L
.5229 .4605 L
.52409 .46232 L
.52416 .46242 L
.52559 .46435 L
.52601 .46469 L
.52703 .46628 L
.52794 .46742 L
.52862 .46821 L
.52987 .47007 L
.52991 .47013 L
.53133 .47206 L
.53179 .47246 L
.53276 .47399 L
.53372 .47522 L
.5343 .47591 L
.53561 .47784 L
.53565 .47789 L
.53701 .47977 L
.53758 .48028 L
.53906 .48169 L
.5395 .48308 L
.53993 .48362 L
.54126 .48555 L
.54143 .48577 L
.54266 .48747 L
.54336 .48817 L
.54456 .4894 L
.54528 .49101 L
.54553 .49133 L
.54687 .49326 L
.54721 .49371 L
.54826 .49518 L
.54914 .49614 L
.55002 .49711 L
.55106 .49902 L
.55108 .49904 L
.55243 .50096 L
.55299 .50172 L
.55381 .50289 L
.55492 .50424 L
.55541 .50482 L
.55658 .50674 L
.55684 .5071 L
.55792 .50867 L
.55877 .50983 L
.5593 .5106 L
.56068 .51253 L
.5607 .51255 L
.56198 .51445 L
.56263 .51535 L
.56331 .51638 L
.56455 .51813 L
.56467 .51831 L
.56591 .52023 L
.56648 .52104 L
.56716 .52216 L
.56841 .52401 L
.56845 .52409 L
.56945 .52601 L
.56841 .52626 L
.56818 .52601 L
.56648 .52423 L
.56641 .52409 L
.56476 .52216 L
.56455 .52193 L
.56315 .52023 L
.56263 .51962 L
.56157 .51831 L
.5607 .51754 L
.56 .51638 L
.55877 .51487 L
.55831 .51445 L
.55696 .51253 L
.55684 .51239 L
.55546 .5106 L
.55492 .51013 L
.55395 .50867 L
.55299 .50746 L
.55231 .50674 L
.55106 .5049 L
.55101 .50482 L
.54953 .50289 L
.54914 .50253 L
.54807 .50096 L
.54721 .49987 L
.54649 .49904 L
.54528 .49726 L
.54519 .49711 L
.54372 .49518 L
.54336 .49484 L
.54227 .49326 L
.54143 .49216 L
.54075 .49133 L
.5395 .48953 L
.53943 .4894 L
.53798 .48747 L
.53758 .48708 L
.53596 .48555 L
.53565 .48437 L
.53507 .48362 L
.53372 .48172 L
.53371 .48169 L
.53229 .47977 L
.53179 .47926 L
.53041 .47784 L
.52987 .47652 L
.52942 .47591 L
.52805 .47399 L
.52794 .47385 L
.52665 .47206 L
.52601 .47138 L
.52487 .47013 L
.52409 .46859 L
.52381 .46821 L
.52244 .46628 L
.52216 .4659 L
.52105 .46435 L
.52023 .46342 L
.51938 .46242 L
.51831 .46058 L
.51825 .4605 L
.51689 .45857 L
.51638 .45788 L
.51551 .45664 L
.51445 .45532 L
.51396 .45472 L
.51276 .45279 L
.51253 .45248 L
.51141 .45086 L
.5106 .44974 L
.51004 .44894 L
.50868 .44701 L
.50867 .447 L
.50738 .44508 L
.50674 .44419 L
.50606 .44316 L
.50482 .44138 L
.50472 .44123 L
.50349 .4393 L
.50289 .43843 L
.50225 .43737 L
.50101 .43545 L
.50096 .43538 L
.50013 .43352 L
F
1 .89 0 r
.50096 .53534 m
.50123 .53565 L
.50289 .53747 L
.50293 .53758 L
.50454 .5395 L
.50482 .53981 L
.50614 .54143 L
.50674 .54214 L
.50773 .54336 L
.50867 .54401 L
.50929 .54528 L
.5106 .54689 L
.51099 .54721 L
.51234 .54914 L
.51253 .54937 L
.51385 .55106 L
.51445 .55142 L
.51536 .55299 L
.51638 .55426 L
.51705 .55492 L
.51831 .55684 L
.51831 .55684 L
.51978 .55877 L
.52023 .55905 L
.52125 .5607 L
.52216 .56185 L
.52287 .56263 L
.52409 .56448 L
.52413 .56455 L
.52558 .56648 L
.52601 .56678 L
.52702 .56841 L
.52794 .56959 L
.52857 .57033 L
.52987 .57225 L
.52987 .57226 L
.53129 .57419 L
.53179 .57459 L
.53271 .57611 L
.53372 .57744 L
.5342 .57804 L
.53552 .57997 L
.53565 .58014 L
.53692 .58189 L
.53758 .58249 L
.53904 .58382 L
.5395 .58541 L
.53976 .58575 L
.5411 .58768 L
.54143 .58813 L
.54248 .5896 L
.54336 .59055 L
.54431 .59153 L
.54524 .59346 L
.54528 .59352 L
.54658 .59538 L
.54721 .59626 L
.54794 .59731 L
.54914 .5989 L
.54943 .59924 L
.55059 .60116 L
.55106 .60183 L
.5519 .60309 L
.55299 .60467 L
.55322 .60502 L
.55445 .60694 L
.55492 .60764 L
.55565 .60887 L
.55684 .61078 L
.55685 .6108 L
.55684 .61207 L
.55563 .6108 L
.55492 .61013 L
.55388 .60887 L
.55299 .60791 L
.55223 .60694 L
.55106 .60559 L
.55062 .60502 L
.54914 .60325 L
.54905 .60309 L
.54755 .60116 L
.54721 .60076 L
.54606 .59924 L
.54528 .59828 L
.54456 .59731 L
.54336 .59592 L
.54265 .59538 L
.54158 .59346 L
.54143 .59327 L
.54014 .59153 L
.5395 .59073 L
.53868 .5896 L
.53758 .58832 L
.53683 .58768 L
.53575 .58575 L
.53565 .58561 L
.53434 .58382 L
.53372 .58302 L
.53291 .58189 L
.53179 .58058 L
.53116 .57997 L
.53002 .57804 L
.52987 .57784 L
.52863 .57611 L
.52794 .57522 L
.5272 .57419 L
.52601 .57272 L
.52557 .57226 L
.52436 .57033 L
.52409 .56998 L
.52297 .56841 L
.52216 .56734 L
.52155 .56648 L
.52023 .56477 L
.52004 .56455 L
.51875 .56263 L
.51831 .56205 L
.51737 .5607 L
.51638 .55938 L
.51595 .55877 L
.51454 .55684 L
.51445 .55673 L
.5132 .55492 L
.51253 .55402 L
.51183 .55299 L
.5106 .55133 L
.51042 .55106 L
.50908 .54914 L
.50867 .54859 L
.50776 .54721 L
.50674 .54583 L
.50638 .54528 L
.50504 .54336 L
.50482 .54306 L
.50379 .54143 L
.50289 .54017 L
.50248 .5395 L
.5012 .53758 L
.50096 .53723 L
.50016 .53565 L
F
1 .86 0 r
.50096 .50153 m
.50289 .50198 L
.50408 .50289 L
.50482 .50394 L
.50594 .50482 L
.50674 .50601 L
.50772 .50674 L
.50867 .50841 L
.50898 .50867 L
.51049 .5106 L
.5106 .5107 L
.51191 .51253 L
.51253 .51327 L
.51349 .51445 L
.51445 .51595 L
.5147 .51638 L
.51615 .51831 L
.51638 .51861 L
.51819 .52023 L
.51831 .52101 L
.51903 .52216 L
.52023 .52401 L
.52026 .52409 L
.52155 .52601 L
.52216 .52696 L
.5233 .52794 L
.5237 .52987 L
.52216 .53101 L
.52032 .52987 L
.52023 .52982 L
.51833 .52794 L
.51831 .52792 L
.51666 .52601 L
.51638 .52565 L
.51471 .52409 L
.51445 .52315 L
.51361 .52216 L
.51253 .52058 L
.51235 .52023 L
.5107 .51831 L
.5106 .5182 L
.509 .51638 L
.50867 .51559 L
.50788 .51445 L
.50674 .51291 L
.50665 .51253 L
.50507 .5106 L
.50482 .51025 L
.50344 .50867 L
.50289 .5079 L
.5024 .50674 L
.50114 .50482 L
.50096 .5045 L
.50017 .50289 L
F
1 .94 0 r
.50096 .47636 m
.50272 .47784 L
.50289 .47798 L
.50466 .47977 L
.50482 .47992 L
.50642 .48169 L
.50674 .48197 L
.50807 .48362 L
.50867 .48442 L
.50965 .48555 L
.5106 .48698 L
.51062 .48747 L
.51253 .4894 L
.51254 .4894 L
.51393 .49133 L
.51445 .49212 L
.51531 .49326 L
.51633 .49518 L
.51638 .49531 L
.51686 .49711 L
.51638 .49756 L
.51473 .49711 L
.51445 .49692 L
.51266 .49518 L
.51253 .49503 L
.51109 .49326 L
.5106 .49266 L
.50961 .49133 L
.50867 .49052 L
.50815 .4894 L
.50674 .48757 L
.50666 .48747 L
.50535 .48555 L
.50482 .48483 L
.504 .48362 L
.50289 .48208 L
.50264 .48169 L
.50138 .47977 L
.50096 .47914 L
.50026 .47784 L
F
1 .85 0 r
.50096 .50166 m
.50289 .50207 L
.50398 .50289 L
.50482 .50402 L
.50589 .50482 L
.50674 .50606 L
.50768 .50674 L
.50867 .50843 L
.50896 .50867 L
.51046 .5106 L
.5106 .51072 L
.51189 .51253 L
.51253 .5133 L
.51347 .51445 L
.51445 .51598 L
.51468 .51638 L
.51613 .51831 L
.51638 .51864 L
.51818 .52023 L
.51831 .52105 L
.51901 .52216 L
.52023 .52407 L
.52024 .52409 L
.52151 .52601 L
.52216 .52704 L
.52322 .52794 L
.52358 .52987 L
.52216 .53088 L
.52046 .52987 L
.52023 .52975 L
.5184 .52794 L
.51831 .52784 L
.51671 .52601 L
.51638 .52558 L
.51473 .52409 L
.51445 .5231 L
.51364 .52216 L
.51253 .52055 L
.51236 .52023 L
.51073 .51831 L
.5106 .51817 L
.50901 .51638 L
.50867 .51555 L
.50791 .51445 L
.50674 .51288 L
.50666 .51253 L
.5051 .5106 L
.50482 .5102 L
.50346 .50867 L
.50289 .50784 L
.50243 .50674 L
.50119 .50482 L
.50096 .5044 L
.50026 .50289 L
F
1 .84 0 r
.50096 .50179 m
.50289 .50216 L
.50389 .50289 L
.50482 .5041 L
.50584 .50482 L
.50674 .5061 L
.50765 .50674 L
.50867 .50845 L
.50893 .50867 L
.51043 .5106 L
.5106 .51074 L
.51187 .51253 L
.51253 .51333 L
.51345 .51445 L
.51445 .51601 L
.51467 .51638 L
.51611 .51831 L
.51638 .51868 L
.51817 .52023 L
.51831 .52109 L
.51898 .52216 L
.52021 .52409 L
.52023 .52412 L
.52147 .52601 L
.52216 .52712 L
.52313 .52794 L
.52345 .52987 L
.52216 .53075 L
.5206 .52987 L
.52023 .52969 L
.51847 .52794 L
.51831 .52777 L
.51676 .52601 L
.51638 .52552 L
.51475 .52409 L
.51445 .52306 L
.51367 .52216 L
.51253 .52052 L
.51238 .52023 L
.51075 .51831 L
.5106 .51814 L
.50903 .51638 L
.50867 .51552 L
.50793 .51445 L
.50674 .51284 L
.50667 .51253 L
.50512 .5106 L
.50482 .51016 L
.50349 .50867 L
.50289 .50777 L
.50246 .50674 L
.50124 .50482 L
.50096 .50428 L
.50036 .50289 L
F
0 .69 1 r
.50096 .48407 m
.50218 .48555 L
.50289 .4864 L
.50369 .48747 L
.50482 .48905 L
.50505 .4894 L
.50482 .49116 L
.50329 .4894 L
.50289 .48895 L
.50182 .48747 L
.50096 .48637 L
.50044 .48555 L
F
1 .83 0 r
.50096 .50193 m
.50289 .50225 L
.50379 .50289 L
.50482 .50417 L
.50579 .50482 L
.50674 .50615 L
.50761 .50674 L
.50867 .50848 L
.50891 .50867 L
.51041 .5106 L
.5106 .51076 L
.51184 .51253 L
.51253 .51336 L
.51343 .51445 L
.51445 .51604 L
.51465 .51638 L
.51608 .51831 L
.51638 .51871 L
.51815 .52023 L
.51831 .52113 L
.51895 .52216 L
.52017 .52409 L
.52023 .52417 L
.52143 .52601 L
.52216 .5272 L
.52303 .52794 L
.52331 .52987 L
.52216 .53062 L
.52076 .52987 L
.52023 .52963 L
.51855 .52794 L
.51831 .5277 L
.51682 .52601 L
.51638 .52547 L
.51478 .52409 L
.51445 .52301 L
.5137 .52216 L
.51253 .52049 L
.51239 .52023 L
.51078 .51831 L
.5106 .51811 L
.50905 .51638 L
.50867 .51549 L
.50795 .51445 L
.50674 .51281 L
.50668 .51253 L
.50515 .5106 L
.50482 .51012 L
.50351 .50867 L
.50289 .5077 L
.5025 .50674 L
.5013 .50482 L
.50096 .50416 L
.50045 .50289 L
F
0 .89 1 r
.50096 .42556 m
.50125 .42581 L
.50289 .42733 L
.50327 .42774 L
.50482 .42936 L
.50505 .42967 L
.50673 .43159 L
.50674 .43161 L
.50835 .43352 L
.50867 .43389 L
.50995 .43545 L
.5106 .43617 L
.51152 .43737 L
.51253 .43866 L
.51313 .4393 L
.51445 .4411 L
.51453 .44123 L
.51609 .44316 L
.51638 .44349 L
.51815 .44508 L
.51831 .44604 L
.5191 .44701 L
.52023 .44859 L
.5204 .44894 L
.52203 .45086 L
.52216 .45102 L
.52382 .45279 L
.52409 .45361 L
.52492 .45472 L
.52601 .45623 L
.52616 .45664 L
.52785 .45857 L
.52794 .45869 L
.52952 .4605 L
.52987 .4613 L
.53067 .46242 L
.53179 .46395 L
.53188 .46435 L
.5336 .46628 L
.53372 .46643 L
.53521 .46821 L
.53565 .46907 L
.53637 .47013 L
.53758 .47173 L
.53758 .47206 L
.53931 .47399 L
.5395 .47423 L
.54088 .47591 L
.54143 .47689 L
.54204 .47784 L
.54336 .47954 L
.54358 .47977 L
.54499 .48169 L
.54528 .48206 L
.54653 .48362 L
.54721 .48473 L
.5477 .48555 L
.54914 .48736 L
.54924 .48747 L
.55065 .4894 L
.55106 .48992 L
.55217 .49133 L
.55299 .4926 L
.55335 .49326 L
.55489 .49518 L
.55492 .4952 L
.55677 .49711 L
.55684 .49779 L
.55779 .49904 L
.55877 .50049 L
.559 .50096 L
.56053 .50289 L
.5607 .50303 L
.56237 .50482 L
.56263 .50569 L
.5634 .50674 L
.56455 .5084 L
.56467 .50867 L
.56615 .5106 L
.56648 .51088 L
.56795 .51253 L
.56841 .51361 L
.569 .51445 L
.57033 .51632 L
.57035 .51638 L
.57175 .51831 L
.57226 .51877 L
.57351 .52023 L
.57419 .52157 L
.57459 .52216 L
.57596 .52409 L
.57611 .52429 L
.57734 .52601 L
.57804 .52673 L
.57903 .52794 L
.57997 .52958 L
.58016 .52987 L
.58152 .53179 L
.58189 .5323 L
.58289 .53372 L
.58382 .53478 L
.5845 .53565 L
.58568 .53758 L
.58575 .53766 L
.58702 .5395 L
.58768 .54039 L
.58839 .54143 L
.5896 .54299 L
.58987 .54336 L
.59111 .54528 L
.59153 .54585 L
.59244 .54721 L
.59346 .54863 L
.5938 .54914 L
.59512 .55106 L
.59538 .55144 L
.59637 .55299 L
.59731 .55434 L
.59767 .55492 L
.59889 .55684 L
.59924 .55737 L
.59998 .55877 L
.59924 .55997 L
.59809 .55877 L
.59731 .55798 L
.5963 .55684 L
.59538 .55619 L
.59459 .55492 L
.59346 .55361 L
.59252 .55299 L
.59153 .55125 L
.59136 .55106 L
.58979 .54914 L
.5896 .549 L
.58823 .54721 L
.58768 .54652 L
.58635 .54528 L
.58575 .54401 L
.58524 .54336 L
.58382 .54154 L
.5838 .54143 L
.5822 .5395 L
.58189 .53911 L
.58051 .53758 L
.57997 .53653 L
.57934 .53565 L
.57804 .53396 L
.57804 .53372 L
.57632 .53179 L
.57611 .53152 L
.57474 .52987 L
.57419 .5289 L
.57356 .52794 L
.57226 .52628 L
.57196 .52601 L
.57054 .52409 L
.57033 .52381 L
.56901 .52216 L
.56841 .52117 L
.56784 .52023 L
.56648 .51853 L
.56622 .51831 L
.56481 .51638 L
.56455 .51604 L
.56333 .51445 L
.56263 .51337 L
.56215 .51253 L
.5607 .51075 L
.56053 .5106 L
.55879 .50867 L
.55877 .50822 L
.55766 .50674 L
.55684 .50554 L
.55649 .50482 L
.55492 .50295 L
.55485 .50289 L
.55313 .50096 L
.55299 .50037 L
.55201 .49904 L
.55106 .49769 L
.55083 .49711 L
.5492 .49518 L
.54914 .49512 L
.54749 .49326 L
.54721 .4925 L
.54638 .49133 L
.54528 .48982 L
.54516 .4894 L
.54355 .48747 L
.54336 .48728 L
.54187 .48555 L
.54143 .48461 L
.54075 .48362 L
.5395 .48193 L
.53947 .48169 L
.53792 .47977 L
.53758 .47941 L
.53627 .47784 L
.53565 .4767 L
.53514 .47591 L
.53372 .47402 L
.5337 .47399 L
.53231 .47206 L
.53179 .47151 L
.53069 .47013 L
.52987 .46876 L
.52953 .46821 L
.5281 .46628 L
.52794 .46607 L
.52671 .46435 L
.52601 .46357 L
.52513 .46242 L
.52409 .46078 L
.52393 .4605 L
.52253 .45857 L
.52216 .45808 L
.52114 .45664 L
.52023 .45555 L
.51961 .45472 L
.51835 .45279 L
.51831 .45274 L
.51699 .45086 L
.51638 .45052 L
.515 .44894 L
.51445 .44743 L
.51415 .44701 L
.51287 .44508 L
.51253 .44461 L
.51153 .44316 L
.5106 .44227 L
.50978 .44123 L
.5088 .4393 L
.50867 .43912 L
.50751 .43737 L
.50674 .4363 L
.50619 .43545 L
.50486 .43352 L
.50482 .43346 L
.50365 .43159 L
.50289 .43046 L
.50243 .42967 L
.50127 .42774 L
.50096 .42722 L
.50048 .42581 L
F
1 .52 0 r
.50096 .44915 m
.50216 .45086 L
.50289 .45175 L
.5036 .45279 L
.50482 .45434 L
.50508 .45472 L
.50648 .45664 L
.50674 .45697 L
.50781 .45857 L
.50867 .45967 L
.5092 .4605 L
.5106 .46235 L
.51065 .46242 L
.5106 .46422 L
.50926 .46242 L
.50867 .46175 L
.50776 .4605 L
.50674 .45925 L
.50625 .45857 L
.50482 .45673 L
.50475 .45664 L
.50338 .45472 L
.50289 .45412 L
.50196 .45279 L
.50096 .45151 L
.50051 .45086 L
F
0 .68 1 r
.50096 .48425 m
.50204 .48555 L
.50289 .48656 L
.50357 .48747 L
.50482 .48924 L
.50492 .4894 L
.50482 .49093 L
.50344 .4894 L
.50289 .4888 L
.50194 .48747 L
.50096 .48621 L
.50055 .48555 L
F
1 .82 0 r
.50096 .50208 m
.50289 .50233 L
.50369 .50289 L
.50482 .50423 L
.50574 .50482 L
.50674 .50619 L
.50757 .50674 L
.50867 .5085 L
.50889 .50867 L
.51038 .5106 L
.5106 .51079 L
.51182 .51253 L
.51253 .51339 L
.51341 .51445 L
.51445 .51607 L
.51463 .51638 L
.51606 .51831 L
.51638 .51874 L
.51814 .52023 L
.51831 .52117 L
.51892 .52216 L
.52014 .52409 L
.52023 .52423 L
.52138 .52601 L
.52216 .52729 L
.52293 .52794 L
.52316 .52987 L
.52216 .53048 L
.52093 .52987 L
.52023 .52958 L
.51863 .52794 L
.51831 .52763 L
.51687 .52601 L
.51638 .52541 L
.5148 .52409 L
.51445 .52296 L
.51373 .52216 L
.51253 .52046 L
.5124 .52023 L
.51081 .51831 L
.5106 .51808 L
.50906 .51638 L
.50867 .51545 L
.50797 .51445 L
.50674 .51278 L
.50669 .51253 L
.50518 .5106 L
.50482 .51008 L
.50354 .50867 L
.50289 .50763 L
.50253 .50674 L
.50135 .50482 L
.50096 .50402 L
.50055 .50289 L
F
1 .93 0 r
.50096 .47689 m
.50227 .47784 L
.50289 .47833 L
.50437 .47977 L
.50482 .48021 L
.50618 .48169 L
.50674 .48216 L
.50786 .48362 L
.50867 .48466 L
.50951 .48555 L
.5106 .48717 L
.51061 .48747 L
.51236 .4894 L
.51253 .48964 L
.51374 .49133 L
.51445 .49242 L
.51512 .49326 L
.51604 .49518 L
.51445 .49661 L
.51288 .49518 L
.51253 .49482 L
.51123 .49326 L
.5106 .4925 L
.50972 .49133 L
.50867 .49034 L
.50825 .4894 L
.5068 .48747 L
.50674 .4874 L
.50547 .48555 L
.50482 .48467 L
.50412 .48362 L
.50289 .48188 L
.50277 .48169 L
.50159 .47977 L
.50096 .47873 L
.50056 .47784 L
F
1 .51 0 r
.50096 .44928 m
.50206 .45086 L
.50289 .45187 L
.50352 .45279 L
.50482 .45444 L
.505 .45472 L
.50482 .45661 L
.50348 .45472 L
.50289 .454 L
.50205 .45279 L
.50096 .45139 L
.50059 .45086 L
F
1 .81 0 r
.50096 .50224 m
.50289 .50242 L
.50359 .50289 L
.50482 .50429 L
.50568 .50482 L
.50674 .50623 L
.50753 .50674 L
.50867 .50852 L
.50886 .50867 L
.51035 .5106 L
.5106 .51081 L
.5118 .51253 L
.51253 .51342 L
.51338 .51445 L
.51445 .5161 L
.51462 .51638 L
.51604 .51831 L
.51638 .51878 L
.51812 .52023 L
.51831 .52122 L
.51889 .52216 L
.5201 .52409 L
.52023 .52428 L
.52134 .52601 L
.52216 .52738 L
.52281 .52794 L
.52299 .52987 L
.52216 .53034 L
.52111 .52987 L
.52023 .52952 L
.5187 .52794 L
.51831 .52756 L
.51692 .52601 L
.51638 .52535 L
.51483 .52409 L
.51445 .52292 L
.51376 .52216 L
.51253 .52043 L
.51242 .52023 L
.51084 .51831 L
.5106 .51805 L
.50908 .51638 L
.50867 .51542 L
.508 .51445 L
.50674 .51274 L
.50669 .51253 L
.50521 .5106 L
.50482 .51004 L
.50356 .50867 L
.50289 .50755 L
.50257 .50674 L
.50141 .50482 L
.50096 .50386 L
.50066 .50289 L
F
0 .67 1 r
.50096 .48447 m
.50188 .48555 L
.50289 .48674 L
.50343 .48747 L
.50289 .48862 L
.50208 .48747 L
.50096 .48604 L
.50067 .48555 L
F
1 .5 0 r
.50096 .44942 m
.50195 .45086 L
.50289 .45199 L
.50342 .45279 L
.50482 .45455 L
.50493 .45472 L
.50482 .45647 L
.5036 .45472 L
.50289 .45387 L
.50215 .45279 L
.50096 .45127 L
.50069 .45086 L
F
1 .52 0 r
.50096 .55112 m
.50222 .55299 L
.50289 .55385 L
.50359 .55492 L
.50482 .55658 L
.50499 .55684 L
.50482 .55827 L
.50378 .55684 L
.50289 .55584 L
.50224 .55492 L
.50096 .55337 L
.5007 .55299 L
F
1 .8 0 r
.50096 .50243 m
.50289 .50251 L
.50348 .50289 L
.50482 .50434 L
.50563 .50482 L
.50674 .50627 L
.50749 .50674 L
.50867 .50854 L
.50884 .50867 L
.51033 .5106 L
.5106 .51083 L
.51177 .51253 L
.51253 .51345 L
.51336 .51445 L
.51445 .51613 L
.5146 .51638 L
.51601 .51831 L
.51638 .51881 L
.5181 .52023 L
.51831 .52126 L
.51886 .52216 L
.52007 .52409 L
.52023 .52433 L
.52129 .52601 L
.52216 .52748 L
.52269 .52794 L
.5228 .52987 L
.52216 .53019 L
.52133 .52987 L
.52023 .52946 L
.51878 .52794 L
.51831 .5275 L
.51697 .52601 L
.51638 .52529 L
.51486 .52409 L
.51445 .52288 L
.51379 .52216 L
.51253 .52041 L
.51243 .52023 L
.51086 .51831 L
.5106 .51802 L
.5091 .51638 L
.50867 .51539 L
.50802 .51445 L
.50674 .51271 L
.5067 .51253 L
.50524 .5106 L
.50482 .51 L
.50359 .50867 L
.50289 .50747 L
.5026 .50674 L
.50146 .50482 L
.50096 .50366 L
.50076 .50289 L
F
1 .51 0 r
.50096 .55126 m
.5021 .55299 L
.50289 .554 L
.50348 .55492 L
.50482 .55674 L
.50488 .55684 L
.50482 .55808 L
.50394 .55684 L
.50289 .5557 L
.50235 .55492 L
.50096 .55326 L
.50078 .55299 L
F
1 .49 0 r
.50096 .44958 m
.50182 .45086 L
.50289 .45213 L
.50332 .45279 L
.50482 .45468 L
.50484 .45472 L
.50482 .45631 L
.50373 .45472 L
.50289 .45371 L
.50227 .45279 L
.50096 .45112 L
.50079 .45086 L
F
0 .5 1 r
.50096 .44134 m
.50244 .44316 L
.50289 .44363 L
.50401 .44508 L
.50482 .44601 L
.50558 .44701 L
.50674 .44843 L
.50713 .44894 L
.50865 .45086 L
.50867 .45088 L
.5101 .45279 L
.5106 .4534 L
.51156 .45472 L
.51253 .45593 L
.51305 .45664 L
.51445 .45841 L
.51465 .45857 L
.51594 .4605 L
.51638 .46105 L
.51737 .46242 L
.51831 .46363 L
.51882 .46435 L
.52023 .46619 L
.52033 .46628 L
.52166 .46821 L
.52216 .46885 L
.52306 .47013 L
.52409 .47148 L
.52449 .47206 L
.52591 .47399 L
.52601 .47412 L
.52726 .47591 L
.52794 .47681 L
.52864 .47784 L
.52987 .47949 L
.53006 .47977 L
.5314 .48169 L
.53179 .48222 L
.53272 .48362 L
.53372 .48498 L
.53409 .48555 L
.53543 .48747 L
.53565 .48777 L
.53665 .4894 L
.53758 .4907 L
.53794 .49133 L
.53758 .49252 L
.5366 .49133 L
.53565 .49029 L
.53495 .4894 L
.53372 .48795 L
.53335 .48747 L
.5318 .48555 L
.53179 .48554 L
.53032 .48362 L
.52987 .48308 L
.52882 .48169 L
.52794 .48059 L
.52732 .47977 L
.52601 .4782 L
.52583 .47784 L
.52438 .47591 L
.52409 .47554 L
.52294 .47399 L
.52216 .47298 L
.52148 .47206 L
.52023 .47053 L
.51973 .47013 L
.51861 .46821 L
.51831 .46781 L
.5172 .46628 L
.51638 .4652 L
.51577 .46435 L
.51445 .46265 L
.51421 .46242 L
.51297 .4605 L
.51253 .45992 L
.51157 .45857 L
.5106 .45725 L
.51017 .45664 L
.50878 .45472 L
.50867 .45457 L
.50745 .45279 L
.50674 .45183 L
.50608 .45086 L
.50482 .4491 L
.50471 .44894 L
.50343 .44701 L
.50289 .44627 L
.50214 .44508 L
.50096 .4434 L
.50081 .44316 L
F
0 .66 1 r
.50096 .48475 m
.50167 .48555 L
.50289 .48695 L
.50328 .48747 L
.50289 .48841 L
.50224 .48747 L
.50096 .48581 L
.50081 .48555 L
F
0 .69 1 r
.50096 .45798 m
.50117 .45857 L
.50096 .4587 L
.50086 .45857 L
F
1 .5 0 r
.50096 .55141 m
.50197 .55299 L
.50289 .55417 L
.50335 .55492 L
.50289 .55553 L
.50247 .55492 L
.50096 .55313 L
.50087 .55299 L
F
0 .48 1 r
.50096 .5087 m
.50281 .5106 L
.50289 .51069 L
.50433 .51253 L
.50482 .51312 L
.50575 .51445 L
.50674 .51579 L
.50712 .51638 L
.50832 .51831 L
.50674 .51835 L
.50671 .51831 L
.50507 .51638 L
.50482 .51609 L
.50357 .51445 L
.50289 .51357 L
.50216 .51253 L
.50096 .51075 L
.50087 .5106 L
F
1 .79 0 r
.50096 .50266 m
.50289 .50259 L
.50336 .50289 L
.50482 .50439 L
.50558 .50482 L
.50674 .50631 L
.50745 .50674 L
.50867 .50856 L
.50881 .50867 L
.5103 .5106 L
.5106 .51085 L
.51175 .51253 L
.51253 .51348 L
.51334 .51445 L
.51445 .51616 L
.51458 .51638 L
.51599 .51831 L
.51638 .51884 L
.51808 .52023 L
.51831 .52131 L
.51883 .52216 L
.52003 .52409 L
.52023 .52439 L
.52125 .52601 L
.52216 .52758 L
.52257 .52794 L
.52255 .52987 L
.52216 .53003 L
.5216 .52987 L
.52023 .5294 L
.51886 .52794 L
.51831 .52743 L
.51703 .52601 L
.51638 .52524 L
.51489 .52409 L
.51445 .52284 L
.51382 .52216 L
.51253 .52038 L
.51244 .52023 L
.51089 .51831 L
.5106 .51799 L
.50911 .51638 L
.50867 .51535 L
.50804 .51445 L
.50674 .51267 L
.50671 .51253 L
.50527 .5106 L
.50482 .50996 L
.50362 .50867 L
.50289 .50739 L
.50264 .50674 L
.50152 .50482 L
.50096 .5034 L
.50088 .50289 L
F
0 .49 1 r
.50096 .44148 m
.50233 .44316 L
.50289 .44374 L
.50394 .44508 L
.50482 .44609 L
.50551 .44701 L
.50674 .4485 L
.50708 .44894 L
.5086 .45086 L
.50867 .45095 L
.51005 .45279 L
.5106 .45346 L
.51152 .45472 L
.51253 .45598 L
.51301 .45664 L
.51445 .45849 L
.51456 .45857 L
.5159 .4605 L
.51638 .4611 L
.51733 .46242 L
.51831 .46368 L
.51879 .46435 L
.52023 .46626 L
.52026 .46628 L
.52162 .46821 L
.52216 .4689 L
.52302 .47013 L
.52409 .47153 L
.52446 .47206 L
.52587 .47399 L
.52601 .47418 L
.52721 .47591 L
.52794 .47687 L
.5286 .47784 L
.52987 .47954 L
.53002 .47977 L
.53135 .48169 L
.53179 .48229 L
.53267 .48362 L
.53372 .48505 L
.53404 .48555 L
.53536 .48747 L
.53565 .48787 L
.53657 .4894 L
.53758 .49083 L
.53785 .49133 L
.53758 .49236 L
.53671 .49133 L
.53565 .49018 L
.53503 .4894 L
.53372 .48786 L
.53342 .48747 L
.53187 .48555 L
.53179 .48546 L
.53038 .48362 L
.52987 .48301 L
.52887 .48169 L
.52794 .48053 L
.52736 .47977 L
.52601 .47812 L
.52587 .47784 L
.52443 .47591 L
.52409 .47548 L
.52298 .47399 L
.52216 .47293 L
.52152 .47206 L
.52023 .47046 L
.51982 .47013 L
.51865 .46821 L
.51831 .46776 L
.51724 .46628 L
.51638 .46515 L
.5158 .46435 L
.51445 .46257 L
.51429 .46242 L
.51301 .4605 L
.51253 .45986 L
.51162 .45857 L
.5106 .4572 L
.51021 .45664 L
.50883 .45472 L
.50867 .45451 L
.5075 .45279 L
.50674 .45176 L
.50613 .45086 L
.50482 .44903 L
.50476 .44894 L
.5035 .44701 L
.50289 .44617 L
.50221 .44508 L
.50096 .44328 L
.50089 .44316 L
F
1 .48 0 r
.50096 .44978 m
.50164 .45086 L
.50289 .4523 L
.5032 .45279 L
.50289 .45353 L
.5024 .45279 L
.50096 .45095 L
.5009 .45086 L
F
0 .47 1 r
.50096 .50883 m
.50272 .5106 L
.50289 .51077 L
.50427 .51253 L
.50482 .51319 L
.5057 .51445 L
.50674 .51587 L
.50707 .51638 L
.50674 .51825 L
.50515 .51638 L
.50482 .51601 L
.50364 .51445 L
.50289 .51349 L
.50222 .51253 L
.50096 .51064 L
.50094 .5106 L
F
0 .5 1 r
.50096 .55982 m
.50119 .5607 L
.50096 .56072 L
.50095 .5607 L
F
1 .78 0 r
.50289 .50268 m
.50324 .50289 L
.50482 .50443 L
.50553 .50482 L
.50674 .50634 L
.50741 .50674 L
.50867 .50859 L
.50879 .50867 L
.51028 .5106 L
.5106 .51088 L
.51173 .51253 L
.51253 .51351 L
.51332 .51445 L
.51445 .51619 L
.51456 .51638 L
.51596 .51831 L
.51638 .51888 L
.51806 .52023 L
.51831 .52136 L
.5188 .52216 L
.51999 .52409 L
.52023 .52445 L
.5212 .52601 L
.52216 .5277 L
.52243 .52794 L
.52216 .52986 L
.52023 .52934 L
.51895 .52794 L
.51831 .52737 L
.51708 .52601 L
.51638 .52519 L
.51492 .52409 L
.51445 .52279 L
.51385 .52216 L
.51253 .52036 L
.51246 .52023 L
.51092 .51831 L
.5106 .51796 L
.50913 .51638 L
.50867 .51532 L
.50806 .51445 L
.50674 .51264 L
.50672 .51253 L
.50529 .5106 L
.50482 .50991 L
.50365 .50867 L
.50289 .5073 L
.50268 .50674 L
.50158 .50482 L
.50101 .50289 L
F
1 .77 0 r
.50289 .50277 m
.5031 .50289 L
.50482 .50448 L
.50547 .50482 L
.50674 .50638 L
.50737 .50674 L
.50867 .50861 L
.50876 .50867 L
.51025 .5106 L
.5106 .5109 L
.5117 .51253 L
.51253 .51354 L
.51329 .51445 L
.51445 .51622 L
.51455 .51638 L
.51594 .51831 L
.51638 .51891 L
.51804 .52023 L
.51831 .52141 L
.51876 .52216 L
.51996 .52409 L
.52023 .5245 L
.52116 .52601 L
.52216 .52782 L
.52229 .52794 L
.52216 .52966 L
.52023 .52927 L
.51903 .52794 L
.51831 .52731 L
.51714 .52601 L
.51638 .52513 L
.51495 .52409 L
.51445 .52275 L
.51389 .52216 L
.51253 .52033 L
.51247 .52023 L
.51095 .51831 L
.5106 .51793 L
.50915 .51638 L
.50867 .51529 L
.50809 .51445 L
.50674 .51261 L
.50673 .51253 L
.50532 .5106 L
.50482 .50987 L
.50368 .50867 L
.50289 .50721 L
.50272 .50674 L
.50163 .50482 L
.50118 .50289 L
F
1 .76 0 r
.50289 .50286 m
.50295 .50289 L
.50482 .50451 L
.50542 .50482 L
.50674 .50641 L
.50732 .50674 L
.50867 .50863 L
.50873 .50867 L
.51022 .5106 L
.5106 .51093 L
.51168 .51253 L
.51253 .51357 L
.51327 .51445 L
.51445 .51625 L
.51453 .51638 L
.51592 .51831 L
.51638 .51894 L
.51802 .52023 L
.51831 .52146 L
.51873 .52216 L
.51992 .52409 L
.52023 .52456 L
.52111 .52601 L
.52214 .52794 L
.52023 .52919 L
.51912 .52794 L
.51831 .52725 L
.51719 .52601 L
.51638 .52508 L
.51499 .52409 L
.51445 .52271 L
.51392 .52216 L
.51253 .5203 L
.51248 .52023 L
.51097 .51831 L
.5106 .5179 L
.50917 .51638 L
.50867 .51525 L
.50811 .51445 L
.50674 .51257 L
.50673 .51253 L
.50535 .5106 L
.50482 .50983 L
.50371 .50867 L
.50289 .50711 L
.50275 .50674 L
.50169 .50482 L
.50139 .50289 L
F
0 .88 1 r
.50289 .42773 m
.5029 .42774 L
.50479 .42967 L
.50482 .42969 L
.50651 .43159 L
.50674 .43184 L
.50818 .43352 L
.50867 .43408 L
.50981 .43545 L
.5106 .43632 L
.5114 .43737 L
.51253 .43879 L
.51302 .4393 L
.51445 .4412 L
.51447 .44123 L
.51601 .44316 L
.51638 .44359 L
.51812 .44508 L
.51831 .44613 L
.51903 .44701 L
.52023 .44867 L
.52036 .44894 L
.52197 .45086 L
.52216 .4511 L
.5238 .45279 L
.52409 .45368 L
.52488 .45472 L
.52601 .45628 L
.52614 .45664 L
.5278 .45857 L
.52794 .45874 L
.5295 .4605 L
.52987 .46136 L
.53063 .46242 L
.53179 .46399 L
.53187 .46435 L
.53356 .46628 L
.53372 .46648 L
.53519 .46821 L
.53565 .46911 L
.53634 .47013 L
.53758 .47176 L
.53758 .47206 L
.53928 .47399 L
.5395 .47427 L
.54086 .47591 L
.54143 .47692 L
.54202 .47784 L
.54336 .47956 L
.54355 .47977 L
.54496 .48169 L
.54528 .48209 L
.54651 .48362 L
.54721 .48476 L
.54768 .48555 L
.54914 .48739 L
.54922 .48747 L
.55063 .4894 L
.55106 .48994 L
.55215 .49133 L
.55299 .49263 L
.55334 .49326 L
.55487 .49518 L
.55492 .49522 L
.55677 .49711 L
.55684 .49782 L
.55777 .49904 L
.55877 .50052 L
.55899 .50096 L
.56051 .50289 L
.5607 .50304 L
.56236 .50482 L
.56263 .50572 L
.56338 .50674 L
.56455 .50842 L
.56465 .50867 L
.56613 .5106 L
.56648 .5109 L
.56794 .51253 L
.56841 .51364 L
.56898 .51445 L
.57033 .51636 L
.57034 .51638 L
.57173 .51831 L
.57226 .5188 L
.57348 .52023 L
.57419 .52161 L
.57456 .52216 L
.57593 .52409 L
.57611 .52433 L
.57731 .52601 L
.57804 .52677 L
.57899 .52794 L
.57997 .52963 L
.58012 .52987 L
.58148 .53179 L
.58189 .53235 L
.58285 .53372 L
.58382 .53484 L
.58445 .53565 L
.58563 .53758 L
.58575 .53773 L
.58697 .5395 L
.58768 .54046 L
.58834 .54143 L
.5896 .5431 L
.58979 .54336 L
.59104 .54528 L
.59153 .54595 L
.59237 .54721 L
.59346 .54874 L
.59372 .54914 L
.59501 .55106 L
.59538 .5516 L
.59625 .55299 L
.59731 .55455 L
.59753 .55492 L
.59866 .55684 L
.59924 .55779 L
.59965 .55877 L
.59924 .55947 L
.59849 .55877 L
.59731 .55767 L
.59655 .55684 L
.59538 .55593 L
.59479 .55492 L
.59346 .5534 L
.59279 .55299 L
.59153 .55109 L
.5915 .55106 L
.58992 .54914 L
.5896 .54891 L
.58834 .54721 L
.58768 .54639 L
.58644 .54528 L
.58575 .5439 L
.58532 .54336 L
.58382 .54147 L
.58381 .54143 L
.58227 .5395 L
.58189 .53902 L
.58056 .53758 L
.57997 .53645 L
.57939 .53565 L
.57804 .5339 L
.57804 .53372 L
.57637 .53179 L
.57611 .53145 L
.57477 .52987 L
.57419 .52884 L
.5736 .52794 L
.57226 .52624 L
.57201 .52601 L
.57058 .52409 L
.57033 .52376 L
.56904 .52216 L
.56841 .52112 L
.56787 .52023 L
.56648 .5185 L
.56626 .51831 L
.56484 .51638 L
.56455 .516 L
.56335 .51445 L
.56263 .51333 L
.56218 .51253 L
.5607 .51072 L
.56055 .5106 L
.55879 .50867 L
.55877 .50819 L
.55768 .50674 L
.55684 .50551 L
.55651 .50482 L
.55492 .50293 L
.55488 .50289 L
.55314 .50096 L
.55299 .50034 L
.55203 .49904 L
.55106 .49766 L
.55084 .49711 L
.54922 .49518 L
.54914 .4951 L
.54751 .49326 L
.54721 .49247 L
.5464 .49133 L
.54528 .48979 L
.54517 .4894 L
.54357 .48747 L
.54336 .48725 L
.54189 .48555 L
.54143 .48458 L
.54077 .48362 L
.5395 .4819 L
.53947 .48169 L
.53795 .47977 L
.53758 .47938 L
.53629 .47784 L
.53565 .47667 L
.53516 .47591 L
.53372 .47399 L
.53372 .47399 L
.53233 .47206 L
.53179 .47148 L
.53071 .47013 L
.52987 .46872 L
.52955 .46821 L
.52813 .46628 L
.52794 .46603 L
.52674 .46435 L
.52601 .46353 L
.52516 .46242 L
.52409 .46073 L
.52395 .4605 L
.52256 .45857 L
.52216 .45803 L
.52118 .45664 L
.52023 .4555 L
.51965 .45472 L
.51839 .45279 L
.51831 .45268 L
.51704 .45086 L
.51638 .45046 L
.51506 .44894 L
.51445 .44734 L
.51421 .44701 L
.51293 .44508 L
.51253 .44453 L
.51159 .44316 L
.5106 .44214 L
.50989 .44123 L
.50889 .4393 L
.50867 .439 L
.5076 .43737 L
.50674 .43615 L
.50629 .43545 L
.505 .43352 L
.50482 .43326 L
.50382 .43159 L
.50289 .43016 L
.50262 .42967 L
.50168 .42774 L
F
1 .75 0 r
.50289 .50295 m
.50482 .50455 L
.50536 .50482 L
.50674 .50645 L
.50727 .50674 L
.50867 .50865 L
.50871 .50867 L
.51019 .5106 L
.5106 .51095 L
.51166 .51253 L
.51253 .5136 L
.51325 .51445 L
.51445 .51628 L
.51451 .51638 L
.51589 .51831 L
.51638 .51898 L
.51799 .52023 L
.51831 .52151 L
.5187 .52216 L
.51988 .52409 L
.52023 .52463 L
.52107 .52601 L
.52206 .52794 L
.52023 .52911 L
.51921 .52794 L
.51831 .52718 L
.51725 .52601 L
.51638 .52503 L
.51503 .52409 L
.51445 .52267 L
.51395 .52216 L
.51253 .52028 L
.5125 .52023 L
.511 .51831 L
.5106 .51787 L
.50919 .51638 L
.50867 .51522 L
.50813 .51445 L
.50674 .51254 L
.50674 .51253 L
.50538 .5106 L
.50482 .50978 L
.50374 .50867 L
.50289 .507 L
.50279 .50674 L
.50175 .50482 L
F
1 .74 0 r
.50289 .50304 m
.50482 .50458 L
.5053 .50482 L
.50674 .50648 L
.50723 .50674 L
.50867 .50867 L
.50868 .50867 L
.51017 .5106 L
.5106 .51097 L
.51163 .51253 L
.51253 .51363 L
.51322 .51445 L
.51445 .51631 L
.51449 .51638 L
.51587 .51831 L
.51638 .51901 L
.51797 .52023 L
.51831 .52156 L
.51866 .52216 L
.51985 .52409 L
.52023 .52469 L
.52102 .52601 L
.52196 .52794 L
.52023 .52901 L
.5193 .52794 L
.51831 .52712 L
.5173 .52601 L
.51638 .52497 L
.51508 .52409 L
.51445 .52263 L
.51398 .52216 L
.51253 .52025 L
.51251 .52023 L
.51103 .51831 L
.5106 .51784 L
.50921 .51638 L
.50867 .51518 L
.50816 .51445 L
.50676 .51253 L
.50674 .5125 L
.50541 .5106 L
.50482 .50974 L
.50378 .50867 L
.50289 .5069 L
.50284 .50674 L
.50181 .50482 L
F
1 .92 0 r
.50289 .4787 m
.50404 .47977 L
.50482 .48051 L
.50593 .48169 L
.50674 .48236 L
.50764 .48362 L
.50867 .48488 L
.50934 .48555 L
.5106 .48735 L
.51061 .48747 L
.51217 .4894 L
.51253 .4899 L
.51355 .49133 L
.51445 .49274 L
.51488 .49326 L
.51574 .49518 L
.51445 .49628 L
.51312 .49518 L
.51253 .4946 L
.51139 .49326 L
.5106 .49233 L
.50985 .49133 L
.50867 .49014 L
.50835 .4894 L
.50693 .48747 L
.50674 .48723 L
.50559 .48555 L
.50482 .48449 L
.50425 .48362 L
.50292 .48169 L
.50289 .48165 L
.50185 .47977 L
F
1 .73 0 r
.50289 .50313 m
.50482 .50462 L
.50525 .50482 L
.50674 .50651 L
.50718 .50674 L
.50865 .50867 L
.50867 .5087 L
.51014 .5106 L
.5106 .511 L
.51161 .51253 L
.51253 .51366 L
.5132 .51445 L
.51445 .51635 L
.51447 .51638 L
.51584 .51831 L
.51638 .51905 L
.51794 .52023 L
.51831 .52162 L
.51863 .52216 L
.51981 .52409 L
.52023 .52475 L
.52097 .52601 L
.52186 .52794 L
.52023 .52891 L
.5194 .52794 L
.51831 .52706 L
.51736 .52601 L
.51638 .52492 L
.51512 .52409 L
.51445 .52259 L
.51402 .52216 L
.51253 .52023 L
.51253 .52023 L
.51106 .51831 L
.5106 .51781 L
.50923 .51638 L
.50867 .51515 L
.50818 .51445 L
.50679 .51253 L
.50674 .51246 L
.50544 .5106 L
.50482 .5097 L
.50381 .50867 L
.50289 .50678 L
.50288 .50674 L
.50188 .50482 L
F
1 .72 0 r
.50289 .50322 m
.50482 .50465 L
.50519 .50482 L
.50674 .50654 L
.50713 .50674 L
.50861 .50867 L
.50867 .50874 L
.51011 .5106 L
.5106 .51102 L
.51158 .51253 L
.51253 .51369 L
.51317 .51445 L
.51445 .51638 L
.51445 .51638 L
.51582 .51831 L
.51638 .51908 L
.51791 .52023 L
.51831 .52168 L
.51859 .52216 L
.51977 .52409 L
.52023 .52482 L
.52092 .52601 L
.52176 .52794 L
.52023 .52879 L
.5195 .52794 L
.51831 .52699 L
.51741 .52601 L
.51638 .52487 L
.51517 .52409 L
.51445 .52255 L
.51405 .52216 L
.51256 .52023 L
.51253 .52023 L
.51109 .51831 L
.5106 .51778 L
.50925 .51638 L
.50867 .51511 L
.5082 .51445 L
.50682 .51253 L
.50674 .51242 L
.50547 .5106 L
.50482 .50965 L
.50385 .50867 L
.50292 .50674 L
.50289 .50669 L
.50194 .50482 L
F
1 .71 0 r
.50289 .50332 m
.50482 .50468 L
.50513 .50482 L
.50674 .50657 L
.50707 .50674 L
.50858 .50867 L
.50867 .50878 L
.51009 .5106 L
.5106 .51105 L
.51156 .51253 L
.51253 .51372 L
.51315 .51445 L
.51443 .51638 L
.51445 .51641 L
.51579 .51831 L
.51638 .51912 L
.51788 .52023 L
.51831 .52174 L
.51856 .52216 L
.51973 .52409 L
.52023 .52489 L
.52087 .52601 L
.52164 .52794 L
.52023 .52866 L
.51961 .52794 L
.51831 .52693 L
.51747 .52601 L
.51638 .52482 L
.51522 .52409 L
.51445 .52251 L
.51409 .52216 L
.51259 .52023 L
.51253 .52022 L
.51111 .51831 L
.5106 .51775 L
.50927 .51638 L
.50867 .51508 L
.50823 .51445 L
.50685 .51253 L
.50674 .51238 L
.5055 .5106 L
.50482 .50961 L
.50388 .50867 L
.50296 .50674 L
.50289 .50662 L
.502 .50482 L
F
1 .7 0 r
.50289 .50341 m
.50482 .50471 L
.50507 .50482 L
.50674 .5066 L
.50702 .50674 L
.50855 .50867 L
.50867 .50881 L
.51006 .5106 L
.5106 .51108 L
.51153 .51253 L
.51253 .51375 L
.51312 .51445 L
.5144 .51638 L
.51445 .51644 L
.51577 .51831 L
.51638 .51915 L
.51785 .52023 L
.51831 .5218 L
.51852 .52216 L
.51969 .52409 L
.52023 .52496 L
.52082 .52601 L
.52151 .52794 L
.52023 .52852 L
.51973 .52794 L
.51831 .52686 L
.51753 .52601 L
.51638 .52477 L
.51528 .52409 L
.51445 .52248 L
.51412 .52216 L
.51262 .52023 L
.51253 .52022 L
.51114 .51831 L
.5106 .51772 L
.5093 .51638 L
.50867 .51504 L
.50825 .51445 L
.50687 .51253 L
.50674 .51234 L
.50553 .5106 L
.50482 .50956 L
.50392 .50867 L
.50301 .50674 L
.50289 .50653 L
.50207 .50482 L
F
1 .69 0 r
.50289 .50351 m
.50482 .50473 L
.505 .50482 L
.50674 .50663 L
.50696 .50674 L
.50852 .50867 L
.50867 .50885 L
.51003 .5106 L
.5106 .5111 L
.51151 .51253 L
.51253 .51379 L
.51309 .51445 L
.51438 .51638 L
.51445 .51648 L
.51574 .51831 L
.51638 .51919 L
.51781 .52023 L
.51831 .52186 L
.51848 .52216 L
.51965 .52409 L
.52023 .52504 L
.52077 .52601 L
.52136 .52794 L
.52023 .52836 L
.51986 .52794 L
.51831 .5268 L
.51759 .52601 L
.51638 .52472 L
.51534 .52409 L
.51445 .52244 L
.51416 .52216 L
.51266 .52023 L
.51253 .52021 L
.51117 .51831 L
.5106 .51769 L
.50932 .51638 L
.50867 .51501 L
.50828 .51445 L
.5069 .51253 L
.50674 .51231 L
.50555 .5106 L
.50482 .50952 L
.50396 .50867 L
.50305 .50674 L
.50289 .50645 L
.50214 .50482 L
F
1 .91 0 r
.50289 .47913 m
.50365 .47977 L
.50482 .48082 L
.50567 .48169 L
.50674 .4826 L
.50742 .48362 L
.50867 .48512 L
.50914 .48555 L
.51054 .48747 L
.5106 .48755 L
.51199 .4894 L
.51253 .49016 L
.51335 .49133 L
.51445 .4931 L
.51459 .49326 L
.51539 .49518 L
.51445 .49593 L
.51342 .49518 L
.51253 .49437 L
.51156 .49326 L
.5106 .49216 L
.50997 .49133 L
.50867 .4899 L
.50846 .4894 L
.50706 .48747 L
.50674 .48706 L
.50573 .48555 L
.50482 .48429 L
.50439 .48362 L
.50313 .48169 L
.50289 .48132 L
.50218 .47977 L
F
1 .97 0 r
.50289 .41993 m
.50302 .42003 L
.50482 .42154 L
.50512 .42196 L
.50674 .42368 L
.50713 .42389 L
.50865 .42581 L
.50867 .42583 L
.51032 .42774 L
.5106 .42801 L
.51195 .42967 L
.51253 .4304 L
.51378 .43159 L
.51445 .43285 L
.51497 .43352 L
.51638 .43529 L
.51664 .43545 L
.51815 .43737 L
.51831 .43759 L
.51974 .4393 L
.52023 .44016 L
.52095 .44123 L
.52216 .44281 L
.52266 .44316 L
.52409 .44507 L
.5241 .44508 L
.52559 .44701 L
.52601 .4477 L
.52678 .44894 L
.52794 .45045 L
.5285 .45086 L
.52987 .45272 L
.52992 .45279 L
.53135 .45472 L
.53179 .4554 L
.5325 .45664 L
.53372 .45819 L
.53426 .45857 L
.53565 .46048 L
.53566 .4605 L
.53706 .46242 L
.53758 .46319 L
.53817 .46435 L
.5395 .46598 L
.53997 .46628 L
.5414 .46821 L
.54143 .4683 L
.54273 .47013 L
.54336 .47103 L
.5438 .47206 L
.54528 .47379 L
.54564 .47399 L
.54711 .47591 L
.54721 .47616 L
.54838 .47784 L
.54914 .47889 L
.54942 .47977 L
.55106 .48159 L
.5513 .48169 L
.55279 .48362 L
.55299 .48403 L
.55401 .48555 L
.55492 .48676 L
.55503 .48747 L
.55684 .48937 L
.55695 .4894 L
.55845 .49133 L
.55877 .49192 L
.55963 .49326 L
.5607 .49463 L
.5612 .49518 L
.56259 .49711 L
.56263 .49715 L
.56409 .49904 L
.56455 .49981 L
.56526 .50096 L
.56648 .5025 L
.56684 .50289 L
.56824 .50482 L
.56841 .50503 L
.56972 .50674 L
.57033 .5077 L
.57088 .50867 L
.57226 .51037 L
.57248 .5106 L
.57388 .51253 L
.57419 .51291 L
.57535 .51445 L
.57611 .51559 L
.57651 .51638 L
.57804 .51823 L
.57811 .51831 L
.57985 .52023 L
.57997 .52079 L
.58097 .52216 L
.58189 .52349 L
.58215 .52409 L
.58374 .52601 L
.58382 .52607 L
.58548 .52794 L
.58575 .52869 L
.58659 .52987 L
.58768 .53139 L
.58781 .53179 L
.58937 .53372 L
.5896 .53391 L
.5911 .53565 L
.59153 .5366 L
.5922 .53758 L
.59346 .53931 L
.59349 .5395 L
.59499 .54143 L
.59538 .54177 L
.59669 .54336 L
.59731 .54452 L
.59781 .54528 L
.59922 .54721 L
.59924 .54723 L
.6006 .54914 L
.60116 .54966 L
.60226 .55106 L
.60309 .55247 L
.60341 .55299 L
.60482 .55492 L
.60502 .55519 L
.6062 .55684 L
.60694 .55761 L
.60782 .55877 L
.60887 .56046 L
.60901 .5607 L
.61039 .56263 L
.6108 .56317 L
.61177 .56455 L
.61273 .56564 L
.61333 .56648 L
.61458 .56841 L
.61465 .56851 L
.61593 .57033 L
.61658 .57122 L
.61793 .57226 L
.61851 .5738 L
.61877 .57419 L
.62005 .57611 L
.62043 .57664 L
.62139 .57804 L
.62236 .57939 L
.6231 .57997 L
.6241 .58189 L
.62429 .58215 L
.62538 .58382 L
.62621 .585 L
.62669 .58575 L
.62799 .58768 L
.62814 .5879 L
.62915 .5896 L
.63007 .59104 L
.63033 .59153 L
.63122 .59346 L
.63007 .59363 L
.62986 .59346 L
.62814 .59187 L
.62787 .59153 L
.62621 .58974 L
.62602 .5896 L
.62441 .58768 L
.62429 .58753 L
.62278 .58575 L
.62236 .58528 L
.62118 .58382 L
.62043 .58285 L
.61952 .58189 L
.61851 .58041 L
.61819 .57997 L
.61658 .57804 L
.61658 .57804 L
.61468 .57611 L
.61465 .57553 L
.61359 .57419 L
.61273 .57294 L
.61237 .57226 L
.6108 .57039 L
.61061 .57033 L
.60901 .56841 L
.60887 .56799 L
.60778 .56648 L
.60694 .56531 L
.60667 .56455 L
.60502 .56294 L
.60477 .56263 L
.60326 .5607 L
.60309 .56032 L
.60202 .55877 L
.60116 .55758 L
.601 .55684 L
.59924 .5552 L
.59902 .55492 L
.59754 .55299 L
.59731 .55255 L
.59632 .55106 L
.59538 .54979 L
.59472 .54914 L
.59346 .5474 L
.59331 .54721 L
.59185 .54528 L
.59153 .54472 L
.59066 .54336 L
.5896 .54197 L
.58904 .54143 L
.58768 .53955 L
.58764 .5395 L
.58619 .53758 L
.58575 .53686 L
.58502 .53565 L
.58382 .53413 L
.58337 .53372 L
.58198 .53179 L
.58189 .53168 L
.58054 .52987 L
.57997 .52899 L
.5794 .52794 L
.57804 .52629 L
.57772 .52601 L
.57615 .52409 L
.57611 .5238 L
.5749 .52216 L
.57419 .52111 L
.57377 .52023 L
.57226 .51846 L
.57208 .51831 L
.57046 .51638 L
.57033 .51592 L
.56927 .51445 L
.56841 .51323 L
.56814 .51253 L
.56648 .51063 L
.56644 .5106 L
.56481 .50867 L
.56455 .50803 L
.56365 .50674 L
.56263 .50535 L
.56249 .50482 L
.5608 .50289 L
.5607 .50279 L
.55917 .50096 L
.55877 .50014 L
.55802 .49904 L
.55684 .49746 L
.55682 .49711 L
.55517 .49518 L
.55492 .49492 L
.55355 .49326 L
.55299 .49225 L
.5524 .49133 L
.55106 .48957 L
.55093 .4894 L
.54953 .48747 L
.54914 .48705 L
.54793 .48555 L
.54721 .48434 L
.54677 .48362 L
.5453 .48169 L
.54528 .48169 L
.54391 .47977 L
.54336 .47916 L
.54233 .47784 L
.54143 .47643 L
.54114 .47591 L
.53968 .47399 L
.5395 .47394 L
.53767 .47206 L
.53758 .47125 L
.53674 .47013 L
.53565 .4685 L
.5355 .46821 L
.53407 .46628 L
.53372 .46614 L
.53212 .46435 L
.53179 .46332 L
.53115 .46242 L
.52987 .46054 L
.52985 .4605 L
.52846 .45857 L
.52794 .45826 L
.52659 .45664 L
.52601 .45534 L
.52558 .45472 L
.52425 .45279 L
.52409 .45257 L
.52288 .45086 L
.52216 .45029 L
.5211 .44894 L
.52023 .4473 L
.52004 .44701 L
.5187 .44508 L
.51831 .44455 L
.51734 .44316 L
.51638 .44218 L
.51568 .44123 L
.51455 .4393 L
.51445 .43917 L
.51322 .43737 L
.51253 .43643 L
.51186 .43545 L
.5106 .43381 L
.51039 .43352 L
.50917 .43159 L
.50867 .4309 L
.50787 .42967 L
.50674 .42807 L
.50653 .42774 L
.50529 .42581 L
.50482 .42512 L
.5041 .42389 L
.50289 .42196 L
.50289 .42196 L
.5022 .42003 L
F
1 .68 0 r
.50289 .50362 m
.50482 .50476 L
.50494 .50482 L
.50674 .50666 L
.50691 .50674 L
.50848 .50867 L
.50867 .50889 L
.51 .5106 L
.5106 .51113 L
.51149 .51253 L
.51253 .51382 L
.51307 .51445 L
.51435 .51638 L
.51445 .51651 L
.51572 .51831 L
.51638 .51922 L
.51778 .52023 L
.51831 .52193 L
.51844 .52216 L
.51961 .52409 L
.52023 .52512 L
.52072 .52601 L
.52118 .52794 L
.52023 .52818 L
.52001 .52794 L
.51831 .52673 L
.51765 .52601 L
.51638 .52467 L
.5154 .52409 L
.51445 .5224 L
.5142 .52216 L
.51269 .52023 L
.51253 .5202 L
.5112 .51831 L
.5106 .51765 L
.50935 .51638 L
.50867 .51497 L
.5083 .51445 L
.50693 .51253 L
.50674 .51227 L
.50558 .5106 L
.50482 .50947 L
.504 .50867 L
.5031 .50674 L
.50289 .50636 L
.50221 .50482 L
F
1 .67 0 r
.50289 .50373 m
.50482 .50479 L
.50487 .50482 L
.50674 .50669 L
.50685 .50674 L
.50845 .50867 L
.50867 .50893 L
.50997 .5106 L
.5106 .51116 L
.51146 .51253 L
.51253 .51385 L
.51304 .51445 L
.51433 .51638 L
.51445 .51654 L
.51569 .51831 L
.51638 .51926 L
.51774 .52023 L
.51831 .52199 L
.5184 .52216 L
.51957 .52409 L
.52023 .5252 L
.52066 .52601 L
.52092 .52794 L
.52023 .52799 L
.52019 .52794 L
.51831 .52666 L
.51772 .52601 L
.51638 .52462 L
.51547 .52409 L
.51445 .52236 L
.51424 .52216 L
.51272 .52023 L
.51253 .5202 L
.51123 .51831 L
.5106 .51762 L
.50937 .51638 L
.50867 .51493 L
.50833 .51445 L
.50696 .51253 L
.50674 .51223 L
.50561 .5106 L
.50482 .50942 L
.50405 .50867 L
.50315 .50674 L
.50289 .50626 L
.50228 .50482 L
F
0 .46 1 r
.50289 .51086 m
.5042 .51253 L
.50482 .51327 L
.50564 .51445 L
.50674 .51595 L
.50701 .51638 L
.50674 .51814 L
.50523 .51638 L
.50482 .51592 L
.5037 .51445 L
.50289 .5134 L
.50228 .51253 L
F
0 .48 1 r
.50289 .44385 m
.50385 .44508 L
.50482 .44618 L
.50545 .44701 L
.50674 .44857 L
.50702 .44894 L
.50854 .45086 L
.50867 .45102 L
.50999 .45279 L
.5106 .45353 L
.51147 .45472 L
.51253 .45604 L
.51297 .45664 L
.51445 .45856 L
.51446 .45857 L
.51586 .4605 L
.51638 .46115 L
.51729 .46242 L
.51831 .46373 L
.51875 .46435 L
.5202 .46628 L
.52023 .46631 L
.52158 .46821 L
.52216 .46896 L
.52299 .47013 L
.52409 .47158 L
.52442 .47206 L
.52582 .47399 L
.52601 .47423 L
.52717 .47591 L
.52794 .47693 L
.52856 .47784 L
.52987 .4796 L
.52998 .47977 L
.53129 .48169 L
.53179 .48236 L
.53262 .48362 L
.53372 .48513 L
.53399 .48555 L
.53528 .48747 L
.53565 .48798 L
.53648 .4894 L
.53758 .49099 L
.53775 .49133 L
.53758 .49218 L
.53685 .49133 L
.53565 .49007 L
.53511 .4894 L
.53372 .48777 L
.53349 .48747 L
.53194 .48555 L
.53179 .48538 L
.53044 .48362 L
.52987 .48294 L
.52892 .48169 L
.52794 .48047 L
.52741 .47977 L
.52601 .47803 L
.52592 .47784 L
.52448 .47591 L
.52409 .47542 L
.52302 .47399 L
.52216 .47287 L
.52156 .47206 L
.52023 .47038 L
.51992 .47013 L
.5187 .46821 L
.51831 .4677 L
.51728 .46628 L
.51638 .46509 L
.51584 .46435 L
.51445 .46249 L
.51438 .46242 L
.51305 .4605 L
.51253 .4598 L
.51166 .45857 L
.5106 .45714 L
.51025 .45664 L
.50888 .45472 L
.50867 .45444 L
.50755 .45279 L
.50674 .45169 L
.50618 .45086 L
.50482 .44895 L
.50481 .44894 L
.50357 .44701 L
.50289 .44606 L
.50229 .44508 L
F
1 .69 0 r
.50289 .43559 m
.50444 .43737 L
.50482 .43777 L
.50608 .4393 L
.50674 .44006 L
.50768 .44123 L
.50867 .44206 L
.50926 .44316 L
.5106 .44477 L
.51097 .44508 L
.51233 .44701 L
.51253 .44725 L
.51382 .44894 L
.51445 .44942 L
.51533 .45086 L
.51638 .45215 L
.51703 .45279 L
.5183 .45472 L
.51831 .45472 L
.51975 .45664 L
.52023 .45702 L
.52122 .45857 L
.52216 .45974 L
.52286 .4605 L
.52409 .46236 L
.52413 .46242 L
.52556 .46435 L
.52601 .46472 L
.52701 .46628 L
.52794 .46745 L
.5286 .46821 L
.52987 .4701 L
.52989 .47013 L
.5313 .47206 L
.53179 .47248 L
.53273 .47399 L
.53372 .47525 L
.53427 .47591 L
.53559 .47784 L
.53565 .47792 L
.53699 .47977 L
.53758 .48031 L
.53904 .48169 L
.5395 .48311 L
.5399 .48362 L
.54124 .48555 L
.54143 .4858 L
.54263 .48747 L
.54336 .4882 L
.54453 .4894 L
.54528 .49105 L
.5455 .49133 L
.54684 .49326 L
.54721 .49374 L
.54823 .49518 L
.54914 .49618 L
.54998 .49711 L
.55105 .49904 L
.55106 .49906 L
.5524 .50096 L
.55299 .50176 L
.55378 .50289 L
.55492 .5043 L
.55536 .50482 L
.55654 .50674 L
.55684 .50715 L
.55789 .50867 L
.55877 .50988 L
.55926 .5106 L
.56064 .51253 L
.5607 .51261 L
.56193 .51445 L
.56263 .51541 L
.56326 .51638 L
.56455 .51821 L
.56462 .51831 L
.56584 .52023 L
.56648 .52115 L
.56708 .52216 L
.56648 .52403 L
.56486 .52216 L
.56455 .52182 L
.56324 .52023 L
.56263 .51953 L
.56164 .51831 L
.5607 .51745 L
.56006 .51638 L
.55877 .51479 L
.55839 .51445 L
.55701 .51253 L
.55684 .51232 L
.5555 .5106 L
.55492 .51008 L
.554 .50867 L
.55299 .5074 L
.55236 .50674 L
.55106 .50485 L
.55104 .50482 L
.54957 .50289 L
.54914 .5025 L
.5481 .50096 L
.54721 .49982 L
.54652 .49904 L
.54528 .49722 L
.54521 .49711 L
.54375 .49518 L
.54336 .49481 L
.5423 .49326 L
.54143 .49212 L
.54078 .49133 L
.5395 .48949 L
.53945 .4894 L
.53801 .48747 L
.53758 .48705 L
.53598 .48555 L
.53565 .48434 L
.53509 .48362 L
.53372 .48169 L
.53372 .48169 L
.53232 .47977 L
.53179 .47924 L
.53043 .47784 L
.52987 .47648 L
.52945 .47591 L
.52807 .47399 L
.52794 .47381 L
.52667 .47206 L
.52601 .47135 L
.5249 .47013 L
.52409 .46855 L
.52384 .46821 L
.52247 .46628 L
.52216 .46586 L
.52108 .46435 L
.52023 .46338 L
.51941 .46242 L
.51831 .46054 L
.51828 .4605 L
.51692 .45857 L
.51638 .45783 L
.51554 .45664 L
.51445 .45527 L
.514 .45472 L
.51279 .45279 L
.51253 .45242 L
.51145 .45086 L
.5106 .44968 L
.51008 .44894 L
.50872 .44701 L
.50867 .44694 L
.50743 .44508 L
.50674 .44411 L
.50611 .44316 L
.50482 .44129 L
.50478 .44123 L
.50357 .4393 L
.50289 .4383 L
.50234 .43737 L
F
0 .45 1 r
.50289 .51095 m
.50413 .51253 L
.50482 .51335 L
.50558 .51445 L
.50674 .51604 L
.50695 .51638 L
.50674 .51802 L
.50531 .51638 L
.50482 .51583 L
.50377 .51445 L
.50289 .51331 L
.50235 .51253 L
F
1 .66 0 r
.50289 .50384 m
.50479 .50482 L
.50482 .50483 L
.50674 .50672 L
.50678 .50674 L
.50841 .50867 L
.50867 .50897 L
.50995 .5106 L
.5106 .51119 L
.51144 .51253 L
.51253 .51389 L
.51301 .51445 L
.5143 .51638 L
.51445 .51658 L
.51567 .51831 L
.51638 .5193 L
.5177 .52023 L
.51831 .52206 L
.51836 .52216 L
.51953 .52409 L
.52023 .52529 L
.5206 .52601 L
.52023 .52785 L
.51831 .52659 L
.51778 .52601 L
.51638 .52457 L
.51554 .52409 L
.51445 .52232 L
.51427 .52216 L
.51275 .52023 L
.51253 .52019 L
.51126 .51831 L
.5106 .51759 L
.5094 .51638 L
.50867 .5149 L
.50835 .51445 L
.50699 .51253 L
.50674 .51219 L
.50564 .5106 L
.50482 .50937 L
.50409 .50867 L
.50319 .50674 L
.50289 .50616 L
.50236 .50482 L
F
0 .47 1 r
.50289 .44397 m
.50376 .44508 L
.50482 .44627 L
.50538 .44701 L
.50674 .44864 L
.50697 .44894 L
.50848 .45086 L
.50867 .45109 L
.50994 .45279 L
.5106 .45359 L
.51143 .45472 L
.51253 .4561 L
.51293 .45664 L
.51441 .45857 L
.51445 .45862 L
.51582 .4605 L
.51638 .46121 L
.51725 .46242 L
.51831 .46378 L
.51871 .46435 L
.52016 .46628 L
.52023 .46637 L
.52154 .46821 L
.52216 .46901 L
.52295 .47013 L
.52409 .47163 L
.52438 .47206 L
.52578 .47399 L
.52601 .47429 L
.52713 .47591 L
.52794 .47698 L
.52852 .47784 L
.52987 .47966 L
.52994 .47977 L
.53124 .48169 L
.53179 .48243 L
.53256 .48362 L
.53372 .48521 L
.53394 .48555 L
.53519 .48747 L
.53565 .4881 L
.53638 .4894 L
.53758 .49119 L
.53764 .49133 L
.53758 .49192 L
.53704 .49133 L
.53565 .48995 L
.53521 .4894 L
.53372 .48768 L
.53356 .48747 L
.53202 .48555 L
.53179 .4853 L
.5305 .48362 L
.52987 .48286 L
.52898 .48169 L
.52794 .4804 L
.52746 .47977 L
.52601 .47794 L
.52596 .47784 L
.52453 .47591 L
.52409 .47536 L
.52307 .47399 L
.52216 .47282 L
.5216 .47206 L
.52023 .47031 L
.52001 .47013 L
.51874 .46821 L
.51831 .46765 L
.51732 .46628 L
.51638 .46504 L
.51589 .46435 L
.51446 .46242 L
.51445 .46242 L
.5131 .4605 L
.51253 .45974 L
.5117 .45857 L
.5106 .45708 L
.51029 .45664 L
.50894 .45472 L
.50867 .45437 L
.50761 .45279 L
.50674 .45162 L
.50624 .45086 L
.50488 .44894 L
.50482 .44886 L
.50365 .44701 L
.50289 .44595 L
.50237 .44508 L
F
0 .44 1 r
.50289 .51105 m
.50405 .51253 L
.50482 .51344 L
.50551 .51445 L
.50674 .51614 L
.50689 .51638 L
.50674 .51789 L
.5054 .51638 L
.50482 .51574 L
.50384 .51445 L
.50289 .51322 L
.50242 .51253 L
F
1 .65 0 r
.50289 .50396 m
.5047 .50482 L
.50482 .5049 L
.50673 .50674 L
.50674 .50676 L
.50838 .50867 L
.50867 .50901 L
.50992 .5106 L
.5106 .51122 L
.51141 .51253 L
.51253 .51392 L
.51298 .51445 L
.51428 .51638 L
.51445 .51661 L
.51564 .51831 L
.51638 .51933 L
.51767 .52023 L
.51831 .52213 L
.51832 .52216 L
.51949 .52409 L
.52023 .52538 L
.52055 .52601 L
.52023 .52772 L
.51831 .52652 L
.51785 .52601 L
.51638 .52452 L
.51561 .52409 L
.51445 .52229 L
.51431 .52216 L
.51278 .52023 L
.51253 .52018 L
.51128 .51831 L
.5106 .51756 L
.50942 .51638 L
.50867 .51486 L
.50838 .51445 L
.50701 .51253 L
.50674 .51215 L
.50567 .5106 L
.50482 .50933 L
.50414 .50867 L
.50324 .50674 L
.50289 .50604 L
.50243 .50482 L
F
1 .68 0 r
.50289 .43576 m
.50432 .43737 L
.50482 .43789 L
.50599 .4393 L
.50674 .44015 L
.50761 .44123 L
.50867 .44215 L
.5092 .44316 L
.5106 .44485 L
.51088 .44508 L
.51227 .44701 L
.51253 .44731 L
.51378 .44894 L
.51445 .44946 L
.51529 .45086 L
.51638 .45221 L
.51698 .45279 L
.51826 .45472 L
.51831 .45477 L
.51972 .45664 L
.52023 .45705 L
.52118 .45857 L
.52216 .45979 L
.52283 .4605 L
.52409 .4624 L
.5241 .46242 L
.52553 .46435 L
.52601 .46475 L
.52698 .46628 L
.52794 .46749 L
.52857 .46821 L
.52987 .47013 L
.52987 .47014 L
.53128 .47206 L
.53179 .47251 L
.53271 .47399 L
.53372 .47528 L
.53425 .47591 L
.53556 .47784 L
.53565 .47795 L
.53696 .47977 L
.53758 .48034 L
.53901 .48169 L
.5395 .48315 L
.53988 .48362 L
.54121 .48555 L
.54143 .48583 L
.54261 .48747 L
.54336 .48823 L
.5445 .4894 L
.54528 .49108 L
.54547 .49133 L
.54682 .49326 L
.54721 .49378 L
.54821 .49518 L
.54914 .49622 L
.54994 .49711 L
.55102 .49904 L
.55106 .4991 L
.55237 .50096 L
.55299 .5018 L
.55375 .50289 L
.55492 .50435 L
.55532 .50482 L
.55651 .50674 L
.55684 .5072 L
.55785 .50867 L
.55877 .50993 L
.55923 .5106 L
.56059 .51253 L
.5607 .51267 L
.56188 .51445 L
.56263 .51548 L
.56321 .51638 L
.56455 .51829 L
.56456 .51831 L
.56577 .52023 L
.56648 .52127 L
.567 .52216 L
.56648 .52388 L
.56498 .52216 L
.56455 .52171 L
.56332 .52023 L
.56263 .51943 L
.56171 .51831 L
.5607 .51736 L
.56013 .51638 L
.55877 .51471 L
.55847 .51445 L
.55706 .51253 L
.55684 .51226 L
.55555 .5106 L
.55492 .51003 L
.55404 .50867 L
.55299 .50735 L
.55241 .50674 L
.55107 .50482 L
.55106 .50481 L
.54961 .50289 L
.54914 .50246 L
.54813 .50096 L
.54721 .49978 L
.54656 .49904 L
.54528 .49718 L
.54524 .49711 L
.54378 .49518 L
.54336 .49478 L
.54233 .49326 L
.54143 .49208 L
.54081 .49133 L
.5395 .48946 L
.53947 .4894 L
.53803 .48747 L
.53758 .48703 L
.536 .48555 L
.53565 .4843 L
.53512 .48362 L
.53375 .48169 L
.53372 .48166 L
.53234 .47977 L
.53179 .47921 L
.53045 .47784 L
.52987 .47644 L
.52947 .47591 L
.5281 .47399 L
.52794 .47378 L
.5267 .47206 L
.52601 .47132 L
.52493 .47013 L
.52409 .46851 L
.52387 .46821 L
.5225 .46628 L
.52216 .46583 L
.52111 .46435 L
.52023 .46334 L
.51944 .46242 L
.51831 .4605 L
.51831 .46049 L
.51695 .45857 L
.51638 .45779 L
.51557 .45664 L
.51445 .45521 L
.51405 .45472 L
.51283 .45279 L
.51253 .45237 L
.51149 .45086 L
.5106 .44963 L
.51012 .44894 L
.50877 .44701 L
.50867 .44687 L
.50749 .44508 L
.50674 .44404 L
.50617 .44316 L
.50484 .44123 L
.50482 .4412 L
.50365 .4393 L
.50289 .43817 L
.50244 .43737 L
F
0 .46 1 r
.50289 .4441 m
.50366 .44508 L
.50482 .44636 L
.50531 .44701 L
.50674 .44872 L
.50691 .44894 L
.50841 .45086 L
.50867 .45116 L
.50988 .45279 L
.5106 .45365 L
.51138 .45472 L
.51253 .45615 L
.51288 .45664 L
.51436 .45857 L
.51445 .45868 L
.51577 .4605 L
.51638 .46126 L
.51721 .46242 L
.51831 .46383 L
.51868 .46435 L
.52012 .46628 L
.52023 .46642 L
.52149 .46821 L
.52216 .46906 L
.52291 .47013 L
.52409 .47169 L
.52435 .47206 L
.52573 .47399 L
.52601 .47435 L
.52708 .47591 L
.52794 .47704 L
.52848 .47784 L
.52987 .47972 L
.5299 .47977 L
.53118 .48169 L
.53179 .48251 L
.53251 .48362 L
.53372 .48529 L
.53388 .48555 L
.5351 .48747 L
.53565 .48824 L
.53626 .4894 L
.53565 .48981 L
.53532 .4894 L
.53372 .48758 L
.53364 .48747 L
.5321 .48555 L
.53179 .48521 L
.53057 .48362 L
.52987 .48279 L
.52904 .48169 L
.52794 .48033 L
.52751 .47977 L
.52601 .47784 L
.52601 .47784 L
.52458 .47591 L
.52409 .4753 L
.52312 .47399 L
.52216 .47276 L
.52164 .47206 L
.52023 .47022 L
.52012 .47013 L
.51879 .46821 L
.51831 .46759 L
.51736 .46628 L
.51638 .46498 L
.51593 .46435 L
.51451 .46242 L
.51445 .46236 L
.51315 .4605 L
.51253 .45968 L
.51175 .45857 L
.5106 .45701 L
.51034 .45664 L
.50899 .45472 L
.50867 .45429 L
.50766 .45279 L
.50674 .45154 L
.50629 .45086 L
.50495 .44894 L
.50482 .44876 L
.50373 .44701 L
.50289 .44582 L
.50246 .44508 L
F
0 .69 1 r
.50289 .54585 m
.50392 .54721 L
.50482 .54827 L
.50547 .54914 L
.50674 .55073 L
.507 .55106 L
.50846 .55299 L
.50867 .55325 L
.50989 .55492 L
.5106 .5558 L
.51136 .55684 L
.51253 .55837 L
.51282 .55877 L
.51423 .5607 L
.51445 .56097 L
.51562 .56263 L
.51638 .56362 L
.51704 .56455 L
.51831 .56626 L
.51846 .56648 L
.51978 .56841 L
.52023 .56899 L
.52113 .57033 L
.52216 .57174 L
.5225 .57226 L
.52216 .57385 L
.52099 .57226 L
.52023 .5714 L
.51947 .57033 L
.51831 .56892 L
.51794 .56841 L
.51643 .56648 L
.51638 .56642 L
.51504 .56455 L
.51445 .56383 L
.51361 .56263 L
.51253 .56126 L
.51214 .5607 L
.51068 .55877 L
.5106 .55867 L
.50934 .55684 L
.50867 .556 L
.50794 .55492 L
.50674 .55335 L
.5065 .55299 L
.50514 .55106 L
.50482 .55065 L
.50384 .54914 L
.50289 .54789 L
.50247 .54721 L
F
0 .65 1 r
.50289 .48721 m
.50308 .48747 L
.50289 .48812 L
.50247 .48747 L
F
0 .43 1 r
.50289 .51116 m
.50397 .51253 L
.50482 .51353 L
.50544 .51445 L
.50674 .51624 L
.50682 .51638 L
.50674 .51775 L
.50551 .51638 L
.50482 .51564 L
.50392 .51445 L
.50289 .51311 L
.50249 .51253 L
F
1 .64 0 r
.50289 .50409 m
.5046 .50482 L
.50482 .50497 L
.50668 .50674 L
.50674 .50681 L
.50834 .50867 L
.50867 .50905 L
.50989 .5106 L
.5106 .51125 L
.51139 .51253 L
.51253 .51395 L
.51295 .51445 L
.51425 .51638 L
.51445 .51665 L
.51562 .51831 L
.51638 .51937 L
.51762 .52023 L
.51828 .52216 L
.51831 .52219 L
.51945 .52409 L
.52023 .52548 L
.52049 .52601 L
.52023 .52758 L
.51831 .52644 L
.51792 .52601 L
.51638 .52447 L
.51569 .52409 L
.51445 .52225 L
.51436 .52216 L
.51282 .52023 L
.51253 .52017 L
.51131 .51831 L
.5106 .51752 L
.50945 .51638 L
.50867 .51482 L
.50841 .51445 L
.50704 .51253 L
.50674 .51211 L
.5057 .5106 L
.50482 .50928 L
.50418 .50867 L
.50329 .50674 L
.50289 .50592 L
.50252 .50482 L
F
1 .67 0 r
.50289 .43594 m
.50418 .43737 L
.50482 .43802 L
.50589 .4393 L
.50674 .44025 L
.50754 .44123 L
.50867 .44226 L
.50914 .44316 L
.5106 .44493 L
.51078 .44508 L
.51222 .44701 L
.51253 .44738 L
.51373 .44894 L
.51445 .44952 L
.51524 .45086 L
.51638 .45226 L
.51693 .45279 L
.51822 .45472 L
.51831 .45482 L
.51968 .45664 L
.52023 .45709 L
.52115 .45857 L
.52216 .45983 L
.52279 .4605 L
.52408 .46242 L
.52409 .46244 L
.52551 .46435 L
.52601 .46477 L
.52695 .46628 L
.52794 .46753 L
.52854 .46821 L
.52984 .47013 L
.52987 .47017 L
.53125 .47206 L
.53179 .47254 L
.53268 .47399 L
.53372 .47532 L
.53422 .47591 L
.53554 .47784 L
.53565 .47798 L
.53694 .47977 L
.53758 .48037 L
.53899 .48169 L
.5395 .48318 L
.53985 .48362 L
.54119 .48555 L
.54143 .48586 L
.54258 .48747 L
.54336 .48827 L
.54447 .4894 L
.54528 .49112 L
.54544 .49133 L
.54679 .49326 L
.54721 .49381 L
.54818 .49518 L
.54914 .49626 L
.54991 .49711 L
.55099 .49904 L
.55106 .49914 L
.55234 .50096 L
.55299 .50184 L
.55372 .50289 L
.55492 .50441 L
.55527 .50482 L
.55647 .50674 L
.55684 .50725 L
.55782 .50867 L
.55877 .50998 L
.55919 .5106 L
.56055 .51253 L
.5607 .51273 L
.56183 .51445 L
.56263 .51555 L
.56316 .51638 L
.5645 .51831 L
.56455 .51838 L
.56569 .52023 L
.56648 .5214 L
.56691 .52216 L
.56648 .52372 L
.56509 .52216 L
.56455 .52159 L
.56341 .52023 L
.56263 .51934 L
.56178 .51831 L
.5607 .51727 L
.56019 .51638 L
.55877 .51463 L
.55856 .51445 L
.55712 .51253 L
.55684 .51219 L
.5556 .5106 L
.55492 .50998 L
.55409 .50867 L
.55299 .50729 L
.55245 .50674 L
.55111 .50482 L
.55106 .50475 L
.54965 .50289 L
.54914 .50242 L
.54817 .50096 L
.54721 .49973 L
.54659 .49904 L
.54528 .49715 L
.54526 .49711 L
.54381 .49518 L
.54336 .49475 L
.54236 .49326 L
.54143 .49205 L
.54084 .49133 L
.5395 .48943 L
.53949 .4894 L
.53806 .48747 L
.53758 .487 L
.53602 .48555 L
.53565 .48427 L
.53515 .48362 L
.53378 .48169 L
.53372 .48162 L
.53237 .47977 L
.53179 .47918 L
.53048 .47784 L
.52987 .47641 L
.5295 .47591 L
.52813 .47399 L
.52794 .47374 L
.52673 .47206 L
.52601 .47128 L
.52495 .47013 L
.52409 .46848 L
.52389 .46821 L
.52253 .46628 L
.52216 .46579 L
.52113 .46435 L
.52023 .46329 L
.51948 .46242 L
.51834 .4605 L
.51831 .46045 L
.51698 .45857 L
.51638 .45775 L
.5156 .45664 L
.51445 .45515 L
.5141 .45472 L
.51287 .45279 L
.51253 .45232 L
.51153 .45086 L
.5106 .44957 L
.51016 .44894 L
.50882 .44701 L
.50867 .4468 L
.50754 .44508 L
.50674 .44396 L
.50622 .44316 L
.50492 .44123 L
.50482 .44109 L
.50374 .4393 L
.50289 .43801 L
.50254 .43737 L
F
0 .45 1 r
.50289 .44426 m
.50354 .44508 L
.50482 .44646 L
.50524 .44701 L
.50674 .4488 L
.50685 .44894 L
.50834 .45086 L
.50867 .45124 L
.50982 .45279 L
.5106 .45372 L
.51133 .45472 L
.51253 .45621 L
.51284 .45664 L
.51431 .45857 L
.51445 .45874 L
.51572 .4605 L
.51638 .46132 L
.51717 .46242 L
.51831 .46389 L
.51864 .46435 L
.52007 .46628 L
.52023 .46648 L
.52145 .46821 L
.52216 .46912 L
.52287 .47013 L
.52409 .47174 L
.52431 .47206 L
.52568 .47399 L
.52601 .47441 L
.52704 .47591 L
.52794 .47711 L
.52843 .47784 L
.52985 .47977 L
.52987 .47979 L
.53112 .48169 L
.53179 .48259 L
.53245 .48362 L
.53372 .48538 L
.53382 .48555 L
.53372 .48747 L
.53219 .48555 L
.53179 .48511 L
.53064 .48362 L
.52987 .48271 L
.5291 .48169 L
.52794 .48026 L
.52756 .47977 L
.52607 .47784 L
.52601 .47777 L
.52463 .47591 L
.52409 .47524 L
.52316 .47399 L
.52216 .4727 L
.52169 .47206 L
.52023 .47014 L
.52022 .47013 L
.51883 .46821 L
.51831 .46753 L
.51741 .46628 L
.51638 .46492 L
.51597 .46435 L
.51456 .46242 L
.51445 .46229 L
.51319 .4605 L
.51253 .45962 L
.51179 .45857 L
.5106 .45695 L
.51039 .45664 L
.50905 .45472 L
.50867 .45422 L
.50772 .45279 L
.50674 .45146 L
.50635 .45086 L
.50503 .44894 L
.50482 .44865 L
.50382 .44701 L
.50289 .44568 L
.50256 .44508 L
F
0 .42 1 r
.50289 .51128 m
.50388 .51253 L
.50482 .51363 L
.50537 .51445 L
.50674 .51637 L
.50675 .51638 L
.50674 .51757 L
.50563 .51638 L
.50482 .51553 L
.504 .51445 L
.50289 .513 L
.50257 .51253 L
F
1 .47 0 r
.50289 .45251 m
.50306 .45279 L
.50289 .45329 L
.50258 .45279 L
F
1 .63 0 r
.50289 .50423 m
.50449 .50482 L
.50482 .50503 L
.50663 .50674 L
.50674 .50686 L
.50831 .50867 L
.50867 .50909 L
.50986 .5106 L
.5106 .51128 L
.51136 .51253 L
.51253 .51399 L
.51293 .51445 L
.51423 .51638 L
.51445 .51668 L
.51559 .51831 L
.51638 .51941 L
.51758 .52023 L
.51825 .52216 L
.51831 .52224 L
.5194 .52409 L
.52023 .52559 L
.52043 .52601 L
.52023 .52743 L
.51831 .52636 L
.51799 .52601 L
.51638 .52441 L
.51578 .52409 L
.51445 .52221 L
.5144 .52216 L
.51285 .52023 L
.51253 .52016 L
.51134 .51831 L
.5106 .51749 L
.50948 .51638 L
.50867 .51478 L
.50843 .51445 L
.50707 .51253 L
.50674 .51207 L
.50573 .5106 L
.50482 .50923 L
.50423 .50867 L
.50334 .50674 L
.50289 .50577 L
.5026 .50482 L
F
0 .68 1 r
.50289 .54609 m
.50374 .54721 L
.50482 .54845 L
.50533 .54914 L
.50674 .55089 L
.50688 .55106 L
.50832 .55299 L
.50867 .55341 L
.50977 .55492 L
.5106 .55595 L
.51125 .55684 L
.51253 .55851 L
.51272 .55877 L
.51411 .5607 L
.51445 .56113 L
.5155 .56263 L
.51638 .56377 L
.51692 .56455 L
.51831 .56642 L
.51835 .56648 L
.51964 .56841 L
.52023 .56918 L
.52098 .57033 L
.52216 .57195 L
.52236 .57226 L
.52216 .57361 L
.52117 .57226 L
.52023 .57121 L
.5196 .57033 L
.51831 .56877 L
.51805 .56841 L
.51656 .56648 L
.51638 .56627 L
.51516 .56455 L
.51445 .56369 L
.51371 .56263 L
.51253 .56113 L
.51223 .5607 L
.5108 .55877 L
.5106 .55853 L
.50945 .55684 L
.50867 .55586 L
.50805 .55492 L
.50674 .55321 L
.5066 .55299 L
.50528 .55106 L
.50482 .55047 L
.50399 .54914 L
.50289 .54769 L
.5026 .54721 L
F
1 .49 0 r
.50289 .55439 m
.50319 .55492 L
.50289 .55532 L
.50262 .55492 L
F
1 .66 0 r
.50289 .43616 m
.50403 .43737 L
.50482 .43815 L
.50579 .4393 L
.50674 .44035 L
.50746 .44123 L
.50867 .44237 L
.50907 .44316 L
.5106 .44501 L
.51068 .44508 L
.51216 .44701 L
.51253 .44744 L
.51368 .44894 L
.51445 .44957 L
.5152 .45086 L
.51638 .45232 L
.51687 .45279 L
.51818 .45472 L
.51831 .45487 L
.51964 .45664 L
.52023 .45712 L
.52112 .45857 L
.52216 .45987 L
.52275 .4605 L
.52404 .46242 L
.52409 .46248 L
.52548 .46435 L
.52601 .4648 L
.52692 .46628 L
.52794 .46756 L
.52851 .46821 L
.52981 .47013 L
.52987 .47021 L
.53123 .47206 L
.53179 .47257 L
.53266 .47399 L
.53372 .47535 L
.53419 .47591 L
.53551 .47784 L
.53565 .47802 L
.53692 .47977 L
.53758 .48039 L
.53896 .48169 L
.5395 .48321 L
.53983 .48362 L
.54116 .48555 L
.54143 .4859 L
.54256 .48747 L
.54336 .4883 L
.54444 .4894 L
.54528 .49116 L
.54542 .49133 L
.54677 .49326 L
.54721 .49385 L
.54816 .49518 L
.54914 .4963 L
.54987 .49711 L
.55096 .49904 L
.55106 .49917 L
.55231 .50096 L
.55299 .50188 L
.5537 .50289 L
.55492 .50446 L
.55522 .50482 L
.55644 .50674 L
.55684 .50729 L
.55778 .50867 L
.55877 .51003 L
.55915 .5106 L
.5605 .51253 L
.5607 .5128 L
.56178 .51445 L
.56263 .51563 L
.56311 .51638 L
.56443 .51831 L
.56455 .51848 L
.5656 .52023 L
.56648 .52154 L
.56682 .52216 L
.56648 .52354 L
.56523 .52216 L
.56455 .52147 L
.56351 .52023 L
.56263 .51924 L
.56186 .51831 L
.5607 .51717 L
.56026 .51638 L
.55877 .51455 L
.55865 .51445 L
.55717 .51253 L
.55684 .51213 L
.55565 .5106 L
.55492 .50993 L
.55413 .50867 L
.55299 .50724 L
.55251 .50674 L
.55115 .50482 L
.55106 .5047 L
.54968 .50289 L
.54914 .50239 L
.5482 .50096 L
.54721 .49969 L
.54663 .49904 L
.54529 .49711 L
.54528 .49711 L
.54384 .49518 L
.54336 .49472 L
.54239 .49326 L
.54143 .49201 L
.54087 .49133 L
.53951 .4894 L
.5395 .48939 L
.53809 .48747 L
.53758 .48697 L
.53604 .48555 L
.53565 .48423 L
.53517 .48362 L
.5338 .48169 L
.53372 .48158 L
.53239 .47977 L
.53179 .47914 L
.5305 .47784 L
.52987 .47637 L
.52952 .47591 L
.52815 .47399 L
.52794 .4737 L
.52675 .47206 L
.52601 .47125 L
.52498 .47013 L
.52409 .46844 L
.52392 .46821 L
.52255 .46628 L
.52216 .46575 L
.52116 .46435 L
.52023 .46325 L
.51952 .46242 L
.51837 .4605 L
.51831 .46041 L
.51702 .45857 L
.51638 .4577 L
.51564 .45664 L
.51445 .45509 L
.51414 .45472 L
.51291 .45279 L
.51253 .45226 L
.51157 .45086 L
.5106 .44951 L
.51021 .44894 L
.50887 .44701 L
.50867 .44673 L
.50759 .44508 L
.50674 .44387 L
.50628 .44316 L
.505 .44123 L
.50482 .44097 L
.50384 .4393 L
.50289 .43783 L
.50265 .43737 L
F
0 .41 1 r
.50289 .51142 m
.50377 .51253 L
.50482 .51374 L
.50529 .51445 L
.50482 .51541 L
.5041 .51445 L
.50289 .51288 L
.50266 .51253 L
F
0 .44 1 r
.50289 .44445 m
.5034 .44508 L
.50482 .44657 L
.50515 .44701 L
.50674 .44888 L
.50678 .44894 L
.50827 .45086 L
.50867 .45132 L
.50976 .45279 L
.5106 .45379 L
.51128 .45472 L
.51253 .45627 L
.51279 .45664 L
.51426 .45857 L
.51445 .4588 L
.51568 .4605 L
.51638 .46138 L
.51713 .46242 L
.51831 .46394 L
.5186 .46435 L
.52003 .46628 L
.52023 .46654 L
.52141 .46821 L
.52216 .46917 L
.52283 .47013 L
.52409 .4718 L
.52427 .47206 L
.52564 .47399 L
.52601 .47447 L
.52699 .47591 L
.52794 .47717 L
.52839 .47784 L
.52979 .47977 L
.52987 .47987 L
.53106 .48169 L
.53179 .48268 L
.53238 .48362 L
.53372 .48548 L
.53376 .48555 L
.53372 .48734 L
.53229 .48555 L
.53179 .48502 L
.53072 .48362 L
.52987 .48263 L
.52916 .48169 L
.52794 .48019 L
.52762 .47977 L
.52613 .47784 L
.52601 .4777 L
.52468 .47591 L
.52409 .47517 L
.52321 .47399 L
.52216 .47264 L
.52173 .47206 L
.52028 .47013 L
.52023 .47008 L
.51888 .46821 L
.51831 .46747 L
.51745 .46628 L
.51638 .46486 L
.51601 .46435 L
.51461 .46242 L
.51445 .46223 L
.51324 .4605 L
.51253 .45955 L
.51184 .45857 L
.5106 .45688 L
.51043 .45664 L
.50911 .45472 L
.50867 .45414 L
.50778 .45279 L
.50674 .45138 L
.50641 .45086 L
.50512 .44894 L
.50482 .44853 L
.50393 .44701 L
.50289 .4455 L
.50267 .44508 L
F
1 .62 0 r
.50289 .50439 m
.50437 .50482 L
.50482 .5051 L
.50658 .50674 L
.50674 .50691 L
.50827 .50867 L
.50867 .50913 L
.50983 .5106 L
.5106 .51131 L
.51134 .51253 L
.51253 .51403 L
.5129 .51445 L
.5142 .51638 L
.51445 .51672 L
.51557 .51831 L
.51638 .51945 L
.51754 .52023 L
.51821 .52216 L
.51831 .5223 L
.51936 .52409 L
.52023 .52571 L
.52036 .52601 L
.52023 .52726 L
.51831 .52628 L
.51806 .52601 L
.51638 .52436 L
.51586 .52409 L
.51445 .52217 L
.51444 .52216 L
.51288 .52023 L
.51253 .52015 L
.51137 .51831 L
.5106 .51745 L
.50951 .51638 L
.50867 .51475 L
.50846 .51445 L
.5071 .51253 L
.50674 .51202 L
.50576 .5106 L
.50482 .50918 L
.50428 .50867 L
.50339 .50674 L
.50289 .5056 L
.5027 .50482 L
F
1 .88 0 r
.50289 .53804 m
.50417 .5395 L
.50482 .54019 L
.50585 .54143 L
.50674 .54245 L
.50749 .54336 L
.50867 .54438 L
.50908 .54528 L
.5106 .54716 L
.51066 .54721 L
.51215 .54914 L
.51253 .54959 L
.51368 .55106 L
.51445 .55158 L
.5152 .55299 L
.51638 .55447 L
.51686 .55492 L
.51817 .55684 L
.51831 .55702 L
.51964 .55877 L
.52023 .55917 L
.52112 .5607 L
.52216 .56203 L
.52272 .56263 L
.52401 .56455 L
.52409 .56465 L
.52546 .56648 L
.52601 .56689 L
.5269 .56841 L
.52794 .56975 L
.52844 .57033 L
.52975 .57226 L
.52987 .57241 L
.53117 .57419 L
.53179 .57471 L
.5326 .57611 L
.53372 .57761 L
.53407 .57804 L
.5354 .57997 L
.53565 .5803 L
.5368 .58189 L
.53758 .58265 L
.53888 .58382 L
.5395 .5856 L
.53962 .58575 L
.54097 .58768 L
.54143 .58831 L
.54235 .5896 L
.54336 .59078 L
.5441 .59153 L
.54508 .59346 L
.54528 .59373 L
.54642 .59538 L
.54721 .59649 L
.54778 .59731 L
.54912 .59924 L
.54914 .59926 L
.55039 .60116 L
.55106 .60213 L
.55169 .60309 L
.55298 .60502 L
.55299 .60503 L
.5541 .60694 L
.55492 .60824 L
.55522 .60887 L
.55492 .60951 L
.55435 .60887 L
.55299 .60752 L
.55253 .60694 L
.55106 .60529 L
.55085 .60502 L
.54926 .60309 L
.54914 .60295 L
.54775 .60116 L
.54721 .60053 L
.54623 .59924 L
.54528 .59809 L
.5447 .59731 L
.54336 .5957 L
.54294 .59538 L
.54172 .59346 L
.54143 .5931 L
.54027 .59153 L
.5395 .59057 L
.53879 .5896 L
.53758 .58815 L
.53702 .58768 L
.53587 .58575 L
.53565 .58547 L
.53445 .58382 L
.53372 .58289 L
.533 .58189 L
.53179 .58042 L
.53132 .57997 L
.53012 .57804 L
.52987 .57772 L
.52872 .57611 L
.52794 .5751 L
.52729 .57419 L
.52601 .57257 L
.52571 .57226 L
.52445 .57033 L
.52409 .56986 L
.52306 .56841 L
.52216 .56722 L
.52164 .56648 L
.52023 .56461 L
.52018 .56455 L
.51885 .56263 L
.51831 .56192 L
.51746 .5607 L
.51638 .55925 L
.51605 .55877 L
.51465 .55684 L
.51445 .55658 L
.51332 .55492 L
.51253 .55386 L
.51194 .55299 L
.5106 .55117 L
.51053 .55106 L
.50922 .54914 L
.50867 .54839 L
.5079 .54721 L
.50674 .54562 L
.50653 .54528 L
.50525 .54336 L
.50482 .54276 L
.50402 .54143 L
.50289 .53979 L
.50273 .5395 L
F
0 .4 1 r
.50289 .51159 m
.50364 .51253 L
.50482 .51386 L
.5052 .51445 L
.50482 .51528 L
.5042 .51445 L
.50289 .51274 L
.50275 .51253 L
F
0 .67 1 r
.50289 .5464 m
.50351 .54721 L
.50482 .54867 L
.50517 .54914 L
.50482 .55025 L
.50416 .54914 L
.50289 .54743 L
.50277 .54721 L
F
1 .65 0 r
.50289 .43643 m
.50384 .43737 L
.50482 .43829 L
.50569 .4393 L
.50674 .44045 L
.50738 .44123 L
.50867 .44249 L
.50901 .44316 L
.51059 .44508 L
.5106 .4451 L
.51211 .44701 L
.51253 .44751 L
.51363 .44894 L
.51445 .44963 L
.51516 .45086 L
.51638 .45238 L
.51682 .45279 L
.51814 .45472 L
.51831 .45492 L
.51961 .45664 L
.52023 .45716 L
.52108 .45857 L
.52216 .45992 L
.52271 .4605 L
.52401 .46242 L
.52409 .46252 L
.52545 .46435 L
.52601 .46483 L
.5269 .46628 L
.52794 .4676 L
.52848 .46821 L
.52978 .47013 L
.52987 .47024 L
.5312 .47206 L
.53179 .47259 L
.53263 .47399 L
.53372 .47539 L
.53416 .47591 L
.53549 .47784 L
.53565 .47805 L
.53689 .47977 L
.53758 .48042 L
.53893 .48169 L
.5395 .48325 L
.5398 .48362 L
.54114 .48555 L
.54143 .48593 L
.54254 .48747 L
.54336 .48833 L
.54441 .4894 L
.54528 .49119 L
.54539 .49133 L
.54674 .49326 L
.54721 .49388 L
.54813 .49518 L
.54914 .49635 L
.54983 .49711 L
.55093 .49904 L
.55106 .49921 L
.55228 .50096 L
.55299 .50192 L
.55367 .50289 L
.55492 .50452 L
.55517 .50482 L
.5564 .50674 L
.55684 .50734 L
.55774 .50867 L
.55877 .51009 L
.55912 .5106 L
.56045 .51253 L
.5607 .51286 L
.56173 .51445 L
.56263 .5157 L
.56306 .51638 L
.56435 .51831 L
.56455 .51859 L
.56551 .52023 L
.56648 .52171 L
.56671 .52216 L
.56648 .52333 L
.56538 .52216 L
.56455 .52134 L
.56361 .52023 L
.56263 .51914 L
.56194 .51831 L
.5607 .51706 L
.56032 .51638 L
.55877 .51447 L
.55875 .51445 L
.55723 .51253 L
.55684 .51206 L
.5557 .5106 L
.55492 .50987 L
.55418 .50867 L
.55299 .50718 L
.55256 .50674 L
.5512 .50482 L
.55106 .50465 L
.54972 .50289 L
.54914 .50235 L
.54824 .50096 L
.54721 .49964 L
.54667 .49904 L
.54532 .49711 L
.54528 .49706 L
.54388 .49518 L
.54336 .49468 L
.54242 .49326 L
.54143 .49197 L
.5409 .49133 L
.53954 .4894 L
.5395 .48935 L
.53812 .48747 L
.53758 .48694 L
.53607 .48555 L
.53565 .48419 L
.5352 .48362 L
.53383 .48169 L
.53372 .48155 L
.53242 .47977 L
.53179 .47911 L
.53053 .47784 L
.52987 .47634 L
.52955 .47591 L
.52818 .47399 L
.52794 .47367 L
.52678 .47206 L
.52601 .47121 L
.52502 .47013 L
.52409 .4684 L
.52395 .46821 L
.52258 .46628 L
.52216 .46571 L
.52119 .46435 L
.52023 .46321 L
.51955 .46242 L
.5184 .4605 L
.51831 .46037 L
.51705 .45857 L
.51638 .45766 L
.51567 .45664 L
.51445 .45503 L
.51419 .45472 L
.51295 .45279 L
.51253 .45221 L
.51161 .45086 L
.5106 .44945 L
.51025 .44894 L
.50893 .44701 L
.50867 .44665 L
.50765 .44508 L
.50674 .44379 L
.50634 .44316 L
.50508 .44123 L
.50482 .44084 L
.50394 .4393 L
.50289 .43761 L
.50278 .43737 L
F
1 .9 0 r
.50289 .47971 m
.503 .47977 L
.50482 .48115 L
.50537 .48169 L
.50674 .48291 L
.50719 .48362 L
.50867 .48536 L
.50889 .48555 L
.51035 .48747 L
.5106 .4878 L
.5118 .4894 L
.51253 .49044 L
.51315 .49133 L
.51429 .49326 L
.51445 .49359 L
.51494 .49518 L
.51445 .4955 L
.51385 .49518 L
.51253 .49413 L
.51175 .49326 L
.5106 .49197 L
.51011 .49133 L
.50867 .48963 L
.50858 .4894 L
.5072 .48747 L
.50674 .48687 L
.50587 .48555 L
.50482 .48407 L
.50454 .48362 L
.50339 .48169 L
.50289 .48076 L
.50279 .47977 L
F
1 .61 0 r
.50289 .50459 m
.50423 .50482 L
.50482 .50517 L
.50653 .50674 L
.50674 .50696 L
.50824 .50867 L
.50867 .50917 L
.5098 .5106 L
.5106 .51134 L
.51131 .51253 L
.51253 .51406 L
.51286 .51445 L
.51418 .51638 L
.51445 .51675 L
.51554 .51831 L
.51638 .51949 L
.51749 .52023 L
.51818 .52216 L
.51831 .52236 L
.51931 .52409 L
.52023 .52586 L
.5203 .52601 L
.52023 .52706 L
.51831 .52619 L
.51814 .52601 L
.51638 .52431 L
.51596 .52409 L
.51448 .52216 L
.51445 .52213 L
.51292 .52023 L
.51253 .52014 L
.5114 .51831 L
.5106 .51742 L
.50954 .51638 L
.50867 .51471 L
.50849 .51445 L
.50713 .51253 L
.50674 .51198 L
.50579 .5106 L
.50482 .50913 L
.50434 .50867 L
.50344 .50674 L
.50289 .50537 L
.5028 .50482 L
F
0 .43 1 r
.50289 .44472 m
.50319 .44508 L
.50482 .44669 L
.50506 .44701 L
.50482 .44839 L
.50404 .44701 L
.50289 .44526 L
.50281 .44508 L
F
0 .87 1 r
.50289 .42827 m
.50444 .42967 L
.50482 .43 L
.50628 .43159 L
.50674 .43207 L
.508 .43352 L
.50867 .43427 L
.50966 .43545 L
.5106 .43648 L
.51127 .43737 L
.51253 .43893 L
.5129 .4393 L
.51438 .44123 L
.51445 .44124 L
.51592 .44316 L
.51638 .44369 L
.51807 .44508 L
.51831 .44623 L
.51897 .44701 L
.52023 .44874 L
.52033 .44894 L
.52191 .45086 L
.52216 .45117 L
.52377 .45279 L
.52409 .45375 L
.52483 .45472 L
.52601 .45633 L
.52613 .45664 L
.52776 .45857 L
.52794 .45879 L
.52947 .4605 L
.52987 .46141 L
.5306 .46242 L
.53179 .46403 L
.53186 .46435 L
.53353 .46628 L
.53372 .46652 L
.53516 .46821 L
.53565 .46915 L
.53632 .47013 L
.53758 .47179 L
.53758 .47206 L
.53925 .47399 L
.5395 .4743 L
.54084 .47591 L
.54143 .47696 L
.542 .47784 L
.54336 .47959 L
.54353 .47977 L
.54494 .48169 L
.54528 .48212 L
.54649 .48362 L
.54721 .48479 L
.54767 .48555 L
.54914 .48741 L
.5492 .48747 L
.5506 .4894 L
.55106 .48997 L
.55213 .49133 L
.55299 .49266 L
.55332 .49326 L
.55485 .49518 L
.55492 .49523 L
.55676 .49711 L
.55684 .49785 L
.55775 .49904 L
.55877 .50054 L
.55898 .50096 L
.56048 .50289 L
.5607 .50306 L
.56235 .50482 L
.56263 .50575 L
.56336 .50674 L
.56455 .50845 L
.56464 .50867 L
.5661 .5106 L
.56648 .51092 L
.56792 .51253 L
.56841 .51368 L
.56896 .51445 L
.57032 .51638 L
.57033 .51639 L
.5717 .51831 L
.57226 .51883 L
.57346 .52023 L
.57419 .52165 L
.57454 .52216 L
.5759 .52409 L
.57611 .52437 L
.57728 .52601 L
.57804 .52681 L
.57896 .52794 L
.57997 .52968 L
.58009 .52987 L
.58144 .53179 L
.58189 .53241 L
.58282 .53372 L
.58382 .53491 L
.58439 .53565 L
.58558 .53758 L
.58575 .5378 L
.58692 .5395 L
.58768 .54054 L
.58829 .54143 L
.5896 .54322 L
.5897 .54336 L
.59097 .54528 L
.59153 .54606 L
.59229 .54721 L
.59346 .54887 L
.59363 .54914 L
.59489 .55106 L
.59538 .55178 L
.59612 .55299 L
.59731 .55479 L
.59738 .55492 L
.59837 .55684 L
.59731 .55732 L
.59685 .55684 L
.59538 .55559 L
.59501 .55492 L
.59346 .55319 L
.59312 .55299 L
.59166 .55106 L
.59153 .55092 L
.59005 .54914 L
.5896 .54882 L
.58846 .54721 L
.58768 .54626 L
.58653 .54528 L
.58575 .54379 L
.5854 .54336 L
.58385 .54143 L
.58382 .5414 L
.58234 .5395 L
.58189 .53893 L
.58061 .53758 L
.57997 .53637 L
.57945 .53565 L
.57804 .53385 L
.57804 .53372 L
.57643 .53179 L
.57611 .53139 L
.57481 .52987 L
.57419 .52878 L
.57363 .52794 L
.57226 .52619 L
.57205 .52601 L
.57062 .52409 L
.57033 .52371 L
.56908 .52216 L
.56841 .52107 L
.56789 .52023 L
.56648 .51847 L
.56629 .51831 L
.56487 .51638 L
.56455 .51596 L
.56338 .51445 L
.56263 .5133 L
.5622 .51253 L
.5607 .5107 L
.56058 .5106 L
.5588 .50867 L
.55877 .50815 L
.5577 .50674 L
.55684 .50548 L
.55652 .50482 L
.55492 .5029 L
.5549 .50289 L
.55315 .50096 L
.55299 .50031 L
.55205 .49904 L
.55106 .49763 L
.55085 .49711 L
.54924 .49518 L
.54914 .49508 L
.54752 .49326 L
.54721 .49244 L
.54642 .49133 L
.54528 .48976 L
.54518 .4894 L
.5436 .48747 L
.54336 .48723 L
.5419 .48555 L
.54143 .48455 L
.54079 .48362 L
.5395 .48187 L
.53948 .48169 L
.53797 .47977 L
.53758 .47936 L
.53631 .47784 L
.53565 .47664 L
.53518 .47591 L
.53374 .47399 L
.53372 .47396 L
.53236 .47206 L
.53179 .47145 L
.53073 .47013 L
.52987 .46868 L
.52957 .46821 L
.52815 .46628 L
.52794 .46599 L
.52677 .46435 L
.52601 .46349 L
.52519 .46242 L
.52409 .46069 L
.52398 .4605 L
.52259 .45857 L
.52216 .45798 L
.52121 .45664 L
.52023 .45544 L
.51969 .45472 L
.51843 .45279 L
.51831 .45262 L
.51708 .45086 L
.51638 .4504 L
.51512 .44894 L
.51445 .44725 L
.51428 .44701 L
.51299 .44508 L
.51253 .44444 L
.51165 .44316 L
.5106 .44199 L
.51 .44123 L
.50898 .4393 L
.50867 .43887 L
.5077 .43737 L
.50674 .436 L
.50639 .43545 L
.50515 .43352 L
.50482 .43303 L
.504 .43159 L
.50289 .42977 L
.50284 .42967 L
F
1 .48 0 r
.50289 .5548 m
.50293 .55492 L
.50289 .55497 L
.50286 .55492 L
F
0 .39 1 r
.50289 .51183 m
.50347 .51253 L
.50482 .514 L
.5051 .51445 L
.50482 .51512 L
.50432 .51445 L
.50289 .51257 L
.50286 .51253 L
F
1 .6 0 r
.50482 .50523 m
.50647 .50674 L
.50674 .507 L
.5082 .50867 L
.50867 .5092 L
.50977 .5106 L
.5106 .51138 L
.51128 .51253 L
.51253 .5141 L
.51283 .51445 L
.51415 .51638 L
.51445 .51679 L
.51551 .51831 L
.51638 .51952 L
.51744 .52023 L
.51814 .52216 L
.51831 .52241 L
.51927 .52409 L
.52022 .52601 L
.51831 .5261 L
.51822 .52601 L
.51638 .52425 L
.51605 .52409 L
.51452 .52216 L
.51445 .52208 L
.51295 .52023 L
.51253 .52012 L
.51143 .51831 L
.5106 .51738 L
.50958 .51638 L
.50867 .51467 L
.50852 .51445 L
.50716 .51253 L
.50674 .51194 L
.50583 .5106 L
.50482 .50907 L
.50439 .50867 L
.50349 .50674 L
F
1 .59 0 r
.50482 .5053 m
.50642 .50674 L
.50674 .50705 L
.50816 .50867 L
.50867 .50924 L
.50974 .5106 L
.5106 .51141 L
.51126 .51253 L
.51253 .51413 L
.5128 .51445 L
.51412 .51638 L
.51445 .51682 L
.51549 .51831 L
.51638 .51956 L
.51739 .52023 L
.5181 .52216 L
.51831 .52247 L
.51922 .52409 L
.51831 .52601 L
.51638 .5242 L
.51616 .52409 L
.51456 .52216 L
.51445 .52204 L
.51298 .52023 L
.51253 .52011 L
.51146 .51831 L
.5106 .51734 L
.50961 .51638 L
.50867 .51463 L
.50854 .51445 L
.50719 .51253 L
.50674 .5119 L
.50586 .5106 L
.50482 .50902 L
.50445 .50867 L
.50355 .50674 L
F
1 .58 0 r
.50482 .50537 m
.50636 .50674 L
.50674 .5071 L
.50813 .50867 L
.50867 .50928 L
.50971 .5106 L
.5106 .51145 L
.51123 .51253 L
.51253 .51417 L
.51277 .51445 L
.5141 .51638 L
.51445 .51686 L
.51546 .51831 L
.51638 .5196 L
.51734 .52023 L
.51807 .52216 L
.51831 .52254 L
.51917 .52409 L
.51831 .52593 L
.51638 .52414 L
.51626 .52409 L
.5146 .52216 L
.51445 .52199 L
.51302 .52023 L
.51253 .52009 L
.51149 .51831 L
.5106 .51731 L
.50964 .51638 L
.50867 .51459 L
.50857 .51445 L
.50722 .51253 L
.50674 .51186 L
.50589 .5106 L
.50482 .50896 L
.5045 .50867 L
.5036 .50674 L
F
1 .57 0 r
.50482 .50544 m
.50631 .50674 L
.50674 .50715 L
.50809 .50867 L
.50867 .50932 L
.50968 .5106 L
.5106 .51148 L
.51121 .51253 L
.51253 .51421 L
.51274 .51445 L
.51407 .51638 L
.51445 .51689 L
.51543 .51831 L
.51638 .51964 L
.51728 .52023 L
.51803 .52216 L
.51831 .5226 L
.51913 .52409 L
.51831 .52585 L
.51638 .52409 L
.51637 .52409 L
.51465 .52216 L
.51445 .52195 L
.51305 .52023 L
.51253 .52007 L
.51152 .51831 L
.5106 .51727 L
.50968 .51638 L
.50867 .51455 L
.5086 .51445 L
.50725 .51253 L
.50674 .51181 L
.50592 .5106 L
.50482 .50891 L
.50456 .50867 L
.50366 .50674 L
F
1 .56 0 r
.50482 .50552 m
.50625 .50674 L
.50674 .5072 L
.50805 .50867 L
.50867 .50937 L
.50965 .5106 L
.5106 .51152 L
.51118 .51253 L
.51253 .51425 L
.5127 .51445 L
.51404 .51638 L
.51445 .51693 L
.51541 .51831 L
.51638 .51968 L
.51722 .52023 L
.51799 .52216 L
.51831 .52267 L
.51908 .52409 L
.51831 .52577 L
.51644 .52409 L
.51638 .52403 L
.51469 .52216 L
.51445 .5219 L
.51308 .52023 L
.51253 .52005 L
.51155 .51831 L
.5106 .51723 L
.50972 .51638 L
.50867 .51451 L
.50863 .51445 L
.50728 .51253 L
.50674 .51177 L
.50595 .5106 L
.50482 .50885 L
.50462 .50867 L
.50372 .50674 L
F
1 .89 0 r
.50482 .48152 m
.50501 .48169 L
.50674 .48331 L
.50693 .48362 L
.5086 .48555 L
.50867 .48563 L
.51014 .48747 L
.5106 .48806 L
.5116 .4894 L
.51253 .49074 L
.51293 .49133 L
.514 .49326 L
.51253 .49386 L
.51196 .49326 L
.5106 .49177 L
.51026 .49133 L
.50871 .4894 L
.50867 .48935 L
.50736 .48747 L
.50674 .48665 L
.50603 .48555 L
.50482 .48381 L
.50471 .48362 L
.50376 .48169 L
F
1 .55 0 r
.50482 .50559 m
.50619 .50674 L
.50674 .50725 L
.50801 .50867 L
.50867 .50941 L
.50962 .5106 L
.5106 .51156 L
.51115 .51253 L
.51253 .51429 L
.51267 .51445 L
.51402 .51638 L
.51445 .51697 L
.51538 .51831 L
.51638 .51973 L
.51717 .52023 L
.51795 .52216 L
.51831 .52274 L
.51902 .52409 L
.51831 .52568 L
.5165 .52409 L
.51638 .52397 L
.51473 .52216 L
.51445 .52185 L
.51312 .52023 L
.51253 .52003 L
.51158 .51831 L
.5106 .51719 L
.50976 .51638 L
.50867 .51446 L
.50866 .51445 L
.50731 .51253 L
.50674 .51173 L
.50598 .5106 L
.50482 .50879 L
.50469 .50867 L
.50378 .50674 L
F
1 .54 0 r
.50482 .50567 m
.50612 .50674 L
.50674 .50731 L
.50797 .50867 L
.50867 .50945 L
.50959 .5106 L
.5106 .5116 L
.51113 .51253 L
.51253 .51433 L
.51264 .51445 L
.51399 .51638 L
.51445 .517 L
.51535 .51831 L
.51638 .51977 L
.5171 .52023 L
.51791 .52216 L
.51831 .52281 L
.51897 .52409 L
.51831 .52559 L
.51657 .52409 L
.51638 .52392 L
.51478 .52216 L
.51445 .52181 L
.51315 .52023 L
.51253 .52001 L
.51161 .51831 L
.5106 .51715 L
.50979 .51638 L
.50869 .51445 L
.50867 .51442 L
.50734 .51253 L
.50674 .51168 L
.50601 .5106 L
.50482 .50873 L
.50475 .50867 L
.50384 .50674 L
F
1 .53 0 r
.50482 .50575 m
.50606 .50674 L
.50674 .50736 L
.50793 .50867 L
.50867 .50949 L
.50956 .5106 L
.5106 .51164 L
.5111 .51253 L
.51253 .51437 L
.5126 .51445 L
.51396 .51638 L
.51445 .51704 L
.51532 .51831 L
.51638 .51981 L
.51704 .52023 L
.51787 .52216 L
.51831 .52289 L
.51892 .52409 L
.51831 .5255 L
.51663 .52409 L
.51638 .52386 L
.51482 .52216 L
.51445 .52176 L
.51319 .52023 L
.51253 .51998 L
.51164 .51831 L
.5106 .51711 L
.50984 .51638 L
.50872 .51445 L
.50867 .51438 L
.50737 .51253 L
.50674 .51164 L
.50605 .5106 L
.50482 .50867 L
.50482 .50867 L
.5039 .50674 L
F
1 .52 0 r
.50482 .50583 m
.50599 .50674 L
.50674 .50741 L
.50789 .50867 L
.50867 .50953 L
.50953 .5106 L
.5106 .51168 L
.51107 .51253 L
.51253 .51441 L
.51256 .51445 L
.51393 .51638 L
.51445 .51708 L
.5153 .51831 L
.51638 .51985 L
.51698 .52023 L
.51782 .52216 L
.51831 .52297 L
.51886 .52409 L
.51831 .52541 L
.5167 .52409 L
.51638 .5238 L
.51487 .52216 L
.51445 .52171 L
.51323 .52023 L
.51253 .51995 L
.51167 .51831 L
.5106 .51706 L
.50988 .51638 L
.50875 .51445 L
.50867 .51434 L
.5074 .51253 L
.50674 .51159 L
.50608 .5106 L
.50486 .50867 L
.50482 .50859 L
.50397 .50674 L
F
0 .98 1 r
.50482 .50029 m
.50674 .50015 L
.50867 .50035 L
.50947 .50096 L
.5106 .50207 L
.51083 .50289 L
.51253 .50463 L
.51266 .50482 L
.51422 .50674 L
.51445 .50742 L
.51543 .50867 L
.51638 .51025 L
.5165 .5106 L
.51831 .51248 L
.51834 .51253 L
.51988 .51445 L
.52023 .51513 L
.52106 .51638 L
.52216 .51781 L
.52258 .51831 L
.52398 .52023 L
.52409 .5203 L
.52551 .52216 L
.52601 .52288 L
.52667 .52409 L
.52794 .52562 L
.5282 .52601 L
.52958 .52794 L
.52987 .52836 L
.53109 .52987 L
.53179 .53115 L
.53217 .53179 L
.53179 .53326 L
.52987 .53314 L
.52794 .5331 L
.52635 .53179 L
.52601 .53119 L
.52509 .52987 L
.52409 .52865 L
.52395 .52794 L
.52216 .52601 L
.52216 .52601 L
.52058 .52409 L
.52023 .52328 L
.51941 .52216 L
.51831 .52057 L
.51829 .52023 L
.5165 .51831 L
.51638 .51817 L
.51494 .51638 L
.51445 .51553 L
.51378 .51445 L
.51253 .51285 L
.51226 .51253 L
.51087 .5106 L
.5106 .51056 L
.50932 .50867 L
.50867 .50789 L
.50817 .50674 L
.50674 .50498 L
.50666 .50482 L
.50531 .50289 L
.50482 .50208 L
.50398 .50096 L
F
1 .51 0 r
.50482 .50591 m
.50591 .50674 L
.50674 .50746 L
.50785 .50867 L
.50867 .50957 L
.5095 .5106 L
.5106 .51172 L
.51105 .51253 L
.51253 .51445 L
.51253 .51445 L
.5139 .51638 L
.51445 .51712 L
.51527 .51831 L
.51638 .5199 L
.51691 .52023 L
.51778 .52216 L
.51831 .52305 L
.5188 .52409 L
.51831 .52531 L
.51678 .52409 L
.51638 .52374 L
.51491 .52216 L
.51445 .52167 L
.51326 .52023 L
.51253 .51992 L
.5117 .51831 L
.5106 .51702 L
.50992 .51638 L
.50878 .51445 L
.50867 .5143 L
.50743 .51253 L
.50674 .51154 L
.50611 .5106 L
.50491 .50867 L
.50482 .50851 L
.50404 .50674 L
F
1 .64 0 r
.50482 .43844 m
.50557 .4393 L
.50674 .44056 L
.50729 .44123 L
.50867 .44262 L
.50894 .44316 L
.51052 .44508 L
.5106 .44517 L
.51205 .44701 L
.51253 .44758 L
.51358 .44894 L
.51445 .44969 L
.51511 .45086 L
.51638 .45243 L
.51676 .45279 L
.5181 .45472 L
.51831 .45497 L
.51957 .45664 L
.52023 .4572 L
.52105 .45857 L
.52216 .45996 L
.52267 .4605 L
.52398 .46242 L
.52409 .46256 L
.52542 .46435 L
.52601 .46487 L
.52687 .46628 L
.52794 .46764 L
.52844 .46821 L
.52976 .47013 L
.52987 .47028 L
.53117 .47206 L
.53179 .47262 L
.53261 .47399 L
.53372 .47542 L
.53414 .47591 L
.53546 .47784 L
.53565 .47808 L
.53687 .47977 L
.53758 .48045 L
.5389 .48169 L
.5395 .48328 L
.53977 .48362 L
.54111 .48555 L
.54143 .48596 L
.54251 .48747 L
.54336 .48837 L
.54437 .4894 L
.54528 .49123 L
.54536 .49133 L
.54671 .49326 L
.54721 .49392 L
.5481 .49518 L
.54914 .49639 L
.54979 .49711 L
.5509 .49904 L
.55106 .49925 L
.55225 .50096 L
.55299 .50196 L
.55364 .50289 L
.55492 .50458 L
.55512 .50482 L
.55636 .50674 L
.55684 .5074 L
.55771 .50867 L
.55877 .51014 L
.55908 .5106 L
.5604 .51253 L
.5607 .51293 L
.56168 .51445 L
.56263 .51578 L
.563 .51638 L
.56427 .51831 L
.56455 .51871 L
.56541 .52023 L
.56648 .52192 L
.56659 .52216 L
.56648 .52307 L
.56556 .52216 L
.56455 .5212 L
.56371 .52023 L
.56263 .51904 L
.56202 .51831 L
.5607 .51694 L
.56039 .51638 L
.55882 .51445 L
.55877 .51439 L
.55729 .51253 L
.55684 .51199 L
.55575 .5106 L
.55492 .50981 L
.55422 .50867 L
.55299 .50712 L
.55261 .50674 L
.55124 .50482 L
.55106 .5046 L
.54976 .50289 L
.54914 .50231 L
.54828 .50096 L
.54721 .4996 L
.54671 .49904 L
.54535 .49711 L
.54528 .49702 L
.54391 .49518 L
.54336 .49465 L
.54245 .49326 L
.54143 .49193 L
.54093 .49133 L
.53957 .4894 L
.5395 .48931 L
.53814 .48747 L
.53758 .4869 L
.53609 .48555 L
.53565 .48416 L
.53523 .48362 L
.53386 .48169 L
.53372 .48151 L
.53245 .47977 L
.53179 .47908 L
.53056 .47784 L
.52987 .4763 L
.52958 .47591 L
.52821 .47399 L
.52794 .47363 L
.52681 .47206 L
.52601 .47118 L
.52505 .47013 L
.52409 .46836 L
.52398 .46821 L
.52261 .46628 L
.52216 .46567 L
.52122 .46435 L
.52023 .46316 L
.51959 .46242 L
.51844 .4605 L
.51831 .46032 L
.51708 .45857 L
.51638 .45761 L
.5157 .45664 L
.51445 .45497 L
.51424 .45472 L
.51299 .45279 L
.51253 .45215 L
.51165 .45086 L
.5106 .44939 L
.51029 .44894 L
.50898 .44701 L
.50867 .44658 L
.50771 .44508 L
.50674 .4437 L
.5064 .44316 L
.50517 .44123 L
.50482 .4407 L
.50405 .4393 L
F
1 .5 0 r
.50482 .506 m
.50583 .50674 L
.50674 .50752 L
.5078 .50867 L
.50867 .50961 L
.50947 .5106 L
.5106 .51177 L
.51102 .51253 L
.5125 .51445 L
.51253 .51449 L
.51388 .51638 L
.51445 .51716 L
.51524 .51831 L
.51638 .51994 L
.51684 .52023 L
.51774 .52216 L
.51831 .52315 L
.51874 .52409 L
.51831 .5252 L
.51686 .52409 L
.51638 .52368 L
.51496 .52216 L
.51445 .52162 L
.5133 .52023 L
.51253 .51989 L
.51173 .51831 L
.5106 .51698 L
.50997 .51638 L
.50882 .51445 L
.50867 .51426 L
.50746 .51253 L
.50674 .5115 L
.50615 .5106 L
.50496 .50867 L
.50482 .50842 L
.50411 .50674 L
F
1 .63 0 r
.50482 .4386 m
.50544 .4393 L
.50674 .44067 L
.5072 .44123 L
.50867 .44276 L
.50887 .44316 L
.51045 .44508 L
.5106 .44525 L
.51199 .44701 L
.51253 .44764 L
.51353 .44894 L
.51445 .44975 L
.51507 .45086 L
.51638 .45249 L
.5167 .45279 L
.51806 .45472 L
.51831 .45502 L
.51953 .45664 L
.52023 .45724 L
.52102 .45857 L
.52216 .46001 L
.52263 .4605 L
.52395 .46242 L
.52409 .4626 L
.52539 .46435 L
.52601 .4649 L
.52684 .46628 L
.52794 .46768 L
.52841 .46821 L
.52973 .47013 L
.52987 .47031 L
.53115 .47206 L
.53179 .47265 L
.53258 .47399 L
.53372 .47546 L
.53411 .47591 L
.53544 .47784 L
.53565 .47812 L
.53684 .47977 L
.53758 .48049 L
.53887 .48169 L
.5395 .48332 L
.53974 .48362 L
.54109 .48555 L
.54143 .486 L
.54249 .48747 L
.54336 .4884 L
.54434 .4894 L
.54528 .49127 L
.54533 .49133 L
.54669 .49326 L
.54721 .49395 L
.54808 .49518 L
.54914 .49644 L
.54975 .49711 L
.55087 .49904 L
.55106 .49929 L
.55222 .50096 L
.55299 .502 L
.55361 .50289 L
.55492 .50464 L
.55507 .50482 L
.55633 .50674 L
.55684 .50745 L
.55767 .50867 L
.55877 .5102 L
.55904 .5106 L
.56035 .51253 L
.5607 .513 L
.56163 .51445 L
.56263 .51587 L
.56295 .51638 L
.56418 .51831 L
.56455 .51885 L
.5653 .52023 L
.56455 .52106 L
.56383 .52023 L
.56263 .51893 L
.5621 .51831 L
.5607 .51681 L
.56046 .51638 L
.55889 .51445 L
.55877 .51432 L
.55734 .51253 L
.55684 .51193 L
.5558 .5106 L
.55492 .50975 L
.55427 .50867 L
.55299 .50706 L
.55267 .50674 L
.55128 .50482 L
.55106 .50455 L
.5498 .50289 L
.54914 .50226 L
.54831 .50096 L
.54721 .49955 L
.54674 .49904 L
.54539 .49711 L
.54528 .49698 L
.54394 .49518 L
.54336 .49462 L
.54248 .49326 L
.54143 .49189 L
.54096 .49133 L
.5396 .4894 L
.5395 .48927 L
.53817 .48747 L
.53758 .48687 L
.53612 .48555 L
.53565 .48412 L
.53525 .48362 L
.53389 .48169 L
.53372 .48148 L
.53247 .47977 L
.53179 .47905 L
.53059 .47784 L
.52987 .47626 L
.5296 .47591 L
.52823 .47399 L
.52794 .4736 L
.52683 .47206 L
.52601 .47114 L
.52508 .47013 L
.52409 .46832 L
.52401 .46821 L
.52264 .46628 L
.52216 .46563 L
.52125 .46435 L
.52023 .46312 L
.51963 .46242 L
.51847 .4605 L
.51831 .46028 L
.51711 .45857 L
.51638 .45756 L
.51574 .45664 L
.51445 .45491 L
.5143 .45472 L
.51303 .45279 L
.51253 .4521 L
.51169 .45086 L
.5106 .44933 L
.51033 .44894 L
.50904 .44701 L
.50867 .4465 L
.50777 .44508 L
.50674 .4436 L
.50646 .44316 L
.50527 .44123 L
.50482 .44054 L
.50418 .4393 L
F
0 .42 1 r
.50482 .44682 m
.50496 .44701 L
.50482 .44823 L
.50419 .44701 L
F
1 .49 0 r
.50482 .5061 m
.50575 .50674 L
.50674 .50757 L
.50776 .50867 L
.50867 .50965 L
.50943 .5106 L
.5106 .51181 L
.51099 .51253 L
.51247 .51445 L
.51253 .51452 L
.51385 .51638 L
.51445 .5172 L
.51521 .51831 L
.51638 .51999 L
.51677 .52023 L
.51769 .52216 L
.51831 .52325 L
.51867 .52409 L
.51831 .52508 L
.51694 .52409 L
.51638 .52362 L
.51501 .52216 L
.51445 .52157 L
.51334 .52023 L
.51253 .51985 L
.51177 .51831 L
.5106 .51693 L
.51001 .51638 L
.50885 .51445 L
.50867 .51422 L
.50749 .51253 L
.50674 .51145 L
.50618 .5106 L
.50501 .50867 L
.50482 .50833 L
.50419 .50674 L
F
0 .86 1 r
.50482 .43035 m
.50602 .43159 L
.50674 .43231 L
.50781 .43352 L
.50867 .43447 L
.50951 .43545 L
.5106 .43665 L
.51114 .43737 L
.51253 .43906 L
.51277 .4393 L
.51428 .44123 L
.51445 .44126 L
.51583 .44316 L
.51638 .44379 L
.51802 .44508 L
.51831 .44632 L
.5189 .44701 L
.52023 .44881 L
.5203 .44894 L
.52185 .45086 L
.52216 .45124 L
.52374 .45279 L
.52409 .45382 L
.52479 .45472 L
.52601 .45639 L
.52611 .45664 L
.52771 .45857 L
.52794 .45885 L
.52945 .4605 L
.52987 .46146 L
.53057 .46242 L
.53179 .46407 L
.53185 .46435 L
.53349 .46628 L
.53372 .46656 L
.53514 .46821 L
.53565 .4692 L
.53629 .47013 L
.53758 .47182 L
.53758 .47206 L
.53922 .47399 L
.5395 .47433 L
.54082 .47591 L
.54143 .47699 L
.54198 .47784 L
.54336 .47961 L
.5435 .47977 L
.54491 .48169 L
.54528 .48215 L
.54647 .48362 L
.54721 .48482 L
.54765 .48555 L
.54914 .48743 L
.54918 .48747 L
.55058 .4894 L
.55106 .49 L
.55211 .49133 L
.55299 .49268 L
.55331 .49326 L
.55483 .49518 L
.55492 .49525 L
.55676 .49711 L
.55684 .49787 L
.55773 .49904 L
.55877 .50057 L
.55896 .50096 L
.56046 .50289 L
.5607 .50308 L
.56234 .50482 L
.56263 .50577 L
.56334 .50674 L
.56455 .50848 L
.56463 .50867 L
.56608 .5106 L
.56648 .51094 L
.5679 .51253 L
.56841 .51371 L
.56894 .51445 L
.5703 .51638 L
.57033 .51642 L
.57168 .51831 L
.57226 .51886 L
.57343 .52023 L
.57419 .52169 L
.57451 .52216 L
.57587 .52409 L
.57611 .52441 L
.57725 .52601 L
.57804 .52685 L
.57892 .52794 L
.57997 .52973 L
.58005 .52987 L
.5814 .53179 L
.58189 .53246 L
.58278 .53372 L
.58382 .53498 L
.58434 .53565 L
.58553 .53758 L
.58575 .53786 L
.58687 .5395 L
.58768 .54061 L
.58823 .54143 L
.5896 .54334 L
.58961 .54336 L
.59089 .54528 L
.59153 .54617 L
.59221 .54721 L
.59346 .549 L
.59355 .54914 L
.59476 .55106 L
.59538 .55198 L
.59597 .55299 L
.59717 .55492 L
.59731 .55515 L
.59785 .55684 L
.59731 .55688 L
.59727 .55684 L
.59538 .55515 L
.59525 .55492 L
.59349 .55299 L
.59346 .55296 L
.59182 .55106 L
.59153 .55075 L
.59018 .54914 L
.5896 .54871 L
.58857 .54721 L
.58768 .54614 L
.58664 .54528 L
.58575 .54368 L
.58548 .54336 L
.58394 .54143 L
.58382 .54134 L
.58242 .5395 L
.58189 .53884 L
.58066 .53758 L
.57997 .53629 L
.5795 .53565 L
.57804 .5338 L
.57804 .53372 L
.57648 .53179 L
.57611 .53132 L
.57485 .52987 L
.57419 .52872 L
.57367 .52794 L
.57226 .52615 L
.5721 .52601 L
.57066 .52409 L
.57033 .52366 L
.56911 .52216 L
.56841 .52102 L
.56792 .52023 L
.56648 .51844 L
.56633 .51831 L
.5649 .51638 L
.56455 .51592 L
.5634 .51445 L
.56263 .51326 L
.56222 .51253 L
.5607 .51067 L
.56061 .5106 L
.5588 .50867 L
.55877 .50812 L
.55773 .50674 L
.55684 .50545 L
.55654 .50482 L
.55493 .50289 L
.55492 .50288 L
.55316 .50096 L
.55299 .50028 L
.55207 .49904 L
.55106 .4976 L
.55086 .49711 L
.54926 .49518 L
.54914 .49506 L
.54753 .49326 L
.54721 .49241 L
.54644 .49133 L
.54528 .48974 L
.54518 .4894 L
.54362 .48747 L
.54336 .48721 L
.54192 .48555 L
.54143 .48452 L
.54081 .48362 L
.5395 .48185 L
.53948 .48169 L
.53799 .47977 L
.53758 .47933 L
.53632 .47784 L
.53565 .4766 L
.5352 .47591 L
.53377 .47399 L
.53372 .47392 L
.53238 .47206 L
.53179 .47142 L
.53076 .47013 L
.52987 .46865 L
.52959 .46821 L
.52818 .46628 L
.52794 .46595 L
.5268 .46435 L
.52601 .46345 L
.52522 .46242 L
.52409 .46064 L
.524 .4605 L
.52263 .45857 L
.52216 .45794 L
.52125 .45664 L
.52023 .45539 L
.51974 .45472 L
.51848 .45279 L
.51831 .45256 L
.51713 .45086 L
.51638 .45033 L
.51519 .44894 L
.51445 .44716 L
.51434 .44701 L
.51305 .44508 L
.51253 .44435 L
.51172 .44316 L
.5106 .44184 L
.51013 .44123 L
.50907 .4393 L
.50867 .43874 L
.5078 .43737 L
.50674 .43583 L
.5065 .43545 L
.50532 .43352 L
.50482 .43275 L
.50421 .43159 L
F
0 .97 1 r
.50482 .50048 m
.50674 .50028 L
.50867 .50061 L
.50921 .50096 L
.5106 .50223 L
.51078 .50289 L
.51253 .50472 L
.5126 .50482 L
.51419 .50674 L
.51445 .50748 L
.5154 .50867 L
.51638 .51028 L
.51649 .5106 L
.51831 .51252 L
.51831 .51253 L
.51986 .51445 L
.52023 .51516 L
.52104 .51638 L
.52216 .51784 L
.52256 .51831 L
.52395 .52023 L
.52409 .52031 L
.52549 .52216 L
.52601 .52291 L
.52665 .52409 L
.52794 .52567 L
.52816 .52601 L
.52953 .52794 L
.52987 .52843 L
.53103 .52987 L
.53179 .53132 L
.53206 .53179 L
.53179 .53304 L
.52987 .53301 L
.52794 .53286 L
.52645 .53179 L
.52601 .53105 L
.52516 .52987 L
.52409 .52857 L
.52397 .52794 L
.5222 .52601 L
.52216 .52596 L
.52061 .52409 L
.52023 .52324 L
.51943 .52216 L
.51831 .52054 L
.5183 .52023 L
.51652 .51831 L
.51638 .51814 L
.51496 .51638 L
.51445 .5155 L
.5138 .51445 L
.51253 .51283 L
.51228 .51253 L
.51089 .5106 L
.5106 .51055 L
.50935 .50867 L
.50867 .50785 L
.50819 .50674 L
.50674 .50489 L
.50671 .50482 L
.50539 .50289 L
.50482 .50188 L
.50424 .50096 L
F
1 .48 0 r
.50482 .50619 m
.50565 .50674 L
.50674 .50762 L
.50772 .50867 L
.50867 .5097 L
.5094 .5106 L
.5106 .51186 L
.51096 .51253 L
.51244 .51445 L
.51253 .51456 L
.51382 .51638 L
.51445 .51724 L
.51518 .51831 L
.51638 .52004 L
.51669 .52023 L
.51764 .52216 L
.51831 .52336 L
.5186 .52409 L
.51831 .52496 L
.51704 .52409 L
.51638 .52355 L
.51506 .52216 L
.51445 .52152 L
.51337 .52023 L
.51253 .51981 L
.5118 .51831 L
.5106 .51688 L
.51006 .51638 L
.50888 .51445 L
.50867 .51417 L
.50752 .51253 L
.50674 .5114 L
.50622 .5106 L
.50505 .50867 L
.50482 .50822 L
.50428 .50674 L
F
1 .87 0 r
.50482 .54065 m
.5055 .54143 L
.50674 .5428 L
.50722 .54336 L
.50867 .54488 L
.50884 .54528 L
.51041 .54721 L
.5106 .54743 L
.51196 .54914 L
.51253 .54982 L
.51351 .55106 L
.51445 .55181 L
.51504 .55299 L
.51638 .55469 L
.51663 .55492 L
.51802 .55684 L
.51831 .55721 L
.5195 .55877 L
.52023 .55932 L
.52098 .5607 L
.52216 .56221 L
.52256 .56263 L
.52388 .56455 L
.52409 .56482 L
.52533 .56648 L
.52601 .56703 L
.52678 .56841 L
.52794 .56993 L
.5283 .57033 L
.52963 .57226 L
.52987 .57258 L
.53105 .57419 L
.53179 .57486 L
.53248 .57611 L
.53372 .57779 L
.53393 .57804 L
.53528 .57997 L
.53565 .58047 L
.53668 .58189 L
.53758 .58284 L
.53869 .58382 L
.53947 .58575 L
.5395 .58579 L
.54083 .58768 L
.54143 .5885 L
.54221 .5896 L
.54336 .59104 L
.54384 .59153 L
.54492 .59346 L
.54528 .59396 L
.54626 .59538 L
.54721 .59673 L
.5476 .59731 L
.54891 .59924 L
.54914 .59956 L
.55016 .60116 L
.55106 .60248 L
.55144 .60309 L
.55106 .60493 L
.54955 .60309 L
.54914 .60265 L
.54798 .60116 L
.54721 .60028 L
.54641 .59924 L
.54528 .59787 L
.54486 .59731 L
.54336 .59545 L
.54327 .59538 L
.54187 .59346 L
.54143 .59292 L
.5404 .59153 L
.5395 .59041 L
.53891 .5896 L
.53758 .58796 L
.53724 .58768 L
.53599 .58575 L
.53565 .58533 L
.53456 .58382 L
.53372 .58275 L
.5331 .58189 L
.53179 .58026 L
.53149 .57997 L
.53023 .57804 L
.52987 .57758 L
.52882 .57611 L
.52794 .57497 L
.52738 .57419 L
.52601 .57241 L
.52586 .57226 L
.52455 .57033 L
.52409 .56973 L
.52316 .56841 L
.52216 .5671 L
.52173 .56648 L
.5203 .56455 L
.52023 .56446 L
.51895 .56263 L
.51831 .56178 L
.51756 .5607 L
.51638 .55912 L
.51614 .55877 L
.51477 .55684 L
.51445 .55642 L
.51344 .55492 L
.51253 .5537 L
.51206 .55299 L
.51066 .55106 L
.5106 .55098 L
.50938 .54914 L
.50867 .54817 L
.50806 .54721 L
.50674 .54537 L
.50669 .54528 L
.50551 .54336 L
.50482 .54236 L
.50433 .54143 L
F
1 .62 0 r
.50482 .4388 m
.50528 .4393 L
.50674 .44079 L
.50711 .44123 L
.50867 .44291 L
.50879 .44316 L
.51038 .44508 L
.5106 .44533 L
.51193 .44701 L
.51253 .44771 L
.51348 .44894 L
.51445 .44982 L
.51502 .45086 L
.51638 .45255 L
.51663 .45279 L
.51802 .45472 L
.51831 .45507 L
.5195 .45664 L
.52023 .45728 L
.52098 .45857 L
.52216 .46005 L
.52259 .4605 L
.52391 .46242 L
.52409 .46264 L
.52536 .46435 L
.52601 .46493 L
.52681 .46628 L
.52794 .46772 L
.52838 .46821 L
.5297 .47013 L
.52987 .47035 L
.53112 .47206 L
.53179 .47268 L
.53256 .47399 L
.53372 .47549 L
.53408 .47591 L
.53541 .47784 L
.53565 .47815 L
.53682 .47977 L
.53758 .48052 L
.53884 .48169 L
.5395 .48335 L
.53972 .48362 L
.54106 .48555 L
.54143 .48603 L
.54246 .48747 L
.54336 .48844 L
.5443 .4894 L
.54528 .49131 L
.5453 .49133 L
.54666 .49326 L
.54721 .49399 L
.54805 .49518 L
.54914 .49648 L
.54971 .49711 L
.55084 .49904 L
.55106 .49934 L
.55219 .50096 L
.55299 .50204 L
.55358 .50289 L
.55492 .5047 L
.55501 .50482 L
.55629 .50674 L
.55684 .5075 L
.55763 .50867 L
.55877 .51026 L
.559 .5106 L
.5603 .51253 L
.5607 .51308 L
.56157 .51445 L
.56263 .51596 L
.56289 .51638 L
.56409 .51831 L
.56455 .519 L
.56518 .52023 L
.56455 .52089 L
.56396 .52023 L
.56263 .51881 L
.56219 .51831 L
.5607 .51668 L
.56054 .51638 L
.55896 .51445 L
.55877 .51424 L
.5574 .51253 L
.55684 .51186 L
.55585 .5106 L
.55492 .50969 L
.55432 .50867 L
.55299 .507 L
.55273 .50674 L
.55132 .50482 L
.55106 .5045 L
.54984 .50289 L
.54914 .50222 L
.54835 .50096 L
.54721 .4995 L
.54678 .49904 L
.54542 .49711 L
.54528 .49693 L
.54397 .49518 L
.54336 .49458 L
.54251 .49326 L
.54143 .49185 L
.54099 .49133 L
.53963 .4894 L
.5395 .48924 L
.5382 .48747 L
.53758 .48684 L
.53615 .48555 L
.53565 .48408 L
.53528 .48362 L
.53391 .48169 L
.53372 .48144 L
.5325 .47977 L
.53179 .47901 L
.53062 .47784 L
.52987 .47623 L
.52963 .47591 L
.52826 .47399 L
.52794 .47356 L
.52686 .47206 L
.52601 .4711 L
.52511 .47013 L
.52409 .46828 L
.52403 .46821 L
.52267 .46628 L
.52216 .46559 L
.52128 .46435 L
.52023 .46307 L
.51967 .46242 L
.5185 .4605 L
.51831 .46023 L
.51715 .45857 L
.51638 .45752 L
.51577 .45664 L
.51445 .45484 L
.51435 .45472 L
.51307 .45279 L
.51253 .45204 L
.51173 .45086 L
.5106 .44926 L
.51038 .44894 L
.50909 .44701 L
.50867 .44641 L
.50783 .44508 L
.50674 .4435 L
.50653 .44316 L
.50538 .44123 L
.50482 .44035 L
.50434 .4393 L
F
1 .47 0 r
.50482 .5063 m
.50555 .50674 L
.50674 .50768 L
.50767 .50867 L
.50867 .50974 L
.50937 .5106 L
.5106 .51191 L
.51093 .51253 L
.51241 .51445 L
.51253 .5146 L
.51379 .51638 L
.51445 .51728 L
.51515 .51831 L
.51638 .52009 L
.51662 .52023 L
.5176 .52216 L
.51831 .52349 L
.51853 .52409 L
.51831 .52481 L
.51714 .52409 L
.51638 .52349 L
.51511 .52216 L
.51445 .52147 L
.51341 .52023 L
.51253 .51977 L
.51183 .51831 L
.5106 .51684 L
.51011 .51638 L
.50891 .51445 L
.50867 .51413 L
.50755 .51253 L
.50674 .51135 L
.50625 .5106 L
.50511 .50867 L
.50482 .50811 L
.50437 .50674 L
F
0 .41 1 r
.50482 .44698 m
.50484 .44701 L
.50482 .44803 L
.50441 .44701 L
F
0 .66 1 r
.50482 .54895 m
.50496 .54914 L
.50482 .54995 L
.50442 .54914 L
F
0 .38 1 r
.50482 .51418 m
.50498 .51445 L
.50482 .51492 L
.50447 .51445 L
F
1 .46 0 r
.50482 .50641 m
.50543 .50674 L
.50674 .50774 L
.50762 .50867 L
.50867 .50978 L
.50933 .5106 L
.5106 .51195 L
.51091 .51253 L
.51238 .51445 L
.51253 .51464 L
.51376 .51638 L
.51445 .51732 L
.51512 .51831 L
.51638 .52014 L
.51654 .52023 L
.51755 .52216 L
.51831 .52364 L
.51845 .52409 L
.51831 .52464 L
.51725 .52409 L
.51638 .52342 L
.51516 .52216 L
.51445 .52142 L
.51345 .52023 L
.51253 .51972 L
.51186 .51831 L
.5106 .51679 L
.51016 .51638 L
.50894 .51445 L
.50867 .51409 L
.50759 .51253 L
.50674 .5113 L
.50629 .5106 L
.50516 .50867 L
.50482 .50798 L
.50447 .50674 L
F
0 .85 1 r
.50482 .43078 m
.50569 .43159 L
.50674 .43258 L
.5076 .43352 L
.50867 .43467 L
.50934 .43545 L
.5106 .43682 L
.51101 .43737 L
.51253 .4392 L
.51263 .4393 L
.51418 .44123 L
.51445 .44128 L
.51574 .44316 L
.51638 .44389 L
.51795 .44508 L
.51831 .44641 L
.51883 .44701 L
.52023 .44887 L
.52026 .44894 L
.52178 .45086 L
.52216 .45131 L
.5237 .45279 L
.52409 .45389 L
.52474 .45472 L
.52601 .45644 L
.52609 .45664 L
.52767 .45857 L
.52794 .4589 L
.52942 .4605 L
.52987 .46151 L
.53053 .46242 L
.53179 .46411 L
.53185 .46435 L
.53346 .46628 L
.53372 .4666 L
.53512 .46821 L
.53565 .46924 L
.53627 .47013 L
.53758 .47185 L
.53758 .47206 L
.53919 .47399 L
.5395 .47437 L
.5408 .47591 L
.54143 .47702 L
.54196 .47784 L
.54336 .47964 L
.54348 .47977 L
.54489 .48169 L
.54528 .48218 L
.54645 .48362 L
.54721 .48485 L
.54763 .48555 L
.54914 .48746 L
.54915 .48747 L
.55056 .4894 L
.55106 .49003 L
.55209 .49133 L
.55299 .49271 L
.55329 .49326 L
.55481 .49518 L
.55492 .49527 L
.55675 .49711 L
.55684 .4979 L
.55771 .49904 L
.55877 .5006 L
.55895 .50096 L
.56044 .50289 L
.5607 .5031 L
.56233 .50482 L
.56263 .5058 L
.56332 .50674 L
.56455 .50851 L
.56462 .50867 L
.56606 .5106 L
.56648 .51097 L
.56788 .51253 L
.56841 .51374 L
.56891 .51445 L
.57027 .51638 L
.57033 .51646 L
.57165 .51831 L
.57226 .51889 L
.57341 .52023 L
.57419 .52173 L
.57448 .52216 L
.57584 .52409 L
.57611 .52445 L
.57722 .52601 L
.57804 .5269 L
.57889 .52794 L
.57997 .52979 L
.58002 .52987 L
.58137 .53179 L
.58189 .53251 L
.58274 .53372 L
.58382 .53505 L
.58428 .53565 L
.58548 .53758 L
.58575 .53793 L
.58682 .5395 L
.58768 .54069 L
.58818 .54143 L
.58954 .54336 L
.5896 .54344 L
.59082 .54528 L
.59153 .54629 L
.59212 .54721 L
.59346 .54914 L
.59346 .54914 L
.59463 .55106 L
.59538 .55221 L
.59582 .55299 L
.59538 .55475 L
.59371 .55299 L
.59346 .55274 L
.59198 .55106 L
.59153 .55057 L
.59032 .54914 L
.5896 .5486 L
.58869 .54721 L
.58768 .54601 L
.58676 .54528 L
.58575 .54358 L
.58556 .54336 L
.58402 .54143 L
.58382 .54128 L
.58249 .5395 L
.58189 .53876 L
.58072 .53758 L
.57997 .53621 L
.57955 .53565 L
.57804 .53375 L
.57804 .53372 L
.57653 .53179 L
.57611 .53126 L
.57489 .52987 L
.57419 .52866 L
.5737 .52794 L
.57226 .52611 L
.57214 .52601 L
.57069 .52409 L
.57033 .52361 L
.56914 .52216 L
.56841 .52098 L
.56795 .52023 L
.56648 .51841 L
.56636 .51831 L
.56493 .51638 L
.56455 .51588 L
.56343 .51445 L
.56263 .51322 L
.56224 .51253 L
.5607 .51065 L
.56064 .5106 L
.5588 .50867 L
.55877 .50808 L
.55775 .50674 L
.55684 .50542 L
.55655 .50482 L
.55495 .50289 L
.55492 .50286 L
.55317 .50096 L
.55299 .50025 L
.55209 .49904 L
.55106 .49758 L
.55088 .49711 L
.54928 .49518 L
.54914 .49504 L
.54754 .49326 L
.54721 .49239 L
.54645 .49133 L
.54528 .48971 L
.54519 .4894 L
.54364 .48747 L
.54336 .48719 L
.54193 .48555 L
.54143 .48449 L
.54083 .48362 L
.5395 .48182 L
.53948 .48169 L
.53801 .47977 L
.53758 .47931 L
.53634 .47784 L
.53565 .47657 L
.53522 .47591 L
.53379 .47399 L
.53372 .47389 L
.53241 .47206 L
.53179 .47139 L
.53078 .47013 L
.52987 .46861 L
.52962 .46821 L
.52821 .46628 L
.52794 .46592 L
.52683 .46435 L
.52601 .46341 L
.52525 .46242 L
.52409 .46059 L
.52403 .4605 L
.52266 .45857 L
.52216 .45789 L
.52128 .45664 L
.52023 .45533 L
.51978 .45472 L
.51852 .45279 L
.51831 .4525 L
.51717 .45086 L
.51638 .45026 L
.51526 .44894 L
.51445 .44707 L
.51441 .44701 L
.51312 .44508 L
.51253 .44426 L
.51178 .44316 L
.5106 .44166 L
.51027 .44123 L
.50916 .4393 L
.50867 .4386 L
.50791 .43737 L
.50674 .43565 L
.50662 .43545 L
.50551 .43352 L
.50482 .43237 L
.50448 .43159 L
F
1 .61 0 r
.50482 .43904 m
.50508 .4393 L
.50674 .44092 L
.50701 .44123 L
.50867 .44307 L
.50871 .44316 L
.5103 .44508 L
.5106 .44541 L
.51187 .44701 L
.51253 .44778 L
.51343 .44894 L
.51445 .44989 L
.51497 .45086 L
.51638 .45262 L
.51657 .45279 L
.51798 .45472 L
.51831 .45512 L
.51946 .45664 L
.52023 .45732 L
.52095 .45857 L
.52216 .4601 L
.52255 .4605 L
.52388 .46242 L
.52409 .46268 L
.52533 .46435 L
.52601 .46497 L
.52678 .46628 L
.52794 .46776 L
.52834 .46821 L
.52967 .47013 L
.52987 .47038 L
.53109 .47206 L
.53179 .47272 L
.53253 .47399 L
.53372 .47553 L
.53405 .47591 L
.53539 .47784 L
.53565 .47818 L
.53679 .47977 L
.53758 .48055 L
.53881 .48169 L
.5395 .48339 L
.53969 .48362 L
.54104 .48555 L
.54143 .48606 L
.54244 .48747 L
.54336 .48848 L
.54427 .4894 L
.54527 .49133 L
.54528 .49134 L
.54663 .49326 L
.54721 .49402 L
.54803 .49518 L
.54914 .49653 L
.54967 .49711 L
.55081 .49904 L
.55106 .49938 L
.55216 .50096 L
.55299 .50209 L
.55355 .50289 L
.55492 .50477 L
.55496 .50482 L
.55625 .50674 L
.55684 .50755 L
.55759 .50867 L
.55877 .51032 L
.55896 .5106 L
.56024 .51253 L
.5607 .51316 L
.56151 .51445 L
.56263 .51605 L
.56283 .51638 L
.56398 .51831 L
.56455 .51918 L
.56503 .52023 L
.56455 .5207 L
.56411 .52023 L
.56263 .5187 L
.56229 .51831 L
.5607 .51653 L
.56062 .51638 L
.55903 .51445 L
.55877 .51416 L
.55746 .51253 L
.55684 .51179 L
.55591 .5106 L
.55492 .50962 L
.55436 .50867 L
.55299 .50694 L
.55279 .50674 L
.55136 .50482 L
.55106 .50444 L
.54987 .50289 L
.54914 .50218 L
.54838 .50096 L
.54721 .49946 L
.54682 .49904 L
.54546 .49711 L
.54528 .49689 L
.544 .49518 L
.54336 .49454 L
.54254 .49326 L
.54143 .49181 L
.54102 .49133 L
.53966 .4894 L
.5395 .4892 L
.53823 .48747 L
.53758 .48681 L
.53618 .48555 L
.53565 .48405 L
.53531 .48362 L
.53394 .48169 L
.53372 .4814 L
.53253 .47977 L
.53179 .47898 L
.53065 .47784 L
.52987 .47619 L
.52966 .47591 L
.52829 .47399 L
.52794 .47352 L
.52689 .47206 L
.52601 .47106 L
.52515 .47013 L
.52409 .46824 L
.52406 .46821 L
.5227 .46628 L
.52216 .46555 L
.52131 .46435 L
.52023 .46302 L
.51972 .46242 L
.51854 .4605 L
.51831 .46019 L
.51718 .45857 L
.51638 .45747 L
.5158 .45664 L
.51445 .45477 L
.51441 .45472 L
.51311 .45279 L
.51253 .45198 L
.51178 .45086 L
.5106 .4492 L
.51042 .44894 L
.50915 .44701 L
.50867 .44633 L
.50789 .44508 L
.50674 .4434 L
.5066 .44316 L
.50551 .44123 L
.50482 .44009 L
.50454 .4393 L
F
0 .96 1 r
.50482 .50072 m
.50674 .50041 L
.50867 .50083 L
.50892 .50096 L
.5106 .50238 L
.51074 .50289 L
.51253 .5048 L
.51254 .50482 L
.51417 .50674 L
.51445 .50755 L
.51537 .50867 L
.51638 .51031 L
.51648 .5106 L
.51829 .51253 L
.51831 .51255 L
.51985 .51445 L
.52023 .51519 L
.52102 .51638 L
.52216 .51787 L
.52254 .51831 L
.52393 .52023 L
.52409 .52033 L
.52547 .52216 L
.52601 .52295 L
.52662 .52409 L
.52794 .52572 L
.52813 .52601 L
.52949 .52794 L
.52987 .52851 L
.53096 .52987 L
.53179 .53151 L
.53194 .53179 L
.53179 .53277 L
.52987 .53292 L
.52794 .53265 L
.52657 .53179 L
.52601 .53092 L
.52523 .52987 L
.52409 .5285 L
.52399 .52794 L
.52224 .52601 L
.52216 .5259 L
.52063 .52409 L
.52023 .5232 L
.51945 .52216 L
.51831 .52052 L
.5183 .52023 L
.51654 .51831 L
.51638 .51812 L
.51497 .51638 L
.51445 .51547 L
.51381 .51445 L
.51253 .5128 L
.51231 .51253 L
.51092 .5106 L
.5106 .51054 L
.50937 .50867 L
.50867 .5078 L
.50822 .50674 L
.50676 .50482 L
.50674 .5048 L
.50547 .50289 L
.50482 .5016 L
.50454 .50096 L
F
1 .45 0 r
.50482 .50654 m
.50528 .50674 L
.50674 .50779 L
.50758 .50867 L
.50867 .50983 L
.5093 .5106 L
.5106 .512 L
.51088 .51253 L
.51235 .51445 L
.51253 .51468 L
.51373 .51638 L
.51445 .51736 L
.51509 .51831 L
.51638 .52019 L
.51645 .52023 L
.5175 .52216 L
.51831 .52385 L
.51837 .52409 L
.51831 .52441 L
.51739 .52409 L
.51638 .52336 L
.51522 .52216 L
.51445 .52137 L
.51349 .52023 L
.51253 .51967 L
.5119 .51831 L
.5106 .51674 L
.51021 .51638 L
.50897 .51445 L
.50867 .51404 L
.50762 .51253 L
.50674 .51125 L
.50632 .5106 L
.50521 .50867 L
.50482 .50783 L
.5046 .50674 L
F
0 .74 1 r
.50482 .46245 m
.50592 .46435 L
.50674 .46557 L
.50705 .46628 L
.50674 .46662 L
.50643 .46628 L
.50482 .46454 L
.50466 .46435 L
F
1 .44 0 r
.50482 .50669 m
.50506 .50674 L
.50674 .50785 L
.50753 .50867 L
.50867 .50987 L
.50927 .5106 L
.5106 .51206 L
.51085 .51253 L
.51232 .51445 L
.51253 .51472 L
.5137 .51638 L
.51445 .5174 L
.51506 .51831 L
.51637 .52023 L
.51638 .52024 L
.51744 .52216 L
.51638 .52329 L
.51527 .52216 L
.51445 .52132 L
.51353 .52023 L
.51253 .51962 L
.51193 .51831 L
.5106 .51669 L
.51027 .51638 L
.50901 .51445 L
.50867 .514 L
.50765 .51253 L
.50674 .5112 L
.50636 .5106 L
.50527 .50867 L
.50482 .50763 L
.50475 .50674 L
F
0 .95 1 r
.50674 .50054 m
.50858 .50096 L
.50867 .501 L
.5106 .50252 L
.51071 .50289 L
.51248 .50482 L
.51253 .5049 L
.51414 .50674 L
.51445 .5076 L
.51534 .50867 L
.51638 .51033 L
.51647 .5106 L
.51826 .51253 L
.51831 .51258 L
.51983 .51445 L
.52023 .51522 L
.521 .51638 L
.52216 .51789 L
.52251 .51831 L
.52391 .52023 L
.52409 .52034 L
.52545 .52216 L
.52601 .52298 L
.5266 .52409 L
.52794 .52578 L
.52809 .52601 L
.52944 .52794 L
.52987 .52859 L
.5309 .52987 L
.53179 .53176 L
.53181 .53179 L
.53179 .53235 L
.52987 .53286 L
.52794 .53247 L
.52672 .53179 L
.52601 .5308 L
.5253 .52987 L
.52409 .52842 L
.524 .52794 L
.52227 .52601 L
.52216 .52585 L
.52065 .52409 L
.52023 .52316 L
.51948 .52216 L
.51831 .5205 L
.5183 .52023 L
.51657 .51831 L
.51638 .51809 L
.51499 .51638 L
.51445 .51544 L
.51383 .51445 L
.51253 .51277 L
.51233 .51253 L
.51094 .5106 L
.5106 .51053 L
.50939 .50867 L
.50867 .50775 L
.50825 .50674 L
.50681 .50482 L
.50674 .50472 L
.50555 .50289 L
.50489 .50096 L
F
0 .94 1 r
.50674 .50067 m
.50821 .50096 L
.50867 .50112 L
.5106 .50264 L
.51067 .50289 L
.51242 .50482 L
.51253 .50499 L
.51412 .50674 L
.51445 .50766 L
.51531 .50867 L
.51638 .51036 L
.51646 .5106 L
.51824 .51253 L
.51831 .51261 L
.51981 .51445 L
.52023 .51525 L
.52098 .51638 L
.52216 .51792 L
.52249 .51831 L
.52388 .52023 L
.52409 .52036 L
.52543 .52216 L
.52601 .52302 L
.52657 .52409 L
.52794 .52583 L
.52806 .52601 L
.52939 .52794 L
.52987 .52867 L
.53084 .52987 L
.53164 .53179 L
.52987 .53282 L
.52794 .53231 L
.5269 .53179 L
.52601 .53068 L
.52537 .52987 L
.52409 .52835 L
.52401 .52794 L
.52231 .52601 L
.52216 .52579 L
.52067 .52409 L
.52023 .52312 L
.5195 .52216 L
.51831 .52048 L
.5183 .52023 L
.51659 .51831 L
.51638 .51807 L
.51501 .51638 L
.51445 .51541 L
.51385 .51445 L
.51253 .51274 L
.51235 .51253 L
.51097 .5106 L
.5106 .51052 L
.50942 .50867 L
.50867 .50769 L
.50828 .50674 L
.50686 .50482 L
.50674 .50464 L
.50563 .50289 L
.50524 .50096 L
F
1 .43 0 r
.50674 .50791 m
.50748 .50867 L
.50867 .50992 L
.50923 .5106 L
.5106 .51211 L
.51082 .51253 L
.51228 .51445 L
.51253 .51476 L
.51367 .51638 L
.51445 .51745 L
.51503 .51831 L
.51633 .52023 L
.51638 .5203 L
.51739 .52216 L
.51638 .52322 L
.51533 .52216 L
.51445 .52127 L
.51357 .52023 L
.51253 .51957 L
.51196 .51831 L
.5106 .51664 L
.51032 .51638 L
.50904 .51445 L
.50867 .51395 L
.50769 .51253 L
.50674 .51114 L
.50639 .5106 L
.50533 .50867 L
F
1 .42 0 r
.50674 .50797 m
.50742 .50867 L
.50867 .50996 L
.50919 .5106 L
.5106 .51216 L
.51079 .51253 L
.51225 .51445 L
.51253 .5148 L
.51364 .51638 L
.51445 .51749 L
.515 .51831 L
.51629 .52023 L
.51638 .52037 L
.51733 .52216 L
.51638 .52314 L
.51539 .52216 L
.51445 .52122 L
.51361 .52023 L
.51253 .51951 L
.512 .51831 L
.5106 .51658 L
.51038 .51638 L
.50907 .51445 L
.50867 .51391 L
.50772 .51253 L
.50674 .51109 L
.50643 .5106 L
.50539 .50867 L
F
1 .41 0 r
.50674 .50804 m
.50737 .50867 L
.50867 .51001 L
.50916 .5106 L
.5106 .51222 L
.51076 .51253 L
.51222 .51445 L
.51253 .51484 L
.51361 .51638 L
.51445 .51753 L
.51497 .51831 L
.51625 .52023 L
.51638 .52044 L
.51727 .52216 L
.51638 .52307 L
.51545 .52216 L
.51445 .52117 L
.51365 .52023 L
.51253 .51945 L
.51203 .51831 L
.5106 .51653 L
.51044 .51638 L
.50911 .51445 L
.50867 .51386 L
.50775 .51253 L
.50674 .51103 L
.50647 .5106 L
.50545 .50867 L
F
1 .4 0 r
.50674 .5081 m
.50731 .50867 L
.50867 .51006 L
.50912 .5106 L
.5106 .51228 L
.51073 .51253 L
.51218 .51445 L
.51253 .51489 L
.51358 .51638 L
.51445 .51758 L
.51494 .51831 L
.5162 .52023 L
.51638 .52051 L
.51721 .52216 L
.51638 .52299 L
.51552 .52216 L
.51445 .52111 L
.51369 .52023 L
.51253 .51938 L
.51207 .51831 L
.5106 .51647 L
.5105 .51638 L
.50914 .51445 L
.50867 .51381 L
.50779 .51253 L
.50674 .51097 L
.50651 .5106 L
.50552 .50867 L
F
1 .39 0 r
.50674 .50817 m
.50725 .50867 L
.50867 .5101 L
.50908 .5106 L
.5106 .51234 L
.5107 .51253 L
.51215 .51445 L
.51253 .51493 L
.51354 .51638 L
.51445 .51763 L
.5149 .51831 L
.51615 .52023 L
.51638 .52059 L
.51714 .52216 L
.51638 .52291 L
.51559 .52216 L
.51445 .52106 L
.51374 .52023 L
.51253 .51931 L
.5121 .51831 L
.5106 .51641 L
.51056 .51638 L
.50918 .51445 L
.50867 .51377 L
.50782 .51253 L
.50674 .51091 L
.50655 .5106 L
.50559 .50867 L
F
0 .93 1 r
.50674 .5008 m
.50778 .50096 L
.50867 .50125 L
.5106 .50276 L
.51064 .50289 L
.51236 .50482 L
.51253 .50508 L
.51409 .50674 L
.51445 .50772 L
.51528 .50867 L
.51638 .51038 L
.51646 .5106 L
.51821 .51253 L
.51831 .51264 L
.5198 .51445 L
.52023 .51528 L
.52096 .51638 L
.52216 .51795 L
.52247 .51831 L
.52386 .52023 L
.52409 .52038 L
.52541 .52216 L
.52601 .52306 L
.52655 .52409 L
.52794 .52589 L
.52802 .52601 L
.52934 .52794 L
.52987 .52875 L
.53077 .52987 L
.53147 .53179 L
.52987 .53278 L
.52794 .53216 L
.52712 .53179 L
.52601 .53057 L
.52544 .52987 L
.52409 .52828 L
.52403 .52794 L
.52235 .52601 L
.52216 .52574 L
.52069 .52409 L
.52023 .52308 L
.51952 .52216 L
.51831 .52046 L
.5183 .52023 L
.51661 .51831 L
.51638 .51804 L
.51502 .51638 L
.51445 .51539 L
.51387 .51445 L
.51253 .51271 L
.51238 .51253 L
.51099 .5106 L
.5106 .51051 L
.50944 .50867 L
.50867 .50764 L
.5083 .50674 L
.50691 .50482 L
.50674 .50456 L
.50571 .50289 L
.50565 .50096 L
F
1 .6 0 r
.50674 .44106 m
.50689 .44123 L
.50862 .44316 L
.50867 .44321 L
.51022 .44508 L
.5106 .4455 L
.5118 .44701 L
.51253 .44785 L
.51337 .44894 L
.51445 .44996 L
.51493 .45086 L
.51638 .45268 L
.5165 .45279 L
.51793 .45472 L
.51831 .45517 L
.51942 .45664 L
.52023 .45737 L
.52091 .45857 L
.52216 .46015 L
.5225 .4605 L
.52385 .46242 L
.52409 .46273 L
.5253 .46435 L
.52601 .465 L
.52676 .46628 L
.52794 .4678 L
.52831 .46821 L
.52964 .47013 L
.52987 .47042 L
.53107 .47206 L
.53179 .47275 L
.53251 .47399 L
.53372 .47556 L
.53402 .47591 L
.53536 .47784 L
.53565 .47822 L
.53677 .47977 L
.53758 .48058 L
.53878 .48169 L
.5395 .48343 L
.53966 .48362 L
.54101 .48555 L
.54143 .4861 L
.54241 .48747 L
.54336 .48852 L
.54423 .4894 L
.54524 .49133 L
.54528 .49138 L
.54661 .49326 L
.54721 .49406 L
.548 .49518 L
.54914 .49658 L
.54962 .49711 L
.55078 .49904 L
.55106 .49942 L
.55213 .50096 L
.55299 .50213 L
.55351 .50289 L
.55491 .50482 L
.55492 .50483 L
.55621 .50674 L
.55684 .50761 L
.55755 .50867 L
.55877 .51038 L
.55892 .5106 L
.56019 .51253 L
.5607 .51324 L
.56145 .51445 L
.56263 .51615 L
.56276 .51638 L
.56386 .51831 L
.56455 .51943 L
.56483 .52023 L
.56455 .52047 L
.56431 .52023 L
.56263 .51857 L
.5624 .51831 L
.5607 .51638 L
.5607 .51638 L
.55911 .51445 L
.55877 .51407 L
.55753 .51253 L
.55684 .51172 L
.55596 .5106 L
.55492 .50955 L
.55441 .50867 L
.55299 .50688 L
.55285 .50674 L
.55141 .50482 L
.55106 .50439 L
.54991 .50289 L
.54914 .50213 L
.54842 .50096 L
.54721 .49941 L
.54687 .49904 L
.54549 .49711 L
.54528 .49685 L
.54403 .49518 L
.54336 .49451 L
.54257 .49326 L
.54143 .49177 L
.54106 .49133 L
.53969 .4894 L
.5395 .48916 L
.53826 .48747 L
.53758 .48677 L
.53621 .48555 L
.53565 .48401 L
.53534 .48362 L
.53397 .48169 L
.53372 .48137 L
.53255 .47977 L
.53179 .47895 L
.53068 .47784 L
.52987 .47615 L
.52969 .47591 L
.52832 .47399 L
.52794 .47349 L
.52691 .47206 L
.52601 .47102 L
.52518 .47013 L
.52409 .46821 L
.52409 .4682 L
.52273 .46628 L
.52216 .46551 L
.52133 .46435 L
.52023 .46297 L
.51976 .46242 L
.51857 .4605 L
.51831 .46014 L
.51722 .45857 L
.51638 .45742 L
.51584 .45664 L
.51446 .45472 L
.51445 .45471 L
.51316 .45279 L
.51253 .45192 L
.51182 .45086 L
.5106 .44913 L
.51047 .44894 L
.50922 .44701 L
.50867 .44624 L
.50796 .44508 L
.50674 .44328 L
.50667 .44316 L
.50566 .44123 L
F
1 .38 0 r
.50674 .50824 m
.50719 .50867 L
.50867 .51015 L
.50904 .5106 L
.5106 .5124 L
.51066 .51253 L
.51212 .51445 L
.51253 .51497 L
.51351 .51638 L
.51445 .51767 L
.51487 .51831 L
.51611 .52023 L
.51638 .52067 L
.51707 .52216 L
.51638 .52282 L
.51566 .52216 L
.51445 .521 L
.51378 .52023 L
.51253 .51924 L
.51214 .51831 L
.51061 .51638 L
.5106 .51636 L
.50921 .51445 L
.50867 .51372 L
.50786 .51253 L
.50674 .51085 L
.50659 .5106 L
.50566 .50867 L
F
1 .37 0 r
.50674 .50831 m
.50712 .50867 L
.50867 .5102 L
.509 .5106 L
.5106 .51246 L
.51063 .51253 L
.51208 .51445 L
.51253 .51502 L
.51348 .51638 L
.51445 .51772 L
.51484 .51831 L
.51606 .52023 L
.51638 .52076 L
.51699 .52216 L
.51638 .52273 L
.51574 .52216 L
.51445 .52095 L
.51383 .52023 L
.51253 .51916 L
.51218 .51831 L
.51065 .51638 L
.5106 .51631 L
.50925 .51445 L
.50867 .51367 L
.5079 .51253 L
.50674 .51078 L
.50663 .5106 L
.50574 .50867 L
F
0 .84 1 r
.50674 .43287 m
.50736 .43352 L
.50867 .43488 L
.50917 .43545 L
.5106 .43701 L
.51086 .43737 L
.51249 .4393 L
.51253 .43934 L
.51407 .44123 L
.51445 .44131 L
.51564 .44316 L
.51638 .44399 L
.51788 .44508 L
.51831 .4465 L
.51876 .44701 L
.52023 .44894 L
.52023 .44894 L
.52172 .45086 L
.52216 .45138 L
.52367 .45279 L
.52409 .45395 L
.52469 .45472 L
.52601 .45649 L
.52607 .45664 L
.52762 .45857 L
.52794 .45895 L
.52939 .4605 L
.52987 .46156 L
.5305 .46242 L
.53179 .46415 L
.53184 .46435 L
.53343 .46628 L
.53372 .46664 L
.53509 .46821 L
.53565 .46928 L
.53624 .47013 L
.53758 .47188 L
.53758 .47206 L
.53917 .47399 L
.5395 .4744 L
.54077 .47591 L
.54143 .47706 L
.54194 .47784 L
.54336 .47967 L
.54345 .47977 L
.54487 .48169 L
.54528 .48221 L
.54643 .48362 L
.54721 .48488 L
.54761 .48555 L
.54913 .48747 L
.54914 .48748 L
.55054 .4894 L
.55106 .49005 L
.55207 .49133 L
.55299 .49274 L
.55328 .49326 L
.55479 .49518 L
.55492 .49528 L
.55674 .49711 L
.55684 .49793 L
.5577 .49904 L
.55877 .50062 L
.55894 .50096 L
.56042 .50289 L
.5607 .50312 L
.56231 .50482 L
.56263 .50583 L
.5633 .50674 L
.56455 .50854 L
.56461 .50867 L
.56603 .5106 L
.56648 .51099 L
.56786 .51253 L
.56841 .51377 L
.56889 .51445 L
.57025 .51638 L
.57033 .51649 L
.57163 .51831 L
.57226 .51892 L
.57338 .52023 L
.57419 .52177 L
.57446 .52216 L
.57581 .52409 L
.57611 .52449 L
.57719 .52601 L
.57804 .52695 L
.57885 .52794 L
.57997 .52984 L
.57998 .52987 L
.58133 .53179 L
.58189 .53257 L
.5827 .53372 L
.58382 .53513 L
.58422 .53565 L
.58543 .53758 L
.58575 .53801 L
.58676 .5395 L
.58768 .54077 L
.58812 .54143 L
.58947 .54336 L
.5896 .54354 L
.59074 .54528 L
.59153 .54641 L
.59204 .54721 L
.59333 .54914 L
.59346 .54931 L
.59448 .55106 L
.59538 .55249 L
.59564 .55299 L
.59538 .55438 L
.59398 .55299 L
.59346 .5525 L
.59216 .55106 L
.59153 .55039 L
.59046 .54914 L
.5896 .54846 L
.58881 .54721 L
.58768 .54588 L
.58689 .54528 L
.58575 .54347 L
.58565 .54336 L
.5841 .54143 L
.58382 .54121 L
.58257 .5395 L
.58189 .53867 L
.58078 .53758 L
.57997 .53614 L
.5796 .53565 L
.57807 .53372 L
.57804 .5337 L
.57658 .53179 L
.57611 .53119 L
.57493 .52987 L
.57419 .5286 L
.57374 .52794 L
.57226 .52608 L
.57219 .52601 L
.57073 .52409 L
.57033 .52356 L
.56917 .52216 L
.56841 .52093 L
.56797 .52023 L
.56648 .51838 L
.5664 .51831 L
.56496 .51638 L
.56455 .51584 L
.56345 .51445 L
.56263 .51319 L
.56226 .51253 L
.5607 .51062 L
.56067 .5106 L
.5588 .50867 L
.55877 .50805 L
.55777 .50674 L
.55684 .50538 L
.55657 .50482 L
.55497 .50289 L
.55492 .50283 L
.55318 .50096 L
.55299 .50022 L
.55211 .49904 L
.55106 .49755 L
.55089 .49711 L
.54931 .49518 L
.54914 .49501 L
.54756 .49326 L
.54721 .49236 L
.54647 .49133 L
.54528 .48968 L
.5452 .4894 L
.54366 .48747 L
.54336 .48716 L
.54195 .48555 L
.54143 .48447 L
.54085 .48362 L
.5395 .48179 L
.53949 .48169 L
.53803 .47977 L
.53758 .47928 L
.53636 .47784 L
.53565 .47654 L
.53524 .47591 L
.53382 .47399 L
.53372 .47386 L
.53243 .47206 L
.53179 .47136 L
.5308 .47013 L
.52987 .46857 L
.52964 .46821 L
.52824 .46628 L
.52794 .46588 L
.52685 .46435 L
.52601 .46337 L
.52528 .46242 L
.52409 .46055 L
.52406 .4605 L
.5227 .45857 L
.52216 .45784 L
.52132 .45664 L
.52023 .45526 L
.51983 .45472 L
.51856 .45279 L
.51831 .45244 L
.51722 .45086 L
.51638 .45018 L
.51533 .44894 L
.51448 .44701 L
.51445 .44698 L
.51318 .44508 L
.51253 .44417 L
.51185 .44316 L
.5106 .44148 L
.51041 .44123 L
.50927 .4393 L
.50867 .43844 L
.50802 .43737 L
.50675 .43545 L
.50674 .43544 L
.50575 .43352 L
F
0 .92 1 r
.50674 .50092 m
.50714 .50096 L
.50867 .50136 L
.5106 .50287 L
.5106 .50289 L
.51231 .50482 L
.51253 .50517 L
.51406 .50674 L
.51445 .50777 L
.51525 .50867 L
.51638 .5104 L
.51645 .5106 L
.51819 .51253 L
.51831 .51267 L
.51978 .51445 L
.52023 .51531 L
.52094 .51638 L
.52216 .51798 L
.52244 .51831 L
.52383 .52023 L
.52409 .52039 L
.52539 .52216 L
.52601 .5231 L
.52653 .52409 L
.52794 .52595 L
.52798 .52601 L
.5293 .52794 L
.52987 .52884 L
.53069 .52987 L
.53128 .53179 L
.52987 .53274 L
.52794 .53201 L
.52738 .53179 L
.52601 .53047 L
.52551 .52987 L
.52409 .52821 L
.52404 .52794 L
.52239 .52601 L
.52216 .52569 L
.52071 .52409 L
.52023 .52305 L
.51954 .52216 L
.51831 .52043 L
.5183 .52023 L
.51663 .51831 L
.51638 .51802 L
.51504 .51638 L
.51445 .51536 L
.51389 .51445 L
.51253 .51268 L
.5124 .51253 L
.51102 .5106 L
.5106 .51049 L
.50947 .50867 L
.50867 .50758 L
.50833 .50674 L
.50696 .50482 L
.50674 .50448 L
.50579 .50289 L
.50629 .50096 L
F
1 .36 0 r
.50674 .50838 m
.50705 .50867 L
.50867 .51025 L
.50896 .5106 L
.5106 .51252 L
.5106 .51253 L
.51204 .51445 L
.51253 .51506 L
.51344 .51638 L
.51445 .51777 L
.5148 .51831 L
.516 .52023 L
.51638 .52086 L
.51691 .52216 L
.51638 .52264 L
.51583 .52216 L
.51445 .52089 L
.51388 .52023 L
.51253 .51908 L
.51221 .51831 L
.51069 .51638 L
.5106 .51627 L
.50929 .51445 L
.50867 .51362 L
.50793 .51253 L
.50674 .51072 L
.50667 .5106 L
.50584 .50867 L
F
1 .59 0 r
.50674 .44121 m
.50676 .44123 L
.50674 .44315 L
.50585 .44123 L
F
0 .91 1 r
.50674 .50105 m
.50867 .50147 L
.51051 .50289 L
.5106 .50301 L
.51225 .50482 L
.51253 .50525 L
.51404 .50674 L
.51445 .50782 L
.51522 .50867 L
.51638 .51042 L
.51644 .5106 L
.51816 .51253 L
.51831 .5127 L
.51976 .51445 L
.52023 .51534 L
.52092 .51638 L
.52216 .518 L
.52242 .51831 L
.52381 .52023 L
.52409 .52041 L
.52537 .52216 L
.52601 .52314 L
.5265 .52409 L
.52794 .526 L
.52795 .52601 L
.52925 .52794 L
.52987 .52893 L
.53062 .52987 L
.53109 .53179 L
.52987 .53267 L
.52794 .53188 L
.5277 .53179 L
.52601 .53037 L
.52558 .52987 L
.52409 .52814 L
.52405 .52794 L
.52243 .52601 L
.52216 .52564 L
.52073 .52409 L
.52023 .52301 L
.51957 .52216 L
.51831 .52041 L
.5183 .52023 L
.51666 .51831 L
.51638 .51799 L
.51506 .51638 L
.51445 .51533 L
.5139 .51445 L
.51253 .51266 L
.51242 .51253 L
.51104 .5106 L
.5106 .51047 L
.50949 .50867 L
.50867 .50752 L
.50836 .50674 L
.50701 .50482 L
.50674 .50439 L
.50588 .50289 L
F
1 .96 0 r
.50674 .4247 m
.50786 .42581 L
.50867 .42661 L
.50971 .42774 L
.5106 .42857 L
.51145 .42967 L
.51253 .43094 L
.51337 .43159 L
.51445 .43327 L
.51467 .43352 L
.5163 .43545 L
.51638 .43554 L
.51787 .43737 L
.51831 .43796 L
.51954 .4393 L
.52023 .44047 L
.52076 .44123 L
.52216 .44299 L
.52244 .44316 L
.52392 .44508 L
.52409 .44531 L
.52545 .44701 L
.52601 .44792 L
.52665 .44894 L
.52794 .45058 L
.52837 .45086 L
.5298 .45279 L
.52987 .45288 L
.53125 .45472 L
.53179 .45555 L
.53242 .45664 L
.53372 .45828 L
.53417 .45857 L
.53564 .4605 L
.53565 .46059 L
.53699 .46242 L
.53758 .46329 L
.53811 .46435 L
.5395 .46604 L
.5399 .46628 L
.54138 .46821 L
.54143 .46838 L
.54268 .47013 L
.54336 .4711 L
.54377 .47206 L
.54528 .47382 L
.5456 .47399 L
.54709 .47591 L
.54721 .47622 L
.54834 .47784 L
.54914 .47894 L
.54939 .47977 L
.55106 .48161 L
.55127 .48169 L
.55277 .48362 L
.55299 .48408 L
.55398 .48555 L
.55492 .4868 L
.55501 .48747 L
.55684 .48938 L
.55692 .4894 L
.55843 .49133 L
.55877 .49196 L
.55961 .49326 L
.5607 .49466 L
.56117 .49518 L
.56257 .49711 L
.56263 .49718 L
.56407 .49904 L
.56455 .49984 L
.56524 .50096 L
.56648 .50253 L
.56682 .50289 L
.56822 .50482 L
.56841 .50505 L
.56971 .50674 L
.57033 .50773 L
.57086 .50867 L
.57226 .51039 L
.57246 .5106 L
.57385 .51253 L
.57419 .51293 L
.57533 .51445 L
.57611 .51562 L
.5765 .51638 L
.57804 .51825 L
.57809 .51831 L
.57984 .52023 L
.57997 .52082 L
.58095 .52216 L
.58189 .52352 L
.58214 .52409 L
.58372 .52601 L
.58382 .52609 L
.58547 .52794 L
.58575 .52872 L
.58656 .52987 L
.58768 .53143 L
.5878 .53179 L
.58934 .53372 L
.5896 .53393 L
.59108 .53565 L
.59153 .53663 L
.59217 .53758 L
.59346 .53935 L
.59349 .5395 L
.59496 .54143 L
.59538 .5418 L
.59666 .54336 L
.59731 .54457 L
.59778 .54528 L
.59918 .54721 L
.59924 .54729 L
.60056 .54914 L
.60116 .54971 L
.60222 .55106 L
.60309 .55254 L
.60337 .55299 L
.60476 .55492 L
.60502 .55526 L
.60614 .55684 L
.60694 .55769 L
.60775 .55877 L
.60887 .56056 L
.60895 .5607 L
.61031 .56263 L
.6108 .56328 L
.61169 .56455 L
.61273 .56578 L
.61323 .56648 L
.61447 .56841 L
.61465 .56865 L
.61581 .57033 L
.61658 .57139 L
.61775 .57226 L
.61851 .57406 L
.61859 .57419 L
.61987 .57611 L
.62043 .57689 L
.6212 .57804 L
.62236 .57969 L
.62273 .57997 L
.62381 .58189 L
.62429 .58258 L
.62505 .58382 L
.62621 .58558 L
.62631 .58575 L
.62738 .58768 L
.62814 .58908 L
.62831 .5896 L
.62814 .59024 L
.62723 .5896 L
.62621 .58875 L
.62517 .58768 L
.62429 .58677 L
.62337 .58575 L
.62236 .58467 L
.62168 .58382 L
.62043 .58233 L
.61996 .58189 L
.61851 .58001 L
.61848 .57997 L
.6169 .57804 L
.61658 .57766 L
.61471 .57611 L
.61465 .57518 L
.61381 .57419 L
.61273 .57267 L
.61251 .57226 L
.61082 .57033 L
.6108 .57031 L
.60908 .56841 L
.60887 .56776 L
.60792 .56648 L
.60694 .56512 L
.60675 .56455 L
.60502 .56277 L
.60491 .56263 L
.60333 .5607 L
.60309 .56016 L
.60212 .55877 L
.60116 .55746 L
.60104 .55684 L
.59924 .55509 L
.59911 .55492 L
.5976 .55299 L
.59731 .55244 L
.59639 .55106 L
.59538 .54971 L
.59478 .54914 L
.59346 .54731 L
.59338 .54721 L
.59189 .54528 L
.59153 .54465 L
.59071 .54336 L
.5896 .54191 L
.58908 .54143 L
.58769 .5395 L
.58768 .53949 L
.58622 .53758 L
.58575 .53681 L
.58506 .53565 L
.58382 .53409 L
.58341 .53372 L
.58201 .53179 L
.58189 .53164 L
.58057 .52987 L
.57997 .52895 L
.57942 .52794 L
.57804 .52626 L
.57775 .52601 L
.57615 .52409 L
.57611 .52377 L
.57492 .52216 L
.57419 .52108 L
.57379 .52023 L
.57226 .51844 L
.5721 .51831 L
.57047 .51638 L
.57033 .51589 L
.56929 .51445 L
.56841 .5132 L
.56815 .51253 L
.56648 .51061 L
.56646 .5106 L
.56482 .50867 L
.56455 .50801 L
.56366 .50674 L
.56263 .50532 L
.5625 .50482 L
.56082 .50289 L
.5607 .50276 L
.55918 .50096 L
.55877 .50012 L
.55804 .49904 L
.55684 .49743 L
.55682 .49711 L
.55519 .49518 L
.55492 .4949 L
.55356 .49326 L
.55299 .49222 L
.55242 .49133 L
.55106 .48954 L
.55095 .4894 L
.54956 .48747 L
.54914 .48703 L
.54795 .48555 L
.54721 .48431 L
.54679 .48362 L
.54532 .48169 L
.54528 .48169 L
.54393 .47977 L
.54336 .47913 L
.54235 .47784 L
.54143 .47639 L
.54116 .47591 L
.53971 .47399 L
.5395 .47393 L
.53768 .47206 L
.53758 .47121 L
.53677 .47013 L
.53565 .46845 L
.53552 .46821 L
.5341 .46628 L
.53372 .46611 L
.53215 .46435 L
.53179 .46326 L
.53119 .46242 L
.52988 .4605 L
.52987 .46048 L
.52851 .45857 L
.52794 .45821 L
.52664 .45664 L
.52601 .45525 L
.52564 .45472 L
.52432 .45279 L
.52409 .45248 L
.52295 .45086 L
.52216 .45018 L
.52119 .44894 L
.52023 .44716 L
.52013 .44701 L
.51881 .44508 L
.51831 .44441 L
.51744 .44316 L
.51638 .44196 L
.51585 .44123 L
.5147 .4393 L
.51445 .43897 L
.51338 .43737 L
.51253 .43618 L
.51204 .43545 L
.51069 .43352 L
.5106 .4334 L
.50945 .43159 L
.50867 .43047 L
.50818 .42967 L
.50693 .42774 L
.50674 .42745 L
.50589 .42581 L
F
1 .86 0 r
.50674 .54322 m
.50686 .54336 L
.50674 .54501 L
.5059 .54336 L
F
1 .35 0 r
.50674 .50846 m
.50698 .50867 L
.50867 .5103 L
.50892 .5106 L
.51056 .51253 L
.5106 .51257 L
.51201 .51445 L
.51253 .51511 L
.51341 .51638 L
.51445 .51782 L
.51477 .51831 L
.51595 .52023 L
.51638 .52098 L
.51681 .52216 L
.51638 .52253 L
.51592 .52216 L
.51445 .52083 L
.51393 .52023 L
.51253 .51899 L
.51225 .51831 L
.51073 .51638 L
.5106 .51622 L
.50932 .51445 L
.50867 .51356 L
.50797 .51253 L
.50674 .51065 L
.50672 .5106 L
.50594 .50867 L
F
0 .9 1 r
.50674 .50119 m
.50867 .50158 L
.51041 .50289 L
.5106 .50314 L
.51219 .50482 L
.51253 .50533 L
.51401 .50674 L
.51445 .50787 L
.51519 .50867 L
.51638 .51044 L
.51644 .5106 L
.51814 .51253 L
.51831 .51273 L
.51975 .51445 L
.52023 .51537 L
.5209 .51638 L
.52216 .51803 L
.5224 .51831 L
.52378 .52023 L
.52409 .52043 L
.52535 .52216 L
.52601 .52318 L
.52648 .52409 L
.52791 .52601 L
.52794 .52606 L
.5292 .52794 L
.52987 .52902 L
.53054 .52987 L
.53087 .53179 L
.52987 .53256 L
.52803 .53179 L
.52794 .53176 L
.52601 .53027 L
.52565 .52987 L
.52409 .52807 L
.52406 .52794 L
.52246 .52601 L
.52216 .52559 L
.52076 .52409 L
.52023 .52297 L
.51959 .52216 L
.51831 .5204 L
.5183 .52023 L
.51668 .51831 L
.51638 .51797 L
.51507 .51638 L
.51445 .5153 L
.51392 .51445 L
.51253 .51263 L
.51245 .51253 L
.51107 .5106 L
.5106 .51045 L
.50952 .50867 L
.50867 .50746 L
.50839 .50674 L
.50706 .50482 L
.50674 .50429 L
.50596 .50289 L
F
0 .99 1 r
.50674 .41639 m
.5085 .41811 L
.50867 .41827 L
.51033 .42003 L
.5106 .42015 L
.51208 .42196 L
.51253 .4225 L
.51377 .42389 L
.51445 .42483 L
.51535 .42581 L
.51638 .42726 L
.51666 .42774 L
.51831 .42938 L
.51855 .42967 L
.52021 .43159 L
.52023 .43184 L
.52151 .43352 L
.52216 .43446 L
.52266 .43545 L
.52409 .4367 L
.52463 .43737 L
.52601 .43922 L
.52608 .4393 L
.52744 .44123 L
.52794 .44193 L
.52849 .44316 L
.52987 .44428 L
.5305 .44508 L
.53179 .44686 L
.53191 .44701 L
.53323 .44894 L
.53372 .44963 L
.53483 .45086 L
.53565 .45201 L
.53625 .45279 L
.53758 .45463 L
.53765 .45472 L
.53892 .45664 L
.5395 .45745 L
.54054 .45857 L
.54143 .45982 L
.54195 .4605 L
.54333 .46242 L
.54336 .46246 L
.54456 .46435 L
.54528 .46533 L
.54622 .46628 L
.54721 .46767 L
.54762 .46821 L
.549 .47013 L
.54914 .47035 L
.55016 .47206 L
.55106 .47323 L
.55188 .47399 L
.55299 .47555 L
.55327 .47591 L
.55464 .47784 L
.55492 .47826 L
.55575 .47977 L
.55684 .48113 L
.55752 .48169 L
.55877 .48344 L
.55891 .48362 L
.56026 .48555 L
.5607 .48617 L
.56133 .48747 L
.56263 .48902 L
.56316 .4894 L
.56455 .49133 L
.56455 .49134 L
.56588 .49326 L
.56648 .49408 L
.5669 .49518 L
.56841 .49688 L
.5688 .49711 L
.57023 .49904 L
.57033 .49925 L
.5715 .50096 L
.57226 .50198 L
.57248 .50289 L
.57419 .5047 L
.57444 .50482 L
.5759 .50674 L
.57611 .50715 L
.57711 .50867 L
.57804 .50988 L
.57868 .5106 L
.57997 .51249 L
.58007 .51253 L
.58154 .51445 L
.58189 .51505 L
.58272 .51638 L
.58382 .51776 L
.58431 .51831 L
.5857 .52023 L
.58575 .52029 L
.58718 .52216 L
.58768 .52295 L
.58833 .52409 L
.5896 .52564 L
.58995 .52601 L
.59134 .52794 L
.59153 .52817 L
.5928 .52987 L
.59346 .53084 L
.59395 .53179 L
.59538 .53351 L
.59558 .53372 L
.59725 .53565 L
.59731 .53605 L
.59843 .53758 L
.59924 .53874 L
.59958 .5395 L
.60116 .54138 L
.60121 .54143 L
.60291 .54336 L
.60309 .54394 L
.60405 .54528 L
.60502 .54664 L
.60523 .54721 L
.60685 .54914 L
.60694 .54921 L
.60855 .55106 L
.60887 .55183 L
.60967 .55299 L
.6108 .55453 L
.61089 .55492 L
.61248 .55684 L
.61273 .55704 L
.61416 .55877 L
.61465 .55973 L
.61529 .5607 L
.61658 .56244 L
.61659 .56263 L
.6181 .56455 L
.61851 .56489 L
.61977 .56648 L
.62043 .56764 L
.62091 .56841 L
.62234 .57033 L
.62236 .57035 L
.62373 .57226 L
.62429 .57277 L
.62536 .57419 L
.62621 .57557 L
.62653 .57611 L
.62796 .57804 L
.62814 .57828 L
.62935 .57997 L
.63007 .58068 L
.63095 .58189 L
.63199 .58352 L
.63216 .58382 L
.63357 .58575 L
.63392 .58622 L
.63563 .58768 L
.63585 .58864 L
.63652 .5896 L
.63778 .5915 L
.63779 .59153 L
.63916 .59346 L
.6397 .59418 L
.64112 .59538 L
.64163 .59667 L
.64206 .59731 L
.64336 .59924 L
.64356 .5995 L
.64472 .60116 L
.64548 .60219 L
.64657 .60309 L
.64741 .6048 L
.64755 .60502 L
.64886 .60694 L
.64934 .60759 L
.65021 .60887 L
.65126 .61032 L
.65188 .6108 L
.65293 .61273 L
.65319 .61309 L
.65421 .61465 L
.65512 .61595 L
.65551 .61658 L
.65676 .61851 L
.65704 .61892 L
.65784 .62043 L
.65704 .62166 L
.65576 .62043 L
.65512 .61986 L
.6538 .61851 L
.65319 .61803 L
.65195 .61658 L
.65126 .61568 L
.64969 .61465 L
.64934 .61324 L
.64914 .61273 L
.64741 .61147 L
.64682 .6108 L
.64548 .60915 L
.64524 .60887 L
.64369 .60694 L
.64356 .60672 L
.64223 .60502 L
.64163 .60407 L
.64103 .60309 L
.6397 .60187 L
.63914 .60116 L
.63778 .59933 L
.6377 .59924 L
.63627 .59731 L
.63585 .59664 L
.63509 .59538 L
.63392 .59424 L
.63332 .59346 L
.63199 .59164 L
.63191 .59153 L
.63053 .5896 L
.63007 .58891 L
.62942 .58768 L
.62814 .58647 L
.6276 .58575 L
.62621 .58383 L
.6262 .58382 L
.62486 .58189 L
.62429 .58106 L
.62383 .57997 L
.62236 .57863 L
.62192 .57804 L
.6205 .57611 L
.62043 .57597 L
.61923 .57419 L
.61851 .57317 L
.61827 .57226 L
.61658 .57076 L
.61626 .57033 L
.61483 .56841 L
.61465 .56808 L
.61361 .56648 L
.61273 .56528 L
.61201 .56455 L
.6108 .56287 L
.61061 .56263 L
.60917 .5607 L
.60887 .56018 L
.60799 .55877 L
.60694 .55739 L
.60636 .55684 L
.60502 .55498 L
.60497 .55492 L
.60353 .55299 L
.60309 .55228 L
.60238 .55106 L
.60116 .54952 L
.60072 .54914 L
.59933 .54721 L
.59924 .54708 L
.5979 .54528 L
.59731 .54438 L
.59677 .54336 L
.59538 .54167 L
.59509 .54143 L
.59352 .5395 L
.59346 .53919 L
.59227 .53758 L
.59153 .53649 L
.59115 .53565 L
.5896 .53384 L
.58945 .53372 L
.58784 .53179 L
.58768 .53129 L
.58665 .52987 L
.58575 .5286 L
.58552 .52794 L
.58382 .52602 L
.58381 .52601 L
.58219 .52409 L
.58189 .5234 L
.58103 .52216 L
.57997 .52071 L
.57987 .52023 L
.57818 .51831 L
.57804 .51816 L
.57655 .51638 L
.57611 .51551 L
.5754 .51445 L
.57419 .51283 L
.57394 .51253 L
.57254 .5106 L
.57226 .51029 L
.57093 .50867 L
.57033 .50761 L
.56978 .50674 L
.56841 .50494 L
.5683 .50482 L
.56691 .50289 L
.56648 .50242 L
.56532 .50096 L
.56455 .49971 L
.56415 .49904 L
.56267 .49711 L
.56263 .4971 L
.56128 .49518 L
.5607 .49454 L
.55971 .49326 L
.55877 .49181 L
.55851 .49133 L
.55704 .4894 L
.55684 .48933 L
.55507 .48747 L
.55492 .48664 L
.5541 .48555 L
.55299 .4839 L
.55285 .48362 L
.55141 .48169 L
.55106 .48152 L
.54949 .47977 L
.54914 .47873 L
.54849 .47784 L
.54721 .47598 L
.54718 .47591 L
.54578 .47399 L
.54528 .47367 L
.54393 .47206 L
.54336 .4708 L
.54289 .47013 L
.54154 .46821 L
.54143 .46806 L
.54016 .46628 L
.5395 .46577 L
.53837 .46435 L
.53758 .46286 L
.53728 .46242 L
.53592 .4605 L
.53565 .46013 L
.53454 .45857 L
.53372 .45782 L
.53283 .45664 L
.53179 .45489 L
.53168 .45472 L
.53032 .45279 L
.52987 .4522 L
.52893 .45086 L
.52794 .44982 L
.52729 .44894 L
.52609 .44701 L
.52601 .44691 L
.52473 .44508 L
.52409 .44423 L
.52333 .44316 L
.52216 .44176 L
.52178 .44123 L
.52052 .4393 L
.52023 .43892 L
.51917 .43737 L
.51831 .43622 L
.51777 .43545 L
.51638 .43358 L
.51634 .43352 L
.51503 .43159 L
.51445 .43082 L
.51368 .42967 L
.51253 .42809 L
.51204 .42774 L
.51097 .42581 L
.5106 .42531 L
.50969 .42389 L
.50867 .42245 L
.50837 .42196 L
.50712 .42003 L
.50674 .41947 L
.506 .41811 L
F
0 .89 1 r
.50674 .50132 m
.50867 .50169 L
.51031 .50289 L
.5106 .50327 L
.51213 .50482 L
.51253 .50541 L
.51398 .50674 L
.51445 .50792 L
.51516 .50867 L
.51638 .51046 L
.51643 .5106 L
.51811 .51253 L
.51831 .51276 L
.51973 .51445 L
.52023 .5154 L
.52088 .51638 L
.52216 .51806 L
.52237 .51831 L
.52376 .52023 L
.52409 .52045 L
.52533 .52216 L
.52601 .52322 L
.52646 .52409 L
.52787 .52601 L
.52794 .52612 L
.52915 .52794 L
.52987 .52912 L
.53045 .52987 L
.53064 .53179 L
.52987 .5324 L
.5283 .53179 L
.52794 .53168 L
.52601 .53017 L
.52573 .52987 L
.52409 .528 L
.52407 .52794 L
.5225 .52601 L
.52216 .52554 L
.52078 .52409 L
.52023 .52294 L
.51961 .52216 L
.51831 .52038 L
.5183 .52023 L
.5167 .51831 L
.51638 .51794 L
.51509 .51638 L
.51445 .51527 L
.51394 .51445 L
.51253 .5126 L
.51247 .51253 L
.51109 .5106 L
.5106 .51043 L
.50954 .50867 L
.50867 .50739 L
.50841 .50674 L
.50711 .50482 L
.50674 .50419 L
.50605 .50289 L
F
1 .34 0 r
.50674 .50854 m
.50689 .50867 L
.50867 .51035 L
.50888 .5106 L
.51051 .51253 L
.5106 .51262 L
.51197 .51445 L
.51253 .51516 L
.51338 .51638 L
.51445 .51787 L
.51473 .51831 L
.51589 .52023 L
.51638 .52111 L
.5167 .52216 L
.51638 .52241 L
.51604 .52216 L
.51445 .52077 L
.51398 .52023 L
.51253 .5189 L
.51229 .51831 L
.51077 .51638 L
.5106 .51617 L
.50936 .51445 L
.50867 .51351 L
.50801 .51253 L
.50676 .5106 L
.50674 .51056 L
.50606 .50867 L
F
0 .83 1 r
.50674 .43321 m
.50706 .43352 L
.50867 .43511 L
.50898 .43545 L
.5106 .43722 L
.51071 .43737 L
.51236 .4393 L
.51253 .43949 L
.51396 .44123 L
.51445 .44136 L
.51555 .44316 L
.51638 .4441 L
.51779 .44508 L
.51831 .4466 L
.51868 .44701 L
.52016 .44894 L
.52023 .44896 L
.52166 .45086 L
.52216 .45145 L
.52362 .45279 L
.52409 .45402 L
.52465 .45472 L
.52601 .45654 L
.52605 .45664 L
.52758 .45857 L
.52794 .45901 L
.52936 .4605 L
.52987 .46161 L
.53047 .46242 L
.53179 .46419 L
.53183 .46435 L
.53339 .46628 L
.53372 .46668 L
.53507 .46821 L
.53565 .46932 L
.53621 .47013 L
.53758 .47192 L
.53758 .47206 L
.53914 .47399 L
.5395 .47443 L
.54075 .47591 L
.54143 .47709 L
.54192 .47784 L
.54336 .47969 L
.54343 .47977 L
.54484 .48169 L
.54528 .48224 L
.54641 .48362 L
.54721 .48491 L
.5476 .48555 L
.54911 .48747 L
.54914 .4875 L
.55052 .4894 L
.55106 .49008 L
.55205 .49133 L
.55299 .49277 L
.55326 .49326 L
.55476 .49518 L
.55492 .4953 L
.55673 .49711 L
.55684 .49795 L
.55768 .49904 L
.55877 .50065 L
.55893 .50096 L
.5604 .50289 L
.5607 .50314 L
.5623 .50482 L
.56263 .50586 L
.56328 .50674 L
.56455 .50857 L
.5646 .50867 L
.56601 .5106 L
.56648 .51101 L
.56784 .51253 L
.56841 .51381 L
.56887 .51445 L
.57022 .51638 L
.57033 .51653 L
.5716 .51831 L
.57226 .51895 L
.57335 .52023 L
.57419 .52181 L
.57443 .52216 L
.57578 .52409 L
.57611 .52453 L
.57716 .52601 L
.57804 .52699 L
.57881 .52794 L
.57995 .52987 L
.57997 .5299 L
.58129 .53179 L
.58189 .53262 L
.58266 .53372 L
.58382 .5352 L
.58416 .53565 L
.58538 .53758 L
.58575 .53808 L
.58671 .5395 L
.58768 .54085 L
.58806 .54143 L
.58939 .54336 L
.5896 .54365 L
.59065 .54528 L
.59153 .54654 L
.59195 .54721 L
.5932 .54914 L
.59346 .54952 L
.59431 .55106 L
.59538 .5529 L
.59542 .55299 L
.59538 .55384 L
.59432 .55299 L
.59346 .55225 L
.59236 .55106 L
.59153 .5502 L
.59061 .54914 L
.5896 .54831 L
.58893 .54721 L
.58768 .54574 L
.58705 .54528 L
.58575 .54337 L
.58574 .54336 L
.58419 .54143 L
.58382 .54114 L
.58264 .5395 L
.58189 .53858 L
.58084 .53758 L
.57997 .53606 L
.57965 .53565 L
.57812 .53372 L
.57804 .53365 L
.57664 .53179 L
.57611 .53113 L
.57497 .52987 L
.57419 .52854 L
.57378 .52794 L
.57226 .52604 L
.57223 .52601 L
.57077 .52409 L
.57033 .52351 L
.5692 .52216 L
.56841 .52089 L
.568 .52023 L
.56648 .51835 L
.56643 .51831 L
.56499 .51638 L
.56455 .5158 L
.56348 .51445 L
.56263 .51315 L
.56228 .51253 L
.5607 .5106 L
.5607 .5106 L
.55881 .50867 L
.55877 .50802 L
.55779 .50674 L
.55684 .50535 L
.55658 .50482 L
.555 .50289 L
.55492 .50281 L
.55319 .50096 L
.55299 .50019 L
.55213 .49904 L
.55106 .49752 L
.5509 .49711 L
.54933 .49518 L
.54914 .49499 L
.54757 .49326 L
.54721 .49233 L
.54649 .49133 L
.54528 .48965 L
.54521 .4894 L
.54368 .48747 L
.54336 .48714 L
.54197 .48555 L
.54143 .48444 L
.54087 .48362 L
.5395 .48176 L
.53949 .48169 L
.53806 .47977 L
.53758 .47926 L
.53638 .47784 L
.53565 .47651 L
.53526 .47591 L
.53384 .47399 L
.53372 .47382 L
.53246 .47206 L
.53179 .47132 L
.53083 .47013 L
.52987 .46854 L
.52966 .46821 L
.52827 .46628 L
.52794 .46584 L
.52688 .46435 L
.52601 .46332 L
.52532 .46242 L
.52409 .4605 L
.52409 .4605 L
.52273 .45857 L
.52216 .45779 L
.52135 .45664 L
.52023 .4552 L
.51987 .45472 L
.51861 .45279 L
.51831 .45238 L
.51727 .45086 L
.51638 .45009 L
.51541 .44894 L
.51454 .44701 L
.51445 .44689 L
.51325 .44508 L
.51253 .44407 L
.51192 .44316 L
.5106 .44127 L
.51057 .44123 L
.50937 .4393 L
.50867 .43827 L
.50814 .43737 L
.50694 .43545 L
.50674 .43514 L
.50607 .43352 L
F
0 .88 1 r
.50674 .50146 m
.50867 .50179 L
.51021 .50289 L
.5106 .50338 L
.51208 .50482 L
.51253 .50548 L
.51395 .50674 L
.51445 .50796 L
.51514 .50867 L
.51638 .51048 L
.51643 .5106 L
.51809 .51253 L
.51831 .51279 L
.51971 .51445 L
.52023 .51543 L
.52086 .51638 L
.52216 .51808 L
.52235 .51831 L
.52374 .52023 L
.52409 .52047 L
.52531 .52216 L
.52601 .52326 L
.52643 .52409 L
.52784 .52601 L
.52794 .52617 L
.52911 .52794 L
.52987 .52923 L
.53037 .52987 L
.53036 .53179 L
.52987 .53218 L
.52863 .53179 L
.52794 .5316 L
.52601 .53008 L
.52581 .52987 L
.52409 .52794 L
.52409 .52794 L
.52254 .52601 L
.52216 .52549 L
.5208 .52409 L
.52023 .5229 L
.51963 .52216 L
.51831 .52036 L
.5183 .52023 L
.51672 .51831 L
.51638 .51792 L
.51511 .51638 L
.51445 .51524 L
.51396 .51445 L
.51253 .51257 L
.51249 .51253 L
.51112 .5106 L
.5106 .51041 L
.50957 .50867 L
.50867 .50733 L
.50844 .50674 L
.50716 .50482 L
.50674 .50408 L
.50614 .50289 L
F
1 .88 0 r
.50674 .48375 m
.50834 .48555 L
.50867 .48592 L
.50992 .48747 L
.5106 .48834 L
.51139 .4894 L
.51253 .49108 L
.51269 .49133 L
.51364 .49326 L
.51253 .49357 L
.51222 .49326 L
.5106 .49156 L
.51042 .49133 L
.50889 .4894 L
.50867 .48912 L
.50753 .48747 L
.50674 .48641 L
.5062 .48555 L
F
0 .87 1 r
.50674 .50161 m
.50867 .50189 L
.5101 .50289 L
.5106 .50349 L
.51202 .50482 L
.51253 .50555 L
.51392 .50674 L
.51445 .50801 L
.51511 .50867 L
.51638 .51049 L
.51642 .5106 L
.51806 .51253 L
.51831 .51282 L
.5197 .51445 L
.52023 .51546 L
.52084 .51638 L
.52216 .51811 L
.52233 .51831 L
.52371 .52023 L
.52409 .52049 L
.52528 .52216 L
.52601 .5233 L
.52641 .52409 L
.5278 .52601 L
.52794 .52623 L
.52906 .52794 L
.52987 .52934 L
.53027 .52987 L
.52999 .53179 L
.52987 .53188 L
.52912 .53179 L
.52794 .53154 L
.52601 .52999 L
.52589 .52987 L
.52414 .52794 L
.52409 .52787 L
.52258 .52601 L
.52216 .52544 L
.52083 .52409 L
.52023 .52287 L
.51965 .52216 L
.51831 .52034 L
.5183 .52023 L
.51675 .51831 L
.51638 .51789 L
.51513 .51638 L
.51445 .51521 L
.51398 .51445 L
.51253 .51254 L
.51251 .51253 L
.51114 .5106 L
.5106 .51038 L
.5096 .50867 L
.50867 .50726 L
.50847 .50674 L
.50721 .50482 L
.50674 .50397 L
.50623 .50289 L
F
1 .33 0 r
.50674 .50863 m
.50679 .50867 L
.50867 .51041 L
.50883 .5106 L
.51047 .51253 L
.5106 .51267 L
.51193 .51445 L
.51253 .51521 L
.51334 .51638 L
.51445 .51793 L
.5147 .51831 L
.51583 .52023 L
.51638 .52127 L
.51655 .52216 L
.51638 .52228 L
.51619 .52216 L
.51445 .52071 L
.51403 .52023 L
.51253 .5188 L
.51233 .51831 L
.51081 .51638 L
.5106 .51612 L
.5094 .51445 L
.50867 .51346 L
.50805 .51253 L
.50682 .5106 L
.50674 .51046 L
.50623 .50867 L
F
0 .86 1 r
.50674 .50176 m
.50867 .50199 L
.50999 .50289 L
.5106 .50359 L
.51196 .50482 L
.51253 .50562 L
.51389 .50674 L
.51445 .50805 L
.51508 .50867 L
.51638 .51051 L
.51642 .5106 L
.51803 .51253 L
.51831 .51285 L
.51968 .51445 L
.52023 .51549 L
.52083 .51638 L
.52216 .51814 L
.5223 .51831 L
.52369 .52023 L
.52409 .52051 L
.52526 .52216 L
.52601 .52334 L
.52638 .52409 L
.52776 .52601 L
.52794 .52629 L
.52901 .52794 L
.52987 .52946 L
.53017 .52987 L
.52987 .53166 L
.52794 .53148 L
.52601 .5299 L
.52598 .52987 L
.5242 .52794 L
.52409 .52781 L
.52262 .52601 L
.52216 .5254 L
.52085 .52409 L
.52023 .52284 L
.51968 .52216 L
.51831 .52032 L
.5183 .52023 L
.51677 .51831 L
.51638 .51786 L
.51514 .51638 L
.51445 .51519 L
.51399 .51445 L
.51254 .51253 L
.51253 .51251 L
.51117 .5106 L
.5106 .51036 L
.50963 .50867 L
.50867 .50718 L
.5085 .50674 L
.50727 .50482 L
.50674 .50384 L
.50632 .50289 L
F
1 .51 0 r
.50674 .4571 m
.5077 .45857 L
.50867 .4598 L
.50911 .4605 L
.50867 .4616 L
.50787 .4605 L
.50674 .45913 L
.50634 .45857 L
F
1 .87 0 r
.50674 .48413 m
.50805 .48555 L
.50867 .48623 L
.50968 .48747 L
.5106 .48865 L
.51115 .4894 L
.5106 .49132 L
.50911 .4894 L
.50867 .48886 L
.50774 .48747 L
.50674 .48612 L
.50641 .48555 L
F
0 .85 1 r
.50674 .50193 m
.50867 .50209 L
.50988 .50289 L
.5106 .50369 L
.5119 .50482 L
.51253 .50569 L
.51386 .50674 L
.51445 .50809 L
.51505 .50867 L
.51638 .51052 L
.51641 .5106 L
.51801 .51253 L
.51831 .51288 L
.51966 .51445 L
.52023 .51552 L
.52081 .51638 L
.52216 .51816 L
.52228 .51831 L
.52366 .52023 L
.52409 .52053 L
.52524 .52216 L
.52601 .52339 L
.52636 .52409 L
.52772 .52601 L
.52794 .52635 L
.52896 .52794 L
.52987 .52959 L
.53006 .52987 L
.52987 .53145 L
.52794 .53143 L
.52607 .52987 L
.52601 .52982 L
.52425 .52794 L
.52409 .52775 L
.52266 .52601 L
.52216 .52535 L
.52087 .52409 L
.52023 .5228 L
.5197 .52216 L
.51831 .5203 L
.5183 .52023 L
.51679 .51831 L
.51638 .51784 L
.51516 .51638 L
.51445 .51516 L
.51401 .51445 L
.51256 .51253 L
.51253 .51247 L
.5112 .5106 L
.5106 .51033 L
.50965 .50867 L
.50867 .50711 L
.50853 .50674 L
.50732 .50482 L
.50674 .5037 L
.50641 .50289 L
F
1 .5 0 r
.50674 .45724 m
.50759 .45857 L
.50867 .45994 L
.50901 .4605 L
.50867 .46144 L
.50799 .4605 L
.50674 .459 L
.50644 .45857 L
F
1 .55 0 r
.50674 .55894 m
.50785 .5607 L
.50867 .56181 L
.50916 .56263 L
.50867 .56343 L
.50808 .56263 L
.50674 .56111 L
.50644 .5607 L
F
0 .43 1 r
.50674 .44898 m
.50819 .45086 L
.50867 .4514 L
.5097 .45279 L
.5106 .45386 L
.51123 .45472 L
.51253 .45634 L
.51275 .45664 L
.51421 .45857 L
.51445 .45887 L
.51563 .4605 L
.51638 .46144 L
.51708 .46242 L
.51831 .464 L
.51856 .46435 L
.51998 .46628 L
.52023 .4666 L
.52136 .46821 L
.52216 .46923 L
.52278 .47013 L
.52409 .47185 L
.52423 .47206 L
.52558 .47399 L
.52601 .47454 L
.52694 .47591 L
.52794 .47724 L
.52834 .47784 L
.52973 .47977 L
.52987 .47995 L
.53099 .48169 L
.53179 .48277 L
.53232 .48362 L
.53179 .48491 L
.5308 .48362 L
.52987 .48254 L
.52922 .48169 L
.52794 .48012 L
.52768 .47977 L
.52619 .47784 L
.52601 .47763 L
.52474 .47591 L
.52409 .47511 L
.52326 .47399 L
.52216 .47257 L
.52178 .47206 L
.52033 .47013 L
.52023 .47001 L
.51893 .46821 L
.51831 .4674 L
.5175 .46628 L
.51638 .4648 L
.51606 .46435 L
.51466 .46242 L
.51445 .46216 L
.51329 .4605 L
.51253 .45949 L
.51189 .45857 L
.5106 .45681 L
.51048 .45664 L
.50917 .45472 L
.50867 .45406 L
.50784 .45279 L
.50674 .45129 L
.50647 .45086 L
F
0 .84 1 r
.50674 .50213 m
.50867 .50219 L
.50976 .50289 L
.5106 .50378 L
.51184 .50482 L
.51253 .50575 L
.51383 .50674 L
.51445 .50813 L
.51502 .50867 L
.51638 .51054 L
.51641 .5106 L
.51798 .51253 L
.51831 .51291 L
.51964 .51445 L
.52023 .51555 L
.52079 .51638 L
.52216 .51819 L
.52226 .51831 L
.52364 .52023 L
.52409 .52055 L
.52522 .52216 L
.52601 .52344 L
.52634 .52409 L
.52768 .52601 L
.52794 .52641 L
.52891 .52794 L
.52987 .52974 L
.52995 .52987 L
.52987 .53122 L
.52794 .53138 L
.52617 .52987 L
.52601 .52975 L
.5243 .52794 L
.52409 .5277 L
.52269 .52601 L
.52216 .52531 L
.5209 .52409 L
.52023 .52277 L
.51972 .52216 L
.51831 .52028 L
.5183 .52023 L
.51681 .51831 L
.51638 .51781 L
.51518 .51638 L
.51445 .51513 L
.51403 .51445 L
.51259 .51253 L
.51253 .51244 L
.51122 .5106 L
.5106 .5103 L
.50968 .50867 L
.50867 .50703 L
.50856 .50674 L
.50737 .50482 L
.50674 .50353 L
.50651 .50289 L
F
0 .42 1 r
.50674 .44909 m
.50811 .45086 L
.50867 .45149 L
.50963 .45279 L
.5106 .45393 L
.51117 .45472 L
.51253 .4564 L
.5127 .45664 L
.51415 .45857 L
.51445 .45894 L
.51558 .4605 L
.51638 .4615 L
.51704 .46242 L
.51831 .46405 L
.51852 .46435 L
.51993 .46628 L
.52023 .46666 L
.52131 .46821 L
.52216 .46929 L
.52274 .47013 L
.52409 .47191 L
.52419 .47206 L
.52553 .47399 L
.52601 .47461 L
.52689 .47591 L
.52794 .47731 L
.52829 .47784 L
.52966 .47977 L
.52987 .48004 L
.53092 .48169 L
.53179 .48287 L
.53225 .48362 L
.53179 .4848 L
.53088 .48362 L
.52987 .48245 L
.52929 .48169 L
.52794 .48004 L
.52773 .47977 L
.52625 .47784 L
.52601 .47756 L
.52479 .47591 L
.52409 .47504 L
.52331 .47399 L
.52216 .47251 L
.52183 .47206 L
.52038 .47013 L
.52023 .46994 L
.51898 .46821 L
.51831 .46734 L
.51755 .46628 L
.51638 .46474 L
.5161 .46435 L
.51471 .46242 L
.51445 .46209 L
.51334 .4605 L
.51253 .45942 L
.51194 .45857 L
.5106 .45674 L
.51053 .45664 L
.50923 .45472 L
.50867 .45397 L
.5079 .45279 L
.50674 .45119 L
.50653 .45086 L
F
1 .54 0 r
.50674 .55909 m
.50772 .5607 L
.50867 .56201 L
.50902 .56263 L
.50867 .56323 L
.50822 .56263 L
.50674 .56098 L
.50654 .5607 L
F
1 .49 0 r
.50674 .45741 m
.50744 .45857 L
.50867 .46012 L
.50889 .4605 L
.50867 .46124 L
.50814 .4605 L
.50674 .45884 L
.50655 .45857 L
F
0 .41 1 r
.50674 .44921 m
.50801 .45086 L
.50867 .45159 L
.50956 .45279 L
.5106 .45401 L
.51111 .45472 L
.51253 .45647 L
.51265 .45664 L
.51409 .45857 L
.51445 .45901 L
.51552 .4605 L
.51638 .46156 L
.51699 .46242 L
.51831 .46411 L
.51848 .46435 L
.51988 .46628 L
.52023 .46672 L
.52127 .46821 L
.52216 .46935 L
.5227 .47013 L
.52409 .47197 L
.52415 .47206 L
.52548 .47399 L
.52601 .47468 L
.52684 .47591 L
.52794 .47738 L
.52824 .47784 L
.52959 .47977 L
.52987 .48013 L
.53084 .48169 L
.53179 .48298 L
.53217 .48362 L
.53179 .48467 L
.53098 .48362 L
.52987 .48236 L
.52936 .48169 L
.52794 .47996 L
.52779 .47977 L
.52632 .47784 L
.52601 .47748 L
.52485 .47591 L
.52409 .47497 L
.52336 .47399 L
.52216 .47244 L
.52188 .47206 L
.52044 .47013 L
.52023 .46988 L
.51903 .46821 L
.51831 .46728 L
.51759 .46628 L
.51638 .46467 L
.51615 .46435 L
.51477 .46242 L
.51445 .46202 L
.5134 .4605 L
.51253 .45935 L
.51199 .45857 L
.5106 .45667 L
.51058 .45664 L
.5093 .45472 L
.50867 .45388 L
.50797 .45279 L
.50674 .45109 L
.5066 .45086 L
F
0 .83 1 r
.50674 .50236 m
.50867 .50229 L
.50964 .50289 L
.5106 .50386 L
.51178 .50482 L
.51253 .50581 L
.51379 .50674 L
.51445 .50817 L
.51499 .50867 L
.51638 .51055 L
.5164 .5106 L
.51796 .51253 L
.51831 .51294 L
.51962 .51445 L
.52023 .51558 L
.52077 .51638 L
.52216 .51822 L
.52223 .51831 L
.52362 .52023 L
.52409 .52058 L
.52519 .52216 L
.52601 .52348 L
.52631 .52409 L
.52765 .52601 L
.52794 .52647 L
.52886 .52794 L
.52984 .52987 L
.52794 .53133 L
.52626 .52987 L
.52601 .52968 L
.52436 .52794 L
.52409 .52764 L
.52273 .52601 L
.52216 .52526 L
.52093 .52409 L
.52023 .52274 L
.51975 .52216 L
.51831 .52027 L
.5183 .52023 L
.51684 .51831 L
.51638 .51779 L
.5152 .51638 L
.51445 .5151 L
.51405 .51445 L
.51261 .51253 L
.51253 .51241 L
.51125 .5106 L
.5106 .51026 L
.50971 .50867 L
.50867 .50695 L
.50859 .50674 L
.50743 .50482 L
.50674 .50332 L
.50662 .50289 L
F
1 .53 0 r
.50674 .55927 m
.50755 .5607 L
.50867 .56229 L
.50884 .56263 L
.50867 .56296 L
.50843 .56263 L
.50674 .56083 L
.50665 .5607 L
F
1 .86 0 r
.50674 .48467 m
.50765 .48555 L
.50867 .48659 L
.50939 .48747 L
.5106 .48902 L
.51088 .4894 L
.5106 .49095 L
.50939 .4894 L
.50867 .48853 L
.50799 .48747 L
.50674 .48571 L
.50666 .48555 L
F
0 .4 1 r
.50674 .44935 m
.5079 .45086 L
.50867 .45169 L
.50949 .45279 L
.5106 .45409 L
.51105 .45472 L
.51253 .45654 L
.5126 .45664 L
.51403 .45857 L
.51445 .45908 L
.51547 .4605 L
.51638 .46162 L
.51695 .46242 L
.51831 .46417 L
.51843 .46435 L
.51982 .46628 L
.52023 .46679 L
.52122 .46821 L
.52216 .46942 L
.52265 .47013 L
.52409 .47203 L
.5241 .47206 L
.52542 .47399 L
.52601 .47475 L
.52678 .47591 L
.52794 .47745 L
.52819 .47784 L
.52951 .47977 L
.52987 .48023 L
.53076 .48169 L
.53179 .48311 L
.53209 .48362 L
.53179 .48453 L
.53109 .48362 L
.52987 .48226 L
.52944 .48169 L
.52794 .47987 L
.52786 .47977 L
.52639 .47784 L
.52601 .4774 L
.52492 .47591 L
.52409 .4749 L
.52342 .47399 L
.52216 .47238 L
.52193 .47206 L
.5205 .47013 L
.52023 .46981 L
.51909 .46821 L
.51831 .46721 L
.51764 .46628 L
.51638 .46461 L
.51619 .46435 L
.51482 .46242 L
.51445 .46195 L
.51345 .4605 L
.51253 .45927 L
.51204 .45857 L
.51065 .45664 L
.5106 .45658 L
.50937 .45472 L
.50867 .45378 L
.50804 .45279 L
.50674 .45097 L
.50668 .45086 L
F
1 .48 0 r
.50674 .45763 m
.50725 .45857 L
.50867 .46035 L
.50875 .4605 L
.50867 .46096 L
.50836 .4605 L
.50674 .45866 L
.50668 .45857 L
F
0 .67 1 r
.50674 .55107 m
.50815 .55299 L
.50867 .55359 L
.50963 .55492 L
.5106 .55612 L
.51112 .55684 L
.51253 .55867 L
.5126 .55877 L
.51396 .5607 L
.51445 .5613 L
.51537 .56263 L
.51638 .56394 L
.5168 .56455 L
.51638 .56609 L
.5153 .56455 L
.51445 .56353 L
.51383 .56263 L
.51253 .56098 L
.51233 .5607 L
.51093 .55877 L
.5106 .55836 L
.50958 .55684 L
.50867 .5557 L
.50816 .55492 L
.50674 .55306 L
.5067 .55299 L
F
0 .99 1 r
.50674 .47824 m
.50834 .47977 L
.50867 .48002 L
.51038 .48169 L
.5106 .48188 L
.51232 .48362 L
.51253 .48382 L
.51417 .48555 L
.51445 .48584 L
.51594 .48747 L
.51638 .48797 L
.51764 .4894 L
.51831 .49023 L
.51924 .49133 L
.52023 .4927 L
.52068 .49326 L
.52188 .49518 L
.52216 .49578 L
.52274 .49711 L
.52216 .49867 L
.52023 .4979 L
.51964 .49711 L
.51831 .49548 L
.51779 .49518 L
.51668 .49326 L
.51638 .49288 L
.51529 .49133 L
.51445 .49026 L
.51386 .4894 L
.51253 .48785 L
.51219 .48747 L
.51103 .48555 L
.5106 .485 L
.50966 .48362 L
.50867 .48236 L
.50822 .48169 L
.50674 .4798 L
.50672 .47977 L
F
0 .82 1 r
.50674 .50274 m
.50867 .50239 L
.50952 .50289 L
.5106 .50394 L
.51172 .50482 L
.51253 .50587 L
.51375 .50674 L
.51445 .5082 L
.51496 .50867 L
.51638 .51056 L
.5164 .5106 L
.51793 .51253 L
.51831 .51297 L
.5196 .51445 L
.52023 .51561 L
.52075 .51638 L
.52216 .51825 L
.52221 .51831 L
.52359 .52023 L
.52409 .5206 L
.52517 .52216 L
.52601 .52353 L
.52629 .52409 L
.52761 .52601 L
.52794 .52653 L
.52881 .52794 L
.52974 .52987 L
.52794 .53127 L
.52636 .52987 L
.52601 .52962 L
.52441 .52794 L
.52409 .52758 L
.52277 .52601 L
.52216 .52522 L
.52095 .52409 L
.52023 .52271 L
.51977 .52216 L
.51831 .52025 L
.51831 .52023 L
.51686 .51831 L
.51638 .51776 L
.51522 .51638 L
.51445 .51507 L
.51407 .51445 L
.51263 .51253 L
.51253 .51237 L
.51127 .5106 L
.5106 .51023 L
.50974 .50867 L
.50867 .50686 L
.50863 .50674 L
.50748 .50482 L
.50674 .50299 L
.50673 .50289 L
F
0 .81 1 r
.50867 .50248 m
.50938 .50289 L
.5106 .50401 L
.51166 .50482 L
.51253 .50592 L
.51372 .50674 L
.51445 .50824 L
.51494 .50867 L
.51638 .51057 L
.51639 .5106 L
.51791 .51253 L
.51831 .513 L
.51959 .51445 L
.52023 .51564 L
.52073 .51638 L
.52216 .51827 L
.52219 .51831 L
.52357 .52023 L
.52409 .52063 L
.52514 .52216 L
.52601 .52358 L
.52626 .52409 L
.52757 .52601 L
.52794 .5266 L
.52876 .52794 L
.52964 .52987 L
.52794 .53121 L
.52646 .52987 L
.52601 .52955 L
.52447 .52794 L
.52409 .52753 L
.52281 .52601 L
.52216 .52518 L
.52098 .52409 L
.52023 .52267 L
.51979 .52216 L
.51831 .52023 L
.51831 .52023 L
.51688 .51831 L
.51638 .51773 L
.51524 .51638 L
.51445 .51504 L
.51408 .51445 L
.51266 .51253 L
.51253 .51234 L
.5113 .5106 L
.5106 .51019 L
.50977 .50867 L
.50867 .50678 L
.50866 .50674 L
.50754 .50482 L
.50686 .50289 L
F
1 .32 0 r
.50867 .51046 m
.50879 .5106 L
.51043 .51253 L
.5106 .51272 L
.51189 .51445 L
.51253 .51525 L
.5133 .51638 L
.51445 .51798 L
.51466 .51831 L
.51577 .52023 L
.51445 .52064 L
.51408 .52023 L
.51253 .5187 L
.51237 .51831 L
.51085 .51638 L
.5106 .51606 L
.50944 .51445 L
.50867 .5134 L
.50809 .51253 L
.50689 .5106 L
F
1 .31 0 r
.50867 .51052 m
.50874 .5106 L
.51038 .51253 L
.5106 .51277 L
.51185 .51445 L
.51253 .51531 L
.51327 .51638 L
.51445 .51804 L
.51462 .51831 L
.5157 .52023 L
.51445 .52058 L
.51414 .52023 L
.51253 .5186 L
.51241 .51831 L
.5109 .51638 L
.5106 .51601 L
.50948 .51445 L
.50867 .51334 L
.50813 .51253 L
.50695 .5106 L
F
0 .8 1 r
.50867 .50258 m
.50924 .50289 L
.5106 .50408 L
.5116 .50482 L
.51253 .50598 L
.51368 .50674 L
.51445 .50827 L
.51491 .50867 L
.51638 .51058 L
.51639 .5106 L
.51788 .51253 L
.51831 .51303 L
.51957 .51445 L
.52023 .51567 L
.52071 .51638 L
.52216 .5183 L
.52216 .51831 L
.52354 .52023 L
.52409 .52066 L
.52512 .52216 L
.52601 .52363 L
.52624 .52409 L
.52753 .52601 L
.52794 .52667 L
.52871 .52794 L
.52954 .52987 L
.52794 .53114 L
.52657 .52987 L
.52601 .52949 L
.52452 .52794 L
.52409 .52747 L
.52285 .52601 L
.52216 .52513 L
.52101 .52409 L
.52023 .52264 L
.51981 .52216 L
.51833 .52023 L
.51831 .52022 L
.5169 .51831 L
.51638 .51771 L
.51526 .51638 L
.51445 .51501 L
.5141 .51445 L
.51268 .51253 L
.51253 .51231 L
.51132 .5106 L
.5106 .51015 L
.5098 .50867 L
.5087 .50674 L
.50867 .5067 L
.50759 .50482 L
.50702 .50289 L
F
1 .3 0 r
.50867 .51058 m
.50869 .5106 L
.51033 .51253 L
.5106 .51283 L
.51181 .51445 L
.51253 .51536 L
.51323 .51638 L
.51445 .5181 L
.51458 .51831 L
.51562 .52023 L
.51445 .52051 L
.5142 .52023 L
.51253 .51849 L
.51246 .51831 L
.51094 .51638 L
.5106 .51596 L
.50952 .51445 L
.50867 .51328 L
.50817 .51253 L
.50702 .5106 L
F
0 .82 1 r
.50867 .43535 m
.50876 .43545 L
.51055 .43737 L
.5106 .43743 L
.51222 .4393 L
.51253 .43964 L
.51385 .44123 L
.51445 .44142 L
.51546 .44316 L
.51638 .4442 L
.51768 .44508 L
.51831 .44669 L
.5186 .44701 L
.52009 .44894 L
.52023 .44899 L
.5216 .45086 L
.52216 .45152 L
.52358 .45279 L
.52409 .45409 L
.5246 .45472 L
.52601 .45659 L
.52604 .45664 L
.52754 .45857 L
.52794 .45906 L
.52933 .4605 L
.52987 .46166 L
.53043 .46242 L
.53179 .46423 L
.53182 .46435 L
.53336 .46628 L
.53372 .46672 L
.53504 .46821 L
.53565 .46936 L
.53619 .47013 L
.53758 .47195 L
.53758 .47206 L
.53911 .47399 L
.5395 .47447 L
.54073 .47591 L
.54143 .47712 L
.5419 .47784 L
.54336 .47972 L
.5434 .47977 L
.54482 .48169 L
.54528 .48227 L
.54639 .48362 L
.54721 .48494 L
.54758 .48555 L
.54909 .48747 L
.54914 .48751 L
.5505 .4894 L
.55106 .49011 L
.55203 .49133 L
.55299 .49279 L
.55325 .49326 L
.55474 .49518 L
.55492 .49532 L
.55673 .49711 L
.55684 .49798 L
.55766 .49904 L
.55877 .50068 L
.55891 .50096 L
.56038 .50289 L
.5607 .50315 L
.56229 .50482 L
.56263 .50589 L
.56326 .50674 L
.56455 .5086 L
.56458 .50867 L
.56599 .5106 L
.56648 .51104 L
.56782 .51253 L
.56841 .51384 L
.56884 .51445 L
.5702 .51638 L
.57033 .51656 L
.57157 .51831 L
.57226 .51899 L
.57332 .52023 L
.57419 .52185 L
.5744 .52216 L
.57575 .52409 L
.57611 .52458 L
.57712 .52601 L
.57804 .52704 L
.57876 .52794 L
.57991 .52987 L
.57997 .52995 L
.58125 .53179 L
.58189 .53268 L
.58262 .53372 L
.58382 .53529 L
.5841 .53565 L
.58533 .53758 L
.58575 .53815 L
.58665 .5395 L
.58768 .54093 L
.58801 .54143 L
.58931 .54336 L
.5896 .54376 L
.59057 .54528 L
.59153 .54668 L
.59186 .54721 L
.59305 .54914 L
.59346 .54976 L
.59411 .55106 L
.59346 .55196 L
.59259 .55106 L
.59153 .55 L
.59077 .54914 L
.5896 .54813 L
.58906 .54721 L
.58768 .5456 L
.58722 .54528 L
.58584 .54336 L
.58575 .54325 L
.58427 .54143 L
.58382 .54107 L
.58272 .5395 L
.58189 .53849 L
.58091 .53758 L
.57997 .53599 L
.57971 .53565 L
.57818 .53372 L
.57804 .5336 L
.57669 .53179 L
.57611 .53106 L
.57501 .52987 L
.57419 .52848 L
.57381 .52794 L
.57227 .52601 L
.57226 .526 L
.57081 .52409 L
.57033 .52346 L
.56923 .52216 L
.56841 .52084 L
.56803 .52023 L
.56648 .51832 L
.56647 .51831 L
.56503 .51638 L
.56455 .51576 L
.56351 .51445 L
.56263 .51311 L
.5623 .51253 L
.56072 .5106 L
.5607 .51057 L
.55881 .50867 L
.55877 .50798 L
.55782 .50674 L
.55684 .50532 L
.5566 .50482 L
.55502 .50289 L
.55492 .50279 L
.5532 .50096 L
.55299 .50016 L
.55215 .49904 L
.55106 .49749 L
.55091 .49711 L
.54935 .49518 L
.54914 .49497 L
.54758 .49326 L
.54721 .4923 L
.54651 .49133 L
.54528 .48963 L
.54522 .4894 L
.5437 .48747 L
.54336 .48712 L
.54198 .48555 L
.54143 .48441 L
.54089 .48362 L
.5395 .48173 L
.5395 .48169 L
.53808 .47977 L
.53758 .47923 L
.5364 .47784 L
.53565 .47648 L
.53528 .47591 L
.53387 .47399 L
.53372 .47379 L
.53248 .47206 L
.53179 .47129 L
.53086 .47013 L
.52987 .4685 L
.52968 .46821 L
.5283 .46628 L
.52794 .4658 L
.52691 .46435 L
.52601 .46328 L
.52535 .46242 L
.52412 .4605 L
.52409 .46045 L
.52277 .45857 L
.52216 .45774 L
.52139 .45664 L
.52023 .45514 L
.51992 .45472 L
.51865 .45279 L
.51831 .45231 L
.51731 .45086 L
.51638 .45 L
.5155 .44894 L
.5146 .44701 L
.51445 .44681 L
.51331 .44508 L
.51253 .44397 L
.51199 .44316 L
.51068 .44123 L
.5106 .44112 L
.50948 .4393 L
.50867 .43808 L
.50826 .43737 L
.50717 .43545 L
F
0 .79 1 r
.50867 .50268 m
.50908 .50289 L
.5106 .50415 L
.51154 .50482 L
.51253 .50603 L
.51363 .50674 L
.51445 .50831 L
.51488 .50867 L
.51638 .51059 L
.51638 .5106 L
.51786 .51253 L
.51831 .51306 L
.51955 .51445 L
.52023 .5157 L
.52069 .51638 L
.52214 .51831 L
.52216 .51833 L
.52352 .52023 L
.52409 .52068 L
.5251 .52216 L
.52601 .52368 L
.52621 .52409 L
.52749 .52601 L
.52794 .52674 L
.52866 .52794 L
.52942 .52987 L
.52794 .53105 L
.52668 .52987 L
.52601 .52943 L
.52458 .52794 L
.52409 .52742 L
.52289 .52601 L
.52216 .52509 L
.52104 .52409 L
.52023 .52261 L
.51984 .52216 L
.51836 .52023 L
.51831 .52021 L
.51693 .51831 L
.51638 .51768 L
.51528 .51638 L
.51445 .51498 L
.51412 .51445 L
.51271 .51253 L
.51253 .51227 L
.51135 .5106 L
.5106 .5101 L
.50984 .50867 L
.50874 .50674 L
.50867 .50664 L
.50765 .50482 L
.5072 .50289 L
F
0 .78 1 r
.50867 .50278 m
.5089 .50289 L
.5106 .50421 L
.51147 .50482 L
.51253 .50608 L
.51359 .50674 L
.51445 .50834 L
.51485 .50867 L
.51637 .5106 L
.51638 .51061 L
.51783 .51253 L
.51831 .51309 L
.51953 .51445 L
.52023 .51573 L
.52067 .51638 L
.52212 .51831 L
.52216 .51837 L
.52349 .52023 L
.52409 .52071 L
.52507 .52216 L
.52601 .52373 L
.52618 .52409 L
.52745 .52601 L
.52794 .52681 L
.5286 .52794 L
.52931 .52987 L
.52794 .53095 L
.5268 .52987 L
.52601 .52938 L
.52464 .52794 L
.52409 .52737 L
.52293 .52601 L
.52216 .52505 L
.52107 .52409 L
.52023 .52258 L
.51986 .52216 L
.51838 .52023 L
.51831 .52019 L
.51695 .51831 L
.51638 .51765 L
.5153 .51638 L
.51445 .51495 L
.51414 .51445 L
.51273 .51253 L
.51253 .51224 L
.51137 .5106 L
.5106 .51006 L
.50987 .50867 L
.50878 .50674 L
.50867 .50657 L
.50771 .50482 L
.50742 .50289 L
F
1 .95 0 r
.50867 .42753 m
.5089 .42774 L
.5106 .4293 L
.51087 .42967 L
.51253 .43147 L
.51272 .43159 L
.51433 .43352 L
.51445 .43366 L
.51597 .43545 L
.51638 .43586 L
.51759 .43737 L
.51831 .43829 L
.51933 .4393 L
.52023 .44074 L
.52059 .44123 L
.52216 .44312 L
.52223 .44316 L
.52375 .44508 L
.52409 .44554 L
.52532 .44701 L
.52601 .44812 L
.52653 .44894 L
.52794 .45069 L
.52823 .45086 L
.52969 .45279 L
.52987 .45304 L
.53116 .45472 L
.53179 .45569 L
.53234 .45664 L
.53372 .45836 L
.53408 .45857 L
.53564 .4605 L
.53565 .4607 L
.53692 .46242 L
.53758 .46338 L
.53806 .46435 L
.5395 .46609 L
.53984 .46628 L
.54136 .46821 L
.54143 .46846 L
.54263 .47013 L
.54336 .47116 L
.54373 .47206 L
.54528 .47385 L
.54555 .47399 L
.54707 .47591 L
.54721 .47627 L
.5483 .47784 L
.54914 .47899 L
.54937 .47977 L
.55106 .48163 L
.55123 .48169 L
.55275 .48362 L
.55299 .48412 L
.55395 .48555 L
.55492 .48684 L
.555 .48747 L
.55684 .48939 L
.55689 .4894 L
.55841 .49133 L
.55877 .49199 L
.55959 .49326 L
.5607 .49469 L
.56115 .49518 L
.56255 .49711 L
.56263 .49721 L
.56405 .49904 L
.56455 .49987 L
.56522 .50096 L
.56648 .50255 L
.5668 .50289 L
.56819 .50482 L
.56841 .50508 L
.56969 .50674 L
.57033 .50776 L
.57085 .50867 L
.57226 .51041 L
.57243 .5106 L
.57383 .51253 L
.57419 .51296 L
.57531 .51445 L
.57611 .51565 L
.57648 .51638 L
.57804 .51828 L
.57807 .51831 L
.57984 .52023 L
.57997 .52085 L
.58093 .52216 L
.58189 .52355 L
.58212 .52409 L
.5837 .52601 L
.58382 .52611 L
.58546 .52794 L
.58575 .52875 L
.58654 .52987 L
.58768 .53146 L
.58779 .53179 L
.58931 .53372 L
.5896 .53395 L
.59106 .53565 L
.59153 .53667 L
.59215 .53758 L
.59346 .53939 L
.59348 .5395 L
.59492 .54143 L
.59538 .54183 L
.59663 .54336 L
.59731 .54462 L
.59774 .54528 L
.59914 .54721 L
.59924 .54734 L
.60052 .54914 L
.60116 .54977 L
.60218 .55106 L
.60309 .55261 L
.60333 .55299 L
.60471 .55492 L
.60502 .55533 L
.60609 .55684 L
.60694 .55778 L
.60768 .55877 L
.60887 .56067 L
.60889 .5607 L
.61024 .56263 L
.6108 .56339 L
.61161 .56455 L
.61273 .56593 L
.61311 .56648 L
.61436 .56841 L
.61465 .56881 L
.61569 .57033 L
.61658 .57156 L
.61755 .57226 L
.61841 .57419 L
.61851 .57432 L
.61968 .57611 L
.62043 .57717 L
.62099 .57804 L
.6223 .57997 L
.62236 .58005 L
.62347 .58189 L
.62429 .58316 L
.62465 .58382 L
.62563 .58575 L
.62429 .58588 L
.62415 .58575 L
.62236 .58396 L
.62225 .58382 L
.62051 .58189 L
.62043 .58181 L
.61885 .57997 L
.61851 .57981 L
.61722 .57804 L
.61658 .5773 L
.61485 .57611 L
.61465 .57486 L
.61404 .57419 L
.61273 .57244 L
.61263 .57226 L
.61101 .57033 L
.6108 .57007 L
.60916 .56841 L
.60887 .56754 L
.60806 .56648 L
.60694 .56496 L
.60681 .56455 L
.60504 .56263 L
.60502 .5626 L
.6034 .5607 L
.60309 .56001 L
.60221 .55877 L
.60116 .55735 L
.60108 .55684 L
.59924 .55497 L
.5992 .55492 L
.59765 .55299 L
.59731 .55234 L
.59645 .55106 L
.59538 .54964 L
.59485 .54914 L
.59346 .54723 L
.59344 .54721 L
.59194 .54528 L
.59153 .54458 L
.59075 .54336 L
.5896 .54186 L
.58913 .54143 L
.58773 .5395 L
.58768 .53943 L
.58625 .53758 L
.58575 .53676 L
.58509 .53565 L
.58382 .53405 L
.58344 .53372 L
.58204 .53179 L
.58189 .53159 L
.58059 .52987 L
.57997 .52891 L
.57944 .52794 L
.57804 .52624 L
.57778 .52601 L
.57616 .52409 L
.57611 .52373 L
.57495 .52216 L
.57419 .52104 L
.5738 .52023 L
.57226 .51841 L
.57213 .51831 L
.57048 .51638 L
.57033 .51586 L
.56931 .51445 L
.56841 .51317 L
.56816 .51253 L
.56648 .5106 L
.56648 .5106 L
.56483 .50867 L
.56455 .50798 L
.56368 .50674 L
.56263 .50529 L
.5625 .50482 L
.56084 .50289 L
.5607 .50274 L
.5592 .50096 L
.55877 .50009 L
.55806 .49904 L
.55684 .49741 L
.55682 .49711 L
.55521 .49518 L
.55492 .49488 L
.55358 .49326 L
.55299 .49219 L
.55243 .49133 L
.55106 .48952 L
.55097 .4894 L
.54958 .48747 L
.54914 .487 L
.54797 .48555 L
.54721 .48428 L
.54681 .48362 L
.54535 .48169 L
.54528 .48169 L
.54396 .47977 L
.54336 .4791 L
.54238 .47784 L
.54143 .47635 L
.54118 .47591 L
.53974 .47399 L
.5395 .47392 L
.5377 .47206 L
.53758 .47117 L
.5368 .47013 L
.53565 .4684 L
.53555 .46821 L
.53414 .46628 L
.53372 .46608 L
.53218 .46435 L
.53179 .4632 L
.53124 .46242 L
.52993 .4605 L
.52987 .46041 L
.52856 .45857 L
.52794 .45815 L
.5267 .45664 L
.52601 .45516 L
.52571 .45472 L
.52439 .45279 L
.52409 .45239 L
.52303 .45086 L
.52216 .45006 L
.52129 .44894 L
.52023 .44701 L
.52023 .44701 L
.51891 .44508 L
.51831 .44426 L
.51755 .44316 L
.51638 .44171 L
.51603 .44123 L
.51486 .4393 L
.51445 .43874 L
.51356 .43737 L
.51253 .43591 L
.51223 .43545 L
.51096 .43352 L
.5106 .43299 L
.50977 .43159 L
.50867 .42989 L
.50855 .42967 L
.50768 .42774 L
F
0 .77 1 r
.50867 .50288 m
.50868 .50289 L
.5106 .50427 L
.51141 .50482 L
.51253 .50613 L
.51354 .50674 L
.51445 .50837 L
.51482 .50867 L
.51634 .5106 L
.51638 .51063 L
.51781 .51253 L
.51831 .51312 L
.51951 .51445 L
.52023 .51576 L
.52065 .51638 L
.52209 .51831 L
.52216 .5184 L
.52347 .52023 L
.52409 .52074 L
.52504 .52216 L
.52601 .52379 L
.52616 .52409 L
.52741 .52601 L
.52794 .52688 L
.52855 .52794 L
.52918 .52987 L
.52794 .53083 L
.52693 .52987 L
.52601 .52932 L
.5247 .52794 L
.52409 .52732 L
.52297 .52601 L
.52216 .52501 L
.5211 .52409 L
.52023 .52255 L
.51989 .52216 L
.51841 .52023 L
.51831 .52018 L
.51697 .51831 L
.51638 .51763 L
.51532 .51638 L
.51445 .51492 L
.51416 .51445 L
.51275 .51253 L
.51253 .51221 L
.5114 .5106 L
.5106 .51001 L
.5099 .50867 L
.50882 .50674 L
.50867 .5065 L
.50776 .50482 L
.50773 .50289 L
F
0 .76 1 r
.50867 .50299 m
.5106 .50432 L
.51135 .50482 L
.51253 .50617 L
.51349 .50674 L
.51445 .5084 L
.51478 .50867 L
.51631 .5106 L
.51638 .51065 L
.51778 .51253 L
.51831 .51315 L
.51949 .51445 L
.52023 .51579 L
.52063 .51638 L
.52207 .51831 L
.52216 .51843 L
.52345 .52023 L
.52409 .52077 L
.52502 .52216 L
.52601 .52384 L
.52613 .52409 L
.52738 .52601 L
.52794 .52696 L
.5285 .52794 L
.52904 .52987 L
.52794 .53069 L
.52706 .52987 L
.52601 .52926 L
.52476 .52794 L
.52409 .52727 L
.52301 .52601 L
.52216 .52497 L
.52113 .52409 L
.52023 .52252 L
.51991 .52216 L
.51843 .52023 L
.51831 .52017 L
.517 .51831 L
.51638 .5176 L
.51534 .51638 L
.51445 .51489 L
.51418 .51445 L
.51278 .51253 L
.51253 .51217 L
.51143 .5106 L
.5106 .50995 L
.50994 .50867 L
.50886 .50674 L
.50867 .50643 L
.50782 .50482 L
F
0 .75 1 r
.50867 .50309 m
.5106 .50438 L
.51128 .50482 L
.51253 .50622 L
.51344 .50674 L
.51445 .50843 L
.51475 .50867 L
.51628 .5106 L
.51638 .51067 L
.51776 .51253 L
.51831 .51317 L
.51946 .51445 L
.52023 .51582 L
.52061 .51638 L
.52204 .51831 L
.52216 .51846 L
.52342 .52023 L
.52409 .52081 L
.52499 .52216 L
.52601 .5239 L
.5261 .52409 L
.52734 .52601 L
.52794 .52704 L
.52844 .52794 L
.52888 .52987 L
.52794 .53053 L
.52722 .52987 L
.52601 .5292 L
.52482 .52794 L
.52409 .52721 L
.52305 .52601 L
.52216 .52493 L
.52117 .52409 L
.52023 .52249 L
.51993 .52216 L
.51846 .52023 L
.51831 .52015 L
.51702 .51831 L
.51638 .51757 L
.51536 .51638 L
.51445 .51486 L
.5142 .51445 L
.5128 .51253 L
.51253 .51214 L
.51145 .5106 L
.5106 .5099 L
.50997 .50867 L
.5089 .50674 L
.50867 .50635 L
.50789 .50482 L
F
0 .74 1 r
.50867 .50319 m
.5106 .50443 L
.51121 .50482 L
.51253 .50626 L
.51339 .50674 L
.51445 .50846 L
.51472 .50867 L
.51625 .5106 L
.51638 .51069 L
.51773 .51253 L
.51831 .5132 L
.51944 .51445 L
.52023 .51585 L
.52059 .51638 L
.52202 .51831 L
.52216 .5185 L
.5234 .52023 L
.52409 .52084 L
.52496 .52216 L
.52601 .52396 L
.52607 .52409 L
.5273 .52601 L
.52794 .52712 L
.52838 .52794 L
.5287 .52987 L
.52794 .53034 L
.52739 .52987 L
.52601 .52914 L
.52488 .52794 L
.52409 .52716 L
.52309 .52601 L
.52216 .52489 L
.5212 .52409 L
.52023 .52246 L
.51996 .52216 L
.51848 .52023 L
.51831 .52014 L
.51704 .51831 L
.51638 .51754 L
.51538 .51638 L
.51445 .51483 L
.51422 .51445 L
.51283 .51253 L
.51253 .5121 L
.51148 .5106 L
.5106 .50984 L
.51001 .50867 L
.50894 .50674 L
.50867 .50627 L
.50795 .50482 L
F
0 .73 1 r
.50867 .5033 m
.5106 .50448 L
.51114 .50482 L
.51253 .50631 L
.51333 .50674 L
.51445 .50849 L
.51469 .50867 L
.51622 .5106 L
.51638 .51071 L
.5177 .51253 L
.51831 .51323 L
.51942 .51445 L
.52023 .51588 L
.52057 .51638 L
.522 .51831 L
.52216 .51853 L
.52337 .52023 L
.52409 .52088 L
.52493 .52216 L
.52601 .52402 L
.52605 .52409 L
.52725 .52601 L
.52794 .52721 L
.52833 .52794 L
.52846 .52987 L
.52794 .53012 L
.5276 .52987 L
.52601 .52908 L
.52494 .52794 L
.52409 .52711 L
.52313 .52601 L
.52216 .52485 L
.52124 .52409 L
.52023 .52243 L
.51998 .52216 L
.51851 .52023 L
.51831 .52013 L
.51706 .51831 L
.51638 .51752 L
.5154 .51638 L
.51445 .51479 L
.51424 .51445 L
.51285 .51253 L
.51253 .51207 L
.51151 .5106 L
.5106 .50978 L
.51004 .50867 L
.50899 .50674 L
.50867 .50618 L
.50801 .50482 L
F
1 .59 0 r
.50867 .44332 m
.51014 .44508 L
.5106 .44559 L
.51174 .44701 L
.51253 .44792 L
.51332 .44894 L
.51445 .45004 L
.51488 .45086 L
.51638 .45274 L
.51643 .45279 L
.51789 .45472 L
.51831 .45523 L
.51938 .45664 L
.52023 .45742 L
.52088 .45857 L
.52216 .46019 L
.52246 .4605 L
.52381 .46242 L
.52409 .46277 L
.52526 .46435 L
.52601 .46504 L
.52673 .46628 L
.52794 .46784 L
.52827 .46821 L
.52961 .47013 L
.52987 .47046 L
.53104 .47206 L
.53179 .47278 L
.53248 .47399 L
.53372 .4756 L
.53399 .47591 L
.53533 .47784 L
.53565 .47825 L
.53674 .47977 L
.53758 .48062 L
.53874 .48169 L
.5395 .48346 L
.53963 .48362 L
.54099 .48555 L
.54143 .48613 L
.54239 .48747 L
.54336 .48856 L
.54419 .4894 L
.54522 .49133 L
.54528 .49142 L
.54658 .49326 L
.54721 .4941 L
.54797 .49518 L
.54914 .49663 L
.54958 .49711 L
.55075 .49904 L
.55106 .49946 L
.5521 .50096 L
.55299 .50217 L
.55348 .50289 L
.55487 .50482 L
.55492 .50488 L
.55617 .50674 L
.55684 .50767 L
.55751 .50867 L
.55877 .51044 L
.55888 .5106 L
.56013 .51253 L
.5607 .51332 L
.56139 .51445 L
.56263 .51626 L
.5627 .51638 L
.56372 .51831 L
.56263 .51843 L
.56251 .51831 L
.5608 .51638 L
.5607 .51627 L
.55918 .51445 L
.55877 .51399 L
.55759 .51253 L
.55684 .51164 L
.55601 .5106 L
.55492 .50947 L
.55446 .50867 L
.55299 .50682 L
.55292 .50674 L
.55145 .50482 L
.55106 .50434 L
.54995 .50289 L
.54914 .50208 L
.54846 .50096 L
.54721 .49936 L
.54691 .49904 L
.54552 .49711 L
.54528 .4968 L
.54407 .49518 L
.54336 .49447 L
.5426 .49326 L
.54143 .49173 L
.54109 .49133 L
.53972 .4894 L
.5395 .48912 L
.53829 .48747 L
.53758 .48674 L
.53624 .48555 L
.53565 .48397 L
.53537 .48362 L
.534 .48169 L
.53372 .48133 L
.53258 .47977 L
.53179 .47891 L
.53071 .47784 L
.52987 .47611 L
.52972 .47591 L
.52834 .47399 L
.52794 .47345 L
.52694 .47206 L
.52601 .47098 L
.52522 .47013 L
.52412 .46821 L
.52409 .46816 L
.52276 .46628 L
.52216 .46547 L
.52136 .46435 L
.52023 .46292 L
.5198 .46242 L
.5186 .4605 L
.51831 .4601 L
.51725 .45857 L
.51638 .45737 L
.51587 .45664 L
.5145 .45472 L
.51445 .45465 L
.5132 .45279 L
.51253 .45185 L
.51187 .45086 L
.5106 .44906 L
.51052 .44894 L
.50928 .44701 L
.50867 .44614 L
.50803 .44508 L
F
0 .72 1 r
.50867 .50342 m
.5106 .50453 L
.51107 .50482 L
.51253 .50635 L
.51328 .50674 L
.51445 .50852 L
.51466 .50867 L
.51619 .5106 L
.51638 .51073 L
.51768 .51253 L
.51831 .51326 L
.5194 .51445 L
.52023 .51591 L
.52055 .51638 L
.52197 .51831 L
.52216 .51856 L
.52335 .52023 L
.52409 .52091 L
.5249 .52216 L
.52601 .52408 L
.52602 .52409 L
.52721 .52601 L
.52794 .5273 L
.52827 .52794 L
.52795 .52987 L
.52794 .52987 L
.52794 .52987 L
.52601 .52902 L
.525 .52794 L
.52409 .52706 L
.52317 .52601 L
.52216 .52481 L
.52127 .52409 L
.52023 .5224 L
.52001 .52216 L
.51853 .52023 L
.51831 .52011 L
.51709 .51831 L
.51638 .51749 L
.51543 .51638 L
.51445 .51476 L
.51426 .51445 L
.51288 .51253 L
.51253 .51203 L
.51153 .5106 L
.5106 .50971 L
.51008 .50867 L
.50903 .50674 L
.50867 .5061 L
.50808 .50482 L
F
1 .58 0 r
.50867 .44344 m
.51005 .44508 L
.5106 .44568 L
.51167 .44701 L
.51253 .448 L
.51326 .44894 L
.51445 .45013 L
.51483 .45086 L
.51636 .45279 L
.51638 .45281 L
.51785 .45472 L
.51831 .45528 L
.51934 .45664 L
.52023 .45747 L
.52084 .45857 L
.52216 .46024 L
.52241 .4605 L
.52378 .46242 L
.52409 .46281 L
.52523 .46435 L
.52601 .46508 L
.5267 .46628 L
.52794 .46788 L
.52824 .46821 L
.52959 .47013 L
.52987 .47049 L
.53101 .47206 L
.53179 .47282 L
.53246 .47399 L
.53372 .47564 L
.53396 .47591 L
.53531 .47784 L
.53565 .47829 L
.53672 .47977 L
.53758 .48065 L
.53871 .48169 L
.5395 .4835 L
.5396 .48362 L
.54096 .48555 L
.54143 .48617 L
.54236 .48747 L
.54336 .4886 L
.54415 .4894 L
.54519 .49133 L
.54528 .49145 L
.54655 .49326 L
.54721 .49413 L
.54795 .49518 L
.54914 .49668 L
.54953 .49711 L
.55071 .49904 L
.55106 .4995 L
.55207 .50096 L
.55299 .50222 L
.55345 .50289 L
.55483 .50482 L
.55492 .50494 L
.55613 .50674 L
.55684 .50772 L
.55747 .50867 L
.55877 .5105 L
.55883 .5106 L
.56007 .51253 L
.5607 .51341 L
.56133 .51445 L
.5607 .51616 L
.55927 .51445 L
.55877 .5139 L
.55766 .51253 L
.55684 .51157 L
.55607 .5106 L
.55492 .50939 L
.55451 .50867 L
.55299 .50675 L
.55298 .50674 L
.55149 .50482 L
.55106 .50428 L
.54999 .50289 L
.54914 .50203 L
.54849 .50096 L
.54721 .49931 L
.54695 .49904 L
.54556 .49711 L
.54528 .49676 L
.5441 .49518 L
.54336 .49443 L
.54263 .49326 L
.54143 .49168 L
.54112 .49133 L
.53975 .4894 L
.5395 .48908 L
.53831 .48747 L
.53758 .4867 L
.53627 .48555 L
.53565 .48393 L
.5354 .48362 L
.53403 .48169 L
.53372 .48129 L
.53261 .47977 L
.53179 .47887 L
.53074 .47784 L
.52987 .47607 L
.52975 .47591 L
.52837 .47399 L
.52794 .47341 L
.52697 .47206 L
.52601 .47094 L
.52526 .47013 L
.52415 .46821 L
.52409 .46812 L
.52279 .46628 L
.52216 .46543 L
.52139 .46435 L
.52023 .46287 L
.51985 .46242 L
.51864 .4605 L
.51831 .46005 L
.51728 .45857 L
.51638 .45733 L
.51591 .45664 L
.51454 .45472 L
.51445 .45459 L
.51324 .45279 L
.51253 .45179 L
.51191 .45086 L
.5106 .44899 L
.51056 .44894 L
.50935 .44701 L
.50867 .44604 L
.5081 .44508 L
F
0 .39 1 r
.50867 .4518 m
.5094 .45279 L
.5106 .45418 L
.51099 .45472 L
.51253 .45661 L
.51255 .45664 L
.51396 .45857 L
.51445 .45915 L
.51541 .4605 L
.51638 .46169 L
.5169 .46242 L
.51831 .46424 L
.51839 .46435 L
.51977 .46628 L
.52023 .46686 L
.52116 .46821 L
.52216 .46948 L
.5226 .47013 L
.52405 .47206 L
.52409 .47211 L
.52536 .47399 L
.52601 .47483 L
.52672 .47591 L
.52794 .47753 L
.52814 .47784 L
.52943 .47977 L
.52987 .48034 L
.53066 .48169 L
.53179 .48326 L
.53199 .48362 L
.53179 .48436 L
.53121 .48362 L
.52987 .48215 L
.52952 .48169 L
.52794 .47979 L
.52793 .47977 L
.52647 .47784 L
.52601 .47731 L
.52498 .47591 L
.52409 .47482 L
.52347 .47399 L
.52216 .47231 L
.52198 .47206 L
.52056 .47013 L
.52023 .46973 L
.51914 .46821 L
.51831 .46714 L
.51769 .46628 L
.51638 .46454 L
.51624 .46435 L
.51488 .46242 L
.51445 .46187 L
.51351 .4605 L
.51253 .45919 L
.5121 .45857 L
.51072 .45664 L
.5106 .45649 L
.50945 .45472 L
.50867 .45367 L
.50812 .45279 L
F
0 .71 1 r
.50867 .50353 m
.5106 .50457 L
.511 .50482 L
.51253 .50639 L
.51321 .50674 L
.51445 .50854 L
.51462 .50867 L
.51616 .5106 L
.51638 .51075 L
.51765 .51253 L
.51831 .5133 L
.51938 .51445 L
.52023 .51594 L
.52053 .51638 L
.52195 .51831 L
.52216 .5186 L
.52332 .52023 L
.52409 .52095 L
.52488 .52216 L
.52598 .52409 L
.52601 .52413 L
.52717 .52601 L
.52794 .5274 L
.52821 .52794 L
.52794 .52973 L
.52601 .52895 L
.52507 .52794 L
.52409 .52702 L
.52321 .52601 L
.52216 .52477 L
.52131 .52409 L
.52023 .52237 L
.52004 .52216 L
.51856 .52023 L
.51831 .5201 L
.51711 .51831 L
.51638 .51746 L
.51545 .51638 L
.51445 .51473 L
.51428 .51445 L
.5129 .51253 L
.51253 .512 L
.51156 .5106 L
.5106 .50964 L
.51012 .50867 L
.50907 .50674 L
.50867 .506 L
.50815 .50482 L
F
1 .57 0 r
.50867 .44357 m
.50996 .44508 L
.5106 .44577 L
.5116 .44701 L
.51253 .44807 L
.51321 .44894 L
.51445 .45022 L
.51478 .45086 L
.51631 .45279 L
.51638 .45287 L
.5178 .45472 L
.51831 .45533 L
.5193 .45664 L
.52023 .45752 L
.52081 .45857 L
.52216 .46029 L
.52236 .4605 L
.52375 .46242 L
.52409 .46285 L
.5252 .46435 L
.52601 .46512 L
.52667 .46628 L
.52794 .46792 L
.5282 .46821 L
.52956 .47013 L
.52987 .47053 L
.53099 .47206 L
.53179 .47285 L
.53243 .47399 L
.53372 .47568 L
.53392 .47591 L
.53528 .47784 L
.53565 .47832 L
.53669 .47977 L
.53758 .48069 L
.53867 .48169 L
.5395 .48354 L
.53957 .48362 L
.54093 .48555 L
.54143 .4862 L
.54234 .48747 L
.54336 .48864 L
.54411 .4894 L
.54516 .49133 L
.54528 .49149 L
.54652 .49326 L
.54721 .49417 L
.54792 .49518 L
.54914 .49673 L
.54948 .49711 L
.55068 .49904 L
.55106 .49955 L
.55203 .50096 L
.55299 .50226 L
.55342 .50289 L
.55479 .50482 L
.55492 .50499 L
.55609 .50674 L
.55684 .50778 L
.55743 .50867 L
.55877 .51057 L
.55879 .5106 L
.56001 .51253 L
.5607 .51351 L
.56126 .51445 L
.5607 .51605 L
.55935 .51445 L
.55877 .51381 L
.55772 .51253 L
.55684 .5115 L
.55613 .5106 L
.55492 .50931 L
.55456 .50867 L
.55304 .50674 L
.55299 .50669 L
.55154 .50482 L
.55106 .50423 L
.55003 .50289 L
.54914 .50198 L
.54853 .50096 L
.54721 .49926 L
.547 .49904 L
.54559 .49711 L
.54528 .49671 L
.54413 .49518 L
.54336 .49439 L
.54266 .49326 L
.54143 .49164 L
.54116 .49133 L
.53978 .4894 L
.5395 .48904 L
.53834 .48747 L
.53758 .48666 L
.53631 .48555 L
.53565 .48389 L
.53543 .48362 L
.53405 .48169 L
.53372 .48126 L
.53263 .47977 L
.53179 .47884 L
.53078 .47784 L
.52987 .47603 L
.52978 .47591 L
.5284 .47399 L
.52794 .47338 L
.52699 .47206 L
.52601 .4709 L
.52529 .47013 L
.52418 .46821 L
.52409 .46808 L
.52282 .46628 L
.52216 .46539 L
.52142 .46435 L
.52023 .46281 L
.51989 .46242 L
.51867 .4605 L
.51831 .46 L
.51732 .45857 L
.51638 .45728 L
.51594 .45664 L
.51459 .45472 L
.51445 .45453 L
.51329 .45279 L
.51253 .45172 L
.51196 .45086 L
.51062 .44894 L
.5106 .44891 L
.50941 .44701 L
.50867 .44593 L
.50817 .44508 L
F
0 .38 1 r
.50867 .45192 m
.50931 .45279 L
.5106 .45427 L
.51092 .45472 L
.5106 .45639 L
.50954 .45472 L
.50867 .45355 L
.5082 .45279 L
F
1 .29 0 r
.50867 .51064 m
.51028 .51253 L
.5106 .51288 L
.51177 .51445 L
.51253 .51541 L
.51319 .51638 L
.51445 .51816 L
.51454 .51831 L
.51554 .52023 L
.51445 .52044 L
.51426 .52023 L
.51253 .51837 L
.5125 .51831 L
.51099 .51638 L
.5106 .5159 L
.50957 .51445 L
.50867 .51322 L
.50822 .51253 L
F
0 .7 1 r
.50867 .50366 m
.5106 .50462 L
.51092 .50482 L
.51253 .50643 L
.51315 .50674 L
.51445 .50857 L
.51459 .50867 L
.51613 .5106 L
.51638 .51077 L
.51763 .51253 L
.51831 .51333 L
.51935 .51445 L
.52023 .51597 L
.52051 .51638 L
.52192 .51831 L
.52216 .51863 L
.5233 .52023 L
.52409 .52099 L
.52485 .52216 L
.52595 .52409 L
.52601 .52419 L
.52713 .52601 L
.52794 .52751 L
.52815 .52794 L
.52794 .52958 L
.52601 .52889 L
.52513 .52794 L
.52409 .52697 L
.52326 .52601 L
.52216 .52473 L
.52135 .52409 L
.52023 .52234 L
.52006 .52216 L
.51858 .52023 L
.51831 .52008 L
.51713 .51831 L
.51638 .51743 L
.51547 .51638 L
.51445 .5147 L
.5143 .51445 L
.51293 .51253 L
.51253 .51196 L
.51159 .5106 L
.5106 .50957 L
.51016 .50867 L
.50912 .50674 L
.50867 .5059 L
.50822 .50482 L
F
1 .86 0 r
.50867 .54541 m
.51015 .54721 L
.5106 .54771 L
.51175 .54914 L
.51253 .55007 L
.51332 .55106 L
.51445 .5521 L
.51487 .55299 L
.51637 .55492 L
.51638 .55492 L
.51786 .55684 L
.51831 .55741 L
.51935 .55877 L
.52023 .5595 L
.52084 .5607 L
.52216 .56241 L
.52237 .56263 L
.52375 .56455 L
.52409 .56499 L
.5252 .56648 L
.52601 .56719 L
.52666 .56841 L
.52794 .57011 L
.52814 .57033 L
.5295 .57226 L
.52987 .57274 L
.53093 .57419 L
.53179 .57503 L
.53236 .57611 L
.53372 .57797 L
.53378 .57804 L
.53515 .57997 L
.53565 .58064 L
.53655 .58189 L
.53758 .58305 L
.53845 .58382 L
.53933 .58575 L
.5395 .58598 L
.54069 .58768 L
.54143 .58869 L
.54207 .5896 L
.54336 .59135 L
.54353 .59153 L
.54475 .59346 L
.54528 .5942 L
.54608 .59538 L
.54721 .597 L
.54742 .59731 L
.54866 .59924 L
.54914 .59992 L
.54989 .60116 L
.55106 .60296 L
.55114 .60309 L
.55106 .60437 L
.54995 .60309 L
.54914 .60229 L
.54825 .60116 L
.54721 .60001 L
.54662 .59924 L
.54528 .59765 L
.54503 .59731 L
.5435 .59538 L
.54336 .59522 L
.54203 .59346 L
.54143 .59273 L
.54054 .59153 L
.5395 .59024 L
.53903 .5896 L
.53758 .58775 L
.53748 .58768 L
.53611 .58575 L
.53565 .58517 L
.53467 .58382 L
.53372 .58261 L
.5332 .58189 L
.53179 .58008 L
.53167 .57997 L
.53034 .57804 L
.52987 .57745 L
.52892 .57611 L
.52794 .57484 L
.52747 .57419 L
.52602 .57226 L
.52601 .57225 L
.52466 .57033 L
.52409 .5696 L
.52325 .56841 L
.52216 .56696 L
.52182 .56648 L
.52041 .56455 L
.52023 .56432 L
.51906 .56263 L
.51831 .56163 L
.51767 .5607 L
.51638 .55897 L
.51624 .55877 L
.5149 .55684 L
.51445 .55625 L
.51357 .55492 L
.51253 .55352 L
.51218 .55299 L
.51082 .55106 L
.5106 .55076 L
.50956 .54914 L
.50867 .54791 L
.50824 .54721 L
F
1 .56 0 r
.50867 .4437 m
.50985 .44508 L
.5106 .44586 L
.51153 .44701 L
.51253 .44815 L
.51315 .44894 L
.51445 .45031 L
.51473 .45086 L
.51626 .45279 L
.51638 .45293 L
.51776 .45472 L
.51831 .45538 L
.51926 .45664 L
.52023 .45758 L
.52077 .45857 L
.52216 .46034 L
.52231 .4605 L
.52371 .46242 L
.52409 .4629 L
.52517 .46435 L
.52601 .46516 L
.52664 .46628 L
.52794 .46796 L
.52816 .46821 L
.52953 .47013 L
.52987 .47057 L
.53096 .47206 L
.53179 .47289 L
.53241 .47399 L
.53372 .47572 L
.53389 .47591 L
.53525 .47784 L
.53565 .47835 L
.53667 .47977 L
.53758 .48073 L
.53863 .48169 L
.5395 .48358 L
.53954 .48362 L
.54091 .48555 L
.54143 .48623 L
.54231 .48747 L
.54336 .48868 L
.54407 .4894 L
.54513 .49133 L
.54528 .49153 L
.5465 .49326 L
.54721 .49421 L
.54789 .49518 L
.54914 .49678 L
.54944 .49711 L
.55065 .49904 L
.55106 .49959 L
.552 .50096 L
.55299 .50231 L
.55339 .50289 L
.55475 .50482 L
.55492 .50505 L
.55604 .50674 L
.55684 .50785 L
.55738 .50867 L
.55874 .5106 L
.55877 .51064 L
.55994 .51253 L
.5607 .51361 L
.56119 .51445 L
.5607 .51592 L
.55945 .51445 L
.55877 .51372 L
.55779 .51253 L
.55684 .51142 L
.55619 .5106 L
.55492 .50922 L
.55461 .50867 L
.55309 .50674 L
.55299 .50663 L
.55158 .50482 L
.55106 .50418 L
.55007 .50289 L
.54914 .50192 L
.54857 .50096 L
.54721 .49921 L
.54704 .49904 L
.54563 .49711 L
.54528 .49667 L
.54416 .49518 L
.54336 .49435 L
.5427 .49326 L
.54143 .4916 L
.5412 .49133 L
.53981 .4894 L
.5395 .489 L
.53837 .48747 L
.53758 .48663 L
.53635 .48555 L
.53565 .48385 L
.53546 .48362 L
.53408 .48169 L
.53372 .48122 L
.53266 .47977 L
.53179 .4788 L
.53082 .47784 L
.52987 .47599 L
.52981 .47591 L
.52843 .47399 L
.52794 .47334 L
.52702 .47206 L
.52601 .47085 L
.52533 .47013 L
.52422 .46821 L
.52409 .46804 L
.52285 .46628 L
.52216 .46535 L
.52145 .46435 L
.52023 .46276 L
.51994 .46242 L
.51871 .4605 L
.51831 .45995 L
.51735 .45857 L
.51638 .45722 L
.51598 .45664 L
.51463 .45472 L
.51445 .45447 L
.51334 .45279 L
.51253 .45166 L
.512 .45086 L
.51068 .44894 L
.5106 .44882 L
.50949 .44701 L
.50867 .44581 L
.50826 .44508 L
F
1 .28 0 r
.50867 .51071 m
.51023 .51253 L
.5106 .51294 L
.51173 .51445 L
.51253 .51546 L
.51315 .51638 L
.51445 .51823 L
.5145 .51831 L
.51544 .52023 L
.51445 .52036 L
.51433 .52023 L
.51255 .51831 L
.51253 .51828 L
.51104 .51638 L
.5106 .51584 L
.50961 .51445 L
.50867 .51316 L
.50826 .51253 L
F
0 .69 1 r
.50867 .50379 m
.5106 .50467 L
.51084 .50482 L
.51253 .50647 L
.51308 .50674 L
.51445 .5086 L
.51455 .50867 L
.5161 .5106 L
.51638 .51079 L
.5176 .51253 L
.51831 .51336 L
.51933 .51445 L
.52023 .516 L
.52049 .51638 L
.5219 .51831 L
.52216 .51866 L
.52327 .52023 L
.52409 .52103 L
.52481 .52216 L
.52592 .52409 L
.52601 .52424 L
.52709 .52601 L
.52794 .52762 L
.52809 .52794 L
.52794 .52942 L
.52601 .52882 L
.5252 .52794 L
.52409 .52692 L
.5233 .52601 L
.52216 .52469 L
.52139 .52409 L
.52023 .52231 L
.52009 .52216 L
.51861 .52023 L
.51831 .52007 L
.51716 .51831 L
.51638 .5174 L
.5155 .51638 L
.51445 .51466 L
.51432 .51445 L
.51295 .51253 L
.51253 .51193 L
.51161 .5106 L
.5106 .50949 L
.5102 .50867 L
.50916 .50674 L
.50867 .50578 L
.50829 .50482 L
F
0 .66 1 r
.50867 .5538 m
.50947 .55492 L
.5106 .55631 L
.51099 .55684 L
.5106 .55817 L
.50974 .55684 L
.50867 .55551 L
.50829 .55492 L
F
0 .37 1 r
.50867 .45206 m
.50921 .45279 L
.5106 .45437 L
.51085 .45472 L
.5106 .45628 L
.50963 .45472 L
.50867 .45342 L
.5083 .45279 L
F
1 .27 0 r
.50867 .51079 m
.51017 .51253 L
.5106 .513 L
.51168 .51445 L
.51253 .51552 L
.51311 .51638 L
.51445 .5183 L
.51446 .51831 L
.51533 .52023 L
.51445 .52028 L
.51441 .52023 L
.51261 .51831 L
.51253 .51821 L
.51109 .51638 L
.5106 .51578 L
.50965 .51445 L
.50867 .51309 L
.50831 .51253 L
F
1 .55 0 r
.50867 .44386 m
.50974 .44508 L
.5106 .44597 L
.51145 .44701 L
.51253 .44823 L
.51309 .44894 L
.51445 .45041 L
.51468 .45086 L
.51621 .45279 L
.51638 .45299 L
.51771 .45472 L
.51831 .45544 L
.51922 .45664 L
.52023 .45763 L
.52073 .45857 L
.52216 .46039 L
.52226 .4605 L
.52368 .46242 L
.52409 .46294 L
.52514 .46435 L
.52601 .4652 L
.52661 .46628 L
.52794 .468 L
.52813 .46821 L
.5295 .47013 L
.52987 .47061 L
.53093 .47206 L
.53179 .47293 L
.53238 .47399 L
.53372 .47575 L
.53386 .47591 L
.53523 .47784 L
.53565 .47839 L
.53664 .47977 L
.53758 .48077 L
.53859 .48169 L
.5395 .48362 L
.53951 .48362 L
.54088 .48555 L
.54143 .48627 L
.54229 .48747 L
.54336 .48872 L
.54403 .4894 L
.5451 .49133 L
.54528 .49157 L
.54647 .49326 L
.54721 .49425 L
.54786 .49518 L
.54914 .49684 L
.54939 .49711 L
.55062 .49904 L
.55106 .49964 L
.55197 .50096 L
.55299 .50236 L
.55335 .50289 L
.55471 .50482 L
.55492 .5051 L
.556 .50674 L
.55684 .50791 L
.55734 .50867 L
.55868 .5106 L
.55877 .51073 L
.55987 .51253 L
.5607 .51373 L
.56111 .51445 L
.5607 .51579 L
.55955 .51445 L
.55877 .51363 L
.55787 .51253 L
.55684 .51134 L
.55625 .5106 L
.55492 .50913 L
.55467 .50867 L
.55314 .50674 L
.55299 .50657 L
.55163 .50482 L
.55106 .50412 L
.55012 .50289 L
.54914 .50187 L
.54861 .50096 L
.54721 .49916 L
.54709 .49904 L
.54567 .49711 L
.54528 .49662 L
.5442 .49518 L
.54336 .4943 L
.54273 .49326 L
.54143 .49156 L
.54123 .49133 L
.53984 .4894 L
.5395 .48896 L
.5384 .48747 L
.53758 .48659 L
.53638 .48555 L
.53565 .48381 L
.53549 .48362 L
.53411 .48169 L
.53372 .48118 L
.53269 .47977 L
.53179 .47876 L
.53085 .47784 L
.52987 .47595 L
.52984 .47591 L
.52846 .47399 L
.52794 .4733 L
.52705 .47206 L
.52601 .47081 L
.52538 .47013 L
.52425 .46821 L
.52409 .46799 L
.52288 .46628 L
.52216 .46531 L
.52148 .46435 L
.52023 .4627 L
.51999 .46242 L
.51874 .4605 L
.51831 .4599 L
.51739 .45857 L
.51638 .45717 L
.51601 .45664 L
.51468 .45472 L
.51445 .45441 L
.51338 .45279 L
.51253 .45159 L
.51205 .45086 L
.51075 .44894 L
.5106 .44873 L
.50957 .44701 L
.50867 .44567 L
.50834 .44508 L
F
1 .26 0 r
.50867 .51087 m
.51011 .51253 L
.5106 .51306 L
.51164 .51445 L
.51253 .51558 L
.51307 .51638 L
.51253 .51815 L
.51114 .51638 L
.5106 .51572 L
.5097 .51445 L
.50867 .51302 L
.50835 .51253 L
F
1 .85 0 r
.50867 .4871 m
.50899 .48747 L
.50867 .48804 L
.50836 .48747 L
F
0 .68 1 r
.50867 .50393 m
.5106 .50472 L
.51076 .50482 L
.51253 .50651 L
.51301 .50674 L
.51445 .50862 L
.51452 .50867 L
.51607 .5106 L
.51638 .51082 L
.51757 .51253 L
.51831 .51339 L
.5193 .51445 L
.52023 .51604 L
.52047 .51638 L
.52187 .51831 L
.52216 .5187 L
.52325 .52023 L
.52409 .52108 L
.52478 .52216 L
.52588 .52409 L
.52601 .52429 L
.52705 .52601 L
.52794 .52775 L
.52802 .52794 L
.52794 .52922 L
.52601 .52874 L
.52527 .52794 L
.52409 .52687 L
.52334 .52601 L
.52216 .52465 L
.52143 .52409 L
.52023 .52228 L
.52012 .52216 L
.51864 .52023 L
.51831 .52005 L
.51718 .51831 L
.51638 .51737 L
.51552 .51638 L
.51445 .51463 L
.51434 .51445 L
.51298 .51253 L
.51253 .51189 L
.51164 .5106 L
.5106 .50941 L
.51024 .50867 L
.50921 .50674 L
.50867 .50566 L
.50837 .50482 L
F
0 .81 1 r
.50867 .43564 m
.51035 .43737 L
.5106 .43762 L
.51207 .4393 L
.51253 .43979 L
.51374 .44123 L
.51445 .4415 L
.51536 .44316 L
.51638 .44431 L
.51755 .44508 L
.51831 .44678 L
.51852 .44701 L
.52002 .44894 L
.52023 .44901 L
.52154 .45086 L
.52216 .45159 L
.52353 .45279 L
.52409 .45415 L
.52455 .45472 L
.52601 .45664 L
.52602 .45664 L
.52749 .45857 L
.52794 .45911 L
.5293 .4605 L
.52987 .46171 L
.5304 .46242 L
.53179 .46426 L
.53181 .46435 L
.53332 .46628 L
.53372 .46676 L
.53502 .46821 L
.53565 .4694 L
.53616 .47013 L
.53758 .47198 L
.53758 .47206 L
.53908 .47399 L
.5395 .4745 L
.54071 .47591 L
.54143 .47716 L
.54188 .47784 L
.54336 .47974 L
.54338 .47977 L
.5448 .48169 L
.54528 .4823 L
.54637 .48362 L
.54721 .48497 L
.54756 .48555 L
.54906 .48747 L
.54914 .48753 L
.55048 .4894 L
.55106 .49013 L
.55202 .49133 L
.55299 .49282 L
.55323 .49326 L
.55472 .49518 L
.55492 .49533 L
.55672 .49711 L
.55684 .49801 L
.55764 .49904 L
.55877 .50071 L
.5589 .50096 L
.56036 .50289 L
.5607 .50317 L
.56227 .50482 L
.56263 .50592 L
.56324 .50674 L
.56455 .50863 L
.56457 .50867 L
.56597 .5106 L
.56648 .51106 L
.5678 .51253 L
.56841 .51387 L
.56882 .51445 L
.57017 .51638 L
.57033 .51659 L
.57155 .51831 L
.57226 .51902 L
.57329 .52023 L
.57419 .52189 L
.57437 .52216 L
.57572 .52409 L
.57611 .52462 L
.57709 .52601 L
.57804 .5271 L
.57872 .52794 L
.57987 .52987 L
.57997 .53 L
.58121 .53179 L
.58189 .53273 L
.58258 .53372 L
.58382 .53537 L
.58403 .53565 L
.58527 .53758 L
.58575 .53823 L
.5866 .5395 L
.58768 .54102 L
.58795 .54143 L
.58923 .54336 L
.5896 .54388 L
.59048 .54528 L
.59153 .54683 L
.59176 .54721 L
.59288 .54914 L
.59346 .55008 L
.59386 .55106 L
.59346 .5516 L
.59288 .55106 L
.59153 .54978 L
.59094 .54914 L
.5896 .54792 L
.5892 .54721 L
.58768 .54546 L
.58742 .54528 L
.58594 .54336 L
.58575 .54314 L
.58436 .54143 L
.58382 .541 L
.58279 .5395 L
.58189 .5384 L
.58099 .53758 L
.57997 .53591 L
.57976 .53565 L
.57824 .53372 L
.57804 .53355 L
.57674 .53179 L
.57611 .531 L
.57506 .52987 L
.57419 .52843 L
.57385 .52794 L
.57232 .52601 L
.57226 .52596 L
.57085 .52409 L
.57033 .52342 L
.56926 .52216 L
.56841 .5208 L
.56805 .52023 L
.5665 .51831 L
.56648 .51829 L
.56506 .51638 L
.56455 .51572 L
.56353 .51445 L
.56263 .51308 L
.56232 .51253 L
.56075 .5106 L
.5607 .51055 L
.55882 .50867 L
.55877 .50795 L
.55784 .50674 L
.55684 .50529 L
.55661 .50482 L
.55505 .50289 L
.55492 .50276 L
.55321 .50096 L
.55299 .50013 L
.55217 .49904 L
.55106 .49746 L
.55092 .49711 L
.54937 .49518 L
.54914 .49494 L
.5476 .49326 L
.54721 .49227 L
.54653 .49133 L
.54528 .4896 L
.54522 .4894 L
.54373 .48747 L
.54336 .48709 L
.542 .48555 L
.54143 .48438 L
.54091 .48362 L
.5395 .48171 L
.5395 .48169 L
.5381 .47977 L
.53758 .4792 L
.53642 .47784 L
.53565 .47645 L
.5353 .47591 L
.53389 .47399 L
.53372 .47376 L
.53251 .47206 L
.53179 .47126 L
.53088 .47013 L
.52987 .46846 L
.52971 .46821 L
.52832 .46628 L
.52794 .46576 L
.52694 .46435 L
.52601 .46323 L
.52539 .46242 L
.52416 .4605 L
.52409 .46041 L
.5228 .45857 L
.52216 .45769 L
.52143 .45664 L
.52023 .45507 L
.51997 .45472 L
.5187 .45279 L
.51831 .45225 L
.51736 .45086 L
.51638 .44989 L
.51559 .44894 L
.51466 .44701 L
.51445 .44672 L
.51338 .44508 L
.51253 .44386 L
.51207 .44316 L
.51078 .44123 L
.5106 .44097 L
.5096 .4393 L
.50867 .43787 L
.5084 .43737 L
F
1 .25 0 r
.50867 .51096 m
.51005 .51253 L
.5106 .51312 L
.51159 .51445 L
.51253 .51564 L
.51302 .51638 L
.51253 .51808 L
.51119 .51638 L
.5106 .51566 L
.50975 .51445 L
.50867 .51295 L
.5084 .51253 L
F
0 .36 1 r
.50867 .45222 m
.50908 .45279 L
.5106 .45447 L
.51077 .45472 L
.5106 .45615 L
.50974 .45472 L
.50867 .45326 L
.50841 .45279 L
F
1 .54 0 r
.50867 .44404 m
.50961 .44508 L
.5106 .44607 L
.51137 .44701 L
.51253 .44831 L
.51302 .44894 L
.51445 .45052 L
.51462 .45086 L
.51616 .45279 L
.51638 .45305 L
.51767 .45472 L
.51831 .45549 L
.51918 .45664 L
.52023 .45769 L
.5207 .45857 L
.52216 .46045 L
.52221 .4605 L
.52364 .46242 L
.52409 .46298 L
.52511 .46435 L
.52601 .46525 L
.52658 .46628 L
.52794 .46805 L
.52809 .46821 L
.52947 .47013 L
.52987 .47064 L
.5309 .47206 L
.53179 .47297 L
.53235 .47399 L
.53372 .47579 L
.53382 .47591 L
.5352 .47784 L
.53565 .47842 L
.53662 .47977 L
.53758 .48081 L
.53855 .48169 L
.53948 .48362 L
.5395 .48365 L
.54085 .48555 L
.54143 .48631 L
.54226 .48747 L
.54336 .48877 L
.54398 .4894 L
.54507 .49133 L
.54528 .49161 L
.54644 .49326 L
.54721 .49429 L
.54783 .49518 L
.54914 .49689 L
.54933 .49711 L
.55058 .49904 L
.55106 .49968 L
.55194 .50096 L
.55299 .50241 L
.55332 .50289 L
.55466 .50482 L
.55492 .50516 L
.55596 .50674 L
.55684 .50797 L
.55729 .50867 L
.55861 .5106 L
.55877 .51082 L
.5598 .51253 L
.5607 .51385 L
.56103 .51445 L
.5607 .51564 L
.55966 .51445 L
.55877 .51353 L
.55795 .51253 L
.55684 .51126 L
.55631 .5106 L
.55492 .50903 L
.55472 .50867 L
.55319 .50674 L
.55299 .50651 L
.55168 .50482 L
.55106 .50406 L
.55016 .50289 L
.54914 .50181 L
.54865 .50096 L
.54721 .49911 L
.54714 .49904 L
.5457 .49711 L
.54528 .49658 L
.54423 .49518 L
.54336 .49426 L
.54276 .49326 L
.54143 .49151 L
.54127 .49133 L
.53987 .4894 L
.5395 .48892 L
.53843 .48747 L
.53758 .48655 L
.53642 .48555 L
.53565 .48377 L
.53553 .48362 L
.53414 .48169 L
.53372 .48115 L
.53272 .47977 L
.53179 .47872 L
.53089 .47784 L
.52987 .47591 L
.52987 .47591 L
.52848 .47399 L
.52794 .47326 L
.52708 .47206 L
.52601 .47076 L
.52542 .47013 L
.52428 .46821 L
.52409 .46795 L
.52291 .46628 L
.52216 .46527 L
.52151 .46435 L
.52023 .46264 L
.52004 .46242 L
.51878 .4605 L
.51831 .45985 L
.51743 .45857 L
.51638 .45712 L
.51605 .45664 L
.51472 .45472 L
.51445 .45435 L
.51343 .45279 L
.51253 .45151 L
.5121 .45086 L
.51082 .44894 L
.5106 .44862 L
.50965 .44701 L
.50867 .44552 L
.50844 .44508 L
F
0 .67 1 r
.50867 .50409 m
.5106 .50477 L
.51068 .50482 L
.51253 .50655 L
.51294 .50674 L
.51445 .50865 L
.51448 .50867 L
.51604 .5106 L
.51638 .51084 L
.51755 .51253 L
.51831 .51342 L
.51928 .51445 L
.52023 .51607 L
.52045 .51638 L
.52185 .51831 L
.52216 .51873 L
.52322 .52023 L
.52409 .52112 L
.52475 .52216 L
.52585 .52409 L
.52601 .52435 L
.527 .52601 L
.52794 .5279 L
.52795 .52794 L
.52794 .52898 L
.52601 .52867 L
.52534 .52794 L
.52409 .52681 L
.52339 .52601 L
.52216 .52461 L
.52147 .52409 L
.52023 .52225 L
.52014 .52216 L
.51866 .52023 L
.51831 .52003 L
.5172 .51831 L
.51638 .51734 L
.51555 .51638 L
.51445 .5146 L
.51436 .51445 L
.513 .51253 L
.51253 .51185 L
.51167 .5106 L
.5106 .50933 L
.51028 .50867 L
.50926 .50674 L
.50867 .50551 L
.50845 .50482 L
F
0 .65 1 r
.50867 .55407 m
.50926 .55492 L
.5106 .55653 L
.51082 .55684 L
.5106 .55794 L
.50993 .55684 L
.50867 .55528 L
.50845 .55492 L
F
1 .24 0 r
.50867 .51105 m
.50999 .51253 L
.5106 .51319 L
.51154 .51445 L
.51253 .5157 L
.51298 .51638 L
.51253 .518 L
.51125 .51638 L
.5106 .51559 L
.5098 .51445 L
.50867 .51287 L
.50846 .51253 L
F
1 .85 0 r
.50867 .54583 m
.50984 .54721 L
.5106 .54802 L
.51151 .54914 L
.51253 .55033 L
.51311 .55106 L
.51445 .55248 L
.51468 .55299 L
.51619 .55492 L
.51638 .55514 L
.51769 .55684 L
.51831 .55761 L
.5192 .55877 L
.52023 .55974 L
.5207 .5607 L
.52216 .56262 L
.52217 .56263 L
.52361 .56455 L
.52409 .56517 L
.52507 .56648 L
.52601 .56738 L
.52653 .56841 L
.52794 .5703 L
.52797 .57033 L
.52937 .57226 L
.52987 .57291 L
.5308 .57419 L
.53179 .57524 L
.53223 .57611 L
.53363 .57804 L
.53372 .57816 L
.53502 .57997 L
.53565 .58082 L
.53642 .58189 L
.53758 .5833 L
.53817 .58382 L
.53918 .58575 L
.5395 .58618 L
.54054 .58768 L
.54143 .5889 L
.54192 .5896 L
.54327 .59153 L
.54336 .59165 L
.54456 .59346 L
.54528 .59447 L
.54588 .59538 L
.54721 .59731 L
.54721 .59731 L
.54836 .59924 L
.54914 .60041 L
.54954 .60116 L
.54914 .60181 L
.54861 .60116 L
.54721 .59969 L
.54686 .59924 L
.54528 .59739 L
.54522 .59731 L
.54371 .59538 L
.54336 .59498 L
.5422 .59346 L
.54143 .59253 L
.54069 .59153 L
.5395 .59006 L
.53916 .5896 L
.53767 .58768 L
.53758 .58756 L
.53624 .58575 L
.53565 .58501 L
.53479 .58382 L
.53372 .58246 L
.53331 .58189 L
.53184 .57997 L
.53179 .57991 L
.53045 .57804 L
.52987 .5773 L
.52902 .57611 L
.52794 .57471 L
.52757 .57419 L
.52614 .57226 L
.52601 .5721 L
.52476 .57033 L
.52409 .56946 L
.52336 .56841 L
.52216 .56683 L
.52192 .56648 L
.52053 .56455 L
.52023 .56417 L
.51918 .56263 L
.51831 .56148 L
.51778 .5607 L
.51638 .55881 L
.51635 .55877 L
.51504 .55684 L
.51445 .55606 L
.5137 .55492 L
.51253 .55332 L
.51231 .55299 L
.51102 .55106 L
.5106 .5505 L
.50977 .54914 L
.50867 .54759 L
.50846 .54721 L
F
1 .23 0 r
.50867 .51115 m
.50991 .51253 L
.5106 .51326 L
.51149 .51445 L
.51253 .51577 L
.51293 .51638 L
.51253 .51793 L
.51131 .51638 L
.5106 .51552 L
.50985 .51445 L
.50867 .51279 L
.50851 .51253 L
F
0 .66 1 r
.50867 .50429 m
.51058 .50482 L
.5106 .50483 L
.51253 .50659 L
.51286 .50674 L
.51444 .50867 L
.51445 .50868 L
.51601 .5106 L
.51638 .51086 L
.51752 .51253 L
.51831 .51345 L
.51925 .51445 L
.52023 .5161 L
.52043 .51638 L
.52182 .51831 L
.52216 .51876 L
.5232 .52023 L
.52409 .52117 L
.52472 .52216 L
.52581 .52409 L
.52601 .52441 L
.52696 .52601 L
.52787 .52794 L
.52601 .52858 L
.52542 .52794 L
.52409 .52676 L
.52343 .52601 L
.52216 .52457 L
.52152 .52409 L
.52023 .52222 L
.52017 .52216 L
.51869 .52023 L
.51831 .52002 L
.51723 .51831 L
.51638 .51731 L
.51557 .51638 L
.51445 .51456 L
.51438 .51445 L
.51303 .51253 L
.51253 .51182 L
.51169 .5106 L
.5106 .50924 L
.51033 .50867 L
.5093 .50674 L
.50867 .50534 L
.50853 .50482 L
F
1 .53 0 r
.50867 .44426 m
.50945 .44508 L
.5106 .44619 L
.51128 .44701 L
.51253 .4484 L
.51296 .44894 L
.51445 .45063 L
.51457 .45086 L
.5161 .45279 L
.51638 .45311 L
.51762 .45472 L
.51831 .45555 L
.51914 .45664 L
.52023 .45776 L
.52066 .45857 L
.52216 .4605 L
.52216 .4605 L
.52361 .46242 L
.52409 .46303 L
.52507 .46435 L
.52601 .46529 L
.52655 .46628 L
.52794 .46809 L
.52805 .46821 L
.52944 .47013 L
.52987 .47068 L
.53088 .47206 L
.53179 .47301 L
.53233 .47399 L
.53372 .47583 L
.53379 .47591 L
.53517 .47784 L
.53565 .47846 L
.53659 .47977 L
.53758 .48085 L
.5385 .48169 L
.53945 .48362 L
.5395 .48369 L
.54083 .48555 L
.54143 .48634 L
.54223 .48747 L
.54336 .48881 L
.54394 .4894 L
.54504 .49133 L
.54528 .49164 L
.54641 .49326 L
.54721 .49433 L
.54781 .49518 L
.54914 .49695 L
.54928 .49711 L
.55055 .49904 L
.55106 .49973 L
.5519 .50096 L
.55299 .50246 L
.55329 .50289 L
.55462 .50482 L
.55492 .50522 L
.55591 .50674 L
.55684 .50804 L
.55725 .50867 L
.55855 .5106 L
.55877 .51091 L
.55972 .51253 L
.5607 .514 L
.56093 .51445 L
.5607 .51546 L
.55979 .51445 L
.55877 .51342 L
.55803 .51253 L
.55684 .51118 L
.55637 .5106 L
.55492 .50893 L
.55478 .50867 L
.55325 .50674 L
.55299 .50644 L
.55172 .50482 L
.55106 .50401 L
.5502 .50289 L
.54914 .50175 L
.54869 .50096 L
.54721 .49906 L
.54719 .49904 L
.54574 .49711 L
.54528 .49653 L
.54427 .49518 L
.54336 .49421 L
.54279 .49326 L
.54143 .49147 L
.54131 .49133 L
.5399 .4894 L
.5395 .48888 L
.53846 .48747 L
.53758 .48651 L
.53647 .48555 L
.53565 .48373 L
.53556 .48362 L
.53417 .48169 L
.53372 .48111 L
.53274 .47977 L
.53179 .47868 L
.53093 .47784 L
.5299 .47591 L
.52987 .47587 L
.52851 .47399 L
.52794 .47322 L
.52711 .47206 L
.52601 .47072 L
.52546 .47013 L
.52431 .46821 L
.52409 .46791 L
.52294 .46628 L
.52216 .46522 L
.52155 .46435 L
.52023 .46258 L
.52009 .46242 L
.51882 .4605 L
.51831 .4598 L
.51746 .45857 L
.51638 .45707 L
.51609 .45664 L
.51477 .45472 L
.51445 .45428 L
.51348 .45279 L
.51253 .45144 L
.51215 .45086 L
.51089 .44894 L
.5106 .44851 L
.50974 .44701 L
.50867 .44533 L
.50855 .44508 L
F
0 .35 1 r
.50867 .45245 m
.50891 .45279 L
.5106 .45459 L
.51069 .45472 L
.5106 .45601 L
.50987 .45472 L
.50867 .45304 L
.50855 .45279 L
F
0 .8 1 r
.50867 .43599 m
.51011 .43737 L
.5106 .43783 L
.51192 .4393 L
.51253 .43994 L
.51362 .44123 L
.51445 .4416 L
.51526 .44316 L
.51638 .44443 L
.51741 .44508 L
.51831 .44688 L
.51843 .44701 L
.51995 .44894 L
.52023 .44904 L
.52148 .45086 L
.52216 .45166 L
.52348 .45279 L
.52409 .45422 L
.5245 .45472 L
.52597 .45664 L
.52601 .45666 L
.52745 .45857 L
.52794 .45916 L
.52927 .4605 L
.52987 .46176 L
.53037 .46242 L
.53179 .4643 L
.53181 .46435 L
.53329 .46628 L
.53372 .4668 L
.53499 .46821 L
.53565 .46944 L
.53614 .47013 L
.53758 .47201 L
.53758 .47206 L
.53906 .47399 L
.5395 .47454 L
.54069 .47591 L
.54143 .47719 L
.54186 .47784 L
.54335 .47977 L
.54336 .47977 L
.54477 .48169 L
.54528 .48233 L
.54635 .48362 L
.54721 .485 L
.54755 .48555 L
.54904 .48747 L
.54914 .48754 L
.55045 .4894 L
.55106 .49016 L
.552 .49133 L
.55299 .49285 L
.55322 .49326 L
.5547 .49518 L
.55492 .49535 L
.55671 .49711 L
.55684 .49803 L
.55762 .49904 L
.55877 .50073 L
.55889 .50096 L
.56033 .50289 L
.5607 .50319 L
.56225 .50482 L
.56263 .50595 L
.56322 .50674 L
.56455 .50866 L
.56456 .50867 L
.56594 .5106 L
.56648 .51109 L
.56778 .51253 L
.56841 .51391 L
.5688 .51445 L
.57015 .51638 L
.57033 .51663 L
.57152 .51831 L
.57226 .51906 L
.57326 .52023 L
.57419 .52194 L
.57434 .52216 L
.57569 .52409 L
.57611 .52466 L
.57706 .52601 L
.57804 .52715 L
.57868 .52794 L
.57983 .52987 L
.57997 .53005 L
.58117 .53179 L
.58189 .53279 L
.58253 .53372 L
.58382 .53546 L
.58397 .53565 L
.58522 .53758 L
.58575 .53831 L
.58654 .5395 L
.58768 .54111 L
.58788 .54143 L
.58915 .54336 L
.5896 .54401 L
.59038 .54528 L
.59153 .547 L
.59165 .54721 L
.59268 .54914 L
.59153 .54955 L
.59114 .54914 L
.5896 .54767 L
.58934 .54721 L
.58768 .5453 L
.58764 .54528 L
.58604 .54336 L
.58575 .54302 L
.58445 .54143 L
.58382 .54092 L
.58287 .5395 L
.58189 .53831 L
.58106 .53758 L
.57997 .53584 L
.57982 .53565 L
.5783 .53372 L
.57804 .5335 L
.57679 .53179 L
.57611 .53094 L
.5751 .52987 L
.57419 .52837 L
.57388 .52794 L
.57236 .52601 L
.57226 .52592 L
.57089 .52409 L
.57033 .52337 L
.5693 .52216 L
.56841 .52075 L
.56808 .52023 L
.56653 .51831 L
.56648 .51825 L
.56509 .51638 L
.56455 .51568 L
.56356 .51445 L
.56263 .51304 L
.56233 .51253 L
.56078 .5106 L
.5607 .51052 L
.55882 .50867 L
.55877 .50792 L
.55786 .50674 L
.55684 .50526 L
.55663 .50482 L
.55507 .50289 L
.55492 .50274 L
.55322 .50096 L
.55299 .5001 L
.55219 .49904 L
.55106 .49743 L
.55093 .49711 L
.5494 .49518 L
.54914 .49492 L
.54761 .49326 L
.54721 .49224 L
.54655 .49133 L
.54528 .48957 L
.54523 .4894 L
.54375 .48747 L
.54336 .48707 L
.54202 .48555 L
.54143 .48435 L
.54093 .48362 L
.53952 .48169 L
.5395 .48168 L
.53813 .47977 L
.53758 .47918 L
.53645 .47784 L
.53565 .47641 L
.53532 .47591 L
.53392 .47399 L
.53372 .47372 L
.53253 .47206 L
.53179 .47123 L
.53091 .47013 L
.52987 .46842 L
.52973 .46821 L
.52835 .46628 L
.52794 .46572 L
.52697 .46435 L
.52601 .46319 L
.52542 .46242 L
.52419 .4605 L
.52409 .46036 L
.52284 .45857 L
.52216 .45764 L
.52146 .45664 L
.52023 .455 L
.52002 .45472 L
.51875 .45279 L
.51831 .45218 L
.51741 .45086 L
.51638 .44978 L
.51568 .44894 L
.51473 .44701 L
.51445 .44662 L
.51345 .44508 L
.51253 .44375 L
.51214 .44316 L
.51089 .44123 L
.5106 .4408 L
.50973 .4393 L
.50867 .4376 L
.50856 .43737 L
F
1 .22 0 r
.50867 .51127 m
.50983 .51253 L
.5106 .51333 L
.51143 .51445 L
.51253 .51584 L
.51288 .51638 L
.51253 .51784 L
.51137 .51638 L
.5106 .51545 L
.5099 .51445 L
.50867 .5127 L
.50857 .51253 L
F
0 .65 1 r
.50867 .50454 m
.51046 .50482 L
.5106 .5049 L
.51253 .50663 L
.51278 .50674 L
.51441 .50867 L
.51445 .50872 L
.51598 .5106 L
.51638 .51088 L
.5175 .51253 L
.51831 .51348 L
.51923 .51445 L
.52023 .51613 L
.5204 .51638 L
.5218 .51831 L
.52216 .5188 L
.52317 .52023 L
.52409 .52122 L
.52468 .52216 L
.52578 .52409 L
.52601 .52446 L
.52691 .52601 L
.52778 .52794 L
.52601 .5285 L
.5255 .52794 L
.52409 .52671 L
.52348 .52601 L
.52216 .52453 L
.52156 .52409 L
.52023 .52219 L
.5202 .52216 L
.51871 .52023 L
.51831 .52 L
.51725 .51831 L
.51638 .51728 L
.5156 .51638 L
.51445 .51453 L
.5144 .51445 L
.51305 .51253 L
.51253 .51178 L
.51172 .5106 L
.5106 .50915 L
.51037 .50867 L
.50935 .50674 L
.50867 .50509 L
.50862 .50482 L
F
1 .21 0 r
.50867 .51141 m
.50974 .51253 L
.5106 .5134 L
.51137 .51445 L
.51253 .51591 L
.51283 .51638 L
.51253 .51776 L
.51144 .51638 L
.5106 .51538 L
.50996 .51445 L
.50867 .5126 L
.50863 .51253 L
F
0 .64 1 r
.50867 .55454 m
.50889 .55492 L
.5106 .55682 L
.51061 .55684 L
.5106 .55757 L
.51027 .55684 L
.50867 .55494 L
.50866 .55492 L
F
.5106 .50497 m
.51253 .50667 L
.5127 .50674 L
.51437 .50867 L
.51445 .50877 L
.51595 .5106 L
.51638 .51091 L
.51747 .51253 L
.51831 .51351 L
.5192 .51445 L
.52023 .51616 L
.52038 .51638 L
.52178 .51831 L
.52216 .51883 L
.52315 .52023 L
.52409 .52127 L
.52465 .52216 L
.52574 .52409 L
.52601 .52452 L
.52687 .52601 L
.52769 .52794 L
.52601 .52841 L
.52558 .52794 L
.52409 .52666 L
.52352 .52601 L
.52216 .52449 L
.52161 .52409 L
.52023 .52216 L
.52023 .52216 L
.51874 .52023 L
.51831 .51998 L
.51727 .51831 L
.51638 .51725 L
.51562 .51638 L
.51445 .5145 L
.51442 .51445 L
.51308 .51253 L
.51253 .51174 L
.51175 .5106 L
.5106 .50906 L
.51042 .50867 L
.5094 .50674 L
F
0 .63 1 r
.5106 .50505 m
.51253 .50671 L
.51261 .50674 L
.51433 .50867 L
.51445 .50881 L
.51592 .5106 L
.51638 .51093 L
.51744 .51253 L
.51831 .51355 L
.51917 .51445 L
.52023 .5162 L
.52036 .51638 L
.52175 .51831 L
.52216 .51887 L
.52312 .52023 L
.52409 .52132 L
.52461 .52216 L
.5257 .52409 L
.52601 .52459 L
.52682 .52601 L
.52758 .52794 L
.52601 .52831 L
.52567 .52794 L
.52409 .52661 L
.52357 .52601 L
.52216 .52445 L
.52166 .52409 L
.52026 .52216 L
.52023 .52213 L
.51877 .52023 L
.51831 .51996 L
.5173 .51831 L
.51638 .51721 L
.51565 .51638 L
.51445 .51446 L
.51445 .51445 L
.5131 .51253 L
.51253 .5117 L
.51178 .5106 L
.5106 .50896 L
.51046 .50867 L
.50945 .50674 L
F
0 .62 1 r
.5106 .50512 m
.51252 .50674 L
.51253 .50675 L
.51429 .50867 L
.51445 .50885 L
.51589 .5106 L
.51638 .51096 L
.51742 .51253 L
.51831 .51358 L
.51915 .51445 L
.52023 .51623 L
.52034 .51638 L
.52173 .51831 L
.52216 .5189 L
.52309 .52023 L
.52409 .52138 L
.52458 .52216 L
.52567 .52409 L
.52601 .52465 L
.52678 .52601 L
.52746 .52794 L
.52601 .52821 L
.52576 .52794 L
.52409 .52655 L
.52361 .52601 L
.52216 .52441 L
.52171 .52409 L
.52029 .52216 L
.52023 .52209 L
.51879 .52023 L
.51831 .51994 L
.51732 .51831 L
.51638 .51718 L
.51568 .51638 L
.51447 .51445 L
.51445 .51443 L
.51313 .51253 L
.51253 .51166 L
.5118 .5106 L
.5106 .50886 L
.51051 .50867 L
.5095 .50674 L
F
0 .61 1 r
.5106 .5052 m
.51246 .50674 L
.51253 .5068 L
.51425 .50867 L
.51445 .50889 L
.51586 .5106 L
.51638 .51098 L
.51739 .51253 L
.51831 .51361 L
.51912 .51445 L
.52023 .51626 L
.52031 .51638 L
.5217 .51831 L
.52216 .51894 L
.52307 .52023 L
.52409 .52143 L
.52454 .52216 L
.52563 .52409 L
.52601 .52472 L
.52673 .52601 L
.52733 .52794 L
.52601 .5281 L
.52586 .52794 L
.52409 .5265 L
.52366 .52601 L
.52216 .52437 L
.52176 .52409 L
.52032 .52216 L
.52023 .52206 L
.51882 .52023 L
.51831 .51992 L
.51735 .51831 L
.51638 .51715 L
.5157 .51638 L
.5145 .51445 L
.51445 .51439 L
.51315 .51253 L
.51253 .51163 L
.51183 .5106 L
.5106 .50875 L
.51056 .50867 L
.50955 .50674 L
F
0 .6 1 r
.5106 .50528 m
.5124 .50674 L
.51253 .50685 L
.51421 .50867 L
.51445 .50893 L
.51582 .5106 L
.51638 .51101 L
.51736 .51253 L
.51831 .51365 L
.51909 .51445 L
.52023 .5163 L
.52029 .51638 L
.52167 .51831 L
.52216 .51897 L
.52304 .52023 L
.52409 .52149 L
.5245 .52216 L
.52559 .52409 L
.52601 .52478 L
.52668 .52601 L
.52716 .52794 L
.52601 .52798 L
.52597 .52794 L
.52409 .52644 L
.52371 .52601 L
.52216 .52433 L
.52181 .52409 L
.52035 .52216 L
.52023 .52202 L
.51884 .52023 L
.51831 .5199 L
.51737 .51831 L
.51638 .51712 L
.51573 .51638 L
.51452 .51445 L
.51445 .51436 L
.51318 .51253 L
.51253 .51159 L
.51186 .5106 L
.51061 .50867 L
.5106 .50865 L
.50961 .50674 L
F
0 .59 1 r
.5106 .50535 m
.51234 .50674 L
.51253 .50691 L
.51417 .50867 L
.51445 .50898 L
.51579 .5106 L
.51638 .51103 L
.51734 .51253 L
.51831 .51368 L
.51906 .51445 L
.52023 .51633 L
.52027 .51638 L
.52165 .51831 L
.52216 .51901 L
.52302 .52023 L
.52409 .52155 L
.52446 .52216 L
.52556 .52409 L
.52601 .52485 L
.52663 .52601 L
.52601 .52788 L
.52409 .52639 L
.52376 .52601 L
.52216 .52429 L
.52187 .52409 L
.52038 .52216 L
.52023 .52198 L
.51887 .52023 L
.51831 .51988 L
.51739 .51831 L
.51638 .51708 L
.51576 .51638 L
.51455 .51445 L
.51445 .51432 L
.51321 .51253 L
.51253 .51155 L
.51189 .5106 L
.51065 .50867 L
.5106 .50859 L
.50966 .50674 L
F
0 .58 1 r
.5106 .50544 m
.51227 .50674 L
.51253 .50696 L
.51413 .50867 L
.51445 .50902 L
.51576 .5106 L
.51638 .51106 L
.51731 .51253 L
.51831 .51371 L
.51903 .51445 L
.52023 .51636 L
.52024 .51638 L
.52162 .51831 L
.52216 .51904 L
.52299 .52023 L
.52409 .52161 L
.52442 .52216 L
.52552 .52409 L
.52601 .52493 L
.52658 .52601 L
.52601 .52779 L
.52409 .52633 L
.52381 .52601 L
.52216 .52425 L
.52192 .52409 L
.52041 .52216 L
.52023 .52195 L
.5189 .52023 L
.51831 .51985 L
.51742 .51831 L
.51638 .51705 L
.51579 .51638 L
.51457 .51445 L
.51445 .51429 L
.51323 .51253 L
.51253 .51151 L
.51192 .5106 L
.51069 .50867 L
.5106 .50852 L
.50972 .50674 L
F
0 .57 1 r
.5106 .50552 m
.51221 .50674 L
.51253 .50702 L
.51408 .50867 L
.51445 .50906 L
.51573 .5106 L
.51638 .51109 L
.51728 .51253 L
.51831 .51375 L
.519 .51445 L
.52022 .51638 L
.52023 .5164 L
.5216 .51831 L
.52216 .51908 L
.52296 .52023 L
.52409 .52168 L
.52438 .52216 L
.52548 .52409 L
.52601 .52501 L
.52653 .52601 L
.52601 .52769 L
.52409 .52627 L
.52386 .52601 L
.52216 .52421 L
.52198 .52409 L
.52045 .52216 L
.52023 .52191 L
.51893 .52023 L
.51831 .51983 L
.51744 .51831 L
.51638 .51701 L
.51582 .51638 L
.5146 .51445 L
.51445 .51425 L
.51326 .51253 L
.51253 .51147 L
.51195 .5106 L
.51073 .50867 L
.5106 .50845 L
.50978 .50674 L
F
1 .52 0 r
.5106 .44631 m
.51118 .44701 L
.51253 .44849 L
.51289 .44894 L
.51445 .45074 L
.51451 .45086 L
.51604 .45279 L
.51638 .45318 L
.51757 .45472 L
.51831 .45561 L
.5191 .45664 L
.52023 .45782 L
.52062 .45857 L
.52212 .4605 L
.52216 .46055 L
.52357 .46242 L
.52409 .46307 L
.52504 .46435 L
.52601 .46534 L
.52652 .46628 L
.52794 .46813 L
.52801 .46821 L
.52941 .47013 L
.52987 .47072 L
.53085 .47206 L
.53179 .47305 L
.5323 .47399 L
.53372 .47587 L
.53376 .47591 L
.53514 .47784 L
.53565 .4785 L
.53656 .47977 L
.53758 .48089 L
.53846 .48169 L
.53942 .48362 L
.5395 .48373 L
.5408 .48555 L
.54143 .48638 L
.54221 .48747 L
.54336 .48886 L
.54389 .4894 L
.54501 .49133 L
.54528 .49168 L
.54638 .49326 L
.54721 .49437 L
.54778 .49518 L
.54914 .49701 L
.54923 .49711 L
.55051 .49904 L
.55106 .49978 L
.55187 .50096 L
.55299 .50251 L
.55325 .50289 L
.55457 .50482 L
.55492 .50528 L
.55586 .50674 L
.55684 .50811 L
.5572 .50867 L
.55848 .5106 L
.55877 .51102 L
.55963 .51253 L
.5607 .51418 L
.56083 .51445 L
.5607 .51525 L
.55994 .51445 L
.55877 .51331 L
.55812 .51253 L
.55684 .51109 L
.55644 .5106 L
.55492 .50882 L
.55484 .50867 L
.5533 .50674 L
.55299 .50638 L
.55177 .50482 L
.55106 .50395 L
.55024 .50289 L
.54914 .50169 L
.54873 .50096 L
.54724 .49904 L
.54721 .499 L
.54578 .49711 L
.54528 .49649 L
.5443 .49518 L
.54336 .49417 L
.54282 .49326 L
.54143 .49142 L
.54135 .49133 L
.53993 .4894 L
.5395 .48884 L
.53849 .48747 L
.53758 .48646 L
.53651 .48555 L
.53565 .48369 L
.53559 .48362 L
.5342 .48169 L
.53372 .48107 L
.53277 .47977 L
.53179 .47863 L
.53097 .47784 L
.52993 .47591 L
.52987 .47583 L
.52854 .47399 L
.52794 .47318 L
.52713 .47206 L
.52601 .47067 L
.52551 .47013 L
.52434 .46821 L
.52409 .46787 L
.52297 .46628 L
.52216 .46518 L
.52158 .46435 L
.52023 .46252 L
.52015 .46242 L
.51885 .4605 L
.51831 .45975 L
.5175 .45857 L
.51638 .45701 L
.51613 .45664 L
.51482 .45472 L
.51445 .45421 L
.51353 .45279 L
.51253 .45136 L
.51221 .45086 L
.51097 .44894 L
.5106 .44839 L
.50984 .44701 L
F
0 .56 1 r
.5106 .50561 m
.51213 .50674 L
.51253 .50707 L
.51404 .50867 L
.51445 .50911 L
.5157 .5106 L
.51638 .51112 L
.51725 .51253 L
.51831 .51378 L
.51896 .51445 L
.52019 .51638 L
.52023 .51643 L
.52157 .51831 L
.52216 .51912 L
.52294 .52023 L
.52409 .52174 L
.52434 .52216 L
.52544 .52409 L
.52601 .52509 L
.52648 .52601 L
.52601 .52759 L
.52409 .52621 L
.52392 .52601 L
.52216 .52417 L
.52204 .52409 L
.52048 .52216 L
.52023 .52187 L
.51895 .52023 L
.51831 .5198 L
.51747 .51831 L
.51638 .51698 L
.51585 .51638 L
.51462 .51445 L
.51445 .51422 L
.51329 .51253 L
.51253 .51143 L
.51198 .5106 L
.51077 .50867 L
.5106 .50837 L
.50984 .50674 L
F
0 .79 1 r
.5106 .43805 m
.51175 .4393 L
.51253 .44011 L
.51349 .44123 L
.51445 .44173 L
.51515 .44316 L
.51638 .44455 L
.51725 .44508 L
.51831 .44697 L
.51834 .44701 L
.51988 .44894 L
.52023 .44907 L
.52141 .45086 L
.52216 .45174 L
.52342 .45279 L
.52409 .45428 L
.52445 .45472 L
.52592 .45664 L
.52601 .45669 L
.5274 .45857 L
.52794 .45922 L
.52923 .4605 L
.52987 .46181 L
.53033 .46242 L
.53179 .46434 L
.5318 .46435 L
.53326 .46628 L
.53372 .46685 L
.53497 .46821 L
.53565 .46948 L
.53611 .47013 L
.53758 .47204 L
.53758 .47206 L
.53903 .47399 L
.5395 .47457 L
.54066 .47591 L
.54143 .47722 L
.54184 .47784 L
.54333 .47977 L
.54336 .47979 L
.54475 .48169 L
.54528 .48236 L
.54633 .48362 L
.54721 .48503 L
.54753 .48555 L
.54902 .48747 L
.54914 .48756 L
.55043 .4894 L
.55106 .49019 L
.55198 .49133 L
.55299 .49288 L
.5532 .49326 L
.55468 .49518 L
.55492 .49537 L
.5567 .49711 L
.55684 .49806 L
.5576 .49904 L
.55877 .50076 L
.55887 .50096 L
.56031 .50289 L
.5607 .50321 L
.56224 .50482 L
.56263 .50598 L
.5632 .50674 L
.56454 .50867 L
.56455 .50869 L
.56592 .5106 L
.56648 .51111 L
.56776 .51253 L
.56841 .51394 L
.56877 .51445 L
.57012 .51638 L
.57033 .51666 L
.5715 .51831 L
.57226 .51909 L
.57323 .52023 L
.57419 .52198 L
.57431 .52216 L
.57566 .52409 L
.57611 .5247 L
.57703 .52601 L
.57804 .52721 L
.57863 .52794 L
.57979 .52987 L
.57997 .5301 L
.58113 .53179 L
.58189 .53285 L
.58249 .53372 L
.58382 .53555 L
.5839 .53565 L
.58516 .53758 L
.58575 .53839 L
.58648 .5395 L
.58768 .54121 L
.58782 .54143 L
.58906 .54336 L
.5896 .54415 L
.59028 .54528 L
.59153 .5472 L
.59154 .54721 L
.59239 .54914 L
.59153 .54928 L
.59138 .54914 L
.5896 .54739 L
.5895 .54721 L
.58779 .54528 L
.58768 .54516 L
.58615 .54336 L
.58575 .5429 L
.58454 .54143 L
.58382 .54083 L
.58295 .5395 L
.58189 .53822 L
.58115 .53758 L
.57997 .53576 L
.57987 .53565 L
.57836 .53372 L
.57804 .53345 L
.57685 .53179 L
.57611 .53087 L
.57515 .52987 L
.57419 .52832 L
.57392 .52794 L
.5724 .52601 L
.57226 .52589 L
.57093 .52409 L
.57033 .52332 L
.56933 .52216 L
.56841 .52071 L
.5681 .52023 L
.56657 .51831 L
.56648 .51822 L
.56512 .51638 L
.56455 .51564 L
.56358 .51445 L
.56263 .513 L
.56235 .51253 L
.56081 .5106 L
.5607 .51049 L
.55883 .50867 L
.55877 .50788 L
.55788 .50674 L
.55684 .50523 L
.55664 .50482 L
.5551 .50289 L
.55492 .50272 L
.55323 .50096 L
.55299 .50007 L
.55222 .49904 L
.55106 .49741 L
.55094 .49711 L
.54942 .49518 L
.54914 .4949 L
.54763 .49326 L
.54721 .49221 L
.54657 .49133 L
.54528 .48955 L
.54524 .4894 L
.54377 .48747 L
.54336 .48704 L
.54203 .48555 L
.54143 .48432 L
.54095 .48362 L
.53954 .48169 L
.5395 .48165 L
.53815 .47977 L
.53758 .47915 L
.53647 .47784 L
.53565 .47638 L
.53534 .47591 L
.53394 .47399 L
.53372 .47369 L
.53256 .47206 L
.53179 .47119 L
.53094 .47013 L
.52987 .46838 L
.52976 .46821 L
.52838 .46628 L
.52794 .46568 L
.527 .46435 L
.52601 .46314 L
.52546 .46242 L
.52423 .4605 L
.52409 .46031 L
.52288 .45857 L
.52216 .45759 L
.5215 .45664 L
.52023 .45493 L
.52007 .45472 L
.51879 .45279 L
.51831 .45212 L
.51746 .45086 L
.51638 .44966 L
.51578 .44894 L
.5148 .44701 L
.51445 .44652 L
.51353 .44508 L
.51253 .44364 L
.51222 .44316 L
.511 .44123 L
.5106 .44062 L
.50988 .4393 L
F
0 .55 1 r
.5106 .5057 m
.51206 .50674 L
.51253 .50713 L
.514 .50867 L
.51445 .50915 L
.51566 .5106 L
.51638 .51115 L
.51723 .51253 L
.51831 .51382 L
.51893 .51445 L
.52017 .51638 L
.52023 .51647 L
.52155 .51831 L
.52216 .51915 L
.52291 .52023 L
.52409 .52181 L
.5243 .52216 L
.5254 .52409 L
.52601 .52517 L
.52642 .52601 L
.52601 .52749 L
.52409 .52614 L
.52397 .52601 L
.52216 .52412 L
.5221 .52409 L
.52051 .52216 L
.52023 .52184 L
.51898 .52023 L
.51831 .51977 L
.51749 .51831 L
.51638 .51694 L
.51588 .51638 L
.51465 .51445 L
.51445 .51418 L
.51331 .51253 L
.51253 .51138 L
.51201 .5106 L
.51081 .50867 L
.5106 .50829 L
.5099 .50674 L
F
1 .51 0 r
.5106 .44644 m
.51108 .44701 L
.51253 .44858 L
.51281 .44894 L
.51445 .45086 L
.51445 .45086 L
.51598 .45279 L
.51638 .45325 L
.51752 .45472 L
.51831 .45566 L
.51906 .45664 L
.52023 .45789 L
.52058 .45857 L
.52208 .4605 L
.52216 .4606 L
.52353 .46242 L
.52409 .46312 L
.52501 .46435 L
.52601 .46539 L
.52649 .46628 L
.52794 .46818 L
.52797 .46821 L
.52938 .47013 L
.52987 .47076 L
.53082 .47206 L
.53179 .47309 L
.53227 .47399 L
.53372 .47591 L
.53372 .47591 L
.53512 .47784 L
.53565 .47853 L
.53654 .47977 L
.53758 .48093 L
.53842 .48169 L
.53939 .48362 L
.5395 .48376 L
.54077 .48555 L
.54143 .48641 L
.54218 .48747 L
.54336 .48891 L
.54385 .4894 L
.54498 .49133 L
.54528 .49172 L
.54635 .49326 L
.54721 .49441 L
.54775 .49518 L
.54914 .49707 L
.54917 .49711 L
.55048 .49904 L
.55106 .49983 L
.55183 .50096 L
.55299 .50256 L
.55322 .50289 L
.55453 .50482 L
.55492 .50535 L
.55582 .50674 L
.55684 .50819 L
.55715 .50867 L
.5584 .5106 L
.55877 .51113 L
.55953 .51253 L
.5607 .51442 L
.56071 .51445 L
.5607 .51491 L
.56016 .51445 L
.55877 .51319 L
.55821 .51253 L
.55684 .511 L
.55651 .5106 L
.55492 .50871 L
.5549 .50867 L
.55336 .50674 L
.55299 .50631 L
.55182 .50482 L
.55106 .50389 L
.55029 .50289 L
.54914 .50162 L
.54877 .50096 L
.54728 .49904 L
.54721 .49895 L
.54581 .49711 L
.54528 .49644 L
.54433 .49518 L
.54336 .49412 L
.54286 .49326 L
.54143 .49138 L
.54139 .49133 L
.53997 .4894 L
.5395 .4888 L
.53852 .48747 L
.53758 .48642 L
.53655 .48555 L
.53565 .48365 L
.53563 .48362 L
.53423 .48169 L
.53372 .48103 L
.5328 .47977 L
.53179 .47859 L
.53102 .47784 L
.52996 .47591 L
.52987 .4758 L
.52857 .47399 L
.52794 .47315 L
.52716 .47206 L
.52601 .47062 L
.52555 .47013 L
.52437 .46821 L
.52409 .46783 L
.523 .46628 L
.52216 .46514 L
.52161 .46435 L
.52023 .46246 L
.5202 .46242 L
.51889 .4605 L
.51831 .4597 L
.51754 .45857 L
.51638 .45696 L
.51617 .45664 L
.51487 .45472 L
.51445 .45414 L
.51358 .45279 L
.51253 .45128 L
.51226 .45086 L
.51106 .44894 L
.5106 .44826 L
.50995 .44701 L
F
0 .54 1 r
.5106 .50579 m
.51198 .50674 L
.51253 .50718 L
.51396 .50867 L
.51445 .50919 L
.51563 .5106 L
.51638 .51118 L
.5172 .51253 L
.51831 .51386 L
.5189 .51445 L
.52014 .51638 L
.52023 .5165 L
.52152 .51831 L
.52216 .51919 L
.52288 .52023 L
.52409 .52189 L
.52425 .52216 L
.52536 .52409 L
.52601 .52526 L
.52636 .52601 L
.52601 .52737 L
.52409 .52608 L
.52403 .52601 L
.52217 .52409 L
.52216 .52408 L
.52054 .52216 L
.52023 .5218 L
.51901 .52023 L
.51831 .51975 L
.51752 .51831 L
.51638 .5169 L
.51592 .51638 L
.51468 .51445 L
.51445 .51414 L
.51334 .51253 L
.51253 .51134 L
.51204 .5106 L
.51085 .50867 L
.5106 .50821 L
.50997 .50674 L
F
1 .99 0 r
.5106 .50019 m
.51253 .50004 L
.51445 .50008 L
.51582 .50096 L
.51638 .50151 L
.5171 .50289 L
.51831 .50407 L
.51885 .50482 L
.52023 .50672 L
.52025 .50674 L
.52164 .50867 L
.52216 .50962 L
.52273 .5106 L
.52409 .51195 L
.52452 .51253 L
.52596 .51445 L
.52601 .51461 L
.52726 .51638 L
.52794 .51732 L
.52832 .51831 L
.52987 .51999 L
.53015 .52023 L
.53164 .52216 L
.53179 .52242 L
.53288 .52409 L
.53372 .52505 L
.53392 .52601 L
.53565 .52776 L
.53577 .52794 L
.53728 .52987 L
.53758 .5305 L
.53843 .53179 L
.53758 .53345 L
.53565 .53349 L
.53372 .53328 L
.53239 .53179 L
.53179 .53087 L
.5312 .52987 L
.52987 .52821 L
.52967 .52794 L
.52827 .52601 L
.52794 .52552 L
.52672 .52409 L
.52601 .52281 L
.52555 .52216 L
.52409 .52027 L
.52403 .52023 L
.52263 .51831 L
.52216 .51776 L
.5211 .51638 L
.52023 .51507 L
.51991 .51445 L
.51839 .51253 L
.51831 .51241 L
.51652 .5106 L
.51638 .51018 L
.51549 .50867 L
.51445 .50728 L
.51427 .50674 L
.51278 .50482 L
.51253 .50445 L
.51094 .50289 L
.5106 .50165 L
.51002 .50096 L
F
1 .2 0 r
.5106 .51349 m
.51131 .51445 L
.51253 .51599 L
.51278 .51638 L
.51253 .51766 L
.51151 .51638 L
.5106 .5153 L
.51002 .51445 L
F
0 .53 1 r
.5106 .50589 m
.5119 .50674 L
.51253 .50724 L
.51391 .50867 L
.51445 .50924 L
.5156 .5106 L
.51638 .51122 L
.51717 .51253 L
.51831 .51389 L
.51886 .51445 L
.52011 .51638 L
.52023 .51654 L
.52149 .51831 L
.52216 .51923 L
.52286 .52023 L
.52409 .52196 L
.52421 .52216 L
.52532 .52409 L
.52601 .52536 L
.52631 .52601 L
.52601 .52725 L
.52409 .52601 L
.52409 .52601 L
.52221 .52409 L
.52216 .52404 L
.52058 .52216 L
.52023 .52176 L
.51904 .52023 L
.51831 .51972 L
.51754 .51831 L
.51638 .51686 L
.51595 .51638 L
.5147 .51445 L
.51445 .51411 L
.51337 .51253 L
.51253 .5113 L
.51207 .5106 L
.5109 .50867 L
.5106 .50812 L
.51004 .50674 L
F
1 .84 0 r
.5106 .54841 m
.51121 .54914 L
.51253 .55063 L
.51288 .55106 L
.51445 .55295 L
.51447 .55299 L
.51599 .55492 L
.51638 .55538 L
.51752 .55684 L
.51831 .55782 L
.51904 .55877 L
.52023 .56002 L
.52054 .5607 L
.52201 .56263 L
.52216 .56282 L
.52346 .56455 L
.52409 .56535 L
.52493 .56648 L
.52601 .56762 L
.52639 .56841 L
.52782 .57033 L
.52794 .57049 L
.52924 .57226 L
.52987 .57309 L
.53067 .57419 L
.53179 .57548 L
.5321 .57611 L
.53349 .57804 L
.53372 .57835 L
.53488 .57997 L
.53565 .58101 L
.53628 .58189 L
.53758 .58359 L
.53784 .58382 L
.53902 .58575 L
.5395 .5864 L
.54038 .58768 L
.54143 .58913 L
.54175 .5896 L
.54307 .59153 L
.54336 .59193 L
.54435 .59346 L
.54528 .59479 L
.54566 .59538 L
.54528 .59707 L
.54396 .59538 L
.54336 .59472 L
.5424 .59346 L
.54143 .59231 L
.54085 .59153 L
.5395 .58987 L
.53931 .5896 L
.53783 .58768 L
.53758 .58737 L
.53638 .58575 L
.53565 .58484 L
.53491 .58382 L
.53372 .58231 L
.53342 .58189 L
.53197 .57997 L
.53179 .57975 L
.53057 .57804 L
.52987 .57715 L
.52913 .57611 L
.52794 .57456 L
.52767 .57419 L
.52626 .57226 L
.52601 .57195 L
.52488 .57033 L
.52409 .56931 L
.52346 .56841 L
.52216 .56668 L
.52202 .56648 L
.52066 .56455 L
.52023 .564 L
.5193 .56263 L
.51831 .56131 L
.51789 .5607 L
.51649 .55877 L
.51638 .55863 L
.5152 .55684 L
.51445 .55585 L
.51386 .55492 L
.51253 .55309 L
.51246 .55299 L
.51125 .55106 L
.5106 .55015 L
.51004 .54914 L
F
0 .78 1 r
.5106 .43831 m
.51155 .4393 L
.51253 .44028 L
.51335 .44123 L
.51445 .44189 L
.51505 .44316 L
.51638 .44467 L
.51707 .44508 L
.51825 .44701 L
.51831 .44707 L
.5198 .44894 L
.52023 .44911 L
.52135 .45086 L
.52216 .45181 L
.52336 .45279 L
.52409 .45435 L
.5244 .45472 L
.52587 .45664 L
.52601 .45671 L
.52736 .45857 L
.52794 .45927 L
.5292 .4605 L
.52987 .46186 L
.5303 .46242 L
.53177 .46435 L
.53179 .46437 L
.53322 .46628 L
.53372 .46689 L
.53494 .46821 L
.53565 .46952 L
.53609 .47013 L
.53757 .47206 L
.53758 .47206 L
.539 .47399 L
.5395 .4746 L
.54064 .47591 L
.54143 .47726 L
.54182 .47784 L
.5433 .47977 L
.54336 .4798 L
.54472 .48169 L
.54528 .48239 L
.54631 .48362 L
.54721 .48506 L
.54751 .48555 L
.549 .48747 L
.54914 .48758 L
.55041 .4894 L
.55106 .49022 L
.55196 .49133 L
.55299 .4929 L
.55319 .49326 L
.55466 .49518 L
.55492 .49539 L
.55669 .49711 L
.55684 .49809 L
.55758 .49904 L
.55877 .50079 L
.55886 .50096 L
.56029 .50289 L
.5607 .50324 L
.56222 .50482 L
.56263 .50601 L
.56318 .50674 L
.56452 .50867 L
.56455 .50872 L
.5659 .5106 L
.56648 .51114 L
.56773 .51253 L
.56841 .51398 L
.56875 .51445 L
.57009 .51638 L
.57033 .5167 L
.57147 .51831 L
.57226 .51913 L
.5732 .52023 L
.57419 .52202 L
.57428 .52216 L
.57563 .52409 L
.57611 .52475 L
.577 .52601 L
.57804 .52726 L
.57859 .52794 L
.57975 .52987 L
.57997 .53016 L
.58109 .53179 L
.58189 .53291 L
.58245 .53372 L
.58382 .53564 L
.58383 .53565 L
.5851 .53758 L
.58575 .53847 L
.58642 .5395 L
.58768 .54131 L
.58776 .54143 L
.58896 .54336 L
.5896 .5443 L
.59017 .54528 L
.5896 .54713 L
.58794 .54528 L
.58768 .54501 L
.58626 .54336 L
.58575 .54278 L
.58463 .54143 L
.58382 .54074 L
.58303 .5395 L
.58189 .53813 L
.58124 .53758 L
.57997 .53569 L
.57993 .53565 L
.57842 .53372 L
.57804 .5334 L
.5769 .53179 L
.57611 .53081 L
.5752 .52987 L
.57419 .52826 L
.57396 .52794 L
.57245 .52601 L
.57226 .52585 L
.57097 .52409 L
.57033 .52327 L
.56936 .52216 L
.56841 .52067 L
.56813 .52023 L
.5666 .51831 L
.56648 .51819 L
.56515 .51638 L
.56455 .5156 L
.56361 .51445 L
.56263 .51297 L
.56237 .51253 L
.56083 .5106 L
.5607 .51047 L
.55883 .50867 L
.55877 .50785 L
.55791 .50674 L
.55684 .5052 L
.55666 .50482 L
.55512 .50289 L
.55492 .50269 L
.55324 .50096 L
.55299 .50004 L
.55224 .49904 L
.55106 .49738 L
.55095 .49711 L
.54944 .49518 L
.54914 .49488 L
.54764 .49326 L
.54721 .49219 L
.54659 .49133 L
.54528 .48952 L
.54525 .4894 L
.54379 .48747 L
.54336 .48702 L
.54205 .48555 L
.54143 .48429 L
.54097 .48362 L
.53956 .48169 L
.5395 .48162 L
.53817 .47977 L
.53758 .47912 L
.53649 .47784 L
.53565 .47635 L
.53536 .47591 L
.53397 .47399 L
.53372 .47366 L
.53258 .47206 L
.53179 .47116 L
.53096 .47013 L
.52987 .46834 L
.52978 .46821 L
.52841 .46628 L
.52794 .46564 L
.52703 .46435 L
.52601 .46309 L
.5255 .46242 L
.52426 .4605 L
.52409 .46026 L
.52291 .45857 L
.52216 .45754 L
.52154 .45664 L
.52023 .45486 L
.52013 .45472 L
.51884 .45279 L
.51831 .45205 L
.51751 .45086 L
.51638 .44954 L
.51589 .44894 L
.51487 .44701 L
.51445 .44642 L
.5136 .44508 L
.51253 .44351 L
.5123 .44316 L
.51113 .44123 L
.5106 .4404 L
.51004 .4393 L
F
1 .5 0 r
.5106 .4466 m
.51096 .44701 L
.51253 .44867 L
.51274 .44894 L
.51438 .45086 L
.51445 .45095 L
.51592 .45279 L
.51638 .45331 L
.51747 .45472 L
.51831 .45572 L
.51901 .45664 L
.52023 .45796 L
.52054 .45857 L
.52204 .4605 L
.52216 .46065 L
.5235 .46242 L
.52409 .46316 L
.52497 .46435 L
.52601 .46544 L
.52646 .46628 L
.52793 .46821 L
.52794 .46822 L
.52935 .47013 L
.52987 .4708 L
.53079 .47206 L
.53179 .47313 L
.53225 .47399 L
.53369 .47591 L
.53372 .47595 L
.53509 .47784 L
.53565 .47857 L
.53651 .47977 L
.53758 .48098 L
.53837 .48169 L
.53936 .48362 L
.5395 .4838 L
.54075 .48555 L
.54143 .48645 L
.54215 .48747 L
.54336 .48896 L
.5438 .4894 L
.54495 .49133 L
.54528 .49176 L
.54632 .49326 L
.54721 .49445 L
.54772 .49518 L
.54912 .49711 L
.54914 .49713 L
.55044 .49904 L
.55106 .49987 L
.5518 .50096 L
.55299 .50261 L
.55318 .50289 L
.55448 .50482 L
.55492 .50541 L
.55577 .50674 L
.55684 .50826 L
.5571 .50867 L
.55831 .5106 L
.55877 .51126 L
.55942 .51253 L
.55877 .51305 L
.55832 .51253 L
.55684 .51091 L
.55659 .5106 L
.55497 .50867 L
.55492 .50862 L
.55342 .50674 L
.55299 .50625 L
.55187 .50482 L
.55106 .50383 L
.55033 .50289 L
.54914 .50155 L
.54881 .50096 L
.54732 .49904 L
.54721 .4989 L
.54585 .49711 L
.54528 .4964 L
.54437 .49518 L
.54336 .49407 L
.54289 .49326 L
.54143 .49133 L
.54143 .49133 L
.54 .4894 L
.5395 .48876 L
.53855 .48747 L
.53758 .48638 L
.5366 .48555 L
.53566 .48362 L
.53565 .48361 L
.53426 .48169 L
.53372 .48099 L
.53283 .47977 L
.53179 .47855 L
.53106 .47784 L
.52999 .47591 L
.52987 .47576 L
.5286 .47399 L
.52794 .47311 L
.52719 .47206 L
.52601 .47057 L
.5256 .47013 L
.5244 .46821 L
.52409 .46778 L
.52303 .46628 L
.52216 .46509 L
.52164 .46435 L
.52025 .46242 L
.52023 .4624 L
.51893 .4605 L
.51831 .45965 L
.51758 .45857 L
.51638 .4569 L
.51621 .45664 L
.51492 .45472 L
.51445 .45407 L
.51364 .45279 L
.51253 .45119 L
.51232 .45086 L
.51116 .44894 L
.5106 .4481 L
.51008 .44701 L
F
1 .19 0 r
.5106 .51357 m
.51124 .51445 L
.51253 .51607 L
.51272 .51638 L
.51253 .51756 L
.51159 .51638 L
.5106 .51521 L
.51009 .51445 L
F
0 .98 1 r
.5106 .48255 m
.51168 .48362 L
.51253 .48439 L
.51363 .48555 L
.51445 .48639 L
.51544 .48747 L
.51638 .48855 L
.51713 .4894 L
.51831 .49088 L
.51868 .49133 L
.52003 .49326 L
.52023 .49358 L
.52116 .49518 L
.52023 .49691 L
.51856 .49518 L
.51831 .4949 L
.51706 .49326 L
.51638 .49243 L
.5156 .49133 L
.51445 .48986 L
.51414 .4894 L
.51272 .48747 L
.51253 .48722 L
.51143 .48555 L
.5106 .48444 L
.5101 .48362 L
F
0 .52 1 r
.5106 .50599 m
.51181 .50674 L
.51253 .5073 L
.51387 .50867 L
.51445 .50928 L
.51556 .5106 L
.51638 .51125 L
.51714 .51253 L
.51831 .51393 L
.51883 .51445 L
.52009 .51638 L
.52023 .51657 L
.52147 .51831 L
.52216 .51927 L
.52283 .52023 L
.52409 .52204 L
.52416 .52216 L
.52528 .52409 L
.52601 .52547 L
.52625 .52601 L
.52601 .52712 L
.52416 .52601 L
.52409 .52595 L
.52225 .52409 L
.52216 .52399 L
.52061 .52216 L
.52023 .52172 L
.51906 .52023 L
.51831 .51969 L
.51757 .51831 L
.51638 .51683 L
.51598 .51638 L
.51473 .51445 L
.51445 .51407 L
.5134 .51253 L
.51253 .51125 L
.5121 .5106 L
.51094 .50867 L
.5106 .50802 L
.51011 .50674 L
F
1 .18 0 r
.5106 .51367 m
.51117 .51445 L
.51253 .51617 L
.51266 .51638 L
.51253 .51744 L
.51168 .51638 L
.5106 .51511 L
.51016 .51445 L
F
0 .96 1 r
.5106 .54098 m
.51099 .54143 L
.51253 .54303 L
.51282 .54336 L
.51445 .54512 L
.51456 .54528 L
.51626 .54721 L
.51638 .54733 L
.51796 .54914 L
.51831 .54952 L
.51964 .55106 L
.52023 .55147 L
.5213 .55299 L
.52216 .55411 L
.52298 .55492 L
.52409 .5566 L
.52448 .55684 L
.526 .55877 L
.52601 .55877 L
.52754 .5607 L
.52794 .5612 L
.52933 .56263 L
.52987 .56377 L
.53043 .56455 L
.53179 .5663 L
.53182 .56648 L
.53346 .56841 L
.53372 .56873 L
.53515 .57033 L
.53565 .57135 L
.53628 .57226 L
.53758 .57395 L
.53762 .57419 L
.53923 .57611 L
.5395 .57645 L
.54083 .57804 L
.54143 .57911 L
.54198 .57997 L
.54336 .58173 L
.54351 .58189 L
.54493 .58382 L
.54528 .58427 L
.54646 .58575 L
.54721 .58694 L
.54763 .58768 L
.54914 .58956 L
.54918 .5896 L
.55059 .59153 L
.55106 .59213 L
.55208 .59346 L
.55299 .59483 L
.55327 .59538 L
.55481 .59731 L
.55492 .59738 L
.55621 .59924 L
.55684 .60005 L
.55766 .60116 L
.55877 .60278 L
.55891 .60309 L
.56039 .60502 L
.5607 .60525 L
.56232 .60694 L
.56263 .60805 L
.5632 .60887 L
.56455 .6108 L
.56455 .6108 L
.56592 .61273 L
.56648 .61323 L
.56773 .61465 L
.56841 .61617 L
.56868 .61658 L
.57001 .61851 L
.57033 .61896 L
.57136 .62043 L
.57226 .62146 L
.57299 .62236 L
.57404 .62429 L
.57419 .62449 L
.57534 .62621 L
.57611 .62733 L
.57665 .62814 L
.57794 .63007 L
.57804 .63021 L
.57915 .63199 L
.57997 .63325 L
.58037 .63392 L
.58145 .63585 L
.58189 .63665 L
.58208 .63778 L
.58189 .63779 L
.58188 .63778 L
.57997 .636 L
.57984 .63585 L
.57811 .63392 L
.57804 .63385 L
.5765 .63199 L
.57611 .63157 L
.57492 .63007 L
.57419 .62922 L
.57335 .62814 L
.57226 .62698 L
.57179 .62621 L
.57033 .62439 L
.57023 .62429 L
.56878 .62236 L
.56841 .6219 L
.5673 .62043 L
.56648 .61957 L
.56581 .61851 L
.56455 .61691 L
.56425 .61658 L
.56287 .61465 L
.56263 .61434 L
.56143 .61273 L
.5607 .61196 L
.55933 .6108 L
.55877 .60925 L
.55844 .60887 L
.55708 .60694 L
.55684 .60665 L
.55565 .60502 L
.55492 .60423 L
.5537 .60309 L
.55299 .6015 L
.55271 .60116 L
.55135 .59924 L
.55106 .59887 L
.54994 .59731 L
.54914 .59643 L
.54809 .59538 L
.54721 .59368 L
.54703 .59346 L
.54566 .59153 L
.54528 .59104 L
.54425 .5896 L
.54336 .58857 L
.54251 .58768 L
.54143 .58581 L
.54138 .58575 L
.54001 .58382 L
.5395 .58363 L
.5386 .58189 L
.53758 .58067 L
.53695 .57997 L
.53575 .57804 L
.53565 .5779 L
.53438 .57611 L
.53372 .57573 L
.53298 .57419 L
.53179 .5727 L
.53142 .57226 L
.53016 .57033 L
.52987 .56995 L
.52878 .56841 L
.52794 .56775 L
.52738 .56648 L
.52601 .56467 L
.52591 .56455 L
.5246 .56263 L
.52409 .56195 L
.52323 .5607 L
.52216 .55927 L
.52182 .55877 L
.52043 .55684 L
.52023 .55658 L
.5191 .55492 L
.51831 .55385 L
.51774 .55299 L
.51638 .55114 L
.51633 .55106 L
.51506 .54914 L
.51445 .54831 L
.51376 .54721 L
.51253 .54548 L
.5124 .54528 L
.51125 .54336 L
.5106 .54241 L
.51016 .54143 L
F
1 .94 0 r
.5106 .43017 m
.51207 .43159 L
.51253 .43202 L
.51391 .43352 L
.51445 .4341 L
.51563 .43545 L
.51638 .43619 L
.5173 .43737 L
.51831 .43861 L
.51909 .4393 L
.52023 .44098 L
.52043 .44123 L
.52204 .44316 L
.52216 .44329 L
.52358 .44508 L
.52409 .44576 L
.52519 .44701 L
.52601 .4483 L
.52643 .44894 L
.52794 .45078 L
.5281 .45086 L
.52958 .45279 L
.52987 .45319 L
.53107 .45472 L
.53179 .45581 L
.53227 .45664 L
.53372 .45842 L
.53399 .45857 L
.53563 .4605 L
.53565 .46081 L
.53686 .46242 L
.53758 .46348 L
.53801 .46435 L
.5395 .46613 L
.53978 .46628 L
.54134 .46821 L
.54143 .46853 L
.54258 .47013 L
.54336 .47123 L
.5437 .47206 L
.54528 .47388 L
.5455 .47399 L
.54704 .47591 L
.54721 .47633 L
.54827 .47784 L
.54914 .47904 L
.54935 .47977 L
.55106 .48164 L
.55119 .48169 L
.55273 .48362 L
.55299 .48417 L
.55392 .48555 L
.55492 .48687 L
.55499 .48747 L
.55684 .4894 L
.55686 .4894 L
.55839 .49133 L
.55877 .49203 L
.55957 .49326 L
.5607 .49472 L
.56112 .49518 L
.56252 .49711 L
.56263 .49724 L
.56404 .49904 L
.56455 .4999 L
.5652 .50096 L
.56648 .50258 L
.56677 .50289 L
.56817 .50482 L
.56841 .50511 L
.56967 .50674 L
.57033 .50778 L
.57083 .50867 L
.57226 .51044 L
.57241 .5106 L
.57381 .51253 L
.57419 .51299 L
.57529 .51445 L
.57611 .51568 L
.57647 .51638 L
.57804 .5183 L
.57805 .51831 L
.57983 .52023 L
.57997 .52088 L
.58091 .52216 L
.58189 .52358 L
.58211 .52409 L
.58367 .52601 L
.58382 .52613 L
.58544 .52794 L
.58575 .52878 L
.58652 .52987 L
.58768 .53149 L
.58778 .53179 L
.58929 .53372 L
.5896 .53398 L
.59103 .53565 L
.59153 .53671 L
.59212 .53758 L
.59346 .53943 L
.59347 .5395 L
.59489 .54143 L
.59538 .54187 L
.5966 .54336 L
.59731 .54467 L
.59771 .54528 L
.5991 .54721 L
.59924 .5474 L
.60048 .54914 L
.60116 .54982 L
.60213 .55106 L
.60309 .55268 L
.60328 .55299 L
.60465 .55492 L
.60502 .55541 L
.60603 .55684 L
.60694 .55787 L
.60761 .55877 L
.60882 .5607 L
.60887 .56077 L
.61016 .56263 L
.6108 .5635 L
.61153 .56455 L
.61273 .5661 L
.61299 .56648 L
.61424 .56841 L
.61465 .56897 L
.61557 .57033 L
.61658 .57175 L
.61731 .57226 L
.61823 .57419 L
.61851 .57458 L
.61948 .57611 L
.62043 .5775 L
.62077 .57804 L
.62196 .57997 L
.62236 .58058 L
.62303 .58189 L
.62236 .5832 L
.62107 .58189 L
.62043 .58127 L
.61926 .57997 L
.61851 .57955 L
.61756 .57804 L
.61658 .57694 L
.61515 .57611 L
.61465 .57456 L
.61428 .57419 L
.61275 .57226 L
.61273 .57224 L
.6112 .57033 L
.6108 .56984 L
.60925 .56841 L
.60887 .56733 L
.60819 .56648 L
.60694 .56482 L
.60686 .56455 L
.60516 .56263 L
.60502 .56244 L
.60347 .5607 L
.60309 .55987 L
.6023 .55877 L
.60116 .55724 L
.60111 .55684 L
.59928 .55492 L
.59924 .55486 L
.5977 .55299 L
.59731 .55224 L
.59652 .55106 L
.59538 .54956 L
.59491 .54914 L
.5935 .54721 L
.59346 .54716 L
.59198 .54528 L
.59153 .5445 L
.5908 .54336 L
.5896 .54181 L
.58918 .54143 L
.58777 .5395 L
.58768 .53938 L
.58629 .53758 L
.58575 .53671 L
.58512 .53565 L
.58382 .53402 L
.58348 .53372 L
.58207 .53179 L
.58189 .53155 L
.58062 .52987 L
.57997 .52887 L
.57946 .52794 L
.57804 .52621 L
.57781 .52601 L
.57616 .52409 L
.57611 .5237 L
.57497 .52216 L
.57419 .52101 L
.57382 .52023 L
.57226 .51839 L
.57215 .51831 L
.57049 .51638 L
.57033 .51583 L
.56933 .51445 L
.56841 .51314 L
.56817 .51253 L
.5665 .5106 L
.56648 .51057 L
.56484 .50867 L
.56455 .50795 L
.5637 .50674 L
.56263 .50527 L
.56251 .50482 L
.56086 .50289 L
.5607 .50272 L
.55921 .50096 L
.55877 .50006 L
.55808 .49904 L
.55684 .49738 L
.55682 .49711 L
.55523 .49518 L
.55492 .49486 L
.5536 .49326 L
.55299 .49216 L
.55245 .49133 L
.55106 .48949 L
.55099 .4894 L
.5496 .48747 L
.54914 .48697 L
.54799 .48555 L
.54721 .48425 L
.54683 .48362 L
.54537 .48169 L
.54528 .48168 L
.54398 .47977 L
.54336 .47907 L
.5424 .47784 L
.54143 .47631 L
.5412 .47591 L
.53977 .47399 L
.5395 .47391 L
.53772 .47206 L
.53758 .47113 L
.53683 .47013 L
.53565 .46835 L
.53557 .46821 L
.53418 .46628 L
.53372 .46605 L
.53221 .46435 L
.53179 .46314 L
.53128 .46242 L
.52998 .4605 L
.52987 .46035 L
.52862 .45857 L
.52794 .45808 L
.52676 .45664 L
.52601 .45506 L
.52577 .45472 L
.52446 .45279 L
.52409 .45229 L
.5231 .45086 L
.52216 .44993 L
.5214 .44894 L
.52033 .44701 L
.52023 .44688 L
.51902 .44508 L
.51831 .4441 L
.51767 .44316 L
.51638 .44142 L
.51624 .44123 L
.51503 .4393 L
.51445 .43849 L
.51375 .43737 L
.51253 .43559 L
.51244 .43545 L
.51128 .43352 L
.5106 .43244 L
.51017 .43159 L
F
0 .51 1 r
.5106 .5061 m
.51172 .50674 L
.51253 .50735 L
.51382 .50867 L
.51445 .50932 L
.51553 .5106 L
.51638 .51129 L
.51711 .51253 L
.51831 .51397 L
.51879 .51445 L
.52006 .51638 L
.52023 .51661 L
.52144 .51831 L
.52216 .5193 L
.5228 .52023 L
.52409 .52211 L
.52411 .52216 L
.52523 .52409 L
.52601 .52559 L
.52618 .52601 L
.52601 .52697 L
.52425 .52601 L
.52409 .52589 L
.5223 .52409 L
.52216 .52394 L
.52065 .52216 L
.52023 .52168 L
.51909 .52023 L
.51831 .51965 L
.51759 .51831 L
.51638 .51679 L
.51602 .51638 L
.51476 .51445 L
.51445 .51403 L
.51342 .51253 L
.51253 .51121 L
.51213 .5106 L
.51099 .50867 L
.5106 .50791 L
.51019 .50674 L
F
1 .17 0 r
.5106 .51378 m
.51109 .51445 L
.51253 .51627 L
.51259 .51638 L
.51253 .51729 L
.51179 .51638 L
.5106 .51501 L
.51023 .51445 L
F
0 .77 1 r
.5106 .43862 m
.51131 .4393 L
.51253 .44046 L
.51321 .44123 L
.51445 .44209 L
.51493 .44316 L
.51638 .4448 L
.51686 .44508 L
.51817 .44701 L
.51831 .44717 L
.51973 .44894 L
.52023 .44915 L
.52128 .45086 L
.52216 .45189 L
.52329 .45279 L
.52409 .45442 L
.52435 .45472 L
.52582 .45664 L
.52601 .45674 L
.52731 .45857 L
.52794 .45932 L
.52916 .4605 L
.52987 .46191 L
.53026 .46242 L
.53173 .46435 L
.53179 .46439 L
.53319 .46628 L
.53372 .46693 L
.53491 .46821 L
.53565 .46956 L
.53606 .47013 L
.53754 .47206 L
.53758 .47208 L
.53897 .47399 L
.5395 .47464 L
.54062 .47591 L
.54143 .47729 L
.54179 .47784 L
.54328 .47977 L
.54336 .47982 L
.5447 .48169 L
.54528 .48242 L
.54629 .48362 L
.54721 .48509 L
.54749 .48555 L
.54897 .48747 L
.54914 .48759 L
.55039 .4894 L
.55106 .49024 L
.55194 .49133 L
.55299 .49293 L
.55317 .49326 L
.55464 .49518 L
.55492 .4954 L
.55667 .49711 L
.55684 .49812 L
.55756 .49904 L
.55877 .50082 L
.55884 .50096 L
.56027 .50289 L
.5607 .50326 L
.5622 .50482 L
.56263 .50604 L
.56315 .50674 L
.56449 .50867 L
.56455 .50875 L
.56587 .5106 L
.56648 .51117 L
.56771 .51253 L
.56841 .51401 L
.56872 .51445 L
.57007 .51638 L
.57033 .51673 L
.57144 .51831 L
.57226 .51917 L
.57317 .52023 L
.57419 .52207 L
.57425 .52216 L
.57559 .52409 L
.57611 .52479 L
.57697 .52601 L
.57804 .52732 L
.57854 .52794 L
.57971 .52987 L
.57997 .53021 L
.58104 .53179 L
.58189 .53297 L
.58241 .53372 L
.58377 .53565 L
.58382 .53572 L
.58505 .53758 L
.58575 .53856 L
.58636 .5395 L
.58768 .54141 L
.58769 .54143 L
.58886 .54336 L
.5896 .54447 L
.59006 .54528 L
.5896 .54691 L
.58809 .54528 L
.58768 .54486 L
.58638 .54336 L
.58575 .54266 L
.58473 .54143 L
.58382 .54064 L
.58311 .5395 L
.58189 .53804 L
.58134 .53758 L
.58 .53565 L
.57997 .53561 L
.57848 .53372 L
.57804 .53335 L
.57695 .53179 L
.57611 .53074 L
.57525 .52987 L
.57419 .52821 L
.574 .52794 L
.57249 .52601 L
.57226 .52581 L
.57101 .52409 L
.57033 .52322 L
.5694 .52216 L
.56841 .52062 L
.56816 .52023 L
.56663 .51831 L
.56648 .51816 L
.56518 .51638 L
.56455 .51556 L
.56364 .51445 L
.56263 .51293 L
.56239 .51253 L
.56086 .5106 L
.5607 .51044 L
.55884 .50867 L
.55877 .50782 L
.55793 .50674 L
.55684 .50517 L
.55667 .50482 L
.55514 .50289 L
.55492 .50267 L
.55325 .50096 L
.55299 .50001 L
.55226 .49904 L
.55106 .49735 L
.55096 .49711 L
.54946 .49518 L
.54914 .49485 L
.54766 .49326 L
.54721 .49216 L
.54661 .49133 L
.54528 .48949 L
.54526 .4894 L
.54381 .48747 L
.54336 .487 L
.54207 .48555 L
.54143 .48426 L
.54099 .48362 L
.53958 .48169 L
.5395 .48158 L
.53819 .47977 L
.53758 .47909 L
.53651 .47784 L
.53565 .47631 L
.53538 .47591 L
.53399 .47399 L
.53372 .47362 L
.53261 .47206 L
.53179 .47112 L
.53099 .47013 L
.52987 .4683 L
.52981 .46821 L
.52844 .46628 L
.52794 .4656 L
.52706 .46435 L
.52601 .46304 L
.52553 .46242 L
.5243 .4605 L
.52409 .46021 L
.52295 .45857 L
.52216 .45748 L
.52158 .45664 L
.52023 .45478 L
.52018 .45472 L
.51889 .45279 L
.51831 .45198 L
.51756 .45086 L
.51638 .4494 L
.516 .44894 L
.51494 .44701 L
.51445 .44632 L
.51368 .44508 L
.51253 .44338 L
.51239 .44316 L
.51128 .44123 L
.5106 .44011 L
.51024 .4393 L
F
1 .49 0 r
.5106 .44678 m
.51081 .44701 L
.51253 .44878 L
.51265 .44894 L
.51429 .45086 L
.51445 .45103 L
.51586 .45279 L
.51638 .45338 L
.51742 .45472 L
.51831 .45578 L
.51897 .45664 L
.52023 .45803 L
.5205 .45857 L
.522 .4605 L
.52216 .4607 L
.52346 .46242 L
.52409 .46321 L
.52494 .46435 L
.52601 .46549 L
.52643 .46628 L
.52789 .46821 L
.52794 .46826 L
.52932 .47013 L
.52987 .47084 L
.53076 .47206 L
.53179 .47318 L
.53222 .47399 L
.53366 .47591 L
.53372 .47599 L
.53506 .47784 L
.53565 .47861 L
.53648 .47977 L
.53758 .48102 L
.53832 .48169 L
.53933 .48362 L
.5395 .48384 L
.54072 .48555 L
.54143 .48649 L
.54213 .48747 L
.54336 .48901 L
.54375 .4894 L
.54492 .49133 L
.54528 .4918 L
.54629 .49326 L
.54721 .49449 L
.54769 .49518 L
.54909 .49711 L
.54914 .49717 L
.5504 .49904 L
.55106 .49992 L
.55176 .50096 L
.55299 .50266 L
.55314 .50289 L
.55443 .50482 L
.55492 .50548 L
.55572 .50674 L
.55684 .50834 L
.55705 .50867 L
.55822 .5106 L
.55877 .51142 L
.55929 .51253 L
.55877 .5129 L
.55844 .51253 L
.55684 .51081 L
.55667 .5106 L
.55504 .50867 L
.55492 .50854 L
.55348 .50674 L
.55299 .50618 L
.55193 .50482 L
.55106 .50377 L
.55038 .50289 L
.54914 .50148 L
.54885 .50096 L
.54736 .49904 L
.54721 .49885 L
.54589 .49711 L
.54528 .49635 L
.5444 .49518 L
.54336 .49402 L
.54292 .49326 L
.54146 .49133 L
.54143 .49129 L
.54003 .4894 L
.5395 .48872 L
.53858 .48747 L
.53758 .48633 L
.53665 .48555 L
.53569 .48362 L
.53565 .48356 L
.53429 .48169 L
.53372 .48095 L
.53286 .47977 L
.53179 .4785 L
.53111 .47784 L
.53002 .47591 L
.52987 .47572 L
.52863 .47399 L
.52794 .47307 L
.52722 .47206 L
.52601 .47052 L
.52565 .47013 L
.52444 .46821 L
.52409 .46774 L
.52307 .46628 L
.52216 .46505 L
.52167 .46435 L
.52029 .46242 L
.52023 .46235 L
.51897 .4605 L
.51831 .45959 L
.51762 .45857 L
.51638 .45684 L
.51625 .45664 L
.51497 .45472 L
.51445 .45399 L
.51369 .45279 L
.51253 .4511 L
.51238 .45086 L
.51127 .44894 L
.5106 .4479 L
.51025 .44701 L
F
0 .5 1 r
.5106 .50622 m
.51161 .50674 L
.51253 .50741 L
.51377 .50867 L
.51445 .50937 L
.5155 .5106 L
.51638 .51132 L
.51708 .51253 L
.51831 .51401 L
.51875 .51445 L
.52003 .51638 L
.52023 .51664 L
.52141 .51831 L
.52216 .51934 L
.52277 .52023 L
.52407 .52216 L
.52409 .52218 L
.52519 .52409 L
.52601 .52574 L
.52611 .52601 L
.52601 .52679 L
.52434 .52601 L
.52409 .52583 L
.52235 .52409 L
.52216 .5239 L
.52068 .52216 L
.52023 .52165 L
.51912 .52023 L
.51831 .51962 L
.51762 .51831 L
.51638 .51675 L
.51605 .51638 L
.51478 .51445 L
.51445 .514 L
.51345 .51253 L
.51253 .51117 L
.51216 .5106 L
.51104 .50867 L
.5106 .50779 L
.51027 .50674 L
F
1 .16 0 r
.5106 .5139 m
.51099 .51445 L
.5106 .51489 L
.51032 .51445 L
F
1 .98 0 r
.5106 .50054 m
.51253 .50024 L
.51445 .50047 L
.51541 .50096 L
.51638 .50182 L
.51696 .50289 L
.51831 .50422 L
.51876 .50482 L
.52022 .50674 L
.52023 .50683 L
.52159 .50867 L
.52216 .5097 L
.52269 .5106 L
.52409 .512 L
.52448 .51253 L
.52595 .51445 L
.52601 .51465 L
.52723 .51638 L
.52794 .51736 L
.5283 .51831 L
.52987 .52002 L
.53012 .52023 L
.53162 .52216 L
.53179 .52245 L
.53284 .52409 L
.53372 .52511 L
.5339 .52601 L
.53565 .52784 L
.53571 .52794 L
.53723 .52987 L
.53758 .53065 L
.53828 .53179 L
.53758 .53328 L
.53565 .53334 L
.53372 .53293 L
.53252 .53179 L
.53179 .53074 L
.53126 .52987 L
.52987 .52815 L
.52972 .52794 L
.52831 .52601 L
.52794 .52547 L
.52675 .52409 L
.52601 .52278 L
.52557 .52216 L
.52409 .52025 L
.52405 .52023 L
.52265 .51831 L
.52216 .51773 L
.52112 .51638 L
.52023 .51503 L
.51993 .51445 L
.51842 .51253 L
.51831 .51237 L
.51653 .5106 L
.51638 .51014 L
.51552 .50867 L
.51445 .50721 L
.51429 .50674 L
.51284 .50482 L
.51253 .50436 L
.51102 .50289 L
.5106 .50133 L
.51036 .50096 L
F
0 .49 1 r
.5106 .50636 m
.51149 .50674 L
.51253 .50747 L
.51372 .50867 L
.51445 .50941 L
.51546 .5106 L
.51638 .51136 L
.51706 .51253 L
.51831 .51405 L
.51872 .51445 L
.52 .51638 L
.52023 .51668 L
.52139 .51831 L
.52216 .51938 L
.52275 .52023 L
.52404 .52216 L
.52409 .52224 L
.52515 .52409 L
.52601 .52592 L
.52604 .52601 L
.52601 .52653 L
.52444 .52601 L
.52409 .52576 L
.52239 .52409 L
.52216 .52385 L
.52071 .52216 L
.52023 .52161 L
.51915 .52023 L
.51831 .51959 L
.51764 .51831 L
.51638 .51671 L
.51609 .51638 L
.51481 .51445 L
.51445 .51396 L
.51348 .51253 L
.51253 .51112 L
.51219 .5106 L
.51108 .50867 L
.5106 .50765 L
.51036 .50674 L
F
1 .15 0 r
.5106 .51406 m
.51087 .51445 L
.5106 .51474 L
.51042 .51445 L
F
0 .48 1 r
.5106 .50652 m
.51133 .50674 L
.51253 .50753 L
.51367 .50867 L
.51445 .50946 L
.51543 .5106 L
.51638 .5114 L
.51703 .51253 L
.51831 .51409 L
.51868 .51445 L
.51998 .51638 L
.52023 .51672 L
.52136 .51831 L
.52216 .51942 L
.52272 .52023 L
.524 .52216 L
.52409 .5223 L
.5251 .52409 L
.52409 .5257 L
.52244 .52409 L
.52216 .5238 L
.52075 .52216 L
.52023 .52157 L
.51918 .52023 L
.51831 .51955 L
.51767 .51831 L
.51638 .51667 L
.51612 .51638 L
.51484 .51445 L
.51445 .51392 L
.51351 .51253 L
.51253 .51107 L
.51222 .5106 L
.51113 .50867 L
.5106 .50747 L
.51047 .50674 L
F
1 .83 0 r
.5106 .54902 m
.51072 .54914 L
.51253 .55099 L
.51259 .55106 L
.51253 .55277 L
.5116 .55106 L
.5106 .54952 L
.5105 .54914 L
F
0 .76 1 r
.5106 .4391 m
.51091 .4393 L
.51253 .44066 L
.51304 .44123 L
.51445 .44233 L
.51481 .44316 L
.51638 .44494 L
.51663 .44508 L
.51808 .44701 L
.51831 .44727 L
.51965 .44894 L
.52023 .44921 L
.52122 .45086 L
.52216 .45196 L
.52321 .45279 L
.52409 .45448 L
.52429 .45472 L
.52577 .45664 L
.52601 .45676 L
.52727 .45857 L
.52794 .45938 L
.52912 .4605 L
.52987 .46196 L
.53023 .46242 L
.53169 .46435 L
.53179 .46441 L
.53315 .46628 L
.53372 .46697 L
.53488 .46821 L
.53565 .4696 L
.53603 .47013 L
.53751 .47206 L
.53758 .4721 L
.53894 .47399 L
.5395 .47467 L
.54059 .47591 L
.54143 .47732 L
.54177 .47784 L
.54325 .47977 L
.54336 .47984 L
.54468 .48169 L
.54528 .48245 L
.54627 .48362 L
.54721 .48512 L
.54748 .48555 L
.54895 .48747 L
.54914 .48761 L
.55037 .4894 L
.55106 .49027 L
.55192 .49133 L
.55299 .49296 L
.55316 .49326 L
.55461 .49518 L
.55492 .49542 L
.55666 .49711 L
.55684 .49815 L
.55754 .49904 L
.55877 .50085 L
.55883 .50096 L
.56025 .50289 L
.5607 .50328 L
.56219 .50482 L
.56263 .50607 L
.56313 .50674 L
.56447 .50867 L
.56455 .50878 L
.56585 .5106 L
.56648 .5112 L
.56769 .51253 L
.56841 .51405 L
.5687 .51445 L
.57004 .51638 L
.57033 .51677 L
.57142 .51831 L
.57226 .51921 L
.57313 .52023 L
.57419 .52211 L
.57422 .52216 L
.57556 .52409 L
.57611 .52484 L
.57693 .52601 L
.57804 .52738 L
.57849 .52794 L
.57967 .52987 L
.57997 .53027 L
.581 .53179 L
.58189 .53303 L
.58236 .53372 L
.58371 .53565 L
.58382 .5358 L
.58499 .53758 L
.58575 .53865 L
.58629 .5395 L
.5876 .54143 L
.58768 .54153 L
.58875 .54336 L
.5896 .54466 L
.58993 .54528 L
.5896 .54667 L
.58827 .54528 L
.58768 .5447 L
.5865 .54336 L
.58575 .54253 L
.58482 .54143 L
.58382 .54053 L
.5832 .5395 L
.58189 .53794 L
.58145 .53758 L
.58007 .53565 L
.57997 .53553 L
.57854 .53372 L
.57804 .5333 L
.57701 .53179 L
.57611 .53068 L
.5753 .52987 L
.57419 .52815 L
.57403 .52794 L
.57253 .52601 L
.57226 .52577 L
.57105 .52409 L
.57033 .52317 L
.56943 .52216 L
.56841 .52058 L
.56818 .52023 L
.56667 .51831 L
.56648 .51813 L
.56521 .51638 L
.56455 .51552 L
.56367 .51445 L
.56263 .5129 L
.56241 .51253 L
.56089 .5106 L
.5607 .51041 L
.55885 .50867 L
.55877 .50778 L
.55795 .50674 L
.55684 .50514 L
.55668 .50482 L
.55517 .50289 L
.55492 .50264 L
.55327 .50096 L
.55299 .49998 L
.55228 .49904 L
.55106 .49732 L
.55098 .49711 L
.54949 .49518 L
.54914 .49483 L
.54767 .49326 L
.54721 .49213 L
.54663 .49133 L
.54528 .48946 L
.54526 .4894 L
.54384 .48747 L
.54336 .48697 L
.54209 .48555 L
.54143 .48423 L
.54101 .48362 L
.53961 .48169 L
.5395 .48155 L
.53822 .47977 L
.53758 .47906 L
.53654 .47784 L
.53565 .47628 L
.5354 .47591 L
.53402 .47399 L
.53372 .47359 L
.53263 .47206 L
.53179 .47108 L
.53102 .47013 L
.52987 .46826 L
.52983 .46821 L
.52847 .46628 L
.52794 .46556 L
.52709 .46435 L
.52601 .46299 L
.52557 .46242 L
.52433 .4605 L
.52409 .46016 L
.52299 .45857 L
.52216 .45743 L
.52162 .45664 L
.52024 .45472 L
.52023 .45471 L
.51894 .45279 L
.51831 .45191 L
.51761 .45086 L
.51638 .44925 L
.51612 .44894 L
.51501 .44701 L
.51445 .4462 L
.51376 .44508 L
.51253 .44323 L
.51248 .44316 L
.51145 .44123 L
.5106 .43963 L
.51052 .4393 L
F
1 .14 0 r
.5106 .51432 m
.51068 .51445 L
.5106 .51452 L
.51056 .51445 L
F
0 .47 1 r
.5106 .50672 m
.51112 .50674 L
.51253 .50759 L
.51362 .50867 L
.51445 .5095 L
.51539 .5106 L
.51638 .51144 L
.517 .51253 L
.51831 .51413 L
.51864 .51445 L
.51995 .51638 L
.52023 .51675 L
.52133 .51831 L
.52216 .51946 L
.52269 .52023 L
.52396 .52216 L
.52409 .52235 L
.52506 .52409 L
.52409 .52563 L
.52249 .52409 L
.52216 .52376 L
.52079 .52216 L
.52023 .52153 L
.51921 .52023 L
.51831 .51951 L
.5177 .51831 L
.51638 .51663 L
.51616 .51638 L
.51487 .51445 L
.51445 .51388 L
.51354 .51253 L
.51253 .51102 L
.51225 .5106 L
.51118 .50867 L
.5106 .50718 L
.51059 .50674 L
F
1 .97 0 r
.51253 .50043 m
.51445 .50076 L
.51494 .50096 L
.51638 .50206 L
.51684 .50289 L
.51831 .50436 L
.51866 .50482 L
.52021 .50674 L
.52023 .50694 L
.52154 .50867 L
.52216 .50977 L
.52266 .5106 L
.52409 .51205 L
.52444 .51253 L
.52593 .51445 L
.52601 .5147 L
.5272 .51638 L
.52794 .5174 L
.52828 .51831 L
.52987 .52005 L
.53009 .52023 L
.5316 .52216 L
.53179 .52249 L
.53281 .52409 L
.53372 .52516 L
.53388 .52601 L
.53565 .52793 L
.53565 .52794 L
.53717 .52987 L
.53758 .53082 L
.53814 .53179 L
.53758 .53308 L
.53565 .53319 L
.53372 .53268 L
.53265 .53179 L
.53179 .53063 L
.53132 .52987 L
.52987 .52808 L
.52977 .52794 L
.52834 .52601 L
.52794 .52542 L
.52677 .52409 L
.52601 .52274 L
.52559 .52216 L
.52409 .52024 L
.52407 .52023 L
.52268 .51831 L
.52216 .5177 L
.52114 .51638 L
.52023 .515 L
.51995 .51445 L
.51845 .51253 L
.51831 .51234 L
.51654 .5106 L
.51638 .5101 L
.51555 .50867 L
.51445 .50714 L
.51432 .50674 L
.5129 .50482 L
.51253 .50426 L
.5111 .50289 L
.51076 .50096 L
F
1 .96 0 r
.51253 .50062 m
.51434 .50096 L
.51445 .50104 L
.51638 .50228 L
.51673 .50289 L
.51831 .50449 L
.51857 .50482 L
.52019 .50674 L
.52023 .50705 L
.52149 .50867 L
.52216 .50984 L
.52262 .5106 L
.52409 .5121 L
.5244 .51253 L
.52592 .51445 L
.52601 .51474 L
.52717 .51638 L
.52794 .51744 L
.52826 .51831 L
.52987 .52008 L
.53005 .52023 L
.53158 .52216 L
.53179 .52253 L
.53277 .52409 L
.53372 .52522 L
.53386 .52601 L
.5356 .52794 L
.53565 .52802 L
.53712 .52987 L
.53758 .531 L
.538 .53179 L
.53758 .53287 L
.53565 .53306 L
.53372 .53248 L
.53279 .53179 L
.53179 .53051 L
.53137 .52987 L
.52987 .52801 L
.52982 .52794 L
.52838 .52601 L
.52794 .52537 L
.5268 .52409 L
.52601 .52271 L
.52561 .52216 L
.5241 .52023 L
.52409 .52022 L
.5227 .51831 L
.52216 .51767 L
.52116 .51638 L
.52023 .51497 L
.51996 .51445 L
.51847 .51253 L
.51831 .5123 L
.51656 .5106 L
.51638 .51006 L
.51558 .50867 L
.51445 .50706 L
.51435 .50674 L
.51296 .50482 L
.51253 .50415 L
.51121 .50289 L
.5112 .50096 L
F
0 .46 1 r
.51253 .50765 m
.51357 .50867 L
.51445 .50955 L
.51535 .5106 L
.51638 .51148 L
.51697 .51253 L
.51831 .51417 L
.5186 .51445 L
.51992 .51638 L
.52023 .51679 L
.52131 .51831 L
.52216 .5195 L
.52266 .52023 L
.52392 .52216 L
.52409 .52241 L
.52501 .52409 L
.52409 .52556 L
.52254 .52409 L
.52216 .52371 L
.52082 .52216 L
.52023 .52149 L
.51924 .52023 L
.51831 .51947 L
.51772 .51831 L
.51638 .51658 L
.5162 .51638 L
.51489 .51445 L
.51445 .51384 L
.51357 .51253 L
.51253 .51098 L
.51229 .5106 L
.51124 .50867 L
F
0 .45 1 r
.51253 .50772 m
.51352 .50867 L
.51445 .50959 L
.51532 .5106 L
.51638 .51153 L
.51694 .51253 L
.51831 .51421 L
.51856 .51445 L
.51989 .51638 L
.52023 .51683 L
.52128 .51831 L
.52216 .51954 L
.52263 .52023 L
.52389 .52216 L
.52409 .52248 L
.52496 .52409 L
.52409 .52549 L
.5226 .52409 L
.52216 .52366 L
.52086 .52216 L
.52023 .52145 L
.51927 .52023 L
.51831 .51943 L
.51775 .51831 L
.51638 .51654 L
.51623 .51638 L
.51492 .51445 L
.51445 .5138 L
.51359 .51253 L
.51253 .51093 L
.51232 .5106 L
.51129 .50867 L
F
1 .95 0 r
.51253 .50082 m
.51367 .50096 L
.51445 .50137 L
.51638 .50247 L
.51663 .50289 L
.51831 .50461 L
.51847 .50482 L
.52018 .50674 L
.52023 .50715 L
.52145 .50867 L
.52216 .5099 L
.52259 .5106 L
.52409 .51216 L
.52436 .51253 L
.5259 .51445 L
.52601 .51479 L
.52714 .51638 L
.52794 .51748 L
.52824 .51831 L
.52987 .52011 L
.53002 .52023 L
.53157 .52216 L
.53179 .52256 L
.53274 .52409 L
.53372 .52527 L
.53384 .52601 L
.53554 .52794 L
.53565 .5281 L
.53706 .52987 L
.53758 .53122 L
.53785 .53179 L
.53758 .53262 L
.53565 .53292 L
.53372 .5323 L
.53296 .53179 L
.53179 .53041 L
.53143 .52987 L
.52987 .52794 L
.52986 .52794 L
.52842 .52601 L
.52794 .52533 L
.52682 .52409 L
.52601 .52268 L
.52563 .52216 L
.52412 .52023 L
.52409 .52021 L
.52272 .51831 L
.52216 .51764 L
.52118 .51638 L
.52023 .51494 L
.51998 .51445 L
.5185 .51253 L
.51831 .51226 L
.51657 .5106 L
.51638 .51002 L
.51562 .50867 L
.51445 .50698 L
.51437 .50674 L
.51303 .50482 L
.51253 .50403 L
.51132 .50289 L
.51177 .50096 L
F
0 .44 1 r
.51253 .50778 m
.51346 .50867 L
.51445 .50964 L
.51528 .5106 L
.51638 .51157 L
.51691 .51253 L
.51831 .51425 L
.51851 .51445 L
.51986 .51638 L
.52023 .51687 L
.52125 .51831 L
.52216 .51958 L
.5226 .52023 L
.52385 .52216 L
.52409 .52254 L
.52491 .52409 L
.52409 .52542 L
.52265 .52409 L
.52216 .52361 L
.5209 .52216 L
.52023 .52141 L
.5193 .52023 L
.51831 .51939 L
.51777 .51831 L
.51638 .5165 L
.51627 .51638 L
.51495 .51445 L
.51445 .51376 L
.51362 .51253 L
.51253 .51087 L
.51235 .5106 L
.51135 .50867 L
F
1 .48 0 r
.51253 .44889 m
.51256 .44894 L
.51421 .45086 L
.51445 .45112 L
.51579 .45279 L
.51638 .45345 L
.51736 .45472 L
.51831 .45584 L
.51892 .45664 L
.52023 .45811 L
.52046 .45857 L
.52195 .4605 L
.52216 .46075 L
.52342 .46242 L
.52409 .46325 L
.52491 .46435 L
.52601 .46555 L
.52639 .46628 L
.52786 .46821 L
.52794 .46831 L
.52928 .47013 L
.52987 .47088 L
.53073 .47206 L
.53179 .47323 L
.53219 .47399 L
.53363 .47591 L
.53372 .47603 L
.53503 .47784 L
.53565 .47864 L
.53646 .47977 L
.53758 .48107 L
.53827 .48169 L
.53931 .48362 L
.5395 .48388 L
.54069 .48555 L
.54143 .48653 L
.5421 .48747 L
.54336 .48906 L
.5437 .4894 L
.54489 .49133 L
.54528 .49185 L
.54626 .49326 L
.54721 .49453 L
.54766 .49518 L
.54905 .49711 L
.54914 .49722 L
.55037 .49904 L
.55106 .49998 L
.55172 .50096 L
.55299 .50272 L
.55311 .50289 L
.55438 .50482 L
.55492 .50556 L
.55566 .50674 L
.55684 .50843 L
.55699 .50867 L
.55812 .5106 L
.55877 .51161 L
.55912 .51253 L
.55877 .51273 L
.55858 .51253 L
.55684 .51071 L
.55675 .5106 L
.55512 .50867 L
.55492 .50845 L
.55355 .50674 L
.55299 .50611 L
.55198 .50482 L
.55106 .50371 L
.55042 .50289 L
.54914 .50141 L
.54889 .50096 L
.5474 .49904 L
.54721 .4988 L
.54593 .49711 L
.54528 .4963 L
.54444 .49518 L
.54336 .49396 L
.54296 .49326 L
.5415 .49133 L
.54143 .49124 L
.54006 .4894 L
.5395 .48868 L
.53861 .48747 L
.53758 .48629 L
.5367 .48555 L
.53572 .48362 L
.53565 .48352 L
.53432 .48169 L
.53372 .48091 L
.53289 .47977 L
.53179 .47845 L
.53115 .47784 L
.53005 .47591 L
.52987 .47568 L
.52866 .47399 L
.52794 .47303 L
.52725 .47206 L
.52601 .47047 L
.5257 .47013 L
.52447 .46821 L
.52409 .46769 L
.5231 .46628 L
.52216 .465 L
.5217 .46435 L
.52033 .46242 L
.52023 .4623 L
.51901 .4605 L
.51831 .45954 L
.51766 .45857 L
.51638 .45678 L
.51629 .45664 L
.51503 .45472 L
.51445 .45391 L
.51375 .45279 L
.51253 .451 L
.51244 .45086 L
.51139 .44894 L
F
0 .43 1 r
.51253 .50785 m
.5134 .50867 L
.51445 .50969 L
.51524 .5106 L
.51638 .51162 L
.51688 .51253 L
.51831 .51429 L
.51847 .51445 L
.51983 .51638 L
.52023 .5169 L
.52122 .51831 L
.52216 .51962 L
.52257 .52023 L
.52381 .52216 L
.52409 .52261 L
.52486 .52409 L
.52409 .52535 L
.52271 .52409 L
.52216 .52356 L
.52094 .52216 L
.52023 .52137 L
.51933 .52023 L
.51831 .51935 L
.5178 .51831 L
.51638 .51645 L
.51631 .51638 L
.51498 .51445 L
.51445 .51372 L
.51365 .51253 L
.51253 .51082 L
.51239 .5106 L
.51141 .50867 L
F
1 .94 0 r
.51253 .50102 m
.51445 .50166 L
.51638 .50264 L
.51654 .50289 L
.51831 .50473 L
.51838 .50482 L
.52017 .50674 L
.52023 .50725 L
.5214 .50867 L
.52216 .50996 L
.52256 .5106 L
.52409 .51221 L
.52433 .51253 L
.52589 .51445 L
.52601 .51483 L
.52711 .51638 L
.52794 .51752 L
.52822 .51831 L
.52987 .52013 L
.52999 .52023 L
.53155 .52216 L
.53179 .5226 L
.53271 .52409 L
.53372 .52533 L
.53383 .52601 L
.53549 .52794 L
.53565 .52819 L
.537 .52987 L
.53758 .5315 L
.53769 .53179 L
.53758 .53229 L
.53565 .53279 L
.53372 .53214 L
.53315 .53179 L
.53179 .53031 L
.53149 .52987 L
.52991 .52794 L
.52987 .52788 L
.52845 .52601 L
.52794 .52528 L
.52685 .52409 L
.52601 .52265 L
.52565 .52216 L
.52415 .52023 L
.52409 .52019 L
.52275 .51831 L
.52216 .51761 L
.5212 .51638 L
.52023 .51491 L
.52 .51445 L
.51853 .51253 L
.51831 .51223 L
.51659 .5106 L
.51638 .50997 L
.51565 .50867 L
.51445 .50689 L
.5144 .50674 L
.51309 .50482 L
.51253 .50391 L
.51146 .50289 L
F
0 .42 1 r
.51253 .50792 m
.51334 .50867 L
.51445 .50974 L
.5152 .5106 L
.51638 .51167 L
.51684 .51253 L
.51831 .51434 L
.51843 .51445 L
.5198 .51638 L
.52023 .51694 L
.52119 .51831 L
.52216 .51967 L
.52254 .52023 L
.52377 .52216 L
.52409 .52268 L
.5248 .52409 L
.52409 .52527 L
.52277 .52409 L
.52216 .52351 L
.52097 .52216 L
.52023 .52133 L
.51936 .52023 L
.51831 .5193 L
.51783 .51831 L
.51638 .51641 L
.51635 .51638 L
.51501 .51445 L
.51445 .51368 L
.51368 .51253 L
.51253 .51077 L
.51242 .5106 L
.51147 .50867 L
F
0 .41 1 r
.51253 .50799 m
.51328 .50867 L
.51445 .50978 L
.51516 .5106 L
.51638 .51172 L
.51681 .51253 L
.51831 .51438 L
.51838 .51445 L
.51978 .51638 L
.52023 .51698 L
.52116 .51831 L
.52216 .51971 L
.52251 .52023 L
.52373 .52216 L
.52409 .52276 L
.52475 .52409 L
.52409 .52519 L
.52283 .52409 L
.52216 .52346 L
.52101 .52216 L
.52023 .52129 L
.51939 .52023 L
.51831 .51925 L
.51786 .51831 L
.51639 .51638 L
.51638 .51636 L
.51504 .51445 L
.51445 .51364 L
.51372 .51253 L
.51253 .51071 L
.51246 .5106 L
.51154 .50867 L
F
0 .4 1 r
.51253 .50806 m
.51321 .50867 L
.51445 .50983 L
.51512 .5106 L
.51638 .51177 L
.51678 .51253 L
.51831 .51443 L
.51833 .51445 L
.51975 .51638 L
.52023 .51702 L
.52114 .51831 L
.52216 .51975 L
.52248 .52023 L
.52368 .52216 L
.52409 .52284 L
.52469 .52409 L
.52409 .5251 L
.5229 .52409 L
.52216 .52341 L
.52105 .52216 L
.52023 .52125 L
.51942 .52023 L
.51831 .5192 L
.51788 .51831 L
.51642 .51638 L
.51638 .51632 L
.51507 .51445 L
.51445 .51359 L
.51375 .51253 L
.51253 .51065 L
.51249 .5106 L
.5116 .50867 L
F
1 .93 0 r
.51253 .50122 m
.51445 .50188 L
.51638 .5028 L
.51644 .50289 L
.51829 .50482 L
.51831 .50484 L
.52016 .50674 L
.52023 .50734 L
.52136 .50867 L
.52216 .51002 L
.52254 .5106 L
.52409 .51226 L
.52429 .51253 L
.52588 .51445 L
.52601 .51488 L
.52709 .51638 L
.52794 .51756 L
.5282 .51831 L
.52987 .52016 L
.52996 .52023 L
.53153 .52216 L
.53179 .52264 L
.53267 .52409 L
.53372 .52539 L
.53382 .52601 L
.53543 .52794 L
.53565 .52828 L
.53693 .52987 L
.53751 .53179 L
.53565 .53266 L
.53372 .53199 L
.53336 .53179 L
.53179 .53021 L
.53155 .52987 L
.52996 .52794 L
.52987 .52781 L
.52849 .52601 L
.52794 .52524 L
.52688 .52409 L
.52601 .52262 L
.52567 .52216 L
.52417 .52023 L
.52409 .52017 L
.52277 .51831 L
.52216 .51759 L
.52122 .51638 L
.52023 .51487 L
.52001 .51445 L
.51855 .51253 L
.51831 .51219 L
.51661 .5106 L
.51638 .50993 L
.51568 .50867 L
.51445 .50681 L
.51443 .50674 L
.51315 .50482 L
.51253 .50378 L
.51162 .50289 L
F
0 .75 1 r
.51253 .44088 m
.51286 .44123 L
.51445 .44261 L
.51469 .44316 L
.51638 .44508 L
.51638 .44508 L
.51799 .44701 L
.51831 .44737 L
.51958 .44894 L
.52023 .44926 L
.52115 .45086 L
.52216 .45204 L
.52313 .45279 L
.52409 .45455 L
.52423 .45472 L
.52572 .45664 L
.52601 .45679 L
.52722 .45857 L
.52794 .45943 L
.52908 .4605 L
.52987 .46201 L
.53019 .46242 L
.53166 .46435 L
.53179 .46443 L
.53312 .46628 L
.53372 .46701 L
.53485 .46821 L
.53565 .46964 L
.53601 .47013 L
.53748 .47206 L
.53758 .47212 L
.53892 .47399 L
.5395 .47471 L
.54057 .47591 L
.54143 .47736 L
.54175 .47784 L
.54323 .47977 L
.54336 .47986 L
.54465 .48169 L
.54528 .48248 L
.54625 .48362 L
.54721 .48515 L
.54746 .48555 L
.54893 .48747 L
.54914 .48763 L
.55034 .4894 L
.55106 .4903 L
.55189 .49133 L
.55299 .49299 L
.55314 .49326 L
.55459 .49518 L
.55492 .49544 L
.55665 .49711 L
.55684 .49817 L
.55752 .49904 L
.55877 .50087 L
.55882 .50096 L
.56023 .50289 L
.5607 .5033 L
.56217 .50482 L
.56263 .5061 L
.56311 .50674 L
.56445 .50867 L
.56455 .50881 L
.56583 .5106 L
.56648 .51123 L
.56766 .51253 L
.56841 .51408 L
.56867 .51445 L
.57001 .51638 L
.57033 .51681 L
.57139 .51831 L
.57226 .51925 L
.5731 .52023 L
.57419 .52216 L
.57419 .52216 L
.57553 .52409 L
.57611 .52488 L
.5769 .52601 L
.57804 .52745 L
.57844 .52794 L
.57963 .52987 L
.57997 .53033 L
.58096 .53179 L
.58189 .53309 L
.58232 .53372 L
.58366 .53565 L
.58382 .53588 L
.58492 .53758 L
.58575 .53875 L
.58622 .5395 L
.58751 .54143 L
.58768 .54168 L
.58864 .54336 L
.5896 .5449 L
.58978 .54528 L
.5896 .54637 L
.58849 .54528 L
.58768 .54453 L
.58664 .54336 L
.58575 .5424 L
.58493 .54143 L
.58382 .5404 L
.58328 .5395 L
.58189 .53784 L
.58156 .53758 L
.58014 .53565 L
.57997 .53545 L
.5786 .53372 L
.57804 .53324 L
.57706 .53179 L
.57611 .53061 L
.57536 .52987 L
.57419 .5281 L
.57407 .52794 L
.57258 .52601 L
.57226 .52573 L
.57109 .52409 L
.57033 .52312 L
.56947 .52216 L
.56841 .52054 L
.56821 .52023 L
.5667 .51831 L
.56648 .5181 L
.56525 .51638 L
.56455 .51548 L
.56369 .51445 L
.56263 .51286 L
.56243 .51253 L
.56092 .5106 L
.5607 .51039 L
.55886 .50867 L
.55877 .50775 L
.55798 .50674 L
.55684 .50511 L
.5567 .50482 L
.55519 .50289 L
.55492 .50262 L
.55328 .50096 L
.55299 .49995 L
.5523 .49904 L
.55106 .49729 L
.55099 .49711 L
.54951 .49518 L
.54914 .4948 L
.54769 .49326 L
.54721 .4921 L
.54665 .49133 L
.54528 .48944 L
.54527 .4894 L
.54386 .48747 L
.54336 .48695 L
.54211 .48555 L
.54143 .4842 L
.54103 .48362 L
.53963 .48169 L
.5395 .48152 L
.53824 .47977 L
.53758 .47903 L
.53656 .47784 L
.53565 .47625 L
.53543 .47591 L
.53404 .47399 L
.53372 .47355 L
.53266 .47206 L
.53179 .47105 L
.53105 .47013 L
.52987 .46822 L
.52986 .46821 L
.5285 .46628 L
.52794 .46552 L
.52712 .46435 L
.52601 .46294 L
.52561 .46242 L
.52437 .4605 L
.52409 .46011 L
.52302 .45857 L
.52216 .45738 L
.52165 .45664 L
.52029 .45472 L
.52023 .45464 L
.51899 .45279 L
.51831 .45183 L
.51766 .45086 L
.51638 .4491 L
.51625 .44894 L
.51509 .44701 L
.51445 .44608 L
.51385 .44508 L
.5126 .44316 L
.51253 .44304 L
.51166 .44123 L
F
0 .39 1 r
.51253 .50814 m
.51314 .50867 L
.51445 .50988 L
.51508 .5106 L
.51638 .51183 L
.51675 .51253 L
.51829 .51445 L
.51831 .51447 L
.51972 .51638 L
.52023 .51706 L
.52111 .51831 L
.52216 .5198 L
.52245 .52023 L
.52364 .52216 L
.52409 .52292 L
.52463 .52409 L
.52409 .52501 L
.52297 .52409 L
.52216 .52336 L
.5211 .52216 L
.52023 .52121 L
.51945 .52023 L
.51831 .51915 L
.51791 .51831 L
.51645 .51638 L
.51638 .51628 L
.5151 .51445 L
.51445 .51355 L
.51378 .51253 L
.51253 .5106 L
.51253 .51059 L
.51168 .50867 L
F
1 .93 0 r
.51253 .43266 m
.5134 .43352 L
.51445 .43456 L
.51526 .43545 L
.51638 .43656 L
.51699 .43737 L
.51831 .43891 L
.51879 .4393 L
.52023 .44121 L
.52025 .44123 L
.52184 .44316 L
.52216 .4435 L
.52341 .44508 L
.52409 .44597 L
.52506 .44701 L
.52601 .44846 L
.52633 .44894 L
.52794 .45085 L
.52797 .45086 L
.52947 .45279 L
.52987 .45334 L
.53098 .45472 L
.53179 .45593 L
.5322 .45664 L
.53372 .45848 L
.5339 .45857 L
.53563 .4605 L
.53565 .46091 L
.5368 .46242 L
.53758 .46356 L
.53797 .46435 L
.5395 .46617 L
.53972 .46628 L
.54132 .46821 L
.54143 .46861 L
.54254 .47013 L
.54336 .47129 L
.54367 .47206 L
.54528 .47391 L
.54546 .47399 L
.54702 .47591 L
.54721 .47639 L
.54823 .47784 L
.54914 .47908 L
.54934 .47977 L
.55106 .48166 L
.55116 .48169 L
.55271 .48362 L
.55299 .48421 L
.5539 .48555 L
.55492 .48691 L
.55499 .48747 L
.55683 .4894 L
.55684 .48941 L
.55837 .49133 L
.55877 .49206 L
.55954 .49326 L
.5607 .49475 L
.5611 .49518 L
.5625 .49711 L
.56263 .49727 L
.56402 .49904 L
.56455 .49993 L
.56518 .50096 L
.56648 .5026 L
.56675 .50289 L
.56815 .50482 L
.56841 .50513 L
.56965 .50674 L
.57033 .50781 L
.57082 .50867 L
.57226 .51046 L
.57239 .5106 L
.57379 .51253 L
.57419 .51301 L
.57528 .51445 L
.57611 .5157 L
.57645 .51638 L
.57802 .51831 L
.57804 .51832 L
.57982 .52023 L
.57997 .52091 L
.58089 .52216 L
.58189 .52361 L
.5821 .52409 L
.58365 .52601 L
.58382 .52615 L
.58543 .52794 L
.58575 .52881 L
.5865 .52987 L
.58768 .53153 L
.58776 .53179 L
.58926 .53372 L
.5896 .534 L
.59101 .53565 L
.59153 .53675 L
.59209 .53758 L
.59346 .53947 L
.59346 .5395 L
.59486 .54143 L
.59538 .5419 L
.59657 .54336 L
.59731 .54472 L
.59768 .54528 L
.59906 .54721 L
.59924 .54745 L
.60043 .54914 L
.60116 .54988 L
.60209 .55106 L
.60309 .55275 L
.60324 .55299 L
.6046 .55492 L
.60502 .55548 L
.60597 .55684 L
.60694 .55797 L
.60754 .55877 L
.60874 .5607 L
.60887 .56087 L
.61008 .56263 L
.6108 .56361 L
.61144 .56455 L
.61273 .56628 L
.61287 .56648 L
.61413 .56841 L
.61465 .56914 L
.61544 .57033 L
.61658 .57195 L
.61702 .57226 L
.61804 .57419 L
.61851 .57487 L
.61926 .57611 L
.62043 .5779 L
.62051 .57804 L
.62151 .57997 L
.62043 .58065 L
.61976 .57997 L
.61851 .57908 L
.61793 .57804 L
.61658 .57656 L
.61569 .57611 L
.61465 .57427 L
.61456 .57419 L
.61297 .57226 L
.61273 .57209 L
.61139 .57033 L
.6108 .56962 L
.60936 .56841 L
.60887 .56714 L
.60832 .56648 L
.60694 .56469 L
.6069 .56455 L
.60528 .56263 L
.60502 .56229 L
.60354 .5607 L
.60309 .55973 L
.60239 .55877 L
.60116 .55715 L
.60112 .55684 L
.59936 .55492 L
.59924 .55476 L
.59776 .55299 L
.59731 .55214 L
.59658 .55106 L
.59538 .5495 L
.59498 .54914 L
.59355 .54721 L
.59346 .54708 L
.59202 .54528 L
.59153 .54444 L
.59084 .54336 L
.5896 .54176 L
.58922 .54143 L
.58781 .5395 L
.58768 .53932 L
.58632 .53758 L
.58575 .53665 L
.58515 .53565 L
.58382 .53399 L
.58352 .53372 L
.58211 .53179 L
.58189 .53151 L
.58065 .52987 L
.57997 .52883 L
.57949 .52794 L
.57804 .52618 L
.57784 .52601 L
.57617 .52409 L
.57611 .52366 L
.57499 .52216 L
.57419 .52098 L
.57383 .52023 L
.57226 .51837 L
.57218 .51831 L
.5705 .51638 L
.57033 .5158 L
.56935 .51445 L
.56841 .51312 L
.56818 .51253 L
.56653 .5106 L
.56648 .51055 L
.56485 .50867 L
.56455 .50792 L
.56372 .50674 L
.56263 .50524 L
.56252 .50482 L
.56088 .50289 L
.5607 .5027 L
.55923 .50096 L
.55877 .50004 L
.55809 .49904 L
.55684 .49736 L
.55682 .49711 L
.55525 .49518 L
.55492 .49483 L
.55361 .49326 L
.55299 .49213 L
.55247 .49133 L
.55106 .48946 L
.55101 .4894 L
.54962 .48747 L
.54914 .48695 L
.54801 .48555 L
.54721 .48422 L
.54685 .48362 L
.5454 .48169 L
.54528 .48168 L
.54401 .47977 L
.54336 .47903 L
.54243 .47784 L
.54143 .47627 L
.54122 .47591 L
.5398 .47399 L
.5395 .47389 L
.53773 .47206 L
.53758 .47108 L
.53686 .47013 L
.53565 .4683 L
.5356 .46821 L
.53422 .46628 L
.53372 .46602 L
.53225 .46435 L
.53179 .46307 L
.53133 .46242 L
.53003 .4605 L
.52987 .46028 L
.52867 .45857 L
.52794 .45801 L
.52683 .45664 L
.52601 .45497 L
.52584 .45472 L
.52453 .45279 L
.52409 .45219 L
.52317 .45086 L
.52216 .44978 L
.52152 .44894 L
.52043 .44701 L
.52023 .44674 L
.51913 .44508 L
.51831 .44394 L
.51779 .44316 L
.51644 .44123 L
.51638 .44114 L
.51521 .4393 L
.51445 .4382 L
.51395 .43737 L
.51272 .43545 L
.51253 .43515 L
.51171 .43352 L
F
0 .38 1 r
.51253 .50822 m
.51307 .50867 L
.51445 .50993 L
.51504 .5106 L
.51638 .51188 L
.51672 .51253 L
.51826 .51445 L
.51831 .51451 L
.51968 .51638 L
.52023 .5171 L
.52108 .51831 L
.52216 .51984 L
.52242 .52023 L
.5236 .52216 L
.52409 .52301 L
.52457 .52409 L
.52409 .52492 L
.52305 .52409 L
.52216 .52331 L
.52114 .52216 L
.52023 .52117 L
.51949 .52023 L
.51831 .5191 L
.51794 .51831 L
.51648 .51638 L
.51638 .51624 L
.51513 .51445 L
.51445 .5135 L
.51381 .51253 L
.51258 .5106 L
.51253 .51051 L
.51176 .50867 L
F
1 .92 0 r
.51253 .50143 m
.51445 .50207 L
.51631 .50289 L
.51638 .50296 L
.5182 .50482 L
.51831 .50497 L
.52015 .50674 L
.52023 .50743 L
.52131 .50867 L
.52216 .51007 L
.52251 .5106 L
.52409 .51231 L
.52425 .51253 L
.52586 .51445 L
.52601 .51492 L
.52706 .51638 L
.52794 .5176 L
.52819 .51831 L
.52987 .52019 L
.52992 .52023 L
.53151 .52216 L
.53179 .52268 L
.53264 .52409 L
.53372 .52546 L
.5338 .52601 L
.53538 .52794 L
.53565 .52837 L
.53687 .52987 L
.53731 .53179 L
.53565 .53253 L
.53372 .53185 L
.53361 .53179 L
.53179 .53011 L
.53161 .52987 L
.53001 .52794 L
.52987 .52775 L
.52853 .52601 L
.52794 .52519 L
.5269 .52409 L
.52601 .52259 L
.52569 .52216 L
.5242 .52023 L
.52409 .52015 L
.52279 .51831 L
.52216 .51756 L
.52125 .51638 L
.52023 .51484 L
.52003 .51445 L
.51858 .51253 L
.51831 .51215 L
.51662 .5106 L
.51638 .50987 L
.51572 .50867 L
.51447 .50674 L
.51445 .50672 L
.51322 .50482 L
.51253 .50363 L
.51179 .50289 L
F
0 .37 1 r
.51253 .5083 m
.51299 .50867 L
.51445 .50998 L
.515 .5106 L
.51638 .51194 L
.51668 .51253 L
.51823 .51445 L
.51831 .51455 L
.51965 .51638 L
.52023 .51714 L
.52105 .51831 L
.52216 .51989 L
.52239 .52023 L
.52355 .52216 L
.52409 .52311 L
.5245 .52409 L
.52409 .52482 L
.52313 .52409 L
.52216 .52325 L
.52118 .52216 L
.52023 .52112 L
.51952 .52023 L
.51831 .51904 L
.51797 .51831 L
.51651 .51638 L
.51638 .5162 L
.51516 .51445 L
.51445 .51346 L
.51384 .51253 L
.51262 .5106 L
.51253 .51043 L
.51185 .50867 L
F
0 .36 1 r
.51253 .50839 m
.51289 .50867 L
.51445 .51004 L
.51496 .5106 L
.51638 .512 L
.51665 .51253 L
.51819 .51445 L
.51831 .51459 L
.51962 .51638 L
.52023 .51718 L
.52102 .51831 L
.52216 .51994 L
.52236 .52023 L
.5235 .52216 L
.52409 .52322 L
.52442 .52409 L
.52409 .52471 L
.52322 .52409 L
.52216 .5232 L
.52122 .52216 L
.52023 .52108 L
.51955 .52023 L
.51831 .51899 L
.518 .51831 L
.51655 .51638 L
.51638 .51616 L
.51519 .51445 L
.51445 .51341 L
.51387 .51253 L
.51267 .5106 L
.51253 .51033 L
.51195 .50867 L
F
0 .74 1 r
.51253 .44114 m
.51261 .44123 L
.51445 .44293 L
.51455 .44316 L
.51626 .44508 L
.51638 .44521 L
.51789 .44701 L
.51831 .44747 L
.5195 .44894 L
.52023 .44933 L
.52108 .45086 L
.52216 .45212 L
.52304 .45279 L
.52409 .45462 L
.52418 .45472 L
.52567 .45664 L
.52601 .45682 L
.52717 .45857 L
.52794 .45948 L
.52903 .4605 L
.52987 .46206 L
.53015 .46242 L
.53162 .46435 L
.53179 .46445 L
.53308 .46628 L
.53372 .46705 L
.53482 .46821 L
.53565 .46968 L
.53598 .47013 L
.53745 .47206 L
.53758 .47214 L
.53889 .47399 L
.5395 .47474 L
.54054 .47591 L
.54143 .47739 L
.54173 .47784 L
.5432 .47977 L
.54336 .47987 L
.54463 .48169 L
.54528 .48251 L
.54622 .48362 L
.54721 .48518 L
.54744 .48555 L
.5489 .48747 L
.54914 .48765 L
.55032 .4894 L
.55106 .49033 L
.55187 .49133 L
.55299 .49302 L
.55313 .49326 L
.55457 .49518 L
.55492 .49546 L
.55664 .49711 L
.55684 .4982 L
.55749 .49904 L
.55877 .5009 L
.5588 .50096 L
.5602 .50289 L
.5607 .50332 L
.56215 .50482 L
.56263 .50613 L
.56309 .50674 L
.56442 .50867 L
.56455 .50884 L
.5658 .5106 L
.56648 .51126 L
.56763 .51253 L
.56841 .51412 L
.56865 .51445 L
.56999 .51638 L
.57033 .51684 L
.57136 .51831 L
.57226 .51929 L
.57306 .52023 L
.57416 .52216 L
.57419 .5222 L
.5755 .52409 L
.57611 .52493 L
.57687 .52601 L
.57804 .52751 L
.57839 .52794 L
.57959 .52987 L
.57997 .53039 L
.58092 .53179 L
.58189 .53316 L
.58227 .53372 L
.5836 .53565 L
.58382 .53596 L
.58486 .53758 L
.58575 .53885 L
.58616 .5395 L
.5874 .54143 L
.58768 .54183 L
.5885 .54336 L
.5896 .54526 L
.58961 .54528 L
.5896 .54589 L
.58878 .54528 L
.58768 .54434 L
.58678 .54336 L
.58575 .54226 L
.58503 .54143 L
.58382 .54027 L
.58337 .5395 L
.58189 .53774 L
.58168 .53758 L
.58021 .53565 L
.57997 .53536 L
.57866 .53372 L
.57804 .53318 L
.57712 .53179 L
.57611 .53055 L
.57541 .52987 L
.57419 .52804 L
.57411 .52794 L
.57262 .52601 L
.57226 .52569 L
.57113 .52409 L
.57033 .52307 L
.56951 .52216 L
.56841 .52049 L
.56824 .52023 L
.56674 .51831 L
.56648 .51807 L
.56528 .51638 L
.56455 .51544 L
.56372 .51445 L
.56263 .51283 L
.56245 .51253 L
.56095 .5106 L
.5607 .51036 L
.55887 .50867 L
.55877 .50771 L
.558 .50674 L
.55684 .50508 L
.55671 .50482 L
.55522 .50289 L
.55492 .50259 L
.55329 .50096 L
.55299 .49992 L
.55232 .49904 L
.55106 .49727 L
.551 .49711 L
.54953 .49518 L
.54914 .49478 L
.5477 .49326 L
.54721 .49207 L
.54667 .49133 L
.54528 .48941 L
.54528 .4894 L
.54388 .48747 L
.54336 .48692 L
.54213 .48555 L
.54143 .48417 L
.54105 .48362 L
.53965 .48169 L
.5395 .48149 L
.53826 .47977 L
.53758 .479 L
.53658 .47784 L
.53565 .47621 L
.53545 .47591 L
.53407 .47399 L
.53372 .47352 L
.53268 .47206 L
.53179 .47101 L
.53108 .47013 L
.52988 .46821 L
.52987 .46818 L
.52853 .46628 L
.52794 .46548 L
.52715 .46435 L
.52601 .46289 L
.52566 .46242 L
.52441 .4605 L
.52409 .46006 L
.52306 .45857 L
.52216 .45732 L
.52169 .45664 L
.52034 .45472 L
.52023 .45458 L
.51904 .45279 L
.51831 .45176 L
.51772 .45086 L
.51638 .44894 L
.51638 .44894 L
.51517 .44701 L
.51445 .44595 L
.51394 .44508 L
.51275 .44316 L
.51253 .44279 L
.51197 .44123 L
F
1 .91 0 r
.51253 .50167 m
.51445 .50222 L
.51615 .50289 L
.51638 .50313 L
.51811 .50482 L
.51831 .50509 L
.52013 .50674 L
.52023 .50751 L
.52127 .50867 L
.52216 .51012 L
.52248 .5106 L
.52409 .51236 L
.52421 .51253 L
.52585 .51445 L
.52601 .51496 L
.52703 .51638 L
.52794 .51764 L
.52817 .51831 L
.52987 .52021 L
.52989 .52023 L
.53149 .52216 L
.53179 .52272 L
.53261 .52409 L
.53372 .52552 L
.53379 .52601 L
.53532 .52794 L
.53565 .52847 L
.53679 .52987 L
.5371 .53179 L
.53565 .5324 L
.53384 .53179 L
.53372 .53171 L
.53179 .53002 L
.53168 .52987 L
.53006 .52794 L
.52987 .52769 L
.52856 .52601 L
.52794 .52515 L
.52693 .52409 L
.52601 .52256 L
.52571 .52216 L
.52422 .52023 L
.52409 .52013 L
.52282 .51831 L
.52216 .51753 L
.52127 .51638 L
.52023 .51481 L
.52005 .51445 L
.51861 .51253 L
.51831 .51211 L
.51664 .5106 L
.51638 .50982 L
.51575 .50867 L
.51451 .50674 L
.51445 .50665 L
.51328 .50482 L
.51253 .50345 L
.512 .50289 L
F
0 .97 1 r
.51253 .48513 m
.51295 .48555 L
.51445 .48702 L
.51488 .48747 L
.51638 .48917 L
.51659 .4894 L
.51807 .49133 L
.51831 .49164 L
.51936 .49326 L
.52023 .4951 L
.52026 .49518 L
.52023 .49528 L
.51956 .49518 L
.51831 .49419 L
.51755 .49326 L
.51638 .49191 L
.51597 .49133 L
.51446 .4894 L
.51445 .48939 L
.51323 .48747 L
.51253 .48651 L
.51204 .48555 L
F
0 .35 1 r
.51253 .50848 m
.51279 .50867 L
.51445 .51009 L
.51491 .5106 L
.51638 .51206 L
.51662 .51253 L
.51816 .51445 L
.51831 .51463 L
.51959 .51638 L
.52023 .51723 L
.52099 .51831 L
.52216 .51999 L
.52232 .52023 L
.52346 .52216 L
.52409 .52335 L
.52434 .52409 L
.52409 .52458 L
.52332 .52409 L
.52216 .52314 L
.52127 .52216 L
.52023 .52104 L
.51959 .52023 L
.51831 .51893 L
.51803 .51831 L
.51658 .51638 L
.51638 .51612 L
.51522 .51445 L
.51445 .51336 L
.51391 .51253 L
.51273 .5106 L
.51253 .51023 L
.51207 .50867 L
F
0 .38 1 r
.51253 .4567 m
.51389 .45857 L
.51445 .45923 L
.51536 .4605 L
.51638 .46176 L
.51685 .46242 L
.51831 .4643 L
.51834 .46435 L
.51971 .46628 L
.52023 .46693 L
.52111 .46821 L
.52216 .46955 L
.52256 .47013 L
.52399 .47206 L
.52409 .47218 L
.52529 .47399 L
.52601 .47491 L
.52666 .47591 L
.52794 .47762 L
.52808 .47784 L
.52794 .47968 L
.52655 .47784 L
.52601 .47722 L
.52505 .47591 L
.52409 .47474 L
.52353 .47399 L
.52216 .47223 L
.52203 .47206 L
.52062 .47013 L
.52023 .46966 L
.5192 .46821 L
.51831 .46707 L
.51775 .46628 L
.51638 .46447 L
.51629 .46435 L
.51495 .46242 L
.51445 .46179 L
.51357 .4605 L
.51253 .45911 L
.51216 .45857 L
F
0 .37 1 r
.51253 .45679 m
.51382 .45857 L
.51445 .45931 L
.51529 .4605 L
.51638 .46184 L
.51679 .46242 L
.51829 .46435 L
.51831 .46437 L
.51964 .46628 L
.52023 .46701 L
.52105 .46821 L
.52216 .46962 L
.52251 .47013 L
.52392 .47206 L
.52409 .47227 L
.52523 .47399 L
.52601 .475 L
.5266 .47591 L
.52794 .47771 L
.52802 .47784 L
.52794 .47956 L
.52665 .47784 L
.52601 .47712 L
.52512 .47591 L
.52409 .47466 L
.52359 .47399 L
.52216 .47216 L
.52209 .47206 L
.52069 .47013 L
.52023 .46958 L
.51926 .46821 L
.51831 .46699 L
.5178 .46628 L
.51638 .4644 L
.51635 .46435 L
.51502 .46242 L
.51445 .46171 L
.51363 .4605 L
.51253 .45903 L
.51222 .45857 L
F
1 .9 0 r
.51253 .50195 m
.51445 .50234 L
.51599 .50289 L
.51638 .50328 L
.51802 .50482 L
.51831 .5052 L
.52012 .50674 L
.52023 .50759 L
.52123 .50867 L
.52216 .51017 L
.52246 .5106 L
.52409 .51241 L
.52418 .51253 L
.52584 .51445 L
.52601 .51501 L
.527 .51638 L
.52794 .51768 L
.52816 .51831 L
.52986 .52023 L
.52987 .52024 L
.53147 .52216 L
.53179 .52276 L
.53258 .52409 L
.53372 .52558 L
.53378 .52601 L
.53527 .52794 L
.53565 .52857 L
.53671 .52987 L
.53688 .53179 L
.53565 .53227 L
.53407 .53179 L
.53372 .53157 L
.53179 .52993 L
.53175 .52987 L
.53011 .52794 L
.52987 .52763 L
.5286 .52601 L
.52794 .52511 L
.52696 .52409 L
.52601 .52253 L
.52573 .52216 L
.52425 .52023 L
.52409 .52012 L
.52284 .51831 L
.52216 .5175 L
.52129 .51638 L
.52023 .51477 L
.52006 .51445 L
.51863 .51253 L
.51831 .51208 L
.51666 .5106 L
.51638 .50976 L
.51579 .50867 L
.51456 .50674 L
.51445 .50658 L
.51335 .50482 L
.51253 .50325 L
.51222 .50289 L
F
0 .34 1 r
.51253 .50858 m
.51266 .50867 L
.51445 .51014 L
.51487 .5106 L
.51638 .51213 L
.51658 .51253 L
.51812 .51445 L
.51831 .51468 L
.51956 .51638 L
.52023 .51727 L
.52095 .51831 L
.52216 .52004 L
.52229 .52023 L
.5234 .52216 L
.52409 .52351 L
.52426 .52409 L
.52409 .52444 L
.52344 .52409 L
.52216 .52308 L
.52132 .52216 L
.52023 .52099 L
.51962 .52023 L
.51831 .51887 L
.51806 .51831 L
.51661 .51638 L
.51638 .51608 L
.51526 .51445 L
.51445 .51332 L
.51394 .51253 L
.51278 .5106 L
.51253 .51012 L
.51223 .50867 L
F
0 .36 1 r
.51253 .45689 m
.51374 .45857 L
.51445 .4594 L
.51523 .4605 L
.51638 .46191 L
.51674 .46242 L
.51638 .46431 L
.51509 .46242 L
.51445 .46162 L
.5137 .4605 L
.51253 .45894 L
.51228 .45857 L
F
1 .52 0 r
.51253 .46521 m
.51311 .46628 L
.51445 .46815 L
.51448 .46821 L
.51445 .46867 L
.51409 .46821 L
.51253 .46659 L
.51229 .46628 L
F
0 .99 1 r
.51253 .53508 m
.51445 .53427 L
.51638 .53533 L
.51684 .53565 L
.51813 .53758 L
.51831 .53758 L
.51954 .5395 L
.52023 .54009 L
.52097 .54143 L
.52216 .5429 L
.52257 .54336 L
.52382 .54528 L
.52409 .54563 L
.52519 .54721 L
.52601 .54829 L
.5266 .54914 L
.52794 .55092 L
.52814 .55106 L
.52939 .55299 L
.52987 .55362 L
.53074 .55492 L
.53179 .55635 L
.53212 .55684 L
.53179 .5585 L
.52987 .55693 L
.52977 .55684 L
.52794 .55522 L
.52761 .55492 L
.52601 .55339 L
.52558 .55299 L
.52409 .55145 L
.52368 .55106 L
.52216 .54938 L
.52191 .54914 L
.52028 .54721 L
.52023 .54706 L
.51865 .54528 L
.51831 .54482 L
.51709 .54336 L
.51638 .54235 L
.51563 .54143 L
.51445 .53966 L
.51433 .5395 L
.51306 .53758 L
.51253 .53631 L
.51231 .53565 L
F
1 .59 0 r
.51253 .56698 m
.5133 .56841 L
.51445 .5703 L
.51446 .57033 L
.51445 .57041 L
.51436 .57033 L
.51253 .56865 L
.51233 .56841 L
F
0 .35 1 r
.51253 .45701 m
.51365 .45857 L
.51445 .45949 L
.51516 .4605 L
.51638 .46199 L
.51668 .46242 L
.51638 .46422 L
.51516 .46242 L
.51445 .46152 L
.51377 .4605 L
.51253 .45884 L
.51235 .45857 L
F
0 .34 1 r
.51253 .45714 m
.51354 .45857 L
.51445 .4596 L
.51508 .4605 L
.51638 .46208 L
.51662 .46242 L
.51638 .46412 L
.51525 .46242 L
.51445 .46142 L
.51385 .4605 L
.51253 .45873 L
.51242 .45857 L
F
0 .66 1 r
.51253 .55885 m
.5138 .5607 L
.51445 .5615 L
.51522 .56263 L
.51638 .56414 L
.51666 .56455 L
.51638 .56588 L
.51547 .56455 L
.51445 .56335 L
.51396 .56263 L
.51253 .56082 L
.51244 .5607 L
F
1 .51 0 r
.51253 .46545 m
.51289 .46628 L
.51253 .46638 L
.51245 .46628 L
F
1 .89 0 r
.51253 .50238 m
.51445 .50244 L
.51582 .50289 L
.51638 .50342 L
.51793 .50482 L
.51831 .50531 L
.5201 .50674 L
.52023 .50767 L
.52118 .50867 L
.52216 .51021 L
.52243 .5106 L
.52409 .51246 L
.52414 .51253 L
.52582 .51445 L
.52601 .51505 L
.52698 .51638 L
.52794 .51771 L
.52814 .51831 L
.52983 .52023 L
.52987 .52025 L
.53145 .52216 L
.53179 .5228 L
.53255 .52409 L
.53372 .52565 L
.53377 .52601 L
.53521 .52794 L
.53565 .52867 L
.53663 .52987 L
.53662 .53179 L
.53565 .53213 L
.53433 .53179 L
.53372 .53146 L
.53182 .52987 L
.53179 .52984 L
.53016 .52794 L
.52987 .52757 L
.52864 .52601 L
.52794 .52507 L
.52699 .52409 L
.52601 .5225 L
.52575 .52216 L
.52428 .52023 L
.52409 .5201 L
.52287 .51831 L
.52216 .51747 L
.52131 .51638 L
.52023 .51474 L
.52008 .51445 L
.51866 .51253 L
.51831 .51204 L
.51669 .5106 L
.51638 .50971 L
.51583 .50867 L
.51461 .50674 L
.51445 .50651 L
.51342 .50482 L
.51253 .50296 L
.51248 .50289 L
F
1 .58 0 r
.51253 .56722 m
.51306 .56841 L
.51253 .56846 L
.51248 .56841 L
F
0 .33 1 r
.51253 .45729 m
.51342 .45857 L
.51445 .45971 L
.515 .4605 L
.51638 .46217 L
.51655 .46242 L
.51638 .46401 L
.51534 .46242 L
.51445 .46131 L
.51393 .4605 L
.51253 .45861 L
.5125 .45857 L
F
1 .47 0 r
.51253 .44902 m
.51411 .45086 L
.51445 .45121 L
.51572 .45279 L
.51638 .45353 L
.51731 .45472 L
.51831 .4559 L
.51888 .45664 L
.52023 .45819 L
.52042 .45857 L
.52191 .4605 L
.52216 .4608 L
.52338 .46242 L
.52409 .4633 L
.52487 .46435 L
.52601 .4656 L
.52636 .46628 L
.52783 .46821 L
.52794 .46835 L
.52925 .47013 L
.52987 .47092 L
.5307 .47206 L
.53179 .47327 L
.53216 .47399 L
.5336 .47591 L
.53372 .47607 L
.535 .47784 L
.53565 .47868 L
.53643 .47977 L
.53758 .48111 L
.53822 .48169 L
.53928 .48362 L
.5395 .48391 L
.54066 .48555 L
.54143 .48656 L
.54207 .48747 L
.54336 .48912 L
.54364 .4894 L
.54486 .49133 L
.54528 .49189 L
.54623 .49326 L
.54721 .49457 L
.54763 .49518 L
.54902 .49711 L
.54914 .49727 L
.55033 .49904 L
.55106 .50003 L
.55169 .50096 L
.55299 .50277 L
.55307 .50289 L
.55433 .50482 L
.55492 .50563 L
.55561 .50674 L
.55684 .50852 L
.55693 .50867 L
.55684 .5106 L
.55521 .50867 L
.55492 .50836 L
.55361 .50674 L
.55299 .50603 L
.55203 .50482 L
.55106 .50365 L
.55047 .50289 L
.54914 .50134 L
.54893 .50096 L
.54745 .49904 L
.54721 .49875 L
.54597 .49711 L
.54528 .49625 L
.54447 .49518 L
.54336 .49391 L
.54299 .49326 L
.54153 .49133 L
.54143 .4912 L
.5401 .4894 L
.5395 .48864 L
.53864 .48747 L
.53758 .48624 L
.53676 .48555 L
.53576 .48362 L
.53565 .48348 L
.53435 .48169 L
.53372 .48088 L
.53292 .47977 L
.53179 .47841 L
.5312 .47784 L
.53008 .47591 L
.52987 .47563 L
.52869 .47399 L
.52794 .47299 L
.52728 .47206 L
.52601 .47041 L
.52575 .47013 L
.5245 .46821 L
.52409 .46765 L
.52313 .46628 L
.52216 .46496 L
.52174 .46435 L
.52037 .46242 L
.52023 .46225 L
.51905 .4605 L
.51831 .45948 L
.5177 .45857 L
.51638 .45672 L
.51633 .45664 L
.51509 .45472 L
.51445 .45383 L
.51381 .45279 L
.51253 .4509 L
.51251 .45086 L
F
1 .88 0 r
.51445 .50252 m
.51564 .50289 L
.51638 .50355 L
.51785 .50482 L
.51831 .50541 L
.52008 .50674 L
.52023 .50774 L
.52114 .50867 L
.52216 .51026 L
.52241 .5106 L
.52409 .51251 L
.5241 .51253 L
.52581 .51445 L
.52601 .51509 L
.52695 .51638 L
.52794 .51775 L
.52813 .51831 L
.5298 .52023 L
.52987 .52026 L
.53143 .52216 L
.53179 .52284 L
.53252 .52409 L
.53372 .52572 L
.53376 .52601 L
.53516 .52794 L
.53565 .52878 L
.53653 .52987 L
.53632 .53179 L
.53565 .53199 L
.53465 .53179 L
.53372 .53135 L
.5319 .52987 L
.53179 .52976 L
.53021 .52794 L
.52987 .52752 L
.52867 .52601 L
.52794 .52502 L
.52702 .52409 L
.52601 .52247 L
.52577 .52216 L
.5243 .52023 L
.52409 .52008 L
.52289 .51831 L
.52216 .51744 L
.52134 .51638 L
.52023 .51471 L
.5201 .51445 L
.51869 .51253 L
.51831 .512 L
.51671 .5106 L
.51638 .50964 L
.51586 .50867 L
.51466 .50674 L
.51445 .50643 L
.51348 .50482 L
.51266 .50289 L
F
0 .33 1 r
.51445 .5102 m
.51482 .5106 L
.51638 .5122 L
.51655 .51253 L
.51809 .51445 L
.51831 .51472 L
.51953 .51638 L
.52023 .51731 L
.52092 .51831 L
.52216 .52009 L
.52226 .52023 L
.52335 .52216 L
.52409 .52373 L
.52415 .52409 L
.52409 .52425 L
.52361 .52409 L
.52216 .52302 L
.52136 .52216 L
.52023 .52095 L
.51966 .52023 L
.51831 .5188 L
.51809 .51831 L
.51665 .51638 L
.51638 .51603 L
.51529 .51445 L
.51445 .51327 L
.51398 .51253 L
.51284 .5106 L
F
1 .87 0 r
.51445 .50259 m
.51544 .50289 L
.51638 .50368 L
.51775 .50482 L
.51831 .50551 L
.52005 .50674 L
.52023 .50781 L
.5211 .50867 L
.52216 .51029 L
.52239 .5106 L
.52406 .51253 L
.52409 .51255 L
.52579 .51445 L
.52601 .51513 L
.52692 .51638 L
.52794 .51779 L
.52811 .51831 L
.52977 .52023 L
.52987 .52027 L
.53141 .52216 L
.53179 .52288 L
.53248 .52409 L
.53372 .52579 L
.53375 .52601 L
.5351 .52794 L
.53565 .5289 L
.53643 .52987 L
.53592 .53179 L
.53565 .53185 L
.53511 .53179 L
.53372 .53125 L
.53199 .52987 L
.53179 .52968 L
.53026 .52794 L
.52987 .52746 L
.52871 .52601 L
.52794 .52498 L
.52705 .52409 L
.52601 .52244 L
.52579 .52216 L
.52433 .52023 L
.52409 .52006 L
.52291 .51831 L
.52216 .51741 L
.52136 .51638 L
.52023 .51467 L
.52012 .51445 L
.51871 .51253 L
.51831 .51196 L
.51673 .5106 L
.51638 .50958 L
.5159 .50867 L
.51471 .50674 L
.51445 .50635 L
.51355 .50482 L
.51285 .50289 L
F
0 .32 1 r
.51445 .51025 m
.51477 .5106 L
.51638 .51226 L
.51651 .51253 L
.51805 .51445 L
.51831 .51476 L
.51949 .51638 L
.52023 .51736 L
.52089 .51831 L
.52216 .52014 L
.52222 .52023 L
.5233 .52216 L
.52216 .52296 L
.52141 .52216 L
.52023 .5209 L
.51969 .52023 L
.51831 .51874 L
.51812 .51831 L
.51668 .51638 L
.51638 .51599 L
.51532 .51445 L
.51445 .51322 L
.51401 .51253 L
.5129 .5106 L
F
0 .31 1 r
.51445 .51031 m
.51472 .5106 L
.51638 .51234 L
.51647 .51253 L
.51801 .51445 L
.51831 .51481 L
.51946 .51638 L
.52023 .5174 L
.52086 .51831 L
.52216 .52019 L
.52219 .52023 L
.52324 .52216 L
.52216 .5229 L
.52147 .52216 L
.52023 .52086 L
.51973 .52023 L
.51831 .51867 L
.51815 .51831 L
.51671 .51638 L
.51638 .51594 L
.51536 .51445 L
.51445 .51316 L
.51405 .51253 L
.51296 .5106 L
F
0 .3 1 r
.51445 .51037 m
.51466 .5106 L
.51638 .51241 L
.51644 .51253 L
.51798 .51445 L
.51831 .51485 L
.51943 .51638 L
.52023 .51745 L
.52083 .51831 L
.52215 .52023 L
.52216 .52025 L
.52318 .52216 L
.52216 .52283 L
.52152 .52216 L
.52023 .52081 L
.51976 .52023 L
.51831 .5186 L
.51818 .51831 L
.51675 .51638 L
.51638 .5159 L
.51539 .51445 L
.51445 .51311 L
.51408 .51253 L
.51303 .5106 L
F
1 .86 0 r
.51445 .50266 m
.51523 .50289 L
.51638 .50379 L
.51766 .50482 L
.51831 .5056 L
.52002 .50674 L
.52023 .50788 L
.52106 .50867 L
.52216 .51033 L
.52237 .5106 L
.52403 .51253 L
.52409 .51259 L
.52578 .51445 L
.52601 .51517 L
.52689 .51638 L
.52794 .51783 L
.5281 .51831 L
.52973 .52023 L
.52987 .52028 L
.53139 .52216 L
.53179 .52293 L
.53245 .52409 L
.53372 .52586 L
.53374 .52601 L
.53504 .52794 L
.53565 .52902 L
.53632 .52987 L
.53565 .53169 L
.53372 .53117 L
.53207 .52987 L
.53179 .5296 L
.53031 .52794 L
.52987 .52741 L
.52875 .52601 L
.52794 .52494 L
.52708 .52409 L
.52601 .52241 L
.52582 .52216 L
.52435 .52023 L
.52409 .52004 L
.52294 .51831 L
.52216 .51737 L
.52138 .51638 L
.52023 .51464 L
.52013 .51445 L
.51874 .51253 L
.51831 .51192 L
.51676 .5106 L
.51638 .50951 L
.51594 .50867 L
.51476 .50674 L
.51445 .50626 L
.51363 .50482 L
.51306 .50289 L
F
0 .29 1 r
.51445 .51043 m
.51461 .5106 L
.51638 .51249 L
.5164 .51253 L
.51794 .51445 L
.51831 .5149 L
.51939 .51638 L
.52023 .51749 L
.52079 .51831 L
.5221 .52023 L
.52216 .52032 L
.52312 .52216 L
.52216 .52277 L
.52158 .52216 L
.52023 .52076 L
.5198 .52023 L
.51831 .51853 L
.51821 .51831 L
.51679 .51638 L
.51638 .51585 L
.51543 .51445 L
.51445 .51305 L
.51412 .51253 L
.5131 .5106 L
F
1 .92 0 r
.51445 .43509 m
.51481 .43545 L
.51638 .437 L
.51666 .43737 L
.51831 .43923 L
.51841 .4393 L
.52002 .44123 L
.52023 .44146 L
.52165 .44316 L
.52216 .4437 L
.52324 .44508 L
.52409 .44616 L
.52491 .44701 L
.52601 .44861 L
.52623 .44894 L
.52785 .45086 L
.52794 .45097 L
.52937 .45279 L
.52987 .45348 L
.5309 .45472 L
.53179 .45605 L
.53214 .45664 L
.53372 .45853 L
.53382 .45857 L
.53563 .4605 L
.53565 .46101 L
.53673 .46242 L
.53758 .46365 L
.53792 .46435 L
.5395 .46621 L
.53965 .46628 L
.54131 .46821 L
.54143 .46868 L
.54249 .47013 L
.54336 .47135 L
.54364 .47206 L
.54528 .47393 L
.54541 .47399 L
.547 .47591 L
.54721 .47644 L
.5482 .47784 L
.54914 .47913 L
.54932 .47977 L
.55106 .48167 L
.55112 .48169 L
.55269 .48362 L
.55299 .48425 L
.55387 .48555 L
.55492 .48694 L
.55498 .48747 L
.55681 .4894 L
.55684 .48945 L
.55835 .49133 L
.55877 .4921 L
.55952 .49326 L
.5607 .49478 L
.56107 .49518 L
.56247 .49711 L
.56263 .4973 L
.564 .49904 L
.56455 .49996 L
.56516 .50096 L
.56648 .50263 L
.56673 .50289 L
.56813 .50482 L
.56841 .50516 L
.56963 .50674 L
.57033 .50784 L
.5708 .50867 L
.57226 .51048 L
.57237 .5106 L
.57377 .51253 L
.57419 .51304 L
.57526 .51445 L
.57611 .51573 L
.57644 .51638 L
.578 .51831 L
.57804 .51833 L
.57981 .52023 L
.57997 .52093 L
.58087 .52216 L
.58189 .52364 L
.58209 .52409 L
.58362 .52601 L
.58382 .52616 L
.58542 .52794 L
.58575 .52885 L
.58647 .52987 L
.58768 .53156 L
.58775 .53179 L
.58923 .53372 L
.5896 .53403 L
.59099 .53565 L
.59153 .53679 L
.59207 .53758 L
.59345 .5395 L
.59346 .53951 L
.59483 .54143 L
.59538 .54194 L
.59654 .54336 L
.59731 .54477 L
.59764 .54528 L
.59902 .54721 L
.59924 .54751 L
.60039 .54914 L
.60116 .54994 L
.60204 .55106 L
.60309 .55283 L
.60319 .55299 L
.60454 .55492 L
.60502 .55556 L
.60591 .55684 L
.60694 .55807 L
.60746 .55877 L
.60867 .5607 L
.60887 .56098 L
.61 .56263 L
.6108 .56373 L
.61136 .56455 L
.61273 .56648 L
.61273 .56648 L
.614 .56841 L
.61465 .56932 L
.61531 .57033 L
.61658 .57218 L
.6167 .57226 L
.61782 .57419 L
.61851 .57523 L
.61901 .57611 L
.6201 .57804 L
.61851 .57827 L
.61838 .57804 L
.61658 .57614 L
.61652 .57611 L
.61486 .57419 L
.61465 .57397 L
.6132 .57226 L
.61273 .57194 L
.61158 .57033 L
.6108 .5694 L
.60952 .56841 L
.60887 .56696 L
.60846 .56648 L
.60694 .56457 L
.60694 .56455 L
.6054 .56263 L
.60502 .56215 L
.60361 .5607 L
.60309 .5596 L
.60247 .55877 L
.60116 .55706 L
.60114 .55684 L
.59944 .55492 L
.59924 .55465 L
.59781 .55299 L
.59731 .55205 L
.59663 .55106 L
.59538 .54943 L
.59504 .54914 L
.59361 .54721 L
.59346 .54701 L
.59206 .54528 L
.59153 .54437 L
.59088 .54336 L
.5896 .54172 L
.58927 .54143 L
.58785 .5395 L
.58768 .53927 L
.58635 .53758 L
.58575 .5366 L
.58518 .53565 L
.58382 .53395 L
.58355 .53372 L
.58214 .53179 L
.58189 .53147 L
.58067 .52987 L
.57997 .52879 L
.57951 .52794 L
.57804 .52616 L
.57787 .52601 L
.57617 .52409 L
.57611 .52363 L
.57501 .52216 L
.57419 .52095 L
.57385 .52023 L
.57226 .51835 L
.5722 .51831 L
.57051 .51638 L
.57033 .51577 L
.56937 .51445 L
.56841 .51309 L
.56819 .51253 L
.56655 .5106 L
.56648 .51053 L
.56487 .50867 L
.56455 .5079 L
.56374 .50674 L
.56263 .50522 L
.56252 .50482 L
.5609 .50289 L
.5607 .50268 L
.55924 .50096 L
.55877 .50001 L
.55811 .49904 L
.55684 .49733 L
.55683 .49711 L
.55527 .49518 L
.55492 .49481 L
.55363 .49326 L
.55299 .49211 L
.55249 .49133 L
.55106 .48944 L
.55104 .4894 L
.54965 .48747 L
.54914 .48692 L
.54803 .48555 L
.54721 .48418 L
.54687 .48362 L
.54542 .48169 L
.54528 .48167 L
.54403 .47977 L
.54336 .479 L
.54246 .47784 L
.54143 .47624 L
.54125 .47591 L
.53983 .47399 L
.5395 .47388 L
.53775 .47206 L
.53758 .47104 L
.5369 .47013 L
.53565 .46825 L
.53563 .46821 L
.53425 .46628 L
.53372 .46598 L
.53229 .46435 L
.53179 .46301 L
.53138 .46242 L
.53008 .4605 L
.52987 .46022 L
.52872 .45857 L
.52794 .45793 L
.5269 .45664 L
.52601 .45486 L
.52591 .45472 L
.5246 .45279 L
.52409 .45209 L
.52325 .45086 L
.52216 .44961 L
.52165 .44894 L
.52054 .44701 L
.52023 .44659 L
.51924 .44508 L
.51831 .44376 L
.51791 .44316 L
.51661 .44123 L
.51638 .44089 L
.51541 .4393 L
.51445 .43785 L
.51418 .43737 L
.51314 .43545 L
F
0 .28 1 r
.51445 .5105 m
.51455 .5106 L
.51635 .51253 L
.51638 .51255 L
.5179 .51445 L
.51831 .51494 L
.51936 .51638 L
.52023 .51754 L
.52076 .51831 L
.52205 .52023 L
.52216 .52039 L
.52305 .52216 L
.52216 .5227 L
.52164 .52216 L
.52023 .52071 L
.51984 .52023 L
.51831 .51845 L
.51824 .51831 L
.51682 .51638 L
.51638 .5158 L
.51546 .51445 L
.51445 .513 L
.51416 .51253 L
.51318 .5106 L
F
0 .27 1 r
.51445 .51056 m
.51449 .5106 L
.5163 .51253 L
.51638 .5126 L
.51786 .51445 L
.51831 .51499 L
.51932 .51638 L
.52023 .51759 L
.52072 .51831 L
.52201 .52023 L
.52216 .52047 L
.52298 .52216 L
.52216 .52262 L
.5217 .52216 L
.52023 .52066 L
.51988 .52023 L
.51831 .51837 L
.51828 .51831 L
.51686 .51638 L
.51638 .51575 L
.5155 .51445 L
.51445 .51294 L
.5142 .51253 L
.51327 .5106 L
F
1 .85 0 r
.51445 .50274 m
.51498 .50289 L
.51638 .50389 L
.51757 .50482 L
.51831 .50569 L
.51999 .50674 L
.52023 .50794 L
.52101 .50867 L
.52216 .51037 L
.52235 .5106 L
.52399 .51253 L
.52409 .51263 L
.52576 .51445 L
.52601 .51521 L
.52687 .51638 L
.52794 .51786 L
.52809 .51831 L
.5297 .52023 L
.52987 .5203 L
.53137 .52216 L
.53179 .52298 L
.53242 .52409 L
.53372 .52594 L
.53373 .52601 L
.53499 .52794 L
.53565 .52916 L
.5362 .52987 L
.53565 .53152 L
.53372 .53109 L
.53216 .52987 L
.53179 .52953 L
.53037 .52794 L
.52987 .52735 L
.52879 .52601 L
.52794 .5249 L
.52711 .52409 L
.52601 .52238 L
.52584 .52216 L
.52438 .52023 L
.52409 .52002 L
.52296 .51831 L
.52216 .51734 L
.52141 .51638 L
.52023 .5146 L
.52015 .51445 L
.51877 .51253 L
.51831 .51188 L
.51679 .5106 L
.51638 .50944 L
.51598 .50867 L
.51481 .50674 L
.51445 .50617 L
.5137 .50482 L
.51331 .50289 L
F
0 .98 1 r
.51445 .53522 m
.51575 .53565 L
.51638 .53611 L
.51772 .53758 L
.51831 .53762 L
.51925 .5395 L
.52023 .54042 L
.52073 .54143 L
.52216 .54328 L
.52223 .54336 L
.52356 .54528 L
.52409 .54598 L
.52493 .54721 L
.52601 .54866 L
.52633 .54914 L
.52768 .55106 L
.52794 .55142 L
.5289 .55299 L
.52987 .55446 L
.53009 .55492 L
.52987 .55581 L
.52865 .55492 L
.52794 .55441 L
.52639 .55299 L
.52601 .55266 L
.52441 .55106 L
.52409 .55074 L
.52259 .54914 L
.52216 .54861 L
.52086 .54721 L
.52023 .54577 L
.51923 .54528 L
.51831 .54407 L
.51771 .54336 L
.51638 .5415 L
.51633 .54143 L
.51499 .5395 L
.51445 .53856 L
.51387 .53758 L
.51361 .53565 L
F
1 .84 0 r
.51445 .50284 m
.51467 .50289 L
.51638 .50399 L
.51748 .50482 L
.51831 .50577 L
.51995 .50674 L
.52023 .508 L
.52097 .50867 L
.52216 .5104 L
.52232 .5106 L
.52396 .51253 L
.52409 .51267 L
.52575 .51445 L
.52601 .51526 L
.52684 .51638 L
.52794 .5179 L
.52808 .51831 L
.52967 .52023 L
.52987 .52031 L
.53135 .52216 L
.53179 .52302 L
.53239 .52409 L
.53372 .52601 L
.53372 .52601 L
.53493 .52794 L
.53565 .5293 L
.53607 .52987 L
.53565 .53132 L
.53372 .53101 L
.53225 .52987 L
.53179 .52946 L
.53042 .52794 L
.52987 .5273 L
.52882 .52601 L
.52794 .52486 L
.52714 .52409 L
.52601 .52235 L
.52586 .52216 L
.5244 .52023 L
.52409 .52 L
.52298 .51831 L
.52216 .51731 L
.52143 .51638 L
.52023 .51457 L
.52017 .51445 L
.5188 .51253 L
.51831 .51184 L
.51682 .5106 L
.51638 .50936 L
.51602 .50867 L
.51486 .50674 L
.51445 .50608 L
.51377 .50482 L
.51367 .50289 L
F
1 .83 0 r
.51445 .50296 m
.51638 .50408 L
.51738 .50482 L
.51831 .50585 L
.5199 .50674 L
.52023 .50806 L
.52092 .50867 L
.52216 .51043 L
.5223 .5106 L
.52392 .51253 L
.52409 .51271 L
.52573 .51445 L
.52601 .5153 L
.52681 .51638 L
.52794 .51794 L
.52806 .51831 L
.52964 .52023 L
.52987 .52032 L
.53133 .52216 L
.53179 .52307 L
.53236 .52409 L
.53368 .52601 L
.53372 .52608 L
.53487 .52794 L
.53565 .52947 L
.53593 .52987 L
.53565 .5311 L
.53372 .53094 L
.53234 .52987 L
.53179 .52939 L
.53047 .52794 L
.52987 .52725 L
.52886 .52601 L
.52794 .52482 L
.52717 .52409 L
.52601 .52233 L
.52588 .52216 L
.52443 .52023 L
.52409 .51998 L
.52301 .51831 L
.52216 .51728 L
.52146 .51638 L
.52023 .51453 L
.52019 .51445 L
.51882 .51253 L
.51831 .5118 L
.51685 .5106 L
.51638 .50929 L
.51607 .50867 L
.51491 .50674 L
.51445 .50598 L
.51385 .50482 L
F
1 .46 0 r
.51445 .45131 m
.51565 .45279 L
.51638 .4536 L
.51725 .45472 L
.51831 .45597 L
.51883 .45664 L
.52023 .45827 L
.52038 .45857 L
.52187 .4605 L
.52216 .46085 L
.52334 .46242 L
.52409 .46335 L
.52484 .46435 L
.52601 .46566 L
.52633 .46628 L
.52779 .46821 L
.52794 .46839 L
.52922 .47013 L
.52987 .47096 L
.53067 .47206 L
.53179 .47332 L
.53214 .47399 L
.53357 .47591 L
.53372 .47611 L
.53497 .47784 L
.53565 .47872 L
.5364 .47977 L
.53758 .48116 L
.53816 .48169 L
.53925 .48362 L
.5395 .48395 L
.54063 .48555 L
.54143 .4866 L
.54205 .48747 L
.54336 .48917 L
.54359 .4894 L
.54483 .49133 L
.54528 .49193 L
.5462 .49326 L
.54721 .49462 L
.5476 .49518 L
.54898 .49711 L
.54914 .49732 L
.55029 .49904 L
.55106 .50008 L
.55165 .50096 L
.55299 .50283 L
.55303 .50289 L
.55427 .50482 L
.55492 .50571 L
.55555 .50674 L
.55684 .50862 L
.55687 .50867 L
.55684 .51046 L
.55531 .50867 L
.55492 .50827 L
.55368 .50674 L
.55299 .50596 L
.55209 .50482 L
.55106 .50359 L
.55052 .50289 L
.54914 .50126 L
.54898 .50096 L
.54749 .49904 L
.54721 .4987 L
.54601 .49711 L
.54528 .4962 L
.54451 .49518 L
.54336 .49385 L
.54302 .49326 L
.54157 .49133 L
.54143 .49116 L
.54013 .4894 L
.5395 .4886 L
.53867 .48747 L
.53758 .48619 L
.53681 .48555 L
.53579 .48362 L
.53565 .48344 L
.53438 .48169 L
.53372 .48084 L
.53294 .47977 L
.53179 .47836 L
.53125 .47784 L
.53011 .47591 L
.52987 .47559 L
.52872 .47399 L
.52794 .47294 L
.52731 .47206 L
.52601 .47036 L
.5258 .47013 L
.52454 .46821 L
.52409 .4676 L
.52316 .46628 L
.52216 .46491 L
.52177 .46435 L
.52041 .46242 L
.52023 .46219 L
.51909 .4605 L
.51831 .45942 L
.51774 .45857 L
.51638 .45665 L
.51637 .45664 L
.51515 .45472 L
.51445 .45374 L
.51387 .45279 L
F
1 .82 0 r
.51445 .50312 m
.51638 .50417 L
.51728 .50482 L
.51831 .50593 L
.51984 .50674 L
.52023 .50811 L
.52088 .50867 L
.52216 .51046 L
.52228 .5106 L
.52389 .51253 L
.52409 .51275 L
.52572 .51445 L
.52601 .51534 L
.52679 .51638 L
.52794 .51797 L
.52805 .51831 L
.52961 .52023 L
.52987 .52034 L
.53131 .52216 L
.53179 .52312 L
.53232 .52409 L
.53363 .52601 L
.53372 .52616 L
.53482 .52794 L
.53565 .52967 L
.53578 .52987 L
.53565 .53081 L
.53372 .53086 L
.53244 .52987 L
.53179 .52933 L
.53052 .52794 L
.52987 .5272 L
.5289 .52601 L
.52794 .52478 L
.5272 .52409 L
.52601 .5223 L
.5259 .52216 L
.52446 .52023 L
.52409 .51996 L
.52303 .51831 L
.52216 .51725 L
.52148 .51638 L
.52023 .51449 L
.52021 .51445 L
.51885 .51253 L
.51831 .51176 L
.51688 .5106 L
.51638 .5092 L
.51611 .50867 L
.51496 .50674 L
.51445 .50587 L
.51393 .50482 L
F
1 .45 0 r
.51445 .45142 m
.51557 .45279 L
.51638 .45368 L
.51719 .45472 L
.51831 .45603 L
.51878 .45664 L
.52023 .45836 L
.52034 .45857 L
.52182 .4605 L
.52216 .46091 L
.5233 .46242 L
.52409 .46339 L
.5248 .46435 L
.52601 .46572 L
.5263 .46628 L
.52776 .46821 L
.52794 .46844 L
.52919 .47013 L
.52987 .471 L
.53064 .47206 L
.53179 .47337 L
.53211 .47399 L
.53354 .47591 L
.53372 .47615 L
.53494 .47784 L
.53565 .47876 L
.53638 .47977 L
.53758 .48121 L
.53811 .48169 L
.53922 .48362 L
.5395 .48399 L
.5406 .48555 L
.54143 .48664 L
.54202 .48747 L
.54336 .48923 L
.54353 .4894 L
.54479 .49133 L
.54528 .49197 L
.54617 .49326 L
.54721 .49466 L
.54757 .49518 L
.54894 .49711 L
.54914 .49737 L
.55025 .49904 L
.55106 .50014 L
.55161 .50096 L
.55299 .50289 L
.55299 .50289 L
.55421 .50482 L
.55492 .5058 L
.55549 .50674 L
.55492 .50817 L
.55376 .50674 L
.55299 .50588 L
.55215 .50482 L
.55106 .50352 L
.55057 .50289 L
.54914 .50118 L
.54902 .50096 L
.54754 .49904 L
.54721 .49864 L
.54605 .49711 L
.54528 .49615 L
.54455 .49518 L
.54336 .49379 L
.54306 .49326 L
.5416 .49133 L
.54143 .49111 L
.54016 .4894 L
.5395 .48855 L
.5387 .48747 L
.53758 .48614 L
.53687 .48555 L
.53582 .48362 L
.53565 .4834 L
.53441 .48169 L
.53372 .4808 L
.53297 .47977 L
.53179 .47831 L
.5313 .47784 L
.53014 .47591 L
.52987 .47555 L
.52875 .47399 L
.52794 .4729 L
.52734 .47206 L
.52601 .4703 L
.52585 .47013 L
.52457 .46821 L
.52409 .46756 L
.5232 .46628 L
.52216 .46486 L
.5218 .46435 L
.52045 .46242 L
.52023 .46214 L
.51913 .4605 L
.51831 .45936 L
.51778 .45857 L
.51643 .45664 L
.51638 .45658 L
.51521 .45472 L
.51445 .45364 L
.51394 .45279 L
F
1 .81 0 r
.51445 .50328 m
.51638 .50426 L
.51718 .50482 L
.51831 .506 L
.51978 .50674 L
.52023 .50817 L
.52083 .50867 L
.52216 .51048 L
.52226 .5106 L
.52385 .51253 L
.52409 .51279 L
.5257 .51445 L
.52601 .51538 L
.52676 .51638 L
.52794 .51801 L
.52804 .51831 L
.52958 .52023 L
.52987 .52036 L
.53128 .52216 L
.53179 .52318 L
.53229 .52409 L
.53359 .52601 L
.53372 .52623 L
.53476 .52794 L
.53563 .52987 L
.53372 .53079 L
.53254 .52987 L
.53179 .52926 L
.53058 .52794 L
.52987 .52714 L
.52894 .52601 L
.52794 .52474 L
.52724 .52409 L
.52601 .52227 L
.52593 .52216 L
.52448 .52023 L
.52409 .51994 L
.52306 .51831 L
.52216 .51721 L
.52151 .51638 L
.52023 .51446 L
.52023 .51445 L
.51888 .51253 L
.51831 .51172 L
.51692 .5106 L
.51638 .50912 L
.51615 .50867 L
.51501 .50674 L
.51445 .50575 L
.51401 .50482 L
F
1 .44 0 r
.51445 .45153 m
.51548 .45279 L
.51638 .45376 L
.51713 .45472 L
.51831 .4561 L
.51873 .45664 L
.52023 .45845 L
.52029 .45857 L
.52177 .4605 L
.52216 .46096 L
.52326 .46242 L
.52409 .46344 L
.52477 .46435 L
.52601 .46578 L
.52626 .46628 L
.52772 .46821 L
.52794 .46848 L
.52916 .47013 L
.52987 .47104 L
.53061 .47206 L
.53179 .47343 L
.53208 .47399 L
.53351 .47591 L
.53372 .47619 L
.53491 .47784 L
.53565 .47879 L
.53635 .47977 L
.53758 .48126 L
.53805 .48169 L
.53918 .48362 L
.5395 .48403 L
.54057 .48555 L
.54143 .48668 L
.54199 .48747 L
.54336 .48928 L
.54348 .4894 L
.54476 .49133 L
.54528 .49202 L
.54613 .49326 L
.54721 .49471 L
.54754 .49518 L
.5489 .49711 L
.54914 .49743 L
.55021 .49904 L
.55106 .5002 L
.55157 .50096 L
.55294 .50289 L
.55299 .50296 L
.55415 .50482 L
.55492 .50589 L
.55542 .50674 L
.55492 .50807 L
.55384 .50674 L
.55299 .5058 L
.55221 .50482 L
.55106 .50346 L
.55062 .50289 L
.54914 .50109 L
.54907 .50096 L
.54758 .49904 L
.54721 .49859 L
.54609 .49711 L
.54528 .4961 L
.54459 .49518 L
.54336 .49373 L
.54309 .49326 L
.54164 .49133 L
.54143 .49106 L
.5402 .4894 L
.5395 .48851 L
.53874 .48747 L
.53758 .48609 L
.53693 .48555 L
.53585 .48362 L
.53565 .48336 L
.53444 .48169 L
.53372 .48075 L
.533 .47977 L
.53179 .47826 L
.53136 .47784 L
.53018 .47591 L
.52987 .47551 L
.52878 .47399 L
.52794 .47286 L
.52737 .47206 L
.52601 .47024 L
.52591 .47013 L
.52461 .46821 L
.52409 .46751 L
.52323 .46628 L
.52216 .46481 L
.52184 .46435 L
.52049 .46242 L
.52023 .46208 L
.51918 .4605 L
.51831 .4593 L
.51782 .45857 L
.51649 .45664 L
.51638 .4565 L
.51527 .45472 L
.51445 .45354 L
.51401 .45279 L
F
0 .32 1 r
.51445 .45984 m
.5149 .4605 L
.51638 .46227 L
.51648 .46242 L
.51638 .46389 L
.51545 .46242 L
.51445 .46118 L
.51403 .4605 L
F
0 .98 1 r
.51445 .42765 m
.51459 .42774 L
.51638 .42902 L
.51679 .42967 L
.51831 .43124 L
.5192 .43159 L
.52023 .4334 L
.52038 .43352 L
.52205 .43545 L
.52216 .43554 L
.52369 .43737 L
.52409 .43788 L
.52567 .4393 L
.52601 .44031 L
.52675 .44123 L
.52794 .4428 L
.52805 .44316 L
.52987 .44501 L
.52993 .44508 L
.53154 .44701 L
.53179 .44755 L
.53277 .44894 L
.53372 .45022 L
.53446 .45086 L
.53565 .45246 L
.53591 .45279 L
.53739 .45472 L
.53758 .45506 L
.53863 .45664 L
.5395 .45782 L
.54031 .45857 L
.54143 .4601 L
.54174 .4605 L
.54316 .46242 L
.54336 .46274 L
.54437 .46435 L
.54528 .46556 L
.54607 .46628 L
.54721 .46785 L
.54748 .46821 L
.54888 .47013 L
.54914 .47053 L
.55004 .47206 L
.55106 .47337 L
.55178 .47399 L
.55299 .47567 L
.55318 .47591 L
.55456 .47784 L
.55492 .47838 L
.55567 .47977 L
.55684 .48122 L
.55746 .48169 L
.55877 .48353 L
.55884 .48362 L
.56021 .48555 L
.5607 .48625 L
.56128 .48747 L
.56263 .48907 L
.56311 .4894 L
.56452 .49133 L
.56455 .4914 L
.56584 .49326 L
.56648 .49414 L
.56687 .49518 L
.56841 .49691 L
.56876 .49711 L
.57021 .49904 L
.57033 .4993 L
.57146 .50096 L
.57226 .50203 L
.57246 .50289 L
.57419 .50472 L
.5744 .50482 L
.57587 .50674 L
.57611 .50719 L
.57708 .50867 L
.57804 .50991 L
.57865 .5106 L
.57997 .5125 L
.58004 .51253 L
.58152 .51445 L
.58189 .51509 L
.5827 .51638 L
.58382 .51779 L
.58428 .51831 L
.58568 .52023 L
.58575 .52032 L
.58716 .52216 L
.58768 .52298 L
.58831 .52409 L
.5896 .52567 L
.58992 .52601 L
.59132 .52794 L
.59153 .5282 L
.59278 .52987 L
.59346 .53088 L
.59394 .53179 L
.59538 .53354 L
.59555 .53372 L
.59725 .53565 L
.59731 .53608 L
.59841 .53758 L
.59924 .53877 L
.59957 .5395 L
.60116 .54141 L
.60119 .54143 L
.6029 .54336 L
.60309 .54397 L
.60402 .54528 L
.60502 .54667 L
.60521 .54721 L
.60681 .54914 L
.60694 .54923 L
.60853 .55106 L
.60887 .55187 L
.60964 .55299 L
.6108 .55458 L
.61088 .55492 L
.61244 .55684 L
.61273 .55707 L
.61413 .55877 L
.61465 .55979 L
.61525 .5607 L
.61658 .5625 L
.61659 .56263 L
.61805 .56455 L
.61851 .56494 L
.61972 .56648 L
.62043 .56772 L
.62086 .56841 L
.62228 .57033 L
.62236 .57044 L
.62366 .57226 L
.62429 .57285 L
.62529 .57419 L
.62621 .57569 L
.62646 .57611 L
.62787 .57804 L
.62814 .57841 L
.62925 .57997 L
.63007 .58083 L
.63083 .58189 L
.63199 .58371 L
.63206 .58382 L
.63343 .58575 L
.63392 .58642 L
.6355 .58768 L
.63585 .58891 L
.63632 .5896 L
.63759 .59153 L
.63778 .59179 L
.63893 .59346 L
.6397 .59452 L
.64081 .59538 L
.64163 .59719 L
.64171 .59731 L
.64299 .59924 L
.64356 .60002 L
.64431 .60116 L
.64548 .60283 L
.64582 .60309 L
.6469 .60502 L
.64741 .60576 L
.64812 .60694 L
.64934 .60885 L
.64935 .60887 L
.65021 .6108 L
.64934 .61127 L
.6488 .6108 L
.64741 .60991 L
.64675 .60887 L
.64548 .60755 L
.64492 .60694 L
.64356 .60534 L
.64316 .60502 L
.64163 .60314 L
.64159 .60309 L
.63993 .60116 L
.6397 .60088 L
.63834 .59924 L
.63778 .59844 L
.63679 .59731 L
.63585 .59592 L
.6355 .59538 L
.63392 .59365 L
.63377 .59346 L
.63207 .59153 L
.63199 .5911 L
.63085 .5896 L
.63007 .58846 L
.62966 .58768 L
.62814 .58611 L
.62786 .58575 L
.62633 .58382 L
.62621 .5835 L
.62506 .58189 L
.62429 .58078 L
.62397 .57997 L
.62236 .5784 L
.62208 .57804 L
.6206 .57611 L
.62043 .57576 L
.61935 .57419 L
.61851 .573 L
.61834 .57226 L
.61658 .57061 L
.61637 .57033 L
.6149 .56841 L
.61465 .56795 L
.61369 .56648 L
.61273 .56517 L
.61208 .56455 L
.6108 .56277 L
.61069 .56263 L
.60923 .5607 L
.60887 .56009 L
.60805 .55877 L
.60694 .55733 L
.60642 .55684 L
.60502 .55492 L
.60502 .55491 L
.60357 .55299 L
.60309 .55222 L
.60242 .55106 L
.60116 .54948 L
.60076 .54914 L
.59937 .54721 L
.59924 .54703 L
.59793 .54528 L
.59731 .54433 L
.59679 .54336 L
.59538 .54164 L
.59512 .54143 L
.59352 .5395 L
.59346 .53915 L
.5923 .53758 L
.59153 .53645 L
.59117 .53565 L
.5896 .53382 L
.58948 .53372 L
.58785 .53179 L
.58768 .53126 L
.58667 .52987 L
.58575 .52857 L
.58553 .52794 L
.58384 .52601 L
.58382 .526 L
.5822 .52409 L
.58189 .52337 L
.58105 .52216 L
.57997 .52068 L
.57988 .52023 L
.5782 .51831 L
.57804 .51814 L
.57657 .51638 L
.57611 .51548 L
.57542 .51445 L
.57419 .5128 L
.57396 .51253 L
.57257 .5106 L
.57226 .51027 L
.57095 .50867 L
.57033 .50758 L
.5698 .50674 L
.56841 .50492 L
.56833 .50482 L
.56693 .50289 L
.56648 .50239 L
.56534 .50096 L
.56455 .49968 L
.56417 .49904 L
.56269 .49711 L
.56263 .49709 L
.5613 .49518 L
.5607 .49451 L
.55973 .49326 L
.55877 .49177 L
.55853 .49133 L
.55707 .4894 L
.55684 .48932 L
.55508 .48747 L
.55492 .4866 L
.55413 .48555 L
.55299 .48385 L
.55288 .48362 L
.55145 .48169 L
.55106 .48149 L
.54952 .47977 L
.54914 .47868 L
.54853 .47784 L
.54721 .47592 L
.54721 .47591 L
.54583 .47399 L
.54528 .47362 L
.54398 .47206 L
.54336 .47072 L
.54294 .47013 L
.5416 .46821 L
.54143 .46798 L
.54023 .46628 L
.5395 .46568 L
.53845 .46435 L
.53758 .46274 L
.53736 .46242 L
.53602 .4605 L
.53565 .46001 L
.53464 .45857 L
.53372 .45766 L
.53296 .45664 L
.53181 .45472 L
.53179 .4547 L
.53046 .45279 L
.52987 .452 L
.52908 .45086 L
.52794 .44952 L
.52752 .44894 L
.5263 .44701 L
.52601 .44663 L
.52496 .44508 L
.52409 .4439 L
.52358 .44316 L
.52219 .44123 L
.52216 .44119 L
.5209 .4393 L
.52023 .43838 L
.51958 .43737 L
.51831 .43556 L
.51823 .43545 L
.51702 .43352 L
.51638 .43258 L
.51581 .43159 L
.51464 .42967 L
.51445 .42935 L
.51403 .42774 L
F
1 .83 0 r
.51445 .55327 m
.51576 .55492 L
.51638 .55564 L
.51732 .55684 L
.51831 .55805 L
.51886 .55877 L
.52023 .56037 L
.52038 .5607 L
.52184 .56263 L
.52216 .56302 L
.52331 .56455 L
.52409 .56555 L
.52478 .56648 L
.52601 .56789 L
.52625 .56841 L
.52767 .57033 L
.52794 .57068 L
.52909 .57226 L
.52987 .57328 L
.53053 .57419 L
.53179 .57576 L
.53196 .57611 L
.53334 .57804 L
.53372 .57855 L
.53473 .57997 L
.53565 .58121 L
.53614 .58189 L
.53752 .58382 L
.53758 .58389 L
.53885 .58575 L
.5395 .58664 L
.54021 .58768 L
.54143 .58939 L
.54158 .5896 L
.54283 .59153 L
.54336 .59226 L
.5441 .59346 L
.54528 .5952 L
.54539 .59538 L
.54528 .5966 L
.54431 .59538 L
.54336 .5944 L
.54264 .59346 L
.54143 .59206 L
.54103 .59153 L
.5395 .58966 L
.53946 .5896 L
.53801 .58768 L
.53758 .58717 L
.53654 .58575 L
.53565 .58466 L
.53505 .58382 L
.53372 .58214 L
.53354 .58189 L
.53211 .57997 L
.53179 .57958 L
.5307 .57804 L
.52987 .57699 L
.52925 .57611 L
.52794 .57441 L
.52778 .57419 L
.52639 .57226 L
.52601 .57179 L
.525 .57033 L
.52409 .56915 L
.52358 .56841 L
.52216 .56653 L
.52213 .56648 L
.5208 .56455 L
.52023 .56382 L
.51943 .56263 L
.51831 .56113 L
.51802 .5607 L
.51666 .55877 L
.51638 .5584 L
.51537 .55684 L
.51445 .5556 L
.51403 .55492 L
F
0 .73 1 r
.51445 .44323 m
.51613 .44508 L
.51638 .44534 L
.51779 .44701 L
.51831 .44758 L
.51942 .44894 L
.52023 .44941 L
.52101 .45086 L
.52216 .4522 L
.52295 .45279 L
.52409 .45469 L
.52411 .45472 L
.52562 .45664 L
.52601 .45685 L
.52713 .45857 L
.52794 .45954 L
.52899 .4605 L
.52987 .46211 L
.53011 .46242 L
.53158 .46435 L
.53179 .46447 L
.53305 .46628 L
.53372 .46709 L
.53479 .46821 L
.53565 .46971 L
.53595 .47013 L
.53742 .47206 L
.53758 .47216 L
.53886 .47399 L
.5395 .47477 L
.54052 .47591 L
.54143 .47742 L
.54171 .47784 L
.54318 .47977 L
.54336 .47989 L
.5446 .48169 L
.54528 .48254 L
.5462 .48362 L
.54721 .48521 L
.54742 .48555 L
.54888 .48747 L
.54914 .48767 L
.5503 .4894 L
.55106 .49036 L
.55185 .49133 L
.55299 .49304 L
.55311 .49326 L
.55455 .49518 L
.55492 .49548 L
.55662 .49711 L
.55684 .49823 L
.55747 .49904 L
.55877 .50093 L
.55879 .50096 L
.56018 .50289 L
.5607 .50335 L
.56213 .50482 L
.56263 .50616 L
.56306 .50674 L
.5644 .50867 L
.56455 .50887 L
.56578 .5106 L
.56648 .51129 L
.56761 .51253 L
.56841 .51416 L
.56862 .51445 L
.56996 .51638 L
.57033 .51688 L
.57134 .51831 L
.57226 .51934 L
.57302 .52023 L
.57412 .52216 L
.57419 .52224 L
.57546 .52409 L
.57611 .52497 L
.57683 .52601 L
.57804 .52758 L
.57833 .52794 L
.57955 .52987 L
.57997 .53045 L
.58087 .53179 L
.58189 .53322 L
.58223 .53372 L
.58354 .53565 L
.58382 .53605 L
.58479 .53758 L
.58575 .53896 L
.58609 .5395 L
.58729 .54143 L
.58768 .54202 L
.58835 .54336 L
.58768 .54413 L
.58695 .54336 L
.58575 .54212 L
.58515 .54143 L
.58382 .54012 L
.58346 .5395 L
.58189 .53764 L
.58181 .53758 L
.58028 .53565 L
.57997 .53528 L
.57872 .53372 L
.57804 .53312 L
.57717 .53179 L
.57611 .53048 L
.57547 .52987 L
.57419 .52798 L
.57415 .52794 L
.57266 .52601 L
.57226 .52565 L
.57117 .52409 L
.57033 .52302 L
.56954 .52216 L
.56841 .52045 L
.56826 .52023 L
.56677 .51831 L
.56648 .51803 L
.56531 .51638 L
.56455 .5154 L
.56375 .51445 L
.56263 .51279 L
.56247 .51253 L
.56097 .5106 L
.5607 .51033 L
.55888 .50867 L
.55877 .50768 L
.55803 .50674 L
.55684 .50504 L
.55673 .50482 L
.55524 .50289 L
.55492 .50257 L
.55331 .50096 L
.55299 .49989 L
.55234 .49904 L
.55106 .49724 L
.55101 .49711 L
.54955 .49518 L
.54914 .49476 L
.54772 .49326 L
.54721 .49204 L
.54669 .49133 L
.5453 .4894 L
.54528 .48938 L
.5439 .48747 L
.54336 .48689 L
.54215 .48555 L
.54143 .48414 L
.54107 .48362 L
.53968 .48169 L
.5395 .48146 L
.53829 .47977 L
.53758 .47897 L
.53661 .47784 L
.53565 .47618 L
.53547 .47591 L
.53409 .47399 L
.53372 .47348 L
.53271 .47206 L
.53179 .47097 L
.53111 .47013 L
.52991 .46821 L
.52987 .46814 L
.52856 .46628 L
.52794 .46544 L
.52718 .46435 L
.52601 .46283 L
.5257 .46242 L
.52444 .4605 L
.52409 .46001 L
.5231 .45857 L
.52216 .45727 L
.52173 .45664 L
.52039 .45472 L
.52023 .45451 L
.5191 .45279 L
.51831 .45168 L
.51777 .45086 L
.51645 .44894 L
.51638 .44883 L
.51526 .44701 L
.51445 .44581 L
.51403 .44508 L
F
1 .43 0 r
.51445 .45166 m
.51539 .45279 L
.51638 .45385 L
.51706 .45472 L
.51831 .45617 L
.51868 .45664 L
.52023 .45854 L
.52025 .45857 L
.52173 .4605 L
.52216 .46101 L
.52322 .46242 L
.52409 .46349 L
.52473 .46435 L
.52601 .46585 L
.52623 .46628 L
.52768 .46821 L
.52794 .46853 L
.52912 .47013 L
.52987 .47108 L
.53058 .47206 L
.53179 .47348 L
.53205 .47399 L
.53347 .47591 L
.53372 .47623 L
.53488 .47784 L
.53565 .47883 L
.53632 .47977 L
.53758 .48132 L
.538 .48169 L
.53915 .48362 L
.5395 .48407 L
.54054 .48555 L
.54143 .48672 L
.54196 .48747 L
.54336 .48934 L
.54342 .4894 L
.54473 .49133 L
.54528 .49206 L
.5461 .49326 L
.54721 .49475 L
.5475 .49518 L
.54886 .49711 L
.54914 .49748 L
.55017 .49904 L
.55106 .50025 L
.55153 .50096 L
.55288 .50289 L
.55299 .50304 L
.55409 .50482 L
.55492 .50599 L
.55536 .50674 L
.55492 .50795 L
.55392 .50674 L
.55299 .50572 L
.55227 .50482 L
.55106 .50339 L
.55067 .50289 L
.54914 .501 L
.54912 .50096 L
.54763 .49904 L
.54721 .49853 L
.54613 .49711 L
.54528 .49605 L
.54462 .49518 L
.54336 .49367 L
.54313 .49326 L
.54168 .49133 L
.54143 .49102 L
.54023 .4894 L
.5395 .48847 L
.53877 .48747 L
.53758 .48603 L
.53699 .48555 L
.53589 .48362 L
.53565 .48332 L
.53447 .48169 L
.53372 .48071 L
.53303 .47977 L
.53179 .4782 L
.53141 .47784 L
.53021 .47591 L
.52987 .47547 L
.52881 .47399 L
.52794 .47282 L
.5274 .47206 L
.52601 .47018 L
.52597 .47013 L
.52464 .46821 L
.52409 .46746 L
.52327 .46628 L
.52216 .46476 L
.52187 .46435 L
.52053 .46242 L
.52023 .46202 L
.51922 .4605 L
.51831 .45924 L
.51787 .45857 L
.51655 .45664 L
.51638 .45641 L
.51534 .45472 L
.51445 .45343 L
.51409 .45279 L
F
1 .8 0 r
.51445 .50345 m
.51638 .50434 L
.51708 .50482 L
.51831 .50607 L
.51971 .50674 L
.52023 .50822 L
.52079 .50867 L
.52216 .51051 L
.52224 .5106 L
.52382 .51253 L
.52409 .51283 L
.52568 .51445 L
.52601 .51542 L
.52673 .51638 L
.52794 .51804 L
.52803 .51831 L
.52955 .52023 L
.52987 .52037 L
.53126 .52216 L
.53179 .52323 L
.53226 .52409 L
.53354 .52601 L
.53372 .5263 L
.5347 .52794 L
.53551 .52987 L
.53372 .53071 L
.53264 .52987 L
.53179 .5292 L
.53063 .52794 L
.52987 .52709 L
.52898 .52601 L
.52794 .5247 L
.52727 .52409 L
.52601 .52224 L
.52595 .52216 L
.52451 .52023 L
.52409 .51991 L
.52308 .51831 L
.52216 .51718 L
.52153 .51638 L
.52026 .51445 L
.52023 .51442 L
.51891 .51253 L
.51831 .51168 L
.51695 .5106 L
.51638 .50903 L
.5162 .50867 L
.51507 .50674 L
.51445 .50562 L
.51409 .50482 L
F
0 .65 1 r
.51445 .56174 m
.51503 .56263 L
.51638 .56438 L
.5165 .56455 L
.51638 .56561 L
.51569 .56455 L
.51445 .56314 L
.51412 .56263 L
F
0 .31 1 r
.51445 .45999 m
.51479 .4605 L
.51638 .46239 L
.51641 .46242 L
.51638 .46374 L
.51558 .46242 L
.51445 .46102 L
.51414 .4605 L
F
0 .72 1 r
.51445 .44343 m
.51598 .44508 L
.51638 .44548 L
.51769 .44701 L
.51831 .44769 L
.51934 .44894 L
.52023 .4495 L
.52094 .45086 L
.52216 .45229 L
.52285 .45279 L
.52405 .45472 L
.52409 .45476 L
.52557 .45664 L
.52601 .45688 L
.52708 .45857 L
.52794 .4596 L
.52894 .4605 L
.52987 .46216 L
.53008 .46242 L
.53154 .46435 L
.53179 .4645 L
.53301 .46628 L
.53372 .46714 L
.53476 .46821 L
.53565 .46975 L
.53592 .47013 L
.53739 .47206 L
.53758 .47218 L
.53883 .47399 L
.5395 .47481 L
.54049 .47591 L
.54143 .47746 L
.54169 .47784 L
.54315 .47977 L
.54336 .47991 L
.54458 .48169 L
.54528 .48257 L
.54618 .48362 L
.54721 .48524 L
.54741 .48555 L
.54886 .48747 L
.54914 .48768 L
.55028 .4894 L
.55106 .49039 L
.55183 .49133 L
.55299 .49307 L
.5531 .49326 L
.55453 .49518 L
.55492 .4955 L
.55661 .49711 L
.55684 .49826 L
.55745 .49904 L
.55877 .50096 L
.55877 .50096 L
.56016 .50289 L
.5607 .50337 L
.56211 .50482 L
.56263 .50619 L
.56304 .50674 L
.56438 .50867 L
.56455 .50891 L
.56576 .5106 L
.56648 .51132 L
.56758 .51253 L
.56841 .5142 L
.56859 .51445 L
.56993 .51638 L
.57033 .51692 L
.57131 .51831 L
.57226 .51938 L
.57299 .52023 L
.57409 .52216 L
.57419 .52229 L
.57543 .52409 L
.57611 .52502 L
.5768 .52601 L
.57804 .52765 L
.57828 .52794 L
.5795 .52987 L
.57997 .53051 L
.58083 .53179 L
.58189 .53329 L
.58218 .53372 L
.58347 .53565 L
.58382 .53614 L
.58472 .53758 L
.58575 .53907 L
.58601 .5395 L
.58717 .54143 L
.58768 .54224 L
.58817 .54336 L
.58768 .54389 L
.58714 .54336 L
.58575 .54197 L
.58527 .54143 L
.58382 .53996 L
.58356 .5395 L
.58193 .53758 L
.58189 .53753 L
.58035 .53565 L
.57997 .5352 L
.57878 .53372 L
.57804 .53305 L
.57723 .53179 L
.57611 .53041 L
.57554 .52987 L
.5742 .52794 L
.57419 .52793 L
.57271 .52601 L
.57226 .52561 L
.57121 .52409 L
.57033 .52297 L
.56958 .52216 L
.56841 .52041 L
.56829 .52023 L
.5668 .51831 L
.56648 .518 L
.56534 .51638 L
.56455 .51536 L
.56378 .51445 L
.56263 .51276 L
.56249 .51253 L
.561 .5106 L
.5607 .5103 L
.55889 .50867 L
.55877 .50765 L
.55805 .50674 L
.55684 .50501 L
.55674 .50482 L
.55527 .50289 L
.55492 .50254 L
.55332 .50096 L
.55299 .49986 L
.55236 .49904 L
.55106 .49721 L
.55102 .49711 L
.54958 .49518 L
.54914 .49473 L
.54774 .49326 L
.54721 .49201 L
.54671 .49133 L
.54532 .4894 L
.54528 .48935 L
.54392 .48747 L
.54336 .48687 L
.54217 .48555 L
.54143 .48411 L
.54109 .48362 L
.5397 .48169 L
.5395 .48143 L
.53831 .47977 L
.53758 .47894 L
.53663 .47784 L
.53565 .47614 L
.53549 .47591 L
.53412 .47399 L
.53372 .47345 L
.53273 .47206 L
.53179 .47093 L
.53115 .47013 L
.52994 .46821 L
.52987 .4681 L
.52859 .46628 L
.52794 .46539 L
.52721 .46435 L
.52601 .46278 L
.52574 .46242 L
.52448 .4605 L
.52409 .45996 L
.52314 .45857 L
.52216 .45721 L
.52177 .45664 L
.52044 .45472 L
.52023 .45444 L
.51915 .45279 L
.51831 .4516 L
.51783 .45086 L
.51653 .44894 L
.51638 .44872 L
.51535 .44701 L
.51445 .44565 L
.51414 .44508 L
F
1 .42 0 r
.51445 .4518 m
.51528 .45279 L
.51638 .45394 L
.51699 .45472 L
.51831 .45624 L
.51862 .45664 L
.52019 .45857 L
.52023 .45862 L
.52168 .4605 L
.52216 .46107 L
.52318 .46242 L
.52409 .46354 L
.52469 .46435 L
.52601 .46591 L
.5262 .46628 L
.52765 .46821 L
.52794 .46857 L
.52909 .47013 L
.52987 .47112 L
.53055 .47206 L
.53179 .47354 L
.53202 .47399 L
.53344 .47591 L
.53372 .47627 L
.53485 .47784 L
.53565 .47887 L
.53629 .47977 L
.53758 .48137 L
.53794 .48169 L
.53912 .48362 L
.5395 .48411 L
.54051 .48555 L
.54143 .48676 L
.54193 .48747 L
.54336 .4894 L
.54336 .4894 L
.54469 .49133 L
.54528 .49211 L
.54607 .49326 L
.54721 .4948 L
.54747 .49518 L
.54882 .49711 L
.54914 .49754 L
.55013 .49904 L
.55106 .50031 L
.55149 .50096 L
.55282 .50289 L
.55299 .50312 L
.55402 .50482 L
.55492 .5061 L
.55528 .50674 L
.55492 .50783 L
.55401 .50674 L
.55299 .50564 L
.55234 .50482 L
.55106 .50332 L
.55073 .50289 L
.54917 .50096 L
.54914 .50093 L
.54768 .49904 L
.54721 .49847 L
.54617 .49711 L
.54528 .496 L
.54466 .49518 L
.54336 .49361 L
.54317 .49326 L
.54172 .49133 L
.54143 .49097 L
.54027 .4894 L
.5395 .48842 L
.5388 .48747 L
.53758 .48598 L
.53705 .48555 L
.53592 .48362 L
.53565 .48327 L
.5345 .48169 L
.53372 .48067 L
.53306 .47977 L
.53179 .47815 L
.53147 .47784 L
.53024 .47591 L
.52987 .47542 L
.52885 .47399 L
.52794 .47278 L
.52743 .47206 L
.52602 .47013 L
.52601 .47012 L
.52468 .46821 L
.52409 .46741 L
.5233 .46628 L
.52216 .46471 L
.52191 .46435 L
.52058 .46242 L
.52023 .46196 L
.51926 .4605 L
.51831 .45917 L
.51791 .45857 L
.51661 .45664 L
.51638 .45632 L
.51542 .45472 L
.51445 .4533 L
.51417 .45279 L
F
1 .79 0 r
.51445 .50364 m
.51638 .50442 L
.51697 .50482 L
.51831 .50614 L
.51963 .50674 L
.52023 .50827 L
.52074 .50867 L
.52216 .51053 L
.52222 .5106 L
.52378 .51253 L
.52409 .51287 L
.52566 .51445 L
.52601 .51546 L
.5267 .51638 L
.52794 .51808 L
.52802 .51831 L
.52952 .52023 L
.52987 .52039 L
.53123 .52216 L
.53179 .52329 L
.53223 .52409 L
.5335 .52601 L
.53372 .52638 L
.53464 .52794 L
.53539 .52987 L
.53372 .53063 L
.53275 .52987 L
.53179 .52914 L
.53069 .52794 L
.52987 .52704 L
.52902 .52601 L
.52794 .52467 L
.52731 .52409 L
.52601 .52221 L
.52597 .52216 L
.52453 .52023 L
.52409 .51989 L
.52311 .51831 L
.52216 .51714 L
.52156 .51638 L
.52028 .51445 L
.52023 .51438 L
.51894 .51253 L
.51831 .51164 L
.51699 .5106 L
.51638 .50894 L
.51625 .50867 L
.51512 .50674 L
.51445 .50547 L
.51418 .50482 L
F
0 .95 1 r
.51445 .54606 m
.51556 .54721 L
.51638 .548 L
.51742 .54914 L
.51831 .55009 L
.51917 .55106 L
.52023 .5519 L
.52087 .55299 L
.52216 .55453 L
.52264 .55492 L
.52409 .55684 L
.5241 .55684 L
.52567 .55877 L
.52601 .55886 L
.52723 .5607 L
.52794 .56156 L
.52911 .56263 L
.52987 .56411 L
.5302 .56455 L
.53172 .56648 L
.53179 .56649 L
.53321 .56841 L
.53372 .56904 L
.53496 .57033 L
.53565 .57166 L
.53607 .57226 L
.53756 .57419 L
.53758 .57419 L
.53901 .57611 L
.5395 .57673 L
.54065 .57804 L
.54143 .57939 L
.5418 .57997 L
.54329 .58189 L
.54336 .58192 L
.54473 .58382 L
.54528 .58453 L
.54629 .58575 L
.54721 .58722 L
.54748 .58768 L
.54897 .5896 L
.54914 .5897 L
.55039 .59153 L
.55106 .5924 L
.55189 .59346 L
.55299 .59511 L
.55313 .59538 L
.55459 .59731 L
.55492 .59754 L
.556 .59924 L
.55684 .60035 L
.55745 .60116 L
.55877 .60308 L
.55878 .60309 L
.56016 .60502 L
.5607 .60548 L
.56213 .60694 L
.56263 .6084 L
.56296 .60887 L
.56428 .6108 L
.56455 .61117 L
.56565 .61273 L
.56648 .61361 L
.5674 .61465 L
.56836 .61658 L
.56841 .61664 L
.56968 .61851 L
.57033 .61944 L
.57101 .62043 L
.57226 .62219 L
.57239 .62236 L
.57359 .62429 L
.57419 .62516 L
.57485 .62621 L
.57611 .62814 L
.57611 .62814 L
.57717 .63007 L
.57804 .63162 L
.57818 .63199 L
.57804 .63239 L
.5776 .63199 L
.57611 .63067 L
.5756 .63007 L
.57419 .62853 L
.57388 .62814 L
.57226 .62626 L
.57223 .62621 L
.57069 .62429 L
.57033 .62387 L
.56916 .62236 L
.56841 .62146 L
.56763 .62043 L
.56648 .61915 L
.5661 .61851 L
.56459 .61658 L
.56455 .61653 L
.56314 .61465 L
.56263 .61402 L
.56167 .61273 L
.5607 .61166 L
.55964 .6108 L
.55877 .60897 L
.55868 .60887 L
.55728 .60694 L
.55684 .60639 L
.55584 .60502 L
.55492 .60399 L
.55393 .60309 L
.55299 .60126 L
.55291 .60116 L
.55152 .59924 L
.55106 .59866 L
.55009 .59731 L
.54914 .59622 L
.54829 .59538 L
.54721 .59347 L
.5472 .59346 L
.54581 .59153 L
.54528 .59084 L
.5444 .5896 L
.54336 .58837 L
.5427 .58768 L
.54153 .58575 L
.54143 .58562 L
.54015 .58382 L
.5395 .58349 L
.53874 .58189 L
.53758 .58045 L
.53714 .57997 L
.5359 .57804 L
.53565 .57771 L
.53453 .57611 L
.53372 .57553 L
.53312 .57419 L
.53179 .57246 L
.53162 .57226 L
.53032 .57033 L
.52987 .56974 L
.52894 .56841 L
.52794 .56747 L
.52753 .56648 L
.52612 .56455 L
.52601 .56441 L
.52479 .56263 L
.52409 .56169 L
.52341 .5607 L
.52216 .559 L
.522 .55877 L
.52067 .55684 L
.52023 .55625 L
.51936 .55492 L
.51831 .55348 L
.51799 .55299 L
.51667 .55106 L
.51638 .55065 L
.51548 .54914 L
.51445 .54765 L
.51422 .54721 L
F
1 .82 0 r
.51445 .55366 m
.51547 .55492 L
.51638 .55594 L
.51709 .55684 L
.51831 .55831 L
.51867 .55877 L
.52019 .5607 L
.52023 .56075 L
.52165 .56263 L
.52216 .56325 L
.52314 .56455 L
.52409 .56576 L
.52463 .56648 L
.52601 .56822 L
.5261 .56841 L
.52751 .57033 L
.52794 .57088 L
.52894 .57226 L
.52987 .57348 L
.53038 .57419 L
.53179 .57608 L
.53181 .57611 L
.53318 .57804 L
.53372 .57876 L
.53457 .57997 L
.53565 .58143 L
.53598 .58189 L
.53733 .58382 L
.53758 .58414 L
.53866 .58575 L
.5395 .5869 L
.54002 .58768 L
.5395 .5894 L
.53821 .58768 L
.53758 .58694 L
.53671 .58575 L
.53565 .58446 L
.53519 .58382 L
.53372 .58196 L
.53367 .58189 L
.53227 .57997 L
.53179 .57939 L
.53084 .57804 L
.52987 .57682 L
.52938 .57611 L
.52794 .57425 L
.5279 .57419 L
.52653 .57226 L
.52601 .57161 L
.52514 .57033 L
.52409 .56898 L
.5237 .56841 L
.52227 .56648 L
.52216 .56634 L
.52095 .56455 L
.52023 .56362 L
.51958 .56263 L
.51831 .56093 L
.51816 .5607 L
.51686 .55877 L
.51638 .55814 L
.51558 .55684 L
.51445 .5553 L
.51423 .55492 L
F
0 .26 1 r
.51445 .51063 m
.51625 .51253 L
.51638 .51266 L
.51782 .51445 L
.51831 .51504 L
.51928 .51638 L
.52023 .51764 L
.52069 .51831 L
.52195 .52023 L
.52216 .52056 L
.5229 .52216 L
.52216 .52255 L
.52177 .52216 L
.52023 .52061 L
.51992 .52023 L
.51831 .51831 L
.51831 .5183 L
.5169 .51638 L
.51638 .5157 L
.51554 .51445 L
.51445 .51287 L
.51424 .51253 L
F
0 .71 1 r
.51445 .44366 m
.51582 .44508 L
.51638 .44562 L
.51758 .44701 L
.51831 .4478 L
.51925 .44894 L
.52023 .4496 L
.52087 .45086 L
.52216 .45238 L
.52274 .45279 L
.52399 .45472 L
.52409 .45483 L
.52551 .45664 L
.52601 .45692 L
.52703 .45857 L
.52794 .45965 L
.52889 .4605 L
.52987 .46222 L
.53004 .46242 L
.5315 .46435 L
.53179 .46452 L
.53298 .46628 L
.53372 .46718 L
.53473 .46821 L
.53565 .46979 L
.5359 .47013 L
.53736 .47206 L
.53758 .4722 L
.5388 .47399 L
.5395 .47484 L
.54047 .47591 L
.54143 .47749 L
.54167 .47784 L
.54312 .47977 L
.54336 .47993 L
.54456 .48169 L
.54528 .4826 L
.54616 .48362 L
.54721 .48527 L
.54739 .48555 L
.54884 .48747 L
.54914 .4877 L
.55026 .4894 L
.55106 .49042 L
.55181 .49133 L
.55299 .4931 L
.55308 .49326 L
.55451 .49518 L
.55492 .49552 L
.55659 .49711 L
.55684 .49829 L
.55743 .49904 L
.55875 .50096 L
.55877 .50099 L
.56014 .50289 L
.5607 .5034 L
.56209 .50482 L
.56263 .50623 L
.56302 .50674 L
.56435 .50867 L
.56455 .50894 L
.56573 .5106 L
.56648 .51135 L
.56755 .51253 L
.56841 .51423 L
.56856 .51445 L
.56991 .51638 L
.57033 .51695 L
.57128 .51831 L
.57226 .51943 L
.57295 .52023 L
.57406 .52216 L
.57419 .52233 L
.5754 .52409 L
.57611 .52507 L
.57677 .52601 L
.57804 .52772 L
.57822 .52794 L
.57946 .52987 L
.57997 .53057 L
.58078 .53179 L
.58189 .53336 L
.58213 .53372 L
.58341 .53565 L
.58382 .53623 L
.58465 .53758 L
.58575 .53919 L
.58593 .5395 L
.58702 .54143 L
.58768 .54255 L
.58792 .54336 L
.58768 .54359 L
.58741 .54336 L
.58575 .54181 L
.58541 .54143 L
.58382 .53979 L
.58366 .5395 L
.58202 .53758 L
.58189 .53743 L
.58043 .53565 L
.57997 .53511 L
.57885 .53372 L
.57804 .53298 L
.57729 .53179 L
.57611 .53035 L
.5756 .52987 L
.57425 .52794 L
.57419 .52787 L
.57275 .52601 L
.57226 .52557 L
.57125 .52409 L
.57033 .52292 L
.56962 .52216 L
.56841 .52037 L
.56832 .52023 L
.56684 .51831 L
.56648 .51797 L
.56537 .51638 L
.56455 .51532 L
.56381 .51445 L
.56263 .51272 L
.56251 .51253 L
.56103 .5106 L
.5607 .51028 L
.55891 .50867 L
.55877 .50761 L
.55807 .50674 L
.55684 .50498 L
.55676 .50482 L
.55529 .50289 L
.55492 .50252 L
.55334 .50096 L
.55299 .49983 L
.55239 .49904 L
.55106 .49718 L
.55103 .49711 L
.5496 .49518 L
.54914 .49471 L
.54776 .49326 L
.54721 .49198 L
.54673 .49133 L
.54535 .4894 L
.54528 .48932 L
.54395 .48747 L
.54336 .48684 L
.54219 .48555 L
.54143 .48408 L
.54111 .48362 L
.53972 .48169 L
.5395 .4814 L
.53833 .47977 L
.53758 .47891 L
.53666 .47784 L
.53565 .47611 L
.53552 .47591 L
.53415 .47399 L
.53372 .47341 L
.53276 .47206 L
.53179 .47089 L
.53118 .47013 L
.52997 .46821 L
.52987 .46806 L
.52862 .46628 L
.52794 .46535 L
.52724 .46435 L
.52601 .46272 L
.52578 .46242 L
.52452 .4605 L
.52409 .45991 L
.52318 .45857 L
.52216 .45715 L
.52181 .45664 L
.52049 .45472 L
.52023 .45436 L
.5192 .45279 L
.51831 .45151 L
.51789 .45086 L
.51661 .44894 L
.51638 .4486 L
.51545 .44701 L
.51445 .44546 L
.51425 .44508 L
F
1 .41 0 r
.51445 .45197 m
.51515 .45279 L
.51638 .45404 L
.51692 .45472 L
.51831 .45631 L
.51856 .45664 L
.52013 .45857 L
.52023 .45868 L
.52163 .4605 L
.52216 .46113 L
.52314 .46242 L
.52409 .46359 L
.52465 .46435 L
.52601 .46598 L
.52616 .46628 L
.52761 .46821 L
.52794 .46862 L
.52905 .47013 L
.52987 .47117 L
.53052 .47206 L
.53179 .47359 L
.53199 .47399 L
.53341 .47591 L
.53372 .47631 L
.53482 .47784 L
.53565 .47891 L
.53626 .47977 L
.53758 .48143 L
.53787 .48169 L
.53909 .48362 L
.5395 .48416 L
.54048 .48555 L
.54143 .4868 L
.5419 .48747 L
.54332 .4894 L
.54336 .48945 L
.54466 .49133 L
.54528 .49215 L
.54604 .49326 L
.54721 .49485 L
.54744 .49518 L
.54877 .49711 L
.54914 .49759 L
.55008 .49904 L
.55106 .50038 L
.55144 .50096 L
.55276 .50289 L
.55299 .50321 L
.55395 .50482 L
.55492 .50622 L
.5552 .50674 L
.55492 .50769 L
.55412 .50674 L
.55299 .50555 L
.55241 .50482 L
.55106 .50325 L
.55078 .50289 L
.54923 .50096 L
.54914 .50086 L
.54773 .49904 L
.54721 .49842 L
.54621 .49711 L
.54528 .49595 L
.5447 .49518 L
.54336 .49354 L
.5432 .49326 L
.54175 .49133 L
.54143 .49092 L
.5403 .4894 L
.5395 .48838 L
.53883 .48747 L
.53758 .48592 L
.53712 .48555 L
.53595 .48362 L
.53565 .48323 L
.53453 .48169 L
.53372 .48063 L
.5331 .47977 L
.53179 .47809 L
.53153 .47784 L
.53028 .47591 L
.52987 .47538 L
.52888 .47399 L
.52794 .47273 L
.52746 .47206 L
.52606 .47013 L
.52601 .47008 L
.52472 .46821 L
.52409 .46736 L
.52334 .46628 L
.52216 .46466 L
.52195 .46435 L
.52062 .46242 L
.52023 .4619 L
.51931 .4605 L
.51831 .4591 L
.51796 .45857 L
.51668 .45664 L
.51638 .45622 L
.5155 .45472 L
.51445 .45315 L
.51426 .45279 L
F
1 .78 0 r
.51445 .50386 m
.51638 .5045 L
.51685 .50482 L
.51831 .50621 L
.51954 .50674 L
.52023 .50832 L
.52069 .50867 L
.52216 .51056 L
.5222 .5106 L
.52375 .51253 L
.52409 .51291 L
.52564 .51445 L
.52601 .5155 L
.52668 .51638 L
.52794 .51812 L
.528 .51831 L
.52949 .52023 L
.52987 .52041 L
.53121 .52216 L
.53179 .52334 L
.53219 .52409 L
.53345 .52601 L
.53372 .52646 L
.53458 .52794 L
.53525 .52987 L
.53372 .53053 L
.53287 .52987 L
.53179 .52908 L
.53074 .52794 L
.52987 .52699 L
.52905 .52601 L
.52794 .52463 L
.52735 .52409 L
.52601 .52218 L
.526 .52216 L
.52456 .52023 L
.52409 .51987 L
.52313 .51831 L
.52216 .51711 L
.52159 .51638 L
.52031 .51445 L
.52023 .51435 L
.51897 .51253 L
.51831 .5116 L
.51703 .5106 L
.51638 .50884 L
.5163 .50867 L
.51518 .50674 L
.51445 .5053 L
.51427 .50482 L
F
0 .3 1 r
.51445 .46019 m
.51464 .4605 L
.51445 .46082 L
.51428 .4605 L
F
0 .25 1 r
.51445 .51072 m
.5162 .51253 L
.51638 .51272 L
.51777 .51445 L
.51831 .51509 L
.51925 .51638 L
.52023 .51769 L
.52065 .51831 L
.5219 .52023 L
.52216 .52065 L
.52281 .52216 L
.52216 .52247 L
.52184 .52216 L
.52023 .52056 L
.51996 .52023 L
.51836 .51831 L
.51831 .51825 L
.51694 .51638 L
.51638 .51565 L
.51557 .51445 L
.51445 .51281 L
.51428 .51253 L
F
0 .64 1 r
.51445 .56208 m
.51477 .56263 L
.51445 .56284 L
.51432 .56263 L
F
0 .24 1 r
.51445 .51081 m
.51614 .51253 L
.51638 .51277 L
.51773 .51445 L
.51831 .51514 L
.51921 .51638 L
.52023 .51774 L
.52061 .51831 L
.52184 .52023 L
.52216 .52075 L
.52271 .52216 L
.52216 .52238 L
.52193 .52216 L
.52023 .5205 L
.52001 .52023 L
.5184 .51831 L
.51831 .5182 L
.51698 .51638 L
.51638 .5156 L
.51561 .51445 L
.51445 .51274 L
.51432 .51253 L
F
1 .4 0 r
.51445 .4522 m
.51499 .45279 L
.51638 .45414 L
.51684 .45472 L
.51831 .45639 L
.51851 .45664 L
.52007 .45857 L
.52023 .45875 L
.52157 .4605 L
.52216 .46119 L
.52309 .46242 L
.52409 .46365 L
.52461 .46435 L
.52601 .46605 L
.52613 .46628 L
.52757 .46821 L
.52794 .46866 L
.52902 .47013 L
.52987 .47121 L
.53049 .47206 L
.53179 .47365 L
.53196 .47399 L
.53338 .47591 L
.53372 .47635 L
.53479 .47784 L
.53565 .47895 L
.53623 .47977 L
.53758 .48148 L
.53781 .48169 L
.53906 .48362 L
.5395 .4842 L
.54045 .48555 L
.54143 .48684 L
.54187 .48747 L
.54329 .4894 L
.54336 .48949 L
.54462 .49133 L
.54528 .4922 L
.546 .49326 L
.54721 .4949 L
.5474 .49518 L
.54873 .49711 L
.54914 .49765 L
.55004 .49904 L
.55106 .50044 L
.5514 .50096 L
.55269 .50289 L
.55299 .5033 L
.55387 .50482 L
.55492 .50636 L
.55511 .50674 L
.55492 .50753 L
.55424 .50674 L
.55299 .50545 L
.55248 .50482 L
.55106 .50317 L
.55084 .50289 L
.54929 .50096 L
.54914 .50079 L
.54778 .49904 L
.54721 .49836 L
.54626 .49711 L
.54528 .4959 L
.54474 .49518 L
.54336 .49347 L
.54324 .49326 L
.54179 .49133 L
.54143 .49088 L
.54034 .4894 L
.5395 .48833 L
.53887 .48747 L
.53758 .48587 L
.53719 .48555 L
.53599 .48362 L
.53565 .48319 L
.53457 .48169 L
.53372 .48059 L
.53313 .47977 L
.53179 .47804 L
.53159 .47784 L
.53031 .47591 L
.52987 .47533 L
.52891 .47399 L
.52794 .47269 L
.5275 .47206 L
.52609 .47013 L
.52601 .47003 L
.52475 .46821 L
.52409 .46731 L
.52338 .46628 L
.52216 .46461 L
.52198 .46435 L
.52067 .46242 L
.52023 .46183 L
.51936 .4605 L
.51831 .45903 L
.51801 .45857 L
.51676 .45664 L
.51638 .45612 L
.51559 .45472 L
.51445 .45297 L
.51437 .45279 L
F
1 .77 0 r
.51445 .50414 m
.51638 .50459 L
.51673 .50482 L
.51831 .50627 L
.51945 .50674 L
.52023 .50836 L
.52064 .50867 L
.52216 .51058 L
.52218 .5106 L
.52371 .51253 L
.52409 .51295 L
.52562 .51445 L
.52601 .51554 L
.52665 .51638 L
.52794 .51815 L
.52799 .51831 L
.52946 .52023 L
.52987 .52044 L
.53118 .52216 L
.53179 .5234 L
.53216 .52409 L
.5334 .52601 L
.53372 .52654 L
.53452 .52794 L
.53511 .52987 L
.53372 .53043 L
.533 .52987 L
.53179 .52901 L
.5308 .52794 L
.52987 .52694 L
.52909 .52601 L
.52794 .52459 L
.52738 .52409 L
.52602 .52216 L
.52601 .52215 L
.52459 .52023 L
.52409 .51984 L
.52315 .51831 L
.52216 .51707 L
.52161 .51638 L
.52034 .51445 L
.52023 .51431 L
.51899 .51253 L
.51831 .51155 L
.51708 .5106 L
.51638 .50874 L
.51635 .50867 L
.51524 .50674 L
.51445 .50509 L
.51437 .50482 L
F
0 .23 1 r
.51445 .5109 m
.51607 .51253 L
.51638 .51283 L
.51768 .51445 L
.51831 .51519 L
.51917 .51638 L
.52023 .5178 L
.52058 .51831 L
.52178 .52023 L
.52216 .52086 L
.52258 .52216 L
.52216 .52228 L
.52202 .52216 L
.52023 .52045 L
.52005 .52023 L
.51845 .51831 L
.51831 .51814 L
.51702 .51638 L
.51638 .51554 L
.51565 .51445 L
.51445 .51267 L
.51437 .51253 L
F
0 .7 1 r
.51445 .44396 m
.51562 .44508 L
.51638 .44578 L
.51746 .44701 L
.51831 .44791 L
.51916 .44894 L
.52023 .44972 L
.5208 .45086 L
.52216 .45247 L
.52262 .45279 L
.52393 .45472 L
.52409 .4549 L
.52546 .45664 L
.52601 .45696 L
.52699 .45857 L
.52794 .45971 L
.52883 .4605 L
.52987 .46227 L
.53 .46242 L
.53147 .46435 L
.53179 .46455 L
.53294 .46628 L
.53372 .46722 L
.53469 .46821 L
.53565 .46983 L
.53587 .47013 L
.53733 .47206 L
.53758 .47222 L
.53878 .47399 L
.5395 .47488 L
.54044 .47591 L
.54143 .47752 L
.54164 .47784 L
.5431 .47977 L
.54336 .47995 L
.54453 .48169 L
.54528 .48263 L
.54613 .48362 L
.54721 .4853 L
.54737 .48555 L
.54881 .48747 L
.54914 .48772 L
.55023 .4894 L
.55106 .49045 L
.55179 .49133 L
.55299 .49313 L
.55306 .49326 L
.55448 .49518 L
.55492 .49554 L
.55658 .49711 L
.55684 .49832 L
.55741 .49904 L
.55873 .50096 L
.55877 .50102 L
.56012 .50289 L
.5607 .50342 L
.56206 .50482 L
.56263 .50626 L
.56299 .50674 L
.56433 .50867 L
.56455 .50897 L
.56571 .5106 L
.56648 .51138 L
.56752 .51253 L
.56841 .51427 L
.56854 .51445 L
.56988 .51638 L
.57033 .51699 L
.57126 .51831 L
.57226 .51948 L
.57291 .52023 L
.57403 .52216 L
.57419 .52238 L
.57536 .52409 L
.57611 .52511 L
.57673 .52601 L
.57804 .52779 L
.57816 .52794 L
.57941 .52987 L
.57997 .53063 L
.58074 .53179 L
.58189 .53343 L
.58208 .53372 L
.58334 .53565 L
.58382 .53633 L
.58458 .53758 L
.58575 .53933 L
.58585 .5395 L
.58685 .54143 L
.58575 .54164 L
.58556 .54143 L
.58382 .53959 L
.58377 .5395 L
.58212 .53758 L
.58189 .53733 L
.58051 .53565 L
.57997 .53502 L
.57892 .53372 L
.57804 .53291 L
.57735 .53179 L
.57611 .53028 L
.57567 .52987 L
.5743 .52794 L
.57419 .52781 L
.5728 .52601 L
.57226 .52552 L
.57129 .52409 L
.57033 .52287 L
.56966 .52216 L
.56841 .52032 L
.56835 .52023 L
.56687 .51831 L
.56648 .51793 L
.5654 .51638 L
.56455 .51528 L
.56384 .51445 L
.56263 .51268 L
.56253 .51253 L
.56106 .5106 L
.5607 .51025 L
.55892 .50867 L
.55877 .50758 L
.5581 .50674 L
.55684 .50495 L
.55678 .50482 L
.55531 .50289 L
.55492 .50249 L
.55336 .50096 L
.55299 .4998 L
.55241 .49904 L
.55106 .49715 L
.55105 .49711 L
.54962 .49518 L
.54914 .49468 L
.54778 .49326 L
.54721 .49195 L
.54675 .49133 L
.54537 .4894 L
.54528 .48929 L
.54397 .48747 L
.54336 .48681 L
.54221 .48555 L
.54143 .48404 L
.54113 .48362 L
.53975 .48169 L
.5395 .48137 L
.53836 .47977 L
.53758 .47888 L
.53669 .47784 L
.53565 .47607 L
.53554 .47591 L
.53417 .47399 L
.53372 .47338 L
.53278 .47206 L
.53179 .47085 L
.53121 .47013 L
.53 .46821 L
.52987 .46802 L
.52865 .46628 L
.52794 .46531 L
.52727 .46435 L
.52601 .46266 L
.52583 .46242 L
.52456 .4605 L
.52409 .45985 L
.52322 .45857 L
.52216 .45709 L
.52185 .45664 L
.52054 .45472 L
.52023 .45429 L
.51926 .45279 L
.51831 .45142 L
.51795 .45086 L
.5167 .44894 L
.51638 .44847 L
.51555 .44701 L
.51445 .44524 L
.51438 .44508 L
F
0 .22 1 r
.51445 .51101 m
.51601 .51253 L
.51638 .51289 L
.51764 .51445 L
.51831 .51525 L
.51913 .51638 L
.52023 .51785 L
.52054 .51831 L
.52172 .52023 L
.52216 .521 L
.52236 .52216 L
.52216 .52218 L
.52214 .52216 L
.52023 .52039 L
.5201 .52023 L
.51849 .51831 L
.51831 .51809 L
.51706 .51638 L
.51638 .51549 L
.5157 .51445 L
.51445 .51259 L
.51442 .51253 L
F
1 .76 0 r
.51638 .50468 m
.5166 .50482 L
.51831 .50634 L
.51934 .50674 L
.52023 .50841 L
.52059 .50867 L
.52215 .5106 L
.52216 .5106 L
.52367 .51253 L
.52409 .51299 L
.5256 .51445 L
.52601 .51558 L
.52662 .51638 L
.52794 .51819 L
.52798 .51831 L
.52943 .52023 L
.52987 .52046 L
.53115 .52216 L
.53179 .52346 L
.53212 .52409 L
.53336 .52601 L
.53372 .52663 L
.53446 .52794 L
.53495 .52987 L
.53372 .53032 L
.53313 .52987 L
.53179 .52895 L
.53086 .52794 L
.52987 .52689 L
.52913 .52601 L
.52794 .52455 L
.52742 .52409 L
.52605 .52216 L
.52601 .52211 L
.52461 .52023 L
.52409 .51982 L
.52318 .51831 L
.52216 .51704 L
.52164 .51638 L
.52036 .51445 L
.52023 .51427 L
.51902 .51253 L
.51831 .51151 L
.51712 .5106 L
.51639 .50867 L
.51638 .50865 L
.51529 .50674 L
.51448 .50482 L
F
1 .75 0 r
.51638 .50477 m
.51646 .50482 L
.51831 .5064 L
.51921 .50674 L
.52023 .50845 L
.52053 .50867 L
.52211 .5106 L
.52216 .51062 L
.52364 .51253 L
.52409 .51303 L
.52558 .51445 L
.52601 .51562 L
.52659 .51638 L
.52794 .51823 L
.52797 .51831 L
.52939 .52023 L
.52987 .52049 L
.53112 .52216 L
.53179 .52353 L
.53209 .52409 L
.53331 .52601 L
.53372 .52672 L
.53439 .52794 L
.53476 .52987 L
.53372 .53019 L
.53329 .52987 L
.53179 .52889 L
.53092 .52794 L
.52987 .52685 L
.52917 .52601 L
.52794 .52451 L
.52746 .52409 L
.52608 .52216 L
.52601 .52208 L
.52464 .52023 L
.52409 .51979 L
.5232 .51831 L
.52216 .517 L
.52167 .51638 L
.52039 .51445 L
.52023 .51423 L
.51905 .51253 L
.51831 .51147 L
.51717 .5106 L
.51644 .50867 L
.51638 .50858 L
.51535 .50674 L
.51464 .50482 L
F
0 .97 1 r
.51638 .5368 m
.51721 .53758 L
.51831 .53792 L
.51893 .5395 L
.52023 .54089 L
.52048 .54143 L
.52192 .54336 L
.52216 .54367 L
.52327 .54528 L
.52409 .54637 L
.52464 .54721 L
.52601 .54911 L
.52603 .54914 L
.52715 .55106 L
.52794 .5524 L
.52812 .55299 L
.52794 .55329 L
.52746 .55299 L
.52601 .55192 L
.5251 .55106 L
.52409 .55009 L
.52316 .54914 L
.52216 .54811 L
.5214 .54721 L
.52023 .54539 L
.51976 .54528 L
.51831 .5434 L
.51827 .54336 L
.51685 .54143 L
.51638 .54072 L
.51556 .5395 L
.51467 .53758 L
F
1 .74 0 r
.51638 .50486 m
.51831 .50646 L
.51908 .50674 L
.52023 .5085 L
.52048 .50867 L
.52206 .5106 L
.52216 .51064 L
.5236 .51253 L
.52409 .51307 L
.52555 .51445 L
.52601 .51566 L
.52656 .51638 L
.52794 .51826 L
.52795 .51831 L
.52936 .52023 L
.52987 .52052 L
.53109 .52216 L
.53179 .52359 L
.53205 .52409 L
.53326 .52601 L
.53372 .52681 L
.53433 .52794 L
.53453 .52987 L
.53372 .53004 L
.53347 .52987 L
.53179 .52882 L
.53098 .52794 L
.52987 .5268 L
.52922 .52601 L
.52794 .52447 L
.5275 .52409 L
.52611 .52216 L
.52601 .52204 L
.52467 .52023 L
.52409 .51976 L
.52323 .51831 L
.52216 .51696 L
.5217 .51638 L
.52042 .51445 L
.52023 .5142 L
.51908 .51253 L
.51831 .51142 L
.51722 .5106 L
.51648 .50867 L
.51638 .50851 L
.51542 .50674 L
F
1 .73 0 r
.51638 .50497 m
.51831 .50652 L
.51894 .50674 L
.52023 .50854 L
.52042 .50867 L
.52202 .5106 L
.52216 .51066 L
.52357 .51253 L
.52409 .51311 L
.52553 .51445 L
.52601 .5157 L
.52654 .51638 L
.52794 .5183 L
.52794 .51831 L
.52933 .52023 L
.52987 .52055 L
.53106 .52216 L
.53179 .52366 L
.53201 .52409 L
.53322 .52601 L
.53372 .5269 L
.53426 .52794 L
.53414 .52987 L
.53372 .52988 L
.53371 .52987 L
.53179 .52876 L
.53104 .52794 L
.52987 .52675 L
.52926 .52601 L
.52794 .52443 L
.52754 .52409 L
.52614 .52216 L
.52601 .522 L
.52469 .52023 L
.52409 .51974 L
.52325 .51831 L
.52216 .51693 L
.52173 .51638 L
.52045 .51445 L
.52023 .51416 L
.51911 .51253 L
.51831 .51138 L
.51727 .5106 L
.51653 .50867 L
.51638 .50843 L
.51548 .50674 L
F
1 .72 0 r
.51638 .50508 m
.51831 .50658 L
.51878 .50674 L
.52023 .50858 L
.52036 .50867 L
.52198 .5106 L
.52216 .51068 L
.52353 .51253 L
.52409 .51314 L
.5255 .51445 L
.52601 .51574 L
.52651 .51638 L
.52791 .51831 L
.52794 .51834 L
.5293 .52023 L
.52987 .52058 L
.53103 .52216 L
.53179 .52373 L
.53198 .52409 L
.53317 .52601 L
.53372 .52701 L
.5342 .52794 L
.53372 .52974 L
.53179 .52869 L
.53111 .52794 L
.52987 .5267 L
.5293 .52601 L
.52794 .52439 L
.52758 .52409 L
.52617 .52216 L
.52601 .52196 L
.52472 .52023 L
.52409 .51971 L
.52328 .51831 L
.52216 .51689 L
.52176 .51638 L
.52048 .51445 L
.52023 .51412 L
.51914 .51253 L
.51831 .51133 L
.51732 .5106 L
.51657 .50867 L
.51638 .50835 L
.51554 .50674 L
F
1 .71 0 r
.51638 .50519 m
.51831 .50665 L
.5186 .50674 L
.52023 .50863 L
.5203 .50867 L
.52194 .5106 L
.52216 .5107 L
.52349 .51253 L
.52409 .51318 L
.52547 .51445 L
.52601 .51578 L
.52648 .51638 L
.52788 .51831 L
.52794 .51839 L
.52927 .52023 L
.52987 .52061 L
.53099 .52216 L
.53179 .52381 L
.53194 .52409 L
.53312 .52601 L
.53372 .52712 L
.53413 .52794 L
.53372 .52961 L
.53179 .52862 L
.53117 .52794 L
.52987 .52664 L
.52934 .52601 L
.52794 .52435 L
.52763 .52409 L
.5262 .52216 L
.52601 .52193 L
.52475 .52023 L
.52409 .51968 L
.5233 .51831 L
.52216 .51685 L
.52179 .51638 L
.5205 .51445 L
.52023 .51408 L
.51917 .51253 L
.51831 .51128 L
.51737 .5106 L
.51662 .50867 L
.51638 .50827 L
.51561 .50674 L
F
1 .91 0 r
.51638 .4375 m
.51806 .4393 L
.51831 .43955 L
.51978 .44123 L
.52023 .44173 L
.52144 .44316 L
.52216 .4439 L
.52307 .44508 L
.52409 .44635 L
.52476 .44701 L
.52601 .44876 L
.52614 .44894 L
.52773 .45086 L
.52794 .4511 L
.52926 .45279 L
.52987 .45361 L
.53081 .45472 L
.53179 .45616 L
.53208 .45664 L
.53372 .45857 L
.53373 .45857 L
.53563 .4605 L
.53565 .46111 L
.53667 .46242 L
.53758 .46373 L
.53788 .46435 L
.5395 .46624 L
.53959 .46628 L
.54129 .46821 L
.54143 .46875 L
.54245 .47013 L
.54336 .47141 L
.54361 .47206 L
.54528 .47395 L
.54537 .47399 L
.54698 .47591 L
.54721 .47649 L
.54816 .47784 L
.54914 .47917 L
.5493 .47977 L
.55106 .48169 L
.55109 .48169 L
.55266 .48362 L
.55299 .48429 L
.55384 .48555 L
.55492 .48698 L
.55497 .48747 L
.55678 .4894 L
.55684 .48948 L
.55833 .49133 L
.55877 .49213 L
.5595 .49326 L
.5607 .49481 L
.56105 .49518 L
.56245 .49711 L
.56263 .49733 L
.56398 .49904 L
.56455 .49999 L
.56514 .50096 L
.56648 .50265 L
.5667 .50289 L
.5681 .50482 L
.56841 .50519 L
.56962 .50674 L
.57033 .50787 L
.57078 .50867 L
.57226 .51051 L
.57235 .5106 L
.57375 .51253 L
.57419 .51307 L
.57524 .51445 L
.57611 .51576 L
.57642 .51638 L
.57798 .51831 L
.57804 .51835 L
.5798 .52023 L
.57997 .52096 L
.58085 .52216 L
.58189 .52367 L
.58207 .52409 L
.5836 .52601 L
.58382 .52618 L
.5854 .52794 L
.58575 .52888 L
.58645 .52987 L
.58768 .5316 L
.58774 .53179 L
.58921 .53372 L
.5896 .53405 L
.59097 .53565 L
.59153 .53683 L
.59204 .53758 L
.59342 .5395 L
.59346 .53955 L
.59479 .54143 L
.59538 .54198 L
.5965 .54336 L
.59731 .54483 L
.59761 .54528 L
.59898 .54721 L
.59924 .54756 L
.60035 .54914 L
.60116 .55 L
.60198 .55106 L
.60309 .55291 L
.60314 .55299 L
.60449 .55492 L
.60502 .55564 L
.60586 .55684 L
.60694 .55819 L
.60738 .55877 L
.60859 .5607 L
.60887 .56108 L
.60991 .56263 L
.6108 .56386 L
.61127 .56455 L
.61261 .56648 L
.61273 .56664 L
.61387 .56841 L
.61465 .56952 L
.61516 .57033 L
.61644 .57226 L
.61658 .57246 L
.61757 .57419 L
.61851 .57571 L
.6187 .57611 L
.61851 .57752 L
.617 .57611 L
.61658 .57573 L
.61517 .57419 L
.61465 .57365 L
.61345 .57226 L
.61273 .57174 L
.61179 .57033 L
.6108 .56918 L
.60971 .56841 L
.60887 .56678 L
.6086 .56648 L
.60705 .56455 L
.60694 .56447 L
.60551 .56263 L
.60502 .562 L
.60369 .5607 L
.60309 .55947 L
.60255 .55877 L
.60116 .55698 L
.60115 .55684 L
.59952 .55492 L
.59924 .55455 L
.59786 .55299 L
.59731 .55196 L
.59669 .55106 L
.59538 .54937 L
.5951 .54914 L
.59366 .54721 L
.59346 .54693 L
.5921 .54528 L
.59153 .5443 L
.59092 .54336 L
.5896 .54167 L
.58932 .54143 L
.58789 .5395 L
.58768 .53921 L
.58638 .53758 L
.58575 .53655 L
.58521 .53565 L
.58382 .53392 L
.58359 .53372 L
.58217 .53179 L
.58189 .53142 L
.5807 .52987 L
.57997 .52875 L
.57953 .52794 L
.57804 .52613 L
.57789 .52601 L
.57617 .52409 L
.57611 .5236 L
.57504 .52216 L
.57419 .52092 L
.57387 .52023 L
.57226 .51833 L
.57222 .51831 L
.57052 .51638 L
.57033 .51574 L
.56939 .51445 L
.56841 .51306 L
.5682 .51253 L
.56657 .5106 L
.56648 .51051 L
.56488 .50867 L
.56455 .50787 L
.56376 .50674 L
.56263 .50519 L
.56253 .50482 L
.56092 .50289 L
.5607 .50265 L
.55926 .50096 L
.55877 .49998 L
.55813 .49904 L
.55684 .49731 L
.55683 .49711 L
.55529 .49518 L
.55492 .49479 L
.55365 .49326 L
.55299 .49208 L
.55251 .49133 L
.55106 .48941 L
.55106 .4894 L
.54967 .48747 L
.54914 .48689 L
.54806 .48555 L
.54721 .48415 L
.54689 .48362 L
.54545 .48169 L
.54528 .48167 L
.54406 .47977 L
.54336 .47897 L
.54248 .47784 L
.54143 .4762 L
.54127 .47591 L
.53986 .47399 L
.5395 .47386 L
.53778 .47206 L
.53758 .47099 L
.53693 .47013 L
.53565 .46821 L
.53565 .4682 L
.53429 .46628 L
.53372 .46594 L
.53233 .46435 L
.53179 .46294 L
.53142 .46242 L
.53013 .4605 L
.52987 .46015 L
.52877 .45857 L
.52794 .45785 L
.52697 .45664 L
.52601 .45476 L
.52599 .45472 L
.52467 .45279 L
.52409 .45199 L
.52333 .45086 L
.52216 .44943 L
.52179 .44894 L
.52065 .44701 L
.52023 .44643 L
.51936 .44508 L
.51831 .44357 L
.51804 .44316 L
.5168 .44123 L
.51638 .4406 L
.51564 .4393 L
F
0 .69 1 r
.51638 .44594 m
.51733 .44701 L
.51831 .44803 L
.51907 .44894 L
.52023 .44984 L
.52072 .45086 L
.52216 .45256 L
.52249 .45279 L
.52387 .45472 L
.52409 .45497 L
.52541 .45664 L
.52601 .45701 L
.52694 .45857 L
.52794 .45977 L
.52877 .4605 L
.52987 .46232 L
.52996 .46242 L
.53143 .46435 L
.53179 .46457 L
.53291 .46628 L
.53372 .46727 L
.53465 .46821 L
.53565 .46987 L
.53584 .47013 L
.53729 .47206 L
.53758 .47224 L
.53875 .47399 L
.5395 .47492 L
.54041 .47591 L
.54143 .47756 L
.54162 .47784 L
.54307 .47977 L
.54336 .47997 L
.54451 .48169 L
.54528 .48266 L
.54611 .48362 L
.54721 .48533 L
.54735 .48555 L
.54879 .48747 L
.54914 .48774 L
.55021 .4894 L
.55106 .49047 L
.55176 .49133 L
.55299 .49316 L
.55305 .49326 L
.55446 .49518 L
.55492 .49556 L
.55656 .49711 L
.55684 .49835 L
.55738 .49904 L
.55871 .50096 L
.55877 .50105 L
.56009 .50289 L
.5607 .50345 L
.56204 .50482 L
.56263 .50629 L
.56297 .50674 L
.5643 .50867 L
.56455 .509 L
.56569 .5106 L
.56648 .51142 L
.56749 .51253 L
.56841 .51431 L
.56851 .51445 L
.56985 .51638 L
.57033 .51703 L
.57123 .51831 L
.57226 .51952 L
.57286 .52023 L
.57399 .52216 L
.57419 .52242 L
.57533 .52409 L
.57611 .52516 L
.5767 .52601 L
.57804 .52787 L
.5781 .52794 L
.57937 .52987 L
.57997 .5307 L
.58069 .53179 L
.58189 .53351 L
.58203 .53372 L
.58327 .53565 L
.58382 .53644 L
.5845 .53758 L
.58575 .53948 L
.58576 .5395 L
.5866 .54143 L
.58575 .54144 L
.58574 .54143 L
.5839 .5395 L
.58382 .53943 L
.58222 .53758 L
.58189 .53723 L
.58059 .53565 L
.57997 .53494 L
.57898 .53372 L
.57804 .53283 L
.57741 .53179 L
.57611 .53021 L
.57574 .52987 L
.57435 .52794 L
.57419 .52775 L
.57284 .52601 L
.57226 .52548 L
.57133 .52409 L
.57033 .52282 L
.56971 .52216 L
.56841 .52028 L
.56838 .52023 L
.56691 .51831 L
.56648 .5179 L
.56544 .51638 L
.56455 .51524 L
.56387 .51445 L
.56263 .51265 L
.56255 .51253 L
.56109 .5106 L
.5607 .51022 L
.55894 .50867 L
.55877 .50754 L
.55812 .50674 L
.55684 .50492 L
.55679 .50482 L
.55534 .50289 L
.55492 .50247 L
.55337 .50096 L
.55299 .49976 L
.55243 .49904 L
.55106 .49712 L
.55106 .49711 L
.54964 .49518 L
.54914 .49465 L
.5478 .49326 L
.54721 .49192 L
.54678 .49133 L
.54539 .4894 L
.54528 .48926 L
.54399 .48747 L
.54336 .48679 L
.54224 .48555 L
.54143 .48401 L
.54115 .48362 L
.53977 .48169 L
.5395 .48133 L
.53838 .47977 L
.53758 .47885 L
.53671 .47784 L
.53565 .47604 L
.53556 .47591 L
.5342 .47399 L
.53372 .47334 L
.53281 .47206 L
.53179 .47081 L
.53125 .47013 L
.53003 .46821 L
.52987 .46798 L
.52868 .46628 L
.52794 .46526 L
.5273 .46435 L
.52601 .4626 L
.52588 .46242 L
.5246 .4605 L
.52409 .4598 L
.52326 .45857 L
.52216 .45703 L
.5219 .45664 L
.52059 .45472 L
.52023 .45421 L
.51932 .45279 L
.51831 .45133 L
.51801 .45086 L
.51679 .44894 L
.51638 .44832 L
.51566 .44701 L
F
1 .7 0 r
.51638 .5053 m
.51831 .50671 L
.51842 .50674 L
.52023 .50867 L
.52024 .50867 L
.52189 .5106 L
.52216 .51071 L
.52346 .51253 L
.52409 .51322 L
.52544 .51445 L
.52601 .51582 L
.52645 .51638 L
.52785 .51831 L
.52794 .51843 L
.52924 .52023 L
.52987 .52065 L
.53096 .52216 L
.53179 .52388 L
.5319 .52409 L
.53307 .52601 L
.53372 .52723 L
.53405 .52794 L
.53372 .52946 L
.53179 .52855 L
.53124 .52794 L
.52987 .52659 L
.52938 .52601 L
.52794 .52431 L
.52767 .52409 L
.52623 .52216 L
.52601 .52189 L
.52478 .52023 L
.52409 .51965 L
.52333 .51831 L
.52216 .51681 L
.52182 .51638 L
.52053 .51445 L
.52023 .51404 L
.5192 .51253 L
.51831 .51124 L
.51743 .5106 L
.51667 .50867 L
.51638 .50818 L
.51568 .50674 L
F
1 .39 0 r
.51638 .45425 m
.51675 .45472 L
.51831 .45647 L
.51844 .45664 L
.52 .45857 L
.52023 .45883 L
.52152 .4605 L
.52216 .46125 L
.52305 .46242 L
.52409 .4637 L
.52458 .46435 L
.52601 .46612 L
.52609 .46628 L
.52753 .46821 L
.52794 .46871 L
.52898 .47013 L
.52987 .47125 L
.53046 .47206 L
.53179 .47371 L
.53193 .47399 L
.53334 .47591 L
.53372 .47639 L
.53476 .47784 L
.53565 .47899 L
.5362 .47977 L
.53758 .48154 L
.53775 .48169 L
.53902 .48362 L
.5395 .48424 L
.54042 .48555 L
.54143 .48688 L
.54184 .48747 L
.54325 .4894 L
.54336 .48954 L
.54459 .49133 L
.54528 .49225 L
.54597 .49326 L
.54721 .49495 L
.54737 .49518 L
.54868 .49711 L
.54914 .49772 L
.54999 .49904 L
.55106 .50051 L
.55135 .50096 L
.55262 .50289 L
.55299 .50341 L
.55378 .50482 L
.55492 .50654 L
.55501 .50674 L
.55492 .50731 L
.5544 .50674 L
.55299 .50535 L
.55256 .50482 L
.55106 .50309 L
.5509 .50289 L
.54935 .50096 L
.54914 .50072 L
.54783 .49904 L
.54721 .4983 L
.5463 .49711 L
.54528 .49584 L
.54478 .49518 L
.54336 .4934 L
.54328 .49326 L
.54183 .49133 L
.54143 .49083 L
.54037 .4894 L
.5395 .48829 L
.5389 .48747 L
.53758 .48581 L
.53726 .48555 L
.53602 .48362 L
.53565 .48314 L
.5346 .48169 L
.53372 .48054 L
.53316 .47977 L
.53179 .47798 L
.53165 .47784 L
.53034 .47591 L
.52987 .47529 L
.52894 .47399 L
.52794 .47264 L
.52753 .47206 L
.52613 .47013 L
.52601 .46998 L
.52479 .46821 L
.52409 .46726 L
.52341 .46628 L
.52216 .46455 L
.52202 .46435 L
.52072 .46242 L
.52023 .46177 L
.51941 .4605 L
.51831 .45895 L
.51806 .45857 L
.51684 .45664 L
.51638 .456 L
.51568 .45472 L
F
0 .21 1 r
.51638 .51296 m
.51759 .51445 L
.51831 .5153 L
.51909 .51638 L
.52023 .51791 L
.5205 .51831 L
.52165 .52023 L
.52023 .52033 L
.52015 .52023 L
.51855 .51831 L
.51831 .51803 L
.51711 .51638 L
.51638 .51543 L
.51574 .51445 L
F
1 .69 0 r
.51638 .50542 m
.51826 .50674 L
.51831 .50678 L
.52018 .50867 L
.52023 .50873 L
.52185 .5106 L
.52216 .51073 L
.52342 .51253 L
.52409 .51327 L
.52541 .51445 L
.52601 .51586 L
.52642 .51638 L
.52782 .51831 L
.52794 .51847 L
.5292 .52023 L
.52987 .52069 L
.53092 .52216 L
.53179 .52396 L
.53186 .52409 L
.53302 .52601 L
.53372 .52736 L
.53398 .52794 L
.53372 .5293 L
.53179 .52847 L
.53131 .52794 L
.52987 .52654 L
.52943 .52601 L
.52794 .52427 L
.52772 .52409 L
.52627 .52216 L
.52601 .52185 L
.5248 .52023 L
.52409 .51961 L
.52335 .51831 L
.52216 .51677 L
.52185 .51638 L
.52056 .51445 L
.52023 .514 L
.51923 .51253 L
.51831 .51119 L
.51749 .5106 L
.51672 .50867 L
.51638 .50808 L
.51575 .50674 L
F
0 .2 1 r
.51638 .51302 m
.51754 .51445 L
.51831 .51536 L
.51905 .51638 L
.52023 .51797 L
.52045 .51831 L
.52158 .52023 L
.52023 .52027 L
.5202 .52023 L
.5186 .51831 L
.51831 .51797 L
.51715 .51638 L
.51638 .51537 L
.51578 .51445 L
F
0 .68 1 r
.51638 .44613 m
.51719 .44701 L
.51831 .44816 L
.51897 .44894 L
.52023 .44999 L
.52064 .45086 L
.52216 .45266 L
.52235 .45279 L
.52381 .45472 L
.52409 .45505 L
.52535 .45664 L
.52601 .45706 L
.52689 .45857 L
.52794 .45983 L
.52871 .4605 L
.52987 .46237 L
.52991 .46242 L
.53139 .46435 L
.53179 .4646 L
.53287 .46628 L
.53372 .46731 L
.53462 .46821 L
.53565 .46992 L
.53581 .47013 L
.53726 .47206 L
.53758 .47227 L
.53872 .47399 L
.5395 .47495 L
.54038 .47591 L
.54143 .47759 L
.5416 .47784 L
.54305 .47977 L
.54336 .47999 L
.54448 .48169 L
.54528 .48269 L
.54608 .48362 L
.54721 .48536 L
.54733 .48555 L
.54877 .48747 L
.54914 .48776 L
.55019 .4894 L
.55106 .4905 L
.55174 .49133 L
.55299 .49319 L
.55303 .49326 L
.55444 .49518 L
.55492 .49559 L
.55654 .49711 L
.55684 .49838 L
.55736 .49904 L
.55868 .50096 L
.55877 .50108 L
.56007 .50289 L
.5607 .50347 L
.56202 .50482 L
.56263 .50632 L
.56294 .50674 L
.56428 .50867 L
.56455 .50904 L
.56566 .5106 L
.56648 .51145 L
.56746 .51253 L
.56841 .51435 L
.56848 .51445 L
.56982 .51638 L
.57033 .51707 L
.5712 .51831 L
.57226 .51957 L
.57282 .52023 L
.57396 .52216 L
.57419 .52247 L
.5753 .52409 L
.57611 .52521 L
.57666 .52601 L
.57804 .52794 L
.57804 .52794 L
.57932 .52987 L
.57997 .53077 L
.58064 .53179 L
.58189 .53359 L
.58198 .53372 L
.5832 .53565 L
.58382 .53656 L
.58442 .53758 L
.58382 .53928 L
.58233 .53758 L
.58189 .53712 L
.58067 .53565 L
.57997 .53485 L
.57905 .53372 L
.57804 .53274 L
.57747 .53179 L
.57611 .53013 L
.57582 .52987 L
.5744 .52794 L
.57419 .52768 L
.57289 .52601 L
.57226 .52543 L
.57138 .52409 L
.57033 .52277 L
.56975 .52216 L
.56841 .52023 L
.5684 .52023 L
.56694 .51831 L
.56648 .51787 L
.56547 .51638 L
.56455 .5152 L
.5639 .51445 L
.56263 .51261 L
.56257 .51253 L
.56111 .5106 L
.5607 .51019 L
.55895 .50867 L
.55877 .50751 L
.55815 .50674 L
.55684 .50489 L
.55681 .50482 L
.55536 .50289 L
.55492 .50244 L
.55339 .50096 L
.55299 .49973 L
.55245 .49904 L
.55108 .49711 L
.55106 .49709 L
.54967 .49518 L
.54914 .49463 L
.54782 .49326 L
.54721 .49189 L
.5468 .49133 L
.54541 .4894 L
.54528 .48923 L
.54401 .48747 L
.54336 .48676 L
.54226 .48555 L
.54143 .48398 L
.54118 .48362 L
.5398 .48169 L
.5395 .4813 L
.5384 .47977 L
.53758 .47881 L
.53674 .47784 L
.53565 .476 L
.53559 .47591 L
.53422 .47399 L
.53372 .47331 L
.53284 .47206 L
.53179 .47076 L
.53128 .47013 L
.53007 .46821 L
.52987 .46794 L
.52871 .46628 L
.52794 .46522 L
.52734 .46435 L
.52601 .46254 L
.52592 .46242 L
.52464 .4605 L
.52409 .45974 L
.5233 .45857 L
.52216 .45697 L
.52194 .45664 L
.52065 .45472 L
.52023 .45413 L
.51938 .45279 L
.51831 .45123 L
.51807 .45086 L
.51689 .44894 L
.51638 .44815 L
.51579 .44701 L
F
1 .38 0 r
.51638 .45437 m
.51666 .45472 L
.51831 .45655 L
.51838 .45664 L
.51993 .45857 L
.52023 .4589 L
.52146 .4605 L
.52216 .46131 L
.523 .46242 L
.52409 .46375 L
.52454 .46435 L
.52601 .4662 L
.52605 .46628 L
.52749 .46821 L
.52794 .46876 L
.52895 .47013 L
.52987 .4713 L
.53042 .47206 L
.53179 .47377 L
.5319 .47399 L
.53331 .47591 L
.53372 .47644 L
.53473 .47784 L
.53565 .47903 L
.53617 .47977 L
.53758 .4816 L
.53768 .48169 L
.53899 .48362 L
.5395 .48428 L
.54039 .48555 L
.54143 .48693 L
.54181 .48747 L
.54321 .4894 L
.54336 .48959 L
.54455 .49133 L
.54528 .4923 L
.54593 .49326 L
.54721 .495 L
.54734 .49518 L
.54864 .49711 L
.54914 .49778 L
.54995 .49904 L
.55106 .50058 L
.5513 .50096 L
.55254 .50289 L
.55299 .50352 L
.55368 .50482 L
.55299 .50524 L
.55265 .50482 L
.55106 .50301 L
.55097 .50289 L
.54942 .50096 L
.54914 .50065 L
.54789 .49904 L
.54721 .49824 L
.54635 .49711 L
.54528 .49579 L
.54482 .49518 L
.54336 .49333 L
.54332 .49326 L
.54187 .49133 L
.54143 .49078 L
.54041 .4894 L
.5395 .48824 L
.53893 .48747 L
.53758 .48575 L
.53733 .48555 L
.53606 .48362 L
.53565 .4831 L
.53463 .48169 L
.53372 .4805 L
.53319 .47977 L
.53179 .47792 L
.53171 .47784 L
.53038 .47591 L
.52987 .47524 L
.52898 .47399 L
.52794 .4726 L
.52756 .47206 L
.52617 .47013 L
.52601 .46993 L
.52483 .46821 L
.52409 .46721 L
.52345 .46628 L
.52216 .4645 L
.52206 .46435 L
.52077 .46242 L
.52023 .4617 L
.51946 .4605 L
.51831 .45888 L
.51811 .45857 L
.51692 .45664 L
.51638 .45586 L
.5158 .45472 L
F
1 .68 0 r
.51638 .50555 m
.51817 .50674 L
.51831 .50685 L
.52012 .50867 L
.52023 .50878 L
.5218 .5106 L
.52216 .51076 L
.52338 .51253 L
.52409 .51331 L
.52538 .51445 L
.52601 .5159 L
.52639 .51638 L
.52779 .51831 L
.52794 .51851 L
.52917 .52023 L
.52987 .52074 L
.53088 .52216 L
.53179 .52404 L
.53182 .52409 L
.53297 .52601 L
.53372 .5275 L
.53391 .52794 L
.53372 .52911 L
.53179 .52839 L
.53138 .52794 L
.52987 .52649 L
.52947 .52601 L
.52794 .52423 L
.52776 .52409 L
.5263 .52216 L
.52601 .52181 L
.52483 .52023 L
.52409 .51958 L
.52338 .51831 L
.52216 .51673 L
.52188 .51638 L
.52059 .51445 L
.52023 .51396 L
.51926 .51253 L
.51831 .51114 L
.51756 .5106 L
.51677 .50867 L
.51638 .50798 L
.51583 .50674 L
F
0 .19 1 r
.51638 .51309 m
.51748 .51445 L
.51831 .51542 L
.519 .51638 L
.52023 .51803 L
.52041 .51831 L
.52023 .5202 L
.51865 .51831 L
.51831 .51791 L
.5172 .51638 L
.51638 .5153 L
.51583 .51445 L
F
1 .81 0 r
.51638 .55631 m
.51681 .55684 L
.51831 .5586 L
.51844 .55877 L
.51831 .56069 L
.51711 .55877 L
.51638 .55779 L
.51586 .55684 L
F
0 .18 1 r
.51638 .51317 m
.51743 .51445 L
.51831 .51548 L
.51896 .51638 L
.52023 .5181 L
.52037 .51831 L
.52023 .52012 L
.51871 .51831 L
.51831 .51785 L
.51725 .51638 L
.51638 .51524 L
.51588 .51445 L
F
1 .67 0 r
.51638 .50568 m
.51806 .50674 L
.51831 .50693 L
.52006 .50867 L
.52023 .50884 L
.52176 .5106 L
.52216 .51078 L
.52335 .51253 L
.52409 .51335 L
.52535 .51445 L
.52601 .51594 L
.52636 .51638 L
.52775 .51831 L
.52794 .51856 L
.52914 .52023 L
.52987 .52078 L
.53084 .52216 L
.53178 .52409 L
.53179 .52412 L
.53292 .52601 L
.53372 .52767 L
.53383 .52794 L
.53372 .52889 L
.53179 .52831 L
.53145 .52794 L
.52987 .52644 L
.52951 .52601 L
.52794 .52419 L
.52781 .52409 L
.52633 .52216 L
.52601 .52177 L
.52486 .52023 L
.52409 .51955 L
.52341 .51831 L
.52216 .51669 L
.52191 .51638 L
.52062 .51445 L
.52023 .51392 L
.51929 .51253 L
.51831 .51109 L
.51762 .5106 L
.51682 .50867 L
.51638 .50787 L
.51591 .50674 L
F
1 .9 0 r
.51638 .43799 m
.5177 .4393 L
.51831 .43989 L
.51952 .44123 L
.52023 .442 L
.52123 .44316 L
.52216 .44412 L
.52289 .44508 L
.52409 .44654 L
.52459 .44701 L
.52601 .4489 L
.52604 .44894 L
.5276 .45086 L
.52794 .45124 L
.52915 .45279 L
.52987 .45374 L
.53072 .45472 L
.53179 .45626 L
.53202 .45664 L
.53365 .45857 L
.53372 .45866 L
.53562 .4605 L
.53565 .4612 L
.53661 .46242 L
.53758 .4638 L
.53785 .46435 L
.5395 .46627 L
.53953 .46628 L
.54127 .46821 L
.54143 .46882 L
.5424 .47013 L
.54336 .47147 L
.54359 .47206 L
.54528 .47397 L
.54532 .47399 L
.54696 .47591 L
.54721 .47655 L
.54813 .47784 L
.54914 .47922 L
.54929 .47977 L
.55105 .48169 L
.55106 .48171 L
.55264 .48362 L
.55299 .48434 L
.55382 .48555 L
.55492 .48701 L
.55497 .48747 L
.55675 .4894 L
.55684 .48952 L
.55831 .49133 L
.55877 .49217 L
.55948 .49326 L
.5607 .49484 L
.56102 .49518 L
.56243 .49711 L
.56263 .49736 L
.56396 .49904 L
.56455 .50002 L
.56513 .50096 L
.56648 .50268 L
.56668 .50289 L
.56808 .50482 L
.56841 .50522 L
.5696 .50674 L
.57033 .5079 L
.57077 .50867 L
.57226 .51053 L
.57233 .5106 L
.57373 .51253 L
.57419 .51309 L
.57522 .51445 L
.57611 .51579 L
.57641 .51638 L
.57796 .51831 L
.57804 .51837 L
.5798 .52023 L
.57997 .52099 L
.58083 .52216 L
.58189 .5237 L
.58206 .52409 L
.58358 .52601 L
.58382 .5262 L
.58539 .52794 L
.58575 .52891 L
.58643 .52987 L
.58768 .53163 L
.58773 .53179 L
.58918 .53372 L
.5896 .53408 L
.59095 .53565 L
.59153 .53687 L
.59201 .53758 L
.59338 .5395 L
.59346 .5396 L
.59476 .54143 L
.59538 .54202 L
.59647 .54336 L
.59731 .54488 L
.59757 .54528 L
.59893 .54721 L
.59924 .54762 L
.60031 .54914 L
.60116 .55007 L
.60193 .55106 L
.60309 .55299 L
.60309 .55299 L
.60443 .55492 L
.60502 .55572 L
.6058 .55684 L
.60694 .5583 L
.60729 .55877 L
.60851 .5607 L
.60887 .5612 L
.60983 .56263 L
.6108 .56399 L
.61118 .56455 L
.61249 .56648 L
.61273 .56681 L
.61374 .56841 L
.61465 .56975 L
.61501 .57033 L
.61621 .57226 L
.61658 .57283 L
.61726 .57419 L
.61658 .57525 L
.61553 .57419 L
.61465 .57331 L
.61371 .57226 L
.61273 .5715 L
.612 .57033 L
.6108 .56896 L
.60997 .56841 L
.60887 .5666 L
.60876 .56648 L
.60719 .56455 L
.60694 .56436 L
.60564 .56263 L
.60502 .56186 L
.60378 .5607 L
.60309 .55935 L
.60264 .55877 L
.60116 .55691 L
.60116 .55684 L
.5996 .55492 L
.59924 .55445 L
.59792 .55299 L
.59731 .55187 L
.59674 .55106 L
.59538 .54931 L
.59517 .54914 L
.59372 .54721 L
.59346 .54686 L
.59214 .54528 L
.59153 .54424 L
.59096 .54336 L
.5896 .54163 L
.58936 .54143 L
.58793 .5395 L
.58768 .53916 L
.58641 .53758 L
.58575 .5365 L
.58524 .53565 L
.58382 .53389 L
.58362 .53372 L
.5822 .53179 L
.58189 .53138 L
.58072 .52987 L
.57997 .52871 L
.57955 .52794 L
.57804 .52611 L
.57792 .52601 L
.57618 .52409 L
.57611 .52356 L
.57506 .52216 L
.57419 .52088 L
.57388 .52023 L
.57226 .51831 L
.57225 .51831 L
.57053 .51638 L
.57033 .51571 L
.56941 .51445 L
.56841 .51303 L
.56821 .51253 L
.56659 .5106 L
.56648 .51048 L
.56489 .50867 L
.56455 .50784 L
.56377 .50674 L
.56263 .50516 L
.56254 .50482 L
.56095 .50289 L
.5607 .50263 L
.55927 .50096 L
.55877 .49996 L
.55815 .49904 L
.55684 .49728 L
.55683 .49711 L
.55531 .49518 L
.55492 .49476 L
.55367 .49326 L
.55299 .49205 L
.55252 .49133 L
.55108 .4894 L
.55106 .48938 L
.54969 .48747 L
.54914 .48687 L
.54808 .48555 L
.54721 .48412 L
.54691 .48362 L
.54547 .48169 L
.54528 .48166 L
.54409 .47977 L
.54336 .47893 L
.54251 .47784 L
.54143 .47616 L
.54129 .47591 L
.53989 .47399 L
.5395 .47384 L
.5378 .47206 L
.53758 .47094 L
.53697 .47013 L
.53569 .46821 L
.53565 .46815 L
.53433 .46628 L
.53372 .4659 L
.53238 .46435 L
.53179 .46287 L
.53147 .46242 L
.53018 .4605 L
.52987 .46008 L
.52882 .45857 L
.52794 .45775 L
.52705 .45664 L
.52606 .45472 L
.52601 .45466 L
.52475 .45279 L
.52409 .45188 L
.5234 .45086 L
.52216 .44923 L
.52194 .44894 L
.52076 .44701 L
.52023 .44626 L
.51949 .44508 L
.51831 .44336 L
.51818 .44316 L
.51702 .44123 L
.51638 .44022 L
.51591 .4393 L
F
0 .17 1 r
.51638 .51324 m
.51737 .51445 L
.51831 .51554 L
.51891 .51638 L
.52023 .51817 L
.52032 .51831 L
.52023 .52003 L
.51878 .51831 L
.51831 .51778 L
.5173 .51638 L
.51638 .51517 L
.51593 .51445 L
F
0 .67 1 r
.51638 .44634 m
.51702 .44701 L
.51831 .44829 L
.51886 .44894 L
.52023 .45015 L
.52056 .45086 L
.52216 .45276 L
.52221 .45279 L
.52374 .45472 L
.52409 .45512 L
.5253 .45664 L
.52601 .45711 L
.52684 .45857 L
.52794 .45989 L
.52865 .4605 L
.52987 .46242 L
.52987 .46242 L
.53135 .46435 L
.53179 .46463 L
.53284 .46628 L
.53372 .46736 L
.53458 .46821 L
.53565 .46996 L
.53578 .47013 L
.53723 .47206 L
.53758 .47229 L
.53869 .47399 L
.5395 .47499 L
.54036 .47591 L
.54143 .47763 L
.54158 .47784 L
.54302 .47977 L
.54336 .48001 L
.54446 .48169 L
.54528 .48272 L
.54606 .48362 L
.54721 .48539 L
.54731 .48555 L
.54874 .48747 L
.54914 .48778 L
.55017 .4894 L
.55106 .49053 L
.55172 .49133 L
.55299 .49322 L
.55301 .49326 L
.55442 .49518 L
.55492 .49561 L
.55652 .49711 L
.55684 .49841 L
.55734 .49904 L
.55866 .50096 L
.55877 .50111 L
.56005 .50289 L
.5607 .5035 L
.56199 .50482 L
.56263 .50636 L
.56292 .50674 L
.56425 .50867 L
.56455 .50907 L
.56564 .5106 L
.56648 .51149 L
.56743 .51253 L
.56841 .51439 L
.56845 .51445 L
.5698 .51638 L
.57033 .5171 L
.57117 .51831 L
.57226 .51963 L
.57278 .52023 L
.57392 .52216 L
.57419 .52251 L
.57526 .52409 L
.57611 .52526 L
.57663 .52601 L
.57799 .52794 L
.57804 .528 L
.57927 .52987 L
.57997 .53084 L
.58059 .53179 L
.58189 .53367 L
.58193 .53372 L
.58312 .53565 L
.58382 .53668 L
.58433 .53758 L
.58382 .53913 L
.58244 .53758 L
.58189 .537 L
.58075 .53565 L
.57997 .53476 L
.57912 .53372 L
.57804 .53265 L
.57753 .53179 L
.57611 .53006 L
.5759 .52987 L
.57445 .52794 L
.57419 .52762 L
.57293 .52601 L
.57226 .52538 L
.57142 .52409 L
.57033 .52272 L
.56979 .52216 L
.56844 .52023 L
.56841 .52019 L
.56698 .51831 L
.56648 .51783 L
.5655 .51638 L
.56455 .51516 L
.56393 .51445 L
.56263 .51258 L
.56259 .51253 L
.56114 .5106 L
.5607 .51016 L
.55897 .50867 L
.55877 .50748 L
.55818 .50674 L
.55684 .50486 L
.55682 .50482 L
.55539 .50289 L
.55492 .50241 L
.55341 .50096 L
.55299 .4997 L
.55248 .49904 L
.5511 .49711 L
.55106 .49706 L
.54969 .49518 L
.54914 .4946 L
.54784 .49326 L
.54721 .49186 L
.54682 .49133 L
.54544 .4894 L
.54528 .4892 L
.54404 .48747 L
.54336 .48673 L
.54228 .48555 L
.54143 .48395 L
.5412 .48362 L
.53982 .48169 L
.5395 .48127 L
.53843 .47977 L
.53758 .47878 L
.53677 .47784 L
.53565 .47596 L
.53561 .47591 L
.53425 .47399 L
.53372 .47327 L
.53286 .47206 L
.53179 .47072 L
.53132 .47013 L
.5301 .46821 L
.52987 .4679 L
.52874 .46628 L
.52794 .46518 L
.52737 .46435 L
.52601 .46248 L
.52597 .46242 L
.52468 .4605 L
.52409 .45968 L
.52334 .45857 L
.52216 .45691 L
.52198 .45664 L
.52071 .45472 L
.52023 .45405 L
.51944 .45279 L
.51831 .45113 L
.51814 .45086 L
.517 .44894 L
.51638 .44795 L
.51594 .44701 L
F
1 .37 0 r
.51638 .45452 m
.51654 .45472 L
.51831 .45664 L
.51831 .45664 L
.51986 .45857 L
.52023 .45898 L
.5214 .4605 L
.52216 .46137 L
.52295 .46242 L
.52409 .46381 L
.52449 .46435 L
.52601 .46627 L
.52602 .46628 L
.52745 .46821 L
.52794 .46881 L
.52891 .47013 L
.52987 .47134 L
.53039 .47206 L
.53179 .47383 L
.53187 .47399 L
.53327 .47591 L
.53372 .47648 L
.5347 .47784 L
.53565 .47908 L
.53614 .47977 L
.53758 .48166 L
.53761 .48169 L
.53896 .48362 L
.5395 .48433 L
.54036 .48555 L
.54143 .48697 L
.54178 .48747 L
.54318 .4894 L
.54336 .48964 L
.54451 .49133 L
.54528 .49235 L
.54589 .49326 L
.54721 .49505 L
.5473 .49518 L
.54859 .49711 L
.54914 .49785 L
.5499 .49904 L
.55106 .50066 L
.55126 .50096 L
.55245 .50289 L
.55299 .50365 L
.55357 .50482 L
.55299 .50511 L
.55275 .50482 L
.55106 .50293 L
.55103 .50289 L
.54949 .50096 L
.54914 .50058 L
.54794 .49904 L
.54721 .49817 L
.5464 .49711 L
.54528 .49573 L
.54486 .49518 L
.54336 .49326 L
.54336 .49326 L
.54191 .49133 L
.54143 .49073 L
.54045 .4894 L
.5395 .48819 L
.53897 .48747 L
.53758 .48569 L
.53741 .48555 L
.53609 .48362 L
.53565 .48305 L
.53467 .48169 L
.53372 .48046 L
.53322 .47977 L
.53179 .47786 L
.53178 .47784 L
.53042 .47591 L
.52987 .4752 L
.52901 .47399 L
.52794 .47255 L
.52759 .47206 L
.52621 .47013 L
.52601 .46987 L
.52487 .46821 L
.52409 .46716 L
.52349 .46628 L
.52216 .46444 L
.5221 .46435 L
.52082 .46242 L
.52023 .46163 L
.51951 .4605 L
.51831 .45879 L
.51817 .45857 L
.51703 .45664 L
.51638 .4557 L
.51595 .45472 L
F
0 .96 1 r
.51638 .53757 m
.51638 .53758 L
.51831 .53877 L
.51854 .5395 L
.52017 .54143 L
.52023 .54151 L
.52157 .54336 L
.52216 .54412 L
.52293 .54528 L
.52409 .54686 L
.5243 .54721 L
.52544 .54914 L
.52409 .54938 L
.52384 .54914 L
.52216 .54748 L
.52197 .54721 L
.52031 .54528 L
.52023 .54519 L
.51878 .54336 L
.51831 .54273 L
.51736 .54143 L
.51638 .53983 L
.51618 .5395 L
.51595 .53758 L
F
0 .16 1 r
.51638 .51333 m
.5173 .51445 L
.51831 .51561 L
.51886 .51638 L
.52023 .51824 L
.52027 .51831 L
.52023 .51994 L
.51885 .51831 L
.51831 .51771 L
.51736 .51638 L
.51638 .51509 L
.51598 .51445 L
F
1 .66 0 r
.51638 .50583 m
.51795 .50674 L
.51831 .50701 L
.52 .50867 L
.52023 .5089 L
.52172 .5106 L
.52216 .5108 L
.52331 .51253 L
.52409 .51339 L
.52531 .51445 L
.52601 .51598 L
.52632 .51638 L
.52772 .51831 L
.52794 .5186 L
.52911 .52023 L
.52987 .52083 L
.5308 .52216 L
.53173 .52409 L
.53179 .52418 L
.53287 .52601 L
.53372 .52788 L
.53374 .52794 L
.53372 .52858 L
.53179 .52822 L
.53153 .52794 L
.52987 .52638 L
.52956 .52601 L
.52794 .52415 L
.52786 .52409 L
.52636 .52216 L
.52601 .52173 L
.52489 .52023 L
.52409 .51951 L
.52343 .51831 L
.52216 .51665 L
.52195 .51638 L
.52065 .51445 L
.52023 .51388 L
.51932 .51253 L
.51831 .51104 L
.51769 .5106 L
.51687 .50867 L
.51638 .50775 L
.51599 .50674 L
F
0 .15 1 r
.51638 .51342 m
.51724 .51445 L
.51831 .51567 L
.51881 .51638 L
.51831 .51763 L
.51742 .51638 L
.51638 .51501 L
.51603 .51445 L
F
1 .65 0 r
.51638 .50599 m
.51783 .50674 L
.51831 .50708 L
.51994 .50867 L
.52023 .50896 L
.52167 .5106 L
.52216 .51083 L
.52327 .51253 L
.52409 .51343 L
.52527 .51445 L
.52601 .51603 L
.52629 .51638 L
.52769 .51831 L
.52794 .51864 L
.52908 .52023 L
.52987 .52089 L
.53075 .52216 L
.53169 .52409 L
.53179 .52425 L
.53281 .52601 L
.53364 .52794 L
.53179 .52813 L
.53162 .52794 L
.52987 .52633 L
.52961 .52601 L
.52794 .52411 L
.52791 .52409 L
.52639 .52216 L
.52601 .5217 L
.52491 .52023 L
.52409 .51948 L
.52346 .51831 L
.52216 .5166 L
.52198 .51638 L
.52068 .51445 L
.52023 .51383 L
.51935 .51253 L
.51831 .51099 L
.51776 .5106 L
.51693 .50867 L
.51638 .5076 L
.51608 .50674 L
F
0 .14 1 r
.51638 .51352 m
.51716 .51445 L
.51831 .51575 L
.51875 .51638 L
.51831 .51755 L
.51748 .51638 L
.51638 .51493 L
.51609 .51445 L
F
0 .66 1 r
.51638 .44661 m
.5168 .44701 L
.51831 .44843 L
.51875 .44894 L
.52023 .45033 L
.52047 .45086 L
.52211 .45279 L
.52216 .45285 L
.52368 .45472 L
.52409 .45519 L
.52524 .45664 L
.52601 .45717 L
.52679 .45857 L
.52794 .45995 L
.52859 .4605 L
.52983 .46242 L
.52987 .46248 L
.53131 .46435 L
.53179 .46466 L
.5328 .46628 L
.53372 .4674 L
.53454 .46821 L
.53565 .47 L
.53575 .47013 L
.5372 .47206 L
.53758 .47231 L
.53866 .47399 L
.5395 .47502 L
.54033 .47591 L
.54143 .47766 L
.54155 .47784 L
.543 .47977 L
.54336 .48003 L
.54443 .48169 L
.54528 .48276 L
.54603 .48362 L
.54721 .48542 L
.54729 .48555 L
.54872 .48747 L
.54914 .4878 L
.55015 .4894 L
.55106 .49056 L
.5517 .49133 L
.55299 .49325 L
.553 .49326 L
.5544 .49518 L
.55492 .49563 L
.5565 .49711 L
.55684 .49844 L
.55732 .49904 L
.55864 .50096 L
.55877 .50114 L
.56003 .50289 L
.5607 .50353 L
.56197 .50482 L
.56263 .50639 L
.56289 .50674 L
.56423 .50867 L
.56455 .5091 L
.56561 .5106 L
.56648 .51152 L
.56739 .51253 L
.56841 .51443 L
.56842 .51445 L
.56977 .51638 L
.57033 .51714 L
.57114 .51831 L
.57226 .51968 L
.57273 .52023 L
.57389 .52216 L
.57419 .52256 L
.57523 .52409 L
.57611 .52531 L
.57659 .52601 L
.57795 .52794 L
.57804 .52807 L
.57923 .52987 L
.57997 .53091 L
.58054 .53179 L
.58187 .53372 L
.58189 .53376 L
.58304 .53565 L
.58382 .53682 L
.58423 .53758 L
.58382 .53896 L
.58257 .53758 L
.58189 .53689 L
.58084 .53565 L
.57997 .53466 L
.57919 .53372 L
.57804 .53256 L
.57759 .53179 L
.57611 .52999 L
.57598 .52987 L
.5745 .52794 L
.57419 .52756 L
.57298 .52601 L
.57226 .52533 L
.57146 .52409 L
.57033 .52267 L
.56984 .52216 L
.56848 .52023 L
.56841 .52014 L
.56701 .51831 L
.56648 .51779 L
.56553 .51638 L
.56455 .51512 L
.56397 .51445 L
.56263 .51254 L
.56262 .51253 L
.56117 .5106 L
.5607 .51013 L
.55899 .50867 L
.55877 .50744 L
.5582 .50674 L
.55684 .50483 L
.55684 .50482 L
.55541 .50289 L
.55492 .50239 L
.55343 .50096 L
.55299 .49967 L
.5525 .49904 L
.55112 .49711 L
.55106 .49703 L
.54971 .49518 L
.54914 .49457 L
.54786 .49326 L
.54721 .49183 L
.54684 .49133 L
.54546 .4894 L
.54528 .48917 L
.54406 .48747 L
.54336 .4867 L
.54231 .48555 L
.54143 .48392 L
.54122 .48362 L
.53984 .48169 L
.5395 .48124 L
.53845 .47977 L
.53758 .47874 L
.5368 .47784 L
.53565 .47593 L
.53564 .47591 L
.53428 .47399 L
.53372 .47324 L
.53289 .47206 L
.53179 .47067 L
.53135 .47013 L
.53013 .46821 L
.52987 .46785 L
.52878 .46628 L
.52794 .46513 L
.5274 .46435 L
.52602 .46242 L
.52601 .46241 L
.52472 .4605 L
.52409 .45963 L
.52338 .45857 L
.52216 .45684 L
.52203 .45664 L
.52077 .45472 L
.52023 .45396 L
.5195 .45279 L
.51831 .45102 L
.51821 .45086 L
.51713 .44894 L
.51638 .44768 L
.51613 .44701 L
F
0 .13 1 r
.51638 .51363 m
.51708 .51445 L
.51831 .51583 L
.5187 .51638 L
.51831 .51747 L
.51754 .51638 L
.51638 .51483 L
.51616 .51445 L
F
1 .64 0 r
.51638 .50617 m
.51769 .50674 L
.51831 .50716 L
.51988 .50867 L
.52023 .50902 L
.52162 .5106 L
.52216 .51085 L
.52323 .51253 L
.52409 .51348 L
.52523 .51445 L
.52601 .51607 L
.52626 .51638 L
.52766 .51831 L
.52794 .51869 L
.52904 .52023 L
.52987 .52094 L
.53071 .52216 L
.53165 .52409 L
.53179 .52432 L
.53276 .52601 L
.53352 .52794 L
.53179 .52804 L
.53171 .52794 L
.52987 .52627 L
.52965 .52601 L
.52796 .52409 L
.52794 .52407 L
.52643 .52216 L
.52601 .52166 L
.52494 .52023 L
.52409 .51944 L
.52348 .51831 L
.52216 .51656 L
.52202 .51638 L
.52071 .51445 L
.52023 .51379 L
.51938 .51253 L
.51831 .51093 L
.51783 .5106 L
.51698 .50867 L
.51638 .50743 L
.51617 .50674 L
F
1 .36 0 r
.51638 .45469 m
.5164 .45472 L
.51638 .45547 L
.5162 .45472 L
F
0 .12 1 r
.51638 .51376 m
.51698 .51445 L
.51831 .51591 L
.51863 .51638 L
.51831 .51737 L
.51762 .51638 L
.51638 .51472 L
.51623 .51445 L
F
0 .94 1 r
.51638 .54902 m
.51653 .54914 L
.51831 .55076 L
.5186 .55106 L
.52023 .55268 L
.52039 .55299 L
.52207 .55492 L
.52216 .55501 L
.52371 .55684 L
.52409 .55728 L
.52533 .55877 L
.52601 .55904 L
.52691 .5607 L
.52794 .56194 L
.52877 .56263 L
.52987 .56445 L
.52995 .56455 L
.53145 .56648 L
.53179 .56655 L
.53295 .56841 L
.53372 .56935 L
.53473 .57033 L
.53565 .57197 L
.53586 .57226 L
.53733 .57419 L
.53758 .57427 L
.53878 .57611 L
.5395 .57701 L
.54045 .57804 L
.54143 .57967 L
.54162 .57997 L
.54308 .58189 L
.54336 .58203 L
.54452 .58382 L
.54528 .5848 L
.54609 .58575 L
.54721 .58749 L
.54732 .58768 L
.54876 .5896 L
.54914 .58985 L
.55018 .59153 L
.55106 .59268 L
.55168 .59346 L
.55298 .59538 L
.55299 .59539 L
.55438 .59731 L
.55492 .59774 L
.55578 .59924 L
.55684 .60066 L
.55722 .60116 L
.55854 .60309 L
.55877 .60341 L
.55992 .60502 L
.5607 .60579 L
.56184 .60694 L
.56263 .6088 L
.56267 .60887 L
.564 .6108 L
.56455 .61157 L
.56536 .61273 L
.56648 .61416 L
.56692 .61465 L
.56801 .61658 L
.56841 .61715 L
.56931 .61851 L
.57033 .62001 L
.57061 .62043 L
.57183 .62236 L
.57226 .62299 L
.57302 .62429 L
.57419 .62621 L
.57419 .62621 L
.57419 .62734 L
.57306 .62621 L
.57226 .62548 L
.57127 .62429 L
.57033 .62328 L
.56961 .62236 L
.56841 .62097 L
.56799 .62043 L
.56648 .61862 L
.56641 .61851 L
.56492 .61658 L
.56455 .61615 L
.56342 .61465 L
.56263 .61368 L
.56192 .61273 L
.5607 .6113 L
.56005 .6108 L
.55893 .60887 L
.55877 .60867 L
.5575 .60694 L
.55684 .60613 L
.55603 .60502 L
.55492 .60371 L
.55422 .60309 L
.55311 .60116 L
.55299 .60102 L
.55169 .59924 L
.55106 .59843 L
.55026 .59731 L
.54914 .59598 L
.54853 .59538 L
.54737 .59346 L
.54721 .59326 L
.54597 .59153 L
.54528 .59064 L
.54454 .5896 L
.54336 .58814 L
.54291 .58768 L
.54169 .58575 L
.54143 .58541 L
.5403 .58382 L
.5395 .5833 L
.53888 .58189 L
.53758 .58021 L
.53735 .57997 L
.53606 .57804 L
.53565 .5775 L
.53468 .57611 L
.53372 .57528 L
.53326 .57419 L
.53183 .57226 L
.53179 .57221 L
.53049 .57033 L
.52987 .56951 L
.52911 .56841 L
.52794 .56711 L
.52769 .56648 L
.52632 .56455 L
.52601 .56414 L
.52499 .56263 L
.52409 .56141 L
.52361 .5607 L
.52222 .55877 L
.52216 .55869 L
.52095 .55684 L
.52023 .55586 L
.51965 .55492 L
.51831 .55302 L
.51829 .55299 L
.51721 .55106 L
.51638 .54969 L
.51625 .54914 L
F
1 .89 0 r
.51638 .43874 m
.51716 .4393 L
.51831 .44026 L
.51922 .44123 L
.52023 .44228 L
.52101 .44316 L
.52216 .44436 L
.5227 .44508 L
.52409 .44674 L
.5244 .44701 L
.52591 .44894 L
.52601 .44906 L
.52748 .45086 L
.52794 .45137 L
.52904 .45279 L
.52987 .45387 L
.53063 .45472 L
.53179 .45636 L
.53197 .45664 L
.53357 .45857 L
.53372 .45875 L
.53561 .4605 L
.53565 .4613 L
.53655 .46242 L
.53758 .46388 L
.53781 .46435 L
.53947 .46628 L
.5395 .46631 L
.54125 .46821 L
.54143 .46889 L
.54236 .47013 L
.54336 .47153 L
.54357 .47206 L
.54528 .47399 L
.54528 .47399 L
.54694 .47591 L
.54721 .4766 L
.54809 .47784 L
.54914 .47926 L
.54927 .47977 L
.55102 .48169 L
.55106 .48175 L
.55262 .48362 L
.55299 .48438 L
.55379 .48555 L
.55492 .48705 L
.55496 .48747 L
.55672 .4894 L
.55684 .48955 L
.55829 .49133 L
.55877 .4922 L
.55946 .49326 L
.5607 .49486 L
.561 .49518 L
.5624 .49711 L
.56263 .49739 L
.56394 .49904 L
.56455 .50005 L
.56511 .50096 L
.56648 .5027 L
.56666 .50289 L
.56806 .50482 L
.56841 .50524 L
.56958 .50674 L
.57033 .50793 L
.57075 .50867 L
.57226 .51055 L
.5723 .5106 L
.5737 .51253 L
.57419 .51312 L
.5752 .51445 L
.57611 .51582 L
.5764 .51638 L
.57793 .51831 L
.57804 .51838 L
.57979 .52023 L
.57997 .52102 L
.58081 .52216 L
.58189 .52373 L
.58205 .52409 L
.58355 .52601 L
.58382 .52622 L
.58537 .52794 L
.58575 .52895 L
.58641 .52987 L
.58768 .53166 L
.58772 .53179 L
.58915 .53372 L
.5896 .53411 L
.59092 .53565 L
.59153 .53691 L
.59198 .53758 L
.59335 .5395 L
.59346 .53964 L
.59473 .54143 L
.59538 .54207 L
.59643 .54336 L
.59731 .54494 L
.59754 .54528 L
.59889 .54721 L
.59924 .54768 L
.60026 .54914 L
.60116 .55014 L
.60188 .55106 L
.60304 .55299 L
.60309 .55306 L
.60437 .55492 L
.60502 .5558 L
.60574 .55684 L
.60694 .55843 L
.6072 .55877 L
.60843 .5607 L
.60887 .56131 L
.60974 .56263 L
.6108 .56412 L
.61108 .56455 L
.61236 .56648 L
.61273 .567 L
.61359 .56841 L
.61465 .57 L
.61485 .57033 L
.61593 .57226 L
.61658 .57342 L
.61682 .57419 L
.61658 .57459 L
.61607 .57419 L
.61465 .57295 L
.61401 .57226 L
.61273 .57118 L
.61223 .57033 L
.6108 .56872 L
.61029 .56841 L
.60892 .56648 L
.60887 .56642 L
.60733 .56455 L
.60694 .56425 L
.60576 .56263 L
.60502 .56172 L
.60387 .5607 L
.60309 .55923 L
.60272 .55877 L
.60118 .55684 L
.60116 .55683 L
.59968 .55492 L
.59924 .55436 L
.59797 .55299 L
.59731 .55178 L
.5968 .55106 L
.59538 .54926 L
.59523 .54914 L
.59377 .54721 L
.59346 .54679 L
.59218 .54528 L
.59153 .54417 L
.591 .54336 L
.5896 .54159 L
.58941 .54143 L
.58797 .5395 L
.58768 .5391 L
.58645 .53758 L
.58575 .53646 L
.58526 .53565 L
.58382 .53386 L
.58366 .53372 L
.58224 .53179 L
.58189 .53134 L
.58075 .52987 L
.57997 .52868 L
.57957 .52794 L
.57804 .52609 L
.57795 .52601 L
.57618 .52409 L
.57611 .52353 L
.57508 .52216 L
.57419 .52085 L
.5739 .52023 L
.57227 .51831 L
.57226 .51829 L
.57054 .51638 L
.57033 .51568 L
.56943 .51445 L
.56841 .51301 L
.56822 .51253 L
.56661 .5106 L
.56648 .51046 L
.5649 .50867 L
.56455 .50782 L
.56379 .50674 L
.56263 .50514 L
.56254 .50482 L
.56097 .50289 L
.5607 .50261 L
.55929 .50096 L
.55877 .49993 L
.55816 .49904 L
.55684 .49726 L
.55683 .49711 L
.55533 .49518 L
.55492 .49474 L
.55368 .49326 L
.55299 .49202 L
.55254 .49133 L
.5511 .4894 L
.55106 .48935 L
.54971 .48747 L
.54914 .48684 L
.5481 .48555 L
.54721 .48409 L
.54693 .48362 L
.5455 .48169 L
.54528 .48165 L
.54411 .47977 L
.54336 .4789 L
.54254 .47784 L
.54143 .47612 L
.54131 .47591 L
.53992 .47399 L
.5395 .47382 L
.53783 .47206 L
.53758 .4709 L
.53701 .47013 L
.53573 .46821 L
.53565 .4681 L
.53437 .46628 L
.53372 .46585 L
.53242 .46435 L
.53179 .4628 L
.53153 .46242 L
.53023 .4605 L
.52987 .46001 L
.52888 .45857 L
.52794 .45765 L
.52714 .45664 L
.52613 .45472 L
.52601 .45456 L
.52482 .45279 L
.52409 .45177 L
.52349 .45086 L
.52216 .44902 L
.5221 .44894 L
.52088 .44701 L
.52023 .44607 L
.51962 .44508 L
.51834 .44316 L
.51831 .44311 L
.51728 .44123 L
.51638 .4396 L
.51628 .4393 L
F
1 .63 0 r
.51638 .50641 m
.51753 .50674 L
.51831 .50724 L
.51981 .50867 L
.52023 .50908 L
.52158 .5106 L
.52216 .51088 L
.5232 .51253 L
.52409 .51352 L
.52519 .51445 L
.52601 .51611 L
.52623 .51638 L
.52763 .51831 L
.52794 .51873 L
.52901 .52023 L
.52987 .521 L
.53066 .52216 L
.5316 .52409 L
.53179 .52439 L
.5327 .52601 L
.53179 .52794 L
.52987 .52621 L
.5297 .52601 L
.528 .52409 L
.52794 .52402 L
.52646 .52216 L
.52601 .52162 L
.52497 .52023 L
.52409 .5194 L
.52351 .51831 L
.52216 .51652 L
.52205 .51638 L
.52074 .51445 L
.52023 .51375 L
.51942 .51253 L
.51831 .51088 L
.51791 .5106 L
.51704 .50867 L
.51638 .5072 L
.51628 .50674 L
F
0 .99 1 r
.51638 .50036 m
.51831 .50001 L
.52023 .49996 L
.52208 .50096 L
.52216 .5012 L
.52342 .50289 L
.52409 .50362 L
.52446 .50482 L
.52601 .50623 L
.5264 .50674 L
.5278 .50867 L
.52794 .50894 L
.52901 .5106 L
.52987 .51193 L
.53066 .51253 L
.53179 .5141 L
.53206 .51445 L
.53344 .51638 L
.53372 .5168 L
.53459 .51831 L
.53565 .51957 L
.5363 .52023 L
.53758 .52214 L
.53769 .52216 L
.53906 .52409 L
.5395 .52459 L
.54016 .52601 L
.54143 .52723 L
.54192 .52794 L
.54333 .52987 L
.54336 .52997 L
.5446 .53179 L
.54336 .53345 L
.54143 .53347 L
.5395 .533 L
.53858 .53179 L
.53758 .53036 L
.53734 .52987 L
.53583 .52794 L
.53565 .52768 L
.53394 .52601 L
.53372 .525 L
.53291 .52409 L
.53179 .52238 L
.53166 .52216 L
.53018 .52023 L
.52987 .51996 L
.52834 .51831 L
.52794 .51727 L
.52729 .51638 L
.52601 .51456 L
.52598 .51445 L
.52456 .51253 L
.52409 .51189 L
.52276 .5106 L
.52216 .50954 L
.52169 .50867 L
.52032 .50674 L
.52023 .50662 L
.51895 .50482 L
.51831 .5039 L
.51726 .50289 L
.51638 .50107 L
.51629 .50096 L
F
0 .11 1 r
.51638 .51393 m
.51685 .51445 L
.51831 .516 L
.51857 .51638 L
.51831 .51727 L
.5177 .51638 L
.51638 .51459 L
.5163 .51445 L
F
0 .98 1 r
.51831 .50039 m
.52023 .5006 L
.52153 .50096 L
.52216 .50175 L
.52312 .50289 L
.52409 .50393 L
.52433 .50482 L
.52601 .50643 L
.52626 .50674 L
.52771 .50867 L
.52794 .50912 L
.52892 .5106 L
.52987 .51204 L
.53059 .51253 L
.53179 .51419 L
.53199 .51445 L
.53339 .51638 L
.53372 .51688 L
.53453 .51831 L
.53565 .51963 L
.53625 .52023 L
.53758 .52215 L
.53763 .52216 L
.539 .52409 L
.5395 .52466 L
.5401 .52601 L
.54143 .52734 L
.54183 .52794 L
.54328 .52987 L
.54336 .53018 L
.54438 .53179 L
.54336 .53324 L
.54143 .53327 L
.5395 .53259 L
.53875 .53179 L
.53758 .53023 L
.53739 .52987 L
.53589 .52794 L
.53565 .5276 L
.53396 .52601 L
.53372 .52495 L
.53295 .52409 L
.53179 .52235 L
.53168 .52216 L
.53022 .52023 L
.52987 .51993 L
.52837 .51831 L
.52794 .51723 L
.52732 .51638 L
.52601 .51451 L
.52599 .51445 L
.52459 .51253 L
.52409 .51184 L
.5228 .5106 L
.52216 .50945 L
.52174 .50867 L
.52039 .50674 L
.52023 .50652 L
.51905 .50482 L
.51831 .50372 L
.51745 .50289 L
.51691 .50096 L
F
1 .62 0 r
.51831 .50733 m
.51975 .50867 L
.52023 .50914 L
.52153 .5106 L
.52216 .51092 L
.52316 .51253 L
.52409 .51356 L
.52515 .51445 L
.52601 .51616 L
.52619 .51638 L
.52759 .51831 L
.52794 .51878 L
.52898 .52023 L
.52987 .52107 L
.53061 .52216 L
.53156 .52409 L
.53179 .52447 L
.53265 .52601 L
.53179 .52785 L
.52987 .52615 L
.52975 .52601 L
.52804 .52409 L
.52794 .52397 L
.52649 .52216 L
.52601 .52158 L
.525 .52023 L
.52409 .51936 L
.52354 .51831 L
.52216 .51647 L
.52209 .51638 L
.52077 .51445 L
.52023 .5137 L
.51945 .51253 L
.51831 .51082 L
.51799 .5106 L
.5171 .50867 L
F
1 .61 0 r
.51831 .50741 m
.51968 .50867 L
.52023 .5092 L
.52148 .5106 L
.52216 .51095 L
.52312 .51253 L
.52409 .51361 L
.5251 .51445 L
.52601 .5162 L
.52616 .51638 L
.52756 .51831 L
.52794 .51882 L
.52894 .52023 L
.52987 .52114 L
.53056 .52216 L
.53151 .52409 L
.53179 .52455 L
.53259 .52601 L
.53179 .52776 L
.52987 .52609 L
.5298 .52601 L
.52808 .52409 L
.52794 .52393 L
.52653 .52216 L
.52601 .52154 L
.52503 .52023 L
.52409 .51932 L
.52356 .51831 L
.52216 .51642 L
.52212 .51638 L
.5208 .51445 L
.52023 .51366 L
.51948 .51253 L
.51831 .51077 L
.51807 .5106 L
.51716 .50867 L
F
1 .6 0 r
.51831 .50749 m
.5196 .50867 L
.52023 .50926 L
.52143 .5106 L
.52216 .51099 L
.52308 .51253 L
.52409 .51366 L
.52506 .51445 L
.52601 .51624 L
.52612 .51638 L
.52753 .51831 L
.52794 .51887 L
.52891 .52023 L
.52987 .52121 L
.53051 .52216 L
.53147 .52409 L
.53179 .52463 L
.53253 .52601 L
.53179 .52766 L
.52987 .52603 L
.52985 .52601 L
.52813 .52409 L
.52794 .52388 L
.52656 .52216 L
.52601 .5215 L
.52506 .52023 L
.52409 .51927 L
.52359 .51831 L
.52216 .51638 L
.52216 .51638 L
.52083 .51445 L
.52023 .51361 L
.51951 .51253 L
.51831 .51071 L
.51815 .5106 L
.51723 .50867 L
F
0 .65 1 r
.51831 .44858 m
.51862 .44894 L
.52023 .45053 L
.52038 .45086 L
.52202 .45279 L
.52216 .45294 L
.52361 .45472 L
.52409 .45527 L
.52518 .45664 L
.52601 .45723 L
.52674 .45857 L
.52794 .46002 L
.52852 .4605 L
.52978 .46242 L
.52987 .46253 L
.53127 .46435 L
.53179 .4647 L
.53276 .46628 L
.53372 .46745 L
.5345 .46821 L
.53565 .47004 L
.53572 .47013 L
.53717 .47206 L
.53758 .47234 L
.53863 .47399 L
.5395 .47506 L
.5403 .47591 L
.54143 .47769 L
.54153 .47784 L
.54297 .47977 L
.54336 .48005 L
.54441 .48169 L
.54528 .48279 L
.54601 .48362 L
.54721 .48545 L
.54727 .48555 L
.5487 .48747 L
.54914 .48783 L
.55012 .4894 L
.55106 .4906 L
.55167 .49133 L
.55298 .49326 L
.55299 .49327 L
.55437 .49518 L
.55492 .49566 L
.55648 .49711 L
.55684 .49847 L
.55729 .49904 L
.55861 .50096 L
.55877 .50117 L
.56 .50289 L
.5607 .50356 L
.56194 .50482 L
.56263 .50643 L
.56287 .50674 L
.56421 .50867 L
.56455 .50913 L
.56559 .5106 L
.56648 .51156 L
.56736 .51253 L
.56839 .51445 L
.56841 .51447 L
.56974 .51638 L
.57033 .51718 L
.57112 .51831 L
.57226 .51973 L
.57269 .52023 L
.57385 .52216 L
.57419 .52261 L
.57519 .52409 L
.57611 .52536 L
.57655 .52601 L
.5779 .52794 L
.57804 .52813 L
.57918 .52987 L
.57997 .53098 L
.58049 .53179 L
.5818 .53372 L
.58189 .53386 L
.58295 .53565 L
.58382 .53698 L
.58413 .53758 L
.58382 .53877 L
.58271 .53758 L
.58189 .53677 L
.58094 .53565 L
.57997 .53457 L
.57927 .53372 L
.57804 .53246 L
.57765 .53179 L
.57611 .52991 L
.57607 .52987 L
.57455 .52794 L
.57419 .5275 L
.57303 .52601 L
.57226 .52528 L
.5715 .52409 L
.57033 .52261 L
.56989 .52216 L
.56852 .52023 L
.56841 .52009 L
.56705 .51831 L
.56648 .51776 L
.56557 .51638 L
.56455 .51508 L
.564 .51445 L
.56264 .51253 L
.56263 .5125 L
.5612 .5106 L
.5607 .5101 L
.55901 .50867 L
.55877 .50741 L
.55823 .50674 L
.55686 .50482 L
.55684 .50479 L
.55544 .50289 L
.55492 .50236 L
.55345 .50096 L
.55299 .49964 L
.55252 .49904 L
.55115 .49711 L
.55106 .497 L
.54974 .49518 L
.54914 .49455 L
.54788 .49326 L
.54721 .4918 L
.54686 .49133 L
.54548 .4894 L
.54528 .48914 L
.54408 .48747 L
.54336 .48667 L
.54233 .48555 L
.54143 .48388 L
.54124 .48362 L
.53987 .48169 L
.5395 .48121 L
.53847 .47977 L
.53758 .47871 L
.53683 .47784 L
.53566 .47591 L
.53565 .47589 L
.5343 .47399 L
.53372 .4732 L
.53292 .47206 L
.53179 .47063 L
.53139 .47013 L
.53016 .46821 L
.52987 .46781 L
.52881 .46628 L
.52794 .46509 L
.52743 .46435 L
.52606 .46242 L
.52601 .46236 L
.52476 .4605 L
.52409 .45957 L
.52342 .45857 L
.52216 .45678 L
.52207 .45664 L
.52083 .45472 L
.52023 .45387 L
.51957 .45279 L
.51831 .4509 L
.51828 .45086 L
.51727 .44894 L
F
1 .59 0 r
.51831 .50758 m
.51953 .50867 L
.52023 .50932 L
.52138 .5106 L
.52216 .51102 L
.52304 .51253 L
.52409 .5137 L
.52501 .51445 L
.52601 .51629 L
.52609 .51638 L
.52749 .51831 L
.52794 .51891 L
.52888 .52023 L
.52987 .52128 L
.53045 .52216 L
.53142 .52409 L
.53179 .52472 L
.53247 .52601 L
.53179 .52757 L
.52991 .52601 L
.52987 .52597 L
.52817 .52409 L
.52794 .52383 L
.5266 .52216 L
.52601 .52146 L
.52509 .52023 L
.52409 .51923 L
.52362 .51831 L
.52219 .51638 L
.52216 .51634 L
.52086 .51445 L
.52023 .51357 L
.51955 .51253 L
.51831 .51065 L
.51824 .5106 L
.51729 .50867 L
F
1 .58 0 r
.51831 .50767 m
.51945 .50867 L
.52023 .50939 L
.52133 .5106 L
.52216 .51107 L
.523 .51253 L
.52409 .51375 L
.52495 .51445 L
.52601 .51634 L
.52605 .51638 L
.52746 .51831 L
.52794 .51896 L
.52884 .52023 L
.52987 .52136 L
.5304 .52216 L
.53138 .52409 L
.53179 .52481 L
.53241 .52601 L
.53179 .52747 L
.52998 .52601 L
.52987 .52591 L
.52821 .52409 L
.52794 .52379 L
.52663 .52216 L
.52601 .52142 L
.52512 .52023 L
.52409 .51918 L
.52365 .51831 L
.52222 .51638 L
.52216 .5163 L
.52089 .51445 L
.52023 .51352 L
.51958 .51253 L
.51832 .5106 L
.51831 .51058 L
.51736 .50867 L
F
1 .57 0 r
.51831 .50777 m
.51937 .50867 L
.52023 .50945 L
.52128 .5106 L
.52216 .51111 L
.52296 .51253 L
.52409 .5138 L
.5249 .51445 L
.52601 .51638 L
.52601 .51638 L
.52743 .51831 L
.52794 .51901 L
.52881 .52023 L
.52987 .52145 L
.53034 .52216 L
.53133 .52409 L
.53179 .5249 L
.53234 .52601 L
.53179 .52736 L
.53005 .52601 L
.52987 .52585 L
.52826 .52409 L
.52794 .52374 L
.52667 .52216 L
.52601 .52138 L
.52515 .52023 L
.52409 .51914 L
.52367 .51831 L
.52225 .51638 L
.52216 .51625 L
.52093 .51445 L
.52023 .51347 L
.51961 .51253 L
.51837 .5106 L
.51831 .5105 L
.51744 .50867 L
F
0 .64 1 r
.51831 .44875 m
.51848 .44894 L
.52023 .45074 L
.52029 .45086 L
.52193 .45279 L
.52216 .45303 L
.52354 .45472 L
.52409 .45535 L
.52512 .45664 L
.52601 .4573 L
.52669 .45857 L
.52794 .46008 L
.52844 .4605 L
.52974 .46242 L
.52987 .46258 L
.53123 .46435 L
.53179 .46473 L
.53273 .46628 L
.53372 .46749 L
.53446 .46821 L
.53565 .47008 L
.53569 .47013 L
.53714 .47206 L
.53758 .47236 L
.5386 .47399 L
.5395 .4751 L
.54026 .47591 L
.54143 .47773 L
.54151 .47784 L
.54294 .47977 L
.54336 .48008 L
.54438 .48169 L
.54528 .48282 L
.54598 .48362 L
.54721 .48548 L
.54725 .48555 L
.54867 .48747 L
.54914 .48785 L
.5501 .4894 L
.55106 .49063 L
.55165 .49133 L
.55295 .49326 L
.55299 .49331 L
.55435 .49518 L
.55492 .49568 L
.55646 .49711 L
.55684 .4985 L
.55727 .49904 L
.55859 .50096 L
.55877 .5012 L
.55998 .50289 L
.5607 .50359 L
.56191 .50482 L
.56263 .50646 L
.56284 .50674 L
.56418 .50867 L
.56455 .50917 L
.56556 .5106 L
.56648 .5116 L
.56732 .51253 L
.56836 .51445 L
.56841 .51451 L
.56971 .51638 L
.57033 .51722 L
.57109 .51831 L
.57226 .51979 L
.57264 .52023 L
.57382 .52216 L
.57419 .52266 L
.57515 .52409 L
.57611 .52542 L
.57652 .52601 L
.57786 .52794 L
.57804 .5282 L
.57913 .52987 L
.57997 .53106 L
.58043 .53179 L
.58172 .53372 L
.58189 .53397 L
.58285 .53565 L
.58382 .53718 L
.58401 .53758 L
.58382 .53853 L
.58287 .53758 L
.58189 .53664 L
.58104 .53565 L
.57997 .53447 L
.57935 .53372 L
.57804 .53235 L
.57772 .53179 L
.57614 .52987 L
.57611 .52983 L
.57461 .52794 L
.57419 .52743 L
.57307 .52601 L
.57226 .52522 L
.57155 .52409 L
.57033 .52256 L
.56994 .52216 L
.56856 .52023 L
.56841 .52004 L
.56708 .51831 L
.56648 .51772 L
.5656 .51638 L
.56455 .51504 L
.56403 .51445 L
.56267 .51253 L
.56263 .51246 L
.56123 .5106 L
.5607 .51007 L
.55903 .50867 L
.55877 .50737 L
.55826 .50674 L
.55689 .50482 L
.55684 .50476 L
.55546 .50289 L
.55492 .50233 L
.55347 .50096 L
.55299 .49961 L
.55255 .49904 L
.55117 .49711 L
.55106 .49697 L
.54976 .49518 L
.54914 .49452 L
.5479 .49326 L
.54721 .49176 L
.54689 .49133 L
.54551 .4894 L
.54528 .48911 L
.5441 .48747 L
.54336 .48664 L
.54236 .48555 L
.54143 .48385 L
.54127 .48362 L
.53989 .48169 L
.5395 .48117 L
.5385 .47977 L
.53758 .47867 L
.53686 .47784 L
.53569 .47591 L
.53565 .47586 L
.53433 .47399 L
.53372 .47316 L
.53294 .47206 L
.53179 .47058 L
.53143 .47013 L
.53019 .46821 L
.52987 .46777 L
.52884 .46628 L
.52794 .46504 L
.52747 .46435 L
.5261 .46242 L
.52601 .46231 L
.5248 .4605 L
.52409 .4595 L
.52347 .45857 L
.52216 .45671 L
.52212 .45664 L
.52089 .45472 L
.52023 .45377 L
.51964 .45279 L
.51838 .45086 L
.51831 .45075 L
.51745 .44894 L
F
1 .56 0 r
.51831 .50787 m
.51928 .50867 L
.52023 .50951 L
.52123 .5106 L
.52216 .51116 L
.52292 .51253 L
.52409 .51385 L
.52484 .51445 L
.52598 .51638 L
.52601 .51643 L
.52739 .51831 L
.52794 .51905 L
.52878 .52023 L
.52987 .52154 L
.53028 .52216 L
.53128 .52409 L
.53179 .525 L
.53228 .52601 L
.53179 .52725 L
.53013 .52601 L
.52987 .52578 L
.52831 .52409 L
.52794 .52369 L
.5267 .52216 L
.52601 .52134 L
.52518 .52023 L
.52409 .51909 L
.5237 .51831 L
.52229 .51638 L
.52216 .51621 L
.52096 .51445 L
.52023 .51342 L
.51965 .51253 L
.51842 .5106 L
.51831 .51041 L
.51752 .50867 L
F
1 .55 0 r
.51831 .50797 m
.51919 .50867 L
.52023 .50958 L
.52118 .5106 L
.52216 .51121 L
.52288 .51253 L
.52409 .5139 L
.52478 .51445 L
.52594 .51638 L
.52601 .51647 L
.52736 .51831 L
.52794 .5191 L
.52874 .52023 L
.52987 .52163 L
.53021 .52216 L
.53123 .52409 L
.53179 .52511 L
.5322 .52601 L
.53179 .52712 L
.53021 .52601 L
.52987 .52572 L
.52835 .52409 L
.52794 .52364 L
.52674 .52216 L
.52601 .52129 L
.52521 .52023 L
.52409 .51904 L
.52373 .51831 L
.52232 .51638 L
.52216 .51617 L
.52099 .51445 L
.52023 .51337 L
.51968 .51253 L
.51847 .5106 L
.51831 .51032 L
.5176 .50867 L
F
1 .88 0 r
.51831 .44071 m
.51884 .44123 L
.52023 .44258 L
.52076 .44316 L
.52216 .44462 L
.5225 .44508 L
.52409 .44693 L
.52418 .44701 L
.52577 .44894 L
.52601 .44922 L
.52736 .45086 L
.52794 .4515 L
.52893 .45279 L
.52987 .454 L
.53054 .45472 L
.53179 .45646 L
.53191 .45664 L
.53349 .45857 L
.53372 .45884 L
.5356 .4605 L
.53565 .46139 L
.53649 .46242 L
.53758 .46395 L
.53778 .46435 L
.53942 .46628 L
.5395 .46638 L
.54123 .46821 L
.54143 .46896 L
.54231 .47013 L
.54336 .47158 L
.54354 .47206 L
.54524 .47399 L
.54528 .47404 L
.54692 .47591 L
.54721 .47665 L
.54806 .47784 L
.54914 .4793 L
.54926 .47977 L
.55099 .48169 L
.55106 .48179 L
.5526 .48362 L
.55299 .48442 L
.55376 .48555 L
.55492 .48708 L
.55496 .48747 L
.5567 .4894 L
.55684 .48958 L
.55827 .49133 L
.55877 .49224 L
.55943 .49326 L
.5607 .49489 L
.56097 .49518 L
.56238 .49711 L
.56263 .49741 L
.56392 .49904 L
.56455 .50008 L
.56509 .50096 L
.56648 .50273 L
.56663 .50289 L
.56804 .50482 L
.56841 .50527 L
.56956 .50674 L
.57033 .50795 L
.57074 .50867 L
.57226 .51058 L
.57228 .5106 L
.57368 .51253 L
.57419 .51315 L
.57518 .51445 L
.57611 .51584 L
.57638 .51638 L
.57791 .51831 L
.57804 .5184 L
.57978 .52023 L
.57997 .52105 L
.58079 .52216 L
.58189 .52376 L
.58204 .52409 L
.58353 .52601 L
.58382 .52625 L
.58535 .52794 L
.58575 .52898 L
.58638 .52987 L
.58768 .5317 L
.58771 .53179 L
.58912 .53372 L
.5896 .53414 L
.5909 .53565 L
.59153 .53695 L
.59196 .53758 L
.59332 .5395 L
.59346 .53969 L
.59469 .54143 L
.59538 .54211 L
.59639 .54336 L
.59731 .54499 L
.5975 .54528 L
.59885 .54721 L
.59924 .54773 L
.60022 .54914 L
.60116 .55021 L
.60182 .55106 L
.60298 .55299 L
.60309 .55313 L
.60432 .55492 L
.60502 .55589 L
.60567 .55684 L
.60694 .55856 L
.6071 .55877 L
.60834 .5607 L
.60887 .56144 L
.60965 .56263 L
.6108 .56427 L
.61098 .56455 L
.61222 .56648 L
.61273 .56722 L
.61343 .56841 L
.61465 .57031 L
.61467 .57033 L
.61552 .57226 L
.61465 .57251 L
.6144 .57226 L
.61273 .57076 L
.61248 .57033 L
.6108 .56847 L
.61069 .56841 L
.6091 .56648 L
.60887 .56623 L
.60748 .56455 L
.60694 .56413 L
.60588 .56263 L
.60502 .56158 L
.60399 .5607 L
.60309 .55912 L
.60281 .55877 L
.60127 .55684 L
.60116 .55676 L
.59976 .55492 L
.59924 .55426 L
.59803 .55299 L
.59731 .5517 L
.59685 .55106 L
.59538 .54921 L
.5953 .54914 L
.59383 .54721 L
.59346 .54672 L
.59222 .54528 L
.59153 .54411 L
.59103 .54336 L
.5896 .54155 L
.58946 .54143 L
.58802 .5395 L
.58768 .53905 L
.58648 .53758 L
.58575 .53641 L
.58529 .53565 L
.58382 .53383 L
.58369 .53372 L
.58227 .53179 L
.58189 .5313 L
.58078 .52987 L
.57997 .52864 L
.57959 .52794 L
.57804 .52606 L
.57798 .52601 L
.57619 .52409 L
.57611 .52349 L
.5751 .52216 L
.57419 .52082 L
.57391 .52023 L
.5723 .51831 L
.57226 .51827 L
.57055 .51638 L
.57033 .51565 L
.56945 .51445 L
.56841 .51298 L
.56824 .51253 L
.56663 .5106 L
.56648 .51044 L
.56492 .50867 L
.56455 .50779 L
.56381 .50674 L
.56263 .50511 L
.56255 .50482 L
.56099 .50289 L
.5607 .50259 L
.5593 .50096 L
.55877 .4999 L
.55818 .49904 L
.55684 .49723 L
.55683 .49711 L
.55536 .49518 L
.55492 .49471 L
.5537 .49326 L
.55299 .49199 L
.55256 .49133 L
.55113 .4894 L
.55106 .48932 L
.54974 .48747 L
.54914 .48681 L
.54812 .48555 L
.54721 .48405 L
.54695 .48362 L
.54553 .48169 L
.54528 .48165 L
.54414 .47977 L
.54336 .47886 L
.54256 .47784 L
.54143 .47607 L
.54134 .47591 L
.53995 .47399 L
.5395 .47379 L
.53785 .47206 L
.53758 .47085 L
.53704 .47013 L
.53577 .46821 L
.53565 .46804 L
.53441 .46628 L
.53372 .46579 L
.53247 .46435 L
.53179 .46272 L
.53158 .46242 L
.53028 .4605 L
.52987 .45993 L
.52893 .45857 L
.52794 .45754 L
.52723 .45664 L
.5262 .45472 L
.52601 .45446 L
.5249 .45279 L
.52409 .45165 L
.52357 .45086 L
.52223 .44894 L
.52216 .44883 L
.52101 .44701 L
.52023 .44587 L
.51976 .44508 L
.51857 .44316 L
.51831 .44274 L
.51764 .44123 L
F
1 .99 0 r
.51831 .53382 m
.52023 .53382 L
.52216 .5347 L
.52317 .53565 L
.52409 .53721 L
.52436 .53758 L
.52576 .5395 L
.52601 .53974 L
.52716 .54143 L
.52794 .54237 L
.52884 .54336 L
.52987 .54507 L
.53002 .54528 L
.5314 .54721 L
.53179 .54773 L
.53279 .54914 L
.53372 .55007 L
.53442 .55106 L
.53564 .55299 L
.53565 .553 L
.537 .55492 L
.53758 .5557 L
.53838 .55684 L
.5395 .55837 L
.53994 .55877 L
.54114 .5607 L
.54143 .56111 L
.54239 .56263 L
.54336 .56441 L
.5434 .56455 L
.54336 .56484 L
.5415 .56455 L
.54143 .56453 L
.5395 .5635 L
.53832 .56263 L
.53758 .56204 L
.53614 .5607 L
.53565 .56019 L
.53434 .55877 L
.53372 .55802 L
.53272 .55684 L
.53179 .55563 L
.53122 .55492 L
.52987 .55309 L
.52979 .55299 L
.52859 .55106 L
.52794 .55055 L
.52685 .54914 L
.52601 .54797 L
.52543 .54721 L
.52409 .54533 L
.52405 .54528 L
.52286 .54336 L
.52216 .54258 L
.52119 .54143 L
.52023 .53984 L
.51981 .5395 L
.51848 .53758 L
.51831 .53732 L
.51765 .53565 L
F
0 .97 1 r
.51831 .50079 m
.51995 .50096 L
.52023 .50107 L
.52216 .50215 L
.52284 .50289 L
.52409 .50419 L
.52423 .50482 L
.52601 .50661 L
.52612 .50674 L
.52762 .50867 L
.52794 .50928 L
.52884 .5106 L
.52987 .51214 L
.53052 .51253 L
.53179 .51428 L
.53192 .51445 L
.53333 .51638 L
.53372 .51697 L
.53448 .51831 L
.53565 .5197 L
.53619 .52023 L
.53757 .52216 L
.53758 .52217 L
.53894 .52409 L
.5395 .52474 L
.54004 .52601 L
.54143 .52746 L
.54174 .52794 L
.54324 .52987 L
.54336 .5304 L
.54417 .53179 L
.54336 .53301 L
.54143 .53308 L
.5395 .53231 L
.53893 .53179 L
.53758 .5301 L
.53745 .52987 L
.53595 .52794 L
.53565 .52753 L
.53399 .52601 L
.53372 .5249 L
.53298 .52409 L
.53179 .52231 L
.5317 .52216 L
.53025 .52023 L
.52987 .5199 L
.52839 .51831 L
.52794 .51719 L
.52736 .51638 L
.52601 .51446 L
.52601 .51445 L
.52463 .51253 L
.52409 .51178 L
.52285 .5106 L
.52216 .50936 L
.52179 .50867 L
.52047 .50674 L
.52023 .50641 L
.51915 .50482 L
.51831 .50352 L
.51768 .50289 L
.51776 .50096 L
F
1 .54 0 r
.51831 .50808 m
.51909 .50867 L
.52023 .50964 L
.52112 .5106 L
.52216 .51127 L
.52284 .51253 L
.52409 .51395 L
.52472 .51445 L
.5259 .51638 L
.52601 .51652 L
.52732 .51831 L
.52794 .51915 L
.52871 .52023 L
.52987 .52173 L
.53015 .52216 L
.53118 .52409 L
.53179 .52524 L
.53213 .52601 L
.53179 .52699 L
.5303 .52601 L
.52987 .52565 L
.5284 .52409 L
.52794 .52359 L
.52678 .52216 L
.52601 .52125 L
.52524 .52023 L
.52409 .51898 L
.52376 .51831 L
.52235 .51638 L
.52216 .51612 L
.52102 .51445 L
.52023 .51332 L
.51972 .51253 L
.51852 .5106 L
.51831 .51022 L
.51769 .50867 L
F
1 .53 0 r
.51831 .5082 m
.51898 .50867 L
.52023 .50971 L
.52107 .5106 L
.52216 .51133 L
.52279 .51253 L
.52409 .51401 L
.52466 .51445 L
.52587 .51638 L
.52601 .51657 L
.52729 .51831 L
.52794 .5192 L
.52867 .52023 L
.52987 .52183 L
.53008 .52216 L
.53113 .52409 L
.53179 .52537 L
.53205 .52601 L
.53179 .52684 L
.5304 .52601 L
.52987 .52559 L
.52845 .52409 L
.52794 .52354 L
.52681 .52216 L
.52601 .52121 L
.52527 .52023 L
.52409 .51893 L
.52379 .51831 L
.52238 .51638 L
.52216 .51608 L
.52106 .51445 L
.52023 .51327 L
.51975 .51253 L
.51858 .5106 L
.51831 .5101 L
.5178 .50867 L
F
0 .1 1 r
.51831 .51611 m
.51849 .51638 L
.51831 .51714 L
.5178 .51638 L
F
0 .36 1 r
.51831 .46445 m
.51958 .46628 L
.52023 .46708 L
.52099 .46821 L
.52216 .4697 L
.52245 .47013 L
.52385 .47206 L
.52409 .47236 L
.52515 .47399 L
.52601 .4751 L
.52653 .47591 L
.52794 .47781 L
.52796 .47784 L
.52794 .47943 L
.52675 .47784 L
.52601 .47702 L
.5252 .47591 L
.52409 .47457 L
.52366 .47399 L
.52216 .47208 L
.52215 .47206 L
.52076 .47013 L
.52023 .46949 L
.51932 .46821 L
.51831 .46691 L
.51786 .46628 L
F
1 .52 0 r
.51831 .50832 m
.51885 .50867 L
.52023 .50978 L
.52101 .5106 L
.52216 .51139 L
.52275 .51253 L
.52409 .51406 L
.52459 .51445 L
.52583 .51638 L
.52601 .51661 L
.52725 .51831 L
.52794 .51925 L
.52863 .52023 L
.52987 .52194 L
.53001 .52216 L
.53107 .52409 L
.53179 .52553 L
.53197 .52601 L
.53179 .52666 L
.53051 .52601 L
.52987 .52552 L
.52851 .52409 L
.52794 .52349 L
.52685 .52216 L
.52601 .52117 L
.52531 .52023 L
.52409 .51887 L
.52382 .51831 L
.52242 .51638 L
.52216 .51603 L
.52109 .51445 L
.52023 .51322 L
.51979 .51253 L
.51864 .5106 L
.51831 .50998 L
.51791 .50867 L
F
0 .35 1 r
.51831 .46454 m
.51951 .46628 L
.52023 .46717 L
.52093 .46821 L
.52216 .46978 L
.5224 .47013 L
.52216 .47199 L
.52084 .47013 L
.52023 .46941 L
.51939 .46821 L
.51831 .46683 L
.51792 .46628 L
F
0 .09 1 r
.51831 .51623 m
.51841 .51638 L
.51831 .51699 L
.51793 .51638 L
F
0 .96 1 r
.51831 .50121 m
.52023 .50148 L
.52216 .50249 L
.52257 .50289 L
.52409 .50443 L
.52417 .50482 L
.52599 .50674 L
.52601 .50678 L
.52754 .50867 L
.52794 .50942 L
.52876 .5106 L
.52987 .51222 L
.53045 .51253 L
.53179 .51437 L
.53186 .51445 L
.53328 .51638 L
.53372 .51704 L
.53443 .51831 L
.53565 .51976 L
.53614 .52023 L
.53757 .52216 L
.53758 .52222 L
.53889 .52409 L
.5395 .52482 L
.53998 .52601 L
.54143 .52759 L
.54165 .52794 L
.5432 .52987 L
.54336 .53065 L
.54395 .53179 L
.54336 .53275 L
.54143 .5329 L
.5395 .53208 L
.53914 .53179 L
.53758 .52998 L
.53751 .52987 L
.53601 .52794 L
.53565 .52745 L
.53402 .52601 L
.53372 .52485 L
.53302 .52409 L
.53179 .52228 L
.53172 .52216 L
.53029 .52023 L
.52987 .51987 L
.52842 .51831 L
.52794 .51714 L
.52739 .51638 L
.52604 .51445 L
.52601 .51441 L
.52467 .51253 L
.52409 .51173 L
.52289 .5106 L
.52216 .50926 L
.52184 .50867 L
.52054 .50674 L
.52023 .5063 L
.51925 .50482 L
.51831 .50328 L
.51794 .50289 L
F
0 .95 1 r
.51831 .53996 m
.51962 .54143 L
.52023 .54213 L
.5211 .54336 L
.52216 .54473 L
.5225 .54528 L
.52216 .54661 L
.52096 .54528 L
.52023 .54446 L
.51936 .54336 L
.51831 .54191 L
.51798 .54143 L
F
0 .34 1 r
.51831 .46463 m
.51943 .46628 L
.52023 .46726 L
.52087 .46821 L
.52216 .46986 L
.52234 .47013 L
.52216 .47188 L
.52092 .47013 L
.52023 .46931 L
.51946 .46821 L
.51831 .46674 L
.51798 .46628 L
F
1 .98 0 r
.51831 .53432 m
.52023 .53421 L
.52216 .53515 L
.52284 .53565 L
.52409 .53743 L
.5242 .53758 L
.52564 .5395 L
.52601 .53985 L
.52706 .54143 L
.52794 .54249 L
.52874 .54336 L
.52987 .54519 L
.52993 .54528 L
.5313 .54721 L
.53179 .54786 L
.53269 .54914 L
.53372 .55025 L
.53429 .55106 L
.5355 .55299 L
.53565 .55319 L
.53684 .55492 L
.53758 .55594 L
.53819 .55684 L
.5395 .55871 L
.53957 .55877 L
.5407 .5607 L
.54143 .56208 L
.54159 .56263 L
.54143 .56317 L
.53967 .56263 L
.5395 .56255 L
.53758 .5612 L
.53698 .5607 L
.53565 .55945 L
.53497 .55877 L
.53372 .55739 L
.53323 .55684 L
.53179 .55511 L
.53163 .55492 L
.53009 .55299 L
.52987 .55257 L
.52894 .55106 L
.52794 .55023 L
.52709 .54914 L
.52601 .54767 L
.52566 .54721 L
.52424 .54528 L
.52409 .54503 L
.52309 .54336 L
.52216 .5423 L
.5214 .54143 L
.52023 .53964 L
.52006 .5395 L
.51874 .53758 L
.51831 .53679 L
.51803 .53565 L
F
0 .33 1 r
.51831 .46474 m
.51935 .46628 L
.52023 .46735 L
.5208 .46821 L
.52216 .46995 L
.52228 .47013 L
.52216 .47177 L
.52101 .47013 L
.52023 .46921 L
.51954 .46821 L
.51831 .46665 L
.51805 .46628 L
F
1 .51 0 r
.51831 .50847 m
.51868 .50867 L
.52023 .50985 L
.52095 .5106 L
.52216 .51146 L
.52271 .51253 L
.52409 .51412 L
.52452 .51445 L
.52579 .51638 L
.52601 .51666 L
.52722 .51831 L
.52794 .5193 L
.5286 .52023 L
.52987 .52205 L
.52993 .52216 L
.53102 .52409 L
.53179 .52574 L
.53188 .52601 L
.53179 .52643 L
.53064 .52601 L
.52987 .52545 L
.52856 .52409 L
.52794 .52344 L
.52689 .52216 L
.52601 .52112 L
.52534 .52023 L
.52409 .51881 L
.52385 .51831 L
.52245 .51638 L
.52216 .51599 L
.52113 .51445 L
.52023 .51316 L
.51983 .51253 L
.5187 .5106 L
.51831 .50982 L
.51806 .50867 L
F
1 .57 0 r
.51831 .47311 m
.51871 .47399 L
.51831 .47424 L
.51809 .47399 L
F
0 .32 1 r
.51831 .46485 m
.51925 .46628 L
.52023 .46746 L
.52072 .46821 L
.52216 .47005 L
.52221 .47013 L
.52216 .47164 L
.52112 .47013 L
.52023 .4691 L
.51962 .46821 L
.51831 .46655 L
.51812 .46628 L
F
0 .67 1 r
.51831 .56662 m
.51946 .56841 L
.52023 .56941 L
.52081 .57033 L
.52216 .57222 L
.52219 .57226 L
.52216 .57329 L
.52143 .57226 L
.52023 .571 L
.51976 .57033 L
.51831 .5686 L
.51817 .56841 L
F
0 .31 1 r
.51831 .46498 m
.51914 .46628 L
.52023 .46758 L
.52063 .46821 L
.52023 .46897 L
.51971 .46821 L
.51831 .46643 L
.5182 .46628 L
F
1 .36 0 r
.51831 .45675 m
.51978 .45857 L
.52023 .45906 L
.52134 .4605 L
.52216 .46144 L
.5229 .46242 L
.52409 .46386 L
.52445 .46435 L
.52597 .46628 L
.52601 .46633 L
.52741 .46821 L
.52794 .46886 L
.52887 .47013 L
.52987 .47139 L
.53036 .47206 L
.53179 .4739 L
.53184 .47399 L
.53324 .47591 L
.53372 .47653 L
.53466 .47784 L
.53565 .47912 L
.53611 .47977 L
.53756 .48169 L
.53758 .48172 L
.53892 .48362 L
.5395 .48437 L
.54032 .48555 L
.54143 .48702 L
.54175 .48747 L
.54314 .4894 L
.54336 .48969 L
.54447 .49133 L
.54528 .4924 L
.54586 .49326 L
.54721 .4951 L
.54726 .49518 L
.54854 .49711 L
.54914 .49792 L
.54985 .49904 L
.55106 .50074 L
.5512 .50096 L
.55106 .50283 L
.54956 .50096 L
.54914 .5005 L
.548 .49904 L
.54721 .49811 L
.54645 .49711 L
.54528 .49568 L
.54491 .49518 L
.5434 .49326 L
.54336 .4932 L
.54196 .49133 L
.54143 .49068 L
.54048 .4894 L
.5395 .48815 L
.539 .48747 L
.53758 .48562 L
.53749 .48555 L
.53613 .48362 L
.53565 .48301 L
.5347 .48169 L
.53372 .48041 L
.53325 .47977 L
.53182 .47784 L
.53179 .47781 L
.53045 .47591 L
.52987 .47515 L
.52905 .47399 L
.52794 .4725 L
.52763 .47206 L
.52625 .47013 L
.52601 .46982 L
.52491 .46821 L
.52409 .4671 L
.52353 .46628 L
.52216 .46438 L
.52214 .46435 L
.52087 .46242 L
.52023 .46155 L
.51957 .4605 L
.51831 .4587 L
.51822 .45857 L
F
1 .97 0 r
.51831 .53505 m
.52023 .53457 L
.52216 .5355 L
.5224 .53565 L
.52403 .53758 L
.52409 .5376 L
.52551 .5395 L
.52601 .53996 L
.52696 .54143 L
.52794 .54262 L
.52863 .54336 L
.52984 .54528 L
.52987 .54532 L
.5312 .54721 L
.53179 .548 L
.53259 .54914 L
.53372 .55045 L
.53414 .55106 L
.53536 .55299 L
.53565 .55339 L
.53667 .55492 L
.53758 .55621 L
.53799 .55684 L
.53922 .55877 L
.5395 .55924 L
.54014 .5607 L
.5395 .56168 L
.53785 .5607 L
.53758 .56052 L
.53565 .55885 L
.53556 .55877 L
.53372 .55688 L
.53369 .55684 L
.53198 .55492 L
.53179 .55464 L
.53032 .55299 L
.52987 .55213 L
.5292 .55106 L
.52794 .54993 L
.52731 .54914 L
.52601 .54739 L
.52587 .54721 L
.52439 .54528 L
.52409 .54477 L
.52329 .54336 L
.52216 .54206 L
.52161 .54143 L
.5203 .5395 L
.52023 .5394 L
.51897 .53758 L
.51831 .53607 L
.51824 .53565 L
F
1 .65 0 r
.51831 .57504 m
.5187 .57611 L
.51831 .57619 L
.51825 .57611 L
F
0 .95 1 r
.51831 .50173 m
.52023 .50176 L
.52216 .50279 L
.52228 .50289 L
.52409 .50465 L
.52412 .50482 L
.52587 .50674 L
.52601 .50696 L
.52746 .50867 L
.52794 .50956 L
.52869 .5106 L
.52987 .51229 L
.53038 .51253 L
.53179 .51445 L
.53179 .51445 L
.53323 .51638 L
.53372 .51712 L
.53438 .51831 L
.53565 .51982 L
.53608 .52023 L
.53756 .52216 L
.53758 .52227 L
.53883 .52409 L
.5395 .5249 L
.53993 .52601 L
.54143 .52772 L
.54156 .52794 L
.54316 .52987 L
.54336 .53096 L
.54372 .53179 L
.54336 .53245 L
.54143 .53273 L
.5395 .53189 L
.53937 .53179 L
.53758 .52987 L
.53757 .52987 L
.53607 .52794 L
.53565 .52738 L
.53405 .52601 L
.53372 .5248 L
.53306 .52409 L
.53179 .52224 L
.53174 .52216 L
.53032 .52023 L
.52987 .51984 L
.52845 .51831 L
.52794 .5171 L
.52742 .51638 L
.52608 .51445 L
.52601 .51436 L
.52471 .51253 L
.52409 .51167 L
.52294 .5106 L
.52216 .50916 L
.5219 .50867 L
.52061 .50674 L
.52023 .50618 L
.51936 .50482 L
.51831 .50296 L
.51825 .50289 L
F
1 .5 0 r
.51831 .50864 m
.51841 .50867 L
.52023 .50992 L
.52089 .5106 L
.52216 .51153 L
.52266 .51253 L
.52409 .51418 L
.52445 .51445 L
.52575 .51638 L
.52601 .51671 L
.52718 .51831 L
.52794 .51935 L
.52856 .52023 L
.52986 .52216 L
.52987 .52217 L
.53096 .52409 L
.52987 .52538 L
.52862 .52409 L
.52794 .52339 L
.52693 .52216 L
.52601 .52108 L
.52537 .52023 L
.52409 .51876 L
.52388 .51831 L
.52249 .51638 L
.52216 .51594 L
.52116 .51445 L
.52023 .51311 L
.51987 .51253 L
.51876 .5106 L
.51831 .50962 L
.51826 .50867 L
F
1 .35 0 r
.51831 .45687 m
.51969 .45857 L
.52023 .45914 L
.52128 .4605 L
.52216 .46151 L
.52285 .46242 L
.52409 .46392 L
.52441 .46435 L
.52592 .46628 L
.52601 .46639 L
.52736 .46821 L
.52794 .46891 L
.52884 .47013 L
.52987 .47143 L
.53032 .47206 L
.53179 .47397 L
.5318 .47399 L
.5332 .47591 L
.53372 .47657 L
.53463 .47784 L
.53565 .47916 L
.53608 .47977 L
.53752 .48169 L
.53758 .48176 L
.53889 .48362 L
.5395 .48442 L
.54029 .48555 L
.54143 .48706 L
.54172 .48747 L
.5431 .4894 L
.54336 .48974 L
.54444 .49133 L
.54528 .49246 L
.54582 .49326 L
.54721 .49516 L
.54723 .49518 L
.54848 .49711 L
.54914 .49799 L
.54979 .49904 L
.55106 .50082 L
.55115 .50096 L
.55106 .50272 L
.54965 .50096 L
.54914 .50042 L
.54806 .49904 L
.54721 .49804 L
.5465 .49711 L
.54528 .49562 L
.54495 .49518 L
.54345 .49326 L
.54336 .49314 L
.542 .49133 L
.54143 .49063 L
.54052 .4894 L
.5395 .4881 L
.53904 .48747 L
.53758 .48556 L
.53757 .48555 L
.53617 .48362 L
.53565 .48296 L
.53474 .48169 L
.53372 .48037 L
.53329 .47977 L
.53186 .47784 L
.53179 .47776 L
.53049 .47591 L
.52987 .4751 L
.52908 .47399 L
.52794 .47245 L
.52766 .47206 L
.52629 .47013 L
.52601 .46977 L
.52495 .46821 L
.52409 .46704 L
.52357 .46628 L
.52218 .46435 L
.52216 .46432 L
.52093 .46242 L
.52023 .46147 L
.51962 .4605 L
.51831 .45861 L
.51828 .45857 L
F
0 .3 1 r
.51831 .46515 m
.51899 .46628 L
.52023 .46772 L
.52053 .46821 L
.52023 .46883 L
.51982 .46821 L
.51831 .46631 L
.51829 .46628 L
F
0 .66 1 r
.51831 .56687 m
.51923 .56841 L
.52023 .56971 L
.52059 .57033 L
.52023 .57072 L
.51997 .57033 L
.51831 .56841 L
.5183 .56841 L
F
0 .94 1 r
.52023 .50198 m
.52196 .50289 L
.52216 .50306 L
.52406 .50482 L
.52409 .50486 L
.52575 .50674 L
.52601 .50714 L
.52738 .50867 L
.52794 .50968 L
.52862 .5106 L
.52987 .51235 L
.53031 .51253 L
.53174 .51445 L
.53179 .51453 L
.53318 .51638 L
.53372 .5172 L
.53433 .51831 L
.53565 .51988 L
.53603 .52023 L
.53756 .52216 L
.53758 .52232 L
.53878 .52409 L
.5395 .52498 L
.53989 .52601 L
.54143 .52786 L
.54148 .52794 L
.5431 .52987 L
.54336 .53143 L
.54345 .53179 L
.54336 .53203 L
.54143 .53257 L
.53962 .53179 L
.5395 .53166 L
.53767 .52987 L
.53758 .52975 L
.53613 .52794 L
.53565 .52731 L
.53409 .52601 L
.53372 .52475 L
.5331 .52409 L
.53179 .52221 L
.53176 .52216 L
.53035 .52023 L
.52987 .5198 L
.52847 .51831 L
.52794 .51705 L
.52745 .51638 L
.52612 .51445 L
.52601 .51431 L
.52475 .51253 L
.52409 .51161 L
.52299 .5106 L
.52216 .50905 L
.52196 .50867 L
.52069 .50674 L
.52023 .50606 L
.51946 .50482 L
.51851 .50289 L
F
1 .96 0 r
.52023 .53491 m
.52194 .53565 L
.52216 .53581 L
.52385 .53758 L
.52409 .53768 L
.52539 .5395 L
.52601 .54008 L
.52685 .54143 L
.52794 .54275 L
.52851 .54336 L
.52974 .54528 L
.52987 .54546 L
.5311 .54721 L
.53179 .54814 L
.53249 .54914 L
.53372 .55068 L
.53398 .55106 L
.53521 .55299 L
.53565 .55361 L
.5365 .55492 L
.53758 .55652 L
.53777 .55684 L
.5388 .55877 L
.53758 .5599 L
.53614 .55877 L
.53565 .55837 L
.53409 .55684 L
.53372 .55646 L
.53229 .55492 L
.53179 .55423 L
.5305 .55299 L
.52987 .55179 L
.52939 .55106 L
.52794 .54965 L
.52753 .54914 L
.52607 .54721 L
.52601 .54714 L
.52453 .54528 L
.52409 .54453 L
.52345 .54336 L
.52216 .54183 L
.52181 .54143 L
.5205 .5395 L
.52023 .53906 L
.5192 .53758 L
.51865 .53565 L
F
0 .93 1 r
.52023 .50218 m
.52161 .50289 L
.52216 .50331 L
.52388 .50482 L
.52409 .50506 L
.52564 .50674 L
.52601 .50729 L
.5273 .50867 L
.52794 .5098 L
.52855 .5106 L
.52987 .5124 L
.53024 .51253 L
.53168 .51445 L
.53179 .51461 L
.53313 .51638 L
.53372 .51727 L
.53429 .51831 L
.53565 .51993 L
.53597 .52023 L
.53755 .52216 L
.53758 .52238 L
.53873 .52409 L
.5395 .52507 L
.53984 .52601 L
.54139 .52794 L
.54143 .528 L
.54304 .52987 L
.54316 .53179 L
.54143 .5324 L
.53986 .53179 L
.5395 .53141 L
.53776 .52987 L
.53758 .52964 L
.53619 .52794 L
.53565 .52724 L
.53413 .52601 L
.53372 .5247 L
.53314 .52409 L
.53179 .52217 L
.53179 .52216 L
.53039 .52023 L
.52987 .51977 L
.5285 .51831 L
.52794 .517 L
.52749 .51638 L
.52615 .51445 L
.52601 .51426 L
.52479 .51253 L
.52409 .51155 L
.52304 .5106 L
.52216 .50894 L
.52202 .50867 L
.52077 .50674 L
.52023 .50592 L
.51958 .50482 L
.5188 .50289 L
F
1 .49 0 r
.52023 .50999 m
.52083 .5106 L
.52216 .51161 L
.52262 .51253 L
.52409 .51424 L
.52437 .51445 L
.52571 .51638 L
.52601 .51676 L
.52714 .51831 L
.52794 .5194 L
.52852 .52023 L
.52982 .52216 L
.52987 .52224 L
.5309 .52409 L
.52987 .5253 L
.52867 .52409 L
.52794 .52334 L
.52697 .52216 L
.52601 .52103 L
.5254 .52023 L
.52409 .51869 L
.52391 .51831 L
.52252 .51638 L
.52216 .51589 L
.5212 .51445 L
.52023 .51305 L
.51991 .51253 L
.51883 .5106 L
F
1 .87 0 r
.52023 .44292 m
.52046 .44316 L
.52216 .44492 L
.52228 .44508 L
.52397 .44701 L
.52409 .44713 L
.52562 .44894 L
.52601 .44939 L
.52723 .45086 L
.52794 .45164 L
.52882 .45279 L
.52987 .45412 L
.53044 .45472 L
.53179 .45655 L
.53185 .45664 L
.53341 .45857 L
.53372 .45893 L
.53558 .4605 L
.53565 .46148 L
.53643 .46242 L
.53758 .46402 L
.53774 .46435 L
.53936 .46628 L
.5395 .46645 L
.54121 .46821 L
.54143 .46903 L
.54227 .47013 L
.54336 .47164 L
.54352 .47206 L
.54519 .47399 L
.54528 .4741 L
.5469 .47591 L
.54721 .4767 L
.54803 .47784 L
.54914 .47934 L
.54925 .47977 L
.55095 .48169 L
.55106 .48183 L
.55258 .48362 L
.55299 .48446 L
.55374 .48555 L
.55492 .48711 L
.55495 .48747 L
.55667 .4894 L
.55684 .48962 L
.55825 .49133 L
.55877 .49227 L
.55941 .49326 L
.5607 .49492 L
.56095 .49518 L
.56235 .49711 L
.56263 .49744 L
.56391 .49904 L
.56455 .50011 L
.56507 .50096 L
.56648 .50275 L
.56661 .50289 L
.56802 .50482 L
.56841 .5053 L
.56954 .50674 L
.57033 .50798 L
.57072 .50867 L
.57226 .5106 L
.57226 .5106 L
.57366 .51253 L
.57419 .51317 L
.57516 .51445 L
.57611 .51587 L
.57637 .51638 L
.57789 .51831 L
.57804 .51842 L
.57977 .52023 L
.57997 .52108 L
.58077 .52216 L
.58189 .52379 L
.58202 .52409 L
.5835 .52601 L
.58382 .52627 L
.58534 .52794 L
.58575 .52901 L
.58636 .52987 L
.58768 .53174 L
.5877 .53179 L
.5891 .53372 L
.5896 .53417 L
.59087 .53565 L
.59153 .537 L
.59193 .53758 L
.59329 .5395 L
.59346 .53973 L
.59466 .54143 L
.59538 .54216 L
.59636 .54336 L
.59731 .54505 L
.59746 .54528 L
.59881 .54721 L
.59924 .54779 L
.60018 .54914 L
.60116 .55029 L
.60176 .55106 L
.60293 .55299 L
.60309 .55321 L
.60426 .55492 L
.60502 .55597 L
.60561 .55684 L
.60694 .5587 L
.607 .55877 L
.60826 .5607 L
.60887 .56157 L
.60956 .56263 L
.6108 .56442 L
.61088 .56455 L
.61207 .56648 L
.61273 .56746 L
.61326 .56841 L
.61273 .57027 L
.61098 .56841 L
.6108 .56822 L
.60928 .56648 L
.60887 .56603 L
.60763 .56455 L
.60694 .564 L
.60601 .56263 L
.60502 .56144 L
.60411 .5607 L
.60309 .559 L
.60289 .55877 L
.60136 .55684 L
.60116 .55668 L
.59984 .55492 L
.59924 .55416 L
.59809 .55299 L
.59731 .55162 L
.59691 .55106 L
.59538 .54916 L
.59536 .54914 L
.59389 .54721 L
.59346 .54665 L
.59227 .54528 L
.59153 .54405 L
.59107 .54336 L
.5896 .54151 L
.5895 .54143 L
.58806 .5395 L
.58768 .539 L
.58651 .53758 L
.58575 .53636 L
.58532 .53565 L
.58382 .5338 L
.58373 .53372 L
.5823 .53179 L
.58189 .53126 L
.5808 .52987 L
.57997 .5286 L
.57961 .52794 L
.57804 .52604 L
.57801 .52601 L
.5762 .52409 L
.57611 .52346 L
.57513 .52216 L
.57419 .52079 L
.57392 .52023 L
.57232 .51831 L
.57226 .51824 L
.57056 .51638 L
.57033 .51562 L
.56947 .51445 L
.56841 .51295 L
.56825 .51253 L
.56666 .5106 L
.56648 .51042 L
.56493 .50867 L
.56455 .50776 L
.56383 .50674 L
.56263 .50509 L
.56256 .50482 L
.56101 .50289 L
.5607 .50257 L
.55932 .50096 L
.55877 .49987 L
.5582 .49904 L
.55684 .4972 L
.55684 .49711 L
.55538 .49518 L
.55492 .49469 L
.55372 .49326 L
.55299 .49196 L
.55258 .49133 L
.55115 .4894 L
.55106 .48929 L
.54976 .48747 L
.54914 .48678 L
.54814 .48555 L
.54721 .48402 L
.54697 .48362 L
.54555 .48169 L
.54528 .48164 L
.54416 .47977 L
.54336 .47882 L
.54259 .47784 L
.54143 .47603 L
.54136 .47591 L
.53998 .47399 L
.5395 .47377 L
.53788 .47206 L
.53758 .4708 L
.53708 .47013 L
.53581 .46821 L
.53565 .46799 L
.53445 .46628 L
.53372 .46574 L
.53253 .46435 L
.53179 .46265 L
.53163 .46242 L
.53033 .4605 L
.52987 .45986 L
.52899 .45857 L
.52794 .45742 L
.52733 .45664 L
.52628 .45472 L
.52601 .45435 L
.52498 .45279 L
.52409 .45153 L
.52366 .45086 L
.52235 .44894 L
.52216 .44866 L
.52115 .44701 L
.52023 .44563 L
.51992 .44508 L
.51886 .44316 L
F
1 .48 0 r
.52023 .51007 m
.52076 .5106 L
.52216 .51169 L
.52257 .51253 L
.52409 .5143 L
.52429 .51445 L
.52567 .51638 L
.52601 .51681 L
.52711 .51831 L
.52794 .51945 L
.52849 .52023 L
.52977 .52216 L
.52987 .52232 L
.53084 .52409 L
.52987 .52523 L
.52873 .52409 L
.52794 .52328 L
.52701 .52216 L
.52601 .52099 L
.52544 .52023 L
.52409 .51863 L
.52394 .51831 L
.52256 .51638 L
.52216 .51584 L
.52123 .51445 L
.52023 .51299 L
.51995 .51253 L
.51891 .5106 L
F
1 .47 0 r
.52023 .51015 m
.52069 .5106 L
.52216 .51178 L
.52252 .51253 L
.52409 .51436 L
.52421 .51445 L
.52563 .51638 L
.52601 .51686 L
.52707 .51831 L
.52794 .5195 L
.52845 .52023 L
.52972 .52216 L
.52987 .52239 L
.53078 .52409 L
.52987 .52515 L
.5288 .52409 L
.52794 .52323 L
.52705 .52216 L
.52601 .52094 L
.52547 .52023 L
.52409 .51856 L
.52397 .51831 L
.52259 .51638 L
.52216 .51579 L
.52127 .51445 L
.52023 .51293 L
.51999 .51253 L
.51898 .5106 L
F
0 .97 1 r
.52023 .43477 m
.52093 .43545 L
.52216 .43646 L
.5228 .43737 L
.52409 .4388 L
.52496 .4393 L
.52601 .44104 L
.5262 .44123 L
.52784 .44316 L
.52794 .44325 L
.52945 .44508 L
.52987 .44563 L
.53127 .44701 L
.53179 .4481 L
.53243 .44894 L
.53372 .4506 L
.53411 .45086 L
.5356 .45279 L
.53565 .45286 L
.53718 .45472 L
.53758 .45543 L
.53839 .45664 L
.5395 .4581 L
.5401 .45857 L
.54143 .46036 L
.54154 .4605 L
.54301 .46242 L
.54336 .46299 L
.54421 .46435 L
.54528 .46574 L
.54593 .46628 L
.54721 .46803 L
.54735 .46821 L
.54877 .47013 L
.54914 .47069 L
.54994 .47206 L
.55106 .47349 L
.55168 .47399 L
.55299 .47579 L
.55309 .47591 L
.55448 .47784 L
.55492 .47849 L
.5556 .47977 L
.55684 .48129 L
.55739 .48169 L
.55877 .48361 L
.55878 .48362 L
.56015 .48555 L
.5607 .48633 L
.56123 .48747 L
.56263 .48912 L
.56306 .4894 L
.5645 .49133 L
.56455 .49147 L
.5658 .49326 L
.56648 .4942 L
.56684 .49518 L
.56841 .49694 L
.56872 .49711 L
.57019 .49904 L
.57033 .49935 L
.57143 .50096 L
.57226 .50207 L
.57244 .50289 L
.57419 .50474 L
.57437 .50482 L
.57585 .50674 L
.57611 .50723 L
.57705 .50867 L
.57804 .50995 L
.57862 .5106 L
.57997 .51251 L
.58001 .51253 L
.5815 .51445 L
.58189 .51512 L
.58267 .51638 L
.58382 .51782 L
.58426 .51831 L
.58565 .52023 L
.58575 .52035 L
.58714 .52216 L
.58768 .52301 L
.58829 .52409 L
.5896 .52569 L
.58989 .52601 L
.59129 .52794 L
.59153 .52823 L
.59276 .52987 L
.59346 .53091 L
.59392 .53179 L
.59538 .53356 L
.59553 .53372 L
.59724 .53565 L
.59731 .53612 L
.59838 .53758 L
.59924 .53881 L
.59955 .5395 L
.60116 .54143 L
.60116 .54143 L
.60289 .54336 L
.60309 .54401 L
.604 .54528 L
.60502 .54671 L
.6052 .54721 L
.60678 .54914 L
.60694 .54926 L
.6085 .55106 L
.60887 .55192 L
.60961 .55299 L
.6108 .55463 L
.61087 .55492 L
.6124 .55684 L
.61273 .5571 L
.6141 .55877 L
.61465 .55985 L
.61521 .5607 L
.61658 .56257 L
.61658 .56263 L
.618 .56455 L
.61851 .56499 L
.61967 .56648 L
.62043 .5678 L
.62081 .56841 L
.62221 .57033 L
.62236 .57053 L
.62359 .57226 L
.62429 .57295 L
.62522 .57419 L
.62621 .57581 L
.62639 .57611 L
.62777 .57804 L
.62814 .57854 L
.62915 .57997 L
.63007 .581 L
.63071 .58189 L
.63194 .58382 L
.63199 .5839 L
.63328 .58575 L
.63392 .58663 L
.63531 .58768 L
.63585 .58923 L
.6361 .5896 L
.63736 .59153 L
.63778 .5921 L
.63868 .59346 L
.6397 .59489 L
.64036 .59538 L
.64133 .59731 L
.64163 .59774 L
.64257 .59924 L
.64356 .60071 L
.64383 .60116 L
.64497 .60309 L
.64548 .60396 L
.64593 .60502 L
.64548 .60586 L
.64449 .60502 L
.64356 .6042 L
.64249 .60309 L
.64163 .60258 L
.64068 .60116 L
.6397 .60008 L
.63898 .59924 L
.63778 .59776 L
.6373 .59731 L
.63585 .59546 L
.63579 .59538 L
.63418 .59346 L
.63392 .59313 L
.63217 .59153 L
.63199 .59065 L
.63113 .5896 L
.63007 .58811 L
.62984 .58768 L
.62814 .58577 L
.62812 .58575 L
.62644 .58382 L
.62621 .58321 L
.62524 .58189 L
.62429 .58055 L
.62407 .57997 L
.62236 .57819 L
.62224 .57804 L
.62069 .57611 L
.62043 .57557 L
.61947 .57419 L
.61851 .57286 L
.6184 .57226 L
.61658 .57047 L
.61647 .57033 L
.61497 .56841 L
.61465 .56782 L
.61377 .56648 L
.61273 .56508 L
.61216 .56455 L
.6108 .56268 L
.61076 .56263 L
.60928 .5607 L
.60887 .56 L
.6081 .55877 L
.60694 .55727 L
.60647 .55684 L
.60507 .55492 L
.60502 .55484 L
.60361 .55299 L
.60309 .55215 L
.60245 .55106 L
.60116 .54944 L
.6008 .54914 L
.5994 .54721 L
.59924 .54698 L
.59796 .54528 L
.59731 .54429 L
.59682 .54336 L
.59538 .54162 L
.59515 .54143 L
.59353 .5395 L
.59346 .53911 L
.59232 .53758 L
.59153 .53641 L
.59118 .53565 L
.5896 .5338 L
.5895 .53372 L
.58786 .53179 L
.58768 .53123 L
.58669 .52987 L
.58575 .52854 L
.58554 .52794 L
.58386 .52601 L
.58382 .52597 L
.58222 .52409 L
.58189 .52334 L
.58107 .52216 L
.57997 .52066 L
.57988 .52023 L
.57822 .51831 L
.57804 .51811 L
.57659 .51638 L
.57611 .51545 L
.57544 .51445 L
.57419 .51278 L
.57398 .51253 L
.57259 .5106 L
.57226 .51025 L
.57097 .50867 L
.57033 .50755 L
.56981 .50674 L
.56841 .50489 L
.56835 .50482 L
.56696 .50289 L
.56648 .50237 L
.56536 .50096 L
.56455 .49965 L
.56418 .49904 L
.56272 .49711 L
.56263 .49709 L
.56133 .49518 L
.5607 .49447 L
.55976 .49326 L
.55877 .49173 L
.55855 .49133 L
.5571 .4894 L
.55684 .4893 L
.5551 .48747 L
.55492 .48656 L
.55416 .48555 L
.55299 .4838 L
.5529 .48362 L
.55148 .48169 L
.55106 .48147 L
.54955 .47977 L
.54914 .47862 L
.54857 .47784 L
.54725 .47591 L
.54721 .47586 L
.54588 .47399 L
.54528 .47356 L
.54403 .47206 L
.54336 .47064 L
.543 .47013 L
.54167 .46821 L
.54143 .46789 L
.54029 .46628 L
.5395 .46558 L
.53854 .46435 L
.53758 .46261 L
.53745 .46242 L
.53611 .4605 L
.53565 .45988 L
.53473 .45857 L
.53372 .45748 L
.5331 .45664 L
.53194 .45472 L
.53179 .45452 L
.5306 .45279 L
.52987 .45179 L
.52923 .45086 L
.52794 .44917 L
.52777 .44894 L
.52652 .44701 L
.52601 .44631 L
.52521 .44508 L
.52409 .44351 L
.52385 .44316 L
.52258 .44123 L
.52216 .44063 L
.52135 .4393 L
.52023 .43762 L
.52009 .43737 L
.51906 .43545 L
F
1 .46 0 r
.52023 .51023 m
.52061 .5106 L
.52216 .51188 L
.52247 .51253 L
.52409 .51442 L
.52413 .51445 L
.52559 .51638 L
.52601 .51691 L
.52703 .51831 L
.52794 .51956 L
.52841 .52023 L
.52967 .52216 L
.52987 .52248 L
.53071 .52409 L
.52987 .52506 L
.52886 .52409 L
.52794 .52317 L
.5271 .52216 L
.52601 .5209 L
.52551 .52023 L
.52409 .5185 L
.524 .51831 L
.52263 .51638 L
.52216 .51574 L
.52131 .51445 L
.52023 .51286 L
.52003 .51253 L
.51907 .5106 L
F
0 .92 1 r
.52023 .50242 m
.52121 .50289 L
.52216 .50352 L
.52371 .50482 L
.52409 .50525 L
.52552 .50674 L
.52601 .50744 L
.52723 .50867 L
.52794 .5099 L
.52849 .5106 L
.52987 .51243 L
.53017 .51253 L
.53162 .51445 L
.53179 .51469 L
.53308 .51638 L
.53372 .51734 L
.53425 .51831 L
.53565 .51998 L
.53592 .52023 L
.53755 .52216 L
.53758 .52243 L
.53868 .52409 L
.5395 .52516 L
.5398 .52601 L
.54131 .52794 L
.54143 .52814 L
.54296 .52987 L
.54285 .53179 L
.54143 .53223 L
.54014 .53179 L
.5395 .5312 L
.53786 .52987 L
.53758 .52953 L
.53625 .52794 L
.53565 .52718 L
.53417 .52601 L
.53372 .52465 L
.53318 .52409 L
.53182 .52216 L
.53179 .52213 L
.53042 .52023 L
.52987 .51973 L
.52854 .51831 L
.52794 .51695 L
.52752 .51638 L
.52619 .51445 L
.52601 .51421 L
.52483 .51253 L
.52409 .5115 L
.52309 .5106 L
.52216 .50882 L
.52208 .50867 L
.52085 .50674 L
.52023 .50577 L
.51969 .50482 L
.51915 .50289 L
F
1 .45 0 r
.52023 .51031 m
.52053 .5106 L
.52216 .51197 L
.52242 .51253 L
.52406 .51445 L
.52409 .51448 L
.52555 .51638 L
.52601 .51696 L
.52699 .51831 L
.52794 .51961 L
.52837 .52023 L
.52962 .52216 L
.52987 .52257 L
.53064 .52409 L
.52987 .52498 L
.52893 .52409 L
.52794 .52312 L
.52714 .52216 L
.52601 .52085 L
.52554 .52023 L
.52409 .51843 L
.52403 .51831 L
.52267 .51638 L
.52216 .51569 L
.52135 .51445 L
.52023 .5128 L
.52007 .51253 L
.51916 .5106 L
F
1 .95 0 r
.52023 .53526 m
.52144 .53565 L
.52216 .5361 L
.52366 .53758 L
.52409 .53775 L
.52525 .5395 L
.52601 .54021 L
.52675 .54143 L
.52794 .5429 L
.52837 .54336 L
.52963 .54528 L
.52987 .54559 L
.531 .54721 L
.53179 .54828 L
.53239 .54914 L
.53372 .55093 L
.53381 .55106 L
.53505 .55299 L
.53565 .55385 L
.53631 .55492 L
.53752 .55684 L
.53758 .55694 L
.5382 .55877 L
.53758 .55921 L
.53686 .55877 L
.53565 .5579 L
.5345 .55684 L
.53372 .5561 L
.5326 .55492 L
.53179 .5539 L
.53069 .55299 L
.52987 .55153 L
.52953 .55106 L
.52794 .54938 L
.52774 .54914 L
.52625 .54721 L
.52601 .54692 L
.52466 .54528 L
.52409 .5443 L
.52359 .54336 L
.52216 .54161 L
.522 .54143 L
.52071 .5395 L
.52023 .53869 L
.51944 .53758 L
.51923 .53565 L
F
1 .44 0 r
.52023 .5104 m
.52045 .5106 L
.52216 .51208 L
.52237 .51253 L
.52401 .51445 L
.52409 .51454 L
.52551 .51638 L
.52601 .51701 L
.52695 .51831 L
.52794 .51967 L
.52833 .52023 L
.52956 .52216 L
.52987 .52266 L
.53057 .52409 L
.52987 .52489 L
.52901 .52409 L
.52794 .52306 L
.52719 .52216 L
.52601 .5208 L
.52558 .52023 L
.52409 .51836 L
.52406 .51831 L
.52271 .51638 L
.52216 .51564 L
.52139 .51445 L
.52023 .51272 L
.52011 .51253 L
.51927 .5106 L
F
1 .43 0 r
.52023 .51049 m
.52035 .5106 L
.52216 .51219 L
.52232 .51253 L
.52396 .51445 L
.52409 .51459 L
.52547 .51638 L
.52601 .51707 L
.52691 .51831 L
.52794 .51972 L
.52829 .52023 L
.52951 .52216 L
.52987 .52276 L
.53049 .52409 L
.52987 .52479 L
.52909 .52409 L
.52794 .523 L
.52723 .52216 L
.52601 .52076 L
.52561 .52023 L
.5241 .51831 L
.52409 .51829 L
.52275 .51638 L
.52216 .51558 L
.52143 .51445 L
.52023 .51265 L
.52016 .51253 L
.5194 .5106 L
F
1 .42 0 r
.52023 .51059 m
.52024 .5106 L
.52216 .51231 L
.52226 .51253 L
.52391 .51445 L
.52409 .51465 L
.52543 .51638 L
.52601 .51712 L
.52687 .51831 L
.52794 .51978 L
.52825 .52023 L
.52945 .52216 L
.52987 .52287 L
.53041 .52409 L
.52987 .52469 L
.52918 .52409 L
.52794 .52294 L
.52728 .52216 L
.52601 .52071 L
.52565 .52023 L
.52414 .51831 L
.52409 .51824 L
.52279 .51638 L
.52216 .51552 L
.52147 .51445 L
.52023 .51257 L
.52021 .51253 L
.51958 .5106 L
F
1 .34 0 r
.52023 .45923 m
.52121 .4605 L
.52216 .46158 L
.5228 .46242 L
.52409 .46398 L
.52436 .46435 L
.52587 .46628 L
.52601 .46645 L
.52732 .46821 L
.52794 .46896 L
.5288 .47013 L
.52987 .47148 L
.53029 .47206 L
.53177 .47399 L
.53179 .47402 L
.53316 .47591 L
.53372 .47662 L
.53459 .47784 L
.53565 .47921 L
.53605 .47977 L
.53748 .48169 L
.53758 .48181 L
.53885 .48362 L
.5395 .48446 L
.54026 .48555 L
.54143 .48711 L
.54168 .48747 L
.54306 .4894 L
.54336 .48979 L
.5444 .49133 L
.54528 .49251 L
.54578 .49326 L
.54718 .49518 L
.54721 .49522 L
.54843 .49711 L
.54914 .49807 L
.54974 .49904 L
.55106 .50092 L
.55109 .50096 L
.55106 .50259 L
.54974 .50096 L
.54914 .50033 L
.54813 .49904 L
.54721 .49797 L
.54655 .49711 L
.54528 .49556 L
.545 .49518 L
.5435 .49326 L
.54336 .49309 L
.54204 .49133 L
.54143 .49057 L
.54056 .4894 L
.5395 .48805 L
.53908 .48747 L
.53761 .48555 L
.53758 .4855 L
.53621 .48362 L
.53565 .48291 L
.53477 .48169 L
.53372 .48032 L
.53332 .47977 L
.5319 .47784 L
.53179 .47771 L
.53053 .47591 L
.52987 .47505 L
.52912 .47399 L
.52794 .47241 L
.5277 .47206 L
.52634 .47013 L
.52601 .46971 L
.52499 .46821 L
.52409 .46698 L
.52361 .46628 L
.52224 .46435 L
.52216 .46425 L
.52099 .46242 L
.52023 .46139 L
.51968 .4605 L
F
0 .91 1 r
.52023 .50273 m
.52066 .50289 L
.52216 .50372 L
.52353 .50482 L
.52409 .50542 L
.5254 .50674 L
.52601 .50758 L
.52715 .50867 L
.52794 .51 L
.52843 .5106 L
.52987 .51246 L
.53011 .51253 L
.53157 .51445 L
.53179 .51477 L
.53304 .51638 L
.53372 .51741 L
.53421 .51831 L
.53565 .52004 L
.53586 .52023 L
.53755 .52216 L
.53758 .52248 L
.53863 .52409 L
.5395 .52525 L
.53976 .52601 L
.54123 .52794 L
.54143 .52829 L
.54287 .52987 L
.54249 .53179 L
.54143 .53207 L
.54047 .53179 L
.5395 .53103 L
.53796 .52987 L
.53758 .52943 L
.53631 .52794 L
.53565 .52711 L
.53421 .52601 L
.53372 .5246 L
.53322 .52409 L
.53186 .52216 L
.53179 .52208 L
.53045 .52023 L
.52987 .51969 L
.52857 .51831 L
.52794 .5169 L
.52756 .51638 L
.52623 .51445 L
.52601 .51416 L
.52487 .51253 L
.52409 .51144 L
.52315 .5106 L
.52216 .5087 L
.52215 .50867 L
.52093 .50674 L
.52023 .5056 L
.51981 .50482 L
.51969 .50289 L
F
0 .63 1 r
.52023 .45093 m
.52184 .45279 L
.52216 .45313 L
.52346 .45472 L
.52409 .45543 L
.52506 .45664 L
.52601 .45737 L
.52664 .45857 L
.52794 .46015 L
.52837 .4605 L
.52969 .46242 L
.52987 .46264 L
.53119 .46435 L
.53179 .46477 L
.53269 .46628 L
.53372 .46754 L
.53441 .46821 L
.53565 .47012 L
.53566 .47013 L
.53711 .47206 L
.53758 .47239 L
.53857 .47399 L
.5395 .47514 L
.54023 .47591 L
.54143 .47776 L
.54148 .47784 L
.54292 .47977 L
.54336 .4801 L
.54436 .48169 L
.54528 .48285 L
.54596 .48362 L
.54721 .48551 L
.54723 .48555 L
.54865 .48747 L
.54914 .48787 L
.55008 .4894 L
.55106 .49066 L
.55162 .49133 L
.55293 .49326 L
.55299 .49334 L
.55433 .49518 L
.55492 .49571 L
.55644 .49711 L
.55684 .49854 L
.55724 .49904 L
.55857 .50096 L
.55877 .50123 L
.55996 .50289 L
.5607 .50362 L
.56188 .50482 L
.56263 .5065 L
.56282 .50674 L
.56416 .50867 L
.56455 .5092 L
.56554 .5106 L
.56648 .51164 L
.56729 .51253 L
.56834 .51445 L
.56841 .51455 L
.56968 .51638 L
.57033 .51726 L
.57106 .51831 L
.57226 .51985 L
.57259 .52023 L
.57378 .52216 L
.57419 .52271 L
.57512 .52409 L
.57611 .52547 L
.57648 .52601 L
.57781 .52794 L
.57804 .52826 L
.57907 .52987 L
.57997 .53114 L
.58038 .53179 L
.58164 .53372 L
.58189 .5341 L
.58275 .53565 L
.58382 .53744 L
.58388 .53758 L
.58382 .53821 L
.58309 .53758 L
.58189 .5365 L
.58115 .53565 L
.57997 .53437 L
.57943 .53372 L
.57804 .53224 L
.57779 .53179 L
.57621 .52987 L
.57611 .52976 L
.57466 .52794 L
.57419 .52737 L
.57312 .52601 L
.57226 .52516 L
.57159 .52409 L
.57033 .52251 L
.56999 .52216 L
.5686 .52023 L
.56841 .52 L
.56712 .51831 L
.56648 .51768 L
.56563 .51638 L
.56455 .51499 L
.56407 .51445 L
.5627 .51253 L
.56263 .51242 L
.56126 .5106 L
.5607 .51004 L
.55906 .50867 L
.55877 .50733 L
.55828 .50674 L
.55691 .50482 L
.55684 .50473 L
.55549 .50289 L
.55492 .5023 L
.5535 .50096 L
.55299 .49957 L
.55257 .49904 L
.5512 .49711 L
.55106 .49694 L
.54978 .49518 L
.54914 .49449 L
.54793 .49326 L
.54721 .49173 L
.54691 .49133 L
.54553 .4894 L
.54528 .48907 L
.54413 .48747 L
.54336 .48661 L
.54238 .48555 L
.54143 .48382 L
.54129 .48362 L
.53992 .48169 L
.5395 .48114 L
.53852 .47977 L
.53758 .47864 L
.53689 .47784 L
.53572 .47591 L
.53565 .47582 L
.53436 .47399 L
.53372 .47313 L
.53297 .47206 L
.53179 .47053 L
.53147 .47013 L
.53022 .46821 L
.52987 .46772 L
.52887 .46628 L
.52794 .46499 L
.5275 .46435 L
.52614 .46242 L
.52601 .46225 L
.52484 .4605 L
.52409 .45944 L
.52351 .45857 L
.52217 .45664 L
.52216 .45663 L
.52096 .45472 L
.52023 .45367 L
.51971 .45279 L
F
1 .81 0 r
.52023 .56102 m
.52144 .56263 L
.52216 .56349 L
.52296 .56455 L
.52409 .56598 L
.52446 .56648 L
.52592 .56841 L
.52601 .56852 L
.52733 .57033 L
.52794 .57111 L
.52878 .57226 L
.52987 .5737 L
.53023 .57419 L
.53163 .57611 L
.53179 .57632 L
.533 .57804 L
.53372 .57899 L
.5344 .57997 L
.53565 .58167 L
.53581 .58189 L
.53711 .58382 L
.53758 .58443 L
.53844 .58575 L
.5395 .58723 L
.53979 .58768 L
.5395 .58906 L
.53848 .58768 L
.53758 .58667 L
.53691 .58575 L
.53565 .58423 L
.53536 .58382 L
.53385 .58189 L
.53372 .58175 L
.53244 .57997 L
.53179 .57918 L
.53099 .57804 L
.52987 .57663 L
.52951 .57611 L
.52805 .57419 L
.52794 .57406 L
.52669 .57226 L
.52601 .57141 L
.52528 .57033 L
.52409 .56879 L
.52383 .56841 L
.52244 .56648 L
.52216 .56612 L
.52112 .56455 L
.52023 .56339 L
.51974 .56263 L
F
1 .94 0 r
.52023 .53564 m
.52043 .53565 L
.52216 .53637 L
.52345 .53758 L
.52409 .53784 L
.52512 .5395 L
.52601 .54036 L
.52664 .54143 L
.52794 .54305 L
.52823 .54336 L
.52952 .54528 L
.52987 .54574 L
.53089 .54721 L
.53179 .54843 L
.53228 .54914 L
.53364 .55106 L
.53372 .55117 L
.53488 .55299 L
.53565 .55414 L
.53611 .55492 L
.53713 .55684 L
.53565 .55742 L
.53497 .55684 L
.53372 .55576 L
.53293 .55492 L
.53179 .5536 L
.53092 .55299 L
.52987 .55133 L
.52966 .55106 L
.52795 .54914 L
.52794 .54913 L
.52643 .54721 L
.52601 .54671 L
.52479 .54528 L
.52409 .54408 L
.52371 .54336 L
.5222 .54143 L
.52216 .54137 L
.52092 .5395 L
.52023 .53827 L
.51974 .53758 L
.52017 .53565 L
F
1 .33 0 r
.52023 .45933 m
.52114 .4605 L
.52216 .46165 L
.52274 .46242 L
.52409 .46404 L
.52432 .46435 L
.52582 .46628 L
.52601 .4665 L
.52728 .46821 L
.52794 .46901 L
.52876 .47013 L
.52987 .47153 L
.53025 .47206 L
.53173 .47399 L
.53179 .47407 L
.53312 .47591 L
.53372 .47666 L
.53456 .47784 L
.53565 .47925 L
.53602 .47977 L
.53745 .48169 L
.53758 .48186 L
.53881 .48362 L
.5395 .48451 L
.54022 .48555 L
.54143 .48715 L
.54165 .48747 L
.54301 .4894 L
.54336 .48985 L
.54435 .49133 L
.54528 .49257 L
.54574 .49326 L
.54713 .49518 L
.54721 .49529 L
.54837 .49711 L
.54914 .49815 L
.54968 .49904 L
.54914 .50024 L
.5482 .49904 L
.54721 .4979 L
.5466 .49711 L
.54528 .4955 L
.54504 .49518 L
.54355 .49326 L
.54336 .49303 L
.54209 .49133 L
.54143 .49052 L
.5406 .4894 L
.5395 .488 L
.53911 .48747 L
.53765 .48555 L
.53758 .48545 L
.53625 .48362 L
.53565 .48286 L
.53481 .48169 L
.53372 .48027 L
.53336 .47977 L
.53194 .47784 L
.53179 .47766 L
.53056 .47591 L
.52987 .475 L
.52915 .47399 L
.52794 .47236 L
.52773 .47206 L
.52638 .47013 L
.52601 .46965 L
.52504 .46821 L
.52409 .46692 L
.52365 .46628 L
.5223 .46435 L
.52216 .46417 L
.52105 .46242 L
.52023 .46129 L
.51975 .4605 L
F
0 .62 1 r
.52023 .45106 m
.52174 .45279 L
.52216 .45323 L
.52339 .45472 L
.52409 .45551 L
.525 .45664 L
.52601 .45745 L
.52658 .45857 L
.52794 .46022 L
.52829 .4605 L
.52964 .46242 L
.52987 .46269 L
.53115 .46435 L
.53179 .46481 L
.53265 .46628 L
.53372 .46759 L
.53437 .46821 L
.53562 .47013 L
.53565 .47016 L
.53708 .47206 L
.53758 .47242 L
.53854 .47399 L
.5395 .47517 L
.5402 .47591 L
.54143 .4778 L
.54146 .47784 L
.54289 .47977 L
.54336 .48012 L
.54433 .48169 L
.54528 .48289 L
.54593 .48362 L
.54721 .48554 L
.54721 .48555 L
.54863 .48747 L
.54914 .48789 L
.55006 .4894 L
.55106 .49069 L
.5516 .49133 L
.55291 .49326 L
.55299 .49337 L
.55431 .49518 L
.55492 .49573 L
.55641 .49711 L
.55684 .49857 L
.55722 .49904 L
.55854 .50096 L
.55877 .50126 L
.55994 .50289 L
.5607 .50365 L
.56186 .50482 L
.56263 .50653 L
.56279 .50674 L
.56413 .50867 L
.56455 .50923 L
.56552 .5106 L
.56648 .51168 L
.56725 .51253 L
.56831 .51445 L
.56841 .51458 L
.56965 .51638 L
.57033 .5173 L
.57103 .51831 L
.57226 .5199 L
.57254 .52023 L
.57375 .52216 L
.57419 .52276 L
.57508 .52409 L
.57611 .52553 L
.57644 .52601 L
.57776 .52794 L
.57804 .52833 L
.57902 .52987 L
.57997 .53122 L
.58032 .53179 L
.58155 .53372 L
.58189 .53424 L
.58263 .53565 L
.58189 .53635 L
.58127 .53565 L
.57997 .53426 L
.57951 .53372 L
.57804 .53212 L
.57786 .53179 L
.57627 .52987 L
.57611 .52969 L
.57472 .52794 L
.57419 .52731 L
.57317 .52601 L
.57226 .52511 L
.57163 .52409 L
.57033 .52245 L
.57004 .52216 L
.56864 .52023 L
.56841 .51995 L
.56715 .51831 L
.56648 .51764 L
.56566 .51638 L
.56455 .51495 L
.5641 .51445 L
.56274 .51253 L
.56263 .51238 L
.56129 .5106 L
.5607 .51001 L
.55908 .50867 L
.55877 .5073 L
.55831 .50674 L
.55694 .50482 L
.55684 .50469 L
.55551 .50289 L
.55492 .50227 L
.55352 .50096 L
.55299 .49954 L
.55259 .49904 L
.55122 .49711 L
.55106 .49691 L
.54981 .49518 L
.54914 .49446 L
.54795 .49326 L
.54721 .4917 L
.54693 .49133 L
.54555 .4894 L
.54528 .48904 L
.54415 .48747 L
.54336 .48658 L
.54241 .48555 L
.54143 .48378 L
.54131 .48362 L
.53994 .48169 L
.5395 .48111 L
.53854 .47977 L
.53758 .4786 L
.53692 .47784 L
.53575 .47591 L
.53565 .47578 L
.53438 .47399 L
.53372 .47309 L
.533 .47206 L
.53179 .47048 L
.53151 .47013 L
.53026 .46821 L
.52987 .46768 L
.52891 .46628 L
.52794 .46495 L
.52753 .46435 L
.52618 .46242 L
.52601 .46219 L
.52489 .4605 L
.52409 .45938 L
.52356 .45857 L
.52223 .45664 L
.52216 .45655 L
.52102 .45472 L
.52023 .45356 L
.51978 .45279 L
F
1 .32 0 r
.52023 .45944 m
.52105 .4605 L
.52216 .46173 L
.52269 .46242 L
.52409 .46411 L
.52427 .46435 L
.52577 .46628 L
.52601 .46657 L
.52723 .46821 L
.52794 .46907 L
.52872 .47013 L
.52987 .47158 L
.53022 .47206 L
.53168 .47399 L
.53179 .47412 L
.53309 .47591 L
.53372 .47671 L
.53452 .47784 L
.53565 .4793 L
.53598 .47977 L
.53741 .48169 L
.53758 .48191 L
.53878 .48362 L
.5395 .48456 L
.54019 .48555 L
.54143 .4872 L
.54162 .48747 L
.54297 .4894 L
.54336 .4899 L
.54431 .49133 L
.54528 .49262 L
.5457 .49326 L
.54707 .49518 L
.54721 .49537 L
.54831 .49711 L
.54914 .49824 L
.54961 .49904 L
.54914 .50014 L
.54827 .49904 L
.54721 .49782 L
.54666 .49711 L
.54528 .49543 L
.54509 .49518 L
.5436 .49326 L
.54336 .49297 L
.54213 .49133 L
.54143 .49046 L
.54064 .4894 L
.5395 .48795 L
.53915 .48747 L
.53769 .48555 L
.53758 .4854 L
.53628 .48362 L
.53565 .48281 L
.53484 .48169 L
.53372 .48023 L
.53339 .47977 L
.53198 .47784 L
.53179 .47761 L
.5306 .47591 L
.52987 .47495 L
.52919 .47399 L
.52794 .4723 L
.52777 .47206 L
.52643 .47013 L
.52601 .46959 L
.52508 .46821 L
.52409 .46686 L
.5237 .46628 L
.52236 .46435 L
.52216 .46409 L
.52112 .46242 L
.52023 .4612 L
.51982 .4605 L
F
0 .61 1 r
.52023 .45121 m
.52163 .45279 L
.52216 .45333 L
.52331 .45472 L
.52409 .45559 L
.52494 .45664 L
.52601 .45754 L
.52653 .45857 L
.52794 .46029 L
.5282 .4605 L
.5296 .46242 L
.52987 .46275 L
.53111 .46435 L
.53179 .46485 L
.53261 .46628 L
.53372 .46764 L
.53432 .46821 L
.53559 .47013 L
.53565 .47021 L
.53705 .47206 L
.53758 .47244 L
.53851 .47399 L
.5395 .47521 L
.54017 .47591 L
.54143 .47783 L
.54143 .47784 L
.54286 .47977 L
.54336 .48015 L
.54431 .48169 L
.54528 .48292 L
.5459 .48362 L
.54719 .48555 L
.54721 .48557 L
.5486 .48747 L
.54914 .48792 L
.55003 .4894 L
.55106 .49072 L
.55157 .49133 L
.55288 .49326 L
.55299 .4934 L
.55428 .49518 L
.55492 .49576 L
.55639 .49711 L
.55684 .4986 L
.55719 .49904 L
.55852 .50096 L
.55877 .50129 L
.55991 .50289 L
.5607 .50368 L
.56182 .50482 L
.56263 .50657 L
.56276 .50674 L
.56411 .50867 L
.56455 .50927 L
.56549 .5106 L
.56648 .51172 L
.56721 .51253 L
.56828 .51445 L
.56841 .51462 L
.56962 .51638 L
.57033 .51734 L
.571 .51831 L
.57226 .51996 L
.57249 .52023 L
.57371 .52216 L
.57419 .52281 L
.57504 .52409 L
.57611 .52558 L
.5764 .52601 L
.5777 .52794 L
.57804 .52841 L
.57896 .52987 L
.57997 .53131 L
.58026 .53179 L
.58145 .53372 L
.58189 .5344 L
.5825 .53565 L
.58189 .53618 L
.5814 .53565 L
.57997 .53415 L
.5796 .53372 L
.57804 .53199 L
.57793 .53179 L
.57634 .52987 L
.57611 .52961 L
.57478 .52794 L
.57419 .52724 L
.57322 .52601 L
.57226 .52504 L
.57168 .52409 L
.57033 .5224 L
.5701 .52216 L
.56868 .52023 L
.56841 .5199 L
.56719 .51831 L
.56648 .5176 L
.5657 .51638 L
.56455 .51491 L
.56414 .51445 L
.56277 .51253 L
.56263 .51235 L
.56132 .5106 L
.5607 .50997 L
.55911 .50867 L
.55877 .50726 L
.55834 .50674 L
.55697 .50482 L
.55684 .50466 L
.55554 .50289 L
.55492 .50224 L
.55354 .50096 L
.55299 .49951 L
.55262 .49904 L
.55124 .49711 L
.55106 .49687 L
.54983 .49518 L
.54914 .49443 L
.54798 .49326 L
.54721 .49167 L
.54696 .49133 L
.54558 .4894 L
.54528 .48901 L
.54417 .48747 L
.54336 .48655 L
.54244 .48555 L
.54143 .48375 L
.54134 .48362 L
.53996 .48169 L
.5395 .48107 L
.53857 .47977 L
.53758 .47856 L
.53695 .47784 L
.53577 .47591 L
.53565 .47575 L
.53441 .47399 L
.53372 .47305 L
.53303 .47206 L
.53179 .47043 L
.53155 .47013 L
.53029 .46821 L
.52987 .46763 L
.52894 .46628 L
.52794 .4649 L
.52757 .46435 L
.52623 .46242 L
.52601 .46213 L
.52493 .4605 L
.52409 .45931 L
.5236 .45857 L
.52229 .45664 L
.52216 .45646 L
.5211 .45472 L
.52023 .45343 L
.51986 .45279 L
F
1 .31 0 r
.52023 .45956 m
.52097 .4605 L
.52216 .46181 L
.52263 .46242 L
.52409 .46417 L
.52422 .46435 L
.52571 .46628 L
.52601 .46663 L
.52718 .46821 L
.52794 .46912 L
.52868 .47013 L
.52987 .47163 L
.53018 .47206 L
.53164 .47399 L
.53179 .47417 L
.53305 .47591 L
.53372 .47676 L
.53449 .47784 L
.53565 .47934 L
.53595 .47977 L
.53737 .48169 L
.53758 .48196 L
.53874 .48362 L
.5395 .48461 L
.54015 .48555 L
.54143 .48725 L
.54158 .48747 L
.54293 .4894 L
.54336 .48996 L
.54427 .49133 L
.54528 .49269 L
.54566 .49326 L
.54701 .49518 L
.54721 .49544 L
.54824 .49711 L
.54914 .49833 L
.54955 .49904 L
.54914 .50003 L
.54835 .49904 L
.54721 .49775 L
.54672 .49711 L
.54528 .49537 L
.54514 .49518 L
.54366 .49326 L
.54336 .4929 L
.54218 .49133 L
.54143 .49041 L
.54069 .4894 L
.5395 .4879 L
.53919 .48747 L
.53774 .48555 L
.53758 .48535 L
.53633 .48362 L
.53565 .48276 L
.53488 .48169 L
.53372 .48018 L
.53343 .47977 L
.53202 .47784 L
.53179 .47755 L
.53064 .47591 L
.52987 .4749 L
.52923 .47399 L
.52794 .47225 L
.52781 .47206 L
.52647 .47013 L
.52601 .46953 L
.52513 .46821 L
.52409 .4668 L
.52374 .46628 L
.52242 .46435 L
.52216 .46401 L
.52119 .46242 L
.52023 .46109 L
.51989 .4605 L
F
1 .8 0 r
.52023 .56136 m
.52119 .56263 L
.52216 .56377 L
.52274 .56455 L
.52409 .56624 L
.52427 .56648 L
.5257 .56841 L
.52601 .56878 L
.52713 .57033 L
.52794 .57135 L
.52859 .57226 L
.52987 .57394 L
.53005 .57419 L
.53142 .57611 L
.53179 .57659 L
.53279 .57804 L
.53372 .57926 L
.53421 .57997 L
.53372 .58148 L
.53265 .57997 L
.53179 .57894 L
.53117 .57804 L
.52987 .57641 L
.52966 .57611 L
.52824 .57419 L
.52794 .57382 L
.52687 .57226 L
.52601 .57119 L
.52545 .57033 L
.52409 .56857 L
.52398 .56841 L
.52266 .56648 L
.52216 .56585 L
.52134 .56455 L
.52023 .56311 L
.51993 .56263 L
F
0 .9 1 r
.52023 .50308 m
.52216 .5039 L
.52335 .50482 L
.52409 .50558 L
.52528 .50674 L
.52601 .50771 L
.52707 .50867 L
.52794 .51009 L
.52838 .5106 L
.52987 .51249 L
.53004 .51253 L
.53151 .51445 L
.53179 .51484 L
.53299 .51638 L
.53372 .51748 L
.53417 .51831 L
.53565 .52009 L
.53581 .52023 L
.53754 .52216 L
.53758 .52254 L
.53858 .52409 L
.5395 .52534 L
.53972 .52601 L
.54114 .52794 L
.54143 .52844 L
.54275 .52987 L
.54201 .53179 L
.54143 .53189 L
.54092 .53179 L
.5395 .53089 L
.53806 .52987 L
.53758 .52934 L
.53637 .52794 L
.53565 .52705 L
.53426 .52601 L
.53372 .52455 L
.53326 .52409 L
.53189 .52216 L
.53179 .52203 L
.53049 .52023 L
.52987 .51965 L
.5286 .51831 L
.52794 .51685 L
.5276 .51638 L
.52627 .51445 L
.52601 .5141 L
.52491 .51253 L
.52409 .51137 L
.52321 .5106 L
.52221 .50867 L
.52216 .5086 L
.52101 .50674 L
.52023 .50541 L
.51994 .50482 L
F
0 .6 1 r
.52023 .45137 m
.52152 .45279 L
.52216 .45344 L
.52323 .45472 L
.52409 .45567 L
.52487 .45664 L
.52601 .45763 L
.52647 .45857 L
.52794 .46036 L
.52812 .4605 L
.52955 .46242 L
.52987 .46281 L
.53106 .46435 L
.53179 .46489 L
.53258 .46628 L
.53372 .46769 L
.53427 .46821 L
.53555 .47013 L
.53565 .47025 L
.53701 .47206 L
.53758 .47247 L
.53849 .47399 L
.5395 .47525 L
.54013 .47591 L
.54141 .47784 L
.54143 .47787 L
.54284 .47977 L
.54336 .48017 L
.54428 .48169 L
.54528 .48295 L
.54587 .48362 L
.54717 .48555 L
.54721 .48561 L
.54858 .48747 L
.54914 .48794 L
.55001 .4894 L
.55106 .49075 L
.55155 .49133 L
.55286 .49326 L
.55299 .49343 L
.55426 .49518 L
.55492 .49578 L
.55636 .49711 L
.55684 .49863 L
.55717 .49904 L
.5585 .50096 L
.55877 .50133 L
.55989 .50289 L
.5607 .50371 L
.56179 .50482 L
.56263 .5066 L
.56273 .50674 L
.56408 .50867 L
.56455 .5093 L
.56547 .5106 L
.56648 .51177 L
.56717 .51253 L
.56825 .51445 L
.56841 .51466 L
.56959 .51638 L
.57033 .51738 L
.57097 .51831 L
.57226 .52003 L
.57243 .52023 L
.57367 .52216 L
.57419 .52286 L
.575 .52409 L
.57611 .52564 L
.57636 .52601 L
.57765 .52794 L
.57804 .52848 L
.57891 .52987 L
.57997 .53141 L
.5802 .53179 L
.58134 .53372 L
.58189 .53459 L
.58233 .53565 L
.58189 .53598 L
.58157 .53565 L
.57997 .53403 L
.5797 .53372 L
.57804 .53186 L
.578 .53179 L
.57641 .52987 L
.57611 .52953 L
.57483 .52794 L
.57419 .52717 L
.57327 .52601 L
.57226 .52498 L
.57172 .52409 L
.57033 .52234 L
.57015 .52216 L
.56872 .52023 L
.56841 .51985 L
.56722 .51831 L
.56648 .51756 L
.56573 .51638 L
.56455 .51487 L
.56418 .51445 L
.5628 .51253 L
.56263 .51231 L
.56134 .5106 L
.5607 .50994 L
.55914 .50867 L
.55877 .50723 L
.55837 .50674 L
.55699 .50482 L
.55684 .50462 L
.55556 .50289 L
.55492 .50221 L
.55357 .50096 L
.55299 .49947 L
.55264 .49904 L
.55127 .49711 L
.55106 .49684 L
.54985 .49518 L
.54914 .4944 L
.548 .49326 L
.54721 .49164 L
.54698 .49133 L
.5456 .4894 L
.54528 .48898 L
.5442 .48747 L
.54336 .48651 L
.54247 .48555 L
.54143 .48371 L
.54136 .48362 L
.53999 .48169 L
.5395 .48104 L
.53859 .47977 L
.53758 .47852 L
.53698 .47784 L
.5358 .47591 L
.53565 .47571 L
.53444 .47399 L
.53372 .47301 L
.53305 .47206 L
.53179 .47038 L
.53159 .47013 L
.53032 .46821 L
.52987 .46759 L
.52897 .46628 L
.52794 .46485 L
.5276 .46435 L
.52627 .46242 L
.52601 .46207 L
.52498 .4605 L
.52409 .45924 L
.52365 .45857 L
.52235 .45664 L
.52216 .45637 L
.52117 .45472 L
.52023 .4533 L
.51995 .45279 L
F
0 .29 1 r
.52023 .46789 m
.52041 .46821 L
.52023 .46864 L
.51996 .46821 L
F
1 .3 0 r
.52023 .45969 m
.52086 .4605 L
.52216 .4619 L
.52256 .46242 L
.52409 .46424 L
.52417 .46435 L
.52565 .46628 L
.52601 .4667 L
.52713 .46821 L
.52794 .46918 L
.52863 .47013 L
.52987 .47168 L
.53014 .47206 L
.5316 .47399 L
.53179 .47423 L
.53301 .47591 L
.53372 .47681 L
.53445 .47784 L
.53565 .47939 L
.53592 .47977 L
.53733 .48169 L
.53758 .48201 L
.5387 .48362 L
.5395 .48466 L
.54011 .48555 L
.54143 .4873 L
.54155 .48747 L
.54288 .4894 L
.54336 .49002 L
.54422 .49133 L
.54528 .49275 L
.54562 .49326 L
.54695 .49518 L
.54721 .49553 L
.54817 .49711 L
.54914 .49844 L
.54947 .49904 L
.54914 .49991 L
.54844 .49904 L
.54721 .49766 L
.54678 .49711 L
.54528 .4953 L
.54519 .49518 L
.54372 .49326 L
.54336 .49284 L
.54223 .49133 L
.54143 .49035 L
.54073 .4894 L
.5395 .48784 L
.53923 .48747 L
.53778 .48555 L
.53758 .48529 L
.53637 .48362 L
.53565 .48271 L
.53492 .48169 L
.53372 .48013 L
.53346 .47977 L
.53206 .47784 L
.53179 .4775 L
.53068 .47591 L
.52987 .47485 L
.52927 .47399 L
.52794 .4722 L
.52784 .47206 L
.52652 .47013 L
.52601 .46947 L
.52517 .46821 L
.52409 .46673 L
.52379 .46628 L
.52249 .46435 L
.52216 .46391 L
.52127 .46242 L
.52023 .46096 L
.51997 .4605 L
F
0 .93 1 r
.52023 .55355 m
.52151 .55492 L
.52216 .55557 L
.52327 .55684 L
.52409 .55776 L
.52495 .55877 L
.52601 .55948 L
.52656 .5607 L
.52794 .56237 L
.52828 .56263 L
.52965 .56455 L
.52987 .56482 L
.53117 .56648 L
.53179 .5667 L
.53269 .56841 L
.53372 .56969 L
.53443 .57033 L
.53563 .57226 L
.53565 .57229 L
.53709 .57419 L
.53758 .5744 L
.53855 .57611 L
.5395 .57731 L
.5402 .57804 L
.54143 .57997 L
.54143 .57997 L
.54286 .58189 L
.54336 .58218 L
.5443 .58382 L
.54528 .58509 L
.54586 .58575 L
.54714 .58768 L
.54721 .58777 L
.54855 .5896 L
.54914 .59004 L
.54997 .59153 L
.55106 .59299 L
.55145 .59346 L
.55276 .59538 L
.55299 .5957 L
.55415 .59731 L
.55492 .59802 L
.55555 .59924 L
.55684 .60102 L
.55696 .60116 L
.55829 .60309 L
.55877 .60375 L
.55967 .60502 L
.5607 .60622 L
.56142 .60694 L
.56238 .60887 L
.56263 .60922 L
.5637 .6108 L
.56455 .612 L
.56504 .61273 L
.56635 .61465 L
.56648 .61483 L
.5676 .61658 L
.56841 .61777 L
.56887 .61851 L
.56841 .62036 L
.56688 .61851 L
.56648 .61807 L
.56531 .61658 L
.56455 .61571 L
.56375 .61465 L
.56263 .6133 L
.56219 .61273 L
.5607 .61088 L
.56059 .6108 L
.5592 .60887 L
.55877 .60836 L
.55773 .60694 L
.55684 .60584 L
.55624 .60502 L
.55492 .60339 L
.55457 .60309 L
.55331 .60116 L
.55299 .60076 L
.55188 .59924 L
.55106 .59819 L
.55043 .59731 L
.54914 .5957 L
.5488 .59538 L
.54754 .59346 L
.54721 .59303 L
.54613 .59153 L
.54528 .59043 L
.5447 .5896 L
.54336 .58788 L
.54316 .58768 L
.54185 .58575 L
.54143 .5852 L
.54046 .58382 L
.5395 .58304 L
.53903 .58189 L
.53759 .57997 L
.53758 .57995 L
.53623 .57804 L
.53565 .57728 L
.53484 .57611 L
.53372 .57496 L
.53341 .57419 L
.53202 .57226 L
.53179 .57197 L
.53067 .57033 L
.52987 .56926 L
.52929 .56841 L
.52794 .56667 L
.52787 .56648 L
.52655 .56455 L
.52601 .56384 L
.52522 .56263 L
.52409 .56108 L
.52384 .5607 L
.52253 .55877 L
.52216 .55826 L
.5213 .55684 L
.52023 .55531 L
.52002 .55492 L
F
0 .59 1 r
.52023 .45156 m
.52138 .45279 L
.52216 .45355 L
.52314 .45472 L
.52409 .45576 L
.52481 .45664 L
.52601 .45774 L
.52642 .45857 L
.52794 .46043 L
.52803 .4605 L
.5295 .46242 L
.52987 .46286 L
.53102 .46435 L
.53179 .46494 L
.53254 .46628 L
.53372 .46774 L
.53422 .46821 L
.53552 .47013 L
.53565 .47029 L
.53698 .47206 L
.53758 .47251 L
.53846 .47399 L
.5395 .47529 L
.5401 .47591 L
.54138 .47784 L
.54143 .47791 L
.54281 .47977 L
.54336 .4802 L
.54426 .48169 L
.54528 .48299 L
.54585 .48362 L
.54714 .48555 L
.54721 .48564 L
.54855 .48747 L
.54914 .48797 L
.54999 .4894 L
.55106 .49078 L
.55152 .49133 L
.55284 .49326 L
.55299 .49346 L
.55424 .49518 L
.55492 .49581 L
.55633 .49711 L
.55684 .49867 L
.55714 .49904 L
.55847 .50096 L
.55877 .50136 L
.55987 .50289 L
.5607 .50375 L
.56176 .50482 L
.56263 .50664 L
.56271 .50674 L
.56405 .50867 L
.56455 .50934 L
.56544 .5106 L
.56648 .51181 L
.56713 .51253 L
.56822 .51445 L
.56841 .5147 L
.56956 .51638 L
.57033 .51742 L
.57094 .51831 L
.57226 .52009 L
.57238 .52023 L
.57363 .52216 L
.57419 .52292 L
.57497 .52409 L
.57611 .5257 L
.57632 .52601 L
.5776 .52794 L
.57804 .52856 L
.57885 .52987 L
.57997 .53151 L
.58014 .53179 L
.58122 .53372 L
.58189 .53488 L
.58206 .53565 L
.58189 .53573 L
.5818 .53565 L
.57997 .53391 L
.5798 .53372 L
.57809 .53179 L
.57804 .53174 L
.57648 .52987 L
.57611 .52945 L
.57489 .52794 L
.57419 .52711 L
.57332 .52601 L
.57226 .52491 L
.57177 .52409 L
.57033 .52228 L
.57021 .52216 L
.56876 .52023 L
.56841 .5198 L
.56726 .51831 L
.56648 .51751 L
.56577 .51638 L
.56455 .51482 L
.56421 .51445 L
.56283 .51253 L
.56263 .51227 L
.56137 .5106 L
.5607 .50991 L
.55917 .50867 L
.55877 .50719 L
.5584 .50674 L
.55702 .50482 L
.55684 .50459 L
.55559 .50289 L
.55492 .50218 L
.55359 .50096 L
.55299 .49944 L
.55267 .49904 L
.55129 .49711 L
.55106 .49681 L
.54988 .49518 L
.54914 .49437 L
.54803 .49326 L
.54721 .4916 L
.547 .49133 L
.54563 .4894 L
.54528 .48895 L
.54422 .48747 L
.54336 .48648 L
.5425 .48555 L
.54143 .48368 L
.54139 .48362 L
.54001 .48169 L
.5395 .48101 L
.53862 .47977 L
.53758 .47848 L
.53702 .47784 L
.53583 .47591 L
.53565 .47567 L
.53447 .47399 L
.53372 .47297 L
.53308 .47206 L
.53179 .47033 L
.53163 .47013 L
.53036 .46821 L
.52987 .46754 L
.52901 .46628 L
.52794 .4648 L
.52764 .46435 L
.52631 .46242 L
.52601 .46201 L
.52502 .4605 L
.52409 .45917 L
.5237 .45857 L
.52242 .45664 L
.52216 .45627 L
.52125 .45472 L
.52023 .45315 L
.52004 .45279 L
F
1 .29 0 r
.52023 .45986 m
.52074 .4605 L
.52216 .46199 L
.52249 .46242 L
.52409 .46431 L
.52412 .46435 L
.52559 .46628 L
.52601 .46676 L
.52708 .46821 L
.52794 .46924 L
.52859 .47013 L
.52987 .47174 L
.5301 .47206 L
.53155 .47399 L
.53179 .47428 L
.53296 .47591 L
.53372 .47686 L
.53441 .47784 L
.53565 .47944 L
.53588 .47977 L
.53728 .48169 L
.53758 .48206 L
.53866 .48362 L
.5395 .48471 L
.54008 .48555 L
.54143 .48735 L
.54151 .48747 L
.54283 .4894 L
.54336 .49008 L
.54418 .49133 L
.54528 .49281 L
.54557 .49326 L
.54688 .49518 L
.54721 .49562 L
.54809 .49711 L
.54914 .49856 L
.54939 .49904 L
.54914 .49978 L
.54855 .49904 L
.54721 .49758 L
.54685 .49711 L
.54528 .49523 L
.54525 .49518 L
.54378 .49326 L
.54336 .49277 L
.54228 .49133 L
.54143 .49029 L
.54077 .4894 L
.5395 .48779 L
.53927 .48747 L
.53783 .48555 L
.53758 .48524 L
.53641 .48362 L
.53565 .48266 L
.53496 .48169 L
.53372 .48008 L
.5335 .47977 L
.53211 .47784 L
.53179 .47745 L
.53072 .47591 L
.52987 .47479 L
.52931 .47399 L
.52794 .47214 L
.52788 .47206 L
.52657 .47013 L
.52601 .4694 L
.52522 .46821 L
.52409 .46666 L
.52384 .46628 L
.52256 .46435 L
.52216 .46381 L
.52135 .46242 L
.52023 .46082 L
.52006 .4605 L
F
0 .89 1 r
.52023 .50342 m
.52216 .50407 L
.52316 .50482 L
.52409 .50573 L
.52516 .50674 L
.52601 .50783 L
.52699 .50867 L
.52794 .51017 L
.52832 .5106 L
.52987 .51251 L
.52997 .51253 L
.53145 .51445 L
.53179 .51492 L
.53294 .51638 L
.53372 .51754 L
.53413 .51831 L
.53565 .52014 L
.53575 .52023 L
.53754 .52216 L
.53758 .5226 L
.53853 .52409 L
.5395 .52544 L
.53969 .52601 L
.54106 .52794 L
.54143 .52861 L
.54261 .52987 L
.54143 .5317 L
.5395 .53076 L
.53817 .52987 L
.53758 .52925 L
.53644 .52794 L
.53565 .52698 L
.53431 .52601 L
.53372 .5245 L
.5333 .52409 L
.53193 .52216 L
.53179 .52198 L
.53052 .52023 L
.52987 .51961 L
.52864 .51831 L
.52794 .5168 L
.52763 .51638 L
.52631 .51445 L
.52601 .51405 L
.52495 .51253 L
.52409 .51131 L
.52327 .5106 L
.52228 .50867 L
.52216 .5085 L
.5211 .50674 L
.52023 .50518 L
.52007 .50482 L
F
1 .86 0 r
.52023 .44332 m
.52202 .44508 L
.52216 .44521 L
.52378 .44701 L
.52409 .44734 L
.52546 .44894 L
.52601 .44956 L
.5271 .45086 L
.52794 .45178 L
.5287 .45279 L
.52987 .45425 L
.53033 .45472 L
.53179 .45664 L
.5318 .45664 L
.53332 .45857 L
.53372 .45902 L
.53555 .4605 L
.53565 .46156 L
.53637 .46242 L
.53758 .46409 L
.53771 .46435 L
.5393 .46628 L
.5395 .46651 L
.54119 .46821 L
.54143 .46909 L
.54223 .47013 L
.54336 .47169 L
.5435 .47206 L
.54515 .47399 L
.54528 .47415 L
.54687 .47591 L
.54721 .47675 L
.548 .47784 L
.54914 .47938 L
.54924 .47977 L
.55092 .48169 L
.55106 .48187 L
.55256 .48362 L
.55299 .4845 L
.55371 .48555 L
.55492 .48715 L
.55495 .48747 L
.55664 .4894 L
.55684 .48965 L
.55823 .49133 L
.55877 .4923 L
.55939 .49326 L
.5607 .49495 L
.56092 .49518 L
.56233 .49711 L
.56263 .49747 L
.56389 .49904 L
.56455 .50014 L
.56505 .50096 L
.56648 .50277 L
.56659 .50289 L
.56799 .50482 L
.56841 .50532 L
.56952 .50674 L
.57033 .50801 L
.57071 .50867 L
.57224 .5106 L
.57226 .51061 L
.57364 .51253 L
.57419 .5132 L
.57514 .51445 L
.57611 .5159 L
.57635 .51638 L
.57787 .51831 L
.57804 .51843 L
.57976 .52023 L
.57997 .52111 L
.58075 .52216 L
.58189 .52382 L
.58201 .52409 L
.58348 .52601 L
.58382 .52629 L
.58532 .52794 L
.58575 .52905 L
.58633 .52987 L
.58768 .53177 L
.58768 .53179 L
.58907 .53372 L
.5896 .5342 L
.59084 .53565 L
.59153 .53704 L
.5919 .53758 L
.59325 .5395 L
.59346 .53977 L
.59463 .54143 L
.59538 .5422 L
.59632 .54336 L
.59731 .54511 L
.59742 .54528 L
.59877 .54721 L
.59924 .54785 L
.60013 .54914 L
.60116 .55037 L
.60169 .55106 L
.60287 .55299 L
.60309 .55329 L
.6042 .55492 L
.60502 .55606 L
.60555 .55684 L
.6069 .55877 L
.60694 .55883 L
.60817 .5607 L
.60887 .5617 L
.60946 .56263 L
.61077 .56455 L
.6108 .5646 L
.61191 .56648 L
.61273 .56776 L
.61306 .56841 L
.61273 .56988 L
.61126 .56841 L
.6108 .56796 L
.60948 .56648 L
.60887 .56583 L
.60778 .56455 L
.60694 .56385 L
.60614 .56263 L
.60502 .5613 L
.60426 .5607 L
.60309 .55889 L
.60299 .55877 L
.60145 .55684 L
.60116 .5566 L
.59992 .55492 L
.59924 .55407 L
.59816 .55299 L
.59731 .55154 L
.59696 .55106 L
.59542 .54914 L
.59538 .5491 L
.59394 .54721 L
.59346 .54658 L
.59231 .54528 L
.59153 .54399 L
.59111 .54336 L
.5896 .54147 L
.58955 .54143 L
.5881 .5395 L
.58768 .53895 L
.58654 .53758 L
.58575 .53632 L
.58534 .53565 L
.58382 .53377 L
.58376 .53372 L
.58233 .53179 L
.58189 .53122 L
.58083 .52987 L
.57997 .52856 L
.57963 .52794 L
.57804 .52602 L
.57804 .52601 L
.5762 .52409 L
.57611 .52343 L
.57515 .52216 L
.57419 .52076 L
.57394 .52023 L
.57235 .51831 L
.57226 .51822 L
.57057 .51638 L
.57033 .51559 L
.56949 .51445 L
.56841 .51292 L
.56826 .51253 L
.56668 .5106 L
.56648 .51039 L
.56494 .50867 L
.56455 .50773 L
.56385 .50674 L
.56263 .50506 L
.56256 .50482 L
.56103 .50289 L
.5607 .50254 L
.55933 .50096 L
.55877 .49985 L
.55822 .49904 L
.55684 .49718 L
.55684 .49711 L
.5554 .49518 L
.55492 .49466 L
.55374 .49326 L
.55299 .49193 L
.5526 .49133 L
.55117 .4894 L
.55106 .48926 L
.54978 .48747 L
.54914 .48675 L
.54817 .48555 L
.54721 .48398 L
.54699 .48362 L
.54558 .48169 L
.54528 .48162 L
.54419 .47977 L
.54336 .47879 L
.54262 .47784 L
.54143 .47599 L
.54138 .47591 L
.54001 .47399 L
.5395 .47374 L
.53791 .47206 L
.53758 .47074 L
.53712 .47013 L
.53585 .46821 L
.53565 .46794 L
.53449 .46628 L
.53372 .46568 L
.53259 .46435 L
.53179 .46257 L
.53169 .46242 L
.53039 .4605 L
.52987 .45978 L
.52904 .45857 L
.52794 .45729 L
.52743 .45664 L
.52635 .45472 L
.52601 .45424 L
.52507 .45279 L
.52409 .4514 L
.52375 .45086 L
.52248 .44894 L
.52216 .44847 L
.5213 .44701 L
.52023 .44534 L
.5201 .44508 L
F
1 .93 0 r
.52023 .53633 m
.52216 .53665 L
.52322 .53758 L
.52409 .53796 L
.52497 .5395 L
.52601 .54052 L
.52653 .54143 L
.52794 .54321 L
.52808 .54336 L
.52941 .54528 L
.52987 .54589 L
.53078 .54721 L
.53179 .54859 L
.53216 .54914 L
.53349 .55106 L
.53372 .55139 L
.5347 .55299 L
.53565 .55449 L
.53588 .55492 L
.53642 .55684 L
.53565 .55686 L
.53562 .55684 L
.53372 .55539 L
.53328 .55492 L
.53179 .55333 L
.53122 .55299 L
.52987 .55115 L
.52979 .55106 L
.52814 .54914 L
.52794 .54905 L
.5266 .54721 L
.52601 .54651 L
.52493 .54528 L
.52409 .54385 L
.52383 .54336 L
.52238 .54143 L
.52216 .54109 L
.52113 .5395 L
.52023 .53773 L
.52013 .53758 L
F
0 .58 1 r
.52023 .4518 m
.52122 .45279 L
.52216 .45367 L
.52305 .45472 L
.52409 .45585 L
.52474 .45664 L
.52601 .45784 L
.52636 .45857 L
.52793 .4605 L
.52794 .46051 L
.52945 .46242 L
.52987 .46292 L
.53098 .46435 L
.53179 .46499 L
.5325 .46628 L
.53372 .46779 L
.53417 .46821 L
.53548 .47013 L
.53565 .47034 L
.53695 .47206 L
.53758 .47254 L
.53843 .47399 L
.5395 .47533 L
.54006 .47591 L
.54135 .47784 L
.54143 .47794 L
.54278 .47977 L
.54336 .48023 L
.54423 .48169 L
.54528 .48302 L
.54582 .48362 L
.54712 .48555 L
.54721 .48567 L
.54853 .48747 L
.54914 .48799 L
.54996 .4894 L
.55106 .49082 L
.55149 .49133 L
.55281 .49326 L
.55299 .49349 L
.55422 .49518 L
.55492 .49584 L
.55631 .49711 L
.55684 .4987 L
.55711 .49904 L
.55845 .50096 L
.55877 .50139 L
.55984 .50289 L
.5607 .50378 L
.56173 .50482 L
.56263 .50668 L
.56268 .50674 L
.56403 .50867 L
.56455 .50937 L
.56541 .5106 L
.56648 .51186 L
.56709 .51253 L
.56819 .51445 L
.56841 .51474 L
.56953 .51638 L
.57033 .51747 L
.57091 .51831 L
.57226 .52016 L
.57232 .52023 L
.5736 .52216 L
.57419 .52297 L
.57493 .52409 L
.57611 .52576 L
.57628 .52601 L
.57754 .52794 L
.57804 .52865 L
.57879 .52987 L
.57997 .53162 L
.58007 .53179 L
.58107 .53372 L
.57997 .53377 L
.57992 .53372 L
.57819 .53179 L
.57804 .53164 L
.57656 .52987 L
.57611 .52937 L
.57495 .52794 L
.57419 .52704 L
.57337 .52601 L
.57226 .52484 L
.57181 .52409 L
.57033 .52222 L
.57027 .52216 L
.5688 .52023 L
.56841 .51975 L
.5673 .51831 L
.56648 .51747 L
.5658 .51638 L
.56455 .51478 L
.56425 .51445 L
.56286 .51253 L
.56263 .51223 L
.5614 .5106 L
.5607 .50987 L
.5592 .50867 L
.55877 .50715 L
.55843 .50674 L
.55705 .50482 L
.55684 .50455 L
.55561 .50289 L
.55492 .50215 L
.55362 .50096 L
.55299 .49941 L
.5527 .49904 L
.55132 .49711 L
.55106 .49678 L
.5499 .49518 L
.54914 .49434 L
.54806 .49326 L
.54721 .49157 L
.54703 .49133 L
.54565 .4894 L
.54528 .48892 L
.54424 .48747 L
.54336 .48645 L
.54252 .48555 L
.54143 .48365 L
.54141 .48362 L
.54004 .48169 L
.5395 .48097 L
.53864 .47977 L
.53758 .47844 L
.53705 .47784 L
.53586 .47591 L
.53565 .47563 L
.53449 .47399 L
.53372 .47293 L
.53311 .47206 L
.53179 .47028 L
.53168 .47013 L
.53039 .46821 L
.52987 .46749 L
.52904 .46628 L
.52794 .46475 L
.52767 .46435 L
.52636 .46242 L
.52601 .46195 L
.52507 .4605 L
.52409 .4591 L
.52375 .45857 L
.5225 .45664 L
.52216 .45616 L
.52134 .45472 L
.52023 .45296 L
.52015 .45279 L
F
1 .28 0 r
.52023 .4601 m
.52056 .4605 L
.52216 .46209 L
.52242 .46242 L
.52216 .4637 L
.52145 .46242 L
.52023 .46063 L
.52017 .4605 L
F
1 .79 0 r
.52023 .56187 m
.5208 .56263 L
.52216 .56413 L
.52247 .56455 L
.52216 .56549 L
.52162 .56455 L
.52023 .56271 L
.52018 .56263 L
F
0 .88 1 r
.52023 .50389 m
.52216 .50424 L
.52295 .50482 L
.52409 .50588 L
.52504 .50674 L
.52601 .50794 L
.52691 .50867 L
.52794 .51025 L
.52826 .5106 L
.52987 .51252 L
.5299 .51253 L
.5314 .51445 L
.53179 .51499 L
.5329 .51638 L
.53372 .51761 L
.53409 .51831 L
.53565 .52019 L
.5357 .52023 L
.53753 .52216 L
.53758 .52266 L
.53848 .52409 L
.5395 .52555 L
.53965 .52601 L
.54098 .52794 L
.54143 .52879 L
.54244 .52987 L
.54143 .53149 L
.5395 .53066 L
.53828 .52987 L
.53758 .52916 L
.5365 .52794 L
.53565 .52692 L
.53437 .52601 L
.53372 .52446 L
.53335 .52409 L
.53197 .52216 L
.53179 .52193 L
.53056 .52023 L
.52987 .51957 L
.52868 .51831 L
.52794 .51675 L
.52767 .51638 L
.52635 .51445 L
.52601 .514 L
.525 .51253 L
.52409 .51125 L
.52334 .5106 L
.52234 .50867 L
.52216 .5084 L
.52118 .50674 L
.52023 .50487 L
.52021 .50482 L
F
0 .28 1 r
.52023 .46819 m
.52024 .46821 L
.52023 .46826 L
.52021 .46821 L
F
1 .41 0 r
.52216 .51243 m
.5222 .51253 L
.52386 .51445 L
.52409 .51471 L
.52538 .51638 L
.52601 .51718 L
.52683 .51831 L
.52794 .51984 L
.52821 .52023 L
.52939 .52216 L
.52987 .523 L
.53031 .52409 L
.52987 .52457 L
.52928 .52409 L
.52794 .52288 L
.52733 .52216 L
.52601 .52066 L
.52569 .52023 L
.52418 .51831 L
.52409 .51819 L
.52283 .51638 L
.52216 .51547 L
.52151 .51445 L
.52026 .51253 L
F
0 .87 1 r
.52216 .50442 m
.52273 .50482 L
.52409 .50601 L
.52492 .50674 L
.52601 .50804 L
.52682 .50867 L
.52794 .51032 L
.52821 .5106 L
.52984 .51253 L
.52987 .51256 L
.53134 .51445 L
.53179 .51506 L
.53285 .51638 L
.53372 .51767 L
.53406 .51831 L
.53565 .52023 L
.53565 .52024 L
.53753 .52216 L
.53758 .52272 L
.53842 .52409 L
.5395 .52566 L
.53961 .52601 L
.54089 .52794 L
.54143 .52899 L
.54223 .52987 L
.54143 .53125 L
.5395 .53057 L
.53839 .52987 L
.53758 .52908 L
.53657 .52794 L
.53565 .52686 L
.53443 .52601 L
.53372 .52441 L
.53339 .52409 L
.53201 .52216 L
.53179 .52188 L
.53059 .52023 L
.52987 .51953 L
.52872 .51831 L
.52794 .5167 L
.52771 .51638 L
.52639 .51445 L
.52601 .51394 L
.52504 .51253 L
.52409 .51118 L
.52341 .5106 L
.52241 .50867 L
.52216 .50829 L
.52128 .50674 L
.52042 .50482 L
F
1 .92 0 r
.52216 .53693 m
.52296 .53758 L
.52409 .53812 L
.52482 .5395 L
.52601 .5407 L
.52641 .54143 L
.52792 .54336 L
.52794 .54339 L
.52929 .54528 L
.52987 .54604 L
.53067 .54721 L
.53179 .54876 L
.53205 .54914 L
.53332 .55106 L
.53372 .55165 L
.5345 .55299 L
.53559 .55492 L
.53372 .55495 L
.53369 .55492 L
.53179 .55307 L
.53165 .55299 L
.52997 .55106 L
.52987 .55095 L
.52834 .54914 L
.52794 .54896 L
.52678 .54721 L
.52601 .5463 L
.52508 .54528 L
.52409 .54362 L
.52395 .54336 L
.52256 .54143 L
.52216 .5408 L
.52134 .5395 L
.52051 .53758 L
F
0 .86 1 r
.52216 .50461 m
.52247 .50482 L
.52409 .50614 L
.52479 .50674 L
.52601 .50814 L
.52673 .50867 L
.52794 .51038 L
.52816 .5106 L
.52977 .51253 L
.52987 .51262 L
.53128 .51445 L
.53179 .51513 L
.53281 .51638 L
.53372 .51774 L
.53403 .51831 L
.5356 .52023 L
.53565 .52031 L
.53752 .52216 L
.53758 .52278 L
.53837 .52409 L
.5395 .52577 L
.53958 .52601 L
.54081 .52794 L
.54143 .52922 L
.54199 .52987 L
.54143 .53097 L
.5395 .53049 L
.53851 .52987 L
.53758 .529 L
.53663 .52794 L
.53565 .5268 L
.5345 .52601 L
.53372 .52436 L
.53344 .52409 L
.53205 .52216 L
.53179 .52184 L
.53063 .52023 L
.52987 .51948 L
.52876 .51831 L
.52794 .51664 L
.52775 .51638 L
.52643 .51445 L
.52601 .51389 L
.52508 .51253 L
.52409 .51112 L
.52348 .5106 L
.52248 .50867 L
.52216 .50817 L
.52137 .50674 L
.52067 .50482 L
F
1 .91 0 r
.52216 .53724 m
.52264 .53758 L
.52409 .53836 L
.52466 .5395 L
.52601 .54091 L
.52629 .54143 L
.52779 .54336 L
.52794 .54355 L
.52917 .54528 L
.52987 .54621 L
.53055 .54721 L
.53179 .54894 L
.53192 .54914 L
.53314 .55106 L
.53372 .55196 L
.53427 .55299 L
.53372 .55451 L
.53204 .55299 L
.53179 .55277 L
.53021 .55106 L
.52987 .55069 L
.52854 .54914 L
.52794 .54884 L
.52697 .54721 L
.52601 .54607 L
.52526 .54528 L
.52409 .54337 L
.52408 .54336 L
.52275 .54143 L
.52216 .54048 L
.52157 .5395 L
.52092 .53758 L
F
0 .57 1 r
.52216 .4538 m
.52295 .45472 L
.52409 .45594 L
.52466 .45664 L
.52601 .45796 L
.5263 .45857 L
.52788 .4605 L
.52794 .46057 L
.5294 .46242 L
.52987 .46298 L
.53093 .46435 L
.53179 .46504 L
.53246 .46628 L
.53372 .46784 L
.53412 .46821 L
.53545 .47013 L
.53565 .47038 L
.53692 .47206 L
.53758 .47257 L
.5384 .47399 L
.5395 .47537 L
.54003 .47591 L
.54132 .47784 L
.54143 .47798 L
.54276 .47977 L
.54336 .48025 L
.54421 .48169 L
.54528 .48306 L
.54579 .48362 L
.54709 .48555 L
.54721 .4857 L
.54851 .48747 L
.54914 .48802 L
.54994 .4894 L
.55106 .49085 L
.55147 .49133 L
.55279 .49326 L
.55299 .49352 L
.55419 .49518 L
.55492 .49587 L
.55628 .49711 L
.55684 .49873 L
.55709 .49904 L
.55843 .50096 L
.55877 .50142 L
.55982 .50289 L
.5607 .50382 L
.56169 .50482 L
.56263 .50671 L
.56265 .50674 L
.564 .50867 L
.56455 .50941 L
.56539 .5106 L
.56648 .5119 L
.56705 .51253 L
.56816 .51445 L
.56841 .51478 L
.5695 .51638 L
.57033 .51751 L
.57088 .51831 L
.57226 .52022 L
.57227 .52023 L
.57356 .52216 L
.57419 .52303 L
.57489 .52409 L
.57611 .52582 L
.57624 .52601 L
.57748 .52794 L
.57804 .52874 L
.57872 .52987 L
.57997 .53174 L
.58 .53179 L
.57997 .53362 L
.5783 .53179 L
.57804 .53153 L
.57664 .52987 L
.57611 .52929 L
.57502 .52794 L
.57419 .52697 L
.57343 .52601 L
.57226 .52477 L
.57186 .52409 L
.57033 .52216 L
.57033 .52216 L
.56884 .52023 L
.56841 .5197 L
.56733 .51831 L
.56648 .51742 L
.56583 .51638 L
.56455 .51473 L
.56429 .51445 L
.56289 .51253 L
.56263 .51219 L
.56143 .5106 L
.5607 .50983 L
.55924 .50867 L
.55877 .50711 L
.55846 .50674 L
.55708 .50482 L
.55684 .50452 L
.55564 .50289 L
.55492 .50212 L
.55365 .50096 L
.55299 .49937 L
.55272 .49904 L
.55134 .49711 L
.55106 .49675 L
.54992 .49518 L
.54914 .49431 L
.54808 .49326 L
.54721 .49154 L
.54705 .49133 L
.54567 .4894 L
.54528 .48888 L
.54427 .48747 L
.54336 .48641 L
.54255 .48555 L
.54144 .48362 L
.54143 .48361 L
.54006 .48169 L
.5395 .48094 L
.53867 .47977 L
.53758 .4784 L
.53709 .47784 L
.53588 .47591 L
.53565 .4756 L
.53452 .47399 L
.53372 .4729 L
.53314 .47206 L
.53179 .47022 L
.53172 .47013 L
.53042 .46821 L
.52987 .46745 L
.52908 .46628 L
.52794 .4647 L
.52771 .46435 L
.5264 .46242 L
.52601 .46188 L
.52512 .4605 L
.52409 .45902 L
.5238 .45857 L
.52257 .45664 L
.52216 .45604 L
.52143 .45472 L
F
0 .85 1 r
.52216 .50482 m
.52409 .50626 L
.52466 .50674 L
.52601 .50824 L
.52663 .50867 L
.52794 .51044 L
.5281 .5106 L
.52971 .51253 L
.52987 .51269 L
.53123 .51445 L
.53179 .5152 L
.53276 .51638 L
.53372 .5178 L
.53399 .51831 L
.53555 .52023 L
.53565 .52038 L
.53751 .52216 L
.53758 .52285 L
.53832 .52409 L
.5395 .5259 L
.53954 .52601 L
.54072 .52794 L
.54143 .5295 L
.5417 .52987 L
.54143 .53062 L
.5395 .53041 L
.53864 .52987 L
.53758 .52892 L
.5367 .52794 L
.53565 .52673 L
.53457 .52601 L
.53372 .52431 L
.53349 .52409 L
.53209 .52216 L
.53179 .52179 L
.53066 .52023 L
.52987 .51944 L
.5288 .51831 L
.52794 .51659 L
.52779 .51638 L
.52647 .51445 L
.52601 .51383 L
.52512 .51253 L
.52409 .51105 L
.52356 .5106 L
.52255 .50867 L
.52216 .50804 L
.52147 .50674 L
F
1 .85 0 r
.52216 .4455 m
.52356 .44701 L
.52409 .44755 L
.5253 .44894 L
.52601 .44974 L
.52696 .45086 L
.52794 .45192 L
.52858 .45279 L
.52987 .45437 L
.53022 .45472 L
.5317 .45664 L
.53179 .45675 L
.53324 .45857 L
.53372 .45911 L
.53551 .4605 L
.53565 .46165 L
.53631 .46242 L
.53758 .46416 L
.53768 .46435 L
.53925 .46628 L
.5395 .46658 L
.54116 .46821 L
.54143 .46916 L
.54219 .47013 L
.54336 .47174 L
.54348 .47206 L
.54511 .47399 L
.54528 .4742 L
.54685 .47591 L
.54721 .4768 L
.54796 .47784 L
.54914 .47942 L
.54923 .47977 L
.55089 .48169 L
.55106 .48191 L
.55254 .48362 L
.55299 .48454 L
.55369 .48555 L
.55492 .48718 L
.55494 .48747 L
.55661 .4894 L
.55684 .48968 L
.55821 .49133 L
.55877 .49234 L
.55937 .49326 L
.5607 .49497 L
.5609 .49518 L
.56231 .49711 L
.56263 .4975 L
.56387 .49904 L
.56455 .50017 L
.56504 .50096 L
.56648 .5028 L
.56657 .50289 L
.56797 .50482 L
.56841 .50535 L
.5695 .50674 L
.57033 .50804 L
.57069 .50867 L
.57222 .5106 L
.57226 .51063 L
.57362 .51253 L
.57419 .51323 L
.57512 .51445 L
.57611 .51593 L
.57634 .51638 L
.57785 .51831 L
.57804 .51845 L
.57974 .52023 L
.57997 .52114 L
.58073 .52216 L
.58189 .52385 L
.582 .52409 L
.58346 .52601 L
.58382 .52631 L
.5853 .52794 L
.58575 .52908 L
.58631 .52987 L
.58767 .53179 L
.58768 .53181 L
.58904 .53372 L
.5896 .53423 L
.59082 .53565 L
.59153 .53708 L
.59187 .53758 L
.59322 .5395 L
.59346 .53982 L
.59459 .54143 L
.59538 .54225 L
.59627 .54336 L
.59731 .54517 L
.59738 .54528 L
.59872 .54721 L
.59924 .54791 L
.60009 .54914 L
.60116 .55045 L
.60163 .55106 L
.60281 .55299 L
.60309 .55337 L
.60413 .55492 L
.60502 .55615 L
.60548 .55684 L
.60682 .55877 L
.60694 .55895 L
.60807 .5607 L
.60887 .56185 L
.60936 .56263 L
.61062 .56455 L
.6108 .56482 L
.61172 .56648 L
.61273 .56819 L
.61282 .56841 L
.61273 .56934 L
.61163 .56841 L
.6108 .56768 L
.60969 .56648 L
.60887 .56562 L
.60795 .56455 L
.60694 .56368 L
.60628 .56263 L
.60502 .56115 L
.60442 .5607 L
.60309 .55877 L
.60309 .55877 L
.60154 .55684 L
.60116 .55652 L
.6 .55492 L
.59924 .55397 L
.59823 .55299 L
.59731 .55146 L
.59701 .55106 L
.59548 .54914 L
.59538 .54905 L
.594 .54721 L
.59346 .54652 L
.59235 .54528 L
.59153 .54393 L
.59114 .54336 L
.5896 .54144 L
.58959 .54143 L
.58814 .5395 L
.58768 .5389 L
.58658 .53758 L
.58575 .53627 L
.58537 .53565 L
.58382 .53374 L
.5838 .53372 L
.58236 .53179 L
.58189 .53118 L
.58086 .52987 L
.57997 .52853 L
.57965 .52794 L
.57807 .52601 L
.57804 .52599 L
.57621 .52409 L
.57611 .52339 L
.57517 .52216 L
.57419 .52073 L
.57395 .52023 L
.57237 .51831 L
.57226 .51819 L
.57058 .51638 L
.57033 .51556 L
.56951 .51445 L
.56841 .5129 L
.56827 .51253 L
.5667 .5106 L
.56648 .51037 L
.56496 .50867 L
.56455 .50771 L
.56387 .50674 L
.56263 .50504 L
.56257 .50482 L
.56105 .50289 L
.5607 .50252 L
.55935 .50096 L
.55877 .49982 L
.55824 .49904 L
.55684 .49715 L
.55684 .49711 L
.55542 .49518 L
.55492 .49464 L
.55376 .49326 L
.55299 .4919 L
.55262 .49133 L
.5512 .4894 L
.55106 .48923 L
.54981 .48747 L
.54914 .48672 L
.54819 .48555 L
.54721 .48395 L
.54701 .48362 L
.5456 .48169 L
.54528 .48161 L
.54422 .47977 L
.54336 .47875 L
.54265 .47784 L
.54143 .47595 L
.54141 .47591 L
.54004 .47399 L
.5395 .47371 L
.53795 .47206 L
.53758 .47069 L
.53716 .47013 L
.53588 .46821 L
.53565 .46789 L
.53453 .46628 L
.53372 .46561 L
.53265 .46435 L
.53179 .46249 L
.53175 .46242 L
.53044 .4605 L
.52987 .45971 L
.5291 .45857 L
.52794 .45716 L
.52754 .45664 L
.52643 .45472 L
.52601 .45413 L
.52515 .45279 L
.52409 .45126 L
.52384 .45086 L
.52262 .44894 L
.52216 .44825 L
.52147 .44701 L
F
0 .56 1 r
.52216 .45394 m
.52284 .45472 L
.52409 .45604 L
.52459 .45664 L
.52601 .45809 L
.52624 .45857 L
.52782 .4605 L
.52794 .46064 L
.52935 .46242 L
.52987 .46304 L
.53089 .46435 L
.53179 .4651 L
.53242 .46628 L
.53372 .46789 L
.53406 .46821 L
.53541 .47013 L
.53565 .47043 L
.53688 .47206 L
.53758 .47261 L
.53836 .47399 L
.5395 .47541 L
.53999 .47591 L
.54129 .47784 L
.54143 .47802 L
.54273 .47977 L
.54336 .48028 L
.54418 .48169 L
.54528 .48309 L
.54576 .48362 L
.54706 .48555 L
.54721 .48574 L
.54848 .48747 L
.54914 .48805 L
.54992 .4894 L
.55106 .49088 L
.55144 .49133 L
.55276 .49326 L
.55299 .49355 L
.55417 .49518 L
.55492 .4959 L
.55625 .49711 L
.55684 .49877 L
.55706 .49904 L
.5584 .50096 L
.55877 .50145 L
.5598 .50289 L
.5607 .50385 L
.56166 .50482 L
.56262 .50674 L
.56263 .50675 L
.56398 .50867 L
.56455 .50944 L
.56536 .5106 L
.56648 .51195 L
.567 .51253 L
.56813 .51445 L
.56841 .51483 L
.56947 .51638 L
.57033 .51755 L
.57085 .51831 L
.57223 .52023 L
.57226 .52028 L
.57352 .52216 L
.57419 .52308 L
.57484 .52409 L
.57611 .52589 L
.5762 .52601 L
.57742 .52794 L
.57804 .52883 L
.57865 .52987 L
.57804 .53142 L
.57672 .52987 L
.57611 .52921 L
.57508 .52794 L
.57419 .5269 L
.57348 .52601 L
.57226 .52469 L
.57191 .52409 L
.57038 .52216 L
.57033 .52211 L
.56888 .52023 L
.56841 .51965 L
.56737 .51831 L
.56648 .51738 L
.56587 .51638 L
.56455 .51469 L
.56433 .51445 L
.56293 .51253 L
.56263 .51214 L
.56146 .5106 L
.5607 .5098 L
.55927 .50867 L
.55877 .50708 L
.55849 .50674 L
.5571 .50482 L
.55684 .50448 L
.55567 .50289 L
.55492 .50209 L
.55368 .50096 L
.55299 .49934 L
.55275 .49904 L
.55137 .49711 L
.55106 .49671 L
.54995 .49518 L
.54914 .49428 L
.54811 .49326 L
.54721 .4915 L
.54708 .49133 L
.5457 .4894 L
.54528 .48885 L
.54429 .48747 L
.54336 .48638 L
.54259 .48555 L
.54146 .48362 L
.54143 .48358 L
.54009 .48169 L
.5395 .48091 L
.53869 .47977 L
.53758 .47836 L
.53712 .47784 L
.53591 .47591 L
.53565 .47556 L
.53455 .47399 L
.53372 .47286 L
.53317 .47206 L
.53179 .47017 L
.53177 .47013 L
.53046 .46821 L
.52987 .4674 L
.52911 .46628 L
.52794 .46464 L
.52774 .46435 L
.52645 .46242 L
.52601 .46182 L
.52517 .4605 L
.52409 .45894 L
.52385 .45857 L
.52266 .45664 L
.52216 .4559 L
.52154 .45472 L
F
1 .4 0 r
.52216 .51254 m
.52381 .51445 L
.52409 .51477 L
.52534 .51638 L
.52601 .51723 L
.52679 .51831 L
.52794 .51991 L
.52816 .52023 L
.52933 .52216 L
.52987 .52314 L
.53021 .52409 L
.52987 .52445 L
.52939 .52409 L
.52794 .52281 L
.52738 .52216 L
.52601 .52061 L
.52573 .52023 L
.52423 .51831 L
.52409 .51813 L
.52287 .51638 L
.52216 .5154 L
.52155 .51445 L
F
1 .27 0 r
.52216 .4622 m
.52233 .46242 L
.52216 .46357 L
.52156 .46242 L
F
0 .84 1 r
.52216 .50502 m
.52409 .50639 L
.52452 .50674 L
.52601 .50833 L
.52652 .50867 L
.52794 .5105 L
.52804 .5106 L
.52965 .51253 L
.52987 .51275 L
.53117 .51445 L
.53179 .51527 L
.53271 .51638 L
.53372 .51786 L
.53396 .51831 L
.53549 .52023 L
.53565 .52045 L
.53749 .52216 L
.53758 .52293 L
.53827 .52409 L
.5395 .52601 L
.5395 .52602 L
.54064 .52794 L
.5414 .52987 L
.5395 .53033 L
.53877 .52987 L
.53758 .52884 L
.53677 .52794 L
.53565 .52667 L
.53464 .52601 L
.53372 .52426 L
.53354 .52409 L
.53213 .52216 L
.53179 .52174 L
.5307 .52023 L
.52987 .51939 L
.52885 .51831 L
.52794 .51653 L
.52783 .51638 L
.52651 .51445 L
.52601 .51377 L
.52517 .51253 L
.52409 .51098 L
.52364 .5106 L
.52262 .50867 L
.52216 .50791 L
.52157 .50674 L
F
1 .39 0 r
.52216 .51262 m
.52375 .51445 L
.52409 .51483 L
.52529 .51638 L
.52601 .51729 L
.52675 .51831 L
.52794 .51997 L
.52812 .52023 L
.52926 .52216 L
.52987 .52332 L
.53008 .52409 L
.52987 .5243 L
.52954 .52409 L
.52794 .52275 L
.52744 .52216 L
.52601 .52055 L
.52577 .52023 L
.52427 .51831 L
.52409 .51807 L
.52291 .51638 L
.52216 .51534 L
.5216 .51445 L
F
1 .9 0 r
.52216 .53757 m
.52217 .53758 L
.52409 .53867 L
.52448 .5395 L
.52601 .54115 L
.52616 .54143 L
.52765 .54336 L
.52794 .54373 L
.52904 .54528 L
.52987 .54639 L
.53042 .54721 L
.53179 .54914 L
.53179 .54915 L
.53293 .55106 L
.53372 .55238 L
.53399 .55299 L
.53372 .55398 L
.53244 .55299 L
.53179 .55244 L
.53047 .55106 L
.52987 .55042 L
.52875 .54914 L
.52794 .54866 L
.52715 .54721 L
.52601 .54582 L
.52548 .54528 L
.52426 .54336 L
.52409 .54311 L
.52295 .54143 L
.52216 .54011 L
.52182 .5395 L
.52163 .53758 L
F
1 .38 0 r
.52216 .5127 m
.52369 .51445 L
.52409 .51489 L
.52524 .51638 L
.52601 .51735 L
.5267 .51831 L
.52794 .52004 L
.52807 .52023 L
.52919 .52216 L
.52987 .5236 L
.5299 .52409 L
.52987 .52411 L
.52979 .52409 L
.52794 .52268 L
.52749 .52216 L
.52601 .5205 L
.52581 .52023 L
.52432 .51831 L
.52409 .51802 L
.52296 .51638 L
.52216 .51528 L
.52164 .51445 L
F
0 .55 1 r
.52216 .4541 m
.52272 .45472 L
.52409 .45614 L
.52451 .45664 L
.52601 .45822 L
.52617 .45857 L
.52775 .4605 L
.52794 .46071 L
.5293 .46242 L
.52987 .4631 L
.53085 .46435 L
.53179 .46516 L
.53238 .46628 L
.53372 .46795 L
.53401 .46821 L
.53537 .47013 L
.53565 .47047 L
.53685 .47206 L
.53758 .47265 L
.53833 .47399 L
.5395 .47545 L
.53995 .47591 L
.54126 .47784 L
.54143 .47805 L
.5427 .47977 L
.54336 .48031 L
.54416 .48169 L
.54528 .48313 L
.54573 .48362 L
.54704 .48555 L
.54721 .48577 L
.54846 .48747 L
.54914 .48808 L
.54989 .4894 L
.55106 .49092 L
.55141 .49133 L
.55274 .49326 L
.55299 .49358 L
.55415 .49518 L
.55492 .49593 L
.55622 .49711 L
.55684 .4988 L
.55703 .49904 L
.55838 .50096 L
.55877 .50148 L
.55977 .50289 L
.5607 .50389 L
.56162 .50482 L
.56259 .50674 L
.56263 .50679 L
.56395 .50867 L
.56455 .50948 L
.56534 .5106 L
.56648 .512 L
.56696 .51253 L
.5681 .51445 L
.56841 .51487 L
.56944 .51638 L
.57033 .5176 L
.57082 .51831 L
.57219 .52023 L
.57226 .52033 L
.57348 .52216 L
.57419 .52314 L
.5748 .52409 L
.57611 .52595 L
.57615 .52601 L
.57735 .52794 L
.57804 .52893 L
.57858 .52987 L
.57804 .5313 L
.57681 .52987 L
.57611 .52912 L
.57515 .52794 L
.57419 .52683 L
.57354 .52601 L
.57226 .52461 L
.57196 .52409 L
.57043 .52216 L
.57033 .52205 L
.56892 .52023 L
.56841 .5196 L
.56741 .51831 L
.56648 .51733 L
.5659 .51638 L
.56455 .51464 L
.56437 .51445 L
.56296 .51253 L
.56263 .5121 L
.56149 .5106 L
.5607 .50976 L
.55931 .50867 L
.55877 .50704 L
.55852 .50674 L
.55713 .50482 L
.55684 .50445 L
.55569 .50289 L
.55492 .50205 L
.55371 .50096 L
.55299 .4993 L
.55278 .49904 L
.55139 .49711 L
.55106 .49668 L
.54997 .49518 L
.54914 .49425 L
.54814 .49326 L
.54721 .49147 L
.5471 .49133 L
.54572 .4894 L
.54528 .48882 L
.54431 .48747 L
.54336 .48634 L
.54262 .48555 L
.54149 .48362 L
.54143 .48354 L
.54012 .48169 L
.5395 .48087 L
.53872 .47977 L
.53758 .47832 L
.53716 .47784 L
.53594 .47591 L
.53565 .47552 L
.53458 .47399 L
.53372 .47282 L
.53319 .47206 L
.53181 .47013 L
.53179 .47012 L
.53049 .46821 L
.52987 .46735 L
.52915 .46628 L
.52794 .46459 L
.52778 .46435 L
.5265 .46242 L
.52601 .46175 L
.52522 .4605 L
.52409 .45886 L
.52391 .45857 L
.52275 .45664 L
.52216 .45575 L
.52165 .45472 L
F
1 .84 0 r
.52216 .44583 m
.52331 .44701 L
.52409 .44777 L
.52512 .44894 L
.52601 .44992 L
.52682 .45086 L
.52794 .45208 L
.52846 .45279 L
.52987 .4545 L
.5301 .45472 L
.53161 .45664 L
.53179 .45686 L
.53316 .45857 L
.53372 .45921 L
.53546 .4605 L
.53565 .46174 L
.53625 .46242 L
.53758 .46422 L
.53764 .46435 L
.53919 .46628 L
.5395 .46665 L
.54114 .46821 L
.54143 .46922 L
.54214 .47013 L
.54336 .47179 L
.54346 .47206 L
.54507 .47399 L
.54528 .47425 L
.54683 .47591 L
.54721 .47685 L
.54793 .47784 L
.54914 .47946 L
.54922 .47977 L
.55085 .48169 L
.55106 .48195 L
.55252 .48362 L
.55299 .48458 L
.55366 .48555 L
.55492 .48721 L
.55494 .48747 L
.55659 .4894 L
.55684 .48972 L
.55819 .49133 L
.55877 .49237 L
.55935 .49326 L
.5607 .495 L
.56087 .49518 L
.56228 .49711 L
.56263 .49753 L
.56385 .49904 L
.56455 .5002 L
.56502 .50096 L
.56648 .50282 L
.56654 .50289 L
.56795 .50482 L
.56841 .50538 L
.56948 .50674 L
.57033 .50807 L
.57067 .50867 L
.57219 .5106 L
.57226 .51064 L
.5736 .51253 L
.57419 .51326 L
.5751 .51445 L
.57611 .51596 L
.57633 .51638 L
.57782 .51831 L
.57804 .51847 L
.57973 .52023 L
.57997 .52117 L
.58071 .52216 L
.58189 .52388 L
.58198 .52409 L
.58343 .52601 L
.58382 .52633 L
.58528 .52794 L
.58575 .52912 L
.58629 .52987 L
.58764 .53179 L
.58768 .53184 L
.58901 .53372 L
.5896 .53427 L
.59079 .53565 L
.59153 .53713 L
.59184 .53758 L
.59319 .5395 L
.59346 .53987 L
.59456 .54143 L
.59538 .54231 L
.59623 .54336 L
.59731 .54523 L
.59734 .54528 L
.59868 .54721 L
.59924 .54797 L
.60004 .54914 L
.60116 .55054 L
.60156 .55106 L
.60275 .55299 L
.60309 .55345 L
.60407 .55492 L
.60502 .55625 L
.60542 .55684 L
.60673 .55877 L
.60694 .55907 L
.60798 .5607 L
.60887 .562 L
.60925 .56263 L
.61045 .56455 L
.6108 .56509 L
.6115 .56648 L
.6108 .56736 L
.60994 .56648 L
.60887 .5654 L
.60812 .56455 L
.60694 .56349 L
.60642 .56263 L
.60502 .561 L
.60461 .5607 L
.6032 .55877 L
.60309 .55865 L
.60163 .55684 L
.60116 .55644 L
.60008 .55492 L
.59924 .55388 L
.5983 .55299 L
.59731 .55138 L
.59707 .55106 L
.59555 .54914 L
.59538 .54899 L
.59405 .54721 L
.59346 .54645 L
.5924 .54528 L
.59153 .54387 L
.59118 .54336 L
.58964 .54143 L
.5896 .54139 L
.58818 .5395 L
.58768 .53884 L
.58661 .53758 L
.58575 .53622 L
.5854 .53565 L
.58384 .53372 L
.58382 .53371 L
.5824 .53179 L
.58189 .53114 L
.58088 .52987 L
.57997 .52849 L
.57967 .52794 L
.57809 .52601 L
.57804 .52596 L
.57621 .52409 L
.57611 .52336 L
.57519 .52216 L
.57419 .5207 L
.57397 .52023 L
.57239 .51831 L
.57226 .51817 L
.57059 .51638 L
.57033 .51553 L
.56953 .51445 L
.56841 .51287 L
.56828 .51253 L
.56672 .5106 L
.56648 .51035 L
.56497 .50867 L
.56455 .50768 L
.56389 .50674 L
.56263 .50501 L
.56258 .50482 L
.56107 .50289 L
.5607 .5025 L
.55937 .50096 L
.55877 .49979 L
.55825 .49904 L
.55684 .49713 L
.55684 .49711 L
.55544 .49518 L
.55492 .49461 L
.55378 .49326 L
.55299 .49187 L
.55264 .49133 L
.55122 .4894 L
.55106 .4892 L
.54983 .48747 L
.54914 .48669 L
.54821 .48555 L
.54721 .48392 L
.54703 .48362 L
.54563 .48169 L
.54528 .4816 L
.54424 .47977 L
.54336 .47871 L
.54268 .47784 L
.54143 .47591 L
.54143 .47591 L
.54008 .47399 L
.5395 .47368 L
.53798 .47206 L
.53758 .47063 L
.5372 .47013 L
.53592 .46821 L
.53565 .46783 L
.53457 .46628 L
.53372 .46554 L
.53271 .46435 L
.53181 .46242 L
.53179 .46241 L
.5305 .4605 L
.52987 .45963 L
.52916 .45857 L
.52794 .45701 L
.52766 .45664 L
.52652 .45472 L
.52601 .45401 L
.52524 .45279 L
.52409 .45111 L
.52394 .45086 L
.52277 .44894 L
.52216 .44798 L
.52167 .44701 L
F
0 .83 1 r
.52216 .50524 m
.52409 .50651 L
.52438 .50674 L
.52601 .50842 L
.5264 .50867 L
.52794 .51056 L
.52799 .5106 L
.52958 .51253 L
.52987 .51282 L
.53112 .51445 L
.53179 .51534 L
.53267 .51638 L
.53372 .51792 L
.53393 .51831 L
.53544 .52023 L
.53565 .52052 L
.53747 .52216 L
.53758 .523 L
.53821 .52409 L
.53943 .52601 L
.5395 .52614 L
.54055 .52794 L
.54122 .52987 L
.5395 .53024 L
.53892 .52987 L
.53758 .52876 L
.53684 .52794 L
.53565 .52661 L
.53472 .52601 L
.53372 .52421 L
.53359 .52409 L
.53217 .52216 L
.53179 .52169 L
.53074 .52023 L
.52987 .51934 L
.52889 .51831 L
.52794 .51647 L
.52787 .51638 L
.52655 .51445 L
.52601 .51371 L
.52521 .51253 L
.52409 .51091 L
.52372 .5106 L
.5227 .50867 L
.52216 .50775 L
.52168 .50674 L
F
1 .37 0 r
.52216 .51278 m
.52363 .51445 L
.52409 .51496 L
.52519 .51638 L
.52601 .51741 L
.52666 .51831 L
.52794 .52011 L
.52802 .52023 L
.52912 .52216 L
.52794 .52261 L
.52755 .52216 L
.52601 .52044 L
.52585 .52023 L
.52437 .51831 L
.52409 .51796 L
.52301 .51638 L
.52216 .51521 L
.52169 .51445 L
F
1 .26 0 r
.52216 .46233 m
.52223 .46242 L
.52216 .46341 L
.52171 .46242 L
F
1 .99 0 r
.63585 .66889 m
.63778 .67026 L
.63858 .67053 L
.6397 .67177 L
.6406 .67246 L
.64163 .6732 L
.64356 .67434 L
.64367 .67439 L
.64548 .67493 L
.64741 .67489 L
.64934 .67516 L
.65126 .67596 L
.65212 .67631 L
.65319 .677 L
.65512 .67812 L
.65532 .67824 L
.65704 .67922 L
.65891 .68017 L
.65897 .6802 L
.6609 .68108 L
.66283 .68199 L
.663 .68209 L
.66475 .68308 L
.66614 .68402 L
.66668 .68439 L
.66861 .68583 L
.66877 .68595 L
.67053 .68732 L
.67126 .68788 L
.67246 .6888 L
.67378 .6898 L
.67439 .69025 L
.67631 .69165 L
.67642 .69173 L
.67824 .69302 L
.67921 .69366 L
.68017 .69431 L
.68209 .69557 L
.68212 .69558 L
.68402 .6969 L
.68493 .69751 L
.68595 .69827 L
.68754 .69944 L
.68788 .6997 L
.6898 .70117 L
.69005 .70136 L
.69173 .70267 L
.69253 .70329 L
.69366 .70416 L
.69505 .70522 L
.69558 .70563 L
.69751 .70707 L
.69761 .70715 L
.69944 .70851 L
.70019 .70907 L
.70136 .70997 L
.70272 .711 L
.70329 .71145 L
.70517 .71293 L
.70522 .71297 L
.70715 .71453 L
.70754 .71485 L
.70907 .71612 L
.70986 .71678 L
.711 .71773 L
.71218 .71871 L
.71293 .71933 L
.7145 .72063 L
.71485 .72093 L
.71678 .72252 L
.71683 .72256 L
.71871 .72412 L
.71917 .72449 L
.72063 .7257 L
.72152 .72641 L
.72256 .72728 L
.72387 .72834 L
.72449 .72885 L
.72621 .73027 L
.72641 .73044 L
.72834 .73205 L
.72851 .7322 L
.73027 .73368 L
.73079 .73412 L
.7322 .73532 L
.73306 .73605 L
.73412 .73696 L
.73532 .73798 L
.73605 .7386 L
.73758 .7399 L
.73798 .74025 L
.73983 .74183 L
.7399 .74189 L
.74183 .74355 L
.74207 .74376 L
.74376 .74522 L
.7443 .74568 L
.74568 .74689 L
.74652 .74761 L
.74761 .74856 L
.74874 .74954 L
.74954 .75024 L
.75095 .75146 L
.75146 .75192 L
.75314 .75339 L
.75339 .75361 L
.75532 .75531 L
.75533 .75532 L
.75725 .75702 L
.7575 .75725 L
.75917 .75874 L
.75966 .75917 L
.7611 .76046 L
.76182 .7611 L
.76303 .76218 L
.76398 .76303 L
.76495 .7639 L
.76613 .76495 L
.76688 .76563 L
.76828 .76688 L
.76881 .76736 L
.77042 .76881 L
.77073 .76909 L
.77255 .77073 L
.77266 .77083 L
.77459 .77258 L
.77467 .77266 L
.77651 .77435 L
.77678 .77459 L
.77844 .77611 L
.77889 .77651 L
.78037 .77788 L
.78099 .77844 L
.7823 .77965 L
.78308 .78037 L
.78422 .78142 L
.78518 .7823 L
.78615 .7832 L
.78726 .78422 L
.78808 .78498 L
.78934 .78615 L
.79 .78677 L
.79142 .78808 L
.79193 .78856 L
.79349 .79 L
.79386 .79035 L
.79555 .79193 L
.79578 .79215 L
.79761 .79386 L
.79771 .79395 L
.79964 .79576 L
.79966 .79578 L
.80156 .79759 L
.8017 .79771 L
.80349 .79941 L
.80373 .79964 L
.80542 .80124 L
.80576 .80156 L
.80735 .80308 L
.80778 .80349 L
.80927 .80492 L
.8098 .80542 L
.8112 .80676 L
.81181 .80735 L
.81313 .80861 L
.81382 .80927 L
.81505 .81046 L
.81583 .8112 L
.81698 .81231 L
.81782 .81313 L
.81891 .81418 L
.81982 .81505 L
.82083 .81604 L
.8218 .81698 L
.82276 .81791 L
.82379 .81891 L
.82469 .81979 L
.82576 .82083 L
.82661 .82167 L
.82773 .82276 L
.82854 .82355 L
.8297 .82469 L
.83047 .82545 L
.83166 .82661 L
.8324 .82734 L
.83361 .82854 L
.83432 .82924 L
.83556 .83047 L
.83625 .83115 L
.8375 .8324 L
.83818 .83306 L
.83944 .83432 L
.8401 .83498 L
.84137 .83625 L
.84203 .83691 L
.8433 .83818 L
.84396 .83884 L
.84522 .8401 L
.84588 .84077 L
.84713 .84203 L
.84781 .84271 L
.84904 .84396 L
.84974 .84466 L
.85094 .84588 L
.85166 .84662 L
.85284 .84781 L
.85359 .84858 L
.85473 .84974 L
.85552 .85054 L
.85661 .85166 L
.85745 .85251 L
.85849 .85359 L
.85937 .85449 L
.86037 .85552 L
.8613 .85648 L
.86223 .85745 L
.86323 .85847 L
.86409 .85937 L
.86515 .86047 L
.86595 .8613 L
.86708 .86247 L
.8678 .86323 L
.86901 .86449 L
.86964 .86515 L
.87093 .8665 L
.87148 .86708 L
.87286 .86853 L
.87331 .86901 L
.87479 .87056 L
.87514 .87093 L
.87671 .8726 L
.87696 .87286 L
.87864 .87465 L
.87877 .87479 L
.88057 .87671 L
.88058 .87671 L
.88237 .87864 L
.8825 .87878 L
.88415 .88057 L
.88442 .88086 L
.88593 .8825 L
.88635 .88294 L
.8877 .88442 L
.88828 .88504 L
.88947 .88635 L
.8902 .88715 L
.89123 .88828 L
.89213 .88927 L
.89298 .8902 L
.89406 .89139 L
.89472 .89213 L
.89598 .89353 L
.89646 .89406 L
.89791 .89568 L
.89819 .89598 L
.89984 .89783 L
.89991 .89791 L
.90161 .89984 L
.90177 .90001 L
.90331 .90177 L
.90369 .9022 L
.905 .90369 L
.90562 .9044 L
.90667 .90562 L
.90755 .90662 L
.90834 .90755 L
.90947 .90885 L
.91 .90947 L
.9114 .9111 L
.91165 .9114 L
.91329 .91333 L
.91333 .91337 L
.91491 .91525 L
.91525 .91566 L
.91652 .91718 L
.91718 .91797 L
.91812 .91911 L
.91911 .9203 L
.91971 .92103 L
.92103 .92266 L
.92128 .92296 L
.92284 .92489 L
.92296 .92504 L
.92438 .92682 L
.92489 .92746 L
.9259 .92874 L
.92682 .92991 L
.92741 .93067 L
.92874 .9324 L
.92889 .9326 L
.93036 .93452 L
.93067 .93493 L
.9318 .93645 L
.9326 .93752 L
.93322 .93838 L
.93452 .94017 L
.93462 .9403 L
.93599 .94223 L
.93645 .94289 L
.93732 .94416 L
.93838 .94571 L
.93862 .94608 L
.93988 .94801 L
.9403 .94866 L
.9411 .94994 L
.94223 .95181 L
.94227 .95187 L
.94337 .95379 L
.94416 .95524 L
.9444 .95572 L
.94534 .95765 L
.94608 .95936 L
.94616 .95957 L
.94683 .9615 L
.94725 .96343 L
.94724 .96535 L
.94608 .96721 L
.94581 .96728 L
.94416 .96766 L
.94223 .9675 L
.94119 .96728 L
.9403 .96704 L
.93838 .9664 L
.93645 .96562 L
.93582 .96535 L
.93452 .96475 L
.9326 .96381 L
.93185 .96343 L
.93067 .9628 L
.92874 .96173 L
.92833 .9615 L
.92682 .96063 L
.92504 .95957 L
.92489 .95948 L
.92296 .9583 L
.92191 .95765 L
.92103 .95709 L
.91911 .95585 L
.91891 .95572 L
.91718 .95458 L
.91599 .95379 L
.91525 .95329 L
.91333 .95198 L
.91316 .95187 L
.9114 .95065 L
.91038 .94994 L
.90947 .94929 L
.90766 .94801 L
.90755 .94793 L
.90562 .94653 L
.905 .94608 L
.90369 .94512 L
.90238 .94416 L
.90177 .9437 L
.89984 .94226 L
.8998 .94223 L
.89791 .9408 L
.89725 .9403 L
.89598 .93933 L
.89474 .93838 L
.89406 .93784 L
.89226 .93645 L
.89213 .93635 L
.8902 .93484 L
.8898 .93452 L
.88828 .93332 L
.88735 .9326 L
.88635 .9318 L
.88492 .93067 L
.88442 .93027 L
.8825 .92874 L
.88249 .92874 L
.88057 .92721 L
.88007 .92682 L
.87864 .92569 L
.87763 .92489 L
.87671 .92417 L
.87517 .92296 L
.87479 .92267 L
.87286 .92118 L
.87267 .92103 L
.87093 .91972 L
.87013 .91911 L
.86901 .91828 L
.8675 .91718 L
.86708 .91689 L
.86515 .91556 L
.86479 .91525 L
.86323 .91431 L
.86163 .91333 L
.8613 .91321 L
.85937 .91244 L
.85745 .91264 L
.85684 .91333 L
.85559 .91525 L
.85552 .9154 L
.85359 .91703 L
.85294 .91718 L
.85166 .91766 L
.84974 .91811 L
.84781 .91838 L
.84588 .91857 L
.84396 .91869 L
.84203 .91878 L
.8401 .91884 L
.83818 .91887 L
.83625 .91889 L
.83432 .91889 L
.8324 .91887 L
.83047 .91883 L
.82854 .91877 L
.82661 .91869 L
.82469 .91857 L
.82276 .91842 L
.82083 .91822 L
.81891 .91797 L
.81698 .91766 L
.81505 .91733 L
.81416 .91718 L
.81313 .91692 L
.8112 .91635 L
.80927 .91573 L
.80753 .91525 L
.80735 .91518 L
.80542 .91437 L
.80349 .91375 L
.80236 .91333 L
.80156 .91296 L
.79964 .91243 L
.79771 .91268 L
.79766 .91333 L
.79771 .91354 L
.79836 .91525 L
.7996 .91718 L
.79964 .91725 L
.80091 .91911 L
.80156 .92007 L
.80231 .92103 L
.80349 .92261 L
.80377 .92296 L
.80526 .92489 L
.80542 .92509 L
.80677 .92682 L
.80735 .92755 L
.80829 .92874 L
.80927 .92999 L
.80981 .93067 L
.8112 .93244 L
.81132 .9326 L
.81283 .93452 L
.81313 .93491 L
.81432 .93645 L
.81505 .93742 L
.81578 .93838 L
.81698 .93998 L
.81722 .9403 L
.81862 .94223 L
.81891 .94263 L
.81999 .94416 L
.82083 .94538 L
.82131 .94608 L
.8226 .94801 L
.82276 .94826 L
.82383 .94994 L
.82469 .95134 L
.825 .95187 L
.82611 .95379 L
.82661 .9547 L
.82714 .95572 L
.82809 .95765 L
.82854 .95862 L
.82891 .95957 L
.82957 .9615 L
.82999 .96343 L
.82998 .96535 L
.82855 .96728 L
.82854 .96728 L
.82661 .96766 L
.82469 .96745 L
.82393 .96728 L
.82276 .96696 L
.82083 .96629 L
.81891 .9655 L
.81856 .96535 L
.81698 .96462 L
.81505 .96366 L
.8146 .96343 L
.81313 .96264 L
.8112 .96157 L
.81107 .9615 L
.80927 .96046 L
.80778 .95957 L
.80735 .95931 L
.80542 .95812 L
.80466 .95765 L
.80349 .9569 L
.80165 .95572 L
.80156 .95566 L
.79964 .95439 L
.79873 .95379 L
.79771 .9531 L
.79589 .95187 L
.79578 .95179 L
.79386 .95046 L
.79311 .94994 L
.79193 .94911 L
.79038 .94801 L
.79 .94774 L
.78808 .94636 L
.78769 .94608 L
.78615 .94496 L
.78504 .94416 L
.78422 .94355 L
.78243 .94223 L
.7823 .94213 L
.78037 .94069 L
.77985 .9403 L
.77844 .93924 L
.7773 .93838 L
.77651 .93778 L
.77477 .93645 L
.77459 .93631 L
.77266 .93482 L
.77227 .93452 L
.77073 .93333 L
.76979 .9326 L
.76881 .93183 L
.76732 .93067 L
.76688 .93032 L
.76495 .9288 L
.76488 .92874 L
.76303 .92726 L
.76246 .92682 L
.7611 .92572 L
.76005 .92489 L
.75917 .92418 L
.75766 .92296 L
.75725 .92263 L
.75532 .92107 L
.75528 .92103 L
.75339 .91949 L
.75292 .91911 L
.75146 .91791 L
.75057 .91718 L
.74954 .91632 L
.74823 .91525 L
.74761 .91473 L
.74591 .91333 L
.74568 .91314 L
.74376 .91153 L
.7436 .9114 L
.74183 .90991 L
.7413 .90947 L
.7399 .90829 L
.73901 .90755 L
.73798 .90666 L
.73673 .90562 L
.73605 .90503 L
.73446 .90369 L
.73412 .9034 L
.7322 .90177 L
.7322 .90176 L
.73027 .9001 L
.72995 .89984 L
.72834 .89844 L
.72772 .89791 L
.72641 .89678 L
.72549 .89598 L
.72449 .89511 L
.72326 .89406 L
.72256 .89344 L
.72105 .89213 L
.72063 .89177 L
.71884 .8902 L
.71871 .89009 L
.71678 .8884 L
.71664 .88828 L
.71485 .88669 L
.71446 .88635 L
.71293 .88499 L
.71228 .88442 L
.711 .88328 L
.71011 .8825 L
.70907 .88157 L
.70794 .88057 L
.70715 .87986 L
.70578 .87864 L
.70522 .87814 L
.70362 .87671 L
.70329 .87642 L
.70147 .87479 L
.70136 .87469 L
.69944 .87295 L
.69933 .87286 L
.69751 .8712 L
.69721 .87093 L
.69558 .86945 L
.69509 .86901 L
.69366 .8677 L
.69297 .86708 L
.69173 .86594 L
.69086 .86515 L
.6898 .86418 L
.68875 .86323 L
.68788 .86242 L
.68665 .8613 L
.68595 .86065 L
.68456 .85937 L
.68402 .85888 L
.68247 .85745 L
.68209 .8571 L
.68038 .85552 L
.68017 .85532 L
.67831 .85359 L
.67824 .85353 L
.67631 .85173 L
.67624 .85166 L
.67439 .84993 L
.67418 .84974 L
.67246 .84812 L
.67213 .84781 L
.67053 .84631 L
.67008 .84588 L
.66861 .84449 L
.66804 .84396 L
.66668 .84267 L
.666 .84203 L
.66475 .84084 L
.66397 .8401 L
.66283 .83902 L
.66194 .83818 L
.6609 .83718 L
.65992 .83625 L
.65897 .83534 L
.6579 .83432 L
.65704 .8335 L
.65589 .8324 L
.65512 .83166 L
.65388 .83047 L
.65319 .8298 L
.65188 .82854 L
.65126 .82795 L
.64988 .82661 L
.64934 .82608 L
.64789 .82469 L
.64741 .82422 L
.64591 .82276 L
.64548 .82235 L
.64393 .82083 L
.64356 .82047 L
.64196 .81891 L
.64163 .81859 L
.63999 .81698 L
.6397 .8167 L
.63803 .81505 L
.63778 .81481 L
.63607 .81313 L
.63585 .81291 L
.63412 .8112 L
.63392 .811 L
.63218 .80927 L
.63199 .80909 L
.63024 .80735 L
.63007 .80718 L
.6283 .80542 L
.62814 .80526 L
.62638 .80349 L
.62621 .80333 L
.62445 .80156 L
.62429 .8014 L
.62254 .79964 L
.62236 .79946 L
.62063 .79771 L
.62043 .79751 L
.61872 .79578 L
.61851 .79556 L
.61683 .79386 L
.61658 .79361 L
.61493 .79193 L
.61465 .79164 L
.61305 .79 L
.61273 .78967 L
.61117 .78808 L
.6108 .7877 L
.60929 .78615 L
.60887 .78572 L
.60742 .78422 L
.60694 .78373 L
.60556 .7823 L
.60502 .78173 L
.60371 .78037 L
.60309 .77973 L
.60186 .77844 L
.60116 .77772 L
.60001 .77651 L
.59924 .7757 L
.59818 .77459 L
.59731 .77368 L
.59634 .77266 L
.59538 .77165 L
.59452 .77073 L
.59346 .76961 L
.5927 .76881 L
.59153 .76757 L
.59089 .76688 L
.5896 .76551 L
.58908 .76495 L
.58768 .76345 L
.58728 .76303 L
.58575 .76138 L
.58549 .7611 L
.58382 .75931 L
.5837 .75917 L
.58192 .75725 L
.58189 .75722 L
.58015 .75532 L
.57997 .75512 L
.5784 .75339 L
.57804 .753 L
.57664 .75146 L
.57611 .75088 L
.5749 .74954 L
.57419 .74875 L
.57317 .74761 L
.57226 .74661 L
.57144 .74568 L
.57033 .74445 L
.56972 .74376 L
.56841 .74229 L
.568 .74183 L
.56648 .74011 L
.5663 .7399 L
.5646 .73798 L
.56455 .73792 L
.56292 .73605 L
.56263 .73571 L
.56125 .73412 L
.5607 .73348 L
.55959 .7322 L
.55877 .73124 L
.55794 .73027 L
.55684 .72899 L
.5563 .72834 L
.55492 .72671 L
.55467 .72641 L
.55305 .72449 L
.55299 .72442 L
.55145 .72256 L
.55106 .7221 L
.54986 .72063 L
.54914 .71975 L
.54829 .71871 L
.54721 .71738 L
.54672 .71678 L
.54528 .71499 L
.54518 .71485 L
.54365 .71293 L
.54336 .71256 L
.54214 .711 L
.54143 .71009 L
.54064 .70907 L
.5395 .70758 L
.53917 .70715 L
.53772 .70522 L
.53758 .70503 L
.53629 .70329 L
.53565 .70242 L
.53489 .70136 L
.53372 .69974 L
.53351 .69944 L
.53216 .69751 L
.53179 .69698 L
.53085 .69558 L
.52987 .69411 L
.52958 .69366 L
.52834 .69173 L
.52794 .69109 L
.52716 .6898 L
.52603 .68788 L
.52601 .68784 L
.52498 .68595 L
.52409 .6842 L
.524 .68402 L
.52314 .68209 L
.52242 .68017 L
.52216 .67931 L
.5219 .67824 L
.52174 .67631 L
.52216 .67475 L
.52228 .67439 L
.52409 .67344 L
.52601 .67341 L
.52794 .67376 L
.52987 .67434 L
.53001 .67439 L
.53179 .67507 L
.53372 .6759 L
.53462 .67631 L
.53565 .67682 L
.53758 .67781 L
.5384 .67824 L
.5395 .67885 L
.54143 .67994 L
.54183 .68017 L
.54336 .68107 L
.54505 .68209 L
.54528 .68224 L
.54721 .68344 L
.54814 .68402 L
.54914 .68466 L
.55106 .68591 L
.55112 .68595 L
.55299 .68719 L
.55401 .68788 L
.55492 .68849 L
.55684 .6898 L
.55684 .6898 L
.55877 .69114 L
.55962 .69173 L
.5607 .69249 L
.56236 .69366 L
.56263 .69385 L
.56455 .69523 L
.56505 .69558 L
.56648 .69662 L
.56772 .69751 L
.56841 .69801 L
.57033 .69942 L
.57036 .69944 L
.57226 .70084 L
.57297 .70136 L
.57419 .70228 L
.57556 .70329 L
.57611 .70371 L
.57804 .70516 L
.57812 .70522 L
.57997 .70664 L
.58064 .70715 L
.58189 .70812 L
.58314 .70907 L
.58382 .70961 L
.5856 .711 L
.58575 .71112 L
.58768 .71269 L
.58799 .71293 L
.5896 .71428 L
.59034 .71485 L
.59153 .71589 L
.59263 .71678 L
.59346 .71751 L
.59487 .71871 L
.59538 .71917 L
.59707 .72063 L
.59731 .72086 L
.59922 .72256 L
.59924 .72257 L
.60116 .72433 L
.60135 .72449 L
.60309 .72609 L
.60346 .72641 L
.60502 .72785 L
.60557 .72834 L
.60694 .72961 L
.60768 .73027 L
.60887 .73137 L
.60979 .7322 L
.6108 .73311 L
.61192 .73412 L
.61273 .73485 L
.61407 .73605 L
.61465 .73657 L
.61624 .73798 L
.61658 .73827 L
.61845 .7399 L
.61851 .73995 L
.62043 .7416 L
.6207 .74183 L
.62236 .74322 L
.62301 .74376 L
.62429 .7448 L
.62539 .74568 L
.62621 .74633 L
.62787 .74761 L
.62814 .74781 L
.63007 .74922 L
.63053 .74954 L
.63199 .75052 L
.63351 .75146 L
.63392 .75169 L
.63585 .75267 L
.63778 .75331 L
.63816 .75339 L
.6397 .75353 L
.64133 .75339 L
.64163 .75334 L
.64356 .75299 L
.64548 .75268 L
.64741 .75246 L
.64934 .75231 L
.65126 .75221 L
.65319 .75214 L
.65512 .75209 L
.65704 .75205 L
.65897 .75203 L
.6609 .75201 L
.66283 .75201 L
.66475 .75201 L
.66668 .75201 L
.66861 .75203 L
.67053 .75206 L
.67246 .75209 L
.67439 .75214 L
.67631 .75221 L
.67824 .75231 L
.68017 .75243 L
.68209 .75259 L
.68402 .75279 L
.68595 .75303 L
.68788 .75311 L
.6898 .75335 L
.69017 .75339 L
.69173 .75357 L
.69338 .75339 L
.69366 .75328 L
.69406 .75146 L
.69366 .75053 L
.6931 .74954 L
.6918 .74761 L
.69173 .7475 L
.69034 .74568 L
.6898 .745 L
.68877 .74376 L
.68788 .74269 L
.68713 .74183 L
.68595 .74048 L
.68543 .7399 L
.68402 .73834 L
.68369 .73798 L
.68209 .73623 L
.68192 .73605 L
.68017 .73416 L
.68013 .73412 L
.67832 .7322 L
.67824 .73211 L
.6765 .73027 L
.67631 .73007 L
.67468 .72834 L
.67439 .72803 L
.67286 .72641 L
.67246 .72599 L
.67106 .72449 L
.67053 .72392 L
.66928 .72256 L
.66861 .72183 L
.66754 .72063 L
.66668 .71969 L
.66583 .71871 L
.66475 .71748 L
.66418 .71678 L
.66283 .71518 L
.66258 .71485 L
.66103 .71293 L
.6609 .71277 L
.65959 .711 L
.65897 .71024 L
.65821 .70907 L
.65704 .70756 L
.65682 .70715 L
.65549 .70522 L
.65512 .70472 L
.65434 .70329 L
.65319 .70175 L
.65292 .70136 L
.65183 .69944 L
.65126 .69863 L
.65052 .69751 L
.6494 .69558 L
.64934 .69549 L
.64852 .69366 L
.64741 .69211 L
.64711 .69173 L
.64608 .6898 L
.64548 .68887 L
.64517 .68788 L
.64375 .68595 L
.64356 .68562 L
.64269 .68402 L
.64163 .68229 L
.64156 .68209 L
.6403 .68017 L
.6397 .67904 L
.63926 .67824 L
.63821 .67631 L
.63778 .67557 L
.63669 .67439 L
.6361 .67246 L
.63585 .67199 L
.6352 .67053 L
F
1 .36 0 r
.52216 .51287 m
.52357 .51445 L
.52409 .51502 L
.52514 .51638 L
.52601 .51747 L
.52661 .51831 L
.52794 .52018 L
.52798 .52023 L
.52904 .52216 L
.52794 .52253 L
.52761 .52216 L
.52601 .52039 L
.52589 .52023 L
.52442 .51831 L
.52409 .51789 L
.52305 .51638 L
.52216 .51514 L
.52174 .51445 L
F
1 .35 0 r
.52216 .51296 m
.5235 .51445 L
.52409 .51509 L
.52509 .51638 L
.52601 .51754 L
.52656 .51831 L
.52792 .52023 L
.52794 .52026 L
.52895 .52216 L
.52794 .52246 L
.52768 .52216 L
.52601 .52033 L
.52594 .52023 L
.52447 .51831 L
.52409 .51783 L
.5231 .51638 L
.52216 .51506 L
.52179 .51445 L
F
0 .54 1 r
.52216 .45429 m
.52257 .45472 L
.52409 .45625 L
.52442 .45664 L
.52601 .45837 L
.52611 .45857 L
.52769 .4605 L
.52794 .46078 L
.52925 .46242 L
.52987 .46316 L
.5308 .46435 L
.53179 .46522 L
.53234 .46628 L
.53372 .468 L
.53395 .46821 L
.53534 .47013 L
.53565 .47052 L
.53682 .47206 L
.53758 .47268 L
.5383 .47399 L
.5395 .4755 L
.53991 .47591 L
.54123 .47784 L
.54143 .47809 L
.54267 .47977 L
.54336 .48034 L
.54413 .48169 L
.54528 .48317 L
.54569 .48362 L
.54701 .48555 L
.54721 .4858 L
.54843 .48747 L
.54914 .48811 L
.54987 .4894 L
.55106 .49095 L
.55138 .49133 L
.55272 .49326 L
.55299 .49362 L
.55412 .49518 L
.55492 .49596 L
.55618 .49711 L
.55684 .49884 L
.55701 .49904 L
.55835 .50096 L
.55877 .50152 L
.55975 .50289 L
.5607 .50393 L
.56159 .50482 L
.56257 .50674 L
.56263 .50682 L
.56392 .50867 L
.56455 .50951 L
.56531 .5106 L
.56648 .51205 L
.56691 .51253 L
.56807 .51445 L
.56841 .51491 L
.56941 .51638 L
.57033 .51764 L
.57079 .51831 L
.57215 .52023 L
.57226 .52038 L
.57343 .52216 L
.57419 .5232 L
.57476 .52409 L
.57611 .52601 L
.57611 .52602 L
.57729 .52794 L
.57804 .52904 L
.57851 .52987 L
.57804 .53118 L
.57691 .52987 L
.57611 .52903 L
.57522 .52794 L
.57419 .52675 L
.57359 .52601 L
.57226 .52453 L
.57201 .52409 L
.57047 .52216 L
.57033 .52199 L
.56896 .52023 L
.56841 .51955 L
.56745 .51831 L
.56648 .51728 L
.56594 .51638 L
.56455 .5146 L
.56442 .51445 L
.56299 .51253 L
.56263 .51206 L
.56152 .5106 L
.5607 .50972 L
.55935 .50867 L
.55877 .507 L
.55855 .50674 L
.55716 .50482 L
.55684 .50441 L
.55572 .50289 L
.55492 .50202 L
.55374 .50096 L
.55299 .49927 L
.5528 .49904 L
.55142 .49711 L
.55106 .49665 L
.54999 .49518 L
.54914 .49421 L
.54817 .49326 L
.54721 .49144 L
.54713 .49133 L
.54575 .4894 L
.54528 .48879 L
.54434 .48747 L
.54336 .48631 L
.54265 .48555 L
.54151 .48362 L
.54143 .48351 L
.54014 .48169 L
.5395 .48084 L
.53874 .47977 L
.53758 .47827 L
.5372 .47784 L
.53597 .47591 L
.53565 .47548 L
.53461 .47399 L
.53372 .47278 L
.53322 .47206 L
.53184 .47013 L
.53179 .47007 L
.53053 .46821 L
.52987 .4673 L
.52918 .46628 L
.52794 .46453 L
.52782 .46435 L
.52655 .46242 L
.52601 .46167 L
.52527 .4605 L
.52409 .45877 L
.52396 .45857 L
.52285 .45664 L
.52216 .45556 L
.5218 .45472 L
F
0 .82 1 r
.52216 .50547 m
.52409 .50664 L
.52422 .50674 L
.52601 .50851 L
.52628 .50867 L
.52792 .5106 L
.52794 .51062 L
.52952 .51253 L
.52987 .51288 L
.53106 .51445 L
.53179 .5154 L
.53262 .51638 L
.53372 .51799 L
.53389 .51831 L
.53539 .52023 L
.53565 .52059 L
.53745 .52216 L
.53758 .52309 L
.53816 .52409 L
.53936 .52601 L
.5395 .52626 L
.54046 .52794 L
.54101 .52987 L
.5395 .53013 L
.53908 .52987 L
.53758 .52867 L
.53691 .52794 L
.53565 .52654 L
.53481 .52601 L
.53372 .52416 L
.53364 .52409 L
.53221 .52216 L
.53179 .52164 L
.53077 .52023 L
.52987 .51928 L
.52894 .51831 L
.52794 .51641 L
.52792 .51638 L
.52659 .51445 L
.52601 .51365 L
.52525 .51253 L
.52409 .51083 L
.52381 .5106 L
.52278 .50867 L
.52216 .50757 L
.5218 .50674 L
F
0 .92 1 r
.52216 .55636 m
.52264 .55684 L
.52409 .55833 L
.52448 .55877 L
.52601 .56032 L
.52616 .5607 L
.52775 .56263 L
.52794 .56284 L
.52932 .56455 L
.52987 .56521 L
.53087 .56648 L
.53179 .56704 L
.5324 .56841 L
.53372 .57007 L
.53402 .57033 L
.53537 .57226 L
.53565 .57262 L
.53684 .57419 L
.53758 .57463 L
.53831 .57611 L
.5395 .57764 L
.5399 .57804 L
.5412 .57997 L
.54143 .58027 L
.54264 .58189 L
.54336 .58242 L
.54408 .58382 L
.54528 .58541 L
.54559 .58575 L
.54691 .58768 L
.54721 .58807 L
.54833 .5896 L
.54914 .59032 L
.54975 .59153 L
.55106 .59333 L
.55117 .59346 L
.55253 .59538 L
.55299 .59601 L
.55392 .59731 L
.55492 .5984 L
.55531 .59924 L
.55668 .60116 L
.55684 .60139 L
.55803 .60309 L
.55877 .60412 L
.5594 .60502 L
.5607 .60681 L
.56083 .60694 L
.56205 .60887 L
.56263 .60969 L
.56336 .6108 L
.56455 .61253 L
.56468 .61273 L
.56586 .61465 L
.56648 .61557 L
.56704 .61658 L
.56648 .61735 L
.56585 .61658 L
.56455 .61518 L
.56414 .61465 L
.56263 .61287 L
.56251 .61273 L
.56099 .6108 L
.5607 .61046 L
.55949 .60887 L
.55877 .60801 L
.55798 .60694 L
.55684 .60554 L
.55646 .60502 L
.55496 .60309 L
.55492 .60304 L
.55353 .60116 L
.55299 .60049 L
.55208 .59924 L
.55106 .59794 L
.55061 .59731 L
.54914 .5954 L
.54912 .59538 L
.54773 .59346 L
.54721 .59279 L
.54631 .59153 L
.54528 .5902 L
.54486 .5896 L
.54341 .58768 L
.54336 .58761 L
.54203 .58575 L
.54143 .58497 L
.54062 .58382 L
.5395 .58271 L
.53918 .58189 L
.53777 .57997 L
.53758 .57971 L
.53641 .57804 L
.53565 .57704 L
.53501 .57611 L
.53372 .57456 L
.53358 .57419 L
.53222 .57226 L
.53179 .5717 L
.53088 .57033 L
.52987 .56899 L
.52948 .56841 L
.52809 .56648 L
.52794 .56627 L
.52681 .56455 L
.52601 .56347 L
.52548 .56263 L
.52411 .5607 L
.52409 .56067 L
.52297 .55877 L
.52216 .55756 L
.52183 .55684 L
F
1 .34 0 r
.52216 .51305 m
.52343 .51445 L
.52409 .51516 L
.52504 .51638 L
.52601 .5176 L
.52651 .51831 L
.52786 .52023 L
.52794 .52036 L
.52885 .52216 L
.52794 .52237 L
.52775 .52216 L
.52601 .52027 L
.52599 .52023 L
.52452 .51831 L
.52409 .51776 L
.52316 .51638 L
.52216 .51498 L
.52185 .51445 L
F
1 .33 0 r
.52216 .51316 m
.52335 .51445 L
.52409 .51523 L
.52498 .51638 L
.52601 .51767 L
.52646 .51831 L
.52601 .5202 L
.52458 .51831 L
.52409 .51769 L
.52321 .51638 L
.52216 .51489 L
.5219 .51445 L
F
1 .83 0 r
.52216 .44626 m
.52299 .44701 L
.52409 .44801 L
.52493 .44894 L
.52601 .4501 L
.52667 .45086 L
.52794 .45224 L
.52834 .45279 L
.52987 .45463 L
.52996 .45472 L
.53152 .45664 L
.53179 .45698 L
.53308 .45857 L
.53372 .4593 L
.53541 .4605 L
.53565 .46182 L
.53618 .46242 L
.53758 .46429 L
.53761 .46435 L
.53913 .46628 L
.5395 .46671 L
.54111 .46821 L
.54143 .46929 L
.5421 .47013 L
.54336 .47184 L
.54344 .47206 L
.54502 .47399 L
.54528 .4743 L
.5468 .47591 L
.54721 .4769 L
.5479 .47784 L
.54914 .4795 L
.54921 .47977 L
.55082 .48169 L
.55106 .48199 L
.5525 .48362 L
.55299 .48462 L
.55363 .48555 L
.55492 .48724 L
.55494 .48747 L
.55656 .4894 L
.55684 .48975 L
.55817 .49133 L
.55877 .4924 L
.55933 .49326 L
.5607 .49503 L
.56085 .49518 L
.56226 .49711 L
.56263 .49756 L
.56383 .49904 L
.56455 .50023 L
.565 .50096 L
.56648 .50285 L
.56652 .50289 L
.56793 .50482 L
.56841 .50541 L
.56947 .50674 L
.57033 .50809 L
.57066 .50867 L
.57217 .5106 L
.57226 .51066 L
.57358 .51253 L
.57419 .51328 L
.57508 .51445 L
.57611 .51599 L
.57631 .51638 L
.5778 .51831 L
.57804 .51849 L
.57972 .52023 L
.57997 .5212 L
.58068 .52216 L
.58189 .52391 L
.58197 .52409 L
.58341 .52601 L
.58382 .52636 L
.58526 .52794 L
.58575 .52915 L
.58626 .52987 L
.58761 .53179 L
.58768 .53188 L
.58898 .53372 L
.5896 .5343 L
.59076 .53565 L
.59153 .53717 L
.59181 .53758 L
.59315 .5395 L
.59346 .53991 L
.59452 .54143 L
.59538 .54236 L
.59619 .54336 L
.5973 .54528 L
.59731 .54529 L
.59863 .54721 L
.59924 .54804 L
.6 .54914 L
.60116 .55063 L
.60149 .55106 L
.60269 .55299 L
.60309 .55354 L
.60401 .55492 L
.60502 .55634 L
.60535 .55684 L
.60664 .55877 L
.60694 .5592 L
.60787 .5607 L
.60887 .56218 L
.60914 .56263 L
.61026 .56455 L
.6108 .56545 L
.6112 .56648 L
.6108 .56697 L
.61027 .56648 L
.60887 .56516 L
.60832 .56455 L
.60694 .56326 L
.60657 .56263 L
.60502 .56084 L
.60482 .5607 L
.60331 .55877 L
.60309 .55852 L
.60173 .55684 L
.60116 .55636 L
.60016 .55492 L
.59924 .55378 L
.59838 .55299 L
.59731 .5513 L
.59713 .55106 L
.59561 .54914 L
.59538 .54893 L
.59411 .54721 L
.59346 .54638 L
.59245 .54528 L
.59153 .54381 L
.59122 .54336 L
.58968 .54143 L
.5896 .54135 L
.58822 .5395 L
.58768 .53879 L
.58664 .53758 L
.58575 .53618 L
.58542 .53565 L
.58387 .53372 L
.58382 .53367 L
.58243 .53179 L
.58189 .53109 L
.58091 .52987 L
.57997 .52845 L
.57969 .52794 L
.57812 .52601 L
.57804 .52593 L
.57622 .52409 L
.57611 .52332 L
.57522 .52216 L
.57419 .52067 L
.57398 .52023 L
.57242 .51831 L
.57226 .51815 L
.5706 .51638 L
.57033 .51551 L
.56955 .51445 L
.56841 .51284 L
.56829 .51253 L
.56674 .5106 L
.56648 .51032 L
.56499 .50867 L
.56455 .50765 L
.5639 .50674 L
.56263 .50498 L
.56258 .50482 L
.56109 .50289 L
.5607 .50247 L
.55938 .50096 L
.55877 .49976 L
.55827 .49904 L
.55685 .49711 L
.55684 .4971 L
.55546 .49518 L
.55492 .49459 L
.5538 .49326 L
.55299 .49184 L
.55265 .49133 L
.55124 .4894 L
.55106 .48916 L
.54985 .48747 L
.54914 .48666 L
.54824 .48555 L
.54721 .48388 L
.54705 .48362 L
.54566 .48169 L
.54528 .48158 L
.54427 .47977 L
.54336 .47867 L
.54271 .47784 L
.54147 .47591 L
.54143 .47587 L
.54011 .47399 L
.5395 .47364 L
.53802 .47206 L
.53758 .47058 L
.53724 .47013 L
.53596 .46821 L
.53565 .46778 L
.53461 .46628 L
.53372 .46547 L
.53278 .46435 L
.53186 .46242 L
.53179 .46233 L
.53056 .4605 L
.52987 .45954 L
.52922 .45857 L
.52794 .45685 L
.52778 .45664 L
.5266 .45472 L
.52601 .45388 L
.52534 .45279 L
.52409 .45094 L
.52404 .45086 L
.52295 .44894 L
.52216 .44761 L
.52191 .44701 L
F
0 .81 1 r
.52216 .50575 m
.52405 .50674 L
.52409 .50677 L
.52601 .50859 L
.52614 .50867 L
.52784 .5106 L
.52794 .51071 L
.52945 .51253 L
.52987 .51295 L
.531 .51445 L
.53179 .51547 L
.53257 .51638 L
.53372 .51805 L
.53386 .51831 L
.53534 .52023 L
.53565 .52066 L
.53742 .52216 L
.53758 .52317 L
.5381 .52409 L
.53929 .52601 L
.5395 .52638 L
.54037 .52794 L
.54075 .52987 L
.5395 .53002 L
.53926 .52987 L
.53758 .52859 L
.53699 .52794 L
.53565 .52648 L
.5349 .52601 L
.53372 .52411 L
.5337 .52409 L
.53225 .52216 L
.53179 .52158 L
.53081 .52023 L
.52987 .51923 L
.52899 .51831 L
.52796 .51638 L
.52794 .51635 L
.52663 .51445 L
.52601 .51359 L
.5253 .51253 L
.52409 .51075 L
.5239 .5106 L
.52286 .50867 L
.52216 .50736 L
.52192 .50674 L
F
1 .32 0 r
.52216 .51328 m
.52326 .51445 L
.52409 .51531 L
.52492 .51638 L
.52601 .51775 L
.52641 .51831 L
.52601 .52012 L
.52464 .51831 L
.52409 .51762 L
.52327 .51638 L
.52216 .5148 L
.52196 .51445 L
F
0 .96 1 r
.52216 .43805 m
.52359 .4393 L
.52409 .43974 L
.52551 .44123 L
.52601 .44175 L
.52728 .44316 L
.52794 .44374 L
.52898 .44508 L
.52987 .44616 L
.53093 .44701 L
.53179 .44853 L
.53213 .44894 L
.53372 .45084 L
.53377 .45086 L
.53532 .45279 L
.53565 .45323 L
.53699 .45472 L
.53758 .45576 L
.53819 .45664 L
.5395 .45831 L
.53988 .45857 L
.54135 .4605 L
.54143 .46061 L
.54287 .46242 L
.54336 .46322 L
.54407 .46435 L
.54528 .4659 L
.54579 .46628 L
.54721 .46819 L
.54722 .46821 L
.54867 .47013 L
.54914 .47085 L
.54984 .47206 L
.55106 .4736 L
.55159 .47399 L
.55299 .4759 L
.553 .47591 L
.55441 .47784 L
.55492 .4786 L
.55554 .47977 L
.55684 .48136 L
.55732 .48169 L
.55875 .48362 L
.55877 .4837 L
.5601 .48555 L
.5607 .48641 L
.56119 .48747 L
.56263 .48916 L
.56301 .4894 L
.56448 .49133 L
.56455 .49153 L
.56576 .49326 L
.56648 .49425 L
.56681 .49518 L
.56841 .49696 L
.56868 .49711 L
.57017 .49904 L
.57033 .49939 L
.5714 .50096 L
.57226 .50212 L
.57242 .50289 L
.57419 .50475 L
.57434 .50482 L
.57583 .50674 L
.57611 .50727 L
.57703 .50867 L
.57804 .50998 L
.57859 .5106 L
.57997 .51252 L
.57998 .51253 L
.58148 .51445 L
.58189 .51516 L
.58265 .51638 L
.58382 .51785 L
.58423 .51831 L
.58563 .52023 L
.58575 .52038 L
.58712 .52216 L
.58768 .52305 L
.58827 .52409 L
.5896 .52572 L
.58987 .52601 L
.59127 .52794 L
.59153 .52826 L
.59274 .52987 L
.59346 .53094 L
.5939 .53179 L
.59538 .53359 L
.5955 .53372 L
.59724 .53565 L
.59731 .53615 L
.59836 .53758 L
.59924 .53884 L
.59953 .5395 L
.60113 .54143 L
.60116 .54145 L
.60287 .54336 L
.60309 .54405 L
.60397 .54528 L
.60502 .54675 L
.60518 .54721 L
.60675 .54914 L
.60694 .54928 L
.60848 .55106 L
.60887 .55196 L
.60958 .55299 L
.6108 .55468 L
.61086 .55492 L
.61236 .55684 L
.61273 .55714 L
.61407 .55877 L
.61465 .55991 L
.61517 .5607 L
.61657 .56263 L
.61658 .56263 L
.61795 .56455 L
.61851 .56505 L
.61962 .56648 L
.62043 .56789 L
.62076 .56841 L
.62214 .57033 L
.62236 .57062 L
.62352 .57226 L
.62429 .57305 L
.62514 .57419 L
.62621 .57594 L
.62632 .57611 L
.62767 .57804 L
.62814 .57868 L
.62904 .57997 L
.63007 .58118 L
.63057 .58189 L
.6318 .58382 L
.63199 .58409 L
.63313 .58575 L
.63392 .58685 L
.63507 .58768 L
.63585 .5896 L
.63585 .5896 L
.63712 .59153 L
.63778 .59246 L
.63842 .59346 L
.6397 .59534 L
.63976 .59538 L
.64089 .59731 L
.64163 .59847 L
.64204 .59924 L
.64163 .60111 L
.63971 .59924 L
.6397 .59923 L
.63793 .59731 L
.63778 .59715 L
.63624 .59538 L
.63585 .59513 L
.63459 .59346 L
.63392 .59267 L
.63236 .59153 L
.63199 .59025 L
.63141 .5896 L
.63007 .58784 L
.62998 .58768 L
.62836 .58575 L
.62814 .58547 L
.62654 .58382 L
.62621 .58294 L
.62541 .58189 L
.62429 .58036 L
.62415 .57997 L
.6224 .57804 L
.62236 .57799 L
.62077 .57611 L
.62043 .57539 L
.61958 .57419 L
.61851 .57272 L
.61843 .57226 L
.61658 .57034 L
.61658 .57033 L
.61503 .56841 L
.61465 .5677 L
.61384 .56648 L
.61273 .56499 L
.61224 .56455 L
.61083 .56263 L
.6108 .56259 L
.60933 .5607 L
.60887 .55992 L
.60815 .55877 L
.60694 .55721 L
.60653 .55684 L
.60512 .55492 L
.60502 .55478 L
.60365 .55299 L
.60309 .5521 L
.60249 .55106 L
.60116 .5494 L
.60084 .54914 L
.59944 .54721 L
.59924 .54693 L
.59799 .54528 L
.59731 .54424 L
.59684 .54336 L
.59538 .54159 L
.59518 .54143 L
.59354 .5395 L
.59346 .53907 L
.59235 .53758 L
.59153 .53638 L
.5912 .53565 L
.5896 .53378 L
.58953 .53372 L
.58787 .53179 L
.58768 .53119 L
.58672 .52987 L
.58575 .52851 L
.58555 .52794 L
.58389 .52601 L
.58382 .52595 L
.58223 .52409 L
.58189 .52331 L
.58109 .52216 L
.57997 .52063 L
.57989 .52023 L
.57825 .51831 L
.57804 .51809 L
.5766 .51638 L
.57611 .51542 L
.57546 .51445 L
.57419 .51275 L
.57401 .51253 L
.57261 .5106 L
.57226 .51022 L
.57098 .50867 L
.57033 .50752 L
.56983 .50674 L
.56841 .50486 L
.56837 .50482 L
.56698 .50289 L
.56648 .50234 L
.56538 .50096 L
.56455 .49962 L
.5642 .49904 L
.56275 .49711 L
.56263 .49708 L
.56135 .49518 L
.5607 .49444 L
.55978 .49326 L
.55877 .4917 L
.55857 .49133 L
.55713 .4894 L
.55684 .48929 L
.55512 .48747 L
.55492 .48652 L
.55419 .48555 L
.55299 .48376 L
.55292 .48362 L
.55152 .48169 L
.55106 .48143 L
.54959 .47977 L
.54914 .47856 L
.54862 .47784 L
.5473 .47591 L
.54721 .47579 L
.54593 .47399 L
.54528 .4735 L
.54409 .47206 L
.54336 .47056 L
.54306 .47013 L
.54173 .46821 L
.54143 .4678 L
.54036 .46628 L
.5395 .46547 L
.53863 .46435 L
.53758 .46248 L
.53754 .46242 L
.5362 .4605 L
.53565 .45975 L
.53483 .45857 L
.53372 .45727 L
.53326 .45664 L
.53208 .45472 L
.53179 .45433 L
.53076 .45279 L
.52987 .45157 L
.5294 .45086 L
.52803 .44894 L
.52794 .44881 L
.52677 .44701 L
.52601 .44593 L
.52548 .44508 L
.52419 .44316 L
.52409 .44301 L
.52307 .44123 L
.52216 .43973 L
.52197 .4393 L
F
0 .53 1 r
.52216 .45453 m
.52236 .45472 L
.52409 .45636 L
.52433 .45664 L
.52601 .45852 L
.52604 .45857 L
.52762 .4605 L
.52794 .46085 L
.52919 .46242 L
.52987 .46322 L
.53075 .46435 L
.53179 .46529 L
.5323 .46628 L
.53372 .46806 L
.53389 .46821 L
.5353 .47013 L
.53565 .47056 L
.53678 .47206 L
.53758 .47273 L
.53827 .47399 L
.5395 .47554 L
.53987 .47591 L
.5412 .47784 L
.54143 .47813 L
.54265 .47977 L
.54336 .48038 L
.5441 .48169 L
.54528 .4832 L
.54566 .48362 L
.54699 .48555 L
.54721 .48584 L
.54841 .48747 L
.54914 .48814 L
.54985 .4894 L
.55106 .49099 L
.55136 .49133 L
.55269 .49326 L
.55299 .49365 L
.5541 .49518 L
.55492 .496 L
.55615 .49711 L
.55684 .49887 L
.55698 .49904 L
.55833 .50096 L
.55877 .50155 L
.55973 .50289 L
.5607 .50397 L
.56155 .50482 L
.56254 .50674 L
.56263 .50686 L
.5639 .50867 L
.56455 .50955 L
.56528 .5106 L
.56648 .5121 L
.56687 .51253 L
.56803 .51445 L
.56841 .51495 L
.56938 .51638 L
.57033 .51769 L
.57075 .51831 L
.57211 .52023 L
.57226 .52044 L
.57339 .52216 L
.57419 .52327 L
.57472 .52409 L
.57605 .52601 L
.57611 .52611 L
.57722 .52794 L
.57804 .52916 L
.57842 .52987 L
.57804 .53103 L
.57701 .52987 L
.57611 .52893 L
.57529 .52794 L
.57419 .52668 L
.57365 .52601 L
.57226 .52444 L
.57206 .52409 L
.57052 .52216 L
.57033 .52193 L
.56901 .52023 L
.56841 .5195 L
.56749 .51831 L
.56648 .51722 L
.56597 .51638 L
.56455 .51455 L
.56446 .51445 L
.56302 .51253 L
.56263 .51202 L
.56155 .5106 L
.5607 .50968 L
.55939 .50867 L
.55877 .50696 L
.55858 .50674 L
.55719 .50482 L
.55684 .50438 L
.55574 .50289 L
.55492 .50199 L
.55378 .50096 L
.55299 .49923 L
.55283 .49904 L
.55144 .49711 L
.55106 .49661 L
.55002 .49518 L
.54914 .49418 L
.5482 .49326 L
.54721 .4914 L
.54715 .49133 L
.54577 .4894 L
.54528 .48876 L
.54436 .48747 L
.54336 .48627 L
.54268 .48555 L
.54154 .48362 L
.54143 .48347 L
.54017 .48169 L
.5395 .4808 L
.53877 .47977 L
.53758 .47823 L
.53724 .47784 L
.536 .47591 L
.53565 .47544 L
.53464 .47399 L
.53372 .47273 L
.53325 .47206 L
.53188 .47013 L
.53179 .47002 L
.53057 .46821 L
.52987 .46725 L
.52922 .46628 L
.52794 .46448 L
.52786 .46435 L
.5266 .46242 L
.52601 .4616 L
.52533 .4605 L
.52409 .45868 L
.52402 .45857 L
.52296 .45664 L
.52216 .4553 L
.52199 .45472 L
F
1 .31 0 r
.52216 .51341 m
.52317 .51445 L
.52409 .51539 L
.52486 .51638 L
.52601 .51782 L
.52636 .51831 L
.52601 .52004 L
.52471 .51831 L
.52409 .51754 L
.52333 .51638 L
.52216 .5147 L
.52203 .51445 L
F
0 .8 1 r
.52216 .50611 m
.52384 .50674 L
.52409 .50691 L
.526 .50867 L
.52601 .50868 L
.52776 .5106 L
.52794 .51079 L
.52939 .51253 L
.52987 .51301 L
.53095 .51445 L
.53179 .51554 L
.53252 .51638 L
.53372 .51811 L
.53383 .51831 L
.53529 .52023 L
.53565 .52073 L
.53739 .52216 L
.53758 .52327 L
.53804 .52409 L
.53922 .52601 L
.5395 .52651 L
.54027 .52794 L
.54039 .52987 L
.5395 .52988 L
.53949 .52987 L
.53758 .52851 L
.53707 .52794 L
.53565 .52642 L
.53499 .52601 L
.53375 .52409 L
.53372 .52405 L
.53229 .52216 L
.53179 .52153 L
.53085 .52023 L
.52987 .51917 L
.52905 .51831 L
.528 .51638 L
.52794 .5163 L
.52667 .51445 L
.52601 .51353 L
.52534 .51253 L
.52409 .51067 L
.524 .5106 L
.52294 .50867 L
.52216 .50706 L
.52206 .50674 L
F
1 .89 0 r
.52216 .53815 m
.52409 .53907 L
.52428 .5395 L
.52601 .54141 L
.52602 .54143 L
.5275 .54336 L
.52794 .54391 L
.5289 .54528 L
.52987 .54658 L
.53029 .54721 L
.5316 .54914 L
.53179 .54943 L
.53268 .55106 L
.53179 .55208 L
.53077 .55106 L
.52987 .55014 L
.52898 .54914 L
.52794 .5484 L
.52735 .54721 L
.52601 .54555 L
.52575 .54528 L
.52445 .54336 L
.52409 .54283 L
.52315 .54143 L
.52216 .53965 L
.52209 .5395 L
F
1 .3 0 r
.52216 .51358 m
.52306 .51445 L
.52409 .51548 L
.52479 .51638 L
.52601 .5179 L
.5263 .51831 L
.52601 .51995 L
.52478 .51831 L
.52409 .51746 L
.52339 .51638 L
.52216 .51458 L
.52209 .51445 L
F
1 .99 0 r
.52216 .55082 m
.52235 .55106 L
.52409 .55248 L
.52458 .55299 L
.52601 .55427 L
.52669 .55492 L
.52794 .55604 L
.52883 .55684 L
.52987 .55779 L
.53098 .55877 L
.53179 .55978 L
.53311 .5607 L
.53372 .5613 L
.53513 .56263 L
.53565 .56319 L
.53696 .56455 L
.53758 .5653 L
.53795 .56648 L
.5395 .56762 L
.53969 .56841 L
.54143 .57011 L
.54161 .57033 L
.5431 .57226 L
.54336 .5727 L
.54445 .57419 L
.54528 .57534 L
.54576 .57611 L
.54721 .57792 L
.54734 .57804 L
.54877 .57997 L
.54914 .58052 L
.55003 .58189 L
.55106 .5832 L
.5512 .58382 L
.55298 .58575 L
.55299 .58578 L
.55433 .58768 L
.55492 .58846 L
.55545 .5896 L
.55684 .59116 L
.55722 .59153 L
.55864 .59346 L
.55877 .59369 L
.55988 .59538 L
.5607 .5964 L
.56147 .59731 L
.56263 .59909 L
.56286 .59924 L
.56428 .60116 L
.56455 .60159 L
.56545 .60309 L
.56648 .60432 L
.56711 .60502 L
.56841 .60691 L
.5685 .60694 L
.56991 .60887 L
.57033 .60949 L
.57105 .6108 L
.57226 .61221 L
.57274 .61273 L
.57413 .61465 L
.57419 .61473 L
.57553 .61658 L
.57611 .6174 L
.57665 .61851 L
.57804 .6201 L
.57836 .62043 L
.57992 .62236 L
.57997 .62264 L
.58113 .62429 L
.58189 .62533 L
.58225 .62621 L
.58382 .628 L
.58396 .62814 L
.58558 .63007 L
.58575 .63057 L
.58671 .63199 L
.58768 .63329 L
.58787 .63392 L
.58953 .63585 L
.5896 .6359 L
.59117 .63778 L
.59153 .63855 L
.59227 .6397 L
.59346 .6413 L
.59351 .64163 L
.59507 .64356 L
.59538 .6438 L
.59671 .64548 L
.59731 .64661 L
.59779 .64741 L
.5992 .64934 L
.59924 .64939 L
.60055 .65126 L
.60116 .65185 L
.60214 .65319 L
.60309 .65484 L
.60325 .65512 L
.60458 .65704 L
.60502 .65767 L
.6059 .65897 L
.60694 .66031 L
.60733 .6609 L
.60848 .66283 L
.60887 .66341 L
.60972 .66475 L
.6108 .66644 L
.61094 .66668 L
.61199 .66861 L
.61273 .67001 L
.61291 .67053 L
.61273 .67108 L
.61196 .67053 L
.6108 .6696 L
.60987 .66861 L
.60887 .6676 L
.60808 .66668 L
.60694 .66559 L
.60639 .66475 L
.60502 .66317 L
.60459 .66283 L
.60318 .6609 L
.60309 .6608 L
.60165 .65897 L
.60116 .65852 L
.60012 .65704 L
.59924 .65597 L
.59836 .65512 L
.59731 .65344 L
.59711 .65319 L
.59564 .65126 L
.59538 .65102 L
.59417 .64934 L
.59346 .64844 L
.5925 .64741 L
.59153 .64584 L
.59127 .64548 L
.5898 .64356 L
.5896 .64336 L
.58836 .64163 L
.58768 .64076 L
.58675 .6397 L
.58575 .63812 L
.58552 .63778 L
.58404 .63585 L
.58382 .63562 L
.58262 .63392 L
.58189 .63299 L
.58106 .63199 L
.57997 .63034 L
.5798 .63007 L
.57834 .62814 L
.57804 .62784 L
.57636 .62621 L
.57611 .62517 L
.57539 .62429 L
.57419 .62252 L
.5741 .62236 L
.57266 .62043 L
.57226 .62002 L
.57076 .61851 L
.57033 .61732 L
.56975 .61658 L
.56841 .61467 L
.5684 .61465 L
.567 .61273 L
.56648 .61217 L
.56517 .6108 L
.56455 .60945 L
.56411 .60887 L
.56274 .60694 L
.56263 .60693 L
.56135 .60502 L
.5607 .6043 L
.55959 .60309 L
.55877 .60156 L
.55848 .60116 L
.5571 .59924 L
.55684 .59916 L
.55571 .59731 L
.55492 .59641 L
.55402 .59538 L
.55299 .59365 L
.55285 .59346 L
.55147 .59153 L
.55106 .59132 L
.55008 .5896 L
.54914 .58848 L
.54845 .58768 L
.54722 .58575 L
.54721 .58573 L
.54585 .58382 L
.54528 .58341 L
.54445 .58189 L
.54336 .58054 L
.5429 .57997 L
.54161 .57804 L
.54143 .5778 L
.54024 .57611 L
.5395 .57548 L
.53832 .57419 L
.53758 .57258 L
.53733 .57226 L
.53601 .57033 L
.53565 .56986 L
.53463 .56841 L
.53372 .56767 L
.53274 .56648 L
.53179 .56459 L
.53177 .56455 L
.53042 .56263 L
.52987 .5619 L
.52904 .5607 L
.52794 .55925 L
.52762 .55877 L
.52621 .55684 L
.52601 .55659 L
.52493 .55492 L
.52409 .55384 L
.52359 .55299 L
.52216 .55112 L
.52213 .55106 L
F
0 .99 1 r
.52409 .53367 m
.52601 .53366 L
.52672 .53372 L
.52794 .53416 L
.52949 .53565 L
.52987 .53665 L
.53057 .53758 L
.53179 .53929 L
.53187 .5395 L
.53334 .54143 L
.53372 .54187 L
.53512 .54336 L
.53565 .54454 L
.53621 .54528 L
.53758 .54719 L
.53758 .54721 L
.53898 .54914 L
.5395 .5495 L
.54071 .55106 L
.54143 .55234 L
.54183 .55299 L
.54321 .55492 L
.54336 .55511 L
.54459 .55684 L
.54528 .55779 L
.54628 .55877 L
.54721 .56043 L
.54742 .5607 L
.54876 .56263 L
.54914 .56316 L
.55006 .56455 L
.55047 .56648 L
.54914 .5666 L
.54832 .56648 L
.54721 .56625 L
.54528 .56515 L
.54466 .56455 L
.54336 .56307 L
.54299 .56263 L
.5415 .5607 L
.54143 .5606 L
.54024 .55877 L
.5395 .55808 L
.53857 .55684 L
.53758 .55548 L
.53715 .55492 L
.53575 .55299 L
.53565 .5528 L
.53454 .55106 L
.53372 .54992 L
.53289 .54914 L
.53179 .54761 L
.53149 .54721 L
.5301 .54528 L
.52987 .54495 L
.52894 .54336 L
.52794 .54225 L
.52725 .54143 L
.52601 .53963 L
.52587 .5395 L
.5245 .53758 L
.52409 .53698 L
.52343 .53565 L
.52301 .53372 L
F
0 .79 1 r
.52409 .50705 m
.52589 .50867 L
.52601 .50879 L
.52768 .5106 L
.52794 .51088 L
.52932 .51253 L
.52987 .51308 L
.53089 .51445 L
.53179 .51561 L
.53247 .51638 L
.53372 .51817 L
.53379 .51831 L
.53524 .52023 L
.53565 .5208 L
.53736 .52216 L
.53758 .52337 L
.53798 .52409 L
.53914 .52601 L
.5395 .52665 L
.54017 .52794 L
.5395 .52971 L
.53758 .52842 L
.53715 .52794 L
.53565 .52635 L
.53509 .52601 L
.5338 .52409 L
.53372 .52399 L
.53233 .52216 L
.53179 .52148 L
.53088 .52023 L
.52987 .51912 L
.5291 .51831 L
.52804 .51638 L
.52794 .51624 L
.52672 .51445 L
.52601 .51346 L
.52539 .51253 L
.52409 .5106 L
.52409 .51059 L
.52303 .50867 L
F
0 .52 1 r
.52409 .45648 m
.52423 .45664 L
.52595 .45857 L
.52601 .45863 L
.52755 .4605 L
.52794 .46093 L
.52914 .46242 L
.52987 .46328 L
.53071 .46435 L
.53179 .46536 L
.53226 .46628 L
.53372 .46811 L
.53382 .46821 L
.53526 .47013 L
.53565 .47061 L
.53675 .47206 L
.53758 .47277 L
.53824 .47399 L
.5395 .47558 L
.53983 .47591 L
.54117 .47784 L
.54143 .47817 L
.54262 .47977 L
.54336 .48041 L
.54408 .48169 L
.54528 .48324 L
.54563 .48362 L
.54696 .48555 L
.54721 .48587 L
.54838 .48747 L
.54914 .48817 L
.54982 .4894 L
.55106 .49102 L
.55133 .49133 L
.55267 .49326 L
.55299 .49368 L
.55408 .49518 L
.55492 .49603 L
.55611 .49711 L
.55684 .49891 L
.55695 .49904 L
.5583 .50096 L
.55877 .50158 L
.5597 .50289 L
.5607 .50401 L
.56151 .50482 L
.56251 .50674 L
.56263 .50689 L
.56387 .50867 L
.56455 .50959 L
.56526 .5106 L
.56648 .51215 L
.56682 .51253 L
.568 .51445 L
.56841 .515 L
.56935 .51638 L
.57033 .51773 L
.57072 .51831 L
.57207 .52023 L
.57226 .5205 L
.57335 .52216 L
.57419 .52333 L
.57467 .52409 L
.57598 .52601 L
.57611 .5262 L
.57714 .52794 L
.57804 .5293 L
.57834 .52987 L
.57804 .53087 L
.57713 .52987 L
.57611 .52883 L
.57537 .52794 L
.57419 .5266 L
.57371 .52601 L
.57226 .52435 L
.57211 .52409 L
.57058 .52216 L
.57033 .52188 L
.56905 .52023 L
.56841 .51944 L
.56753 .51831 L
.56648 .51717 L
.56601 .51638 L
.56455 .5145 L
.56451 .51445 L
.56306 .51253 L
.56263 .51198 L
.56158 .5106 L
.5607 .50964 L
.55944 .50867 L
.55877 .50692 L
.55862 .50674 L
.55721 .50482 L
.55684 .50434 L
.55577 .50289 L
.55492 .50195 L
.55381 .50096 L
.55299 .4992 L
.55286 .49904 L
.55147 .49711 L
.55106 .49658 L
.55004 .49518 L
.54914 .49415 L
.54824 .49326 L
.54721 .49137 L
.54718 .49133 L
.5458 .4894 L
.54528 .48872 L
.54438 .48747 L
.54336 .48623 L
.54272 .48555 L
.54157 .48362 L
.54143 .48344 L
.54019 .48169 L
.5395 .48077 L
.53879 .47977 L
.53758 .47818 L
.53728 .47784 L
.53603 .47591 L
.53565 .4754 L
.53467 .47399 L
.53372 .47269 L
.53328 .47206 L
.53191 .47013 L
.53179 .46997 L
.5306 .46821 L
.52987 .46719 L
.52926 .46628 L
.52794 .46442 L
.5279 .46435 L
.52665 .46242 L
.52601 .46152 L
.52538 .4605 L
.52409 .45858 L
.52408 .45857 L
.52309 .45664 L
F
0 .78 1 r
.52409 .5072 m
.52577 .50867 L
.52601 .50889 L
.5276 .5106 L
.52794 .51097 L
.52926 .51253 L
.52987 .51314 L
.53083 .51445 L
.53179 .51568 L
.53241 .51638 L
.53372 .51824 L
.53376 .51831 L
.53519 .52023 L
.53565 .52087 L
.53731 .52216 L
.53758 .52347 L
.53792 .52409 L
.53907 .52601 L
.5395 .5268 L
.54007 .52794 L
.5395 .52954 L
.53758 .52833 L
.53723 .52794 L
.53565 .52628 L
.5352 .52601 L
.53385 .52409 L
.53372 .52393 L
.53238 .52216 L
.53179 .52143 L
.53092 .52023 L
.52987 .51905 L
.52916 .51831 L
.52808 .51638 L
.52794 .51619 L
.52676 .51445 L
.52601 .5134 L
.52544 .51253 L
.52416 .5106 L
.52409 .51048 L
.52313 .50867 L
F
1 .82 0 r
.52409 .44828 m
.52471 .44894 L
.52601 .45029 L
.52652 .45086 L
.52794 .45242 L
.52821 .45279 L
.52983 .45472 L
.52987 .45476 L
.53142 .45664 L
.53179 .45709 L
.53299 .45857 L
.53372 .45939 L
.53533 .4605 L
.53565 .46191 L
.53611 .46242 L
.53758 .46435 L
.53758 .46435 L
.53907 .46628 L
.5395 .46678 L
.54107 .46821 L
.54143 .46935 L
.54205 .47013 L
.54336 .47189 L
.54343 .47206 L
.54498 .47399 L
.54528 .47435 L
.54678 .47591 L
.54721 .47695 L
.54787 .47784 L
.54914 .47954 L
.5492 .47977 L
.55079 .48169 L
.55106 .48203 L
.55247 .48362 L
.55299 .48466 L
.55361 .48555 L
.55492 .48727 L
.55493 .48747 L
.55653 .4894 L
.55684 .48978 L
.55815 .49133 L
.55877 .49244 L
.55931 .49326 L
.5607 .49505 L
.56082 .49518 L
.56223 .49711 L
.56263 .49759 L
.56381 .49904 L
.56455 .50026 L
.56498 .50096 L
.56648 .50287 L
.5665 .50289 L
.56791 .50482 L
.56841 .50543 L
.56945 .50674 L
.57033 .50812 L
.57064 .50867 L
.57215 .5106 L
.57226 .51067 L
.57355 .51253 L
.57419 .51331 L
.57506 .51445 L
.57611 .51602 L
.5763 .51638 L
.57778 .51831 L
.57804 .5185 L
.57971 .52023 L
.57997 .52123 L
.58066 .52216 L
.58189 .52394 L
.58196 .52409 L
.58338 .52601 L
.58382 .52638 L
.58524 .52794 L
.58575 .52919 L
.58624 .52987 L
.58758 .53179 L
.58768 .53192 L
.58896 .53372 L
.5896 .53433 L
.59073 .53565 L
.59153 .53722 L
.59178 .53758 L
.59312 .5395 L
.59346 .53996 L
.59449 .54143 L
.59538 .54242 L
.59614 .54336 L
.59726 .54528 L
.59731 .54535 L
.59859 .54721 L
.59924 .5481 L
.59995 .54914 L
.60116 .55073 L
.60142 .55106 L
.60263 .55299 L
.60309 .55363 L
.60394 .55492 L
.60502 .55645 L
.60528 .55684 L
.60654 .55877 L
.60694 .55935 L
.60777 .5607 L
.60887 .56237 L
.60902 .56263 L
.61002 .56455 L
.60887 .5649 L
.60854 .56455 L
.60694 .56299 L
.60673 .56263 L
.60504 .5607 L
.60502 .56067 L
.60342 .55877 L
.60309 .55839 L
.60182 .55684 L
.60116 .55627 L
.60025 .55492 L
.59924 .55369 L
.59847 .55299 L
.59731 .55122 L
.59719 .55106 L
.59567 .54914 L
.59538 .54888 L
.59416 .54721 L
.59346 .54631 L
.59249 .54528 L
.59153 .54375 L
.59126 .54336 L
.58973 .54143 L
.5896 .54131 L
.58826 .5395 L
.58768 .53874 L
.58668 .53758 L
.58575 .53613 L
.58545 .53565 L
.5839 .53372 L
.58382 .53364 L
.58246 .53179 L
.58189 .53105 L
.58094 .52987 L
.57997 .52842 L
.57971 .52794 L
.57815 .52601 L
.57804 .5259 L
.57623 .52409 L
.57611 .52329 L
.57524 .52216 L
.57419 .52064 L
.57399 .52023 L
.57244 .51831 L
.57226 .51812 L
.57062 .51638 L
.57033 .51548 L
.56957 .51445 L
.56841 .51281 L
.5683 .51253 L
.56677 .5106 L
.56648 .5103 L
.565 .50867 L
.56455 .50762 L
.56392 .50674 L
.56263 .50496 L
.56259 .50482 L
.56111 .50289 L
.5607 .50245 L
.5594 .50096 L
.55877 .49973 L
.55829 .49904 L
.55687 .49711 L
.55684 .49707 L
.55548 .49518 L
.55492 .49456 L
.55382 .49326 L
.55299 .49181 L
.55267 .49133 L
.55126 .4894 L
.55106 .48913 L
.54988 .48747 L
.54914 .48663 L
.54826 .48555 L
.54721 .48385 L
.54707 .48362 L
.54568 .48169 L
.54528 .48157 L
.5443 .47977 L
.54336 .47863 L
.54274 .47784 L
.5415 .47591 L
.54143 .47582 L
.54014 .47399 L
.5395 .4736 L
.53806 .47206 L
.53758 .47052 L
.53729 .47013 L
.536 .46821 L
.53565 .46772 L
.53465 .46628 L
.53372 .46539 L
.53285 .46435 L
.53191 .46242 L
.53179 .46226 L
.53061 .4605 L
.52987 .45946 L
.52928 .45857 L
.52794 .45669 L
.52791 .45664 L
.52669 .45472 L
.52601 .45374 L
.52544 .45279 L
.52417 .45086 L
.52409 .45073 L
.52316 .44894 L
F
0 .77 1 r
.52409 .50735 m
.52565 .50867 L
.52601 .509 L
.52752 .5106 L
.52794 .51105 L
.52919 .51253 L
.52987 .51321 L
.53077 .51445 L
.53179 .51575 L
.53236 .51638 L
.53372 .5183 L
.53372 .51831 L
.53514 .52023 L
.53565 .52095 L
.53727 .52216 L
.53758 .52358 L
.53785 .52409 L
.539 .52601 L
.5395 .52696 L
.53997 .52794 L
.5395 .52936 L
.53758 .52823 L
.53732 .52794 L
.53565 .52621 L
.53531 .52601 L
.5339 .52409 L
.53372 .52387 L
.53242 .52216 L
.53179 .52138 L
.53096 .52023 L
.52987 .51899 L
.52922 .51831 L
.52813 .51638 L
.52794 .51613 L
.5268 .51445 L
.52601 .51333 L
.52549 .51253 L
.52423 .5106 L
.52409 .51037 L
.52322 .50867 L
F
0 .51 1 r
.52409 .45662 m
.52411 .45664 L
.52409 .45844 L
.52326 .45664 L
F
0 .76 1 r
.52409 .50751 m
.52552 .50867 L
.52601 .5091 L
.52743 .5106 L
.52794 .51114 L
.52912 .51253 L
.52987 .51328 L
.53071 .51445 L
.53179 .51582 L
.5323 .51638 L
.53367 .51831 L
.53372 .51837 L
.53509 .52023 L
.53565 .52102 L
.53721 .52216 L
.53758 .5237 L
.53779 .52409 L
.53892 .52601 L
.5395 .52714 L
.53986 .52794 L
.5395 .52915 L
.53758 .52813 L
.53741 .52794 L
.53565 .52614 L
.53543 .52601 L
.53395 .52409 L
.53372 .52381 L
.53246 .52216 L
.53179 .52132 L
.531 .52023 L
.52987 .51893 L
.52928 .51831 L
.52817 .51638 L
.52794 .51607 L
.52685 .51445 L
.52601 .51326 L
.52553 .51253 L
.5243 .5106 L
.52409 .51024 L
.52333 .50867 L
F
1 .88 0 r
.52409 .53955 m
.52583 .54143 L
.52601 .54164 L
.52733 .54336 L
.52794 .54412 L
.52875 .54528 L
.52987 .54679 L
.53014 .54721 L
.53138 .54914 L
.53179 .5498 L
.53236 .55106 L
.53179 .55165 L
.53114 .55106 L
.52987 .54984 L
.52923 .54914 L
.52794 .54804 L
.52756 .54721 L
.52605 .54528 L
.52601 .54524 L
.52465 .54336 L
.52409 .54253 L
.52337 .54143 L
F
0 .75 1 r
.52409 .50768 m
.52537 .50867 L
.52601 .50921 L
.52734 .5106 L
.52794 .51123 L
.52906 .51253 L
.52987 .51335 L
.53065 .51445 L
.53179 .51589 L
.53224 .51638 L
.53362 .51831 L
.53372 .51844 L
.53503 .52023 L
.53565 .52109 L
.53715 .52216 L
.53758 .52383 L
.53772 .52409 L
.53884 .52601 L
.5395 .52735 L
.53974 .52794 L
.5395 .52891 L
.53758 .52802 L
.5375 .52794 L
.53565 .52607 L
.53556 .52601 L
.53401 .52409 L
.53372 .52375 L
.53251 .52216 L
.53179 .52127 L
.53104 .52023 L
.52987 .51886 L
.52935 .51831 L
.52821 .51638 L
.52794 .51601 L
.5269 .51445 L
.52601 .51319 L
.52558 .51253 L
.52438 .5106 L
.52409 .5101 L
.52345 .50867 L
F
1 .81 0 r
.52409 .4486 m
.52443 .44894 L
.52601 .4505 L
.52634 .45086 L
.52794 .45261 L
.52807 .45279 L
.52971 .45472 L
.52987 .45489 L
.53132 .45664 L
.53179 .4572 L
.53291 .45857 L
.53372 .45949 L
.53525 .4605 L
.53565 .462 L
.53604 .46242 L
.53751 .46435 L
.53758 .46436 L
.53902 .46628 L
.5395 .46684 L
.54104 .46821 L
.54143 .46941 L
.54201 .47013 L
.54336 .47194 L
.54341 .47206 L
.54494 .47399 L
.54528 .4744 L
.54675 .47591 L
.54721 .477 L
.54783 .47784 L
.54914 .47958 L
.54919 .47977 L
.55076 .48169 L
.55106 .48207 L
.55245 .48362 L
.55299 .4847 L
.55358 .48555 L
.55492 .4873 L
.55493 .48747 L
.5565 .4894 L
.55684 .48982 L
.55813 .49133 L
.55877 .49247 L
.55929 .49326 L
.5607 .49508 L
.5608 .49518 L
.56221 .49711 L
.56263 .49762 L
.56379 .49904 L
.56455 .50029 L
.56497 .50096 L
.56647 .50289 L
.56648 .50289 L
.56788 .50482 L
.56841 .50546 L
.56943 .50674 L
.57033 .50815 L
.57063 .50867 L
.57213 .5106 L
.57226 .51069 L
.57353 .51253 L
.57419 .51334 L
.57504 .51445 L
.57611 .51604 L
.57628 .51638 L
.57776 .51831 L
.57804 .51852 L
.57969 .52023 L
.57997 .52126 L
.58064 .52216 L
.58189 .52397 L
.58194 .52409 L
.58336 .52601 L
.58382 .52641 L
.58522 .52794 L
.58575 .52922 L
.58621 .52987 L
.58756 .53179 L
.58768 .53196 L
.58893 .53372 L
.5896 .53437 L
.5907 .53565 L
.59153 .53726 L
.59174 .53758 L
.59309 .5395 L
.59346 .54 L
.59445 .54143 L
.59538 .54247 L
.59609 .54336 L
.59722 .54528 L
.59731 .54541 L
.59855 .54721 L
.59924 .54816 L
.5999 .54914 L
.60116 .55083 L
.60134 .55106 L
.60257 .55299 L
.60309 .55372 L
.60388 .55492 L
.60502 .55655 L
.60521 .55684 L
.60644 .55877 L
.60694 .55951 L
.60765 .5607 L
.60887 .5626 L
.60888 .56263 L
.60966 .56455 L
.60887 .5646 L
.60883 .56455 L
.60694 .56269 L
.60691 .56263 L
.60519 .5607 L
.60502 .56052 L
.60354 .55877 L
.60309 .55826 L
.60192 .55684 L
.60116 .55617 L
.60033 .55492 L
.59924 .55359 L
.59856 .55299 L
.59731 .55114 L
.59725 .55106 L
.59573 .54914 L
.59538 .54882 L
.59422 .54721 L
.59346 .54624 L
.59254 .54528 L
.59153 .54369 L
.59129 .54336 L
.58977 .54143 L
.5896 .54127 L
.5883 .5395 L
.58768 .53869 L
.58671 .53758 L
.58575 .53609 L
.58547 .53565 L
.58394 .53372 L
.58382 .53361 L
.58249 .53179 L
.58189 .53101 L
.58096 .52987 L
.57997 .52838 L
.57972 .52794 L
.57818 .52601 L
.57804 .52588 L
.57624 .52409 L
.57611 .52326 L
.57526 .52216 L
.57419 .52061 L
.57401 .52023 L
.57247 .51831 L
.57226 .5181 L
.57063 .51638 L
.57033 .51545 L
.56959 .51445 L
.56841 .51279 L
.56831 .51253 L
.56679 .5106 L
.56648 .51028 L
.56502 .50867 L
.56455 .50759 L
.56394 .50674 L
.56263 .50493 L
.56259 .50482 L
.56113 .50289 L
.5607 .50243 L
.55942 .50096 L
.55877 .49971 L
.55831 .49904 L
.5569 .49711 L
.55684 .49704 L
.5555 .49518 L
.55492 .49454 L
.55384 .49326 L
.55299 .49178 L
.55269 .49133 L
.55129 .4894 L
.55106 .4891 L
.5499 .48747 L
.54914 .4866 L
.54829 .48555 L
.54721 .48381 L
.54709 .48362 L
.54571 .48169 L
.54528 .48155 L
.54432 .47977 L
.54336 .47859 L
.54278 .47784 L
.54153 .47591 L
.54143 .47578 L
.54017 .47399 L
.5395 .47356 L
.5381 .47206 L
.53758 .47046 L
.53733 .47013 L
.53605 .46821 L
.53565 .46767 L
.5347 .46628 L
.53372 .4653 L
.53292 .46435 L
.53197 .46242 L
.53179 .46218 L
.53067 .4605 L
.52987 .45937 L
.52934 .45857 L
.528 .45664 L
.52794 .45655 L
.52679 .45472 L
.52601 .45358 L
.52554 .45279 L
.52434 .45086 L
.52409 .45045 L
.52345 .44894 L
F
1 .29 0 r
.52409 .51557 m
.52472 .51638 L
.52601 .51798 L
.52624 .51831 L
.52601 .51986 L
.52485 .51831 L
.52409 .51737 L
.52346 .51638 L
F
1 .28 0 r
.52409 .51567 m
.52465 .51638 L
.52601 .51807 L
.52617 .51831 L
.52601 .51975 L
.52494 .51831 L
.52409 .51727 L
.52353 .51638 L
F
0 .74 1 r
.52409 .50787 m
.52521 .50867 L
.52601 .50932 L
.52725 .5106 L
.52794 .51132 L
.52899 .51253 L
.52987 .51342 L
.53059 .51445 L
.53179 .51596 L
.53218 .51638 L
.53357 .51831 L
.53372 .51851 L
.53498 .52023 L
.53565 .52117 L
.53708 .52216 L
.53758 .52396 L
.53764 .52409 L
.53877 .52601 L
.5395 .52762 L
.53961 .52794 L
.5395 .52859 L
.53762 .52794 L
.53758 .52791 L
.53567 .52601 L
.53565 .52599 L
.53406 .52409 L
.53372 .52369 L
.53255 .52216 L
.53179 .52121 L
.53108 .52023 L
.52987 .51879 L
.52941 .51831 L
.52826 .51638 L
.52794 .51595 L
.52694 .51445 L
.52601 .51312 L
.52564 .51253 L
.52446 .5106 L
.52409 .50995 L
.52357 .50867 L
F
1 .27 0 r
.52409 .51577 m
.52456 .51638 L
.52601 .51817 L
.5261 .51831 L
.52601 .51963 L
.52504 .51831 L
.52409 .51716 L
.52361 .51638 L
F
1 .87 0 r
.52409 .53992 m
.52559 .54143 L
.52601 .54189 L
.52714 .54336 L
.52794 .54435 L
.52858 .54528 L
.52987 .54703 L
.52998 .54721 L
.53109 .54914 L
.52987 .54951 L
.52952 .54914 L
.52794 .54755 L
.5278 .54721 L
.52628 .54528 L
.52601 .54495 L
.52487 .54336 L
.52409 .54218 L
.52362 .54143 L
F
0 .98 1 r
.52409 .53391 m
.52601 .53389 L
.52794 .53453 L
.52937 .53565 L
.52987 .5368 L
.53049 .53758 L
.53179 .53938 L
.53184 .5395 L
.53328 .54143 L
.53372 .54193 L
.53508 .54336 L
.53565 .5446 L
.53616 .54528 L
.53754 .54721 L
.53758 .54725 L
.53892 .54914 L
.5395 .54955 L
.54066 .55106 L
.54143 .55243 L
.54177 .55299 L
.54314 .55492 L
.54336 .55522 L
.5445 .55684 L
.54528 .55792 L
.54615 .55877 L
.54721 .56063 L
.54726 .5607 L
.54851 .56263 L
.54914 .56369 L
.54956 .56455 L
.54914 .56574 L
.54721 .56549 L
.54562 .56455 L
.54528 .5641 L
.5435 .56263 L
.54336 .56236 L
.54177 .5607 L
.54143 .56025 L
.54049 .55877 L
.5395 .55782 L
.53874 .55684 L
.53758 .55527 L
.5373 .55492 L
.53586 .55299 L
.53565 .55261 L
.53465 .55106 L
.53372 .54978 L
.53298 .54914 L
.53179 .54748 L
.53159 .54721 L
.53018 .54528 L
.52987 .54483 L
.52903 .54336 L
.52794 .54213 L
.52735 .54143 L
.52601 .53953 L
.52599 .5395 L
.52463 .53758 L
.52409 .53673 L
.52363 .53565 L
F
1 .98 0 r
.52409 .5005 m
.52601 .4996 L
.52746 .50096 L
.52794 .50141 L
.52916 .50289 L
.52987 .50372 L
.53077 .50482 L
.53179 .50622 L
.53214 .50674 L
.53371 .50867 L
.53372 .50873 L
.53513 .5106 L
.53565 .51139 L
.53635 .51253 L
.53758 .51411 L
.53803 .51445 L
.53945 .51638 L
.5395 .51648 L
.54074 .51831 L
.54143 .5192 L
.54179 .52023 L
.54336 .52189 L
.54369 .52216 L
.54509 .52409 L
.54528 .52433 L
.54629 .52601 L
.54721 .52696 L
.54785 .52794 L
.54913 .52987 L
.54914 .52988 L
.55033 .53179 L
.54914 .53303 L
.54721 .53302 L
.54528 .53195 L
.54514 .53179 L
.54356 .52987 L
.54336 .52956 L
.5421 .52794 L
.54143 .52702 L
.5403 .52601 L
.5395 .52444 L
.53919 .52409 L
.53781 .52216 L
.53758 .52211 L
.53642 .52023 L
.53565 .51942 L
.53471 .51831 L
.53372 .51662 L
.53356 .51638 L
.53219 .51445 L
.53179 .51392 L
.53081 .51253 L
.52987 .51166 L
.5292 .5106 L
.52801 .50867 L
.52794 .50858 L
.52669 .50674 L
.52601 .50577 L
.5249 .50482 L
.52419 .50289 L
.52409 .5027 L
.52365 .50096 L
F
1 .26 0 r
.52409 .5159 m
.52447 .51638 L
.52601 .51828 L
.52603 .51831 L
.52601 .51948 L
.52515 .51831 L
.52409 .51703 L
.52371 .51638 L
F
0 .73 1 r
.52409 .50808 m
.52503 .50867 L
.52601 .50944 L
.52716 .5106 L
.52794 .51141 L
.52891 .51253 L
.52987 .5135 L
.53053 .51445 L
.53179 .51603 L
.53212 .51638 L
.53351 .51831 L
.53372 .51858 L
.53493 .52023 L
.53565 .52125 L
.53701 .52216 L
.53757 .52409 L
.53758 .5241 L
.53868 .52601 L
.53758 .5278 L
.53575 .52601 L
.53565 .52591 L
.53412 .52409 L
.53372 .52363 L
.5326 .52216 L
.53179 .52116 L
.53112 .52023 L
.52987 .51871 L
.52948 .51831 L
.5283 .51638 L
.52794 .51588 L
.52699 .51445 L
.52601 .51304 L
.52569 .51253 L
.52454 .5106 L
.52409 .50975 L
.52372 .50867 L
F
0 .35 1 r
.52409 .47245 m
.52507 .47399 L
.52601 .4752 L
.52646 .47591 L
.52601 .47691 L
.52529 .47591 L
.52409 .47448 L
.52373 .47399 L
F
1 .99 0 r
.52409 .43248 m
.52534 .43352 L
.52601 .43412 L
.52734 .43545 L
.52794 .43554 L
.52916 .43737 L
.52987 .43818 L
.53089 .4393 L
.53179 .44048 L
.53255 .44123 L
.53372 .44283 L
.53393 .44316 L
.53565 .44497 L
.53574 .44508 L
.53732 .44701 L
.53758 .4474 L
.53877 .44894 L
.5395 .44998 L
.53996 .45086 L
.54143 .45219 L
.54192 .45279 L
.54336 .45469 L
.54338 .45472 L
.54476 .45664 L
.54528 .45738 L
.54584 .45857 L
.54721 .4597 L
.54784 .4605 L
.54914 .46227 L
.54926 .46242 L
.55059 .46435 L
.55106 .46501 L
.55157 .46628 L
.55299 .46739 L
.55363 .46821 L
.55492 .47 L
.55502 .47013 L
.55631 .47206 L
.55684 .47278 L
.55792 .47399 L
.55877 .47517 L
.55934 .47591 L
.5607 .47781 L
.56073 .47784 L
.56197 .47977 L
.56263 .48064 L
.56361 .48169 L
.56455 .48301 L
.56502 .48362 L
.5664 .48555 L
.56648 .48567 L
.56759 .48747 L
.56841 .48854 L
.56928 .4894 L
.57033 .49088 L
.57068 .49133 L
.57205 .49326 L
.57226 .49357 L
.57318 .49518 L
.57419 .49644 L
.57493 .49711 L
.57611 .49876 L
.57632 .49904 L
.57768 .50096 L
.57804 .50148 L
.57876 .50289 L
.57997 .50433 L
.58058 .50482 L
.58189 .50666 L
.58196 .50674 L
.5833 .50867 L
.58382 .50939 L
.58433 .5106 L
.58575 .5122 L
.58622 .51253 L
.58763 .51445 L
.58768 .51456 L
.58892 .51638 L
.5896 .51729 L
.58991 .51831 L
.59153 .52004 L
.59185 .52023 L
.5933 .52216 L
.59346 .52246 L
.59453 .52409 L
.59538 .52519 L
.59548 .52601 L
.59731 .52786 L
.59749 .52794 L
.59895 .52987 L
.59924 .53036 L
.60014 .53179 L
.60116 .53308 L
.60173 .53372 L
.60309 .53564 L
.60312 .53565 L
.60459 .53758 L
.60502 .53826 L
.60575 .5395 L
.60694 .54096 L
.60736 .54143 L
.60876 .54336 L
.60887 .5435 L
.61022 .54528 L
.6108 .54616 L
.61137 .54721 L
.61273 .54884 L
.613 .54914 L
.61463 .55106 L
.61465 .55138 L
.61584 .55299 L
.61658 .55406 L
.61699 .55492 L
.61851 .55671 L
.61863 .55684 L
.62031 .55877 L
.62043 .55926 L
.62146 .5607 L
.62236 .56195 L
.62262 .56263 L
.62426 .56455 L
.62429 .56457 L
.62595 .56648 L
.62621 .56715 L
.62708 .56841 L
.62814 .56986 L
.62827 .57033 L
.62989 .57226 L
.63007 .57238 L
.63157 .57419 L
.63199 .57505 L
.6327 .57611 L
.63392 .57777 L
.63396 .57804 L
.63551 .57997 L
.63585 .58023 L
.63718 .58189 L
.63778 .58297 L
.63831 .58382 L
.6397 .58569 L
.63975 .58575 L
.64113 .58768 L
.64163 .5881 L
.64277 .5896 L
.64356 .5909 L
.64393 .59153 L
.64536 .59346 L
.64548 .59363 L
.64674 .59538 L
.64741 .59602 L
.64835 .59731 L
.64934 .59887 L
.64954 .59924 L
.65095 .60116 L
.65126 .60159 L
.65233 .60309 L
.65319 .604 L
.65389 .60502 L
.65512 .60689 L
.65514 .60694 L
.65651 .60887 L
.65704 .6096 L
.65851 .6108 L
.65897 .6121 L
.65939 .61273 L
.66066 .61465 L
.6609 .61497 L
.662 .61658 L
.66283 .61771 L
.66383 .61851 L
.66475 .62043 L
.66476 .62043 L
.66604 .62236 L
.66668 .62325 L
.66735 .62429 L
.66861 .62609 L
.66876 .62621 L
.66989 .62814 L
.67053 .62911 L
.67108 .63007 L
.6722 .63199 L
.67246 .63247 L
.67279 .63392 L
.67246 .63408 L
.67223 .63392 L
.67053 .63296 L
.67 .63199 L
.66861 .63058 L
.66815 .63007 L
.66668 .62839 L
.66638 .62814 L
.66475 .62622 L
.66475 .62621 L
.6631 .62429 L
.66283 .62394 L
.66149 .62236 L
.6609 .62152 L
.65999 .62043 L
.65897 .61897 L
.6588 .61851 L
.65704 .61682 L
.65685 .61658 L
.65517 .61465 L
.65512 .6143 L
.65393 .61273 L
.65319 .61162 L
.6528 .6108 L
.65126 .60935 L
.65089 .60887 L
.6494 .60694 L
.64934 .60676 L
.64808 .60502 L
.64741 .60401 L
.647 .60309 L
.64548 .60166 L
.6451 .60116 L
.64364 .59924 L
.64356 .59903 L
.64236 .59731 L
.64163 .59625 L
.64133 .59538 L
.6397 .59387 L
.63939 .59346 L
.63793 .59153 L
.63778 .59121 L
.63669 .5896 L
.63585 .58841 L
.63573 .58768 L
.63392 .58603 L
.63371 .58575 L
.63226 .58382 L
.63199 .58334 L
.63106 .58189 L
.63007 .58055 L
.62945 .57997 L
.62814 .57815 L
.62806 .57804 L
.6266 .57611 L
.62621 .57546 L
.62543 .57419 L
.62429 .57269 L
.6238 .57226 L
.62241 .57033 L
.62236 .57027 L
.62096 .56841 L
.62043 .56756 L
.61981 .56648 L
.61851 .56484 L
.61816 .56455 L
.6166 .56263 L
.61658 .56238 L
.61533 .5607 L
.61465 .55967 L
.61419 .55877 L
.61273 .557 L
.61252 .55684 L
.6109 .55492 L
.6108 .55449 L
.6097 .55299 L
.60887 .55179 L
.60856 .55106 L
.60694 .54918 L
.60688 .54914 L
.60524 .54721 L
.60502 .5466 L
.60408 .54528 L
.60309 .5439 L
.60292 .54336 L
.60124 .54143 L
.60116 .54135 L
.5996 .5395 L
.59924 .5387 L
.59845 .53758 L
.59731 .53602 L
.59726 .53565 L
.59561 .53372 L
.59538 .53348 L
.59397 .53179 L
.59346 .53081 L
.59283 .52987 L
.59153 .52814 L
.59137 .52794 L
.58997 .52601 L
.5896 .52561 L
.58835 .52409 L
.58768 .52291 L
.5872 .52216 L
.58575 .52026 L
.58573 .52023 L
.58434 .51831 L
.58382 .51773 L
.58274 .51638 L
.58189 .51501 L
.58156 .51445 L
.5801 .51253 L
.57997 .51248 L
.5787 .5106 L
.57804 .50984 L
.57714 .50867 L
.57611 .50711 L
.57592 .50674 L
.57447 .50482 L
.57419 .50468 L
.5725 .50289 L
.57226 .50194 L
.57153 .50096 L
.57033 .49919 L
.57026 .49904 L
.56884 .49711 L
.56841 .49684 L
.56694 .49518 L
.56648 .49402 L
.56593 .49326 L
.56459 .49133 L
.56455 .49127 L
.56321 .4894 L
.56263 .48896 L
.56138 .48747 L
.5607 .48608 L
.56032 .48555 L
.55897 .48362 L
.55877 .48335 L
.55759 .48169 L
.55684 .48104 L
.55583 .47977 L
.55492 .47813 L
.55472 .47784 L
.55336 .47591 L
.55299 .47542 L
.55197 .47399 L
.55106 .47307 L
.55029 .47206 L
.54914 .47016 L
.54912 .47013 L
.54776 .46821 L
.54721 .46748 L
.54637 .46628 L
.54528 .46505 L
.54477 .46435 L
.54353 .46242 L
.54336 .46219 L
.54217 .4605 L
.54143 .45951 L
.54078 .45857 L
.5395 .45696 L
.53927 .45664 L
.53799 .45472 L
.53758 .45417 L
.53663 .45279 L
.53565 .45147 L
.53523 .45086 L
.53383 .44894 L
.53372 .44879 L
.53251 .44701 L
.53179 .44604 L
.53116 .44508 L
.52987 .44329 L
.52968 .44316 L
.5285 .44123 L
.52794 .44045 L
.52723 .4393 L
.52601 .43753 L
.52592 .43737 L
.52479 .43545 L
.52409 .43429 L
.52377 .43352 L
F
0 .97 1 r
.52409 .53421 m
.52601 .5341 L
.52794 .5348 L
.5292 .53565 L
.52987 .53694 L
.5304 .53758 L
.53179 .53948 L
.5318 .5395 L
.53323 .54143 L
.53372 .542 L
.53504 .54336 L
.53565 .54467 L
.53612 .54528 L
.53749 .54721 L
.53758 .54732 L
.53887 .54914 L
.5395 .54961 L
.5406 .55106 L
.54143 .55253 L
.54171 .55299 L
.54306 .55492 L
.54336 .55532 L
.54441 .55684 L
.54528 .55807 L
.54602 .55877 L
.54709 .5607 L
.54721 .56088 L
.54823 .56263 L
.54886 .56455 L
.54721 .56484 L
.54659 .56455 L
.54528 .56327 L
.54394 .56263 L
.54336 .5617 L
.542 .5607 L
.54143 .55994 L
.5407 .55877 L
.5395 .55758 L
.53892 .55684 L
.53758 .55508 L
.53745 .55492 L
.53596 .55299 L
.53565 .55244 L
.53476 .55106 L
.53372 .54966 L
.53308 .54914 L
.53179 .54736 L
.53168 .54721 L
.53025 .54528 L
.52987 .54472 L
.52911 .54336 L
.52794 .54202 L
.52744 .54143 L
.5261 .5395 L
.52601 .53938 L
.52475 .53758 L
.52409 .53646 L
.52379 .53565 L
F
0 .34 1 r
.52409 .47256 m
.52498 .47399 L
.52601 .47531 L
.52638 .47591 L
.52601 .47678 L
.52538 .47591 L
.52409 .47438 L
.5238 .47399 L
F
1 .25 0 r
.52409 .51605 m
.52435 .51638 L
.52409 .51687 L
.52382 .51638 L
F
0 .7 1 r
.52409 .57433 m
.52519 .57611 L
.52601 .57727 L
.52646 .57804 L
.52601 .57869 L
.52553 .57804 L
.52409 .57643 L
.52385 .57611 L
F
0 .33 1 r
.52409 .47268 m
.52488 .47399 L
.52601 .47545 L
.52628 .47591 L
.52601 .47664 L
.52549 .47591 L
.52409 .47427 L
.52388 .47399 L
F
1 .28 0 r
.52409 .46439 m
.52552 .46628 L
.52601 .46684 L
.52702 .46821 L
.52794 .4693 L
.52855 .47013 L
.52987 .47179 L
.53006 .47206 L
.5315 .47399 L
.53179 .47434 L
.53292 .47591 L
.53372 .47692 L
.53438 .47784 L
.53565 .47949 L
.53585 .47977 L
.53724 .48169 L
.53758 .48212 L
.53862 .48362 L
.5395 .48477 L
.54004 .48555 L
.54143 .48741 L
.54148 .48747 L
.54278 .4894 L
.54336 .49015 L
.54413 .49133 L
.54528 .49288 L
.54552 .49326 L
.54528 .49515 L
.54384 .49326 L
.54336 .4927 L
.54234 .49133 L
.54143 .49023 L
.54082 .4894 L
.5395 .48773 L
.53931 .48747 L
.53788 .48555 L
.53758 .48518 L
.53645 .48362 L
.53565 .4826 L
.535 .48169 L
.53372 .48002 L
.53354 .47977 L
.53215 .47784 L
.53179 .47739 L
.53077 .47591 L
.52987 .47474 L
.52935 .47399 L
.52794 .47208 L
.52792 .47206 L
.52662 .47013 L
.52601 .46933 L
.52527 .46821 L
.52409 .46659 L
.52389 .46628 L
F
0 .72 1 r
.52409 .50834 m
.52479 .50867 L
.52601 .50956 L
.52706 .5106 L
.52794 .5115 L
.52884 .51253 L
.52987 .51358 L
.53047 .51445 L
.53179 .5161 L
.53205 .51638 L
.53346 .51831 L
.53372 .51865 L
.53487 .52023 L
.53565 .52132 L
.53692 .52216 L
.5375 .52409 L
.53758 .52421 L
.5386 .52601 L
.53758 .52768 L
.53583 .52601 L
.53565 .52583 L
.53417 .52409 L
.53372 .52357 L
.53264 .52216 L
.53179 .5211 L
.53116 .52023 L
.52987 .51864 L
.52955 .51831 L
.52835 .51638 L
.52794 .51582 L
.52704 .51445 L
.52601 .51296 L
.52574 .51253 L
.52463 .5106 L
.52409 .5095 L
.52389 .50867 L
F
1 .86 0 r
.52409 .54044 m
.52526 .54143 L
.52601 .54218 L
.52692 .54336 L
.52794 .54461 L
.5284 .54528 L
.52794 .54705 L
.52653 .54528 L
.52601 .54462 L
.52512 .54336 L
.52409 .54172 L
.52392 .54143 L
F
0 .96 1 r
.52409 .53459 m
.52601 .5343 L
.52794 .53502 L
.529 .53565 L
.52987 .53707 L
.5303 .53758 L
.53174 .5395 L
.53179 .53955 L
.53317 .54143 L
.53372 .54206 L
.53499 .54336 L
.53565 .54473 L
.53607 .54528 L
.53744 .54721 L
.53758 .54739 L
.53882 .54914 L
.5395 .54968 L
.54054 .55106 L
.54143 .55263 L
.54165 .55299 L
.54298 .55492 L
.54336 .55544 L
.54432 .55684 L
.54528 .55822 L
.54586 .55877 L
.5469 .5607 L
.54721 .5612 L
.54792 .56263 L
.54721 .56424 L
.54528 .56284 L
.54439 .56263 L
.54336 .56125 L
.54222 .5607 L
.54143 .55966 L
.54087 .55877 L
.5395 .55736 L
.53908 .55684 L
.53759 .55492 L
.53758 .5549 L
.53605 .55299 L
.53565 .55228 L
.53485 .55106 L
.53372 .54955 L
.53317 .54914 L
.53179 .54724 L
.53177 .54721 L
.53032 .54528 L
.52987 .54461 L
.52918 .54336 L
.52794 .54191 L
.52754 .54143 L
.5262 .5395 L
.52601 .53922 L
.52487 .53758 L
.52409 .53613 L
.52394 .53565 L
F
1 .27 0 r
.52409 .46449 m
.52545 .46628 L
.52601 .46691 L
.52697 .46821 L
.52794 .46937 L
.5285 .47013 L
.52987 .47185 L
.53002 .47206 L
.53146 .47399 L
.53179 .4744 L
.53288 .47591 L
.53372 .47697 L
.53434 .47784 L
.53565 .47954 L
.53581 .47977 L
.53719 .48169 L
.53758 .48217 L
.53857 .48362 L
.5395 .48482 L
.54 .48555 L
.54143 .48746 L
.54144 .48747 L
.54273 .4894 L
.54336 .49022 L
.54408 .49133 L
.54528 .49295 L
.54548 .49326 L
.54528 .49506 L
.54391 .49326 L
.54336 .49263 L
.54239 .49133 L
.54143 .49016 L
.54087 .4894 L
.5395 .48768 L
.53935 .48747 L
.53793 .48555 L
.53758 .48512 L
.5365 .48362 L
.53565 .48255 L
.53504 .48169 L
.53372 .47997 L
.53358 .47977 L
.5322 .47784 L
.53179 .47733 L
.53081 .47591 L
.52987 .47468 L
.52939 .47399 L
.52797 .47206 L
.52794 .47202 L
.52668 .47013 L
.52601 .46926 L
.52533 .46821 L
.52409 .46651 L
.52394 .46628 L
F
0 .32 1 r
.52409 .47283 m
.52475 .47399 L
.52601 .47561 L
.52618 .47591 L
.52601 .47645 L
.52563 .47591 L
.52409 .47415 L
.52397 .47399 L
F
1 .24 0 r
.52409 .51625 m
.52419 .51638 L
.52409 .51664 L
.52398 .51638 L
F
1 .26 0 r
.52409 .46459 m
.52537 .46628 L
.52601 .46699 L
.52691 .46821 L
.52794 .46943 L
.52845 .47013 L
.52987 .4719 L
.52998 .47206 L
.5314 .47399 L
.53179 .47446 L
.53283 .47591 L
.53372 .47703 L
.5343 .47784 L
.53565 .47959 L
.53577 .47977 L
.53715 .48169 L
.53758 .48223 L
.53853 .48362 L
.5395 .48488 L
.53996 .48555 L
.54139 .48747 L
.54143 .48753 L
.54267 .4894 L
.54336 .49029 L
.54402 .49133 L
.54528 .49303 L
.54543 .49326 L
.54528 .49496 L
.54398 .49326 L
.54336 .49255 L
.54245 .49133 L
.54143 .4901 L
.54091 .4894 L
.5395 .48762 L
.5394 .48747 L
.53798 .48555 L
.53758 .48506 L
.53654 .48362 L
.53565 .48249 L
.53508 .48169 L
.53372 .47992 L
.53362 .47977 L
.53225 .47784 L
.53179 .47727 L
.53086 .47591 L
.52987 .47462 L
.52943 .47399 L
.52803 .47206 L
.52794 .47195 L
.52674 .47013 L
.52601 .46918 L
.52538 .46821 L
.52409 .46642 L
.52399 .46628 L
F
0 .95 1 r
.52409 .44112 m
.52434 .44123 L
.52601 .44255 L
.52662 .44316 L
.52794 .44436 L
.52846 .44508 L
.52987 .44667 L
.53039 .44701 L
.53179 .44891 L
.53182 .44894 L
.53345 .45086 L
.53372 .45113 L
.53505 .45279 L
.53565 .45356 L
.5368 .45472 L
.53758 .45604 L
.53802 .45664 L
.5395 .45847 L
.53968 .45857 L
.54118 .4605 L
.54143 .46084 L
.54275 .46242 L
.54336 .46342 L
.54395 .46435 L
.54528 .46603 L
.54566 .46628 L
.54711 .46821 L
.54721 .46835 L
.54858 .47013 L
.54914 .47099 L
.54976 .47206 L
.55106 .47369 L
.5515 .47399 L
.55292 .47591 L
.55299 .47602 L
.55434 .47784 L
.55492 .4787 L
.55548 .47977 L
.55684 .48142 L
.55726 .48169 L
.55874 .48362 L
.55877 .48378 L
.56005 .48555 L
.5607 .48648 L
.56115 .48747 L
.56263 .4892 L
.56296 .4894 L
.56445 .49133 L
.56455 .49159 L
.56572 .49326 L
.56648 .49431 L
.56679 .49518 L
.56841 .49699 L
.56864 .49711 L
.57014 .49904 L
.57033 .49944 L
.57137 .50096 L
.57226 .50216 L
.57241 .50289 L
.57419 .50477 L
.5743 .50482 L
.57581 .50674 L
.57611 .50731 L
.577 .50867 L
.57804 .51002 L
.57856 .5106 L
.57995 .51253 L
.57997 .51254 L
.58146 .51445 L
.58189 .51519 L
.58263 .51638 L
.58382 .51788 L
.58421 .51831 L
.5856 .52023 L
.58575 .52041 L
.58709 .52216 L
.58768 .52308 L
.58825 .52409 L
.5896 .52575 L
.58984 .52601 L
.59124 .52794 L
.59153 .52829 L
.59272 .52987 L
.59346 .53097 L
.59388 .53179 L
.59538 .53362 L
.59548 .53372 L
.59723 .53565 L
.59731 .53618 L
.59834 .53758 L
.59924 .53888 L
.59952 .5395 L
.6011 .54143 L
.60116 .54147 L
.60286 .54336 L
.60309 .54408 L
.60395 .54528 L
.60502 .5468 L
.60517 .54721 L
.60672 .54914 L
.60694 .54931 L
.60846 .55106 L
.60887 .55201 L
.60954 .55299 L
.6108 .55473 L
.61084 .55492 L
.61232 .55684 L
.61273 .55718 L
.61403 .55877 L
.61465 .55997 L
.61513 .5607 L
.61652 .56263 L
.61658 .5627 L
.6179 .56455 L
.61851 .56512 L
.61957 .56648 L
.62043 .56798 L
.6207 .56841 L
.62208 .57033 L
.62236 .57072 L
.62345 .57226 L
.62429 .57316 L
.62505 .57419 L
.62621 .57608 L
.62623 .57611 L
.62757 .57804 L
.62814 .57882 L
.62894 .57997 L
.63007 .58139 L
.63042 .58189 L
.63165 .58382 L
.63199 .5843 L
.63297 .58575 L
.63392 .5871 L
.63476 .58768 L
.63562 .5896 L
.63585 .58993 L
.63685 .59153 L
.63778 .59289 L
.63812 .59346 L
.63928 .59538 L
.6397 .59607 L
.64028 .59731 L
.6397 .59826 L
.63869 .59731 L
.63778 .59646 L
.63678 .59538 L
.63585 .59472 L
.63502 .59346 L
.63392 .59222 L
.63277 .59153 L
.63199 .58989 L
.63171 .5896 L
.63015 .58768 L
.63007 .58761 L
.62859 .58575 L
.62814 .58519 L
.62667 .58382 L
.62621 .58269 L
.62557 .58189 L
.62429 .58019 L
.62421 .57997 L
.62254 .57804 L
.62236 .5778 L
.62086 .57611 L
.62043 .57522 L
.61969 .57419 L
.61851 .57261 L
.61846 .57226 L
.61667 .57033 L
.61658 .57021 L
.6151 .56841 L
.61465 .56758 L
.61391 .56648 L
.61273 .56491 L
.61231 .56455 L
.61089 .56263 L
.6108 .5625 L
.60938 .5607 L
.60887 .55984 L
.6082 .55877 L
.60694 .55716 L
.60658 .55684 L
.60517 .55492 L
.60502 .55471 L
.60369 .55299 L
.60309 .55204 L
.60252 .55106 L
.60116 .54937 L
.60089 .54914 L
.59948 .54721 L
.59924 .54688 L
.59802 .54528 L
.59731 .5442 L
.59687 .54336 L
.59538 .54156 L
.59521 .54143 L
.59354 .5395 L
.59346 .53903 L
.59237 .53758 L
.59153 .53634 L
.59122 .53565 L
.5896 .53376 L
.58956 .53372 L
.58788 .53179 L
.58768 .53116 L
.58674 .52987 L
.58575 .52848 L
.58556 .52794 L
.58391 .52601 L
.58382 .52592 L
.58224 .52409 L
.58189 .52328 L
.58111 .52216 L
.57997 .5206 L
.57989 .52023 L
.57827 .51831 L
.57804 .51806 L
.57662 .51638 L
.57611 .51539 L
.57548 .51445 L
.57419 .51272 L
.57403 .51253 L
.57263 .5106 L
.57226 .5102 L
.571 .50867 L
.57033 .5075 L
.56985 .50674 L
.56841 .50483 L
.56839 .50482 L
.567 .50289 L
.56648 .50231 L
.5654 .50096 L
.56455 .49958 L
.56422 .49904 L
.56277 .49711 L
.56263 .49707 L
.56138 .49518 L
.5607 .49441 L
.55981 .49326 L
.55877 .49166 L
.55859 .49133 L
.55716 .4894 L
.55684 .48927 L
.55514 .48747 L
.55492 .48647 L
.55423 .48555 L
.55299 .48371 L
.55295 .48362 L
.55156 .48169 L
.55106 .4814 L
.54962 .47977 L
.54914 .4785 L
.54866 .47784 L
.54735 .47591 L
.54721 .47573 L
.54598 .47399 L
.54528 .47344 L
.54414 .47206 L
.54336 .47047 L
.54312 .47013 L
.5418 .46821 L
.54143 .46771 L
.54043 .46628 L
.5395 .46535 L
.53873 .46435 L
.53763 .46242 L
.53758 .46235 L
.5363 .4605 L
.53565 .45961 L
.53494 .45857 L
.53372 .45704 L
.53343 .45664 L
.53223 .45472 L
.53179 .45412 L
.53092 .45279 L
.52987 .45132 L
.52957 .45086 L
.52828 .44894 L
.52794 .44845 L
.52706 .44701 L
.52601 .44545 L
.5258 .44508 L
.52474 .44316 L
.52409 .44189 L
.52401 .44123 L
F
0 .69 1 r
.52409 .57458 m
.52495 .57611 L
.52601 .57766 L
.52619 .57804 L
.52601 .57831 L
.52581 .57804 L
.52409 .57622 L
.52401 .57611 L
F
1 .25 0 r
.52409 .4647 m
.52528 .46628 L
.52601 .46707 L
.52684 .46821 L
.52794 .4695 L
.5284 .47013 L
.52987 .47196 L
.52994 .47206 L
.53135 .47399 L
.53179 .47452 L
.53278 .47591 L
.53372 .47708 L
.53425 .47784 L
.53565 .47965 L
.53573 .47977 L
.5371 .48169 L
.53758 .48229 L
.53848 .48362 L
.5395 .48494 L
.53991 .48555 L
.54133 .48747 L
.54143 .4876 L
.54262 .4894 L
.54336 .49036 L
.54397 .49133 L
.54528 .49311 L
.54537 .49326 L
.54528 .49486 L
.54407 .49326 L
.54336 .49247 L
.54251 .49133 L
.54143 .49003 L
.54097 .4894 L
.5395 .48756 L
.53944 .48747 L
.53803 .48555 L
.53758 .485 L
.53659 .48362 L
.53565 .48243 L
.53512 .48169 L
.53372 .47986 L
.53366 .47977 L
.5323 .47784 L
.53179 .47721 L
.5309 .47591 L
.52987 .47456 L
.52948 .47399 L
.52808 .47206 L
.52794 .47188 L
.5268 .47013 L
.52601 .4691 L
.52544 .46821 L
.52409 .46633 L
.52405 .46628 L
F
0 .31 1 r
.52409 .47301 m
.52457 .47399 L
.52601 .47586 L
.52604 .47591 L
.52601 .47614 L
.52587 .47591 L
.52409 .474 L
.52408 .47399 L
F
0 .95 1 r
.52409 .53532 m
.52601 .53449 L
.52794 .53523 L
.52874 .53565 L
.52987 .5372 L
.5302 .53758 L
.53167 .5395 L
.53179 .5396 L
.53311 .54143 L
.53372 .54213 L
.53494 .54336 L
.53565 .5448 L
.53602 .54528 L
.53739 .54721 L
.53758 .54746 L
.53877 .54914 L
.5395 .54975 L
.54048 .55106 L
.54143 .55274 L
.54158 .55299 L
.5429 .55492 L
.54336 .55555 L
.54423 .55684 L
.54528 .55838 L
.54569 .55877 L
.5467 .5607 L
.54721 .56164 L
.54757 .56263 L
.54721 .5636 L
.54528 .56267 L
.54489 .56263 L
.54336 .56096 L
.54247 .5607 L
.54143 .5594 L
.54103 .55877 L
.5395 .55715 L
.53925 .55684 L
.53771 .55492 L
.53758 .55472 L
.53614 .55299 L
.53565 .55213 L
.53494 .55106 L
.53372 .54946 L
.53326 .54914 L
.53185 .54721 L
.53179 .54714 L
.53039 .54528 L
.52987 .5445 L
.52925 .54336 L
.52794 .54181 L
.52763 .54143 L
.5263 .5395 L
.52601 .53906 L
.52499 .53758 L
.52409 .53565 L
.52409 .53565 L
F
0 .94 1 r
.52601 .53468 m
.52794 .53542 L
.52843 .53565 L
.52987 .53733 L
.53009 .53758 L
.53159 .5395 L
.53179 .53966 L
.53305 .54143 L
.53372 .5422 L
.53488 .54336 L
.53565 .54487 L
.53597 .54528 L
.53733 .54721 L
.53758 .54753 L
.53871 .54914 L
.5395 .54983 L
.54042 .55106 L
.54143 .55285 L
.54151 .55299 L
.54282 .55492 L
.54336 .55568 L
.54413 .55684 L
.54528 .55856 L
.54551 .55877 L
.54649 .5607 L
.54528 .5625 L
.54336 .5608 L
.5428 .5607 L
.54143 .55915 L
.54117 .55877 L
.5395 .55694 L
.53942 .55684 L
.53784 .55492 L
.53758 .55455 L
.53622 .55299 L
.53565 .55199 L
.53502 .55106 L
.53372 .54938 L
.53335 .54914 L
.53193 .54721 L
.53179 .54704 L
.53046 .54528 L
.52987 .54439 L
.52932 .54336 L
.52794 .5417 L
.52772 .54143 L
.5264 .5395 L
.52601 .53889 L
.52511 .53758 L
.52434 .53565 L
F
1 .8 0 r
.52601 .45072 m
.52615 .45086 L
.52792 .45279 L
.52794 .45281 L
.52959 .45472 L
.52987 .45503 L
.53122 .45664 L
.53179 .45732 L
.53282 .45857 L
.53372 .45959 L
.53515 .4605 L
.53565 .46208 L
.53597 .46242 L
.53745 .46435 L
.53758 .46437 L
.53896 .46628 L
.5395 .46691 L
.541 .46821 L
.54143 .46948 L
.54196 .47013 L
.54336 .47198 L
.54339 .47206 L
.5449 .47399 L
.54528 .47445 L
.54672 .47591 L
.54721 .47705 L
.5478 .47784 L
.54914 .47962 L
.54918 .47977 L
.55072 .48169 L
.55106 .48211 L
.55243 .48362 L
.55299 .48474 L
.55356 .48555 L
.55492 .48734 L
.55493 .48747 L
.55648 .4894 L
.55684 .48985 L
.55811 .49133 L
.55877 .49251 L
.55927 .49326 L
.5607 .49511 L
.56077 .49518 L
.56219 .49711 L
.56263 .49765 L
.56377 .49904 L
.56455 .50032 L
.56495 .50096 L
.56645 .50289 L
.56648 .50291 L
.56786 .50482 L
.56841 .50549 L
.56941 .50674 L
.57033 .50818 L
.57061 .50867 L
.57211 .5106 L
.57226 .51071 L
.57351 .51253 L
.57419 .51337 L
.57502 .51445 L
.57611 .51607 L
.57627 .51638 L
.57773 .51831 L
.57804 .51854 L
.57968 .52023 L
.57997 .52129 L
.58062 .52216 L
.58189 .52401 L
.58193 .52409 L
.58333 .52601 L
.58382 .52643 L
.5852 .52794 L
.58575 .52926 L
.58618 .52987 L
.58753 .53179 L
.58768 .53199 L
.5889 .53372 L
.5896 .53441 L
.59066 .53565 L
.59153 .53731 L
.59171 .53758 L
.59305 .5395 L
.59346 .54005 L
.59442 .54143 L
.59538 .54253 L
.59604 .54336 L
.59717 .54528 L
.59731 .54547 L
.5985 .54721 L
.59924 .54823 L
.59986 .54914 L
.60116 .55094 L
.60126 .55106 L
.60251 .55299 L
.60309 .55381 L
.60381 .55492 L
.60502 .55666 L
.60513 .55684 L
.60634 .55877 L
.60694 .55968 L
.60753 .5607 L
.60694 .56245 L
.60535 .5607 L
.60502 .56035 L
.60366 .55877 L
.60309 .55813 L
.60202 .55684 L
.60116 .55606 L
.60042 .55492 L
.59924 .55349 L
.59866 .55299 L
.59731 .55106 L
.59731 .55106 L
.5958 .54914 L
.59538 .54876 L
.59428 .54721 L
.59346 .54618 L
.5926 .54528 L
.59153 .54364 L
.59133 .54336 L
.58982 .54143 L
.5896 .54122 L
.58834 .5395 L
.58768 .53864 L
.58675 .53758 L
.58575 .53604 L
.5855 .53565 L
.58397 .53372 L
.58382 .53357 L
.58252 .53179 L
.58189 .53097 L
.58099 .52987 L
.57997 .52834 L
.57974 .52794 L
.57821 .52601 L
.57804 .52585 L
.57625 .52409 L
.57611 .52322 L
.57528 .52216 L
.57419 .52058 L
.57402 .52023 L
.57249 .51831 L
.57226 .51807 L
.57064 .51638 L
.57033 .51542 L
.56961 .51445 L
.56841 .51276 L
.56832 .51253 L
.56681 .5106 L
.56648 .51025 L
.56503 .50867 L
.56455 .50757 L
.56396 .50674 L
.56263 .50491 L
.5626 .50482 L
.56116 .50289 L
.5607 .5024 L
.55943 .50096 L
.55877 .49968 L
.55833 .49904 L
.55692 .49711 L
.55684 .49701 L
.55553 .49518 L
.55492 .49451 L
.55386 .49326 L
.55299 .49175 L
.55271 .49133 L
.55131 .4894 L
.55106 .48907 L
.54992 .48747 L
.54914 .48657 L
.54831 .48555 L
.54721 .48378 L
.54711 .48362 L
.54574 .48169 L
.54528 .48153 L
.54435 .47977 L
.54336 .47855 L
.54281 .47784 L
.54156 .47591 L
.54143 .47574 L
.5402 .47399 L
.5395 .47352 L
.53815 .47206 L
.53758 .4704 L
.53737 .47013 L
.53609 .46821 L
.53565 .46761 L
.53474 .46628 L
.53372 .46521 L
.533 .46435 L
.53203 .46242 L
.53179 .46211 L
.53073 .4605 L
.52987 .45928 L
.5294 .45857 L
.52809 .45664 L
.52794 .45643 L
.52689 .45472 L
.52601 .45342 L
.52565 .45279 L
.52455 .45086 L
F
0 .93 1 r
.52601 .53488 m
.52794 .5356 L
.52805 .53565 L
.52987 .53746 L
.52998 .53758 L
.53152 .5395 L
.53179 .53972 L
.53299 .54143 L
.53372 .54227 L
.53483 .54336 L
.53565 .54494 L
.53592 .54528 L
.53728 .54721 L
.53758 .5476 L
.53866 .54914 L
.5395 .54992 L
.54035 .55106 L
.54143 .55297 L
.54144 .55299 L
.54274 .55492 L
.54336 .5558 L
.54404 .55684 L
.54528 .55875 L
.5453 .55877 L
.54625 .5607 L
.54528 .56212 L
.54336 .56071 L
.54324 .5607 L
.54143 .55891 L
.54133 .55877 L
.53958 .55684 L
.5395 .55676 L
.53796 .55492 L
.53758 .55439 L
.53631 .55299 L
.53565 .55186 L
.5351 .55106 L
.53372 .54931 L
.53344 .54914 L
.53201 .54721 L
.53179 .54694 L
.53053 .54528 L
.52987 .54429 L
.52938 .54336 L
.52794 .54158 L
.52782 .54143 L
.5265 .5395 L
.52601 .53871 L
.52523 .53758 L
.52461 .53565 L
F
1 .97 0 r
.52601 .50111 m
.52794 .50218 L
.52861 .50289 L
.52987 .50423 L
.5304 .50482 L
.53179 .50657 L
.53192 .50674 L
.53365 .50867 L
.53372 .50903 L
.53495 .5106 L
.53565 .51163 L
.53621 .51253 L
.53758 .51425 L
.53789 .51445 L
.53935 .51638 L
.5395 .51666 L
.54062 .51831 L
.54143 .51936 L
.5417 .52023 L
.54336 .522 L
.54357 .52216 L
.54498 .52409 L
.54528 .52447 L
.54615 .52601 L
.54721 .52718 L
.54768 .52794 L
.54891 .52987 L
.54914 .53032 L
.54994 .53179 L
.54914 .53264 L
.54721 .53273 L
.54546 .53179 L
.54528 .53165 L
.5437 .52987 L
.54336 .52938 L
.5422 .52794 L
.54143 .52691 L
.54038 .52601 L
.5395 .52436 L
.53925 .52409 L
.53787 .52216 L
.53758 .52209 L
.53648 .52023 L
.53565 .51934 L
.53478 .51831 L
.53372 .51653 L
.53362 .51638 L
.53226 .51445 L
.53179 .51382 L
.53088 .51253 L
.52987 .5115 L
.52931 .5106 L
.52812 .50867 L
.52794 .50841 L
.52684 .50674 L
.52601 .5055 L
.52523 .50482 L
.52464 .50289 L
F
0 .71 1 r
.52601 .50968 m
.52696 .5106 L
.52794 .51159 L
.52877 .51253 L
.52987 .51366 L
.53041 .51445 L
.53179 .51618 L
.53198 .51638 L
.5334 .51831 L
.53372 .51873 L
.53482 .52023 L
.53565 .5214 L
.53683 .52216 L
.53743 .52409 L
.53758 .52432 L
.53851 .52601 L
.53758 .52756 L
.53591 .52601 L
.53565 .52575 L
.53423 .52409 L
.53372 .5235 L
.53269 .52216 L
.53179 .52105 L
.5312 .52023 L
.52987 .51856 L
.52963 .51831 L
.5284 .51638 L
.52794 .51575 L
.52709 .51445 L
.52601 .51288 L
.52579 .51253 L
.52473 .5106 L
F
0 .7 1 r
.52601 .5098 m
.52685 .5106 L
.52794 .51168 L
.52869 .51253 L
.52987 .51375 L
.53034 .51445 L
.53179 .51626 L
.53191 .51638 L
.53335 .51831 L
.53372 .5188 L
.53476 .52023 L
.53565 .52148 L
.53673 .52216 L
.53736 .52409 L
.53758 .52444 L
.53842 .52601 L
.53758 .52743 L
.536 .52601 L
.53565 .52567 L
.53429 .52409 L
.53372 .52344 L
.53274 .52216 L
.53179 .52099 L
.53124 .52023 L
.52987 .51848 L
.5297 .51831 L
.52845 .51638 L
.52794 .51568 L
.52714 .51445 L
.52601 .51279 L
.52585 .51253 L
.52483 .5106 L
F
0 .92 1 r
.52601 .53508 m
.52774 .53565 L
.52794 .53577 L
.52986 .53758 L
.52987 .53758 L
.53144 .5395 L
.53179 .53978 L
.53293 .54143 L
.53372 .54234 L
.53476 .54336 L
.53565 .54501 L
.53586 .54528 L
.53723 .54721 L
.53758 .54768 L
.53861 .54914 L
.5395 .55001 L
.54027 .55106 L
.54137 .55299 L
.54143 .55307 L
.54266 .55492 L
.54336 .55594 L
.54394 .55684 L
.54513 .55877 L
.54528 .55903 L
.54597 .5607 L
.54528 .5617 L
.54365 .5607 L
.54336 .56049 L
.54152 .55877 L
.54143 .55873 L
.53973 .55684 L
.5395 .55659 L
.53809 .55492 L
.53758 .55424 L
.53639 .55299 L
.53565 .55174 L
.53517 .55106 L
.53372 .54925 L
.53353 .54914 L
.53209 .54721 L
.53179 .54685 L
.53059 .54528 L
.52987 .54419 L
.52944 .54336 L
.52794 .54147 L
.52791 .54143 L
.5266 .5395 L
.52601 .53853 L
.52536 .53758 L
.5249 .53565 L
F
0 .69 1 r
.52601 .50993 m
.52673 .5106 L
.52794 .51178 L
.52861 .51253 L
.52987 .51384 L
.53028 .51445 L
.53179 .51634 L
.53183 .51638 L
.53329 .51831 L
.53372 .51888 L
.53471 .52023 L
.53565 .52157 L
.53662 .52216 L
.53729 .52409 L
.53758 .52457 L
.53833 .52601 L
.53758 .5273 L
.53609 .52601 L
.53565 .52559 L
.53436 .52409 L
.53372 .52337 L
.53279 .52216 L
.53179 .52093 L
.53129 .52023 L
.52987 .51839 L
.52978 .51831 L
.5285 .51638 L
.52794 .51561 L
.52719 .51445 L
.52601 .5127 L
.52591 .51253 L
.52495 .5106 L
F
0 .68 1 r
.52601 .51007 m
.5266 .5106 L
.52794 .51187 L
.52853 .51253 L
.52987 .51393 L
.53021 .51445 L
.53176 .51638 L
.53179 .51642 L
.53323 .51831 L
.53372 .51895 L
.53465 .52023 L
.53565 .52165 L
.5365 .52216 L
.53721 .52409 L
.53758 .52471 L
.53823 .52601 L
.53758 .52716 L
.5362 .52601 L
.53565 .5255 L
.53442 .52409 L
.53372 .5233 L
.53284 .52216 L
.53179 .52087 L
.53133 .52023 L
.52987 .51831 L
.52987 .51831 L
.52855 .51638 L
.52794 .51554 L
.52724 .51445 L
.52601 .5126 L
.52597 .51253 L
.52508 .5106 L
F
1 .96 0 r
.52601 .50199 m
.52793 .50289 L
.52794 .5029 L
.52987 .5047 L
.52999 .50482 L
.53168 .50674 L
.53179 .50689 L
.53359 .50867 L
.53372 .5093 L
.53479 .5106 L
.53565 .51184 L
.53608 .51253 L
.53758 .51435 L
.53775 .51445 L
.53927 .51638 L
.5395 .51683 L
.54051 .51831 L
.54143 .51951 L
.54163 .52023 L
.54336 .52209 L
.54344 .52216 L
.54488 .52409 L
.54528 .52462 L
.54603 .52601 L
.54721 .52742 L
.54751 .52794 L
.54869 .52987 L
.54914 .53093 L
.54942 .53179 L
.54914 .53213 L
.54721 .53245 L
.54581 .53179 L
.54528 .53141 L
.54385 .52987 L
.54336 .52921 L
.54229 .52794 L
.54143 .52682 L
.54047 .52601 L
.5395 .52428 L
.53932 .52409 L
.53794 .52216 L
.53758 .52206 L
.53653 .52023 L
.53565 .51926 L
.53485 .51831 L
.53372 .51643 L
.53368 .51638 L
.53233 .51445 L
.53179 .51372 L
.53096 .51253 L
.52987 .51132 L
.52943 .5106 L
.52825 .50867 L
.52794 .50823 L
.527 .50674 L
.52601 .50515 L
.52564 .50482 L
.52522 .50289 L
F
0 .91 1 r
.52601 .53528 m
.52741 .53565 L
.52794 .53593 L
.52975 .53758 L
.52987 .53758 L
.53137 .5395 L
.53179 .53984 L
.53287 .54143 L
.53372 .54241 L
.5347 .54336 L
.53565 .54508 L
.53581 .54528 L
.53717 .54721 L
.53758 .54775 L
.53855 .54914 L
.5395 .55011 L
.54019 .55106 L
.5413 .55299 L
.54143 .55318 L
.54257 .55492 L
.54336 .55608 L
.54383 .55684 L
.54496 .55877 L
.54528 .55942 L
.54562 .5607 L
.54528 .56121 L
.54412 .5607 L
.54336 .56022 L
.54174 .55877 L
.54143 .55865 L
.53989 .55684 L
.5395 .55643 L
.53821 .55492 L
.53758 .55409 L
.53648 .55299 L
.53565 .55163 L
.53524 .55106 L
.53372 .54919 L
.53362 .54914 L
.53217 .54721 L
.53179 .54675 L
.53066 .54528 L
.52987 .54408 L
.5295 .54336 L
.528 .54143 L
.52794 .54135 L
.5267 .5395 L
.52601 .53833 L
.5255 .53758 L
.52523 .53565 L
F
0 .67 1 r
.52601 .51022 m
.52646 .5106 L
.52794 .51197 L
.52845 .51253 L
.52987 .51403 L
.53014 .51445 L
.5317 .51638 L
.53179 .51649 L
.53317 .51831 L
.53372 .51903 L
.53459 .52023 L
.53565 .52174 L
.53636 .52216 L
.53713 .52409 L
.53758 .52487 L
.53812 .52601 L
.53758 .527 L
.53631 .52601 L
.53565 .52541 L
.53449 .52409 L
.53372 .52323 L
.53289 .52216 L
.53179 .52081 L
.53137 .52023 L
.52992 .51831 L
.52987 .51824 L
.5286 .51638 L
.52794 .51546 L
.5273 .51445 L
.52604 .51253 L
.52601 .51249 L
.52523 .5106 L
F
0 .66 1 r
.52601 .51039 m
.52628 .5106 L
.52794 .51207 L
.52836 .51253 L
.52987 .51414 L
.53007 .51445 L
.53164 .51638 L
.53179 .51657 L
.53311 .51831 L
.53372 .51911 L
.53454 .52023 L
.53565 .52183 L
.53622 .52216 L
.53705 .52409 L
.53758 .52504 L
.538 .52601 L
.53758 .52683 L
.53644 .52601 L
.53565 .52532 L
.53456 .52409 L
.53372 .52316 L
.53294 .52216 L
.53179 .52075 L
.53142 .52023 L
.52997 .51831 L
.52987 .51817 L
.52865 .51638 L
.52794 .51538 L
.52735 .51445 L
.52612 .51253 L
.52601 .51234 L
.52542 .5106 L
F
1 .85 0 r
.52601 .54256 m
.52664 .54336 L
.52794 .54493 L
.52817 .54528 L
.52794 .54664 L
.52685 .54528 L
.52601 .54422 L
.52543 .54336 L
F
0 .51 1 r
.52601 .45873 m
.52748 .4605 L
.52794 .461 L
.52908 .46242 L
.52987 .46335 L
.53066 .46435 L
.53179 .46543 L
.53221 .46628 L
.53372 .46817 L
.53376 .46821 L
.53522 .47013 L
.53565 .47066 L
.53671 .47206 L
.53758 .47281 L
.53821 .47399 L
.5395 .47563 L
.53979 .47591 L
.54114 .47784 L
.54143 .47821 L
.54259 .47977 L
.54336 .48044 L
.54405 .48169 L
.54528 .48328 L
.5456 .48362 L
.54693 .48555 L
.54721 .4859 L
.54836 .48747 L
.54914 .4882 L
.5498 .4894 L
.55106 .49106 L
.5513 .49133 L
.55264 .49326 L
.55299 .49371 L
.55405 .49518 L
.55492 .49606 L
.55608 .49711 L
.55684 .49895 L
.55692 .49904 L
.55828 .50096 L
.55877 .50162 L
.55968 .50289 L
.5607 .50405 L
.56147 .50482 L
.56248 .50674 L
.56263 .50693 L
.56384 .50867 L
.56455 .50962 L
.56523 .5106 L
.56648 .51221 L
.56677 .51253 L
.56797 .51445 L
.56841 .51504 L
.56931 .51638 L
.57033 .51778 L
.57069 .51831 L
.57202 .52023 L
.57226 .52055 L
.5733 .52216 L
.57419 .5234 L
.57463 .52409 L
.57592 .52601 L
.57611 .5263 L
.57706 .52794 L
.57804 .52947 L
.57824 .52987 L
.57804 .53068 L
.57727 .52987 L
.57611 .52873 L
.57545 .52794 L
.57419 .52652 L
.57377 .52601 L
.57226 .52426 L
.57217 .52409 L
.57063 .52216 L
.57033 .52182 L
.5691 .52023 L
.56841 .51939 L
.56757 .51831 L
.56648 .51711 L
.56605 .51638 L
.56455 .51445 L
.56455 .51445 L
.56309 .51253 L
.56263 .51194 L
.56161 .5106 L
.5607 .5096 L
.55948 .50867 L
.55877 .50688 L
.55865 .50674 L
.55724 .50482 L
.55684 .50431 L
.5558 .50289 L
.55492 .50191 L
.55385 .50096 L
.55299 .49916 L
.55289 .49904 L
.55149 .49711 L
.55106 .49655 L
.55007 .49518 L
.54914 .49411 L
.54827 .49326 L
.54721 .49133 L
.54721 .49133 L
.54582 .4894 L
.54528 .48869 L
.54441 .48747 L
.54336 .48619 L
.54275 .48555 L
.54159 .48362 L
.54143 .4834 L
.54022 .48169 L
.5395 .48073 L
.53882 .47977 L
.53758 .47814 L
.53732 .47784 L
.53606 .47591 L
.53565 .47536 L
.5347 .47399 L
.53372 .47265 L
.53331 .47206 L
.53195 .47013 L
.53179 .46992 L
.53064 .46821 L
.52987 .46714 L
.5293 .46628 L
.52794 .46436 L
.52794 .46435 L
.52671 .46242 L
.52601 .46144 L
.52544 .4605 L
F
1 .24 0 r
.52601 .46716 m
.52678 .46821 L
.52794 .46957 L
.52835 .47013 L
.52987 .47203 L
.52989 .47206 L
.53129 .47399 L
.53179 .47458 L
.53274 .47591 L
.53372 .47714 L
.53421 .47784 L
.53565 .4797 L
.53569 .47977 L
.53705 .48169 L
.53758 .48236 L
.53844 .48362 L
.5395 .485 L
.53987 .48555 L
.54127 .48747 L
.54143 .48767 L
.54255 .4894 L
.54336 .49044 L
.54391 .49133 L
.54528 .4932 L
.54532 .49326 L
.54528 .49474 L
.54416 .49326 L
.54336 .49238 L
.54258 .49133 L
.54143 .48996 L
.54102 .4894 L
.5395 .48749 L
.53949 .48747 L
.53809 .48555 L
.53758 .48493 L
.53664 .48362 L
.53565 .48237 L
.53517 .48169 L
.53372 .4798 L
.5337 .47977 L
.53235 .47784 L
.53179 .47714 L
.53095 .47591 L
.52987 .47449 L
.52952 .47399 L
.52815 .47206 L
.52794 .4718 L
.52686 .47013 L
.52601 .46902 L
.5255 .46821 L
F
0 .5 1 r
.52601 .45884 m
.5274 .4605 L
.52794 .46108 L
.52902 .46242 L
.52987 .46341 L
.53061 .46435 L
.53179 .46551 L
.53217 .46628 L
.5337 .46821 L
.53372 .46823 L
.53518 .47013 L
.53565 .4707 L
.53668 .47206 L
.53758 .47286 L
.53818 .47399 L
.5395 .47567 L
.53974 .47591 L
.54111 .47784 L
.54143 .47824 L
.54256 .47977 L
.54336 .48048 L
.54403 .48169 L
.54528 .48332 L
.54556 .48362 L
.54691 .48555 L
.54721 .48594 L
.54833 .48747 L
.54914 .48824 L
.54978 .4894 L
.55106 .49109 L
.55127 .49133 L
.55262 .49326 L
.55299 .49374 L
.55403 .49518 L
.55492 .4961 L
.55604 .49711 L
.55684 .49898 L
.55689 .49904 L
.55825 .50096 L
.55877 .50165 L
.55965 .50289 L
.5607 .50409 L
.56143 .50482 L
.56246 .50674 L
.56263 .50697 L
.56382 .50867 L
.56455 .50966 L
.5652 .5106 L
.56648 .51226 L
.56672 .51253 L
.56794 .51445 L
.56841 .51509 L
.56928 .51638 L
.57033 .51783 L
.57065 .51831 L
.57198 .52023 L
.57226 .52061 L
.57326 .52216 L
.57419 .52347 L
.57458 .52409 L
.57584 .52601 L
.57611 .5264 L
.57697 .52794 L
.57804 .52968 L
.57812 .52987 L
.57804 .53043 L
.57745 .52987 L
.57611 .52862 L
.57554 .52794 L
.57419 .52644 L
.57384 .52601 L
.57226 .52416 L
.57222 .52409 L
.57068 .52216 L
.57033 .52175 L
.56914 .52023 L
.56841 .51934 L
.56761 .51831 L
.56648 .51706 L
.56608 .51638 L
.56459 .51445 L
.56455 .51441 L
.56312 .51253 L
.56263 .5119 L
.56165 .5106 L
.5607 .50956 L
.55953 .50867 L
.55877 .50684 L
.55869 .50674 L
.55727 .50482 L
.55684 .50427 L
.55582 .50289 L
.55492 .50188 L
.55388 .50096 L
.55299 .49913 L
.55292 .49904 L
.55152 .49711 L
.55106 .49651 L
.55009 .49518 L
.54914 .49407 L
.5483 .49326 L
.54723 .49133 L
.54721 .4913 L
.54585 .4894 L
.54528 .48866 L
.54443 .48747 L
.54336 .48615 L
.54279 .48555 L
.54162 .48362 L
.54143 .48337 L
.54024 .48169 L
.5395 .4807 L
.53884 .47977 L
.53758 .47809 L
.53736 .47784 L
.53609 .47591 L
.53565 .47532 L
.53473 .47399 L
.53372 .47261 L
.53334 .47206 L
.53199 .47013 L
.53179 .46987 L
.53068 .46821 L
.52987 .46708 L
.52933 .46628 L
.52799 .46435 L
.52794 .46429 L
.52677 .46242 L
.52601 .46135 L
.5255 .4605 L
F
0 .49 1 r
.52601 .45895 m
.52732 .4605 L
.52794 .46116 L
.52896 .46242 L
.52987 .46348 L
.53056 .46435 L
.53179 .46559 L
.53213 .46628 L
.53366 .46821 L
.53372 .46828 L
.53514 .47013 L
.53565 .47075 L
.53664 .47206 L
.53758 .47291 L
.53814 .47399 L
.5395 .47572 L
.5397 .47591 L
.54108 .47784 L
.54143 .47828 L
.54253 .47977 L
.54336 .48052 L
.544 .48169 L
.54528 .48335 L
.54553 .48362 L
.54688 .48555 L
.54721 .48597 L
.54831 .48747 L
.54914 .48827 L
.54975 .4894 L
.55106 .49113 L
.55124 .49133 L
.55259 .49326 L
.55299 .49378 L
.554 .49518 L
.55492 .49614 L
.556 .49711 L
.55684 .49902 L
.55686 .49904 L
.55823 .50096 L
.55877 .50168 L
.55963 .50289 L
.5607 .50413 L
.56138 .50482 L
.56243 .50674 L
.56263 .507 L
.56379 .50867 L
.56455 .5097 L
.56518 .5106 L
.56648 .51232 L
.56667 .51253 L
.5679 .51445 L
.56841 .51513 L
.56925 .51638 L
.57033 .51788 L
.57062 .51831 L
.57194 .52023 L
.57226 .52068 L
.57321 .52216 L
.57419 .52354 L
.57453 .52409 L
.57577 .52601 L
.57611 .52652 L
.57687 .52794 L
.57611 .5285 L
.57563 .52794 L
.57419 .52635 L
.57391 .52601 L
.57228 .52409 L
.57226 .52406 L
.57074 .52216 L
.57033 .52169 L
.56919 .52023 L
.56841 .51928 L
.56765 .51831 L
.56648 .517 L
.56612 .51638 L
.56463 .51445 L
.56455 .51436 L
.56316 .51253 L
.56263 .51185 L
.56168 .5106 L
.5607 .50952 L
.55958 .50867 L
.55877 .5068 L
.55872 .50674 L
.5573 .50482 L
.55684 .50423 L
.55585 .50289 L
.55492 .50184 L
.55392 .50096 L
.55299 .49909 L
.55295 .49904 L
.55154 .49711 L
.55106 .49648 L
.55012 .49518 L
.54914 .49404 L
.54834 .49326 L
.54726 .49133 L
.54721 .49126 L
.54587 .4894 L
.54528 .48862 L
.54446 .48747 L
.54336 .48611 L
.54282 .48555 L
.54165 .48362 L
.54143 .48333 L
.54027 .48169 L
.5395 .48066 L
.53887 .47977 L
.53758 .47804 L
.5374 .47784 L
.53612 .47591 L
.53565 .47528 L
.53476 .47399 L
.53372 .47256 L
.53337 .47206 L
.53202 .47013 L
.53179 .46982 L
.53072 .46821 L
.52987 .46703 L
.52937 .46628 L
.52804 .46435 L
.52794 .46422 L
.52682 .46242 L
.52601 .46125 L
.52557 .4605 L
F
1 .23 0 r
.52601 .46726 m
.5267 .46821 L
.52794 .46965 L
.52829 .47013 L
.52794 .47171 L
.52693 .47013 L
.52601 .46892 L
.52557 .46821 L
F
0 .48 1 r
.52601 .45907 m
.52723 .4605 L
.52794 .46125 L
.52889 .46242 L
.52987 .46354 L
.53051 .46435 L
.53179 .46568 L
.53208 .46628 L
.53361 .46821 L
.53372 .46833 L
.5351 .47013 L
.53565 .4708 L
.53661 .47206 L
.53758 .47296 L
.53811 .47399 L
.5395 .47576 L
.53965 .47591 L
.54105 .47784 L
.54143 .47832 L
.5425 .47977 L
.54336 .48056 L
.54397 .48169 L
.54528 .48339 L
.54549 .48362 L
.54685 .48555 L
.54721 .48601 L
.54828 .48747 L
.54914 .4883 L
.54973 .4894 L
.55106 .49117 L
.5512 .49133 L
.55257 .49326 L
.55299 .49381 L
.55398 .49518 L
.55492 .49617 L
.55596 .49711 L
.55683 .49904 L
.55684 .49906 L
.5582 .50096 L
.55877 .50172 L
.5596 .50289 L
.5607 .50418 L
.56134 .50482 L
.5624 .50674 L
.56263 .50704 L
.56376 .50867 L
.56455 .50974 L
.56515 .5106 L
.56648 .51238 L
.56661 .51253 L
.56787 .51445 L
.56841 .51518 L
.56921 .51638 L
.57033 .51793 L
.57059 .51831 L
.57189 .52023 L
.57226 .52074 L
.57316 .52216 L
.57419 .52362 L
.57448 .52409 L
.57568 .52601 L
.57611 .52665 L
.57675 .52794 L
.57611 .52837 L
.57574 .52794 L
.57419 .52626 L
.57398 .52601 L
.57235 .52409 L
.57226 .52399 L
.57079 .52216 L
.57033 .52163 L
.56924 .52023 L
.56841 .51923 L
.56769 .51831 L
.56648 .51694 L
.56616 .51638 L
.56466 .51445 L
.56455 .51431 L
.56319 .51253 L
.56263 .51181 L
.56171 .5106 L
.5607 .50947 L
.55964 .50867 L
.55877 .50676 L
.55876 .50674 L
.55733 .50482 L
.55684 .5042 L
.55588 .50289 L
.55492 .5018 L
.55396 .50096 L
.55299 .49905 L
.55298 .49904 L
.55157 .49711 L
.55106 .49645 L
.55014 .49518 L
.54914 .494 L
.54838 .49326 L
.54729 .49133 L
.54721 .49123 L
.5459 .4894 L
.54528 .48859 L
.54448 .48747 L
.54336 .48607 L
.54286 .48555 L
.54167 .48362 L
.54143 .4833 L
.5403 .48169 L
.5395 .48062 L
.5389 .47977 L
.53758 .47799 L
.53744 .47784 L
.53615 .47591 L
.53565 .47524 L
.53479 .47399 L
.53372 .47252 L
.5334 .47206 L
.53206 .47013 L
.53179 .46977 L
.53076 .46821 L
.52987 .46697 L
.52941 .46628 L
.52809 .46435 L
.52794 .46414 L
.52689 .46242 L
.52601 .46115 L
.52563 .4605 L
F
0 .9 1 r
.52601 .5355 m
.52697 .53565 L
.52794 .53609 L
.52963 .53758 L
.52987 .53759 L
.53129 .5395 L
.53179 .5399 L
.53281 .54143 L
.53372 .54248 L
.53463 .54336 L
.53565 .54515 L
.53575 .54528 L
.53711 .54721 L
.53758 .54783 L
.53849 .54914 L
.5395 .55022 L
.54011 .55106 L
.54122 .55299 L
.54143 .55329 L
.54248 .55492 L
.54336 .55624 L
.54372 .55684 L
.54476 .55877 L
.54336 .55995 L
.54198 .55877 L
.54143 .55856 L
.54005 .55684 L
.5395 .55628 L
.53833 .55492 L
.53758 .55396 L
.53657 .55299 L
.53565 .55152 L
.53531 .55106 L
.53372 .54914 L
.53371 .54914 L
.53225 .54721 L
.53179 .54666 L
.53072 .54528 L
.52987 .54398 L
.52956 .54336 L
.52808 .54143 L
.52794 .54121 L
.5268 .5395 L
.52601 .53812 L
.52566 .53758 L
.52564 .53565 L
F
1 .79 0 r
.52601 .5691 m
.52689 .57033 L
.52794 .57164 L
.52838 .57226 L
.52794 .57354 L
.5271 .57226 L
.52601 .57091 L
.52564 .57033 L
F
1 .22 0 r
.52601 .46737 m
.52662 .46821 L
.52794 .46973 L
.52823 .47013 L
.52794 .47162 L
.527 .47013 L
.52601 .46882 L
.52564 .46821 L
F
0 .47 1 r
.52601 .4592 m
.52714 .4605 L
.52794 .46133 L
.52883 .46242 L
.52987 .46361 L
.53045 .46435 L
.53179 .46577 L
.53204 .46628 L
.53357 .46821 L
.53372 .46839 L
.53506 .47013 L
.53565 .47085 L
.53657 .47206 L
.53758 .47301 L
.53808 .47399 L
.5395 .47581 L
.53961 .47591 L
.54102 .47784 L
.54143 .47836 L
.54248 .47977 L
.54336 .48059 L
.54394 .48169 L
.54528 .48343 L
.54546 .48362 L
.54683 .48555 L
.54721 .48604 L
.54826 .48747 L
.54914 .48834 L
.5497 .4894 L
.55106 .4912 L
.55117 .49133 L
.55254 .49326 L
.55299 .49384 L
.55396 .49518 L
.55492 .49621 L
.55592 .49711 L
.5568 .49904 L
.55684 .49909 L
.55818 .50096 L
.55877 .50175 L
.55958 .50289 L
.5607 .50422 L
.56129 .50482 L
.56237 .50674 L
.56263 .50708 L
.56373 .50867 L
.56455 .50978 L
.56512 .5106 L
.56648 .51244 L
.56656 .51253 L
.56783 .51445 L
.56841 .51523 L
.56918 .51638 L
.57033 .51798 L
.57055 .51831 L
.57184 .52023 L
.57226 .52081 L
.57311 .52216 L
.57419 .5237 L
.57443 .52409 L
.57559 .52601 L
.57611 .52681 L
.5766 .52794 L
.57611 .52822 L
.57587 .52794 L
.57419 .52617 L
.57406 .52601 L
.57242 .52409 L
.57226 .52391 L
.57085 .52216 L
.57033 .52157 L
.56929 .52023 L
.56841 .51917 L
.56773 .51831 L
.56648 .51687 L
.5662 .51638 L
.5647 .51445 L
.56455 .51427 L
.56323 .51253 L
.56263 .51177 L
.56174 .5106 L
.5607 .50943 L
.55969 .50867 L
.55879 .50674 L
.55877 .50672 L
.55736 .50482 L
.55684 .50416 L
.5559 .50289 L
.55492 .50176 L
.554 .50096 L
.55301 .49904 L
.55299 .49902 L
.5516 .49711 L
.55106 .49641 L
.55017 .49518 L
.54914 .49396 L
.54841 .49326 L
.54731 .49133 L
.54721 .49119 L
.54592 .4894 L
.54528 .48856 L
.54451 .48747 L
.54336 .48603 L
.5429 .48555 L
.5417 .48362 L
.54143 .48326 L
.54032 .48169 L
.5395 .48059 L
.53892 .47977 L
.53758 .47794 L
.53749 .47784 L
.53618 .47591 L
.53565 .47519 L
.53482 .47399 L
.53372 .47248 L
.53344 .47206 L
.5321 .47013 L
.53179 .46971 L
.5308 .46821 L
.52987 .46691 L
.52946 .46628 L
.52815 .46435 L
.52794 .46406 L
.52695 .46242 L
.52601 .46104 L
.52571 .4605 L
F
1 .21 0 r
.52601 .46749 m
.52653 .46821 L
.52794 .46981 L
.52817 .47013 L
.52794 .47153 L
.52709 .47013 L
.52601 .4687 L
.52572 .46821 L
F
0 .65 1 r
.52601 .51058 m
.52605 .5106 L
.52794 .51218 L
.52827 .51253 L
.52987 .51424 L
.53 .51445 L
.53157 .51638 L
.53179 .51665 L
.53305 .51831 L
.53372 .51919 L
.53448 .52023 L
.53565 .52192 L
.53607 .52216 L
.53697 .52409 L
.53758 .52525 L
.53787 .52601 L
.53758 .52663 L
.53659 .52601 L
.53565 .52523 L
.53463 .52409 L
.53372 .52309 L
.533 .52216 L
.53179 .52068 L
.53147 .52023 L
.53002 .51831 L
.52987 .5181 L
.52871 .51638 L
.52794 .5153 L
.52741 .51445 L
.52622 .51253 L
.52601 .51215 L
.52576 .5106 L
F
1 .79 0 r
.52601 .45097 m
.52774 .45279 L
.52794 .45298 L
.52946 .45472 L
.52987 .45516 L
.53111 .45664 L
.53179 .45743 L
.53273 .45857 L
.53372 .45969 L
.53503 .4605 L
.53565 .46217 L
.53589 .46242 L
.53738 .46435 L
.53758 .46438 L
.5389 .46628 L
.5395 .46697 L
.54095 .46821 L
.54143 .46954 L
.54192 .47013 L
.54336 .47203 L
.54337 .47206 L
.54485 .47399 L
.54528 .47449 L
.5467 .47591 L
.54721 .4771 L
.54777 .47784 L
.54914 .47966 L
.54917 .47977 L
.55069 .48169 L
.55106 .48215 L
.5524 .48362 L
.55299 .48478 L
.55353 .48555 L
.55492 .48737 L
.55493 .48747 L
.55645 .4894 L
.55684 .48988 L
.55809 .49133 L
.55877 .49254 L
.55925 .49326 L
.5607 .49513 L
.56074 .49518 L
.56216 .49711 L
.56263 .49768 L
.56375 .49904 L
.56455 .50035 L
.56493 .50096 L
.56643 .50289 L
.56648 .50292 L
.56784 .50482 L
.56841 .50552 L
.56939 .50674 L
.57033 .50821 L
.5706 .50867 L
.57208 .5106 L
.57226 .51072 L
.57349 .51253 L
.57419 .5134 L
.575 .51445 L
.57611 .5161 L
.57626 .51638 L
.57771 .51831 L
.57804 .51856 L
.57966 .52023 L
.57997 .52132 L
.5806 .52216 L
.58189 .52404 L
.58192 .52409 L
.58331 .52601 L
.58382 .52646 L
.58517 .52794 L
.58575 .5293 L
.58616 .52987 L
.5875 .53179 L
.58768 .53203 L
.58887 .53372 L
.5896 .53445 L
.59063 .53565 L
.59153 .53736 L
.59168 .53758 L
.59302 .5395 L
.59346 .5401 L
.59438 .54143 L
.59538 .5426 L
.59599 .54336 L
.59713 .54528 L
.59731 .54553 L
.59845 .54721 L
.59924 .5483 L
.59981 .54914 L
.60116 .55105 L
.60118 .55106 L
.60244 .55299 L
.60309 .55391 L
.60374 .55492 L
.60502 .55678 L
.60506 .55684 L
.60622 .55877 L
.60694 .55988 L
.60739 .5607 L
.60694 .5622 L
.60554 .5607 L
.60502 .56018 L
.6038 .55877 L
.60309 .558 L
.60213 .55684 L
.60116 .55595 L
.60051 .55492 L
.59924 .55339 L
.59877 .55299 L
.59739 .55106 L
.59731 .55097 L
.59586 .54914 L
.59538 .5487 L
.59434 .54721 L
.59346 .54611 L
.59265 .54528 L
.59153 .54358 L
.59137 .54336 L
.58986 .54143 L
.5896 .54118 L
.58839 .5395 L
.58768 .53859 L
.58679 .53758 L
.58575 .536 L
.58553 .53565 L
.58401 .53372 L
.58382 .53354 L
.58256 .53179 L
.58189 .53093 L
.58102 .52987 L
.57997 .52831 L
.57976 .52794 L
.57823 .52601 L
.57804 .52582 L
.57626 .52409 L
.57611 .52319 L
.57531 .52216 L
.57419 .52055 L
.57404 .52023 L
.57251 .51831 L
.57226 .51805 L
.57065 .51638 L
.57033 .51539 L
.56963 .51445 L
.56841 .51273 L
.56833 .51253 L
.56683 .5106 L
.56648 .51023 L
.56505 .50867 L
.56455 .50754 L
.56398 .50674 L
.56263 .50488 L
.56261 .50482 L
.56118 .50289 L
.5607 .50238 L
.55945 .50096 L
.55877 .49965 L
.55835 .49904 L
.55694 .49711 L
.55684 .49698 L
.55555 .49518 L
.55492 .49448 L
.55388 .49326 L
.55299 .49172 L
.55273 .49133 L
.55134 .4894 L
.55106 .48904 L
.54995 .48747 L
.54914 .48653 L
.54834 .48555 L
.54721 .48374 L
.54714 .48362 L
.54576 .48169 L
.54528 .48151 L
.54438 .47977 L
.54336 .4785 L
.54284 .47784 L
.54159 .47591 L
.54143 .4757 L
.54024 .47399 L
.5395 .47347 L
.5382 .47206 L
.53758 .47034 L
.53742 .47013 L
.53613 .46821 L
.53565 .46755 L
.53478 .46628 L
.53372 .46511 L
.53309 .46435 L
.53208 .46242 L
.53179 .46202 L
.53079 .4605 L
.52987 .45919 L
.52947 .45857 L
.52818 .45664 L
.52794 .4563 L
.52699 .45472 L
.52601 .45322 L
.52577 .45279 L
F
0 .46 1 r
.52601 .45934 m
.52703 .4605 L
.52794 .46143 L
.52876 .46242 L
.52987 .46369 L
.5304 .46435 L
.53179 .46586 L
.53199 .46628 L
.53352 .46821 L
.53372 .46844 L
.53502 .47013 L
.53565 .47089 L
.53654 .47206 L
.53758 .47306 L
.53805 .47399 L
.5395 .47586 L
.53956 .47591 L
.54098 .47784 L
.54143 .4784 L
.54245 .47977 L
.54336 .48064 L
.54392 .48169 L
.54528 .48347 L
.54542 .48362 L
.5468 .48555 L
.54721 .48608 L
.54823 .48747 L
.54914 .48838 L
.54968 .4894 L
.55106 .49124 L
.55114 .49133 L
.55252 .49326 L
.55299 .49388 L
.55393 .49518 L
.55492 .49625 L
.55588 .49711 L
.55678 .49904 L
.55684 .49912 L
.55815 .50096 L
.55877 .50179 L
.55955 .50289 L
.5607 .50427 L
.56125 .50482 L
.56234 .50674 L
.56263 .50712 L
.5637 .50867 L
.56455 .50982 L
.56509 .5106 L
.56648 .5125 L
.5665 .51253 L
.5678 .51445 L
.56841 .51528 L
.56914 .51638 L
.57033 .51803 L
.57051 .51831 L
.57179 .52023 L
.57226 .52088 L
.57306 .52216 L
.57419 .52378 L
.57437 .52409 L
.57548 .52601 L
.57611 .52701 L
.57639 .52794 L
.57611 .52804 L
.57602 .52794 L
.57419 .52607 L
.57414 .52601 L
.5725 .52409 L
.57226 .52383 L
.57091 .52216 L
.57033 .5215 L
.56933 .52023 L
.56841 .51912 L
.56777 .51831 L
.56648 .51681 L
.56624 .51638 L
.56474 .51445 L
.56455 .51422 L
.56326 .51253 L
.56263 .51173 L
.56177 .5106 L
.5607 .50938 L
.55975 .50867 L
.55882 .50674 L
.55877 .50668 L
.55739 .50482 L
.55684 .50412 L
.55593 .50289 L
.55492 .50172 L
.55405 .50096 L
.55303 .49904 L
.55299 .49898 L
.55162 .49711 L
.55106 .49638 L
.55019 .49518 L
.54914 .49392 L
.54845 .49326 L
.54734 .49133 L
.54721 .49116 L
.54595 .4894 L
.54528 .48852 L
.54453 .48747 L
.54336 .48599 L
.54294 .48555 L
.54173 .48362 L
.54143 .48322 L
.54035 .48169 L
.5395 .48055 L
.53895 .47977 L
.53758 .47789 L
.53753 .47784 L
.53621 .47591 L
.53565 .47515 L
.53485 .47399 L
.53372 .47243 L
.53347 .47206 L
.53214 .47013 L
.53179 .46966 L
.53084 .46821 L
.52987 .46685 L
.5295 .46628 L
.52821 .46435 L
.52794 .46397 L
.52702 .46242 L
.52601 .46092 L
.52578 .4605 L
F
0 .91 1 r
.52601 .56116 m
.52727 .56263 L
.52794 .56335 L
.52893 .56455 L
.52987 .56565 L
.53053 .56648 L
.53179 .56766 L
.53209 .56841 L
.53359 .57033 L
.53372 .57049 L
.53508 .57226 L
.53565 .57297 L
.53658 .57419 L
.53758 .57502 L
.53806 .57611 L
.5395 .57802 L
.53952 .57804 L
.54095 .57997 L
.54143 .58059 L
.5424 .58189 L
.54336 .58277 L
.54385 .58382 L
.54527 .58575 L
.54528 .58577 L
.54667 .58768 L
.54721 .58839 L
.54809 .5896 L
.54914 .59072 L
.54951 .59153 L
.5509 .59346 L
.55106 .59368 L
.55227 .59538 L
.55299 .59636 L
.55367 .59731 L
.55492 .59892 L
.55506 .59924 L
.55639 .60116 L
.55684 .60179 L
.55774 .60309 L
.55877 .60454 L
.5591 .60502 L
.56039 .60694 L
.5607 .60737 L
.56165 .60887 L
.56263 .61029 L
.56294 .6108 L
.56263 .61226 L
.56146 .6108 L
.5607 .60998 L
.55986 .60887 L
.55877 .60761 L
.55828 .60694 L
.55684 .60519 L
.55672 .60502 L
.55524 .60309 L
.55492 .6027 L
.55379 .60116 L
.55299 .60019 L
.5523 .59924 L
.55106 .59767 L
.55081 .59731 L
.54935 .59538 L
.54914 .59512 L
.54794 .59346 L
.54721 .59253 L
.5465 .59153 L
.54528 .58996 L
.54503 .5896 L
.54361 .58768 L
.54336 .58735 L
.54223 .58575 L
.54143 .58472 L
.5408 .58382 L
.5395 .5823 L
.53935 .58189 L
.53798 .57997 L
.53758 .57945 L
.53661 .57804 L
.53565 .57678 L
.5352 .57611 L
.53377 .57419 L
.53372 .57413 L
.53246 .57226 L
.53179 .57138 L
.5311 .57033 L
.52987 .56867 L
.5297 .56841 L
.5284 .56648 L
.52794 .56586 L
.52714 .56455 L
.52601 .56298 L
.52581 .56263 L
F
1 .2 0 r
.52601 .46764 m
.52641 .46821 L
.52794 .46991 L
.5281 .47013 L
.52794 .47141 L
.52718 .47013 L
.52601 .46856 L
.52581 .46821 L
F
0 .89 1 r
.52601 .53578 m
.52794 .53625 L
.5295 .53758 L
.52987 .53759 L
.53121 .5395 L
.53179 .53997 L
.53274 .54143 L
.53372 .54256 L
.53456 .54336 L
.53565 .54523 L
.53569 .54528 L
.53706 .54721 L
.53758 .5479 L
.53844 .54914 L
.5395 .55033 L
.54002 .55106 L
.54114 .55299 L
.54143 .5534 L
.54239 .55492 L
.54336 .55641 L
.54361 .55684 L
.54453 .55877 L
.54336 .55967 L
.54224 .55877 L
.54143 .55845 L
.54022 .55684 L
.5395 .55613 L
.53846 .55492 L
.53758 .55382 L
.53667 .55299 L
.53565 .55142 L
.53538 .55106 L
.5338 .54914 L
.53372 .54909 L
.53232 .54721 L
.53179 .54656 L
.53079 .54528 L
.52987 .54387 L
.52961 .54336 L
.52817 .54143 L
.52794 .54108 L
.52691 .5395 L
.52601 .53787 L
.52583 .53758 L
F
0 .45 1 r
.52601 .45952 m
.5269 .4605 L
.52794 .46152 L
.52868 .46242 L
.52987 .46376 L
.53034 .46435 L
.53179 .46596 L
.53194 .46628 L
.53347 .46821 L
.53372 .4685 L
.53498 .47013 L
.53565 .47094 L
.5365 .47206 L
.53758 .47312 L
.53801 .47399 L
.5395 .47591 L
.53951 .47591 L
.54095 .47784 L
.54143 .47844 L
.54242 .47977 L
.54336 .48068 L
.54389 .48169 L
.54528 .48351 L
.54538 .48362 L
.54677 .48555 L
.54721 .48611 L
.54821 .48747 L
.54914 .48842 L
.54965 .4894 L
.55106 .49128 L
.55111 .49133 L
.55249 .49326 L
.55299 .49391 L
.55391 .49518 L
.55492 .49629 L
.55584 .49711 L
.55675 .49904 L
.55684 .49916 L
.55813 .50096 L
.55877 .50182 L
.55953 .50289 L
.5607 .50432 L
.5612 .50482 L
.56231 .50674 L
.56263 .50716 L
.56367 .50867 L
.56455 .50986 L
.56506 .5106 L
.56646 .51253 L
.56648 .51255 L
.56776 .51445 L
.56841 .51533 L
.56911 .51638 L
.57033 .51809 L
.57048 .51831 L
.57174 .52023 L
.57226 .52095 L
.57301 .52216 L
.57419 .52387 L
.57432 .52409 L
.57419 .52596 L
.57259 .52409 L
.57226 .52375 L
.57097 .52216 L
.57033 .52143 L
.56939 .52023 L
.56841 .51906 L
.56782 .51831 L
.56648 .51674 L
.56628 .51638 L
.56478 .51445 L
.56455 .51417 L
.5633 .51253 L
.56263 .51168 L
.56181 .5106 L
.5607 .50933 L
.55981 .50867 L
.55885 .50674 L
.55877 .50664 L
.55742 .50482 L
.55684 .50409 L
.55596 .50289 L
.55492 .50168 L
.55409 .50096 L
.55306 .49904 L
.55299 .49895 L
.55165 .49711 L
.55106 .49634 L
.55022 .49518 L
.54914 .49388 L
.54849 .49326 L
.54737 .49133 L
.54721 .49112 L
.54597 .4894 L
.54528 .48849 L
.54456 .48747 L
.54336 .48595 L
.54298 .48555 L
.54176 .48362 L
.54143 .48319 L
.54038 .48169 L
.5395 .48051 L
.53898 .47977 L
.53758 .47784 L
.53758 .47784 L
.53625 .47591 L
.53565 .47511 L
.53488 .47399 L
.53372 .47238 L
.5335 .47206 L
.53218 .47013 L
.53179 .4696 L
.53088 .46821 L
.52987 .46678 L
.52954 .46628 L
.52827 .46435 L
.52794 .46388 L
.5271 .46242 L
.52601 .46078 L
.52587 .4605 L
F
1 .78 0 r
.52601 .56955 m
.52654 .57033 L
.52794 .57203 L
.5281 .57226 L
.52794 .57312 L
.52744 .57226 L
.52601 .57054 L
.52589 .57033 L
F
.52601 .45128 m
.52754 .45279 L
.52794 .45317 L
.52932 .45472 L
.52987 .45531 L
.531 .45664 L
.53179 .45755 L
.53264 .45857 L
.53372 .45979 L
.5349 .4605 L
.53565 .46226 L
.53581 .46242 L
.53732 .46435 L
.53758 .4644 L
.53884 .46628 L
.5395 .46704 L
.54091 .46821 L
.54143 .4696 L
.54187 .47013 L
.54334 .47206 L
.54336 .47207 L
.54481 .47399 L
.54528 .47454 L
.54667 .47591 L
.54721 .47715 L
.54774 .47784 L
.54914 .47969 L
.54916 .47977 L
.55066 .48169 L
.55106 .48219 L
.55238 .48362 L
.55299 .48482 L
.55351 .48555 L
.55492 .4874 L
.55492 .48747 L
.55642 .4894 L
.55684 .48992 L
.55807 .49133 L
.55877 .49257 L
.55923 .49326 L
.5607 .49516 L
.56072 .49518 L
.56214 .49711 L
.56263 .49771 L
.56373 .49904 L
.56455 .50038 L
.56491 .50096 L
.56641 .50289 L
.56648 .50294 L
.56782 .50482 L
.56841 .50554 L
.56937 .50674 L
.57033 .50824 L
.57058 .50867 L
.57206 .5106 L
.57226 .51074 L
.57347 .51253 L
.57419 .51342 L
.57498 .51445 L
.57611 .51613 L
.57624 .51638 L
.57769 .51831 L
.57804 .51858 L
.57965 .52023 L
.57997 .52135 L
.58057 .52216 L
.58189 .52407 L
.5819 .52409 L
.58328 .52601 L
.58382 .52649 L
.58515 .52794 L
.58575 .52933 L
.58613 .52987 L
.58747 .53179 L
.58768 .53207 L
.58884 .53372 L
.5896 .53449 L
.59059 .53565 L
.59153 .53741 L
.59165 .53758 L
.59298 .5395 L
.59346 .54015 L
.59435 .54143 L
.59538 .54266 L
.59594 .54336 L
.59708 .54528 L
.59731 .54559 L
.59841 .54721 L
.59924 .54836 L
.59976 .54914 L
.60111 .55106 L
.60116 .55114 L
.60237 .55299 L
.60309 .55402 L
.60366 .55492 L
.60497 .55684 L
.60502 .55692 L
.60609 .55877 L
.60694 .56012 L
.60724 .5607 L
.60694 .5619 L
.60575 .5607 L
.60502 .56 L
.60394 .55877 L
.60309 .55786 L
.60224 .55684 L
.60116 .55582 L
.6006 .55492 L
.59924 .55328 L
.59888 .55299 L
.59746 .55106 L
.59731 .55088 L
.59593 .54914 L
.59538 .54864 L
.59439 .54721 L
.59346 .54604 L
.59271 .54528 L
.59153 .54352 L
.59141 .54336 L
.58991 .54143 L
.5896 .54114 L
.58843 .5395 L
.58768 .53854 L
.58682 .53758 L
.58575 .53595 L
.58555 .53565 L
.58404 .53372 L
.58382 .5335 L
.58259 .53179 L
.58189 .53089 L
.58105 .52987 L
.57997 .52827 L
.57978 .52794 L
.57826 .52601 L
.57804 .52579 L
.57627 .52409 L
.57611 .52316 L
.57533 .52216 L
.57419 .52052 L
.57405 .52023 L
.57254 .51831 L
.57226 .51802 L
.57067 .51638 L
.57033 .51536 L
.56965 .51445 L
.56841 .51271 L
.56834 .51253 L
.56685 .5106 L
.56648 .51021 L
.56506 .50867 L
.56455 .50751 L
.564 .50674 L
.56263 .50485 L
.56262 .50482 L
.5612 .50289 L
.5607 .50235 L
.55947 .50096 L
.55877 .49962 L
.55837 .49904 L
.55696 .49711 L
.55684 .49695 L
.55557 .49518 L
.55492 .49446 L
.5539 .49326 L
.55299 .49169 L
.55275 .49133 L
.55136 .4894 L
.55106 .48901 L
.54997 .48747 L
.54914 .4865 L
.54836 .48555 L
.54721 .4837 L
.54716 .48362 L
.54579 .48169 L
.54528 .48149 L
.5444 .47977 L
.54336 .47846 L
.54288 .47784 L
.54162 .47591 L
.54143 .47565 L
.54027 .47399 L
.5395 .47342 L
.53825 .47206 L
.53758 .47028 L
.53747 .47013 L
.53617 .46821 L
.53565 .46749 L
.53483 .46628 L
.53372 .46501 L
.53317 .46435 L
.53214 .46242 L
.53179 .46194 L
.53086 .4605 L
.52987 .45909 L
.52954 .45857 L
.52828 .45664 L
.52794 .45615 L
.52711 .45472 L
.52601 .45299 L
.52591 .45279 L
F
1 .19 0 r
.52601 .46785 m
.52625 .46821 L
.52794 .47001 L
.52803 .47013 L
.52794 .47129 L
.5273 .47013 L
.52601 .46838 L
.52593 .46821 L
F
1 .84 0 r
.52601 .54322 m
.52612 .54336 L
.52601 .54352 L
.52593 .54336 L
F
0 .44 1 r
.52601 .45975 m
.52674 .4605 L
.52794 .46163 L
.5286 .46242 L
.52987 .46383 L
.53028 .46435 L
.53179 .46607 L
.53189 .46628 L
.53342 .46821 L
.53372 .46856 L
.53494 .47013 L
.53565 .47099 L
.53646 .47206 L
.53758 .47318 L
.53798 .47399 L
.53947 .47591 L
.5395 .47595 L
.54092 .47784 L
.54143 .47848 L
.54239 .47977 L
.54336 .48072 L
.54386 .48169 L
.54528 .48355 L
.54534 .48362 L
.54674 .48555 L
.54721 .48615 L
.54818 .48747 L
.54914 .48846 L
.54963 .4894 L
.55106 .49132 L
.55107 .49133 L
.55246 .49326 L
.55299 .49394 L
.55388 .49518 L
.55492 .49633 L
.55579 .49711 L
.55672 .49904 L
.55684 .49919 L
.5581 .50096 L
.55877 .50186 L
.5595 .50289 L
.5607 .50437 L
.56115 .50482 L
.56228 .50674 L
.56263 .5072 L
.56365 .50867 L
.56455 .5099 L
.56504 .5106 L
.56642 .51253 L
.56648 .5126 L
.56773 .51445 L
.56841 .51538 L
.56907 .51638 L
.57033 .51814 L
.57044 .51831 L
.57169 .52023 L
.57226 .52103 L
.57295 .52216 L
.57419 .52397 L
.57426 .52409 L
.57419 .52583 L
.57268 .52409 L
.57226 .52366 L
.57104 .52216 L
.57033 .52136 L
.56944 .52023 L
.56841 .519 L
.56786 .51831 L
.56648 .51667 L
.56632 .51638 L
.56482 .51445 L
.56455 .51412 L
.56334 .51253 L
.56263 .51164 L
.56184 .5106 L
.5607 .50928 L
.55987 .50867 L
.55889 .50674 L
.55877 .5066 L
.55745 .50482 L
.55684 .50405 L
.55599 .50289 L
.55492 .50164 L
.55414 .50096 L
.55309 .49904 L
.55299 .49891 L
.55168 .49711 L
.55106 .49631 L
.55024 .49518 L
.54914 .49384 L
.54853 .49326 L
.54739 .49133 L
.54721 .49109 L
.546 .4894 L
.54528 .48845 L
.54458 .48747 L
.54336 .4859 L
.54302 .48555 L
.54179 .48362 L
.54143 .48315 L
.54041 .48169 L
.5395 .48047 L
.539 .47977 L
.53761 .47784 L
.53758 .4778 L
.53628 .47591 L
.53565 .47506 L
.53491 .47399 L
.53372 .47234 L
.53353 .47206 L
.53223 .47013 L
.53179 .46954 L
.53092 .46821 L
.52987 .46672 L
.52959 .46628 L
.52834 .46435 L
.52794 .46378 L
.52717 .46242 L
.52601 .4606 L
.52597 .4605 L
F
0 .88 1 r
.52794 .53641 m
.52937 .53758 L
.52987 .5376 L
.53112 .5395 L
.53179 .54004 L
.53268 .54143 L
.53372 .54264 L
.53448 .54336 L
.53563 .54528 L
.53565 .54531 L
.537 .54721 L
.53758 .54798 L
.53838 .54914 L
.5395 .55046 L
.53993 .55106 L
.54106 .55299 L
.54143 .55353 L
.5423 .55492 L
.54336 .5566 L
.54349 .55684 L
.54426 .55877 L
.54336 .55936 L
.54254 .55877 L
.54143 .55831 L
.54039 .55684 L
.5395 .55597 L
.53859 .55492 L
.53758 .55369 L
.53678 .55299 L
.53565 .55132 L
.53545 .55106 L
.53388 .54914 L
.53372 .54903 L
.5324 .54721 L
.53179 .54647 L
.53086 .54528 L
.52987 .54376 L
.52967 .54336 L
.52826 .54143 L
.52794 .54094 L
.52701 .5395 L
.52601 .53758 L
F
1 .95 0 r
.52794 .50323 m
.52957 .50482 L
.52987 .50509 L
.53141 .50674 L
.53179 .5072 L
.53351 .50867 L
.53372 .50955 L
.53463 .5106 L
.53565 .51202 L
.53597 .51253 L
.53758 .51443 L
.53761 .51445 L
.53918 .51638 L
.5395 .517 L
.5404 .51831 L
.54143 .51965 L
.54158 .52023 L
.54333 .52216 L
.54336 .52218 L
.54479 .52409 L
.54528 .52477 L
.54591 .52601 L
.54721 .5277 L
.54734 .52794 L
.54847 .52987 L
.54883 .53179 L
.54721 .53217 L
.54624 .53179 L
.54528 .53119 L
.544 .52987 L
.54336 .52906 L
.54239 .52794 L
.54143 .52672 L
.54056 .52601 L
.5395 .52421 L
.53939 .52409 L
.538 .52216 L
.53758 .52202 L
.53659 .52023 L
.53565 .51917 L
.53492 .51831 L
.53375 .51638 L
.53372 .51634 L
.5324 .51445 L
.53179 .51362 L
.53104 .51253 L
.52987 .51112 L
.52956 .5106 L
.52838 .50867 L
.52794 .50802 L
.52717 .50674 L
.52609 .50482 L
F
0 .87 1 r
.52794 .53657 m
.52923 .53758 L
.52987 .53762 L
.53104 .5395 L
.53179 .54011 L
.53261 .54143 L
.53372 .54272 L
.5344 .54336 L
.53557 .54528 L
.53565 .54539 L
.53694 .54721 L
.53758 .54806 L
.53832 .54914 L
.5395 .55059 L
.53983 .55106 L
.54098 .55299 L
.54143 .55365 L
.5422 .55492 L
.54336 .55683 L
.54337 .55684 L
.54387 .55877 L
.54336 .55901 L
.54294 .55877 L
.54143 .55813 L
.54057 .55684 L
.5395 .55582 L
.53872 .55492 L
.53758 .55357 L
.53689 .55299 L
.53565 .55123 L
.53552 .55106 L
.53396 .54914 L
.53372 .54897 L
.53248 .54721 L
.53179 .54637 L
.53093 .54528 L
.52987 .54365 L
.52972 .54336 L
.52835 .54143 L
.52794 .5408 L
.52712 .5395 L
.52618 .53758 L
F
0 .64 1 r
.52794 .51229 m
.52817 .51253 L
.52987 .51436 L
.52993 .51445 L
.5315 .51638 L
.53179 .51674 L
.53299 .51831 L
.53372 .51927 L
.53442 .52023 L
.53565 .52201 L
.53591 .52216 L
.53688 .52409 L
.53758 .52553 L
.53772 .52601 L
.53758 .52636 L
.53679 .52601 L
.53565 .52513 L
.53471 .52409 L
.53372 .52302 L
.53305 .52216 L
.53179 .52062 L
.53151 .52023 L
.53008 .51831 L
.52987 .51803 L
.52876 .51638 L
.52794 .51521 L
.52747 .51445 L
.52633 .51253 L
F
0 .86 1 r
.52794 .53673 m
.52907 .53758 L
.52987 .53766 L
.53095 .5395 L
.53179 .54019 L
.53255 .54143 L
.53372 .54281 L
.53431 .54336 L
.53551 .54528 L
.53565 .54547 L
.53688 .54721 L
.53758 .54814 L
.53826 .54914 L
.5395 .55074 L
.53973 .55106 L
.54089 .55299 L
.54143 .55379 L
.5421 .55492 L
.54319 .55684 L
.54143 .55788 L
.54077 .55684 L
.5395 .55566 L
.53886 .55492 L
.53758 .55344 L
.53702 .55299 L
.53565 .55113 L
.53559 .55106 L
.53405 .54914 L
.53372 .54891 L
.53256 .54721 L
.53179 .54627 L
.53101 .54528 L
.52987 .54353 L
.52978 .54336 L
.52843 .54143 L
.52794 .54065 L
.52722 .5395 L
.52636 .53758 L
F
0 .63 1 r
.52794 .5124 m
.52806 .51253 L
.52985 .51445 L
.52987 .51447 L
.53143 .51638 L
.53179 .51682 L
.53293 .51831 L
.53372 .51936 L
.53435 .52023 L
.53565 .52211 L
.53573 .52216 L
.53679 .52409 L
.53565 .52503 L
.53479 .52409 L
.53372 .52294 L
.53311 .52216 L
.53179 .52055 L
.53156 .52023 L
.53014 .51831 L
.52987 .51795 L
.52882 .51638 L
.52794 .51512 L
.52753 .51445 L
.52645 .51253 L
F
1 .94 0 r
.52794 .50362 m
.52912 .50482 L
.52987 .50544 L
.53113 .50674 L
.53179 .50749 L
.53339 .50867 L
.53372 .50978 L
.53447 .5106 L
.53565 .51219 L
.53587 .51253 L
.53748 .51445 L
.53758 .51458 L
.5391 .51638 L
.5395 .51715 L
.5403 .51831 L
.54143 .51978 L
.54153 .52023 L
.54322 .52216 L
.54336 .52227 L
.5447 .52409 L
.54528 .52493 L
.5458 .52601 L
.54717 .52794 L
.54721 .528 L
.54825 .52987 L
.54809 .53179 L
.54721 .5319 L
.54683 .53179 L
.54528 .53097 L
.54416 .52987 L
.54336 .52893 L
.54249 .52794 L
.54143 .52662 L
.54067 .52601 L
.5395 .52413 L
.53946 .52409 L
.53807 .52216 L
.53758 .52198 L
.53665 .52023 L
.53565 .51908 L
.535 .51831 L
.53382 .51638 L
.53372 .51625 L
.53248 .51445 L
.53179 .51352 L
.53112 .51253 L
.52987 .5109 L
.52969 .5106 L
.52851 .50867 L
.52794 .50779 L
.52735 .50674 L
.52647 .50482 L
F
0 .85 1 r
.52794 .5369 m
.52891 .53758 L
.52987 .53771 L
.53086 .5395 L
.53179 .54028 L
.53248 .54143 L
.53372 .5429 L
.53422 .54336 L
.53545 .54528 L
.53565 .54555 L
.53682 .54721 L
.53758 .54822 L
.5382 .54914 L
.5395 .55089 L
.53962 .55106 L
.5408 .55299 L
.54143 .55394 L
.54199 .55492 L
.54297 .55684 L
.54143 .55756 L
.54098 .55684 L
.5395 .5555 L
.539 .55492 L
.53758 .55332 L
.53716 .55299 L
.53567 .55106 L
.53565 .55104 L
.53414 .54914 L
.53372 .54885 L
.53264 .54721 L
.53179 .54616 L
.53109 .54528 L
.52987 .54341 L
.52984 .54336 L
.52852 .54143 L
.52794 .54049 L
.52733 .5395 L
.52655 .53758 L
F
0 .84 1 r
.52794 .53707 m
.52872 .53758 L
.52987 .53779 L
.53077 .5395 L
.53179 .54037 L
.53241 .54143 L
.53372 .54299 L
.53412 .54336 L
.53538 .54528 L
.53565 .54563 L
.53676 .54721 L
.53758 .54831 L
.53814 .54914 L
.5395 .55106 L
.53951 .55106 L
.54071 .55299 L
.54143 .55411 L
.54188 .55492 L
.5427 .55684 L
.54143 .55715 L
.54124 .55684 L
.5395 .55533 L
.53915 .55492 L
.53758 .55319 L
.53731 .55299 L
.53577 .55106 L
.53565 .55092 L
.53422 .54914 L
.53372 .54878 L
.53272 .54721 L
.53179 .54606 L
.53117 .54528 L
.52991 .54336 L
.52987 .54329 L
.52862 .54143 L
.52794 .54033 L
.52745 .5395 L
.52677 .53758 L
F
1 .93 0 r
.52794 .50429 m
.52852 .50482 L
.52987 .50577 L
.53084 .50674 L
.53179 .50776 L
.53321 .50867 L
.53372 .50999 L
.53431 .5106 L
.53565 .51234 L
.53577 .51253 L
.53736 .51445 L
.53758 .51473 L
.53902 .51638 L
.5395 .5173 L
.5402 .51831 L
.54143 .51991 L
.5415 .52023 L
.54311 .52216 L
.54336 .52236 L
.5446 .52409 L
.54528 .52511 L
.5457 .52601 L
.54702 .52794 L
.54721 .52829 L
.54802 .52987 L
.54721 .53158 L
.54528 .53076 L
.54433 .52987 L
.54336 .5288 L
.54259 .52794 L
.54143 .52652 L
.54078 .52601 L
.53954 .52409 L
.5395 .52404 L
.53813 .52216 L
.53758 .52193 L
.53672 .52023 L
.53565 .51898 L
.53508 .51831 L
.53389 .51638 L
.53372 .51615 L
.53255 .51445 L
.53179 .51341 L
.5312 .51253 L
.52987 .51066 L
.52983 .5106 L
.52865 .50867 L
.52794 .50751 L
.52754 .50674 L
.52702 .50482 L
F
0 .83 1 r
.52794 .53725 m
.5285 .53758 L
.52987 .53789 L
.53067 .5395 L
.53179 .54047 L
.53234 .54143 L
.53372 .54308 L
.53402 .54336 L
.53532 .54528 L
.53565 .54571 L
.5367 .54721 L
.53758 .5484 L
.53808 .54914 L
.53942 .55106 L
.5395 .55118 L
.54062 .55299 L
.54143 .5543 L
.54176 .55492 L
.54143 .55674 L
.5395 .55514 L
.53931 .55492 L
.53758 .55306 L
.53748 .55299 L
.53587 .55106 L
.53565 .5508 L
.53431 .54914 L
.53372 .5487 L
.5328 .54721 L
.53179 .54594 L
.53126 .54528 L
.53 .54336 L
.52987 .54317 L
.52871 .54143 L
.52794 .54015 L
.52756 .5395 L
.52703 .53758 L
F
1 .77 0 r
.52794 .45337 m
.52916 .45472 L
.52987 .45545 L
.53089 .45664 L
.53179 .45767 L
.53254 .45857 L
.53372 .4599 L
.53474 .4605 L
.53565 .46235 L
.53572 .46242 L
.53725 .46435 L
.53758 .46441 L
.53878 .46628 L
.5395 .46711 L
.54085 .46821 L
.54143 .46966 L
.54182 .47013 L
.54329 .47206 L
.54336 .47208 L
.54477 .47399 L
.54528 .47459 L
.54663 .47591 L
.54721 .4772 L
.5477 .47784 L
.54914 .47973 L
.54915 .47977 L
.55062 .48169 L
.55106 .48223 L
.55235 .48362 L
.55299 .48486 L
.55348 .48555 L
.55492 .48743 L
.55492 .48747 L
.5564 .4894 L
.55684 .48995 L
.55805 .49133 L
.55877 .49261 L
.5592 .49326 L
.56069 .49518 L
.5607 .49519 L
.56211 .49711 L
.56263 .49774 L
.56371 .49904 L
.56455 .50041 L
.56489 .50096 L
.56638 .50289 L
.56648 .50295 L
.5678 .50482 L
.56841 .50557 L
.56935 .50674 L
.57033 .50827 L
.57056 .50867 L
.57204 .5106 L
.57226 .51076 L
.57345 .51253 L
.57419 .51345 L
.57496 .51445 L
.57611 .51616 L
.57623 .51638 L
.57766 .51831 L
.57804 .5186 L
.57963 .52023 L
.57997 .52138 L
.58055 .52216 L
.58188 .52409 L
.58189 .5241 L
.58326 .52601 L
.58382 .52651 L
.58512 .52794 L
.58575 .52937 L
.58611 .52987 L
.58744 .53179 L
.58768 .53211 L
.58881 .53372 L
.5896 .53453 L
.59056 .53565 L
.59153 .53746 L
.59161 .53758 L
.59295 .5395 L
.59346 .5402 L
.59431 .54143 L
.59538 .54273 L
.59588 .54336 L
.59704 .54528 L
.59731 .54566 L
.59836 .54721 L
.59924 .54843 L
.59971 .54914 L
.60105 .55106 L
.60116 .55123 L
.6023 .55299 L
.60309 .55412 L
.60359 .55492 L
.60486 .55684 L
.60502 .55709 L
.60595 .55877 L
.60694 .56044 L
.60705 .5607 L
.60694 .56151 L
.60602 .5607 L
.60502 .55981 L
.60409 .55877 L
.60309 .55771 L
.60235 .55684 L
.60116 .55568 L
.6007 .55492 L
.59924 .55318 L
.59901 .55299 L
.59754 .55106 L
.59731 .5508 L
.59599 .54914 L
.59538 .54857 L
.59445 .54721 L
.59346 .54597 L
.59277 .54528 L
.59153 .54346 L
.59145 .54336 L
.58996 .54143 L
.5896 .54109 L
.58847 .5395 L
.58768 .53849 L
.58686 .53758 L
.58575 .53591 L
.58558 .53565 L
.58408 .53372 L
.58382 .53347 L
.58262 .53179 L
.58189 .53085 L
.58108 .52987 L
.57997 .52824 L
.5798 .52794 L
.57829 .52601 L
.57804 .52576 L
.57628 .52409 L
.57611 .52312 L
.57536 .52216 L
.57419 .52049 L
.57406 .52023 L
.57256 .51831 L
.57226 .518 L
.57068 .51638 L
.57033 .51533 L
.56967 .51445 L
.56841 .51268 L
.56835 .51253 L
.56687 .5106 L
.56648 .51018 L
.56508 .50867 L
.56455 .50748 L
.56402 .50674 L
.56263 .50483 L
.56262 .50482 L
.56122 .50289 L
.5607 .50233 L
.55949 .50096 L
.55877 .49959 L
.55839 .49904 L
.55698 .49711 L
.55684 .49692 L
.55559 .49518 L
.55492 .49443 L
.55392 .49326 L
.55299 .49166 L
.55277 .49133 L
.55138 .4894 L
.55106 .48898 L
.54999 .48747 L
.54914 .48647 L
.54839 .48555 L
.54721 .48367 L
.54718 .48362 L
.54582 .48169 L
.54528 .48146 L
.54443 .47977 L
.54336 .47841 L
.54291 .47784 L
.54166 .47591 L
.54143 .47561 L
.5403 .47399 L
.5395 .47337 L
.5383 .47206 L
.53758 .47021 L
.53752 .47013 L
.53621 .46821 L
.53565 .46743 L
.53487 .46628 L
.53372 .4649 L
.53327 .46435 L
.5322 .46242 L
.53179 .46185 L
.53092 .4605 L
.52987 .45898 L
.52961 .45857 L
.52838 .45664 L
.52794 .45599 L
.52723 .45472 L
F
0 .43 1 r
.52794 .46174 m
.52852 .46242 L
.52987 .46391 L
.53022 .46435 L
.53179 .46618 L
.53184 .46628 L
.53337 .46821 L
.53372 .46862 L
.53489 .47013 L
.53565 .47104 L
.53642 .47206 L
.53758 .47324 L
.53794 .47399 L
.53944 .47591 L
.5395 .47599 L
.54089 .47784 L
.54143 .47852 L
.54236 .47977 L
.54336 .48077 L
.54383 .48169 L
.54528 .4836 L
.54531 .48362 L
.54672 .48555 L
.54721 .48618 L
.54815 .48747 L
.54914 .4885 L
.5496 .4894 L
.55104 .49133 L
.55106 .49135 L
.55244 .49326 L
.55299 .49398 L
.55386 .49518 L
.55492 .49638 L
.55574 .49711 L
.5567 .49904 L
.55684 .49923 L
.55807 .50096 L
.55877 .50189 L
.55948 .50289 L
.5607 .50442 L
.5611 .50482 L
.56225 .50674 L
.56263 .50724 L
.56362 .50867 L
.56455 .50994 L
.56501 .5106 L
.56639 .51253 L
.56648 .51265 L
.56769 .51445 L
.56841 .51543 L
.56903 .51638 L
.57033 .5182 L
.5704 .51831 L
.57164 .52023 L
.57226 .52111 L
.57289 .52216 L
.57419 .52408 L
.57419 .52409 L
.57419 .52568 L
.57278 .52409 L
.57226 .52357 L
.57111 .52216 L
.57033 .52129 L
.56949 .52023 L
.56841 .51894 L
.56791 .51831 L
.56648 .5166 L
.56636 .51638 L
.56486 .51445 L
.56455 .51407 L
.56337 .51253 L
.56263 .51159 L
.56187 .5106 L
.5607 .50923 L
.55994 .50867 L
.55892 .50674 L
.55877 .50656 L
.55747 .50482 L
.55684 .50401 L
.55601 .50289 L
.55492 .5016 L
.55418 .50096 L
.55312 .49904 L
.55299 .49887 L
.5517 .49711 L
.55106 .49627 L
.55027 .49518 L
.54914 .4938 L
.54857 .49326 L
.54742 .49133 L
.54721 .49105 L
.54603 .4894 L
.54528 .48842 L
.54461 .48747 L
.54336 .48586 L
.54306 .48555 L
.54181 .48362 L
.54143 .48311 L
.54043 .48169 L
.5395 .48044 L
.53903 .47977 L
.53764 .47784 L
.53758 .47775 L
.53631 .47591 L
.53565 .47502 L
.53495 .47399 L
.53372 .47229 L
.53357 .47206 L
.53227 .47013 L
.53179 .46948 L
.53097 .46821 L
.52987 .46665 L
.52963 .46628 L
.52841 .46435 L
.52794 .46367 L
.52726 .46242 L
F
0 .42 1 r
.52794 .46186 m
.52842 .46242 L
.52987 .464 L
.53015 .46435 L
.53179 .46628 L
.53179 .46629 L
.53331 .46821 L
.53372 .46867 L
.53485 .47013 L
.53565 .4711 L
.53638 .47206 L
.53758 .47331 L
.53791 .47399 L
.5394 .47591 L
.5395 .47604 L
.54085 .47784 L
.54143 .47856 L
.54233 .47977 L
.54336 .48082 L
.54381 .48169 L
.54527 .48362 L
.54528 .48364 L
.54669 .48555 L
.54721 .48622 L
.54813 .48747 L
.54914 .48854 L
.54958 .4894 L
.55102 .49133 L
.55106 .49139 L
.55241 .49326 L
.55299 .49401 L
.55383 .49518 L
.55492 .49642 L
.5557 .49711 L
.55667 .49904 L
.55684 .49927 L
.55805 .50096 L
.55877 .50193 L
.55945 .50289 L
.5607 .50447 L
.56105 .50482 L
.56222 .50674 L
.56263 .50728 L
.56359 .50867 L
.56455 .50998 L
.56498 .5106 L
.56635 .51253 L
.56648 .5127 L
.56765 .51445 L
.56841 .51548 L
.569 .51638 L
.57033 .51826 L
.57036 .51831 L
.57158 .52023 L
.57226 .52119 L
.57283 .52216 L
.57226 .52347 L
.57118 .52216 L
.57033 .52122 L
.56955 .52023 L
.56841 .51888 L
.56796 .51831 L
.56648 .51652 L
.5664 .51638 L
.56491 .51445 L
.56455 .51402 L
.56341 .51253 L
.56263 .51155 L
.56191 .5106 L
.5607 .50918 L
.56 .50867 L
.55895 .50674 L
.55877 .50652 L
.55751 .50482 L
.55684 .50397 L
.55604 .50289 L
.55492 .50155 L
.55423 .50096 L
.55315 .49904 L
.55299 .49884 L
.55173 .49711 L
.55106 .49624 L
.55029 .49518 L
.54914 .49376 L
.54861 .49326 L
.54745 .49133 L
.54721 .49102 L
.54605 .4894 L
.54528 .48838 L
.54463 .48747 L
.54336 .48581 L
.54311 .48555 L
.54184 .48362 L
.54143 .48307 L
.54046 .48169 L
.5395 .4804 L
.53906 .47977 L
.53767 .47784 L
.53758 .47771 L
.53634 .47591 L
.53565 .47497 L
.53498 .47399 L
.53372 .47224 L
.5336 .47206 L
.53231 .47013 L
.53179 .46942 L
.53101 .46821 L
.52987 .46658 L
.52968 .46628 L
.52849 .46435 L
.52794 .46355 L
.52736 .46242 L
F
1 .76 0 r
.52794 .45359 m
.52899 .45472 L
.52987 .45561 L
.53076 .45664 L
.53179 .4578 L
.53244 .45857 L
.53372 .46002 L
.53457 .4605 L
.53564 .46242 L
.53565 .46244 L
.53718 .46435 L
.53758 .46444 L
.53872 .46628 L
.5395 .46718 L
.5408 .46821 L
.54143 .46973 L
.54177 .47013 L
.54324 .47206 L
.54336 .4721 L
.54473 .47399 L
.54528 .47464 L
.5466 .47591 L
.54721 .47724 L
.54767 .47784 L
.54914 .47977 L
.54914 .47977 L
.55059 .48169 L
.55106 .48226 L
.55233 .48362 L
.55299 .4849 L
.55346 .48555 L
.55492 .48746 L
.55492 .48747 L
.55637 .4894 L
.55684 .48998 L
.55802 .49133 L
.55877 .49264 L
.55918 .49326 L
.56067 .49518 L
.5607 .4952 L
.56209 .49711 L
.56263 .49777 L
.56369 .49904 L
.56455 .50044 L
.56488 .50096 L
.56636 .50289 L
.56648 .50297 L
.56777 .50482 L
.56841 .5056 L
.56933 .50674 L
.57033 .50829 L
.57055 .50867 L
.57202 .5106 L
.57226 .51077 L
.57342 .51253 L
.57419 .51348 L
.57494 .51445 L
.57611 .51619 L
.57621 .51638 L
.57764 .51831 L
.57804 .51862 L
.57961 .52023 L
.57997 .52141 L
.58053 .52216 L
.58186 .52409 L
.58189 .52414 L
.58323 .52601 L
.58382 .52654 L
.5851 .52794 L
.58575 .52941 L
.58608 .52987 L
.58741 .53179 L
.58768 .53215 L
.58879 .53372 L
.5896 .53457 L
.59052 .53565 L
.59153 .53751 L
.59158 .53758 L
.59291 .5395 L
.59346 .54025 L
.59428 .54143 L
.59538 .5428 L
.59583 .54336 L
.59699 .54528 L
.59731 .54572 L
.59831 .54721 L
.59924 .54851 L
.59966 .54914 L
.60098 .55106 L
.60116 .55132 L
.60223 .55299 L
.60309 .55424 L
.60351 .55492 L
.60474 .55684 L
.60502 .55727 L
.60579 .55877 L
.60502 .55959 L
.60426 .55877 L
.60309 .55756 L
.60247 .55684 L
.60116 .55553 L
.60079 .55492 L
.59924 .55307 L
.59914 .55299 L
.59761 .55106 L
.59731 .55071 L
.59606 .54914 L
.59538 .54851 L
.59451 .54721 L
.59346 .5459 L
.59283 .54528 L
.59153 .54341 L
.59149 .54336 L
.59 .54143 L
.5896 .54105 L
.58851 .5395 L
.58768 .53844 L
.5869 .53758 L
.58575 .53587 L
.58561 .53565 L
.58411 .53372 L
.58382 .53344 L
.58265 .53179 L
.58189 .53081 L
.58111 .52987 L
.57997 .5282 L
.57982 .52794 L
.57832 .52601 L
.57804 .52573 L
.5763 .52409 L
.57611 .52309 L
.57538 .52216 L
.57419 .52045 L
.57408 .52023 L
.57259 .51831 L
.57226 .51797 L
.5707 .51638 L
.57033 .5153 L
.56969 .51445 L
.56841 .51265 L
.56836 .51253 L
.5669 .5106 L
.56648 .51016 L
.5651 .50867 L
.56455 .50745 L
.56404 .50674 L
.56264 .50482 L
.56263 .5048 L
.56124 .50289 L
.5607 .5023 L
.55951 .50096 L
.55877 .49956 L
.55841 .49904 L
.55701 .49711 L
.55684 .49689 L
.55561 .49518 L
.55492 .4944 L
.55395 .49326 L
.55299 .49163 L
.55279 .49133 L
.55141 .4894 L
.55106 .48894 L
.55002 .48747 L
.54914 .48643 L
.54842 .48555 L
.54721 .48363 L
.5472 .48362 L
.54584 .48169 L
.54528 .48144 L
.54446 .47977 L
.54336 .47837 L
.54295 .47784 L
.54169 .47591 L
.54143 .47556 L
.54034 .47399 L
.5395 .47331 L
.53835 .47206 L
.53758 .47014 L
.53757 .47013 L
.53626 .46821 L
.53565 .46737 L
.53492 .46628 L
.53372 .46479 L
.53336 .46435 L
.53227 .46242 L
.53179 .46176 L
.53099 .4605 L
.52987 .45887 L
.52968 .45857 L
.5285 .45664 L
.52794 .4558 L
.52737 .45472 L
F
0 .82 1 r
.52794 .53745 m
.52821 .53758 L
.52987 .53803 L
.53057 .5395 L
.53179 .54058 L
.53227 .54143 L
.53372 .54318 L
.53391 .54336 L
.53525 .54528 L
.53565 .5458 L
.53664 .54721 L
.53758 .54849 L
.53802 .54914 L
.53934 .55106 L
.5395 .5513 L
.54051 .55299 L
.54143 .55452 L
.54163 .55492 L
.54143 .55644 L
.5395 .55494 L
.53948 .55492 L
.53764 .55299 L
.53758 .55293 L
.53598 .55106 L
.53565 .55068 L
.5344 .54914 L
.53372 .54861 L
.53289 .54721 L
.53179 .54583 L
.53135 .54528 L
.53009 .54336 L
.52987 .54304 L
.5288 .54143 L
.52794 .53996 L
.52769 .5395 L
.52738 .53758 L
F
0 .94 1 r
.52794 .44522 m
.52968 .44701 L
.52987 .44719 L
.53144 .44894 L
.53179 .44932 L
.53313 .45086 L
.53372 .45143 L
.53478 .45279 L
.53565 .45388 L
.53658 .45472 L
.53758 .45628 L
.53785 .45664 L
.53947 .45857 L
.5395 .4586 L
.54101 .4605 L
.54143 .46106 L
.54262 .46242 L
.54336 .46361 L
.54384 .46435 L
.54528 .46613 L
.54553 .46628 L
.547 .46821 L
.54721 .46851 L
.54849 .47013 L
.54914 .47113 L
.54968 .47206 L
.55106 .47377 L
.55141 .47399 L
.55284 .47591 L
.55299 .47613 L
.55427 .47784 L
.55492 .4788 L
.55542 .47977 L
.55684 .48148 L
.55719 .48169 L
.55872 .48362 L
.55877 .48386 L
.55999 .48555 L
.5607 .48655 L
.56111 .48747 L
.56263 .48924 L
.56292 .4894 L
.56443 .49133 L
.56455 .49165 L
.56568 .49326 L
.56648 .49436 L
.56676 .49518 L
.56841 .49701 L
.56861 .49711 L
.57012 .49904 L
.57033 .49949 L
.57133 .50096 L
.57226 .5022 L
.5724 .50289 L
.57419 .50478 L
.57427 .50482 L
.57579 .50674 L
.57611 .50735 L
.57698 .50867 L
.57804 .51005 L
.57853 .5106 L
.57993 .51253 L
.57997 .51257 L
.58144 .51445 L
.58189 .51523 L
.58261 .51638 L
.58382 .51791 L
.58418 .51831 L
.58558 .52023 L
.58575 .52044 L
.58707 .52216 L
.58768 .52311 L
.58823 .52409 L
.5896 .52578 L
.58982 .52601 L
.59122 .52794 L
.59153 .52832 L
.5927 .52987 L
.59346 .53101 L
.59386 .53179 L
.59538 .53365 L
.59545 .53372 L
.59722 .53565 L
.59731 .53621 L
.59831 .53758 L
.59924 .53891 L
.5995 .5395 L
.60107 .54143 L
.60116 .54149 L
.60285 .54336 L
.60309 .54412 L
.60392 .54528 L
.60502 .54684 L
.60515 .54721 L
.60668 .54914 L
.60694 .54933 L
.60844 .55106 L
.60887 .55205 L
.60951 .55299 L
.6108 .55478 L
.61083 .55492 L
.61228 .55684 L
.61273 .55722 L
.614 .55877 L
.61465 .56003 L
.61509 .5607 L
.61647 .56263 L
.61658 .56277 L
.61785 .56455 L
.61851 .56518 L
.61951 .56648 L
.62043 .56807 L
.62065 .56841 L
.62201 .57033 L
.62236 .57081 L
.62338 .57226 L
.62429 .57328 L
.62496 .57419 L
.62614 .57611 L
.62621 .57621 L
.62747 .57804 L
.62814 .57896 L
.62883 .57997 L
.63007 .58162 L
.63026 .58189 L
.6315 .58382 L
.63199 .58452 L
.6328 .58575 L
.63392 .58736 L
.63439 .58768 L
.63536 .5896 L
.63585 .59033 L
.63655 .59153 L
.63776 .59346 L
.63778 .59348 L
.63853 .59538 L
.63778 .59561 L
.63753 .59538 L
.63585 .59401 L
.63552 .59346 L
.63392 .59174 L
.6335 .59153 L
.63206 .5896 L
.63199 .58953 L
.63043 .58768 L
.63007 .5874 L
.62883 .58575 L
.62814 .58492 L
.62683 .58382 L
.62621 .58246 L
.62574 .58189 L
.62429 .58004 L
.62426 .57997 L
.62269 .57804 L
.62236 .57762 L
.62095 .57611 L
.62043 .57506 L
.61979 .57419 L
.61851 .5725 L
.61848 .57226 L
.61677 .57033 L
.61658 .57008 L
.61516 .56841 L
.61465 .56747 L
.61398 .56648 L
.61273 .56484 L
.61239 .56455 L
.61096 .56263 L
.6108 .56241 L
.60942 .5607 L
.60887 .55976 L
.60824 .55877 L
.60694 .55711 L
.60663 .55684 L
.60522 .55492 L
.60502 .55465 L
.60372 .55299 L
.60309 .55198 L
.60256 .55106 L
.60116 .54933 L
.60093 .54914 L
.59951 .54721 L
.59924 .54684 L
.59805 .54528 L
.59731 .54416 L
.59689 .54336 L
.59538 .54154 L
.59525 .54143 L
.59355 .5395 L
.59346 .53899 L
.5924 .53758 L
.59153 .53631 L
.59123 .53565 L
.5896 .53374 L
.58958 .53372 L
.5879 .53179 L
.58768 .53113 L
.58676 .52987 L
.58575 .52845 L
.58557 .52794 L
.58393 .52601 L
.58382 .5259 L
.58226 .52409 L
.58189 .52325 L
.58113 .52216 L
.57997 .52058 L
.5799 .52023 L
.57829 .51831 L
.57804 .51804 L
.57663 .51638 L
.57611 .51537 L
.5755 .51445 L
.57419 .5127 L
.57405 .51253 L
.57265 .5106 L
.57226 .51017 L
.57102 .50867 L
.57033 .50747 L
.56987 .50674 L
.56842 .50482 L
.56841 .50482 L
.56703 .50289 L
.56648 .50228 L
.56542 .50096 L
.56455 .49955 L
.56424 .49904 L
.5628 .49711 L
.56263 .49706 L
.56141 .49518 L
.5607 .49437 L
.55983 .49326 L
.55877 .49162 L
.55861 .49133 L
.55719 .4894 L
.55684 .48925 L
.55516 .48747 L
.55492 .48643 L
.55426 .48555 L
.55299 .48366 L
.55297 .48362 L
.5516 .48169 L
.55106 .48136 L
.54966 .47977 L
.54914 .47844 L
.54871 .47784 L
.54739 .47591 L
.54721 .47567 L
.54603 .47399 L
.54528 .47337 L
.54421 .47206 L
.54336 .47037 L
.54319 .47013 L
.54186 .46821 L
.54143 .46762 L
.5405 .46628 L
.5395 .46522 L
.53883 .46435 L
.53773 .46242 L
.53758 .46222 L
.5364 .4605 L
.53565 .45947 L
.53504 .45857 L
.53372 .45678 L
.53362 .45664 L
.53238 .45472 L
.53179 .45389 L
.53109 .45279 L
.52987 .45104 L
.52976 .45086 L
.52856 .44894 L
.52794 .448 L
.5274 .44701 L
F
1 .18 0 r
.52794 .47013 m
.52794 .47013 L
.52794 .47113 L
.52747 .47013 L
F
0 .41 1 r
.52794 .46199 m
.52831 .46242 L
.52987 .46408 L
.53009 .46435 L
.53172 .46628 L
.53179 .46636 L
.53326 .46821 L
.53372 .46874 L
.5348 .47013 L
.53565 .47115 L
.53635 .47206 L
.53758 .47337 L
.53787 .47399 L
.53936 .47591 L
.5395 .47608 L
.54082 .47784 L
.54143 .4786 L
.5423 .47977 L
.54336 .48086 L
.54378 .48169 L
.54524 .48362 L
.54528 .48368 L
.54666 .48555 L
.54721 .48625 L
.5481 .48747 L
.54914 .48858 L
.54955 .4894 L
.55099 .49133 L
.55106 .49142 L
.55238 .49326 L
.55299 .49405 L
.55381 .49518 L
.55492 .49646 L
.55565 .49711 L
.55664 .49904 L
.55684 .4993 L
.55802 .50096 L
.55877 .50196 L
.55942 .50289 L
.5607 .50452 L
.561 .50482 L
.56219 .50674 L
.56263 .50732 L
.56356 .50867 L
.56455 .51002 L
.56495 .5106 L
.56631 .51253 L
.56648 .51275 L
.56761 .51445 L
.56841 .51554 L
.56896 .51638 L
.57032 .51831 L
.57033 .51832 L
.57152 .52023 L
.57226 .52129 L
.57277 .52216 L
.57226 .52337 L
.57126 .52216 L
.57033 .52114 L
.56961 .52023 L
.56841 .51882 L
.568 .51831 L
.56648 .51645 L
.56644 .51638 L
.56495 .51445 L
.56455 .51397 L
.56345 .51253 L
.56263 .5115 L
.56194 .5106 L
.5607 .50912 L
.56007 .50867 L
.55898 .50674 L
.55877 .50648 L
.55754 .50482 L
.55684 .50393 L
.55607 .50289 L
.55492 .50151 L
.55428 .50096 L
.55318 .49904 L
.55299 .4988 L
.55176 .49711 L
.55106 .4962 L
.55032 .49518 L
.54914 .49372 L
.54866 .49326 L
.54748 .49133 L
.54721 .49098 L
.54608 .4894 L
.54528 .48835 L
.54466 .48747 L
.54336 .48577 L
.54315 .48555 L
.54187 .48362 L
.54143 .48303 L
.54049 .48169 L
.5395 .48036 L
.53909 .47977 L
.53771 .47784 L
.53758 .47767 L
.53638 .47591 L
.53565 .47492 L
.53501 .47399 L
.53372 .47219 L
.53363 .47206 L
.53236 .47013 L
.53179 .46936 L
.53106 .46821 L
.52987 .4665 L
.52973 .46628 L
.52858 .46435 L
.52794 .46341 L
.52747 .46242 L
F
1 .75 0 r
.52794 .45385 m
.52879 .45472 L
.52987 .45577 L
.53063 .45664 L
.53179 .45793 L
.53234 .45857 L
.53372 .46014 L
.53438 .4605 L
.53556 .46242 L
.53565 .46253 L
.53711 .46435 L
.53758 .46447 L
.53866 .46628 L
.5395 .46725 L
.54073 .46821 L
.54143 .46979 L
.54172 .47013 L
.54319 .47206 L
.54336 .47211 L
.54468 .47399 L
.54528 .47469 L
.54657 .47591 L
.54721 .47729 L
.54763 .47784 L
.5491 .47977 L
.54914 .47978 L
.55056 .48169 L
.55106 .4823 L
.5523 .48362 L
.55299 .48494 L
.55343 .48555 L
.5549 .48747 L
.55492 .48748 L
.55634 .4894 L
.55684 .49002 L
.558 .49133 L
.55877 .49267 L
.55916 .49326 L
.56064 .49518 L
.5607 .49522 L
.56207 .49711 L
.56263 .4978 L
.56367 .49904 L
.56455 .50047 L
.56486 .50096 L
.56634 .50289 L
.56648 .50298 L
.56775 .50482 L
.56841 .50563 L
.56931 .50674 L
.57033 .50832 L
.57053 .50867 L
.57199 .5106 L
.57226 .51079 L
.5734 .51253 L
.57419 .51351 L
.57492 .51445 L
.57611 .51622 L
.5762 .51638 L
.57762 .51831 L
.57804 .51865 L
.5796 .52023 L
.57997 .52145 L
.5805 .52216 L
.58183 .52409 L
.58189 .52417 L
.58321 .52601 L
.58382 .52657 L
.58507 .52794 L
.58575 .52945 L
.58605 .52987 L
.58738 .53179 L
.58768 .53219 L
.58876 .53372 L
.5896 .53462 L
.59048 .53565 L
.59153 .53756 L
.59154 .53758 L
.59288 .5395 L
.59346 .5403 L
.59424 .54143 L
.59538 .54287 L
.59577 .54336 L
.59694 .54528 L
.59731 .54579 L
.59826 .54721 L
.59924 .54858 L
.59961 .54914 L
.60091 .55106 L
.60116 .55142 L
.60215 .55299 L
.60309 .55436 L
.60343 .55492 L
.6046 .55684 L
.60502 .5575 L
.6056 .55877 L
.60502 .55934 L
.60446 .55877 L
.60309 .5574 L
.6026 .55684 L
.60116 .55537 L
.6009 .55492 L
.59927 .55299 L
.59924 .55296 L
.59769 .55106 L
.59731 .55062 L
.59612 .54914 L
.59538 .54844 L
.59457 .54721 L
.59346 .54583 L
.59289 .54528 L
.59154 .54336 L
.59153 .54335 L
.59005 .54143 L
.5896 .541 L
.58855 .5395 L
.58768 .53838 L
.58694 .53758 L
.58575 .53582 L
.58564 .53565 L
.58415 .53372 L
.58382 .5334 L
.58269 .53179 L
.58189 .53077 L
.58114 .52987 L
.57997 .52817 L
.57984 .52794 L
.57835 .52601 L
.57804 .52571 L
.57631 .52409 L
.57611 .52305 L
.5754 .52216 L
.57419 .52042 L
.57409 .52023 L
.57261 .51831 L
.57226 .51794 L
.57071 .51638 L
.57033 .51527 L
.56972 .51445 L
.56841 .51262 L
.56837 .51253 L
.56692 .5106 L
.56648 .51013 L
.56511 .50867 L
.56455 .50742 L
.56406 .50674 L
.56266 .50482 L
.56263 .50477 L
.56126 .50289 L
.5607 .50228 L
.55953 .50096 L
.55877 .49953 L
.55843 .49904 L
.55703 .49711 L
.55684 .49687 L
.55563 .49518 L
.55492 .49437 L
.55397 .49326 L
.55299 .49159 L
.55281 .49133 L
.55143 .4894 L
.55106 .48891 L
.55004 .48747 L
.54914 .4864 L
.54845 .48555 L
.54723 .48362 L
.54721 .48359 L
.54587 .48169 L
.54528 .48141 L
.54448 .47977 L
.54336 .47832 L
.54298 .47784 L
.54172 .47591 L
.54143 .47552 L
.54037 .47399 L
.5395 .47325 L
.53841 .47206 L
.53761 .47013 L
.53758 .47009 L
.5363 .46821 L
.53565 .4673 L
.53496 .46628 L
.53372 .46467 L
.53346 .46435 L
.53233 .46242 L
.53179 .46167 L
.53106 .4605 L
.52987 .45876 L
.52975 .45857 L
.52862 .45664 L
.52794 .45557 L
.52754 .45472 L
F
0 .62 1 r
.52794 .51253 m
.52976 .51445 L
.52987 .51457 L
.53136 .51638 L
.53179 .51691 L
.53286 .51831 L
.53372 .51944 L
.53429 .52023 L
.5356 .52216 L
.53565 .52223 L
.53669 .52409 L
.53565 .52492 L
.53488 .52409 L
.53372 .52286 L
.53317 .52216 L
.53179 .52049 L
.53161 .52023 L
.5302 .51831 L
.52987 .51787 L
.52888 .51638 L
.52794 .51502 L
.5276 .51445 L
F
0 .4 1 r
.52794 .46216 m
.52818 .46242 L
.52987 .46417 L
.53001 .46435 L
.53165 .46628 L
.53179 .46644 L
.5332 .46821 L
.53372 .4688 L
.53476 .47013 L
.53565 .4712 L
.5363 .47206 L
.53758 .47344 L
.53784 .47399 L
.53932 .47591 L
.5395 .47613 L
.54079 .47784 L
.54143 .47864 L
.54227 .47977 L
.54336 .48091 L
.54375 .48169 L
.54521 .48362 L
.54528 .48371 L
.54663 .48555 L
.54721 .48629 L
.54807 .48747 L
.54914 .48863 L
.54953 .4894 L
.55096 .49133 L
.55106 .49146 L
.55236 .49326 L
.55299 .49408 L
.55378 .49518 L
.55492 .49651 L
.55559 .49711 L
.55661 .49904 L
.55684 .49934 L
.55799 .50096 L
.55877 .502 L
.5594 .50289 L
.5607 .50457 L
.56094 .50482 L
.56216 .50674 L
.56263 .50736 L
.56353 .50867 L
.56455 .51007 L
.56492 .5106 L
.56628 .51253 L
.56648 .5128 L
.56758 .51445 L
.56841 .51559 L
.56892 .51638 L
.57027 .51831 L
.57033 .5184 L
.57146 .52023 L
.57226 .52139 L
.5727 .52216 L
.57226 .52325 L
.57135 .52216 L
.57033 .52107 L
.56967 .52023 L
.56841 .51875 L
.56805 .51831 L
.56649 .51638 L
.56648 .51637 L
.56499 .51445 L
.56455 .51392 L
.56349 .51253 L
.56263 .51146 L
.56197 .5106 L
.5607 .50907 L
.56015 .50867 L
.55902 .50674 L
.55877 .50644 L
.55757 .50482 L
.55684 .50389 L
.5561 .50289 L
.55492 .50146 L
.55433 .50096 L
.55321 .49904 L
.55299 .49876 L
.55179 .49711 L
.55106 .49617 L
.55035 .49518 L
.54914 .49367 L
.5487 .49326 L
.5475 .49133 L
.54721 .49095 L
.54611 .4894 L
.54528 .48831 L
.54469 .48747 L
.54336 .48572 L
.54319 .48555 L
.5419 .48362 L
.54143 .48299 L
.54052 .48169 L
.5395 .48032 L
.53912 .47977 L
.53774 .47784 L
.53758 .47762 L
.53641 .47591 L
.53565 .47487 L
.53505 .47399 L
.53372 .47214 L
.53367 .47206 L
.5324 .47013 L
.53179 .46929 L
.53111 .46821 L
.52987 .46642 L
.52978 .46628 L
.52867 .46435 L
.52794 .46323 L
.52761 .46242 L
F
0 .9 1 r
.52794 .56407 m
.52837 .56455 L
.52987 .5662 L
.5301 .56648 L
.52987 .56823 L
.52884 .56648 L
.52794 .5652 L
.52763 .56455 L
F
0 .61 1 r
.52794 .51267 m
.52966 .51445 L
.52987 .51467 L
.53128 .51638 L
.53179 .51699 L
.53279 .51831 L
.53372 .51953 L
.53422 .52023 L
.53552 .52216 L
.53565 .52236 L
.53659 .52409 L
.53565 .5248 L
.53497 .52409 L
.53372 .52278 L
.53323 .52216 L
.53179 .52041 L
.53166 .52023 L
.53026 .51831 L
.52987 .51779 L
.52895 .51638 L
.52794 .51492 L
.52767 .51445 L
F
1 .74 0 r
.52794 .4542 m
.52853 .45472 L
.52987 .45595 L
.53049 .45664 L
.53179 .45806 L
.53223 .45857 L
.53372 .46026 L
.53416 .4605 L
.53548 .46242 L
.53565 .46262 L
.53704 .46435 L
.53758 .4645 L
.5386 .46628 L
.5395 .46732 L
.54066 .46821 L
.54143 .46985 L
.54167 .47013 L
.54315 .47206 L
.54336 .47213 L
.54464 .47399 L
.54528 .47475 L
.54653 .47591 L
.54721 .47734 L
.5476 .47784 L
.54906 .47977 L
.54914 .4798 L
.55052 .48169 L
.55106 .48234 L
.55228 .48362 L
.55299 .48497 L
.5534 .48555 L
.55487 .48747 L
.55492 .4875 L
.55631 .4894 L
.55684 .49005 L
.55798 .49133 L
.55877 .4927 L
.55914 .49326 L
.56062 .49518 L
.5607 .49523 L
.56204 .49711 L
.56263 .49783 L
.56365 .49904 L
.56455 .5005 L
.56484 .50096 L
.56631 .50289 L
.56648 .503 L
.56773 .50482 L
.56841 .50566 L
.56929 .50674 L
.57033 .50835 L
.57052 .50867 L
.57197 .5106 L
.57226 .51081 L
.57338 .51253 L
.57419 .51354 L
.5749 .51445 L
.57611 .51625 L
.57618 .51638 L
.5776 .51831 L
.57804 .51867 L
.57958 .52023 L
.57997 .52148 L
.58048 .52216 L
.58181 .52409 L
.58189 .5242 L
.58318 .52601 L
.58382 .5266 L
.58504 .52794 L
.58575 .52949 L
.58602 .52987 L
.58736 .53179 L
.58768 .53223 L
.58873 .53372 L
.5896 .53466 L
.59044 .53565 L
.59151 .53758 L
.59153 .53761 L
.59284 .5395 L
.59346 .54035 L
.5942 .54143 L
.59538 .54295 L
.59571 .54336 L
.5969 .54528 L
.59731 .54585 L
.59821 .54721 L
.59924 .54866 L
.59955 .54914 L
.60084 .55106 L
.60116 .55152 L
.60207 .55299 L
.60309 .5545 L
.60334 .55492 L
.60445 .55684 L
.60502 .55782 L
.60533 .55877 L
.60502 .55903 L
.60473 .55877 L
.60309 .55723 L
.60275 .55684 L
.60116 .55519 L
.60101 .55492 L
.59937 .55299 L
.59924 .55285 L
.59777 .55106 L
.59731 .55053 L
.59619 .54914 L
.59538 .54836 L
.59463 .54721 L
.59346 .54576 L
.59296 .54528 L
.59159 .54336 L
.59153 .54328 L
.59009 .54143 L
.5896 .54096 L
.5886 .5395 L
.58768 .53833 L
.58698 .53758 L
.58575 .53578 L
.58566 .53565 L
.58418 .53372 L
.58382 .53337 L
.58272 .53179 L
.58189 .53073 L
.58117 .52987 L
.57997 .52813 L
.57986 .52794 L
.57838 .52601 L
.57804 .52568 L
.57632 .52409 L
.57611 .52302 L
.57543 .52216 L
.57419 .52039 L
.57411 .52023 L
.57264 .51831 L
.57226 .51792 L
.57073 .51638 L
.57033 .51524 L
.56974 .51445 L
.56841 .5126 L
.56838 .51253 L
.56694 .5106 L
.56648 .51011 L
.56513 .50867 L
.56455 .50739 L
.56408 .50674 L
.56268 .50482 L
.56263 .50474 L
.56128 .50289 L
.5607 .50225 L
.55955 .50096 L
.55877 .49951 L
.55844 .49904 L
.55705 .49711 L
.55684 .49684 L
.55566 .49518 L
.55492 .49434 L
.55399 .49326 L
.55299 .49156 L
.55284 .49133 L
.55145 .4894 L
.55106 .48888 L
.55006 .48747 L
.54914 .48636 L
.54848 .48555 L
.54726 .48362 L
.54721 .48356 L
.5459 .48169 L
.54528 .48138 L
.54451 .47977 L
.54336 .47827 L
.54302 .47784 L
.54176 .47591 L
.54143 .47547 L
.5404 .47399 L
.5395 .47319 L
.53847 .47206 L
.53765 .47013 L
.53758 .47003 L
.53635 .46821 L
.53565 .46724 L
.53501 .46628 L
.53372 .46454 L
.53357 .46435 L
.5324 .46242 L
.53179 .46156 L
.53113 .4605 L
.52987 .45863 L
.52983 .45857 L
.52876 .45664 L
.52794 .45525 L
.52774 .45472 L
F
0 .6 1 r
.52794 .51282 m
.52955 .51445 L
.52987 .51477 L
.5312 .51638 L
.53179 .51708 L
.53273 .51831 L
.53372 .51962 L
.53416 .52023 L
.53543 .52216 L
.53565 .5225 L
.53647 .52409 L
.53565 .52468 L
.53507 .52409 L
.53372 .5227 L
.5333 .52216 L
.53179 .52034 L
.53171 .52023 L
.53033 .51831 L
.52987 .5177 L
.52902 .51638 L
.52794 .5148 L
.52774 .51445 L
F
1 .92 0 r
.52794 .5051 m
.52987 .50612 L
.53052 .50674 L
.53179 .50801 L
.53296 .50867 L
.53372 .51019 L
.53414 .5106 L
.53565 .51248 L
.53568 .51253 L
.53723 .51445 L
.53758 .51488 L
.53894 .51638 L
.5395 .51744 L
.5401 .51831 L
.54143 .52003 L
.54147 .52023 L
.54301 .52216 L
.54336 .52245 L
.54451 .52409 L
.54528 .5253 L
.5456 .52601 L
.54686 .52794 L
.54721 .52863 L
.54778 .52987 L
.54721 .53121 L
.54528 .53056 L
.54451 .52987 L
.54336 .52867 L
.5427 .52794 L
.54143 .52642 L
.54089 .52601 L
.53962 .52409 L
.5395 .52394 L
.5382 .52216 L
.53758 .52187 L
.53678 .52023 L
.53565 .51888 L
.53517 .51831 L
.53396 .51638 L
.53372 .51605 L
.53263 .51445 L
.53179 .51329 L
.53128 .51253 L
.52996 .5106 L
.52987 .51046 L
.5288 .50867 L
.52794 .50715 L
.52776 .50674 L
F
1 .71 0 r
.52794 .48556 m
.52897 .48747 L
.52987 .48904 L
.52991 .4894 L
.52987 .48945 L
.5298 .4894 L
.52794 .48767 L
.52777 .48747 L
F
0 .81 1 r
.52794 .53769 m
.52987 .53821 L
.53046 .5395 L
.53179 .5407 L
.53219 .54143 L
.53372 .54329 L
.5338 .54336 L
.53518 .54528 L
.53565 .54589 L
.53657 .54721 L
.53758 .54858 L
.53795 .54914 L
.53925 .55106 L
.5395 .55144 L
.54041 .55299 L
.54143 .5548 L
.54148 .55492 L
.54143 .55604 L
.53971 .55492 L
.5395 .55475 L
.53778 .55299 L
.53758 .55279 L
.53608 .55106 L
.53565 .55057 L
.53449 .54914 L
.53372 .54852 L
.53297 .54721 L
.53179 .5457 L
.53145 .54528 L
.53017 .54336 L
.52987 .54291 L
.5289 .54143 L
.52794 .53974 L
.52781 .5395 L
F
0 .59 1 r
.52794 .51299 m
.52943 .51445 L
.52987 .51488 L
.53112 .51638 L
.53179 .51718 L
.53265 .51831 L
.53372 .51972 L
.53409 .52023 L
.53534 .52216 L
.53565 .52266 L
.53634 .52409 L
.53565 .52454 L
.53519 .52409 L
.53372 .52261 L
.53336 .52216 L
.53179 .52027 L
.53177 .52023 L
.5304 .51831 L
.52987 .5176 L
.52908 .51638 L
.52794 .51468 L
.52782 .51445 L
F
1 .33 0 r
.52794 .52047 m
.52873 .52216 L
.52794 .52229 L
.52783 .52216 L
F
0 .39 1 r
.52794 .46237 m
.528 .46242 L
.52987 .46427 L
.52993 .46435 L
.53157 .46628 L
.53179 .46652 L
.53314 .46821 L
.53372 .46886 L
.53471 .47013 L
.53565 .47126 L
.53626 .47206 L
.53758 .47352 L
.5378 .47399 L
.53929 .47591 L
.5395 .47618 L
.54075 .47784 L
.54143 .47869 L
.54223 .47977 L
.54336 .48097 L
.54372 .48169 L
.54518 .48362 L
.54528 .48375 L
.5466 .48555 L
.54721 .48633 L
.54805 .48747 L
.54914 .48867 L
.5495 .4894 L
.55093 .49133 L
.55106 .4915 L
.55233 .49326 L
.55299 .49412 L
.55375 .49518 L
.55492 .49656 L
.55554 .49711 L
.55658 .49904 L
.55684 .49938 L
.55796 .50096 L
.55877 .50204 L
.55937 .50289 L
.5607 .50463 L
.56089 .50482 L
.56213 .50674 L
.56263 .5074 L
.56349 .50867 L
.56455 .51011 L
.56489 .5106 L
.56624 .51253 L
.56648 .51285 L
.56753 .51445 L
.56841 .51565 L
.56888 .51638 L
.57021 .51831 L
.57033 .51847 L
.57139 .52023 L
.57226 .5215 L
.57262 .52216 L
.57226 .52313 L
.57144 .52216 L
.57033 .52098 L
.56973 .52023 L
.56841 .51869 L
.5681 .51831 L
.56654 .51638 L
.56648 .51631 L
.56504 .51445 L
.56455 .51387 L
.56353 .51253 L
.56263 .51141 L
.56201 .5106 L
.5607 .50901 L
.56022 .50867 L
.55905 .50674 L
.55877 .5064 L
.5576 .50482 L
.55684 .50386 L
.55613 .50289 L
.55492 .50142 L
.55438 .50096 L
.55323 .49904 L
.55299 .49873 L
.55181 .49711 L
.55106 .49613 L
.55037 .49518 L
.54914 .49363 L
.54875 .49326 L
.54753 .49133 L
.54721 .49091 L
.54613 .4894 L
.54528 .48827 L
.54471 .48747 L
.54336 .48567 L
.54324 .48555 L
.54193 .48362 L
.54143 .48296 L
.54055 .48169 L
.5395 .48028 L
.53915 .47977 L
.53778 .47784 L
.53758 .47757 L
.53645 .47591 L
.53565 .47483 L
.53508 .47399 L
.53372 .47208 L
.5337 .47206 L
.53245 .47013 L
.53179 .46922 L
.53116 .46821 L
.52987 .46634 L
.52983 .46628 L
.52878 .46435 L
.52794 .46297 L
.52784 .46242 L
F
0 .93 1 r
.52794 .44623 m
.52898 .44701 L
.52987 .44776 L
.531 .44894 L
.53179 .44976 L
.53279 .45086 L
.53372 .45176 L
.53449 .45279 L
.53565 .45418 L
.53631 .45472 L
.53758 .45651 L
.53768 .45664 L
.53928 .45857 L
.5395 .4588 L
.54085 .4605 L
.54143 .46127 L
.54249 .46242 L
.54336 .46378 L
.54374 .46435 L
.54528 .46622 L
.54539 .46628 L
.54689 .46821 L
.54721 .46866 L
.5484 .47013 L
.54914 .47126 L
.5496 .47206 L
.55106 .47384 L
.55132 .47399 L
.55277 .47591 L
.55299 .47624 L
.55421 .47784 L
.55492 .47889 L
.55537 .47977 L
.55684 .48153 L
.55712 .48169 L
.55871 .48362 L
.55877 .48394 L
.55994 .48555 L
.5607 .48662 L
.56107 .48747 L
.56263 .48927 L
.56287 .4894 L
.56441 .49133 L
.56455 .49171 L
.56564 .49326 L
.56648 .49441 L
.56674 .49518 L
.56841 .49703 L
.56857 .49711 L
.5701 .49904 L
.57033 .49954 L
.5713 .50096 L
.57226 .50224 L
.57238 .50289 L
.57419 .5048 L
.57424 .50482 L
.57577 .50674 L
.57611 .50739 L
.57695 .50867 L
.57804 .51009 L
.5785 .5106 L
.5799 .51253 L
.57997 .51261 L
.58142 .51445 L
.58189 .51526 L
.58258 .51638 L
.58382 .51794 L
.58415 .51831 L
.58555 .52023 L
.58575 .52047 L
.58705 .52216 L
.58768 .52315 L
.58822 .52409 L
.5896 .52581 L
.58979 .52601 L
.59119 .52794 L
.59153 .52835 L
.59268 .52987 L
.59346 .53104 L
.59385 .53179 L
.59538 .53368 L
.59542 .53372 L
.59722 .53565 L
.59731 .53625 L
.59829 .53758 L
.59924 .53895 L
.59949 .5395 L
.60104 .54143 L
.60116 .54151 L
.60283 .54336 L
.60309 .54416 L
.60389 .54528 L
.60502 .54688 L
.60514 .54721 L
.60665 .54914 L
.60694 .54936 L
.60841 .55106 L
.60887 .5521 L
.60948 .55299 L
.6108 .55483 L
.61082 .55492 L
.61224 .55684 L
.61273 .55726 L
.61396 .55877 L
.61465 .56009 L
.61505 .5607 L
.61642 .56263 L
.61658 .56284 L
.61779 .56455 L
.61851 .56525 L
.61945 .56648 L
.62043 .56816 L
.62059 .56841 L
.62194 .57033 L
.62236 .57091 L
.6233 .57226 L
.62429 .57341 L
.62486 .57419 L
.62605 .57611 L
.62621 .57634 L
.62737 .57804 L
.62814 .57912 L
.62872 .57997 L
.63007 .58188 L
.63008 .58189 L
.63134 .58382 L
.63199 .58476 L
.63262 .58575 L
.63392 .58767 L
.63393 .58768 L
.63506 .5896 L
.63585 .59086 L
.63619 .59153 L
.63585 .59308 L
.63424 .59153 L
.63392 .59123 L
.63244 .5896 L
.63199 .58914 L
.63073 .58768 L
.63007 .58716 L
.62908 .58575 L
.62814 .58465 L
.62705 .58382 L
.62621 .58224 L
.62591 .58189 L
.62437 .57997 L
.62429 .5799 L
.62283 .57804 L
.62236 .57744 L
.62104 .57611 L
.62043 .57491 L
.61989 .57419 L
.61851 .5724 L
.61849 .57226 L
.61686 .57033 L
.61658 .56996 L
.61523 .56841 L
.61465 .56736 L
.61404 .56648 L
.61273 .56477 L
.61246 .56455 L
.61102 .56263 L
.6108 .56232 L
.60947 .5607 L
.60887 .55968 L
.60829 .55877 L
.60694 .55706 L
.60669 .55684 L
.60526 .55492 L
.60502 .55459 L
.60376 .55299 L
.60309 .55192 L
.60259 .55106 L
.60116 .5493 L
.60097 .54914 L
.59955 .54721 L
.59924 .54679 L
.59808 .54528 L
.59731 .54411 L
.59691 .54336 L
.59538 .54151 L
.59528 .54143 L
.59356 .5395 L
.59346 .53895 L
.59242 .53758 L
.59153 .53627 L
.59125 .53565 L
.58961 .53372 L
.5896 .53371 L
.58791 .53179 L
.58768 .5311 L
.58678 .52987 L
.58575 .52842 L
.58558 .52794 L
.58396 .52601 L
.58382 .52587 L
.58227 .52409 L
.58189 .52322 L
.58115 .52216 L
.57997 .52055 L
.5799 .52023 L
.57831 .51831 L
.57804 .51802 L
.57665 .51638 L
.57611 .51534 L
.57552 .51445 L
.57419 .51267 L
.57407 .51253 L
.57268 .5106 L
.57226 .51015 L
.57104 .50867 L
.57033 .50744 L
.56989 .50674 L
.56844 .50482 L
.56841 .50481 L
.56705 .50289 L
.56648 .50226 L
.56544 .50096 L
.56455 .49952 L
.56426 .49904 L
.56282 .49711 L
.56263 .49705 L
.56143 .49518 L
.5607 .49434 L
.55986 .49326 L
.55877 .49158 L
.55863 .49133 L
.55722 .4894 L
.55684 .48923 L
.55518 .48747 L
.55492 .48638 L
.55429 .48555 L
.553 .48362 L
.55299 .48361 L
.55163 .48169 L
.55106 .48132 L
.5497 .47977 L
.54914 .47837 L
.54875 .47784 L
.54744 .47591 L
.54721 .4756 L
.54608 .47399 L
.54528 .4733 L
.54427 .47206 L
.54336 .47028 L
.54325 .47013 L
.54193 .46821 L
.54143 .46753 L
.54057 .46628 L
.5395 .46507 L
.53895 .46435 L
.53782 .46242 L
.53758 .46209 L
.53651 .4605 L
.53565 .45931 L
.53515 .45857 L
.5338 .45664 L
.53372 .45654 L
.53255 .45472 L
.53179 .45364 L
.53127 .45279 L
.52999 .45086 L
.52987 .45067 L
.52892 .44894 L
.52794 .44722 L
.52786 .44701 L
F
0 .58 1 r
.52794 .5132 m
.5293 .51445 L
.52987 .515 L
.53103 .51638 L
.53179 .51728 L
.53258 .51831 L
.53372 .51982 L
.53401 .52023 L
.53524 .52216 L
.53565 .52284 L
.53618 .52409 L
.53565 .52439 L
.53533 .52409 L
.53372 .52252 L
.53344 .52216 L
.53184 .52023 L
.53179 .52018 L
.53047 .51831 L
.52987 .5175 L
.52916 .51638 L
.52794 .51453 L
.5279 .51445 L
F
1 .32 0 r
.52794 .52059 m
.52858 .52216 L
.52794 .52219 L
.52791 .52216 L
F
0 .8 1 r
.52987 .53842 m
.53034 .5395 L
.53179 .54083 L
.53212 .54143 L
.53369 .54336 L
.53372 .54339 L
.53511 .54528 L
.53565 .54598 L
.5365 .54721 L
.53758 .54868 L
.53788 .54914 L
.53916 .55106 L
.5395 .55159 L
.54029 .55299 L
.5395 .55456 L
.53792 .55299 L
.53758 .55264 L
.53619 .55106 L
.53565 .55044 L
.53458 .54914 L
.53372 .54841 L
.53306 .54721 L
.53179 .54557 L
.53156 .54528 L
.53026 .54336 L
.52987 .54277 L
.529 .54143 L
.52795 .5395 L
F
1 .91 0 r
.52987 .50649 m
.53015 .50674 L
.53179 .50827 L
.53261 .50867 L
.53372 .51038 L
.53396 .5106 L
.53555 .51253 L
.53565 .51261 L
.53711 .51445 L
.53758 .51503 L
.53885 .51638 L
.5395 .51759 L
.54001 .51831 L
.54143 .52016 L
.54144 .52023 L
.5429 .52216 L
.54336 .52255 L
.54441 .52409 L
.54528 .52552 L
.54549 .52601 L
.5467 .52794 L
.54721 .52904 L
.54752 .52987 L
.54721 .53077 L
.54528 .53035 L
.54471 .52987 L
.54336 .52855 L
.54281 .52794 L
.54143 .52632 L
.54102 .52601 L
.53969 .52409 L
.5395 .52385 L
.53827 .52216 L
.53758 .52179 L
.53684 .52023 L
.53565 .51877 L
.53526 .51831 L
.53404 .51638 L
.53372 .51595 L
.53271 .51445 L
.53179 .51317 L
.53136 .51253 L
.53008 .5106 L
.52987 .51027 L
.52897 .50867 L
.52803 .50674 L
F
0 .79 1 r
.52987 .53868 m
.53022 .5395 L
.53179 .54097 L
.53204 .54143 L
.53361 .54336 L
.53372 .54349 L
.53504 .54528 L
.53565 .54607 L
.53644 .54721 L
.53758 .54878 L
.53781 .54914 L
.53906 .55106 L
.5395 .55175 L
.54017 .55299 L
.5395 .55436 L
.53808 .55299 L
.53758 .5525 L
.53631 .55106 L
.53565 .55032 L
.53468 .54914 L
.53372 .54829 L
.53315 .54721 L
.53179 .54543 L
.53167 .54528 L
.53036 .54336 L
.52987 .54263 L
.5291 .54143 L
.52812 .5395 L
F
0 .78 1 r
.52987 .53899 m
.53008 .5395 L
.53179 .54113 L
.53195 .54143 L
.53353 .54336 L
.53372 .54359 L
.53496 .54528 L
.53565 .54617 L
.53636 .54721 L
.53758 .54889 L
.53774 .54914 L
.53895 .55106 L
.5395 .55194 L
.54003 .55299 L
.5395 .55413 L
.53826 .55299 L
.53758 .55235 L
.53643 .55106 L
.53565 .55019 L
.53478 .54914 L
.53372 .54815 L
.53324 .54721 L
.53179 .54529 L
.53179 .54528 L
.53045 .54336 L
.52987 .54247 L
.52921 .54143 L
.52831 .5395 L
F
1 .98 0 r
.52987 .55873 m
.52991 .55877 L
.53179 .56042 L
.5321 .5607 L
.53372 .56225 L
.53413 .56263 L
.53565 .56419 L
.53601 .56455 L
.53758 .5663 L
.53758 .56648 L
.53936 .56841 L
.5395 .56855 L
.54093 .57033 L
.54143 .57099 L
.54256 .57226 L
.54336 .57352 L
.54388 .57419 L
.54528 .57604 L
.54533 .57611 L
.5468 .57804 L
.54721 .5786 L
.54829 .57997 L
.54914 .58123 L
.54956 .58189 L
.55106 .58382 L
.55106 .58383 L
.55276 .58575 L
.55299 .58644 L
.55387 .58768 L
.55492 .5891 L
.55512 .5896 L
.55674 .59153 L
.55684 .59166 L
.55832 .59346 L
.55877 .59431 L
.55945 .59538 L
.5607 .59697 L
.56101 .59731 L
.56241 .59924 L
.56263 .59951 L
.56392 .60116 L
.56455 .60218 L
.56507 .60309 L
.56648 .60483 L
.56666 .60502 L
.56806 .60694 L
.56841 .60738 L
.56954 .60887 L
.57033 .61008 L
.5707 .6108 L
.57226 .61271 L
.57227 .61273 L
.57368 .61465 L
.57419 .6153 L
.57512 .61658 L
.57611 .61803 L
.57633 .61851 L
.57786 .62043 L
.57804 .62055 L
.5798 .62236 L
.57997 .62329 L
.58067 .62429 L
.58189 .62605 L
.58196 .62621 L
.58339 .62814 L
.58382 .62848 L
.58524 .63007 L
.58575 .63139 L
.58615 .63199 L
.58748 .63392 L
.58768 .63419 L
.58883 .63585 L
.5896 .63664 L
.59053 .63778 L
.59152 .6397 L
.59153 .63972 L
.59282 .64163 L
.59346 .64255 L
.59413 .64356 L
.59538 .64537 L
.59547 .64548 L
.59665 .64741 L
.59731 .64841 L
.59787 .64934 L
.59903 .65126 L
.59924 .65161 L
.59989 .65319 L
.59924 .65345 L
.59899 .65319 L
.59731 .65152 L
.5971 .65126 L
.59538 .64934 L
.59538 .64934 L
.59379 .64741 L
.59346 .64704 L
.59222 .64548 L
.59153 .64467 L
.59066 .64356 L
.5896 .64241 L
.58912 .64163 L
.58768 .63982 L
.58755 .6397 L
.58612 .63778 L
.58575 .63732 L
.58464 .63585 L
.58382 .63498 L
.58315 .63392 L
.58189 .63232 L
.5816 .63199 L
.58022 .63007 L
.57997 .62975 L
.57878 .62814 L
.57804 .62735 L
.57673 .62621 L
.57611 .62465 L
.5758 .62429 L
.57443 .62236 L
.57419 .62205 L
.57301 .62043 L
.57226 .61961 L
.57109 .61851 L
.57033 .61689 L
.57007 .61658 L
.56871 .61465 L
.56841 .61427 L
.5673 .61273 L
.56648 .61181 L
.56548 .6108 L
.56455 .60907 L
.56439 .60887 L
.56302 .60694 L
.56263 .60683 L
.56161 .60502 L
.5607 .60396 L
.55989 .60309 L
.55877 .60121 L
.55874 .60116 L
.55736 .59924 L
.55684 .59898 L
.55596 .59731 L
.55492 .59606 L
.55432 .59538 L
.55311 .59346 L
.55299 .59331 L
.55173 .59153 L
.55106 .59106 L
.55032 .5896 L
.54914 .58811 L
.54877 .58768 L
.5475 .58575 L
.54721 .58537 L
.54612 .58382 L
.54528 .58306 L
.54471 .58189 L
.54336 .58011 L
.54324 .57997 L
.54191 .57804 L
.54143 .57741 L
.54053 .57611 L
.5395 .57501 L
.53876 .57419 L
.53771 .57226 L
.53758 .57208 L
.53636 .57033 L
.53565 .56938 L
.53499 .56841 L
.53372 .56688 L
.53341 .56648 L
.53224 .56455 L
.53179 .56395 L
.53093 .56263 L
.52987 .56115 L
.52959 .5607 L
.5284 .55877 L
F
0 .77 1 r
.52987 .53935 m
.52993 .5395 L
.53179 .54129 L
.53187 .54143 L
.53344 .54336 L
.53372 .54369 L
.53489 .54528 L
.53565 .54627 L
.53629 .54721 L
.53758 .549 L
.53767 .54914 L
.53883 .55106 L
.5395 .55217 L
.53987 .55299 L
.5395 .55386 L
.53846 .55299 L
.53758 .55219 L
.53655 .55106 L
.53565 .55007 L
.53488 .54914 L
.53372 .54799 L
.53333 .54721 L
.53189 .54528 L
.53179 .54516 L
.53055 .54336 L
.52987 .54231 L
.52932 .54143 L
.52855 .5395 L
F
1 .99 0 r
.52987 .53359 m
.53179 .53364 L
.53289 .53372 L
.53372 .53391 L
.53521 .53565 L
.53565 .53617 L
.53676 .53758 L
.53758 .53878 L
.53794 .5395 L
.5395 .54143 L
.5395 .54143 L
.54132 .54336 L
.54143 .54405 L
.5424 .54528 L
.54336 .54672 L
.5436 .54721 L
.54514 .54914 L
.54528 .54918 L
.54694 .55106 L
.54721 .55179 L
.54801 .55299 L
.54914 .55456 L
.54926 .55492 L
.55076 .55684 L
.55106 .55726 L
.55254 .55877 L
.55299 .55993 L
.55361 .5607 L
.55492 .56257 L
.55493 .56263 L
.55628 .56455 L
.55684 .56554 L
.55747 .56648 L
.55684 .56676 L
.55492 .5669 L
.55299 .56659 L
.55289 .56648 L
.55106 .56523 L
.55051 .56455 L
.54914 .56279 L
.54901 .56263 L
.54756 .5607 L
.54721 .56025 L
.54639 .55877 L
.54528 .55766 L
.54468 .55684 L
.54336 .55501 L
.54329 .55492 L
.54188 .55299 L
.54143 .55225 L
.54076 .55106 L
.5395 .54945 L
.53903 .54914 L
.53759 .54721 L
.53758 .54713 L
.53625 .54528 L
.53565 .54447 L
.53516 .54336 L
.53372 .54181 L
.5334 .54143 L
.53189 .5395 L
.53179 .53919 L
.53066 .53758 L
.52987 .53649 L
.52959 .53565 L
.52885 .53372 L
F
1 .73 0 r
.52987 .45614 m
.53033 .45664 L
.53179 .45819 L
.53212 .45857 L
.53372 .4604 L
.53392 .4605 L
.53539 .46242 L
.53565 .46272 L
.53697 .46435 L
.53758 .46454 L
.53854 .46628 L
.5395 .46739 L
.54059 .46821 L
.54143 .46992 L
.54162 .47013 L
.5431 .47206 L
.54336 .47215 L
.5446 .47399 L
.54528 .4748 L
.54649 .47591 L
.54721 .47739 L
.54756 .47784 L
.54903 .47977 L
.54914 .47982 L
.55049 .48169 L
.55106 .48238 L
.55225 .48362 L
.55299 .48501 L
.55338 .48555 L
.55485 .48747 L
.55492 .48751 L
.55628 .4894 L
.55684 .49008 L
.55795 .49133 L
.55877 .49274 L
.55912 .49326 L
.56059 .49518 L
.5607 .49525 L
.56202 .49711 L
.56263 .49786 L
.56362 .49904 L
.56455 .50053 L
.56482 .50096 L
.56629 .50289 L
.56648 .50302 L
.56771 .50482 L
.56841 .50569 L
.56926 .50674 L
.57033 .50838 L
.5705 .50867 L
.57195 .5106 L
.57226 .51083 L
.57336 .51253 L
.57419 .51357 L
.57488 .51445 L
.57611 .51628 L
.57617 .51638 L
.57757 .51831 L
.57804 .51869 L
.57956 .52023 L
.57997 .52151 L
.58046 .52216 L
.58178 .52409 L
.58189 .52424 L
.58316 .52601 L
.58382 .52664 L
.58502 .52794 L
.58575 .52953 L
.58599 .52987 L
.58733 .53179 L
.58768 .53227 L
.5887 .53372 L
.5896 .53471 L
.5904 .53565 L
.59147 .53758 L
.59153 .53766 L
.5928 .5395 L
.59346 .5404 L
.59416 .54143 L
.59538 .54303 L
.59564 .54336 L
.59685 .54528 L
.59731 .54592 L
.59816 .54721 L
.59924 .54874 L
.5995 .54914 L
.60077 .55106 L
.60116 .55163 L
.60199 .55299 L
.60309 .55464 L
.60325 .55492 L
.60426 .55684 L
.60309 .55704 L
.60291 .55684 L
.60116 .55499 L
.60112 .55492 L
.59947 .55299 L
.59924 .55274 L
.59785 .55106 L
.59731 .55043 L
.59626 .54914 L
.59538 .54828 L
.59469 .54721 L
.59346 .54568 L
.59303 .54528 L
.59164 .54336 L
.59153 .54322 L
.59014 .54143 L
.5896 .54091 L
.58864 .5395 L
.58768 .53828 L
.58702 .53758 L
.58575 .53573 L
.58569 .53565 L
.58422 .53372 L
.58382 .53333 L
.58275 .53179 L
.58189 .53069 L
.5812 .52987 L
.57997 .52809 L
.57988 .52794 L
.5784 .52601 L
.57804 .52565 L
.57634 .52409 L
.57611 .52299 L
.57545 .52216 L
.57419 .52036 L
.57412 .52023 L
.57266 .51831 L
.57226 .51789 L
.57075 .51638 L
.57033 .5152 L
.56976 .51445 L
.56841 .51257 L
.56839 .51253 L
.56696 .5106 L
.56648 .51008 L
.56515 .50867 L
.56455 .50737 L
.5641 .50674 L
.5627 .50482 L
.56263 .50471 L
.5613 .50289 L
.5607 .50223 L
.55957 .50096 L
.55877 .49948 L
.55846 .49904 L
.55707 .49711 L
.55684 .49681 L
.55568 .49518 L
.55492 .49431 L
.55402 .49326 L
.55299 .49153 L
.55286 .49133 L
.55148 .4894 L
.55106 .48885 L
.55009 .48747 L
.54914 .48632 L
.5485 .48555 L
.54729 .48362 L
.54721 .48352 L
.54593 .48169 L
.54528 .48134 L
.54454 .47977 L
.54336 .47822 L
.54306 .47784 L
.54179 .47591 L
.54143 .47543 L
.54044 .47399 L
.5395 .47312 L
.53854 .47206 L
.5377 .47013 L
.53758 .46997 L
.53639 .46821 L
.53565 .46717 L
.53506 .46628 L
.53372 .46441 L
.53368 .46435 L
.53247 .46242 L
.53179 .46146 L
.53121 .4605 L
.52993 .45857 L
.52987 .45847 L
.52893 .45664 L
F
1 .72 0 r
.52987 .45635 m
.53015 .45664 L
.53179 .45834 L
.532 .45857 L
.53369 .4605 L
.53372 .46053 L
.53531 .46242 L
.53565 .46281 L
.5369 .46435 L
.53758 .4646 L
.53848 .46628 L
.5395 .46747 L
.54051 .46821 L
.54143 .46998 L
.54156 .47013 L
.54305 .47206 L
.54336 .47217 L
.54455 .47399 L
.54528 .47485 L
.54645 .47591 L
.54721 .47744 L
.54753 .47784 L
.54899 .47977 L
.54914 .47983 L
.55046 .48169 L
.55106 .48243 L
.55222 .48362 L
.55299 .48505 L
.55335 .48555 L
.55482 .48747 L
.55492 .48753 L
.55626 .4894 L
.55684 .49012 L
.55793 .49133 L
.55877 .49277 L
.5591 .49326 L
.56057 .49518 L
.5607 .49526 L
.56199 .49711 L
.56263 .49789 L
.5636 .49904 L
.56455 .50056 L
.5648 .50096 L
.56627 .50289 L
.56648 .50303 L
.56768 .50482 L
.56841 .50572 L
.56924 .50674 L
.57033 .50841 L
.57048 .50867 L
.57193 .5106 L
.57226 .51085 L
.57334 .51253 L
.57419 .5136 L
.57485 .51445 L
.57611 .51631 L
.57615 .51638 L
.57755 .51831 L
.57804 .51871 L
.57954 .52023 L
.57997 .52154 L
.58043 .52216 L
.58176 .52409 L
.58189 .52427 L
.58313 .52601 L
.58382 .52667 L
.58499 .52794 L
.58575 .52957 L
.58596 .52987 L
.5873 .53179 L
.58768 .53231 L
.58867 .53372 L
.5896 .53476 L
.59036 .53565 L
.59143 .53758 L
.59153 .5377 L
.59277 .5395 L
.59346 .54045 L
.59413 .54143 L
.59538 .54311 L
.59558 .54336 L
.5968 .54528 L
.59731 .54599 L
.59811 .54721 L
.59924 .54882 L
.59945 .54914 L
.60069 .55106 L
.60116 .55175 L
.60191 .55299 L
.60309 .55481 L
.60315 .55492 L
.60309 .55683 L
.60126 .55492 L
.60116 .55482 L
.59958 .55299 L
.59924 .55263 L
.59794 .55106 L
.59731 .55034 L
.59633 .54914 L
.59538 .5482 L
.59476 .54721 L
.59346 .54561 L
.5931 .54528 L
.59169 .54336 L
.59153 .54315 L
.59019 .54143 L
.5896 .54086 L
.58868 .5395 L
.58768 .53823 L
.58707 .53758 L
.58575 .53569 L
.58572 .53565 L
.58425 .53372 L
.58382 .5333 L
.58278 .53179 L
.58189 .53065 L
.58123 .52987 L
.57997 .52806 L
.5799 .52794 L
.57843 .52601 L
.57804 .52562 L
.57636 .52409 L
.57611 .52295 L
.57548 .52216 L
.57419 .52033 L
.57414 .52023 L
.57268 .51831 L
.57226 .51787 L
.57077 .51638 L
.57033 .51517 L
.56978 .51445 L
.56841 .51254 L
.5684 .51253 L
.56699 .5106 L
.56648 .51006 L
.56517 .50867 L
.56455 .50734 L
.56412 .50674 L
.56273 .50482 L
.56263 .50468 L
.56133 .50289 L
.5607 .5022 L
.55959 .50096 L
.55877 .49945 L
.55849 .49904 L
.5571 .49711 L
.55684 .49678 L
.5557 .49518 L
.55492 .49428 L
.55404 .49326 L
.55299 .4915 L
.55288 .49133 L
.5515 .4894 L
.55106 .48881 L
.55011 .48747 L
.54914 .48629 L
.54853 .48555 L
.54731 .48362 L
.54721 .48348 L
.54595 .48169 L
.54528 .48131 L
.54457 .47977 L
.54336 .47817 L
.5431 .47784 L
.54182 .47591 L
.54143 .47538 L
.54047 .47399 L
.5395 .47305 L
.5386 .47206 L
.53774 .47013 L
.53758 .46991 L
.53644 .46821 L
.53565 .4671 L
.5351 .46628 L
.53376 .46435 L
.53372 .4643 L
.53254 .46242 L
.53179 .46135 L
.53128 .4605 L
.53006 .45857 L
.52987 .45827 L
.52914 .45664 L
F
1 .9 0 r
.52987 .50688 m
.53179 .50852 L
.53214 .50867 L
.53372 .51057 L
.53376 .5106 L
.53541 .51253 L
.53565 .51272 L
.53699 .51445 L
.53758 .51518 L
.53875 .51638 L
.5395 .51772 L
.53992 .51831 L
.54139 .52023 L
.54143 .52029 L
.5428 .52216 L
.54336 .52267 L
.54431 .52409 L
.54528 .52576 L
.54539 .52601 L
.54653 .52794 L
.54721 .52975 L
.54723 .52987 L
.54721 .53001 L
.54528 .53014 L
.54493 .52987 L
.54336 .52842 L
.54292 .52794 L
.54143 .52621 L
.54116 .52601 L
.53977 .52409 L
.5395 .52375 L
.53834 .52216 L
.53758 .52171 L
.5369 .52023 L
.53565 .51865 L
.53536 .51831 L
.53411 .51638 L
.53372 .51584 L
.53279 .51445 L
.53179 .51305 L
.53145 .51253 L
.53021 .5106 L
.52987 .51005 L
.52914 .50867 L
F
0 .57 1 r
.52987 .51512 m
.53094 .51638 L
.53179 .51738 L
.5325 .51831 L
.53372 .51993 L
.53394 .52023 L
.53513 .52216 L
.53565 .52308 L
.53596 .52409 L
.53565 .52421 L
.5355 .52409 L
.53372 .52242 L
.53351 .52216 L
.53192 .52023 L
.53179 .52008 L
.53055 .51831 L
.52987 .5174 L
.52924 .51638 L
F
0 .56 1 r
.52987 .51525 m
.53083 .51638 L
.53179 .51749 L
.53242 .51831 L
.53372 .52004 L
.53385 .52023 L
.53501 .52216 L
.53372 .52232 L
.53359 .52216 L
.53201 .52023 L
.53179 .51998 L
.53063 .51831 L
.52987 .51728 L
.52932 .51638 L
F
1 .89 0 r
.52987 .50726 m
.53168 .50867 L
.53179 .50877 L
.53357 .5106 L
.53372 .51076 L
.53526 .51253 L
.53565 .51283 L
.53686 .51445 L
.53758 .51532 L
.53865 .51638 L
.5395 .51786 L
.53982 .51831 L
.54128 .52023 L
.54143 .52043 L
.54269 .52216 L
.54336 .52281 L
.54419 .52409 L
.54527 .52601 L
.54528 .52603 L
.54636 .52794 L
.54683 .52987 L
.54528 .52993 L
.5452 .52987 L
.54336 .52829 L
.54304 .52794 L
.54143 .5261 L
.54131 .52601 L
.53986 .52409 L
.5395 .52365 L
.53841 .52216 L
.53758 .52161 L
.53697 .52023 L
.53565 .51853 L
.53546 .51831 L
.53419 .51638 L
.53372 .51573 L
.53287 .51445 L
.53179 .51292 L
.53154 .51253 L
.53035 .5106 L
.52987 .50979 L
.52934 .50867 L
F
0 .55 1 r
.52987 .5154 m
.53072 .51638 L
.53179 .5176 L
.53233 .51831 L
.53372 .52017 L
.53377 .52023 L
.53486 .52216 L
.53372 .52221 L
.53368 .52216 L
.53211 .52023 L
.53179 .51986 L
.53073 .51831 L
.52987 .51715 L
.52942 .51638 L
F
0 .76 1 r
.52987 .53963 m
.53177 .54143 L
.53179 .54146 L
.53335 .54336 L
.53372 .5438 L
.5348 .54528 L
.53565 .54638 L
.53621 .54721 L
.53758 .54912 L
.53759 .54914 L
.5387 .55106 L
.5395 .55249 L
.53968 .55299 L
.5395 .55352 L
.53873 .55299 L
.53758 .55202 L
.53669 .55106 L
.53565 .54993 L
.53499 .54914 L
.53372 .54782 L
.53342 .54721 L
.53199 .54528 L
.53179 .54502 L
.53065 .54336 L
.52987 .54214 L
.52944 .54143 L
F
0 .92 1 r
.52987 .4485 m
.53038 .44894 L
.53179 .45023 L
.53239 .45086 L
.53372 .45216 L
.53417 .45279 L
.53565 .45448 L
.53597 .45472 L
.53749 .45664 L
.53758 .45675 L
.53909 .45857 L
.5395 .45899 L
.54068 .4605 L
.54143 .46147 L
.54236 .46242 L
.54336 .46394 L
.54364 .46435 L
.54526 .46628 L
.54528 .4663 L
.54678 .46821 L
.54721 .4688 L
.54831 .47013 L
.54914 .47138 L
.54954 .47206 L
.55106 .4739 L
.55123 .47399 L
.55269 .47591 L
.55299 .47634 L
.55414 .47784 L
.55492 .47898 L
.55532 .47977 L
.55684 .48157 L
.55706 .48169 L
.55869 .48362 L
.55877 .48401 L
.5599 .48555 L
.5607 .48669 L
.56104 .48747 L
.56263 .4893 L
.56282 .4894 L
.56439 .49133 L
.56455 .49177 L
.5656 .49326 L
.56648 .49446 L
.56672 .49518 L
.56841 .49705 L
.56853 .49711 L
.57008 .49904 L
.57033 .49959 L
.57127 .50096 L
.57226 .50228 L
.57237 .50289 L
.57419 .50481 L
.57421 .50482 L
.57575 .50674 L
.57611 .50743 L
.57692 .50867 L
.57804 .51012 L
.57848 .5106 L
.57987 .51253 L
.57997 .51264 L
.5814 .51445 L
.58189 .5153 L
.58256 .51638 L
.58382 .51797 L
.58413 .51831 L
.58553 .52023 L
.58575 .5205 L
.58703 .52216 L
.58768 .52318 L
.5882 .52409 L
.5896 .52583 L
.58977 .52601 L
.59117 .52794 L
.59153 .52838 L
.59266 .52987 L
.59346 .53107 L
.59383 .53179 L
.59538 .53371 L
.5954 .53372 L
.59721 .53565 L
.59731 .53628 L
.59827 .53758 L
.59924 .53898 L
.59947 .5395 L
.60102 .54143 L
.60116 .54153 L
.60282 .54336 L
.60309 .5442 L
.60387 .54528 L
.60502 .54692 L
.60512 .54721 L
.60662 .54914 L
.60694 .54939 L
.60839 .55106 L
.60887 .55215 L
.60945 .55299 L
.6108 .55488 L
.61081 .55492 L
.6122 .55684 L
.61273 .55731 L
.61392 .55877 L
.61465 .56016 L
.61501 .5607 L
.61637 .56263 L
.61658 .5629 L
.61774 .56455 L
.61851 .56533 L
.61939 .56648 L
.62043 .56826 L
.62053 .56841 L
.62187 .57033 L
.62236 .57101 L
.62323 .57226 L
.62429 .57355 L
.62475 .57419 L
.62595 .57611 L
.62621 .57648 L
.62726 .57804 L
.62814 .57928 L
.6286 .57997 L
.62992 .58189 L
.63007 .5821 L
.63116 .58382 L
.63199 .58504 L
.63243 .58575 L
.63364 .58768 L
.63392 .58811 L
.63468 .5896 L
.63392 .59066 L
.63288 .5896 L
.63199 .58873 L
.63105 .58768 L
.63007 .58686 L
.62934 .58575 L
.62814 .58437 L
.62734 .58382 L
.62621 .58202 L
.62609 .58189 L
.62453 .57997 L
.62429 .57976 L
.62298 .57804 L
.62236 .57727 L
.62115 .57611 L
.62043 .57476 L
.61999 .57419 L
.61851 .57231 L
.6185 .57226 L
.61696 .57033 L
.61658 .56984 L
.61529 .56841 L
.61465 .56726 L
.61411 .56648 L
.61273 .5647 L
.61254 .56455 L
.61109 .56263 L
.6108 .56224 L
.60952 .5607 L
.60887 .55961 L
.60833 .55877 L
.60694 .55701 L
.60674 .55684 L
.60531 .55492 L
.60502 .55452 L
.6038 .55299 L
.60309 .55187 L
.60262 .55106 L
.60116 .54926 L
.60101 .54914 L
.59959 .54721 L
.59924 .54674 L
.59811 .54528 L
.59731 .54407 L
.59693 .54336 L
.59538 .54149 L
.59531 .54143 L
.59357 .5395 L
.59346 .53892 L
.59245 .53758 L
.59153 .53624 L
.59126 .53565 L
.58964 .53372 L
.5896 .53368 L
.58792 .53179 L
.58768 .53106 L
.5868 .52987 L
.58575 .52839 L
.58559 .52794 L
.58398 .52601 L
.58382 .52585 L
.58229 .52409 L
.58189 .52319 L
.58116 .52216 L
.57997 .52052 L
.57991 .52023 L
.57833 .51831 L
.57804 .51799 L
.57667 .51638 L
.57611 .51531 L
.57553 .51445 L
.57419 .51264 L
.57409 .51253 L
.5727 .5106 L
.57226 .51012 L
.57106 .50867 L
.57033 .50741 L
.56991 .50674 L
.56846 .50482 L
.56841 .50481 L
.56707 .50289 L
.56648 .50223 L
.56546 .50096 L
.56455 .49949 L
.56428 .49904 L
.56285 .49711 L
.56263 .49704 L
.56146 .49518 L
.5607 .4943 L
.55989 .49326 L
.55877 .49154 L
.55865 .49133 L
.55725 .4894 L
.55684 .48921 L
.55521 .48747 L
.55492 .48634 L
.55433 .48555 L
.55304 .48362 L
.55299 .48356 L
.55167 .48169 L
.55106 .48128 L
.54974 .47977 L
.54914 .47831 L
.5488 .47784 L
.54749 .47591 L
.54721 .47554 L
.54613 .47399 L
.54528 .47321 L
.54435 .47206 L
.54336 .47018 L
.54332 .47013 L
.542 .46821 L
.54143 .46743 L
.54064 .46628 L
.5395 .46492 L
.53907 .46435 L
.53792 .46242 L
.53758 .46195 L
.53661 .4605 L
.53565 .45915 L
.53527 .45857 L
.53396 .45664 L
.53372 .45631 L
.53273 .45472 L
.53179 .45333 L
.53148 .45279 L
.53034 .45086 L
.52987 .45007 L
.52945 .44894 L
F
1 .71 0 r
.52987 .45662 m
.5299 .45664 L
.53179 .45849 L
.53186 .45857 L
.53358 .4605 L
.53372 .46065 L
.53522 .46242 L
.53565 .46291 L
.53683 .46435 L
.53758 .46466 L
.53841 .46628 L
.5395 .46754 L
.54042 .46821 L
.54143 .47005 L
.54151 .47013 L
.543 .47206 L
.54336 .47219 L
.54451 .47399 L
.54528 .4749 L
.5464 .47591 L
.54721 .47749 L
.54749 .47784 L
.54895 .47977 L
.54914 .47985 L
.55042 .48169 L
.55106 .48247 L
.55219 .48362 L
.55299 .48509 L
.55332 .48555 L
.55479 .48747 L
.55492 .48755 L
.55623 .4894 L
.55684 .49015 L
.5579 .49133 L
.55877 .49281 L
.55908 .49326 L
.56054 .49518 L
.5607 .49528 L
.56197 .49711 L
.56263 .49792 L
.56358 .49904 L
.56455 .50059 L
.56479 .50096 L
.56624 .50289 L
.56648 .50305 L
.56766 .50482 L
.56841 .50575 L
.56922 .50674 L
.57033 .50844 L
.57047 .50867 L
.5719 .5106 L
.57226 .51086 L
.57331 .51253 L
.57419 .51363 L
.57483 .51445 L
.57611 .51634 L
.57613 .51638 L
.57753 .51831 L
.57804 .51874 L
.57952 .52023 L
.57997 .52158 L
.58041 .52216 L
.58173 .52409 L
.58189 .5243 L
.58311 .52601 L
.58382 .5267 L
.58496 .52794 L
.58575 .52961 L
.58593 .52987 L
.58727 .53179 L
.58768 .53235 L
.58864 .53372 L
.5896 .53481 L
.59031 .53565 L
.5914 .53758 L
.59153 .53775 L
.59273 .5395 L
.59346 .5405 L
.59409 .54143 L
.59538 .54319 L
.59551 .54336 L
.59675 .54528 L
.59731 .54607 L
.59806 .54721 L
.59924 .5489 L
.59939 .54914 L
.60061 .55106 L
.60116 .55188 L
.60181 .55299 L
.60116 .55467 L
.59969 .55299 L
.59924 .55251 L
.59803 .55106 L
.59731 .55025 L
.59641 .54914 L
.59538 .54811 L
.59482 .54721 L
.59346 .54554 L
.59318 .54528 L
.59175 .54336 L
.59153 .54309 L
.59024 .54143 L
.5896 .54081 L
.58873 .5395 L
.58768 .53817 L
.58711 .53758 L
.58575 .53565 L
.58575 .53564 L
.58429 .53372 L
.58382 .53326 L
.58282 .53179 L
.58189 .53061 L
.58126 .52987 L
.57997 .52802 L
.57992 .52794 L
.57846 .52601 L
.57804 .52559 L
.57638 .52409 L
.57611 .52292 L
.5755 .52216 L
.57419 .5203 L
.57415 .52023 L
.57271 .51831 L
.57226 .51784 L
.57078 .51638 L
.57033 .51514 L
.5698 .51445 L
.56842 .51253 L
.56841 .51251 L
.56701 .5106 L
.56648 .51003 L
.56519 .50867 L
.56455 .50731 L
.56414 .50674 L
.56275 .50482 L
.56263 .50465 L
.56135 .50289 L
.5607 .50217 L
.55961 .50096 L
.55877 .49942 L
.55851 .49904 L
.55712 .49711 L
.55684 .49675 L
.55572 .49518 L
.55492 .49425 L
.55407 .49326 L
.55299 .49146 L
.5529 .49133 L
.55153 .4894 L
.55106 .48878 L
.55013 .48747 L
.54914 .48625 L
.54856 .48555 L
.54734 .48362 L
.54721 .48345 L
.54598 .48169 L
.54528 .48127 L
.5446 .47977 L
.54336 .47812 L
.54314 .47784 L
.54186 .47591 L
.54143 .47533 L
.54051 .47399 L
.5395 .47298 L
.53867 .47206 L
.53779 .47013 L
.53758 .46984 L
.53649 .46821 L
.53565 .46703 L
.53515 .46628 L
.53383 .46435 L
.53372 .4642 L
.53262 .46242 L
.53179 .46122 L
.53137 .4605 L
.53021 .45857 L
.52987 .45801 L
.5295 .45664 L
F
0 .54 1 r
.52987 .51556 m
.53059 .51638 L
.53179 .51773 L
.53224 .51831 L
.53179 .51973 L
.53083 .51831 L
.52987 .517 L
.52952 .51638 L
F
1 .23 0 r
.52987 .4721 m
.53123 .47399 L
.53179 .47465 L
.53268 .47591 L
.53372 .4772 L
.53417 .47784 L
.53565 .47976 L
.53565 .47977 L
.53699 .48169 L
.53758 .48242 L
.53839 .48362 L
.5395 .48506 L
.53983 .48555 L
.5395 .48742 L
.53815 .48555 L
.53758 .48486 L
.53669 .48362 L
.53565 .48231 L
.53521 .48169 L
.53375 .47977 L
.53372 .47974 L
.5324 .47784 L
.53179 .47707 L
.531 .47591 L
.52987 .47442 L
.52957 .47399 L
F
0 .75 1 r
.52987 .53985 m
.53163 .54143 L
.53179 .54159 L
.53325 .54336 L
.53372 .54392 L
.53472 .54528 L
.53565 .54649 L
.53613 .54721 L
.53748 .54914 L
.53758 .54927 L
.53856 .55106 L
.53758 .55184 L
.53684 .55106 L
.53565 .54979 L
.5351 .54914 L
.53372 .54762 L
.53352 .54721 L
.53209 .54528 L
.53179 .54488 L
.53076 .54336 L
.52987 .54194 L
.52957 .54143 L
F
1 .88 0 r
.52987 .50771 m
.53135 .50867 L
.53179 .50902 L
.53337 .5106 L
.53372 .51095 L
.53511 .51253 L
.53565 .51296 L
.53673 .51445 L
.53758 .51547 L
.53853 .51638 L
.5395 .518 L
.53973 .51831 L
.54118 .52023 L
.54143 .52058 L
.54258 .52216 L
.54336 .52297 L
.54407 .52409 L
.54514 .52601 L
.54528 .52627 L
.54619 .52794 L
.54528 .52968 L
.54336 .52815 L
.54317 .52794 L
.54145 .52601 L
.54143 .52599 L
.53994 .52409 L
.5395 .52355 L
.53848 .52216 L
.53758 .5215 L
.53704 .52023 L
.53565 .5184 L
.53557 .51831 L
.53427 .51638 L
.53372 .51562 L
.53295 .51445 L
.53179 .51277 L
.53164 .51253 L
.53051 .5106 L
.52987 .50944 L
.52958 .50867 L
F
0 .38 1 r
.52987 .48047 m
.53055 .48169 L
.53179 .48345 L
.53188 .48362 L
.53179 .48413 L
.53139 .48362 L
.52987 .48203 L
.52961 .48169 L
F
1 .22 0 r
.52987 .47218 m
.53117 .47399 L
.53179 .47472 L
.53263 .47591 L
.53372 .47727 L
.53412 .47784 L
.53372 .47967 L
.53246 .47784 L
.53179 .477 L
.53106 .47591 L
.52987 .47435 L
.52962 .47399 L
F
0 .53 1 r
.52987 .51576 m
.53044 .51638 L
.53179 .51786 L
.53213 .51831 L
.53179 .51959 L
.53095 .51831 L
.52987 .51682 L
.52964 .51638 L
F
1 .21 0 r
.52987 .47226 m
.5311 .47399 L
.53179 .4748 L
.53257 .47591 L
.53372 .47733 L
.53407 .47784 L
.53372 .47959 L
.53252 .47784 L
.53179 .47693 L
.53111 .47591 L
.52987 .47428 L
.52967 .47399 L
F
1 .98 0 r
.52987 .53384 m
.53179 .53381 L
.53372 .53421 L
.53508 .53565 L
.53565 .5363 L
.5367 .53758 L
.53758 .53886 L
.53791 .5395 L
.53946 .54143 L
.5395 .54148 L
.54131 .54336 L
.54143 .5441 L
.54237 .54528 L
.54336 .54677 L
.54358 .54721 L
.5451 .54914 L
.54528 .54919 L
.54692 .55106 L
.54721 .55184 L
.54798 .55299 L
.54914 .55463 L
.54923 .55492 L
.5507 .55684 L
.55106 .55734 L
.55249 .55877 L
.55299 .56004 L
.55352 .5607 L
.55482 .56263 L
.55492 .56278 L
.55601 .56455 L
.55492 .56643 L
.55299 .56607 L
.55106 .56468 L
.55094 .56455 L
.54924 .56263 L
.54914 .56242 L
.54769 .5607 L
.54721 .56009 L
.54649 .55877 L
.54528 .55753 L
.54477 .55684 L
.54336 .55492 L
.54336 .55491 L
.54194 .55299 L
.54143 .55217 L
.54081 .55106 L
.5395 .5494 L
.53908 .54914 L
.5376 .54721 L
.53758 .54707 L
.5363 .54528 L
.53565 .54441 L
.5352 .54336 L
.53372 .54174 L
.53345 .54143 L
.53192 .5395 L
.53179 .5391 L
.53074 .53758 L
.52987 .53632 L
.52967 .53565 L
F
0 .74 1 r
.52987 .54013 m
.53148 .54143 L
.53179 .54174 L
.53314 .54336 L
.53372 .54404 L
.53463 .54528 L
.53565 .54661 L
.53605 .54721 L
.53736 .54914 L
.53758 .54946 L
.53839 .55106 L
.53758 .55164 L
.537 .55106 L
.53565 .54965 L
.53522 .54914 L
.53372 .54741 L
.53363 .54721 L
.5322 .54528 L
.53179 .54473 L
.53087 .54336 L
.52987 .54172 L
.52971 .54143 L
F
0 .37 1 r
.52987 .48063 m
.53041 .48169 L
.52987 .48189 L
.52972 .48169 L
F
1 .2 0 r
.52987 .47235 m
.53103 .47399 L
.53179 .47488 L
.53251 .47591 L
.53372 .4774 L
.53402 .47784 L
.53372 .47951 L
.53259 .47784 L
.53179 .47685 L
.53117 .47591 L
.52987 .4742 L
.52972 .47399 L
F
1 .97 0 r
.52987 .53408 m
.53179 .53396 L
.53372 .53443 L
.53494 .53565 L
.53565 .53642 L
.53663 .53758 L
.53758 .53893 L
.53787 .5395 L
.53941 .54143 L
.5395 .54153 L
.5413 .54336 L
.54143 .54415 L
.54233 .54528 L
.54336 .54681 L
.54356 .54721 L
.54507 .54914 L
.54528 .54921 L
.5469 .55106 L
.54721 .55189 L
.54794 .55299 L
.54914 .55469 L
.54921 .55492 L
.55065 .55684 L
.55106 .55742 L
.55243 .55877 L
.55299 .56015 L
.55343 .5607 L
.55467 .56263 L
.55492 .56303 L
.55573 .56455 L
.55492 .56601 L
.55299 .56567 L
.55135 .56455 L
.55106 .56409 L
.54945 .56263 L
.54914 .56203 L
.54781 .5607 L
.54721 .55993 L
.54658 .55877 L
.54528 .55741 L
.54485 .55684 L
.54343 .55492 L
.54336 .55481 L
.54199 .55299 L
.54143 .55209 L
.54085 .55106 L
.5395 .54936 L
.53913 .54914 L
.53762 .54721 L
.53758 .54701 L
.53634 .54528 L
.53565 .54435 L
.53524 .54336 L
.53372 .54168 L
.53351 .54143 L
.53195 .5395 L
.53179 .539 L
.53081 .53758 L
.52987 .53613 L
.52974 .53565 L
F
0 .73 1 r
.52987 .5824 m
.53059 .58382 L
.52987 .58395 L
.52976 .58382 L
F
1 .19 0 r
.52987 .47246 m
.53094 .47399 L
.53179 .47496 L
.53245 .47591 L
.53372 .47748 L
.53397 .47784 L
.53372 .47942 L
.53266 .47784 L
.53179 .47676 L
.53123 .47591 L
.52987 .47412 L
.52978 .47399 L
F
0 .52 1 r
.52987 .51606 m
.53021 .51638 L
.53179 .51802 L
.53201 .51831 L
.53179 .51942 L
.53109 .51831 L
.52987 .51656 L
.52979 .51638 L
F
1 .96 0 r
.52987 .53436 m
.53179 .5341 L
.53372 .53462 L
.53481 .53565 L
.53565 .53654 L
.53656 .53758 L
.53758 .53901 L
.53784 .5395 L
.53937 .54143 L
.5395 .54158 L
.54128 .54336 L
.54143 .54419 L
.5423 .54528 L
.54336 .54685 L
.54353 .54721 L
.54503 .54914 L
.54528 .54922 L
.54688 .55106 L
.54721 .55195 L
.5479 .55299 L
.54914 .55476 L
.54919 .55492 L
.55059 .55684 L
.55106 .55751 L
.55237 .55877 L
.55299 .56027 L
.55333 .5607 L
.55452 .56263 L
.55492 .56335 L
.55543 .56455 L
.55492 .56557 L
.55299 .56531 L
.55177 .56455 L
.55106 .56358 L
.54966 .56263 L
.54914 .56171 L
.54793 .5607 L
.54721 .55977 L
.54667 .55877 L
.54528 .55729 L
.54494 .55684 L
.54349 .55492 L
.54336 .55471 L
.54204 .55299 L
.54143 .55201 L
.5409 .55106 L
.5395 .54932 L
.53918 .54914 L
.53763 .54721 L
.53758 .54695 L
.53638 .54528 L
.53565 .54429 L
.53527 .54336 L
.53372 .54161 L
.53357 .54143 L
.53198 .5395 L
.53179 .5389 L
.53089 .53758 L
.52987 .53592 L
.5298 .53565 L
F
1 .79 0 r
.52987 .57422 m
.53115 .57611 L
.53179 .57691 L
.53254 .57804 L
.53372 .5796 L
.53397 .57997 L
.53372 .58112 L
.53293 .57997 L
.53179 .57865 L
.53138 .57804 L
.52987 .57616 L
.52983 .57611 L
F
1 .18 0 r
.52987 .47257 m
.53084 .47399 L
.53179 .47506 L
.53238 .47591 L
.53372 .47756 L
.53392 .47784 L
.53372 .47933 L
.53274 .47784 L
.53179 .47667 L
.5313 .47591 L
.52987 .47402 L
.52984 .47399 L
F
0 .36 1 r
.52987 .48083 m
.53019 .48169 L
.52987 .48172 L
.52984 .48169 L
F
1 .95 0 r
.52987 .53478 m
.53179 .53425 L
.53372 .5348 L
.53467 .53565 L
.53565 .53665 L
.53649 .53758 L
.53758 .53909 L
.5378 .5395 L
.53932 .54143 L
.5395 .54163 L
.54127 .54336 L
.54143 .54424 L
.54227 .54528 L
.54336 .5469 L
.54351 .54721 L
.54499 .54914 L
.54528 .54924 L
.54685 .55106 L
.54721 .552 L
.54786 .55299 L
.54914 .55483 L
.54917 .55492 L
.55054 .55684 L
.55106 .55759 L
.5523 .55877 L
.55299 .5604 L
.55323 .5607 L
.55436 .56263 L
.55492 .56384 L
.55508 .56455 L
.55492 .56499 L
.55299 .56497 L
.55222 .56455 L
.55106 .56321 L
.54987 .56263 L
.54914 .56144 L
.54805 .5607 L
.54721 .55963 L
.54675 .55877 L
.54528 .55718 L
.54502 .55684 L
.54356 .55492 L
.54336 .55461 L
.5421 .55299 L
.54143 .55193 L
.54094 .55106 L
.5395 .54929 L
.53923 .54914 L
.53764 .54721 L
.53758 .54689 L
.53643 .54528 L
.53565 .54422 L
.5353 .54336 L
.53372 .54155 L
.53362 .54143 L
.53201 .5395 L
.53179 .53879 L
.53097 .53758 L
.52987 .53566 L
.52987 .53565 L
F
1 .94 0 r
.53179 .53439 m
.53372 .53495 L
.53453 .53565 L
.53565 .53676 L
.53642 .53758 L
.53758 .53916 L
.53776 .5395 L
.53928 .54143 L
.5395 .54167 L
.54125 .54336 L
.54143 .54429 L
.54224 .54528 L
.54336 .54694 L
.54349 .54721 L
.54496 .54914 L
.54528 .54926 L
.54683 .55106 L
.54721 .55206 L
.54782 .55299 L
.54914 .55491 L
.54914 .55492 L
.55048 .55684 L
.55106 .55768 L
.55222 .55877 L
.55299 .56053 L
.55313 .5607 L
.55419 .56263 L
.55456 .56455 L
.55299 .56464 L
.55278 .56455 L
.55106 .56295 L
.55008 .56263 L
.54914 .56123 L
.54817 .5607 L
.54721 .55949 L
.54682 .55877 L
.54528 .55707 L
.54511 .55684 L
.54362 .55492 L
.54336 .55452 L
.54215 .55299 L
.54143 .55186 L
.54097 .55106 L
.5395 .54925 L
.53928 .54914 L
.53765 .54721 L
.53758 .54684 L
.53647 .54528 L
.53565 .54416 L
.53533 .54336 L
.53372 .54148 L
.53368 .54143 L
.53204 .5395 L
.53179 .53869 L
.53105 .53758 L
.53003 .53565 L
F
1 .93 0 r
.53179 .53453 m
.53372 .5351 L
.53438 .53565 L
.53565 .53686 L
.53635 .53758 L
.53758 .53923 L
.53773 .5395 L
.53924 .54143 L
.5395 .54172 L
.54123 .54336 L
.54143 .54433 L
.5422 .54528 L
.54336 .54698 L
.54347 .54721 L
.54492 .54914 L
.54528 .54928 L
.5468 .55106 L
.54721 .55211 L
.54778 .55299 L
.54909 .55492 L
.54914 .55498 L
.55042 .55684 L
.55106 .55777 L
.55214 .55877 L
.55299 .56067 L
.55301 .5607 L
.55402 .56263 L
.55299 .56435 L
.55106 .56278 L
.5503 .56263 L
.54914 .56106 L
.5483 .5607 L
.54721 .55935 L
.54689 .55877 L
.54528 .55696 L
.54519 .55684 L
.54369 .55492 L
.54336 .55443 L
.5422 .55299 L
.54143 .55179 L
.54101 .55106 L
.5395 .54922 L
.53933 .54914 L
.53766 .54721 L
.53758 .54678 L
.53651 .54528 L
.53565 .5441 L
.53536 .54336 L
.53374 .54143 L
.53372 .54141 L
.53207 .5395 L
.53179 .53858 L
.53112 .53758 L
.5302 .53565 L
F
1 .92 0 r
.53179 .53468 m
.53372 .53525 L
.53423 .53565 L
.53565 .53697 L
.53627 .53758 L
.53758 .53931 L
.53769 .5395 L
.53919 .54143 L
.5395 .54177 L
.54121 .54336 L
.54143 .54438 L
.54217 .54528 L
.54336 .54703 L
.54345 .54721 L
.54488 .54914 L
.54528 .54931 L
.54677 .55106 L
.54721 .55217 L
.54774 .55299 L
.54904 .55492 L
.54914 .55505 L
.55036 .55684 L
.55106 .55787 L
.55205 .55877 L
.5529 .5607 L
.55299 .56085 L
.55383 .56263 L
.55299 .56405 L
.55106 .56269 L
.55053 .56263 L
.54914 .56094 L
.54843 .5607 L
.54721 .55922 L
.54696 .55877 L
.54528 .55686 L
.54527 .55684 L
.54376 .55492 L
.54336 .55435 L
.54225 .55299 L
.54143 .55173 L
.54105 .55106 L
.5395 .5492 L
.53938 .54914 L
.53767 .54721 L
.53758 .54672 L
.53655 .54528 L
.53565 .54404 L
.53539 .54336 L
.53379 .54143 L
.53372 .54133 L
.5321 .5395 L
.53179 .53846 L
.5312 .53758 L
.53037 .53565 L
F
1 .91 0 r
.53179 .53482 m
.53372 .53538 L
.53407 .53565 L
.53565 .53707 L
.53618 .53758 L
.53758 .53938 L
.53765 .5395 L
.53915 .54143 L
.5395 .54182 L
.54118 .54336 L
.54143 .54443 L
.54213 .54528 L
.54336 .54707 L
.54343 .54721 L
.54485 .54914 L
.54528 .54933 L
.54674 .55106 L
.54721 .55224 L
.5477 .55299 L
.54899 .55492 L
.54914 .55512 L
.5503 .55684 L
.55106 .55796 L
.55196 .55877 L
.55278 .5607 L
.55299 .56107 L
.55363 .56263 L
.55299 .56374 L
.55106 .56264 L
.55078 .56263 L
.54914 .56085 L
.54858 .5607 L
.54721 .55909 L
.54703 .55877 L
.54535 .55684 L
.54528 .55676 L
.54382 .55492 L
.54336 .55426 L
.5423 .55299 L
.54143 .55166 L
.54108 .55106 L
.5395 .54917 L
.53943 .54914 L
.53768 .54721 L
.53758 .54667 L
.53659 .54528 L
.53565 .54397 L
.53541 .54336 L
.53384 .54143 L
.53372 .54125 L
.53214 .5395 L
.53179 .53835 L
.53129 .53758 L
.53055 .53565 L
F
1 .87 0 r
.53179 .50929 m
.53316 .5106 L
.53372 .51115 L
.53495 .51253 L
.53565 .51309 L
.5366 .51445 L
.53758 .51562 L
.5384 .51638 L
.5395 .51814 L
.53962 .51831 L
.54107 .52023 L
.54143 .52072 L
.54247 .52216 L
.54336 .52316 L
.54394 .52409 L
.545 .52601 L
.54528 .52653 L
.546 .52794 L
.54528 .5294 L
.54336 .528 L
.54331 .52794 L
.54156 .52601 L
.54143 .52586 L
.54003 .52409 L
.5395 .52344 L
.53856 .52216 L
.53758 .52138 L
.5371 .52023 L
.53567 .51831 L
.53565 .51828 L
.53436 .51638 L
.53372 .5155 L
.53304 .51445 L
.53179 .51262 L
.53174 .51253 L
.53068 .5106 L
F
1 .9 0 r
.53179 .53497 m
.53372 .53552 L
.5339 .53565 L
.53565 .53716 L
.53609 .53758 L
.53758 .53945 L
.53761 .5395 L
.5391 .54143 L
.5395 .54186 L
.54116 .54336 L
.54143 .54447 L
.5421 .54528 L
.54336 .54712 L
.5434 .54721 L
.54481 .54914 L
.54528 .54936 L
.5467 .55106 L
.54721 .5523 L
.54765 .55299 L
.54894 .55492 L
.54914 .55519 L
.55024 .55684 L
.55106 .55807 L
.55185 .55877 L
.55266 .5607 L
.55299 .56135 L
.5534 .56263 L
.55299 .56339 L
.55106 .56263 L
.55105 .56263 L
.54914 .56078 L
.54874 .5607 L
.54721 .55896 L
.5471 .55877 L
.54543 .55684 L
.54528 .55666 L
.54389 .55492 L
.54336 .55418 L
.54235 .55299 L
.54143 .5516 L
.54111 .55106 L
.5395 .54915 L
.53948 .54914 L
.53769 .54721 L
.53758 .54661 L
.53663 .54528 L
.53565 .54391 L
.53544 .54336 L
.5339 .54143 L
.53372 .54117 L
.53218 .5395 L
.53179 .53822 L
.53137 .53758 L
.53075 .53565 L
F
1 .86 0 r
.53179 .50957 m
.53293 .5106 L
.53372 .51136 L
.53479 .51253 L
.53565 .51324 L
.53647 .51445 L
.53758 .51577 L
.53825 .51638 L
.5395 .51828 L
.53952 .51831 L
.54096 .52023 L
.54143 .52087 L
.54236 .52216 L
.54336 .52338 L
.54379 .52409 L
.54485 .52601 L
.54528 .52684 L
.54579 .52794 L
.54528 .52908 L
.54349 .52794 L
.54336 .52783 L
.54168 .52601 L
.54143 .52573 L
.54012 .52409 L
.5395 .52333 L
.53864 .52216 L
.53758 .52124 L
.53717 .52023 L
.53575 .51831 L
.53565 .51817 L
.53444 .51638 L
.53372 .51537 L
.53313 .51445 L
.53185 .51253 L
.53179 .51243 L
.53087 .5106 L
F
0 .91 1 r
.53179 .45081 m
.53186 .45086 L
.53372 .45266 L
.53382 .45279 L
.53557 .45472 L
.53565 .4548 L
.53725 .45664 L
.53758 .45701 L
.5389 .45857 L
.5395 .45919 L
.54051 .4605 L
.54143 .46166 L
.54221 .46242 L
.54336 .46409 L
.54354 .46435 L
.54514 .46628 L
.54528 .46644 L
.54667 .46821 L
.54721 .46894 L
.54823 .47013 L
.54914 .47149 L
.54947 .47206 L
.55106 .47395 L
.55114 .47399 L
.55262 .47591 L
.55299 .47644 L
.55408 .47784 L
.55492 .47906 L
.55528 .47977 L
.55684 .48161 L
.557 .48169 L
.55868 .48362 L
.55877 .48409 L
.55985 .48555 L
.5607 .48675 L
.56101 .48747 L
.56263 .48933 L
.56277 .4894 L
.56437 .49133 L
.56455 .49183 L
.56556 .49326 L
.56648 .49451 L
.5667 .49518 L
.56841 .49707 L
.56849 .49711 L
.57006 .49904 L
.57033 .49963 L
.57124 .50096 L
.57226 .50232 L
.57236 .50289 L
.57418 .50482 L
.57419 .50483 L
.57573 .50674 L
.57611 .50747 L
.5769 .50867 L
.57804 .51015 L
.57845 .5106 L
.57985 .51253 L
.57997 .51267 L
.58138 .51445 L
.58189 .51533 L
.58254 .51638 L
.58382 .518 L
.5841 .51831 L
.5855 .52023 L
.58575 .52053 L
.58701 .52216 L
.58768 .52321 L
.58818 .52409 L
.5896 .52586 L
.58974 .52601 L
.59114 .52794 L
.59153 .52841 L
.59263 .52987 L
.59346 .53111 L
.59381 .53179 L
.59537 .53372 L
.59538 .53373 L
.5972 .53565 L
.59731 .53631 L
.59824 .53758 L
.59924 .53902 L
.59945 .5395 L
.60099 .54143 L
.60116 .54155 L
.6028 .54336 L
.60309 .54423 L
.60384 .54528 L
.60502 .54696 L
.60511 .54721 L
.60658 .54914 L
.60694 .54942 L
.60836 .55106 L
.60887 .5522 L
.60941 .55299 L
.61078 .55492 L
.6108 .55494 L
.61216 .55684 L
.61273 .55736 L
.61388 .55877 L
.61465 .56022 L
.61496 .5607 L
.61632 .56263 L
.61658 .56297 L
.61769 .56455 L
.61851 .56541 L
.61933 .56648 L
.62043 .56836 L
.62046 .56841 L
.6218 .57033 L
.62236 .57111 L
.62315 .57226 L
.62429 .5737 L
.62464 .57419 L
.62584 .57611 L
.62621 .57663 L
.62715 .57804 L
.62814 .57945 L
.62848 .57997 L
.62976 .58189 L
.63007 .58234 L
.63098 .58382 L
.63199 .58536 L
.63222 .58575 L
.63328 .58768 L
.63392 .58891 L
.63406 .5896 L
.63392 .58979 L
.63362 .5896 L
.63199 .58827 L
.63143 .58768 L
.63007 .58647 L
.62962 .58575 L
.62814 .58408 L
.62773 .58382 L
.6263 .58189 L
.62621 .5818 L
.62471 .57997 L
.62429 .57962 L
.62313 .57804 L
.62236 .5771 L
.62127 .57611 L
.62043 .57462 L
.62009 .57419 L
.61855 .57226 L
.61851 .57222 L
.61705 .57033 L
.61658 .56973 L
.61536 .56841 L
.61465 .56716 L
.61417 .56648 L
.61273 .56464 L
.61261 .56455 L
.61115 .56263 L
.6108 .56216 L
.60957 .5607 L
.60887 .55954 L
.60838 .55877 L
.60694 .55696 L
.60679 .55684 L
.60536 .55492 L
.60502 .55446 L
.60384 .55299 L
.60309 .55181 L
.60265 .55106 L
.60116 .54923 L
.60105 .54914 L
.59962 .54721 L
.59924 .54669 L
.59814 .54528 L
.59731 .54403 L
.59696 .54336 L
.59538 .54146 L
.59534 .54143 L
.59358 .5395 L
.59346 .53888 L
.59247 .53758 L
.59153 .53621 L
.59128 .53565 L
.58966 .53372 L
.5896 .53366 L
.58793 .53179 L
.58768 .53103 L
.58682 .52987 L
.58575 .52836 L
.5856 .52794 L
.584 .52601 L
.58382 .52582 L
.5823 .52409 L
.58189 .52316 L
.58118 .52216 L
.57997 .52049 L
.57991 .52023 L
.57836 .51831 L
.57804 .51797 L
.57668 .51638 L
.57611 .51528 L
.57555 .51445 L
.57419 .51262 L
.57411 .51253 L
.57272 .5106 L
.57226 .5101 L
.57108 .50867 L
.57033 .50738 L
.56993 .50674 L
.56849 .50482 L
.56841 .5048 L
.5671 .50289 L
.56648 .5022 L
.56549 .50096 L
.56455 .49945 L
.5643 .49904 L
.56288 .49711 L
.56263 .49703 L
.56148 .49518 L
.5607 .49427 L
.55991 .49326 L
.55877 .4915 L
.55868 .49133 L
.55728 .4894 L
.55684 .48918 L
.55523 .48747 L
.55492 .48629 L
.55436 .48555 L
.55307 .48362 L
.55299 .48351 L
.55171 .48169 L
.55106 .48123 L
.54979 .47977 L
.54914 .47824 L
.54885 .47784 L
.54754 .47591 L
.54721 .47547 L
.54618 .47399 L
.54528 .47313 L
.54442 .47206 L
.54339 .47013 L
.54336 .47008 L
.54207 .46821 L
.54143 .46733 L
.54071 .46628 L
.5395 .46475 L
.5392 .46435 L
.53802 .46242 L
.53758 .4618 L
.53673 .4605 L
.53565 .45897 L
.53539 .45857 L
.53413 .45664 L
.53372 .45605 L
.53294 .45472 L
.53179 .45294 L
.53171 .45279 L
.5309 .45086 L
F
1 .89 0 r
.53179 .53512 m
.53372 .53565 L
.53372 .53565 L
.53565 .53726 L
.536 .53758 L
.53756 .5395 L
.53758 .53951 L
.53906 .54143 L
.5395 .54191 L
.54113 .54336 L
.54143 .54452 L
.54206 .54528 L
.54336 .54716 L
.54338 .54721 L
.54477 .54914 L
.54528 .54939 L
.54667 .55106 L
.54721 .55237 L
.54761 .55299 L
.54889 .55492 L
.54914 .55527 L
.55018 .55684 L
.55106 .55817 L
.55174 .55877 L
.55253 .5607 L
.55299 .56176 L
.55313 .56263 L
.55299 .56293 L
.55144 .56263 L
.55106 .56244 L
.54914 .56073 L
.54892 .5607 L
.54721 .55884 L
.54717 .55877 L
.54551 .55684 L
.54528 .55657 L
.54395 .55492 L
.54336 .5541 L
.5424 .55299 L
.54143 .55154 L
.54115 .55106 L
.53953 .54914 L
.5395 .54911 L
.5377 .54721 L
.53758 .54655 L
.53667 .54528 L
.53565 .54385 L
.53546 .54336 L
.53395 .54143 L
.53372 .54109 L
.53222 .5395 L
.53179 .5381 L
.53146 .53758 L
.53095 .53565 L
F
0 .73 1 r
.53179 .5419 m
.53302 .54336 L
.53372 .54417 L
.53453 .54528 L
.53565 .54674 L
.53596 .54721 L
.53723 .54914 L
.53758 .54968 L
.53818 .55106 L
.53758 .55142 L
.53721 .55106 L
.53565 .54949 L
.53535 .54914 L
.53374 .54721 L
.53372 .54718 L
.53232 .54528 L
.53179 .54457 L
.53099 .54336 L
F
1 .85 0 r
.53179 .50989 m
.53265 .5106 L
.53372 .51157 L
.53462 .51253 L
.53565 .51341 L
.53633 .51445 L
.53758 .51593 L
.53809 .51638 L
.5394 .51831 L
.5395 .51843 L
.54085 .52023 L
.54143 .52102 L
.54225 .52216 L
.54336 .52363 L
.54363 .52409 L
.5447 .52601 L
.54528 .52723 L
.54555 .52794 L
.54528 .52868 L
.54372 .52794 L
.54336 .52764 L
.54181 .52601 L
.54143 .5256 L
.54022 .52409 L
.5395 .52322 L
.53872 .52216 L
.53758 .52108 L
.53725 .52023 L
.53584 .51831 L
.53565 .51805 L
.53453 .51638 L
.53372 .51523 L
.53323 .51445 L
.532 .51253 L
.53179 .51218 L
.53111 .5106 L
F
0 .72 1 r
.53179 .54207 m
.53289 .54336 L
.53372 .5443 L
.53443 .54528 L
.53565 .54687 L
.53587 .54721 L
.53707 .54914 L
.53758 .54998 L
.53783 .55106 L
.53758 .55113 L
.53749 .55106 L
.53565 .54932 L
.53549 .54914 L
.53388 .54721 L
.53372 .54702 L
.53244 .54528 L
.53179 .5444 L
.53112 .54336 L
F
1 .88 0 r
.53179 .53529 m
.53348 .53565 L
.53372 .53577 L
.53565 .53736 L
.5359 .53758 L
.5375 .5395 L
.53758 .53955 L
.53901 .54143 L
.5395 .54196 L
.5411 .54336 L
.54143 .54457 L
.54202 .54528 L
.54336 .54721 L
.54336 .54721 L
.54474 .54914 L
.54528 .54943 L
.54663 .55106 L
.54721 .55244 L
.54756 .55299 L
.54884 .55492 L
.54914 .55535 L
.55012 .55684 L
.55106 .55828 L
.55162 .55877 L
.5524 .5607 L
.55106 .56224 L
.54914 .5607 L
.54912 .5607 L
.54726 .55877 L
.54721 .55873 L
.54559 .55684 L
.54528 .55648 L
.54402 .55492 L
.54336 .55402 L
.54245 .55299 L
.54143 .55148 L
.54118 .55106 L
.53958 .54914 L
.5395 .54907 L
.53772 .54721 L
.53758 .5465 L
.53671 .54528 L
.53565 .54378 L
.53549 .54336 L
.534 .54143 L
.53372 .54101 L
.53227 .5395 L
.53179 .53796 L
.53155 .53758 L
.53118 .53565 L
F
0 .38 1 r
.53179 .4666 m
.53308 .46821 L
.53372 .46893 L
.53466 .47013 L
.53565 .47131 L
.53622 .47206 L
.53758 .47359 L
.53776 .47399 L
.53925 .47591 L
.5395 .47622 L
.54072 .47784 L
.54143 .47873 L
.5422 .47977 L
.54336 .48102 L
.54369 .48169 L
.54515 .48362 L
.54528 .48379 L
.54657 .48555 L
.54721 .48637 L
.54802 .48747 L
.54914 .48872 L
.54948 .4894 L
.5509 .49133 L
.55106 .49153 L
.5523 .49326 L
.55299 .49415 L
.55373 .49518 L
.55492 .49661 L
.55549 .49711 L
.55655 .49904 L
.55684 .49941 L
.55794 .50096 L
.55877 .50207 L
.55934 .50289 L
.5607 .50469 L
.56083 .50482 L
.5621 .50674 L
.56263 .50745 L
.56346 .50867 L
.56455 .51015 L
.56485 .5106 L
.5662 .51253 L
.56648 .51291 L
.56749 .51445 L
.56841 .51571 L
.56884 .51638 L
.57015 .51831 L
.57033 .51856 L
.57132 .52023 L
.57226 .52162 L
.57254 .52216 L
.57226 .52299 L
.57154 .52216 L
.57033 .5209 L
.5698 .52023 L
.56841 .51862 L
.56816 .51831 L
.56659 .51638 L
.56648 .51625 L
.56509 .51445 L
.56455 .51382 L
.56357 .51253 L
.56263 .51136 L
.56205 .5106 L
.5607 .50896 L
.5603 .50867 L
.55909 .50674 L
.55877 .50635 L
.55763 .50482 L
.55684 .50382 L
.55616 .50289 L
.55492 .50137 L
.55444 .50096 L
.55326 .49904 L
.55299 .49869 L
.55184 .49711 L
.55106 .4961 L
.5504 .49518 L
.54914 .49358 L
.5488 .49326 L
.54756 .49133 L
.54721 .49087 L
.54616 .4894 L
.54528 .48824 L
.54474 .48747 L
.54336 .48562 L
.54329 .48555 L
.54196 .48362 L
.54143 .48291 L
.54058 .48169 L
.5395 .48024 L
.53917 .47977 L
.53781 .47784 L
.53758 .47753 L
.53648 .47591 L
.53565 .47478 L
.53512 .47399 L
.53375 .47206 L
.53372 .47203 L
.5325 .47013 L
.53179 .46915 L
.53121 .46821 L
F
0 .71 1 r
.53179 .54227 m
.53274 .54336 L
.53372 .54445 L
.53432 .54528 L
.53565 .54703 L
.53577 .54721 L
.53565 .54914 L
.53403 .54721 L
.53372 .54685 L
.53258 .54528 L
.53179 .5442 L
.53126 .54336 L
F
0 .37 1 r
.53179 .46669 m
.53301 .46821 L
.53372 .46899 L
.53461 .47013 L
.53565 .47137 L
.53618 .47206 L
.53758 .47367 L
.53772 .47399 L
.53921 .47591 L
.5395 .47627 L
.54068 .47784 L
.54143 .47877 L
.54217 .47977 L
.54336 .48108 L
.54366 .48169 L
.54511 .48362 L
.54528 .48383 L
.54654 .48555 L
.54721 .4864 L
.54799 .48747 L
.54914 .48877 L
.54945 .4894 L
.55087 .49133 L
.55106 .49157 L
.55228 .49326 L
.55299 .49419 L
.5537 .49518 L
.55492 .49665 L
.55543 .49711 L
.55653 .49904 L
.55684 .49945 L
.55791 .50096 L
.55877 .50211 L
.55932 .50289 L
.5607 .50474 L
.56077 .50482 L
.56207 .50674 L
.56263 .50749 L
.56343 .50867 L
.56455 .5102 L
.56482 .5106 L
.56615 .51253 L
.56648 .51296 L
.56745 .51445 L
.56841 .51577 L
.56879 .51638 L
.57009 .51831 L
.57033 .51865 L
.57124 .52023 L
.57226 .52177 L
.57245 .52216 L
.57226 .52282 L
.57167 .52216 L
.57033 .52081 L
.56987 .52023 L
.56841 .51855 L
.56821 .51831 L
.56665 .51638 L
.56648 .51619 L
.56513 .51445 L
.56455 .51376 L
.56361 .51253 L
.56263 .51131 L
.56208 .5106 L
.5607 .5089 L
.56038 .50867 L
.55912 .50674 L
.55877 .50631 L
.55766 .50482 L
.55684 .50378 L
.55619 .50289 L
.55492 .50132 L
.5545 .50096 L
.55329 .49904 L
.55299 .49865 L
.55187 .49711 L
.55106 .49606 L
.55043 .49518 L
.54914 .49354 L
.54884 .49326 L
.54759 .49133 L
.54721 .49083 L
.54619 .4894 L
.54528 .4882 L
.54477 .48747 L
.54336 .48557 L
.54334 .48555 L
.54199 .48362 L
.54143 .48287 L
.54061 .48169 L
.5395 .48019 L
.5392 .47977 L
.53785 .47784 L
.53758 .47748 L
.53652 .47591 L
.53565 .47472 L
.53515 .47399 L
.53379 .47206 L
.53372 .47196 L
.53255 .47013 L
.53179 .46907 L
.53126 .46821 L
F
0 .51 1 r
.53179 .51821 m
.53187 .51831 L
.53179 .51919 L
.53129 .51831 L
F
0 .36 1 r
.53179 .46678 m
.53295 .46821 L
.53372 .46906 L
.53456 .47013 L
.53565 .47143 L
.53614 .47206 L
.53758 .47375 L
.53769 .47399 L
.53916 .47591 L
.5395 .47632 L
.54064 .47784 L
.54143 .47882 L
.54214 .47977 L
.54336 .48113 L
.54363 .48169 L
.54508 .48362 L
.54528 .48387 L
.54651 .48555 L
.54721 .48644 L
.54796 .48747 L
.54914 .48882 L
.54942 .4894 L
.55084 .49133 L
.55106 .49161 L
.55225 .49326 L
.55299 .49423 L
.55368 .49518 L
.55492 .49671 L
.55538 .49711 L
.5565 .49904 L
.55684 .49949 L
.55788 .50096 L
.55877 .50215 L
.55929 .50289 L
.5607 .5048 L
.56071 .50482 L
.56203 .50674 L
.56263 .50753 L
.5634 .50867 L
.56455 .51025 L
.56479 .5106 L
.56611 .51253 L
.56648 .51302 L
.56741 .51445 L
.56841 .51584 L
.56875 .51638 L
.57002 .51831 L
.57033 .51875 L
.57115 .52023 L
.57226 .52197 L
.57234 .52216 L
.57226 .52259 L
.57184 .52216 L
.57033 .52071 L
.56994 .52023 L
.56841 .51848 L
.56827 .51831 L
.56671 .51638 L
.56648 .51612 L
.56518 .51445 L
.56455 .51371 L
.56365 .51253 L
.56263 .51127 L
.56212 .5106 L
.5607 .50884 L
.56047 .50867 L
.55916 .50674 L
.55877 .50627 L
.55769 .50482 L
.55684 .50374 L
.55622 .50289 L
.55492 .50127 L
.55455 .50096 L
.55333 .49904 L
.55299 .49861 L
.5519 .49711 L
.55106 .49602 L
.55045 .49518 L
.54914 .49349 L
.54889 .49326 L
.54762 .49133 L
.54721 .4908 L
.54622 .4894 L
.54528 .48816 L
.54479 .48747 L
.54337 .48555 L
.54336 .48552 L
.54202 .48362 L
.54143 .48283 L
.54064 .48169 L
.5395 .48015 L
.53923 .47977 L
.53788 .47784 L
.53758 .47743 L
.53656 .47591 L
.53565 .47467 L
.53519 .47399 L
.53384 .47206 L
.53372 .4719 L
.53261 .47013 L
.53179 .46899 L
.53132 .46821 L
F
0 .9 1 r
.53179 .56851 m
.53322 .57033 L
.53372 .57092 L
.53476 .57226 L
.53565 .57337 L
.53628 .57419 L
.53758 .57561 L
.53778 .57611 L
.53922 .57804 L
.5395 .57839 L
.54068 .57997 L
.54143 .58094 L
.54214 .58189 L
.54336 .58327 L
.54359 .58382 L
.545 .58575 L
.54528 .58612 L
.54641 .58768 L
.54721 .58874 L
.54784 .5896 L
.54914 .59126 L
.54925 .59153 L
.55062 .59346 L
.55106 .59405 L
.552 .59538 L
.55299 .59674 L
.55339 .59731 L
.55474 .59924 L
.55492 .59947 L
.55605 .60116 L
.55684 .60226 L
.55739 .60309 L
.55684 .60474 L
.5556 .60309 L
.55492 .60231 L
.55408 .60116 L
.55299 .59984 L
.55256 .59924 L
.55106 .59736 L
.55103 .59731 L
.54961 .59538 L
.54914 .5948 L
.54818 .59346 L
.54721 .59224 L
.54671 .59153 L
.54528 .58969 L
.54522 .5896 L
.54384 .58768 L
.54336 .58706 L
.54244 .58575 L
.54143 .58445 L
.541 .58382 L
.53955 .58189 L
.5395 .58184 L
.53821 .57997 L
.53758 .57915 L
.53683 .57804 L
.53565 .57648 L
.5354 .57611 L
.53404 .57419 L
.53372 .57377 L
.53274 .57226 L
.53179 .57101 L
.53137 .57033 L
F
1 .17 0 r
.53179 .47516 m
.5323 .47591 L
.53372 .47764 L
.53386 .47784 L
.53372 .47923 L
.53282 .47784 L
.53179 .47657 L
.53137 .47591 L
F
0 .35 1 r
.53179 .46688 m
.53287 .46821 L
.53372 .46914 L
.5345 .47013 L
.53565 .47149 L
.53609 .47206 L
.53758 .47383 L
.53765 .47399 L
.53912 .47591 L
.5395 .47637 L
.54061 .47784 L
.54143 .47886 L
.54211 .47977 L
.54336 .48119 L
.5436 .48169 L
.54505 .48362 L
.54528 .48391 L
.54648 .48555 L
.54721 .48648 L
.54794 .48747 L
.54914 .48887 L
.5494 .4894 L
.55081 .49133 L
.55106 .49165 L
.55222 .49326 L
.55299 .49426 L
.55365 .49518 L
.55492 .49676 L
.55532 .49711 L
.55647 .49904 L
.55684 .49953 L
.55785 .50096 L
.55877 .50219 L
.55926 .50289 L
.56067 .50482 L
.5607 .50485 L
.562 .50674 L
.56263 .50758 L
.56337 .50867 L
.56455 .51029 L
.56476 .5106 L
.56607 .51253 L
.56648 .51308 L
.56736 .51445 L
.56841 .51591 L
.5687 .51638 L
.56994 .51831 L
.57033 .51886 L
.57106 .52023 L
.57033 .5206 L
.57003 .52023 L
.56841 .5184 L
.56833 .51831 L
.56677 .51638 L
.56648 .51606 L
.56523 .51445 L
.56455 .51365 L
.56369 .51253 L
.56263 .51122 L
.56216 .5106 L
.5607 .50877 L
.56056 .50867 L
.55919 .50674 L
.55877 .50622 L
.55773 .50482 L
.55684 .50369 L
.55625 .50289 L
.55492 .50122 L
.55461 .50096 L
.55336 .49904 L
.55299 .49857 L
.55193 .49711 L
.55106 .49598 L
.55048 .49518 L
.54914 .49344 L
.54894 .49326 L
.54765 .49133 L
.54721 .49076 L
.54624 .4894 L
.54528 .48812 L
.54482 .48747 L
.54341 .48555 L
.54336 .48548 L
.54205 .48362 L
.54143 .48279 L
.54067 .48169 L
.5395 .48011 L
.53926 .47977 L
.53792 .47784 L
.53758 .47738 L
.53659 .47591 L
.53565 .47462 L
.53523 .47399 L
.53389 .47206 L
.53372 .47183 L
.53266 .47013 L
.53179 .4689 L
.53138 .46821 L
F
0 .7 1 r
.53179 .54251 m
.53256 .54336 L
.53372 .54462 L
.53419 .54528 L
.53565 .5472 L
.53565 .54721 L
.53565 .54889 L
.53421 .54721 L
.53372 .54665 L
.53273 .54528 L
.53179 .54396 L
.53143 .54336 L
F
1 .84 0 r
.53179 .51028 m
.53228 .5106 L
.53372 .51179 L
.53443 .51253 L
.53565 .5136 L
.53618 .51445 L
.53758 .5161 L
.5379 .51638 L
.53929 .51831 L
.5395 .51858 L
.54074 .52023 L
.54143 .52118 L
.54213 .52216 L
.54336 .52393 L
.54345 .52409 L
.54454 .52601 L
.54336 .52745 L
.54195 .52601 L
.54143 .52546 L
.54032 .52409 L
.5395 .52311 L
.5388 .52216 L
.53758 .5209 L
.53732 .52023 L
.53593 .51831 L
.53565 .51792 L
.53463 .51638 L
.53372 .51508 L
.53333 .51445 L
.53217 .51253 L
.53179 .51185 L
.53144 .5106 L
F
0 .34 1 r
.53179 .46698 m
.53279 .46821 L
.53372 .46921 L
.53444 .47013 L
.53565 .47155 L
.53604 .47206 L
.53758 .47392 L
.53761 .47399 L
.53908 .47591 L
.5395 .47642 L
.54057 .47784 L
.54143 .47891 L
.54207 .47977 L
.54336 .48125 L
.54357 .48169 L
.54501 .48362 L
.54528 .48396 L
.54645 .48555 L
.54721 .48652 L
.54791 .48747 L
.54914 .48892 L
.54937 .4894 L
.55078 .49133 L
.55106 .49168 L
.55219 .49326 L
.55299 .4943 L
.55362 .49518 L
.55492 .49681 L
.55526 .49711 L
.55644 .49904 L
.55684 .49957 L
.55782 .50096 L
.55877 .50223 L
.55923 .50289 L
.56064 .50482 L
.5607 .50489 L
.56197 .50674 L
.56263 .50763 L
.56333 .50867 L
.56455 .51034 L
.56472 .5106 L
.56602 .51253 L
.56648 .51314 L
.56732 .51445 L
.56841 .51598 L
.56866 .51638 L
.56986 .51831 L
.57033 .51898 L
.57094 .52023 L
.57033 .52049 L
.57012 .52023 L
.56841 .51832 L
.56839 .51831 L
.56684 .51638 L
.56648 .51599 L
.56528 .51445 L
.56455 .5136 L
.56373 .51253 L
.56263 .51117 L
.56219 .5106 L
.5607 .50871 L
.56065 .50867 L
.55923 .50674 L
.55877 .50618 L
.55776 .50482 L
.55684 .50365 L
.55628 .50289 L
.55492 .50117 L
.55468 .50096 L
.55339 .49904 L
.55299 .49853 L
.55196 .49711 L
.55106 .49595 L
.55051 .49518 L
.54914 .49339 L
.549 .49326 L
.54768 .49133 L
.54721 .49072 L
.54627 .4894 L
.54528 .48809 L
.54485 .48747 L
.54344 .48555 L
.54336 .48544 L
.54209 .48362 L
.54143 .48275 L
.5407 .48169 L
.5395 .48007 L
.5393 .47977 L
.53796 .47784 L
.53758 .47733 L
.53663 .47591 L
.53565 .47456 L
.53527 .47399 L
.53395 .47206 L
.53372 .47175 L
.53272 .47013 L
.53179 .46881 L
.53144 .46821 L
F
1 .87 0 r
.53179 .53546 m
.53317 .53565 L
.53372 .53589 L
.53565 .53745 L
.5358 .53758 L
.53744 .5395 L
.53758 .53958 L
.53896 .54143 L
.5395 .54201 L
.54106 .54336 L
.54143 .54462 L
.54198 .54528 L
.54332 .54721 L
.54336 .54726 L
.5447 .54914 L
.54528 .54947 L
.54659 .55106 L
.54721 .55251 L
.54752 .55299 L
.54879 .55492 L
.54914 .55543 L
.55006 .55684 L
.55106 .5584 L
.55148 .55877 L
.55225 .5607 L
.55106 .56204 L
.5493 .5607 L
.54914 .56057 L
.54737 .55877 L
.54721 .55865 L
.54567 .55684 L
.54528 .55639 L
.54408 .55492 L
.54336 .55395 L
.5425 .55299 L
.54143 .55143 L
.54121 .55106 L
.53962 .54914 L
.5395 .54903 L
.53773 .54721 L
.53758 .54644 L
.53675 .54528 L
.53565 .54372 L
.53551 .54336 L
.53406 .54143 L
.53372 .54092 L
.53232 .5395 L
.53179 .53781 L
.53165 .53758 L
.53145 .53565 L
F
1 .16 0 r
.53179 .47528 m
.53222 .47591 L
.53372 .47774 L
.53379 .47784 L
.53372 .47911 L
.53293 .47784 L
.53179 .47646 L
.53145 .47591 L
F
1 .7 0 r
.53179 .45866 m
.53345 .4605 L
.53372 .46077 L
.53512 .46242 L
.53565 .46301 L
.53675 .46435 L
.53758 .46473 L
.53835 .46628 L
.5395 .46762 L
.54032 .46821 L
.54143 .47011 L
.54145 .47013 L
.54295 .47206 L
.54336 .47222 L
.54446 .47399 L
.54528 .47495 L
.54636 .47591 L
.54721 .47753 L
.54746 .47784 L
.54892 .47977 L
.54914 .47987 L
.55039 .48169 L
.55106 .48251 L
.55216 .48362 L
.55299 .48513 L
.5533 .48555 L
.55476 .48747 L
.55492 .48756 L
.5562 .4894 L
.55684 .49019 L
.55788 .49133 L
.55877 .49284 L
.55906 .49326 L
.56052 .49518 L
.5607 .49529 L
.56195 .49711 L
.56263 .49795 L
.56356 .49904 L
.56455 .50062 L
.56477 .50096 L
.56622 .50289 L
.56648 .50307 L
.56764 .50482 L
.56841 .50577 L
.5692 .50674 L
.57033 .50847 L
.57045 .50867 L
.57188 .5106 L
.57226 .51088 L
.57329 .51253 L
.57419 .51366 L
.57481 .51445 L
.57611 .51637 L
.57612 .51638 L
.5775 .51831 L
.57804 .51876 L
.57949 .52023 L
.57997 .52161 L
.58038 .52216 L
.58171 .52409 L
.58189 .52434 L
.58308 .52601 L
.58382 .52674 L
.58492 .52794 L
.58575 .52965 L
.5859 .52987 L
.58724 .53179 L
.58768 .53239 L
.58861 .53372 L
.5896 .53487 L
.59027 .53565 L
.59136 .53758 L
.59153 .5378 L
.59269 .5395 L
.59346 .54056 L
.59405 .54143 L
.59538 .54328 L
.59544 .54336 L
.5967 .54528 L
.59731 .54614 L
.598 .54721 L
.59924 .54899 L
.59933 .54914 L
.60052 .55106 L
.60116 .55201 L
.60172 .55299 L
.60116 .5545 L
.59981 .55299 L
.59924 .55239 L
.59812 .55106 L
.59731 .55015 L
.59648 .54914 L
.59538 .54802 L
.59488 .54721 L
.59346 .54546 L
.59326 .54528 L
.5918 .54336 L
.59153 .54303 L
.59028 .54143 L
.5896 .54076 L
.58877 .5395 L
.58768 .53812 L
.58716 .53758 L
.58579 .53565 L
.58575 .53559 L
.58432 .53372 L
.58382 .53322 L
.58285 .53179 L
.58189 .53057 L
.58129 .52987 L
.57997 .52799 L
.57994 .52794 L
.57849 .52601 L
.57804 .52556 L
.5764 .52409 L
.57611 .52288 L
.57553 .52216 L
.57419 .52027 L
.57417 .52023 L
.57273 .51831 L
.57226 .51781 L
.5708 .51638 L
.57033 .51511 L
.56982 .51445 L
.56844 .51253 L
.56841 .51248 L
.56703 .5106 L
.56648 .51001 L
.56521 .50867 L
.56455 .50728 L
.56416 .50674 L
.56277 .50482 L
.56263 .50463 L
.56137 .50289 L
.5607 .50215 L
.55964 .50096 L
.55877 .49939 L
.55853 .49904 L
.55714 .49711 L
.55684 .49672 L
.55574 .49518 L
.55492 .49422 L
.55409 .49326 L
.55299 .49143 L
.55292 .49133 L
.55155 .4894 L
.55106 .48875 L
.55016 .48747 L
.54914 .48621 L
.5486 .48555 L
.54737 .48362 L
.54721 .48341 L
.54601 .48169 L
.54528 .48123 L
.54462 .47977 L
.54336 .47807 L
.54318 .47784 L
.54189 .47591 L
.54143 .47528 L
.54054 .47399 L
.5395 .4729 L
.53875 .47206 L
.53783 .47013 L
.53758 .46978 L
.53654 .46821 L
.53565 .46696 L
.5352 .46628 L
.53389 .46435 L
.53372 .46411 L
.53269 .46242 L
.53179 .46109 L
.53145 .4605 L
F
0 .33 1 r
.53179 .4671 m
.5327 .46821 L
.53372 .46929 L
.53438 .47013 L
.53565 .47161 L
.536 .47206 L
.53756 .47399 L
.53758 .474 L
.53904 .47591 L
.5395 .47647 L
.54053 .47784 L
.54143 .47895 L
.54204 .47977 L
.54336 .48132 L
.54354 .48169 L
.54498 .48362 L
.54528 .484 L
.54642 .48555 L
.54721 .48656 L
.54788 .48747 L
.54914 .48898 L
.54934 .4894 L
.55075 .49133 L
.55106 .49172 L
.55216 .49326 L
.55299 .49434 L
.55359 .49518 L
.55492 .49687 L
.55519 .49711 L
.5564 .49904 L
.55684 .49961 L
.55779 .50096 L
.55877 .50227 L
.5592 .50289 L
.5606 .50482 L
.5607 .50494 L
.56193 .50674 L
.56263 .50767 L
.5633 .50867 L
.56455 .51039 L
.56469 .5106 L
.56598 .51253 L
.56648 .5132 L
.56727 .51445 L
.56841 .51605 L
.56861 .51638 L
.56841 .51823 L
.5669 .51638 L
.56648 .51592 L
.56534 .51445 L
.56455 .51354 L
.56378 .51253 L
.56263 .51111 L
.56223 .5106 L
.56072 .50867 L
.5607 .50865 L
.55927 .50674 L
.55877 .50613 L
.55779 .50482 L
.55684 .50361 L
.55631 .50289 L
.55492 .50111 L
.55474 .50096 L
.55342 .49904 L
.55299 .49849 L
.55199 .49711 L
.55106 .49591 L
.55054 .49518 L
.54914 .49334 L
.54905 .49326 L
.54771 .49133 L
.54721 .49068 L
.5463 .4894 L
.54528 .48805 L
.54488 .48747 L
.54347 .48555 L
.54336 .4854 L
.54212 .48362 L
.54143 .4827 L
.54073 .48169 L
.5395 .48002 L
.53933 .47977 L
.538 .47784 L
.53758 .47727 L
.53667 .47591 L
.53565 .47451 L
.53531 .47399 L
.534 .47206 L
.53372 .47167 L
.53279 .47013 L
.53179 .46871 L
.53151 .46821 L
F
1 .69 0 r
.53179 .45886 m
.53332 .4605 L
.53372 .4609 L
.53503 .46242 L
.53565 .46311 L
.53667 .46435 L
.53758 .46482 L
.53828 .46628 L
.5395 .46771 L
.54022 .46821 L
.54139 .47013 L
.54143 .47018 L
.5429 .47206 L
.54336 .47224 L
.54442 .47399 L
.54528 .47501 L
.54631 .47591 L
.54721 .47758 L
.54742 .47784 L
.54888 .47977 L
.54914 .47989 L
.55035 .48169 L
.55106 .48255 L
.55213 .48362 L
.55299 .48517 L
.55327 .48555 L
.55473 .48747 L
.55492 .48758 L
.55617 .4894 L
.55684 .49022 L
.55785 .49133 L
.55877 .49287 L
.55903 .49326 L
.56049 .49518 L
.5607 .49531 L
.56192 .49711 L
.56263 .49798 L
.56353 .49904 L
.56455 .50065 L
.56475 .50096 L
.5662 .50289 L
.56648 .50308 L
.56762 .50482 L
.56841 .5058 L
.56918 .50674 L
.57033 .5085 L
.57043 .50867 L
.57186 .5106 L
.57226 .5109 L
.57327 .51253 L
.57419 .51369 L
.57478 .51445 L
.5761 .51638 L
.57611 .5164 L
.57748 .51831 L
.57804 .51879 L
.57947 .52023 L
.57997 .52165 L
.58035 .52216 L
.58168 .52409 L
.58189 .52437 L
.58306 .52601 L
.58382 .52677 L
.58489 .52794 L
.58575 .5297 L
.58587 .52987 L
.58721 .53179 L
.58768 .53243 L
.58858 .53372 L
.5896 .53492 L
.59022 .53565 L
.59132 .53758 L
.59153 .53785 L
.59265 .5395 L
.59346 .54061 L
.59401 .54143 L
.59538 .54336 L
.59538 .54337 L
.59664 .54528 L
.59731 .54622 L
.59795 .54721 L
.59924 .54908 L
.59927 .54914 L
.60043 .55106 L
.60116 .55217 L
.60161 .55299 L
.60116 .55432 L
.59995 .55299 L
.59924 .55226 L
.59822 .55106 L
.59731 .55005 L
.59656 .54914 L
.59538 .54792 L
.59495 .54721 L
.59346 .54538 L
.59335 .54528 L
.59186 .54336 L
.59153 .54296 L
.59033 .54143 L
.5896 .54071 L
.58881 .5395 L
.58768 .53807 L
.5872 .53758 L
.58583 .53565 L
.58575 .53555 L
.58436 .53372 L
.58382 .53318 L
.58288 .53179 L
.58189 .53052 L
.58132 .52987 L
.57997 .52795 L
.57996 .52794 L
.57852 .52601 L
.57804 .52553 L
.57642 .52409 L
.57611 .52285 L
.57555 .52216 L
.57419 .52024 L
.57418 .52023 L
.57276 .51831 L
.57226 .51778 L
.57082 .51638 L
.57033 .51508 L
.56985 .51445 L
.56846 .51253 L
.56841 .51245 L
.56705 .5106 L
.56648 .50998 L
.56523 .50867 L
.56455 .50725 L
.56418 .50674 L
.56279 .50482 L
.56263 .5046 L
.56139 .50289 L
.5607 .50212 L
.55966 .50096 L
.55877 .49936 L
.55855 .49904 L
.55716 .49711 L
.55684 .49669 L
.55577 .49518 L
.55492 .49419 L
.55412 .49326 L
.55299 .4914 L
.55294 .49133 L
.55157 .4894 L
.55106 .48872 L
.55018 .48747 L
.54914 .48617 L
.54863 .48555 L
.5474 .48362 L
.54721 .48337 L
.54604 .48169 L
.54528 .48119 L
.54465 .47977 L
.54336 .47802 L
.54322 .47784 L
.54193 .47591 L
.54143 .47524 L
.54058 .47399 L
.5395 .47282 L
.53882 .47206 L
.53788 .47013 L
.53758 .46972 L
.53658 .46821 L
.53565 .46688 L
.53526 .46628 L
.53397 .46435 L
.53372 .464 L
.53278 .46242 L
.53179 .46094 L
.53155 .4605 L
F
1 .15 0 r
.53179 .47542 m
.53211 .47591 L
.53372 .47784 L
.53372 .47784 L
.53372 .47897 L
.53306 .47784 L
.53179 .47632 L
.53155 .47591 L
F
0 .32 1 r
.53179 .46724 m
.5326 .46821 L
.53372 .46937 L
.53432 .47013 L
.53565 .47167 L
.53595 .47206 L
.53751 .47399 L
.53758 .47406 L
.53899 .47591 L
.5395 .47652 L
.54049 .47784 L
.54143 .479 L
.542 .47977 L
.54336 .48138 L
.5435 .48169 L
.54495 .48362 L
.54528 .48404 L
.54639 .48555 L
.54721 .4866 L
.54785 .48747 L
.54914 .48903 L
.54931 .4894 L
.55072 .49133 L
.55106 .49176 L
.55213 .49326 L
.55299 .49438 L
.55357 .49518 L
.55492 .49692 L
.55513 .49711 L
.55637 .49904 L
.55684 .49965 L
.55776 .50096 L
.55877 .50231 L
.55918 .50289 L
.56057 .50482 L
.5607 .50499 L
.56189 .50674 L
.56263 .50772 L
.56326 .50867 L
.56455 .51044 L
.56466 .5106 L
.56593 .51253 L
.56648 .51327 L
.56722 .51445 L
.56841 .51613 L
.56856 .51638 L
.56841 .51813 L
.56698 .51638 L
.56648 .51584 L
.56539 .51445 L
.56455 .51348 L
.56382 .51253 L
.56263 .51106 L
.56227 .5106 L
.56076 .50867 L
.5607 .5086 L
.5593 .50674 L
.55877 .50609 L
.55783 .50482 L
.55684 .50357 L
.55634 .50289 L
.55492 .50106 L
.5548 .50096 L
.55345 .49904 L
.55299 .49845 L
.55202 .49711 L
.55106 .49587 L
.55057 .49518 L
.54914 .49329 L
.5491 .49326 L
.54774 .49133 L
.54721 .49064 L
.54633 .4894 L
.54528 .48801 L
.5449 .48747 L
.5435 .48555 L
.54336 .48536 L
.54215 .48362 L
.54143 .48266 L
.54076 .48169 L
.5395 .47998 L
.53936 .47977 L
.53804 .47784 L
.53758 .47722 L
.53671 .47591 L
.53565 .47445 L
.53535 .47399 L
.53406 .47206 L
.53372 .47159 L
.53285 .47013 L
.53179 .46859 L
.53158 .46821 L
F
0 .69 1 r
.53179 .54284 m
.53231 .54336 L
.53372 .54481 L
.53405 .54528 L
.53372 .54642 L
.53291 .54528 L
.53179 .54365 L
.53163 .54336 L
F
1 .68 0 r
.53179 .45908 m
.53316 .4605 L
.53372 .46104 L
.53492 .46242 L
.53565 .46322 L
.53659 .46435 L
.53758 .46492 L
.53821 .46628 L
.5395 .46779 L
.54011 .46821 L
.54133 .47013 L
.54143 .47025 L
.54285 .47206 L
.54336 .47228 L
.54437 .47399 L
.54528 .47506 L
.54626 .47591 L
.54721 .47763 L
.54738 .47784 L
.54884 .47977 L
.54914 .47991 L
.55032 .48169 L
.55106 .48259 L
.55209 .48362 L
.55299 .48521 L
.55324 .48555 L
.5547 .48747 L
.55492 .4876 L
.55615 .4894 L
.55684 .49025 L
.55783 .49133 L
.55877 .49291 L
.55901 .49326 L
.56046 .49518 L
.5607 .49533 L
.5619 .49711 L
.56263 .49801 L
.56351 .49904 L
.56455 .50068 L
.56473 .50096 L
.56617 .50289 L
.56648 .5031 L
.56759 .50482 L
.56841 .50583 L
.56915 .50674 L
.57033 .50853 L
.57042 .50867 L
.57184 .5106 L
.57226 .51093 L
.57325 .51253 L
.57419 .51372 L
.57476 .51445 L
.57607 .51638 L
.57611 .51643 L
.57746 .51831 L
.57804 .51882 L
.57945 .52023 L
.57997 .52168 L
.58033 .52216 L
.58165 .52409 L
.58189 .52441 L
.58303 .52601 L
.58382 .52681 L
.58486 .52794 L
.58575 .52974 L
.58584 .52987 L
.58718 .53179 L
.58768 .53247 L
.58855 .53372 L
.5896 .53498 L
.59017 .53565 L
.59129 .53758 L
.59153 .5379 L
.59261 .5395 L
.59346 .54067 L
.59397 .54143 L
.59533 .54336 L
.59538 .54344 L
.59659 .54528 L
.59731 .5463 L
.59789 .54721 L
.5992 .54914 L
.59924 .54919 L
.60034 .55106 L
.60116 .55235 L
.60149 .55299 L
.60116 .5541 L
.60011 .55299 L
.59924 .55213 L
.59832 .55106 L
.59731 .54995 L
.59664 .54914 L
.59538 .54782 L
.59502 .54721 L
.59346 .5453 L
.59344 .54528 L
.59191 .54336 L
.59153 .54289 L
.59038 .54143 L
.5896 .54065 L
.58886 .5395 L
.58768 .53801 L
.58725 .53758 L
.58587 .53565 L
.58575 .5355 L
.5844 .53372 L
.58382 .53314 L
.58292 .53179 L
.58189 .53048 L
.58136 .52987 L
.57999 .52794 L
.57997 .52791 L
.57855 .52601 L
.57804 .52549 L
.57644 .52409 L
.57611 .52281 L
.57558 .52216 L
.57421 .52023 L
.57419 .52021 L
.57278 .51831 L
.57226 .51776 L
.57084 .51638 L
.57033 .51505 L
.56987 .51445 L
.56849 .51253 L
.56841 .51242 L
.56708 .5106 L
.56648 .50995 L
.56525 .50867 L
.56455 .50722 L
.5642 .50674 L
.56282 .50482 L
.56263 .50457 L
.56141 .50289 L
.5607 .50209 L
.55968 .50096 L
.55877 .49932 L
.55857 .49904 L
.55719 .49711 L
.55684 .49666 L
.55579 .49518 L
.55492 .49416 L
.55414 .49326 L
.55299 .49136 L
.55297 .49133 L
.5516 .4894 L
.55106 .48868 L
.55021 .48747 L
.54914 .48613 L
.54866 .48555 L
.54743 .48362 L
.54721 .48333 L
.54607 .48169 L
.54528 .48115 L
.54468 .47977 L
.54336 .47796 L
.54326 .47784 L
.54196 .47591 L
.54143 .47519 L
.54061 .47399 L
.5395 .47273 L
.5389 .47206 L
.53793 .47013 L
.53758 .46965 L
.53663 .46821 L
.53565 .46681 L
.53531 .46628 L
.53404 .46435 L
.53372 .46389 L
.53287 .46242 L
.53179 .46077 L
.53165 .4605 L
F
0 .31 1 r
.53179 .4674 m
.53248 .46821 L
.53372 .46946 L
.53425 .47013 L
.53565 .47174 L
.5359 .47206 L
.53745 .47399 L
.53758 .47412 L
.53894 .47591 L
.5395 .47657 L
.54045 .47784 L
.54143 .47904 L
.54197 .47977 L
.54336 .48145 L
.54347 .48169 L
.54491 .48362 L
.54528 .48408 L
.54635 .48555 L
.54721 .48664 L
.54782 .48747 L
.54914 .48909 L
.54929 .4894 L
.55069 .49133 L
.55106 .4918 L
.5521 .49326 L
.55299 .49441 L
.55354 .49518 L
.55492 .49698 L
.55507 .49711 L
.55634 .49904 L
.55684 .49969 L
.55773 .50096 L
.55877 .50235 L
.55915 .50289 L
.56053 .50482 L
.5607 .50503 L
.56186 .50674 L
.56263 .50777 L
.56323 .50867 L
.56455 .5105 L
.56462 .5106 L
.56588 .51253 L
.56648 .51334 L
.56717 .51445 L
.56841 .51622 L
.5685 .51638 L
.56841 .51802 L
.56706 .51638 L
.56648 .51577 L
.56545 .51445 L
.56455 .51341 L
.56387 .51253 L
.56263 .51101 L
.56231 .5106 L
.5608 .50867 L
.5607 .50855 L
.55934 .50674 L
.55877 .50604 L
.55786 .50482 L
.55684 .50353 L
.55637 .50289 L
.55492 .501 L
.55487 .50096 L
.55348 .49904 L
.55299 .49841 L
.55205 .49711 L
.55106 .49583 L
.55059 .49518 L
.54915 .49326 L
.54914 .49324 L
.54777 .49133 L
.54721 .4906 L
.54636 .4894 L
.54528 .48797 L
.54493 .48747 L
.54354 .48555 L
.54336 .48531 L
.54218 .48362 L
.54143 .48262 L
.54079 .48169 L
.5395 .47993 L
.53939 .47977 L
.53808 .47784 L
.53758 .47716 L
.53675 .47591 L
.53565 .47439 L
.53539 .47399 L
.53412 .47206 L
.53372 .4715 L
.53292 .47013 L
.53179 .46846 L
.53166 .46821 L
F
1 .14 0 r
.53179 .47561 m
.53197 .47591 L
.53179 .47614 L
.53167 .47591 L
F
1 .78 0 r
.53179 .5774 m
.53217 .57804 L
.53179 .57824 L
.53167 .57804 L
F
1 .97 0 r
.53179 .5618 m
.53293 .56263 L
.53372 .56328 L
.53505 .56455 L
.53565 .56515 L
.53692 .56648 L
.53758 .56721 L
.53864 .56841 L
.5395 .56928 L
.54027 .57033 L
.54143 .57178 L
.54192 .57226 L
.54331 .57419 L
.54336 .57425 L
.5448 .57611 L
.54528 .57662 L
.54627 .57804 L
.54721 .57929 L
.54779 .57997 L
.54914 .58189 L
.54914 .58189 L
.55059 .58382 L
.55106 .58438 L
.55247 .58575 L
.55299 .58706 L
.55345 .58768 L
.55486 .5896 L
.55492 .58967 L
.5563 .59153 L
.55684 .5922 L
.55798 .59346 L
.55877 .59489 L
.55909 .59538 L
.56056 .59731 L
.5607 .59735 L
.56199 .59924 L
.56263 .60004 L
.56356 .60116 L
.56455 .60274 L
.56475 .60309 L
.56622 .60502 L
.56648 .60515 L
.56764 .60694 L
.56841 .60793 L
.56915 .60887 L
.57033 .61066 L
.57041 .6108 L
.57183 .61273 L
.57226 .61301 L
.57323 .61465 L
.57419 .61592 L
.57468 .61658 L
.57599 .61851 L
.57611 .61867 L
.57737 .62043 L
.57804 .62102 L
.57939 .62236 L
.57997 .62406 L
.58013 .62429 L
.58144 .62621 L
.58189 .62685 L
.58279 .62814 L
.58382 .62937 L
.58444 .63007 L
.58544 .63199 L
.58575 .63243 L
.58674 .63392 L
.58768 .6353 L
.58804 .63585 L
.58926 .63778 L
.5896 .63828 L
.59043 .6397 L
.59153 .6415 L
.59159 .64163 L
.59153 .64277 L
.59041 .64163 L
.5896 .64088 L
.58862 .6397 L
.58768 .63868 L
.58696 .63778 L
.58575 .63637 L
.58535 .63585 L
.58382 .63402 L
.58377 .63392 L
.58227 .63199 L
.58189 .63155 L
.58078 .63007 L
.57997 .62908 L
.57927 .62814 L
.57804 .62669 L
.57744 .62621 L
.57629 .62429 L
.57611 .62407 L
.57485 .62236 L
.57419 .62153 L
.57339 .62043 L
.57226 .6191 L
.5716 .61851 L
.57046 .61658 L
.57033 .61642 L
.56905 .61465 L
.56841 .61383 L
.56761 .61273 L
.56648 .61137 L
.5659 .6108 L
.56472 .60887 L
.56455 .60866 L
.56332 .60694 L
.56263 .60657 L
.56189 .60502 L
.5607 .60354 L
.56027 .60309 L
.55903 .60116 L
.55877 .60083 L
.55764 .59924 L
.55684 .59866 L
.55622 .59731 L
.55492 .59564 L
.55469 .59538 L
.55339 .59346 L
.55299 .59293 L
.55201 .59153 L
.55106 .59066 L
.55058 .5896 L
.54915 .58768 L
.54914 .58766 L
.54779 .58575 L
.54721 .58498 L
.54641 .58382 L
.54528 .58256 L
.54499 .58189 L
.54359 .57997 L
.54336 .57966 L
.54224 .57804 L
.54143 .57696 L
.54085 .57611 L
.5395 .57434 L
.53936 .57419 L
.53811 .57226 L
.53758 .57154 L
.53677 .57033 L
.53565 .56879 L
.5354 .56841 L
.53409 .56648 L
.53372 .56596 L
.53288 .56455 L
.53179 .56288 L
.53167 .56263 L
F
0 .89 1 r
.53179 .56922 m
.53269 .57033 L
.53372 .57146 L
.53435 .57226 L
.53565 .57384 L
.53592 .57419 L
.53742 .57611 L
.53758 .5763 L
.53888 .57804 L
.5395 .57881 L
.54036 .57997 L
.54143 .58134 L
.54185 .58189 L
.54329 .58382 L
.54336 .5839 L
.54469 .58575 L
.54528 .58651 L
.54612 .58768 L
.54721 .58913 L
.54755 .5896 L
.54893 .59153 L
.54914 .59179 L
.55028 .59346 L
.55106 .59449 L
.55167 .59538 L
.55299 .59721 L
.55306 .59731 L
.55431 .59924 L
.55492 .60006 L
.5556 .60116 L
.55684 .60297 L
.55692 .60309 L
.55684 .60397 L
.5562 .60309 L
.55492 .60177 L
.55448 .60116 L
.55299 .59942 L
.55286 .59924 L
.55138 .59731 L
.55106 .59695 L
.54994 .59538 L
.54914 .59443 L
.54846 .59346 L
.54721 .59191 L
.54695 .59153 L
.54549 .5896 L
.54528 .58934 L
.54412 .58768 L
.54336 .58672 L
.54269 .58575 L
.54143 .58413 L
.54122 .58382 L
.53984 .58189 L
.5395 .58147 L
.5385 .57997 L
.53758 .57878 L
.53709 .57804 L
.53565 .57612 L
.53565 .57611 L
.5344 .57419 L
.53372 .57329 L
.53311 .57226 L
.53179 .57046 L
.53172 .57033 L
F
1 .86 0 r
.53179 .53565 m
.53269 .53565 L
.53372 .536 L
.53565 .53754 L
.53569 .53758 L
.53738 .5395 L
.53758 .53962 L
.53892 .54143 L
.5395 .54205 L
.54103 .54336 L
.54143 .54467 L
.54195 .54528 L
.54328 .54721 L
.54336 .54731 L
.54466 .54914 L
.54528 .54951 L
.54655 .55106 L
.54721 .55258 L
.54747 .55299 L
.54873 .55492 L
.54914 .55551 L
.55 .55684 L
.55106 .55853 L
.55134 .55877 L
.5521 .5607 L
.55106 .56183 L
.54948 .5607 L
.54914 .56042 L
.54748 .55877 L
.54721 .55858 L
.54576 .55684 L
.54528 .5563 L
.54415 .55492 L
.54336 .55387 L
.54255 .55299 L
.54143 .55137 L
.54124 .55106 L
.53967 .54914 L
.5395 .54899 L
.53775 .54721 L
.53758 .54638 L
.53679 .54528 L
.53565 .54365 L
.53554 .54336 L
.53411 .54143 L
.53372 .54084 L
.53238 .5395 L
.53179 .53764 L
.53175 .53758 L
.53179 .53565 L
F
0 .3 1 r
.53179 .46763 m
.53232 .46821 L
.53372 .46955 L
.53418 .47013 L
.53565 .47181 L
.53584 .47206 L
.5374 .47399 L
.53758 .47419 L
.5389 .47591 L
.5395 .47663 L
.54041 .47784 L
.54143 .47909 L
.54193 .47977 L
.54336 .48152 L
.54344 .48169 L
.54487 .48362 L
.54528 .48413 L
.54632 .48555 L
.54721 .48668 L
.54779 .48747 L
.54914 .48915 L
.54926 .4894 L
.55066 .49133 L
.55106 .49184 L
.55207 .49326 L
.55299 .49445 L
.55351 .49518 L
.55492 .49704 L
.555 .49711 L
.55631 .49904 L
.55684 .49973 L
.5577 .50096 L
.55877 .50239 L
.55912 .50289 L
.5605 .50482 L
.5607 .50508 L
.56182 .50674 L
.56263 .50782 L
.56319 .50867 L
.56455 .51055 L
.56458 .5106 L
.56583 .51253 L
.56648 .51342 L
.56711 .51445 L
.56841 .51631 L
.56845 .51638 L
.56841 .5179 L
.56715 .51638 L
.56648 .51568 L
.56551 .51445 L
.56455 .51335 L
.56392 .51253 L
.56263 .51095 L
.56235 .5106 L
.56085 .50867 L
.5607 .5085 L
.55938 .50674 L
.55877 .50599 L
.5579 .50482 L
.55684 .50348 L
.55641 .50289 L
.55493 .50096 L
.55492 .50095 L
.55352 .49904 L
.55299 .49837 L
.55208 .49711 L
.55106 .49579 L
.55062 .49518 L
.54918 .49326 L
.54914 .4932 L
.5478 .49133 L
.54721 .49056 L
.54639 .4894 L
.54528 .48793 L
.54496 .48747 L
.54357 .48555 L
.54336 .48527 L
.54222 .48362 L
.54143 .48257 L
.54083 .48169 L
.5395 .47988 L
.53942 .47977 L
.53812 .47784 L
.53758 .47711 L
.5368 .47591 L
.53565 .47432 L
.53543 .47399 L
.53419 .47206 L
.53372 .47141 L
.533 .47013 L
.53179 .46829 L
.53175 .46821 L
F
1 .67 0 r
.53179 .45937 m
.53298 .4605 L
.53372 .46118 L
.53481 .46242 L
.53565 .46332 L
.53651 .46435 L
.53758 .46503 L
.53814 .46628 L
.5395 .46788 L
.53999 .46821 L
.54127 .47013 L
.54143 .47032 L
.5428 .47206 L
.54336 .47231 L
.54433 .47399 L
.54528 .47512 L
.54621 .47591 L
.54721 .47768 L
.54734 .47784 L
.54881 .47977 L
.54914 .47993 L
.55028 .48169 L
.55106 .48263 L
.55206 .48362 L
.55299 .48525 L
.55321 .48555 L
.55467 .48747 L
.55492 .48761 L
.55612 .4894 L
.55684 .49029 L
.5578 .49133 L
.55877 .49294 L
.55899 .49326 L
.56044 .49518 L
.5607 .49535 L
.56187 .49711 L
.56263 .49804 L
.56349 .49904 L
.56455 .50072 L
.56471 .50096 L
.56615 .50289 L
.56648 .50312 L
.56757 .50482 L
.56841 .50586 L
.56913 .50674 L
.57033 .50856 L
.5704 .50867 L
.57181 .5106 L
.57226 .51095 L
.57323 .51253 L
.57419 .51375 L
.57474 .51445 L
.57605 .51638 L
.57611 .51647 L
.57743 .51831 L
.57804 .51884 L
.57942 .52023 L
.57997 .52172 L
.5803 .52216 L
.58163 .52409 L
.58189 .52444 L
.58301 .52601 L
.58382 .52685 L
.58482 .52794 L
.58575 .52978 L
.58581 .52987 L
.58715 .53179 L
.58768 .53251 L
.58852 .53372 L
.5896 .53503 L
.59012 .53565 L
.59125 .53758 L
.59153 .53796 L
.59258 .5395 L
.59346 .54073 L
.59393 .54143 L
.59527 .54336 L
.59538 .54351 L
.59653 .54528 L
.59731 .54639 L
.59783 .54721 L
.59912 .54914 L
.59924 .54931 L
.60023 .55106 L
.60116 .55257 L
.60136 .55299 L
.60116 .55384 L
.6003 .55299 L
.59924 .55199 L
.59843 .55106 L
.59731 .54984 L
.59672 .54914 L
.59538 .5477 L
.59509 .54721 L
.59351 .54528 L
.59346 .54522 L
.59197 .54336 L
.59153 .54283 L
.59043 .54143 L
.5896 .54059 L
.5889 .5395 L
.58768 .53796 L
.5873 .53758 L
.58591 .53565 L
.58575 .53545 L
.58443 .53372 L
.58382 .5331 L
.58295 .53179 L
.58189 .53044 L
.58139 .52987 L
.58002 .52794 L
.57997 .52787 L
.57858 .52601 L
.57804 .52546 L
.57646 .52409 L
.57611 .52278 L
.57561 .52216 L
.57423 .52023 L
.57419 .52017 L
.57281 .51831 L
.57226 .51773 L
.57087 .51638 L
.57033 .51502 L
.56989 .51445 L
.56851 .51253 L
.56841 .51239 L
.5671 .5106 L
.56648 .50993 L
.56527 .50867 L
.56455 .50719 L
.56422 .50674 L
.56284 .50482 L
.56263 .50454 L
.56143 .50289 L
.5607 .50206 L
.5597 .50096 L
.55877 .49929 L
.55859 .49904 L
.55721 .49711 L
.55684 .49663 L
.55581 .49518 L
.55492 .49413 L
.55417 .49326 L
.55299 .49133 L
.55299 .49133 L
.55162 .4894 L
.55106 .48865 L
.55023 .48747 L
.54914 .48609 L
.54869 .48555 L
.54745 .48362 L
.54721 .48329 L
.5461 .48169 L
.54528 .4811 L
.54471 .47977 L
.54336 .47791 L
.5433 .47784 L
.542 .47591 L
.54143 .47514 L
.54065 .47399 L
.5395 .47264 L
.53898 .47206 L
.53797 .47013 L
.53758 .46958 L
.53669 .46821 L
.53565 .46673 L
.53536 .46628 L
.53412 .46435 L
.53372 .46376 L
.53296 .46242 L
.53179 .46056 L
.53177 .4605 L
F
1 .85 0 r
.53372 .53612 m
.53558 .53758 L
.53565 .53763 L
.53732 .5395 L
.53758 .53965 L
.53887 .54143 L
.5395 .5421 L
.54099 .54336 L
.54143 .54472 L
.54191 .54528 L
.54324 .54721 L
.54336 .54736 L
.54462 .54914 L
.54528 .54956 L
.5465 .55106 L
.54721 .55266 L
.54742 .55299 L
.54868 .55492 L
.54914 .55559 L
.54994 .55684 L
.55106 .55866 L
.55119 .55877 L
.55193 .5607 L
.55106 .56161 L
.54969 .5607 L
.54914 .56028 L
.54759 .55877 L
.54721 .5585 L
.54584 .55684 L
.54528 .55622 L
.54421 .55492 L
.54336 .5538 L
.5426 .55299 L
.54143 .55132 L
.54127 .55106 L
.53972 .54914 L
.5395 .54895 L
.53777 .54721 L
.53758 .54632 L
.53684 .54528 L
.53565 .54358 L
.53556 .54336 L
.53417 .54143 L
.53372 .54075 L
.53244 .5395 L
.53186 .53758 L
F
1 .84 0 r
.53372 .53624 m
.53549 .53758 L
.53565 .53772 L
.53726 .5395 L
.53758 .53969 L
.53882 .54143 L
.5395 .54215 L
.54095 .54336 L
.54143 .54477 L
.54186 .54528 L
.5432 .54721 L
.54336 .54741 L
.54459 .54914 L
.54528 .54961 L
.54645 .55106 L
.54721 .55274 L
.54737 .55299 L
.54862 .55492 L
.54914 .55568 L
.54987 .55684 L
.55104 .55877 L
.55106 .55882 L
.55173 .5607 L
.55106 .56137 L
.54992 .5607 L
.54914 .56014 L
.54771 .55877 L
.54721 .55842 L
.54592 .55684 L
.54528 .55613 L
.54428 .55492 L
.54336 .55373 L
.54266 .55299 L
.54143 .55127 L
.5413 .55106 L
.53977 .54914 L
.5395 .54891 L
.53779 .54721 L
.53758 .54626 L
.53688 .54528 L
.53565 .54351 L
.53559 .54336 L
.53422 .54143 L
.53372 .54066 L
.53251 .5395 L
.53197 .53758 L
F
1 .83 0 r
.53372 .53635 m
.53538 .53758 L
.53565 .53781 L
.5372 .5395 L
.53758 .53972 L
.53878 .54143 L
.5395 .5422 L
.5409 .54336 L
.54143 .54482 L
.54182 .54528 L
.54317 .54721 L
.54336 .54746 L
.54455 .54914 L
.54528 .54966 L
.5464 .55106 L
.54721 .55282 L
.54732 .55299 L
.54857 .55492 L
.54914 .55577 L
.5498 .55684 L
.55093 .55877 L
.55106 .55904 L
.5515 .5607 L
.55106 .56111 L
.5502 .5607 L
.54914 .56 L
.54783 .55877 L
.54721 .55834 L
.54601 .55684 L
.54528 .55605 L
.54435 .55492 L
.54336 .55366 L
.54271 .55299 L
.54143 .55121 L
.54133 .55106 L
.53981 .54914 L
.5395 .54886 L
.53781 .54721 L
.53758 .5462 L
.53692 .54528 L
.53565 .54344 L
.53562 .54336 L
.53428 .54143 L
.53372 .54057 L
.53259 .5395 L
.53208 .53758 L
F
1 .82 0 r
.53372 .53647 m
.53527 .53758 L
.53565 .53789 L
.53713 .5395 L
.53758 .53976 L
.53873 .54143 L
.5395 .54226 L
.54085 .54336 L
.54143 .54487 L
.54178 .54528 L
.54313 .54721 L
.54336 .54751 L
.54451 .54914 L
.54528 .54972 L
.54635 .55106 L
.54721 .55291 L
.54726 .55299 L
.54851 .55492 L
.54914 .55587 L
.54974 .55684 L
.55081 .55877 L
.55106 .55933 L
.55117 .5607 L
.55106 .56078 L
.55065 .5607 L
.54914 .55985 L
.54796 .55877 L
.54721 .55826 L
.54609 .55684 L
.54528 .55597 L
.54442 .55492 L
.54336 .55359 L
.54277 .55299 L
.54143 .55116 L
.54137 .55106 L
.53986 .54914 L
.5395 .54882 L
.53784 .54721 L
.53758 .54614 L
.53696 .54528 L
.53565 .54337 L
.53564 .54336 L
.53433 .54143 L
.53372 .54047 L
.53267 .5395 L
.53219 .53758 L
F
1 .98 0 r
.53372 .44478 m
.5339 .44508 L
.53565 .44683 L
.53582 .44701 L
.53758 .44893 L
.53759 .44894 L
.53929 .45086 L
.5395 .45101 L
.54096 .45279 L
.54143 .45338 L
.54308 .45472 L
.54336 .45579 L
.54406 .45664 L
.54528 .45825 L
.54539 .45857 L
.54721 .46047 L
.54723 .4605 L
.54889 .46242 L
.54914 .46299 L
.55011 .46435 L
.55106 .46563 L
.55123 .46628 L
.55299 .46787 L
.55326 .46821 L
.55474 .47013 L
.55492 .47046 L
.556 .47206 L
.55684 .47319 L
.55768 .47399 L
.55877 .47548 L
.55911 .47591 L
.56054 .47784 L
.5607 .47811 L
.56176 .47977 L
.56263 .4809 L
.56345 .48169 L
.56455 .48322 L
.56487 .48362 L
.56627 .48555 L
.56648 .48588 L
.56745 .48747 L
.56841 .4887 L
.56917 .4894 L
.57033 .49102 L
.57057 .49133 L
.57196 .49326 L
.57226 .49371 L
.57309 .49518 L
.57419 .49654 L
.57485 .49711 L
.57611 .49886 L
.57625 .49904 L
.57761 .50096 L
.57804 .50158 L
.5787 .50289 L
.57997 .5044 L
.58052 .50482 L
.58189 .50673 L
.5819 .50674 L
.58325 .50867 L
.58382 .50946 L
.58429 .5106 L
.58575 .51225 L
.58617 .51253 L
.5876 .51445 L
.58768 .51462 L
.58888 .51638 L
.5896 .51735 L
.58988 .51831 L
.59153 .52007 L
.59181 .52023 L
.59327 .52216 L
.59346 .52251 L
.59449 .52409 L
.59538 .52524 L
.59547 .52601 L
.59731 .52787 L
.59745 .52794 L
.59892 .52987 L
.59924 .53041 L
.60011 .53179 L
.60116 .53312 L
.60169 .53372 L
.60308 .53565 L
.60309 .53566 L
.60456 .53758 L
.60502 .53831 L
.60572 .5395 L
.60694 .541 L
.60733 .54143 L
.60872 .54336 L
.60887 .54354 L
.61019 .54528 L
.6108 .5462 L
.61134 .54721 L
.61273 .54888 L
.61296 .54914 L
.61463 .55106 L
.61465 .55142 L
.61581 .55299 L
.61658 .5541 L
.61696 .55492 L
.61851 .55675 L
.61859 .55684 L
.62029 .55877 L
.62043 .55931 L
.62143 .5607 L
.62236 .56201 L
.6226 .56263 L
.62422 .56455 L
.62429 .5646 L
.62592 .56648 L
.62621 .56721 L
.62704 .56841 L
.62814 .56992 L
.62826 .57033 L
.62983 .57226 L
.63007 .57243 L
.63153 .57419 L
.63199 .57513 L
.63264 .57611 L
.63392 .57785 L
.63395 .57804 L
.63544 .57997 L
.63585 .58029 L
.63712 .58189 L
.63778 .58308 L
.63824 .58382 L
.63966 .58575 L
.6397 .58581 L
.64103 .58768 L
.64163 .58821 L
.64267 .5896 L
.64356 .59107 L
.64383 .59153 L
.64522 .59346 L
.64548 .59381 L
.6466 .59538 L
.64741 .59623 L
.64818 .59731 L
.64934 .59915 L
.64939 .59924 L
.65074 .60116 L
.65126 .60188 L
.65211 .60309 L
.65319 .60442 L
.6536 .60502 L
.65484 .60694 L
.65512 .60733 L
.65616 .60887 L
.65704 .61012 L
.65797 .6108 L
.65883 .61273 L
.65897 .61292 L
.66007 .61465 L
.6609 .61586 L
.66134 .61658 L
.66255 .61851 L
.66283 .61894 L
.66359 .62043 L
.66283 .62168 L
.66154 .62043 L
.6609 .61983 L
.65967 .61851 L
.65897 .61802 L
.65792 .61658 L
.65704 .61558 L
.65554 .61465 L
.65512 .61323 L
.65462 .61273 L
.65319 .6109 L
.65314 .6108 L
.65149 .60887 L
.65126 .60858 L
.6496 .60694 L
.64934 .60607 L
.64849 .60502 L
.64741 .6035 L
.64724 .60309 L
.64548 .60119 L
.64546 .60116 L
.64381 .59924 L
.64356 .59861 L
.64261 .59731 L
.64163 .59593 L
.64147 .59538 L
.6397 .59358 L
.6396 .59346 L
.63806 .59153 L
.63778 .59095 L
.63685 .5896 L
.63585 .58822 L
.63579 .58768 L
.63392 .58584 L
.63385 .58575 L
.63235 .58382 L
.63199 .58318 L
.63116 .58189 L
.63007 .58043 L
.62955 .57997 L
.62815 .57804 L
.62814 .57803 L
.62667 .57611 L
.62621 .57535 L
.6255 .57419 L
.62429 .57262 L
.62387 .57226 L
.62247 .57033 L
.62236 .57018 L
.62101 .56841 L
.62043 .56749 L
.61986 .56648 L
.61851 .56479 L
.61821 .56455 L
.6166 .56263 L
.61658 .56232 L
.61537 .5607 L
.61465 .55962 L
.61422 .55877 L
.61273 .55697 L
.61256 .55684 L
.61091 .55492 L
.6108 .55444 L
.60973 .55299 L
.60887 .55174 L
.60858 .55106 L
.60694 .54916 L
.60691 .54914 L
.60526 .54721 L
.60502 .54656 L
.6041 .54528 L
.60309 .54387 L
.60293 .54336 L
.60127 .54143 L
.60116 .54131 L
.59962 .5395 L
.59924 .53867 L
.59847 .53758 L
.59731 .53599 L
.59726 .53565 L
.59563 .53372 L
.59538 .53345 L
.59399 .53179 L
.59346 .53078 L
.59285 .52987 L
.59153 .52811 L
.59139 .52794 L
.59 .52601 L
.5896 .52558 L
.58838 .52409 L
.58768 .52288 L
.58722 .52216 L
.58575 .52023 L
.58575 .52023 L
.58436 .51831 L
.58382 .5177 L
.58277 .51638 L
.58189 .51498 L
.58158 .51445 L
.58013 .51253 L
.57997 .51246 L
.57873 .5106 L
.57804 .5098 L
.57716 .50867 L
.57611 .50707 L
.57594 .50674 L
.5745 .50482 L
.57419 .50466 L
.57252 .50289 L
.57226 .50189 L
.57157 .50096 L
.57033 .49914 L
.57028 .49904 L
.56888 .49711 L
.56841 .4968 L
.56697 .49518 L
.56648 .49396 L
.56597 .49326 L
.56464 .49133 L
.56455 .49121 L
.56327 .4894 L
.56263 .4889 L
.56144 .48747 L
.5607 .486 L
.56038 .48555 L
.55904 .48362 L
.55877 .48326 L
.55766 .48169 L
.55684 .48093 L
.55592 .47977 L
.55492 .478 L
.55481 .47784 L
.55346 .47591 L
.55299 .47529 L
.55207 .47399 L
.55106 .47289 L
.55043 .47206 L
.54925 .47013 L
.54914 .46998 L
.5479 .46821 L
.54721 .46728 L
.54652 .46628 L
.54528 .46473 L
.54501 .46435 L
.54375 .46242 L
.54336 .46189 L
.54241 .4605 L
.54143 .45916 L
.54103 .45857 L
.53966 .45664 L
.5395 .45643 L
.53837 .45472 L
.53758 .45361 L
.53705 .45279 L
.53571 .45086 L
.53565 .45078 L
.53453 .44894 L
.53372 .44773 L
.53333 .44701 L
.53227 .44508 L
F
1 .81 0 r
.53372 .53659 m
.53516 .53758 L
.53565 .53798 L
.53707 .5395 L
.53758 .5398 L
.53868 .54143 L
.5395 .54231 L
.5408 .54336 L
.54143 .54493 L
.54174 .54528 L
.54309 .54721 L
.54336 .54757 L
.54447 .54914 L
.54528 .54978 L
.5463 .55106 L
.54721 .55299 L
.54721 .55299 L
.54845 .55492 L
.54914 .55596 L
.54967 .55684 L
.55069 .55877 L
.54914 .5597 L
.54809 .55877 L
.54721 .55817 L
.54618 .55684 L
.54528 .55588 L
.54448 .55492 L
.54336 .55352 L
.54283 .55299 L
.54143 .55111 L
.5414 .55106 L
.53991 .54914 L
.5395 .54878 L
.53787 .54721 L
.53758 .54608 L
.53701 .54528 L
.53569 .54336 L
.53565 .5433 L
.53439 .54143 L
.53372 .54038 L
.53277 .5395 L
.53231 .53758 L
F
1 .83 0 r
.53372 .51202 m
.53422 .51253 L
.53565 .51383 L
.53603 .51445 L
.53758 .51628 L
.5377 .51638 L
.53917 .51831 L
.5395 .51874 L
.54063 .52023 L
.54143 .52134 L
.54202 .52216 L
.54328 .52409 L
.54336 .52421 L
.54437 .52601 L
.54336 .52724 L
.5421 .52601 L
.54143 .52532 L
.54043 .52409 L
.5395 .52299 L
.53889 .52216 L
.53758 .52071 L
.5374 .52023 L
.53603 .51831 L
.53565 .51779 L
.53473 .51638 L
.53372 .51492 L
.53344 .51445 L
.53237 .51253 L
F
1 .8 0 r
.53372 .53671 m
.53504 .53758 L
.53565 .53807 L
.537 .5395 L
.53758 .53984 L
.53863 .54143 L
.5395 .54236 L
.54075 .54336 L
.54143 .54498 L
.54169 .54528 L
.54305 .54721 L
.54336 .54762 L
.54443 .54914 L
.54528 .54985 L
.54624 .55106 L
.54716 .55299 L
.54721 .55307 L
.5484 .55492 L
.54914 .55607 L
.5496 .55684 L
.55055 .55877 L
.54914 .55955 L
.54823 .55877 L
.54721 .55808 L
.54627 .55684 L
.54528 .5558 L
.54455 .55492 L
.54336 .55345 L
.54289 .55299 L
.54143 .55106 L
.54143 .55106 L
.53996 .54914 L
.5395 .54873 L
.5379 .54721 L
.53758 .54601 L
.53705 .54528 L
.53574 .54336 L
.53565 .54322 L
.53444 .54143 L
.53372 .54027 L
.53287 .5395 L
.53244 .53758 L
F
1 .79 0 r
.53372 .53684 m
.53491 .53758 L
.53565 .53816 L
.53693 .5395 L
.53758 .53989 L
.53858 .54143 L
.5395 .54242 L
.54069 .54336 L
.54143 .54503 L
.54164 .54528 L
.54301 .54721 L
.54336 .54767 L
.54439 .54914 L
.54528 .54992 L
.54618 .55106 L
.54711 .55299 L
.54721 .55314 L
.54834 .55492 L
.54914 .55618 L
.54952 .55684 L
.5504 .55877 L
.54914 .55939 L
.54838 .55877 L
.54721 .55798 L
.54636 .55684 L
.54528 .55572 L
.54462 .55492 L
.54336 .55338 L
.54295 .55299 L
.54149 .55106 L
.54143 .55099 L
.54001 .54914 L
.5395 .54868 L
.53794 .54721 L
.53758 .54595 L
.5371 .54528 L
.53579 .54336 L
.53565 .54315 L
.5345 .54143 L
.53372 .54017 L
.53298 .5395 L
.53257 .53758 L
F
1 .82 0 r
.53372 .51229 m
.53398 .51253 L
.53565 .5141 L
.53586 .51445 L
.53751 .51638 L
.53758 .51646 L
.53904 .51831 L
.5395 .51889 L
.54051 .52023 L
.54143 .52151 L
.54189 .52216 L
.54314 .52409 L
.54336 .52446 L
.54418 .52601 L
.54336 .52701 L
.54228 .52601 L
.54143 .52517 L
.54054 .52409 L
.5395 .52287 L
.53898 .52216 L
.53758 .5205 L
.53748 .52023 L
.53613 .51831 L
.53565 .51765 L
.53483 .51638 L
.53372 .51474 L
.53355 .51445 L
.53262 .51253 L
F
1 .78 0 r
.53372 .53697 m
.53477 .53758 L
.53565 .53824 L
.53686 .5395 L
.53758 .53993 L
.53853 .54143 L
.5395 .54248 L
.54063 .54336 L
.54143 .54509 L
.5416 .54528 L
.54297 .54721 L
.54336 .54773 L
.54435 .54914 L
.54528 .54999 L
.54611 .55106 L
.54705 .55299 L
.54721 .55322 L
.54828 .55492 L
.54914 .5563 L
.54945 .55684 L
.55022 .55877 L
.54914 .55923 L
.54855 .55877 L
.54721 .55787 L
.54646 .55684 L
.54528 .55563 L
.5447 .55492 L
.54336 .55331 L
.54302 .55299 L
.54154 .55106 L
.54143 .55092 L
.54006 .54914 L
.5395 .54863 L
.53798 .54721 L
.53758 .54588 L
.53715 .54528 L
.53584 .54336 L
.53565 .54307 L
.53456 .54143 L
.53372 .54006 L
.5331 .5395 L
.53272 .53758 L
F
1 .77 0 r
.53372 .53711 m
.53461 .53758 L
.53565 .53833 L
.53679 .5395 L
.53758 .53998 L
.53848 .54143 L
.5395 .54254 L
.54056 .54336 L
.54143 .54515 L
.54155 .54528 L
.54292 .54721 L
.54336 .54778 L
.54431 .54914 L
.54528 .55008 L
.54604 .55106 L
.547 .55299 L
.54721 .5533 L
.54821 .55492 L
.54914 .55642 L
.54937 .55684 L
.55 .55877 L
.54914 .55905 L
.54875 .55877 L
.54721 .55775 L
.54655 .55684 L
.54528 .55554 L
.54477 .55492 L
.54336 .55324 L
.54309 .55299 L
.5416 .55106 L
.54143 .55086 L
.54011 .54914 L
.5395 .54858 L
.53802 .54721 L
.53758 .54581 L
.5372 .54528 L
.53589 .54336 L
.53565 .543 L
.53462 .54143 L
.53372 .53994 L
.53323 .5395 L
.53288 .53758 L
F
1 .66 0 r
.53372 .46134 m
.53469 .46242 L
.53565 .46344 L
.53642 .46435 L
.53758 .46516 L
.53807 .46628 L
.5395 .46797 L
.53986 .46821 L
.54122 .47013 L
.54143 .47038 L
.54275 .47206 L
.54336 .47235 L
.54428 .47399 L
.54528 .47518 L
.54615 .47591 L
.54721 .47773 L
.5473 .47784 L
.54877 .47977 L
.54914 .47995 L
.55025 .48169 L
.55106 .48267 L
.55202 .48362 L
.55299 .48529 L
.55318 .48555 L
.55464 .48747 L
.55492 .48763 L
.55609 .4894 L
.55684 .49032 L
.55777 .49133 L
.55877 .49297 L
.55897 .49326 L
.56041 .49518 L
.5607 .49536 L
.56185 .49711 L
.56263 .49807 L
.56346 .49904 L
.56455 .50075 L
.56469 .50096 L
.56613 .50289 L
.56648 .50314 L
.56755 .50482 L
.56841 .5059 L
.56911 .50674 L
.57033 .50859 L
.57038 .50867 L
.57179 .5106 L
.57226 .51097 L
.5732 .51253 L
.57419 .51379 L
.57471 .51445 L
.57602 .51638 L
.57611 .5165 L
.57741 .51831 L
.57804 .51887 L
.5794 .52023 L
.57997 .52175 L
.58028 .52216 L
.5816 .52409 L
.58189 .52448 L
.58298 .52601 L
.58382 .52689 L
.58479 .52794 L
.58575 .52983 L
.58578 .52987 L
.58712 .53179 L
.58768 .53255 L
.58849 .53372 L
.5896 .53509 L
.59007 .53565 L
.59121 .53758 L
.59153 .53801 L
.59254 .5395 L
.59346 .54078 L
.59389 .54143 L
.59522 .54336 L
.59538 .54358 L
.59648 .54528 L
.59731 .54648 L
.59777 .54721 L
.59903 .54914 L
.59924 .54945 L
.60011 .55106 L
.60116 .5529 L
.6012 .55299 L
.60116 .55343 L
.60057 .55299 L
.59924 .55184 L
.59855 .55106 L
.59731 .54973 L
.59681 .54914 L
.59538 .54759 L
.59516 .54721 L
.59358 .54528 L
.59346 .54514 L
.59203 .54336 L
.59153 .54276 L
.59048 .54143 L
.5896 .54053 L
.58895 .5395 L
.58768 .5379 L
.58736 .53758 L
.58595 .53565 L
.58575 .5354 L
.58447 .53372 L
.58382 .53306 L
.58298 .53179 L
.58189 .5304 L
.58143 .52987 L
.58005 .52794 L
.57997 .52783 L
.57861 .52601 L
.57804 .52543 L
.57649 .52409 L
.57611 .52274 L
.57564 .52216 L
.57426 .52023 L
.57419 .52014 L
.57283 .51831 L
.57226 .5177 L
.57089 .51638 L
.57033 .51499 L
.56992 .51445 L
.56853 .51253 L
.56841 .51236 L
.56712 .5106 L
.56648 .5099 L
.5653 .50867 L
.56455 .50716 L
.56425 .50674 L
.56286 .50482 L
.56263 .50451 L
.56146 .50289 L
.5607 .50203 L
.55973 .50096 L
.55877 .49926 L
.55861 .49904 L
.55723 .49711 L
.55684 .49659 L
.55583 .49518 L
.55492 .49409 L
.5542 .49326 L
.55301 .49133 L
.55299 .4913 L
.55165 .4894 L
.55106 .48862 L
.55026 .48747 L
.54914 .48605 L
.54873 .48555 L
.54748 .48362 L
.54721 .48325 L
.54612 .48169 L
.54528 .48105 L
.54474 .47977 L
.54336 .47785 L
.54335 .47784 L
.54203 .47591 L
.54143 .47508 L
.54069 .47399 L
.5395 .47255 L
.53907 .47206 L
.53803 .47013 L
.53758 .46951 L
.53674 .46821 L
.53565 .46664 L
.53542 .46628 L
.53421 .46435 L
.53372 .46363 L
.53307 .46242 L
F
1 .76 0 r
.53372 .53725 m
.53442 .53758 L
.53565 .53842 L
.53672 .5395 L
.53758 .54004 L
.53843 .54143 L
.5395 .5426 L
.54049 .54336 L
.54143 .5452 L
.5415 .54528 L
.54288 .54721 L
.54336 .54784 L
.54427 .54914 L
.54528 .55016 L
.54597 .55106 L
.54694 .55299 L
.54721 .55338 L
.54815 .55492 L
.54914 .55656 L
.54928 .55684 L
.54968 .55877 L
.54914 .55885 L
.549 .55877 L
.54721 .55762 L
.54666 .55684 L
.54528 .55545 L
.54484 .55492 L
.54336 .55317 L
.54316 .55299 L
.54165 .55106 L
.54143 .55079 L
.54016 .54914 L
.5395 .54853 L
.53807 .54721 L
.53758 .54574 L
.53725 .54528 L
.53595 .54336 L
.53565 .54292 L
.53468 .54143 L
.53372 .53982 L
.53337 .5395 L
.53307 .53758 L
F
0 .29 1 r
.53372 .46966 m
.5341 .47013 L
.53565 .47188 L
.53579 .47206 L
.53734 .47399 L
.53758 .47425 L
.53885 .47591 L
.5395 .47668 L
.54037 .47784 L
.54143 .47914 L
.5419 .47977 L
.54336 .48159 L
.54341 .48169 L
.54484 .48362 L
.54528 .48417 L
.54629 .48555 L
.54721 .48672 L
.54776 .48747 L
.54914 .48921 L
.54923 .4894 L
.55063 .49133 L
.55106 .49188 L
.55204 .49326 L
.55299 .49449 L
.55348 .49518 L
.55492 .4971 L
.55493 .49711 L
.55628 .49904 L
.55684 .49978 L
.55767 .50096 L
.55877 .50244 L
.55909 .50289 L
.56046 .50482 L
.5607 .50513 L
.56178 .50674 L
.56263 .50787 L
.56315 .50867 L
.56454 .5106 L
.56455 .51061 L
.56577 .51253 L
.56648 .5135 L
.56706 .51445 L
.56648 .5156 L
.56558 .51445 L
.56455 .51328 L
.56397 .51253 L
.56263 .5109 L
.5624 .5106 L
.56089 .50867 L
.5607 .50844 L
.55942 .50674 L
.55877 .50595 L
.55793 .50482 L
.55684 .50344 L
.55644 .50289 L
.55496 .50096 L
.55492 .50091 L
.55355 .49904 L
.55299 .49833 L
.55211 .49711 L
.55106 .49575 L
.55065 .49518 L
.54922 .49326 L
.54914 .49316 L
.54784 .49133 L
.54721 .49052 L
.54642 .4894 L
.54528 .48789 L
.54499 .48747 L
.54361 .48555 L
.54336 .48522 L
.54225 .48362 L
.54143 .48252 L
.54086 .48169 L
.5395 .47983 L
.53946 .47977 L
.53817 .47784 L
.53758 .47705 L
.53684 .47591 L
.53565 .47426 L
.53548 .47399 L
.53427 .47206 L
.53372 .4713 L
.53309 .47013 L
F
0 .68 1 r
.53372 .54506 m
.53388 .54528 L
.53372 .54612 L
.53315 .54528 L
F
0 .9 1 r
.53372 .45313 m
.53525 .45472 L
.53565 .45512 L
.53701 .45664 L
.53758 .45727 L
.53869 .45857 L
.5395 .4594 L
.54033 .4605 L
.54143 .46185 L
.54205 .46242 L
.54336 .46423 L
.54344 .46435 L
.54502 .46628 L
.54528 .46657 L
.54656 .46821 L
.54721 .46907 L
.54814 .47013 L
.54914 .4716 L
.54941 .47206 L
.55105 .47399 L
.55106 .474 L
.55254 .47591 L
.55299 .47654 L
.55402 .47784 L
.55492 .47915 L
.55524 .47977 L
.55684 .48165 L
.55693 .48169 L
.55867 .48362 L
.55877 .48416 L
.5598 .48555 L
.5607 .48681 L
.56098 .48747 L
.56263 .48936 L
.56272 .4894 L
.56435 .49133 L
.56455 .49189 L
.56553 .49326 L
.56648 .49456 L
.56668 .49518 L
.56841 .49709 L
.56845 .49711 L
.57004 .49904 L
.57033 .49968 L
.57121 .50096 L
.57226 .50236 L
.57235 .50289 L
.57415 .50482 L
.57419 .50487 L
.57571 .50674 L
.57611 .50751 L
.57687 .50867 L
.57804 .51018 L
.57842 .5106 L
.57982 .51253 L
.57997 .5127 L
.58136 .51445 L
.58189 .51537 L
.58252 .51638 L
.58382 .51803 L
.58408 .51831 L
.58548 .52023 L
.58575 .52056 L
.58699 .52216 L
.58768 .52324 L
.58816 .52409 L
.5896 .52589 L
.58972 .52601 L
.59112 .52794 L
.59153 .52844 L
.59261 .52987 L
.59346 .53114 L
.5938 .53179 L
.59535 .53372 L
.59538 .53375 L
.5972 .53565 L
.59731 .53634 L
.59822 .53758 L
.59924 .53906 L
.59944 .5395 L
.60096 .54143 L
.60116 .54157 L
.60278 .54336 L
.60309 .54427 L
.60381 .54528 L
.60502 .547 L
.60509 .54721 L
.60655 .54914 L
.60694 .54945 L
.60834 .55106 L
.60887 .55225 L
.60938 .55299 L
.61075 .55492 L
.6108 .55499 L
.61212 .55684 L
.61273 .5574 L
.61384 .55877 L
.61465 .56029 L
.61492 .5607 L
.61627 .56263 L
.61658 .56305 L
.61763 .56455 L
.61851 .5655 L
.61926 .56648 L
.6204 .56841 L
.62043 .56845 L
.62172 .57033 L
.62236 .57121 L
.62308 .57226 L
.62429 .57386 L
.62452 .57419 L
.62574 .57611 L
.62621 .57678 L
.62704 .57804 L
.62814 .57964 L
.62836 .57997 L
.62958 .58189 L
.63007 .58261 L
.63077 .58382 L
.63197 .58575 L
.63199 .58579 L
.63262 .58768 L
.63199 .58769 L
.63197 .58768 L
.63007 .58594 L
.62995 .58575 L
.62818 .58382 L
.62814 .58378 L
.62651 .58189 L
.62621 .58156 L
.62488 .57997 L
.62429 .57946 L
.62328 .57804 L
.62236 .57693 L
.62141 .57611 L
.62043 .57448 L
.62019 .57419 L
.61866 .57226 L
.61851 .57212 L
.61715 .57033 L
.61658 .56961 L
.61543 .56841 L
.61465 .56706 L
.61424 .56648 L
.61273 .56458 L
.61269 .56455 L
.61122 .56263 L
.6108 .56208 L
.60962 .5607 L
.60887 .55946 L
.60842 .55877 L
.60694 .55692 L
.60685 .55684 L
.60541 .55492 L
.60502 .5544 L
.60387 .55299 L
.60309 .55176 L
.60268 .55106 L
.60116 .5492 L
.60109 .54914 L
.59966 .54721 L
.59924 .54665 L
.59817 .54528 L
.59731 .54399 L
.59698 .54336 L
.59538 .54144 L
.59537 .54143 L
.59359 .5395 L
.59346 .53884 L
.5925 .53758 L
.59153 .53617 L
.59129 .53565 L
.58969 .53372 L
.5896 .53363 L
.58794 .53179 L
.58768 .531 L
.58684 .52987 L
.58575 .52833 L
.58561 .52794 L
.58403 .52601 L
.58382 .5258 L
.58232 .52409 L
.58189 .52314 L
.5812 .52216 L
.57997 .52047 L
.57992 .52023 L
.57838 .51831 L
.57804 .51794 L
.5767 .51638 L
.57611 .51525 L
.57557 .51445 L
.57419 .51259 L
.57414 .51253 L
.57274 .5106 L
.57226 .51007 L
.5711 .50867 L
.57033 .50735 L
.56994 .50674 L
.56851 .50482 L
.56841 .5048 L
.56712 .50289 L
.56648 .50217 L
.56551 .50096 L
.56455 .49942 L
.56432 .49904 L
.5629 .49711 L
.56263 .49702 L
.56151 .49518 L
.5607 .49423 L
.55994 .49326 L
.55877 .49146 L
.5587 .49133 L
.55731 .4894 L
.55684 .48915 L
.55526 .48747 L
.55492 .48624 L
.5544 .48555 L
.55311 .48362 L
.55299 .48346 L
.55175 .48169 L
.55106 .48118 L
.54984 .47977 L
.54914 .47817 L
.5489 .47784 L
.54759 .47591 L
.54721 .4754 L
.54623 .47399 L
.54528 .47303 L
.5445 .47206 L
.54346 .47013 L
.54336 .46999 L
.54214 .46821 L
.54143 .46723 L
.54079 .46628 L
.5395 .46456 L
.53934 .46435 L
.53813 .46242 L
.53758 .46164 L
.53684 .4605 L
.53565 .45878 L
.53552 .45857 L
.53433 .45664 L
.53372 .45573 L
.53317 .45472 L
F
1 .65 0 r
.53372 .46151 m
.53456 .46242 L
.53565 .46355 L
.53633 .46435 L
.53758 .4653 L
.538 .46628 L
.5395 .46806 L
.53973 .46821 L
.54116 .47013 L
.54143 .47045 L
.5427 .47206 L
.54336 .47239 L
.54424 .47399 L
.54528 .47523 L
.54609 .47591 L
.54721 .47778 L
.54726 .47784 L
.54873 .47977 L
.54914 .47997 L
.55022 .48169 L
.55106 .48272 L
.55199 .48362 L
.55299 .48533 L
.55316 .48555 L
.55461 .48747 L
.55492 .48765 L
.55606 .4894 L
.55684 .49036 L
.55774 .49133 L
.55877 .49301 L
.55894 .49326 L
.56039 .49518 L
.5607 .49538 L
.56182 .49711 L
.56263 .4981 L
.56344 .49904 L
.56455 .50078 L
.56467 .50096 L
.5661 .50289 L
.56648 .50316 L
.56753 .50482 L
.56841 .50593 L
.56908 .50674 L
.57033 .50862 L
.57036 .50867 L
.57177 .5106 L
.57226 .51099 L
.57318 .51253 L
.57419 .51382 L
.57469 .51445 L
.576 .51638 L
.57611 .51653 L
.57739 .51831 L
.57804 .5189 L
.57937 .52023 L
.57997 .52179 L
.58025 .52216 L
.58158 .52409 L
.58189 .52451 L
.58295 .52601 L
.58382 .52693 L
.58475 .52794 L
.58575 .52987 L
.58575 .52987 L
.58709 .53179 L
.58768 .5326 L
.58846 .53372 L
.5896 .53516 L
.59002 .53565 L
.59117 .53758 L
.59153 .53806 L
.5925 .5395 L
.59346 .54084 L
.59385 .54143 L
.59517 .54336 L
.59538 .54366 L
.59642 .54528 L
.59731 .54657 L
.59771 .54721 L
.59893 .54914 L
.59924 .54961 L
.59998 .55106 L
.59924 .55168 L
.59868 .55106 L
.59731 .54962 L
.5969 .54914 L
.59538 .54746 L
.59524 .54721 L
.59365 .54528 L
.59346 .54507 L
.59209 .54336 L
.59153 .54269 L
.59053 .54143 L
.5896 .54047 L
.58899 .5395 L
.58768 .53784 L
.58741 .53758 L
.58599 .53565 L
.58575 .53535 L
.58451 .53372 L
.58382 .53302 L
.58302 .53179 L
.58189 .53035 L
.58146 .52987 L
.58008 .52794 L
.57997 .52779 L
.57864 .52601 L
.57804 .5254 L
.57651 .52409 L
.57611 .52271 L
.57566 .52216 L
.57429 .52023 L
.57419 .52011 L
.57286 .51831 L
.57226 .51767 L
.57091 .51638 L
.57033 .51495 L
.56994 .51445 L
.56856 .51253 L
.56841 .51233 L
.56714 .5106 L
.56648 .50987 L
.56532 .50867 L
.56455 .50713 L
.56427 .50674 L
.56288 .50482 L
.56263 .50448 L
.56148 .50289 L
.5607 .502 L
.55975 .50096 L
.55877 .49923 L
.55863 .49904 L
.55725 .49711 L
.55684 .49656 L
.55586 .49518 L
.55492 .49406 L
.55423 .49326 L
.55304 .49133 L
.55299 .49126 L
.55167 .4894 L
.55106 .48858 L
.55028 .48747 L
.54914 .48601 L
.54876 .48555 L
.54751 .48362 L
.54721 .48322 L
.54615 .48169 L
.54528 .481 L
.54477 .47977 L
.54338 .47784 L
.54336 .4778 L
.54207 .47591 L
.54143 .47503 L
.54073 .47399 L
.5395 .47245 L
.53916 .47206 L
.53808 .47013 L
.53758 .46943 L
.53679 .46821 L
.53565 .46655 L
.53548 .46628 L
.5343 .46435 L
.53372 .46347 L
.53318 .46242 L
F
0 .28 1 r
.53372 .46977 m
.53401 .47013 L
.53565 .47196 L
.53573 .47206 L
.53727 .47399 L
.53758 .47432 L
.53879 .47591 L
.5395 .47674 L
.54033 .47784 L
.54143 .47919 L
.54186 .47977 L
.54336 .48166 L
.54337 .48169 L
.5448 .48362 L
.54528 .48422 L
.54626 .48555 L
.54721 .48676 L
.54773 .48747 L
.54914 .48927 L
.5492 .4894 L
.55059 .49133 L
.55106 .49193 L
.55201 .49326 L
.55299 .49453 L
.55345 .49518 L
.55489 .49711 L
.55492 .49715 L
.55624 .49904 L
.55684 .49982 L
.55764 .50096 L
.55877 .50248 L
.55905 .50289 L
.56042 .50482 L
.5607 .50518 L
.56174 .50674 L
.56263 .50793 L
.56312 .50867 L
.56449 .5106 L
.56455 .51068 L
.56571 .51253 L
.56648 .51358 L
.567 .51445 L
.56648 .51551 L
.56565 .51445 L
.56455 .51322 L
.56402 .51253 L
.56263 .51084 L
.56244 .5106 L
.56094 .50867 L
.5607 .50839 L
.55947 .50674 L
.55877 .5059 L
.55797 .50482 L
.55684 .50339 L
.55647 .50289 L
.555 .50096 L
.55492 .50086 L
.55359 .49904 L
.55299 .49828 L
.55214 .49711 L
.55106 .49571 L
.55068 .49518 L
.54925 .49326 L
.54914 .49311 L
.54787 .49133 L
.54721 .49047 L
.54645 .4894 L
.54528 .48784 L
.54502 .48747 L
.54364 .48555 L
.54336 .48517 L
.54229 .48362 L
.54143 .48248 L
.54089 .48169 L
.5395 .47978 L
.53949 .47977 L
.53821 .47784 L
.53758 .47698 L
.53688 .47591 L
.53565 .47419 L
.53552 .47399 L
.53435 .47206 L
.53372 .47118 L
.53319 .47013 L
F
1 .75 0 r
.53372 .5374 m
.53419 .53758 L
.53565 .53851 L
.53664 .5395 L
.53758 .5401 L
.53837 .54143 L
.5395 .54266 L
.54042 .54336 L
.54143 .54526 L
.54145 .54528 L
.54284 .54721 L
.54336 .5479 L
.54423 .54914 L
.54528 .55026 L
.5459 .55106 L
.54689 .55299 L
.54721 .55347 L
.54808 .55492 L
.54914 .55672 L
.5492 .55684 L
.54914 .55862 L
.54721 .55747 L
.54676 .55684 L
.54528 .55536 L
.54492 .55492 L
.54336 .5531 L
.54324 .55299 L
.54171 .55106 L
.54143 .55072 L
.54021 .54914 L
.5395 .54847 L
.53812 .54721 L
.53758 .54567 L
.5373 .54528 L
.536 .54336 L
.53565 .54284 L
.53473 .54143 L
.53372 .53968 L
.53352 .5395 L
.5333 .53758 L
F
1 .64 0 r
.53372 .46171 m
.5344 .46242 L
.53565 .46368 L
.53623 .46435 L
.53758 .46546 L
.53792 .46628 L
.5395 .46815 L
.53958 .46821 L
.54109 .47013 L
.54143 .47052 L
.54265 .47206 L
.54336 .47244 L
.54419 .47399 L
.54528 .47529 L
.54603 .47591 L
.54721 .47783 L
.54721 .47784 L
.54869 .47977 L
.54914 .48 L
.55018 .48169 L
.55106 .48276 L
.55195 .48362 L
.55299 .48537 L
.55313 .48555 L
.55458 .48747 L
.55492 .48767 L
.55603 .4894 L
.55684 .4904 L
.55771 .49133 L
.55877 .49304 L
.55892 .49326 L
.56036 .49518 L
.5607 .4954 L
.5618 .49711 L
.56263 .49814 L
.56341 .49904 L
.56455 .50081 L
.56465 .50096 L
.56608 .50289 L
.56648 .50318 L
.5675 .50482 L
.56841 .50596 L
.56906 .50674 L
.57033 .50865 L
.57035 .50867 L
.57174 .5106 L
.57226 .51102 L
.57316 .51253 L
.57419 .51385 L
.57466 .51445 L
.57598 .51638 L
.57611 .51656 L
.57736 .51831 L
.57804 .51893 L
.57934 .52023 L
.57997 .52183 L
.58022 .52216 L
.58155 .52409 L
.58189 .52455 L
.58293 .52601 L
.58382 .52697 L
.58471 .52794 L
.58572 .52987 L
.58575 .52991 L
.58706 .53179 L
.58768 .53264 L
.58842 .53372 L
.5896 .53522 L
.58997 .53565 L
.59113 .53758 L
.59153 .53812 L
.59246 .5395 L
.59346 .5409 L
.59381 .54143 L
.59511 .54336 L
.59538 .54374 L
.59636 .54528 L
.59731 .54667 L
.59764 .54721 L
.59882 .54914 L
.59924 .54979 L
.59981 .55106 L
.59924 .55149 L
.59884 .55106 L
.59731 .5495 L
.597 .54914 L
.59538 .54733 L
.59531 .54721 L
.59372 .54528 L
.59346 .54499 L
.59215 .54336 L
.59153 .54262 L
.59059 .54143 L
.5896 .54041 L
.58904 .5395 L
.58768 .53779 L
.58746 .53758 L
.58603 .53565 L
.58575 .5353 L
.58454 .53372 L
.58382 .53298 L
.58305 .53179 L
.58189 .53031 L
.5815 .52987 L
.58012 .52794 L
.57997 .52775 L
.57866 .52601 L
.57804 .52536 L
.57654 .52409 L
.57611 .52267 L
.57569 .52216 L
.57431 .52023 L
.57419 .52007 L
.57288 .51831 L
.57226 .51764 L
.57094 .51638 L
.57033 .51492 L
.56996 .51445 L
.56858 .51253 L
.56841 .5123 L
.56717 .5106 L
.56648 .50984 L
.56534 .50867 L
.56455 .5071 L
.56429 .50674 L
.56291 .50482 L
.56263 .50445 L
.5615 .50289 L
.5607 .50197 L
.55978 .50096 L
.55877 .4992 L
.55866 .49904 L
.55728 .49711 L
.55684 .49653 L
.55588 .49518 L
.55492 .49402 L
.55425 .49326 L
.55307 .49133 L
.55299 .49123 L
.5517 .4894 L
.55106 .48855 L
.55031 .48747 L
.54914 .48597 L
.54879 .48555 L
.54754 .48362 L
.54721 .48318 L
.54618 .48169 L
.54528 .48094 L
.5448 .47977 L
.54342 .47784 L
.54336 .47775 L
.54211 .47591 L
.54143 .47498 L
.54076 .47399 L
.5395 .47234 L
.53925 .47206 L
.53813 .47013 L
.53758 .46935 L
.53685 .46821 L
.53565 .46646 L
.53554 .46628 L
.5344 .46435 L
.53372 .46329 L
.53331 .46242 L
F
0 .27 1 r
.53372 .4699 m
.53391 .47013 L
.53565 .47204 L
.53566 .47206 L
.5372 .47399 L
.53758 .47439 L
.53874 .47591 L
.5395 .4768 L
.54028 .47784 L
.54143 .47924 L
.54182 .47977 L
.54333 .48169 L
.54336 .48172 L
.54476 .48362 L
.54528 .48426 L
.54622 .48555 L
.54721 .4868 L
.5477 .48747 L
.54914 .48933 L
.54917 .4894 L
.55056 .49133 L
.55106 .49197 L
.55198 .49326 L
.55299 .49457 L
.55342 .49518 L
.55485 .49711 L
.55492 .49719 L
.55621 .49904 L
.55684 .49986 L
.5576 .50096 L
.55877 .50253 L
.55902 .50289 L
.56038 .50482 L
.5607 .50524 L
.5617 .50674 L
.56263 .50798 L
.56308 .50867 L
.56444 .5106 L
.56455 .51075 L
.56565 .51253 L
.56648 .51367 L
.56693 .51445 L
.56648 .51541 L
.56572 .51445 L
.56455 .51314 L
.56407 .51253 L
.56263 .51078 L
.56249 .5106 L
.56099 .50867 L
.5607 .50833 L
.55951 .50674 L
.55877 .50585 L
.55801 .50482 L
.55684 .50335 L
.55651 .50289 L
.55504 .50096 L
.55492 .50081 L
.55362 .49904 L
.55299 .49824 L
.55217 .49711 L
.55106 .49567 L
.55071 .49518 L
.54928 .49326 L
.54914 .49307 L
.5479 .49133 L
.54721 .49043 L
.54648 .4894 L
.54528 .4878 L
.54505 .48747 L
.54368 .48555 L
.54336 .48513 L
.54232 .48362 L
.54143 .48243 L
.54093 .48169 L
.53953 .47977 L
.5395 .47973 L
.53826 .47784 L
.53758 .47692 L
.53693 .47591 L
.53565 .47411 L
.53557 .47399 L
.53444 .47206 L
.53372 .47103 L
.53332 .47013 L
F
0 .89 1 r
.53372 .4537 m
.53483 .45472 L
.53565 .45547 L
.53673 .45664 L
.53758 .45754 L
.53848 .45857 L
.5395 .45962 L
.54015 .4605 L
.54143 .46204 L
.54187 .46242 L
.54333 .46435 L
.54336 .46438 L
.5449 .46628 L
.54528 .4667 L
.54645 .46821 L
.54721 .4692 L
.54805 .47013 L
.54914 .47171 L
.54935 .47206 L
.55097 .47399 L
.55106 .4741 L
.55246 .47591 L
.55299 .47664 L
.55396 .47784 L
.55492 .47923 L
.5552 .47977 L
.55684 .48168 L
.55687 .48169 L
.55865 .48362 L
.55877 .48424 L
.55976 .48555 L
.5607 .48687 L
.56095 .48747 L
.56263 .48938 L
.56267 .4894 L
.56433 .49133 L
.56455 .49194 L
.56549 .49326 L
.56648 .49461 L
.56666 .49518 L
.56841 .49711 L
.56841 .49711 L
.57002 .49904 L
.57033 .49972 L
.57118 .50096 L
.57226 .5024 L
.57234 .50289 L
.57412 .50482 L
.57419 .5049 L
.57569 .50674 L
.57611 .50755 L
.57685 .50867 L
.57804 .51022 L
.57839 .5106 L
.57979 .51253 L
.57997 .51274 L
.58134 .51445 L
.58189 .5154 L
.5825 .51638 L
.58382 .51806 L
.58405 .51831 L
.58545 .52023 L
.58575 .52059 L
.58697 .52216 L
.58768 .52328 L
.58814 .52409 L
.5896 .52592 L
.58969 .52601 L
.59109 .52794 L
.59153 .52847 L
.59259 .52987 L
.59346 .53117 L
.59378 .53179 L
.59532 .53372 L
.59538 .53376 L
.59719 .53565 L
.59731 .53638 L
.5982 .53758 L
.59924 .53909 L
.59942 .5395 L
.60093 .54143 L
.60116 .5416 L
.60277 .54336 L
.60309 .54431 L
.60378 .54528 L
.60502 .54704 L
.60508 .54721 L
.60652 .54914 L
.60694 .54948 L
.60831 .55106 L
.60887 .5523 L
.60935 .55299 L
.61071 .55492 L
.6108 .55504 L
.61207 .55684 L
.61273 .55746 L
.61379 .55877 L
.61465 .56036 L
.61487 .5607 L
.61622 .56263 L
.61658 .56312 L
.61758 .56455 L
.61851 .56559 L
.61918 .56648 L
.62033 .56841 L
.62043 .56855 L
.62165 .57033 L
.62236 .57132 L
.623 .57226 L
.62429 .57404 L
.62439 .57419 L
.62563 .57611 L
.62621 .57695 L
.62692 .57804 L
.62814 .57984 L
.62822 .57997 L
.62939 .58189 L
.63007 .58295 L
.63054 .58382 L
.63007 .58544 L
.6285 .58382 L
.62814 .58347 L
.62675 .58189 L
.62621 .58132 L
.62507 .57997 L
.62429 .57929 L
.62344 .57804 L
.62236 .57676 L
.62158 .57611 L
.62043 .57434 L
.6203 .57419 L
.61877 .57226 L
.61851 .57203 L
.61724 .57033 L
.61658 .5695 L
.61551 .56841 L
.61465 .56696 L
.6143 .56648 L
.61276 .56455 L
.61273 .56452 L
.61128 .56263 L
.6108 .56199 L
.60967 .5607 L
.60887 .55939 L
.60846 .55877 L
.60694 .55688 L
.6069 .55684 L
.60545 .55492 L
.60502 .55434 L
.60391 .55299 L
.60309 .55171 L
.60271 .55106 L
.60116 .54917 L
.60113 .54914 L
.5997 .54721 L
.59924 .5466 L
.5982 .54528 L
.59731 .54394 L
.597 .54336 L
.59541 .54143 L
.59538 .54141 L
.59359 .5395 L
.59346 .5388 L
.59252 .53758 L
.59153 .53614 L
.59131 .53565 L
.58972 .53372 L
.5896 .5336 L
.58796 .53179 L
.58768 .53097 L
.58687 .52987 L
.58575 .5283 L
.58562 .52794 L
.58405 .52601 L
.58382 .52577 L
.58233 .52409 L
.58189 .52311 L
.58122 .52216 L
.57997 .52044 L
.57992 .52023 L
.5784 .51831 L
.57804 .51792 L
.57672 .51638 L
.57611 .51522 L
.57559 .51445 L
.57419 .51256 L
.57416 .51253 L
.57276 .5106 L
.57226 .51004 L
.57112 .50867 L
.57033 .50732 L
.56996 .50674 L
.56853 .50482 L
.56841 .50479 L
.56714 .50289 L
.56648 .50214 L
.56553 .50096 L
.56455 .49938 L
.56434 .49904 L
.56293 .49711 L
.56263 .497 L
.56154 .49518 L
.5607 .49419 L
.55997 .49326 L
.55877 .49142 L
.55872 .49133 L
.55734 .4894 L
.55684 .48913 L
.55529 .48747 L
.55492 .48619 L
.55444 .48555 L
.55315 .48362 L
.55299 .48341 L
.55179 .48169 L
.55106 .48113 L
.54989 .47977 L
.54914 .4781 L
.54895 .47784 L
.54764 .47591 L
.54721 .47533 L
.54628 .47399 L
.54528 .47293 L
.54459 .47206 L
.54353 .47013 L
.54336 .4699 L
.54221 .46821 L
.54143 .46712 L
.54087 .46628 L
.5395 .46436 L
.53949 .46435 L
.53825 .46242 L
.53758 .46147 L
.53697 .4605 L
.53566 .45857 L
.53565 .45856 L
.53456 .45664 L
.53372 .45528 L
.53347 .45472 L
F
1 .63 0 r
.53372 .46196 m
.5342 .46242 L
.53565 .46381 L
.53612 .46435 L
.53758 .46564 L
.53784 .46628 L
.53947 .46821 L
.5395 .46825 L
.54103 .47013 L
.54143 .4706 L
.54259 .47206 L
.54336 .47249 L
.54414 .47399 L
.54528 .47535 L
.54596 .47591 L
.54717 .47784 L
.54721 .47789 L
.54865 .47977 L
.54914 .48003 L
.55015 .48169 L
.55106 .48281 L
.55191 .48362 L
.55299 .48541 L
.5531 .48555 L
.55455 .48747 L
.55492 .48769 L
.556 .4894 L
.55684 .49043 L
.55769 .49133 L
.55877 .49308 L
.5589 .49326 L
.56034 .49518 L
.5607 .49542 L
.56177 .49711 L
.56263 .49817 L
.56339 .49904 L
.56455 .50084 L
.56463 .50096 L
.56606 .50289 L
.56648 .5032 L
.56748 .50482 L
.56841 .50599 L
.56903 .50674 L
.57033 .50867 L
.57033 .50868 L
.57172 .5106 L
.57226 .51104 L
.57314 .51253 L
.57419 .51388 L
.57464 .51445 L
.57595 .51638 L
.57611 .51659 L
.57734 .51831 L
.57804 .51896 L
.57931 .52023 L
.57997 .52186 L
.58019 .52216 L
.58152 .52409 L
.58189 .52459 L
.5829 .52601 L
.58382 .52701 L
.58467 .52794 L
.58568 .52987 L
.58575 .52995 L
.58702 .53179 L
.58768 .53268 L
.58839 .53372 L
.5896 .53529 L
.58991 .53565 L
.59109 .53758 L
.59153 .53818 L
.59241 .5395 L
.59346 .54097 L
.59376 .54143 L
.59505 .54336 L
.59538 .54382 L
.5963 .54528 L
.59731 .54677 L
.59757 .54721 L
.59869 .54914 L
.59924 .55003 L
.59959 .55106 L
.59924 .55126 L
.59904 .55106 L
.59731 .54937 L
.59711 .54914 L
.5954 .54721 L
.59538 .5472 L
.59379 .54528 L
.59346 .5449 L
.59221 .54336 L
.59153 .54255 L
.59064 .54143 L
.5896 .54034 L
.58909 .5395 L
.58768 .53773 L
.58752 .53758 L
.58607 .53565 L
.58575 .53525 L
.58458 .53372 L
.58382 .53294 L
.58309 .53179 L
.58189 .53027 L
.58154 .52987 L
.58015 .52794 L
.57997 .52771 L
.57869 .52601 L
.57804 .52533 L
.57657 .52409 L
.57611 .52263 L
.57572 .52216 L
.57434 .52023 L
.57419 .52004 L
.57291 .51831 L
.57226 .51761 L
.57096 .51638 L
.57033 .51489 L
.56999 .51445 L
.56861 .51253 L
.56841 .51226 L
.56719 .5106 L
.56648 .50981 L
.56537 .50867 L
.56455 .50707 L
.56431 .50674 L
.56293 .50482 L
.56263 .50442 L
.56152 .50289 L
.5607 .50194 L
.5598 .50096 L
.55877 .49917 L
.55868 .49904 L
.5573 .49711 L
.55684 .4965 L
.5559 .49518 L
.55492 .49399 L
.55428 .49326 L
.55309 .49133 L
.55299 .4912 L
.55172 .4894 L
.55106 .48851 L
.55033 .48747 L
.54914 .48592 L
.54883 .48555 L
.54757 .48362 L
.54721 .48314 L
.54621 .48169 L
.54528 .48089 L
.54483 .47977 L
.54346 .47784 L
.54336 .4777 L
.54215 .47591 L
.54143 .47492 L
.5408 .47399 L
.5395 .47223 L
.53935 .47206 L
.53818 .47013 L
.53758 .46927 L
.53691 .46821 L
.53565 .46636 L
.5356 .46628 L
.53452 .46435 L
.53372 .46305 L
.53347 .46242 L
F
0 .26 1 r
.53372 .47005 m
.53379 .47013 L
.53372 .47083 L
.5335 .47013 L
F
1 .81 0 r
.53372 .51259 m
.53565 .5144 L
.53568 .51445 L
.53735 .51638 L
.53758 .51663 L
.53891 .51831 L
.5395 .51906 L
.54038 .52023 L
.54143 .52169 L
.54176 .52216 L
.54298 .52409 L
.54336 .52475 L
.54396 .52601 L
.54336 .52674 L
.54249 .52601 L
.54143 .52501 L
.54066 .52409 L
.5395 .52274 L
.53907 .52216 L
.53758 .52027 L
.53756 .52023 L
.53624 .51831 L
.53565 .5175 L
.53495 .51638 L
.53372 .51453 L
.53368 .51445 L
F
1 .74 0 r
.53372 .53757 m
.53376 .53758 L
.53565 .5386 L
.53657 .5395 L
.53758 .54016 L
.53832 .54143 L
.5395 .54272 L
.54034 .54336 L
.5414 .54528 L
.54143 .54532 L
.5428 .54721 L
.54336 .54795 L
.54419 .54914 L
.54528 .55035 L
.54582 .55106 L
.54683 .55299 L
.54721 .55356 L
.54802 .55492 L
.5491 .55684 L
.54721 .55731 L
.54688 .55684 L
.54528 .55527 L
.545 .55492 L
.54336 .55303 L
.54331 .55299 L
.54176 .55106 L
.54143 .55065 L
.54026 .54914 L
.5395 .54841 L
.53818 .54721 L
.53758 .54559 L
.53735 .54528 L
.53605 .54336 L
.53565 .54275 L
.5348 .54143 L
.53372 .53954 L
.53368 .5395 L
.5337 .53758 L
F
1 .62 0 r
.53372 .46238 m
.53383 .46242 L
.53565 .46395 L
.53601 .46435 L
.53758 .46584 L
.53775 .46628 L
.53939 .46821 L
.5395 .46833 L
.54097 .47013 L
.54143 .47067 L
.54254 .47206 L
.54336 .47255 L
.54409 .47399 L
.54528 .47541 L
.5459 .47591 L
.54713 .47784 L
.54721 .47794 L
.54862 .47977 L
.54914 .48006 L
.55011 .48169 L
.55106 .48285 L
.55187 .48362 L
.55299 .48545 L
.55307 .48555 L
.55452 .48747 L
.55492 .48772 L
.55598 .4894 L
.55684 .49047 L
.55765 .49133 L
.55877 .49311 L
.55887 .49326 L
.56031 .49518 L
.5607 .49544 L
.56175 .49711 L
.56263 .4982 L
.56336 .49904 L
.56455 .50087 L
.56461 .50096 L
.56603 .50289 L
.56648 .50322 L
.56746 .50482 L
.56841 .50602 L
.56901 .50674 L
.5703 .50867 L
.57033 .50871 L
.5717 .5106 L
.57226 .51106 L
.57311 .51253 L
.57419 .51392 L
.57461 .51445 L
.57593 .51638 L
.57611 .51663 L
.57732 .51831 L
.57804 .51899 L
.57928 .52023 L
.57997 .5219 L
.58016 .52216 L
.5815 .52409 L
.58189 .52462 L
.58288 .52601 L
.58382 .52706 L
.58463 .52794 L
.58565 .52987 L
.58575 .53 L
.58699 .53179 L
.58768 .53273 L
.58836 .53372 L
.5896 .53535 L
.58985 .53565 L
.59105 .53758 L
.59153 .53823 L
.59237 .5395 L
.59346 .54103 L
.59372 .54143 L
.59499 .54336 L
.59538 .54391 L
.59623 .54528 L
.59731 .54688 L
.5975 .54721 L
.59855 .54914 L
.59731 .54923 L
.59722 .54914 L
.5955 .54721 L
.59538 .54709 L
.59387 .54528 L
.59346 .54482 L
.59227 .54336 L
.59153 .54248 L
.59069 .54143 L
.5896 .54027 L
.58914 .5395 L
.58768 .53767 L
.58758 .53758 L
.58612 .53565 L
.58575 .5352 L
.58462 .53372 L
.58382 .53289 L
.58312 .53179 L
.58189 .53022 L
.58157 .52987 L
.58018 .52794 L
.57997 .52767 L
.57872 .52601 L
.57804 .52529 L
.5766 .52409 L
.57611 .5226 L
.57575 .52216 L
.57437 .52023 L
.57419 .52 L
.57293 .51831 L
.57226 .51758 L
.57099 .51638 L
.57033 .51486 L
.57001 .51445 L
.56863 .51253 L
.56841 .51223 L
.56721 .5106 L
.56648 .50979 L
.56539 .50867 L
.56455 .50703 L
.56433 .50674 L
.56295 .50482 L
.56263 .50439 L
.56154 .50289 L
.5607 .50191 L
.55983 .50096 L
.55877 .49914 L
.5587 .49904 L
.55732 .49711 L
.55684 .49647 L
.55592 .49518 L
.55492 .49395 L
.55431 .49326 L
.55312 .49133 L
.55299 .49116 L
.55175 .4894 L
.55106 .48848 L
.55036 .48747 L
.54914 .48588 L
.54887 .48555 L
.5476 .48362 L
.54721 .4831 L
.54624 .48169 L
.54528 .48083 L
.54486 .47977 L
.54349 .47784 L
.54336 .47765 L
.54219 .47591 L
.54143 .47487 L
.54084 .47399 L
.5395 .47212 L
.53945 .47206 L
.53824 .47013 L
.53758 .46919 L
.53697 .46821 L
.53567 .46628 L
.53565 .46624 L
.53465 .46435 L
.53372 .46257 L
.53371 .46242 L
F
1 .73 0 r
.53565 .5387 m
.53648 .5395 L
.53758 .54023 L
.53827 .54143 L
.5395 .54279 L
.54026 .54336 L
.54135 .54528 L
.54143 .54538 L
.54275 .54721 L
.54336 .54801 L
.54414 .54914 L
.54528 .55046 L
.54574 .55106 L
.54677 .55299 L
.54721 .55366 L
.54795 .55492 L
.54896 .55684 L
.54721 .55714 L
.547 .55684 L
.54528 .55517 L
.54508 .55492 L
.54339 .55299 L
.54336 .55295 L
.54182 .55106 L
.54143 .55059 L
.54031 .54914 L
.5395 .54835 L
.53824 .54721 L
.53758 .54551 L
.53741 .54528 L
.53611 .54336 L
.53565 .54267 L
.53486 .54143 L
.5338 .5395 L
F
1 .72 0 r
.53565 .53879 m
.5364 .5395 L
.53758 .54031 L
.53821 .54143 L
.5395 .54286 L
.54017 .54336 L
.54131 .54528 L
.54143 .54544 L
.54271 .54721 L
.54336 .54807 L
.5441 .54914 L
.54528 .55057 L
.54565 .55106 L
.54671 .55299 L
.54721 .55376 L
.54787 .55492 L
.5488 .55684 L
.54721 .55695 L
.54714 .55684 L
.54528 .55507 L
.54516 .55492 L
.54346 .55299 L
.54336 .55288 L
.54188 .55106 L
.54143 .55052 L
.54036 .54914 L
.5395 .54828 L
.53831 .54721 L
.53758 .54543 L
.53747 .54528 L
.53616 .54336 L
.53565 .54258 L
.53492 .54143 L
.5339 .5395 L
F
1 .71 0 r
.53565 .53889 m
.53631 .5395 L
.53758 .54039 L
.53815 .54143 L
.5395 .54293 L
.54008 .54336 L
.54126 .54528 L
.54143 .5455 L
.54267 .54721 L
.54336 .54813 L
.54406 .54914 L
.54528 .55069 L
.54556 .55106 L
.54665 .55299 L
.54721 .55386 L
.5478 .55492 L
.54721 .55677 L
.54528 .55496 L
.54525 .55492 L
.54353 .55299 L
.54336 .5528 L
.54194 .55106 L
.54143 .55045 L
.54041 .54914 L
.5395 .54821 L
.53838 .54721 L
.53758 .54535 L
.53753 .54528 L
.53622 .54336 L
.53565 .54249 L
.53498 .54143 L
.534 .5395 L
F
1 .7 0 r
.53565 .53899 m
.53622 .5395 L
.53758 .54048 L
.53809 .54143 L
.5395 .543 L
.53998 .54336 L
.54121 .54528 L
.54143 .54556 L
.54262 .54721 L
.54336 .54819 L
.54401 .54914 L
.54528 .55081 L
.54547 .55106 L
.54659 .55299 L
.54721 .55398 L
.54772 .55492 L
.54721 .55663 L
.54534 .55492 L
.54528 .55486 L
.5436 .55299 L
.54336 .55272 L
.542 .55106 L
.54143 .55038 L
.54046 .54914 L
.5395 .54814 L
.53846 .54721 L
.53758 .54528 L
.53758 .54527 L
.53628 .54336 L
.53565 .5424 L
.53505 .54143 L
.53412 .5395 L
F
1 .69 0 r
.53565 .53909 m
.53611 .5395 L
.53758 .54058 L
.53803 .54143 L
.5395 .54308 L
.53988 .54336 L
.54116 .54528 L
.54143 .54562 L
.54258 .54721 L
.54336 .54825 L
.54397 .54914 L
.54528 .55094 L
.54537 .55106 L
.54652 .55299 L
.54721 .5541 L
.54764 .55492 L
.54721 .55647 L
.54545 .55492 L
.54528 .55476 L
.54368 .55299 L
.54336 .55264 L
.54206 .55106 L
.54143 .55031 L
.54052 .54914 L
.5395 .54806 L
.53854 .54721 L
.53764 .54528 L
.53758 .54519 L
.53633 .54336 L
.53565 .5423 L
.53512 .54143 L
.53425 .5395 L
F
1 .68 0 r
.53565 .5392 m
.536 .5395 L
.53758 .54068 L
.53797 .54143 L
.5395 .54315 L
.53978 .54336 L
.54111 .54528 L
.54143 .54568 L
.54253 .54721 L
.54336 .54832 L
.54392 .54914 L
.54528 .55106 L
.54528 .55107 L
.54645 .55299 L
.54721 .55424 L
.54755 .55492 L
.54721 .5563 L
.54557 .55492 L
.54528 .55466 L
.54376 .55299 L
.54336 .55256 L
.54212 .55106 L
.54143 .55024 L
.54057 .54914 L
.5395 .54797 L
.53863 .54721 L
.5377 .54528 L
.53758 .54512 L
.53639 .54336 L
.53565 .5422 L
.53519 .54143 L
.53439 .5395 L
F
1 .67 0 r
.53565 .53931 m
.53588 .5395 L
.53758 .54079 L
.53791 .54143 L
.5395 .54324 L
.53967 .54336 L
.54106 .54528 L
.54143 .54575 L
.54248 .54721 L
.54336 .54838 L
.54388 .54914 L
.54522 .55106 L
.54528 .55116 L
.54638 .55299 L
.54721 .5544 L
.54745 .55492 L
.54721 .5561 L
.5457 .55492 L
.54528 .55455 L
.54384 .55299 L
.54336 .55248 L
.54218 .55106 L
.54143 .55016 L
.54063 .54914 L
.5395 .54789 L
.53873 .54721 L
.53775 .54528 L
.53758 .54504 L
.53645 .54336 L
.53565 .54209 L
.53526 .54143 L
.53455 .5395 L
F
0 .99 1 r
.53565 .53364 m
.53758 .53362 L
.53916 .53372 L
.5395 .53378 L
.54137 .53565 L
.54143 .53572 L
.54293 .53758 L
.54336 .53828 L
.54411 .5395 L
.54528 .54091 L
.54566 .54143 L
.54705 .54336 L
.54721 .54357 L
.54857 .54528 L
.54914 .54625 L
.54974 .54721 L
.55106 .5489 L
.5513 .54914 L
.55269 .55106 L
.55299 .55135 L
.5542 .55299 L
.55492 .55402 L
.55536 .55492 L
.55684 .55673 L
.55693 .55684 L
.55872 .55877 L
.55877 .55941 L
.55981 .5607 L
.5607 .56207 L
.56098 .56263 L
.56249 .56455 L
.56263 .56476 L
.56415 .56648 L
.56263 .56696 L
.5607 .56704 L
.559 .56841 L
.56054 .57033 L
.5607 .57062 L
.56197 .57226 L
.56263 .57318 L
.56368 .57419 L
.56455 .57576 L
.56484 .57611 L
.56623 .57804 L
.56648 .57837 L
.56762 .57997 L
.56841 .58076 L
.56927 .58189 L
.57033 .5836 L
.57046 .58382 L
.57184 .58575 L
.57226 .58632 L
.57322 .58768 L
.57419 .589 L
.57478 .5896 L
.57601 .59153 L
.57611 .59168 L
.57732 .59346 L
.57804 .59451 L
.57907 .59538 L
.57975 .59731 L
.57977 .59924 L
.57804 .59931 L
.57774 .59924 L
.57611 .5981 L
.57487 .59731 L
.57419 .59608 L
.57346 .59538 L
.57226 .59395 L
.57204 .59346 L
.57034 .59153 L
.57033 .59148 L
.56891 .5896 L
.56841 .58877 L
.56771 .58768 L
.56648 .58644 L
.56595 .58575 L
.56455 .58382 L
.56455 .58382 L
.56321 .58189 L
.56263 .58107 L
.56217 .57997 L
.5607 .5783 L
.56026 .57804 L
.55886 .57611 L
.55877 .57598 L
.55761 .57419 L
.55684 .57341 L
.55664 .57226 L
.55492 .57084 L
.55473 .57033 L
.55345 .56841 L
.55492 .56743 L
.55684 .56738 L
.55852 .56648 L
.55684 .56497 L
.55654 .56455 L
.55498 .56263 L
.55492 .56241 L
.55369 .5607 L
.55299 .55982 L
.55259 .55877 L
.55106 .55718 L
.55082 .55684 L
.54928 .55492 L
.54914 .55449 L
.54805 .55299 L
.54721 .55174 L
.54696 .55106 L
.54528 .54917 L
.54517 .54914 L
.54362 .54721 L
.54336 .54668 L
.54243 .54528 L
.54143 .54401 L
.54134 .54336 L
.53954 .54143 L
.5395 .54137 L
.53798 .5395 L
.53758 .5387 L
.53682 .53758 L
.53565 .53602 L
.53535 .53565 L
.53468 .53372 L
F
1 .66 0 r
.53565 .53943 m
.53574 .5395 L
.53758 .54091 L
.53784 .54143 L
.5395 .54332 L
.53955 .54336 L
.54101 .54528 L
.54143 .54581 L
.54243 .54721 L
.54336 .54845 L
.54383 .54914 L
.54516 .55106 L
.54528 .55125 L
.5463 .55299 L
.54721 .55459 L
.54735 .55492 L
.54721 .55586 L
.54586 .55492 L
.54528 .55444 L
.54392 .55299 L
.54336 .55239 L
.54225 .55106 L
.54143 .55009 L
.54068 .54914 L
.5395 .5478 L
.53883 .54721 L
.53781 .54528 L
.53758 .54495 L
.53651 .54336 L
.53565 .54198 L
.53533 .54143 L
.53476 .5395 L
F
1 .61 0 r
.53565 .4641 m
.53588 .46435 L
.53758 .46606 L
.53766 .46628 L
.5393 .46821 L
.5395 .46842 L
.5409 .47013 L
.54143 .47074 L
.54248 .47206 L
.54336 .47262 L
.54404 .47399 L
.54528 .47548 L
.54582 .47591 L
.54709 .47784 L
.54721 .47799 L
.54858 .47977 L
.54914 .48009 L
.55007 .48169 L
.55106 .4829 L
.55183 .48362 L
.55299 .48549 L
.55303 .48555 L
.55448 .48747 L
.55492 .48774 L
.55595 .4894 L
.55684 .49051 L
.55762 .49133 L
.55877 .49315 L
.55885 .49326 L
.56028 .49518 L
.5607 .49546 L
.56172 .49711 L
.56263 .49824 L
.56333 .49904 L
.56455 .5009 L
.56459 .50096 L
.56601 .50289 L
.56648 .50324 L
.56743 .50482 L
.56841 .50605 L
.56898 .50674 L
.57028 .50867 L
.57033 .50874 L
.57168 .5106 L
.57226 .51109 L
.57309 .51253 L
.57419 .51395 L
.57459 .51445 L
.5759 .51638 L
.57611 .51666 L
.57729 .51831 L
.57804 .51903 L
.57925 .52023 L
.57997 .52194 L
.58014 .52216 L
.58147 .52409 L
.58189 .52466 L
.58285 .52601 L
.58382 .5271 L
.58459 .52794 L
.58562 .52987 L
.58575 .53004 L
.58696 .53179 L
.58768 .53277 L
.58833 .53372 L
.5896 .53542 L
.58979 .53565 L
.59101 .53758 L
.59153 .53829 L
.59233 .5395 L
.59346 .5411 L
.59367 .54143 L
.59493 .54336 L
.59538 .544 L
.59616 .54528 L
.59731 .54701 L
.59743 .54721 L
.59731 .54908 L
.59561 .54721 L
.59538 .54698 L
.59395 .54528 L
.59346 .54473 L
.59234 .54336 L
.59153 .54241 L
.59075 .54143 L
.5896 .54019 L
.58918 .5395 L
.58768 .53761 L
.58764 .53758 L
.58616 .53565 L
.58575 .53514 L
.58466 .53372 L
.58382 .53284 L
.58316 .53179 L
.58189 .53018 L
.58161 .52987 L
.58021 .52794 L
.57997 .52763 L
.57875 .52601 L
.57804 .52526 L
.57663 .52409 L
.57611 .52256 L
.57578 .52216 L
.57439 .52023 L
.57419 .51997 L
.57296 .51831 L
.57226 .51755 L
.57101 .51638 L
.57033 .51483 L
.57004 .51445 L
.56865 .51253 L
.56841 .5122 L
.56723 .5106 L
.56648 .50976 L
.56542 .50867 L
.56455 .507 L
.56436 .50674 L
.56297 .50482 L
.56263 .50436 L
.56157 .50289 L
.5607 .50188 L
.55986 .50096 L
.55877 .4991 L
.55872 .49904 L
.55735 .49711 L
.55684 .49644 L
.55595 .49518 L
.55492 .49392 L
.55434 .49326 L
.55314 .49133 L
.55299 .49113 L
.55177 .4894 L
.55106 .48844 L
.55038 .48747 L
.54914 .48583 L
.5489 .48555 L
.54763 .48362 L
.54721 .48305 L
.54627 .48169 L
.54528 .48076 L
.54489 .47977 L
.54353 .47784 L
.54336 .4776 L
.54222 .47591 L
.54143 .47481 L
.54088 .47399 L
.53953 .47206 L
.5395 .47202 L
.5383 .47013 L
.53758 .4691 L
.53703 .46821 L
.53577 .46628 L
.53565 .4661 L
.5348 .46435 L
F
0 .88 1 r
.53565 .45587 m
.53641 .45664 L
.53758 .45783 L
.53824 .45857 L
.5395 .45987 L
.53996 .4605 L
.54143 .46223 L
.54166 .46242 L
.54319 .46435 L
.54336 .46454 L
.54477 .46628 L
.54528 .46683 L
.54634 .46821 L
.54721 .46933 L
.54795 .47013 L
.54914 .47181 L
.54929 .47206 L
.55088 .47399 L
.55106 .47419 L
.55239 .47591 L
.55299 .47673 L
.55389 .47784 L
.55492 .4793 L
.55516 .47977 L
.55681 .48169 L
.55684 .48174 L
.55864 .48362 L
.55877 .48431 L
.55971 .48555 L
.5607 .48693 L
.56093 .48747 L
.56262 .4894 L
.56263 .4894 L
.56431 .49133 L
.56455 .492 L
.56546 .49326 L
.56648 .49465 L
.56664 .49518 L
.56838 .49711 L
.56841 .49715 L
.57 .49904 L
.57033 .49977 L
.57116 .50096 L
.57226 .50243 L
.57233 .50289 L
.57409 .50482 L
.57419 .50494 L
.57567 .50674 L
.57611 .50758 L
.57683 .50867 L
.57804 .51025 L
.57836 .5106 L
.57977 .51253 L
.57997 .51277 L
.58132 .51445 L
.58189 .51543 L
.58248 .51638 L
.58382 .51809 L
.58402 .51831 L
.58543 .52023 L
.58575 .52062 L
.58695 .52216 L
.58768 .52331 L
.58812 .52409 L
.5896 .52594 L
.58967 .52601 L
.59107 .52794 L
.59153 .5285 L
.59257 .52987 L
.59346 .5312 L
.59376 .53179 L
.59529 .53372 L
.59538 .53378 L
.59718 .53565 L
.59731 .53641 L
.59817 .53758 L
.59924 .53913 L
.59941 .5395 L
.6009 .54143 L
.60116 .54162 L
.60275 .54336 L
.60309 .54435 L
.60376 .54528 L
.60502 .54709 L
.60506 .54721 L
.60648 .54914 L
.60694 .54952 L
.60828 .55106 L
.60887 .55235 L
.60931 .55299 L
.61067 .55492 L
.6108 .5551 L
.61203 .55684 L
.61273 .55751 L
.61375 .55877 L
.61465 .56043 L
.61483 .5607 L
.61617 .56263 L
.61658 .56319 L
.61753 .56455 L
.61851 .56569 L
.61911 .56648 L
.62026 .56841 L
.62043 .56865 L
.62157 .57033 L
.62236 .57143 L
.62292 .57226 L
.62426 .57419 L
.62429 .57422 L
.62551 .57611 L
.62621 .57713 L
.62679 .57804 L
.62807 .57997 L
.62814 .58008 L
.62916 .58189 L
.63007 .58342 L
.63025 .58382 L
.63007 .58486 L
.62891 .58382 L
.62814 .58314 L
.627 .58189 L
.62621 .58107 L
.62527 .57997 L
.62429 .57909 L
.6236 .57804 L
.62236 .57658 L
.62176 .57611 L
.62043 .5742 L
.62042 .57419 L
.61888 .57226 L
.61851 .57193 L
.61734 .57033 L
.61658 .56939 L
.61559 .56841 L
.61465 .56687 L
.61436 .56648 L
.61283 .56455 L
.61273 .56445 L
.61135 .56263 L
.6108 .56191 L
.60972 .5607 L
.60887 .55932 L
.60851 .55877 L
.60695 .55684 L
.60694 .55684 L
.6055 .55492 L
.60502 .55428 L
.60395 .55299 L
.60309 .55165 L
.60274 .55106 L
.60117 .54914 L
.60116 .54913 L
.59973 .54721 L
.59924 .54656 L
.59823 .54528 L
.59731 .5439 L
.59702 .54336 L
.59544 .54143 L
.59538 .54137 L
.5936 .5395 L
.59346 .53877 L
.59255 .53758 L
.59153 .5361 L
.59132 .53565 L
.58974 .53372 L
.5896 .53357 L
.58797 .53179 L
.58768 .53094 L
.58689 .52987 L
.58575 .52827 L
.58563 .52794 L
.58407 .52601 L
.58382 .52575 L
.58235 .52409 L
.58189 .52308 L
.58124 .52216 L
.57997 .52041 L
.57993 .52023 L
.57842 .51831 L
.57804 .51789 L
.57673 .51638 L
.57611 .51519 L
.57561 .51445 L
.57419 .51254 L
.57418 .51253 L
.57279 .5106 L
.57226 .51002 L
.57114 .50867 L
.57033 .50729 L
.56998 .50674 L
.56856 .50482 L
.56841 .50479 L
.56717 .50289 L
.56648 .50211 L
.56556 .50096 L
.56455 .49935 L
.56436 .49904 L
.56295 .49711 L
.56263 .49699 L
.56156 .49518 L
.5607 .49415 L
.56 .49326 L
.55877 .49138 L
.55874 .49133 L
.55737 .4894 L
.55684 .4891 L
.55532 .48747 L
.55492 .48614 L
.55447 .48555 L
.55319 .48362 L
.55299 .48336 L
.55183 .48169 L
.55106 .48107 L
.54994 .47977 L
.54914 .47803 L
.549 .47784 L
.54769 .47591 L
.54721 .47526 L
.54633 .47399 L
.54528 .47282 L
.54468 .47206 L
.5436 .47013 L
.54336 .4698 L
.54229 .46821 L
.54143 .46701 L
.54095 .46628 L
.5396 .46435 L
.5395 .46421 L
.53837 .46242 L
.53758 .46128 L
.5371 .4605 L
.53586 .45857 L
.53565 .45824 L
.53484 .45664 L
F
1 .6 0 r
.53565 .46428 m
.53572 .46435 L
.53565 .46592 L
.53502 .46435 L
F
1 .8 0 r
.53565 .51464 m
.53719 .51638 L
.53758 .51681 L
.53877 .51831 L
.5395 .51923 L
.54025 .52023 L
.54143 .52188 L
.54163 .52216 L
.54281 .52409 L
.54336 .52514 L
.54368 .52601 L
.54336 .5264 L
.54278 .52601 L
.54143 .52484 L
.5408 .52409 L
.5395 .52261 L
.53917 .52216 L
.53767 .52023 L
.53758 .52011 L
.53636 .51831 L
.53565 .51733 L
.53507 .51638 L
F
1 .79 0 r
.53565 .51489 m
.537 .51638 L
.53758 .51701 L
.53862 .51831 L
.5395 .51942 L
.54012 .52023 L
.54143 .52209 L
.54148 .52216 L
.54261 .52409 L
.54143 .52465 L
.54095 .52409 L
.5395 .52246 L
.53928 .52216 L
.5378 .52023 L
.53758 .51994 L
.53649 .51831 L
.53565 .51713 L
.53521 .51638 L
F
1 .96 0 r
.53565 .56643 m
.53571 .56648 L
.53758 .56824 L
.53774 .56841 L
.53948 .57033 L
.5395 .57036 L
.5411 .57226 L
.54143 .57265 L
.54268 .57419 L
.54336 .57504 L
.54421 .57611 L
.54528 .57737 L
.5457 .57804 L
.54716 .57997 L
.54721 .58003 L
.54862 .58189 L
.54914 .58257 L
.55009 .58382 L
.55106 .58502 L
.55191 .58575 L
.55297 .58768 L
.55299 .58771 L
.5544 .5896 L
.55492 .59028 L
.55585 .59153 L
.55684 .59279 L
.5575 .59346 L
.5587 .59538 L
.55877 .59548 L
.56013 .59731 L
.5607 .5976 L
.56156 .59924 L
.56263 .60063 L
.5631 .60116 L
.56438 .60309 L
.56455 .60332 L
.56579 .60502 L
.56648 .60553 L
.5672 .60694 L
.56841 .60857 L
.56866 .60887 L
.56998 .6108 L
.57033 .61128 L
.57137 .61273 L
.57226 .6136 L
.57276 .61465 L
.57412 .61658 L
.57419 .61667 L
.57547 .61851 L
.57611 .61941 L
.57683 .62043 L
.57804 .62203 L
.57837 .62236 L
.57947 .62429 L
.57997 .62499 L
.58078 .62621 L
.58189 .62785 L
.58208 .62814 L
.58327 .63007 L
.58382 .6309 L
.58443 .63199 L
.58382 .63273 L
.58323 .63199 L
.58189 .63057 L
.58151 .63007 L
.57997 .62827 L
.57987 .62814 L
.57835 .62621 L
.57804 .62586 L
.57685 .62429 L
.57611 .62341 L
.57534 .62236 L
.57419 .62094 L
.57381 .62043 L
.57231 .61851 L
.57226 .61845 L
.57088 .61658 L
.57033 .6159 L
.56943 .61465 L
.56841 .61336 L
.56795 .61273 L
.56648 .61082 L
.56646 .6108 L
.56507 .60887 L
.56455 .60821 L
.56365 .60694 L
.56263 .60607 L
.56219 .60502 L
.56073 .60309 L
.5607 .60305 L
.55936 .60116 L
.55877 .60041 L
.55795 .59924 L
.55684 .59814 L
.5565 .59731 L
.55508 .59538 L
.55492 .59518 L
.55371 .59346 L
.55299 .59252 L
.55231 .59153 L
.55106 .59007 L
.55087 .5896 L
.54949 .58768 L
.54914 .58721 L
.54813 .58575 L
.54721 .58453 L
.54673 .58382 L
.5453 .58189 L
.54528 .58187 L
.54398 .57997 L
.54336 .57913 L
.54263 .57804 L
.54143 .57642 L
.54123 .57611 L
.5399 .57419 L
.5395 .57364 L
.53862 .57226 L
.53758 .5708 L
.53729 .57033 L
.53607 .56841 L
.53565 .56773 L
.53526 .56648 L
F
1 .22 0 r
.53565 .47983 m
.53694 .48169 L
.53758 .48249 L
.53834 .48362 L
.5395 .48513 L
.53978 .48555 L
.5395 .48734 L
.53821 .48555 L
.53758 .48479 L
.53674 .48362 L
.53565 .48224 L
.53526 .48169 L
F
0 .87 1 r
.53565 .45639 m
.53595 .45664 L
.53758 .45814 L
.53798 .45857 L
.5395 .46015 L
.53975 .4605 L
.54142 .46242 L
.54143 .46243 L
.54304 .46435 L
.54336 .46471 L
.54465 .46628 L
.54528 .46696 L
.54623 .46821 L
.54721 .46946 L
.54785 .47013 L
.54914 .4719 L
.54924 .47206 L
.5508 .47399 L
.55106 .47428 L
.55231 .47591 L
.55299 .47682 L
.55383 .47784 L
.55492 .47938 L
.55512 .47977 L
.55675 .48169 L
.55684 .48181 L
.55862 .48362 L
.55877 .48438 L
.55966 .48555 L
.5607 .48699 L
.5609 .48747 L
.56258 .4894 L
.56263 .48946 L
.56429 .49133 L
.56455 .49206 L
.56542 .49326 L
.56648 .4947 L
.56663 .49518 L
.56834 .49711 L
.56841 .49719 L
.56998 .49904 L
.57033 .49981 L
.57113 .50096 L
.57226 .50247 L
.57233 .50289 L
.57406 .50482 L
.57419 .50498 L
.57564 .50674 L
.57611 .50762 L
.5768 .50867 L
.57804 .51028 L
.57834 .5106 L
.57974 .51253 L
.57997 .5128 L
.5813 .51445 L
.58189 .51547 L
.58246 .51638 L
.58382 .51811 L
.584 .51831 L
.5854 .52023 L
.58575 .52066 L
.58693 .52216 L
.58768 .52334 L
.5881 .52409 L
.5896 .52597 L
.58964 .52601 L
.59104 .52794 L
.59153 .52854 L
.59255 .52987 L
.59346 .53124 L
.59374 .53179 L
.59527 .53372 L
.59538 .5338 L
.59717 .53565 L
.59731 .53644 L
.59815 .53758 L
.59924 .53916 L
.59939 .5395 L
.60087 .54143 L
.60116 .54164 L
.60273 .54336 L
.60309 .54439 L
.60373 .54528 L
.60502 .54713 L
.60505 .54721 L
.60645 .54914 L
.60694 .54955 L
.60825 .55106 L
.60887 .5524 L
.60928 .55299 L
.61063 .55492 L
.6108 .55515 L
.61199 .55684 L
.61273 .55757 L
.6137 .55877 L
.61465 .56051 L
.61478 .5607 L
.61611 .56263 L
.61658 .56327 L
.61747 .56455 L
.61851 .56579 L
.61903 .56648 L
.62018 .56841 L
.62043 .56875 L
.6215 .57033 L
.62236 .57155 L
.62283 .57226 L
.62416 .57419 L
.62429 .57437 L
.62539 .57611 L
.62621 .57732 L
.62666 .57804 L
.62786 .57997 L
.62814 .5804 L
.62889 .58189 L
.62814 .58275 L
.62731 .58189 L
.62621 .5808 L
.62548 .57997 L
.62429 .57885 L
.62377 .57804 L
.62236 .5764 L
.62198 .57611 L
.62055 .57419 L
.62043 .57405 L
.61899 .57226 L
.61851 .57182 L
.61744 .57033 L
.61658 .56927 L
.61568 .56841 L
.61465 .56677 L
.61443 .56648 L
.61291 .56455 L
.61273 .56438 L
.61141 .56263 L
.6108 .56183 L
.60978 .5607 L
.60887 .55925 L
.60855 .55877 L
.607 .55684 L
.60694 .55678 L
.60555 .55492 L
.60502 .55422 L
.60399 .55299 L
.60309 .5516 L
.60277 .55106 L
.60121 .54914 L
.60116 .54909 L
.59977 .54721 L
.59924 .54651 L
.59826 .54528 L
.59731 .54386 L
.59704 .54336 L
.59547 .54143 L
.59538 .54134 L
.59362 .5395 L
.59346 .53873 L
.59257 .53758 L
.59153 .53607 L
.59134 .53565 L
.58977 .53372 L
.5896 .53355 L
.58799 .53179 L
.58768 .5309 L
.58691 .52987 L
.58575 .52824 L
.58564 .52794 L
.5841 .52601 L
.58382 .52572 L
.58236 .52409 L
.58189 .52305 L
.58126 .52216 L
.57997 .52039 L
.57994 .52023 L
.57844 .51831 L
.57804 .51787 L
.57675 .51638 L
.57611 .51516 L
.57563 .51445 L
.5742 .51253 L
.57419 .51252 L
.57281 .5106 L
.57226 .50999 L
.57116 .50867 L
.57033 .50725 L
.57 .50674 L
.56858 .50482 L
.56841 .50478 L
.56719 .50289 L
.56648 .50208 L
.56558 .50096 L
.56455 .49931 L
.56438 .49904 L
.56298 .49711 L
.56263 .49697 L
.56159 .49518 L
.5607 .49412 L
.56003 .49326 L
.55877 .49133 L
.55877 .49133 L
.5574 .4894 L
.55684 .48906 L
.55536 .48747 L
.55492 .48609 L
.55451 .48555 L
.55323 .48362 L
.55299 .48331 L
.55187 .48169 L
.55106 .48101 L
.55 .47977 L
.54914 .47795 L
.54906 .47784 L
.54774 .47591 L
.54721 .47519 L
.54639 .47399 L
.54528 .4727 L
.54477 .47206 L
.54367 .47013 L
.54336 .4697 L
.54237 .46821 L
.54143 .46689 L
.54103 .46628 L
.53972 .46435 L
.5395 .46405 L
.5385 .46242 L
.53758 .46106 L
.53724 .4605 L
.53611 .45857 L
.53565 .45778 L
.53529 .45664 L
F
1 .21 0 r
.53565 .4799 m
.53687 .48169 L
.53758 .48256 L
.53828 .48362 L
.5395 .4852 L
.53973 .48555 L
.5395 .48726 L
.53828 .48555 L
.53758 .48472 L
.5368 .48362 L
.53565 .48217 L
.53531 .48169 L
F
1 .2 0 r
.53565 .47998 m
.53681 .48169 L
.53758 .48264 L
.53822 .48362 L
.5395 .48528 L
.53968 .48555 L
.5395 .48717 L
.53835 .48555 L
.53758 .48464 L
.53686 .48362 L
.53565 .4821 L
.53536 .48169 L
F
1 .78 0 r
.53565 .51518 m
.53679 .51638 L
.53758 .51722 L
.53846 .51831 L
.5395 .51961 L
.53997 .52023 L
.5413 .52216 L
.54143 .52235 L
.54238 .52409 L
.54143 .52443 L
.54112 .52409 L
.5395 .5223 L
.5394 .52216 L
.53795 .52023 L
.53758 .51976 L
.53663 .51831 L
.53565 .5169 L
.53536 .51638 L
F
1 .65 0 r
.53565 .53957 m
.53758 .54104 L
.53777 .54143 L
.53947 .54336 L
.5395 .5434 L
.54095 .54528 L
.54143 .54588 L
.54238 .54721 L
.54336 .54852 L
.54378 .54914 L
.54509 .55106 L
.54528 .55135 L
.54623 .55299 L
.54721 .55484 L
.54724 .55492 L
.54721 .55552 L
.54604 .55492 L
.54528 .55433 L
.54401 .55299 L
.54336 .55231 L
.54232 .55106 L
.54143 .55002 L
.54074 .54914 L
.5395 .5477 L
.53894 .54721 L
.53787 .54528 L
.53758 .54487 L
.53658 .54336 L
.53565 .54186 L
.53541 .54143 L
F
1 .19 0 r
.53565 .48006 m
.53674 .48169 L
.53758 .48272 L
.53816 .48362 L
.5395 .48536 L
.53963 .48555 L
.5395 .48707 L
.53843 .48555 L
.53758 .48455 L
.53692 .48362 L
.53565 .48203 L
.53541 .48169 L
F
0 .45 1 r
.53565 .48841 m
.53611 .4894 L
.53565 .48965 L
.53544 .4894 L
F
1 .18 0 r
.53565 .48016 m
.53666 .48169 L
.53758 .48281 L
.5381 .48362 L
.5395 .48544 L
.53957 .48555 L
.5395 .48695 L
.53852 .48555 L
.53758 .48446 L
.53699 .48362 L
.53565 .48195 L
.53547 .48169 L
F
0 .98 1 r
.53565 .53384 m
.53758 .53378 L
.5395 .53404 L
.54123 .53565 L
.54143 .53587 L
.54287 .53758 L
.54336 .53836 L
.54406 .5395 L
.54528 .54098 L
.54561 .54143 L
.54702 .54336 L
.54721 .54361 L
.54855 .54528 L
.54914 .54629 L
.54971 .54721 L
.55106 .54893 L
.55126 .54914 L
.55266 .55106 L
.55299 .55138 L
.55417 .55299 L
.55492 .55407 L
.55533 .55492 L
.55684 .55679 L
.55688 .55684 L
.55871 .55877 L
.55877 .55949 L
.55974 .5607 L
.5607 .56219 L
.56092 .56263 L
.5623 .56455 L
.56263 .5652 L
.56288 .56648 L
.56263 .56654 L
.5607 .56671 L
.55941 .56648 L
.55877 .56628 L
.55684 .56462 L
.55679 .56455 L
.55502 .56263 L
.55492 .56226 L
.55377 .5607 L
.55299 .55972 L
.55263 .55877 L
.55106 .55711 L
.55087 .55684 L
.5493 .55492 L
.54914 .55443 L
.54809 .55299 L
.54721 .5517 L
.54698 .55106 L
.54528 .54916 L
.54521 .54914 L
.54364 .54721 L
.54336 .54664 L
.54246 .54528 L
.54143 .54396 L
.54135 .54336 L
.53959 .54143 L
.5395 .54131 L
.53802 .5395 L
.53758 .53862 L
.53688 .53758 L
.53565 .53587 L
.53548 .53565 L
F
1 .64 0 r
.53565 .53973 m
.53758 .54118 L
.5377 .54143 L
.5394 .54336 L
.5395 .54347 L
.5409 .54528 L
.54143 .54595 L
.54233 .54721 L
.54336 .54859 L
.54373 .54914 L
.54502 .55106 L
.54528 .55145 L
.54614 .55299 L
.54528 .55421 L
.5441 .55299 L
.54336 .55222 L
.54238 .55106 L
.54143 .54994 L
.5408 .54914 L
.5395 .5476 L
.53906 .54721 L
.53793 .54528 L
.53758 .54478 L
.53664 .54336 L
.53565 .54172 L
.53549 .54143 L
F
0 .93 1 r
.53565 .50581 m
.53641 .50674 L
.53758 .50797 L
.53811 .50867 L
.5395 .51029 L
.5397 .5106 L
.54123 .51253 L
.54143 .51276 L
.54274 .51445 L
.54336 .51494 L
.54422 .51638 L
.54528 .51774 L
.54585 .51831 L
.54706 .52023 L
.54721 .52044 L
.54844 .52216 L
.54914 .52319 L
.54974 .52409 L
.55092 .52601 L
.55106 .52628 L
.55186 .52794 L
.55106 .52892 L
.54971 .52794 L
.54914 .52741 L
.54791 .52601 L
.54721 .52522 L
.54634 .52409 L
.54528 .52277 L
.54485 .52216 L
.54338 .52023 L
.54336 .52019 L
.54206 .51831 L
.54143 .51744 L
.54074 .51638 L
.5395 .51459 L
.53942 .51445 L
.53825 .51253 L
.53758 .51141 L
.53716 .5106 L
.53622 .50867 L
.53565 .5073 L
.53553 .50674 L
F
1 .17 0 r
.53565 .48026 m
.53657 .48169 L
.53758 .48291 L
.53803 .48362 L
.5395 .48554 L
.53951 .48555 L
.5395 .48683 L
.53863 .48555 L
.53758 .48436 L
.53707 .48362 L
.53565 .48186 L
.53553 .48169 L
F
1 .8 0 r
.53565 .58196 m
.53684 .58382 L
.53758 .5848 L
.53816 .58575 L
.53758 .58632 L
.53717 .58575 L
.53565 .58397 L
.53555 .58382 L
F
1 .77 0 r
.53565 .51558 m
.53651 .51638 L
.53758 .51745 L
.53828 .51831 L
.5395 .51983 L
.5398 .52023 L
.5395 .52212 L
.53812 .52023 L
.53758 .51954 L
.5368 .51831 L
.53565 .51659 L
.53555 .51638 L
F
1 .63 0 r
.53565 .53993 m
.53758 .54133 L
.53763 .54143 L
.53933 .54336 L
.5395 .54355 L
.54084 .54528 L
.54143 .54602 L
.54228 .54721 L
.54336 .54866 L
.54368 .54914 L
.54495 .55106 L
.54528 .55156 L
.54605 .55299 L
.54528 .55409 L
.5442 .55299 L
.54336 .55213 L
.54246 .55106 L
.54143 .54986 L
.54086 .54914 L
.5395 .54749 L
.53918 .54721 L
.53799 .54528 L
.53758 .54469 L
.53671 .54336 L
.53565 .54158 L
.53557 .54143 L
F
1 .16 0 r
.53565 .48037 m
.53647 .48169 L
.53758 .48302 L
.53795 .48362 L
.53758 .48425 L
.53715 .48362 L
.53565 .48177 L
.5356 .48169 L
F
0 .44 1 r
.53565 .48865 m
.53587 .4894 L
.53565 .48945 L
.5356 .4894 L
F
0 .97 1 r
.53565 .53411 m
.53758 .53392 L
.5395 .53425 L
.54108 .53565 L
.54143 .536 L
.54281 .53758 L
.54336 .53845 L
.54402 .5395 L
.54528 .54104 L
.54557 .54143 L
.54698 .54336 L
.54721 .54366 L
.54852 .54528 L
.54914 .54633 L
.54969 .54721 L
.55106 .54896 L
.55123 .54914 L
.55263 .55106 L
.55299 .55141 L
.55414 .55299 L
.55492 .55412 L
.55531 .55492 L
.55684 .55684 L
.55684 .55686 L
.5587 .55877 L
.55877 .55957 L
.55968 .5607 L
.5607 .56232 L
.56085 .56263 L
.5621 .56455 L
.5607 .56641 L
.55877 .56597 L
.55704 .56455 L
.55684 .56438 L
.55506 .56263 L
.55492 .56212 L
.55385 .5607 L
.55299 .55962 L
.55267 .55877 L
.55106 .55703 L
.55093 .55684 L
.54932 .55492 L
.54914 .55437 L
.54812 .55299 L
.54721 .55165 L
.547 .55106 L
.54528 .54915 L
.54524 .54914 L
.54366 .54721 L
.54336 .5466 L
.54249 .54528 L
.54143 .54391 L
.54135 .54336 L
.53963 .54143 L
.5395 .54125 L
.53805 .5395 L
.53758 .53853 L
.53694 .53758 L
.53565 .5357 L
.53561 .53565 L
F
0 .26 1 r
.53565 .47214 m
.53713 .47399 L
.53758 .47446 L
.53868 .47591 L
.5395 .47686 L
.54024 .47784 L
.54143 .47929 L
.54178 .47977 L
.54329 .48169 L
.54336 .48177 L
.54472 .48362 L
.54528 .48431 L
.54619 .48555 L
.54721 .48685 L
.54767 .48747 L
.54914 .4894 L
.54914 .4894 L
.55053 .49133 L
.55106 .49201 L
.55195 .49326 L
.55299 .49462 L
.55339 .49518 L
.55482 .49711 L
.55492 .49724 L
.55617 .49904 L
.55684 .49991 L
.55757 .50096 L
.55877 .50257 L
.55899 .50289 L
.56034 .50482 L
.5607 .50529 L
.56166 .50674 L
.56263 .50804 L
.56304 .50867 L
.56438 .5106 L
.56455 .51082 L
.56559 .51253 L
.56648 .51377 L
.56686 .51445 L
.56648 .5153 L
.5658 .51445 L
.56455 .51307 L
.56413 .51253 L
.56263 .51072 L
.56253 .5106 L
.56104 .50867 L
.5607 .50827 L
.55955 .50674 L
.55877 .5058 L
.55804 .50482 L
.55684 .5033 L
.55654 .50289 L
.55508 .50096 L
.55492 .50077 L
.55366 .49904 L
.55299 .4982 L
.55221 .49711 L
.55106 .49563 L
.55074 .49518 L
.54932 .49326 L
.54914 .49302 L
.54794 .49133 L
.54721 .49039 L
.54652 .4894 L
.54528 .48776 L
.54508 .48747 L
.54372 .48555 L
.54336 .48508 L
.54236 .48362 L
.54143 .48238 L
.54097 .48169 L
.53958 .47977 L
.5395 .47967 L
.53831 .47784 L
.53758 .47685 L
.53698 .47591 L
.53565 .47403 L
.53562 .47399 L
F
0 .96 1 r
.53758 .53406 m
.5395 .53443 L
.54094 .53565 L
.54143 .53613 L
.54276 .53758 L
.54336 .53853 L
.54397 .5395 L
.54528 .5411 L
.54553 .54143 L
.54694 .54336 L
.54721 .54371 L
.54849 .54528 L
.54914 .54637 L
.54966 .54721 L
.55106 .549 L
.5512 .54914 L
.55259 .55106 L
.55299 .55145 L
.55411 .55299 L
.55492 .55417 L
.55528 .55492 L
.55679 .55684 L
.55684 .55692 L
.55868 .55877 L
.55877 .55966 L
.55961 .5607 L
.5607 .56246 L
.56078 .56263 L
.5619 .56455 L
.5607 .56615 L
.55877 .5657 L
.55728 .56455 L
.55684 .56417 L
.5551 .56263 L
.55492 .56198 L
.55393 .5607 L
.55299 .55953 L
.55271 .55877 L
.55106 .55696 L
.55098 .55684 L
.54934 .55492 L
.54914 .55431 L
.54816 .55299 L
.54721 .55161 L
.54702 .55106 L
.54528 .54914 L
.54528 .54914 L
.54368 .54721 L
.54336 .54655 L
.54252 .54528 L
.54143 .54386 L
.54136 .54336 L
.53967 .54143 L
.5395 .54119 L
.53809 .5395 L
.53758 .53845 L
.537 .53758 L
.53575 .53565 L
F
0 .95 1 r
.53758 .53419 m
.5395 .5346 L
.54079 .53565 L
.54143 .53625 L
.54269 .53758 L
.54336 .53861 L
.54393 .5395 L
.54528 .54116 L
.54548 .54143 L
.54691 .54336 L
.54721 .54375 L
.54847 .54528 L
.54914 .54641 L
.54964 .54721 L
.55106 .54903 L
.55117 .54914 L
.55256 .55106 L
.55299 .55148 L
.55408 .55299 L
.55492 .55423 L
.55525 .55492 L
.55674 .55684 L
.55684 .55699 L
.55866 .55877 L
.55877 .55975 L
.55955 .5607 L
.5607 .5626 L
.56071 .56263 L
.56169 .56455 L
.5607 .56588 L
.55877 .56545 L
.55753 .56455 L
.55684 .56399 L
.55516 .56263 L
.55492 .56185 L
.554 .5607 L
.55299 .55943 L
.55275 .55877 L
.55106 .55688 L
.55103 .55684 L
.54936 .55492 L
.54914 .55425 L
.54819 .55299 L
.54721 .55157 L
.54703 .55106 L
.54532 .54914 L
.54528 .54911 L
.5437 .54721 L
.54336 .54651 L
.54255 .54528 L
.54143 .54382 L
.54137 .54336 L
.53971 .54143 L
.5395 .54113 L
.53813 .5395 L
.53758 .53836 L
.53706 .53758 L
.53589 .53565 L
F
0 .94 1 r
.53758 .53433 m
.5395 .53476 L
.54065 .53565 L
.54143 .53637 L
.54263 .53758 L
.54336 .53869 L
.54388 .5395 L
.54528 .54122 L
.54544 .54143 L
.54687 .54336 L
.54721 .5438 L
.54844 .54528 L
.54914 .54645 L
.54961 .54721 L
.55106 .54906 L
.55114 .54914 L
.55253 .55106 L
.55299 .55152 L
.55405 .55299 L
.55492 .55428 L
.55523 .55492 L
.5567 .55684 L
.55684 .55705 L
.55864 .55877 L
.55877 .55984 L
.55947 .5607 L
.5606 .56263 L
.5607 .5628 L
.56146 .56455 L
.5607 .5656 L
.55877 .56522 L
.55779 .56455 L
.55684 .56381 L
.55523 .56263 L
.55492 .56173 L
.55408 .5607 L
.55299 .55934 L
.55278 .55877 L
.55109 .55684 L
.55106 .55681 L
.54939 .55492 L
.54914 .55419 L
.54823 .55299 L
.54721 .55153 L
.54705 .55106 L
.54535 .54914 L
.54528 .54907 L
.54372 .54721 L
.54336 .54647 L
.54258 .54528 L
.54143 .54377 L
.54138 .54336 L
.53976 .54143 L
.5395 .54106 L
.53817 .5395 L
.53758 .53827 L
.53713 .53758 L
.53604 .53565 L
F
0 .93 1 r
.53758 .53447 m
.5395 .5349 L
.5405 .53565 L
.54143 .53648 L
.54257 .53758 L
.54336 .53876 L
.54384 .5395 L
.54528 .54128 L
.5454 .54143 L
.54683 .54336 L
.54721 .54384 L
.54841 .54528 L
.54914 .5465 L
.54959 .54721 L
.55106 .54909 L
.5511 .54914 L
.5525 .55106 L
.55299 .55156 L
.55402 .55299 L
.55492 .55433 L
.5552 .55492 L
.55665 .55684 L
.55684 .55712 L
.55861 .55877 L
.55877 .55993 L
.5594 .5607 L
.56048 .56263 L
.5607 .56305 L
.56122 .56455 L
.5607 .5653 L
.55877 .565 L
.55807 .56455 L
.55684 .56364 L
.55532 .56263 L
.55492 .56161 L
.55416 .5607 L
.55299 .55925 L
.55281 .55877 L
.55114 .55684 L
.55106 .55674 L
.54941 .55492 L
.54914 .55413 L
.54826 .55299 L
.54721 .55148 L
.54706 .55106 L
.54538 .54914 L
.54528 .54904 L
.54374 .54721 L
.54336 .54642 L
.54261 .54528 L
.54143 .54372 L
.54138 .54336 L
.5398 .54143 L
.5395 .541 L
.53821 .5395 L
.53758 .53818 L
.53719 .53758 L
.53618 .53565 L
F
0 .92 1 r
.53758 .53461 m
.5395 .53504 L
.54034 .53565 L
.54143 .53659 L
.5425 .53758 L
.54336 .53884 L
.5438 .5395 L
.54528 .54134 L
.54535 .54143 L
.5468 .54336 L
.54721 .54389 L
.54838 .54528 L
.54914 .54654 L
.54956 .54721 L
.55106 .54913 L
.55107 .54914 L
.55246 .55106 L
.55299 .55159 L
.55399 .55299 L
.55492 .55439 L
.55517 .55492 L
.55661 .55684 L
.55684 .55719 L
.55858 .55877 L
.55877 .56002 L
.55932 .5607 L
.56036 .56263 L
.5607 .56337 L
.56095 .56455 L
.5607 .56494 L
.55877 .56478 L
.55837 .56455 L
.55684 .56348 L
.55544 .56263 L
.55492 .56149 L
.55424 .5607 L
.55299 .55916 L
.55284 .55877 L
.55119 .55684 L
.55106 .55668 L
.54943 .55492 L
.54914 .55408 L
.54829 .55299 L
.54721 .55145 L
.54708 .55106 L
.54542 .54914 L
.54528 .549 L
.54376 .54721 L
.54336 .54638 L
.54264 .54528 L
.54143 .54367 L
.54139 .54336 L
.53984 .54143 L
.5395 .54094 L
.53825 .5395 L
.53758 .53808 L
.53725 .53758 L
.53633 .53565 L
F
0 .86 1 r
.53758 .4585 m
.53765 .45857 L
.5395 .46047 L
.53952 .4605 L
.54123 .46242 L
.54143 .46263 L
.54289 .46435 L
.54336 .46488 L
.54452 .46628 L
.54528 .46709 L
.54611 .46821 L
.54721 .46959 L
.54775 .47013 L
.54914 .472 L
.54918 .47206 L
.55072 .47399 L
.55106 .47437 L
.55224 .47591 L
.55299 .47692 L
.55377 .47784 L
.55492 .47945 L
.55508 .47977 L
.55669 .48169 L
.55684 .48187 L
.55861 .48362 L
.55877 .48445 L
.55962 .48555 L
.5607 .48705 L
.56088 .48747 L
.56254 .4894 L
.56263 .48951 L
.56427 .49133 L
.56455 .49211 L
.56538 .49326 L
.56648 .49475 L
.56661 .49518 L
.56831 .49711 L
.56841 .49723 L
.56995 .49904 L
.57033 .49986 L
.5711 .50096 L
.57226 .50251 L
.57232 .50289 L
.57403 .50482 L
.57419 .50501 L
.57562 .50674 L
.57611 .50766 L
.57678 .50867 L
.57804 .51031 L
.57831 .5106 L
.57971 .51253 L
.57997 .51283 L
.58128 .51445 L
.58189 .5155 L
.58244 .51638 L
.58382 .51814 L
.58397 .51831 L
.58538 .52023 L
.58575 .52069 L
.58691 .52216 L
.58768 .52337 L
.58808 .52409 L
.5896 .526 L
.58962 .52601 L
.59102 .52794 L
.59153 .52857 L
.59253 .52987 L
.59346 .53127 L
.59373 .53179 L
.59524 .53372 L
.59538 .53382 L
.59716 .53565 L
.59731 .53648 L
.59812 .53758 L
.59924 .5392 L
.59937 .5395 L
.60084 .54143 L
.60116 .54167 L
.60271 .54336 L
.60309 .54443 L
.6037 .54528 L
.60502 .54717 L
.60503 .54721 L
.60642 .54914 L
.60694 .54959 L
.60821 .55106 L
.60887 .55245 L
.60924 .55299 L
.61058 .55492 L
.6108 .55521 L
.61195 .55684 L
.61273 .55763 L
.61365 .55877 L
.61465 .56058 L
.61473 .5607 L
.61606 .56263 L
.61658 .56334 L
.61741 .56455 L
.61851 .5659 L
.61894 .56648 L
.62011 .56841 L
.62043 .56885 L
.62142 .57033 L
.62236 .57167 L
.62275 .57226 L
.62404 .57419 L
.62429 .57454 L
.62526 .57611 L
.62621 .57754 L
.62651 .57804 L
.62762 .57997 L
.62814 .58087 L
.62849 .58189 L
.62814 .58225 L
.62773 .58189 L
.62621 .58051 L
.62572 .57997 L
.62429 .57858 L
.62396 .57804 L
.62236 .57621 L
.62223 .57611 L
.62068 .57419 L
.62043 .5739 L
.6191 .57226 L
.61851 .57172 L
.61753 .57033 L
.61658 .56916 L
.61578 .56841 L
.61465 .56668 L
.6145 .56648 L
.61298 .56455 L
.61273 .56431 L
.61148 .56263 L
.6108 .56175 L
.60983 .5607 L
.60887 .55919 L
.60859 .55877 L
.60706 .55684 L
.60694 .55673 L
.6056 .55492 L
.60502 .55416 L
.60403 .55299 L
.60309 .55155 L
.6028 .55106 L
.60125 .54914 L
.60116 .54905 L
.5998 .54721 L
.59924 .54646 L
.59829 .54528 L
.59731 .54382 L
.59706 .54336 L
.5955 .54143 L
.59538 .54131 L
.59363 .5395 L
.59346 .53869 L
.5926 .53758 L
.59153 .53604 L
.59135 .53565 L
.5898 .53372 L
.5896 .53352 L
.588 .53179 L
.58768 .53087 L
.58693 .52987 L
.58575 .52821 L
.58565 .52794 L
.58412 .52601 L
.58382 .5257 L
.58238 .52409 L
.58189 .52302 L
.58128 .52216 L
.57997 .52036 L
.57994 .52023 L
.57847 .51831 L
.57804 .51784 L
.57677 .51638 L
.57611 .51513 L
.57565 .51445 L
.57422 .51253 L
.57419 .51252 L
.57283 .5106 L
.57226 .50996 L
.57118 .50867 L
.57033 .50722 L
.57002 .50674 L
.5686 .50482 L
.56841 .50477 L
.56721 .50289 L
.56648 .50204 L
.56561 .50096 L
.56455 .49928 L
.5644 .49904 L
.56301 .49711 L
.56263 .49695 L
.56162 .49518 L
.5607 .49408 L
.56006 .49326 L
.5588 .49133 L
.55877 .49129 L
.55744 .4894 L
.55684 .48903 L
.55539 .48747 L
.55492 .48603 L
.55455 .48555 L
.55326 .48362 L
.55299 .48325 L
.55191 .48169 L
.55106 .48094 L
.55006 .47977 L
.54914 .47787 L
.54911 .47784 L
.5478 .47591 L
.54721 .47511 L
.54644 .47399 L
.54528 .47258 L
.54487 .47206 L
.54375 .47013 L
.54336 .46959 L
.54245 .46821 L
.54143 .46677 L
.54111 .46628 L
.53984 .46435 L
.5395 .46387 L
.53864 .46242 L
.53758 .46081 L
.5374 .4605 L
.53647 .45857 L
F
0 .91 1 r
.53758 .53475 m
.5395 .53518 L
.54019 .53565 L
.54143 .53669 L
.54242 .53758 L
.54336 .53891 L
.54375 .5395 L
.54528 .54139 L
.54531 .54143 L
.54676 .54336 L
.54721 .54393 L
.54835 .54528 L
.54914 .54658 L
.54954 .54721 L
.55104 .54914 L
.55106 .54917 L
.55243 .55106 L
.55299 .55163 L
.55396 .55299 L
.55492 .55444 L
.55514 .55492 L
.55656 .55684 L
.55684 .55726 L
.55854 .55877 L
.55877 .56012 L
.55924 .5607 L
.56024 .56263 L
.5606 .56455 L
.55877 .56457 L
.55874 .56455 L
.55684 .56332 L
.55559 .56263 L
.55492 .56137 L
.55432 .5607 L
.55299 .55907 L
.55288 .55877 L
.55125 .55684 L
.55106 .55661 L
.54946 .55492 L
.54914 .55402 L
.54833 .55299 L
.54721 .55141 L
.54709 .55106 L
.54545 .54914 L
.54528 .54897 L
.54379 .54721 L
.54336 .54634 L
.54267 .54528 L
.54143 .54362 L
.5414 .54336 L
.53988 .54143 L
.5395 .54087 L
.5383 .5395 L
.53758 .53798 L
.53732 .53758 L
.53649 .53565 L
F
0 .9 1 r
.53758 .53489 m
.5395 .53531 L
.54002 .53565 L
.54143 .53679 L
.54235 .53758 L
.54336 .53899 L
.54371 .5395 L
.54527 .54143 L
.54528 .54145 L
.54672 .54336 L
.54721 .54398 L
.54833 .54528 L
.54914 .54662 L
.54951 .54721 L
.55101 .54914 L
.55106 .54921 L
.5524 .55106 L
.55299 .55167 L
.55392 .55299 L
.55492 .5545 L
.55512 .55492 L
.55651 .55684 L
.55684 .55733 L
.5585 .55877 L
.55877 .56023 L
.55916 .5607 L
.56011 .56263 L
.55877 .56438 L
.55684 .56317 L
.55577 .56263 L
.55492 .56126 L
.5544 .5607 L
.55299 .55898 L
.55291 .55877 L
.5513 .55684 L
.55106 .55654 L
.54948 .55492 L
.54914 .55397 L
.54836 .55299 L
.54721 .55137 L
.5471 .55106 L
.54549 .54914 L
.54528 .54894 L
.54381 .54721 L
.54336 .54629 L
.5427 .54528 L
.54143 .54357 L
.5414 .54336 L
.53993 .54143 L
.5395 .54081 L
.53835 .5395 L
.53758 .53787 L
.53739 .53758 L
.53666 .53565 L
F
1 .97 0 r
.53758 .45043 m
.53805 .45086 L
.5395 .452 L
.54001 .45279 L
.54143 .45434 L
.5422 .45472 L
.54336 .45654 L
.54346 .45664 L
.54511 .45857 L
.54528 .45872 L
.54674 .4605 L
.54721 .46111 L
.54863 .46242 L
.54914 .46356 L
.54975 .46435 L
.55106 .46603 L
.5511 .46628 L
.55292 .46821 L
.55299 .46831 L
.55453 .47013 L
.55492 .47086 L
.55574 .47206 L
.55684 .4735 L
.55744 .47399 L
.55877 .47577 L
.55888 .47591 L
.56037 .47784 L
.5607 .47838 L
.56158 .47977 L
.56263 .48112 L
.5633 .48169 L
.56455 .48341 L
.56472 .48362 L
.56615 .48555 L
.56648 .48606 L
.56733 .48747 L
.56841 .48885 L
.56906 .4894 L
.57033 .49115 L
.57047 .49133 L
.57187 .49326 L
.57226 .49384 L
.573 .49518 L
.57419 .49664 L
.57478 .49711 L
.57611 .49896 L
.57617 .49904 L
.57755 .50096 L
.57804 .50167 L
.57864 .50289 L
.57997 .50446 L
.58046 .50482 L
.58187 .50674 L
.58189 .50681 L
.5832 .50867 L
.58382 .50953 L
.58425 .5106 L
.58575 .51229 L
.58612 .51253 L
.58757 .51445 L
.58768 .51468 L
.58884 .51638 L
.5896 .5174 L
.58985 .51831 L
.59153 .5201 L
.59177 .52023 L
.59324 .52216 L
.59346 .52256 L
.59446 .52409 L
.59538 .52528 L
.59545 .52601 L
.59731 .52789 L
.59741 .52794 L
.5989 .52987 L
.59924 .53045 L
.60008 .53179 L
.60116 .53316 L
.60166 .53372 L
.60305 .53565 L
.60309 .53569 L
.60454 .53758 L
.60502 .53835 L
.6057 .5395 L
.60694 .54104 L
.6073 .54143 L
.60869 .54336 L
.60887 .54357 L
.61016 .54528 L
.6108 .54625 L
.61132 .54721 L
.61273 .54891 L
.61293 .54914 L
.61462 .55106 L
.61465 .55146 L
.61578 .55299 L
.61658 .55415 L
.61694 .55492 L
.61851 .55679 L
.61855 .55684 L
.62028 .55877 L
.62043 .55935 L
.62139 .5607 L
.62236 .56206 L
.62258 .56263 L
.62417 .56455 L
.62429 .56463 L
.6259 .56648 L
.62621 .56727 L
.627 .56841 L
.62814 .56999 L
.62824 .57033 L
.62978 .57226 L
.63007 .57247 L
.63149 .57419 L
.63199 .57521 L
.63259 .57611 L
.63392 .57794 L
.63394 .57804 L
.63537 .57997 L
.63585 .58036 L
.63705 .58189 L
.63778 .58319 L
.63817 .58382 L
.63956 .58575 L
.6397 .58594 L
.64093 .58768 L
.64163 .58834 L
.64256 .5896 L
.64356 .59125 L
.64372 .59153 L
.64508 .59346 L
.64548 .594 L
.64645 .59538 L
.64741 .59648 L
.64799 .59731 L
.6492 .59924 L
.64934 .59943 L
.65052 .60116 L
.65126 .6022 L
.65187 .60309 L
.65319 .60495 L
.65324 .60502 L
.65449 .60694 L
.65512 .60785 L
.65577 .60887 L
.65704 .61077 L
.65709 .6108 L
.65818 .61273 L
.65897 .61401 L
.65929 .61465 L
.65897 .61616 L
.65733 .61465 L
.65704 .6144 L
.65547 .61273 L
.65512 .61236 L
.65374 .6108 L
.65319 .61038 L
.65206 .60887 L
.65126 .60793 L
.64993 .60694 L
.64934 .60553 L
.64887 .60502 L
.64741 .60316 L
.64738 .60309 L
.64578 .60116 L
.64548 .60078 L
.64398 .59924 L
.64356 .59824 L
.64283 .59731 L
.64163 .59568 L
.64155 .59538 L
.63981 .59346 L
.6397 .59331 L
.63818 .59153 L
.63778 .59071 L
.63699 .5896 L
.63585 .58805 L
.63582 .58768 L
.63398 .58575 L
.63392 .58567 L
.63244 .58382 L
.63199 .58302 L
.63125 .58189 L
.63007 .58033 L
.62965 .57997 L
.62823 .57804 L
.62814 .57791 L
.62673 .57611 L
.62621 .57524 L
.62556 .57419 L
.62429 .57255 L
.62394 .57226 L
.62253 .57033 L
.62236 .5701 L
.62106 .56841 L
.62043 .56742 L
.6199 .56648 L
.61851 .56475 L
.61826 .56455 L
.6166 .56263 L
.61658 .56226 L
.6154 .5607 L
.61465 .55956 L
.61425 .55877 L
.61273 .55694 L
.61259 .55684 L
.61092 .55492 L
.6108 .55439 L
.60976 .55299 L
.60887 .5517 L
.6086 .55106 L
.60694 .54914 L
.60694 .54914 L
.60527 .54721 L
.60502 .54652 L
.60413 .54528 L
.60309 .54383 L
.60294 .54336 L
.6013 .54143 L
.60116 .54128 L
.59963 .5395 L
.59924 .53863 L
.5985 .53758 L
.59731 .53596 L
.59727 .53565 L
.59566 .53372 L
.59538 .53342 L
.59401 .53179 L
.59346 .53074 L
.59287 .52987 L
.59153 .52808 L
.59142 .52794 L
.59002 .52601 L
.5896 .52555 L
.5884 .52409 L
.58768 .52285 L
.58724 .52216 L
.58578 .52023 L
.58575 .52022 L
.58439 .51831 L
.58382 .51767 L
.58279 .51638 L
.58189 .51494 L
.5816 .51445 L
.58015 .51253 L
.57997 .51245 L
.57876 .5106 L
.57804 .50976 L
.57719 .50867 L
.57611 .50702 L
.57596 .50674 L
.57453 .50482 L
.57419 .50463 L
.57255 .50289 L
.57226 .50184 L
.5716 .50096 L
.57033 .49909 L
.57031 .49904 L
.56892 .49711 L
.56841 .49677 L
.56701 .49518 L
.56648 .49389 L
.56602 .49326 L
.56469 .49133 L
.56455 .49114 L
.56332 .4894 L
.56263 .48883 L
.5615 .48747 L
.5607 .48591 L
.56045 .48555 L
.55911 .48362 L
.55877 .48317 L
.55773 .48169 L
.55684 .48082 L
.55602 .47977 L
.55492 .47787 L
.5549 .47784 L
.55355 .47591 L
.55299 .47516 L
.55218 .47399 L
.55106 .47269 L
.55059 .47206 L
.54939 .47013 L
.54914 .46979 L
.54805 .46821 L
.54721 .46706 L
.54668 .46628 L
.54528 .46436 L
.54528 .46435 L
.54399 .46242 L
.54336 .46155 L
.54267 .4605 L
.54143 .45875 L
.54131 .45857 L
.54007 .45664 L
.5395 .45583 L
.53884 .45472 L
.53759 .45279 L
.53758 .45277 L
.53669 .45086 L
F
1 .62 0 r
.53758 .54146 m
.53926 .54336 L
.5395 .54363 L
.54078 .54528 L
.54143 .54609 L
.54223 .54721 L
.54336 .54873 L
.54363 .54914 L
.54488 .55106 L
.54528 .55169 L
.54596 .55299 L
.54528 .55395 L
.54431 .55299 L
.54336 .55204 L
.54253 .55106 L
.54143 .54978 L
.54092 .54914 L
.5395 .54737 L
.53931 .54721 L
.53806 .54528 L
.53758 .5446 L
.53678 .54336 L
F
0 .89 1 r
.53758 .53505 m
.5395 .53543 L
.53984 .53565 L
.54143 .53689 L
.54226 .53758 L
.54336 .53906 L
.54367 .5395 L
.54522 .54143 L
.54528 .54149 L
.54669 .54336 L
.54721 .54402 L
.5483 .54528 L
.54914 .54666 L
.54949 .54721 L
.55097 .54914 L
.55106 .54926 L
.55237 .55106 L
.55299 .55171 L
.55389 .55299 L
.55492 .55456 L
.55509 .55492 L
.55647 .55684 L
.55684 .5574 L
.55845 .55877 L
.55877 .56034 L
.55907 .5607 L
.55998 .56263 L
.55877 .56419 L
.55684 .56302 L
.556 .56263 L
.55492 .56115 L
.55449 .5607 L
.55299 .5589 L
.55294 .55877 L
.55135 .55684 L
.55106 .55648 L
.54951 .55492 L
.54914 .55392 L
.5484 .55299 L
.54721 .55133 L
.54711 .55106 L
.54552 .54914 L
.54528 .5489 L
.54383 .54721 L
.54336 .54625 L
.54273 .54528 L
.54143 .54352 L
.54141 .54336 L
.53997 .54143 L
.5395 .54074 L
.53839 .5395 L
.53758 .53776 L
.53746 .53758 L
.53683 .53565 L
F
1 .61 0 r
.53758 .54157 m
.53919 .54336 L
.5395 .54371 L
.54072 .54528 L
.54143 .54616 L
.54217 .54721 L
.54336 .54881 L
.54357 .54914 L
.5448 .55106 L
.54528 .55182 L
.54585 .55299 L
.54528 .55381 L
.54443 .55299 L
.54336 .55194 L
.5426 .55106 L
.54143 .5497 L
.54098 .54914 L
.5395 .54726 L
.53945 .54721 L
.53812 .54528 L
.53758 .5445 L
.53685 .54336 L
F
1 .6 0 r
.53758 .54168 m
.53911 .54336 L
.5395 .54379 L
.54066 .54528 L
.54143 .54624 L
.54212 .54721 L
.54336 .54889 L
.54352 .54914 L
.54472 .55106 L
.54528 .55198 L
.54574 .55299 L
.54528 .55364 L
.54457 .55299 L
.54336 .55184 L
.54268 .55106 L
.54143 .54962 L
.54105 .54914 L
.53955 .54721 L
.5395 .54715 L
.53819 .54528 L
.53758 .5444 L
.53692 .54336 L
F
1 .59 0 r
.53758 .54179 m
.53902 .54336 L
.5395 .54388 L
.54059 .54528 L
.54143 .54632 L
.54206 .54721 L
.54336 .54898 L
.54346 .54914 L
.54462 .55106 L
.54528 .55218 L
.5456 .55299 L
.54528 .55345 L
.54473 .55299 L
.54336 .55174 L
.54277 .55106 L
.54143 .54953 L
.54112 .54914 L
.53962 .54721 L
.5395 .54706 L
.53826 .54528 L
.53758 .54429 L
.537 .54336 L
F
1 .76 0 r
.53758 .51774 m
.53805 .51831 L
.5395 .52009 L
.53961 .52023 L
.5395 .52185 L
.53833 .52023 L
.53758 .51927 L
.53702 .51831 L
F
0 .88 1 r
.53758 .53521 m
.5395 .53556 L
.53965 .53565 L
.54143 .53699 L
.54217 .53758 L
.54336 .53913 L
.54362 .5395 L
.54518 .54143 L
.54528 .54154 L
.54665 .54336 L
.54721 .54407 L
.54827 .54528 L
.54914 .5467 L
.54946 .54721 L
.55094 .54914 L
.55106 .5493 L
.55233 .55106 L
.55299 .55176 L
.55386 .55299 L
.55492 .55462 L
.55506 .55492 L
.55642 .55684 L
.55684 .55747 L
.55839 .55877 L
.55877 .56045 L
.55897 .5607 L
.55984 .56263 L
.55877 .56399 L
.55684 .56287 L
.55627 .56263 L
.55492 .56104 L
.55458 .5607 L
.55299 .55882 L
.55297 .55877 L
.5514 .55684 L
.55106 .55642 L
.54954 .55492 L
.54914 .55386 L
.54843 .55299 L
.54721 .55129 L
.54713 .55106 L
.54556 .54914 L
.54528 .54887 L
.54386 .54721 L
.54336 .5462 L
.54276 .54528 L
.54143 .54346 L
.54142 .54336 L
.54001 .54143 L
.5395 .54067 L
.53845 .5395 L
.53758 .53764 L
.53754 .53758 L
.53702 .53565 L
F
0 .25 1 r
.53758 .47454 m
.53863 .47591 L
.5395 .47692 L
.54019 .47784 L
.54143 .47935 L
.54174 .47977 L
.54325 .48169 L
.54336 .48183 L
.54468 .48362 L
.54528 .48436 L
.54615 .48555 L
.54721 .48689 L
.54763 .48747 L
.5491 .4894 L
.54914 .48945 L
.55049 .49133 L
.55106 .49206 L
.55192 .49326 L
.55299 .49466 L
.55336 .49518 L
.55478 .49711 L
.55492 .49728 L
.55614 .49904 L
.55684 .49996 L
.55754 .50096 L
.55877 .50262 L
.55896 .50289 L
.56029 .50482 L
.5607 .50535 L
.56162 .50674 L
.56263 .5081 L
.563 .50867 L
.56432 .5106 L
.56455 .51091 L
.56552 .51253 L
.56648 .51389 L
.56678 .51445 L
.56648 .51518 L
.5659 .51445 L
.56455 .51299 L
.56419 .51253 L
.56263 .51065 L
.56258 .5106 L
.5611 .50867 L
.5607 .50821 L
.5596 .50674 L
.55877 .50574 L
.55808 .50482 L
.55684 .50325 L
.55657 .50289 L
.55512 .50096 L
.55492 .50072 L
.55369 .49904 L
.55299 .49815 L
.55224 .49711 L
.55106 .49558 L
.55077 .49518 L
.54936 .49326 L
.54914 .49298 L
.54797 .49133 L
.54721 .49034 L
.54655 .4894 L
.54528 .48771 L
.54511 .48747 L
.54376 .48555 L
.54336 .48503 L
.5424 .48362 L
.54143 .48233 L
.541 .48169 L
.53963 .47977 L
.5395 .4796 L
.53836 .47784 L
.53758 .47678 L
.53703 .47591 L
F
1 .58 0 r
.53758 .54192 m
.53893 .54336 L
.5395 .54397 L
.54052 .54528 L
.54143 .5464 L
.542 .54721 L
.54336 .54907 L
.5434 .54914 L
.54453 .55106 L
.54528 .55245 L
.54542 .55299 L
.54528 .55321 L
.54495 .55299 L
.54336 .55163 L
.54286 .55106 L
.54143 .54944 L
.54119 .54914 L
.53969 .54721 L
.5395 .54697 L
.53834 .54528 L
.53758 .54417 L
.53708 .54336 L
F
0 .24 1 r
.53758 .47463 m
.53856 .47591 L
.5395 .47699 L
.54014 .47784 L
.54143 .4794 L
.5417 .47977 L
.5432 .48169 L
.54336 .48188 L
.54464 .48362 L
.54528 .48441 L
.54611 .48555 L
.54721 .48694 L
.5476 .48747 L
.54906 .4894 L
.54914 .48949 L
.55045 .49133 L
.55106 .4921 L
.55188 .49326 L
.55299 .4947 L
.55333 .49518 L
.55474 .49711 L
.55492 .49733 L
.5561 .49904 L
.55684 .5 L
.5575 .50096 L
.55877 .50267 L
.55893 .50289 L
.56025 .50482 L
.5607 .5054 L
.56158 .50674 L
.56263 .50816 L
.56295 .50867 L
.56263 .51059 L
.56115 .50867 L
.5607 .50815 L
.55964 .50674 L
.55877 .50569 L
.55812 .50482 L
.55684 .50321 L
.55661 .50289 L
.55516 .50096 L
.55492 .50067 L
.55373 .49904 L
.55299 .4981 L
.55227 .49711 L
.55106 .49554 L
.55081 .49518 L
.54939 .49326 L
.54914 .49293 L
.548 .49133 L
.54721 .4903 L
.54658 .4894 L
.54528 .48767 L
.54515 .48747 L
.5438 .48555 L
.54336 .48498 L
.54244 .48362 L
.54143 .48227 L
.54104 .48169 L
.53968 .47977 L
.5395 .47954 L
.53841 .47784 L
.53758 .4767 L
.53708 .47591 L
F
1 .6 0 r
.53758 .46629 m
.53922 .46821 L
.5395 .46851 L
.54083 .47013 L
.54143 .47082 L
.54242 .47206 L
.54336 .47269 L
.54399 .47399 L
.54528 .47554 L
.54575 .47591 L
.54704 .47784 L
.54721 .47804 L
.54854 .47977 L
.54914 .48012 L
.55004 .48169 L
.55106 .48294 L
.55178 .48362 L
.55299 .48553 L
.553 .48555 L
.55445 .48747 L
.55492 .48776 L
.55592 .4894 L
.55684 .49054 L
.55759 .49133 L
.55877 .49318 L
.55882 .49326 L
.56026 .49518 L
.5607 .49548 L
.5617 .49711 L
.56263 .49827 L
.56331 .49904 L
.56455 .50093 L
.56457 .50096 L
.56598 .50289 L
.56648 .50327 L
.56741 .50482 L
.56841 .50608 L
.56896 .50674 L
.57025 .50867 L
.57033 .50877 L
.57165 .5106 L
.57226 .51112 L
.57307 .51253 L
.57419 .51398 L
.57456 .51445 L
.57588 .51638 L
.57611 .51669 L
.57727 .51831 L
.57804 .51906 L
.57922 .52023 L
.57997 .52198 L
.58011 .52216 L
.58144 .52409 L
.58189 .52469 L
.58282 .52601 L
.58382 .52715 L
.58455 .52794 L
.58559 .52987 L
.58575 .53008 L
.58693 .53179 L
.58768 .53282 L
.5883 .53372 L
.5896 .5355 L
.58973 .53565 L
.59097 .53758 L
.59153 .53835 L
.59229 .5395 L
.59346 .54117 L
.59363 .54143 L
.59487 .54336 L
.59538 .5441 L
.59609 .54528 L
.59731 .54715 L
.59735 .54721 L
.59731 .54889 L
.59574 .54721 L
.59538 .54687 L
.59404 .54528 L
.59346 .54465 L
.5924 .54336 L
.59153 .54234 L
.5908 .54143 L
.5896 .54012 L
.58923 .5395 L
.5877 .53758 L
.58768 .53755 L
.5862 .53565 L
.58575 .53509 L
.58469 .53372 L
.58382 .5328 L
.58319 .53179 L
.58189 .53013 L
.58165 .52987 L
.58025 .52794 L
.57997 .52759 L
.57878 .52601 L
.57804 .52522 L
.57667 .52409 L
.57611 .52252 L
.57581 .52216 L
.57442 .52023 L
.57419 .51993 L
.57298 .51831 L
.57226 .51752 L
.57104 .51638 L
.57033 .51479 L
.57006 .51445 L
.56868 .51253 L
.56841 .51217 L
.56726 .5106 L
.56648 .50973 L
.56545 .50867 L
.56455 .50697 L
.56438 .50674 L
.563 .50482 L
.56263 .50433 L
.56159 .50289 L
.5607 .50185 L
.55989 .50096 L
.55877 .49907 L
.55875 .49904 L
.55737 .49711 L
.55684 .49641 L
.55597 .49518 L
.55492 .49388 L
.55438 .49326 L
.55317 .49133 L
.55299 .49109 L
.5518 .4894 L
.55106 .48841 L
.55041 .48747 L
.54914 .48579 L
.54894 .48555 L
.54766 .48362 L
.54721 .48301 L
.5463 .48169 L
.54528 .4807 L
.54492 .47977 L
.54357 .47784 L
.54336 .47755 L
.54226 .47591 L
.54143 .47475 L
.54092 .47399 L
.53958 .47206 L
.5395 .47195 L
.53836 .47013 L
.53758 .469 L
.5371 .46821 L
F
0 .23 1 r
.53758 .47471 m
.5385 .47591 L
.5395 .47705 L
.54009 .47784 L
.54143 .47946 L
.54166 .47977 L
.54315 .48169 L
.54336 .48193 L
.5446 .48362 L
.54528 .48446 L
.54608 .48555 L
.54721 .48698 L
.54757 .48747 L
.54902 .4894 L
.54914 .48954 L
.55042 .49133 L
.55106 .49215 L
.55185 .49326 L
.55299 .49475 L
.5533 .49518 L
.55471 .49711 L
.55492 .49738 L
.55607 .49904 L
.55684 .50005 L
.55747 .50096 L
.55877 .50271 L
.55889 .50289 L
.56021 .50482 L
.5607 .50546 L
.56153 .50674 L
.56263 .50823 L
.56291 .50867 L
.56263 .51051 L
.56121 .50867 L
.5607 .50809 L
.55969 .50674 L
.55877 .50564 L
.55816 .50482 L
.55684 .50316 L
.55665 .50289 L
.5552 .50096 L
.55492 .50062 L
.55377 .49904 L
.55299 .49806 L
.55231 .49711 L
.55106 .49549 L
.55084 .49518 L
.54943 .49326 L
.54914 .49288 L
.54804 .49133 L
.54721 .49025 L
.54661 .4894 L
.54528 .48762 L
.54518 .48747 L
.54384 .48555 L
.54336 .48492 L
.54248 .48362 L
.54143 .48222 L
.54108 .48169 L
.53973 .47977 L
.5395 .47947 L
.53847 .47784 L
.53758 .47662 L
.53714 .47591 L
F
1 .59 0 r
.53758 .46641 m
.53913 .46821 L
.5395 .4686 L
.54076 .47013 L
.54143 .47089 L
.54237 .47206 L
.54336 .47277 L
.54394 .47399 L
.54528 .47561 L
.54567 .47591 L
.547 .47784 L
.54721 .4781 L
.5485 .47977 L
.54914 .48016 L
.55 .48169 L
.55106 .48299 L
.55174 .48362 L
.55297 .48555 L
.55299 .48558 L
.55442 .48747 L
.55492 .48779 L
.55589 .4894 L
.55684 .49058 L
.55756 .49133 L
.55877 .49322 L
.5588 .49326 L
.56023 .49518 L
.5607 .49551 L
.56167 .49711 L
.56263 .4983 L
.56328 .49904 L
.56455 .50096 L
.56455 .50097 L
.56596 .50289 L
.56648 .50329 L
.56739 .50482 L
.56841 .50612 L
.56893 .50674 L
.57023 .50867 L
.57033 .50881 L
.57163 .5106 L
.57226 .51114 L
.57305 .51253 L
.57419 .51402 L
.57453 .51445 L
.57585 .51638 L
.57611 .51672 L
.57724 .51831 L
.57804 .51909 L
.57918 .52023 L
.57997 .52202 L
.58008 .52216 L
.58142 .52409 L
.58189 .52473 L
.58279 .52601 L
.58382 .5272 L
.5845 .52794 L
.58556 .52987 L
.58575 .53012 L
.5869 .53179 L
.58768 .53286 L
.58826 .53372 L
.5896 .53557 L
.58967 .53565 L
.59093 .53758 L
.59153 .53841 L
.59224 .5395 L
.59346 .54124 L
.59358 .54143 L
.5948 .54336 L
.59538 .5442 L
.59601 .54528 L
.59538 .54675 L
.59413 .54528 L
.59346 .54456 L
.59247 .54336 L
.59153 .54226 L
.59086 .54143 L
.5896 .54004 L
.58928 .5395 L
.58775 .53758 L
.58768 .53749 L
.58624 .53565 L
.58575 .53504 L
.58473 .53372 L
.58382 .53275 L
.58323 .53179 L
.58189 .53009 L
.58169 .52987 L
.58028 .52794 L
.57997 .52755 L
.57881 .52601 L
.57804 .52519 L
.5767 .52409 L
.57611 .52248 L
.57584 .52216 L
.57445 .52023 L
.57419 .5199 L
.57301 .51831 L
.57226 .51749 L
.57107 .51638 L
.57033 .51476 L
.57009 .51445 L
.5687 .51253 L
.56841 .51214 L
.56728 .5106 L
.56648 .50969 L
.56547 .50867 L
.56455 .50694 L
.5644 .50674 L
.56302 .50482 L
.56263 .5043 L
.56161 .50289 L
.5607 .50182 L
.55991 .50096 L
.55877 .49904 L
.55877 .49904 L
.55739 .49711 L
.55684 .49638 L
.55599 .49518 L
.55492 .49384 L
.55441 .49326 L
.55319 .49133 L
.55299 .49106 L
.55183 .4894 L
.55106 .48837 L
.55043 .48747 L
.54914 .48574 L
.54898 .48555 L
.54769 .48362 L
.54721 .48297 L
.54633 .48169 L
.54528 .48063 L
.54495 .47977 L
.54361 .47784 L
.54336 .4775 L
.5423 .47591 L
.54143 .47469 L
.54096 .47399 L
.53964 .47206 L
.5395 .47187 L
.53842 .47013 L
.53758 .4689 L
.53716 .46821 L
F
1 .57 0 r
.53758 .54206 m
.53883 .54336 L
.5395 .54406 L
.54045 .54528 L
.54143 .54649 L
.54194 .54721 L
.54333 .54914 L
.54336 .54917 L
.54442 .55106 L
.54336 .55151 L
.54296 .55106 L
.54143 .54935 L
.54126 .54914 L
.53977 .54721 L
.5395 .54687 L
.53842 .54528 L
.53758 .54405 L
.53717 .54336 L
F
0 .22 1 r
.53758 .47481 m
.53842 .47591 L
.5395 .47712 L
.54004 .47784 L
.54143 .47952 L
.54162 .47977 L
.5431 .48169 L
.54336 .48199 L
.54456 .48362 L
.54528 .48451 L
.54604 .48555 L
.54721 .48703 L
.54753 .48747 L
.54898 .4894 L
.54914 .48959 L
.55038 .49133 L
.55106 .49219 L
.55181 .49326 L
.55299 .49479 L
.55327 .49518 L
.55467 .49711 L
.55492 .49743 L
.55603 .49904 L
.55684 .5001 L
.55743 .50096 L
.55877 .50277 L
.55886 .50289 L
.56016 .50482 L
.5607 .50553 L
.56149 .50674 L
.56263 .5083 L
.56286 .50867 L
.56263 .51043 L
.56127 .50867 L
.5607 .50802 L
.55974 .50674 L
.55877 .50558 L
.55821 .50482 L
.55684 .50311 L
.55669 .50289 L
.55524 .50096 L
.55492 .50057 L
.55381 .49904 L
.55299 .49801 L
.55234 .49711 L
.55106 .49545 L
.55087 .49518 L
.54947 .49326 L
.54914 .49284 L
.54808 .49133 L
.54721 .4902 L
.54665 .4894 L
.54528 .48758 L
.54521 .48747 L
.54388 .48555 L
.54336 .48487 L
.54252 .48362 L
.54143 .48216 L
.54112 .48169 L
.53978 .47977 L
.5395 .4794 L
.53852 .47784 L
.53758 .47654 L
.5372 .47591 L
F
0 .87 1 r
.53758 .53538 m
.53943 .53565 L
.5395 .53568 L
.54143 .53708 L
.54208 .53758 L
.54336 .5392 L
.54357 .5395 L
.54513 .54143 L
.54528 .54158 L
.54661 .54336 L
.54721 .54411 L
.54823 .54528 L
.54914 .54674 L
.54944 .54721 L
.55091 .54914 L
.55106 .54935 L
.5523 .55106 L
.55299 .5518 L
.55382 .55299 L
.55492 .55468 L
.55503 .55492 L
.55637 .55684 L
.55684 .55755 L
.55833 .55877 L
.55877 .56057 L
.55887 .5607 L
.55969 .56263 L
.55877 .56379 L
.55684 .56273 L
.55659 .56263 L
.55492 .56093 L
.55468 .5607 L
.55302 .55877 L
.55299 .55874 L
.55146 .55684 L
.55106 .55636 L
.54957 .55492 L
.54914 .55381 L
.54847 .55299 L
.54721 .55126 L
.54714 .55106 L
.54559 .54914 L
.54528 .54884 L
.54388 .54721 L
.54336 .54616 L
.54279 .54528 L
.54143 .54341 L
.54142 .54336 L
.54006 .54143 L
.5395 .5406 L
.5385 .5395 L
.53762 .53758 L
.53758 .53749 L
.53723 .53565 L
F
1 .58 0 r
.53758 .46655 m
.53903 .46821 L
.5395 .4687 L
.54069 .47013 L
.54143 .47097 L
.54231 .47206 L
.54336 .47285 L
.54389 .47399 L
.54528 .47568 L
.54559 .47591 L
.54695 .47784 L
.54721 .47815 L
.54846 .47977 L
.54914 .4802 L
.54997 .48169 L
.55106 .48304 L
.55169 .48362 L
.55293 .48555 L
.55299 .48562 L
.55439 .48747 L
.55492 .48782 L
.55586 .4894 L
.55684 .49062 L
.55753 .49133 L
.55877 .49325 L
.55877 .49326 L
.5602 .49518 L
.5607 .49553 L
.56165 .49711 L
.56263 .49834 L
.56325 .49904 L
.56452 .50096 L
.56455 .501 L
.56594 .50289 L
.56648 .50331 L
.56736 .50482 L
.56841 .50615 L
.56891 .50674 L
.57021 .50867 L
.57033 .50884 L
.57161 .5106 L
.57226 .51117 L
.57302 .51253 L
.57419 .51405 L
.57451 .51445 L
.57583 .51638 L
.57611 .51676 L
.57722 .51831 L
.57804 .51913 L
.57915 .52023 L
.57997 .52206 L
.58005 .52216 L
.58139 .52409 L
.58189 .52477 L
.58277 .52601 L
.58382 .52725 L
.58446 .52794 L
.58552 .52987 L
.58575 .53017 L
.58686 .53179 L
.58768 .53291 L
.58823 .53372 L
.5896 .53565 L
.5896 .53565 L
.59088 .53758 L
.59153 .53848 L
.5922 .5395 L
.59346 .54131 L
.59353 .54143 L
.59473 .54336 L
.59538 .54432 L
.59593 .54528 L
.59538 .54661 L
.59423 .54528 L
.59346 .54446 L
.59255 .54336 L
.59153 .54219 L
.59092 .54143 L
.5896 .53996 L
.58933 .5395 L
.5878 .53758 L
.58768 .53743 L
.58629 .53565 L
.58575 .53499 L
.58477 .53372 L
.58382 .5327 L
.58326 .53179 L
.58189 .53004 L
.58174 .52987 L
.58031 .52794 L
.57997 .52751 L
.57884 .52601 L
.57804 .52515 L
.57674 .52409 L
.57611 .52245 L
.57587 .52216 L
.57447 .52023 L
.57419 .51986 L
.57304 .51831 L
.57226 .51745 L
.5711 .51638 L
.57033 .51472 L
.57012 .51445 L
.56873 .51253 L
.56841 .51211 L
.5673 .5106 L
.56648 .50966 L
.5655 .50867 L
.56455 .50691 L
.56443 .50674 L
.56304 .50482 L
.56263 .50426 L
.56163 .50289 L
.5607 .50178 L
.55994 .50096 L
.5588 .49904 L
.55877 .499 L
.55742 .49711 L
.55684 .49634 L
.55602 .49518 L
.55492 .49381 L
.55444 .49326 L
.55322 .49133 L
.55299 .49102 L
.55185 .4894 L
.55106 .48834 L
.55046 .48747 L
.54914 .48569 L
.54902 .48555 L
.54772 .48362 L
.54721 .48293 L
.54637 .48169 L
.54528 .48055 L
.54498 .47977 L
.54365 .47784 L
.54336 .47744 L
.54235 .47591 L
.54143 .47463 L
.54101 .47399 L
.53969 .47206 L
.5395 .47179 L
.53849 .47013 L
.53758 .46879 L
.53724 .46821 L
F
1 .15 0 r
.53758 .48315 m
.53785 .48362 L
.53758 .48411 L
.53725 .48362 L
F
1 .56 0 r
.53758 .54222 m
.53872 .54336 L
.5395 .54416 L
.54037 .54528 L
.54143 .54658 L
.54187 .54721 L
.54324 .54914 L
.54336 .5493 L
.54429 .55106 L
.54336 .55139 L
.54306 .55106 L
.54143 .54925 L
.54134 .54914 L
.53986 .54721 L
.5395 .54676 L
.5385 .54528 L
.53758 .5439 L
.53726 .54336 L
F
0 .21 1 r
.53758 .47491 m
.53834 .47591 L
.5395 .4772 L
.53999 .47784 L
.54143 .47958 L
.54157 .47977 L
.54305 .48169 L
.54336 .48205 L
.54451 .48362 L
.54528 .48456 L
.546 .48555 L
.54721 .48708 L
.5475 .48747 L
.54894 .4894 L
.54914 .48964 L
.55034 .49133 L
.55106 .49224 L
.55178 .49326 L
.55299 .49484 L
.55324 .49518 L
.55463 .49711 L
.55492 .49748 L
.55599 .49904 L
.55684 .50015 L
.5574 .50096 L
.55877 .50282 L
.55882 .50289 L
.56011 .50482 L
.5607 .50559 L
.56144 .50674 L
.56263 .50837 L
.56282 .50867 L
.56263 .51034 L
.56134 .50867 L
.5607 .50795 L
.55979 .50674 L
.55877 .50552 L
.55825 .50482 L
.55684 .50305 L
.55672 .50289 L
.55529 .50096 L
.55492 .50052 L
.55385 .49904 L
.55299 .49796 L
.55238 .49711 L
.55106 .4954 L
.5509 .49518 L
.54951 .49326 L
.54914 .49279 L
.54811 .49133 L
.54721 .49016 L
.54668 .4894 L
.54528 .48753 L
.54525 .48747 L
.54392 .48555 L
.54336 .48481 L
.54256 .48362 L
.54143 .4821 L
.54116 .48169 L
.53984 .47977 L
.5395 .47932 L
.53859 .47784 L
.53758 .47644 L
.53726 .47591 L
F
1 .57 0 r
.53758 .4667 m
.53892 .46821 L
.5395 .4688 L
.54061 .47013 L
.54143 .47105 L
.54225 .47206 L
.54336 .47294 L
.54384 .47399 L
.54528 .47575 L
.5455 .47591 L
.54691 .47784 L
.54721 .47821 L
.54842 .47977 L
.54914 .48024 L
.54993 .48169 L
.55106 .48309 L
.55164 .48362 L
.5529 .48555 L
.55299 .48566 L
.55436 .48747 L
.55492 .48784 L
.55583 .4894 L
.55684 .49066 L
.55749 .49133 L
.55875 .49326 L
.55877 .49329 L
.56018 .49518 L
.5607 .49556 L
.56162 .49711 L
.56263 .49837 L
.56322 .49904 L
.5645 .50096 L
.56455 .50103 L
.56591 .50289 L
.56648 .50334 L
.56734 .50482 L
.56841 .50618 L
.56888 .50674 L
.57018 .50867 L
.57033 .50887 L
.57158 .5106 L
.57226 .5112 L
.573 .51253 L
.57419 .51409 L
.57448 .51445 L
.5758 .51638 L
.57611 .51679 L
.57719 .51831 L
.57804 .51917 L
.57911 .52023 L
.57997 .5221 L
.58001 .52216 L
.58136 .52409 L
.58189 .52481 L
.58274 .52601 L
.58382 .5273 L
.58441 .52794 L
.58549 .52987 L
.58575 .53021 L
.58683 .53179 L
.58768 .53296 L
.58819 .53372 L
.58956 .53565 L
.5896 .53571 L
.59084 .53758 L
.59153 .53854 L
.59215 .5395 L
.59346 .54139 L
.59348 .54143 L
.59465 .54336 L
.59538 .54444 L
.59585 .54528 L
.59538 .54647 L
.59434 .54528 L
.59346 .54436 L
.59262 .54336 L
.59153 .54211 L
.59098 .54143 L
.5896 .53987 L
.58939 .5395 L
.58785 .53758 L
.58768 .53737 L
.58633 .53565 L
.58575 .53494 L
.58481 .53372 L
.58382 .53265 L
.5833 .53179 L
.58189 .52999 L
.58178 .52987 L
.58034 .52794 L
.57997 .52747 L
.57888 .52601 L
.57804 .52511 L
.57678 .52409 L
.57611 .52241 L
.5759 .52216 L
.5745 .52023 L
.57419 .51983 L
.57306 .51831 L
.57226 .51742 L
.57113 .51638 L
.57033 .51469 L
.57014 .51445 L
.56875 .51253 L
.56841 .51207 L
.56733 .5106 L
.56648 .50963 L
.56553 .50867 L
.56455 .50687 L
.56445 .50674 L
.56307 .50482 L
.56263 .50423 L
.56166 .50289 L
.5607 .50175 L
.55997 .50096 L
.55882 .49904 L
.55877 .49897 L
.55744 .49711 L
.55684 .49631 L
.55604 .49518 L
.55492 .49377 L
.55447 .49326 L
.55325 .49133 L
.55299 .49099 L
.55188 .4894 L
.55106 .4883 L
.55049 .48747 L
.54914 .48564 L
.54906 .48555 L
.54775 .48362 L
.54721 .48288 L
.5464 .48169 L
.54528 .48048 L
.54502 .47977 L
.54369 .47784 L
.54336 .47738 L
.54239 .47591 L
.54143 .47457 L
.54105 .47399 L
.53976 .47206 L
.5395 .4717 L
.53856 .47013 L
.53758 .46867 L
.53731 .46821 L
F
0 .2 1 r
.53758 .47503 m
.53825 .47591 L
.5395 .47728 L
.53993 .47784 L
.54143 .47964 L
.54152 .47977 L
.54299 .48169 L
.54336 .48211 L
.54446 .48362 L
.54528 .48461 L
.54596 .48555 L
.54721 .48713 L
.54746 .48747 L
.5489 .4894 L
.54914 .48969 L
.5503 .49133 L
.55106 .49229 L
.55174 .49326 L
.55299 .49488 L
.5532 .49518 L
.55458 .49711 L
.55492 .49753 L
.55595 .49904 L
.55684 .50021 L
.55736 .50096 L
.55877 .50287 L
.55878 .50289 L
.56006 .50482 L
.5607 .50566 L
.56139 .50674 L
.56263 .50844 L
.56277 .50867 L
.56263 .51025 L
.56141 .50867 L
.5607 .50788 L
.55985 .50674 L
.55877 .50546 L
.55829 .50482 L
.55684 .503 L
.55676 .50289 L
.55533 .50096 L
.55492 .50046 L
.55389 .49904 L
.55299 .49791 L
.55241 .49711 L
.55106 .49536 L
.55094 .49518 L
.54955 .49326 L
.54914 .49273 L
.54815 .49133 L
.54721 .49011 L
.54672 .4894 L
.54528 .48748 L
.54528 .48747 L
.54397 .48555 L
.54336 .48475 L
.5426 .48362 L
.54143 .48204 L
.5412 .48169 L
.5399 .47977 L
.5395 .47924 L
.53865 .47784 L
.53758 .47634 L
.53733 .47591 L
F
1 .75 0 r
.53758 .51814 m
.53773 .51831 L
.53758 .51884 L
.53736 .51831 L
F
1 .55 0 r
.53758 .54241 m
.53859 .54336 L
.5395 .54427 L
.54029 .54528 L
.54143 .54667 L
.5418 .54721 L
.54315 .54914 L
.54336 .54944 L
.54413 .55106 L
.54336 .55125 L
.54318 .55106 L
.54143 .54915 L
.54142 .54914 L
.53995 .54721 L
.5395 .54665 L
.53858 .54528 L
.53758 .54374 L
.53736 .54336 L
F
1 .14 0 r
.53758 .48332 m
.53774 .48362 L
.53758 .48394 L
.53737 .48362 L
F
1 .56 0 r
.53758 .46687 m
.5388 .46821 L
.5395 .46891 L
.54053 .47013 L
.54143 .47113 L
.54218 .47206 L
.54336 .47304 L
.54379 .47399 L
.54528 .47582 L
.54541 .47591 L
.54686 .47784 L
.54721 .47826 L
.54838 .47977 L
.54914 .48028 L
.54989 .48169 L
.55106 .48314 L
.55159 .48362 L
.55287 .48555 L
.55299 .4857 L
.55433 .48747 L
.55492 .48787 L
.5558 .4894 L
.55684 .4907 L
.55746 .49133 L
.55872 .49326 L
.55877 .49332 L
.56015 .49518 L
.5607 .49558 L
.5616 .49711 L
.56263 .49841 L
.56319 .49904 L
.56447 .50096 L
.56455 .50107 L
.56589 .50289 L
.56648 .50336 L
.56732 .50482 L
.56841 .50622 L
.56885 .50674 L
.57016 .50867 L
.57033 .5089 L
.57156 .5106 L
.57226 .51123 L
.57298 .51253 L
.57419 .51412 L
.57445 .51445 L
.57578 .51638 L
.57611 .51682 L
.57717 .51831 L
.57804 .5192 L
.57908 .52023 L
.57997 .52214 L
.57998 .52216 L
.58133 .52409 L
.58189 .52484 L
.58271 .52601 L
.58382 .52735 L
.58436 .52794 L
.58546 .52987 L
.58575 .53026 L
.5868 .53179 L
.58768 .53301 L
.58816 .53372 L
.58952 .53565 L
.5896 .53576 L
.59079 .53758 L
.59153 .53861 L
.5921 .5395 L
.59343 .54143 L
.59346 .54147 L
.59457 .54336 L
.59538 .54458 L
.59575 .54528 L
.59538 .54631 L
.59446 .54528 L
.59346 .54426 L
.5927 .54336 L
.59153 .54203 L
.59104 .54143 L
.5896 .53978 L
.58944 .5395 L
.5879 .53758 L
.58768 .53731 L
.58638 .53565 L
.58575 .53488 L
.58485 .53372 L
.58382 .53259 L
.58334 .53179 L
.58189 .52994 L
.58182 .52987 L
.58038 .52794 L
.57997 .52742 L
.57891 .52601 L
.57804 .52507 L
.57682 .52409 L
.57611 .52237 L
.57593 .52216 L
.57453 .52023 L
.57419 .51979 L
.57309 .51831 L
.57226 .51739 L
.57116 .51638 L
.57033 .51466 L
.57017 .51445 L
.56878 .51253 L
.56841 .51204 L
.56735 .5106 L
.56648 .5096 L
.56556 .50867 L
.56455 .50684 L
.56448 .50674 L
.56309 .50482 L
.56263 .5042 L
.56168 .50289 L
.5607 .50172 L
.56 .50096 L
.55884 .49904 L
.55877 .49894 L
.55747 .49711 L
.55684 .49628 L
.55606 .49518 L
.55492 .49373 L
.55451 .49326 L
.55327 .49133 L
.55299 .49095 L
.55191 .4894 L
.55106 .48826 L
.55051 .48747 L
.54914 .48559 L
.5491 .48555 L
.54779 .48362 L
.54721 .48284 L
.54643 .48169 L
.54528 .4804 L
.54505 .47977 L
.54373 .47784 L
.54336 .47733 L
.54243 .47591 L
.54143 .47451 L
.54109 .47399 L
.53982 .47206 L
.5395 .47161 L
.53863 .47013 L
.53758 .46854 L
.53739 .46821 L
F
0 .19 1 r
.53758 .47517 m
.53815 .47591 L
.5395 .47736 L
.53987 .47784 L
.54143 .47971 L
.54148 .47977 L
.54294 .48169 L
.54336 .48218 L
.54442 .48362 L
.54528 .48467 L
.54592 .48555 L
.54721 .48718 L
.54743 .48747 L
.54886 .4894 L
.54914 .48974 L
.55026 .49133 L
.55106 .49234 L
.55171 .49326 L
.55299 .49493 L
.55317 .49518 L
.55454 .49711 L
.55492 .49759 L
.55591 .49904 L
.55684 .50026 L
.55732 .50096 L
.55874 .50289 L
.55877 .50293 L
.56 .50482 L
.5607 .50573 L
.56133 .50674 L
.56263 .50853 L
.56271 .50867 L
.56263 .51014 L
.5615 .50867 L
.5607 .5078 L
.55991 .50674 L
.55877 .5054 L
.55834 .50482 L
.55684 .50294 L
.5568 .50289 L
.55538 .50096 L
.55492 .50041 L
.55393 .49904 L
.55299 .49786 L
.55245 .49711 L
.55106 .49531 L
.55097 .49518 L
.54959 .49326 L
.54914 .49268 L
.54819 .49133 L
.54721 .49006 L
.54676 .4894 L
.54533 .48747 L
.54528 .48742 L
.54401 .48555 L
.54336 .48469 L
.54264 .48362 L
.54143 .48198 L
.54124 .48169 L
.53997 .47977 L
.5395 .47915 L
.53873 .47784 L
.53758 .47622 L
.53741 .47591 L
F
0 .88 1 r
.53758 .57694 m
.53839 .57804 L
.5395 .57935 L
.53996 .57997 L
.54143 .58183 L
.54148 .58189 L
.54143 .58369 L
.54025 .58189 L
.5395 .58096 L
.53889 .57997 L
.53758 .57827 L
.53744 .57804 L
F
0 .86 1 r
.53758 .53557 m
.5391 .53565 L
.5395 .53579 L
.54143 .53718 L
.54198 .53758 L
.54336 .53927 L
.54353 .5395 L
.54509 .54143 L
.54528 .54162 L
.54657 .54336 L
.54721 .54416 L
.5482 .54528 L
.54914 .54678 L
.54941 .54721 L
.55088 .54914 L
.55106 .54939 L
.55227 .55106 L
.55299 .55185 L
.55379 .55299 L
.55492 .55475 L
.555 .55492 L
.55632 .55684 L
.55684 .55762 L
.55826 .55877 L
.55877 .5607 L
.55877 .5607 L
.55953 .56263 L
.55877 .56358 L
.5569 .56263 L
.55684 .56259 L
.55492 .56082 L
.55479 .5607 L
.55309 .55877 L
.55299 .55868 L
.55151 .55684 L
.55106 .55629 L
.5496 .55492 L
.54914 .55376 L
.5485 .55299 L
.54721 .55122 L
.54715 .55106 L
.54563 .54914 L
.54528 .5488 L
.54391 .54721 L
.54336 .54611 L
.54282 .54528 L
.54143 .54336 L
.54143 .54336 L
.5401 .54143 L
.5395 .54053 L
.53856 .5395 L
.5377 .53758 L
.53758 .53727 L
.53748 .53565 L
F
1 .54 0 r
.53758 .54265 m
.53842 .54336 L
.5395 .54438 L
.54021 .54528 L
.54143 .54677 L
.54173 .54721 L
.54143 .54903 L
.54005 .54721 L
.5395 .54653 L
.53868 .54528 L
.53758 .54355 L
.53748 .54336 L
F
1 .55 0 r
.53758 .46708 m
.53866 .46821 L
.5395 .46902 L
.54045 .47013 L
.54143 .47122 L
.54212 .47206 L
.54336 .47315 L
.54373 .47399 L
.54528 .47589 L
.54531 .47591 L
.54681 .47784 L
.54721 .47832 L
.54834 .47977 L
.54914 .48033 L
.54985 .48169 L
.55106 .48319 L
.55154 .48362 L
.55283 .48555 L
.55299 .48575 L
.5543 .48747 L
.55492 .4879 L
.55577 .4894 L
.55684 .49074 L
.55742 .49133 L
.55869 .49326 L
.55877 .49336 L
.56012 .49518 L
.5607 .49561 L
.56157 .49711 L
.56263 .49844 L
.56316 .49904 L
.56445 .50096 L
.56455 .5011 L
.56586 .50289 L
.56648 .50339 L
.56729 .50482 L
.56841 .50625 L
.56882 .50674 L
.57013 .50867 L
.57033 .50893 L
.57153 .5106 L
.57226 .51126 L
.57295 .51253 L
.57419 .51416 L
.57442 .51445 L
.57575 .51638 L
.57611 .51686 L
.57714 .51831 L
.57804 .51924 L
.57904 .52023 L
.57995 .52216 L
.57997 .52218 L
.5813 .52409 L
.58189 .52488 L
.58268 .52601 L
.58382 .52741 L
.58431 .52794 L
.58542 .52987 L
.58575 .53031 L
.58676 .53179 L
.58768 .53306 L
.58813 .53372 L
.58947 .53565 L
.5896 .53582 L
.59074 .53758 L
.59153 .53868 L
.59205 .5395 L
.59336 .54143 L
.59346 .54157 L
.59449 .54336 L
.59538 .54475 L
.59565 .54528 L
.59538 .54613 L
.5946 .54528 L
.59346 .54416 L
.59278 .54336 L
.59153 .54195 L
.59111 .54143 L
.5896 .53969 L
.5895 .5395 L
.58795 .53758 L
.58768 .53725 L
.58642 .53565 L
.58575 .53483 L
.58489 .53372 L
.58382 .53254 L
.58337 .53179 L
.58189 .5299 L
.58187 .52987 L
.58041 .52794 L
.57997 .52738 L
.57894 .52601 L
.57804 .52503 L
.57686 .52409 L
.57611 .52233 L
.57597 .52216 L
.57456 .52023 L
.57419 .51976 L
.57311 .51831 L
.57226 .51735 L
.5712 .51638 L
.57033 .51462 L
.5702 .51445 L
.5688 .51253 L
.56841 .51201 L
.56737 .5106 L
.56648 .50957 L
.56559 .50867 L
.56455 .50681 L
.5645 .50674 L
.56312 .50482 L
.56263 .50417 L
.5617 .50289 L
.5607 .50168 L
.56003 .50096 L
.55887 .49904 L
.55877 .49891 L
.55749 .49711 L
.55684 .49625 L
.55609 .49518 L
.55492 .49369 L
.55454 .49326 L
.5533 .49133 L
.55299 .49092 L
.55193 .4894 L
.55106 .48823 L
.55054 .48747 L
.54914 .48555 L
.54914 .48554 L
.54782 .48362 L
.54721 .4828 L
.54646 .48169 L
.54528 .48032 L
.54508 .47977 L
.54377 .47784 L
.54336 .47727 L
.54247 .47591 L
.54143 .47444 L
.54114 .47399 L
.53989 .47206 L
.5395 .47151 L
.53871 .47013 L
.53758 .46838 L
.53748 .46821 L
F
0 .18 1 r
.53758 .47536 m
.53801 .47591 L
.5395 .47745 L
.5398 .47784 L
.5395 .47905 L
.53881 .47784 L
.53758 .47607 L
.53749 .47591 L
F
0 .85 1 r
.5395 .5359 m
.54143 .53727 L
.54187 .53758 L
.54336 .53934 L
.54348 .5395 L
.54504 .54143 L
.54528 .54167 L
.54654 .54336 L
.54721 .5442 L
.54817 .54528 L
.54914 .54682 L
.54939 .54721 L
.55084 .54914 L
.55106 .54943 L
.55223 .55106 L
.55299 .55189 L
.55375 .55299 L
.55492 .55481 L
.55497 .55492 L
.55628 .55684 L
.55684 .5577 L
.55819 .55877 L
.55868 .5607 L
.55877 .56088 L
.55935 .56263 L
.55877 .56336 L
.55712 .56263 L
.55684 .56246 L
.55492 .56072 L
.5549 .5607 L
.55316 .55877 L
.55299 .55861 L
.55157 .55684 L
.55106 .55623 L
.54963 .55492 L
.54914 .55371 L
.54854 .55299 L
.54721 .55119 L
.54716 .55106 L
.54566 .54914 L
.54528 .54877 L
.54393 .54721 L
.54336 .54606 L
.54285 .54528 L
.54147 .54336 L
.54143 .5433 L
.54014 .54143 L
.5395 .54046 L
.53861 .5395 L
.53779 .53758 L
F
0 .84 1 r
.5395 .53601 m
.54143 .53736 L
.54175 .53758 L
.54336 .53941 L
.54343 .5395 L
.545 .54143 L
.54528 .54171 L
.5465 .54336 L
.54721 .54425 L
.54814 .54528 L
.54914 .54686 L
.54936 .54721 L
.55081 .54914 L
.55106 .54948 L
.5522 .55106 L
.55299 .55194 L
.55372 .55299 L
.55492 .55488 L
.55494 .55492 L
.55623 .55684 L
.55684 .55778 L
.55811 .55877 L
.55858 .5607 L
.55877 .5611 L
.55915 .56263 L
.55877 .56311 L
.55737 .56263 L
.55684 .56232 L
.555 .5607 L
.55492 .56062 L
.55323 .55877 L
.55299 .55855 L
.55162 .55684 L
.55106 .55617 L
.54967 .55492 L
.54914 .55366 L
.54857 .55299 L
.54721 .55115 L
.54718 .55106 L
.54569 .54914 L
.54528 .54873 L
.54396 .54721 L
.54336 .54601 L
.54288 .54528 L
.54151 .54336 L
.54143 .54325 L
.54019 .54143 L
.5395 .54039 L
.53868 .5395 L
.53788 .53758 L
F
0 .83 1 r
.5395 .53613 m
.54143 .53745 L
.54162 .53758 L
.54336 .53948 L
.54337 .5395 L
.54495 .54143 L
.54528 .54175 L
.54646 .54336 L
.54721 .54429 L
.54811 .54528 L
.54914 .5469 L
.54934 .54721 L
.55078 .54914 L
.55106 .54952 L
.55217 .55106 L
.55299 .55199 L
.55368 .55299 L
.5549 .55492 L
.55492 .55494 L
.55618 .55684 L
.55684 .55787 L
.55802 .55877 L
.55848 .5607 L
.55877 .5614 L
.55892 .56263 L
.55877 .56281 L
.5577 .56263 L
.55684 .56219 L
.55511 .5607 L
.55492 .56052 L
.5533 .55877 L
.55299 .55849 L
.55167 .55684 L
.55106 .55611 L
.5497 .55492 L
.54914 .55361 L
.54861 .55299 L
.54721 .55111 L
.54719 .55106 L
.54573 .54914 L
.54528 .54869 L
.54399 .54721 L
.54336 .54597 L
.54291 .54528 L
.54155 .54336 L
.54143 .54319 L
.54023 .54143 L
.5395 .54031 L
.53874 .5395 L
.53797 .53758 L
F
0 .82 1 r
.5395 .53624 m
.54143 .53754 L
.54149 .53758 L
.54331 .5395 L
.54336 .53951 L
.54491 .54143 L
.54528 .5418 L
.54642 .54336 L
.54721 .54433 L
.54807 .54528 L
.54914 .54694 L
.54931 .54721 L
.55074 .54914 L
.55106 .54957 L
.55213 .55106 L
.55299 .55204 L
.55364 .55299 L
.55486 .55492 L
.55492 .55501 L
.55613 .55684 L
.55684 .55795 L
.55792 .55877 L
.55838 .5607 L
.55684 .56206 L
.55522 .5607 L
.55492 .56043 L
.55338 .55877 L
.55299 .55843 L
.55173 .55684 L
.55106 .55606 L
.54974 .55492 L
.54914 .55356 L
.54865 .55299 L
.54721 .55108 L
.5472 .55106 L
.54576 .54914 L
.54528 .54866 L
.54402 .54721 L
.54336 .54592 L
.54295 .54528 L
.54159 .54336 L
.54143 .54313 L
.54028 .54143 L
.5395 .54023 L
.53881 .5395 L
.53806 .53758 L
F
0 .81 1 r
.5395 .53635 m
.54137 .53758 L
.54143 .53763 L
.54325 .5395 L
.54336 .53953 L
.54486 .54143 L
.54528 .54184 L
.54639 .54336 L
.54721 .54438 L
.54804 .54528 L
.54914 .54699 L
.54928 .54721 L
.55071 .54914 L
.55106 .54962 L
.5521 .55106 L
.55299 .5521 L
.5536 .55299 L
.55481 .55492 L
.55492 .55507 L
.55608 .55684 L
.55684 .55804 L
.55781 .55877 L
.55827 .5607 L
.55684 .56192 L
.55534 .5607 L
.55492 .56033 L
.55345 .55877 L
.55299 .55837 L
.55178 .55684 L
.55106 .556 L
.54978 .55492 L
.54914 .55351 L
.54868 .55299 L
.54723 .55106 L
.54721 .55104 L
.5458 .54914 L
.54528 .54862 L
.54405 .54721 L
.54336 .54587 L
.54298 .54528 L
.54163 .54336 L
.54143 .54307 L
.54032 .54143 L
.5395 .54015 L
.53888 .5395 L
.53816 .53758 L
F
0 .8 1 r
.5395 .53647 m
.54126 .53758 L
.54143 .53771 L
.54319 .5395 L
.54336 .53955 L
.54482 .54143 L
.54528 .54188 L
.54635 .54336 L
.54721 .54442 L
.548 .54528 L
.54914 .54703 L
.54926 .54721 L
.55068 .54914 L
.55106 .54966 L
.55207 .55106 L
.55299 .55215 L
.55356 .55299 L
.55477 .55492 L
.55492 .55513 L
.55603 .55684 L
.55684 .55814 L
.55769 .55877 L
.55815 .5607 L
.55684 .56178 L
.55546 .5607 L
.55492 .56024 L
.55352 .55877 L
.55299 .55831 L
.55184 .55684 L
.55106 .55594 L
.54983 .55492 L
.54914 .55346 L
.54872 .55299 L
.54727 .55106 L
.54721 .55099 L
.54583 .54914 L
.54528 .54858 L
.54408 .54721 L
.54336 .54582 L
.54301 .54528 L
.54167 .54336 L
.54143 .54301 L
.54037 .54143 L
.5395 .54007 L
.53896 .5395 L
.53826 .53758 L
F
0 .79 1 r
.5395 .53658 m
.54114 .53758 L
.54143 .53779 L
.54313 .5395 L
.54336 .53956 L
.54477 .54143 L
.54528 .54193 L
.54631 .54336 L
.54721 .54447 L
.54796 .54528 L
.54914 .54707 L
.54923 .54721 L
.55064 .54914 L
.55106 .54971 L
.55203 .55106 L
.55299 .55221 L
.55352 .55299 L
.55473 .55492 L
.55492 .5552 L
.55598 .55684 L
.55684 .55823 L
.55756 .55877 L
.55803 .5607 L
.55684 .56164 L
.55559 .5607 L
.55492 .56014 L
.5536 .55877 L
.55299 .55825 L
.55189 .55684 L
.55106 .55588 L
.54988 .55492 L
.54914 .55342 L
.54876 .55299 L
.54731 .55106 L
.54721 .55094 L
.54587 .54914 L
.54528 .54854 L
.54411 .54721 L
.54336 .54576 L
.54305 .54528 L
.54171 .54336 L
.54143 .54296 L
.54041 .54143 L
.5395 .53999 L
.53904 .5395 L
.53837 .53758 L
F
0 .78 1 r
.5395 .5367 m
.54102 .53758 L
.54143 .53788 L
.54306 .5395 L
.54336 .53958 L
.54472 .54143 L
.54528 .54197 L
.54627 .54336 L
.54721 .54452 L
.54793 .54528 L
.54914 .54711 L
.5492 .54721 L
.55061 .54914 L
.55106 .54975 L
.552 .55106 L
.55299 .55227 L
.55348 .55299 L
.55468 .55492 L
.55492 .55527 L
.55593 .55684 L
.55684 .55834 L
.55742 .55877 L
.55789 .5607 L
.55684 .56149 L
.55573 .5607 L
.55492 .56004 L
.55368 .55877 L
.55299 .55818 L
.55195 .55684 L
.55106 .55582 L
.54993 .55492 L
.54914 .55337 L
.5488 .55299 L
.54735 .55106 L
.54721 .55089 L
.54591 .54914 L
.54528 .5485 L
.54415 .54721 L
.54336 .54571 L
.54308 .54528 L
.54175 .54336 L
.54143 .54289 L
.54046 .54143 L
.5395 .5399 L
.53913 .5395 L
.53848 .53758 L
F
0 .77 1 r
.5395 .53683 m
.54089 .53758 L
.54143 .53796 L
.543 .5395 L
.54336 .5396 L
.54468 .54143 L
.54528 .54202 L
.54623 .54336 L
.54721 .54456 L
.54789 .54528 L
.54914 .54716 L
.54917 .54721 L
.55057 .54914 L
.55106 .5498 L
.55196 .55106 L
.55299 .55233 L
.55343 .55299 L
.55464 .55492 L
.55492 .55534 L
.55587 .55684 L
.55684 .55845 L
.55728 .55877 L
.55775 .5607 L
.55684 .56134 L
.55589 .5607 L
.55492 .55995 L
.55376 .55877 L
.55299 .55812 L
.55201 .55684 L
.55106 .55576 L
.54998 .55492 L
.54914 .55332 L
.54884 .55299 L
.54738 .55106 L
.54721 .55084 L
.54594 .54914 L
.54528 .54845 L
.54418 .54721 L
.54336 .54566 L
.54311 .54528 L
.54179 .54336 L
.54143 .54283 L
.5405 .54143 L
.5395 .5398 L
.53922 .5395 L
.5386 .53758 L
F
0 .92 1 r
.5395 .51103 m
.54079 .51253 L
.54143 .51326 L
.54238 .51445 L
.54336 .51538 L
.5439 .51638 L
.54528 .51819 L
.54541 .51831 L
.54678 .52023 L
.54721 .52083 L
.54815 .52216 L
.54914 .52364 L
.54943 .52409 L
.55054 .52601 L
.55106 .52732 L
.55115 .52794 L
.55106 .52805 L
.55045 .52794 L
.54914 .527 L
.54821 .52601 L
.54721 .52492 L
.54657 .52409 L
.54528 .52251 L
.54503 .52216 L
.5436 .52023 L
.54336 .51991 L
.54228 .51831 L
.54143 .51712 L
.54096 .51638 L
.5397 .51445 L
.5395 .51415 L
.53864 .51253 L
F
0 .76 1 r
.5395 .53696 m
.54075 .53758 L
.54143 .53804 L
.54293 .5395 L
.54336 .53962 L
.54463 .54143 L
.54528 .54206 L
.54619 .54336 L
.54721 .54461 L
.54785 .54528 L
.54914 .5472 L
.54914 .54721 L
.55054 .54914 L
.55106 .54985 L
.55193 .55106 L
.55299 .5524 L
.55339 .55299 L
.55459 .55492 L
.55492 .55541 L
.55582 .55684 L
.55684 .55856 L
.55712 .55877 L
.55758 .5607 L
.55684 .56118 L
.55607 .5607 L
.55492 .55985 L
.55384 .55877 L
.55299 .55805 L
.55207 .55684 L
.55106 .5557 L
.55004 .55492 L
.54914 .55327 L
.54888 .55299 L
.54742 .55106 L
.54721 .55079 L
.54598 .54914 L
.54528 .54841 L
.54422 .54721 L
.54336 .5456 L
.54315 .54528 L
.54183 .54336 L
.54143 .54277 L
.54055 .54143 L
.5395 .53971 L
.53931 .5395 L
.53873 .53758 L
F
1 .53 0 r
.5395 .54451 m
.54011 .54528 L
.54143 .54688 L
.54165 .54721 L
.54143 .54889 L
.54015 .54721 L
.5395 .54639 L
.53878 .54528 L
F
1 .54 0 r
.5395 .46914 m
.54035 .47013 L
.54143 .4713 L
.54205 .47206 L
.54336 .47326 L
.54367 .47399 L
.54525 .47591 L
.54528 .47596 L
.54677 .47784 L
.54721 .47837 L
.54829 .47977 L
.54914 .48038 L
.54982 .48169 L
.55106 .48324 L
.55149 .48362 L
.5528 .48555 L
.55299 .48579 L
.55426 .48747 L
.55492 .48794 L
.55574 .4894 L
.55684 .49078 L
.55738 .49133 L
.55866 .49326 L
.55877 .4934 L
.5601 .49518 L
.5607 .49563 L
.56155 .49711 L
.56263 .49848 L
.56313 .49904 L
.56442 .50096 L
.56455 .50113 L
.56584 .50289 L
.56648 .50342 L
.56727 .50482 L
.56841 .50629 L
.5688 .50674 L
.57011 .50867 L
.57033 .50897 L
.57151 .5106 L
.57226 .51129 L
.57293 .51253 L
.57419 .5142 L
.57439 .51445 L
.57573 .51638 L
.57611 .51689 L
.57712 .51831 L
.57804 .51928 L
.579 .52023 L
.57992 .52216 L
.57997 .52222 L
.58128 .52409 L
.58189 .52492 L
.58266 .52601 L
.58382 .52746 L
.58426 .52794 L
.58539 .52987 L
.58575 .53035 L
.58673 .53179 L
.58768 .53311 L
.58809 .53372 L
.58943 .53565 L
.5896 .53589 L
.5907 .53758 L
.59153 .53875 L
.592 .5395 L
.59328 .54143 L
.59346 .54168 L
.59439 .54336 L
.59538 .54496 L
.59552 .54528 L
.59538 .54589 L
.59477 .54528 L
.59346 .54404 L
.59287 .54336 L
.59153 .54186 L
.59118 .54143 L
.5896 .53959 L
.58955 .5395 L
.58801 .53758 L
.58768 .53719 L
.58647 .53565 L
.58575 .53477 L
.58493 .53372 L
.58382 .53248 L
.58341 .53179 L
.58191 .52987 L
.58189 .52985 L
.58045 .52794 L
.57997 .52734 L
.57897 .52601 L
.57804 .52499 L
.57691 .52409 L
.57611 .52229 L
.576 .52216 L
.57459 .52023 L
.57419 .51972 L
.57314 .51831 L
.57226 .51732 L
.57123 .51638 L
.57033 .51459 L
.57022 .51445 L
.56883 .51253 L
.56841 .51198 L
.5674 .5106 L
.56648 .50953 L
.56562 .50867 L
.56455 .50678 L
.56453 .50674 L
.56314 .50482 L
.56263 .50414 L
.56172 .50289 L
.5607 .50165 L
.56006 .50096 L
.55889 .49904 L
.55877 .49888 L
.55752 .49711 L
.55684 .49621 L
.55611 .49518 L
.55492 .49365 L
.55458 .49326 L
.55333 .49133 L
.55299 .49088 L
.55196 .4894 L
.55106 .48819 L
.55057 .48747 L
.54917 .48555 L
.54914 .4855 L
.54785 .48362 L
.54721 .48275 L
.54649 .48169 L
.54528 .48023 L
.54512 .47977 L
.54382 .47784 L
.54336 .47721 L
.54252 .47591 L
.54143 .47437 L
.54119 .47399 L
.53996 .47206 L
.5395 .4714 L
.53879 .47013 L
F
0 .85 1 r
.5395 .46075 m
.54103 .46242 L
.54143 .46284 L
.54273 .46435 L
.54336 .46505 L
.54439 .46628 L
.54528 .46724 L
.546 .46821 L
.54721 .46971 L
.54764 .47013 L
.5491 .47206 L
.54914 .4721 L
.55064 .47399 L
.55106 .47446 L
.55216 .47591 L
.55299 .47701 L
.55371 .47784 L
.55492 .47952 L
.55505 .47977 L
.55663 .48169 L
.55684 .48194 L
.55859 .48362 L
.55877 .48452 L
.55957 .48555 L
.5607 .4871 L
.56085 .48747 L
.56249 .4894 L
.56263 .48956 L
.56425 .49133 L
.56455 .49216 L
.56535 .49326 L
.56648 .49479 L
.5666 .49518 L
.56827 .49711 L
.56841 .49727 L
.56993 .49904 L
.57033 .4999 L
.57107 .50096 L
.57226 .50254 L
.57231 .50289 L
.574 .50482 L
.57419 .50505 L
.5756 .50674 L
.57611 .5077 L
.57676 .50867 L
.57804 .51034 L
.57828 .5106 L
.57969 .51253 L
.57997 .51287 L
.58126 .51445 L
.58189 .51554 L
.58242 .51638 L
.58382 .51817 L
.58395 .51831 L
.58535 .52023 L
.58575 .52072 L
.58689 .52216 L
.58768 .5234 L
.58807 .52409 L
.58959 .52601 L
.5896 .52602 L
.59099 .52794 L
.59153 .5286 L
.5925 .52987 L
.59346 .5313 L
.59371 .53179 L
.59522 .53372 L
.59538 .53383 L
.59715 .53565 L
.59731 .53651 L
.5981 .53758 L
.59924 .53924 L
.59936 .5395 L
.60082 .54143 L
.60116 .54169 L
.60269 .54336 L
.60309 .54447 L
.60367 .54528 L
.60501 .54721 L
.60502 .54721 L
.60638 .54914 L
.60694 .54963 L
.60818 .55106 L
.60887 .55251 L
.6092 .55299 L
.61054 .55492 L
.6108 .55526 L
.61191 .55684 L
.61273 .5577 L
.61359 .55877 L
.61465 .56066 L
.61468 .5607 L
.616 .56263 L
.61658 .56342 L
.61736 .56455 L
.61851 .56602 L
.61885 .56648 L
.62003 .56841 L
.62043 .56896 L
.62134 .57033 L
.62236 .5718 L
.62266 .57226 L
.62392 .57419 L
.62429 .57472 L
.62513 .57611 L
.62621 .57779 L
.62636 .57804 L
.62729 .57997 L
.62621 .58018 L
.62601 .57997 L
.62429 .57826 L
.62416 .57804 L
.62246 .57611 L
.62236 .57601 L
.62082 .57419 L
.62043 .57374 L
.61922 .57226 L
.61851 .5716 L
.61764 .57033 L
.61658 .56904 L
.61588 .56841 L
.61465 .56659 L
.61457 .56648 L
.61305 .56455 L
.61273 .56424 L
.61155 .56263 L
.6108 .56167 L
.60989 .5607 L
.60887 .55912 L
.60863 .55877 L
.60711 .55684 L
.60694 .55668 L
.60564 .55492 L
.60502 .55411 L
.60407 .55299 L
.60309 .5515 L
.60283 .55106 L
.60128 .54914 L
.60116 .54901 L
.59984 .54721 L
.59924 .54642 L
.59832 .54528 L
.59731 .54378 L
.59708 .54336 L
.59553 .54143 L
.59538 .54128 L
.59364 .5395 L
.59346 .53865 L
.59262 .53758 L
.59153 .536 L
.59137 .53565 L
.58982 .53372 L
.5896 .53349 L
.58802 .53179 L
.58768 .53084 L
.58695 .52987 L
.58575 .52818 L
.58566 .52794 L
.58414 .52601 L
.58382 .52567 L
.5824 .52409 L
.58189 .52299 L
.5813 .52216 L
.57997 .52033 L
.57995 .52023 L
.57849 .51831 L
.57804 .51782 L
.57679 .51638 L
.57611 .5151 L
.57567 .51445 L
.57425 .51253 L
.57419 .51252 L
.57285 .5106 L
.57226 .50993 L
.5712 .50867 L
.57033 .50719 L
.57004 .50674 L
.56863 .50482 L
.56841 .50476 L
.56724 .50289 L
.56648 .50201 L
.56563 .50096 L
.56455 .49924 L
.56442 .49904 L
.56303 .49711 L
.56263 .49693 L
.56164 .49518 L
.5607 .49404 L
.56009 .49326 L
.55883 .49133 L
.55877 .49125 L
.55747 .4894 L
.55684 .48899 L
.55543 .48747 L
.55492 .48598 L
.55459 .48555 L
.5533 .48362 L
.55299 .4832 L
.55195 .48169 L
.55106 .48087 L
.55012 .47977 L
.54917 .47784 L
.54914 .4778 L
.54785 .47591 L
.54721 .47504 L
.5465 .47399 L
.54528 .47245 L
.54498 .47206 L
.54382 .47013 L
.54336 .46948 L
.54253 .46821 L
.54143 .46663 L
.5412 .46628 L
.53997 .46435 L
.5395 .46367 L
.53879 .46242 L
F
0 .75 1 r
.5395 .53709 m
.54059 .53758 L
.54143 .53813 L
.54286 .5395 L
.54336 .53964 L
.54458 .54143 L
.54528 .54211 L
.54615 .54336 L
.54721 .54466 L
.54781 .54528 L
.54911 .54721 L
.54914 .54724 L
.5505 .54914 L
.55106 .54989 L
.55189 .55106 L
.55299 .55246 L
.55334 .55299 L
.55454 .55492 L
.55492 .55548 L
.55577 .55684 L
.55684 .55869 L
.55695 .55877 L
.55737 .5607 L
.55684 .561 L
.55628 .5607 L
.55492 .55975 L
.55392 .55877 L
.55299 .55798 L
.55213 .55684 L
.55106 .55564 L
.5501 .55492 L
.54914 .55322 L
.54892 .55299 L
.54746 .55106 L
.54721 .55074 L
.54601 .54914 L
.54528 .54837 L
.54426 .54721 L
.54336 .54555 L
.54319 .54528 L
.54187 .54336 L
.54143 .54271 L
.5406 .54143 L
.5395 .5396 L
.53941 .5395 L
.53888 .53758 L
F
1 .53 0 r
.5395 .46927 m
.54025 .47013 L
.54143 .4714 L
.54198 .47206 L
.54336 .47339 L
.54362 .47399 L
.54519 .47591 L
.54528 .47602 L
.54672 .47784 L
.54721 .47843 L
.54825 .47977 L
.54914 .48043 L
.54978 .48169 L
.55106 .48329 L
.55143 .48362 L
.55276 .48555 L
.55299 .48583 L
.55423 .48747 L
.55492 .48797 L
.55571 .4894 L
.55684 .49082 L
.55734 .49133 L
.55863 .49326 L
.55877 .49343 L
.56007 .49518 L
.5607 .49566 L
.56152 .49711 L
.56263 .49851 L
.5631 .49904 L
.5644 .50096 L
.56455 .50117 L
.56581 .50289 L
.56648 .50345 L
.56725 .50482 L
.56841 .50632 L
.56877 .50674 L
.57008 .50867 L
.57033 .509 L
.57149 .5106 L
.57226 .51132 L
.57291 .51253 L
.57419 .51423 L
.57436 .51445 L
.5757 .51638 L
.57611 .51693 L
.57709 .51831 L
.57804 .51932 L
.57896 .52023 L
.5799 .52216 L
.57997 .52225 L
.58125 .52409 L
.58189 .52496 L
.58263 .52601 L
.58382 .52752 L
.58421 .52794 L
.58536 .52987 L
.58575 .5304 L
.58669 .53179 L
.58768 .53316 L
.58805 .53372 L
.58938 .53565 L
.5896 .53595 L
.59065 .53758 L
.59153 .53883 L
.59195 .5395 L
.5932 .54143 L
.59346 .5418 L
.59429 .54336 L
.59346 .54392 L
.59297 .54336 L
.59153 .54177 L
.59125 .54143 L
.58961 .5395 L
.5896 .53949 L
.58807 .53758 L
.58768 .53712 L
.58652 .53565 L
.58575 .53472 L
.58498 .53372 L
.58382 .53242 L
.58345 .53179 L
.58195 .52987 L
.58189 .5298 L
.58048 .52794 L
.57997 .5273 L
.579 .52601 L
.57804 .52495 L
.57695 .52409 L
.57611 .52225 L
.57603 .52216 L
.57461 .52023 L
.57419 .51968 L
.57317 .51831 L
.57226 .51728 L
.57126 .51638 L
.57033 .51455 L
.57025 .51445 L
.56885 .51253 L
.56841 .51195 L
.56742 .5106 L
.56648 .5095 L
.56565 .50867 L
.56455 .50674 L
.56455 .50674 L
.56316 .50482 L
.56263 .50411 L
.56175 .50289 L
.5607 .50161 L
.5601 .50096 L
.55892 .49904 L
.55877 .49884 L
.55754 .49711 L
.55684 .49618 L
.55613 .49518 L
.55492 .49361 L
.55461 .49326 L
.55336 .49133 L
.55299 .49084 L
.55199 .4894 L
.55106 .48815 L
.55059 .48747 L
.54921 .48555 L
.54914 .48546 L
.54788 .48362 L
.54721 .4827 L
.54653 .48169 L
.54528 .48014 L
.54515 .47977 L
.54386 .47784 L
.54336 .47714 L
.54257 .47591 L
.54143 .4743 L
.54123 .47399 L
.54003 .47206 L
.5395 .47128 L
.53888 .47013 L
F
1 .52 0 r
.5395 .54464 m
.54 .54528 L
.54143 .547 L
.54157 .54721 L
.54143 .54874 L
.54028 .54721 L
.5395 .54624 L
.53889 .54528 L
F
0 .17 1 r
.5395 .47755 m
.53972 .47784 L
.5395 .47894 L
.5389 .47784 L
F
0 .84 1 r
.5395 .46106 m
.5408 .46242 L
.54143 .46306 L
.54257 .46435 L
.54336 .46523 L
.54425 .46628 L
.54528 .46739 L
.54588 .46821 L
.54721 .46984 L
.54752 .47013 L
.54901 .47206 L
.54914 .47222 L
.55055 .47399 L
.55106 .47455 L
.55209 .47591 L
.55299 .4771 L
.55364 .47784 L
.55492 .47959 L
.55501 .47977 L
.55657 .48169 L
.55684 .48201 L
.55856 .48362 L
.55877 .48458 L
.55953 .48555 L
.5607 .48716 L
.56083 .48747 L
.56245 .4894 L
.56263 .48961 L
.56423 .49133 L
.56455 .49222 L
.56532 .49326 L
.56648 .49483 L
.56658 .49518 L
.56823 .49711 L
.56841 .49732 L
.56991 .49904 L
.57033 .49994 L
.57104 .50096 L
.57226 .50258 L
.57231 .50289 L
.57397 .50482 L
.57419 .50508 L
.57558 .50674 L
.57611 .50773 L
.57673 .50867 L
.57804 .51037 L
.57825 .5106 L
.57966 .51253 L
.57997 .5129 L
.58123 .51445 L
.58189 .51557 L
.5824 .51638 L
.58382 .5182 L
.58392 .51831 L
.58533 .52023 L
.58575 .52075 L
.58687 .52216 L
.58768 .52344 L
.58805 .52409 L
.58957 .52601 L
.5896 .52604 L
.59097 .52794 L
.59153 .52863 L
.59248 .52987 L
.59346 .53134 L
.59369 .53179 L
.59519 .53372 L
.59538 .53385 L
.59713 .53565 L
.59731 .53655 L
.59807 .53758 L
.59924 .53927 L
.59934 .5395 L
.60079 .54143 L
.60116 .54172 L
.60267 .54336 L
.60309 .54452 L
.60364 .54528 L
.60498 .54721 L
.60502 .54726 L
.60635 .54914 L
.60694 .54967 L
.60815 .55106 L
.60887 .55256 L
.60917 .55299 L
.6105 .55492 L
.6108 .55532 L
.61187 .55684 L
.61273 .55776 L
.61354 .55877 L
.61463 .5607 L
.61465 .56074 L
.61595 .56263 L
.61658 .5635 L
.6173 .56455 L
.61851 .56615 L
.61876 .56648 L
.61996 .56841 L
.62043 .56908 L
.62125 .57033 L
.62236 .57193 L
.62257 .57226 L
.62379 .57419 L
.62429 .57492 L
.62498 .57611 L
.62429 .57793 L
.62264 .57611 L
.62236 .57582 L
.62097 .57419 L
.62043 .57359 L
.61934 .57226 L
.61851 .57148 L
.61774 .57033 L
.61658 .56893 L
.61599 .56841 L
.61465 .56649 L
.61464 .56648 L
.61313 .56455 L
.61273 .56417 L
.61161 .56263 L
.6108 .5616 L
.60995 .5607 L
.60887 .55905 L
.60868 .55877 L
.60716 .55684 L
.60694 .55663 L
.60569 .55492 L
.60502 .55405 L
.60411 .55299 L
.60309 .55145 L
.60285 .55106 L
.60132 .54914 L
.60116 .54897 L
.59988 .54721 L
.59924 .54637 L
.59836 .54528 L
.59731 .54374 L
.5971 .54336 L
.59556 .54143 L
.59538 .54124 L
.59365 .5395 L
.59346 .53862 L
.59265 .53758 L
.59153 .53597 L
.59138 .53565 L
.58985 .53372 L
.5896 .53346 L
.58803 .53179 L
.58768 .53081 L
.58698 .52987 L
.58575 .52815 L
.58567 .52794 L
.58417 .52601 L
.58382 .52564 L
.58241 .52409 L
.58189 .52296 L
.58132 .52216 L
.57997 .5203 L
.57995 .52023 L
.57851 .51831 L
.57804 .51779 L
.57681 .51638 L
.57611 .51508 L
.57569 .51445 L
.57427 .51253 L
.57419 .51252 L
.57288 .5106 L
.57226 .50991 L
.57122 .50867 L
.57033 .50716 L
.57006 .50674 L
.56865 .50482 L
.56841 .50476 L
.56726 .50289 L
.56648 .50198 L
.56566 .50096 L
.56455 .49921 L
.56445 .49904 L
.56306 .49711 L
.56263 .49691 L
.56167 .49518 L
.5607 .494 L
.56012 .49326 L
.55886 .49133 L
.55877 .49121 L
.5575 .4894 L
.55684 .48895 L
.55547 .48747 L
.55492 .48592 L
.55464 .48555 L
.55334 .48362 L
.55299 .48315 L
.55199 .48169 L
.55106 .4808 L
.55018 .47977 L
.54922 .47784 L
.54914 .47773 L
.5479 .47591 L
.54721 .47496 L
.54655 .47399 L
.54528 .4723 L
.54509 .47206 L
.5439 .47013 L
.54336 .46936 L
.54262 .46821 L
.54143 .46649 L
.5413 .46628 L
.54011 .46435 L
.5395 .46343 L
.53897 .46242 L
F
1 .52 0 r
.5395 .46941 m
.54014 .47013 L
.54143 .47149 L
.5419 .47206 L
.54336 .47352 L
.54355 .47399 L
.54513 .47591 L
.54528 .47609 L
.54667 .47784 L
.54721 .47849 L
.54821 .47977 L
.54914 .48049 L
.54974 .48169 L
.55106 .48334 L
.55138 .48362 L
.55272 .48555 L
.55299 .48588 L
.5542 .48747 L
.55492 .48801 L
.55568 .4894 L
.55684 .49086 L
.55731 .49133 L
.5586 .49326 L
.55877 .49347 L
.56004 .49518 L
.5607 .49569 L
.56149 .49711 L
.56263 .49855 L
.56307 .49904 L
.56437 .50096 L
.56455 .5012 L
.56579 .50289 L
.56648 .50348 L
.56722 .50482 L
.56841 .50636 L
.56874 .50674 L
.57006 .50867 L
.57033 .50903 L
.57146 .5106 L
.57226 .51136 L
.57288 .51253 L
.57419 .51427 L
.57433 .51445 L
.57568 .51638 L
.57611 .51696 L
.57707 .51831 L
.57804 .51937 L
.57892 .52023 L
.57987 .52216 L
.57997 .52229 L
.58122 .52409 L
.58189 .525 L
.5826 .52601 L
.58382 .52758 L
.58415 .52794 L
.58532 .52987 L
.58575 .53045 L
.58666 .53179 L
.58768 .53321 L
.58802 .53372 L
.58933 .53565 L
.5896 .53602 L
.5906 .53758 L
.59153 .53891 L
.5919 .5395 L
.59312 .54143 L
.59346 .54193 L
.59417 .54336 L
.59346 .54378 L
.59308 .54336 L
.59153 .54168 L
.59132 .54143 L
.58968 .5395 L
.5896 .53941 L
.58812 .53758 L
.58768 .53706 L
.58657 .53565 L
.58575 .53466 L
.58502 .53372 L
.58382 .53236 L
.58349 .53179 L
.58199 .52987 L
.58189 .52975 L
.58052 .52794 L
.57997 .52725 L
.57903 .52601 L
.57804 .5249 L
.577 .52409 L
.57611 .52221 L
.57607 .52216 L
.57464 .52023 L
.57419 .51965 L
.57319 .51831 L
.57226 .51725 L
.5713 .51638 L
.57033 .51452 L
.57028 .51445 L
.56888 .51253 L
.56841 .51191 L
.56745 .5106 L
.56648 .50946 L
.56568 .50867 L
.56458 .50674 L
.56455 .50671 L
.56319 .50482 L
.56263 .50408 L
.56177 .50289 L
.5607 .50158 L
.56013 .50096 L
.55894 .49904 L
.55877 .49881 L
.55756 .49711 L
.55684 .49615 L
.55616 .49518 L
.55492 .49356 L
.55465 .49326 L
.55338 .49133 L
.55299 .49081 L
.55201 .4894 L
.55106 .48811 L
.55062 .48747 L
.54924 .48555 L
.54914 .48541 L
.54792 .48362 L
.54721 .48266 L
.54656 .48169 L
.54528 .48005 L
.54518 .47977 L
.54391 .47784 L
.54336 .47708 L
.54261 .47591 L
.54143 .47422 L
.54128 .47399 L
.54011 .47206 L
.5395 .47115 L
.53898 .47013 L
F
0 .16 1 r
.5395 .47766 m
.53964 .47784 L
.5395 .47881 L
.53902 .47784 L
F
1 .51 0 r
.5395 .54481 m
.53988 .54528 L
.54143 .54714 L
.54148 .54721 L
.54143 .54855 L
.54042 .54721 L
.5395 .54606 L
.53903 .54528 L
F
0 .74 1 r
.5395 .53724 m
.5404 .53758 L
.54143 .53821 L
.54279 .5395 L
.54336 .53966 L
.54453 .54143 L
.54528 .54216 L
.54611 .54336 L
.54721 .5447 L
.54776 .54528 L
.54907 .54721 L
.54914 .54729 L
.55047 .54914 L
.55106 .54994 L
.55186 .55106 L
.55299 .55253 L
.5533 .55299 L
.5545 .55492 L
.55492 .55556 L
.55571 .55684 L
.55681 .55877 L
.55684 .55885 L
.55709 .5607 L
.55684 .5608 L
.55657 .5607 L
.55492 .55965 L
.55401 .55877 L
.55299 .55791 L
.55219 .55684 L
.55106 .55558 L
.55016 .55492 L
.54914 .55317 L
.54897 .55299 L
.5475 .55106 L
.54721 .55069 L
.54605 .54914 L
.54528 .54832 L
.54429 .54721 L
.54336 .54549 L
.54322 .54528 L
.54191 .54336 L
.54143 .54264 L
.54064 .54143 L
.53951 .5395 L
.5395 .53949 L
.53904 .53758 L
F
1 .51 0 r
.5395 .46957 m
.54002 .47013 L
.54143 .47159 L
.54182 .47206 L
.54336 .47367 L
.54349 .47399 L
.54507 .47591 L
.54528 .47616 L
.54662 .47784 L
.54721 .47854 L
.54816 .47977 L
.54914 .48055 L
.5497 .48169 L
.55106 .4834 L
.55132 .48362 L
.55269 .48555 L
.55299 .48592 L
.55417 .48747 L
.55492 .48805 L
.55565 .4894 L
.55684 .49091 L
.55727 .49133 L
.55857 .49326 L
.55877 .49351 L
.56001 .49518 L
.5607 .49572 L
.56147 .49711 L
.56263 .49859 L
.56303 .49904 L
.56434 .50096 L
.56455 .50123 L
.56576 .50289 L
.56648 .50351 L
.5672 .50482 L
.56841 .50639 L
.56871 .50674 L
.57003 .50867 L
.57033 .50907 L
.57144 .5106 L
.57226 .51139 L
.57286 .51253 L
.57419 .51431 L
.5743 .51445 L
.57565 .51638 L
.57611 .517 L
.57704 .51831 L
.57804 .51941 L
.57887 .52023 L
.57984 .52216 L
.57997 .52233 L
.58119 .52409 L
.58189 .52504 L
.58257 .52601 L
.58382 .52764 L
.5841 .52794 L
.58528 .52987 L
.58575 .5305 L
.58662 .53179 L
.58768 .53327 L
.58798 .53372 L
.58928 .53565 L
.5896 .53609 L
.59054 .53758 L
.59153 .53899 L
.59184 .5395 L
.59302 .54143 L
.59346 .54209 L
.59402 .54336 L
.59346 .54363 L
.59321 .54336 L
.59153 .54159 L
.5914 .54143 L
.58976 .5395 L
.5896 .53933 L
.58818 .53758 L
.58768 .53699 L
.58662 .53565 L
.58575 .53461 L
.58506 .53372 L
.58382 .5323 L
.58352 .53179 L
.58203 .52987 L
.58189 .52971 L
.58055 .52794 L
.57997 .52721 L
.57906 .52601 L
.57804 .52486 L
.57705 .52409 L
.57611 .52217 L
.5761 .52216 L
.57467 .52023 L
.57419 .51961 L
.57322 .51831 L
.57226 .51721 L
.57134 .51638 L
.57033 .51448 L
.57031 .51445 L
.5689 .51253 L
.56841 .51188 L
.56747 .5106 L
.56648 .50943 L
.56572 .50867 L
.5646 .50674 L
.56455 .50668 L
.56321 .50482 L
.56263 .50404 L
.56179 .50289 L
.5607 .50154 L
.56016 .50096 L
.55897 .49904 L
.55877 .49878 L
.55759 .49711 L
.55684 .49611 L
.55618 .49518 L
.55492 .49352 L
.55469 .49326 L
.55341 .49133 L
.55299 .49077 L
.55204 .4894 L
.55106 .48807 L
.55065 .48747 L
.54927 .48555 L
.54914 .48537 L
.54795 .48362 L
.54721 .48261 L
.54659 .48169 L
.54528 .47995 L
.54522 .47977 L
.54395 .47784 L
.54336 .47701 L
.54266 .47591 L
.54143 .47414 L
.54133 .47399 L
.5402 .47206 L
.5395 .47099 L
.5391 .47013 L
F
0 .83 1 r
.5395 .46143 m
.54052 .46242 L
.54143 .46329 L
.54238 .46435 L
.54336 .46541 L
.5441 .46628 L
.54528 .46755 L
.54575 .46821 L
.54721 .46997 L
.54739 .47013 L
.54891 .47206 L
.54914 .47233 L
.55047 .47399 L
.55106 .47465 L
.55201 .47591 L
.55299 .47718 L
.55357 .47784 L
.55492 .47966 L
.55498 .47977 L
.55651 .48169 L
.55684 .48208 L
.55854 .48362 L
.55877 .48465 L
.55948 .48555 L
.5607 .48721 L
.56081 .48747 L
.5624 .4894 L
.56263 .48967 L
.56421 .49133 L
.56455 .49227 L
.56528 .49326 L
.56648 .49488 L
.56657 .49518 L
.5682 .49711 L
.56841 .49736 L
.56989 .49904 L
.57033 .49999 L
.57101 .50096 L
.57226 .50261 L
.5723 .50289 L
.57394 .50482 L
.57419 .50512 L
.57556 .50674 L
.57611 .50777 L
.57671 .50867 L
.57804 .5104 L
.57822 .5106 L
.57963 .51253 L
.57997 .51293 L
.58121 .51445 L
.58189 .5156 L
.58238 .51638 L
.58382 .51823 L
.58389 .51831 L
.5853 .52023 L
.58575 .52078 L
.58685 .52216 L
.58768 .52347 L
.58803 .52409 L
.58954 .52601 L
.5896 .52605 L
.59095 .52794 L
.59153 .52866 L
.59246 .52987 L
.59346 .53137 L
.59368 .53179 L
.59516 .53372 L
.59538 .53387 L
.59712 .53565 L
.59731 .53658 L
.59805 .53758 L
.59924 .53931 L
.59932 .5395 L
.60076 .54143 L
.60116 .54174 L
.60264 .54336 L
.60309 .54456 L
.60361 .54528 L
.60495 .54721 L
.60502 .5473 L
.60632 .54914 L
.60694 .54971 L
.60811 .55106 L
.60887 .55262 L
.60913 .55299 L
.61046 .55492 L
.6108 .55538 L
.61182 .55684 L
.61273 .55783 L
.61348 .55877 L
.61457 .5607 L
.61465 .56081 L
.61589 .56263 L
.61658 .56358 L
.61724 .56455 L
.61851 .56628 L
.61866 .56648 L
.61988 .56841 L
.62043 .5692 L
.62117 .57033 L
.62236 .57208 L
.62248 .57226 L
.62365 .57419 L
.62429 .57516 L
.62481 .57611 L
.62429 .57764 L
.62286 .57611 L
.62236 .57561 L
.62113 .57419 L
.62043 .57342 L
.61946 .57226 L
.61851 .57134 L
.61784 .57033 L
.61658 .56881 L
.61612 .56841 L
.61473 .56648 L
.61465 .56639 L
.6132 .56455 L
.61273 .5641 L
.61168 .56263 L
.6108 .56152 L
.61001 .5607 L
.60887 .55899 L
.60872 .55877 L
.60721 .55684 L
.60694 .55658 L
.60574 .55492 L
.60502 .55399 L
.60415 .55299 L
.60309 .5514 L
.60288 .55106 L
.60136 .54914 L
.60116 .54893 L
.59991 .54721 L
.59924 .54633 L
.59839 .54528 L
.59731 .5437 L
.59712 .54336 L
.59559 .54143 L
.59538 .54121 L
.59367 .5395 L
.59346 .53858 L
.59268 .53758 L
.59153 .53594 L
.5914 .53565 L
.58988 .53372 L
.5896 .53343 L
.58805 .53179 L
.58768 .53077 L
.587 .52987 L
.58575 .52812 L
.58568 .52794 L
.58419 .52601 L
.58382 .52562 L
.58243 .52409 L
.58189 .52293 L
.58134 .52216 L
.57997 .52028 L
.57996 .52023 L
.57853 .51831 L
.57804 .51777 L
.57683 .51638 L
.57611 .51505 L
.57571 .51445 L
.57429 .51253 L
.57419 .51252 L
.5729 .5106 L
.57226 .50988 L
.57124 .50867 L
.57033 .50713 L
.57008 .50674 L
.56868 .50482 L
.56841 .50475 L
.56728 .50289 L
.56648 .50195 L
.56568 .50096 L
.56455 .49917 L
.56447 .49904 L
.56309 .49711 L
.56263 .49689 L
.5617 .49518 L
.5607 .49395 L
.56016 .49326 L
.55889 .49133 L
.55877 .49117 L
.55753 .4894 L
.55684 .48891 L
.55551 .48747 L
.55492 .48587 L
.55468 .48555 L
.55338 .48362 L
.55299 .48309 L
.55203 .48169 L
.55106 .48072 L
.55025 .47977 L
.54927 .47784 L
.54914 .47766 L
.54796 .47591 L
.54721 .47488 L
.54661 .47399 L
.54528 .47215 L
.54521 .47206 L
.54399 .47013 L
.54336 .46924 L
.54271 .46821 L
.54143 .46634 L
.54139 .46628 L
.54027 .46435 L
.5395 .46312 L
.53917 .46242 L
F
0 .15 1 r
.5395 .47778 m
.53954 .47784 L
.5395 .47864 L
.53919 .47784 L
F
1 .5 0 r
.5395 .54501 m
.53972 .54528 L
.5395 .54583 L
.5392 .54528 L
F
0 .73 1 r
.5395 .5374 m
.54017 .53758 L
.54143 .5383 L
.54272 .5395 L
.54336 .53969 L
.54448 .54143 L
.54528 .54221 L
.54607 .54336 L
.54721 .54475 L
.54772 .54528 L
.54904 .54721 L
.54914 .54734 L
.55044 .54914 L
.55106 .54999 L
.55182 .55106 L
.55299 .5526 L
.55325 .55299 L
.55445 .55492 L
.55492 .55563 L
.55565 .55684 L
.55671 .55877 L
.55492 .55955 L
.5541 .55877 L
.55299 .55784 L
.55225 .55684 L
.55106 .55552 L
.55023 .55492 L
.54914 .55312 L
.54901 .55299 L
.54754 .55106 L
.54721 .55064 L
.54608 .54914 L
.54528 .54827 L
.54434 .54721 L
.54336 .54543 L
.54326 .54528 L
.54195 .54336 L
.54143 .54258 L
.54069 .54143 L
.53958 .5395 L
.5395 .53932 L
.53923 .53758 L
F
1 .5 0 r
.5395 .46977 m
.53986 .47013 L
.54143 .47169 L
.54174 .47206 L
.54336 .47382 L
.54343 .47399 L
.54501 .47591 L
.54528 .47622 L
.54656 .47784 L
.54721 .4786 L
.54812 .47977 L
.54914 .48062 L
.54966 .48169 L
.55106 .48345 L
.55126 .48362 L
.55265 .48555 L
.55299 .48597 L
.55413 .48747 L
.55492 .48809 L
.55562 .4894 L
.55684 .49095 L
.55722 .49133 L
.55854 .49326 L
.55877 .49355 L
.55999 .49518 L
.5607 .49576 L
.56144 .49711 L
.56263 .49863 L
.563 .49904 L
.56432 .50096 L
.56455 .50127 L
.56574 .50289 L
.56648 .50354 L
.56717 .50482 L
.56841 .50643 L
.56868 .50674 L
.57001 .50867 L
.57033 .5091 L
.57141 .5106 L
.57226 .51143 L
.57283 .51253 L
.57419 .51435 L
.57427 .51445 L
.57562 .51638 L
.57611 .51703 L
.57702 .51831 L
.57804 .51946 L
.57883 .52023 L
.57981 .52216 L
.57997 .52237 L
.58116 .52409 L
.58189 .52508 L
.58254 .52601 L
.58382 .5277 L
.58404 .52794 L
.58525 .52987 L
.58575 .53055 L
.58658 .53179 L
.58768 .53332 L
.58794 .53372 L
.58923 .53565 L
.5896 .53616 L
.59049 .53758 L
.59153 .53908 L
.59178 .5395 L
.59291 .54143 L
.59346 .54229 L
.5938 .54336 L
.59346 .54346 L
.59336 .54336 L
.59153 .54148 L
.59148 .54143 L
.58984 .5395 L
.5896 .53925 L
.58825 .53758 L
.58768 .53693 L
.58667 .53565 L
.58575 .53455 L
.5851 .53372 L
.58382 .53223 L
.58356 .53179 L
.58207 .52987 L
.58189 .52966 L
.58059 .52794 L
.57997 .52717 L
.5791 .52601 L
.57804 .52481 L
.57711 .52409 L
.57614 .52216 L
.57611 .52213 L
.5747 .52023 L
.57419 .51958 L
.57325 .51831 L
.57226 .51717 L
.57138 .51638 L
.57034 .51445 L
.57033 .51445 L
.56893 .51253 L
.56841 .51185 L
.56749 .5106 L
.56648 .50939 L
.56575 .50867 L
.56463 .50674 L
.56455 .50664 L
.56324 .50482 L
.56263 .50401 L
.56182 .50289 L
.5607 .5015 L
.5602 .50096 L
.559 .49904 L
.55877 .49874 L
.55761 .49711 L
.55684 .49608 L
.55621 .49518 L
.55492 .49348 L
.55472 .49326 L
.55344 .49133 L
.55299 .49073 L
.55207 .4894 L
.55106 .48803 L
.55067 .48747 L
.5493 .48555 L
.54914 .48532 L
.54798 .48362 L
.54721 .48256 L
.54663 .48169 L
.54528 .47985 L
.54525 .47977 L
.544 .47784 L
.54336 .47694 L
.54271 .47591 L
.54143 .47405 L
.54139 .47399 L
.5403 .47206 L
.5395 .47079 L
.53924 .47013 L
F
0 .91 1 r
.5395 .51207 m
.54006 .51253 L
.54143 .51386 L
.54193 .51445 L
.54336 .51604 L
.54353 .51638 L
.54503 .51831 L
.54528 .51863 L
.54647 .52023 L
.54721 .52127 L
.54784 .52216 L
.54907 .52409 L
.54914 .52421 L
.55005 .52601 L
.54914 .52651 L
.54862 .52601 L
.54721 .52458 L
.54682 .52409 L
.54528 .52222 L
.54524 .52216 L
.54385 .52023 L
.54336 .51957 L
.54253 .51831 L
.54143 .51672 L
.54122 .51638 L
.5401 .51445 L
.5395 .51332 L
.53928 .51253 L
F
0 .82 1 r
.5395 .46202 m
.54011 .46242 L
.54143 .46355 L
.54218 .46435 L
.54336 .4656 L
.54395 .46628 L
.54528 .46772 L
.54562 .46821 L
.54721 .4701 L
.54724 .47013 L
.54881 .47206 L
.54914 .47244 L
.55038 .47399 L
.55106 .47474 L
.55193 .47591 L
.55299 .47727 L
.5535 .47784 L
.55492 .47973 L
.55494 .47977 L
.55645 .48169 L
.55684 .48214 L
.55851 .48362 L
.55877 .48472 L
.55944 .48555 L
.5607 .48726 L
.56079 .48747 L
.56236 .4894 L
.56263 .48972 L
.56418 .49133 L
.56455 .49232 L
.56525 .49326 L
.56648 .49492 L
.56656 .49518 L
.56816 .49711 L
.56841 .4974 L
.56987 .49904 L
.57033 .50003 L
.57099 .50096 L
.57226 .50265 L
.57229 .50289 L
.57391 .50482 L
.57419 .50516 L
.57554 .50674 L
.57611 .50781 L
.57669 .50867 L
.57804 .51043 L
.57819 .5106 L
.57961 .51253 L
.57997 .51296 L
.58119 .51445 L
.58189 .51564 L
.58236 .51638 L
.58382 .51825 L
.58387 .51831 L
.58528 .52023 L
.58575 .52081 L
.58682 .52216 L
.58768 .5235 L
.58801 .52409 L
.58952 .52601 L
.5896 .52607 L
.59092 .52794 L
.59153 .52869 L
.59244 .52987 L
.59346 .5314 L
.59366 .53179 L
.59514 .53372 L
.59538 .53389 L
.59711 .53565 L
.59731 .53662 L
.59802 .53758 L
.59924 .53935 L
.59931 .5395 L
.60073 .54143 L
.60116 .54177 L
.60262 .54336 L
.60309 .5446 L
.60358 .54528 L
.60491 .54721 L
.60502 .54735 L
.60628 .54914 L
.60694 .54975 L
.60807 .55106 L
.60887 .55268 L
.60909 .55299 L
.61042 .55492 L
.6108 .55543 L
.61178 .55684 L
.61273 .55791 L
.61342 .55877 L
.61452 .5607 L
.61465 .56088 L
.61584 .56263 L
.61658 .56366 L
.61718 .56455 L
.61851 .56642 L
.61855 .56648 L
.61979 .56841 L
.62043 .56932 L
.62108 .57033 L
.62236 .57223 L
.62238 .57226 L
.6235 .57419 L
.62429 .57544 L
.62462 .57611 L
.62429 .5773 L
.62311 .57611 L
.62236 .5754 L
.62129 .57419 L
.62043 .57326 L
.61959 .57226 L
.61851 .57119 L
.61795 .57033 L
.61658 .56868 L
.61625 .56841 L
.61481 .56648 L
.61465 .56629 L
.61328 .56455 L
.61273 .56402 L
.61175 .56263 L
.6108 .56144 L
.61008 .5607 L
.60887 .55892 L
.60877 .55877 L
.60727 .55684 L
.60694 .55653 L
.60579 .55492 L
.60502 .55393 L
.60419 .55299 L
.60309 .55135 L
.60291 .55106 L
.6014 .54914 L
.60116 .54889 L
.59995 .54721 L
.59924 .54628 L
.59842 .54528 L
.59731 .54366 L
.59714 .54336 L
.59563 .54143 L
.59538 .54118 L
.59368 .5395 L
.59346 .53854 L
.5927 .53758 L
.59153 .5359 L
.59141 .53565 L
.5899 .53372 L
.5896 .53341 L
.58806 .53179 L
.58768 .53074 L
.58702 .52987 L
.58575 .52809 L
.58569 .52794 L
.58422 .52601 L
.58382 .52559 L
.58245 .52409 L
.58189 .5229 L
.58136 .52216 L
.57997 .52025 L
.57996 .52023 L
.57856 .51831 L
.57804 .51774 L
.57685 .51638 L
.57611 .51502 L
.57573 .51445 L
.57432 .51253 L
.57419 .51251 L
.57292 .5106 L
.57226 .50985 L
.57127 .50867 L
.57033 .5071 L
.5701 .50674 L
.5687 .50482 L
.56841 .50474 L
.56731 .50289 L
.56648 .50191 L
.56571 .50096 L
.56455 .49914 L
.56449 .49904 L
.56311 .49711 L
.56263 .49687 L
.56172 .49518 L
.5607 .49391 L
.56019 .49326 L
.55892 .49133 L
.55877 .49112 L
.55756 .4894 L
.55684 .48887 L
.55556 .48747 L
.55492 .48581 L
.55472 .48555 L
.55342 .48362 L
.55299 .48303 L
.55207 .48169 L
.55106 .48064 L
.55033 .47977 L
.54933 .47784 L
.54914 .47758 L
.54802 .47591 L
.54721 .4748 L
.54667 .47399 L
.54531 .47206 L
.54528 .47202 L
.54407 .47013 L
.54336 .46911 L
.5428 .46821 L
.54152 .46628 L
.54143 .46614 L
.54046 .46435 L
.5395 .46262 L
.53944 .46242 L
F
1 .49 0 r
.5395 .47006 m
.5396 .47013 L
.54143 .47181 L
.54165 .47206 L
.54336 .47398 L
.54336 .47399 L
.54494 .47591 L
.54528 .4763 L
.54651 .47784 L
.54721 .47866 L
.54807 .47977 L
.54914 .48069 L
.54962 .48169 L
.55106 .48351 L
.55119 .48362 L
.55261 .48555 L
.55299 .48601 L
.5541 .48747 L
.55492 .48813 L
.55559 .4894 L
.55684 .49099 L
.55718 .49133 L
.55851 .49326 L
.55877 .49359 L
.55996 .49518 L
.5607 .49579 L
.56142 .49711 L
.56263 .49866 L
.56297 .49904 L
.56429 .50096 L
.56455 .5013 L
.56571 .50289 L
.56648 .50357 L
.56715 .50482 L
.56841 .50647 L
.56864 .50674 L
.56998 .50867 L
.57033 .50913 L
.57139 .5106 L
.57226 .51147 L
.57281 .51253 L
.57419 .51439 L
.57424 .51445 L
.5756 .51638 L
.57611 .51707 L
.57699 .51831 L
.57804 .5195 L
.57878 .52023 L
.57978 .52216 L
.57997 .52241 L
.58113 .52409 L
.58189 .52512 L
.58251 .52601 L
.58382 .52777 L
.58398 .52794 L
.58521 .52987 L
.58575 .5306 L
.58655 .53179 L
.58768 .53338 L
.5879 .53372 L
.58918 .53565 L
.5896 .53624 L
.59043 .53758 L
.59153 .53918 L
.59172 .5395 L
.59153 .54137 L
.58992 .5395 L
.5896 .53917 L
.58831 .53758 L
.58768 .53686 L
.58672 .53565 L
.58575 .53449 L
.58515 .53372 L
.58382 .53217 L
.5836 .53179 L
.58211 .52987 L
.58189 .52961 L
.58062 .52794 L
.57997 .52712 L
.57913 .52601 L
.57804 .52476 L
.57716 .52409 L
.57617 .52216 L
.57611 .52209 L
.57473 .52023 L
.57419 .51954 L
.57327 .51831 L
.57226 .51713 L
.57142 .51638 L
.57037 .51445 L
.57033 .51441 L
.56895 .51253 L
.56841 .51181 L
.56752 .5106 L
.56648 .50936 L
.56579 .50867 L
.56466 .50674 L
.56455 .50661 L
.56326 .50482 L
.56263 .50398 L
.56184 .50289 L
.5607 .50146 L
.56023 .50096 L
.55902 .49904 L
.55877 .49871 L
.55764 .49711 L
.55684 .49605 L
.55623 .49518 L
.55492 .49343 L
.55476 .49326 L
.55347 .49133 L
.55299 .49069 L
.5521 .4894 L
.55106 .48799 L
.5507 .48747 L
.54934 .48555 L
.54914 .48528 L
.54802 .48362 L
.54721 .48251 L
.54666 .48169 L
.54529 .47977 L
.54528 .47975 L
.54405 .47784 L
.54336 .47687 L
.54276 .47591 L
.54145 .47399 L
.54143 .47396 L
.54041 .47206 L
.5395 .47045 L
.53945 .47013 L
F
0 .72 1 r
.54143 .53838 m
.54265 .5395 L
.54336 .53973 L
.54443 .54143 L
.54528 .54226 L
.54603 .54336 L
.54721 .5448 L
.54768 .54528 L
.549 .54721 L
.54914 .54739 L
.5504 .54914 L
.55106 .55004 L
.55179 .55106 L
.55299 .55268 L
.5532 .55299 L
.5544 .55492 L
.55492 .55571 L
.5556 .55684 L
.55661 .55877 L
.55492 .55944 L
.5542 .55877 L
.55299 .55777 L
.55231 .55684 L
.55106 .55546 L
.5503 .55492 L
.54914 .55307 L
.54906 .55299 L
.54758 .55106 L
.54721 .5506 L
.54612 .54914 L
.54528 .54822 L
.54438 .54721 L
.54336 .54537 L
.5433 .54528 L
.54199 .54336 L
.54143 .54251 L
.54074 .54143 L
.53966 .5395 L
F
0 .71 1 r
.54143 .53847 m
.54257 .5395 L
.54336 .53976 L
.54438 .54143 L
.54528 .54231 L
.54599 .54336 L
.54721 .54485 L
.54763 .54528 L
.54896 .54721 L
.54914 .54743 L
.55036 .54914 L
.55106 .55009 L
.55175 .55106 L
.55299 .55275 L
.55315 .55299 L
.55435 .55492 L
.55492 .5558 L
.55554 .55684 L
.5565 .55877 L
.55492 .55934 L
.5543 .55877 L
.55299 .55769 L
.55237 .55684 L
.55106 .5554 L
.55038 .55492 L
.54914 .55302 L
.54911 .55299 L
.54762 .55106 L
.54721 .55055 L
.54616 .54914 L
.54528 .54817 L
.54442 .54721 L
.54336 .54531 L
.54334 .54528 L
.54204 .54336 L
.54143 .54244 L
.54079 .54143 L
.53974 .5395 L
F
0 .99 1 r
.54143 .56583 m
.54292 .56648 L
.54336 .56671 L
.54528 .56779 L
.54617 .56841 L
.54721 .56958 L
.54798 .57033 L
.54914 .57194 L
.54942 .57226 L
.55083 .57419 L
.55106 .5744 L
.55275 .57611 L
.55299 .57703 L
.55381 .57804 L
.55492 .57976 L
.55507 .57997 L
.55642 .58189 L
.55684 .5824 L
.55795 .58382 L
.55877 .58518 L
.55917 .58575 L
.56051 .58768 L
.5607 .58793 L
.56194 .5896 L
.56263 .59069 L
.56318 .59153 L
.56455 .59345 L
.56455 .59346 L
.56597 .59538 L
.56648 .59615 L
.56711 .59731 L
.56841 .59887 L
.56871 .59924 L
.57017 .60116 L
.57033 .60151 L
.57132 .60309 L
.57226 .60424 L
.57296 .60502 L
.57419 .60689 L
.57434 .60694 L
.57579 .60887 L
.57611 .6094 L
.5769 .6108 L
.57804 .61214 L
.57863 .61273 L
.57997 .6146 L
.58001 .61465 L
.58146 .61658 L
.58189 .61726 L
.58259 .61851 L
.58382 .61997 L
.58428 .62043 L
.58566 .62236 L
.58575 .62247 L
.58711 .62429 L
.58768 .62515 L
.58824 .62621 L
.5896 .62784 L
.58989 .62814 L
.59127 .63007 L
.59153 .63039 L
.5927 .63199 L
.59346 .63311 L
.59385 .63392 L
.59538 .63578 L
.59545 .63585 L
.59726 .63778 L
.59731 .63838 L
.59824 .6397 L
.59924 .64113 L
.59944 .64163 L
.60097 .64356 L
.60116 .64368 L
.60278 .64548 L
.60309 .64646 L
.60372 .64741 L
.60502 .64927 L
.60504 .64934 L
.60641 .65126 L
.60694 .65172 L
.60814 .65319 L
.60887 .65475 L
.60911 .65512 L
.6104 .65704 L
.6108 .65762 L
.61172 .65897 L
.61273 .66026 L
.61319 .6609 L
.61427 .66283 L
.61465 .66339 L
.61551 .66475 L
.61658 .66641 L
.61675 .66668 L
.61784 .66861 L
.61851 .66974 L
.61889 .67053 L
.61851 .67151 L
.61753 .67053 L
.61658 .66963 L
.6157 .66861 L
.61465 .66747 L
.61401 .66668 L
.61273 .66531 L
.61239 .66475 L
.6108 .66283 L
.6108 .66282 L
.60929 .6609 L
.60887 .6604 L
.60778 .65897 L
.60694 .6581 L
.60627 .65704 L
.60502 .65548 L
.60466 .65512 L
.60329 .65319 L
.60309 .65295 L
.60183 .65126 L
.60116 .65056 L
.60036 .64934 L
.59924 .6479 L
.59879 .64741 L
.59744 .64548 L
.59731 .64532 L
.59602 .64356 L
.59538 .64288 L
.59399 .64163 L
.59346 .64019 L
.59304 .6397 L
.59168 .63778 L
.59153 .63776 L
.59027 .63585 L
.5896 .63512 L
.58837 .63392 L
.58768 .63241 L
.58734 .63199 L
.58597 .63007 L
.58575 .63002 L
.58457 .62814 L
.58382 .62731 L
.58276 .62621 L
.58189 .62458 L
.58167 .62429 L
.5803 .62236 L
.57997 .62225 L
.5789 .62043 L
.57804 .61945 L
.57716 .61851 L
.57611 .61671 L
.57602 .61658 L
.57464 .61465 L
.57419 .61444 L
.57324 .61273 L
.57226 .61156 L
.57158 .6108 L
.57038 .60887 L
.57033 .60881 L
.56901 .60694 L
.56841 .60656 L
.5676 .60502 L
.56648 .60363 L
.56601 .60309 L
.56476 .60116 L
.56455 .6009 L
.56338 .59924 L
.56263 .59856 L
.56197 .59731 L
.5607 .59566 L
.56047 .59538 L
.55915 .59346 L
.55877 .59296 L
.55777 .59153 L
.55684 .59047 L
.55605 .5896 L
.55492 .58768 L
.55492 .58768 L
.55355 .58575 L
.55299 .5852 L
.55164 .58382 L
.55106 .58241 L
.55065 .58189 L
.54934 .57997 L
.54914 .57985 L
.54796 .57804 L
.54721 .57718 L
.54637 .57611 L
.54528 .5744 L
.54513 .57419 L
.54378 .57226 L
.54336 .57169 L
.54242 .57033 L
.54143 .56897 L
.54073 .56841 L
.53975 .56648 L
F
0 .7 1 r
.54143 .53856 m
.54249 .5395 L
.54336 .5398 L
.54433 .54143 L
.54528 .54236 L
.54595 .54336 L
.54721 .5449 L
.54758 .54528 L
.54893 .54721 L
.54914 .54748 L
.55033 .54914 L
.55106 .55014 L
.55172 .55106 L
.55299 .55283 L
.55309 .55299 L
.5543 .55492 L
.55492 .55588 L
.55548 .55684 L
.55638 .55877 L
.55492 .55923 L
.55441 .55877 L
.55299 .5576 L
.55244 .55684 L
.55106 .55534 L
.55046 .55492 L
.54915 .55299 L
.54914 .55297 L
.54766 .55106 L
.54721 .5505 L
.54619 .54914 L
.54528 .54812 L
.54447 .54721 L
.54338 .54528 L
.54336 .54525 L
.54208 .54336 L
.54143 .54237 L
.54084 .54143 L
.53982 .5395 L
F
0 .69 1 r
.54143 .53865 m
.54241 .5395 L
.54336 .53985 L
.54428 .54143 L
.54528 .54241 L
.54591 .54336 L
.54721 .54495 L
.54754 .54528 L
.54889 .54721 L
.54914 .54753 L
.55029 .54914 L
.55106 .55019 L
.55168 .55106 L
.55299 .55292 L
.55304 .55299 L
.55425 .55492 L
.55492 .55598 L
.55542 .55684 L
.55624 .55877 L
.55492 .55911 L
.55452 .55877 L
.55299 .55752 L
.5525 .55684 L
.55106 .55527 L
.55055 .55492 L
.5492 .55299 L
.54914 .55292 L
.5477 .55106 L
.54721 .55044 L
.54623 .54914 L
.54528 .54807 L
.54452 .54721 L
.54342 .54528 L
.54336 .54519 L
.54212 .54336 L
.54143 .5423 L
.54089 .54143 L
.53991 .5395 L
F
0 .68 1 r
.54143 .53874 m
.54232 .5395 L
.54336 .53991 L
.54422 .54143 L
.54528 .54247 L
.54587 .54336 L
.54721 .545 L
.54749 .54528 L
.54885 .54721 L
.54914 .54758 L
.55026 .54914 L
.55106 .55024 L
.55164 .55106 L
.55299 .55299 L
.55299 .553 L
.5542 .55492 L
.55492 .55607 L
.55535 .55684 L
.55608 .55877 L
.55492 .55899 L
.55465 .55877 L
.55299 .55743 L
.55257 .55684 L
.55106 .55521 L
.55064 .55492 L
.54925 .55299 L
.54914 .55286 L
.54774 .55106 L
.54721 .55039 L
.54627 .54914 L
.54528 .54801 L
.54457 .54721 L
.54346 .54528 L
.54336 .54514 L
.54217 .54336 L
.54143 .54222 L
.54094 .54143 L
.54 .5395 L
F
0 .67 1 r
.54143 .53883 m
.54223 .5395 L
.54336 .53997 L
.54417 .54143 L
.54528 .54253 L
.54582 .54336 L
.54721 .54506 L
.54743 .54528 L
.54881 .54721 L
.54914 .54763 L
.55022 .54914 L
.55106 .55029 L
.5516 .55106 L
.55294 .55299 L
.55299 .55306 L
.55415 .55492 L
.55492 .55617 L
.55529 .55684 L
.55589 .55877 L
.55492 .55887 L
.55479 .55877 L
.55299 .55733 L
.55264 .55684 L
.55106 .55514 L
.55073 .55492 L
.54929 .55299 L
.54914 .55281 L
.54778 .55106 L
.54721 .55034 L
.54631 .54914 L
.54528 .54795 L
.54462 .54721 L
.5435 .54528 L
.54336 .54508 L
.54221 .54336 L
.54143 .54214 L
.541 .54143 L
.5401 .5395 L
F
0 .66 1 r
.54143 .53893 m
.54214 .5395 L
.54336 .54003 L
.54411 .54143 L
.54528 .54259 L
.54578 .54336 L
.54721 .54511 L
.54738 .54528 L
.54877 .54721 L
.54914 .54768 L
.55018 .54914 L
.55106 .55034 L
.55157 .55106 L
.55289 .55299 L
.55299 .55313 L
.5541 .55492 L
.55492 .55628 L
.55522 .55684 L
.55492 .55873 L
.55299 .55723 L
.55272 .55684 L
.55106 .55507 L
.55083 .55492 L
.54934 .55299 L
.54914 .55275 L
.54782 .55106 L
.54721 .55029 L
.54635 .54914 L
.54528 .54789 L
.54467 .54721 L
.54354 .54528 L
.54336 .54502 L
.54226 .54336 L
.54143 .54206 L
.54105 .54143 L
.54021 .5395 L
F
0 .65 1 r
.54143 .53903 m
.54203 .5395 L
.54336 .54011 L
.54406 .54143 L
.54528 .54265 L
.54574 .54336 L
.54721 .54517 L
.54733 .54528 L
.54873 .54721 L
.54914 .54773 L
.55014 .54914 L
.55106 .5504 L
.55153 .55106 L
.55285 .55299 L
.55299 .5532 L
.55404 .55492 L
.55492 .5564 L
.55515 .55684 L
.55492 .55858 L
.55299 .55712 L
.55279 .55684 L
.55106 .555 L
.55093 .55492 L
.54939 .55299 L
.54914 .55269 L
.54787 .55106 L
.54721 .55024 L
.54638 .54914 L
.54528 .54783 L
.54473 .54721 L
.54359 .54528 L
.54336 .54496 L
.5423 .54336 L
.54143 .54198 L
.5411 .54143 L
.54032 .5395 L
F
0 .64 1 r
.54143 .53914 m
.54192 .5395 L
.54336 .54019 L
.544 .54143 L
.54528 .54271 L
.54569 .54336 L
.54721 .54522 L
.54727 .54528 L
.54869 .54721 L
.54914 .54778 L
.55011 .54914 L
.55106 .55045 L
.55149 .55106 L
.5528 .55299 L
.55299 .55328 L
.55398 .55492 L
.55492 .55653 L
.55507 .55684 L
.55492 .5584 L
.55299 .55701 L
.55287 .55684 L
.55106 .55493 L
.55104 .55492 L
.54944 .55299 L
.54914 .55264 L
.54791 .55106 L
.54721 .55019 L
.54642 .54914 L
.54528 .54776 L
.54478 .54721 L
.54363 .54528 L
.54336 .54489 L
.54235 .54336 L
.54143 .54189 L
.54116 .54143 L
.54045 .5395 L
F
1 .48 0 r
.54143 .47193 m
.54154 .47206 L
.54143 .47384 L
.54055 .47206 L
F
0 .63 1 r
.54143 .53925 m
.54179 .5395 L
.54336 .54029 L
.54394 .54143 L
.54528 .54278 L
.54565 .54336 L
.54721 .54528 L
.54721 .54528 L
.54865 .54721 L
.54914 .54784 L
.55007 .54914 L
.55106 .5505 L
.55145 .55106 L
.55275 .55299 L
.55299 .55335 L
.55393 .55492 L
.55492 .55668 L
.555 .55684 L
.55492 .5582 L
.55299 .55689 L
.55296 .55684 L
.55112 .55492 L
.55106 .55486 L
.54949 .55299 L
.54914 .55258 L
.54795 .55106 L
.54721 .55013 L
.54646 .54914 L
.54528 .5477 L
.54484 .54721 L
.54367 .54528 L
.54336 .54483 L
.5424 .54336 L
.54143 .5418 L
.54122 .54143 L
.5406 .5395 L
F
1 .96 0 r
.54143 .45535 m
.54271 .45664 L
.54336 .4573 L
.54451 .45857 L
.54528 .45921 L
.54623 .4605 L
.54721 .46166 L
.54825 .46242 L
.54914 .46401 L
.54943 .46435 L
.55105 .46628 L
.55106 .46629 L
.55263 .46821 L
.55299 .46869 L
.55434 .47013 L
.55492 .4712 L
.55553 .47206 L
.55684 .47373 L
.55721 .47399 L
.55868 .47591 L
.55877 .47604 L
.56023 .47784 L
.5607 .47863 L
.56143 .47977 L
.56263 .4813 L
.56314 .48169 L
.56455 .48359 L
.56457 .48362 L
.56604 .48555 L
.56648 .48624 L
.56722 .48747 L
.56841 .48897 L
.56896 .4894 L
.57033 .49129 L
.57037 .49133 L
.57179 .49326 L
.57226 .49396 L
.57293 .49518 L
.57419 .49672 L
.5747 .49711 L
.57611 .49904 L
.57611 .49906 L
.57748 .50096 L
.57804 .50176 L
.57859 .50289 L
.57997 .50452 L
.5804 .50482 L
.58185 .50674 L
.58189 .50689 L
.58315 .50867 L
.58382 .5096 L
.58422 .5106 L
.58575 .51232 L
.58608 .51253 L
.58755 .51445 L
.58768 .51474 L
.5888 .51638 L
.5896 .51746 L
.58983 .51831 L
.59153 .52012 L
.59173 .52023 L
.59322 .52216 L
.59346 .52261 L
.59443 .52409 L
.59538 .52533 L
.59544 .52601 L
.59731 .52791 L
.59738 .52794 L
.59887 .52987 L
.59924 .5305 L
.60005 .53179 L
.60116 .5332 L
.60163 .53372 L
.60302 .53565 L
.60309 .53573 L
.60451 .53758 L
.60502 .53839 L
.60567 .5395 L
.60694 .54107 L
.60727 .54143 L
.60866 .54336 L
.60887 .54361 L
.61014 .54528 L
.6108 .54629 L
.61129 .54721 L
.61273 .54895 L
.61289 .54914 L
.61462 .55106 L
.61465 .5515 L
.61575 .55299 L
.61658 .55419 L
.61692 .55492 L
.61851 .55683 L
.61852 .55684 L
.62026 .55877 L
.62043 .5594 L
.62136 .5607 L
.62236 .56211 L
.62256 .56263 L
.62413 .56455 L
.62429 .56466 L
.62587 .56648 L
.62621 .56733 L
.62696 .56841 L
.62814 .57006 L
.62822 .57033 L
.62973 .57226 L
.63007 .57252 L
.63145 .57419 L
.63199 .57529 L
.63254 .57611 L
.63392 .57803 L
.63392 .57804 L
.6353 .57997 L
.63585 .58044 L
.63698 .58189 L
.63778 .58331 L
.63809 .58382 L
.63947 .58575 L
.6397 .58607 L
.64083 .58768 L
.64163 .58849 L
.64245 .5896 L
.64356 .59144 L
.64361 .59153 L
.64494 .59346 L
.64548 .5942 L
.6463 .59538 L
.64741 .59678 L
.64778 .59731 L
.64899 .59924 L
.64934 .59973 L
.65029 .60116 L
.65126 .60256 L
.65161 .60309 L
.65288 .60502 L
.65319 .60547 L
.65409 .60694 L
.65512 .60854 L
.65531 .60887 L
.65629 .6108 L
.65512 .61133 L
.65459 .6108 L
.65319 .60962 L
.6527 .60887 L
.65126 .6073 L
.65066 .60694 L
.64934 .60505 L
.6493 .60502 L
.6477 .60309 L
.64741 .60285 L
.64611 .60116 L
.64548 .6004 L
.64419 .59924 L
.64356 .59792 L
.64305 .59731 L
.64163 .59548 L
.6416 .59538 L
.64 .59346 L
.6397 .59306 L
.6383 .59153 L
.63778 .59049 L
.63713 .5896 L
.63585 .58791 L
.63584 .58768 L
.63411 .58575 L
.63392 .5855 L
.63252 .58382 L
.63199 .58287 L
.63134 .58189 L
.63007 .58023 L
.62974 .57997 L
.62832 .57804 L
.62814 .5778 L
.6268 .57611 L
.62621 .57514 L
.62562 .57419 L
.62429 .57249 L
.624 .57226 L
.62259 .57033 L
.62236 .57002 L
.62111 .56841 L
.62043 .56734 L
.61994 .56648 L
.61851 .5647 L
.61831 .56455 L
.61661 .56263 L
.61658 .5622 L
.61544 .5607 L
.61465 .55951 L
.61428 .55877 L
.61273 .55691 L
.61263 .55684 L
.61094 .55492 L
.6108 .55434 L
.60979 .55299 L
.60887 .55166 L
.60862 .55106 L
.60698 .54914 L
.60694 .5491 L
.60529 .54721 L
.60502 .54648 L
.60415 .54528 L
.60309 .5438 L
.60296 .54336 L
.60133 .54143 L
.60116 .54125 L
.59965 .5395 L
.59924 .5386 L
.59852 .53758 L
.59731 .53593 L
.59727 .53565 L
.59568 .53372 L
.59538 .53339 L
.59403 .53179 L
.59346 .53071 L
.59289 .52987 L
.59153 .52805 L
.59144 .52794 L
.59005 .52601 L
.5896 .52552 L
.58842 .52409 L
.58768 .52281 L
.58726 .52216 L
.58581 .52023 L
.58575 .52022 L
.58442 .51831 L
.58382 .51763 L
.58282 .51638 L
.58189 .5149 L
.58163 .51445 L
.58018 .51253 L
.57997 .51244 L
.57879 .5106 L
.57804 .50973 L
.57722 .50867 L
.57611 .50698 L
.57599 .50674 L
.57457 .50482 L
.57419 .50461 L
.57257 .50289 L
.57226 .50179 L
.57164 .50096 L
.57033 .49904 L
.57033 .49904 L
.56896 .49711 L
.56841 .49672 L
.56705 .49518 L
.56648 .49383 L
.56607 .49326 L
.56474 .49133 L
.56455 .49108 L
.56337 .4894 L
.56263 .48876 L
.56156 .48747 L
.5607 .48581 L
.56051 .48555 L
.55918 .48362 L
.55877 .48308 L
.5578 .48169 L
.55684 .48069 L
.55612 .47977 L
.55499 .47784 L
.55492 .47774 L
.55366 .47591 L
.55299 .47502 L
.55228 .47399 L
.55106 .47246 L
.55076 .47206 L
.54954 .47013 L
.54914 .46958 L
.54821 .46821 L
.54721 .46682 L
.54685 .46628 L
.54551 .46435 L
.54528 .46404 L
.54425 .46242 L
.54336 .46115 L
.54296 .4605 L
.5417 .45857 L
.54143 .45816 L
.54061 .45664 L
F
0 .81 1 r
.54143 .46384 m
.54193 .46435 L
.54336 .4658 L
.54378 .46628 L
.54528 .46791 L
.54549 .46821 L
.54712 .47013 L
.54721 .47024 L
.54871 .47206 L
.54914 .47256 L
.55029 .47399 L
.55106 .47484 L
.55185 .47591 L
.55299 .47736 L
.55343 .47784 L
.55489 .47977 L
.55492 .4798 L
.55639 .48169 L
.55684 .48221 L
.55848 .48362 L
.55877 .48478 L
.55939 .48555 L
.5607 .48732 L
.56077 .48747 L
.56231 .4894 L
.56263 .48977 L
.56416 .49133 L
.56455 .49238 L
.56521 .49326 L
.56648 .49496 L
.56655 .49518 L
.56813 .49711 L
.56841 .49744 L
.56984 .49904 L
.57033 .50007 L
.57096 .50096 L
.57226 .50268 L
.57229 .50289 L
.57388 .50482 L
.57419 .50519 L
.57552 .50674 L
.57611 .50785 L
.57666 .50867 L
.57804 .51046 L
.57817 .5106 L
.57958 .51253 L
.57997 .51299 L
.58117 .51445 L
.58189 .51567 L
.58234 .51638 L
.58382 .51828 L
.58384 .51831 L
.58525 .52023 L
.58575 .52084 L
.5868 .52216 L
.58768 .52353 L
.58799 .52409 L
.58949 .52601 L
.5896 .52608 L
.5909 .52794 L
.59153 .52872 L
.59241 .52987 L
.59346 .53144 L
.59364 .53179 L
.59511 .53372 L
.59538 .53391 L
.59709 .53565 L
.59731 .53665 L
.598 .53758 L
.59924 .53939 L
.59929 .5395 L
.6007 .54143 L
.60116 .5418 L
.60259 .54336 L
.60309 .54465 L
.60355 .54528 L
.60488 .54721 L
.60502 .5474 L
.60625 .54914 L
.60694 .5498 L
.60803 .55106 L
.60887 .55273 L
.60905 .55299 L
.61038 .55492 L
.6108 .55549 L
.61174 .55684 L
.61273 .55799 L
.61335 .55877 L
.61446 .5607 L
.61465 .56096 L
.61578 .56263 L
.61658 .56375 L
.61712 .56455 L
.61846 .56648 L
.61851 .56654 L
.61971 .56841 L
.62043 .56946 L
.62098 .57033 L
.62225 .57226 L
.62236 .57243 L
.62332 .57419 L
.62429 .57586 L
.62439 .57611 L
.62429 .5768 L
.62346 .57611 L
.62236 .57516 L
.62148 .57419 L
.62043 .57308 L
.61973 .57226 L
.61851 .57103 L
.61807 .57033 L
.61658 .56856 L
.6164 .56841 L
.6149 .56648 L
.61465 .56618 L
.61336 .56455 L
.61273 .56394 L
.61182 .56263 L
.6108 .56135 L
.61015 .5607 L
.60887 .55885 L
.60881 .55877 L
.60732 .55684 L
.60694 .55647 L
.60583 .55492 L
.60502 .55387 L
.60424 .55299 L
.60309 .5513 L
.60294 .55106 L
.60144 .54914 L
.60116 .54885 L
.59999 .54721 L
.59924 .54623 L
.59845 .54528 L
.59731 .54362 L
.59716 .54336 L
.59566 .54143 L
.59538 .54115 L
.5937 .5395 L
.59346 .5385 L
.59273 .53758 L
.59153 .53587 L
.59143 .53565 L
.58993 .53372 L
.5896 .53338 L
.58808 .53179 L
.58768 .53071 L
.58704 .52987 L
.58575 .52807 L
.5857 .52794 L
.58424 .52601 L
.58382 .52556 L
.58247 .52409 L
.58189 .52287 L
.58139 .52216 L
.57998 .52023 L
.57997 .52022 L
.57858 .51831 L
.57804 .51771 L
.57687 .51638 L
.57611 .51499 L
.57575 .51445 L
.57434 .51253 L
.57419 .51251 L
.57294 .5106 L
.57226 .50982 L
.57129 .50867 L
.57033 .50707 L
.57012 .50674 L
.56873 .50482 L
.56841 .50472 L
.56733 .50289 L
.56648 .50188 L
.56574 .50096 L
.56455 .4991 L
.56451 .49904 L
.56314 .49711 L
.56263 .49684 L
.56175 .49518 L
.5607 .49387 L
.56022 .49326 L
.55896 .49133 L
.55877 .49108 L
.5576 .4894 L
.55684 .48882 L
.5556 .48747 L
.55492 .48575 L
.55477 .48555 L
.55347 .48362 L
.55299 .48298 L
.55211 .48169 L
.55106 .48055 L
.5504 .47977 L
.54938 .47784 L
.54914 .47751 L
.54807 .47591 L
.54721 .47471 L
.54673 .47399 L
.54539 .47206 L
.54528 .4719 L
.54417 .47013 L
.54336 .46896 L
.5429 .46821 L
.54168 .46628 L
.54143 .46589 L
.5407 .46435 L
F
1 .95 0 r
.54143 .57378 m
.54179 .57419 L
.54336 .57602 L
.54344 .57611 L
.54498 .57804 L
.54528 .5784 L
.54651 .57997 L
.54721 .58084 L
.54802 .58189 L
.54914 .58333 L
.54952 .58382 L
.55098 .58575 L
.55106 .58586 L
.55243 .58768 L
.55299 .5884 L
.55389 .5896 L
.55492 .59095 L
.55535 .59153 L
.55679 .59346 L
.55684 .59353 L
.55821 .59538 L
.55877 .59612 L
.55965 .59731 L
.5607 .5983 L
.56109 .59924 L
.56249 .60116 L
.56263 .60134 L
.56389 .60309 L
.56455 .60397 L
.56531 .60502 L
.56648 .60637 L
.56672 .60694 L
.56808 .60887 L
.56841 .60931 L
.56945 .6108 L
.57033 .61201 L
.57084 .61273 L
.5722 .61465 L
.57226 .61474 L
.57349 .61658 L
.57419 .61755 L
.57482 .61851 L
.57611 .62038 L
.57615 .62043 L
.57729 .62236 L
.57804 .62349 L
.57845 .62429 L
.57804 .62464 L
.57777 .62429 L
.57611 .62251 L
.576 .62236 L
.57443 .62043 L
.57419 .62016 L
.57293 .61851 L
.57226 .61773 L
.57142 .61658 L
.57033 .61527 L
.56989 .61465 L
.56841 .6128 L
.56835 .61273 L
.56693 .6108 L
.56648 .61025 L
.5655 .60887 L
.56455 .60769 L
.56402 .60694 L
.56263 .60526 L
.56254 .60502 L
.56114 .60309 L
.5607 .60254 L
.55974 .60116 L
.55877 .59993 L
.55829 .59924 L
.55684 .59736 L
.55683 .59731 L
.55547 .59538 L
.55492 .59467 L
.55409 .59346 L
.55299 .59202 L
.55266 .59153 L
.55125 .5896 L
.55106 .58937 L
.54992 .58768 L
.54914 .58665 L
.54854 .58575 L
.54721 .58397 L
.54711 .58382 L
.5458 .58189 L
.54528 .5812 L
.5445 .57997 L
.54336 .57841 L
.54313 .57804 L
.54185 .57611 L
.54143 .57552 L
.54071 .57419 L
F
0 .62 1 r
.54143 .53936 m
.54164 .5395 L
.54336 .54039 L
.54388 .54143 L
.54528 .54285 L
.5456 .54336 L
.54717 .54528 L
.54721 .54533 L
.54861 .54721 L
.54914 .54789 L
.55003 .54914 L
.55106 .55056 L
.55141 .55106 L
.5527 .55299 L
.55299 .55343 L
.55387 .55492 L
.55299 .55679 L
.55119 .55492 L
.55106 .55479 L
.54955 .55299 L
.54914 .55252 L
.548 .55106 L
.54721 .55008 L
.5465 .54914 L
.54528 .54763 L
.54491 .54721 L
.54372 .54528 L
.54336 .54476 L
.54245 .54336 L
.54143 .5417 L
.54128 .54143 L
.54079 .5395 L
F
0 .99 1 r
.54143 .44744 m
.54303 .44894 L
.54336 .44924 L
.54491 .45086 L
.54528 .45125 L
.54669 .45279 L
.54721 .4534 L
.5484 .45472 L
.54914 .45572 L
.55004 .45664 L
.55106 .4581 L
.55136 .45857 L
.55299 .46024 L
.55321 .4605 L
.55476 .46242 L
.55492 .46267 L
.55622 .46435 L
.55684 .46525 L
.55741 .46628 L
.55877 .46749 L
.55935 .46821 L
.5607 .46999 L
.56081 .47013 L
.56221 .47206 L
.56263 .47265 L
.5633 .47399 L
.56455 .47501 L
.56526 .47591 L
.56648 .47758 L
.56668 .47784 L
.56803 .47977 L
.56841 .48029 L
.56904 .48169 L
.57033 .4827 L
.57105 .48362 L
.57226 .48531 L
.57245 .48555 L
.57375 .48747 L
.57419 .48806 L
.57534 .4894 L
.57611 .49049 L
.57676 .49133 L
.57804 .49312 L
.57815 .49326 L
.57941 .49518 L
.57997 .49592 L
.58103 .49711 L
.58189 .49832 L
.58244 .49904 L
.58382 .50096 L
.58382 .50097 L
.58503 .50289 L
.58575 .50382 L
.5867 .50482 L
.58768 .50619 L
.5881 .50674 L
.58947 .50867 L
.5896 .50887 L
.59063 .5106 L
.59153 .51173 L
.59235 .51253 L
.59346 .51407 L
.59374 .51445 L
.59511 .51638 L
.59538 .51678 L
.59621 .51831 L
.59731 .51963 L
.598 .52023 L
.59924 .52197 L
.59938 .52216 L
.60073 .52409 L
.60116 .52469 L
.60178 .52601 L
.60309 .52751 L
.60364 .52794 L
.60502 .52987 L
.60502 .52987 L
.60634 .53179 L
.60694 .5326 L
.60734 .53372 L
.60887 .53537 L
.60927 .53565 L
.6107 .53758 L
.6108 .53777 L
.61196 .5395 L
.61273 .5405 L
.61291 .54143 L
.61465 .54321 L
.61491 .54336 L
.61636 .54528 L
.61658 .54567 L
.61756 .54721 L
.61851 .54839 L
.61915 .54914 L
.62043 .55101 L
.62054 .55106 L
.622 .55299 L
.62236 .55357 L
.62317 .55492 L
.62429 .55628 L
.62478 .55684 L
.62617 .55877 L
.62621 .55882 L
.62763 .5607 L
.62814 .56147 L
.62878 .56263 L
.63007 .56416 L
.63041 .56455 L
.63181 .56648 L
.63199 .5667 L
.63326 .56841 L
.63392 .56937 L
.6344 .57033 L
.63585 .57204 L
.63605 .57226 L
.63769 .57419 L
.63778 .57458 L
.63888 .57611 L
.6397 .57727 L
.64003 .57804 L
.64163 .57992 L
.64168 .57997 L
.64335 .58189 L
.64356 .58247 L
.64449 .58382 L
.64548 .58517 L
.64567 .58575 L
.6473 .58768 L
.64741 .58774 L
.64898 .5896 L
.64934 .59037 L
.65011 .59153 L
.65126 .59309 L
.65133 .59346 L
.65293 .59538 L
.65319 .59557 L
.65459 .59731 L
.65512 .59829 L
.65572 .59924 L
.65704 .60101 L
.65715 .60116 L
.65854 .60309 L
.65897 .60343 L
.66018 .60502 L
.6609 .60623 L
.66133 .60694 L
.66276 .60887 L
.66283 .60896 L
.66414 .6108 L
.66475 .61135 L
.66575 .61273 L
.66668 .61421 L
.66693 .61465 L
.66834 .61658 L
.66861 .61694 L
.66972 .61851 L
.67053 .61935 L
.67128 .62043 L
.67246 .62227 L
.67251 .62236 L
.67387 .62429 L
.67439 .62499 L
.6759 .62621 L
.67631 .62751 L
.67673 .62814 L
.67798 .63007 L
.67824 .63042 L
.67931 .63199 L
.68017 .6332 L
.68109 .63392 L
.682 .63585 L
.68209 .63598 L
.68325 .63778 L
.68402 .63889 L
.68453 .6397 L
.68577 .64163 L
.68595 .6419 L
.68685 .64356 L
.68788 .64544 L
.68789 .64548 L
.68788 .6466 L
.68625 .64548 L
.68595 .64525 L
.68426 .64356 L
.68402 .64332 L
.68247 .64163 L
.68209 .6414 L
.68077 .6397 L
.68017 .63901 L
.67911 .63778 L
.67824 .63664 L
.67748 .63585 L
.67631 .63423 L
.67612 .63392 L
.67442 .63199 L
.67439 .63196 L
.67257 .63007 L
.67246 .62945 L
.67143 .62814 L
.67053 .62682 L
.67025 .62621 L
.66861 .62455 L
.6684 .62429 L
.66682 .62236 L
.66668 .62196 L
.66557 .62043 L
.66475 .61923 L
.66448 .61851 L
.66283 .61691 L
.66257 .61658 L
.66107 .61465 L
.6609 .61427 L
.65982 .61273 L
.65897 .6115 L
.6588 .6108 L
.65704 .60914 L
.65684 .60887 L
.65536 .60694 L
.65512 .60647 L
.65414 .60502 L
.65319 .60368 L
.65255 .60309 L
.65126 .60131 L
.65115 .60116 L
.64968 .59924 L
.64934 .59862 L
.64849 .59731 L
.64741 .59584 L
.64688 .59538 L
.64549 .59346 L
.64548 .59345 L
.64402 .59153 L
.64356 .59075 L
.64286 .5896 L
.64163 .588 L
.64123 .58768 L
.63983 .58575 L
.6397 .58557 L
.63838 .58382 L
.63778 .58286 L
.63724 .58189 L
.63585 .58016 L
.63558 .57997 L
.63397 .57804 L
.63392 .57768 L
.63275 .57611 L
.63199 .57498 L
.63161 .57419 L
.63007 .57235 L
.62994 .57226 L
.62829 .57033 L
.62814 .56979 L
.62712 .56841 L
.62621 .56709 L
.62597 .56648 L
.6243 .56455 L
.62429 .56454 L
.62264 .56263 L
.62236 .5619 L
.6215 .5607 L
.62043 .55921 L
.62032 .55877 L
.61867 .55684 L
.61851 .55667 L
.61701 .55492 L
.61658 .55401 L
.61587 .55299 L
.61465 .55134 L
.61463 .55106 L
.61303 .54914 L
.61273 .5488 L
.61139 .54721 L
.6108 .54612 L
.61024 .54528 L
.60887 .54346 L
.60879 .54336 L
.60739 .54143 L
.60694 .54092 L
.60578 .5395 L
.60502 .53822 L
.60461 .53758 L
.60315 .53565 L
.60309 .53562 L
.60176 .53372 L
.60116 .53304 L
.60017 .53179 L
.59924 .53032 L
.59897 .52987 L
.59752 .52794 L
.59731 .52784 L
.5955 .52601 L
.59538 .52514 L
.59456 .52409 L
.59346 .52241 L
.59332 .52216 L
.59189 .52023 L
.59153 .52001 L
.58994 .51831 L
.5896 .51724 L
.58896 .51638 L
.58768 .5145 L
.58765 .51445 L
.58627 .51253 L
.58575 .51215 L
.58438 .5106 L
.58382 .50931 L
.58336 .50867 L
.58202 .50674 L
.58189 .50658 L
.58064 .50482 L
.57997 .50426 L
.57883 .50289 L
.57804 .50138 L
.57775 .50096 L
.5764 .49904 L
.57611 .49866 L
.57501 .49711 L
.57419 .49632 L
.57328 .49518 L
.57226 .49342 L
.57215 .49326 L
.57078 .49133 L
.57033 .49073 L
.56939 .4894 L
.56841 .48834 L
.56774 .48747 L
.56654 .48555 L
.56648 .48547 L
.56518 .48362 L
.56455 .48279 L
.56378 .48169 L
.56263 .48033 L
.56221 .47977 L
.56095 .47784 L
.5607 .4775 L
.55959 .47591 L
.55877 .47483 L
.55819 .47399 L
.55684 .47225 L
.55671 .47206 L
.5554 .47013 L
.55492 .4695 L
.55403 .46821 L
.55299 .46681 L
.55224 .46628 L
.55123 .46435 L
.55106 .46413 L
.54991 .46242 L
.54914 .46139 L
.54855 .4605 L
.54721 .45866 L
.54708 .45857 L
.54586 .45664 L
.54528 .45585 L
.54457 .45472 L
.54336 .45298 L
.54324 .45279 L
.54205 .45086 L
.54143 .44991 L
.54094 .44894 L
F
1 .23 0 r
.54143 .48775 m
.54249 .4894 L
.54336 .49053 L
.54385 .49133 L
.54336 .49229 L
.54265 .49133 L
.54143 .48989 L
.54107 .4894 L
F
0 .8 1 r
.54143 .46421 m
.54159 .46435 L
.54336 .46602 L
.5436 .46628 L
.54528 .46812 L
.54534 .46821 L
.54699 .47013 L
.54721 .47037 L
.54861 .47206 L
.54914 .47268 L
.55021 .47399 L
.55106 .47494 L
.55178 .47591 L
.55299 .47745 L
.55335 .47784 L
.55482 .47977 L
.55492 .47988 L
.55633 .48169 L
.55684 .48228 L
.55844 .48362 L
.55877 .48485 L
.55934 .48555 L
.5607 .48737 L
.56075 .48747 L
.56227 .4894 L
.56263 .48982 L
.56413 .49133 L
.56455 .49243 L
.56518 .49326 L
.56648 .495 L
.56653 .49518 L
.56809 .49711 L
.56841 .49748 L
.56982 .49904 L
.57033 .50012 L
.57093 .50096 L
.57226 .50272 L
.57228 .50289 L
.57385 .50482 L
.57419 .50523 L
.57549 .50674 L
.57611 .50788 L
.57664 .50867 L
.57804 .51049 L
.57814 .5106 L
.57955 .51253 L
.57997 .51303 L
.58115 .51445 L
.58189 .5157 L
.58232 .51638 L
.58382 .51831 L
.58382 .51831 L
.58523 .52023 L
.58575 .52087 L
.58678 .52216 L
.58768 .52357 L
.58798 .52409 L
.58947 .52601 L
.5896 .5261 L
.59087 .52794 L
.59153 .52876 L
.59239 .52987 L
.59346 .53147 L
.59363 .53179 L
.59508 .53372 L
.59538 .53393 L
.59708 .53565 L
.59731 .53669 L
.59797 .53758 L
.59924 .53942 L
.59927 .5395 L
.60067 .54143 L
.60116 .54183 L
.60257 .54336 L
.60309 .54469 L
.60352 .54528 L
.60485 .54721 L
.60502 .54744 L
.60621 .54914 L
.60694 .54985 L
.60799 .55106 L
.60887 .55279 L
.60901 .55299 L
.61033 .55492 L
.6108 .55555 L
.61169 .55684 L
.61273 .55807 L
.61328 .55877 L
.61441 .5607 L
.61465 .56104 L
.61572 .56263 L
.61658 .56384 L
.61706 .56455 L
.61838 .56648 L
.61851 .56666 L
.61962 .56841 L
.62043 .5696 L
.62089 .57033 L
.6221 .57226 L
.62236 .57267 L
.62312 .57419 L
.62236 .57489 L
.62169 .57419 L
.62043 .5729 L
.61988 .57226 L
.61851 .57085 L
.61819 .57033 L
.61658 .56843 L
.61655 .56841 L
.61499 .56648 L
.61465 .56608 L
.61344 .56455 L
.61273 .56386 L
.61189 .56263 L
.6108 .56127 L
.61022 .5607 L
.60887 .55879 L
.60886 .55877 L
.60737 .55684 L
.60694 .55642 L
.60588 .55492 L
.60502 .55381 L
.60428 .55299 L
.60309 .55125 L
.60297 .55106 L
.60148 .54914 L
.60116 .54881 L
.60002 .54721 L
.59924 .54619 L
.59848 .54528 L
.59731 .54358 L
.59718 .54336 L
.59569 .54143 L
.59538 .54111 L
.59371 .5395 L
.59346 .53846 L
.59275 .53758 L
.59153 .53584 L
.59144 .53565 L
.58996 .53372 L
.5896 .53335 L
.5881 .53179 L
.58768 .53067 L
.58707 .52987 L
.58575 .52804 L
.58571 .52794 L
.58426 .52601 L
.58382 .52554 L
.58249 .52409 L
.58189 .52284 L
.58141 .52216 L
.58 .52023 L
.57997 .52019 L
.5786 .51831 L
.57804 .51769 L
.57689 .51638 L
.57611 .51495 L
.57577 .51445 L
.57436 .51253 L
.57419 .5125 L
.57297 .5106 L
.57226 .50979 L
.57131 .50867 L
.57033 .50703 L
.57014 .50674 L
.56875 .50482 L
.56841 .50471 L
.56736 .50289 L
.56648 .50184 L
.56576 .50096 L
.56455 .49906 L
.56454 .49904 L
.56317 .49711 L
.56263 .49682 L
.56178 .49518 L
.5607 .49382 L
.56026 .49326 L
.55899 .49133 L
.55877 .49104 L
.55763 .4894 L
.55684 .48877 L
.55565 .48747 L
.55492 .48569 L
.55481 .48555 L
.55351 .48362 L
.55299 .48292 L
.55215 .48169 L
.55106 .48046 L
.55048 .47977 L
.54944 .47784 L
.54914 .47743 L
.54813 .47591 L
.54721 .47462 L
.54679 .47399 L
.54548 .47206 L
.54528 .47178 L
.54426 .47013 L
.54336 .4688 L
.54301 .46821 L
.54186 .46628 L
.54143 .46554 L
.54108 .46435 L
F
0 .61 1 r
.54143 .53949 m
.54145 .5395 L
.54336 .5405 L
.54381 .54143 L
.54528 .54292 L
.54556 .54336 L
.54712 .54528 L
.54721 .54539 L
.54857 .54721 L
.54914 .54794 L
.54999 .54914 L
.55106 .55062 L
.55137 .55106 L
.55265 .55299 L
.55299 .55351 L
.55381 .55492 L
.55299 .55669 L
.55126 .55492 L
.55106 .55472 L
.5496 .55299 L
.54914 .55246 L
.54804 .55106 L
.54721 .55003 L
.54654 .54914 L
.54528 .54756 L
.54497 .54721 L
.54376 .54528 L
.54336 .5447 L
.5425 .54336 L
.54143 .54159 L
.54134 .54143 L
.54111 .5395 L
F
1 .22 0 r
.54143 .48783 m
.54242 .4894 L
.54336 .49063 L
.54378 .49133 L
.54336 .49219 L
.54272 .49133 L
.54143 .48981 L
.54113 .4894 L
F
1 .99 0 r
.54143 .5337 m
.54336 .53366 L
.54465 .53372 L
.54528 .53379 L
.54721 .53527 L
.54748 .53565 L
.54902 .53758 L
.54914 .53784 L
.55028 .5395 L
.55106 .54043 L
.55133 .54143 L
.55299 .54307 L
.5532 .54336 L
.5547 .54528 L
.55492 .54575 L
.55591 .54721 L
.55684 .54847 L
.55694 .54914 L
.55877 .55103 L
.55884 .55106 L
.56035 .55299 L
.5607 .55355 L
.56153 .55492 L
.56263 .55624 L
.56307 .55684 L
.56446 .55877 L
.56455 .5589 L
.56597 .5607 L
.56648 .56158 L
.56712 .56263 L
.56841 .56427 L
.56863 .56455 L
.56972 .56648 L
.56841 .56697 L
.56648 .56703 L
.56524 .56841 L
.56648 .56999 L
.56661 .57033 L
.56814 .57226 L
.56841 .57264 L
.56995 .57419 L
.57033 .57528 L
.57103 .57611 L
.57226 .57788 L
.57232 .57804 L
.5738 .57997 L
.57419 .58026 L
.57555 .58189 L
.57611 .583 L
.57665 .58382 L
.57803 .58575 L
.57804 .58576 L
.57941 .58768 L
.57997 .58844 L
.58111 .5896 L
.58189 .59085 L
.58222 .59153 L
.58358 .59346 L
.58382 .5938 L
.5849 .59538 L
.58575 .59667 L
.58636 .59731 L
.58687 .59924 L
.58575 .59987 L
.58382 .59945 L
.58308 .59924 L
.58189 .59821 L
.5811 .59731 L
.57997 .59614 L
.57977 .59538 L
.57804 .59372 L
.57783 .59346 L
.57633 .59153 L
.57611 .59106 L
.57508 .5896 L
.57419 .58866 L
.57344 .58768 L
.57226 .58605 L
.57204 .58575 L
.57061 .58382 L
.57033 .58335 L
.56942 .58189 L
.56841 .58057 L
.56777 .57997 L
.56648 .57817 L
.56638 .57804 L
.56497 .57611 L
.56455 .57559 L
.56383 .57419 L
.56263 .57295 L
.56216 .57226 L
.56071 .57033 L
.5607 .57015 L
.55955 .56841 L
.5607 .5674 L
.56263 .56731 L
.56451 .56648 L
.56268 .56455 L
.56263 .56449 L
.56105 .56263 L
.5607 .56195 L
.55987 .5607 L
.55877 .55933 L
.55873 .55877 L
.55697 .55684 L
.55684 .55667 L
.55539 .55492 L
.55492 .55397 L
.55423 .55299 L
.55299 .55131 L
.55272 .55106 L
.55133 .54914 L
.55106 .54886 L
.54976 .54721 L
.54914 .5462 L
.5486 .54528 L
.54721 .54352 L
.54709 .54336 L
.5457 .54143 L
.54528 .54085 L
.54415 .5395 L
.54336 .53819 L
.54298 .53758 L
.54152 .53565 L
.54143 .5355 L
.54117 .53372 L
F
1 .21 0 r
.54143 .48793 m
.54234 .4894 L
.54336 .49073 L
.5437 .49133 L
.54336 .49207 L
.54281 .49133 L
.54143 .48972 L
.54119 .4894 L
F
1 .82 0 r
.54143 .5897 m
.54253 .59153 L
.54336 .59271 L
.54377 .59346 L
.54336 .59397 L
.54297 .59346 L
.54143 .59177 L
.54125 .59153 L
F
1 .2 0 r
.54143 .48803 m
.54225 .4894 L
.54336 .49086 L
.54362 .49133 L
.54336 .49194 L
.54291 .49133 L
.54143 .48963 L
.54126 .4894 L
F
0 .18 1 r
.54143 .47978 m
.54287 .48169 L
.54336 .48224 L
.54436 .48362 L
.54528 .48473 L
.54588 .48555 L
.54721 .48723 L
.54739 .48747 L
.54881 .4894 L
.54914 .4898 L
.55022 .49133 L
.55106 .49239 L
.55167 .49326 L
.55299 .49498 L
.55313 .49518 L
.5545 .49711 L
.55492 .49764 L
.55586 .49904 L
.55684 .50032 L
.55728 .50096 L
.55684 .50289 L
.55543 .50096 L
.55492 .50035 L
.55397 .49904 L
.55299 .49781 L
.55249 .49711 L
.55106 .49526 L
.55101 .49518 L
.54964 .49326 L
.54914 .49263 L
.54823 .49133 L
.54721 .49 L
.54679 .4894 L
.54537 .48747 L
.54528 .48736 L
.54406 .48555 L
.54336 .48463 L
.54269 .48362 L
.54143 .48191 L
.54128 .48169 L
F
0 .17 1 r
.54143 .47986 m
.54281 .48169 L
.54336 .48231 L
.54431 .48362 L
.54528 .48479 L
.54583 .48555 L
.54721 .48728 L
.54735 .48747 L
.54876 .4894 L
.54914 .48985 L
.55018 .49133 L
.55106 .49244 L
.55163 .49326 L
.55299 .49503 L
.5531 .49518 L
.55445 .49711 L
.55492 .4977 L
.55582 .49904 L
.55684 .50037 L
.55724 .50096 L
.55684 .50282 L
.55548 .50096 L
.55492 .50029 L
.55402 .49904 L
.55299 .49775 L
.55253 .49711 L
.55106 .49521 L
.55105 .49518 L
.54968 .49326 L
.54914 .49257 L
.54827 .49133 L
.54721 .48995 L
.54683 .4894 L
.54542 .48747 L
.54528 .4873 L
.54411 .48555 L
.54336 .48457 L
.54274 .48362 L
.54143 .48185 L
.54133 .48169 L
F
1 .19 0 r
.54143 .48815 m
.54214 .4894 L
.54336 .49101 L
.54352 .49133 L
.54336 .49178 L
.54303 .49133 L
.54143 .48953 L
.54134 .4894 L
F
1 .77 0 r
.54143 .5227 m
.54204 .52409 L
.54143 .52417 L
.54135 .52409 L
F
0 .16 1 r
.54143 .47995 m
.54273 .48169 L
.54336 .48238 L
.54426 .48362 L
.54528 .48485 L
.54579 .48555 L
.54721 .48734 L
.54731 .48747 L
.54871 .4894 L
.54914 .48991 L
.55013 .49133 L
.55106 .4925 L
.55159 .49326 L
.55299 .49508 L
.55306 .49518 L
.5544 .49711 L
.55492 .49776 L
.55578 .49904 L
.55684 .50043 L
.5572 .50096 L
.55684 .50275 L
.55554 .50096 L
.55492 .50023 L
.55406 .49904 L
.55299 .4977 L
.55257 .49711 L
.55109 .49518 L
.55106 .49515 L
.54973 .49326 L
.54914 .49252 L
.54832 .49133 L
.54721 .48989 L
.54687 .4894 L
.54548 .48747 L
.54528 .48723 L
.54416 .48555 L
.54336 .4845 L
.54279 .48362 L
.54143 .48177 L
.54138 .48169 L
F
0 .6 1 r
.54143 .53965 m
.54336 .54062 L
.54375 .54143 L
.54528 .543 L
.54551 .54336 L
.54708 .54528 L
.54721 .54545 L
.54853 .54721 L
.54914 .548 L
.54995 .54914 L
.55106 .55067 L
.55133 .55106 L
.55259 .55299 L
.55299 .5536 L
.55374 .55492 L
.55299 .55659 L
.55133 .55492 L
.55106 .55465 L
.54965 .55299 L
.54914 .5524 L
.54809 .55106 L
.54721 .54997 L
.54658 .54914 L
.54528 .54748 L
.54504 .54721 L
.54381 .54528 L
.54336 .54463 L
.54255 .54336 L
.54143 .54147 L
.5414 .54143 L
F
1 .18 0 r
.54143 .48829 m
.54199 .4894 L
.54336 .49124 L
.54339 .49133 L
.54336 .49152 L
.54323 .49133 L
.54143 .48942 L
.54142 .4894 L
F
0 .59 1 r
.54336 .54076 m
.54368 .54143 L
.54528 .54307 L
.54546 .54336 L
.54703 .54528 L
.54721 .5455 L
.54849 .54721 L
.54914 .54805 L
.54991 .54914 L
.55106 .55073 L
.55129 .55106 L
.55254 .55299 L
.55299 .55369 L
.55368 .55492 L
.55299 .55649 L
.55141 .55492 L
.55106 .55458 L
.54971 .55299 L
.54914 .55234 L
.54813 .55106 L
.54721 .54992 L
.54662 .54914 L
.54528 .54741 L
.54511 .54721 L
.54386 .54528 L
.54336 .54456 L
.5426 .54336 L
.54148 .54143 L
F
0 .58 1 r
.54336 .5409 m
.54361 .54143 L
.54528 .54315 L
.54541 .54336 L
.54698 .54528 L
.54721 .54556 L
.54845 .54721 L
.54914 .54811 L
.54987 .54914 L
.55106 .55079 L
.55125 .55106 L
.55248 .55299 L
.55299 .55379 L
.55361 .55492 L
.55299 .55637 L
.55149 .55492 L
.55106 .5545 L
.54977 .55299 L
.54914 .55228 L
.54818 .55106 L
.54721 .54986 L
.54667 .54914 L
.54528 .54733 L
.54518 .54721 L
.54391 .54528 L
.54336 .54448 L
.54265 .54336 L
.54157 .54143 L
F
1 .98 0 r
.54336 .53384 m
.54528 .53406 L
.54721 .53557 L
.54727 .53565 L
.54896 .53758 L
.54914 .53795 L
.55021 .5395 L
.55106 .54051 L
.5513 .54143 L
.55299 .54314 L
.55315 .54336 L
.55467 .54528 L
.55492 .54581 L
.55588 .54721 L
.55684 .54852 L
.55693 .54914 L
.55877 .55105 L
.5588 .55106 L
.56032 .55299 L
.5607 .5536 L
.56149 .55492 L
.56263 .5563 L
.56302 .55684 L
.5644 .55877 L
.56455 .55898 L
.56591 .5607 L
.56648 .5617 L
.56704 .56263 L
.56841 .5645 L
.56845 .56455 L
.56893 .56648 L
.56841 .56667 L
.56648 .56675 L
.56525 .56648 L
.56455 .56621 L
.56287 .56455 L
.56263 .56429 L
.56111 .56263 L
.5607 .56184 L
.55993 .5607 L
.55877 .55925 L
.55874 .55877 L
.55701 .55684 L
.55684 .55661 L
.55542 .55492 L
.55492 .55393 L
.55426 .55299 L
.55299 .55128 L
.55276 .55106 L
.55136 .54914 L
.55106 .54883 L
.54979 .54721 L
.54914 .54616 L
.54863 .54528 L
.54721 .54347 L
.54713 .54336 L
.54574 .54143 L
.54528 .54079 L
.5442 .5395 L
.54336 .5381 L
.54304 .53758 L
.54167 .53565 L
F
0 .57 1 r
.54336 .54106 m
.54353 .54143 L
.54528 .54323 L
.54536 .54336 L
.54693 .54528 L
.54721 .54562 L
.5484 .54721 L
.54914 .54816 L
.54983 .54914 L
.55106 .55086 L
.5512 .55106 L
.55242 .55299 L
.55299 .55389 L
.55354 .55492 L
.55299 .55626 L
.55157 .55492 L
.55106 .55443 L
.54982 .55299 L
.54914 .55222 L
.54823 .55106 L
.54721 .5498 L
.54671 .54914 L
.54528 .54724 L
.54525 .54721 L
.54395 .54528 L
.54336 .54441 L
.5427 .54336 L
.54167 .54143 L
F
0 .56 1 r
.54336 .54123 m
.54345 .54143 L
.54528 .54332 L
.54531 .54336 L
.54688 .54528 L
.54721 .54568 L
.54836 .54721 L
.54914 .54822 L
.54979 .54914 L
.55106 .55092 L
.55116 .55106 L
.55236 .55299 L
.55299 .554 L
.55346 .55492 L
.55299 .55613 L
.55167 .55492 L
.55106 .55435 L
.54988 .55299 L
.54914 .55215 L
.54827 .55106 L
.54721 .54975 L
.54675 .54914 L
.54531 .54721 L
.54528 .54717 L
.544 .54528 L
.54336 .54433 L
.54276 .54336 L
.54178 .54143 L
F
1 .97 0 r
.54336 .53401 m
.54528 .53429 L
.54707 .53565 L
.54721 .53578 L
.54891 .53758 L
.54914 .53807 L
.55015 .5395 L
.55106 .5406 L
.55127 .54143 L
.55299 .54321 L
.5531 .54336 L
.55465 .54528 L
.55492 .54587 L
.55584 .54721 L
.55684 .54856 L
.55692 .54914 L
.55876 .55106 L
.55877 .55107 L
.56029 .55299 L
.5607 .55365 L
.56145 .55492 L
.56263 .55636 L
.56297 .55684 L
.56435 .55877 L
.56455 .55907 L
.56586 .5607 L
.56648 .56182 L
.56696 .56263 L
.56826 .56455 L
.56762 .56648 L
.56648 .56649 L
.56643 .56648 L
.56455 .56593 L
.56306 .56455 L
.56263 .56412 L
.56119 .56263 L
.5607 .56173 L
.55999 .5607 L
.55877 .55917 L
.55874 .55877 L
.55706 .55684 L
.55684 .55655 L
.55545 .55492 L
.55492 .55388 L
.55429 .55299 L
.55299 .55125 L
.55279 .55106 L
.55139 .54914 L
.55106 .5488 L
.54981 .54721 L
.54914 .54612 L
.54865 .54528 L
.54721 .54342 L
.54716 .54336 L
.54579 .54143 L
.54528 .54072 L
.54425 .5395 L
.54336 .53801 L
.5431 .53758 L
.54182 .53565 L
F
0 .55 1 r
.54336 .54142 m
.54336 .54143 L
.54524 .54336 L
.54528 .5434 L
.54683 .54528 L
.54721 .54574 L
.54831 .54721 L
.54914 .54828 L
.54974 .54914 L
.55106 .55099 L
.55112 .55106 L
.5523 .55299 L
.55299 .55412 L
.55338 .55492 L
.55299 .55599 L
.55177 .55492 L
.55106 .55427 L
.54995 .55299 L
.54914 .55209 L
.54832 .55106 L
.54721 .54969 L
.5468 .54914 L
.54536 .54721 L
.54528 .54711 L
.54405 .54528 L
.54336 .54425 L
.54282 .54336 L
.5419 .54143 L
F
1 .96 0 r
.54336 .53418 m
.54528 .53449 L
.54687 .53565 L
.54721 .53594 L
.54885 .53758 L
.54914 .53818 L
.55008 .5395 L
.55106 .54068 L
.55124 .54143 L
.55299 .54327 L
.55305 .54336 L
.55462 .54528 L
.55492 .54592 L
.55581 .54721 L
.55684 .54861 L
.55691 .54914 L
.55872 .55106 L
.55877 .55111 L
.56026 .55299 L
.5607 .5537 L
.56142 .55492 L
.56263 .55642 L
.56293 .55684 L
.56429 .55877 L
.56455 .55915 L
.5658 .5607 L
.56648 .56195 L
.56688 .56263 L
.56807 .56455 L
.56648 .56626 L
.56455 .56569 L
.56325 .56455 L
.56263 .56395 L
.56126 .56263 L
.5607 .56162 L
.56005 .5607 L
.55877 .55909 L
.55875 .55877 L
.5571 .55684 L
.55684 .5565 L
.55548 .55492 L
.55492 .55383 L
.55431 .55299 L
.55299 .55122 L
.55282 .55106 L
.55142 .54914 L
.55106 .54876 L
.54984 .54721 L
.54914 .54607 L
.54868 .54528 L
.54721 .54337 L
.5472 .54336 L
.54583 .54143 L
.54528 .54066 L
.5443 .5395 L
.54336 .53791 L
.54316 .53758 L
.54198 .53565 L
F
0 .79 1 r
.54336 .46626 m
.54338 .46628 L
.54518 .46821 L
.54528 .46831 L
.54686 .47013 L
.54721 .47051 L
.54851 .47206 L
.54914 .47279 L
.55012 .47399 L
.55106 .47504 L
.55169 .47591 L
.55299 .47754 L
.55328 .47784 L
.55476 .47977 L
.55492 .47997 L
.55627 .48169 L
.55684 .48234 L
.5584 .48362 L
.55877 .48492 L
.55929 .48555 L
.5607 .48742 L
.56072 .48747 L
.56222 .4894 L
.56263 .48987 L
.5641 .49133 L
.56455 .49248 L
.56514 .49326 L
.56648 .49504 L
.56652 .49518 L
.56806 .49711 L
.56841 .49753 L
.56979 .49904 L
.57033 .50016 L
.5709 .50096 L
.57226 .50275 L
.57228 .50289 L
.57382 .50482 L
.57419 .50526 L
.57547 .50674 L
.57611 .50792 L
.57662 .50867 L
.57804 .51052 L
.57811 .5106 L
.57953 .51253 L
.57997 .51306 L
.58113 .51445 L
.58189 .51574 L
.5823 .51638 L
.58379 .51831 L
.58382 .51832 L
.5852 .52023 L
.58575 .5209 L
.58676 .52216 L
.58768 .5236 L
.58796 .52409 L
.58944 .52601 L
.5896 .52612 L
.59085 .52794 L
.59153 .52879 L
.59237 .52987 L
.59346 .53151 L
.59361 .53179 L
.59506 .53372 L
.59538 .53395 L
.59706 .53565 L
.59731 .53673 L
.59794 .53758 L
.59924 .53946 L
.59926 .5395 L
.60064 .54143 L
.60116 .54186 L
.60254 .54336 L
.60309 .54474 L
.60348 .54528 L
.60481 .54721 L
.60502 .54749 L
.60618 .54914 L
.60694 .5499 L
.60794 .55106 L
.60887 .55286 L
.60896 .55299 L
.61029 .55492 L
.6108 .55561 L
.61165 .55684 L
.61273 .55816 L
.61321 .55877 L
.61435 .5607 L
.61465 .56112 L
.61566 .56263 L
.61658 .56393 L
.61699 .56455 L
.6183 .56648 L
.61851 .56678 L
.61952 .56841 L
.62043 .56975 L
.62078 .57033 L
.62192 .57226 L
.62236 .57298 L
.62284 .57419 L
.62236 .57457 L
.62197 .57419 L
.62043 .5727 L
.62004 .57226 L
.61851 .57065 L
.61831 .57033 L
.61668 .56841 L
.61658 .5683 L
.61509 .56648 L
.61465 .56597 L
.61352 .56455 L
.61273 .56377 L
.61196 .56263 L
.6108 .56119 L
.61029 .5607 L
.60892 .55877 L
.60887 .55871 L
.60743 .55684 L
.60694 .55637 L
.60593 .55492 L
.60502 .55375 L
.60433 .55299 L
.60309 .5512 L
.603 .55106 L
.60152 .54914 L
.60116 .54877 L
.60006 .54721 L
.59924 .54614 L
.59852 .54528 L
.59731 .54354 L
.59721 .54336 L
.59572 .54143 L
.59538 .54108 L
.59373 .5395 L
.59346 .53843 L
.59278 .53758 L
.59153 .5358 L
.59146 .53565 L
.58998 .53372 L
.5896 .53332 L
.58812 .53179 L
.58768 .53064 L
.58709 .52987 L
.58575 .52801 L
.58572 .52794 L
.58429 .52601 L
.58382 .52551 L
.58251 .52409 L
.58189 .5228 L
.58143 .52216 L
.58002 .52023 L
.57997 .52016 L
.57862 .51831 L
.57804 .51766 L
.57691 .51638 L
.57611 .51492 L
.57579 .51445 L
.57439 .51253 L
.57419 .5125 L
.57299 .5106 L
.57226 .50976 L
.57134 .50867 L
.57033 .507 L
.57016 .50674 L
.56877 .50482 L
.56841 .5047 L
.56738 .50289 L
.56648 .50181 L
.56579 .50096 L
.56456 .49904 L
.56455 .49903 L
.5632 .49711 L
.56263 .49679 L
.5618 .49518 L
.5607 .49378 L
.56029 .49326 L
.55902 .49133 L
.55877 .49099 L
.55766 .4894 L
.55684 .48872 L
.5557 .48747 L
.55492 .48562 L
.55486 .48555 L
.55355 .48362 L
.55299 .48286 L
.5522 .48169 L
.55106 .48036 L
.55057 .47977 L
.54949 .47784 L
.54914 .47735 L
.54819 .47591 L
.54721 .47453 L
.54686 .47399 L
.54557 .47206 L
.54528 .47165 L
.54436 .47013 L
.54336 .46862 L
.54312 .46821 L
.54211 .46628 L
F
1 .95 0 r
.54336 .53436 m
.54528 .53468 L
.54668 .53565 L
.54721 .5361 L
.5488 .53758 L
.54914 .53829 L
.55002 .5395 L
.55106 .54076 L
.55122 .54143 L
.55299 .54334 L
.553 .54336 L
.55459 .54528 L
.55492 .54598 L
.55577 .54721 L
.55684 .54865 L
.5569 .54914 L
.55868 .55106 L
.55877 .55114 L
.56024 .55299 L
.5607 .55375 L
.56138 .55492 L
.56263 .55649 L
.56288 .55684 L
.56423 .55877 L
.56455 .55924 L
.56574 .5607 L
.56648 .56208 L
.56679 .56263 L
.56787 .56455 L
.56648 .56604 L
.56455 .56547 L
.56344 .56455 L
.56263 .5638 L
.56134 .56263 L
.5607 .56152 L
.56011 .5607 L
.55877 .55902 L
.55875 .55877 L
.55715 .55684 L
.55684 .55644 L
.55551 .55492 L
.55492 .55379 L
.55434 .55299 L
.55299 .55119 L
.55286 .55106 L
.55146 .54914 L
.55106 .54873 L
.54987 .54721 L
.54914 .54603 L
.54871 .54528 L
.54724 .54336 L
.54721 .54331 L
.54587 .54143 L
.54528 .54059 L
.54435 .5395 L
.54336 .53781 L
.54322 .53758 L
.54214 .53565 L
F
1 .94 0 r
.54336 .53453 m
.54528 .53486 L
.54648 .53565 L
.54721 .53624 L
.54873 .53758 L
.54914 .53839 L
.54996 .5395 L
.55106 .54083 L
.5512 .54143 L
.55296 .54336 L
.55299 .5434 L
.55457 .54528 L
.55492 .54603 L
.55574 .54721 L
.55684 .5487 L
.55689 .54914 L
.55865 .55106 L
.55877 .55117 L
.56021 .55299 L
.5607 .5538 L
.56135 .55492 L
.56263 .55655 L
.56283 .55684 L
.56418 .55877 L
.56455 .55932 L
.56568 .5607 L
.56648 .56222 L
.56671 .56263 L
.56767 .56455 L
.56648 .56581 L
.56455 .56526 L
.56364 .56455 L
.56263 .56365 L
.56144 .56263 L
.5607 .56142 L
.56017 .5607 L
.55877 .55894 L
.55876 .55877 L
.55719 .55684 L
.55684 .55638 L
.55554 .55492 L
.55492 .55374 L
.55437 .55299 L
.55299 .55116 L
.55289 .55106 L
.55149 .54914 L
.55106 .54869 L
.54989 .54721 L
.54914 .54598 L
.54873 .54528 L
.54728 .54336 L
.54721 .54326 L
.54592 .54143 L
.54528 .54052 L
.5444 .5395 L
.54336 .5377 L
.54328 .53758 L
.54231 .53565 L
F
1 .95 0 r
.54336 .4582 m
.54375 .45857 L
.54528 .45993 L
.54566 .4605 L
.54721 .46221 L
.54758 .46242 L
.54908 .46435 L
.54914 .46442 L
.55072 .46628 L
.55106 .4666 L
.55233 .46821 L
.55299 .46905 L
.55413 .47013 L
.55492 .4715 L
.55534 .47206 L
.55684 .4739 L
.55698 .47399 L
.5585 .47591 L
.55877 .47629 L
.56009 .47784 L
.5607 .47885 L
.56129 .47977 L
.56263 .48144 L
.56299 .48169 L
.56445 .48362 L
.56455 .48377 L
.56593 .48555 L
.56648 .4864 L
.56712 .48747 L
.56841 .48908 L
.56885 .4894 L
.57027 .49133 L
.57033 .49141 L
.57171 .49326 L
.57226 .49408 L
.57286 .49518 L
.57419 .4968 L
.57462 .49711 L
.5761 .49904 L
.57611 .49915 L
.57742 .50096 L
.57804 .50185 L
.57854 .50289 L
.57997 .50457 L
.58034 .50482 L
.58183 .50674 L
.58189 .50696 L
.5831 .50867 L
.58382 .50966 L
.58418 .5106 L
.58575 .51236 L
.58603 .51253 L
.58752 .51445 L
.58768 .5148 L
.58876 .51638 L
.5896 .51751 L
.58981 .51831 L
.59153 .52015 L
.59169 .52023 L
.5932 .52216 L
.59346 .52266 L
.59439 .52409 L
.59538 .52537 L
.59543 .52601 L
.59731 .52793 L
.59734 .52794 L
.59885 .52987 L
.59924 .53054 L
.60002 .53179 L
.60116 .53324 L
.6016 .53372 L
.60299 .53565 L
.60309 .53577 L
.60448 .53758 L
.60502 .53843 L
.60564 .5395 L
.60694 .54111 L
.60723 .54143 L
.60863 .54336 L
.60887 .54365 L
.61011 .54528 L
.6108 .54633 L
.61127 .54721 L
.61273 .54899 L
.61286 .54914 L
.61462 .55106 L
.61465 .55154 L
.61572 .55299 L
.61658 .55424 L
.6169 .55492 L
.61848 .55684 L
.61851 .55686 L
.62025 .55877 L
.62043 .55945 L
.62132 .5607 L
.62236 .56217 L
.62254 .56263 L
.62409 .56455 L
.62429 .56469 L
.62585 .56648 L
.62621 .56739 L
.62691 .56841 L
.62814 .57012 L
.6282 .57033 L
.62967 .57226 L
.63007 .57257 L
.6314 .57419 L
.63199 .57537 L
.63248 .57611 L
.63386 .57804 L
.63392 .57812 L
.63523 .57997 L
.63585 .58053 L
.63691 .58189 L
.63778 .58344 L
.63802 .58382 L
.63937 .58575 L
.6397 .5862 L
.64073 .58768 L
.64163 .58866 L
.64232 .5896 L
.64348 .59153 L
.64356 .59163 L
.6448 .59346 L
.64548 .59441 L
.64614 .59538 L
.64741 .59713 L
.64753 .59731 L
.64876 .59924 L
.64934 .60006 L
.65004 .60116 L
.65126 .60298 L
.65133 .60309 L
.65247 .60502 L
.65319 .60618 L
.65358 .60694 L
.65319 .60845 L
.65163 .60694 L
.65126 .60661 L
.64981 .60502 L
.64934 .60452 L
.6481 .60309 L
.64741 .60251 L
.64644 .60116 L
.64548 .60003 L
.64447 .59924 L
.64356 .59762 L
.64328 .59731 L
.64173 .59538 L
.64163 .59529 L
.6402 .59346 L
.6397 .59283 L
.63844 .59153 L
.63778 .59029 L
.63726 .5896 L
.63585 .58779 L
.63585 .58768 L
.63423 .58575 L
.63392 .58534 L
.63261 .58382 L
.63199 .58273 L
.63142 .58189 L
.63007 .58015 L
.62984 .57997 L
.6284 .57804 L
.62814 .57769 L
.62686 .57611 L
.62621 .57504 L
.62567 .57419 L
.62429 .57243 L
.62407 .57226 L
.62265 .57033 L
.62236 .56994 L
.62115 .56841 L
.62043 .56727 L
.61998 .56648 L
.61851 .56466 L
.61836 .56455 L
.61661 .56263 L
.61658 .56214 L
.61548 .5607 L
.61465 .55946 L
.6143 .55877 L
.61273 .55688 L
.61267 .55684 L
.61095 .55492 L
.6108 .5543 L
.60982 .55299 L
.60887 .55162 L
.60864 .55106 L
.60701 .54914 L
.60694 .54907 L
.6053 .54721 L
.60502 .54644 L
.60418 .54528 L
.60309 .54376 L
.60297 .54336 L
.60135 .54143 L
.60116 .54122 L
.59967 .5395 L
.59924 .53856 L
.59854 .53758 L
.59731 .53589 L
.59727 .53565 L
.59571 .53372 L
.59538 .53336 L
.59405 .53179 L
.59346 .53068 L
.59291 .52987 L
.59153 .52802 L
.59147 .52794 L
.59007 .52601 L
.5896 .52549 L
.58844 .52409 L
.58768 .52278 L
.58728 .52216 L
.58583 .52023 L
.58575 .52021 L
.58444 .51831 L
.58382 .5176 L
.58284 .51638 L
.58189 .51487 L
.58165 .51445 L
.58021 .51253 L
.57997 .51242 L
.57882 .5106 L
.57804 .50969 L
.57725 .50867 L
.57611 .50694 L
.57601 .50674 L
.5746 .50482 L
.57419 .50458 L
.5726 .50289 L
.57226 .50174 L
.57168 .50096 L
.57037 .49904 L
.57033 .49898 L
.569 .49711 L
.56841 .49668 L
.5671 .49518 L
.56648 .49376 L
.56612 .49326 L
.56479 .49133 L
.56455 .49101 L
.56342 .4894 L
.56263 .48868 L
.56163 .48747 L
.5607 .48571 L
.56058 .48555 L
.55925 .48362 L
.55877 .48298 L
.55788 .48169 L
.55684 .48056 L
.55623 .47977 L
.55509 .47784 L
.55492 .47761 L
.55376 .47591 L
.55299 .47487 L
.55239 .47399 L
.55106 .47221 L
.55095 .47206 L
.5497 .47013 L
.54914 .46936 L
.54838 .46821 L
.54721 .46655 L
.54703 .46628 L
.54577 .46435 L
.54528 .46364 L
.54456 .46242 L
.54336 .4606 L
.5433 .4605 L
.54237 .45857 L
F
1 .93 0 r
.54336 .53471 m
.54528 .53503 L
.54627 .53565 L
.54721 .53638 L
.54867 .53758 L
.54914 .53849 L
.5499 .5395 L
.55106 .54091 L
.55118 .54143 L
.55291 .54336 L
.55299 .54346 L
.55454 .54528 L
.55492 .54608 L
.55571 .54721 L
.55684 .54874 L
.55688 .54914 L
.55861 .55106 L
.55877 .5512 L
.56018 .55299 L
.5607 .55386 L
.56131 .55492 L
.56263 .55662 L
.56278 .55684 L
.56412 .55877 L
.56455 .55941 L
.56561 .5607 L
.56648 .56237 L
.56662 .56263 L
.56746 .56455 L
.56648 .56558 L
.56455 .56507 L
.56385 .56455 L
.56263 .56351 L
.56154 .56263 L
.5607 .56132 L
.56023 .5607 L
.55877 .55887 L
.55876 .55877 L
.55724 .55684 L
.55684 .55633 L
.55557 .55492 L
.55492 .5537 L
.5544 .55299 L
.55299 .55113 L
.55292 .55106 L
.55152 .54914 L
.55106 .54866 L
.54992 .54721 L
.54914 .54594 L
.54876 .54528 L
.54732 .54336 L
.54721 .54321 L
.54596 .54143 L
.54528 .54045 L
.54446 .5395 L
.54336 .53758 L
.54335 .53758 L
.54248 .53565 L
F
1 .92 0 r
.54336 .53491 m
.54528 .53519 L
.54605 .53565 L
.54721 .53651 L
.54859 .53758 L
.54914 .53859 L
.54984 .5395 L
.55106 .54099 L
.55116 .54143 L
.55286 .54336 L
.55299 .54352 L
.55451 .54528 L
.55492 .54614 L
.55567 .54721 L
.55684 .54878 L
.55688 .54914 L
.55857 .55106 L
.55877 .55123 L
.56015 .55299 L
.5607 .55391 L
.56128 .55492 L
.56263 .55669 L
.56273 .55684 L
.56406 .55877 L
.56455 .5595 L
.56554 .5607 L
.56648 .56253 L
.56653 .56263 L
.56723 .56455 L
.56648 .56534 L
.56455 .56488 L
.56408 .56455 L
.56263 .56337 L
.56165 .56263 L
.5607 .56122 L
.5603 .5607 L
.55877 .5588 L
.55877 .55877 L
.55728 .55684 L
.55684 .55627 L
.5556 .55492 L
.55492 .55365 L
.55443 .55299 L
.55299 .5511 L
.55295 .55106 L
.55155 .54914 L
.55106 .54862 L
.54995 .54721 L
.54914 .54589 L
.54879 .54528 L
.54736 .54336 L
.54721 .54315 L
.546 .54143 L
.54528 .54038 L
.54451 .5395 L
.54344 .53758 L
.54336 .53743 L
.54267 .53565 L
F
1 .48 0 r
.54336 .47408 m
.54487 .47591 L
.54528 .47637 L
.54646 .47784 L
.54721 .47872 L
.54803 .47977 L
.54914 .48076 L
.54958 .48169 L
.55106 .48356 L
.55113 .48362 L
.55258 .48555 L
.55299 .48606 L
.55407 .48747 L
.55492 .48817 L
.55556 .4894 L
.55684 .49104 L
.55714 .49133 L
.55848 .49326 L
.55877 .49362 L
.55993 .49518 L
.5607 .49583 L
.56139 .49711 L
.56263 .4987 L
.56293 .49904 L
.56426 .50096 L
.56455 .50134 L
.56569 .50289 L
.56648 .50361 L
.56713 .50482 L
.56841 .5065 L
.56861 .50674 L
.56996 .50867 L
.57033 .50917 L
.57136 .5106 L
.57226 .5115 L
.57279 .51253 L
.57419 .51443 L
.57421 .51445 L
.57557 .51638 L
.57611 .5171 L
.57697 .51831 L
.57804 .51955 L
.57873 .52023 L
.57975 .52216 L
.57997 .52245 L
.5811 .52409 L
.58189 .52516 L
.58248 .52601 L
.58382 .52784 L
.58392 .52794 L
.58517 .52987 L
.58575 .53065 L
.58651 .53179 L
.58768 .53343 L
.58787 .53372 L
.58913 .53565 L
.5896 .53631 L
.59037 .53758 L
.59153 .53928 L
.59166 .5395 L
.59153 .54124 L
.59002 .5395 L
.5896 .53908 L
.58838 .53758 L
.58768 .53679 L
.58677 .53565 L
.58575 .53443 L
.58519 .53372 L
.58382 .5321 L
.58365 .53179 L
.58215 .52987 L
.58189 .52956 L
.58066 .52794 L
.57997 .52708 L
.57916 .52601 L
.57804 .52472 L
.57722 .52409 L
.5762 .52216 L
.57611 .52205 L
.57476 .52023 L
.57419 .5195 L
.5733 .51831 L
.57226 .51709 L
.57146 .51638 L
.57039 .51445 L
.57033 .51438 L
.56898 .51253 L
.56841 .51178 L
.56754 .5106 L
.56648 .50932 L
.56582 .50867 L
.56468 .50674 L
.56455 .50658 L
.56328 .50482 L
.56263 .50395 L
.56187 .50289 L
.5607 .50142 L
.56027 .50096 L
.55905 .49904 L
.55877 .49867 L
.55766 .49711 L
.55684 .49601 L
.55626 .49518 L
.55492 .49339 L
.5548 .49326 L
.5535 .49133 L
.55299 .49065 L
.55213 .4894 L
.55106 .48795 L
.55073 .48747 L
.54937 .48555 L
.54914 .48523 L
.54806 .48362 L
.54721 .48246 L
.5467 .48169 L
.54534 .47977 L
.54528 .47969 L
.5441 .47784 L
.54336 .47679 L
.54282 .47591 L
F
0 .15 1 r
.54336 .48246 m
.5442 .48362 L
.54528 .48491 L
.54574 .48555 L
.54721 .48739 L
.54727 .48747 L
.54866 .4894 L
.54914 .48997 L
.55009 .49133 L
.55106 .49255 L
.55155 .49326 L
.55299 .49514 L
.55302 .49518 L
.55435 .49711 L
.55492 .49782 L
.55573 .49904 L
.55684 .5005 L
.55715 .50096 L
.55684 .50268 L
.55559 .50096 L
.55492 .50016 L
.55411 .49904 L
.55299 .49764 L
.55261 .49711 L
.55114 .49518 L
.55106 .49509 L
.54978 .49326 L
.54914 .49246 L
.54836 .49133 L
.54721 .48984 L
.54691 .4894 L
.54553 .48747 L
.54528 .48716 L
.54422 .48555 L
.54336 .48442 L
.54284 .48362 L
F
0 .9 1 r
.54336 .51673 m
.54463 .51831 L
.54528 .51913 L
.54611 .52023 L
.54721 .52179 L
.54746 .52216 L
.54858 .52409 L
.54721 .52416 L
.54715 .52409 L
.54556 .52216 L
.54528 .52182 L
.54417 .52023 L
.54336 .51913 L
.54285 .51831 L
F
1 .91 0 r
.54336 .53511 m
.54528 .53535 L
.54582 .53565 L
.54721 .53664 L
.54851 .53758 L
.54914 .53868 L
.54978 .5395 L
.55106 .54106 L
.55114 .54143 L
.55282 .54336 L
.55299 .54358 L
.55449 .54528 L
.55492 .54619 L
.55564 .54721 L
.55684 .54882 L
.55687 .54914 L
.55853 .55106 L
.55877 .55127 L
.56012 .55299 L
.5607 .55396 L
.56124 .55492 L
.56263 .55676 L
.56269 .55684 L
.56401 .55877 L
.56455 .5596 L
.56547 .5607 L
.56643 .56263 L
.56648 .56273 L
.56698 .56455 L
.56648 .56508 L
.56455 .5647 L
.56432 .56455 L
.56263 .56324 L
.56177 .56263 L
.5607 .56113 L
.56036 .5607 L
.55881 .55877 L
.55877 .55873 L
.55733 .55684 L
.55684 .55622 L
.55563 .55492 L
.55492 .55361 L
.55446 .55299 L
.55299 .55107 L
.55299 .55106 L
.55158 .54914 L
.55106 .54858 L
.54998 .54721 L
.54914 .54584 L
.54882 .54528 L
.54739 .54336 L
.54721 .5431 L
.54605 .54143 L
.54528 .54031 L
.54457 .5395 L
.54353 .53758 L
.54336 .53724 L
.54287 .53565 L
F
1 .47 0 r
.54336 .47417 m
.5448 .47591 L
.54528 .47644 L
.5464 .47784 L
.54721 .47879 L
.54798 .47977 L
.54914 .48084 L
.54954 .48169 L
.55106 .48362 L
.55106 .48362 L
.55254 .48555 L
.55299 .4861 L
.55403 .48747 L
.55492 .48822 L
.55553 .4894 L
.55684 .49108 L
.55709 .49133 L
.55845 .49326 L
.55877 .49366 L
.5599 .49518 L
.5607 .49586 L
.56136 .49711 L
.56263 .49874 L
.5629 .49904 L
.56424 .50096 L
.56455 .50137 L
.56566 .50289 L
.56648 .50364 L
.5671 .50482 L
.56841 .50654 L
.56858 .50674 L
.56993 .50867 L
.57033 .5092 L
.57134 .5106 L
.57226 .51154 L
.57276 .51253 L
.57418 .51445 L
.57419 .51446 L
.57554 .51638 L
.57611 .51714 L
.57694 .51831 L
.57804 .5196 L
.57868 .52023 L
.57972 .52216 L
.57997 .52249 L
.58107 .52409 L
.58189 .52521 L
.58245 .52601 L
.58382 .5279 L
.58386 .52794 L
.58514 .52987 L
.58575 .53071 L
.58647 .53179 L
.58768 .53349 L
.58783 .53372 L
.58907 .53565 L
.5896 .5364 L
.59031 .53758 L
.59153 .53939 L
.59159 .5395 L
.59153 .54109 L
.59012 .5395 L
.5896 .53898 L
.58845 .53758 L
.58768 .53671 L
.58683 .53565 L
.58575 .53437 L
.58524 .53372 L
.58382 .53203 L
.58369 .53179 L
.58219 .52987 L
.58189 .52951 L
.5807 .52794 L
.57997 .52703 L
.57919 .52601 L
.57804 .52467 L
.57728 .52409 L
.57623 .52216 L
.57611 .52201 L
.57479 .52023 L
.57419 .51946 L
.57333 .51831 L
.57226 .51705 L
.5715 .51638 L
.57042 .51445 L
.57033 .51434 L
.56901 .51253 L
.56841 .51175 L
.56757 .5106 L
.56648 .50928 L
.56586 .50867 L
.56471 .50674 L
.56455 .50654 L
.56331 .50482 L
.56263 .50391 L
.56189 .50289 L
.5607 .50138 L
.56031 .50096 L
.55907 .49904 L
.55877 .49864 L
.55769 .49711 L
.55684 .49598 L
.55628 .49518 L
.55492 .49334 L
.55484 .49326 L
.55353 .49133 L
.55299 .49061 L
.55215 .4894 L
.55106 .48791 L
.55076 .48747 L
.54941 .48555 L
.54914 .48518 L
.54809 .48362 L
.54721 .48241 L
.54674 .48169 L
.54539 .47977 L
.54528 .47962 L
.54415 .47784 L
.54336 .47671 L
.54287 .47591 L
F
0 .54 1 r
.54336 .54152 m
.54517 .54336 L
.54528 .54347 L
.54677 .54528 L
.54721 .5458 L
.54826 .54721 L
.54914 .54834 L
.5497 .54914 L
.55106 .55105 L
.55107 .55106 L
.55224 .55299 L
.55299 .55426 L
.5533 .55492 L
.55299 .55584 L
.55188 .55492 L
.55106 .55419 L
.55001 .55299 L
.54914 .55202 L
.54837 .55106 L
.54721 .54963 L
.54684 .54914 L
.54541 .54721 L
.54528 .54704 L
.54411 .54528 L
.54336 .54416 L
.54287 .54336 L
F
0 .14 1 r
.54336 .48255 m
.54413 .48362 L
.54528 .48498 L
.54569 .48555 L
.54721 .48745 L
.54723 .48747 L
.54861 .4894 L
.54914 .49004 L
.55004 .49133 L
.55106 .49261 L
.55151 .49326 L
.55106 .49503 L
.54983 .49326 L
.54914 .49239 L
.54841 .49133 L
.54721 .48978 L
.54695 .4894 L
.54559 .48747 L
.54528 .48709 L
.54428 .48555 L
.54336 .48435 L
.5429 .48362 L
F
1 .46 0 r
.54336 .47427 m
.54472 .47591 L
.54528 .47652 L
.54634 .47784 L
.54721 .47885 L
.54793 .47977 L
.54914 .48092 L
.54949 .48169 L
.55102 .48362 L
.55106 .48367 L
.5525 .48555 L
.55299 .48615 L
.554 .48747 L
.55492 .48827 L
.55549 .4894 L
.55684 .49113 L
.55705 .49133 L
.55842 .49326 L
.55877 .4937 L
.55987 .49518 L
.5607 .4959 L
.56134 .49711 L
.56263 .49878 L
.56286 .49904 L
.56421 .50096 L
.56455 .50141 L
.56564 .50289 L
.56648 .50368 L
.56708 .50482 L
.56841 .50658 L
.56855 .50674 L
.5699 .50867 L
.57033 .50923 L
.57131 .5106 L
.57226 .51158 L
.57274 .51253 L
.57415 .51445 L
.57419 .5145 L
.57552 .51638 L
.57611 .51717 L
.57691 .51831 L
.57804 .51965 L
.57863 .52023 L
.57969 .52216 L
.57997 .52253 L
.58104 .52409 L
.58189 .52525 L
.58242 .52601 L
.5838 .52794 L
.58382 .52796 L
.5851 .52987 L
.58575 .53076 L
.58643 .53179 L
.58768 .53355 L
.58778 .53372 L
.58901 .53565 L
.5896 .53649 L
.59025 .53758 L
.5896 .53888 L
.58852 .53758 L
.58768 .53664 L
.58689 .53565 L
.58575 .53431 L
.58529 .53372 L
.58382 .53196 L
.58373 .53179 L
.58223 .52987 L
.58189 .52946 L
.58073 .52794 L
.57997 .52699 L
.57923 .52601 L
.57804 .52462 L
.57734 .52409 L
.57626 .52216 L
.57611 .52197 L
.57482 .52023 L
.57419 .51943 L
.57336 .51831 L
.57226 .51701 L
.57155 .51638 L
.57045 .51445 L
.57033 .5143 L
.56903 .51253 L
.56841 .51171 L
.56759 .5106 L
.56648 .50924 L
.5659 .50867 L
.56473 .50674 L
.56455 .50651 L
.56333 .50482 L
.56263 .50388 L
.56191 .50289 L
.5607 .50134 L
.56034 .50096 L
.5591 .49904 L
.55877 .4986 L
.55772 .49711 L
.55684 .49594 L
.55631 .49518 L
.55492 .49329 L
.55488 .49326 L
.55356 .49133 L
.55299 .49057 L
.55218 .4894 L
.55106 .48787 L
.55079 .48747 L
.54945 .48555 L
.54914 .48513 L
.54813 .48362 L
.54721 .48236 L
.54677 .48169 L
.54544 .47977 L
.54528 .47956 L
.54421 .47784 L
.54336 .47662 L
.54293 .47591 L
F
0 .53 1 r
.54336 .54163 m
.5451 .54336 L
.54528 .54354 L
.54672 .54528 L
.54721 .54586 L
.54822 .54721 L
.54914 .5484 L
.54965 .54914 L
.55102 .55106 L
.55106 .55113 L
.55217 .55299 L
.55299 .55442 L
.5532 .55492 L
.55299 .55566 L
.55201 .55492 L
.55106 .5541 L
.55008 .55299 L
.54914 .55196 L
.54843 .55106 L
.54721 .54957 L
.54689 .54914 L
.54546 .54721 L
.54528 .54697 L
.54416 .54528 L
.54336 .54407 L
.54294 .54336 L
F
0 .13 1 r
.54336 .48263 m
.54407 .48362 L
.54528 .48505 L
.54564 .48555 L
.54528 .48701 L
.54434 .48555 L
.54336 .48426 L
.54295 .48362 L
F
1 .45 0 r
.54336 .47438 m
.54464 .47591 L
.54528 .4766 L
.54628 .47784 L
.54721 .47892 L
.54788 .47977 L
.54914 .48101 L
.54945 .48169 L
.55097 .48362 L
.55106 .48373 L
.55246 .48555 L
.55299 .4862 L
.55396 .48747 L
.55492 .48832 L
.55546 .4894 L
.55684 .49117 L
.557 .49133 L
.55839 .49326 L
.55877 .49374 L
.55984 .49518 L
.5607 .49594 L
.56131 .49711 L
.56263 .49882 L
.56282 .49904 L
.56418 .50096 L
.56455 .50144 L
.56561 .50289 L
.56648 .50372 L
.56705 .50482 L
.56841 .50662 L
.56851 .50674 L
.56988 .50867 L
.57033 .50927 L
.57129 .5106 L
.57226 .51162 L
.57271 .51253 L
.57412 .51445 L
.57419 .51454 L
.57549 .51638 L
.57611 .51721 L
.57689 .51831 L
.57804 .5197 L
.57858 .52023 L
.57966 .52216 L
.57997 .52258 L
.58101 .52409 L
.58189 .52529 L
.58239 .52601 L
.58377 .52794 L
.58382 .52802 L
.58506 .52987 L
.58575 .53082 L
.58639 .53179 L
.58768 .53362 L
.58774 .53372 L
.58895 .53565 L
.5896 .53658 L
.59018 .53758 L
.5896 .53878 L
.5886 .53758 L
.58768 .53656 L
.58694 .53565 L
.58575 .53424 L
.58534 .53372 L
.58382 .53188 L
.58377 .53179 L
.58228 .52987 L
.58189 .52941 L
.58077 .52794 L
.57997 .52694 L
.57926 .52601 L
.57804 .52457 L
.57741 .52409 L
.5763 .52216 L
.57611 .52193 L
.57485 .52023 L
.57419 .51939 L
.57338 .51831 L
.57226 .51697 L
.57159 .51638 L
.57048 .51445 L
.57033 .51427 L
.56906 .51253 L
.56841 .51168 L
.56762 .5106 L
.56648 .5092 L
.56594 .50867 L
.56476 .50674 L
.56455 .50648 L
.56336 .50482 L
.56263 .50385 L
.56194 .50289 L
.5607 .5013 L
.56038 .50096 L
.55913 .49904 L
.55877 .49857 L
.55774 .49711 L
.55684 .49591 L
.55633 .49518 L
.55492 .49326 L
.55492 .49325 L
.55358 .49133 L
.55299 .49053 L
.55221 .4894 L
.55106 .48783 L
.55082 .48747 L
.54948 .48555 L
.54914 .48508 L
.54817 .48362 L
.54721 .4823 L
.54681 .48169 L
.54549 .47977 L
.54528 .47948 L
.54427 .47784 L
.54336 .47653 L
.54299 .47591 L
F
0 .52 1 r
.54336 .54175 m
.54502 .54336 L
.54528 .54362 L
.54666 .54528 L
.54721 .54593 L
.54817 .54721 L
.54914 .54847 L
.54961 .54914 L
.55096 .55106 L
.55106 .55122 L
.5521 .55299 L
.55299 .55463 L
.55309 .55492 L
.55299 .55542 L
.55217 .55492 L
.55106 .55401 L
.55015 .55299 L
.54914 .55189 L
.54848 .55106 L
.54721 .5495 L
.54693 .54914 L
.54552 .54721 L
.54528 .5469 L
.54422 .54528 L
.54336 .54397 L
.543 .54336 L
F
0 .88 1 r
.54336 .58442 m
.54429 .58575 L
.54528 .58701 L
.54575 .58768 L
.54528 .58887 L
.54449 .58768 L
.54336 .58629 L
.54301 .58575 L
F
0 .12 1 r
.54336 .48273 m
.54399 .48362 L
.54528 .48512 L
.54559 .48555 L
.54528 .48693 L
.54441 .48555 L
.54336 .48417 L
.54302 .48362 L
F
1 .44 0 r
.54336 .4745 m
.54455 .47591 L
.54528 .47668 L
.54622 .47784 L
.54721 .47898 L
.54783 .47977 L
.54914 .4811 L
.54941 .48169 L
.55093 .48362 L
.55106 .48378 L
.55242 .48555 L
.55299 .48624 L
.55393 .48747 L
.55492 .48837 L
.55543 .4894 L
.55684 .49122 L
.55695 .49133 L
.55836 .49326 L
.55877 .49378 L
.55981 .49518 L
.5607 .49598 L
.56128 .49711 L
.56263 .49886 L
.56279 .49904 L
.56415 .50096 L
.56455 .50148 L
.56558 .50289 L
.56648 .50375 L
.56703 .50482 L
.56841 .50666 L
.56848 .50674 L
.56985 .50867 L
.57033 .5093 L
.57126 .5106 L
.57226 .51167 L
.57269 .51253 L
.57409 .51445 L
.57419 .51457 L
.57546 .51638 L
.57611 .51725 L
.57686 .51831 L
.57804 .51975 L
.57853 .52023 L
.57962 .52216 L
.57997 .52262 L
.58098 .52409 L
.58189 .52534 L
.58236 .52601 L
.58373 .52794 L
.58382 .52807 L
.58502 .52987 L
.58575 .53088 L
.58635 .53179 L
.58768 .53368 L
.5877 .53372 L
.58889 .53565 L
.5896 .53669 L
.59011 .53758 L
.5896 .53867 L
.58869 .53758 L
.58768 .53648 L
.58701 .53565 L
.58575 .53418 L
.58539 .53372 L
.58382 .5318 L
.58382 .53179 L
.58232 .52987 L
.58189 .52936 L
.58081 .52794 L
.57997 .5269 L
.5793 .52601 L
.57804 .52451 L
.57747 .52409 L
.57633 .52216 L
.57611 .52189 L
.57488 .52023 L
.57419 .51935 L
.57341 .51831 L
.57226 .51692 L
.57164 .51638 L
.57051 .51445 L
.57033 .51423 L
.56908 .51253 L
.56841 .51164 L
.56764 .5106 L
.56648 .50916 L
.56598 .50867 L
.56479 .50674 L
.56455 .50644 L
.56339 .50482 L
.56263 .50381 L
.56196 .50289 L
.5607 .50126 L
.56042 .50096 L
.55915 .49904 L
.55877 .49853 L
.55777 .49711 L
.55684 .49587 L
.55636 .49518 L
.55495 .49326 L
.55492 .49321 L
.55362 .49133 L
.55299 .49049 L
.55224 .4894 L
.55106 .48779 L
.55085 .48747 L
.54952 .48555 L
.54914 .48503 L
.5482 .48362 L
.54721 .48225 L
.54685 .48169 L
.54554 .47977 L
.54528 .47941 L
.54433 .47784 L
.54336 .47643 L
.54306 .47591 L
F
0 .51 1 r
.54336 .54187 m
.54494 .54336 L
.54528 .54369 L
.5466 .54528 L
.54721 .54599 L
.54812 .54721 L
.54914 .54853 L
.54956 .54914 L
.55089 .55106 L
.55106 .55131 L
.55202 .55299 L
.55106 .55392 L
.55022 .55299 L
.54914 .55182 L
.54853 .55106 L
.54721 .54944 L
.54698 .54914 L
.54557 .54721 L
.54528 .54682 L
.54427 .54528 L
.54336 .54387 L
.54307 .54336 L
F
0 .11 1 r
.54336 .48285 m
.54391 .48362 L
.54528 .4852 L
.54553 .48555 L
.54528 .48684 L
.54449 .48555 L
.54336 .48407 L
.54309 .48362 L
F
1 .9 0 r
.54336 .53535 m
.54528 .5355 L
.54556 .53565 L
.54721 .53676 L
.54841 .53758 L
.54914 .53878 L
.54971 .5395 L
.55106 .54114 L
.55113 .54143 L
.55277 .54336 L
.55299 .54363 L
.55446 .54528 L
.55492 .54624 L
.55561 .54721 L
.55684 .54886 L
.55687 .54914 L
.5585 .55106 L
.55877 .5513 L
.56009 .55299 L
.5607 .55402 L
.56121 .55492 L
.56263 .55683 L
.56264 .55684 L
.56395 .55877 L
.56455 .55969 L
.5654 .5607 L
.56631 .56263 L
.56648 .56303 L
.5667 .56455 L
.56648 .56478 L
.56462 .56455 L
.56455 .56452 L
.56263 .56311 L
.56191 .56263 L
.5607 .56103 L
.56043 .5607 L
.55887 .55877 L
.55877 .55867 L
.55737 .55684 L
.55684 .55617 L
.55566 .55492 L
.55492 .55356 L
.55449 .55299 L
.55302 .55106 L
.55299 .55106 L
.55162 .54914 L
.55106 .54854 L
.55001 .54721 L
.54914 .5458 L
.54884 .54528 L
.54743 .54336 L
.54721 .54304 L
.54609 .54143 L
.54528 .54024 L
.54464 .5395 L
.54362 .53758 L
.54336 .53701 L
.54309 .53565 L
F
1 .43 0 r
.54336 .47464 m
.54446 .47591 L
.54528 .47677 L
.54615 .47784 L
.54721 .47905 L
.54778 .47977 L
.54914 .48119 L
.54936 .48169 L
.55088 .48362 L
.55106 .48383 L
.55238 .48555 L
.55299 .48629 L
.55389 .48747 L
.55492 .48842 L
.5554 .4894 L
.55684 .49127 L
.55691 .49133 L
.55833 .49326 L
.55877 .49382 L
.55979 .49518 L
.5607 .49602 L
.56125 .49711 L
.56263 .4989 L
.56275 .49904 L
.56413 .50096 L
.56455 .50151 L
.56556 .50289 L
.56648 .5038 L
.567 .50482 L
.56841 .5067 L
.56845 .50674 L
.56982 .50867 L
.57033 .50934 L
.57124 .5106 L
.57226 .51171 L
.57266 .51253 L
.57407 .51445 L
.57419 .51461 L
.57543 .51638 L
.57611 .51729 L
.57683 .51831 L
.57804 .51981 L
.57847 .52023 L
.57959 .52216 L
.57997 .52266 L
.58095 .52409 L
.58189 .52538 L
.58233 .52601 L
.58369 .52794 L
.58382 .52812 L
.58498 .52987 L
.58575 .53094 L
.58631 .53179 L
.58765 .53372 L
.58768 .53376 L
.58882 .53565 L
.5896 .5368 L
.59003 .53758 L
.5896 .53854 L
.58878 .53758 L
.58768 .5364 L
.58707 .53565 L
.58575 .53411 L
.58544 .53372 L
.58387 .53179 L
.58382 .53174 L
.58237 .52987 L
.58189 .52931 L
.58085 .52794 L
.57997 .52685 L
.57933 .52601 L
.57804 .52446 L
.57754 .52409 L
.57636 .52216 L
.57611 .52185 L
.57491 .52023 L
.57419 .51931 L
.57344 .51831 L
.57226 .51688 L
.57169 .51638 L
.57053 .51445 L
.57033 .5142 L
.56911 .51253 L
.56841 .51161 L
.56767 .5106 L
.56648 .50912 L
.56602 .50867 L
.56481 .50674 L
.56455 .50641 L
.56341 .50482 L
.56263 .50378 L
.56199 .50289 L
.5607 .50122 L
.56046 .50096 L
.55918 .49904 L
.55877 .4985 L
.55779 .49711 L
.55684 .49583 L
.55639 .49518 L
.55498 .49326 L
.55492 .49317 L
.55365 .49133 L
.55299 .49045 L
.55227 .4894 L
.55106 .48774 L
.55088 .48747 L
.54956 .48555 L
.54914 .48498 L
.54824 .48362 L
.54721 .48219 L
.54689 .48169 L
.5456 .47977 L
.54528 .47933 L
.54439 .47784 L
.54336 .47633 L
.54313 .47591 L
F
0 .5 1 r
.54336 .54201 m
.54485 .54336 L
.54528 .54377 L
.54654 .54528 L
.54721 .54606 L
.54807 .54721 L
.54914 .5486 L
.54951 .54914 L
.55083 .55106 L
.55106 .55141 L
.55194 .55299 L
.55106 .55382 L
.5503 .55299 L
.54914 .55174 L
.54859 .55106 L
.54721 .54937 L
.54703 .54914 L
.54563 .54721 L
.54528 .54674 L
.54433 .54528 L
.54336 .54376 L
.54314 .54336 L
F
0 .1 1 r
.54336 .48298 m
.5438 .48362 L
.54528 .48529 L
.54546 .48555 L
.54528 .48674 L
.54457 .48555 L
.54336 .48395 L
.54317 .48362 L
F
1 .42 0 r
.54336 .47479 m
.54435 .47591 L
.54528 .47686 L
.54608 .47784 L
.54721 .47912 L
.54772 .47977 L
.54914 .48129 L
.54931 .48169 L
.55084 .48362 L
.55106 .48389 L
.55234 .48555 L
.55299 .48634 L
.55385 .48747 L
.55492 .48848 L
.55536 .4894 L
.55684 .49132 L
.55686 .49133 L
.55829 .49326 L
.55877 .49386 L
.55976 .49518 L
.5607 .49607 L
.56122 .49711 L
.56263 .49895 L
.56271 .49904 L
.5641 .50096 L
.56455 .50155 L
.56553 .50289 L
.56648 .50384 L
.56697 .50482 L
.56841 .50674 L
.56841 .50674 L
.5698 .50867 L
.57033 .50937 L
.57121 .5106 L
.57226 .51176 L
.57264 .51253 L
.57404 .51445 L
.57419 .51465 L
.57541 .51638 L
.57611 .51732 L
.5768 .51831 L
.57804 .51987 L
.57841 .52023 L
.57956 .52216 L
.57997 .5227 L
.58091 .52409 L
.58189 .52543 L
.58229 .52601 L
.58365 .52794 L
.58382 .52818 L
.58493 .52987 L
.58575 .531 L
.58626 .53179 L
.58759 .53372 L
.58768 .53384 L
.58874 .53565 L
.5896 .53693 L
.58994 .53758 L
.5896 .5384 L
.58889 .53758 L
.58768 .53631 L
.58714 .53565 L
.58575 .53404 L
.58549 .53372 L
.58392 .53179 L
.58382 .53168 L
.58241 .52987 L
.58189 .52925 L
.58089 .52794 L
.57997 .5268 L
.57937 .52601 L
.57804 .5244 L
.57762 .52409 L
.5764 .52216 L
.57611 .52181 L
.57494 .52023 L
.57419 .51927 L
.57347 .51831 L
.57226 .51684 L
.57174 .51638 L
.57056 .51445 L
.57033 .51416 L
.56914 .51253 L
.56841 .51157 L
.56769 .5106 L
.56648 .50908 L
.56606 .50867 L
.56484 .50674 L
.56455 .50637 L
.56344 .50482 L
.56263 .50375 L
.56201 .50289 L
.5607 .50117 L
.5605 .50096 L
.55921 .49904 L
.55877 .49846 L
.55782 .49711 L
.55684 .4958 L
.55641 .49518 L
.55501 .49326 L
.55492 .49313 L
.55368 .49133 L
.55299 .49041 L
.5523 .4894 L
.55106 .4877 L
.55091 .48747 L
.5496 .48555 L
.54914 .48492 L
.54828 .48362 L
.54721 .48213 L
.54693 .48169 L
.54566 .47977 L
.54528 .47924 L
.54446 .47784 L
.54336 .4762 L
.5432 .47591 L
F
0 .49 1 r
.54336 .54217 m
.54475 .54336 L
.54528 .54386 L
.54648 .54528 L
.54721 .54613 L
.54801 .54721 L
.54914 .54867 L
.54946 .54914 L
.55076 .55106 L
.55106 .55151 L
.55186 .55299 L
.55106 .55372 L
.55039 .55299 L
.54914 .55167 L
.54865 .55106 L
.54721 .54931 L
.54708 .54914 L
.54569 .54721 L
.54528 .54666 L
.54439 .54528 L
.54336 .54363 L
.54321 .54336 L
F
0 .78 1 r
.54336 .46655 m
.54498 .46821 L
.54528 .46849 L
.54673 .47013 L
.54721 .47065 L
.5484 .47206 L
.54914 .47291 L
.55002 .47399 L
.55106 .47515 L
.55161 .47591 L
.55299 .47763 L
.55319 .47784 L
.55469 .47977 L
.55492 .48005 L
.55621 .48169 L
.55684 .48241 L
.55835 .48362 L
.55877 .48498 L
.55924 .48555 L
.5607 .48747 L
.5607 .48747 L
.56218 .4894 L
.56263 .48992 L
.56407 .49133 L
.56455 .49253 L
.56511 .49326 L
.56648 .49508 L
.56651 .49518 L
.56802 .49711 L
.56841 .49757 L
.56977 .49904 L
.57033 .5002 L
.57088 .50096 L
.57226 .50279 L
.57228 .50289 L
.57379 .50482 L
.57419 .5053 L
.57545 .50674 L
.57611 .50796 L
.57659 .50867 L
.57804 .51055 L
.57808 .5106 L
.5795 .51253 L
.57997 .51309 L
.5811 .51445 L
.58189 .51577 L
.58228 .51638 L
.58377 .51831 L
.58382 .51834 L
.58518 .52023 L
.58575 .52093 L
.58674 .52216 L
.58768 .52363 L
.58794 .52409 L
.58941 .52601 L
.5896 .52613 L
.59082 .52794 L
.59153 .52882 L
.59234 .52987 L
.59346 .53154 L
.59359 .53179 L
.59503 .53372 L
.59538 .53398 L
.59704 .53565 L
.59731 .53676 L
.59792 .53758 L
.59924 .5395 L
.59924 .5395 L
.60061 .54143 L
.60116 .5419 L
.60251 .54336 L
.60309 .54478 L
.60345 .54528 L
.60478 .54721 L
.60502 .54753 L
.60614 .54914 L
.60694 .54995 L
.6079 .55106 L
.60887 .55292 L
.60892 .55299 L
.61025 .55492 L
.6108 .55567 L
.6116 .55684 L
.61273 .55825 L
.61314 .55877 L
.61429 .5607 L
.61465 .5612 L
.6156 .56263 L
.61658 .56402 L
.61693 .56455 L
.61821 .56648 L
.61851 .56691 L
.61942 .56841 L
.62043 .56993 L
.62067 .57033 L
.62171 .57226 L
.62043 .57249 L
.62023 .57226 L
.61851 .57043 L
.61845 .57033 L
.61679 .56841 L
.61658 .56817 L
.61519 .56648 L
.61465 .56586 L
.6136 .56455 L
.61273 .56368 L
.61203 .56263 L
.6108 .5611 L
.61037 .5607 L
.60898 .55877 L
.60887 .55864 L
.60748 .55684 L
.60694 .55631 L
.60598 .55492 L
.60502 .55369 L
.60438 .55299 L
.60309 .55115 L
.60304 .55106 L
.60156 .54914 L
.60116 .54873 L
.6001 .54721 L
.59924 .5461 L
.59855 .54528 L
.59731 .5435 L
.59723 .54336 L
.59575 .54143 L
.59538 .54105 L
.59375 .5395 L
.59346 .53839 L
.59281 .53758 L
.59153 .53577 L
.59147 .53565 L
.59001 .53372 L
.5896 .53329 L
.58814 .53179 L
.58768 .53061 L
.58711 .52987 L
.58575 .52798 L
.58573 .52794 L
.58431 .52601 L
.58382 .52548 L
.58253 .52409 L
.58189 .52277 L
.58145 .52216 L
.58005 .52023 L
.57997 .52013 L
.57865 .51831 L
.57804 .51763 L
.57693 .51638 L
.57611 .51489 L
.57581 .51445 L
.57441 .51253 L
.57419 .51249 L
.57301 .5106 L
.57226 .50973 L
.57136 .50867 L
.57033 .50697 L
.57019 .50674 L
.5688 .50482 L
.56841 .50468 L
.56741 .50289 L
.56648 .50177 L
.56582 .50096 L
.56459 .49904 L
.56455 .49899 L
.56322 .49711 L
.56263 .49676 L
.56183 .49518 L
.5607 .49373 L
.56033 .49326 L
.55905 .49133 L
.55877 .49095 L
.55769 .4894 L
.55684 .48866 L
.55575 .48747 L
.55492 .48556 L
.55491 .48555 L
.55359 .48362 L
.55299 .4828 L
.55224 .48169 L
.55106 .48026 L
.55065 .47977 L
.54955 .47784 L
.54914 .47727 L
.54826 .47591 L
.54721 .47443 L
.54692 .47399 L
.54566 .47206 L
.54528 .47151 L
.54447 .47013 L
.54336 .46841 L
.54324 .46821 L
F
0 .09 1 r
.54336 .48315 m
.54367 .48362 L
.54528 .48539 L
.5454 .48555 L
.54528 .48662 L
.54468 .48555 L
.54336 .48381 L
.54326 .48362 L
F
1 .41 0 r
.54336 .47498 m
.54422 .47591 L
.54528 .47696 L
.54601 .47784 L
.54721 .47919 L
.54767 .47977 L
.54914 .4814 L
.54927 .48169 L
.55079 .48362 L
.55106 .48394 L
.5523 .48555 L
.55299 .48639 L
.55382 .48747 L
.55492 .48854 L
.55533 .4894 L
.55682 .49133 L
.55684 .49136 L
.55826 .49326 L
.55877 .4939 L
.55973 .49518 L
.5607 .49611 L
.5612 .49711 L
.56263 .49899 L
.56267 .49904 L
.56407 .50096 L
.56455 .50159 L
.5655 .50289 L
.56648 .50388 L
.56695 .50482 L
.56838 .50674 L
.56841 .50678 L
.56977 .50867 L
.57033 .50941 L
.57118 .5106 L
.57226 .5118 L
.57261 .51253 L
.57401 .51445 L
.57419 .51469 L
.57538 .51638 L
.57611 .51736 L
.57678 .51831 L
.57804 .51992 L
.57836 .52023 L
.57953 .52216 L
.57997 .52275 L
.58088 .52409 L
.58189 .52548 L
.58226 .52601 L
.5836 .52794 L
.58382 .52823 L
.58489 .52987 L
.58575 .53106 L
.58622 .53179 L
.58752 .53372 L
.58768 .53394 L
.58866 .53565 L
.5896 .53708 L
.58984 .53758 L
.5896 .53824 L
.58901 .53758 L
.58768 .53622 L
.58721 .53565 L
.58575 .53397 L
.58555 .53372 L
.58398 .53179 L
.58382 .53162 L
.58246 .52987 L
.58189 .5292 L
.58093 .52794 L
.57997 .52676 L
.5794 .52601 L
.57804 .52435 L
.57769 .52409 L
.57643 .52216 L
.57611 .52177 L
.57497 .52023 L
.57419 .51923 L
.5735 .51831 L
.57226 .51679 L
.57179 .51638 L
.57059 .51445 L
.57033 .51412 L
.56917 .51253 L
.56841 .51154 L
.56772 .5106 L
.56648 .50904 L
.5661 .50867 L
.56487 .50674 L
.56455 .50634 L
.56346 .50482 L
.56263 .50371 L
.56204 .50289 L
.5607 .50113 L
.56054 .50096 L
.55924 .49904 L
.55877 .49842 L
.55785 .49711 L
.55684 .49576 L
.55644 .49518 L
.55505 .49326 L
.55492 .49309 L
.55371 .49133 L
.55299 .49036 L
.55233 .4894 L
.55106 .48765 L
.55094 .48747 L
.54964 .48555 L
.54914 .48487 L
.54832 .48362 L
.54721 .48207 L
.54697 .48169 L
.54572 .47977 L
.54528 .47915 L
.54453 .47784 L
.54336 .47606 L
.54328 .47591 L
F
0 .48 1 r
.54336 .54237 m
.54463 .54336 L
.54528 .54395 L
.54641 .54528 L
.54721 .54621 L
.54796 .54721 L
.54914 .54874 L
.54941 .54914 L
.55069 .55106 L
.55106 .55163 L
.55176 .55299 L
.55106 .55361 L
.55048 .55299 L
.54914 .55159 L
.54871 .55106 L
.54721 .54924 L
.54713 .54914 L
.54575 .54721 L
.54528 .54658 L
.54446 .54528 L
.54336 .54349 L
.54329 .54336 L
F
0 .89 1 r
.54336 .51767 m
.54397 .51831 L
.54528 .51981 L
.5456 .52023 L
.54528 .52118 L
.54467 .52023 L
.54336 .51838 L
.54332 .51831 L
F
1 .54 0 r
.54336 .54962 m
.54391 .55106 L
.54336 .55109 L
.54333 .55106 L
F
1 .89 0 r
.54336 .53564 m
.54526 .53565 L
.54528 .53566 L
.54721 .53688 L
.5483 .53758 L
.54914 .53887 L
.54965 .5395 L
.55106 .54121 L
.55111 .54143 L
.55273 .54336 L
.55299 .54369 L
.55443 .54528 L
.55492 .54629 L
.55558 .54721 L
.55684 .5489 L
.55687 .54914 L
.55846 .55106 L
.55877 .55134 L
.56006 .55299 L
.5607 .55407 L
.56118 .55492 L
.56259 .55684 L
.56263 .5569 L
.56389 .55877 L
.56455 .55979 L
.56532 .5607 L
.56619 .56263 L
.56455 .56436 L
.56263 .56298 L
.56207 .56263 L
.5607 .56094 L
.5605 .5607 L
.55892 .55877 L
.55877 .55861 L
.55742 .55684 L
.55684 .55611 L
.5557 .55492 L
.55492 .55352 L
.55452 .55299 L
.55305 .55106 L
.55299 .55105 L
.55165 .54914 L
.55106 .54851 L
.55004 .54721 L
.54914 .54575 L
.54887 .54528 L
.54747 .54336 L
.54721 .54298 L
.54614 .54143 L
.54528 .54016 L
.5447 .5395 L
.54371 .53758 L
.54336 .53667 L
.54335 .53565 L
F
0 .98 1 r
.54528 .56941 m
.54654 .57033 L
.54721 .57098 L
.54841 .57226 L
.54914 .57268 L
.54999 .57419 L
.55106 .5754 L
.55182 .57611 L
.5529 .57804 L
.55299 .57816 L
.55425 .57997 L
.55492 .58063 L
.55558 .58189 L
.55684 .58372 L
.55692 .58382 L
.5582 .58575 L
.55877 .58641 L
.55949 .58768 L
.5607 .58947 L
.5608 .5896 L
.56211 .59153 L
.56263 .59204 L
.56346 .59346 L
.56455 .59499 L
.56487 .59538 L
.5662 .59731 L
.56648 .59769 L
.56762 .59924 L
.56841 .60021 L
.56941 .60116 L
.57033 .60293 L
.57044 .60309 L
.57189 .60502 L
.57226 .60506 L
.57334 .60694 L
.57419 .60802 L
.57498 .60887 L
.57611 .6107 L
.57617 .6108 L
.57762 .61273 L
.57804 .61287 L
.57906 .61465 L
.57997 .61582 L
.58062 .61658 L
.58188 .61851 L
.58189 .61853 L
.58329 .62043 L
.58382 .62071 L
.5847 .62236 L
.58575 .62375 L
.58618 .62429 L
.58747 .62621 L
.58768 .6265 L
.58885 .62814 L
.5896 .62874 L
.59023 .63007 L
.59153 .63189 L
.59161 .63199 L
.59293 .63392 L
.59346 .63467 L
.59428 .63585 L
.59538 .63721 L
.59596 .63778 L
.5969 .6397 L
.59731 .64028 L
.59819 .64163 L
.59924 .64318 L
.59948 .64356 L
.60065 .64548 L
.60116 .64627 L
.60178 .64741 L
.60116 .64809 L
.6006 .64741 L
.59924 .64597 L
.59886 .64548 L
.59731 .64368 L
.59721 .64356 L
.59568 .64163 L
.59538 .64129 L
.59418 .6397 L
.59346 .63884 L
.59266 .63778 L
.59153 .63681 L
.59114 .63585 L
.58963 .63392 L
.5896 .63389 L
.5882 .63199 L
.58768 .63135 L
.58674 .63007 L
.58575 .62927 L
.58527 .62814 L
.58382 .62628 L
.58375 .62621 L
.58238 .62429 L
.58189 .62368 L
.58095 .62236 L
.57997 .62152 L
.5795 .62043 L
.57804 .61852 L
.57803 .61851 L
.57665 .61658 L
.57611 .61589 L
.57524 .61465 L
.57419 .61364 L
.5738 .61273 L
.57236 .6108 L
.57226 .61067 L
.571 .60887 L
.57033 .60801 L
.56959 .60694 L
.56841 .60562 L
.56815 .60502 L
.56675 .60309 L
.56648 .60274 L
.56539 .60116 L
.56455 .60007 L
.56398 .59924 L
.56263 .59749 L
.56254 .59731 L
.56119 .59538 L
.5607 .59474 L
.55982 .59346 L
.55877 .59207 L
.5584 .59153 L
.55699 .5896 L
.55684 .58942 L
.55563 .58768 L
.55492 .58673 L
.55425 .58575 L
.55299 .58415 L
.55267 .58382 L
.55144 .58189 L
.55106 .58139 L
.55007 .57997 L
.54914 .57895 L
.54869 .57804 L
.5473 .57611 L
.54721 .57599 L
.54598 .57419 L
.54528 .57318 L
.5447 .57226 L
.54351 .57033 L
F
1 .88 0 r
.54528 .53579 m
.54721 .537 L
.54817 .53758 L
.54914 .53896 L
.54959 .5395 L
.55106 .54128 L
.5511 .54143 L
.55268 .54336 L
.55299 .54374 L
.5544 .54528 L
.55492 .54634 L
.55554 .54721 L
.55684 .54894 L
.55686 .54914 L
.55842 .55106 L
.55877 .55137 L
.56003 .55299 L
.5607 .55413 L
.56114 .55492 L
.56254 .55684 L
.56263 .55697 L
.56384 .55877 L
.56455 .55989 L
.56524 .5607 L
.56606 .56263 L
.56455 .5642 L
.56263 .56286 L
.56225 .56263 L
.5607 .56085 L
.56057 .5607 L
.55898 .55877 L
.55877 .55855 L
.55746 .55684 L
.55684 .55606 L
.55573 .55492 L
.55492 .55348 L
.55455 .55299 L
.55309 .55106 L
.55299 .55104 L
.55168 .54914 L
.55106 .54847 L
.55007 .54721 L
.54914 .5457 L
.5489 .54528 L
.54751 .54336 L
.54721 .54293 L
.54618 .54143 L
.54528 .54008 L
.54477 .5395 L
.54381 .53758 L
F
1 .87 0 r
.54528 .53593 m
.54721 .53712 L
.54802 .53758 L
.54914 .53905 L
.54952 .5395 L
.55106 .54135 L
.55108 .54143 L
.55263 .54336 L
.55299 .5438 L
.55437 .54528 L
.55492 .54639 L
.55551 .54721 L
.55684 .54898 L
.55686 .54914 L
.55839 .55106 L
.55877 .55141 L
.56 .55299 L
.5607 .55419 L
.56111 .55492 L
.56249 .55684 L
.56263 .55704 L
.56378 .55877 L
.56455 .56 L
.56515 .5607 L
.56593 .56263 L
.56455 .56404 L
.56263 .56273 L
.56244 .56263 L
.5607 .56076 L
.56065 .5607 L
.55904 .55877 L
.55877 .5585 L
.55751 .55684 L
.55684 .55601 L
.55577 .55492 L
.55492 .55343 L
.55458 .55299 L
.55312 .55106 L
.55299 .55103 L
.55171 .54914 L
.55106 .54843 L
.5501 .54721 L
.54914 .54565 L
.54893 .54528 L
.54755 .54336 L
.54721 .54287 L
.54623 .54143 L
.54528 .54 L
.54484 .5395 L
.54391 .53758 L
F
1 .86 0 r
.54528 .53607 m
.54721 .53723 L
.54786 .53758 L
.54914 .53914 L
.54945 .5395 L
.55106 .54142 L
.55106 .54143 L
.55259 .54336 L
.55299 .54385 L
.55434 .54528 L
.55492 .54644 L
.55548 .54721 L
.55684 .54902 L
.55686 .54914 L
.55835 .55106 L
.55877 .55145 L
.55996 .55299 L
.5607 .55425 L
.56107 .55492 L
.56244 .55684 L
.56263 .55712 L
.56372 .55877 L
.56455 .56011 L
.56505 .5607 L
.5658 .56263 L
.56455 .56387 L
.56265 .56263 L
.56263 .56261 L
.56073 .5607 L
.5607 .56068 L
.5591 .55877 L
.55877 .55844 L
.55755 .55684 L
.55684 .55596 L
.55581 .55492 L
.55492 .55339 L
.55461 .55299 L
.55316 .55106 L
.55299 .55102 L
.55175 .54914 L
.55106 .54839 L
.55013 .54721 L
.54914 .5456 L
.54896 .54528 L
.54759 .54336 L
.54721 .54281 L
.54627 .54143 L
.54528 .53992 L
.54491 .5395 L
.54401 .53758 L
F
1 .85 0 r
.54528 .53621 m
.54721 .53734 L
.54767 .53758 L
.54914 .53922 L
.54938 .5395 L
.55101 .54143 L
.55106 .54148 L
.55254 .54336 L
.55299 .54391 L
.55431 .54528 L
.55492 .54649 L
.55545 .54721 L
.55684 .54906 L
.55685 .54914 L
.55831 .55106 L
.55877 .55148 L
.55993 .55299 L
.5607 .55431 L
.56103 .55492 L
.56239 .55684 L
.56263 .55719 L
.56366 .55877 L
.56455 .56023 L
.56495 .5607 L
.56565 .56263 L
.56455 .5637 L
.5628 .56263 L
.56263 .5625 L
.56081 .5607 L
.5607 .56065 L
.55915 .55877 L
.55877 .55838 L
.5576 .55684 L
.55684 .5559 L
.55585 .55492 L
.55492 .55335 L
.55464 .55299 L
.55319 .55106 L
.55299 .551 L
.55178 .54914 L
.55106 .54834 L
.55017 .54721 L
.54914 .54554 L
.54899 .54528 L
.54763 .54336 L
.54721 .54275 L
.54632 .54143 L
.54528 .53983 L
.54499 .5395 L
.54412 .53758 L
F
1 .84 0 r
.54528 .53635 m
.54721 .53746 L
.54746 .53758 L
.54914 .53931 L
.54931 .5395 L
.55095 .54143 L
.55106 .54153 L
.5525 .54336 L
.55299 .54396 L
.55428 .54528 L
.55492 .54654 L
.55541 .54721 L
.55684 .5491 L
.55685 .54914 L
.55827 .55106 L
.55877 .55152 L
.5599 .55299 L
.5607 .55437 L
.561 .55492 L
.56234 .55684 L
.56263 .55727 L
.5636 .55877 L
.56455 .56035 L
.56485 .5607 L
.5655 .56263 L
.56455 .56353 L
.56296 .56263 L
.56263 .56238 L
.5609 .5607 L
.5607 .56061 L
.55921 .55877 L
.55877 .55833 L
.55765 .55684 L
.55684 .55585 L
.55589 .55492 L
.55492 .55331 L
.55467 .55299 L
.55323 .55106 L
.55299 .55099 L
.55181 .54914 L
.55106 .5483 L
.5502 .54721 L
.54914 .54549 L
.54902 .54528 L
.54767 .54336 L
.54721 .54269 L
.54637 .54143 L
.54528 .53975 L
.54507 .5395 L
.54423 .53758 L
F
1 .83 0 r
.54528 .5365 m
.54721 .53757 L
.54723 .53758 L
.54914 .5394 L
.54924 .5395 L
.5509 .54143 L
.55106 .54157 L
.55245 .54336 L
.55299 .54401 L
.55424 .54528 L
.55492 .54658 L
.55538 .54721 L
.55684 .54914 L
.55684 .54915 L
.55824 .55106 L
.55877 .55157 L
.55986 .55299 L
.5607 .55444 L
.56096 .55492 L
.56229 .55684 L
.56263 .55735 L
.56354 .55877 L
.56455 .56048 L
.56473 .5607 L
.56533 .56263 L
.56455 .56334 L
.56315 .56263 L
.56263 .56227 L
.56098 .5607 L
.5607 .56058 L
.55927 .55877 L
.55877 .55827 L
.55769 .55684 L
.55684 .5558 L
.55593 .55492 L
.55492 .55326 L
.5547 .55299 L
.55326 .55106 L
.55299 .55098 L
.55184 .54914 L
.55106 .54826 L
.55024 .54721 L
.54914 .54544 L
.54905 .54528 L
.54771 .54336 L
.54721 .54263 L
.54641 .54143 L
.54528 .53965 L
.54515 .5395 L
.54434 .53758 L
F
1 .82 0 r
.54528 .53665 m
.54707 .53758 L
.54721 .53767 L
.54914 .53948 L
.54916 .5395 L
.55084 .54143 L
.55106 .54162 L
.5524 .54336 L
.55299 .54406 L
.55421 .54528 L
.55492 .54663 L
.55535 .54721 L
.5568 .54914 L
.55684 .5492 L
.5582 .55106 L
.55877 .55161 L
.55982 .55299 L
.5607 .55451 L
.56092 .55492 L
.56224 .55684 L
.56263 .55743 L
.56348 .55877 L
.56455 .56063 L
.56461 .5607 L
.56514 .56263 L
.56455 .56315 L
.56336 .56263 L
.56263 .56216 L
.56107 .5607 L
.5607 .56054 L
.55934 .55877 L
.55877 .55821 L
.55774 .55684 L
.55684 .55575 L
.55597 .55492 L
.55492 .55322 L
.55474 .55299 L
.5533 .55106 L
.55299 .55096 L
.55188 .54914 L
.55106 .54821 L
.55027 .54721 L
.54914 .54538 L
.54908 .54528 L
.54775 .54336 L
.54721 .54256 L
.54646 .54143 L
.54528 .53955 L
.54524 .5395 L
.54447 .53758 L
F
0 .47 1 r
.54528 .54404 m
.54634 .54528 L
.54721 .54628 L
.5479 .54721 L
.54914 .54881 L
.54936 .54914 L
.55061 .55106 L
.55106 .55176 L
.55166 .55299 L
.55106 .55348 L
.55058 .55299 L
.54914 .55151 L
.54877 .55106 L
.54721 .54917 L
.54719 .54914 L
.54582 .54721 L
.54528 .54649 L
.54452 .54528 L
F
1 .98 0 r
.54721 .69514 m
.54914 .69533 L
.5502 .69558 L
.55106 .69584 L
.55299 .69654 L
.55492 .69738 L
.55522 .69751 L
.55684 .69831 L
.55877 .69931 L
.559 .69944 L
.5607 .70038 L
.5624 .70136 L
.56263 .7015 L
.56455 .70266 L
.56558 .70329 L
.56648 .70386 L
.56841 .70509 L
.5686 .70522 L
.57033 .70636 L
.57152 .70715 L
.57226 .70765 L
.57419 .70896 L
.57435 .70907 L
.57611 .7103 L
.57711 .711 L
.57804 .71166 L
.57982 .71293 L
.57997 .71303 L
.58189 .71443 L
.58248 .71485 L
.58382 .71585 L
.58509 .71678 L
.58575 .71728 L
.58766 .71871 L
.58768 .71872 L
.5896 .72019 L
.59019 .72063 L
.59153 .72167 L
.59269 .72256 L
.59346 .72316 L
.59515 .72449 L
.59538 .72467 L
.59731 .72619 L
.59759 .72641 L
.59924 .72773 L
.6 .72834 L
.60116 .72928 L
.60239 .73027 L
.60309 .73084 L
.60475 .7322 L
.60502 .73241 L
.60694 .73399 L
.6071 .73412 L
.60887 .73559 L
.60944 .73605 L
.6108 .73718 L
.61176 .73798 L
.61273 .73878 L
.61408 .7399 L
.61465 .74038 L
.61639 .74183 L
.61658 .74199 L
.61851 .74359 L
.61871 .74376 L
.62043 .74518 L
.62104 .74568 L
.62236 .74678 L
.62337 .74761 L
.62429 .74836 L
.62573 .74954 L
.62621 .74993 L
.62811 .75146 L
.62814 .75149 L
.63007 .75303 L
.63051 .75339 L
.63199 .75455 L
.63295 .75532 L
.63392 .75605 L
.63548 .75725 L
.63585 .75751 L
.63778 .75892 L
.63789 .75917 L
.6397 .76028 L
.64096 .7611 L
.64163 .76153 L
.64356 .7626 L
.64529 .7611 L
.64518 .75917 L
.64539 .75725 L
.64548 .75689 L
.64652 .75532 L
.64741 .75447 L
.64934 .75369 L
.65094 .75339 L
.65126 .75332 L
.65319 .75302 L
.65512 .75282 L
.65704 .75268 L
.65897 .7526 L
.6609 .75254 L
.66283 .75251 L
.66475 .7525 L
.66668 .75251 L
.66861 .75254 L
.67053 .7526 L
.67246 .75268 L
.67439 .7528 L
.67631 .75294 L
.67824 .75312 L
.68017 .75334 L
.68058 .75339 L
.68209 .75364 L
.68402 .75404 L
.68595 .75451 L
.68788 .75503 L
.68896 .75532 L
.6898 .75562 L
.69173 .75637 L
.69366 .75713 L
.69399 .75725 L
.69558 .758 L
.69751 .75898 L
.69795 .75917 L
.69944 .7599 L
.70136 .76077 L
.70203 .7611 L
.70329 .76172 L
.70522 .76254 L
.70636 .7611 L
.70525 .75917 L
.70522 .75912 L
.70396 .75725 L
.70329 .75608 L
.70252 .75532 L
.70136 .75372 L
.70102 .75339 L
.69947 .75146 L
.69944 .75142 L
.6979 .74954 L
.69751 .74905 L
.69631 .74761 L
.69558 .74673 L
.6947 .74568 L
.69366 .74444 L
.69307 .74376 L
.69173 .74217 L
.69144 .74183 L
.68981 .7399 L
.6898 .7399 L
.68818 .73798 L
.68788 .73762 L
.68655 .73605 L
.68595 .73534 L
.68493 .73412 L
.68402 .73304 L
.68332 .7322 L
.68209 .73071 L
.68173 .73027 L
.68017 .72835 L
.68016 .72834 L
.67862 .72641 L
.67824 .72594 L
.6771 .72449 L
.67631 .72348 L
.67561 .72256 L
.67439 .72096 L
.67414 .72063 L
.67271 .71871 L
.67246 .71836 L
.67132 .71678 L
.67053 .71567 L
.66997 .71485 L
.66866 .71293 L
.66861 .71285 L
.6674 .711 L
.66668 .70986 L
.6662 .70907 L
.66509 .70715 L
.66475 .70657 L
.66408 .70522 L
.66321 .70329 L
.66283 .70223 L
.66257 .70136 L
.66223 .69944 L
.66232 .69751 L
.66283 .69617 L
.66333 .69558 L
.66475 .69503 L
.66668 .69526 L
.66778 .69558 L
.66861 .69587 L
.67053 .69664 L
.67245 .69751 L
.67246 .69752 L
.67439 .69847 L
.67624 .69944 L
.67631 .69948 L
.67824 .70055 L
.67965 .70136 L
.68017 .70167 L
.68209 .70284 L
.68283 .70329 L
.68402 .70404 L
.68588 .70522 L
.68595 .70527 L
.68788 .70653 L
.6888 .70715 L
.6898 .70783 L
.69162 .70907 L
.69173 .70915 L
.69366 .7105 L
.69436 .711 L
.69558 .71188 L
.69704 .71293 L
.69751 .71327 L
.69944 .71467 L
.69969 .71485 L
.70136 .71609 L
.70231 .71678 L
.70329 .71751 L
.7049 .71871 L
.70522 .71894 L
.70715 .72039 L
.70747 .72063 L
.70907 .72186 L
.71 .72256 L
.711 .72333 L
.71249 .72449 L
.71293 .72483 L
.71485 .72633 L
.71496 .72641 L
.71678 .72786 L
.71739 .72834 L
.71871 .72939 L
.71981 .73027 L
.72063 .73093 L
.72221 .7322 L
.72256 .73248 L
.72449 .73404 L
.72459 .73412 L
.72641 .73561 L
.72696 .73605 L
.72834 .73718 L
.72931 .73798 L
.73027 .73877 L
.73165 .7399 L
.7322 .74036 L
.73398 .74183 L
.73412 .74195 L
.73605 .74356 L
.73628 .74376 L
.73798 .74519 L
.73857 .74568 L
.7399 .74681 L
.74085 .74761 L
.74183 .74845 L
.74312 .74954 L
.74376 .75008 L
.74538 .75146 L
.74568 .75172 L
.74761 .75337 L
.74763 .75339 L
.74954 .75504 L
.74987 .75532 L
.75146 .75671 L
.75209 .75725 L
.75339 .75838 L
.75431 .75917 L
.75532 .76006 L
.75652 .7611 L
.75725 .76174 L
.75871 .76303 L
.75917 .76343 L
.7609 .76495 L
.7611 .76513 L
.76303 .76683 L
.76308 .76688 L
.76495 .76855 L
.76525 .76881 L
.76688 .77027 L
.76741 .77073 L
.76881 .77199 L
.76956 .77266 L
.77073 .77372 L
.7717 .77459 L
.77266 .77545 L
.77384 .77651 L
.77459 .77719 L
.77597 .77844 L
.77651 .77894 L
.77809 .78037 L
.77844 .78069 L
.78021 .7823 L
.78037 .78244 L
.7823 .7842 L
.78232 .78422 L
.78422 .78598 L
.78441 .78615 L
.78615 .78776 L
.7865 .78808 L
.78808 .78954 L
.78858 .79 L
.79 .79133 L
.79066 .79193 L
.79193 .79312 L
.79272 .79386 L
.79386 .79492 L
.79479 .79578 L
.79578 .79672 L
.79684 .79771 L
.79771 .79853 L
.79889 .79964 L
.79964 .80034 L
.80094 .80156 L
.80156 .80216 L
.80297 .80349 L
.80349 .80399 L
.805 .80542 L
.80542 .80582 L
.80703 .80735 L
.80735 .80765 L
.80904 .80927 L
.80927 .80949 L
.81105 .8112 L
.8112 .81134 L
.81306 .81313 L
.81313 .81319 L
.81505 .81505 L
.81505 .81505 L
.81698 .81692 L
.81704 .81698 L
.81891 .8188 L
.81902 .81891 L
.82083 .82068 L
.821 .82083 L
.82276 .82256 L
.82296 .82276 L
.82469 .82445 L
.82493 .82469 L
.82661 .82635 L
.82688 .82661 L
.82854 .82825 L
.82883 .82854 L
.83047 .83016 L
.83078 .83047 L
.8324 .83208 L
.83271 .8324 L
.83432 .834 L
.83464 .83432 L
.83625 .83593 L
.83657 .83625 L
.83818 .83787 L
.83848 .83818 L
.8401 .83981 L
.84039 .8401 L
.84203 .84176 L
.8423 .84203 L
.84396 .84371 L
.8442 .84396 L
.84588 .84568 L
.84609 .84588 L
.84781 .84765 L
.84797 .84781 L
.84974 .84962 L
.84985 .84974 L
.85166 .85161 L
.85172 .85166 L
.85358 .85359 L
.85359 .8536 L
.85543 .85552 L
.85552 .85561 L
.85728 .85745 L
.85745 .85762 L
.85912 .85937 L
.85937 .85964 L
.86095 .8613 L
.8613 .86167 L
.86277 .86323 L
.86323 .8637 L
.86459 .86515 L
.86515 .86575 L
.8664 .86708 L
.86708 .86781 L
.8682 .86901 L
.86901 .86987 L
.86999 .87093 L
.87093 .87195 L
.87177 .87286 L
.87286 .87404 L
.87355 .87479 L
.87479 .87613 L
.87532 .87671 L
.87671 .87824 L
.87708 .87864 L
.87864 .88036 L
.87883 .88057 L
.88057 .8825 L
.88057 .8825 L
.88229 .88442 L
.8825 .88465 L
.88401 .88635 L
.88442 .88681 L
.88572 .88828 L
.88635 .88899 L
.88741 .8902 L
.88828 .89119 L
.8891 .89213 L
.8902 .8934 L
.89077 .89406 L
.89213 .89563 L
.89243 .89598 L
.89406 .89788 L
.89409 .89791 L
.89572 .89984 L
.89598 .90015 L
.89734 .90177 L
.89791 .90245 L
.89895 .90369 L
.89984 .90477 L
.90054 .90562 L
.90177 .90712 L
.90211 .90755 L
.90367 .90947 L
.90369 .9095 L
.90521 .9114 L
.90562 .91192 L
.90673 .91333 L
.90755 .91438 L
.90822 .91525 L
.90947 .91688 L
.9097 .91718 L
.91115 .91911 L
.9114 .91945 L
.91257 .92103 L
.91333 .92208 L
.91396 .92296 L
.91525 .9248 L
.91532 .92489 L
.91663 .92682 L
.91718 .92763 L
.91791 .92874 L
.91911 .93063 L
.91913 .93067 L
.9203 .9326 L
.92103 .93387 L
.92139 .93452 L
.92239 .93645 L
.92296 .93761 L
.92327 .93838 L
.92398 .9403 L
.92444 .94223 L
.92442 .94416 L
.92296 .94578 L
.92103 .94587 L
.91911 .94552 L
.91718 .94492 L
.91527 .94416 L
.91525 .94415 L
.91333 .94327 L
.9114 .94231 L
.91125 .94223 L
.90947 .94127 L
.90775 .9403 L
.90755 .94018 L
.90562 .93904 L
.90452 .93838 L
.90369 .93786 L
.90177 .93665 L
.90145 .93645 L
.89984 .9354 L
.89851 .93452 L
.89791 .93412 L
.89598 .93282 L
.89566 .9326 L
.89406 .93149 L
.89288 .93067 L
.89213 .93014 L
.8902 .92878 L
.89015 .92874 L
.88828 .92739 L
.88748 .92682 L
.88635 .92599 L
.88485 .92489 L
.88442 .92457 L
.8825 .92314 L
.88226 .92296 L
.88057 .92169 L
.87969 .92103 L
.87864 .92024 L
.87715 .91911 L
.87671 .91877 L
.87479 .9173 L
.87463 .91718 L
.87286 .91581 L
.87214 .91525 L
.87093 .91432 L
.86965 .91333 L
.86901 .91282 L
.86718 .9114 L
.86708 .91132 L
.86515 .90981 L
.86472 .90947 L
.86323 .90829 L
.86228 .90755 L
.8613 .90677 L
.85984 .90562 L
.85937 .90525 L
.85745 .90372 L
.85741 .90369 L
.85552 .90216 L
.85503 .90177 L
.85359 .9006 L
.85265 .89984 L
.85166 .89902 L
.8503 .89791 L
.84974 .89744 L
.84798 .89598 L
.84781 .89584 L
.84588 .89418 L
.84573 .89406 L
.84396 .89246 L
.84352 .89213 L
.84203 .89075 L
.84136 .8902 L
.8401 .88901 L
.83924 .88828 L
.83818 .88725 L
.83715 .88635 L
.83625 .88547 L
.8351 .88442 L
.83432 .88366 L
.83306 .8825 L
.8324 .88184 L
.83104 .88057 L
.83047 .88001 L
.82901 .87864 L
.82854 .87818 L
.82699 .87671 L
.82661 .87635 L
.82496 .87479 L
.82469 .87453 L
.82292 .87286 L
.82276 .87271 L
.82086 .87093 L
.82083 .87091 L
.81891 .86913 L
.81878 .86901 L
.81698 .86736 L
.81667 .86708 L
.81505 .86561 L
.81454 .86515 L
.81313 .86388 L
.81238 .86323 L
.8112 .86218 L
.81019 .8613 L
.80927 .86051 L
.80795 .85937 L
.80735 .85886 L
.80565 .85745 L
.80542 .85725 L
.80349 .85569 L
.80328 .85552 L
.80156 .85417 L
.80081 .85359 L
.79964 .85273 L
.79816 .85166 L
.79771 .85137 L
.79578 .85014 L
.79506 .84974 L
.79386 .84916 L
.79193 .84861 L
.79 .84897 L
.78846 .84974 L
.78808 .84995 L
.78615 .85079 L
.78422 .85123 L
.7823 .85146 L
.78037 .85162 L
.77967 .85166 L
.77844 .85175 L
.77651 .85185 L
.77459 .85192 L
.77266 .85197 L
.77073 .852 L
.76881 .85201 L
.76688 .85202 L
.76495 .85201 L
.76303 .85199 L
.7611 .85196 L
.75917 .85191 L
.75725 .85185 L
.75532 .85177 L
.75339 .85168 L
.7532 .85166 L
.75146 .85153 L
.74954 .85133 L
.74761 .85108 L
.74568 .85075 L
.74376 .85036 L
.74183 .84993 L
.74055 .84974 L
.7399 .84958 L
.73798 .84894 L
.73605 .84872 L
.73412 .84881 L
.73381 .84974 L
.73412 .85055 L
.73469 .85166 L
.73601 .85359 L
.73605 .85366 L
.73748 .85552 L
.73798 .85619 L
.73906 .85745 L
.7399 .85847 L
.74071 .85937 L
.74183 .86066 L
.74242 .8613 L
.74376 .86278 L
.74417 .86323 L
.74568 .86486 L
.74596 .86515 L
.74761 .86691 L
.74778 .86708 L
.74954 .86892 L
.74962 .86901 L
.75146 .87091 L
.75149 .87093 L
.75338 .87286 L
.75339 .87288 L
.75528 .87479 L
.75532 .87483 L
.7572 .87671 L
.75725 .87676 L
.75912 .87864 L
.75917 .87869 L
.76105 .88057 L
.7611 .88062 L
.76297 .8825 L
.76303 .88255 L
.76489 .88442 L
.76495 .88449 L
.76678 .88635 L
.76688 .88645 L
.76865 .88828 L
.76881 .88843 L
.77048 .8902 L
.77073 .89047 L
.77226 .89213 L
.77266 .89255 L
.77399 .89406 L
.77459 .89471 L
.77567 .89598 L
.77651 .89695 L
.7773 .89791 L
.77844 .89925 L
.77891 .89984 L
.78037 .9016 L
.7805 .90177 L
.78205 .90369 L
.7823 .904 L
.78357 .90562 L
.78422 .90645 L
.78508 .90755 L
.78615 .90892 L
.78658 .90947 L
.78808 .9114 L
.78808 .9114 L
.78955 .91333 L
.79 .91392 L
.79101 .91525 L
.79193 .91647 L
.79246 .91718 L
.79386 .91906 L
.79389 .91911 L
.7953 .92103 L
.79578 .92171 L
.79668 .92296 L
.79771 .92442 L
.79803 .92489 L
.79935 .92682 L
.79964 .92724 L
.80063 .92874 L
.80156 .9302 L
.80185 .93067 L
.80302 .9326 L
.80349 .93339 L
.80412 .93452 L
.80512 .93645 L
.80542 .93699 L
.806 .93838 L
.80672 .9403 L
.80717 .94223 L
.80714 .94416 L
.80542 .94582 L
.80349 .94584 L
.80156 .94545 L
.79964 .94481 L
.79795 .94416 L
.79771 .94403 L
.79578 .94314 L
.79398 .94223 L
.79386 .94216 L
.79193 .94112 L
.79048 .9403 L
.79 .94002 L
.78808 .93888 L
.78725 .93838 L
.78615 .93769 L
.78422 .93647 L
.78419 .93645 L
.7823 .93522 L
.78124 .93452 L
.78037 .93394 L
.77844 .93264 L
.77838 .9326 L
.77651 .93131 L
.7756 .93067 L
.77459 .92996 L
.77287 .92874 L
.77266 .92859 L
.77073 .9272 L
.7702 .92682 L
.76881 .92579 L
.76757 .92489 L
.76688 .92438 L
.76498 .92296 L
.76495 .92294 L
.76303 .92149 L
.76242 .92103 L
.7611 .92002 L
.7599 .91911 L
.75917 .91855 L
.7574 .91718 L
.75725 .91706 L
.75532 .91556 L
.75492 .91525 L
.75339 .91405 L
.75247 .91333 L
.75146 .91253 L
.75004 .9114 L
.74954 .91099 L
.74763 .90947 L
.74761 .90946 L
.74568 .9079 L
.74524 .90755 L
.74376 .90634 L
.74287 .90562 L
.74183 .90477 L
.74051 .90369 L
.7399 .90319 L
.73817 .90177 L
.73798 .9016 L
.73605 .90001 L
.73584 .89984 L
.73412 .8984 L
.73353 .89791 L
.7322 .89679 L
.73124 .89598 L
.73027 .89517 L
.72895 .89406 L
.72834 .89354 L
.72667 .89213 L
.72641 .89191 L
.72449 .89027 L
.72441 .8902 L
.72256 .88862 L
.72216 .88828 L
.72063 .88696 L
.71992 .88635 L
.71871 .8853 L
.71769 .88442 L
.71678 .88363 L
.71547 .8825 L
.71485 .88195 L
.71326 .88057 L
.71293 .88028 L
.71106 .87864 L
.711 .87859 L
.70907 .87689 L
.70887 .87671 L
.70715 .87519 L
.70669 .87479 L
.70522 .87348 L
.70452 .87286 L
.70329 .87176 L
.70236 .87093 L
.70136 .87004 L
.7002 .86901 L
.69944 .86832 L
.69805 .86708 L
.69751 .86659 L
.69591 .86515 L
.69558 .86486 L
.69378 .86323 L
.69366 .86312 L
.69173 .86137 L
.69165 .8613 L
.6898 .85961 L
.68954 .85937 L
.68788 .85785 L
.68744 .85745 L
.68595 .85608 L
.68534 .85552 L
.68402 .85431 L
.68324 .85359 L
.68209 .85253 L
.68116 .85166 L
.68017 .85075 L
.67908 .84974 L
.67824 .84896 L
.67701 .84781 L
.67631 .84716 L
.67494 .84588 L
.67439 .84537 L
.67288 .84396 L
.67246 .84356 L
.67083 .84203 L
.67053 .84175 L
.66878 .8401 L
.66861 .83994 L
.66674 .83818 L
.66668 .83812 L
.66475 .83629 L
.66471 .83625 L
.66283 .83445 L
.66269 .83432 L
.6609 .83261 L
.66067 .8324 L
.65897 .83076 L
.65866 .83047 L
.65704 .82891 L
.65666 .82854 L
.65512 .82705 L
.65467 .82661 L
.65319 .82519 L
.65267 .82469 L
.65126 .82332 L
.65069 .82276 L
.64934 .82144 L
.64871 .82083 L
.64741 .81956 L
.64674 .81891 L
.64548 .81767 L
.64478 .81698 L
.64356 .81578 L
.64282 .81505 L
.64163 .81388 L
.64086 .81313 L
.6397 .81198 L
.63892 .8112 L
.63778 .81006 L
.63698 .80927 L
.63585 .80815 L
.63505 .80735 L
.63392 .80622 L
.63312 .80542 L
.63199 .80429 L
.6312 .80349 L
.63007 .80235 L
.62929 .80156 L
.62814 .80041 L
.62738 .79964 L
.62621 .79845 L
.62548 .79771 L
.62429 .79649 L
.62359 .79578 L
.62236 .79453 L
.62171 .79386 L
.62043 .79255 L
.61983 .79193 L
.61851 .79057 L
.61796 .79 L
.61658 .78858 L
.61609 .78808 L
.61465 .78659 L
.61423 .78615 L
.61273 .78458 L
.61238 .78422 L
.6108 .78257 L
.61054 .7823 L
.60887 .78055 L
.6087 .78037 L
.60694 .77852 L
.60687 .77844 L
.60505 .77651 L
.60502 .77648 L
.60324 .77459 L
.60309 .77443 L
.60144 .77266 L
.60116 .77237 L
.59965 .77073 L
.59924 .77029 L
.59786 .76881 L
.59731 .76821 L
.59608 .76688 L
.59538 .76612 L
.59431 .76495 L
.59346 .76402 L
.59255 .76303 L
.59153 .7619 L
.5908 .7611 L
.5896 .75977 L
.58906 .75917 L
.58768 .75763 L
.58733 .75725 L
.58575 .75548 L
.5856 .75532 L
.58389 .75339 L
.58382 .75331 L
.58219 .75146 L
.58189 .75113 L
.5805 .74954 L
.57997 .74892 L
.57883 .74761 L
.57804 .7467 L
.57716 .74568 L
.57611 .74447 L
.57551 .74376 L
.57419 .74221 L
.57387 .74183 L
.57226 .73993 L
.57224 .7399 L
.57063 .73798 L
.57033 .73762 L
.56903 .73605 L
.56841 .73529 L
.56746 .73412 L
.56648 .73292 L
.56589 .7322 L
.56455 .73053 L
.56435 .73027 L
.56282 .72834 L
.56263 .7281 L
.56132 .72641 L
.5607 .72562 L
.55983 .72449 L
.55877 .72309 L
.55838 .72256 L
.55694 .72063 L
.55684 .7205 L
.55554 .71871 L
.55492 .71783 L
.55418 .71678 L
.55299 .71507 L
.55284 .71485 L
.55155 .71293 L
.55106 .71218 L
.55031 .711 L
.54914 .70909 L
.54913 .70907 L
.54801 .70715 L
.54721 .70568 L
.54698 .70522 L
.54605 .70329 L
.54528 .70138 L
.54528 .70136 L
.54472 .69944 L
.54455 .69751 L
.54528 .69585 L
.54562 .69558 L
F
0 .77 1 r
.54528 .46869 m
.54658 .47013 L
.54721 .4708 L
.54828 .47206 L
.54914 .47304 L
.54993 .47399 L
.55106 .47526 L
.55153 .47591 L
.55299 .47772 L
.55311 .47784 L
.55462 .47977 L
.55492 .48013 L
.55615 .48169 L
.55684 .48248 L
.5583 .48362 L
.55877 .48505 L
.55919 .48555 L
.56065 .48747 L
.5607 .48748 L
.56213 .4894 L
.56263 .48998 L
.56404 .49133 L
.56455 .49258 L
.56507 .49326 L
.56648 .49512 L
.5665 .49518 L
.56799 .49711 L
.56841 .49761 L
.56974 .49904 L
.57033 .50024 L
.57085 .50096 L
.57226 .50282 L
.57227 .50289 L
.57376 .50482 L
.57419 .50534 L
.57542 .50674 L
.57611 .50799 L
.57657 .50867 L
.57804 .51058 L
.57805 .5106 L
.57947 .51253 L
.57997 .51312 L
.58108 .51445 L
.58189 .5158 L
.58226 .51638 L
.58374 .51831 L
.58382 .51835 L
.58515 .52023 L
.58575 .52097 L
.58671 .52216 L
.58768 .52367 L
.58792 .52409 L
.58939 .52601 L
.5896 .52615 L
.5908 .52794 L
.59153 .52886 L
.59232 .52987 L
.59346 .53157 L
.59357 .53179 L
.59501 .53372 L
.59538 .534 L
.59702 .53565 L
.59731 .5368 L
.59789 .53758 L
.59921 .5395 L
.59924 .53954 L
.60058 .54143 L
.60116 .54193 L
.60248 .54336 L
.60309 .54483 L
.60342 .54528 L
.60474 .54721 L
.60502 .54758 L
.60611 .54914 L
.60694 .55 L
.60785 .55106 L
.60887 .55298 L
.60888 .55299 L
.6102 .55492 L
.6108 .55574 L
.61156 .55684 L
.61273 .55834 L
.61306 .55877 L
.61423 .5607 L
.61465 .56129 L
.61553 .56263 L
.61658 .56412 L
.61686 .56455 L
.61812 .56648 L
.61851 .56705 L
.61932 .56841 L
.62043 .57012 L
.62055 .57033 L
.62043 .57224 L
.61861 .57033 L
.61851 .57023 L
.61692 .56841 L
.61658 .56804 L
.61529 .56648 L
.61465 .56575 L
.61368 .56455 L
.61273 .56359 L
.6121 .56263 L
.6108 .56102 L
.61046 .5607 L
.60904 .55877 L
.60887 .55857 L
.60754 .55684 L
.60694 .55625 L
.60603 .55492 L
.60502 .55363 L
.60443 .55299 L
.60309 .5511 L
.60307 .55106 L
.6016 .54914 L
.60116 .54869 L
.60013 .54721 L
.59924 .54605 L
.59859 .54528 L
.59731 .54346 L
.59725 .54336 L
.59578 .54143 L
.59538 .54101 L
.59377 .5395 L
.59346 .53835 L
.59284 .53758 L
.59153 .53574 L
.59149 .53565 L
.59004 .53372 L
.5896 .53326 L
.58816 .53179 L
.58768 .53057 L
.58714 .52987 L
.58575 .52795 L
.58575 .52794 L
.58434 .52601 L
.58382 .52546 L
.58255 .52409 L
.58189 .52274 L
.58147 .52216 L
.58007 .52023 L
.57997 .5201 L
.57867 .51831 L
.57804 .5176 L
.57695 .51638 L
.57611 .51486 L
.57583 .51445 L
.57443 .51253 L
.57419 .51249 L
.57303 .5106 L
.57226 .5097 L
.57139 .50867 L
.57033 .50693 L
.57021 .50674 L
.56882 .50482 L
.56841 .50467 L
.56743 .50289 L
.56648 .50174 L
.56585 .50096 L
.56462 .49904 L
.56455 .49895 L
.56325 .49711 L
.56263 .49673 L
.56186 .49518 L
.5607 .49368 L
.56036 .49326 L
.55909 .49133 L
.55877 .4909 L
.55773 .4894 L
.55684 .48861 L
.55581 .48747 L
.55495 .48555 L
.55492 .4855 L
.55363 .48362 L
.55299 .48274 L
.55228 .48169 L
.55106 .48015 L
.55074 .47977 L
.54961 .47784 L
.54914 .47718 L
.54832 .47591 L
.54721 .47433 L
.54699 .47399 L
.54576 .47206 L
.54528 .47135 L
.54459 .47013 L
F
0 .46 1 r
.54528 .54414 m
.54626 .54528 L
.54721 .54636 L
.54784 .54721 L
.54914 .54889 L
.54931 .54914 L
.55053 .55106 L
.55106 .55191 L
.55153 .55299 L
.55106 .55335 L
.5507 .55299 L
.54914 .55143 L
.54884 .55106 L
.54725 .54914 L
.54721 .54908 L
.54588 .54721 L
.54528 .54639 L
.54459 .54528 L
F
1 .81 0 r
.54528 .53681 m
.54691 .53758 L
.54721 .53777 L
.54907 .5395 L
.54914 .53956 L
.55078 .54143 L
.55106 .54167 L
.55236 .54336 L
.55299 .54412 L
.55417 .54528 L
.55492 .54668 L
.55531 .54721 L
.55676 .54914 L
.55684 .54925 L
.55816 .55106 L
.55877 .55166 L
.55978 .55299 L
.5607 .55457 L
.56089 .55492 L
.56219 .55684 L
.56263 .55752 L
.56342 .55877 L
.5645 .5607 L
.56455 .56081 L
.56492 .56263 L
.56455 .56293 L
.56363 .56263 L
.56263 .56204 L
.56117 .5607 L
.5607 .5605 L
.5594 .55877 L
.55877 .55815 L
.55779 .55684 L
.55684 .5557 L
.55602 .55492 L
.55492 .55318 L
.55477 .55299 L
.55333 .55106 L
.55299 .55094 L
.55191 .54914 L
.55106 .54816 L
.55031 .54721 L
.54914 .54532 L
.54911 .54528 L
.5478 .54336 L
.54721 .5425 L
.54651 .54143 L
.54532 .5395 L
.54528 .53943 L
.5446 .53758 L
F
1 .4 0 r
.54528 .47706 m
.54593 .47784 L
.54721 .47927 L
.54761 .47977 L
.54914 .48151 L
.54922 .48169 L
.55074 .48362 L
.55106 .484 L
.55226 .48555 L
.55299 .48644 L
.55378 .48747 L
.55492 .48861 L
.55529 .4894 L
.55678 .49133 L
.55684 .49141 L
.55823 .49326 L
.55877 .49394 L
.5597 .49518 L
.5607 .49616 L
.56117 .49711 L
.56263 .49903 L
.56263 .49904 L
.56404 .50096 L
.56455 .50162 L
.56548 .50289 L
.56648 .50392 L
.56692 .50482 L
.56835 .50674 L
.56841 .50681 L
.56974 .50867 L
.57033 .50945 L
.57116 .5106 L
.57226 .51185 L
.57258 .51253 L
.57398 .51445 L
.57419 .51473 L
.57535 .51638 L
.57611 .5174 L
.57675 .51831 L
.57804 .51998 L
.57829 .52023 L
.57949 .52216 L
.57997 .52279 L
.58085 .52409 L
.58189 .52552 L
.58223 .52601 L
.58356 .52794 L
.58382 .52829 L
.58484 .52987 L
.58575 .53113 L
.58617 .53179 L
.58745 .53372 L
.58768 .53403 L
.58857 .53565 L
.5896 .53728 L
.58973 .53758 L
.5896 .53802 L
.58918 .53758 L
.58768 .53612 L
.58729 .53565 L
.58575 .5339 L
.58561 .53372 L
.58404 .53179 L
.58382 .53155 L
.58251 .52987 L
.58189 .52914 L
.58097 .52794 L
.57997 .52671 L
.57944 .52601 L
.57804 .52429 L
.57777 .52409 L
.57647 .52216 L
.57611 .52172 L
.575 .52023 L
.57419 .5192 L
.57353 .51831 L
.57226 .51674 L
.57184 .51638 L
.57062 .51445 L
.57033 .51409 L
.56919 .51253 L
.56841 .5115 L
.56775 .5106 L
.56648 .50899 L
.56615 .50867 L
.5649 .50674 L
.56455 .5063 L
.56349 .50482 L
.56263 .50368 L
.56206 .50289 L
.5607 .50108 L
.56059 .50096 L
.55927 .49904 L
.55877 .49839 L
.55788 .49711 L
.55684 .49572 L
.55646 .49518 L
.55508 .49326 L
.55492 .49304 L
.55374 .49133 L
.55299 .49032 L
.55236 .4894 L
.55106 .48761 L
.55097 .48747 L
.54968 .48555 L
.54914 .48481 L
.54836 .48362 L
.54721 .482 L
.54701 .48169 L
.54579 .47977 L
.54528 .47905 L
.5446 .47784 L
F
0 .45 1 r
.54528 .54424 m
.54618 .54528 L
.54721 .54644 L
.54778 .54721 L
.54914 .54897 L
.54925 .54914 L
.55044 .55106 L
.55106 .55209 L
.55137 .55299 L
.55106 .55319 L
.55084 .55299 L
.54914 .55134 L
.54891 .55106 L
.54733 .54914 L
.54721 .549 L
.54596 .54721 L
.54528 .54629 L
.54467 .54528 L
F
1 .39 0 r
.54528 .47717 m
.54584 .47784 L
.54721 .47935 L
.54755 .47977 L
.54914 .48163 L
.54917 .48169 L
.55069 .48362 L
.55106 .48406 L
.55221 .48555 L
.55299 .48649 L
.55374 .48747 L
.55492 .48867 L
.55526 .4894 L
.55674 .49133 L
.55684 .49145 L
.55819 .49326 L
.55877 .49398 L
.55967 .49518 L
.5607 .49621 L
.56114 .49711 L
.5626 .49904 L
.56263 .49907 L
.56401 .50096 L
.56455 .50166 L
.56545 .50289 L
.56648 .50397 L
.5669 .50482 L
.56832 .50674 L
.56841 .50685 L
.56971 .50867 L
.57033 .50948 L
.57113 .5106 L
.57226 .5119 L
.57256 .51253 L
.57395 .51445 L
.57419 .51476 L
.57532 .51638 L
.57611 .51744 L
.57672 .51831 L
.57804 .52004 L
.57823 .52023 L
.57946 .52216 L
.57997 .52284 L
.58081 .52409 L
.58189 .52557 L
.58219 .52601 L
.58352 .52794 L
.58382 .52835 L
.5848 .52987 L
.58575 .5312 L
.58612 .53179 L
.58738 .53372 L
.58768 .53414 L
.58847 .53565 L
.58768 .53602 L
.58737 .53565 L
.58575 .53382 L
.58567 .53372 L
.5841 .53179 L
.58382 .53149 L
.58256 .52987 L
.58189 .52909 L
.58101 .52794 L
.57997 .52666 L
.57948 .52601 L
.57804 .52423 L
.57785 .52409 L
.5765 .52216 L
.57611 .52168 L
.57504 .52023 L
.57419 .51916 L
.57356 .51831 L
.57226 .51669 L
.57189 .51638 L
.57065 .51445 L
.57033 .51405 L
.56922 .51253 L
.56841 .51147 L
.56777 .5106 L
.56648 .50895 L
.56619 .50867 L
.56492 .50674 L
.56455 .50626 L
.56352 .50482 L
.56263 .50364 L
.56209 .50289 L
.5607 .50104 L
.56063 .50096 L
.55929 .49904 L
.55877 .49835 L
.5579 .49711 L
.55684 .49569 L
.55649 .49518 L
.55511 .49326 L
.55492 .493 L
.55377 .49133 L
.55299 .49028 L
.5524 .4894 L
.55106 .48756 L
.551 .48747 L
.54972 .48555 L
.54914 .48475 L
.54841 .48362 L
.54721 .48194 L
.54706 .48169 L
.54586 .47977 L
.54528 .47894 L
.54469 .47784 L
F
0 .76 1 r
.54528 .46891 m
.54641 .47013 L
.54721 .47096 L
.54816 .47206 L
.54914 .47316 L
.54983 .47399 L
.55106 .47538 L
.55144 .47591 L
.55299 .47782 L
.55301 .47784 L
.55455 .47977 L
.55492 .48021 L
.55609 .48169 L
.55684 .48255 L
.55824 .48362 L
.55877 .48511 L
.55914 .48555 L
.5606 .48747 L
.5607 .48749 L
.56209 .4894 L
.56263 .49003 L
.56401 .49133 L
.56455 .49263 L
.56503 .49326 L
.56648 .49517 L
.56648 .49518 L
.56795 .49711 L
.56841 .49765 L
.56972 .49904 L
.57033 .50029 L
.57082 .50096 L
.57226 .50286 L
.57227 .50289 L
.57373 .50482 L
.57419 .50537 L
.5754 .50674 L
.57611 .50803 L
.57655 .50867 L
.57803 .5106 L
.57804 .51061 L
.57945 .51253 L
.57997 .51316 L
.58106 .51445 L
.58189 .51584 L
.58224 .51638 L
.58371 .51831 L
.58382 .51837 L
.58513 .52023 L
.58575 .521 L
.58669 .52216 L
.58768 .5237 L
.5879 .52409 L
.58936 .52601 L
.5896 .52617 L
.59077 .52794 L
.59153 .52889 L
.59229 .52987 L
.59346 .53161 L
.59355 .53179 L
.59498 .53372 L
.59538 .53402 L
.597 .53565 L
.59731 .53684 L
.59786 .53758 L
.59918 .5395 L
.59924 .53958 L
.60055 .54143 L
.60116 .54196 L
.60245 .54336 L
.60309 .54488 L
.60338 .54528 L
.60471 .54721 L
.60502 .54763 L
.60607 .54914 L
.60694 .55006 L
.6078 .55106 L
.60883 .55299 L
.60887 .55304 L
.61016 .55492 L
.6108 .5558 L
.61151 .55684 L
.61273 .55844 L
.61298 .55877 L
.61417 .5607 L
.61465 .56137 L
.61547 .56263 L
.61658 .56422 L
.61679 .56455 L
.61802 .56648 L
.61851 .5672 L
.61921 .56841 L
.61851 .57005 L
.61706 .56841 L
.61658 .5679 L
.61539 .56648 L
.61465 .56564 L
.61377 .56455 L
.61273 .56348 L
.61218 .56263 L
.6108 .56093 L
.61055 .5607 L
.6091 .55877 L
.60887 .55849 L
.60759 .55684 L
.60694 .55619 L
.60608 .55492 L
.60502 .55357 L
.60448 .55299 L
.60311 .55106 L
.60309 .55105 L
.60164 .54914 L
.60116 .54865 L
.60017 .54721 L
.59924 .546 L
.59862 .54528 L
.59731 .54342 L
.59727 .54336 L
.59582 .54143 L
.59538 .54098 L
.59379 .5395 L
.59346 .53831 L
.59286 .53758 L
.59153 .5357 L
.5915 .53565 L
.59006 .53372 L
.5896 .53323 L
.58818 .53179 L
.58768 .53054 L
.58716 .52987 L
.58577 .52794 L
.58575 .52791 L
.58436 .52601 L
.58382 .52543 L
.58257 .52409 L
.58189 .52271 L
.58149 .52216 L
.5801 .52023 L
.57997 .52007 L
.57869 .51831 L
.57804 .51757 L
.57698 .51638 L
.57611 .51483 L
.57585 .51445 L
.57446 .51253 L
.57419 .51248 L
.57306 .5106 L
.57226 .50967 L
.57141 .50867 L
.57033 .5069 L
.57023 .50674 L
.56885 .50482 L
.56841 .50465 L
.56745 .50289 L
.56648 .5017 L
.56588 .50096 L
.56464 .49904 L
.56455 .49891 L
.56328 .49711 L
.56263 .4967 L
.56189 .49518 L
.5607 .49364 L
.5604 .49326 L
.55912 .49133 L
.55877 .49086 L
.55776 .4894 L
.55684 .48854 L
.55587 .48747 L
.55499 .48555 L
.55492 .48544 L
.55368 .48362 L
.55299 .48268 L
.55233 .48169 L
.55106 .48004 L
.55084 .47977 L
.54967 .47784 L
.54914 .47709 L
.54839 .47591 L
.54721 .47422 L
.54706 .47399 L
.54587 .47206 L
.54528 .47117 L
.54472 .47013 L
F
1 .8 0 r
.54528 .53698 m
.54673 .53758 L
.54721 .53787 L
.54899 .5395 L
.54914 .53964 L
.55072 .54143 L
.55106 .54172 L
.55231 .54336 L
.55299 .54417 L
.55413 .54528 L
.55492 .54673 L
.55528 .54721 L
.55672 .54914 L
.55684 .5493 L
.55812 .55106 L
.55877 .5517 L
.55975 .55299 L
.5607 .55464 L
.56085 .55492 L
.56214 .55684 L
.56263 .5576 L
.56336 .55877 L
.5644 .5607 L
.56455 .56108 L
.56462 .56263 L
.56455 .56268 L
.56404 .56263 L
.56263 .56193 L
.56126 .5607 L
.5607 .56046 L
.55946 .55877 L
.55877 .5581 L
.55784 .55684 L
.55684 .55564 L
.55607 .55492 L
.55492 .55313 L
.5548 .55299 L
.55337 .55106 L
.55299 .55092 L
.55194 .54914 L
.55106 .54812 L
.55035 .54721 L
.54915 .54528 L
.54914 .54527 L
.54784 .54336 L
.54721 .54243 L
.54656 .54143 L
.5454 .5395 L
.54528 .53928 L
.54475 .53758 L
F
0 .44 1 r
.54528 .54435 m
.54609 .54528 L
.54721 .54653 L
.54772 .54721 L
.54914 .54906 L
.54919 .54914 L
.55034 .55106 L
.54914 .55124 L
.54899 .55106 L
.54741 .54914 L
.54721 .5489 L
.54603 .54721 L
.54528 .54618 L
.54475 .54528 L
F
1 .38 0 r
.54528 .47729 m
.54575 .47784 L
.54721 .47943 L
.54748 .47977 L
.54911 .48169 L
.54914 .48173 L
.55063 .48362 L
.55106 .48412 L
.55217 .48555 L
.55299 .48654 L
.5537 .48747 L
.55492 .48874 L
.55522 .4894 L
.55671 .49133 L
.55684 .4915 L
.55816 .49326 L
.55877 .49402 L
.55963 .49518 L
.5607 .49626 L
.56111 .49711 L
.56257 .49904 L
.56263 .49911 L
.56398 .50096 L
.56455 .5017 L
.56542 .50289 L
.56648 .50402 L
.56687 .50482 L
.5683 .50674 L
.56841 .50689 L
.56969 .50867 L
.57033 .50952 L
.57111 .5106 L
.57226 .51195 L
.57253 .51253 L
.57392 .51445 L
.57419 .5148 L
.57529 .51638 L
.57611 .51748 L
.57669 .51831 L
.57804 .52011 L
.57817 .52023 L
.57943 .52216 L
.57997 .52289 L
.58078 .52409 L
.58189 .52562 L
.58216 .52601 L
.58347 .52794 L
.58382 .52842 L
.58475 .52987 L
.58575 .53127 L
.58608 .53179 L
.5873 .53372 L
.58768 .53427 L
.58835 .53565 L
.58768 .5359 L
.58746 .53565 L
.58575 .53374 L
.58573 .53372 L
.58416 .53179 L
.58382 .53142 L
.58261 .52987 L
.58189 .52903 L
.58106 .52794 L
.57997 .52661 L
.57952 .52601 L
.57804 .52417 L
.57793 .52409 L
.57654 .52216 L
.57611 .52164 L
.57507 .52023 L
.57419 .51912 L
.57359 .51831 L
.57226 .51665 L
.57195 .51638 L
.57068 .51445 L
.57033 .51401 L
.56925 .51253 L
.56841 .51143 L
.5678 .5106 L
.56648 .5089 L
.56624 .50867 L
.56495 .50674 L
.56455 .50623 L
.56354 .50482 L
.56263 .50361 L
.56211 .50289 L
.5607 .50099 L
.56067 .50096 L
.55932 .49904 L
.55877 .49831 L
.55793 .49711 L
.55684 .49565 L
.55652 .49518 L
.55514 .49326 L
.55492 .49296 L
.5538 .49133 L
.55299 .49023 L
.55243 .4894 L
.55106 .48751 L
.55104 .48747 L
.54976 .48555 L
.54914 .48469 L
.54845 .48362 L
.54721 .48187 L
.5471 .48169 L
.54593 .47977 L
.54528 .47882 L
.54479 .47784 L
F
0 .08 1 r
.54528 .4855 m
.54532 .48555 L
.54528 .48648 L
.54481 .48555 L
F
0 .43 1 r
.54528 .54448 m
.546 .54528 L
.54721 .54662 L
.54765 .54721 L
.54721 .5488 L
.54611 .54721 L
.54528 .54606 L
.54484 .54528 L
F
0 .75 1 r
.54528 .46916 m
.54622 .47013 L
.54721 .47112 L
.54803 .47206 L
.54914 .47329 L
.54972 .47399 L
.55106 .4755 L
.55135 .47591 L
.55293 .47784 L
.55299 .47791 L
.55448 .47977 L
.55492 .4803 L
.55603 .48169 L
.55684 .48263 L
.55817 .48362 L
.55877 .48518 L
.55909 .48555 L
.56055 .48747 L
.5607 .48749 L
.56204 .4894 L
.56263 .49008 L
.56397 .49133 L
.56455 .49269 L
.565 .49326 L
.56646 .49518 L
.56648 .49519 L
.56791 .49711 L
.56841 .49769 L
.56969 .49904 L
.57033 .50033 L
.57079 .50096 L
.57226 .50289 L
.57226 .50289 L
.5737 .50482 L
.57419 .50541 L
.57538 .50674 L
.57611 .50807 L
.57652 .50867 L
.578 .5106 L
.57804 .51062 L
.57942 .51253 L
.57997 .51319 L
.58103 .51445 L
.58189 .51587 L
.58221 .51638 L
.58369 .51831 L
.58382 .51838 L
.5851 .52023 L
.58575 .52103 L
.58667 .52216 L
.58768 .52373 L
.58788 .52409 L
.58934 .52601 L
.5896 .52619 L
.59075 .52794 L
.59153 .52892 L
.59227 .52987 L
.59346 .53164 L
.59354 .53179 L
.59495 .53372 L
.59538 .53405 L
.59698 .53565 L
.59731 .53688 L
.59783 .53758 L
.59915 .5395 L
.59924 .53962 L
.60052 .54143 L
.60116 .542 L
.60241 .54336 L
.60309 .54492 L
.60335 .54528 L
.60467 .54721 L
.60502 .54768 L
.60604 .54914 L
.60694 .55012 L
.60775 .55106 L
.60879 .55299 L
.60887 .5531 L
.61011 .55492 L
.6108 .55587 L
.61147 .55684 L
.61273 .55855 L
.6129 .55877 L
.61411 .5607 L
.61465 .56146 L
.6154 .56263 L
.61658 .56433 L
.61672 .56455 L
.61791 .56648 L
.61851 .56737 L
.61909 .56841 L
.61851 .56985 L
.61721 .56841 L
.61658 .56776 L
.6155 .56648 L
.61465 .56553 L
.61386 .56455 L
.61273 .56337 L
.61225 .56263 L
.6108 .56084 L
.61064 .5607 L
.60917 .55877 L
.60887 .55842 L
.60765 .55684 L
.60694 .55613 L
.60613 .55492 L
.60502 .55351 L
.60453 .55299 L
.60315 .55106 L
.60309 .55099 L
.60168 .54914 L
.60116 .5486 L
.60021 .54721 L
.59924 .54596 L
.59866 .54528 L
.59731 .54338 L
.59729 .54336 L
.59585 .54143 L
.59538 .54094 L
.59381 .5395 L
.59346 .53827 L
.59289 .53758 L
.59153 .53567 L
.59152 .53565 L
.59009 .53372 L
.5896 .5332 L
.5882 .53179 L
.58768 .53051 L
.58718 .52987 L
.58579 .52794 L
.58575 .52788 L
.58438 .52601 L
.58382 .5254 L
.58259 .52409 L
.58189 .52268 L
.58151 .52216 L
.58012 .52023 L
.57997 .52003 L
.57872 .51831 L
.57804 .51755 L
.577 .51638 L
.57611 .5148 L
.57587 .51445 L
.57448 .51253 L
.57419 .51247 L
.57308 .5106 L
.57226 .50964 L
.57144 .50867 L
.57033 .50687 L
.57025 .50674 L
.56887 .50482 L
.56841 .50463 L
.56748 .50289 L
.56648 .50166 L
.56591 .50096 L
.56467 .49904 L
.56455 .49888 L
.56331 .49711 L
.56263 .49666 L
.56192 .49518 L
.5607 .49359 L
.56044 .49326 L
.55915 .49133 L
.55877 .49081 L
.5578 .4894 L
.55684 .48848 L
.55593 .48747 L
.55504 .48555 L
.55492 .48539 L
.55372 .48362 L
.55299 .48261 L
.55237 .48169 L
.55106 .47992 L
.55094 .47977 L
.54974 .47784 L
.54914 .47699 L
.54845 .47591 L
.54721 .47411 L
.54714 .47399 L
.54599 .47206 L
.54528 .47096 L
.54487 .47013 L
F
1 .37 0 r
.54528 .47744 m
.54563 .47784 L
.54721 .47952 L
.54741 .47977 L
.54904 .48169 L
.54914 .4818 L
.55058 .48362 L
.55106 .48418 L
.55212 .48555 L
.55299 .4866 L
.55366 .48747 L
.55492 .48881 L
.55519 .4894 L
.55667 .49133 L
.55684 .49154 L
.55813 .49326 L
.55877 .49406 L
.5596 .49518 L
.5607 .49631 L
.56108 .49711 L
.56253 .49904 L
.56263 .49915 L
.56395 .50096 L
.56455 .50174 L
.56539 .50289 L
.56648 .50406 L
.56684 .50482 L
.56827 .50674 L
.56841 .50692 L
.56966 .50867 L
.57033 .50956 L
.57108 .5106 L
.57226 .512 L
.57251 .51253 L
.57389 .51445 L
.57419 .51484 L
.57526 .51638 L
.57611 .51752 L
.57666 .51831 L
.57804 .52017 L
.5781 .52023 L
.57939 .52216 L
.57997 .52294 L
.58074 .52409 L
.58189 .52567 L
.58212 .52601 L
.58343 .52794 L
.58382 .52848 L
.5847 .52987 L
.58575 .53135 L
.58602 .53179 L
.58575 .53365 L
.58423 .53179 L
.58382 .53135 L
.58266 .52987 L
.58189 .52897 L
.5811 .52794 L
.57997 .52656 L
.57955 .52601 L
.57804 .5241 L
.57802 .52409 L
.57658 .52216 L
.57611 .52159 L
.5751 .52023 L
.57419 .51907 L
.57362 .51831 L
.57226 .5166 L
.57201 .51638 L
.57071 .51445 L
.57033 .51397 L
.56928 .51253 L
.56841 .51139 L
.56783 .5106 L
.56648 .50886 L
.56628 .50867 L
.56498 .50674 L
.56455 .50619 L
.56357 .50482 L
.56263 .50357 L
.56214 .50289 L
.56071 .50096 L
.5607 .50095 L
.55935 .49904 L
.55877 .49827 L
.55796 .49711 L
.55684 .49561 L
.55655 .49518 L
.55518 .49326 L
.55492 .49291 L
.55384 .49133 L
.55299 .49018 L
.55246 .4894 L
.55107 .48747 L
.55106 .48746 L
.54981 .48555 L
.54914 .48463 L
.5485 .48362 L
.54721 .48179 L
.54715 .48169 L
.54602 .47977 L
.54528 .47867 L
.5449 .47784 L
F
1 .79 0 r
.54528 .53717 m
.54652 .53758 L
.54721 .53798 L
.54891 .5395 L
.54914 .53972 L
.55066 .54143 L
.55106 .54177 L
.55226 .54336 L
.55299 .54422 L
.55409 .54528 L
.55492 .54678 L
.55524 .54721 L
.55668 .54914 L
.55684 .54935 L
.55809 .55106 L
.55877 .55175 L
.5597 .55299 L
.5607 .55472 L
.56081 .55492 L
.56209 .55684 L
.56263 .55769 L
.56329 .55877 L
.56429 .5607 L
.56263 .56181 L
.56136 .5607 L
.5607 .56041 L
.55952 .55877 L
.55877 .55804 L
.55789 .55684 L
.55684 .55559 L
.55611 .55492 L
.55492 .55309 L
.55484 .55299 L
.5534 .55106 L
.55299 .5509 L
.55198 .54914 L
.55106 .54807 L
.55039 .54721 L
.54919 .54528 L
.54914 .54521 L
.54788 .54336 L
.54721 .54236 L
.54661 .54143 L
.54547 .5395 L
.54528 .5391 L
.54491 .53758 L
F
1 .94 0 r
.54528 .4609 m
.54684 .46242 L
.54721 .46278 L
.54865 .46435 L
.54914 .46487 L
.55037 .46628 L
.55106 .46692 L
.55203 .46821 L
.55299 .46938 L
.55388 .47013 L
.55492 .47176 L
.55515 .47206 L
.55676 .47399 L
.55684 .47407 L
.55831 .47591 L
.55877 .47653 L
.55995 .47784 L
.5607 .47906 L
.56117 .47977 L
.56263 .48156 L
.56284 .48169 L
.56432 .48362 L
.56455 .48394 L
.56583 .48555 L
.56648 .48655 L
.56703 .48747 L
.56841 .48917 L
.56875 .4894 L
.57019 .49133 L
.57033 .49154 L
.57163 .49326 L
.57226 .49419 L
.57279 .49518 L
.57419 .49687 L
.57455 .49711 L
.57609 .49904 L
.57611 .49925 L
.57736 .50096 L
.57804 .50193 L
.57849 .50289 L
.57997 .50462 L
.58028 .50482 L
.5818 .50674 L
.58189 .50703 L
.58306 .50867 L
.58382 .50973 L
.58415 .5106 L
.58575 .51239 L
.58598 .51253 L
.5875 .51445 L
.58768 .51486 L
.58872 .51638 L
.5896 .51756 L
.58979 .51831 L
.59153 .52017 L
.59165 .52023 L
.59317 .52216 L
.59346 .52271 L
.59436 .52409 L
.59538 .52541 L
.59542 .52601 L
.59731 .52794 L
.59731 .52794 L
.59882 .52987 L
.59924 .53059 L
.59999 .53179 L
.60116 .53328 L
.60156 .53372 L
.60296 .53565 L
.60309 .53581 L
.60446 .53758 L
.60502 .53847 L
.60562 .5395 L
.60694 .54115 L
.6072 .54143 L
.6086 .54336 L
.60887 .54369 L
.61008 .54528 L
.6108 .54637 L
.61124 .54721 L
.61273 .54902 L
.61283 .54914 L
.61461 .55106 L
.61465 .55158 L
.61569 .55299 L
.61658 .55429 L
.61687 .55492 L
.61844 .55684 L
.61851 .55688 L
.62023 .55877 L
.62043 .5595 L
.62129 .5607 L
.62236 .56222 L
.62252 .56263 L
.62404 .56455 L
.62429 .56472 L
.62582 .56648 L
.62621 .56745 L
.62687 .56841 L
.62814 .57019 L
.62818 .57033 L
.62962 .57226 L
.63007 .57262 L
.63135 .57419 L
.63199 .57546 L
.63242 .57611 L
.63379 .57804 L
.63392 .57822 L
.63516 .57997 L
.63585 .58063 L
.63682 .58189 L
.63778 .58357 L
.63793 .58382 L
.63927 .58575 L
.6397 .58634 L
.64063 .58768 L
.64163 .58885 L
.64217 .5896 L
.64334 .59153 L
.64356 .59183 L
.64465 .59346 L
.64548 .59464 L
.64598 .59538 L
.64729 .59731 L
.64741 .59748 L
.64852 .59924 L
.64934 .60046 L
.64976 .60116 L
.65093 .60309 L
.65126 .60363 L
.65189 .60502 L
.65126 .60577 L
.65047 .60502 L
.64934 .60395 L
.64856 .60309 L
.64741 .60207 L
.64681 .60116 L
.64548 .59965 L
.64489 .59924 L
.64356 .59734 L
.64353 .59731 L
.64196 .59538 L
.64163 .59509 L
.6404 .59346 L
.6397 .59259 L
.63859 .59153 L
.63778 .59009 L
.63739 .5896 L
.63585 .58768 L
.63585 .58768 L
.63436 .58575 L
.63392 .58518 L
.6327 .58382 L
.63199 .5826 L
.6315 .58189 L
.63007 .58007 L
.62994 .57997 L
.62849 .57804 L
.62814 .57758 L
.62692 .57611 L
.62621 .57495 L
.62573 .57419 L
.62429 .57237 L
.62414 .57226 L
.62271 .57033 L
.62236 .56986 L
.6212 .56841 L
.62043 .5672 L
.62001 .56648 L
.61851 .56462 L
.61841 .56455 L
.61661 .56263 L
.61658 .56208 L
.61551 .5607 L
.61465 .55941 L
.61433 .55877 L
.61273 .55685 L
.61271 .55684 L
.61096 .55492 L
.6108 .55425 L
.60985 .55299 L
.60887 .55158 L
.60865 .55106 L
.60704 .54914 L
.60694 .54903 L
.60532 .54721 L
.60502 .5464 L
.6042 .54528 L
.60309 .54373 L
.60298 .54336 L
.60138 .54143 L
.60116 .54119 L
.59969 .5395 L
.59924 .53853 L
.59857 .53758 L
.59731 .53586 L
.59728 .53565 L
.59574 .53372 L
.59538 .53334 L
.59407 .53179 L
.59346 .53064 L
.59293 .52987 L
.59153 .52799 L
.59149 .52794 L
.5901 .52601 L
.5896 .52546 L
.58846 .52409 L
.58768 .52274 L
.5873 .52216 L
.58586 .52023 L
.58575 .5202 L
.58447 .51831 L
.58382 .51757 L
.58287 .51638 L
.58189 .51483 L
.58167 .51445 L
.58024 .51253 L
.57997 .5124 L
.57885 .5106 L
.57804 .50965 L
.57728 .50867 L
.57611 .50689 L
.57603 .50674 L
.57463 .50482 L
.57419 .50455 L
.57263 .50289 L
.57226 .50169 L
.57171 .50096 L
.57041 .49904 L
.57033 .49893 L
.56904 .49711 L
.56841 .49663 L
.56714 .49518 L
.56648 .49369 L
.56617 .49326 L
.56485 .49133 L
.56455 .49094 L
.56348 .4894 L
.56263 .4886 L
.56171 .48747 L
.5607 .48561 L
.56065 .48555 L
.55932 .48362 L
.55877 .48288 L
.55795 .48169 L
.55684 .48041 L
.55635 .47977 L
.55519 .47784 L
.55492 .47747 L
.55387 .47591 L
.55299 .47471 L
.5525 .47399 L
.55113 .47206 L
.55106 .47196 L
.54987 .47013 L
.54914 .46911 L
.54857 .46821 L
.54724 .46628 L
.54721 .46624 L
.54609 .46435 L
.54528 .4631 L
.54493 .46242 L
F
0 .42 1 r
.54528 .54462 m
.54588 .54528 L
.54721 .54671 L
.54758 .54721 L
.54721 .54869 L
.5462 .54721 L
.54528 .54592 L
.54494 .54528 L
F
1 .36 0 r
.54528 .47761 m
.54549 .47784 L
.54721 .47961 L
.54734 .47977 L
.54897 .48169 L
.54914 .48187 L
.55052 .48362 L
.55106 .48424 L
.55208 .48555 L
.55299 .48665 L
.55362 .48747 L
.55492 .48889 L
.55515 .4894 L
.55663 .49133 L
.55684 .49159 L
.55809 .49326 L
.55877 .49411 L
.55957 .49518 L
.5607 .49637 L
.56105 .49711 L
.5625 .49904 L
.56263 .49919 L
.56392 .50096 L
.56455 .50177 L
.56537 .50289 L
.56648 .50411 L
.56682 .50482 L
.56824 .50674 L
.56841 .50696 L
.56963 .50867 L
.57033 .50959 L
.57105 .5106 L
.57226 .51206 L
.57248 .51253 L
.57386 .51445 L
.57419 .51488 L
.57523 .51638 L
.57611 .51756 L
.57663 .51831 L
.57804 .52023 L
.57804 .52023 L
.57935 .52216 L
.57997 .52298 L
.58071 .52409 L
.58189 .52572 L
.58209 .52601 L
.58338 .52794 L
.58382 .52855 L
.58465 .52987 L
.58575 .53143 L
.58597 .53179 L
.58575 .53355 L
.58431 .53179 L
.58382 .53127 L
.58272 .52987 L
.58189 .52891 L
.58115 .52794 L
.57997 .5265 L
.57959 .52601 L
.57807 .52409 L
.57804 .52405 L
.57661 .52216 L
.57611 .52155 L
.57514 .52023 L
.57419 .51903 L
.57365 .51831 L
.57226 .51655 L
.57207 .51638 L
.57074 .51445 L
.57033 .51393 L
.56931 .51253 L
.56841 .51136 L
.56785 .5106 L
.56648 .50881 L
.56633 .50867 L
.56501 .50674 L
.56455 .50615 L
.5636 .50482 L
.56263 .50353 L
.56217 .50289 L
.56074 .50096 L
.5607 .50091 L
.55938 .49904 L
.55877 .49823 L
.55799 .49711 L
.55684 .49557 L
.55657 .49518 L
.55521 .49326 L
.55492 .49287 L
.55387 .49133 L
.55299 .49014 L
.55249 .4894 L
.55112 .48747 L
.55106 .48741 L
.54985 .48555 L
.54914 .48456 L
.54854 .48362 L
.54721 .48171 L
.5472 .48169 L
.54612 .47977 L
.54528 .47848 L
.54504 .47784 L
F
0 .41 1 r
.54528 .5448 m
.54575 .54528 L
.54721 .54682 L
.5475 .54721 L
.54721 .54857 L
.5463 .54721 L
.54528 .54575 L
.54505 .54528 L
F
0 .74 1 r
.54528 .46948 m
.54598 .47013 L
.54721 .47129 L
.54789 .47206 L
.54914 .47342 L
.54962 .47399 L
.55106 .47563 L
.55126 .47591 L
.55285 .47784 L
.55299 .47801 L
.55441 .47977 L
.55492 .48038 L
.55596 .48169 L
.55684 .4827 L
.5581 .48362 L
.55877 .48525 L
.55903 .48555 L
.5605 .48747 L
.5607 .4875 L
.562 .4894 L
.56263 .49013 L
.56393 .49133 L
.56455 .49274 L
.56496 .49326 L
.56642 .49518 L
.56648 .4952 L
.56788 .49711 L
.56841 .49774 L
.56966 .49904 L
.57033 .50037 L
.57076 .50096 L
.57223 .50289 L
.57226 .5029 L
.57367 .50482 L
.57419 .50544 L
.57535 .50674 L
.57611 .5081 L
.5765 .50867 L
.57797 .5106 L
.57804 .51063 L
.57939 .51253 L
.57997 .51322 L
.58101 .51445 L
.58189 .51591 L
.58219 .51638 L
.58366 .51831 L
.58382 .5184 L
.58508 .52023 L
.58575 .52106 L
.58664 .52216 L
.58768 .52376 L
.58786 .52409 L
.58931 .52601 L
.5896 .52621 L
.59072 .52794 L
.59153 .52896 L
.59224 .52987 L
.59346 .53168 L
.59352 .53179 L
.59492 .53372 L
.59538 .53407 L
.59696 .53565 L
.59731 .53692 L
.5978 .53758 L
.59912 .5395 L
.59924 .53966 L
.60049 .54143 L
.60116 .54204 L
.60238 .54336 L
.60309 .54497 L
.60331 .54528 L
.60464 .54721 L
.60502 .54773 L
.606 .54914 L
.60694 .55018 L
.6077 .55106 L
.60875 .55299 L
.60887 .55316 L
.61007 .55492 L
.6108 .55593 L
.61142 .55684 L
.61273 .55866 L
.61281 .55877 L
.61405 .5607 L
.61465 .56156 L
.61534 .56263 L
.61658 .56444 L
.61665 .56455 L
.6178 .56648 L
.61851 .56757 L
.61895 .56841 L
.61851 .56962 L
.61738 .56841 L
.61658 .56761 L
.61562 .56648 L
.61465 .56541 L
.61395 .56455 L
.61273 .56326 L
.61233 .56263 L
.6108 .56075 L
.61074 .5607 L
.60923 .55877 L
.60887 .55834 L
.6077 .55684 L
.60694 .55607 L
.60618 .55492 L
.60502 .55345 L
.60458 .55299 L
.6032 .55106 L
.60309 .55093 L
.60173 .54914 L
.60116 .54856 L
.60025 .54721 L
.59924 .54591 L
.5987 .54528 L
.59732 .54336 L
.59731 .54334 L
.59588 .54143 L
.59538 .54091 L
.59384 .5395 L
.59346 .53824 L
.59292 .53758 L
.59154 .53565 L
.59153 .53563 L
.59012 .53372 L
.5896 .53317 L
.58822 .53179 L
.58768 .53047 L
.58721 .52987 L
.58582 .52794 L
.58575 .52785 L
.58441 .52601 L
.58382 .52537 L
.58261 .52409 L
.58189 .52265 L
.58154 .52216 L
.58014 .52023 L
.57997 .52 L
.57874 .51831 L
.57804 .51752 L
.57702 .51638 L
.57611 .51477 L
.57589 .51445 L
.5745 .51253 L
.57419 .51246 L
.5731 .5106 L
.57226 .50961 L
.57146 .50867 L
.57033 .50683 L
.57027 .50674 L
.5689 .50482 L
.56841 .50461 L
.5675 .50289 L
.56648 .50162 L
.56594 .50096 L
.5647 .49904 L
.56455 .49884 L
.56334 .49711 L
.56263 .49662 L
.56194 .49518 L
.5607 .49354 L
.56048 .49326 L
.55919 .49133 L
.55877 .49077 L
.55783 .4894 L
.55684 .48841 L
.556 .48747 L
.55508 .48555 L
.55492 .48533 L
.55377 .48362 L
.55299 .48255 L
.55242 .48169 L
.55106 .47979 L
.55104 .47977 L
.54981 .47784 L
.54914 .47689 L
.54853 .47591 L
.54721 .47399 L
.54721 .47398 L
.54613 .47206 L
.54528 .47067 L
.54506 .47013 L
F
1 .78 0 r
.54528 .53738 m
.54625 .53758 L
.54721 .53808 L
.54882 .5395 L
.54914 .5398 L
.5506 .54143 L
.55106 .54181 L
.55221 .54336 L
.55299 .54428 L
.55405 .54528 L
.55492 .54683 L
.55521 .54721 L
.55664 .54914 L
.55684 .5494 L
.55805 .55106 L
.55877 .55181 L
.55966 .55299 L
.5607 .55479 L
.56077 .55492 L
.56203 .55684 L
.56263 .55778 L
.56323 .55877 L
.56418 .5607 L
.56263 .56169 L
.56147 .5607 L
.5607 .56036 L
.55959 .55877 L
.55877 .55798 L
.55793 .55684 L
.55684 .55554 L
.55616 .55492 L
.55492 .55304 L
.55487 .55299 L
.55344 .55106 L
.55299 .55088 L
.55201 .54914 L
.55106 .54802 L
.55043 .54721 L
.54923 .54528 L
.54914 .54516 L
.54792 .54336 L
.54721 .54229 L
.54665 .54143 L
.54555 .5395 L
.54528 .53889 L
.5451 .53758 L
F
0 .4 1 r
.54528 .54504 m
.54555 .54528 L
.54721 .54693 L
.54741 .54721 L
.54721 .54843 L
.54642 .54721 L
.54528 .54551 L
.54519 .54528 L
F
0 .63 1 r
.54528 .501 m
.54624 .50289 L
.54528 .50296 L
.54522 .50289 L
F
1 .77 0 r
.54721 .53819 m
.54873 .5395 L
.54914 .53988 L
.55054 .54143 L
.55106 .54186 L
.55217 .54336 L
.55299 .54433 L
.554 .54528 L
.55492 .54688 L
.55517 .54721 L
.55661 .54914 L
.55684 .54946 L
.55801 .55106 L
.55877 .55186 L
.55962 .55299 L
.5607 .55487 L
.56073 .55492 L
.56198 .55684 L
.56263 .55788 L
.56316 .55877 L
.56407 .5607 L
.56263 .56157 L
.56158 .5607 L
.5607 .56031 L
.55966 .55877 L
.55877 .55792 L
.55798 .55684 L
.55684 .55548 L
.55622 .55492 L
.55492 .553 L
.55491 .55299 L
.55347 .55106 L
.55299 .55086 L
.55205 .54914 L
.55106 .54796 L
.55047 .54721 L
.54926 .54528 L
.54914 .5451 L
.54796 .54336 L
.54721 .54222 L
.54671 .54143 L
.54564 .5395 L
F
1 .76 0 r
.54721 .53829 m
.54864 .5395 L
.54914 .53996 L
.55048 .54143 L
.55106 .54191 L
.55212 .54336 L
.55299 .54438 L
.55396 .54528 L
.55492 .54693 L
.55514 .54721 L
.55657 .54914 L
.55684 .54951 L
.55797 .55106 L
.55877 .55192 L
.55957 .55299 L
.56068 .55492 L
.5607 .55494 L
.56193 .55684 L
.56263 .55797 L
.5631 .55877 L
.56394 .5607 L
.56263 .56144 L
.5617 .5607 L
.5607 .56024 L
.55972 .55877 L
.55877 .55785 L
.55803 .55684 L
.55684 .55543 L
.55627 .55492 L
.55495 .55299 L
.55492 .55295 L
.55351 .55106 L
.55299 .55083 L
.55208 .54914 L
.55106 .54791 L
.55051 .54721 L
.5493 .54528 L
.54914 .54505 L
.54801 .54336 L
.54721 .54215 L
.54676 .54143 L
.54572 .5395 L
F
1 .75 0 r
.54721 .5384 m
.54854 .5395 L
.54914 .54003 L
.55042 .54143 L
.55106 .54197 L
.55207 .54336 L
.55299 .54444 L
.55391 .54528 L
.55492 .54698 L
.5551 .54721 L
.55653 .54914 L
.55684 .54956 L
.55793 .55106 L
.55877 .55198 L
.55953 .55299 L
.56063 .55492 L
.5607 .55501 L
.56187 .55684 L
.56263 .55808 L
.56303 .55877 L
.5638 .5607 L
.56263 .56131 L
.56183 .5607 L
.5607 .56017 L
.55979 .55877 L
.55877 .55779 L
.55809 .55684 L
.55684 .55538 L
.55633 .55492 L
.55499 .55299 L
.55492 .5529 L
.55355 .55106 L
.55299 .5508 L
.55211 .54914 L
.55106 .54786 L
.55055 .54721 L
.54934 .54528 L
.54914 .54499 L
.54805 .54336 L
.54721 .54207 L
.54681 .54143 L
.54581 .5395 L
F
1 .74 0 r
.54721 .53851 m
.54844 .5395 L
.54914 .54011 L
.55036 .54143 L
.55106 .54202 L
.55202 .54336 L
.55299 .54449 L
.55386 .54528 L
.55492 .54703 L
.55506 .54721 L
.55649 .54914 L
.55684 .54961 L
.55789 .55106 L
.55877 .55204 L
.55948 .55299 L
.56059 .55492 L
.5607 .55508 L
.56182 .55684 L
.56263 .55819 L
.56296 .55877 L
.56365 .5607 L
.56263 .56118 L
.56197 .5607 L
.5607 .56009 L
.55986 .55877 L
.55877 .55772 L
.55814 .55684 L
.55684 .55532 L
.55639 .55492 L
.55503 .55299 L
.55492 .55285 L
.55358 .55106 L
.55299 .55076 L
.55215 .54914 L
.55106 .5478 L
.5506 .54721 L
.54938 .54528 L
.54914 .54493 L
.5481 .54336 L
.54721 .542 L
.54686 .54143 L
.54591 .5395 L
F
1 .73 0 r
.54721 .53862 m
.54834 .5395 L
.54914 .54019 L
.55029 .54143 L
.55106 .54207 L
.55197 .54336 L
.55299 .54455 L
.55381 .54528 L
.55492 .54708 L
.55502 .54721 L
.55645 .54914 L
.55684 .54967 L
.55785 .55106 L
.55877 .5521 L
.55943 .55299 L
.56054 .55492 L
.5607 .55516 L
.56176 .55684 L
.56263 .5583 L
.56289 .55877 L
.56347 .5607 L
.56263 .56104 L
.56213 .5607 L
.5607 .56 L
.55994 .55877 L
.55877 .55766 L
.55819 .55684 L
.55684 .55526 L
.55645 .55492 L
.55507 .55299 L
.55492 .5528 L
.55362 .55106 L
.55299 .55073 L
.55218 .54914 L
.55106 .54774 L
.55064 .54721 L
.54943 .54528 L
.54914 .54487 L
.54814 .54336 L
.54721 .54191 L
.54692 .54143 L
.54601 .5395 L
F
1 .72 0 r
.54721 .53874 m
.54822 .5395 L
.54914 .54027 L
.55023 .54143 L
.55106 .54213 L
.55192 .54336 L
.55299 .54461 L
.55375 .54528 L
.55492 .54713 L
.55498 .54721 L
.55641 .54914 L
.55684 .54972 L
.55781 .55106 L
.55877 .55217 L
.55938 .55299 L
.56049 .55492 L
.5607 .55523 L
.5617 .55684 L
.56263 .55843 L
.56281 .55877 L
.56325 .5607 L
.56263 .56088 L
.56232 .5607 L
.5607 .5599 L
.56001 .55877 L
.55877 .55759 L
.55824 .55684 L
.55684 .55521 L
.55651 .55492 L
.55511 .55299 L
.55492 .55275 L
.55366 .55106 L
.55299 .55069 L
.55222 .54914 L
.55106 .54768 L
.55069 .54721 L
.54947 .54528 L
.54914 .54481 L
.54819 .54336 L
.54721 .54183 L
.54697 .54143 L
.54612 .5395 L
F
1 .35 0 r
.54721 .4797 m
.54726 .47977 L
.54721 .48162 L
.54623 .47977 L
F
1 .71 0 r
.54721 .53886 m
.5481 .5395 L
.54914 .54036 L
.55016 .54143 L
.55106 .54219 L
.55187 .54336 L
.55299 .54466 L
.55369 .54528 L
.55492 .54718 L
.55494 .54721 L
.55637 .54914 L
.55684 .54977 L
.55777 .55106 L
.55877 .55224 L
.55932 .55299 L
.56044 .55492 L
.5607 .55531 L
.56165 .55684 L
.56263 .55856 L
.56273 .55877 L
.56285 .5607 L
.56263 .56072 L
.56258 .5607 L
.5607 .55979 L
.56009 .55877 L
.55877 .55751 L
.5583 .55684 L
.55684 .55515 L
.55657 .55492 L
.55516 .55299 L
.55492 .5527 L
.5537 .55106 L
.55299 .55065 L
.55225 .54914 L
.55106 .54762 L
.55074 .54721 L
.54951 .54528 L
.54914 .54475 L
.54823 .54336 L
.54721 .54174 L
.54703 .54143 L
.54624 .5395 L
F
0 .73 1 r
.54721 .47149 m
.54774 .47206 L
.54914 .47356 L
.5495 .47399 L
.55106 .47577 L
.55117 .47591 L
.55276 .47784 L
.55299 .4781 L
.55434 .47977 L
.55492 .48046 L
.5559 .48169 L
.55684 .48278 L
.55802 .48362 L
.55877 .48532 L
.55898 .48555 L
.56045 .48747 L
.5607 .48751 L
.56195 .4894 L
.56263 .49019 L
.56389 .49133 L
.56455 .49279 L
.56492 .49326 L
.56638 .49518 L
.56648 .49521 L
.56784 .49711 L
.56841 .49778 L
.56963 .49904 L
.57033 .50041 L
.57073 .50096 L
.5722 .50289 L
.57226 .50292 L
.57364 .50482 L
.57419 .50548 L
.57532 .50674 L
.57611 .50814 L
.57647 .50867 L
.57794 .5106 L
.57804 .51065 L
.57937 .51253 L
.57997 .51326 L
.58099 .51445 L
.58189 .51594 L
.58217 .51638 L
.58364 .51831 L
.58382 .51841 L
.58505 .52023 L
.58575 .5211 L
.58662 .52216 L
.58768 .5238 L
.58784 .52409 L
.58929 .52601 L
.5896 .52622 L
.59069 .52794 L
.59153 .52899 L
.59222 .52987 L
.59346 .53171 L
.5935 .53179 L
.5949 .53372 L
.59538 .5341 L
.59694 .53565 L
.59731 .53696 L
.59777 .53758 L
.59909 .5395 L
.59924 .5397 L
.60046 .54143 L
.60116 .54208 L
.60234 .54336 L
.60309 .54502 L
.60328 .54528 L
.6046 .54721 L
.60502 .54777 L
.60597 .54914 L
.60694 .55024 L
.60764 .55106 L
.6087 .55299 L
.60887 .55322 L
.61002 .55492 L
.6108 .556 L
.61137 .55684 L
.61272 .55877 L
.61273 .55877 L
.61398 .5607 L
.61465 .56166 L
.61527 .56263 L
.61657 .56455 L
.61658 .56457 L
.61768 .56648 L
.61851 .56781 L
.6188 .56841 L
.61851 .56934 L
.61758 .56841 L
.61658 .56744 L
.61574 .56648 L
.61465 .56528 L
.61405 .56455 L
.61273 .56313 L
.61241 .56263 L
.61083 .5607 L
.6108 .56066 L
.6093 .55877 L
.60887 .55826 L
.60776 .55684 L
.60694 .556 L
.60623 .55492 L
.60502 .55339 L
.60464 .55299 L
.60324 .55106 L
.60309 .55088 L
.60177 .54914 L
.60116 .54851 L
.60029 .54721 L
.59924 .54586 L
.59873 .54528 L
.59736 .54336 L
.59731 .5433 L
.59591 .54143 L
.59538 .54087 L
.59386 .5395 L
.59346 .5382 L
.59295 .53758 L
.59157 .53565 L
.59153 .5356 L
.59014 .53372 L
.5896 .53314 L
.58825 .53179 L
.58768 .53044 L
.58723 .52987 L
.58584 .52794 L
.58575 .52782 L
.58443 .52601 L
.58382 .52534 L
.58264 .52409 L
.58189 .52262 L
.58156 .52216 L
.58017 .52023 L
.57997 .51997 L
.57876 .51831 L
.57804 .51749 L
.57705 .51638 L
.57611 .51474 L
.57591 .51445 L
.57453 .51253 L
.57419 .51245 L
.57313 .5106 L
.57226 .50957 L
.57149 .50867 L
.57033 .5068 L
.5703 .50674 L
.56892 .50482 L
.56841 .50459 L
.56753 .50289 L
.56648 .50158 L
.56597 .50096 L
.56473 .49904 L
.56455 .4988 L
.56336 .49711 L
.56263 .49658 L
.56197 .49518 L
.5607 .49349 L
.56052 .49326 L
.55922 .49133 L
.55877 .49072 L
.55787 .4894 L
.55684 .48834 L
.55606 .48747 L
.55512 .48555 L
.55492 .48527 L
.55381 .48362 L
.55299 .48248 L
.55247 .48169 L
.55111 .47977 L
.55106 .4797 L
.54987 .47784 L
.54914 .47679 L
.5486 .47591 L
.54732 .47399 L
.54721 .47382 L
.54629 .47206 L
F
1 .7 0 r
.54721 .53899 m
.54797 .5395 L
.54914 .54044 L
.55009 .54143 L
.55106 .54225 L
.55182 .54336 L
.55299 .54472 L
.55363 .54528 L
.5549 .54721 L
.55492 .54724 L
.55633 .54914 L
.55684 .54983 L
.55773 .55106 L
.55877 .55232 L
.55926 .55299 L
.56039 .55492 L
.5607 .55539 L
.56159 .55684 L
.56263 .55872 L
.56265 .55877 L
.56263 .5605 L
.5607 .55967 L
.56017 .55877 L
.55877 .55744 L
.55835 .55684 L
.55684 .55509 L
.55664 .55492 L
.5552 .55299 L
.55492 .55264 L
.55373 .55106 L
.55299 .5506 L
.55229 .54914 L
.55106 .54756 L
.55079 .54721 L
.54955 .54528 L
.54914 .54469 L
.54828 .54336 L
.54721 .54165 L
.54708 .54143 L
.54637 .5395 L
F
0 .72 1 r
.54721 .4717 m
.54755 .47206 L
.54914 .47371 L
.54938 .47399 L
.55106 .47591 L
.55107 .47591 L
.55267 .47784 L
.55299 .4782 L
.55426 .47977 L
.55492 .48055 L
.55584 .48169 L
.55684 .48286 L
.55794 .48362 L
.55877 .48538 L
.55892 .48555 L
.5604 .48747 L
.5607 .48752 L
.56191 .4894 L
.56263 .49024 L
.56385 .49133 L
.56455 .49284 L
.56488 .49326 L
.56634 .49518 L
.56648 .49522 L
.56781 .49711 L
.56841 .49782 L
.5696 .49904 L
.57033 .50046 L
.5707 .50096 L
.57216 .50289 L
.57226 .50293 L
.57361 .50482 L
.57419 .50552 L
.5753 .50674 L
.57611 .50818 L
.57645 .50867 L
.57791 .5106 L
.57804 .51066 L
.57934 .51253 L
.57997 .51329 L
.58096 .51445 L
.58189 .51597 L
.58215 .51638 L
.58361 .51831 L
.58382 .51843 L
.58503 .52023 L
.58575 .52113 L
.58659 .52216 L
.58768 .52383 L
.58783 .52409 L
.58926 .52601 L
.5896 .52624 L
.59067 .52794 L
.59153 .52903 L
.59219 .52987 L
.59346 .53175 L
.59348 .53179 L
.59487 .53372 L
.59538 .53413 L
.59691 .53565 L
.59731 .537 L
.59775 .53758 L
.59906 .5395 L
.59924 .53974 L
.60043 .54143 L
.60116 .54212 L
.6023 .54336 L
.60309 .54508 L
.60324 .54528 L
.60457 .54721 L
.60502 .54782 L
.60593 .54914 L
.60694 .55031 L
.60758 .55106 L
.60866 .55299 L
.60887 .55328 L
.60998 .55492 L
.6108 .55607 L
.61132 .55684 L
.61266 .55877 L
.61273 .55886 L
.61391 .5607 L
.61465 .56176 L
.61519 .56263 L
.61646 .56455 L
.61658 .56473 L
.61754 .56648 L
.61851 .56815 L
.61861 .56841 L
.61851 .56895 L
.61786 .56841 L
.61658 .56727 L
.61588 .56648 L
.61465 .56516 L
.61415 .56455 L
.61273 .563 L
.6125 .56263 L
.61091 .5607 L
.6108 .56057 L
.60936 .55877 L
.60887 .55818 L
.60782 .55684 L
.60694 .55593 L
.60629 .55492 L
.60502 .55332 L
.6047 .55299 L
.60329 .55106 L
.60309 .55082 L
.60181 .54914 L
.60116 .54847 L
.60032 .54721 L
.59924 .54581 L
.59877 .54528 L
.59739 .54336 L
.59731 .54325 L
.59595 .54143 L
.59538 .54083 L
.59389 .5395 L
.59346 .53816 L
.59298 .53758 L
.5916 .53565 L
.59153 .53556 L
.59017 .53372 L
.5896 .53311 L
.58827 .53179 L
.58768 .53041 L
.58726 .52987 L
.58587 .52794 L
.58575 .52778 L
.58446 .52601 L
.58382 .52531 L
.58266 .52409 L
.58189 .52258 L
.58158 .52216 L
.58019 .52023 L
.57997 .51994 L
.57879 .51831 L
.57804 .51746 L
.57707 .51638 L
.57611 .5147 L
.57594 .51445 L
.57455 .51253 L
.57419 .51244 L
.57315 .5106 L
.57226 .50954 L
.57152 .50867 L
.57033 .50676 L
.57032 .50674 L
.56895 .50482 L
.56841 .50456 L
.56755 .50289 L
.56648 .50154 L
.566 .50096 L
.56476 .49904 L
.56455 .49876 L
.56339 .49711 L
.56263 .49654 L
.562 .49518 L
.5607 .49343 L
.56056 .49326 L
.55926 .49133 L
.55877 .49067 L
.5579 .4894 L
.55684 .48826 L
.55613 .48747 L
.55517 .48555 L
.55492 .48521 L
.55386 .48362 L
.55299 .48241 L
.55252 .48169 L
.55118 .47977 L
.55106 .47961 L
.54995 .47784 L
.54914 .47667 L
.54868 .47591 L
.54745 .47399 L
.54721 .47362 L
.54648 .47206 L
F
1 .93 0 r
.54721 .46343 m
.54813 .46435 L
.54914 .46535 L
.54999 .46628 L
.55106 .46729 L
.55171 .46821 L
.55299 .46971 L
.55356 .47013 L
.55492 .47201 L
.55496 .47206 L
.55656 .47399 L
.55684 .47428 L
.55813 .47591 L
.55877 .47675 L
.55981 .47784 L
.5607 .47924 L
.56106 .47977 L
.56263 .48165 L
.56269 .48169 L
.5642 .48362 L
.56455 .48411 L
.56574 .48555 L
.56648 .48669 L
.56695 .48747 L
.56841 .48925 L
.56865 .4894 L
.5701 .49133 L
.57033 .49166 L
.57156 .49326 L
.57226 .4943 L
.57273 .49518 L
.57419 .49693 L
.57447 .49711 L
.57608 .49904 L
.57611 .49934 L
.57731 .50096 L
.57804 .50201 L
.57845 .50289 L
.57997 .50466 L
.58023 .50482 L
.58178 .50674 L
.58189 .5071 L
.58301 .50867 L
.58382 .50979 L
.58412 .5106 L
.58575 .51242 L
.58594 .51253 L
.58747 .51445 L
.58768 .51491 L
.58868 .51638 L
.5896 .51761 L
.58977 .51831 L
.59153 .52019 L
.59161 .52023 L
.59315 .52216 L
.59346 .52276 L
.59433 .52409 L
.59538 .52546 L
.59541 .52601 L
.59728 .52794 L
.59731 .52798 L
.5988 .52987 L
.59924 .53063 L
.59997 .53179 L
.60116 .53331 L
.60153 .53372 L
.60293 .53565 L
.60309 .53585 L
.60443 .53758 L
.60502 .53851 L
.60559 .5395 L
.60694 .54118 L
.60717 .54143 L
.60857 .54336 L
.60887 .54373 L
.61006 .54528 L
.6108 .54641 L
.61122 .54721 L
.61273 .54906 L
.61279 .54914 L
.61461 .55106 L
.61465 .55162 L
.61566 .55299 L
.61658 .55433 L
.61685 .55492 L
.61841 .55684 L
.61851 .55691 L
.62022 .55877 L
.62043 .55955 L
.62125 .5607 L
.62236 .56228 L
.6225 .56263 L
.624 .56455 L
.62429 .56476 L
.62578 .56648 L
.62621 .56751 L
.62683 .56841 L
.62814 .57026 L
.62816 .57033 L
.62956 .57226 L
.63007 .57268 L
.6313 .57419 L
.63199 .57555 L
.63237 .57611 L
.63372 .57804 L
.63392 .57831 L
.63508 .57997 L
.63585 .58073 L
.63674 .58189 L
.63778 .58371 L
.63785 .58382 L
.63918 .58575 L
.6397 .58648 L
.64052 .58768 L
.64163 .58906 L
.64202 .5896 L
.6432 .59153 L
.64356 .59204 L
.64449 .59346 L
.64548 .59489 L
.64581 .59538 L
.64706 .59731 L
.64741 .59783 L
.64824 .59924 L
.64934 .60097 L
.64944 .60116 L
.65026 .60309 L
.64934 .60325 L
.64917 .60309 L
.64741 .60145 L
.64723 .60116 L
.64548 .59925 L
.64546 .59924 L
.64382 .59731 L
.64356 .59702 L
.64219 .59538 L
.64163 .59488 L
.6406 .59346 L
.6397 .59237 L
.63877 .59153 L
.63778 .58991 L
.63752 .5896 L
.63599 .58768 L
.63585 .58754 L
.63448 .58575 L
.63392 .58503 L
.6328 .58382 L
.63199 .58247 L
.63159 .58189 L
.63007 .57999 L
.63003 .57997 L
.62857 .57804 L
.62814 .57747 L
.62699 .57611 L
.62621 .57485 L
.62578 .57419 L
.62429 .57232 L
.62421 .57226 L
.62277 .57033 L
.62236 .56979 L
.62125 .56841 L
.62043 .56714 L
.62005 .56648 L
.61851 .56459 L
.61846 .56455 L
.61662 .56263 L
.61658 .56202 L
.61555 .5607 L
.61465 .55936 L
.61435 .55877 L
.61275 .55684 L
.61273 .55682 L
.61098 .55492 L
.6108 .55421 L
.60988 .55299 L
.60887 .55154 L
.60867 .55106 L
.60707 .54914 L
.60694 .549 L
.60534 .54721 L
.60502 .54636 L
.60423 .54528 L
.60309 .54369 L
.60299 .54336 L
.60141 .54143 L
.60116 .54116 L
.59971 .5395 L
.59924 .53849 L
.59859 .53758 L
.59731 .53583 L
.59728 .53565 L
.59576 .53372 L
.59538 .53331 L
.59409 .53179 L
.59346 .53061 L
.59295 .52987 L
.59153 .52796 L
.59152 .52794 L
.59012 .52601 L
.5896 .52543 L
.58849 .52409 L
.58768 .52271 L
.58732 .52216 L
.58589 .52023 L
.58575 .52019 L
.5845 .51831 L
.58382 .51753 L
.58289 .51638 L
.58189 .51479 L
.58169 .51445 L
.58027 .51253 L
.57997 .51239 L
.57888 .5106 L
.57804 .50961 L
.57732 .50867 L
.57611 .50685 L
.57606 .50674 L
.57467 .50482 L
.57419 .50452 L
.57266 .50289 L
.57226 .50164 L
.57175 .50096 L
.57045 .49904 L
.57033 .49888 L
.56908 .49711 L
.56841 .49657 L
.56719 .49518 L
.56648 .49362 L
.56622 .49326 L
.5649 .49133 L
.56455 .49087 L
.56353 .4894 L
.56263 .48851 L
.56179 .48747 L
.56073 .48555 L
.5607 .48551 L
.55939 .48362 L
.55877 .48278 L
.55803 .48169 L
.55684 .48024 L
.55648 .47977 L
.5553 .47784 L
.55492 .47733 L
.55398 .47591 L
.55299 .47455 L
.55262 .47399 L
.55129 .47206 L
.55106 .47174 L
.55005 .47013 L
.54914 .46882 L
.54876 .46821 L
.54754 .46628 L
.54721 .46576 L
.54651 .46435 L
F
1 .69 0 r
.54721 .53912 m
.54782 .5395 L
.54914 .54052 L
.55002 .54143 L
.55106 .54232 L
.55176 .54336 L
.55299 .54478 L
.55357 .54528 L
.55485 .54721 L
.55492 .54729 L
.55629 .54914 L
.55684 .54988 L
.55769 .55106 L
.55877 .5524 L
.55921 .55299 L
.56034 .55492 L
.5607 .55548 L
.56153 .55684 L
.56256 .55877 L
.5607 .55953 L
.56026 .55877 L
.55877 .55736 L
.55841 .55684 L
.55684 .55503 L
.55671 .55492 L
.55524 .55299 L
.55492 .55259 L
.55377 .55106 L
.55299 .55056 L
.55233 .54914 L
.55106 .54749 L
.55084 .54721 L
.5496 .54528 L
.54914 .54462 L
.54833 .54336 L
.54721 .54155 L
.54714 .54143 L
.54652 .5395 L
F
0 .39 1 r
.54721 .54706 m
.54732 .54721 L
.54721 .54826 L
.54656 .54721 L
F
1 .68 0 r
.54721 .53927 m
.54764 .5395 L
.54914 .5406 L
.54995 .54143 L
.55106 .54239 L
.55171 .54336 L
.55299 .54484 L
.55351 .54528 L
.55481 .54721 L
.55492 .54735 L
.55624 .54914 L
.55684 .54994 L
.55765 .55106 L
.55877 .55248 L
.55914 .55299 L
.56028 .55492 L
.5607 .55556 L
.56147 .55684 L
.56244 .55877 L
.5607 .55938 L
.56035 .55877 L
.55877 .55728 L
.55847 .55684 L
.55684 .55497 L
.55678 .55492 L
.55529 .55299 L
.55492 .55254 L
.55381 .55106 L
.55299 .5505 L
.55236 .54914 L
.55106 .54742 L
.5509 .54721 L
.54964 .54528 L
.54914 .54455 L
.54838 .54336 L
.54721 .54144 L
.54721 .54143 L
.5467 .5395 L
F
0 .71 1 r
.54721 .47196 m
.54731 .47206 L
.54914 .47387 L
.54924 .47399 L
.55095 .47591 L
.55106 .47603 L
.55258 .47784 L
.55299 .4783 L
.55419 .47977 L
.55492 .48064 L
.55577 .48169 L
.55684 .48294 L
.55784 .48362 L
.55877 .48545 L
.55886 .48555 L
.56035 .48747 L
.5607 .48754 L
.56186 .4894 L
.56263 .4903 L
.5638 .49133 L
.56455 .49289 L
.56484 .49326 L
.5663 .49518 L
.56648 .49523 L
.56777 .49711 L
.56841 .49787 L
.56957 .49904 L
.57033 .5005 L
.57067 .50096 L
.57213 .50289 L
.57226 .50294 L
.57358 .50482 L
.57419 .50555 L
.57527 .50674 L
.57611 .50821 L
.57643 .50867 L
.57789 .5106 L
.57804 .51068 L
.57931 .51253 L
.57997 .51332 L
.58094 .51445 L
.58189 .51601 L
.58213 .51638 L
.58358 .51831 L
.58382 .51845 L
.585 .52023 L
.58575 .52116 L
.58657 .52216 L
.58768 .52387 L
.58781 .52409 L
.58924 .52601 L
.5896 .52627 L
.59064 .52794 L
.59153 .52906 L
.59216 .52987 L
.59346 .53179 L
.59346 .53179 L
.59484 .53372 L
.59538 .53416 L
.59689 .53565 L
.59731 .53704 L
.59771 .53758 L
.59903 .5395 L
.59924 .53978 L
.6004 .54143 L
.60116 .54216 L
.60226 .54336 L
.60309 .54513 L
.6032 .54528 L
.60453 .54721 L
.60502 .54787 L
.60589 .54914 L
.60694 .55038 L
.60752 .55106 L
.60861 .55299 L
.60887 .55335 L
.60993 .55492 L
.6108 .55614 L
.61127 .55684 L
.6126 .55877 L
.61273 .55895 L
.61384 .5607 L
.61465 .56187 L
.61512 .56263 L
.61635 .56455 L
.61658 .56491 L
.61738 .56648 L
.61658 .56708 L
.61604 .56648 L
.61465 .56502 L
.61425 .56455 L
.61273 .56286 L
.61258 .56263 L
.61099 .5607 L
.6108 .56048 L
.60943 .55877 L
.60887 .55811 L
.60788 .55684 L
.60694 .55586 L
.60634 .55492 L
.60502 .55326 L
.60476 .55299 L
.60333 .55106 L
.60309 .55076 L
.60185 .54914 L
.60116 .54842 L
.60036 .54721 L
.59924 .54577 L
.59881 .54528 L
.59743 .54336 L
.59731 .54321 L
.59598 .54143 L
.59538 .5408 L
.59392 .5395 L
.59346 .53812 L
.59301 .53758 L
.59163 .53565 L
.59153 .53552 L
.5902 .53372 L
.5896 .53307 L
.58829 .53179 L
.58768 .53037 L
.58728 .52987 L
.5859 .52794 L
.58575 .52775 L
.58448 .52601 L
.58382 .52528 L
.58268 .52409 L
.58189 .52255 L
.5816 .52216 L
.58021 .52023 L
.57997 .51991 L
.57881 .51831 L
.57804 .51743 L
.5771 .51638 L
.57611 .51467 L
.57596 .51445 L
.57457 .51253 L
.57419 .51243 L
.57317 .5106 L
.57226 .50951 L
.57154 .50867 L
.57034 .50674 L
.57033 .50673 L
.56897 .50482 L
.56841 .50454 L
.56758 .50289 L
.56648 .5015 L
.56604 .50096 L
.56479 .49904 L
.56455 .49872 L
.56342 .49711 L
.56263 .4965 L
.56203 .49518 L
.5607 .49338 L
.5606 .49326 L
.55929 .49133 L
.55877 .49062 L
.55794 .4894 L
.55684 .48819 L
.5562 .48747 L
.55522 .48555 L
.55492 .48514 L
.55391 .48362 L
.55299 .48234 L
.55257 .48169 L
.55124 .47977 L
.55106 .47951 L
.55002 .47784 L
.54914 .47655 L
.54876 .47591 L
.54759 .47399 L
.54721 .47336 L
.54679 .47206 L
F
1 .28 0 r
.54721 .49572 m
.54801 .49711 L
.54914 .49871 L
.5493 .49904 L
.54914 .49961 L
.54867 .49904 L
.54721 .49748 L
.54692 .49711 L
F
1 .67 0 r
.54721 .53942 m
.54739 .5395 L
.54914 .54069 L
.54987 .54143 L
.55106 .54246 L
.55165 .54336 L
.55299 .54491 L
.55344 .54528 L
.55476 .54721 L
.55492 .5474 L
.5562 .54914 L
.55684 .55 L
.55761 .55106 L
.55877 .55256 L
.55908 .55299 L
.56023 .55492 L
.5607 .55565 L
.5614 .55684 L
.56232 .55877 L
.5607 .55921 L
.56045 .55877 L
.55877 .5572 L
.55853 .55684 L
.55685 .55492 L
.55684 .55491 L
.55533 .55299 L
.55492 .55249 L
.55385 .55106 L
.55299 .55045 L
.5524 .54914 L
.55106 .54735 L
.55095 .54721 L
.54968 .54528 L
.54914 .54448 L
.54842 .54336 L
.54728 .54143 L
.54721 .54128 L
.54697 .5395 L
F
0 .13 1 r
.54721 .48752 m
.54855 .4894 L
.54914 .4901 L
.54999 .49133 L
.55106 .49267 L
.55147 .49326 L
.55106 .49496 L
.54988 .49326 L
.54914 .49233 L
.54845 .49133 L
.54721 .48971 L
.547 .4894 L
F
1 .27 0 r
.54721 .49583 m
.54791 .49711 L
.54914 .49892 L
.54919 .49904 L
.54914 .49936 L
.54886 .49904 L
.54721 .49738 L
.547 .49711 L
F
0 .12 1 r
.54721 .4876 m
.54849 .4894 L
.54914 .49017 L
.54994 .49133 L
.55106 .49274 L
.55142 .49326 L
.55106 .49489 L
.54994 .49326 L
.54914 .49226 L
.5485 .49133 L
.54721 .48965 L
.54704 .4894 L
F
1 .26 0 r
.54721 .49596 m
.54778 .49711 L
.54721 .49726 L
.54709 .49711 L
F
0 .11 1 r
.54721 .48768 m
.54842 .4894 L
.54914 .49024 L
.54988 .49133 L
.55106 .4928 L
.55137 .49326 L
.55106 .49481 L
.55 .49326 L
.54914 .49219 L
.54856 .49133 L
.54721 .48958 L
.54709 .4894 L
F
0 .1 1 r
.54721 .48777 m
.54834 .4894 L
.54914 .49032 L
.54982 .49133 L
.55106 .49287 L
.55132 .49326 L
.55106 .49473 L
.55007 .49326 L
.54914 .49211 L
.54861 .49133 L
.54721 .48951 L
.54714 .4894 L
F
1 .84 0 r
.54721 .5978 m
.54788 .59924 L
.54721 .59927 L
.54718 .59924 L
F
0 .09 1 r
.54721 .48787 m
.54826 .4894 L
.54914 .49041 L
.54976 .49133 L
.55106 .49295 L
.55127 .49326 L
.55106 .49464 L
.55014 .49326 L
.54914 .49203 L
.54867 .49133 L
.54721 .48943 L
.54719 .4894 L
F
1 .25 0 r
.54721 .49613 m
.54759 .49711 L
.54721 .49713 L
.54719 .49711 L
F
1 .66 0 r
.54914 .54078 m
.54979 .54143 L
.55106 .54253 L
.5516 .54336 L
.55299 .54497 L
.55337 .54528 L
.55472 .54721 L
.55492 .54746 L
.55616 .54914 L
.55684 .55005 L
.55757 .55106 L
.55877 .55265 L
.55902 .55299 L
.56018 .55492 L
.5607 .55574 L
.56134 .55684 L
.56218 .55877 L
.5607 .55903 L
.56055 .55877 L
.55877 .55711 L
.55859 .55684 L
.55691 .55492 L
.55684 .55485 L
.55538 .55299 L
.55492 .55243 L
.55389 .55106 L
.55299 .55039 L
.55244 .54914 L
.55106 .54728 L
.55101 .54721 L
.54973 .54528 L
.54914 .54441 L
.54848 .54336 L
.54737 .54143 L
F
1 .65 0 r
.54914 .54087 m
.54971 .54143 L
.55106 .54261 L
.55154 .54336 L
.55299 .54503 L
.55329 .54528 L
.55467 .54721 L
.55492 .54752 L
.55612 .54914 L
.55684 .55011 L
.55753 .55106 L
.55877 .55275 L
.55895 .55299 L
.56012 .55492 L
.5607 .55584 L
.56127 .55684 L
.56201 .55877 L
.5607 .55883 L
.56067 .55877 L
.55877 .55702 L
.55865 .55684 L
.55696 .55492 L
.55684 .55478 L
.55542 .55299 L
.55492 .55238 L
.55393 .55106 L
.55299 .55032 L
.55247 .54914 L
.55106 .54721 L
.55106 .54721 L
.54977 .54528 L
.54914 .54434 L
.54853 .54336 L
.54745 .54143 L
F
1 .64 0 r
.54914 .54096 m
.54963 .54143 L
.55106 .54269 L
.55149 .54336 L
.55299 .5451 L
.55321 .54528 L
.55463 .54721 L
.55492 .54758 L
.55607 .54914 L
.55684 .55017 L
.55748 .55106 L
.55877 .55284 L
.55888 .55299 L
.56006 .55492 L
.5607 .55594 L
.5612 .55684 L
.5607 .55868 L
.55877 .55693 L
.55871 .55684 L
.55702 .55492 L
.55684 .55472 L
.55547 .55299 L
.55492 .55232 L
.55397 .55106 L
.55299 .55025 L
.55251 .54914 L
.55111 .54721 L
.55106 .54715 L
.54982 .54528 L
.54914 .54427 L
.54858 .54336 L
.54755 .54143 L
F
1 .63 0 r
.54914 .54105 m
.54954 .54143 L
.55106 .54278 L
.55143 .54336 L
.55299 .54517 L
.55313 .54528 L
.55458 .54721 L
.55492 .54763 L
.55603 .54914 L
.55684 .55023 L
.55744 .55106 L
.55877 .55294 L
.5588 .55299 L
.56001 .55492 L
.5607 .55605 L
.56113 .55684 L
.5607 .55855 L
.55878 .55684 L
.55877 .55683 L
.55708 .55492 L
.55684 .55466 L
.55552 .55299 L
.55492 .55227 L
.55401 .55106 L
.55299 .55018 L
.55255 .54914 L
.55115 .54721 L
.55106 .54709 L
.54987 .54528 L
.54914 .54419 L
.54863 .54336 L
.54765 .54143 L
F
0 .99 1 r
.54914 .53372 m
.54933 .53372 L
.55106 .53384 L
.55299 .53492 L
.55357 .53565 L
.55492 .53741 L
.55504 .53758 L
.55645 .5395 L
.55684 .53997 L
.55756 .54143 L
.55877 .54258 L
.55935 .54336 L
.5607 .54524 L
.56073 .54528 L
.5621 .54721 L
.56263 .54798 L
.56317 .54914 L
.56455 .55073 L
.56499 .55106 L
.56642 .55299 L
.56648 .55312 L
.56772 .55492 L
.56841 .55576 L
.56875 .55684 L
.57033 .55843 L
.57061 .55877 L
.57209 .5607 L
.57226 .56108 L
.5733 .56263 L
.57419 .56378 L
.57431 .56455 L
.57586 .56648 L
.57419 .56698 L
.57226 .56704 L
.57047 .56648 L
.57033 .56639 L
.56882 .56455 L
.56841 .56407 L
.5672 .56263 L
.56648 .56147 L
.56603 .5607 L
.56455 .55882 L
.56452 .55877 L
.56312 .55684 L
.56263 .55618 L
.56156 .55492 L
.5607 .5535 L
.56038 .55299 L
.55888 .55106 L
.55877 .55101 L
.55695 .54914 L
.55684 .54843 L
.55595 .54721 L
.55492 .54569 L
.55473 .54528 L
.55325 .54336 L
.55299 .54301 L
.55136 .54143 L
.55106 .54034 L
.55035 .5395 L
.54914 .53771 L
.54907 .53758 L
.54769 .53565 L
.54815 .53372 L
F
1 .62 0 r
.54914 .54115 m
.54944 .54143 L
.55106 .54287 L
.55137 .54336 L
.55299 .54524 L
.55305 .54528 L
.55453 .54721 L
.55492 .54769 L
.55599 .54914 L
.55684 .55029 L
.5574 .55106 L
.55874 .55299 L
.55877 .55303 L
.55995 .55492 L
.5607 .55617 L
.56105 .55684 L
.5607 .55841 L
.55887 .55684 L
.55877 .55675 L
.55714 .55492 L
.55684 .55459 L
.55556 .55299 L
.55492 .55221 L
.55406 .55106 L
.55299 .5501 L
.55259 .54914 L
.5512 .54721 L
.55106 .54702 L
.54992 .54528 L
.54914 .54411 L
.54869 .54336 L
.54777 .54143 L
F
1 .99 0 r
.54914 .56759 m
.55106 .56771 L
.55245 .56841 L
.55299 .56888 L
.55421 .57033 L
.55492 .57163 L
.55631 .57226 L
.55684 .57379 L
.55727 .57419 L
.55859 .57611 L
.55877 .57636 L
.55997 .57804 L
.5607 .57862 L
.56185 .57997 L
.56263 .58158 L
.56285 .58189 L
.56416 .58382 L
.56455 .58435 L
.56552 .58575 L
.56648 .58708 L
.56712 .58768 L
.56824 .5896 L
.56841 .58984 L
.56949 .59153 L
.57033 .5928 L
.57093 .59346 L
.57185 .59538 L
.57226 .59612 L
.57307 .59731 L
.57372 .59924 L
.57419 .60004 L
.57473 .60116 L
.57587 .60309 L
.57611 .60344 L
.57721 .60502 L
.57804 .60584 L
.57864 .60694 L
.57997 .60873 L
.58012 .60887 L
.58163 .6108 L
.58189 .61112 L
.58319 .61273 L
.58382 .6132 L
.58475 .61465 L
.58575 .61598 L
.58604 .61658 L
.58768 .61846 L
.58781 .61851 L
.58932 .62043 L
.5896 .62051 L
.59083 .62236 L
.59153 .62324 L
.59247 .62429 L
.59346 .62585 L
.59365 .62621 L
.59523 .62814 L
.59538 .62835 L
.59669 .63007 L
.59731 .63084 L
.59832 .63199 L
.59924 .63352 L
.59949 .63392 L
.60096 .63585 L
.60116 .63586 L
.6024 .63778 L
.60309 .63864 L
.60397 .6397 L
.60502 .64137 L
.60517 .64163 L
.60662 .64356 L
.60694 .64365 L
.60803 .64548 L
.60887 .64656 L
.60954 .64741 L
.6108 .64931 L
.61081 .64934 L
.61221 .65126 L
.61273 .65151 L
.61362 .65319 L
.61465 .65455 L
.61507 .65512 L
.61638 .65704 L
.61658 .65732 L
.61777 .65897 L
.61851 .65949 L
.61916 .6609 L
.62043 .66267 L
.62055 .66283 L
.62188 .66475 L
.62236 .66543 L
.62324 .66668 L
.62429 .66774 L
.62511 .66861 L
.62592 .67053 L
.62621 .67095 L
.62722 .67246 L
.62814 .67381 L
.62852 .67439 L
.62972 .67631 L
.63007 .67686 L
.63075 .67824 L
.63007 .67851 L
.62983 .67824 L
.62814 .67653 L
.62797 .67631 L
.62626 .67439 L
.62621 .67433 L
.62468 .67246 L
.62429 .67202 L
.62312 .67053 L
.62236 .66965 L
.62156 .66861 L
.62043 .66763 L
.62001 .66668 L
.61851 .66482 L
.61842 .66475 L
.617 .66283 L
.61658 .66231 L
.61553 .6609 L
.61465 .66029 L
.61404 .65897 L
.61273 .65736 L
.61237 .65704 L
.6111 .65512 L
.6108 .65475 L
.60966 .65319 L
.60887 .65267 L
.6082 .65126 L
.60694 .64971 L
.60656 .64934 L
.6053 .64741 L
.60502 .64705 L
.60389 .64548 L
.60309 .64491 L
.60245 .64356 L
.60116 .64194 L
.60085 .64163 L
.59957 .6397 L
.59924 .63927 L
.59817 .63778 L
.59731 .63708 L
.59674 .63585 L
.59538 .6341 L
.59522 .63392 L
.5939 .63199 L
.59346 .63143 L
.5925 .63007 L
.59153 .62919 L
.59107 .62814 L
.58962 .62621 L
.5896 .62619 L
.58826 .62429 L
.58768 .62353 L
.58687 .62236 L
.58575 .62123 L
.58544 .62043 L
.58403 .61851 L
.58382 .61824 L
.58268 .61658 L
.58189 .61555 L
.58128 .61465 L
.57997 .6129 L
.57985 .61273 L
.5785 .6108 L
.57804 .6102 L
.57716 .60887 L
.57611 .6075 L
.57575 .60694 L
.57433 .60502 L
.57419 .60483 L
.57301 .60309 L
.57226 .60213 L
.57161 .60116 L
.57033 .59959 L
.57015 .59924 L
.56872 .59731 L
.56841 .59694 L
.56729 .59538 L
.56648 .59434 L
.56553 .59346 L
.56455 .59179 L
.56434 .59153 L
.5629 .5896 L
.56263 .58924 L
.56133 .58768 L
.5607 .58667 L
.56001 .58575 L
.55877 .58408 L
.55862 .58382 L
.55706 .58189 L
.55684 .58149 L
.55573 .57997 L
.55492 .57885 L
.55443 .57804 L
.55299 .57622 L
.55299 .57611 L
.55146 .57419 L
.55106 .5738 L
.55019 .57226 L
.54914 .57079 L
.5489 .57033 L
.54782 .56841 L
F
1 .61 0 r
.54914 .54125 m
.54933 .54143 L
.55106 .54297 L
.5513 .54336 L
.55297 .54528 L
.55299 .54531 L
.55448 .54721 L
.55492 .54775 L
.55594 .54914 L
.55684 .55035 L
.55735 .55106 L
.55869 .55299 L
.55877 .55311 L
.55988 .55492 L
.5607 .5563 L
.56097 .55684 L
.5607 .55825 L
.55897 .55684 L
.55877 .55666 L
.5572 .55492 L
.55684 .55453 L
.55561 .55299 L
.55492 .55215 L
.5541 .55106 L
.55299 .55002 L
.55263 .54914 L
.55125 .54721 L
.55106 .54696 L
.54997 .54528 L
.54914 .54402 L
.54875 .54336 L
.5479 .54143 L
F
0 .98 1 r
.54914 .53399 m
.55106 .53421 L
.55299 .53545 L
.55318 .53565 L
.55485 .53758 L
.55492 .53774 L
.55632 .5395 L
.55684 .54012 L
.55746 .54143 L
.55877 .5427 L
.55927 .54336 L
.56069 .54528 L
.5607 .54534 L
.56204 .54721 L
.56263 .54806 L
.56312 .54914 L
.56455 .55079 L
.56493 .55106 L
.56639 .55299 L
.56648 .55318 L
.56766 .55492 L
.56841 .55584 L
.56871 .55684 L
.57033 .55853 L
.57053 .55877 L
.57203 .5607 L
.57226 .56122 L
.57318 .56263 L
.57419 .56405 L
.57425 .56455 L
.57492 .56648 L
.57419 .56669 L
.57226 .56672 L
.57132 .56648 L
.57033 .56601 L
.569 .56455 L
.56841 .56389 L
.56729 .56263 L
.56648 .56136 L
.56608 .5607 L
.56458 .55877 L
.56455 .55874 L
.56317 .55684 L
.56263 .55612 L
.5616 .55492 L
.5607 .55345 L
.5604 .55299 L
.55891 .55106 L
.55877 .55099 L
.55697 .54914 L
.55684 .54838 L
.55599 .54721 L
.55492 .54563 L
.55475 .54528 L
.5533 .54336 L
.55299 .54294 L
.5514 .54143 L
.55106 .54025 L
.55042 .5395 L
.54914 .53758 L
.54914 .53757 L
.54791 .53565 L
F
1 .92 0 r
.54914 .4659 m
.54951 .46628 L
.55106 .46777 L
.55136 .46821 L
.55299 .47004 L
.55312 .47013 L
.55472 .47206 L
.55492 .47228 L
.55635 .47399 L
.55684 .47448 L
.55794 .47591 L
.55877 .47697 L
.55966 .47784 L
.5607 .47942 L
.56095 .47977 L
.56255 .48169 L
.56263 .48177 L
.56408 .48362 L
.56455 .48426 L
.56564 .48555 L
.56648 .48683 L
.56687 .48747 L
.56841 .48932 L
.56854 .4894 L
.57002 .49133 L
.57033 .49178 L
.57148 .49326 L
.57226 .4944 L
.57267 .49518 L
.57419 .49698 L
.5744 .49711 L
.57607 .49904 L
.57611 .49943 L
.57725 .50096 L
.57804 .50209 L
.57841 .50289 L
.57997 .5047 L
.58017 .50482 L
.58176 .50674 L
.58189 .50717 L
.58297 .50867 L
.58382 .50985 L
.58409 .5106 L
.58575 .51245 L
.58589 .51253 L
.58745 .51445 L
.58768 .51497 L
.58864 .51638 L
.5896 .51766 L
.58975 .51831 L
.59153 .52021 L
.59158 .52023 L
.59312 .52216 L
.59346 .52281 L
.5943 .52409 L
.59538 .5255 L
.59541 .52601 L
.59724 .52794 L
.59731 .52802 L
.59877 .52987 L
.59924 .53067 L
.59994 .53179 L
.60116 .53335 L
.6015 .53372 L
.6029 .53565 L
.60309 .53588 L
.60441 .53758 L
.60502 .53856 L
.60557 .5395 L
.60694 .54122 L
.60714 .54143 L
.60853 .54336 L
.60887 .54376 L
.61003 .54528 L
.6108 .54646 L
.6112 .54721 L
.61273 .5491 L
.61276 .54914 L
.6146 .55106 L
.61465 .55167 L
.61563 .55299 L
.61658 .55438 L
.61683 .55492 L
.61837 .55684 L
.61851 .55693 L
.6202 .55877 L
.62043 .5596 L
.62122 .5607 L
.62236 .56233 L
.62247 .56263 L
.62395 .56455 L
.62429 .56479 L
.62575 .56648 L
.62621 .56758 L
.62678 .56841 L
.62814 .57033 L
.62814 .57033 L
.62951 .57226 L
.63007 .57274 L
.63125 .57419 L
.63199 .57564 L
.6323 .57611 L
.63365 .57804 L
.63392 .57841 L
.63501 .57997 L
.63585 .58085 L
.63664 .58189 L
.63776 .58382 L
.63778 .58385 L
.63907 .58575 L
.6397 .58663 L
.64042 .58768 L
.64163 .5893 L
.64184 .5896 L
.64304 .59153 L
.64356 .59226 L
.64432 .59346 L
.64548 .59517 L
.64562 .59538 L
.64678 .59731 L
.64741 .59829 L
.64791 .59924 L
.64741 .60078 L
.6459 .59924 L
.64548 .59884 L
.64413 .59731 L
.64356 .59669 L
.64244 .59538 L
.64163 .59464 L
.64081 .59346 L
.6397 .59214 L
.63898 .59153 L
.63778 .58973 L
.63767 .5896 L
.63613 .58768 L
.63585 .58741 L
.63461 .58575 L
.63392 .58488 L
.6329 .58382 L
.63199 .58234 L
.63167 .58189 L
.63013 .57997 L
.63007 .57991 L
.62866 .57804 L
.62814 .57737 L
.62705 .57611 L
.62621 .57476 L
.62584 .57419 L
.62429 .57227 L
.62428 .57226 L
.62283 .57033 L
.62236 .56971 L
.6213 .56841 L
.62043 .56707 L
.62009 .56648 L
.61851 .56455 L
.61851 .56455 L
.61663 .56263 L
.61658 .56196 L
.61559 .5607 L
.61465 .5593 L
.61438 .55877 L
.61279 .55684 L
.61273 .55678 L
.61099 .55492 L
.6108 .55416 L
.60991 .55299 L
.60887 .55149 L
.60869 .55106 L
.6071 .54914 L
.60694 .54897 L
.60535 .54721 L
.60502 .54632 L
.60426 .54528 L
.60309 .54366 L
.603 .54336 L
.60144 .54143 L
.60116 .54113 L
.59973 .5395 L
.59924 .53846 L
.59861 .53758 L
.59731 .5358 L
.59729 .53565 L
.59579 .53372 L
.59538 .53328 L
.59411 .53179 L
.59346 .53058 L
.59298 .52987 L
.59154 .52794 L
.59153 .52794 L
.59015 .52601 L
.5896 .5254 L
.58851 .52409 L
.58768 .52268 L
.58734 .52216 L
.58591 .52023 L
.58575 .52018 L
.58452 .51831 L
.58382 .5175 L
.58292 .51638 L
.58189 .51475 L
.58171 .51445 L
.5803 .51253 L
.57997 .51237 L
.57891 .5106 L
.57804 .50956 L
.57735 .50867 L
.57611 .5068 L
.57608 .50674 L
.5747 .50482 L
.57419 .50449 L
.57269 .50289 L
.57226 .50158 L
.57179 .50096 L
.57049 .49904 L
.57033 .49882 L
.56913 .49711 L
.56841 .49652 L
.56725 .49518 L
.56648 .49354 L
.56627 .49326 L
.56495 .49133 L
.56455 .49079 L
.56359 .4894 L
.56263 .48841 L
.56187 .48747 L
.5608 .48555 L
.5607 .48542 L
.55947 .48362 L
.55877 .48268 L
.5581 .48169 L
.55684 .48006 L
.55662 .47977 L
.5554 .47784 L
.55492 .47717 L
.55409 .47591 L
.55299 .47437 L
.55275 .47399 L
.55147 .47206 L
.55106 .47148 L
.55025 .47013 L
.54914 .46846 L
.54899 .46821 L
.54798 .46628 L
F
1 .6 0 r
.54914 .54136 m
.54922 .54143 L
.55106 .54307 L
.55124 .54336 L
.55291 .54528 L
.55299 .54537 L
.55443 .54721 L
.55492 .54781 L
.5559 .54914 L
.55684 .55041 L
.55731 .55106 L
.55863 .55299 L
.55877 .55319 L
.55982 .55492 L
.5607 .55645 L
.56089 .55684 L
.5607 .55807 L
.55908 .55684 L
.55877 .55658 L
.55727 .55492 L
.55684 .55446 L
.55566 .55299 L
.55492 .5521 L
.55414 .55106 L
.55299 .54994 L
.55267 .54914 L
.55129 .54721 L
.55106 .54689 L
.55002 .54528 L
.54914 .54393 L
.5488 .54336 L
.54807 .54143 L
F
0 .97 1 r
.54914 .53428 m
.55106 .53452 L
.55282 .53565 L
.55299 .53578 L
.55467 .53758 L
.55492 .53811 L
.55621 .5395 L
.55684 .54026 L
.55738 .54143 L
.55877 .54281 L
.55918 .54336 L
.56066 .54528 L
.5607 .54543 L
.56198 .54721 L
.56263 .54815 L
.56307 .54914 L
.56455 .55084 L
.56487 .55106 L
.56637 .55299 L
.56648 .55325 L
.5676 .55492 L
.56841 .55593 L
.56867 .55684 L
.57033 .55862 L
.57045 .55877 L
.57197 .5607 L
.57226 .56137 L
.57306 .56263 L
.57419 .56435 L
.57421 .56455 L
.57419 .5663 L
.57226 .56643 L
.57033 .56571 L
.56919 .56455 L
.56841 .56371 L
.56739 .56263 L
.56648 .56125 L
.56614 .5607 L
.56463 .55877 L
.56455 .55867 L
.56322 .55684 L
.56263 .55606 L
.56164 .55492 L
.5607 .55341 L
.56043 .55299 L
.55895 .55106 L
.55877 .55097 L
.55699 .54914 L
.55684 .54833 L
.55602 .54721 L
.55492 .54557 L
.55478 .54528 L
.55335 .54336 L
.55299 .54287 L
.55144 .54143 L
.55106 .54016 L
.5505 .5395 L
.54926 .53758 L
.54914 .53739 L
.54814 .53565 L
F
0 .96 1 r
.54914 .53457 m
.55106 .5348 L
.55248 .53565 L
.55299 .53603 L
.5545 .53758 L
.55492 .53842 L
.5561 .5395 L
.55684 .5404 L
.55731 .54143 L
.55877 .54292 L
.5591 .54336 L
.56064 .54528 L
.5607 .54553 L
.56192 .54721 L
.56263 .54823 L
.56303 .54914 L
.56455 .55088 L
.56481 .55106 L
.56634 .55299 L
.56648 .55332 L
.56754 .55492 L
.56841 .55601 L
.56863 .55684 L
.57033 .55872 L
.57037 .55877 L
.57191 .5607 L
.57226 .56153 L
.57295 .56263 L
.57408 .56455 L
.57226 .56618 L
.57033 .56546 L
.56938 .56455 L
.56841 .56355 L
.56749 .56263 L
.56648 .56114 L
.5662 .5607 L
.56469 .55877 L
.56455 .55861 L
.56327 .55684 L
.56263 .556 L
.56168 .55492 L
.5607 .55336 L
.56046 .55299 L
.55899 .55106 L
.55877 .55094 L
.557 .54914 L
.55684 .54828 L
.55606 .54721 L
.55492 .54551 L
.55481 .54528 L
.5534 .54336 L
.55299 .54279 L
.55149 .54143 L
.55106 .54007 L
.55058 .5395 L
.54938 .53758 L
.54914 .53718 L
.54838 .53565 L
F
0 .97 1 r
.54914 .57483 m
.55023 .57611 L
.55106 .57718 L
.55169 .57804 L
.55299 .57989 L
.55304 .57997 L
.55429 .58189 L
.55492 .58285 L
.5555 .58382 L
.55492 .58508 L
.55405 .58382 L
.55299 .58247 L
.55261 .58189 L
.55117 .57997 L
.55106 .57982 L
.54983 .57804 L
.54914 .57704 L
.54856 .57611 L
F
1 .35 0 r
.54914 .48195 m
.55046 .48362 L
.55106 .4843 L
.55203 .48555 L
.55299 .4867 L
.55358 .48747 L
.55492 .48897 L
.55511 .4894 L
.55659 .49133 L
.55684 .49164 L
.55806 .49326 L
.55877 .49415 L
.55954 .49518 L
.5607 .49643 L
.56102 .49711 L
.56247 .49904 L
.56263 .49923 L
.56389 .50096 L
.56455 .50181 L
.56534 .50289 L
.56648 .50417 L
.56679 .50482 L
.56821 .50674 L
.56841 .507 L
.5696 .50867 L
.57033 .50963 L
.57102 .5106 L
.57226 .51211 L
.57245 .51253 L
.57383 .51445 L
.57419 .51492 L
.5752 .51638 L
.57611 .5176 L
.5766 .51831 L
.578 .52023 L
.57804 .52028 L
.57932 .52216 L
.57997 .52303 L
.58067 .52409 L
.58189 .52578 L
.58205 .52601 L
.58333 .52794 L
.58382 .52862 L
.5846 .52987 L
.58575 .53152 L
.58592 .53179 L
.58575 .53345 L
.58439 .53179 L
.58382 .5312 L
.58278 .52987 L
.58189 .52885 L
.58119 .52794 L
.57997 .52645 L
.57963 .52601 L
.57811 .52409 L
.57804 .524 L
.57665 .52216 L
.57611 .5215 L
.57517 .52023 L
.57419 .51899 L
.57368 .51831 L
.57226 .51649 L
.57213 .51638 L
.57078 .51445 L
.57033 .51389 L
.56934 .51253 L
.56841 .51132 L
.56788 .5106 L
.56648 .50876 L
.56638 .50867 L
.56504 .50674 L
.56455 .50612 L
.56362 .50482 L
.56263 .5035 L
.56219 .50289 L
.56077 .50096 L
.5607 .50087 L
.55941 .49904 L
.55877 .49819 L
.55802 .49711 L
.55684 .49553 L
.5566 .49518 L
.55525 .49326 L
.55492 .49282 L
.55391 .49133 L
.55299 .49009 L
.55253 .4894 L
.55116 .48747 L
.55106 .48735 L
.5499 .48555 L
.54914 .48449 L
.54859 .48362 L
F
1 .34 0 r
.54914 .48204 m
.5504 .48362 L
.55106 .48437 L
.55198 .48555 L
.55299 .48676 L
.55354 .48747 L
.55492 .48905 L
.55508 .4894 L
.55655 .49133 L
.55684 .49168 L
.55802 .49326 L
.55877 .49419 L
.55951 .49518 L
.5607 .49648 L
.56099 .49711 L
.56244 .49904 L
.56263 .49927 L
.56386 .50096 L
.56455 .50185 L
.56531 .50289 L
.56648 .50422 L
.56676 .50482 L
.56818 .50674 L
.56841 .50704 L
.56957 .50867 L
.57033 .50967 L
.571 .5106 L
.57226 .51217 L
.57242 .51253 L
.57379 .51445 L
.57419 .51497 L
.57517 .51638 L
.57611 .51764 L
.57657 .51831 L
.57797 .52023 L
.57804 .52033 L
.57928 .52216 L
.57997 .52309 L
.58064 .52409 L
.58189 .52583 L
.58202 .52601 L
.58327 .52794 L
.58382 .52869 L
.58454 .52987 L
.58575 .53161 L
.58586 .53179 L
.58575 .53333 L
.58447 .53179 L
.58382 .53112 L
.58284 .52987 L
.58189 .52879 L
.58124 .52794 L
.57997 .5264 L
.57967 .52601 L
.57816 .52409 L
.57804 .52395 L
.57669 .52216 L
.57611 .52145 L
.5752 .52023 L
.57419 .51895 L
.57371 .51831 L
.57226 .51644 L
.57219 .51638 L
.57081 .51445 L
.57033 .51385 L
.56937 .51253 L
.56841 .51128 L
.56791 .5106 L
.56648 .50872 L
.56643 .50867 L
.56507 .50674 L
.56455 .50608 L
.56365 .50482 L
.56263 .50346 L
.56222 .50289 L
.5608 .50096 L
.5607 .50083 L
.55944 .49904 L
.55877 .49815 L
.55805 .49711 L
.55684 .49549 L
.55663 .49518 L
.55528 .49326 L
.55492 .49278 L
.55394 .49133 L
.55299 .49004 L
.55256 .4894 L
.5512 .48747 L
.55106 .48729 L
.54995 .48555 L
.54914 .48442 L
.54864 .48362 L
F
0 .95 1 r
.54914 .5349 m
.55106 .53507 L
.55211 .53565 L
.55299 .53625 L
.55432 .53758 L
.55492 .53869 L
.55599 .5395 L
.55684 .54053 L
.55724 .54143 L
.55877 .54303 L
.55902 .54336 L
.56063 .54528 L
.5607 .54562 L
.56187 .54721 L
.56263 .5483 L
.56299 .54914 L
.56455 .55093 L
.56475 .55106 L
.56631 .55299 L
.56648 .55339 L
.56749 .55492 L
.56841 .55609 L
.5686 .55684 L
.57029 .55877 L
.57033 .55883 L
.57185 .5607 L
.57226 .5617 L
.57283 .56263 L
.57384 .56455 L
.57226 .56593 L
.57033 .56522 L
.56959 .56455 L
.56841 .5634 L
.5676 .56263 L
.56648 .56104 L
.56626 .5607 L
.56475 .55877 L
.56455 .55854 L
.56331 .55684 L
.56263 .55594 L
.56172 .55492 L
.5607 .55331 L
.56049 .55299 L
.55903 .55106 L
.55877 .55092 L
.55703 .54914 L
.55684 .54822 L
.5561 .54721 L
.55492 .54545 L
.55484 .54528 L
.55345 .54336 L
.55299 .54272 L
.55154 .54143 L
.55106 .53997 L
.55066 .5395 L
.5495 .53758 L
.54914 .53691 L
.54864 .53565 L
F
1 .33 0 r
.54914 .48213 m
.55033 .48362 L
.55106 .48444 L
.55193 .48555 L
.55299 .48682 L
.5535 .48747 L
.55492 .48913 L
.55504 .4894 L
.55651 .49133 L
.55684 .49173 L
.55799 .49326 L
.55877 .49424 L
.55947 .49518 L
.5607 .49655 L
.56096 .49711 L
.5624 .49904 L
.56263 .49931 L
.56383 .50096 L
.56455 .50189 L
.56528 .50289 L
.56648 .50427 L
.56673 .50482 L
.56814 .50674 L
.56841 .50708 L
.56954 .50867 L
.57033 .50971 L
.57097 .5106 L
.57226 .51223 L
.5724 .51253 L
.57376 .51445 L
.57419 .51501 L
.57514 .51638 L
.57611 .51769 L
.57654 .51831 L
.57793 .52023 L
.57804 .52038 L
.57924 .52216 L
.57997 .52314 L
.5806 .52409 L
.58189 .52589 L
.58198 .52601 L
.58322 .52794 L
.58382 .52877 L
.58448 .52987 L
.58575 .53171 L
.58579 .53179 L
.58575 .53319 L
.58457 .53179 L
.58382 .53103 L
.5829 .52987 L
.58189 .52872 L
.58129 .52794 L
.57997 .52634 L
.57972 .52601 L
.5782 .52409 L
.57804 .5239 L
.57673 .52216 L
.57611 .52141 L
.57524 .52023 L
.57419 .51891 L
.57374 .51831 L
.57226 .51639 L
.57225 .51638 L
.57084 .51445 L
.57033 .51381 L
.5694 .51253 L
.56841 .51124 L
.56794 .5106 L
.56648 .50867 L
.56648 .50867 L
.5651 .50674 L
.56455 .50604 L
.56368 .50482 L
.56263 .50342 L
.56225 .50289 L
.56083 .50096 L
.5607 .50079 L
.55947 .49904 L
.55877 .49811 L
.55808 .49711 L
.55684 .49545 L
.55666 .49518 L
.55532 .49326 L
.55492 .49273 L
.55398 .49133 L
.55299 .48999 L
.5526 .4894 L
.55125 .48747 L
.55106 .48722 L
.55 .48555 L
.54914 .48435 L
.54869 .48362 L
F
0 .08 1 r
.54914 .4905 m
.54969 .49133 L
.55106 .49303 L
.55122 .49326 L
.55106 .49455 L
.55022 .49326 L
.54914 .49194 L
.54874 .49133 L
F
1 .32 0 r
.54914 .48222 m
.55026 .48362 L
.55106 .48451 L
.55187 .48555 L
.55299 .48687 L
.55345 .48747 L
.55492 .48922 L
.555 .4894 L
.55647 .49133 L
.55684 .49178 L
.55795 .49326 L
.55877 .49428 L
.55944 .49518 L
.5607 .49661 L
.56093 .49711 L
.56237 .49904 L
.56263 .49936 L
.5638 .50096 L
.56455 .50193 L
.56525 .50289 L
.56648 .50433 L
.56671 .50482 L
.56811 .50674 L
.56841 .50712 L
.56951 .50867 L
.57033 .50975 L
.57094 .5106 L
.57226 .51229 L
.57237 .51253 L
.57373 .51445 L
.57419 .51505 L
.57511 .51638 L
.57611 .51773 L
.57651 .51831 L
.57789 .52023 L
.57804 .52043 L
.5792 .52216 L
.57997 .52319 L
.58056 .52409 L
.58189 .52595 L
.58194 .52601 L
.58316 .52794 L
.58382 .52886 L
.58442 .52987 L
.58382 .53094 L
.58297 .52987 L
.58189 .52865 L
.58134 .52794 L
.57997 .52628 L
.57976 .52601 L
.57825 .52409 L
.57804 .52384 L
.57677 .52216 L
.57611 .52136 L
.57527 .52023 L
.57419 .51886 L
.57377 .51831 L
.57229 .51638 L
.57226 .51634 L
.57087 .51445 L
.57033 .51377 L
.56943 .51253 L
.56841 .51121 L
.56796 .5106 L
.56651 .50867 L
.56648 .50863 L
.56513 .50674 L
.56455 .506 L
.56371 .50482 L
.56263 .50339 L
.56227 .50289 L
.56087 .50096 L
.5607 .50075 L
.5595 .49904 L
.55877 .49807 L
.55811 .49711 L
.55684 .4954 L
.55669 .49518 L
.55535 .49326 L
.55492 .49268 L
.55401 .49133 L
.55299 .48994 L
.55263 .4894 L
.5513 .48747 L
.55106 .48715 L
.55005 .48555 L
.54914 .48427 L
.54875 .48362 L
F
0 .07 1 r
.54914 .49061 m
.54961 .49133 L
.55106 .49312 L
.55116 .49326 L
.55106 .49444 L
.55031 .49326 L
.54914 .49184 L
.54881 .49133 L
F
1 .31 0 r
.54914 .48232 m
.55018 .48362 L
.55106 .48458 L
.55182 .48555 L
.55299 .48693 L
.55341 .48747 L
.55492 .48931 L
.55496 .4894 L
.55643 .49133 L
.55684 .49183 L
.55791 .49326 L
.55877 .49433 L
.55941 .49518 L
.5607 .49667 L
.5609 .49711 L
.56234 .49904 L
.56263 .4994 L
.56377 .50096 L
.56455 .50197 L
.56522 .50289 L
.56648 .50439 L
.56668 .50482 L
.56808 .50674 L
.56841 .50716 L
.56948 .50867 L
.57033 .50979 L
.57091 .5106 L
.57226 .51235 L
.57234 .51253 L
.5737 .51445 L
.57419 .5151 L
.57508 .51638 L
.57611 .51778 L
.57648 .51831 L
.57785 .52023 L
.57804 .52048 L
.57916 .52216 L
.57997 .52325 L
.58052 .52409 L
.58189 .52601 L
.5819 .52601 L
.5831 .52794 L
.58382 .52895 L
.58436 .52987 L
.58382 .53084 L
.58304 .52987 L
.58189 .52858 L
.5814 .52794 L
.57997 .52623 L
.5798 .52601 L
.5783 .52409 L
.57804 .52379 L
.57681 .52216 L
.57611 .52131 L
.57531 .52023 L
.57419 .51882 L
.57381 .51831 L
.57233 .51638 L
.57226 .5163 L
.57091 .51445 L
.57033 .51373 L
.56946 .51253 L
.56841 .51117 L
.56799 .5106 L
.56655 .50867 L
.56648 .50859 L
.56516 .50674 L
.56455 .50596 L
.56374 .50482 L
.56263 .50335 L
.5623 .50289 L
.5609 .50096 L
.5607 .5007 L
.55954 .49904 L
.55877 .49803 L
.55814 .49711 L
.55684 .49536 L
.55672 .49518 L
.55539 .49326 L
.55492 .49263 L
.55405 .49133 L
.55299 .48988 L
.55267 .4894 L
.55135 .48747 L
.55106 .48708 L
.55011 .48555 L
.54914 .48418 L
.54881 .48362 L
F
0 .88 1 r
.54914 .59238 m
.54983 .59346 L
.55106 .59512 L
.55123 .59538 L
.55106 .59629 L
.55045 .59538 L
.54914 .59392 L
.54883 .59346 L
F
0 .7 1 r
.54914 .47404 m
.55082 .47591 L
.55106 .47616 L
.55248 .47784 L
.55299 .47841 L
.55411 .47977 L
.55492 .48072 L
.5557 .48169 L
.55684 .48302 L
.55774 .48362 L
.55877 .48552 L
.5588 .48555 L
.5603 .48747 L
.5607 .48756 L
.56181 .4894 L
.56263 .49035 L
.56375 .49133 L
.56455 .49294 L
.5648 .49326 L
.56626 .49518 L
.56648 .49525 L
.56773 .49711 L
.56841 .49791 L
.56953 .49904 L
.57033 .50054 L
.57065 .50096 L
.5721 .50289 L
.57226 .50296 L
.57355 .50482 L
.57419 .50559 L
.57524 .50674 L
.57611 .50825 L
.5764 .50867 L
.57786 .5106 L
.57804 .51069 L
.57929 .51253 L
.57997 .51336 L
.58091 .51445 L
.58189 .51604 L
.58211 .51638 L
.58356 .51831 L
.58382 .51846 L
.58497 .52023 L
.58575 .5212 L
.58654 .52216 L
.58768 .5239 L
.58779 .52409 L
.58921 .52601 L
.5896 .52629 L
.59062 .52794 L
.59153 .5291 L
.59214 .52987 L
.59344 .53179 L
.59346 .53182 L
.59482 .53372 L
.59538 .53419 L
.59686 .53565 L
.59731 .53708 L
.59768 .53758 L
.599 .5395 L
.59924 .53982 L
.60037 .54143 L
.60116 .54221 L
.60222 .54336 L
.60309 .54518 L
.60317 .54528 L
.60449 .54721 L
.60502 .54793 L
.60586 .54914 L
.60694 .55046 L
.60746 .55106 L
.60857 .55299 L
.60887 .55341 L
.60988 .55492 L
.6108 .55621 L
.61122 .55684 L
.61253 .55877 L
.61273 .55904 L
.61377 .5607 L
.61465 .56199 L
.61504 .56263 L
.61622 .56455 L
.61658 .56513 L
.61718 .56648 L
.61658 .56686 L
.61622 .56648 L
.61465 .56488 L
.61437 .56455 L
.61273 .56271 L
.61267 .56263 L
.61108 .5607 L
.6108 .56038 L
.6095 .55877 L
.60887 .55803 L
.60794 .55684 L
.60694 .55579 L
.60639 .55492 L
.60502 .55319 L
.60482 .55299 L
.60338 .55106 L
.60309 .55071 L
.60189 .54914 L
.60116 .54837 L
.6004 .54721 L
.59924 .54572 L
.59885 .54528 L
.59746 .54336 L
.59731 .54316 L
.59601 .54143 L
.59538 .54076 L
.59395 .5395 L
.59346 .53808 L
.59304 .53758 L
.59166 .53565 L
.59153 .53548 L
.59023 .53372 L
.5896 .53304 L
.58832 .53179 L
.58768 .53034 L
.58731 .52987 L
.58592 .52794 L
.58575 .52771 L
.58451 .52601 L
.58382 .52525 L
.58271 .52409 L
.58189 .52252 L
.58163 .52216 L
.58024 .52023 L
.57997 .51988 L
.57883 .51831 L
.57804 .51739 L
.57712 .51638 L
.57611 .51464 L
.57598 .51445 L
.5746 .51253 L
.57419 .51241 L
.5732 .5106 L
.57226 .50947 L
.57157 .50867 L
.57037 .50674 L
.57033 .50669 L
.569 .50482 L
.56841 .50451 L
.5676 .50289 L
.56648 .50146 L
.56607 .50096 L
.56482 .49904 L
.56455 .49869 L
.56345 .49711 L
.56263 .49645 L
.56206 .49518 L
.5607 .49333 L
.56064 .49326 L
.55933 .49133 L
.55877 .49057 L
.55797 .4894 L
.55684 .4881 L
.55628 .48747 L
.55526 .48555 L
.55492 .48508 L
.55396 .48362 L
.55299 .48227 L
.55262 .48169 L
.55131 .47977 L
.55106 .47941 L
.5501 .47784 L
.54914 .47642 L
.54884 .47591 L
F
1 .59 0 r
.54914 .54148 m
.55106 .54318 L
.55117 .54336 L
.55285 .54528 L
.55299 .54544 L
.55438 .54721 L
.55492 .54788 L
.55585 .54914 L
.55684 .55047 L
.55726 .55106 L
.55858 .55299 L
.55877 .55328 L
.55976 .55492 L
.5607 .55662 L
.5608 .55684 L
.5607 .55785 L
.5592 .55684 L
.55877 .55649 L
.55734 .55492 L
.55684 .55439 L
.55572 .55299 L
.55492 .55204 L
.55419 .55106 L
.55299 .54984 L
.55271 .54914 L
.55134 .54721 L
.55106 .54682 L
.55007 .54528 L
.54914 .54383 L
.54887 .54336 L
F
1 .3 0 r
.54914 .48243 m
.5501 .48362 L
.55106 .48466 L
.55176 .48555 L
.55299 .487 L
.55336 .48747 L
.55492 .4894 L
.55492 .4894 L
.55638 .49133 L
.55684 .49188 L
.55787 .49326 L
.55877 .49437 L
.55937 .49518 L
.5607 .49674 L
.56087 .49711 L
.5623 .49904 L
.56263 .49944 L
.56374 .50096 L
.56455 .50201 L
.56519 .50289 L
.56648 .50445 L
.56665 .50482 L
.56805 .50674 L
.56841 .5072 L
.56945 .50867 L
.57033 .50983 L
.57088 .5106 L
.57226 .51241 L
.57231 .51253 L
.57366 .51445 L
.57419 .51514 L
.57504 .51638 L
.57611 .51782 L
.57645 .51831 L
.57781 .52023 L
.57804 .52053 L
.57912 .52216 L
.57997 .52331 L
.58048 .52409 L
.58184 .52601 L
.58189 .52608 L
.58304 .52794 L
.58382 .52905 L
.58429 .52987 L
.58382 .53074 L
.58312 .52987 L
.58189 .52851 L
.58145 .52794 L
.57997 .52617 L
.57985 .52601 L
.57835 .52409 L
.57804 .52373 L
.57686 .52216 L
.57611 .52126 L
.57535 .52023 L
.57419 .51877 L
.57384 .51831 L
.57236 .51638 L
.57226 .51625 L
.57094 .51445 L
.57033 .51369 L
.56949 .51253 L
.56841 .51113 L
.56802 .5106 L
.56658 .50867 L
.56648 .50855 L
.56519 .50674 L
.56455 .50592 L
.56377 .50482 L
.56263 .50331 L
.56233 .50289 L
.56093 .50096 L
.5607 .50066 L
.55957 .49904 L
.55877 .49798 L
.55817 .49711 L
.55684 .49532 L
.55675 .49518 L
.55543 .49326 L
.55492 .49258 L
.55409 .49133 L
.55299 .48983 L
.55271 .4894 L
.55141 .48747 L
.55106 .48701 L
.55017 .48555 L
.54914 .48408 L
.54887 .48362 L
F
0 .06 1 r
.54914 .49073 m
.54952 .49133 L
.55106 .49322 L
.55109 .49326 L
.55106 .4943 L
.55043 .49326 L
.54914 .49173 L
.54889 .49133 L
F
1 .58 0 r
.54914 .54162 m
.55106 .54329 L
.5511 .54336 L
.55279 .54528 L
.55299 .54551 L
.55433 .54721 L
.55492 .54794 L
.5558 .54914 L
.55684 .55054 L
.55722 .55106 L
.55852 .55299 L
.55877 .55337 L
.55969 .55492 L
.5607 .55684 L
.5607 .55684 L
.5607 .55752 L
.55934 .55684 L
.55877 .55639 L
.55741 .55492 L
.55684 .55432 L
.55577 .55299 L
.55492 .55198 L
.55423 .55106 L
.55299 .54975 L
.55275 .54914 L
.55139 .54721 L
.55106 .54675 L
.55012 .54528 L
.54914 .54373 L
.54893 .54336 L
F
1 .29 0 r
.54914 .48256 m
.55001 .48362 L
.55106 .48474 L
.5517 .48555 L
.55299 .48706 L
.55331 .48747 L
.55487 .4894 L
.55492 .48946 L
.55634 .49133 L
.55684 .49193 L
.55783 .49326 L
.55877 .49442 L
.55934 .49518 L
.5607 .49681 L
.56083 .49711 L
.56226 .49904 L
.56263 .49949 L
.5637 .50096 L
.56455 .50205 L
.56516 .50289 L
.56648 .50451 L
.56662 .50482 L
.56802 .50674 L
.56841 .50724 L
.56942 .50867 L
.57033 .50987 L
.57085 .5106 L
.57226 .51248 L
.57228 .51253 L
.57363 .51445 L
.57419 .51519 L
.57501 .51638 L
.57611 .51787 L
.57642 .51831 L
.57777 .52023 L
.57804 .52059 L
.57908 .52216 L
.57997 .52336 L
.58044 .52409 L
.58178 .52601 L
.58189 .52616 L
.58297 .52794 L
.58382 .52916 L
.58421 .52987 L
.58382 .53062 L
.58321 .52987 L
.58189 .52843 L
.58151 .52794 L
.57997 .5261 L
.5799 .52601 L
.5784 .52409 L
.57804 .52367 L
.5769 .52216 L
.57611 .52121 L
.57538 .52023 L
.57419 .51873 L
.57387 .51831 L
.5724 .51638 L
.57226 .51621 L
.57097 .51445 L
.57033 .51365 L
.56952 .51253 L
.56841 .51109 L
.56805 .5106 L
.56661 .50867 L
.56648 .5085 L
.56522 .50674 L
.56455 .50588 L
.5638 .50482 L
.56263 .50327 L
.56236 .50289 L
.56097 .50096 L
.5607 .50062 L
.5596 .49904 L
.55877 .49794 L
.5582 .49711 L
.55684 .49527 L
.55678 .49518 L
.55547 .49326 L
.55492 .49252 L
.55413 .49133 L
.55299 .48977 L
.55275 .4894 L
.55146 .48747 L
.55106 .48693 L
.55023 .48555 L
.54914 .48398 L
.54894 .48362 L
F
0 .69 1 r
.54914 .47424 m
.55068 .47591 L
.55106 .47629 L
.55238 .47784 L
.55299 .47851 L
.55403 .47977 L
.55492 .48081 L
.55563 .48169 L
.55684 .4831 L
.55762 .48362 L
.55873 .48555 L
.55877 .48559 L
.56025 .48747 L
.5607 .48758 L
.56176 .4894 L
.56263 .49041 L
.5637 .49133 L
.56455 .493 L
.56476 .49326 L
.56622 .49518 L
.56648 .49526 L
.5677 .49711 L
.56841 .49796 L
.5695 .49904 L
.57033 .50059 L
.57061 .50096 L
.57207 .50289 L
.57226 .50297 L
.57352 .50482 L
.57419 .50563 L
.57521 .50674 L
.57611 .50829 L
.57638 .50867 L
.57783 .5106 L
.57804 .51071 L
.57926 .51253 L
.57997 .51339 L
.58088 .51445 L
.58189 .51608 L
.58209 .51638 L
.58353 .51831 L
.58382 .51848 L
.58495 .52023 L
.58575 .52123 L
.58652 .52216 L
.58768 .52393 L
.58777 .52409 L
.58918 .52601 L
.5896 .52631 L
.59059 .52794 L
.59153 .52913 L
.59211 .52987 L
.59341 .53179 L
.59346 .53186 L
.59479 .53372 L
.59538 .53422 L
.59683 .53565 L
.59731 .53712 L
.59765 .53758 L
.59897 .5395 L
.59924 .53986 L
.60034 .54143 L
.60116 .54225 L
.60218 .54336 L
.60309 .54523 L
.60313 .54528 L
.60446 .54721 L
.60502 .54798 L
.60582 .54914 L
.60694 .55053 L
.60739 .55106 L
.60852 .55299 L
.60887 .55348 L
.60983 .55492 L
.6108 .55628 L
.61117 .55684 L
.61246 .55877 L
.61273 .55914 L
.61369 .5607 L
.61465 .56212 L
.61496 .56263 L
.61606 .56455 L
.61658 .56542 L
.61687 .56648 L
.61658 .56658 L
.61647 .56648 L
.61465 .56473 L
.6145 .56455 L
.61278 .56263 L
.61273 .56257 L
.61117 .5607 L
.6108 .56029 L
.60957 .55877 L
.60887 .55795 L
.608 .55684 L
.60694 .55571 L
.60645 .55492 L
.60502 .55312 L
.60488 .55299 L
.60343 .55106 L
.60309 .55065 L
.60193 .54914 L
.60116 .54832 L
.60044 .54721 L
.59924 .54567 L
.59889 .54528 L
.5975 .54336 L
.59731 .54312 L
.59604 .54143 L
.59538 .54072 L
.59398 .5395 L
.59346 .53804 L
.59307 .53758 L
.59169 .53565 L
.59153 .53545 L
.59025 .53372 L
.5896 .53301 L
.58835 .53179 L
.58768 .5303 L
.58734 .52987 L
.58595 .52794 L
.58575 .52768 L
.58453 .52601 L
.58382 .52522 L
.58274 .52409 L
.58189 .52249 L
.58165 .52216 L
.58026 .52023 L
.57997 .51984 L
.57885 .51831 L
.57804 .51736 L
.57715 .51638 L
.57611 .51461 L
.57601 .51445 L
.57462 .51253 L
.57419 .5124 L
.57322 .5106 L
.57226 .50944 L
.5716 .50867 L
.5704 .50674 L
.57033 .50666 L
.56903 .50482 L
.56841 .50448 L
.56763 .50289 L
.56648 .50142 L
.56611 .50096 L
.56484 .49904 L
.56455 .49865 L
.56348 .49711 L
.56263 .4964 L
.56209 .49518 L
.5607 .49327 L
.56069 .49326 L
.55937 .49133 L
.55877 .49052 L
.55801 .4894 L
.55684 .48802 L
.55636 .48747 L
.55531 .48555 L
.55492 .48501 L
.55401 .48362 L
.55299 .48219 L
.55267 .48169 L
.55139 .47977 L
.55106 .47931 L
.55018 .47784 L
.54914 .47627 L
.54894 .47591 L
F
0 .94 1 r
.54914 .5353 m
.55106 .53532 L
.55172 .53565 L
.55299 .53646 L
.55415 .53758 L
.55492 .5389 L
.55589 .5395 L
.55684 .54066 L
.55718 .54143 L
.55877 .54313 L
.55894 .54336 L
.56061 .54528 L
.5607 .54571 L
.56181 .54721 L
.56263 .54838 L
.56295 .54914 L
.56455 .55097 L
.5647 .55106 L
.56629 .55299 L
.56648 .55346 L
.56744 .55492 L
.56841 .55618 L
.56857 .55684 L
.57022 .55877 L
.57033 .55894 L
.57179 .5607 L
.57226 .56187 L
.57272 .56263 L
.57359 .56455 L
.57226 .56569 L
.57033 .56501 L
.5698 .56455 L
.56841 .56325 L
.56772 .56263 L
.56648 .56094 L
.56632 .5607 L
.56482 .55877 L
.56455 .55847 L
.56336 .55684 L
.56263 .55588 L
.56177 .55492 L
.5607 .55326 L
.56052 .55299 L
.55907 .55106 L
.55877 .55089 L
.55705 .54914 L
.55684 .54817 L
.55614 .54721 L
.55492 .54538 L
.55487 .54528 L
.5535 .54336 L
.55299 .54265 L
.5516 .54143 L
.55106 .53987 L
.55075 .5395 L
.54963 .53758 L
.54914 .53654 L
.54894 .53565 L
F
0 .05 1 r
.54914 .49088 m
.5494 .49133 L
.54914 .49159 L
.54898 .49133 L
F
1 .57 0 r
.54914 .54177 m
.55102 .54336 L
.55106 .5434 L
.55273 .54528 L
.55299 .54558 L
.55428 .54721 L
.55492 .548 L
.55575 .54914 L
.55684 .55061 L
.55717 .55106 L
.55846 .55299 L
.55877 .55346 L
.55962 .55492 L
.55877 .55629 L
.55748 .55492 L
.55684 .55425 L
.55582 .55299 L
.55492 .55192 L
.55428 .55106 L
.55299 .54964 L
.5528 .54914 L
.55144 .54721 L
.55106 .54668 L
.55018 .54528 L
.54914 .54362 L
.549 .54336 L
F
1 .28 0 r
.54914 .48271 m
.5499 .48362 L
.55106 .48482 L
.55163 .48555 L
.55299 .48713 L
.55326 .48747 L
.55481 .4894 L
.55492 .48952 L
.55629 .49133 L
.55684 .49199 L
.55779 .49326 L
.55877 .49447 L
.5593 .49518 L
.5607 .49688 L
.5608 .49711 L
.56223 .49904 L
.56263 .49953 L
.56367 .50096 L
.56455 .50209 L
.56513 .50289 L
.56648 .50457 L
.56659 .50482 L
.56798 .50674 L
.56841 .50729 L
.56939 .50867 L
.57033 .50991 L
.57082 .5106 L
.57225 .51253 L
.57226 .51254 L
.57359 .51445 L
.57419 .51523 L
.57498 .51638 L
.57611 .51791 L
.57638 .51831 L
.57773 .52023 L
.57804 .52065 L
.57904 .52216 L
.57997 .52343 L
.5804 .52409 L
.58172 .52601 L
.58189 .52625 L
.58289 .52794 L
.58382 .52929 L
.58412 .52987 L
.58382 .53049 L
.58331 .52987 L
.58189 .52835 L
.58157 .52794 L
.57997 .52604 L
.57995 .52601 L
.57845 .52409 L
.57804 .52361 L
.57694 .52216 L
.57611 .52116 L
.57542 .52023 L
.57419 .51868 L
.57391 .51831 L
.57244 .51638 L
.57226 .51616 L
.57101 .51445 L
.57033 .5136 L
.56955 .51253 L
.56841 .51105 L
.56808 .5106 L
.56665 .50867 L
.56648 .50846 L
.56525 .50674 L
.56455 .50584 L
.56383 .50482 L
.56263 .50323 L
.56239 .50289 L
.561 .50096 L
.5607 .50057 L
.55963 .49904 L
.55877 .4979 L
.55823 .49711 L
.55684 .49523 L
.55681 .49518 L
.55551 .49326 L
.55492 .49247 L
.55417 .49133 L
.55299 .48971 L
.55279 .4894 L
.55153 .48747 L
.55106 .48685 L
.5503 .48555 L
.54914 .48386 L
.54901 .48362 L
F
0 .68 1 r
.54914 .47447 m
.55053 .47591 L
.55106 .47643 L
.55228 .47784 L
.55299 .47862 L
.55394 .47977 L
.55492 .4809 L
.55556 .48169 L
.55684 .48319 L
.5575 .48362 L
.55868 .48555 L
.55877 .48566 L
.5602 .48747 L
.5607 .48761 L
.56172 .4894 L
.56263 .49047 L
.56364 .49133 L
.56455 .49305 L
.56472 .49326 L
.56618 .49518 L
.56648 .49528 L
.56766 .49711 L
.56841 .498 L
.56946 .49904 L
.57033 .50063 L
.57058 .50096 L
.57204 .50289 L
.57226 .50299 L
.57348 .50482 L
.57419 .50567 L
.57519 .50674 L
.57611 .50833 L
.57635 .50867 L
.5778 .5106 L
.57804 .51072 L
.57923 .51253 L
.57997 .51343 L
.58086 .51445 L
.58189 .51611 L
.58207 .51638 L
.5835 .51831 L
.58382 .5185 L
.58492 .52023 L
.58575 .52126 L
.58649 .52216 L
.58768 .52397 L
.58775 .52409 L
.58916 .52601 L
.5896 .52633 L
.59057 .52794 L
.59153 .52917 L
.59208 .52987 L
.59338 .53179 L
.59346 .5319 L
.59476 .53372 L
.59538 .53425 L
.5968 .53565 L
.59731 .53717 L
.59762 .53758 L
.59894 .5395 L
.59924 .53991 L
.60031 .54143 L
.60116 .5423 L
.60213 .54336 L
.60309 .54528 L
.60309 .54529 L
.60442 .54721 L
.60502 .54803 L
.60578 .54914 L
.60694 .55061 L
.60733 .55106 L
.60847 .55299 L
.60887 .55355 L
.60978 .55492 L
.6108 .55636 L
.61112 .55684 L
.61239 .55877 L
.61273 .55925 L
.61361 .5607 L
.61465 .56226 L
.61487 .56263 L
.61588 .56455 L
.61465 .56457 L
.61464 .56455 L
.6129 .56263 L
.61273 .56245 L
.61126 .5607 L
.6108 .56019 L
.60965 .55877 L
.60887 .55786 L
.60806 .55684 L
.60694 .55563 L
.6065 .55492 L
.60502 .55306 L
.60495 .55299 L
.60348 .55106 L
.60309 .55059 L
.60198 .54914 L
.60116 .54827 L
.60048 .54721 L
.59924 .54562 L
.59894 .54528 L
.59753 .54336 L
.59731 .54307 L
.59608 .54143 L
.59538 .54068 L
.59402 .5395 L
.59346 .538 L
.5931 .53758 L
.59172 .53565 L
.59153 .53541 L
.59028 .53372 L
.5896 .53298 L
.58838 .53179 L
.58768 .53027 L
.58736 .52987 L
.58597 .52794 L
.58575 .52765 L
.58456 .52601 L
.58382 .52519 L
.58276 .52409 L
.58189 .52245 L
.58168 .52216 L
.58029 .52023 L
.57997 .51981 L
.57888 .51831 L
.57804 .51733 L
.57718 .51638 L
.57611 .51457 L
.57603 .51445 L
.57465 .51253 L
.57419 .51238 L
.57324 .5106 L
.57226 .5094 L
.57163 .50867 L
.57042 .50674 L
.57033 .50663 L
.56905 .50482 L
.56841 .50445 L
.56765 .50289 L
.56648 .50138 L
.56614 .50096 L
.56487 .49904 L
.56455 .49861 L
.56351 .49711 L
.56263 .49635 L
.56212 .49518 L
.56072 .49326 L
.5607 .49322 L
.5594 .49133 L
.55877 .49047 L
.55805 .4894 L
.55684 .48793 L
.55644 .48747 L
.55536 .48555 L
.55492 .48494 L
.55406 .48362 L
.55299 .48211 L
.55272 .48169 L
.55146 .47977 L
.55106 .47919 L
.55027 .47784 L
.54914 .4761 L
.54904 .47591 L
F
1 .56 0 r
.54914 .54194 m
.55092 .54336 L
.55106 .54348 L
.55266 .54528 L
.55299 .54565 L
.55422 .54721 L
.55492 .54807 L
.55571 .54914 L
.55684 .55067 L
.55712 .55106 L
.5584 .55299 L
.55877 .55356 L
.55955 .55492 L
.55877 .55619 L
.55756 .55492 L
.55684 .55418 L
.55588 .55299 L
.55492 .55185 L
.55432 .55106 L
.55299 .54953 L
.55284 .54914 L
.5515 .54721 L
.55106 .5466 L
.55024 .54528 L
.54914 .54349 L
.54907 .54336 L
F
0 .43 1 r
.54914 .54916 m
.55022 .55106 L
.54914 .55114 L
.54907 .55106 L
F
1 .27 0 r
.54914 .4829 m
.54976 .48362 L
.55106 .48491 L
.55156 .48555 L
.55299 .48719 L
.55321 .48747 L
.55475 .4894 L
.55492 .48959 L
.55624 .49133 L
.55684 .49204 L
.55775 .49326 L
.55877 .49452 L
.55927 .49518 L
.5607 .49696 L
.56077 .49711 L
.56219 .49904 L
.56263 .49958 L
.56364 .50096 L
.56455 .50214 L
.5651 .50289 L
.56648 .50464 L
.56656 .50482 L
.56795 .50674 L
.56841 .50733 L
.56936 .50867 L
.57033 .50995 L
.57079 .5106 L
.57221 .51253 L
.57226 .51258 L
.57356 .51445 L
.57419 .51528 L
.57494 .51638 L
.57611 .51796 L
.57635 .51831 L
.57768 .52023 L
.57804 .5207 L
.57899 .52216 L
.57997 .52349 L
.58035 .52409 L
.57997 .52597 L
.57851 .52409 L
.57804 .52355 L
.57699 .52216 L
.57611 .52111 L
.57546 .52023 L
.57419 .51863 L
.57394 .51831 L
.57248 .51638 L
.57226 .51611 L
.57104 .51445 L
.57033 .51356 L
.56958 .51253 L
.56841 .51101 L
.56811 .5106 L
.56668 .50867 L
.56648 .50842 L
.56529 .50674 L
.56455 .5058 L
.56386 .50482 L
.56263 .50319 L
.56242 .50289 L
.56104 .50096 L
.5607 .50053 L
.55967 .49904 L
.55877 .49785 L
.55826 .49711 L
.55685 .49518 L
.55684 .49518 L
.55555 .49326 L
.55492 .49241 L
.55421 .49133 L
.55299 .48965 L
.55283 .4894 L
.55159 .48747 L
.55106 .48675 L
.55037 .48555 L
.54914 .48372 L
.54909 .48362 L
F
0 .04 1 r
.54914 .49113 m
.54922 .49133 L
.54914 .49139 L
.5491 .49133 L
F
1 .9 0 r
.54914 .51486 m
.54966 .51638 L
.54914 .5164 L
.54912 .51638 L
F
1 .94 0 r
.54914 .58448 m
.5501 .58575 L
.55106 .58685 L
.55169 .58768 L
.55299 .5893 L
.55322 .5896 L
.55299 .59131 L
.5519 .5896 L
.55106 .58852 L
.55056 .58768 L
.54914 .58577 L
.54912 .58575 L
F
0 .93 1 r
.55106 .53557 m
.55124 .53565 L
.55299 .53666 L
.55397 .53758 L
.55492 .53908 L
.55578 .5395 L
.55684 .54078 L
.55713 .54143 L
.55877 .54324 L
.55887 .54336 L
.56059 .54528 L
.5607 .5458 L
.56176 .54721 L
.56263 .54845 L
.56292 .54914 L
.56455 .55101 L
.56464 .55106 L
.56626 .55299 L
.56648 .55353 L
.56738 .55492 L
.56841 .55626 L
.56854 .55684 L
.57014 .55877 L
.57033 .55906 L
.57173 .5607 L
.57226 .56205 L
.5726 .56263 L
.57332 .56455 L
.57226 .56544 L
.57033 .5648 L
.57002 .56455 L
.56841 .5631 L
.56785 .56263 L
.56648 .56084 L
.56638 .5607 L
.56488 .55877 L
.56455 .55841 L
.56341 .55684 L
.56263 .55582 L
.56181 .55492 L
.5607 .55321 L
.56055 .55299 L
.55911 .55106 L
.55877 .55086 L
.55708 .54914 L
.55684 .54811 L
.55618 .54721 L
.55492 .54532 L
.5549 .54528 L
.55355 .54336 L
.55299 .54257 L
.55167 .54143 L
.55106 .53976 L
.55084 .5395 L
.54976 .53758 L
.54936 .53565 L
F
1 .98 0 r
.55106 .56868 m
.55299 .56971 L
.55362 .57033 L
.55492 .57199 L
.55573 .57226 L
.55684 .57418 L
.55685 .57419 L
.55825 .57611 L
.55877 .5768 L
.55965 .57804 L
.5607 .57915 L
.56138 .57997 L
.56243 .58189 L
.56263 .58216 L
.56372 .58382 L
.56455 .58501 L
.56503 .58575 L
.56627 .58768 L
.56648 .588 L
.56734 .5896 L
.56824 .59153 L
.56648 .59212 L
.56596 .59153 L
.56455 .59011 L
.56412 .5896 L
.56263 .58789 L
.5624 .58768 L
.56085 .58575 L
.5607 .58559 L
.5593 .58382 L
.55877 .58316 L
.55758 .58189 L
.55684 .58064 L
.55632 .57997 L
.55492 .57807 L
.5549 .57804 L
.55347 .57611 L
.55299 .57566 L
.552 .57419 L
.55106 .57279 L
.55085 .57226 L
.54977 .57033 L
F
0 .92 1 r
.55106 .5358 m
.55299 .53685 L
.55379 .53758 L
.55492 .53921 L
.55568 .5395 L
.55684 .5409 L
.55707 .54143 L
.55877 .54334 L
.55879 .54336 L
.56057 .54528 L
.5607 .54588 L
.56171 .54721 L
.56263 .54852 L
.56289 .54914 L
.56455 .55105 L
.56458 .55106 L
.56623 .55299 L
.56648 .5536 L
.56733 .55492 L
.56841 .55635 L
.56852 .55684 L
.57007 .55877 L
.57033 .55918 L
.57165 .5607 L
.57226 .56226 L
.57248 .56263 L
.57304 .56455 L
.57226 .56518 L
.57033 .5646 L
.57027 .56455 L
.56841 .56296 L
.56799 .56263 L
.56648 .56074 L
.56645 .5607 L
.56494 .55877 L
.56455 .55834 L
.56346 .55684 L
.56263 .55577 L
.56185 .55492 L
.5607 .55316 L
.56058 .55299 L
.55915 .55106 L
.55877 .55083 L
.5571 .54914 L
.55684 .54806 L
.55623 .54721 L
.55494 .54528 L
.55492 .54525 L
.5536 .54336 L
.55299 .54249 L
.55174 .54143 L
.55106 .53965 L
.55093 .5395 L
.5499 .53758 L
F
0 .91 1 r
.55106 .53602 m
.55299 .53704 L
.55361 .53758 L
.55492 .53931 L
.55557 .5395 L
.55684 .54102 L
.55702 .54143 L
.55871 .54336 L
.55877 .54343 L
.56056 .54528 L
.5607 .54597 L
.56165 .54721 L
.56263 .54859 L
.56286 .54914 L
.56452 .55106 L
.56455 .55108 L
.56621 .55299 L
.56648 .55367 L
.56728 .55492 L
.56841 .55644 L
.5685 .55684 L
.56999 .55877 L
.57033 .5593 L
.57157 .5607 L
.57226 .56248 L
.57234 .56263 L
.5727 .56455 L
.57226 .56489 L
.57062 .56455 L
.57033 .56441 L
.56841 .56283 L
.56815 .56263 L
.56653 .5607 L
.56648 .56066 L
.565 .55877 L
.56455 .55828 L
.56351 .55684 L
.56263 .55571 L
.5619 .55492 L
.5607 .55312 L
.56061 .55299 L
.5592 .55106 L
.55877 .5508 L
.55714 .54914 L
.55684 .548 L
.55627 .54721 L
.55499 .54528 L
.55492 .54519 L
.55365 .54336 L
.55299 .54241 L
.55181 .54143 L
.55106 .53953 L
.55104 .5395 L
.55004 .53758 L
F
0 .9 1 r
.55106 .53625 m
.55299 .53722 L
.55341 .53758 L
.55492 .53939 L
.55546 .5395 L
.55684 .54114 L
.55698 .54143 L
.55864 .54336 L
.55877 .54352 L
.56054 .54528 L
.5607 .54605 L
.5616 .54721 L
.56263 .54865 L
.56283 .54914 L
.56447 .55106 L
.56455 .55112 L
.56618 .55299 L
.56648 .55374 L
.56723 .55492 L
.56841 .55654 L
.56848 .55684 L
.56992 .55877 L
.57033 .55942 L
.57149 .5607 L
.57219 .56263 L
.57226 .5628 L
.57227 .56455 L
.57226 .56456 L
.57118 .56455 L
.57033 .56423 L
.56841 .56269 L
.56832 .56263 L
.56662 .5607 L
.56648 .5606 L
.56506 .55877 L
.56455 .55821 L
.56356 .55684 L
.56263 .55565 L
.56195 .55492 L
.5607 .55307 L
.56065 .55299 L
.55924 .55106 L
.55877 .55076 L
.55717 .54914 L
.55684 .54794 L
.55631 .54721 L
.55504 .54528 L
.55492 .54512 L
.55371 .54336 L
.55299 .54233 L
.5519 .54143 L
.55113 .5395 L
.55106 .53939 L
.5502 .53758 L
F
1 .55 0 r
.55106 .54358 m
.55259 .54528 L
.55299 .54572 L
.55417 .54721 L
.55492 .54814 L
.55566 .54914 L
.55684 .55074 L
.55707 .55106 L
.55833 .55299 L
.55877 .55366 L
.55947 .55492 L
.55877 .55608 L
.55764 .55492 L
.55684 .5541 L
.55594 .55299 L
.55492 .55179 L
.55437 .55106 L
.55299 .54942 L
.55288 .54914 L
.55155 .54721 L
.55106 .54652 L
.55029 .54528 L
F
1 .54 0 r
.55106 .54367 m
.55252 .54528 L
.55299 .54579 L
.55411 .54721 L
.55492 .5482 L
.5556 .54914 L
.55684 .55081 L
.55702 .55106 L
.55827 .55299 L
.55877 .55378 L
.55939 .55492 L
.55877 .55596 L
.55774 .55492 L
.55684 .55402 L
.556 .55299 L
.55492 .55172 L
.55442 .55106 L
.55299 .5493 L
.55293 .54914 L
.55161 .54721 L
.55106 .54644 L
.55036 .54528 L
F
0 .89 1 r
.55106 .53649 m
.55299 .5374 L
.55321 .53758 L
.55492 .53944 L
.55533 .5395 L
.55684 .54125 L
.55693 .54143 L
.55857 .54336 L
.55877 .5436 L
.56051 .54528 L
.5607 .54613 L
.56155 .54721 L
.56263 .54872 L
.5628 .54914 L
.56442 .55106 L
.56455 .55116 L
.56615 .55299 L
.56648 .55381 L
.56718 .55492 L
.56841 .55663 L
.56845 .55684 L
.56984 .55877 L
.57033 .55955 L
.57139 .5607 L
.57204 .56263 L
.57033 .56406 L
.56848 .56263 L
.56841 .56256 L
.5667 .5607 L
.56648 .56055 L
.56513 .55877 L
.56455 .55815 L
.56361 .55684 L
.56263 .55559 L
.56199 .55492 L
.5607 .55302 L
.56068 .55299 L
.55928 .55106 L
.55877 .55073 L
.55721 .54914 L
.55684 .54788 L
.55636 .54721 L
.55508 .54528 L
.55492 .54505 L
.55376 .54336 L
.55299 .54224 L
.55199 .54143 L
.55123 .5395 L
.55106 .53921 L
.55036 .53758 L
F
0 .67 1 r
.55106 .47658 m
.55216 .47784 L
.55299 .47873 L
.55386 .47977 L
.55492 .481 L
.55549 .48169 L
.55684 .48329 L
.55737 .48362 L
.55861 .48555 L
.55877 .48573 L
.56014 .48747 L
.5607 .48764 L
.56167 .4894 L
.56263 .49053 L
.56359 .49133 L
.56455 .4931 L
.56468 .49326 L
.56614 .49518 L
.56648 .4953 L
.56762 .49711 L
.56841 .49805 L
.56942 .49904 L
.57033 .50067 L
.57055 .50096 L
.572 .50289 L
.57226 .503 L
.57345 .50482 L
.57419 .50571 L
.57516 .50674 L
.57611 .50836 L
.57633 .50867 L
.57777 .5106 L
.57804 .51074 L
.57921 .51253 L
.57997 .51346 L
.58083 .51445 L
.58189 .51615 L
.58204 .51638 L
.58348 .51831 L
.58382 .51852 L
.5849 .52023 L
.58575 .5213 L
.58646 .52216 L
.58768 .524 L
.58773 .52409 L
.58913 .52601 L
.5896 .52636 L
.59054 .52794 L
.59153 .52921 L
.59205 .52987 L
.59335 .53179 L
.59346 .53193 L
.59473 .53372 L
.59538 .53428 L
.59677 .53565 L
.59731 .53721 L
.59759 .53758 L
.59891 .5395 L
.59924 .53995 L
.60028 .54143 L
.60116 .54235 L
.60209 .54336 L
.60305 .54528 L
.60309 .54534 L
.60438 .54721 L
.60502 .54808 L
.60574 .54914 L
.60694 .55069 L
.60726 .55106 L
.60842 .55299 L
.60887 .55362 L
.60973 .55492 L
.6108 .55644 L
.61106 .55684 L
.61232 .55877 L
.61273 .55936 L
.61353 .5607 L
.61465 .56241 L
.61477 .56263 L
.61465 .56437 L
.61304 .56263 L
.61273 .56232 L
.61136 .5607 L
.6108 .56009 L
.60973 .55877 L
.60887 .55778 L
.60813 .55684 L
.60694 .55555 L
.60656 .55492 L
.60502 .55299 L
.60502 .55299 L
.60353 .55106 L
.60309 .55053 L
.60202 .54914 L
.60116 .54822 L
.60052 .54721 L
.59924 .54557 L
.59898 .54528 L
.59757 .54336 L
.59731 .54303 L
.59611 .54143 L
.59538 .54064 L
.59405 .5395 L
.59346 .53796 L
.59314 .53758 L
.59175 .53565 L
.59153 .53537 L
.59031 .53372 L
.5896 .53294 L
.58841 .53179 L
.58768 .53023 L
.58739 .52987 L
.586 .52794 L
.58575 .52761 L
.58458 .52601 L
.58382 .52516 L
.58279 .52409 L
.58189 .52242 L
.5817 .52216 L
.58031 .52023 L
.57997 .51978 L
.5789 .51831 L
.57804 .5173 L
.57721 .51638 L
.57611 .51454 L
.57605 .51445 L
.57467 .51253 L
.57419 .51236 L
.57327 .5106 L
.57226 .50936 L
.57166 .50867 L
.57045 .50674 L
.57033 .50659 L
.56908 .50482 L
.56841 .50442 L
.56768 .50289 L
.56648 .50133 L
.56618 .50096 L
.5649 .49904 L
.56455 .49857 L
.56354 .49711 L
.56263 .49629 L
.56215 .49518 L
.56076 .49326 L
.5607 .49317 L
.55944 .49133 L
.55877 .49042 L
.55808 .4894 L
.55684 .48783 L
.55652 .48747 L
.55541 .48555 L
.55492 .48487 L
.55411 .48362 L
.55299 .48203 L
.55278 .48169 L
.55155 .47977 L
.55106 .47906 L
.55037 .47784 L
F
1 .53 0 r
.55106 .54377 m
.55245 .54528 L
.55299 .54587 L
.55405 .54721 L
.55492 .54828 L
.55555 .54914 L
.55684 .55089 L
.55697 .55106 L
.5582 .55299 L
.55877 .5539 L
.5593 .55492 L
.55877 .55584 L
.55783 .55492 L
.55684 .55394 L
.55606 .55299 L
.55492 .55166 L
.55447 .55106 L
.55299 .54918 L
.55298 .54914 L
.55167 .54721 L
.55106 .54635 L
.55042 .54528 L
F
1 .26 0 r
.55106 .48501 m
.55149 .48555 L
.55299 .48727 L
.55315 .48747 L
.55469 .4894 L
.55492 .48965 L
.55619 .49133 L
.55684 .4921 L
.55771 .49326 L
.55877 .49457 L
.55923 .49518 L
.5607 .49703 L
.56073 .49711 L
.56215 .49904 L
.56263 .49962 L
.5636 .50096 L
.56455 .50218 L
.56507 .50289 L
.56648 .50471 L
.56653 .50482 L
.56791 .50674 L
.56841 .50737 L
.56932 .50867 L
.57033 .51 L
.57076 .5106 L
.57218 .51253 L
.57226 .51263 L
.57352 .51445 L
.57419 .51533 L
.57491 .51638 L
.57611 .51801 L
.57632 .51831 L
.57764 .52023 L
.57804 .52077 L
.57895 .52216 L
.57997 .52356 L
.58031 .52409 L
.57997 .52589 L
.57857 .52409 L
.57804 .52349 L
.57704 .52216 L
.57611 .52105 L
.5755 .52023 L
.57419 .51859 L
.57398 .51831 L
.57252 .51638 L
.57226 .51606 L
.57108 .51445 L
.57033 .51352 L
.56961 .51253 L
.56841 .51096 L
.56814 .5106 L
.56672 .50867 L
.56648 .50837 L
.56532 .50674 L
.56455 .50576 L
.56389 .50482 L
.56263 .50314 L
.56244 .50289 L
.56107 .50096 L
.5607 .50048 L
.5597 .49904 L
.55877 .4978 L
.5583 .49711 L
.55689 .49518 L
.55684 .49513 L
.5556 .49326 L
.55492 .49235 L
.55425 .49133 L
.55299 .48959 L
.55287 .4894 L
.55166 .48747 L
.55106 .48665 L
.55045 .48555 L
F
0 .66 1 r
.55106 .47675 m
.55204 .47784 L
.55299 .47885 L
.55376 .47977 L
.55492 .48109 L
.55541 .48169 L
.55684 .48338 L
.55722 .48362 L
.55855 .48555 L
.55877 .48581 L
.56009 .48747 L
.5607 .48768 L
.56162 .4894 L
.56263 .49059 L
.56352 .49133 L
.56455 .49316 L
.56463 .49326 L
.5661 .49518 L
.56648 .49532 L
.56759 .49711 L
.56841 .49809 L
.56939 .49904 L
.57033 .50072 L
.57052 .50096 L
.57197 .50289 L
.57226 .50302 L
.57342 .50482 L
.57419 .50575 L
.57512 .50674 L
.57611 .5084 L
.5763 .50867 L
.57774 .5106 L
.57804 .51076 L
.57918 .51253 L
.57997 .5135 L
.5808 .51445 L
.58189 .51618 L
.58202 .51638 L
.58345 .51831 L
.58382 .51854 L
.58487 .52023 L
.58575 .52133 L
.58644 .52216 L
.58768 .52404 L
.5877 .52409 L
.5891 .52601 L
.5896 .52638 L
.59052 .52794 L
.59153 .52925 L
.59202 .52987 L
.59332 .53179 L
.59346 .53197 L
.59471 .53372 L
.59538 .53432 L
.59673 .53565 L
.59731 .53725 L
.59755 .53758 L
.59888 .5395 L
.59924 .53999 L
.60025 .54143 L
.60116 .54241 L
.60204 .54336 L
.60301 .54528 L
.60309 .54539 L
.60434 .54721 L
.60502 .54814 L
.6057 .54914 L
.60694 .55078 L
.60718 .55106 L
.60837 .55299 L
.60887 .55369 L
.60968 .55492 L
.6108 .55652 L
.61101 .55684 L
.61224 .55877 L
.61273 .55948 L
.61344 .5607 L
.61465 .56259 L
.61467 .56263 L
.61465 .56412 L
.6132 .56263 L
.61273 .56218 L
.61146 .5607 L
.6108 .55999 L
.60981 .55877 L
.60887 .55769 L
.60819 .55684 L
.60694 .55546 L
.60661 .55492 L
.60508 .55299 L
.60502 .55292 L
.60357 .55106 L
.60309 .55047 L
.60207 .54914 L
.60116 .54816 L
.60056 .54721 L
.59924 .54552 L
.59902 .54528 L
.59761 .54336 L
.59731 .54298 L
.59614 .54143 L
.59538 .5406 L
.59409 .5395 L
.59346 .53792 L
.59317 .53758 L
.59178 .53565 L
.59153 .53533 L
.59034 .53372 L
.5896 .53291 L
.58844 .53179 L
.58768 .53019 L
.58742 .52987 L
.58603 .52794 L
.58575 .52758 L
.58461 .52601 L
.58382 .52512 L
.58282 .52409 L
.58189 .52239 L
.58172 .52216 L
.58034 .52023 L
.57997 .51975 L
.57893 .51831 L
.57804 .51727 L
.57723 .51638 L
.57611 .5145 L
.57608 .51445 L
.5747 .51253 L
.57419 .51234 L
.57329 .5106 L
.57226 .50933 L
.57169 .50867 L
.57048 .50674 L
.57033 .50656 L
.5691 .50482 L
.56841 .50439 L
.56771 .50289 L
.56648 .50129 L
.56621 .50096 L
.56493 .49904 L
.56455 .49852 L
.56357 .49711 L
.56263 .49624 L
.56218 .49518 L
.5608 .49326 L
.5607 .49312 L
.55948 .49133 L
.55877 .49037 L
.55812 .4894 L
.55684 .48774 L
.55661 .48747 L
.55546 .48555 L
.55492 .48479 L
.55417 .48362 L
.55299 .48194 L
.55283 .48169 L
.55163 .47977 L
.55106 .47892 L
.55047 .47784 L
F
1 .91 0 r
.55106 .46835 m
.55274 .47013 L
.55299 .47039 L
.55446 .47206 L
.55492 .47257 L
.55613 .47399 L
.55684 .47469 L
.55775 .47591 L
.55877 .47718 L
.55949 .47784 L
.5607 .47958 L
.56084 .47977 L
.56242 .48169 L
.56263 .48191 L
.56396 .48362 L
.56455 .48442 L
.56554 .48555 L
.56648 .48695 L
.5668 .48747 L
.56841 .48938 L
.56844 .4894 L
.56993 .49133 L
.57033 .49189 L
.57141 .49326 L
.57226 .4945 L
.57262 .49518 L
.57419 .49703 L
.57432 .49711 L
.57606 .49904 L
.57611 .49951 L
.5772 .50096 L
.57804 .50216 L
.57837 .50289 L
.57997 .50474 L
.58011 .50482 L
.58174 .50674 L
.58189 .50724 L
.58292 .50867 L
.58382 .50991 L
.58407 .5106 L
.58575 .51248 L
.58584 .51253 L
.58743 .51445 L
.58768 .51503 L
.58861 .51638 L
.5896 .51771 L
.58974 .51831 L
.59153 .52023 L
.59154 .52023 L
.5931 .52216 L
.59346 .52286 L
.59427 .52409 L
.59538 .52554 L
.5954 .52601 L
.59721 .52794 L
.59731 .52806 L
.59875 .52987 L
.59924 .53072 L
.59991 .53179 L
.60116 .53339 L
.60147 .53372 L
.60286 .53565 L
.60309 .53592 L
.60438 .53758 L
.60502 .5386 L
.60555 .5395 L
.60694 .54125 L
.6071 .54143 L
.6085 .54336 L
.60887 .5438 L
.61 .54528 L
.6108 .5465 L
.61118 .54721 L
.61273 .54914 L
.61273 .54914 L
.61459 .55106 L
.61465 .55171 L
.6156 .55299 L
.61658 .55443 L
.61681 .55492 L
.61833 .55684 L
.61851 .55696 L
.62018 .55877 L
.62043 .55965 L
.62118 .5607 L
.62236 .56239 L
.62245 .56263 L
.62391 .56455 L
.62429 .56483 L
.62572 .56648 L
.62621 .56765 L
.62673 .56841 L
.62809 .57033 L
.62814 .57041 L
.62945 .57226 L
.63007 .57281 L
.63119 .57419 L
.63199 .57574 L
.63224 .57611 L
.63358 .57804 L
.63392 .57851 L
.63493 .57997 L
.63585 .58098 L
.63654 .58189 L
.63766 .58382 L
.63778 .58398 L
.63897 .58575 L
.6397 .58678 L
.6403 .58768 L
.64163 .58957 L
.64165 .5896 L
.64288 .59153 L
.64356 .59251 L
.64415 .59346 L
.6454 .59538 L
.64548 .59551 L
.64645 .59731 L
.64741 .59907 L
.64747 .59924 L
.64741 .59984 L
.64654 .59924 L
.64548 .59837 L
.64449 .59731 L
.64356 .59635 L
.64272 .59538 L
.64163 .59435 L
.64103 .59346 L
.6397 .5919 L
.63923 .59153 L
.63783 .5896 L
.63778 .58954 L
.63628 .58768 L
.63585 .58727 L
.63474 .58575 L
.63392 .58473 L
.63301 .58382 L
.63199 .58222 L
.63175 .58189 L
.63023 .57997 L
.63007 .57981 L
.62874 .57804 L
.62814 .57726 L
.62712 .57611 L
.62621 .57468 L
.62589 .57419 L
.62434 .57226 L
.62429 .5722 L
.62289 .57033 L
.62236 .56963 L
.62135 .56841 L
.62043 .56701 L
.62012 .56648 L
.61856 .56455 L
.61851 .5645 L
.61664 .56263 L
.61658 .5619 L
.61563 .5607 L
.61465 .55925 L
.6144 .55877 L
.61283 .55684 L
.61273 .55673 L
.61101 .55492 L
.6108 .55411 L
.60994 .55299 L
.60887 .55145 L
.6087 .55106 L
.60714 .54914 L
.60694 .54893 L
.60537 .54721 L
.60502 .54628 L
.60428 .54528 L
.60309 .54362 L
.60301 .54336 L
.60147 .54143 L
.60116 .5411 L
.59975 .5395 L
.59924 .53842 L
.59864 .53758 L
.59731 .53577 L
.59729 .53565 L
.59581 .53372 L
.59538 .53325 L
.59413 .53179 L
.59346 .53054 L
.593 .52987 L
.59157 .52794 L
.59153 .52793 L
.59018 .52601 L
.5896 .52537 L
.58853 .52409 L
.58768 .52264 L
.58737 .52216 L
.58594 .52023 L
.58575 .52017 L
.58455 .51831 L
.58382 .51746 L
.58295 .51638 L
.58189 .51471 L
.58174 .51445 L
.58033 .51253 L
.57997 .51235 L
.57894 .5106 L
.57804 .50952 L
.57738 .50867 L
.57611 .50676 L
.57611 .50674 L
.57474 .50482 L
.57419 .50445 L
.57273 .50289 L
.57226 .50153 L
.57184 .50096 L
.57054 .49904 L
.57033 .49877 L
.56917 .49711 L
.56841 .49646 L
.5673 .49518 L
.56648 .49346 L
.56633 .49326 L
.56501 .49133 L
.56455 .49072 L
.56364 .4894 L
.56263 .4883 L
.56196 .48747 L
.56087 .48555 L
.5607 .48532 L
.55954 .48362 L
.55877 .48257 L
.55818 .48169 L
.55684 .47987 L
.55677 .47977 L
.55552 .47784 L
.55492 .47701 L
.55422 .47591 L
.55299 .47417 L
.55288 .47399 L
.55167 .47206 L
.55106 .47117 L
.55048 .47013 L
F
1 .52 0 r
.55106 .54388 m
.55237 .54528 L
.55299 .54595 L
.55399 .54721 L
.55492 .54835 L
.5555 .54914 L
.55684 .55097 L
.55691 .55106 L
.55812 .55299 L
.55877 .55404 L
.5592 .55492 L
.55877 .55569 L
.55794 .55492 L
.55684 .55386 L
.55613 .55299 L
.55492 .55159 L
.55452 .55106 L
.55303 .54914 L
.55299 .54908 L
.55173 .54721 L
.55106 .54626 L
.55049 .54528 L
F
1 .25 0 r
.55106 .48512 m
.5514 .48555 L
.55299 .48734 L
.55309 .48747 L
.55463 .4894 L
.55492 .48972 L
.55614 .49133 L
.55684 .49216 L
.55767 .49326 L
.55877 .49462 L
.55919 .49518 L
.5607 .49711 L
.5607 .49711 L
.56211 .49904 L
.56263 .49967 L
.56357 .50096 L
.56455 .50222 L
.56504 .50289 L
.56648 .50477 L
.5665 .50482 L
.56788 .50674 L
.56841 .50742 L
.56929 .50867 L
.57033 .51004 L
.57073 .5106 L
.57214 .51253 L
.57226 .51268 L
.57348 .51445 L
.57419 .51538 L
.57487 .51638 L
.57611 .51806 L
.57628 .51831 L
.57759 .52023 L
.57804 .52083 L
.5789 .52216 L
.57997 .52363 L
.58026 .52409 L
.57997 .52581 L
.57863 .52409 L
.57804 .52342 L
.57709 .52216 L
.57611 .521 L
.57554 .52023 L
.57419 .51854 L
.57402 .51831 L
.57256 .51638 L
.57226 .51602 L
.57112 .51445 L
.57033 .51347 L
.56965 .51253 L
.56841 .51092 L
.56817 .5106 L
.56675 .50867 L
.56648 .50833 L
.56535 .50674 L
.56455 .50571 L
.56392 .50482 L
.56263 .5031 L
.56248 .50289 L
.56111 .50096 L
.5607 .50043 L
.55974 .49904 L
.55877 .49776 L
.55833 .49711 L
.55693 .49518 L
.55684 .49507 L
.55564 .49326 L
.55492 .49229 L
.5543 .49133 L
.55299 .48952 L
.55291 .4894 L
.55174 .48747 L
.55106 .48654 L
.55055 .48555 L
F
0 .88 1 r
.55106 .53675 m
.55298 .53758 L
.55299 .53758 L
.55492 .53947 L
.5552 .5395 L
.55684 .54136 L
.55688 .54143 L
.55849 .54336 L
.55877 .54369 L
.56049 .54528 L
.5607 .5462 L
.5615 .54721 L
.56263 .54878 L
.56277 .54914 L
.56436 .55106 L
.56455 .5512 L
.56612 .55299 L
.56648 .55389 L
.56713 .55492 L
.56841 .55673 L
.56843 .55684 L
.56976 .55877 L
.57033 .55969 L
.57128 .5607 L
.57188 .56263 L
.57033 .56388 L
.56863 .56263 L
.56841 .56243 L
.56679 .5607 L
.56648 .56049 L
.56519 .55877 L
.56455 .55808 L
.56367 .55684 L
.56263 .55553 L
.56205 .55492 L
.56072 .55299 L
.5607 .55296 L
.55932 .55106 L
.55877 .55069 L
.55725 .54914 L
.55684 .54781 L
.55641 .54721 L
.55513 .54528 L
.55492 .54498 L
.55381 .54336 L
.55299 .54216 L
.55208 .54143 L
.55133 .5395 L
.55106 .539 L
.55055 .53758 L
F
1 .51 0 r
.55106 .54399 m
.55228 .54528 L
.55299 .54603 L
.55393 .54721 L
.55492 .54842 L
.55544 .54914 L
.55684 .55105 L
.55686 .55106 L
.55804 .55299 L
.55877 .5542 L
.55909 .55492 L
.55877 .55553 L
.55807 .55492 L
.55684 .55377 L
.55619 .55299 L
.55492 .55152 L
.55458 .55106 L
.55309 .54914 L
.55299 .549 L
.55179 .54721 L
.55106 .54616 L
.55056 .54528 L
F
0 .65 1 r
.55106 .47693 m
.5519 .47784 L
.55299 .47897 L
.55367 .47977 L
.55492 .48119 L
.55533 .48169 L
.55684 .48348 L
.55707 .48362 L
.55849 .48555 L
.55877 .48588 L
.56003 .48747 L
.5607 .48772 L
.56157 .4894 L
.56263 .49065 L
.56346 .49133 L
.56455 .49321 L
.56459 .49326 L
.56606 .49518 L
.56648 .49534 L
.56755 .49711 L
.56841 .49814 L
.56934 .49904 L
.57033 .50076 L
.57049 .50096 L
.57194 .50289 L
.57226 .50304 L
.57339 .50482 L
.57419 .50578 L
.57509 .50674 L
.57611 .50844 L
.57628 .50867 L
.57771 .5106 L
.57804 .51078 L
.57915 .51253 L
.57997 .51354 L
.58077 .51445 L
.58189 .51622 L
.582 .51638 L
.58342 .51831 L
.58382 .51856 L
.58485 .52023 L
.58575 .52137 L
.58641 .52216 L
.58768 .52407 L
.58768 .52409 L
.58908 .52601 L
.5896 .52641 L
.59049 .52794 L
.59153 .52928 L
.59199 .52987 L
.5933 .53179 L
.59346 .53201 L
.59468 .53372 L
.59538 .53435 L
.5967 .53565 L
.59731 .5373 L
.59752 .53758 L
.59884 .5395 L
.59924 .54003 L
.60022 .54143 L
.60116 .54246 L
.60199 .54336 L
.60298 .54528 L
.60309 .54544 L
.60431 .54721 L
.60502 .54819 L
.60566 .54914 L
.60694 .55087 L
.60711 .55106 L
.60832 .55299 L
.60887 .55376 L
.60962 .55492 L
.6108 .55661 L
.61095 .55684 L
.61216 .55877 L
.61273 .55961 L
.61335 .5607 L
.61273 .56203 L
.61157 .5607 L
.6108 .55988 L
.60989 .55877 L
.60887 .55761 L
.60826 .55684 L
.60694 .55537 L
.60667 .55492 L
.60513 .55299 L
.60502 .55285 L
.60362 .55106 L
.60309 .55041 L
.60211 .54914 L
.60116 .5481 L
.6006 .54721 L
.59924 .54546 L
.59907 .54528 L
.59765 .54336 L
.59731 .54293 L
.59618 .54143 L
.59538 .54056 L
.59413 .5395 L
.59346 .53787 L
.5932 .53758 L
.59181 .53565 L
.59153 .53529 L
.59037 .53372 L
.5896 .53287 L
.58847 .53179 L
.58768 .53016 L
.58744 .52987 L
.58605 .52794 L
.58575 .52754 L
.58463 .52601 L
.58382 .52509 L
.58285 .52409 L
.58189 .52235 L
.58175 .52216 L
.58036 .52023 L
.57997 .51971 L
.57895 .51831 L
.57804 .51723 L
.57726 .51638 L
.57611 .51447 L
.5761 .51445 L
.57472 .51253 L
.57419 .51232 L
.57332 .5106 L
.57226 .50929 L
.57173 .50867 L
.5705 .50674 L
.57033 .50652 L
.56913 .50482 L
.56841 .50435 L
.56773 .50289 L
.56648 .50124 L
.56625 .50096 L
.56497 .49904 L
.56455 .49848 L
.5636 .49711 L
.56263 .49618 L
.56221 .49518 L
.56083 .49326 L
.5607 .49307 L
.55951 .49133 L
.55877 .49031 L
.55816 .4894 L
.55684 .48763 L
.5567 .48747 L
.55551 .48555 L
.55492 .48472 L
.55422 .48362 L
.55299 .48185 L
.55289 .48169 L
.55173 .47977 L
.55106 .47876 L
.55059 .47784 L
F
1 .5 0 r
.55106 .54411 m
.55219 .54528 L
.55299 .54612 L
.55386 .54721 L
.55492 .5485 L
.55539 .54914 L
.55679 .55106 L
.55684 .55114 L
.55796 .55299 L
.55877 .55441 L
.55897 .55492 L
.55877 .55533 L
.55823 .55492 L
.55684 .55368 L
.55627 .55299 L
.55492 .55144 L
.55463 .55106 L
.55316 .54914 L
.55299 .54892 L
.55186 .54721 L
.55106 .54605 L
.55063 .54528 L
F
1 .24 0 r
.55106 .48524 m
.55131 .48555 L
.55299 .48742 L
.55303 .48747 L
.55456 .4894 L
.55492 .48979 L
.55609 .49133 L
.55684 .49221 L
.55762 .49326 L
.55877 .49467 L
.55915 .49518 L
.56065 .49711 L
.5607 .49716 L
.56208 .49904 L
.56263 .49972 L
.56353 .50096 L
.56455 .50227 L
.565 .50289 L
.56646 .50482 L
.56648 .50484 L
.56784 .50674 L
.56841 .50746 L
.56926 .50867 L
.57033 .51008 L
.5707 .5106 L
.5721 .51253 L
.57226 .51273 L
.57345 .51445 L
.57419 .51543 L
.57483 .51638 L
.57611 .51811 L
.57624 .51831 L
.57754 .52023 L
.57804 .52089 L
.57885 .52216 L
.57997 .5237 L
.58021 .52409 L
.57997 .52572 L
.5787 .52409 L
.57804 .52336 L
.57714 .52216 L
.57611 .52094 L
.57559 .52023 L
.57419 .51849 L
.57405 .51831 L
.5726 .51638 L
.57226 .51596 L
.57116 .51445 L
.57033 .51342 L
.56968 .51253 L
.56841 .51088 L
.5682 .5106 L
.56679 .50867 L
.56648 .50828 L
.56539 .50674 L
.56455 .50567 L
.56395 .50482 L
.56263 .50306 L
.56251 .50289 L
.56115 .50096 L
.5607 .50039 L
.55977 .49904 L
.55877 .49771 L
.55836 .49711 L
.55698 .49518 L
.55684 .49501 L
.55569 .49326 L
.55492 .49223 L
.55434 .49133 L
.55299 .48945 L
.55296 .4894 L
.55182 .48747 L
.55106 .4864 L
.55066 .48555 L
F
1 .49 0 r
.55106 .54425 m
.55209 .54528 L
.55299 .54621 L
.5538 .54721 L
.55492 .54858 L
.55533 .54914 L
.55671 .55106 L
.55684 .55125 L
.55787 .55299 L
.55877 .55475 L
.55881 .55492 L
.55877 .55502 L
.5585 .55492 L
.55684 .55359 L
.55634 .55299 L
.55492 .55137 L
.55469 .55106 L
.55323 .54914 L
.55299 .54883 L
.55193 .54721 L
.55106 .54593 L
.55071 .54528 L
F
0 .64 1 r
.55106 .47715 m
.55173 .47784 L
.55299 .4791 L
.55357 .47977 L
.55492 .48129 L
.55525 .48169 L
.55684 .48358 L
.5569 .48362 L
.55842 .48555 L
.55877 .48595 L
.55998 .48747 L
.5607 .48777 L
.56152 .4894 L
.56263 .49072 L
.56339 .49133 L
.56454 .49326 L
.56455 .49327 L
.56602 .49518 L
.56648 .49536 L
.56751 .49711 L
.56841 .49819 L
.5693 .49904 L
.57033 .5008 L
.57046 .50096 L
.5719 .50289 L
.57226 .50306 L
.57336 .50482 L
.57419 .50582 L
.57506 .50674 L
.57611 .50848 L
.57625 .50867 L
.57769 .5106 L
.57804 .5108 L
.57912 .51253 L
.57997 .51357 L
.58075 .51445 L
.58189 .51625 L
.58198 .51638 L
.5834 .51831 L
.58382 .51858 L
.58482 .52023 L
.58575 .52141 L
.58638 .52216 L
.58766 .52409 L
.58768 .52411 L
.58905 .52601 L
.5896 .52644 L
.59046 .52794 L
.59153 .52932 L
.59196 .52987 L
.59327 .53179 L
.59346 .53205 L
.59465 .53372 L
.59538 .53439 L
.59666 .53565 L
.59731 .53734 L
.59749 .53758 L
.59881 .5395 L
.59924 .54008 L
.60018 .54143 L
.60116 .54252 L
.60194 .54336 L
.60294 .54528 L
.60309 .54549 L
.60427 .54721 L
.60502 .54825 L
.60562 .54914 L
.60694 .55096 L
.60703 .55106 L
.60827 .55299 L
.60887 .55384 L
.60957 .55492 L
.6108 .5567 L
.61089 .55684 L
.61207 .55877 L
.61273 .55976 L
.61324 .5607 L
.61273 .56186 L
.6117 .5607 L
.6108 .55977 L
.60998 .55877 L
.60887 .55752 L
.60833 .55684 L
.60694 .55527 L
.60673 .55492 L
.60519 .55299 L
.60502 .55279 L
.60368 .55106 L
.60309 .55035 L
.60215 .54914 L
.60116 .54805 L
.60064 .54721 L
.59924 .54541 L
.59912 .54528 L
.59768 .54336 L
.59731 .54289 L
.59621 .54143 L
.59538 .54052 L
.59417 .5395 L
.59346 .53783 L
.59324 .53758 L
.59184 .53565 L
.59153 .53525 L
.59039 .53372 L
.5896 .53284 L
.5885 .53179 L
.58768 .53012 L
.58747 .52987 L
.58608 .52794 L
.58575 .52751 L
.58466 .52601 L
.58382 .52506 L
.58288 .52409 L
.58189 .52232 L
.58178 .52216 L
.58039 .52023 L
.57997 .51968 L
.57897 .51831 L
.57804 .5172 L
.57729 .51638 L
.57613 .51445 L
.57611 .51444 L
.57475 .51253 L
.57419 .5123 L
.57334 .5106 L
.57226 .50925 L
.57176 .50867 L
.57053 .50674 L
.57033 .50648 L
.56916 .50482 L
.56841 .50432 L
.56776 .50289 L
.56648 .5012 L
.56629 .50096 L
.565 .49904 L
.56455 .49844 L
.56363 .49711 L
.56263 .49612 L
.56224 .49518 L
.56087 .49326 L
.5607 .49302 L
.55955 .49133 L
.55877 .49026 L
.5582 .4894 L
.55684 .48753 L
.5568 .48747 L
.55557 .48555 L
.55492 .48464 L
.55428 .48362 L
.55299 .48176 L
.55295 .48169 L
.55184 .47977 L
.55106 .47856 L
.55073 .47784 L
F
0 .87 1 r
.55106 .53705 m
.5527 .53758 L
.55299 .53774 L
.55492 .53949 L
.55506 .5395 L
.55681 .54143 L
.55684 .54145 L
.55842 .54336 L
.55877 .54377 L
.56046 .54528 L
.5607 .54628 L
.56145 .54721 L
.56263 .54885 L
.56275 .54914 L
.56431 .55106 L
.56455 .55124 L
.56608 .55299 L
.56648 .55396 L
.56707 .55492 L
.56841 .55683 L
.56841 .55684 L
.56969 .55877 L
.57033 .55983 L
.57116 .5607 L
.57171 .56263 L
.57033 .56369 L
.56879 .56263 L
.56841 .56231 L
.56688 .5607 L
.56648 .56043 L
.56526 .55877 L
.56455 .55801 L
.56372 .55684 L
.56263 .55547 L
.5621 .55492 L
.56077 .55299 L
.5607 .5529 L
.55936 .55106 L
.55877 .55065 L
.55729 .54914 L
.55684 .54775 L
.55646 .54721 L
.55518 .54528 L
.55492 .54491 L
.55387 .54336 L
.55299 .54207 L
.55219 .54143 L
.55144 .5395 L
.55106 .53874 L
.55075 .53758 L
F
1 .9 0 r
.55106 .4689 m
.55234 .47013 L
.55299 .47076 L
.55418 .47206 L
.55492 .47286 L
.5559 .47399 L
.55684 .47493 L
.55756 .47591 L
.55877 .47739 L
.55929 .47784 L
.5607 .47974 L
.56072 .47977 L
.56229 .48169 L
.56263 .48205 L
.56384 .48362 L
.56455 .48456 L
.56544 .48555 L
.56648 .48707 L
.56673 .48747 L
.56835 .4894 L
.56841 .48947 L
.56985 .49133 L
.57033 .492 L
.57134 .49326 L
.57226 .49459 L
.57257 .49518 L
.57419 .49707 L
.57425 .49711 L
.57606 .49904 L
.57611 .4996 L
.57714 .50096 L
.57804 .50224 L
.57833 .50289 L
.57997 .50477 L
.58006 .50482 L
.58172 .50674 L
.58189 .5073 L
.58288 .50867 L
.58382 .50997 L
.58404 .5106 L
.58575 .5125 L
.5858 .51253 L
.58741 .51445 L
.58768 .51508 L
.58857 .51638 L
.5896 .51776 L
.58972 .51831 L
.5915 .52023 L
.59153 .52027 L
.59307 .52216 L
.59346 .5229 L
.59424 .52409 L
.59538 .52558 L
.5954 .52601 L
.59718 .52794 L
.59731 .5281 L
.59872 .52987 L
.59924 .53076 L
.59988 .53179 L
.60116 .53342 L
.60143 .53372 L
.60283 .53565 L
.60309 .53596 L
.60436 .53758 L
.60502 .53864 L
.60552 .5395 L
.60694 .54129 L
.60707 .54143 L
.60847 .54336 L
.60887 .54384 L
.60997 .54528 L
.6108 .54654 L
.61115 .54721 L
.61269 .54914 L
.61273 .54916 L
.61459 .55106 L
.61465 .55175 L
.61557 .55299 L
.61658 .55447 L
.61679 .55492 L
.61829 .55684 L
.61851 .55698 L
.62016 .55877 L
.62043 .5597 L
.62115 .5607 L
.62236 .56244 L
.62243 .56263 L
.62387 .56455 L
.62429 .56487 L
.62568 .56648 L
.62621 .56771 L
.62669 .56841 L
.62803 .57033 L
.62814 .57048 L
.6294 .57226 L
.63007 .57288 L
.63112 .57419 L
.63199 .57584 L
.63218 .57611 L
.63351 .57804 L
.63392 .57861 L
.63486 .57997 L
.63585 .58112 L
.63643 .58189 L
.63756 .58382 L
.63778 .58412 L
.63886 .58575 L
.6397 .58694 L
.64019 .58768 L
.64149 .5896 L
.64163 .5898 L
.64271 .59153 L
.64356 .59279 L
.64395 .59346 L
.64509 .59538 L
.64548 .59604 L
.64599 .59731 L
.64548 .59777 L
.64499 .59731 L
.64356 .59597 L
.64302 .59538 L
.64163 .59401 L
.64127 .59346 L
.6397 .59165 L
.63954 .59153 L
.63801 .5896 L
.63778 .58934 L
.63643 .58768 L
.63585 .58712 L
.63487 .58575 L
.63392 .58458 L
.63313 .58382 L
.63199 .5821 L
.63184 .58189 L
.63032 .57997 L
.63007 .57972 L
.62883 .57804 L
.62814 .57716 L
.62719 .57611 L
.62621 .57459 L
.62594 .57419 L
.62441 .57226 L
.62429 .57213 L
.62295 .57033 L
.62236 .56956 L
.6214 .56841 L
.62043 .56694 L
.62016 .56648 L
.61861 .56455 L
.61851 .56445 L
.61665 .56263 L
.61658 .56185 L
.61567 .5607 L
.61465 .5592 L
.61443 .55877 L
.61287 .55684 L
.61273 .55669 L
.61102 .55492 L
.6108 .55407 L
.60997 .55299 L
.60887 .55141 L
.60872 .55106 L
.60717 .54914 L
.60694 .5489 L
.60539 .54721 L
.60502 .54624 L
.60431 .54528 L
.60309 .54359 L
.60302 .54336 L
.60149 .54143 L
.60116 .54107 L
.59977 .5395 L
.59924 .53839 L
.59866 .53758 L
.59731 .53574 L
.5973 .53565 L
.59584 .53372 L
.59538 .53322 L
.59416 .53179 L
.59346 .53051 L
.59302 .52987 L
.59159 .52794 L
.59153 .52793 L
.5902 .52601 L
.5896 .52534 L
.58856 .52409 L
.58768 .5226 L
.58739 .52216 L
.58597 .52023 L
.58575 .52015 L
.58458 .51831 L
.58382 .51743 L
.58298 .51638 L
.58189 .51467 L
.58176 .51445 L
.58036 .51253 L
.57997 .51233 L
.57897 .5106 L
.57804 .50948 L
.57741 .50867 L
.57614 .50674 L
.57611 .50671 L
.57477 .50482 L
.57419 .50442 L
.57277 .50289 L
.57226 .50147 L
.57188 .50096 L
.57058 .49904 L
.57033 .49871 L
.56921 .49711 L
.56841 .49639 L
.56736 .49518 L
.56648 .49339 L
.56638 .49326 L
.56506 .49133 L
.56455 .49064 L
.5637 .4894 L
.56263 .48819 L
.56205 .48747 L
.56094 .48555 L
.5607 .48522 L
.55962 .48362 L
.55877 .48245 L
.55827 .48169 L
.5569 .47977 L
.55684 .47969 L
.55564 .47784 L
.55492 .47682 L
.55434 .47591 L
.55303 .47399 L
.55299 .47394 L
.5519 .47206 L
.55106 .47075 L
.55076 .47013 L
F
1 .48 0 r
.55106 .5444 m
.55197 .54528 L
.55299 .5463 L
.55372 .54721 L
.55492 .54866 L
.55526 .54914 L
.55663 .55106 L
.55684 .55136 L
.55777 .55299 L
.55684 .55348 L
.55642 .55299 L
.55492 .55129 L
.55475 .55106 L
.5533 .54914 L
.55299 .54874 L
.552 .54721 L
.55106 .54579 L
.5508 .54528 L
F
1 .23 0 r
.55106 .48539 m
.55119 .48555 L
.55106 .48623 L
.5508 .48555 L
F
0 .98 1 r
.55106 .46054 m
.55299 .46238 L
.55303 .46242 L
.55484 .46435 L
.55492 .46444 L
.55656 .46628 L
.55684 .46643 L
.55824 .46821 L
.55877 .46886 L
.56055 .47013 L
.5607 .47126 L
.56138 .47206 L
.56263 .47369 L
.56274 .47399 L
.56455 .47591 L
.56455 .47592 L
.56626 .47784 L
.56648 .47842 L
.56746 .47977 L
.56841 .48104 L
.5686 .48169 L
.57033 .48329 L
.5706 .48362 L
.5721 .48555 L
.57226 .48586 L
.57336 .48747 L
.57419 .48857 L
.57504 .4894 L
.57611 .49087 L
.57647 .49133 L
.57791 .49326 L
.57804 .49348 L
.57915 .49518 L
.57997 .49626 L
.58083 .49711 L
.58189 .49858 L
.58225 .49904 L
.58365 .50096 L
.58382 .50123 L
.58485 .50289 L
.58575 .50404 L
.58656 .50482 L
.58768 .50637 L
.58796 .50674 L
.58935 .50867 L
.5896 .50905 L
.5905 .5106 L
.59153 .51187 L
.59225 .51253 L
.59346 .51421 L
.59365 .51445 L
.59502 .51638 L
.59538 .5169 L
.59612 .51831 L
.59731 .51973 L
.59792 .52023 L
.59924 .52207 L
.59931 .52216 L
.60066 .52409 L
.60116 .52478 L
.60171 .52601 L
.60309 .52758 L
.60357 .52794 L
.60498 .52987 L
.60502 .52995 L
.60629 .53179 L
.60694 .53267 L
.6073 .53372 L
.60887 .53542 L
.60922 .53565 L
.61066 .53758 L
.6108 .53784 L
.61191 .5395 L
.61273 .54056 L
.61288 .54143 L
.61465 .54324 L
.61486 .54336 L
.61632 .54528 L
.61658 .54574 L
.61752 .54721 L
.61851 .54845 L
.6191 .54914 L
.62043 .55103 L
.62049 .55106 L
.62196 .55299 L
.62236 .55363 L
.62313 .55492 L
.62429 .55633 L
.62474 .55684 L
.62613 .55877 L
.62621 .55888 L
.62759 .5607 L
.62814 .56153 L
.62875 .56263 L
.63007 .56422 L
.63037 .56455 L
.63176 .56648 L
.63199 .56676 L
.63321 .56841 L
.63392 .56944 L
.63436 .57033 L
.63585 .5721 L
.63599 .57226 L
.63768 .57419 L
.63778 .57465 L
.63883 .57611 L
.6397 .57735 L
.63999 .57804 L
.64161 .57997 L
.64163 .57998 L
.64332 .58189 L
.64356 .58255 L
.64443 .58382 L
.64548 .58527 L
.64563 .58575 L
.64722 .58768 L
.64741 .58779 L
.64893 .5896 L
.64934 .59048 L
.65003 .59153 L
.65126 .59322 L
.65131 .59346 L
.65282 .59538 L
.65319 .59566 L
.6545 .59731 L
.65512 .59845 L
.65561 .59924 L
.65702 .60116 L
.65704 .6012 L
.65839 .60309 L
.65897 .6036 L
.66003 .60502 L
.6609 .60649 L
.66117 .60694 L
.66255 .60887 L
.66283 .60925 L
.66391 .6108 L
.66475 .61168 L
.66549 .61273 L
.66667 .61465 L
.66668 .61466 L
.668 .61658 L
.66861 .61743 L
.66935 .61851 L
.67053 .62007 L
.67077 .62043 L
.67199 .62236 L
.67246 .62302 L
.67328 .62429 L
.67439 .62591 L
.67482 .62621 L
.67577 .62814 L
.67631 .62899 L
.67691 .63007 L
.67794 .63199 L
.67631 .63206 L
.67627 .63199 L
.67439 .63011 L
.6743 .63007 L
.6726 .62814 L
.67246 .62799 L
.67093 .62621 L
.67053 .62589 L
.66929 .62429 L
.66861 .62346 L
.66725 .62236 L
.66668 .62103 L
.66616 .62043 L
.66475 .61862 L
.66471 .61851 L
.66308 .61658 L
.66283 .61624 L
.66134 .61465 L
.6609 .61369 L
.66017 .61273 L
.65897 .61109 L
.65892 .6108 L
.65715 .60887 L
.65704 .60873 L
.65555 .60694 L
.65512 .60611 L
.65436 .60502 L
.65319 .60344 L
.65277 .60309 L
.65134 .60116 L
.65126 .60105 L
.64981 .59924 L
.64934 .59839 L
.64863 .59731 L
.64741 .5957 L
.64702 .59538 L
.64561 .59346 L
.64548 .59328 L
.64412 .59153 L
.64356 .5906 L
.64295 .5896 L
.64163 .58791 L
.64132 .58768 L
.63992 .58575 L
.6397 .58545 L
.63845 .58382 L
.63778 .58276 L
.63729 .58189 L
.63585 .58011 L
.63565 .57997 L
.63398 .57804 L
.63392 .5776 L
.6328 .57611 L
.63199 .5749 L
.63164 .57419 L
.63007 .57231 L
.62999 .57226 L
.62831 .57033 L
.62814 .56973 L
.62716 .56841 L
.62621 .56704 L
.62599 .56648 L
.62435 .56455 L
.62429 .56449 L
.62267 .56263 L
.62236 .56185 L
.62153 .5607 L
.62043 .55917 L
.62033 .55877 L
.6187 .55684 L
.61851 .55663 L
.61704 .55492 L
.61658 .55396 L
.6159 .55299 L
.61465 .5513 L
.61463 .55106 L
.61306 .54914 L
.61273 .54876 L
.61142 .54721 L
.6108 .54607 L
.61027 .54528 L
.60887 .54342 L
.60882 .54336 L
.60743 .54143 L
.60694 .54089 L
.60581 .5395 L
.60502 .53818 L
.60464 .53758 L
.60319 .53565 L
.60309 .53561 L
.60179 .53372 L
.60116 .533 L
.6002 .53179 L
.59924 .53027 L
.599 .52987 L
.59756 .52794 L
.59731 .52781 L
.59552 .52601 L
.59538 .5251 L
.5946 .52409 L
.59346 .52236 L
.59335 .52216 L
.59193 .52023 L
.59153 .51998 L
.58997 .51831 L
.5896 .51718 L
.589 .51638 L
.58769 .51445 L
.58768 .51443 L
.58631 .51253 L
.58575 .5121 L
.58443 .5106 L
.58382 .50924 L
.58341 .50867 L
.58208 .50674 L
.58189 .5065 L
.5807 .50482 L
.57997 .50417 L
.5789 .50289 L
.57804 .50127 L
.57783 .50096 L
.57648 .49904 L
.57611 .49856 L
.5751 .49711 L
.57419 .49619 L
.57339 .49518 L
.57226 .49327 L
.57225 .49326 L
.5709 .49133 L
.57033 .49058 L
.56951 .4894 L
.56841 .48813 L
.56791 .48747 L
.5667 .48555 L
.56648 .48526 L
.56534 .48362 L
.56455 .48256 L
.56396 .48169 L
.56263 .47995 L
.56249 .47977 L
.5612 .47784 L
.5607 .47716 L
.55986 .47591 L
.55877 .47443 L
.55847 .47399 L
.55712 .47206 L
.55684 .47168 L
.55583 .47013 L
.55492 .46886 L
.5545 .46821 L
.55319 .46628 L
.55299 .46599 L
.55201 .46435 L
.55106 .4629 L
.55082 .46242 L
F
1 .47 0 r
.55106 .54459 m
.55183 .54528 L
.55299 .5464 L
.55365 .54721 L
.55492 .54875 L
.5552 .54914 L
.55654 .55106 L
.55684 .55149 L
.55766 .55299 L
.55684 .55337 L
.55651 .55299 L
.55492 .5512 L
.55481 .55106 L
.55338 .54914 L
.55299 .54864 L
.55208 .54721 L
.55106 .54563 L
.55089 .54528 L
F
0 .63 1 r
.55106 .47743 m
.55151 .47784 L
.55299 .47924 L
.55345 .47977 L
.55492 .4814 L
.55517 .48169 L
.55679 .48362 L
.55684 .48368 L
.55836 .48555 L
.55877 .48603 L
.55992 .48747 L
.5607 .48782 L
.56147 .4894 L
.56263 .49078 L
.56332 .49133 L
.5645 .49326 L
.56455 .49332 L
.56598 .49518 L
.56648 .49539 L
.56747 .49711 L
.56841 .49823 L
.56926 .49904 L
.57033 .50085 L
.57042 .50096 L
.57187 .50289 L
.57226 .50308 L
.57333 .50482 L
.57419 .50587 L
.57503 .50674 L
.57611 .50852 L
.57622 .50867 L
.57766 .5106 L
.57804 .51082 L
.5791 .51253 L
.57997 .51361 L
.58072 .51445 L
.58189 .51629 L
.58195 .51638 L
.58337 .51831 L
.58382 .51861 L
.58479 .52023 L
.58575 .52144 L
.58635 .52216 L
.58763 .52409 L
.58768 .52414 L
.58903 .52601 L
.5896 .52647 L
.59044 .52794 L
.59153 .52936 L
.59193 .52987 L
.59324 .53179 L
.59346 .53208 L
.59462 .53372 L
.59538 .53443 L
.59662 .53565 L
.59731 .53739 L
.59745 .53758 L
.59878 .5395 L
.59924 .54012 L
.60015 .54143 L
.60116 .54258 L
.60188 .54336 L
.6029 .54528 L
.60309 .54554 L
.60423 .54721 L
.60502 .5483 L
.60558 .54914 L
.60694 .55106 L
.60695 .55106 L
.60821 .55299 L
.60887 .55392 L
.60951 .55492 L
.6108 .5568 L
.61083 .55684 L
.61197 .55877 L
.61273 .55993 L
.61313 .5607 L
.61273 .56168 L
.61184 .5607 L
.6108 .55965 L
.61007 .55877 L
.60887 .55742 L
.6084 .55684 L
.60694 .55517 L
.60679 .55492 L
.60525 .55299 L
.60502 .55272 L
.60373 .55106 L
.60309 .55029 L
.6022 .54914 L
.60116 .54799 L
.60068 .54721 L
.59924 .54536 L
.59917 .54528 L
.59772 .54336 L
.59731 .54284 L
.59625 .54143 L
.59538 .54047 L
.59422 .5395 L
.59346 .53779 L
.59327 .53758 L
.59187 .53565 L
.59153 .53522 L
.59042 .53372 L
.5896 .5328 L
.58853 .53179 L
.58768 .53009 L
.5875 .52987 L
.58611 .52794 L
.58575 .52748 L
.58468 .52601 L
.58382 .52502 L
.58291 .52409 L
.58189 .52228 L
.5818 .52216 L
.58041 .52023 L
.57997 .51965 L
.579 .51831 L
.57804 .51716 L
.57732 .51638 L
.57615 .51445 L
.57611 .5144 L
.57477 .51253 L
.57419 .51228 L
.57336 .5106 L
.57226 .50921 L
.57179 .50867 L
.57056 .50674 L
.57033 .50645 L
.56918 .50482 L
.56841 .50428 L
.56778 .50289 L
.56648 .50115 L
.56633 .50096 L
.56503 .49904 L
.56455 .4984 L
.56366 .49711 L
.56263 .49605 L
.56227 .49518 L
.56091 .49326 L
.5607 .49297 L
.55959 .49133 L
.55877 .4902 L
.55824 .4894 L
.55687 .48747 L
.55684 .48744 L
.55562 .48555 L
.55492 .48455 L
.55434 .48362 L
.55303 .48169 L
.55299 .48164 L
.55195 .47977 L
.55106 .47829 L
.5509 .47784 L
F
1 .97 0 r
.55106 .57013 m
.55274 .57033 L
.55299 .5705 L
.55485 .57226 L
.55492 .57233 L
.55642 .57419 L
.55684 .57471 L
.55787 .57611 L
.55877 .57728 L
.5593 .57804 L
.5607 .57994 L
.56072 .57997 L
.56196 .58189 L
.56263 .58286 L
.5632 .58382 L
.56436 .58575 L
.56455 .58609 L
.56509 .58768 L
.56455 .58817 L
.56387 .58768 L
.56263 .58659 L
.56182 .58575 L
.5607 .58464 L
.56009 .58382 L
.55877 .58227 L
.55835 .58189 L
.55695 .57997 L
.55684 .57983 L
.55546 .57804 L
.55492 .57782 L
.55404 .57611 L
.55299 .57476 L
.55266 .57419 L
.55157 .57226 L
.55106 .57101 L
.55094 .57033 L
F
0 .72 1 r
.55106 .50884 m
.55187 .5106 L
.55106 .51072 L
.55094 .5106 L
F
0 .86 1 r
.55106 .53745 m
.55232 .53758 L
.55299 .5379 L
.55491 .5395 L
.55492 .53951 L
.55671 .54143 L
.55684 .54152 L
.55834 .54336 L
.55877 .54385 L
.56042 .54528 L
.5607 .54635 L
.56139 .54721 L
.56263 .54891 L
.56272 .54914 L
.56425 .55106 L
.56455 .55128 L
.56605 .55299 L
.56648 .55404 L
.56702 .55492 L
.56835 .55684 L
.56841 .55693 L
.56961 .55877 L
.57033 .55998 L
.57102 .5607 L
.57152 .56263 L
.57033 .5635 L
.56897 .56263 L
.56841 .56218 L
.56698 .5607 L
.56648 .56037 L
.56532 .55877 L
.56455 .55795 L
.56377 .55684 L
.56263 .55541 L
.56215 .55492 L
.56081 .55299 L
.5607 .55285 L
.5594 .55106 L
.55877 .5506 L
.55733 .54914 L
.55684 .54768 L
.55651 .54721 L
.55523 .54528 L
.55492 .54484 L
.55392 .54336 L
.55299 .54197 L
.5523 .54143 L
.55155 .5395 L
.55106 .53832 L
.551 .53758 L
F
1 .46 0 r
.55106 .54486 m
.55165 .54528 L
.55299 .5465 L
.55356 .54721 L
.55492 .54884 L
.55513 .54914 L
.55645 .55106 L
.55684 .55163 L
.55753 .55299 L
.55684 .55325 L
.55661 .55299 L
.55492 .55112 L
.55488 .55106 L
.55347 .54914 L
.55299 .54853 L
.55217 .54721 L
.55106 .54542 L
.55101 .54528 L
F
0 .85 1 r
.55299 .53807 m
.55477 .5395 L
.55492 .53964 L
.55662 .54143 L
.55684 .54157 L
.55827 .54336 L
.55877 .54393 L
.56038 .54528 L
.5607 .54643 L
.56134 .54721 L
.56263 .54897 L
.5627 .54914 L
.5642 .55106 L
.56455 .55133 L
.56601 .55299 L
.56648 .55413 L
.56697 .55492 L
.56828 .55684 L
.56841 .55703 L
.56953 .55877 L
.57033 .56014 L
.57087 .5607 L
.57132 .56263 L
.57033 .56331 L
.56917 .56263 L
.56841 .56206 L
.56707 .5607 L
.56648 .5603 L
.56539 .55877 L
.56455 .55788 L
.56382 .55684 L
.56263 .55535 L
.56221 .55492 L
.56086 .55299 L
.5607 .55279 L
.55945 .55106 L
.55877 .55055 L
.55738 .54914 L
.55684 .54761 L
.55656 .54721 L
.55528 .54528 L
.55492 .54477 L
.55398 .54336 L
.55299 .54187 L
.55242 .54143 L
.55166 .5395 L
F
0 .84 1 r
.55299 .53823 m
.55462 .5395 L
.55492 .53976 L
.55652 .54143 L
.55684 .54163 L
.55819 .54336 L
.55877 .54401 L
.56034 .54528 L
.5607 .5465 L
.56129 .54721 L
.56263 .54903 L
.56267 .54914 L
.56414 .55106 L
.56455 .55138 L
.56596 .55299 L
.56648 .55421 L
.56691 .55492 L
.56821 .55684 L
.56841 .55714 L
.56945 .55877 L
.57033 .56031 L
.5707 .5607 L
.57108 .56263 L
.57033 .5631 L
.56941 .56263 L
.56841 .56193 L
.56717 .5607 L
.56648 .56024 L
.56546 .55877 L
.56455 .55781 L
.56388 .55684 L
.56263 .55529 L
.56226 .55492 L
.5609 .55299 L
.5607 .55273 L
.55949 .55106 L
.55877 .5505 L
.55744 .54914 L
.55684 .54753 L
.55661 .54721 L
.55533 .54528 L
.55492 .54469 L
.55404 .54336 L
.55299 .54177 L
.55255 .54143 L
.55179 .5395 L
F
0 .83 1 r
.55299 .53841 m
.55446 .5395 L
.55492 .53988 L
.55642 .54143 L
.55684 .54169 L
.55812 .54336 L
.55877 .54409 L
.56029 .54528 L
.5607 .54658 L
.56123 .54721 L
.56263 .54909 L
.56264 .54914 L
.56409 .55106 L
.56455 .55143 L
.56592 .55299 L
.56648 .5543 L
.56686 .55492 L
.56814 .55684 L
.56841 .55725 L
.56937 .55877 L
.57033 .5605 L
.57052 .5607 L
.57079 .56263 L
.57033 .56287 L
.56971 .56263 L
.56841 .5618 L
.56728 .5607 L
.56648 .56017 L
.56553 .55877 L
.56455 .55774 L
.56393 .55684 L
.56263 .55522 L
.56232 .55492 L
.56095 .55299 L
.5607 .55267 L
.55953 .55106 L
.55877 .55044 L
.55749 .54914 L
.55684 .54746 L
.55666 .54721 L
.55539 .54528 L
.55492 .54461 L
.55409 .54336 L
.55299 .54166 L
.55269 .54143 L
.55192 .5395 L
F
0 .82 1 r
.55299 .53859 m
.55429 .5395 L
.55492 .54 L
.55632 .54143 L
.55684 .54176 L
.55804 .54336 L
.55877 .54417 L
.56023 .54528 L
.5607 .54665 L
.56117 .54721 L
.56261 .54914 L
.56263 .54916 L
.56403 .55106 L
.56455 .55148 L
.56587 .55299 L
.56648 .55439 L
.5668 .55492 L
.56808 .55684 L
.56841 .55736 L
.56929 .55877 L
.57032 .5607 L
.56841 .56167 L
.56739 .5607 L
.56648 .56009 L
.5656 .55877 L
.56455 .55766 L
.56399 .55684 L
.56263 .55516 L
.56239 .55492 L
.561 .55299 L
.5607 .55261 L
.55957 .55106 L
.55877 .55038 L
.55755 .54914 L
.55684 .54738 L
.55672 .54721 L
.55544 .54528 L
.55492 .54453 L
.55415 .54336 L
.55299 .54155 L
.55284 .54143 L
.55207 .5395 L
F
0 .62 1 r
.55299 .47939 m
.55333 .47977 L
.55492 .4815 L
.55508 .48169 L
.55671 .48362 L
.55684 .48377 L
.55829 .48555 L
.55877 .48611 L
.55986 .48747 L
.5607 .48789 L
.56142 .4894 L
.56263 .49085 L
.56324 .49133 L
.56445 .49326 L
.56455 .49338 L
.56594 .49518 L
.56648 .49542 L
.56743 .49711 L
.56841 .49828 L
.56921 .49904 L
.57033 .50089 L
.57039 .50096 L
.57184 .50289 L
.57226 .5031 L
.5733 .50482 L
.57419 .50591 L
.57499 .50674 L
.57611 .50856 L
.5762 .50867 L
.57763 .5106 L
.57804 .51084 L
.57907 .51253 L
.57997 .51365 L
.58069 .51445 L
.58189 .51632 L
.58193 .51638 L
.58334 .51831 L
.58382 .51863 L
.58477 .52023 L
.58575 .52148 L
.58632 .52216 L
.5876 .52409 L
.58768 .52418 L
.589 .52601 L
.5896 .5265 L
.59041 .52794 L
.59153 .5294 L
.5919 .52987 L
.59321 .53179 L
.59346 .53212 L
.59459 .53372 L
.59538 .53447 L
.59658 .53565 L
.59731 .53744 L
.59742 .53758 L
.59875 .5395 L
.59924 .54017 L
.60012 .54143 L
.60116 .54264 L
.60183 .54336 L
.60286 .54528 L
.60309 .5456 L
.60419 .54721 L
.60502 .54836 L
.60554 .54914 L
.6069 .55106 L
.60694 .55113 L
.60816 .55299 L
.60887 .554 L
.60945 .55492 L
.61076 .55684 L
.6108 .5569 L
.61187 .55877 L
.61273 .56013 L
.613 .5607 L
.61273 .56145 L
.61201 .5607 L
.6108 .55952 L
.61017 .55877 L
.60887 .55733 L
.60848 .55684 L
.60694 .55506 L
.60686 .55492 L
.60531 .55299 L
.60502 .55265 L
.60378 .55106 L
.60309 .55023 L
.60225 .54914 L
.60116 .54793 L
.60072 .54721 L
.59924 .54531 L
.59922 .54528 L
.59776 .54336 L
.59731 .54279 L
.59628 .54143 L
.59538 .54043 L
.59426 .5395 L
.59346 .53775 L
.59331 .53758 L
.5919 .53565 L
.59153 .53518 L
.59045 .53372 L
.5896 .53276 L
.58857 .53179 L
.58768 .53005 L
.58753 .52987 L
.58613 .52794 L
.58575 .52744 L
.58471 .52601 L
.58382 .52499 L
.58294 .52409 L
.58189 .52225 L
.58183 .52216 L
.58044 .52023 L
.57997 .51962 L
.57902 .51831 L
.57804 .51713 L
.57735 .51638 L
.57618 .51445 L
.57611 .51437 L
.5748 .51253 L
.57419 .51225 L
.57339 .5106 L
.57226 .50917 L
.57182 .50867 L
.57058 .50674 L
.57033 .50641 L
.56921 .50482 L
.56841 .50424 L
.56781 .50289 L
.56648 .5011 L
.56637 .50096 L
.56506 .49904 L
.56455 .49836 L
.56369 .49711 L
.56263 .49598 L
.5623 .49518 L
.56095 .49326 L
.5607 .49292 L
.55963 .49133 L
.55877 .49014 L
.55828 .4894 L
.55692 .48747 L
.55684 .48736 L
.55568 .48555 L
.55492 .48446 L
.5544 .48362 L
.55312 .48169 L
.55299 .4815 L
.55209 .47977 L
F
1 .89 0 r
.55299 .47118 m
.55384 .47206 L
.55492 .47317 L
.55565 .47399 L
.55684 .47519 L
.55735 .47591 L
.55877 .4776 L
.55907 .47784 L
.56057 .47977 L
.5607 .47992 L
.56215 .48169 L
.56263 .48219 L
.56371 .48362 L
.56455 .48471 L
.56534 .48555 L
.56648 .48719 L
.56666 .48747 L
.56825 .4894 L
.56841 .48957 L
.56976 .49133 L
.57033 .49211 L
.57127 .49326 L
.57226 .49468 L
.57253 .49518 L
.57418 .49711 L
.57419 .49712 L
.57605 .49904 L
.57611 .49968 L
.57709 .50096 L
.57804 .50231 L
.5783 .50289 L
.57997 .5048 L
.58 .50482 L
.5817 .50674 L
.58189 .50737 L
.58284 .50867 L
.58382 .51002 L
.58402 .5106 L
.58575 .51252 L
.58575 .51253 L
.58738 .51445 L
.58768 .51513 L
.58854 .51638 L
.5896 .5178 L
.58971 .51831 L
.59146 .52023 L
.59153 .52031 L
.59305 .52216 L
.59346 .52295 L
.59421 .52409 L
.59538 .52562 L
.59539 .52601 L
.59714 .52794 L
.59731 .52814 L
.5987 .52987 L
.59924 .5308 L
.59986 .53179 L
.60116 .53346 L
.6014 .53372 L
.6028 .53565 L
.60309 .536 L
.60433 .53758 L
.60502 .53868 L
.6055 .5395 L
.60694 .54132 L
.60704 .54143 L
.60844 .54336 L
.60887 .54388 L
.60995 .54528 L
.6108 .54658 L
.61113 .54721 L
.61266 .54914 L
.61273 .54917 L
.61458 .55106 L
.61465 .55179 L
.61554 .55299 L
.61658 .55452 L
.61677 .55492 L
.61826 .55684 L
.61851 .55701 L
.62014 .55877 L
.62043 .55975 L
.62111 .5607 L
.62236 .5625 L
.62241 .56263 L
.62382 .56455 L
.62429 .56492 L
.62564 .56648 L
.62621 .56778 L
.62664 .56841 L
.62798 .57033 L
.62814 .57055 L
.62934 .57226 L
.63007 .57296 L
.63106 .57419 L
.63199 .57594 L
.63211 .57611 L
.63343 .57804 L
.63392 .57872 L
.63478 .57997 L
.63585 .58128 L
.63631 .58189 L
.63746 .58382 L
.63778 .58427 L
.63875 .58575 L
.6397 .58712 L
.64007 .58768 L
.64133 .5896 L
.64163 .59004 L
.64252 .59153 L
.64356 .59314 L
.64374 .59346 L
.64464 .59538 L
.64356 .59553 L
.64341 .59538 L
.64163 .5936 L
.64154 .59346 L
.63983 .59153 L
.6397 .59139 L
.63819 .5896 L
.63778 .58913 L
.63658 .58768 L
.63585 .58697 L
.635 .58575 L
.63392 .58443 L
.63327 .58382 L
.63199 .58198 L
.63193 .58189 L
.63042 .57997 L
.63007 .57962 L
.62891 .57804 L
.62814 .57706 L
.62727 .57611 L
.62621 .5745 L
.626 .57419 L
.62448 .57226 L
.62429 .57207 L
.62301 .57033 L
.62236 .56948 L
.62145 .56841 L
.62043 .56688 L
.62019 .56648 L
.61866 .56455 L
.61851 .56439 L
.61666 .56263 L
.61658 .56179 L
.6157 .5607 L
.61465 .55916 L
.61445 .55877 L
.61291 .55684 L
.61273 .55665 L
.61104 .55492 L
.6108 .55402 L
.61001 .55299 L
.60887 .55137 L
.60874 .55106 L
.6072 .54914 L
.60694 .54886 L
.60541 .54721 L
.60502 .5462 L
.60434 .54528 L
.60309 .54355 L
.60303 .54336 L
.60152 .54143 L
.60116 .54104 L
.59979 .5395 L
.59924 .53835 L
.59868 .53758 L
.59731 .5357 L
.5973 .53565 L
.59587 .53372 L
.59538 .53319 L
.59418 .53179 L
.59346 .53047 L
.59304 .52987 L
.59162 .52794 L
.59153 .52792 L
.59023 .52601 L
.5896 .5253 L
.58858 .52409 L
.58768 .52257 L
.58741 .52216 L
.586 .52023 L
.58575 .52014 L
.5846 .51831 L
.58382 .51739 L
.583 .51638 L
.58189 .51463 L
.58178 .51445 L
.58039 .51253 L
.57997 .5123 L
.579 .5106 L
.57804 .50943 L
.57745 .50867 L
.57617 .50674 L
.57611 .50667 L
.57481 .50482 L
.57419 .50438 L
.57281 .50289 L
.57226 .50142 L
.57192 .50096 L
.57062 .49904 L
.57033 .49865 L
.56925 .49711 L
.56841 .49632 L
.56742 .49518 L
.56648 .4933 L
.56644 .49326 L
.56512 .49133 L
.56455 .49057 L
.56375 .4894 L
.56263 .48807 L
.56215 .48747 L
.56102 .48555 L
.5607 .48511 L
.5597 .48362 L
.55877 .48233 L
.55835 .48169 L
.55701 .47977 L
.55684 .47954 L
.55577 .47784 L
.55492 .47662 L
.55448 .47591 L
.55324 .47399 L
.55299 .47362 L
.55218 .47206 L
F
0 .81 1 r
.55299 .53878 m
.5541 .5395 L
.55492 .54013 L
.55622 .54143 L
.55684 .54182 L
.55796 .54336 L
.55877 .54425 L
.56017 .54528 L
.5607 .54673 L
.56112 .54721 L
.56255 .54914 L
.56263 .54923 L
.56398 .55106 L
.56455 .55154 L
.56582 .55299 L
.56648 .55449 L
.56674 .55492 L
.56801 .55684 L
.56841 .55748 L
.5692 .55877 L
.57019 .5607 L
.56841 .56154 L
.5675 .5607 L
.56648 .56 L
.56567 .55877 L
.56455 .55759 L
.56404 .55684 L
.56263 .55509 L
.56245 .55492 L
.56104 .55299 L
.5607 .55255 L
.55962 .55106 L
.55877 .55032 L
.55762 .54914 L
.55684 .5473 L
.55678 .54721 L
.55549 .54528 L
.55492 .54445 L
.55421 .54336 L
.553 .54143 L
.55299 .54142 L
.55223 .5395 L
F
0 .61 1 r
.55299 .47956 m
.55318 .47977 L
.55492 .48162 L
.55498 .48169 L
.55662 .48362 L
.55684 .48386 L
.55822 .48555 L
.55877 .48618 L
.5598 .48747 L
.5607 .48796 L
.56137 .4894 L
.56263 .49092 L
.56316 .49133 L
.56441 .49326 L
.56455 .49344 L
.5659 .49518 L
.56648 .49545 L
.5674 .49711 L
.56841 .49833 L
.56917 .49904 L
.57033 .50094 L
.57035 .50096 L
.5718 .50289 L
.57226 .50312 L
.57327 .50482 L
.57419 .50595 L
.57496 .50674 L
.57611 .5086 L
.57617 .50867 L
.5776 .5106 L
.57804 .51086 L
.57904 .51253 L
.57997 .51368 L
.58066 .51445 L
.58189 .51636 L
.58191 .51638 L
.58332 .51831 L
.58382 .51866 L
.58474 .52023 L
.58575 .52152 L
.58629 .52216 L
.58758 .52409 L
.58768 .52422 L
.58897 .52601 L
.5896 .52653 L
.59038 .52794 L
.59153 .52944 L
.59187 .52987 L
.59318 .53179 L
.59346 .53216 L
.59457 .53372 L
.59538 .53451 L
.59654 .53565 L
.59731 .53749 L
.59738 .53758 L
.59871 .5395 L
.59924 .54021 L
.60009 .54143 L
.60116 .5427 L
.60177 .54336 L
.60282 .54528 L
.60309 .54565 L
.60415 .54721 L
.60502 .54842 L
.6055 .54914 L
.60684 .55106 L
.60694 .5512 L
.6081 .55299 L
.60887 .55409 L
.60939 .55492 L
.61067 .55684 L
.6108 .55703 L
.61175 .55877 L
.61273 .56041 L
.61284 .5607 L
.61273 .56114 L
.61224 .5607 L
.6108 .55939 L
.61027 .55877 L
.60887 .55723 L
.60856 .55684 L
.60694 .55495 L
.60692 .55492 L
.60538 .55299 L
.60502 .55257 L
.60383 .55106 L
.60309 .55017 L
.60229 .54914 L
.60116 .54786 L
.60077 .54721 L
.59926 .54528 L
.59924 .54525 L
.5978 .54336 L
.59731 .54275 L
.59632 .54143 L
.59538 .54038 L
.59431 .5395 L
.59346 .5377 L
.59335 .53758 L
.59193 .53565 L
.59153 .53514 L
.59048 .53372 L
.5896 .53272 L
.5886 .53179 L
.58768 .53001 L
.58756 .52987 L
.58616 .52794 L
.58575 .52741 L
.58473 .52601 L
.58382 .52495 L
.58297 .52409 L
.58189 .52221 L
.58185 .52216 L
.58046 .52023 L
.57997 .51958 L
.57905 .51831 L
.57804 .51709 L
.57739 .51638 L
.5762 .51445 L
.57611 .51433 L
.57482 .51253 L
.57419 .51223 L
.57341 .5106 L
.57226 .50913 L
.57186 .50867 L
.57061 .50674 L
.57033 .50638 L
.56924 .50482 L
.56841 .50419 L
.56784 .50289 L
.56648 .50105 L
.56641 .50096 L
.56509 .49904 L
.56455 .49831 L
.56372 .49711 L
.56263 .49591 L
.56233 .49518 L
.56099 .49326 L
.5607 .49286 L
.55967 .49133 L
.55877 .49008 L
.55832 .4894 L
.55698 .48747 L
.55684 .48729 L
.55574 .48555 L
.55492 .48437 L
.55446 .48362 L
.55322 .48169 L
.55299 .48134 L
.55227 .47977 L
F
1 .45 0 r
.55299 .54662 m
.55347 .54721 L
.55492 .54894 L
.55506 .54914 L
.55492 .55101 L
.55356 .54914 L
.55299 .54841 L
.55227 .54721 L
F
1 .44 0 r
.55299 .54674 m
.55337 .54721 L
.55492 .54905 L
.55498 .54914 L
.55492 .55088 L
.55367 .54914 L
.55299 .54827 L
.55238 .54721 L
F
0 .8 1 r
.55299 .53899 m
.55388 .5395 L
.55492 .54026 L
.55611 .54143 L
.55684 .5419 L
.55788 .54336 L
.55877 .54433 L
.56009 .54528 L
.5607 .5468 L
.56106 .54721 L
.56249 .54914 L
.56263 .54931 L
.56392 .55106 L
.56455 .5516 L
.56576 .55299 L
.56648 .55459 L
.56668 .55492 L
.56793 .55684 L
.56841 .5576 L
.56912 .55877 L
.57004 .5607 L
.56841 .5614 L
.56762 .5607 L
.56648 .55991 L
.56575 .55877 L
.56455 .55751 L
.5641 .55684 L
.56263 .55503 L
.56251 .55492 L
.56109 .55299 L
.5607 .55249 L
.55966 .55106 L
.55877 .55025 L
.55769 .54914 L
.55684 .54722 L
.55684 .54721 L
.55555 .54528 L
.55492 .54437 L
.55427 .54336 L
.55309 .54143 L
.55299 .54124 L
.55242 .5395 L
F
1 .43 0 r
.55299 .54689 m
.55326 .54721 L
.55299 .54811 L
.55251 .54721 L
F
1 .96 0 r
.55299 .57167 m
.55399 .57226 L
.55492 .57309 L
.55587 .57419 L
.55684 .57533 L
.55742 .57611 L
.55877 .57788 L
.55888 .57804 L
.56016 .57997 L
.5607 .58077 L
.56133 .58189 L
.5607 .58334 L
.55932 .58189 L
.55877 .5813 L
.55765 .57997 L
.55684 .57899 L
.5561 .57804 L
.55492 .57674 L
.55469 .57611 L
.55344 .57419 L
.55299 .57334 L
.55252 .57226 L
F
0 .6 1 r
.55299 .47975 m
.553 .47977 L
.55299 .48114 L
.55255 .47977 L
F
1 .88 0 r
.55299 .47172 m
.55338 .47206 L
.55492 .47351 L
.55537 .47399 L
.55684 .4755 L
.55712 .47591 L
.55877 .47782 L
.5588 .47784 L
.56041 .47977 L
.5607 .4801 L
.56201 .48169 L
.56263 .48233 L
.56359 .48362 L
.56455 .48485 L
.56523 .48555 L
.56648 .4873 L
.56659 .48747 L
.56816 .4894 L
.56841 .48967 L
.56968 .49133 L
.57033 .49221 L
.5712 .49326 L
.57226 .49477 L
.57248 .49518 L
.57411 .49711 L
.57419 .4972 L
.57604 .49904 L
.57611 .49976 L
.57704 .50096 L
.57804 .50238 L
.57827 .50289 L
.57995 .50482 L
.57997 .50484 L
.58168 .50674 L
.58189 .50744 L
.58279 .50867 L
.58382 .51008 L
.584 .5106 L
.58571 .51253 L
.58575 .51257 L
.58736 .51445 L
.58768 .51519 L
.5885 .51638 L
.5896 .51785 L
.5897 .51831 L
.59143 .52023 L
.59153 .52036 L
.59303 .52216 L
.59346 .523 L
.59418 .52409 L
.59538 .52566 L
.59539 .52601 L
.59711 .52794 L
.59731 .52818 L
.59868 .52987 L
.59924 .53084 L
.59983 .53179 L
.60116 .5335 L
.60137 .53372 L
.60277 .53565 L
.60309 .53603 L
.60431 .53758 L
.60502 .53872 L
.60547 .5395 L
.60694 .54136 L
.60701 .54143 L
.60841 .54336 L
.60887 .54392 L
.60992 .54528 L
.6108 .54663 L
.61111 .54721 L
.61263 .54914 L
.61273 .54919 L
.61457 .55106 L
.61465 .55184 L
.61551 .55299 L
.61658 .55457 L
.61674 .55492 L
.61822 .55684 L
.61851 .55704 L
.62011 .55877 L
.62043 .55981 L
.62107 .5607 L
.62236 .56256 L
.62239 .56263 L
.62378 .56455 L
.62429 .56496 L
.6256 .56648 L
.62621 .56786 L
.62659 .56841 L
.62792 .57033 L
.62814 .57063 L
.62928 .57226 L
.63007 .57304 L
.63098 .57419 L
.63199 .57605 L
.63204 .57611 L
.63336 .57804 L
.63392 .57883 L
.6347 .57997 L
.63585 .58144 L
.63618 .58189 L
.63735 .58382 L
.63778 .58442 L
.63864 .58575 L
.6397 .5873 L
.63994 .58768 L
.64115 .5896 L
.64163 .59032 L
.64231 .59153 L
.64163 .59321 L
.64009 .59153 L
.6397 .59113 L
.63839 .5896 L
.63778 .58892 L
.63675 .58768 L
.63585 .5868 L
.63514 .58575 L
.63392 .58427 L
.63342 .58382 L
.63203 .58189 L
.63199 .58185 L
.63052 .57997 L
.63007 .57953 L
.629 .57804 L
.62814 .57695 L
.62735 .57611 L
.62621 .57442 L
.62605 .57419 L
.62454 .57226 L
.62429 .572 L
.62307 .57033 L
.62236 .56941 L
.6215 .56841 L
.62043 .56681 L
.62023 .56648 L
.61871 .56455 L
.61851 .56434 L
.61668 .56263 L
.61658 .56173 L
.61574 .5607 L
.61465 .55911 L
.61448 .55877 L
.61295 .55684 L
.61273 .55661 L
.61106 .55492 L
.6108 .55397 L
.61004 .55299 L
.60887 .55133 L
.60875 .55106 L
.60723 .54914 L
.60694 .54883 L
.60543 .54721 L
.60502 .54616 L
.60436 .54528 L
.60309 .54352 L
.60304 .54336 L
.60155 .54143 L
.60116 .54101 L
.59981 .5395 L
.59924 .53832 L
.59871 .53758 L
.59731 .53567 L
.59731 .53565 L
.59589 .53372 L
.59538 .53315 L
.5942 .53179 L
.59346 .53044 L
.59307 .52987 L
.59165 .52794 L
.59153 .52791 L
.59025 .52601 L
.5896 .52527 L
.58861 .52409 L
.58768 .52253 L
.58743 .52216 L
.58602 .52023 L
.58575 .52013 L
.58463 .51831 L
.58382 .51735 L
.58303 .51638 L
.58189 .51459 L
.58181 .51445 L
.58042 .51253 L
.57997 .51228 L
.57903 .5106 L
.57804 .50939 L
.57748 .50867 L
.57621 .50674 L
.57611 .50662 L
.57484 .50482 L
.57419 .50433 L
.57285 .50289 L
.57226 .50136 L
.57197 .50096 L
.57066 .49904 L
.57033 .4986 L
.5693 .49711 L
.56841 .49625 L
.56749 .49518 L
.5665 .49326 L
.56648 .49323 L
.56517 .49133 L
.56455 .49049 L
.56381 .4894 L
.56263 .48794 L
.56226 .48747 L
.5611 .48555 L
.5607 .485 L
.55979 .48362 L
.55877 .4822 L
.55844 .48169 L
.55713 .47977 L
.55684 .47936 L
.5559 .47784 L
.55492 .4764 L
.55463 .47591 L
.5535 .47399 L
.55299 .47314 L
.55261 .47206 L
F
0 .79 1 r
.55299 .53923 m
.5536 .5395 L
.55492 .54038 L
.556 .54143 L
.55684 .54197 L
.5578 .54336 L
.55877 .54442 L
.56001 .54528 L
.5607 .54688 L
.56099 .54721 L
.56243 .54914 L
.56263 .54938 L
.56387 .55106 L
.56455 .55167 L
.5657 .55299 L
.56648 .55469 L
.56661 .55492 L
.56786 .55684 L
.56841 .55772 L
.56903 .55877 L
.56988 .5607 L
.56841 .56126 L
.56776 .5607 L
.56648 .55981 L
.56582 .55877 L
.56455 .55743 L
.56416 .55684 L
.56263 .55496 L
.56258 .55492 L
.56114 .55299 L
.5607 .55243 L
.55971 .55106 L
.55877 .55018 L
.55776 .54914 L
.55689 .54721 L
.55684 .54714 L
.5556 .54528 L
.55492 .54428 L
.55434 .54336 L
.5532 .54143 L
.55299 .54102 L
.55265 .5395 L
F
0 .14 1 r
.55299 .49519 m
.5543 .49711 L
.55492 .49789 L
.55568 .49904 L
.55684 .50056 L
.55711 .50096 L
.55684 .5026 L
.55566 .50096 L
.55492 .5001 L
.55416 .49904 L
.55299 .49758 L
.55265 .49711 L
F
1 .42 0 r
.55299 .54706 m
.55312 .54721 L
.55299 .54789 L
.5527 .54721 L
F
0 .13 1 r
.55299 .49526 m
.55424 .49711 L
.55492 .49796 L
.55563 .49904 L
.55684 .50063 L
.55706 .50096 L
.55684 .50252 L
.55572 .50096 L
.55492 .50003 L
.55421 .49904 L
.55299 .49752 L
.5527 .49711 L
F
0 .12 1 r
.55299 .49533 m
.55418 .49711 L
.55492 .49803 L
.55557 .49904 L
.55684 .50071 L
.55701 .50096 L
.55684 .50243 L
.55579 .50096 L
.55492 .49995 L
.55427 .49904 L
.55299 .49746 L
.55275 .49711 L
F
0 .11 1 r
.55299 .49541 m
.55411 .49711 L
.55492 .49811 L
.55551 .49904 L
.55684 .50079 L
.55696 .50096 L
.55684 .50233 L
.55587 .50096 L
.55492 .49987 L
.55433 .49904 L
.55299 .49739 L
.55279 .49711 L
F
0 .1 1 r
.55299 .4955 m
.55404 .49711 L
.55492 .4982 L
.55545 .49904 L
.55684 .50088 L
.5569 .50096 L
.55684 .50221 L
.55597 .50096 L
.55492 .49979 L
.55439 .49904 L
.55299 .49731 L
.55285 .49711 L
F
1 .36 0 r
.55299 .50381 m
.55341 .50482 L
.55299 .50497 L
.55286 .50482 L
F
0 .09 1 r
.55299 .49559 m
.55396 .49711 L
.55492 .49829 L
.55538 .49904 L
.55492 .49969 L
.55446 .49904 L
.55299 .49724 L
.5529 .49711 L
F
1 .87 0 r
.55299 .60563 m
.55351 .60694 L
.55299 .607 L
.55294 .60694 L
F
0 .08 1 r
.55299 .49569 m
.55387 .49711 L
.55492 .4984 L
.5553 .49904 L
.55492 .49959 L
.55454 .49904 L
.55299 .49715 L
.55296 .49711 L
F
0 .78 1 r
.55492 .54052 m
.55589 .54143 L
.55684 .54206 L
.55772 .54336 L
.55877 .5445 L
.55992 .54528 L
.5607 .54695 L
.56093 .54721 L
.56238 .54914 L
.56263 .54946 L
.56381 .55106 L
.56455 .55175 L
.56563 .55299 L
.56648 .5548 L
.56655 .55492 L
.56779 .55684 L
.56841 .55786 L
.56894 .55877 L
.5697 .5607 L
.56841 .56112 L
.5679 .5607 L
.56648 .5597 L
.5659 .55877 L
.56455 .55734 L
.56421 .55684 L
.56265 .55492 L
.56263 .55489 L
.56119 .55299 L
.5607 .55236 L
.55975 .55106 L
.55877 .5501 L
.55784 .54914 L
.55694 .54721 L
.55684 .54707 L
.55566 .54528 L
.55492 .54419 L
.5544 .54336 L
.5533 .54143 L
F
0 .77 1 r
.55492 .54065 m
.55576 .54143 L
.55684 .54215 L
.55764 .54336 L
.55877 .54459 L
.55982 .54528 L
.5607 .54703 L
.56086 .54721 L
.56232 .54914 L
.56263 .54954 L
.56375 .55106 L
.56455 .55183 L
.56556 .55299 L
.56648 .55492 L
.56648 .55492 L
.56771 .55684 L
.56841 .558 L
.56885 .55877 L
.56949 .5607 L
.56841 .56096 L
.56807 .5607 L
.56648 .55958 L
.56599 .55877 L
.56455 .55726 L
.56428 .55684 L
.56271 .55492 L
.56263 .55482 L
.56124 .55299 L
.5607 .5523 L
.5598 .55106 L
.55877 .55002 L
.55792 .54914 L
.557 .54721 L
.55684 .547 L
.55572 .54528 L
.55492 .54409 L
.55447 .54336 L
.55342 .54143 L
F
0 .76 1 r
.55492 .54079 m
.55563 .54143 L
.55684 .54226 L
.55755 .54336 L
.55877 .54468 L
.5597 .54528 L
.5607 .54711 L
.56079 .54721 L
.56226 .54914 L
.56263 .54962 L
.5637 .55106 L
.56455 .55192 L
.56548 .55299 L
.56641 .55492 L
.56648 .55502 L
.56764 .55684 L
.56841 .55815 L
.56875 .55877 L
.56921 .5607 L
.56841 .56079 L
.56827 .5607 L
.56648 .55945 L
.56607 .55877 L
.56455 .55717 L
.56434 .55684 L
.56277 .55492 L
.56263 .55475 L
.5613 .55299 L
.5607 .55224 L
.55985 .55106 L
.55877 .54993 L
.558 .54914 L
.55705 .54721 L
.55684 .54692 L
.55578 .54528 L
.55492 .54399 L
.55454 .54336 L
.55355 .54143 L
F
0 .75 1 r
.55492 .54094 m
.55549 .54143 L
.55684 .54238 L
.55746 .54336 L
.55877 .54477 L
.55958 .54528 L
.5607 .54719 L
.56072 .54721 L
.5622 .54914 L
.56263 .54969 L
.56364 .55106 L
.56455 .55201 L
.56539 .55299 L
.56634 .55492 L
.56648 .55512 L
.56756 .55684 L
.56841 .55832 L
.56865 .55877 L
.56841 .5606 L
.56648 .55931 L
.56616 .55877 L
.56455 .55707 L
.5644 .55684 L
.56283 .55492 L
.56263 .55468 L
.56135 .55299 L
.5607 .55217 L
.5599 .55106 L
.55877 .54984 L
.55809 .54914 L
.55711 .54721 L
.55684 .54684 L
.55584 .54528 L
.55492 .54388 L
.55461 .54336 L
.5537 .54143 L
F
1 .87 0 r
.55492 .4739 m
.55501 .47399 L
.55684 .47587 L
.55687 .47591 L
.55858 .47784 L
.55877 .47804 L
.56024 .47977 L
.5607 .48029 L
.56187 .48169 L
.56263 .48248 L
.56346 .48362 L
.56455 .48499 L
.56511 .48555 L
.56648 .48741 L
.56652 .48747 L
.56807 .4894 L
.56841 .48977 L
.56959 .49133 L
.57033 .49232 L
.57113 .49326 L
.57226 .49485 L
.57244 .49518 L
.57404 .49711 L
.57419 .49727 L
.57603 .49904 L
.57611 .49984 L
.57698 .50096 L
.57804 .50244 L
.57824 .50289 L
.57989 .50482 L
.57997 .50491 L
.58166 .50674 L
.58189 .5075 L
.58275 .50867 L
.58382 .51013 L
.58398 .5106 L
.58567 .51253 L
.58575 .51262 L
.58733 .51445 L
.58768 .51524 L
.58847 .51638 L
.5896 .51789 L
.58969 .51831 L
.59139 .52023 L
.59153 .5204 L
.593 .52216 L
.59346 .52304 L
.59415 .52409 L
.59538 .5257 L
.59539 .52601 L
.59708 .52794 L
.59731 .52822 L
.59865 .52987 L
.59924 .53089 L
.59981 .53179 L
.60116 .53353 L
.60134 .53372 L
.60274 .53565 L
.60309 .53607 L
.60428 .53758 L
.60502 .53876 L
.60545 .5395 L
.60694 .5414 L
.60698 .54143 L
.60838 .54336 L
.60887 .54396 L
.60989 .54528 L
.6108 .54667 L
.61109 .54721 L
.61259 .54914 L
.61273 .54921 L
.61456 .55106 L
.61465 .55188 L
.61548 .55299 L
.61658 .55462 L
.61672 .55492 L
.61818 .55684 L
.61851 .55707 L
.62008 .55877 L
.62043 .55986 L
.62103 .5607 L
.62236 .56262 L
.62236 .56263 L
.62373 .56455 L
.62429 .56501 L
.62555 .56648 L
.62621 .56793 L
.62654 .56841 L
.62787 .57033 L
.62814 .57071 L
.62923 .57226 L
.63007 .57314 L
.63091 .57419 L
.63197 .57611 L
.63199 .57615 L
.63328 .57804 L
.63392 .57894 L
.63462 .57997 L
.63585 .58163 L
.63605 .58189 L
.63724 .58382 L
.63778 .58459 L
.63852 .58575 L
.6397 .58751 L
.63981 .58768 L
.64095 .5896 L
.64163 .59068 L
.64207 .59153 L
.64163 .59278 L
.64041 .59153 L
.6397 .59085 L
.63861 .5896 L
.63778 .5887 L
.63692 .58768 L
.63585 .58661 L
.63528 .58575 L
.63392 .58412 L
.63358 .58382 L
.63214 .58189 L
.63199 .58172 L
.63061 .57997 L
.63007 .57943 L
.62909 .57804 L
.62814 .57685 L
.62743 .57611 L
.62621 .57433 L
.62611 .57419 L
.62461 .57226 L
.62429 .57193 L
.62314 .57033 L
.62236 .56933 L
.62155 .56841 L
.62043 .56675 L
.62027 .56648 L
.61876 .56455 L
.61851 .56429 L
.61669 .56263 L
.61658 .56167 L
.61578 .5607 L
.61465 .55906 L
.6145 .55877 L
.61299 .55684 L
.61273 .55657 L
.61108 .55492 L
.6108 .55393 L
.61007 .55299 L
.60887 .55129 L
.60877 .55106 L
.60727 .54914 L
.60694 .54879 L
.60545 .54721 L
.60502 .54612 L
.60439 .54528 L
.60309 .54348 L
.60305 .54336 L
.60158 .54143 L
.60116 .54097 L
.59983 .5395 L
.59924 .53828 L
.59873 .53758 L
.59732 .53565 L
.59731 .53565 L
.59592 .53372 L
.59538 .53312 L
.59423 .53179 L
.59346 .5304 L
.59309 .52987 L
.59167 .52794 L
.59153 .5279 L
.59028 .52601 L
.5896 .52524 L
.58863 .52409 L
.58768 .5225 L
.58746 .52216 L
.58605 .52023 L
.58575 .52011 L
.58466 .51831 L
.58382 .51732 L
.58306 .51638 L
.58189 .51455 L
.58183 .51445 L
.58045 .51253 L
.57997 .51225 L
.57906 .5106 L
.57804 .50934 L
.57752 .50867 L
.57624 .50674 L
.57611 .50657 L
.57488 .50482 L
.57419 .50429 L
.57289 .50289 L
.57226 .50129 L
.57201 .50096 L
.57071 .49904 L
.57033 .49854 L
.56934 .49711 L
.56841 .49617 L
.56756 .49518 L
.56656 .49326 L
.56648 .49315 L
.56523 .49133 L
.56455 .49041 L
.56387 .4894 L
.56263 .4878 L
.56237 .48747 L
.56118 .48555 L
.5607 .48489 L
.55987 .48362 L
.55877 .48207 L
.55853 .48169 L
.55726 .47977 L
.55684 .47917 L
.55605 .47784 L
.55492 .47612 L
.5548 .47591 L
.55387 .47399 L
F
0 .74 1 r
.55492 .54109 m
.55533 .54143 L
.55684 .5425 L
.55737 .54336 L
.55877 .54487 L
.55944 .54528 L
.56065 .54721 L
.5607 .54727 L
.56213 .54914 L
.56263 .54977 L
.56358 .55106 L
.56455 .55212 L
.5653 .55299 L
.56627 .55492 L
.56648 .55523 L
.56748 .55684 L
.56841 .55851 L
.56854 .55877 L
.56841 .56035 L
.56648 .55915 L
.56626 .55877 L
.56455 .55697 L
.56447 .55684 L
.56289 .55492 L
.56263 .55461 L
.5614 .55299 L
.5607 .5521 L
.55994 .55106 L
.55877 .54974 L
.55819 .54914 L
.55717 .54721 L
.55684 .54676 L
.5559 .54528 L
.55492 .54377 L
.55468 .54336 L
.55388 .54143 L
F
1 .99 0 r
.55492 .53408 m
.55684 .53437 L
.55877 .53537 L
.55913 .53565 L
.5607 .53727 L
.56096 .53758 L
.56245 .5395 L
.56263 .53968 L
.5636 .54143 L
.56455 .5422 L
.56543 .54336 L
.56648 .54481 L
.56684 .54528 L
.56822 .54721 L
.56841 .5475 L
.56937 .54914 L
.57033 .55034 L
.57111 .55106 L
.57226 .55268 L
.5725 .55299 L
.57386 .55492 L
.57419 .55533 L
.57496 .55684 L
.57611 .55802 L
.57673 .55877 L
.57804 .56065 L
.57809 .5607 L
.57942 .56263 L
.57997 .56338 L
.5804 .56455 L
.58161 .56648 L
.57997 .56689 L
.57804 .56691 L
.57683 .56648 L
.57611 .56597 L
.57443 .56455 L
.57419 .56355 L
.57343 .56263 L
.57226 .56093 L
.57215 .5607 L
.57069 .55877 L
.57033 .55834 L
.5688 .55684 L
.56841 .55568 L
.56778 .55492 L
.56648 .55305 L
.56645 .55299 L
.56505 .55106 L
.56455 .55067 L
.56322 .54914 L
.56263 .54789 L
.56216 .54721 L
.56081 .54528 L
.5607 .54514 L
.55943 .54336 L
.55877 .54246 L
.55766 .54143 L
.55684 .53981 L
.55658 .5395 L
.55525 .53758 L
.55492 .53709 L
.55397 .53565 L
F
0 .73 1 r
.55492 .54126 m
.55514 .54143 L
.55684 .54265 L
.55727 .54336 L
.55877 .54497 L
.55929 .54528 L
.56058 .54721 L
.5607 .54735 L
.56207 .54914 L
.56263 .54985 L
.56352 .55106 L
.56455 .55223 L
.56521 .55299 L
.5662 .55492 L
.56648 .55534 L
.5674 .55684 L
.56841 .55874 L
.56842 .55877 L
.56841 .56003 L
.56648 .55898 L
.56636 .55877 L
.56455 .55687 L
.56453 .55684 L
.56295 .55492 L
.56263 .55453 L
.56146 .55299 L
.5607 .55204 L
.55999 .55106 L
.55877 .54964 L
.55829 .54914 L
.55723 .54721 L
.55684 .54667 L
.55596 .54528 L
.55492 .54364 L
.55476 .54336 L
.5541 .54143 L
F
1 .23 0 r
.55492 .48986 m
.55603 .49133 L
.55684 .49228 L
.55758 .49326 L
.55877 .49472 L
.55911 .49518 L
.56061 .49711 L
.5607 .49722 L
.56203 .49904 L
.56263 .49977 L
.56349 .50096 L
.56455 .50231 L
.56497 .50289 L
.56643 .50482 L
.56648 .50488 L
.5678 .50674 L
.56841 .50751 L
.56922 .50867 L
.57033 .51013 L
.57066 .5106 L
.57206 .51253 L
.57226 .51278 L
.57341 .51445 L
.57419 .51548 L
.5748 .51638 L
.57611 .51817 L
.57621 .51831 L
.57749 .52023 L
.57804 .52096 L
.5788 .52216 L
.57997 .52378 L
.58016 .52409 L
.57997 .52562 L
.57877 .52409 L
.57804 .52328 L
.57719 .52216 L
.57611 .52088 L
.57563 .52023 L
.57419 .51843 L
.57409 .51831 L
.57265 .51638 L
.57226 .51591 L
.5712 .51445 L
.57033 .51338 L
.56972 .51253 L
.56841 .51083 L
.56824 .5106 L
.56683 .50867 L
.56648 .50824 L
.56542 .50674 L
.56455 .50562 L
.56398 .50482 L
.56263 .50302 L
.56254 .50289 L
.56119 .50096 L
.5607 .50034 L
.55981 .49904 L
.55877 .49766 L
.5584 .49711 L
.55702 .49518 L
.55684 .49495 L
.55574 .49326 L
.55492 .49216 L
.55439 .49133 L
F
0 .98 1 r
.55492 .56809 m
.55684 .56788 L
.55827 .56841 L
.55877 .56875 L
.56025 .57033 L
.5607 .57104 L
.56177 .57226 L
.56263 .57339 L
.56351 .57419 L
.56455 .57593 L
.5647 .57611 L
.56609 .57804 L
.56648 .57856 L
.56748 .57997 L
.56841 .58098 L
.56909 .58189 L
.5703 .58382 L
.57033 .58387 L
.57163 .58575 L
.57226 .58662 L
.57299 .58768 L
.57419 .58938 L
.57441 .5896 L
.57558 .59153 L
.57611 .59236 L
.57673 .59346 L
.57757 .59538 L
.57611 .59632 L
.57501 .59538 L
.57419 .59471 L
.57285 .59346 L
.57226 .59277 L
.57052 .59153 L
.57033 .59053 L
.56943 .5896 L
.56841 .5881 L
.56808 .58768 L
.56648 .5859 L
.56636 .58575 L
.56476 .58382 L
.56455 .58334 L
.56351 .58189 L
.56263 .58068 L
.56238 .57997 L
.5607 .57811 L
.56054 .57804 L
.55906 .57611 L
.55877 .57567 L
.55789 .57419 L
.55684 .573 L
.55679 .57226 L
.55519 .57033 L
.55492 .56976 L
.55439 .56841 L
F
1 .98 0 r
.55492 .53469 m
.55684 .53493 L
.55824 .53565 L
.55877 .53598 L
.5605 .53758 L
.5607 .53778 L
.56214 .5395 L
.56263 .54001 L
.56335 .54143 L
.56455 .54246 L
.56525 .54336 L
.56648 .54502 L
.56668 .54528 L
.56809 .54721 L
.56841 .5477 L
.56924 .54914 L
.57033 .5505 L
.57099 .55106 L
.57226 .55284 L
.57237 .55299 L
.57375 .55492 L
.57419 .55549 L
.57484 .55684 L
.57611 .55819 L
.57658 .55877 L
.57801 .5607 L
.57804 .56088 L
.57921 .56263 L
.57997 .56381 L
.58017 .56455 L
.57997 .56647 L
.57804 .56646 L
.57611 .56553 L
.57464 .56455 L
.57419 .56333 L
.57357 .56263 L
.57226 .56079 L
.57221 .5607 L
.57078 .55877 L
.57033 .55824 L
.56886 .55684 L
.56841 .55559 L
.56784 .55492 L
.56649 .55299 L
.56648 .55297 L
.56511 .55106 L
.56455 .55061 L
.56328 .54914 L
.56263 .54779 L
.56223 .54721 L
.56088 .54528 L
.5607 .54503 L
.55951 .54336 L
.55877 .54234 L
.55777 .54143 L
.55684 .53964 L
.55672 .5395 L
.55547 .53758 L
.55492 .53665 L
.55442 .53565 L
F
1 .22 0 r
.55492 .48994 m
.55597 .49133 L
.55684 .49234 L
.55753 .49326 L
.55877 .49478 L
.55907 .49518 L
.56056 .49711 L
.5607 .49727 L
.56199 .49904 L
.56263 .49982 L
.56346 .50096 L
.56455 .50236 L
.56494 .50289 L
.56639 .50482 L
.56648 .50493 L
.56777 .50674 L
.56841 .50756 L
.56919 .50867 L
.57033 .51018 L
.57063 .5106 L
.57202 .51253 L
.57226 .51283 L
.57337 .51445 L
.57419 .51553 L
.57476 .51638 L
.57611 .51822 L
.57617 .51831 L
.57744 .52023 L
.57804 .52104 L
.57874 .52216 L
.57997 .52387 L
.5801 .52409 L
.57997 .52552 L
.57885 .52409 L
.57804 .52321 L
.57725 .52216 L
.57611 .52082 L
.57568 .52023 L
.57419 .51838 L
.57413 .51831 L
.57269 .51638 L
.57226 .51586 L
.57124 .51445 L
.57033 .51333 L
.56975 .51253 L
.56841 .51079 L
.56827 .5106 L
.56687 .50867 L
.56648 .50819 L
.56546 .50674 L
.56455 .50558 L
.56402 .50482 L
.56263 .50297 L
.56257 .50289 L
.56122 .50096 L
.5607 .50029 L
.55985 .49904 L
.55877 .49761 L
.55843 .49711 L
.55707 .49518 L
.55684 .49489 L
.55579 .49326 L
.55492 .49209 L
.55444 .49133 L
F
1 .21 0 r
.55492 .49003 m
.55591 .49133 L
.55684 .4924 L
.55748 .49326 L
.55877 .49483 L
.55903 .49518 L
.56051 .49711 L
.5607 .49733 L
.56195 .49904 L
.56263 .49987 L
.56342 .50096 L
.56455 .50241 L
.5649 .50289 L
.56635 .50482 L
.56648 .50498 L
.56773 .50674 L
.56841 .50761 L
.56915 .50867 L
.57033 .51022 L
.5706 .5106 L
.57198 .51253 L
.57226 .51289 L
.57332 .51445 L
.57419 .51559 L
.57472 .51638 L
.57611 .51828 L
.57613 .51831 L
.57738 .52023 L
.57804 .52111 L
.57869 .52216 L
.57997 .52396 L
.58004 .52409 L
.57997 .5254 L
.57894 .52409 L
.57804 .52313 L
.57731 .52216 L
.57611 .52076 L
.57572 .52023 L
.57419 .51833 L
.57417 .51831 L
.57274 .51638 L
.57226 .51581 L
.57128 .51445 L
.57033 .51328 L
.56979 .51253 L
.56841 .51074 L
.5683 .5106 L
.56691 .50867 L
.56648 .50814 L
.5655 .50674 L
.56455 .50553 L
.56405 .50482 L
.56263 .50292 L
.5626 .50289 L
.56127 .50096 L
.5607 .50023 L
.55989 .49904 L
.55877 .49755 L
.55847 .49711 L
.55712 .49518 L
.55684 .49482 L
.55584 .49326 L
.55492 .49202 L
.55449 .49133 L
F
0 .6 1 r
.55492 .48174 m
.55653 .48362 L
.55684 .48396 L
.55815 .48555 L
.55877 .48626 L
.55974 .48747 L
.5607 .48804 L
.56131 .4894 L
.56263 .49099 L
.56307 .49133 L
.56436 .49326 L
.56455 .49349 L
.56586 .49518 L
.56648 .49549 L
.56736 .49711 L
.56841 .49838 L
.56912 .49904 L
.57032 .50096 L
.57033 .50098 L
.57177 .50289 L
.57226 .50315 L
.57323 .50482 L
.57419 .50599 L
.57492 .50674 L
.57611 .50863 L
.57614 .50867 L
.57757 .5106 L
.57804 .51088 L
.57901 .51253 L
.57997 .51372 L
.58062 .51445 L
.58188 .51638 L
.58189 .5164 L
.58329 .51831 L
.58382 .51868 L
.58472 .52023 L
.58575 .52155 L
.58626 .52216 L
.58755 .52409 L
.58768 .52425 L
.58894 .52601 L
.5896 .52656 L
.59036 .52794 L
.59153 .52948 L
.59184 .52987 L
.59315 .53179 L
.59346 .5322 L
.59454 .53372 L
.59538 .53456 L
.5965 .53565 L
.59731 .53753 L
.59734 .53758 L
.59868 .5395 L
.59924 .54026 L
.60005 .54143 L
.60116 .54277 L
.60171 .54336 L
.60278 .54528 L
.60309 .54571 L
.60411 .54721 L
.60502 .54848 L
.60546 .54914 L
.60679 .55106 L
.60694 .55128 L
.60804 .55299 L
.60887 .55418 L
.60933 .55492 L
.61057 .55684 L
.6108 .55718 L
.61162 .55877 L
.6108 .55924 L
.61039 .55877 L
.60887 .55713 L
.60864 .55684 L
.607 .55492 L
.60694 .55486 L
.60544 .55299 L
.60502 .5525 L
.60389 .55106 L
.60309 .5501 L
.60234 .54914 L
.60116 .5478 L
.60081 .54721 L
.59931 .54528 L
.59924 .5452 L
.59784 .54336 L
.59731 .5427 L
.59635 .54143 L
.59538 .54033 L
.59436 .5395 L
.59346 .53766 L
.59338 .53758 L
.59196 .53565 L
.59153 .5351 L
.59051 .53372 L
.5896 .53268 L
.58864 .53179 L
.58768 .52997 L
.58759 .52987 L
.58619 .52794 L
.58575 .52737 L
.58476 .52601 L
.58382 .52492 L
.583 .52409 L
.58189 .52218 L
.58188 .52216 L
.58049 .52023 L
.57997 .51955 L
.57907 .51831 L
.57804 .51705 L
.57742 .51638 L
.57623 .51445 L
.57611 .5143 L
.57485 .51253 L
.57419 .5122 L
.57344 .5106 L
.57226 .50909 L
.57189 .50867 L
.57064 .50674 L
.57033 .50634 L
.56926 .50482 L
.56841 .50415 L
.56786 .50289 L
.56648 .501 L
.56645 .50096 L
.56512 .49904 L
.56455 .49827 L
.56376 .49711 L
.56263 .49584 L
.56237 .49518 L
.56103 .49326 L
.5607 .49281 L
.55971 .49133 L
.55877 .49002 L
.55836 .4894 L
.55704 .48747 L
.55684 .48721 L
.55581 .48555 L
.55492 .48427 L
.55453 .48362 L
F
1 .2 0 r
.55492 .49012 m
.55584 .49133 L
.55684 .49247 L
.55743 .49326 L
.55877 .49489 L
.55899 .49518 L
.56046 .49711 L
.5607 .49738 L
.56191 .49904 L
.56263 .49992 L
.56338 .50096 L
.56455 .50246 L
.56487 .50289 L
.5663 .50482 L
.56648 .50503 L
.56769 .50674 L
.56841 .50766 L
.56912 .50867 L
.57033 .51027 L
.57056 .5106 L
.57193 .51253 L
.57226 .51294 L
.57328 .51445 L
.57419 .51564 L
.57468 .51638 L
.57419 .51827 L
.57279 .51638 L
.57226 .51575 L
.57132 .51445 L
.57033 .51323 L
.56983 .51253 L
.56841 .51069 L
.56834 .5106 L
.56695 .50867 L
.56648 .50809 L
.56553 .50674 L
.56455 .50548 L
.56409 .50482 L
.56264 .50289 L
.56263 .50288 L
.56131 .50096 L
.5607 .50018 L
.55993 .49904 L
.55877 .4975 L
.55851 .49711 L
.55717 .49518 L
.55684 .49475 L
.55589 .49326 L
.55492 .49194 L
.55454 .49133 L
F
1 .94 0 r
.55492 .59182 m
.55612 .59346 L
.55684 .59436 L
.55759 .59538 L
.55877 .59692 L
.55906 .59731 L
.56047 .59924 L
.5607 .59952 L
.56186 .60116 L
.56263 .60216 L
.56328 .60309 L
.56455 .6048 L
.56471 .60502 L
.56602 .60694 L
.56648 .60754 L
.56736 .60887 L
.56841 .6103 L
.56873 .6108 L
.56841 .61185 L
.56767 .6108 L
.56648 .60944 L
.56608 .60887 L
.56455 .607 L
.56452 .60694 L
.56312 .60502 L
.56263 .60443 L
.56171 .60309 L
.5607 .60185 L
.56024 .60116 L
.55877 .5993 L
.55873 .59924 L
.55739 .59731 L
.55684 .59663 L
.55602 .59538 L
.55492 .59397 L
.55459 .59346 L
F
0 .59 1 r
.55492 .48188 m
.55643 .48362 L
.55684 .48406 L
.55807 .48555 L
.55877 .48635 L
.55968 .48747 L
.5607 .48813 L
.56126 .4894 L
.56263 .49106 L
.56298 .49133 L
.56431 .49326 L
.56455 .49355 L
.56581 .49518 L
.56648 .49553 L
.56732 .49711 L
.56841 .49844 L
.56906 .49904 L
.57028 .50096 L
.57033 .50103 L
.57174 .50289 L
.57226 .50318 L
.5732 .50482 L
.57419 .50603 L
.57488 .50674 L
.57611 .50867 L
.57611 .50867 L
.57754 .5106 L
.57804 .51091 L
.57898 .51253 L
.57997 .51376 L
.58059 .51445 L
.58185 .51638 L
.58189 .51643 L
.58326 .51831 L
.58382 .51871 L
.58469 .52023 L
.58575 .52159 L
.58623 .52216 L
.58752 .52409 L
.58768 .52429 L
.58892 .52601 L
.5896 .52659 L
.59033 .52794 L
.59153 .52953 L
.59181 .52987 L
.59312 .53179 L
.59346 .53224 L
.59451 .53372 L
.59538 .5346 L
.59645 .53565 L
.5973 .53758 L
.59731 .53758 L
.59865 .5395 L
.59924 .5403 L
.60002 .54143 L
.60116 .54283 L
.60164 .54336 L
.60274 .54528 L
.60309 .54576 L
.60406 .54721 L
.60502 .54854 L
.60542 .54914 L
.60673 .55106 L
.60694 .55136 L
.60798 .55299 L
.60887 .55428 L
.60927 .55492 L
.61047 .55684 L
.6108 .55735 L
.61146 .55877 L
.6108 .55907 L
.61053 .55877 L
.60887 .55702 L
.60873 .55684 L
.60708 .55492 L
.60694 .55477 L
.60551 .55299 L
.60502 .55243 L
.60394 .55106 L
.60309 .55004 L
.60239 .54914 L
.60116 .54773 L
.60085 .54721 L
.59935 .54528 L
.59924 .54515 L
.59788 .54336 L
.59731 .54265 L
.59639 .54143 L
.59538 .54029 L
.59441 .5395 L
.59346 .53762 L
.59342 .53758 L
.59199 .53565 L
.59153 .53506 L
.59054 .53372 L
.5896 .53264 L
.58868 .53179 L
.58768 .52993 L
.58762 .52987 L
.58621 .52794 L
.58575 .52734 L
.58478 .52601 L
.58382 .52488 L
.58304 .52409 L
.58191 .52216 L
.58189 .52214 L
.58051 .52023 L
.57997 .51952 L
.57909 .51831 L
.57804 .51702 L
.57745 .51638 L
.57626 .51445 L
.57611 .51427 L
.57487 .51253 L
.57419 .51217 L
.57346 .5106 L
.57226 .50905 L
.57193 .50867 L
.57067 .50674 L
.57033 .5063 L
.56929 .50482 L
.56841 .5041 L
.56789 .50289 L
.56649 .50096 L
.56648 .50095 L
.56515 .49904 L
.56455 .49822 L
.56379 .49711 L
.56263 .49576 L
.5624 .49518 L
.56107 .49326 L
.5607 .49275 L
.55976 .49133 L
.55877 .48996 L
.55841 .4894 L
.5571 .48747 L
.55684 .48713 L
.55587 .48555 L
.55492 .48416 L
.5546 .48362 L
F
1 .19 0 r
.55492 .49021 m
.55577 .49133 L
.55684 .49255 L
.55738 .49326 L
.55877 .49495 L
.55894 .49518 L
.56041 .49711 L
.5607 .49744 L
.56186 .49904 L
.56263 .49997 L
.56334 .50096 L
.56455 .50251 L
.56483 .50289 L
.56626 .50482 L
.56648 .50509 L
.56765 .50674 L
.56841 .50771 L
.56908 .50867 L
.57033 .51032 L
.57053 .5106 L
.57189 .51253 L
.57226 .513 L
.57324 .51445 L
.57419 .5157 L
.57464 .51638 L
.57419 .5182 L
.57284 .51638 L
.57226 .51569 L
.57136 .51445 L
.57033 .51318 L
.56986 .51253 L
.56841 .51065 L
.56837 .5106 L
.56699 .50867 L
.56648 .50804 L
.56557 .50674 L
.56455 .50543 L
.56412 .50482 L
.56268 .50289 L
.56263 .50282 L
.56135 .50096 L
.5607 .50012 L
.55997 .49904 L
.55877 .49744 L
.55855 .49711 L
.55723 .49518 L
.55684 .49468 L
.55595 .49326 L
.55492 .49185 L
.5546 .49133 L
F
0 .07 1 r
.55492 .49852 m
.55521 .49904 L
.55492 .49947 L
.55463 .49904 L
F
1 .18 0 r
.55492 .49032 m
.55568 .49133 L
.55684 .49262 L
.55732 .49326 L
.55877 .49501 L
.5589 .49518 L
.56036 .49711 L
.5607 .49751 L
.56181 .49904 L
.56263 .50003 L
.5633 .50096 L
.56455 .50256 L
.56479 .50289 L
.56621 .50482 L
.56648 .50514 L
.56761 .50674 L
.56841 .50776 L
.56904 .50867 L
.57033 .51037 L
.57049 .5106 L
.57184 .51253 L
.57226 .51306 L
.57319 .51445 L
.57419 .51577 L
.57459 .51638 L
.57419 .51813 L
.57289 .51638 L
.57226 .51563 L
.57141 .51445 L
.57033 .51312 L
.5699 .51253 L
.56841 .5106 L
.56841 .5106 L
.56703 .50867 L
.56648 .50798 L
.56561 .50674 L
.56455 .50538 L
.56416 .50482 L
.56273 .50289 L
.56263 .50276 L
.5614 .50096 L
.5607 .50007 L
.56001 .49904 L
.55877 .49738 L
.55859 .49711 L
.55729 .49518 L
.55684 .4946 L
.55602 .49326 L
.55492 .49176 L
.55466 .49133 L
F
0 .58 1 r
.55492 .48203 m
.55632 .48362 L
.55684 .48416 L
.55799 .48555 L
.55877 .48643 L
.55962 .48747 L
.5607 .48823 L
.5612 .4894 L
.56263 .49113 L
.56288 .49133 L
.56426 .49326 L
.56455 .49361 L
.56577 .49518 L
.56648 .49557 L
.56728 .49711 L
.56841 .49849 L
.56901 .49904 L
.57024 .50096 L
.57033 .50108 L
.5717 .50289 L
.57226 .50321 L
.57317 .50482 L
.57419 .50608 L
.57484 .50674 L
.57608 .50867 L
.57611 .50871 L
.57751 .5106 L
.57804 .51094 L
.57895 .51253 L
.57997 .5138 L
.58056 .51445 L
.58182 .51638 L
.58189 .51647 L
.58323 .51831 L
.58382 .51874 L
.58466 .52023 L
.58575 .52163 L
.5862 .52216 L
.58749 .52409 L
.58768 .52433 L
.58889 .52601 L
.5896 .52663 L
.5903 .52794 L
.59153 .52957 L
.59177 .52987 L
.59309 .53179 L
.59346 .53228 L
.59448 .53372 L
.59538 .53465 L
.5964 .53565 L
.59727 .53758 L
.59731 .53763 L
.59862 .5395 L
.59924 .54035 L
.59999 .54143 L
.60116 .5429 L
.60158 .54336 L
.6027 .54528 L
.60309 .54582 L
.60402 .54721 L
.60502 .54861 L
.60537 .54914 L
.60667 .55106 L
.60694 .55144 L
.60792 .55299 L
.60887 .55438 L
.6092 .55492 L
.61034 .55684 L
.6108 .55757 L
.61122 .55877 L
.6108 .55888 L
.6107 .55877 L
.60887 .5569 L
.60882 .55684 L
.60717 .55492 L
.60694 .55467 L
.60558 .55299 L
.60502 .55235 L
.604 .55106 L
.60309 .54998 L
.60244 .54914 L
.60116 .54766 L
.6009 .54721 L
.59939 .54528 L
.59924 .54509 L
.59791 .54336 L
.59731 .5426 L
.59642 .54143 L
.59538 .54024 L
.59447 .5395 L
.59346 .53758 L
.59346 .53757 L
.59202 .53565 L
.59153 .53502 L
.59057 .53372 L
.5896 .5326 L
.58872 .53179 L
.58768 .5299 L
.58765 .52987 L
.58624 .52794 L
.58575 .5273 L
.58481 .52601 L
.58382 .52484 L
.58307 .52409 L
.58193 .52216 L
.58189 .52211 L
.58054 .52023 L
.57997 .51948 L
.57912 .51831 L
.57804 .51698 L
.57749 .51638 L
.57628 .51445 L
.57611 .51423 L
.5749 .51253 L
.57419 .51213 L
.57349 .5106 L
.57226 .50901 L
.57197 .50867 L
.5707 .50674 L
.57033 .50626 L
.56932 .50482 L
.56841 .50405 L
.56792 .50289 L
.56652 .50096 L
.56648 .50091 L
.56519 .49904 L
.56455 .49818 L
.56382 .49711 L
.56263 .49568 L
.56243 .49518 L
.56111 .49326 L
.5607 .49269 L
.5598 .49133 L
.55877 .4899 L
.55845 .4894 L
.55716 .48747 L
.55684 .48704 L
.55594 .48555 L
.55492 .48404 L
.55468 .48362 L
F
1 .17 0 r
.55492 .49044 m
.55559 .49133 L
.55684 .4927 L
.55726 .49326 L
.55877 .49508 L
.55885 .49518 L
.5603 .49711 L
.5607 .49757 L
.56176 .49904 L
.56263 .50009 L
.56326 .50096 L
.56455 .50261 L
.56475 .50289 L
.56617 .50482 L
.56648 .5052 L
.56756 .50674 L
.56841 .50782 L
.569 .50867 L
.57033 .51043 L
.57045 .5106 L
.57179 .51253 L
.57226 .51312 L
.57315 .51445 L
.57419 .51583 L
.57455 .51638 L
.57419 .51806 L
.57295 .51638 L
.57226 .51557 L
.57145 .51445 L
.57033 .51307 L
.56994 .51253 L
.56846 .5106 L
.56841 .51054 L
.56708 .50867 L
.56648 .50793 L
.56565 .50674 L
.56455 .50533 L
.56419 .50482 L
.56277 .50289 L
.56263 .50271 L
.56144 .50096 L
.5607 .50001 L
.56005 .49904 L
.55877 .49732 L
.55863 .49711 L
.55736 .49518 L
.55684 .49452 L
.55608 .49326 L
.55492 .49165 L
.55473 .49133 L
F
0 .06 1 r
.55492 .49868 m
.5551 .49904 L
.55492 .49931 L
.55474 .49904 L
F
0 .57 1 r
.55492 .4822 m
.5562 .48362 L
.55684 .48427 L
.55791 .48555 L
.55877 .48651 L
.55955 .48747 L
.5607 .48834 L
.56115 .4894 L
.56263 .49121 L
.56278 .49133 L
.56421 .49326 L
.56455 .49367 L
.56573 .49518 L
.56648 .49562 L
.56724 .49711 L
.56841 .49854 L
.56896 .49904 L
.57021 .50096 L
.57033 .50112 L
.57167 .50289 L
.57226 .50324 L
.57314 .50482 L
.57419 .50612 L
.5748 .50674 L
.57605 .50867 L
.57611 .50875 L
.57748 .5106 L
.57804 .51096 L
.57893 .51253 L
.57997 .51384 L
.58052 .51445 L
.58179 .51638 L
.58189 .51651 L
.58321 .51831 L
.58382 .51877 L
.58464 .52023 L
.58575 .52167 L
.58617 .52216 L
.58746 .52409 L
.58768 .52437 L
.58886 .52601 L
.5896 .52666 L
.59028 .52794 L
.59153 .52961 L
.59174 .52987 L
.59306 .53179 L
.59346 .53232 L
.59445 .53372 L
.59538 .5347 L
.59635 .53565 L
.59724 .53758 L
.59731 .53767 L
.59858 .5395 L
.59924 .5404 L
.59995 .54143 L
.60116 .54298 L
.60151 .54336 L
.60265 .54528 L
.60309 .54588 L
.60398 .54721 L
.60502 .54867 L
.60533 .54914 L
.60661 .55106 L
.60694 .55153 L
.60785 .55299 L
.60887 .55449 L
.60913 .55492 L
.60887 .55677 L
.60727 .55492 L
.60694 .55458 L
.60565 .55299 L
.60502 .55227 L
.60406 .55106 L
.60309 .54991 L
.60249 .54914 L
.60116 .54758 L
.60094 .54721 L
.59944 .54528 L
.59924 .54504 L
.59796 .54336 L
.59731 .54255 L
.59646 .54143 L
.59538 .54019 L
.59453 .5395 L
.59349 .53758 L
.59346 .53753 L
.59205 .53565 L
.59153 .53498 L
.5906 .53372 L
.5896 .53256 L
.58876 .53179 L
.58768 .52987 L
.58768 .52986 L
.58627 .52794 L
.58575 .52726 L
.58483 .52601 L
.58382 .52481 L
.58311 .52409 L
.58196 .52216 L
.58189 .52207 L
.58056 .52023 L
.57997 .51945 L
.57914 .51831 L
.57804 .51694 L
.57752 .51638 L
.57631 .51445 L
.57611 .5142 L
.57492 .51253 L
.57419 .5121 L
.57351 .5106 L
.57226 .50897 L
.572 .50867 L
.57072 .50674 L
.57033 .50623 L
.56935 .50482 L
.56841 .504 L
.56795 .50289 L
.56655 .50096 L
.56648 .50087 L
.56522 .49904 L
.56455 .49813 L
.56385 .49711 L
.56263 .4956 L
.56247 .49518 L
.56115 .49326 L
.5607 .49263 L
.55984 .49133 L
.55877 .48983 L
.55849 .4894 L
.55722 .48747 L
.55684 .48694 L
.55602 .48555 L
.55492 .48391 L
.55476 .48362 L
F
1 .16 0 r
.55492 .49059 m
.55548 .49133 L
.55684 .49279 L
.55719 .49326 L
.55877 .49515 L
.5588 .49518 L
.56024 .49711 L
.5607 .49764 L
.56171 .49904 L
.56263 .50014 L
.56321 .50096 L
.56455 .50267 L
.56471 .50289 L
.56612 .50482 L
.56648 .50526 L
.56752 .50674 L
.56841 .50787 L
.56896 .50867 L
.57033 .51048 L
.57041 .5106 L
.57174 .51253 L
.57226 .51319 L
.5731 .51445 L
.57419 .5159 L
.5745 .51638 L
.57419 .51798 L
.57301 .51638 L
.57226 .5155 L
.5715 .51445 L
.57033 .51301 L
.56998 .51253 L
.56851 .5106 L
.56841 .51048 L
.56713 .50867 L
.56648 .50787 L
.56569 .50674 L
.56455 .50528 L
.56423 .50482 L
.56282 .50289 L
.56263 .50264 L
.56149 .50096 L
.5607 .49994 L
.5601 .49904 L
.55877 .49726 L
.55867 .49711 L
.55743 .49518 L
.55684 .49442 L
.55616 .49326 L
.55492 .49153 L
.55481 .49133 L
F
0 .72 1 r
.55492 .54145 m
.55684 .54281 L
.55717 .54336 L
.55877 .54507 L
.55913 .54528 L
.56051 .54721 L
.5607 .54743 L
.56201 .54914 L
.56263 .54994 L
.56346 .55106 L
.56455 .55235 L
.5651 .55299 L
.56613 .55492 L
.56648 .55546 L
.56731 .55684 L
.56827 .55877 L
.56648 .55879 L
.56647 .55877 L
.56461 .55684 L
.56455 .55678 L
.56302 .55492 L
.56263 .55446 L
.56151 .55299 L
.5607 .55197 L
.56004 .55106 L
.55877 .54953 L
.5584 .54914 L
.55729 .54721 L
.55684 .54658 L
.55603 .54528 L
.55492 .54351 L
.55484 .54336 L
F
0 .56 1 r
.55492 .48241 m
.55606 .48362 L
.55684 .48439 L
.55782 .48555 L
.55877 .4866 L
.55948 .48747 L
.5607 .48846 L
.56109 .4894 L
.56263 .49129 L
.56268 .49133 L
.56416 .49326 L
.56455 .49373 L
.56568 .49518 L
.56648 .49567 L
.5672 .49711 L
.56841 .4986 L
.5689 .49904 L
.57017 .50096 L
.57033 .50117 L
.57163 .50289 L
.57226 .50327 L
.57311 .50482 L
.57419 .50616 L
.57476 .50674 L
.57602 .50867 L
.57611 .5088 L
.57745 .5106 L
.57804 .51099 L
.5789 .51253 L
.57997 .51388 L
.58049 .51445 L
.58176 .51638 L
.58189 .51655 L
.58318 .51831 L
.58382 .5188 L
.58461 .52023 L
.58575 .52171 L
.58613 .52216 L
.58744 .52409 L
.58768 .5244 L
.58883 .52601 L
.5896 .5267 L
.59025 .52794 L
.59153 .52965 L
.5917 .52987 L
.59303 .53179 L
.59346 .53236 L
.59442 .53372 L
.59538 .53475 L
.5963 .53565 L
.5972 .53758 L
.59731 .53772 L
.59855 .5395 L
.59924 .54044 L
.59992 .54143 L
.60116 .54305 L
.60144 .54336 L
.60261 .54528 L
.60309 .54594 L
.60393 .54721 L
.60502 .54874 L
.60528 .54914 L
.60655 .55106 L
.60694 .55162 L
.60778 .55299 L
.60887 .55461 L
.60905 .55492 L
.60887 .55662 L
.60738 .55492 L
.60694 .55447 L
.60573 .55299 L
.60502 .55219 L
.60412 .55106 L
.60309 .54984 L
.60254 .54914 L
.60116 .54751 L
.60099 .54721 L
.59949 .54528 L
.59924 .54498 L
.598 .54336 L
.59731 .5425 L
.5965 .54143 L
.59538 .54013 L
.59459 .5395 L
.59353 .53758 L
.59346 .53749 L
.59209 .53565 L
.59153 .53494 L
.59063 .53372 L
.5896 .53252 L
.58881 .53179 L
.58771 .52987 L
.58768 .52982 L
.5863 .52794 L
.58575 .52723 L
.58486 .52601 L
.58382 .52477 L
.58314 .52409 L
.58199 .52216 L
.58189 .52204 L
.58059 .52023 L
.57997 .51941 L
.57917 .51831 L
.57804 .5169 L
.57756 .51638 L
.57634 .51445 L
.57611 .51416 L
.57495 .51253 L
.57419 .51206 L
.57354 .5106 L
.57226 .50892 L
.57204 .50867 L
.57075 .50674 L
.57033 .50619 L
.56938 .50482 L
.56841 .50394 L
.56797 .50289 L
.56659 .50096 L
.56648 .50082 L
.56525 .49904 L
.56455 .49809 L
.56389 .49711 L
.56263 .49551 L
.5625 .49518 L
.5612 .49326 L
.5607 .49257 L
.55989 .49133 L
.55877 .48976 L
.55854 .4894 L
.55729 .48747 L
.55684 .48684 L
.55609 .48555 L
.55492 .48376 L
.55485 .48362 L
F
1 .15 0 r
.55492 .49081 m
.55531 .49133 L
.55684 .49288 L
.55712 .49326 L
.55684 .49432 L
.55624 .49326 L
.55492 .49138 L
.55489 .49133 L
F
0 .05 1 r
.55492 .49899 m
.55493 .49904 L
.55492 .49906 L
.55491 .49904 L
F
0 .71 1 r
.55684 .54298 m
.55706 .54336 L
.55877 .54518 L
.55895 .54528 L
.56044 .54721 L
.5607 .54752 L
.56194 .54914 L
.56263 .55002 L
.5634 .55106 L
.56455 .55248 L
.56499 .55299 L
.56605 .55492 L
.56648 .55558 L
.56722 .55684 L
.56648 .55865 L
.56471 .55684 L
.56455 .55669 L
.56309 .55492 L
.56263 .55438 L
.56157 .55299 L
.5607 .5519 L
.56009 .55106 L
.55877 .54942 L
.55851 .54914 L
.55735 .54721 L
.55684 .54649 L
.5561 .54528 L
.55492 .54336 L
F
1 .97 0 r
.55684 .53543 m
.55736 .53565 L
.55877 .53642 L
.5601 .53758 L
.5607 .53814 L
.5619 .5395 L
.56263 .5403 L
.56316 .54143 L
.56455 .54269 L
.56508 .54336 L
.56648 .54522 L
.56653 .54528 L
.56798 .54721 L
.56841 .54788 L
.56912 .54914 L
.57033 .55063 L
.57087 .55106 L
.57226 .55299 L
.57226 .55299 L
.57364 .55492 L
.57419 .55564 L
.57473 .55684 L
.57611 .55836 L
.57644 .55877 L
.57798 .5607 L
.57804 .56113 L
.57901 .56263 L
.57997 .56436 L
.58001 .56455 L
.57997 .56574 L
.57804 .56609 L
.57611 .56518 L
.57496 .56455 L
.57419 .56312 L
.57372 .56263 L
.5723 .5607 L
.57226 .56067 L
.57086 .55877 L
.57033 .55815 L
.56892 .55684 L
.56841 .55551 L
.5679 .55492 L
.56656 .55299 L
.56648 .55289 L
.56517 .55106 L
.56455 .55054 L
.56334 .54914 L
.56263 .54769 L
.5623 .54721 L
.56096 .54528 L
.5607 .54493 L
.5596 .54336 L
.55877 .54221 L
.5579 .54143 L
.55688 .5395 L
.55684 .53945 L
.55571 .53758 L
.55501 .53565 L
F
0 .7 1 r
.55684 .54318 m
.55695 .54336 L
.55877 .54528 L
.55877 .54529 L
.56036 .54721 L
.5607 .54761 L
.56188 .54914 L
.56263 .5501 L
.56333 .55106 L
.56455 .55262 L
.56487 .55299 L
.56597 .55492 L
.56648 .55572 L
.56713 .55684 L
.56648 .55851 L
.5648 .55684 L
.56455 .55659 L
.56316 .55492 L
.56263 .5543 L
.56163 .55299 L
.5607 .55183 L
.56015 .55106 L
.55877 .54929 L
.55862 .54914 L
.55741 .54721 L
.55684 .54639 L
.55617 .54528 L
.55505 .54336 L
F
0 .97 1 r
.55684 .46779 m
.55708 .46821 L
.55877 .46997 L
.55918 .47013 L
.56065 .47206 L
.5607 .47212 L
.56233 .47399 L
.56263 .47421 L
.56397 .47591 L
.56455 .47664 L
.56599 .47784 L
.56648 .47907 L
.56704 .47977 L
.56841 .4815 L
.56844 .48169 L
.57021 .48362 L
.57033 .4838 L
.57187 .48555 L
.57226 .48633 L
.57306 .48747 L
.57419 .48894 L
.57475 .4894 L
.57611 .49122 L
.5762 .49133 L
.57772 .49326 L
.57804 .49381 L
.57893 .49518 L
.57997 .49652 L
.58064 .49711 L
.58189 .49882 L
.58206 .49904 L
.58351 .50096 L
.58382 .50146 L
.5847 .50289 L
.58575 .50422 L
.58642 .50482 L
.58768 .50654 L
.58783 .50674 L
.58924 .50867 L
.5896 .50921 L
.59039 .5106 L
.59153 .512 L
.59215 .51253 L
.59346 .51433 L
.59355 .51445 L
.59493 .51638 L
.59538 .51703 L
.59604 .51831 L
.59731 .51981 L
.59784 .52023 L
.59923 .52216 L
.59924 .52217 L
.60059 .52409 L
.60116 .52488 L
.60166 .52601 L
.60309 .52764 L
.60351 .52794 L
.60495 .52987 L
.60502 .53003 L
.60623 .53179 L
.60694 .53275 L
.60726 .53372 L
.60887 .53546 L
.60917 .53565 L
.61063 .53758 L
.6108 .53791 L
.61186 .5395 L
.61273 .54063 L
.61286 .54143 L
.61465 .54327 L
.61481 .54336 L
.61629 .54528 L
.61658 .5458 L
.61748 .54721 L
.61851 .54851 L
.61906 .54914 L
.62043 .55106 L
.62045 .55106 L
.62193 .55299 L
.62236 .55369 L
.62309 .55492 L
.62429 .55639 L
.62469 .55684 L
.62608 .55877 L
.62621 .55893 L
.62755 .5607 L
.62814 .56159 L
.62871 .56263 L
.63007 .56427 L
.63032 .56455 L
.63171 .56648 L
.63199 .56682 L
.63317 .56841 L
.63392 .5695 L
.63433 .57033 L
.63585 .57216 L
.63594 .57226 L
.63766 .57419 L
.63778 .57472 L
.63878 .57611 L
.6397 .57743 L
.63996 .57804 L
.64155 .57997 L
.64163 .58001 L
.64329 .58189 L
.64356 .58264 L
.64437 .58382 L
.64548 .58537 L
.6456 .58575 L
.64714 .58768 L
.64741 .58785 L
.64887 .5896 L
.64934 .5906 L
.64995 .59153 L
.65126 .59335 L
.65128 .59346 L
.65271 .59538 L
.65319 .59576 L
.6544 .59731 L
.65512 .59863 L
.6555 .59924 L
.65687 .60116 L
.65704 .6014 L
.65823 .60309 L
.65897 .60381 L
.65986 .60502 L
.6609 .60678 L
.66099 .60694 L
.66233 .60887 L
.66283 .60956 L
.66367 .6108 L
.66475 .61213 L
.66516 .61273 L
.66634 .61465 L
.66668 .61513 L
.66763 .61658 L
.66861 .61799 L
.66894 .61851 L
.67018 .62043 L
.67053 .62096 L
.67135 .62236 L
.67246 .62416 L
.67253 .62429 L
.67321 .62621 L
.67246 .62631 L
.67235 .62621 L
.67053 .62464 L
.6703 .62429 L
.66861 .62248 L
.6684 .62236 L
.66682 .62043 L
.66668 .62028 L
.66518 .61851 L
.66475 .61812 L
.66358 .61658 L
.66283 .61566 L
.66168 .61465 L
.6609 .61321 L
.66049 .61273 L
.65897 .61082 L
.65897 .6108 L
.65744 .60887 L
.65704 .60836 L
.65574 .60694 L
.65512 .60579 L
.65455 .60502 L
.65319 .60325 L
.65298 .60309 L
.65153 .60116 L
.65126 .60081 L
.64994 .59924 L
.64934 .59818 L
.64875 .59731 L
.64741 .59557 L
.64716 .59538 L
.64573 .59346 L
.64548 .59312 L
.64421 .59153 L
.64356 .59046 L
.64303 .5896 L
.64163 .58783 L
.64142 .58768 L
.64 .58575 L
.6397 .58534 L
.63852 .58382 L
.63778 .58266 L
.63734 .58189 L
.63585 .58006 L
.63572 .57997 L
.63399 .57804 L
.63392 .57752 L
.63285 .57611 L
.63199 .57483 L
.63168 .57419 L
.63007 .57227 L
.63005 .57226 L
.62833 .57033 L
.62814 .56966 L
.6272 .56841 L
.62621 .56698 L
.62602 .56648 L
.62439 .56455 L
.62429 .56444 L
.62269 .56263 L
.62236 .5618 L
.62157 .5607 L
.62043 .55912 L
.62034 .55877 L
.61874 .55684 L
.61851 .55659 L
.61706 .55492 L
.61658 .55392 L
.61593 .55299 L
.61465 .55126 L
.61464 .55106 L
.6131 .54914 L
.61273 .54872 L
.61144 .54721 L
.6108 .54603 L
.6103 .54528 L
.60887 .54338 L
.60885 .54336 L
.60746 .54143 L
.60694 .54085 L
.60584 .5395 L
.60502 .53813 L
.60467 .53758 L
.60322 .53565 L
.60309 .53559 L
.60183 .53372 L
.60116 .53296 L
.60023 .53179 L
.59924 .53023 L
.59903 .52987 L
.59759 .52794 L
.59731 .52779 L
.59554 .52601 L
.59538 .52505 L
.59464 .52409 L
.59346 .52231 L
.59338 .52216 L
.59197 .52023 L
.59153 .51994 L
.59 .51831 L
.5896 .51712 L
.58905 .51638 L
.58774 .51445 L
.58768 .51437 L
.58636 .51253 L
.58575 .51205 L
.58448 .5106 L
.58382 .50916 L
.58347 .50867 L
.58214 .50674 L
.58189 .50642 L
.58076 .50482 L
.57997 .50408 L
.57898 .50289 L
.57804 .50116 L
.5779 .50096 L
.57656 .49904 L
.57611 .49845 L
.57518 .49711 L
.57419 .49604 L
.57351 .49518 L
.57236 .49326 L
.57226 .49313 L
.57101 .49133 L
.57033 .49042 L
.56963 .4894 L
.56841 .48788 L
.5681 .48747 L
.56686 .48555 L
.56648 .48504 L
.56552 .48362 L
.56455 .4823 L
.56414 .48169 L
.56277 .47977 L
.56263 .47958 L
.56148 .47784 L
.5607 .47676 L
.56015 .47591 L
.5588 .47399 L
.55877 .47395 L
.5576 .47206 L
.55684 .47095 L
.55638 .47013 L
.55523 .46821 L
F
.55684 .56835 m
.55712 .56841 L
.55877 .5692 L
.55994 .57033 L
.5607 .57135 L
.56157 .57226 L
.56263 .57359 L
.56331 .57419 L
.56455 .57611 L
.56455 .57612 L
.56593 .57804 L
.56648 .57876 L
.56733 .57997 L
.56841 .58123 L
.5689 .58189 L
.5701 .58382 L
.57033 .58414 L
.57142 .58575 L
.57226 .58695 L
.57274 .58768 L
.574 .5896 L
.57419 .58989 L
.57508 .59153 L
.57587 .59346 L
.57419 .59356 L
.57404 .59346 L
.57226 .59193 L
.57129 .59153 L
.57033 .5899 L
.56995 .5896 L
.56841 .58773 L
.56835 .58768 L
.56672 .58575 L
.56648 .58543 L
.56494 .58382 L
.56455 .58293 L
.56377 .58189 L
.56263 .58036 L
.5625 .57997 L
.56081 .57804 L
.5607 .57794 L
.55925 .57611 L
.55877 .57535 L
.55814 .57419 L
.55684 .57247 L
.55684 .57226 L
.55562 .57033 L
.55597 .56841 L
F
1 .96 0 r
.55684 .5359 m
.55877 .53682 L
.5597 .53758 L
.5607 .53847 L
.56168 .5395 L
.56263 .54057 L
.56301 .54143 L
.56455 .54292 L
.56491 .54336 L
.56639 .54528 L
.56648 .54541 L
.56786 .54721 L
.56841 .54805 L
.56902 .54914 L
.57033 .55074 L
.57076 .55106 L
.57215 .55299 L
.57226 .55312 L
.57354 .55492 L
.57419 .55579 L
.57464 .55684 L
.57611 .55853 L
.5763 .55877 L
.57795 .5607 L
.57804 .5614 L
.57882 .56263 L
.57968 .56455 L
.57804 .56574 L
.57611 .56487 L
.57541 .56455 L
.57419 .56292 L
.57389 .56263 L
.57241 .5607 L
.57226 .56057 L
.57095 .55877 L
.57033 .55806 L
.56899 .55684 L
.56841 .55542 L
.56797 .55492 L
.56662 .55299 L
.56648 .5528 L
.56523 .55106 L
.56455 .55047 L
.56341 .54914 L
.56263 .54759 L
.56237 .54721 L
.56104 .54528 L
.5607 .54482 L
.55969 .54336 L
.55877 .54207 L
.55804 .54143 L
.55704 .5395 L
.55684 .5392 L
.55596 .53758 L
F
0 .96 1 r
.55684 .56894 m
.55877 .5696 L
.5596 .57033 L
.5607 .57159 L
.56136 .57226 L
.56263 .5738 L
.56308 .57419 L
.56438 .57611 L
.56455 .57634 L
.56578 .57804 L
.56648 .57898 L
.56718 .57997 L
.56841 .58153 L
.56867 .58189 L
.5699 .58382 L
.57033 .58443 L
.57119 .58575 L
.57226 .58734 L
.57247 .58768 L
.57356 .5896 L
.57419 .59085 L
.57438 .59153 L
.57419 .59222 L
.57278 .59153 L
.57226 .59118 L
.57057 .5896 L
.57033 .58938 L
.56875 .58768 L
.56841 .58737 L
.56708 .58575 L
.56648 .58502 L
.56516 .58382 L
.56455 .58257 L
.56402 .58189 L
.56263 .58009 L
.56259 .57997 L
.56105 .57804 L
.5607 .57771 L
.55943 .57611 L
.55877 .57499 L
.55836 .57419 L
.55706 .57226 L
.55684 .57187 L
.55608 .57033 L
F
0 .55 1 r
.55684 .48451 m
.55773 .48555 L
.55877 .4867 L
.55941 .48747 L
.5607 .48859 L
.56103 .4894 L
.56259 .49133 L
.56263 .49136 L
.56411 .49326 L
.56455 .49379 L
.56564 .49518 L
.56648 .49572 L
.56716 .49711 L
.56841 .49865 L
.56884 .49904 L
.57013 .50096 L
.57033 .50122 L
.5716 .50289 L
.57226 .5033 L
.57307 .50482 L
.57419 .50621 L
.57472 .50674 L
.57598 .50867 L
.57611 .50884 L
.57742 .5106 L
.57804 .51102 L
.57887 .51253 L
.57997 .51392 L
.58045 .51445 L
.58174 .51638 L
.58189 .51659 L
.58315 .51831 L
.58382 .51883 L
.58458 .52023 L
.58575 .52175 L
.5861 .52216 L
.58741 .52409 L
.58768 .52444 L
.58881 .52601 L
.5896 .52674 L
.59022 .52794 L
.59153 .5297 L
.59167 .52987 L
.593 .53179 L
.59346 .5324 L
.59439 .53372 L
.59538 .5348 L
.59625 .53565 L
.59717 .53758 L
.59731 .53776 L
.59851 .5395 L
.59924 .54049 L
.59988 .54143 L
.60116 .54313 L
.60137 .54336 L
.60257 .54528 L
.60309 .546 L
.60389 .54721 L
.60502 .54881 L
.60523 .54914 L
.60648 .55106 L
.60694 .55172 L
.60771 .55299 L
.60887 .55475 L
.60897 .55492 L
.60887 .55645 L
.6075 .55492 L
.60694 .55437 L
.60581 .55299 L
.60502 .55211 L
.60418 .55106 L
.60309 .54977 L
.60259 .54914 L
.60116 .54743 L
.60103 .54721 L
.59953 .54528 L
.59924 .54493 L
.59804 .54336 L
.59731 .54245 L
.59653 .54143 L
.59538 .54008 L
.59465 .5395 L
.59356 .53758 L
.59346 .53744 L
.59212 .53565 L
.59153 .5349 L
.59066 .53372 L
.5896 .53248 L
.58885 .53179 L
.58774 .52987 L
.58768 .52978 L
.58633 .52794 L
.58575 .52719 L
.58489 .52601 L
.58382 .52473 L
.58318 .52409 L
.58202 .52216 L
.58189 .522 L
.58062 .52023 L
.57997 .51938 L
.57919 .51831 L
.57804 .51686 L
.57759 .51638 L
.57636 .51445 L
.57611 .51413 L
.57498 .51253 L
.57419 .51203 L
.57356 .5106 L
.57226 .50888 L
.57208 .50867 L
.57078 .50674 L
.57033 .50615 L
.5694 .50482 L
.56841 .50389 L
.568 .50289 L
.56662 .50096 L
.56648 .50078 L
.56529 .49904 L
.56455 .49804 L
.56392 .49711 L
.56263 .49542 L
.56254 .49518 L
.56124 .49326 L
.5607 .49251 L
.55994 .49133 L
.55877 .48969 L
.55859 .4894 L
.55736 .48747 L
.55684 .48673 L
.55618 .48555 L
F
1 .86 0 r
.55684 .47618 m
.55836 .47784 L
.55877 .47827 L
.56007 .47977 L
.5607 .48048 L
.56172 .48169 L
.56263 .48264 L
.56333 .48362 L
.56455 .48513 L
.56498 .48555 L
.56644 .48747 L
.56648 .48753 L
.56797 .4894 L
.56841 .48987 L
.5695 .49133 L
.57033 .49242 L
.57106 .49326 L
.57226 .49493 L
.5724 .49518 L
.57398 .49711 L
.57419 .49735 L
.57601 .49904 L
.57611 .49992 L
.57693 .50096 L
.57804 .50251 L
.57821 .50289 L
.57984 .50482 L
.57997 .50497 L
.58164 .50674 L
.58189 .50756 L
.58271 .50867 L
.58382 .51019 L
.58396 .5106 L
.58562 .51253 L
.58575 .51267 L
.58731 .51445 L
.58768 .51529 L
.58843 .51638 L
.5896 .51794 L
.58968 .51831 L
.59135 .52023 L
.59153 .52044 L
.59298 .52216 L
.59346 .52309 L
.59412 .52409 L
.59538 .52574 L
.59539 .52601 L
.59705 .52794 L
.59731 .52826 L
.59863 .52987 L
.59924 .53093 L
.59978 .53179 L
.60116 .53357 L
.6013 .53372 L
.60271 .53565 L
.60309 .53611 L
.60425 .53758 L
.60502 .5388 L
.60543 .5395 L
.60694 .54143 L
.60694 .54143 L
.60835 .54336 L
.60887 .544 L
.60986 .54528 L
.6108 .54671 L
.61106 .54721 L
.61256 .54914 L
.61273 .54924 L
.61454 .55106 L
.61465 .55193 L
.61544 .55299 L
.61658 .55466 L
.6167 .55492 L
.61814 .55684 L
.61851 .5571 L
.62006 .55877 L
.62043 .55992 L
.62099 .5607 L
.62232 .56263 L
.62236 .56268 L
.62369 .56455 L
.62429 .56507 L
.6255 .56648 L
.62621 .56801 L
.62649 .56841 L
.62781 .57033 L
.62814 .57078 L
.62917 .57226 L
.63007 .57324 L
.63083 .57419 L
.63189 .57611 L
.63199 .57625 L
.6332 .57804 L
.63392 .57905 L
.63454 .57997 L
.63585 .58183 L
.6359 .58189 L
.63712 .58382 L
.63778 .58477 L
.63839 .58575 L
.63965 .58768 L
.6397 .58775 L
.64071 .5896 L
.64163 .59123 L
.64175 .59153 L
.64163 .59215 L
.64086 .59153 L
.6397 .59054 L
.63885 .5896 L
.63778 .58847 L
.6371 .58768 L
.63585 .5864 L
.63543 .58575 L
.63392 .58395 L
.63377 .58382 L
.63226 .58189 L
.63199 .58158 L
.63072 .57997 L
.63007 .57932 L
.62918 .57804 L
.62814 .57675 L
.62752 .57611 L
.62621 .57425 L
.62617 .57419 L
.62468 .57226 L
.62429 .57186 L
.6232 .57033 L
.62236 .56926 L
.62161 .56841 L
.62043 .56669 L
.6203 .56648 L
.61881 .56455 L
.61851 .56424 L
.61671 .56263 L
.61658 .56162 L
.61582 .5607 L
.61465 .55901 L
.61453 .55877 L
.61302 .55684 L
.61273 .55653 L
.6111 .55492 L
.6108 .55388 L
.6101 .55299 L
.60887 .55125 L
.60879 .55106 L
.6073 .54914 L
.60694 .54876 L
.60548 .54721 L
.60502 .54608 L
.60442 .54528 L
.60309 .54345 L
.60306 .54336 L
.60161 .54143 L
.60116 .54094 L
.59986 .5395 L
.59924 .53824 L
.59876 .53758 L
.59734 .53565 L
.59731 .53564 L
.59595 .53372 L
.59538 .53309 L
.59425 .53179 L
.59346 .53037 L
.59311 .52987 L
.5917 .52794 L
.59153 .5279 L
.5903 .52601 L
.5896 .52521 L
.58866 .52409 L
.58768 .52246 L
.58748 .52216 L
.58608 .52023 L
.58575 .5201 L
.58468 .51831 L
.58382 .51728 L
.58309 .51638 L
.58189 .51451 L
.58186 .51445 L
.58048 .51253 L
.57997 .51222 L
.57909 .5106 L
.57804 .50929 L
.57755 .50867 L
.57628 .50674 L
.57611 .50653 L
.57491 .50482 L
.57419 .50424 L
.57294 .50289 L
.57226 .50123 L
.57206 .50096 L
.57075 .49904 L
.57033 .49848 L
.56939 .49711 L
.56841 .49609 L
.56763 .49518 L
.56661 .49326 L
.56648 .49308 L
.56529 .49133 L
.56455 .49032 L
.56393 .4894 L
.56263 .48765 L
.56248 .48747 L
.56126 .48555 L
.5607 .48476 L
.55996 .48362 L
.55877 .48193 L
.55862 .48169 L
.55741 .47977 L
.55684 .47894 L
.55622 .47784 L
F
0 .69 1 r
.55684 .54338 m
.55867 .54528 L
.55877 .54539 L
.56029 .54721 L
.5607 .5477 L
.56181 .54914 L
.56263 .55019 L
.56327 .55106 L
.56455 .55277 L
.56474 .55299 L
.56589 .55492 L
.56648 .55586 L
.56703 .55684 L
.56648 .55835 L
.56491 .55684 L
.56455 .55649 L
.56324 .55492 L
.56263 .55422 L
.56169 .55299 L
.5607 .55175 L
.5602 .55106 L
.55877 .54917 L
.55874 .54914 L
.55748 .54721 L
.55684 .54628 L
.55624 .54528 L
F
1 .95 0 r
.55684 .53636 m
.55877 .53719 L
.55928 .53758 L
.5607 .53878 L
.56146 .5395 L
.56263 .54082 L
.56289 .54143 L
.56455 .54313 L
.56474 .54336 L
.56626 .54528 L
.56648 .5456 L
.56776 .54721 L
.56841 .54821 L
.56892 .54914 L
.57033 .55084 L
.57065 .55106 L
.57205 .55299 L
.57226 .55324 L
.57345 .55492 L
.57419 .55594 L
.57456 .55684 L
.57611 .55871 L
.57616 .55877 L
.57792 .5607 L
.57804 .56169 L
.57863 .56263 L
.57927 .56455 L
.57804 .56539 L
.57611 .56458 L
.57604 .56455 L
.57419 .56273 L
.57408 .56263 L
.57252 .5607 L
.57226 .56048 L
.57103 .55877 L
.57033 .55796 L
.56906 .55684 L
.56841 .55534 L
.56804 .55492 L
.56669 .55299 L
.56648 .55272 L
.5653 .55106 L
.56455 .55039 L
.56348 .54914 L
.56263 .54748 L
.56244 .54721 L
.56112 .54528 L
.5607 .54471 L
.55978 .54336 L
.55877 .54193 L
.5582 .54143 L
.55721 .5395 L
.55684 .53888 L
.55625 .53758 L
F
0 .54 1 r
.55684 .48465 m
.55762 .48555 L
.55877 .48679 L
.55934 .48747 L
.5607 .48873 L
.56097 .4894 L
.56253 .49133 L
.56263 .49143 L
.56406 .49326 L
.56455 .49385 L
.56559 .49518 L
.56648 .49578 L
.56712 .49711 L
.56841 .49871 L
.56878 .49904 L
.57009 .50096 L
.57033 .50126 L
.57156 .50289 L
.57226 .50334 L
.57304 .50482 L
.57419 .50626 L
.57468 .50674 L
.57595 .50867 L
.57611 .50888 L
.57739 .5106 L
.57804 .51106 L
.57884 .51253 L
.57997 .51396 L
.58042 .51445 L
.58171 .51638 L
.58189 .51662 L
.58312 .51831 L
.58382 .51886 L
.58455 .52023 L
.58575 .52179 L
.58606 .52216 L
.58738 .52409 L
.58768 .52448 L
.58878 .52601 L
.5896 .52678 L
.59019 .52794 L
.59153 .52974 L
.59163 .52987 L
.59297 .53179 L
.59346 .53244 L
.59436 .53372 L
.59538 .53486 L
.59619 .53565 L
.59713 .53758 L
.59731 .53781 L
.59848 .5395 L
.59924 .54054 L
.59985 .54143 L
.60116 .54321 L
.60129 .54336 L
.60252 .54528 L
.60309 .54607 L
.60384 .54721 L
.60502 .54888 L
.60519 .54914 L
.60642 .55106 L
.60694 .55182 L
.60763 .55299 L
.60887 .5549 L
.60888 .55492 L
.60887 .55624 L
.60764 .55492 L
.60694 .55425 L
.6059 .55299 L
.60502 .55202 L
.60425 .55106 L
.60309 .5497 L
.60265 .54914 L
.60116 .54735 L
.60108 .54721 L
.59958 .54528 L
.59924 .54487 L
.59808 .54336 L
.59731 .5424 L
.59657 .54143 L
.59538 .54003 L
.59472 .5395 L
.5936 .53758 L
.59346 .5374 L
.59215 .53565 L
.59153 .53486 L
.59069 .53372 L
.5896 .53243 L
.5889 .53179 L
.58777 .52987 L
.58768 .52974 L
.58635 .52794 L
.58575 .52716 L
.58491 .52601 L
.58382 .52469 L
.58322 .52409 L
.58204 .52216 L
.58189 .52197 L
.58064 .52023 L
.57997 .51935 L
.57922 .51831 L
.57804 .51682 L
.57763 .51638 L
.57639 .51445 L
.57611 .51409 L
.575 .51253 L
.57419 .51198 L
.57359 .5106 L
.57226 .50883 L
.57212 .50867 L
.57081 .50674 L
.57033 .50611 L
.56943 .50482 L
.56841 .50383 L
.56803 .50289 L
.56665 .50096 L
.56648 .50073 L
.56532 .49904 L
.56455 .49799 L
.56396 .49711 L
.56263 .49533 L
.56257 .49518 L
.56129 .49326 L
.5607 .49244 L
.55998 .49133 L
.55877 .48961 L
.55864 .4894 L
.55744 .48747 L
.55684 .48661 L
.55627 .48555 L
F
0 .68 1 r
.55684 .54352 m
.55857 .54528 L
.55877 .54549 L
.56021 .54721 L
.5607 .54779 L
.56174 .54914 L
.56263 .55028 L
.5632 .55106 L
.56455 .55293 L
.56461 .55299 L
.56581 .55492 L
.56648 .55602 L
.56693 .55684 L
.56648 .55818 L
.56503 .55684 L
.56455 .55639 L
.56331 .55492 L
.56263 .55414 L
.56175 .55299 L
.5607 .55168 L
.56026 .55106 L
.55882 .54914 L
.55877 .54907 L
.55755 .54721 L
.55684 .54617 L
.55632 .54528 L
F
1 .14 0 r
.55684 .49299 m
.55704 .49326 L
.55684 .4942 L
.55634 .49326 L
F
0 .53 1 r
.55684 .4848 m
.55751 .48555 L
.55877 .48689 L
.55926 .48747 L
.5607 .48888 L
.5609 .4894 L
.56247 .49133 L
.56263 .4915 L
.56401 .49326 L
.56455 .49391 L
.56554 .49518 L
.56648 .49585 L
.56707 .49711 L
.56841 .49877 L
.56871 .49904 L
.57005 .50096 L
.57033 .50131 L
.57153 .50289 L
.57226 .50338 L
.57301 .50482 L
.57419 .5063 L
.57463 .50674 L
.57592 .50867 L
.57611 .50892 L
.57736 .5106 L
.57804 .51109 L
.57881 .51253 L
.57997 .514 L
.58038 .51445 L
.58168 .51638 L
.58189 .51666 L
.58309 .51831 L
.58382 .5189 L
.58453 .52023 L
.58575 .52183 L
.58603 .52216 L
.58735 .52409 L
.58768 .52452 L
.58875 .52601 L
.5896 .52682 L
.59017 .52794 L
.59153 .52979 L
.59159 .52987 L
.59294 .53179 L
.59346 .53248 L
.59433 .53372 L
.59538 .53491 L
.59614 .53565 L
.5971 .53758 L
.59731 .53786 L
.59844 .5395 L
.59924 .54059 L
.59981 .54143 L
.60116 .5433 L
.60122 .54336 L
.60248 .54528 L
.60309 .54613 L
.6038 .54721 L
.60502 .54895 L
.60514 .54914 L
.60634 .55106 L
.60694 .55194 L
.60755 .55299 L
.60694 .55413 L
.60599 .55299 L
.60502 .55194 L
.60432 .55106 L
.60309 .54963 L
.6027 .54914 L
.60116 .54727 L
.60113 .54721 L
.59963 .54528 L
.59924 .54481 L
.59812 .54336 L
.59731 .54235 L
.59661 .54143 L
.59538 .53997 L
.59478 .5395 L
.59364 .53758 L
.59346 .53735 L
.59219 .53565 L
.59153 .53481 L
.59072 .53372 L
.5896 .53239 L
.58894 .53179 L
.5878 .52987 L
.58768 .5297 L
.58638 .52794 L
.58575 .52712 L
.58494 .52601 L
.58382 .52465 L
.58326 .52409 L
.58207 .52216 L
.58189 .52193 L
.58067 .52023 L
.57997 .51931 L
.57924 .51831 L
.57804 .51678 L
.57767 .51638 L
.57642 .51445 L
.57611 .51405 L
.57503 .51253 L
.57419 .51194 L
.57362 .5106 L
.57226 .50879 L
.57216 .50867 L
.57084 .50674 L
.57033 .50607 L
.56946 .50482 L
.56841 .50376 L
.56806 .50289 L
.56669 .50096 L
.56648 .50068 L
.56536 .49904 L
.56455 .49794 L
.56399 .49711 L
.56263 .49523 L
.56261 .49518 L
.56134 .49326 L
.5607 .49237 L
.56003 .49133 L
.55877 .48953 L
.55869 .4894 L
.55753 .48747 L
.55684 .48647 L
.55637 .48555 L
F
0 .67 1 r
.55684 .54367 m
.55846 .54528 L
.55877 .5456 L
.56013 .54721 L
.5607 .54788 L
.56167 .54914 L
.56263 .55037 L
.56313 .55106 L
.5645 .55299 L
.56455 .55306 L
.56572 .55492 L
.56648 .55619 L
.56681 .55684 L
.56648 .55798 L
.56516 .55684 L
.56455 .55628 L
.5634 .55492 L
.56263 .55405 L
.56182 .55299 L
.5607 .5516 L
.56031 .55106 L
.55889 .54914 L
.55877 .54898 L
.55762 .54721 L
.55684 .54605 L
.5564 .54528 L
F
1 .85 0 r
.55684 .47653 m
.5581 .47784 L
.55877 .47851 L
.55988 .47977 L
.5607 .48068 L
.56156 .48169 L
.56263 .48281 L
.5632 .48362 L
.56455 .48528 L
.56484 .48555 L
.56633 .48747 L
.56648 .48765 L
.56788 .4894 L
.56841 .48997 L
.56942 .49133 L
.57033 .49252 L
.57098 .49326 L
.57226 .49501 L
.57235 .49518 L
.57391 .49711 L
.57419 .49743 L
.57599 .49904 L
.57611 .5 L
.57688 .50096 L
.57804 .50257 L
.57818 .50289 L
.57979 .50482 L
.57997 .50503 L
.58162 .50674 L
.58189 .50763 L
.58267 .50867 L
.58382 .51024 L
.58394 .5106 L
.58558 .51253 L
.58575 .51272 L
.58729 .51445 L
.58768 .51535 L
.5884 .51638 L
.5896 .51798 L
.58967 .51831 L
.59132 .52023 L
.59153 .52049 L
.59295 .52216 L
.59346 .52313 L
.59409 .52409 L
.59538 .52577 L
.59539 .52601 L
.59701 .52794 L
.59731 .5283 L
.5986 .52987 L
.59924 .53097 L
.59976 .53179 L
.60116 .5336 L
.60127 .53372 L
.60268 .53565 L
.60309 .53615 L
.60423 .53758 L
.60502 .53884 L
.6054 .5395 L
.60691 .54143 L
.60694 .54145 L
.60831 .54336 L
.60887 .54404 L
.60983 .54528 L
.6108 .54676 L
.61104 .54721 L
.61252 .54914 L
.61273 .54926 L
.61453 .55106 L
.61465 .55197 L
.61541 .55299 L
.61658 .55471 L
.61668 .55492 L
.6181 .55684 L
.61851 .55713 L
.62003 .55877 L
.62043 .55997 L
.62095 .5607 L
.62228 .56263 L
.62236 .56274 L
.62364 .56455 L
.62429 .56512 L
.62545 .56648 L
.62621 .56808 L
.62644 .56841 L
.62776 .57033 L
.62814 .57086 L
.62911 .57226 L
.63007 .57334 L
.63074 .57419 L
.63182 .57611 L
.63199 .57636 L
.63312 .57804 L
.63392 .57917 L
.63445 .57997 L
.63577 .58189 L
.63585 .582 L
.637 .58382 L
.63778 .58497 L
.63825 .58575 L
.63944 .58768 L
.6397 .58809 L
.64041 .5896 L
.6397 .59017 L
.63915 .5896 L
.63778 .58822 L
.6373 .58768 L
.63585 .58616 L
.63559 .58575 L
.63396 .58382 L
.63392 .58378 L
.63238 .58189 L
.63199 .58144 L
.63082 .57997 L
.63007 .57921 L
.62927 .57804 L
.62814 .57664 L
.62761 .57611 L
.62623 .57419 L
.62621 .57416 L
.62475 .57226 L
.62429 .57179 L
.62326 .57033 L
.62236 .56918 L
.62167 .56841 L
.62043 .56663 L
.62034 .56648 L
.61886 .56455 L
.61851 .56419 L
.61674 .56263 L
.61658 .56156 L
.61587 .5607 L
.61465 .55896 L
.61455 .55877 L
.61306 .55684 L
.61273 .55648 L
.61112 .55492 L
.6108 .55383 L
.61013 .55299 L
.60887 .55121 L
.60881 .55106 L
.60733 .54914 L
.60694 .54872 L
.6055 .54721 L
.60502 .54605 L
.60444 .54528 L
.60309 .54341 L
.60307 .54336 L
.60164 .54143 L
.60116 .54091 L
.59988 .5395 L
.59924 .53821 L
.59878 .53758 L
.59737 .53565 L
.59731 .53564 L
.59597 .53372 L
.59538 .53306 L
.59427 .53179 L
.59346 .53033 L
.59314 .52987 L
.59173 .52794 L
.59153 .52789 L
.59033 .52601 L
.5896 .52517 L
.58869 .52409 L
.58768 .52242 L
.5875 .52216 L
.58611 .52023 L
.58575 .52008 L
.58471 .51831 L
.58382 .51724 L
.58312 .51638 L
.58189 .51447 L
.58188 .51445 L
.58051 .51253 L
.57997 .51219 L
.57912 .5106 L
.57804 .50925 L
.57759 .50867 L
.57631 .50674 L
.57611 .50648 L
.57495 .50482 L
.57419 .50419 L
.57299 .50289 L
.57226 .50117 L
.57211 .50096 L
.57079 .49904 L
.57033 .49842 L
.56943 .49711 L
.56841 .496 L
.56771 .49518 L
.56667 .49326 L
.56648 .493 L
.56535 .49133 L
.56455 .49024 L
.56399 .4894 L
.56263 .4875 L
.56261 .48747 L
.56135 .48555 L
.5607 .48463 L
.56006 .48362 L
.55877 .48177 L
.55872 .48169 L
.55757 .47977 L
.55684 .47867 L
.55641 .47784 L
F
1 .13 0 r
.55684 .49311 m
.55695 .49326 L
.55684 .49405 L
.55647 .49326 L
F
0 .52 1 r
.55684 .48497 m
.55737 .48555 L
.55877 .487 L
.55917 .48747 L
.5607 .48905 L
.56083 .4894 L
.56241 .49133 L
.56263 .49158 L
.56395 .49326 L
.56455 .49397 L
.5655 .49518 L
.56648 .49591 L
.56703 .49711 L
.56841 .49883 L
.56864 .49904 L
.57001 .50096 L
.57033 .50136 L
.57149 .50289 L
.57226 .50343 L
.57297 .50482 L
.57419 .50635 L
.57459 .50674 L
.57589 .50867 L
.57611 .50896 L
.57733 .5106 L
.57804 .51113 L
.57878 .51253 L
.57997 .51405 L
.58034 .51445 L
.58165 .51638 L
.58189 .5167 L
.58307 .51831 L
.58382 .51894 L
.5845 .52023 L
.58575 .52188 L
.58599 .52216 L
.58732 .52409 L
.58768 .52456 L
.58872 .52601 L
.5896 .52687 L
.59014 .52794 L
.59153 .52984 L
.59156 .52987 L
.59291 .53179 L
.59346 .53252 L
.5943 .53372 L
.59538 .53497 L
.59608 .53565 L
.59706 .53758 L
.59731 .53791 L
.59841 .5395 L
.59924 .54064 L
.59978 .54143 L
.60115 .54336 L
.60116 .54338 L
.60243 .54528 L
.60309 .5462 L
.60375 .54721 L
.60502 .54903 L
.60508 .54914 L
.60627 .55106 L
.60694 .55206 L
.60746 .55299 L
.60694 .554 L
.60609 .55299 L
.60502 .55184 L
.60439 .55106 L
.60309 .54956 L
.60276 .54914 L
.60118 .54721 L
.60116 .54719 L
.59968 .54528 L
.59924 .54476 L
.59817 .54336 L
.59731 .5423 L
.59665 .54143 L
.59538 .53991 L
.59485 .5395 L
.59367 .53758 L
.59346 .53731 L
.59222 .53565 L
.59153 .53477 L
.59075 .53372 L
.5896 .53234 L
.58899 .53179 L
.58783 .52987 L
.58768 .52967 L
.58641 .52794 L
.58575 .52708 L
.58497 .52601 L
.58382 .5246 L
.5833 .52409 L
.5821 .52216 L
.58189 .52189 L
.5807 .52023 L
.57997 .51928 L
.57927 .51831 L
.57804 .51674 L
.57771 .51638 L
.57645 .51445 L
.57611 .51402 L
.57506 .51253 L
.57419 .5119 L
.57364 .5106 L
.57226 .50874 L
.5722 .50867 L
.57087 .50674 L
.57033 .50603 L
.56949 .50482 L
.56841 .5037 L
.56809 .50289 L
.56672 .50096 L
.56648 .50064 L
.56539 .49904 L
.56455 .49789 L
.56403 .49711 L
.56265 .49518 L
.56263 .49515 L
.56139 .49326 L
.5607 .4923 L
.56008 .49133 L
.55877 .48945 L
.55874 .4894 L
.55762 .48747 L
.55684 .4863 L
.55649 .48555 L
F
0 .66 1 r
.55684 .54383 m
.55834 .54528 L
.55877 .54571 L
.56004 .54721 L
.5607 .54798 L
.5616 .54914 L
.56263 .55046 L
.56307 .55106 L
.56442 .55299 L
.56455 .55318 L
.56563 .55492 L
.56648 .55641 L
.56669 .55684 L
.56648 .55774 L
.56532 .55684 L
.56455 .55616 L
.56348 .55492 L
.56263 .55396 L
.56188 .55299 L
.5607 .55152 L
.56037 .55106 L
.55896 .54914 L
.55877 .54888 L
.5577 .54721 L
.55684 .54592 L
.55649 .54528 L
F
0 .65 1 r
.55684 .54402 m
.55821 .54528 L
.55877 .54583 L
.55995 .54721 L
.5607 .54808 L
.56152 .54914 L
.56263 .55056 L
.56299 .55106 L
.56433 .55299 L
.56455 .5533 L
.56553 .55492 L
.56648 .55669 L
.56654 .55684 L
.56648 .55739 L
.56551 .55684 L
.56455 .55604 L
.56357 .55492 L
.56263 .55387 L
.56195 .55299 L
.5607 .55144 L
.56043 .55106 L
.55904 .54914 L
.55877 .54878 L
.55778 .54721 L
.55684 .54577 L
.55659 .54528 L
F
1 .94 0 r
.55684 .53693 m
.55877 .53755 L
.5588 .53758 L
.5607 .53906 L
.56121 .5395 L
.56263 .54106 L
.56279 .54143 L
.56455 .54333 L
.56457 .54336 L
.56613 .54528 L
.56648 .54577 L
.56766 .54721 L
.56841 .54836 L
.56884 .54914 L
.57033 .55092 L
.57054 .55106 L
.57195 .55299 L
.57226 .55336 L
.57335 .55492 L
.57419 .55609 L
.57449 .55684 L
.57603 .55877 L
.57611 .5589 L
.57786 .5607 L
.57804 .56201 L
.57841 .56263 L
.5788 .56455 L
.57804 .56502 L
.57652 .56455 L
.57611 .56432 L
.57427 .56263 L
.57419 .56261 L
.57264 .5607 L
.57226 .56038 L
.57112 .55877 L
.57033 .55786 L
.56915 .55684 L
.56841 .55525 L
.56812 .55492 L
.56676 .55299 L
.56648 .55263 L
.56536 .55106 L
.56455 .5503 L
.56356 .54914 L
.56263 .54737 L
.56252 .54721 L
.5612 .54528 L
.5607 .54459 L
.55987 .54336 L
.55877 .54177 L
.55838 .54143 L
.55739 .5395 L
.55684 .53843 L
.55659 .53758 L
F
0 .95 1 r
.55684 .56972 m
.55877 .57 L
.55919 .57033 L
.5607 .57182 L
.56114 .57226 L
.56263 .57403 L
.56282 .57419 L
.5642 .57611 L
.56455 .57656 L
.56561 .57804 L
.56648 .5792 L
.56702 .57997 L
.56841 .58188 L
.56841 .58189 L
.56968 .58382 L
.57033 .58477 L
.57094 .58575 L
.57214 .58768 L
.57226 .58789 L
.57294 .5896 L
.57226 .59031 L
.57131 .5896 L
.57033 .58879 L
.56923 .58768 L
.56841 .58698 L
.56745 .58575 L
.56648 .58463 L
.56545 .58382 L
.56455 .58224 L
.56426 .58189 L
.56275 .57997 L
.56263 .5798 L
.56129 .57804 L
.5607 .57746 L
.55965 .57611 L
.55877 .57457 L
.55859 .57419 L
.55738 .57226 L
.55684 .57108 L
.5566 .57033 L
F
0 .51 1 r
.55684 .48519 m
.5572 .48555 L
.55877 .48711 L
.55908 .48747 L
.5607 .48923 L
.56076 .4894 L
.56234 .49133 L
.56263 .49165 L
.5639 .49326 L
.56455 .49403 L
.56545 .49518 L
.56648 .49599 L
.56699 .49711 L
.56841 .49889 L
.56857 .49904 L
.56997 .50096 L
.57033 .50141 L
.57145 .50289 L
.57226 .50347 L
.57294 .50482 L
.57419 .5064 L
.57454 .50674 L
.57585 .50867 L
.57611 .509 L
.5773 .5106 L
.57804 .51116 L
.57875 .51253 L
.57997 .51409 L
.5803 .51445 L
.58162 .51638 L
.58189 .51674 L
.58304 .51831 L
.58382 .51898 L
.58447 .52023 L
.58575 .52192 L
.58596 .52216 L
.58729 .52409 L
.58768 .52459 L
.58869 .52601 L
.5896 .52691 L
.59011 .52794 L
.59152 .52987 L
.59153 .52988 L
.59288 .53179 L
.59346 .53257 L
.59427 .53372 L
.59538 .53503 L
.59601 .53565 L
.59703 .53758 L
.59731 .53796 L
.59837 .5395 L
.59924 .54069 L
.59974 .54143 L
.6011 .54336 L
.60116 .54344 L
.60238 .54528 L
.60309 .54627 L
.6037 .54721 L
.60502 .54911 L
.60503 .54914 L
.60618 .55106 L
.60694 .5522 L
.60736 .55299 L
.60694 .55385 L
.60621 .55299 L
.60502 .55175 L
.60446 .55106 L
.60309 .54948 L
.60282 .54914 L
.60124 .54721 L
.60116 .54712 L
.59973 .54528 L
.59924 .5447 L
.59821 .54336 L
.59731 .54225 L
.59669 .54143 L
.59538 .53985 L
.59493 .5395 L
.59371 .53758 L
.59346 .53726 L
.59225 .53565 L
.59153 .53473 L
.59078 .53372 L
.5896 .5323 L
.58904 .53179 L
.58787 .52987 L
.58768 .52963 L
.58644 .52794 L
.58575 .52705 L
.585 .52601 L
.58382 .52456 L
.58334 .52409 L
.58213 .52216 L
.58189 .52186 L
.58072 .52023 L
.57997 .51924 L
.5793 .51831 L
.57804 .51669 L
.57775 .51638 L
.57647 .51445 L
.57611 .51398 L
.57508 .51253 L
.57419 .51185 L
.57367 .5106 L
.57226 .50869 L
.57224 .50867 L
.5709 .50674 L
.57033 .50599 L
.56952 .50482 L
.56841 .50363 L
.56812 .50289 L
.56676 .50096 L
.56648 .50059 L
.56543 .49904 L
.56455 .49784 L
.56406 .49711 L
.56269 .49518 L
.56263 .49509 L
.56144 .49326 L
.5607 .49223 L
.56013 .49133 L
.55881 .4894 L
.55877 .48935 L
.55772 .48747 L
.55684 .48608 L
.55664 .48555 L
F
1 .84 0 r
.55684 .47699 m
.55777 .47784 L
.55877 .47878 L
.55967 .47977 L
.5607 .48088 L
.5614 .48169 L
.56263 .483 L
.56306 .48362 L
.56455 .48543 L
.56469 .48555 L
.56622 .48747 L
.56648 .48778 L
.56778 .4894 L
.56841 .49008 L
.56933 .49133 L
.57033 .49262 L
.57091 .49326 L
.57226 .49509 L
.57231 .49518 L
.57384 .49711 L
.57419 .4975 L
.57596 .49904 L
.57611 .50008 L
.57683 .50096 L
.57804 .50263 L
.57816 .50289 L
.57974 .50482 L
.57997 .50508 L
.58159 .50674 L
.58189 .50769 L
.58263 .50867 L
.58382 .51029 L
.58393 .5106 L
.58554 .51253 L
.58575 .51277 L
.58726 .51445 L
.58768 .5154 L
.58837 .51638 L
.5896 .51802 L
.58966 .51831 L
.59128 .52023 L
.59153 .52053 L
.59293 .52216 L
.59346 .52318 L
.59406 .52409 L
.59538 .52581 L
.59539 .52601 L
.59698 .52794 L
.59731 .52834 L
.59857 .52987 L
.59924 .53101 L
.59973 .53179 L
.60116 .53364 L
.60124 .53372 L
.60265 .53565 L
.60309 .53619 L
.6042 .53758 L
.60502 .53888 L
.60538 .5395 L
.60688 .54143 L
.60694 .54146 L
.60828 .54336 L
.60887 .54408 L
.6098 .54528 L
.6108 .5468 L
.61102 .54721 L
.61249 .54914 L
.61273 .54928 L
.61451 .55106 L
.61465 .55202 L
.61538 .55299 L
.61658 .55476 L
.61665 .55492 L
.61807 .55684 L
.61851 .55717 L
.62 .55877 L
.62043 .56003 L
.62091 .5607 L
.62223 .56263 L
.62236 .5628 L
.6236 .56455 L
.62429 .56518 L
.6254 .56648 L
.62621 .56817 L
.62638 .56841 L
.6277 .57033 L
.62814 .57094 L
.62905 .57226 L
.63007 .57346 L
.63065 .57419 L
.63174 .57611 L
.63199 .57647 L
.63304 .57804 L
.63392 .57929 L
.63437 .57997 L
.63566 .58189 L
.63585 .58217 L
.63687 .58382 L
.63778 .58519 L
.63811 .58575 L
.63919 .58768 L
.6397 .58862 L
.63986 .5896 L
.6397 .58966 L
.63963 .5896 L
.63778 .58795 L
.63753 .58768 L
.63585 .58589 L
.63576 .58575 L
.63411 .58382 L
.63392 .58361 L
.63251 .58189 L
.63199 .5813 L
.63092 .57997 L
.63007 .57909 L
.62936 .57804 L
.62814 .57653 L
.62771 .57611 L
.62631 .57419 L
.62621 .57407 L
.62482 .57226 L
.62429 .57171 L
.62332 .57033 L
.62236 .56911 L
.62173 .56841 L
.62043 .56656 L
.62038 .56648 L
.61891 .56455 L
.61851 .56413 L
.61677 .56263 L
.61658 .5615 L
.61591 .5607 L
.61465 .55891 L
.61458 .55877 L
.6131 .55684 L
.61273 .55644 L
.61115 .55492 L
.6108 .55379 L
.61017 .55299 L
.60887 .55117 L
.60882 .55106 L
.60736 .54914 L
.60694 .54868 L
.60552 .54721 L
.60502 .54601 L
.60447 .54528 L
.60309 .54338 L
.60308 .54336 L
.60167 .54143 L
.60116 .54088 L
.5999 .5395 L
.59924 .53817 L
.59881 .53758 L
.5974 .53565 L
.59731 .53564 L
.596 .53372 L
.59538 .53303 L
.5943 .53179 L
.59346 .5303 L
.59316 .52987 L
.59176 .52794 L
.59153 .52788 L
.59036 .52601 L
.5896 .52514 L
.58872 .52409 L
.58768 .52239 L
.58753 .52216 L
.58614 .52023 L
.58575 .52006 L
.58474 .51831 L
.58382 .5172 L
.58316 .51638 L
.58191 .51445 L
.58189 .51443 L
.58054 .51253 L
.57997 .51216 L
.57915 .5106 L
.57804 .5092 L
.57763 .50867 L
.57635 .50674 L
.57611 .50643 L
.57498 .50482 L
.57419 .50414 L
.57304 .50289 L
.57226 .5011 L
.57215 .50096 L
.57084 .49904 L
.57033 .49836 L
.56948 .49711 L
.56841 .49591 L
.56779 .49518 L
.56673 .49326 L
.56648 .49292 L
.56541 .49133 L
.56455 .49015 L
.56406 .4894 L
.5627 .48747 L
.56263 .48738 L
.56144 .48555 L
.5607 .48449 L
.56015 .48362 L
.55885 .48169 L
.55877 .48158 L
.55775 .47977 L
.55684 .47829 L
.55665 .47784 L
F
0 .64 1 r
.55684 .54424 m
.55806 .54528 L
.55877 .54595 L
.55986 .54721 L
.5607 .54818 L
.56144 .54914 L
.56263 .55066 L
.56292 .55106 L
.56424 .55299 L
.56455 .55344 L
.56543 .55492 L
.56455 .55591 L
.56367 .55492 L
.56263 .55377 L
.56202 .55299 L
.5607 .55135 L
.56049 .55106 L
.55912 .54914 L
.55877 .54867 L
.55787 .54721 L
.55684 .5456 L
.55669 .54528 L
F
1 .45 0 r
.55684 .5518 m
.55736 .55299 L
.55684 .55312 L
.55673 .55299 L
F
0 .63 1 r
.55684 .54455 m
.55787 .54528 L
.55877 .54608 L
.55976 .54721 L
.5607 .54828 L
.56136 .54914 L
.56263 .55077 L
.56284 .55106 L
.56415 .55299 L
.56455 .55359 L
.56531 .55492 L
.56455 .55577 L
.56378 .55492 L
.56263 .55367 L
.5621 .55299 L
.5607 .55126 L
.56056 .55106 L
.5592 .54914 L
.55877 .54855 L
.55796 .54721 L
.55684 .54537 L
.5568 .54528 L
F
0 .97 1 r
.55684 .58597 m
.55788 .58768 L
.55877 .58897 L
.55916 .5896 L
.55877 .5903 L
.55837 .5896 L
.55684 .58769 L
.55684 .58768 L
F
1 .97 0 r
.67631 .70701 m
.67809 .70715 L
.67824 .70717 L
.68017 .70769 L
.68209 .70841 L
.68366 .70907 L
.68402 .70926 L
.68595 .7102 L
.68747 .711 L
.68788 .71122 L
.6898 .71231 L
.69086 .71293 L
.69173 .71345 L
.69366 .71464 L
.694 .71485 L
.69558 .71587 L
.69698 .71678 L
.69751 .71713 L
.69944 .71843 L
.69985 .71871 L
.70136 .71975 L
.70264 .72063 L
.70329 .72109 L
.70522 .72246 L
.70536 .72256 L
.70715 .72384 L
.70804 .72449 L
.70907 .72524 L
.71067 .72641 L
.711 .72666 L
.71293 .7281 L
.71325 .72834 L
.71485 .72955 L
.7158 .73027 L
.71678 .73102 L
.71831 .7322 L
.71871 .7325 L
.72063 .734 L
.7208 .73412 L
.72256 .73551 L
.72325 .73605 L
.72449 .73703 L
.72569 .73798 L
.72641 .73856 L
.7281 .7399 L
.72834 .7401 L
.73027 .74165 L
.73049 .74183 L
.7322 .74322 L
.73286 .74376 L
.73412 .74479 L
.73521 .74568 L
.73605 .74637 L
.73755 .74761 L
.73798 .74796 L
.73987 .74954 L
.7399 .74956 L
.74183 .75118 L
.74218 .75146 L
.74376 .7528 L
.74447 .75339 L
.74568 .75442 L
.74674 .75532 L
.74761 .75606 L
.74901 .75725 L
.74954 .7577 L
.75126 .75917 L
.75146 .75935 L
.75339 .761 L
.7535 .7611 L
.75532 .76267 L
.75573 .76303 L
.75725 .76435 L
.75794 .76495 L
.75917 .76603 L
.76015 .76688 L
.7611 .76771 L
.76235 .76881 L
.76303 .76941 L
.76453 .77073 L
.76495 .77111 L
.76671 .77266 L
.76688 .77281 L
.76881 .77453 L
.76888 .77459 L
.77073 .77625 L
.77103 .77651 L
.77266 .77798 L
.77318 .77844 L
.77459 .77972 L
.77531 .78037 L
.77651 .78146 L
.77744 .7823 L
.77844 .7832 L
.77956 .78422 L
.78037 .78496 L
.78168 .78615 L
.7823 .78672 L
.78378 .78808 L
.78422 .78848 L
.78588 .79 L
.78615 .79025 L
.78797 .79193 L
.78808 .79203 L
.79 .79381 L
.79005 .79386 L
.79193 .79561 L
.79212 .79578 L
.79386 .79741 L
.79418 .79771 L
.79578 .79921 L
.79624 .79964 L
.79771 .80102 L
.79829 .80156 L
.79964 .80284 L
.80033 .80349 L
.80156 .80466 L
.80236 .80542 L
.80349 .80649 L
.80439 .80735 L
.80542 .80833 L
.80641 .80927 L
.80735 .81017 L
.80842 .8112 L
.80927 .81202 L
.81043 .81313 L
.8112 .81387 L
.81243 .81505 L
.81313 .81573 L
.81442 .81698 L
.81505 .8176 L
.8164 .81891 L
.81698 .81947 L
.81838 .82083 L
.81891 .82135 L
.82035 .82276 L
.82083 .82324 L
.82231 .82469 L
.82276 .82513 L
.82427 .82661 L
.82469 .82703 L
.82621 .82854 L
.82661 .82894 L
.82815 .83047 L
.82854 .83086 L
.83009 .8324 L
.83047 .83278 L
.83201 .83432 L
.8324 .83471 L
.83393 .83625 L
.83432 .83664 L
.83584 .83818 L
.83625 .83859 L
.83774 .8401 L
.83818 .84054 L
.83964 .84203 L
.8401 .8425 L
.84153 .84396 L
.84203 .84447 L
.84341 .84588 L
.84396 .84645 L
.84528 .84781 L
.84588 .84843 L
.84715 .84974 L
.84781 .85043 L
.849 .85166 L
.84974 .85243 L
.85085 .85359 L
.85166 .85444 L
.85269 .85552 L
.85359 .85646 L
.85453 .85745 L
.85552 .85849 L
.85635 .85937 L
.85745 .86053 L
.85817 .8613 L
.85937 .86258 L
.85997 .86323 L
.8613 .86465 L
.86177 .86515 L
.86323 .86672 L
.86356 .86708 L
.86515 .8688 L
.86534 .86901 L
.86708 .8709 L
.86711 .87093 L
.86887 .87286 L
.86901 .87301 L
.87062 .87479 L
.87093 .87514 L
.87235 .87671 L
.87286 .87728 L
.87408 .87864 L
.87479 .87943 L
.8758 .88057 L
.87671 .8816 L
.8775 .8825 L
.87864 .88379 L
.87919 .88442 L
.88057 .886 L
.88087 .88635 L
.8825 .88822 L
.88254 .88828 L
.88419 .8902 L
.88442 .89047 L
.88583 .89213 L
.88635 .89275 L
.88745 .89406 L
.88828 .89505 L
.88905 .89598 L
.8902 .89737 L
.89064 .89791 L
.89213 .89973 L
.89221 .89984 L
.89376 .90177 L
.89406 .90213 L
.89529 .90369 L
.89598 .90457 L
.8968 .90562 L
.89791 .90706 L
.89828 .90755 L
.89974 .90947 L
.89984 .90961 L
.90116 .9114 L
.90177 .91223 L
.90255 .91333 L
.90369 .91495 L
.9039 .91525 L
.90521 .91718 L
.90562 .91779 L
.90647 .91911 L
.90755 .92083 L
.90767 .92103 L
.9088 .92296 L
.90947 .92417 L
.90983 .92489 L
.91075 .92682 L
.9114 .92838 L
.91149 .92874 L
.91196 .93067 L
.91186 .9326 L
.9114 .93327 L
.90947 .93401 L
.90755 .93374 L
.90562 .93317 L
.90398 .9326 L
.90369 .93242 L
.90177 .93154 L
.90003 .93067 L
.89984 .93056 L
.89791 .92951 L
.89655 .92874 L
.89598 .92841 L
.89406 .92725 L
.89335 .92682 L
.89213 .92605 L
.89032 .92489 L
.8902 .92481 L
.88828 .92354 L
.8874 .92296 L
.88635 .92225 L
.88458 .92103 L
.88442 .92092 L
.8825 .91958 L
.88183 .91911 L
.88057 .91821 L
.87914 .91718 L
.87864 .91682 L
.87671 .91541 L
.87649 .91525 L
.87479 .91399 L
.87389 .91333 L
.87286 .91255 L
.87132 .9114 L
.87093 .9111 L
.86901 .90964 L
.86879 .90947 L
.86708 .90816 L
.86628 .90755 L
.86515 .90667 L
.8638 .90562 L
.86323 .90517 L
.86134 .90369 L
.8613 .90366 L
.85937 .90213 L
.85891 .90177 L
.85745 .90059 L
.8565 .89984 L
.85552 .89905 L
.85411 .89791 L
.85359 .89749 L
.85174 .89598 L
.85166 .89592 L
.84974 .89433 L
.84941 .89406 L
.84781 .89272 L
.8471 .89213 L
.84588 .8911 L
.84481 .8902 L
.84396 .88947 L
.84254 .88828 L
.84203 .88783 L
.84031 .88635 L
.8401 .88617 L
.83818 .88449 L
.83809 .88442 L
.83625 .8828 L
.8359 .8825 L
.83432 .88109 L
.83373 .88057 L
.8324 .87937 L
.83157 .87864 L
.83047 .87765 L
.82942 .87671 L
.82854 .87592 L
.82728 .87479 L
.82661 .87418 L
.82515 .87286 L
.82469 .87244 L
.82301 .87093 L
.82276 .87071 L
.82088 .86901 L
.82083 .86897 L
.81891 .86724 L
.81873 .86708 L
.81698 .86551 L
.81658 .86515 L
.81505 .86379 L
.81442 .86323 L
.81313 .86208 L
.81224 .8613 L
.8112 .86038 L
.81005 .85937 L
.80927 .8587 L
.80784 .85745 L
.80735 .85702 L
.8056 .85552 L
.80542 .85536 L
.80349 .85373 L
.80333 .85359 L
.80156 .85211 L
.80104 .85166 L
.79964 .85052 L
.79871 .84974 L
.79771 .84895 L
.79632 .84781 L
.79578 .84741 L
.79386 .84592 L
.79381 .84588 L
.79193 .84449 L
.79119 .84396 L
.79 .84313 L
.7881 .84203 L
.78808 .84202 L
.78647 .84203 L
.78652 .84396 L
.78641 .84588 L
.78622 .84781 L
.78615 .848 L
.78437 .84974 L
.78422 .84984 L
.7823 .85068 L
.78037 .85107 L
.77844 .85131 L
.77651 .85146 L
.77459 .85158 L
.77266 .85166 L
.77245 .85166 L
.77073 .85171 L
.76881 .85174 L
.76688 .85176 L
.76495 .85175 L
.76303 .85173 L
.7611 .85168 L
.76041 .85166 L
.75917 .85162 L
.75725 .85153 L
.75532 .8514 L
.75339 .85123 L
.75146 .85101 L
.74954 .85073 L
.74761 .85038 L
.74568 .84998 L
.74455 .84974 L
.74376 .84951 L
.74183 .84888 L
.7399 .84818 L
.73877 .84781 L
.73798 .84748 L
.73605 .84653 L
.73441 .84588 L
.73412 .84574 L
.7322 .84452 L
.7307 .84396 L
.73027 .84377 L
.72834 .84282 L
.72666 .84203 L
.72641 .84193 L
.72502 .84203 L
.72588 .84396 L
.72641 .84477 L
.72703 .84588 L
.72834 .84738 L
.72863 .84781 L
.73023 .84974 L
.73027 .84979 L
.73183 .85166 L
.7322 .85212 L
.73348 .85359 L
.73412 .85436 L
.73516 .85552 L
.73605 .85654 L
.73687 .85745 L
.73798 .85869 L
.73861 .85937 L
.7399 .8608 L
.74036 .8613 L
.74183 .8629 L
.74213 .86323 L
.74376 .86498 L
.74392 .86515 L
.74568 .86705 L
.74572 .86708 L
.74752 .86901 L
.74761 .8691 L
.74933 .87093 L
.74954 .87115 L
.75115 .87286 L
.75146 .8732 L
.75296 .87479 L
.75339 .87525 L
.75477 .87671 L
.75532 .8773 L
.75657 .87864 L
.75725 .87937 L
.75836 .88057 L
.75917 .88145 L
.76013 .8825 L
.7611 .88355 L
.76189 .88442 L
.76303 .88568 L
.76362 .88635 L
.76495 .88784 L
.76533 .88828 L
.76688 .89004 L
.76702 .8902 L
.76868 .89213 L
.76881 .89228 L
.77031 .89406 L
.77073 .89456 L
.77192 .89598 L
.77266 .89688 L
.7735 .89791 L
.77459 .89924 L
.77506 .89984 L
.77651 .90165 L
.7766 .90177 L
.77812 .90369 L
.77844 .90411 L
.77961 .90562 L
.78037 .90661 L
.78107 .90755 L
.7823 .90918 L
.78251 .90947 L
.78393 .9114 L
.78422 .91181 L
.78531 .91333 L
.78615 .91452 L
.78665 .91525 L
.78796 .91718 L
.78808 .91736 L
.78921 .91911 L
.79 .92036 L
.79041 .92103 L
.79153 .92296 L
.79193 .92364 L
.79257 .92489 L
.79348 .92682 L
.79386 .92773 L
.79423 .92874 L
.7947 .93067 L
.79463 .9326 L
.79386 .93384 L
.79193 .934 L
.79 .93368 L
.78808 .93307 L
.78673 .9326 L
.78615 .9323 L
.78422 .9314 L
.78276 .93067 L
.7823 .93041 L
.78037 .92936 L
.77929 .92874 L
.77844 .92824 L
.77651 .92708 L
.77609 .92682 L
.77459 .92587 L
.77305 .92489 L
.77266 .92463 L
.77073 .92336 L
.77014 .92296 L
.76881 .92206 L
.76732 .92103 L
.76688 .92073 L
.76495 .91938 L
.76457 .91911 L
.76303 .918 L
.76188 .91718 L
.7611 .91661 L
.75924 .91525 L
.75917 .9152 L
.75725 .91377 L
.75665 .91333 L
.75532 .91232 L
.75409 .9114 L
.75339 .91087 L
.75157 .90947 L
.75146 .90939 L
.74954 .9079 L
.74907 .90755 L
.74761 .9064 L
.74661 .90562 L
.74568 .90489 L
.74417 .90369 L
.74376 .90337 L
.74183 .90183 L
.74175 .90177 L
.7399 .90028 L
.73935 .89984 L
.73798 .89872 L
.73697 .89791 L
.73605 .89716 L
.73461 .89598 L
.73412 .89558 L
.73227 .89406 L
.7322 .894 L
.73027 .8924 L
.72994 .89213 L
.72834 .89079 L
.72763 .8902 L
.72641 .88918 L
.72534 .88828 L
.72449 .88756 L
.72306 .88635 L
.72256 .88593 L
.72079 .88442 L
.72063 .88429 L
.71871 .88265 L
.71853 .8825 L
.71678 .88099 L
.71629 .88057 L
.71485 .87933 L
.71406 .87864 L
.71293 .87766 L
.71184 .87671 L
.711 .87598 L
.70963 .87479 L
.70907 .8743 L
.70742 .87286 L
.70715 .87261 L
.70523 .87093 L
.70522 .87092 L
.70329 .86921 L
.70306 .86901 L
.70136 .8675 L
.70089 .86708 L
.69944 .86578 L
.69873 .86515 L
.69751 .86406 L
.69658 .86323 L
.69558 .86233 L
.69444 .8613 L
.69366 .86059 L
.69231 .85937 L
.69173 .85885 L
.69018 .85745 L
.6898 .8571 L
.68806 .85552 L
.68788 .85535 L
.68596 .85359 L
.68595 .85359 L
.68402 .85181 L
.68386 .85166 L
.68209 .85004 L
.68177 .84974 L
.68017 .84825 L
.67969 .84781 L
.67824 .84646 L
.67762 .84588 L
.67631 .84467 L
.67555 .84396 L
.67439 .84287 L
.67349 .84203 L
.67246 .84106 L
.67144 .8401 L
.67053 .83925 L
.66939 .83818 L
.66861 .83743 L
.66736 .83625 L
.66668 .83561 L
.66533 .83432 L
.66475 .83378 L
.6633 .8324 L
.66283 .83194 L
.66129 .83047 L
.6609 .8301 L
.65928 .82854 L
.65897 .82825 L
.65728 .82661 L
.65704 .82639 L
.65528 .82469 L
.65512 .82453 L
.6533 .82276 L
.65319 .82266 L
.65132 .82083 L
.65126 .82078 L
.64935 .81891 L
.64934 .8189 L
.64741 .81701 L
.64738 .81698 L
.64548 .81511 L
.64543 .81505 L
.64356 .81321 L
.64348 .81313 L
.64163 .81129 L
.64153 .8112 L
.6397 .80938 L
.6396 .80927 L
.63778 .80745 L
.63767 .80735 L
.63585 .80552 L
.63575 .80542 L
.63392 .80358 L
.63384 .80349 L
.63199 .80163 L
.63193 .80156 L
.63007 .79968 L
.63003 .79964 L
.62814 .79771 L
.62814 .79771 L
.62626 .79578 L
.62621 .79574 L
.62438 .79386 L
.62429 .79376 L
.62251 .79193 L
.62236 .79177 L
.62065 .79 L
.62043 .78977 L
.6188 .78808 L
.61851 .78777 L
.61696 .78615 L
.61658 .78575 L
.61513 .78422 L
.61465 .78373 L
.6133 .7823 L
.61273 .78169 L
.61148 .78037 L
.6108 .77964 L
.60967 .77844 L
.60887 .77759 L
.60787 .77651 L
.60694 .77552 L
.60608 .77459 L
.60502 .77344 L
.6043 .77266 L
.60309 .77135 L
.60253 .77073 L
.60116 .76925 L
.60076 .76881 L
.59924 .76713 L
.59901 .76688 L
.59731 .765 L
.59726 .76495 L
.59553 .76303 L
.59538 .76286 L
.59382 .7611 L
.59346 .7607 L
.59211 .75917 L
.59153 .75852 L
.59041 .75725 L
.5896 .75632 L
.58873 .75532 L
.58768 .75411 L
.58706 .75339 L
.58575 .75187 L
.5854 .75146 L
.58382 .74961 L
.58376 .74954 L
.58213 .74761 L
.58189 .74733 L
.58052 .74568 L
.57997 .74502 L
.57893 .74376 L
.57804 .74268 L
.57735 .74183 L
.57611 .7403 L
.57579 .7399 L
.57426 .73798 L
.57419 .73789 L
.57274 .73605 L
.57226 .73543 L
.57125 .73412 L
.57033 .73292 L
.56979 .7322 L
.56841 .73034 L
.56835 .73027 L
.56695 .72834 L
.56648 .72768 L
.56559 .72641 L
.56455 .72492 L
.56426 .72449 L
.56299 .72256 L
.56263 .72201 L
.56177 .72063 L
.5607 .71886 L
.56061 .71871 L
.55954 .71678 L
.55877 .71528 L
.55859 .71485 L
.55777 .71293 L
.55719 .711 L
.55703 .70907 L
.55877 .70715 L
.5607 .70715 L
.56263 .70759 L
.56455 .70827 L
.56641 .70907 L
.56648 .70911 L
.56841 .71005 L
.57021 .711 L
.57033 .71107 L
.57226 .71215 L
.57359 .71293 L
.57419 .71329 L
.57611 .71447 L
.57673 .71485 L
.57804 .71569 L
.57971 .71678 L
.57997 .71695 L
.58189 .71824 L
.58259 .71871 L
.58382 .71955 L
.58538 .72063 L
.58575 .72089 L
.58768 .72225 L
.58811 .72256 L
.5896 .72364 L
.59077 .72449 L
.59153 .72504 L
.59339 .72641 L
.59346 .72646 L
.59538 .72791 L
.59596 .72834 L
.59731 .72936 L
.5985 .73027 L
.59924 .73084 L
.601 .7322 L
.60116 .73232 L
.60309 .73382 L
.60347 .73412 L
.60502 .73534 L
.60592 .73605 L
.60694 .73686 L
.60834 .73798 L
.60887 .7384 L
.61075 .7399 L
.6108 .73994 L
.61273 .7415 L
.61314 .74183 L
.61465 .74306 L
.61551 .74376 L
.61658 .74463 L
.61787 .74568 L
.61851 .74621 L
.62022 .74761 L
.62043 .74778 L
.62236 .74937 L
.62257 .74954 L
.62429 .75095 L
.62491 .75146 L
.62621 .75254 L
.62725 .75339 L
.62814 .75413 L
.62958 .75532 L
.63007 .75572 L
.63192 .75725 L
.63199 .7573 L
.63392 .75889 L
.63425 .75917 L
.63585 .76049 L
.63658 .7611 L
.63778 .76208 L
.63891 .76303 L
.6397 .76368 L
.64123 .76495 L
.64163 .76528 L
.64356 .76688 L
.64356 .76688 L
.64548 .76854 L
.64577 .76881 L
.64741 .77022 L
.64799 .77073 L
.64934 .77191 L
.6502 .77266 L
.65126 .77363 L
.65237 .77459 L
.65319 .77537 L
.65447 .77651 L
.65512 .77716 L
.65652 .77844 L
.65704 .77898 L
.65851 .78037 L
.65897 .78085 L
.66047 .7823 L
.6609 .78274 L
.66241 .78422 L
.66283 .78466 L
.66434 .78615 L
.66475 .78658 L
.66626 .78808 L
.66668 .78851 L
.66818 .79 L
.66861 .79043 L
.67012 .79193 L
.67053 .79235 L
.67206 .79386 L
.67246 .79426 L
.67402 .79578 L
.67439 .79615 L
.67599 .79771 L
.67631 .79803 L
.67798 .79964 L
.67824 .79989 L
.67999 .80156 L
.68017 .80174 L
.68201 .80349 L
.68209 .80357 L
.68402 .80538 L
.68406 .80542 L
.68595 .80718 L
.68613 .80735 L
.68788 .80895 L
.68823 .80927 L
.6898 .81071 L
.69035 .8112 L
.69173 .81244 L
.6925 .81313 L
.69366 .81415 L
.69468 .81505 L
.69558 .81584 L
.69689 .81698 L
.69751 .81751 L
.69915 .81891 L
.69944 .81914 L
.70136 .82075 L
.70146 .82083 L
.70329 .82231 L
.70377 .82276 L
.70522 .82381 L
.70613 .82469 L
.70715 .82526 L
.70907 .82657 L
.70914 .82661 L
.711 .82751 L
.71219 .82661 L
.7124 .82469 L
.71293 .82312 L
.71317 .82276 L
.71485 .82135 L
.71606 .82083 L
.71678 .82057 L
.71871 .82012 L
.72063 .81986 L
.72256 .8197 L
.72449 .81959 L
.72641 .81951 L
.72834 .81946 L
.73027 .81943 L
.7322 .81942 L
.73412 .81942 L
.73605 .81943 L
.73798 .81947 L
.7399 .81951 L
.74183 .81959 L
.74376 .81968 L
.74568 .81982 L
.74761 .81999 L
.74954 .82021 L
.75146 .82048 L
.75339 .82079 L
.75364 .82083 L
.75532 .82123 L
.75725 .82177 L
.75917 .82239 L
.76045 .82276 L
.7611 .82301 L
.76303 .82389 L
.76495 .82458 L
.7652 .82469 L
.76688 .82574 L
.76881 .82636 L
.76936 .82661 L
.77073 .82721 L
.77241 .82661 L
.77136 .82469 L
.77073 .82399 L
.76986 .82276 L
.76881 .82153 L
.76826 .82083 L
.76688 .81923 L
.7666 .81891 L
.76495 .817 L
.76491 .81698 L
.76318 .81505 L
.76303 .81488 L
.76141 .81313 L
.7611 .81278 L
.75961 .8112 L
.75917 .81072 L
.75779 .80927 L
.75725 .8087 L
.75593 .80735 L
.75532 .80671 L
.75406 .80542 L
.75339 .80474 L
.75216 .80349 L
.75146 .80279 L
.75024 .80156 L
.74954 .80087 L
.7483 .79964 L
.74761 .79896 L
.74634 .79771 L
.74568 .79707 L
.74436 .79578 L
.74376 .7952 L
.74237 .79386 L
.74183 .79334 L
.74037 .79193 L
.7399 .79149 L
.73835 .79 L
.73798 .78965 L
.73633 .78808 L
.73605 .78781 L
.7343 .78615 L
.73412 .78598 L
.73228 .78422 L
.7322 .78415 L
.73027 .7823 L
.73026 .7823 L
.72834 .78044 L
.72828 .78037 L
.72641 .77855 L
.72633 .77844 L
.72449 .77661 L
.72442 .77651 L
.72256 .77462 L
.72254 .77459 L
.72073 .77266 L
.72063 .77256 L
.71899 .77073 L
.71871 .77042 L
.7173 .76881 L
.71678 .76821 L
.71564 .76688 L
.71485 .76595 L
.714 .76495 L
.71293 .76367 L
.71237 .76303 L
.711 .7614 L
.71074 .7611 L
.70911 .75917 L
.70907 .75913 L
.7075 .75725 L
.70715 .75682 L
.70589 .75532 L
.70522 .75451 L
.70428 .75339 L
.70329 .7522 L
.70267 .75146 L
.70136 .74989 L
.70107 .74954 L
.69946 .74761 L
.69944 .74758 L
.69787 .74568 L
.69751 .74525 L
.69629 .74376 L
.69558 .7429 L
.69471 .74183 L
.69366 .74053 L
.69315 .7399 L
.69173 .73813 L
.69161 .73798 L
.69009 .73605 L
.6898 .73568 L
.68859 .73412 L
.68788 .73319 L
.68712 .7322 L
.68595 .73064 L
.68568 .73027 L
.68427 .72834 L
.68402 .728 L
.6829 .72641 L
.68209 .72526 L
.68157 .72449 L
.6803 .72256 L
.68017 .72236 L
.67908 .72063 L
.67824 .71924 L
.67794 .71871 L
.67687 .71678 L
.67631 .71572 L
.67592 .71485 L
.67511 .71293 L
.67452 .711 L
.67439 .71029 L
.67431 .70907 L
.67439 .70858 L
.67567 .70715 L
F
1 .93 0 r
.55877 .53788 m
.5607 .53934 L
.56091 .5395 L
.56263 .54129 L
.56269 .54143 L
.56442 .54336 L
.56455 .5435 L
.566 .54528 L
.56648 .54593 L
.56756 .54721 L
.56841 .54849 L
.56877 .54914 L
.57033 .551 L
.57043 .55106 L
.57185 .55299 L
.57226 .55349 L
.57326 .55492 L
.57419 .55624 L
.57442 .55684 L
.5759 .55877 L
.57611 .55911 L
.57778 .5607 L
.57804 .56239 L
.57817 .56263 L
.57814 .56455 L
.57804 .5646 L
.57729 .56455 L
.57611 .56406 L
.57446 .56263 L
.57419 .56258 L
.57276 .5607 L
.57226 .56028 L
.57121 .55877 L
.57033 .55776 L
.56924 .55684 L
.56841 .55516 L
.56819 .55492 L
.56682 .55299 L
.56648 .55254 L
.56542 .55106 L
.56455 .5502 L
.56364 .54914 L
.56263 .54725 L
.5626 .54721 L
.56128 .54528 L
.5607 .54446 L
.55996 .54336 L
.55877 .5416 L
.55857 .54143 L
.55759 .5395 L
F
0 .94 1 r
.55877 .57042 m
.5607 .57206 L
.56089 .57226 L
.56255 .57419 L
.56263 .57428 L
.56401 .57611 L
.56455 .5768 L
.56544 .57804 L
.56648 .57944 L
.56685 .57997 L
.5682 .58189 L
.56841 .58219 L
.56944 .58382 L
.57033 .58519 L
.57066 .58575 L
.57161 .58768 L
.57033 .58815 L
.56981 .58768 L
.56841 .5865 L
.56785 .58575 L
.56648 .58423 L
.56589 .58382 L
.56455 .58191 L
.56454 .58189 L
.56301 .57997 L
.56263 .57947 L
.56154 .57804 L
.5607 .57713 L
.55991 .57611 L
.55885 .57419 L
.55877 .57406 L
.55773 .57226 L
F
1 .92 0 r
.55877 .53821 m
.56057 .5395 L
.5607 .5396 L
.56255 .54143 L
.56263 .54145 L
.56427 .54336 L
.56455 .54367 L
.56588 .54528 L
.56648 .54609 L
.56746 .54721 L
.56841 .54862 L
.5687 .54914 L
.57032 .55106 L
.57033 .55107 L
.57175 .55299 L
.57226 .55361 L
.57317 .55492 L
.57419 .5564 L
.57435 .55684 L
.57577 .55877 L
.57611 .55932 L
.57765 .5607 L
.57791 .56263 L
.57611 .5638 L
.57466 .56263 L
.57419 .56255 L
.57288 .5607 L
.57226 .56018 L
.5713 .55877 L
.57033 .55766 L
.56935 .55684 L
.56841 .55507 L
.56827 .55492 L
.56689 .55299 L
.56648 .55245 L
.56549 .55106 L
.56455 .5501 L
.56374 .54914 L
.56268 .54721 L
.56263 .54714 L
.56137 .54528 L
.5607 .54434 L
.56005 .54336 L
.55878 .54143 L
.55877 .54142 L
.55782 .5395 L
F
0 .5 1 r
.55877 .48723 m
.55898 .48747 L
.55877 .48923 L
.55785 .48747 L
F
1 .83 0 r
.55877 .47908 m
.55943 .47977 L
.5607 .4811 L
.56122 .48169 L
.56263 .48321 L
.56291 .48362 L
.56453 .48555 L
.56455 .48558 L
.56611 .48747 L
.56648 .48791 L
.56769 .4894 L
.56841 .49018 L
.56924 .49133 L
.57033 .49272 L
.57082 .49326 L
.57226 .49517 L
.57227 .49518 L
.57377 .49711 L
.57419 .49758 L
.57593 .49904 L
.57611 .50016 L
.57677 .50096 L
.57804 .5027 L
.57813 .50289 L
.57969 .50482 L
.57997 .50514 L
.58157 .50674 L
.58189 .50775 L
.58259 .50867 L
.58382 .51034 L
.58391 .5106 L
.5855 .51253 L
.58575 .51282 L
.58724 .51445 L
.58768 .51545 L
.58833 .51638 L
.5896 .51807 L
.58965 .51831 L
.59125 .52023 L
.59153 .52057 L
.5929 .52216 L
.59346 .52322 L
.59403 .52409 L
.59538 .52585 L
.59539 .52601 L
.59695 .52794 L
.59731 .52838 L
.59855 .52987 L
.59924 .53105 L
.5997 .53179 L
.60116 .53368 L
.60121 .53372 L
.60261 .53565 L
.60309 .53623 L
.60417 .53758 L
.60502 .53893 L
.60536 .5395 L
.60685 .54143 L
.60694 .54148 L
.60825 .54336 L
.60887 .54412 L
.60977 .54528 L
.6108 .54684 L
.611 .54721 L
.61246 .54914 L
.61273 .5493 L
.6145 .55106 L
.61465 .55207 L
.61534 .55299 L
.61658 .55481 L
.61663 .55492 L
.61803 .55684 L
.61851 .55721 L
.61996 .55877 L
.62043 .56009 L
.62087 .5607 L
.62219 .56263 L
.62236 .56286 L
.62355 .56455 L
.62429 .56525 L
.62534 .56648 L
.62621 .56825 L
.62632 .56841 L
.62764 .57033 L
.62814 .57103 L
.62899 .57226 L
.63007 .57358 L
.63055 .57419 L
.63166 .57611 L
.63199 .57658 L
.63296 .57804 L
.63392 .57943 L
.63428 .57997 L
.63554 .58189 L
.63585 .58235 L
.63673 .58382 L
.63778 .58545 L
.63794 .58575 L
.63778 .58763 L
.63597 .58575 L
.63585 .58563 L
.63428 .58382 L
.63392 .58344 L
.63264 .58189 L
.63199 .58116 L
.63103 .57997 L
.63007 .57897 L
.62945 .57804 L
.62814 .57642 L
.62782 .57611 L
.62639 .57419 L
.62621 .57397 L
.62489 .57226 L
.62429 .57164 L
.62338 .57033 L
.62236 .56903 L
.62179 .56841 L
.62043 .5665 L
.62042 .56648 L
.61896 .56455 L
.61851 .56408 L
.6168 .56263 L
.61658 .56144 L
.61595 .5607 L
.61465 .55886 L
.6146 .55877 L
.61314 .55684 L
.61273 .5564 L
.61118 .55492 L
.6108 .55374 L
.6102 .55299 L
.60887 .55113 L
.60884 .55106 L
.6074 .54914 L
.60694 .54865 L
.60555 .54721 L
.60502 .54596 L
.6045 .54528 L
.6031 .54336 L
.60309 .54334 L
.60169 .54143 L
.60116 .54084 L
.59993 .5395 L
.59924 .53814 L
.59883 .53758 L
.59743 .53565 L
.59731 .53563 L
.59603 .53372 L
.59538 .53299 L
.59433 .53179 L
.59346 .53026 L
.59318 .52987 L
.59178 .52794 L
.59153 .52787 L
.59038 .52601 L
.5896 .5251 L
.58874 .52409 L
.58768 .52235 L
.58755 .52216 L
.58616 .52023 L
.58575 .52004 L
.58477 .51831 L
.58382 .51716 L
.58319 .51638 L
.58194 .51445 L
.58189 .51439 L
.58057 .51253 L
.57997 .51213 L
.57918 .5106 L
.57804 .50915 L
.57767 .50867 L
.57639 .50674 L
.57611 .50638 L
.57502 .50482 L
.57419 .50408 L
.5731 .50289 L
.57226 .50104 L
.57221 .50096 L
.57088 .49904 L
.57033 .49829 L
.56952 .49711 L
.56841 .49581 L
.56787 .49518 L
.56679 .49326 L
.56648 .49284 L
.56547 .49133 L
.56455 .49005 L
.56412 .4894 L
.56278 .48747 L
.56263 .48726 L
.56154 .48555 L
.5607 .48434 L
.56026 .48362 L
.55901 .48169 L
.55877 .48133 L
.55797 .47977 L
F
0 .49 1 r
.55877 .48736 m
.55887 .48747 L
.55877 .4891 L
.558 .48747 L
F
0 .62 1 r
.55877 .54622 m
.55965 .54721 L
.5607 .5484 L
.56128 .54914 L
.56263 .55088 L
.56276 .55106 L
.56404 .55299 L
.56455 .55376 L
.56518 .55492 L
.56455 .55562 L
.56391 .55492 L
.56263 .55357 L
.56218 .55299 L
.5607 .55117 L
.56062 .55106 L
.55929 .54914 L
.55877 .54842 L
.55806 .54721 L
F
1 .91 0 r
.55877 .53858 m
.56023 .5395 L
.5607 .53985 L
.56235 .54143 L
.56263 .5415 L
.56412 .54336 L
.56455 .54382 L
.56575 .54528 L
.56648 .54624 L
.56736 .54721 L
.56841 .54874 L
.56863 .54914 L
.57022 .55106 L
.57033 .55112 L
.57165 .55299 L
.57226 .55374 L
.57307 .55492 L
.57419 .55657 L
.57429 .55684 L
.57564 .55877 L
.57611 .55955 L
.57747 .5607 L
.57764 .56263 L
.57611 .56354 L
.57489 .56263 L
.57419 .5625 L
.57301 .5607 L
.57226 .56008 L
.57139 .55877 L
.57033 .55756 L
.56946 .55684 L
.56841 .55497 L
.56836 .55492 L
.56696 .55299 L
.56648 .55236 L
.56555 .55106 L
.56455 .54999 L
.56383 .54914 L
.56276 .54721 L
.56263 .54703 L
.56145 .54528 L
.5607 .5442 L
.56015 .54336 L
.55893 .54143 L
.55877 .54115 L
.55807 .5395 L
F
0 .93 1 r
.55877 .57098 m
.56058 .57226 L
.5607 .57237 L
.5623 .57419 L
.56263 .57456 L
.56381 .57611 L
.56455 .57706 L
.56525 .57804 L
.56648 .57969 L
.56667 .57997 L
.56795 .58189 L
.56841 .58255 L
.56916 .58382 L
.57031 .58575 L
.56841 .58585 L
.56833 .58575 L
.56649 .58382 L
.56648 .58381 L
.56484 .58189 L
.56455 .58155 L
.56328 .57997 L
.56263 .57913 L
.5618 .57804 L
.5607 .5767 L
.56025 .57611 L
.55915 .57419 L
.55877 .57353 L
.55812 .57226 L
F
0 .61 1 r
.55877 .54637 m
.55953 .54721 L
.5607 .54851 L
.56119 .54914 L
.56263 .55099 L
.56268 .55106 L
.56393 .55299 L
.56455 .55395 L
.56504 .55492 L
.56455 .55544 L
.56405 .55492 L
.56263 .55345 L
.56227 .55299 L
.5607 .55107 L
.5607 .55106 L
.55939 .54914 L
.55877 .54827 L
.55817 .54721 L
F
1 .82 0 r
.55877 .47945 m
.55911 .47977 L
.5607 .48133 L
.56103 .48169 L
.56263 .48343 L
.56275 .48362 L
.56439 .48555 L
.56455 .48573 L
.566 .48747 L
.56648 .48804 L
.56759 .4894 L
.56841 .49029 L
.56915 .49133 L
.57033 .49283 L
.57074 .49326 L
.57219 .49518 L
.57226 .49527 L
.5737 .49711 L
.57419 .49765 L
.5759 .49904 L
.57611 .50023 L
.57672 .50096 L
.57804 .50276 L
.5781 .50289 L
.57963 .50482 L
.57997 .5052 L
.58154 .50674 L
.58189 .50781 L
.58255 .50867 L
.58382 .51039 L
.58389 .5106 L
.58546 .51253 L
.58575 .51287 L
.58721 .51445 L
.58768 .5155 L
.5883 .51638 L
.5896 .51811 L
.58964 .51831 L
.59121 .52023 L
.59153 .52061 L
.59287 .52216 L
.59346 .52327 L
.594 .52409 L
.59538 .52589 L
.59538 .52601 L
.59692 .52794 L
.59731 .52842 L
.59852 .52987 L
.59924 .53109 L
.59968 .53179 L
.60116 .53371 L
.60117 .53372 L
.60258 .53565 L
.60309 .53626 L
.60415 .53758 L
.60502 .53897 L
.60533 .5395 L
.60681 .54143 L
.60694 .5415 L
.60822 .54336 L
.60887 .54416 L
.60974 .54528 L
.6108 .54689 L
.61097 .54721 L
.61242 .54914 L
.61273 .54933 L
.61448 .55106 L
.61465 .55211 L
.61531 .55299 L
.61658 .55486 L
.61661 .55492 L
.61799 .55684 L
.61851 .55725 L
.61992 .55877 L
.62043 .56015 L
.62083 .5607 L
.62214 .56263 L
.62236 .56292 L
.6235 .56455 L
.62429 .56532 L
.62528 .56648 L
.62621 .56833 L
.62626 .56841 L
.62758 .57033 L
.62814 .57111 L
.62893 .57226 L
.63007 .57371 L
.63044 .57419 L
.63158 .57611 L
.63199 .5767 L
.63287 .57804 L
.63392 .57956 L
.63418 .57997 L
.6354 .58189 L
.63585 .58256 L
.63658 .58382 L
.63585 .58539 L
.63446 .58382 L
.63392 .58326 L
.63278 .58189 L
.63199 .58101 L
.63115 .57997 L
.63007 .57884 L
.62955 .57804 L
.62814 .57631 L
.62793 .57611 L
.62647 .57419 L
.62621 .57387 L
.62496 .57226 L
.62429 .57156 L
.62345 .57033 L
.62236 .56895 L
.62185 .56841 L
.62047 .56648 L
.62043 .56643 L
.61901 .56455 L
.61851 .56402 L
.61683 .56263 L
.61658 .56139 L
.616 .5607 L
.61465 .55881 L
.61463 .55877 L
.61318 .55684 L
.61273 .55636 L
.6112 .55492 L
.6108 .55369 L
.61024 .55299 L
.60887 .55109 L
.60886 .55106 L
.60743 .54914 L
.60694 .54861 L
.60557 .54721 L
.60502 .54592 L
.60453 .54528 L
.60313 .54336 L
.60309 .5433 L
.60172 .54143 L
.60116 .54081 L
.59996 .5395 L
.59924 .5381 L
.59886 .53758 L
.59746 .53565 L
.59731 .53563 L
.59605 .53372 L
.59538 .53296 L
.59435 .53179 L
.59346 .53023 L
.59321 .52987 L
.59181 .52794 L
.59153 .52785 L
.59041 .52601 L
.5896 .52507 L
.58877 .52409 L
.58768 .52231 L
.58758 .52216 L
.58619 .52023 L
.58575 .52002 L
.58479 .51831 L
.58382 .51712 L
.58322 .51638 L
.58197 .51445 L
.58189 .51435 L
.5806 .51253 L
.57997 .51209 L
.57921 .5106 L
.57804 .5091 L
.57771 .50867 L
.57642 .50674 L
.57611 .50633 L
.57506 .50482 L
.57419 .50402 L
.57315 .50289 L
.57226 .50097 L
.57226 .50096 L
.57093 .49904 L
.57033 .49823 L
.56957 .49711 L
.56841 .49571 L
.56796 .49518 L
.56685 .49326 L
.56648 .49275 L
.56554 .49133 L
.56455 .48996 L
.56419 .4894 L
.56287 .48747 L
.56263 .48713 L
.56164 .48555 L
.5607 .48418 L
.56037 .48362 L
.5592 .48169 L
.55877 .481 L
.55829 .47977 L
F
0 .6 1 r
.55877 .54654 m
.55939 .54721 L
.5607 .54864 L
.56109 .54914 L
.5607 .55094 L
.5595 .54914 L
.55877 .54811 L
.55829 .54721 L
F
0 .96 1 r
.55877 .47126 m
.55966 .47206 L
.5607 .47304 L
.56159 .47399 L
.56263 .4748 L
.56336 .47591 L
.56455 .47728 L
.56545 .47784 L
.56648 .47958 L
.56665 .47977 L
.56827 .48169 L
.56841 .48182 L
.56986 .48362 L
.57033 .48424 L
.57165 .48555 L
.57226 .48672 L
.57281 .48747 L
.57419 .4892 L
.57447 .4894 L
.57597 .49133 L
.57611 .49154 L
.57755 .49326 L
.57804 .49411 L
.57874 .49518 L
.57997 .49673 L
.58045 .49711 L
.58189 .49904 L
.58189 .49905 L
.58337 .50096 L
.58382 .50167 L
.58456 .50289 L
.58575 .50438 L
.58629 .50482 L
.58768 .50671 L
.58771 .50674 L
.58914 .50867 L
.5896 .50937 L
.59029 .5106 L
.59153 .51211 L
.59205 .51253 L
.59345 .51445 L
.59346 .51446 L
.59485 .51638 L
.59538 .51714 L
.59597 .51831 L
.59731 .51989 L
.59777 .52023 L
.59921 .52216 L
.59924 .52227 L
.60053 .52409 L
.60116 .52497 L
.60161 .52601 L
.60309 .5277 L
.60345 .52794 L
.60492 .52987 L
.60502 .53011 L
.60618 .53179 L
.60694 .53282 L
.60723 .53372 L
.60887 .5355 L
.60911 .53565 L
.6106 .53758 L
.6108 .53798 L
.61181 .5395 L
.61273 .54069 L
.61284 .54143 L
.61465 .5433 L
.61476 .54336 L
.61625 .54528 L
.61658 .54586 L
.61744 .54721 L
.61851 .54856 L
.61901 .54914 L
.6204 .55106 L
.62043 .5511 L
.62189 .55299 L
.62236 .55375 L
.62306 .55492 L
.62429 .55644 L
.62464 .55684 L
.62604 .55877 L
.62621 .55898 L
.62752 .5607 L
.62814 .56165 L
.62867 .56263 L
.63007 .56433 L
.63027 .56455 L
.63166 .56648 L
.63199 .56687 L
.63313 .56841 L
.63392 .56957 L
.63429 .57033 L
.63585 .57222 L
.63588 .57226 L
.63765 .57419 L
.63778 .57479 L
.63873 .57611 L
.6397 .5775 L
.63992 .57804 L
.64148 .57997 L
.64163 .58005 L
.64325 .58189 L
.64356 .58273 L
.64431 .58382 L
.64548 .58547 L
.64557 .58575 L
.64706 .58768 L
.64741 .58792 L
.6488 .5896 L
.64934 .59073 L
.64986 .59153 L
.65124 .59346 L
.65126 .59349 L
.6526 .59538 L
.65319 .59589 L
.65429 .59731 L
.65512 .59882 L
.65538 .59924 L
.65672 .60116 L
.65704 .60161 L
.65807 .60309 L
.65897 .60407 L
.65965 .60502 L
.66079 .60694 L
.6609 .60709 L
.6621 .60887 L
.66283 .60991 L
.66342 .6108 L
.66475 .61272 L
.66475 .61273 L
.66598 .61465 L
.66668 .6157 L
.66722 .61658 L
.66842 .61851 L
.66861 .6188 L
.6694 .62043 L
.66861 .62132 L
.66771 .62043 L
.66668 .61944 L
.66584 .61851 L
.66475 .61751 L
.66411 .61658 L
.66283 .6151 L
.66221 .61465 L
.6609 .61278 L
.66085 .61273 L
.65928 .6108 L
.65897 .6105 L
.65773 .60887 L
.65704 .60801 L
.65596 .60694 L
.65512 .6055 L
.65474 .60502 L
.65319 .60309 L
.65319 .60309 L
.65171 .60116 L
.65126 .60058 L
.65007 .59924 L
.64934 .59799 L
.64887 .59731 L
.64741 .59546 L
.6473 .59538 L
.64585 .59346 L
.64548 .59296 L
.6443 .59153 L
.64356 .59032 L
.64311 .5896 L
.64163 .58775 L
.64152 .58768 L
.64009 .58575 L
.6397 .58523 L
.63859 .58382 L
.63778 .58257 L
.6374 .58189 L
.63585 .58001 L
.63579 .57997 L
.634 .57804 L
.63392 .57743 L
.6329 .57611 L
.63199 .57476 L
.63171 .57419 L
.6301 .57226 L
.63007 .57222 L
.62836 .57033 L
.62814 .5696 L
.62725 .56841 L
.62621 .56693 L
.62604 .56648 L
.62443 .56455 L
.62429 .56439 L
.62272 .56263 L
.62236 .56174 L
.6216 .5607 L
.62043 .55908 L
.62035 .55877 L
.61878 .55684 L
.61851 .55655 L
.61709 .55492 L
.61658 .55387 L
.61596 .55299 L
.61465 .55121 L
.61464 .55106 L
.61313 .54914 L
.61273 .54868 L
.61147 .54721 L
.6108 .54599 L
.61033 .54528 L
.60888 .54336 L
.60887 .54335 L
.60749 .54143 L
.60694 .54081 L
.60587 .5395 L
.60502 .53809 L
.60469 .53758 L
.60325 .53565 L
.60309 .53558 L
.60186 .53372 L
.60116 .53291 L
.60027 .53179 L
.59924 .53018 L
.59905 .52987 L
.59763 .52794 L
.59731 .52777 L
.59556 .52601 L
.59538 .525 L
.59468 .52409 L
.59346 .52225 L
.59341 .52216 L
.59202 .52023 L
.59153 .51991 L
.59004 .51831 L
.5896 .51705 L
.5891 .51638 L
.58779 .51445 L
.58768 .51431 L
.58641 .51253 L
.58575 .51198 L
.58454 .5106 L
.58382 .50907 L
.58353 .50867 L
.5822 .50674 L
.58189 .50634 L
.58082 .50482 L
.57997 .50399 L
.57906 .50289 L
.57804 .50104 L
.57798 .50096 L
.57664 .49904 L
.57611 .49833 L
.57526 .49711 L
.57419 .49588 L
.57364 .49518 L
.57247 .49326 L
.57226 .49298 L
.57113 .49133 L
.57033 .49025 L
.56975 .4894 L
.56841 .4876 L
.56831 .48747 L
.56704 .48555 L
.56648 .48479 L
.56571 .48362 L
.56455 .48202 L
.56434 .48169 L
.56304 .47977 L
.56263 .47918 L
.56179 .47784 L
.5607 .47625 L
.5605 .47591 L
.55934 .47399 L
.55877 .47307 L
.55834 .47206 L
F
0 .18 1 r
.55877 .503 m
.55994 .50482 L
.5607 .50581 L
.56128 .50674 L
.56263 .50862 L
.56266 .50867 L
.56263 .51002 L
.56159 .50867 L
.5607 .50772 L
.55997 .50674 L
.55877 .50533 L
.55839 .50482 L
F
1 .9 0 r
.55877 .53901 m
.5598 .5395 L
.5607 .54009 L
.56214 .54143 L
.56263 .54156 L
.56396 .54336 L
.56455 .54397 L
.56562 .54528 L
.56648 .54638 L
.56725 .54721 L
.56841 .54886 L
.56857 .54914 L
.57012 .55106 L
.57033 .55117 L
.57155 .55299 L
.57226 .55387 L
.57298 .55492 L
.57419 .55674 L
.57422 .55684 L
.57551 .55877 L
.57611 .55979 L
.57723 .5607 L
.57734 .56263 L
.57611 .56327 L
.57516 .56263 L
.57419 .56241 L
.57315 .5607 L
.57226 .55996 L
.57149 .55877 L
.57033 .55745 L
.56959 .55684 L
.56844 .55492 L
.56841 .55487 L
.56703 .55299 L
.56648 .55227 L
.56562 .55106 L
.56455 .54987 L
.56394 .54914 L
.56284 .54721 L
.56263 .54692 L
.56154 .54528 L
.5607 .54406 L
.56026 .54336 L
.5591 .54143 L
.55877 .5408 L
.5584 .5395 L
F
0 .17 1 r
.55877 .50307 m
.55988 .50482 L
.5607 .50589 L
.56122 .50674 L
.5607 .50764 L
.56003 .50674 L
.55877 .50527 L
.55844 .50482 L
F
0 .59 1 r
.55877 .54675 m
.55922 .54721 L
.5607 .54878 L
.56098 .54914 L
.5607 .55079 L
.55963 .54914 L
.55877 .5479 L
.55845 .54721 L
F
0 .16 1 r
.55877 .50315 m
.55982 .50482 L
.5607 .50598 L
.56115 .50674 L
.5607 .50754 L
.5601 .50674 L
.55877 .5052 L
.55849 .50482 L
F
0 .15 1 r
.55877 .50323 m
.55974 .50482 L
.5607 .50609 L
.56108 .50674 L
.5607 .50744 L
.56018 .50674 L
.55877 .50512 L
.55855 .50482 L
F
0 .14 1 r
.55877 .50332 m
.55966 .50482 L
.5607 .5062 L
.561 .50674 L
.5607 .50732 L
.56027 .50674 L
.55877 .50504 L
.55861 .50482 L
F
0 .92 1 r
.55877 .57179 m
.56006 .57226 L
.5607 .57277 L
.56201 .57419 L
.56263 .57487 L
.56358 .57611 L
.56455 .57734 L
.56505 .57804 L
.56646 .57997 L
.56648 .57999 L
.56767 .58189 L
.56841 .58303 L
.56883 .58382 L
.56841 .58521 L
.56695 .58382 L
.56648 .58336 L
.56518 .58189 L
.56455 .58117 L
.56357 .57997 L
.56263 .57877 L
.56207 .57804 L
.5607 .57613 L
.56069 .57611 L
.55948 .57419 L
.55877 .57273 L
.55861 .57226 L
F
0 .58 1 r
.55877 .54704 m
.55897 .54721 L
.5607 .54893 L
.56086 .54914 L
.5607 .55062 L
.55978 .54914 L
.55877 .54758 L
.55866 .54721 L
F
0 .9 1 r
.55877 .60509 m
.55986 .60694 L
.5607 .60819 L
.56104 .60887 L
.5607 .60923 L
.56043 .60887 L
.55877 .6071 L
.55866 .60694 L
F
0 .13 1 r
.55877 .50342 m
.55957 .50482 L
.5607 .50634 L
.56091 .50674 L
.5607 .50718 L
.56038 .50674 L
.55877 .50495 L
.55867 .50482 L
F
1 .15 0 r
.55877 .49523 m
.56017 .49711 L
.5607 .49771 L
.56166 .49904 L
.56263 .50021 L
.56317 .50096 L
.56455 .50272 L
.56467 .50289 L
.56607 .50482 L
.56648 .50532 L
.56747 .50674 L
.56841 .50793 L
.56892 .50867 L
.57033 .51054 L
.57038 .5106 L
.57168 .51253 L
.57226 .51326 L
.57304 .51445 L
.57419 .51597 L
.57445 .51638 L
.57419 .5179 L
.57308 .51638 L
.57226 .51544 L
.57155 .51445 L
.57033 .51295 L
.57003 .51253 L
.56856 .5106 L
.56841 .51042 L
.56717 .50867 L
.56648 .50781 L
.56574 .50674 L
.56455 .50522 L
.56427 .50482 L
.56288 .50289 L
.56263 .50258 L
.56154 .50096 L
.5607 .49988 L
.56015 .49904 L
.55877 .49719 L
.55872 .49711 L
F
0 .12 1 r
.55877 .50354 m
.55945 .50482 L
.5607 .50653 L
.56079 .50674 L
.5607 .50698 L
.56053 .50674 L
.55877 .50486 L
.55874 .50482 L
F
1 .14 0 r
.55877 .49532 m
.5601 .49711 L
.5607 .49778 L
.5616 .49904 L
.56263 .50027 L
.56312 .50096 L
.56455 .50278 L
.56463 .50289 L
.56601 .50482 L
.56648 .50538 L
.56742 .50674 L
.56841 .50799 L
.56888 .50867 L
.57033 .5106 L
.57033 .5106 L
.57163 .51253 L
.57226 .51333 L
.57299 .51445 L
.57419 .51604 L
.5744 .51638 L
.57419 .51781 L
.57315 .51638 L
.57226 .51536 L
.57161 .51445 L
.57033 .51289 L
.57007 .51253 L
.56861 .5106 L
.56841 .51035 L
.56723 .50867 L
.56648 .50775 L
.56578 .50674 L
.56455 .50516 L
.56431 .50482 L
.56293 .50289 L
.56263 .50251 L
.5616 .50096 L
.5607 .49981 L
.5602 .49904 L
.55877 .49712 L
.55877 .49711 L
F
1 .89 0 r
.5607 .54035 m
.56191 .54143 L
.56263 .54163 L
.5638 .54336 L
.56455 .54413 L
.56549 .54528 L
.56648 .54653 L
.56714 .54721 L
.56841 .54898 L
.5685 .54914 L
.57001 .55106 L
.57033 .55122 L
.57144 .55299 L
.57226 .55401 L
.57288 .55492 L
.57413 .55684 L
.57419 .55693 L
.57538 .55877 L
.57611 .56006 L
.57691 .5607 L
.57696 .56263 L
.57611 .56298 L
.57549 .56263 L
.57419 .56228 L
.57329 .5607 L
.57226 .55983 L
.57159 .55877 L
.57033 .55733 L
.56972 .55684 L
.56852 .55492 L
.56841 .55477 L
.56711 .55299 L
.56648 .55218 L
.56569 .55106 L
.56455 .54974 L
.56405 .54914 L
.56292 .54721 L
.56263 .5468 L
.56163 .54528 L
.5607 .5439 L
.56036 .54336 L
.55929 .54143 L
F
1 .81 0 r
.5607 .48159 m
.5608 .48169 L
.56258 .48362 L
.56263 .48367 L
.56425 .48555 L
.56455 .48588 L
.56588 .48747 L
.56648 .48817 L
.56749 .4894 L
.56841 .49041 L
.56906 .49133 L
.57033 .49293 L
.57065 .49326 L
.57212 .49518 L
.57226 .49536 L
.57363 .49711 L
.57419 .49773 L
.57585 .49904 L
.57611 .50031 L
.57666 .50096 L
.57804 .50282 L
.57807 .50289 L
.57958 .50482 L
.57997 .50526 L
.58151 .50674 L
.58189 .50787 L
.5825 .50867 L
.58382 .51044 L
.58388 .5106 L
.58541 .51253 L
.58575 .51292 L
.58718 .51445 L
.58768 .51555 L
.58827 .51638 L
.5896 .51815 L
.58963 .51831 L
.59117 .52023 L
.59153 .52066 L
.59285 .52216 L
.59346 .52331 L
.59398 .52409 L
.59538 .52593 L
.59538 .52601 L
.59688 .52794 L
.59731 .52845 L
.59849 .52987 L
.59924 .53114 L
.59965 .53179 L
.60114 .53372 L
.60116 .53373 L
.60255 .53565 L
.60309 .5363 L
.60412 .53758 L
.60502 .53901 L
.60531 .5395 L
.60678 .54143 L
.60694 .54152 L
.60819 .54336 L
.60887 .5442 L
.60971 .54528 L
.6108 .54693 L
.61095 .54721 L
.61239 .54914 L
.61273 .54936 L
.61446 .55106 L
.61465 .55216 L
.61527 .55299 L
.61658 .55491 L
.61658 .55492 L
.61795 .55684 L
.61851 .55729 L
.61989 .55877 L
.62043 .56022 L
.62078 .5607 L
.6221 .56263 L
.62236 .56299 L
.62346 .56455 L
.62429 .56539 L
.62521 .56648 L
.6262 .56841 L
.62621 .56842 L
.62752 .57033 L
.62814 .5712 L
.62887 .57226 L
.63007 .57385 L
.63033 .57419 L
.6315 .57611 L
.63199 .57682 L
.63278 .57804 L
.63392 .57971 L
.63409 .57997 L
.63526 .58189 L
.63585 .5828 L
.6364 .58382 L
.63585 .58511 L
.63467 .58382 L
.63392 .58307 L
.63293 .58189 L
.63199 .58086 L
.63126 .57997 L
.63007 .57869 L
.62965 .57804 L
.62814 .57619 L
.62805 .57611 L
.62656 .57419 L
.62621 .57378 L
.62503 .57226 L
.62429 .57148 L
.62351 .57033 L
.62236 .56887 L
.62192 .56841 L
.62053 .56648 L
.62043 .56636 L
.61906 .56455 L
.61851 .56397 L
.61687 .56263 L
.61658 .56133 L
.61604 .5607 L
.61466 .55877 L
.61465 .55876 L
.61322 .55684 L
.61273 .55631 L
.61123 .55492 L
.6108 .55365 L
.61027 .55299 L
.60888 .55106 L
.60887 .55105 L
.60746 .54914 L
.60694 .54857 L
.6056 .54721 L
.60502 .54588 L
.60456 .54528 L
.60316 .54336 L
.60309 .54326 L
.60175 .54143 L
.60116 .54077 L
.59998 .5395 L
.59924 .53806 L
.59888 .53758 L
.59748 .53565 L
.59731 .53562 L
.59608 .53372 L
.59538 .53293 L
.59438 .53179 L
.59346 .53019 L
.59323 .52987 L
.59184 .52794 L
.59153 .52784 L
.59044 .52601 L
.5896 .52503 L
.5888 .52409 L
.58768 .52227 L
.5876 .52216 L
.58622 .52023 L
.58575 .52 L
.58482 .51831 L
.58382 .51707 L
.58325 .51638 L
.582 .51445 L
.58189 .51431 L
.58064 .51253 L
.57997 .51205 L
.57924 .5106 L
.57804 .50904 L
.57775 .50867 L
.57646 .50674 L
.57611 .50628 L
.57509 .50482 L
.57419 .50396 L
.57321 .50289 L
.5723 .50096 L
.57226 .50091 L
.57098 .49904 L
.57033 .49816 L
.56962 .49711 L
.56841 .4956 L
.56805 .49518 L
.56691 .49326 L
.56648 .49266 L
.5656 .49133 L
.56455 .48986 L
.56426 .4894 L
.56297 .48747 L
.56263 .48699 L
.56175 .48555 L
.5607 .48399 L
.56049 .48362 L
.55945 .48169 L
F
1 .88 0 r
.5607 .54062 m
.56167 .54143 L
.56263 .54175 L
.56364 .54336 L
.56455 .54428 L
.56535 .54528 L
.56648 .54667 L
.56702 .54721 L
.56841 .54909 L
.56843 .54914 L
.56991 .55106 L
.57033 .55129 L
.57134 .55299 L
.57226 .55417 L
.57277 .55492 L
.57401 .55684 L
.57419 .55711 L
.57524 .55877 L
.57611 .56038 L
.57651 .5607 L
.57628 .56263 L
.57611 .56265 L
.57605 .56263 L
.57419 .56209 L
.57344 .5607 L
.57226 .55969 L
.57169 .55877 L
.57033 .55721 L
.56987 .55684 L
.5686 .55492 L
.56841 .55467 L
.56718 .55299 L
.56648 .55208 L
.56576 .55106 L
.56455 .5496 L
.56417 .54914 L
.56301 .54721 L
.56263 .54667 L
.56173 .54528 L
.5607 .54373 L
.56047 .54336 L
.55951 .54143 L
F
1 .87 0 r
.5607 .54091 m
.56138 .54143 L
.56263 .54192 L
.56346 .54336 L
.56455 .54444 L
.56521 .54528 L
.56648 .54681 L
.56689 .54721 L
.56834 .54914 L
.56841 .54923 L
.56981 .55106 L
.57033 .55137 L
.57124 .55299 L
.57226 .55433 L
.57266 .55492 L
.57389 .55684 L
.57419 .5573 L
.5751 .55877 L
.57607 .5607 L
.57419 .56183 L
.57361 .5607 L
.57226 .55953 L
.5718 .55877 L
.57033 .55708 L
.57003 .55684 L
.56869 .55492 L
.56841 .55457 L
.56726 .55299 L
.56648 .55198 L
.56583 .55106 L
.56455 .54945 L
.56429 .54914 L
.5631 .54721 L
.56263 .54654 L
.56183 .54528 L
.5607 .54354 L
.56059 .54336 L
.55978 .54143 L
F
0 .91 1 r
.5607 .57324 m
.56165 .57419 L
.56263 .57522 L
.56332 .57611 L
.56455 .57765 L
.56482 .57804 L
.56617 .57997 L
.56648 .58042 L
.56732 .58189 L
.56648 .58285 L
.56559 .58189 L
.56455 .58076 L
.5639 .57997 L
.56263 .57837 L
.56238 .57804 L
.56103 .57611 L
.5607 .57561 L
.55988 .57419 L
F
0 .57 1 r
.5607 .54911 m
.56072 .54914 L
.5607 .5504 L
.56 .54914 L
F
1 .98 0 r
.5607 .56782 m
.56263 .56762 L
.56455 .56824 L
.56477 .56841 L
.56648 .57026 L
.56651 .57033 L
.56801 .57226 L
.56841 .5728 L
.56987 .57419 L
.57033 .5754 L
.57094 .57611 L
.57226 .57797 L
.57229 .57804 L
.57371 .57997 L
.57419 .58034 L
.57547 .58189 L
.57611 .58314 L
.57656 .58382 L
.57792 .58575 L
.57804 .58591 L
.57928 .58768 L
.57997 .58863 L
.58095 .5896 L
.58189 .59123 L
.58203 .59153 L
.58329 .59346 L
.58382 .59427 L
.58449 .59538 L
.58534 .59731 L
.58382 .59827 L
.58223 .59731 L
.58189 .59705 L
.58003 .59538 L
.57997 .5953 L
.57829 .59346 L
.57804 .59309 L
.57658 .59153 L
.57611 .59056 L
.57533 .5896 L
.57419 .58835 L
.57366 .58768 L
.57226 .58579 L
.57223 .58575 L
.57074 .58382 L
.57033 .58313 L
.56956 .58189 L
.56841 .58041 L
.56791 .57997 L
.56652 .57804 L
.56648 .578 L
.56509 .57611 L
.56455 .57541 L
.56396 .57419 L
.56263 .5727 L
.56234 .57226 L
.56071 .57033 L
.5607 .56966 L
.56007 .56841 L
F
1 .86 0 r
.5607 .54125 m
.56099 .54143 L
.56263 .54216 L
.56328 .54336 L
.56455 .54462 L
.56507 .54528 L
.56648 .54696 L
.56675 .54721 L
.56822 .54914 L
.56841 .54937 L
.5697 .55106 L
.57033 .55147 L
.57113 .55299 L
.57226 .55451 L
.57254 .55492 L
.57377 .55684 L
.57419 .55751 L
.57495 .55877 L
.57582 .5607 L
.57419 .56148 L
.5738 .5607 L
.57226 .55936 L
.57191 .55877 L
.57033 .55695 L
.5702 .55684 L
.56878 .55492 L
.56841 .55446 L
.56734 .55299 L
.56648 .55188 L
.5659 .55106 L
.56455 .54929 L
.56443 .54914 L
.5632 .54721 L
.56263 .54639 L
.56194 .54528 L
.56073 .54336 L
.5607 .5433 L
.56018 .54143 L
F
0 .5 1 r
.5607 .48941 m
.56227 .49133 L
.56263 .49173 L
.56384 .49326 L
.56455 .4941 L
.5654 .49518 L
.56648 .49607 L
.56694 .49711 L
.56841 .49895 L
.5685 .49904 L
.56993 .50096 L
.57033 .50146 L
.57142 .50289 L
.57226 .50352 L
.5729 .50482 L
.57419 .50645 L
.57449 .50674 L
.57582 .50867 L
.57611 .50904 L
.57727 .5106 L
.57804 .5112 L
.57872 .51253 L
.57997 .51414 L
.58026 .51445 L
.58159 .51638 L
.58189 .51678 L
.58301 .51831 L
.58382 .51902 L
.58444 .52023 L
.58575 .52196 L
.58592 .52216 L
.58726 .52409 L
.58768 .52463 L
.58867 .52601 L
.5896 .52696 L
.59008 .52794 L
.59149 .52987 L
.59153 .52992 L
.59285 .53179 L
.59346 .53261 L
.59424 .53372 L
.59538 .5351 L
.59595 .53565 L
.59699 .53758 L
.59731 .53801 L
.59833 .5395 L
.59924 .54075 L
.5997 .54143 L
.60106 .54336 L
.60116 .5435 L
.60233 .54528 L
.60309 .54635 L
.60365 .54721 L
.60496 .54914 L
.60502 .54921 L
.60609 .55106 L
.60694 .55237 L
.60725 .55299 L
.60694 .55367 L
.60634 .55299 L
.60502 .55164 L
.60454 .55106 L
.60309 .5494 L
.60288 .54914 L
.60131 .54721 L
.60116 .54705 L
.59978 .54528 L
.59924 .54464 L
.59825 .54336 L
.59731 .5422 L
.59673 .54143 L
.59538 .53979 L
.595 .5395 L
.59375 .53758 L
.59346 .53721 L
.59229 .53565 L
.59153 .53469 L
.59081 .53372 L
.5896 .53225 L
.58909 .53179 L
.5879 .52987 L
.58768 .52959 L
.58647 .52794 L
.58575 .52701 L
.58502 .52601 L
.58382 .52452 L
.58338 .52409 L
.58216 .52216 L
.58189 .52182 L
.58075 .52023 L
.57997 .5192 L
.57932 .51831 L
.57804 .51665 L
.57779 .51638 L
.5765 .51445 L
.57611 .51394 L
.57511 .51253 L
.57419 .5118 L
.5737 .5106 L
.57228 .50867 L
.57226 .50865 L
.57093 .50674 L
.57033 .50595 L
.56955 .50482 L
.56841 .50356 L
.56815 .50289 L
.5668 .50096 L
.56648 .50054 L
.56547 .49904 L
.56455 .49779 L
.5641 .49711 L
.56274 .49518 L
.56263 .49502 L
.56149 .49326 L
.5607 .49215 L
.56019 .49133 L
F
0 .49 1 r
.5607 .48951 m
.56219 .49133 L
.56263 .49181 L
.56378 .49326 L
.56455 .49417 L
.56535 .49518 L
.56648 .49615 L
.5669 .49711 L
.56841 .49902 L
.56843 .49904 L
.56989 .50096 L
.57033 .50151 L
.57138 .50289 L
.57226 .50357 L
.57287 .50482 L
.57419 .5065 L
.57444 .50674 L
.57579 .50867 L
.57611 .50909 L
.57723 .5106 L
.57804 .51124 L
.57869 .51253 L
.57997 .51418 L
.58022 .51445 L
.58156 .51638 L
.58189 .51682 L
.58298 .51831 L
.58382 .51906 L
.58441 .52023 L
.58575 .52201 L
.58588 .52216 L
.58723 .52409 L
.58768 .52467 L
.58864 .52601 L
.5896 .52701 L
.59005 .52794 L
.59146 .52987 L
.59153 .52997 L
.59282 .53179 L
.59346 .53265 L
.59421 .53372 L
.59538 .53516 L
.59588 .53565 L
.59695 .53758 L
.59731 .53806 L
.59829 .5395 L
.59924 .5408 L
.59966 .54143 L
.60101 .54336 L
.60116 .54357 L
.60228 .54528 L
.60309 .54642 L
.60359 .54721 L
.60489 .54914 L
.60502 .54932 L
.60599 .55106 L
.60694 .55258 L
.60712 .55299 L
.60694 .55345 L
.60651 .55299 L
.60502 .55154 L
.60463 .55106 L
.60309 .54932 L
.60295 .54914 L
.60137 .54721 L
.60116 .54698 L
.59984 .54528 L
.59924 .54458 L
.5983 .54336 L
.59731 .54214 L
.59677 .54143 L
.59538 .53973 L
.59508 .5395 L
.59379 .53758 L
.59346 .53717 L
.59232 .53565 L
.59153 .53465 L
.59084 .53372 L
.5896 .5322 L
.58915 .53179 L
.58793 .52987 L
.58768 .52955 L
.5865 .52794 L
.58575 .52697 L
.58505 .52601 L
.58382 .52447 L
.58343 .52409 L
.58219 .52216 L
.58189 .52178 L
.58078 .52023 L
.57997 .51917 L
.57935 .51831 L
.57804 .51661 L
.57783 .51638 L
.57653 .51445 L
.57611 .5139 L
.57514 .51253 L
.57419 .51175 L
.57372 .5106 L
.57231 .50867 L
.57226 .50861 L
.57096 .50674 L
.57033 .5059 L
.56958 .50482 L
.56841 .50349 L
.56818 .50289 L
.56683 .50096 L
.56648 .50049 L
.56551 .49904 L
.56455 .49773 L
.56414 .49711 L
.56279 .49518 L
.56263 .49496 L
.56154 .49326 L
.5607 .49207 L
.56024 .49133 L
F
1 .13 0 r
.5607 .49786 m
.56154 .49904 L
.56263 .50034 L
.56307 .50096 L
.56455 .50284 L
.56459 .50289 L
.56596 .50482 L
.56648 .50545 L
.56737 .50674 L
.56841 .50805 L
.56883 .50867 L
.56841 .51028 L
.56728 .50867 L
.56648 .50769 L
.56583 .50674 L
.56455 .5051 L
.56435 .50482 L
.56299 .50289 L
.56263 .50244 L
.56165 .50096 L
.5607 .49973 L
.56025 .49904 L
F
0 .48 1 r
.5607 .48962 m
.56211 .49133 L
.56263 .49189 L
.56372 .49326 L
.56455 .49423 L
.5653 .49518 L
.56648 .49625 L
.56685 .49711 L
.56837 .49904 L
.56841 .49908 L
.56985 .50096 L
.57033 .50156 L
.57134 .50289 L
.57226 .50362 L
.57283 .50482 L
.57419 .50655 L
.57439 .50674 L
.57575 .50867 L
.57611 .50913 L
.5772 .5106 L
.57804 .51129 L
.57866 .51253 L
.57997 .51423 L
.58018 .51445 L
.58152 .51638 L
.58189 .51686 L
.58295 .51831 L
.58382 .5191 L
.58439 .52023 L
.58575 .52205 L
.58584 .52216 L
.5872 .52409 L
.58768 .52471 L
.58861 .52601 L
.5896 .52706 L
.59002 .52794 L
.59142 .52987 L
.59153 .53001 L
.59278 .53179 L
.59346 .5327 L
.59417 .53372 L
.59538 .53523 L
.59581 .53565 L
.59691 .53758 L
.59731 .53811 L
.59826 .5395 L
.59924 .54086 L
.59963 .54143 L
.60096 .54336 L
.60116 .54364 L
.60223 .54528 L
.60309 .5465 L
.60354 .54721 L
.6048 .54914 L
.60502 .54945 L
.60588 .55106 L
.60502 .55142 L
.60472 .55106 L
.60309 .54923 L
.60301 .54914 L
.60144 .54721 L
.60116 .5469 L
.59989 .54528 L
.59924 .54451 L
.59835 .54336 L
.59731 .54209 L
.59681 .54143 L
.59538 .53967 L
.59517 .5395 L
.59383 .53758 L
.59346 .53712 L
.59236 .53565 L
.59153 .5346 L
.59088 .53372 L
.5896 .53215 L
.5892 .53179 L
.58796 .52987 L
.58768 .52951 L
.58653 .52794 L
.58575 .52693 L
.58508 .52601 L
.58382 .52443 L
.58347 .52409 L
.58222 .52216 L
.58189 .52175 L
.58081 .52023 L
.57997 .51913 L
.57937 .51831 L
.57804 .51656 L
.57787 .51638 L
.57656 .51445 L
.57611 .51387 L
.57517 .51253 L
.57419 .5117 L
.57375 .5106 L
.57234 .50867 L
.57226 .50856 L
.571 .50674 L
.57033 .50586 L
.56961 .50482 L
.56841 .50341 L
.56821 .50289 L
.56687 .50096 L
.56648 .50044 L
.56554 .49904 L
.56455 .49768 L
.56418 .49711 L
.56284 .49518 L
.56263 .49488 L
.5616 .49326 L
.5607 .49198 L
.5603 .49133 L
F
1 .12 0 r
.5607 .49795 m
.56147 .49904 L
.56263 .50041 L
.56302 .50096 L
.56263 .50236 L
.56172 .50096 L
.5607 .49966 L
.5603 .49904 L
F
1 .11 0 r
.5607 .49804 m
.5614 .49904 L
.56263 .50048 L
.56297 .50096 L
.56263 .50228 L
.56178 .50096 L
.5607 .49957 L
.56036 .49904 L
F
0 .47 1 r
.5607 .48973 m
.56203 .49133 L
.56263 .49197 L
.56365 .49326 L
.56455 .4943 L
.56524 .49518 L
.56648 .49634 L
.56681 .49711 L
.56832 .49904 L
.56841 .49913 L
.56981 .50096 L
.57033 .50161 L
.5713 .50289 L
.57226 .50368 L
.5728 .50482 L
.57419 .5066 L
.57433 .50674 L
.57572 .50867 L
.57611 .50917 L
.57717 .5106 L
.57804 .51133 L
.57863 .51253 L
.57997 .51427 L
.58014 .51445 L
.58149 .51638 L
.58189 .5169 L
.58292 .51831 L
.58382 .51915 L
.58436 .52023 L
.58575 .5221 L
.5858 .52216 L
.58717 .52409 L
.58768 .52475 L
.58858 .52601 L
.5896 .52711 L
.59 .52794 L
.59139 .52987 L
.59153 .53005 L
.59275 .53179 L
.59346 .53274 L
.59414 .53372 L
.59538 .5353 L
.59574 .53565 L
.59687 .53758 L
.59731 .53816 L
.59822 .5395 L
.59924 .54091 L
.59959 .54143 L
.60091 .54336 L
.60116 .54371 L
.60217 .54528 L
.60309 .54658 L
.60348 .54721 L
.60471 .54914 L
.60502 .54959 L
.60574 .55106 L
.60502 .55129 L
.60483 .55106 L
.60309 .54914 L
.60308 .54914 L
.60151 .54721 L
.60116 .54683 L
.59995 .54528 L
.59924 .54445 L
.5984 .54336 L
.59731 .54203 L
.59685 .54143 L
.59538 .5396 L
.59525 .5395 L
.59387 .53758 L
.59346 .53707 L
.59239 .53565 L
.59153 .53456 L
.59091 .53372 L
.5896 .5321 L
.58926 .53179 L
.58799 .52987 L
.58768 .52947 L
.58656 .52794 L
.58575 .52689 L
.58511 .52601 L
.58382 .52438 L
.58352 .52409 L
.58224 .52216 L
.58189 .52171 L
.58083 .52023 L
.57997 .5191 L
.5794 .51831 L
.57804 .51651 L
.57791 .51638 L
.57659 .51445 L
.57611 .51383 L
.57519 .51253 L
.57419 .51164 L
.57378 .5106 L
.57237 .50867 L
.57226 .50852 L
.57103 .50674 L
.57033 .50582 L
.56964 .50482 L
.56841 .50333 L
.56824 .50289 L
.56691 .50096 L
.56648 .50038 L
.56558 .49904 L
.56455 .49762 L
.56422 .49711 L
.5629 .49518 L
.56263 .49481 L
.56166 .49326 L
.5607 .49189 L
.56036 .49133 L
F
1 .1 0 r
.5607 .49815 m
.56132 .49904 L
.56263 .50056 L
.56291 .50096 L
.56263 .50219 L
.56185 .50096 L
.5607 .49948 L
.56043 .49904 L
F
0 .46 1 r
.5607 .48985 m
.56194 .49133 L
.56263 .49206 L
.56359 .49326 L
.56455 .49437 L
.56519 .49518 L
.56648 .49645 L
.56676 .49711 L
.56828 .49904 L
.56841 .49919 L
.56976 .50096 L
.57033 .50166 L
.57126 .50289 L
.57226 .50374 L
.57276 .50482 L
.57419 .50666 L
.57428 .50674 L
.57568 .50867 L
.57611 .50922 L
.57714 .5106 L
.57804 .51138 L
.5786 .51253 L
.57997 .51432 L
.58009 .51445 L
.58146 .51638 L
.58189 .51694 L
.58289 .51831 L
.58382 .51919 L
.58433 .52023 L
.58575 .52215 L
.58576 .52216 L
.58714 .52409 L
.58768 .52479 L
.58855 .52601 L
.5896 .52717 L
.58997 .52794 L
.59136 .52987 L
.59153 .5301 L
.59272 .53179 L
.59346 .53279 L
.59411 .53372 L
.59538 .53537 L
.59567 .53565 L
.59683 .53758 L
.59731 .53822 L
.59818 .5395 L
.59924 .54097 L
.59955 .54143 L
.60085 .54336 L
.60116 .54378 L
.60212 .54528 L
.60309 .54667 L
.60342 .54721 L
.60309 .54904 L
.60159 .54721 L
.60116 .54675 L
.60001 .54528 L
.59924 .54438 L
.59844 .54336 L
.59731 .54198 L
.59689 .54143 L
.59538 .53953 L
.59534 .5395 L
.59391 .53758 L
.59346 .53702 L
.59243 .53565 L
.59153 .53451 L
.59094 .53372 L
.5896 .53205 L
.58932 .53179 L
.58803 .52987 L
.58768 .52942 L
.58659 .52794 L
.58575 .52685 L
.58514 .52601 L
.58382 .52434 L
.58357 .52409 L
.58227 .52216 L
.58189 .52167 L
.58086 .52023 L
.57997 .51906 L
.57943 .51831 L
.57804 .51647 L
.57796 .51638 L
.57662 .51445 L
.57611 .51379 L
.57522 .51253 L
.57419 .51158 L
.5738 .5106 L
.57241 .50867 L
.57226 .50848 L
.57106 .50674 L
.57033 .50577 L
.56968 .50482 L
.56841 .50325 L
.56827 .50289 L
.56695 .50096 L
.56648 .50033 L
.56562 .49904 L
.56455 .49756 L
.56426 .49711 L
.56295 .49518 L
.56263 .49473 L
.56172 .49326 L
.5607 .49179 L
.56043 .49133 L
F
0 .9 1 r
.5607 .57394 m
.56105 .57419 L
.56263 .57564 L
.563 .57611 L
.56455 .57804 L
.56456 .57804 L
.56575 .57997 L
.56648 .58114 L
.56673 .58189 L
.56648 .58211 L
.56622 .58189 L
.56455 .58026 L
.5643 .57997 L
.56276 .57804 L
.56263 .57788 L
.56145 .57611 L
.5607 .57481 L
.56047 .57419 L
F
1 .09 0 r
.5607 .49827 m
.56123 .49904 L
.56263 .50065 L
.56285 .50096 L
.56263 .50209 L
.56194 .50096 L
.5607 .49937 L
.5605 .49904 L
F
0 .45 1 r
.5607 .48999 m
.56184 .49133 L
.56263 .49215 L
.56352 .49326 L
.56455 .49445 L
.56513 .49518 L
.56648 .49656 L
.56671 .49711 L
.56823 .49904 L
.56841 .49925 L
.56972 .50096 L
.57033 .50172 L
.57123 .50289 L
.57226 .50381 L
.57273 .50482 L
.57419 .50671 L
.57422 .50674 L
.57565 .50867 L
.57611 .50926 L
.57711 .5106 L
.57804 .51143 L
.57857 .51253 L
.57997 .51437 L
.58005 .51445 L
.58143 .51638 L
.58189 .51698 L
.58286 .51831 L
.58382 .51924 L
.5843 .52023 L
.58573 .52216 L
.58575 .52219 L
.58711 .52409 L
.58768 .52484 L
.58852 .52601 L
.5896 .52722 L
.58994 .52794 L
.59132 .52987 L
.59153 .53014 L
.59269 .53179 L
.59346 .53283 L
.59408 .53372 L
.59538 .53544 L
.59559 .53565 L
.59679 .53758 L
.59731 .53827 L
.59814 .5395 L
.59924 .54103 L
.59951 .54143 L
.6008 .54336 L
.60116 .54386 L
.60206 .54528 L
.60309 .54677 L
.60336 .54721 L
.60309 .54893 L
.60167 .54721 L
.60116 .54667 L
.60007 .54528 L
.59924 .54432 L
.5985 .54336 L
.59731 .54192 L
.59694 .54143 L
.59541 .5395 L
.59538 .53947 L
.59395 .53758 L
.59346 .53698 L
.59247 .53565 L
.59153 .53447 L
.59097 .53372 L
.5896 .53199 L
.58938 .53179 L
.58806 .52987 L
.58768 .52938 L
.58662 .52794 L
.58575 .52682 L
.58516 .52601 L
.58382 .52429 L
.58361 .52409 L
.58231 .52216 L
.58189 .52163 L
.58089 .52023 L
.57997 .51902 L
.57946 .51831 L
.57804 .51642 L
.578 .51638 L
.57665 .51445 L
.57611 .51375 L
.57525 .51253 L
.57419 .51152 L
.57383 .5106 L
.57244 .50867 L
.57226 .50843 L
.57109 .50674 L
.57033 .50573 L
.56971 .50482 L
.56841 .50317 L
.5683 .50289 L
.56699 .50096 L
.56648 .50027 L
.56566 .49904 L
.56455 .4975 L
.5643 .49711 L
.56301 .49518 L
.56263 .49465 L
.56179 .49326 L
.5607 .49168 L
.5605 .49133 L
F
0 .44 1 r
.5607 .49015 m
.56172 .49133 L
.56263 .49225 L
.56344 .49326 L
.56455 .49452 L
.56508 .49518 L
.56648 .49667 L
.56666 .49711 L
.56817 .49904 L
.56841 .49931 L
.56967 .50096 L
.57033 .50177 L
.57119 .50289 L
.57226 .50387 L
.57269 .50482 L
.57417 .50674 L
.57419 .50676 L
.57561 .50867 L
.57611 .50931 L
.57707 .5106 L
.57804 .51148 L
.57854 .51253 L
.57997 .51442 L
.58 .51445 L
.5814 .51638 L
.58189 .51702 L
.58283 .51831 L
.58382 .51929 L
.58427 .52023 L
.58569 .52216 L
.58575 .52223 L
.58708 .52409 L
.58768 .52488 L
.58849 .52601 L
.5896 .52728 L
.58991 .52794 L
.59129 .52987 L
.59153 .53019 L
.59265 .53179 L
.59346 .53288 L
.59404 .53372 L
.59538 .53552 L
.59551 .53565 L
.59675 .53758 L
.59731 .53833 L
.5981 .5395 L
.59924 .54109 L
.59946 .54143 L
.60074 .54336 L
.60116 .54394 L
.602 .54528 L
.60309 .54687 L
.60329 .54721 L
.60309 .5488 L
.60176 .54721 L
.60116 .54658 L
.60014 .54528 L
.59924 .54425 L
.59855 .54336 L
.59731 .54186 L
.59698 .54143 L
.59545 .5395 L
.59538 .53942 L
.59399 .53758 L
.59346 .53693 L
.5925 .53565 L
.59153 .53442 L
.59101 .53372 L
.5896 .53194 L
.58944 .53179 L
.58809 .52987 L
.58768 .52934 L
.58665 .52794 L
.58575 .52678 L
.58519 .52601 L
.58382 .52424 L
.58366 .52409 L
.58234 .52216 L
.58189 .52159 L
.58092 .52023 L
.57997 .51898 L
.57948 .51831 L
.57805 .51638 L
.57804 .51637 L
.57668 .51445 L
.57611 .51371 L
.57528 .51253 L
.57419 .51145 L
.57386 .5106 L
.57247 .50867 L
.57226 .50839 L
.57113 .50674 L
.57033 .50568 L
.56974 .50482 L
.56841 .50308 L
.56834 .50289 L
.56703 .50096 L
.56648 .50022 L
.56571 .49904 L
.56455 .49744 L
.56434 .49711 L
.56308 .49518 L
.56263 .49456 L
.56186 .49326 L
.5607 .49155 L
.56057 .49133 L
F
1 .08 0 r
.5607 .49842 m
.56111 .49904 L
.56263 .50075 L
.56278 .50096 L
.56263 .50198 L
.56203 .50096 L
.5607 .49925 L
.56058 .49904 L
F
1 .8 0 r
.5607 .4819 m
.56237 .48362 L
.56263 .48387 L
.5641 .48555 L
.56455 .48604 L
.56576 .48747 L
.56648 .48831 L
.56738 .4894 L
.56841 .49053 L
.56897 .49133 L
.57033 .49303 L
.57055 .49326 L
.57204 .49518 L
.57226 .49545 L
.57356 .49711 L
.57419 .49781 L
.5758 .49904 L
.57611 .50039 L
.5766 .50096 L
.57804 .50288 L
.57805 .50289 L
.57953 .50482 L
.57997 .50532 L
.58147 .50674 L
.58189 .50793 L
.58246 .50867 L
.58382 .51049 L
.58386 .5106 L
.58537 .51253 L
.58575 .51297 L
.58715 .51445 L
.58768 .5156 L
.58823 .51638 L
.5896 .51819 L
.58962 .51831 L
.59114 .52023 L
.59153 .5207 L
.59282 .52216 L
.59346 .52336 L
.59395 .52409 L
.59538 .52596 L
.59538 .52601 L
.59685 .52794 L
.59731 .52849 L
.59847 .52987 L
.59924 .53118 L
.59963 .53179 L
.60111 .53372 L
.60116 .53375 L
.60252 .53565 L
.60309 .53634 L
.60409 .53758 L
.60502 .53905 L
.60528 .5395 L
.60675 .54143 L
.60694 .54153 L
.60815 .54336 L
.60887 .54424 L
.60968 .54528 L
.6108 .54697 L
.61093 .54721 L
.61235 .54914 L
.61273 .54938 L
.61443 .55106 L
.61465 .55221 L
.61524 .55299 L
.61654 .55492 L
.61658 .55497 L
.61791 .55684 L
.61851 .55733 L
.61984 .55877 L
.62043 .56028 L
.62074 .5607 L
.62205 .56263 L
.62236 .56305 L
.62341 .56455 L
.62429 .56547 L
.62514 .56648 L
.62615 .56841 L
.62621 .5685 L
.62746 .57033 L
.62814 .57128 L
.6288 .57226 L
.63007 .574 L
.63021 .57419 L
.63141 .57611 L
.63199 .57695 L
.63269 .57804 L
.63392 .57987 L
.63398 .57997 L
.6351 .58189 L
.63585 .5831 L
.6362 .58382 L
.63585 .58477 L
.63492 .58382 L
.63392 .58286 L
.63309 .58189 L
.63199 .5807 L
.63139 .57997 L
.63007 .57854 L
.62975 .57804 L
.62817 .57611 L
.62814 .57608 L
.62664 .57419 L
.62621 .57368 L
.62511 .57226 L
.62429 .5714 L
.62358 .57033 L
.62236 .5688 L
.62199 .56841 L
.62059 .56648 L
.62043 .56629 L
.61911 .56455 L
.61851 .56391 L
.61692 .56263 L
.61658 .56127 L
.61609 .5607 L
.6147 .55877 L
.61465 .55871 L
.61326 .55684 L
.61273 .55627 L
.61127 .55492 L
.6108 .5536 L
.61031 .55299 L
.60892 .55106 L
.60887 .551 L
.6075 .54914 L
.60694 .54853 L
.60563 .54721 L
.60502 .54584 L
.60459 .54528 L
.60319 .54336 L
.60309 .54322 L
.60178 .54143 L
.60116 .54074 L
.60001 .5395 L
.59924 .53802 L
.59891 .53758 L
.59751 .53565 L
.59731 .53561 L
.59611 .53372 L
.59538 .53289 L
.59441 .53179 L
.59346 .53015 L
.59326 .52987 L
.59186 .52794 L
.59153 .52783 L
.59046 .52601 L
.5896 .52499 L
.58883 .52409 L
.58768 .52223 L
.58763 .52216 L
.58625 .52023 L
.58575 .51997 L
.58485 .51831 L
.58382 .51703 L
.58329 .51638 L
.58204 .51445 L
.58189 .51427 L
.58067 .51253 L
.57997 .51201 L
.57927 .5106 L
.57804 .50899 L
.57779 .50867 L
.5765 .50674 L
.57611 .50623 L
.57513 .50482 L
.57419 .50389 L
.57328 .50289 L
.57235 .50096 L
.57226 .50085 L
.57102 .49904 L
.57033 .4981 L
.56966 .49711 L
.56841 .49549 L
.56815 .49518 L
.56698 .49326 L
.56648 .49257 L
.56567 .49133 L
.56455 .48975 L
.56433 .4894 L
.56307 .48747 L
.56263 .48683 L
.56187 .48555 L
.5607 .48376 L
.56062 .48362 L
F
0 .99 1 r
.5607 .5356 m
.56091 .53565 L
.56263 .53625 L
.56455 .53737 L
.56486 .53758 L
.56648 .53875 L
.56741 .5395 L
.56841 .54043 L
.56945 .54143 L
.57033 .54244 L
.57117 .54336 L
.57226 .54475 L
.57272 .54528 L
.57414 .54721 L
.57419 .54728 L
.57567 .54914 L
.57611 .54976 L
.57713 .55106 L
.57804 .55235 L
.57854 .55299 L
.57991 .55492 L
.57997 .555 L
.58091 .55684 L
.58189 .55779 L
.58278 .55877 L
.58382 .56054 L
.58413 .5607 L
.5854 .56263 L
.58575 .56308 L
.58674 .56455 L
.58688 .56648 L
.58575 .56672 L
.58382 .5667 L
.58325 .56648 L
.58189 .56547 L
.58079 .56455 L
.57997 .563 L
.57966 .56263 L
.57828 .5607 L
.57804 .56047 L
.57688 .55877 L
.57611 .55785 L
.5751 .55684 L
.57419 .55517 L
.57399 .55492 L
.57262 .55299 L
.57226 .55252 L
.57123 .55106 L
.57033 .55017 L
.56952 .54914 L
.56841 .54727 L
.56836 .54721 L
.567 .54528 L
.56648 .54458 L
.56562 .54336 L
.56455 .54192 L
.56393 .54143 L
.56282 .5395 L
.56263 .53924 L
.56154 .53758 L
.5607 .53611 L
.56064 .53565 L
F
0 .43 1 r
.5607 .49035 m
.56158 .49133 L
.56263 .49235 L
.56336 .49326 L
.56455 .4946 L
.56501 .49518 L
.56648 .4968 L
.56661 .49711 L
.56812 .49904 L
.56841 .49937 L
.56963 .50096 L
.57033 .50182 L
.57114 .50289 L
.57226 .50394 L
.57265 .50482 L
.57413 .50674 L
.57419 .50681 L
.57558 .50867 L
.57611 .50935 L
.57704 .5106 L
.57804 .51154 L
.57851 .51253 L
.57996 .51445 L
.57997 .51446 L
.58137 .51638 L
.58189 .51706 L
.5828 .51831 L
.58382 .51935 L
.58424 .52023 L
.58566 .52216 L
.58575 .52227 L
.58704 .52409 L
.58768 .52492 L
.58846 .52601 L
.5896 .52734 L
.58988 .52794 L
.59125 .52987 L
.59153 .53023 L
.59262 .53179 L
.59346 .53293 L
.59401 .53372 L
.59538 .5356 L
.59543 .53565 L
.59671 .53758 L
.59731 .53839 L
.59805 .5395 L
.59924 .54115 L
.59942 .54143 L
.60068 .54336 L
.60116 .54403 L
.60193 .54528 L
.60309 .54698 L
.60322 .54721 L
.60309 .54866 L
.60186 .54721 L
.60116 .54649 L
.60021 .54528 L
.59924 .54418 L
.5986 .54336 L
.59731 .5418 L
.59703 .54143 L
.5955 .5395 L
.59538 .53936 L
.59403 .53758 L
.59346 .53687 L
.59254 .53565 L
.59153 .53438 L
.59104 .53372 L
.5896 .53188 L
.5895 .53179 L
.58813 .52987 L
.58768 .5293 L
.58668 .52794 L
.58575 .52674 L
.58522 .52601 L
.58382 .52419 L
.58372 .52409 L
.58237 .52216 L
.58189 .52155 L
.58095 .52023 L
.57997 .51894 L
.57951 .51831 L
.57808 .51638 L
.57804 .51633 L
.57671 .51445 L
.57611 .51367 L
.57531 .51253 L
.57419 .51139 L
.57389 .5106 L
.57251 .50867 L
.57226 .50835 L
.57116 .50674 L
.57033 .50564 L
.56977 .50482 L
.56841 .50299 L
.56837 .50289 L
.56708 .50096 L
.56648 .50016 L
.56575 .49904 L
.56455 .49737 L
.56438 .49711 L
.56314 .49518 L
.56263 .49446 L
.56193 .49326 L
.5607 .49141 L
.56066 .49133 L
F
1 .07 0 r
.5607 .49864 m
.56094 .49904 L
.56263 .50086 L
.5627 .50096 L
.56263 .50184 L
.56216 .50096 L
.5607 .49909 L
.56067 .49904 L
F
1 .97 0 r
.56263 .56792 m
.5642 .56841 L
.56455 .5686 L
.56633 .57033 L
.56648 .57053 L
.56788 .57226 L
.56841 .57295 L
.56979 .57419 L
.57033 .57551 L
.57085 .57611 L
.57223 .57804 L
.57226 .57808 L
.57362 .57997 L
.57419 .58043 L
.57539 .58189 L
.57611 .58328 L
.57646 .58382 L
.5778 .58575 L
.57804 .58608 L
.57915 .58768 L
.57997 .58883 L
.58077 .5896 L
.58182 .59153 L
.58189 .59165 L
.58299 .59346 L
.58382 .59495 L
.58402 .59538 L
.58382 .59699 L
.58189 .59627 L
.58071 .59538 L
.57997 .59463 L
.57872 .59346 L
.57804 .59256 L
.57683 .59153 L
.57611 .59019 L
.57554 .5896 L
.57419 .58807 L
.57388 .58768 L
.5724 .58575 L
.57226 .58555 L
.57087 .58382 L
.57033 .58292 L
.56968 .58189 L
.56841 .58027 L
.56804 .57997 L
.56664 .57804 L
.56648 .57787 L
.5652 .57611 L
.56455 .57524 L
.56407 .57419 L
.56263 .57242 L
.56253 .57226 L
.56074 .57033 L
.56074 .56841 L
F
1 .96 0 r
.56263 .56823 m
.56347 .56841 L
.56455 .5689 L
.56613 .57033 L
.56648 .57078 L
.56775 .57226 L
.56841 .5731 L
.56969 .57419 L
.57033 .57563 L
.57076 .57611 L
.57214 .57804 L
.57226 .5782 L
.57353 .57997 L
.57419 .58054 L
.57529 .58189 L
.57611 .58344 L
.57636 .58382 L
.57769 .58575 L
.57804 .58625 L
.57902 .58768 L
.57997 .58905 L
.58056 .5896 L
.58158 .59153 L
.58189 .59204 L
.58266 .59346 L
.58326 .59538 L
.58189 .59558 L
.58157 .59538 L
.57997 .59411 L
.57917 .59346 L
.57804 .59216 L
.57712 .59153 L
.57611 .58992 L
.57574 .5896 L
.57419 .5878 L
.57409 .58768 L
.57257 .58575 L
.57226 .58532 L
.57099 .58382 L
.57033 .58273 L
.5698 .58189 L
.56841 .58015 L
.56818 .57997 L
.56677 .57804 L
.56648 .57773 L
.56532 .57611 L
.56455 .57505 L
.56418 .57419 L
.56271 .57226 L
.56263 .57212 L
.56083 .57033 L
.56155 .56841 L
F
1 .85 0 r
.56263 .54249 m
.56307 .54336 L
.56455 .5448 L
.56492 .54528 L
.56648 .5471 L
.5666 .54721 L
.56811 .54914 L
.56841 .54951 L
.5696 .55106 L
.57033 .55159 L
.57103 .55299 L
.57226 .5547 L
.57241 .55492 L
.57364 .55684 L
.57419 .55774 L
.57479 .55877 L
.5755 .5607 L
.57419 .56104 L
.57402 .5607 L
.57226 .55916 L
.57203 .55877 L
.57036 .55684 L
.57033 .55681 L
.56887 .55492 L
.56841 .55435 L
.56742 .55299 L
.56648 .55177 L
.56598 .55106 L
.56456 .54914 L
.56455 .54912 L
.56329 .54721 L
.56263 .54624 L
.56205 .54528 L
.56092 .54336 L
F
1 .95 0 r
.56263 .56856 m
.56455 .56917 L
.56591 .57033 L
.56648 .57099 L
.56761 .57226 L
.56841 .57324 L
.56957 .57419 L
.57033 .57575 L
.57066 .57611 L
.57204 .57804 L
.57226 .57832 L
.57344 .57997 L
.57419 .58066 L
.57519 .58189 L
.57611 .5836 L
.57625 .58382 L
.57756 .58575 L
.57804 .58642 L
.57888 .58768 L
.57997 .58928 L
.58031 .5896 L
.58132 .59153 L
.58189 .59257 L
.58227 .59346 L
.58189 .59478 L
.57997 .59367 L
.57968 .59346 L
.57804 .59183 L
.57749 .59153 L
.57611 .58973 L
.57594 .5896 L
.57429 .58768 L
.57419 .58756 L
.57274 .58575 L
.57226 .58511 L
.57112 .58382 L
.57033 .58256 L
.5699 .58189 L
.56841 .58004 L
.56831 .57997 L
.5669 .57804 L
.56648 .5776 L
.56543 .57611 L
.56455 .57485 L
.56428 .57419 L
.56288 .57226 L
.56263 .57181 L
.56104 .57033 L
F
1 .84 0 r
.56263 .54293 m
.56284 .54336 L
.56455 .545 L
.56476 .54528 L
.56644 .54721 L
.56648 .54726 L
.56799 .54914 L
.56841 .54965 L
.56949 .55106 L
.57033 .55175 L
.57092 .55299 L
.57226 .55491 L
.57226 .55492 L
.57351 .55684 L
.57419 .55799 L
.57463 .55877 L
.57419 .56059 L
.57226 .55895 L
.57216 .55877 L
.57048 .55684 L
.57033 .55668 L
.56897 .55492 L
.56841 .55423 L
.5675 .55299 L
.56648 .55167 L
.56606 .55106 L
.56466 .54914 L
.56455 .54899 L
.5634 .54721 L
.56263 .54607 L
.56216 .54528 L
.56116 .54336 L
F
1 .99 0 r
.56263 .46768 m
.56318 .46821 L
.56455 .46958 L
.56506 .47013 L
.56648 .47176 L
.56687 .47206 L
.56841 .47394 L
.56844 .47399 L
.57014 .47591 L
.57033 .47616 L
.57177 .47784 L
.57226 .47855 L
.57329 .47977 L
.57419 .48103 L
.57454 .48169 L
.57611 .48322 L
.57645 .48362 L
.57795 .48555 L
.57804 .48569 L
.57937 .48747 L
.57997 .48831 L
.58051 .4894 L
.58189 .4906 L
.58248 .49133 L
.58382 .49313 L
.58392 .49326 L
.58528 .49518 L
.58575 .49582 L
.58633 .49711 L
.58768 .49819 L
.58834 .49904 L
.5896 .50078 L
.58975 .50096 L
.59107 .50289 L
.59153 .50351 L
.59267 .50482 L
.59346 .50592 L
.5941 .50674 L
.59538 .50853 L
.59549 .50867 L
.59677 .5106 L
.59731 .51131 L
.59839 .51253 L
.59924 .51372 L
.5998 .51445 L
.60116 .51635 L
.60119 .51638 L
.60242 .51831 L
.60309 .51917 L
.60408 .52023 L
.60502 .52156 L
.60548 .52216 L
.60686 .52409 L
.60694 .52422 L
.60803 .52601 L
.60887 .52706 L
.60974 .52794 L
.6108 .52943 L
.61114 .52987 L
.6125 .53179 L
.61273 .53211 L
.61362 .53372 L
.61465 .53495 L
.61539 .53565 L
.61658 .53731 L
.61678 .53758 L
.61813 .5395 L
.61851 .54002 L
.6192 .54143 L
.62043 .54284 L
.62104 .54336 L
.62236 .5452 L
.62242 .54528 L
.62375 .54721 L
.62429 .54792 L
.62477 .54914 L
.62621 .55071 L
.62668 .55106 L
.62809 .55299 L
.62814 .5531 L
.62937 .55492 L
.63007 .55583 L
.63033 .55684 L
.63199 .55856 L
.63231 .55877 L
.63375 .5607 L
.63392 .561 L
.63497 .56263 L
.63585 .56372 L
.63655 .56455 L
.63778 .56638 L
.63795 .56648 L
.6394 .56841 L
.6397 .56891 L
.64058 .57033 L
.64163 .57161 L
.64219 .57226 L
.64356 .57418 L
.64357 .57419 L
.64503 .57611 L
.64548 .57681 L
.64619 .57804 L
.64741 .5795 L
.64782 .57997 L
.64921 .58189 L
.64934 .58205 L
.65066 .58382 L
.65126 .58471 L
.6518 .58575 L
.65319 .58738 L
.65345 .58768 L
.65507 .5896 L
.65512 .58993 L
.65628 .59153 L
.65704 .59261 L
.65742 .59346 L
.65897 .59527 L
.65907 .59538 L
.66074 .59731 L
.6609 .59782 L
.66189 .59924 L
.66283 .60053 L
.66305 .60116 L
.66469 .60309 L
.66475 .60312 L
.66637 .60502 L
.66668 .60573 L
.66749 .60694 L
.66861 .60845 L
.6687 .60887 L
.6703 .6108 L
.67053 .61094 L
.67197 .61273 L
.67246 .61366 L
.67309 .61465 L
.67439 .61641 L
.6744 .61658 L
.67589 .61851 L
.67631 .61882 L
.67754 .62043 L
.67824 .62165 L
.67867 .62236 L
.68008 .62429 L
.68017 .62441 L
.68145 .62621 L
.68209 .62679 L
.68306 .62814 L
.68402 .62972 L
.68422 .63007 L
.68559 .63199 L
.68595 .63249 L
.68695 .63392 L
.68788 .63494 L
.68848 .63585 L
.68969 .63778 L
.6898 .63794 L
.691 .6397 L
.69173 .64074 L
.69296 .64163 L
.69366 .64353 L
.69367 .64356 L
.6949 .64548 L
.69558 .64649 L
.69615 .64741 L
.69736 .64934 L
.69751 .64957 L
.69837 .65126 L
.69751 .65252 L
.69622 .65126 L
.69558 .65066 L
.69436 .64934 L
.69366 .64877 L
.69263 .64741 L
.69173 .64638 L
.69038 .64548 L
.6898 .64403 L
.68934 .64356 L
.68788 .6417 L
.68784 .64163 L
.68624 .6397 L
.68595 .63933 L
.6844 .63778 L
.68402 .63681 L
.68326 .63585 L
.68209 .63424 L
.68199 .63392 L
.68023 .63199 L
.68017 .63191 L
.6786 .63007 L
.67824 .6293 L
.6774 .62814 L
.67631 .62662 L
.67626 .62621 L
.6744 .62429 L
.67439 .62427 L
.67285 .62236 L
.67246 .62161 L
.67166 .62043 L
.67053 .61889 L
.67007 .61851 L
.66866 .61658 L
.66861 .61651 L
.66715 .61465 L
.66668 .61382 L
.66597 .61273 L
.66475 .6111 L
.66436 .6108 L
.66296 .60887 L
.66283 .60869 L
.66148 .60694 L
.6609 .60599 L
.66032 .60502 L
.65897 .60329 L
.65869 .60309 L
.65729 .60116 L
.65704 .60083 L
.65583 .59924 L
.65512 .59813 L
.65467 .59731 L
.65319 .59549 L
.65303 .59538 L
.65136 .59346 L
.65126 .59296 L
.65019 .59153 L
.64934 .59026 L
.64903 .5896 L
.64741 .58769 L
.64738 .58768 L
.6457 .58575 L
.64548 .58508 L
.64456 .58382 L
.64356 .58239 L
.64338 .58189 L
.64174 .57997 L
.64163 .57984 L
.64006 .57804 L
.6397 .57719 L
.63893 .57611 L
.63778 .57452 L
.63771 .57419 L
.6361 .57226 L
.63585 .57198 L
.63444 .57033 L
.63392 .5693 L
.6333 .56841 L
.63199 .56664 L
.63186 .56648 L
.63046 .56455 L
.63007 .5641 L
.62882 .56263 L
.62814 .56141 L
.62767 .5607 L
.62622 .55877 L
.62621 .55877 L
.62483 .55684 L
.62429 .55622 L
.62321 .55492 L
.62236 .55351 L
.62203 .55299 L
.62059 .55106 L
.62043 .55099 L
.61919 .54914 L
.61851 .54833 L
.61761 .54721 L
.61658 .54561 L
.61639 .54528 L
.61496 .54336 L
.61465 .54317 L
.61294 .54143 L
.61273 .54043 L
.61201 .5395 L
.6108 .5377 L
.61073 .53758 L
.60933 .53565 L
.60887 .53532 L
.60739 .53372 L
.60694 .53252 L
.6064 .53179 L
.60508 .52987 L
.60502 .52978 L
.6037 .52794 L
.60309 .52744 L
.60184 .52601 L
.60116 .52458 L
.6008 .52409 L
.59946 .52216 L
.59924 .52187 L
.59808 .52023 L
.59731 .51952 L
.5963 .51831 L
.59538 .51664 L
.5952 .51638 L
.59385 .51445 L
.59346 .51394 L
.59246 .51253 L
.59153 .51156 L
.59076 .5106 L
.5896 .50868 L
.5896 .50867 L
.58824 .50674 L
.58768 .506 L
.58684 .50482 L
.58575 .50356 L
.58523 .50289 L
.58401 .50096 L
.58382 .50072 L
.58264 .49904 L
.58189 .49805 L
.58124 .49711 L
.57997 .49551 L
.57973 .49518 L
.57844 .49326 L
.57804 .49273 L
.57707 .49133 L
.57611 .49005 L
.57567 .4894 L
.57424 .48747 L
.57419 .4874 L
.57291 .48555 L
.57226 .48468 L
.57155 .48362 L
.57033 .48197 L
.56994 .48169 L
.5688 .47977 L
.56841 .47923 L
.56749 .47784 L
.56648 .47645 L
.56614 .47591 L
.56481 .47399 L
.56455 .47362 L
.56359 .47206 L
.56263 .47064 L
.56234 .47013 L
.56122 .46821 L
F
1 .94 0 r
.56263 .56897 m
.56455 .56942 L
.56567 .57033 L
.56648 .57117 L
.56747 .57226 L
.56841 .57338 L
.56944 .57419 L
.57033 .57586 L
.57056 .57611 L
.57195 .57804 L
.57226 .57845 L
.57335 .57997 L
.57419 .58079 L
.57507 .58189 L
.57611 .58378 L
.57614 .58382 L
.57744 .58575 L
.57804 .58662 L
.57874 .58768 L
.57997 .58955 L
.58003 .5896 L
.58103 .59153 L
.57997 .5932 L
.57804 .59155 L
.57799 .59153 L
.57617 .5896 L
.57611 .58959 L
.5745 .58768 L
.57419 .58735 L
.57291 .58575 L
.57226 .58491 L
.57125 .58382 L
.57033 .58239 L
.57 .58189 L
.56845 .57997 L
.56841 .57996 L
.56702 .57804 L
.56648 .57745 L
.56555 .57611 L
.56455 .57463 L
.56437 .57419 L
.56306 .57226 L
.56263 .57145 L
.56141 .57033 L
F
1 .93 0 r
.56263 .56948 m
.56455 .56968 L
.56541 .57033 L
.56648 .57135 L
.56732 .57226 L
.56841 .57352 L
.5693 .57419 L
.57033 .57599 L
.57045 .57611 L
.57185 .57804 L
.57226 .57858 L
.57325 .57997 L
.57419 .58095 L
.57494 .58189 L
.57602 .58382 L
.57611 .58395 L
.57731 .58575 L
.57804 .58682 L
.57859 .58768 L
.57978 .5896 L
.57997 .58992 L
.58069 .59153 L
.57997 .59267 L
.57844 .59153 L
.57804 .59121 L
.57644 .5896 L
.57611 .58954 L
.5747 .58768 L
.57419 .58714 L
.57308 .58575 L
.57226 .58472 L
.57139 .58382 L
.57033 .58223 L
.5701 .58189 L
.56858 .57997 L
.56841 .57992 L
.56715 .57804 L
.56648 .57729 L
.56567 .57611 L
.56455 .57439 L
.56447 .57419 L
.56324 .57226 L
.56263 .571 L
.56198 .57033 L
F
1 .79 0 r
.56263 .48409 m
.56393 .48555 L
.56455 .48621 L
.56563 .48747 L
.56648 .48845 L
.56727 .4894 L
.56841 .49066 L
.56887 .49133 L
.57033 .49314 L
.57045 .49326 L
.57196 .49518 L
.57226 .49555 L
.57349 .49711 L
.57419 .49789 L
.57574 .49904 L
.57611 .50046 L
.57654 .50096 L
.57799 .50289 L
.57804 .50295 L
.57948 .50482 L
.57997 .50538 L
.58144 .50674 L
.58189 .50799 L
.58242 .50867 L
.58382 .51054 L
.58384 .5106 L
.58533 .51253 L
.58575 .51302 L
.58712 .51445 L
.58768 .51566 L
.5882 .51638 L
.5896 .51824 L
.58962 .51831 L
.5911 .52023 L
.59153 .52074 L
.59279 .52216 L
.59346 .52341 L
.59392 .52409 L
.59538 .526 L
.59538 .52601 L
.59682 .52794 L
.59731 .52853 L
.59844 .52987 L
.59924 .53122 L
.5996 .53179 L
.60108 .53372 L
.60116 .53376 L
.60249 .53565 L
.60309 .53638 L
.60406 .53758 L
.60502 .53909 L
.60526 .5395 L
.60672 .54143 L
.60694 .54155 L
.60812 .54336 L
.60887 .54429 L
.60965 .54528 L
.6108 .54702 L
.6109 .54721 L
.61232 .54914 L
.61273 .54941 L
.61441 .55106 L
.61465 .55226 L
.6152 .55299 L
.6165 .55492 L
.61658 .55502 L
.61787 .55684 L
.61851 .55738 L
.6198 .55877 L
.62043 .56034 L
.62069 .5607 L
.622 .56263 L
.62236 .56311 L
.62336 .56455 L
.62429 .56556 L
.62507 .56648 L
.62609 .56841 L
.62621 .56858 L
.6274 .57033 L
.62814 .57137 L
.62874 .57226 L
.63007 .57416 L
.63009 .57419 L
.63132 .57611 L
.63199 .57709 L
.63259 .57804 L
.63386 .57997 L
.63392 .58006 L
.63491 .58189 L
.63585 .58356 L
.63594 .58382 L
.63585 .58425 L
.6353 .58382 L
.63392 .58263 L
.63327 .58189 L
.63199 .58053 L
.63152 .57997 L
.63007 .57837 L
.62986 .57804 L
.62828 .57611 L
.62814 .57596 L
.62673 .57419 L
.62621 .57358 L
.62518 .57226 L
.62429 .57131 L
.62364 .57033 L
.62236 .56872 L
.62206 .56841 L
.62064 .56648 L
.62043 .56622 L
.61917 .56455 L
.61851 .56385 L
.61696 .56263 L
.61658 .56121 L
.61614 .5607 L
.61475 .55877 L
.61465 .55865 L
.6133 .55684 L
.61273 .55622 L
.6113 .55492 L
.6108 .55355 L
.61034 .55299 L
.60895 .55106 L
.60887 .55096 L
.60753 .54914 L
.60694 .5485 L
.60566 .54721 L
.60502 .5458 L
.60462 .54528 L
.60322 .54336 L
.60309 .54318 L
.60181 .54143 L
.60116 .5407 L
.60004 .5395 L
.59924 .53799 L
.59894 .53758 L
.59754 .53565 L
.59731 .5356 L
.59613 .53372 L
.59538 .53286 L
.59444 .53179 L
.59346 .53012 L
.59328 .52987 L
.59189 .52794 L
.59153 .52781 L
.59049 .52601 L
.5896 .52495 L
.58886 .52409 L
.58768 .52219 L
.58765 .52216 L
.58628 .52023 L
.58575 .51994 L
.58488 .51831 L
.58382 .51699 L
.58332 .51638 L
.58207 .51445 L
.58189 .51422 L
.5807 .51253 L
.57997 .51197 L
.5793 .5106 L
.57804 .50893 L
.57783 .50867 L
.57653 .50674 L
.57611 .50618 L
.57517 .50482 L
.57419 .50382 L
.57334 .50289 L
.57239 .50096 L
.57226 .50078 L
.57107 .49904 L
.57033 .49803 L
.56971 .49711 L
.56841 .49537 L
.56825 .49518 L
.56705 .49326 L
.56648 .49247 L
.56574 .49133 L
.56455 .48964 L
.5644 .4894 L
.56319 .48747 L
.56263 .48665 L
.562 .48555 L
F
0 .42 1 r
.56263 .49246 m
.56328 .49326 L
.56455 .49468 L
.56495 .49518 L
.56648 .49693 L
.56655 .49711 L
.56807 .49904 L
.56841 .49943 L
.56958 .50096 L
.57033 .50188 L
.5711 .50289 L
.57226 .50402 L
.57261 .50482 L
.57409 .50674 L
.57419 .50686 L
.57554 .50867 L
.57611 .5094 L
.577 .5106 L
.57804 .5116 L
.57847 .51253 L
.57992 .51445 L
.57997 .51451 L
.58133 .51638 L
.58189 .5171 L
.58277 .51831 L
.58382 .5194 L
.58421 .52023 L
.58563 .52216 L
.58575 .52232 L
.58701 .52409 L
.58768 .52496 L
.58843 .52601 L
.5896 .5274 L
.58984 .52794 L
.59122 .52987 L
.59153 .53028 L
.59258 .53179 L
.59346 .53297 L
.59398 .53372 L
.59537 .53565 L
.59538 .53567 L
.59667 .53758 L
.59731 .53845 L
.59801 .5395 L
.59924 .54122 L
.59938 .54143 L
.60062 .54336 L
.60116 .54412 L
.60186 .54528 L
.60309 .54711 L
.60315 .54721 L
.60309 .5485 L
.60198 .54721 L
.60116 .54639 L
.60028 .54528 L
.59924 .5441 L
.59866 .54336 L
.59731 .54174 L
.59707 .54143 L
.59555 .5395 L
.59538 .5393 L
.59408 .53758 L
.59346 .53682 L
.59258 .53565 L
.59153 .53433 L
.59108 .53372 L
.5896 .53182 L
.58957 .53179 L
.58816 .52987 L
.58768 .52926 L
.58672 .52794 L
.58575 .5267 L
.58525 .52601 L
.58382 .52414 L
.58377 .52409 L
.5824 .52216 L
.58189 .52151 L
.58098 .52023 L
.57997 .51891 L
.57954 .51831 L
.57811 .51638 L
.57804 .51629 L
.57674 .51445 L
.57611 .51363 L
.57534 .51253 L
.57419 .51132 L
.57392 .5106 L
.57254 .50867 L
.57226 .5083 L
.57119 .50674 L
.57033 .50559 L
.56981 .50482 L
.56841 .5029 L
.5684 .50289 L
.56712 .50096 L
.56648 .5001 L
.56579 .49904 L
.56455 .49731 L
.56443 .49711 L
.56321 .49518 L
.56263 .49435 L
.56201 .49326 L
F
0 .41 1 r
.56263 .49259 m
.56318 .49326 L
.56455 .49477 L
.56488 .49518 L
.56648 .49707 L
.5665 .49711 L
.56801 .49904 L
.56841 .4995 L
.56953 .50096 L
.57033 .50194 L
.57106 .50289 L
.57226 .5041 L
.57258 .50482 L
.57405 .50674 L
.57419 .50691 L
.5755 .50867 L
.57611 .50944 L
.57697 .5106 L
.57804 .51166 L
.57844 .51253 L
.57989 .51445 L
.57997 .51455 L
.5813 .51638 L
.58189 .51715 L
.58274 .51831 L
.58382 .51946 L
.58418 .52023 L
.58559 .52216 L
.58575 .52236 L
.58698 .52409 L
.58768 .525 L
.58839 .52601 L
.5896 .52747 L
.58981 .52794 L
.59118 .52987 L
.59153 .53033 L
.59255 .53179 L
.59346 .53302 L
.59394 .53372 L
.59532 .53565 L
.59538 .53573 L
.59662 .53758 L
.59731 .53851 L
.59797 .5395 L
.59924 .54129 L
.59933 .54143 L
.60055 .54336 L
.60116 .54422 L
.60179 .54528 L
.60116 .54629 L
.60036 .54528 L
.59924 .54403 L
.59872 .54336 L
.59731 .54167 L
.59712 .54143 L
.59561 .5395 L
.59538 .53924 L
.59412 .53758 L
.59346 .53677 L
.59262 .53565 L
.59153 .53428 L
.59111 .53372 L
.58962 .53179 L
.5896 .53177 L
.5882 .52987 L
.58768 .52921 L
.58675 .52794 L
.58575 .52665 L
.58528 .52601 L
.58382 .52409 L
.58382 .52409 L
.58243 .52216 L
.58189 .52147 L
.58101 .52023 L
.57997 .51887 L
.57957 .51831 L
.57814 .51638 L
.57804 .51625 L
.57677 .51445 L
.57611 .51359 L
.57537 .51253 L
.57419 .51125 L
.57395 .5106 L
.57258 .50867 L
.57226 .50825 L
.57123 .50674 L
.57033 .50554 L
.56984 .50482 L
.56845 .50289 L
.56841 .50284 L
.56717 .50096 L
.56648 .50003 L
.56584 .49904 L
.56455 .49723 L
.56447 .49711 L
.56329 .49518 L
.56263 .49424 L
.5621 .49326 L
F
1 .78 0 r
.56263 .48434 m
.56374 .48555 L
.56455 .48638 L
.56549 .48747 L
.56648 .48859 L
.56716 .4894 L
.56841 .49079 L
.56877 .49133 L
.57033 .49325 L
.57034 .49326 L
.57188 .49518 L
.57226 .49564 L
.57342 .49711 L
.57419 .49797 L
.57567 .49904 L
.57611 .50054 L
.57648 .50096 L
.57794 .50289 L
.57804 .50302 L
.57942 .50482 L
.57997 .50544 L
.5814 .50674 L
.58189 .50805 L
.58238 .50867 L
.58382 .51059 L
.58383 .5106 L
.58529 .51253 L
.58575 .51307 L
.58709 .51445 L
.58768 .51571 L
.58816 .51638 L
.5896 .51828 L
.58961 .51831 L
.59106 .52023 L
.59153 .52079 L
.59276 .52216 L
.59346 .52345 L
.59389 .52409 L
.59536 .52601 L
.59538 .52602 L
.59678 .52794 L
.59731 .52858 L
.59841 .52987 L
.59924 .53126 L
.59958 .53179 L
.60104 .53372 L
.60116 .53378 L
.60246 .53565 L
.60309 .53642 L
.60403 .53758 L
.60502 .53913 L
.60524 .5395 L
.60669 .54143 L
.60694 .54158 L
.60809 .54336 L
.60887 .54433 L
.60962 .54528 L
.6108 .54707 L
.61088 .54721 L
.61229 .54914 L
.61273 .54944 L
.61438 .55106 L
.61465 .55231 L
.61516 .55299 L
.61647 .55492 L
.61658 .55507 L
.61783 .55684 L
.61851 .55743 L
.61975 .55877 L
.62043 .56041 L
.62064 .5607 L
.62196 .56263 L
.62236 .56318 L
.62331 .56455 L
.62429 .56564 L
.62499 .56648 L
.62603 .56841 L
.62621 .56866 L
.62734 .57033 L
.62814 .57147 L
.62867 .57226 L
.63 .57419 L
.63007 .57429 L
.63123 .57611 L
.63199 .57724 L
.63249 .57804 L
.6337 .57997 L
.63392 .58031 L
.63469 .58189 L
.63392 .58237 L
.63348 .58189 L
.63199 .58036 L
.63166 .57997 L
.63007 .57819 L
.62998 .57804 L
.62838 .57611 L
.62814 .57584 L
.62681 .57419 L
.62621 .57348 L
.62526 .57226 L
.62429 .57122 L
.62371 .57033 L
.62236 .56863 L
.62214 .56841 L
.6207 .56648 L
.62043 .56615 L
.61922 .56455 L
.61851 .56379 L
.61702 .56263 L
.61658 .56115 L
.61619 .5607 L
.61479 .55877 L
.61465 .55859 L
.61334 .55684 L
.61273 .55617 L
.61134 .55492 L
.6108 .5535 L
.61038 .55299 L
.60899 .55106 L
.60887 .55091 L
.60756 .54914 L
.60694 .54846 L
.60569 .54721 L
.60502 .54576 L
.60465 .54528 L
.60326 .54336 L
.60309 .54314 L
.60184 .54143 L
.60116 .54067 L
.60007 .5395 L
.59924 .53795 L
.59896 .53758 L
.59757 .53565 L
.59731 .53559 L
.59616 .53372 L
.59538 .53282 L
.59447 .53179 L
.59346 .53008 L
.59331 .52987 L
.59192 .52794 L
.59153 .52779 L
.59052 .52601 L
.5896 .52492 L
.58889 .52409 L
.58768 .52216 L
.58768 .52215 L
.58631 .52023 L
.58575 .51992 L
.58491 .51831 L
.58382 .51694 L
.58336 .51638 L
.5821 .51445 L
.58189 .51418 L
.58073 .51253 L
.57997 .51192 L
.57933 .5106 L
.57804 .50888 L
.57788 .50867 L
.57657 .50674 L
.57611 .50613 L
.57521 .50482 L
.57419 .50374 L
.57341 .50289 L
.57244 .50096 L
.57226 .50072 L
.57112 .49904 L
.57033 .49796 L
.56976 .49711 L
.56841 .49524 L
.56836 .49518 L
.56711 .49326 L
.56648 .49237 L
.56582 .49133 L
.56455 .48952 L
.56448 .4894 L
.56331 .48747 L
.56263 .48645 L
.56215 .48555 L
F
0 .95 1 r
.56263 .47595 m
.56444 .47784 L
.56455 .47795 L
.56618 .47977 L
.56648 .48009 L
.56787 .48169 L
.56841 .48215 L
.56951 .48362 L
.57033 .48464 L
.57139 .48555 L
.57226 .48706 L
.57258 .48747 L
.57419 .4894 L
.5742 .4894 L
.57574 .49133 L
.57611 .49183 L
.57739 .49326 L
.57804 .49437 L
.57858 .49518 L
.57997 .4969 L
.58026 .49711 L
.58173 .49904 L
.58189 .49926 L
.58325 .50096 L
.58382 .50187 L
.58444 .50289 L
.58575 .50451 L
.58616 .50482 L
.58759 .50674 L
.58768 .50687 L
.58904 .50867 L
.5896 .50952 L
.5902 .5106 L
.59153 .51221 L
.59196 .51253 L
.59337 .51445 L
.59346 .51458 L
.59477 .51638 L
.59538 .51726 L
.5959 .51831 L
.59731 .51996 L
.59769 .52023 L
.59918 .52216 L
.59924 .52236 L
.60046 .52409 L
.60116 .52506 L
.60156 .52601 L
.60309 .52775 L
.60339 .52794 L
.60489 .52987 L
.60502 .53019 L
.60613 .53179 L
.60694 .53289 L
.60719 .53372 L
.60887 .53554 L
.60906 .53565 L
.61056 .53758 L
.6108 .53805 L
.61177 .5395 L
.61273 .54075 L
.61282 .54143 L
.61465 .54332 L
.61471 .54336 L
.61622 .54528 L
.61658 .54592 L
.6174 .54721 L
.61851 .54862 L
.61897 .54914 L
.62036 .55106 L
.62043 .55115 L
.62186 .55299 L
.62236 .55381 L
.62302 .55492 L
.62429 .55649 L
.6246 .55684 L
.62599 .55877 L
.62621 .55904 L
.62748 .5607 L
.62814 .56171 L
.62864 .56263 L
.63007 .56438 L
.63022 .56455 L
.63162 .56648 L
.63199 .56693 L
.63309 .56841 L
.63392 .56964 L
.63426 .57033 L
.63583 .57226 L
.63585 .57227 L
.63763 .57419 L
.63778 .57486 L
.63868 .57611 L
.6397 .57758 L
.63989 .57804 L
.64142 .57997 L
.64163 .5801 L
.64321 .58189 L
.64356 .58282 L
.64424 .58382 L
.64548 .58558 L
.64554 .58575 L
.64698 .58768 L
.64741 .58799 L
.64873 .5896 L
.64934 .59086 L
.64978 .59153 L
.65113 .59346 L
.65126 .59364 L
.65249 .59538 L
.65319 .59604 L
.65416 .59731 L
.65512 .59903 L
.65525 .59924 L
.65657 .60116 L
.65704 .60183 L
.65791 .60309 L
.65897 .60439 L
.65942 .60502 L
.66057 .60694 L
.6609 .60741 L
.66185 .60887 L
.66283 .61029 L
.66315 .6108 L
.66438 .61273 L
.66475 .61328 L
.66554 .61465 L
.66668 .61654 L
.6667 .61658 L
.66668 .6183 L
.66477 .61658 L
.66475 .61657 L
.66297 .61465 L
.66283 .6145 L
.66128 .61273 L
.6609 .6123 L
.65964 .6108 L
.65897 .61017 L
.65803 .60887 L
.65704 .60767 L
.65623 .60694 L
.65512 .60523 L
.65494 .60502 L
.6534 .60309 L
.65319 .60288 L
.65189 .60116 L
.65126 .60036 L
.65022 .59924 L
.64934 .5978 L
.64899 .59731 L
.64744 .59538 L
.64741 .59535 L
.64598 .59346 L
.64548 .59281 L
.6444 .59153 L
.64356 .59019 L
.64318 .5896 L
.64163 .58769 L
.64161 .58768 L
.64017 .58575 L
.6397 .58512 L
.63865 .58382 L
.63778 .58247 L
.63744 .58189 L
.63586 .57997 L
.63585 .57995 L
.63402 .57804 L
.63392 .57735 L
.63296 .57611 L
.63199 .57469 L
.63174 .57419 L
.63015 .57226 L
.63007 .57216 L
.62838 .57033 L
.62814 .56954 L
.62729 .56841 L
.62621 .56687 L
.62606 .56648 L
.62448 .56455 L
.62429 .56435 L
.62274 .56263 L
.62236 .56169 L
.62163 .5607 L
.62043 .55903 L
.62036 .55877 L
.61881 .55684 L
.61851 .5565 L
.61712 .55492 L
.61658 .55383 L
.61599 .55299 L
.61465 .55117 L
.61464 .55106 L
.61316 .54914 L
.61273 .54864 L
.6115 .54721 L
.6108 .54594 L
.61035 .54528 L
.60892 .54336 L
.60887 .54334 L
.60753 .54143 L
.60694 .54077 L
.6059 .5395 L
.60502 .53805 L
.60472 .53758 L
.60329 .53565 L
.60309 .53556 L
.60189 .53372 L
.60116 .53287 L
.6003 .53179 L
.59924 .53013 L
.59908 .52987 L
.59767 .52794 L
.59731 .52774 L
.59559 .52601 L
.59538 .52495 L
.59472 .52409 L
.59346 .5222 L
.59344 .52216 L
.59206 .52023 L
.59153 .51986 L
.59008 .51831 L
.5896 .51699 L
.58914 .51638 L
.58783 .51445 L
.58768 .51424 L
.58646 .51253 L
.58575 .51192 L
.5846 .5106 L
.58382 .50899 L
.58359 .50867 L
.58226 .50674 L
.58189 .50626 L
.58089 .50482 L
.57997 .50388 L
.57915 .50289 L
.57807 .50096 L
.57804 .50093 L
.57672 .49904 L
.57611 .49822 L
.57535 .49711 L
.57419 .49571 L
.57378 .49518 L
.57259 .49326 L
.57226 .49282 L
.57125 .49133 L
.57033 .49008 L
.56988 .4894 L
.5685 .48747 L
.56841 .48734 L
.56722 .48555 L
.56648 .48451 L
.56591 .48362 L
.56456 .48169 L
.56455 .48169 L
.56337 .47977 L
.56263 .47865 L
.56217 .47784 L
F
0 .4 1 r
.56263 .49272 m
.56308 .49326 L
.56455 .49486 L
.56481 .49518 L
.56643 .49711 L
.56648 .49716 L
.56795 .49904 L
.56841 .49956 L
.56948 .50096 L
.57033 .50199 L
.57102 .50289 L
.57226 .50418 L
.57254 .50482 L
.57401 .50674 L
.57419 .50696 L
.57546 .50867 L
.57611 .50949 L
.57694 .5106 L
.57804 .51172 L
.57841 .51253 L
.57985 .51445 L
.57997 .5146 L
.58127 .51638 L
.58189 .51719 L
.58271 .51831 L
.58382 .51952 L
.58415 .52023 L
.58556 .52216 L
.58575 .5224 L
.58695 .52409 L
.58768 .52505 L
.58836 .52601 L
.5896 .52754 L
.58978 .52794 L
.59114 .52987 L
.59153 .53038 L
.59251 .53179 L
.59346 .53307 L
.5939 .53372 L
.59528 .53565 L
.59538 .53578 L
.59658 .53758 L
.59731 .53857 L
.59792 .5395 L
.59924 .54136 L
.59928 .54143 L
.60048 .54336 L
.60116 .54433 L
.60171 .54528 L
.60116 .54618 L
.60045 .54528 L
.59924 .54395 L
.59878 .54336 L
.59731 .54161 L
.59717 .54143 L
.59566 .5395 L
.59538 .53918 L
.59417 .53758 L
.59346 .53672 L
.59266 .53565 L
.59153 .53423 L
.59115 .53372 L
.58966 .53179 L
.5896 .53172 L
.58823 .52987 L
.58768 .52917 L
.58678 .52794 L
.58575 .52661 L
.58531 .52601 L
.58385 .52409 L
.58382 .52404 L
.58246 .52216 L
.58189 .52143 L
.58104 .52023 L
.57997 .51883 L
.5796 .51831 L
.57818 .51638 L
.57804 .51621 L
.57681 .51445 L
.57611 .51354 L
.5754 .51253 L
.57419 .51117 L
.57398 .5106 L
.57262 .50867 L
.57226 .5082 L
.57126 .50674 L
.57033 .50549 L
.56988 .50482 L
.56849 .50289 L
.56841 .50278 L
.56721 .50096 L
.56648 .49997 L
.56589 .49904 L
.56455 .49716 L
.56452 .49711 L
.56337 .49518 L
.56263 .4941 L
.5622 .49326 L
F
1 .83 0 r
.56263 .54342 m
.56455 .54523 L
.5646 .54528 L
.56629 .54721 L
.56648 .54742 L
.56787 .54914 L
.56841 .5498 L
.56937 .55106 L
.57033 .55193 L
.5708 .55299 L
.57214 .55492 L
.57226 .5551 L
.57337 .55684 L
.57419 .55828 L
.57444 .55877 L
.57419 .56025 L
.57231 .55877 L
.57226 .55872 L
.5706 .55684 L
.57033 .55654 L
.56907 .55492 L
.56841 .55411 L
.56759 .55299 L
.56648 .55155 L
.56614 .55106 L
.56476 .54914 L
.56455 .54885 L
.56351 .54721 L
.56263 .54588 L
.56229 .54528 L
F
1 .77 0 r
.56263 .48464 m
.56351 .48555 L
.56455 .48657 L
.56535 .48747 L
.56648 .48874 L
.56704 .4894 L
.56841 .49094 L
.56867 .49133 L
.57025 .49326 L
.57033 .49336 L
.5718 .49518 L
.57226 .49574 L
.57335 .49711 L
.57419 .49805 L
.57559 .49904 L
.57611 .50062 L
.57642 .50096 L
.57788 .50289 L
.57804 .50309 L
.57937 .50482 L
.57997 .5055 L
.58136 .50674 L
.58189 .50812 L
.58233 .50867 L
.58379 .5106 L
.58382 .5106 L
.58524 .51253 L
.58575 .51312 L
.58706 .51445 L
.58768 .51576 L
.58813 .51638 L
.58959 .51831 L
.5896 .51831 L
.59103 .52023 L
.59153 .52083 L
.59273 .52216 L
.59346 .5235 L
.59386 .52409 L
.59533 .52601 L
.59538 .52603 L
.59675 .52794 L
.59731 .52862 L
.59838 .52987 L
.59924 .53131 L
.59955 .53179 L
.60101 .53372 L
.60116 .53379 L
.60243 .53565 L
.60309 .53646 L
.604 .53758 L
.60502 .53918 L
.60521 .5395 L
.60665 .54143 L
.60694 .5416 L
.60806 .54336 L
.60887 .54438 L
.60959 .54528 L
.6108 .54711 L
.61085 .54721 L
.61225 .54914 L
.61273 .54948 L
.61435 .55106 L
.61465 .55237 L
.61512 .55299 L
.61643 .55492 L
.61658 .55512 L
.61779 .55684 L
.61851 .55748 L
.6197 .55877 L
.62043 .56048 L
.62059 .5607 L
.62191 .56263 L
.62236 .56325 L
.62326 .56455 L
.62429 .56574 L
.62491 .56648 L
.62596 .56841 L
.62621 .56875 L
.62727 .57033 L
.62814 .57157 L
.6286 .57226 L
.62991 .57419 L
.63007 .57442 L
.63113 .57611 L
.63199 .5774 L
.63238 .57804 L
.63351 .57997 L
.63392 .58065 L
.63434 .58189 L
.63392 .58205 L
.63376 .58189 L
.63199 .58017 L
.63182 .57997 L
.6301 .57804 L
.63007 .578 L
.62849 .57611 L
.62814 .57572 L
.62691 .57419 L
.62621 .57337 L
.62533 .57226 L
.62429 .57112 L
.62378 .57033 L
.62236 .56855 L
.62222 .56841 L
.62076 .56648 L
.62043 .56607 L
.61927 .56455 L
.61851 .56373 L
.61708 .56263 L
.61658 .56109 L
.61624 .5607 L
.61484 .55877 L
.61465 .55854 L
.61338 .55684 L
.61273 .55613 L
.61138 .55492 L
.6108 .55345 L
.61042 .55299 L
.60903 .55106 L
.60887 .55087 L
.6076 .54914 L
.60694 .54842 L
.60572 .54721 L
.60502 .54572 L
.60468 .54528 L
.60329 .54336 L
.60309 .5431 L
.60187 .54143 L
.60116 .54063 L
.6001 .5395 L
.59924 .53791 L
.59899 .53758 L
.5976 .53565 L
.59731 .53558 L
.59619 .53372 L
.59538 .53278 L
.5945 .53179 L
.59346 .53004 L
.59333 .52987 L
.59195 .52794 L
.59153 .52777 L
.59054 .52601 L
.5896 .52488 L
.58893 .52409 L
.58771 .52216 L
.58768 .52212 L
.58633 .52023 L
.58575 .51989 L
.58493 .51831 L
.58382 .5169 L
.5834 .51638 L
.58213 .51445 L
.58189 .51414 L
.58076 .51253 L
.57997 .51188 L
.57937 .5106 L
.57804 .50882 L
.57792 .50867 L
.57661 .50674 L
.57611 .50608 L
.57524 .50482 L
.57419 .50366 L
.57349 .50289 L
.57249 .50096 L
.57226 .50065 L
.57117 .49904 L
.57033 .49789 L
.56981 .49711 L
.56844 .49518 L
.56841 .49513 L
.56719 .49326 L
.56648 .49226 L
.56589 .49133 L
.56456 .4894 L
.56455 .48938 L
.56345 .48747 L
.56263 .48619 L
.56232 .48555 L
F
0 .39 1 r
.56263 .49289 m
.56295 .49326 L
.56455 .49495 L
.56474 .49518 L
.56455 .49707 L
.56347 .49518 L
.56263 .49393 L
.56233 .49326 L
F
0 .6 1 r
.56263 .55113 m
.5638 .55299 L
.56455 .55421 L
.56485 .55492 L
.56455 .55522 L
.56424 .55492 L
.56263 .55333 L
.56236 .55299 L
F
0 .97 1 r
.56263 .59447 m
.56327 .59538 L
.56455 .59702 L
.56477 .59731 L
.56455 .59861 L
.56379 .59731 L
.56263 .59582 L
.56238 .59538 L
F
0 .98 1 r
.56263 .53724 m
.56357 .53758 L
.56455 .53804 L
.56648 .53942 L
.56659 .5395 L
.56841 .54111 L
.56876 .54143 L
.57033 .5431 L
.57058 .54336 L
.57222 .54528 L
.57226 .54536 L
.57359 .54721 L
.57419 .54808 L
.57534 .54914 L
.57611 .55018 L
.57681 .55106 L
.57804 .55276 L
.57822 .55299 L
.57959 .55492 L
.57997 .55542 L
.58054 .55684 L
.58189 .55819 L
.58244 .55877 L
.58373 .5607 L
.58382 .56085 L
.58492 .56263 L
.58575 .56417 L
.58592 .56455 L
.58575 .56557 L
.58382 .56594 L
.58189 .56484 L
.58143 .56455 L
.57997 .56265 L
.57994 .56263 L
.57847 .5607 L
.57804 .56029 L
.57703 .55877 L
.57611 .55767 L
.57526 .55684 L
.57419 .555 L
.57412 .55492 L
.57275 .55299 L
.57226 .55235 L
.57135 .55106 L
.57033 .54996 L
.56968 .54914 L
.56852 .54721 L
.56841 .54706 L
.56718 .54528 L
.56648 .54433 L
.56581 .54336 L
.56455 .54159 L
.56434 .54143 L
.56324 .5395 L
.56263 .53841 L
.56238 .53758 L
F
1 .82 0 r
.56263 .54372 m
.56439 .54528 L
.56455 .54543 L
.56614 .54721 L
.56648 .54758 L
.56774 .54914 L
.56841 .54996 L
.56926 .55106 L
.57033 .55215 L
.57069 .55299 L
.57201 .55492 L
.57226 .5553 L
.57322 .55684 L
.57419 .55866 L
.57424 .55877 L
.57419 .55976 L
.57254 .55877 L
.57226 .55853 L
.57074 .55684 L
.57033 .5564 L
.56917 .55492 L
.56841 .55399 L
.56768 .55299 L
.56648 .55143 L
.56622 .55106 L
.56487 .54914 L
.56455 .5487 L
.56363 .54721 L
.56263 .54565 L
.56243 .54528 L
F
0 .59 1 r
.56263 .5513 m
.56365 .55299 L
.56263 .5532 L
.56246 .55299 L
F
0 .38 1 r
.56263 .49311 m
.56277 .49326 L
.56455 .49506 L
.56465 .49518 L
.56455 .49697 L
.56358 .49518 L
.56263 .49368 L
.5625 .49326 L
F
1 .76 0 r
.56263 .48509 m
.56319 .48555 L
.56455 .48678 L
.56518 .48747 L
.56648 .48889 L
.56692 .4894 L
.56841 .49109 L
.56857 .49133 L
.57015 .49326 L
.57033 .49347 L
.57172 .49518 L
.57226 .49583 L
.57328 .49711 L
.57419 .49814 L
.5755 .49904 L
.57611 .5007 L
.57635 .50096 L
.57782 .50289 L
.57804 .50317 L
.57932 .50482 L
.57997 .50557 L
.58131 .50674 L
.58189 .50818 L
.58229 .50867 L
.58374 .5106 L
.58382 .5106 L
.5852 .51253 L
.58575 .51317 L
.58702 .51445 L
.58768 .51581 L
.58809 .51638 L
.58955 .51831 L
.5896 .51832 L
.59099 .52023 L
.59153 .52087 L
.5927 .52216 L
.59346 .52354 L
.59383 .52409 L
.59529 .52601 L
.59538 .52605 L
.59672 .52794 L
.59731 .52866 L
.59835 .52987 L
.59924 .53135 L
.59952 .53179 L
.60098 .53372 L
.60116 .53381 L
.60239 .53565 L
.60309 .5365 L
.60397 .53758 L
.60502 .53922 L
.60519 .5395 L
.60662 .54143 L
.60694 .54162 L
.60803 .54336 L
.60887 .54442 L
.60955 .54528 L
.6108 .54716 L
.61083 .54721 L
.61222 .54914 L
.61273 .54951 L
.61432 .55106 L
.61465 .55242 L
.61508 .55299 L
.61639 .55492 L
.61658 .55518 L
.61776 .55684 L
.61851 .55754 L
.61965 .55877 L
.62043 .56055 L
.62054 .5607 L
.62186 .56263 L
.62236 .56331 L
.62321 .56455 L
.62429 .56584 L
.62483 .56648 L
.6259 .56841 L
.62621 .56884 L
.62721 .57033 L
.62814 .57167 L
.62853 .57226 L
.62981 .57419 L
.63007 .57455 L
.63102 .57611 L
.63199 .57758 L
.63226 .57804 L
.63199 .57996 L
.63026 .57804 L
.63007 .57784 L
.62861 .57611 L
.62814 .57559 L
.627 .57419 L
.62621 .57327 L
.62541 .57226 L
.62429 .57102 L
.62385 .57033 L
.62236 .56847 L
.6223 .56841 L
.62082 .56648 L
.62043 .566 L
.61933 .56455 L
.61851 .56366 L
.61714 .56263 L
.61658 .56102 L
.61629 .5607 L
.61488 .55877 L
.61465 .55848 L
.61343 .55684 L
.61273 .55608 L
.61142 .55492 L
.6108 .55341 L
.61046 .55299 L
.60906 .55106 L
.60887 .55082 L
.60763 .54914 L
.60694 .54837 L
.60576 .54721 L
.60502 .54568 L
.60471 .54528 L
.60332 .54336 L
.60309 .54306 L
.6019 .54143 L
.60116 .54059 L
.60013 .5395 L
.59924 .53787 L
.59902 .53758 L
.59763 .53565 L
.59731 .53557 L
.59622 .53372 L
.59538 .53275 L
.59453 .53179 L
.59346 .53 L
.59336 .52987 L
.59198 .52794 L
.59153 .52775 L
.59057 .52601 L
.5896 .52484 L
.58896 .52409 L
.58774 .52216 L
.58768 .52208 L
.58636 .52023 L
.58575 .51985 L
.58496 .51831 L
.58382 .51685 L
.58343 .51638 L
.58216 .51445 L
.58189 .51409 L
.58079 .51253 L
.57997 .51182 L
.5794 .5106 L
.57804 .50876 L
.57797 .50867 L
.57665 .50674 L
.57611 .50602 L
.57528 .50482 L
.57419 .50358 L
.57356 .50289 L
.57254 .50096 L
.57226 .50058 L
.57122 .49904 L
.57033 .49781 L
.56987 .49711 L
.56851 .49518 L
.56841 .49504 L
.56726 .49326 L
.56648 .49215 L
.56597 .49133 L
.56468 .4894 L
.56455 .48921 L
.5636 .48747 L
.56263 .48581 L
.56253 .48555 L
F
0 .58 1 r
.56263 .5515 m
.56346 .55299 L
.56263 .55305 L
.56258 .55299 L
F
1 .81 0 r
.56263 .54413 m
.56414 .54528 L
.56455 .54564 L
.56598 .54721 L
.56648 .54775 L
.56761 .54914 L
.56841 .55011 L
.56914 .55106 L
.57033 .55241 L
.57057 .55299 L
.57187 .55492 L
.57226 .55551 L
.57306 .55684 L
.57226 .55832 L
.57089 .55684 L
.57033 .55625 L
.56929 .55492 L
.56841 .55386 L
.56777 .55299 L
.56648 .55131 L
.56631 .55106 L
.56498 .54914 L
.56455 .54853 L
.56376 .54721 L
.56263 .54537 L
.56258 .54528 L
F
1 .92 0 r
.56455 .56994 m
.56512 .57033 L
.56648 .57151 L
.56717 .57226 L
.56841 .57366 L
.56913 .57419 L
.57033 .57611 L
.57033 .57612 L
.57175 .57804 L
.57226 .57871 L
.57315 .57997 L
.57419 .58112 L
.5748 .58189 L
.5759 .58382 L
.57611 .58412 L
.57717 .58575 L
.57804 .58705 L
.57843 .58768 L
.57952 .5896 L
.57997 .59051 L
.58023 .59153 L
.57997 .59198 L
.57904 .59153 L
.57804 .59085 L
.57674 .5896 L
.57611 .58945 L
.57492 .58768 L
.57419 .58694 L
.57325 .58575 L
.57226 .58453 L
.57154 .58382 L
.57033 .58208 L
.57021 .58189 L
.56871 .57997 L
.56841 .57987 L
.56727 .57804 L
.56648 .57712 L
.5658 .57611 L
.56459 .57419 L
.56455 .57412 L
.56343 .57226 L
.5627 .57033 L
F
1 .91 0 r
.56455 .57021 m
.56476 .57033 L
.56648 .57168 L
.56701 .57226 L
.56841 .57381 L
.56893 .57419 L
.57022 .57611 L
.57033 .57626 L
.57164 .57804 L
.57226 .57885 L
.57306 .57997 L
.57419 .58131 L
.57464 .58189 L
.57577 .58382 L
.57611 .58431 L
.57703 .58575 L
.57804 .5873 L
.57826 .58768 L
.57921 .5896 L
.57804 .59046 L
.57708 .5896 L
.57611 .58929 L
.57515 .58768 L
.57419 .58672 L
.57343 .58575 L
.57226 .58434 L
.57171 .58382 L
.57033 .58192 L
.57031 .58189 L
.56884 .57997 L
.56841 .5798 L
.5674 .57804 L
.56648 .57693 L
.56593 .57611 L
.56475 .57419 L
.56455 .57387 L
.56362 .57226 L
.56318 .57033 L
F
0 .37 1 r
.56455 .49517 m
.56456 .49518 L
.56455 .49685 L
.56372 .49518 L
F
1 .75 0 r
.56455 .48701 m
.56499 .48747 L
.56648 .48905 L
.56678 .4894 L
.56841 .49126 L
.56845 .49133 L
.57005 .49326 L
.57033 .49358 L
.57164 .49518 L
.57226 .49593 L
.5732 .49711 L
.57419 .49823 L
.5754 .49904 L
.57611 .50077 L
.57628 .50096 L
.57776 .50289 L
.57804 .50324 L
.57926 .50482 L
.57997 .50563 L
.58126 .50674 L
.58189 .50824 L
.58224 .50867 L
.58369 .5106 L
.58382 .51061 L
.58516 .51253 L
.58575 .51322 L
.58699 .51445 L
.58768 .51586 L
.58806 .51638 L
.58951 .51831 L
.5896 .51833 L
.59096 .52023 L
.59153 .52092 L
.59267 .52216 L
.59346 .52359 L
.5938 .52409 L
.59526 .52601 L
.59538 .52606 L
.59668 .52794 L
.59731 .5287 L
.59832 .52987 L
.59924 .53139 L
.5995 .53179 L
.60095 .53372 L
.60116 .53383 L
.60236 .53565 L
.60309 .53655 L
.60394 .53758 L
.60502 .53926 L
.60516 .5395 L
.60659 .54143 L
.60694 .54164 L
.60799 .54336 L
.60887 .54447 L
.60952 .54528 L
.6108 .5472 L
.6108 .54721 L
.61218 .54914 L
.61273 .54955 L
.61428 .55106 L
.61465 .55247 L
.61504 .55299 L
.61635 .55492 L
.61658 .55523 L
.61771 .55684 L
.61851 .5576 L
.61959 .55877 L
.62043 .56062 L
.62049 .5607 L
.62181 .56263 L
.62236 .56338 L
.62316 .56455 L
.62429 .56595 L
.62474 .56648 L
.62584 .56841 L
.62621 .56893 L
.62714 .57033 L
.62814 .57177 L
.62846 .57226 L
.62971 .57419 L
.63007 .5747 L
.63091 .57611 L
.63199 .57779 L
.63213 .57804 L
.63199 .57969 L
.63044 .57804 L
.63007 .57767 L
.62874 .57611 L
.62814 .57546 L
.6271 .57419 L
.62621 .57316 L
.6255 .57226 L
.62429 .57091 L
.62392 .57033 L
.62238 .56841 L
.62236 .56838 L
.62089 .56648 L
.62043 .56593 L
.61938 .56455 L
.61851 .5636 L
.61721 .56263 L
.61658 .56096 L
.61634 .5607 L
.61493 .55877 L
.61465 .55843 L
.61347 .55684 L
.61273 .55603 L
.61146 .55492 L
.6108 .55336 L
.61049 .55299 L
.6091 .55106 L
.60887 .55077 L
.60766 .54914 L
.60694 .54833 L
.60579 .54721 L
.60502 .54563 L
.60474 .54528 L
.60335 .54336 L
.60309 .54302 L
.60193 .54143 L
.60116 .54055 L
.60016 .5395 L
.59924 .53783 L
.59905 .53758 L
.59765 .53565 L
.59731 .53556 L
.59624 .53372 L
.59538 .53271 L
.59456 .53179 L
.59346 .52996 L
.59339 .52987 L
.592 .52794 L
.59153 .52773 L
.5906 .52601 L
.5896 .5248 L
.58899 .52409 L
.58777 .52216 L
.58768 .52204 L
.58639 .52023 L
.58575 .51982 L
.58499 .51831 L
.58382 .5168 L
.58347 .51638 L
.5822 .51445 L
.58189 .51405 L
.58083 .51253 L
.57997 .51177 L
.57943 .5106 L
.57804 .5087 L
.57802 .50867 L
.57669 .50674 L
.57611 .50597 L
.57532 .50482 L
.57419 .5035 L
.57364 .50289 L
.57259 .50096 L
.57226 .50052 L
.57127 .49904 L
.57033 .49774 L
.56992 .49711 L
.56858 .49518 L
.56841 .49494 L
.56734 .49326 L
.56648 .49203 L
.56605 .49133 L
.56481 .4894 L
.56455 .48901 L
.5638 .48747 L
F
0 .97 1 r
.56455 .53875 m
.56577 .5395 L
.56648 .53997 L
.56817 .54143 L
.56841 .5415 L
.57011 .54336 L
.57033 .54363 L
.57186 .54528 L
.57226 .54595 L
.57324 .54721 L
.57419 .54859 L
.57504 .54914 L
.57611 .55056 L
.57651 .55106 L
.57794 .55299 L
.57804 .55312 L
.57934 .55492 L
.57997 .55579 L
.5803 .55684 L
.58189 .55854 L
.58211 .55877 L
.58338 .5607 L
.58382 .56146 L
.58453 .56263 L
.5851 .56455 L
.58382 .56528 L
.58222 .56455 L
.58189 .56432 L
.58024 .56263 L
.57997 .56251 L
.57868 .5607 L
.57804 .5601 L
.57718 .55877 L
.57611 .55748 L
.57545 .55684 L
.57426 .55492 L
.57419 .55482 L
.57288 .55299 L
.57226 .55218 L
.57148 .55106 L
.57033 .54973 L
.56987 .54914 L
.56868 .54721 L
.56841 .54684 L
.56736 .54528 L
.56648 .54405 L
.56602 .54336 L
.56475 .54143 L
.56455 .54112 L
.56381 .5395 L
F
0 .94 1 r
.56455 .47868 m
.56562 .47977 L
.56648 .48065 L
.56743 .48169 L
.56841 .48256 L
.56914 .48362 L
.57033 .48504 L
.57102 .48555 L
.57226 .48737 L
.57235 .48747 L
.57395 .4894 L
.57419 .48963 L
.57552 .49133 L
.57611 .4921 L
.57722 .49326 L
.57804 .4946 L
.57844 .49518 L
.57997 .49704 L
.58008 .49711 L
.58158 .49904 L
.58189 .49947 L
.58313 .50096 L
.58382 .50205 L
.58433 .50289 L
.58575 .50462 L
.58603 .50482 L
.58748 .50674 L
.58768 .50702 L
.58895 .50867 L
.5896 .50965 L
.59012 .5106 L
.59153 .51229 L
.59186 .51253 L
.59329 .51445 L
.59346 .51469 L
.5947 .51638 L
.59538 .51736 L
.59584 .51831 L
.59731 .52003 L
.59762 .52023 L
.59916 .52216 L
.59924 .52245 L
.6004 .52409 L
.60116 .52514 L
.60152 .52601 L
.60309 .52779 L
.60333 .52794 L
.60486 .52987 L
.60502 .53026 L
.60607 .53179 L
.60694 .53296 L
.60716 .53372 L
.60887 .53557 L
.60901 .53565 L
.61053 .53758 L
.6108 .53811 L
.61172 .5395 L
.61273 .54081 L
.6128 .54143 L
.61465 .54335 L
.61466 .54336 L
.61619 .54528 L
.61658 .54598 L
.61736 .54721 L
.61851 .54867 L
.61892 .54914 L
.62031 .55106 L
.62043 .55121 L
.62182 .55299 L
.62236 .55387 L
.62298 .55492 L
.62429 .55655 L
.62455 .55684 L
.62595 .55877 L
.62621 .55909 L
.62744 .5607 L
.62814 .56178 L
.6286 .56263 L
.63007 .56443 L
.63017 .56455 L
.63157 .56648 L
.63199 .56699 L
.63304 .56841 L
.63392 .5697 L
.63423 .57033 L
.63578 .57226 L
.63585 .5723 L
.63761 .57419 L
.63778 .57493 L
.63862 .57611 L
.6397 .57767 L
.63986 .57804 L
.64135 .57997 L
.64163 .58014 L
.64317 .58189 L
.64356 .58292 L
.64418 .58382 L
.64548 .58568 L
.64551 .58575 L
.6469 .58768 L
.64741 .58808 L
.64865 .5896 L
.64934 .591 L
.64969 .59153 L
.65102 .59346 L
.65126 .59379 L
.65238 .59538 L
.65319 .59621 L
.65402 .59731 L
.65511 .59924 L
.65512 .59925 L
.65641 .60116 L
.65704 .60206 L
.65774 .60309 L
.65897 .60477 L
.65914 .60502 L
.66033 .60694 L
.6609 .60777 L
.66159 .60887 L
.66283 .61076 L
.66285 .6108 L
.66391 .61273 L
.66475 .61421 L
.66493 .61465 L
.66475 .61546 L
.66378 .61465 L
.66283 .61384 L
.6618 .61273 L
.6609 .6118 L
.66003 .6108 L
.65897 .60977 L
.65836 .60887 L
.65704 .60733 L
.65657 .60694 L
.65516 .60502 L
.65512 .60497 L
.65362 .60309 L
.65319 .60267 L
.65208 .60116 L
.65126 .60014 L
.65038 .59924 L
.64934 .59762 L
.6491 .59731 L
.64758 .59538 L
.64741 .59521 L
.6461 .59346 L
.64548 .59266 L
.64449 .59153 L
.64356 .59007 L
.64325 .5896 L
.64171 .58768 L
.64163 .58759 L
.64026 .58575 L
.6397 .58501 L
.63872 .58382 L
.63778 .58238 L
.63749 .58189 L
.63593 .57997 L
.63585 .57988 L
.63404 .57804 L
.63392 .57727 L
.63301 .57611 L
.63199 .57462 L
.63178 .57419 L
.63021 .57226 L
.63007 .57211 L
.6284 .57033 L
.62814 .56948 L
.62733 .56841 L
.62621 .56682 L
.62608 .56648 L
.62452 .56455 L
.62429 .5643 L
.62277 .56263 L
.62236 .56164 L
.62167 .5607 L
.62043 .55899 L
.62038 .55877 L
.61885 .55684 L
.61851 .55646 L
.61714 .55492 L
.61658 .55378 L
.61602 .55299 L
.61465 .55113 L
.61465 .55106 L
.6132 .54914 L
.61273 .54861 L
.61153 .54721 L
.6108 .5459 L
.61038 .54528 L
.60895 .54336 L
.60887 .54333 L
.60756 .54143 L
.60694 .54073 L
.60593 .5395 L
.60502 .538 L
.60475 .53758 L
.60332 .53565 L
.60309 .53554 L
.60193 .53372 L
.60116 .53282 L
.60034 .53179 L
.59924 .53008 L
.59911 .52987 L
.5977 .52794 L
.59731 .52771 L
.59562 .52601 L
.59538 .52489 L
.59476 .52409 L
.59347 .52216 L
.59346 .52214 L
.5921 .52023 L
.59153 .51982 L
.59013 .51831 L
.5896 .51692 L
.58919 .51638 L
.58788 .51445 L
.58768 .51418 L
.58651 .51253 L
.58575 .51185 L
.58466 .5106 L
.58382 .5089 L
.58366 .50867 L
.58232 .50674 L
.58189 .50617 L
.58095 .50482 L
.57997 .50377 L
.57925 .50289 L
.57815 .50096 L
.57804 .50082 L
.57681 .49904 L
.57611 .4981 L
.57544 .49711 L
.57419 .49551 L
.57393 .49518 L
.57271 .49326 L
.57226 .49265 L
.57138 .49133 L
.57033 .48988 L
.57002 .4894 L
.56869 .48747 L
.56841 .48708 L
.56743 .48555 L
.56648 .48419 L
.56613 .48362 L
.56489 .48169 L
.56455 .48118 L
.56381 .47977 L
F
1 .9 0 r
.56455 .57051 m
.56648 .57186 L
.56684 .57226 L
.56841 .57397 L
.56872 .57419 L
.5701 .57611 L
.57033 .5764 L
.57154 .57804 L
.57226 .57899 L
.57295 .57997 L
.57419 .58153 L
.57447 .58189 L
.57564 .58382 L
.57611 .58451 L
.57688 .58575 L
.57804 .58761 L
.57808 .58768 L
.5788 .5896 L
.57804 .59001 L
.5775 .5896 L
.57611 .58901 L
.57539 .58768 L
.57419 .58649 L
.57362 .58575 L
.57226 .58415 L
.5719 .58382 L
.57045 .58189 L
.57033 .58174 L
.56897 .57997 L
.56841 .5797 L
.56753 .57804 L
.56648 .57671 L
.56609 .57611 L
.56491 .57419 L
.56455 .57359 L
.56383 .57226 L
F
1 .8 0 r
.56455 .54587 m
.56581 .54721 L
.56648 .54793 L
.56747 .54914 L
.56841 .55028 L
.56901 .55106 L
.57033 .55271 L
.57044 .55299 L
.57172 .55492 L
.57226 .55576 L
.57289 .55684 L
.57226 .55808 L
.57107 .55684 L
.57033 .55608 L
.56941 .55492 L
.56841 .55372 L
.56788 .55299 L
.56648 .55118 L
.5664 .55106 L
.56511 .54914 L
.56455 .54834 L
.5639 .54721 L
F
1 .89 0 r
.56455 .57088 m
.56648 .57206 L
.56665 .57226 L
.56841 .57414 L
.56848 .57419 L
.56997 .57611 L
.57033 .57656 L
.57143 .57804 L
.57226 .57913 L
.57285 .57997 L
.57419 .58177 L
.57428 .58189 L
.5755 .58382 L
.57611 .58473 L
.57672 .58575 L
.57782 .58768 L
.57611 .58857 L
.57566 .58768 L
.57419 .58624 L
.57382 .58575 L
.57226 .58395 L
.57211 .58382 L
.5706 .58189 L
.57033 .58156 L
.56911 .57997 L
.56841 .57957 L
.56767 .57804 L
.56648 .57645 L
.56626 .57611 L
.56508 .57419 L
.56455 .57326 L
.56406 .57226 L
F
1 .79 0 r
.56455 .54613 m
.56561 .54721 L
.56648 .54812 L
.56732 .54914 L
.56841 .55045 L
.56888 .55106 L
.5703 .55299 L
.57033 .55303 L
.57156 .55492 L
.57226 .55605 L
.57269 .55684 L
.57226 .55778 L
.57128 .55684 L
.57033 .55591 L
.56954 .55492 L
.56841 .55358 L
.56798 .55299 L
.5665 .55106 L
.56648 .55103 L
.56525 .54914 L
.56455 .54812 L
.56406 .54721 L
F
1 .74 0 r
.56455 .48729 m
.56474 .48747 L
.56648 .48923 L
.56663 .4894 L
.56833 .49133 L
.56841 .49141 L
.56995 .49326 L
.57033 .49369 L
.57155 .49518 L
.57226 .49603 L
.57313 .49711 L
.57419 .49832 L
.57528 .49904 L
.57611 .50085 L
.57621 .50096 L
.5777 .50289 L
.57804 .50331 L
.57921 .50482 L
.57997 .50569 L
.58121 .50674 L
.58189 .5083 L
.5822 .50867 L
.58365 .5106 L
.58382 .51061 L
.58512 .51253 L
.58575 .51327 L
.58695 .51445 L
.58768 .51591 L
.58802 .51638 L
.58947 .51831 L
.5896 .51834 L
.59092 .52023 L
.59153 .52096 L
.59264 .52216 L
.59346 .52363 L
.59377 .52409 L
.59522 .52601 L
.59538 .52607 L
.59665 .52794 L
.59731 .52874 L
.59829 .52987 L
.59924 .53143 L
.59947 .53179 L
.60091 .53372 L
.60116 .53384 L
.60233 .53565 L
.60309 .53659 L
.60391 .53758 L
.60502 .53931 L
.60514 .5395 L
.60656 .54143 L
.60694 .54167 L
.60796 .54336 L
.60887 .54451 L
.60948 .54528 L
.61077 .54721 L
.6108 .54725 L
.61215 .54914 L
.61273 .54958 L
.61425 .55106 L
.61465 .55253 L
.615 .55299 L
.61631 .55492 L
.61658 .55529 L
.61767 .55684 L
.61851 .55766 L
.61953 .55877 L
.62043 .56069 L
.62044 .5607 L
.62176 .56263 L
.62236 .56345 L
.62311 .56455 L
.62429 .56606 L
.62464 .56648 L
.62577 .56841 L
.62621 .56903 L
.62707 .57033 L
.62814 .57188 L
.62839 .57226 L
.62961 .57419 L
.63007 .57486 L
.63079 .57611 L
.63007 .57749 L
.62888 .57611 L
.62814 .57533 L
.6272 .57419 L
.62621 .57305 L
.62558 .57226 L
.62429 .5708 L
.624 .57033 L
.62245 .56841 L
.62236 .56829 L
.62095 .56648 L
.62043 .56585 L
.61944 .56455 L
.61851 .56353 L
.61729 .56263 L
.61658 .5609 L
.6164 .5607 L
.61497 .55877 L
.61465 .55837 L
.61351 .55684 L
.61273 .55598 L
.61151 .55492 L
.6108 .55331 L
.61054 .55299 L
.60914 .55106 L
.60887 .55073 L
.6077 .54914 L
.60694 .54829 L
.60583 .54721 L
.60502 .54559 L
.60478 .54528 L
.60338 .54336 L
.60309 .54298 L
.60196 .54143 L
.60116 .54052 L
.60019 .5395 L
.59924 .53779 L
.59908 .53758 L
.59768 .53565 L
.59731 .53554 L
.59627 .53372 L
.59538 .53267 L
.59459 .53179 L
.59346 .52992 L
.59342 .52987 L
.59203 .52794 L
.59153 .52771 L
.59063 .52601 L
.5896 .52475 L
.58903 .52409 L
.5878 .52216 L
.58768 .522 L
.58642 .52023 L
.58575 .51978 L
.58502 .51831 L
.58382 .51676 L
.58351 .51638 L
.58223 .51445 L
.58189 .514 L
.58086 .51253 L
.57997 .51172 L
.57946 .5106 L
.57806 .50867 L
.57804 .50865 L
.57673 .50674 L
.57611 .50592 L
.57536 .50482 L
.57419 .50341 L
.57372 .50289 L
.57264 .50096 L
.57226 .50044 L
.57133 .49904 L
.57033 .49766 L
.56997 .49711 L
.56866 .49518 L
.56841 .49483 L
.56742 .49326 L
.56648 .49189 L
.56614 .49133 L
.56497 .4894 L
.56455 .48874 L
.56408 .48747 L
F
1 .78 0 r
.56455 .54645 m
.56536 .54721 L
.56648 .54833 L
.56716 .54914 L
.56841 .55064 L
.56873 .55106 L
.57014 .55299 L
.57033 .55326 L
.57138 .55492 L
.57226 .55644 L
.57244 .55684 L
.57226 .55737 L
.57158 .55684 L
.57033 .55571 L
.56969 .55492 L
.56841 .55342 L
.5681 .55299 L
.56665 .55106 L
.56648 .55084 L
.56541 .54914 L
.56455 .54783 L
.56425 .54721 L
F
0 .24 1 r
.56455 .511 m
.56544 .51253 L
.56648 .51402 L
.5667 .51445 L
.56648 .51503 L
.56601 .51445 L
.56455 .51291 L
.56426 .51253 L
F
1 .88 0 r
.56455 .57135 m
.56643 .57226 L
.56648 .5723 L
.56829 .57419 L
.56841 .57432 L
.56984 .57611 L
.57033 .57671 L
.57131 .57804 L
.57226 .57929 L
.57274 .57997 L
.57412 .58189 L
.57419 .58199 L
.57535 .58382 L
.57611 .58499 L
.57655 .58575 L
.57745 .58768 L
.57611 .58791 L
.576 .58768 L
.57419 .58596 L
.57403 .58575 L
.57233 .58382 L
.57226 .58374 L
.57076 .58189 L
.57033 .58137 L
.56925 .57997 L
.56841 .57938 L
.56781 .57804 L
.56648 .57617 L
.56644 .57611 L
.56525 .57419 L
.56455 .57285 L
.56431 .57226 L
F
0 .23 1 r
.56455 .51109 m
.56535 .51253 L
.56648 .51419 L
.56659 .51445 L
.56648 .51484 L
.56615 .51445 L
.56455 .51282 L
.56432 .51253 L
F
1 .12 0 r
.56455 .5029 m
.5659 .50482 L
.56648 .50552 L
.56732 .50674 L
.56841 .50812 L
.56878 .50867 L
.56841 .51021 L
.56734 .50867 L
.56648 .50762 L
.56588 .50674 L
.56455 .50504 L
.5644 .50482 L
F
0 .22 1 r
.56455 .5112 m
.56524 .51253 L
.56455 .51272 L
.5644 .51253 L
F
1 .11 0 r
.56455 .50298 m
.56583 .50482 L
.56648 .50559 L
.56726 .50674 L
.56841 .50819 L
.56874 .50867 L
.56841 .51013 L
.5674 .50867 L
.56648 .50755 L
.56593 .50674 L
.56455 .50498 L
.56444 .50482 L
F
0 .21 1 r
.56455 .51133 m
.56511 .51253 L
.56455 .51261 L
.56449 .51253 L
F
1 .1 0 r
.56455 .50307 m
.56576 .50482 L
.56648 .50567 L
.5672 .50674 L
.56841 .50826 L
.56868 .50867 L
.56841 .51005 L
.56747 .50867 L
.56648 .50748 L
.56598 .50674 L
.56455 .50491 L
.56449 .50482 L
F
1 .77 0 r
.56455 .54698 m
.56496 .54721 L
.56648 .54856 L
.56697 .54914 L
.56841 .55085 L
.56857 .55106 L
.56995 .55299 L
.57033 .55352 L
.57118 .55492 L
.57033 .55549 L
.56987 .55492 L
.56841 .55325 L
.56822 .55299 L
.56681 .55106 L
.56648 .55062 L
.5656 .54914 L
.56455 .54736 L
.56451 .54721 L
F
1 .09 0 r
.56455 .50316 m
.56568 .50482 L
.56648 .50575 L
.56714 .50674 L
.56841 .50834 L
.56863 .50867 L
.56841 .50996 L
.56754 .50867 L
.56648 .5074 L
.56604 .50674 L
.56455 .50483 L
.56454 .50482 L
F
0 .99 1 r
.57419 .66087 m
.57455 .6609 L
.57611 .66121 L
.57804 .66199 L
.57977 .66283 L
.57997 .66297 L
.58189 .66403 L
.58309 .66475 L
.58382 .66499 L
.58575 .6661 L
.58768 .66532 L
.58791 .66475 L
.5896 .66377 L
.59048 .66475 L
.59153 .66568 L
.59235 .66668 L
.59346 .66773 L
.59419 .66861 L
.59538 .66979 L
.59614 .67053 L
.59731 .67192 L
.59778 .67246 L
.59924 .67423 L
.59935 .67439 L
.60078 .67631 L
.60116 .67706 L
.6017 .67824 L
.60117 .68017 L
.60116 .68017 L
.59924 .68092 L
.59731 .68122 L
.59538 .68151 L
.59346 .68167 L
.59153 .68168 L
.5896 .68159 L
.58768 .6814 L
.58575 .68113 L
.58382 .68076 L
.58189 .68029 L
.58146 .68017 L
.57997 .6797 L
.57804 .67896 L
.57649 .67824 L
.57611 .67805 L
.57419 .67696 L
.57319 .67631 L
.57226 .67566 L
.57066 .67439 L
.57033 .67411 L
.56864 .67246 L
.56841 .67223 L
.56701 .67053 L
.56648 .66988 L
.56577 .66861 L
.56495 .66668 L
.56471 .66475 L
.56546 .66283 L
.56648 .66195 L
.56841 .66138 L
.57033 .66114 L
.57226 .66095 L
.57282 .6609 L
F
0 .96 1 r
.56648 .54053 m
.5676 .54143 L
.56841 .54163 L
.56969 .54336 L
.57033 .54406 L
.57151 .54528 L
.57226 .54638 L
.57299 .54721 L
.57419 .54889 L
.57475 .54914 L
.57611 .55092 L
.57623 .55106 L
.57769 .55299 L
.57804 .55342 L
.57912 .55492 L
.57997 .55613 L
.58016 .55684 L
.5818 .55877 L
.58189 .55892 L
.58304 .5607 L
.58382 .56219 L
.58407 .56263 L
.58382 .56455 L
.58189 .56384 L
.58058 .56263 L
.57997 .56236 L
.57889 .5607 L
.57804 .55989 L
.57735 .55877 L
.57611 .55727 L
.57566 .55684 L
.5744 .55492 L
.57419 .55464 L
.57301 .55299 L
.57226 .552 L
.57161 .55106 L
.57033 .54946 L
.57009 .54914 L
.56885 .54721 L
.56841 .54659 L
.56755 .54528 L
.56648 .54373 L
.56624 .54336 L
.56517 .54143 L
F
0 .93 1 r
.56648 .48129 m
.56688 .48169 L
.56841 .48314 L
.56872 .48362 L
.57033 .48544 L
.57049 .48555 L
.57207 .48747 L
.57226 .48769 L
.5737 .4894 L
.57419 .48986 L
.5753 .49133 L
.57611 .49236 L
.57704 .49326 L
.57804 .49482 L
.5783 .49518 L
.57991 .49711 L
.57997 .49717 L
.58143 .49904 L
.58189 .49966 L
.58301 .50096 L
.58382 .50222 L
.58423 .50289 L
.58575 .50472 L
.5859 .50482 L
.58738 .50674 L
.58768 .50716 L
.58886 .50867 L
.5896 .50978 L
.59005 .5106 L
.59153 .51237 L
.59176 .51253 L
.59321 .51445 L
.59346 .51481 L
.59463 .51638 L
.59538 .51746 L
.59579 .51831 L
.59731 .52008 L
.59754 .52023 L
.59914 .52216 L
.59924 .52254 L
.60034 .52409 L
.60116 .52522 L
.60148 .52601 L
.60309 .52783 L
.60326 .52794 L
.60483 .52987 L
.60502 .53034 L
.60603 .53179 L
.60694 .53303 L
.60714 .53372 L
.60887 .5356 L
.60895 .53565 L
.6105 .53758 L
.6108 .53818 L
.61168 .5395 L
.61273 .54087 L
.61279 .54143 L
.61462 .54336 L
.61465 .5434 L
.61615 .54528 L
.61658 .54604 L
.61732 .54721 L
.61851 .54872 L
.61887 .54914 L
.62027 .55106 L
.62043 .55126 L
.62179 .55299 L
.62236 .55393 L
.62295 .55492 L
.62429 .5566 L
.62451 .55684 L
.6259 .55877 L
.62621 .55914 L
.6274 .5607 L
.62814 .56184 L
.62857 .56263 L
.63007 .56449 L
.63012 .56455 L
.63152 .56648 L
.63199 .56705 L
.633 .56841 L
.63392 .56977 L
.63419 .57033 L
.63572 .57226 L
.63585 .57233 L
.63759 .57419 L
.63778 .575 L
.63857 .57611 L
.6397 .57775 L
.63982 .57804 L
.64129 .57997 L
.64163 .58019 L
.64312 .58189 L
.64356 .58301 L
.64411 .58382 L
.64545 .58575 L
.64548 .58579 L
.64681 .58768 L
.64741 .58818 L
.64856 .5896 L
.64934 .59114 L
.64959 .59153 L
.65092 .59346 L
.65126 .59394 L
.65226 .59538 L
.65319 .59641 L
.65386 .59731 L
.65496 .59924 L
.65512 .59946 L
.65625 .60116 L
.65704 .6023 L
.65757 .60309 L
.65886 .60502 L
.65897 .60517 L
.66006 .60694 L
.6609 .60821 L
.66128 .60887 L
.66237 .6108 L
.66283 .61164 L
.66309 .61273 L
.66283 .61289 L
.66262 .61273 L
.6609 .61122 L
.66051 .6108 L
.65897 .60926 L
.65872 .60887 L
.65704 .60696 L
.65703 .60694 L
.65543 .60502 L
.65512 .60467 L
.65384 .60309 L
.65319 .60245 L
.65227 .60116 L
.65126 .59992 L
.65055 .59924 L
.64934 .59745 L
.64923 .59731 L
.64772 .59538 L
.64741 .59507 L
.64622 .59346 L
.64548 .59251 L
.6446 .59153 L
.64356 .58994 L
.64333 .5896 L
.6418 .58768 L
.64163 .58749 L
.64034 .58575 L
.6397 .58491 L
.63879 .58382 L
.63778 .58229 L
.63754 .58189 L
.636 .57997 L
.63585 .57981 L
.63406 .57804 L
.63392 .57719 L
.63306 .57611 L
.63199 .57456 L
.63181 .57419 L
.63026 .57226 L
.63007 .57205 L
.62843 .57033 L
.62814 .56941 L
.62737 .56841 L
.62621 .56677 L
.6261 .56648 L
.62456 .56455 L
.62429 .56425 L
.6228 .56263 L
.62236 .56159 L
.6217 .5607 L
.62043 .55894 L
.62039 .55877 L
.61889 .55684 L
.61851 .55642 L
.61717 .55492 L
.61658 .55373 L
.61605 .55299 L
.61465 .55109 L
.61465 .55106 L
.61323 .54914 L
.61273 .54856 L
.61156 .54721 L
.6108 .54586 L
.61041 .54528 L
.60899 .54336 L
.60887 .54332 L
.60759 .54143 L
.60694 .54069 L
.60596 .5395 L
.60502 .53796 L
.60477 .53758 L
.60336 .53565 L
.60309 .53552 L
.60196 .53372 L
.60116 .53278 L
.60037 .53179 L
.59924 .53003 L
.59914 .52987 L
.59774 .52794 L
.59731 .52768 L
.59565 .52601 L
.59538 .52484 L
.5948 .52409 L
.59351 .52216 L
.59346 .52209 L
.59214 .52023 L
.59153 .51977 L
.59017 .51831 L
.5896 .51686 L
.58924 .51638 L
.58793 .51445 L
.58768 .51411 L
.58656 .51253 L
.58575 .51177 L
.58473 .5106 L
.58382 .50881 L
.58372 .50867 L
.58239 .50674 L
.58189 .50608 L
.58102 .50482 L
.57997 .50364 L
.57935 .50289 L
.57823 .50096 L
.57804 .50071 L
.5769 .49904 L
.57611 .49797 L
.57553 .49711 L
.57419 .4953 L
.57409 .49518 L
.57283 .49326 L
.57226 .49247 L
.57152 .49133 L
.57033 .48967 L
.57016 .4894 L
.56889 .48747 L
.56841 .48678 L
.56766 .48555 L
.56648 .48378 L
.56639 .48362 L
.56538 .48169 L
F
1 .87 0 r
.56648 .57255 m
.56811 .57419 L
.56841 .5745 L
.5697 .57611 L
.57033 .57688 L
.57119 .57804 L
.57226 .57945 L
.57262 .57997 L
.57397 .58189 L
.57419 .5822 L
.57519 .58382 L
.57611 .5853 L
.57635 .58575 L
.57611 .58737 L
.57429 .58575 L
.57419 .58566 L
.57253 .58382 L
.57226 .58353 L
.57092 .58189 L
.57033 .58118 L
.5694 .57997 L
.56841 .57914 L
.56795 .57804 L
.56661 .57611 L
.56648 .57591 L
.56544 .57419 L
F
0 .99 1 r
.56648 .56734 m
.56841 .56724 L
.57033 .56733 L
.57148 .56841 L
.57226 .56944 L
.57273 .57033 L
.57419 .57208 L
.57432 .57226 L
.57573 .57419 L
.57611 .57476 L
.57722 .57611 L
.57804 .57743 L
.5784 .57804 L
.57997 .57996 L
.57997 .57997 L
.58176 .58189 L
.58189 .58248 L
.58285 .58382 L
.58382 .5852 L
.58404 .58575 L
.5856 .58768 L
.58575 .58789 L
.58737 .5896 L
.58768 .59006 L
.58844 .59153 L
.5896 .59308 L
.58969 .59346 L
.59115 .59538 L
.59153 .59593 L
.59286 .59731 L
.59346 .59896 L
.59364 .59924 L
.59346 .59998 L
.59153 .6003 L
.5896 .5999 L
.58854 .59924 L
.58768 .59836 L
.58703 .59731 L
.58575 .596 L
.58528 .59538 L
.58384 .59346 L
.58382 .59342 L
.5824 .59153 L
.58189 .59053 L
.58125 .5896 L
.57997 .58826 L
.57954 .58768 L
.57806 .58575 L
.57804 .5856 L
.57673 .58382 L
.57611 .58287 L
.57562 .58189 L
.57419 .58018 L
.57389 .57997 L
.57235 .57804 L
.57226 .57778 L
.57111 .57611 L
.57033 .57516 L
.57001 .57419 L
.56841 .57246 L
.56827 .57226 L
.56671 .57033 L
.56648 .56968 L
.56562 .56841 L
F
1 .86 0 r
.56648 .57283 m
.5679 .57419 L
.56841 .5747 L
.56956 .57611 L
.57033 .57705 L
.57106 .57804 L
.57226 .57962 L
.5725 .57997 L
.57381 .58189 L
.57419 .58243 L
.57501 .58382 L
.57611 .58573 L
.57612 .58575 L
.57611 .58677 L
.57464 .58575 L
.57419 .58537 L
.57275 .58382 L
.57226 .5833 L
.57109 .58189 L
.57033 .58098 L
.56955 .57997 L
.56841 .57883 L
.5681 .57804 L
.56679 .57611 L
.56648 .57564 L
.56564 .57419 L
F
0 .95 1 r
.56648 .54119 m
.56687 .54143 L
.56841 .54193 L
.56925 .54336 L
.57033 .54442 L
.57116 .54528 L
.57226 .5467 L
.57279 .54721 L
.57419 .54905 L
.57446 .54914 L
.57597 .55106 L
.57611 .5511 L
.57745 .55299 L
.57804 .55371 L
.57892 .55492 L
.57997 .55648 L
.58006 .55684 L
.58152 .55877 L
.58189 .5594 L
.58269 .5607 L
.5835 .56263 L
.58189 .56336 L
.58099 .56263 L
.57997 .56215 L
.57913 .5607 L
.57804 .55964 L
.57752 .55877 L
.57611 .55705 L
.57589 .55684 L
.57456 .55492 L
.57419 .55444 L
.57316 .55299 L
.57226 .55181 L
.57174 .55106 L
.57033 .54915 L
.57032 .54914 L
.56904 .54721 L
.56841 .54631 L
.56776 .54528 L
.56651 .54336 L
.56648 .54331 L
.56585 .54143 L
F
1 .76 0 r
.56648 .54885 m
.56674 .54914 L
.56648 .55033 L
.56586 .54914 L
F
1 .85 0 r
.56648 .57315 m
.56766 .57419 L
.56841 .57492 L
.56939 .57611 L
.57033 .57723 L
.57093 .57804 L
.57226 .5798 L
.57238 .57997 L
.57364 .58189 L
.57419 .58271 L
.5748 .58382 L
.57419 .58505 L
.573 .58382 L
.57226 .58306 L
.57128 .58189 L
.57033 .58077 L
.56971 .57997 L
.56841 .57845 L
.56826 .57804 L
.56697 .57611 L
.56648 .57532 L
.56588 .57419 L
F
0 .39 1 r
.56648 .49724 m
.56789 .49904 L
.56841 .49963 L
.56943 .50096 L
.57033 .50205 L
.57097 .50289 L
.57226 .50427 L
.5725 .50482 L
.57397 .50674 L
.57419 .50701 L
.57543 .50867 L
.57611 .50954 L
.5769 .5106 L
.57804 .51178 L
.57837 .51253 L
.57982 .51445 L
.57997 .51464 L
.58123 .51638 L
.58189 .51723 L
.58267 .51831 L
.58382 .51958 L
.58412 .52023 L
.58552 .52216 L
.58575 .52245 L
.58691 .52409 L
.58768 .52509 L
.58833 .52601 L
.5896 .52761 L
.58975 .52794 L
.59111 .52987 L
.59153 .53043 L
.59247 .53179 L
.59346 .53312 L
.59387 .53372 L
.59524 .53565 L
.59538 .53584 L
.59653 .53758 L
.59731 .53864 L
.59788 .5395 L
.59923 .54143 L
.59924 .54143 L
.6004 .54336 L
.60116 .54445 L
.60163 .54528 L
.60116 .54605 L
.60054 .54528 L
.59924 .54386 L
.59884 .54336 L
.59731 .54154 L
.59722 .54143 L
.59571 .5395 L
.59538 .53912 L
.59421 .53758 L
.59346 .53666 L
.5927 .53565 L
.59153 .53419 L
.59118 .53372 L
.5897 .53179 L
.5896 .53168 L
.58827 .52987 L
.58768 .52912 L
.58681 .52794 L
.58575 .52657 L
.58534 .52601 L
.58389 .52409 L
.58382 .524 L
.58249 .52216 L
.58189 .52139 L
.58107 .52023 L
.57997 .51879 L
.57962 .51831 L
.57821 .51638 L
.57804 .51616 L
.57684 .51445 L
.57611 .5135 L
.57543 .51253 L
.57419 .51109 L
.57401 .5106 L
.57265 .50867 L
.57226 .50816 L
.5713 .50674 L
.57033 .50544 L
.56991 .50482 L
.56854 .50289 L
.56841 .50272 L
.56726 .50096 L
.56648 .4999 L
.56593 .49904 L
F
0 .38 1 r
.56648 .49733 m
.56783 .49904 L
.56841 .4997 L
.56938 .50096 L
.57033 .50211 L
.57093 .50289 L
.57226 .50436 L
.57246 .50482 L
.57392 .50674 L
.57419 .50706 L
.57539 .50867 L
.57611 .50959 L
.57686 .5106 L
.57804 .51185 L
.57834 .51253 L
.57978 .51445 L
.57997 .51469 L
.5812 .51638 L
.58189 .51728 L
.58264 .51831 L
.58382 .51964 L
.58409 .52023 L
.58549 .52216 L
.58575 .52249 L
.58688 .52409 L
.58768 .52514 L
.5883 .52601 L
.5896 .52768 L
.58972 .52794 L
.59107 .52987 L
.59153 .53048 L
.59244 .53179 L
.59346 .53318 L
.59383 .53372 L
.59519 .53565 L
.59538 .53591 L
.59649 .53758 L
.59731 .53871 L
.59783 .5395 L
.59917 .54143 L
.59924 .54153 L
.60032 .54336 L
.60116 .54458 L
.60153 .54528 L
.60116 .54591 L
.60065 .54528 L
.59924 .54378 L
.59891 .54336 L
.59731 .54147 L
.59728 .54143 L
.59577 .5395 L
.59538 .53906 L
.59426 .53758 L
.59346 .53661 L
.59274 .53565 L
.59153 .53414 L
.59122 .53372 L
.58974 .53179 L
.5896 .53163 L
.58831 .52987 L
.58768 .52908 L
.58685 .52794 L
.58575 .52653 L
.58537 .52601 L
.58392 .52409 L
.58382 .52396 L
.58253 .52216 L
.58189 .52135 L
.5811 .52023 L
.57997 .51875 L
.57965 .51831 L
.57824 .51638 L
.57804 .51612 L
.57687 .51445 L
.57611 .51346 L
.57546 .51253 L
.57419 .51101 L
.57404 .5106 L
.57269 .50867 L
.57226 .50811 L
.57134 .50674 L
.57033 .50539 L
.56995 .50482 L
.56858 .50289 L
.56841 .50265 L
.56731 .50096 L
.56648 .49982 L
.56598 .49904 L
F
0 .98 1 r
.56648 .56772 m
.56841 .56749 L
.57033 .56788 L
.57111 .56841 L
.57226 .56972 L
.57261 .57033 L
.57419 .57224 L
.5742 .57226 L
.57564 .57419 L
.57611 .57487 L
.57716 .57611 L
.57804 .57752 L
.57835 .57804 L
.5799 .57997 L
.57997 .58 L
.58173 .58189 L
.58189 .58257 L
.58278 .58382 L
.58382 .58531 L
.584 .58575 L
.5855 .58768 L
.58575 .58802 L
.58731 .5896 L
.58768 .59024 L
.58832 .59153 L
.5896 .59341 L
.58961 .59346 L
.5909 .59538 L
.59153 .59642 L
.59238 .59731 L
.59198 .59924 L
.59153 .59935 L
.59062 .59924 L
.5896 .59878 L
.58768 .59756 L
.58749 .59731 L
.58575 .5955 L
.58565 .59538 L
.58408 .59346 L
.58382 .59301 L
.58256 .59153 L
.58189 .59028 L
.58137 .5896 L
.57997 .58808 L
.57966 .58768 L
.57807 .58575 L
.57804 .58546 L
.57682 .58382 L
.57611 .58275 L
.57568 .58189 L
.57419 .58012 L
.57397 .57997 L
.57238 .57804 L
.57226 .57769 L
.57119 .57611 L
.57033 .57503 L
.57007 .57419 L
.56841 .57227 L
.5684 .57226 L
.56681 .57033 L
.56648 .56929 L
.56599 .56841 L
F
0 .37 1 r
.56648 .49742 m
.56776 .49904 L
.56841 .49977 L
.56933 .50096 L
.57033 .50217 L
.57088 .50289 L
.57226 .50445 L
.57241 .50482 L
.57388 .50674 L
.57419 .50712 L
.57535 .50867 L
.57611 .50964 L
.57683 .5106 L
.57804 .51192 L
.57831 .51253 L
.57974 .51445 L
.57997 .51474 L
.58116 .51638 L
.58189 .51732 L
.58261 .51831 L
.58382 .51971 L
.58405 .52023 L
.58545 .52216 L
.58575 .52254 L
.58685 .52409 L
.58768 .52518 L
.58826 .52601 L
.5896 .52775 L
.58968 .52794 L
.59103 .52987 L
.59153 .53053 L
.5924 .53179 L
.59346 .53323 L
.59379 .53372 L
.59514 .53565 L
.59538 .53597 L
.59644 .53758 L
.59731 .53878 L
.59778 .5395 L
.59731 .5414 L
.59583 .5395 L
.59538 .53899 L
.59431 .53758 L
.59346 .53655 L
.59278 .53565 L
.59153 .53409 L
.59126 .53372 L
.58978 .53179 L
.5896 .53158 L
.58835 .52987 L
.58768 .52903 L
.58688 .52794 L
.58575 .52648 L
.58541 .52601 L
.58396 .52409 L
.58382 .52391 L
.58256 .52216 L
.58189 .5213 L
.58113 .52023 L
.57997 .5187 L
.57968 .51831 L
.57828 .51638 L
.57804 .51607 L
.57691 .51445 L
.57611 .51341 L
.5755 .51253 L
.57419 .51093 L
.57407 .5106 L
.57273 .50867 L
.57226 .50805 L
.57138 .50674 L
.57033 .50534 L
.56998 .50482 L
.56863 .50289 L
.56841 .50259 L
.56736 .50096 L
.56648 .49975 L
.56604 .49904 L
F
0 .36 1 r
.56648 .49751 m
.56769 .49904 L
.56841 .49984 L
.56927 .50096 L
.57033 .50223 L
.57084 .50289 L
.57226 .50455 L
.57237 .50482 L
.57383 .50674 L
.57419 .50717 L
.57531 .50867 L
.57611 .50969 L
.57679 .5106 L
.57804 .512 L
.57827 .51253 L
.5797 .51445 L
.57997 .51478 L
.58113 .51638 L
.58189 .51737 L
.58257 .51831 L
.58382 .51978 L
.58402 .52023 L
.58542 .52216 L
.58575 .52259 L
.58681 .52409 L
.58768 .52523 L
.58823 .52601 L
.5896 .52783 L
.58965 .52794 L
.59099 .52987 L
.59153 .53058 L
.59236 .53179 L
.59346 .53328 L
.59376 .53372 L
.59509 .53565 L
.59538 .53604 L
.59639 .53758 L
.59731 .53885 L
.59773 .5395 L
.59731 .54131 L
.5959 .5395 L
.59538 .53892 L
.59436 .53758 L
.59346 .53649 L
.59282 .53565 L
.59153 .53403 L
.5913 .53372 L
.58983 .53179 L
.5896 .53152 L
.58838 .52987 L
.58768 .52898 L
.58692 .52794 L
.58575 .52644 L
.58544 .52601 L
.584 .52409 L
.58382 .52387 L
.5826 .52216 L
.58189 .52126 L
.58116 .52023 L
.57997 .51866 L
.57971 .51831 L
.57831 .51638 L
.57804 .51603 L
.57694 .51445 L
.57611 .51337 L
.57553 .51253 L
.57419 .51084 L
.5741 .5106 L
.57277 .50867 L
.57226 .508 L
.57141 .50674 L
.57033 .50528 L
.57002 .50482 L
.56869 .50289 L
.56841 .50252 L
.56742 .50096 L
.56648 .49967 L
.56609 .49904 L
F
1 .08 0 r
.56648 .50585 m
.56707 .50674 L
.56841 .50842 L
.56857 .50867 L
.56841 .50986 L
.56762 .50867 L
.56648 .50731 L
.5661 .50674 L
F
1 .96 0 r
.56648 .7166 m
.56841 .71567 L
.57033 .71595 L
.57226 .71654 L
.57299 .71678 L
.57419 .71732 L
.57611 .71823 L
.57707 .71871 L
.57804 .71923 L
.57997 .72031 L
.58054 .72063 L
.58189 .72144 L
.58372 .72256 L
.58382 .72262 L
.58575 .72385 L
.58673 .72449 L
.58768 .72511 L
.5896 .72641 L
.58961 .72641 L
.59153 .72773 L
.59241 .72834 L
.59346 .72908 L
.59512 .73027 L
.59538 .73045 L
.59731 .73185 L
.59778 .7322 L
.59924 .73327 L
.60039 .73412 L
.60116 .7347 L
.60296 .73605 L
.60309 .73615 L
.60502 .73762 L
.60548 .73798 L
.60694 .7391 L
.60798 .7399 L
.60887 .7406 L
.61044 .74183 L
.6108 .74211 L
.61273 .74363 L
.61289 .74376 L
.61465 .74516 L
.61531 .74568 L
.61658 .74671 L
.61771 .74761 L
.61851 .74826 L
.62009 .74954 L
.62043 .74982 L
.62236 .75139 L
.62246 .75146 L
.62429 .75296 L
.62481 .75339 L
.62621 .75455 L
.62715 .75532 L
.62814 .75614 L
.62948 .75725 L
.63007 .75773 L
.63181 .75917 L
.63199 .75933 L
.63392 .76094 L
.63411 .7611 L
.63585 .76256 L
.63641 .76303 L
.63778 .76418 L
.63869 .76495 L
.6397 .76581 L
.64096 .76688 L
.64163 .76746 L
.64321 .76881 L
.64356 .76911 L
.64544 .77073 L
.64548 .77077 L
.64741 .77246 L
.64764 .77266 L
.64934 .77417 L
.64982 .77459 L
.65126 .77589 L
.65197 .77651 L
.65319 .77763 L
.6541 .77844 L
.65512 .77939 L
.6562 .78037 L
.65704 .78116 L
.65828 .7823 L
.65897 .78295 L
.66034 .78422 L
.6609 .78476 L
.66238 .78615 L
.66283 .78658 L
.6644 .78808 L
.66475 .78841 L
.66642 .79 L
.66668 .79025 L
.66843 .79193 L
.66861 .7921 L
.67045 .79386 L
.67053 .79394 L
.67246 .79578 L
.67246 .79579 L
.67439 .79763 L
.67447 .79771 L
.67631 .79947 L
.6765 .79964 L
.67824 .8013 L
.67852 .80156 L
.68017 .80312 L
.68056 .80349 L
.68209 .80494 L
.68261 .80542 L
.68402 .80674 L
.68467 .80735 L
.68595 .80854 L
.68674 .80927 L
.68788 .81033 L
.68882 .8112 L
.6898 .81211 L
.69091 .81313 L
.69173 .81388 L
.69301 .81505 L
.69366 .81564 L
.69512 .81698 L
.69558 .81739 L
.69725 .81891 L
.69751 .81914 L
.69938 .82083 L
.69944 .82089 L
.70136 .82263 L
.7015 .82276 L
.70329 .82437 L
.70361 .82469 L
.70522 .82612 L
.7057 .82661 L
.70715 .82789 L
.70776 .82854 L
.70907 .8297 L
.70979 .83047 L
.711 .83154 L
.71178 .8324 L
.71293 .83345 L
.71372 .83432 L
.71485 .83542 L
.71562 .83625 L
.71678 .83746 L
.71747 .83818 L
.71871 .83955 L
.71928 .8401 L
.72063 .84165 L
.72108 .84203 L
.72256 .84373 L
.72285 .84396 L
.72449 .8458 L
.7246 .84588 L
.72633 .84781 L
.72641 .8479 L
.72806 .84974 L
.72834 .85005 L
.7298 .85166 L
.73027 .85219 L
.73154 .85359 L
.7322 .85432 L
.73329 .85552 L
.73412 .85643 L
.73505 .85745 L
.73605 .85854 L
.73682 .85937 L
.73798 .86064 L
.73859 .8613 L
.7399 .86273 L
.74036 .86323 L
.74183 .86482 L
.74213 .86515 L
.74376 .86691 L
.74391 .86708 L
.74568 .86901 L
.74568 .86901 L
.74746 .87093 L
.74761 .8711 L
.74922 .87286 L
.74954 .87321 L
.75098 .87479 L
.75146 .87532 L
.75273 .87671 L
.75339 .87745 L
.75446 .87864 L
.75532 .8796 L
.75618 .88057 L
.75725 .88177 L
.75788 .8825 L
.75917 .88397 L
.75957 .88442 L
.7611 .88619 L
.76123 .88635 L
.76287 .88828 L
.76303 .88846 L
.76449 .8902 L
.76495 .89075 L
.76609 .89213 L
.76688 .8931 L
.76766 .89406 L
.76881 .89548 L
.76921 .89598 L
.77073 .89791 L
.77073 .89792 L
.77222 .89984 L
.77266 .90041 L
.77368 .90177 L
.77459 .90297 L
.77512 .90369 L
.77651 .90562 L
.77651 .90562 L
.77787 .90755 L
.77844 .90836 L
.77919 .90947 L
.78037 .91127 L
.78045 .9114 L
.78165 .91333 L
.7823 .91439 L
.78277 .91525 L
.7838 .91718 L
.78422 .91791 L
.78468 .91911 L
.78537 .92103 L
.78572 .92296 L
.78484 .92489 L
.78422 .92521 L
.7823 .92523 L
.78078 .92489 L
.78037 .92477 L
.77844 .92407 L
.77651 .92321 L
.77599 .92296 L
.77459 .92224 L
.77266 .9212 L
.77237 .92103 L
.77073 .92009 L
.7691 .91911 L
.76881 .91893 L
.76688 .91772 L
.76604 .91718 L
.76495 .91647 L
.76311 .91525 L
.76303 .91519 L
.7611 .91388 L
.76029 .91333 L
.75917 .91255 L
.75755 .9114 L
.75725 .91118 L
.75532 .9098 L
.75487 .90947 L
.75339 .90839 L
.75224 .90755 L
.75146 .90697 L
.74965 .90562 L
.74954 .90553 L
.74761 .90407 L
.74711 .90369 L
.74568 .9026 L
.7446 .90177 L
.74376 .90111 L
.74212 .89984 L
.74183 .89961 L
.7399 .89809 L
.73967 .89791 L
.73798 .89656 L
.73725 .89598 L
.73605 .89502 L
.73485 .89406 L
.73412 .89347 L
.73247 .89213 L
.7322 .89191 L
.73027 .89034 L
.73011 .8902 L
.72834 .88875 L
.72777 .88828 L
.72641 .88716 L
.72544 .88635 L
.72449 .88555 L
.72313 .88442 L
.72256 .88394 L
.72084 .8825 L
.72063 .88232 L
.71871 .88069 L
.71856 .88057 L
.71678 .87905 L
.7163 .87864 L
.71485 .8774 L
.71405 .87671 L
.71293 .87574 L
.71182 .87479 L
.711 .87408 L
.70959 .87286 L
.70907 .87241 L
.70738 .87093 L
.70715 .87073 L
.70522 .86904 L
.70518 .86901 L
.70329 .86734 L
.70299 .86708 L
.70136 .86564 L
.70081 .86515 L
.69944 .86393 L
.69865 .86323 L
.69751 .86221 L
.69649 .8613 L
.69558 .86049 L
.69434 .85937 L
.69366 .85875 L
.6922 .85745 L
.69173 .85702 L
.69007 .85552 L
.6898 .85527 L
.68795 .85359 L
.68788 .85352 L
.68595 .85176 L
.68584 .85166 L
.68402 .84999 L
.68374 .84974 L
.68209 .84822 L
.68165 .84781 L
.68017 .84644 L
.67957 .84588 L
.67824 .84465 L
.67749 .84396 L
.67631 .84286 L
.67543 .84203 L
.67439 .84106 L
.67337 .8401 L
.67246 .83925 L
.67132 .83818 L
.67053 .83744 L
.66928 .83625 L
.66861 .83562 L
.66724 .83432 L
.66668 .83379 L
.66521 .8324 L
.66475 .83196 L
.6632 .83047 L
.66283 .83011 L
.66118 .82854 L
.6609 .82827 L
.65918 .82661 L
.65897 .82641 L
.65719 .82469 L
.65704 .82455 L
.6552 .82276 L
.65512 .82268 L
.65322 .82083 L
.65319 .82081 L
.65126 .81892 L
.65125 .81891 L
.64934 .81703 L
.64928 .81698 L
.64741 .81513 L
.64733 .81505 L
.64548 .81323 L
.64538 .81313 L
.64356 .81131 L
.64344 .8112 L
.64163 .80939 L
.64151 .80927 L
.6397 .80746 L
.63958 .80735 L
.63778 .80553 L
.63767 .80542 L
.63585 .80358 L
.63576 .80349 L
.63392 .80163 L
.63386 .80156 L
.63199 .79967 L
.63197 .79964 L
.63008 .79771 L
.63007 .7977 L
.62821 .79578 L
.62814 .79572 L
.62634 .79386 L
.62621 .79373 L
.62448 .79193 L
.62429 .79173 L
.62263 .79 L
.62236 .78972 L
.62079 .78808 L
.62043 .7877 L
.61896 .78615 L
.61851 .78567 L
.61714 .78422 L
.61658 .78363 L
.61533 .7823 L
.61465 .78158 L
.61353 .78037 L
.61273 .77951 L
.61173 .77844 L
.6108 .77744 L
.60995 .77651 L
.60887 .77535 L
.60818 .77459 L
.60694 .77325 L
.60641 .77266 L
.60502 .77113 L
.60466 .77073 L
.60309 .769 L
.60292 .76881 L
.60119 .76688 L
.60116 .76685 L
.59948 .76495 L
.59924 .76468 L
.59777 .76303 L
.59731 .7625 L
.59608 .7611 L
.59538 .7603 L
.59441 .75917 L
.59346 .75807 L
.59275 .75725 L
.59153 .75582 L
.5911 .75532 L
.5896 .75355 L
.58947 .75339 L
.58786 .75146 L
.58768 .75125 L
.58626 .74954 L
.58575 .74891 L
.58469 .74761 L
.58382 .74654 L
.58314 .74568 L
.58189 .74412 L
.58161 .74376 L
.5801 .74183 L
.57997 .74166 L
.57862 .7399 L
.57804 .73914 L
.57717 .73798 L
.57611 .73654 L
.57575 .73605 L
.57438 .73412 L
.57419 .73386 L
.57304 .7322 L
.57226 .73104 L
.57176 .73027 L
.57053 .72834 L
.57033 .72804 L
.56938 .72641 L
.56841 .72467 L
.56832 .72449 L
.56737 .72256 L
.56662 .72063 L
.56648 .72018 L
.56615 .71871 L
.56636 .71678 L
F
0 .35 1 r
.56648 .49762 m
.56761 .49904 L
.56841 .49992 L
.56921 .50096 L
.57033 .5023 L
.57079 .50289 L
.57226 .50466 L
.57233 .50482 L
.57379 .50674 L
.57419 .50723 L
.57526 .50867 L
.57611 .50974 L
.57675 .5106 L
.57804 .51207 L
.57824 .51253 L
.57967 .51445 L
.57997 .51483 L
.58109 .51638 L
.58189 .51741 L
.58254 .51831 L
.58382 .51985 L
.58399 .52023 L
.58538 .52216 L
.58575 .52264 L
.58678 .52409 L
.58768 .52528 L
.5882 .52601 L
.5896 .52791 L
.58962 .52794 L
.59095 .52987 L
.59153 .53063 L
.59232 .53179 L
.59346 .53334 L
.59372 .53372 L
.59504 .53565 L
.59538 .53611 L
.59633 .53758 L
.59731 .53893 L
.59767 .5395 L
.59731 .54122 L
.59597 .5395 L
.59538 .53885 L
.59442 .53758 L
.59346 .53643 L
.59287 .53565 L
.59153 .53398 L
.59134 .53372 L
.58987 .53179 L
.5896 .53147 L
.58842 .52987 L
.58768 .52894 L
.58695 .52794 L
.58575 .5264 L
.58547 .52601 L
.58403 .52409 L
.58382 .52382 L
.58263 .52216 L
.58189 .52122 L
.58119 .52023 L
.57997 .51862 L
.57974 .51831 L
.57835 .51638 L
.57804 .51598 L
.57697 .51445 L
.57611 .51332 L
.57556 .51253 L
.57419 .51075 L
.57413 .5106 L
.57281 .50867 L
.57226 .50795 L
.57145 .50674 L
.57033 .50523 L
.57006 .50482 L
.56874 .50289 L
.56841 .50244 L
.56748 .50096 L
.56648 .49958 L
.56615 .49904 L
F
1 .84 0 r
.56648 .57357 m
.56734 .57419 L
.56841 .57515 L
.56921 .57611 L
.57033 .57743 L
.57078 .57804 L
.57223 .57997 L
.57226 .58001 L
.57343 .58189 L
.57419 .58307 L
.57455 .58382 L
.57419 .58464 L
.57331 .58382 L
.57226 .5828 L
.57149 .58189 L
.57033 .58054 L
.56989 .57997 L
.56843 .57804 L
.56841 .57801 L
.56718 .57611 L
.56648 .5749 L
.56616 .57419 L
F
1 .07 0 r
.56648 .50595 m
.56699 .50674 L
.56841 .50851 L
.56851 .50867 L
.56841 .50974 L
.56772 .50867 L
.56648 .50722 L
.56617 .50674 L
F
0 .34 1 r
.56648 .49773 m
.56752 .49904 L
.56841 .5 L
.56915 .50096 L
.57033 .50237 L
.57074 .50289 L
.57226 .50476 L
.57228 .50482 L
.57374 .50674 L
.57419 .50728 L
.57522 .50867 L
.57611 .50979 L
.57672 .5106 L
.57804 .51215 L
.5782 .51253 L
.57963 .51445 L
.57997 .51488 L
.58106 .51638 L
.58189 .51746 L
.58251 .51831 L
.58382 .51992 L
.58396 .52023 L
.58534 .52216 L
.58575 .52268 L
.58674 .52409 L
.58768 .52533 L
.58816 .52601 L
.58958 .52794 L
.5896 .52797 L
.59091 .52987 L
.59153 .53069 L
.59228 .53179 L
.59346 .5334 L
.59368 .53372 L
.59499 .53565 L
.59538 .53618 L
.59628 .53758 L
.59731 .53901 L
.59762 .5395 L
.59731 .54112 L
.59604 .5395 L
.59538 .53877 L
.59447 .53758 L
.59346 .53637 L
.59292 .53565 L
.59153 .53393 L
.59138 .53372 L
.58991 .53179 L
.5896 .53142 L
.58846 .52987 L
.58768 .52889 L
.58699 .52794 L
.58575 .52635 L
.5855 .52601 L
.58407 .52409 L
.58382 .52377 L
.58267 .52216 L
.58189 .52117 L
.58123 .52023 L
.57997 .51858 L
.57978 .51831 L
.57839 .51638 L
.57804 .51593 L
.57701 .51445 L
.57611 .51328 L
.57559 .51253 L
.57419 .51066 L
.57417 .5106 L
.57285 .50867 L
.57226 .50789 L
.5715 .50674 L
.57033 .50517 L
.5701 .50482 L
.5688 .50289 L
.56841 .50237 L
.56754 .50096 L
.56648 .49949 L
.56621 .49904 L
F
1 .73 0 r
.56648 .48942 m
.56819 .49133 L
.56841 .49155 L
.56984 .49326 L
.57033 .49381 L
.57146 .49518 L
.57226 .49613 L
.57305 .49711 L
.57419 .49842 L
.57516 .49904 L
.57611 .50094 L
.57614 .50096 L
.57764 .50289 L
.57804 .50339 L
.57915 .50482 L
.57997 .50576 L
.58115 .50674 L
.58189 .50836 L
.58215 .50867 L
.5836 .5106 L
.58382 .51062 L
.58507 .51253 L
.58575 .51332 L
.58691 .51445 L
.58768 .51596 L
.58799 .51638 L
.58944 .51831 L
.5896 .51835 L
.59088 .52023 L
.59153 .52101 L
.5926 .52216 L
.59346 .52368 L
.59374 .52409 L
.59519 .52601 L
.59538 .52609 L
.59662 .52794 L
.59731 .52878 L
.59826 .52987 L
.59924 .53148 L
.59944 .53179 L
.60088 .53372 L
.60116 .53386 L
.6023 .53565 L
.60309 .53663 L
.60387 .53758 L
.60502 .53935 L
.60511 .5395 L
.60652 .54143 L
.60694 .5417 L
.60793 .54336 L
.60887 .54456 L
.60945 .54528 L
.61073 .54721 L
.6108 .5473 L
.61211 .54914 L
.61273 .54963 L
.61421 .55106 L
.61465 .55259 L
.61496 .55299 L
.61627 .55492 L
.61658 .55534 L
.61763 .55684 L
.61851 .55773 L
.61947 .55877 L
.62039 .5607 L
.62043 .56076 L
.62171 .56263 L
.62236 .56353 L
.62306 .56455 L
.62429 .56618 L
.62454 .56648 L
.6257 .56841 L
.62621 .56913 L
.627 .57033 L
.62814 .572 L
.62831 .57226 L
.6295 .57419 L
.63007 .57505 L
.63066 .57611 L
.63007 .57729 L
.62903 .57611 L
.62814 .57518 L
.62732 .57419 L
.62621 .57294 L
.62567 .57226 L
.62429 .57068 L
.62407 .57033 L
.62253 .56841 L
.62236 .56821 L
.62101 .56648 L
.62043 .56578 L
.61949 .56455 L
.61851 .56345 L
.61737 .56263 L
.61658 .56083 L
.61646 .5607 L
.61502 .55877 L
.61465 .55831 L
.61355 .55684 L
.61273 .55592 L
.61156 .55492 L
.6108 .55325 L
.61058 .55299 L
.60917 .55106 L
.60887 .55068 L
.60773 .54914 L
.60694 .54825 L
.60587 .54721 L
.60502 .54555 L
.60481 .54528 L
.60341 .54336 L
.60309 .54294 L
.60199 .54143 L
.60116 .54048 L
.60023 .5395 L
.59924 .53775 L
.5991 .53758 L
.59771 .53565 L
.59731 .53553 L
.5963 .53372 L
.59538 .53263 L
.59463 .53179 L
.59346 .52989 L
.59344 .52987 L
.59206 .52794 L
.59153 .52768 L
.59065 .52601 L
.5896 .52471 L
.58906 .52409 L
.58783 .52216 L
.58768 .52196 L
.58645 .52023 L
.58575 .51975 L
.58505 .51831 L
.58382 .51671 L
.58355 .51638 L
.58226 .51445 L
.58189 .51396 L
.58089 .51253 L
.57997 .51166 L
.5795 .5106 L
.5781 .50867 L
.57804 .50859 L
.57677 .50674 L
.57611 .50586 L
.5754 .50482 L
.57419 .50331 L
.57381 .50289 L
.5727 .50096 L
.57226 .50037 L
.57138 .49904 L
.57033 .49757 L
.57003 .49711 L
.56874 .49518 L
.56841 .49472 L
.56751 .49326 L
.56648 .49175 L
.56624 .49133 L
F
1 .06 0 r
.56648 .50607 m
.5669 .50674 L
.56841 .50862 L
.56844 .50867 L
.56841 .5096 L
.56784 .50867 L
.56648 .50711 L
.56625 .50674 L
F
0 .33 1 r
.56648 .49785 m
.56743 .49904 L
.56841 .50009 L
.56909 .50096 L
.57033 .50243 L
.57068 .50289 L
.57223 .50482 L
.57226 .50485 L
.57369 .50674 L
.57419 .50734 L
.57518 .50867 L
.57611 .50984 L
.57668 .5106 L
.57804 .51224 L
.57816 .51253 L
.57959 .51445 L
.57997 .51493 L
.58102 .51638 L
.58189 .51751 L
.58247 .51831 L
.58382 .52 L
.58392 .52023 L
.5853 .52216 L
.58575 .52273 L
.5867 .52409 L
.58768 .52537 L
.58813 .52601 L
.58954 .52794 L
.5896 .52803 L
.59087 .52987 L
.59153 .53075 L
.59224 .53179 L
.59346 .53346 L
.59364 .53372 L
.59493 .53565 L
.59538 .53626 L
.59622 .53758 L
.59731 .5391 L
.59756 .5395 L
.59731 .54102 L
.59612 .5395 L
.59538 .5387 L
.59453 .53758 L
.59346 .53631 L
.59296 .53565 L
.59153 .53387 L
.59142 .53372 L
.58996 .53179 L
.5896 .53136 L
.5885 .52987 L
.58768 .52884 L
.58702 .52794 L
.58575 .5263 L
.58554 .52601 L
.58411 .52409 L
.58382 .52373 L
.5827 .52216 L
.58189 .52113 L
.58126 .52023 L
.57997 .51853 L
.57981 .51831 L
.57843 .51638 L
.57804 .51589 L
.57705 .51445 L
.57611 .51323 L
.57563 .51253 L
.5742 .5106 L
.57419 .51058 L
.57289 .50867 L
.57226 .50783 L
.57154 .50674 L
.57033 .50511 L
.57014 .50482 L
.56886 .50289 L
.56841 .50229 L
.5676 .50096 L
.56648 .49939 L
.56628 .49904 L
F
0 .97 1 r
.56648 .59956 m
.56766 .60116 L
.56841 .60207 L
.56917 .60309 L
.57033 .60457 L
.57068 .60502 L
.57033 .60684 L
.56913 .60502 L
.56841 .60409 L
.56778 .60309 L
.56648 .60139 L
.56634 .60116 L
F
1 .05 0 r
.56648 .50622 m
.56678 .50674 L
.56648 .50697 L
.56634 .50674 L
F
1 .72 0 r
.56648 .48965 m
.56803 .49133 L
.56841 .49171 L
.56973 .49326 L
.57033 .49393 L
.57137 .49518 L
.57226 .49623 L
.57297 .49711 L
.57419 .49852 L
.57502 .49904 L
.57607 .50096 L
.57611 .50102 L
.57758 .50289 L
.57804 .50346 L
.5791 .50482 L
.57997 .50583 L
.58109 .50674 L
.58189 .50842 L
.5821 .50867 L
.58355 .5106 L
.58382 .51063 L
.58503 .51253 L
.58575 .51337 L
.58687 .51445 L
.58768 .51601 L
.58795 .51638 L
.5894 .51831 L
.5896 .51836 L
.59084 .52023 L
.59153 .52105 L
.59257 .52216 L
.59346 .52372 L
.59371 .52409 L
.59515 .52601 L
.59538 .5261 L
.59658 .52794 L
.59731 .52883 L
.59822 .52987 L
.59924 .53152 L
.59942 .53179 L
.60085 .53372 L
.60116 .53388 L
.60227 .53565 L
.60309 .53668 L
.60384 .53758 L
.60502 .53939 L
.60508 .5395 L
.60649 .54143 L
.60694 .54173 L
.6079 .54336 L
.60887 .54461 L
.60941 .54528 L
.6107 .54721 L
.6108 .54735 L
.61207 .54914 L
.61273 .54967 L
.61416 .55106 L
.61465 .55264 L
.61492 .55299 L
.61623 .55492 L
.61658 .5554 L
.61759 .55684 L
.61851 .5578 L
.6194 .55877 L
.62034 .5607 L
.62043 .56083 L
.62166 .56263 L
.62236 .5636 L
.62301 .56455 L
.62429 .5663 L
.62444 .56648 L
.62563 .56841 L
.62621 .56923 L
.62692 .57033 L
.62814 .57212 L
.62823 .57226 L
.62937 .57419 L
.63007 .57527 L
.6305 .57611 L
.63007 .57705 L
.62922 .57611 L
.62814 .57503 L
.62743 .57419 L
.62621 .57282 L
.62576 .57226 L
.62429 .57056 L
.62415 .57033 L
.6226 .56841 L
.62236 .56812 L
.62108 .56648 L
.62043 .5657 L
.61955 .56455 L
.61851 .56338 L
.61746 .56263 L
.61658 .56077 L
.61651 .5607 L
.61507 .55877 L
.61465 .55825 L
.61359 .55684 L
.61273 .55587 L
.61161 .55492 L
.6108 .5532 L
.61062 .55299 L
.60921 .55106 L
.60887 .55063 L
.60777 .54914 L
.60694 .5482 L
.60591 .54721 L
.60502 .5455 L
.60484 .54528 L
.60344 .54336 L
.60309 .5429 L
.60202 .54143 L
.60116 .54044 L
.60026 .5395 L
.59924 .53771 L
.59913 .53758 L
.59774 .53565 L
.59731 .53551 L
.59633 .53372 L
.59538 .53259 L
.59466 .53179 L
.59347 .52987 L
.59346 .52985 L
.59209 .52794 L
.59153 .52766 L
.59068 .52601 L
.5896 .52467 L
.5891 .52409 L
.58786 .52216 L
.58768 .52192 L
.58648 .52023 L
.58575 .51971 L
.58508 .51831 L
.58382 .51666 L
.58359 .51638 L
.5823 .51445 L
.58189 .51391 L
.58093 .51253 L
.57997 .51159 L
.57953 .5106 L
.57814 .50867 L
.57804 .50854 L
.57681 .50674 L
.57611 .5058 L
.57545 .50482 L
.57419 .50321 L
.5739 .50289 L
.57275 .50096 L
.57226 .50029 L
.57144 .49904 L
.57033 .49749 L
.57009 .49711 L
.56882 .49518 L
.56841 .4946 L
.5676 .49326 L
.56648 .49158 L
.56634 .49133 L
F
0 .32 1 r
.56648 .498 m
.56732 .49904 L
.56841 .50018 L
.56902 .50096 L
.57033 .50251 L
.57063 .50289 L
.57217 .50482 L
.57226 .50492 L
.57364 .50674 L
.57419 .5074 L
.57513 .50867 L
.57611 .50989 L
.57664 .5106 L
.57804 .51232 L
.57813 .51253 L
.57954 .51445 L
.57997 .51498 L
.58098 .51638 L
.58189 .51756 L
.58244 .51831 L
.58382 .52008 L
.58389 .52023 L
.58526 .52216 L
.58575 .52278 L
.58667 .52409 L
.58768 .52542 L
.58809 .52601 L
.58949 .52794 L
.5896 .52808 L
.59082 .52987 L
.59153 .5308 L
.5922 .53179 L
.59346 .53352 L
.59359 .53372 L
.59487 .53565 L
.59538 .53634 L
.59616 .53758 L
.59731 .5392 L
.59749 .5395 L
.59731 .5409 L
.59621 .5395 L
.59538 .53862 L
.59459 .53758 L
.59346 .53624 L
.59301 .53565 L
.59153 .53381 L
.59146 .53372 L
.59001 .53179 L
.5896 .53131 L
.58855 .52987 L
.58768 .52879 L
.58706 .52794 L
.58575 .52626 L
.58557 .52601 L
.58415 .52409 L
.58382 .52368 L
.58274 .52216 L
.58189 .52108 L
.58129 .52023 L
.57997 .51849 L
.57984 .51831 L
.57847 .51638 L
.57804 .51584 L
.57708 .51445 L
.57611 .51318 L
.57566 .51253 L
.57425 .5106 L
.57419 .51052 L
.57294 .50867 L
.57226 .50778 L
.57158 .50674 L
.57033 .50505 L
.57018 .50482 L
.56892 .50289 L
.56841 .5022 L
.56767 .50096 L
.56648 .49927 L
.56635 .49904 L
F
0 .31 1 r
.56648 .49818 m
.56719 .49904 L
.56841 .50027 L
.56894 .50096 L
.57033 .50258 L
.57057 .50289 L
.57211 .50482 L
.57226 .50499 L
.57359 .50674 L
.57419 .50746 L
.57509 .50867 L
.57611 .50995 L
.5766 .5106 L
.57804 .51241 L
.57809 .51253 L
.5795 .51445 L
.57997 .51503 L
.58094 .51638 L
.58189 .51761 L
.5824 .51831 L
.58382 .52016 L
.58385 .52023 L
.58522 .52216 L
.58575 .52284 L
.58663 .52409 L
.58768 .52548 L
.58805 .52601 L
.58945 .52794 L
.5896 .52814 L
.59078 .52987 L
.59153 .53087 L
.59215 .53179 L
.59346 .53358 L
.59355 .53372 L
.59481 .53565 L
.59538 .53642 L
.59609 .53758 L
.59731 .53931 L
.59743 .5395 L
.59731 .54077 L
.5963 .5395 L
.59538 .53853 L
.59466 .53758 L
.59346 .53617 L
.59306 .53565 L
.59153 .53376 L
.5915 .53372 L
.59006 .53179 L
.5896 .53125 L
.58859 .52987 L
.58768 .52873 L
.5871 .52794 L
.58575 .52621 L
.58561 .52601 L
.58419 .52409 L
.58382 .52363 L
.58278 .52216 L
.58189 .52103 L
.58133 .52023 L
.57997 .51844 L
.57987 .51831 L
.5785 .51638 L
.57804 .51579 L
.57712 .51445 L
.57611 .51313 L
.5757 .51253 L
.57429 .5106 L
.57419 .51046 L
.57299 .50867 L
.57226 .50771 L
.57162 .50674 L
.57033 .50498 L
.57023 .50482 L
.56899 .50289 L
.56841 .5021 L
.56775 .50096 L
.56648 .49913 L
.56643 .49904 L
F
0 .97 1 r
.56648 .5683 m
.56841 .56774 L
.57033 .56825 L
.57064 .56841 L
.57226 .56996 L
.57249 .57033 L
.57409 .57226 L
.57419 .57239 L
.57555 .57419 L
.57611 .57498 L
.57709 .57611 L
.57804 .5776 L
.57831 .57804 L
.57983 .57997 L
.57997 .58004 L
.5817 .58189 L
.58189 .58266 L
.58271 .58382 L
.58382 .58542 L
.58395 .58575 L
.58541 .58768 L
.58575 .58815 L
.58723 .5896 L
.58768 .59045 L
.58819 .59153 L
.58944 .59346 L
.5896 .59371 L
.59063 .59538 L
.59153 .5972 L
.59161 .59731 L
.59153 .59816 L
.5896 .59808 L
.58807 .59731 L
.58768 .59693 L
.58601 .59538 L
.58575 .59503 L
.58432 .59346 L
.58382 .59268 L
.58271 .59153 L
.58189 .59007 L
.58147 .5896 L
.57997 .58792 L
.57979 .58768 L
.57809 .58575 L
.57804 .58532 L
.5769 .58382 L
.57611 .58264 L
.57574 .58189 L
.57419 .58005 L
.57406 .57997 L
.57241 .57804 L
.57226 .5776 L
.57127 .57611 L
.57033 .5749 L
.57012 .57419 L
.56852 .57226 L
.56841 .57208 L
.56692 .57033 L
.56648 .56862 L
.56643 .56841 L
F
1 .04 0 r
.56648 .50647 m
.56659 .50674 L
.56648 .5068 L
.56645 .50674 L
F
1 .71 0 r
.56648 .48992 m
.56784 .49133 L
.56841 .49187 L
.5696 .49326 L
.57033 .49405 L
.57127 .49518 L
.57226 .49634 L
.57289 .49711 L
.57419 .49862 L
.57486 .49904 L
.576 .50096 L
.57611 .5011 L
.57752 .50289 L
.57804 .50353 L
.57904 .50482 L
.57997 .5059 L
.58102 .50674 L
.58189 .50849 L
.58205 .50867 L
.58351 .5106 L
.58382 .51064 L
.58498 .51253 L
.58575 .51343 L
.58682 .51445 L
.58768 .51607 L
.58791 .51638 L
.58936 .51831 L
.5896 .51837 L
.59081 .52023 L
.59153 .5211 L
.59253 .52216 L
.59346 .52377 L
.59368 .52409 L
.59512 .52601 L
.59538 .52612 L
.59655 .52794 L
.59731 .52887 L
.59819 .52987 L
.59924 .53156 L
.59939 .53179 L
.60082 .53372 L
.60116 .53391 L
.60223 .53565 L
.60309 .53672 L
.60381 .53758 L
.60502 .53944 L
.60506 .5395 L
.60646 .54143 L
.60694 .54176 L
.60786 .54336 L
.60887 .54466 L
.60937 .54528 L
.61066 .54721 L
.6108 .5474 L
.61204 .54914 L
.61273 .54971 L
.61412 .55106 L
.61465 .5527 L
.61487 .55299 L
.61618 .55492 L
.61658 .55545 L
.61755 .55684 L
.61851 .55787 L
.61934 .55877 L
.62029 .5607 L
.62043 .5609 L
.62161 .56263 L
.62236 .56367 L
.62296 .56455 L
.62429 .56643 L
.62432 .56648 L
.62556 .56841 L
.62621 .56934 L
.62684 .57033 L
.62814 .57226 L
.62814 .57226 L
.62923 .57419 L
.63007 .57555 L
.63032 .57611 L
.63007 .57675 L
.62945 .57611 L
.62814 .57487 L
.62756 .57419 L
.62621 .5727 L
.62586 .57226 L
.62429 .57043 L
.62423 .57033 L
.62268 .56841 L
.62236 .56803 L
.62114 .56648 L
.62043 .56562 L
.61961 .56455 L
.61851 .5633 L
.61755 .56263 L
.61658 .5607 L
.61658 .5607 L
.61511 .55877 L
.61465 .5582 L
.61364 .55684 L
.61273 .55582 L
.61167 .55492 L
.6108 .55315 L
.61066 .55299 L
.60925 .55106 L
.60887 .55058 L
.6078 .54914 L
.60694 .54816 L
.60595 .54721 L
.60502 .54546 L
.60488 .54528 L
.60348 .54336 L
.60309 .54286 L
.60205 .54143 L
.60116 .5404 L
.6003 .5395 L
.59924 .53767 L
.59916 .53758 L
.59777 .53565 L
.59731 .53549 L
.59636 .53372 L
.59538 .53255 L
.5947 .53179 L
.5935 .52987 L
.59346 .52981 L
.59212 .52794 L
.59153 .52763 L
.59071 .52601 L
.5896 .52463 L
.58914 .52409 L
.58789 .52216 L
.58768 .52188 L
.58651 .52023 L
.58575 .51966 L
.58511 .51831 L
.58382 .5166 L
.58364 .51638 L
.58233 .51445 L
.58189 .51387 L
.58096 .51253 L
.57997 .51153 L
.57956 .5106 L
.57818 .50867 L
.57804 .50849 L
.57685 .50674 L
.57611 .50574 L
.57549 .50482 L
.57419 .50311 L
.57399 .50289 L
.57281 .50096 L
.57226 .50021 L
.5715 .49904 L
.57033 .4974 L
.57015 .49711 L
.56891 .49518 L
.56841 .49446 L
.5677 .49326 L
.56648 .49138 L
.56645 .49133 L
F
0 .96 1 r
.56841 .56799 m
.57007 .56841 L
.57033 .56863 L
.57226 .57018 L
.57236 .57033 L
.57398 .57226 L
.57419 .57253 L
.57546 .57419 L
.57611 .57509 L
.57702 .57611 L
.57804 .57768 L
.57826 .57804 L
.57976 .57997 L
.57997 .58008 L
.58167 .58189 L
.58189 .58275 L
.58265 .58382 L
.58382 .58554 L
.58391 .58575 L
.58532 .58768 L
.58575 .58829 L
.58713 .5896 L
.58768 .59071 L
.58805 .59153 L
.58924 .59346 L
.5896 .59405 L
.59034 .59538 L
.59081 .59731 L
.5896 .59761 L
.58888 .59731 L
.58768 .59643 L
.58637 .59538 L
.58575 .59464 L
.58456 .59346 L
.58382 .5924 L
.58287 .59153 L
.58189 .58992 L
.58157 .5896 L
.57997 .58775 L
.57991 .58768 L
.5781 .58575 L
.57804 .58518 L
.57698 .58382 L
.57611 .58253 L
.5758 .58189 L
.57419 .58 L
.57415 .57997 L
.57245 .57804 L
.57226 .5775 L
.57135 .57611 L
.57033 .57476 L
.57017 .57419 L
.56865 .57226 L
.56841 .57188 L
.56705 .57033 L
.56696 .56841 L
F
0 .94 1 r
.56841 .5427 m
.56874 .54336 L
.57033 .5448 L
.57079 .54528 L
.57226 .54697 L
.57255 .54721 L
.57417 .54914 L
.57419 .54916 L
.57572 .55106 L
.57611 .55119 L
.57721 .55299 L
.57804 .55402 L
.5787 .55492 L
.57996 .55684 L
.57997 .55686 L
.58122 .55877 L
.58189 .55995 L
.58232 .5607 L
.58275 .56263 L
.58189 .56283 L
.58157 .56263 L
.57997 .56179 L
.5794 .5607 L
.57804 .55936 L
.57771 .55877 L
.57615 .55684 L
.57611 .5568 L
.57472 .55492 L
.57419 .55423 L
.57331 .55299 L
.57226 .5516 L
.57189 .55106 L
.57051 .54914 L
.57033 .54889 L
.56925 .54721 L
.56841 .54598 L
.56799 .54528 L
.56696 .54336 L
F
0 .95 1 r
.56841 .56825 m
.56938 .56841 L
.57033 .56899 L
.57221 .57033 L
.57226 .57039 L
.57386 .57226 L
.57419 .57267 L
.57537 .57419 L
.57611 .57519 L
.57695 .57611 L
.57804 .57776 L
.57821 .57804 L
.57969 .57997 L
.57997 .58012 L
.58162 .58189 L
.58189 .58285 L
.58257 .58382 L
.58382 .58566 L
.58386 .58575 L
.58522 .58768 L
.58575 .58843 L
.58703 .5896 L
.58768 .59102 L
.5879 .59153 L
.58904 .59346 L
.5896 .59447 L
.59003 .59538 L
.5896 .59699 L
.58768 .59604 L
.58676 .59538 L
.58575 .59431 L
.5848 .59346 L
.58382 .59216 L
.58303 .59153 L
.58189 .5898 L
.58166 .5896 L
.58003 .58768 L
.57997 .5876 L
.57812 .58575 L
.57804 .58505 L
.57706 .58382 L
.57611 .58242 L
.57585 .58189 L
.57423 .57997 L
.57419 .57994 L
.57248 .57804 L
.57226 .5774 L
.57143 .57611 L
.57033 .57462 L
.57021 .57419 L
.56877 .57226 L
.56841 .57166 L
.56722 .57033 L
.56763 .56841 L
F
1 .83 0 r
.56841 .57542 m
.569 .57611 L
.57033 .57765 L
.57062 .57804 L
.57202 .57997 L
.57226 .58029 L
.57319 .58189 L
.57226 .5825 L
.57173 .58189 L
.57033 .58029 L
.57008 .57997 L
.56865 .57804 L
.56841 .57771 L
.56743 .57611 L
F
0 .94 1 r
.56841 .56853 m
.57033 .56925 L
.57202 .57033 L
.57226 .57058 L
.57374 .57226 L
.57419 .5728 L
.57528 .57419 L
.57611 .57529 L
.57687 .57611 L
.57804 .57785 L
.57816 .57804 L
.57962 .57997 L
.57997 .58017 L
.58158 .58189 L
.58189 .58295 L
.5825 .58382 L
.5838 .58575 L
.58382 .58578 L
.58513 .58768 L
.58575 .58857 L
.5869 .5896 L
.58768 .59139 L
.58774 .59153 L
.58882 .59346 L
.5896 .59517 L
.58967 .59538 L
.5896 .59607 L
.58768 .59569 L
.58721 .59538 L
.58575 .59403 L
.58506 .59346 L
.58382 .59196 L
.58321 .59153 L
.58189 .5897 L
.58175 .5896 L
.58015 .58768 L
.57997 .58746 L
.57815 .58575 L
.57804 .58492 L
.57714 .58382 L
.57611 .58232 L
.5759 .58189 L
.57431 .57997 L
.57419 .57989 L
.57252 .57804 L
.57226 .57729 L
.5715 .57611 L
.57033 .57446 L
.57026 .57419 L
.5689 .57226 L
.56841 .57142 L
.56744 .57033 L
F
0 .93 1 r
.56841 .56887 m
.57033 .56943 L
.57182 .57033 L
.57226 .57075 L
.57362 .57226 L
.57419 .57292 L
.57519 .57419 L
.57611 .57539 L
.5768 .57611 L
.57804 .57793 L
.57811 .57804 L
.57955 .57997 L
.57997 .58023 L
.58152 .58189 L
.58189 .58306 L
.58242 .58382 L
.58371 .58575 L
.58382 .5859 L
.58503 .58768 L
.58575 .58873 L
.58676 .5896 L
.58757 .59153 L
.58768 .59171 L
.58859 .59346 L
.58768 .59531 L
.58575 .59379 L
.58532 .59346 L
.58382 .59179 L
.58341 .59153 L
.58189 .58963 L
.58185 .5896 L
.58027 .58768 L
.57997 .58733 L
.57819 .58575 L
.57804 .5848 L
.57723 .58382 L
.57611 .58222 L
.57595 .58189 L
.5744 .57997 L
.57419 .57984 L
.57257 .57804 L
.57226 .57718 L
.57158 .57611 L
.57033 .5743 L
.5703 .57419 L
.56903 .57226 L
.56841 .57114 L
.5677 .57033 L
F
1 .82 0 r
.56841 .57574 m
.56874 .57611 L
.57033 .5779 L
.57043 .57804 L
.57175 .57997 L
.57226 .58069 L
.57283 .58189 L
.57226 .58213 L
.57204 .58189 L
.57033 .58 L
.57031 .57997 L
.56893 .57804 L
.56841 .57732 L
.56774 .57611 L
F
1 .7 0 r
.56841 .49205 m
.56947 .49326 L
.57033 .49418 L
.57117 .49518 L
.57226 .49645 L
.5728 .49711 L
.57419 .49873 L
.57469 .49904 L
.57593 .50096 L
.57611 .50118 L
.57746 .50289 L
.57804 .50361 L
.57899 .50482 L
.57997 .50597 L
.58094 .50674 L
.58189 .50855 L
.58199 .50867 L
.58346 .5106 L
.58382 .51066 L
.58494 .51253 L
.58575 .51348 L
.58677 .51445 L
.58768 .51612 L
.58787 .51638 L
.58932 .51831 L
.5896 .51839 L
.59077 .52023 L
.59153 .52115 L
.59249 .52216 L
.59346 .52382 L
.59365 .52409 L
.59508 .52601 L
.59538 .52614 L
.59652 .52794 L
.59731 .52891 L
.59816 .52987 L
.59924 .53161 L
.59936 .53179 L
.60078 .53372 L
.60116 .53393 L
.6022 .53565 L
.60309 .53676 L
.60377 .53758 L
.60502 .53948 L
.60503 .5395 L
.60642 .54143 L
.60694 .54179 L
.60783 .54336 L
.60887 .5447 L
.60933 .54528 L
.61062 .54721 L
.6108 .54744 L
.612 .54914 L
.61273 .54976 L
.61407 .55106 L
.61465 .55276 L
.61483 .55299 L
.61614 .55492 L
.61658 .55551 L
.61751 .55684 L
.61851 .55795 L
.61926 .55877 L
.62024 .5607 L
.62043 .56097 L
.62156 .56263 L
.62236 .56375 L
.6229 .56455 L
.62424 .56648 L
.62429 .56654 L
.62548 .56841 L
.62621 .56945 L
.62676 .57033 L
.62802 .57226 L
.62814 .57243 L
.62907 .57419 L
.62814 .57469 L
.62771 .57419 L
.62621 .57257 L
.62596 .57226 L
.62432 .57033 L
.62429 .5703 L
.62276 .56841 L
.62236 .56794 L
.62121 .56648 L
.62043 .56554 L
.61967 .56455 L
.61851 .56322 L
.61766 .56263 L
.61663 .5607 L
.61658 .56064 L
.61516 .55877 L
.61465 .55814 L
.61368 .55684 L
.61273 .55576 L
.61173 .55492 L
.6108 .5531 L
.61071 .55299 L
.60928 .55106 L
.60887 .55054 L
.60784 .54914 L
.60694 .54811 L
.60599 .54721 L
.60502 .54541 L
.60491 .54528 L
.60351 .54336 L
.60309 .54281 L
.60208 .54143 L
.60116 .54035 L
.60034 .5395 L
.59924 .53763 L
.5992 .53758 L
.5978 .53565 L
.59731 .53547 L
.59638 .53372 L
.59538 .53251 L
.59473 .53179 L
.59353 .52987 L
.59346 .52977 L
.59215 .52794 L
.59153 .5276 L
.59074 .52601 L
.5896 .52458 L
.58918 .52409 L
.58792 .52216 L
.58768 .52184 L
.58654 .52023 L
.58575 .51962 L
.58514 .51831 L
.58382 .51655 L
.58368 .51638 L
.58237 .51445 L
.58189 .51382 L
.581 .51253 L
.57997 .51146 L
.5796 .5106 L
.57822 .50867 L
.57804 .50843 L
.57689 .50674 L
.57611 .50568 L
.57553 .50482 L
.57419 .503 L
.57409 .50289 L
.57286 .50096 L
.57226 .50013 L
.57156 .49904 L
.57033 .4973 L
.57021 .49711 L
.569 .49518 L
.56841 .49432 L
.56781 .49326 L
F
0 .3 1 r
.56841 .50038 m
.56886 .50096 L
.57033 .50266 L
.57051 .50289 L
.57204 .50482 L
.57226 .50506 L
.57353 .50674 L
.57419 .50752 L
.57504 .50867 L
.57611 .51 L
.57655 .5106 L
.57804 .51251 L
.57805 .51253 L
.57946 .51445 L
.57997 .51509 L
.5809 .51638 L
.58189 .51766 L
.58236 .51831 L
.58382 .52023 L
.58382 .52024 L
.58518 .52216 L
.58575 .52289 L
.58659 .52409 L
.58768 .52553 L
.58802 .52601 L
.5894 .52794 L
.5896 .5282 L
.59073 .52987 L
.59153 .53093 L
.59211 .53179 L
.59346 .53365 L
.59351 .53372 L
.59474 .53565 L
.59538 .53651 L
.59602 .53758 L
.59731 .53943 L
.59735 .5395 L
.59731 .54061 L
.59642 .5395 L
.59538 .53844 L
.59473 .53758 L
.59346 .5361 L
.59312 .53565 L
.59156 .53372 L
.59153 .53369 L
.59011 .53179 L
.5896 .53119 L
.58863 .52987 L
.58768 .52868 L
.58714 .52794 L
.58575 .52616 L
.58564 .52601 L
.58423 .52409 L
.58382 .52358 L
.58281 .52216 L
.58189 .52098 L
.58136 .52023 L
.57997 .51839 L
.57991 .51831 L
.57855 .51638 L
.57804 .51573 L
.57716 .51445 L
.57611 .51308 L
.57574 .51253 L
.57434 .5106 L
.57419 .5104 L
.57303 .50867 L
.57226 .50765 L
.57167 .50674 L
.57033 .50491 L
.57027 .50482 L
.56907 .50289 L
.56841 .50199 L
.56783 .50096 L
F
0 .29 1 r
.56841 .5005 m
.56877 .50096 L
.57033 .50274 L
.57045 .50289 L
.57197 .50482 L
.57226 .50514 L
.57347 .50674 L
.57419 .50759 L
.57499 .50867 L
.57611 .51006 L
.57651 .5106 L
.578 .51253 L
.57804 .51257 L
.57941 .51445 L
.57997 .51514 L
.58086 .51638 L
.58189 .51771 L
.58232 .51831 L
.58377 .52023 L
.58382 .5203 L
.58514 .52216 L
.58575 .52294 L
.58655 .52409 L
.58768 .52558 L
.58798 .52601 L
.58935 .52794 L
.5896 .52826 L
.59068 .52987 L
.59153 .53099 L
.59206 .53179 L
.59346 .53372 L
.59346 .53372 L
.59467 .53565 L
.59538 .53662 L
.59595 .53758 L
.59538 .53834 L
.5948 .53758 L
.59346 .53603 L
.59317 .53565 L
.59162 .53372 L
.59153 .53362 L
.59017 .53179 L
.5896 .53113 L
.58868 .52987 L
.58768 .52863 L
.58718 .52794 L
.58575 .52611 L
.58568 .52601 L
.58428 .52409 L
.58382 .52352 L
.58285 .52216 L
.58189 .52093 L
.5814 .52023 L
.57997 .51835 L
.57994 .51831 L
.57859 .51638 L
.57804 .51568 L
.5772 .51445 L
.57611 .51302 L
.57577 .51253 L
.57439 .5106 L
.57419 .51034 L
.57308 .50867 L
.57226 .50758 L
.57172 .50674 L
.57033 .50484 L
.57032 .50482 L
.56915 .50289 L
.56841 .50187 L
.56792 .50096 L
F
1 .69 0 r
.56841 .49224 m
.56932 .49326 L
.57033 .49432 L
.57106 .49518 L
.57226 .49656 L
.57272 .49711 L
.57419 .49885 L
.5745 .49904 L
.57586 .50096 L
.57611 .50127 L
.57739 .50289 L
.57804 .50368 L
.57893 .50482 L
.57997 .50604 L
.58086 .50674 L
.58189 .50862 L
.58194 .50867 L
.58341 .5106 L
.58382 .51068 L
.5849 .51253 L
.58575 .51354 L
.58673 .51445 L
.58768 .51617 L
.58783 .51638 L
.58928 .51831 L
.5896 .51841 L
.59073 .52023 L
.59153 .5212 L
.59245 .52216 L
.59346 .52386 L
.59362 .52409 L
.59505 .52601 L
.59538 .52616 L
.59648 .52794 L
.59731 .52896 L
.59812 .52987 L
.59924 .53165 L
.59933 .53179 L
.60075 .53372 L
.60116 .53395 L
.60217 .53565 L
.60309 .53681 L
.60374 .53758 L
.605 .5395 L
.60502 .53953 L
.60639 .54143 L
.60694 .54182 L
.6078 .54336 L
.60887 .54476 L
.60929 .54528 L
.61059 .54721 L
.6108 .54749 L
.61197 .54914 L
.61273 .54981 L
.61402 .55106 L
.61465 .55282 L
.61478 .55299 L
.6161 .55492 L
.61658 .55557 L
.61747 .55684 L
.61851 .55804 L
.61918 .55877 L
.62018 .5607 L
.62043 .56104 L
.6215 .56263 L
.62236 .56383 L
.62284 .56455 L
.62417 .56648 L
.62429 .56664 L
.62541 .56841 L
.62621 .56958 L
.62668 .57033 L
.62789 .57226 L
.62814 .57264 L
.62887 .57419 L
.62814 .57449 L
.62787 .57419 L
.62621 .57243 L
.62607 .57226 L
.62443 .57033 L
.62429 .57018 L
.62285 .56841 L
.62236 .56785 L
.62128 .56648 L
.62043 .56546 L
.61973 .56455 L
.61851 .56314 L
.61777 .56263 L
.61668 .5607 L
.61658 .56057 L
.61521 .55877 L
.61465 .55808 L
.61372 .55684 L
.61273 .5557 L
.61179 .55492 L
.6108 .55305 L
.61075 .55299 L
.60932 .55106 L
.60887 .55049 L
.60787 .54914 L
.60694 .54806 L
.60604 .54721 L
.60502 .54537 L
.60495 .54528 L
.60354 .54336 L
.60309 .54277 L
.60211 .54143 L
.60116 .54031 L
.60037 .5395 L
.59924 .53759 L
.59923 .53758 L
.59783 .53565 L
.59731 .53544 L
.59641 .53372 L
.59538 .53247 L
.59477 .53179 L
.59356 .52987 L
.59346 .52973 L
.59218 .52794 L
.59153 .52757 L
.59077 .52601 L
.5896 .52454 L
.58921 .52409 L
.58795 .52216 L
.58768 .52179 L
.58657 .52023 L
.58575 .51957 L
.58517 .51831 L
.58382 .5165 L
.58372 .51638 L
.5824 .51445 L
.58189 .51377 L
.58103 .51253 L
.57997 .51139 L
.57963 .5106 L
.57826 .50867 L
.57804 .50837 L
.57694 .50674 L
.57611 .50562 L
.57557 .50482 L
.57419 .50289 L
.57419 .50289 L
.57292 .50096 L
.57226 .50005 L
.57162 .49904 L
.57033 .4972 L
.57027 .49711 L
.56911 .49518 L
.56841 .49414 L
.56794 .49326 L
F
0 .92 1 r
.56841 .48384 m
.57002 .48555 L
.57033 .48586 L
.57176 .48747 L
.57226 .48803 L
.57343 .4894 L
.57419 .49011 L
.57507 .49133 L
.57611 .49262 L
.57683 .49326 L
.57804 .49502 L
.57816 .49518 L
.57974 .49711 L
.57997 .49734 L
.58128 .49904 L
.58189 .49985 L
.58289 .50096 L
.58382 .50238 L
.58414 .50289 L
.58575 .5048 L
.58578 .50482 L
.58727 .50674 L
.58768 .50731 L
.58877 .50867 L
.5896 .50991 L
.58998 .5106 L
.59153 .51244 L
.59167 .51253 L
.59313 .51445 L
.59346 .51492 L
.59456 .51638 L
.59538 .51756 L
.59574 .51831 L
.59731 .52013 L
.59747 .52023 L
.59912 .52216 L
.59924 .52263 L
.60029 .52409 L
.60116 .5253 L
.60144 .52601 L
.60309 .52787 L
.6032 .52794 L
.6048 .52987 L
.60502 .53041 L
.60598 .53179 L
.60694 .53309 L
.60711 .53372 L
.60887 .53563 L
.6089 .53565 L
.61047 .53758 L
.6108 .53824 L
.61164 .5395 L
.61273 .54092 L
.61278 .54143 L
.61457 .54336 L
.61465 .54345 L
.61612 .54528 L
.61658 .5461 L
.61728 .54721 L
.61851 .54877 L
.61883 .54914 L
.62023 .55106 L
.62043 .55131 L
.62175 .55299 L
.62236 .55398 L
.62291 .55492 L
.62429 .55665 L
.62446 .55684 L
.62586 .55877 L
.62621 .5592 L
.62737 .5607 L
.62814 .5619 L
.62854 .56263 L
.63007 .56454 L
.63008 .56455 L
.63147 .56648 L
.63199 .56711 L
.63296 .56841 L
.63392 .56984 L
.63416 .57033 L
.63567 .57226 L
.63585 .57236 L
.63756 .57419 L
.63778 .57508 L
.63852 .57611 L
.6397 .57783 L
.63979 .57804 L
.64122 .57997 L
.64163 .58025 L
.64306 .58189 L
.64356 .58312 L
.64404 .58382 L
.64537 .58575 L
.64548 .5859 L
.64673 .58768 L
.64741 .58829 L
.64847 .5896 L
.64934 .5913 L
.64949 .59153 L
.6508 .59346 L
.65126 .5941 L
.65214 .59538 L
.65319 .59665 L
.65368 .59731 L
.6548 .59924 L
.65512 .59969 L
.65608 .60116 L
.65704 .60258 L
.65738 .60309 L
.6586 .60502 L
.65897 .60557 L
.65976 .60694 L
.6609 .60884 L
.66092 .60887 L
.6609 .61041 L
.6592 .60887 L
.65897 .60867 L
.6574 .60694 L
.65704 .60658 L
.65571 .60502 L
.65512 .60436 L
.65407 .60309 L
.65319 .60221 L
.65247 .60116 L
.65126 .5997 L
.65076 .59924 L
.64937 .59731 L
.64934 .59727 L
.64786 .59538 L
.64741 .59493 L
.64635 .59346 L
.64548 .59236 L
.64471 .59153 L
.64356 .58982 L
.6434 .5896 L
.6419 .58768 L
.64163 .58739 L
.64043 .58575 L
.6397 .5848 L
.63887 .58382 L
.63778 .58221 L
.63759 .58189 L
.63607 .57997 L
.63585 .57973 L
.63409 .57804 L
.63392 .57711 L
.63312 .57611 L
.63199 .57449 L
.63184 .57419 L
.63031 .57226 L
.63007 .57199 L
.62846 .57033 L
.62814 .56935 L
.62741 .56841 L
.62621 .56671 L
.62612 .56648 L
.62461 .56455 L
.62429 .5642 L
.62283 .56263 L
.62236 .56154 L
.62174 .5607 L
.62043 .5589 L
.6204 .55877 L
.61893 .55684 L
.61851 .55638 L
.6172 .55492 L
.61658 .55369 L
.61608 .55299 L
.61466 .55106 L
.61465 .55106 L
.61327 .54914 L
.61273 .54852 L
.61159 .54721 L
.6108 .54581 L
.61044 .54528 L
.60902 .54336 L
.60887 .5433 L
.60762 .54143 L
.60694 .54064 L
.60599 .5395 L
.60502 .53791 L
.6048 .53758 L
.60339 .53565 L
.60309 .5355 L
.60199 .53372 L
.60116 .53273 L
.60041 .53179 L
.59924 .52999 L
.59917 .52987 L
.59778 .52794 L
.59731 .52765 L
.59568 .52601 L
.59538 .52478 L
.59484 .52409 L
.59355 .52216 L
.59346 .52203 L
.59218 .52023 L
.59153 .51972 L
.59022 .51831 L
.5896 .51679 L
.5893 .51638 L
.58798 .51445 L
.58768 .51404 L
.58661 .51253 L
.58575 .51169 L
.58481 .5106 L
.58382 .50871 L
.58379 .50867 L
.58245 .50674 L
.58189 .50599 L
.58108 .50482 L
.57997 .50351 L
.57946 .50289 L
.57832 .50096 L
.57804 .50059 L
.57699 .49904 L
.57611 .49784 L
.57562 .49711 L
.57425 .49518 L
.57419 .4951 L
.57297 .49326 L
.57226 .49227 L
.57166 .49133 L
.57033 .48943 L
.57031 .4894 L
.56913 .48747 L
.56841 .4864 L
.56794 .48555 L
F
.56841 .5693 m
.57033 .56958 L
.57161 .57033 L
.57226 .5709 L
.5735 .57226 L
.57419 .57305 L
.5751 .57419 L
.57611 .57549 L
.57671 .57611 L
.57804 .57801 L
.57806 .57804 L
.57947 .57997 L
.57997 .58029 L
.58146 .58189 L
.58189 .58317 L
.58234 .58382 L
.58362 .58575 L
.58382 .58603 L
.58493 .58768 L
.58575 .58889 L
.58659 .5896 L
.58739 .59153 L
.58768 .59203 L
.58833 .59346 L
.58768 .59487 L
.58575 .59355 L
.58561 .59346 L
.58382 .59164 L
.58363 .59153 L
.58198 .5896 L
.58189 .58955 L
.58039 .58768 L
.57997 .5872 L
.57824 .58575 L
.57804 .58468 L
.57731 .58382 L
.57611 .58213 L
.57599 .58189 L
.57448 .57997 L
.57419 .57978 L
.57262 .57804 L
.57226 .57706 L
.57167 .57611 L
.57037 .57419 L
.57033 .57413 L
.56915 .57226 L
.56841 .5708 L
.56804 .57033 L
F
0 .28 1 r
.56841 .50063 m
.56867 .50096 L
.57033 .50283 L
.57038 .50289 L
.57033 .50475 L
.56924 .50289 L
.56841 .50173 L
.56804 .50096 L
F
1 .68 0 r
.56841 .49248 m
.56914 .49326 L
.57033 .49447 L
.57095 .49518 L
.57226 .49667 L
.57262 .49711 L
.57419 .49897 L
.5743 .49904 L
.57578 .50096 L
.57611 .50136 L
.57733 .50289 L
.57804 .50376 L
.57887 .50482 L
.57997 .50612 L
.58078 .50674 L
.58189 .50867 L
.58189 .50868 L
.58336 .5106 L
.58382 .5107 L
.58485 .51253 L
.58575 .5136 L
.58667 .51445 L
.58768 .51623 L
.58779 .51638 L
.58924 .51831 L
.5896 .51842 L
.5907 .52023 L
.59153 .52124 L
.59241 .52216 L
.59346 .52391 L
.59358 .52409 L
.59501 .52601 L
.59538 .52618 L
.59645 .52794 L
.59731 .529 L
.59808 .52987 L
.59924 .5317 L
.5993 .53179 L
.60072 .53372 L
.60116 .53398 L
.60214 .53565 L
.60309 .53686 L
.6037 .53758 L
.60496 .5395 L
.60502 .53957 L
.60635 .54143 L
.60694 .54186 L
.60776 .54336 L
.60887 .54481 L
.60925 .54528 L
.61055 .54721 L
.6108 .54754 L
.61193 .54914 L
.61273 .54987 L
.61396 .55106 L
.61465 .55289 L
.61473 .55299 L
.61606 .55492 L
.61658 .55563 L
.61742 .55684 L
.61851 .55812 L
.6191 .55877 L
.62013 .5607 L
.62043 .56111 L
.62145 .56263 L
.62236 .56391 L
.62279 .56455 L
.62409 .56648 L
.62429 .56675 L
.62532 .56841 L
.62621 .56971 L
.62659 .57033 L
.62773 .57226 L
.62814 .57292 L
.62854 .57419 L
.62814 .57424 L
.62809 .57419 L
.62621 .57228 L
.62619 .57226 L
.62454 .57033 L
.62429 .57006 L
.62294 .56841 L
.62236 .56775 L
.62136 .56648 L
.62043 .56538 L
.61979 .56455 L
.61851 .56305 L
.61788 .56263 L
.61674 .5607 L
.61658 .5605 L
.61526 .55877 L
.61465 .55802 L
.61377 .55684 L
.61273 .55564 L
.61185 .55492 L
.6108 .55299 L
.6108 .55299 L
.60936 .55106 L
.60887 .55044 L
.60791 .54914 L
.60694 .54802 L
.60608 .54721 L
.60502 .54532 L
.60499 .54528 L
.60357 .54336 L
.60309 .54273 L
.60214 .54143 L
.60116 .54027 L
.60041 .5395 L
.59926 .53758 L
.59924 .53755 L
.59786 .53565 L
.59731 .53542 L
.59644 .53372 L
.59538 .53242 L
.59481 .53179 L
.59359 .52987 L
.59346 .52969 L
.59221 .52794 L
.59153 .52753 L
.59079 .52601 L
.5896 .52449 L
.58925 .52409 L
.58798 .52216 L
.58768 .52175 L
.58661 .52023 L
.58575 .51952 L
.5852 .51831 L
.58382 .51644 L
.58377 .51638 L
.58244 .51445 L
.58189 .51372 L
.58107 .51253 L
.57997 .51132 L
.57967 .5106 L
.57831 .50867 L
.57804 .50831 L
.57698 .50674 L
.57611 .50556 L
.57562 .50482 L
.57425 .50289 L
.57419 .50281 L
.57298 .50096 L
.57226 .49996 L
.57168 .49904 L
.57034 .49711 L
.57033 .49709 L
.56922 .49518 L
.56841 .49393 L
.56808 .49326 L
F
0 .27 1 r
.56841 .5008 m
.56854 .50096 L
.56841 .50153 L
.56819 .50096 L
F
1 .67 0 r
.56841 .4928 m
.5689 .49326 L
.57033 .49463 L
.57082 .49518 L
.57226 .49679 L
.57252 .49711 L
.57414 .49904 L
.57419 .49909 L
.5757 .50096 L
.57611 .50144 L
.57726 .50289 L
.57804 .50384 L
.57881 .50482 L
.57997 .50619 L
.58069 .50674 L
.58183 .50867 L
.58189 .50875 L
.58332 .5106 L
.58382 .51073 L
.58481 .51253 L
.58575 .51365 L
.58662 .51445 L
.58768 .51628 L
.58775 .51638 L
.5892 .51831 L
.5896 .51845 L
.59066 .52023 L
.59153 .52129 L
.59237 .52216 L
.59346 .52396 L
.59355 .52409 L
.59498 .52601 L
.59538 .5262 L
.59642 .52794 L
.59731 .52905 L
.59805 .52987 L
.59924 .53174 L
.59927 .53179 L
.60068 .53372 L
.60116 .53401 L
.6021 .53565 L
.60309 .5369 L
.60366 .53758 L
.60493 .5395 L
.60502 .53962 L
.60632 .54143 L
.60694 .5419 L
.60773 .54336 L
.60887 .54486 L
.60921 .54528 L
.61051 .54721 L
.6108 .54759 L
.61189 .54914 L
.61273 .54992 L
.6139 .55106 L
.61465 .55295 L
.61468 .55299 L
.61601 .55492 L
.61658 .55569 L
.61738 .55684 L
.61851 .55822 L
.61902 .55877 L
.62008 .5607 L
.62043 .56119 L
.62139 .56263 L
.62236 .564 L
.62273 .56455 L
.62402 .56648 L
.62429 .56686 L
.62524 .56841 L
.62621 .56986 L
.6265 .57033 L
.62621 .57211 L
.62467 .57033 L
.62429 .56994 L
.62303 .56841 L
.62236 .56765 L
.62143 .56648 L
.62043 .5653 L
.61985 .56455 L
.61851 .56297 L
.61801 .56263 L
.6168 .5607 L
.61658 .56044 L
.61531 .55877 L
.61465 .55796 L
.61381 .55684 L
.61273 .55558 L
.61192 .55492 L
.61084 .55299 L
.6108 .55294 L
.6094 .55106 L
.60887 .55039 L
.60794 .54914 L
.60694 .54797 L
.60613 .54721 L
.60502 .54528 L
.60502 .54528 L
.60361 .54336 L
.60309 .54269 L
.60217 .54143 L
.60116 .54022 L
.60046 .5395 L
.59929 .53758 L
.59924 .53751 L
.59789 .53565 L
.59731 .53539 L
.59647 .53372 L
.59538 .53238 L
.59485 .53179 L
.59362 .52987 L
.59346 .52965 L
.59224 .52794 L
.59153 .52749 L
.59082 .52601 L
.5896 .52444 L
.58929 .52409 L
.58802 .52216 L
.58768 .52171 L
.58664 .52023 L
.58575 .51947 L
.58523 .51831 L
.58382 .51639 L
.58381 .51638 L
.58248 .51445 L
.58189 .51368 L
.5811 .51253 L
.57997 .51124 L
.5797 .5106 L
.57835 .50867 L
.57804 .50825 L
.57703 .50674 L
.57611 .5055 L
.57566 .50482 L
.5743 .50289 L
.57419 .50273 L
.57305 .50096 L
.57226 .49986 L
.57175 .49904 L
.57044 .49711 L
.57033 .49695 L
.56935 .49518 L
.56841 .49364 L
.56826 .49326 L
F
0 .93 1 r
.56841 .5437 m
.57033 .54525 L
.57036 .54528 L
.57221 .54721 L
.57226 .54726 L
.57388 .54914 L
.57419 .54949 L
.57546 .55106 L
.57611 .55135 L
.57696 .55299 L
.57804 .55438 L
.57844 .55492 L
.57969 .55684 L
.57997 .55728 L
.58091 .55877 L
.58189 .5607 L
.57997 .56123 L
.5797 .5607 L
.57804 .55901 L
.57791 .55877 L
.57635 .55684 L
.57611 .55656 L
.5749 .55492 L
.57419 .55401 L
.57347 .55299 L
.57226 .55139 L
.57204 .55106 L
.57071 .54914 L
.57033 .5486 L
.56947 .54721 L
.56841 .54555 L
.56826 .54528 L
F
0 .91 1 r
.56841 .48461 m
.56948 .48555 L
.57033 .48632 L
.5714 .48747 L
.57226 .48839 L
.57315 .4894 L
.57419 .49041 L
.57482 .49133 L
.57611 .49288 L
.57657 .49326 L
.57801 .49518 L
.57804 .49522 L
.57958 .49711 L
.57997 .4975 L
.58113 .49904 L
.58189 .50003 L
.58277 .50096 L
.58382 .50252 L
.58405 .50289 L
.58566 .50482 L
.58575 .50492 L
.58716 .50674 L
.58768 .50744 L
.58868 .50867 L
.5896 .51002 L
.58992 .5106 L
.59153 .5125 L
.59158 .51253 L
.59305 .51445 L
.59346 .51503 L
.59449 .51638 L
.59538 .51766 L
.59569 .51831 L
.59731 .52018 L
.59739 .52023 L
.5991 .52216 L
.59924 .52272 L
.60023 .52409 L
.60116 .52538 L
.60141 .52601 L
.60309 .52791 L
.60314 .52794 L
.60477 .52987 L
.60502 .53049 L
.60593 .53179 L
.60694 .53316 L
.60709 .53372 L
.60885 .53565 L
.60887 .53567 L
.61044 .53758 L
.6108 .5383 L
.6116 .5395 L
.61273 .54098 L
.61277 .54143 L
.61453 .54336 L
.61465 .5435 L
.61609 .54528 L
.61658 .54616 L
.61724 .54721 L
.61851 .54883 L
.61878 .54914 L
.62018 .55106 L
.62043 .55136 L
.62172 .55299 L
.62236 .55404 L
.62288 .55492 L
.62429 .5567 L
.62442 .55684 L
.62582 .55877 L
.62621 .55925 L
.62733 .5607 L
.62814 .56196 L
.6285 .56263 L
.63003 .56455 L
.63007 .56457 L
.63142 .56648 L
.63199 .56717 L
.63291 .56841 L
.63392 .56991 L
.63413 .57033 L
.63561 .57226 L
.63585 .5724 L
.63753 .57419 L
.63778 .57515 L
.63846 .57611 L
.6397 .57792 L
.63975 .57804 L
.64116 .57997 L
.64163 .58031 L
.643 .58189 L
.64356 .58322 L
.64397 .58382 L
.64529 .58575 L
.64548 .58601 L
.64664 .58768 L
.64741 .58841 L
.64836 .5896 L
.64934 .59146 L
.64938 .59153 L
.65069 .59346 L
.65126 .59426 L
.65202 .59538 L
.65319 .59692 L
.65348 .59731 L
.65463 .59924 L
.65512 .59994 L
.65589 .60116 L
.65704 .60289 L
.65717 .60309 L
.6583 .60502 L
.65897 .60612 L
.65938 .60694 L
.65897 .60803 L
.65788 .60694 L
.65704 .60616 L
.65603 .60502 L
.65512 .60403 L
.65432 .60309 L
.65319 .60193 L
.65268 .60116 L
.65126 .59947 L
.651 .59924 L
.64953 .59731 L
.64934 .59708 L
.648 .59538 L
.64741 .59478 L
.64647 .59346 L
.64548 .59221 L
.64483 .59153 L
.64356 .5897 L
.64348 .5896 L
.64199 .58768 L
.64163 .58729 L
.64052 .58575 L
.6397 .5847 L
.63894 .58382 L
.63778 .58212 L
.63764 .58189 L
.63614 .57997 L
.63585 .57966 L
.63412 .57804 L
.63392 .57703 L
.63317 .57611 L
.63199 .57442 L
.63187 .57419 L
.63037 .57226 L
.63007 .57193 L
.62849 .57033 L
.62814 .56929 L
.62746 .56841 L
.62621 .56666 L
.62614 .56648 L
.62465 .56455 L
.62429 .56415 L
.62286 .56263 L
.62236 .56148 L
.62178 .5607 L
.62043 .55885 L
.62041 .55877 L
.61896 .55684 L
.61851 .55633 L
.61723 .55492 L
.61658 .55364 L
.61612 .55299 L
.6147 .55106 L
.61465 .55105 L
.6133 .54914 L
.61273 .54848 L
.61162 .54721 L
.6108 .54577 L
.61047 .54528 L
.60905 .54336 L
.60887 .54329 L
.60766 .54143 L
.60694 .5406 L
.60602 .5395 L
.60502 .53787 L
.60483 .53758 L
.60343 .53565 L
.60309 .53548 L
.60203 .53372 L
.60116 .53268 L
.60044 .53179 L
.59924 .52994 L
.5992 .52987 L
.59782 .52794 L
.59731 .52761 L
.59571 .52601 L
.59538 .52473 L
.59488 .52409 L
.5936 .52216 L
.59346 .52197 L
.59223 .52023 L
.59153 .51967 L
.59028 .51831 L
.5896 .51671 L
.58935 .51638 L
.58804 .51445 L
.58768 .51397 L
.58667 .51253 L
.58575 .51161 L
.58488 .5106 L
.58386 .50867 L
.58382 .50862 L
.58252 .50674 L
.58189 .5059 L
.58115 .50482 L
.57997 .50337 L
.57958 .50289 L
.57841 .50096 L
.57804 .50046 L
.57709 .49904 L
.57611 .4977 L
.57572 .49711 L
.57438 .49518 L
.57419 .49492 L
.57312 .49326 L
.57226 .49205 L
.57181 .49133 L
.57053 .4894 L
.57033 .48911 L
.56942 .48747 L
.56841 .48581 L
.5683 .48555 L
F
1 .69 0 r
.56841 .52418 m
.5692 .52601 L
.56841 .52606 L
.56837 .52601 L
F
1 .76 0 r
.56841 .55109 m
.56972 .55299 L
.57033 .55386 L
.5709 .55492 L
.57033 .55521 L
.57009 .55492 L
.56841 .55305 L
.56837 .55299 L
F
0 .91 1 r
.57033 .5697 m
.57138 .57033 L
.57226 .57105 L
.57338 .57226 L
.57419 .57316 L
.57501 .57419 L
.57611 .57559 L
.57663 .57611 L
.57799 .57804 L
.57804 .5781 L
.5794 .57997 L
.57997 .58036 L
.58139 .58189 L
.58189 .58329 L
.58226 .58382 L
.58353 .58575 L
.58382 .58616 L
.58483 .58768 L
.58575 .58906 L
.58639 .5896 L
.58721 .59153 L
.58768 .59246 L
.58803 .59346 L
.58768 .59435 L
.58599 .59346 L
.58575 .59329 L
.58388 .59153 L
.58382 .59148 L
.58213 .5896 L
.58189 .58946 L
.58051 .58768 L
.57997 .58707 L
.5783 .58575 L
.57804 .58456 L
.5774 .58382 L
.57611 .58203 L
.57604 .58189 L
.57456 .57997 L
.57419 .57972 L
.57268 .57804 L
.57226 .57693 L
.57175 .57611 L
.57048 .57419 L
.57033 .57396 L
.56929 .57226 L
.56843 .57033 L
F
0 .9 1 r
.57033 .56984 m
.57113 .57033 L
.57226 .57119 L
.57325 .57226 L
.57419 .57328 L
.57491 .57419 L
.57611 .57569 L
.57654 .57611 L
.57791 .57804 L
.57804 .57821 L
.57932 .57997 L
.57997 .58044 L
.58131 .58189 L
.58189 .58342 L
.58217 .58382 L
.58344 .58575 L
.58382 .5863 L
.58472 .58768 L
.58575 .58925 L
.58617 .5896 L
.587 .59153 L
.58575 .593 L
.58411 .59153 L
.58382 .59127 L
.58229 .5896 L
.58189 .58936 L
.58063 .58768 L
.57997 .58694 L
.57838 .58575 L
.57804 .58444 L
.57749 .58382 L
.57611 .58194 L
.57609 .58189 L
.57465 .57997 L
.57419 .57965 L
.57274 .57804 L
.57226 .5768 L
.57184 .57611 L
.57058 .57419 L
.57033 .57379 L
.56942 .57226 L
.56871 .57033 L
F
0 .89 1 r
.57033 .57003 m
.57083 .57033 L
.57226 .57133 L
.57311 .57226 L
.57419 .5734 L
.57482 .57419 L
.57611 .57579 L
.57644 .57611 L
.57783 .57804 L
.57804 .57831 L
.57925 .57997 L
.57997 .58053 L
.58122 .58189 L
.58189 .58356 L
.58207 .58382 L
.58334 .58575 L
.58382 .58645 L
.58462 .58768 L
.58575 .58946 L
.58593 .5896 L
.58678 .59153 L
.58575 .59269 L
.58436 .59153 L
.58382 .59106 L
.58245 .5896 L
.58189 .58926 L
.58076 .58768 L
.57997 .58681 L
.57849 .58575 L
.57804 .58433 L
.57758 .58382 L
.57617 .58189 L
.57611 .58183 L
.57474 .57997 L
.57419 .57957 L
.57282 .57804 L
.57226 .57665 L
.57193 .57611 L
.57069 .57419 L
.57033 .5736 L
.56956 .57226 L
.56907 .57033 L
F
1 .66 0 r
.57033 .4948 m
.57067 .49518 L
.57226 .49692 L
.57242 .49711 L
.57405 .49904 L
.57419 .49919 L
.57563 .50096 L
.57611 .50153 L
.5772 .50289 L
.57804 .50392 L
.57875 .50482 L
.57997 .50627 L
.58059 .50674 L
.58178 .50867 L
.58189 .50881 L
.58327 .5106 L
.58382 .51076 L
.58476 .51253 L
.58575 .51371 L
.58656 .51445 L
.58768 .51633 L
.58771 .51638 L
.58916 .51831 L
.5896 .51847 L
.59062 .52023 L
.59153 .52134 L
.59233 .52216 L
.59346 .52401 L
.59351 .52409 L
.59494 .52601 L
.59538 .52623 L
.59638 .52794 L
.59731 .5291 L
.59801 .52987 L
.59924 .53179 L
.59924 .53179 L
.60065 .53372 L
.60116 .53404 L
.60207 .53565 L
.60309 .53695 L
.60362 .53758 L
.60489 .5395 L
.60502 .53967 L
.60629 .54143 L
.60694 .54194 L
.6077 .54336 L
.60887 .54491 L
.60917 .54528 L
.61048 .54721 L
.6108 .54764 L
.61186 .54914 L
.61273 .54998 L
.61384 .55106 L
.61463 .55299 L
.61465 .55301 L
.61597 .55492 L
.61658 .55575 L
.61734 .55684 L
.61851 .55831 L
.61893 .55877 L
.62002 .5607 L
.62043 .56127 L
.62133 .56263 L
.62236 .56408 L
.62267 .56455 L
.62393 .56648 L
.62429 .56698 L
.62515 .56841 L
.62621 .57002 L
.62639 .57033 L
.62621 .57191 L
.62481 .57033 L
.62429 .56981 L
.62313 .56841 L
.62236 .56755 L
.62151 .56648 L
.62043 .56521 L
.61992 .56455 L
.61851 .56287 L
.61814 .56263 L
.61685 .5607 L
.61658 .56037 L
.61536 .55877 L
.61465 .5579 L
.61386 .55684 L
.61273 .55552 L
.61199 .55492 L
.61088 .55299 L
.6108 .55288 L
.60944 .55106 L
.60887 .55034 L
.60798 .54914 L
.60694 .54792 L
.60618 .54721 L
.60506 .54528 L
.60502 .54523 L
.60364 .54336 L
.60309 .54264 L
.6022 .54143 L
.60116 .54018 L
.6005 .5395 L
.59932 .53758 L
.59924 .53746 L
.59792 .53565 L
.59731 .53536 L
.5965 .53372 L
.59538 .53234 L
.59489 .53179 L
.59366 .52987 L
.59346 .52961 L
.59227 .52794 L
.59153 .52746 L
.59085 .52601 L
.5896 .52439 L
.58934 .52409 L
.58805 .52216 L
.58768 .52167 L
.58667 .52023 L
.58575 .51942 L
.58526 .51831 L
.58385 .51638 L
.58382 .51634 L
.58251 .51445 L
.58189 .51363 L
.58114 .51253 L
.57997 .51116 L
.57974 .5106 L
.5784 .50867 L
.57804 .50819 L
.57707 .50674 L
.57611 .50543 L
.57571 .50482 L
.57436 .50289 L
.57419 .50265 L
.57311 .50096 L
.57226 .49976 L
.57182 .49904 L
.57055 .49711 L
.57033 .49679 L
.56951 .49518 L
F
0 .88 1 r
.57033 .57028 m
.57043 .57033 L
.57226 .57147 L
.57297 .57226 L
.57419 .57352 L
.57472 .57419 L
.57611 .5759 L
.57634 .57611 L
.57775 .57804 L
.57804 .57841 L
.57917 .57997 L
.57997 .58064 L
.58111 .58189 L
.58189 .5837 L
.58198 .58382 L
.58325 .58575 L
.58382 .5866 L
.5845 .58768 L
.58569 .5896 L
.58575 .58971 L
.58651 .59153 L
.58575 .59235 L
.58466 .59153 L
.58382 .59084 L
.58263 .5896 L
.58189 .58914 L
.58089 .58768 L
.57997 .58667 L
.57861 .58575 L
.57804 .58421 L
.57769 .58382 L
.57626 .58189 L
.57611 .58171 L
.57482 .57997 L
.57419 .57948 L
.57291 .57804 L
.57226 .57649 L
.57203 .57611 L
.57081 .57419 L
.57033 .5734 L
.56971 .57226 L
.56961 .57033 L
F
1 .65 0 r
.57033 .495 m
.5705 .49518 L
.57226 .49706 L
.57231 .49711 L
.57394 .49904 L
.57419 .4993 L
.57554 .50096 L
.57611 .50162 L
.57713 .50289 L
.57804 .504 L
.57869 .50482 L
.57997 .50636 L
.58049 .50674 L
.58172 .50867 L
.58189 .50888 L
.58322 .5106 L
.58382 .51079 L
.58471 .51253 L
.58575 .51378 L
.5865 .51445 L
.58767 .51638 L
.58768 .51639 L
.58912 .51831 L
.5896 .5185 L
.59058 .52023 L
.59153 .5214 L
.59228 .52216 L
.59346 .52405 L
.59348 .52409 L
.59491 .52601 L
.59538 .52625 L
.59635 .52794 L
.59731 .52914 L
.59797 .52987 L
.59921 .53179 L
.59924 .53183 L
.60061 .53372 L
.60116 .53407 L
.60204 .53565 L
.60309 .537 L
.60358 .53758 L
.60486 .5395 L
.60502 .53971 L
.60625 .54143 L
.60694 .54198 L
.60766 .54336 L
.60887 .54497 L
.60913 .54528 L
.61044 .54721 L
.6108 .5477 L
.61182 .54914 L
.61273 .55005 L
.61378 .55106 L
.61459 .55299 L
.61465 .55307 L
.61593 .55492 L
.61658 .55581 L
.61729 .55684 L
.61851 .55841 L
.61883 .55877 L
.61996 .5607 L
.62043 .56135 L
.62127 .56263 L
.62236 .56418 L
.62261 .56455 L
.62385 .56648 L
.62429 .56712 L
.62505 .56841 L
.62621 .57021 L
.62628 .57033 L
.62621 .57166 L
.62498 .57033 L
.62429 .56967 L
.62324 .56841 L
.62236 .56744 L
.62159 .56648 L
.62043 .56512 L
.61999 .56455 L
.61851 .56277 L
.61828 .56263 L
.61691 .5607 L
.61658 .5603 L
.61541 .55877 L
.61465 .55783 L
.6139 .55684 L
.61273 .55545 L
.61207 .55492 L
.61093 .55299 L
.6108 .55283 L
.60948 .55106 L
.60887 .55029 L
.60801 .54914 L
.60694 .54786 L
.60624 .54721 L
.60509 .54528 L
.60502 .54519 L
.60368 .54336 L
.60309 .5426 L
.60223 .54143 L
.60116 .54013 L
.60054 .5395 L
.59936 .53758 L
.59924 .53742 L
.59795 .53565 L
.59731 .53533 L
.59653 .53372 L
.59538 .53229 L
.59493 .53179 L
.59369 .52987 L
.59346 .52957 L
.5923 .52794 L
.59153 .52741 L
.59088 .52601 L
.5896 .52434 L
.58938 .52409 L
.58808 .52216 L
.58768 .52162 L
.5867 .52023 L
.58575 .51936 L
.58529 .51831 L
.58389 .51638 L
.58382 .51629 L
.58255 .51445 L
.58189 .51357 L
.58117 .51253 L
.57997 .51107 L
.57978 .5106 L
.57844 .50867 L
.57804 .50813 L
.57712 .50674 L
.57611 .50536 L
.57576 .50482 L
.57443 .50289 L
.57419 .50256 L
.57318 .50096 L
.57226 .49965 L
.57189 .49904 L
.57067 .49711 L
.57033 .4966 L
.56972 .49518 L
F
0 .92 1 r
.57033 .54573 m
.57183 .54721 L
.57226 .54764 L
.57358 .54914 L
.57419 .54984 L
.57519 .55106 L
.57611 .55166 L
.5767 .55299 L
.57804 .55481 L
.57812 .55492 L
.5794 .55684 L
.57997 .55776 L
.58057 .55877 L
.57997 .56053 L
.57817 .55877 L
.57804 .55864 L
.57658 .55684 L
.57611 .5563 L
.57509 .55492 L
.57419 .55377 L
.57364 .55299 L
.57226 .55115 L
.57221 .55106 L
.57095 .54914 L
.57033 .54825 L
.56974 .54721 L
F
0 .9 1 r
.57033 .4869 m
.57094 .48747 L
.57226 .48878 L
.57283 .4894 L
.57419 .49077 L
.57456 .49133 L
.57611 .49315 L
.57626 .49326 L
.57781 .49518 L
.57804 .49545 L
.57941 .49711 L
.57997 .49767 L
.58098 .49904 L
.58189 .5002 L
.58264 .50096 L
.58382 .50267 L
.58397 .50289 L
.58554 .50482 L
.58575 .50504 L
.58706 .50674 L
.58768 .50758 L
.58859 .50867 L
.5896 .51014 L
.58986 .5106 L
.59149 .51253 L
.59153 .51257 L
.59297 .51445 L
.59346 .51513 L
.59442 .51638 L
.59538 .51775 L
.59564 .51831 L
.59731 .52023 L
.59732 .52023 L
.59908 .52216 L
.59924 .5228 L
.60018 .52409 L
.60116 .52545 L
.60137 .52601 L
.60308 .52794 L
.60309 .52795 L
.60475 .52987 L
.60502 .53056 L
.60588 .53179 L
.60694 .53322 L
.60707 .53372 L
.6088 .53565 L
.60887 .53573 L
.61041 .53758 L
.6108 .53837 L
.61156 .5395 L
.61273 .54103 L
.61276 .54143 L
.61448 .54336 L
.61465 .54356 L
.61606 .54528 L
.61658 .54622 L
.61721 .54721 L
.61851 .54888 L
.61874 .54914 L
.62014 .55106 L
.62043 .55141 L
.62168 .55299 L
.62236 .5541 L
.62284 .55492 L
.62429 .55675 L
.62437 .55684 L
.62577 .55877 L
.62621 .5593 L
.62729 .5607 L
.62814 .56202 L
.62847 .56263 L
.62998 .56455 L
.63007 .56459 L
.63138 .56648 L
.63199 .56724 L
.63287 .56841 L
.63392 .56998 L
.63409 .57033 L
.63556 .57226 L
.63585 .57243 L
.6375 .57419 L
.63778 .57523 L
.63841 .57611 L
.6397 .578 L
.63972 .57804 L
.64109 .57997 L
.64163 .58038 L
.64294 .58189 L
.64356 .58333 L
.64389 .58382 L
.64521 .58575 L
.64548 .58613 L
.64656 .58768 L
.64741 .58855 L
.64824 .5896 L
.64927 .59153 L
.64934 .59162 L
.65057 .59346 L
.65126 .59444 L
.6519 .59538 L
.65319 .59723 L
.65325 .59731 L
.65445 .59924 L
.65512 .60022 L
.6557 .60116 L
.65691 .60309 L
.65704 .6033 L
.6579 .60502 L
.65704 .60566 L
.65643 .60502 L
.65512 .60368 L
.6546 .60309 L
.65319 .6016 L
.6529 .60116 L
.65127 .59924 L
.65126 .59923 L
.64971 .59731 L
.64934 .59688 L
.64815 .59538 L
.64741 .59462 L
.6466 .59346 L
.64548 .59206 L
.64496 .59153 L
.64357 .5896 L
.64356 .58958 L
.64209 .58768 L
.64163 .58719 L
.6406 .58575 L
.6397 .58459 L
.63902 .58382 L
.63778 .58203 L
.63769 .58189 L
.63621 .57997 L
.63585 .57958 L
.63415 .57804 L
.63392 .57696 L
.63323 .57611 L
.63199 .57436 L
.63191 .57419 L
.63042 .57226 L
.63007 .57187 L
.62852 .57033 L
.62814 .56922 L
.6275 .56841 L
.62621 .5666 L
.62616 .56648 L
.62469 .56455 L
.62429 .5641 L
.62289 .56263 L
.62236 .56143 L
.62181 .5607 L
.62043 .5588 L
.62042 .55877 L
.619 .55684 L
.61851 .55629 L
.61726 .55492 L
.61658 .55359 L
.61615 .55299 L
.61474 .55106 L
.61465 .55104 L
.61334 .54914 L
.61273 .54844 L
.61165 .54721 L
.6108 .54572 L
.6105 .54528 L
.60909 .54336 L
.60887 .54327 L
.60769 .54143 L
.60694 .54056 L
.60606 .5395 L
.60502 .53782 L
.60486 .53758 L
.60346 .53565 L
.60309 .53545 L
.60206 .53372 L
.60116 .53264 L
.60048 .53179 L
.59924 .52988 L
.59923 .52987 L
.59785 .52794 L
.59731 .52757 L
.59575 .52601 L
.59538 .52467 L
.59493 .52409 L
.59364 .52216 L
.59346 .52192 L
.59227 .52023 L
.59153 .51961 L
.59033 .51831 L
.5896 .51664 L
.58941 .51638 L
.58809 .51445 L
.58768 .5139 L
.58672 .51253 L
.58575 .51151 L
.58497 .5106 L
.58392 .50867 L
.58382 .50854 L
.58259 .50674 L
.58189 .50581 L
.58122 .50482 L
.57997 .50321 L
.57971 .50289 L
.5785 .50096 L
.57804 .50033 L
.57718 .49904 L
.57611 .49755 L
.57582 .49711 L
.57452 .49518 L
.57419 .49472 L
.57327 .49326 L
.57226 .49179 L
.57198 .49133 L
.57081 .4894 L
.57033 .48864 L
.56982 .48747 L
F
0 .87 1 r
.57033 .57057 m
.57226 .57163 L
.57282 .57226 L
.57419 .57365 L
.57461 .57419 L
.57611 .576 L
.57623 .57611 L
.57767 .57804 L
.57804 .57852 L
.57909 .57997 L
.57997 .58076 L
.581 .58189 L
.58187 .58382 L
.58189 .58385 L
.58314 .58575 L
.58382 .58676 L
.58439 .58768 L
.58551 .5896 L
.58575 .59008 L
.58617 .59153 L
.58575 .59194 L
.58505 .59153 L
.58382 .59062 L
.58281 .5896 L
.58189 .589 L
.58102 .58768 L
.57997 .58653 L
.57877 .58575 L
.57804 .58408 L
.57779 .58382 L
.57635 .58189 L
.57611 .58159 L
.57491 .57997 L
.57419 .57937 L
.57301 .57804 L
.57226 .57633 L
.57213 .57611 L
.57092 .57419 L
.57033 .57317 L
.56986 .57226 L
F
0 .86 1 r
.57033 .5709 m
.57226 .5718 L
.57267 .57226 L
.57419 .57378 L
.57451 .57419 L
.57611 .57611 L
.57612 .57611 L
.57758 .57804 L
.57804 .57863 L
.57902 .57997 L
.57997 .58089 L
.58087 .58189 L
.58178 .58382 L
.58189 .58398 L
.58304 .58575 L
.58382 .58694 L
.58427 .58768 L
.5853 .5896 L
.58382 .59038 L
.58302 .5896 L
.58189 .58883 L
.58116 .58768 L
.57997 .58638 L
.57895 .58575 L
.57804 .58396 L
.57791 .58382 L
.57645 .58189 L
.57611 .58147 L
.575 .57997 L
.57419 .57925 L
.57312 .57804 L
.57226 .57614 L
.57224 .57611 L
.57104 .57419 L
.57033 .5729 L
.57003 .57226 L
F
1 .98 0 r
.57033 .47891 m
.57134 .47977 L
.57226 .48061 L
.57331 .48169 L
.57419 .48208 L
.57509 .48362 L
.57611 .48478 L
.5768 .48555 L
.57804 .48709 L
.57842 .48747 L
.57997 .48936 L
.57999 .4894 L
.58162 .49133 L
.58189 .49168 L
.58357 .49326 L
.58382 .49415 L
.58461 .49518 L
.58575 .49668 L
.58587 .49711 L
.58768 .49893 L
.58776 .49904 L
.58936 .50096 L
.5896 .50148 L
.59059 .50289 L
.59153 .50413 L
.59227 .50482 L
.59346 .50642 L
.59372 .50674 L
.59519 .50867 L
.59538 .50901 L
.59643 .5106 L
.59731 .51174 L
.59812 .51253 L
.59924 .51406 L
.59954 .51445 L
.60097 .51638 L
.60116 .51669 L
.60218 .51831 L
.60309 .51947 L
.60388 .52023 L
.60502 .52181 L
.60529 .52216 L
.60669 .52409 L
.60694 .52447 L
.60786 .52601 L
.60887 .52727 L
.6096 .52794 L
.6108 .52961 L
.611 .52987 L
.61238 .53179 L
.61273 .5323 L
.61349 .53372 L
.61465 .5351 L
.61528 .53565 L
.61658 .53746 L
.61667 .53758 L
.61803 .5395 L
.61851 .54016 L
.6191 .54143 L
.62043 .54295 L
.62095 .54336 L
.62234 .54528 L
.62236 .54533 L
.62367 .54721 L
.62429 .54804 L
.6247 .54914 L
.62621 .55079 L
.6266 .55106 L
.62804 .55299 L
.62814 .55321 L
.62929 .55492 L
.63007 .55593 L
.63029 .55684 L
.63199 .55861 L
.63224 .55877 L
.6337 .5607 L
.63392 .5611 L
.63491 .56263 L
.63585 .56381 L
.63648 .56455 L
.63778 .56642 L
.63787 .56648 L
.63934 .56841 L
.6397 .569 L
.64052 .57033 L
.64163 .5717 L
.64211 .57226 L
.6435 .57419 L
.64356 .57425 L
.64497 .57611 L
.64548 .5769 L
.64613 .57804 L
.64741 .57959 L
.64774 .57997 L
.64913 .58189 L
.64934 .58214 L
.65059 .58382 L
.65126 .58481 L
.65174 .58575 L
.65319 .58748 L
.65336 .58768 L
.65506 .5896 L
.65512 .59004 L
.65619 .59153 L
.65704 .59274 L
.65736 .59346 L
.65896 .59538 L
.65897 .59539 L
.66069 .59731 L
.6609 .59796 L
.66178 .59924 L
.66283 .60069 L
.66299 .60116 L
.66455 .60309 L
.66475 .6032 L
.66628 .60502 L
.66668 .60592 L
.66736 .60694 L
.66861 .60868 L
.66865 .60887 L
.67011 .6108 L
.67053 .61109 L
.67182 .61273 L
.67246 .61396 L
.6729 .61465 L
.67427 .61658 L
.67439 .61674 L
.67562 .61851 L
.67631 .61913 L
.67726 .62043 L
.67824 .62213 L
.67838 .62236 L
.6797 .62429 L
.68017 .62494 L
.68104 .62621 L
.68209 .62751 L
.68252 .62814 L
.68369 .63007 L
.68402 .63055 L
.68496 .63199 L
.68595 .63346 L
.68625 .63392 L
.68744 .63585 L
.68788 .63652 L
.68857 .63778 L
.68788 .6396 L
.6861 .63778 L
.68595 .63763 L
.68436 .63585 L
.68402 .63549 L
.68269 .63392 L
.68209 .63337 L
.68106 .63199 L
.68017 .63092 L
.67917 .63007 L
.67824 .62849 L
.67794 .62814 L
.67639 .62621 L
.67631 .62613 L
.67488 .62429 L
.67439 .62365 L
.67318 .62236 L
.67246 .62109 L
.67197 .62043 L
.67053 .61859 L
.67041 .61851 L
.66895 .61658 L
.66861 .61612 L
.66736 .61465 L
.66668 .61349 L
.66617 .61273 L
.66475 .61091 L
.66458 .6108 L
.66315 .60887 L
.66283 .60843 L
.66163 .60694 L
.6609 .60577 L
.66044 .60502 L
.65897 .60318 L
.65884 .60309 L
.65742 .60116 L
.65704 .60066 L
.65593 .59924 L
.65512 .59798 L
.65475 .59731 L
.65319 .59542 L
.65314 .59538 L
.65139 .59346 L
.65126 .59283 L
.65027 .59153 L
.64934 .59015 L
.64908 .5896 L
.64746 .58768 L
.64741 .58762 L
.64574 .58575 L
.64548 .58498 L
.64462 .58382 L
.64356 .58231 L
.64341 .58189 L
.6418 .57997 L
.64163 .57977 L
.6401 .57804 L
.6397 .57711 L
.63898 .57611 L
.63778 .57445 L
.63772 .57419 L
.63616 .57226 L
.63585 .57192 L
.63448 .57033 L
.63392 .56924 L
.63334 .56841 L
.63199 .56658 L
.63191 .56648 L
.63051 .56455 L
.63007 .56405 L
.62886 .56263 L
.62814 .56135 L
.62771 .5607 L
.62627 .55877 L
.62621 .55875 L
.62487 .55684 L
.62429 .55617 L
.62326 .55492 L
.62236 .55345 L
.62207 .55299 L
.62063 .55106 L
.62043 .55096 L
.61924 .54914 L
.61851 .54827 L
.61765 .54721 L
.61658 .54555 L
.61643 .54528 L
.61501 .54336 L
.61465 .54313 L
.61298 .54143 L
.61273 .54036 L
.61206 .5395 L
.6108 .53763 L
.61077 .53758 L
.60938 .53565 L
.60887 .53527 L
.60744 .53372 L
.60694 .53243 L
.60647 .53179 L
.60514 .52987 L
.60502 .5297 L
.60377 .52794 L
.60309 .52736 L
.60192 .52601 L
.60116 .52448 L
.60088 .52409 L
.59954 .52216 L
.59924 .52176 L
.59816 .52023 L
.59731 .5194 L
.5964 .51831 L
.59538 .5165 L
.5953 .51638 L
.59395 .51445 L
.59346 .5138 L
.59256 .51253 L
.59153 .51137 L
.59091 .5106 L
.58974 .50867 L
.5896 .50849 L
.58838 .50674 L
.58768 .5058 L
.58699 .50482 L
.58575 .50326 L
.58547 .50289 L
.58421 .50096 L
.58382 .50045 L
.58286 .49904 L
.58189 .49774 L
.58147 .49711 L
.58007 .49518 L
.57997 .49505 L
.57876 .49326 L
.57804 .49228 L
.57742 .49133 L
.57611 .48953 L
.57603 .4894 L
.57476 .48747 L
.57419 .48667 L
.57349 .48555 L
.57226 .48376 L
.57218 .48362 L
.57105 .48169 L
.57033 .48051 L
.57003 .47977 L
F
0 .91 1 r
.57033 .54636 m
.57134 .54721 L
.57226 .54806 L
.57325 .54914 L
.57419 .5502 L
.5749 .55106 L
.57611 .5522 L
.57642 .55299 L
.5778 .55492 L
.57804 .55526 L
.57908 .55684 L
.57997 .55841 L
.58015 .55877 L
.57997 .55982 L
.57858 .55877 L
.57804 .55826 L
.57685 .55684 L
.57611 .556 L
.57531 .55492 L
.57419 .55351 L
.57383 .55299 L
.57243 .55106 L
.57226 .55083 L
.57123 .54914 L
.57033 .54773 L
.57009 .54721 L
F
1 .13 0 r
.57033 .51067 m
.57157 .51253 L
.57226 .5134 L
.57293 .51445 L
.57419 .51612 L
.57435 .51638 L
.57419 .51771 L
.57322 .51638 L
.57226 .51529 L
.57166 .51445 L
.57033 .51283 L
.57012 .51253 L
F
1 .12 0 r
.57033 .51074 m
.5715 .51253 L
.57226 .51349 L
.57287 .51445 L
.57419 .51621 L
.57429 .51638 L
.57419 .5176 L
.57331 .51638 L
.57226 .51521 L
.57172 .51445 L
.57033 .51276 L
.57017 .51253 L
F
0 .85 1 r
.57033 .57133 m
.57226 .57199 L
.57249 .57226 L
.57419 .57391 L
.5744 .57419 L
.57602 .57611 L
.57611 .57623 L
.57749 .57804 L
.57804 .57874 L
.57893 .57997 L
.57997 .58104 L
.58074 .58189 L
.58168 .58382 L
.58189 .58412 L
.58293 .58575 L
.58382 .58713 L
.58414 .58768 L
.58506 .5896 L
.58382 .59013 L
.58325 .5896 L
.58189 .58863 L
.58131 .58768 L
.57997 .58623 L
.57917 .58575 L
.57804 .58383 L
.57803 .58382 L
.57654 .58189 L
.57611 .58135 L
.57509 .57997 L
.57419 .57911 L
.57325 .57804 L
.57235 .57611 L
.57226 .57598 L
.57116 .57419 L
.57033 .57257 L
.57021 .57226 L
F
1 .11 0 r
.57033 .51083 m
.57142 .51253 L
.57226 .51358 L
.5728 .51445 L
.57419 .51631 L
.57423 .51638 L
.57419 .51747 L
.57341 .51638 L
.57226 .51512 L
.57179 .51445 L
.57033 .51269 L
.57022 .51253 L
F
0 .33 1 r
.57033 .51913 m
.57079 .52023 L
.57033 .52036 L
.57023 .52023 L
F
0 .93 1 r
.57033 .62088 m
.57096 .62236 L
.57033 .62244 L
.57027 .62236 L
F
1 .1 0 r
.57033 .51092 m
.57134 .51253 L
.57226 .51368 L
.57273 .51445 L
.57226 .51502 L
.57186 .51445 L
.57033 .51261 L
.57027 .51253 L
F
1 .09 0 r
.57033 .51102 m
.57125 .51253 L
.57226 .51379 L
.57264 .51445 L
.57226 .51491 L
.57194 .51445 L
.57033 .51253 L
.57033 .51253 L
F
0 .84 1 r
.57226 .57221 m
.5723 .57226 L
.57419 .57406 L
.57429 .57419 L
.57591 .57611 L
.57611 .57635 L
.5774 .57804 L
.57804 .57885 L
.57885 .57997 L
.57997 .58121 L
.58058 .58189 L
.58158 .58382 L
.58189 .58427 L
.58282 .58575 L
.58382 .58735 L
.58401 .58768 L
.58473 .5896 L
.58382 .58985 L
.58353 .5896 L
.58189 .5884 L
.58147 .58768 L
.57997 .58607 L
.57942 .58575 L
.57814 .58382 L
.57804 .5837 L
.57664 .58189 L
.57611 .58123 L
.57518 .57997 L
.57419 .57895 L
.57339 .57804 L
.57246 .57611 L
.57226 .57581 L
.57129 .57419 L
.57043 .57226 L
F
0 .89 1 r
.57226 .48924 m
.57242 .4894 L
.57419 .49121 L
.57426 .49133 L
.57596 .49326 L
.57611 .49342 L
.57761 .49518 L
.57804 .49568 L
.57923 .49711 L
.57997 .49785 L
.58083 .49904 L
.58189 .50038 L
.58249 .50096 L
.58382 .50281 L
.58388 .50289 L
.58543 .50482 L
.58575 .50516 L
.58695 .50674 L
.58768 .50771 L
.5885 .50867 L
.5896 .51025 L
.5898 .5106 L
.5914 .51253 L
.59153 .51267 L
.59289 .51445 L
.59346 .51523 L
.59435 .51638 L
.59538 .51783 L
.5956 .51831 L
.59725 .52023 L
.59731 .5203 L
.59906 .52216 L
.59924 .52289 L
.60012 .52409 L
.60116 .52552 L
.60135 .52601 L
.60303 .52794 L
.60309 .52801 L
.60472 .52987 L
.60502 .53063 L
.60584 .53179 L
.60694 .53328 L
.60705 .53372 L
.60875 .53565 L
.60887 .53579 L
.61038 .53758 L
.6108 .53843 L
.61152 .5395 L
.61273 .54109 L
.61275 .54143 L
.61444 .54336 L
.61465 .54361 L
.61602 .54528 L
.61658 .54627 L
.61717 .54721 L
.61851 .54893 L
.61869 .54914 L
.6201 .55106 L
.62043 .55147 L
.62165 .55299 L
.62236 .55416 L
.62281 .55492 L
.62429 .5568 L
.62433 .55684 L
.62573 .55877 L
.62621 .55936 L
.62725 .5607 L
.62814 .56208 L
.62844 .56263 L
.62993 .56455 L
.63007 .56462 L
.63133 .56648 L
.63199 .5673 L
.63282 .56841 L
.63392 .57005 L
.63406 .57033 L
.6355 .57226 L
.63585 .57247 L
.63746 .57419 L
.63778 .57531 L
.63835 .57611 L
.63967 .57804 L
.6397 .57809 L
.64103 .57997 L
.64163 .58046 L
.64287 .58189 L
.64356 .58345 L
.64381 .58382 L
.64512 .58575 L
.64548 .58625 L
.64647 .58768 L
.64741 .58871 L
.64811 .5896 L
.64916 .59153 L
.64934 .59178 L
.65045 .59346 L
.65126 .59462 L
.65177 .59538 L
.65306 .59731 L
.65319 .5975 L
.65426 .59924 L
.65512 .60055 L
.65548 .60116 L
.65653 .60309 L
.65512 .60329 L
.65494 .60309 L
.65319 .60122 L
.65315 .60116 L
.6515 .59924 L
.65126 .59898 L
.64989 .59731 L
.64934 .59667 L
.6483 .59538 L
.64741 .59445 L
.64673 .59346 L
.64548 .59191 L
.6451 .59153 L
.64368 .5896 L
.64356 .58945 L
.64219 .58768 L
.64163 .58709 L
.64069 .58575 L
.6397 .58448 L
.63911 .58382 L
.63778 .58195 L
.63774 .58189 L
.63628 .57997 L
.63585 .57951 L
.6342 .57804 L
.63392 .57688 L
.63329 .57611 L
.63199 .57429 L
.63194 .57419 L
.63048 .57226 L
.63007 .57182 L
.62856 .57033 L
.62814 .56916 L
.62755 .56841 L
.62621 .56655 L
.62618 .56648 L
.62474 .56455 L
.62429 .56405 L
.62292 .56263 L
.62236 .56138 L
.62185 .5607 L
.62045 .55877 L
.62043 .55877 L
.61904 .55684 L
.61851 .55625 L
.6173 .55492 L
.61658 .55354 L
.61618 .55299 L
.61477 .55106 L
.61465 .55103 L
.61337 .54914 L
.61273 .5484 L
.61169 .54721 L
.6108 .54568 L
.61053 .54528 L
.60912 .54336 L
.60887 .54325 L
.60772 .54143 L
.60694 .54051 L
.60609 .5395 L
.60502 .53777 L
.60489 .53758 L
.6035 .53565 L
.60309 .53543 L
.6021 .53372 L
.60116 .53259 L
.60052 .53179 L
.59926 .52987 L
.59924 .52983 L
.59789 .52794 L
.59731 .52753 L
.59579 .52601 L
.59538 .52461 L
.59497 .52409 L
.59368 .52216 L
.59346 .52186 L
.59231 .52023 L
.59153 .51954 L
.59039 .51831 L
.5896 .51656 L
.58946 .51638 L
.58814 .51445 L
.58768 .51383 L
.58677 .51253 L
.58575 .51141 L
.58505 .5106 L
.58399 .50867 L
.58382 .50845 L
.58266 .50674 L
.58189 .50571 L
.58129 .50482 L
.57997 .50305 L
.57984 .50289 L
.5786 .50096 L
.57804 .50019 L
.57729 .49904 L
.57611 .49739 L
.57593 .49711 L
.57467 .49518 L
.57419 .49449 L
.57345 .49326 L
.57226 .49148 L
.57218 .49133 L
.57122 .4894 L
F
0 .83 1 r
.57226 .57243 m
.57416 .57419 L
.57419 .57421 L
.5758 .57611 L
.57611 .57648 L
.57731 .57804 L
.57804 .57897 L
.57877 .57997 L
.57997 .58139 L
.58042 .58189 L
.58147 .58382 L
.58189 .58443 L
.5827 .58575 L
.58382 .5876 L
.58386 .58768 L
.58382 .58951 L
.58189 .58812 L
.58164 .58768 L
.57997 .5859 L
.57971 .58575 L
.57826 .58382 L
.57804 .58357 L
.57674 .58189 L
.57611 .5811 L
.57527 .57997 L
.57419 .57877 L
.57355 .57804 L
.57257 .57611 L
.57226 .57563 L
.57143 .57419 L
F
0 .82 1 r
.57226 .57265 m
.574 .57419 L
.57419 .57436 L
.57569 .57611 L
.57611 .5766 L
.57722 .57804 L
.57804 .57909 L
.57868 .57997 L
.57997 .5816 L
.58023 .58189 L
.58136 .58382 L
.58189 .58461 L
.58258 .58575 L
.58365 .58768 L
.58189 .58779 L
.58183 .58768 L
.58 .58575 L
.57997 .58572 L
.57838 .58382 L
.57804 .58343 L
.57685 .58189 L
.57611 .58097 L
.57537 .57997 L
.57419 .57857 L
.57373 .57804 L
.57269 .57611 L
.57226 .57543 L
.57157 .57419 L
F
0 .9 1 r
.57226 .54857 m
.57282 .54914 L
.57419 .55062 L
.57457 .55106 L
.5761 .55299 L
.57611 .55301 L
.57746 .55492 L
.57804 .55578 L
.57869 .55684 L
.57804 .55778 L
.57721 .55684 L
.57611 .55566 L
.57557 .55492 L
.57419 .55319 L
.57405 .55299 L
.57274 .55106 L
.57226 .55037 L
.57162 .54914 L
F
0 .81 1 r
.57226 .5729 m
.57383 .57419 L
.57419 .57452 L
.57557 .57611 L
.57611 .57674 L
.57712 .57804 L
.57804 .57921 L
.57859 .57997 L
.57997 .58182 L
.58003 .58189 L
.58124 .58382 L
.58189 .5848 L
.58244 .58575 L
.58189 .58751 L
.58017 .58575 L
.57997 .58555 L
.57851 .58382 L
.57804 .58328 L
.57696 .58189 L
.57611 .58083 L
.57547 .57997 L
.57419 .57834 L
.57393 .57804 L
.57282 .57611 L
.57226 .5752 L
.57173 .57419 L
F
0 .28 1 r
.57226 .50522 m
.57341 .50674 L
.57419 .50765 L
.57494 .50867 L
.57611 .51012 L
.57647 .5106 L
.57795 .51253 L
.57804 .51263 L
.57937 .51445 L
.57997 .5152 L
.58082 .51638 L
.58189 .51776 L
.58229 .51831 L
.58373 .52023 L
.58382 .52035 L
.5851 .52216 L
.58575 .523 L
.58651 .52409 L
.58768 .52564 L
.58794 .52601 L
.5893 .52794 L
.5896 .52833 L
.59063 .52987 L
.59153 .53106 L
.59202 .53179 L
.59153 .53355 L
.59022 .53179 L
.5896 .53107 L
.58873 .52987 L
.58768 .52857 L
.58722 .52794 L
.58575 .52606 L
.58572 .52601 L
.58432 .52409 L
.58382 .52347 L
.58289 .52216 L
.58189 .52088 L
.58144 .52023 L
.57998 .51831 L
.57997 .5183 L
.57863 .51638 L
.57804 .51562 L
.57724 .51445 L
.57611 .51297 L
.57581 .51253 L
.57444 .5106 L
.57419 .51027 L
.57313 .50867 L
.57226 .50751 L
.57177 .50674 L
F
1 .99 0 r
.57226 .56742 m
.57419 .56726 L
.57611 .56735 L
.57759 .56841 L
.57804 .56904 L
.57888 .57033 L
.57997 .57159 L
.58045 .57226 L
.58186 .57419 L
.58189 .57424 L
.58338 .57611 L
.58382 .57696 L
.58455 .57804 L
.58575 .57964 L
.58612 .57997 L
.58751 .58189 L
.58768 .58207 L
.58901 .58382 L
.5896 .58471 L
.59017 .58575 L
.59153 .5874 L
.59174 .58768 L
.59313 .5896 L
.59346 .59005 L
.59462 .59153 L
.59538 .59239 L
.59577 .59346 L
.59731 .59538 L
.59731 .59539 L
.59911 .59731 L
.59924 .59833 L
.59986 .59924 L
.59924 .60018 L
.59731 .60033 L
.59538 .59986 L
.59461 .59924 L
.59346 .59804 L
.59316 .59731 L
.59153 .59555 L
.59141 .59538 L
.58977 .59346 L
.5896 .59279 L
.58856 .59153 L
.58768 .58992 L
.58743 .5896 L
.58575 .58776 L
.58569 .58768 L
.58409 .58575 L
.58382 .58509 L
.58291 .58382 L
.58189 .5824 L
.58178 .58189 L
.58004 .57997 L
.57997 .57991 L
.57845 .57804 L
.57804 .57735 L
.57729 .57611 L
.57611 .57464 L
.57581 .57419 L
.57443 .57226 L
.57419 .57191 L
.57286 .57033 L
.57226 .56911 L
.57181 .56841 L
F
0 .27 1 r
.57226 .5053 m
.57335 .50674 L
.57419 .50772 L
.57489 .50867 L
.57611 .51018 L
.57642 .5106 L
.5779 .51253 L
.57804 .51269 L
.57932 .51445 L
.57997 .51525 L
.58078 .51638 L
.58189 .51782 L
.58225 .51831 L
.58368 .52023 L
.58382 .52041 L
.58505 .52216 L
.58575 .52306 L
.58647 .52409 L
.58768 .52569 L
.5879 .52601 L
.58925 .52794 L
.5896 .52839 L
.59058 .52987 L
.59153 .53113 L
.59197 .53179 L
.59153 .53347 L
.59028 .53179 L
.5896 .531 L
.58878 .52987 L
.58768 .52851 L
.58726 .52794 L
.58576 .52601 L
.58575 .526 L
.58437 .52409 L
.58382 .52341 L
.58294 .52216 L
.58189 .52083 L
.58147 .52023 L
.58002 .51831 L
.57997 .51824 L
.57868 .51638 L
.57804 .51557 L
.57728 .51445 L
.57611 .51291 L
.57585 .51253 L
.57449 .5106 L
.57419 .51021 L
.57319 .50867 L
.57226 .50744 L
.57182 .50674 L
F
0 .26 1 r
.57226 .50539 m
.57328 .50674 L
.57419 .5078 L
.57484 .50867 L
.57611 .51025 L
.57638 .5106 L
.57785 .51253 L
.57804 .51276 L
.57927 .51445 L
.57997 .51531 L
.58073 .51638 L
.58189 .51787 L
.58221 .51831 L
.58363 .52023 L
.58382 .52047 L
.585 .52216 L
.58575 .52311 L
.58642 .52409 L
.58768 .52575 L
.58786 .52601 L
.5892 .52794 L
.5896 .52846 L
.59053 .52987 L
.59153 .5312 L
.59191 .53179 L
.59153 .53339 L
.59035 .53179 L
.5896 .53093 L
.58883 .52987 L
.58768 .52845 L
.5873 .52794 L
.58581 .52601 L
.58575 .52594 L
.58442 .52409 L
.58382 .52336 L
.58298 .52216 L
.58189 .52078 L
.58151 .52023 L
.58007 .51831 L
.57997 .51818 L
.57872 .51638 L
.57804 .51551 L
.57732 .51445 L
.57611 .51286 L
.57589 .51253 L
.57455 .5106 L
.57419 .51013 L
.57324 .50867 L
.57226 .50736 L
.57187 .50674 L
F
0 .97 1 r
.57226 .6071 m
.57356 .60887 L
.57419 .60966 L
.57503 .6108 L
.57611 .61222 L
.57649 .61273 L
.57791 .61465 L
.57804 .61482 L
.57929 .61658 L
.57997 .61747 L
.5807 .61851 L
.58189 .62013 L
.58211 .62043 L
.58342 .62236 L
.58382 .62288 L
.58474 .62429 L
.58575 .62569 L
.58609 .62621 L
.58575 .62718 L
.58506 .62621 L
.58382 .62482 L
.58345 .62429 L
.58189 .6224 L
.58187 .62236 L
.58046 .62043 L
.57997 .61985 L
.57904 .61851 L
.57804 .61729 L
.57756 .61658 L
.57611 .61475 L
.57605 .61465 L
.57469 .61273 L
.57419 .6121 L
.57331 .6108 L
.57226 .60946 L
.57187 .60887 L
F
0 .8 1 r
.57226 .5732 m
.57362 .57419 L
.57419 .57469 L
.57544 .57611 L
.57611 .57687 L
.57701 .57804 L
.57804 .57934 L
.57849 .57997 L
.57989 .58189 L
.57997 .582 L
.58112 .58382 L
.58189 .58502 L
.58229 .58575 L
.58189 .58724 L
.58036 .58575 L
.57997 .58537 L
.57864 .58382 L
.57804 .58313 L
.57707 .58189 L
.57611 .58069 L
.57558 .57997 L
.57419 .57808 L
.57415 .57804 L
.57295 .57611 L
.57226 .57493 L
.57191 .57419 L
F
0 .25 1 r
.57226 .50549 m
.5732 .50674 L
.57419 .50787 L
.57478 .50867 L
.57611 .51031 L
.57633 .5106 L
.57779 .51253 L
.57804 .51282 L
.57922 .51445 L
.57997 .51537 L
.58069 .51638 L
.58189 .51793 L
.58217 .51831 L
.58358 .52023 L
.58382 .52053 L
.58496 .52216 L
.58575 .52318 L
.58638 .52409 L
.58768 .52581 L
.58781 .52601 L
.58914 .52794 L
.5896 .52854 L
.59047 .52987 L
.59153 .53128 L
.59186 .53179 L
.59153 .5333 L
.59042 .53179 L
.5896 .53086 L
.58888 .52987 L
.58768 .52839 L
.58735 .52794 L
.58586 .52601 L
.58575 .52588 L
.58447 .52409 L
.58382 .5233 L
.58302 .52216 L
.58189 .52072 L
.58155 .52023 L
.58012 .51831 L
.57997 .51812 L
.57877 .51638 L
.57804 .51545 L
.57737 .51445 L
.57611 .5128 L
.57593 .51253 L
.57461 .5106 L
.57419 .51006 L
.57331 .50867 L
.57226 .50728 L
.57193 .50674 L
F
1 .64 0 r
.57226 .49721 m
.57383 .49904 L
.57419 .49941 L
.57546 .50096 L
.57611 .50172 L
.57705 .50289 L
.57804 .50408 L
.57863 .50482 L
.57997 .50644 L
.58038 .50674 L
.58167 .50867 L
.58189 .50895 L
.58317 .5106 L
.58382 .51084 L
.58467 .51253 L
.58575 .51384 L
.58644 .51445 L
.58762 .51638 L
.58768 .51644 L
.58908 .51831 L
.5896 .51853 L
.59054 .52023 L
.59153 .52145 L
.59224 .52216 L
.59344 .52409 L
.59346 .5241 L
.59487 .52601 L
.59538 .52628 L
.59631 .52794 L
.59731 .52919 L
.59793 .52987 L
.59917 .53179 L
.59924 .53188 L
.60058 .53372 L
.60116 .5341 L
.602 .53565 L
.60309 .53705 L
.60354 .53758 L
.60482 .5395 L
.60502 .53976 L
.60622 .54143 L
.60694 .54202 L
.60763 .54336 L
.60887 .54502 L
.60908 .54528 L
.6104 .54721 L
.6108 .54775 L
.61178 .54914 L
.61273 .55011 L
.61371 .55106 L
.61455 .55299 L
.61465 .55313 L
.61588 .55492 L
.61658 .55588 L
.61724 .55684 L
.61851 .55852 L
.61874 .55877 L
.6199 .5607 L
.62043 .56143 L
.62121 .56263 L
.62236 .56427 L
.62254 .56455 L
.62375 .56648 L
.62429 .56726 L
.62494 .56841 L
.62429 .56951 L
.62336 .56841 L
.62236 .56733 L
.62168 .56648 L
.62043 .56503 L
.62005 .56455 L
.61851 .56267 L
.61843 .56263 L
.61697 .5607 L
.61658 .56023 L
.61546 .55877 L
.61465 .55777 L
.61395 .55684 L
.61273 .55538 L
.61215 .55492 L
.61097 .55299 L
.6108 .55278 L
.60952 .55106 L
.60887 .55024 L
.60805 .54914 L
.60694 .54781 L
.60629 .54721 L
.60513 .54528 L
.60502 .54514 L
.60371 .54336 L
.60309 .54256 L
.60227 .54143 L
.60116 .54008 L
.60059 .5395 L
.59939 .53758 L
.59924 .53738 L
.59798 .53565 L
.59731 .53529 L
.59656 .53372 L
.59538 .53224 L
.59497 .53179 L
.59372 .52987 L
.59346 .52953 L
.59233 .52794 L
.59153 .52737 L
.59091 .52601 L
.5896 .52429 L
.58942 .52409 L
.58811 .52216 L
.58768 .52158 L
.58673 .52023 L
.58575 .5193 L
.58532 .51831 L
.58393 .51638 L
.58382 .51624 L
.58259 .51445 L
.58189 .51352 L
.58121 .51253 L
.57997 .51098 L
.57981 .5106 L
.57849 .50867 L
.57804 .50806 L
.57717 .50674 L
.57611 .50529 L
.5758 .50482 L
.5745 .50289 L
.57419 .50246 L
.57326 .50096 L
.57226 .49953 L
.57197 .49904 L
F
0 .24 1 r
.57226 .5056 m
.57312 .50674 L
.57419 .50795 L
.57472 .50867 L
.57611 .51038 L
.57628 .5106 L
.57773 .51253 L
.57804 .51289 L
.57917 .51445 L
.57997 .51544 L
.58064 .51638 L
.58189 .51799 L
.58212 .51831 L
.58353 .52023 L
.58382 .5206 L
.58491 .52216 L
.58575 .52324 L
.58633 .52409 L
.58768 .52588 L
.58777 .52601 L
.58908 .52794 L
.5896 .52862 L
.59041 .52987 L
.59153 .53137 L
.5918 .53179 L
.59153 .5332 L
.59049 .53179 L
.5896 .53078 L
.58894 .52987 L
.58768 .52833 L
.5874 .52794 L
.58592 .52601 L
.58575 .52581 L
.58452 .52409 L
.58382 .52324 L
.58307 .52216 L
.58189 .52067 L
.58159 .52023 L
.58017 .51831 L
.57997 .51806 L
.57882 .51638 L
.57804 .51539 L
.57741 .51445 L
.57611 .51273 L
.57597 .51253 L
.57467 .5106 L
.57419 .50998 L
.57337 .50867 L
.57226 .50718 L
.57199 .50674 L
F
1 .08 0 r
.57226 .51393 m
.57254 .51445 L
.57226 .51479 L
.57203 .51445 L
F
1 .63 0 r
.57226 .49737 m
.57371 .49904 L
.57419 .49953 L
.57537 .50096 L
.57611 .50181 L
.57698 .50289 L
.57804 .50416 L
.57856 .50482 L
.57997 .50653 L
.58026 .50674 L
.58161 .50867 L
.58189 .50902 L
.58312 .5106 L
.58382 .51088 L
.58462 .51253 L
.58575 .5139 L
.58637 .51445 L
.58758 .51638 L
.58768 .5165 L
.58904 .51831 L
.5896 .51856 L
.5905 .52023 L
.59153 .5215 L
.59219 .52216 L
.5934 .52409 L
.59346 .52415 L
.59483 .52601 L
.59538 .52631 L
.59628 .52794 L
.59731 .52924 L
.59788 .52987 L
.59914 .53179 L
.59924 .53193 L
.60054 .53372 L
.60116 .53414 L
.60197 .53565 L
.60309 .5371 L
.6035 .53758 L
.60479 .5395 L
.60502 .53981 L
.60618 .54143 L
.60694 .54207 L
.60759 .54336 L
.60887 .54508 L
.60904 .54528 L
.61036 .54721 L
.6108 .5478 L
.61174 .54914 L
.61273 .55018 L
.61364 .55106 L
.6145 .55299 L
.61465 .55319 L
.61584 .55492 L
.61658 .55594 L
.6172 .55684 L
.61851 .55863 L
.61863 .55877 L
.61984 .5607 L
.62043 .56152 L
.62115 .56263 L
.62236 .56437 L
.62248 .56455 L
.62365 .56648 L
.62429 .56742 L
.62482 .56841 L
.62429 .56934 L
.62349 .56841 L
.62236 .56721 L
.62177 .56648 L
.62043 .56494 L
.62013 .56455 L
.61855 .56263 L
.61851 .56258 L
.61704 .5607 L
.61658 .56016 L
.61552 .55877 L
.61465 .55771 L
.614 .55684 L
.61273 .55531 L
.61223 .55492 L
.61102 .55299 L
.6108 .55272 L
.60956 .55106 L
.60887 .55019 L
.60809 .54914 L
.60694 .54776 L
.60635 .54721 L
.60517 .54528 L
.60502 .54509 L
.60374 .54336 L
.60309 .54251 L
.6023 .54143 L
.60116 .54004 L
.60063 .5395 L
.59942 .53758 L
.59924 .53734 L
.59802 .53565 L
.59731 .53526 L
.59659 .53372 L
.59538 .5322 L
.59501 .53179 L
.59375 .52987 L
.59346 .52948 L
.59236 .52794 L
.59153 .52732 L
.59094 .52601 L
.5896 .52424 L
.58947 .52409 L
.58815 .52216 L
.58768 .52153 L
.58676 .52023 L
.58575 .51924 L
.58536 .51831 L
.58396 .51638 L
.58382 .51619 L
.58262 .51445 L
.58189 .51347 L
.58125 .51253 L
.57997 .51089 L
.57985 .5106 L
.57854 .50867 L
.57804 .508 L
.57722 .50674 L
.57611 .50522 L
.57585 .50482 L
.57457 .50289 L
.57419 .50236 L
.57333 .50096 L
.57226 .4994 L
.57205 .49904 L
F
1 .99 0 r
.57226 .54295 m
.57269 .54336 L
.57419 .5445 L
.57503 .54528 L
.57611 .54622 L
.57715 .54721 L
.57804 .54804 L
.57915 .54914 L
.57997 .5497 L
.58105 .55106 L
.58189 .552 L
.58284 .55299 L
.58382 .55415 L
.58453 .55492 L
.58575 .55647 L
.58609 .55684 L
.58752 .55877 L
.58768 .559 L
.58891 .5607 L
.5896 .5619 L
.59006 .56263 L
.59063 .56455 L
.5896 .56553 L
.58772 .56455 L
.58768 .56451 L
.58608 .56263 L
.58575 .56224 L
.58461 .5607 L
.58382 .56019 L
.58315 .55877 L
.58189 .55725 L
.58146 .55684 L
.58028 .55492 L
.57997 .55452 L
.5789 .55299 L
.57804 .55187 L
.57748 .55106 L
.57611 .54926 L
.57603 .54914 L
.57471 .54721 L
.57419 .54654 L
.5734 .54528 L
.57226 .54374 L
.57205 .54336 L
F
0 .23 1 r
.57226 .50572 m
.57303 .50674 L
.57419 .50804 L
.57465 .50867 L
.57611 .51045 L
.57622 .5106 L
.57766 .51253 L
.57804 .51296 L
.57911 .51445 L
.57997 .5155 L
.58059 .51638 L
.58189 .51805 L
.58208 .51831 L
.58347 .52023 L
.58382 .52066 L
.58486 .52216 L
.58575 .5233 L
.58629 .52409 L
.58768 .52594 L
.58773 .52601 L
.58901 .52794 L
.5896 .5287 L
.59035 .52987 L
.59153 .53146 L
.59174 .53179 L
.59153 .5331 L
.59057 .53179 L
.5896 .5307 L
.589 .52987 L
.58768 .52826 L
.58745 .52794 L
.58598 .52601 L
.58575 .52574 L
.58457 .52409 L
.58382 .52317 L
.58311 .52216 L
.58189 .52061 L
.58163 .52023 L
.58023 .51831 L
.57997 .51799 L
.57887 .51638 L
.57804 .51532 L
.57746 .51445 L
.57611 .51267 L
.57602 .51253 L
.57474 .5106 L
.57419 .50989 L
.57344 .50867 L
.57226 .50708 L
.57206 .50674 L
F
0 .79 1 r
.57226 .5736 m
.57335 .57419 L
.57419 .57487 L
.5753 .57611 L
.57611 .57702 L
.5769 .57804 L
.57804 .57948 L
.57839 .57997 L
.57977 .58189 L
.57997 .58218 L
.58098 .58382 L
.58189 .58529 L
.58213 .58575 L
.58189 .58691 L
.58058 .58575 L
.57997 .58518 L
.57879 .58382 L
.57804 .58298 L
.57719 .58189 L
.57611 .58055 L
.57568 .57997 L
.5743 .57804 L
.57419 .57789 L
.57309 .57611 L
.57226 .57457 L
.57211 .57419 L
F
0 .22 1 r
.57226 .50586 m
.57292 .50674 L
.57419 .50813 L
.57459 .50867 L
.57611 .51053 L
.57617 .5106 L
.57759 .51253 L
.57804 .51304 L
.57905 .51445 L
.57997 .51557 L
.58054 .51638 L
.58189 .51811 L
.58203 .51831 L
.58341 .52023 L
.58382 .52073 L
.5848 .52216 L
.58575 .52337 L
.58624 .52409 L
.58768 .52601 L
.58768 .52601 L
.58894 .52794 L
.5896 .52879 L
.59028 .52987 L
.59153 .53156 L
.59168 .53179 L
.59153 .53298 L
.59067 .53179 L
.5896 .53062 L
.58906 .52987 L
.58768 .52819 L
.5875 .52794 L
.58604 .52601 L
.58575 .52567 L
.58463 .52409 L
.58382 .52311 L
.58316 .52216 L
.58189 .52054 L
.58168 .52023 L
.58028 .51831 L
.57997 .51792 L
.57893 .51638 L
.57804 .51525 L
.57751 .51445 L
.57611 .5126 L
.57607 .51253 L
.57482 .5106 L
.57419 .50979 L
.57352 .50867 L
.57226 .50697 L
.57213 .50674 L
F
1 .62 0 r
.57226 .49757 m
.57357 .49904 L
.57419 .49966 L
.57527 .50096 L
.57611 .50191 L
.5769 .50289 L
.57804 .50425 L
.57849 .50482 L
.57997 .50662 L
.58014 .50674 L
.58155 .50867 L
.58189 .50909 L
.58306 .5106 L
.58382 .51094 L
.58457 .51253 L
.58575 .51397 L
.5863 .51445 L
.58753 .51638 L
.58768 .51656 L
.58899 .51831 L
.5896 .51859 L
.59046 .52023 L
.59153 .52156 L
.59214 .52216 L
.59337 .52409 L
.59346 .5242 L
.5948 .52601 L
.59538 .52635 L
.59624 .52794 L
.59731 .52929 L
.59784 .52987 L
.5991 .53179 L
.59924 .53197 L
.60051 .53372 L
.60116 .53418 L
.60194 .53565 L
.60309 .53715 L
.60346 .53758 L
.60475 .5395 L
.60502 .53986 L
.60615 .54143 L
.60694 .54212 L
.60756 .54336 L
.60887 .54514 L
.60899 .54528 L
.61032 .54721 L
.6108 .54785 L
.6117 .54914 L
.61273 .55026 L
.61356 .55106 L
.61446 .55299 L
.61465 .55326 L
.61579 .55492 L
.61658 .55601 L
.61715 .55684 L
.61851 .55875 L
.61853 .55877 L
.61978 .5607 L
.62043 .56161 L
.62109 .56263 L
.62236 .56448 L
.62241 .56455 L
.62354 .56648 L
.62429 .56762 L
.62469 .56841 L
.62429 .56914 L
.62364 .56841 L
.62236 .56709 L
.62186 .56648 L
.62043 .56484 L
.6202 .56455 L
.61862 .56263 L
.61851 .56249 L
.6171 .5607 L
.61658 .56008 L
.61557 .55877 L
.61465 .55764 L
.61405 .55684 L
.61273 .55524 L
.61232 .55492 L
.61106 .55299 L
.6108 .55267 L
.6096 .55106 L
.60887 .55014 L
.60813 .54914 L
.60694 .5477 L
.6064 .54721 L
.6052 .54528 L
.60502 .54505 L
.60378 .54336 L
.60309 .54247 L
.60233 .54143 L
.60116 .53999 L
.60068 .5395 L
.59945 .53758 L
.59924 .5373 L
.59805 .53565 L
.59731 .53522 L
.59662 .53372 L
.59538 .53215 L
.59506 .53179 L
.59378 .52987 L
.59346 .52944 L
.59239 .52794 L
.59153 .52728 L
.59097 .52601 L
.5896 .52419 L
.58951 .52409 L
.58818 .52216 L
.58768 .52149 L
.5868 .52023 L
.58575 .51917 L
.58539 .51831 L
.584 .51638 L
.58382 .51614 L
.58266 .51445 L
.58189 .51342 L
.58129 .51253 L
.57997 .5108 L
.57989 .5106 L
.57859 .50867 L
.57804 .50793 L
.57727 .50674 L
.57611 .50514 L
.5759 .50482 L
.57464 .50289 L
.57419 .50226 L
.57342 .50096 L
.57226 .49926 L
.57214 .49904 L
F
1 .07 0 r
.57226 .51412 m
.57241 .51445 L
.57226 .51462 L
.57215 .51445 L
F
1 .98 0 r
.57226 .568 m
.57419 .56753 L
.57611 .56783 L
.57722 .56841 L
.57804 .56937 L
.57871 .57033 L
.57997 .57179 L
.58032 .57226 L
.58176 .57419 L
.58189 .57438 L
.58331 .57611 L
.58382 .57706 L
.58449 .57804 L
.58575 .57971 L
.58604 .57997 L
.58744 .58189 L
.58768 .58214 L
.58896 .58382 L
.5896 .58481 L
.59011 .58575 L
.59153 .58751 L
.59166 .58768 L
.59304 .5896 L
.59346 .5902 L
.59452 .59153 L
.59538 .59263 L
.59567 .59346 L
.59709 .59538 L
.59731 .59573 L
.59891 .59731 L
.59874 .59924 L
.59731 .59966 L
.59578 .59924 L
.59538 .5989 L
.59346 .59748 L
.59337 .59731 L
.59165 .59538 L
.59153 .59518 L
.58984 .59346 L
.5896 .59254 L
.58867 .59153 L
.58768 .58982 L
.58748 .5896 L
.58578 .58768 L
.58575 .58764 L
.58413 .58575 L
.58382 .58499 L
.58297 .58382 L
.58189 .58232 L
.5818 .58189 L
.58011 .57997 L
.57997 .57986 L
.57849 .57804 L
.57804 .57725 L
.57735 .57611 L
.57611 .57451 L
.5759 .57419 L
.57454 .57226 L
.57419 .57173 L
.573 .57033 L
.57226 .56862 L
.57216 .56841 L
F
0 .21 1 r
.57226 .50605 m
.57278 .50674 L
.57419 .50823 L
.57451 .50867 L
.57419 .50968 L
.5736 .50867 L
.57226 .50683 L
.57221 .50674 L
F
1 .61 0 r
.57226 .49781 m
.57341 .49904 L
.57419 .4998 L
.57517 .50096 L
.57611 .50202 L
.57682 .50289 L
.57804 .50434 L
.57843 .50482 L
.57997 .50672 L
.58 .50674 L
.58149 .50867 L
.58189 .50916 L
.58301 .5106 L
.58382 .511 L
.58452 .51253 L
.58575 .51403 L
.58623 .51445 L
.58749 .51638 L
.58768 .51661 L
.58895 .51831 L
.5896 .51863 L
.59042 .52023 L
.59153 .52161 L
.59208 .52216 L
.59333 .52409 L
.59346 .52425 L
.59476 .52601 L
.59538 .52639 L
.59621 .52794 L
.59731 .52934 L
.59779 .52987 L
.59906 .53179 L
.59924 .53202 L
.60048 .53372 L
.60116 .53422 L
.6019 .53565 L
.60309 .5372 L
.60341 .53758 L
.60471 .5395 L
.60502 .5399 L
.60611 .54143 L
.60694 .54218 L
.60752 .54336 L
.60887 .5452 L
.60894 .54528 L
.61028 .54721 L
.6108 .54791 L
.61166 .54914 L
.61273 .55033 L
.61348 .55106 L
.61441 .55299 L
.61465 .55332 L
.61574 .55492 L
.61658 .55608 L
.6171 .55684 L
.61846 .55877 L
.61851 .55884 L
.61972 .5607 L
.62043 .56171 L
.62102 .56263 L
.62232 .56455 L
.62236 .5646 L
.62342 .56648 L
.62429 .56787 L
.62452 .56841 L
.62429 .56888 L
.62384 .56841 L
.62236 .56696 L
.62197 .56648 L
.62043 .56474 L
.62028 .56455 L
.6187 .56263 L
.61851 .56241 L
.61717 .5607 L
.61658 .56001 L
.61563 .55877 L
.61465 .55758 L
.6141 .55684 L
.61273 .55517 L
.61241 .55492 L
.61111 .55299 L
.6108 .55261 L
.60964 .55106 L
.60887 .55009 L
.60816 .54914 L
.60694 .54764 L
.60647 .54721 L
.60524 .54528 L
.60502 .545 L
.60381 .54336 L
.60309 .54243 L
.60236 .54143 L
.60116 .53994 L
.60073 .5395 L
.59949 .53758 L
.59924 .53725 L
.59808 .53565 L
.59731 .53518 L
.59665 .53372 L
.59538 .5321 L
.5951 .53179 L
.59382 .52987 L
.59346 .5294 L
.59242 .52794 L
.59153 .52722 L
.591 .52601 L
.5896 .52414 L
.58956 .52409 L
.58822 .52216 L
.58768 .52144 L
.58683 .52023 L
.58575 .5191 L
.58542 .51831 L
.58404 .51638 L
.58382 .51609 L
.5827 .51445 L
.58189 .51336 L
.58133 .51253 L
.57997 .5107 L
.57993 .5106 L
.57864 .50867 L
.57804 .50786 L
.57732 .50674 L
.57611 .50506 L
.57596 .50482 L
.57472 .50289 L
.57419 .50214 L
.57351 .50096 L
.57226 .49908 L
.57224 .49904 L
F
1 .97 0 r
.57419 .5678 m
.57611 .56819 L
.57666 .56841 L
.57804 .56966 L
.57855 .57033 L
.57997 .57197 L
.58019 .57226 L
.58166 .57419 L
.58189 .57452 L
.58325 .57611 L
.58382 .57717 L
.58443 .57804 L
.58575 .57977 L
.58597 .57997 L
.58737 .58189 L
.58768 .58222 L
.5889 .58382 L
.5896 .58491 L
.59005 .58575 L
.59153 .58762 L
.59157 .58768 L
.59294 .5896 L
.59346 .59034 L
.59441 .59153 L
.59538 .5929 L
.59557 .59346 L
.59687 .59538 L
.59731 .59616 L
.59848 .59731 L
.59731 .599 L
.59538 .59813 L
.59374 .59731 L
.59346 .59697 L
.5919 .59538 L
.59153 .59484 L
.58993 .59346 L
.5896 .59233 L
.58879 .59153 L
.58768 .58974 L
.58752 .5896 L
.58587 .58768 L
.58575 .58753 L
.58418 .58575 L
.58382 .58489 L
.58304 .58382 L
.58189 .58224 L
.58182 .58189 L
.58018 .57997 L
.57997 .5798 L
.57854 .57804 L
.57804 .57716 L
.57742 .57611 L
.57611 .57438 L
.57599 .57419 L
.57465 .57226 L
.57419 .57155 L
.57315 .57033 L
.57261 .56841 L
F
1 .96 0 r
.57419 .56807 m
.57589 .56841 L
.57611 .5685 L
.57804 .56991 L
.57838 .57033 L
.57997 .57214 L
.58006 .57226 L
.58156 .57419 L
.58189 .57465 L
.58319 .57611 L
.58382 .57727 L
.58437 .57804 L
.58575 .57984 L
.5859 .57997 L
.5873 .58189 L
.58768 .5823 L
.58883 .58382 L
.5896 .58501 L
.59 .58575 L
.59148 .58768 L
.59153 .58774 L
.59284 .5896 L
.59346 .59049 L
.5943 .59153 L
.59538 .59323 L
.59546 .59346 L
.59664 .59538 L
.59731 .59679 L
.59773 .59731 L
.59731 .59818 L
.59538 .59772 L
.59421 .59731 L
.59346 .59655 L
.59215 .59538 L
.59153 .59455 L
.59004 .59346 L
.5896 .59215 L
.5889 .59153 L
.58768 .58968 L
.58757 .5896 L
.58596 .58768 L
.58575 .58742 L
.58423 .58575 L
.58382 .58479 L
.5831 .58382 L
.58189 .58216 L
.58184 .58189 L
.58025 .57997 L
.57997 .57975 L
.5786 .57804 L
.57804 .57706 L
.57748 .57611 L
.57611 .57424 L
.57608 .57419 L
.57477 .57226 L
.57419 .57134 L
.57332 .57033 L
.57317 .56841 L
F
0 .78 1 r
.57419 .57507 m
.57515 .57611 L
.57611 .57717 L
.57679 .57804 L
.57804 .57962 L
.57829 .57997 L
.57963 .58189 L
.57997 .58237 L
.58083 .58382 L
.58189 .58567 L
.58193 .58575 L
.58189 .58641 L
.58089 .58575 L
.57997 .58497 L
.57895 .58382 L
.57804 .58281 L
.57731 .58189 L
.57611 .58039 L
.5758 .57997 L
.57444 .57804 L
.57419 .57769 L
.57325 .57611 L
F
1 .95 0 r
.57419 .72313 m
.57611 .72271 L
.57804 .7231 L
.57997 .72378 L
.58168 .72449 L
.58189 .72463 L
.58382 .72559 L
.58536 .72641 L
.58575 .72664 L
.58768 .72776 L
.58865 .72834 L
.5896 .72893 L
.59153 .73015 L
.59171 .73027 L
.59346 .73141 L
.59463 .7322 L
.59538 .73271 L
.59731 .73403 L
.59744 .73412 L
.59924 .73538 L
.60018 .73605 L
.60116 .73676 L
.60284 .73798 L
.60309 .73816 L
.60502 .73958 L
.60545 .7399 L
.60694 .74102 L
.60802 .74183 L
.60887 .74248 L
.61055 .74376 L
.6108 .74395 L
.61273 .74544 L
.61304 .74568 L
.61465 .74694 L
.6155 .74761 L
.61658 .74846 L
.61794 .74954 L
.61851 .74999 L
.62036 .75146 L
.62043 .75153 L
.62236 .75308 L
.62275 .75339 L
.62429 .75464 L
.62512 .75532 L
.62621 .75621 L
.62748 .75725 L
.62814 .75779 L
.62982 .75917 L
.63007 .75938 L
.63199 .76097 L
.63214 .7611 L
.63392 .76258 L
.63445 .76303 L
.63585 .7642 L
.63674 .76495 L
.63778 .76583 L
.63902 .76688 L
.6397 .76746 L
.64128 .76881 L
.64163 .76911 L
.64352 .77073 L
.64356 .77076 L
.64548 .77244 L
.64574 .77266 L
.64741 .77412 L
.64795 .77459 L
.64934 .77582 L
.65013 .77651 L
.65126 .77753 L
.65229 .77844 L
.65319 .77925 L
.65444 .78037 L
.65512 .78099 L
.65656 .7823 L
.65704 .78274 L
.65867 .78422 L
.65897 .7845 L
.66076 .78615 L
.6609 .78627 L
.66283 .78806 L
.66284 .78808 L
.66475 .78986 L
.66491 .79 L
.66668 .79167 L
.66697 .79193 L
.66861 .79348 L
.66902 .79386 L
.67053 .79529 L
.67106 .79578 L
.67246 .7971 L
.67311 .79771 L
.67439 .79892 L
.67515 .79964 L
.67631 .80074 L
.6772 .80156 L
.67824 .80255 L
.67924 .80349 L
.68017 .80436 L
.68129 .80542 L
.68209 .80618 L
.68334 .80735 L
.68402 .80798 L
.6854 .80927 L
.68595 .80979 L
.68746 .8112 L
.68788 .81159 L
.68952 .81313 L
.6898 .81339 L
.69158 .81505 L
.69173 .81519 L
.69365 .81698 L
.69366 .81699 L
.69558 .81879 L
.69571 .81891 L
.69751 .82059 L
.69777 .82083 L
.69944 .8224 L
.69982 .82276 L
.70136 .82421 L
.70185 .82469 L
.70329 .82604 L
.70388 .82661 L
.70522 .82789 L
.70588 .82854 L
.70715 .82976 L
.70786 .83047 L
.70907 .83165 L
.70981 .8324 L
.711 .83357 L
.71174 .83432 L
.71293 .83551 L
.71364 .83625 L
.71485 .83749 L
.71551 .83818 L
.71678 .8395 L
.71737 .8401 L
.71871 .84152 L
.7192 .84203 L
.72063 .84356 L
.72101 .84396 L
.72256 .84562 L
.72282 .84588 L
.72449 .84769 L
.72461 .84781 L
.72639 .84974 L
.72641 .84976 L
.72817 .85166 L
.72834 .85185 L
.72995 .85359 L
.73027 .85394 L
.73172 .85552 L
.7322 .85604 L
.73349 .85745 L
.73412 .85813 L
.73526 .85937 L
.73605 .86023 L
.73703 .8613 L
.73798 .86233 L
.73879 .86323 L
.7399 .86444 L
.74056 .86515 L
.74183 .86655 L
.74231 .86708 L
.74376 .86867 L
.74406 .86901 L
.74568 .8708 L
.7458 .87093 L
.74753 .87286 L
.74761 .87295 L
.74925 .87479 L
.74954 .87511 L
.75095 .87671 L
.75146 .8773 L
.75264 .87864 L
.75339 .8795 L
.75431 .88057 L
.75532 .88174 L
.75596 .8825 L
.75725 .884 L
.7576 .88442 L
.75917 .88631 L
.75921 .88635 L
.76079 .88828 L
.7611 .88865 L
.76235 .8902 L
.76303 .89104 L
.76389 .89213 L
.76495 .89348 L
.7654 .89406 L
.76687 .89598 L
.76688 .89599 L
.76832 .89791 L
.76881 .89858 L
.76972 .89984 L
.77073 .90126 L
.77108 .90177 L
.7724 .90369 L
.77266 .90408 L
.77365 .90562 L
.77459 .90711 L
.77484 .90755 L
.77594 .90947 L
.77651 .91049 L
.77692 .9114 L
.77774 .91333 L
.77828 .91525 L
.77816 .91718 L
.77651 .9184 L
.77459 .91815 L
.77266 .91756 L
.77146 .91718 L
.77073 .91678 L
.76881 .91587 L
.76759 .91525 L
.76688 .91485 L
.76495 .91376 L
.7642 .91333 L
.76303 .91262 L
.7611 .91142 L
.76107 .9114 L
.75917 .91017 L
.7581 .90947 L
.75725 .9089 L
.75532 .90759 L
.75526 .90755 L
.75339 .90625 L
.7525 .90562 L
.75146 .90488 L
.74981 .90369 L
.74954 .90349 L
.74761 .90208 L
.74718 .90177 L
.74568 .90065 L
.7446 .89984 L
.74376 .8992 L
.74206 .89791 L
.74183 .89774 L
.7399 .89625 L
.73955 .89598 L
.73798 .89475 L
.73708 .89406 L
.73605 .89324 L
.73464 .89213 L
.73412 .89172 L
.73222 .8902 L
.7322 .89018 L
.73027 .88863 L
.72983 .88828 L
.72834 .88706 L
.72746 .88635 L
.72641 .88549 L
.72511 .88442 L
.72449 .8839 L
.72278 .8825 L
.72256 .88231 L
.72063 .8807 L
.72047 .88057 L
.71871 .87909 L
.71818 .87864 L
.71678 .87746 L
.7159 .87671 L
.71485 .87582 L
.71364 .87479 L
.71293 .87418 L
.71139 .87286 L
.711 .87253 L
.70915 .87093 L
.70907 .87087 L
.70715 .86919 L
.70693 .86901 L
.70522 .86751 L
.70472 .86708 L
.70329 .86582 L
.70253 .86515 L
.70136 .86413 L
.70034 .86323 L
.69944 .86243 L
.69817 .8613 L
.69751 .86071 L
.696 .85937 L
.69558 .859 L
.69385 .85745 L
.69366 .85727 L
.69173 .85554 L
.69171 .85552 L
.6898 .85379 L
.68958 .85359 L
.68788 .85204 L
.68746 .85166 L
.68595 .85029 L
.68535 .84974 L
.68402 .84852 L
.68325 .84781 L
.68209 .84675 L
.68115 .84588 L
.68017 .84497 L
.67907 .84396 L
.67824 .84319 L
.677 .84203 L
.67631 .84139 L
.67493 .8401 L
.67439 .83959 L
.67288 .83818 L
.67246 .83779 L
.67083 .83625 L
.67053 .83597 L
.66879 .83432 L
.66861 .83415 L
.66676 .8324 L
.66668 .83232 L
.66475 .83048 L
.66474 .83047 L
.66283 .82864 L
.66272 .82854 L
.6609 .82679 L
.66072 .82661 L
.65897 .82493 L
.65872 .82469 L
.65704 .82306 L
.65674 .82276 L
.65512 .82118 L
.65476 .82083 L
.65319 .8193 L
.65279 .81891 L
.65126 .81741 L
.65082 .81698 L
.64934 .81551 L
.64887 .81505 L
.64741 .81361 L
.64692 .81313 L
.64548 .81169 L
.64499 .8112 L
.64356 .80977 L
.64306 .80927 L
.64163 .80784 L
.64114 .80735 L
.6397 .8059 L
.63922 .80542 L
.63778 .80395 L
.63732 .80349 L
.63585 .802 L
.63543 .80156 L
.63392 .80003 L
.63354 .79964 L
.63199 .79805 L
.63166 .79771 L
.63007 .79607 L
.62979 .79578 L
.62814 .79407 L
.62793 .79386 L
.62621 .79207 L
.62608 .79193 L
.62429 .79005 L
.62424 .79 L
.62241 .78808 L
.62236 .78802 L
.62059 .78615 L
.62043 .78598 L
.61878 .78422 L
.61851 .78393 L
.61699 .7823 L
.61658 .78186 L
.6152 .78037 L
.61465 .77978 L
.61342 .77844 L
.61273 .77769 L
.61165 .77651 L
.6108 .77558 L
.6099 .77459 L
.60887 .77346 L
.60815 .77266 L
.60694 .77132 L
.60642 .77073 L
.60502 .76916 L
.60471 .76881 L
.60309 .76698 L
.603 .76688 L
.60131 .76495 L
.60116 .76478 L
.59964 .76303 L
.59924 .76256 L
.59798 .7611 L
.59731 .76032 L
.59634 .75917 L
.59538 .75804 L
.59471 .75725 L
.59346 .75574 L
.59311 .75532 L
.59153 .7534 L
.59152 .75339 L
.58996 .75146 L
.5896 .75102 L
.58842 .74954 L
.58768 .7486 L
.58691 .74761 L
.58575 .74612 L
.58542 .74568 L
.58396 .74376 L
.58382 .74357 L
.58254 .74183 L
.58189 .74094 L
.58116 .7399 L
.57997 .73818 L
.57983 .73798 L
.57855 .73605 L
.57804 .73527 L
.57733 .73412 L
.5762 .7322 L
.57611 .73207 L
.57517 .73027 L
.5743 .72834 L
.57419 .72805 L
.57364 .72641 L
.57341 .72449 L
F
0 .77 1 r
.57419 .57529 m
.57497 .57611 L
.57611 .57734 L
.57666 .57804 L
.57804 .57977 L
.57818 .57997 L
.57948 .58189 L
.57997 .58259 L
.58066 .58382 L
.57997 .58474 L
.57914 .58382 L
.57804 .58264 L
.57745 .58189 L
.57611 .58023 L
.57592 .57997 L
.57459 .57804 L
.57419 .57746 L
.57343 .57611 L
F
1 .95 0 r
.57419 .56836 m
.57491 .56841 L
.57611 .56874 L
.57804 .57014 L
.57821 .57033 L
.57993 .57226 L
.57997 .5723 L
.58147 .57419 L
.58189 .57477 L
.58312 .57611 L
.58382 .57736 L
.58431 .57804 L
.58575 .5799 L
.58583 .57997 L
.58723 .58189 L
.58768 .58238 L
.58877 .58382 L
.5896 .58511 L
.58994 .58575 L
.5914 .58768 L
.59153 .58786 L
.59274 .5896 L
.59346 .59065 L
.59418 .59153 L
.59532 .59346 L
.59538 .59356 L
.5964 .59538 L
.59693 .59731 L
.59538 .59749 L
.59477 .59731 L
.59346 .59621 L
.5924 .59538 L
.59153 .5943 L
.59018 .59346 L
.5896 .592 L
.58902 .59153 L
.58768 .58964 L
.58761 .5896 L
.58605 .58768 L
.58575 .58731 L
.58428 .58575 L
.58382 .5847 L
.58316 .58382 L
.58189 .58209 L
.58185 .58189 L
.58032 .57997 L
.57997 .57969 L
.57865 .57804 L
.57804 .57696 L
.57755 .57611 L
.57617 .57419 L
.57611 .57411 L
.57488 .57226 L
.57419 .57112 L
.57353 .57033 L
.57398 .56841 L
F
1 .6 0 r
.57419 .49994 m
.57506 .50096 L
.57611 .50213 L
.57674 .50289 L
.57804 .50443 L
.57835 .50482 L
.57992 .50674 L
.57997 .5068 L
.58143 .50867 L
.58189 .50923 L
.58296 .5106 L
.58382 .51107 L
.58448 .51253 L
.58575 .5141 L
.58615 .51445 L
.58744 .51638 L
.58768 .51667 L
.58891 .51831 L
.5896 .51868 L
.59038 .52023 L
.59153 .52167 L
.59203 .52216 L
.59329 .52409 L
.59346 .5243 L
.59472 .52601 L
.59538 .52642 L
.59617 .52794 L
.59731 .5294 L
.59775 .52987 L
.59903 .53179 L
.59924 .53207 L
.60044 .53372 L
.60116 .53427 L
.60187 .53565 L
.60309 .53726 L
.60337 .53758 L
.60468 .5395 L
.60502 .53995 L
.60608 .54143 L
.60694 .54223 L
.60749 .54336 L
.60887 .54526 L
.60889 .54528 L
.61024 .54721 L
.6108 .54796 L
.61162 .54914 L
.61273 .55042 L
.6134 .55106 L
.61436 .55299 L
.61465 .55339 L
.61569 .55492 L
.61658 .55615 L
.61705 .55684 L
.61839 .55877 L
.61851 .55893 L
.61965 .5607 L
.62043 .56181 L
.62095 .56263 L
.62222 .56455 L
.62236 .56476 L
.62327 .56648 L
.62236 .56681 L
.62209 .56648 L
.62043 .56464 L
.62037 .56455 L
.61879 .56263 L
.61851 .56231 L
.61724 .5607 L
.61658 .55993 L
.61569 .55877 L
.61465 .55751 L
.61415 .55684 L
.61273 .55509 L
.6125 .55492 L
.61116 .55299 L
.6108 .55255 L
.60969 .55106 L
.60887 .55004 L
.6082 .54914 L
.60694 .54759 L
.60653 .54721 L
.60528 .54528 L
.60502 .54495 L
.60385 .54336 L
.60309 .54238 L
.6024 .54143 L
.60116 .53988 L
.60078 .5395 L
.59952 .53758 L
.59924 .53721 L
.59811 .53565 L
.59731 .53513 L
.59668 .53372 L
.59538 .53205 L
.59515 .53179 L
.59385 .52987 L
.59346 .52936 L
.59245 .52794 L
.59153 .52717 L
.59103 .52601 L
.5896 .52409 L
.5896 .52408 L
.58825 .52216 L
.58768 .5214 L
.58686 .52023 L
.58575 .51903 L
.58545 .51831 L
.58408 .51638 L
.58382 .51603 L
.58274 .51445 L
.58189 .51331 L
.58137 .51253 L
.57997 .5106 L
.57997 .5106 L
.57869 .50867 L
.57804 .50778 L
.57737 .50674 L
.57611 .50498 L
.57601 .50482 L
.5748 .50289 L
.57419 .50201 L
.5736 .50096 L
F
0 .88 1 r
.57419 .49162 m
.57569 .49326 L
.57611 .4937 L
.5774 .49518 L
.57804 .49591 L
.57905 .49711 L
.57997 .49805 L
.58066 .49904 L
.58189 .50056 L
.58233 .50096 L
.58377 .50289 L
.58382 .50295 L
.58531 .50482 L
.58575 .50528 L
.58684 .50674 L
.58768 .50784 L
.58841 .50867 L
.5896 .51035 L
.58974 .5106 L
.59132 .51253 L
.59153 .51276 L
.59281 .51445 L
.59346 .51533 L
.59429 .51638 L
.59538 .51792 L
.59556 .51831 L
.59719 .52023 L
.59731 .52038 L
.59904 .52216 L
.59924 .52297 L
.60007 .52409 L
.60116 .52559 L
.60132 .52601 L
.60297 .52794 L
.60309 .52808 L
.60469 .52987 L
.60502 .5307 L
.60579 .53179 L
.60694 .53334 L
.60704 .53372 L
.6087 .53565 L
.60887 .53585 L
.61035 .53758 L
.6108 .53849 L
.61148 .5395 L
.61273 .54114 L
.61275 .54143 L
.6144 .54336 L
.61465 .54366 L
.61599 .54528 L
.61658 .54633 L
.61714 .54721 L
.61851 .54898 L
.61865 .54914 L
.62005 .55106 L
.62043 .55152 L
.62161 .55299 L
.62236 .55421 L
.62278 .55492 L
.62428 .55684 L
.62429 .55685 L
.62568 .55877 L
.62621 .55942 L
.62721 .5607 L
.62814 .56214 L
.6284 .56263 L
.62988 .56455 L
.63007 .56464 L
.63128 .56648 L
.63199 .56737 L
.63277 .56841 L
.63392 .57012 L
.63403 .57033 L
.63545 .57226 L
.63585 .57252 L
.63742 .57419 L
.63778 .5754 L
.63829 .57611 L
.6396 .57804 L
.6397 .57818 L
.64096 .57997 L
.64163 .58055 L
.64279 .58189 L
.64356 .58357 L
.64373 .58382 L
.64504 .58575 L
.64548 .58637 L
.64638 .58768 L
.64741 .58889 L
.64796 .5896 L
.64904 .59153 L
.64934 .59195 L
.65032 .59346 L
.65126 .59482 L
.65163 .59538 L
.65287 .59731 L
.65319 .59779 L
.65404 .59924 L
.65512 .60097 L
.65522 .60116 L
.65512 .60275 L
.65351 .60116 L
.65319 .60087 L
.65175 .59924 L
.65126 .59872 L
.65008 .59731 L
.64934 .59646 L
.64846 .59538 L
.64741 .59427 L
.64687 .59346 L
.64548 .59175 L
.64525 .59153 L
.6438 .5896 L
.64356 .58931 L
.64229 .58768 L
.64163 .58698 L
.64078 .58575 L
.6397 .58438 L
.6392 .58382 L
.63781 .58189 L
.63778 .58185 L
.63635 .57997 L
.63585 .57943 L
.63425 .57804 L
.63392 .5768 L
.63335 .57611 L
.63199 .57422 L
.63198 .57419 L
.63053 .57226 L
.63007 .57175 L
.6286 .57033 L
.62814 .5691 L
.62759 .56841 L
.62621 .5665 L
.62621 .56648 L
.62478 .56455 L
.62429 .564 L
.62296 .56263 L
.62236 .56132 L
.62189 .5607 L
.62049 .55877 L
.62043 .55876 L
.61908 .55684 L
.61851 .5562 L
.61733 .55492 L
.61658 .5535 L
.61621 .55299 L
.61481 .55106 L
.61465 .55102 L
.61341 .54914 L
.61273 .54835 L
.61172 .54721 L
.6108 .54563 L
.61056 .54528 L
.60916 .54336 L
.60887 .54323 L
.60776 .54143 L
.60694 .54047 L
.60613 .5395 L
.60502 .53772 L
.60492 .53758 L
.60353 .53565 L
.60309 .5354 L
.60213 .53372 L
.60116 .53254 L
.60056 .53179 L
.5993 .52987 L
.59924 .52978 L
.59793 .52794 L
.59731 .52749 L
.59584 .52601 L
.59538 .52455 L
.59502 .52409 L
.59373 .52216 L
.59346 .5218 L
.59236 .52023 L
.59153 .51948 L
.59045 .51831 L
.5896 .51649 L
.58952 .51638 L
.58819 .51445 L
.58768 .51376 L
.58683 .51253 L
.58575 .51131 L
.58515 .5106 L
.58406 .50867 L
.58382 .50835 L
.58273 .50674 L
.58189 .50561 L
.58136 .50482 L
.57998 .50289 L
.57997 .50288 L
.5787 .50096 L
.57804 .50005 L
.57739 .49904 L
.57611 .49722 L
.57604 .49711 L
.57484 .49518 L
.57419 .49422 L
.57364 .49326 L
F
0 .76 1 r
.57419 .57555 m
.57476 .57611 L
.57611 .57751 L
.57652 .57804 L
.57804 .57994 L
.57806 .57997 L
.57931 .58189 L
.57997 .58287 L
.58045 .58382 L
.57997 .58446 L
.57936 .58382 L
.57804 .58245 L
.5776 .58189 L
.57611 .58005 L
.57605 .57997 L
.57476 .57804 L
.57419 .57718 L
.57364 .57611 L
F
0 .2 1 r
.57419 .50835 m
.57442 .50867 L
.57419 .50956 L
.57371 .50867 L
F
1 .59 0 r
.57419 .50011 m
.57493 .50096 L
.57611 .50224 L
.57665 .50289 L
.57804 .50452 L
.57828 .50482 L
.57984 .50674 L
.57997 .50689 L
.58137 .50867 L
.58189 .5093 L
.5829 .5106 L
.58382 .51115 L
.58443 .51253 L
.58575 .51417 L
.58607 .51445 L
.58739 .51638 L
.58768 .51673 L
.58887 .51831 L
.5896 .51873 L
.59034 .52023 L
.59153 .52173 L
.59197 .52216 L
.59325 .52409 L
.59346 .52435 L
.59469 .52601 L
.59538 .52647 L
.59613 .52794 L
.59731 .52945 L
.5977 .52987 L
.59899 .53179 L
.59924 .53212 L
.6004 .53372 L
.60116 .53431 L
.60183 .53565 L
.60309 .53731 L
.60332 .53758 L
.60464 .5395 L
.60502 .54 L
.60604 .54143 L
.60694 .54229 L
.60745 .54336 L
.60885 .54528 L
.60887 .54531 L
.6102 .54721 L
.6108 .54802 L
.61158 .54914 L
.61273 .5505 L
.61331 .55106 L
.61431 .55299 L
.61465 .55345 L
.61565 .55492 L
.61658 .55622 L
.617 .55684 L
.61833 .55877 L
.61851 .55902 L
.61958 .5607 L
.62043 .56192 L
.62088 .56263 L
.62043 .56452 L
.61888 .56263 L
.61851 .56222 L
.61731 .5607 L
.61658 .55985 L
.61575 .55877 L
.61465 .55744 L
.6142 .55684 L
.61273 .55501 L
.6126 .55492 L
.6112 .55299 L
.6108 .55249 L
.60973 .55106 L
.60887 .54998 L
.60824 .54914 L
.60694 .54753 L
.60659 .54721 L
.60532 .54528 L
.60502 .5449 L
.60388 .54336 L
.60309 .54233 L
.60243 .54143 L
.60116 .53983 L
.60083 .5395 L
.59956 .53758 L
.59924 .53716 L
.59814 .53565 L
.59731 .53508 L
.59671 .53372 L
.59538 .532 L
.59519 .53179 L
.59388 .52987 L
.59346 .52931 L
.59248 .52794 L
.59153 .52711 L
.59106 .52601 L
.58964 .52409 L
.5896 .52404 L
.58829 .52216 L
.58768 .52135 L
.5869 .52023 L
.58575 .51895 L
.58549 .51831 L
.58412 .51638 L
.58382 .51598 L
.58278 .51445 L
.58189 .51325 L
.58141 .51253 L
.58002 .5106 L
.57997 .51053 L
.57875 .50867 L
.57804 .50771 L
.57743 .50674 L
.57611 .50489 L
.57607 .50482 L
.5749 .50289 L
.57419 .50186 L
.57371 .50096 L
F
1 .94 0 r
.57419 .56872 m
.57611 .5689 L
.57801 .57033 L
.57804 .57036 L
.5798 .57226 L
.57997 .57245 L
.58137 .57419 L
.58189 .57489 L
.58305 .57611 L
.58382 .57745 L
.58425 .57804 L
.58575 .57996 L
.58575 .57997 L
.58716 .58189 L
.58768 .58246 L
.58871 .58382 L
.5896 .58522 L
.58988 .58575 L
.59131 .58768 L
.59153 .58799 L
.59264 .5896 L
.59346 .59081 L
.59405 .59153 L
.59515 .59346 L
.59538 .59387 L
.59614 .59538 L
.59538 .59719 L
.59346 .59594 L
.59268 .59538 L
.59153 .59409 L
.59036 .59346 L
.5896 .59187 L
.58914 .59153 L
.58768 .58961 L
.58765 .5896 L
.58614 .58768 L
.58575 .5872 L
.58434 .58575 L
.58382 .5846 L
.58323 .58382 L
.58189 .58201 L
.58187 .58189 L
.58039 .57997 L
.57997 .57962 L
.57871 .57804 L
.57804 .57685 L
.57762 .57611 L
.57626 .57419 L
.57611 .57397 L
.575 .57226 L
.57419 .57086 L
.57377 .57033 L
F
1 .58 0 r
.57419 .5003 m
.57478 .50096 L
.57611 .50236 L
.57655 .50289 L
.57804 .50462 L
.5782 .50482 L
.57977 .50674 L
.57997 .50697 L
.58131 .50867 L
.58189 .50938 L
.58285 .5106 L
.58382 .51123 L
.58437 .51253 L
.58575 .51425 L
.58599 .51445 L
.58735 .51638 L
.58768 .51679 L
.58882 .51831 L
.5896 .51878 L
.5903 .52023 L
.59153 .52179 L
.59191 .52216 L
.59321 .52409 L
.59346 .52441 L
.59465 .52601 L
.59538 .52651 L
.5961 .52794 L
.59731 .5295 L
.59765 .52987 L
.59895 .53179 L
.59924 .53217 L
.60037 .53372 L
.60116 .53436 L
.6018 .53565 L
.60309 .53737 L
.60327 .53758 L
.6046 .5395 L
.60502 .54005 L
.606 .54143 L
.60694 .54235 L
.60741 .54336 L
.60881 .54528 L
.60887 .54537 L
.61016 .54721 L
.6108 .54807 L
.61154 .54914 L
.61273 .55059 L
.61322 .55106 L
.61426 .55299 L
.61465 .55352 L
.6156 .55492 L
.61658 .55629 L
.61695 .55684 L
.61826 .55877 L
.61851 .55911 L
.61951 .5607 L
.62043 .56203 L
.6208 .56263 L
.62043 .56439 L
.61898 .56263 L
.61851 .56212 L
.61738 .5607 L
.61658 .55977 L
.61581 .55877 L
.61465 .55737 L
.61425 .55684 L
.61273 .55493 L
.6127 .55492 L
.61125 .55299 L
.6108 .55243 L
.60977 .55106 L
.60887 .54993 L
.60828 .54914 L
.60694 .54746 L
.60666 .54721 L
.60536 .54528 L
.60502 .54485 L
.60392 .54336 L
.60309 .54229 L
.60246 .54143 L
.60116 .53978 L
.60088 .5395 L
.59959 .53758 L
.59924 .53712 L
.59818 .53565 L
.59731 .53503 L
.59674 .53372 L
.59538 .53194 L
.59524 .53179 L
.59392 .52987 L
.59346 .52927 L
.59252 .52794 L
.59153 .52705 L
.59109 .52601 L
.58968 .52409 L
.5896 .52399 L
.58832 .52216 L
.58768 .5213 L
.58693 .52023 L
.58575 .51888 L
.58552 .51831 L
.58416 .51638 L
.58382 .51592 L
.58283 .51445 L
.58189 .51319 L
.58145 .51253 L
.58007 .5106 L
.57997 .51046 L
.5788 .50867 L
.57804 .50762 L
.57748 .50674 L
.57613 .50482 L
.57611 .50479 L
.575 .50289 L
.57419 .50168 L
.57384 .50096 L
F
0 .19 1 r
.57419 .50848 m
.57433 .50867 L
.57419 .5094 L
.57384 .50867 L
F
0 .87 1 r
.57419 .49207 m
.57536 .49326 L
.57611 .494 L
.57716 .49518 L
.57804 .49615 L
.57886 .49711 L
.57997 .49826 L
.5805 .49904 L
.58189 .50074 L
.58214 .50096 L
.58364 .50289 L
.58382 .50311 L
.58519 .50482 L
.58575 .5054 L
.58673 .50674 L
.58768 .50797 L
.58831 .50867 L
.5896 .51045 L
.58969 .5106 L
.59123 .51253 L
.59153 .51286 L
.59273 .51445 L
.59346 .51543 L
.59422 .51638 L
.59538 .518 L
.59553 .51831 L
.59712 .52023 L
.59731 .52045 L
.59901 .52216 L
.59924 .52305 L
.60001 .52409 L
.60116 .52566 L
.60129 .52601 L
.60292 .52794 L
.60309 .52814 L
.60466 .52987 L
.60502 .53077 L
.60575 .53179 L
.60694 .5334 L
.60702 .53372 L
.60866 .53565 L
.60887 .5359 L
.61031 .53758 L
.6108 .53855 L
.61144 .5395 L
.61273 .54119 L
.61274 .54143 L
.61435 .54336 L
.61465 .54371 L
.61596 .54528 L
.61658 .54639 L
.6171 .54721 L
.61851 .54903 L
.6186 .54914 L
.62001 .55106 L
.62043 .55157 L
.62157 .55299 L
.62236 .55427 L
.62274 .55492 L
.62424 .55684 L
.62429 .55686 L
.62564 .55877 L
.62621 .55947 L
.62717 .5607 L
.62814 .5622 L
.62837 .56263 L
.62984 .56455 L
.63007 .56467 L
.63123 .56648 L
.63199 .56743 L
.63272 .56841 L
.63392 .57019 L
.63399 .57033 L
.63539 .57226 L
.63585 .57257 L
.63737 .57419 L
.63778 .57548 L
.63823 .57611 L
.63953 .57804 L
.6397 .57827 L
.64089 .57997 L
.64163 .58064 L
.6427 .58189 L
.64356 .58369 L
.64364 .58382 L
.64495 .58575 L
.64548 .58649 L
.64629 .58768 L
.64741 .58909 L
.64781 .5896 L
.64892 .59153 L
.64934 .59213 L
.65019 .59346 L
.65126 .59504 L
.65148 .59538 L
.65266 .59731 L
.65319 .59813 L
.65379 .59924 L
.65319 .60048 L
.65205 .59924 L
.65126 .59845 L
.6503 .59731 L
.64934 .59625 L
.64863 .59538 L
.64741 .59407 L
.64701 .59346 L
.64548 .59159 L
.64542 .59153 L
.64392 .5896 L
.64356 .58917 L
.64239 .58768 L
.64163 .58686 L
.64087 .58575 L
.6397 .58427 L
.63929 .58382 L
.63789 .58189 L
.63778 .58175 L
.63642 .57997 L
.63585 .57935 L
.6343 .57804 L
.63392 .57671 L
.63341 .57611 L
.63202 .57419 L
.63199 .57415 L
.63059 .57226 L
.63007 .57169 L
.62864 .57033 L
.62814 .56903 L
.62764 .56841 L
.62625 .56648 L
.62621 .56648 L
.62483 .56455 L
.62429 .56395 L
.623 .56263 L
.62236 .56127 L
.62193 .5607 L
.62053 .55877 L
.62043 .55875 L
.61912 .55684 L
.61851 .55615 L
.61737 .55492 L
.61658 .55345 L
.61625 .55299 L
.61485 .55106 L
.61465 .551 L
.61344 .54914 L
.61273 .54831 L
.61176 .54721 L
.6108 .54558 L
.61059 .54528 L
.60919 .54336 L
.60887 .54321 L
.60779 .54143 L
.60694 .54042 L
.60617 .5395 L
.60502 .53768 L
.60495 .53758 L
.60357 .53565 L
.60309 .53537 L
.60217 .53372 L
.60116 .53248 L
.6006 .53179 L
.59934 .52987 L
.59924 .52973 L
.59797 .52794 L
.59731 .52744 L
.59589 .52601 L
.59538 .52449 L
.59507 .52409 L
.59377 .52216 L
.59346 .52174 L
.5924 .52023 L
.59153 .51941 L
.59052 .51831 L
.5896 .5164 L
.58958 .51638 L
.58825 .51445 L
.58768 .51368 L
.58688 .51253 L
.58575 .51119 L
.58524 .5106 L
.58413 .50867 L
.58382 .50826 L
.5828 .50674 L
.58189 .5055 L
.58144 .50482 L
.58008 .50289 L
.57997 .50274 L
.57881 .50096 L
.57804 .49989 L
.57751 .49904 L
.57618 .49711 L
.57611 .49701 L
.57504 .49518 L
.57419 .49387 L
.57388 .49326 L
F
0 .75 1 r
.57419 .57589 m
.57445 .57611 L
.57611 .57771 L
.57637 .57804 L
.57611 .57983 L
.57496 .57804 L
.57419 .57678 L
.57394 .57611 L
F
1 .57 0 r
.57419 .50054 m
.57459 .50096 L
.57611 .50249 L
.57645 .50289 L
.57804 .50472 L
.57812 .50482 L
.57969 .50674 L
.57997 .50706 L
.58124 .50867 L
.58189 .50945 L
.58279 .5106 L
.58382 .51133 L
.58432 .51253 L
.58575 .51432 L
.5859 .51445 L
.5873 .51638 L
.58768 .51685 L
.58878 .51831 L
.5896 .51884 L
.59026 .52023 L
.59153 .52185 L
.59185 .52216 L
.59317 .52409 L
.59346 .52446 L
.59461 .52601 L
.59538 .52656 L
.59606 .52794 L
.59731 .52956 L
.5976 .52987 L
.59891 .53179 L
.59924 .53222 L
.60033 .53372 L
.60116 .53441 L
.60176 .53565 L
.60309 .53742 L
.60322 .53758 L
.60457 .5395 L
.60502 .5401 L
.60597 .54143 L
.60694 .54242 L
.60738 .54336 L
.60876 .54528 L
.60887 .54542 L
.61012 .54721 L
.6108 .54813 L
.6115 .54914 L
.61273 .55068 L
.61312 .55106 L
.61421 .55299 L
.61465 .55359 L
.61554 .55492 L
.61658 .55637 L
.6169 .55684 L
.61819 .55877 L
.61851 .55921 L
.61943 .5607 L
.62043 .56216 L
.62072 .56263 L
.62043 .56424 L
.61909 .56263 L
.61851 .56201 L
.61746 .5607 L
.61658 .55969 L
.61587 .55877 L
.61465 .5573 L
.6143 .55684 L
.61277 .55492 L
.61273 .55486 L
.6113 .55299 L
.6108 .55237 L
.60982 .55106 L
.60887 .54988 L
.60832 .54914 L
.60694 .5474 L
.60673 .54721 L
.6054 .54528 L
.60502 .5448 L
.60396 .54336 L
.60309 .54224 L
.6025 .54143 L
.60116 .53972 L
.60094 .5395 L
.59963 .53758 L
.59924 .53707 L
.59821 .53565 L
.59731 .53498 L
.59677 .53372 L
.59538 .53189 L
.59529 .53179 L
.59395 .52987 L
.59346 .52922 L
.59255 .52794 L
.59153 .52699 L
.59112 .52601 L
.58971 .52409 L
.5896 .52394 L
.58836 .52216 L
.58768 .52125 L
.58697 .52023 L
.58575 .51879 L
.58556 .51831 L
.58421 .51638 L
.58382 .51587 L
.58287 .51445 L
.58189 .51313 L
.58149 .51253 L
.58013 .5106 L
.57997 .51038 L
.57886 .50867 L
.57804 .50754 L
.57754 .50674 L
.57622 .50482 L
.57611 .50467 L
.57512 .50289 L
.57419 .50144 L
.57399 .50096 L
F
1 .93 0 r
.57419 .5692 m
.57611 .56904 L
.57779 .57033 L
.57804 .57053 L
.57967 .57226 L
.57997 .5726 L
.58127 .57419 L
.58189 .575 L
.58297 .57611 L
.58382 .57755 L
.58419 .57804 L
.58568 .57997 L
.58575 .57998 L
.58709 .58189 L
.58768 .58254 L
.58864 .58382 L
.5896 .58533 L
.58982 .58575 L
.59122 .58768 L
.59153 .58812 L
.59254 .5896 L
.59346 .59098 L
.59392 .59153 L
.59497 .59346 L
.59538 .59425 L
.59586 .59538 L
.59538 .59669 L
.59346 .5957 L
.59297 .59538 L
.59153 .5939 L
.59059 .59346 L
.5896 .59175 L
.58927 .59153 L
.58773 .5896 L
.58768 .58956 L
.58623 .58768 L
.58575 .5871 L
.5844 .58575 L
.58382 .58451 L
.58329 .58382 L
.58189 .58194 L
.58188 .58189 L
.58045 .57997 L
.57997 .57955 L
.57877 .57804 L
.57804 .57674 L
.57769 .57611 L
.57636 .57419 L
.57611 .57382 L
.57512 .57226 L
.57419 .57053 L
.57404 .57033 L
F
0 .18 1 r
.57419 .50865 m
.5742 .50867 L
.57419 .50916 L
.57407 .50867 L
F
1 .92 0 r
.57611 .56918 m
.57755 .57033 L
.57804 .57068 L
.57953 .57226 L
.57997 .57273 L
.58117 .57419 L
.58189 .57511 L
.5829 .57611 L
.58382 .57763 L
.58413 .57804 L
.58561 .57997 L
.58575 .58 L
.58702 .58189 L
.58768 .58263 L
.58857 .58382 L
.5896 .58545 L
.58976 .58575 L
.59113 .58768 L
.59153 .58826 L
.59244 .5896 L
.59346 .59116 L
.59377 .59153 L
.59478 .59346 L
.59538 .59482 L
.59554 .59538 L
.59538 .59602 L
.59346 .59547 L
.59332 .59538 L
.59153 .59373 L
.59087 .59346 L
.5896 .59165 L
.58941 .59153 L
.58784 .5896 L
.58768 .58946 L
.58632 .58768 L
.58575 .587 L
.58447 .58575 L
.58382 .58442 L
.58336 .58382 L
.58193 .58189 L
.58189 .58185 L
.58052 .57997 L
.57997 .57948 L
.57884 .57804 L
.57804 .57661 L
.57776 .57611 L
.57645 .57419 L
.57611 .57367 L
.57524 .57226 L
.57431 .57033 L
F
1 .91 0 r
.57611 .56935 m
.57729 .57033 L
.57804 .57082 L
.57939 .57226 L
.57997 .57286 L
.58107 .57419 L
.58189 .57522 L
.58281 .57611 L
.58382 .57772 L
.58406 .57804 L
.58553 .57997 L
.58575 .58002 L
.58694 .58189 L
.58768 .58273 L
.5885 .58382 L
.5896 .58556 L
.5897 .58575 L
.59104 .58768 L
.59153 .5884 L
.59233 .5896 L
.59346 .59136 L
.5936 .59153 L
.59458 .59346 L
.59346 .59518 L
.59153 .59357 L
.59123 .59346 L
.5896 .59155 L
.58957 .59153 L
.58796 .5896 L
.58768 .58937 L
.58641 .58768 L
.58575 .58689 L
.58454 .58575 L
.58382 .58432 L
.58343 .58382 L
.582 .58189 L
.58189 .58176 L
.58059 .57997 L
.57997 .5794 L
.57891 .57804 L
.57804 .57649 L
.57783 .57611 L
.57655 .57419 L
.57611 .57351 L
.57536 .57226 L
.57458 .57033 L
F
1 .9 0 r
.57611 .5696 m
.57699 .57033 L
.57804 .57096 L
.57925 .57226 L
.57997 .57299 L
.58097 .57419 L
.58189 .57533 L
.58273 .57611 L
.58382 .57781 L
.584 .57804 L
.58546 .57997 L
.58575 .58005 L
.58687 .58189 L
.58768 .58283 L
.58842 .58382 L
.5896 .58569 L
.58963 .58575 L
.59095 .58768 L
.59153 .58854 L
.59223 .5896 L
.59343 .59153 L
.59346 .59158 L
.59436 .59346 L
.59346 .59486 L
.5916 .59346 L
.59153 .5934 L
.58972 .59153 L
.5896 .5914 L
.58807 .5896 L
.58768 .58928 L
.5865 .58768 L
.58575 .58679 L
.58462 .58575 L
.58382 .58423 L
.5835 .58382 L
.58207 .58189 L
.58189 .58166 L
.58067 .57997 L
.57997 .57931 L
.57899 .57804 L
.57804 .57635 L
.57791 .57611 L
.57665 .57419 L
.57611 .57333 L
.57549 .57226 L
.57488 .57033 L
F
0 .74 1 r
.57611 .57795 m
.57619 .57804 L
.57611 .57953 L
.57524 .57804 L
F
1 .56 0 r
.57611 .50264 m
.57633 .50289 L
.57611 .50453 L
.57526 .50289 L
F
0 .86 1 r
.57611 .49435 m
.57689 .49518 L
.57804 .49641 L
.57865 .49711 L
.57997 .49851 L
.58032 .49904 L
.58189 .50093 L
.58194 .50096 L
.5835 .50289 L
.58382 .50327 L
.58507 .50482 L
.58575 .50553 L
.58662 .50674 L
.58768 .50809 L
.58821 .50867 L
.5896 .51056 L
.58963 .5106 L
.59114 .51253 L
.59153 .51295 L
.59265 .51445 L
.59346 .51553 L
.59415 .51638 L
.59538 .51808 L
.59549 .51831 L
.59705 .52023 L
.59731 .52053 L
.59898 .52216 L
.59924 .52313 L
.59996 .52409 L
.60116 .52573 L
.60127 .52601 L
.60286 .52794 L
.60309 .52821 L
.60463 .52987 L
.60502 .53083 L
.6057 .53179 L
.60694 .53346 L
.60701 .53372 L
.60861 .53565 L
.60887 .53596 L
.61028 .53758 L
.6108 .53861 L
.6114 .5395 L
.61273 .54124 L
.61274 .54143 L
.61431 .54336 L
.61465 .54377 L
.61592 .54528 L
.61658 .54645 L
.61706 .54721 L
.61851 .54908 L
.61856 .54914 L
.61997 .55106 L
.62043 .55162 L
.62154 .55299 L
.62236 .55433 L
.62271 .55492 L
.62419 .55684 L
.62429 .55688 L
.62559 .55877 L
.62621 .55953 L
.62712 .5607 L
.62814 .56226 L
.62834 .56263 L
.62979 .56455 L
.63007 .5647 L
.63118 .56648 L
.63199 .5675 L
.63267 .56841 L
.63392 .57027 L
.63396 .57033 L
.63534 .57226 L
.63585 .57262 L
.63732 .57419 L
.63778 .57557 L
.63816 .57611 L
.63947 .57804 L
.6397 .57836 L
.64082 .57997 L
.64163 .58075 L
.6426 .58189 L
.64355 .58382 L
.64356 .58383 L
.64486 .58575 L
.64548 .58662 L
.64619 .58768 L
.64741 .58932 L
.64763 .5896 L
.64879 .59153 L
.64934 .59232 L
.65005 .59346 L
.65126 .59528 L
.65133 .59538 L
.65241 .59731 L
.65319 .59862 L
.65346 .59924 L
.65319 .59994 L
.65245 .59924 L
.65126 .59814 L
.65054 .59731 L
.64934 .59601 L
.64881 .59538 L
.64741 .59384 L
.64716 .59346 L
.64558 .59153 L
.64548 .59142 L
.64404 .5896 L
.64356 .58903 L
.6425 .58768 L
.64163 .58674 L
.64097 .58575 L
.6397 .58415 L
.63939 .58382 L
.63797 .58189 L
.63778 .58165 L
.63649 .57997 L
.63585 .57927 L
.63437 .57804 L
.63392 .57663 L
.63347 .57611 L
.63208 .57419 L
.63199 .57408 L
.63064 .57226 L
.63007 .57163 L
.62869 .57033 L
.62814 .56897 L
.62769 .56841 L
.62629 .56648 L
.62621 .56647 L
.62487 .56455 L
.62429 .5639 L
.62303 .56263 L
.62236 .56121 L
.62197 .5607 L
.62057 .55877 L
.62043 .55874 L
.61915 .55684 L
.61851 .55611 L
.6174 .55492 L
.61658 .5534 L
.61628 .55299 L
.61488 .55106 L
.61465 .55099 L
.61348 .54914 L
.61273 .54826 L
.61179 .54721 L
.6108 .54553 L
.61062 .54528 L
.60923 .54336 L
.60887 .54319 L
.60783 .54143 L
.60694 .54037 L
.60621 .5395 L
.60502 .53763 L
.60498 .53758 L
.6036 .53565 L
.60309 .53534 L
.6022 .53372 L
.60116 .53243 L
.60065 .53179 L
.59938 .52987 L
.59924 .52968 L
.59801 .52794 L
.59731 .5274 L
.59594 .52601 L
.59538 .52442 L
.59512 .52409 L
.59382 .52216 L
.59346 .52168 L
.59245 .52023 L
.59153 .51933 L
.59059 .51831 L
.58964 .51638 L
.5896 .51633 L
.5883 .51445 L
.58768 .5136 L
.58694 .51253 L
.58575 .51107 L
.58535 .5106 L
.5842 .50867 L
.58382 .50816 L
.58288 .50674 L
.58189 .50539 L
.58152 .50482 L
.58018 .50289 L
.57997 .5026 L
.57892 .50096 L
.57804 .49971 L
.57763 .49904 L
.57636 .49711 L
.57611 .49674 L
.57528 .49518 L
F
1 .89 0 r
.57611 .56995 m
.57661 .57033 L
.57804 .5711 L
.5791 .57226 L
.57997 .57311 L
.58086 .57419 L
.58189 .57544 L
.58263 .57611 L
.58382 .5779 L
.58393 .57804 L
.58538 .57997 L
.58575 .58009 L
.5868 .58189 L
.58768 .58293 L
.58834 .58382 L
.58956 .58575 L
.5896 .58581 L
.59085 .58768 L
.59153 .58869 L
.59212 .5896 L
.59327 .59153 L
.59346 .59188 L
.59412 .59346 L
.59346 .5945 L
.59188 .59346 L
.59153 .59318 L
.58989 .59153 L
.5896 .59124 L
.58819 .5896 L
.58768 .58918 L
.5866 .58768 L
.58575 .58668 L
.58471 .58575 L
.58382 .58413 L
.58357 .58382 L
.58215 .58189 L
.58189 .58156 L
.58074 .57997 L
.57997 .57921 L
.57907 .57804 L
.57804 .57621 L
.57799 .57611 L
.57675 .57419 L
.57611 .57314 L
.57562 .57226 L
.57529 .57033 L
F
1 .55 0 r
.57611 .5028 m
.5762 .50289 L
.57611 .50436 L
.57544 .50289 L
F
1 .97 0 r
.57611 .48631 m
.5773 .48747 L
.57804 .48822 L
.57913 .4894 L
.57997 .48995 L
.58086 .49133 L
.58189 .49254 L
.58306 .49326 L
.58382 .49488 L
.5841 .49518 L
.58571 .49711 L
.58575 .49714 L
.58729 .49904 L
.58768 .49954 L
.5891 .50096 L
.5896 .50204 L
.59023 .50289 L
.59153 .50454 L
.59189 .50482 L
.59337 .50674 L
.59346 .50686 L
.59496 .50867 L
.59538 .50943 L
.59616 .5106 L
.59731 .51207 L
.59786 .51253 L
.59924 .51438 L
.59929 .51445 L
.60078 .51638 L
.60116 .517 L
.60197 .51831 L
.60309 .51971 L
.6037 .52023 L
.60502 .52204 L
.60511 .52216 L
.60654 .52409 L
.60694 .52469 L
.60771 .52601 L
.60887 .52744 L
.60946 .52794 L
.6108 .52979 L
.61086 .52987 L
.61226 .53179 L
.61273 .53247 L
.61338 .53372 L
.61465 .53523 L
.61517 .53565 L
.61657 .53758 L
.61658 .5376 L
.61793 .5395 L
.61851 .5403 L
.61902 .54143 L
.62043 .54304 L
.62085 .54336 L
.6223 .54528 L
.62236 .54544 L
.62359 .54721 L
.62429 .54815 L
.62464 .54914 L
.62621 .55086 L
.62652 .55106 L
.62799 .55299 L
.62814 .55331 L
.62922 .55492 L
.63007 .55602 L
.63025 .55684 L
.63199 .55867 L
.63216 .55877 L
.63365 .5607 L
.63392 .5612 L
.63484 .56263 L
.63585 .5639 L
.63641 .56455 L
.63778 .56647 L
.6378 .56648 L
.63929 .56841 L
.6397 .56909 L
.64046 .57033 L
.64163 .57179 L
.64204 .57226 L
.64343 .57419 L
.64356 .57433 L
.64491 .57611 L
.64548 .577 L
.64607 .57804 L
.64741 .57968 L
.64766 .57997 L
.64906 .58189 L
.64934 .58223 L
.65052 .58382 L
.65126 .58492 L
.65168 .58575 L
.65319 .58758 L
.65327 .58768 L
.65504 .5896 L
.65512 .59014 L
.65611 .59153 L
.65704 .59287 L
.6573 .59346 L
.65886 .59538 L
.65897 .59544 L
.66064 .59731 L
.6609 .5981 L
.66168 .59924 L
.66283 .60086 L
.66293 .60116 L
.66442 .60309 L
.66475 .6033 L
.66618 .60502 L
.66668 .60613 L
.66722 .60694 L
.66857 .60887 L
.66861 .60892 L
.66993 .6108 L
.67053 .6113 L
.67163 .61273 L
.67246 .61429 L
.67269 .61465 L
.67401 .61658 L
.67439 .6171 L
.67535 .61851 L
.67631 .6196 L
.6769 .62043 L
.67802 .62236 L
.67824 .62268 L
.67929 .62429 L
.68017 .62556 L
.68059 .62621 L
.68183 .62814 L
.68209 .62853 L
.68299 .63007 L
.68402 .63176 L
.68414 .63199 L
.68402 .63383 L
.68209 .63205 L
.68206 .63199 L
.68028 .63007 L
.68017 .62995 L
.6786 .62814 L
.67824 .62774 L
.67697 .62621 L
.67631 .62557 L
.67537 .62429 L
.67439 .62309 L
.67359 .62236 L
.67246 .62065 L
.67229 .62043 L
.67075 .61851 L
.67053 .61828 L
.66925 .61658 L
.66861 .61575 L
.66759 .61465 L
.66668 .61319 L
.66635 .61273 L
.66481 .6108 L
.66475 .61074 L
.66334 .60887 L
.66283 .60818 L
.66178 .60694 L
.6609 .60557 L
.66055 .60502 L
.65899 .60309 L
.65897 .60307 L
.65755 .60116 L
.65704 .60049 L
.65604 .59924 L
.65512 .59784 L
.65482 .59731 L
.65325 .59538 L
.65319 .59532 L
.65142 .59346 L
.65126 .59271 L
.65035 .59153 L
.64934 .59005 L
.64913 .5896 L
.64754 .58768 L
.64741 .58753 L
.64578 .58575 L
.64548 .58489 L
.64468 .58382 L
.64356 .58223 L
.64344 .58189 L
.64187 .57997 L
.64163 .5797 L
.64014 .57804 L
.6397 .57704 L
.63903 .57611 L
.63778 .57438 L
.63773 .57419 L
.63621 .57226 L
.63585 .57185 L
.63452 .57033 L
.63392 .56917 L
.63339 .56841 L
.63199 .56653 L
.63196 .56648 L
.63056 .56455 L
.63007 .56399 L
.6289 .56263 L
.62814 .56129 L
.62775 .5607 L
.62631 .55877 L
.62621 .55873 L
.62492 .55684 L
.62429 .55611 L
.6233 .55492 L
.62236 .55339 L
.62211 .55299 L
.62068 .55106 L
.62043 .55093 L
.61929 .54914 L
.61851 .54821 L
.6177 .54721 L
.61658 .54548 L
.61646 .54528 L
.61506 .54336 L
.61465 .54309 L
.61302 .54143 L
.61273 .54029 L
.61211 .5395 L
.61081 .53758 L
.6108 .53755 L
.60944 .53565 L
.60887 .53521 L
.6075 .53372 L
.60694 .53235 L
.60653 .53179 L
.60521 .52987 L
.60502 .52961 L
.60383 .52794 L
.60309 .52727 L
.602 .52601 L
.60116 .52437 L
.60096 .52409 L
.59962 .52216 L
.59924 .52165 L
.59824 .52023 L
.59731 .51927 L
.59652 .51831 L
.59541 .51638 L
.59538 .51635 L
.59406 .51445 L
.59346 .51365 L
.59267 .51253 L
.59153 .51116 L
.59108 .5106 L
.58988 .50867 L
.5896 .5083 L
.58853 .50674 L
.58768 .50559 L
.58715 .50482 L
.58575 .50292 L
.58573 .50289 L
.58443 .50096 L
.58382 .50014 L
.58309 .49904 L
.58189 .49739 L
.58171 .49711 L
.5804 .49518 L
.57997 .49458 L
.57914 .49326 L
.57804 .49169 L
.57782 .49133 L
.57661 .4894 L
.57611 .48864 L
.57552 .48747 L
F
0 .85 1 r
.57611 .49477 m
.57653 .49518 L
.57804 .49669 L
.57842 .49711 L
.57997 .49879 L
.58013 .49904 L
.58176 .50096 L
.58189 .50111 L
.58336 .50289 L
.58382 .50343 L
.58495 .50482 L
.58575 .50567 L
.58651 .50674 L
.58768 .50822 L
.5881 .50867 L
.58955 .5106 L
.5896 .51067 L
.59106 .51253 L
.59153 .51304 L
.59256 .51445 L
.59346 .51563 L
.59408 .51638 L
.59538 .51816 L
.59545 .51831 L
.59698 .52023 L
.59731 .5206 L
.59895 .52216 L
.59924 .52321 L
.59991 .52409 L
.60116 .52579 L
.60124 .52601 L
.60281 .52794 L
.60309 .52827 L
.60459 .52987 L
.60502 .5309 L
.60566 .53179 L
.60694 .53351 L
.60699 .53372 L
.60856 .53565 L
.60887 .53601 L
.61025 .53758 L
.6108 .53867 L
.61136 .5395 L
.61273 .5413 L
.61274 .54143 L
.61426 .54336 L
.61465 .54382 L
.61589 .54528 L
.61658 .5465 L
.61703 .54721 L
.61851 .54913 L
.61851 .54914 L
.61992 .55106 L
.62043 .55168 L
.6215 .55299 L
.62236 .55439 L
.62268 .55492 L
.62415 .55684 L
.62429 .5569 L
.62555 .55877 L
.62621 .55959 L
.62708 .5607 L
.62814 .56233 L
.6283 .56263 L
.62974 .56455 L
.63007 .56474 L
.63113 .56648 L
.63199 .56757 L
.63262 .56841 L
.63392 .57033 L
.63392 .57034 L
.63528 .57226 L
.63585 .57268 L
.63726 .57419 L
.63778 .57567 L
.6381 .57611 L
.6394 .57804 L
.6397 .57846 L
.64075 .57997 L
.64163 .58087 L
.6425 .58189 L
.64347 .58382 L
.64356 .58395 L
.64477 .58575 L
.64548 .58676 L
.6461 .58768 L
.64741 .58956 L
.64744 .5896 L
.64865 .59153 L
.64934 .59254 L
.6499 .59346 L
.65112 .59538 L
.65126 .59561 L
.65209 .59731 L
.65126 .59778 L
.65083 .59731 L
.64934 .59577 L
.64901 .59538 L
.64741 .59359 L
.64732 .59346 L
.64573 .59153 L
.64548 .59125 L
.64416 .5896 L
.64356 .58889 L
.6426 .58768 L
.64163 .58661 L
.64106 .58575 L
.6397 .58404 L
.63949 .58382 L
.63805 .58189 L
.63778 .58155 L
.63657 .57997 L
.63585 .57918 L
.63444 .57804 L
.63392 .57655 L
.63354 .57611 L
.63214 .57419 L
.63199 .574 L
.6307 .57226 L
.63007 .57157 L
.62874 .57033 L
.62814 .5689 L
.62774 .56841 L
.62634 .56648 L
.62621 .56647 L
.62492 .56455 L
.62429 .56385 L
.62308 .56263 L
.62236 .56116 L
.62201 .5607 L
.62061 .55877 L
.62043 .55873 L
.61919 .55684 L
.61851 .55606 L
.61744 .55492 L
.61658 .55335 L
.61632 .55299 L
.61492 .55106 L
.61465 .55097 L
.61351 .54914 L
.61273 .54822 L
.61183 .54721 L
.6108 .54549 L
.61066 .54528 L
.60926 .54336 L
.60887 .54317 L
.60786 .54143 L
.60694 .54032 L
.60625 .5395 L
.60502 .53758 L
.60502 .53758 L
.60364 .53565 L
.60309 .5353 L
.60224 .53372 L
.60116 .53238 L
.60069 .53179 L
.59942 .52987 L
.59924 .52963 L
.59805 .52794 L
.59731 .52734 L
.59599 .52601 L
.59538 .52436 L
.59517 .52409 L
.59386 .52216 L
.59346 .52162 L
.59249 .52023 L
.59153 .51925 L
.59067 .51831 L
.58969 .51638 L
.5896 .51626 L
.58836 .51445 L
.58768 .51353 L
.58699 .51253 L
.58575 .51095 L
.58546 .5106 L
.58428 .50867 L
.58382 .50805 L
.58296 .50674 L
.58189 .50527 L
.5816 .50482 L
.58029 .50289 L
.57997 .50244 L
.57905 .50096 L
.57804 .49951 L
.57776 .49904 L
.57658 .49711 L
.57611 .49637 L
.57562 .49518 L
F
1 .88 0 r
.57611 .57039 m
.57804 .57125 L
.57895 .57226 L
.57997 .57324 L
.58076 .57419 L
.58189 .57555 L
.58253 .57611 L
.58382 .57799 L
.58386 .57804 L
.58531 .57997 L
.58575 .58013 L
.58673 .58189 L
.58768 .58304 L
.58826 .58382 L
.58947 .58575 L
.5896 .58594 L
.59076 .58768 L
.59153 .58885 L
.59201 .5896 L
.5931 .59153 L
.59346 .59227 L
.59383 .59346 L
.59346 .59408 L
.59224 .59346 L
.59153 .59296 L
.59006 .59153 L
.5896 .59108 L
.58831 .5896 L
.58768 .58908 L
.5867 .58768 L
.58575 .58657 L
.58481 .58575 L
.58382 .58403 L
.58365 .58382 L
.58222 .58189 L
.58189 .58146 L
.58081 .57997 L
.57997 .57911 L
.57915 .57804 L
.57808 .57611 L
.57804 .57606 L
.57685 .57419 L
.57611 .57293 L
.57576 .57226 L
F
1 .2 0 r
.57611 .51835 m
.57732 .52023 L
.57804 .5212 L
.57863 .52216 L
.57997 .52406 L
.57998 .52409 L
.57997 .52526 L
.57905 .52409 L
.57804 .52305 L
.57737 .52216 L
.57611 .52069 L
.57577 .52023 L
F
1 .19 0 r
.57611 .51842 m
.57725 .52023 L
.57804 .52129 L
.57856 .52216 L
.57804 .52295 L
.57744 .52216 L
.57611 .52062 L
.57582 .52023 L
F
1 .18 0 r
.57611 .5185 m
.57718 .52023 L
.57804 .52139 L
.57849 .52216 L
.57804 .52285 L
.57752 .52216 L
.57611 .52055 L
.57588 .52023 L
F
0 .89 1 r
.57611 .55359 m
.57699 .55492 L
.57611 .55521 L
.5759 .55492 L
F
1 .98 0 r
.57611 .54719 m
.57614 .54721 L
.57804 .54882 L
.57838 .54914 L
.57997 .55039 L
.58032 .55106 L
.58189 .55278 L
.58209 .55299 L
.58372 .55492 L
.58382 .55504 L
.58526 .55684 L
.58575 .55752 L
.58668 .55877 L
.58768 .56037 L
.58789 .5607 L
.58861 .56263 L
.58768 .56312 L
.58707 .56263 L
.58575 .5614 L
.58519 .5607 L
.58382 .55939 L
.58358 .55877 L
.5821 .55684 L
.58189 .55659 L
.58072 .55492 L
.57997 .55395 L
.57932 .55299 L
.57804 .55128 L
.5779 .55106 L
.57669 .54914 L
.57611 .54828 L
.57591 .54721 L
F
1 .87 0 r
.57611 .57073 m
.57804 .57141 L
.57879 .57226 L
.57997 .57337 L
.58065 .57419 L
.58189 .57565 L
.58242 .57611 L
.58379 .57804 L
.58382 .57809 L
.58523 .57997 L
.58575 .58019 L
.58665 .58189 L
.58768 .58316 L
.58817 .58382 L
.58938 .58575 L
.5896 .58607 L
.59066 .58768 L
.59153 .58902 L
.59189 .5896 L
.59292 .59153 L
.59153 .59273 L
.59025 .59153 L
.5896 .59092 L
.58844 .5896 L
.58768 .58897 L
.58679 .58768 L
.58575 .58646 L
.58492 .58575 L
.58382 .58394 L
.58373 .58382 L
.5823 .58189 L
.58189 .58136 L
.58088 .57997 L
.57997 .57899 L
.57925 .57804 L
.57817 .57611 L
.57804 .57593 L
.57695 .57419 L
.57611 .57268 L
.57591 .57226 L
F
1 .17 0 r
.57611 .51859 m
.57711 .52023 L
.57804 .5215 L
.57841 .52216 L
.57804 .52274 L
.5776 .52216 L
.57611 .52047 L
.57593 .52023 L
F
1 .16 0 r
.57611 .51868 m
.57702 .52023 L
.57804 .52163 L
.57832 .52216 L
.57804 .52261 L
.5777 .52216 L
.57611 .52039 L
.57599 .52023 L
F
1 .15 0 r
.57611 .51879 m
.57692 .52023 L
.57804 .5218 L
.5782 .52216 L
.57804 .52244 L
.57783 .52216 L
.57611 .5203 L
.57606 .52023 L
F
1 .86 0 r
.57611 .57119 m
.57804 .5716 L
.57861 .57226 L
.57997 .5735 L
.58053 .57419 L
.58189 .57576 L
.5823 .57611 L
.5837 .57804 L
.58382 .57819 L
.58515 .57997 L
.58575 .58025 L
.58658 .58189 L
.58768 .58329 L
.58807 .58382 L
.58929 .58575 L
.5896 .5862 L
.59056 .58768 L
.59153 .5892 L
.59177 .5896 L
.59271 .59153 L
.59153 .59249 L
.59045 .59153 L
.5896 .59075 L
.58857 .5896 L
.58768 .58885 L
.5869 .58768 L
.58575 .58635 L
.58504 .58575 L
.58382 .58383 L
.58381 .58382 L
.58238 .58189 L
.58189 .58126 L
.58096 .57997 L
.57997 .57886 L
.57935 .57804 L
.57826 .57611 L
.57804 .57579 L
.57706 .57419 L
.57611 .57237 L
.57607 .57226 L
F
1 .85 0 r
.57804 .57183 m
.57842 .57226 L
.57997 .57364 L
.58042 .57419 L
.58189 .57588 L
.58218 .57611 L
.58361 .57804 L
.58382 .5783 L
.58507 .57997 L
.58575 .58034 L
.5865 .58189 L
.58768 .58343 L
.58797 .58382 L
.5892 .58575 L
.5896 .58634 L
.59046 .58768 L
.59153 .58941 L
.59164 .5896 L
.59247 .59153 L
.59153 .59223 L
.59069 .59153 L
.5896 .59058 L
.58871 .5896 L
.58768 .58872 L
.587 .58768 L
.58575 .58623 L
.58517 .58575 L
.5839 .58382 L
.58382 .58373 L
.58246 .58189 L
.58189 .58116 L
.58103 .57997 L
.57997 .57872 L
.57946 .57804 L
.57835 .57611 L
.57804 .57563 L
.57718 .57419 L
.57628 .57226 L
F
1 .84 0 r
.57804 .57209 m
.5782 .57226 L
.57997 .57378 L
.5803 .57419 L
.58189 .57599 L
.58204 .57611 L
.58352 .57804 L
.58382 .57841 L
.58499 .57997 L
.58575 .58043 L
.58642 .58189 L
.58768 .58357 L
.58786 .58382 L
.5891 .58575 L
.5896 .58649 L
.59035 .58768 L
.59151 .5896 L
.59153 .58965 L
.59218 .59153 L
.59153 .59193 L
.59098 .59153 L
.5896 .5904 L
.58885 .5896 L
.58768 .58858 L
.58711 .58768 L
.58575 .5861 L
.58531 .58575 L
.58398 .58382 L
.58382 .58362 L
.58254 .58189 L
.58189 .58106 L
.58111 .57997 L
.57997 .57857 L
.57958 .57804 L
.57845 .57611 L
.57804 .57547 L
.5773 .57419 L
.57655 .57226 L
F
0 .84 1 r
.57804 .49701 m
.57813 .49711 L
.57991 .49904 L
.57997 .49909 L
.58158 .50096 L
.58189 .50131 L
.58322 .50289 L
.58382 .5036 L
.58482 .50482 L
.58575 .50581 L
.5864 .50674 L
.58768 .50835 L
.58799 .50867 L
.58945 .5106 L
.5896 .51079 L
.59097 .51253 L
.59153 .51314 L
.59248 .51445 L
.59346 .51573 L
.594 .51638 L
.59538 .51824 L
.59541 .51831 L
.59692 .52023 L
.59731 .52068 L
.59891 .52216 L
.59924 .52329 L
.59985 .52409 L
.60116 .52586 L
.60122 .52601 L
.60275 .52794 L
.60309 .52833 L
.60456 .52987 L
.60502 .53097 L
.60561 .53179 L
.60694 .53357 L
.60698 .53372 L
.60851 .53565 L
.60887 .53607 L
.61021 .53758 L
.6108 .53873 L
.61132 .5395 L
.61273 .54135 L
.61273 .54143 L
.61422 .54336 L
.61465 .54387 L
.61585 .54528 L
.61658 .54656 L
.61699 .54721 L
.61847 .54914 L
.61851 .54915 L
.61988 .55106 L
.62043 .55173 L
.62146 .55299 L
.62236 .55445 L
.62264 .55492 L
.6241 .55684 L
.62429 .55692 L
.6255 .55877 L
.62621 .55965 L
.62704 .5607 L
.62814 .56239 L
.62827 .56263 L
.62969 .56455 L
.63007 .56477 L
.63108 .56648 L
.63199 .56764 L
.63257 .56841 L
.63386 .57033 L
.63392 .57042 L
.63522 .57226 L
.63585 .57275 L
.63719 .57419 L
.63778 .57576 L
.63803 .57611 L
.63933 .57804 L
.6397 .57855 L
.64068 .57997 L
.64163 .581 L
.64239 .58189 L
.64338 .58382 L
.64356 .58407 L
.64467 .58575 L
.64548 .5869 L
.646 .58768 L
.6473 .5896 L
.64741 .58976 L
.6485 .59153 L
.64934 .59278 L
.64974 .59346 L
.65084 .59538 L
.64934 .59549 L
.64925 .59538 L
.64752 .59346 L
.64741 .59335 L
.64589 .59153 L
.64548 .59108 L
.64429 .5896 L
.64356 .58874 L
.64271 .58768 L
.64163 .58648 L
.64116 .58575 L
.6397 .58392 L
.6396 .58382 L
.63814 .58189 L
.63778 .58145 L
.63664 .57997 L
.63585 .57909 L
.63452 .57804 L
.63392 .57647 L
.63361 .57611 L
.6322 .57419 L
.63199 .57392 L
.63075 .57226 L
.63007 .5715 L
.62879 .57033 L
.62814 .56884 L
.62779 .56841 L
.62639 .56648 L
.62621 .56646 L
.62496 .56455 L
.62429 .56379 L
.62312 .56263 L
.62236 .5611 L
.62205 .5607 L
.62065 .55877 L
.62043 .55872 L
.61923 .55684 L
.61851 .55601 L
.61748 .55492 L
.61658 .5533 L
.61635 .55299 L
.61496 .55106 L
.61465 .55095 L
.61355 .54914 L
.61273 .54817 L
.61187 .54721 L
.6108 .54544 L
.61069 .54528 L
.6093 .54336 L
.60887 .54314 L
.60789 .54143 L
.60694 .54028 L
.60629 .5395 L
.60505 .53758 L
.60502 .53753 L
.60368 .53565 L
.60309 .53526 L
.60227 .53372 L
.60116 .53232 L
.60073 .53179 L
.59946 .52987 L
.59924 .52957 L
.59809 .52794 L
.59731 .52729 L
.59605 .52601 L
.59538 .52429 L
.59522 .52409 L
.59391 .52216 L
.59346 .52156 L
.59254 .52023 L
.59153 .51917 L
.59075 .51831 L
.58975 .51638 L
.5896 .51618 L
.58842 .51445 L
.58768 .51345 L
.58705 .51253 L
.58575 .51081 L
.58557 .5106 L
.58435 .50867 L
.58382 .50794 L
.58304 .50674 L
.58189 .50515 L
.58168 .50482 L
.58041 .50289 L
.57997 .50227 L
.57918 .50096 L
.57804 .49928 L
.5779 .49904 L
.57688 .49711 L
F
1 .83 0 r
.57804 .57235 m
.57997 .57394 L
.58017 .57419 L
.58189 .57611 L
.5819 .57611 L
.58343 .57804 L
.58382 .57852 L
.58491 .57997 L
.58575 .58055 L
.58634 .58189 L
.58768 .58372 L
.58775 .58382 L
.589 .58575 L
.5896 .58665 L
.59024 .58768 L
.59133 .5896 L
.59153 .59003 L
.59165 .59153 L
.59153 .59156 L
.59145 .59153 L
.5896 .59022 L
.58901 .5896 L
.58768 .58841 L
.58722 .58768 L
.58575 .58597 L
.58546 .58575 L
.58407 .58382 L
.58382 .58351 L
.58262 .58189 L
.58189 .58095 L
.58119 .57997 L
.57997 .5784 L
.5797 .57804 L
.57855 .57611 L
.57804 .5753 L
.57742 .57419 L
F
1 .82 0 r
.57804 .57259 m
.57997 .57411 L
.58003 .57419 L
.58178 .57611 L
.58189 .57624 L
.58334 .57804 L
.58382 .57863 L
.58482 .57997 L
.58575 .58068 L
.58626 .58189 L
.58764 .58382 L
.58768 .58388 L
.5889 .58575 L
.5896 .58682 L
.59012 .58768 L
.59112 .5896 L
.5896 .59002 L
.58919 .5896 L
.58768 .58823 L
.58734 .58768 L
.58575 .58584 L
.58563 .58575 L
.58417 .58382 L
.58382 .5834 L
.5827 .58189 L
.58189 .58084 L
.58127 .57997 L
.57997 .57822 L
.57984 .57804 L
.57866 .57611 L
.57804 .5751 L
.57756 .57419 L
F
0 .21 1 r
.57804 .51312 m
.57899 .51445 L
.57997 .51564 L
.58049 .51638 L
.58189 .51818 L
.58199 .51831 L
.58335 .52023 L
.58382 .52081 L
.58474 .52216 L
.58575 .52344 L
.58618 .52409 L
.58575 .52559 L
.58469 .52409 L
.58382 .52304 L
.58321 .52216 L
.58189 .52048 L
.58172 .52023 L
.58035 .51831 L
.57997 .51784 L
.57899 .51638 L
.57804 .51518 L
.57756 .51445 L
F
1 .56 0 r
.57804 .50483 m
.5796 .50674 L
.57997 .50715 L
.58117 .50867 L
.58189 .50953 L
.58273 .5106 L
.58382 .51143 L
.58427 .51253 L
.58575 .5144 L
.58581 .51445 L
.58725 .51638 L
.58768 .51691 L
.58873 .51831 L
.5896 .5189 L
.59022 .52023 L
.59153 .52191 L
.59179 .52216 L
.59313 .52409 L
.59346 .52451 L
.59457 .52601 L
.59538 .52661 L
.59602 .52794 L
.59731 .52962 L
.59755 .52987 L
.59888 .53179 L
.59924 .53227 L
.6003 .53372 L
.60116 .53447 L
.60173 .53565 L
.60309 .53748 L
.60317 .53758 L
.60453 .5395 L
.60502 .54015 L
.60593 .54143 L
.60694 .54249 L
.60734 .54336 L
.60872 .54528 L
.60887 .54548 L
.61008 .54721 L
.6108 .54819 L
.61146 .54914 L
.61273 .55078 L
.61302 .55106 L
.61416 .55299 L
.61465 .55366 L
.61549 .55492 L
.61658 .55645 L
.61685 .55684 L
.61812 .55877 L
.61851 .55932 L
.61935 .5607 L
.62043 .56229 L
.62063 .56263 L
.62043 .56407 L
.61921 .56263 L
.61851 .5619 L
.61755 .5607 L
.61658 .5596 L
.61594 .55877 L
.61465 .55723 L
.61436 .55684 L
.61283 .55492 L
.61273 .55479 L
.61136 .55299 L
.6108 .55231 L
.60986 .55106 L
.60887 .54982 L
.60836 .54914 L
.60694 .54734 L
.6068 .54721 L
.60544 .54528 L
.60502 .54475 L
.60399 .54336 L
.60309 .5422 L
.60253 .54143 L
.60116 .53967 L
.601 .5395 L
.59966 .53758 L
.59924 .53703 L
.59824 .53565 L
.59731 .53492 L
.5968 .53372 L
.59538 .53184 L
.59534 .53179 L
.59399 .52987 L
.59346 .52918 L
.59258 .52794 L
.59153 .52693 L
.59116 .52601 L
.58975 .52409 L
.5896 .52389 L
.5884 .52216 L
.58768 .52121 L
.587 .52023 L
.58575 .51871 L
.58559 .51831 L
.58425 .51638 L
.58382 .51581 L
.58291 .51445 L
.58189 .51307 L
.58153 .51253 L
.58018 .5106 L
.57997 .5103 L
.57892 .50867 L
.57804 .50745 L
.5776 .50674 L
F
0 .2 1 r
.57804 .51321 m
.57892 .51445 L
.57997 .51572 L
.58044 .51638 L
.58189 .51825 L
.58194 .51831 L
.58328 .52023 L
.58382 .52089 L
.58468 .52216 L
.58575 .52352 L
.58613 .52409 L
.58575 .52551 L
.58476 .52409 L
.58382 .52296 L
.58327 .52216 L
.58189 .52041 L
.58177 .52023 L
.58041 .51831 L
.57997 .51777 L
.57905 .51638 L
.57804 .5151 L
.57762 .51445 L
F
1 .55 0 r
.57804 .50495 m
.57951 .50674 L
.57997 .50725 L
.5811 .50867 L
.58189 .50961 L
.58267 .5106 L
.58382 .51154 L
.58422 .51253 L
.58573 .51445 L
.58575 .51448 L
.5872 .51638 L
.58768 .51697 L
.58869 .51831 L
.5896 .51897 L
.59018 .52023 L
.59153 .52197 L
.59173 .52216 L
.59308 .52409 L
.59346 .52456 L
.59453 .52601 L
.59538 .52667 L
.59599 .52794 L
.59731 .52968 L
.59749 .52987 L
.59884 .53179 L
.59924 .53232 L
.60026 .53372 L
.60116 .53453 L
.60169 .53565 L
.60309 .53754 L
.60312 .53758 L
.60449 .5395 L
.60502 .54021 L
.60589 .54143 L
.60694 .54256 L
.6073 .54336 L
.60868 .54528 L
.60887 .54554 L
.61003 .54721 L
.6108 .54825 L
.61142 .54914 L
.61273 .55088 L
.61291 .55106 L
.61411 .55299 L
.61465 .55374 L
.61544 .55492 L
.61658 .55653 L
.61679 .55684 L
.61804 .55877 L
.61851 .55943 L
.61927 .5607 L
.62043 .56245 L
.62053 .56263 L
.62043 .56387 L
.61935 .56263 L
.61851 .56178 L
.61764 .5607 L
.61658 .55951 L
.61601 .55877 L
.61465 .55715 L
.61442 .55684 L
.61289 .55492 L
.61273 .55472 L
.61141 .55299 L
.6108 .55225 L
.60991 .55106 L
.60887 .54976 L
.6084 .54914 L
.60694 .54727 L
.60688 .54721 L
.60548 .54528 L
.60502 .5447 L
.60403 .54336 L
.60309 .54215 L
.60257 .54143 L
.60116 .53961 L
.60105 .5395 L
.5997 .53758 L
.59924 .53698 L
.59828 .53565 L
.59731 .53486 L
.59684 .53372 L
.59539 .53179 L
.59538 .53178 L
.59402 .52987 L
.59346 .52913 L
.59262 .52794 L
.59153 .52686 L
.59119 .52601 L
.58979 .52409 L
.5896 .52384 L
.58843 .52216 L
.58768 .52116 L
.58704 .52023 L
.58575 .51862 L
.58563 .51831 L
.5843 .51638 L
.58382 .51575 L
.58296 .51445 L
.58189 .51301 L
.58158 .51253 L
.58024 .5106 L
.57997 .51022 L
.57898 .50867 L
.57804 .50735 L
.57767 .50674 L
F
0 .19 1 r
.57804 .5133 m
.57885 .51445 L
.57997 .5158 L
.58038 .51638 L
.57997 .51768 L
.57912 .51638 L
.57804 .51502 L
.57768 .51445 L
F
1 .81 0 r
.57804 .57286 m
.57987 .57419 L
.57997 .57428 L
.58166 .57611 L
.58189 .57637 L
.58324 .57804 L
.58382 .57875 L
.58474 .57997 L
.58575 .58084 L
.58618 .58189 L
.58754 .58382 L
.58768 .58401 L
.5888 .58575 L
.5896 .587 L
.59 .58768 L
.59087 .5896 L
.5896 .58981 L
.58939 .5896 L
.58768 .58803 L
.58746 .58768 L
.58579 .58575 L
.58575 .5857 L
.58426 .58382 L
.58382 .58328 L
.58279 .58189 L
.58189 .58073 L
.58135 .57997 L
.57998 .57804 L
.57997 .57803 L
.57877 .57611 L
.57804 .57488 L
.5777 .57419 L
F
1 .54 0 r
.57804 .50508 m
.57942 .50674 L
.57997 .50734 L
.58103 .50867 L
.58189 .50969 L
.58261 .5106 L
.58382 .51166 L
.58416 .51253 L
.58567 .51445 L
.58575 .51454 L
.58715 .51638 L
.58768 .51703 L
.58864 .51831 L
.5896 .51904 L
.59013 .52023 L
.59153 .52204 L
.59166 .52216 L
.59304 .52409 L
.59346 .52462 L
.59449 .52601 L
.59538 .52673 L
.59595 .52794 L
.59731 .52973 L
.59744 .52987 L
.5988 .53179 L
.59924 .53237 L
.60022 .53372 L
.60116 .53459 L
.60165 .53565 L
.60307 .53758 L
.60309 .5376 L
.60445 .5395 L
.60502 .54026 L
.60585 .54143 L
.60694 .54264 L
.60726 .54336 L
.60864 .54528 L
.60887 .5456 L
.60999 .54721 L
.6108 .54831 L
.61137 .54914 L
.61273 .55099 L
.6128 .55106 L
.61405 .55299 L
.61465 .55381 L
.61538 .55492 L
.61658 .55661 L
.61673 .55684 L
.61795 .55877 L
.61851 .55956 L
.61917 .5607 L
.61851 .56165 L
.61774 .5607 L
.61658 .55941 L
.61608 .55877 L
.61465 .55707 L
.61448 .55684 L
.61295 .55492 L
.61273 .55465 L
.61146 .55299 L
.6108 .55219 L
.60996 .55106 L
.60887 .54971 L
.60845 .54914 L
.60695 .54721 L
.60694 .5472 L
.60552 .54528 L
.60502 .54465 L
.60407 .54336 L
.60309 .5421 L
.6026 .54143 L
.60116 .53955 L
.60111 .5395 L
.59974 .53758 L
.59924 .53694 L
.59831 .53565 L
.59731 .5348 L
.59687 .53372 L
.59543 .53179 L
.59538 .53173 L
.59406 .52987 L
.59346 .52909 L
.59265 .52794 L
.59153 .52678 L
.59122 .52601 L
.58983 .52409 L
.5896 .52379 L
.58847 .52216 L
.58768 .5211 L
.58708 .52023 L
.58575 .51853 L
.58566 .51831 L
.58434 .51638 L
.58382 .51568 L
.583 .51445 L
.58189 .51294 L
.58162 .51253 L
.58031 .5106 L
.57997 .51014 L
.57905 .50867 L
.57804 .50725 L
.57774 .50674 L
F
0 .18 1 r
.57804 .51341 m
.57877 .51445 L
.57997 .51588 L
.58032 .51638 L
.57997 .51759 L
.57919 .51638 L
.57804 .51492 L
.57774 .51445 L
F
0 .75 1 r
.57804 .58017 m
.5791 .58189 L
.57997 .58328 L
.58016 .58382 L
.57997 .58408 L
.57968 .58382 L
.57804 .58223 L
.57777 .58189 L
F
0 .17 1 r
.57804 .51352 m
.57868 .51445 L
.57997 .51598 L
.58025 .51638 L
.57997 .51749 L
.57927 .51638 L
.57804 .51482 L
.57781 .51445 L
F
1 .53 0 r
.57804 .50522 m
.57931 .50674 L
.57997 .50745 L
.58095 .50867 L
.58189 .50978 L
.58254 .5106 L
.58382 .5118 L
.5841 .51253 L
.58561 .51445 L
.58575 .51461 L
.5871 .51638 L
.58768 .51709 L
.58859 .51831 L
.5896 .51912 L
.59009 .52023 L
.59153 .5221 L
.59159 .52216 L
.593 .52409 L
.59346 .52467 L
.59445 .52601 L
.59538 .52679 L
.59591 .52794 L
.59731 .5298 L
.59738 .52987 L
.59876 .53179 L
.59924 .53242 L
.60018 .53372 L
.60116 .53466 L
.60162 .53565 L
.60303 .53758 L
.60309 .53765 L
.60441 .5395 L
.60502 .54031 L
.60581 .54143 L
.60694 .54272 L
.60722 .54336 L
.60859 .54528 L
.60887 .54566 L
.60995 .54721 L
.6108 .54837 L
.61133 .54914 L
.61271 .55106 L
.61273 .55109 L
.614 .55299 L
.61465 .55389 L
.61532 .55492 L
.61658 .5567 L
.61667 .55684 L
.61786 .55877 L
.61851 .5597 L
.61907 .5607 L
.61851 .56151 L
.61785 .5607 L
.61658 .55931 L
.61616 .55877 L
.61465 .55699 L
.61454 .55684 L
.61302 .55492 L
.61273 .55458 L
.61152 .55299 L
.6108 .55212 L
.61001 .55106 L
.60887 .54965 L
.60849 .54914 L
.607 .54721 L
.60694 .54715 L
.60557 .54528 L
.60502 .5446 L
.60411 .54336 L
.60309 .54205 L
.60264 .54143 L
.60117 .5395 L
.60116 .53949 L
.59977 .53758 L
.59924 .53689 L
.59835 .53565 L
.59731 .53473 L
.5969 .53372 L
.59547 .53179 L
.59538 .53169 L
.59409 .52987 L
.59346 .52904 L
.59268 .52794 L
.59153 .52671 L
.59125 .52601 L
.58987 .52409 L
.5896 .52374 L
.58851 .52216 L
.58768 .52105 L
.58711 .52023 L
.58575 .51843 L
.5857 .51831 L
.58439 .51638 L
.58382 .51562 L
.58305 .51445 L
.58189 .51287 L
.58167 .51253 L
.58037 .5106 L
.57997 .51005 L
.57912 .50867 L
.57804 .50714 L
.57781 .50674 L
F
1 .8 0 r
.57804 .57321 m
.57966 .57419 L
.57997 .57444 L
.58154 .57611 L
.58189 .5765 L
.58314 .57804 L
.58382 .57887 L
.58465 .57997 L
.58575 .58102 L
.58609 .58189 L
.58744 .58382 L
.58768 .58416 L
.58868 .58575 L
.5896 .58721 L
.58987 .58768 L
.5896 .58957 L
.58768 .58781 L
.58759 .58768 L
.58591 .58575 L
.58575 .58557 L
.58436 .58382 L
.58382 .58316 L
.58288 .58189 L
.58189 .58061 L
.58144 .57997 L
.58008 .57804 L
.57997 .57788 L
.57889 .57611 L
.57804 .5746 L
.57786 .57419 L
F
0 .16 1 r
.57804 .51366 m
.57857 .51445 L
.57997 .51608 L
.58018 .51638 L
.57997 .51737 L
.57937 .51638 L
.57804 .51471 L
.57789 .51445 L
F
1 .52 0 r
.57804 .50538 m
.57919 .50674 L
.57997 .50756 L
.58086 .50867 L
.58189 .50986 L
.58248 .5106 L
.58382 .51194 L
.58404 .51253 L
.58555 .51445 L
.58575 .51468 L
.58704 .51638 L
.58768 .51716 L
.58855 .51831 L
.5896 .5192 L
.59004 .52023 L
.59152 .52216 L
.59153 .52217 L
.59295 .52409 L
.59346 .52473 L
.59441 .52601 L
.59538 .52686 L
.59587 .52794 L
.59731 .52986 L
.59732 .52987 L
.59872 .53179 L
.59924 .53247 L
.60015 .53372 L
.60116 .53472 L
.60158 .53565 L
.60299 .53758 L
.60309 .53771 L
.60437 .5395 L
.60502 .54037 L
.60577 .54143 L
.60694 .5428 L
.60718 .54336 L
.60854 .54528 L
.60887 .54572 L
.6099 .54721 L
.6108 .54843 L
.61128 .54914 L
.61265 .55106 L
.61273 .55116 L
.61394 .55299 L
.61465 .55398 L
.61526 .55492 L
.61658 .5568 L
.61661 .55684 L
.61776 .55877 L
.61851 .55986 L
.61895 .5607 L
.61851 .56135 L
.61797 .5607 L
.61658 .55921 L
.61624 .55877 L
.61465 .55691 L
.6146 .55684 L
.61309 .55492 L
.61273 .5545 L
.61158 .55299 L
.6108 .55206 L
.61005 .55106 L
.60887 .54959 L
.60853 .54914 L
.60704 .54721 L
.60694 .54709 L
.60561 .54528 L
.60502 .54454 L
.60415 .54336 L
.60309 .542 L
.60267 .54143 L
.60121 .5395 L
.60116 .53944 L
.59981 .53758 L
.59924 .53684 L
.59838 .53565 L
.59731 .53466 L
.59693 .53372 L
.59551 .53179 L
.59538 .53164 L
.59413 .52987 L
.59346 .52899 L
.59272 .52794 L
.59153 .52663 L
.59129 .52601 L
.58991 .52409 L
.5896 .52369 L
.58855 .52216 L
.58768 .521 L
.58715 .52023 L
.58575 .51833 L
.58574 .51831 L
.58444 .51638 L
.58382 .51555 L
.5831 .51445 L
.58189 .5128 L
.58171 .51253 L
.58044 .5106 L
.57997 .50995 L
.5792 .50867 L
.57804 .50701 L
.57789 .50674 L
F
0 .99 1 r
.57804 .56754 m
.57997 .56727 L
.58189 .56734 L
.58369 .56841 L
.58382 .5687 L
.58504 .57033 L
.58575 .57113 L
.58615 .57226 L
.58768 .57374 L
.58801 .57419 L
.58948 .57611 L
.5896 .57642 L
.59074 .57804 L
.59153 .57919 L
.59176 .57997 L
.59346 .58183 L
.59366 .58189 L
.59515 .58382 L
.59538 .58424 L
.59635 .58575 L
.59731 .58692 L
.59736 .58768 L
.59924 .58956 L
.59928 .5896 L
.60078 .59153 L
.60116 .59182 L
.60194 .59346 L
.60309 .59463 L
.60347 .59538 L
.6048 .59731 L
.60502 .59768 L
.60612 .59924 L
.60502 .60032 L
.60309 .6004 L
.60116 .59981 L
.60063 .59924 L
.59924 .59767 L
.59919 .59731 L
.59752 .59538 L
.59731 .595 L
.59588 .59346 L
.59538 .5922 L
.59472 .59153 L
.59346 .58991 L
.59323 .5896 L
.59183 .58768 L
.59153 .58729 L
.59023 .58575 L
.5896 .58462 L
.58907 .58382 L
.58768 .58199 L
.58758 .58189 L
.58619 .57997 L
.58575 .57956 L
.58462 .57804 L
.58382 .57684 L
.58344 .57611 L
.58196 .57419 L
.58189 .5741 L
.58058 .57226 L
.57997 .57139 L
.57905 .57033 L
.57804 .56859 L
.57793 .56841 L
F
0 .15 1 r
.57804 .51384 m
.57843 .51445 L
.57997 .51619 L
.58009 .51638 L
.57997 .51723 L
.57949 .51638 L
.57804 .51457 L
.57797 .51445 L
F
1 .51 0 r
.57804 .50558 m
.57905 .50674 L
.57997 .50767 L
.58078 .50867 L
.58189 .50995 L
.5824 .5106 L
.58382 .51209 L
.58398 .51253 L
.58549 .51445 L
.58575 .51476 L
.58699 .51638 L
.58768 .51722 L
.5885 .51831 L
.5896 .51929 L
.59 .52023 L
.59147 .52216 L
.59153 .52223 L
.59291 .52409 L
.59346 .52478 L
.59437 .52601 L
.59538 .52693 L
.59583 .52794 L
.59727 .52987 L
.59731 .52991 L
.59868 .53179 L
.59924 .53252 L
.60011 .53372 L
.60116 .5348 L
.60154 .53565 L
.60295 .53758 L
.60309 .53776 L
.60433 .5395 L
.60502 .54042 L
.60573 .54143 L
.60694 .54289 L
.60714 .54336 L
.6085 .54528 L
.60887 .54578 L
.60985 .54721 L
.6108 .5485 L
.61124 .54914 L
.61259 .55106 L
.61273 .55124 L
.61388 .55299 L
.61465 .55407 L
.6152 .55492 L
.61465 .55682 L
.61316 .55492 L
.61273 .55442 L
.61164 .55299 L
.6108 .55199 L
.61011 .55106 L
.60887 .54953 L
.60858 .54914 L
.60709 .54721 L
.60694 .54703 L
.60565 .54528 L
.60502 .54449 L
.60419 .54336 L
.60309 .54195 L
.60271 .54143 L
.60125 .5395 L
.60116 .53939 L
.59985 .53758 L
.59924 .53679 L
.59842 .53565 L
.59731 .53459 L
.59697 .53372 L
.59554 .53179 L
.59538 .53159 L
.59417 .52987 L
.59346 .52894 L
.59275 .52794 L
.59153 .52655 L
.59132 .52601 L
.58995 .52409 L
.5896 .52363 L
.58859 .52216 L
.58768 .52094 L
.58719 .52023 L
.58578 .51831 L
.58575 .51826 L
.58449 .51638 L
.58382 .51549 L
.58314 .51445 L
.58189 .51273 L
.58176 .51253 L
.58052 .5106 L
.57997 .50984 L
.57928 .50867 L
.57804 .50686 L
.57798 .50674 L
F
0 .74 1 r
.57804 .58047 m
.57881 .58189 L
.57804 .58197 L
.57798 .58189 L
F
0 .98 1 r
.57997 .56765 m
.58189 .56791 L
.58329 .56841 L
.58382 .56919 L
.58477 .57033 L
.58575 .57143 L
.58603 .57226 L
.58768 .57395 L
.58785 .57419 L
.58941 .57611 L
.5896 .5766 L
.59064 .57804 L
.59153 .57932 L
.59171 .57997 L
.59346 .58186 L
.59356 .58189 L
.59509 .58382 L
.59538 .58436 L
.59627 .58575 L
.59731 .58706 L
.59734 .58768 L
.59916 .5896 L
.59924 .58971 L
.60067 .59153 L
.60116 .59199 L
.60179 .59346 L
.60309 .59508 L
.60323 .59538 L
.60442 .59731 L
.60501 .59924 L
.60309 .59976 L
.60158 .59924 L
.60116 .59902 L
.59934 .59731 L
.59924 .59715 L
.59774 .59538 L
.59731 .59467 L
.596 .59346 L
.59538 .59204 L
.59482 .59153 L
.59346 .58978 L
.59333 .5896 L
.59192 .58768 L
.59153 .58719 L
.5903 .58575 L
.5896 .58452 L
.58913 .58382 L
.58768 .58192 L
.58765 .58189 L
.58626 .57997 L
.58575 .57948 L
.58468 .57804 L
.58382 .57672 L
.58351 .57611 L
.58206 .57419 L
.58189 .57395 L
.58071 .57226 L
.57997 .57116 L
.57926 .57033 L
.57844 .56841 L
F
1 .79 0 r
.57997 .57462 m
.5814 .57611 L
.58189 .57664 L
.58304 .57804 L
.58382 .57899 L
.58456 .57997 L
.58575 .58122 L
.586 .58189 L
.58733 .58382 L
.58768 .58432 L
.58857 .58575 L
.5896 .58745 L
.58972 .58768 L
.5896 .58926 L
.58776 .58768 L
.58768 .5876 L
.58604 .58575 L
.58575 .58543 L
.58447 .58382 L
.58382 .58304 L
.58297 .58189 L
.58189 .58049 L
.58152 .57997 L
.58019 .57804 L
.57997 .57772 L
.57901 .57611 L
F
0 .99 1 r
.57997 .48356 m
.58004 .48362 L
.58189 .48531 L
.5821 .48555 L
.58382 .48739 L
.58395 .48747 L
.58564 .4894 L
.58575 .48952 L
.58734 .49133 L
.58768 .49174 L
.58899 .49326 L
.5896 .49411 L
.59056 .49518 L
.59153 .49656 L
.59184 .49711 L
.59346 .49874 L
.59371 .49904 L
.59523 .50096 L
.59538 .5012 L
.59667 .50289 L
.59731 .50379 L
.59783 .50482 L
.59924 .50606 L
.59979 .50674 L
.60116 .50858 L
.60123 .50867 L
.60262 .5106 L
.60309 .51125 L
.60369 .51253 L
.60502 .51361 L
.60568 .51445 L
.60694 .51619 L
.6071 .51638 L
.60843 .51831 L
.60887 .51889 L
.60942 .52023 L
.6108 .5213 L
.61147 .52216 L
.61273 .52391 L
.61286 .52409 L
.61416 .52601 L
.61465 .52666 L
.61577 .52794 L
.61658 .52908 L
.61719 .52987 L
.61851 .53171 L
.61857 .53179 L
.61982 .53372 L
.62043 .5345 L
.62147 .53565 L
.62236 .53691 L
.62287 .53758 L
.62425 .5395 L
.62429 .53956 L
.62545 .54143 L
.62621 .54238 L
.62714 .54336 L
.62814 .54477 L
.62854 .54528 L
.62991 .54721 L
.63007 .54744 L
.63105 .54914 L
.63199 .55027 L
.6328 .55106 L
.63392 .55264 L
.63419 .55299 L
.63554 .55492 L
.63585 .55534 L
.63663 .55684 L
.63778 .55816 L
.63844 .55877 L
.6397 .56053 L
.63983 .5607 L
.64117 .56263 L
.64163 .56324 L
.6422 .56455 L
.64356 .56604 L
.64409 .56648 L
.64547 .56841 L
.64548 .56843 L
.64678 .57033 L
.64741 .57115 L
.64776 .57226 L
.64934 .5739 L
.64972 .57419 L
.65114 .57611 L
.65126 .57633 L
.65239 .57804 L
.65319 .57905 L
.65333 .57997 L
.65512 .58174 L
.65535 .58189 L
.6568 .58382 L
.65704 .58423 L
.65799 .58575 L
.65897 .58695 L
.65959 .58768 L
.6609 .58955 L
.66098 .5896 L
.66243 .59153 L
.66283 .59214 L
.6636 .59346 L
.66475 .59484 L
.66522 .59538 L
.66661 .59731 L
.66668 .59739 L
.66806 .59924 L
.66861 .60004 L
.6692 .60116 L
.67053 .60273 L
.67085 .60309 L
.67244 .60502 L
.67246 .60528 L
.67367 .60694 L
.67439 .60795 L
.67481 .60887 L
.67631 .61063 L
.67646 .6108 L
.67812 .61273 L
.67824 .61317 L
.67928 .61465 L
.68017 .61588 L
.68043 .61658 L
.68207 .61851 L
.68209 .61852 L
.68375 .62043 L
.68402 .62109 L
.68487 .62236 L
.68595 .62383 L
.68607 .62429 L
.68766 .62621 L
.68788 .62633 L
.68935 .62814 L
.6898 .62905 L
.69045 .63007 L
.69173 .63181 L
.69175 .63199 L
.69323 .63392 L
.69366 .63421 L
.69489 .63585 L
.69558 .63709 L
.696 .63778 L
.69738 .6397 L
.69751 .63988 L
.69874 .64163 L
.69944 .64226 L
.70034 .64356 L
.70136 .64527 L
.70148 .64548 L
.70281 .64741 L
.70329 .64808 L
.70415 .64934 L
.70522 .65066 L
.7056 .65126 L
.70678 .65319 L
.70715 .65372 L
.70804 .65512 L
.70907 .65666 L
.70931 .65704 L
.71047 .65897 L
.711 .65983 L
.71155 .6609 L
.711 .66253 L
.70929 .6609 L
.70907 .6607 L
.70747 .65897 L
.70715 .65863 L
.70576 .65704 L
.70522 .65655 L
.70411 .65512 L
.70329 .65414 L
.70214 .65319 L
.70136 .65172 L
.70095 .65126 L
.69944 .64936 L
.69943 .64934 L
.69788 .64741 L
.69751 .64692 L
.69615 .64548 L
.69558 .64436 L
.69497 .64356 L
.69366 .6418 L
.69365 .64163 L
.69195 .6397 L
.69173 .6394 L
.69035 .63778 L
.6898 .63677 L
.68916 .63585 L
.68788 .63413 L
.68758 .63392 L
.68615 .63199 L
.68595 .63171 L
.68462 .63007 L
.68402 .62904 L
.68344 .62814 L
.68209 .62638 L
.68184 .62621 L
.68043 .62429 L
.68017 .62393 L
.67893 .62236 L
.67824 .62124 L
.67776 .62043 L
.67631 .61861 L
.67615 .61851 L
.67442 .61658 L
.67439 .6161 L
.67327 .61465 L
.67246 .6134 L
.6721 .61273 L
.67053 .61083 L
.67048 .6108 L
.66876 .60887 L
.66861 .60824 L
.66763 .60694 L
.66668 .60555 L
.66645 .60502 L
.66482 .60309 L
.66475 .60301 L
.66311 .60116 L
.66283 .60037 L
.66199 .59924 L
.6609 .59769 L
.66078 .59731 L
.65918 .59538 L
.65897 .59515 L
.65748 .59346 L
.65704 .59249 L
.65636 .59153 L
.65512 .58982 L
.65509 .5896 L
.65353 .58768 L
.65319 .58728 L
.65186 .58575 L
.65126 .5846 L
.65073 .58382 L
.64934 .58195 L
.64929 .58189 L
.6479 .57997 L
.64741 .57941 L
.64625 .57804 L
.64548 .57671 L
.64509 .57611 L
.64365 .57419 L
.64356 .57414 L
.64226 .57226 L
.64163 .57152 L
.64065 .57033 L
.6397 .56881 L
.63945 .56841 L
.63802 .56648 L
.63778 .56633 L
.63662 .56455 L
.63585 .56363 L
.63505 .56263 L
.63392 .56091 L
.6338 .5607 L
.63239 .55877 L
.63199 .55849 L
.63039 .55684 L
.63007 .55572 L
.62944 .55492 L
.62814 .553 L
.62814 .55299 L
.62676 .55106 L
.62621 .55063 L
.62485 .54914 L
.62429 .5478 L
.62384 .54721 L
.62251 .54528 L
.62236 .54508 L
.62113 .54336 L
.62043 .54272 L
.61931 .54143 L
.61851 .53986 L
.61824 .5395 L
.6169 .53758 L
.61658 .53716 L
.61551 .53565 L
.61465 .53479 L
.61377 .53372 L
.61273 .53191 L
.61264 .53179 L
.61128 .52987 L
.6108 .52923 L
.60989 .52794 L
.60887 .52681 L
.60823 .52601 L
.60704 .52409 L
.60694 .52396 L
.60568 .52216 L
.60502 .52129 L
.60428 .52023 L
.60309 .5188 L
.60271 .51831 L
.60145 .51638 L
.60116 .516 L
.60008 .51445 L
.59924 .51333 L
.59868 .51253 L
.59731 .51074 L
.59721 .5106 L
.59589 .50867 L
.59538 .508 L
.59452 .50674 L
.59346 .50533 L
.59311 .50482 L
.59171 .50289 L
.59153 .50265 L
.59038 .50096 L
.5896 .49993 L
.58901 .49904 L
.58768 .49723 L
.58751 .49711 L
.58629 .49518 L
.58575 .49445 L
.58498 .49326 L
.58382 .49165 L
.58362 .49133 L
.58234 .4894 L
.58189 .48876 L
.58114 .48747 L
.57997 .48567 L
.5799 .48555 L
.57906 .48362 L
F
0 .97 1 r
.57997 .56804 m
.58189 .56836 L
.58213 .56841 L
.58382 .56958 L
.58452 .57033 L
.58575 .5717 L
.58593 .57226 L
.58768 .57415 L
.5877 .57419 L
.58935 .57611 L
.5896 .57676 L
.59054 .57804 L
.59153 .57943 L
.59167 .57997 L
.59346 .58189 L
.59346 .58189 L
.59502 .58382 L
.59538 .58448 L
.59618 .58575 L
.59731 .58719 L
.59732 .58768 L
.59905 .5896 L
.59924 .58988 L
.60057 .59153 L
.60116 .5922 L
.60165 .59346 L
.60299 .59538 L
.60309 .59557 L
.60403 .59731 L
.60309 .59915 L
.60116 .59854 L
.59971 .59731 L
.59924 .59664 L
.59795 .59538 L
.59731 .5944 L
.59612 .59346 L
.59538 .5919 L
.59492 .59153 L
.59346 .58964 L
.59343 .5896 L
.592 .58768 L
.59153 .58708 L
.59036 .58575 L
.5896 .58443 L
.58919 .58382 L
.58773 .58189 L
.58768 .58183 L
.58633 .57997 L
.58575 .5794 L
.58475 .57804 L
.58382 .5766 L
.58357 .57611 L
.58217 .57419 L
.58189 .57379 L
.58084 .57226 L
.57997 .5709 L
.57948 .57033 L
.57911 .56841 L
F
1 .78 0 r
.57997 .57481 m
.58125 .57611 L
.58189 .57678 L
.58293 .57804 L
.58382 .57912 L
.58446 .57997 L
.58575 .58145 L
.58591 .58189 L
.58722 .58382 L
.58768 .58449 L
.58844 .58575 L
.58768 .58741 L
.58618 .58575 L
.58575 .58529 L
.58458 .58382 L
.58382 .58291 L
.58306 .58189 L
.58189 .58036 L
.58161 .57997 L
.5803 .57804 L
.57997 .57754 L
.57915 .57611 L
F
1 .77 0 r
.57997 .57502 m
.58109 .57611 L
.58189 .57693 L
.58281 .57804 L
.58382 .57925 L
.58436 .57997 L
.58575 .58171 L
.58581 .58189 L
.5871 .58382 L
.58768 .58468 L
.58831 .58575 L
.58768 .5872 L
.58633 .58575 L
.58575 .58514 L
.58469 .58382 L
.58382 .58278 L
.58316 .58189 L
.58189 .58023 L
.58171 .57997 L
.58043 .57804 L
.57997 .57734 L
.5793 .57611 L
F
0 .83 1 r
.57997 .49935 m
.58139 .50096 L
.58189 .50151 L
.58306 .50289 L
.58382 .50377 L
.58469 .50482 L
.58575 .50597 L
.58628 .50674 L
.58768 .50849 L
.58786 .50867 L
.58935 .5106 L
.5896 .5109 L
.59088 .51253 L
.59153 .51324 L
.5924 .51445 L
.59346 .51583 L
.59393 .51638 L
.59537 .51831 L
.59538 .51832 L
.59685 .52023 L
.59731 .52075 L
.59887 .52216 L
.59924 .52337 L
.59979 .52409 L
.60116 .52593 L
.6012 .52601 L
.6027 .52794 L
.60309 .5284 L
.60452 .52987 L
.60502 .53104 L
.60557 .53179 L
.60694 .53363 L
.60697 .53372 L
.60846 .53565 L
.60887 .53613 L
.61018 .53758 L
.6108 .5388 L
.61128 .5395 L
.61273 .5414 L
.61273 .54143 L
.61417 .54336 L
.61465 .54393 L
.61581 .54528 L
.61658 .54662 L
.61696 .54721 L
.61843 .54914 L
.61851 .54916 L
.61984 .55106 L
.62043 .55179 L
.62142 .55299 L
.62236 .55451 L
.62261 .55492 L
.62406 .55684 L
.62429 .55695 L
.62546 .55877 L
.62621 .55971 L
.62699 .5607 L
.62814 .56246 L
.62823 .56263 L
.62964 .56455 L
.63007 .56481 L
.63103 .56648 L
.63199 .56772 L
.63251 .56841 L
.6338 .57033 L
.63392 .57049 L
.63517 .57226 L
.63585 .57283 L
.63712 .57419 L
.63778 .57586 L
.63796 .57611 L
.63926 .57804 L
.6397 .57865 L
.64061 .57997 L
.64163 .58114 L
.64226 .58189 L
.64328 .58382 L
.64356 .5842 L
.64458 .58575 L
.64548 .58705 L
.64589 .58768 L
.64716 .5896 L
.64741 .58997 L
.64835 .59153 L
.64934 .59307 L
.64955 .59346 L
.64934 .59514 L
.64776 .59346 L
.64741 .59311 L
.64607 .59153 L
.64548 .59089 L
.64443 .5896 L
.64356 .58859 L
.64283 .58768 L
.64163 .58633 L
.64126 .58575 L
.63972 .58382 L
.6397 .5838 L
.63822 .58189 L
.63778 .58135 L
.63672 .57997 L
.63585 .579 L
.63461 .57804 L
.63392 .57638 L
.63368 .57611 L
.63227 .57419 L
.63199 .57384 L
.63081 .57226 L
.63007 .57143 L
.62885 .57033 L
.62814 .56877 L
.62784 .56841 L
.62644 .56648 L
.62621 .56645 L
.62501 .56455 L
.62429 .56374 L
.62317 .56263 L
.62236 .56105 L
.62209 .5607 L
.62069 .55877 L
.62043 .55871 L
.61927 .55684 L
.61851 .55596 L
.61752 .55492 L
.61658 .55325 L
.61639 .55299 L
.61499 .55106 L
.61465 .55093 L
.61358 .54914 L
.61273 .54812 L
.61191 .54721 L
.6108 .54539 L
.61072 .54528 L
.60934 .54336 L
.60887 .54311 L
.60793 .54143 L
.60694 .54022 L
.60633 .5395 L
.60509 .53758 L
.60502 .53748 L
.60371 .53565 L
.60309 .53522 L
.60231 .53372 L
.60116 .53226 L
.60078 .53179 L
.5995 .52987 L
.59924 .52952 L
.59813 .52794 L
.59731 .52723 L
.59611 .52601 L
.59538 .52422 L
.59528 .52409 L
.59395 .52216 L
.59346 .52149 L
.59258 .52023 L
.59153 .51908 L
.59083 .51831 L
.58981 .51638 L
.5896 .5161 L
.58848 .51445 L
.58768 .51336 L
.58711 .51253 L
.58575 .51067 L
.58569 .5106 L
.58443 .50867 L
.58382 .50783 L
.58312 .50674 L
.58189 .50502 L
.58177 .50482 L
.58054 .50289 L
.57997 .50207 L
.57932 .50096 L
F
1 .5 0 r
.57997 .5078 m
.58068 .50867 L
.58189 .51005 L
.58233 .5106 L
.58382 .51226 L
.58392 .51253 L
.58543 .51445 L
.58575 .51483 L
.58693 .51638 L
.58768 .51729 L
.58845 .51831 L
.5896 .51939 L
.58995 .52023 L
.59142 .52216 L
.59153 .52229 L
.59287 .52409 L
.59346 .52484 L
.59433 .52601 L
.59538 .52701 L
.59579 .52794 L
.59723 .52987 L
.59731 .52997 L
.59864 .53179 L
.59924 .53258 L
.60007 .53372 L
.60116 .53487 L
.6015 .53565 L
.6029 .53758 L
.60309 .53782 L
.60429 .5395 L
.60502 .54048 L
.60569 .54143 L
.60694 .54298 L
.6071 .54336 L
.60845 .54528 L
.60887 .54584 L
.60981 .54721 L
.6108 .54857 L
.61119 .54914 L
.61253 .55106 L
.61273 .55132 L
.61381 .55299 L
.61465 .55416 L
.61514 .55492 L
.61465 .55671 L
.61324 .55492 L
.61273 .55434 L
.6117 .55299 L
.6108 .55192 L
.61016 .55106 L
.60887 .54947 L
.60863 .54914 L
.60714 .54721 L
.60694 .54697 L
.6057 .54528 L
.60502 .54443 L
.60423 .54336 L
.60309 .5419 L
.60275 .54143 L
.6013 .5395 L
.60116 .53934 L
.59989 .53758 L
.59924 .53674 L
.59845 .53565 L
.59731 .53451 L
.597 .53372 L
.59558 .53179 L
.59538 .53154 L
.5942 .52987 L
.59346 .52889 L
.59279 .52794 L
.59153 .52646 L
.59136 .52601 L
.58999 .52409 L
.5896 .52358 L
.58863 .52216 L
.58768 .52089 L
.58723 .52023 L
.58583 .51831 L
.58575 .51819 L
.58454 .51638 L
.58382 .51541 L
.5832 .51445 L
.58189 .51265 L
.58181 .51253 L
.5806 .5106 L
.57997 .50972 L
.57937 .50867 L
F
1 .76 0 r
.57997 .57526 m
.58089 .57611 L
.58189 .57709 L
.58269 .57804 L
.58382 .57939 L
.58426 .57997 L
.5857 .58189 L
.58575 .58195 L
.58697 .58382 L
.58768 .58489 L
.58816 .58575 L
.58768 .58697 L
.58651 .58575 L
.58575 .58497 L
.58482 .58382 L
.58382 .58264 L
.58327 .58189 L
.58189 .58009 L
.58181 .57997 L
.58056 .57804 L
.57997 .57711 L
.57946 .57611 L
F
1 .49 0 r
.57997 .50794 m
.58057 .50867 L
.58189 .51015 L
.58225 .5106 L
.58382 .51244 L
.58385 .51253 L
.58536 .51445 L
.58575 .51491 L
.58688 .51638 L
.58768 .51736 L
.5884 .51831 L
.5896 .51949 L
.58991 .52023 L
.59137 .52216 L
.59153 .52235 L
.59282 .52409 L
.59346 .52489 L
.59428 .52601 L
.59538 .52709 L
.59575 .52794 L
.59719 .52987 L
.59731 .53002 L
.59859 .53179 L
.59924 .53263 L
.60003 .53372 L
.60116 .53495 L
.60146 .53565 L
.60286 .53758 L
.60309 .53787 L
.60424 .5395 L
.60502 .54053 L
.60565 .54143 L
.60694 .54308 L
.60706 .54336 L
.6084 .54528 L
.60887 .54591 L
.60976 .54721 L
.6108 .54863 L
.61114 .54914 L
.61247 .55106 L
.61273 .55141 L
.61375 .55299 L
.61465 .55426 L
.61507 .55492 L
.61465 .5566 L
.61332 .55492 L
.61273 .55425 L
.61177 .55299 L
.6108 .55185 L
.61021 .55106 L
.60887 .5494 L
.60867 .54914 L
.6072 .54721 L
.60694 .54691 L
.60575 .54528 L
.60502 .54438 L
.60427 .54336 L
.60309 .54185 L
.60279 .54143 L
.60134 .5395 L
.60116 .53928 L
.59993 .53758 L
.59924 .53669 L
.59849 .53565 L
.59731 .53443 L
.59704 .53372 L
.59563 .53179 L
.59538 .53149 L
.59424 .52987 L
.59346 .52884 L
.59283 .52794 L
.59153 .52638 L
.59139 .52601 L
.59003 .52409 L
.5896 .52352 L
.58867 .52216 L
.58768 .52083 L
.58727 .52023 L
.58588 .51831 L
.58575 .51813 L
.58459 .51638 L
.58382 .51534 L
.58325 .51445 L
.58189 .51257 L
.58187 .51253 L
.58069 .5106 L
.57997 .50959 L
.57947 .50867 L
F
0 .82 1 r
.57997 .49964 m
.58117 .50096 L
.58189 .50172 L
.5829 .50289 L
.58382 .50394 L
.58455 .50482 L
.58575 .50614 L
.58616 .50674 L
.58768 .50862 L
.58772 .50867 L
.58925 .5106 L
.5896 .51102 L
.59079 .51253 L
.59153 .51334 L
.59232 .51445 L
.59346 .51593 L
.59385 .51638 L
.5953 .51831 L
.59538 .51842 L
.59678 .52023 L
.59731 .52083 L
.59883 .52216 L
.59924 .52345 L
.59974 .52409 L
.60116 .52599 L
.60117 .52601 L
.60264 .52794 L
.60309 .52846 L
.60448 .52987 L
.60502 .53111 L
.60552 .53179 L
.60694 .53368 L
.60695 .53372 L
.60841 .53565 L
.60887 .53619 L
.61014 .53758 L
.6108 .53886 L
.61124 .5395 L
.6127 .54143 L
.61273 .54143 L
.61413 .54336 L
.61465 .54398 L
.61577 .54528 L
.61658 .54668 L
.61692 .54721 L
.61838 .54914 L
.61851 .54918 L
.61979 .55106 L
.62043 .55184 L
.62138 .55299 L
.62236 .55457 L
.62257 .55492 L
.62401 .55684 L
.62429 .55697 L
.62541 .55877 L
.62621 .55977 L
.62695 .5607 L
.62814 .56252 L
.6282 .56263 L
.62959 .56455 L
.63007 .56486 L
.63098 .56648 L
.63199 .56779 L
.63246 .56841 L
.63375 .57033 L
.63392 .57057 L
.63511 .57226 L
.63585 .57291 L
.63705 .57419 L
.63778 .57597 L
.63788 .57611 L
.63919 .57804 L
.6397 .57875 L
.64053 .57997 L
.64163 .5813 L
.64213 .58189 L
.64319 .58382 L
.64356 .58434 L
.64448 .58575 L
.64548 .58721 L
.64578 .58768 L
.647 .5896 L
.64741 .59021 L
.64817 .59153 L
.64934 .59345 L
.64934 .59346 L
.64934 .59463 L
.64809 .59346 L
.64741 .59285 L
.64627 .59153 L
.64548 .5907 L
.64458 .5896 L
.64356 .58843 L
.64295 .58768 L
.64163 .58617 L
.64136 .58575 L
.63982 .58382 L
.6397 .58369 L
.63831 .58189 L
.63778 .58124 L
.6368 .57997 L
.63585 .57891 L
.63472 .57804 L
.63392 .57629 L
.63376 .57611 L
.63233 .57419 L
.63199 .57377 L
.63087 .57226 L
.63007 .57136 L
.62891 .57033 L
.62814 .5687 L
.62789 .56841 L
.62649 .56648 L
.62621 .56644 L
.62505 .56455 L
.62429 .56368 L
.62322 .56263 L
.62236 .56099 L
.62213 .5607 L
.62073 .55877 L
.62043 .55869 L
.61931 .55684 L
.61851 .55591 L
.61757 .55492 L
.61658 .5532 L
.61643 .55299 L
.61503 .55106 L
.61465 .55091 L
.61362 .54914 L
.61273 .54807 L
.61195 .54721 L
.6108 .54534 L
.61076 .54528 L
.60937 .54336 L
.60887 .54308 L
.60796 .54143 L
.60694 .54017 L
.60637 .5395 L
.60513 .53758 L
.60502 .53743 L
.60375 .53565 L
.60309 .53518 L
.60234 .53372 L
.60116 .53221 L
.60083 .53179 L
.59954 .52987 L
.59924 .52947 L
.59817 .52794 L
.59731 .52716 L
.59617 .52601 L
.59538 .52415 L
.59533 .52409 L
.594 .52216 L
.59346 .52143 L
.59263 .52023 L
.59153 .51898 L
.59092 .51831 L
.58987 .51638 L
.5896 .51602 L
.58854 .51445 L
.58768 .51328 L
.58717 .51253 L
.58579 .5106 L
.58575 .51054 L
.58452 .50867 L
.58382 .50771 L
.58321 .50674 L
.58189 .50487 L
.58186 .50482 L
.58068 .50289 L
.57997 .50184 L
.57949 .50096 L
F
1 .48 0 r
.57997 .5081 m
.58045 .50867 L
.58189 .51026 L
.58217 .5106 L
.58189 .51247 L
.58078 .5106 L
.57997 .50943 L
.57958 .50867 L
F
1 .96 0 r
.57997 .49143 m
.58174 .49326 L
.58189 .49341 L
.58349 .49518 L
.58382 .49554 L
.58518 .49711 L
.58575 .49754 L
.58683 .49904 L
.58768 .50008 L
.58877 .50096 L
.5896 .50249 L
.58992 .50289 L
.59152 .50482 L
.59153 .50482 L
.59308 .50674 L
.59346 .50725 L
.59475 .50867 L
.59538 .50979 L
.59593 .5106 L
.59731 .51231 L
.59761 .51253 L
.59908 .51445 L
.59924 .51467 L
.60061 .51638 L
.60116 .51727 L
.6018 .51831 L
.60309 .5199 L
.60351 .52023 L
.60495 .52216 L
.60502 .52226 L
.60641 .52409 L
.60694 .5249 L
.60758 .52601 L
.60887 .52759 L
.60932 .52794 L
.61073 .52987 L
.6108 .52996 L
.61215 .53179 L
.61273 .53263 L
.61328 .53372 L
.61465 .53534 L
.61506 .53565 L
.61655 .53758 L
.61658 .53774 L
.61784 .5395 L
.61851 .54042 L
.61895 .54143 L
.62043 .54312 L
.62076 .54336 L
.62226 .54528 L
.62236 .54556 L
.62351 .54721 L
.62429 .54826 L
.62458 .54914 L
.62621 .55092 L
.62644 .55106 L
.62794 .55299 L
.62814 .55341 L
.62915 .55492 L
.63007 .55611 L
.63021 .55684 L
.63199 .55871 L
.63209 .55877 L
.6336 .5607 L
.63392 .56129 L
.63478 .56263 L
.63585 .56399 L
.63634 .56455 L
.63773 .56648 L
.63778 .56653 L
.63924 .56841 L
.6397 .56918 L
.6404 .57033 L
.64163 .57187 L
.64197 .57226 L
.64336 .57419 L
.64356 .57441 L
.64485 .57611 L
.64548 .57709 L
.64601 .57804 L
.64741 .57977 L
.64759 .57997 L
.64898 .58189 L
.64934 .58232 L
.65045 .58382 L
.65126 .58503 L
.65162 .58575 L
.65318 .58768 L
.65319 .58768 L
.65502 .5896 L
.65512 .59026 L
.65603 .59153 L
.65704 .593 L
.65724 .59346 L
.65875 .59538 L
.65897 .5955 L
.66058 .59731 L
.6609 .59825 L
.66157 .59924 L
.66283 .60103 L
.66287 .60116 L
.66428 .60309 L
.66475 .60342 L
.66606 .60502 L
.66668 .60635 L
.66707 .60694 L
.6684 .60887 L
.66861 .60916 L
.66974 .6108 L
.67053 .61157 L
.6714 .61273 L
.67245 .61465 L
.67246 .61466 L
.67375 .61658 L
.67439 .61749 L
.67506 .61851 L
.67631 .62028 L
.67642 .62043 L
.6776 .62236 L
.67824 .62332 L
.67883 .62429 L
.68001 .62621 L
.68017 .62647 L
.68094 .62814 L
.68017 .62876 L
.67954 .62814 L
.67824 .62688 L
.67765 .62621 L
.67631 .62487 L
.67591 .62429 L
.67439 .62251 L
.67419 .62236 L
.67267 .62043 L
.67246 .62019 L
.67111 .61851 L
.67053 .61793 L
.66955 .61658 L
.66861 .6154 L
.66786 .61465 L
.66668 .61291 L
.66654 .61273 L
.66502 .6108 L
.66475 .61051 L
.66354 .60887 L
.66283 .60795 L
.66194 .60694 L
.6609 .60537 L
.66067 .60502 L
.65914 .60309 L
.65897 .60291 L
.65769 .60116 L
.65704 .60032 L
.65615 .59924 L
.65512 .5977 L
.6549 .59731 L
.65335 .59538 L
.65319 .59521 L
.65146 .59346 L
.65126 .59259 L
.65043 .59153 L
.64934 .58995 L
.64917 .5896 L
.64763 .58768 L
.64741 .58744 L
.64582 .58575 L
.64548 .58479 L
.64474 .58382 L
.64356 .58215 L
.64346 .58189 L
.64193 .57997 L
.64163 .57963 L
.64018 .57804 L
.6397 .57696 L
.63908 .57611 L
.63778 .57432 L
.63775 .57419 L
.63626 .57226 L
.63585 .57179 L
.63456 .57033 L
.63392 .5691 L
.63343 .56841 L
.632 .56648 L
.63199 .56648 L
.63061 .56455 L
.63007 .56393 L
.62895 .56263 L
.62814 .56122 L
.62779 .5607 L
.62636 .55877 L
.62621 .5587 L
.62497 .55684 L
.62429 .55605 L
.62334 .55492 L
.62236 .55333 L
.62215 .55299 L
.62073 .55106 L
.62043 .5509 L
.61933 .54914 L
.61851 .54815 L
.61775 .54721 L
.61658 .54541 L
.6165 .54528 L
.61511 .54336 L
.61465 .54305 L
.61306 .54143 L
.61273 .54022 L
.61217 .5395 L
.61087 .53758 L
.6108 .53748 L
.6095 .53565 L
.60887 .53514 L
.60756 .53372 L
.60694 .53226 L
.6066 .53179 L
.60528 .52987 L
.60502 .52953 L
.6039 .52794 L
.60309 .52718 L
.60208 .52601 L
.60116 .52425 L
.60104 .52409 L
.5997 .52216 L
.59924 .52154 L
.59832 .52023 L
.59731 .51912 L
.59664 .51831 L
.59551 .51638 L
.59538 .51621 L
.59417 .51445 L
.59346 .5135 L
.59279 .51253 L
.59153 .51093 L
.59127 .5106 L
.59003 .50867 L
.5896 .5081 L
.58869 .50674 L
.58768 .50536 L
.58731 .50482 L
.58595 .50289 L
.58575 .50261 L
.58467 .50096 L
.58382 .49979 L
.58334 .49904 L
.58201 .49711 L
.58189 .49695 L
.58082 .49518 L
.57997 .4939 L
.57962 .49326 L
F
0 .14 1 r
.57997 .51634 m
.58 .51638 L
.57997 .51704 L
.57966 .51638 L
F
1 .75 0 r
.57997 .57556 m
.58065 .57611 L
.58189 .57726 L
.58255 .57804 L
.58382 .57954 L
.58414 .57997 L
.58557 .58189 L
.58575 .58213 L
.58682 .58382 L
.58768 .58515 L
.58798 .58575 L
.58768 .58668 L
.58672 .58575 L
.58575 .5848 L
.58495 .58382 L
.58382 .58249 L
.58338 .58189 L
.58192 .57997 L
.58189 .57993 L
.58071 .57804 L
.57997 .57681 L
.57967 .57611 L
F
0 .81 1 r
.57997 .5 m
.5809 .50096 L
.58189 .50195 L
.58272 .50289 L
.58382 .50413 L
.58441 .50482 L
.58575 .50632 L
.58603 .50674 L
.5876 .50867 L
.58768 .50876 L
.58915 .5106 L
.5896 .51115 L
.5907 .51253 L
.59153 .51345 L
.59223 .51445 L
.59346 .51603 L
.59377 .51638 L
.59522 .51831 L
.59538 .51851 L
.59671 .52023 L
.59731 .52091 L
.59877 .52216 L
.59924 .52353 L
.59968 .52409 L
.60112 .52601 L
.60116 .52606 L
.60258 .52794 L
.60309 .52853 L
.60444 .52987 L
.60502 .53117 L
.60547 .53179 L
.60693 .53372 L
.60694 .53372 L
.60837 .53565 L
.60887 .53624 L
.6101 .53758 L
.6108 .53892 L
.6112 .5395 L
.61266 .54143 L
.61273 .54144 L
.61408 .54336 L
.61465 .54404 L
.61573 .54528 L
.61658 .54674 L
.61689 .54721 L
.61834 .54914 L
.61851 .54919 L
.61975 .55106 L
.62043 .5519 L
.62134 .55299 L
.62236 .55463 L
.62254 .55492 L
.62397 .55684 L
.62429 .557 L
.62537 .55877 L
.62621 .55983 L
.6269 .5607 L
.62814 .56259 L
.62816 .56263 L
.62954 .56455 L
.63007 .5649 L
.63093 .56648 L
.63199 .56787 L
.6324 .56841 L
.63369 .57033 L
.63392 .57065 L
.63505 .57226 L
.63585 .573 L
.63696 .57419 L
.63778 .57608 L
.6378 .57611 L
.63912 .57804 L
.6397 .57886 L
.64046 .57997 L
.64163 .58147 L
.64198 .58189 L
.64309 .58382 L
.64356 .58449 L
.64437 .58575 L
.64548 .58739 L
.64567 .58768 L
.64683 .5896 L
.64741 .59049 L
.64796 .59153 L
.64741 .59254 L
.6465 .59153 L
.64548 .59049 L
.64474 .5896 L
.64356 .58827 L
.64308 .58768 L
.64163 .58601 L
.64147 .58575 L
.63992 .58382 L
.6397 .58356 L
.6384 .58189 L
.63778 .58114 L
.63687 .57997 L
.63585 .57881 L
.63483 .57804 L
.63392 .5762 L
.63384 .57611 L
.63239 .57419 L
.63199 .57369 L
.63092 .57226 L
.63007 .57129 L
.62898 .57033 L
.62814 .56863 L
.62795 .56841 L
.62654 .56648 L
.62621 .56642 L
.6251 .56455 L
.62429 .56362 L
.62327 .56263 L
.62236 .56093 L
.62218 .5607 L
.62078 .55877 L
.62043 .55867 L
.61935 .55684 L
.61851 .55586 L
.61761 .55492 L
.61658 .55314 L
.61646 .55299 L
.61507 .55106 L
.61465 .55088 L
.61365 .54914 L
.61273 .54802 L
.61199 .54721 L
.6108 .54529 L
.61079 .54528 L
.60941 .54336 L
.60887 .54305 L
.608 .54143 L
.60694 .54012 L
.60641 .5395 L
.60517 .53758 L
.60502 .53738 L
.60379 .53565 L
.60309 .53513 L
.60238 .53372 L
.60116 .53215 L
.60088 .53179 L
.59958 .52987 L
.59924 .52941 L
.59821 .52794 L
.59731 .5271 L
.59624 .52601 L
.59539 .52409 L
.59538 .52408 L
.59405 .52216 L
.59346 .52136 L
.59268 .52023 L
.59153 .51888 L
.59101 .51831 L
.58993 .51638 L
.5896 .51594 L
.5886 .51445 L
.58768 .51319 L
.58723 .51253 L
.58587 .5106 L
.58575 .51043 L
.58461 .50867 L
.58382 .50757 L
.5833 .50674 L
.58198 .50482 L
.58189 .5047 L
.58084 .50289 L
.57997 .50154 L
.57969 .50096 L
F
1 .47 0 r
.57997 .5083 m
.58029 .50867 L
.58189 .51037 L
.58208 .5106 L
.58189 .51236 L
.5809 .5106 L
.57997 .50923 L
.57972 .50867 L
F
1 .94 0 r
.57997 .72959 m
.58189 .72861 L
.58382 .72899 L
.58575 .72967 L
.58731 .73027 L
.58768 .73051 L
.5896 .73148 L
.59095 .7322 L
.59153 .73254 L
.59346 .73367 L
.59422 .73412 L
.59538 .73485 L
.59726 .73605 L
.59731 .73608 L
.59924 .73735 L
.60016 .73798 L
.60116 .73866 L
.60295 .7399 L
.60309 .74 L
.60502 .74137 L
.60567 .74183 L
.60694 .74276 L
.60831 .74376 L
.60887 .74417 L
.6108 .7456 L
.6109 .74568 L
.61273 .74706 L
.61345 .74761 L
.61465 .74853 L
.61596 .74954 L
.61658 .75002 L
.61844 .75146 L
.61851 .75152 L
.62043 .75304 L
.62088 .75339 L
.62236 .75457 L
.6233 .75532 L
.62429 .75611 L
.6257 .75725 L
.62621 .75766 L
.62807 .75917 L
.62814 .75923 L
.63007 .76081 L
.63043 .7611 L
.63199 .76239 L
.63276 .76303 L
.63392 .76399 L
.63507 .76495 L
.63585 .7656 L
.63737 .76688 L
.63778 .76722 L
.63965 .76881 L
.6397 .76885 L
.64163 .77049 L
.64191 .77073 L
.64356 .77215 L
.64415 .77266 L
.64548 .77381 L
.64638 .77459 L
.64741 .77549 L
.64859 .77651 L
.64934 .77718 L
.65078 .77844 L
.65126 .77888 L
.65295 .78037 L
.65319 .78059 L
.6551 .7823 L
.65512 .78231 L
.65704 .78405 L
.65724 .78422 L
.65897 .7858 L
.65936 .78615 L
.6609 .78756 L
.66147 .78808 L
.66283 .78932 L
.66357 .79 L
.66475 .7911 L
.66565 .79193 L
.66668 .79288 L
.66773 .79386 L
.66861 .79467 L
.6698 .79578 L
.67053 .79647 L
.67187 .79771 L
.67246 .79827 L
.67393 .79964 L
.67439 .80007 L
.67598 .80156 L
.67631 .80188 L
.67804 .80349 L
.67824 .80368 L
.68009 .80542 L
.68017 .80549 L
.68209 .80731 L
.68214 .80735 L
.68402 .80912 L
.68419 .80927 L
.68595 .81093 L
.68623 .8112 L
.68788 .81274 L
.68828 .81313 L
.6898 .81456 L
.69032 .81505 L
.69173 .81638 L
.69236 .81698 L
.69366 .81821 L
.69439 .81891 L
.69558 .82003 L
.69642 .82083 L
.69751 .82187 L
.69843 .82276 L
.69944 .82372 L
.70044 .82469 L
.70136 .82558 L
.70243 .82661 L
.70329 .82745 L
.70441 .82854 L
.70522 .82933 L
.70636 .83047 L
.70715 .83124 L
.7083 .8324 L
.70907 .83316 L
.71022 .83432 L
.711 .83511 L
.71212 .83625 L
.71293 .83707 L
.714 .83818 L
.71485 .83905 L
.71586 .8401 L
.71678 .84106 L
.71771 .84203 L
.71871 .84308 L
.71954 .84396 L
.72063 .84511 L
.72136 .84588 L
.72256 .84716 L
.72317 .84781 L
.72449 .84922 L
.72498 .84974 L
.72641 .85129 L
.72677 .85166 L
.72834 .85336 L
.72856 .85359 L
.73027 .85545 L
.73034 .85552 L
.73211 .85745 L
.7322 .85754 L
.73388 .85937 L
.73412 .85964 L
.73564 .8613 L
.73605 .86175 L
.73739 .86323 L
.73798 .86387 L
.73913 .86515 L
.7399 .86601 L
.74087 .86708 L
.74183 .86815 L
.74259 .86901 L
.74376 .87031 L
.74431 .87093 L
.74568 .8725 L
.746 .87286 L
.74761 .8747 L
.74769 .87479 L
.74935 .87671 L
.74954 .87693 L
.751 .87864 L
.75146 .87918 L
.75263 .88057 L
.75339 .88148 L
.75424 .8825 L
.75532 .88381 L
.75582 .88442 L
.75725 .88618 L
.75738 .88635 L
.75891 .88828 L
.75917 .88861 L
.76041 .8902 L
.7611 .8911 L
.76187 .89213 L
.76303 .89368 L
.7633 .89406 L
.76469 .89598 L
.76495 .89636 L
.76602 .89791 L
.76688 .89918 L
.7673 .89984 L
.76851 .90177 L
.76881 .90222 L
.76963 .90369 L
.77063 .90562 L
.77073 .90583 L
.77147 .90755 L
.77204 .90947 L
.77183 .9114 L
.77073 .91241 L
.76881 .91223 L
.76688 .91167 L
.76591 .9114 L
.76495 .91091 L
.76303 .90998 L
.76201 .90947 L
.7611 .90896 L
.75917 .90786 L
.75863 .90755 L
.75725 .9067 L
.75551 .90562 L
.75532 .90549 L
.75339 .90424 L
.75257 .90369 L
.75146 .90295 L
.74974 .90177 L
.74954 .90162 L
.74761 .90027 L
.74701 .89984 L
.74568 .89889 L
.74434 .89791 L
.74376 .89748 L
.74183 .89606 L
.74173 .89598 L
.7399 .89461 L
.73917 .89406 L
.73798 .89315 L
.73665 .89213 L
.73605 .89167 L
.73416 .8902 L
.73412 .89017 L
.7322 .88866 L
.73171 .88828 L
.73027 .88713 L
.72929 .88635 L
.72834 .88559 L
.72689 .88442 L
.72641 .88403 L
.72452 .8825 L
.72449 .88247 L
.72256 .88089 L
.72217 .88057 L
.72063 .8793 L
.71984 .87864 L
.71871 .8777 L
.71753 .87671 L
.71678 .87608 L
.71524 .87479 L
.71485 .87446 L
.71296 .87286 L
.71293 .87283 L
.711 .87119 L
.7107 .87093 L
.70907 .86953 L
.70846 .86901 L
.70715 .86787 L
.70623 .86708 L
.70522 .8662 L
.70401 .86515 L
.70329 .86452 L
.70181 .86323 L
.70136 .86283 L
.69962 .8613 L
.69944 .86114 L
.69751 .85943 L
.69744 .85937 L
.69558 .85772 L
.69528 .85745 L
.69366 .85599 L
.69312 .85552 L
.69173 .85426 L
.69098 .85359 L
.6898 .85253 L
.68885 .85166 L
.68788 .85078 L
.68673 .84974 L
.68595 .84903 L
.68462 .84781 L
.68402 .84727 L
.68252 .84588 L
.68209 .8455 L
.68042 .84396 L
.68017 .84372 L
.67834 .84203 L
.67824 .84194 L
.67631 .84014 L
.67627 .8401 L
.67439 .83834 L
.67421 .83818 L
.67246 .83653 L
.67216 .83625 L
.67053 .83471 L
.67012 .83432 L
.66861 .83289 L
.66808 .8324 L
.66668 .83106 L
.66606 .83047 L
.66475 .82922 L
.66404 .82854 L
.66283 .82737 L
.66204 .82661 L
.6609 .82552 L
.66004 .82469 L
.65897 .82365 L
.65805 .82276 L
.65704 .82178 L
.65607 .82083 L
.65512 .8199 L
.6541 .81891 L
.65319 .81801 L
.65214 .81698 L
.65126 .81612 L
.65019 .81505 L
.64934 .81421 L
.64824 .81313 L
.64741 .8123 L
.64631 .8112 L
.64548 .81038 L
.64438 .80927 L
.64356 .80845 L
.64246 .80735 L
.64163 .80651 L
.64055 .80542 L
.6397 .80456 L
.63866 .80349 L
.63778 .8026 L
.63677 .80156 L
.63585 .80063 L
.63489 .79964 L
.63392 .79865 L
.63302 .79771 L
.63199 .79666 L
.63116 .79578 L
.63007 .79465 L
.6293 .79386 L
.62814 .79264 L
.62746 .79193 L
.62621 .79062 L
.62563 .79 L
.62429 .78858 L
.62381 .78808 L
.62236 .78653 L
.622 .78615 L
.62043 .78447 L
.62021 .78422 L
.61851 .78239 L
.61842 .7823 L
.61664 .78037 L
.61658 .7803 L
.61488 .77844 L
.61465 .77819 L
.61313 .77651 L
.61273 .77606 L
.6114 .77459 L
.6108 .77392 L
.60968 .77266 L
.60887 .77176 L
.60797 .77073 L
.60694 .76957 L
.60627 .76881 L
.60502 .76737 L
.6046 .76688 L
.60309 .76514 L
.60293 .76495 L
.60129 .76303 L
.60116 .76288 L
.59967 .7611 L
.59924 .76059 L
.59806 .75917 L
.59731 .75826 L
.59648 .75725 L
.59538 .7559 L
.59492 .75532 L
.59346 .75348 L
.59338 .75339 L
.59188 .75146 L
.59153 .75101 L
.5904 .74954 L
.5896 .74848 L
.58896 .74761 L
.58768 .74584 L
.58756 .74568 L
.58621 .74376 L
.58575 .7431 L
.58491 .74183 L
.58382 .74015 L
.58367 .7399 L
.58251 .73798 L
.58189 .73692 L
.58147 .73605 L
.58056 .73412 L
.57997 .73238 L
.57992 .7322 L
.57973 .73027 L
F
0 .96 1 r
.57997 .56849 m
.58189 .56869 L
.58382 .56992 L
.58425 .57033 L
.58575 .57194 L
.58585 .57226 L
.58756 .57419 L
.58768 .57434 L
.58928 .57611 L
.5896 .57691 L
.59045 .57804 L
.59153 .57954 L
.59164 .57997 L
.59337 .58189 L
.59346 .58198 L
.59496 .58382 L
.59538 .5846 L
.5961 .58575 L
.59731 .58732 L
.59732 .58768 L
.59893 .5896 L
.59924 .59005 L
.60046 .59153 L
.60116 .59249 L
.60151 .59346 L
.60274 .59538 L
.60309 .59608 L
.60361 .59731 L
.60309 .5985 L
.60116 .5981 L
.60013 .59731 L
.59924 .59626 L
.59818 .59538 L
.59731 .59417 L
.59627 .59346 L
.59538 .59179 L
.59502 .59153 L
.59353 .5896 L
.59346 .58953 L
.59209 .58768 L
.59153 .58698 L
.59043 .58575 L
.5896 .58433 L
.58925 .58382 L
.5878 .58189 L
.58768 .58173 L
.58641 .57997 L
.58575 .57931 L
.58483 .57804 L
.58382 .57647 L
.58364 .57611 L
.58228 .57419 L
.58189 .57363 L
.58098 .57226 L
.57997 .5706 L
.57975 .57033 L
F
1 .97 0 r
.57997 .55182 m
.58112 .55299 L
.58189 .55377 L
.58287 .55492 L
.58382 .55608 L
.58441 .55684 L
.58382 .55821 L
.5828 .55684 L
.58189 .55577 L
.58133 .55492 L
.57997 .55312 L
.57989 .55299 L
F
1 .46 0 r
.57997 .50862 m
.58002 .50867 L
.58189 .5105 L
.58197 .5106 L
.58189 .51222 L
.58104 .5106 L
.57997 .50885 L
.57994 .50867 L
F
0 .8 1 r
.57997 .50064 m
.58048 .50096 L
.58189 .50221 L
.58251 .50289 L
.58382 .50432 L
.58425 .50482 L
.58575 .50652 L
.58589 .50674 L
.58748 .50867 L
.58768 .5089 L
.58905 .5106 L
.5896 .51127 L
.59061 .51253 L
.59153 .51356 L
.59215 .51445 L
.59346 .51613 L
.59368 .51638 L
.59515 .51831 L
.59538 .5186 L
.59664 .52023 L
.59731 .52099 L
.59871 .52216 L
.59924 .52361 L
.59962 .52409 L
.60106 .52601 L
.60116 .52614 L
.60253 .52794 L
.60309 .52859 L
.60439 .52987 L
.60502 .53124 L
.60543 .53179 L
.60688 .53372 L
.60694 .53372 L
.60832 .53565 L
.60887 .5363 L
.61006 .53758 L
.6108 .53898 L
.61116 .5395 L
.61261 .54143 L
.61273 .54145 L
.61404 .54336 L
.61465 .54409 L
.61569 .54528 L
.61658 .5468 L
.61685 .54721 L
.61829 .54914 L
.61851 .54921 L
.61971 .55106 L
.62043 .55196 L
.62129 .55299 L
.62236 .55469 L
.6225 .55492 L
.62392 .55684 L
.62429 .55703 L
.62532 .55877 L
.62621 .5599 L
.62685 .5607 L
.62812 .56263 L
.62814 .56266 L
.62949 .56455 L
.63007 .56496 L
.63088 .56648 L
.63199 .56795 L
.63234 .56841 L
.63363 .57033 L
.63392 .57073 L
.63499 .57226 L
.63585 .57309 L
.63687 .57419 L
.63773 .57611 L
.63778 .57618 L
.63904 .57804 L
.6397 .57897 L
.64038 .57997 L
.64163 .58166 L
.64182 .58189 L
.64298 .58382 L
.64356 .58464 L
.64426 .58575 L
.64548 .58758 L
.64554 .58768 L
.64664 .5896 L
.64741 .59088 L
.6477 .59153 L
.64741 .59213 L
.64681 .59153 L
.64548 .59026 L
.64492 .5896 L
.64356 .5881 L
.64321 .58768 L
.64163 .58583 L
.64158 .58575 L
.64003 .58382 L
.6397 .58344 L
.63849 .58189 L
.63778 .58103 L
.63696 .57997 L
.63585 .5787 L
.63495 .57804 L
.63392 .57611 L
.63392 .57611 L
.63246 .57419 L
.63199 .57361 L
.63098 .57226 L
.63007 .57122 L
.62905 .57033 L
.62814 .56856 L
.62801 .56841 L
.62659 .56648 L
.62621 .5664 L
.62515 .56455 L
.62429 .56356 L
.62332 .56263 L
.62236 .56087 L
.62222 .5607 L
.62082 .55877 L
.62043 .55865 L
.61939 .55684 L
.61851 .5558 L
.61766 .55492 L
.61658 .55309 L
.6165 .55299 L
.61511 .55106 L
.61465 .55086 L
.61369 .54914 L
.61273 .54797 L
.61204 .54721 L
.61083 .54528 L
.6108 .54524 L
.60945 .54336 L
.60887 .54301 L
.60803 .54143 L
.60694 .54007 L
.60646 .5395 L
.6052 .53758 L
.60502 .53733 L
.60382 .53565 L
.60309 .53508 L
.60242 .53372 L
.60116 .53208 L
.60092 .53179 L
.59962 .52987 L
.59924 .52936 L
.59825 .52794 L
.59731 .52703 L
.59631 .52601 L
.59544 .52409 L
.59538 .52401 L
.5941 .52216 L
.59346 .5213 L
.59273 .52023 L
.59153 .51877 L
.59111 .51831 L
.58999 .51638 L
.5896 .51586 L
.58866 .51445 L
.58768 .51309 L
.5873 .51253 L
.58596 .5106 L
.58575 .51031 L
.5847 .50867 L
.58382 .50743 L
.5834 .50674 L
.58212 .50482 L
.58189 .50448 L
.58104 .50289 L
.57997 .50102 L
.57995 .50096 L
F
1 .74 0 r
.57997 .57607 m
.58019 .57611 L
.58189 .57745 L
.5824 .57804 L
.58382 .5797 L
.58402 .57997 L
.58542 .58189 L
.58575 .58233 L
.58666 .58382 L
.58768 .58552 L
.58777 .58575 L
.58768 .58625 L
.58702 .58575 L
.58575 .5846 L
.5851 .58382 L
.58382 .58233 L
.5835 .58189 L
.58207 .57997 L
.58189 .57973 L
.58088 .57804 L
.57997 .57623 L
.57995 .57611 L
F
0 .95 1 r
.58189 .56901 m
.58382 .57022 L
.58395 .57033 L
.58575 .57218 L
.58578 .57226 L
.58742 .57419 L
.58768 .57452 L
.58921 .57611 L
.5896 .57706 L
.59036 .57804 L
.59153 .57965 L
.59161 .57997 L
.59328 .58189 L
.59346 .58207 L
.5949 .58382 L
.59538 .58473 L
.59602 .58575 L
.59731 .58746 L
.59731 .58768 L
.59881 .5896 L
.59924 .59023 L
.60034 .59153 L
.60116 .59285 L
.60137 .59346 L
.60248 .59538 L
.60309 .59704 L
.60313 .59731 L
.60309 .5975 L
.60116 .59767 L
.60061 .59731 L
.59924 .59598 L
.59841 .59538 L
.59731 .59398 L
.59644 .59346 L
.59538 .59169 L
.59513 .59153 L
.59363 .5896 L
.59346 .58943 L
.59218 .58768 L
.59153 .58687 L
.59051 .58575 L
.5896 .58424 L
.58931 .58382 L
.58788 .58189 L
.58768 .58163 L
.58648 .57997 L
.58575 .57921 L
.58491 .57804 L
.58382 .57633 L
.58371 .57611 L
.58238 .57419 L
.58189 .57346 L
.58112 .57226 L
.58005 .57033 L
F
0 .94 1 r
.58189 .56932 m
.58361 .57033 L
.58382 .57044 L
.58563 .57226 L
.58575 .57238 L
.58729 .57419 L
.58768 .57469 L
.58914 .57611 L
.5896 .57719 L
.59027 .57804 L
.59153 .57974 L
.59159 .57997 L
.59319 .58189 L
.59346 .58216 L
.59483 .58382 L
.59538 .58485 L
.59594 .58575 L
.59731 .5876 L
.59731 .58768 L
.5987 .5896 L
.59924 .59041 L
.60021 .59153 L
.60116 .59331 L
.60121 .59346 L
.60222 .59538 L
.60116 .59725 L
.59924 .59575 L
.59866 .59538 L
.59731 .59382 L
.59664 .59346 L
.59538 .59161 L
.59525 .59153 L
.59374 .5896 L
.59346 .58933 L
.59227 .58768 L
.59153 .58677 L
.59059 .58575 L
.5896 .58414 L
.58938 .58382 L
.58795 .58189 L
.58768 .58153 L
.58656 .57997 L
.58575 .5791 L
.58499 .57804 L
.58382 .57618 L
.58379 .57611 L
.58249 .57419 L
.58189 .57327 L
.58126 .57226 L
.58033 .57033 L
F
0 .93 1 r
.58189 .56964 m
.58323 .57033 L
.58382 .57059 L
.58543 .57226 L
.58575 .57257 L
.58714 .57419 L
.58768 .57485 L
.58905 .57611 L
.5896 .57733 L
.59018 .57804 L
.59153 .57983 L
.59156 .57997 L
.5931 .58189 L
.59346 .58226 L
.59476 .58382 L
.59538 .58498 L
.59585 .58575 L
.59726 .58768 L
.59731 .58775 L
.59858 .5896 L
.59924 .5906 L
.60007 .59153 L
.60102 .59346 L
.60116 .59372 L
.60192 .59538 L
.60116 .5968 L
.59924 .59557 L
.59893 .59538 L
.59731 .59367 L
.59687 .59346 L
.59538 .59153 L
.59537 .59153 L
.59385 .5896 L
.59346 .58923 L
.59236 .58768 L
.59153 .58666 L
.59067 .58575 L
.5896 .58404 L
.58944 .58382 L
.58803 .58189 L
.58768 .58142 L
.58663 .57997 L
.58575 .57899 L
.58508 .57804 L
.58388 .57611 L
.58382 .57603 L
.58261 .57419 L
.58189 .57307 L
.58141 .57226 L
.58067 .57033 L
F
1 .73 0 r
.58189 .57766 m
.58222 .57804 L
.58382 .57987 L
.58389 .57997 L
.58525 .58189 L
.58575 .58257 L
.58647 .58382 L
.58575 .58438 L
.58528 .58382 L
.58382 .58215 L
.58363 .58189 L
.58225 .57997 L
.58189 .57949 L
.58109 .57804 L
F
0 .92 1 r
.58189 .56997 m
.58277 .57033 L
.58382 .57073 L
.58523 .57226 L
.58575 .57274 L
.587 .57419 L
.58768 .575 L
.58896 .57611 L
.5896 .57745 L
.59009 .57804 L
.59153 .57992 L
.59154 .57997 L
.593 .58189 L
.59346 .58235 L
.59468 .58382 L
.59538 .58511 L
.59577 .58575 L
.59715 .58768 L
.59731 .58791 L
.59846 .5896 L
.59924 .5908 L
.5999 .59153 L
.60082 .59346 L
.60116 .59418 L
.60159 .59538 L
.60116 .59627 L
.59924 .59539 L
.59923 .59538 L
.59731 .59354 L
.59713 .59346 L
.59551 .59153 L
.59538 .59138 L
.59396 .5896 L
.59346 .58913 L
.59245 .58768 L
.59153 .58655 L
.59076 .58575 L
.5896 .58395 L
.58951 .58382 L
.58811 .58189 L
.58768 .58132 L
.58671 .57997 L
.58575 .57886 L
.58517 .57804 L
.58398 .57611 L
.58382 .57589 L
.58272 .57419 L
.58189 .57284 L
.58157 .57226 L
.58109 .57033 L
F
0 .79 1 r
.58189 .50252 m
.58225 .50289 L
.58382 .50453 L
.58407 .50482 L
.58575 .50674 L
.58575 .50674 L
.58735 .50867 L
.58768 .50904 L
.58894 .5106 L
.5896 .51139 L
.59051 .51253 L
.59153 .51367 L
.59206 .51445 L
.59346 .51623 L
.59359 .51638 L
.59507 .51831 L
.59538 .5187 L
.59657 .52023 L
.59731 .52107 L
.59864 .52216 L
.59924 .52369 L
.59956 .52409 L
.601 .52601 L
.60116 .52622 L
.60247 .52794 L
.60309 .52866 L
.60434 .52987 L
.60502 .53131 L
.60538 .53179 L
.60682 .53372 L
.60694 .53373 L
.60827 .53565 L
.60887 .53636 L
.61001 .53758 L
.6108 .53904 L
.61112 .5395 L
.61257 .54143 L
.61273 .54146 L
.61399 .54336 L
.61465 .54415 L
.61565 .54528 L
.61658 .54686 L
.61681 .54721 L
.61825 .54914 L
.61851 .54923 L
.61966 .55106 L
.62043 .55202 L
.62125 .55299 L
.62236 .55475 L
.62246 .55492 L
.62387 .55684 L
.62429 .55707 L
.62528 .55877 L
.62621 .55997 L
.6268 .5607 L
.62807 .56263 L
.62814 .56272 L
.62944 .56455 L
.63007 .56502 L
.63083 .56648 L
.63199 .56804 L
.63228 .56841 L
.63357 .57033 L
.63392 .57081 L
.63493 .57226 L
.63585 .5732 L
.63677 .57419 L
.63766 .57611 L
.63778 .57628 L
.63897 .57804 L
.6397 .57908 L
.6403 .57997 L
.64163 .58187 L
.64165 .58189 L
.64288 .58382 L
.64356 .58481 L
.64414 .58575 L
.64539 .58768 L
.64548 .58782 L
.64639 .5896 L
.64548 .59 L
.64513 .5896 L
.64356 .58791 L
.64336 .58768 L
.64171 .58575 L
.64163 .58566 L
.64015 .58382 L
.6397 .58331 L
.63859 .58189 L
.63778 .58092 L
.63704 .57997 L
.63585 .57859 L
.63509 .57804 L
.634 .57611 L
.63392 .57602 L
.63253 .57419 L
.63199 .57353 L
.63104 .57226 L
.63007 .57114 L
.62913 .57033 L
.62814 .56849 L
.62807 .56841 L
.62664 .56648 L
.62621 .56637 L
.62519 .56455 L
.62429 .5635 L
.62338 .56263 L
.62236 .56081 L
.62227 .5607 L
.62086 .55877 L
.62043 .55862 L
.61943 .55684 L
.61851 .55575 L
.61771 .55492 L
.61658 .55304 L
.61654 .55299 L
.61515 .55106 L
.61465 .55083 L
.61373 .54914 L
.61273 .54792 L
.61208 .54721 L
.61087 .54528 L
.6108 .54519 L
.60948 .54336 L
.60887 .54297 L
.60807 .54143 L
.60694 .54001 L
.60651 .5395 L
.60524 .53758 L
.60502 .53728 L
.60386 .53565 L
.60309 .53503 L
.60245 .53372 L
.60116 .53202 L
.60098 .53179 L
.59967 .52987 L
.59924 .5293 L
.59829 .52794 L
.59731 .52695 L
.59638 .52601 L
.59549 .52409 L
.59538 .52395 L
.59415 .52216 L
.59346 .52123 L
.59278 .52023 L
.59153 .51866 L
.59121 .51831 L
.59005 .51638 L
.5896 .51577 L
.58873 .51445 L
.58768 .513 L
.58736 .51253 L
.58605 .5106 L
.58575 .51018 L
.5848 .50867 L
.58382 .50728 L
.5835 .50674 L
.58229 .50482 L
.58189 .5042 L
.5813 .50289 L
F
1 .72 0 r
.58189 .57792 m
.582 .57804 L
.58189 .57917 L
.5814 .57804 L
F
1 .95 0 r
.58189 .49446 m
.58268 .49518 L
.58382 .4963 L
.58458 .49711 L
.58575 .49812 L
.58633 .49904 L
.58768 .5006 L
.58822 .50096 L
.58959 .50289 L
.5896 .5029 L
.59119 .50482 L
.59153 .50511 L
.59278 .50674 L
.59346 .50761 L
.59453 .50867 L
.59538 .5101 L
.59574 .5106 L
.59731 .51249 L
.59736 .51253 L
.59887 .51445 L
.59924 .51495 L
.60045 .51638 L
.60116 .51752 L
.60165 .51831 L
.60309 .52006 L
.60334 .52023 L
.6048 .52216 L
.60502 .52247 L
.60628 .52409 L
.60694 .52509 L
.60746 .52601 L
.60887 .52771 L
.60918 .52794 L
.61062 .52987 L
.6108 .53013 L
.61204 .53179 L
.61273 .53278 L
.6132 .53372 L
.61465 .53543 L
.61495 .53565 L
.61653 .53758 L
.61658 .53787 L
.61776 .5395 L
.61851 .54055 L
.61888 .54143 L
.62043 .54319 L
.62067 .54336 L
.62222 .54528 L
.62236 .54567 L
.62343 .54721 L
.62429 .54836 L
.62454 .54914 L
.62621 .55097 L
.62636 .55106 L
.6279 .55299 L
.62814 .55351 L
.62909 .55492 L
.63007 .5562 L
.63018 .55684 L
.63199 .55876 L
.63202 .55877 L
.63355 .5607 L
.63392 .56138 L
.63472 .56263 L
.63585 .56407 L
.63627 .56455 L
.63766 .56648 L
.63778 .56661 L
.63918 .56841 L
.6397 .56927 L
.64034 .57033 L
.64163 .57195 L
.6419 .57226 L
.64329 .57419 L
.64356 .5745 L
.6448 .57611 L
.64548 .57719 L
.64596 .57804 L
.64741 .57985 L
.64751 .57997 L
.6489 .58189 L
.64934 .58241 L
.65038 .58382 L
.65126 .58514 L
.65157 .58575 L
.6531 .58768 L
.65319 .58772 L
.65499 .5896 L
.65512 .59037 L
.65595 .59153 L
.65704 .59313 L
.65718 .59346 L
.65865 .59538 L
.65897 .59557 L
.66051 .59731 L
.6609 .59841 L
.66146 .59924 L
.66279 .60116 L
.66283 .60121 L
.66414 .60309 L
.66475 .60358 L
.66591 .60502 L
.66668 .6066 L
.6669 .60694 L
.66821 .60887 L
.66861 .60943 L
.66954 .6108 L
.67053 .61194 L
.67111 .61273 L
.67219 .61465 L
.67246 .61504 L
.67346 .61658 L
.67439 .61795 L
.67475 .61851 L
.67596 .62043 L
.67631 .62098 L
.67709 .62236 L
.67631 .62394 L
.67485 .62236 L
.67439 .62189 L
.67314 .62043 L
.67246 .61969 L
.67148 .61851 L
.67053 .61753 L
.66987 .61658 L
.66861 .61504 L
.66818 .61465 L
.66676 .61273 L
.66668 .61263 L
.66525 .6108 L
.66475 .61028 L
.66374 .60887 L
.66283 .60771 L
.66211 .60694 L
.6609 .60519 L
.66078 .60502 L
.65929 .60309 L
.65897 .60275 L
.65782 .60116 L
.65704 .60015 L
.65626 .59924 L
.65512 .59756 L
.65497 .59731 L
.65346 .59538 L
.65319 .59509 L
.65151 .59346 L
.65126 .59247 L
.65051 .59153 L
.64934 .58985 L
.64922 .5896 L
.64771 .58768 L
.64741 .58735 L
.64587 .58575 L
.64548 .5847 L
.64481 .58382 L
.64356 .58207 L
.64349 .58189 L
.642 .57997 L
.64163 .57955 L
.64023 .57804 L
.6397 .57688 L
.63913 .57611 L
.63778 .57425 L
.63776 .57419 L
.63632 .57226 L
.63585 .57173 L
.63461 .57033 L
.63392 .56903 L
.63348 .56841 L
.63206 .56648 L
.63199 .56646 L
.63066 .56455 L
.63007 .56387 L
.62899 .56263 L
.62814 .56116 L
.62783 .5607 L
.62641 .55877 L
.62621 .55868 L
.62501 .55684 L
.62429 .55599 L
.62339 .55492 L
.62236 .55326 L
.62219 .55299 L
.62078 .55106 L
.62043 .55086 L
.61938 .54914 L
.61851 .54808 L
.6178 .54721 L
.61658 .54535 L
.61654 .54528 L
.61516 .54336 L
.61465 .543 L
.61311 .54143 L
.61273 .54014 L
.61223 .5395 L
.61093 .53758 L
.6108 .5374 L
.60955 .53565 L
.60887 .53507 L
.60763 .53372 L
.60694 .53216 L
.60667 .53179 L
.60534 .52987 L
.60502 .52944 L
.60397 .52794 L
.60309 .52707 L
.60218 .52601 L
.60116 .52413 L
.60113 .52409 L
.59979 .52216 L
.59924 .52143 L
.59841 .52023 L
.59731 .51896 L
.59678 .51831 L
.59562 .51638 L
.59538 .51606 L
.59428 .51445 L
.59346 .51334 L
.5929 .51253 L
.59153 .51067 L
.59147 .5106 L
.59019 .50867 L
.5896 .50787 L
.58886 .50674 L
.58768 .5051 L
.58749 .50482 L
.5862 .50289 L
.58575 .50226 L
.58494 .50096 L
.58382 .49934 L
.58364 .49904 L
.58248 .49711 L
.58189 .49617 L
.58146 .49518 L
F
1 .27 0 r
.58189 .52634 m
.58281 .52794 L
.58382 .52944 L
.58402 .52987 L
.58382 .53033 L
.58343 .52987 L
.58189 .52827 L
.58164 .52794 L
F
1 .26 0 r
.58189 .52644 m
.58271 .52794 L
.58382 .52966 L
.5839 .52987 L
.58382 .5301 L
.58361 .52987 L
.58189 .52817 L
.58171 .52794 L
F
0 .91 1 r
.58189 .57035 m
.58382 .57088 L
.58502 .57226 L
.58575 .5729 L
.58686 .57419 L
.58768 .57515 L
.58885 .57611 L
.5896 .57757 L
.59 .57804 L
.59148 .57997 L
.59153 .58003 L
.59291 .58189 L
.59346 .58246 L
.5946 .58382 L
.59538 .58525 L
.59569 .58575 L
.59704 .58768 L
.59731 .58807 L
.59834 .5896 L
.59924 .59101 L
.59972 .59153 L
.6006 .59346 L
.60116 .59512 L
.60118 .59538 L
.60116 .59543 L
.59976 .59538 L
.59924 .59509 L
.5974 .59346 L
.59731 .59337 L
.59566 .59153 L
.59538 .59123 L
.59407 .5896 L
.59346 .58902 L
.59254 .58768 L
.59153 .58644 L
.59085 .58575 L
.5896 .58384 L
.58959 .58382 L
.58819 .58189 L
.58768 .58121 L
.58679 .57997 L
.58575 .57873 L
.58527 .57804 L
.58408 .57611 L
.58382 .57574 L
.58284 .57419 L
.58189 .57257 L
.58173 .57226 L
F
1 .25 0 r
.58189 .52656 m
.58259 .52794 L
.58189 .52807 L
.58179 .52794 L
F
0 .19 1 r
.58189 .51832 m
.58321 .52023 L
.58382 .52097 L
.58462 .52216 L
.58575 .5236 L
.58607 .52409 L
.58575 .52542 L
.58483 .52409 L
.58382 .52288 L
.58333 .52216 L
.58189 .52034 L
.58182 .52023 L
F
0 .18 1 r
.58189 .51841 m
.58313 .52023 L
.58382 .52106 L
.58455 .52216 L
.58575 .52369 L
.58601 .52409 L
.58575 .52532 L
.5849 .52409 L
.58382 .5228 L
.58339 .52216 L
.58189 .52027 L
.58187 .52023 L
F
1 .24 0 r
.58189 .5267 m
.58244 .52794 L
.58189 .52796 L
.58188 .52794 L
F
0 .9 1 r
.58382 .57108 m
.58479 .57226 L
.58575 .57307 L
.58671 .57419 L
.58768 .57529 L
.58872 .57611 L
.5896 .5777 L
.5899 .57804 L
.59138 .57997 L
.59153 .58016 L
.59282 .58189 L
.59346 .58257 L
.59451 .58382 L
.59538 .58539 L
.5956 .58575 L
.59693 .58768 L
.59731 .58824 L
.59821 .5896 L
.59924 .59124 L
.59951 .59153 L
.60037 .59346 L
.59924 .59479 L
.59764 .59346 L
.59731 .59317 L
.59581 .59153 L
.59538 .59107 L
.59418 .5896 L
.59346 .58891 L
.59263 .58768 L
.59153 .58633 L
.59096 .58575 L
.58967 .58382 L
.5896 .58374 L
.58827 .58189 L
.58768 .58111 L
.58687 .57997 L
.58575 .57858 L
.58538 .57804 L
.58418 .57611 L
.58382 .57557 L
.58297 .57419 L
.58191 .57226 L
F
0 .89 1 r
.58382 .57135 m
.58455 .57226 L
.58575 .57324 L
.58655 .57419 L
.58768 .57544 L
.58858 .57611 L
.5896 .57782 L
.5898 .57804 L
.59128 .57997 L
.59153 .58029 L
.59273 .58189 L
.59346 .58269 L
.59441 .58382 L
.59538 .58554 L
.59551 .58575 L
.59682 .58768 L
.59731 .58841 L
.59809 .5896 L
.59924 .5915 L
.59927 .59153 L
.6001 .59346 L
.59924 .59445 L
.59791 .59346 L
.59731 .59296 L
.59597 .59153 L
.59538 .59091 L
.5943 .5896 L
.59346 .58879 L
.59273 .58768 L
.59153 .58621 L
.59107 .58575 L
.58975 .58382 L
.5896 .58363 L
.58835 .58189 L
.58768 .581 L
.58695 .57997 L
.58575 .57842 L
.58549 .57804 L
.58429 .57611 L
.58382 .5754 L
.5831 .57419 L
.58216 .57226 L
F
0 .88 1 r
.58382 .57171 m
.58426 .57226 L
.58575 .57342 L
.58639 .57419 L
.58768 .57559 L
.58841 .57611 L
.5896 .57794 L
.5897 .57804 L
.59118 .57997 L
.59153 .58042 L
.59263 .58189 L
.59346 .58282 L
.59431 .58382 L
.59538 .58571 L
.59541 .58575 L
.59671 .58768 L
.59731 .58859 L
.59796 .5896 L
.59907 .59153 L
.59924 .59187 L
.59978 .59346 L
.59924 .59406 L
.59825 .59346 L
.59731 .59274 L
.59614 .59153 L
.59538 .59075 L
.59442 .5896 L
.59346 .58866 L
.59283 .58768 L
.59153 .58609 L
.59119 .58575 L
.58984 .58382 L
.5896 .58351 L
.58843 .58189 L
.58768 .58089 L
.58703 .57997 L
.58575 .57824 L
.58561 .57804 L
.5844 .57611 L
.58382 .57521 L
.58323 .57419 L
.58247 .57226 L
F
0 .78 1 r
.58382 .50476 m
.58387 .50482 L
.58558 .50674 L
.58575 .50692 L
.58722 .50867 L
.58768 .50919 L
.58883 .5106 L
.5896 .51152 L
.59041 .51253 L
.59153 .5138 L
.59197 .51445 L
.59346 .51634 L
.59349 .51638 L
.59499 .51831 L
.59538 .51879 L
.5965 .52023 L
.59731 .52116 L
.59857 .52216 L
.59924 .52377 L
.5995 .52409 L
.60094 .52601 L
.60116 .5263 L
.60241 .52794 L
.60309 .52873 L
.60429 .52987 L
.60502 .53138 L
.60533 .53179 L
.60677 .53372 L
.60694 .53373 L
.60822 .53565 L
.60887 .53642 L
.60997 .53758 L
.6108 .5391 L
.61108 .5395 L
.61252 .54143 L
.61273 .54148 L
.61395 .54336 L
.61465 .54421 L
.6156 .54528 L
.61658 .54692 L
.61677 .54721 L
.6182 .54914 L
.61851 .54925 L
.61962 .55106 L
.62043 .55208 L
.6212 .55299 L
.62236 .55481 L
.62243 .55492 L
.62383 .55684 L
.62429 .5571 L
.62523 .55877 L
.62621 .56003 L
.62674 .5607 L
.62802 .56263 L
.62814 .56279 L
.62939 .56455 L
.63007 .56508 L
.63078 .56648 L
.63199 .56812 L
.63221 .56841 L
.63351 .57033 L
.63392 .57089 L
.63487 .57226 L
.63585 .57331 L
.63666 .57419 L
.63758 .57611 L
.63778 .57638 L
.63889 .57804 L
.6397 .57919 L
.64022 .57997 L
.64154 .58189 L
.64163 .58202 L
.64276 .58382 L
.64356 .58499 L
.64401 .58575 L
.64518 .58768 L
.64548 .58817 L
.64601 .5896 L
.64548 .58968 L
.64541 .5896 L
.64356 .58771 L
.64353 .58768 L
.64187 .58575 L
.64163 .58549 L
.64027 .58382 L
.6397 .58318 L
.63869 .58189 L
.63778 .58081 L
.63712 .57997 L
.63585 .57848 L
.63524 .57804 L
.63407 .57611 L
.63392 .57593 L
.63259 .57419 L
.63199 .57345 L
.6311 .57226 L
.63007 .57106 L
.62922 .57033 L
.62814 .56842 L
.62813 .56841 L
.62669 .56648 L
.62621 .56634 L
.62524 .56455 L
.62429 .56344 L
.62344 .56263 L
.62236 .56075 L
.62232 .5607 L
.62091 .55877 L
.62043 .55859 L
.61947 .55684 L
.61851 .55569 L
.61776 .55492 L
.61658 .55299 L
.61658 .55298 L
.61519 .55106 L
.61465 .55079 L
.61376 .54914 L
.61273 .54786 L
.61213 .54721 L
.61091 .54528 L
.6108 .54514 L
.60952 .54336 L
.60887 .54293 L
.60811 .54143 L
.60694 .53995 L
.60655 .5395 L
.60528 .53758 L
.60502 .53723 L
.6039 .53565 L
.60309 .53497 L
.60249 .53372 L
.60116 .53196 L
.60103 .53179 L
.59971 .52987 L
.59924 .52924 L
.59833 .52794 L
.59731 .52687 L
.59646 .52601 L
.59554 .52409 L
.59538 .52388 L
.5942 .52216 L
.59346 .52116 L
.59283 .52023 L
.59153 .51854 L
.59132 .51831 L
.59012 .51638 L
.5896 .51568 L
.5888 .51445 L
.58768 .5129 L
.58743 .51253 L
.58614 .5106 L
.58575 .51005 L
.5849 .50867 L
.58382 .5071 L
.58361 .50674 L
.58251 .50482 L
F
0 .87 1 r
.58382 .57219 m
.58388 .57226 L
.58575 .57362 L
.58622 .57419 L
.58768 .57574 L
.58822 .57611 L
.58958 .57804 L
.5896 .57806 L
.59108 .57997 L
.59153 .58055 L
.59253 .58189 L
.59346 .58296 L
.59419 .58382 L
.5953 .58575 L
.59538 .58586 L
.59659 .58768 L
.59731 .58879 L
.59782 .5896 L
.59886 .59153 L
.59924 .59246 L
.59932 .59346 L
.59924 .59354 L
.59885 .59346 L
.59731 .59251 L
.59633 .59153 L
.59538 .59058 L
.59455 .5896 L
.59346 .58852 L
.59293 .58768 L
.59153 .58596 L
.59131 .58575 L
.58993 .58382 L
.5896 .5834 L
.58851 .58189 L
.58768 .58077 L
.58711 .57997 L
.58575 .57806 L
.58574 .57804 L
.58452 .57611 L
.58382 .575 L
.58338 .57419 L
.58294 .57226 L
F
1 .48 0 r
.58382 .51258 m
.58529 .51445 L
.58575 .51499 L
.58682 .51638 L
.58768 .51743 L
.58834 .51831 L
.5896 .5196 L
.58986 .52023 L
.59132 .52216 L
.59153 .52241 L
.59277 .52409 L
.59346 .52495 L
.59424 .52601 L
.59538 .52717 L
.59571 .52794 L
.59714 .52987 L
.59731 .53008 L
.59855 .53179 L
.59924 .53269 L
.59999 .53372 L
.60116 .53504 L
.60142 .53565 L
.60282 .53758 L
.60309 .53793 L
.6042 .5395 L
.60502 .54059 L
.60561 .54143 L
.60694 .54318 L
.60702 .54336 L
.60835 .54528 L
.60887 .54598 L
.60971 .54721 L
.6108 .54871 L
.61109 .54914 L
.6124 .55106 L
.61273 .5515 L
.61368 .55299 L
.61465 .55436 L
.615 .55492 L
.61465 .55648 L
.61341 .55492 L
.61273 .55416 L
.61183 .55299 L
.6108 .55177 L
.61027 .55106 L
.60887 .54934 L
.60872 .54914 L
.60725 .54721 L
.60694 .54684 L
.60579 .54528 L
.60502 .54432 L
.60431 .54336 L
.60309 .54179 L
.60283 .54143 L
.60138 .5395 L
.60116 .53923 L
.59997 .53758 L
.59924 .53664 L
.59853 .53565 L
.59731 .53435 L
.59707 .53372 L
.59567 .53179 L
.59538 .53143 L
.59428 .52987 L
.59346 .52879 L
.59286 .52794 L
.59153 .52628 L
.59143 .52601 L
.59008 .52409 L
.5896 .52346 L
.58871 .52216 L
.58768 .52077 L
.58731 .52023 L
.58594 .51831 L
.58575 .51806 L
.58465 .51638 L
.58382 .51526 L
.5833 .51445 L
F
1 .47 0 r
.58382 .51267 m
.58521 .51445 L
.58575 .51507 L
.58675 .51638 L
.58768 .5175 L
.58829 .51831 L
.5896 .51971 L
.58981 .52023 L
.59127 .52216 L
.59153 .52248 L
.59272 .52409 L
.59346 .52501 L
.5942 .52601 L
.59538 .52726 L
.59567 .52794 L
.59709 .52987 L
.59731 .53014 L
.59851 .53179 L
.59924 .53274 L
.59995 .53372 L
.60116 .53513 L
.60138 .53565 L
.60277 .53758 L
.60309 .53799 L
.60416 .5395 L
.60502 .54065 L
.60557 .54143 L
.60694 .54328 L
.60698 .54336 L
.6083 .54528 L
.60887 .54605 L
.60966 .54721 L
.6108 .54878 L
.61104 .54914 L
.61233 .55106 L
.61273 .55159 L
.61361 .55299 L
.61465 .55448 L
.61492 .55492 L
.61465 .55635 L
.61351 .55492 L
.61273 .55406 L
.61191 .55299 L
.6108 .55169 L
.61033 .55106 L
.60887 .54927 L
.60877 .54914 L
.60731 .54721 L
.60694 .54678 L
.60584 .54528 L
.60502 .54426 L
.60436 .54336 L
.60309 .54174 L
.60286 .54143 L
.60143 .5395 L
.60116 .53917 L
.60001 .53758 L
.59924 .53659 L
.59857 .53565 L
.59731 .53426 L
.59711 .53372 L
.59571 .53179 L
.59538 .53138 L
.59432 .52987 L
.59346 .52874 L
.5929 .52794 L
.59153 .52619 L
.59146 .52601 L
.59012 .52409 L
.5896 .52341 L
.58876 .52216 L
.58768 .52071 L
.58735 .52023 L
.58599 .51831 L
.58575 .51798 L
.58471 .51638 L
.58382 .51518 L
.58336 .51445 L
F
1 .46 0 r
.58382 .51278 m
.58513 .51445 L
.58575 .51515 L
.58669 .51638 L
.58768 .51757 L
.58823 .51831 L
.5896 .51984 L
.58976 .52023 L
.59122 .52216 L
.59153 .52254 L
.59268 .52409 L
.59346 .52507 L
.59415 .52601 L
.59538 .52736 L
.59562 .52794 L
.59705 .52987 L
.59731 .5302 L
.59846 .53179 L
.59924 .5328 L
.5999 .53372 L
.60116 .53522 L
.60134 .53565 L
.60272 .53758 L
.60309 .53805 L
.60411 .5395 L
.60502 .54071 L
.60552 .54143 L
.60693 .54336 L
.60694 .54338 L
.60825 .54528 L
.60887 .54612 L
.60961 .54721 L
.6108 .54886 L
.61099 .54914 L
.61226 .55106 L
.61273 .5517 L
.61353 .55299 L
.61465 .5546 L
.61484 .55492 L
.61465 .5562 L
.61363 .55492 L
.61273 .55396 L
.61198 .55299 L
.6108 .55161 L
.61039 .55106 L
.60887 .5492 L
.60882 .54914 L
.60737 .54721 L
.60694 .54671 L
.60589 .54528 L
.60502 .5442 L
.6044 .54336 L
.60309 .54168 L
.60291 .54143 L
.60147 .5395 L
.60116 .53912 L
.60006 .53758 L
.59924 .53653 L
.59861 .53565 L
.59731 .53416 L
.59715 .53372 L
.59575 .53179 L
.59538 .53132 L
.59436 .52987 L
.59346 .52868 L
.59294 .52794 L
.59153 .52609 L
.5915 .52601 L
.59017 .52409 L
.5896 .52334 L
.5888 .52216 L
.58768 .52065 L
.5874 .52023 L
.58605 .51831 L
.58575 .5179 L
.58477 .51638 L
.58382 .51509 L
.58342 .51445 L
F
0 .17 1 r
.58382 .52116 m
.58448 .52216 L
.58575 .52378 L
.58595 .52409 L
.58575 .52521 L
.58499 .52409 L
.58382 .52271 L
.58345 .52216 L
F
1 .45 0 r
.58382 .51289 m
.58505 .51445 L
.58575 .51524 L
.58662 .51638 L
.58768 .51765 L
.58818 .51831 L
.5896 .51997 L
.5897 .52023 L
.59116 .52216 L
.59153 .52261 L
.59262 .52409 L
.59346 .52514 L
.59411 .52601 L
.59538 .52746 L
.59558 .52794 L
.597 .52987 L
.59731 .53026 L
.59842 .53179 L
.59924 .53286 L
.59986 .53372 L
.60116 .53532 L
.6013 .53565 L
.60268 .53758 L
.60309 .53811 L
.60406 .5395 L
.60502 .54077 L
.60548 .54143 L
.60687 .54336 L
.60694 .54345 L
.60819 .54528 L
.60887 .5462 L
.60955 .54721 L
.6108 .54894 L
.61093 .54914 L
.61218 .55106 L
.61273 .55181 L
.61344 .55299 L
.61465 .55475 L
.61475 .55492 L
.61465 .55602 L
.61376 .55492 L
.61273 .55385 L
.61207 .55299 L
.6108 .55153 L
.61045 .55106 L
.60888 .54914 L
.60887 .54913 L
.60743 .54721 L
.60694 .54664 L
.60595 .54528 L
.60502 .54414 L
.60445 .54336 L
.60309 .54163 L
.60295 .54143 L
.60152 .5395 L
.60116 .53906 L
.6001 .53758 L
.59924 .53648 L
.59865 .53565 L
.59731 .53407 L
.59718 .53372 L
.5958 .53179 L
.59538 .53127 L
.59441 .52987 L
.59346 .52863 L
.59298 .52794 L
.59154 .52601 L
.59153 .526 L
.59022 .52409 L
.5896 .52328 L
.58885 .52216 L
.58768 .52058 L
.58744 .52023 L
.58611 .51831 L
.58575 .51782 L
.58483 .51638 L
.58382 .515 L
.58348 .51445 L
F
0 .16 1 r
.58382 .52127 m
.58439 .52216 L
.58575 .52389 L
.58587 .52409 L
.58575 .52508 L
.5851 .52409 L
.58382 .52261 L
.58352 .52216 L
F
0 .86 1 r
.58382 .57255 m
.58575 .57383 L
.58604 .57419 L
.58768 .5759 L
.58801 .57611 L
.58946 .57804 L
.5896 .57821 L
.59097 .57997 L
.59153 .58068 L
.59243 .58189 L
.59346 .58311 L
.59406 .58382 L
.59519 .58575 L
.59538 .58602 L
.59647 .58768 L
.59731 .589 L
.59768 .5896 L
.59863 .59153 L
.59731 .59226 L
.59654 .59153 L
.59538 .59041 L
.59469 .5896 L
.59346 .58836 L
.59303 .58768 L
.59153 .58583 L
.59145 .58575 L
.59003 .58382 L
.5896 .58328 L
.5886 .58189 L
.58768 .58065 L
.5872 .57997 L
.58585 .57804 L
.58575 .5779 L
.58464 .57611 L
.58382 .57475 L
.58353 .57419 L
F
1 .44 0 r
.58382 .51302 m
.58495 .51445 L
.58575 .51534 L
.58655 .51638 L
.58768 .51773 L
.58812 .51831 L
.5896 .52011 L
.58965 .52023 L
.5911 .52216 L
.59153 .52268 L
.59257 .52409 L
.59346 .5252 L
.59406 .52601 L
.59538 .52756 L
.59554 .52794 L
.59695 .52987 L
.59731 .53032 L
.59837 .53179 L
.59924 .53292 L
.59982 .53372 L
.60116 .53542 L
.60126 .53565 L
.60263 .53758 L
.60309 .53818 L
.60402 .5395 L
.60502 .54084 L
.60543 .54143 L
.60682 .54336 L
.60694 .54352 L
.60813 .54528 L
.60887 .54627 L
.6095 .54721 L
.6108 .54902 L
.61087 .54914 L
.6121 .55106 L
.61273 .55193 L
.61335 .55299 L
.61273 .55373 L
.61216 .55299 L
.6108 .55144 L
.61052 .55106 L
.60895 .54914 L
.60887 .54905 L
.60749 .54721 L
.60694 .54657 L
.606 .54528 L
.60502 .54408 L
.60449 .54336 L
.60309 .54157 L
.60299 .54143 L
.60157 .5395 L
.60116 .539 L
.60014 .53758 L
.59924 .53642 L
.59869 .53565 L
.59731 .53397 L
.59722 .53372 L
.59584 .53179 L
.59538 .53121 L
.59445 .52987 L
.59346 .52857 L
.59302 .52794 L
.59159 .52601 L
.59153 .52593 L
.59027 .52409 L
.5896 .52321 L
.5889 .52216 L
.58768 .52052 L
.58749 .52023 L
.58618 .51831 L
.58575 .51773 L
.5849 .51638 L
.58382 .5149 L
.58355 .51445 L
F
0 .15 1 r
.58382 .5214 m
.58429 .52216 L
.58575 .52401 L
.58579 .52409 L
.58575 .52492 L
.58523 .52409 L
.58382 .5225 L
.5836 .52216 L
F
1 .43 0 r
.58382 .51316 m
.58485 .51445 L
.58575 .51544 L
.58648 .51638 L
.58768 .51781 L
.58806 .51831 L
.58959 .52023 L
.5896 .52024 L
.59104 .52216 L
.59153 .52275 L
.59252 .52409 L
.59346 .52526 L
.59401 .52601 L
.59538 .52767 L
.59549 .52794 L
.5969 .52987 L
.59731 .53038 L
.59833 .53179 L
.59924 .53298 L
.59977 .53372 L
.60116 .53553 L
.60121 .53565 L
.60258 .53758 L
.60309 .53824 L
.60397 .5395 L
.60502 .5409 L
.60538 .54143 L
.60676 .54336 L
.60694 .5436 L
.60807 .54528 L
.60887 .54636 L
.60944 .54721 L
.6108 .54911 L
.61081 .54914 L
.612 .55106 L
.61273 .55207 L
.61325 .55299 L
.61273 .5536 L
.61226 .55299 L
.6108 .55135 L
.61059 .55106 L
.60903 .54914 L
.60887 .54896 L
.60756 .54721 L
.60694 .54649 L
.60606 .54528 L
.60502 .54401 L
.60454 .54336 L
.60309 .54151 L
.60303 .54143 L
.60162 .5395 L
.60116 .53894 L
.60019 .53758 L
.59924 .53636 L
.59873 .53565 L
.59731 .53386 L
.59726 .53372 L
.59589 .53179 L
.59538 .53115 L
.59449 .52987 L
.59346 .52851 L
.59306 .52794 L
.59164 .52601 L
.59153 .52587 L
.59032 .52409 L
.5896 .52315 L
.58895 .52216 L
.58768 .52045 L
.58754 .52023 L
.58625 .51831 L
.58575 .51764 L
.58497 .51638 L
.58382 .51479 L
.58362 .51445 L
F
0 .14 1 r
.58382 .52156 m
.58416 .52216 L
.58382 .52236 L
.5837 .52216 L
F
0 .85 1 r
.58382 .57297 m
.58575 .57408 L
.58584 .57419 L
.58768 .57606 L
.58776 .57611 L
.58934 .57804 L
.5896 .57835 L
.59087 .57997 L
.59153 .58082 L
.59233 .58189 L
.59346 .58328 L
.59392 .58382 L
.59508 .58575 L
.59538 .58619 L
.59634 .58768 L
.59731 .58923 L
.59753 .5896 L
.59834 .59153 L
.59731 .592 L
.59678 .59153 L
.59538 .59024 L
.59483 .5896 L
.59346 .5882 L
.59314 .58768 L
.59158 .58575 L
.59153 .58569 L
.59012 .58382 L
.5896 .58316 L
.58869 .58189 L
.58768 .58053 L
.58728 .57997 L
.58596 .57804 L
.58575 .57774 L
.58476 .57611 L
.58382 .57445 L
.5837 .57419 L
F
1 .42 0 r
.58382 .51332 m
.58473 .51445 L
.58575 .51554 L
.58639 .51638 L
.58768 .5179 L
.58799 .51831 L
.58952 .52023 L
.5896 .52033 L
.59098 .52216 L
.59153 .52282 L
.59247 .52409 L
.59346 .52533 L
.59396 .52601 L
.59538 .52779 L
.59544 .52794 L
.59685 .52987 L
.59731 .53045 L
.59828 .53179 L
.59924 .53304 L
.59973 .53372 L
.60116 .53564 L
.60117 .53565 L
.60252 .53758 L
.60309 .53831 L
.60392 .5395 L
.60502 .54097 L
.60534 .54143 L
.6067 .54336 L
.60694 .54368 L
.60801 .54528 L
.60887 .54644 L
.60938 .54721 L
.60887 .54887 L
.60763 .54721 L
.60694 .54642 L
.60611 .54528 L
.60502 .54394 L
.60459 .54336 L
.60309 .54145 L
.60308 .54143 L
.60167 .5395 L
.60116 .53887 L
.60024 .53758 L
.59924 .53631 L
.59877 .53565 L
.59731 .53375 L
.5973 .53372 L
.59594 .53179 L
.59538 .53109 L
.59454 .52987 L
.59346 .52845 L
.5931 .52794 L
.5917 .52601 L
.59153 .5258 L
.59038 .52409 L
.5896 .52308 L
.589 .52216 L
.58768 .52037 L
.58758 .52023 L
.58633 .51831 L
.58575 .51754 L
.58505 .51638 L
.58382 .51466 L
.5837 .51445 L
F
0 .77 1 r
.58382 .50504 m
.58538 .50674 L
.58575 .50711 L
.58707 .50867 L
.58768 .50934 L
.58871 .5106 L
.5896 .51165 L
.59031 .51253 L
.59153 .51393 L
.59188 .51445 L
.5934 .51638 L
.59346 .51644 L
.59492 .51831 L
.59538 .51889 L
.59643 .52023 L
.59731 .52124 L
.59848 .52216 L
.59924 .52386 L
.59943 .52409 L
.60088 .52601 L
.60116 .52637 L
.60236 .52794 L
.60309 .5288 L
.60423 .52987 L
.60502 .53145 L
.60528 .53179 L
.60672 .53372 L
.60694 .53374 L
.60817 .53565 L
.60887 .53648 L
.60992 .53758 L
.6108 .53917 L
.61104 .5395 L
.61247 .54143 L
.61273 .54149 L
.6139 .54336 L
.61465 .54427 L
.61556 .54528 L
.61658 .54698 L
.61673 .54721 L
.61816 .54914 L
.61851 .54928 L
.61957 .55106 L
.62043 .55214 L
.62115 .55299 L
.62236 .55487 L
.62239 .55492 L
.62378 .55684 L
.62429 .55714 L
.62518 .55877 L
.62621 .56011 L
.62669 .5607 L
.62796 .56263 L
.62814 .56286 L
.62934 .56455 L
.63007 .56515 L
.63073 .56648 L
.63199 .56821 L
.63214 .56841 L
.63345 .57033 L
.63392 .57098 L
.63481 .57226 L
.63585 .57344 L
.63654 .57419 L
.6375 .57611 L
.63778 .57649 L
.63881 .57804 L
.6397 .57931 L
.64014 .57997 L
.64143 .58189 L
.64163 .58218 L
.64264 .58382 L
.64356 .5852 L
.64388 .58575 L
.64356 .58747 L
.64205 .58575 L
.64163 .58532 L
.6404 .58382 L
.6397 .58304 L
.63879 .58189 L
.63778 .58069 L
.63721 .57997 L
.63585 .57835 L
.6354 .57804 L
.63415 .57611 L
.63392 .57584 L
.63266 .57419 L
.63199 .57336 L
.63116 .57226 L
.63007 .57098 L
.62931 .57033 L
.62819 .56841 L
.62814 .56835 L
.62675 .56648 L
.62621 .56631 L
.62529 .56455 L
.62429 .56337 L
.6235 .56263 L
.62236 .5607 L
.62236 .56069 L
.62095 .55877 L
.62043 .55856 L
.61951 .55684 L
.61851 .55564 L
.61781 .55492 L
.61663 .55299 L
.61658 .55293 L
.61523 .55106 L
.61465 .55076 L
.6138 .54914 L
.61273 .54781 L
.61218 .54721 L
.61095 .54528 L
.6108 .54509 L
.60956 .54336 L
.60887 .54289 L
.60814 .54143 L
.60694 .5399 L
.6066 .5395 L
.60532 .53758 L
.60502 .53717 L
.60394 .53565 L
.60309 .53491 L
.60253 .53372 L
.60116 .53189 L
.60108 .53179 L
.59975 .52987 L
.59924 .52918 L
.59837 .52794 L
.59731 .52679 L
.59655 .52601 L
.59559 .52409 L
.59538 .52381 L
.59425 .52216 L
.59346 .52108 L
.59288 .52023 L
.59153 .51842 L
.59143 .51831 L
.59019 .51638 L
.5896 .51558 L
.58887 .51445 L
.58768 .51279 L
.5875 .51253 L
.58625 .5106 L
.58575 .5099 L
.58502 .50867 L
.58382 .5069 L
.58374 .50674 L
F
1 .72 0 r
.58382 .5801 m
.58503 .58189 L
.58575 .58289 L
.58621 .58382 L
.58575 .58411 L
.5855 .58382 L
.58382 .58195 L
.58378 .58189 L
F
1 .41 0 r
.58382 .51352 m
.58458 .51445 L
.58575 .51566 L
.58631 .51638 L
.58768 .51799 L
.58792 .51831 L
.58944 .52023 L
.5896 .52041 L
.59091 .52216 L
.59153 .5229 L
.59241 .52409 L
.59346 .5254 L
.59391 .52601 L
.59538 .52791 L
.59539 .52794 L
.59679 .52987 L
.59731 .53052 L
.59823 .53179 L
.59924 .5331 L
.59968 .53372 L
.60111 .53565 L
.60116 .53571 L
.60247 .53758 L
.60309 .53838 L
.60387 .5395 L
.60502 .54104 L
.60529 .54143 L
.60663 .54336 L
.60694 .54376 L
.60795 .54528 L
.60887 .54653 L
.60931 .54721 L
.60887 .54877 L
.6077 .54721 L
.60694 .54633 L
.60618 .54528 L
.60502 .54387 L
.60464 .54336 L
.60313 .54143 L
.60309 .54138 L
.60173 .5395 L
.60116 .53881 L
.60029 .53758 L
.59924 .53625 L
.59882 .53565 L
.59735 .53372 L
.59731 .53367 L
.59599 .53179 L
.59538 .53102 L
.59459 .52987 L
.59346 .52839 L
.59315 .52794 L
.59175 .52601 L
.59153 .52573 L
.59043 .52409 L
.5896 .523 L
.58905 .52216 L
.58768 .52029 L
.58764 .52023 L
.58641 .51831 L
.58575 .51742 L
.58514 .51638 L
.58382 .51451 L
.58379 .51445 L
F
0 .13 1 r
.58382 .52183 m
.58393 .52216 L
.58382 .52218 L
.58381 .52216 L
F
1 .99 0 r
.58575 .56742 m
.58768 .56752 L
.58926 .56841 L
.5896 .56867 L
.5911 .57033 L
.59153 .57086 L
.59236 .57226 L
.59346 .57336 L
.59408 .57419 L
.59538 .57597 L
.59549 .57611 L
.59688 .57804 L
.59731 .57871 L
.598 .57997 L
.59924 .58151 L
.59977 .58189 L
.60116 .58382 L
.60116 .58383 L
.60251 .58575 L
.60309 .5865 L
.60357 .58768 L
.60502 .58919 L
.60539 .5896 L
.60684 .59153 L
.60694 .59154 L
.60807 .59346 L
.60887 .59403 L
.60911 .59538 L
.6108 .59728 L
.61082 .59731 L
.61213 .59924 L
.6108 .60018 L
.60887 .60023 L
.60694 .5993 L
.60689 .59924 L
.60519 .59731 L
.60502 .59695 L
.60371 .59538 L
.60309 .59428 L
.6021 .59346 L
.60116 .59171 L
.60088 .59153 L
.59941 .5896 L
.59924 .58943 L
.5974 .58768 L
.59731 .58679 L
.59645 .58575 L
.59538 .58412 L
.59521 .58382 L
.59376 .58189 L
.59346 .58178 L
.59183 .57997 L
.59153 .57905 L
.59084 .57804 L
.5896 .57623 L
.58955 .57611 L
.58816 .57419 L
.58768 .57352 L
.58632 .57226 L
.58575 .57079 L
.58535 .57033 L
.58429 .56841 L
F
.58575 .60656 m
.58607 .60694 L
.58768 .60885 L
.58769 .60887 L
.58893 .6108 L
.5896 .61179 L
.58997 .61273 L
.5896 .61297 L
.58934 .61273 L
.58768 .61107 L
.58743 .6108 L
.58589 .60887 L
.58575 .60868 L
.58467 .60694 L
F
0 .84 1 r
.58575 .57432 m
.58756 .57611 L
.58768 .57623 L
.58921 .57804 L
.5896 .57849 L
.59075 .57997 L
.59153 .58095 L
.59223 .58189 L
.59346 .58346 L
.59376 .58382 L
.59496 .58575 L
.59538 .58637 L
.59621 .58768 L
.59731 .5895 L
.59736 .5896 L
.59794 .59153 L
.59731 .59169 L
.5971 .59153 L
.59538 .59005 L
.59498 .5896 L
.59346 .58801 L
.59326 .58768 L
.59169 .58575 L
.59153 .58556 L
.59022 .58382 L
.5896 .58304 L
.58878 .58189 L
.58768 .5804 L
.58737 .57997 L
.58607 .57804 L
.58575 .57756 L
.5849 .57611 L
F
1 .99 0 r
.59153 .6878 m
.59346 .68754 L
.59538 .6874 L
.59731 .68733 L
.59924 .68733 L
.60116 .68739 L
.60309 .68754 L
.60502 .68777 L
.60581 .68788 L
.60694 .68805 L
.60887 .68837 L
.6108 .6887 L
.61273 .68905 L
.61465 .68956 L
.61537 .6898 L
.61658 .69028 L
.61851 .69118 L
.61963 .69173 L
.62043 .69214 L
.62236 .69317 L
.62336 .69366 L
.62429 .69408 L
.62621 .69504 L
.62773 .69558 L
.62814 .69579 L
.63007 .69669 L
.63148 .69751 L
.63199 .69783 L
.63392 .69921 L
.6342 .69944 L
.63585 .70077 L
.63654 .70136 L
.63778 .70244 L
.63869 .70329 L
.6397 .70423 L
.6407 .70522 L
.64163 .70613 L
.64254 .70715 L
.64356 .70825 L
.64416 .70907 L
.64548 .71093 L
.64551 .711 L
.64623 .71293 L
.64581 .71485 L
.64548 .71519 L
.64356 .71614 L
.64163 .7166 L
.64059 .71678 L
.6397 .71691 L
.63778 .71712 L
.63585 .71725 L
.63392 .71733 L
.63199 .71738 L
.63007 .7174 L
.62814 .71739 L
.62621 .71737 L
.62429 .71733 L
.62236 .71726 L
.62043 .71716 L
.61851 .71703 L
.61658 .71686 L
.61585 .71678 L
.61465 .71663 L
.61273 .71632 L
.6108 .71593 L
.60887 .71545 L
.60694 .71487 L
.60689 .71485 L
.60502 .71413 L
.60309 .71326 L
.60238 .71293 L
.60116 .71226 L
.59924 .7111 L
.59907 .711 L
.59731 .70975 L
.5964 .70907 L
.59538 .70825 L
.5941 .70715 L
.59346 .70656 L
.59209 .70522 L
.59153 .70464 L
.59033 .70329 L
.5896 .70244 L
.58877 .70136 L
.58768 .69983 L
.58742 .69944 L
.58631 .69751 L
.58575 .69641 L
.58548 .69558 L
.58503 .69366 L
.58516 .69173 L
.58575 .69052 L
.58641 .6898 L
.58768 .68891 L
.5896 .68821 L
.59112 .68788 L
F
0 .83 1 r
.58575 .57456 m
.58738 .57611 L
.58768 .57641 L
.58908 .57804 L
.5896 .57864 L
.59064 .57997 L
.59153 .5811 L
.59212 .58189 L
.59346 .58367 L
.59359 .58382 L
.59483 .58575 L
.59538 .58657 L
.59607 .58768 L
.59715 .5896 L
.59538 .58985 L
.59515 .5896 L
.59346 .58781 L
.59338 .58768 L
.59181 .58575 L
.59153 .58542 L
.59032 .58382 L
.5896 .58291 L
.58888 .58189 L
.58768 .58027 L
.58747 .57997 L
.5862 .57804 L
.58575 .57736 L
.58505 .57611 L
F
0 .76 1 r
.58575 .50732 m
.58692 .50867 L
.58768 .5095 L
.58859 .5106 L
.5896 .51179 L
.59021 .51253 L
.59153 .51407 L
.59178 .51445 L
.59331 .51638 L
.59346 .51655 L
.59484 .51831 L
.59538 .51898 L
.59636 .52023 L
.59731 .52134 L
.59839 .52216 L
.59924 .52394 L
.59936 .52409 L
.60082 .52601 L
.60116 .52645 L
.6023 .52794 L
.60309 .52887 L
.60417 .52987 L
.60502 .53152 L
.60523 .53179 L
.60667 .53372 L
.60694 .53375 L
.60812 .53565 L
.60887 .53655 L
.60987 .53758 L
.6108 .53923 L
.61099 .5395 L
.61242 .54143 L
.61273 .54151 L
.61386 .54336 L
.61465 .54433 L
.61551 .54528 L
.61658 .54704 L
.61669 .54721 L
.61811 .54914 L
.61851 .54931 L
.61953 .55106 L
.62043 .5522 L
.6211 .55299 L
.62235 .55492 L
.62236 .55494 L
.62373 .55684 L
.62429 .55719 L
.62514 .55877 L
.62621 .56018 L
.62663 .5607 L
.62791 .56263 L
.62814 .56293 L
.62929 .56455 L
.63007 .56523 L
.63067 .56648 L
.63199 .5683 L
.63207 .56841 L
.63339 .57033 L
.63392 .57106 L
.63475 .57226 L
.63585 .57358 L
.63641 .57419 L
.63742 .57611 L
.63778 .5766 L
.63873 .57804 L
.6397 .57944 L
.64005 .57997 L
.64131 .58189 L
.64163 .58236 L
.6425 .58382 L
.64356 .58545 L
.64372 .58575 L
.64356 .58716 L
.64226 .58575 L
.64163 .58513 L
.64055 .58382 L
.6397 .58289 L
.6389 .58189 L
.63778 .58057 L
.6373 .57997 L
.63585 .57823 L
.63558 .57804 L
.63423 .57611 L
.63392 .57575 L
.63273 .57419 L
.63199 .57328 L
.63122 .57226 L
.63007 .57089 L
.6294 .57033 L
.62825 .56841 L
.62814 .56828 L
.6268 .56648 L
.62621 .56627 L
.62534 .56455 L
.62429 .5633 L
.62357 .56263 L
.62241 .5607 L
.62236 .56063 L
.62099 .55877 L
.62043 .55852 L
.61955 .55684 L
.61851 .55558 L
.61786 .55492 L
.61667 .55299 L
.61658 .55288 L
.61527 .55106 L
.61465 .55072 L
.61384 .54914 L
.61273 .54775 L
.61223 .54721 L
.61099 .54528 L
.6108 .54504 L
.6096 .54336 L
.60887 .54284 L
.60818 .54143 L
.60694 .53984 L
.60665 .5395 L
.60536 .53758 L
.60502 .53712 L
.60398 .53565 L
.60309 .53485 L
.60257 .53372 L
.60116 .53182 L
.60114 .53179 L
.5998 .52987 L
.59924 .52912 L
.59842 .52794 L
.59731 .5267 L
.59663 .52601 L
.59564 .52409 L
.59538 .52374 L
.59431 .52216 L
.59346 .52101 L
.59293 .52023 L
.59154 .51831 L
.59153 .51829 L
.59026 .51638 L
.5896 .51548 L
.58894 .51445 L
.58768 .51268 L
.58758 .51253 L
.58636 .5106 L
.58575 .50972 L
.58514 .50867 L
F
0 .82 1 r
.58575 .57482 m
.58718 .57611 L
.58768 .57659 L
.58894 .57804 L
.5896 .5788 L
.59052 .57997 L
.59153 .58124 L
.59201 .58189 L
.59342 .58382 L
.59346 .58387 L
.5947 .58575 L
.59538 .58678 L
.59593 .58768 L
.59688 .5896 L
.59538 .58964 L
.59535 .5896 L
.59352 .58768 L
.59346 .58761 L
.59193 .58575 L
.59153 .58528 L
.59043 .58382 L
.5896 .58277 L
.58898 .58189 L
.58768 .58013 L
.58757 .57997 L
.58633 .57804 L
.58575 .57713 L
.58521 .57611 L
F
1 .4 0 r
.58575 .51579 m
.58621 .51638 L
.58768 .51808 L
.58785 .51831 L
.58768 .52021 L
.5865 .51831 L
.58575 .51729 L
.58524 .51638 L
F
1 .93 0 r
.58768 .73403 m
.58833 .73412 L
.5896 .73442 L
.59153 .73515 L
.59346 .73605 L
.59346 .73605 L
.59538 .73705 L
.59704 .73798 L
.59731 .73814 L
.59924 .7393 L
.60021 .7399 L
.60116 .74052 L
.60309 .74178 L
.60317 .74183 L
.60502 .74307 L
.60602 .74376 L
.60694 .7444 L
.60876 .74568 L
.60887 .74576 L
.6108 .74715 L
.61143 .74761 L
.61273 .74857 L
.61404 .74954 L
.61465 .75 L
.61658 .75145 L
.61659 .75146 L
.61851 .75293 L
.61911 .75339 L
.62043 .75442 L
.62159 .75532 L
.62236 .75592 L
.62404 .75725 L
.62429 .75744 L
.62621 .75898 L
.62646 .75917 L
.62814 .76053 L
.62885 .7611 L
.63007 .76209 L
.63122 .76303 L
.63199 .76367 L
.63356 .76495 L
.63392 .76525 L
.63585 .76685 L
.63589 .76688 L
.63778 .76846 L
.63819 .76881 L
.6397 .77008 L
.64047 .77073 L
.64163 .77172 L
.64274 .77266 L
.64356 .77336 L
.64499 .77459 L
.64548 .77502 L
.64722 .77651 L
.64741 .77668 L
.64934 .77836 L
.64943 .77844 L
.65126 .78006 L
.65162 .78037 L
.65319 .78176 L
.6538 .7823 L
.65512 .78347 L
.65596 .78422 L
.65704 .7852 L
.6581 .78615 L
.65897 .78693 L
.66024 .78808 L
.6609 .78868 L
.66236 .79 L
.66283 .79043 L
.66446 .79193 L
.66475 .7922 L
.66656 .79386 L
.66668 .79397 L
.66861 .79575 L
.66865 .79578 L
.67053 .79753 L
.67073 .79771 L
.67246 .79932 L
.6728 .79964 L
.67439 .80112 L
.67486 .80156 L
.67631 .80292 L
.67692 .80349 L
.67824 .80473 L
.67898 .80542 L
.68017 .80653 L
.68103 .80735 L
.68209 .80835 L
.68308 .80927 L
.68402 .81016 L
.68512 .8112 L
.68595 .81198 L
.68716 .81313 L
.68788 .81381 L
.68919 .81505 L
.6898 .81564 L
.69121 .81698 L
.69173 .81747 L
.69323 .81891 L
.69366 .81931 L
.69524 .82083 L
.69558 .82116 L
.69724 .82276 L
.69751 .82302 L
.69923 .82469 L
.69944 .82489 L
.7012 .82661 L
.70136 .82677 L
.70316 .82854 L
.70329 .82867 L
.70511 .83047 L
.70522 .83058 L
.70704 .8324 L
.70715 .8325 L
.70895 .83432 L
.70907 .83445 L
.71085 .83625 L
.711 .8364 L
.71273 .83818 L
.71293 .83838 L
.71459 .8401 L
.71485 .84037 L
.71644 .84203 L
.71678 .84238 L
.71828 .84396 L
.71871 .84441 L
.72011 .84588 L
.72063 .84644 L
.72192 .84781 L
.72256 .84849 L
.72373 .84974 L
.72449 .85055 L
.72552 .85166 L
.72641 .85263 L
.72731 .85359 L
.72834 .85471 L
.72908 .85552 L
.73027 .85681 L
.73085 .85745 L
.7322 .85892 L
.73261 .85937 L
.73412 .86104 L
.73436 .8613 L
.73605 .86317 L
.7361 .86323 L
.73782 .86515 L
.73798 .86532 L
.73954 .86708 L
.7399 .86749 L
.74124 .86901 L
.74183 .86968 L
.74292 .87093 L
.74376 .87189 L
.74459 .87286 L
.74568 .87413 L
.74624 .87479 L
.74761 .8764 L
.74787 .87671 L
.74948 .87864 L
.74954 .87871 L
.75106 .88057 L
.75146 .88106 L
.75262 .8825 L
.75339 .88346 L
.75415 .88442 L
.75532 .88592 L
.75565 .88635 L
.75711 .88828 L
.75725 .88845 L
.75853 .8902 L
.75917 .89108 L
.75991 .89213 L
.7611 .89386 L
.76123 .89406 L
.76249 .89598 L
.76303 .89681 L
.76366 .89791 L
.76473 .89984 L
.76495 .90029 L
.76565 .90177 L
.76635 .90369 L
.76647 .90562 L
.76495 .90727 L
.76303 .90686 L
.7611 .90622 L
.75941 .90562 L
.75917 .90539 L
.75725 .90443 L
.75585 .90369 L
.75532 .90337 L
.75339 .90224 L
.7526 .90177 L
.75146 .90105 L
.74958 .89984 L
.74954 .89981 L
.74761 .89853 L
.7467 .89791 L
.74568 .89721 L
.74393 .89598 L
.74376 .89586 L
.74183 .89449 L
.74123 .89406 L
.7399 .89309 L
.73861 .89213 L
.73798 .89166 L
.73605 .89021 L
.73603 .8902 L
.73412 .88875 L
.73351 .88828 L
.7322 .88726 L
.73102 .88635 L
.73027 .88576 L
.72857 .88442 L
.72834 .88425 L
.72641 .88271 L
.72614 .8825 L
.72449 .88117 L
.72375 .88057 L
.72256 .8796 L
.72138 .87864 L
.72063 .87803 L
.71903 .87671 L
.71871 .87645 L
.71678 .87485 L
.71671 .87479 L
.71485 .87324 L
.7144 .87286 L
.71293 .87162 L
.71212 .87093 L
.711 .86999 L
.70985 .86901 L
.70907 .86834 L
.70759 .86708 L
.70715 .86669 L
.70536 .86515 L
.70522 .86503 L
.70329 .86336 L
.70314 .86323 L
.70136 .86168 L
.70093 .8613 L
.69944 .85999 L
.69874 .85937 L
.69751 .85829 L
.69656 .85745 L
.69558 .85658 L
.69439 .85552 L
.69366 .85486 L
.69223 .85359 L
.69173 .85314 L
.69009 .85166 L
.6898 .8514 L
.68796 .84974 L
.68788 .84966 L
.68595 .84791 L
.68584 .84781 L
.68402 .84615 L
.68373 .84588 L
.68209 .84438 L
.68163 .84396 L
.68017 .8426 L
.67955 .84203 L
.67824 .84082 L
.67747 .8401 L
.67631 .83903 L
.6754 .83818 L
.67439 .83723 L
.67334 .83625 L
.67246 .83542 L
.6713 .83432 L
.67053 .8336 L
.66926 .8324 L
.66861 .83178 L
.66723 .83047 L
.66668 .82994 L
.66521 .82854 L
.66475 .8281 L
.6632 .82661 L
.66283 .82625 L
.6612 .82469 L
.6609 .82439 L
.65921 .82276 L
.65897 .82253 L
.65723 .82083 L
.65704 .82065 L
.65526 .81891 L
.65512 .81876 L
.6533 .81698 L
.65319 .81687 L
.65135 .81505 L
.65126 .81497 L
.64941 .81313 L
.64934 .81306 L
.64747 .8112 L
.64741 .81114 L
.64555 .80927 L
.64548 .8092 L
.64364 .80735 L
.64356 .80726 L
.64173 .80542 L
.64163 .80531 L
.63984 .80349 L
.6397 .80335 L
.63796 .80156 L
.63778 .80138 L
.63608 .79964 L
.63585 .7994 L
.63422 .79771 L
.63392 .7974 L
.63237 .79578 L
.63199 .7954 L
.63052 .79386 L
.63007 .79338 L
.62869 .79193 L
.62814 .79135 L
.62687 .79 L
.62621 .7893 L
.62506 .78808 L
.62429 .78725 L
.62327 .78615 L
.62236 .78517 L
.62148 .78422 L
.62043 .78308 L
.61971 .7823 L
.61851 .78098 L
.61795 .78037 L
.61658 .77886 L
.6162 .77844 L
.61465 .77672 L
.61447 .77651 L
.61276 .77459 L
.61273 .77455 L
.61106 .77266 L
.6108 .77237 L
.60937 .77073 L
.60887 .77016 L
.6077 .76881 L
.60694 .76792 L
.60605 .76688 L
.60502 .76566 L
.60442 .76495 L
.60309 .76336 L
.60282 .76303 L
.60123 .7611 L
.60116 .76102 L
.59967 .75917 L
.59924 .75864 L
.59813 .75725 L
.59731 .7562 L
.59663 .75532 L
.59538 .75369 L
.59516 .75339 L
.59372 .75146 L
.59346 .75111 L
.59233 .74954 L
.59153 .7484 L
.59099 .74761 L
.58971 .74568 L
.5896 .74553 L
.5885 .74376 L
.58768 .74236 L
.5874 .74183 L
.58642 .7399 L
.58575 .73823 L
.58566 .73798 L
.58524 .73605 L
.58575 .73453 L
.58646 .73412 L
F
1 .94 0 r
.58575 .4991 m
.58748 .50096 L
.58768 .50116 L
.58919 .50289 L
.5896 .50335 L
.59085 .50482 L
.59153 .50542 L
.59247 .50674 L
.59346 .50796 L
.59426 .50867 L
.59538 .51038 L
.59555 .5106 L
.59713 .51253 L
.59731 .5127 L
.59867 .51445 L
.59924 .5152 L
.6003 .51638 L
.60116 .51774 L
.60152 .51831 L
.60309 .52019 L
.60316 .52023 L
.60465 .52216 L
.60502 .52267 L
.60616 .52409 L
.60694 .52527 L
.60736 .52601 L
.60887 .52782 L
.60905 .52794 L
.6105 .52987 L
.6108 .53028 L
.61194 .53179 L
.61273 .53293 L
.61312 .53372 L
.61465 .53552 L
.61485 .53565 L
.61651 .53758 L
.61658 .538 L
.61767 .5395 L
.61851 .54066 L
.61882 .54143 L
.62043 .54326 L
.62058 .54336 L
.62219 .54528 L
.62236 .54578 L
.62336 .54721 L
.62429 .54846 L
.6245 .54914 L
.62621 .55102 L
.62628 .55106 L
.62785 .55299 L
.62814 .55361 L
.62902 .55492 L
.63007 .55629 L
.63016 .55684 L
.63195 .55877 L
.63199 .55883 L
.6335 .5607 L
.63392 .56147 L
.63466 .56263 L
.63585 .56415 L
.6362 .56455 L
.6376 .56648 L
.63778 .56669 L
.63913 .56841 L
.6397 .56936 L
.64029 .57033 L
.64163 .57203 L
.64183 .57226 L
.64323 .57419 L
.64356 .57458 L
.64474 .57611 L
.64548 .57728 L
.6459 .57804 L
.64741 .57994 L
.64743 .57997 L
.64883 .58189 L
.64934 .58251 L
.65032 .58382 L
.65126 .58525 L
.65151 .58575 L
.65301 .58768 L
.65319 .58776 L
.65495 .5896 L
.65512 .59049 L
.65586 .59153 L
.65704 .59327 L
.65713 .59346 L
.65854 .59538 L
.65897 .59566 L
.66042 .59731 L
.6609 .59858 L
.66134 .59924 L
.66266 .60116 L
.66283 .6014 L
.664 .60309 L
.66475 .60378 L
.66574 .60502 L
.66668 .60688 L
.66672 .60694 L
.66802 .60887 L
.66861 .60971 L
.66934 .6108 L
.67053 .61242 L
.67076 .61273 L
.6719 .61465 L
.67246 .61548 L
.67314 .61658 L
.67438 .61851 L
.67439 .61852 L
.67537 .62043 L
.67439 .62115 L
.67372 .62043 L
.67246 .61914 L
.67192 .61851 L
.67053 .61704 L
.67022 .61658 L
.66861 .61466 L
.66859 .61465 L
.66704 .61273 L
.66668 .61231 L
.66548 .6108 L
.66475 .61003 L
.66394 .60887 L
.66283 .60748 L
.66231 .60694 L
.66092 .60502 L
.6609 .605 L
.65944 .60309 L
.65897 .60259 L
.65796 .60116 L
.65704 .59999 L
.65639 .59924 L
.65512 .59743 L
.65504 .59731 L
.65357 .59538 L
.65319 .59497 L
.65156 .59346 L
.65126 .59234 L
.6506 .59153 L
.64934 .58975 L
.64926 .5896 L
.64779 .58768 L
.64741 .58726 L
.64592 .58575 L
.64548 .5846 L
.64487 .58382 L
.64356 .58199 L
.64352 .58189 L
.64206 .57997 L
.64163 .57948 L
.64028 .57804 L
.6397 .5768 L
.63919 .57611 L
.63778 .57419 L
.63778 .57419 L
.63638 .57226 L
.63585 .57166 L
.63465 .57033 L
.63392 .56896 L
.63352 .56841 L
.63211 .56648 L
.63199 .56643 L
.63071 .56455 L
.63007 .56381 L
.62904 .56263 L
.62814 .5611 L
.62787 .5607 L
.62646 .55877 L
.62621 .55865 L
.62506 .55684 L
.62429 .55593 L
.62344 .55492 L
.62236 .5532 L
.62223 .55299 L
.62083 .55106 L
.62043 .55082 L
.61943 .54914 L
.61851 .54802 L
.61785 .54721 L
.61658 .54528 L
.61658 .54528 L
.61521 .54336 L
.61465 .54294 L
.61316 .54143 L
.61273 .54007 L
.61228 .5395 L
.61099 .53758 L
.6108 .53733 L
.60961 .53565 L
.60887 .535 L
.6077 .53372 L
.60694 .53207 L
.60674 .53179 L
.60541 .52987 L
.60502 .52934 L
.60404 .52794 L
.60309 .52696 L
.60228 .52601 L
.60122 .52409 L
.60116 .52401 L
.59988 .52216 L
.59924 .52131 L
.5985 .52023 L
.59731 .51878 L
.59693 .51831 L
.59574 .51638 L
.59538 .51591 L
.5944 .51445 L
.59346 .51317 L
.59302 .51253 L
.59165 .5106 L
.59153 .51044 L
.59036 .50867 L
.5896 .50762 L
.58904 .50674 L
.58768 .50482 L
.58768 .50481 L
.58649 .50289 L
.58575 .50181 L
.58527 .50096 L
F
0 .75 1 r
.58575 .50756 m
.58674 .50867 L
.58768 .50967 L
.58846 .5106 L
.5896 .51193 L
.5901 .51253 L
.59153 .51422 L
.59168 .51445 L
.59322 .51638 L
.59346 .51666 L
.59476 .51831 L
.59538 .51908 L
.59629 .52023 L
.59731 .52143 L
.59828 .52216 L
.59924 .52402 L
.59929 .52409 L
.60076 .52601 L
.60116 .52653 L
.60224 .52794 L
.60309 .52894 L
.60411 .52987 L
.60502 .53159 L
.60518 .53179 L
.60662 .53372 L
.60694 .53376 L
.60807 .53565 L
.60887 .53661 L
.60981 .53758 L
.6108 .53929 L
.61095 .5395 L
.61238 .54143 L
.61273 .54153 L
.61381 .54336 L
.61465 .54439 L
.61546 .54528 L
.61658 .5471 L
.61665 .54721 L
.61806 .54914 L
.61851 .54934 L
.61948 .55106 L
.62043 .55227 L
.62105 .55299 L
.6223 .55492 L
.62236 .555 L
.62368 .55684 L
.62429 .55724 L
.62509 .55877 L
.62621 .56025 L
.62657 .5607 L
.62786 .56263 L
.62814 .56301 L
.62923 .56455 L
.63007 .56531 L
.63062 .56648 L
.63199 .5684 L
.632 .56841 L
.63333 .57033 L
.63392 .57115 L
.63468 .57226 L
.63585 .57372 L
.63628 .57419 L
.63734 .57611 L
.63778 .57672 L
.63864 .57804 L
.6397 .57957 L
.63996 .57997 L
.64118 .58189 L
.64163 .58256 L
.64235 .58382 L
.64163 .58492 L
.64071 .58382 L
.6397 .58274 L
.63902 .58189 L
.63778 .58045 L
.6374 .57997 L
.63585 .57809 L
.63578 .57804 L
.63431 .57611 L
.63392 .57565 L
.6328 .57419 L
.63199 .57319 L
.63129 .57226 L
.63007 .5708 L
.6295 .57033 L
.62831 .56841 L
.62814 .5682 L
.62685 .56648 L
.62621 .56622 L
.62539 .56455 L
.62429 .56323 L
.62364 .56263 L
.62246 .5607 L
.62236 .56057 L
.62104 .55877 L
.62043 .55848 L
.6196 .55684 L
.61851 .55552 L
.61792 .55492 L
.61671 .55299 L
.61658 .55282 L
.61531 .55106 L
.61465 .55067 L
.61388 .54914 L
.61273 .54769 L
.61228 .54721 L
.61103 .54528 L
.6108 .54498 L
.60964 .54336 L
.60887 .54279 L
.60822 .54143 L
.60694 .53978 L
.60671 .5395 L
.60541 .53758 L
.60502 .53707 L
.60402 .53565 L
.60309 .53478 L
.60261 .53372 L
.60119 .53179 L
.60116 .53176 L
.59984 .52987 L
.59924 .52906 L
.59846 .52794 L
.59731 .52661 L
.59673 .52601 L
.5957 .52409 L
.59538 .52367 L
.59436 .52216 L
.59346 .52093 L
.59299 .52023 L
.59161 .51831 L
.59153 .5182 L
.59033 .51638 L
.5896 .51537 L
.58901 .51445 L
.58768 .51256 L
.58766 .51253 L
.58648 .5106 L
.58575 .50952 L
.58529 .50867 L
F
1 .39 0 r
.58575 .51594 m
.58609 .51638 L
.58768 .51819 L
.58777 .51831 L
.58768 .5201 L
.58661 .51831 L
.58575 .51714 L
.58535 .51638 L
F
1 .98 0 r
.58575 .56819 m
.58768 .56836 L
.58781 .56841 L
.5896 .56942 L
.59062 .57033 L
.59153 .57139 L
.59205 .57226 L
.59346 .57375 L
.5938 .57419 L
.59527 .57611 L
.59538 .57629 L
.5967 .57804 L
.59731 .57898 L
.59784 .57997 L
.59924 .58166 L
.5996 .58189 L
.6011 .58382 L
.60116 .58404 L
.60236 .58575 L
.60309 .58672 L
.60345 .58768 L
.60502 .5894 L
.6052 .5896 L
.60673 .59153 L
.60694 .59162 L
.60784 .59346 L
.60887 .59458 L
.60897 .59538 L
.61029 .59731 L
.61041 .59924 L
.60887 .59946 L
.60815 .59924 L
.60694 .59862 L
.60561 .59731 L
.60502 .5963 L
.60396 .59538 L
.60309 .59402 L
.60227 .59346 L
.60116 .59162 L
.60099 .59153 L
.59953 .5896 L
.59924 .5893 L
.59746 .58768 L
.59731 .58666 L
.59655 .58575 L
.59538 .584 L
.59528 .58382 L
.59386 .58189 L
.59346 .58172 L
.5919 .57997 L
.59153 .57889 L
.59095 .57804 L
.58966 .57611 L
.5896 .57604 L
.58832 .57419 L
.58768 .57327 L
.58654 .57226 L
.58575 .57036 L
.58573 .57033 L
.58537 .56841 L
F
0 .81 1 r
.58575 .57514 m
.58694 .57611 L
.58768 .57678 L
.58879 .57804 L
.5896 .57896 L
.5904 .57997 L
.59153 .5814 L
.5919 .58189 L
.59329 .58382 L
.59346 .58405 L
.59456 .58575 L
.59538 .58702 L
.59577 .58768 L
.59538 .58937 L
.5937 .58768 L
.59346 .58743 L
.59207 .58575 L
.59153 .58512 L
.59055 .58382 L
.5896 .58263 L
.58908 .58189 L
.58768 .57998 L
.58767 .57997 L
.58647 .57804 L
.58575 .57686 L
.58539 .57611 L
F
0 .74 1 r
.58575 .50785 m
.58652 .50867 L
.58768 .50985 L
.58831 .5106 L
.5896 .51207 L
.58998 .51253 L
.59153 .51438 L
.59158 .51445 L
.59313 .51638 L
.59346 .51677 L
.59467 .51831 L
.59538 .51918 L
.59621 .52023 L
.59731 .52153 L
.59816 .52216 L
.59922 .52409 L
.59924 .52411 L
.6007 .52601 L
.60116 .52661 L
.60218 .52794 L
.60309 .52902 L
.60404 .52987 L
.60502 .53166 L
.60512 .53179 L
.60656 .53372 L
.60694 .53378 L
.60802 .53565 L
.60887 .53668 L
.60976 .53758 L
.6108 .53936 L
.6109 .5395 L
.61233 .54143 L
.61273 .54156 L
.61376 .54336 L
.61465 .54445 L
.61541 .54528 L
.61658 .54716 L
.61661 .54721 L
.61802 .54914 L
.61851 .54938 L
.61944 .55106 L
.62043 .55233 L
.621 .55299 L
.62225 .55492 L
.62236 .55507 L
.62364 .55684 L
.62429 .5573 L
.62504 .55877 L
.62621 .56033 L
.62651 .5607 L
.62781 .56263 L
.62814 .56308 L
.62918 .56455 L
.63007 .5654 L
.63057 .56648 L
.63194 .56841 L
.63199 .56849 L
.63326 .57033 L
.63392 .57124 L
.63462 .57226 L
.63585 .57388 L
.63613 .57419 L
.63726 .57611 L
.63778 .57684 L
.63855 .57804 L
.6397 .57972 L
.63986 .57997 L
.64103 .58189 L
.64163 .5828 L
.64218 .58382 L
.64163 .58467 L
.64089 .58382 L
.6397 .58258 L
.63915 .58189 L
.63778 .58032 L
.6375 .57997 L
.63591 .57804 L
.63585 .57797 L
.6344 .57611 L
.63392 .57555 L
.63288 .57419 L
.63199 .57311 L
.63135 .57226 L
.63007 .57071 L
.62961 .57033 L
.62837 .56841 L
.62814 .56813 L
.62691 .56648 L
.62621 .56616 L
.62544 .56455 L
.62429 .56316 L
.62371 .56263 L
.62251 .5607 L
.62236 .56051 L
.62108 .55877 L
.62043 .55844 L
.61964 .55684 L
.61851 .55545 L
.61798 .55492 L
.61675 .55299 L
.61658 .55277 L
.61535 .55106 L
.61465 .55063 L
.61392 .54914 L
.61273 .54763 L
.61234 .54721 L
.61107 .54528 L
.6108 .54493 L
.60967 .54336 L
.60887 .54273 L
.60825 .54143 L
.60694 .53971 L
.60676 .5395 L
.60545 .53758 L
.60502 .53701 L
.60406 .53565 L
.60309 .53471 L
.60265 .53372 L
.60123 .53179 L
.60116 .5317 L
.59989 .52987 L
.59924 .529 L
.59851 .52794 L
.59731 .52651 L
.59682 .52601 L
.59575 .52409 L
.59538 .5236 L
.59442 .52216 L
.59346 .52085 L
.59304 .52023 L
.59168 .51831 L
.59153 .5181 L
.59041 .51638 L
.5896 .51526 L
.58909 .51445 L
.58776 .51253 L
.58768 .51241 L
.58662 .5106 L
.58575 .50927 L
.58545 .50867 L
F
1 .38 0 r
.58575 .51613 m
.58595 .51638 L
.58768 .5183 L
.58768 .51831 L
.58768 .51997 L
.58674 .51831 L
.58575 .51694 L
.5855 .51638 L
F
0 .8 1 r
.58575 .57558 m
.58662 .57611 L
.58768 .57699 L
.58862 .57804 L
.5896 .57913 L
.59027 .57997 L
.59153 .58156 L
.59178 .58189 L
.59315 .58382 L
.59346 .58425 L
.59441 .58575 L
.59538 .5873 L
.59559 .58768 L
.59538 .58903 L
.59392 .58768 L
.59346 .58723 L
.59222 .58575 L
.59153 .58496 L
.59067 .58382 L
.5896 .58248 L
.58919 .58189 L
.58781 .57997 L
.58768 .57979 L
.58663 .57804 L
.58575 .57647 L
.58562 .57611 L
F
0 .73 1 r
.58575 .50829 m
.58619 .50867 L
.58768 .51006 L
.58815 .5106 L
.5896 .51223 L
.58985 .51253 L
.59146 .51445 L
.59153 .51452 L
.59303 .51638 L
.59346 .51688 L
.59459 .51831 L
.59538 .51928 L
.59613 .52023 L
.59731 .52163 L
.59804 .52216 L
.59915 .52409 L
.59924 .5242 L
.60063 .52601 L
.60116 .52669 L
.60212 .52794 L
.60309 .5291 L
.60396 .52987 L
.60502 .53174 L
.60506 .53179 L
.60651 .53372 L
.60694 .5338 L
.60797 .53565 L
.60887 .53675 L
.6097 .53758 L
.6108 .53942 L
.61086 .5395 L
.61228 .54143 L
.61273 .54158 L
.61372 .54336 L
.61465 .54452 L
.61535 .54528 L
.61657 .54721 L
.61658 .54723 L
.61797 .54914 L
.61851 .54942 L
.61939 .55106 L
.62043 .5524 L
.62094 .55299 L
.6222 .55492 L
.62236 .55513 L
.62359 .55684 L
.62429 .55736 L
.62499 .55877 L
.62621 .56041 L
.62645 .5607 L
.62775 .56263 L
.62814 .56315 L
.62913 .56455 L
.63007 .5655 L
.63051 .56648 L
.63187 .56841 L
.63199 .56857 L
.6332 .57033 L
.63392 .57134 L
.63455 .57226 L
.63585 .57405 L
.63597 .57419 L
.63717 .57611 L
.63778 .57698 L
.63846 .57804 L
.6397 .57988 L
.63976 .57997 L
.64087 .58189 L
.64163 .5831 L
.64196 .58382 L
.64163 .58436 L
.64113 .58382 L
.6397 .5824 L
.63929 .58189 L
.63778 .58018 L
.63761 .57997 L
.63602 .57804 L
.63585 .57785 L
.63449 .57611 L
.63392 .57545 L
.63295 .57419 L
.63199 .57302 L
.63142 .57226 L
.63007 .57061 L
.62973 .57033 L
.62843 .56841 L
.62814 .56805 L
.62697 .56648 L
.62621 .5661 L
.62549 .56455 L
.62429 .56309 L
.62379 .56263 L
.62256 .5607 L
.62236 .56045 L
.62113 .55877 L
.62043 .55839 L
.61968 .55684 L
.61851 .55539 L
.61804 .55492 L
.6168 .55299 L
.61658 .55271 L
.61539 .55106 L
.61465 .55058 L
.61395 .54914 L
.61273 .54757 L
.61239 .54721 L
.61111 .54528 L
.6108 .54488 L
.60971 .54336 L
.60887 .54267 L
.60829 .54143 L
.60694 .53965 L
.60682 .5395 L
.60549 .53758 L
.60502 .53696 L
.6041 .53565 L
.60309 .53464 L
.60268 .53372 L
.60128 .53179 L
.60116 .53164 L
.59993 .52987 L
.59924 .52894 L
.59855 .52794 L
.59731 .52641 L
.59692 .52601 L
.59581 .52409 L
.59538 .52352 L
.59447 .52216 L
.59346 .52077 L
.5931 .52023 L
.59175 .51831 L
.59153 .518 L
.59049 .51638 L
.5896 .51514 L
.58917 .51445 L
.58788 .51253 L
.58768 .51222 L
.58679 .5106 L
.58575 .50888 L
.58567 .50867 L
F
1 .93 0 r
.58575 .50014 m
.58677 .50096 L
.58768 .50177 L
.58872 .50289 L
.5896 .50383 L
.59048 .50482 L
.59153 .50581 L
.59215 .50674 L
.59346 .50831 L
.59391 .50867 L
.59533 .5106 L
.59538 .51066 L
.59691 .51253 L
.59731 .51291 L
.59847 .51445 L
.59924 .51545 L
.60013 .51638 L
.60116 .51795 L
.6014 .51831 L
.60299 .52023 L
.60309 .52033 L
.6045 .52216 L
.60502 .52286 L
.60604 .52409 L
.60694 .52544 L
.60727 .52601 L
.60887 .52791 L
.60892 .52794 L
.61039 .52987 L
.6108 .53044 L
.61184 .53179 L
.61273 .53306 L
.61305 .53372 L
.61465 .53559 L
.61474 .53565 L
.61649 .53758 L
.61658 .53812 L
.61759 .5395 L
.61851 .54077 L
.61877 .54143 L
.62043 .54332 L
.6205 .54336 L
.62215 .54528 L
.62236 .54588 L
.62329 .54721 L
.62429 .54855 L
.62446 .54914 L
.6262 .55106 L
.62621 .55108 L
.62781 .55299 L
.62814 .5537 L
.62896 .55492 L
.63007 .55637 L
.63014 .55684 L
.63188 .55877 L
.63199 .5589 L
.63346 .5607 L
.63392 .56156 L
.6346 .56263 L
.63585 .56423 L
.63613 .56455 L
.63753 .56648 L
.63778 .56677 L
.63908 .56841 L
.6397 .56945 L
.64023 .57033 L
.64163 .57211 L
.64176 .57226 L
.64316 .57419 L
.64356 .57466 L
.64468 .57611 L
.64548 .57738 L
.64585 .57804 L
.64736 .57997 L
.64741 .57999 L
.64875 .58189 L
.64934 .58261 L
.65024 .58382 L
.65126 .58536 L
.65146 .58575 L
.65292 .58768 L
.65319 .58781 L
.6549 .5896 L
.65512 .59062 L
.65577 .59153 L
.65704 .59341 L
.65706 .59346 L
.65843 .59538 L
.65897 .59577 L
.66031 .59731 L
.6609 .59877 L
.66122 .59924 L
.66252 .60116 L
.66283 .60159 L
.66386 .60309 L
.66475 .60402 L
.66553 .60502 L
.66654 .60694 L
.66668 .60715 L
.66782 .60887 L
.66861 .61001 L
.66912 .6108 L
.6704 .61273 L
.67053 .61292 L
.67157 .61465 L
.67246 .61604 L
.67276 .61658 L
.67246 .61847 L
.67066 .61658 L
.67053 .61646 L
.66897 .61465 L
.66861 .61427 L
.66733 .61273 L
.66668 .61198 L
.66573 .6108 L
.66475 .60976 L
.66415 .60887 L
.66283 .60723 L
.66253 .60694 L
.66109 .60502 L
.6609 .60478 L
.65959 .60309 L
.65897 .60242 L
.65809 .60116 L
.65704 .59982 L
.65652 .59924 L
.65513 .59731 L
.65512 .5973 L
.65368 .59538 L
.65319 .59485 L
.65164 .59346 L
.65126 .59222 L
.65069 .59153 L
.64934 .58965 L
.64931 .5896 L
.64787 .58768 L
.64741 .58716 L
.64598 .58575 L
.64548 .58451 L
.64494 .58382 L
.64356 .58191 L
.64355 .58189 L
.64213 .57997 L
.64163 .5794 L
.64033 .57804 L
.6397 .57673 L
.63924 .57611 L
.63784 .57419 L
.63778 .57417 L
.63643 .57226 L
.63585 .57159 L
.6347 .57033 L
.63392 .5689 L
.63357 .56841 L
.63216 .56648 L
.63199 .56641 L
.63076 .56455 L
.63007 .56375 L
.62909 .56263 L
.62814 .56103 L
.62791 .5607 L
.62651 .55877 L
.62621 .55862 L
.62511 .55684 L
.62429 .55587 L
.62349 .55492 L
.62236 .55313 L
.62227 .55299 L
.62088 .55106 L
.62043 .55078 L
.61948 .54914 L
.61851 .54795 L
.61791 .54721 L
.61664 .54528 L
.61658 .54521 L
.61526 .54336 L
.61465 .54289 L
.61322 .54143 L
.61273 .53999 L
.61235 .5395 L
.61104 .53758 L
.6108 .53725 L
.60967 .53565 L
.60887 .53491 L
.60778 .53372 L
.60694 .53197 L
.60681 .53179 L
.60548 .52987 L
.60502 .52925 L
.60411 .52794 L
.60309 .52683 L
.60239 .52601 L
.6013 .52409 L
.60116 .5239 L
.59996 .52216 L
.59924 .52118 L
.59859 .52023 L
.59731 .51858 L
.59708 .51831 L
.59585 .51638 L
.59538 .51574 L
.59452 .51445 L
.59346 .51299 L
.59315 .51253 L
.59182 .5106 L
.59153 .5102 L
.59055 .50867 L
.5896 .50733 L
.58924 .50674 L
.58798 .50482 L
.58768 .50437 L
.58686 .50289 L
.58575 .50103 L
.58572 .50096 L
F
0 .99 1 r
.58768 .60173 m
.5896 .60258 L
.5901 .60309 L
.59153 .60469 L
.5919 .60502 L
.59326 .60694 L
.59346 .60719 L
.59467 .60887 L
.59538 .60936 L
.59609 .6108 L
.59731 .61234 L
.5976 .61273 L
.59888 .61465 L
.59924 .61515 L
.60021 .61658 L
.60116 .61791 L
.60157 .61851 L
.60287 .62043 L
.60309 .62076 L
.60403 .62236 L
.60502 .6241 L
.6051 .62429 L
.60502 .62556 L
.60309 .62451 L
.60276 .62429 L
.60116 .62263 L
.6004 .62236 L
.59924 .62094 L
.59876 .62043 L
.59731 .61877 L
.59707 .61851 L
.59548 .61658 L
.59538 .61644 L
.59378 .61465 L
.59346 .61393 L
.5927 .61273 L
.59153 .61126 L
.59094 .6108 L
.5896 .60893 L
.58956 .60887 L
.58806 .60694 L
.58768 .60619 L
.58717 .60502 L
.58592 .60309 L
F
1 .97 0 r
.58768 .56894 m
.5896 .57001 L
.59007 .57033 L
.59153 .57184 L
.59179 .57226 L
.59346 .5741 L
.59352 .57419 L
.59506 .57611 L
.59538 .57659 L
.59653 .57804 L
.59731 .57921 L
.59772 .57997 L
.59924 .58178 L
.59944 .58189 L
.60105 .58382 L
.60116 .58423 L
.60221 .58575 L
.60309 .58693 L
.60335 .58768 L
.60501 .5896 L
.60502 .58961 L
.60662 .59153 L
.60694 .59181 L
.60762 .59346 L
.60884 .59538 L
.60887 .59544 L
.60975 .59731 L
.60887 .59872 L
.60694 .59807 L
.60606 .59731 L
.60502 .59589 L
.60422 .59538 L
.60309 .59381 L
.60247 .59346 L
.60116 .59155 L
.60111 .59153 L
.59966 .5896 L
.59924 .58916 L
.59753 .58768 L
.59731 .58652 L
.59665 .58575 L
.59538 .58387 L
.59535 .58382 L
.59396 .58189 L
.59346 .58164 L
.592 .57997 L
.59153 .57872 L
.59107 .57804 L
.58979 .57611 L
.5896 .57585 L
.58848 .57419 L
.58768 .573 L
.58682 .57226 L
.58614 .57033 L
F
1 .96 0 r
.58768 .56951 m
.58935 .57033 L
.5896 .57049 L
.59153 .57224 L
.59154 .57226 L
.59327 .57419 L
.59346 .57442 L
.59486 .57611 L
.59538 .57685 L
.59637 .57804 L
.59731 .57942 L
.59761 .57997 L
.59924 .58188 L
.59927 .58189 L
.601 .58382 L
.60116 .58442 L
.60208 .58575 L
.60309 .58714 L
.60326 .58768 L
.60483 .5896 L
.60502 .58988 L
.6065 .59153 L
.60694 .59218 L
.6074 .59346 L
.60849 .59538 L
.60887 .59632 L
.60911 .59731 L
.60887 .5978 L
.60694 .59755 L
.60661 .59731 L
.60502 .59564 L
.60449 .59538 L
.60309 .59365 L
.6027 .59346 L
.60126 .59153 L
.60116 .59149 L
.59979 .5896 L
.59924 .58903 L
.59763 .58768 L
.59731 .58638 L
.59676 .58575 L
.59545 .58382 L
.59538 .58373 L
.59407 .58189 L
.59346 .58154 L
.59211 .57997 L
.59153 .57853 L
.5912 .57804 L
.58993 .57611 L
.5896 .57564 L
.58864 .57419 L
.58768 .57268 L
.58719 .57226 L
.58664 .57033 L
F
0 .79 1 r
.58768 .57722 m
.58844 .57804 L
.5896 .57931 L
.59013 .57997 L
.59153 .58173 L
.59165 .58189 L
.59299 .58382 L
.59346 .58447 L
.59425 .58575 L
.59346 .58701 L
.59239 .58575 L
.59153 .58479 L
.5908 .58382 L
.5896 .58232 L
.5893 .58189 L
.58796 .57997 L
.58768 .57956 L
.58681 .57804 L
F
0 .72 1 r
.58768 .51029 m
.58795 .5106 L
.5896 .51239 L
.58971 .51253 L
.59134 .51445 L
.59153 .51466 L
.59292 .51638 L
.59346 .517 L
.5945 .51831 L
.59538 .51939 L
.59605 .52023 L
.59731 .52174 L
.5979 .52216 L
.59908 .52409 L
.59924 .52428 L
.60057 .52601 L
.60116 .52677 L
.60206 .52794 L
.60309 .52918 L
.60388 .52987 L
.60501 .53179 L
.60502 .53181 L
.60645 .53372 L
.60694 .53383 L
.60792 .53565 L
.60887 .53682 L
.60964 .53758 L
.6108 .53949 L
.61081 .5395 L
.61223 .54143 L
.61273 .54162 L
.61367 .54336 L
.61465 .54458 L
.6153 .54528 L
.61652 .54721 L
.61658 .54729 L
.61792 .54914 L
.61851 .54946 L
.61934 .55106 L
.62043 .55247 L
.62088 .55299 L
.62215 .55492 L
.62236 .5552 L
.62354 .55684 L
.62429 .55742 L
.62494 .55877 L
.62621 .56049 L
.62638 .5607 L
.6277 .56263 L
.62814 .56323 L
.62907 .56455 L
.63007 .5656 L
.63045 .56648 L
.63181 .56841 L
.63199 .56866 L
.63313 .57033 L
.63392 .57144 L
.63448 .57226 L
.63583 .57419 L
.63585 .57422 L
.63707 .57611 L
.63778 .57712 L
.63836 .57804 L
.63963 .57997 L
.6397 .58007 L
.64067 .58189 L
.6397 .5822 L
.63945 .58189 L
.63778 .58004 L
.63772 .57997 L
.63614 .57804 L
.63585 .57772 L
.63458 .57611 L
.63392 .57534 L
.63303 .57419 L
.63199 .57293 L
.63149 .57226 L
.63007 .57051 L
.62985 .57033 L
.62849 .56841 L
.62814 .56798 L
.62702 .56648 L
.62621 .56603 L
.62554 .56455 L
.62429 .56301 L
.62387 .56263 L
.62261 .5607 L
.62236 .56038 L
.62118 .55877 L
.62043 .55833 L
.61972 .55684 L
.61851 .55532 L
.6181 .55492 L
.61684 .55299 L
.61658 .55266 L
.61543 .55106 L
.61465 .55052 L
.61399 .54914 L
.61273 .54751 L
.61245 .54721 L
.61115 .54528 L
.6108 .54482 L
.60975 .54336 L
.60887 .54261 L
.60833 .54143 L
.60694 .53958 L
.60687 .5395 L
.60553 .53758 L
.60502 .5369 L
.60414 .53565 L
.60309 .53456 L
.60273 .53372 L
.60133 .53179 L
.60116 .53158 L
.59998 .52987 L
.59924 .52887 L
.5986 .52794 L
.59731 .5263 L
.59703 .52601 L
.59587 .52409 L
.59538 .52344 L
.59453 .52216 L
.59346 .52069 L
.59316 .52023 L
.59183 .51831 L
.59153 .51789 L
.59057 .51638 L
.5896 .51501 L
.58926 .51445 L
.58803 .51253 L
.58768 .512 L
.587 .5106 L
F
0 .78 1 r
.58768 .57749 m
.58821 .57804 L
.5896 .57951 L
.58997 .57997 L
.5915 .58189 L
.59153 .58193 L
.59282 .58382 L
.59346 .58473 L
.59406 .58575 L
.59346 .58675 L
.59258 .58575 L
.59153 .5846 L
.59094 .58382 L
.5896 .58214 L
.58943 .58189 L
.58813 .57997 L
.58768 .57929 L
.58704 .57804 L
F
0 .77 1 r
.58768 .57783 m
.58791 .57804 L
.5896 .57973 L
.58979 .57997 L
.59131 .58189 L
.59153 .58217 L
.59263 .58382 L
.59346 .58505 L
.59384 .58575 L
.59346 .58643 L
.59283 .58575 L
.59153 .58439 L
.5911 .58382 L
.5896 .58195 L
.58957 .58189 L
.58835 .57997 L
.58768 .57891 L
.58736 .57804 L
F
1 .95 0 r
.58768 .57017 m
.58842 .57033 L
.5896 .57092 L
.59118 .57226 L
.59153 .57253 L
.59301 .57419 L
.59346 .5747 L
.59465 .57611 L
.59538 .5771 L
.59622 .57804 L
.59731 .5796 L
.59751 .57997 L
.59912 .58189 L
.59924 .582 L
.60095 .58382 L
.60116 .58461 L
.60194 .58575 L
.60309 .58735 L
.60319 .58768 L
.60466 .5896 L
.60502 .59015 L
.60635 .59153 L
.60694 .59279 L
.60715 .59346 L
.60812 .59538 L
.60694 .59703 L
.60502 .59548 L
.60478 .59538 L
.60309 .59352 L
.60296 .59346 L
.60142 .59153 L
.60116 .59143 L
.59992 .5896 L
.59924 .58889 L
.59775 .58768 L
.59731 .58623 L
.59688 .58575 L
.59556 .58382 L
.59538 .58359 L
.59417 .58189 L
.59346 .58141 L
.59224 .57997 L
.59153 .57833 L
.59134 .57804 L
.59008 .57611 L
.5896 .57542 L
.58882 .57419 L
.58768 .57229 L
.58764 .57226 L
.58739 .57033 L
F
0 .71 1 r
.58768 .5106 m
.58768 .5106 L
.58768 .51169 L
.58742 .5106 L
F
1 .92 0 r
.58768 .50268 m
.58796 .50289 L
.5896 .50437 L
.59002 .50482 L
.59153 .50634 L
.59178 .50674 L
.59345 .50867 L
.59346 .50868 L
.59507 .5106 L
.59538 .51096 L
.59668 .51253 L
.59731 .51314 L
.59826 .51445 L
.59924 .51569 L
.59994 .51638 L
.60116 .51814 L
.60127 .51831 L
.60283 .52023 L
.60309 .5205 L
.60435 .52216 L
.60502 .52304 L
.60591 .52409 L
.60694 .52559 L
.60718 .52601 L
.60879 .52794 L
.60887 .52803 L
.61028 .52987 L
.6108 .53058 L
.61175 .53179 L
.61273 .53319 L
.61298 .53372 L
.61464 .53565 L
.61465 .53566 L
.61647 .53758 L
.61658 .53824 L
.61751 .5395 L
.61851 .54088 L
.61872 .54143 L
.62041 .54336 L
.62043 .54338 L
.62211 .54528 L
.62236 .54599 L
.62322 .54721 L
.62429 .54864 L
.62443 .54914 L
.62613 .55106 L
.62621 .55116 L
.62777 .55299 L
.62814 .55379 L
.6289 .55492 L
.63007 .55646 L
.63012 .55684 L
.63181 .55877 L
.63199 .55898 L
.63341 .5607 L
.63392 .56165 L
.63455 .56263 L
.63585 .56431 L
.63607 .56455 L
.63747 .56648 L
.63778 .56684 L
.63903 .56841 L
.6397 .56954 L
.64018 .57033 L
.64163 .57219 L
.64169 .57226 L
.64309 .57419 L
.64356 .57475 L
.64462 .57611 L
.64548 .57748 L
.6458 .57804 L
.64728 .57997 L
.64741 .58001 L
.64867 .58189 L
.64934 .58271 L
.65017 .58382 L
.65126 .58547 L
.6514 .58575 L
.65283 .58768 L
.65319 .58787 L
.65485 .5896 L
.65512 .59075 L
.65567 .59153 L
.65697 .59346 L
.65704 .59356 L
.65832 .59538 L
.65897 .5959 L
.66019 .59731 L
.6609 .59897 L
.66108 .59924 L
.66238 .60116 L
.66283 .60179 L
.66371 .60309 L
.66475 .60433 L
.66528 .60502 L
.66634 .60694 L
.66668 .60744 L
.6676 .60887 L
.66861 .61036 L
.66889 .6108 L
.67006 .61273 L
.67053 .61346 L
.67117 .61465 L
.67053 .61585 L
.66943 .61465 L
.66861 .61383 L
.66767 .61273 L
.66668 .61163 L
.66599 .6108 L
.66475 .60944 L
.66438 .60887 L
.66283 .60698 L
.66279 .60694 L
.66128 .60502 L
.6609 .60456 L
.65975 .60309 L
.65897 .60224 L
.65823 .60116 L
.65704 .59965 L
.65666 .59924 L
.65525 .59731 L
.65512 .59714 L
.65379 .59538 L
.65319 .59473 L
.65173 .59346 L
.65126 .5921 L
.65078 .59153 L
.64939 .5896 L
.64934 .5896 L
.64795 .58768 L
.64741 .58707 L
.64604 .58575 L
.64548 .58441 L
.64501 .58382 L
.64361 .58189 L
.64356 .58188 L
.6422 .57997 L
.64163 .57933 L
.64039 .57804 L
.6397 .57665 L
.6393 .57611 L
.6379 .57419 L
.63778 .57415 L
.63649 .57226 L
.63585 .57153 L
.63476 .57033 L
.63392 .56882 L
.63362 .56841 L
.63221 .56648 L
.63199 .56638 L
.63081 .56455 L
.63007 .56368 L
.62914 .56263 L
.62814 .56096 L
.62796 .5607 L
.62656 .55877 L
.62621 .55858 L
.62516 .55684 L
.62429 .5558 L
.62354 .55492 L
.62236 .55307 L
.62231 .55299 L
.62093 .55106 L
.62043 .55074 L
.61952 .54914 L
.61851 .54788 L
.61797 .54721 L
.61669 .54528 L
.61658 .54514 L
.61532 .54336 L
.61465 .54282 L
.61328 .54143 L
.61273 .5399 L
.61241 .5395 L
.6111 .53758 L
.6108 .53717 L
.60973 .53565 L
.60887 .53482 L
.60786 .53372 L
.60694 .53187 L
.60689 .53179 L
.60555 .52987 L
.60502 .52915 L
.60418 .52794 L
.60309 .5267 L
.60251 .52601 L
.60139 .52409 L
.60116 .52378 L
.60006 .52216 L
.59924 .52105 L
.59868 .52023 L
.59731 .51837 L
.59726 .51831 L
.59598 .51638 L
.59538 .51556 L
.59465 .51445 L
.59346 .51278 L
.59329 .51253 L
.59201 .5106 L
.59153 .50992 L
.59077 .50867 L
.5896 .50697 L
.58947 .50674 L
.58838 .50482 L
.58768 .50358 L
.58751 .50289 L
F
0 .21 1 r
.58768 .5261 m
.58887 .52794 L
.5896 .52888 L
.59021 .52987 L
.59153 .53167 L
.59161 .53179 L
.59153 .53284 L
.59078 .53179 L
.5896 .53053 L
.58913 .52987 L
.58768 .52812 L
.58755 .52794 L
F
1 .37 0 r
.58768 .53442 m
.5882 .53565 L
.58768 .53577 L
.58757 .53565 L
F
0 .2 1 r
.58768 .52619 m
.58878 .52794 L
.5896 .52899 L
.59013 .52987 L
.5896 .53042 L
.58921 .52987 L
.58768 .52804 L
.58761 .52794 L
F
0 .19 1 r
.58768 .52629 m
.58868 .52794 L
.5896 .52912 L
.59004 .52987 L
.5896 .53031 L
.58929 .52987 L
.58768 .52795 L
.58767 .52794 L
F
1 .94 0 r
.5896 .57134 m
.59078 .57226 L
.59153 .57279 L
.59275 .57419 L
.59346 .57496 L
.59444 .57611 L
.59538 .57732 L
.59605 .57804 L
.59731 .57977 L
.59742 .57997 L
.59897 .58189 L
.59924 .58213 L
.60088 .58382 L
.60116 .58481 L
.6018 .58575 L
.60309 .58758 L
.60312 .58768 L
.60448 .5896 L
.60502 .59043 L
.60615 .59153 L
.60688 .59346 L
.60694 .59359 L
.60769 .59538 L
.60694 .59646 L
.60515 .59538 L
.60502 .59528 L
.60322 .59346 L
.60309 .59332 L
.6016 .59153 L
.60116 .59135 L
.60006 .5896 L
.59924 .58873 L
.5979 .58768 L
.59731 .58608 L
.59701 .58575 L
.59567 .58382 L
.59538 .58344 L
.59428 .58189 L
.59346 .58125 L
.59239 .57997 L
.59153 .5781 L
.59149 .57804 L
.59023 .57611 L
.5896 .57517 L
.58901 .57419 L
.58799 .57226 L
F
1 .93 0 r
.5896 .57178 m
.59031 .57226 L
.59153 .57307 L
.59248 .57419 L
.59346 .57522 L
.59423 .57611 L
.59538 .57754 L
.59588 .57804 L
.59731 .57994 L
.59733 .57997 L
.59881 .58189 L
.59924 .58228 L
.60078 .58382 L
.60116 .58502 L
.60166 .58575 L
.60299 .58768 L
.60309 .58782 L
.6043 .5896 L
.60502 .59073 L
.60588 .59153 L
.60657 .59346 L
.60694 .59437 L
.60715 .59538 L
.60694 .5957 L
.60577 .59538 L
.60502 .59491 L
.60349 .59346 L
.60309 .59306 L
.60178 .59153 L
.60116 .59124 L
.6002 .5896 L
.59924 .58857 L
.59808 .58768 L
.59731 .58592 L
.59715 .58575 L
.59579 .58382 L
.59538 .58329 L
.59439 .58189 L
.59346 .58106 L
.59256 .57997 L
.59164 .57804 L
.59153 .57789 L
.59039 .57611 L
.5896 .57488 L
.5892 .57419 L
.58844 .57226 L
F
0 .98 1 r
.5896 .60453 m
.59035 .60502 L
.59153 .60607 L
.59228 .60694 L
.59346 .60833 L
.59385 .60887 L
.59532 .6108 L
.59538 .61089 L
.59659 .61273 L
.59731 .61377 L
.59783 .61465 L
.59731 .61648 L
.59551 .61465 L
.59538 .61452 L
.59384 .61273 L
.59346 .61227 L
.59229 .6108 L
.59153 .6098 L
.59085 .60887 L
.5896 .60695 L
.5896 .60694 L
.5888 .60502 L
F
1 .4 0 r
.5896 .5205 m
.59084 .52216 L
.59153 .52298 L
.59235 .52409 L
.59346 .52547 L
.59386 .52601 L
.59534 .52794 L
.59538 .528 L
.59674 .52987 L
.59731 .53059 L
.59818 .53179 L
.59924 .53317 L
.59963 .53372 L
.60106 .53565 L
.60116 .53578 L
.60241 .53758 L
.60309 .53845 L
.60382 .5395 L
.60502 .54112 L
.60523 .54143 L
.60656 .54336 L
.60694 .54385 L
.60788 .54528 L
.60887 .54663 L
.60924 .54721 L
.60887 .54866 L
.60779 .54721 L
.60694 .54625 L
.60624 .54528 L
.60502 .5438 L
.6047 .54336 L
.60319 .54143 L
.60309 .54131 L
.60179 .5395 L
.60116 .53874 L
.60034 .53758 L
.59924 .53618 L
.59886 .53565 L
.5974 .53372 L
.59731 .53361 L
.59604 .53179 L
.59538 .53096 L
.59463 .52987 L
.59346 .52833 L
.59319 .52794 L
.59181 .52601 L
.59153 .52565 L
.59049 .52409 L
.5896 .52292 L
.58911 .52216 L
F
1 .39 0 r
.5896 .5206 m
.59077 .52216 L
.59153 .52306 L
.59229 .52409 L
.59346 .52555 L
.5938 .52601 L
.59527 .52794 L
.59538 .52807 L
.59668 .52987 L
.59731 .53066 L
.59812 .53179 L
.59924 .53324 L
.59958 .53372 L
.601 .53565 L
.60116 .53586 L
.60236 .53758 L
.60309 .53853 L
.60376 .5395 L
.60502 .54119 L
.60518 .54143 L
.60649 .54336 L
.60694 .54395 L
.6078 .54528 L
.60887 .54674 L
.60917 .54721 L
.60887 .54854 L
.60788 .54721 L
.60694 .54616 L
.60631 .54528 L
.60502 .54372 L
.60475 .54336 L
.60326 .54143 L
.60309 .54123 L
.60185 .5395 L
.60116 .53867 L
.60039 .53758 L
.59924 .53612 L
.59891 .53565 L
.59746 .53372 L
.59731 .53354 L
.5961 .53179 L
.59538 .53089 L
.59468 .52987 L
.59346 .52826 L
.59324 .52794 L
.59188 .52601 L
.59153 .52557 L
.59055 .52409 L
.5896 .52284 L
.58917 .52216 L
F
1 .38 0 r
.5896 .5207 m
.59069 .52216 L
.59153 .52315 L
.59222 .52409 L
.59346 .52562 L
.59375 .52601 L
.59521 .52794 L
.59538 .52815 L
.59662 .52987 L
.59731 .53073 L
.59807 .53179 L
.59924 .53331 L
.59953 .53372 L
.60093 .53565 L
.60116 .53594 L
.60229 .53758 L
.60309 .53861 L
.6037 .5395 L
.60502 .54127 L
.60512 .54143 L
.60641 .54336 L
.60694 .54405 L
.60773 .54528 L
.60887 .54685 L
.60909 .54721 L
.60887 .54841 L
.60798 .54721 L
.60694 .54606 L
.60638 .54528 L
.60502 .54364 L
.60481 .54336 L
.60333 .54143 L
.60309 .54115 L
.60191 .5395 L
.60116 .5386 L
.60044 .53758 L
.59924 .53605 L
.59895 .53565 L
.59752 .53372 L
.59731 .53346 L
.59616 .53179 L
.59538 .53082 L
.59474 .52987 L
.59346 .52819 L
.59329 .52794 L
.59194 .52601 L
.59153 .52549 L
.59062 .52409 L
.5896 .52275 L
.58923 .52216 L
F
1 .37 0 r
.5896 .52082 m
.5906 .52216 L
.59153 .52324 L
.59215 .52409 L
.59346 .5257 L
.59369 .52601 L
.59513 .52794 L
.59538 .52824 L
.59655 .52987 L
.59731 .53081 L
.59801 .53179 L
.59924 .53338 L
.59948 .53372 L
.60087 .53565 L
.60116 .53602 L
.60223 .53758 L
.60309 .53869 L
.60364 .5395 L
.60502 .54136 L
.60507 .54143 L
.60632 .54336 L
.60694 .54416 L
.60764 .54528 L
.60887 .54699 L
.60901 .54721 L
.60887 .54825 L
.60811 .54721 L
.60694 .54595 L
.60646 .54528 L
.60502 .54356 L
.60487 .54336 L
.60341 .54143 L
.60309 .54106 L
.60198 .5395 L
.60116 .53852 L
.6005 .53758 L
.59924 .53598 L
.599 .53565 L
.59758 .53372 L
.59731 .53339 L
.59622 .53179 L
.59538 .53074 L
.59479 .52987 L
.59346 .52812 L
.59334 .52794 L
.59201 .52601 L
.59153 .5254 L
.59069 .52409 L
.5896 .52265 L
.58929 .52216 L
F
0 .71 1 r
.5896 .51258 m
.5912 .51445 L
.59153 .51481 L
.59281 .51638 L
.59346 .51712 L
.59441 .51831 L
.59538 .51949 L
.59597 .52023 L
.59731 .52185 L
.59774 .52216 L
.599 .52409 L
.59924 .52437 L
.6005 .52601 L
.60116 .52685 L
.602 .52794 L
.60309 .52926 L
.60379 .52987 L
.60495 .53179 L
.60502 .53188 L
.6064 .53372 L
.60694 .53387 L
.60786 .53565 L
.60887 .53689 L
.60957 .53758 L
.61076 .5395 L
.6108 .53956 L
.61218 .54143 L
.61273 .54166 L
.61362 .54336 L
.61465 .54465 L
.61524 .54528 L
.61647 .54721 L
.61658 .54735 L
.61788 .54914 L
.61851 .54951 L
.6193 .55106 L
.62043 .55254 L
.62082 .55299 L
.6221 .55492 L
.62236 .55526 L
.62349 .55684 L
.62429 .55749 L
.62489 .55877 L
.62621 .56057 L
.62632 .5607 L
.62764 .56263 L
.62814 .5633 L
.62901 .56455 L
.63007 .56572 L
.6304 .56648 L
.63174 .56841 L
.63199 .56876 L
.63306 .57033 L
.63392 .57154 L
.63441 .57226 L
.63574 .57419 L
.63585 .57434 L
.63698 .57611 L
.63778 .57727 L
.63825 .57804 L
.63778 .57987 L
.63627 .57804 L
.63585 .57759 L
.63468 .57611 L
.63392 .57523 L
.63311 .57419 L
.63199 .57283 L
.63156 .57226 L
.63007 .57041 L
.62998 .57033 L
.62856 .56841 L
.62814 .5679 L
.62708 .56648 L
.62621 .56595 L
.62559 .56455 L
.62429 .56293 L
.62395 .56263 L
.62266 .5607 L
.62236 .56032 L
.62122 .55877 L
.62043 .55827 L
.61977 .55684 L
.61851 .55526 L
.61817 .55492 L
.61689 .55299 L
.61658 .5526 L
.61547 .55106 L
.61465 .55047 L
.61403 .54914 L
.61273 .54745 L
.61251 .54721 L
.6112 .54528 L
.6108 .54477 L
.60979 .54336 L
.60887 .54254 L
.60837 .54143 L
.60694 .53952 L
.60693 .5395 L
.60558 .53758 L
.60502 .53684 L
.60418 .53565 L
.60309 .53448 L
.60277 .53372 L
.60138 .53179 L
.60116 .53151 L
.60003 .52987 L
.59924 .52881 L
.59865 .52794 L
.59731 .52619 L
.59714 .52601 L
.59593 .52409 L
.59538 .52336 L
.59459 .52216 L
.59346 .5206 L
.59322 .52023 L
.59192 .51831 L
.59153 .51777 L
.59066 .51638 L
.5896 .51487 L
.58936 .51445 L
F
1 .36 0 r
.5896 .52094 m
.59051 .52216 L
.59153 .52334 L
.59208 .52409 L
.59346 .52579 L
.59362 .52601 L
.59506 .52794 L
.59538 .52832 L
.59648 .52987 L
.59731 .53089 L
.59795 .53179 L
.59924 .53346 L
.59942 .53372 L
.60079 .53565 L
.60116 .53611 L
.60216 .53758 L
.60309 .53878 L
.60358 .5395 L
.60309 .54097 L
.60205 .5395 L
.60116 .53844 L
.60056 .53758 L
.59924 .53591 L
.59906 .53565 L
.59765 .53372 L
.59731 .5333 L
.59628 .53179 L
.59538 .53067 L
.59485 .52987 L
.59346 .52804 L
.59339 .52794 L
.59209 .52601 L
.59153 .5253 L
.59077 .52409 L
.5896 .52255 L
.58936 .52216 L
F
0 .18 1 r
.5896 .52927 m
.58992 .52987 L
.5896 .53017 L
.58939 .52987 L
F
1 .92 0 r
.5896 .5723 m
.59153 .57339 L
.59218 .57419 L
.59346 .57547 L
.59401 .57611 L
.59538 .57775 L
.59568 .57804 L
.59718 .57997 L
.59731 .58014 L
.59866 .58189 L
.59924 .58243 L
.60066 .58382 L
.60116 .58524 L
.60151 .58575 L
.60282 .58768 L
.60309 .58807 L
.60411 .5896 L
.60502 .59107 L
.60554 .59153 L
.60624 .59346 L
.60502 .59452 L
.6038 .59346 L
.60309 .5928 L
.60198 .59153 L
.60116 .59108 L
.60035 .5896 L
.59924 .58838 L
.5983 .58768 L
.59731 .58575 L
.59731 .58575 L
.59591 .58382 L
.59538 .58314 L
.59451 .58189 L
.59346 .58083 L
.59276 .57997 L
.59179 .57804 L
.59153 .57767 L
.59056 .57611 L
.5896 .57453 L
.58942 .57419 L
F
1 .35 0 r
.5896 .52109 m
.59039 .52216 L
.59153 .52344 L
.592 .52409 L
.59346 .52588 L
.59356 .52601 L
.59497 .52794 L
.59538 .52842 L
.59641 .52987 L
.59731 .53098 L
.59789 .53179 L
.59924 .53354 L
.59936 .53372 L
.60072 .53565 L
.60116 .5362 L
.60209 .53758 L
.60309 .53887 L
.60351 .5395 L
.60309 .54087 L
.60213 .5395 L
.60116 .53835 L
.60062 .53758 L
.59924 .53583 L
.59911 .53565 L
.59773 .53372 L
.59731 .53322 L
.59635 .53179 L
.59538 .53058 L
.59491 .52987 L
.59346 .52796 L
.59344 .52794 L
.59218 .52601 L
.59153 .52519 L
.59085 .52409 L
.5896 .52243 L
.58944 .52216 L
F
0 .7 1 r
.5896 .5128 m
.59104 .51445 L
.59153 .51496 L
.5927 .51638 L
.59346 .51725 L
.59431 .51831 L
.59538 .5196 L
.59589 .52023 L
.59731 .52197 L
.59758 .52216 L
.59893 .52409 L
.59924 .52446 L
.60043 .52601 L
.60116 .52693 L
.60194 .52794 L
.60309 .52935 L
.6037 .52987 L
.60489 .53179 L
.60502 .53196 L
.60634 .53372 L
.60694 .53391 L
.60781 .53565 L
.60887 .53696 L
.6095 .53758 L
.6107 .5395 L
.6108 .53962 L
.61213 .54143 L
.61273 .5417 L
.61357 .54336 L
.61465 .54472 L
.61517 .54528 L
.61642 .54721 L
.61658 .54742 L
.61783 .54914 L
.61851 .54957 L
.61925 .55106 L
.62043 .55262 L
.62076 .55299 L
.62205 .55492 L
.62236 .55533 L
.62344 .55684 L
.62429 .55757 L
.62484 .55877 L
.62621 .56066 L
.62625 .5607 L
.62758 .56263 L
.62814 .56338 L
.62896 .56455 L
.63007 .56584 L
.63034 .56648 L
.63167 .56841 L
.63199 .56885 L
.63299 .57033 L
.63392 .57164 L
.63434 .57226 L
.63564 .57419 L
.63585 .57448 L
.63687 .57611 L
.63778 .57744 L
.63814 .57804 L
.63778 .57968 L
.63641 .57804 L
.63585 .57745 L
.63479 .57611 L
.63392 .57512 L
.6332 .57419 L
.63199 .57274 L
.63163 .57226 L
.63009 .57033 L
.63007 .5703 L
.62863 .56841 L
.62814 .56782 L
.62714 .56648 L
.62621 .56587 L
.62564 .56455 L
.62429 .56285 L
.62404 .56263 L
.62271 .5607 L
.62236 .56026 L
.62127 .55877 L
.62043 .55821 L
.61981 .55684 L
.61851 .55519 L
.61824 .55492 L
.61693 .55299 L
.61658 .55254 L
.61551 .55106 L
.61465 .5504 L
.61407 .54914 L
.61273 .54738 L
.61257 .54721 L
.61124 .54528 L
.6108 .54471 L
.60983 .54336 L
.60887 .54247 L
.60841 .54143 L
.60698 .5395 L
.60694 .53946 L
.60562 .53758 L
.60502 .53678 L
.60423 .53565 L
.60309 .53439 L
.60281 .53372 L
.60143 .53179 L
.60116 .53145 L
.60008 .52987 L
.59924 .52874 L
.59869 .52794 L
.59731 .52607 L
.59725 .52601 L
.59599 .52409 L
.59538 .52327 L
.59465 .52216 L
.59346 .5205 L
.59328 .52023 L
.59201 .51831 L
.59153 .51764 L
.59076 .51638 L
.5896 .5147 L
.58946 .51445 L
F
0 .17 1 r
.5896 .52948 m
.58976 .52987 L
.5896 .53 L
.58952 .52987 L
F
1 .34 0 r
.5896 .52127 m
.59026 .52216 L
.59153 .52356 L
.59191 .52409 L
.59346 .52597 L
.59349 .52601 L
.59346 .52786 L
.59228 .52601 L
.59153 .52507 L
.59094 .52409 L
.5896 .52229 L
.58953 .52216 L
F
0 .69 1 r
.5896 .51307 m
.59086 .51445 L
.59153 .51513 L
.59257 .51638 L
.59346 .51738 L
.59421 .51831 L
.59538 .51971 L
.5958 .52023 L
.59731 .5221 L
.5974 .52216 L
.59885 .52409 L
.59924 .52455 L
.60036 .52601 L
.60116 .52702 L
.60187 .52794 L
.60309 .52944 L
.6036 .52987 L
.60483 .53179 L
.60502 .53203 L
.60629 .53372 L
.60694 .53396 L
.60776 .53565 L
.60887 .53704 L
.60943 .53758 L
.61065 .5395 L
.6108 .53969 L
.61208 .54143 L
.61273 .54175 L
.61352 .54336 L
.61465 .5448 L
.61511 .54528 L
.61637 .54721 L
.61658 .54749 L
.61778 .54914 L
.61851 .54963 L
.6192 .55106 L
.62043 .55269 L
.62069 .55299 L
.622 .55492 L
.62236 .5554 L
.62339 .55684 L
.62429 .55766 L
.62479 .55877 L
.62618 .5607 L
.62621 .56074 L
.62753 .56263 L
.62814 .56346 L
.6289 .56455 L
.63007 .56597 L
.63028 .56648 L
.6316 .56841 L
.63199 .56895 L
.63292 .57033 L
.63392 .57175 L
.63426 .57226 L
.63554 .57419 L
.63585 .57463 L
.63676 .57611 L
.63778 .57763 L
.63801 .57804 L
.63778 .57945 L
.63657 .57804 L
.63585 .5773 L
.6349 .57611 L
.63392 .575 L
.63329 .57419 L
.63199 .57264 L
.63171 .57226 L
.63017 .57033 L
.63007 .57021 L
.62869 .56841 L
.62814 .56773 L
.6272 .56648 L
.62621 .56577 L
.6257 .56455 L
.62429 .56277 L
.62413 .56263 L
.62277 .5607 L
.62236 .56019 L
.62132 .55877 L
.62043 .55814 L
.61986 .55684 L
.61851 .55512 L
.61831 .55492 L
.61698 .55299 L
.61658 .55248 L
.61556 .55106 L
.61465 .55034 L
.61411 .54914 L
.61273 .54731 L
.61263 .54721 L
.61128 .54528 L
.6108 .54466 L
.60988 .54336 L
.60887 .5424 L
.60845 .54143 L
.60702 .5395 L
.60694 .5394 L
.60566 .53758 L
.60502 .53672 L
.60427 .53565 L
.60309 .5343 L
.60285 .53372 L
.60148 .53179 L
.60116 .53138 L
.60013 .52987 L
.59924 .52867 L
.59874 .52794 L
.59734 .52601 L
.59731 .52597 L
.59605 .52409 L
.59538 .52318 L
.59472 .52216 L
.59346 .52041 L
.59334 .52023 L
.5921 .51831 L
.59153 .5175 L
.59087 .51638 L
.5896 .51451 L
.58957 .51445 L
F
1 .91 0 r
.59153 .5738 m
.59184 .57419 L
.59346 .57574 L
.59378 .57611 L
.59538 .57796 L
.59547 .57804 L
.597 .57997 L
.59731 .58035 L
.5985 .58189 L
.59924 .58262 L
.60049 .58382 L
.60116 .58548 L
.60135 .58575 L
.60265 .58768 L
.60309 .58834 L
.60392 .5896 L
.60502 .59146 L
.6051 .59153 L
.60582 .59346 L
.60502 .59408 L
.60419 .59346 L
.60309 .59253 L
.60219 .59153 L
.60116 .59088 L
.60051 .5896 L
.59924 .58818 L
.59855 .58768 L
.59744 .58575 L
.59731 .58558 L
.59603 .58382 L
.59538 .58297 L
.59462 .58189 L
.59346 .58055 L
.59299 .57997 L
.59194 .57804 L
.59153 .57743 L
.59075 .57611 L
.5897 .57419 L
F
0 .98 1 r
.59153 .49893 m
.59165 .49904 L
.59346 .50089 L
.59353 .50096 L
.59527 .50289 L
.59538 .50301 L
.59696 .50482 L
.59731 .50495 L
.59862 .50674 L
.59924 .5075 L
.6009 .50867 L
.60116 .50992 L
.60173 .5106 L
.60309 .51233 L
.60315 .51253 L
.60488 .51445 L
.60502 .51464 L
.60663 .51638 L
.60694 .51715 L
.60777 .51831 L
.60887 .51974 L
.60896 .52023 L
.6108 .52203 L
.61091 .52216 L
.61245 .52409 L
.61273 .5246 L
.61367 .52601 L
.61465 .52728 L
.61536 .52794 L
.61658 .5296 L
.61679 .52987 L
.61825 .53179 L
.61851 .53221 L
.61946 .53372 L
.62043 .53495 L
.62117 .53565 L
.62236 .53729 L
.62258 .53758 L
.624 .5395 L
.62429 .53994 L
.62518 .54143 L
.62621 .5427 L
.62691 .54336 L
.62814 .54506 L
.62832 .54528 L
.62971 .54721 L
.63007 .54773 L
.63084 .54914 L
.63199 .55051 L
.63262 .55106 L
.63392 .55288 L
.63401 .55299 L
.63538 .55492 L
.63585 .55557 L
.63647 .55684 L
.63778 .55834 L
.63829 .55877 L
.63969 .5607 L
.6397 .56073 L
.64103 .56263 L
.64163 .56344 L
.64208 .56455 L
.64356 .56618 L
.64395 .56648 L
.64539 .56841 L
.64548 .56861 L
.64665 .57033 L
.64741 .57132 L
.64767 .57226 L
.64934 .57401 L
.6496 .57419 L
.65106 .57611 L
.65126 .5765 L
.65227 .57804 L
.65319 .5792 L
.65327 .57997 L
.65512 .58182 L
.65523 .58189 L
.6567 .58382 L
.65704 .58439 L
.65788 .58575 L
.65897 .5871 L
.65947 .58768 L
.66085 .5896 L
.6609 .58965 L
.66233 .59153 L
.66283 .59231 L
.66349 .59346 L
.66475 .595 L
.66509 .59538 L
.66647 .59731 L
.66668 .59755 L
.66794 .59924 L
.66861 .60023 L
.66909 .60116 L
.67053 .60291 L
.67069 .60309 L
.67243 .60502 L
.67246 .60547 L
.67353 .60694 L
.67439 .60818 L
.6747 .60887 L
.67627 .6108 L
.67631 .61081 L
.67805 .61273 L
.67824 .61342 L
.67909 .61465 L
.68017 .61618 L
.68032 .61658 L
.68182 .61851 L
.68209 .61865 L
.6836 .62043 L
.68402 .62145 L
.68462 .62236 L
.68595 .62426 L
.68596 .62429 L
.68732 .62621 L
.68788 .62662 L
.68904 .62814 L
.6898 .62964 L
.69007 .63007 L
.69139 .63199 L
.69173 .63248 L
.69272 .63392 L
.69366 .63496 L
.69427 .63585 L
.69536 .63778 L
.69558 .6381 L
.69662 .6397 L
.69751 .64102 L
.6979 .64163 L
.6991 .64356 L
.69944 .64408 L
.70021 .64548 L
.69944 .64713 L
.69787 .64548 L
.69751 .64513 L
.69613 .64356 L
.69558 .64297 L
.69446 .64163 L
.69366 .64082 L
.69284 .6397 L
.69173 .63836 L
.69108 .63778 L
.6898 .63595 L
.68972 .63585 L
.68819 .63392 L
.68788 .63359 L
.68668 .63199 L
.68595 .63105 L
.68503 .63007 L
.68402 .62851 L
.68376 .62814 L
.68223 .62621 L
.68209 .62607 L
.68077 .62429 L
.68017 .6235 L
.6792 .62236 L
.67824 .62089 L
.67796 .62043 L
.67641 .61851 L
.67631 .6184 L
.67446 .61658 L
.67439 .6158 L
.67345 .61465 L
.67246 .61316 L
.67222 .61273 L
.67066 .6108 L
.67053 .61066 L
.66883 .60887 L
.66861 .60803 L
.66776 .60694 L
.66668 .60538 L
.66652 .60502 L
.66496 .60309 L
.66475 .60286 L
.66319 .60116 L
.66283 .60021 L
.66209 .59924 L
.6609 .59756 L
.66082 .59731 L
.65928 .59538 L
.65897 .59503 L
.65756 .59346 L
.65704 .59236 L
.65644 .59153 L
.65512 .58972 L
.6551 .5896 L
.65362 .58768 L
.65319 .58718 L
.65193 .58575 L
.65126 .58449 L
.6508 .58382 L
.64937 .58189 L
.64934 .58188 L
.64797 .57997 L
.64741 .57932 L
.64632 .57804 L
.64548 .57661 L
.64515 .57611 L
.64373 .57419 L
.64356 .57409 L
.64233 .57226 L
.64163 .57143 L
.64072 .57033 L
.6397 .56871 L
.63951 .56841 L
.63809 .56648 L
.63778 .56628 L
.6367 .56455 L
.63585 .56353 L
.63512 .56263 L
.63392 .56081 L
.63386 .5607 L
.63247 .55877 L
.63199 .55842 L
.63046 .55684 L
.63007 .55561 L
.62953 .55492 L
.62822 .55299 L
.62814 .55289 L
.62684 .55106 L
.62621 .55053 L
.62494 .54914 L
.62429 .54767 L
.62394 .54721 L
.62261 .54528 L
.62236 .54495 L
.62123 .54336 L
.62043 .54259 L
.61943 .54143 L
.61851 .5397 L
.61836 .5395 L
.61701 .53758 L
.61658 .537 L
.61563 .53565 L
.61465 .53459 L
.61393 .53372 L
.61279 .53179 L
.61273 .53171 L
.61143 .52987 L
.6108 .52903 L
.61004 .52794 L
.60887 .52653 L
.60847 .52601 L
.60724 .52409 L
.60694 .5237 L
.60588 .52216 L
.60502 .521 L
.60449 .52023 L
.60309 .51835 L
.60306 .51831 L
.60174 .51638 L
.60116 .5156 L
.60039 .51445 L
.59924 .51288 L
.599 .51253 L
.59765 .5106 L
.59731 .51013 L
.59636 .50867 L
.59538 .50732 L
.59502 .50674 L
.59369 .50482 L
.59346 .50448 L
.59249 .50289 L
.59153 .50146 L
.59126 .50096 L
.5902 .49904 L
F
1 .92 0 r
.59153 .73892 m
.59346 .73894 L
.59538 .73957 L
.59647 .7399 L
.59731 .74039 L
.59924 .74136 L
.60013 .74183 L
.60116 .74243 L
.60309 .74357 L
.60339 .74376 L
.60502 .74478 L
.60643 .74568 L
.60694 .74603 L
.60887 .74732 L
.6093 .74761 L
.6108 .74865 L
.61206 .74954 L
.61273 .75001 L
.61465 .7514 L
.61473 .75146 L
.61658 .75282 L
.61735 .75339 L
.61851 .75426 L
.61991 .75532 L
.62043 .75572 L
.62236 .7572 L
.62242 .75725 L
.62429 .75869 L
.6249 .75917 L
.62621 .76021 L
.62734 .7611 L
.62814 .76174 L
.62975 .76303 L
.63007 .76328 L
.63199 .76484 L
.63214 .76495 L
.63392 .76641 L
.63449 .76688 L
.63585 .768 L
.63683 .76881 L
.63778 .76959 L
.63914 .77073 L
.6397 .7712 L
.64143 .77266 L
.64163 .77283 L
.64356 .77446 L
.6437 .77459 L
.64548 .77611 L
.64595 .77651 L
.64741 .77777 L
.64819 .77844 L
.64934 .77944 L
.6504 .78037 L
.65126 .78112 L
.6526 .7823 L
.65319 .78282 L
.65478 .78422 L
.65512 .78452 L
.65695 .78615 L
.65704 .78624 L
.65897 .78796 L
.6591 .78808 L
.6609 .7897 L
.66124 .79 L
.66283 .79145 L
.66336 .79193 L
.66475 .7932 L
.66547 .79386 L
.66668 .79496 L
.66757 .79578 L
.66861 .79674 L
.66967 .79771 L
.67053 .79851 L
.67175 .79964 L
.67246 .8003 L
.67382 .80156 L
.67439 .80209 L
.67589 .80349 L
.67631 .80389 L
.67795 .80542 L
.67824 .80569 L
.68 .80735 L
.68017 .8075 L
.68205 .80927 L
.68209 .80932 L
.68402 .81114 L
.68409 .8112 L
.68595 .81296 L
.68612 .81313 L
.68788 .8148 L
.68815 .81505 L
.6898 .81664 L
.69016 .81698 L
.69173 .81848 L
.69217 .81891 L
.69366 .82034 L
.69417 .82083 L
.69558 .8222 L
.69616 .82276 L
.69751 .82408 L
.69813 .82469 L
.69944 .82597 L
.7001 .82661 L
.70136 .82786 L
.70205 .82854 L
.70329 .82978 L
.70398 .83047 L
.70522 .8317 L
.70591 .8324 L
.70715 .83364 L
.70782 .83432 L
.70907 .8356 L
.70971 .83625 L
.711 .83757 L
.71159 .83818 L
.71293 .83956 L
.71345 .8401 L
.71485 .84156 L
.71531 .84203 L
.71678 .84357 L
.71714 .84396 L
.71871 .8456 L
.71897 .84588 L
.72063 .84765 L
.72079 .84781 L
.72256 .84971 L
.72259 .84974 L
.72438 .85166 L
.72449 .85178 L
.72616 .85359 L
.72641 .85387 L
.72793 .85552 L
.72834 .85597 L
.72969 .85745 L
.73027 .85808 L
.73143 .85937 L
.7322 .86022 L
.73317 .8613 L
.73412 .86237 L
.73489 .86323 L
.73605 .86453 L
.7366 .86515 L
.73798 .86672 L
.73829 .86708 L
.7399 .86894 L
.73996 .86901 L
.74162 .87093 L
.74183 .87118 L
.74325 .87286 L
.74376 .87346 L
.74487 .87479 L
.74568 .87577 L
.74646 .87671 L
.74761 .87813 L
.74802 .87864 L
.74954 .88055 L
.74956 .88057 L
.75106 .8825 L
.75146 .88302 L
.75252 .88442 L
.75339 .88559 L
.75394 .88635 L
.75532 .88828 L
.75532 .88828 L
.75664 .8902 L
.75725 .89111 L
.75788 .89213 L
.75903 .89406 L
.75917 .89421 L
.76007 .89598 L
.76092 .89791 L
.7611 .89848 L
.76144 .89984 L
.7611 .9016 L
.76094 .90177 L
.75917 .9022 L
.75731 .90177 L
.75725 .90175 L
.75532 .90103 L
.75339 .9001 L
.75285 .89984 L
.75146 .89908 L
.74954 .89796 L
.74945 .89791 L
.74761 .89679 L
.74634 .89598 L
.74568 .89555 L
.74376 .89428 L
.74343 .89406 L
.74183 .89296 L
.74063 .89213 L
.7399 .89161 L
.73798 .89023 L
.73793 .8902 L
.73605 .88883 L
.7353 .88828 L
.73412 .8874 L
.73272 .88635 L
.7322 .88595 L
.73027 .88448 L
.7302 .88442 L
.72834 .88299 L
.72771 .8825 L
.72641 .88148 L
.72526 .88057 L
.72449 .87995 L
.72284 .87864 L
.72256 .87841 L
.72063 .87686 L
.72046 .87671 L
.71871 .87529 L
.71809 .87479 L
.71678 .87371 L
.71576 .87286 L
.71485 .87211 L
.71344 .87093 L
.71293 .8705 L
.71114 .86901 L
.711 .86889 L
.70907 .86725 L
.70887 .86708 L
.70715 .86561 L
.70661 .86515 L
.70522 .86396 L
.70437 .86323 L
.70329 .8623 L
.70214 .8613 L
.70136 .86062 L
.69993 .85937 L
.69944 .85894 L
.69773 .85745 L
.69751 .85725 L
.69558 .85555 L
.69555 .85552 L
.69366 .85383 L
.69339 .85359 L
.69173 .85211 L
.69123 .85166 L
.6898 .85038 L
.68909 .84974 L
.68788 .84864 L
.68696 .84781 L
.68595 .84689 L
.68484 .84588 L
.68402 .84513 L
.68274 .84396 L
.68209 .84337 L
.68064 .84203 L
.68017 .84159 L
.67856 .8401 L
.67824 .83981 L
.67648 .83818 L
.67631 .83802 L
.67442 .83625 L
.67439 .83622 L
.67246 .83441 L
.67237 .83432 L
.67053 .83259 L
.67033 .8324 L
.66861 .83076 L
.6683 .83047 L
.66668 .82893 L
.66628 .82854 L
.66475 .82708 L
.66427 .82661 L
.66283 .82523 L
.66227 .82469 L
.6609 .82337 L
.66027 .82276 L
.65897 .82149 L
.65829 .82083 L
.65704 .81961 L
.65632 .81891 L
.65512 .81772 L
.65436 .81698 L
.65319 .81582 L
.65241 .81505 L
.65126 .81391 L
.65047 .81313 L
.64934 .81199 L
.64854 .8112 L
.64741 .81007 L
.64662 .80927 L
.64548 .80813 L
.64471 .80735 L
.64356 .80618 L
.64281 .80542 L
.64163 .80421 L
.64092 .80349 L
.6397 .80224 L
.63904 .80156 L
.63778 .80026 L
.63718 .79964 L
.63585 .79826 L
.63532 .79771 L
.63392 .79625 L
.63347 .79578 L
.63199 .79423 L
.63164 .79386 L
.63007 .7922 L
.62982 .79193 L
.62814 .79015 L
.62801 .79 L
.62621 .78808 L
.62621 .78808 L
.62443 .78615 L
.62429 .786 L
.62265 .78422 L
.62236 .7839 L
.6209 .7823 L
.62043 .78178 L
.61916 .78037 L
.61851 .77965 L
.61743 .77844 L
.61658 .77749 L
.61572 .77651 L
.61465 .77531 L
.61402 .77459 L
.61273 .7731 L
.61234 .77266 L
.6108 .77087 L
.61068 .77073 L
.60905 .76881 L
.60887 .7686 L
.60743 .76688 L
.60694 .7663 L
.60584 .76495 L
.60502 .76395 L
.60427 .76303 L
.60309 .76156 L
.60273 .7611 L
.60122 .75917 L
.60116 .7591 L
.59974 .75725 L
.59924 .75658 L
.59831 .75532 L
.59731 .75395 L
.59692 .75339 L
.59558 .75146 L
.59538 .75119 L
.59431 .74954 L
.59346 .74819 L
.59313 .74761 L
.59204 .74568 L
.59153 .74496 L
.59113 .74376 L
.59043 .74183 L
.59043 .7399 L
F
0 .99 1 r
.59153 .56725 m
.59346 .56671 L
.59538 .56818 L
.59562 .56841 L
.59715 .57033 L
.59731 .57055 L
.59869 .57226 L
.59924 .57313 L
.59997 .57419 L
.60116 .57581 L
.60157 .57611 L
.60299 .57804 L
.60309 .57822 L
.60428 .57997 L
.60502 .58096 L
.6053 .58189 L
.60694 .58367 L
.60725 .58382 L
.60865 .58575 L
.60887 .58607 L
.60983 .58768 L
.6108 .58878 L
.61148 .5896 L
.61273 .59142 L
.61284 .59153 L
.6142 .59346 L
.61465 .5941 L
.61529 .59538 L
.61658 .59695 L
.61683 .59731 L
.61834 .59924 L
.61658 .60005 L
.61465 .60004 L
.61317 .59924 L
.61273 .59888 L
.6114 .59731 L
.6108 .59662 L
.60937 .59538 L
.60887 .59371 L
.60834 .59346 L
.60698 .59153 L
.60694 .5915 L
.60559 .5896 L
.60502 .58897 L
.60373 .58768 L
.60309 .58627 L
.60268 .58575 L
.60133 .58382 L
.60116 .5836 L
.59995 .58189 L
.59924 .5813 L
.59819 .57997 L
.59731 .5784 L
.59708 .57804 L
.59573 .57611 L
.59538 .57563 L
.59437 .57419 L
.59346 .57291 L
.59279 .57226 L
.59168 .57033 L
.59153 .57009 L
.59074 .56841 L
F
1 .9 0 r
.59153 .57429 m
.59346 .57603 L
.59353 .57611 L
.59525 .57804 L
.59538 .57819 L
.59683 .57997 L
.59731 .58056 L
.59834 .58189 L
.59924 .58284 L
.60028 .58382 L
.60116 .58575 L
.60117 .58575 L
.60247 .58768 L
.60309 .58862 L
.60371 .5896 L
.60476 .59153 L
.60502 .59213 L
.60509 .59346 L
.60502 .59348 L
.60493 .59346 L
.60309 .59223 L
.60243 .59153 L
.60116 .59061 L
.60068 .5896 L
.59924 .58796 L
.59884 .58768 L
.59758 .58575 L
.59731 .58541 L
.59616 .58382 L
.59538 .5828 L
.59475 .58189 L
.59346 .58024 L
.59324 .57997 L
.59211 .57804 L
.59153 .57715 L
.59095 .57611 L
F
0 .68 1 r
.59153 .51531 m
.59243 .51638 L
.59346 .51752 L
.5941 .51831 L
.59538 .51983 L
.59571 .52023 L
.59726 .52216 L
.59731 .52222 L
.59877 .52409 L
.59924 .52465 L
.60029 .52601 L
.60116 .5271 L
.60181 .52794 L
.60309 .52953 L
.60349 .52987 L
.60477 .53179 L
.60502 .53211 L
.60623 .53372 L
.60694 .53402 L
.6077 .53565 L
.60887 .53712 L
.60935 .53758 L
.6106 .5395 L
.6108 .53976 L
.61203 .54143 L
.61273 .5418 L
.61348 .54336 L
.61465 .54487 L
.61504 .54528 L
.61632 .54721 L
.61658 .54755 L
.61773 .54914 L
.61851 .54969 L
.61915 .55106 L
.62043 .55277 L
.62063 .55299 L
.62194 .55492 L
.62236 .55547 L
.62334 .55684 L
.62429 .55775 L
.62474 .55877 L
.62612 .5607 L
.62621 .56082 L
.62747 .56263 L
.62814 .56354 L
.62884 .56455 L
.63007 .56611 L
.63022 .56648 L
.63152 .56841 L
.63199 .56906 L
.63284 .57033 L
.63392 .57187 L
.63418 .57226 L
.63543 .57419 L
.63585 .57479 L
.63663 .57611 L
.63778 .57787 L
.63787 .57804 L
.63778 .57915 L
.63678 .57804 L
.63585 .57713 L
.63503 .57611 L
.63392 .57488 L
.63338 .57419 L
.63199 .57253 L
.63179 .57226 L
.63025 .57033 L
.63007 .57011 L
.62877 .56841 L
.62814 .56765 L
.62726 .56648 L
.62621 .56567 L
.62575 .56455 L
.62429 .56268 L
.62422 .56263 L
.62282 .5607 L
.62236 .56012 L
.62137 .55877 L
.62043 .55806 L
.6199 .55684 L
.61851 .55504 L
.61838 .55492 L
.61703 .55299 L
.61658 .55242 L
.6156 .55106 L
.61465 .55026 L
.61416 .54914 L
.61273 .54724 L
.61269 .54721 L
.61133 .54528 L
.6108 .5446 L
.60992 .54336 L
.60887 .54232 L
.60849 .54143 L
.60707 .5395 L
.60694 .53934 L
.60571 .53758 L
.60502 .53666 L
.60431 .53565 L
.60309 .5342 L
.60289 .53372 L
.60153 .53179 L
.60116 .53131 L
.60018 .52987 L
.59924 .5286 L
.59879 .52794 L
.59741 .52601 L
.59731 .52588 L
.59612 .52409 L
.59538 .52309 L
.59479 .52216 L
.59346 .5203 L
.59341 .52023 L
.59221 .51831 L
.59153 .51734 L
.59099 .51638 L
F
1 .91 0 r
.59153 .50695 m
.59309 .50867 L
.59346 .50905 L
.59479 .5106 L
.59538 .51128 L
.59643 .51253 L
.59731 .51339 L
.59804 .51445 L
.59924 .51594 L
.59972 .51638 L
.60114 .51831 L
.60116 .51834 L
.60267 .52023 L
.60309 .52066 L
.6042 .52216 L
.60502 .52323 L
.60579 .52409 L
.60694 .52575 L
.6071 .52601 L
.60867 .52794 L
.60887 .52815 L
.61016 .52987 L
.6108 .53073 L
.61165 .53179 L
.61273 .53331 L
.61293 .53372 L
.61454 .53565 L
.61465 .53577 L
.61645 .53758 L
.61658 .53836 L
.61743 .5395 L
.61851 .54099 L
.61868 .54143 L
.62033 .54336 L
.62043 .54347 L
.62208 .54528 L
.62236 .54609 L
.62316 .54721 L
.62429 .54873 L
.6244 .54914 L
.62606 .55106 L
.62621 .55124 L
.62772 .55299 L
.62814 .55389 L
.62884 .55492 L
.63007 .55654 L
.63011 .55684 L
.63175 .55877 L
.63199 .55906 L
.63336 .5607 L
.63392 .56173 L
.63449 .56263 L
.63585 .56439 L
.636 .56455 L
.6374 .56648 L
.63778 .56692 L
.63897 .56841 L
.6397 .56963 L
.64012 .57033 L
.64162 .57226 L
.64163 .57226 L
.64302 .57419 L
.64356 .57483 L
.64455 .57611 L
.64548 .57757 L
.64574 .57804 L
.64721 .57997 L
.64741 .58005 L
.6486 .58189 L
.64934 .58281 L
.65009 .58382 L
.65126 .58559 L
.65135 .58575 L
.65275 .58768 L
.65319 .58794 L
.65477 .5896 L
.65512 .5909 L
.65557 .59153 L
.65686 .59346 L
.65704 .59371 L
.65821 .59538 L
.65897 .59606 L
.66004 .59731 L
.6609 .59918 L
.66094 .59924 L
.66223 .60116 L
.66283 .60201 L
.66356 .60309 L
.66475 .6047 L
.66499 .60502 L
.66612 .60694 L
.66668 .60776 L
.66737 .60887 L
.66861 .61078 L
.66862 .6108 L
.66962 .61273 L
.66861 .61331 L
.66808 .61273 L
.66668 .61126 L
.66629 .6108 L
.66475 .60908 L
.66462 .60887 L
.66303 .60694 L
.66283 .60672 L
.66147 .60502 L
.6609 .60434 L
.65992 .60309 L
.65897 .60205 L
.65838 .60116 L
.65704 .59948 L
.65681 .59924 L
.65538 .59731 L
.65512 .59699 L
.6539 .59538 L
.65319 .5946 L
.65183 .59346 L
.65126 .59197 L
.65088 .59153 L
.64948 .5896 L
.64934 .58958 L
.64804 .58768 L
.64741 .58697 L
.64612 .58575 L
.64548 .58431 L
.64509 .58382 L
.64369 .58189 L
.64356 .58186 L
.64226 .57997 L
.64163 .57925 L
.64045 .57804 L
.6397 .57656 L
.63936 .57611 L
.63796 .57419 L
.63778 .57412 L
.63654 .57226 L
.63585 .57146 L
.63481 .57033 L
.63392 .56875 L
.63367 .56841 L
.63227 .56648 L
.63199 .56635 L
.63086 .56455 L
.63007 .56362 L
.62919 .56263 L
.62814 .5609 L
.628 .5607 L
.62661 .55877 L
.62621 .55855 L
.6252 .55684 L
.62429 .55573 L
.6236 .55492 L
.62236 .553 L
.62235 .55299 L
.62098 .55106 L
.62043 .55069 L
.61957 .54914 L
.61851 .5478 L
.61802 .54721 L
.61674 .54528 L
.61658 .54507 L
.61537 .54336 L
.61465 .54275 L
.61335 .54143 L
.61273 .53982 L
.61248 .5395 L
.61117 .53758 L
.6108 .53709 L
.60979 .53565 L
.60887 .53472 L
.60796 .53372 L
.60697 .53179 L
.60694 .53176 L
.60563 .52987 L
.60502 .52905 L
.60425 .52794 L
.60309 .52655 L
.60263 .52601 L
.60149 .52409 L
.60116 .52366 L
.60015 .52216 L
.59924 .52092 L
.59878 .52023 L
.5974 .51831 L
.59731 .51819 L
.59611 .51638 L
.59538 .51537 L
.59479 .51445 L
.59346 .51256 L
.59343 .51253 L
.59223 .5106 L
.59153 .50958 L
.59101 .50867 L
F
1 .33 0 r
.59153 .52369 m
.59181 .52409 L
.59153 .52493 L
.59106 .52409 L
F
0 .67 1 r
.59153 .51553 m
.59227 .51638 L
.59346 .51766 L
.59398 .51831 L
.59538 .51995 L
.59561 .52023 L
.59717 .52216 L
.59731 .52233 L
.59869 .52409 L
.59924 .52474 L
.60022 .52601 L
.60116 .52719 L
.60174 .52794 L
.60309 .52963 L
.60338 .52987 L
.6047 .53179 L
.60502 .53219 L
.60617 .53372 L
.60694 .53409 L
.60765 .53565 L
.60887 .5372 L
.60927 .53758 L
.61054 .5395 L
.6108 .53983 L
.61198 .54143 L
.61273 .54187 L
.61343 .54336 L
.61465 .54495 L
.61497 .54528 L
.61627 .54721 L
.61658 .54762 L
.61768 .54914 L
.61851 .54977 L
.6191 .55106 L
.62043 .55285 L
.62056 .55299 L
.62189 .55492 L
.62236 .55554 L
.62329 .55684 L
.62429 .55785 L
.62469 .55877 L
.62606 .5607 L
.62621 .5609 L
.62741 .56263 L
.62814 .56363 L
.62878 .56455 L
.63007 .56626 L
.63015 .56648 L
.63145 .56841 L
.63199 .56916 L
.63276 .57033 L
.63392 .57199 L
.6341 .57226 L
.6353 .57419 L
.63585 .57498 L
.63649 .57611 L
.63585 .57694 L
.63517 .57611 L
.63392 .57474 L
.63349 .57419 L
.63199 .57243 L
.63187 .57226 L
.63034 .57033 L
.63007 .57002 L
.62884 .56841 L
.62814 .56756 L
.62733 .56648 L
.62621 .56555 L
.62581 .56455 L
.62431 .56263 L
.62429 .5626 L
.62288 .5607 L
.62236 .56005 L
.62142 .55877 L
.62043 .55797 L
.61995 .55684 L
.61851 .55497 L
.61846 .55492 L
.61707 .55299 L
.61658 .55236 L
.61565 .55106 L
.61465 .55019 L
.6142 .54914 L
.61275 .54721 L
.61273 .54718 L
.61137 .54528 L
.6108 .54454 L
.60996 .54336 L
.60887 .54224 L
.60853 .54143 L
.60712 .5395 L
.60694 .53928 L
.60576 .53758 L
.60502 .5366 L
.60436 .53565 L
.60309 .5341 L
.60294 .53372 L
.60159 .53179 L
.60116 .53124 L
.60024 .52987 L
.59924 .52852 L
.59885 .52794 L
.59747 .52601 L
.59731 .5258 L
.59619 .52409 L
.59538 .52299 L
.59486 .52216 L
.59349 .52023 L
.59346 .52018 L
.59233 .51831 L
.59153 .51715 L
.59112 .51638 L
F
1 .89 0 r
.59153 .57474 m
.59321 .57611 L
.59346 .57633 L
.59502 .57804 L
.59538 .57844 L
.59664 .57997 L
.59731 .58079 L
.59817 .58189 L
.59924 .58309 L
.60002 .58382 L
.60099 .58575 L
.60116 .586 L
.60228 .58768 L
.60309 .58895 L
.60349 .5896 L
.60439 .59153 L
.60309 .5919 L
.60272 .59153 L
.60116 .59027 L
.60086 .5896 L
.59924 .58772 L
.59918 .58768 L
.59773 .58575 L
.59731 .58522 L
.5963 .58382 L
.59538 .58262 L
.59488 .58189 L
.5935 .57997 L
.59346 .57991 L
.5923 .57804 L
.59153 .5768 L
.59118 .57611 L
F
1 .32 0 r
.59153 .52386 m
.5917 .52409 L
.59153 .52474 L
.5912 .52409 L
F
0 .66 1 r
.59153 .5158 m
.59206 .51638 L
.59346 .51783 L
.59386 .51831 L
.59538 .52008 L
.59551 .52023 L
.59707 .52216 L
.59731 .52244 L
.59861 .52409 L
.59924 .52484 L
.60015 .52601 L
.60116 .52728 L
.60167 .52794 L
.60309 .52973 L
.60326 .52987 L
.60464 .53179 L
.60502 .53227 L
.60611 .53372 L
.60694 .53417 L
.60759 .53565 L
.60887 .53728 L
.60918 .53758 L
.61049 .5395 L
.6108 .5399 L
.61193 .54143 L
.61273 .54194 L
.61337 .54336 L
.61465 .54503 L
.6149 .54528 L
.61621 .54721 L
.61658 .54769 L
.61763 .54914 L
.61851 .54985 L
.61905 .55106 L
.62043 .55294 L
.62048 .55299 L
.62184 .55492 L
.62236 .55562 L
.62323 .55684 L
.62429 .55796 L
.62463 .55877 L
.626 .5607 L
.62621 .56098 L
.62735 .56263 L
.62814 .56371 L
.62872 .56455 L
.63007 .56643 L
.63009 .56648 L
.63137 .56841 L
.63199 .56928 L
.63268 .57033 L
.63392 .57212 L
.63401 .57226 L
.63517 .57419 L
.63585 .5752 L
.63633 .57611 L
.63585 .57672 L
.63534 .57611 L
.63392 .5746 L
.6336 .57419 L
.63199 .57231 L
.63195 .57226 L
.63044 .57033 L
.63007 .56991 L
.62892 .56841 L
.62814 .56748 L
.62739 .56648 L
.62621 .56542 L
.62587 .56455 L
.62437 .56263 L
.62429 .56252 L
.62294 .5607 L
.62236 .55998 L
.62147 .55877 L
.62043 .55788 L
.62 .55684 L
.61852 .55492 L
.61851 .55489 L
.61712 .55299 L
.61658 .5523 L
.61569 .55106 L
.61465 .5501 L
.61424 .54914 L
.6128 .54721 L
.61273 .54712 L
.61142 .54528 L
.6108 .54448 L
.61 .54336 L
.60887 .54215 L
.60857 .54143 L
.60717 .5395 L
.60694 .53921 L
.6058 .53758 L
.60502 .53654 L
.6044 .53565 L
.60309 .53399 L
.60298 .53372 L
.60164 .53179 L
.60116 .53116 L
.60029 .52987 L
.59924 .52845 L
.5989 .52794 L
.59754 .52601 L
.59731 .5257 L
.59626 .52409 L
.59538 .52288 L
.59493 .52216 L
.5936 .52023 L
.59346 .52003 L
.59247 .51831 L
.59153 .5169 L
.59129 .51638 L
F
0 .76 1 r
.59153 .58247 m
.59238 .58382 L
.59346 .58562 L
.5935 .58575 L
.59346 .58587 L
.59329 .58575 L
.59153 .58414 L
.59129 .58382 L
F
1 .9 0 r
.59153 .50757 m
.59264 .50867 L
.59346 .50947 L
.59447 .5106 L
.59538 .51161 L
.59617 .51253 L
.59731 .51369 L
.59781 .51445 L
.59924 .51619 L
.59946 .51638 L
.60095 .51831 L
.60116 .51856 L
.60251 .52023 L
.60309 .52082 L
.60405 .52216 L
.60502 .5234 L
.60565 .52409 L
.60694 .52589 L
.60702 .52601 L
.60855 .52794 L
.60887 .52828 L
.61005 .52987 L
.6108 .53087 L
.61156 .53179 L
.61273 .53343 L
.61287 .53372 L
.61445 .53565 L
.61465 .53588 L
.61642 .53758 L
.61658 .53848 L
.61735 .5395 L
.61851 .54109 L
.61864 .54143 L
.62025 .54336 L
.62043 .54357 L
.62204 .54528 L
.62236 .54619 L
.62309 .54721 L
.62429 .54882 L
.62438 .54914 L
.62599 .55106 L
.62621 .55133 L
.62768 .55299 L
.62814 .55398 L
.62878 .55492 L
.63007 .55662 L
.6301 .55684 L
.63168 .55877 L
.63199 .55914 L
.63331 .5607 L
.63392 .56182 L
.63444 .56263 L
.63585 .56446 L
.63593 .56455 L
.63733 .56648 L
.63778 .567 L
.63891 .56841 L
.6397 .56972 L
.64007 .57033 L
.64155 .57226 L
.64163 .57228 L
.64295 .57419 L
.64356 .57492 L
.64449 .57611 L
.64548 .57767 L
.64569 .57804 L
.64713 .57997 L
.64741 .58009 L
.64852 .58189 L
.64934 .58292 L
.65001 .58382 L
.65126 .58571 L
.65129 .58575 L
.65266 .58768 L
.65319 .58803 L
.65469 .5896 L
.65512 .59105 L
.65546 .59153 L
.65675 .59346 L
.65704 .59386 L
.6581 .59538 L
.65897 .59625 L
.65987 .59731 L
.66079 .59924 L
.6609 .59939 L
.66208 .60116 L
.66283 .60223 L
.66339 .60309 L
.66469 .60502 L
.66475 .60511 L
.66589 .60694 L
.66668 .60815 L
.6671 .60887 L
.66817 .6108 L
.66668 .61082 L
.66666 .6108 L
.66493 .60887 L
.66475 .6087 L
.66328 .60694 L
.66283 .60644 L
.66168 .60502 L
.6609 .60411 L
.66009 .60309 L
.65897 .60184 L
.65853 .60116 L
.65704 .5993 L
.65698 .59924 L
.65551 .59731 L
.65512 .59683 L
.65401 .59538 L
.65319 .59446 L
.65196 .59346 L
.65126 .59184 L
.65099 .59153 L
.64957 .5896 L
.64934 .58956 L
.64812 .58768 L
.64741 .58687 L
.6462 .58575 L
.64548 .58422 L
.64516 .58382 L
.64376 .58189 L
.64356 .58184 L
.64233 .57997 L
.64163 .57917 L
.64052 .57804 L
.6397 .57648 L
.63942 .57611 L
.63802 .57419 L
.63778 .5741 L
.6366 .57226 L
.63585 .57139 L
.63487 .57033 L
.63392 .56868 L
.63372 .56841 L
.63232 .56648 L
.63199 .56632 L
.63091 .56455 L
.63007 .56355 L
.62925 .56263 L
.62814 .56083 L
.62805 .5607 L
.62666 .55877 L
.62621 .55851 L
.62525 .55684 L
.62429 .55566 L
.62365 .55492 L
.62241 .55299 L
.62236 .55293 L
.62103 .55106 L
.62043 .55063 L
.61962 .54914 L
.61851 .54773 L
.61808 .54721 L
.6168 .54528 L
.61658 .54499 L
.61542 .54336 L
.61465 .54268 L
.61342 .54143 L
.61273 .53973 L
.61255 .5395 L
.61123 .53758 L
.6108 .53701 L
.60985 .53565 L
.60887 .53462 L
.60805 .53372 L
.60704 .53179 L
.60694 .53167 L
.6057 .52987 L
.60502 .52895 L
.60433 .52794 L
.60309 .52639 L
.60277 .52601 L
.60158 .52409 L
.60116 .52352 L
.60025 .52216 L
.59924 .52077 L
.59888 .52023 L
.59753 .51831 L
.59731 .51801 L
.59626 .51638 L
.59538 .51515 L
.59494 .51445 L
.59364 .51253 L
.59346 .51226 L
.5925 .5106 L
.59153 .50909 L
.59133 .50867 L
F
1 .99 0 r
.59153 .60155 m
.59346 .60131 L
.59538 .602 L
.59645 .60309 L
.59731 .60405 L
.59836 .60502 L
.59924 .60655 L
.59954 .60694 L
.60095 .60887 L
.60116 .60892 L
.60235 .6108 L
.60309 .61158 L
.60403 .61273 L
.60502 .61439 L
.60518 .61465 L
.60655 .61658 L
.60694 .61712 L
.60792 .61851 L
.60887 .61983 L
.60948 .62043 L
.61064 .62236 L
.6108 .62259 L
.6119 .62429 L
.61273 .62555 L
.61313 .62621 L
.61411 .62814 L
.61273 .62936 L
.61103 .62814 L
.6108 .62799 L
.60898 .62621 L
.60887 .62609 L
.60722 .62429 L
.60694 .6239 L
.60541 .62236 L
.60502 .62145 L
.60419 .62043 L
.60309 .61879 L
.60251 .61851 L
.60116 .61672 L
.60106 .61658 L
.59953 .61465 L
.59924 .6141 L
.59834 .61273 L
.59731 .6114 L
.59672 .6108 L
.59538 .60889 L
.59534 .60887 L
.59389 .60694 L
.59346 .60622 L
.59281 .60502 L
.59153 .60322 L
.59145 .60309 L
F
1 .88 0 r
.59153 .57541 m
.59278 .57611 L
.59346 .57665 L
.59477 .57804 L
.59538 .57869 L
.59644 .57997 L
.59731 .58102 L
.59799 .58189 L
.59924 .5834 L
.59969 .58382 L
.6008 .58575 L
.60116 .58628 L
.60208 .58768 L
.60309 .58934 L
.60324 .5896 L
.60309 .59151 L
.60116 .58983 L
.60106 .5896 L
.5994 .58768 L
.59924 .58749 L
.5979 .58575 L
.59731 .58503 L
.59644 .58382 L
.59538 .58243 L
.59501 .58189 L
.59368 .57997 L
.59346 .57965 L
.59251 .57804 L
.59153 .57628 L
.59147 .57611 L
F
1 .31 0 r
.59153 .52408 m
.59153 .52409 L
.59153 .52443 L
.5915 .52409 L
F
0 .65 1 r
.59153 .51632 m
.59166 .51638 L
.59346 .51801 L
.59371 .51831 L
.59538 .52022 L
.5954 .52023 L
.59696 .52216 L
.59731 .52256 L
.59852 .52409 L
.59924 .52495 L
.60007 .52601 L
.60116 .52737 L
.6016 .52794 L
.60309 .52984 L
.60313 .52987 L
.60457 .53179 L
.60502 .53235 L
.60605 .53372 L
.60694 .53425 L
.60754 .53565 L
.60887 .53737 L
.60909 .53758 L
.61043 .5395 L
.6108 .53997 L
.61187 .54143 L
.61273 .54201 L
.61332 .54336 L
.61465 .54511 L
.61482 .54528 L
.61616 .54721 L
.61658 .54776 L
.61758 .54914 L
.61851 .54993 L
.619 .55106 L
.62041 .55299 L
.62043 .55302 L
.62178 .55492 L
.62236 .55569 L
.62318 .55684 L
.62429 .55807 L
.62458 .55877 L
.62594 .5607 L
.62621 .56107 L
.62728 .56263 L
.62814 .5638 L
.62865 .56455 L
.63001 .56648 L
.63007 .56655 L
.63128 .56841 L
.63199 .5694 L
.63259 .57033 L
.63199 .57218 L
.63053 .57033 L
.63007 .5698 L
.629 .56841 L
.62814 .56738 L
.62746 .56648 L
.62621 .56529 L
.62593 .56455 L
.62444 .56263 L
.62429 .56244 L
.62299 .5607 L
.62236 .55991 L
.62153 .55877 L
.62043 .55779 L
.62004 .55684 L
.61858 .55492 L
.61851 .55483 L
.61717 .55299 L
.61658 .55224 L
.61574 .55106 L
.61465 .55002 L
.61428 .54914 L
.61285 .54721 L
.61273 .54705 L
.61146 .54528 L
.6108 .54442 L
.61005 .54336 L
.60887 .54206 L
.60861 .54143 L
.60722 .5395 L
.60694 .53915 L
.60585 .53758 L
.60502 .53647 L
.60445 .53565 L
.60309 .53388 L
.60303 .53372 L
.6017 .53179 L
.60116 .53109 L
.60035 .52987 L
.59924 .52837 L
.59895 .52794 L
.59762 .52601 L
.59731 .5256 L
.59634 .52409 L
.59538 .52277 L
.59501 .52216 L
.59372 .52023 L
.59346 .51986 L
.59264 .51831 L
.59153 .51642 L
.59152 .51638 L
F
0 .98 1 r
.59346 .56887 m
.59538 .56984 L
.59602 .57033 L
.59731 .57167 L
.59797 .57226 L
.59924 .57391 L
.59947 .57419 L
.60107 .57611 L
.60116 .57625 L
.60268 .57804 L
.60309 .5788 L
.60391 .57997 L
.60502 .58142 L
.60511 .58189 L
.6069 .58382 L
.60694 .58388 L
.60835 .58575 L
.60887 .58653 L
.60951 .58768 L
.6108 .58924 L
.6111 .5896 L
.61244 .59153 L
.61273 .59197 L
.61377 .59346 L
.61465 .59492 L
.61484 .59538 L
.61588 .59731 L
.61465 .59887 L
.61273 .59797 L
.61204 .59731 L
.6108 .59605 L
.60983 .59538 L
.60887 .59354 L
.60865 .59346 L
.60723 .59153 L
.60694 .59135 L
.60579 .5896 L
.60502 .58873 L
.60393 .58768 L
.60309 .58603 L
.60287 .58575 L
.60151 .58382 L
.60116 .58336 L
.60012 .58189 L
.59924 .58104 L
.59841 .57997 L
.59731 .57804 L
.59731 .57804 L
.596 .57611 L
.59538 .57525 L
.59468 .57419 L
.59346 .57234 L
.59338 .57226 L
.59249 .57033 L
F
1 .87 0 r
.59346 .57701 m
.59448 .57804 L
.59538 .57897 L
.59623 .57997 L
.59731 .58127 L
.5978 .58189 L
.59924 .58377 L
.59929 .58382 L
.60059 .58575 L
.60116 .58659 L
.60185 .58768 L
.60116 .58943 L
.59962 .58768 L
.59924 .58725 L
.59808 .58575 L
.59731 .58481 L
.5966 .58382 L
.59538 .58222 L
.59516 .58189 L
.59388 .57997 L
.59346 .57934 L
.59276 .57804 L
F
1 .98 0 r
.59346 .6025 m
.59538 .60302 L
.59548 .60309 L
.59731 .60478 L
.59764 .60502 L
.5991 .60694 L
.59924 .60711 L
.60055 .60887 L
.60116 .60914 L
.60199 .6108 L
.60309 .61212 L
.60358 .61273 L
.60478 .61465 L
.60502 .61499 L
.60609 .61658 L
.60694 .6178 L
.60741 .61851 L
.60865 .62043 L
.60887 .62077 L
.60972 .62236 L
.60887 .62411 L
.60694 .62242 L
.60681 .62236 L
.60504 .62043 L
.60502 .62041 L
.60336 .61851 L
.60309 .61826 L
.60176 .61658 L
.60116 .61584 L
.6 .61465 L
.59924 .61331 L
.59883 .61273 L
.59731 .6108 L
.59731 .6108 L
.59591 .60887 L
.59538 .60811 L
.59442 .60694 L
.59346 .60511 L
.59341 .60502 L
.59276 .60309 L
F
1 .89 0 r
.59346 .50997 m
.59406 .5106 L
.59538 .51197 L
.59587 .51253 L
.59731 .51406 L
.59756 .51445 L
.59918 .51638 L
.59924 .51645 L
.60077 .51831 L
.60116 .51878 L
.60234 .52023 L
.60309 .521 L
.6039 .52216 L
.60502 .52358 L
.6055 .52409 L
.60692 .52601 L
.60694 .52604 L
.60843 .52794 L
.60887 .52841 L
.60994 .52987 L
.6108 .53101 L
.61146 .53179 L
.61273 .53355 L
.61281 .53372 L
.61435 .53565 L
.61465 .53598 L
.61639 .53758 L
.61658 .53859 L
.61728 .5395 L
.61851 .54118 L
.6186 .54143 L
.62017 .54336 L
.62043 .54366 L
.62199 .54528 L
.62236 .54629 L
.62302 .54721 L
.62429 .54891 L
.62435 .54914 L
.62592 .55106 L
.62621 .55141 L
.62763 .55299 L
.62814 .55407 L
.62872 .55492 L
.63007 .5567 L
.63009 .55684 L
.63161 .55877 L
.63199 .55922 L
.63326 .5607 L
.63392 .56191 L
.63438 .56263 L
.63585 .56454 L
.63586 .56455 L
.63727 .56648 L
.63778 .56709 L
.63886 .56841 L
.6397 .56981 L
.64002 .57033 L
.64148 .57226 L
.64163 .5723 L
.64288 .57419 L
.64356 .57501 L
.64442 .57611 L
.64548 .57777 L
.64563 .57804 L
.64705 .57997 L
.64741 .58014 L
.64844 .58189 L
.64934 .58303 L
.64993 .58382 L
.65121 .58575 L
.65126 .58583 L
.65256 .58768 L
.65319 .58813 L
.65458 .5896 L
.65512 .59121 L
.65535 .59153 L
.65664 .59346 L
.65704 .59402 L
.65798 .59538 L
.65897 .59648 L
.65967 .59731 L
.66064 .59924 L
.6609 .5996 L
.66192 .60116 L
.66283 .60248 L
.66322 .60309 L
.66446 .60502 L
.66475 .60546 L
.66561 .60694 L
.66668 .60869 L
.66677 .60887 L
.66668 .61016 L
.66537 .60887 L
.66475 .6083 L
.66358 .60694 L
.66283 .60614 L
.6619 .60502 L
.6609 .60387 L
.66028 .60309 L
.65897 .6016 L
.65869 .60116 L
.65715 .59924 L
.65704 .59912 L
.65564 .59731 L
.65512 .59667 L
.65413 .59538 L
.65319 .59432 L
.6521 .59346 L
.65126 .59171 L
.6511 .59153 L
.64967 .5896 L
.64934 .58953 L
.64821 .58768 L
.64741 .58677 L
.64629 .58575 L
.64548 .58412 L
.64524 .58382 L
.64383 .58189 L
.64356 .58181 L
.6424 .57997 L
.64163 .57908 L
.64059 .57804 L
.6397 .5764 L
.63948 .57611 L
.63808 .57419 L
.63778 .57406 L
.63666 .57226 L
.63585 .57131 L
.63493 .57033 L
.63392 .56861 L
.63377 .56841 L
.63238 .56648 L
.63199 .56629 L
.63096 .56455 L
.63007 .56348 L
.62931 .56263 L
.62814 .56076 L
.6281 .5607 L
.62671 .55877 L
.62621 .55846 L
.6253 .55684 L
.62429 .55559 L
.62371 .55492 L
.62246 .55299 L
.62236 .55286 L
.62108 .55106 L
.62043 .55057 L
.61967 .54914 L
.61851 .54765 L
.61815 .54721 L
.61686 .54528 L
.61658 .54492 L
.61548 .54336 L
.61465 .5426 L
.6135 .54143 L
.61273 .53964 L
.61262 .5395 L
.61129 .53758 L
.6108 .53692 L
.60991 .53565 L
.60887 .53451 L
.60816 .53372 L
.60712 .53179 L
.60694 .53157 L
.60578 .52987 L
.60502 .52885 L
.6044 .52794 L
.60309 .52622 L
.60291 .52601 L
.60168 .52409 L
.60116 .52339 L
.60035 .52216 L
.59924 .52062 L
.59898 .52023 L
.59767 .51831 L
.59731 .5178 L
.59642 .51638 L
.59538 .51491 L
.59511 .51445 L
.5939 .51253 L
.59346 .51185 L
.59286 .5106 L
F
0 .64 1 r
.59346 .51822 m
.59353 .51831 L
.59346 .51964 L
.59288 .51831 L
F
1 .86 0 r
.59346 .57747 m
.5941 .57804 L
.59538 .57927 L
.59599 .57997 L
.59731 .58153 L
.59759 .58189 L
.59904 .58382 L
.59924 .58408 L
.60036 .58575 L
.60116 .58695 L
.6016 .58768 L
.60116 .58904 L
.5999 .58768 L
.59924 .58698 L
.59828 .58575 L
.59731 .58458 L
.59677 .58382 L
.59538 .58198 L
.59532 .58189 L
.59412 .57997 L
.59346 .5789 L
.59308 .57804 L
F
0 .28 1 r
.59346 .5338 m
.59459 .53565 L
.59538 .53673 L
.59587 .53758 L
.59538 .53823 L
.59489 .53758 L
.59346 .53595 L
.59323 .53565 L
F
0 .27 1 r
.59346 .5339 m
.59451 .53565 L
.59538 .53686 L
.59577 .53758 L
.59538 .5381 L
.59498 .53758 L
.59346 .53587 L
.59329 .53565 L
F
0 .26 1 r
.59346 .534 m
.59441 .53565 L
.59538 .53701 L
.59566 .53758 L
.59538 .53795 L
.5951 .53758 L
.59346 .53578 L
.59336 .53565 L
F
0 .25 1 r
.59346 .53412 m
.59429 .53565 L
.59538 .53724 L
.59551 .53758 L
.59538 .53775 L
.59525 .53758 L
.59346 .53568 L
.59343 .53565 L
F
0 .97 1 r
.59538 .57091 m
.59707 .57226 L
.59731 .57232 L
.59895 .57419 L
.59924 .57448 L
.60062 .57611 L
.60116 .57681 L
.60237 .57804 L
.60309 .57928 L
.6036 .57997 L
.60502 .58177 L
.60503 .58189 L
.60659 .58382 L
.60694 .58426 L
.60808 .58575 L
.60887 .58696 L
.60925 .58768 L
.61073 .5896 L
.6108 .5897 L
.61205 .59153 L
.61273 .5926 L
.61334 .59346 L
.61431 .59538 L
.61465 .59641 L
.61472 .59731 L
.61465 .59741 L
.61298 .59731 L
.61273 .59717 L
.6108 .59551 L
.61057 .59538 L
.60901 .59346 L
.60887 .5933 L
.60749 .59153 L
.60694 .59115 L
.60601 .5896 L
.60502 .58846 L
.60418 .58768 L
.60309 .58577 L
.60307 .58575 L
.6017 .58382 L
.60116 .58311 L
.60031 .58189 L
.59924 .58069 L
.59869 .57997 L
.59756 .57804 L
.59731 .5777 L
.59628 .57611 L
.59538 .57478 L
.59502 .57419 L
.594 .57226 L
F
1 .98 0 r
.59924 .69159 m
.60116 .69139 L
.60309 .69138 L
.60502 .69151 L
.60677 .69173 L
.60694 .69178 L
.60887 .69215 L
.6108 .69263 L
.61273 .69317 L
.61426 .69366 L
.61465 .69379 L
.61658 .69451 L
.61851 .69533 L
.61905 .69558 L
.62043 .69627 L
.62236 .69732 L
.62268 .69751 L
.62429 .69848 L
.6258 .69944 L
.62621 .69971 L
.62814 .70103 L
.62861 .70136 L
.63007 .70245 L
.63114 .70329 L
.63199 .70399 L
.63339 .70522 L
.63392 .70571 L
.63531 .70715 L
.63585 .7077 L
.63684 .70907 L
.63778 .71092 L
.6378 .711 L
.63782 .71293 L
.63778 .71303 L
.63585 .71469 L
.63543 .71485 L
.63392 .71532 L
.63199 .71563 L
.63007 .71578 L
.62814 .71584 L
.62621 .71583 L
.62429 .71575 L
.62236 .71561 L
.62043 .7154 L
.61851 .71511 L
.61713 .71485 L
.61658 .71473 L
.61465 .71426 L
.61273 .71366 L
.6108 .71294 L
.61076 .71293 L
.60887 .71207 L
.60694 .71105 L
.60685 .711 L
.60502 .70986 L
.60387 .70907 L
.60309 .70849 L
.60144 .70715 L
.60116 .70691 L
.59938 .70522 L
.59924 .70507 L
.59765 .70329 L
.59731 .70289 L
.59621 .70136 L
.59538 .70007 L
.59509 .69944 L
.59436 .69751 L
.59416 .69558 L
.59491 .69366 L
.59538 .69308 L
.59731 .69204 L
.59846 .69173 L
F
1 .88 0 r
.59538 .5124 m
.5955 .51253 L
.59727 .51445 L
.59731 .51449 L
.59894 .51638 L
.59924 .51671 L
.60057 .51831 L
.60116 .51901 L
.60217 .52023 L
.60309 .5212 L
.60374 .52216 L
.60502 .52377 L
.60534 .52409 L
.60679 .52601 L
.60694 .5262 L
.60831 .52794 L
.60887 .52854 L
.60982 .52987 L
.6108 .53115 L
.61135 .53179 L
.61273 .53366 L
.61276 .53372 L
.61426 .53565 L
.61465 .53609 L
.61634 .53758 L
.61658 .53871 L
.6172 .5395 L
.61851 .54128 L
.61857 .54143 L
.62009 .54336 L
.62043 .54375 L
.62195 .54528 L
.62236 .54639 L
.62296 .54721 L
.62429 .54899 L
.62433 .54914 L
.62584 .55106 L
.62621 .55149 L
.62758 .55299 L
.62814 .55416 L
.62866 .55492 L
.63007 .55678 L
.63008 .55684 L
.63155 .55877 L
.63199 .5593 L
.6332 .5607 L
.63392 .562 L
.63433 .56263 L
.63579 .56455 L
.63585 .56456 L
.6372 .56648 L
.63778 .56717 L
.63879 .56841 L
.6397 .5699 L
.63996 .57033 L
.64141 .57226 L
.64163 .57233 L
.64281 .57419 L
.64356 .57511 L
.64435 .57611 L
.64548 .57788 L
.64558 .57804 L
.64698 .57997 L
.64741 .58019 L
.64836 .58189 L
.64934 .58315 L
.64984 .58382 L
.65112 .58575 L
.65126 .58595 L
.65247 .58768 L
.65319 .58826 L
.65446 .5896 L
.65512 .59137 L
.65523 .59153 L
.65653 .59346 L
.65704 .59418 L
.65786 .59538 L
.65897 .59675 L
.65943 .59731 L
.66048 .59924 L
.6609 .59984 L
.66175 .60116 L
.66283 .60276 L
.66303 .60309 L
.66418 .60502 L
.66475 .60592 L
.66527 .60694 L
.66475 .60781 L
.66396 .60694 L
.66283 .60581 L
.66216 .60502 L
.6609 .60361 L
.66048 .60309 L
.65897 .60134 L
.65886 .60116 L
.65731 .59924 L
.65704 .59893 L
.65578 .59731 L
.65512 .59651 L
.65425 .59538 L
.65319 .59417 L
.65227 .59346 L
.65126 .59158 L
.65122 .59153 L
.64977 .5896 L
.64934 .58948 L
.6483 .58768 L
.64741 .58666 L
.64639 .58575 L
.64548 .58401 L
.64532 .58382 L
.64391 .58189 L
.64356 .58177 L
.64247 .57997 L
.64163 .57899 L
.64066 .57804 L
.6397 .57632 L
.63954 .57611 L
.63814 .57419 L
.63778 .57403 L
.63672 .57226 L
.63585 .57124 L
.635 .57033 L
.63392 .56853 L
.63383 .56841 L
.63243 .56648 L
.63199 .56625 L
.63101 .56455 L
.63007 .56341 L
.62937 .56263 L
.62815 .5607 L
.62814 .56069 L
.62676 .55877 L
.62621 .55841 L
.62535 .55684 L
.62429 .55552 L
.62377 .55492 L
.62251 .55299 L
.62236 .55279 L
.62113 .55106 L
.62043 .55051 L
.61972 .54914 L
.61851 .54757 L
.61821 .54721 L
.61691 .54528 L
.61658 .54484 L
.61553 .54336 L
.61465 .54251 L
.61358 .54143 L
.61273 .53954 L
.61269 .5395 L
.61135 .53758 L
.6108 .53684 L
.60998 .53565 L
.60887 .53438 L
.60827 .53372 L
.60719 .53179 L
.60694 .53146 L
.60586 .52987 L
.60502 .52873 L
.60448 .52794 L
.60309 .52604 L
.60307 .52601 L
.60179 .52409 L
.60116 .52324 L
.60046 .52216 L
.59924 .52046 L
.59909 .52023 L
.59783 .51831 L
.59731 .51757 L
.59659 .51638 L
.59538 .51461 L
.59529 .51445 L
.59428 .51253 L
F
1 .97 0 r
.59538 .60405 m
.59675 .60502 L
.59731 .60553 L
.59856 .60694 L
.59924 .60772 L
.60011 .60887 L
.60116 .60974 L
.60159 .6108 L
.603 .61273 L
.60309 .61285 L
.60428 .61465 L
.60502 .61571 L
.60556 .61658 L
.60673 .61851 L
.60694 .61888 L
.60747 .62043 L
.60694 .62083 L
.6064 .62043 L
.60502 .61928 L
.60427 .61851 L
.60309 .61744 L
.60249 .61658 L
.60116 .61503 L
.60071 .61465 L
.59934 .61273 L
.59924 .6126 L
.59788 .6108 L
.59731 .61002 L
.59649 .60887 L
.59538 .60717 L
.59517 .60694 L
.59431 .60502 L
F
1 .85 0 r
.59538 .57962 m
.59569 .57997 L
.59731 .58183 L
.59736 .58189 L
.59878 .58382 L
.59924 .58443 L
.6001 .58575 L
.60116 .58747 L
.60127 .58768 L
.60116 .58844 L
.60031 .58768 L
.59924 .58666 L
.59852 .58575 L
.59731 .58431 L
.59697 .58382 L
.59556 .58189 L
.59538 .58165 L
.59445 .57997 L
F
1 .34 0 r
.59538 .52852 m
.59633 .52987 L
.59731 .53107 L
.59782 .53179 L
.59924 .53363 L
.5993 .53372 L
.60063 .53565 L
.60116 .5363 L
.60201 .53758 L
.60309 .53897 L
.60344 .5395 L
.60309 .54076 L
.60221 .5395 L
.60116 .53826 L
.60069 .53758 L
.59924 .53575 L
.59917 .53565 L
.59781 .53372 L
.59731 .53312 L
.59642 .53179 L
.59538 .53049 L
.59497 .52987 L
F
1 .33 0 r
.59538 .52863 m
.59625 .52987 L
.59731 .53116 L
.59775 .53179 L
.59924 .53372 L
.59924 .53372 L
.60054 .53565 L
.60116 .53641 L
.60193 .53758 L
.60309 .53908 L
.60337 .5395 L
.60309 .54064 L
.60231 .5395 L
.60116 .53816 L
.60076 .53758 L
.59924 .53566 L
.59923 .53565 L
.5979 .53372 L
.59731 .53302 L
.5965 .53179 L
.59538 .5304 L
.59504 .52987 L
F
1 .91 0 r
.59731 .7433 m
.59908 .74376 L
.59924 .7438 L
.60116 .74456 L
.60309 .74552 L
.60343 .74568 L
.60502 .74656 L
.6068 .74761 L
.60694 .7477 L
.60887 .7489 L
.60987 .74954 L
.6108 .75016 L
.61273 .75145 L
.61274 .75146 L
.61465 .75279 L
.61551 .75339 L
.61658 .75416 L
.61819 .75532 L
.61851 .75555 L
.62043 .75697 L
.6208 .75725 L
.62236 .75842 L
.62335 .75917 L
.62429 .75989 L
.62586 .7611 L
.62621 .76138 L
.62814 .76288 L
.62832 .76303 L
.63007 .76441 L
.63076 .76495 L
.63199 .76595 L
.63316 .76688 L
.63392 .7675 L
.63553 .76881 L
.63585 .76907 L
.63778 .77065 L
.63787 .77073 L
.6397 .77225 L
.64019 .77266 L
.64163 .77387 L
.64249 .77459 L
.64356 .77549 L
.64477 .77651 L
.64548 .77713 L
.64702 .77844 L
.64741 .77878 L
.64926 .78037 L
.64934 .78044 L
.65126 .78211 L
.65148 .7823 L
.65319 .7838 L
.65368 .78422 L
.65512 .78549 L
.65586 .78615 L
.65704 .7872 L
.65803 .78808 L
.65897 .78892 L
.66018 .79 L
.6609 .79065 L
.66232 .79193 L
.66283 .79239 L
.66445 .79386 L
.66475 .79413 L
.66656 .79578 L
.66668 .79589 L
.66861 .79766 L
.66867 .79771 L
.67053 .79943 L
.67076 .79964 L
.67246 .80121 L
.67284 .80156 L
.67439 .803 L
.67492 .80349 L
.67631 .8048 L
.67698 .80542 L
.67824 .8066 L
.67904 .80735 L
.68017 .80841 L
.68108 .80927 L
.68209 .81023 L
.68312 .8112 L
.68402 .81205 L
.68515 .81313 L
.68595 .81388 L
.68717 .81505 L
.68788 .81572 L
.68919 .81698 L
.6898 .81757 L
.69119 .81891 L
.69173 .81943 L
.69318 .82083 L
.69366 .82129 L
.69516 .82276 L
.69558 .82317 L
.69713 .82469 L
.69751 .82506 L
.69909 .82661 L
.69944 .82696 L
.70103 .82854 L
.70136 .82887 L
.70297 .83047 L
.70329 .83079 L
.70488 .8324 L
.70522 .83273 L
.70679 .83432 L
.70715 .83469 L
.70868 .83625 L
.70907 .83665 L
.71055 .83818 L
.711 .83864 L
.71241 .8401 L
.71293 .84064 L
.71426 .84203 L
.71485 .84265 L
.7161 .84396 L
.71678 .84468 L
.71792 .84588 L
.71871 .84672 L
.71973 .84781 L
.72063 .84878 L
.72153 .84974 L
.72256 .85085 L
.72331 .85166 L
.72449 .85294 L
.72508 .85359 L
.72641 .85505 L
.72684 .85552 L
.72834 .85717 L
.72859 .85745 L
.73027 .85931 L
.73032 .85937 L
.73204 .8613 L
.7322 .86148 L
.73374 .86323 L
.73412 .86366 L
.73542 .86515 L
.73605 .86587 L
.73709 .86708 L
.73798 .86812 L
.73873 .86901 L
.7399 .87039 L
.74036 .87093 L
.74183 .87271 L
.74196 .87286 L
.74353 .87479 L
.74376 .87507 L
.74507 .87671 L
.74568 .87748 L
.74659 .87864 L
.74761 .87997 L
.74806 .88057 L
.74949 .8825 L
.74954 .88256 L
.75087 .88442 L
.75146 .88526 L
.75219 .88635 L
.75339 .88821 L
.75343 .88828 L
.75458 .8902 L
.75532 .89147 L
.75559 .89213 L
.75642 .89406 L
.75698 .89598 L
.75532 .8977 L
.75339 .89753 L
.75146 .89683 L
.74963 .89598 L
.74954 .89594 L
.74761 .89494 L
.74604 .89406 L
.74568 .89383 L
.74376 .89266 L
.74291 .89213 L
.74183 .89143 L
.73999 .8902 L
.7399 .89015 L
.73798 .88883 L
.73718 .88828 L
.73605 .88747 L
.73448 .88635 L
.73412 .88609 L
.7322 .88468 L
.73185 .88442 L
.73027 .88324 L
.72928 .8825 L
.72834 .88178 L
.72676 .88057 L
.72641 .8803 L
.72449 .8788 L
.72428 .87864 L
.72256 .87728 L
.72184 .87671 L
.72063 .87575 L
.71944 .87479 L
.71871 .8742 L
.71706 .87286 L
.71678 .87263 L
.71485 .87105 L
.71471 .87093 L
.71293 .86946 L
.71238 .86901 L
.711 .86785 L
.71008 .86708 L
.70907 .86623 L
.70779 .86515 L
.70715 .8646 L
.70553 .86323 L
.70522 .86296 L
.70329 .86131 L
.70328 .8613 L
.70136 .85964 L
.70106 .85937 L
.69944 .85796 L
.69884 .85745 L
.69751 .85628 L
.69665 .85552 L
.69558 .85458 L
.69447 .85359 L
.69366 .85287 L
.6923 .85166 L
.69173 .85116 L
.69014 .84974 L
.6898 .84943 L
.688 .84781 L
.68788 .8477 L
.68595 .84595 L
.68588 .84588 L
.68402 .84419 L
.68376 .84396 L
.68209 .84243 L
.68166 .84203 L
.68017 .84066 L
.67957 .8401 L
.67824 .83887 L
.67749 .83818 L
.67631 .83708 L
.67542 .83625 L
.67439 .83528 L
.67337 .83432 L
.67246 .83347 L
.67132 .8324 L
.67053 .83165 L
.66929 .83047 L
.66861 .82982 L
.66726 .82854 L
.66668 .82798 L
.66525 .82661 L
.66475 .82614 L
.66325 .82469 L
.66283 .82428 L
.66126 .82276 L
.6609 .82242 L
.65927 .82083 L
.65897 .82054 L
.6573 .81891 L
.65704 .81865 L
.65534 .81698 L
.65512 .81676 L
.65339 .81505 L
.65319 .81485 L
.65146 .81313 L
.65126 .81294 L
.64953 .8112 L
.64934 .81101 L
.64761 .80927 L
.64741 .80907 L
.6457 .80735 L
.64548 .80712 L
.64381 .80542 L
.64356 .80516 L
.64193 .80349 L
.64163 .80319 L
.64005 .80156 L
.6397 .8012 L
.63819 .79964 L
.63778 .79921 L
.63634 .79771 L
.63585 .79719 L
.63451 .79578 L
.63392 .79517 L
.63268 .79386 L
.63199 .79313 L
.63087 .79193 L
.63007 .79107 L
.62907 .79 L
.62814 .789 L
.62729 .78808 L
.62621 .78691 L
.62551 .78615 L
.62429 .7848 L
.62376 .78422 L
.62236 .78268 L
.62202 .7823 L
.62043 .78053 L
.62029 .78037 L
.61858 .77844 L
.61851 .77835 L
.61689 .77651 L
.61658 .77615 L
.61522 .77459 L
.61465 .77393 L
.61357 .77266 L
.61273 .77166 L
.61194 .77073 L
.6108 .76936 L
.61034 .76881 L
.60887 .76702 L
.60876 .76688 L
.60721 .76495 L
.60694 .76462 L
.60569 .76303 L
.60502 .76217 L
.60421 .7611 L
.60309 .75962 L
.60276 .75917 L
.60137 .75725 L
.60116 .75697 L
.60003 .75532 L
.59924 .75416 L
.59876 .75339 L
.59757 .75146 L
.59731 .75114 L
.59651 .74954 L
.59561 .74761 L
.59538 .74692 L
.59504 .74568 L
.59538 .74382 L
.59544 .74376 L
F
0 .96 1 r
.59538 .5721 m
.59583 .57226 L
.59731 .57268 L
.59833 .57419 L
.59924 .57503 L
.60015 .57611 L
.60116 .57731 L
.60199 .57804 L
.60309 .5797 L
.6033 .57997 L
.60482 .58189 L
.60502 .58201 L
.60628 .58382 L
.60694 .58464 L
.6078 .58575 L
.60887 .5874 L
.60902 .58768 L
.61039 .5896 L
.6108 .59022 L
.61166 .59153 L
.61273 .59335 L
.6128 .59346 L
.61357 .59538 L
.61273 .59629 L
.61132 .59538 L
.6108 .59496 L
.60939 .59346 L
.60887 .5929 L
.60777 .59153 L
.60694 .59089 L
.60623 .5896 L
.60502 .58816 L
.60449 .58768 L
.60329 .58575 L
.60309 .5855 L
.6019 .58382 L
.60116 .58284 L
.60051 .58189 L
.59924 .58027 L
.59902 .57997 L
.59782 .57804 L
.59731 .57729 L
.59659 .57611 L
.59543 .57419 L
.59538 .57411 L
.59507 .57226 L
F
0 .64 1 r
.59538 .52037 m
.59684 .52216 L
.59731 .52268 L
.59842 .52409 L
.59924 .52505 L
.59999 .52601 L
.60116 .52747 L
.60153 .52794 L
.60304 .52987 L
.60309 .52993 L
.60451 .53179 L
.60502 .53243 L
.60599 .53372 L
.60694 .53435 L
.60748 .53565 L
.60887 .53746 L
.609 .53758 L
.61037 .5395 L
.6108 .54005 L
.61182 .54143 L
.61273 .5421 L
.61327 .54336 L
.61465 .54519 L
.61474 .54528 L
.61611 .54721 L
.61658 .54783 L
.61753 .54914 L
.61851 .55003 L
.61895 .55106 L
.62036 .55299 L
.62043 .55309 L
.62173 .55492 L
.62236 .55577 L
.62312 .55684 L
.62429 .55819 L
.62452 .55877 L
.62587 .5607 L
.62621 .56116 L
.62722 .56263 L
.62814 .5639 L
.62859 .56455 L
.62993 .56648 L
.63007 .56667 L
.63119 .56841 L
.63199 .56953 L
.6325 .57033 L
.63199 .57204 L
.63064 .57033 L
.63007 .56969 L
.62909 .56841 L
.62814 .56729 L
.62753 .56648 L
.62621 .56514 L
.62599 .56455 L
.62451 .56263 L
.62429 .56236 L
.62305 .5607 L
.62236 .55984 L
.62158 .55877 L
.62043 .55768 L
.62009 .55684 L
.61863 .55492 L
.61851 .55476 L
.61722 .55299 L
.61658 .55217 L
.61578 .55106 L
.61465 .54993 L
.61433 .54914 L
.6129 .54721 L
.61273 .54699 L
.61151 .54528 L
.6108 .54436 L
.61009 .54336 L
.60887 .54196 L
.60865 .54143 L
.60727 .5395 L
.60694 .53908 L
.6059 .53758 L
.60502 .53641 L
.6045 .53565 L
.60309 .53377 L
.60307 .53372 L
.60176 .53179 L
.60116 .53101 L
.6004 .52987 L
.59924 .52828 L
.59901 .52794 L
.5977 .52601 L
.59731 .52549 L
.59642 .52409 L
.59538 .52264 L
.59509 .52216 L
F
1 .32 0 r
.59538 .52875 m
.59615 .52987 L
.59731 .53127 L
.59767 .53179 L
.59731 .53291 L
.59659 .53179 L
.59538 .53029 L
.59511 .52987 L
F
0 .63 1 r
.59538 .52055 m
.59671 .52216 L
.59731 .52281 L
.59832 .52409 L
.59924 .52516 L
.59991 .52601 L
.60116 .52757 L
.60146 .52794 L
.60296 .52987 L
.60309 .53002 L
.60444 .53179 L
.60502 .53251 L
.60593 .53372 L
.60694 .53446 L
.60742 .53565 L
.60887 .53755 L
.6089 .53758 L
.61032 .5395 L
.6108 .54012 L
.61176 .54143 L
.61273 .54219 L
.61322 .54336 L
.61465 .54528 L
.61466 .54528 L
.61605 .54721 L
.61658 .5479 L
.61747 .54914 L
.61851 .55013 L
.6189 .55106 L
.6203 .55299 L
.62043 .55317 L
.62167 .55492 L
.62236 .55584 L
.62307 .55684 L
.62429 .55833 L
.62447 .55877 L
.6258 .5607 L
.62621 .56125 L
.62715 .56263 L
.62814 .56399 L
.62852 .56455 L
.62984 .56648 L
.63007 .56679 L
.6311 .56841 L
.63199 .56968 L
.6324 .57033 L
.63199 .57188 L
.63076 .57033 L
.63007 .56957 L
.62918 .56841 L
.62814 .56719 L
.62761 .56648 L
.62621 .56498 L
.62605 .56455 L
.62458 .56263 L
.62429 .56228 L
.62312 .5607 L
.62236 .55976 L
.62163 .55877 L
.62043 .55757 L
.62014 .55684 L
.61869 .55492 L
.61851 .55469 L
.61728 .55299 L
.61658 .55211 L
.61583 .55106 L
.61465 .54983 L
.61437 .54914 L
.61295 .54721 L
.61273 .54693 L
.61156 .54528 L
.6108 .54429 L
.61014 .54336 L
.60887 .54186 L
.6087 .54143 L
.60732 .5395 L
.60694 .53901 L
.60595 .53758 L
.60502 .53634 L
.60455 .53565 L
.60313 .53372 L
.60309 .53367 L
.60182 .53179 L
.60116 .53093 L
.60046 .52987 L
.59924 .5282 L
.59907 .52794 L
.59778 .52601 L
.59731 .52538 L
.59651 .52409 L
.59538 .5225 L
.59518 .52216 L
F
1 .31 0 r
.59538 .52889 m
.59604 .52987 L
.59731 .53139 L
.59759 .53179 L
.59731 .53278 L
.59669 .53179 L
.59538 .53017 L
.59519 .52987 L
F
0 .62 1 r
.59538 .52076 m
.59656 .52216 L
.59731 .52296 L
.59821 .52409 L
.59924 .52528 L
.59982 .52601 L
.60116 .52767 L
.60138 .52794 L
.60288 .52987 L
.60309 .53012 L
.60437 .53179 L
.60502 .5326 L
.60587 .53372 L
.60694 .53459 L
.60736 .53565 L
.60882 .53758 L
.60887 .53763 L
.61026 .5395 L
.6108 .5402 L
.61171 .54143 L
.61273 .5423 L
.61316 .54336 L
.6146 .54528 L
.61465 .54535 L
.616 .54721 L
.61658 .54797 L
.61742 .54914 L
.61851 .55024 L
.61885 .55106 L
.62024 .55299 L
.62043 .55325 L
.62161 .55492 L
.62236 .55592 L
.62301 .55684 L
.62429 .55847 L
.62441 .55877 L
.62573 .5607 L
.62621 .56134 L
.62708 .56263 L
.62814 .5641 L
.62845 .56455 L
.62975 .56648 L
.63007 .56692 L
.631 .56841 L
.63199 .56984 L
.63229 .57033 L
.63199 .5717 L
.6309 .57033 L
.63007 .56944 L
.62927 .56841 L
.62814 .56709 L
.62768 .56648 L
.62621 .5648 L
.62612 .56455 L
.62465 .56263 L
.62429 .56219 L
.62318 .5607 L
.62236 .55969 L
.62169 .55877 L
.62043 .55745 L
.62019 .55684 L
.61875 .55492 L
.61851 .55462 L
.61733 .55299 L
.61658 .55204 L
.61588 .55106 L
.61465 .54972 L
.61442 .54914 L
.613 .54721 L
.61273 .54686 L
.61161 .54528 L
.6108 .54423 L
.61019 .54336 L
.60887 .54175 L
.60874 .54143 L
.60738 .5395 L
.60694 .53894 L
.60601 .53758 L
.60502 .53627 L
.60459 .53565 L
.60319 .53372 L
.60309 .53359 L
.60188 .53179 L
.60116 .53084 L
.60053 .52987 L
.59924 .52811 L
.59913 .52794 L
.59787 .52601 L
.59731 .52525 L
.59661 .52409 L
.59538 .52235 L
.59528 .52216 L
F
1 .3 0 r
.59538 .52907 m
.5959 .52987 L
.59731 .53153 L
.59749 .53179 L
.59731 .53262 L
.59682 .53179 L
.59538 .53003 L
.59528 .52987 L
F
0 .97 1 r
.59731 .50674 m
.59731 .50674 L
.59916 .50867 L
.59924 .50875 L
.60089 .5106 L
.60116 .5109 L
.60257 .51253 L
.60309 .51286 L
.60421 .51445 L
.60502 .51544 L
.60622 .51638 L
.60694 .51787 L
.6073 .51831 L
.60887 .52021 L
.60887 .52023 L
.61045 .52216 L
.6108 .52263 L
.61215 .52409 L
.61273 .52516 L
.61331 .52601 L
.61465 .52769 L
.61498 .52794 L
.61645 .52987 L
.61658 .53005 L
.618 .53179 L
.61851 .53264 L
.61918 .53372 L
.62043 .53528 L
.62089 .53565 L
.62232 .53758 L
.62236 .53764 L
.62379 .5395 L
.62429 .54027 L
.62496 .54143 L
.62621 .54295 L
.6267 .54336 L
.62811 .54528 L
.62814 .54533 L
.62953 .54721 L
.63007 .54799 L
.63067 .54914 L
.63199 .5507 L
.63244 .55106 L
.63391 .55299 L
.63392 .5531 L
.63523 .55492 L
.63585 .55578 L
.63634 .55684 L
.63778 .55849 L
.63815 .55877 L
.63963 .5607 L
.6397 .56092 L
.6409 .56263 L
.64163 .56362 L
.64198 .56455 L
.64356 .56629 L
.64382 .56648 L
.64532 .56841 L
.64548 .56877 L
.64654 .57033 L
.64741 .57148 L
.6476 .57226 L
.64934 .5741 L
.64947 .57419 L
.65098 .57611 L
.65126 .57665 L
.65216 .57804 L
.65319 .57935 L
.65323 .57997 L
.65511 .58189 L
.65512 .58191 L
.65662 .58382 L
.65704 .58455 L
.65778 .58575 L
.65897 .58724 L
.65935 .58768 L
.66073 .5896 L
.6609 .58979 L
.66223 .59153 L
.66283 .59247 L
.66338 .59346 L
.66475 .59515 L
.66495 .59538 L
.66634 .59731 L
.66668 .59771 L
.66782 .59924 L
.66861 .60042 L
.66898 .60116 L
.67053 .60309 L
.67053 .60309 L
.67241 .60502 L
.67246 .60566 L
.67338 .60694 L
.67439 .60842 L
.67459 .60887 L
.67608 .6108 L
.67631 .6109 L
.67795 .61273 L
.67824 .6137 L
.6789 .61465 L
.68017 .6165 L
.6802 .61658 L
.68157 .61851 L
.68209 .61886 L
.68337 .62043 L
.68402 .62188 L
.68433 .62236 L
.68564 .62429 L
.68595 .62473 L
.68696 .62621 L
.68788 .62719 L
.68857 .62814 L
.68961 .63007 L
.6898 .63035 L
.69087 .63199 L
.69173 .63327 L
.69215 .63392 L
.69336 .63585 L
.69366 .63631 L
.69447 .63778 L
.69366 .63931 L
.69224 .63778 L
.69173 .63727 L
.69051 .63585 L
.6898 .63507 L
.68886 .63392 L
.68788 .63289 L
.68724 .63199 L
.68595 .63042 L
.68557 .63007 L
.68413 .62814 L
.68402 .62801 L
.68262 .62621 L
.68209 .62565 L
.68111 .62429 L
.68017 .62309 L
.6795 .62236 L
.67824 .62056 L
.67815 .62043 L
.67666 .61851 L
.67631 .61812 L
.67456 .61658 L
.67439 .61552 L
.67365 .61465 L
.67246 .61293 L
.67234 .61273 L
.67084 .6108 L
.67053 .61045 L
.66892 .60887 L
.66861 .60782 L
.6679 .60694 L
.66668 .60521 L
.66659 .60502 L
.66509 .60309 L
.66475 .60271 L
.66327 .60116 L
.66283 .60005 L
.6622 .59924 L
.6609 .59743 L
.66086 .59731 L
.65939 .59538 L
.65897 .59491 L
.65763 .59346 L
.65704 .59223 L
.65653 .59153 L
.65512 .58961 L
.65512 .5896 L
.65371 .58768 L
.65319 .58708 L
.65201 .58575 L
.65126 .58438 L
.65087 .58382 L
.64945 .58189 L
.64934 .58184 L
.64805 .57997 L
.64741 .57922 L
.6464 .57804 L
.64548 .57651 L
.64522 .57611 L
.6438 .57419 L
.64356 .57404 L
.6424 .57226 L
.64163 .57134 L
.64079 .57033 L
.6397 .56862 L
.63957 .56841 L
.63817 .56648 L
.63778 .56622 L
.63677 .56455 L
.63585 .56343 L
.6352 .56263 L
.63392 .5607 L
.63392 .5607 L
.63254 .55877 L
.63199 .55834 L
.63053 .55684 L
.63007 .5555 L
.62961 .55492 L
.62831 .55299 L
.62814 .55277 L
.62693 .55106 L
.62621 .55042 L
.62504 .54914 L
.62429 .54754 L
.62404 .54721 L
.62271 .54528 L
.62236 .54482 L
.62133 .54336 L
.62043 .54244 L
.61956 .54143 L
.61851 .53953 L
.61849 .5395 L
.61713 .53758 L
.61658 .53684 L
.61575 .53565 L
.61465 .53437 L
.61412 .53372 L
.61294 .53179 L
.61273 .53151 L
.61159 .52987 L
.6108 .52881 L
.61021 .52794 L
.60887 .52619 L
.60873 .52601 L
.60745 .52409 L
.60694 .5234 L
.60611 .52216 L
.60502 .52068 L
.60472 .52023 L
.60337 .51831 L
.60309 .51793 L
.60208 .51638 L
.60116 .51512 L
.60074 .51445 L
.59941 .51253 L
.59924 .51228 L
.59821 .5106 L
.59731 .50927 L
.59698 .50867 L
.59589 .50674 L
F
1 .96 0 r
.59731 .60642 m
.59784 .60694 L
.59924 .60843 L
.59958 .60887 L
.6011 .6108 L
.60116 .61088 L
.6024 .61273 L
.60309 .61372 L
.60364 .61465 L
.60309 .61616 L
.60168 .61465 L
.60116 .6141 L
.60004 .61273 L
.59924 .61174 L
.59853 .6108 L
.59731 .60909 L
.59716 .60887 L
.59613 .60694 L
F
0 .95 1 r
.59731 .57391 m
.59749 .57419 L
.59924 .57565 L
.59963 .57611 L
.60116 .57781 L
.60147 .57804 L
.60296 .57997 L
.60309 .58012 L
.60449 .58189 L
.60502 .58224 L
.60597 .58382 L
.60694 .58507 L
.60748 .58575 L
.60873 .58768 L
.60887 .58787 L
.61004 .5896 L
.6108 .59082 L
.61124 .59153 L
.6122 .59346 L
.6108 .59434 L
.60987 .59346 L
.60887 .59248 L
.60808 .59153 L
.60694 .59053 L
.60647 .5896 L
.60502 .58782 L
.60486 .58768 L
.60351 .58575 L
.60309 .5852 L
.60212 .58382 L
.60116 .58255 L
.60072 .58189 L
.59935 .57997 L
.59924 .57981 L
.59813 .57804 L
.59731 .57677 L
.59695 .57611 L
.59623 .57419 L
F
0 .61 1 r
.59731 .52311 m
.5981 .52409 L
.59924 .5254 L
.59972 .52601 L
.60116 .52777 L
.6013 .52794 L
.6028 .52987 L
.60309 .53022 L
.60429 .53179 L
.60502 .53269 L
.6058 .53372 L
.60694 .53472 L
.6073 .53565 L
.60876 .53758 L
.60887 .53771 L
.61019 .5395 L
.6108 .54027 L
.61165 .54143 L
.61273 .54241 L
.61311 .54336 L
.61454 .54528 L
.61465 .54543 L
.61594 .54721 L
.61658 .54805 L
.61736 .54914 L
.61851 .55036 L
.61879 .55106 L
.62018 .55299 L
.62043 .55333 L
.62155 .55492 L
.62236 .55601 L
.62295 .55684 L
.62429 .55862 L
.62435 .55877 L
.62566 .5607 L
.62621 .56144 L
.62701 .56263 L
.62814 .5642 L
.62838 .56455 L
.62964 .56648 L
.63007 .56706 L
.63089 .56841 L
.63199 .57003 L
.63217 .57033 L
.63199 .57148 L
.63106 .57033 L
.63007 .5693 L
.62938 .56841 L
.62814 .56698 L
.62777 .56648 L
.62621 .56462 L
.62619 .56455 L
.62473 .56263 L
.62429 .5621 L
.62325 .5607 L
.62236 .55961 L
.62175 .55877 L
.62043 .55732 L
.62025 .55684 L
.61881 .55492 L
.61851 .55455 L
.61738 .55299 L
.61658 .55197 L
.61593 .55106 L
.61465 .54961 L
.61446 .54914 L
.61306 .54721 L
.61273 .54679 L
.61166 .54528 L
.6108 .54416 L
.61023 .54336 L
.60887 .54164 L
.60879 .54143 L
.60743 .5395 L
.60694 .53887 L
.60606 .53758 L
.60502 .53619 L
.60465 .53565 L
.60325 .53372 L
.60309 .53351 L
.60195 .53179 L
.60116 .53075 L
.60059 .52987 L
.59924 .52801 L
.59919 .52794 L
.59797 .52601 L
.59731 .52511 L
.59671 .52409 L
F
1 .87 0 r
.59731 .51485 m
.59867 .51638 L
.59924 .51699 L
.60035 .51831 L
.60116 .51924 L
.60198 .52023 L
.60309 .52143 L
.60358 .52216 L
.60502 .52396 L
.60515 .52409 L
.60665 .52601 L
.60694 .52637 L
.60819 .52794 L
.60887 .52868 L
.60971 .52987 L
.6108 .53129 L
.61124 .53179 L
.61267 .53372 L
.61273 .53379 L
.61416 .53565 L
.61465 .53619 L
.61628 .53758 L
.61658 .53882 L
.61712 .5395 L
.61851 .54138 L
.61853 .54143 L
.62001 .54336 L
.62043 .54384 L
.62189 .54528 L
.62236 .54649 L
.62289 .54721 L
.62429 .54908 L
.6243 .54914 L
.62577 .55106 L
.62621 .55157 L
.62752 .55299 L
.62814 .55425 L
.6286 .55492 L
.63006 .55684 L
.63007 .55686 L
.63148 .55877 L
.63199 .55938 L
.63314 .5607 L
.63392 .56209 L
.63427 .56263 L
.63572 .56455 L
.63585 .56457 L
.63713 .56648 L
.63778 .56725 L
.63873 .56841 L
.6397 .56999 L
.63991 .57033 L
.64134 .57226 L
.64163 .57236 L
.64274 .57419 L
.64356 .57521 L
.64427 .57611 L
.64548 .57798 L
.64552 .57804 L
.6469 .57997 L
.64741 .58026 L
.64828 .58189 L
.64934 .58328 L
.64975 .58382 L
.65102 .58575 L
.65126 .58608 L
.65238 .58768 L
.65319 .5884 L
.65432 .5896 L
.6551 .59153 L
.65512 .59155 L
.65641 .59346 L
.65704 .59436 L
.65774 .59538 L
.65897 .59707 L
.65917 .59731 L
.66031 .59924 L
.6609 .6001 L
.66156 .60116 L
.66282 .60309 L
.66283 .6031 L
.66382 .60502 L
.66283 .60543 L
.66247 .60502 L
.6609 .60333 L
.6607 .60309 L
.65905 .60116 L
.65897 .60108 L
.65749 .59924 L
.65704 .59873 L
.65593 .59731 L
.65512 .59634 L
.65438 .59538 L
.65319 .594 L
.65247 .59346 L
.65134 .59153 L
.65126 .59144 L
.64987 .5896 L
.64934 .58942 L
.64838 .58768 L
.64741 .58654 L
.64651 .58575 L
.64548 .58391 L
.64541 .58382 L
.64399 .58189 L
.64356 .58173 L
.64254 .57997 L
.64163 .5789 L
.64075 .57804 L
.6397 .57623 L
.63961 .57611 L
.6382 .57419 L
.63778 .57399 L
.63677 .57226 L
.63585 .57116 L
.63506 .57033 L
.63392 .56846 L
.63388 .56841 L
.63249 .56648 L
.63199 .5662 L
.63107 .56455 L
.63007 .56333 L
.62943 .56263 L
.6282 .5607 L
.62814 .56062 L
.62682 .55877 L
.62621 .55836 L
.6254 .55684 L
.62429 .55544 L
.62384 .55492 L
.62257 .55299 L
.62236 .55272 L
.62118 .55106 L
.62043 .55044 L
.61977 .54914 L
.61851 .54748 L
.61828 .54721 L
.61697 .54528 L
.61658 .54477 L
.61559 .54336 L
.61465 .54242 L
.61368 .54143 L
.61276 .5395 L
.61273 .53945 L
.61142 .53758 L
.6108 .53675 L
.61004 .53565 L
.60887 .53425 L
.60839 .53372 L
.60727 .53179 L
.60694 .53135 L
.60594 .52987 L
.60502 .52862 L
.60456 .52794 L
.60318 .52601 L
.60309 .52589 L
.6019 .52409 L
.60116 .52308 L
.60057 .52216 L
.59924 .52027 L
.59921 .52023 L
.59801 .51831 L
.59731 .5173 L
.59679 .51638 L
F
0 .6 1 r
.59731 .52329 m
.59796 .52409 L
.59924 .52553 L
.59962 .52601 L
.60116 .52788 L
.60121 .52794 L
.60271 .52987 L
.60309 .53032 L
.60422 .53179 L
.60502 .53278 L
.60573 .53372 L
.60694 .53488 L
.60723 .53565 L
.60869 .53758 L
.60887 .5378 L
.61013 .5395 L
.6108 .54035 L
.61159 .54143 L
.61273 .54253 L
.61305 .54336 L
.61447 .54528 L
.61465 .54551 L
.61588 .54721 L
.61658 .54813 L
.61731 .54914 L
.61851 .55049 L
.61873 .55106 L
.62011 .55299 L
.62043 .55341 L
.62149 .55492 L
.62236 .55609 L
.62289 .55684 L
.62428 .55877 L
.62429 .55878 L
.62559 .5607 L
.62621 .56155 L
.62693 .56263 L
.62814 .56432 L
.6283 .56455 L
.62953 .56648 L
.63007 .56723 L
.63076 .56841 L
.63199 .57027 L
.63203 .57033 L
.63199 .57117 L
.63129 .57033 L
.63007 .56914 L
.6295 .56841 L
.62814 .56686 L
.62785 .56648 L
.62628 .56455 L
.62621 .56448 L
.62481 .56263 L
.62429 .56201 L
.62332 .5607 L
.62236 .55952 L
.62181 .55877 L
.62043 .55719 L
.6203 .55684 L
.61887 .55492 L
.61851 .55447 L
.61744 .55299 L
.61658 .5519 L
.61598 .55106 L
.61465 .5495 L
.61451 .54914 L
.61311 .54721 L
.61273 .54672 L
.61172 .54528 L
.6108 .54409 L
.61028 .54336 L
.60887 .54152 L
.60884 .54143 L
.60749 .5395 L
.60694 .53879 L
.60611 .53758 L
.60502 .53612 L
.6047 .53565 L
.60332 .53372 L
.60309 .53342 L
.60202 .53179 L
.60116 .53065 L
.60066 .52987 L
.59927 .52794 L
.59924 .5279 L
.59808 .52601 L
.59731 .52495 L
.59683 .52409 L
F
0 .99 1 r
.59731 .60113 m
.59924 .60103 L
.60018 .60116 L
.60116 .6015 L
.60278 .60309 L
.60309 .60344 L
.60472 .60502 L
.60502 .60641 L
.6058 .60694 L
.60694 .60874 L
.60706 .60887 L
.60858 .6108 L
.60887 .61105 L
.61036 .61273 L
.6108 .61373 L
.61144 .61465 L
.61273 .61645 L
.61276 .61658 L
.61419 .61851 L
.61465 .61914 L
.61591 .62043 L
.61658 .62159 L
.61699 .62236 L
.61833 .62429 L
.61851 .62454 L
.61964 .62621 L
.62043 .6274 L
.62116 .62814 L
.62201 .63007 L
.62043 .63181 L
.61851 .63066 L
.61765 .63007 L
.61658 .62883 L
.61609 .62814 L
.61465 .62661 L
.61433 .62621 L
.6128 .62429 L
.61273 .62416 L
.61125 .62236 L
.6108 .62149 L
.61004 .62043 L
.60887 .61916 L
.60838 .61851 L
.60697 .61658 L
.60694 .61655 L
.60551 .61465 L
.60502 .61387 L
.60435 .61273 L
.60309 .61118 L
.60269 .6108 L
.6013 .60887 L
.60116 .60884 L
.5999 .60694 L
.59924 .60599 L
.59879 .60502 L
.59731 .60316 L
.59726 .60309 L
.59694 .60116 L
F
0 .59 1 r
.59731 .5235 m
.5978 .52409 L
.59924 .52567 L
.59951 .52601 L
.59924 .52776 L
.59821 .52601 L
.59731 .52474 L
.59698 .52409 L
F
1 .29 0 r
.59731 .53169 m
.59737 .53179 L
.59731 .53241 L
.597 .53179 L
F
1 .86 0 r
.59731 .51531 m
.59833 .51638 L
.59924 .5173 L
.60011 .51831 L
.60116 .51949 L
.60179 .52023 L
.60309 .52168 L
.6034 .52216 L
.60496 .52409 L
.60502 .52415 L
.60651 .52601 L
.60694 .52654 L
.60806 .52794 L
.60887 .52883 L
.60959 .52987 L
.6108 .53143 L
.61113 .53179 L
.61257 .53372 L
.61273 .53392 L
.61406 .53565 L
.61465 .5363 L
.61621 .53758 L
.61658 .53894 L
.61703 .5395 L
.61847 .54143 L
.61851 .54148 L
.61993 .54336 L
.62043 .54393 L
.62183 .54528 L
.62236 .54659 L
.62282 .54721 L
.62426 .54914 L
.62429 .54917 L
.6257 .55106 L
.62621 .55166 L
.62747 .55299 L
.62814 .55434 L
.62854 .55492 L
.62999 .55684 L
.63007 .55695 L
.63141 .55877 L
.63199 .55946 L
.63308 .5607 L
.63392 .56218 L
.63422 .56263 L
.63565 .56455 L
.63585 .56459 L
.63707 .56648 L
.63778 .56734 L
.63866 .56841 L
.6397 .57009 L
.63985 .57033 L
.64127 .57226 L
.64163 .5724 L
.64267 .57419 L
.64356 .57531 L
.6442 .57611 L
.64545 .57804 L
.64548 .57809 L
.64682 .57997 L
.64741 .58034 L
.6482 .58189 L
.64934 .58341 L
.64965 .58382 L
.65093 .58575 L
.65126 .58621 L
.65228 .58768 L
.65319 .58857 L
.65415 .5896 L
.65498 .59153 L
.65512 .59172 L
.65628 .59346 L
.65704 .59454 L
.65761 .59538 L
.65892 .59731 L
.65897 .59739 L
.66012 .59924 L
.6609 .6004 L
.66136 .60116 L
.6609 .603 L
.6593 .60116 L
.65897 .60082 L
.65768 .59924 L
.65704 .59852 L
.65609 .59731 L
.65512 .59616 L
.65451 .59538 L
.65319 .59382 L
.65269 .59346 L
.65145 .59153 L
.65126 .5913 L
.64997 .5896 L
.64934 .58934 L
.64848 .58768 L
.64741 .58642 L
.64663 .58575 L
.6455 .58382 L
.64548 .5838 L
.64406 .58189 L
.64356 .58168 L
.64261 .57997 L
.64163 .57881 L
.64083 .57804 L
.6397 .57614 L
.63968 .57611 L
.63827 .57419 L
.63778 .57394 L
.63683 .57226 L
.63585 .57108 L
.63514 .57033 L
.63394 .56841 L
.63392 .56838 L
.63254 .56648 L
.63199 .56615 L
.63112 .56455 L
.63007 .56326 L
.6295 .56263 L
.62826 .5607 L
.62814 .56054 L
.62687 .55877 L
.62621 .5583 L
.62545 .55684 L
.62429 .55536 L
.6239 .55492 L
.62262 .55299 L
.62236 .55265 L
.62124 .55106 L
.62043 .55037 L
.61982 .54914 L
.61851 .5474 L
.61835 .54721 L
.61703 .54528 L
.61658 .54469 L
.61565 .54336 L
.61465 .54232 L
.61378 .54143 L
.61283 .5395 L
.61273 .53936 L
.61149 .53758 L
.6108 .53666 L
.61011 .53565 L
.60887 .53411 L
.60852 .53372 L
.60736 .53179 L
.60694 .53124 L
.60602 .52987 L
.60502 .5285 L
.60465 .52794 L
.60329 .52601 L
.60309 .52574 L
.60202 .52409 L
.60116 .5229 L
.6007 .52216 L
.59937 .52023 L
.59924 .52004 L
.59822 .51831 L
.59731 .51693 L
.59703 .51638 L
F
0 .58 1 r
.59731 .5238 m
.59757 .52409 L
.59924 .52583 L
.59939 .52601 L
.59924 .5276 L
.59837 .52601 L
.59731 .52445 L
.59717 .52409 L
F
1 .84 0 r
.59731 .58225 m
.59843 .58382 L
.59924 .5849 L
.59974 .58575 L
.59924 .58624 L
.59885 .58575 L
.59731 .58398 L
.5972 .58382 L
F
0 .98 1 r
.59924 .60182 m
.60116 .60232 L
.60211 .60309 L
.60309 .60403 L
.60441 .60502 L
.60502 .60671 L
.60551 .60694 L
.60692 .60887 L
.60694 .6089 L
.60834 .6108 L
.60887 .61129 L
.61016 .61273 L
.6108 .61407 L
.6112 .61465 L
.61254 .61658 L
.61273 .61684 L
.61389 .61851 L
.61465 .61959 L
.61554 .62043 L
.61655 .62236 L
.61658 .6224 L
.61775 .62429 L
.61851 .62556 L
.61886 .62621 L
.61942 .62814 L
.61851 .62855 L
.61781 .62814 L
.61658 .62736 L
.61543 .62621 L
.61465 .6254 L
.61358 .62429 L
.61273 .6232 L
.61176 .62236 L
.6108 .62082 L
.61045 .62043 L
.60887 .61857 L
.60882 .61851 L
.60734 .61658 L
.60694 .61606 L
.6058 .61465 L
.60502 .61344 L
.60461 .61273 L
.60309 .61086 L
.60302 .6108 L
.60164 .60887 L
.60116 .60869 L
.60022 .60694 L
.59924 .60536 L
.59909 .60502 L
.59804 .60309 L
F
1 .85 0 r
.59924 .51766 m
.59983 .51831 L
.60116 .51976 L
.60157 .52023 L
.60309 .52197 L
.60321 .52216 L
.6048 .52409 L
.60502 .52434 L
.60637 .52601 L
.60694 .52671 L
.60793 .52794 L
.60887 .52898 L
.60946 .52987 L
.6108 .53158 L
.611 .53179 L
.61246 .53372 L
.61273 .53405 L
.61396 .53565 L
.61465 .53642 L
.61612 .53758 L
.61658 .53906 L
.61694 .5395 L
.61838 .54143 L
.61851 .54159 L
.61984 .54336 L
.62043 .54403 L
.62177 .54528 L
.62236 .54669 L
.62275 .54721 L
.62419 .54914 L
.62429 .54927 L
.62563 .55106 L
.62621 .55175 L
.6274 .55299 L
.62814 .55444 L
.62848 .55492 L
.62992 .55684 L
.63007 .55704 L
.63134 .55877 L
.63199 .55955 L
.63302 .5607 L
.63392 .56227 L
.63416 .56263 L
.63559 .56455 L
.63585 .56461 L
.637 .56648 L
.63778 .56743 L
.63859 .56841 L
.6397 .57018 L
.6398 .57033 L
.6412 .57226 L
.64163 .57245 L
.64259 .57419 L
.64356 .57542 L
.64411 .57611 L
.64537 .57804 L
.64548 .5782 L
.64674 .57997 L
.64741 .58044 L
.64812 .58189 L
.64934 .58355 L
.64954 .58382 L
.65083 .58575 L
.65126 .58634 L
.65218 .58768 L
.65319 .58877 L
.65396 .5896 L
.65486 .59153 L
.65512 .59189 L
.65615 .59346 L
.65704 .59474 L
.65747 .59538 L
.65873 .59731 L
.65897 .59766 L
.65991 .59924 L
.6609 .60077 L
.66111 .60116 L
.6609 .60256 L
.65962 .60116 L
.65897 .60053 L
.6579 .59924 L
.65704 .5983 L
.65625 .59731 L
.65512 .59598 L
.65465 .59538 L
.65319 .59363 L
.65294 .59346 L
.65157 .59153 L
.65126 .59116 L
.65008 .5896 L
.64934 .58924 L
.64857 .58768 L
.64741 .5863 L
.64677 .58575 L
.64559 .58382 L
.64548 .58369 L
.64414 .58189 L
.64356 .58161 L
.64268 .57997 L
.64163 .57871 L
.64093 .57804 L
.63975 .57611 L
.6397 .57605 L
.63833 .57419 L
.63778 .57388 L
.63689 .57226 L
.63585 .57099 L
.63521 .57033 L
.634 .56841 L
.63392 .5683 L
.6326 .56648 L
.63199 .56609 L
.63117 .56455 L
.63007 .56318 L
.62957 .56263 L
.62832 .5607 L
.62814 .56047 L
.62692 .55877 L
.62621 .55823 L
.6255 .55684 L
.62429 .55528 L
.62397 .55492 L
.62268 .55299 L
.62236 .55258 L
.62129 .55106 L
.62043 .55029 L
.61988 .54914 L
.61851 .54731 L
.61842 .54721 L
.61709 .54528 L
.61658 .54461 L
.6157 .54336 L
.61465 .54222 L
.61388 .54143 L
.6129 .5395 L
.61273 .53927 L
.61156 .53758 L
.6108 .53656 L
.61017 .53565 L
.60887 .53396 L
.60865 .53372 L
.60744 .53179 L
.60694 .53112 L
.60611 .52987 L
.60502 .52837 L
.60473 .52794 L
.60341 .52601 L
.60309 .52558 L
.60214 .52409 L
.60116 .52271 L
.60083 .52216 L
.59957 .52023 L
.59924 .51974 L
.59849 .51831 L
F
0 .94 1 r
.59924 .57637 m
.60089 .57804 L
.60116 .57833 L
.60257 .57997 L
.60309 .58058 L
.60415 .58189 L
.60502 .58262 L
.60564 .58382 L
.60694 .58557 L
.60709 .58575 L
.60839 .58768 L
.60887 .5884 L
.60965 .5896 L
.61076 .59153 L
.6108 .59161 L
.61125 .59346 L
.6108 .59356 L
.61064 .59346 L
.60887 .59201 L
.60846 .59153 L
.60694 .59002 L
.60675 .5896 L
.6052 .58768 L
.60502 .58745 L
.60377 .58575 L
.60309 .58488 L
.60235 .58382 L
.60116 .58222 L
.60095 .58189 L
.59966 .57997 L
.59924 .57934 L
.59849 .57804 L
F
1 .84 0 r
.59924 .51815 m
.59941 .51831 L
.60116 .52007 L
.60131 .52023 L
.603 .52216 L
.60309 .52226 L
.60461 .52409 L
.60502 .52455 L
.60621 .52601 L
.60694 .52689 L
.60779 .52794 L
.60887 .52916 L
.60934 .52987 L
.6108 .53173 L
.61086 .53179 L
.61235 .53372 L
.61273 .53419 L
.61386 .53565 L
.61465 .53654 L
.61601 .53758 L
.61658 .53917 L
.61685 .5395 L
.61829 .54143 L
.61851 .5417 L
.61976 .54336 L
.62043 .54413 L
.62169 .54528 L
.62236 .54679 L
.62268 .54721 L
.62411 .54914 L
.62429 .54937 L
.62556 .55106 L
.62621 .55183 L
.62734 .55299 L
.62814 .55453 L
.62842 .55492 L
.62985 .55684 L
.63007 .55714 L
.63127 .55877 L
.63199 .55964 L
.63295 .5607 L
.63392 .56236 L
.6341 .56263 L
.63552 .56455 L
.63585 .56463 L
.63693 .56648 L
.63778 .56753 L
.63852 .56841 L
.6397 .57028 L
.63974 .57033 L
.64112 .57226 L
.64163 .5725 L
.64252 .57419 L
.64356 .57553 L
.64403 .57611 L
.64529 .57804 L
.64548 .57831 L
.64666 .57997 L
.64741 .58056 L
.64804 .58189 L
.64934 .5837 L
.64943 .58382 L
.65074 .58575 L
.65126 .58648 L
.65208 .58768 L
.65319 .589 L
.65375 .5896 L
.65473 .59153 L
.65512 .59208 L
.65602 .59346 L
.65704 .59496 L
.65732 .59538 L
.65852 .59731 L
.65897 .59799 L
.65966 .59924 L
.65897 .60019 L
.65815 .59924 L
.65704 .59806 L
.65644 .59731 L
.65512 .59579 L
.6548 .59538 L
.65321 .59346 L
.65319 .59343 L
.6517 .59153 L
.65126 .59101 L
.65019 .5896 L
.64934 .58911 L
.64867 .58768 L
.64741 .58616 L
.64692 .58575 L
.64568 .58382 L
.64548 .58358 L
.64422 .58189 L
.64356 .58154 L
.64275 .57997 L
.64163 .57861 L
.64103 .57804 L
.63982 .57611 L
.6397 .57596 L
.6384 .57419 L
.63778 .57382 L
.63695 .57226 L
.63585 .5709 L
.63529 .57033 L
.63406 .56841 L
.63392 .56822 L
.63266 .56648 L
.63199 .56603 L
.63123 .56455 L
.63007 .56309 L
.62964 .56263 L
.62837 .5607 L
.62814 .5604 L
.62698 .55877 L
.62621 .55816 L
.62556 .55684 L
.62429 .5552 L
.62404 .55492 L
.62273 .55299 L
.62236 .5525 L
.62135 .55106 L
.62043 .5502 L
.61993 .54914 L
.61851 .54722 L
.6185 .54721 L
.61715 .54528 L
.61658 .54453 L
.61576 .54336 L
.61465 .5421 L
.61399 .54143 L
.61297 .5395 L
.61273 .53918 L
.61163 .53758 L
.6108 .53646 L
.61024 .53565 L
.60887 .5338 L
.6088 .53372 L
.60753 .53179 L
.60694 .531 L
.6062 .52987 L
.60502 .52824 L
.60482 .52794 L
.60354 .52601 L
.60309 .5254 L
.60228 .52409 L
.60116 .52249 L
.60097 .52216 L
.59983 .52023 L
.59924 .51927 L
.59893 .51831 L
F
0 .97 1 r
.59924 .60277 m
.60116 .60301 L
.6013 .60309 L
.60309 .60456 L
.60386 .60502 L
.60502 .60688 L
.60518 .60694 L
.60664 .60887 L
.60694 .60925 L
.60808 .6108 L
.60887 .61159 L
.60989 .61273 L
.6108 .61446 L
.61093 .61465 L
.61224 .61658 L
.61273 .61726 L
.61356 .61851 L
.61465 .62011 L
.61501 .62043 L
.61602 .62236 L
.61658 .62333 L
.61703 .62429 L
.61658 .62585 L
.61465 .62446 L
.61446 .62429 L
.61273 .62252 L
.61248 .62236 L
.61085 .62043 L
.6108 .62038 L
.60925 .61851 L
.60887 .61812 L
.60771 .61658 L
.60694 .61561 L
.6061 .61465 L
.60502 .61304 L
.60483 .61273 L
.60335 .6108 L
.60309 .61044 L
.60197 .60887 L
.60116 .60826 L
.60058 .60694 L
.59951 .60502 L
.59924 .60439 L
.59895 .60309 L
F
0 .37 1 r
.59924 .54163 m
.60023 .54336 L
.60116 .54475 L
.60141 .54528 L
.60116 .54574 L
.60078 .54528 L
.59924 .54368 L
.59898 .54336 L
F
0 .93 1 r
.59924 .57725 m
.60022 .57804 L
.60116 .5789 L
.60212 .57997 L
.60309 .58107 L
.60376 .58189 L
.60502 .58325 L
.60528 .58382 L
.60668 .58575 L
.60694 .58612 L
.608 .58768 L
.60887 .58905 L
.6092 .5896 L
.60887 .59141 L
.60711 .5896 L
.60694 .58943 L
.60554 .58768 L
.60502 .58706 L
.60406 .58575 L
.60309 .58451 L
.60262 .58382 L
.60122 .58189 L
.60116 .58182 L
.60005 .57997 L
.59924 .57862 L
.59899 .57804 L
F
0 .36 1 r
.59924 .54174 m
.60012 .54336 L
.60116 .545 L
.60127 .54528 L
.60116 .5455 L
.60096 .54528 L
.59924 .54358 L
.59906 .54336 L
F
0 .35 1 r
.59924 .54187 m
.59999 .54336 L
.59924 .54347 L
.59915 .54336 L
F
1 .9 0 r
.60116 .7475 m
.60203 .74761 L
.60309 .74784 L
.60502 .7486 L
.60693 .74954 L
.60694 .74954 L
.60887 .75059 L
.61039 .75146 L
.6108 .75173 L
.61273 .75293 L
.61345 .75339 L
.61465 .75419 L
.61632 .75532 L
.61658 .7555 L
.61851 .75684 L
.61908 .75725 L
.62043 .75822 L
.62175 .75917 L
.62236 .75962 L
.62429 .76106 L
.62434 .7611 L
.62621 .76251 L
.62689 .76303 L
.62814 .76399 L
.62938 .76495 L
.63007 .76549 L
.63183 .76688 L
.63199 .76701 L
.63392 .76855 L
.63425 .76881 L
.63585 .7701 L
.63663 .77073 L
.63778 .77167 L
.63899 .77266 L
.6397 .77325 L
.64132 .77459 L
.64163 .77485 L
.64356 .77646 L
.64362 .77651 L
.64548 .77809 L
.6459 .77844 L
.64741 .77973 L
.64816 .78037 L
.64934 .78138 L
.6504 .7823 L
.65126 .78304 L
.65262 .78422 L
.65319 .78472 L
.65482 .78615 L
.65512 .78641 L
.65701 .78808 L
.65704 .78811 L
.65897 .78982 L
.65918 .79 L
.6609 .79154 L
.66133 .79193 L
.66283 .79327 L
.66347 .79386 L
.66475 .79502 L
.6656 .79578 L
.66668 .79677 L
.66771 .79771 L
.66861 .79853 L
.66982 .79964 L
.67053 .8003 L
.67191 .80156 L
.67246 .80208 L
.67399 .80349 L
.67439 .80386 L
.67606 .80542 L
.67631 .80566 L
.67812 .80735 L
.67824 .80746 L
.68017 .80927 L
.68017 .80927 L
.68209 .81109 L
.68221 .8112 L
.68402 .81292 L
.68424 .81313 L
.68595 .81476 L
.68626 .81505 L
.68788 .8166 L
.68827 .81698 L
.6898 .81846 L
.69027 .81891 L
.69173 .82032 L
.69225 .82083 L
.69366 .8222 L
.69423 .82276 L
.69558 .82409 L
.6962 .82469 L
.69751 .82598 L
.69815 .82661 L
.69944 .82789 L
.70009 .82854 L
.70136 .82982 L
.70201 .83047 L
.70329 .83175 L
.70393 .8324 L
.70522 .83371 L
.70582 .83432 L
.70715 .83567 L
.70771 .83625 L
.70907 .83765 L
.70958 .83818 L
.711 .83965 L
.71144 .8401 L
.71293 .84166 L
.71328 .84203 L
.71485 .84368 L
.71511 .84396 L
.71678 .84572 L
.71693 .84588 L
.71871 .84778 L
.71873 .84781 L
.72052 .84974 L
.72063 .84986 L
.7223 .85166 L
.72256 .85195 L
.72406 .85359 L
.72449 .85406 L
.7258 .85552 L
.72641 .8562 L
.72753 .85745 L
.72834 .85835 L
.72925 .85937 L
.73027 .86053 L
.73095 .8613 L
.7322 .86273 L
.73262 .86323 L
.73412 .86497 L
.73428 .86515 L
.73592 .86708 L
.73605 .86723 L
.73753 .86901 L
.73798 .86954 L
.73912 .87093 L
.7399 .8719 L
.74068 .87286 L
.74183 .87431 L
.7422 .87479 L
.74368 .87671 L
.74376 .87681 L
.74513 .87864 L
.74568 .87939 L
.74652 .88057 L
.74761 .88213 L
.74785 .8825 L
.74911 .88442 L
.74954 .88503 L
.75026 .88635 L
.75128 .88828 L
.75146 .8887 L
.75208 .8902 L
.75259 .89213 L
.75146 .89339 L
.74954 .89347 L
.74761 .89278 L
.74615 .89213 L
.74568 .89192 L
.74376 .89091 L
.74246 .8902 L
.74183 .88981 L
.7399 .88863 L
.73934 .88828 L
.73798 .88739 L
.7364 .88635 L
.73605 .88611 L
.73412 .88478 L
.73361 .88442 L
.7322 .88342 L
.73092 .8825 L
.73027 .88202 L
.72834 .8806 L
.7283 .88057 L
.72641 .87915 L
.72574 .87864 L
.72449 .87768 L
.72324 .87671 L
.72256 .87619 L
.72077 .87479 L
.72063 .87468 L
.71871 .87315 L
.71835 .87286 L
.71678 .8716 L
.71595 .87093 L
.71485 .87004 L
.71359 .86901 L
.71293 .86846 L
.71125 .86708 L
.711 .86687 L
.70907 .86526 L
.70894 .86515 L
.70715 .86364 L
.70665 .86323 L
.70522 .86201 L
.70438 .8613 L
.70329 .86037 L
.70213 .85937 L
.70136 .85871 L
.6999 .85745 L
.69944 .85704 L
.69769 .85552 L
.69751 .85536 L
.69558 .85367 L
.69549 .85359 L
.69366 .85197 L
.69331 .85166 L
.69173 .85026 L
.69115 .84974 L
.6898 .84854 L
.68899 .84781 L
.68788 .8468 L
.68686 .84588 L
.68595 .84506 L
.68473 .84396 L
.68402 .84331 L
.68262 .84203 L
.68209 .84155 L
.68052 .8401 L
.68017 .83978 L
.67844 .83818 L
.67824 .83799 L
.67636 .83625 L
.67631 .8362 L
.67439 .8344 L
.6743 .83432 L
.67246 .83259 L
.67225 .8324 L
.67053 .83077 L
.67022 .83047 L
.66861 .82894 L
.66819 .82854 L
.66668 .8271 L
.66618 .82661 L
.66475 .82525 L
.66417 .82469 L
.66283 .82339 L
.66218 .82276 L
.6609 .82152 L
.6602 .82083 L
.65897 .81964 L
.65823 .81891 L
.65704 .81775 L
.65627 .81698 L
.65512 .81584 L
.65432 .81505 L
.65319 .81393 L
.65238 .81313 L
.65126 .81201 L
.65046 .8112 L
.64934 .81007 L
.64854 .80927 L
.64741 .80812 L
.64664 .80735 L
.64548 .80617 L
.64475 .80542 L
.64356 .80419 L
.64287 .80349 L
.64163 .80221 L
.64101 .80156 L
.6397 .80021 L
.63915 .79964 L
.63778 .7982 L
.63731 .79771 L
.63585 .79617 L
.63548 .79578 L
.63392 .79413 L
.63367 .79386 L
.63199 .79207 L
.63187 .79193 L
.63008 .79 L
.63007 .78999 L
.62831 .78808 L
.62814 .78789 L
.62655 .78615 L
.62621 .78578 L
.62481 .78422 L
.62429 .78364 L
.62309 .7823 L
.62236 .78148 L
.62138 .78037 L
.62043 .77929 L
.6197 .77844 L
.61851 .77707 L
.61803 .77651 L
.61658 .77481 L
.61639 .77459 L
.61477 .77266 L
.61465 .77252 L
.61318 .77073 L
.61273 .77018 L
.61161 .76881 L
.6108 .76779 L
.61008 .76688 L
.60887 .76533 L
.60858 .76495 L
.60713 .76303 L
.60694 .76279 L
.60572 .7611 L
.60502 .76013 L
.60436 .75917 L
.60309 .75725 L
.60309 .75725 L
.60189 .75532 L
.60116 .75414 L
.60083 .75339 L
.59992 .75146 L
.59931 .74954 L
.60039 .74761 L
F
0 .96 1 r
.60116 .60372 m
.60302 .60502 L
.60309 .60508 L
.6048 .60694 L
.60502 .60719 L
.60634 .60887 L
.60694 .60962 L
.60781 .6108 L
.60887 .61199 L
.60953 .61273 L
.61062 .61465 L
.6108 .61489 L
.61192 .61658 L
.61273 .61775 L
.61321 .61851 L
.61439 .62043 L
.61465 .62087 L
.61532 .62236 L
.61465 .62338 L
.61338 .62236 L
.61273 .6218 L
.61142 .62043 L
.6108 .61978 L
.6097 .61851 L
.60887 .61767 L
.60809 .61658 L
.60694 .61516 L
.60646 .61465 L
.60509 .61273 L
.60502 .61263 L
.60368 .6108 L
.60309 .60998 L
.60231 .60887 L
.60116 .60732 L
.60102 .60694 L
.60007 .60502 L
F
.60116 .51205 m
.60164 .51253 L
.60309 .5138 L
.60345 .51445 L
.60502 .51623 L
.60527 .51638 L
.60679 .51831 L
.60694 .51849 L
.60841 .52023 L
.60887 .5206 L
.61001 .52216 L
.6108 .52316 L
.61182 .52409 L
.61273 .52562 L
.61301 .52601 L
.61461 .52794 L
.61465 .52798 L
.61614 .52987 L
.61658 .53046 L
.61776 .53179 L
.61851 .53301 L
.61896 .53372 L
.62043 .53552 L
.62061 .53565 L
.62209 .53758 L
.62236 .53795 L
.6236 .5395 L
.62429 .54056 L
.62478 .54143 L
.62621 .54315 L
.62649 .54336 L
.62793 .54528 L
.62814 .54559 L
.62937 .54721 L
.63007 .54823 L
.63053 .54914 L
.63199 .55086 L
.63227 .55106 L
.6339 .55299 L
.63392 .55331 L
.63509 .55492 L
.63585 .55598 L
.63623 .55684 L
.63778 .55861 L
.638 .55877 L
.63958 .5607 L
.6397 .5611 L
.64077 .56263 L
.64163 .56378 L
.6419 .56455 L
.64356 .56639 L
.64369 .56648 L
.64525 .56841 L
.64548 .56894 L
.64643 .57033 L
.64741 .57162 L
.64755 .57226 L
.64934 .57418 L
.64935 .57419 L
.6509 .57611 L
.65126 .5768 L
.65206 .57804 L
.65319 .57949 L
.65321 .57997 L
.65499 .58189 L
.65512 .58204 L
.65653 .58382 L
.65704 .5847 L
.65768 .58575 L
.65897 .58739 L
.65922 .58768 L
.66061 .5896 L
.6609 .58993 L
.66213 .59153 L
.66283 .59264 L
.66328 .59346 L
.66475 .59531 L
.66482 .59538 L
.66621 .59731 L
.66668 .59787 L
.6677 .59924 L
.66861 .60062 L
.66888 .60116 L
.67038 .60309 L
.67053 .60314 L
.67237 .60502 L
.67246 .60588 L
.67322 .60694 L
.67439 .60867 L
.67448 .60887 L
.67589 .6108 L
.67631 .61103 L
.6778 .61273 L
.67824 .61401 L
.67868 .61465 L
.67998 .61658 L
.68017 .61684 L
.68131 .61851 L
.68209 .61921 L
.68305 .62043 L
.684 .62236 L
.68402 .62239 L
.68528 .62429 L
.68595 .62526 L
.68658 .62621 L
.68787 .62814 L
.68788 .62815 L
.68905 .63007 L
.6898 .63124 L
.69023 .63199 L
.69125 .63392 L
.6898 .634 L
.68973 .63392 L
.68792 .63199 L
.68788 .63195 L
.68626 .63007 L
.68595 .62973 L
.68464 .62814 L
.68402 .62744 L
.68304 .62621 L
.68209 .62519 L
.68147 .62429 L
.68017 .62267 L
.67986 .62236 L
.67842 .62043 L
.67824 .62042 L
.67693 .61851 L
.67631 .61783 L
.67474 .61658 L
.67439 .61523 L
.67387 .61465 L
.67247 .61273 L
.67246 .61272 L
.67103 .6108 L
.67053 .61025 L
.66904 .60887 L
.66861 .60762 L
.66805 .60694 L
.66668 .60504 L
.66667 .60502 L
.66523 .60309 L
.66475 .60255 L
.66337 .60116 L
.66283 .59989 L
.66231 .59924 L
.66091 .59731 L
.6609 .59731 L
.6595 .59538 L
.65897 .59478 L
.65772 .59346 L
.65704 .5921 L
.65662 .59153 L
.65521 .5896 L
.65512 .58956 L
.6538 .58768 L
.65319 .58697 L
.65209 .58575 L
.65126 .58427 L
.65094 .58382 L
.64953 .58189 L
.64934 .58179 L
.64813 .57997 L
.64741 .57912 L
.64647 .57804 L
.64548 .57641 L
.64529 .57611 L
.64388 .57419 L
.64356 .57399 L
.64248 .57226 L
.64163 .57124 L
.64087 .57033 L
.6397 .56851 L
.63963 .56841 L
.63824 .56648 L
.63778 .56615 L
.63684 .56455 L
.63585 .56333 L
.63528 .56263 L
.634 .5607 L
.63392 .5606 L
.63262 .55877 L
.63199 .55826 L
.63062 .55684 L
.63007 .55538 L
.62971 .55492 L
.62839 .55299 L
.62814 .55266 L
.62702 .55106 L
.62621 .5503 L
.62515 .54914 L
.62429 .54739 L
.62415 .54721 L
.62281 .54528 L
.62236 .54469 L
.62143 .54336 L
.62043 .54227 L
.61971 .54143 L
.61861 .5395 L
.61851 .53937 L
.61726 .53758 L
.61658 .53667 L
.61588 .53565 L
.61465 .53412 L
.61432 .53372 L
.6131 .53179 L
.61273 .53129 L
.61176 .52987 L
.6108 .52857 L
.61038 .52794 L
.60899 .52601 L
.60887 .52586 L
.60769 .52409 L
.60694 .52307 L
.60635 .52216 L
.60502 .5203 L
.60498 .52023 L
.60373 .51831 L
.60309 .5174 L
.60248 .51638 L
.60118 .51445 L
.60116 .51443 L
.60016 .51253 L
F
1 .97 0 r
.60309 .69538 m
.60502 .69504 L
.60694 .69504 L
.60887 .69526 L
.61062 .69558 L
.6108 .69565 L
.61273 .69617 L
.61465 .69681 L
.61647 .69751 L
.61658 .69755 L
.61851 .69841 L
.62043 .69938 L
.62053 .69944 L
.62236 .70048 L
.62377 .70136 L
.62429 .70171 L
.62621 .7031 L
.62647 .70329 L
.62814 .70466 L
.62875 .70522 L
.63007 .7065 L
.6306 .70715 L
.63193 .70907 L
.63199 .7092 L
.63245 .711 L
.63199 .7122 L
.63112 .71293 L
.63007 .71348 L
.62814 .71388 L
.62621 .714 L
.62429 .71397 L
.62236 .71382 L
.62043 .71355 L
.61851 .71317 L
.61751 .71293 L
.61658 .71267 L
.61465 .71203 L
.61273 .71123 L
.61223 .711 L
.6108 .71028 L
.60887 .70913 L
.60878 .70907 L
.60694 .70778 L
.60616 .70715 L
.60502 .70616 L
.60408 .70522 L
.60309 .70417 L
.60243 .70329 L
.60121 .70136 L
.60116 .70128 L
.6005 .69944 L
.60056 .69751 L
.60116 .69651 L
.6025 .69558 L
F
0 .92 1 r
.60116 .57968 m
.60147 .57997 L
.60309 .58166 L
.60329 .58189 L
.60483 .58382 L
.60502 .58406 L
.60622 .58575 L
.60694 .58678 L
.60751 .58768 L
.60694 .5888 L
.606 .58768 L
.60502 .58658 L
.60442 .58575 L
.60309 .58406 L
.60293 .58382 L
.60168 .58189 L
.60116 .58111 L
.60069 .57997 L
F
0 .59 1 r
.60116 .528 m
.60261 .52987 L
.60309 .53043 L
.60414 .53179 L
.60502 .53288 L
.60566 .53372 L
.60694 .53504 L
.60717 .53565 L
.60862 .53758 L
.60887 .53788 L
.61007 .5395 L
.6108 .54043 L
.61153 .54143 L
.61273 .54266 L
.61299 .54336 L
.61441 .54528 L
.61465 .54559 L
.61582 .54721 L
.61658 .54821 L
.61725 .54914 L
.61851 .55063 L
.61868 .55106 L
.62005 .55299 L
.62043 .5535 L
.62142 .55492 L
.62236 .55618 L
.62283 .55684 L
.62421 .55877 L
.62429 .55888 L
.62551 .5607 L
.62621 .56166 L
.62685 .56263 L
.62814 .56444 L
.62822 .56455 L
.6294 .56648 L
.63007 .56742 L
.63062 .56841 L
.63007 .56896 L
.62964 .56841 L
.62814 .56674 L
.62795 .56648 L
.62638 .56455 L
.62621 .56436 L
.6249 .56263 L
.62429 .56191 L
.62339 .5607 L
.62236 .55944 L
.62187 .55877 L
.62043 .55705 L
.62036 .55684 L
.61893 .55492 L
.61851 .55439 L
.6175 .55299 L
.61658 .55183 L
.61603 .55106 L
.61465 .54938 L
.61456 .54914 L
.61317 .54721 L
.61273 .54664 L
.61177 .54528 L
.6108 .54402 L
.61033 .54336 L
.60889 .54143 L
.60887 .54141 L
.60755 .5395 L
.60694 .53871 L
.60617 .53758 L
.60502 .53604 L
.60475 .53565 L
.6034 .53372 L
.60309 .53332 L
.60209 .53179 L
.60116 .53055 L
.60073 .52987 L
F
0 .58 1 r
.60116 .52814 m
.60251 .52987 L
.60309 .53054 L
.60405 .53179 L
.60502 .53297 L
.60559 .53372 L
.60694 .53522 L
.6071 .53565 L
.60855 .53758 L
.60887 .53797 L
.61 .5395 L
.6108 .54052 L
.61147 .54143 L
.61273 .54281 L
.61293 .54336 L
.61435 .54528 L
.61465 .54567 L
.61576 .54721 L
.61658 .54829 L
.61719 .54914 L
.61851 .55077 L
.61862 .55106 L
.61998 .55299 L
.62043 .55359 L
.62136 .55492 L
.62236 .55627 L
.62276 .55684 L
.62412 .55877 L
.62429 .55898 L
.62542 .5607 L
.62621 .56177 L
.62677 .56263 L
.62621 .56424 L
.62499 .56263 L
.62429 .56181 L
.62347 .5607 L
.62236 .55935 L
.62194 .55877 L
.62043 .55689 L
.62042 .55684 L
.619 .55492 L
.61851 .55431 L
.61756 .55299 L
.61658 .55175 L
.61609 .55106 L
.61465 .54925 L
.61461 .54914 L
.61323 .54721 L
.61273 .54657 L
.61183 .54528 L
.6108 .54395 L
.61039 .54336 L
.60895 .54143 L
.60887 .54133 L
.60761 .5395 L
.60694 .53863 L
.60623 .53758 L
.60502 .53596 L
.60481 .53565 L
.60347 .53372 L
.60309 .53322 L
.60217 .53179 L
.60116 .53044 L
.6008 .52987 L
F
0 .95 1 r
.60116 .60462 m
.60221 .60502 L
.60309 .60564 L
.60437 .60694 L
.60502 .60764 L
.60601 .60887 L
.60694 .61002 L
.60752 .6108 L
.60887 .61252 L
.60906 .61273 L
.61029 .61465 L
.6108 .61537 L
.61157 .61658 L
.61273 .61838 L
.6128 .61851 L
.61366 .62043 L
.61273 .62093 L
.61217 .62043 L
.6108 .61915 L
.61021 .61851 L
.60887 .61712 L
.60851 .61658 L
.60694 .61468 L
.60692 .61465 L
.60545 .61273 L
.60502 .61216 L
.60402 .6108 L
.60309 .60948 L
.60268 .60887 L
.60152 .60694 L
.60116 .60621 L
.60082 .60502 L
F
1 .32 0 r
.60116 .53653 m
.60183 .53758 L
.60309 .53921 L
.60328 .5395 L
.60309 .54049 L
.60242 .5395 L
.60116 .53805 L
.60084 .53758 L
F
0 .57 1 r
.60116 .52829 m
.6024 .52987 L
.60309 .53066 L
.60396 .53179 L
.60502 .53308 L
.60551 .53372 L
.60694 .53542 L
.60703 .53565 L
.60847 .53758 L
.60887 .53807 L
.60993 .5395 L
.6108 .5406 L
.61141 .54143 L
.61273 .54296 L
.61287 .54336 L
.61428 .54528 L
.61465 .54576 L
.61569 .54721 L
.61658 .54837 L
.61713 .54914 L
.61851 .55093 L
.61856 .55106 L
.61991 .55299 L
.62043 .55368 L
.62129 .55492 L
.62236 .55636 L
.62269 .55684 L
.62404 .55877 L
.62429 .5591 L
.62533 .5607 L
.62621 .5619 L
.62668 .56263 L
.62621 .5641 L
.6251 .56263 L
.62429 .5617 L
.62355 .5607 L
.62236 .55926 L
.622 .55877 L
.62049 .55684 L
.62043 .55678 L
.61907 .55492 L
.61851 .55423 L
.61762 .55299 L
.61658 .55168 L
.61614 .55106 L
.61466 .54914 L
.61465 .54912 L
.6133 .54721 L
.61273 .54649 L
.61188 .54528 L
.6108 .54388 L
.61044 .54336 L
.60902 .54143 L
.60887 .54124 L
.60768 .5395 L
.60694 .53855 L
.60629 .53758 L
.60502 .53587 L
.60487 .53565 L
.60356 .53372 L
.60309 .53311 L
.60225 .53179 L
.60116 .53032 L
.60089 .52987 L
F
1 .31 0 r
.60116 .53668 m
.60172 .53758 L
.60309 .53935 L
.60318 .5395 L
.60309 .54031 L
.60257 .5395 L
.60116 .53793 L
.60093 .53758 L
F
0 .56 1 r
.60116 .52846 m
.60227 .52987 L
.60309 .53079 L
.60386 .53179 L
.60502 .53319 L
.60543 .53372 L
.60694 .53563 L
.60695 .53565 L
.60839 .53758 L
.60887 .53816 L
.60986 .5395 L
.6108 .54069 L
.61134 .54143 L
.61273 .54313 L
.61281 .54336 L
.61421 .54528 L
.61465 .54585 L
.61563 .54721 L
.61658 .54846 L
.61706 .54914 L
.61849 .55106 L
.61851 .55108 L
.61983 .55299 L
.62043 .55378 L
.62122 .55492 L
.62236 .55646 L
.62262 .55684 L
.62394 .55877 L
.62429 .55922 L
.62524 .5607 L
.62621 .56204 L
.62658 .56263 L
.62621 .56395 L
.62521 .56263 L
.62429 .56158 L
.62364 .5607 L
.62236 .55916 L
.62208 .55877 L
.62057 .55684 L
.62043 .55668 L
.61915 .55492 L
.61851 .55414 L
.61769 .55299 L
.61658 .5516 L
.6162 .55106 L
.61473 .54914 L
.61465 .54904 L
.61336 .54721 L
.61273 .54641 L
.61194 .54528 L
.6108 .5438 L
.61049 .54336 L
.60909 .54143 L
.60887 .54116 L
.60775 .5395 L
.60694 .53846 L
.60636 .53758 L
.60502 .53578 L
.60493 .53565 L
.60365 .53372 L
.60309 .53299 L
.60235 .53179 L
.60116 .53018 L
.60097 .52987 L
F
1 .3 0 r
.60116 .53685 m
.60158 .53758 L
.60116 .53778 L
.60103 .53758 L
F
0 .55 1 r
.60116 .52866 m
.60212 .52987 L
.60309 .53093 L
.60376 .53179 L
.60502 .5333 L
.60534 .53372 L
.60686 .53565 L
.60694 .53575 L
.6083 .53758 L
.60887 .53826 L
.60978 .5395 L
.6108 .54079 L
.61127 .54143 L
.61273 .54331 L
.61274 .54336 L
.61413 .54528 L
.61465 .54594 L
.61556 .54721 L
.61658 .54855 L
.617 .54914 L
.61841 .55106 L
.61851 .55118 L
.61975 .55299 L
.62043 .55388 L
.62114 .55492 L
.62236 .55657 L
.62255 .55684 L
.62384 .55877 L
.62429 .55936 L
.62513 .5607 L
.62621 .5622 L
.62647 .56263 L
.62621 .56377 L
.62535 .56263 L
.62429 .56145 L
.62373 .5607 L
.62236 .55906 L
.62215 .55877 L
.62066 .55684 L
.62043 .55658 L
.61923 .55492 L
.61851 .55405 L
.61776 .55299 L
.61658 .55151 L
.61626 .55106 L
.61481 .54914 L
.61465 .54895 L
.61343 .54721 L
.61273 .54632 L
.61201 .54528 L
.6108 .54372 L
.61055 .54336 L
.60916 .54143 L
.60887 .54106 L
.60782 .5395 L
.60694 .53836 L
.60642 .53758 L
.60502 .53569 L
.60499 .53565 L
.60374 .53372 L
.60309 .53286 L
.60245 .53179 L
.60116 .53003 L
.60107 .52987 L
F
1 .83 0 r
.60116 .52045 m
.60273 .52216 L
.60309 .52252 L
.60442 .52409 L
.60502 .52476 L
.60605 .52601 L
.60694 .52708 L
.60765 .52794 L
.60887 .52935 L
.60921 .52987 L
.61073 .53179 L
.6108 .53188 L
.61224 .53372 L
.61273 .53432 L
.61376 .53565 L
.61465 .53667 L
.61588 .53758 L
.61658 .5393 L
.61675 .5395 L
.6182 .54143 L
.61851 .54182 L
.61968 .54336 L
.62043 .54423 L
.6216 .54528 L
.62236 .5469 L
.6226 .54721 L
.62403 .54914 L
.62429 .54947 L
.62548 .55106 L
.62621 .55193 L
.62726 .55299 L
.62814 .55462 L
.62835 .55492 L
.62978 .55684 L
.63007 .55723 L
.63121 .55877 L
.63199 .55973 L
.63288 .5607 L
.63392 .56245 L
.63404 .56263 L
.63545 .56455 L
.63585 .56467 L
.63686 .56648 L
.63778 .56763 L
.63844 .56841 L
.63967 .57033 L
.6397 .57038 L
.64105 .57226 L
.64163 .57257 L
.64245 .57419 L
.64356 .57565 L
.64393 .57611 L
.64521 .57804 L
.64548 .57842 L
.64657 .57997 L
.64741 .58069 L
.64795 .58189 L
.64932 .58382 L
.64934 .58385 L
.65063 .58575 L
.65126 .58663 L
.65198 .58768 L
.65319 .58926 L
.6535 .5896 L
.65459 .59153 L
.65512 .59228 L
.65587 .59346 L
.65704 .5952 L
.65716 .59538 L
.65827 .59731 L
.65897 .59844 L
.65934 .59924 L
.65897 .59975 L
.6585 .59924 L
.65704 .59779 L
.65665 .59731 L
.65512 .59558 L
.65496 .59538 L
.65337 .59346 L
.65319 .59325 L
.65184 .59153 L
.65126 .59086 L
.6503 .5896 L
.64934 .58895 L
.64877 .58768 L
.64741 .58602 L
.64708 .58575 L
.64577 .58382 L
.64548 .58347 L
.64431 .58189 L
.64356 .58145 L
.64283 .57997 L
.64163 .5785 L
.64114 .57804 L
.6399 .57611 L
.6397 .57587 L
.63847 .57419 L
.63778 .57375 L
.63702 .57226 L
.63585 .57081 L
.63538 .57033 L
.63413 .56841 L
.63392 .56814 L
.63272 .56648 L
.63199 .56596 L
.63128 .56455 L
.63007 .56301 L
.62971 .56263 L
.62843 .5607 L
.62814 .56032 L
.62703 .55877 L
.62621 .55808 L
.62561 .55684 L
.62429 .55511 L
.62412 .55492 L
.62279 .55299 L
.62236 .55242 L
.6214 .55106 L
.62043 .55011 L
.61998 .54914 L
.61856 .54721 L
.61851 .54714 L
.61721 .54528 L
.61658 .54445 L
.61582 .54336 L
.61465 .54198 L
.61411 .54143 L
.61304 .5395 L
.61273 .53908 L
.6117 .53758 L
.6108 .53636 L
.61032 .53565 L
.60892 .53372 L
.60887 .53366 L
.60763 .53179 L
.60694 .53087 L
.60629 .52987 L
.60502 .52809 L
.60492 .52794 L
.60368 .52601 L
.60309 .52519 L
.60244 .52409 L
.60116 .52221 L
.60113 .52216 L
F
1 .29 0 r
.60116 .53714 m
.60131 .53758 L
.60116 .53758 L
.60116 .53758 L
F
1 .99 0 r
.60309 .50662 m
.60324 .50674 L
.60502 .50848 L
.60519 .50867 L
.60694 .51059 L
.60695 .5106 L
.60866 .51253 L
.60887 .51276 L
.61034 .51445 L
.6108 .51501 L
.61197 .51638 L
.61273 .51741 L
.61351 .51831 L
.61465 .51985 L
.61484 .52023 L
.61658 .52208 L
.61664 .52216 L
.6182 .52409 L
.61851 .52457 L
.61959 .52601 L
.62043 .52716 L
.62076 .52794 L
.62236 .52942 L
.62272 .52987 L
.62422 .53179 L
.62429 .53196 L
.62552 .53372 L
.62621 .53464 L
.62658 .53565 L
.62814 .53697 L
.62862 .53758 L
.63004 .5395 L
.63007 .53955 L
.63134 .54143 L
.63199 .54228 L
.63299 .54336 L
.63392 .54465 L
.63442 .54528 L
.63582 .54721 L
.63585 .54726 L
.63708 .54914 L
.63778 .55003 L
.63874 .55106 L
.6397 .55241 L
.64015 .55299 L
.64154 .55492 L
.64163 .55505 L
.64275 .55684 L
.64356 .55784 L
.64445 .55877 L
.64548 .56023 L
.64585 .5607 L
.64723 .56263 L
.64741 .56289 L
.64838 .56455 L
.64934 .5657 L
.65012 .56648 L
.65126 .56808 L
.65152 .56841 L
.65288 .57033 L
.65319 .57076 L
.65398 .57226 L
.65512 .57356 L
.65579 .57419 L
.65704 .57595 L
.65717 .57611 L
.65852 .57804 L
.65897 .57865 L
.65957 .57997 L
.6609 .58143 L
.66143 .58189 L
.66282 .58382 L
.66283 .58384 L
.66414 .58575 L
.66475 .58655 L
.66515 .58768 L
.66668 .58929 L
.66707 .5896 L
.6685 .59153 L
.66861 .59173 L
.66975 .59346 L
.67053 .59445 L
.67072 .59538 L
.67246 .59713 L
.6727 .59731 L
.67415 .59924 L
.67439 .59964 L
.67535 .60116 L
.67631 .60235 L
.67694 .60309 L
.67824 .60496 L
.67833 .60502 L
.67978 .60694 L
.68017 .60755 L
.68095 .60887 L
.68209 .61025 L
.68256 .6108 L
.68395 .61273 L
.68402 .61281 L
.6854 .61465 L
.68595 .61547 L
.68655 .61658 L
.68788 .61816 L
.68817 .61851 L
.68956 .62043 L
.6898 .62071 L
.691 .62236 L
.69173 .62341 L
.69215 .62429 L
.69366 .62609 L
.69376 .62621 L
.69548 .62814 L
.69558 .62864 L
.69658 .63007 L
.69751 .63138 L
.69775 .63199 L
.69933 .63392 L
.69944 .63396 L
.70107 .63585 L
.70136 .63663 L
.70212 .63778 L
.70329 .63941 L
.70338 .6397 L
.70486 .64163 L
.70522 .64182 L
.70658 .64356 L
.70715 .64473 L
.70762 .64548 L
.70896 .64741 L
.70907 .64756 L
.7103 .64934 L
.711 .64993 L
.71194 .65126 L
.71293 .65307 L
.713 .65319 L
.71429 .65512 L
.71485 .65594 L
.71559 .65704 L
.71678 .65872 L
.71694 .65897 L
.71808 .6609 L
.71871 .66187 L
.71927 .66283 L
.72037 .66475 L
.72063 .66524 L
.72108 .66668 L
.72063 .66694 L
.72031 .66668 L
.71871 .6653 L
.7182 .66475 L
.71678 .66336 L
.71639 .66283 L
.71485 .66108 L
.71461 .6609 L
.71308 .65897 L
.71293 .6588 L
.7115 .65704 L
.711 .65653 L
.70994 .65512 L
.70907 .65404 L
.70821 .65319 L
.70715 .65155 L
.70692 .65126 L
.70539 .64934 L
.70522 .64915 L
.7039 .64741 L
.70329 .64661 L
.70229 .64548 L
.70136 .64402 L
.70105 .64356 L
.6995 .64163 L
.69944 .64156 L
.69805 .6397 L
.69751 .63898 L
.69651 .63778 L
.69558 .63634 L
.69529 .63585 L
.69372 .63392 L
.69366 .63385 L
.69185 .63199 L
.69173 .63123 L
.6908 .63007 L
.6898 .62858 L
.68957 .62814 L
.688 .62621 L
.68788 .62607 L
.68621 .62429 L
.68595 .62343 L
.68512 .62236 L
.68402 .62077 L
.68388 .62043 L
.68232 .61851 L
.68209 .61825 L
.68057 .61658 L
.68017 .61559 L
.67947 .61465 L
.67824 .61294 L
.67818 .61273 L
.67666 .6108 L
.67631 .6104 L
.67494 .60887 L
.67439 .60773 L
.67382 .60694 L
.67246 .60509 L
.67245 .60502 L
.671 .60309 L
.67053 .60254 L
.66933 .60116 L
.66861 .59985 L
.66818 .59924 L
.66675 .59731 L
.66668 .59727 L
.66536 .59538 L
.66475 .59467 L
.66372 .59346 L
.66283 .59197 L
.66254 .59153 L
.66111 .5896 L
.6609 .58947 L
.65972 .58768 L
.65897 .58679 L
.65811 .58575 L
.65704 .58407 L
.65689 .58382 L
.65548 .58189 L
.65512 .58164 L
.65341 .57997 L
.65319 .57888 L
.65251 .57804 L
.65126 .57616 L
.65124 .57611 L
.64985 .57419 L
.64934 .57378 L
.64787 .57226 L
.64741 .57097 L
.64692 .57033 L
.6456 .56841 L
.64548 .56825 L
.64422 .56648 L
.64356 .56588 L
.64234 .56455 L
.64163 .56304 L
.64132 .56263 L
.63998 .5607 L
.6397 .56033 L
.6386 .55877 L
.63778 .55795 L
.63682 .55684 L
.63585 .55509 L
.63573 .55492 L
.63437 .55299 L
.63392 .5524 L
.63298 .55106 L
.63199 .54998 L
.63129 .54914 L
.63013 .54721 L
.63007 .54713 L
.62877 .54528 L
.62814 .54445 L
.62738 .54336 L
.62621 .54197 L
.62578 .54143 L
.62455 .5395 L
.62429 .53916 L
.62318 .53758 L
.62236 .53648 L
.62178 .53565 L
.62043 .5339 L
.6203 .53372 L
.61899 .53179 L
.61851 .53115 L
.61763 .52987 L
.61658 .52847 L
.61622 .52794 L
.61481 .52601 L
.61465 .5258 L
.61349 .52409 L
.61273 .52307 L
.61212 .52216 L
.6108 .52037 L
.6106 .52023 L
.6094 .51831 L
.60887 .51759 L
.60809 .51638 L
.60694 .5148 L
.60673 .51445 L
.60544 .51253 L
.60502 .51193 L
.60423 .5106 L
.60309 .50889 L
.60298 .50867 L
.60201 .50674 L
F
0 .94 1 r
.60309 .6063 m
.60382 .60694 L
.60502 .60813 L
.60563 .60887 L
.60694 .61045 L
.6072 .6108 L
.60861 .61273 L
.60887 .61308 L
.6099 .61465 L
.6108 .616 L
.61114 .61658 L
.6108 .61838 L
.60902 .61658 L
.60887 .61643 L
.60738 .61465 L
.60694 .61415 L
.60585 .61273 L
.60502 .61165 L
.60441 .6108 L
.60309 .60887 L
.60309 .60887 L
.60213 .60694 L
F
0 .54 1 r
.60309 .53108 m
.60364 .53179 L
.60502 .53343 L
.60524 .53372 L
.60502 .53557 L
.60386 .53372 L
.60309 .53271 L
.60256 .53179 L
F
1 .82 0 r
.60309 .52283 m
.60419 .52409 L
.60502 .52499 L
.60587 .52601 L
.60694 .52727 L
.6075 .52794 L
.60887 .52955 L
.60907 .52987 L
.6106 .53179 L
.6108 .53203 L
.61213 .53372 L
.61273 .53446 L
.61365 .53565 L
.61465 .5368 L
.61573 .53758 L
.61658 .53942 L
.61665 .5395 L
.61811 .54143 L
.61851 .54193 L
.61959 .54336 L
.62043 .54434 L
.62151 .54528 L
.62236 .547 L
.62252 .54721 L
.62396 .54914 L
.62429 .54957 L
.62541 .55106 L
.62621 .55202 L
.62718 .55299 L
.62814 .55472 L
.62828 .55492 L
.62971 .55684 L
.63007 .55733 L
.63114 .55877 L
.63199 .55982 L
.6328 .5607 L
.63392 .56255 L
.63397 .56263 L
.63538 .56455 L
.63585 .56471 L
.63679 .56648 L
.63778 .56773 L
.63836 .56841 L
.63959 .57033 L
.6397 .57048 L
.64098 .57226 L
.64163 .57266 L
.64237 .57419 L
.64356 .57577 L
.64384 .57611 L
.64512 .57804 L
.64548 .57854 L
.64649 .57997 L
.64741 .58084 L
.64786 .58189 L
.64921 .58382 L
.64934 .58399 L
.65053 .58575 L
.65126 .58678 L
.65187 .58768 L
.65319 .58956 L
.65323 .5896 L
.65444 .59153 L
.65512 .5925 L
.65571 .59346 L
.65512 .59535 L
.65356 .59346 L
.65319 .59306 L
.65198 .59153 L
.65126 .5907 L
.65042 .5896 L
.64934 .58877 L
.64887 .58768 L
.64741 .58587 L
.64726 .58575 L
.64587 .58382 L
.64548 .58335 L
.64439 .58189 L
.64356 .58134 L
.6429 .57997 L
.64163 .57839 L
.64125 .57804 L
.63997 .57611 L
.6397 .57578 L
.63854 .57419 L
.63778 .57367 L
.63708 .57226 L
.63585 .57072 L
.63547 .57033 L
.63419 .56841 L
.63392 .56806 L
.63278 .56648 L
.63199 .56588 L
.63134 .56455 L
.63007 .56292 L
.62979 .56263 L
.62849 .5607 L
.62814 .56025 L
.62709 .55877 L
.62621 .558 L
.62566 .55684 L
.62429 .55503 L
.62419 .55492 L
.62285 .55299 L
.62236 .55235 L
.62146 .55106 L
.62043 .55 L
.62004 .54914 L
.61863 .54721 L
.61851 .54705 L
.61727 .54528 L
.61658 .54436 L
.61588 .54336 L
.61465 .54185 L
.61424 .54143 L
.61312 .5395 L
.61273 .53898 L
.61177 .53758 L
.6108 .53626 L
.61039 .53565 L
.60901 .53372 L
.60887 .53353 L
.60773 .53179 L
.60694 .53072 L
.6064 .52987 L
.60503 .52794 L
.60502 .52793 L
.60384 .52601 L
.60309 .52494 L
.60261 .52409 L
F
0 .53 1 r
.60309 .53127 m
.6035 .53179 L
.60502 .53356 L
.60514 .53372 L
.60502 .53543 L
.60399 .53372 L
.60309 .53252 L
.6027 .53179 L
F
1 .81 0 r
.60309 .52321 m
.6039 .52409 L
.60502 .52524 L
.60567 .52601 L
.60694 .52747 L
.60733 .52794 L
.60887 .52978 L
.60893 .52987 L
.61047 .53179 L
.6108 .53219 L
.61201 .53372 L
.61273 .5346 L
.61355 .53565 L
.61465 .53694 L
.61556 .53758 L
.61655 .5395 L
.61658 .53954 L
.61802 .54143 L
.61851 .54205 L
.61951 .54336 L
.62043 .54445 L
.6214 .54528 L
.62236 .54711 L
.62244 .54721 L
.62388 .54914 L
.62429 .54967 L
.62533 .55106 L
.62621 .55212 L
.62709 .55299 L
.62814 .55482 L
.62821 .55492 L
.62963 .55684 L
.63007 .55742 L
.63107 .55877 L
.63199 .55992 L
.63272 .5607 L
.63391 .56263 L
.63392 .56265 L
.63531 .56455 L
.63585 .56477 L
.63672 .56648 L
.63778 .56783 L
.63827 .56841 L
.63952 .57033 L
.6397 .57058 L
.6409 .57226 L
.64163 .57275 L
.6423 .57419 L
.64356 .5759 L
.64373 .57611 L
.64503 .57804 L
.64548 .57865 L
.6464 .57997 L
.64741 .58102 L
.64777 .58189 L
.64911 .58382 L
.64934 .58414 L
.65042 .58575 L
.65126 .58694 L
.65176 .58768 L
.65307 .5896 L
.65319 .58978 L
.65428 .59153 L
.65512 .59276 L
.65553 .59346 L
.65512 .59506 L
.65377 .59346 L
.65319 .59285 L
.65214 .59153 L
.65126 .59053 L
.65055 .5896 L
.64934 .58855 L
.64898 .58768 L
.64744 .58575 L
.64741 .58572 L
.64597 .58382 L
.64548 .58323 L
.64448 .58189 L
.64356 .58122 L
.64298 .57997 L
.64163 .57827 L
.64138 .57804 L
.64005 .57611 L
.6397 .57568 L
.6386 .57419 L
.63778 .57358 L
.63714 .57226 L
.63585 .57062 L
.63556 .57033 L
.63426 .56841 L
.63392 .56798 L
.63284 .56648 L
.63199 .5658 L
.6314 .56455 L
.63007 .56283 L
.62988 .56263 L
.62855 .5607 L
.62814 .56017 L
.62715 .55877 L
.62621 .55791 L
.62572 .55684 L
.62429 .55493 L
.62427 .55492 L
.62291 .55299 L
.62236 .55227 L
.62152 .55106 L
.62043 .5499 L
.62009 .54914 L
.61869 .54721 L
.61851 .54697 L
.61734 .54528 L
.61658 .54427 L
.61595 .54336 L
.61465 .54171 L
.61438 .54143 L
.61319 .5395 L
.61273 .53888 L
.61185 .53758 L
.6108 .53615 L
.61047 .53565 L
.60911 .53372 L
.60887 .5334 L
.60783 .53179 L
.60694 .53057 L
.6065 .52987 L
.60518 .52794 L
.60502 .52772 L
.60402 .52601 L
.60309 .52462 L
.60283 .52409 L
F
0 .52 1 r
.60309 .53152 m
.60331 .53179 L
.60502 .53372 L
.60502 .53372 L
.60502 .53526 L
.60417 .53372 L
.60309 .53227 L
.60288 .53179 L
F
0 .95 1 r
.60309 .51536 m
.60424 .51638 L
.60502 .51709 L
.60614 .51831 L
.60694 .51918 L
.60787 .52023 L
.60887 .52111 L
.60953 .52216 L
.6108 .52368 L
.61133 .52409 L
.61271 .52601 L
.61273 .52604 L
.61427 .52794 L
.61465 .52828 L
.61583 .52987 L
.61658 .53083 L
.61752 .53179 L
.61851 .53334 L
.61876 .53372 L
.62035 .53565 L
.62043 .53573 L
.62186 .53758 L
.62236 .53825 L
.62341 .5395 L
.62429 .54083 L
.62463 .54143 L
.62621 .54331 L
.62628 .54336 L
.62775 .54528 L
.62814 .54582 L
.62922 .54721 L
.63007 .54845 L
.63042 .54914 L
.63199 .55099 L
.6321 .55106 L
.63389 .55299 L
.63392 .55351 L
.63496 .55492 L
.63585 .55616 L
.63614 .55684 L
.63778 .55872 L
.63786 .55877 L
.63954 .5607 L
.6397 .56127 L
.64066 .56263 L
.64163 .56394 L
.64183 .56455 L
.64356 .56648 L
.64356 .56648 L
.64519 .56841 L
.64548 .56909 L
.64632 .57033 L
.64741 .57177 L
.64751 .57226 L
.64924 .57419 L
.64934 .5743 L
.65083 .57611 L
.65126 .57695 L
.65196 .57804 L
.65319 .57963 L
.6532 .57997 L
.65488 .58189 L
.65512 .58217 L
.65644 .58382 L
.65704 .58486 L
.65758 .58575 L
.65897 .58753 L
.6591 .58768 L
.6605 .5896 L
.6609 .59008 L
.66203 .59153 L
.66283 .59281 L
.66319 .59346 L
.66468 .59538 L
.66475 .5954 L
.66607 .59731 L
.66668 .59804 L
.66757 .59924 L
.66861 .60082 L
.66878 .60116 L
.67022 .60309 L
.67053 .60322 L
.67229 .60502 L
.67246 .60611 L
.67306 .60694 L
.67435 .60887 L
.67439 .60893 L
.67569 .6108 L
.67631 .61124 L
.6776 .61273 L
.67824 .61436 L
.67844 .61465 L
.67972 .61658 L
.68017 .61721 L
.68104 .61851 L
.68209 .61977 L
.6826 .62043 L
.68363 .62236 L
.68402 .62293 L
.68488 .62429 L
.68595 .62592 L
.68613 .62621 L
.68722 .62814 L
.68788 .62926 L
.68822 .63007 L
.68788 .63073 L
.68718 .63007 L
.68595 .62893 L
.68526 .62814 L
.68402 .62681 L
.68353 .62621 L
.68209 .62462 L
.68188 .62429 L
.68029 .62236 L
.68017 .62222 L
.67875 .62043 L
.67824 .62032 L
.67721 .61851 L
.67631 .61751 L
.67503 .61658 L
.67439 .61494 L
.67412 .61465 L
.67269 .61273 L
.67246 .61267 L
.67122 .6108 L
.67053 .61003 L
.6692 .60887 L
.66861 .60741 L
.66821 .60694 L
.66681 .60502 L
.66668 .60498 L
.66537 .60309 L
.66475 .60239 L
.66349 .60116 L
.66283 .59973 L
.66243 .59924 L
.66103 .59731 L
.6609 .59726 L
.65961 .59538 L
.65897 .59465 L
.65782 .59346 L
.65704 .59197 L
.65671 .59153 L
.6553 .5896 L
.65512 .58952 L
.65389 .58768 L
.65319 .58686 L
.65218 .58575 L
.65126 .58416 L
.65102 .58382 L
.64962 .58189 L
.64934 .58174 L
.64821 .57997 L
.64741 .57901 L
.64656 .57804 L
.64548 .5763 L
.64536 .57611 L
.64396 .57419 L
.64356 .57393 L
.64255 .57226 L
.64163 .57113 L
.64095 .57033 L
.6397 .56841 L
.6397 .56841 L
.63832 .56648 L
.63778 .56607 L
.63691 .56455 L
.63585 .56322 L
.63537 .56263 L
.63408 .5607 L
.63392 .56049 L
.6327 .55877 L
.63199 .55816 L
.63071 .55684 L
.63007 .55526 L
.6298 .55492 L
.62848 .55299 L
.62814 .55254 L
.6271 .55106 L
.62621 .55017 L
.62527 .54914 L
.62429 .54724 L
.62426 .54721 L
.62292 .54528 L
.62236 .54454 L
.62153 .54336 L
.62043 .54208 L
.61988 .54143 L
.61874 .5395 L
.61851 .5392 L
.61739 .53758 L
.61658 .53649 L
.61601 .53565 L
.61465 .53384 L
.61455 .53372 L
.61328 .53179 L
.61273 .53105 L
.61194 .52987 L
.6108 .52831 L
.61056 .52794 L
.60923 .52601 L
.60887 .52552 L
.60796 .52409 L
.60694 .52266 L
.60663 .52216 L
.60536 .52023 L
.60502 .51973 L
.60422 .51831 L
.60309 .51648 L
.60305 .51638 L
F
1 .99 0 r
.60502 .60106 m
.60598 .60116 L
.60694 .60141 L
.60887 .60309 L
.60887 .6031 L
.61041 .60502 L
.6108 .60576 L
.61196 .60694 L
.61273 .60837 L
.61315 .60887 L
.61465 .61078 L
.61473 .6108 L
.61653 .61273 L
.61658 .61326 L
.61761 .61465 L
.61851 .61595 L
.6188 .61658 L
.62035 .61851 L
.62043 .61862 L
.62215 .62043 L
.62236 .62096 L
.62318 .62236 L
.62429 .62391 L
.62441 .62429 L
.62583 .62621 L
.62621 .62678 L
.62756 .62814 L
.62814 .62978 L
.62835 .63007 L
.62891 .63199 L
.62814 .63263 L
.62621 .63216 L
.62593 .63199 L
.62429 .63079 L
.6235 .63007 L
.62236 .62873 L
.62203 .62814 L
.62043 .62635 L
.62033 .62621 L
.61853 .62429 L
.61851 .62377 L
.61735 .62236 L
.61658 .62104 L
.61617 .62043 L
.61465 .61873 L
.61449 .61851 L
.61284 .61658 L
.61273 .6161 L
.61165 .61465 L
.6108 .61342 L
.61051 .61273 L
.60887 .61084 L
.60883 .6108 L
.60719 .60887 L
.60694 .60855 L
.60606 .60694 L
.60502 .60586 L
.60489 .60502 L
.60339 .60309 L
.60339 .60116 L
F
1 .89 0 r
.60502 .75152 m
.60694 .75175 L
.60887 .75252 L
.61064 .75339 L
.6108 .75347 L
.61273 .75452 L
.61411 .75532 L
.61465 .75567 L
.61658 .75689 L
.61713 .75725 L
.61851 .75816 L
.62 .75917 L
.62043 .75948 L
.62236 .76083 L
.62273 .7611 L
.62429 .76222 L
.62539 .76303 L
.62621 .76364 L
.62796 .76495 L
.62814 .76509 L
.63007 .76656 L
.63049 .76688 L
.63199 .76805 L
.63296 .76881 L
.63392 .76956 L
.63539 .77073 L
.63585 .7711 L
.63778 .77265 L
.63779 .77266 L
.6397 .77422 L
.64016 .77459 L
.64163 .7758 L
.6425 .77651 L
.64356 .7774 L
.64481 .77844 L
.64548 .77901 L
.64709 .78037 L
.64741 .78064 L
.64934 .78228 L
.64936 .7823 L
.65126 .78393 L
.6516 .78422 L
.65319 .7856 L
.65382 .78615 L
.65512 .78728 L
.65602 .78808 L
.65704 .78897 L
.65821 .79 L
.65897 .79068 L
.66038 .79193 L
.6609 .79239 L
.66253 .79386 L
.66283 .79412 L
.66467 .79578 L
.66475 .79586 L
.66668 .7976 L
.6668 .79771 L
.66861 .79936 L
.66891 .79964 L
.67053 .80113 L
.67101 .80156 L
.67246 .8029 L
.6731 .80349 L
.67439 .80469 L
.67517 .80542 L
.67631 .80648 L
.67724 .80735 L
.67824 .80829 L
.67929 .80927 L
.68017 .8101 L
.68133 .8112 L
.68209 .81192 L
.68336 .81313 L
.68402 .81376 L
.68538 .81505 L
.68595 .8156 L
.68739 .81698 L
.68788 .81745 L
.68939 .81891 L
.6898 .81931 L
.69137 .82083 L
.69173 .82118 L
.69335 .82276 L
.69366 .82306 L
.69531 .82469 L
.69558 .82496 L
.69726 .82661 L
.69751 .82687 L
.69919 .82854 L
.69944 .82879 L
.70111 .83047 L
.70136 .83072 L
.70302 .8324 L
.70329 .83267 L
.70491 .83432 L
.70522 .83463 L
.70679 .83625 L
.70715 .83661 L
.70866 .83818 L
.70907 .8386 L
.71051 .8401 L
.711 .84061 L
.71235 .84203 L
.71293 .84264 L
.71417 .84396 L
.71485 .84468 L
.71598 .84588 L
.71678 .84674 L
.71778 .84781 L
.71871 .84882 L
.71955 .84974 L
.72063 .85091 L
.72132 .85166 L
.72256 .85303 L
.72307 .85359 L
.72449 .85517 L
.7248 .85552 L
.72641 .85734 L
.72651 .85745 L
.7282 .85937 L
.72834 .85953 L
.72988 .8613 L
.73027 .86175 L
.73153 .86323 L
.7322 .86401 L
.73316 .86515 L
.73412 .86631 L
.73476 .86708 L
.73605 .86866 L
.73633 .86901 L
.73787 .87093 L
.73798 .87106 L
.73938 .87286 L
.7399 .87354 L
.74084 .87479 L
.74183 .87613 L
.74225 .87671 L
.7436 .87864 L
.74376 .87885 L
.74487 .88057 L
.74568 .88183 L
.74604 .8825 L
.74709 .88442 L
.74761 .88565 L
.74788 .88635 L
.74831 .88828 L
.74761 .88925 L
.74568 .88955 L
.74376 .88885 L
.74246 .88828 L
.74183 .88799 L
.7399 .88698 L
.73874 .88635 L
.73798 .88587 L
.73605 .88468 L
.73564 .88442 L
.73412 .88343 L
.73272 .8825 L
.7322 .88213 L
.73027 .88079 L
.72995 .88057 L
.72834 .87942 L
.72727 .87864 L
.72641 .87801 L
.72468 .87671 L
.72449 .87657 L
.72256 .87511 L
.72214 .87479 L
.72063 .87363 L
.71965 .87286 L
.71871 .87212 L
.7172 .87093 L
.71678 .8706 L
.71485 .86905 L
.71479 .86901 L
.71293 .86749 L
.71242 .86708 L
.711 .86592 L
.71007 .86515 L
.70907 .86432 L
.70775 .86323 L
.70715 .86272 L
.70546 .8613 L
.70522 .8611 L
.70329 .85946 L
.70318 .85937 L
.70136 .85782 L
.70093 .85745 L
.69944 .85616 L
.6987 .85552 L
.69751 .85448 L
.69649 .85359 L
.69558 .8528 L
.69429 .85166 L
.69366 .85111 L
.69211 .84974 L
.69173 .8494 L
.68995 .84781 L
.6898 .84768 L
.68788 .84595 L
.6878 .84588 L
.68595 .84422 L
.68566 .84396 L
.68402 .84247 L
.68354 .84203 L
.68209 .84071 L
.68144 .8401 L
.68017 .83893 L
.67935 .83818 L
.67824 .83715 L
.67727 .83625 L
.67631 .83536 L
.6752 .83432 L
.67439 .83356 L
.67315 .8324 L
.67246 .83175 L
.6711 .83047 L
.67053 .82993 L
.66907 .82854 L
.66861 .8281 L
.66706 .82661 L
.66668 .82625 L
.66505 .82469 L
.66475 .8244 L
.66306 .82276 L
.66283 .82254 L
.66108 .82083 L
.6609 .82066 L
.65911 .81891 L
.65897 .81878 L
.65715 .81698 L
.65704 .81688 L
.6552 .81505 L
.65512 .81497 L
.65327 .81313 L
.65319 .81305 L
.65134 .8112 L
.65126 .81112 L
.64943 .80927 L
.64934 .80917 L
.64754 .80735 L
.64741 .80722 L
.64565 .80542 L
.64548 .80525 L
.64378 .80349 L
.64356 .80326 L
.64192 .80156 L
.64163 .80126 L
.64007 .79964 L
.6397 .79925 L
.63824 .79771 L
.63778 .79722 L
.63642 .79578 L
.63585 .79518 L
.63462 .79386 L
.63392 .79311 L
.63283 .79193 L
.63199 .79103 L
.63105 .79 L
.63007 .78893 L
.6293 .78808 L
.62814 .7868 L
.62756 .78615 L
.62621 .78465 L
.62583 .78422 L
.62429 .78247 L
.62413 .7823 L
.62245 .78037 L
.62236 .78027 L
.62079 .77844 L
.62043 .77803 L
.61915 .77651 L
.61851 .77575 L
.61754 .77459 L
.61658 .77342 L
.61596 .77266 L
.61465 .77104 L
.61441 .77073 L
.6129 .76881 L
.61273 .76859 L
.61142 .76688 L
.6108 .76606 L
.60999 .76495 L
.60887 .76339 L
.60863 .76303 L
.60732 .7611 L
.60694 .76058 L
.60611 .75917 L
.60504 .75725 L
.60502 .75721 L
.60411 .75532 L
.6034 .75339 L
F
0 .93 1 r
.60502 .60873 m
.60514 .60887 L
.60676 .6108 L
.60694 .61102 L
.60811 .61273 L
.60887 .61378 L
.60937 .61465 L
.60887 .61564 L
.60798 .61465 L
.60694 .61351 L
.60634 .61273 L
.60502 .61101 L
.60487 .6108 L
.60376 .60887 L
F
1 .97 0 r
.60502 .57543 m
.60558 .57611 L
.60694 .57759 L
.60721 .57804 L
.60875 .57997 L
.60887 .58012 L
.61024 .58189 L
.6108 .58263 L
.61168 .58382 L
.61273 .58506 L
.6135 .58575 L
.6144 .58768 L
.61465 .58806 L
.61566 .5896 L
.61658 .5912 L
.61677 .59153 L
.61658 .59338 L
.61465 .59175 L
.61456 .59153 L
.61292 .5896 L
.61273 .58938 L
.61144 .58768 L
.6108 .58688 L
.61 .58575 L
.60887 .58426 L
.60857 .58382 L
.60722 .58189 L
.60694 .5815 L
.606 .57997 L
.60502 .57846 L
.60479 .57804 L
.60381 .57611 L
F
1 .98 0 r
.60502 .60178 m
.60694 .60215 L
.60822 .60309 L
.60887 .60434 L
.61003 .60502 L
.6108 .60623 L
.61171 .60694 L
.61273 .60861 L
.61298 .60887 L
.6145 .6108 L
.61465 .61091 L
.61648 .61273 L
.61658 .61352 L
.61742 .61465 L
.61851 .61625 L
.61866 .61658 L
.6201 .61851 L
.62043 .61898 L
.62198 .62043 L
.62236 .62142 L
.62287 .62236 L
.62409 .62429 L
.62429 .6246 L
.62528 .62621 L
.62621 .62789 L
.62646 .62814 L
.6264 .63007 L
.62621 .63015 L
.62579 .63007 L
.62429 .62958 L
.62286 .62814 L
.62236 .62769 L
.62099 .62621 L
.62043 .62555 L
.61865 .62429 L
.61851 .62317 L
.6177 .62236 L
.61658 .62068 L
.61638 .62043 L
.61478 .61851 L
.61465 .61836 L
.61293 .61658 L
.61273 .61578 L
.61186 .61465 L
.6108 .61314 L
.61063 .61273 L
.60906 .6108 L
.60887 .61054 L
.60733 .60887 L
.60694 .60825 L
.60631 .60694 L
.60504 .60502 L
.60502 .60498 L
.60403 .60309 L
F
1 .8 0 r
.60502 .52554 m
.60544 .52601 L
.60694 .5277 L
.60715 .52794 L
.60876 .52987 L
.60887 .52999 L
.61033 .53179 L
.6108 .53235 L
.61189 .53372 L
.61273 .53475 L
.61344 .53565 L
.61465 .5371 L
.61535 .53758 L
.61644 .5395 L
.61658 .53967 L
.61793 .54143 L
.61851 .54216 L
.61942 .54336 L
.62043 .54457 L
.62128 .54528 L
.62235 .54721 L
.62236 .54722 L
.6238 .54914 L
.62429 .54977 L
.62526 .55106 L
.62621 .55223 L
.627 .55299 L
.62814 .55492 L
.62814 .55492 L
.62956 .55684 L
.63007 .55752 L
.63099 .55877 L
.63199 .56002 L
.63263 .5607 L
.63383 .56263 L
.63392 .56274 L
.63523 .56455 L
.63585 .56484 L
.63665 .56648 L
.63778 .56795 L
.63818 .56841 L
.63944 .57033 L
.6397 .57069 L
.64082 .57226 L
.64163 .57287 L
.64222 .57419 L
.64356 .57603 L
.64362 .57611 L
.64495 .57804 L
.64548 .57878 L
.64631 .57997 L
.64741 .58122 L
.64768 .58189 L
.649 .58382 L
.64934 .58429 L
.65031 .58575 L
.65126 .58711 L
.65164 .58768 L
.6529 .5896 L
.65319 .59001 L
.6541 .59153 L
.65512 .59308 L
.65533 .59346 L
.65512 .59469 L
.65403 .59346 L
.65319 .59261 L
.65232 .59153 L
.65126 .59034 L
.65069 .5896 L
.64934 .58829 L
.64909 .58768 L
.64756 .58575 L
.64741 .58558 L
.64607 .58382 L
.64548 .58311 L
.64457 .58189 L
.64356 .58108 L
.64306 .57997 L
.64163 .57815 L
.64151 .57804 L
.64013 .57611 L
.6397 .57559 L
.63868 .57419 L
.63778 .57348 L
.63721 .57226 L
.63585 .57052 L
.63566 .57033 L
.63432 .56841 L
.63392 .56789 L
.6329 .56648 L
.63199 .56571 L
.63145 .56455 L
.63007 .56274 L
.62996 .56263 L
.62861 .5607 L
.62814 .56009 L
.6272 .55877 L
.62621 .55781 L
.62577 .55684 L
.62434 .55492 L
.62429 .55485 L
.62297 .55299 L
.62236 .55219 L
.62157 .55106 L
.62043 .54978 L
.62015 .54914 L
.61876 .54721 L
.61851 .54688 L
.61741 .54528 L
.61658 .54418 L
.61601 .54336 L
.61465 .54156 L
.61452 .54143 L
.61328 .5395 L
.61273 .53877 L
.61193 .53758 L
.6108 .53603 L
.61054 .53565 L
.60922 .53372 L
.60887 .53325 L
.60795 .53179 L
.60694 .5304 L
.60662 .52987 L
.60536 .52794 L
.60502 .52745 L
.60426 .52601 L
F
1 .79 0 r
.60502 .52593 m
.6051 .52601 L
.60502 .52706 L
.60467 .52601 L
F
1 .97 0 r
.60502 .60268 m
.60694 .60278 L
.60746 .60309 L
.60887 .60487 L
.60965 .60502 L
.6108 .60655 L
.61143 .60694 L
.61273 .6088 L
.61281 .60887 L
.61428 .6108 L
.61465 .61108 L
.61637 .61273 L
.61658 .61381 L
.61721 .61465 L
.6185 .61658 L
.61851 .61658 L
.61984 .61851 L
.62043 .61936 L
.6217 .62043 L
.62236 .62211 L
.62249 .62236 L
.62362 .62429 L
.62429 .62548 L
.62465 .62621 L
.62429 .62803 L
.62236 .62686 L
.62172 .62621 L
.62043 .62491 L
.61916 .62429 L
.61851 .62271 L
.61809 .62236 L
.61658 .62044 L
.61658 .62043 L
.61506 .61851 L
.61465 .61805 L
.61307 .61658 L
.61273 .61547 L
.61208 .61465 L
.6108 .61286 L
.61074 .61273 L
.6093 .6108 L
.60887 .6102 L
.60751 .60887 L
.60694 .60777 L
.60659 .60694 L
.60544 .60502 L
.60502 .60408 L
.60476 .60309 L
F
1 .36 0 r
.60502 .54145 m
.60623 .54336 L
.60694 .54429 L
.60754 .54528 L
.60887 .54715 L
.60891 .54721 L
.60887 .54803 L
.60827 .54721 L
.60694 .54584 L
.60655 .54528 L
.60502 .54347 L
.60494 .54336 L
F
0 .46 1 r
.60502 .54976 m
.60555 .55106 L
.60502 .55114 L
.60495 .55106 L
F
0 .91 1 r
.60502 .58505 m
.60543 .58575 L
.60502 .5858 L
.60498 .58575 L
F
1 .35 0 r
.60502 .54157 m
.60612 .54336 L
.60694 .54444 L
.60743 .54528 L
.60694 .5457 L
.60664 .54528 L
.60502 .54337 L
.60501 .54336 L
F
1 .96 0 r
.60694 .60341 m
.60887 .605 L
.60923 .60502 L
.6108 .6068 L
.61108 .60694 L
.61257 .60887 L
.61273 .60906 L
.61404 .6108 L
.61465 .6113 L
.61618 .61273 L
.61658 .61413 L
.61697 .61465 L
.61825 .61658 L
.61851 .61693 L
.61957 .61851 L
.62043 .61977 L
.62128 .62043 L
.62206 .62236 L
.62236 .62287 L
.62307 .62429 L
.62236 .62588 L
.62043 .62431 L
.62038 .62429 L
.61858 .62236 L
.61851 .62228 L
.61693 .62043 L
.61658 .62026 L
.61536 .61851 L
.61465 .61773 L
.61329 .61658 L
.61273 .61515 L
.61232 .61465 L
.61093 .61273 L
.6108 .61255 L
.60954 .6108 L
.60887 .60986 L
.60777 .60887 L
.60694 .60704 L
.60691 .60694 L
.60588 .60502 L
F
0 .94 1 r
.60694 .52003 m
.60715 .52023 L
.60887 .52198 L
.60897 .52216 L
.61066 .52409 L
.6108 .52424 L
.61231 .52601 L
.61273 .5265 L
.61393 .52794 L
.61465 .52861 L
.61551 .52987 L
.61658 .5312 L
.61722 .53179 L
.61851 .53364 L
.61856 .53372 L
.62011 .53565 L
.62043 .53596 L
.62164 .53758 L
.62236 .53853 L
.62322 .5395 L
.62429 .54107 L
.6245 .54143 L
.62609 .54336 L
.62621 .54349 L
.62757 .54528 L
.62814 .54605 L
.62907 .54721 L
.63007 .54865 L
.63031 .54914 L
.63194 .55106 L
.63199 .55112 L
.63388 .55299 L
.63392 .5537 L
.63483 .55492 L
.63585 .55633 L
.63606 .55684 L
.63772 .55877 L
.63778 .55883 L
.63949 .5607 L
.6397 .56144 L
.64055 .56263 L
.64163 .56409 L
.64178 .56455 L
.64344 .56648 L
.64356 .56661 L
.64512 .56841 L
.64548 .56925 L
.64622 .57033 L
.64741 .57191 L
.64748 .57226 L
.64912 .57419 L
.64934 .57443 L
.65075 .57611 L
.65126 .5771 L
.65187 .57804 L
.65319 .57976 L
.65319 .57997 L
.65477 .58189 L
.65512 .5823 L
.65635 .58382 L
.65704 .58501 L
.65749 .58575 L
.65897 .58767 L
.65898 .58768 L
.66038 .5896 L
.6609 .59022 L
.66192 .59153 L
.66283 .59298 L
.6631 .59346 L
.66455 .59538 L
.66475 .59543 L
.66594 .59731 L
.66668 .59823 L
.66744 .59924 L
.66861 .60102 L
.66868 .60116 L
.67007 .60309 L
.67053 .60333 L
.67216 .60502 L
.67246 .60636 L
.67288 .60694 L
.67415 .60887 L
.67439 .6092 L
.67549 .6108 L
.67631 .61155 L
.67731 .61273 L
.67817 .61465 L
.67824 .61476 L
.67945 .61658 L
.68017 .61762 L
.68075 .61851 L
.68203 .62043 L
.68209 .62052 L
.68321 .62236 L
.68402 .62363 L
.68439 .62429 L
.68402 .62602 L
.68242 .62429 L
.68209 .62396 L
.68074 .62236 L
.68017 .62174 L
.67911 .62043 L
.67824 .62003 L
.67751 .61851 L
.67631 .61714 L
.67548 .61658 L
.6744 .61465 L
.67439 .61464 L
.67291 .61273 L
.67246 .61258 L
.67141 .6108 L
.67053 .6098 L
.66941 .60887 L
.66861 .60719 L
.66839 .60694 L
.66697 .60502 L
.66668 .60492 L
.66551 .60309 L
.66475 .60222 L
.66363 .60116 L
.66283 .59957 L
.66255 .59924 L
.66115 .59731 L
.6609 .59721 L
.65972 .59538 L
.65897 .59452 L
.65793 .59346 L
.65704 .59184 L
.65681 .59153 L
.6554 .5896 L
.65512 .58946 L
.65398 .58768 L
.65319 .58674 L
.65227 .58575 L
.65126 .58404 L
.6511 .58382 L
.64971 .58189 L
.64934 .58168 L
.64829 .57997 L
.64741 .57891 L
.64665 .57804 L
.64548 .57619 L
.64543 .57611 L
.64404 .57419 L
.64356 .57386 L
.64263 .57226 L
.64163 .57103 L
.64104 .57033 L
.63978 .56841 L
.6397 .5683 L
.6384 .56648 L
.63778 .56598 L
.63699 .56455 L
.63585 .5631 L
.63546 .56263 L
.63416 .5607 L
.63392 .56038 L
.63278 .55877 L
.63199 .55805 L
.63082 .55684 L
.63007 .55512 L
.6299 .55492 L
.62858 .55299 L
.62814 .55242 L
.62719 .55106 L
.62621 .55002 L
.62541 .54914 L
.62437 .54721 L
.62429 .5471 L
.62302 .54528 L
.62236 .5444 L
.62164 .54336 L
.62043 .54187 L
.62006 .54143 L
.61887 .5395 L
.61851 .53902 L
.61753 .53758 L
.61658 .53629 L
.61615 .53565 L
.61476 .53372 L
.61465 .53358 L
.61347 .53179 L
.61273 .53078 L
.61213 .52987 L
.6108 .52801 L
.61076 .52794 L
.60952 .52601 L
.60887 .52509 L
.60827 .52409 L
.60698 .52216 L
.60694 .52211 L
.60603 .52023 L
F
1 .95 0 r
.60694 .60414 m
.60869 .60502 L
.60887 .60515 L
.61067 .60694 L
.6108 .60708 L
.61229 .60887 L
.61273 .60939 L
.6138 .6108 L
.61465 .61159 L
.61589 .61273 L
.61658 .6145 L
.61669 .61465 L
.61799 .61658 L
.61851 .61732 L
.61929 .61851 L
.62043 .62026 L
.62066 .62043 L
.62156 .62236 L
.62043 .62361 L
.61912 .62236 L
.61851 .62177 L
.61732 .62043 L
.61658 .62001 L
.61567 .61851 L
.61465 .61738 L
.61363 .61658 L
.61273 .61481 L
.61259 .61465 L
.61118 .61273 L
.6108 .61221 L
.60979 .6108 L
.60887 .60948 L
.60814 .60887 L
.60726 .60694 L
.60694 .60634 L
.60641 .60502 L
F
1 .96 0 r
.60887 .69894 m
.6108 .69893 L
.61273 .69926 L
.61363 .69944 L
.61465 .69977 L
.61658 .7005 L
.61843 .70136 L
.61851 .7014 L
.62043 .70243 L
.62175 .70329 L
.62236 .70364 L
.62425 .70522 L
.62429 .70525 L
.62605 .70715 L
.62621 .70739 L
.62694 .70907 L
.62621 .71068 L
.62595 .711 L
.62429 .71146 L
.62236 .71152 L
.62043 .71129 L
.6187 .711 L
.61851 .71091 L
.61658 .71034 L
.61465 .70951 L
.6138 .70907 L
.61273 .70853 L
.6108 .70718 L
.61075 .70715 L
.60887 .70554 L
.6086 .70522 L
.60714 .70329 L
.60694 .7029 L
.60649 .70136 L
.60694 .69992 L
.60753 .69944 L
F
0 .54 1 r
.60694 .53587 m
.60821 .53758 L
.60887 .53837 L
.6097 .5395 L
.6108 .54088 L
.6112 .54143 L
.61266 .54336 L
.61273 .54343 L
.61405 .54528 L
.61465 .54604 L
.61548 .54721 L
.61658 .54864 L
.61693 .54914 L
.61833 .55106 L
.61851 .55129 L
.61967 .55299 L
.62043 .55399 L
.62106 .55492 L
.62236 .55668 L
.62247 .55684 L
.62373 .55877 L
.62429 .55951 L
.62501 .5607 L
.62621 .56239 L
.62635 .56263 L
.62621 .56355 L
.62552 .56263 L
.62429 .56131 L
.62384 .5607 L
.62236 .55895 L
.62223 .55877 L
.62076 .55684 L
.62043 .55647 L
.61931 .55492 L
.61851 .55395 L
.61783 .55299 L
.61658 .55143 L
.61632 .55106 L
.61488 .54914 L
.61465 .54885 L
.6135 .54721 L
.61273 .54623 L
.61207 .54528 L
.6108 .54363 L
.61061 .54336 L
.60924 .54143 L
.60887 .54096 L
.6079 .5395 L
.60694 .53826 L
.6065 .53758 L
F
0 .53 1 r
.60694 .536 m
.60811 .53758 L
.60887 .53848 L
.60962 .5395 L
.6108 .54099 L
.61112 .54143 L
.61257 .54336 L
.61273 .54354 L
.61397 .54528 L
.61465 .54614 L
.61541 .54721 L
.61658 .54874 L
.61686 .54914 L
.61824 .55106 L
.61851 .5514 L
.61958 .55299 L
.62043 .55411 L
.62098 .55492 L
.62236 .55681 L
.62238 .55684 L
.62359 .55877 L
.62429 .55969 L
.62487 .5607 L
.62429 .56115 L
.62396 .5607 L
.62236 .55883 L
.62232 .55877 L
.62087 .55684 L
.62043 .55635 L
.61941 .55492 L
.61851 .55384 L
.6179 .55299 L
.61658 .55133 L
.61639 .55106 L
.61497 .54914 L
.61465 .54875 L
.61358 .54721 L
.61273 .54614 L
.61214 .54528 L
.6108 .54354 L
.61067 .54336 L
.60933 .54143 L
.60887 .54085 L
.60798 .5395 L
.60694 .53815 L
.60657 .53758 L
F
0 .52 1 r
.60694 .53614 m
.608 .53758 L
.60887 .5386 L
.60953 .5395 L
.6108 .54109 L
.61104 .54143 L
.61248 .54336 L
.61273 .54365 L
.61388 .54528 L
.61465 .54625 L
.61533 .54721 L
.61658 .54885 L
.61678 .54914 L
.61814 .55106 L
.61851 .55153 L
.61949 .55299 L
.62043 .55423 L
.62089 .55492 L
.62043 .55622 L
.61951 .55492 L
.61851 .55373 L
.61799 .55299 L
.61658 .55124 L
.61646 .55106 L
.61506 .54914 L
.61465 .54865 L
.61366 .54721 L
.61273 .54604 L
.61221 .54528 L
.6108 .54344 L
.61074 .54336 L
.60942 .54143 L
.60887 .54074 L
.60807 .5395 L
.60694 .53803 L
.60665 .53758 L
F
1 .79 0 r
.60694 .52795 m
.60857 .52987 L
.60887 .53019 L
.61017 .53179 L
.6108 .53252 L
.61176 .53372 L
.61273 .5349 L
.61332 .53565 L
.61465 .53727 L
.61512 .53758 L
.61634 .5395 L
.61658 .5398 L
.61783 .54143 L
.61851 .54228 L
.61933 .54336 L
.62043 .54469 L
.62114 .54528 L
.62227 .54721 L
.62236 .54733 L
.62372 .54914 L
.62429 .54988 L
.62518 .55106 L
.62621 .55234 L
.6269 .55299 L
.62806 .55492 L
.62814 .55502 L
.62949 .55684 L
.63007 .55762 L
.63092 .55877 L
.63199 .56013 L
.63253 .5607 L
.63376 .56263 L
.63392 .56284 L
.63516 .56455 L
.63585 .56492 L
.63658 .56648 L
.63778 .56806 L
.63808 .56841 L
.63936 .57033 L
.6397 .57079 L
.64074 .57226 L
.64163 .573 L
.64214 .57419 L
.64352 .57611 L
.64356 .57617 L
.64486 .57804 L
.64548 .5789 L
.64622 .57997 L
.64741 .58145 L
.64758 .58189 L
.64888 .58382 L
.64934 .58446 L
.65019 .58575 L
.65126 .5873 L
.65151 .58768 L
.65272 .5896 L
.65319 .59029 L
.65389 .59153 L
.65319 .59234 L
.65253 .59153 L
.65126 .59015 L
.65084 .5896 L
.64934 .58799 L
.64921 .58768 L
.64769 .58575 L
.64741 .58543 L
.64618 .58382 L
.64548 .58298 L
.64467 .58189 L
.64356 .58092 L
.64315 .57997 L
.64164 .57804 L
.64163 .57803 L
.64021 .57611 L
.6397 .57549 L
.63875 .57419 L
.63778 .57336 L
.63728 .57226 L
.63585 .57041 L
.63577 .57033 L
.63439 .56841 L
.63392 .56781 L
.63296 .56648 L
.63199 .5656 L
.63151 .56455 L
.63007 .56264 L
.63005 .56263 L
.62868 .5607 L
.62814 .56001 L
.62726 .55877 L
.62621 .55771 L
.62583 .55684 L
.6244 .55492 L
.62429 .55477 L
.62304 .55299 L
.62236 .5521 L
.62163 .55106 L
.62043 .54966 L
.62021 .54914 L
.61883 .54721 L
.61851 .54678 L
.61747 .54528 L
.61658 .54409 L
.61608 .54336 L
.61467 .54143 L
.61465 .54141 L
.61336 .5395 L
.61273 .53865 L
.61201 .53758 L
.6108 .53591 L
.61063 .53565 L
.60934 .53372 L
.60887 .53308 L
.60807 .53179 L
.60694 .5302 L
.60674 .52987 L
F
0 .51 1 r
.60694 .53631 m
.60787 .53758 L
.60887 .53874 L
.60943 .5395 L
.6108 .54121 L
.61096 .54143 L
.6108 .54334 L
.60953 .54143 L
.60887 .54061 L
.60817 .5395 L
.60694 .5379 L
.60674 .53758 L
F
1 .34 0 r
.60694 .54462 m
.60729 .54528 L
.60694 .54554 L
.60676 .54528 L
F
0 .5 1 r
.60694 .53651 m
.60772 .53758 L
.60887 .53889 L
.60932 .5395 L
.6108 .54134 L
.61086 .54143 L
.6108 .5432 L
.60966 .54143 L
.60887 .54046 L
.60829 .5395 L
.60694 .53774 L
.60685 .53758 L
F
1 .78 0 r
.60694 .52826 m
.60834 .52987 L
.60887 .53042 L
.61001 .53179 L
.6108 .5327 L
.61162 .53372 L
.61273 .53506 L
.6132 .53565 L
.61465 .53744 L
.61485 .53758 L
.61623 .5395 L
.61658 .53993 L
.61774 .54143 L
.61851 .5424 L
.61924 .54336 L
.62043 .54482 L
.621 .54528 L
.62218 .54721 L
.62236 .54744 L
.62364 .54914 L
.62429 .54998 L
.6251 .55106 L
.62621 .55245 L
.62678 .55299 L
.62798 .55492 L
.62814 .55512 L
.62941 .55684 L
.63007 .55772 L
.63085 .55877 L
.63199 .56024 L
.63243 .5607 L
.63368 .56263 L
.63392 .56294 L
.63509 .56455 L
.63585 .56502 L
.6365 .56648 L
.63778 .56818 L
.63797 .56841 L
.63928 .57033 L
.6397 .5709 L
.64066 .57226 L
.64163 .57315 L
.64206 .57419 L
.64342 .57611 L
.64356 .57629 L
.64476 .57804 L
.64548 .57904 L
.64612 .57997 L
.64741 .5817 L
.64748 .58189 L
.64876 .58382 L
.64934 .58463 L
.65006 .58575 L
.65126 .58751 L
.65137 .58768 L
.6525 .5896 L
.65319 .59066 L
.65361 .59153 L
.65319 .59198 L
.6528 .59153 L
.65126 .58993 L
.65101 .5896 L
.64935 .58768 L
.64934 .58766 L
.64783 .58575 L
.64741 .58528 L
.6463 .58382 L
.64548 .58285 L
.64476 .58189 L
.64356 .58074 L
.64323 .57997 L
.64173 .57804 L
.64163 .57791 L
.64029 .57611 L
.6397 .57538 L
.63882 .57419 L
.63778 .57324 L
.63734 .57226 L
.63587 .57033 L
.63585 .57031 L
.63446 .56841 L
.63392 .56772 L
.63303 .56648 L
.63199 .56549 L
.63157 .56455 L
.63012 .56263 L
.63007 .56255 L
.62874 .5607 L
.62814 .55992 L
.62732 .55877 L
.62621 .55759 L
.62588 .55684 L
.62447 .55492 L
.62429 .55468 L
.6231 .55299 L
.62236 .55202 L
.6217 .55106 L
.62043 .54953 L
.62027 .54914 L
.6189 .54721 L
.61851 .54669 L
.61755 .54528 L
.61658 .54399 L
.61615 .54336 L
.61475 .54143 L
.61465 .5413 L
.61345 .5395 L
.61273 .53853 L
.6121 .53758 L
.6108 .53578 L
.61072 .53565 L
.60947 .53372 L
.60887 .5329 L
.60821 .53179 L
.60694 .52997 L
.60689 .52987 L
F
1 .33 0 r
.60694 .54493 m
.60704 .54528 L
.60694 .54532 L
.60692 .54528 L
F
1 .88 0 r
.60887 .75539 m
.6108 .75556 L
.61273 .75636 L
.61449 .75725 L
.61465 .75733 L
.61658 .75839 L
.61792 .75917 L
.61851 .75956 L
.62043 .76079 L
.6209 .7611 L
.62236 .76208 L
.62374 .76303 L
.62429 .76341 L
.62621 .76479 L
.62645 .76495 L
.62814 .76619 L
.62908 .76688 L
.63007 .76762 L
.63163 .76881 L
.63199 .76909 L
.63392 .77057 L
.63413 .77073 L
.63585 .77208 L
.63658 .77266 L
.63778 .77361 L
.639 .77459 L
.6397 .77516 L
.64137 .77651 L
.64163 .77673 L
.64356 .77831 L
.64372 .77844 L
.64548 .77991 L
.64603 .78037 L
.64741 .78152 L
.64833 .7823 L
.64934 .78315 L
.65059 .78422 L
.65126 .7848 L
.65284 .78615 L
.65319 .78646 L
.65506 .78808 L
.65512 .78813 L
.65704 .78981 L
.65726 .79 L
.65897 .79151 L
.65945 .79193 L
.6609 .79322 L
.66162 .79386 L
.66283 .79494 L
.66377 .79578 L
.66475 .79667 L
.66591 .79771 L
.66668 .79841 L
.66803 .79964 L
.66861 .80017 L
.67014 .80156 L
.67053 .80193 L
.67223 .80349 L
.67246 .8037 L
.67431 .80542 L
.67439 .80549 L
.67631 .80728 L
.67638 .80735 L
.67824 .80909 L
.67844 .80927 L
.68017 .8109 L
.68048 .8112 L
.68209 .81273 L
.68252 .81313 L
.68402 .81456 L
.68454 .81505 L
.68595 .81641 L
.68654 .81698 L
.68788 .81826 L
.68854 .81891 L
.6898 .82013 L
.69052 .82083 L
.69173 .82201 L
.6925 .82276 L
.69366 .8239 L
.69445 .82469 L
.69558 .82581 L
.6964 .82661 L
.69751 .82772 L
.69833 .82854 L
.69944 .82965 L
.70025 .83047 L
.70136 .8316 L
.70215 .8324 L
.70329 .83356 L
.70404 .83432 L
.70522 .83553 L
.70591 .83625 L
.70715 .83752 L
.70777 .83818 L
.70907 .83953 L
.70962 .8401 L
.711 .84155 L
.71145 .84203 L
.71293 .8436 L
.71326 .84396 L
.71485 .84566 L
.71506 .84588 L
.71678 .84774 L
.71685 .84781 L
.71861 .84974 L
.71871 .84984 L
.72036 .85166 L
.72063 .85196 L
.72209 .85359 L
.72256 .85411 L
.72381 .85552 L
.72449 .85629 L
.7255 .85745 L
.72641 .8585 L
.72717 .85937 L
.72834 .86074 L
.72881 .8613 L
.73027 .86303 L
.73044 .86323 L
.73203 .86515 L
.7322 .86536 L
.73359 .86708 L
.73412 .86774 L
.73511 .86901 L
.73605 .87021 L
.73659 .87093 L
.73798 .8728 L
.73802 .87286 L
.7394 .87479 L
.7399 .87548 L
.7407 .87671 L
.74183 .87853 L
.74189 .87864 L
.74298 .88057 L
.74376 .88242 L
.74379 .8825 L
.74423 .88442 L
.74376 .88529 L
.74183 .88576 L
.7399 .88502 L
.73859 .88442 L
.73798 .88414 L
.73605 .88311 L
.73492 .8825 L
.73412 .88199 L
.7322 .88078 L
.73186 .88057 L
.73027 .87952 L
.72897 .87864 L
.72834 .8782 L
.72641 .87684 L
.72623 .87671 L
.72449 .87545 L
.72358 .87479 L
.72256 .87403 L
.721 .87286 L
.72063 .87258 L
.71871 .8711 L
.71849 .87093 L
.71678 .8696 L
.71602 .86901 L
.71485 .86808 L
.71359 .86708 L
.71293 .86654 L
.71121 .86515 L
.711 .86498 L
.70907 .86341 L
.70885 .86323 L
.70715 .86182 L
.70652 .8613 L
.70522 .86021 L
.70422 .85937 L
.70329 .85859 L
.70195 .85745 L
.70136 .85695 L
.69969 .85552 L
.69944 .8553 L
.69751 .85364 L
.69746 .85359 L
.69558 .85196 L
.69524 .85166 L
.69366 .85027 L
.69305 .84974 L
.69173 .84857 L
.69087 .84781 L
.6898 .84686 L
.68871 .84588 L
.68788 .84513 L
.68657 .84396 L
.68595 .8434 L
.68444 .84203 L
.68402 .84165 L
.68232 .8401 L
.68209 .8399 L
.68022 .83818 L
.68017 .83813 L
.67824 .83635 L
.67814 .83625 L
.67631 .83456 L
.67606 .83432 L
.67439 .83275 L
.674 .8324 L
.67246 .83094 L
.67196 .83047 L
.67053 .82912 L
.66993 .82854 L
.66861 .82728 L
.66791 .82661 L
.66668 .82544 L
.6659 .82469 L
.66475 .82358 L
.6639 .82276 L
.66283 .82171 L
.66192 .82083 L
.6609 .81983 L
.65995 .81891 L
.65897 .81794 L
.65799 .81698 L
.65704 .81604 L
.65605 .81505 L
.65512 .81413 L
.65412 .81313 L
.65319 .8122 L
.6522 .8112 L
.65126 .81026 L
.65029 .80927 L
.64934 .8083 L
.6484 .80735 L
.64741 .80633 L
.64652 .80542 L
.64548 .80435 L
.64465 .80349 L
.64356 .80235 L
.6428 .80156 L
.64163 .80034 L
.64096 .79964 L
.6397 .79831 L
.63914 .79771 L
.63778 .79626 L
.63733 .79578 L
.63585 .79419 L
.63554 .79386 L
.63392 .7921 L
.63376 .79193 L
.632 .79 L
.63199 .78999 L
.63026 .78808 L
.63007 .78786 L
.62854 .78615 L
.62814 .7857 L
.62684 .78422 L
.62621 .78351 L
.62516 .7823 L
.62429 .78128 L
.62351 .78037 L
.62236 .77902 L
.62188 .77844 L
.62043 .77671 L
.62027 .77651 L
.6187 .77459 L
.61851 .77435 L
.61717 .77266 L
.61658 .77192 L
.61567 .77073 L
.61465 .76939 L
.61422 .76881 L
.61283 .76688 L
.61273 .76674 L
.6115 .76495 L
.6108 .76393 L
.61027 .76303 L
.60915 .7611 L
.60887 .76053 L
.60821 .75917 L
.60745 .75725 L
F
1 .94 0 r
.60887 .60568 m
.61026 .60694 L
.6108 .60748 L
.61199 .60887 L
.61273 .60974 L
.61354 .6108 L
.61465 .61199 L
.61546 .61273 L
.6164 .61465 L
.61658 .6149 L
.6177 .61658 L
.61851 .61776 L
.61897 .61851 L
.62009 .62043 L
.62043 .6211 L
.62079 .62236 L
.62043 .62268 L
.61994 .62236 L
.61851 .62122 L
.61777 .62043 L
.61658 .61958 L
.61601 .61851 L
.61465 .61697 L
.61412 .61658 L
.61289 .61465 L
.61273 .61445 L
.61145 .61273 L
.6108 .61185 L
.61006 .6108 L
.60887 .60906 L
.60863 .60887 L
.60767 .60694 L
F
1 .93 0 r
.60887 .60631 m
.60971 .60694 L
.6108 .60792 L
.61164 .60887 L
.61273 .61012 L
.61326 .6108 L
.61465 .61251 L
.61489 .61273 L
.61609 .61465 L
.61658 .61533 L
.61738 .61658 L
.61851 .61833 L
.61861 .61851 L
.61932 .62043 L
.61851 .62053 L
.61839 .62043 L
.61658 .61886 L
.61641 .61851 L
.61473 .61658 L
.61465 .61649 L
.61321 .61465 L
.61273 .61406 L
.61174 .61273 L
.6108 .61145 L
.61035 .6108 L
.60911 .60887 L
.60887 .60847 L
.60821 .60694 L
F
1 .77 0 r
.60887 .53067 m
.60981 .53179 L
.6108 .5329 L
.61147 .53372 L
.61273 .53523 L
.61307 .53565 L
.61461 .53758 L
.61465 .53762 L
.61612 .5395 L
.61658 .54007 L
.61763 .54143 L
.61851 .54253 L
.61914 .54336 L
.62043 .54496 L
.62083 .54528 L
.62209 .54721 L
.62236 .54755 L
.62355 .54914 L
.62429 .55009 L
.62502 .55106 L
.62621 .55257 L
.62666 .55299 L
.6279 .55492 L
.62814 .55523 L
.62933 .55684 L
.63007 .55782 L
.63077 .55877 L
.63199 .56036 L
.63232 .5607 L
.6336 .56263 L
.63392 .56305 L
.63501 .56455 L
.63585 .56513 L
.63643 .56648 L
.63778 .56831 L
.63786 .56841 L
.6392 .57033 L
.6397 .57102 L
.64058 .57226 L
.64163 .57333 L
.64197 .57419 L
.64333 .57611 L
.64356 .57642 L
.64466 .57804 L
.64548 .57918 L
.64602 .57997 L
.64737 .58189 L
.64741 .58195 L
.64863 .58382 L
.64934 .58483 L
.64992 .58575 L
.64934 .58745 L
.64798 .58575 L
.64741 .58511 L
.64642 .58382 L
.64548 .58271 L
.64487 .58189 L
.64356 .58054 L
.64332 .57997 L
.64183 .57804 L
.64163 .5778 L
.64038 .57611 L
.6397 .57528 L
.6389 .57419 L
.63778 .5731 L
.63741 .57226 L
.63595 .57033 L
.63585 .57021 L
.63454 .56841 L
.63392 .56763 L
.63309 .56648 L
.63199 .56537 L
.63163 .56455 L
.63019 .56263 L
.63007 .56246 L
.62881 .5607 L
.62814 .55984 L
.62739 .55877 L
.62621 .55747 L
.62594 .55684 L
.62454 .55492 L
.62429 .55459 L
.62317 .55299 L
.62236 .55193 L
.62176 .55106 L
.62043 .54939 L
.62033 .54914 L
.61898 .54721 L
.61851 .54659 L
.61762 .54528 L
.61658 .54389 L
.61622 .54336 L
.61484 .54143 L
.61465 .54118 L
.61354 .5395 L
.61273 .5384 L
.6122 .53758 L
.61081 .53565 L
.6108 .53563 L
.60961 .53372 L
.60887 .53268 L
.60836 .53179 L
F
0 .49 1 r
.60887 .53906 m
.60919 .5395 L
.60887 .54027 L
.60843 .5395 L
F
1 .76 0 r
.60887 .53098 m
.60958 .53179 L
.6108 .53311 L
.6113 .53372 L
.61273 .5354 L
.61293 .53565 L
.61447 .53758 L
.61465 .53778 L
.616 .5395 L
.61658 .54021 L
.61753 .54143 L
.61851 .54266 L
.61905 .54336 L
.62043 .54511 L
.62065 .54528 L
.622 .54721 L
.62236 .54767 L
.62347 .54914 L
.62429 .5502 L
.62494 .55106 L
.62621 .5527 L
.62653 .55299 L
.62782 .55492 L
.62814 .55533 L
.62925 .55684 L
.63007 .55792 L
.6307 .55877 L
.63199 .56048 L
.63221 .5607 L
.63352 .56263 L
.63392 .56315 L
.63493 .56455 L
.63585 .56527 L
.63635 .56648 L
.63775 .56841 L
.63778 .56844 L
.63911 .57033 L
.6397 .57113 L
.6405 .57226 L
.64163 .57352 L
.64189 .57419 L
.64323 .57611 L
.64356 .57656 L
.64456 .57804 L
.64548 .57932 L
.64592 .57997 L
.64724 .58189 L
.64741 .58213 L
.64848 .58382 L
.64934 .58505 L
.64976 .58575 L
.64934 .58721 L
.64817 .58575 L
.64741 .58493 L
.64656 .58382 L
.64548 .58257 L
.64498 .58189 L
.64356 .58032 L
.64342 .57997 L
.64194 .57804 L
.64163 .57767 L
.64047 .57611 L
.6397 .57517 L
.63898 .57419 L
.63778 .57294 L
.63749 .57226 L
.63603 .57033 L
.63585 .57011 L
.63461 .56841 L
.63392 .56754 L
.63316 .56648 L
.63199 .56524 L
.6317 .56455 L
.63027 .56263 L
.63007 .56237 L
.62888 .5607 L
.62814 .55975 L
.62745 .55877 L
.62621 .55734 L
.626 .55684 L
.62461 .55492 L
.62429 .5545 L
.62324 .55299 L
.62236 .55184 L
.62182 .55106 L
.62043 .54924 L
.62039 .54914 L
.61906 .54721 L
.61851 .54648 L
.6177 .54528 L
.61658 .54378 L
.61629 .54336 L
.61494 .54143 L
.61465 .54105 L
.61364 .5395 L
.61273 .53825 L
.61229 .53758 L
.61095 .53565 L
.6108 .53544 L
.60978 .53372 L
.60887 .53241 L
.60855 .53179 L
F
0 .48 1 r
.60887 .53929 m
.60902 .5395 L
.60887 .54002 L
.60862 .5395 L
F
0 .93 1 r
.60887 .52291 m
.61004 .52409 L
.6108 .52483 L
.61185 .52601 L
.61273 .52699 L
.61354 .52794 L
.61465 .52904 L
.61517 .52987 L
.61658 .53158 L
.61683 .53179 L
.61831 .53372 L
.61851 .53396 L
.61986 .53565 L
.62043 .5362 L
.62141 .53758 L
.62236 .53881 L
.62301 .5395 L
.62429 .5413 L
.62437 .54143 L
.6259 .54336 L
.62621 .54368 L
.6274 .54528 L
.62814 .54627 L
.62892 .54721 L
.63007 .54884 L
.63022 .54914 L
.63179 .55106 L
.63199 .55128 L
.63386 .55299 L
.63392 .55389 L
.63471 .55492 L
.63585 .5565 L
.63599 .55684 L
.63759 .55877 L
.63778 .55898 L
.63943 .5607 L
.6397 .56161 L
.64044 .56263 L
.64163 .56424 L
.64173 .56455 L
.64333 .56648 L
.64356 .56674 L
.64505 .56841 L
.64548 .5694 L
.64612 .57033 L
.64741 .57204 L
.64745 .57226 L
.64901 .57419 L
.64934 .57456 L
.65067 .57611 L
.65126 .57725 L
.65178 .57804 L
.65319 .5799 L
.65319 .57997 L
.65466 .58189 L
.65512 .58244 L
.65626 .58382 L
.65704 .58516 L
.6574 .58575 L
.65886 .58768 L
.65897 .58769 L
.66026 .5896 L
.6609 .59038 L
.6618 .59153 L
.66283 .59315 L
.663 .59346 L
.66442 .59538 L
.66475 .59549 L
.6658 .59731 L
.66668 .59842 L
.66729 .59924 L
.66855 .60116 L
.66861 .60124 L
.6699 .60309 L
.67053 .6035 L
.67198 .60502 L
.67246 .60665 L
.67267 .60694 L
.67395 .60887 L
.67439 .60949 L
.67528 .6108 L
.67631 .61199 L
.67693 .61273 L
.67789 .61465 L
.67824 .61516 L
.67915 .61658 L
.68017 .61811 L
.68042 .61851 L
.68156 .62043 L
.68209 .62129 L
.68262 .62236 L
.68209 .62315 L
.68136 .62236 L
.68017 .62118 L
.67954 .62043 L
.67824 .61944 L
.67785 .61851 L
.67631 .61672 L
.6761 .61658 L
.67468 .61465 L
.67439 .61431 L
.67315 .61273 L
.67246 .61241 L
.67162 .6108 L
.67053 .60954 L
.66969 .60887 L
.66861 .60697 L
.66859 .60694 L
.66713 .60502 L
.66668 .60483 L
.66566 .60309 L
.66475 .60204 L
.66379 .60116 L
.66283 .5994 L
.66269 .59924 L
.66127 .59731 L
.6609 .59714 L
.65983 .59538 L
.65897 .59437 L
.65805 .59346 L
.65704 .5917 L
.65691 .59153 L
.6555 .5896 L
.65512 .58939 L
.65408 .58768 L
.65319 .58662 L
.65238 .58575 L
.65126 .58392 L
.65119 .58382 L
.64979 .58189 L
.64934 .58161 L
.64837 .57997 L
.64741 .57879 L
.64674 .57804 L
.64551 .57611 L
.64548 .57608 L
.64412 .57419 L
.64356 .57378 L
.64271 .57226 L
.64163 .57091 L
.64113 .57033 L
.63986 .56841 L
.6397 .5682 L
.63848 .56648 L
.63778 .56589 L
.63707 .56455 L
.63585 .56298 L
.63556 .56263 L
.63425 .5607 L
.63392 .56027 L
.63287 .55877 L
.63199 .55792 L
.63094 .55684 L
.63007 .55499 L
.63001 .55492 L
.62867 .55299 L
.62814 .55229 L
.62729 .55106 L
.62621 .54985 L
.62557 .54914 L
.62448 .54721 L
.62429 .54695 L
.62314 .54528 L
.62236 .54424 L
.62175 .54336 L
.62043 .54163 L
.62026 .54143 L
.61901 .5395 L
.61851 .53882 L
.61767 .53758 L
.61658 .53608 L
.61629 .53565 L
.61495 .53372 L
.61465 .53331 L
.61367 .53179 L
.61273 .53047 L
.61235 .52987 L
.61105 .52794 L
.6108 .52759 L
.60989 .52601 L
.60887 .52446 L
.60869 .52409 L
F
1 .75 0 r
.60887 .5315 m
.60919 .53179 L
.6108 .53336 L
.6111 .53372 L
.61273 .5356 L
.61277 .53565 L
.61432 .53758 L
.61465 .53795 L
.61587 .5395 L
.61658 .54035 L
.61742 .54143 L
.61851 .54279 L
.61894 .54336 L
.62043 .54527 L
.62045 .54528 L
.6219 .54721 L
.62236 .54779 L
.62338 .54914 L
.62429 .55031 L
.62485 .55106 L
.62621 .55283 L
.62639 .55299 L
.62774 .55492 L
.62814 .55544 L
.62917 .55684 L
.63007 .55803 L
.63062 .55877 L
.63199 .56061 L
.63208 .5607 L
.63344 .56263 L
.63392 .56326 L
.63485 .56455 L
.63585 .56542 L
.63627 .56648 L
.63766 .56841 L
.63778 .56856 L
.63902 .57033 L
.6397 .57125 L
.64041 .57226 L
.64163 .57374 L
.6418 .57419 L
.64312 .57611 L
.64356 .57671 L
.64445 .57804 L
.64548 .57948 L
.64581 .57997 L
.64709 .58189 L
.64741 .58234 L
.64832 .58382 L
.64934 .58533 L
.64958 .58575 L
.64934 .5869 L
.64839 .58575 L
.64741 .58473 L
.64671 .58382 L
.64548 .58241 L
.6451 .58189 L
.64356 .58007 L
.64352 .57997 L
.64205 .57804 L
.64163 .57755 L
.64057 .57611 L
.6397 .57505 L
.63907 .57419 L
.63778 .57278 L
.63756 .57226 L
.63611 .57033 L
.63585 .57001 L
.63469 .56841 L
.63392 .56744 L
.63323 .56648 L
.63199 .5651 L
.63176 .56455 L
.63034 .56263 L
.63007 .56228 L
.62895 .5607 L
.62814 .55966 L
.62751 .55877 L
.62621 .5572 L
.62607 .55684 L
.62469 .55492 L
.62429 .5544 L
.62331 .55299 L
.62236 .55175 L
.62189 .55106 L
.62046 .54914 L
.62043 .5491 L
.61914 .54721 L
.61851 .54637 L
.61778 .54528 L
.61658 .54367 L
.61637 .54336 L
.61504 .54143 L
.61465 .54091 L
.61375 .5395 L
.61273 .5381 L
.6124 .53758 L
.61112 .53565 L
.6108 .5352 L
.61 .53372 L
.60887 .53195 L
.60882 .53179 L
F
0 .99 1 r
.6108 .60105 m
.612 .60116 L
.61273 .60132 L
.61465 .60268 L
.61468 .60309 L
.61654 .60502 L
.61658 .6051 L
.61812 .60694 L
.61851 .60783 L
.61931 .60887 L
.62043 .61052 L
.62088 .6108 L
.62228 .61273 L
.62236 .61282 L
.62379 .61465 L
.62429 .61546 L
.62495 .61658 L
.62621 .61814 L
.62651 .61851 L
.6279 .62043 L
.62814 .62054 L
.62938 .62236 L
.63007 .62326 L
.63052 .62429 L
.63199 .62614 L
.63204 .62621 L
.63336 .62814 L
.63392 .62903 L
.63471 .63007 L
.63551 .63199 L
.63392 .63313 L
.63199 .63248 L
.63091 .63199 L
.63007 .63082 L
.6294 .63007 L
.62814 .62854 L
.628 .62814 L
.62635 .62621 L
.62621 .62602 L
.62462 .62429 L
.62429 .62334 L
.62346 .62236 L
.62236 .62067 L
.62225 .62043 L
.62059 .61851 L
.62043 .61831 L
.61894 .61658 L
.61851 .61567 L
.6178 .61465 L
.61658 .61301 L
.61656 .61273 L
.61495 .6108 L
.61465 .61071 L
.61333 .60887 L
.61273 .60804 L
.6122 .60694 L
.6108 .60507 L
.61078 .60502 L
.6095 .60309 L
.60941 .60116 L
F
1 .92 0 r
.6108 .60843 m
.61121 .60887 L
.61273 .61054 L
.61293 .6108 L
.6144 .61273 L
.61465 .61304 L
.61573 .61465 L
.61658 .61588 L
.61699 .61658 L
.61658 .61807 L
.6152 .61658 L
.61465 .616 L
.61358 .61465 L
.61273 .61362 L
.61208 .61273 L
.6108 .61097 L
.61068 .6108 L
.60961 .60887 L
F
0 .98 1 r
.6108 .60194 m
.61273 .60216 L
.61415 .60309 L
.61465 .60379 L
.61607 .60502 L
.61658 .6058 L
.61786 .60694 L
.61851 .60825 L
.61907 .60887 L
.62043 .61071 L
.62061 .6108 L
.62203 .61273 L
.62236 .6131 L
.6236 .61465 L
.62429 .61578 L
.62475 .61658 L
.62621 .61847 L
.62624 .61851 L
.62761 .62043 L
.62814 .62078 L
.62909 .62236 L
.63007 .62387 L
.63023 .62429 L
.63152 .62621 L
.63199 .62701 L
.63265 .62814 L
.63334 .63007 L
.63199 .63131 L
.63073 .63007 L
.63007 .62964 L
.62858 .62814 L
.62814 .62768 L
.62687 .62621 L
.62621 .62538 L
.6249 .62429 L
.62429 .62291 L
.62375 .62236 L
.62236 .62048 L
.62233 .62043 L
.62084 .61851 L
.62043 .61803 L
.61911 .61658 L
.61851 .61539 L
.61798 .61465 L
.61658 .61276 L
.61658 .61273 L
.61517 .6108 L
.61465 .61056 L
.61354 .60887 L
.61273 .60758 L
.61244 .60694 L
.61117 .60502 L
.6108 .60436 L
.61017 .60309 L
F
1 .74 0 r
.6108 .53368 m
.61084 .53372 L
.6108 .53488 L
.61035 .53372 L
F
0 .92 1 r
.6108 .52568 m
.61116 .52601 L
.61273 .52756 L
.61308 .52794 L
.61465 .52964 L
.61479 .52987 L
.61641 .53179 L
.61658 .53198 L
.61802 .53372 L
.61851 .5343 L
.6196 .53565 L
.62043 .53648 L
.62117 .53758 L
.62236 .53909 L
.62278 .5395 L
.6242 .54143 L
.62429 .54154 L
.62571 .54336 L
.62621 .54387 L
.62722 .54528 L
.62814 .54649 L
.62876 .54721 L
.63007 .54903 L
.63013 .54914 L
.63164 .55106 L
.63199 .55144 L
.63381 .55299 L
.63392 .55407 L
.63458 .55492 L
.63585 .55666 L
.63593 .55684 L
.63746 .55877 L
.63778 .55912 L
.63937 .5607 L
.6397 .56177 L
.64033 .56263 L
.64163 .56438 L
.64168 .56455 L
.64321 .56648 L
.64356 .56687 L
.64497 .56841 L
.64548 .56955 L
.64603 .57033 L
.64741 .57217 L
.64743 .57226 L
.6489 .57419 L
.64934 .57469 L
.65058 .57611 L
.65126 .5774 L
.65168 .57804 L
.65314 .57997 L
.65319 .58004 L
.65454 .58189 L
.65512 .58257 L
.65615 .58382 L
.65704 .58532 L
.65731 .58575 L
.65874 .58768 L
.65897 .58771 L
.66013 .5896 L
.6609 .59054 L
.66168 .59153 L
.66283 .59333 L
.6629 .59346 L
.66428 .59538 L
.66475 .59558 L
.66566 .59731 L
.66668 .59864 L
.66713 .59924 L
.66839 .60116 L
.66861 .60146 L
.66974 .60309 L
.67053 .60375 L
.67174 .60502 L
.67244 .60694 L
.67246 .60697 L
.67374 .60887 L
.67439 .6098 L
.67505 .6108 L
.67631 .61259 L
.67643 .61273 L
.67758 .61465 L
.67824 .61565 L
.6788 .61658 L
.67824 .61847 L
.67661 .61658 L
.67631 .61627 L
.67499 .61465 L
.67439 .61397 L
.67341 .61273 L
.67246 .61212 L
.67184 .6108 L
.67053 .60926 L
.67003 .60887 L
.66878 .60694 L
.66861 .60673 L
.6673 .60502 L
.66668 .6047 L
.66581 .60309 L
.66475 .60184 L
.66399 .60116 L
.66284 .59924 L
.66283 .59923 L
.6614 .59731 L
.6609 .59705 L
.65995 .59538 L
.65897 .59422 L
.65819 .59346 L
.65704 .59156 L
.65702 .59153 L
.65561 .5896 L
.65512 .58931 L
.65417 .58768 L
.65319 .58649 L
.65249 .58575 L
.65128 .58382 L
.65126 .5838 L
.64988 .58189 L
.64934 .58153 L
.64846 .57997 L
.64741 .57867 L
.64684 .57804 L
.64559 .57611 L
.64548 .57597 L
.6442 .57419 L
.64356 .57369 L
.64278 .57226 L
.64163 .5708 L
.64123 .57033 L
.63995 .56841 L
.6397 .56809 L
.63856 .56648 L
.63778 .56578 L
.63714 .56455 L
.63585 .56285 L
.63566 .56263 L
.63434 .5607 L
.63392 .56015 L
.63295 .55877 L
.63199 .55778 L
.63108 .55684 L
.63012 .55492 L
.63007 .55485 L
.62877 .55299 L
.62814 .55216 L
.62738 .55106 L
.62621 .54967 L
.62573 .54914 L
.6246 .54721 L
.62429 .5468 L
.62325 .54528 L
.62236 .54408 L
.62187 .54336 L
.62047 .54143 L
.62043 .54139 L
.61917 .5395 L
.61851 .53861 L
.61783 .53758 L
.61658 .53585 L
.61645 .53565 L
.61517 .53372 L
.61465 .533 L
.61391 .53179 L
.61273 .53009 L
.61259 .52987 L
.61147 .52794 L
.6108 .52686 L
.61049 .52601 L
F
1 .42 0 r
.6108 .54922 m
.61189 .55106 L
.61273 .55224 L
.61312 .55299 L
.61273 .55344 L
.61238 .55299 L
.6108 .55124 L
.61066 .55106 L
F
1 .41 0 r
.6108 .54935 m
.61177 .55106 L
.61273 .55246 L
.61296 .55299 L
.61273 .55324 L
.61253 .55299 L
.6108 .55113 L
.61075 .55106 L
F
0 .99 1 r
.61273 .72048 m
.61465 .71977 L
.61658 .71941 L
.61851 .71919 L
.62043 .71904 L
.62236 .71894 L
.62429 .71886 L
.62621 .71882 L
.62814 .71879 L
.63007 .71878 L
.63199 .71878 L
.63392 .71881 L
.63585 .71885 L
.63778 .71891 L
.6397 .719 L
.64163 .71912 L
.64356 .71928 L
.64548 .71951 L
.64741 .7198 L
.64934 .72014 L
.65126 .72051 L
.65194 .72063 L
.65319 .72099 L
.65512 .72163 L
.65704 .72235 L
.65757 .72256 L
.65897 .72324 L
.6609 .72426 L
.66132 .72449 L
.66283 .7254 L
.66446 .72641 L
.66475 .72661 L
.66668 .72793 L
.66727 .72834 L
.66861 .72934 L
.66984 .73027 L
.67053 .73082 L
.67223 .7322 L
.67246 .73239 L
.67439 .73405 L
.67447 .73412 L
.67631 .73581 L
.67657 .73605 L
.67824 .73767 L
.67855 .73798 L
.68017 .73966 L
.68039 .7399 L
.68209 .74183 L
.68209 .74183 L
.68361 .74376 L
.68402 .7442 L
.68486 .74568 L
.68563 .74761 L
.68518 .74954 L
.68402 .75028 L
.68209 .75079 L
.68017 .75125 L
.67824 .7513 L
.67631 .75135 L
.67439 .7514 L
.67246 .75143 L
.67053 .75146 L
.67009 .75146 L
.66861 .75148 L
.66668 .75149 L
.66475 .7515 L
.66283 .7515 L
.6609 .75149 L
.65897 .75148 L
.65749 .75146 L
.65704 .75146 L
.65512 .75143 L
.65319 .75138 L
.65126 .75132 L
.64934 .75123 L
.64741 .75111 L
.64548 .75094 L
.64356 .75069 L
.64163 .75035 L
.6397 .74991 L
.63845 .74954 L
.63778 .7493 L
.63585 .7485 L
.63406 .74761 L
.63392 .74753 L
.63199 .74641 L
.63088 .74568 L
.63007 .74513 L
.62819 .74376 L
.62814 .74372 L
.62621 .74221 L
.62576 .74183 L
.62429 .74059 L
.62351 .7399 L
.62236 .73886 L
.62141 .73798 L
.62043 .73704 L
.61943 .73605 L
.61851 .7351 L
.61758 .73412 L
.61658 .73302 L
.61586 .7322 L
.61465 .73074 L
.61428 .73027 L
.61289 .72834 L
.61273 .72815 L
.61174 .72641 L
.61096 .72449 L
.61087 .72256 L
.61248 .72063 L
F
0 .97 1 r
.61273 .60289 m
.61313 .60309 L
.61465 .60448 L
.61558 .60502 L
.61658 .60629 L
.61754 .60694 L
.61851 .60856 L
.61883 .60887 L
.62035 .6108 L
.62043 .61084 L
.62179 .61273 L
.62236 .61339 L
.62339 .61465 L
.62429 .61611 L
.62456 .61658 L
.62597 .61851 L
.62621 .61885 L
.62731 .62043 L
.62814 .62123 L
.62875 .62236 L
.62985 .62429 L
.63007 .62464 L
.63095 .62621 L
.63172 .62814 L
.63007 .62869 L
.62952 .62814 L
.62814 .62698 L
.62743 .62621 L
.62621 .62486 L
.62535 .62429 L
.62429 .62256 L
.62407 .62236 L
.62257 .62043 L
.62236 .62029 L
.62109 .61851 L
.62043 .61774 L
.61931 .61658 L
.61851 .6151 L
.61818 .61465 L
.61678 .61273 L
.61658 .61246 L
.6154 .6108 L
.61465 .61028 L
.61379 .60887 L
.61273 .60695 L
.61272 .60694 L
.6116 .60502 L
.6111 .60309 L
F
1 .87 0 r
.61273 .75912 m
.61361 .75917 L
.61465 .75932 L
.61658 .76014 L
.61843 .7611 L
.61851 .76114 L
.62043 .76222 L
.62179 .76303 L
.62236 .76341 L
.62429 .76467 L
.62472 .76495 L
.62621 .76597 L
.62753 .76688 L
.62814 .76732 L
.63007 .76871 L
.6302 .76881 L
.63199 .77014 L
.6328 .77073 L
.63392 .77159 L
.63532 .77266 L
.63585 .77307 L
.63778 .77457 L
.63779 .77459 L
.6397 .7761 L
.64023 .77651 L
.64163 .77764 L
.64262 .77844 L
.64356 .77921 L
.64497 .78037 L
.64548 .78079 L
.64729 .7823 L
.64741 .78239 L
.64934 .78401 L
.64959 .78422 L
.65126 .78564 L
.65186 .78615 L
.65319 .78729 L
.6541 .78808 L
.65512 .78895 L
.65633 .79 L
.65704 .79063 L
.65853 .79193 L
.65897 .79232 L
.66072 .79386 L
.6609 .79402 L
.66283 .79573 L
.66288 .79578 L
.66475 .79746 L
.66503 .79771 L
.66668 .7992 L
.66716 .79964 L
.66861 .80095 L
.66928 .80156 L
.67053 .80271 L
.67138 .80349 L
.67246 .80448 L
.67347 .80542 L
.67439 .80627 L
.67555 .80735 L
.67631 .80806 L
.67761 .80927 L
.67824 .80987 L
.67966 .8112 L
.68017 .81168 L
.68169 .81313 L
.68209 .81351 L
.68371 .81505 L
.68402 .81535 L
.68572 .81698 L
.68595 .8172 L
.68772 .81891 L
.68788 .81906 L
.6897 .82083 L
.6898 .82093 L
.69167 .82276 L
.69173 .82282 L
.69363 .82469 L
.69366 .82472 L
.69557 .82661 L
.69558 .82663 L
.6975 .82854 L
.69751 .82856 L
.69941 .83047 L
.69944 .8305 L
.70131 .8324 L
.70136 .83245 L
.70319 .83432 L
.70329 .83443 L
.70506 .83625 L
.70522 .83641 L
.70691 .83818 L
.70715 .83842 L
.70875 .8401 L
.70907 .84044 L
.71057 .84203 L
.711 .84249 L
.71238 .84396 L
.71293 .84455 L
.71416 .84588 L
.71485 .84663 L
.71593 .84781 L
.71678 .84874 L
.71769 .84974 L
.71871 .85087 L
.71942 .85166 L
.72063 .85303 L
.72113 .85359 L
.72256 .85522 L
.72282 .85552 L
.72449 .85745 L
.72449 .85745 L
.72613 .85937 L
.72641 .85971 L
.72774 .8613 L
.72834 .86202 L
.72932 .86323 L
.73027 .86439 L
.73087 .86515 L
.7322 .86685 L
.73237 .86708 L
.73383 .86901 L
.73412 .86938 L
.73524 .87093 L
.73605 .87207 L
.73656 .87286 L
.7378 .87479 L
.73798 .8751 L
.73891 .87671 L
.73981 .87864 L
.7399 .879 L
.74029 .88057 L
.7399 .88151 L
.73798 .88208 L
.73605 .88125 L
.73461 .88057 L
.73412 .88035 L
.7322 .87929 L
.73103 .87864 L
.73027 .87815 L
.72834 .87691 L
.72803 .87671 L
.72641 .87563 L
.72517 .87479 L
.72449 .8743 L
.72256 .87292 L
.72247 .87286 L
.72063 .87152 L
.71985 .87093 L
.71871 .87008 L
.7173 .86901 L
.71678 .86861 L
.71485 .86711 L
.71481 .86708 L
.71293 .8656 L
.71237 .86515 L
.711 .86406 L
.70996 .86323 L
.70907 .8625 L
.7076 .8613 L
.70715 .86093 L
.70526 .85937 L
.70522 .85933 L
.70329 .85772 L
.70296 .85745 L
.70136 .8561 L
.70068 .85552 L
.69944 .85446 L
.69842 .85359 L
.69751 .85281 L
.69619 .85166 L
.69558 .85114 L
.69398 .84974 L
.69366 .84946 L
.69178 .84781 L
.69173 .84776 L
.6898 .84606 L
.68961 .84588 L
.68788 .84434 L
.68745 .84396 L
.68595 .84261 L
.68531 .84203 L
.68402 .84086 L
.68319 .8401 L
.68209 .83911 L
.68108 .83818 L
.68017 .83734 L
.67898 .83625 L
.67824 .83556 L
.67691 .83432 L
.67631 .83377 L
.67484 .8324 L
.67439 .83197 L
.67279 .83047 L
.67246 .83016 L
.67075 .82854 L
.67053 .82833 L
.66873 .82661 L
.66861 .8265 L
.66672 .82469 L
.66668 .82465 L
.66475 .82279 L
.66473 .82276 L
.66283 .82091 L
.66274 .82083 L
.6609 .81903 L
.66077 .81891 L
.65897 .81713 L
.65882 .81698 L
.65704 .81522 L
.65687 .81505 L
.65512 .8133 L
.65495 .81313 L
.65319 .81136 L
.65303 .8112 L
.65126 .80941 L
.65113 .80927 L
.64934 .80745 L
.64924 .80735 L
.64741 .80546 L
.64737 .80542 L
.64551 .80349 L
.64548 .80347 L
.64366 .80156 L
.64356 .80145 L
.64183 .79964 L
.64163 .79942 L
.64002 .79771 L
.6397 .79737 L
.63822 .79578 L
.63778 .7953 L
.63644 .79386 L
.63585 .79321 L
.63468 .79193 L
.63392 .79109 L
.63294 .79 L
.63199 .78895 L
.63122 .78808 L
.63007 .78677 L
.62952 .78615 L
.62814 .78457 L
.62784 .78422 L
.62621 .78232 L
.62619 .7823 L
.62457 .78037 L
.62429 .78003 L
.62298 .77844 L
.62236 .77769 L
.62142 .77651 L
.62043 .77528 L
.6199 .77459 L
.61851 .77277 L
.61843 .77266 L
.617 .77073 L
.61658 .77018 L
.61565 .76881 L
.61465 .76733 L
.61439 .76688 L
.61322 .76495 L
.61273 .76398 L
.61225 .76303 L
.61143 .7611 L
.61249 .75917 L
F
0 .96 1 r
.61273 .60368 m
.61465 .60483 L
.61504 .60502 L
.61658 .60665 L
.61712 .60694 L
.61851 .60882 L
.61857 .60887 L
.62008 .6108 L
.62043 .611 L
.62154 .61273 L
.62236 .6137 L
.62314 .61465 L
.62429 .61647 L
.62435 .61658 L
.6257 .61851 L
.62621 .61926 L
.62701 .62043 L
.62814 .62201 L
.62832 .62236 L
.62937 .62429 L
.63007 .62572 L
.63026 .62621 L
.63007 .62721 L
.62814 .62624 L
.62812 .62621 L
.62621 .62437 L
.62607 .62429 L
.62445 .62236 L
.62429 .62219 L
.62287 .62043 L
.62236 .62006 L
.62135 .61851 L
.62043 .61744 L
.61957 .61658 L
.61851 .6148 L
.6184 .61465 L
.61701 .61273 L
.61658 .61214 L
.61563 .6108 L
.61465 .60982 L
.61411 .60887 L
.61307 .60694 L
.61273 .60635 L
.61209 .60502 L
F
0 .51 1 r
.61273 .54378 m
.61378 .54528 L
.61465 .54637 L
.61524 .54721 L
.61658 .54896 L
.6167 .54914 L
.61803 .55106 L
.61851 .55166 L
.61938 .55299 L
.62043 .55437 L
.62079 .55492 L
.62043 .55606 L
.61963 .55492 L
.61851 .55361 L
.61807 .55299 L
.61658 .55113 L
.61653 .55106 L
.61516 .54914 L
.61465 .54853 L
.61375 .54721 L
.61273 .54593 L
.61229 .54528 L
F
0 .5 1 r
.61273 .54391 m
.61368 .54528 L
.61465 .5465 L
.61515 .54721 L
.61658 .54909 L
.61661 .54914 L
.61658 .551 L
.61528 .54914 L
.61465 .5484 L
.61386 .54721 L
.61273 .54581 L
.61238 .54528 L
F
0 .49 1 r
.61273 .54407 m
.61355 .54528 L
.61465 .54664 L
.61504 .54721 L
.61465 .54825 L
.61397 .54721 L
.61273 .54568 L
.61247 .54528 L
F
1 .91 0 r
.61273 .61113 m
.6139 .61273 L
.61465 .61369 L
.61523 .61465 L
.61465 .61535 L
.61408 .61465 L
.61273 .61305 L
.61249 .61273 L
F
1 .74 0 r
.61273 .53582 m
.61415 .53758 L
.61465 .53813 L
.61573 .5395 L
.61658 .54051 L
.6173 .54143 L
.61851 .54293 L
.61884 .54336 L
.62033 .54528 L
.62043 .54541 L
.6218 .54721 L
.62236 .54791 L
.62328 .54914 L
.62429 .55043 L
.62477 .55106 L
.62621 .55297 L
.62624 .55299 L
.62765 .55492 L
.62814 .55555 L
.62909 .55684 L
.63007 .55814 L
.63054 .55877 L
.63196 .5607 L
.63199 .56074 L
.63335 .56263 L
.63392 .56337 L
.63477 .56455 L
.63585 .5656 L
.63619 .56648 L
.63757 .56841 L
.63778 .56868 L
.63893 .57033 L
.6397 .57138 L
.64032 .57226 L
.64163 .57398 L
.6417 .57419 L
.64301 .57611 L
.64356 .57686 L
.64434 .57804 L
.64548 .57966 L
.64569 .57997 L
.64692 .58189 L
.64741 .58259 L
.64812 .58382 L
.64934 .58571 L
.64936 .58575 L
.64934 .58641 L
.64874 .58575 L
.64741 .58449 L
.64689 .58382 L
.64548 .58223 L
.64523 .58189 L
.64365 .57997 L
.64356 .57987 L
.64217 .57804 L
.64163 .57741 L
.64067 .57611 L
.6397 .57494 L
.63915 .57419 L
.63778 .57259 L
.63764 .57226 L
.6362 .57033 L
.63585 .5699 L
.63477 .56841 L
.63392 .56734 L
.6333 .56648 L
.63199 .56495 L
.63183 .56455 L
.63042 .56263 L
.63007 .56218 L
.62902 .5607 L
.62814 .55957 L
.62758 .55877 L
.62621 .55705 L
.62613 .55684 L
.62476 .55492 L
.62429 .5543 L
.62338 .55299 L
.62236 .55165 L
.62196 .55106 L
.62055 .54914 L
.62043 .54899 L
.61923 .54721 L
.61851 .54626 L
.61786 .54528 L
.61658 .54355 L
.61645 .54336 L
.61516 .54143 L
.61465 .54075 L
.61387 .5395 L
.61273 .53792 L
.61252 .53758 L
F
1 .96 0 r
.61273 .58704 m
.61307 .58768 L
.61273 .5879 L
.61255 .58768 L
F
0 .48 1 r
.61273 .54426 m
.6134 .54528 L
.61465 .5468 L
.61492 .54721 L
.61465 .54807 L
.61411 .54721 L
.61273 .54552 L
.61257 .54528 L
F
1 .73 0 r
.61273 .53611 m
.61394 .53758 L
.61465 .53834 L
.61558 .5395 L
.61658 .54068 L
.61717 .54143 L
.61851 .54308 L
.61872 .54336 L
.62021 .54528 L
.62043 .54554 L
.62169 .54721 L
.62236 .54804 L
.62319 .54914 L
.62429 .55055 L
.62468 .55106 L
.62613 .55299 L
.62621 .55309 L
.62756 .55492 L
.62814 .55567 L
.62901 .55684 L
.63007 .55825 L
.63046 .55877 L
.63187 .5607 L
.63199 .56085 L
.63327 .56263 L
.63392 .56349 L
.63468 .56455 L
.63585 .5658 L
.6361 .56648 L
.63747 .56841 L
.63778 .56881 L
.63884 .57033 L
.6397 .57151 L
.64022 .57226 L
.6416 .57419 L
.64163 .57422 L
.64289 .57611 L
.64356 .57703 L
.64422 .57804 L
.64548 .57985 L
.64556 .57997 L
.64671 .58189 L
.64741 .58291 L
.64787 .58382 L
.64741 .5842 L
.64711 .58382 L
.64548 .58204 L
.64537 .58189 L
.64381 .57997 L
.64356 .57969 L
.6423 .57804 L
.64163 .57726 L
.64078 .57611 L
.6397 .57481 L
.63925 .57419 L
.63778 .5724 L
.63772 .57226 L
.63629 .57033 L
.63585 .56979 L
.63485 .56841 L
.63392 .56724 L
.63338 .56648 L
.63199 .56479 L
.6319 .56455 L
.6305 .56263 L
.63007 .56208 L
.62909 .5607 L
.62814 .55947 L
.62765 .55877 L
.62621 .55689 L
.6262 .55684 L
.62484 .55492 L
.62429 .5542 L
.62346 .55299 L
.62236 .55154 L
.62203 .55106 L
.62064 .54914 L
.62043 .54887 L
.61932 .54721 L
.61851 .54613 L
.61795 .54528 L
.61658 .54342 L
.61654 .54336 L
.61529 .54143 L
.61465 .54057 L
.614 .5395 L
.61273 .53771 L
.61265 .53758 L
F
0 .47 1 r
.61273 .54452 m
.61319 .54528 L
.61465 .54701 L
.61478 .54721 L
.61465 .54783 L
.6143 .54721 L
.61273 .54533 L
.6127 .54528 L
F
1 .98 0 r
.61465 .52198 m
.61473 .52216 L
.61655 .52409 L
.61658 .52412 L
.61827 .52601 L
.61851 .52628 L
.61994 .52794 L
.62043 .52817 L
.62158 .52987 L
.62236 .53082 L
.62369 .53179 L
.62429 .53326 L
.62466 .53372 L
.62621 .53562 L
.62622 .53565 L
.62781 .53758 L
.62814 .53802 L
.62955 .5395 L
.63007 .54055 L
.63068 .54143 L
.63199 .54308 L
.63234 .54336 L
.63381 .54528 L
.63392 .54544 L
.63537 .54721 L
.63585 .54803 L
.63655 .54914 L
.63778 .55066 L
.63825 .55106 L
.63968 .55299 L
.6397 .55302 L
.64116 .55492 L
.64163 .55565 L
.64234 .55684 L
.64356 .55833 L
.64406 .55877 L
.64547 .5607 L
.64548 .56071 L
.64691 .56263 L
.64741 .56337 L
.64806 .56455 L
.64934 .56607 L
.64981 .56648 L
.65121 .56841 L
.65126 .56848 L
.65261 .57033 L
.65319 .57116 L
.65373 .57226 L
.65512 .57386 L
.65552 .57419 L
.657 .57611 L
.65704 .5763 L
.65827 .57804 L
.65897 .57899 L
.65937 .57997 L
.6609 .58167 L
.66119 .58189 L
.66269 .58382 L
.66283 .58415 L
.66392 .58575 L
.66475 .58685 L
.66499 .58768 L
.66668 .58948 L
.66684 .5896 L
.66835 .59153 L
.66861 .59203 L
.66954 .59346 L
.67053 .59473 L
.67062 .59538 L
.67246 .5973 L
.67247 .59731 L
.67399 .59924 L
.67439 .59994 L
.67515 .60116 L
.67631 .60263 L
.67671 .60309 L
.67809 .60502 L
.67824 .60519 L
.67959 .60694 L
.68017 .60787 L
.68074 .60887 L
.68209 .61056 L
.6823 .6108 L
.68369 .61273 L
.68402 .61312 L
.68517 .61465 L
.68595 .61584 L
.68633 .61658 L
.68786 .61851 L
.68788 .61851 L
.68924 .62043 L
.6898 .6211 L
.69071 .62236 L
.69173 .62388 L
.69192 .62429 L
.69338 .62621 L
.69366 .62631 L
.69531 .62814 L
.69558 .62919 L
.69618 .63007 L
.69748 .63199 L
.69751 .63203 L
.69882 .63392 L
.69944 .63435 L
.70063 .63585 L
.70136 .63751 L
.70153 .63778 L
.70281 .6397 L
.70329 .6404 L
.70411 .64163 L
.70522 .64306 L
.70556 .64356 L
.70663 .64548 L
.70715 .64626 L
.70784 .64741 L
.70902 .64934 L
.70907 .64942 L
.70987 .65126 L
.70907 .65163 L
.70871 .65126 L
.70715 .64974 L
.7068 .64934 L
.70522 .64763 L
.70506 .64741 L
.70343 .64548 L
.70329 .64533 L
.70185 .64356 L
.70136 .64344 L
.70028 .64163 L
.69944 .6407 L
.69873 .6397 L
.69751 .63817 L
.69712 .63778 L
.6957 .63585 L
.69558 .63582 L
.69422 .63392 L
.69366 .63329 L
.69211 .63199 L
.69173 .63069 L
.69118 .63007 L
.6898 .62815 L
.6898 .62814 L
.68835 .62621 L
.68788 .62568 L
.68641 .62429 L
.68595 .62304 L
.68539 .62236 L
.68402 .62046 L
.68401 .62043 L
.68257 .61851 L
.68209 .61796 L
.68075 .61658 L
.68017 .6153 L
.67967 .61465 L
.67826 .61273 L
.67824 .61272 L
.67685 .6108 L
.67631 .61018 L
.6751 .60887 L
.67439 .6075 L
.67398 .60694 L
.67257 .60502 L
.67246 .60496 L
.67116 .60309 L
.67053 .60235 L
.66947 .60116 L
.66861 .59966 L
.66831 .59924 L
.6669 .59731 L
.66668 .59718 L
.6655 .59538 L
.66475 .5945 L
.66385 .59346 L
.66283 .59179 L
.66265 .59153 L
.66125 .5896 L
.6609 .58937 L
.65985 .58768 L
.65897 .58662 L
.65825 .58575 L
.65704 .5839 L
.657 .58382 L
.65561 .58189 L
.65512 .58152 L
.65351 .57997 L
.65319 .57871 L
.65265 .57804 L
.65136 .57611 L
.65126 .57599 L
.64998 .57419 L
.64934 .57363 L
.64801 .57226 L
.64741 .57077 L
.64707 .57033 L
.64575 .56841 L
.64548 .56806 L
.64436 .56648 L
.64356 .56569 L
.64252 .56455 L
.64163 .56281 L
.64149 .56263 L
.64015 .5607 L
.6397 .56011 L
.63876 .55877 L
.63778 .5577 L
.63704 .55684 L
.63592 .55492 L
.63585 .55482 L
.63457 .55299 L
.63392 .55213 L
.63318 .55106 L
.63199 .54962 L
.63159 .54914 L
.63038 .54721 L
.63007 .5468 L
.62902 .54528 L
.62814 .54411 L
.62763 .54336 L
.62621 .54145 L
.6262 .54143 L
.62488 .5395 L
.62429 .5387 L
.62353 .53758 L
.62236 .53599 L
.62213 .53565 L
.62079 .53372 L
.62043 .53323 L
.61949 .53179 L
.61851 .53043 L
.61815 .52987 L
.61682 .52794 L
.61658 .5276 L
.61561 .52601 L
.61465 .52461 L
.61436 .52409 L
.61325 .52216 L
F
0 .95 1 r
.61465 .60525 m
.61654 .60694 L
.61658 .60698 L
.61824 .60887 L
.61851 .60917 L
.6198 .6108 L
.62043 .61122 L
.62128 .61273 L
.62236 .61406 L
.62285 .61465 L
.62409 .61658 L
.62429 .61686 L
.6254 .61851 L
.62621 .61971 L
.62669 .62043 L
.62784 .62236 L
.62814 .6229 L
.62876 .62429 L
.62814 .62535 L
.62679 .62429 L
.62621 .6238 L
.62487 .62236 L
.62429 .62174 L
.6232 .62043 L
.62236 .61975 L
.62162 .61851 L
.62043 .61709 L
.61989 .61658 L
.61864 .61465 L
.61851 .61447 L
.61725 .61273 L
.61658 .61181 L
.61588 .6108 L
.61465 .60914 L
.61451 .60887 L
.61345 .60694 L
F
0 .94 1 r
.61465 .60591 m
.616 .60694 L
.61658 .60745 L
.61788 .60887 L
.61851 .60957 L
.6195 .6108 L
.62043 .61156 L
.62101 .61273 L
.62236 .6145 L
.62249 .61465 L
.62379 .61658 L
.62429 .61729 L
.62509 .61851 L
.62621 .62025 L
.62632 .62043 L
.62728 .62236 L
.62621 .62314 L
.62541 .62236 L
.62429 .62127 L
.62357 .62043 L
.62236 .61933 L
.62191 .61851 L
.62043 .6167 L
.6203 .61658 L
.61892 .61465 L
.61851 .61412 L
.61751 .61273 L
.61658 .61144 L
.61614 .6108 L
.6149 .60887 L
.61465 .60846 L
.61393 .60694 L
F
1 .72 0 r
.61465 .53857 m
.6154 .5395 L
.61658 .54086 L
.61703 .54143 L
.61851 .54324 L
.6186 .54336 L
.62009 .54528 L
.62043 .54569 L
.62158 .54721 L
.62236 .54817 L
.62309 .54914 L
.62429 .55068 L
.62458 .55106 L
.62603 .55299 L
.62621 .55322 L
.62746 .55492 L
.62814 .55579 L
.62892 .55684 L
.63007 .55836 L
.63037 .55877 L
.63178 .5607 L
.63199 .56098 L
.63318 .56263 L
.63392 .56361 L
.6346 .56455 L
.63585 .56602 L
.63601 .56648 L
.63737 .56841 L
.63778 .56894 L
.63874 .57033 L
.6397 .57165 L
.64012 .57226 L
.64148 .57419 L
.64163 .57439 L
.64276 .57611 L
.64356 .57722 L
.64408 .57804 L
.64356 .57949 L
.64245 .57804 L
.64163 .57711 L
.64089 .57611 L
.6397 .57468 L
.63934 .57419 L
.63782 .57226 L
.63778 .57221 L
.63639 .57033 L
.63585 .56967 L
.63494 .56841 L
.63392 .56713 L
.63346 .56648 L
.63199 .56461 L
.63197 .56455 L
.63059 .56263 L
.63007 .56197 L
.62917 .5607 L
.62814 .55937 L
.62772 .55877 L
.62628 .55684 L
.62621 .55676 L
.62493 .55492 L
.62429 .55409 L
.62354 .55299 L
.62236 .55144 L
.62211 .55106 L
.62074 .54914 L
.62043 .54874 L
.61942 .54721 L
.61851 .546 L
.61804 .54528 L
.61665 .54336 L
.61658 .54327 L
.61543 .54143 L
.61465 .54037 L
.61415 .5395 L
F
0 .91 1 r
.61465 .53025 m
.61602 .53179 L
.61658 .5324 L
.6177 .53372 L
.61851 .53466 L
.61933 .53565 L
.62043 .53682 L
.62091 .53758 L
.62236 .53938 L
.62249 .5395 L
.62399 .54143 L
.62429 .5418 L
.62552 .54336 L
.62621 .54408 L
.62704 .54528 L
.62814 .54672 L
.62858 .54721 L
.63 .54914 L
.63007 .54922 L
.63149 .55106 L
.63199 .55161 L
.63373 .55299 L
.63392 .55426 L
.63445 .55492 L
.63585 .55681 L
.63586 .55684 L
.63733 .55877 L
.63778 .55926 L
.63929 .5607 L
.6397 .56193 L
.64022 .56263 L
.64163 .56452 L
.64164 .56455 L
.64309 .56648 L
.64356 .56701 L
.64489 .56841 L
.64548 .5697 L
.64593 .57033 L
.64737 .57226 L
.64741 .57232 L
.64879 .57419 L
.64934 .57482 L
.65048 .57611 L
.65126 .57755 L
.65159 .57804 L
.65302 .57997 L
.65319 .5802 L
.65443 .58189 L
.65512 .58272 L
.65604 .58382 L
.65704 .58548 L
.65721 .58575 L
.65862 .58768 L
.65897 .58775 L
.66001 .5896 L
.6609 .59072 L
.66155 .59153 L
.66278 .59346 L
.66283 .59352 L
.66414 .59538 L
.66475 .59572 L
.66552 .59731 L
.66668 .59888 L
.66695 .59924 L
.66823 .60116 L
.66861 .60169 L
.66957 .60309 L
.67053 .60408 L
.67141 .60502 L
.67223 .60694 L
.67246 .60728 L
.67351 .60887 L
.67439 .61015 L
.67481 .6108 L
.67605 .61273 L
.67631 .61312 L
.6772 .61465 L
.67824 .61636 L
.67835 .61658 L
.67824 .61763 L
.67719 .61658 L
.67631 .61576 L
.67538 .61465 L
.67439 .61358 L
.6737 .61273 L
.67246 .61169 L
.67208 .6108 L
.67053 .60893 L
.67045 .60887 L
.66899 .60694 L
.66861 .60649 L
.66748 .60502 L
.66668 .60451 L
.66597 .60309 L
.66475 .60163 L
.66421 .60116 L
.66298 .59924 L
.66283 .59905 L
.66153 .59731 L
.6609 .59693 L
.66006 .59538 L
.65897 .59406 L
.65834 .59346 L
.65713 .59153 L
.65704 .59142 L
.65571 .5896 L
.65512 .58922 L
.65427 .58768 L
.65319 .58635 L
.65261 .58575 L
.65138 .58382 L
.65126 .58368 L
.64997 .58189 L
.64934 .58144 L
.64854 .57997 L
.64741 .57855 L
.64695 .57804 L
.64568 .57611 L
.64548 .57586 L
.64429 .57419 L
.64356 .57359 L
.64286 .57226 L
.64163 .57067 L
.64134 .57033 L
.64003 .56841 L
.6397 .56798 L
.63864 .56648 L
.63778 .56566 L
.63722 .56455 L
.63585 .56272 L
.63577 .56263 L
.63443 .5607 L
.63392 .56003 L
.63304 .55877 L
.63199 .55763 L
.63123 .55684 L
.63022 .55492 L
.63007 .55472 L
.62887 .55299 L
.62814 .55202 L
.62748 .55106 L
.62621 .54946 L
.62592 .54914 L
.62472 .54721 L
.62429 .54663 L
.62338 .54528 L
.62236 .54391 L
.62199 .54336 L
.62062 .54143 L
.62043 .54118 L
.61933 .5395 L
.61851 .53837 L
.618 .53758 L
.61663 .53565 L
.61658 .53557 L
.61543 .53372 L
.61465 .5326 L
.6142 .53179 L
F
1 .71 0 r
.61465 .53886 m
.61518 .5395 L
.61658 .54106 L
.61687 .54143 L
.61658 .54307 L
.61561 .54143 L
.61465 .5401 L
.61434 .5395 L
F
0 .9 1 r
.61465 .53108 m
.61543 .53179 L
.61658 .53289 L
.61731 .53372 L
.61851 .53505 L
.61901 .53565 L
.62043 .53724 L
.62064 .53758 L
.62221 .5395 L
.62236 .53968 L
.62377 .54143 L
.62429 .54206 L
.62532 .54336 L
.62621 .54432 L
.62685 .54528 L
.62814 .54694 L
.62839 .54721 L
.62984 .54914 L
.63007 .54943 L
.63133 .55106 L
.63199 .55179 L
.63361 .55299 L
.63392 .55444 L
.63431 .55492 L
.63574 .55684 L
.63585 .55699 L
.6372 .55877 L
.63778 .55941 L
.63918 .5607 L
.6397 .56209 L
.64011 .56263 L
.64153 .56455 L
.64163 .56468 L
.64297 .56648 L
.64356 .56715 L
.64479 .56841 L
.64548 .56985 L
.64582 .57033 L
.64725 .57226 L
.64741 .57247 L
.64868 .57419 L
.64934 .57497 L
.65037 .57611 L
.65126 .5777 L
.65149 .57804 L
.65291 .57997 L
.65319 .58035 L
.65432 .58189 L
.65512 .58288 L
.65592 .58382 L
.65704 .58565 L
.65711 .58575 L
.65849 .58768 L
.65897 .58783 L
.65989 .5896 L
.6609 .59091 L
.6614 .59153 L
.66264 .59346 L
.66283 .59371 L
.664 .59538 L
.66475 .59591 L
.66537 .59731 L
.66668 .59914 L
.66675 .59924 L
.66805 .60116 L
.66861 .60194 L
.66939 .60309 L
.67053 .60451 L
.671 .60502 L
.67199 .60694 L
.67246 .60762 L
.67326 .60887 L
.67439 .61057 L
.67453 .6108 L
.67562 .61273 L
.67631 .61389 L
.67663 .61465 L
.67631 .61502 L
.67596 .61465 L
.67439 .61313 L
.67405 .61273 L
.67246 .61108 L
.67235 .6108 L
.67076 .60887 L
.67053 .60862 L
.66922 .60694 L
.66861 .60623 L
.66767 .60502 L
.66668 .60426 L
.66613 .60309 L
.66475 .6014 L
.66447 .60116 L
.66313 .59924 L
.66283 .59886 L
.66167 .59731 L
.6609 .59678 L
.66019 .59538 L
.65897 .59389 L
.65852 .59346 L
.65725 .59153 L
.65704 .59127 L
.65582 .5896 L
.65512 .5891 L
.65437 .58768 L
.65319 .58621 L
.65274 .58575 L
.65148 .58382 L
.65126 .58355 L
.65007 .58189 L
.64934 .58133 L
.64863 .57997 L
.64741 .57842 L
.64707 .57804 L
.64577 .57611 L
.64548 .57574 L
.64437 .57419 L
.64356 .57347 L
.64295 .57226 L
.64163 .57054 L
.64145 .57033 L
.64012 .56841 L
.6397 .56786 L
.63873 .56648 L
.63778 .56552 L
.63731 .56455 L
.63588 .56263 L
.63585 .56259 L
.63452 .5607 L
.63392 .55991 L
.63313 .55877 L
.63199 .55746 L
.63139 .55684 L
.63032 .55492 L
.63007 .55458 L
.62897 .55299 L
.62814 .55188 L
.62758 .55106 L
.62621 .54924 L
.62612 .54914 L
.62485 .54721 L
.62429 .54646 L
.6235 .54528 L
.62236 .54372 L
.62212 .54336 L
.62079 .54143 L
.62043 .54094 L
.61951 .5395 L
.61851 .5381 L
.61818 .53758 L
.61691 .53565 L
.61658 .53518 L
.61577 .53372 L
.61465 .53194 L
.61459 .53179 L
F
1 .7 0 r
.61465 .53939 m
.61477 .5395 L
.61658 .5413 L
.61668 .54143 L
.61658 .54282 L
.61585 .54143 L
.61465 .5396 L
.61462 .5395 L
F
1 .99 0 r
.61658 .6014 m
.61851 .60162 L
.62043 .60279 L
.62053 .60309 L
.62236 .6049 L
.62246 .60502 L
.62413 .60694 L
.62429 .60746 L
.62538 .60887 L
.62621 .61018 L
.62648 .6108 L
.62814 .61247 L
.62834 .61273 L
.62985 .61465 L
.63007 .61509 L
.63106 .61658 L
.63199 .61779 L
.63212 .61851 L
.63392 .6204 L
.63395 .62043 L
.63547 .62236 L
.63585 .62289 L
.6366 .62429 L
.63778 .62574 L
.63806 .62621 L
.63935 .62814 L
.6397 .62873 L
.64072 .63007 L
.64123 .63199 L
.6397 .63274 L
.63778 .63205 L
.63765 .63199 L
.63585 .6303 L
.63566 .63007 L
.63405 .62814 L
.63392 .62797 L
.63255 .62621 L
.63199 .62543 L
.63085 .62429 L
.63007 .62282 L
.62966 .62236 L
.62819 .62043 L
.62814 .62039 L
.62678 .61851 L
.62621 .61782 L
.62517 .61658 L
.62429 .61514 L
.62398 .61465 L
.62254 .61273 L
.62236 .61249 L
.62115 .6108 L
.62043 .61022 L
.61959 .60887 L
.61851 .60724 L
.61838 .60694 L
.61704 .60502 L
.61658 .60429 L
.61519 .60309 L
F
0 .93 1 r
.61658 .60798 m
.61745 .60887 L
.61851 .61 L
.61916 .6108 L
.62043 .61209 L
.62071 .61273 L
.62213 .61465 L
.62236 .61496 L
.62346 .61658 L
.62429 .6178 L
.62473 .61851 L
.62579 .62043 L
.62429 .62073 L
.62402 .62043 L
.62236 .61872 L
.62225 .61851 L
.62068 .61658 L
.62043 .61628 L
.61922 .61465 L
.61851 .61374 L
.6178 .61273 L
.61658 .61101 L
.61644 .6108 L
.61533 .60887 L
F
1 .86 0 r
.61658 .76271 m
.61814 .76303 L
.61851 .76306 L
.62043 .76389 L
.62236 .76492 L
.62242 .76495 L
.62429 .76603 L
.62569 .76688 L
.62621 .76724 L
.62814 .76852 L
.62857 .76881 L
.63007 .76985 L
.63133 .77073 L
.63199 .77122 L
.63392 .77263 L
.63396 .77266 L
.63585 .77407 L
.63653 .77459 L
.63778 .77554 L
.63903 .77651 L
.6397 .77704 L
.64147 .77844 L
.64163 .77857 L
.64356 .78011 L
.64388 .78037 L
.64548 .78168 L
.64624 .7823 L
.64741 .78326 L
.64857 .78422 L
.64934 .78486 L
.65087 .78615 L
.65126 .78648 L
.65314 .78808 L
.65319 .78812 L
.65512 .78977 L
.65539 .79 L
.65704 .79144 L
.65761 .79193 L
.65897 .79312 L
.65982 .79386 L
.6609 .79481 L
.662 .79578 L
.66283 .79652 L
.66416 .79771 L
.66475 .79824 L
.66631 .79964 L
.66668 .79997 L
.66844 .80156 L
.66861 .80172 L
.67053 .80348 L
.67055 .80349 L
.67246 .80525 L
.67264 .80542 L
.67439 .80703 L
.67473 .80735 L
.67631 .80883 L
.67679 .80927 L
.67824 .81063 L
.67884 .8112 L
.68017 .81245 L
.68088 .81313 L
.68209 .81428 L
.68291 .81505 L
.68402 .81612 L
.68492 .81698 L
.68595 .81798 L
.68691 .81891 L
.68788 .81984 L
.68889 .82083 L
.6898 .82172 L
.69086 .82276 L
.69173 .82362 L
.69281 .82469 L
.69366 .82552 L
.69475 .82661 L
.69558 .82744 L
.69668 .82854 L
.69751 .82938 L
.69859 .83047 L
.69944 .83133 L
.70048 .8324 L
.70136 .8333 L
.70236 .83432 L
.70329 .83529 L
.70422 .83625 L
.70522 .83729 L
.70606 .83818 L
.70715 .83931 L
.70789 .8401 L
.70907 .84136 L
.7097 .84203 L
.711 .84342 L
.71149 .84396 L
.71293 .84551 L
.71327 .84588 L
.71485 .84762 L
.71502 .84781 L
.71676 .84974 L
.71678 .84976 L
.71847 .85166 L
.71871 .85193 L
.72016 .85359 L
.72063 .85413 L
.72183 .85552 L
.72256 .85638 L
.72346 .85745 L
.72449 .85867 L
.72507 .85937 L
.72641 .86102 L
.72664 .8613 L
.72817 .86323 L
.72834 .86344 L
.72966 .86515 L
.73027 .86595 L
.73108 .86708 L
.7322 .86864 L
.73244 .86901 L
.73372 .87093 L
.73412 .8713 L
.73488 .87286 L
.73586 .87479 L
.73605 .87544 L
.73642 .87671 L
.73605 .87788 L
.73412 .87812 L
.7322 .87752 L
.73058 .87671 L
.73027 .87657 L
.72834 .8755 L
.7271 .87479 L
.72641 .87433 L
.72449 .87307 L
.72417 .87286 L
.72256 .87177 L
.72136 .87093 L
.72063 .87041 L
.71871 .86901 L
.7187 .86901 L
.71678 .86759 L
.7161 .86708 L
.71485 .86613 L
.71358 .86515 L
.71293 .86464 L
.71112 .86323 L
.711 .86313 L
.70907 .86159 L
.70871 .8613 L
.70715 .86004 L
.70633 .85937 L
.70522 .85846 L
.70399 .85745 L
.70329 .85687 L
.70168 .85552 L
.70136 .85526 L
.69944 .85363 L
.69939 .85359 L
.69751 .85199 L
.69714 .85166 L
.69558 .85033 L
.6949 .84974 L
.69366 .84865 L
.69269 .84781 L
.69173 .84697 L
.6905 .84588 L
.6898 .84527 L
.68833 .84396 L
.68788 .84355 L
.68618 .84203 L
.68595 .84183 L
.68404 .8401 L
.68402 .84009 L
.68209 .83833 L
.68192 .83818 L
.68017 .83657 L
.67982 .83625 L
.67824 .83479 L
.67774 .83432 L
.67631 .833 L
.67566 .8324 L
.67439 .8312 L
.67361 .83047 L
.67246 .82939 L
.67157 .82854 L
.67053 .82756 L
.66954 .82661 L
.66861 .82572 L
.66753 .82469 L
.66668 .82387 L
.66553 .82276 L
.66475 .822 L
.66355 .82083 L
.66283 .82013 L
.66158 .81891 L
.6609 .81824 L
.65963 .81698 L
.65897 .81633 L
.65768 .81505 L
.65704 .81442 L
.65576 .81313 L
.65512 .81248 L
.65385 .8112 L
.65319 .81054 L
.65195 .80927 L
.65126 .80857 L
.65007 .80735 L
.64934 .8066 L
.6482 .80542 L
.64741 .8046 L
.64635 .80349 L
.64548 .80259 L
.64451 .80156 L
.64356 .80056 L
.64269 .79964 L
.64163 .7985 L
.64089 .79771 L
.6397 .79643 L
.63911 .79578 L
.63778 .79433 L
.63735 .79386 L
.63585 .7922 L
.6356 .79193 L
.63392 .79005 L
.63388 .79 L
.63218 .78808 L
.63199 .78786 L
.63051 .78615 L
.63007 .78564 L
.62886 .78422 L
.62814 .78337 L
.62724 .7823 L
.62621 .78105 L
.62566 .78037 L
.62429 .77866 L
.62412 .77844 L
.62262 .77651 L
.62236 .7762 L
.62116 .77459 L
.62043 .77361 L
.61978 .77266 L
.61851 .77077 L
.61848 .77073 L
.61727 .76881 L
.61658 .76751 L
.61625 .76688 L
.61536 .76495 L
.61587 .76303 L
F
0 .92 1 r
.61658 .60866 m
.61683 .60887 L
.61851 .61049 L
.61877 .6108 L
.62036 .61273 L
.62043 .61281 L
.62175 .61465 L
.62236 .61548 L
.62307 .61658 L
.62236 .6181 L
.6211 .61658 L
.62043 .61582 L
.61957 .61465 L
.61851 .61328 L
.61812 .61273 L
.61685 .6108 L
.61658 .61035 L
.61602 .60887 L
F
1 .51 0 r
.61658 .55691 m
.61765 .55877 L
.61851 .56006 L
.61881 .5607 L
.61851 .56115 L
.61812 .5607 L
.61658 .55909 L
.61632 .55877 L
F
1 .5 0 r
.61658 .55705 m
.61752 .55877 L
.61851 .56038 L
.61861 .5607 L
.61851 .56087 L
.61835 .5607 L
.61658 .55897 L
.61642 .55877 L
F
0 .89 1 r
.61658 .53364 m
.61667 .53372 L
.61851 .53552 L
.61862 .53565 L
.62031 .53758 L
.62043 .53771 L
.62193 .5395 L
.62236 .53999 L
.62353 .54143 L
.62429 .54234 L
.62511 .54336 L
.62621 .54459 L
.62665 .54528 L
.62814 .54718 L
.62817 .54721 L
.62967 .54914 L
.63007 .54964 L
.63117 .55106 L
.63199 .55198 L
.63343 .55299 L
.63392 .55463 L
.63416 .55492 L
.6356 .55684 L
.63585 .55717 L
.63707 .55877 L
.63778 .55957 L
.63906 .5607 L
.6397 .56226 L
.63998 .56263 L
.64141 .56455 L
.64163 .56484 L
.64286 .56648 L
.64356 .56729 L
.64467 .56841 L
.64548 .57001 L
.64572 .57033 L
.64714 .57226 L
.64741 .57263 L
.64856 .57419 L
.64934 .57512 L
.65025 .57611 L
.65126 .57786 L
.65138 .57804 L
.65279 .57997 L
.65319 .58051 L
.6542 .58189 L
.65512 .58304 L
.65579 .58382 L
.65699 .58575 L
.65704 .58582 L
.65837 .58768 L
.65897 .58794 L
.65976 .5896 L
.6609 .59112 L
.66123 .59153 L
.6625 .59346 L
.66283 .59391 L
.66385 .59538 L
.66475 .59617 L
.66522 .59731 L
.66656 .59924 L
.66668 .5994 L
.66787 .60116 L
.66861 .60221 L
.6692 .60309 L
.67051 .60502 L
.67053 .60505 L
.67172 .60694 L
.67246 .60804 L
.67296 .60887 L
.67246 .6105 L
.67109 .60887 L
.67053 .60828 L
.66947 .60694 L
.66861 .60596 L
.66788 .60502 L
.66668 .60393 L
.66631 .60309 L
.66477 .60116 L
.66475 .60115 L
.6633 .59924 L
.66283 .59867 L
.66181 .59731 L
.6609 .5966 L
.66031 .59538 L
.65897 .59371 L
.65871 .59346 L
.65738 .59153 L
.65704 .59112 L
.65593 .5896 L
.65512 .58896 L
.65447 .58768 L
.65319 .58606 L
.65289 .58575 L
.65158 .58382 L
.65126 .58342 L
.65016 .58189 L
.64934 .5812 L
.64872 .57997 L
.64741 .57828 L
.64719 .57804 L
.64587 .57611 L
.64548 .57562 L
.64446 .57419 L
.64356 .57334 L
.64303 .57226 L
.64163 .57041 L
.64157 .57033 L
.64021 .56841 L
.6397 .56774 L
.63881 .56648 L
.63778 .56538 L
.63739 .56455 L
.63597 .56263 L
.63585 .56246 L
.63461 .5607 L
.63392 .55978 L
.63322 .55877 L
.63199 .55728 L
.63157 .55684 L
.63043 .55492 L
.63007 .55444 L
.62908 .55299 L
.62814 .55173 L
.62769 .55106 L
.62629 .54914 L
.62621 .54904 L
.62499 .54721 L
.62429 .54627 L
.62364 .54528 L
.62236 .54352 L
.62226 .54336 L
.62099 .54143 L
.62043 .54066 L
.61972 .5395 L
.61851 .53776 L
.61839 .53758 L
.61729 .53565 L
.61658 .53447 L
.61642 .53372 L
F
1 .49 0 r
.61658 .55721 m
.61735 .55877 L
.61658 .55883 L
.61653 .55877 L
F
1 .98 0 r
.61851 .60277 m
.61922 .60309 L
.62043 .60409 L
.62168 .60502 L
.62236 .60587 L
.62384 .60694 L
.62429 .60816 L
.62497 .60887 L
.62621 .6106 L
.62631 .6108 L
.62796 .61273 L
.62814 .61293 L
.62964 .61465 L
.63007 .61555 L
.63074 .61658 L
.63199 .61825 L
.63203 .61851 L
.63356 .62043 L
.63392 .62051 L
.63514 .62236 L
.63585 .62359 L
.63617 .62429 L
.6374 .62621 L
.63778 .62687 L
.63847 .62814 L
.6389 .63007 L
.63778 .63057 L
.63715 .63007 L
.63585 .6292 L
.63484 .62814 L
.63392 .62718 L
.63309 .62621 L
.63199 .62487 L
.63128 .62429 L
.63007 .62246 L
.62997 .62236 L
.62851 .62043 L
.62814 .62012 L
.62706 .61851 L
.62621 .61748 L
.62543 .61658 L
.62429 .6148 L
.62419 .61465 L
.6228 .61273 L
.62236 .61212 L
.62143 .6108 L
.62043 .60973 L
.61993 .60887 L
.61876 .60694 L
.61851 .60656 L
.6176 .60502 L
.61702 .60309 L
F
0 .98 1 r
.62429 .72048 m
.62621 .72026 L
.62814 .72013 L
.63007 .72007 L
.63199 .72005 L
.63392 .72009 L
.63585 .72017 L
.63778 .7203 L
.6397 .72048 L
.6411 .72063 L
.64163 .72071 L
.64356 .72101 L
.64548 .7214 L
.64741 .72186 L
.64934 .72238 L
.64995 .72256 L
.65126 .72301 L
.65319 .72374 L
.65506 .72449 L
.65512 .72451 L
.65704 .72543 L
.65897 .72641 L
.65899 .72641 L
.6609 .72752 L
.66228 .72834 L
.66283 .72869 L
.66475 .72997 L
.66519 .73027 L
.66668 .73134 L
.66783 .7322 L
.66861 .7328 L
.67026 .73412 L
.67053 .73435 L
.67246 .73601 L
.67251 .73605 L
.67439 .7378 L
.67457 .73798 L
.67631 .73976 L
.67645 .7399 L
.6781 .74183 L
.67824 .74199 L
.67948 .74376 L
.68017 .74502 L
.68043 .74568 L
.68058 .74761 L
.68017 .74844 L
.6786 .74954 L
.67824 .74971 L
.67631 .7503 L
.67439 .75058 L
.67246 .75075 L
.67053 .75086 L
.66861 .75092 L
.66668 .75097 L
.66475 .75099 L
.66283 .75099 L
.6609 .75097 L
.65897 .75093 L
.65704 .75087 L
.65512 .75078 L
.65319 .75066 L
.65126 .75049 L
.64934 .75027 L
.64741 .74999 L
.64548 .74963 L
.64503 .74954 L
.64356 .74916 L
.64163 .74857 L
.6397 .74786 L
.6391 .74761 L
.63778 .747 L
.63585 .74599 L
.63531 .74568 L
.63392 .74483 L
.6323 .74376 L
.63199 .74354 L
.63007 .7421 L
.62973 .74183 L
.62814 .74052 L
.62744 .7399 L
.62621 .73879 L
.62536 .73798 L
.62429 .7369 L
.62348 .73605 L
.62236 .73481 L
.62177 .73412 L
.62043 .73244 L
.62026 .7322 L
.61896 .73027 L
.61851 .72957 L
.61794 .72834 L
.6173 .72641 L
.61725 .72449 L
.61838 .72256 L
.61851 .72244 L
.62043 .72132 L
.62236 .72081 L
.62333 .72063 L
F
1 .71 0 r
.61851 .54341 m
.61995 .54528 L
.62043 .54585 L
.62147 .54721 L
.62236 .54831 L
.62298 .54914 L
.62429 .55081 L
.62448 .55106 L
.62592 .55299 L
.62621 .55335 L
.62737 .55492 L
.62814 .55591 L
.62883 .55684 L
.63007 .55849 L
.63028 .55877 L
.63168 .5607 L
.63199 .5611 L
.63308 .56263 L
.63392 .56374 L
.6345 .56455 L
.63585 .56627 L
.63592 .56648 L
.63726 .56841 L
.63778 .56909 L
.63863 .57033 L
.6397 .5718 L
.64002 .57226 L
.64134 .57419 L
.64163 .57458 L
.64261 .57611 L
.64356 .57744 L
.64393 .57804 L
.64356 .57926 L
.64263 .57804 L
.64163 .57693 L
.64102 .57611 L
.6397 .57454 L
.63945 .57419 L
.63794 .57226 L
.63778 .57207 L
.6365 .57033 L
.63585 .56954 L
.63503 .56841 L
.63392 .56702 L
.63354 .56648 L
.63206 .56455 L
.63199 .56447 L
.63068 .56263 L
.63007 .56186 L
.62926 .5607 L
.62814 .55926 L
.6278 .55877 L
.62637 .55684 L
.62621 .55665 L
.62502 .55492 L
.62429 .55397 L
.62362 .55299 L
.62236 .55132 L
.62219 .55106 L
.62084 .54914 L
.62043 .5486 L
.61952 .54721 L
.61851 .54585 L
.61814 .54528 L
F
0 .5 1 r
.61851 .55182 m
.61926 .55299 L
.62043 .55454 L
.62067 .55492 L
.62043 .55588 L
.61977 .55492 L
.61851 .55347 L
.61817 .55299 L
F
1 .7 0 r
.61851 .54362 m
.61979 .54528 L
.62043 .54602 L
.62134 .54721 L
.62236 .54846 L
.62287 .54914 L
.62429 .55095 L
.62438 .55106 L
.62581 .55299 L
.62621 .55349 L
.62726 .55492 L
.62814 .55604 L
.62873 .55684 L
.63007 .55861 L
.63019 .55877 L
.63157 .5607 L
.63199 .56124 L
.63298 .56263 L
.63392 .56387 L
.63441 .56455 L
.63582 .56648 L
.63585 .56652 L
.63714 .56841 L
.63778 .56924 L
.63852 .57033 L
.6397 .57196 L
.6399 .57226 L
.64118 .57419 L
.64163 .57479 L
.64244 .57611 L
.64356 .57771 L
.64375 .57804 L
.64356 .57896 L
.64286 .57804 L
.64163 .57674 L
.64117 .57611 L
.6397 .57438 L
.63956 .57419 L
.63807 .57226 L
.63778 .57192 L
.63662 .57033 L
.63585 .56941 L
.63513 .56841 L
.63392 .5669 L
.63363 .56648 L
.63216 .56455 L
.63199 .56435 L
.63077 .56263 L
.63007 .56174 L
.62934 .5607 L
.62814 .55915 L
.62788 .55877 L
.62647 .55684 L
.62621 .55652 L
.62512 .55492 L
.62429 .55385 L
.62371 .55299 L
.62236 .5512 L
.62227 .55106 L
.62096 .54914 L
.62043 .54845 L
.61964 .54721 L
.61851 .54569 L
.61825 .54528 L
F
1 .97 0 r
.61851 .60408 m
.62043 .60479 L
.62081 .60502 L
.62236 .60652 L
.62325 .60694 L
.62429 .60864 L
.62456 .60887 L
.6261 .6108 L
.62621 .61081 L
.62759 .61273 L
.62814 .61332 L
.62937 .61465 L
.63007 .61602 L
.63044 .61658 L
.63182 .61851 L
.63199 .61875 L
.63316 .62043 L
.63392 .62098 L
.63469 .62236 L
.63565 .62429 L
.63585 .62464 L
.63668 .62621 L
.63585 .62803 L
.63392 .62645 L
.63371 .62621 L
.63199 .62435 L
.63191 .62429 L
.63035 .62236 L
.63007 .62203 L
.62884 .62043 L
.62814 .6198 L
.62735 .61851 L
.62621 .6171 L
.62574 .61658 L
.62446 .61465 L
.62429 .61442 L
.62309 .61273 L
.62236 .61173 L
.62172 .6108 L
.62043 .60901 L
.62036 .60887 L
.61922 .60694 L
.61851 .60559 L
.61828 .60502 L
F
0 .49 1 r
.61851 .552 m
.61911 .55299 L
.62043 .55474 L
.62054 .55492 L
.62043 .55564 L
.61996 .55492 L
.61851 .55332 L
.61828 .55299 L
F
1 .69 0 r
.61851 .54386 m
.61961 .54528 L
.62043 .54621 L
.62119 .54721 L
.62236 .54863 L
.62275 .54914 L
.62426 .55106 L
.62429 .5511 L
.62569 .55299 L
.62621 .55364 L
.62715 .55492 L
.62814 .55618 L
.62863 .55684 L
.63007 .55875 L
.63009 .55877 L
.63146 .5607 L
.63199 .56138 L
.63287 .56263 L
.63392 .56401 L
.6343 .56455 L
.63569 .56648 L
.63585 .56668 L
.63702 .56841 L
.63778 .56941 L
.63839 .57033 L
.6397 .57215 L
.63978 .57226 L
.64098 .57419 L
.64163 .57506 L
.64223 .57611 L
.64163 .5765 L
.64135 .57611 L
.6397 .57421 L
.63969 .57419 L
.63823 .57226 L
.63778 .57175 L
.63675 .57033 L
.63585 .56926 L
.63524 .56841 L
.63392 .56677 L
.63372 .56648 L
.63228 .56455 L
.63199 .56421 L
.63088 .56263 L
.63007 .56162 L
.62943 .5607 L
.62814 .55903 L
.62796 .55877 L
.62658 .55684 L
.62621 .55639 L
.62522 .55492 L
.62429 .55372 L
.62381 .55299 L
.62236 .55107 L
.62236 .55106 L
.6211 .54914 L
.62043 .54828 L
.61977 .54721 L
.61851 .5455 L
.61838 .54528 L
F
0 .48 1 r
.61851 .55224 m
.61891 .55299 L
.61851 .55312 L
.61842 .55299 L
F
1 .85 0 r
.62043 .76643 m
.62236 .76683 L
.62248 .76688 L
.62429 .76761 L
.62621 .76869 L
.62643 .76881 L
.62814 .76983 L
.6296 .77073 L
.63007 .77107 L
.63199 .77237 L
.63242 .77266 L
.63392 .77372 L
.63514 .77459 L
.63585 .77511 L
.63773 .77651 L
.63778 .77655 L
.6397 .77801 L
.64026 .77844 L
.64163 .7795 L
.64273 .78037 L
.64356 .78102 L
.64515 .7823 L
.64548 .78257 L
.64741 .78413 L
.64752 .78422 L
.64934 .78572 L
.64986 .78615 L
.65126 .78732 L
.65216 .78808 L
.65319 .78894 L
.65444 .79 L
.65512 .79058 L
.65669 .79193 L
.65704 .79224 L
.65891 .79386 L
.65897 .79391 L
.6609 .7956 L
.66111 .79578 L
.66283 .7973 L
.66329 .79771 L
.66475 .79901 L
.66545 .79964 L
.66668 .80074 L
.66759 .80156 L
.66861 .80248 L
.66971 .80349 L
.67053 .80424 L
.67182 .80542 L
.67246 .80601 L
.67391 .80735 L
.67439 .80779 L
.67598 .80927 L
.67631 .80958 L
.67804 .8112 L
.67824 .81139 L
.68008 .81313 L
.68017 .81321 L
.68209 .81504 L
.68211 .81505 L
.68402 .81689 L
.68412 .81698 L
.68595 .81875 L
.68611 .81891 L
.68788 .82062 L
.68809 .82083 L
.6898 .82251 L
.69006 .82276 L
.69173 .82441 L
.69201 .82469 L
.69366 .82632 L
.69395 .82661 L
.69558 .82826 L
.69587 .82854 L
.69751 .8302 L
.69777 .83047 L
.69944 .83217 L
.69966 .8324 L
.70136 .83415 L
.70153 .83432 L
.70329 .83615 L
.70338 .83625 L
.70522 .83818 L
.70522 .83818 L
.70704 .8401 L
.70715 .84022 L
.70883 .84203 L
.70907 .84229 L
.71061 .84396 L
.711 .84438 L
.71237 .84588 L
.71293 .84649 L
.71411 .84781 L
.71485 .84864 L
.71582 .84974 L
.71678 .85082 L
.71751 .85166 L
.71871 .85305 L
.71917 .85359 L
.72063 .85532 L
.7208 .85552 L
.7224 .85745 L
.72256 .85764 L
.72396 .85937 L
.72449 .86002 L
.72547 .8613 L
.72641 .86252 L
.72693 .86323 L
.72832 .86515 L
.72834 .86517 L
.72965 .86708 L
.73027 .86787 L
.73084 .86901 L
.73191 .87093 L
.7322 .8718 L
.73256 .87286 L
.7322 .87433 L
.73027 .87445 L
.72834 .87382 L
.72653 .87286 L
.72641 .87281 L
.72449 .87171 L
.72316 .87093 L
.72256 .87051 L
.72063 .86923 L
.7203 .86901 L
.71871 .8679 L
.71754 .86708 L
.71678 .86653 L
.71491 .86515 L
.71485 .86511 L
.71293 .86366 L
.71236 .86323 L
.711 .86218 L
.70987 .8613 L
.70907 .86067 L
.70744 .85937 L
.70715 .85914 L
.70522 .85758 L
.70505 .85745 L
.70329 .85601 L
.7027 .85552 L
.70136 .85441 L
.70038 .85359 L
.69944 .8528 L
.6981 .85166 L
.69751 .85117 L
.69584 .84974 L
.69558 .84952 L
.69366 .84786 L
.69361 .84781 L
.69173 .84618 L
.6914 .84588 L
.6898 .84448 L
.68921 .84396 L
.68788 .84278 L
.68704 .84203 L
.68595 .84105 L
.68489 .8401 L
.68402 .83932 L
.68276 .83818 L
.68209 .83757 L
.68065 .83625 L
.68017 .83581 L
.67856 .83432 L
.67824 .83403 L
.67648 .8324 L
.67631 .83224 L
.67442 .83047 L
.67439 .83044 L
.67246 .82862 L
.67237 .82854 L
.67053 .82679 L
.67035 .82661 L
.66861 .82495 L
.66833 .82469 L
.66668 .8231 L
.66633 .82276 L
.66475 .82123 L
.66435 .82083 L
.66283 .81935 L
.66238 .81891 L
.6609 .81745 L
.66043 .81698 L
.65897 .81554 L
.65849 .81505 L
.65704 .81361 L
.65656 .81313 L
.65512 .81167 L
.65466 .8112 L
.65319 .80971 L
.65276 .80927 L
.65126 .80773 L
.65089 .80735 L
.64934 .80574 L
.64903 .80542 L
.64741 .80373 L
.64719 .80349 L
.64548 .80169 L
.64536 .80156 L
.64356 .79964 L
.64355 .79964 L
.64177 .79771 L
.64163 .79756 L
.64 .79578 L
.6397 .79546 L
.63825 .79386 L
.63778 .79333 L
.63653 .79193 L
.63585 .79116 L
.63483 .79 L
.63392 .78896 L
.63316 .78808 L
.63199 .78671 L
.63152 .78615 L
.63007 .78441 L
.62991 .78422 L
.62834 .7823 L
.62814 .78206 L
.62681 .78037 L
.62621 .77963 L
.62533 .77844 L
.62429 .77705 L
.62391 .77651 L
.62256 .77459 L
.62236 .77442 L
.62131 .77266 L
.62043 .77124 L
.62025 .77073 L
.61928 .76881 L
.61942 .76688 L
F
1 .96 0 r
.62043 .60565 m
.62219 .60694 L
.62236 .60709 L
.62405 .60887 L
.62429 .60912 L
.62568 .6108 L
.62621 .61093 L
.62722 .61273 L
.62814 .61378 L
.62899 .61465 L
.63007 .61654 L
.63009 .61658 L
.63144 .61851 L
.63199 .61932 L
.63274 .62043 L
.63392 .62221 L
.63399 .62236 L
.63498 .62429 L
.63392 .62557 L
.63257 .62429 L
.63199 .62373 L
.63081 .62236 L
.63007 .62153 L
.6292 .62043 L
.62814 .61937 L
.62766 .61851 L
.62621 .61666 L
.62614 .61658 L
.62477 .61465 L
.62429 .61402 L
.62339 .61273 L
.62236 .61129 L
.62203 .6108 L
.6208 .60887 L
.62043 .60827 L
.61978 .60694 L
F
1 .68 0 r
.62043 .54643 m
.62103 .54721 L
.62236 .54881 L
.62261 .54914 L
.62236 .55089 L
.62125 .54914 L
.62043 .54807 L
.61993 .54721 L
F
0 .88 1 r
.62043 .53814 m
.6216 .5395 L
.62236 .54034 L
.62327 .54143 L
.62429 .54263 L
.62488 .54336 L
.62621 .54491 L
.62644 .54528 L
.62797 .54721 L
.62814 .54742 L
.62949 .54914 L
.63007 .54986 L
.63101 .55106 L
.63199 .55219 L
.63319 .55299 L
.63392 .55483 L
.634 .55492 L
.63546 .55684 L
.63585 .55735 L
.63693 .55877 L
.63778 .55974 L
.6389 .5607 L
.6397 .56243 L
.63985 .56263 L
.64128 .56455 L
.64163 .565 L
.64273 .56648 L
.64356 .56745 L
.64454 .56841 L
.64548 .57017 L
.6456 .57033 L
.64702 .57226 L
.64741 .57278 L
.64845 .57419 L
.64934 .57528 L
.65012 .57611 L
.65126 .57803 L
.65127 .57804 L
.65267 .57997 L
.65319 .58067 L
.65408 .58189 L
.65512 .58322 L
.65564 .58382 L
.65686 .58575 L
.65704 .586 L
.65824 .58768 L
.65897 .5881 L
.65963 .5896 L
.6609 .59134 L
.66105 .59153 L
.66235 .59346 L
.66283 .59412 L
.6637 .59538 L
.66475 .5965 L
.66506 .59731 L
.66637 .59924 L
.66668 .59966 L
.66767 .60116 L
.66861 .60251 L
.66899 .60309 L
.67023 .60502 L
.67053 .60546 L
.6714 .60694 L
.67246 .60864 L
.67258 .60887 L
.67246 .60981 L
.67159 .60887 L
.67053 .60787 L
.66978 .60694 L
.66861 .60565 L
.66811 .60502 L
.66668 .60351 L
.6665 .60309 L
.66497 .60116 L
.66475 .60091 L
.66347 .59924 L
.66283 .59846 L
.66196 .59731 L
.6609 .59637 L
.66045 .59538 L
.65897 .59351 L
.65892 .59346 L
.6575 .59153 L
.65704 .59096 L
.65605 .5896 L
.65512 .5888 L
.65458 .58768 L
.65319 .5859 L
.65305 .58575 L
.65169 .58382 L
.65126 .58328 L
.65026 .58189 L
.64934 .58106 L
.64881 .57997 L
.64741 .57813 L
.64732 .57804 L
.64596 .57611 L
.64548 .5755 L
.64455 .57419 L
.64356 .57319 L
.64311 .57226 L
.64168 .57033 L
.64163 .57027 L
.64031 .56841 L
.6397 .56762 L
.6389 .56648 L
.63778 .56521 L
.63747 .56455 L
.63608 .56263 L
.63585 .56233 L
.63471 .5607 L
.63392 .55965 L
.63332 .55877 L
.63199 .55708 L
.63177 .55684 L
.63055 .55492 L
.63007 .55428 L
.6292 .55299 L
.62814 .55157 L
.6278 .55106 L
.62643 .54914 L
.62621 .54885 L
.62514 .54721 L
.62429 .54605 L
.62379 .54528 L
.62242 .54336 L
.62236 .54327 L
.62122 .54143 L
.62043 .54032 L
.61997 .5395 L
F
0 .91 1 r
.62043 .61349 m
.62122 .61465 L
.62236 .6163 L
.62251 .61658 L
.62236 .6172 L
.62178 .61658 L
.62043 .6152 L
.62004 .61465 L
F
1 .67 0 r
.62043 .54671 m
.62081 .54721 L
.62236 .54902 L
.62245 .54914 L
.62236 .55067 L
.62146 .54914 L
.62043 .54779 L
.62012 .54721 L
F
1 .97 0 r
.62043 .53014 m
.62202 .53179 L
.62236 .53214 L
.62376 .53372 L
.62429 .53431 L
.62544 .53565 L
.62621 .53622 L
.62707 .53758 L
.62814 .53888 L
.62894 .5395 L
.63007 .54129 L
.63018 .54143 L
.63175 .54336 L
.63199 .54356 L
.63329 .54528 L
.63392 .5461 L
.63499 .54721 L
.63585 .54863 L
.63619 .54914 L
.63778 .55105 L
.63779 .55106 L
.63929 .55299 L
.6397 .55355 L
.64085 .55492 L
.64163 .55614 L
.64204 .55684 L
.64356 .55866 L
.6437 .55877 L
.64516 .5607 L
.64548 .56114 L
.64663 .56263 L
.64741 .56377 L
.64782 .56455 L
.64934 .56635 L
.64951 .56648 L
.65096 .56841 L
.65126 .56884 L
.65237 .57033 L
.65319 .5715 L
.65354 .57226 L
.65512 .57408 L
.65526 .57419 L
.65693 .57611 L
.65704 .57661 L
.65806 .57804 L
.65897 .57929 L
.65922 .57997 L
.6609 .58185 L
.66096 .58189 L
.66259 .58382 L
.66283 .58444 L
.66372 .58575 L
.66475 .58712 L
.66489 .58768 L
.66662 .5896 L
.66668 .58967 L
.66822 .59153 L
.66861 .59231 L
.66935 .59346 L
.67053 .595 L
.67057 .59538 L
.67226 .59731 L
.67246 .59754 L
.67383 .59924 L
.67439 .60023 L
.67496 .60116 L
.67631 .60291 L
.67647 .60309 L
.67786 .60502 L
.67824 .60546 L
.6794 .60694 L
.68017 .60819 L
.68055 .60887 L
.68204 .6108 L
.68209 .61088 L
.68343 .61273 L
.68402 .61344 L
.68493 .61465 L
.68595 .61623 L
.68613 .61658 L
.68756 .61851 L
.68788 .61859 L
.68893 .62043 L
.6898 .62155 L
.69038 .62236 L
.69165 .62429 L
.69173 .6244 L
.69299 .62621 L
.69366 .62667 L
.69492 .62814 L
.69558 .6299 L
.6957 .63007 L
.69697 .63199 L
.69751 .63278 L
.69827 .63392 L
.69944 .63551 L
.69969 .63585 L
.70077 .63778 L
.70136 .63869 L
.70197 .6397 L
.7031 .64163 L
.70136 .64179 L
.7013 .64163 L
.69957 .6397 L
.69944 .63957 L
.69794 .63778 L
.69751 .6373 L
.69635 .63585 L
.69558 .63546 L
.69477 .63392 L
.69366 .63265 L
.69274 .63199 L
.69173 .63013 L
.69167 .63007 L
.6902 .62814 L
.6898 .62797 L
.68871 .62621 L
.68788 .62526 L
.68675 .62429 L
.68595 .62265 L
.6857 .62236 L
.68428 .62043 L
.68402 .62031 L
.68283 .61851 L
.68209 .61765 L
.68098 .61658 L
.68017 .615 L
.67989 .61465 L
.67848 .61273 L
.67824 .6126 L
.67705 .6108 L
.67631 .60993 L
.67529 .60887 L
.67439 .60726 L
.67415 .60694 L
.67274 .60502 L
.67246 .60485 L
.67133 .60309 L
.67053 .60215 L
.66963 .60116 L
.66861 .59945 L
.66845 .59924 L
.66705 .59731 L
.66668 .59707 L
.66564 .59538 L
.66475 .59431 L
.664 .59346 L
.66283 .5916 L
.66277 .59153 L
.66138 .5896 L
.6609 .58924 L
.65998 .58768 L
.65897 .58643 L
.65839 .58575 L
.65712 .58382 L
.65704 .58372 L
.65574 .58189 L
.65512 .58137 L
.65365 .57997 L
.65319 .57852 L
.6528 .57804 L
.6515 .57611 L
.65126 .57581 L
.65012 .57419 L
.64934 .57345 L
.64818 .57226 L
.64741 .57057 L
.64723 .57033 L
.64589 .56841 L
.64548 .56786 L
.64451 .56648 L
.64356 .56546 L
.64273 .56455 L
.64167 .56263 L
.64163 .56257 L
.64032 .5607 L
.6397 .55988 L
.63893 .55877 L
.63778 .55739 L
.63731 .55684 L
.63613 .55492 L
.63585 .55455 L
.63478 .55299 L
.63392 .55185 L
.63339 .55106 L
.63199 .54919 L
.63195 .54914 L
.63065 .54721 L
.63007 .54643 L
.6293 .54528 L
.62814 .54371 L
.62791 .54336 L
.62657 .54143 L
.62621 .54095 L
.62528 .5395 L
.62429 .53813 L
.62393 .53758 L
.62262 .53565 L
.62236 .53528 L
.62143 .53372 L
.62043 .53225 L
.62019 .53179 L
F
0 .87 1 r
.62043 .53878 m
.62114 .5395 L
.62236 .54074 L
.62295 .54143 L
.62429 .54296 L
.62462 .54336 L
.62621 .54528 L
.62621 .54529 L
.62775 .54721 L
.62814 .54767 L
.6293 .54914 L
.63007 .55009 L
.63084 .55106 L
.63199 .55243 L
.63287 .55299 L
.63383 .55492 L
.63392 .55503 L
.63531 .55684 L
.63585 .55754 L
.63679 .55877 L
.63778 .55993 L
.63871 .5607 L
.6397 .56261 L
.63971 .56263 L
.64116 .56455 L
.64163 .56517 L
.64261 .56648 L
.64356 .56762 L
.64438 .56841 L
.64548 .57033 L
.64548 .57034 L
.6469 .57226 L
.64741 .57294 L
.64833 .57419 L
.64934 .57545 L
.64997 .57611 L
.65115 .57804 L
.65126 .57819 L
.65255 .57997 L
.65319 .58084 L
.65396 .58189 L
.65512 .58342 L
.65547 .58382 L
.65673 .58575 L
.65704 .58618 L
.65811 .58768 L
.65897 .58832 L
.65949 .5896 L
.66086 .59153 L
.6609 .59158 L
.66219 .59346 L
.66283 .59434 L
.66354 .59538 L
.66475 .59692 L
.66489 .59731 L
.66617 .59924 L
.66668 .59996 L
.66745 .60116 L
.66861 .60286 L
.66875 .60309 L
.66987 .60502 L
.67053 .60607 L
.67093 .60694 L
.67053 .6073 L
.67023 .60694 L
.66861 .60528 L
.66839 .60502 L
.66673 .60309 L
.66668 .60303 L
.6652 .60116 L
.66475 .60066 L
.66366 .59924 L
.66283 .59824 L
.66212 .59731 L
.6609 .59609 L
.66059 .59538 L
.65909 .59346 L
.65897 .59332 L
.65764 .59153 L
.65704 .59079 L
.65617 .5896 L
.65512 .58861 L
.65469 .58768 L
.65321 .58575 L
.65319 .58573 L
.6518 .58382 L
.65126 .58314 L
.65036 .58189 L
.64934 .58089 L
.64891 .57997 L
.64745 .57804 L
.64741 .57799 L
.64606 .57611 L
.64548 .57537 L
.64464 .57419 L
.64356 .57303 L
.6432 .57226 L
.64178 .57033 L
.64163 .57014 L
.6404 .56841 L
.6397 .56749 L
.639 .56648 L
.63778 .56503 L
.63756 .56455 L
.63618 .56263 L
.63585 .56219 L
.63482 .5607 L
.63392 .55951 L
.63341 .55877 L
.63199 .55686 L
.63198 .55684 L
.63067 .55492 L
.63007 .55411 L
.62932 .55299 L
.62814 .5514 L
.62792 .55106 L
.62659 .54914 L
.62621 .54863 L
.6253 .54721 L
.62429 .54581 L
.62396 .54528 L
.62266 .54336 L
.62236 .54293 L
.62151 .54143 L
.62043 .53979 L
.6203 .5395 L
F
0 .97 1 r
.62429 .72238 m
.62621 .72182 L
.62814 .7215 L
.63007 .72132 L
.63199 .72125 L
.63392 .72126 L
.63585 .72134 L
.63778 .72149 L
.6397 .72171 L
.64163 .722 L
.64356 .72236 L
.64451 .72256 L
.64548 .7228 L
.64741 .72334 L
.64934 .72396 L
.65083 .72449 L
.65126 .72466 L
.65319 .72547 L
.65512 .72634 L
.65528 .72641 L
.65704 .72733 L
.65891 .72834 L
.65897 .72838 L
.6609 .72954 L
.66205 .73027 L
.66283 .73079 L
.66475 .73213 L
.66485 .7322 L
.66668 .73358 L
.66738 .73412 L
.66861 .73513 L
.66968 .73605 L
.67053 .73681 L
.67178 .73798 L
.67246 .73865 L
.67365 .7399 L
.67439 .74073 L
.67526 .74183 L
.67631 .74333 L
.67652 .74376 L
.67726 .74568 L
.67699 .74761 L
.67631 .74837 L
.67439 .74933 L
.67367 .74954 L
.67246 .74983 L
.67053 .75012 L
.66861 .75029 L
.66668 .75039 L
.66475 .75045 L
.66283 .75046 L
.6609 .75044 L
.65897 .75038 L
.65704 .75029 L
.65512 .75016 L
.65319 .74998 L
.65126 .74974 L
.64996 .74954 L
.64934 .74943 L
.64741 .74902 L
.64548 .74852 L
.64356 .74792 L
.6427 .74761 L
.64163 .74718 L
.6397 .7463 L
.63848 .74568 L
.63778 .7453 L
.63585 .74413 L
.63526 .74376 L
.63392 .74283 L
.63258 .74183 L
.63199 .74137 L
.63024 .7399 L
.63007 .73975 L
.62816 .73798 L
.62814 .73796 L
.62631 .73605 L
.62621 .73595 L
.62467 .73412 L
.62429 .73364 L
.62326 .7322 L
.62236 .73076 L
.62211 .73027 L
.6213 .72834 L
.62098 .72641 L
.62147 .72449 L
.62236 .72322 L
.62386 .72256 L
F
1 .95 0 r
.62236 .60785 m
.62344 .60887 L
.62429 .60972 L
.62522 .6108 L
.62621 .61137 L
.62681 .61273 L
.62814 .61438 L
.62842 .61465 L
.62968 .61658 L
.63007 .61712 L
.63101 .61851 L
.63199 .62 L
.63227 .62043 L
.63329 .62236 L
.63199 .62301 L
.63139 .62236 L
.63007 .62099 L
.62962 .62043 L
.62814 .61877 L
.628 .61851 L
.62652 .61658 L
.62621 .61619 L
.62511 .61465 L
.62429 .61355 L
.62373 .61273 L
.6224 .6108 L
.62236 .61074 L
.62135 .60887 L
F
0 .86 1 r
.62236 .5413 m
.62249 .54143 L
.62429 .54334 L
.6243 .54336 L
.62592 .54528 L
.62621 .5456 L
.62752 .54721 L
.62814 .54794 L
.6291 .54914 L
.63007 .55033 L
.63065 .55106 L
.63199 .55269 L
.63247 .55299 L
.63366 .55492 L
.63392 .55524 L
.63515 .55684 L
.63585 .55773 L
.63665 .55877 L
.63778 .56014 L
.63848 .5607 L
.63957 .56263 L
.6397 .56279 L
.64102 .56455 L
.64163 .56534 L
.64248 .56648 L
.64356 .56781 L
.6442 .56841 L
.64535 .57033 L
.64548 .5705 L
.64677 .57226 L
.64741 .57311 L
.64821 .57419 L
.64934 .57563 L
.6498 .57611 L
.65102 .57804 L
.65126 .57836 L
.65242 .57997 L
.65319 .58101 L
.65383 .58189 L
.65512 .58363 L
.65529 .58382 L
.65659 .58575 L
.65704 .58637 L
.65797 .58768 L
.65897 .5886 L
.65935 .5896 L
.6607 .59153 L
.6609 .5918 L
.66202 .59346 L
.66283 .59458 L
.66337 .59538 L
.6647 .59731 L
.66475 .59738 L
.66593 .59924 L
.66668 .60032 L
.6672 .60116 L
.66668 .60266 L
.66548 .60116 L
.66475 .60037 L
.66388 .59924 L
.66283 .59801 L
.6623 .59731 L
.6609 .59576 L
.66074 .59538 L
.65925 .59346 L
.65897 .59312 L
.65778 .59153 L
.65704 .59062 L
.6563 .5896 L
.65512 .58839 L
.6548 .58768 L
.65333 .58575 L
.65319 .58557 L
.65192 .58382 L
.65126 .583 L
.65047 .58189 L
.64934 .58071 L
.649 .57997 L
.64756 .57804 L
.64741 .57785 L
.64617 .57611 L
.64548 .57523 L
.64474 .57419 L
.64356 .57285 L
.64329 .57226 L
.64188 .57033 L
.64163 .57001 L
.64051 .56841 L
.6397 .56736 L
.63909 .56648 L
.63778 .56483 L
.63766 .56455 L
.63629 .56263 L
.63585 .56204 L
.63493 .5607 L
.63392 .55936 L
.63352 .55877 L
.63212 .55684 L
.63199 .55668 L
.6308 .55492 L
.63007 .55393 L
.62945 .55299 L
.62814 .55121 L
.62805 .55106 L
.62677 .54914 L
.62621 .54838 L
.62549 .54721 L
.62429 .54553 L
.62414 .54528 L
.62299 .54336 L
.62236 .54239 L
.62202 .54143 L
F
0 .99 1 r
.62236 .60215 m
.62429 .60264 L
.62609 .60309 L
.62621 .60322 L
.62814 .60496 L
.62819 .60502 L
.62986 .60694 L
.63007 .6073 L
.63135 .60887 L
.63199 .60995 L
.6325 .6108 L
.63392 .61217 L
.63435 .61273 L
.63583 .61465 L
.63585 .61478 L
.63713 .61658 L
.63778 .61746 L
.63821 .61851 L
.6397 .62015 L
.64 .62043 L
.64151 .62236 L
.64163 .6226 L
.64266 .62429 L
.64356 .62537 L
.64374 .62621 L
.64532 .62814 L
.64548 .62841 L
.64681 .63007 L
.64699 .63199 L
.64548 .63264 L
.64398 .63199 L
.64356 .63165 L
.64185 .63007 L
.64163 .62981 L
.64024 .62814 L
.6397 .62745 L
.63873 .62621 L
.63778 .62492 L
.63711 .62429 L
.63585 .62242 L
.6358 .62236 L
.63438 .62043 L
.63392 .61999 L
.63236 .61851 L
.63199 .61729 L
.63142 .61658 L
.63011 .61465 L
.63007 .61459 L
.62874 .61273 L
.62814 .61192 L
.62684 .6108 L
.62621 .60944 L
.62588 .60887 L
.6246 .60694 L
.62429 .60649 L
.62333 .60502 L
.62236 .60334 L
.62211 .60309 L
F
1 .59 0 r
.62236 .56494 m
.62309 .56648 L
.62236 .56664 L
.62222 .56648 L
F
1 .94 0 r
.62429 .61042 m
.62463 .6108 L
.62621 .6124 L
.62634 .61273 L
.62782 .61465 L
.62814 .61507 L
.6292 .61658 L
.63007 .61783 L
.6305 .61851 L
.63007 .6203 L
.6285 .61851 L
.62814 .61811 L
.62697 .61658 L
.62621 .61564 L
.62552 .61465 L
.62429 .61298 L
.62412 .61273 L
.62301 .6108 L
F
1 .84 0 r
.62429 .77006 m
.62621 .77051 L
.62671 .77073 L
.62814 .77135 L
.63007 .77247 L
.63042 .77266 L
.63199 .77363 L
.6335 .77459 L
.63392 .7749 L
.63585 .77623 L
.63625 .77651 L
.63778 .7776 L
.63893 .77844 L
.6397 .77902 L
.64148 .78037 L
.64163 .78048 L
.64356 .78197 L
.64398 .7823 L
.64548 .78348 L
.64642 .78422 L
.64741 .78502 L
.6488 .78615 L
.64934 .78659 L
.65115 .78808 L
.65126 .78817 L
.65319 .78978 L
.65346 .79 L
.65512 .7914 L
.65574 .79193 L
.65704 .79305 L
.65799 .79386 L
.65897 .79471 L
.66021 .79578 L
.6609 .79639 L
.66241 .79771 L
.66283 .79808 L
.66458 .79964 L
.66475 .79979 L
.66668 .80151 L
.66674 .80156 L
.66861 .80325 L
.66887 .80349 L
.67053 .805 L
.67099 .80542 L
.67246 .80677 L
.67309 .80735 L
.67439 .80855 L
.67517 .80927 L
.67631 .81034 L
.67723 .8112 L
.67824 .81215 L
.67928 .81313 L
.68017 .81397 L
.68131 .81505 L
.68209 .81581 L
.68332 .81698 L
.68402 .81766 L
.68532 .81891 L
.68595 .81952 L
.6873 .82083 L
.68788 .8214 L
.68926 .82276 L
.6898 .82329 L
.69121 .82469 L
.69173 .8252 L
.69314 .82661 L
.69366 .82713 L
.69506 .82854 L
.69558 .82907 L
.69696 .83047 L
.69751 .83103 L
.69884 .8324 L
.69944 .83301 L
.7007 .83432 L
.70136 .83501 L
.70254 .83625 L
.70329 .83703 L
.70437 .83818 L
.70522 .83908 L
.70618 .8401 L
.70715 .84115 L
.70796 .84203 L
.70907 .84324 L
.70972 .84396 L
.711 .84537 L
.71146 .84588 L
.71293 .84753 L
.71317 .84781 L
.71485 .84973 L
.71486 .84974 L
.71652 .85166 L
.71678 .85197 L
.71814 .85359 L
.71871 .85426 L
.71973 .85552 L
.72063 .85662 L
.72128 .85745 L
.72256 .8591 L
.72276 .85937 L
.7242 .8613 L
.72449 .86162 L
.72556 .86323 L
.72641 .86444 L
.72679 .86515 L
.72794 .86708 L
.72834 .86816 L
.72868 .86901 L
.72834 .87078 L
.72641 .87078 L
.72449 .87011 L
.72256 .86904 L
.7225 .86901 L
.72063 .86792 L
.71924 .86708 L
.71871 .86669 L
.71678 .86538 L
.71645 .86515 L
.71485 .86403 L
.71373 .86323 L
.71293 .86263 L
.71115 .8613 L
.711 .86119 L
.70907 .85971 L
.70863 .85937 L
.70715 .85821 L
.70617 .85745 L
.70522 .85668 L
.70377 .85552 L
.70329 .85513 L
.70141 .85359 L
.70136 .85355 L
.69944 .85196 L
.69909 .85166 L
.69751 .85034 L
.6968 .84974 L
.69558 .84871 L
.69454 .84781 L
.69366 .84705 L
.69231 .84588 L
.69173 .84538 L
.6901 .84396 L
.6898 .8437 L
.68792 .84203 L
.68788 .842 L
.68595 .84028 L
.68575 .8401 L
.68402 .83855 L
.68361 .83818 L
.68209 .8368 L
.68149 .83625 L
.68017 .83504 L
.67938 .83432 L
.67824 .83327 L
.6773 .8324 L
.67631 .83148 L
.67523 .83047 L
.67439 .82968 L
.67318 .82854 L
.67246 .82786 L
.67115 .82661 L
.67053 .82603 L
.66913 .82469 L
.66861 .82419 L
.66713 .82276 L
.66668 .82233 L
.66514 .82083 L
.66475 .82045 L
.66318 .81891 L
.66283 .81856 L
.66122 .81698 L
.6609 .81666 L
.65929 .81505 L
.65897 .81474 L
.65737 .81313 L
.65704 .8128 L
.65546 .8112 L
.65512 .81085 L
.65358 .80927 L
.65319 .80888 L
.65171 .80735 L
.65126 .80688 L
.64986 .80542 L
.64934 .80487 L
.64803 .80349 L
.64741 .80284 L
.64621 .80156 L
.64548 .80078 L
.64442 .79964 L
.64356 .7987 L
.64265 .79771 L
.64163 .79659 L
.6409 .79578 L
.6397 .79445 L
.63918 .79386 L
.63778 .79227 L
.63748 .79193 L
.63585 .79004 L
.63582 .79 L
.63418 .78808 L
.63392 .78778 L
.63257 .78615 L
.63199 .78545 L
.63101 .78422 L
.63007 .78304 L
.6295 .7823 L
.62814 .78049 L
.62806 .78037 L
.62666 .77844 L
.62621 .77794 L
.62537 .77651 L
.62429 .77466 L
.62426 .77459 L
.62321 .77266 L
.62309 .77073 L
F
0 .99 1 r
.62429 .52702 m
.62521 .52794 L
.62621 .52899 L
.62703 .52987 L
.62814 .53108 L
.62874 .53179 L
.63007 .53341 L
.63041 .53372 L
.63199 .53565 L
.63199 .53566 L
.6336 .53758 L
.63392 .53797 L
.6352 .5395 L
.63585 .54043 L
.63666 .54143 L
.63778 .54292 L
.63795 .54336 L
.6397 .5452 L
.63978 .54528 L
.64151 .54721 L
.64163 .54771 L
.64266 .54914 L
.64356 .55033 L
.6438 .55106 L
.64548 .55263 L
.64577 .55299 L
.64728 .55492 L
.64741 .55519 L
.64854 .55684 L
.64934 .55788 L
.65021 .55877 L
.65126 .56022 L
.65164 .5607 L
.65308 .56263 L
.65319 .56283 L
.65432 .56455 L
.65512 .56556 L
.656 .56648 L
.65704 .56793 L
.65742 .56841 L
.65883 .57033 L
.65897 .57056 L
.66004 .57226 L
.6609 .57332 L
.66174 .57419 L
.66283 .57571 L
.66314 .57611 L
.66453 .57804 L
.66475 .57836 L
.6657 .57997 L
.66668 .58114 L
.66744 .58189 L
.66861 .58353 L
.66883 .58382 L
.67021 .58575 L
.67053 .58621 L
.67132 .58768 L
.67246 .58899 L
.67311 .5896 L
.67439 .59139 L
.6745 .59153 L
.67585 .59346 L
.67631 .59408 L
.67692 .59538 L
.67824 .59684 L
.67877 .59731 L
.68016 .59924 L
.68017 .59927 L
.68148 .60116 L
.68209 .60197 L
.68251 .60309 L
.68402 .6047 L
.68441 .60502 L
.68584 .60694 L
.68595 .60716 L
.68709 .60887 L
.68788 .60987 L
.68809 .6108 L
.6898 .61255 L
.69003 .61273 L
.69149 .61465 L
.69173 .61507 L
.69269 .61658 L
.69366 .61778 L
.69427 .61851 L
.69558 .62039 L
.69565 .62043 L
.69712 .62236 L
.69751 .623 L
.69828 .62429 L
.69944 .6257 L
.69987 .62621 L
.70125 .62814 L
.70136 .62827 L
.70272 .63007 L
.70329 .63094 L
.70386 .63199 L
.70522 .63364 L
.70545 .63392 L
.70684 .63585 L
.70715 .6362 L
.70829 .63778 L
.70907 .63893 L
.70944 .6397 L
.711 .64162 L
.71101 .64163 L
.71284 .64356 L
.71293 .64419 L
.71382 .64548 L
.71485 .64698 L
.71503 .64741 L
.71651 .64934 L
.71678 .64941 L
.71834 .65126 L
.71871 .65231 L
.71928 .65319 L
.7206 .65512 L
.72063 .65517 L
.72193 .65704 L
.72256 .65748 L
.72366 .65897 L
.72449 .66071 L
.72461 .6609 L
.72587 .66283 L
.72641 .66362 L
.72715 .66475 L
.72834 .66645 L
.72849 .66668 L
.72959 .66861 L
.73027 .66969 L
.73074 .67053 L
.73168 .67246 L
.73027 .67253 L
.7302 .67246 L
.72834 .67056 L
.72832 .67053 L
.72662 .66861 L
.72641 .66839 L
.72498 .66668 L
.72449 .66655 L
.72338 .66475 L
.72256 .66387 L
.72181 .66283 L
.72063 .66137 L
.72015 .6609 L
.71874 .65897 L
.71871 .65896 L
.71725 .65704 L
.71678 .65652 L
.71503 .65512 L
.71485 .65395 L
.71417 .65319 L
.71293 .6514 L
.71284 .65126 L
.71135 .64934 L
.711 .64894 L
.70936 .64741 L
.70907 .64632 L
.70837 .64548 L
.70715 .64373 L
.70705 .64356 L
.70556 .64163 L
.70522 .64123 L
.7037 .6397 L
.70329 .63859 L
.70265 .63778 L
.70136 .63597 L
.70131 .63585 L
.69984 .63392 L
.69944 .63345 L
.69806 .63199 L
.69751 .63079 L
.69696 .63007 L
.69558 .62818 L
.69557 .62814 L
.69415 .62621 L
.69366 .62563 L
.69243 .62429 L
.69173 .62295 L
.6913 .62236 L
.68988 .62043 L
.6898 .62039 L
.68848 .61851 L
.68788 .61779 L
.68681 .61658 L
.68595 .61509 L
.68564 .61465 L
.68423 .61273 L
.68402 .61259 L
.68283 .6108 L
.68209 .60992 L
.6812 .60887 L
.68017 .60721 L
.67999 .60694 L
.67858 .60502 L
.67824 .60477 L
.67718 .60309 L
.67631 .60203 L
.67559 .60116 L
.67439 .59932 L
.67433 .59924 L
.67295 .59731 L
.67246 .59692 L
.6709 .59538 L
.67053 .59413 L
.66999 .59346 L
.66869 .59153 L
.66861 .59142 L
.66731 .5896 L
.66668 .58904 L
.66537 .58768 L
.66475 .58621 L
.6644 .58575 L
.66307 .58382 L
.66283 .5835 L
.66169 .58189 L
.6609 .58112 L
.65985 .57997 L
.65897 .57827 L
.6588 .57804 L
.65746 .57611 L
.65704 .57558 L
.65607 .57419 L
.65512 .57316 L
.65434 .57226 L
.65321 .57033 L
.65319 .57031 L
.65185 .56841 L
.65126 .56764 L
.65046 .56648 L
.64934 .56516 L
.64883 .56455 L
.64762 .56263 L
.64741 .56235 L
.64626 .5607 L
.64548 .55968 L
.64486 .55877 L
.64356 .55711 L
.64334 .55684 L
.64206 .55492 L
.64163 .55436 L
.64069 .55299 L
.6397 .55168 L
.63928 .55106 L
.63786 .54914 L
.63778 .54902 L
.63653 .54721 L
.63585 .54631 L
.63516 .54528 L
.63392 .54362 L
.63375 .54336 L
.6324 .54143 L
.63199 .54089 L
.63108 .5395 L
.63007 .53813 L
.62971 .53758 L
.62835 .53565 L
.62814 .53536 L
.62709 .53372 L
.62621 .53249 L
.6258 .53179 L
.62451 .52987 L
.62429 .52953 L
.62344 .52794 L
F
1 .68 0 r
.62429 .55127 m
.62555 .55299 L
.62621 .5538 L
.62703 .55492 L
.62814 .55633 L
.62852 .55684 L
.62996 .55877 L
.63007 .5589 L
.63134 .5607 L
.63199 .56154 L
.63276 .56263 L
.63392 .56416 L
.63419 .56455 L
.63555 .56648 L
.63585 .56686 L
.63688 .56841 L
.63778 .5696 L
.63826 .57033 L
.63778 .57155 L
.6369 .57033 L
.63585 .5691 L
.63536 .56841 L
.63392 .56663 L
.63382 .56648 L
.6324 .56455 L
.63199 .56406 L
.63099 .56263 L
.63007 .56148 L
.62953 .5607 L
.62814 .55891 L
.62805 .55877 L
.6267 .55684 L
.62621 .55624 L
.62533 .55492 L
.62429 .55357 L
.62391 .55299 L
F
0 .96 1 r
.63199 .72244 m
.63392 .72238 L
.63585 .72243 L
.63772 .72256 L
.63778 .72257 L
.6397 .72279 L
.64163 .72311 L
.64356 .7235 L
.64548 .72399 L
.64721 .72449 L
.64741 .72455 L
.64934 .72522 L
.65126 .72598 L
.6523 .72641 L
.65319 .72682 L
.65512 .72776 L
.65624 .72834 L
.65704 .72878 L
.65897 .7299 L
.65958 .73027 L
.6609 .73111 L
.66251 .7322 L
.66283 .73242 L
.66475 .73384 L
.66513 .73412 L
.66668 .73537 L
.66749 .73605 L
.66861 .73704 L
.6696 .73798 L
.67053 .7389 L
.67146 .7399 L
.67246 .74106 L
.67302 .74183 L
.67419 .74376 L
.67439 .7442 L
.67474 .74568 L
.67439 .74715 L
.67404 .74761 L
.67246 .74862 L
.67053 .74933 L
.66866 .74954 L
.66861 .74954 L
.66668 .74975 L
.66475 .74986 L
.66283 .7499 L
.6609 .74989 L
.65897 .74983 L
.65704 .74972 L
.65512 .74955 L
.65497 .74954 L
.65319 .74932 L
.65126 .74902 L
.64934 .74863 L
.64741 .74814 L
.64565 .74761 L
.64548 .74755 L
.64356 .74683 L
.64163 .74599 L
.641 .74568 L
.6397 .745 L
.63778 .74387 L
.6376 .74376 L
.63585 .74258 L
.63482 .74183 L
.63392 .74114 L
.63243 .7399 L
.63199 .73952 L
.63034 .73798 L
.63007 .7377 L
.62851 .73605 L
.62814 .73563 L
.62693 .73412 L
.62621 .73316 L
.6256 .7322 L
.62457 .73027 L
.62429 .72955 L
.62396 .72834 L
.62395 .72641 L
.62429 .72551 L
.6251 .72449 L
.62621 .72368 L
.62814 .72299 L
.63007 .72263 L
.63042 .72256 L
F
1 .67 0 r
.62429 .55148 m
.62539 .55299 L
.62621 .55397 L
.6269 .55492 L
.62814 .55649 L
.6284 .55684 L
.62814 .55876 L
.62684 .55684 L
.62621 .55607 L
.62546 .55492 L
.62429 .5534 L
.62402 .55299 L
F
0 .52 1 r
.62429 .55992 m
.62469 .5607 L
.62429 .56095 L
.6241 .5607 L
F
1 .66 0 r
.62429 .55172 m
.6252 .55299 L
.62621 .55418 L
.62675 .55492 L
.62814 .55668 L
.62826 .55684 L
.62814 .55857 L
.627 .55684 L
.62621 .55588 L
.62561 .55492 L
.62429 .55321 L
.62415 .55299 L
F
0 .98 1 r
.62621 .60492 m
.62638 .60502 L
.62814 .60651 L
.6287 .60694 L
.63007 .60854 L
.63052 .60887 L
.63199 .61074 L
.63204 .6108 L
.63362 .61273 L
.63392 .61303 L
.6357 .61465 L
.63585 .61564 L
.63654 .61658 L
.63778 .61831 L
.63785 .61851 L
.63929 .62043 L
.6397 .62104 L
.64111 .62236 L
.64163 .62375 L
.64188 .62429 L
.64299 .62621 L
.64356 .6274 L
.64386 .62814 L
.64356 .62932 L
.64163 .6284 L
.64138 .62814 L
.6397 .62647 L
.63948 .62621 L
.63784 .62429 L
.63778 .62422 L
.63632 .62236 L
.63585 .62178 L
.63484 .62043 L
.63392 .61945 L
.63286 .61851 L
.63199 .6167 L
.6319 .61658 L
.63055 .61465 L
.63007 .61401 L
.62918 .61273 L
.62814 .61129 L
.6275 .6108 L
.62652 .60887 L
.62621 .6084 L
.62538 .60694 L
.62463 .60502 L
F
0 .85 1 r
.62621 .54597 m
.62724 .54721 L
.62814 .54823 L
.62887 .54914 L
.63007 .55058 L
.63045 .55106 L
.63199 .55299 L
.63199 .553 L
.63348 .55492 L
.63392 .55545 L
.63499 .55684 L
.63585 .55793 L
.6365 .55877 L
.63778 .56036 L
.63821 .5607 L
.63943 .56263 L
.6397 .56297 L
.64089 .56455 L
.64163 .56552 L
.64235 .56648 L
.64356 .56801 L
.64399 .56841 L
.64522 .57033 L
.64548 .57068 L
.64665 .57226 L
.64741 .57328 L
.64808 .57419 L
.64934 .57584 L
.64961 .57611 L
.65089 .57804 L
.65126 .57854 L
.65229 .57997 L
.65319 .58119 L
.6537 .58189 L
.65509 .58382 L
.65512 .58386 L
.65644 .58575 L
.65704 .58657 L
.65782 .58768 L
.65897 .58896 L
.6592 .5896 L
.66052 .59153 L
.6609 .59205 L
.66184 .59346 L
.66283 .59485 L
.66318 .59538 L
.66445 .59731 L
.66475 .59774 L
.66565 .59924 L
.66668 .60079 L
.66689 .60116 L
.66668 .60213 L
.66587 .60116 L
.66475 .60004 L
.66413 .59924 L
.66283 .59775 L
.66249 .59731 L
.6609 .59538 L
.6609 .59538 L
.65943 .59346 L
.65897 .59292 L
.65794 .59153 L
.65704 .59044 L
.65643 .5896 L
.65512 .58813 L
.65492 .58768 L
.65347 .58575 L
.65319 .58541 L
.65204 .58382 L
.65126 .58285 L
.65058 .58189 L
.64934 .5805 L
.6491 .57997 L
.64768 .57804 L
.64741 .5777 L
.64628 .57611 L
.64548 .5751 L
.64484 .57419 L
.64356 .57265 L
.64339 .57226 L
.642 .57033 L
.64163 .56986 L
.64061 .56841 L
.6397 .56722 L
.63919 .56648 L
.63778 .56461 L
.63775 .56455 L
.63641 .56263 L
.63585 .56189 L
.63504 .5607 L
.63392 .55921 L
.63363 .55877 L
.63226 .55684 L
.63199 .5565 L
.63095 .55492 L
.63007 .55374 L
.62958 .55299 L
.6282 .55106 L
.62814 .55099 L
.62698 .54914 L
.62621 .54808 L
.62571 .54721 L
F
1 .96 0 r
.62621 .53766 m
.62786 .5395 L
.62814 .5398 L
.62953 .54143 L
.63007 .54204 L
.63117 .54336 L
.63199 .54408 L
.63276 .54528 L
.63392 .54672 L
.63448 .54721 L
.63584 .54914 L
.63585 .54914 L
.63738 .55106 L
.63778 .55142 L
.63891 .55299 L
.6397 .55403 L
.64052 .55492 L
.64163 .55656 L
.6418 .55684 L
.64337 .55877 L
.64356 .55896 L
.64486 .5607 L
.64548 .56154 L
.64638 .56263 L
.64741 .56413 L
.64763 .56455 L
.64923 .56648 L
.64934 .56659 L
.6507 .56841 L
.65126 .56918 L
.65214 .57033 L
.65319 .5718 L
.65339 .57226 L
.65502 .57419 L
.65512 .5743 L
.65687 .57611 L
.65704 .57691 L
.65786 .57804 L
.65897 .57956 L
.65911 .57997 L
.66074 .58189 L
.6609 .58207 L
.66248 .58382 L
.66283 .58472 L
.66353 .58575 L
.66475 .58738 L
.66482 .58768 L
.66642 .5896 L
.66668 .5899 L
.66808 .59153 L
.66861 .59259 L
.66917 .59346 L
.67053 .59525 L
.67054 .59538 L
.67205 .59731 L
.67246 .59778 L
.67366 .59924 L
.67439 .60052 L
.67478 .60116 L
.67624 .60309 L
.67631 .60319 L
.67764 .60502 L
.67824 .60574 L
.67919 .60694 L
.68017 .60852 L
.68037 .60887 L
.68178 .6108 L
.68209 .61123 L
.68316 .61273 L
.68402 .61381 L
.68466 .61465 L
.6859 .61658 L
.68595 .61665 L
.68724 .61851 L
.68788 .61886 L
.6886 .62043 L
.6898 .6221 L
.68999 .62236 L
.69125 .62429 L
.69173 .62497 L
.69257 .62621 L
.69366 .62753 L
.69416 .62814 L
.69513 .63007 L
.69558 .63074 L
.69636 .63199 L
.69751 .63379 L
.69759 .63392 L
.69856 .63585 L
.69751 .63616 L
.69724 .63585 L
.69558 .63425 L
.69544 .63392 L
.69379 .63199 L
.69366 .63185 L
.69222 .63007 L
.69173 .62951 L
.69066 .62814 L
.6898 .62758 L
.6891 .62621 L
.68788 .62477 L
.68727 .62429 L
.68606 .62236 L
.68595 .62223 L
.68459 .62043 L
.68402 .62011 L
.68311 .61851 L
.68209 .61731 L
.68129 .61658 L
.68017 .61469 L
.68014 .61465 L
.67871 .61273 L
.67824 .61245 L
.67726 .6108 L
.67631 .60967 L
.67551 .60887 L
.67439 .60701 L
.67434 .60694 L
.67293 .60502 L
.67246 .60471 L
.6715 .60309 L
.67053 .60192 L
.66982 .60116 L
.66861 .59924 L
.6686 .59924 L
.66721 .59731 L
.66668 .59693 L
.66578 .59538 L
.66475 .59411 L
.66417 .59346 L
.66292 .59153 L
.66283 .59141 L
.66153 .5896 L
.6609 .5891 L
.66011 .58768 L
.65897 .58624 L
.65855 .58575 L
.65726 .58382 L
.65704 .58354 L
.65588 .58189 L
.65512 .5812 L
.65382 .57997 L
.65319 .57832 L
.65297 .57804 L
.65164 .57611 L
.65126 .57562 L
.65026 .57419 L
.64934 .57325 L
.64838 .57226 L
.64741 .57034 L
.64741 .57033 L
.64605 .56841 L
.64548 .56766 L
.64466 .56648 L
.64356 .5652 L
.64297 .56455 L
.64185 .56263 L
.64163 .56233 L
.6405 .5607 L
.6397 .55964 L
.63911 .55877 L
.63778 .55703 L
.63762 .55684 L
.63635 .55492 L
.63585 .55425 L
.635 .55299 L
.63392 .55153 L
.63361 .55106 L
.63225 .54914 L
.63199 .54879 L
.63095 .54721 L
.63007 .546 L
.62961 .54528 L
.62825 .54336 L
.62814 .5432 L
.62704 .54143 L
.62621 .54025 L
.62578 .5395 L
F
1 .65 0 r
.62621 .55443 m
.62656 .55492 L
.62621 .55562 L
.6258 .55492 L
F
0 .84 1 r
.62621 .54647 m
.62687 .54721 L
.62814 .54858 L
.6286 .54914 L
.63007 .55087 L
.63023 .55106 L
.63177 .55299 L
.63199 .55325 L
.63329 .55492 L
.63392 .55568 L
.63482 .55684 L
.63585 .55814 L
.63634 .55877 L
.63778 .56062 L
.63788 .5607 L
.63928 .56263 L
.6397 .56316 L
.64074 .56455 L
.64163 .5657 L
.64221 .56648 L
.64356 .56823 L
.64376 .56841 L
.64508 .57033 L
.64548 .57086 L
.64651 .57226 L
.64741 .57346 L
.64795 .57419 L
.64934 .57606 L
.64939 .57611 L
.65075 .57804 L
.65126 .57872 L
.65216 .57997 L
.65319 .58138 L
.65357 .58189 L
.65494 .58382 L
.65512 .58406 L
.65629 .58575 L
.65704 .58678 L
.65767 .58768 L
.65897 .5894 L
.65904 .5896 L
.66033 .59153 L
.6609 .59232 L
.66164 .59346 L
.66283 .59516 L
.66297 .59538 L
.66413 .59731 L
.66475 .59823 L
.66526 .59924 L
.66475 .59959 L
.66447 .59924 L
.66283 .59744 L
.66272 .59731 L
.66115 .59538 L
.6609 .5951 L
.65964 .59346 L
.65897 .59269 L
.65811 .59153 L
.65704 .59024 L
.65658 .5896 L
.65512 .58784 L
.65505 .58768 L
.65361 .58575 L
.65319 .58523 L
.65217 .58382 L
.65126 .58269 L
.6507 .58189 L
.64934 .58026 L
.64921 .57997 L
.6478 .57804 L
.64741 .57755 L
.64639 .57611 L
.64548 .57495 L
.64495 .57419 L
.64356 .57242 L
.64349 .57226 L
.64211 .57033 L
.64163 .56971 L
.64072 .56841 L
.6397 .56707 L
.6393 .56648 L
.63787 .56455 L
.63778 .56443 L
.63654 .56263 L
.63585 .56172 L
.63516 .5607 L
.63392 .55904 L
.63374 .55877 L
.63241 .55684 L
.63199 .55629 L
.63111 .55492 L
.63007 .55351 L
.62974 .55299 L
.62842 .55106 L
.62814 .55068 L
.62724 .54914 L
.62621 .54765 L
.62599 .54721 L
F
1 .93 0 r
.62621 .61354 m
.62705 .61465 L
.62814 .61603 L
.62848 .61658 L
.62814 .61717 L
.62769 .61658 L
.62621 .61484 L
.62609 .61465 L
F
1 .64 0 r
.62621 .55482 m
.62628 .55492 L
.62621 .55518 L
.62612 .55492 L
F
1 .99 0 r
.62621 .63863 m
.62814 .6397 L
.62814 .6397 L
.62981 .64163 L
.63007 .64193 L
.63125 .64356 L
.63199 .64455 L
.63261 .64548 L
.63392 .64741 L
.63392 .64741 L
.63483 .64934 L
.63392 .6497 L
.63355 .64934 L
.63199 .64811 L
.63169 .64741 L
.63007 .64548 L
.63007 .64548 L
.6286 .64356 L
.62814 .64293 L
.62725 .64163 L
.62621 .63983 L
.62615 .6397 L
F
0 .95 1 r
.63007 .72407 m
.63199 .72367 L
.63392 .7235 L
.63585 .72349 L
.63778 .7236 L
.6397 .72381 L
.64163 .72412 L
.64339 .72449 L
.64356 .72453 L
.64548 .72503 L
.64741 .72563 L
.64934 .72632 L
.64959 .72641 L
.65126 .72711 L
.65319 .72799 L
.65392 .72834 L
.65512 .72896 L
.65704 .73002 L
.65747 .73027 L
.65897 .73119 L
.66052 .7322 L
.6609 .73245 L
.66283 .73382 L
.66323 .73412 L
.66475 .73532 L
.66563 .73605 L
.66668 .73696 L
.66777 .73798 L
.66861 .7388 L
.66962 .7399 L
.67053 .74097 L
.67113 .74183 L
.6722 .74376 L
.67246 .74456 L
.67254 .74568 L
.67246 .74612 L
.67133 .74761 L
.67053 .74818 L
.66861 .74882 L
.66668 .7491 L
.66475 .74925 L
.66283 .74933 L
.6609 .74933 L
.65897 .74927 L
.65704 .74915 L
.65512 .74895 L
.65319 .74868 L
.65126 .74832 L
.64934 .74788 L
.64836 .74761 L
.64741 .74732 L
.64548 .74665 L
.64356 .74585 L
.64319 .74568 L
.64163 .74491 L
.6397 .74383 L
.63959 .74376 L
.63778 .74259 L
.63671 .74183 L
.63585 .74118 L
.63428 .7399 L
.63392 .7396 L
.63218 .73798 L
.63199 .73779 L
.63037 .73605 L
.63007 .73571 L
.62882 .73412 L
.62814 .73317 L
.62758 .7322 L
.62668 .73027 L
.62628 .72834 L
.62667 .72641 L
.62814 .72476 L
.62892 .72449 L
F
1 .83 0 r
.62814 .77372 m
.63007 .77422 L
.63082 .77459 L
.63199 .7751 L
.63392 .77626 L
.63437 .77651 L
.63585 .77746 L
.63736 .77844 L
.63778 .77876 L
.6397 .78012 L
.64006 .78037 L
.64163 .78151 L
.64269 .7823 L
.64356 .78295 L
.64521 .78422 L
.64548 .78444 L
.64741 .78595 L
.64767 .78615 L
.64934 .78748 L
.65007 .78808 L
.65126 .78905 L
.65243 .79 L
.65319 .79063 L
.65475 .79193 L
.65512 .79224 L
.65703 .79386 L
.65704 .79387 L
.65897 .79552 L
.65928 .79578 L
.6609 .79719 L
.6615 .79771 L
.66283 .79887 L
.6637 .79964 L
.66475 .80057 L
.66587 .80156 L
.66668 .80229 L
.66802 .80349 L
.66861 .80402 L
.67015 .80542 L
.67053 .80577 L
.67226 .80735 L
.67246 .80753 L
.67434 .80927 L
.67439 .80931 L
.67631 .81111 L
.67641 .8112 L
.67824 .81292 L
.67847 .81313 L
.68017 .81474 L
.6805 .81505 L
.68209 .81658 L
.68252 .81698 L
.68402 .81843 L
.68451 .81891 L
.68595 .8203 L
.6865 .82083 L
.68788 .82219 L
.68846 .82276 L
.6898 .82409 L
.69041 .82469 L
.69173 .82601 L
.69233 .82661 L
.69366 .82795 L
.69424 .82854 L
.69558 .8299 L
.69614 .83047 L
.69751 .83188 L
.69801 .8324 L
.69944 .83388 L
.69986 .83432 L
.70136 .8359 L
.70169 .83625 L
.70329 .83795 L
.70351 .83818 L
.70522 .84002 L
.70529 .8401 L
.70706 .84203 L
.70715 .84212 L
.7088 .84396 L
.70907 .84425 L
.71052 .84588 L
.711 .84642 L
.71221 .84781 L
.71293 .84864 L
.71386 .84974 L
.71485 .85091 L
.71547 .85166 L
.71678 .85326 L
.71705 .85359 L
.71857 .85552 L
.71871 .85567 L
.72005 .85745 L
.72063 .85816 L
.72144 .85937 L
.72256 .86103 L
.72271 .8613 L
.72394 .86323 L
.72449 .86458 L
.72474 .86515 L
.72461 .86708 L
.72449 .86717 L
.72258 .86708 L
.72256 .86708 L
.72063 .86638 L
.71871 .86526 L
.71851 .86515 L
.71678 .86411 L
.71536 .86323 L
.71485 .86285 L
.71293 .86151 L
.71263 .8613 L
.711 .86013 L
.70995 .85937 L
.70907 .85871 L
.7074 .85745 L
.70715 .85724 L
.70522 .85574 L
.70493 .85552 L
.70329 .85422 L
.7025 .85359 L
.70136 .85267 L
.70013 .85166 L
.69944 .85109 L
.6978 .84974 L
.69751 .84949 L
.69558 .84787 L
.69551 .84781 L
.69366 .84623 L
.69325 .84588 L
.69173 .84458 L
.69101 .84396 L
.6898 .8429 L
.68881 .84203 L
.68788 .84121 L
.68663 .8401 L
.68595 .8395 L
.68447 .83818 L
.68402 .83777 L
.68234 .83625 L
.68209 .83603 L
.68022 .83432 L
.68017 .83427 L
.67824 .8325 L
.67813 .8324 L
.67631 .83071 L
.67605 .83047 L
.67439 .82891 L
.67399 .82854 L
.67246 .82709 L
.67196 .82661 L
.67053 .82526 L
.66994 .82469 L
.66861 .82341 L
.66793 .82276 L
.66668 .82155 L
.66595 .82083 L
.66475 .81967 L
.66398 .81891 L
.66283 .81777 L
.66203 .81698 L
.6609 .81586 L
.66009 .81505 L
.65897 .81393 L
.65818 .81313 L
.65704 .81198 L
.65628 .8112 L
.65512 .81001 L
.6544 .80927 L
.65319 .80802 L
.65254 .80735 L
.65126 .80601 L
.6507 .80542 L
.64934 .80397 L
.64888 .80349 L
.64741 .80191 L
.64709 .80156 L
.64548 .79983 L
.64531 .79964 L
.64356 .79771 L
.64356 .7977 L
.64184 .79578 L
.64163 .79556 L
.64014 .79386 L
.6397 .79336 L
.63847 .79193 L
.63778 .79112 L
.63684 .79 L
.63585 .78882 L
.63525 .78808 L
.63392 .78642 L
.63371 .78615 L
.63222 .78422 L
.63199 .78398 L
.63079 .7823 L
.63007 .78137 L
.62947 .78037 L
.62826 .77844 L
.62814 .77817 L
.62719 .77651 L
.62687 .77459 L
F
0 .97 1 r
.62814 .60779 m
.6294 .60887 L
.63007 .6095 L
.63125 .6108 L
.63199 .61163 L
.6329 .61273 L
.63392 .61383 L
.63503 .61465 L
.63585 .61655 L
.63588 .61658 L
.63725 .61851 L
.63778 .61927 L
.63857 .62043 L
.6397 .6222 L
.63992 .62236 L
.64081 .62429 L
.6397 .62525 L
.63874 .62429 L
.63778 .62332 L
.63698 .62236 L
.63585 .62105 L
.63538 .62043 L
.63392 .61866 L
.63374 .61851 L
.63243 .61658 L
.63199 .61602 L
.63105 .61465 L
.63007 .61331 L
.62968 .61273 L
.62841 .6108 L
.62814 .61038 L
.62738 .60887 L
F
0 .83 1 r
.62814 .54904 m
.62823 .54914 L
.62814 .55022 L
.62769 .54914 L
F
1 .95 0 r
.62814 .54105 m
.62855 .54143 L
.63007 .54294 L
.63044 .54336 L
.63199 .54502 L
.63214 .54528 L
.63376 .54721 L
.63392 .54739 L
.63537 .54914 L
.63585 .54971 L
.63695 .55106 L
.63778 .55186 L
.63851 .55299 L
.6397 .5545 L
.64013 .55492 L
.64153 .55684 L
.64163 .55697 L
.64305 .55877 L
.64356 .55927 L
.64455 .5607 L
.64548 .56192 L
.6461 .56263 L
.64741 .56446 L
.64746 .56455 L
.64897 .56648 L
.64934 .56686 L
.65045 .56841 L
.65126 .5695 L
.65192 .57033 L
.65319 .57209 L
.65327 .57226 L
.65479 .57419 L
.65512 .57454 L
.65678 .57611 L
.65704 .5772 L
.65766 .57804 L
.65897 .57982 L
.65902 .57997 L
.66053 .58189 L
.6609 .5823 L
.66234 .58382 L
.66283 .585 L
.66335 .58575 L
.66475 .58763 L
.66476 .58768 L
.66621 .5896 L
.66668 .59013 L
.66792 .59153 L
.66861 .59286 L
.669 .59346 L
.67043 .59538 L
.67053 .59552 L
.67184 .59731 L
.67246 .59804 L
.67347 .59924 L
.67439 .60082 L
.6746 .60116 L
.67601 .60309 L
.67631 .6035 L
.6774 .60502 L
.67824 .60606 L
.67895 .60694 L
.68016 .60887 L
.68017 .60888 L
.68152 .6108 L
.68209 .6116 L
.68289 .61273 L
.68402 .61425 L
.68432 .61465 L
.68558 .61658 L
.68595 .6171 L
.68691 .61851 L
.68788 .61946 L
.68825 .62043 L
.68954 .62236 L
.6898 .62273 L
.69081 .62429 L
.69173 .62566 L
.69209 .62621 L
.69327 .62814 L
.69366 .62874 L
.69436 .63007 L
.69366 .63085 L
.69298 .63007 L
.69173 .62877 L
.69122 .62814 L
.6898 .62677 L
.68956 .62621 L
.68797 .62429 L
.68788 .62418 L
.68645 .62236 L
.68595 .62177 L
.68492 .62043 L
.68402 .61975 L
.6834 .61851 L
.68209 .61692 L
.68171 .61658 L
.68041 .61465 L
.68017 .61436 L
.67895 .61273 L
.67824 .61222 L
.67748 .6108 L
.67631 .60938 L
.67579 .60887 L
.67454 .60694 L
.67439 .60675 L
.67312 .60502 L
.67246 .60453 L
.67167 .60309 L
.67053 .60168 L
.67004 .60116 L
.66878 .59924 L
.66861 .59902 L
.66737 .59731 L
.66668 .59676 L
.66593 .59538 L
.66475 .59389 L
.66436 .59346 L
.66307 .59153 L
.66283 .59121 L
.66167 .5896 L
.6609 .58892 L
.66025 .58768 L
.65897 .58603 L
.65873 .58575 L
.65741 .58382 L
.65704 .58334 L
.65602 .58189 L
.65512 .581 L
.65403 .57997 L
.65319 .5781 L
.65315 .57804 L
.65179 .57611 L
.65126 .57542 L
.6504 .57419 L
.64934 .573 L
.64862 .57226 L
.64757 .57033 L
.64741 .57012 L
.64621 .56841 L
.64548 .56744 L
.64482 .56648 L
.64356 .56489 L
.64325 .56455 L
.64204 .56263 L
.64163 .56208 L
.64069 .5607 L
.6397 .55937 L
.6393 .55877 L
.63791 .55684 L
.63778 .55667 L
.6366 .55492 L
.63585 .5539 L
.63525 .55299 L
.63392 .55116 L
.63386 .55106 L
.6326 .54914 L
.63199 .5483 L
.63132 .54721 L
.63007 .54541 L
.62999 .54528 L
.62887 .54336 L
.62814 .54219 L
.62785 .54143 L
F
0 .58 1 r
.62814 .56458 m
.62925 .56648 L
.63007 .56766 L
.63043 .56841 L
.63007 .56874 L
.62981 .56841 L
.62814 .5666 L
.62805 .56648 L
F
0 .94 1 r
.63007 .72584 m
.63199 .72502 L
.63392 .72468 L
.63585 .72456 L
.63778 .72461 L
.6397 .72479 L
.64163 .72509 L
.64356 .72549 L
.64548 .726 L
.64683 .72641 L
.64741 .72661 L
.64934 .72732 L
.65126 .72813 L
.65175 .72834 L
.65319 .72903 L
.65512 .73003 L
.65555 .73027 L
.65704 .73114 L
.65875 .7322 L
.65897 .73234 L
.6609 .73366 L
.66153 .73412 L
.66283 .73511 L
.66399 .73605 L
.66475 .7367 L
.66614 .73798 L
.66668 .73849 L
.66798 .7399 L
.66861 .74059 L
.66945 .74183 L
.67041 .74376 L
.67052 .74568 L
.66861 .7476 L
.66858 .74761 L
.66668 .74828 L
.66475 .74858 L
.66283 .74872 L
.6609 .74875 L
.65897 .7487 L
.65704 .74856 L
.65512 .74834 L
.65319 .74804 L
.65126 .74765 L
.6511 .74761 L
.64934 .74715 L
.64741 .74653 L
.64548 .74579 L
.64522 .74568 L
.64356 .74492 L
.64163 .7439 L
.64138 .74376 L
.6397 .74272 L
.63839 .74183 L
.63778 .74138 L
.63591 .7399 L
.63585 .73985 L
.63392 .73809 L
.6338 .73798 L
.63201 .73605 L
.63199 .73604 L
.63051 .73412 L
.63007 .73354 L
.62935 .7322 L
.6286 .73027 L
.62846 .72834 L
.62943 .72641 L
F
1 .67 0 r
.63007 .55908 m
.6312 .5607 L
.63199 .56171 L
.63263 .56263 L
.63392 .56433 L
.63407 .56455 L
.63392 .56648 L
.63255 .56455 L
.63199 .5639 L
.63112 .56263 L
.63007 .56133 L
.62964 .5607 L
F
0 .99 1 r
.63007 .63608 m
.63199 .63651 L
.63353 .63778 L
.63392 .63817 L
.63521 .6397 L
.63585 .64017 L
.63673 .64163 L
.63778 .64286 L
.63841 .64356 L
.6396 .64548 L
.6397 .64563 L
.64093 .64741 L
.64163 .64839 L
.64227 .64934 L
.64356 .6512 L
.64359 .65126 L
.64472 .65319 L
.64548 .65452 L
.64576 .65512 L
.64548 .65664 L
.64356 .65533 L
.64335 .65512 L
.64163 .65341 L
.64128 .65319 L
.6397 .65128 L
.63969 .65126 L
.63807 .64934 L
.63778 .6491 L
.63652 .64741 L
.63585 .6466 L
.63483 .64548 L
.63392 .64401 L
.63364 .64356 L
.63221 .64163 L
.63199 .64132 L
.63091 .6397 L
.63007 .63824 L
.62973 .63778 L
F
1 .66 0 r
.63007 .55928 m
.63104 .5607 L
.63199 .5619 L
.63249 .56263 L
.63392 .56453 L
.63394 .56455 L
.63392 .56626 L
.63273 .56455 L
.63199 .5637 L
.63127 .56263 L
.63007 .56116 L
.62976 .5607 L
F
1 .65 0 r
.63007 .55953 m
.63085 .5607 L
.63199 .56213 L
.63232 .56263 L
.63199 .56346 L
.63145 .56263 L
.63007 .56096 L
.6299 .5607 L
F
0 .83 1 r
.63007 .55121 m
.6315 .55299 L
.63199 .55354 L
.63308 .55492 L
.63392 .55593 L
.63463 .55684 L
.63585 .55837 L
.63616 .55877 L
.63765 .5607 L
.63778 .56085 L
.63911 .56263 L
.6397 .56337 L
.64059 .56455 L
.64163 .5659 L
.64207 .56648 L
.64352 .56841 L
.64356 .56846 L
.64493 .57033 L
.64548 .57105 L
.64637 .57226 L
.64741 .57364 L
.64781 .57419 L
.64922 .57611 L
.64934 .57626 L
.65061 .57804 L
.65126 .57892 L
.65201 .57997 L
.65319 .58157 L
.65342 .58189 L
.65477 .58382 L
.65512 .58428 L
.65613 .58575 L
.65704 .58701 L
.6575 .58768 L
.65884 .5896 L
.65897 .58978 L
.6601 .59153 L
.6609 .59264 L
.66141 .59346 L
.6609 .59477 L
.65989 .59346 L
.65897 .59243 L
.6583 .59153 L
.65704 .59002 L
.65674 .5896 L
.65521 .58768 L
.65512 .58757 L
.65377 .58575 L
.65319 .58504 L
.65231 .58382 L
.65126 .58252 L
.65082 .58189 L
.64934 .58 L
.64932 .57997 L
.64793 .57804 L
.64741 .57738 L
.64651 .57611 L
.64548 .57479 L
.64506 .57419 L
.6436 .57226 L
.64356 .57221 L
.64224 .57033 L
.64163 .56955 L
.64084 .56841 L
.6397 .56691 L
.63941 .56648 L
.63801 .56455 L
.63778 .56425 L
.63668 .56263 L
.63585 .56154 L
.63529 .5607 L
.63392 .55885 L
.63387 .55877 L
.63259 .55684 L
.63199 .55605 L
.63129 .55492 L
.63007 .55324 L
.62991 .55299 L
F
0 .93 1 r
.63392 .72599 m
.63585 .72568 L
.63778 .72563 L
.6397 .72576 L
.64163 .72603 L
.64355 .72641 L
.64356 .72642 L
.64548 .72692 L
.64741 .72754 L
.64934 .72825 L
.64956 .72834 L
.65126 .72908 L
.65319 .73 L
.65371 .73027 L
.65512 .73104 L
.65704 .73217 L
.65708 .7322 L
.65897 .73343 L
.65997 .73412 L
.6609 .73481 L
.66247 .73605 L
.66283 .73634 L
.66465 .73798 L
.66475 .73807 L
.66647 .7399 L
.66668 .74008 L
.66788 .74183 L
.66861 .74335 L
.66872 .74376 L
.66861 .74554 L
.66854 .74568 L
.66668 .74717 L
.66534 .74761 L
.66475 .74775 L
.66283 .74802 L
.6609 .74811 L
.65897 .74808 L
.65704 .74795 L
.65512 .74773 L
.65434 .74761 L
.65319 .7474 L
.65126 .74698 L
.64934 .74643 L
.64741 .74576 L
.6472 .74568 L
.64548 .74497 L
.64356 .74402 L
.64307 .74376 L
.64163 .74292 L
.63995 .74183 L
.6397 .74166 L
.63778 .7402 L
.63742 .7399 L
.63585 .73851 L
.6353 .73798 L
.63392 .73653 L
.63352 .73605 L
.63208 .73412 L
.63199 .73407 L
.63102 .7322 L
.63044 .73027 L
.63065 .72834 L
.63199 .72655 L
.63268 .72641 L
F
1 .82 0 r
.63199 .77746 m
.63392 .77796 L
.63482 .77844 L
.63585 .77888 L
.63778 .7801 L
.63825 .78037 L
.6397 .78132 L
.64118 .7823 L
.64163 .78264 L
.64356 .78404 L
.64382 .78422 L
.64548 .78546 L
.64641 .78615 L
.64741 .78692 L
.6489 .78808 L
.64934 .78843 L
.65126 .78997 L
.65131 .79 L
.65319 .79152 L
.65369 .79193 L
.65512 .79311 L
.65602 .79386 L
.65704 .79472 L
.6583 .79578 L
.65897 .79635 L
.66056 .79771 L
.6609 .79801 L
.66277 .79964 L
.66283 .79968 L
.66475 .80137 L
.66497 .80156 L
.66668 .80308 L
.66714 .80349 L
.66861 .80481 L
.66928 .80542 L
.67053 .80655 L
.6714 .80735 L
.67246 .80831 L
.6735 .80927 L
.67439 .81009 L
.67558 .8112 L
.67631 .81188 L
.67764 .81313 L
.67824 .81369 L
.67968 .81505 L
.68017 .81552 L
.6817 .81698 L
.68209 .81736 L
.6837 .81891 L
.68402 .81922 L
.68568 .82083 L
.68595 .8211 L
.68764 .82276 L
.68788 .82299 L
.68958 .82469 L
.6898 .82491 L
.69151 .82661 L
.69173 .82684 L
.69341 .82854 L
.69366 .82879 L
.6953 .83047 L
.69558 .83076 L
.69716 .8324 L
.69751 .83276 L
.699 .83432 L
.69944 .83478 L
.70082 .83625 L
.70136 .83683 L
.70262 .83818 L
.70329 .8389 L
.70439 .8401 L
.70522 .84101 L
.70613 .84203 L
.70715 .84316 L
.70785 .84396 L
.70907 .84535 L
.70953 .84588 L
.711 .8476 L
.71117 .84781 L
.71278 .84974 L
.71293 .8499 L
.71435 .85166 L
.71485 .85226 L
.71585 .85359 L
.71678 .85479 L
.71727 .85552 L
.71861 .85745 L
.71871 .85763 L
.71987 .85937 L
.72063 .86111 L
.72072 .8613 L
.72086 .86323 L
.72063 .86344 L
.71871 .86334 L
.71843 .86323 L
.71678 .86263 L
.71485 .86144 L
.7146 .8613 L
.71293 .86026 L
.71152 .85937 L
.711 .85897 L
.70907 .8576 L
.70885 .85745 L
.70715 .8562 L
.70622 .85552 L
.70522 .85475 L
.7037 .85359 L
.70329 .85326 L
.70136 .85174 L
.70127 .85166 L
.69944 .85019 L
.69888 .84974 L
.69751 .84862 L
.69653 .84781 L
.69558 .84702 L
.69423 .84588 L
.69366 .84539 L
.69197 .84396 L
.69173 .84375 L
.6898 .84208 L
.68974 .84203 L
.68788 .8404 L
.68754 .8401 L
.68595 .8387 L
.68536 .83818 L
.68402 .83698 L
.68321 .83625 L
.68209 .83525 L
.68108 .83432 L
.68017 .83349 L
.67897 .8324 L
.67824 .83172 L
.67689 .83047 L
.67631 .82993 L
.67482 .82854 L
.67439 .82813 L
.67278 .82661 L
.67246 .82631 L
.67076 .82469 L
.67053 .82447 L
.66875 .82276 L
.66861 .82262 L
.66677 .82083 L
.66668 .82075 L
.6648 .81891 L
.66475 .81886 L
.66285 .81698 L
.66283 .81696 L
.66092 .81505 L
.6609 .81503 L
.65901 .81313 L
.65897 .81309 L
.65712 .8112 L
.65704 .81112 L
.65525 .80927 L
.65512 .80914 L
.6534 .80735 L
.65319 .80713 L
.65157 .80542 L
.65126 .8051 L
.64977 .80349 L
.64934 .80303 L
.64799 .80156 L
.64741 .80094 L
.64623 .79964 L
.64548 .79881 L
.64451 .79771 L
.64356 .79664 L
.64281 .79578 L
.64163 .79442 L
.64115 .79386 L
.6397 .79213 L
.63954 .79193 L
.63796 .79 L
.63778 .7898 L
.63643 .78808 L
.63585 .78739 L
.63497 .78615 L
.63392 .78472 L
.63361 .78422 L
.63231 .7823 L
.63199 .78163 L
.63124 .78037 L
.63077 .77844 L
F
1 .99 0 r
.63199 .60542 m
.63392 .60669 L
.63424 .60694 L
.63585 .60844 L
.63629 .60887 L
.63778 .61051 L
.63804 .6108 L
.63963 .61273 L
.6397 .6128 L
.64119 .61465 L
.64163 .61527 L
.6426 .61658 L
.64356 .6179 L
.64368 .61851 L
.64548 .62043 L
.6455 .62043 L
.64688 .62236 L
.64741 .62287 L
.64819 .62429 L
.64934 .62606 L
.64936 .62621 L
.6505 .62814 L
.65112 .63007 L
.64934 .63035 L
.64893 .63007 L
.64741 .62872 L
.6469 .62814 L
.64548 .62653 L
.645 .62621 L
.64369 .62429 L
.64356 .62412 L
.64224 .62236 L
.64163 .62206 L
.6408 .62043 L
.6397 .61916 L
.63907 .61851 L
.63792 .61658 L
.63778 .61639 L
.63656 .61465 L
.63585 .61369 L
.63519 .61273 L
.63392 .61097 L
.6337 .6108 L
.63256 .60887 L
.63199 .608 L
.63142 .60694 L
F
0 .82 1 r
.63199 .55388 m
.63282 .55492 L
.63392 .55621 L
.63442 .55684 L
.63585 .55861 L
.63597 .55877 L
.63745 .5607 L
.63778 .56109 L
.63894 .56263 L
.6397 .56358 L
.64043 .56455 L
.64163 .5661 L
.64191 .56648 L
.64335 .56841 L
.64356 .56866 L
.64478 .57033 L
.64548 .57125 L
.64623 .57226 L
.64741 .57384 L
.64767 .57419 L
.64906 .57611 L
.64934 .57647 L
.65045 .57804 L
.65126 .57913 L
.65186 .57997 L
.65319 .58179 L
.65327 .58189 L
.65459 .58382 L
.65512 .58453 L
.65594 .58575 L
.65704 .58727 L
.65732 .58768 L
.65859 .5896 L
.65897 .59012 L
.65983 .59153 L
.6609 .59308 L
.66112 .59346 L
.6609 .59431 L
.66024 .59346 L
.65897 .59212 L
.65853 .59153 L
.65704 .58978 L
.65691 .5896 L
.65542 .58768 L
.65512 .58733 L
.65395 .58575 L
.65319 .58484 L
.65246 .58382 L
.65126 .58233 L
.65095 .58189 L
.64948 .57997 L
.64934 .5798 L
.64808 .57804 L
.64741 .57721 L
.64664 .57611 L
.64548 .57463 L
.64518 .57419 L
.64374 .57226 L
.64356 .57203 L
.64238 .57033 L
.64163 .56937 L
.64097 .56841 L
.6397 .56674 L
.63953 .56648 L
.63817 .56455 L
.63778 .56405 L
.63683 .56263 L
.63585 .56133 L
.63544 .5607 L
.63404 .55877 L
.63392 .55861 L
.63281 .55684 L
.63199 .55575 L
.6315 .55492 L
F
0 .96 1 r
.63199 .61278 m
.63356 .61465 L
.63392 .61508 L
.63503 .61658 L
.63585 .61769 L
.6364 .61851 L
.63585 .62005 L
.63461 .61851 L
.63392 .6177 L
.63313 .61658 L
.63199 .6151 L
.6317 .61465 L
F
1 .64 0 r
.63199 .56246 m
.6321 .56263 L
.63199 .56309 L
.63174 .56263 L
F
0 .81 1 r
.63199 .55437 m
.63245 .55492 L
.63392 .55655 L
.63416 .55684 L
.63392 .55829 L
.6331 .55684 L
.63199 .55531 L
.6318 .55492 L
F
1 .94 0 r
.63199 .54615 m
.63301 .54721 L
.63392 .54814 L
.63479 .54914 L
.63585 .55034 L
.63646 .55106 L
.63778 .5525 L
.63806 .55299 L
.63962 .55492 L
.6397 .55502 L
.64117 .55684 L
.64163 .55741 L
.64271 .55877 L
.64356 .55965 L
.64423 .5607 L
.64548 .56231 L
.64578 .56263 L
.64721 .56455 L
.64741 .56481 L
.6487 .56648 L
.64934 .56715 L
.65019 .56841 L
.65126 .56983 L
.65168 .57033 L
.65309 .57226 L
.65319 .57239 L
.65455 .57419 L
.65512 .5748 L
.65662 .57611 L
.65704 .5775 L
.65746 .57804 L
.65888 .57997 L
.65897 .58009 L
.66032 .58189 L
.6609 .58255 L
.66217 .58382 L
.66283 .58528 L
.66316 .58575 L
.66458 .58768 L
.66475 .5879 L
.666 .5896 L
.66668 .59039 L
.66773 .59153 L
.66861 .59315 L
.66881 .59346 L
.67022 .59538 L
.67053 .59581 L
.67162 .59731 L
.67246 .59834 L
.67324 .59924 L
.67439 .60114 L
.6744 .60116 L
.67578 .60309 L
.67631 .60383 L
.67717 .60502 L
.67824 .60643 L
.67866 .60694 L
.67989 .60887 L
.68017 .60925 L
.68124 .6108 L
.68209 .612 L
.6826 .61273 L
.68394 .61465 L
.68402 .61477 L
.68523 .61658 L
.68595 .61761 L
.68655 .61851 L
.68784 .62043 L
.68788 .62048 L
.68903 .62236 L
.6898 .62353 L
.69024 .62429 L
.6898 .6257 L
.68859 .62429 L
.68788 .62354 L
.68693 .62236 L
.68595 .62126 L
.68531 .62043 L
.68402 .61916 L
.68372 .61851 L
.68218 .61658 L
.68209 .61648 L
.6807 .61465 L
.68017 .61401 L
.67921 .61273 L
.67824 .61189 L
.67771 .6108 L
.67631 .60905 L
.67613 .60887 L
.67476 .60694 L
.67439 .60648 L
.67332 .60502 L
.67246 .60428 L
.67185 .60309 L
.67053 .60142 L
.67029 .60116 L
.66896 .59924 L
.66861 .59879 L
.66754 .59731 L
.66668 .59654 L
.66609 .59538 L
.66475 .59365 L
.66457 .59346 L
.66323 .59153 L
.66283 .59101 L
.66182 .5896 L
.6609 .5887 L
.66039 .58768 L
.65897 .5858 L
.65893 .58575 L
.65757 .58382 L
.65704 .58314 L
.65616 .58189 L
.65512 .58076 L
.65428 .57997 L
.65331 .57804 L
.65319 .57788 L
.65195 .57611 L
.65126 .57521 L
.65055 .57419 L
.64934 .57272 L
.6489 .57226 L
.64775 .57033 L
.64741 .56989 L
.64639 .56841 L
.64548 .5672 L
.64499 .56648 L
.64357 .56455 L
.64356 .56453 L
.64225 .56263 L
.64163 .56179 L
.6409 .5607 L
.6397 .55907 L
.6395 .55877 L
.63818 .55684 L
.63778 .5563 L
.63689 .55492 L
.63585 .55348 L
.63554 .55299 L
.63424 .55106 L
.63392 .55061 L
.63307 .54914 L
.63199 .54752 L
.63184 .54721 L
F
0 .92 1 r
.63392 .72753 m
.63585 .7269 L
.63778 .72671 L
.6397 .72675 L
.64163 .72696 L
.64356 .72733 L
.64548 .72782 L
.64716 .72834 L
.64741 .72843 L
.64934 .72915 L
.65126 .72999 L
.65186 .73027 L
.65319 .73093 L
.65512 .73199 L
.65546 .7322 L
.65704 .73317 L
.65847 .73412 L
.65897 .73447 L
.6609 .73594 L
.66104 .73605 L
.66283 .73759 L
.66323 .73798 L
.66475 .73955 L
.66504 .7399 L
.66639 .74183 L
.66668 .74241 L
.66707 .74376 L
.66668 .74544 L
.66649 .74568 L
.66475 .74703 L
.66283 .74731 L
.6609 .74743 L
.65897 .74744 L
.65704 .74733 L
.65512 .7471 L
.65319 .74676 L
.65126 .7463 L
.64934 .74571 L
.64925 .74568 L
.64741 .745 L
.64548 .74414 L
.64471 .74376 L
.64356 .74313 L
.64163 .74195 L
.64145 .74183 L
.6397 .74058 L
.63885 .7399 L
.63778 .73899 L
.63671 .73798 L
.63585 .73711 L
.63496 .73605 L
.63392 .73471 L
.63358 .73412 L
.63263 .7322 L
.63229 .73027 L
.63304 .72834 L
F
0 .65 1 r
.63392 .57227 m
.635 .57419 L
.63585 .57551 L
.63611 .57611 L
.63585 .57644 L
.63557 .57611 L
.63392 .57444 L
.63372 .57419 L
F
0 .64 1 r
.63392 .57247 m
.6348 .57419 L
.63392 .57427 L
.63386 .57419 L
F
0 .91 1 r
.63778 .72791 m
.6397 .72779 L
.64163 .72793 L
.64356 .72825 L
.64403 .72834 L
.64548 .72871 L
.64741 .72931 L
.64934 .73004 L
.6499 .73027 L
.65126 .73088 L
.65319 .73185 L
.65384 .7322 L
.65512 .73293 L
.65699 .73412 L
.65704 .73416 L
.65897 .73553 L
.65964 .73605 L
.6609 .73708 L
.66186 .73798 L
.66283 .73889 L
.66365 .7399 L
.66475 .74151 L
.66492 .74183 L
.6654 .74376 L
.66475 .74522 L
.66418 .74568 L
.66283 .74636 L
.6609 .7467 L
.65897 .74676 L
.65704 .74667 L
.65512 .74644 L
.65319 .74608 L
.65156 .74568 L
.65126 .7456 L
.64934 .74499 L
.64741 .74423 L
.64638 .74376 L
.64548 .74332 L
.64356 .74223 L
.64292 .74183 L
.64163 .74096 L
.64024 .7399 L
.6397 .73947 L
.63808 .73798 L
.63778 .73769 L
.63635 .73605 L
.63585 .73556 L
.63505 .73412 L
.63426 .7322 L
.63425 .73027 L
.63585 .72851 L
.63608 .72834 L
F
1 .81 0 r
.63585 .78129 m
.63778 .78178 L
.63868 .7823 L
.6397 .78271 L
.64163 .78398 L
.64204 .78422 L
.64356 .78523 L
.64494 .78615 L
.64548 .78658 L
.64741 .788 L
.64751 .78808 L
.64934 .78945 L
.65007 .79 L
.65126 .79094 L
.65253 .79193 L
.65319 .79246 L
.65491 .79386 L
.65512 .79403 L
.65704 .79562 L
.65724 .79578 L
.65897 .79723 L
.65954 .79771 L
.6609 .79886 L
.6618 .79964 L
.66283 .80052 L
.66403 .80156 L
.66475 .8022 L
.66622 .80349 L
.66668 .8039 L
.66838 .80542 L
.66861 .80562 L
.67051 .80735 L
.67053 .80737 L
.67246 .80912 L
.67262 .80927 L
.67439 .8109 L
.67471 .8112 L
.67631 .81269 L
.67678 .81313 L
.67824 .8145 L
.67883 .81505 L
.68017 .81633 L
.68085 .81698 L
.68209 .81817 L
.68285 .81891 L
.68402 .82004 L
.68484 .82083 L
.68595 .82192 L
.6868 .82276 L
.68788 .82383 L
.68874 .82469 L
.6898 .82575 L
.69066 .82661 L
.69173 .8277 L
.69255 .82854 L
.69366 .82967 L
.69443 .83047 L
.69558 .83167 L
.69628 .8324 L
.69751 .83369 L
.69811 .83432 L
.69944 .83574 L
.69991 .83625 L
.70136 .83783 L
.70168 .83818 L
.70329 .83995 L
.70342 .8401 L
.70514 .84203 L
.70522 .84212 L
.70682 .84396 L
.70715 .84431 L
.70846 .84588 L
.70907 .84658 L
.71006 .84781 L
.711 .84896 L
.71159 .84974 L
.71293 .8515 L
.71304 .85166 L
.71446 .85359 L
.71485 .85426 L
.71572 .85552 L
.71663 .85745 L
.71678 .85786 L
.71687 .85937 L
.71678 .8595 L
.71485 .85952 L
.71452 .85937 L
.71293 .85882 L
.711 .85756 L
.71079 .85745 L
.70907 .85637 L
.70774 .85552 L
.70715 .85505 L
.70522 .85364 L
.70515 .85359 L
.70329 .85222 L
.70254 .85166 L
.70136 .85075 L
.70006 .84974 L
.69944 .84924 L
.69766 .84781 L
.69751 .84768 L
.69558 .84611 L
.69531 .84588 L
.69366 .84451 L
.693 .84396 L
.69173 .84289 L
.69072 .84203 L
.6898 .84124 L
.68849 .8401 L
.68788 .83957 L
.68629 .83818 L
.68595 .83787 L
.68412 .83625 L
.68402 .83616 L
.68209 .83443 L
.68198 .83432 L
.68017 .83268 L
.67986 .8324 L
.67824 .83091 L
.67776 .83047 L
.67631 .82913 L
.67568 .82854 L
.67439 .82733 L
.67363 .82661 L
.67246 .82551 L
.6716 .82469 L
.67053 .82367 L
.66959 .82276 L
.66861 .82181 L
.66761 .82083 L
.66668 .81993 L
.66564 .81891 L
.66475 .81803 L
.66369 .81698 L
.66283 .81612 L
.66177 .81505 L
.6609 .81418 L
.65986 .81313 L
.65897 .81222 L
.65798 .8112 L
.65704 .81024 L
.65612 .80927 L
.65512 .80823 L
.65429 .80735 L
.65319 .80619 L
.65248 .80542 L
.65126 .80412 L
.65069 .80349 L
.64934 .80201 L
.64894 .80156 L
.64741 .79986 L
.64721 .79964 L
.64552 .79771 L
.64548 .79767 L
.64386 .79578 L
.64356 .79544 L
.64225 .79386 L
.64163 .79314 L
.64069 .79193 L
.6397 .79069 L
.63921 .79 L
.63781 .78808 L
.63778 .78801 L
.63644 .78615 L
.63585 .78499 L
.63538 .78422 L
.6348 .7823 L
F
1 .67 0 r
.63585 .56707 m
.63671 .56841 L
.63778 .56983 L
.6381 .57033 L
.63778 .57131 L
.63708 .57033 L
.63585 .56892 L
.63549 .56841 L
F
0 .81 1 r
.63585 .55891 m
.63722 .5607 L
.63778 .56135 L
.63874 .56263 L
.6397 .56382 L
.64025 .56455 L
.64163 .56632 L
.64175 .56648 L
.64317 .56841 L
.64356 .56889 L
.64461 .57033 L
.64548 .57146 L
.64607 .57226 L
.64741 .57405 L
.64751 .57419 L
.64888 .57611 L
.64934 .5767 L
.65028 .57804 L
.65126 .57936 L
.65169 .57997 L
.65307 .58189 L
.65319 .58204 L
.65438 .58382 L
.65512 .58481 L
.65574 .58575 L
.65704 .58759 L
.6571 .58768 L
.65704 .58946 L
.65568 .58768 L
.65512 .58705 L
.65417 .58575 L
.65319 .5846 L
.65263 .58382 L
.65126 .58213 L
.6511 .58189 L
.64965 .57997 L
.64934 .57959 L
.64824 .57804 L
.64741 .57701 L
.64679 .57611 L
.64548 .57445 L
.6453 .57419 L
.6439 .57226 L
.64356 .57183 L
.64253 .57033 L
.64163 .56918 L
.64111 .56841 L
.6397 .56655 L
.63965 .56648 L
.63835 .56455 L
.63778 .56382 L
.63701 .56263 L
.63585 .56109 L
.6356 .5607 L
F
1 .66 0 r
.63585 .56732 m
.63651 .56841 L
.63778 .57013 L
.63789 .57033 L
.63778 .57097 L
.63735 .57033 L
.63585 .5687 L
.63564 .56841 L
F
1 .99 0 r
.63585 .6359 m
.63778 .63624 L
.6397 .63775 L
.63973 .63778 L
.64141 .6397 L
.64163 .63981 L
.64292 .64163 L
.64356 .6423 L
.64485 .64356 L
.64548 .64498 L
.64586 .64548 L
.6472 .64741 L
.64741 .6477 L
.64855 .64934 L
.64934 .65045 L
.65024 .65126 L
.65121 .65319 L
.65126 .65327 L
.65241 .65512 L
.65319 .6564 L
.65355 .65704 L
.65433 .65897 L
.65319 .6596 L
.65237 .65897 L
.65126 .65823 L
.65027 .65704 L
.64934 .65607 L
.64849 .65512 L
.64741 .65379 L
.64673 .65319 L
.64548 .65142 L
.64535 .65126 L
.6438 .64934 L
.64356 .6491 L
.64232 .64741 L
.64163 .64653 L
.64079 .64548 L
.6397 .64387 L
.63954 .64356 L
.63811 .64163 L
.63778 .64114 L
.63616 .6397 L
.63585 .63807 L
.63565 .63778 L
F
0 .8 1 r
.63585 .5593 m
.63692 .5607 L
.63778 .56166 L
.6385 .56263 L
.6397 .56409 L
.64005 .56455 L
.6397 .5663 L
.63856 .56455 L
.63778 .56354 L
.63721 .56263 L
.63585 .56079 L
.63579 .5607 L
F
0 .9 1 r
.63778 .72926 m
.6397 .72893 L
.64163 .72894 L
.64356 .72919 L
.64548 .72962 L
.64741 .73021 L
.64759 .73027 L
.64934 .73092 L
.65126 .73178 L
.65212 .7322 L
.65319 .73276 L
.65512 .73389 L
.65549 .73412 L
.65704 .73516 L
.65824 .73605 L
.65897 .73661 L
.66049 .73798 L
.6609 .73829 L
.66225 .7399 L
.66283 .74071 L
.66342 .74183 L
.66363 .74376 L
.66283 .74485 L
.6609 .74567 L
.66085 .74568 L
.65897 .74594 L
.65704 .74592 L
.65512 .74572 L
.65484 .74568 L
.65319 .74538 L
.65126 .74489 L
.64934 .74423 L
.64816 .74376 L
.64741 .74343 L
.64548 .74245 L
.64442 .74183 L
.64356 .7413 L
.64164 .7399 L
.64163 .7399 L
.6397 .73823 L
.63945 .73798 L
.63778 .73607 L
.63776 .73605 L
.63655 .73412 L
.63599 .7322 L
.63653 .73027 L
F
1 .93 0 r
.63778 .5533 m
.63913 .55492 L
.6397 .55556 L
.64075 .55684 L
.64163 .5579 L
.64234 .55877 L
.64356 .56014 L
.64389 .5607 L
.6454 .56263 L
.64548 .56273 L
.64691 .56455 L
.64741 .56518 L
.64842 .56648 L
.64934 .56749 L
.64992 .56841 L
.65126 .57017 L
.6514 .57033 L
.65285 .57226 L
.65319 .57271 L
.65432 .57419 L
.65512 .57509 L
.65637 .57611 L
.65704 .5778 L
.65723 .57804 L
.65865 .57997 L
.65897 .58039 L
.6601 .58189 L
.6609 .58283 L
.66195 .58382 L
.66283 .58557 L
.66296 .58575 L
.66437 .58768 L
.66475 .58819 L
.66579 .5896 L
.66668 .59068 L
.66749 .59153 L
.66861 .59346 L
.66861 .59346 L
.67 .59538 L
.67053 .59611 L
.6714 .59731 L
.67246 .59867 L
.67295 .59924 L
.67416 .60116 L
.67439 .60147 L
.67553 .60309 L
.67631 .60417 L
.67691 .60502 L
.67824 .60688 L
.6783 .60694 L
.6796 .60887 L
.68017 .60967 L
.68094 .6108 L
.68209 .61245 L
.68229 .61273 L
.68355 .61465 L
.68402 .61532 L
.68483 .61658 L
.68595 .61826 L
.68611 .61851 L
.68719 .62043 L
.68788 .62157 L
.68816 .62236 L
.68788 .62254 L
.68772 .62236 L
.68595 .62061 L
.68581 .62043 L
.68415 .61851 L
.68402 .61837 L
.68259 .61658 L
.68209 .61602 L
.68105 .61465 L
.68017 .61362 L
.6795 .61273 L
.67824 .61142 L
.67796 .6108 L
.67645 .60887 L
.67631 .6087 L
.675 .60694 L
.67439 .60618 L
.67353 .60502 L
.67246 .60396 L
.67204 .60309 L
.67056 .60116 L
.67053 .60113 L
.66915 .59924 L
.66861 .59855 L
.66771 .59731 L
.66668 .59627 L
.66625 .59538 L
.66479 .59346 L
.66475 .5934 L
.6634 .59153 L
.66283 .59079 L
.66198 .5896 L
.6609 .58843 L
.66054 .58768 L
.65911 .58575 L
.65897 .58557 L
.65773 .58382 L
.65704 .58293 L
.65632 .58189 L
.65512 .58048 L
.65458 .57997 L
.65349 .57804 L
.65319 .57766 L
.65212 .57611 L
.65126 .57499 L
.65071 .57419 L
.64934 .57239 L
.64922 .57226 L
.64794 .57033 L
.64741 .56963 L
.64658 .56841 L
.64548 .56694 L
.64517 .56648 L
.6438 .56455 L
.64356 .56423 L
.64249 .56263 L
.64163 .56146 L
.64114 .5607 L
.63975 .55877 L
.6397 .55871 L
.63852 .55684 L
.63778 .55582 L
.63724 .55492 L
F
0 .79 1 r
.63778 .56209 m
.63818 .56263 L
.6397 .56442 L
.6398 .56455 L
.6397 .56596 L
.63888 .56455 L
.63778 .56314 L
.6375 .56263 L
F
0 .98 1 r
.63778 .54558 m
.63934 .54721 L
.6397 .54758 L
.64109 .54914 L
.64163 .54974 L
.64277 .55106 L
.64356 .55154 L
.6444 .55299 L
.64548 .55431 L
.64632 .55492 L
.64741 .55672 L
.64751 .55684 L
.64907 .55877 L
.64934 .55895 L
.65062 .5607 L
.65126 .56153 L
.65236 .56263 L
.65319 .56406 L
.65353 .56455 L
.65512 .56648 L
.65512 .56648 L
.65662 .56841 L
.65704 .56898 L
.6582 .57033 L
.65897 .57156 L
.65939 .57226 L
.6609 .57408 L
.66103 .57419 L
.6625 .57611 L
.66283 .57657 L
.66398 .57804 L
.66475 .5792 L
.66517 .57997 L
.66668 .58176 L
.66685 .58189 L
.66829 .58382 L
.66861 .58427 L
.66971 .58575 L
.67053 .58692 L
.67089 .58768 L
.67246 .5895 L
.67259 .5896 L
.67433 .59153 L
.67439 .59204 L
.6754 .59346 L
.67631 .59471 L
.67657 .59538 L
.67824 .59728 L
.67829 .59731 L
.67996 .59924 L
.68017 .59987 L
.68106 .60116 L
.68209 .60255 L
.68224 .60309 L
.68395 .60502 L
.68402 .6051 L
.68558 .60694 L
.68595 .60775 L
.68668 .60887 L
.68788 .61044 L
.68792 .6108 L
.68957 .61273 L
.6898 .61298 L
.69117 .61465 L
.69173 .61568 L
.69228 .61658 L
.69366 .61837 L
.69377 .61851 L
.69516 .62043 L
.69558 .62092 L
.69672 .62236 L
.69751 .62368 L
.69786 .62429 L
.69931 .62621 L
.69944 .62639 L
.70069 .62814 L
.70136 .62895 L
.7022 .63007 L
.70329 .63178 L
.7034 .63199 L
.70479 .63392 L
.70522 .63453 L
.70615 .63585 L
.70715 .63716 L
.70758 .63778 L
.70882 .6397 L
.70907 .64006 L
.71014 .64163 L
.711 .64236 L
.71199 .64356 L
.71275 .64548 L
.71293 .64574 L
.71399 .64741 L
.71485 .64871 L
.71525 .64934 L
.7164 .65126 L
.71678 .65188 L
.71743 .65319 L
.71678 .65397 L
.71606 .65319 L
.71485 .65199 L
.71424 .65126 L
.71293 .65012 L
.71255 .64934 L
.711 .64752 L
.71084 .64741 L
.70939 .64548 L
.70907 .64512 L
.70786 .64356 L
.70715 .64309 L
.70633 .64163 L
.70522 .64032 L
.70447 .6397 L
.7033 .63778 L
.70329 .63776 L
.70185 .63585 L
.70136 .63555 L
.70038 .63392 L
.69944 .63281 L
.69857 .63199 L
.69751 .63018 L
.69742 .63007 L
.696 .62814 L
.69558 .62787 L
.69456 .62621 L
.69366 .62514 L
.69282 .62429 L
.69173 .62248 L
.69164 .62236 L
.69024 .62043 L
.6898 .62013 L
.68881 .61851 L
.68788 .61737 L
.68714 .61658 L
.68595 .61469 L
.68592 .61465 L
.68452 .61273 L
.68402 .61234 L
.68311 .6108 L
.68209 .60955 L
.6815 .60887 L
.68024 .60694 L
.68017 .60686 L
.67885 .60502 L
.67824 .60451 L
.67743 .60309 L
.67631 .60168 L
.67588 .60116 L
.67458 .59924 L
.67439 .59898 L
.6732 .59731 L
.67246 .59663 L
.67117 .59538 L
.67053 .59377 L
.67028 .59346 L
.66895 .59153 L
.66861 .59108 L
.66757 .5896 L
.66668 .58869 L
.6657 .58768 L
.66475 .58582 L
.6647 .58575 L
.66335 .58382 L
.66283 .58314 L
.66196 .58189 L
.6609 .5807 L
.66024 .57997 L
.65912 .57804 L
.65897 .57784 L
.65776 .57611 L
.65704 .57516 L
.65637 .57419 L
.65512 .57262 L
.65481 .57226 L
.65358 .57033 L
.65319 .56982 L
.65222 .56841 L
.65126 .56713 L
.65082 .56648 L
.64941 .56455 L
.64934 .56446 L
.64809 .56263 L
.64741 .56171 L
.64673 .5607 L
.64548 .559 L
.64533 .55877 L
.64401 .55684 L
.64356 .55623 L
.64271 .55492 L
.64163 .55342 L
.64136 .55299 L
.64006 .55106 L
.6397 .55055 L
.63886 .54914 L
.63778 .54752 L
.63761 .54721 L
F
1 .98 0 r
.63778 .61305 m
.63933 .61465 L
.6397 .61504 L
.64095 .61658 L
.64163 .61742 L
.64243 .61851 L
.64356 .62011 L
.64378 .62043 L
.64356 .62225 L
.64201 .62043 L
.64163 .62 L
.64054 .61851 L
.6397 .61746 L
.63913 .61658 L
.63778 .6147 L
.63775 .61465 L
F
0 .89 1 r
.64163 .73014 m
.64356 .73024 L
.64373 .73027 L
.64548 .73058 L
.64741 .73113 L
.64934 .73184 L
.65018 .7322 L
.65126 .73269 L
.65319 .73371 L
.6539 .73412 L
.65512 .73486 L
.65679 .73605 L
.65704 .73622 L
.65897 .73787 L
.65908 .73798 L
.66081 .7399 L
.6609 .74002 L
.66184 .74183 L
.66157 .74376 L
.6609 .74432 L
.65897 .74523 L
.65704 .74518 L
.65512 .74499 L
.65319 .74463 L
.65126 .74411 L
.65021 .74376 L
.64934 .74344 L
.64741 .74259 L
.646 .74183 L
.64548 .74155 L
.64356 .74027 L
.64308 .7399 L
.64163 .73875 L
.64086 .73798 L
.6397 .73682 L
.63921 .73605 L
.63815 .73412 L
.63793 .7322 L
.6397 .73046 L
.64042 .73027 L
F
1 .92 0 r
.6397 .55625 m
.64022 .55684 L
.64163 .55845 L
.6419 .55877 L
.64348 .5607 L
.64356 .56078 L
.64503 .56263 L
.64548 .56316 L
.64658 .56455 L
.64741 .56558 L
.64812 .56648 L
.64934 .56792 L
.64963 .56841 L
.6511 .57033 L
.65126 .57053 L
.65258 .57226 L
.65319 .57304 L
.65407 .57419 L
.65512 .57543 L
.656 .57611 L
.65698 .57804 L
.65704 .57813 L
.65842 .57997 L
.65897 .58069 L
.65987 .58189 L
.6609 .58315 L
.66164 .58382 L
.66273 .58575 L
.66283 .58588 L
.66414 .58768 L
.66475 .58849 L
.66557 .5896 L
.66668 .59102 L
.66718 .59153 L
.66837 .59346 L
.66861 .59377 L
.66977 .59538 L
.67053 .59643 L
.67117 .59731 L
.67246 .59907 L
.67261 .59924 L
.6739 .60116 L
.67439 .60183 L
.67527 .60309 L
.67631 .60455 L
.67664 .60502 L
.67797 .60694 L
.67824 .60732 L
.67928 .60887 L
.68017 .61014 L
.68061 .6108 L
.68188 .61273 L
.68209 .61303 L
.68307 .61465 L
.68402 .61611 L
.68428 .61658 L
.68402 .61754 L
.68321 .61658 L
.68209 .61544 L
.68148 .61465 L
.68017 .61316 L
.67984 .61273 L
.67824 .6108 L
.67824 .6108 L
.67677 .60887 L
.67631 .60834 L
.67527 .60694 L
.67439 .60586 L
.67377 .60502 L
.67246 .60355 L
.67225 .60309 L
.67079 .60116 L
.67053 .60084 L
.66936 .59924 L
.66861 .59829 L
.6679 .59731 L
.66668 .59594 L
.66643 .59538 L
.66499 .59346 L
.66475 .59316 L
.66359 .59153 L
.66283 .59055 L
.66215 .5896 L
.6609 .58812 L
.6607 .58768 L
.65929 .58575 L
.65897 .58534 L
.6579 .58382 L
.65704 .5827 L
.65648 .58189 L
.65512 .58015 L
.65493 .57997 L
.65368 .57804 L
.65319 .57741 L
.6523 .57611 L
.65126 .57474 L
.65088 .57419 L
.64948 .57226 L
.64934 .57208 L
.64815 .57033 L
.64741 .56935 L
.64678 .56841 L
.64548 .56665 L
.64537 .56648 L
.64407 .56455 L
.64356 .56386 L
.64277 .56263 L
.64163 .56105 L
.64141 .5607 L
.64015 .55877 L
.6397 .55813 L
.639 .55684 L
F
1 .8 0 r
.6397 .78532 m
.64163 .78571 L
.64236 .78615 L
.64356 .78659 L
.64548 .78795 L
.6457 .78808 L
.64741 .78921 L
.64861 .79 L
.64934 .79057 L
.65116 .79193 L
.65126 .79203 L
.65319 .79351 L
.65365 .79386 L
.65512 .79502 L
.65608 .79578 L
.65704 .79657 L
.65844 .79771 L
.65897 .79816 L
.66074 .79964 L
.6609 .79978 L
.66283 .80142 L
.66299 .80156 L
.66475 .80308 L
.66522 .80349 L
.66668 .80477 L
.66742 .80542 L
.66861 .80648 L
.66958 .80735 L
.67053 .80821 L
.67171 .80927 L
.67246 .80996 L
.67381 .8112 L
.67439 .81173 L
.67588 .81313 L
.67631 .81353 L
.67794 .81505 L
.67824 .81534 L
.67996 .81698 L
.68017 .81717 L
.68197 .81891 L
.68209 .81903 L
.68395 .82083 L
.68402 .8209 L
.68591 .82276 L
.68595 .8228 L
.68784 .82469 L
.68788 .82472 L
.68976 .82661 L
.6898 .82666 L
.69164 .82854 L
.69173 .82863 L
.69351 .83047 L
.69366 .83062 L
.69535 .8324 L
.69558 .83264 L
.69716 .83432 L
.69751 .83469 L
.69894 .83625 L
.69944 .83678 L
.70069 .83818 L
.70136 .83892 L
.7024 .8401 L
.70329 .84111 L
.70407 .84203 L
.70522 .84338 L
.70568 .84396 L
.70715 .84576 L
.70724 .84588 L
.70878 .84781 L
.70907 .84826 L
.71021 .84974 L
.711 .85102 L
.71145 .85166 L
.71242 .85359 L
.71256 .85552 L
.711 .85555 L
.71094 .85552 L
.70907 .85497 L
.70715 .8536 L
.70713 .85359 L
.70522 .8524 L
.70406 .85166 L
.70329 .85107 L
.70147 .84974 L
.70136 .84963 L
.69944 .84817 L
.69896 .84781 L
.69751 .84668 L
.6965 .84588 L
.69558 .84515 L
.69412 .84396 L
.69366 .84357 L
.69181 .84203 L
.69173 .84196 L
.6898 .84033 L
.68954 .8401 L
.68788 .83868 L
.68729 .83818 L
.68595 .837 L
.68509 .83625 L
.68402 .8353 L
.68292 .83432 L
.68209 .83358 L
.68078 .8324 L
.68017 .83184 L
.67867 .83047 L
.67824 .83007 L
.67659 .82854 L
.67631 .82829 L
.67453 .82661 L
.67439 .82648 L
.67249 .82469 L
.67246 .82466 L
.67053 .82281 L
.67048 .82276 L
.66861 .82095 L
.66849 .82083 L
.66668 .81906 L
.66653 .81891 L
.66475 .81715 L
.66458 .81698 L
.66283 .81522 L
.66266 .81505 L
.6609 .81326 L
.66077 .81313 L
.65897 .81128 L
.6589 .8112 L
.65705 .80927 L
.65704 .80926 L
.65523 .80735 L
.65512 .80723 L
.65344 .80542 L
.65319 .80516 L
.65168 .80349 L
.65126 .80305 L
.64995 .80156 L
.64934 .80089 L
.64827 .79964 L
.64741 .79866 L
.64663 .79771 L
.64548 .79634 L
.64505 .79578 L
.64356 .79388 L
.64354 .79386 L
.64203 .79193 L
.64163 .79126 L
.64069 .79 L
.6397 .78816 L
.63965 .78808 L
.63902 .78615 L
F
0 .71 1 r
.6397 .58033 m
.64038 .58189 L
.6397 .58196 L
.63964 .58189 L
F
0 .88 1 r
.64163 .73148 m
.64356 .73138 L
.64548 .73165 L
.64741 .73215 L
.64756 .7322 L
.64934 .7328 L
.65126 .73368 L
.65211 .73412 L
.65319 .73469 L
.65512 .73598 L
.65522 .73605 L
.65704 .73744 L
.65758 .73798 L
.65897 .7395 L
.65926 .7399 L
.66006 .74183 L
.65897 .74357 L
.65853 .74376 L
.65704 .7441 L
.65512 .74406 L
.65326 .74376 L
.65319 .74375 L
.65126 .7433 L
.64934 .74257 L
.64778 .74183 L
.64741 .74167 L
.64548 .74053 L
.64462 .7399 L
.64356 .73918 L
.64236 .73798 L
.64163 .73718 L
.64077 .73605 L
.63994 .73412 L
.64037 .7322 L
F
1 .98 0 r
.64163 .64186 m
.64302 .64356 L
.64356 .6442 L
.64446 .64548 L
.64548 .64691 L
.6458 .64741 L
.64548 .64917 L
.64392 .64741 L
.64356 .64702 L
.64238 .64548 L
.64163 .64453 L
.64096 .64356 L
F
0 .99 1 r
.64163 .63561 m
.64344 .63585 L
.64356 .63589 L
.64548 .63725 L
.64611 .63778 L
.64741 .6394 L
.6476 .6397 L
.64916 .64163 L
.64934 .6418 L
.65061 .64356 L
.65126 .64437 L
.65216 .64548 L
.65319 .64704 L
.65338 .64741 L
.65484 .64934 L
.65512 .64973 L
.65681 .65126 L
.65704 .6522 L
.65764 .65319 L
.65886 .65512 L
.65897 .65529 L
.66009 .65704 L
.6609 .65838 L
.66157 .65897 L
.66206 .6609 L
.6609 .66186 L
.65956 .6609 L
.65897 .66079 L
.65751 .65897 L
.65704 .65855 L
.65578 .65704 L
.65512 .65627 L
.65359 .65512 L
.65319 .65384 L
.65257 .65319 L
.65126 .65138 L
.65119 .65126 L
.64968 .64934 L
.64934 .64898 L
.64782 .64741 L
.64741 .64635 L
.64678 .64548 L
.64548 .64367 L
.64545 .64356 L
.64404 .64163 L
.64356 .64092 L
.64236 .6397 L
.64163 .63794 L
.64152 .63778 L
.64119 .63585 L
F
0 .8 1 r
.64163 .56658 m
.64296 .56841 L
.64356 .56914 L
.64442 .57033 L
.64548 .5717 L
.64589 .57226 L
.64732 .57419 L
.64741 .5743 L
.64868 .57611 L
.64934 .57696 L
.65009 .57804 L
.65126 .57962 L
.65151 .57997 L
.65283 .58189 L
.65319 .58236 L
.65413 .58382 L
.65512 .58517 L
.65549 .58575 L
.65512 .58669 L
.65444 .58575 L
.65319 .58433 L
.65284 .58382 L
.65126 .5819 L
.65126 .58189 L
.64987 .57997 L
.64934 .57934 L
.64843 .57804 L
.64741 .57679 L
.64694 .57611 L
.64548 .57425 L
.64544 .57419 L
.64409 .57226 L
.64356 .5716 L
.64271 .57033 L
.64163 .56896 L
.64127 .56841 L
F
0 .79 1 r
.64163 .56692 m
.6427 .56841 L
.64356 .56944 L
.6442 .57033 L
.64548 .57198 L
.64569 .57226 L
.64548 .57398 L
.64433 .57226 L
.64356 .57132 L
.64292 .57033 L
.64163 .56869 L
.64145 .56841 L
F
1 .68 0 r
.64163 .57548 m
.64186 .57611 L
.64163 .57617 L
.64159 .57611 L
F
0 .87 1 r
.64356 .73311 m
.64548 .73268 L
.64741 .73324 L
.64934 .73395 L
.64979 .73412 L
.65126 .73471 L
.65319 .73591 L
.6534 .73605 L
.65512 .73714 L
.65589 .73798 L
.65704 .73927 L
.65748 .7399 L
.6578 .74183 L
.65704 .74247 L
.65512 .74287 L
.65319 .74289 L
.65126 .74228 L
.64998 .74183 L
.64934 .74167 L
.64741 .7406 L
.6464 .7399 L
.64548 .7396 L
.64405 .73798 L
.64356 .73742 L
.64258 .73605 L
.64214 .73412 L
F
1 .91 0 r
.64356 .56139 m
.64457 .56263 L
.64548 .56367 L
.6462 .56455 L
.64741 .56603 L
.64777 .56648 L
.6493 .56841 L
.64934 .56845 L
.65079 .57033 L
.65126 .57091 L
.6523 .57226 L
.65319 .5734 L
.6538 .57419 L
.65512 .57585 L
.65548 .57611 L
.65672 .57804 L
.65704 .57846 L
.65817 .57997 L
.65897 .58101 L
.65963 .58189 L
.6609 .58352 L
.66124 .58382 L
.66248 .58575 L
.66283 .5862 L
.66391 .58768 L
.66475 .58881 L
.66534 .5896 L
.66668 .59141 L
.66679 .59153 L
.66812 .59346 L
.66861 .59411 L
.66952 .59538 L
.67053 .59678 L
.67092 .59731 L
.67228 .59924 L
.67246 .59948 L
.67362 .60116 L
.67439 .60223 L
.67498 .60309 L
.67631 .60498 L
.67634 .60502 L
.67759 .60694 L
.67824 .60786 L
.67889 .60887 L
.68017 .61077 L
.68018 .6108 L
.68017 .61252 L
.67875 .6108 L
.67824 .61027 L
.67716 .60887 L
.67631 .60791 L
.67559 .60694 L
.67439 .6055 L
.67403 .60502 L
.67249 .60309 L
.67246 .60305 L
.67106 .60116 L
.67053 .60053 L
.6696 .59924 L
.66861 .598 L
.66811 .59731 L
.66668 .59553 L
.66661 .59538 L
.66521 .59346 L
.66475 .59289 L
.66379 .59153 L
.66283 .5903 L
.66233 .5896 L
.6609 .58775 L
.66086 .58768 L
.65949 .58575 L
.65897 .58508 L
.65809 .58382 L
.65704 .58246 L
.65666 .58189 L
.65523 .57997 L
.65512 .57983 L
.65388 .57804 L
.65319 .57714 L
.6525 .57611 L
.65126 .57447 L
.65107 .57419 L
.64972 .57226 L
.64934 .57176 L
.6484 .57033 L
.64741 .56901 L
.64702 .56841 L
.64565 .56648 L
.64548 .56626 L
.64442 .56455 L
.64356 .56337 L
.64313 .56263 L
F
0 .78 1 r
.64356 .56984 m
.6439 .57033 L
.64356 .57093 L
.64321 .57033 L
F
1 .79 0 r
.64548 .78988 m
.6457 .79 L
.64741 .79054 L
.64918 .79193 L
.64934 .79203 L
.65126 .79329 L
.65213 .79386 L
.65319 .79466 L
.65473 .79578 L
.65512 .79612 L
.65704 .79766 L
.65711 .79771 L
.65897 .79919 L
.65953 .79964 L
.6609 .80077 L
.66186 .80156 L
.66283 .80238 L
.66414 .80349 L
.66475 .80402 L
.66636 .80542 L
.66668 .8057 L
.66854 .80735 L
.66861 .80741 L
.67053 .80913 L
.67069 .80927 L
.67246 .81087 L
.67282 .8112 L
.67439 .81264 L
.67492 .81313 L
.67631 .81443 L
.67698 .81505 L
.67824 .81624 L
.67902 .81698 L
.68017 .81808 L
.68103 .81891 L
.68209 .81994 L
.68301 .82083 L
.68402 .82182 L
.68497 .82276 L
.68595 .82373 L
.6869 .82469 L
.68788 .82567 L
.6888 .82661 L
.6898 .82763 L
.69068 .82854 L
.69173 .82963 L
.69252 .83047 L
.69366 .83166 L
.69434 .8324 L
.69558 .83373 L
.69612 .83432 L
.69751 .83586 L
.69786 .83625 L
.69944 .83804 L
.69955 .83818 L
.70122 .8401 L
.70136 .84021 L
.70285 .84203 L
.70329 .8424 L
.70439 .84396 L
.70522 .84486 L
.7058 .84588 L
.70703 .84781 L
.70715 .848 L
.70802 .84974 L
.70715 .85136 L
.70522 .85062 L
.70363 .84974 L
.70329 .84953 L
.70136 .84832 L
.70054 .84781 L
.69944 .84699 L
.69787 .84588 L
.69751 .84555 L
.69558 .84403 L
.69549 .84396 L
.69366 .84252 L
.69304 .84203 L
.69173 .84096 L
.69068 .8401 L
.6898 .83936 L
.68839 .83818 L
.68788 .83773 L
.68616 .83625 L
.68595 .83606 L
.68402 .83437 L
.68397 .83432 L
.68209 .83266 L
.6818 .8324 L
.68017 .83093 L
.67966 .83047 L
.67824 .82917 L
.67756 .82854 L
.67631 .82739 L
.67548 .82661 L
.67439 .82559 L
.67344 .82469 L
.67246 .82376 L
.67142 .82276 L
.67053 .82191 L
.66943 .82083 L
.66861 .82004 L
.66746 .81891 L
.66668 .81814 L
.66552 .81698 L
.66475 .81621 L
.66361 .81505 L
.66283 .81426 L
.66173 .81313 L
.6609 .81228 L
.65987 .8112 L
.65897 .81026 L
.65805 .80927 L
.65704 .80821 L
.65625 .80735 L
.65512 .80612 L
.6545 .80542 L
.65319 .80396 L
.65279 .80349 L
.65126 .80174 L
.65112 .80156 L
.64948 .79964 L
.64934 .79956 L
.64789 .79771 L
.64741 .797 L
.64641 .79578 L
.64548 .79435 L
.64512 .79386 L
.64404 .79193 L
.64357 .79 L
F
0 .98 1 r
.64548 .63954 m
.6457 .6397 L
.64741 .64067 L
.6478 .64163 L
.64934 .64334 L
.64946 .64356 L
.65092 .64548 L
.65126 .64593 L
.65229 .64741 L
.65319 .64868 L
.65362 .64934 L
.65479 .65126 L
.65512 .65184 L
.65565 .65319 L
.65512 .65365 L
.65458 .65319 L
.65319 .65194 L
.6526 .65126 L
.65126 .65016 L
.65091 .64934 L
.64935 .64741 L
.64934 .6474 L
.64794 .64548 L
.64741 .64478 L
.64658 .64356 L
.64548 .64189 L
.64533 .64163 L
.6447 .6397 L
F
1 .9 0 r
.64548 .56437 m
.64564 .56455 L
.64548 .56559 L
.64501 .56455 L
F
0 .97 1 r
.64548 .55624 m
.64609 .55684 L
.64741 .55823 L
.6479 .55877 L
.64934 .56026 L
.64957 .5607 L
.65117 .56263 L
.65126 .56273 L
.65276 .56455 L
.65319 .56507 L
.65433 .56648 L
.65512 .56718 L
.65589 .56841 L
.65704 .56988 L
.65752 .57033 L
.6589 .57226 L
.65897 .57235 L
.66041 .57419 L
.6609 .57464 L
.66191 .57611 L
.66283 .57731 L
.66347 .57804 L
.66475 .57986 L
.66481 .57997 L
.66632 .58189 L
.66668 .58225 L
.6678 .58382 L
.66861 .58491 L
.66928 .58575 L
.67053 .5875 L
.67061 .58768 L
.67213 .5896 L
.67246 .58995 L
.67422 .59153 L
.67439 .59262 L
.67501 .59346 L
.67631 .59525 L
.67637 .59538 L
.67786 .59731 L
.67824 .59772 L
.67974 .59924 L
.68017 .60043 L
.68069 .60116 L
.68209 .60307 L
.6821 .60309 L
.68353 .60502 L
.68402 .60557 L
.68528 .60694 L
.68595 .60832 L
.68632 .60887 L
.68774 .6108 L
.68788 .61099 L
.68914 .61273 L
.6898 .61351 L
.69078 .61465 L
.69173 .61631 L
.6919 .61658 L
.69329 .61851 L
.69366 .61901 L
.69467 .62043 L
.69558 .62158 L
.69621 .62236 L
.6974 .62429 L
.69751 .62444 L
.69875 .62621 L
.69944 .62718 L
.70011 .62814 L
.70136 .62991 L
.70148 .63007 L
.70275 .63199 L
.70329 .63277 L
.70406 .63392 L
.70522 .63562 L
.70537 .63585 L
.70659 .63778 L
.70715 .63861 L
.7078 .6397 L
.70715 .64134 L
.70577 .6397 L
.70522 .63911 L
.70415 .63778 L
.70329 .63679 L
.70256 .63585 L
.70136 .63469 L
.70099 .63392 L
.69945 .63199 L
.69944 .63198 L
.69798 .63007 L
.69751 .6295 L
.6965 .62814 L
.69558 .62734 L
.695 .62621 L
.69366 .62453 L
.6934 .62429 L
.69206 .62236 L
.69173 .62195 L
.69062 .62043 L
.6898 .61972 L
.68916 .61851 L
.68788 .61689 L
.68758 .61658 L
.68626 .61465 L
.68595 .61425 L
.68484 .61273 L
.68402 .61197 L
.6834 .6108 L
.68209 .60912 L
.68187 .60887 L
.68054 .60694 L
.68017 .60647 L
.67913 .60502 L
.67824 .60414 L
.6777 .60309 L
.67631 .60127 L
.67622 .60116 L
.67487 .59924 L
.67439 .59862 L
.67346 .59731 L
.67246 .59623 L
.67157 .59538 L
.6706 .59346 L
.67053 .59337 L
.66924 .59153 L
.66861 .59071 L
.66784 .5896 L
.66668 .58824 L
.66613 .58768 L
.66501 .58575 L
.66475 .58541 L
.66365 .58382 L
.66283 .58274 L
.66225 .58189 L
.6609 .58014 L
.66074 .57997 L
.65947 .57804 L
.65897 .57738 L
.65811 .57611 L
.65704 .57469 L
.65671 .57419 L
.65532 .57226 L
.65512 .57199 L
.65401 .57033 L
.65319 .56923 L
.65265 .56841 L
.65126 .5665 L
.65125 .56648 L
.64999 .56455 L
.64934 .56366 L
.6487 .56263 L
.64741 .5608 L
.64735 .5607 L
.6462 .55877 L
.64548 .55768 L
.6451 .55684 L
F
0 .86 1 r
.64548 .73532 m
.64741 .73495 L
.64934 .73543 L
.6508 .73605 L
.65126 .7363 L
.65319 .73757 L
.65371 .73798 L
.65499 .7399 L
.65319 .74118 L
.65126 .74087 L
.64934 .74022 L
.64881 .7399 L
.64741 .73895 L
.64613 .73798 L
.64548 .73691 L
.64513 .73605 L
F
0 .99 1 r
.64548 .61617 m
.64595 .61658 L
.64741 .61802 L
.64787 .61851 L
.64934 .62024 L
.6495 .62043 L
.65088 .62236 L
.65126 .62291 L
.65207 .62429 L
.65126 .6247 L
.65092 .62429 L
.64934 .62256 L
.64919 .62236 L
.64772 .62043 L
.64741 .62005 L
.64643 .61851 L
.64548 .61719 L
.6452 .61658 L
F
0 .79 1 r
.64741 .57461 m
.64843 .57611 L
.64934 .57727 L
.64986 .57804 L
.65126 .57994 L
.65128 .57997 L
.65126 .58155 L
.65016 .57997 L
.64934 .57904 L
.64866 .57804 L
.64741 .57653 L
.64713 .57611 L
F
1 .9 0 r
.64741 .56658 m
.64886 .56841 L
.64934 .56894 L
.65043 .57033 L
.65126 .57134 L
.65198 .57226 L
.65319 .57379 L
.6535 .57419 L
.65497 .57611 L
.65512 .57629 L
.65643 .57804 L
.65704 .57882 L
.6579 .57997 L
.65897 .58136 L
.65937 .58189 L
.6608 .58382 L
.6609 .58394 L
.66222 .58575 L
.66283 .58655 L
.66365 .58768 L
.66475 .58916 L
.66508 .5896 L
.66647 .59153 L
.66668 .59181 L
.66784 .59346 L
.66861 .59448 L
.66924 .59538 L
.67053 .59717 L
.67063 .59731 L
.67195 .59924 L
.67246 .59993 L
.67329 .60116 L
.67439 .60271 L
.67464 .60309 L
.67588 .60502 L
.67631 .60562 L
.67707 .60694 L
.67824 .60876 L
.67829 .60887 L
.67824 .60928 L
.67791 .60887 L
.67631 .60734 L
.67602 .60694 L
.67439 .60506 L
.67435 .60502 L
.67287 .60309 L
.67246 .60263 L
.67138 .60116 L
.67053 .60016 L
.66987 .59924 L
.66861 .59768 L
.66834 .59731 L
.66686 .59538 L
.66668 .59516 L
.66546 .59346 L
.66475 .59258 L
.66401 .59153 L
.66283 .59002 L
.66253 .5896 L
.66109 .58768 L
.6609 .58743 L
.65972 .58575 L
.65897 .58479 L
.6583 .58382 L
.65704 .58218 L
.65685 .58189 L
.65547 .57997 L
.65512 .57951 L
.65412 .57804 L
.65319 .57682 L
.65272 .57611 L
.65129 .57419 L
.65126 .57415 L
.65002 .57226 L
.64934 .57136 L
.6487 .57033 L
.64741 .56858 L
.6473 .56841 L
F
0 .78 1 r
.64741 .57505 m
.64807 .57611 L
.64934 .57771 L
.64955 .57804 L
.64934 .57859 L
.649 .57804 L
.64741 .57619 L
.64736 .57611 L
F
1 .99 0 r
.64934 .6365 m
.65126 .63761 L
.65157 .63778 L
.65319 .63951 L
.65334 .6397 L
.65496 .64163 L
.65512 .64175 L
.65647 .64356 L
.65704 .64424 L
.65814 .64548 L
.65897 .64688 L
.65931 .64741 L
.66075 .64934 L
.6609 .64955 L
.66211 .65126 L
.66283 .65195 L
.66361 .65319 L
.66474 .65512 L
.66475 .65513 L
.66594 .65704 L
.66668 .65833 L
.66704 .65897 L
.66767 .6609 L
.66668 .66142 L
.66592 .6609 L
.66475 .66032 L
.66377 .65897 L
.66283 .65808 L
.66201 .65704 L
.6609 .65575 L
.6601 .65512 L
.65897 .65333 L
.65884 .65319 L
.65738 .65126 L
.65704 .65108 L
.65592 .64934 L
.65512 .64841 L
.65421 .64741 L
.65319 .64569 L
.65305 .64548 L
.6517 .64356 L
.65126 .64295 L
.65036 .64163 L
.64934 .64009 L
.64896 .6397 L
.64811 .63778 L
F
1 .78 0 r
.64934 .7944 m
.65126 .79514 L
.65241 .79578 L
.65319 .79627 L
.65512 .79754 L
.65539 .79771 L
.65704 .79889 L
.65811 .79964 L
.65897 .80034 L
.66056 .80156 L
.6609 .80188 L
.66281 .80349 L
.66283 .8035 L
.66475 .8051 L
.66513 .80542 L
.66668 .80674 L
.66739 .80735 L
.66861 .80841 L
.66959 .80927 L
.67053 .81011 L
.67174 .8112 L
.67246 .81185 L
.67386 .81313 L
.67439 .81361 L
.67593 .81505 L
.67631 .81541 L
.67798 .81698 L
.67824 .81723 L
.67999 .81891 L
.68017 .81908 L
.68197 .82083 L
.68209 .82095 L
.68392 .82276 L
.68402 .82286 L
.68584 .82469 L
.68595 .82479 L
.68774 .82661 L
.68788 .82675 L
.6896 .82854 L
.6898 .82874 L
.69142 .83047 L
.69173 .83076 L
.69321 .8324 L
.69366 .83283 L
.69496 .83432 L
.69558 .83495 L
.69665 .83625 L
.69751 .83718 L
.69827 .83818 L
.69944 .83958 L
.69979 .8401 L
.70119 .84203 L
.70136 .84228 L
.70244 .84396 L
.70326 .84588 L
.70136 .8463 L
.70051 .84588 L
.69944 .84528 L
.69751 .84406 L
.69733 .84396 L
.69558 .84277 L
.69448 .84203 L
.69366 .84135 L
.69201 .8401 L
.69173 .83982 L
.6898 .83822 L
.68975 .83818 L
.68788 .83664 L
.68741 .83625 L
.68595 .83502 L
.68513 .83432 L
.68402 .83336 L
.68292 .8324 L
.68209 .83167 L
.68075 .83047 L
.68017 .82994 L
.67863 .82854 L
.67824 .82819 L
.67654 .82661 L
.67631 .8264 L
.67449 .82469 L
.67439 .82459 L
.67248 .82276 L
.67246 .82275 L
.67053 .82088 L
.67048 .82083 L
.66861 .819 L
.66852 .81891 L
.66668 .81708 L
.66659 .81698 L
.66475 .81512 L
.66469 .81505 L
.66283 .81313 L
.66282 .81313 L
.66098 .8112 L
.6609 .81113 L
.65917 .80927 L
.65897 .80909 L
.6574 .80735 L
.65704 .80701 L
.65569 .80542 L
.65512 .80487 L
.65403 .80349 L
.65319 .8026 L
.65247 .80156 L
.65126 .80004 L
.65103 .79964 L
.64973 .79771 L
.64934 .79706 L
.6487 .79578 L
F
1 .97 0 r
.65704 .75336 m
.65897 .75318 L
.6609 .75307 L
.66283 .75301 L
.66475 .75298 L
.66668 .75299 L
.66861 .75303 L
.67053 .75311 L
.67246 .75321 L
.67439 .75336 L
.67476 .75339 L
.67631 .75356 L
.67824 .75382 L
.68017 .75416 L
.68209 .75456 L
.68402 .75503 L
.68515 .75532 L
.68595 .75557 L
.68788 .75625 L
.6898 .75699 L
.69046 .75725 L
.69173 .75783 L
.69366 .75878 L
.69448 .75917 L
.69558 .75978 L
.69751 .76089 L
.69789 .7611 L
.69944 .76209 L
.70093 .76303 L
.70136 .76332 L
.70329 .7647 L
.70365 .76495 L
.70522 .76615 L
.70616 .76688 L
.70715 .76766 L
.7085 .76881 L
.70907 .76929 L
.71062 .77073 L
.711 .77109 L
.71248 .77266 L
.71293 .77314 L
.71404 .77459 L
.71485 .77563 L
.7153 .77651 L
.71622 .77844 L
.71643 .78037 L
.71527 .7823 L
.71485 .78259 L
.71293 .78366 L
.711 .78397 L
.70907 .78415 L
.70807 .78422 L
.70715 .7843 L
.70522 .78443 L
.70329 .78451 L
.70136 .78456 L
.69944 .78459 L
.69751 .78459 L
.69558 .78458 L
.69366 .78455 L
.69173 .78449 L
.6898 .78441 L
.68788 .78431 L
.68662 .78422 L
.68595 .78417 L
.68402 .78397 L
.68209 .78372 L
.68017 .7834 L
.67824 .78299 L
.67631 .78252 L
.67548 .7823 L
.67439 .78194 L
.67246 .78121 L
.67053 .78043 L
.67037 .78037 L
.66861 .77947 L
.66668 .77847 L
.66662 .77844 L
.66475 .77724 L
.66356 .77651 L
.66283 .77601 L
.6609 .7746 L
.66087 .77459 L
.65897 .77293 L
.65863 .77266 L
.65704 .7712 L
.65654 .77073 L
.65512 .76929 L
.65467 .76881 L
.65319 .76714 L
.65299 .76688 L
.65152 .76495 L
.65126 .76458 L
.65036 .76303 L
.64941 .7611 L
.64934 .76092 L
.64889 .75917 L
.64896 .75725 L
.64934 .75638 L
.65032 .75532 L
.65126 .75466 L
.65319 .75397 L
.65512 .7536 L
.65677 .75339 L
F
1 .89 0 r
.64934 .56965 m
.64989 .57033 L
.65126 .57189 L
.65156 .57226 L
.65126 .57364 L
.65045 .57226 L
.64934 .57074 L
.64912 .57033 L
F
1 .99 0 r
.65126 .55557 m
.65248 .55684 L
.65319 .55759 L
.65425 .55877 L
.65512 .55977 L
.65593 .5607 L
.65704 .562 L
.65756 .56263 L
.65897 .56439 L
.65912 .56455 L
.6607 .56648 L
.6609 .56652 L
.66227 .56841 L
.66283 .5691 L
.66425 .57033 L
.66475 .57162 L
.66523 .57226 L
.66668 .57407 L
.66669 .57419 L
.66833 .57611 L
.66861 .57648 L
.67002 .57804 L
.67053 .57905 L
.67114 .57997 L
.67246 .58161 L
.6728 .58189 L
.67425 .58382 L
.67439 .58401 L
.67579 .58575 L
.67631 .58662 L
.67695 .58768 L
.67824 .58925 L
.67865 .5896 L
.68007 .59153 L
.68017 .59167 L
.68154 .59346 L
.68209 .59431 L
.6827 .59538 L
.68402 .59696 L
.68442 .59731 L
.68583 .59924 L
.68595 .5994 L
.68725 .60116 L
.68788 .60207 L
.68839 .60309 L
.6898 .60473 L
.69014 .60502 L
.69155 .60694 L
.69173 .6072 L
.69292 .60887 L
.69366 .60989 L
.69405 .6108 L
.69558 .61253 L
.69581 .61273 L
.6974 .61465 L
.69751 .61506 L
.69856 .61658 L
.69944 .61775 L
.69969 .61851 L
.70136 .62036 L
.70146 .62043 L
.70304 .62236 L
.70329 .62295 L
.70417 .62429 L
.70522 .62565 L
.70533 .62621 L
.70707 .62814 L
.70715 .62822 L
.70864 .63007 L
.70907 .63089 L
.70976 .63199 L
.711 .63359 L
.71101 .63392 L
.71266 .63585 L
.71293 .63614 L
.71421 .63778 L
.71485 .63888 L
.71533 .6397 L
.71678 .64159 L
.71682 .64163 L
.7182 .64356 L
.71871 .64414 L
.71971 .64548 L
.72063 .64696 L
.72087 .64741 L
.7223 .64934 L
.72256 .64971 L
.72366 .65126 L
.72449 .6523 L
.72512 .65319 L
.72635 .65512 L
.72641 .65521 L
.72767 .65704 L
.72834 .65802 L
.72971 .65897 L
.73027 .66083 L
.73031 .6609 L
.73156 .66283 L
.7322 .66378 L
.73282 .66475 L
.73405 .66668 L
.73412 .66679 L
.73515 .66861 L
.73605 .67019 L
.73621 .67053 L
.73605 .6715 L
.73499 .67053 L
.73412 .66977 L
.7331 .66861 L
.7322 .66765 L
.7314 .66668 L
.73027 .66575 L
.72976 .66475 L
.72834 .6631 L
.72796 .66283 L
.72662 .6609 L
.72641 .66065 L
.72512 .65897 L
.72449 .65854 L
.7236 .65704 L
.72256 .65582 L
.72175 .65512 L
.72063 .65324 L
.72059 .65319 L
.71915 .65126 L
.71871 .65097 L
.71769 .64934 L
.71678 .64826 L
.7159 .64741 L
.71485 .64563 L
.71474 .64548 L
.71332 .64356 L
.71293 .64328 L
.71189 .64163 L
.711 .64056 L
.71017 .6397 L
.70907 .6379 L
.70898 .63778 L
.70757 .63585 L
.70715 .63553 L
.70615 .63392 L
.70522 .63278 L
.70449 .63199 L
.70329 .63011 L
.70326 .63007 L
.70187 .62814 L
.70136 .62773 L
.70045 .62621 L
.69944 .62495 L
.69885 .62429 L
.69758 .62236 L
.69751 .62226 L
.6962 .62043 L
.69558 .61989 L
.69478 .61851 L
.69366 .61708 L
.69323 .61658 L
.69193 .61465 L
.69173 .61439 L
.69054 .61273 L
.6898 .61202 L
.68856 .6108 L
.68788 .60918 L
.68763 .60887 L
.6863 .60694 L
.68595 .60649 L
.68491 .60502 L
.68402 .60409 L
.68306 .60309 L
.68209 .60124 L
.68203 .60116 L
.68068 .59924 L
.68017 .59857 L
.67929 .59731 L
.67824 .59612 L
.67757 .59538 L
.67644 .59346 L
.67631 .59329 L
.67508 .59153 L
.67439 .59062 L
.67368 .5896 L
.67246 .58809 L
.6721 .58768 L
.67087 .58575 L
.67053 .58531 L
.66951 .58382 L
.66861 .58263 L
.6681 .58189 L
.66668 .57999 L
.66666 .57997 L
.66533 .57804 L
.66475 .57727 L
.66397 .57611 L
.66283 .57458 L
.66256 .57419 L
.66118 .57226 L
.6609 .57188 L
.65986 .57033 L
.65897 .56914 L
.65849 .56841 L
.65709 .56648 L
.65704 .56642 L
.65582 .56455 L
.65512 .56359 L
.65451 .56263 L
.65319 .56077 L
.65315 .5607 L
.65196 .55877 L
.65126 .55775 L
.65079 .55684 L
F
1 .96 0 r
.65512 .75449 m
.65704 .75405 L
.65897 .75379 L
.6609 .75361 L
.66283 .75351 L
.66475 .75346 L
.66668 .75346 L
.66861 .7535 L
.67053 .75359 L
.67246 .75372 L
.67439 .75391 L
.67631 .75415 L
.67824 .75447 L
.68017 .75484 L
.68209 .75528 L
.68224 .75532 L
.68402 .75584 L
.68595 .75649 L
.68788 .75719 L
.68802 .75725 L
.6898 .75803 L
.69173 .75894 L
.69221 .75917 L
.69366 .75996 L
.69558 .76104 L
.69568 .7611 L
.69751 .76226 L
.69872 .76303 L
.69944 .76352 L
.70136 .76488 L
.70146 .76495 L
.70329 .76637 L
.70394 .76688 L
.70522 .76794 L
.70621 .76881 L
.70715 .76964 L
.70828 .77073 L
.70907 .77152 L
.71013 .77266 L
.711 .77364 L
.71173 .77459 L
.71293 .7763 L
.71304 .77651 L
.71389 .77844 L
.71405 .78037 L
.71293 .78211 L
.71267 .7823 L
.711 .78323 L
.70907 .78367 L
.70715 .78391 L
.70522 .78407 L
.70329 .78418 L
.70223 .78422 L
.70136 .78425 L
.69944 .7843 L
.69751 .78431 L
.69558 .7843 L
.69366 .78426 L
.69245 .78422 L
.69173 .78419 L
.6898 .78409 L
.68788 .78395 L
.68595 .78376 L
.68402 .78351 L
.68209 .78319 L
.68017 .7828 L
.67824 .78234 L
.67807 .7823 L
.67631 .78174 L
.67439 .78103 L
.67274 .78037 L
.67246 .78024 L
.67053 .77928 L
.66895 .77844 L
.66861 .77824 L
.66668 .77703 L
.66588 .77651 L
.66475 .77572 L
.66321 .77459 L
.66283 .77429 L
.6609 .7727 L
.66085 .77266 L
.65897 .77093 L
.65877 .77073 L
.65704 .76898 L
.65688 .76881 L
.6552 .76688 L
.65512 .76678 L
.65376 .76495 L
.65319 .76413 L
.65255 .76303 L
.65164 .7611 L
.65126 .75985 L
.65116 .75917 L
.65126 .75766 L
.6514 .75725 L
.65319 .75534 L
.65323 .75532 L
F
1 .77 0 r
.65126 .58777 m
.6522 .5896 L
.65126 .58967 L
.65121 .5896 L
F
0 .96 1 r
.65319 .56638 m
.65328 .56648 L
.65319 .56834 L
.65219 .56648 L
F
1 .95 0 r
.65704 .75487 m
.65897 .75443 L
.6609 .75417 L
.66283 .75402 L
.66475 .75394 L
.66668 .75392 L
.66861 .75396 L
.67053 .75406 L
.67246 .75421 L
.67439 .75442 L
.67631 .75469 L
.67824 .75503 L
.67964 .75532 L
.68017 .75545 L
.68209 .75596 L
.68402 .75656 L
.68595 .75723 L
.686 .75725 L
.68788 .75802 L
.6898 .75889 L
.6904 .75917 L
.69173 .75987 L
.69366 .76092 L
.69397 .7611 L
.69558 .76209 L
.69707 .76303 L
.69751 .76333 L
.69944 .76467 L
.69983 .76495 L
.70136 .76612 L
.70233 .76688 L
.70329 .76767 L
.70461 .76881 L
.70522 .76936 L
.70667 .77073 L
.70715 .7712 L
.70851 .77266 L
.70907 .77329 L
.71009 .77459 L
.711 .77585 L
.71136 .77651 L
.71217 .77844 L
.71222 .78037 L
.711 .78199 L
.71051 .7823 L
.70907 .78299 L
.70715 .78344 L
.70522 .78369 L
.70329 .78385 L
.70136 .78395 L
.69944 .78401 L
.69751 .78403 L
.69558 .78402 L
.69366 .78397 L
.69173 .78389 L
.6898 .78377 L
.68788 .7836 L
.68595 .78337 L
.68402 .78308 L
.68209 .78272 L
.68023 .7823 L
.68017 .78228 L
.67824 .78172 L
.67631 .78105 L
.67457 .78037 L
.67439 .78029 L
.67246 .77937 L
.67067 .77844 L
.67053 .77836 L
.66861 .77719 L
.66754 .77651 L
.66668 .77592 L
.66485 .77459 L
.66475 .77451 L
.66283 .77294 L
.6625 .77266 L
.6609 .77122 L
.66039 .77073 L
.65897 .76931 L
.6585 .76881 L
.65704 .76715 L
.65683 .76688 L
.65538 .76495 L
.65512 .76458 L
.6542 .76303 L
.65334 .7611 L
.65319 .76061 L
.65297 .75917 L
.65319 .75774 L
.65342 .75725 L
.65512 .7555 L
.65584 .75532 L
F
1 .89 0 r
.65319 .57428 m
.65458 .57611 L
.65512 .57675 L
.65609 .57804 L
.65704 .57924 L
.65759 .57997 L
.65897 .58176 L
.65907 .58189 L
.66048 .58382 L
.6609 .58435 L
.66191 .58575 L
.66283 .58694 L
.66336 .58768 L
.66475 .58956 L
.66479 .5896 L
.66613 .59153 L
.66668 .59224 L
.66752 .59346 L
.66861 .59493 L
.66892 .59538 L
.66861 .59729 L
.66721 .59538 L
.66668 .59476 L
.66576 .59346 L
.66475 .59223 L
.66427 .59153 L
.66283 .5897 L
.66276 .5896 L
.66139 .58768 L
.6609 .58707 L
.65999 .58575 L
.65897 .58445 L
.65855 .58382 L
.65708 .58189 L
.65704 .58184 L
.65578 .57997 L
.65512 .57912 L
.65442 .57804 L
.65319 .57643 L
.65299 .57611 L
F
0 .79 1 r
.65319 .58281 m
.65375 .58382 L
.65319 .58396 L
.6531 .58382 L
F
1 .98 0 r
.65512 .64399 m
.65633 .64548 L
.65704 .64636 L
.6578 .64741 L
.65897 .64906 L
.65915 .64934 L
.65897 .65114 L
.6574 .64934 L
.65704 .64895 L
.6559 .64741 L
.65512 .64642 L
.6545 .64548 L
F
1 .94 0 r
.65897 .75516 m
.6609 .75476 L
.66283 .75454 L
.66475 .75442 L
.66668 .75438 L
.66861 .75441 L
.67053 .75451 L
.67246 .75467 L
.67439 .7549 L
.67631 .75519 L
.67705 .75532 L
.67824 .75556 L
.68017 .75602 L
.68209 .75656 L
.68402 .75718 L
.68421 .75725 L
.68595 .75792 L
.68788 .75874 L
.68885 .75917 L
.6898 .75965 L
.69173 .76066 L
.69253 .7611 L
.69366 .76176 L
.69558 .76296 L
.69569 .76303 L
.69751 .76426 L
.69849 .76495 L
.69944 .76566 L
.70102 .76688 L
.70136 .76716 L
.70329 .76879 L
.70331 .76881 L
.70522 .77059 L
.70537 .77073 L
.70715 .7726 L
.7072 .77266 L
.70876 .77459 L
.70907 .77496 L
.70999 .77651 L
.71075 .77844 L
.71066 .78037 L
.70907 .78204 L
.70856 .7823 L
.70715 .78285 L
.70522 .78326 L
.70329 .78349 L
.70136 .78363 L
.69944 .78371 L
.69751 .78375 L
.69558 .78374 L
.69366 .78369 L
.69173 .78359 L
.6898 .78345 L
.68788 .78326 L
.68595 .783 L
.68402 .78267 L
.68219 .7823 L
.68209 .78227 L
.68017 .78176 L
.67824 .78115 L
.67631 .78044 L
.67613 .78037 L
.67439 .77959 L
.67246 .77863 L
.6721 .77844 L
.67053 .77753 L
.66891 .77651 L
.66861 .77631 L
.66668 .77495 L
.66619 .77459 L
.66475 .77345 L
.66381 .77266 L
.66283 .77179 L
.66169 .77073 L
.6609 .76995 L
.65981 .76881 L
.65897 .76788 L
.65815 .76688 L
.65704 .76543 L
.65672 .76495 L
.65557 .76303 L
.65512 .76205 L
.65478 .7611 L
.65452 .75917 L
.65512 .75738 L
.65521 .75725 L
.65704 .75573 L
.65842 .75532 L
F
0 .96 1 r
.65512 .56858 m
.65657 .57033 L
.65704 .57087 L
.65817 .57226 L
.65897 .57323 L
.65974 .57419 L
.6609 .57545 L
.66128 .57611 L
.66278 .57804 L
.66283 .57809 L
.66429 .57997 L
.66475 .58056 L
.66579 .58189 L
.66668 .58285 L
.66728 .58382 L
.66861 .58557 L
.66877 .58575 L
.6702 .58768 L
.67053 .58811 L
.67167 .5896 L
.67246 .59048 L
.67382 .59153 L
.67439 .59322 L
.67457 .59346 L
.67599 .59538 L
.67631 .59582 L
.67743 .59731 L
.67824 .59824 L
.67932 .59924 L
.68017 .60102 L
.68028 .60116 L
.68168 .60309 L
.68209 .60365 L
.6831 .60502 L
.68402 .60614 L
.68481 .60694 L
.6859 .60887 L
.68595 .60894 L
.68728 .6108 L
.68788 .61161 L
.68868 .61273 L
.6898 .6142 L
.69021 .61465 L
.69142 .61658 L
.69173 .61701 L
.69278 .61851 L
.69366 .61974 L
.69414 .62043 L
.69548 .62236 L
.69558 .6225 L
.69678 .62429 L
.69751 .62532 L
.69811 .62621 L
.69941 .62814 L
.69944 .62818 L
.70061 .63007 L
.70136 .63121 L
.70182 .63199 L
.70136 .63317 L
.70039 .63199 L
.69944 .63099 L
.69872 .63007 L
.69751 .62868 L
.69711 .62814 L
.69558 .62635 L
.69552 .62621 L
.69404 .62429 L
.69366 .62384 L
.69255 .62236 L
.69173 .62135 L
.69105 .62043 L
.6898 .61905 L
.68955 .61851 L
.68808 .61658 L
.68788 .61633 L
.68665 .61465 L
.68595 .61377 L
.68519 .61273 L
.68402 .61143 L
.68372 .6108 L
.68227 .60887 L
.68209 .60865 L
.68087 .60694 L
.68017 .60604 L
.67944 .60502 L
.67824 .60363 L
.67798 .60309 L
.67656 .60116 L
.67631 .60084 L
.67518 .59924 L
.67439 .59821 L
.67376 .59731 L
.67246 .59571 L
.67212 .59538 L
.67093 .59346 L
.67053 .59295 L
.66955 .59153 L
.66861 .59029 L
.66813 .5896 L
.66669 .58768 L
.66668 .58766 L
.66536 .58575 L
.66475 .58495 L
.66399 .58382 L
.66283 .58227 L
.66257 .58189 L
.66121 .57997 L
.6609 .57956 L
.65989 .57804 L
.65897 .57681 L
.65852 .57611 L
.65713 .57419 L
.65704 .57408 L
.65588 .57226 L
.65512 .57121 L
.65458 .57033 L
F
1 .77 0 r
.65512 .79996 m
.65704 .80082 L
.65825 .80156 L
.65897 .80205 L
.6609 .80341 L
.66103 .80349 L
.66283 .80481 L
.66366 .80542 L
.66475 .80631 L
.66607 .80735 L
.66668 .80789 L
.66832 .80927 L
.66861 .80955 L
.67045 .8112 L
.67053 .81128 L
.67246 .81305 L
.67255 .81313 L
.67439 .81479 L
.67467 .81505 L
.67631 .81657 L
.67675 .81698 L
.67824 .81838 L
.67878 .81891 L
.68017 .82023 L
.68077 .82083 L
.68209 .82212 L
.68272 .82276 L
.68402 .82405 L
.68463 .82469 L
.68595 .82603 L
.68649 .82661 L
.68788 .82806 L
.68831 .82854 L
.6898 .83016 L
.69007 .83047 L
.69173 .83236 L
.69176 .8324 L
.69339 .83432 L
.69366 .83464 L
.69493 .83625 L
.69558 .83713 L
.69631 .83818 L
.69736 .8401 L
.69558 .84065 L
.69457 .8401 L
.69366 .83954 L
.69173 .83824 L
.69164 .83818 L
.6898 .83689 L
.68889 .83625 L
.68788 .83543 L
.68644 .83432 L
.68595 .83386 L
.6842 .8324 L
.68402 .8322 L
.68211 .83047 L
.68209 .83045 L
.68017 .82875 L
.67994 .82854 L
.67824 .82702 L
.6778 .82661 L
.67631 .82526 L
.67571 .82469 L
.67439 .82346 L
.67366 .82276 L
.67246 .82162 L
.67166 .82083 L
.67053 .81975 L
.66969 .81891 L
.66861 .81784 L
.66777 .81698 L
.66668 .81589 L
.66589 .81505 L
.66475 .81389 L
.66406 .81313 L
.66283 .81183 L
.66228 .8112 L
.6609 .80969 L
.66056 .80927 L
.65897 .80741 L
.65892 .80735 L
.65735 .80542 L
.65704 .80502 L
.65591 .80349 L
.65512 .80229 L
.65471 .80156 L
F
0 .99 1 r
.65512 .63734 m
.65661 .63778 L
.65704 .63802 L
.65897 .6397 L
.65897 .63971 L
.66071 .64163 L
.6609 .64172 L
.66229 .64356 L
.66283 .64416 L
.6642 .64548 L
.66475 .64675 L
.66524 .64741 L
.66666 .64934 L
.66668 .64937 L
.66803 .65126 L
.66861 .65167 L
.66969 .65319 L
.67053 .65487 L
.67066 .65512 L
.67186 .65704 L
.67246 .65811 L
.67293 .65897 L
.67349 .6609 L
.67246 .6612 L
.67205 .6609 L
.67053 .65988 L
.6699 .65897 L
.66861 .65766 L
.66815 .65704 L
.66668 .65529 L
.66648 .65512 L
.66504 .65319 L
.66475 .65284 L
.66358 .65126 L
.66283 .6506 L
.66212 .64934 L
.6609 .64778 L
.66059 .64741 L
.6593 .64548 L
.65897 .64503 L
.65796 .64356 L
.65704 .64223 L
.65618 .64163 L
.65549 .6397 L
.65512 .63895 L
.65482 .63778 L
F
1 .88 0 r
.65512 .5774 m
.65559 .57804 L
.65704 .57979 L
.65718 .57997 L
.65704 .5813 L
.65625 .57997 L
.65512 .57854 L
.65484 .57804 L
F
1 .93 0 r
.66283 .75508 m
.66475 .75491 L
.66668 .75484 L
.66861 .75486 L
.67053 .75495 L
.67246 .75512 L
.67416 .75532 L
.67439 .75535 L
.67631 .75567 L
.67824 .75607 L
.68017 .75655 L
.68209 .75711 L
.68253 .75725 L
.68402 .75777 L
.68595 .75853 L
.68745 .75917 L
.68788 .75937 L
.6898 .76033 L
.69126 .7611 L
.69173 .76136 L
.69366 .76251 L
.69449 .76303 L
.69558 .76375 L
.69734 .76495 L
.69751 .76508 L
.69944 .76653 L
.69988 .76688 L
.70136 .7681 L
.70218 .76881 L
.70329 .76982 L
.70424 .77073 L
.70522 .77173 L
.70606 .77266 L
.70715 .77395 L
.70761 .77459 L
.70881 .77651 L
.70907 .77707 L
.70949 .77844 L
.70926 .78037 L
.70907 .78069 L
.70715 .78211 L
.70669 .7823 L
.70522 .78275 L
.70329 .7831 L
.70136 .7833 L
.69944 .78341 L
.69751 .78346 L
.69558 .78345 L
.69366 .7834 L
.69173 .7833 L
.6898 .78314 L
.68788 .78292 L
.68595 .78264 L
.68406 .7823 L
.68402 .78229 L
.68209 .78184 L
.68017 .78128 L
.67824 .78063 L
.67753 .78037 L
.67631 .77986 L
.67439 .77896 L
.67336 .77844 L
.67246 .77795 L
.67053 .77679 L
.67009 .77651 L
.66861 .7755 L
.66734 .77459 L
.66668 .77408 L
.66494 .77266 L
.66475 .7725 L
.66283 .77075 L
.66281 .77073 L
.66093 .76881 L
.6609 .76878 L
.65928 .76688 L
.65897 .7665 L
.65788 .76495 L
.65704 .76361 L
.65677 .76303 L
.65606 .7611 L
.65592 .75917 L
.65689 .75725 L
.65704 .75707 L
.65897 .75589 L
.6609 .7554 L
.66131 .75532 L
F
1 .82 0 r
.65704 .59551 m
.65792 .59731 L
.65704 .59747 L
.65691 .59731 L
F
1 .92 0 r
.66668 .75531 m
.66861 .7553 L
.66915 .75532 L
.67053 .75539 L
.67246 .75555 L
.67439 .7558 L
.67631 .75613 L
.67824 .75654 L
.68017 .75704 L
.6809 .75725 L
.68209 .75763 L
.68402 .75832 L
.68595 .75909 L
.68614 .75917 L
.68788 .75997 L
.6898 .76094 L
.6901 .7611 L
.69173 .76202 L
.69341 .76303 L
.69366 .76318 L
.69558 .76446 L
.69629 .76495 L
.69751 .76584 L
.69887 .76688 L
.69944 .76734 L
.70118 .76881 L
.70136 .76897 L
.70325 .77073 L
.70329 .77077 L
.70507 .77266 L
.70522 .77283 L
.70659 .77459 L
.70715 .77526 L
.70774 .77651 L
.70835 .77844 L
.70797 .78037 L
.70715 .78123 L
.70522 .78226 L
.7048 .7823 L
.70329 .78266 L
.70136 .78294 L
.69944 .78309 L
.69751 .78316 L
.69558 .78316 L
.69366 .78311 L
.69173 .783 L
.6898 .78283 L
.68788 .7826 L
.68595 .7823 L
.68595 .78229 L
.68402 .7819 L
.68209 .78142 L
.68017 .78083 L
.67883 .78037 L
.67824 .78014 L
.67631 .77932 L
.67449 .77844 L
.67439 .77839 L
.67246 .77731 L
.67116 .77651 L
.67053 .77611 L
.66861 .77477 L
.66836 .77459 L
.66668 .77327 L
.66594 .77266 L
.66475 .77162 L
.66381 .77073 L
.66283 .76976 L
.66193 .76881 L
.6609 .76764 L
.66029 .76688 L
.65897 .76504 L
.65892 .76495 L
.65786 .76303 L
.65722 .7611 L
.65723 .75917 L
.65852 .75725 L
.65897 .7569 L
.6609 .75605 L
.66283 .75564 L
.66475 .75541 L
.66632 .75532 L
F
1 .91 0 r
.6609 .75685 m
.66283 .75623 L
.66475 .75592 L
.66668 .75577 L
.66861 .75574 L
.67053 .75582 L
.67246 .75598 L
.67439 .75623 L
.67631 .75657 L
.67824 .75699 L
.67924 .75725 L
.68017 .75751 L
.68209 .75812 L
.68402 .75882 L
.6849 .75917 L
.68595 .75962 L
.68788 .76053 L
.68902 .7611 L
.6898 .76152 L
.69173 .76262 L
.6924 .76303 L
.69366 .76382 L
.69534 .76495 L
.69558 .76512 L
.69751 .76655 L
.69794 .76688 L
.69944 .76809 L
.70027 .76881 L
.70136 .76979 L
.70234 .77073 L
.70329 .7717 L
.70415 .77266 L
.70522 .77396 L
.70565 .77459 L
.70677 .77651 L
.70715 .77754 L
.7073 .77844 L
.70715 .77962 L
.70673 .78037 L
.70522 .78184 L
.70329 .78222 L
.70276 .7823 L
.70136 .78254 L
.69944 .78275 L
.69751 .78285 L
.69558 .78287 L
.69366 .78282 L
.69173 .7827 L
.6898 .78253 L
.68799 .7823 L
.68788 .78228 L
.68595 .78195 L
.68402 .78153 L
.68209 .78102 L
.68017 .7804 L
.68006 .78037 L
.67824 .77967 L
.67631 .77881 L
.67555 .77844 L
.67439 .77783 L
.67246 .77672 L
.67213 .77651 L
.67053 .77546 L
.6693 .77459 L
.66861 .77407 L
.66685 .77266 L
.66668 .77251 L
.66475 .77077 L
.66471 .77073 L
.66284 .76881 L
.66283 .7688 L
.66122 .76688 L
.6609 .76648 L
.65987 .76495 L
.65897 .76334 L
.65886 .76303 L
.6583 .7611 L
.65847 .75917 L
.65897 .75828 L
.66018 .75725 L
F
0 .81 1 r
.65897 .59062 m
.65942 .59153 L
.65897 .5917 L
.65885 .59153 L
F
1 .88 0 r
.65897 .58232 m
.66003 .58382 L
.6609 .58488 L
.66152 .58575 L
.66283 .58745 L
.66299 .58768 L
.66283 .5892 L
.6618 .58768 L
.6609 .58659 L
.66035 .58575 L
.65897 .58401 L
.65885 .58382 L
F
1 .9 0 r
.66283 .7569 m
.66475 .75646 L
.66668 .75625 L
.66861 .75619 L
.67053 .75625 L
.67246 .7564 L
.67439 .75665 L
.67631 .757 L
.67749 .75725 L
.67824 .75743 L
.68017 .75796 L
.68209 .75859 L
.68369 .75917 L
.68402 .7593 L
.68595 .76013 L
.68788 .76104 L
.68799 .7611 L
.6898 .76207 L
.69147 .76303 L
.69173 .76319 L
.69366 .76442 L
.69445 .76495 L
.69558 .76576 L
.69709 .76688 L
.69751 .76721 L
.69943 .76881 L
.69944 .76881 L
.70136 .7706 L
.7015 .77073 L
.70329 .77265 L
.7033 .77266 L
.70479 .77459 L
.70522 .77487 L
.70586 .77651 L
.7063 .77844 L
.70553 .78037 L
.70522 .78079 L
.70329 .78182 L
.70136 .78216 L
.70031 .7823 L
.69944 .78239 L
.69751 .78253 L
.69558 .78256 L
.69366 .78252 L
.69173 .78241 L
.69042 .7823 L
.6898 .78222 L
.68788 .78196 L
.68595 .78161 L
.68402 .78117 L
.68209 .78063 L
.68126 .78037 L
.68017 .77998 L
.67824 .77921 L
.67655 .77844 L
.67631 .77833 L
.67439 .7773 L
.67304 .77651 L
.67246 .77615 L
.67053 .77485 L
.67017 .77459 L
.66861 .7734 L
.6677 .77266 L
.66668 .77178 L
.66556 .77073 L
.66475 .76995 L
.66368 .76881 L
.66283 .76783 L
.66208 .76688 L
.6609 .76519 L
.66076 .76495 L
.6598 .76303 L
.65933 .7611 L
.65968 .75917 L
.6609 .75754 L
.66193 .75725 L
F
1 .89 0 r
.66475 .75704 m
.66668 .75675 L
.66861 .75664 L
.67053 .75668 L
.67246 .75682 L
.67439 .75707 L
.67548 .75725 L
.67631 .75741 L
.67824 .75786 L
.68017 .7584 L
.68209 .75903 L
.68249 .75917 L
.68402 .75977 L
.68595 .76061 L
.68699 .7611 L
.68788 .76154 L
.6898 .76259 L
.69057 .76303 L
.69173 .76373 L
.69361 .76495 L
.69366 .76498 L
.69558 .76636 L
.69628 .76688 L
.69751 .76786 L
.69863 .76881 L
.69944 .76952 L
.70071 .77073 L
.70136 .77139 L
.70251 .77266 L
.70329 .77359 L
.70397 .77459 L
.70499 .77651 L
.70522 .77721 L
.70534 .77844 L
.70522 .77909 L
.70434 .78037 L
.70329 .78119 L
.70136 .78178 L
.69944 .78205 L
.69751 .7822 L
.69558 .78226 L
.69366 .78222 L
.69173 .78211 L
.6898 .78192 L
.68788 .78164 L
.68595 .78128 L
.68402 .78082 L
.68245 .78037 L
.68209 .78025 L
.68017 .77957 L
.67824 .77878 L
.6775 .77844 L
.67631 .77785 L
.67439 .7768 L
.67391 .77651 L
.67246 .7756 L
.67099 .77459 L
.67053 .77426 L
.66861 .77275 L
.6685 .77266 L
.66668 .77105 L
.66634 .77073 L
.66475 .76912 L
.66447 .76881 L
.66288 .76688 L
.66283 .76681 L
.6616 .76495 L
.6609 .76385 L
.6607 .76303 L
.66033 .7611 L
.66088 .75917 L
.6609 .75913 L
.66283 .75756 L
.66395 .75725 L
F
0 .95 1 r
.6609 .57667 m
.66202 .57804 L
.66283 .57898 L
.66361 .57997 L
.66475 .58137 L
.66517 .58189 L
.66668 .58381 L
.66669 .58382 L
.66817 .58575 L
.66861 .58629 L
.66967 .58768 L
.67053 .58879 L
.67116 .5896 L
.67246 .59124 L
.67287 .59153 L
.67406 .59346 L
.67439 .59388 L
.67551 .59538 L
.67631 .59645 L
.67696 .59731 L
.67824 .59897 L
.67855 .59924 L
.67979 .60116 L
.68017 .60166 L
.68121 .60309 L
.68209 .60429 L
.68263 .60502 L
.68402 .60694 L
.68403 .60694 L
.68539 .60887 L
.68595 .60963 L
.68678 .6108 L
.68788 .61233 L
.68816 .61273 L
.68949 .61465 L
.6898 .61508 L
.69082 .61658 L
.69173 .61786 L
.69216 .61851 L
.69345 .62043 L
.69366 .62072 L
.69465 .62236 L
.69558 .62375 L
.69589 .62429 L
.69558 .62507 L
.69496 .62429 L
.69366 .62292 L
.69324 .62236 L
.69173 .6206 L
.69161 .62043 L
.69009 .61851 L
.6898 .61817 L
.68862 .61658 L
.68788 .61569 L
.68712 .61465 L
.68595 .61321 L
.68561 .61273 L
.68411 .6108 L
.68402 .61069 L
.6827 .60887 L
.68209 .60812 L
.68126 .60694 L
.68017 .60555 L
.67979 .60502 L
.67833 .60309 L
.67824 .60298 L
.67695 .60116 L
.67631 .60036 L
.67554 .59924 L
.67439 .59775 L
.67409 .59731 L
.67267 .59538 L
.67246 .59512 L
.67131 .59346 L
.67053 .59245 L
.66991 .59153 L
.66861 .5898 L
.66847 .5896 L
.66713 .58768 L
.66668 .58709 L
.66579 .58575 L
.66475 .58437 L
.6644 .58382 L
.66302 .58189 L
.66283 .58163 L
.66177 .57997 L
.6609 .57878 L
.66046 .57804 L
F
1 .88 0 r
.66861 .75711 m
.67053 .75711 L
.67246 .75724 L
.67257 .75725 L
.67439 .75748 L
.67631 .75782 L
.67824 .75827 L
.68017 .75882 L
.68127 .75917 L
.68209 .75947 L
.68402 .76022 L
.68595 .76107 L
.68602 .7611 L
.68788 .76202 L
.68971 .76303 L
.6898 .76308 L
.69173 .76425 L
.69281 .76495 L
.69366 .76553 L
.69551 .76688 L
.69558 .76694 L
.69751 .76849 L
.69788 .76881 L
.69944 .77021 L
.69997 .77073 L
.70136 .7722 L
.70175 .77266 L
.70319 .77459 L
.70329 .77475 L
.70416 .77651 L
.70442 .77844 L
.70329 .78025 L
.70313 .78037 L
.70136 .78129 L
.69944 .78169 L
.69751 .78188 L
.69558 .78195 L
.69366 .78193 L
.69173 .78181 L
.6898 .78162 L
.68788 .78133 L
.68595 .78095 L
.68402 .78047 L
.68366 .78037 L
.68209 .77988 L
.68017 .77918 L
.67843 .77844 L
.67824 .77835 L
.67631 .7774 L
.67474 .77651 L
.67439 .77631 L
.67246 .77507 L
.67177 .77459 L
.67053 .77368 L
.66925 .77266 L
.66861 .77212 L
.66709 .77073 L
.66668 .77034 L
.66522 .76881 L
.66475 .76828 L
.66365 .76688 L
.66283 .76573 L
.6624 .76495 L
.66156 .76303 L
.6613 .7611 L
.6621 .75917 L
.66283 .75843 L
.66475 .75762 L
.66668 .75727 L
.66687 .75725 L
F
1 .87 0 r
.66475 .7583 m
.66668 .75779 L
.66861 .75757 L
.67053 .75754 L
.67246 .75765 L
.67439 .75788 L
.67631 .75823 L
.67824 .75868 L
.67999 .75917 L
.68017 .75923 L
.68209 .75989 L
.68402 .76065 L
.68506 .7611 L
.68595 .76151 L
.68788 .76249 L
.68887 .76303 L
.6898 .76356 L
.69173 .76475 L
.69204 .76495 L
.69366 .76606 L
.69477 .76688 L
.69558 .7675 L
.69717 .76881 L
.69751 .7691 L
.69925 .77073 L
.69944 .77091 L
.70103 .77266 L
.70136 .77302 L
.70244 .77459 L
.70329 .7763 L
.70336 .77651 L
.7035 .77844 L
.70329 .77901 L
.70188 .78037 L
.70136 .78066 L
.69944 .78127 L
.69751 .78153 L
.69558 .78163 L
.69366 .78162 L
.69173 .78151 L
.6898 .78131 L
.68788 .78101 L
.68595 .78062 L
.68491 .78037 L
.68402 .78012 L
.68209 .77951 L
.68017 .77879 L
.67935 .77844 L
.67824 .77794 L
.67631 .77695 L
.67554 .77651 L
.67439 .77582 L
.67251 .77459 L
.67246 .77455 L
.67053 .77311 L
.66998 .77266 L
.66861 .77148 L
.6678 .77073 L
.66668 .76961 L
.66594 .76881 L
.66475 .76738 L
.66439 .76688 L
.66318 .76495 L
.66283 .76423 L
.6624 .76303 L
.66226 .7611 L
.66283 .75977 L
.66338 .75917 L
F
1 .76 0 r
.66283 .80736 m
.66475 .80845 L
.66593 .80927 L
.66668 .80983 L
.66843 .8112 L
.66861 .81134 L
.67053 .81289 L
.67083 .81313 L
.67246 .81448 L
.67313 .81505 L
.67439 .81612 L
.67532 .81698 L
.67631 .81783 L
.67742 .81891 L
.67824 .81996 L
.67944 .82083 L
.68017 .82186 L
.6814 .82276 L
.68209 .82381 L
.68329 .82469 L
.68402 .82584 L
.68473 .82661 L
.68595 .82798 L
.68644 .82854 L
.68788 .83028 L
.68802 .83047 L
.68937 .8324 L
.68788 .83311 L
.68676 .8324 L
.68595 .83182 L
.68416 .83047 L
.68402 .83036 L
.68209 .82888 L
.68165 .82854 L
.68017 .82735 L
.67928 .82661 L
.67824 .82575 L
.67705 .82469 L
.67631 .82369 L
.67532 .82276 L
.67439 .82187 L
.67331 .82083 L
.67246 .82001 L
.67135 .81891 L
.67053 .81808 L
.66946 .81698 L
.66861 .81608 L
.66764 .81505 L
.66668 .814 L
.6659 .81313 L
.66475 .81178 L
.66427 .8112 L
.66283 .80928 L
.66282 .80927 L
F
1 .86 0 r
.66668 .75837 m
.66861 .75806 L
.67053 .75798 L
.67246 .75807 L
.67439 .75829 L
.67631 .75863 L
.67824 .75908 L
.6786 .75917 L
.68017 .75963 L
.68209 .7603 L
.68402 .76107 L
.68409 .7611 L
.68595 .76195 L
.68788 .76293 L
.68804 .76303 L
.6898 .76403 L
.69128 .76495 L
.69173 .76524 L
.69366 .76658 L
.69406 .76688 L
.69558 .76807 L
.69647 .76881 L
.69751 .76972 L
.69856 .77073 L
.69944 .77162 L
.70033 .77266 L
.70136 .77397 L
.70171 .77459 L
.70258 .77651 L
.70259 .77844 L
.70136 .77992 L
.70054 .78037 L
.69944 .78078 L
.69751 .78115 L
.69558 .7813 L
.69366 .78131 L
.69173 .7812 L
.6898 .781 L
.68788 .7807 L
.68626 .78037 L
.68595 .78029 L
.68402 .77978 L
.68209 .77915 L
.68026 .77844 L
.68017 .7784 L
.67824 .77752 L
.67632 .77651 L
.67631 .77651 L
.67439 .77535 L
.67324 .77459 L
.67246 .77404 L
.67068 .77266 L
.67053 .77255 L
.66861 .77084 L
.66849 .77073 L
.66668 .76886 L
.66664 .76881 L
.6651 .76688 L
.66475 .76649 L
.66393 .76495 L
.66322 .76303 L
.66323 .7611 L
.66475 .75918 L
.66477 .75917 L
F
1 .99 0 r
.66475 .78021 m
.66542 .78037 L
.66668 .78075 L
.66861 .78111 L
.67053 .78196 L
.67163 .7823 L
.67246 .78247 L
.67439 .78297 L
.67631 .78342 L
.67824 .78379 L
.68017 .78408 L
.68134 .78422 L
.68209 .78429 L
.68402 .78445 L
.68595 .78457 L
.68788 .78467 L
.6898 .78475 L
.69173 .7848 L
.69366 .78484 L
.69558 .78486 L
.69751 .78487 L
.69944 .78487 L
.70136 .78486 L
.70329 .78483 L
.70522 .78479 L
.70715 .78473 L
.70907 .78464 L
.711 .7845 L
.71293 .78428 L
.71335 .78422 L
.71485 .78398 L
.71678 .78349 L
.71871 .78264 L
.71907 .7823 L
.72063 .78106 L
.72138 .78037 L
.72256 .78015 L
.7234 .78037 L
.72449 .78088 L
.72641 .78209 L
.72675 .7823 L
.72834 .78348 L
.72933 .78422 L
.73027 .78498 L
.73172 .78615 L
.7322 .78655 L
.73401 .78808 L
.73412 .78817 L
.73605 .78983 L
.73624 .79 L
.73798 .79154 L
.73841 .79193 L
.7399 .79327 L
.74054 .79386 L
.74183 .79505 L
.74262 .79578 L
.74376 .79685 L
.74467 .79771 L
.74568 .79868 L
.74667 .79964 L
.74761 .80055 L
.74864 .80156 L
.74954 .80245 L
.75058 .80349 L
.75146 .80439 L
.75247 .80542 L
.75339 .80636 L
.75433 .80735 L
.75532 .80839 L
.75613 .80927 L
.75725 .81047 L
.75789 .8112 L
.75917 .81263 L
.75958 .81313 L
.7611 .81493 L
.76119 .81505 L
.76268 .81698 L
.76303 .81745 L
.76398 .81891 L
.76471 .82083 L
.76303 .82174 L
.7611 .82169 L
.75917 .82114 L
.75763 .82083 L
.75725 .82078 L
.75532 .82049 L
.75339 .82018 L
.75146 .81993 L
.74954 .81973 L
.74761 .81958 L
.74568 .81946 L
.74376 .81937 L
.74183 .81931 L
.7399 .81926 L
.73798 .81923 L
.73605 .81921 L
.73412 .8192 L
.7322 .8192 L
.73027 .81921 L
.72834 .81922 L
.72641 .81925 L
.72449 .81929 L
.72256 .81934 L
.72063 .81942 L
.71871 .81953 L
.71678 .8197 L
.71485 .81999 L
.71293 .82047 L
.71199 .82083 L
.711 .82103 L
.70907 .82169 L
.70715 .82166 L
.70522 .82095 L
.70495 .82083 L
.70329 .81989 L
.70177 .81891 L
.70136 .81862 L
.69944 .81722 L
.69912 .81698 L
.69751 .81573 L
.69667 .81505 L
.69558 .81417 L
.69433 .81313 L
.69366 .81256 L
.69207 .8112 L
.69173 .8109 L
.68988 .80927 L
.6898 .80921 L
.68788 .80747 L
.68774 .80735 L
.68595 .8057 L
.68564 .80542 L
.68402 .8039 L
.68359 .80349 L
.68209 .80206 L
.68158 .80156 L
.68017 .8002 L
.6796 .79964 L
.67824 .7983 L
.67766 .79771 L
.67631 .79636 L
.67576 .79578 L
.67439 .79438 L
.67389 .79386 L
.67246 .79236 L
.67207 .79193 L
.67053 .79028 L
.67029 .79 L
.66861 .78812 L
.66857 .78808 L
.66692 .78615 L
.66668 .78585 L
.66536 .78422 L
.66475 .78338 L
.66392 .7823 L
.6634 .78037 L
F
1 .85 0 r
.66668 .75905 m
.66861 .75858 L
.67053 .75844 L
.67246 .7585 L
.67439 .7587 L
.67631 .75903 L
.67702 .75917 L
.67824 .75947 L
.68017 .76003 L
.68209 .76071 L
.68311 .7611 L
.68402 .76148 L
.68595 .76238 L
.68723 .76303 L
.68788 .76338 L
.6898 .76449 L
.69055 .76495 L
.69173 .76573 L
.69336 .76688 L
.69366 .7671 L
.69558 .76863 L
.6958 .76881 L
.69751 .77035 L
.6979 .77073 L
.69944 .77239 L
.69965 .77266 L
.70101 .77459 L
.70136 .77527 L
.70181 .77651 L
.70168 .77844 L
.70136 .77894 L
.69944 .78021 L
.69901 .78037 L
.69751 .78073 L
.69558 .78094 L
.69366 .78098 L
.69173 .78089 L
.6898 .78069 L
.68788 .78038 L
.68781 .78037 L
.68595 .77997 L
.68402 .77944 L
.68209 .77879 L
.68117 .77844 L
.68017 .77802 L
.67824 .77712 L
.67709 .77651 L
.67631 .77608 L
.67439 .77488 L
.67395 .77459 L
.67246 .77353 L
.67135 .77266 L
.67053 .77198 L
.66916 .77073 L
.66861 .7702 L
.66731 .76881 L
.66668 .76809 L
.6658 .76688 L
.66475 .76517 L
.66467 .76495 L
.66404 .76303 L
.66421 .7611 L
.66475 .76026 L
.66636 .75917 L
F
1 .88 0 r
.66475 .59013 m
.66567 .59153 L
.66668 .59284 L
.66708 .59346 L
.66668 .59418 L
.6662 .59346 L
.66475 .59175 L
.6646 .59153 L
F
1 .84 0 r
.66861 .75916 m
.67053 .75892 L
.67246 .75893 L
.67439 .75911 L
.67492 .75917 L
.67631 .75942 L
.67824 .75987 L
.68017 .76043 L
.68208 .7611 L
.68209 .7611 L
.68402 .76189 L
.68595 .76279 L
.68641 .76303 L
.68788 .76381 L
.6898 .76494 L
.68982 .76495 L
.69173 .76621 L
.69268 .76688 L
.69366 .76761 L
.69514 .76881 L
.69558 .76918 L
.69724 .77073 L
.69751 .77099 L
.69899 .77266 L
.69944 .77305 L
.70031 .77459 L
.70105 .77651 L
.70074 .77844 L
.69944 .77959 L
.69751 .78031 L
.69719 .78037 L
.69558 .78056 L
.69366 .78063 L
.69173 .78056 L
.68981 .78037 L
.6898 .78037 L
.68788 .78006 L
.68595 .77964 L
.68402 .7791 L
.68211 .77844 L
.68209 .77844 L
.68017 .77765 L
.67824 .77672 L
.67785 .77651 L
.67631 .77565 L
.67464 .77459 L
.67439 .77442 L
.67246 .77301 L
.67202 .77266 L
.67053 .77141 L
.66981 .77073 L
.66861 .76953 L
.66797 .76881 L
.66668 .76719 L
.66648 .76688 L
.6654 .76495 L
.66486 .76303 L
.66523 .7611 L
.66668 .75959 L
.66852 .75917 L
F
1 .83 0 r
.66668 .76062 m
.66861 .75969 L
.67053 .75941 L
.67246 .75937 L
.67439 .75952 L
.67631 .75982 L
.67824 .76026 L
.68017 .76082 L
.681 .7611 L
.68209 .7615 L
.68402 .7623 L
.68558 .76303 L
.68595 .76321 L
.68788 .76424 L
.68909 .76495 L
.6898 .76539 L
.69173 .76668 L
.69201 .76688 L
.69366 .76812 L
.69449 .76881 L
.69558 .76975 L
.6966 .77073 L
.69751 .77165 L
.69833 .77266 L
.69944 .77414 L
.69962 .77459 L
.70028 .77651 L
.69977 .77844 L
.69944 .77879 L
.69751 .77996 L
.69558 .78019 L
.69366 .78029 L
.69173 .78024 L
.6898 .78005 L
.68788 .77974 L
.68595 .77931 L
.68402 .77876 L
.68307 .77844 L
.68209 .77808 L
.68017 .77727 L
.67862 .77651 L
.67824 .77632 L
.67631 .77521 L
.67533 .77459 L
.67439 .77395 L
.67267 .77266 L
.67246 .7725 L
.67053 .77081 L
.67046 .77073 L
.66862 .76881 L
.66861 .7688 L
.66715 .76688 L
.66668 .7661 L
.66612 .76495 L
.66568 .76303 L
.66632 .7611 L
F
0 .94 1 r
.66668 .58495 m
.66732 .58575 L
.66861 .58724 L
.66895 .58768 L
.66861 .58899 L
.66782 .58768 L
.66668 .58615 L
.66646 .58575 L
F
1 .82 0 r
.66861 .76038 m
.67053 .75992 L
.67246 .75982 L
.67439 .75994 L
.67631 .76023 L
.67824 .76066 L
.67981 .7611 L
.68017 .76122 L
.68209 .7619 L
.68402 .7627 L
.68474 .76303 L
.68595 .76362 L
.68788 .76467 L
.68837 .76495 L
.6898 .76584 L
.69134 .76688 L
.69173 .76716 L
.69366 .76865 L
.69385 .76881 L
.69558 .77035 L
.69597 .77073 L
.69751 .77242 L
.69769 .77266 L
.69894 .77459 L
.69944 .77598 L
.69951 .77651 L
.69944 .77725 L
.69875 .77844 L
.69751 .7794 L
.69558 .77982 L
.69366 .77995 L
.69173 .77991 L
.6898 .77973 L
.68788 .77942 L
.68595 .77898 L
.68411 .77844 L
.68402 .77841 L
.68209 .77772 L
.68017 .77689 L
.67939 .77651 L
.67824 .77592 L
.67631 .77478 L
.67601 .77459 L
.67439 .77348 L
.67332 .77266 L
.67246 .77197 L
.67109 .77073 L
.67053 .77021 L
.66926 .76881 L
.66861 .76809 L
.66782 .76688 L
.66685 .76495 L
.66668 .76441 L
.66653 .76303 L
.66668 .76232 L
.66751 .7611 L
F
1 .99 0 r
.66668 .64411 m
.6681 .64548 L
.66861 .64599 L
.66977 .64741 L
.67053 .64835 L
.67126 .64934 L
.67246 .65101 L
.67263 .65126 L
.67374 .65319 L
.67246 .65332 L
.67235 .65319 L
.67073 .65126 L
.67053 .65103 L
.66931 .64934 L
.66861 .64843 L
.66795 .64741 L
.66668 .64557 L
.66663 .64548 L
F
1 .81 0 r
.67053 .76051 m
.67246 .76031 L
.67439 .76038 L
.67631 .76065 L
.67824 .76106 L
.67839 .7611 L
.68017 .76161 L
.68209 .76229 L
.68386 .76303 L
.68402 .7631 L
.68595 .76403 L
.68763 .76495 L
.68788 .76509 L
.6898 .76629 L
.69067 .76688 L
.69173 .76763 L
.69321 .76881 L
.69366 .76917 L
.69534 .77073 L
.69558 .77095 L
.69705 .77266 L
.69751 .7733 L
.69825 .77459 L
.69872 .77651 L
.69761 .77844 L
.69751 .77853 L
.69558 .77935 L
.69366 .77957 L
.69173 .77956 L
.6898 .77939 L
.68788 .77908 L
.68595 .77864 L
.68523 .77844 L
.68402 .77807 L
.68209 .77736 L
.68018 .77651 L
.68017 .77651 L
.67824 .77551 L
.6767 .77459 L
.67631 .77434 L
.67439 .77299 L
.67396 .77266 L
.67246 .77143 L
.67172 .77073 L
.67053 .76956 L
.6699 .76881 L
.66861 .7671 L
.66849 .76688 L
.66758 .76495 L
.66741 .76303 L
.66861 .7613 L
.66888 .7611 L
F
1 .98 0 r
.66861 .57912 m
.66936 .57997 L
.67053 .5813 L
.67104 .58189 L
.67246 .58346 L
.67264 .58382 L
.6742 .58575 L
.67439 .58598 L
.67575 .58768 L
.67631 .58838 L
.67729 .5896 L
.67824 .59054 L
.67881 .59153 L
.68017 .59328 L
.68034 .59346 L
.68178 .59538 L
.68209 .59578 L
.68328 .59731 L
.68402 .59805 L
.68476 .59924 L
.68595 .60081 L
.68625 .60116 L
.68765 .60309 L
.68788 .60338 L
.68911 .60502 L
.6898 .60574 L
.69057 .60694 L
.69173 .60851 L
.69202 .60887 L
.69341 .6108 L
.69366 .61112 L
.69485 .61273 L
.69558 .61354 L
.69683 .61465 L
.69751 .61634 L
.69769 .61658 L
.69908 .61851 L
.69944 .61899 L
.7005 .62043 L
.70136 .62146 L
.70225 .62236 L
.70328 .62429 L
.70329 .6243 L
.70466 .62621 L
.70522 .62698 L
.70605 .62814 L
.70715 .62956 L
.7076 .63007 L
.70877 .63199 L
.70907 .63241 L
.71013 .63392 L
.711 .63516 L
.71148 .63585 L
.7128 .63778 L
.71293 .63795 L
.71409 .6397 L
.71485 .64081 L
.7154 .64163 L
.71666 .64356 L
.71678 .64373 L
.71781 .64548 L
.71871 .64692 L
.71896 .64741 L
.71871 .64815 L
.71805 .64741 L
.71678 .64615 L
.71625 .64548 L
.71485 .64391 L
.71459 .64356 L
.71299 .64163 L
.71293 .64155 L
.7115 .6397 L
.711 .63911 L
.71 .63778 L
.70907 .63665 L
.70848 .63585 L
.70715 .6343 L
.70696 .63392 L
.7055 .63199 L
.70522 .63165 L
.70406 .63007 L
.70329 .6291 L
.7026 .62814 L
.70136 .62672 L
.70112 .62621 L
.69967 .62429 L
.69944 .62399 L
.69827 .62236 L
.69751 .6214 L
.69683 .62043 L
.69558 .61896 L
.69537 .61851 L
.69395 .61658 L
.69366 .61621 L
.69256 .61465 L
.69173 .61358 L
.69113 .61273 L
.6898 .61106 L
.68953 .6108 L
.68829 .60887 L
.68788 .60833 L
.68691 .60694 L
.68595 .60569 L
.68549 .60502 L
.68405 .60309 L
.68402 .60306 L
.6827 .60116 L
.68209 .60037 L
.68132 .59924 L
.68017 .5977 L
.6799 .59731 L
.67852 .59538 L
.67824 .59502 L
.67719 .59346 L
.67631 .59229 L
.67581 .59153 L
.67439 .5896 L
.67439 .58959 L
.67312 .58768 L
.67246 .58679 L
.6718 .58575 L
.67053 .584 L
.67043 .58382 L
.6692 .58189 L
.66861 .58105 L
.66802 .57997 L
F
1 .8 0 r
.67246 .76084 m
.67439 .76084 L
.67631 .76107 L
.67651 .7611 L
.67824 .76146 L
.68017 .76201 L
.68209 .76269 L
.68293 .76303 L
.68402 .7635 L
.68595 .76445 L
.68689 .76495 L
.68788 .76552 L
.6898 .76675 L
.69 .76688 L
.69173 .76813 L
.69258 .76881 L
.69366 .76971 L
.69471 .77073 L
.69558 .77157 L
.6964 .77266 L
.69751 .77448 L
.69756 .77459 L
.6979 .77651 L
.69751 .77748 L
.69633 .77844 L
.69558 .77877 L
.69366 .77914 L
.69173 .77918 L
.6898 .77904 L
.68788 .77873 L
.6865 .77844 L
.68595 .7783 L
.68402 .77772 L
.68209 .77699 L
.68099 .77651 L
.68017 .77613 L
.67824 .7751 L
.67739 .77459 L
.67631 .7739 L
.6746 .77266 L
.67439 .7725 L
.67246 .77084 L
.67235 .77073 L
.67053 .76881 L
.67053 .76881 L
.66916 .76688 L
.66861 .76577 L
.66833 .76495 L
.66834 .76303 L
.66861 .7625 L
.67053 .76119 L
.67085 .7611 L
F
1 .79 0 r
.67053 .76196 m
.67246 .76134 L
.67439 .76131 L
.67631 .76149 L
.67824 .76187 L
.68017 .76241 L
.68192 .76303 L
.68209 .7631 L
.68402 .76391 L
.68595 .76487 L
.68611 .76495 L
.68788 .76595 L
.68932 .76688 L
.6898 .7672 L
.69173 .76864 L
.69193 .76881 L
.69366 .77031 L
.69408 .77073 L
.69558 .7724 L
.69575 .77266 L
.69686 .77459 L
.69705 .77651 L
.69558 .77808 L
.69483 .77844 L
.69366 .77865 L
.69173 .77878 L
.6898 .77866 L
.68825 .77844 L
.68788 .77838 L
.68595 .77795 L
.68402 .77736 L
.68209 .77662 L
.68185 .77651 L
.68017 .77574 L
.67824 .77467 L
.6781 .77459 L
.67631 .77344 L
.67525 .77266 L
.67439 .772 L
.67298 .77073 L
.67246 .77028 L
.67117 .76881 L
.67053 .76826 L
.66984 .76688 L
.6691 .76495 L
.66934 .76303 L
F
1 .78 0 r
.67053 .76299 m
.67246 .7619 L
.67439 .76179 L
.67631 .76194 L
.67824 .7623 L
.68017 .76283 L
.68079 .76303 L
.68209 .7635 L
.68402 .76432 L
.68531 .76495 L
.68595 .76528 L
.68788 .7664 L
.68862 .76688 L
.6898 .76767 L
.69128 .76881 L
.69173 .76914 L
.69344 .77073 L
.69366 .77086 L
.69509 .77266 L
.69558 .77342 L
.69613 .77459 L
.69614 .77651 L
.69558 .77723 L
.69366 .77811 L
.69173 .77837 L
.6898 .77829 L
.68788 .77803 L
.68595 .77759 L
.68402 .77699 L
.68276 .77651 L
.68209 .77624 L
.68017 .77533 L
.67882 .77459 L
.67824 .77425 L
.67631 .77296 L
.67591 .77266 L
.67439 .77145 L
.67362 .77073 L
.67246 .76962 L
.67182 .76881 L
.67054 .76688 L
.67053 .76687 L
.6699 .76495 L
.6705 .76303 L
F
1 .89 0 r
.67053 .59769 m
.67152 .59924 L
.67246 .60054 L
.67285 .60116 L
.67246 .60203 L
.67183 .60116 L
.67053 .5997 L
.6702 .59924 L
F
0 .94 1 r
.67053 .58966 m
.67193 .59153 L
.67246 .59216 L
.67342 .59346 L
.67439 .59467 L
.67492 .59538 L
.67631 .59722 L
.67638 .59731 L
.67777 .59924 L
.67824 .59983 L
.67919 .60116 L
.68017 .60245 L
.68063 .60309 L
.68017 .60491 L
.67888 .60309 L
.67824 .60231 L
.67746 .60116 L
.67631 .59972 L
.67599 .59924 L
.67454 .59731 L
.67439 .59712 L
.67322 .59538 L
.67246 .59442 L
.67184 .59346 L
.67053 .59176 L
.67039 .59153 L
F
1 .77 0 r
.67246 .76271 m
.67439 .76234 L
.67631 .76242 L
.67824 .76275 L
.6795 .76303 L
.68017 .76325 L
.68209 .76392 L
.68402 .76475 L
.68445 .76495 L
.68595 .76571 L
.68788 .76686 L
.6879 .76688 L
.6898 .76817 L
.69062 .76881 L
.69173 .76968 L
.69279 .77073 L
.69366 .77143 L
.69442 .77266 L
.69538 .77459 L
.69514 .77651 L
.69366 .7775 L
.69173 .77802 L
.6898 .77792 L
.68788 .77766 L
.68595 .77721 L
.68402 .7766 L
.68378 .77651 L
.68209 .77586 L
.68017 .77491 L
.67958 .77459 L
.67824 .77381 L
.67659 .77266 L
.67631 .77248 L
.67439 .77085 L
.67427 .77073 L
.67249 .76881 L
.67246 .76877 L
.67125 .76688 L
.67076 .76495 L
.67185 .76303 L
F
1 1 1 r
.67246 .78473 m
.67439 .78462 L
.67631 .78452 L
.67824 .78467 L
.68017 .78479 L
.68209 .78488 L
.68402 .78496 L
.68595 .78501 L
.68788 .78506 L
.6898 .78509 L
.69173 .78511 L
.69366 .78513 L
.69558 .78514 L
.69751 .78515 L
.69944 .78515 L
.70136 .78515 L
.70329 .78514 L
.70522 .78513 L
.70715 .78512 L
.70907 .7851 L
.711 .78507 L
.71293 .78503 L
.71485 .78497 L
.71678 .78488 L
.71871 .78477 L
.72063 .78468 L
.72256 .7847 L
.72449 .78496 L
.72641 .78554 L
.72774 .78615 L
.72834 .78646 L
.73027 .78759 L
.73101 .78808 L
.7322 .78888 L
.73372 .79 L
.73412 .7903 L
.73605 .79181 L
.73619 .79193 L
.73798 .79339 L
.73852 .79386 L
.7399 .79504 L
.74074 .79578 L
.74183 .79675 L
.74289 .79771 L
.74376 .79851 L
.74496 .79964 L
.74568 .80032 L
.74697 .80156 L
.74761 .80219 L
.74892 .80349 L
.74954 .80412 L
.7508 .80542 L
.75146 .80611 L
.75262 .80735 L
.75339 .80818 L
.75436 .80927 L
.75532 .81036 L
.756 .8112 L
.75725 .81274 L
.75751 .81313 L
.75882 .81505 L
.75917 .81566 L
.75973 .81698 L
.75917 .81885 L
.75907 .81891 L
.75725 .81941 L
.75532 .81939 L
.75339 .81932 L
.75146 .81924 L
.74954 .81917 L
.74761 .81912 L
.74568 .81907 L
.74376 .81904 L
.74183 .81902 L
.7399 .819 L
.73798 .81899 L
.73605 .81898 L
.73412 .81898 L
.7322 .81898 L
.73027 .81898 L
.72834 .81899 L
.72641 .819 L
.72449 .81901 L
.72256 .81902 L
.72063 .81905 L
.71871 .81907 L
.71678 .8191 L
.71485 .81914 L
.71293 .81919 L
.711 .81924 L
.70907 .81923 L
.70715 .81901 L
.70667 .81891 L
.70522 .81846 L
.70329 .81764 L
.70208 .81698 L
.70136 .81657 L
.69944 .81533 L
.69903 .81505 L
.69751 .81397 L
.6964 .81313 L
.69558 .8125 L
.69396 .8112 L
.69366 .81095 L
.69173 .80934 L
.69165 .80927 L
.6898 .80766 L
.68945 .80735 L
.68788 .80593 L
.68732 .80542 L
.68595 .80415 L
.68525 .80349 L
.68402 .80231 L
.68325 .80156 L
.68209 .80042 L
.68131 .79964 L
.68017 .79847 L
.67944 .79771 L
.67824 .79645 L
.67763 .79578 L
.67631 .79433 L
.67591 .79386 L
.67439 .79206 L
.67429 .79193 L
.67281 .79 L
.67246 .7895 L
.67158 .78808 L
.6709 .78615 L
F
1 .76 0 r
.67439 .763 m
.67631 .76296 L
.67701 .76303 L
.67824 .7632 L
.68017 .76368 L
.68209 .76435 L
.68353 .76495 L
.68402 .76518 L
.68595 .76616 L
.68716 .76688 L
.68788 .76731 L
.6898 .7687 L
.68993 .76881 L
.69173 .77032 L
.69212 .77073 L
.69366 .77253 L
.69372 .77266 L
.69459 .77459 L
.69396 .77651 L
.69366 .77672 L
.69173 .77751 L
.6898 .77749 L
.68788 .77725 L
.68595 .77681 L
.6849 .77651 L
.68402 .77623 L
.68209 .77545 L
.68037 .77459 L
.68017 .77449 L
.67824 .77334 L
.67728 .77266 L
.67631 .77198 L
.67494 .77073 L
.67439 .77036 L
.67317 .76881 L
.67246 .76776 L
.67201 .76688 L
.67169 .76495 L
.67246 .76373 L
.67425 .76303 L
F
1 .75 0 r
.67439 .76374 m
.67631 .7634 L
.67824 .76366 L
.68017 .76414 L
.68209 .76481 L
.68246 .76495 L
.68402 .76561 L
.68595 .76664 L
.68636 .76688 L
.68788 .7678 L
.68923 .76881 L
.6898 .76917 L
.69143 .77073 L
.69173 .77106 L
.693 .77266 L
.69366 .77417 L
.69372 .77459 L
.69366 .77521 L
.69259 .77651 L
.69173 .7768 L
.6898 .77698 L
.68788 .77679 L
.68649 .77651 L
.68595 .77641 L
.68402 .77583 L
.68209 .77501 L
.68122 .77459 L
.68017 .77406 L
.67824 .77283 L
.67801 .77266 L
.67631 .77139 L
.67563 .77073 L
.67439 .7696 L
.67388 .76881 L
.6728 .76688 L
.67273 .76495 L
F
1 .74 0 r
.67439 .76471 m
.67631 .76401 L
.67824 .7642 L
.68017 .76465 L
.68128 .76495 L
.68209 .76525 L
.68402 .76609 L
.68551 .76688 L
.68595 .7671 L
.68788 .76835 L
.68847 .76881 L
.6898 .76976 L
.6907 .77073 L
.69173 .77193 L
.69223 .77266 L
.6928 .77459 L
.69173 .77595 L
.6898 .77639 L
.68788 .77641 L
.68595 .77602 L
.68402 .77538 L
.68217 .77459 L
.68209 .77456 L
.68017 .77358 L
.67877 .77266 L
.67824 .77238 L
.67636 .77073 L
.67631 .77069 L
.67463 .76881 L
.67439 .76843 L
.67366 .76688 L
.67405 .76495 L
F
1 .73 0 r
.67631 .76493 m
.67824 .76485 L
.67896 .76495 L
.68017 .76511 L
.68209 .76574 L
.68402 .76662 L
.68453 .76688 L
.68595 .76759 L
.68767 .76881 L
.68788 .76897 L
.6898 .7706 L
.68991 .77073 L
.6914 .77266 L
.69168 .77459 L
.6898 .77572 L
.68788 .77603 L
.68595 .77554 L
.68402 .77488 L
.68325 .77459 L
.68209 .77415 L
.68017 .77303 L
.67961 .77266 L
.67824 .77182 L
.67713 .77073 L
.67631 .76989 L
.67544 .76881 L
.67461 .76688 L
.67625 .76495 L
F
0 .99 1 r
.67824 .78604 m
.68017 .78576 L
.68209 .78563 L
.68402 .78555 L
.68595 .7855 L
.68788 .78547 L
.6898 .78545 L
.69173 .78543 L
.69366 .78543 L
.69558 .78542 L
.69751 .78542 L
.69944 .78542 L
.70136 .78543 L
.70329 .78544 L
.70522 .78546 L
.70715 .78548 L
.70907 .78551 L
.711 .78556 L
.71293 .78562 L
.71485 .7857 L
.71678 .7858 L
.71871 .78594 L
.72063 .78612 L
.72085 .78615 L
.72256 .78649 L
.72449 .78701 L
.72641 .78768 L
.72736 .78808 L
.72834 .78855 L
.73027 .7896 L
.73095 .79 L
.7322 .79079 L
.73386 .79193 L
.73412 .79212 L
.73605 .79355 L
.73645 .79386 L
.73798 .79507 L
.73884 .79578 L
.7399 .79667 L
.7411 .79771 L
.74183 .79835 L
.74325 .79964 L
.74376 .80011 L
.7453 .80156 L
.74568 .80193 L
.74726 .80349 L
.74761 .80384 L
.74914 .80542 L
.74954 .80585 L
.75091 .80735 L
.75146 .80797 L
.75256 .80927 L
.75339 .81028 L
.75406 .8112 L
.75532 .8131 L
.75533 .81313 L
.7562 .81505 L
.756 .81698 L
.75532 .81755 L
.75339 .81817 L
.75146 .81859 L
.74954 .81864 L
.74761 .81867 L
.74568 .8187 L
.74376 .81872 L
.74183 .81873 L
.7399 .81874 L
.73798 .81875 L
.73605 .81876 L
.73412 .81876 L
.7322 .81876 L
.73027 .81876 L
.72834 .81875 L
.72641 .81874 L
.72449 .81873 L
.72256 .81871 L
.72063 .81868 L
.71871 .81864 L
.71678 .81858 L
.71485 .81849 L
.71293 .81835 L
.711 .81814 L
.70907 .81783 L
.70715 .81739 L
.70581 .81698 L
.70522 .81675 L
.70329 .81591 L
.70166 .81505 L
.70136 .81488 L
.69944 .8137 L
.69858 .81313 L
.69751 .81239 L
.6959 .8112 L
.69558 .81096 L
.69366 .80944 L
.69345 .80927 L
.69173 .80784 L
.69116 .80735 L
.6898 .80616 L
.68898 .80542 L
.68788 .8044 L
.68691 .80349 L
.68595 .80257 L
.68492 .80156 L
.68402 .80066 L
.68302 .79964 L
.68209 .79866 L
.68122 .79771 L
.68017 .79653 L
.67954 .79578 L
.67824 .7942 L
.67799 .79386 L
.67663 .79193 L
.67631 .79142 L
.67559 .79 L
.67523 .78808 L
.67631 .78667 L
.67779 .78615 L
F
1 .72 0 r
.67631 .76608 m
.67824 .76558 L
.68017 .7656 L
.68209 .76632 L
.68349 .76688 L
.68402 .76703 L
.68595 .7682 L
.68678 .76881 L
.68788 .76965 L
.68909 .77073 L
.6898 .7716 L
.69047 .77266 L
.69028 .77459 L
.6898 .77482 L
.68788 .77534 L
.68595 .77494 L
.68478 .77459 L
.68402 .77433 L
.68209 .77363 L
.68052 .77266 L
.68017 .77241 L
.67824 .77101 L
.67799 .77073 L
.67635 .76881 L
.67631 .76874 L
.67577 .76688 L
F
1 .71 0 r
.67824 .76653 m
.68017 .76641 L
.68166 .76688 L
.68209 .76702 L
.68402 .76755 L
.68578 .76881 L
.68595 .76897 L
.68788 .77052 L
.6881 .77073 L
.68947 .77266 L
.68788 .77433 L
.68595 .77424 L
.68402 .77372 L
.68209 .77292 L
.68165 .77266 L
.68017 .7717 L
.67891 .77073 L
.67824 .76999 L
.67733 .76881 L
.6775 .76688 L
F
0 .99 1 r
.67824 .58384 m
.67992 .58575 L
.68017 .58602 L
.68158 .58768 L
.68209 .58828 L
.6832 .5896 L
.68402 .59002 L
.68479 .59153 L
.68595 .59297 L
.6866 .59346 L
.68784 .59538 L
.68788 .59542 L
.68938 .59731 L
.6898 .59755 L
.6909 .59924 L
.69173 .6003 L
.69261 .60116 L
.69366 .60285 L
.69381 .60309 L
.69535 .60502 L
.69558 .60518 L
.69684 .60694 L
.69751 .60783 L
.69842 .60887 L
.69944 .61043 L
.69965 .6108 L
.7012 .61273 L
.70136 .61286 L
.70267 .61465 L
.70329 .61549 L
.70416 .61658 L
.70522 .61813 L
.7054 .61851 L
.70697 .62043 L
.70715 .62059 L
.70842 .62236 L
.70907 .62325 L
.70985 .62429 L
.711 .62591 L
.71112 .62621 L
.71267 .62814 L
.71293 .62839 L
.71465 .63007 L
.71485 .6311 L
.71549 .63199 L
.71678 .63378 L
.71683 .63392 L
.71831 .63585 L
.71871 .63626 L
.72013 .63778 L
.72063 .63904 L
.72108 .6397 L
.72249 .64163 L
.72256 .64173 L
.72388 .64356 L
.72449 .64423 L
.72558 .64548 L
.72641 .64709 L
.72662 .64741 L
.728 .64934 L
.72834 .64982 L
.72937 .65126 L
.73027 .65239 L
.73092 .65319 L
.73206 .65512 L
.7322 .65531 L
.73339 .65704 L
.73412 .65811 L
.73472 .65897 L
.73603 .6609 L
.73605 .66093 L
.73729 .66283 L
.73798 .66385 L
.73856 .66475 L
.73978 .66668 L
.7399 .66687 L
.74087 .66861 L
.74183 .67037 L
.74189 .67053 L
.74183 .67092 L
.74136 .67053 L
.7399 .66928 L
.73935 .66861 L
.73798 .66713 L
.73763 .66668 L
.73605 .66488 L
.73599 .66475 L
.73445 .66283 L
.73412 .66244 L
.73294 .6609 L
.7322 .66001 L
.73142 .65897 L
.73027 .65777 L
.72989 .65704 L
.72838 .65512 L
.72834 .65507 L
.72694 .65319 L
.72641 .65253 L
.72549 .65126 L
.72449 .65025 L
.72401 .64934 L
.72256 .64747 L
.7225 .64741 L
.72111 .64548 L
.72063 .64488 L
.71968 .64356 L
.71871 .64255 L
.71822 .64163 L
.71678 .63974 L
.71674 .6397 L
.71536 .63778 L
.71485 .63712 L
.71394 .63585 L
.71293 .63474 L
.71201 .63392 L
.71105 .63199 L
.711 .63193 L
.70967 .63007 L
.70907 .6293 L
.70826 .62814 L
.70715 .62686 L
.70648 .62621 L
.70539 .62429 L
.70522 .62406 L
.70402 .62236 L
.70329 .62141 L
.70261 .62043 L
.70136 .61891 L
.70098 .61851 L
.69977 .61658 L
.69944 .61614 L
.6984 .61465 L
.69751 .61348 L
.69699 .61273 L
.69558 .61087 L
.69552 .6108 L
.6942 .60887 L
.69366 .60816 L
.69283 .60694 L
.69173 .60549 L
.69141 .60502 L
.69001 .60309 L
.6898 .60282 L
.68868 .60116 L
.68788 .6001 L
.6873 .59924 L
.68595 .59741 L
.68588 .59731 L
.68456 .59538 L
.68402 .59466 L
.68324 .59346 L
.68209 .5919 L
.68186 .59153 L
.68054 .5896 L
.68017 .58909 L
.6793 .58768 L
.67824 .58618 L
.67799 .58575 L
F
0 .98 1 r
.68595 .78604 m
.68788 .78591 L
.6898 .78583 L
.69173 .78577 L
.69366 .78573 L
.69558 .7857 L
.69751 .78569 L
.69944 .78569 L
.70136 .7857 L
.70329 .78573 L
.70522 .78576 L
.70715 .78581 L
.70907 .78588 L
.711 .78597 L
.71293 .78609 L
.71382 .78615 L
.71485 .78625 L
.71678 .78648 L
.71871 .7868 L
.72063 .7872 L
.72256 .7877 L
.72386 .78808 L
.72449 .78831 L
.72641 .78911 L
.72832 .79 L
.72834 .79001 L
.73027 .79109 L
.73166 .79193 L
.7322 .79228 L
.73412 .79359 L
.7345 .79386 L
.73605 .795 L
.73706 .79578 L
.73798 .79651 L
.73943 .79771 L
.7399 .79811 L
.74164 .79964 L
.74183 .7998 L
.74373 .80156 L
.74376 .80159 L
.74568 .80347 L
.74571 .80349 L
.74756 .80542 L
.74761 .80547 L
.74929 .80735 L
.74954 .80763 L
.75086 .80927 L
.75146 .81004 L
.75222 .8112 L
.75325 .81313 L
.75339 .81349 L
.75366 .81505 L
.75339 .81598 L
.75228 .81698 L
.75146 .81743 L
.74954 .81794 L
.74761 .81816 L
.74568 .81829 L
.74376 .81838 L
.74183 .81844 L
.7399 .81848 L
.73798 .81851 L
.73605 .81853 L
.73412 .81854 L
.7322 .81854 L
.73027 .81853 L
.72834 .81852 L
.72641 .81849 L
.72449 .81845 L
.72256 .81839 L
.72063 .81831 L
.71871 .81821 L
.71678 .81806 L
.71485 .81787 L
.71293 .81761 L
.711 .81728 L
.70953 .81698 L
.70907 .81685 L
.70715 .81624 L
.70522 .8155 L
.7042 .81505 L
.70329 .8146 L
.70136 .81355 L
.70066 .81313 L
.69944 .81235 L
.69774 .8112 L
.69751 .81103 L
.69558 .80961 L
.69515 .80927 L
.69366 .80808 L
.69277 .80735 L
.69173 .80646 L
.69055 .80542 L
.6898 .80474 L
.68846 .80349 L
.68788 .80293 L
.68649 .80156 L
.68595 .80102 L
.68463 .79964 L
.68402 .79898 L
.6829 .79771 L
.68209 .79676 L
.68132 .79578 L
.68017 .79423 L
.67993 .79386 L
.67882 .79193 L
.67824 .79021 L
.67821 .79 L
.67824 .78906 L
.67872 .78808 L
.68017 .78711 L
.68209 .7864 L
.68402 .78621 L
.68482 .78615 L
F
1 .7 0 r
.68017 .7675 m
.68209 .76783 L
.68402 .76856 L
.68442 .76881 L
.68595 .76988 L
.68707 .77073 L
.68776 .77266 L
.68595 .77337 L
.68402 .77296 L
.68325 .77266 L
.68209 .77209 L
.68017 .77074 L
.68016 .77073 L
.67877 .76881 L
F
0 .97 1 r
.69173 .78611 m
.69366 .78604 L
.69558 .78599 L
.69751 .78597 L
.69944 .78596 L
.70136 .78597 L
.70329 .78601 L
.70522 .78606 L
.70715 .78613 L
.70764 .78615 L
.70907 .78623 L
.711 .78637 L
.71293 .78656 L
.71485 .78681 L
.71678 .78713 L
.71871 .78752 L
.72063 .78798 L
.721 .78808 L
.72256 .7886 L
.72449 .78933 L
.72609 .79 L
.72641 .79016 L
.72834 .79115 L
.72975 .79193 L
.73027 .79225 L
.7322 .79346 L
.73279 .79386 L
.73412 .79479 L
.73548 .79578 L
.73605 .79622 L
.73793 .79771 L
.73798 .79775 L
.7399 .79937 L
.74021 .79964 L
.74183 .8011 L
.74233 .80156 L
.74376 .80294 L
.74431 .80349 L
.74568 .80492 L
.74615 .80542 L
.74761 .80708 L
.74784 .80735 L
.74933 .80927 L
.74954 .80952 L
.75057 .8112 L
.75141 .81313 L
.75145 .81505 L
.74954 .81683 L
.74917 .81698 L
.74761 .81748 L
.74568 .81781 L
.74376 .818 L
.74183 .81812 L
.7399 .81821 L
.73798 .81826 L
.73605 .8183 L
.73412 .81832 L
.7322 .81832 L
.73027 .81831 L
.72834 .81828 L
.72641 .81824 L
.72449 .81818 L
.72256 .81809 L
.72063 .81797 L
.71871 .81782 L
.71678 .81761 L
.71485 .81735 L
.71293 .81703 L
.71263 .81698 L
.711 .81658 L
.70907 .81601 L
.70715 .81534 L
.70641 .81505 L
.70522 .81451 L
.70329 .81355 L
.7025 .81313 L
.70136 .81245 L
.69944 .81123 L
.69939 .8112 L
.69751 .80988 L
.69668 .80927 L
.69558 .80843 L
.69423 .80735 L
.69366 .80687 L
.69197 .80542 L
.69173 .80521 L
.68986 .80349 L
.6898 .80343 L
.6879 .80156 L
.68788 .80154 L
.68607 .79964 L
.68595 .7995 L
.68439 .79771 L
.68402 .79726 L
.6829 .79578 L
.68209 .79465 L
.68164 .79386 L
.68073 .79193 L
.68044 .79 L
.68159 .78808 L
.68209 .78766 L
.68402 .7869 L
.68595 .78657 L
.68788 .78636 L
.6898 .78622 L
.691 .78615 L
F
0 .94 1 r
.68209 .6051 m
.68335 .60694 L
.68402 .60783 L
.68473 .60887 L
.68595 .61057 L
.68611 .6108 L
.68595 .61235 L
.68482 .6108 L
.68402 .60989 L
.68331 .60887 L
.68209 .60742 L
.68177 .60694 L
F
1 .69 0 r
.68209 .76918 m
.68402 .76992 L
.68499 .77073 L
.68402 .7717 L
.68209 .77076 L
.68206 .77073 L
F
0 .96 1 r
.68402 .78804 m
.68595 .78723 L
.68788 .78684 L
.6898 .78661 L
.69173 .78645 L
.69366 .78635 L
.69558 .78628 L
.69751 .78624 L
.69944 .78623 L
.70136 .78624 L
.70329 .78628 L
.70522 .78635 L
.70715 .78645 L
.70907 .78658 L
.711 .78676 L
.71293 .787 L
.71485 .7873 L
.71678 .78767 L
.71861 .78808 L
.71871 .7881 L
.72063 .78868 L
.72256 .78936 L
.72421 .79 L
.72449 .79013 L
.72641 .79105 L
.72811 .79193 L
.72834 .79206 L
.73027 .79321 L
.73131 .79386 L
.7322 .79445 L
.7341 .79578 L
.73412 .7958 L
.73605 .79726 L
.73662 .79771 L
.73798 .79883 L
.73893 .79964 L
.7399 .80049 L
.74108 .80156 L
.74183 .80228 L
.74307 .80349 L
.74376 .8042 L
.7449 .80542 L
.74568 .80631 L
.74655 .80735 L
.74761 .80872 L
.74799 .80927 L
.74913 .8112 L
.74954 .81214 L
.74981 .81313 L
.74957 .81505 L
.74954 .81511 L
.74761 .81661 L
.74654 .81698 L
.74568 .81722 L
.74376 .81757 L
.74183 .81778 L
.7399 .81792 L
.73798 .818 L
.73605 .81806 L
.73412 .81809 L
.7322 .8181 L
.73027 .81809 L
.72834 .81806 L
.72641 .818 L
.72449 .81792 L
.72256 .81781 L
.72063 .81766 L
.71871 .81746 L
.71678 .81721 L
.71526 .81698 L
.71485 .8169 L
.71293 .81647 L
.711 .81595 L
.70907 .81533 L
.70829 .81505 L
.70715 .81457 L
.70522 .81368 L
.7041 .81313 L
.70329 .81267 L
.70136 .81153 L
.70083 .8112 L
.69944 .81027 L
.69803 .80927 L
.69751 .80889 L
.69558 .8074 L
.69552 .80735 L
.69366 .80579 L
.69322 .80542 L
.69173 .80408 L
.6911 .80349 L
.6898 .80223 L
.68914 .80156 L
.68788 .80023 L
.68734 .79964 L
.68595 .79801 L
.68571 .79771 L
.68428 .79578 L
.68402 .79544 L
.68312 .79386 L
.68237 .79193 L
.68232 .79 L
.68397 .78808 L
F
1 .96 0 r
.68402 .71593 m
.68595 .71569 L
.68788 .71604 L
.6898 .71666 L
.69016 .71678 L
.69173 .71745 L
.69366 .71837 L
.69433 .71871 L
.69558 .71938 L
.69751 .72046 L
.69781 .72063 L
.69944 .72161 L
.70099 .72256 L
.70136 .7228 L
.70329 .72403 L
.70399 .72449 L
.70522 .7253 L
.70688 .72641 L
.70715 .7266 L
.70907 .72792 L
.70967 .72834 L
.711 .72928 L
.71239 .73027 L
.71293 .73065 L
.71485 .73205 L
.71506 .7322 L
.71678 .73346 L
.71767 .73412 L
.71871 .7349 L
.72024 .73605 L
.72063 .73635 L
.72256 .73781 L
.72277 .73798 L
.72449 .7393 L
.72527 .7399 L
.72641 .7408 L
.72774 .74183 L
.72834 .7423 L
.73018 .74376 L
.73027 .74383 L
.7322 .74536 L
.7326 .74568 L
.73412 .74691 L
.73499 .74761 L
.73605 .74847 L
.73737 .74954 L
.73798 .75004 L
.73972 .75146 L
.7399 .75161 L
.74183 .7532 L
.74206 .75339 L
.74376 .75481 L
.74437 .75532 L
.74568 .75642 L
.74667 .75725 L
.74761 .75804 L
.74896 .75917 L
.74954 .75966 L
.75123 .7611 L
.75146 .7613 L
.75339 .76294 L
.75349 .76303 L
.75532 .76459 L
.75574 .76495 L
.75725 .76626 L
.75797 .76688 L
.75917 .76793 L
.76019 .76881 L
.7611 .7696 L
.7624 .77073 L
.76303 .77129 L
.76459 .77266 L
.76495 .77298 L
.76678 .77459 L
.76688 .77468 L
.76881 .77638 L
.76895 .77651 L
.77073 .7781 L
.77112 .77844 L
.77266 .77982 L
.77327 .78037 L
.77459 .78155 L
.77541 .7823 L
.77651 .78329 L
.77755 .78422 L
.77844 .78503 L
.77968 .78615 L
.78037 .78678 L
.78179 .78808 L
.7823 .78854 L
.7839 .79 L
.78422 .7903 L
.786 .79193 L
.78615 .79207 L
.78808 .79384 L
.78809 .79386 L
.79 .79563 L
.79017 .79578 L
.79193 .79742 L
.79224 .79771 L
.79386 .79922 L
.7943 .79964 L
.79578 .80103 L
.79636 .80156 L
.79771 .80284 L
.79841 .80349 L
.79964 .80466 L
.80045 .80542 L
.80156 .80648 L
.80248 .80735 L
.80349 .80831 L
.8045 .80927 L
.80542 .81015 L
.80652 .8112 L
.80735 .812 L
.80852 .81313 L
.80927 .81385 L
.81052 .81505 L
.8112 .81571 L
.81252 .81698 L
.81313 .81757 L
.8145 .81891 L
.81505 .81944 L
.81648 .82083 L
.81698 .82132 L
.81845 .82276 L
.81891 .82321 L
.82041 .82469 L
.82083 .82511 L
.82236 .82661 L
.82276 .82701 L
.82431 .82854 L
.82469 .82892 L
.82625 .83047 L
.82661 .83084 L
.82817 .8324 L
.82854 .83276 L
.8301 .83432 L
.83047 .8347 L
.83201 .83625 L
.8324 .83664 L
.83392 .83818 L
.83432 .83859 L
.83581 .8401 L
.83625 .84055 L
.8377 .84203 L
.83818 .84251 L
.83958 .84396 L
.8401 .84449 L
.84146 .84588 L
.84203 .84648 L
.84332 .84781 L
.84396 .84847 L
.84517 .84974 L
.84588 .85048 L
.84702 .85166 L
.84781 .85249 L
.84886 .85359 L
.84974 .85452 L
.85069 .85552 L
.85166 .85655 L
.85251 .85745 L
.85359 .8586 L
.85432 .85937 L
.85552 .86066 L
.85612 .8613 L
.85745 .86273 L
.85791 .86323 L
.85937 .86481 L
.85969 .86515 L
.8613 .86691 L
.86146 .86708 L
.86322 .86901 L
.86323 .86902 L
.86497 .87093 L
.86515 .87114 L
.8667 .87286 L
.86708 .87328 L
.86842 .87479 L
.86901 .87544 L
.87014 .87671 L
.87093 .87762 L
.87183 .87864 L
.87286 .87981 L
.87352 .88057 L
.87479 .88203 L
.87519 .8825 L
.87671 .88427 L
.87685 .88442 L
.87849 .88635 L
.87864 .88653 L
.88011 .88828 L
.88057 .88882 L
.88172 .8902 L
.8825 .89114 L
.88331 .89213 L
.88442 .8935 L
.88487 .89406 L
.88635 .89589 L
.88642 .89598 L
.88794 .89791 L
.88828 .89834 L
.88944 .89984 L
.8902 .90083 L
.89091 .90177 L
.89213 .9034 L
.89235 .90369 L
.89375 .90562 L
.89406 .90604 L
.89512 .90755 L
.89598 .9088 L
.89644 .90947 L
.8977 .9114 L
.89791 .91172 L
.89891 .91333 L
.89984 .9149 L
.90003 .91525 L
.90106 .91718 L
.90177 .91862 L
.90194 .91911 L
.90263 .92103 L
.90298 .92296 L
.9021 .92489 L
.90177 .9251 L
.89984 .92527 L
.89804 .92489 L
.89791 .92485 L
.89598 .92418 L
.89406 .92334 L
.89323 .92296 L
.89213 .92239 L
.8902 .92136 L
.88962 .92103 L
.88828 .92026 L
.88636 .91911 L
.88635 .9191 L
.88442 .9179 L
.8833 .91718 L
.8825 .91666 L
.88057 .91538 L
.88037 .91525 L
.87864 .91408 L
.87755 .91333 L
.87671 .91275 L
.8748 .9114 L
.87479 .91139 L
.87286 .91001 L
.87211 .90947 L
.87093 .90861 L
.86948 .90755 L
.86901 .90719 L
.86708 .90576 L
.86689 .90562 L
.86515 .90431 L
.86434 .90369 L
.86323 .90284 L
.86183 .90177 L
.8613 .90136 L
.85937 .89986 L
.85934 .89984 L
.85745 .89835 L
.85689 .89791 L
.85552 .89682 L
.85446 .89598 L
.85359 .89529 L
.85206 .89406 L
.85166 .89374 L
.84974 .89218 L
.84968 .89213 L
.84781 .89059 L
.84733 .8902 L
.84588 .889 L
.845 .88828 L
.84396 .8874 L
.8427 .88635 L
.84203 .88579 L
.84041 .88442 L
.8401 .88416 L
.83818 .88252 L
.83815 .8825 L
.83625 .88086 L
.8359 .88057 L
.83432 .8792 L
.83368 .87864 L
.8324 .87752 L
.83146 .87671 L
.83047 .87584 L
.82926 .87479 L
.82854 .87415 L
.82707 .87286 L
.82661 .87246 L
.82489 .87093 L
.82469 .87075 L
.82276 .86905 L
.82271 .86901 L
.82083 .86734 L
.82054 .86708 L
.81891 .86563 L
.81837 .86515 L
.81698 .86392 L
.81619 .86323 L
.81505 .86221 L
.81402 .8613 L
.81313 .86051 L
.81184 .85937 L
.8112 .85881 L
.80966 .85745 L
.80927 .85711 L
.80747 .85552 L
.80735 .85541 L
.80542 .85372 L
.80527 .85359 L
.80349 .85204 L
.80307 .85166 L
.80156 .85036 L
.80086 .84974 L
.79964 .84868 L
.79865 .84781 L
.79771 .84701 L
.79643 .84588 L
.79578 .84533 L
.79421 .84396 L
.79386 .84366 L
.79199 .84203 L
.79193 .84198 L
.79 .84027 L
.78987 .8401 L
.78808 .83853 L
.78778 .83818 L
.78615 .83675 L
.78571 .83625 L
.78422 .83492 L
.78365 .83432 L
.7823 .83303 L
.78162 .8324 L
.78037 .83111 L
.77965 .83047 L
.77844 .82915 L
.77773 .82854 L
.77651 .82718 L
.77584 .82661 L
.77459 .82519 L
.77399 .82469 L
.77266 .8232 L
.77216 .82276 L
.77073 .8212 L
.77033 .82083 L
.76881 .81919 L
.76851 .81891 L
.76688 .81717 L
.76668 .81698 L
.76495 .81516 L
.76485 .81505 L
.76303 .81315 L
.763 .81313 L
.76115 .8112 L
.7611 .81115 L
.75928 .80927 L
.75917 .80916 L
.7574 .80735 L
.75725 .80719 L
.75551 .80542 L
.75532 .80522 L
.75361 .80349 L
.75339 .80327 L
.7517 .80156 L
.75146 .80133 L
.74978 .79964 L
.74954 .7994 L
.74785 .79771 L
.74761 .79747 L
.74592 .79578 L
.74568 .79555 L
.74399 .79386 L
.74376 .79363 L
.74205 .79193 L
.74183 .79171 L
.74011 .79 L
.7399 .78979 L
.73818 .78808 L
.73798 .78787 L
.73626 .78615 L
.73605 .78594 L
.73435 .78422 L
.73412 .78399 L
.73246 .7823 L
.7322 .78203 L
.73059 .78037 L
.73027 .78004 L
.72874 .77844 L
.72834 .77802 L
.72692 .77651 L
.72641 .77598 L
.72513 .77459 L
.72449 .7739 L
.72337 .77266 L
.72256 .77178 L
.72163 .77073 L
.72063 .76963 L
.71991 .76881 L
.71871 .76745 L
.71821 .76688 L
.71678 .76525 L
.71652 .76495 L
.71485 .76303 L
.71485 .76303 L
.7132 .7611 L
.71293 .76077 L
.71157 .75917 L
.711 .7585 L
.70994 .75725 L
.70907 .75621 L
.70832 .75532 L
.70715 .75391 L
.70672 .75339 L
.70522 .75158 L
.70512 .75146 L
.70354 .74954 L
.70329 .74923 L
.70198 .74761 L
.70136 .74685 L
.70043 .74568 L
.69944 .74444 L
.6989 .74376 L
.69751 .74198 L
.6974 .74183 L
.69592 .7399 L
.69558 .73947 L
.69446 .73798 L
.69366 .73689 L
.69304 .73605 L
.69173 .73422 L
.69166 .73412 L
.69032 .7322 L
.6898 .73144 L
.68903 .73027 L
.68788 .72846 L
.6878 .72834 L
.68664 .72641 L
.68595 .72521 L
.68558 .72449 L
.68463 .72256 L
.68402 .72131 L
.68386 .72063 L
.68335 .71871 L
.68349 .71678 L
F
0 .95 1 r
.68788 .78742 m
.6898 .78704 L
.69173 .78681 L
.69366 .78666 L
.69558 .78657 L
.69751 .78651 L
.69944 .7865 L
.70136 .78651 L
.70329 .78655 L
.70522 .78663 L
.70715 .78675 L
.70907 .78691 L
.711 .78713 L
.71293 .7874 L
.71485 .78774 L
.71652 .78808 L
.71678 .78814 L
.71871 .78867 L
.72063 .78929 L
.72256 .78999 L
.72259 .79 L
.72449 .79085 L
.72641 .79179 L
.7267 .79193 L
.72834 .79286 L
.73001 .79386 L
.73027 .79402 L
.7322 .79531 L
.73288 .79578 L
.73412 .79669 L
.73546 .79771 L
.73605 .79818 L
.73781 .79964 L
.73798 .79978 L
.7399 .8015 L
.73997 .80156 L
.74183 .80336 L
.74196 .80349 L
.74376 .80539 L
.74378 .80542 L
.74541 .80735 L
.74568 .80769 L
.7468 .80927 L
.74761 .81053 L
.74786 .8112 L
.74841 .81313 L
.74793 .81505 L
.74761 .81542 L
.74568 .81654 L
.74418 .81698 L
.74376 .81708 L
.74183 .81741 L
.7399 .81761 L
.73798 .81774 L
.73605 .81782 L
.73412 .81786 L
.7322 .81788 L
.73027 .81787 L
.72834 .81783 L
.72641 .81776 L
.72449 .81767 L
.72256 .81753 L
.72063 .81735 L
.71871 .81713 L
.71763 .81698 L
.71678 .81684 L
.71485 .81645 L
.71293 .81597 L
.711 .8154 L
.70993 .81505 L
.70907 .81472 L
.70715 .8139 L
.7055 .81313 L
.70522 .81298 L
.70329 .81191 L
.7021 .8112 L
.70136 .81073 L
.69944 .80943 L
.69922 .80927 L
.69751 .80801 L
.69666 .80735 L
.69558 .80647 L
.69434 .80542 L
.69366 .80482 L
.69221 .80349 L
.69173 .80304 L
.69025 .80156 L
.6898 .8011 L
.68847 .79964 L
.68788 .79896 L
.68687 .79771 L
.68595 .79648 L
.6855 .79578 L
.68442 .79386 L
.68402 .79287 L
.68378 .79193 L
.68394 .79 L
.68402 .78983 L
.68595 .78813 L
.68606 .78808 L
F
1 .97 0 r
.68402 .60025 m
.68474 .60116 L
.68595 .6026 L
.68633 .60309 L
.68595 .60434 L
.6852 .60309 L
.68402 .60155 L
.6838 .60116 L
F
0 .94 1 r
.6898 .78753 m
.69173 .7872 L
.69366 .78699 L
.69558 .78686 L
.69751 .78679 L
.69944 .78676 L
.70136 .78677 L
.70329 .78682 L
.70522 .78691 L
.70715 .78705 L
.70907 .78723 L
.711 .78747 L
.71293 .78777 L
.7146 .78808 L
.71485 .78813 L
.71678 .78861 L
.71871 .78917 L
.72063 .78982 L
.72115 .79 L
.72256 .79059 L
.72449 .79147 L
.72544 .79193 L
.72641 .79245 L
.72834 .79355 L
.72887 .79386 L
.73027 .79476 L
.7318 .79578 L
.7322 .79606 L
.73412 .79748 L
.73442 .79771 L
.73605 .79901 L
.7368 .79964 L
.73798 .80066 L
.73898 .80156 L
.7399 .80243 L
.74098 .80349 L
.74183 .80437 L
.74279 .80542 L
.74376 .80655 L
.74439 .80735 L
.74568 .80918 L
.74574 .80927 L
.74673 .8112 L
.74717 .81313 L
.74647 .81505 L
.74568 .81571 L
.74376 .8167 L
.7419 .81698 L
.74183 .81699 L
.7399 .81728 L
.73798 .81746 L
.73605 .81757 L
.73412 .81763 L
.7322 .81765 L
.73027 .81765 L
.72834 .81761 L
.72641 .81753 L
.72449 .81742 L
.72256 .81727 L
.72063 .81707 L
.7199 .81698 L
.71871 .81681 L
.71678 .81646 L
.71485 .81604 L
.71293 .81552 L
.71139 .81505 L
.711 .81491 L
.70907 .81416 L
.70715 .81331 L
.70674 .81313 L
.70522 .81233 L
.70329 .81124 L
.70323 .8112 L
.70136 .81001 L
.70028 .80927 L
.69944 .80867 L
.69768 .80735 L
.69751 .80721 L
.69558 .80563 L
.69533 .80542 L
.69366 .80392 L
.69319 .80349 L
.69173 .80207 L
.69124 .80156 L
.6898 .80002 L
.68947 .79964 L
.6879 .79771 L
.68788 .79768 L
.68657 .79578 L
.68595 .79485 L
.68556 .79386 L
.68504 .79193 L
.68539 .79 L
.68595 .78927 L
.68788 .78809 L
.68799 .78808 L
F
0 .93 1 r
.69173 .78762 m
.69366 .78734 L
.69558 .78717 L
.69751 .78707 L
.69944 .78703 L
.70136 .78704 L
.70329 .78709 L
.70522 .78719 L
.70715 .78733 L
.70907 .78753 L
.711 .78779 L
.71274 .78808 L
.71293 .78811 L
.71485 .78853 L
.71678 .78903 L
.71871 .78962 L
.71984 .79 L
.72063 .79031 L
.72256 .79112 L
.72432 .79193 L
.72449 .79202 L
.72641 .79305 L
.72783 .79386 L
.72834 .79417 L
.73027 .79541 L
.73083 .79578 L
.7322 .79675 L
.73349 .79771 L
.73412 .7982 L
.7359 .79964 L
.73605 .79976 L
.73798 .80146 L
.73809 .80156 L
.7399 .80331 L
.74009 .80349 L
.74183 .80535 L
.74189 .80542 L
.74347 .80735 L
.74376 .80771 L
.74478 .80927 L
.74568 .81104 L
.74572 .8112 L
.74604 .81313 L
.74568 .81436 L
.74513 .81505 L
.74376 .81613 L
.74183 .81666 L
.7399 .81694 L
.73956 .81698 L
.73798 .81717 L
.73605 .81731 L
.73412 .81739 L
.7322 .81743 L
.73027 .81743 L
.72834 .81738 L
.72641 .8173 L
.72449 .81718 L
.72256 .81701 L
.72225 .81698 L
.72063 .81678 L
.71871 .81649 L
.71678 .81611 L
.71485 .81565 L
.71293 .81511 L
.71273 .81505 L
.711 .81444 L
.70907 .81366 L
.70787 .81313 L
.70715 .81277 L
.70522 .81175 L
.70425 .8112 L
.70329 .81061 L
.70136 .80936 L
.70123 .80927 L
.69944 .80798 L
.6986 .80735 L
.69751 .80648 L
.69623 .80542 L
.69558 .80486 L
.69408 .80349 L
.69366 .80309 L
.69213 .80156 L
.69173 .80114 L
.69038 .79964 L
.6898 .79896 L
.68883 .79771 L
.68788 .79635 L
.68755 .79578 L
.6866 .79386 L
.68617 .79193 L
.6867 .79 L
.68788 .7886 L
.6898 .78808 L
.68985 .78808 L
F
0 .92 1 r
.69173 .78808 m
.69366 .7877 L
.69558 .78748 L
.69751 .78736 L
.69944 .7873 L
.70136 .7873 L
.70329 .78735 L
.70522 .78746 L
.70715 .78761 L
.70907 .78783 L
.71086 .78808 L
.711 .7881 L
.71293 .78846 L
.71485 .7889 L
.71678 .78943 L
.71861 .79 L
.71871 .79004 L
.72063 .79077 L
.72256 .7916 L
.72328 .79193 L
.72449 .79254 L
.72641 .79359 L
.72689 .79386 L
.72834 .79475 L
.72995 .79578 L
.73027 .796 L
.7322 .79738 L
.73264 .79771 L
.73412 .79887 L
.73507 .79964 L
.73605 .80047 L
.73727 .80156 L
.73798 .80222 L
.73927 .80349 L
.7399 .80414 L
.74106 .80542 L
.74183 .80631 L
.74263 .80735 L
.74376 .809 L
.7439 .80927 L
.74478 .8112 L
.74501 .81313 L
.74388 .81505 L
.74376 .81517 L
.74183 .81621 L
.7399 .81663 L
.73798 .81687 L
.73686 .81698 L
.73605 .81705 L
.73412 .81715 L
.7322 .8172 L
.73027 .8172 L
.72834 .81716 L
.72641 .81708 L
.72494 .81698 L
.72449 .81694 L
.72256 .81675 L
.72063 .8165 L
.71871 .81618 L
.71678 .81578 L
.71485 .8153 L
.71398 .81505 L
.71293 .81471 L
.711 .814 L
.70907 .8132 L
.7089 .81313 L
.70715 .81226 L
.70522 .81122 L
.70518 .8112 L
.70329 .81004 L
.70211 .80927 L
.70136 .80875 L
.69944 .80735 L
.69944 .80735 L
.69751 .8058 L
.69705 .80542 L
.69558 .80412 L
.6949 .80349 L
.69366 .80229 L
.69295 .80156 L
.69173 .80025 L
.69121 .79964 L
.6898 .79788 L
.68968 .79771 L
.68843 .79578 L
.68788 .7947 L
.68754 .79386 L
.68721 .79193 L
.68788 .79006 L
.68792 .79 L
.6898 .78854 L
.69173 .78808 L
F
1 .97 0 r
.68788 .60504 m
.68928 .60694 L
.6898 .60757 L
.69076 .60887 L
.69173 .61011 L
.69224 .6108 L
.69366 .61268 L
.69369 .61273 L
.69505 .61465 L
.69558 .61533 L
.69647 .61658 L
.69751 .61797 L
.69789 .61851 L
.69751 .62009 L
.6964 .61851 L
.69558 .61753 L
.69494 .61658 L
.69366 .61498 L
.69344 .61465 L
.69201 .61273 L
.69173 .61238 L
.69067 .6108 L
.6898 .60972 L
.68925 .60887 L
.68788 .60709 L
.68778 .60694 L
F
0 .94 1 r
.68788 .61349 m
.68849 .61465 L
.68788 .61471 L
.68784 .61465 L
F
0 .91 1 r
.69558 .78781 m
.69751 .78765 L
.69944 .78757 L
.70136 .78756 L
.70329 .78761 L
.70522 .78772 L
.70715 .78788 L
.70884 .78808 L
.70907 .78811 L
.711 .78841 L
.71293 .78879 L
.71485 .78925 L
.71678 .7898 L
.71745 .79 L
.71871 .79044 L
.72063 .7912 L
.72231 .79193 L
.72256 .79205 L
.72449 .79303 L
.72602 .79386 L
.72641 .79409 L
.72834 .79528 L
.72913 .79578 L
.73027 .79657 L
.73186 .79771 L
.7322 .79797 L
.73412 .79949 L
.73431 .79964 L
.73605 .80114 L
.73652 .80156 L
.73798 .80294 L
.73852 .80349 L
.7399 .80496 L
.74031 .80542 L
.74183 .80732 L
.74185 .80735 L
.74309 .80927 L
.74376 .8107 L
.74392 .8112 L
.74405 .81313 L
.74376 .81391 L
.74268 .81505 L
.74183 .81561 L
.7399 .81626 L
.73798 .81659 L
.73605 .81679 L
.73412 .81691 L
.7322 .81697 L
.73176 .81698 L
.73027 .81698 L
.73004 .81698 L
.72834 .81694 L
.72641 .81685 L
.72449 .8167 L
.72256 .8165 L
.72063 .81623 L
.71871 .81589 L
.71678 .81547 L
.71518 .81505 L
.71485 .81496 L
.71293 .81433 L
.711 .8136 L
.70986 .81313 L
.70907 .81276 L
.70715 .81179 L
.70604 .8112 L
.70522 .81072 L
.70329 .80951 L
.70292 .80927 L
.70136 .80819 L
.70022 .80735 L
.69944 .80674 L
.69781 .80542 L
.69751 .80516 L
.69565 .80349 L
.69558 .80343 L
.6937 .80156 L
.69366 .80152 L
.69197 .79964 L
.69173 .79936 L
.69047 .79771 L
.6898 .79677 L
.68925 .79578 L
.68842 .79386 L
.68817 .79193 L
.68908 .79 L
.6898 .78929 L
.69173 .78848 L
.69366 .78809 L
.69375 .78808 L
F
0 .9 1 r
.69751 .78795 m
.69944 .78785 L
.70136 .78783 L
.70329 .78787 L
.70522 .78798 L
.70645 .78808 L
.70715 .78815 L
.70907 .78839 L
.711 .78871 L
.71293 .7891 L
.71485 .78958 L
.71633 .79 L
.71678 .79015 L
.71871 .79083 L
.72063 .7916 L
.7214 .79193 L
.72256 .79248 L
.72449 .79347 L
.7252 .79386 L
.72641 .79457 L
.72834 .79577 L
.72836 .79578 L
.73027 .79709 L
.73113 .79771 L
.7322 .79852 L
.7336 .79964 L
.73412 .80008 L
.73582 .80156 L
.73605 .80177 L
.73782 .80349 L
.73798 .80365 L
.7396 .80542 L
.7399 .80577 L
.74112 .80735 L
.74183 .80832 L
.74234 .80927 L
.74311 .8112 L
.74314 .81313 L
.74183 .81486 L
.74152 .81505 L
.7399 .81582 L
.73798 .81627 L
.73605 .81652 L
.73412 .81667 L
.7322 .81675 L
.73027 .81676 L
.72834 .81672 L
.72641 .81662 L
.72449 .81647 L
.72256 .81625 L
.72063 .81597 L
.71871 .81561 L
.71678 .81517 L
.71634 .81505 L
.71485 .81462 L
.71293 .81397 L
.711 .81322 L
.71077 .81313 L
.70907 .81234 L
.70715 .81136 L
.70685 .8112 L
.70522 .81024 L
.70368 .80927 L
.70329 .80902 L
.70136 .80766 L
.70094 .80735 L
.69944 .80617 L
.69852 .80542 L
.69751 .80455 L
.69635 .80349 L
.69558 .80276 L
.6944 .80156 L
.69366 .80077 L
.69268 .79964 L
.69173 .79846 L
.6912 .79771 L
.69001 .79578 L
.6898 .79536 L
.68923 .79386 L
.68909 .79193 L
.6898 .7904 L
.6902 .79 L
.69173 .789 L
.69366 .78845 L
.69558 .78814 L
.69613 .78808 L
F
0 .89 1 r
.69173 .78968 m
.69366 .78887 L
.69558 .78847 L
.69751 .78825 L
.69944 .78813 L
.70136 .78809 L
.70329 .78813 L
.70522 .78824 L
.70715 .78841 L
.70907 .78867 L
.711 .789 L
.71293 .78941 L
.71485 .7899 L
.71523 .79 L
.71678 .79049 L
.71871 .79119 L
.72053 .79193 L
.72063 .79198 L
.72256 .79289 L
.72442 .79386 L
.72449 .79389 L
.72641 .79502 L
.72764 .79578 L
.72834 .79624 L
.73027 .79759 L
.73044 .79771 L
.7322 .79905 L
.73293 .79964 L
.73412 .80064 L
.73516 .80156 L
.73605 .80239 L
.73717 .80349 L
.73798 .80433 L
.73894 .80542 L
.7399 .80659 L
.74044 .80735 L
.74163 .80927 L
.74183 .80969 L
.74234 .8112 L
.74227 .81313 L
.74183 .81392 L
.74038 .81505 L
.7399 .8153 L
.73798 .81592 L
.73605 .81624 L
.73412 .81642 L
.7322 .81652 L
.73027 .81654 L
.72834 .8165 L
.72641 .8164 L
.72449 .81624 L
.72256 .81601 L
.72063 .81571 L
.71871 .81533 L
.71748 .81505 L
.71678 .81487 L
.71485 .8143 L
.71293 .81363 L
.71164 .81313 L
.711 .81285 L
.70907 .81195 L
.70762 .8112 L
.70715 .81094 L
.70522 .8098 L
.70439 .80927 L
.70329 .80854 L
.70162 .80735 L
.70136 .80715 L
.69944 .80563 L
.69918 .80542 L
.69751 .80396 L
.697 .80349 L
.69558 .80211 L
.69506 .80156 L
.69366 .80001 L
.69335 .79964 L
.69188 .79771 L
.69173 .79752 L
.69074 .79578 L
.69001 .79386 L
.68996 .79193 L
.6913 .79 L
F
1 .95 0 r
.69173 .72298 m
.69366 .72275 L
.69558 .72319 L
.69751 .7239 L
.69896 .72449 L
.69944 .72476 L
.70136 .72574 L
.70263 .72641 L
.70329 .7268 L
.70522 .72793 L
.70591 .72834 L
.70715 .72911 L
.70897 .73027 L
.70907 .73033 L
.711 .7316 L
.7119 .7322 L
.71293 .73289 L
.71471 .73412 L
.71485 .73422 L
.71678 .73558 L
.71745 .73605 L
.71871 .73696 L
.72011 .73798 L
.72063 .73836 L
.72256 .73978 L
.72273 .7399 L
.72449 .74122 L
.72529 .74183 L
.72641 .74268 L
.72782 .74376 L
.72834 .74416 L
.73027 .74565 L
.73032 .74568 L
.7322 .74715 L
.73278 .74761 L
.73412 .74867 L
.73521 .74954 L
.73605 .75021 L
.73762 .75146 L
.73798 .75175 L
.7399 .75331 L
.74 .75339 L
.74183 .75488 L
.74237 .75532 L
.74376 .75646 L
.74471 .75725 L
.74568 .75805 L
.74703 .75917 L
.74761 .75966 L
.74934 .7611 L
.74954 .76127 L
.75146 .76289 L
.75163 .76303 L
.75339 .76452 L
.7539 .76495 L
.75532 .76616 L
.75616 .76688 L
.75725 .76781 L
.7584 .76881 L
.75917 .76947 L
.76063 .77073 L
.7611 .77114 L
.76285 .77266 L
.76303 .77281 L
.76495 .7745 L
.76506 .77459 L
.76688 .77619 L
.76725 .77651 L
.76881 .77789 L
.76943 .77844 L
.77073 .7796 L
.7716 .78037 L
.77266 .78132 L
.77376 .7823 L
.77459 .78304 L
.77591 .78422 L
.77651 .78477 L
.77804 .78615 L
.77844 .78651 L
.78017 .78808 L
.78037 .78825 L
.78229 .79 L
.7823 .79001 L
.78422 .79177 L
.7844 .79193 L
.78615 .79354 L
.7865 .79386 L
.78808 .79532 L
.78858 .79578 L
.79 .7971 L
.79066 .79771 L
.79193 .79889 L
.79273 .79964 L
.79386 .80069 L
.7948 .80156 L
.79578 .80249 L
.79685 .80349 L
.79771 .8043 L
.79889 .80542 L
.79964 .80612 L
.80093 .80735 L
.80156 .80795 L
.80296 .80927 L
.80349 .80978 L
.80498 .8112 L
.80542 .81162 L
.80699 .81313 L
.80735 .81347 L
.80899 .81505 L
.80927 .81533 L
.81098 .81698 L
.8112 .81719 L
.81297 .81891 L
.81313 .81906 L
.81495 .82083 L
.81505 .82094 L
.81691 .82276 L
.81698 .82283 L
.81887 .82469 L
.81891 .82472 L
.82083 .82661 L
.82083 .82662 L
.82276 .82853 L
.82277 .82854 L
.82469 .83045 L
.8247 .83047 L
.82661 .83238 L
.82663 .8324 L
.82854 .83432 L
.82855 .83432 L
.83046 .83625 L
.83047 .83626 L
.83236 .83818 L
.8324 .83821 L
.83425 .8401 L
.83432 .84018 L
.83613 .84203 L
.83625 .84215 L
.83801 .84396 L
.83818 .84413 L
.83987 .84588 L
.8401 .84612 L
.84173 .84781 L
.84203 .84813 L
.84357 .84974 L
.84396 .85014 L
.84541 .85166 L
.84588 .85216 L
.84724 .85359 L
.84781 .8542 L
.84905 .85552 L
.84974 .85625 L
.85086 .85745 L
.85166 .85831 L
.85265 .85937 L
.85359 .86038 L
.85444 .8613 L
.85552 .86247 L
.85621 .86323 L
.85745 .86457 L
.85798 .86515 L
.85937 .86669 L
.85973 .86708 L
.8613 .86882 L
.86147 .86901 L
.8632 .87093 L
.86323 .87097 L
.86491 .87286 L
.86515 .87314 L
.86661 .87479 L
.86708 .87533 L
.86829 .87671 L
.86901 .87754 L
.86996 .87864 L
.87093 .87978 L
.87161 .88057 L
.87286 .88204 L
.87325 .8825 L
.87479 .88433 L
.87487 .88442 L
.87647 .88635 L
.87671 .88665 L
.87804 .88828 L
.87864 .88901 L
.8796 .8902 L
.88057 .89142 L
.88113 .89213 L
.8825 .89387 L
.88264 .89406 L
.88411 .89598 L
.88442 .89639 L
.88556 .89791 L
.88635 .89899 L
.88696 .89984 L
.88828 .90169 L
.88833 .90177 L
.88965 .90369 L
.8902 .90452 L
.89091 .90562 L
.89209 .90755 L
.89213 .9076 L
.8932 .90947 L
.89406 .91112 L
.89418 .9114 L
.895 .91333 L
.89555 .91525 L
.89542 .91718 L
.89406 .91839 L
.89213 .91821 L
.8902 .91766 L
.88862 .91718 L
.88828 .91691 L
.88635 .91601 L
.88485 .91525 L
.88442 .91501 L
.8825 .91393 L
.88146 .91333 L
.88057 .91279 L
.87864 .9116 L
.87833 .9114 L
.87671 .91036 L
.87536 .90947 L
.87479 .90909 L
.87286 .90778 L
.87251 .90755 L
.87093 .90645 L
.86975 .90562 L
.86901 .90509 L
.86708 .90371 L
.86706 .90369 L
.86515 .9023 L
.86443 .90177 L
.86323 .90087 L
.86184 .89984 L
.8613 .89943 L
.85937 .89797 L
.8593 .89791 L
.85745 .89649 L
.85679 .89598 L
.85552 .89499 L
.85432 .89406 L
.85359 .89348 L
.85188 .89213 L
.85166 .89196 L
.84974 .89042 L
.84947 .8902 L
.84781 .88886 L
.84708 .88828 L
.84588 .8873 L
.84472 .88635 L
.84396 .88572 L
.84238 .88442 L
.84203 .88413 L
.8401 .88253 L
.84007 .8825 L
.83818 .88091 L
.83777 .88057 L
.83625 .87928 L
.8355 .87864 L
.83432 .87764 L
.83324 .87671 L
.8324 .87599 L
.83099 .87479 L
.83047 .87433 L
.82876 .87286 L
.82854 .87267 L
.82661 .87099 L
.82655 .87093 L
.82469 .86931 L
.82434 .86901 L
.82276 .86762 L
.82214 .86708 L
.82083 .86593 L
.81995 .86515 L
.81891 .86424 L
.81776 .86323 L
.81698 .86254 L
.81558 .8613 L
.81505 .86084 L
.8134 .85937 L
.81313 .85913 L
.81122 .85745 L
.8112 .85743 L
.80927 .85572 L
.80904 .85552 L
.80735 .85402 L
.80687 .85359 L
.80542 .85231 L
.8047 .85166 L
.80349 .85059 L
.80253 .84974 L
.80156 .84888 L
.80037 .84781 L
.79964 .84716 L
.79821 .84588 L
.79771 .84544 L
.79606 .84396 L
.79578 .84371 L
.79391 .84203 L
.79386 .84198 L
.79193 .84023 L
.7918 .8401 L
.79 .83845 L
.78971 .83818 L
.78808 .83666 L
.78764 .83625 L
.78615 .83485 L
.7856 .83432 L
.78422 .83301 L
.78358 .8324 L
.7823 .83115 L
.78158 .83047 L
.78037 .82927 L
.77961 .82854 L
.77844 .82736 L
.77767 .82661 L
.77651 .82544 L
.77574 .82469 L
.77459 .8235 L
.77384 .82276 L
.77266 .82155 L
.77194 .82083 L
.77073 .81959 L
.77005 .81891 L
.76881 .81763 L
.76816 .81698 L
.76688 .81566 L
.76628 .81505 L
.76495 .81369 L
.76439 .81313 L
.76303 .81173 L
.76251 .8112 L
.7611 .80976 L
.76062 .80927 L
.75917 .8078 L
.75872 .80735 L
.75725 .80584 L
.75683 .80542 L
.75532 .80389 L
.75493 .80349 L
.75339 .80193 L
.75303 .80156 L
.75146 .79998 L
.75112 .79964 L
.74954 .79803 L
.74922 .79771 L
.74761 .79608 L
.74732 .79578 L
.74568 .79413 L
.74541 .79386 L
.74376 .79217 L
.74352 .79193 L
.74183 .79021 L
.74163 .79 L
.7399 .78824 L
.73975 .78808 L
.73798 .78625 L
.73788 .78615 L
.73605 .78425 L
.73602 .78422 L
.73418 .7823 L
.73412 .78224 L
.73235 .78037 L
.7322 .7802 L
.73055 .77844 L
.73027 .77814 L
.72877 .77651 L
.72834 .77605 L
.72701 .77459 L
.72641 .77394 L
.72526 .77266 L
.72449 .7718 L
.72354 .77073 L
.72256 .76964 L
.72183 .76881 L
.72063 .76744 L
.72014 .76688 L
.71871 .76523 L
.71847 .76495 L
.71681 .76303 L
.71678 .76299 L
.71517 .7611 L
.71485 .76072 L
.71355 .75917 L
.71293 .75843 L
.71194 .75725 L
.711 .75611 L
.71035 .75532 L
.70907 .75376 L
.70877 .75339 L
.70722 .75146 L
.70715 .75137 L
.70569 .74954 L
.70522 .74895 L
.70418 .74761 L
.70329 .74647 L
.70269 .74568 L
.70136 .74393 L
.70124 .74376 L
.69981 .74183 L
.69944 .74131 L
.69843 .7399 L
.69751 .73859 L
.6971 .73798 L
.69581 .73605 L
.69558 .73571 L
.69459 .73412 L
.69366 .73256 L
.69346 .7322 L
.69242 .73027 L
.69173 .72888 L
.69155 .72834 L
.69088 .72641 L
.69063 .72449 L
F
0 .88 1 r
.69366 .78935 m
.69558 .78883 L
.69751 .78855 L
.69944 .7884 L
.70136 .78835 L
.70329 .78839 L
.70522 .78849 L
.70715 .78868 L
.70907 .78894 L
.711 .78928 L
.71293 .7897 L
.71414 .79 L
.71485 .79021 L
.71678 .79082 L
.71871 .79154 L
.71969 .79193 L
.72063 .79235 L
.72256 .79328 L
.72369 .79386 L
.72449 .7943 L
.72641 .79544 L
.72696 .79578 L
.72834 .7967 L
.72979 .79771 L
.73027 .79806 L
.7322 .79955 L
.7323 .79964 L
.73412 .80119 L
.73454 .80156 L
.73605 .80299 L
.73655 .80349 L
.73798 .80503 L
.73831 .80542 L
.7398 .80735 L
.7399 .80745 L
.74095 .80927 L
.74161 .8112 L
.74143 .81313 L
.7399 .81471 L
.73923 .81505 L
.73798 .81552 L
.73605 .81594 L
.73412 .81616 L
.7322 .81628 L
.73027 .81631 L
.72834 .81628 L
.72641 .81618 L
.72449 .81601 L
.72256 .81577 L
.72063 .81546 L
.71871 .81507 L
.71863 .81505 L
.71678 .81458 L
.71485 .81399 L
.71293 .8133 L
.71248 .81313 L
.711 .81249 L
.70907 .81157 L
.70835 .8112 L
.70715 .81053 L
.70522 .80937 L
.70506 .80927 L
.70329 .80808 L
.70226 .80735 L
.70136 .80666 L
.69981 .80542 L
.69944 .80511 L
.69762 .80349 L
.69751 .80339 L
.69568 .80156 L
.69558 .80147 L
.69398 .79964 L
.69366 .79926 L
.69254 .79771 L
.69173 .79648 L
.69142 .79578 L
.69074 .79386 L
.6908 .79193 L
.69173 .79051 L
.6924 .79 L
F
0 .87 1 r
.69366 .78992 m
.69558 .78922 L
.69751 .78887 L
.69944 .78869 L
.70136 .78862 L
.70329 .78864 L
.70522 .78875 L
.70715 .78894 L
.70907 .7892 L
.711 .78955 L
.71293 .78998 L
.71302 .79 L
.71485 .79051 L
.71678 .79114 L
.71871 .79186 L
.71887 .79193 L
.72063 .7927 L
.72256 .79364 L
.72298 .79386 L
.72449 .79469 L
.72631 .79578 L
.72641 .79585 L
.72834 .79713 L
.72917 .79771 L
.73027 .79852 L
.7317 .79964 L
.7322 .80004 L
.73395 .80156 L
.73412 .80172 L
.73596 .80349 L
.73605 .80358 L
.73772 .80542 L
.73798 .80572 L
.73919 .80735 L
.7399 .80833 L
.74031 .80927 L
.74091 .8112 L
.74062 .81313 L
.7399 .81401 L
.73804 .81505 L
.73798 .81508 L
.73605 .81561 L
.73412 .81589 L
.7322 .81604 L
.73027 .81608 L
.72834 .81605 L
.72641 .81595 L
.72449 .81578 L
.72256 .81554 L
.72063 .81521 L
.71981 .81505 L
.71871 .8148 L
.71678 .8143 L
.71485 .81369 L
.71329 .81313 L
.71293 .81298 L
.711 .81215 L
.70907 .81121 L
.70905 .8112 L
.70715 .81014 L
.7057 .80927 L
.70522 .80896 L
.70329 .80764 L
.70288 .80735 L
.70136 .80619 L
.7004 .80542 L
.69944 .8046 L
.69821 .80349 L
.69751 .80283 L
.69627 .80156 L
.69558 .80083 L
.69458 .79964 L
.69366 .79846 L
.69315 .79771 L
.69207 .79578 L
.69173 .79494 L
.69145 .79386 L
.69161 .79193 L
.69173 .79167 L
.69351 .79 L
F
0 .86 1 r
.69558 .78965 m
.69751 .7892 L
.69944 .78898 L
.70136 .78889 L
.70329 .7889 L
.70522 .789 L
.70715 .78919 L
.70907 .78946 L
.711 .78982 L
.71187 .79 L
.71293 .79026 L
.71485 .79081 L
.71678 .79145 L
.71807 .79193 L
.71871 .79219 L
.72063 .79304 L
.7223 .79386 L
.72256 .794 L
.72449 .79507 L
.72569 .79578 L
.72641 .79625 L
.72834 .79754 L
.72858 .79771 L
.73027 .79896 L
.73113 .79964 L
.7322 .80052 L
.73339 .80156 L
.73412 .80224 L
.7354 .80349 L
.73605 .80417 L
.73715 .80542 L
.73798 .80643 L
.7386 .80735 L
.73969 .80927 L
.7399 .80979 L
.74024 .8112 L
.7399 .81299 L
.73982 .81313 L
.73798 .81485 L
.7368 .81505 L
.73605 .81526 L
.73412 .81561 L
.7322 .81579 L
.73027 .81585 L
.72834 .81583 L
.72641 .81573 L
.72449 .81555 L
.72256 .8153 L
.72106 .81505 L
.72063 .81497 L
.71871 .81454 L
.71678 .81402 L
.71485 .8134 L
.71409 .81313 L
.71293 .81267 L
.711 .81182 L
.70972 .8112 L
.70907 .81086 L
.70715 .80977 L
.70632 .80927 L
.70522 .80856 L
.70346 .80735 L
.70329 .80722 L
.70136 .80574 L
.70097 .80542 L
.69944 .8041 L
.69877 .80349 L
.69751 .80227 L
.69683 .80156 L
.69558 .80017 L
.69515 .79964 L
.69374 .79771 L
.69366 .79764 L
.69269 .79578 L
.69214 .79386 L
.69241 .79193 L
.69366 .79055 L
.69467 .79 L
F
0 .85 1 r
.69751 .78956 m
.69944 .78928 L
.70136 .78916 L
.70329 .78916 L
.70522 .78926 L
.70715 .78945 L
.70907 .78972 L
.71064 .79 L
.711 .79008 L
.71293 .79054 L
.71485 .79109 L
.71678 .79175 L
.71728 .79193 L
.71871 .79251 L
.72063 .79337 L
.72163 .79386 L
.72256 .79434 L
.72449 .79543 L
.72508 .79578 L
.72641 .79663 L
.72801 .79771 L
.72834 .79794 L
.73027 .79939 L
.73058 .79964 L
.7322 .80098 L
.73285 .80156 L
.73412 .80275 L
.73486 .80349 L
.73605 .80477 L
.7366 .80542 L
.73798 .80724 L
.73804 .80735 L
.7391 .80927 L
.73958 .8112 L
.73904 .81313 L
.73798 .81438 L
.73605 .81494 L
.73543 .81505 L
.73412 .81531 L
.7322 .81553 L
.73027 .81561 L
.72834 .8156 L
.72641 .81551 L
.72449 .81533 L
.72256 .81507 L
.72244 .81505 L
.72063 .81473 L
.71871 .81429 L
.71678 .81375 L
.71487 .81313 L
.71485 .81312 L
.71293 .81236 L
.711 .8115 L
.71038 .8112 L
.70907 .81052 L
.70715 .80941 L
.70692 .80927 L
.70522 .80817 L
.70403 .80735 L
.70329 .80681 L
.70152 .80542 L
.70136 .80529 L
.69944 .80361 L
.69931 .80349 L
.69751 .80171 L
.69737 .80156 L
.6957 .79964 L
.69558 .79951 L
.69431 .79771 L
.69366 .7968 L
.6933 .79578 L
.6928 .79386 L
.6932 .79193 L
.69366 .79133 L
.69558 .79007 L
.6959 .79 L
F
0 .84 1 r
.69751 .78994 m
.69944 .7896 L
.70136 .78944 L
.70329 .78943 L
.70522 .78951 L
.70715 .7897 L
.70907 .78997 L
.70926 .79 L
.711 .79034 L
.71293 .79081 L
.71485 .79137 L
.71649 .79193 L
.71678 .79204 L
.71871 .79281 L
.72063 .79369 L
.72098 .79386 L
.72256 .79468 L
.72449 .79578 L
.7245 .79578 L
.72641 .797 L
.72746 .79771 L
.72834 .79834 L
.73005 .79964 L
.73027 .79981 L
.7322 .80144 L
.73233 .80156 L
.73412 .80327 L
.73434 .80349 L
.73605 .80539 L
.73607 .80542 L
.7375 .80735 L
.73798 .8077 L
.73852 .80927 L
.73894 .8112 L
.73825 .81313 L
.73798 .81354 L
.73605 .81463 L
.73412 .81501 L
.73384 .81505 L
.7322 .81526 L
.73027 .81537 L
.72834 .81537 L
.72641 .81528 L
.72449 .8151 L
.72404 .81505 L
.72256 .81484 L
.72063 .81449 L
.71871 .81404 L
.71678 .81349 L
.71566 .81313 L
.71485 .81284 L
.71293 .81207 L
.71102 .8112 L
.711 .81119 L
.70907 .81018 L
.7075 .80927 L
.70715 .80906 L
.70522 .8078 L
.70457 .80735 L
.70329 .8064 L
.70205 .80542 L
.70136 .80485 L
.69983 .80349 L
.69944 .80312 L
.69789 .80156 L
.69751 .80116 L
.69623 .79964 L
.69558 .79883 L
.69486 .79771 L
.69388 .79578 L
.69366 .79511 L
.69345 .79386 L
.69366 .79257 L
.69399 .79193 L
.69558 .79045 L
.69728 .79 L
F
0 .83 1 r
.69944 .78992 m
.70136 .78973 L
.70329 .78969 L
.70522 .78977 L
.70715 .78995 L
.70761 .79 L
.70907 .79023 L
.711 .7906 L
.71293 .79108 L
.71485 .79165 L
.7157 .79193 L
.71678 .79232 L
.71871 .79311 L
.72034 .79386 L
.72063 .794 L
.72256 .79501 L
.72393 .79578 L
.72449 .79612 L
.72641 .79736 L
.72693 .79771 L
.72834 .79873 L
.72953 .79964 L
.73027 .80023 L
.73183 .80156 L
.7322 .8019 L
.73384 .80349 L
.73412 .80378 L
.73556 .80542 L
.73605 .80599 L
.73697 .80735 L
.73796 .80927 L
.73798 .80933 L
.73831 .8112 L
.73798 .81244 L
.73746 .81313 L
.73605 .81421 L
.73412 .81473 L
.7322 .81499 L
.73148 .81505 L
.73027 .81512 L
.72834 .81514 L
.72641 .81506 L
.72637 .81505 L
.72449 .81488 L
.72256 .81461 L
.72063 .81425 L
.71871 .81379 L
.71678 .81323 L
.71645 .81313 L
.71485 .81256 L
.71293 .81178 L
.71165 .8112 L
.711 .81088 L
.70907 .80986 L
.70806 .80927 L
.70715 .80871 L
.70522 .80743 L
.7051 .80735 L
.70329 .806 L
.70256 .80542 L
.70136 .80442 L
.70033 .80349 L
.69944 .80264 L
.6984 .80156 L
.69751 .80059 L
.69674 .79964 L
.69558 .79803 L
.6954 .79771 L
.69445 .79578 L
.69409 .79386 L
.69478 .79193 L
.69558 .79104 L
.69751 .79028 L
.69893 .79 L
F
0 .82 1 r
.70329 .78996 m
.7048 .79 L
.70522 .79003 L
.70715 .7902 L
.70907 .79048 L
.711 .79086 L
.71293 .79134 L
.71485 .79192 L
.71489 .79193 L
.71678 .79261 L
.71871 .7934 L
.71971 .79386 L
.72063 .79431 L
.72256 .79533 L
.72337 .79578 L
.72449 .79646 L
.72641 .79771 L
.72641 .79771 L
.72834 .7991 L
.72904 .79964 L
.73027 .80064 L
.73134 .80156 L
.7322 .80235 L
.73335 .80349 L
.73412 .8043 L
.73507 .80542 L
.73605 .80668 L
.73645 .80735 L
.73741 .80927 L
.73769 .8112 L
.73666 .81313 L
.73605 .81366 L
.73412 .81441 L
.7322 .81473 L
.73027 .81488 L
.72834 .81491 L
.72641 .81483 L
.72449 .81466 L
.72256 .81438 L
.72063 .81401 L
.71871 .81355 L
.71725 .81313 L
.71678 .81298 L
.71485 .81229 L
.71293 .8115 L
.71227 .8112 L
.711 .81058 L
.70907 .80954 L
.70861 .80927 L
.70715 .80837 L
.70561 .80735 L
.70522 .80707 L
.70329 .80561 L
.70305 .80542 L
.70136 .80399 L
.70082 .80349 L
.69944 .80215 L
.69888 .80156 L
.69751 .79999 L
.69724 .79964 L
.69592 .79771 L
.69558 .79711 L
.69501 .79578 L
.69472 .79386 L
.69558 .79194 L
.69559 .79193 L
.69751 .79067 L
.69944 .79024 L
.70136 .79003 L
.70173 .79 L
F
0 .81 1 r
.69751 .79115 m
.69944 .79057 L
.70136 .79031 L
.70329 .79023 L
.70522 .79028 L
.70715 .79045 L
.70907 .79073 L
.711 .79111 L
.71293 .7916 L
.71407 .79193 L
.71485 .79218 L
.71678 .79288 L
.71871 .79369 L
.71908 .79386 L
.72063 .79461 L
.72256 .79564 L
.72282 .79578 L
.72449 .79679 L
.7259 .79771 L
.72641 .79806 L
.72834 .79948 L
.72855 .79964 L
.73027 .80104 L
.73086 .80156 L
.7322 .8028 L
.73287 .80349 L
.73412 .80485 L
.73459 .80542 L
.73595 .80735 L
.73605 .80751 L
.73687 .80927 L
.73708 .8112 L
.73605 .81296 L
.73584 .81313 L
.73412 .81404 L
.7322 .81445 L
.73027 .81463 L
.72834 .81468 L
.72641 .81461 L
.72449 .81443 L
.72256 .81415 L
.72063 .81378 L
.71871 .81331 L
.71807 .81313 L
.71678 .81272 L
.71485 .81203 L
.71293 .81122 L
.71288 .8112 L
.711 .81028 L
.70915 .80927 L
.70907 .80923 L
.70715 .80804 L
.70612 .80735 L
.70522 .80671 L
.70353 .80542 L
.70329 .80522 L
.70136 .80356 L
.70129 .80349 L
.69944 .80165 L
.69936 .80156 L
.69772 .79964 L
.69751 .7994 L
.69643 .79771 L
.69558 .79586 L
.69556 .79578 L
.69535 .79386 L
.69558 .79303 L
.69641 .79193 L
F
0 .8 1 r
.69751 .79175 m
.69944 .79094 L
.70136 .79061 L
.70329 .7905 L
.70522 .79054 L
.70715 .7907 L
.70907 .79098 L
.711 .79136 L
.71293 .79185 L
.7132 .79193 L
.71485 .79245 L
.71678 .79316 L
.71846 .79386 L
.71871 .79397 L
.72063 .7949 L
.72228 .79578 L
.72256 .79595 L
.72449 .79711 L
.7254 .79771 L
.72641 .79841 L
.72807 .79964 L
.72834 .79985 L
.73027 .80145 L
.7304 .80156 L
.7322 .80327 L
.73241 .80349 L
.73411 .80542 L
.73412 .80543 L
.73546 .80735 L
.73605 .8085 L
.73633 .80927 L
.73646 .8112 L
.73605 .81214 L
.73499 .81313 L
.73412 .81361 L
.7322 .81415 L
.73027 .81438 L
.72834 .81444 L
.72641 .81438 L
.72449 .8142 L
.72256 .81393 L
.72063 .81355 L
.71892 .81313 L
.71871 .81307 L
.71678 .81247 L
.71485 .81176 L
.7135 .8112 L
.71293 .81094 L
.711 .80999 L
.70968 .80927 L
.70907 .80892 L
.70715 .80771 L
.70661 .80735 L
.70522 .80635 L
.704 .80542 L
.70329 .80484 L
.70176 .80349 L
.70136 .80313 L
.69983 .80156 L
.69944 .80115 L
.6982 .79964 L
.69751 .79876 L
.69693 .79771 L
.6961 .79578 L
.69597 .79386 L
.69728 .79193 L
F
0 .79 1 r
.69944 .79135 m
.70136 .79093 L
.70329 .79078 L
.70522 .7908 L
.70715 .79096 L
.70907 .79123 L
.711 .79161 L
.71229 .79193 L
.71293 .79211 L
.71485 .79271 L
.71678 .79342 L
.71783 .79386 L
.71871 .79425 L
.72063 .79519 L
.72174 .79578 L
.72256 .79625 L
.72449 .79743 L
.72491 .79771 L
.72641 .79875 L
.72761 .79964 L
.72834 .80021 L
.72994 .80156 L
.73027 .80185 L
.73196 .80349 L
.7322 .80373 L
.73365 .80542 L
.73412 .80593 L
.73497 .80735 L
.73581 .80927 L
.73585 .8112 L
.73412 .8131 L
.73407 .81313 L
.7322 .81382 L
.73027 .8141 L
.72834 .81419 L
.72641 .81414 L
.72449 .81397 L
.72256 .8137 L
.72063 .81331 L
.71983 .81313 L
.71871 .81283 L
.71678 .81222 L
.71485 .8115 L
.71411 .8112 L
.71293 .81067 L
.711 .8097 L
.71021 .80927 L
.70907 .80861 L
.70715 .80738 L
.70709 .80735 L
.70522 .806 L
.70447 .80542 L
.70329 .80445 L
.70221 .80349 L
.70136 .80269 L
.70028 .80156 L
.69944 .80063 L
.69867 .79964 L
.69751 .79791 L
.69742 .79771 L
.69664 .79578 L
.6966 .79386 L
.69751 .79243 L
.69819 .79193 L
F
1 .94 0 r
.69751 .72924 m
.69944 .72865 L
.70136 .72907 L
.70329 .72978 L
.70456 .73027 L
.70522 .73064 L
.70715 .73163 L
.70821 .7322 L
.70907 .7327 L
.711 .73383 L
.71148 .73412 L
.71293 .73503 L
.71453 .73605 L
.71485 .73626 L
.71678 .73754 L
.71743 .73798 L
.71871 .73885 L
.72022 .7399 L
.72063 .74019 L
.72256 .74156 L
.72293 .74183 L
.72449 .74296 L
.72558 .74376 L
.72641 .74437 L
.72817 .74568 L
.72834 .74581 L
.73027 .74727 L
.73072 .74761 L
.7322 .74874 L
.73323 .74954 L
.73412 .75023 L
.7357 .75146 L
.73605 .75174 L
.73798 .75326 L
.73814 .75339 L
.7399 .7548 L
.74055 .75532 L
.74183 .75635 L
.74294 .75725 L
.74376 .75791 L
.74531 .75917 L
.74568 .75948 L
.74761 .76107 L
.74765 .7611 L
.74954 .76266 L
.74997 .76303 L
.75146 .76427 L
.75228 .76495 L
.75339 .76589 L
.75456 .76688 L
.75532 .76752 L
.75684 .76881 L
.75725 .76916 L
.75909 .77073 L
.75917 .7708 L
.7611 .77246 L
.76133 .77266 L
.76303 .77413 L
.76355 .77459 L
.76495 .77581 L
.76577 .77651 L
.76688 .77749 L
.76796 .77844 L
.76881 .77919 L
.77015 .78037 L
.77073 .78089 L
.77232 .7823 L
.77266 .7826 L
.77449 .78422 L
.77459 .78431 L
.77651 .78604 L
.77664 .78615 L
.77844 .78778 L
.77877 .78808 L
.78037 .78952 L
.7809 .79 L
.7823 .79127 L
.78302 .79193 L
.78422 .79303 L
.78513 .79386 L
.78615 .7948 L
.78722 .79578 L
.78808 .79657 L
.78931 .79771 L
.79 .79835 L
.79139 .79964 L
.79193 .80014 L
.79346 .80156 L
.79386 .80194 L
.79552 .80349 L
.79578 .80374 L
.79757 .80542 L
.79771 .80555 L
.79961 .80735 L
.79964 .80737 L
.80156 .8092 L
.80164 .80927 L
.80349 .81104 L
.80366 .8112 L
.80542 .81289 L
.80567 .81313 L
.80735 .81474 L
.80767 .81505 L
.80927 .8166 L
.80967 .81698 L
.8112 .81847 L
.81165 .81891 L
.81313 .82034 L
.81363 .82083 L
.81505 .82223 L
.8156 .82276 L
.81698 .82412 L
.81756 .82469 L
.81891 .82602 L
.81951 .82661 L
.82083 .82793 L
.82145 .82854 L
.82276 .82985 L
.82338 .83047 L
.82469 .83178 L
.8253 .8324 L
.82661 .83371 L
.82722 .83432 L
.82854 .83566 L
.82912 .83625 L
.83047 .83762 L
.83102 .83818 L
.8324 .83958 L
.83291 .8401 L
.83432 .84156 L
.83478 .84203 L
.83625 .84354 L
.83665 .84396 L
.83818 .84554 L
.83851 .84588 L
.8401 .84755 L
.84035 .84781 L
.84203 .84957 L
.84219 .84974 L
.84396 .8516 L
.84402 .85166 L
.84584 .85359 L
.84588 .85364 L
.84764 .85552 L
.84781 .8557 L
.84943 .85745 L
.84974 .85777 L
.85122 .85937 L
.85166 .85986 L
.85299 .8613 L
.85359 .86196 L
.85474 .86323 L
.85552 .86408 L
.85649 .86515 L
.85745 .86622 L
.85822 .86708 L
.85937 .86837 L
.85994 .86901 L
.8613 .87054 L
.86164 .87093 L
.86323 .87274 L
.86333 .87286 L
.865 .87479 L
.86515 .87496 L
.86666 .87671 L
.86708 .87721 L
.8683 .87864 L
.86901 .87949 L
.86991 .88057 L
.87093 .8818 L
.87151 .8825 L
.87286 .88414 L
.87309 .88442 L
.87464 .88635 L
.87479 .88654 L
.87616 .88828 L
.87671 .88898 L
.87766 .8902 L
.87864 .89149 L
.87912 .89213 L
.88055 .89406 L
.88057 .89408 L
.88194 .89598 L
.8825 .89677 L
.88328 .89791 L
.88442 .89963 L
.88456 .89984 L
.88577 .90177 L
.88635 .9027 L
.88689 .90369 L
.8879 .90562 L
.88828 .90646 L
.88873 .90755 L
.8893 .90947 L
.88939 .9114 L
.88828 .91238 L
.88635 .91229 L
.88442 .91177 L
.88342 .9114 L
.8825 .91103 L
.88057 .91013 L
.87926 .90947 L
.87864 .90912 L
.87671 .90803 L
.87588 .90755 L
.87479 .90688 L
.87286 .90567 L
.87277 .90562 L
.87093 .90443 L
.86982 .90369 L
.86901 .90314 L
.86708 .90182 L
.867 .90177 L
.86515 .90047 L
.86426 .89984 L
.86323 .8991 L
.86159 .89791 L
.8613 .8977 L
.85937 .89627 L
.85898 .89598 L
.85745 .89483 L
.85642 .89406 L
.85552 .89337 L
.8539 .89213 L
.85359 .89189 L
.85166 .8904 L
.85142 .8902 L
.84974 .88888 L
.84897 .88828 L
.84781 .88736 L
.84655 .88635 L
.84588 .88581 L
.84416 .88442 L
.84396 .88426 L
.84203 .88269 L
.84179 .8825 L
.8401 .8811 L
.83945 .88057 L
.83818 .87951 L
.83713 .87864 L
.83625 .8779 L
.83483 .87671 L
.83432 .87628 L
.83255 .87479 L
.8324 .87465 L
.83047 .87301 L
.83029 .87286 L
.82854 .87136 L
.82804 .87093 L
.82661 .8697 L
.8258 .86901 L
.82469 .86804 L
.82358 .86708 L
.82276 .86637 L
.82137 .86515 L
.82083 .86469 L
.81916 .86323 L
.81891 .863 L
.81698 .86131 L
.81697 .8613 L
.81505 .85961 L
.81478 .85937 L
.81313 .85791 L
.8126 .85745 L
.8112 .8562 L
.81043 .85552 L
.80927 .85449 L
.80826 .85359 L
.80735 .85278 L
.8061 .85166 L
.80542 .85106 L
.80394 .84974 L
.80349 .84934 L
.80179 .84781 L
.80156 .84761 L
.79965 .84588 L
.79964 .84587 L
.79771 .84413 L
.79753 .84396 L
.79578 .84237 L
.79541 .84203 L
.79386 .8406 L
.79332 .8401 L
.79193 .83883 L
.79123 .83818 L
.79 .83704 L
.78916 .83625 L
.78808 .83523 L
.78712 .83432 L
.78615 .83341 L
.78509 .8324 L
.78422 .83157 L
.78308 .83047 L
.7823 .82971 L
.78108 .82854 L
.78037 .82784 L
.77911 .82661 L
.77844 .82595 L
.77716 .82469 L
.77651 .82405 L
.77521 .82276 L
.77459 .82213 L
.77328 .82083 L
.77266 .82021 L
.77136 .81891 L
.77073 .81827 L
.76945 .81698 L
.76881 .81633 L
.76754 .81505 L
.76688 .81439 L
.76563 .81313 L
.76495 .81244 L
.76373 .8112 L
.76303 .81048 L
.76183 .80927 L
.7611 .80853 L
.75993 .80735 L
.75917 .80658 L
.75803 .80542 L
.75725 .80462 L
.75613 .80349 L
.75532 .80266 L
.75424 .80156 L
.75339 .8007 L
.75235 .79964 L
.75146 .79874 L
.75046 .79771 L
.74954 .79677 L
.74858 .79578 L
.74761 .79479 L
.7467 .79386 L
.74568 .79281 L
.74483 .79193 L
.74376 .79082 L
.74297 .79 L
.74183 .78882 L
.74112 .78808 L
.7399 .78681 L
.73928 .78615 L
.73798 .78478 L
.73745 .78422 L
.73605 .78273 L
.73564 .7823 L
.73412 .78066 L
.73385 .78037 L
.7322 .77858 L
.73207 .77844 L
.73031 .77651 L
.73027 .77647 L
.72857 .77459 L
.72834 .77433 L
.72685 .77266 L
.72641 .77217 L
.72515 .77073 L
.72449 .76999 L
.72346 .76881 L
.72256 .76777 L
.72179 .76688 L
.72063 .76553 L
.72014 .76495 L
.71871 .76327 L
.7185 .76303 L
.71689 .7611 L
.71678 .76097 L
.7153 .75917 L
.71485 .75863 L
.71372 .75725 L
.71293 .75626 L
.71217 .75532 L
.711 .75385 L
.71064 .75339 L
.70914 .75146 L
.70907 .75138 L
.70767 .74954 L
.70715 .74885 L
.70623 .74761 L
.70522 .74623 L
.70483 .74568 L
.70347 .74376 L
.70329 .7435 L
.70217 .74183 L
.70136 .7406 L
.70093 .7399 L
.69978 .73798 L
.69944 .73745 L
.69873 .73605 L
.69783 .73412 L
.69751 .73327 L
.69717 .7322 L
.69697 .73027 L
F
0 .78 1 r
.69944 .79182 m
.70136 .79127 L
.70329 .79107 L
.70522 .79107 L
.70715 .79121 L
.70907 .79148 L
.711 .79186 L
.71129 .79193 L
.71293 .79236 L
.71485 .79297 L
.71678 .79369 L
.71719 .79386 L
.71871 .79453 L
.72063 .79548 L
.72121 .79578 L
.72256 .79655 L
.72443 .79771 L
.72449 .79775 L
.72641 .79909 L
.72715 .79964 L
.72834 .80058 L
.72949 .80156 L
.73027 .80226 L
.73151 .80349 L
.7322 .8042 L
.7332 .80542 L
.73412 .80662 L
.7345 .80735 L
.73529 .80927 L
.73523 .8112 L
.73412 .81256 L
.7331 .81313 L
.7322 .81345 L
.73027 .81382 L
.72834 .81394 L
.72641 .8139 L
.72449 .81374 L
.72256 .81347 L
.72082 .81313 L
.72063 .81308 L
.71871 .81259 L
.71678 .81198 L
.71485 .81125 L
.71473 .8112 L
.71293 .8104 L
.711 .80942 L
.71073 .80927 L
.70907 .80831 L
.70757 .80735 L
.70715 .80706 L
.70522 .80565 L
.70492 .80542 L
.70329 .80406 L
.70266 .80349 L
.70136 .80224 L
.70073 .80156 L
.69944 .80006 L
.69913 .79964 L
.6979 .79771 L
.69751 .79687 L
.69717 .79578 L
.69724 .79386 L
.69751 .79331 L
.6992 .79193 L
F
0 .77 1 r
.70136 .79164 m
.70329 .79138 L
.70522 .79135 L
.70715 .79147 L
.70907 .79173 L
.71018 .79193 L
.711 .79211 L
.71293 .79261 L
.71485 .79323 L
.71654 .79386 L
.71678 .79395 L
.71871 .7948 L
.72063 .79576 L
.72067 .79578 L
.72256 .79685 L
.72395 .79771 L
.72449 .79807 L
.72641 .79943 L
.72669 .79964 L
.72834 .80095 L
.72905 .80156 L
.73027 .80268 L
.73107 .80349 L
.7322 .80471 L
.73275 .80542 L
.73403 .80735 L
.73412 .80753 L
.73477 .80927 L
.7346 .8112 L
.73412 .81189 L
.7322 .81311 L
.73199 .81313 L
.73027 .81351 L
.72834 .81368 L
.72641 .81366 L
.72449 .81351 L
.72256 .81324 L
.72193 .81313 L
.72063 .81285 L
.71871 .81235 L
.71678 .81173 L
.71536 .8112 L
.71485 .81099 L
.71293 .81013 L
.71125 .80927 L
.711 .80914 L
.70907 .80801 L
.70804 .80735 L
.70715 .80674 L
.70537 .80542 L
.70522 .8053 L
.70329 .80367 L
.7031 .80349 L
.70136 .80178 L
.70117 .80156 L
.69958 .79964 L
.69944 .79954 L
.69838 .79771 L
.6977 .79578 L
.69789 .79386 L
.69944 .79232 L
.70031 .79193 L
F
0 .76 1 r
.70329 .7917 m
.70522 .79163 L
.70715 .79174 L
.70895 .79193 L
.70907 .79199 L
.711 .79236 L
.71293 .79286 L
.71485 .79348 L
.71588 .79386 L
.71678 .79422 L
.71871 .79507 L
.72014 .79578 L
.72063 .79604 L
.72256 .79715 L
.72347 .79771 L
.72449 .79838 L
.72625 .79964 L
.72641 .79976 L
.72834 .80132 L
.72862 .80156 L
.73027 .80311 L
.73064 .80349 L
.7322 .80527 L
.7323 .80542 L
.73356 .80735 L
.73412 .80873 L
.73424 .80927 L
.73412 .81083 L
.73395 .8112 L
.7322 .81291 L
.7306 .81313 L
.73027 .81319 L
.72834 .8134 L
.72641 .81341 L
.72449 .81327 L
.72318 .81313 L
.72256 .813 L
.72063 .81262 L
.71871 .81211 L
.71678 .81148 L
.71601 .8112 L
.71485 .81074 L
.71293 .80986 L
.71177 .80927 L
.711 .80885 L
.70907 .80771 L
.70851 .80735 L
.70715 .80641 L
.70582 .80542 L
.70522 .80495 L
.70353 .80349 L
.70329 .80327 L
.7016 .80156 L
.70136 .80132 L
.70003 .79964 L
.69944 .79902 L
.69886 .79771 L
.69824 .79578 L
.69855 .79386 L
.69944 .7929 L
.70136 .792 L
.70153 .79193 L
F
0 .75 1 r
.70522 .79192 m
.70593 .79193 L
.70715 .792 L
.70907 .79224 L
.711 .79261 L
.71293 .79312 L
.71485 .79374 L
.71519 .79386 L
.71678 .79448 L
.71871 .79534 L
.71961 .79578 L
.72063 .79632 L
.72256 .79744 L
.72299 .79771 L
.72449 .79869 L
.7258 .79964 L
.72641 .8001 L
.72819 .80156 L
.72834 .8017 L
.73021 .80349 L
.73027 .80355 L
.73186 .80542 L
.7322 .80561 L
.73309 .80735 L
.73372 .80927 L
.73329 .8112 L
.7322 .8125 L
.73027 .81292 L
.72834 .81312 L
.7282 .81313 L
.72641 .81316 L
.72571 .81313 L
.72449 .81303 L
.72256 .81277 L
.72063 .81238 L
.71871 .81187 L
.71678 .81124 L
.71667 .8112 L
.71485 .81048 L
.71293 .80959 L
.71229 .80927 L
.711 .80857 L
.70907 .80741 L
.70898 .80735 L
.70715 .80609 L
.70625 .80542 L
.70522 .80459 L
.70396 .80349 L
.70329 .80288 L
.70204 .80156 L
.70136 .80085 L
.70047 .79964 L
.69944 .79802 L
.69933 .79771 L
.69877 .79578 L
.69924 .79386 L
.69944 .79362 L
.70136 .79231 L
.70329 .79201 L
.70455 .79193 L
F
1 .97 0 r
.69944 .62068 m
.70053 .62236 L
.70136 .62348 L
.70188 .62429 L
.70136 .62497 L
.70089 .62429 L
.69944 .62259 L
.69928 .62236 L
F
0 .74 1 r
.70136 .79273 m
.70329 .79232 L
.70522 .79219 L
.70715 .79226 L
.70907 .7925 L
.711 .79287 L
.71293 .79337 L
.71447 .79386 L
.71485 .79399 L
.71678 .79474 L
.71871 .79561 L
.71906 .79578 L
.72063 .7966 L
.72252 .79771 L
.72256 .79774 L
.72449 .79901 L
.72536 .79964 L
.72641 .80044 L
.72776 .80156 L
.72834 .80207 L
.72978 .80349 L
.73027 .80397 L
.73143 .80542 L
.7322 .80622 L
.73263 .80735 L
.7332 .80927 L
.7326 .8112 L
.7322 .81178 L
.73027 .81262 L
.72834 .81286 L
.72641 .81291 L
.72449 .8128 L
.72256 .81254 L
.72063 .81215 L
.71871 .81163 L
.71736 .8112 L
.71678 .81099 L
.71485 .81023 L
.71293 .80933 L
.71282 .80927 L
.711 .80829 L
.70944 .80735 L
.70907 .80711 L
.70715 .80576 L
.70669 .80542 L
.70522 .80423 L
.70439 .80349 L
.70329 .80246 L
.70246 .80156 L
.70136 .8003 L
.70091 .79964 L
.69981 .79771 L
.69944 .79662 L
.69932 .79578 L
.69944 .79482 L
.69996 .79386 L
F
0 .73 1 r
.70136 .7933 m
.70329 .79266 L
.70522 .79249 L
.70715 .79254 L
.70907 .79276 L
.711 .79312 L
.71293 .79362 L
.7137 .79386 L
.71485 .79425 L
.71678 .795 L
.71851 .79578 L
.71871 .79588 L
.72063 .79689 L
.72204 .79771 L
.72256 .79803 L
.72449 .79932 L
.72492 .79964 L
.72641 .80078 L
.72733 .80156 L
.72834 .80246 L
.72936 .80349 L
.73027 .80444 L
.73099 .80542 L
.73216 .80735 L
.7322 .80742 L
.73266 .80927 L
.7322 .81082 L
.73188 .8112 L
.73027 .81225 L
.72834 .81258 L
.72641 .81266 L
.72449 .81255 L
.72256 .8123 L
.72063 .81191 L
.71871 .81139 L
.71809 .8112 L
.71678 .81075 L
.71485 .80997 L
.71335 .80927 L
.71293 .80906 L
.711 .80801 L
.70991 .80735 L
.70907 .80681 L
.70715 .80543 L
.70713 .80542 L
.70522 .80386 L
.70481 .80349 L
.70329 .80201 L
.70289 .80156 L
.70136 .79965 L
.70136 .79964 L
.70028 .79771 L
.69987 .79578 L
.70073 .79386 L
F
0 .72 1 r
.70329 .79305 m
.70522 .7928 L
.70715 .79282 L
.70907 .79302 L
.711 .79338 L
.71285 .79386 L
.71293 .79388 L
.71485 .7945 L
.71678 .79526 L
.71795 .79578 L
.71871 .79615 L
.72063 .79717 L
.72157 .79771 L
.72256 .79832 L
.72448 .79964 L
.72449 .79964 L
.72641 .80114 L
.72691 .80156 L
.72834 .80287 L
.72894 .80349 L
.73027 .805 L
.73056 .80542 L
.73169 .80735 L
.73212 .80927 L
.7311 .8112 L
.73027 .81177 L
.72834 .81227 L
.72641 .81239 L
.72449 .8123 L
.72256 .81206 L
.72063 .81167 L
.71887 .8112 L
.71871 .81115 L
.71678 .8105 L
.71485 .80971 L
.71389 .80927 L
.71293 .80879 L
.711 .80773 L
.71037 .80735 L
.70907 .80651 L
.70756 .80542 L
.70715 .80511 L
.70523 .80349 L
.70522 .80348 L
.70331 .80156 L
.70329 .80155 L
.7018 .79964 L
.70136 .79895 L
.70076 .79771 L
.70043 .79578 L
.70136 .79403 L
.70157 .79386 L
F
0 .71 1 r
.70329 .79351 m
.70522 .79313 L
.70715 .79311 L
.70907 .79329 L
.711 .79365 L
.71194 .79386 L
.71293 .79413 L
.71485 .79476 L
.71678 .79553 L
.71737 .79578 L
.71871 .79642 L
.72063 .79745 L
.72108 .79771 L
.72256 .79862 L
.72404 .79964 L
.72449 .79996 L
.72641 .8015 L
.72649 .80156 L
.72834 .8033 L
.72851 .80349 L
.73012 .80542 L
.73027 .80563 L
.73122 .80735 L
.73157 .80927 L
.73027 .81117 L
.73022 .8112 L
.72834 .81192 L
.72641 .8121 L
.72449 .81204 L
.72256 .81181 L
.72063 .81142 L
.71972 .8112 L
.71871 .81091 L
.71678 .81025 L
.71485 .80946 L
.71445 .80927 L
.71293 .80853 L
.711 .80744 L
.71085 .80735 L
.70907 .8062 L
.708 .80542 L
.70715 .80477 L
.70566 .80349 L
.70522 .80311 L
.70374 .80156 L
.70329 .80115 L
.70224 .79964 L
.70136 .79802 L
.70125 .79771 L
.70101 .79578 L
.70136 .79488 L
.7025 .79386 L
F
0 .7 1 r
.70522 .7935 m
.70715 .79342 L
.70907 .79358 L
.71073 .79386 L
.711 .79391 L
.71293 .79439 L
.71485 .79502 L
.71676 .79578 L
.71678 .79579 L
.71871 .79669 L
.72059 .79771 L
.72063 .79774 L
.72256 .79892 L
.72359 .79964 L
.72449 .80028 L
.72606 .80156 L
.72641 .80185 L
.72809 .80349 L
.72834 .80369 L
.72968 .80542 L
.73027 .80635 L
.73074 .80735 L
.73099 .80927 L
.73027 .81054 L
.72927 .8112 L
.72834 .81152 L
.72641 .81179 L
.72449 .81177 L
.72256 .81155 L
.72071 .8112 L
.72063 .81117 L
.71871 .81066 L
.71678 .81 L
.71502 .80927 L
.71485 .8092 L
.71293 .80825 L
.71132 .80735 L
.711 .80715 L
.70907 .80588 L
.70843 .80542 L
.70715 .80443 L
.70608 .80349 L
.70522 .80272 L
.70416 .80156 L
.70329 .80064 L
.70268 .79964 L
.70173 .79771 L
.70161 .79578 L
.70329 .79402 L
.70347 .79386 L
F
0 .69 1 r
.70715 .79374 m
.709 .79386 L
.70907 .79386 L
.711 .79417 L
.71293 .79465 L
.71485 .79529 L
.71614 .79578 L
.71678 .79605 L
.71871 .79696 L
.72009 .79771 L
.72063 .79802 L
.72256 .79923 L
.72315 .79964 L
.72449 .80062 L
.72564 .80156 L
.72641 .80222 L
.72767 .80349 L
.72834 .8041 L
.72924 .80542 L
.73026 .80735 L
.73027 .80737 L
.73039 .80927 L
.73027 .80959 L
.72834 .81108 L
.72793 .8112 L
.72641 .81146 L
.72449 .81148 L
.72256 .81128 L
.7219 .8112 L
.72063 .81093 L
.71871 .81041 L
.71678 .80974 L
.71561 .80927 L
.71485 .80894 L
.71293 .80798 L
.7118 .80735 L
.711 .80687 L
.70907 .80556 L
.70888 .80542 L
.70715 .80406 L
.7065 .80349 L
.70522 .80228 L
.70459 .80156 L
.70329 .79994 L
.70313 .79964 L
.70223 .79771 L
.70224 .79578 L
.70329 .79458 L
.70522 .79387 L
.70543 .79386 L
F
1 .93 0 r
.70522 .73406 m
.7056 .73412 L
.70715 .73451 L
.70907 .73527 L
.71081 .73605 L
.711 .73618 L
.71293 .7372 L
.71431 .73798 L
.71485 .73831 L
.71678 .73948 L
.71747 .7399 L
.71871 .7407 L
.72044 .74183 L
.72063 .74196 L
.72256 .74326 L
.72328 .74376 L
.72449 .7446 L
.72602 .74568 L
.72641 .74596 L
.72834 .74736 L
.72869 .74761 L
.73027 .74877 L
.7313 .74954 L
.7322 .75021 L
.73386 .75146 L
.73412 .75167 L
.73605 .75314 L
.73637 .75339 L
.73798 .75464 L
.73885 .75532 L
.7399 .75615 L
.74129 .75725 L
.74183 .75768 L
.7437 .75917 L
.74376 .75922 L
.74568 .76077 L
.74609 .7611 L
.74761 .76234 L
.74845 .76303 L
.74954 .76392 L
.75079 .76495 L
.75146 .76551 L
.75311 .76688 L
.75339 .76712 L
.75532 .76873 L
.75541 .76881 L
.75725 .77036 L
.75769 .77073 L
.75917 .772 L
.75995 .77266 L
.7611 .77365 L
.7622 .77459 L
.76303 .7753 L
.76443 .77651 L
.76495 .77697 L
.76664 .77844 L
.76688 .77865 L
.76881 .78033 L
.76885 .78037 L
.77073 .78203 L
.77103 .7823 L
.77266 .78374 L
.77321 .78422 L
.77459 .78545 L
.77537 .78615 L
.77651 .78717 L
.77752 .78808 L
.77844 .7889 L
.77966 .79 L
.78037 .79064 L
.78179 .79193 L
.7823 .79239 L
.78391 .79386 L
.78422 .79414 L
.78601 .79578 L
.78615 .79591 L
.78808 .79768 L
.78811 .79771 L
.79 .79946 L
.79019 .79964 L
.79193 .80125 L
.79227 .80156 L
.79386 .80305 L
.79433 .80349 L
.79578 .80486 L
.79638 .80542 L
.79771 .80667 L
.79843 .80735 L
.79964 .80849 L
.80046 .80927 L
.80156 .81032 L
.80249 .8112 L
.80349 .81216 L
.8045 .81313 L
.80542 .81401 L
.80651 .81505 L
.80735 .81586 L
.8085 .81698 L
.80927 .81773 L
.81049 .81891 L
.8112 .8196 L
.81247 .82083 L
.81313 .82148 L
.81443 .82276 L
.81505 .82337 L
.81639 .82469 L
.81698 .82527 L
.81834 .82661 L
.81891 .82718 L
.82028 .82854 L
.82083 .82909 L
.82221 .83047 L
.82276 .83102 L
.82413 .8324 L
.82469 .83296 L
.82604 .83432 L
.82661 .8349 L
.82794 .83625 L
.82854 .83686 L
.82983 .83818 L
.83047 .83883 L
.83171 .8401 L
.8324 .84081 L
.83358 .84203 L
.83432 .8428 L
.83544 .84396 L
.83625 .8448 L
.83729 .84588 L
.83818 .84681 L
.83913 .84781 L
.8401 .84883 L
.84096 .84974 L
.84203 .85087 L
.84277 .85166 L
.84396 .85293 L
.84458 .85359 L
.84588 .85499 L
.84637 .85552 L
.84781 .85707 L
.84815 .85745 L
.84974 .85917 L
.84992 .85937 L
.85166 .86129 L
.85168 .8613 L
.85342 .86323 L
.85359 .86342 L
.85514 .86515 L
.85552 .86557 L
.85685 .86708 L
.85745 .86775 L
.85855 .86901 L
.85937 .86995 L
.86023 .87093 L
.8613 .87217 L
.86189 .87286 L
.86323 .87442 L
.86353 .87479 L
.86515 .87671 L
.86516 .87671 L
.86676 .87864 L
.86708 .87903 L
.86834 .88057 L
.86901 .88139 L
.86989 .8825 L
.87093 .88381 L
.87142 .88442 L
.87286 .88629 L
.87291 .88635 L
.87437 .88828 L
.87479 .88883 L
.87579 .8902 L
.87671 .89149 L
.87716 .89213 L
.87849 .89406 L
.87864 .89428 L
.87974 .89598 L
.88057 .8973 L
.88092 .89791 L
.88199 .89984 L
.8825 .90062 L
.8829 .90177 L
.8836 .90369 L
.88397 .90562 L
.8825 .90693 L
.88057 .90693 L
.87864 .90633 L
.87694 .90562 L
.87671 .90552 L
.87479 .90458 L
.87312 .90369 L
.87286 .90353 L
.87093 .90241 L
.86986 .90177 L
.86901 .90123 L
.86708 .9 L
.86684 .89984 L
.86515 .89872 L
.86395 .89791 L
.86323 .89741 L
.8613 .89607 L
.86118 .89598 L
.85937 .89469 L
.85849 .89406 L
.85745 .8933 L
.85586 .89213 L
.85552 .89187 L
.85359 .89043 L
.85329 .8902 L
.85166 .88897 L
.85076 .88828 L
.84974 .88748 L
.84828 .88635 L
.84781 .88598 L
.84588 .88447 L
.84583 .88442 L
.84396 .88293 L
.84341 .8825 L
.84203 .88138 L
.84102 .88057 L
.8401 .87982 L
.83866 .87864 L
.83818 .87825 L
.83632 .87671 L
.83625 .87666 L
.83432 .87506 L
.834 .87479 L
.8324 .87344 L
.8317 .87286 L
.83047 .87182 L
.82942 .87093 L
.82854 .87018 L
.82716 .86901 L
.82661 .86854 L
.82491 .86708 L
.82469 .86689 L
.82276 .86523 L
.82268 .86515 L
.82083 .86355 L
.82046 .86323 L
.81891 .86188 L
.81825 .8613 L
.81698 .86019 L
.81605 .85937 L
.81505 .8585 L
.81386 .85745 L
.81313 .8568 L
.81168 .85552 L
.8112 .8551 L
.80951 .85359 L
.80927 .85338 L
.80735 .85167 L
.80734 .85166 L
.80542 .84994 L
.80519 .84974 L
.80349 .84821 L
.80305 .84781 L
.80156 .84647 L
.80092 .84588 L
.79964 .84472 L
.7988 .84396 L
.79771 .84297 L
.79669 .84203 L
.79578 .8412 L
.79459 .8401 L
.79386 .83943 L
.79251 .83818 L
.79193 .83764 L
.79044 .83625 L
.79 .83584 L
.78839 .83432 L
.78808 .83403 L
.78635 .8324 L
.78615 .8322 L
.78433 .83047 L
.78422 .83036 L
.78233 .82854 L
.7823 .82851 L
.78037 .82664 L
.78034 .82661 L
.77844 .82476 L
.77837 .82469 L
.77651 .82286 L
.77641 .82276 L
.77459 .82096 L
.77446 .82083 L
.77266 .81904 L
.77252 .81891 L
.77073 .81712 L
.77059 .81698 L
.76881 .81519 L
.76867 .81505 L
.76688 .81325 L
.76675 .81313 L
.76495 .81131 L
.76484 .8112 L
.76303 .80936 L
.76294 .80927 L
.7611 .80741 L
.76103 .80735 L
.75917 .80545 L
.75914 .80542 L
.75725 .80349 L
.75725 .80349 L
.75536 .80156 L
.75532 .80152 L
.75348 .79964 L
.75339 .79955 L
.7516 .79771 L
.75146 .79757 L
.74973 .79578 L
.74954 .79558 L
.74787 .79386 L
.74761 .79359 L
.74602 .79193 L
.74568 .79158 L
.74418 .79 L
.74376 .78956 L
.74235 .78808 L
.74183 .78753 L
.74054 .78615 L
.7399 .78548 L
.73873 .78422 L
.73798 .78341 L
.73695 .7823 L
.73605 .78132 L
.73518 .78037 L
.73412 .77921 L
.73342 .77844 L
.7322 .77708 L
.73169 .77651 L
.73027 .77493 L
.72997 .77459 L
.72834 .77275 L
.72826 .77266 L
.72658 .77073 L
.72641 .77054 L
.72492 .76881 L
.72449 .7683 L
.72328 .76688 L
.72256 .76604 L
.72165 .76495 L
.72063 .76373 L
.72005 .76303 L
.71871 .76139 L
.71847 .7611 L
.71691 .75917 L
.71678 .75901 L
.71538 .75725 L
.71485 .75657 L
.71388 .75532 L
.71293 .75407 L
.71241 .75339 L
.711 .75149 L
.71098 .75146 L
.70959 .74954 L
.70907 .74881 L
.70825 .74761 L
.70715 .74595 L
.70698 .74568 L
.70577 .74376 L
.70522 .74288 L
.70466 .74183 L
.70369 .7399 L
.70329 .73897 L
.70292 .73798 L
.70248 .73605 L
.70329 .73431 L
.70373 .73412 L
F
0 .68 1 r
.70329 .79529 m
.70522 .79411 L
.70715 .79403 L
.70907 .79414 L
.711 .79444 L
.71293 .79492 L
.71485 .79555 L
.71547 .79578 L
.71678 .79632 L
.71871 .79724 L
.71958 .79771 L
.72063 .79831 L
.72256 .79955 L
.72269 .79964 L
.72449 .80096 L
.72521 .80156 L
.72641 .80262 L
.72724 .80349 L
.72834 .80466 L
.7288 .80542 L
.72977 .80735 L
.72978 .80927 L
.72834 .81061 L
.72641 .81116 L
.72449 .81119 L
.72256 .81103 L
.72063 .81068 L
.71871 .81016 L
.71678 .80948 L
.71624 .80927 L
.71485 .80868 L
.71293 .8077 L
.7123 .80735 L
.711 .80657 L
.70932 .80542 L
.70907 .80525 L
.70715 .80369 L
.70693 .80349 L
.70522 .8018 L
.70502 .80156 L
.70358 .79964 L
.70329 .79911 L
.70275 .79771 L
.70291 .79578 L
F
0 .67 1 r
.70522 .79449 m
.70715 .79434 L
.70907 .79443 L
.711 .79472 L
.71293 .7952 L
.71474 .79578 L
.71485 .79583 L
.71678 .79659 L
.71871 .79753 L
.71905 .79771 L
.72063 .7986 L
.72223 .79964 L
.72256 .79986 L
.72449 .80132 L
.72477 .80156 L
.72641 .80306 L
.72681 .80349 L
.72834 .80541 L
.72834 .80542 L
.72926 .80735 L
.72911 .80927 L
.72834 .81005 L
.72641 .81093 L
.72449 .81093 L
.72256 .81077 L
.72063 .81042 L
.71871 .8099 L
.71691 .80927 L
.71678 .80922 L
.71485 .80841 L
.71293 .80741 L
.71281 .80735 L
.711 .80627 L
.70977 .80542 L
.70907 .80492 L
.70736 .80349 L
.70715 .80333 L
.70545 .80156 L
.70522 .80128 L
.70404 .79964 L
.70329 .79779 L
.70328 .79771 L
.70329 .79657 L
.70363 .79578 L
F
0 .66 1 r
.70522 .79509 m
.70715 .79469 L
.70907 .79474 L
.711 .79502 L
.71293 .79548 L
.71396 .79578 L
.71485 .79609 L
.71678 .79687 L
.71851 .79771 L
.71871 .79781 L
.72063 .7989 L
.72176 .79964 L
.72256 .80017 L
.72433 .80156 L
.72449 .80168 L
.72637 .80349 L
.72641 .80354 L
.72789 .80542 L
.72834 .80624 L
.72874 .80735 L
.72836 .80927 L
.72834 .8093 L
.72641 .81059 L
.72449 .81065 L
.72256 .81049 L
.72063 .81015 L
.71871 .80963 L
.71762 .80927 L
.71678 .80896 L
.71485 .80813 L
.71333 .80735 L
.71293 .80713 L
.711 .80595 L
.71023 .80542 L
.70907 .80458 L
.7078 .80349 L
.70715 .80296 L
.70589 .80156 L
.70522 .80071 L
.70451 .79964 L
.70382 .79771 L
.70443 .79578 L
F
0 .65 1 r
.70715 .79512 m
.70907 .79508 L
.711 .79532 L
.71293 .79577 L
.71297 .79578 L
.71485 .79637 L
.71678 .79716 L
.71794 .79771 L
.71871 .7981 L
.72063 .79922 L
.72128 .79964 L
.72256 .8005 L
.72388 .80156 L
.72449 .80202 L
.72592 .80349 L
.72641 .80405 L
.72742 .80542 L
.72819 .80735 L
.72761 .80927 L
.72641 .81009 L
.72449 .81031 L
.72256 .8102 L
.72063 .80986 L
.71871 .80935 L
.71846 .80927 L
.71678 .8087 L
.71485 .80784 L
.71387 .80735 L
.71293 .80684 L
.711 .80562 L
.7107 .80542 L
.70907 .80422 L
.70825 .80349 L
.70715 .80253 L
.70634 .80156 L
.70522 .80002 L
.705 .79964 L
.70439 .79771 L
.70522 .79592 L
.7053 .79578 L
F
0 .64 1 r
.70715 .79562 m
.70907 .79545 L
.711 .79565 L
.71171 .79578 L
.71293 .79605 L
.71485 .79666 L
.71678 .79746 L
.71733 .79771 L
.71871 .79839 L
.72063 .79954 L
.72078 .79964 L
.72256 .80086 L
.72342 .80156 L
.72449 .80241 L
.72547 .80349 L
.72641 .80465 L
.72693 .80542 L
.72763 .80735 L
.72659 .80927 L
.72641 .80939 L
.72449 .80993 L
.72256 .80987 L
.72063 .80956 L
.71926 .80927 L
.71871 .80908 L
.71678 .80842 L
.71485 .80755 L
.71444 .80735 L
.71293 .80654 L
.71119 .80542 L
.711 .8053 L
.70907 .80382 L
.70871 .80349 L
.70715 .80201 L
.70681 .80156 L
.70549 .79964 L
.70522 .79897 L
.705 .79771 L
.70522 .79693 L
.70646 .79578 L
F
0 .63 1 r
.70715 .79617 m
.70907 .79585 L
.711 .79594 L
.71293 .79634 L
.71485 .79696 L
.71667 .79771 L
.71678 .79776 L
.71871 .7987 L
.72027 .79964 L
.72063 .79985 L
.72256 .80124 L
.72294 .80156 L
.72449 .80289 L
.725 .80349 L
.72641 .8054 L
.72643 .80542 L
.72702 .80735 L
.72641 .80865 L
.72526 .80927 L
.72449 .80947 L
.72256 .80952 L
.72075 .80927 L
.72063 .80926 L
.71871 .80881 L
.71678 .80812 L
.71505 .80735 L
.71485 .80726 L
.71293 .80622 L
.71168 .80542 L
.711 .80499 L
.70917 .80349 L
.70907 .80345 L
.70728 .80156 L
.70715 .8014 L
.70601 .79964 L
.70564 .79771 L
F
0 .62 1 r
.70715 .79682 m
.70907 .79627 L
.711 .79623 L
.71293 .79665 L
.71485 .79728 L
.71599 .79771 L
.71678 .79804 L
.71871 .79903 L
.71973 .79964 L
.72063 .80017 L
.72245 .80156 L
.72256 .8016 L
.72449 .80346 L
.72451 .80349 L
.72591 .80542 L
.72635 .80735 L
.72449 .80898 L
.72256 .80914 L
.72063 .809 L
.71871 .80852 L
.71678 .80781 L
.71569 .80735 L
.71485 .80697 L
.71293 .80589 L
.71221 .80542 L
.711 .80464 L
.70965 .80349 L
.70907 .8032 L
.70776 .80156 L
.70715 .80071 L
.70655 .79964 L
.70635 .79771 L
F
0 .61 1 r
.70907 .79675 m
.711 .79659 L
.71293 .797 L
.71485 .79761 L
.71513 .79771 L
.71678 .79835 L
.71871 .79938 L
.71915 .79964 L
.72063 .80052 L
.72195 .80156 L
.72256 .80185 L
.72401 .80349 L
.72449 .80407 L
.72536 .80542 L
.72567 .80735 L
.72449 .80842 L
.72256 .80875 L
.72063 .80871 L
.71871 .8082 L
.71678 .80749 L
.71643 .80735 L
.71485 .80667 L
.71293 .80552 L
.71277 .80542 L
.711 .80424 L
.71016 .80349 L
.70907 .80274 L
.70827 .80156 L
.70715 .79966 L
.70714 .79964 L
.70715 .79783 L
.70718 .79771 L
F
1 .92 0 r
.70907 .7386 m
.711 .73901 L
.71293 .73968 L
.7136 .7399 L
.71485 .74052 L
.71678 .74151 L
.71738 .74183 L
.71871 .74259 L
.72063 .74375 L
.72065 .74376 L
.72256 .74495 L
.72369 .74568 L
.72449 .74621 L
.72641 .74751 L
.72656 .74761 L
.72834 .74885 L
.72932 .74954 L
.73027 .75022 L
.732 .75146 L
.7322 .75161 L
.73412 .75303 L
.73461 .75339 L
.73605 .75447 L
.73717 .75532 L
.73798 .75594 L
.73968 .75725 L
.7399 .75742 L
.74183 .75892 L
.74215 .75917 L
.74376 .76044 L
.74459 .7611 L
.74568 .76197 L
.747 .76303 L
.74761 .76352 L
.74938 .76495 L
.74954 .76508 L
.75146 .76666 L
.75173 .76688 L
.75339 .76825 L
.75406 .76881 L
.75532 .76985 L
.75637 .77073 L
.75725 .77147 L
.75866 .77266 L
.75917 .77309 L
.76093 .77459 L
.7611 .77473 L
.76303 .77638 L
.76318 .77651 L
.76495 .77804 L
.76542 .77844 L
.76688 .77971 L
.76764 .78037 L
.76881 .78139 L
.76985 .7823 L
.77073 .78308 L
.77204 .78422 L
.77266 .78477 L
.77421 .78615 L
.77459 .78648 L
.77638 .78808 L
.77651 .7882 L
.77844 .78993 L
.77853 .79 L
.78037 .79166 L
.78067 .79193 L
.7823 .79341 L
.78279 .79386 L
.78422 .79516 L
.7849 .79578 L
.78615 .79692 L
.78701 .79771 L
.78808 .7987 L
.7891 .79964 L
.79 .80048 L
.79118 .80156 L
.79193 .80226 L
.79325 .80349 L
.79386 .80406 L
.79531 .80542 L
.79578 .80587 L
.79736 .80735 L
.79771 .80768 L
.79939 .80927 L
.79964 .8095 L
.80142 .8112 L
.80156 .81134 L
.80344 .81313 L
.80349 .81318 L
.80542 .81503 L
.80545 .81505 L
.80735 .81688 L
.80744 .81698 L
.80927 .81875 L
.80943 .81891 L
.8112 .82063 L
.81141 .82083 L
.81313 .82252 L
.81338 .82276 L
.81505 .82441 L
.81533 .82469 L
.81698 .82632 L
.81728 .82661 L
.81891 .82823 L
.81922 .82854 L
.82083 .83016 L
.82114 .83047 L
.82276 .83209 L
.82306 .8324 L
.82469 .83404 L
.82497 .83432 L
.82661 .836 L
.82686 .83625 L
.82854 .83796 L
.82875 .83818 L
.83047 .83994 L
.83062 .8401 L
.8324 .84193 L
.83249 .84203 L
.83432 .84394 L
.83434 .84396 L
.83618 .84588 L
.83625 .84595 L
.83801 .84781 L
.83818 .84798 L
.83983 .84974 L
.8401 .85003 L
.84164 .85166 L
.84203 .85209 L
.84343 .85359 L
.84396 .85416 L
.84521 .85552 L
.84588 .85625 L
.84697 .85745 L
.84781 .85836 L
.84873 .85937 L
.84974 .86049 L
.85046 .8613 L
.85166 .86264 L
.85219 .86323 L
.85359 .86481 L
.85389 .86515 L
.85552 .86701 L
.85558 .86708 L
.85725 .86901 L
.85745 .86923 L
.85891 .87093 L
.85937 .87148 L
.86054 .87286 L
.8613 .87377 L
.86215 .87479 L
.86323 .87609 L
.86373 .87671 L
.86515 .87847 L
.86529 .87864 L
.86682 .88057 L
.86708 .88089 L
.86832 .8825 L
.86901 .88339 L
.86978 .88442 L
.87093 .88597 L
.8712 .88635 L
.87258 .88828 L
.87286 .88867 L
.87389 .8902 L
.87479 .89156 L
.87514 .89213 L
.87629 .89406 L
.87671 .89467 L
.87732 .89598 L
.87819 .89791 L
.87864 .89959 L
.87868 .89984 L
.87864 .90101 L
.8782 .90177 L
.87671 .90223 L
.87479 .90184 L
.87457 .90177 L
.87286 .90115 L
.87093 .90025 L
.87009 .89984 L
.86901 .89924 L
.86708 .89813 L
.8667 .89791 L
.86515 .89696 L
.8636 .89598 L
.86323 .89574 L
.8613 .89447 L
.86069 .89406 L
.85937 .89316 L
.85789 .89213 L
.85745 .89181 L
.85552 .89044 L
.85519 .8902 L
.85359 .88904 L
.85256 .88828 L
.85166 .88761 L
.84998 .88635 L
.84974 .88616 L
.84781 .88469 L
.84746 .88442 L
.84588 .8832 L
.84498 .8825 L
.84396 .8817 L
.84253 .88057 L
.84203 .88017 L
.84012 .87864 L
.8401 .87863 L
.83818 .87708 L
.83773 .87671 L
.83625 .8755 L
.83537 .87479 L
.83432 .87392 L
.83304 .87286 L
.8324 .87232 L
.83073 .87093 L
.83047 .87072 L
.82854 .8691 L
.82844 .86901 L
.82661 .86746 L
.82616 .86708 L
.82469 .86582 L
.82391 .86515 L
.82276 .86417 L
.82166 .86323 L
.82083 .86251 L
.81944 .8613 L
.81891 .86084 L
.81722 .85937 L
.81698 .85916 L
.81505 .85747 L
.81502 .85745 L
.81313 .85578 L
.81283 .85552 L
.8112 .85407 L
.81065 .85359 L
.80927 .85236 L
.80849 .85166 L
.80735 .85065 L
.80633 .84974 L
.80542 .84892 L
.80419 .84781 L
.80349 .84719 L
.80205 .84588 L
.80156 .84544 L
.79993 .84396 L
.79964 .84369 L
.79782 .84203 L
.79771 .84193 L
.79578 .84016 L
.79572 .8401 L
.79386 .83838 L
.79364 .83818 L
.79193 .83658 L
.79157 .83625 L
.79 .83478 L
.78952 .83432 L
.78808 .83296 L
.78748 .8324 L
.78615 .83113 L
.78546 .83047 L
.78422 .82929 L
.78345 .82854 L
.7823 .82743 L
.78145 .82661 L
.78037 .82557 L
.77946 .82469 L
.77844 .82369 L
.77749 .82276 L
.77651 .8218 L
.77553 .82083 L
.77459 .8199 L
.77358 .81891 L
.77266 .81799 L
.77164 .81698 L
.77073 .81607 L
.76971 .81505 L
.76881 .81414 L
.76779 .81313 L
.76688 .81221 L
.76587 .8112 L
.76495 .81027 L
.76397 .80927 L
.76303 .80832 L
.76206 .80735 L
.7611 .80636 L
.76017 .80542 L
.75917 .8044 L
.75828 .80349 L
.75725 .80243 L
.7564 .80156 L
.75532 .80045 L
.75453 .79964 L
.75339 .79847 L
.75266 .79771 L
.75146 .79647 L
.75081 .79578 L
.74954 .79446 L
.74896 .79386 L
.74761 .79244 L
.74712 .79193 L
.74568 .79041 L
.7453 .79 L
.74376 .78836 L
.74349 .78808 L
.74183 .7863 L
.74169 .78615 L
.73991 .78422 L
.7399 .78422 L
.73814 .7823 L
.73798 .78211 L
.73639 .78037 L
.73605 .77999 L
.73466 .77844 L
.73412 .77784 L
.73295 .77651 L
.7322 .77567 L
.73125 .77459 L
.73027 .77346 L
.72957 .77266 L
.72834 .77123 L
.72792 .77073 L
.72641 .76897 L
.72628 .76881 L
.72467 .76688 L
.72449 .76667 L
.72308 .76495 L
.72256 .76432 L
.72151 .76303 L
.72063 .76193 L
.71998 .7611 L
.71871 .75948 L
.71847 .75917 L
.717 .75725 L
.71678 .75696 L
.71556 .75532 L
.71485 .75435 L
.71418 .75339 L
.71293 .75159 L
.71284 .75146 L
.71157 .74954 L
.711 .74866 L
.71039 .74761 L
.70931 .74568 L
.70907 .7452 L
.70839 .74376 L
.7077 .74183 L
.7077 .7399 L
F
0 .6 1 r
.70907 .7973 m
.711 .79703 L
.71293 .79738 L
.71408 .79771 L
.71485 .79789 L
.71678 .79869 L
.71854 .79964 L
.71871 .7997 L
.72063 .80093 L
.72141 .80156 L
.72256 .80227 L
.72349 .80349 L
.72449 .80488 L
.72477 .80542 L
.72479 .80735 L
.72449 .80766 L
.72256 .8083 L
.72063 .80834 L
.71871 .80784 L
.71714 .80735 L
.71678 .80721 L
.71485 .80632 L
.71333 .80542 L
.71293 .80525 L
.711 .80377 L
.71069 .80349 L
.70907 .80201 L
.70882 .80156 L
.70772 .79964 L
.70798 .79771 L
F
0 .59 1 r
.711 .79757 m
.71243 .79771 L
.71293 .7978 L
.71485 .79819 L
.71678 .79907 L
.71789 .79964 L
.71871 .79997 L
.72063 .8014 L
.72083 .80156 L
.72256 .80295 L
.72292 .80349 L
.72416 .80542 L
.72369 .80735 L
.72256 .80779 L
.72063 .8079 L
.71871 .80745 L
.71828 .80735 L
.71678 .80692 L
.71485 .80594 L
.71396 .80542 L
.71293 .80494 L
.71125 .80349 L
.711 .80326 L
.70937 .80156 L
.70907 .8011 L
.70841 .79964 L
.70907 .79805 L
.70989 .79771 L
F
0 .58 1 r
.711 .79814 m
.71293 .79824 L
.71485 .79858 L
.71678 .79949 L
.71708 .79964 L
.71871 .80034 L
.72024 .80156 L
.72063 .8019 L
.72233 .80349 L
.72256 .80381 L
.72347 .80542 L
.72256 .80712 L
.7216 .80735 L
.72063 .80736 L
.72046 .80735 L
.71871 .80704 L
.71678 .80656 L
.71485 .80551 L
.7147 .80542 L
.71293 .8045 L
.71183 .80349 L
.711 .8027 L
.70998 .80156 L
.70914 .79964 L
F
0 .57 1 r
.711 .79887 m
.71293 .79874 L
.71485 .79907 L
.7161 .79964 L
.71678 .79994 L
.71871 .80086 L
.71957 .80156 L
.72063 .80247 L
.72169 .80349 L
.72256 .80527 L
.72258 .80542 L
.72256 .80568 L
.72063 .80681 L
.71871 .80658 L
.71678 .8061 L
.71534 .80542 L
.71485 .80505 L
.71293 .80389 L
.71252 .80349 L
.711 .80196 L
.71069 .80156 L
.70992 .79964 L
F
0 .56 1 r
.71293 .79935 m
.71469 .79964 L
.71485 .79969 L
.71678 .80044 L
.71871 .80155 L
.71872 .80156 L
.72063 .80322 L
.72088 .80349 L
.7215 .80542 L
.72063 .80607 L
.71871 .80605 L
.71678 .8055 L
.71656 .80542 L
.71485 .80454 L
.71316 .80349 L
.71293 .80317 L
.71131 .80156 L
.71159 .79964 L
F
1 .91 0 r
.71293 .74358 m
.71485 .74335 L
.71635 .74376 L
.71678 .74389 L
.71871 .74469 L
.72063 .74567 L
.72067 .74568 L
.72256 .74673 L
.72407 .74761 L
.72449 .74787 L
.72641 .74908 L
.72712 .74954 L
.72834 .75034 L
.73001 .75146 L
.73027 .75165 L
.7322 .75299 L
.73277 .75339 L
.73412 .75436 L
.73545 .75532 L
.73605 .75576 L
.73798 .75719 L
.73805 .75725 L
.7399 .75864 L
.74061 .75917 L
.74183 .76011 L
.74311 .7611 L
.74376 .7616 L
.74558 .76303 L
.74568 .76311 L
.74761 .76464 L
.748 .76495 L
.74954 .76618 L
.7504 .76688 L
.75146 .76774 L
.75277 .76881 L
.75339 .76932 L
.75511 .77073 L
.75532 .7709 L
.75725 .77251 L
.75743 .77266 L
.75917 .77412 L
.75973 .77459 L
.7611 .77575 L
.76201 .77651 L
.76303 .77738 L
.76426 .77844 L
.76495 .77903 L
.7665 .78037 L
.76688 .78069 L
.76873 .7823 L
.76881 .78236 L
.77073 .78405 L
.77093 .78422 L
.77266 .78574 L
.77313 .78615 L
.77459 .78744 L
.7753 .78808 L
.77651 .78916 L
.77746 .79 L
.77844 .79088 L
.77961 .79193 L
.78037 .79261 L
.78175 .79386 L
.7823 .79435 L
.78387 .79578 L
.78422 .7961 L
.78598 .79771 L
.78615 .79786 L
.78808 .79963 L
.78808 .79964 L
.79 .80141 L
.79017 .80156 L
.79193 .8032 L
.79224 .80349 L
.79386 .805 L
.79431 .80542 L
.79578 .8068 L
.79636 .80735 L
.79771 .80862 L
.7984 .80927 L
.79964 .81044 L
.80043 .8112 L
.80156 .81228 L
.80245 .81313 L
.80349 .81412 L
.80446 .81505 L
.80542 .81597 L
.80646 .81698 L
.80735 .81784 L
.80845 .81891 L
.80927 .81971 L
.81043 .82083 L
.8112 .82159 L
.81239 .82276 L
.81313 .82348 L
.81435 .82469 L
.81505 .82538 L
.8163 .82661 L
.81698 .8273 L
.81823 .82854 L
.81891 .82922 L
.82015 .83047 L
.82083 .83115 L
.82207 .8324 L
.82276 .8331 L
.82397 .83432 L
.82469 .83505 L
.82586 .83625 L
.82661 .83702 L
.82774 .83818 L
.82854 .839 L
.82961 .8401 L
.83047 .84099 L
.83147 .84203 L
.8324 .843 L
.83331 .84396 L
.83432 .84502 L
.83515 .84588 L
.83625 .84705 L
.83697 .84781 L
.83818 .8491 L
.83877 .84974 L
.8401 .85116 L
.84057 .85166 L
.84203 .85324 L
.84235 .85359 L
.84396 .85534 L
.84412 .85552 L
.84587 .85745 L
.84588 .85746 L
.8476 .85937 L
.84781 .8596 L
.84932 .8613 L
.84974 .86177 L
.85102 .86323 L
.85166 .86396 L
.85271 .86515 L
.85359 .86617 L
.85437 .86708 L
.85552 .86842 L
.85602 .86901 L
.85745 .8707 L
.85764 .87093 L
.85923 .87286 L
.85937 .87303 L
.8608 .87479 L
.8613 .8754 L
.86234 .87671 L
.86323 .87783 L
.86385 .87864 L
.86515 .88034 L
.86532 .88057 L
.86675 .8825 L
.86708 .88294 L
.86813 .88442 L
.86901 .88568 L
.86945 .88635 L
.87069 .88828 L
.87093 .88861 L
.87184 .8902 L
.87285 .89213 L
.87286 .89216 L
.87367 .89406 L
.87421 .89598 L
.87286 .89765 L
.87093 .89761 L
.86901 .89695 L
.86708 .89608 L
.86687 .89598 L
.86515 .89509 L
.86332 .89406 L
.86323 .894 L
.8613 .89283 L
.86017 .89213 L
.85937 .89161 L
.85745 .89034 L
.85725 .8902 L
.85552 .88902 L
.85444 .88828 L
.85359 .88767 L
.85174 .88635 L
.85166 .88629 L
.84974 .88488 L
.84911 .88442 L
.84781 .88345 L
.84654 .8825 L
.84588 .88199 L
.84403 .88057 L
.84396 .88051 L
.84203 .87902 L
.84155 .87864 L
.8401 .8775 L
.83911 .87671 L
.83818 .87596 L
.83671 .87479 L
.83625 .87441 L
.83434 .87286 L
.83432 .87285 L
.8324 .87127 L
.83199 .87093 L
.83047 .86968 L
.82966 .86901 L
.82854 .86807 L
.82736 .86708 L
.82661 .86645 L
.82508 .86515 L
.82469 .86482 L
.82282 .86323 L
.82276 .86318 L
.82083 .86153 L
.82057 .8613 L
.81891 .85986 L
.81834 .85937 L
.81698 .85819 L
.81612 .85745 L
.81505 .85651 L
.81392 .85552 L
.81313 .85482 L
.81173 .85359 L
.8112 .85312 L
.80955 .85166 L
.80927 .85141 L
.80739 .84974 L
.80735 .8497 L
.80542 .84797 L
.80524 .84781 L
.80349 .84623 L
.8031 .84588 L
.80156 .84449 L
.80098 .84396 L
.79964 .84274 L
.79887 .84203 L
.79771 .84097 L
.79677 .8401 L
.79578 .8392 L
.79468 .83818 L
.79386 .83741 L
.79261 .83625 L
.79193 .83562 L
.79055 .83432 L
.79 .83381 L
.78851 .8324 L
.78808 .83199 L
.78647 .83047 L
.78615 .83016 L
.78446 .82854 L
.78422 .82832 L
.78245 .82661 L
.7823 .82646 L
.78046 .82469 L
.78037 .8246 L
.77849 .82276 L
.77844 .82272 L
.77652 .82083 L
.77651 .82083 L
.77459 .81893 L
.77456 .81891 L
.77266 .81702 L
.77262 .81698 L
.77073 .8151 L
.77068 .81505 L
.76881 .81318 L
.76876 .81313 L
.76688 .81124 L
.76684 .8112 L
.76495 .8093 L
.76493 .80927 L
.76303 .80735 L
.76303 .80734 L
.76114 .80542 L
.7611 .80538 L
.75925 .80349 L
.75917 .80341 L
.75738 .80156 L
.75725 .80143 L
.75551 .79964 L
.75532 .79943 L
.75366 .79771 L
.75339 .79743 L
.75182 .79578 L
.75146 .79542 L
.74998 .79386 L
.74954 .79339 L
.74816 .79193 L
.74761 .79135 L
.74635 .79 L
.74568 .78929 L
.74456 .78808 L
.74376 .78721 L
.74278 .78615 L
.74183 .78512 L
.74102 .78422 L
.7399 .783 L
.73927 .7823 L
.73798 .78086 L
.73754 .78037 L
.73605 .77869 L
.73583 .77844 L
.73413 .77651 L
.73412 .7765 L
.73246 .77459 L
.7322 .77428 L
.73081 .77266 L
.73027 .77202 L
.72919 .77073 L
.72834 .76972 L
.72758 .76881 L
.72641 .76738 L
.72601 .76688 L
.72449 .76499 L
.72446 .76495 L
.72294 .76303 L
.72256 .76254 L
.72146 .7611 L
.72063 .76001 L
.72002 .75917 L
.71871 .75736 L
.71863 .75725 L
.71729 .75532 L
.71678 .75459 L
.71602 .75339 L
.71485 .75149 L
.71484 .75146 L
.71377 .74954 L
.71293 .74772 L
.7129 .74761 L
.71228 .74568 L
.7127 .74376 L
F
0 .55 1 r
.71293 .80029 m
.71485 .80033 L
.71678 .80105 L
.71771 .80156 L
.71871 .80227 L
.71991 .80349 L
.71871 .80536 L
.71678 .80488 L
.71485 .8039 L
.71408 .80349 L
.71293 .80222 L
.71237 .80156 L
F
0 .54 1 r
.71485 .80138 m
.7159 .80156 L
.71678 .80196 L
.71845 .80349 L
.71678 .80398 L
.71572 .80349 L
.71485 .80284 L
.71432 .80156 L
F
1 .96 0 r
.72063 .82038 m
.72256 .82009 L
.72449 .81991 L
.72641 .81979 L
.72834 .81971 L
.73027 .81966 L
.7322 .81964 L
.73412 .81964 L
.73605 .81966 L
.73798 .8197 L
.7399 .81976 L
.74183 .81985 L
.74376 .81998 L
.74568 .82015 L
.74761 .82036 L
.74954 .82063 L
.75087 .82083 L
.75146 .82095 L
.75339 .82139 L
.75532 .82193 L
.75725 .82253 L
.75798 .82276 L
.75917 .82324 L
.7611 .82409 L
.76248 .82469 L
.76303 .82497 L
.76495 .82605 L
.76603 .82661 L
.76688 .82713 L
.76881 .8284 L
.76904 .82854 L
.77073 .82977 L
.77175 .83047 L
.77266 .83115 L
.77426 .8324 L
.77459 .83267 L
.77646 .83432 L
.77651 .83437 L
.77839 .83625 L
.77844 .8363 L
.78005 .83818 L
.78037 .83855 L
.78146 .8401 L
.7823 .84129 L
.78266 .84203 L
.78361 .84396 L
.78409 .84588 L
.78381 .84781 L
.7823 .84944 L
.78175 .84974 L
.78037 .85033 L
.77844 .85079 L
.77651 .85106 L
.77459 .85124 L
.77266 .85135 L
.77073 .85143 L
.76881 .85148 L
.76688 .8515 L
.76495 .85149 L
.76303 .85146 L
.7611 .85141 L
.75917 .85132 L
.75725 .8512 L
.75532 .85104 L
.75339 .85082 L
.75146 .85055 L
.74954 .85022 L
.74761 .84983 L
.74717 .84974 L
.74568 .84933 L
.74376 .84872 L
.74183 .84804 L
.74117 .84781 L
.7399 .84726 L
.73798 .84635 L
.73695 .84588 L
.73605 .8454 L
.73412 .8443 L
.73349 .84396 L
.7322 .84315 L
.73039 .84203 L
.73027 .84195 L
.72834 .84051 L
.72777 .8401 L
.72641 .83908 L
.72524 .83818 L
.72449 .83758 L
.72294 .83625 L
.72256 .83592 L
.7209 .83432 L
.72063 .83406 L
.71915 .8324 L
.71871 .8319 L
.71769 .83047 L
.71678 .82924 L
.71646 .82854 L
.7155 .82661 L
.71511 .82469 L
.71567 .82276 L
.71678 .82172 L
.71871 .82087 L
.71883 .82083 L
F
1 .9 0 r
.71871 .74752 m
.71929 .74761 L
.72063 .74793 L
.72256 .74873 L
.72434 .74954 L
.72449 .74969 L
.72641 .75075 L
.72766 .75146 L
.72834 .7519 L
.73027 .75312 L
.7307 .75339 L
.7322 .75438 L
.73359 .75532 L
.73412 .75569 L
.73605 .75704 L
.73634 .75725 L
.73798 .75842 L
.73901 .75917 L
.7399 .75983 L
.7416 .7611 L
.74183 .76127 L
.74376 .76273 L
.74414 .76303 L
.74568 .76422 L
.74663 .76495 L
.74761 .76572 L
.74908 .76688 L
.74954 .76724 L
.75146 .76878 L
.7515 .76881 L
.75339 .77034 L
.75388 .77073 L
.75532 .77191 L
.75623 .77266 L
.75725 .7735 L
.75856 .77459 L
.75917 .7751 L
.76087 .77651 L
.7611 .77671 L
.76303 .77834 L
.76315 .77844 L
.76495 .77998 L
.76541 .78037 L
.76688 .78163 L
.76765 .7823 L
.76881 .78329 L
.76988 .78422 L
.77073 .78497 L
.77209 .78615 L
.77266 .78665 L
.77428 .78808 L
.77459 .78835 L
.77646 .79 L
.77651 .79006 L
.77844 .79177 L
.77862 .79193 L
.78037 .7935 L
.78076 .79386 L
.7823 .79524 L
.7829 .79578 L
.78422 .79699 L
.78502 .79771 L
.78615 .79875 L
.78712 .79964 L
.78808 .80052 L
.78922 .80156 L
.79 .80229 L
.7913 .80349 L
.79193 .80408 L
.79337 .80542 L
.79386 .80588 L
.79542 .80735 L
.79578 .80768 L
.79747 .80927 L
.79771 .8095 L
.7995 .8112 L
.79964 .81133 L
.80153 .81313 L
.80156 .81316 L
.80349 .81501 L
.80354 .81505 L
.80542 .81686 L
.80554 .81698 L
.80735 .81873 L
.80753 .81891 L
.80927 .82061 L
.8095 .82083 L
.8112 .82249 L
.81147 .82276 L
.81313 .82439 L
.81343 .82469 L
.81505 .8263 L
.81537 .82661 L
.81698 .82822 L
.8173 .82854 L
.81891 .83015 L
.81922 .83047 L
.82083 .83209 L
.82113 .8324 L
.82276 .83405 L
.82303 .83432 L
.82469 .83601 L
.82492 .83625 L
.82661 .83799 L
.82679 .83818 L
.82854 .83998 L
.82866 .8401 L
.83047 .84199 L
.83051 .84203 L
.83234 .84396 L
.8324 .84401 L
.83417 .84588 L
.83432 .84605 L
.83598 .84781 L
.83625 .8481 L
.83777 .84974 L
.83818 .85017 L
.83956 .85166 L
.8401 .85226 L
.84132 .85359 L
.84203 .85437 L
.84307 .85552 L
.84396 .8565 L
.84481 .85745 L
.84588 .85865 L
.84652 .85937 L
.84781 .86083 L
.84822 .8613 L
.84974 .86304 L
.8499 .86323 L
.85156 .86515 L
.85166 .86528 L
.8532 .86708 L
.85359 .86755 L
.85481 .86901 L
.85552 .86987 L
.85639 .87093 L
.85745 .87223 L
.85795 .87286 L
.85937 .87467 L
.85947 .87479 L
.86095 .87671 L
.8613 .87717 L
.86239 .87864 L
.86323 .87977 L
.86378 .88057 L
.86511 .8825 L
.86515 .88255 L
.86637 .88442 L
.86708 .88552 L
.86752 .88635 L
.86855 .88828 L
.86901 .88937 L
.86933 .8902 L
.86975 .89213 L
.86901 .89326 L
.86708 .89355 L
.86515 .8929 L
.86341 .89213 L
.86323 .89205 L
.8613 .89107 L
.85972 .8902 L
.85937 .88997 L
.85745 .88881 L
.85659 .88828 L
.85552 .88758 L
.85367 .88635 L
.85359 .8863 L
.85166 .88497 L
.85087 .88442 L
.84974 .88362 L
.84818 .8825 L
.84781 .88223 L
.84588 .88081 L
.84556 .88057 L
.84396 .87936 L
.84301 .87864 L
.84203 .87789 L
.8405 .87671 L
.8401 .8764 L
.83818 .87489 L
.83804 .87479 L
.83625 .87336 L
.83562 .87286 L
.83432 .87182 L
.83323 .87093 L
.8324 .87026 L
.83087 .86901 L
.83047 .86868 L
.82854 .86709 L
.82853 .86708 L
.82661 .86548 L
.82622 .86515 L
.82469 .86387 L
.82393 .86323 L
.82276 .86224 L
.82166 .8613 L
.82083 .86059 L
.81941 .85937 L
.81891 .85894 L
.81718 .85745 L
.81698 .85728 L
.81505 .8556 L
.81496 .85552 L
.81313 .85392 L
.81276 .85359 L
.8112 .85222 L
.81057 .85166 L
.80927 .85051 L
.8084 .84974 L
.80735 .8488 L
.80624 .84781 L
.80542 .84708 L
.80409 .84588 L
.80349 .84534 L
.80196 .84396 L
.80156 .8436 L
.79984 .84203 L
.79964 .84184 L
.79774 .8401 L
.79771 .84008 L
.79578 .8383 L
.79565 .83818 L
.79386 .83651 L
.79357 .83625 L
.79193 .83471 L
.79151 .83432 L
.79 .8329 L
.78946 .8324 L
.78808 .83108 L
.78743 .83047 L
.78615 .82925 L
.78541 .82854 L
.78422 .82741 L
.7834 .82661 L
.7823 .82555 L
.7814 .82469 L
.78037 .82368 L
.77942 .82276 L
.77844 .82181 L
.77745 .82083 L
.77651 .81992 L
.77549 .81891 L
.77459 .81802 L
.77354 .81698 L
.77266 .81611 L
.7716 .81505 L
.77073 .81419 L
.76967 .81313 L
.76881 .81226 L
.76776 .8112 L
.76688 .81032 L
.76585 .80927 L
.76495 .80837 L
.76395 .80735 L
.76303 .8064 L
.76206 .80542 L
.7611 .80443 L
.76018 .80349 L
.75917 .80245 L
.75832 .80156 L
.75725 .80046 L
.75646 .79964 L
.75532 .79845 L
.75461 .79771 L
.75339 .79643 L
.75278 .79578 L
.75146 .7944 L
.75096 .79386 L
.74954 .79235 L
.74915 .79193 L
.74761 .79028 L
.74736 .79 L
.74568 .78819 L
.74558 .78808 L
.74381 .78615 L
.74376 .78609 L
.74207 .78422 L
.74183 .78396 L
.74034 .7823 L
.7399 .7818 L
.73863 .78037 L
.73798 .77962 L
.73695 .77844 L
.73605 .77741 L
.73528 .77651 L
.73412 .77516 L
.73364 .77459 L
.7322 .77287 L
.73202 .77266 L
.73043 .77073 L
.73027 .77054 L
.72886 .76881 L
.72834 .76816 L
.72733 .76688 L
.72641 .76571 L
.72583 .76495 L
.72449 .76317 L
.72438 .76303 L
.72297 .7611 L
.72256 .76054 L
.72162 .75917 L
.72063 .75771 L
.72034 .75725 L
.71915 .75532 L
.71871 .75472 L
.71808 .75339 L
.71718 .75146 L
.71678 .75003 L
.71669 .74954 L
.71678 .74843 L
.71765 .74761 L
F
1 .95 0 r
.72256 .82053 m
.72449 .82026 L
.72641 .82008 L
.72834 .81997 L
.73027 .8199 L
.7322 .81987 L
.73412 .81986 L
.73605 .81988 L
.73798 .81993 L
.7399 .82 L
.74183 .82011 L
.74376 .82026 L
.74568 .82046 L
.74761 .8207 L
.74851 .82083 L
.74954 .82102 L
.75146 .82143 L
.75339 .82193 L
.75532 .8225 L
.75614 .82276 L
.75725 .82318 L
.75917 .824 L
.76073 .82469 L
.7611 .82487 L
.76303 .82592 L
.76429 .82661 L
.76495 .82702 L
.76688 .82827 L
.76731 .82854 L
.76881 .82962 L
.76998 .83047 L
.77073 .83105 L
.77239 .8324 L
.77266 .83262 L
.77456 .83432 L
.77459 .83435 L
.77651 .83625 L
.77651 .83626 L
.77823 .83818 L
.77844 .83843 L
.77972 .8401 L
.78037 .84102 L
.78096 .84203 L
.7819 .84396 L
.7823 .8453 L
.78237 .84588 L
.7823 .847 L
.782 .84781 L
.78037 .84936 L
.77958 .84974 L
.77844 .85017 L
.77651 .85061 L
.77459 .85087 L
.77266 .85104 L
.77073 .85114 L
.76881 .85121 L
.76688 .85124 L
.76495 .85124 L
.76303 .8512 L
.7611 .85113 L
.75917 .85103 L
.75725 .85089 L
.75532 .85069 L
.75339 .85045 L
.75146 .85014 L
.74954 .84978 L
.74934 .84974 L
.74761 .8493 L
.74568 .84873 L
.74376 .84808 L
.74298 .84781 L
.74183 .84733 L
.7399 .84646 L
.73866 .84588 L
.73798 .84552 L
.73605 .84444 L
.73518 .84396 L
.73412 .8433 L
.7322 .84206 L
.73214 .84203 L
.73027 .84068 L
.72948 .8401 L
.72834 .83923 L
.72702 .83818 L
.72641 .83767 L
.72479 .83625 L
.72449 .83597 L
.72278 .83432 L
.72256 .8341 L
.721 .8324 L
.72063 .83198 L
.71946 .83047 L
.71871 .82944 L
.71818 .82854 L
.71725 .82661 L
.71686 .82469 L
.71751 .82276 L
.71871 .82176 L
.72063 .8209 L
.72119 .82083 L
F
1 .94 0 r
.72449 .82063 m
.72641 .82039 L
.72834 .82024 L
.73027 .82014 L
.7322 .82009 L
.73412 .82008 L
.73605 .8201 L
.73798 .82015 L
.7399 .82024 L
.74183 .82037 L
.74376 .82053 L
.74568 .82075 L
.74631 .82083 L
.74761 .82104 L
.74954 .82141 L
.75146 .82186 L
.75339 .82239 L
.7546 .82276 L
.75532 .82302 L
.75725 .82378 L
.75917 .82462 L
.75933 .82469 L
.7611 .8256 L
.76295 .82661 L
.76303 .82666 L
.76495 .82788 L
.76598 .82854 L
.76688 .82917 L
.76867 .83047 L
.76881 .83057 L
.77073 .83213 L
.77105 .8324 L
.77266 .83382 L
.7732 .83432 L
.77459 .83567 L
.77515 .83625 L
.77651 .83773 L
.77689 .83818 L
.77841 .8401 L
.77844 .84014 L
.77965 .84203 L
.78037 .8433 L
.78056 .84396 L
.78097 .84588 L
.78048 .84781 L
.78037 .84797 L
.77844 .84961 L
.77763 .84974 L
.77651 .85008 L
.77459 .85047 L
.77266 .8507 L
.77073 .85085 L
.76881 .85094 L
.76688 .85098 L
.76495 .85098 L
.76303 .85094 L
.7611 .85087 L
.75917 .85075 L
.75725 .85059 L
.75532 .85037 L
.75339 .8501 L
.75146 .84977 L
.75129 .84974 L
.74954 .84934 L
.74761 .84882 L
.74568 .84821 L
.7445 .84781 L
.74376 .84752 L
.74183 .84669 L
.74005 .84588 L
.7399 .84581 L
.73798 .84477 L
.73651 .84396 L
.73605 .84367 L
.73412 .84244 L
.73348 .84203 L
.7322 .84113 L
.73078 .8401 L
.73027 .83972 L
.72834 .83819 L
.72833 .83818 L
.72641 .83651 L
.72613 .83625 L
.72449 .83469 L
.72413 .83432 L
.72256 .83266 L
.72234 .8324 L
.72077 .83047 L
.72063 .83029 L
.71951 .82854 L
.71871 .8271 L
.7186 .82661 L
.71827 .82469 L
.71871 .82321 L
.71904 .82276 L
.72063 .82139 L
.72256 .82095 L
.72339 .82083 L
F
1 .93 0 r
.72641 .82071 m
.72834 .82051 L
.73027 .82039 L
.7322 .82032 L
.73412 .8203 L
.73605 .82032 L
.73798 .82038 L
.7399 .82047 L
.74183 .82061 L
.74376 .8208 L
.7441 .82083 L
.74568 .82104 L
.74761 .82137 L
.74954 .82177 L
.75146 .82225 L
.75324 .82276 L
.75339 .82281 L
.75532 .82351 L
.75725 .82431 L
.75812 .82469 L
.75917 .8252 L
.7611 .82623 L
.7618 .82661 L
.76303 .82736 L
.76489 .82854 L
.76495 .82859 L
.76688 .82996 L
.76757 .83047 L
.76881 .83144 L
.76997 .8324 L
.77073 .83305 L
.77213 .83432 L
.77266 .83482 L
.77408 .83625 L
.77459 .83678 L
.77581 .83818 L
.77651 .83902 L
.77731 .8401 L
.77844 .84182 L
.77855 .84203 L
.77942 .84396 L
.77977 .84588 L
.77913 .84781 L
.77844 .84877 L
.77651 .84959 L
.77575 .84974 L
.77459 .85003 L
.77266 .85035 L
.77073 .85054 L
.76881 .85066 L
.76688 .85072 L
.76495 .85072 L
.76303 .85069 L
.7611 .85061 L
.75917 .85048 L
.75725 .8503 L
.75532 .85007 L
.75339 .84978 L
.75317 .84974 L
.75146 .8494 L
.74954 .84893 L
.74761 .84838 L
.74584 .84781 L
.74568 .84775 L
.74376 .84699 L
.74183 .84615 L
.74126 .84588 L
.7399 .84519 L
.73798 .84414 L
.73765 .84396 L
.73605 .84297 L
.73458 .84203 L
.73412 .84172 L
.7322 .84035 L
.73186 .8401 L
.73027 .83886 L
.72942 .83818 L
.72834 .83726 L
.72721 .83625 L
.72641 .83551 L
.7252 .83432 L
.72449 .83358 L
.72342 .8324 L
.72256 .83138 L
.72187 .83047 L
.72063 .8286 L
.7206 .82854 L
.71974 .82661 L
.71947 .82469 L
.72041 .82276 L
.72063 .82249 L
.72256 .82138 L
.72449 .82099 L
.7256 .82083 L
F
1 .92 0 r
.72834 .8208 m
.73027 .82064 L
.7322 .82056 L
.73412 .82053 L
.73605 .82054 L
.73798 .8206 L
.7399 .8207 L
.74167 .82083 L
.74183 .82085 L
.74376 .82106 L
.74568 .82133 L
.74761 .82168 L
.74954 .82211 L
.75146 .82261 L
.75198 .82276 L
.75339 .82323 L
.75532 .82396 L
.75705 .82469 L
.75725 .82478 L
.75917 .82574 L
.76081 .82661 L
.7611 .82678 L
.76303 .82797 L
.76392 .82854 L
.76495 .82926 L
.76663 .83047 L
.76688 .83066 L
.76881 .8322 L
.76904 .8324 L
.77073 .83388 L
.77121 .83432 L
.77266 .83574 L
.77315 .83625 L
.77459 .83782 L
.77488 .83818 L
.77638 .8401 L
.77651 .84028 L
.77758 .84203 L
.77843 .84396 L
.77844 .844 L
.77869 .84588 L
.77844 .84695 L
.77789 .84781 L
.77651 .84902 L
.77459 .8496 L
.77386 .84974 L
.77266 .84997 L
.77073 .85023 L
.76881 .85038 L
.76688 .85045 L
.76495 .85047 L
.76303 .85043 L
.7611 .85035 L
.75917 .85021 L
.75725 .85002 L
.75532 .84977 L
.75506 .84974 L
.75339 .84945 L
.75146 .84904 L
.74954 .84855 L
.74761 .84798 L
.74708 .84781 L
.74568 .8473 L
.74376 .84651 L
.74233 .84588 L
.74183 .84564 L
.7399 .84464 L
.73865 .84396 L
.73798 .84356 L
.73605 .84235 L
.73554 .84203 L
.73412 .84105 L
.73281 .8401 L
.7322 .83964 L
.73034 .83818 L
.73027 .83811 L
.72834 .83644 L
.72813 .83625 L
.72641 .83461 L
.72613 .83432 L
.72449 .83256 L
.72434 .8324 L
.72281 .83047 L
.72256 .83015 L
.72158 .82854 L
.72073 .82661 L
.72063 .82623 L
.72055 .82469 L
.72063 .82429 L
.72167 .82276 L
.72256 .82205 L
.72449 .82136 L
.72641 .82102 L
.72804 .82083 L
F
1 .89 0 r
.72256 .75152 m
.72449 .75185 L
.72641 .75265 L
.72813 .75339 L
.72834 .75361 L
.73027 .75469 L
.73137 .75532 L
.7322 .75584 L
.73412 .75707 L
.73439 .75725 L
.73605 .75835 L
.73726 .75917 L
.73798 .75967 L
.7399 .76104 L
.73999 .7611 L
.74183 .76243 L
.74264 .76303 L
.74376 .76385 L
.74522 .76495 L
.74568 .76531 L
.74761 .76678 L
.74774 .76688 L
.74954 .76828 L
.75021 .76881 L
.75146 .76979 L
.75265 .77073 L
.75339 .77133 L
.75504 .77266 L
.75532 .77288 L
.75725 .77445 L
.75741 .77459 L
.75917 .77604 L
.75975 .77651 L
.7611 .77764 L
.76206 .77844 L
.76303 .77925 L
.76435 .78037 L
.76495 .78088 L
.76661 .7823 L
.76688 .78252 L
.76881 .78418 L
.76886 .78422 L
.77073 .78585 L
.77108 .78615 L
.77266 .78753 L
.77329 .78808 L
.77459 .78922 L
.77548 .79 L
.77651 .79092 L
.77766 .79193 L
.77844 .79263 L
.77982 .79386 L
.78037 .79435 L
.78196 .79578 L
.7823 .79609 L
.78409 .79771 L
.78422 .79783 L
.78615 .79959 L
.7862 .79964 L
.78808 .80136 L
.7883 .80156 L
.79 .80313 L
.79039 .80349 L
.79193 .80492 L
.79247 .80542 L
.79386 .80672 L
.79453 .80735 L
.79578 .80852 L
.79658 .80927 L
.79771 .81034 L
.79862 .8112 L
.79964 .81217 L
.80064 .81313 L
.80156 .81401 L
.80266 .81505 L
.80349 .81586 L
.80466 .81698 L
.80542 .81772 L
.80665 .81891 L
.80735 .81959 L
.80863 .82083 L
.80927 .82147 L
.81059 .82276 L
.8112 .82336 L
.81255 .82469 L
.81313 .82526 L
.81449 .82661 L
.81505 .82718 L
.81642 .82854 L
.81698 .8291 L
.81834 .83047 L
.81891 .83104 L
.82024 .8324 L
.82083 .833 L
.82214 .83432 L
.82276 .83496 L
.82402 .83625 L
.82469 .83694 L
.82589 .83818 L
.82661 .83893 L
.82774 .8401 L
.82854 .84094 L
.82958 .84203 L
.83047 .84296 L
.83141 .84396 L
.8324 .845 L
.83323 .84588 L
.83432 .84706 L
.83502 .84781 L
.83625 .84913 L
.83681 .84974 L
.83818 .85123 L
.83858 .85166 L
.8401 .85334 L
.84033 .85359 L
.84203 .85548 L
.84206 .85552 L
.84378 .85745 L
.84396 .85765 L
.84547 .85937 L
.84588 .85984 L
.84715 .8613 L
.84781 .86207 L
.8488 .86323 L
.84974 .86433 L
.85043 .86515 L
.85166 .86663 L
.85203 .86708 L
.85359 .86899 L
.8536 .86901 L
.85514 .87093 L
.85552 .87141 L
.85665 .87286 L
.85745 .8739 L
.8581 .87479 L
.85937 .87652 L
.85951 .87671 L
.86086 .87864 L
.8613 .87925 L
.86214 .88057 L
.86323 .88236 L
.8633 .8825 L
.86435 .88442 L
.86513 .88635 L
.86515 .88644 L
.86548 .88828 L
.86515 .88898 L
.86323 .88965 L
.8613 .88897 L
.85972 .88828 L
.85937 .88813 L
.85745 .88714 L
.856 .88635 L
.85552 .88604 L
.85359 .88486 L
.8529 .88442 L
.85166 .88362 L
.84999 .8825 L
.84974 .88232 L
.84781 .88099 L
.84721 .88057 L
.84588 .87962 L
.84454 .87864 L
.84396 .87821 L
.84203 .87678 L
.84194 .87671 L
.8401 .87532 L
.8394 .87479 L
.83818 .87384 L
.83692 .87286 L
.83625 .87234 L
.83447 .87093 L
.83432 .87081 L
.8324 .86927 L
.83206 .86901 L
.83047 .86771 L
.82969 .86708 L
.82854 .86614 L
.82734 .86515 L
.82661 .86455 L
.82502 .86323 L
.82469 .86294 L
.82276 .86133 L
.82273 .8613 L
.82083 .85969 L
.82046 .85937 L
.81891 .85805 L
.8182 .85745 L
.81698 .85639 L
.81597 .85552 L
.81505 .85473 L
.81375 .85359 L
.81313 .85305 L
.81155 .85166 L
.8112 .85136 L
.80936 .84974 L
.80927 .84966 L
.80735 .84795 L
.8072 .84781 L
.80542 .84622 L
.80504 .84588 L
.80349 .84449 L
.8029 .84396 L
.80156 .84275 L
.80078 .84203 L
.79964 .84099 L
.79867 .8401 L
.79771 .83923 L
.79657 .83818 L
.79578 .83745 L
.79449 .83625 L
.79386 .83566 L
.79242 .83432 L
.79193 .83386 L
.79037 .8324 L
.79 .83205 L
.78833 .83047 L
.78808 .83023 L
.7863 .82854 L
.78615 .8284 L
.78429 .82661 L
.78422 .82655 L
.7823 .82469 L
.78229 .82469 L
.78037 .82283 L
.7803 .82276 L
.77844 .82094 L
.77833 .82083 L
.77651 .81905 L
.77637 .81891 L
.77459 .81715 L
.77442 .81698 L
.77266 .81524 L
.77248 .81505 L
.77073 .81331 L
.77055 .81313 L
.76881 .81138 L
.76863 .8112 L
.76688 .80943 L
.76673 .80927 L
.76495 .80747 L
.76483 .80735 L
.76303 .8055 L
.76295 .80542 L
.7611 .80352 L
.76107 .80349 L
.75921 .80156 L
.75917 .80152 L
.75736 .79964 L
.75725 .79951 L
.75553 .79771 L
.75532 .79749 L
.75371 .79578 L
.75339 .79545 L
.7519 .79386 L
.75146 .79339 L
.7501 .79193 L
.74954 .79132 L
.74832 .79 L
.74761 .78923 L
.74656 .78808 L
.74568 .78711 L
.74482 .78615 L
.74376 .78497 L
.74309 .78422 L
.74183 .7828 L
.74139 .7823 L
.7399 .7806 L
.7397 .78037 L
.73804 .77844 L
.73798 .77836 L
.7364 .77651 L
.73605 .77609 L
.73479 .77459 L
.73412 .77378 L
.73321 .77266 L
.7322 .7714 L
.73166 .77073 L
.73027 .76896 L
.73015 .76881 L
.72868 .76688 L
.72834 .76645 L
.72725 .76495 L
.72641 .7638 L
.72588 .76303 L
.72458 .7611 L
.72449 .76098 L
.72337 .75917 L
.72256 .75784 L
.72229 .75725 L
.72136 .75532 L
.72089 .75339 L
F
1 .91 0 r
.7322 .8208 m
.73412 .82075 L
.73605 .82076 L
.73798 .82082 L
.73838 .82083 L
.7399 .82093 L
.74183 .82109 L
.74376 .82132 L
.74568 .82161 L
.74761 .82198 L
.74954 .82243 L
.75079 .82276 L
.75146 .82297 L
.75339 .82362 L
.75532 .82438 L
.75606 .82469 L
.75725 .82524 L
.75917 .82622 L
.7599 .82661 L
.7611 .82732 L
.76303 .82852 L
.76306 .82854 L
.76495 .82986 L
.76579 .83047 L
.76688 .83131 L
.76821 .8324 L
.76881 .8329 L
.77039 .83432 L
.77073 .83465 L
.77234 .83625 L
.77266 .83659 L
.77406 .83818 L
.77459 .83882 L
.77553 .8401 L
.77651 .84162 L
.77672 .84203 L
.77751 .84396 L
.77771 .84588 L
.77673 .84781 L
.77651 .84805 L
.77459 .84915 L
.77266 .8496 L
.77181 .84974 L
.77073 .8499 L
.76881 .85009 L
.76688 .85018 L
.76495 .85021 L
.76303 .85018 L
.7611 .8501 L
.75917 .84995 L
.75725 .84975 L
.75711 .84974 L
.75532 .84948 L
.75339 .84913 L
.75146 .84871 L
.74954 .8482 L
.74825 .84781 L
.74761 .8476 L
.74568 .84688 L
.74376 .84608 L
.74332 .84588 L
.74183 .84516 L
.7399 .84414 L
.73956 .84396 L
.73798 .84301 L
.73641 .84203 L
.73605 .84179 L
.73412 .84045 L
.73365 .8401 L
.7322 .83899 L
.73118 .83818 L
.73027 .83741 L
.72895 .83625 L
.72834 .83569 L
.72695 .83432 L
.72641 .83377 L
.72518 .8324 L
.72449 .83158 L
.72365 .83047 L
.72256 .8288 L
.72243 .82854 L
.72164 .82661 L
.72153 .82469 L
.72256 .823 L
.72286 .82276 L
.72449 .82183 L
.72641 .82135 L
.72834 .82107 L
.73027 .8209 L
.73124 .82083 L
F
1 .9 0 r
.72449 .82245 m
.72641 .82172 L
.72834 .82137 L
.73027 .82115 L
.7322 .82103 L
.73412 .82098 L
.73605 .82098 L
.73798 .82104 L
.7399 .82115 L
.74183 .82133 L
.74376 .82157 L
.74568 .82188 L
.74761 .82227 L
.74954 .82273 L
.74965 .82276 L
.75146 .82331 L
.75339 .82399 L
.75515 .82469 L
.75532 .82476 L
.75725 .82567 L
.75907 .82661 L
.75917 .82667 L
.7611 .82781 L
.76227 .82854 L
.76303 .82905 L
.76495 .83041 L
.76503 .83047 L
.76688 .83192 L
.76746 .8324 L
.76881 .83356 L
.76964 .83432 L
.77073 .83538 L
.77158 .83625 L
.77266 .83742 L
.7733 .83818 L
.77459 .83984 L
.77477 .8401 L
.77593 .84203 L
.77651 .8434 L
.77668 .84396 L
.77679 .84588 L
.77651 .84669 L
.77561 .84781 L
.77459 .84855 L
.77266 .84922 L
.77073 .84957 L
.76933 .84974 L
.76881 .84979 L
.76688 .84991 L
.76495 .84996 L
.76303 .84993 L
.7611 .84985 L
.75956 .84974 L
.75917 .8497 L
.75725 .84948 L
.75532 .8492 L
.75339 .84883 L
.75146 .84839 L
.74954 .84786 L
.74936 .84781 L
.74761 .84722 L
.74568 .84649 L
.74424 .84588 L
.74376 .84566 L
.74183 .84471 L
.7404 .84396 L
.7399 .84368 L
.73798 .84252 L
.7372 .84203 L
.73605 .84126 L
.73441 .8401 L
.73412 .83989 L
.7322 .83839 L
.73193 .83818 L
.73027 .83676 L
.7297 .83625 L
.72834 .83497 L
.7277 .83432 L
.72641 .83296 L
.72593 .8324 L
.72449 .83057 L
.72441 .83047 L
.72323 .82854 L
.72256 .82694 L
.72247 .82661 L
.72245 .82469 L
.72256 .82437 L
.724 .82276 L
F
1 .89 0 r
.72641 .82216 m
.72834 .82168 L
.73027 .82142 L
.7322 .82127 L
.73412 .8212 L
.73605 .8212 L
.73798 .82126 L
.7399 .82138 L
.74183 .82156 L
.74376 .82181 L
.74568 .82214 L
.74761 .82254 L
.74852 .82276 L
.74954 .82304 L
.75146 .82364 L
.75339 .82434 L
.75427 .82469 L
.75532 .82515 L
.75725 .82608 L
.75829 .82661 L
.75917 .82711 L
.7611 .82827 L
.76153 .82854 L
.76303 .82955 L
.76432 .83047 L
.76495 .83095 L
.76677 .8324 L
.76688 .83249 L
.76881 .83418 L
.76896 .83432 L
.77073 .83607 L
.7709 .83625 L
.77261 .83818 L
.77266 .83824 L
.77406 .8401 L
.77459 .84085 L
.77519 .84203 L
.77589 .84396 L
.77591 .84588 L
.77459 .84776 L
.77451 .84781 L
.77266 .84877 L
.77073 .84923 L
.76881 .84949 L
.76688 .84964 L
.76495 .8497 L
.76303 .84968 L
.7611 .8496 L
.75917 .84944 L
.75725 .84922 L
.75532 .84892 L
.75339 .84854 L
.75146 .84808 L
.75046 .84781 L
.74954 .84753 L
.74761 .84687 L
.74568 .84612 L
.74511 .84588 L
.74376 .84526 L
.74183 .8443 L
.74118 .84396 L
.7399 .84323 L
.73798 .84206 L
.73794 .84203 L
.73605 .84076 L
.73513 .8401 L
.73412 .83935 L
.73262 .83818 L
.7322 .83782 L
.73038 .83625 L
.73027 .83615 L
.72838 .83432 L
.72834 .83428 L
.72662 .8324 L
.72641 .83216 L
.72513 .83047 L
.72449 .82959 L
.72396 .82854 L
.72326 .82661 L
.72332 .82469 L
.72449 .82317 L
.72512 .82276 L
F
1 .88 0 r
.72641 .82268 m
.72834 .82203 L
.73027 .8217 L
.7322 .82152 L
.73412 .82143 L
.73605 .82142 L
.73798 .82148 L
.7399 .8216 L
.74183 .82179 L
.74376 .82206 L
.74568 .82239 L
.7474 .82276 L
.74761 .82281 L
.74954 .82333 L
.75146 .82395 L
.75339 .82467 L
.75344 .82469 L
.75532 .82551 L
.75725 .82646 L
.75755 .82661 L
.75917 .82753 L
.76085 .82854 L
.7611 .8287 L
.76303 .83002 L
.76365 .83047 L
.76495 .83146 L
.76612 .8324 L
.76688 .83304 L
.76831 .83432 L
.76881 .83479 L
.77026 .83625 L
.77073 .83675 L
.77196 .83818 L
.77266 .83905 L
.77339 .8401 L
.7745 .84203 L
.77459 .84223 L
.77515 .84396 L
.77507 .84588 L
.77459 .8468 L
.77343 .84781 L
.77266 .84824 L
.77073 .84887 L
.76881 .84919 L
.76688 .84937 L
.76495 .84944 L
.76303 .84943 L
.7611 .84935 L
.75917 .84919 L
.75725 .84896 L
.75532 .84865 L
.75339 .84826 L
.75155 .84781 L
.75146 .84779 L
.74954 .84721 L
.74761 .84654 L
.74595 .84588 L
.74568 .84577 L
.74376 .84488 L
.74192 .84396 L
.74183 .84391 L
.7399 .8428 L
.73863 .84203 L
.73798 .84161 L
.73605 .84029 L
.73579 .8401 L
.73412 .83885 L
.73328 .83818 L
.7322 .83728 L
.73103 .83625 L
.73027 .83555 L
.72902 .83432 L
.72834 .83361 L
.72727 .8324 L
.72641 .83135 L
.72579 .83047 L
.72465 .82854 L
.72449 .8282 L
.72399 .82661 L
.72416 .82469 L
.72449 .82411 L
.72625 .82276 L
F
.72641 .75537 m
.72834 .75567 L
.73027 .7565 L
.73202 .75725 L
.7322 .75747 L
.73412 .75856 L
.73517 .75917 L
.73605 .75973 L
.73798 .76098 L
.73816 .7611 L
.7399 .76227 L
.741 .76303 L
.74183 .76361 L
.7437 .76495 L
.74376 .76499 L
.74568 .7664 L
.74633 .76688 L
.74761 .76784 L
.74889 .76881 L
.74954 .76931 L
.75138 .77073 L
.75146 .7708 L
.75339 .77231 L
.75384 .77266 L
.75532 .77384 L
.75625 .77459 L
.75725 .77539 L
.75863 .77651 L
.75917 .77696 L
.76097 .77844 L
.7611 .77855 L
.76303 .78015 L
.76329 .78037 L
.76495 .78176 L
.76558 .7823 L
.76688 .7834 L
.76785 .78422 L
.76881 .78504 L
.7701 .78615 L
.77073 .7867 L
.77232 .78808 L
.77266 .78837 L
.77453 .79 L
.77459 .79005 L
.77651 .79175 L
.77672 .79193 L
.77844 .79346 L
.77889 .79386 L
.78037 .79517 L
.78105 .79578 L
.7823 .79691 L
.78319 .79771 L
.78422 .79865 L
.78531 .79964 L
.78615 .8004 L
.78742 .80156 L
.78808 .80216 L
.78952 .80349 L
.79 .80394 L
.7916 .80542 L
.79193 .80573 L
.79367 .80735 L
.79386 .80752 L
.79572 .80927 L
.79578 .80933 L
.79771 .81115 L
.79776 .8112 L
.79964 .81298 L
.79979 .81313 L
.80156 .81482 L
.80181 .81505 L
.80349 .81667 L
.80381 .81698 L
.80542 .81854 L
.8058 .81891 L
.80735 .82041 L
.80778 .82083 L
.80927 .8223 L
.80975 .82276 L
.8112 .82419 L
.8117 .82469 L
.81313 .8261 L
.81364 .82661 L
.81505 .82803 L
.81557 .82854 L
.81698 .82996 L
.81748 .83047 L
.81891 .83191 L
.81938 .8324 L
.82083 .83387 L
.82127 .83432 L
.82276 .83585 L
.82315 .83625 L
.82469 .83784 L
.82501 .83818 L
.82661 .83985 L
.82686 .8401 L
.82854 .84187 L
.82869 .84203 L
.83047 .84391 L
.83051 .84396 L
.83231 .84588 L
.8324 .84597 L
.8341 .84781 L
.83432 .84805 L
.83587 .84974 L
.83625 .85015 L
.83762 .85166 L
.83818 .85228 L
.83936 .85359 L
.8401 .85443 L
.84107 .85552 L
.84203 .85661 L
.84276 .85745 L
.84396 .85882 L
.84444 .85937 L
.84588 .86106 L
.84608 .8613 L
.8477 .86323 L
.84781 .86335 L
.8493 .86515 L
.84974 .86569 L
.85086 .86708 L
.85166 .86809 L
.85238 .86901 L
.85359 .87058 L
.85386 .87093 L
.85529 .87286 L
.85552 .87316 L
.85666 .87479 L
.85745 .8759 L
.85796 .87671 L
.85916 .87864 L
.85937 .87902 L
.86023 .88057 L
.8611 .8825 L
.8613 .8834 L
.86141 .88442 L
.8613 .88484 L
.85937 .88588 L
.85745 .88513 L
.85585 .88442 L
.85552 .88428 L
.85359 .88327 L
.85217 .8825 L
.85166 .88216 L
.84974 .88096 L
.84912 .88057 L
.84781 .8797 L
.84623 .87864 L
.84588 .87839 L
.84396 .87704 L
.84349 .87671 L
.84203 .87566 L
.84084 .87479 L
.8401 .87424 L
.83827 .87286 L
.83818 .87279 L
.83625 .87132 L
.83575 .87093 L
.83432 .86982 L
.83329 .86901 L
.8324 .8683 L
.83086 .86708 L
.83047 .86676 L
.82854 .86521 L
.82848 .86515 L
.82661 .86363 L
.82612 .86323 L
.82469 .86204 L
.82379 .8613 L
.82276 .86044 L
.82149 .85937 L
.82083 .85882 L
.81921 .85745 L
.81891 .85719 L
.81698 .85554 L
.81696 .85552 L
.81505 .85388 L
.81472 .85359 L
.81313 .85221 L
.8125 .85166 L
.8112 .85052 L
.81031 .84974 L
.80927 .84883 L
.80812 .84781 L
.80735 .84712 L
.80596 .84588 L
.80542 .8454 L
.80381 .84396 L
.80349 .84367 L
.80168 .84203 L
.80156 .84193 L
.79964 .84017 L
.79956 .8401 L
.79771 .83841 L
.79746 .83818 L
.79578 .83663 L
.79537 .83625 L
.79386 .83484 L
.7933 .83432 L
.79193 .83304 L
.79124 .8324 L
.79 .83123 L
.78919 .83047 L
.78808 .82941 L
.78716 .82854 L
.78615 .82757 L
.78515 .82661 L
.78422 .82573 L
.78314 .82469 L
.7823 .82387 L
.78115 .82276 L
.78037 .822 L
.77918 .82083 L
.77844 .82011 L
.77721 .81891 L
.77651 .81822 L
.77526 .81698 L
.77459 .81631 L
.77332 .81505 L
.77266 .81439 L
.77139 .81313 L
.77073 .81246 L
.76948 .8112 L
.76881 .81052 L
.76758 .80927 L
.76688 .80856 L
.76568 .80735 L
.76495 .8066 L
.76381 .80542 L
.76303 .80462 L
.76194 .80349 L
.7611 .80262 L
.76009 .80156 L
.75917 .80061 L
.75825 .79964 L
.75725 .79858 L
.75642 .79771 L
.75532 .79654 L
.75461 .79578 L
.75339 .79448 L
.75281 .79386 L
.75146 .7924 L
.75103 .79193 L
.74954 .7903 L
.74927 .79 L
.74761 .78817 L
.74753 .78808 L
.7458 .78615 L
.74568 .78602 L
.7441 .78422 L
.74376 .78383 L
.74242 .7823 L
.74183 .78162 L
.74076 .78037 L
.7399 .77936 L
.73913 .77844 L
.73798 .77706 L
.73753 .77651 L
.73605 .7747 L
.73596 .77459 L
.73442 .77266 L
.73412 .77228 L
.73293 .77073 L
.7322 .76978 L
.73148 .76881 L
.73027 .76714 L
.73009 .76688 L
.72876 .76495 L
.72834 .76439 L
.72752 .76303 L
.72642 .7611 L
.72641 .76108 L
.72546 .75917 L
.72466 .75725 L
F
1 .87 0 r
.72834 .82242 m
.73027 .822 L
.7322 .82177 L
.73412 .82167 L
.73605 .82165 L
.73798 .8217 L
.7399 .82183 L
.74183 .82202 L
.74376 .82229 L
.74568 .82264 L
.74626 .82276 L
.74761 .82308 L
.74954 .82362 L
.75146 .82426 L
.75263 .82469 L
.75339 .825 L
.75532 .82586 L
.75685 .82661 L
.75725 .82683 L
.75917 .82792 L
.76019 .82854 L
.7611 .82913 L
.76303 .83046 L
.76303 .83047 L
.76495 .83194 L
.76551 .8324 L
.76688 .83357 L
.76771 .83432 L
.76881 .83538 L
.76965 .83625 L
.77073 .83744 L
.77135 .83818 L
.77266 .83994 L
.77276 .8401 L
.77384 .84203 L
.77444 .84396 L
.77426 .84588 L
.77266 .84762 L
.77232 .84781 L
.77073 .84846 L
.76881 .84887 L
.76688 .84908 L
.76495 .84918 L
.76303 .84918 L
.7611 .8491 L
.75917 .84894 L
.75725 .8487 L
.75532 .84839 L
.75339 .84799 L
.75265 .84781 L
.75146 .84749 L
.74954 .8469 L
.74761 .84621 L
.74676 .84588 L
.74568 .84542 L
.74376 .84452 L
.74263 .84396 L
.74183 .84352 L
.7399 .8424 L
.73929 .84203 L
.73798 .84118 L
.73642 .8401 L
.73605 .83984 L
.73412 .83837 L
.73388 .83818 L
.7322 .83675 L
.73163 .83625 L
.73027 .83497 L
.72963 .83432 L
.72834 .83294 L
.72788 .8324 L
.72641 .83048 L
.72641 .83047 L
.7253 .82854 L
.72469 .82661 L
.72496 .82469 L
.72641 .82323 L
.72739 .82276 L
F
1 .86 0 r
.73027 .82232 m
.7322 .82204 L
.73412 .82191 L
.73605 .82187 L
.73798 .82192 L
.7399 .82205 L
.74183 .82225 L
.74376 .82253 L
.74507 .82276 L
.74568 .82289 L
.74761 .82334 L
.74954 .8239 L
.75146 .82455 L
.75184 .82469 L
.75339 .82532 L
.75532 .82619 L
.75617 .82661 L
.75725 .82719 L
.75917 .8283 L
.75957 .82854 L
.7611 .82954 L
.76244 .83047 L
.76303 .8309 L
.76494 .8324 L
.76495 .83241 L
.76688 .83408 L
.76714 .83432 L
.76881 .83596 L
.76908 .83625 L
.77073 .83813 L
.77077 .83818 L
.77216 .8401 L
.77266 .84073 L
.77321 .84203 L
.77376 .84396 L
.77347 .84588 L
.77266 .84691 L
.77119 .84781 L
.77073 .848 L
.76881 .84852 L
.76688 .84879 L
.76495 .84891 L
.76303 .84893 L
.7611 .84885 L
.75917 .84869 L
.75725 .84845 L
.75532 .84813 L
.75378 .84781 L
.75339 .84772 L
.75146 .84721 L
.74954 .8466 L
.74761 .84591 L
.74755 .84588 L
.74568 .84509 L
.74376 .84418 L
.74332 .84396 L
.74183 .84315 L
.73992 .84203 L
.7399 .84202 L
.73798 .84077 L
.73702 .8401 L
.73605 .8394 L
.73446 .83818 L
.73412 .8379 L
.7322 .83625 L
.7322 .83625 L
.73027 .8344 L
.7302 .83432 L
.72845 .8324 L
.72834 .83227 L
.727 .83047 L
.72641 .82972 L
.72592 .82854 L
.72537 .82661 L
.72575 .82469 L
.72641 .82391 L
.72834 .8228 L
.72858 .82276 L
F
1 .85 0 r
.73027 .82266 m
.7322 .82232 L
.73412 .82215 L
.73605 .8221 L
.73798 .82215 L
.7399 .82227 L
.74183 .82247 L
.74376 .82276 L
.74377 .82276 L
.74568 .82313 L
.74761 .8236 L
.74954 .82417 L
.75107 .82469 L
.75146 .82484 L
.75339 .82562 L
.75532 .82651 L
.75552 .82661 L
.75725 .82753 L
.75897 .82854 L
.75917 .82866 L
.7611 .82993 L
.76187 .83047 L
.76303 .83133 L
.76438 .8324 L
.76495 .83287 L
.76659 .83432 L
.76688 .83459 L
.76854 .83625 L
.76881 .83653 L
.77021 .83818 L
.77073 .83882 L
.77159 .8401 L
.77261 .84203 L
.77266 .84216 L
.7731 .84396 L
.77269 .84588 L
.77266 .84593 L
.77073 .84764 L
.76998 .84781 L
.76881 .84816 L
.76688 .84849 L
.76495 .84864 L
.76303 .84867 L
.7611 .8486 L
.75917 .84845 L
.75725 .8482 L
.75532 .84787 L
.755 .84781 L
.75339 .84745 L
.75146 .84693 L
.74954 .84632 L
.74833 .84588 L
.74761 .8456 L
.74568 .84477 L
.74398 .84396 L
.74376 .84384 L
.74183 .8428 L
.74052 .84203 L
.7399 .84165 L
.73798 .84037 L
.73759 .8401 L
.73605 .83898 L
.73502 .83818 L
.73412 .83744 L
.73275 .83625 L
.7322 .83574 L
.73074 .83432 L
.73027 .83383 L
.72901 .8324 L
.72834 .83159 L
.72757 .83047 L
.72652 .82854 L
.72641 .82828 L
.72602 .82661 L
.72641 .82487 L
.72653 .82469 L
.72834 .82308 L
.72987 .82276 L
F
1 .84 0 r
.7322 .82261 m
.73412 .82241 L
.73605 .82234 L
.73798 .82237 L
.7399 .82249 L
.74183 .8227 L
.74231 .82276 L
.74376 .82299 L
.74568 .82337 L
.74761 .82385 L
.74954 .82443 L
.7503 .82469 L
.75146 .82512 L
.75339 .82592 L
.75488 .82661 L
.75532 .82683 L
.75725 .82787 L
.75839 .82854 L
.75917 .82903 L
.7611 .83031 L
.76132 .83047 L
.76303 .83174 L
.76385 .8324 L
.76495 .83332 L
.76607 .83432 L
.76688 .83509 L
.76801 .83625 L
.76881 .83712 L
.76968 .83818 L
.77073 .8396 L
.77104 .8401 L
.77202 .84203 L
.77245 .84396 L
.77191 .84588 L
.77073 .8472 L
.76881 .84777 L
.76864 .84781 L
.76688 .84817 L
.76495 .84836 L
.76303 .84841 L
.7611 .84835 L
.75917 .8482 L
.75725 .84796 L
.75633 .84781 L
.75532 .84762 L
.75339 .84719 L
.75146 .84666 L
.74954 .84603 L
.74911 .84588 L
.74761 .8453 L
.74568 .84446 L
.74462 .84396 L
.74376 .84352 L
.74183 .84245 L
.74111 .84203 L
.7399 .84128 L
.73814 .8401 L
.73798 .83999 L
.73605 .83856 L
.73555 .83818 L
.73412 .837 L
.73327 .83625 L
.7322 .83525 L
.73127 .83432 L
.73027 .83326 L
.72954 .8324 L
.72834 .83083 L
.72812 .83047 L
.7271 .82854 L
.72666 .82661 L
.7273 .82469 L
.72834 .82356 L
.73027 .82295 L
.73133 .82276 L
F
1 .83 0 r
.73412 .82267 m
.73605 .82258 L
.73798 .8226 L
.7399 .82272 L
.74047 .82276 L
.74183 .82292 L
.74376 .82322 L
.74568 .82361 L
.74761 .8241 L
.74952 .82469 L
.74954 .82469 L
.75146 .8254 L
.75339 .82621 L
.75426 .82661 L
.75532 .82714 L
.75725 .8282 L
.75783 .82854 L
.75917 .82938 L
.76079 .83047 L
.7611 .83069 L
.76303 .83214 L
.76334 .8324 L
.76495 .83377 L
.76556 .83432 L
.76688 .83559 L
.76751 .83625 L
.76881 .83772 L
.76916 .83818 L
.77051 .8401 L
.77073 .84049 L
.77145 .84203 L
.77182 .84396 L
.77113 .84588 L
.77073 .84643 L
.76881 .84744 L
.76703 .84781 L
.76688 .84784 L
.76495 .84808 L
.76303 .84815 L
.7611 .8481 L
.75917 .84796 L
.75788 .84781 L
.75725 .84771 L
.75532 .84737 L
.75339 .84693 L
.75146 .84639 L
.74989 .84588 L
.74954 .84576 L
.74761 .84501 L
.74568 .84416 L
.74525 .84396 L
.74376 .8432 L
.74183 .84212 L
.74167 .84203 L
.7399 .84093 L
.73867 .8401 L
.73798 .83961 L
.73607 .83818 L
.73605 .83816 L
.73412 .83656 L
.73378 .83625 L
.7322 .83476 L
.73177 .83432 L
.73027 .83267 L
.73005 .8324 L
.72865 .83047 L
.72834 .82996 L
.72766 .82854 L
.72728 .82661 L
.72807 .82469 L
.72834 .82434 L
.73027 .82328 L
.7322 .82289 L
.73312 .82276 L
F
1 .82 0 r
.73027 .82369 m
.7322 .82317 L
.73412 .82293 L
.73605 .82282 L
.73798 .82283 L
.7399 .82294 L
.74183 .82315 L
.74376 .82345 L
.74568 .82385 L
.74761 .82435 L
.74874 .82469 L
.74954 .82495 L
.75146 .82567 L
.75339 .8265 L
.75365 .82661 L
.75532 .82745 L
.75725 .82852 L
.75729 .82854 L
.75917 .82972 L
.76028 .83047 L
.7611 .83106 L
.76284 .8324 L
.76303 .83254 L
.76495 .83421 L
.76508 .83432 L
.76688 .8361 L
.76702 .83625 L
.76867 .83818 L
.76881 .83833 L
.76999 .8401 L
.77073 .84158 L
.7709 .84203 L
.7712 .84396 L
.77073 .84539 L
.77034 .84588 L
.76881 .84702 L
.76688 .84753 L
.76495 .84778 L
.76459 .84781 L
.76303 .84788 L
.7611 .84785 L
.76038 .84781 L
.75917 .84771 L
.75725 .84747 L
.75532 .84712 L
.75339 .84668 L
.75146 .84613 L
.75068 .84588 L
.74954 .84548 L
.74761 .84473 L
.74588 .84396 L
.74568 .84386 L
.74376 .84288 L
.74223 .84203 L
.74183 .84179 L
.7399 .84058 L
.73919 .8401 L
.73798 .83924 L
.73657 .83818 L
.73605 .83777 L
.73427 .83625 L
.73412 .83612 L
.73226 .83432 L
.7322 .83426 L
.73054 .8324 L
.73027 .83209 L
.72916 .83047 L
.72834 .8289 L
.72821 .82854 L
.7279 .82661 L
.72834 .8253 L
.72885 .82469 L
F
1 .81 0 r
.73027 .82421 m
.7322 .82349 L
.73412 .82319 L
.73605 .82306 L
.73798 .82305 L
.7399 .82316 L
.74183 .82337 L
.74376 .82368 L
.74568 .82408 L
.74761 .82459 L
.74794 .82469 L
.74954 .82521 L
.75146 .82594 L
.75304 .82661 L
.75339 .82678 L
.75532 .82775 L
.75675 .82854 L
.75725 .82883 L
.75917 .83006 L
.75978 .83047 L
.7611 .83142 L
.76236 .8324 L
.76303 .83294 L
.7646 .83432 L
.76495 .83465 L
.76654 .83625 L
.76688 .83661 L
.76818 .83818 L
.76881 .83896 L
.76948 .8401 L
.77036 .84203 L
.77058 .84396 L
.76953 .84588 L
.76881 .84648 L
.76688 .84719 L
.76495 .8475 L
.76303 .84762 L
.7611 .8476 L
.75917 .84747 L
.75725 .84722 L
.75532 .84687 L
.75339 .84643 L
.75149 .84588 L
.75146 .84588 L
.74954 .84522 L
.74761 .84445 L
.7465 .84396 L
.74568 .84357 L
.74376 .84258 L
.74277 .84203 L
.74183 .84147 L
.7399 .84024 L
.7397 .8401 L
.73798 .83888 L
.73705 .83818 L
.73605 .83737 L
.73474 .83625 L
.73412 .83569 L
.73273 .83432 L
.7322 .83377 L
.73103 .8324 L
.73027 .83146 L
.72966 .83047 L
.72874 .82854 L
.72851 .82661 L
.72965 .82469 L
F
1 .87 0 r
.73027 .75911 m
.73087 .75917 L
.7322 .75942 L
.73412 .76028 L
.73568 .7611 L
.73605 .76128 L
.73798 .7624 L
.73904 .76303 L
.7399 .76359 L
.74183 .76486 L
.74198 .76495 L
.74376 .76617 L
.74478 .76688 L
.74568 .76752 L
.74746 .76881 L
.74761 .76892 L
.74954 .77035 L
.75005 .77073 L
.75146 .77181 L
.75258 .77266 L
.75339 .77329 L
.75505 .77459 L
.75532 .7748 L
.75725 .77633 L
.75748 .77651 L
.75917 .77788 L
.75987 .77844 L
.7611 .77944 L
.76223 .78037 L
.76303 .78103 L
.76455 .7823 L
.76495 .78263 L
.76685 .78422 L
.76688 .78425 L
.76881 .78588 L
.76912 .78615 L
.77073 .78753 L
.77137 .78808 L
.77266 .78919 L
.77359 .79 L
.77459 .79087 L
.7758 .79193 L
.77651 .79256 L
.77799 .79386 L
.77844 .79426 L
.78016 .79578 L
.78037 .79597 L
.7823 .7977 L
.78231 .79771 L
.78422 .79944 L
.78444 .79964 L
.78615 .80119 L
.78656 .80156 L
.78808 .80295 L
.78866 .80349 L
.79 .80473 L
.79075 .80542 L
.79193 .80651 L
.79283 .80735 L
.79386 .80831 L
.79489 .80927 L
.79578 .81012 L
.79693 .8112 L
.79771 .81194 L
.79896 .81313 L
.79964 .81377 L
.80098 .81505 L
.80156 .81561 L
.80299 .81698 L
.80349 .81747 L
.80498 .81891 L
.80542 .81933 L
.80696 .82083 L
.80735 .82121 L
.80892 .82276 L
.80927 .8231 L
.81087 .82469 L
.8112 .82501 L
.81281 .82661 L
.81313 .82693 L
.81474 .82854 L
.81505 .82886 L
.81665 .83047 L
.81698 .8308 L
.81855 .8324 L
.81891 .83276 L
.82043 .83432 L
.82083 .83474 L
.8223 .83625 L
.82276 .83673 L
.82415 .83818 L
.82469 .83873 L
.82599 .8401 L
.82661 .84076 L
.82782 .84203 L
.82854 .8428 L
.82962 .84396 L
.83047 .84486 L
.83141 .84588 L
.8324 .84695 L
.83319 .84781 L
.83432 .84905 L
.83494 .84974 L
.83625 .85119 L
.83668 .85166 L
.83818 .85335 L
.83839 .85359 L
.84008 .85552 L
.8401 .85554 L
.84175 .85745 L
.84203 .85777 L
.84339 .85937 L
.84396 .86004 L
.84501 .8613 L
.84588 .86236 L
.84659 .86323 L
.84781 .86474 L
.84813 .86515 L
.84964 .86708 L
.84974 .8672 L
.8511 .86901 L
.85166 .86975 L
.8525 .87093 L
.85359 .8725 L
.85382 .87286 L
.85507 .87479 L
.85552 .87526 L
.85617 .87671 L
.85711 .87864 L
.85745 .88016 L
.85748 .88057 L
.85745 .88088 L
.85552 .88187 L
.85359 .88137 L
.85187 .88057 L
.85166 .88048 L
.84974 .87946 L
.84828 .87864 L
.84781 .87832 L
.84588 .8771 L
.84528 .87671 L
.84396 .87582 L
.84244 .87479 L
.84203 .8745 L
.8401 .87313 L
.83973 .87286 L
.83818 .87172 L
.83711 .87093 L
.83625 .87029 L
.83457 .86901 L
.83432 .86882 L
.8324 .86733 L
.83208 .86708 L
.83047 .86582 L
.82963 .86515 L
.82854 .86428 L
.82723 .86323 L
.82661 .86273 L
.82486 .8613 L
.82469 .86115 L
.82276 .85956 L
.82253 .85937 L
.82083 .85796 L
.82022 .85745 L
.81891 .85634 L
.81794 .85552 L
.81698 .8547 L
.81568 .85359 L
.81505 .85305 L
.81345 .85166 L
.81313 .85138 L
.81123 .84974 L
.8112 .84971 L
.80927 .84802 L
.80904 .84781 L
.80735 .84631 L
.80686 .84588 L
.80542 .8446 L
.8047 .84396 L
.80349 .84287 L
.80256 .84203 L
.80156 .84113 L
.80043 .8401 L
.79964 .83938 L
.79832 .83818 L
.79771 .83762 L
.79623 .83625 L
.79578 .83584 L
.79415 .83432 L
.79386 .83405 L
.79208 .8324 L
.79193 .83225 L
.79003 .83047 L
.79 .83044 L
.78808 .82862 L
.788 .82854 L
.78615 .82678 L
.78598 .82661 L
.78422 .82493 L
.78397 .82469 L
.7823 .82307 L
.78198 .82276 L
.78037 .82119 L
.78 .82083 L
.77844 .81931 L
.77803 .81891 L
.77651 .81741 L
.77608 .81698 L
.77459 .8155 L
.77414 .81505 L
.77266 .81357 L
.77222 .81313 L
.77073 .81163 L
.77031 .8112 L
.76881 .80968 L
.76841 .80927 L
.76688 .80772 L
.76652 .80735 L
.76495 .80574 L
.76465 .80542 L
.76303 .80374 L
.76279 .80349 L
.7611 .80173 L
.76094 .80156 L
.75917 .7997 L
.75911 .79964 L
.7573 .79771 L
.75725 .79766 L
.7555 .79578 L
.75532 .79559 L
.75372 .79386 L
.75339 .7935 L
.75195 .79193 L
.75146 .79139 L
.75021 .79 L
.74954 .78926 L
.74848 .78808 L
.74761 .78709 L
.74678 .78615 L
.74568 .78489 L
.7451 .78422 L
.74376 .78265 L
.74345 .7823 L
.74183 .78037 L
.74183 .78037 L
.74023 .77844 L
.7399 .77804 L
.73867 .77651 L
.73798 .77565 L
.73715 .77459 L
.73605 .77315 L
.73568 .77266 L
.73426 .77073 L
.73412 .77056 L
.73291 .76881 L
.7322 .7678 L
.73164 .76688 L
.73048 .76495 L
.73027 .76453 L
.72949 .76303 L
.72862 .7611 L
.72975 .75917 L
F
1 .8 0 r
.7322 .82385 m
.73412 .82346 L
.73605 .8233 L
.73798 .82329 L
.7399 .82339 L
.74183 .82359 L
.74376 .8239 L
.74568 .82432 L
.74712 .82469 L
.74761 .82483 L
.74954 .82546 L
.75146 .8262 L
.75243 .82661 L
.75339 .82706 L
.75532 .82804 L
.75622 .82854 L
.75725 .82915 L
.75917 .83039 L
.75929 .83047 L
.7611 .83178 L
.76189 .8324 L
.76303 .83333 L
.76414 .83432 L
.76495 .83509 L
.76608 .83625 L
.76688 .83713 L
.76771 .83818 L
.76881 .83975 L
.76899 .8401 L
.76982 .84203 L
.76996 .84396 L
.76881 .8458 L
.76869 .84588 L
.76688 .84681 L
.76495 .8472 L
.76303 .84735 L
.7611 .84735 L
.75917 .84722 L
.75725 .84698 L
.75532 .84663 L
.75339 .84618 L
.75233 .84588 L
.75146 .84562 L
.74954 .84495 L
.74761 .84417 L
.74711 .84396 L
.74568 .84328 L
.74376 .84228 L
.74331 .84203 L
.74183 .84116 L
.74019 .8401 L
.7399 .83991 L
.73798 .83852 L
.73752 .83818 L
.73605 .83698 L
.73521 .83625 L
.73412 .83525 L
.7332 .83432 L
.7322 .83325 L
.7315 .8324 L
.73027 .83069 L
.73015 .83047 L
.72927 .82854 L
.72911 .82661 L
.73027 .82484 L
.73048 .82469 L
F
1 .79 0 r
.7322 .82426 m
.73412 .82376 L
.73605 .82356 L
.73798 .82352 L
.7399 .82361 L
.74183 .82382 L
.74376 .82413 L
.74568 .82455 L
.74625 .82469 L
.74761 .82507 L
.74954 .82571 L
.75146 .82646 L
.75183 .82661 L
.75339 .82733 L
.75532 .82833 L
.7557 .82854 L
.75725 .82945 L
.75881 .83047 L
.75917 .83072 L
.7611 .83213 L
.76143 .8324 L
.76303 .83372 L
.76369 .83432 L
.76495 .83554 L
.76563 .83625 L
.76688 .83769 L
.76724 .83818 L
.7685 .8401 L
.76881 .8407 L
.76929 .84203 L
.76934 .84396 L
.76881 .84502 L
.76781 .84588 L
.76688 .84637 L
.76495 .84688 L
.76303 .84707 L
.7611 .84709 L
.75917 .84697 L
.75725 .84673 L
.75532 .84639 L
.75339 .84593 L
.75322 .84588 L
.75146 .84537 L
.74954 .84469 L
.74773 .84396 L
.74761 .8439 L
.74568 .843 L
.74384 .84203 L
.74376 .84199 L
.74183 .84084 L
.74068 .8401 L
.7399 .83958 L
.73799 .83818 L
.73798 .83817 L
.73605 .83659 L
.73566 .83625 L
.73412 .83481 L
.73365 .83432 L
.7322 .8327 L
.73196 .8324 L
.73063 .83047 L
.73027 .82978 L
.72979 .82854 L
.72972 .82661 L
.73027 .82556 L
.73135 .82469 L
F
1 .78 0 r
.73412 .82408 m
.73605 .82383 L
.73798 .82377 L
.7399 .82385 L
.74183 .82405 L
.74376 .82436 L
.74532 .82469 L
.74568 .82478 L
.74761 .82531 L
.74954 .82596 L
.75122 .82661 L
.75146 .82672 L
.75339 .8276 L
.75519 .82854 L
.75532 .82861 L
.75725 .82976 L
.75834 .83047 L
.75917 .83104 L
.76098 .8324 L
.7611 .83249 L
.76303 .83412 L
.76325 .83432 L
.76495 .836 L
.76518 .83625 L
.76679 .83818 L
.76688 .83826 L
.76802 .8401 L
.76877 .84203 L
.76872 .84396 L
.76688 .84587 L
.76685 .84588 L
.76495 .84653 L
.76303 .84678 L
.7611 .84683 L
.75917 .84672 L
.75725 .84649 L
.75532 .84614 L
.75416 .84588 L
.75339 .84568 L
.75146 .84511 L
.74954 .84443 L
.74835 .84396 L
.74761 .84364 L
.74568 .84272 L
.74436 .84203 L
.74376 .84169 L
.74183 .84054 L
.74116 .8401 L
.7399 .83925 L
.73844 .83818 L
.73798 .83782 L
.7361 .83625 L
.73605 .8362 L
.73412 .83436 L
.73409 .83432 L
.73241 .8324 L
.7322 .83219 L
.7311 .83047 L
.7303 .82854 L
.73032 .82661 L
.7322 .82473 L
.73229 .82469 L
F
1 .77 0 r
.73412 .82444 m
.73605 .82411 L
.73798 .82402 L
.7399 .82408 L
.74183 .82428 L
.74376 .82459 L
.74428 .82469 L
.74568 .82501 L
.74761 .82555 L
.74954 .8262 L
.75061 .82661 L
.75146 .82697 L
.75339 .82787 L
.75467 .82854 L
.75532 .8289 L
.75725 .83006 L
.75787 .83047 L
.75917 .83137 L
.76053 .8324 L
.7611 .83284 L
.76281 .83432 L
.76303 .83452 L
.76474 .83625 L
.76495 .83646 L
.76634 .83818 L
.76688 .83877 L
.76755 .8401 L
.76824 .84203 L
.76809 .84396 L
.76688 .84533 L
.76579 .84588 L
.76495 .84615 L
.76303 .84648 L
.7611 .84655 L
.75917 .84647 L
.75725 .84624 L
.75532 .8459 L
.75525 .84588 L
.75339 .84544 L
.75146 .84486 L
.74954 .84417 L
.74899 .84396 L
.74761 .84337 L
.74568 .84245 L
.74488 .84203 L
.74376 .8414 L
.74183 .84023 L
.74163 .8401 L
.7399 .83892 L
.73889 .83818 L
.73798 .83746 L
.73654 .83625 L
.73605 .83582 L
.73453 .83432 L
.73412 .83391 L
.73285 .8324 L
.7322 .83164 L
.73157 .83047 L
.73082 .82854 L
.73094 .82661 L
.7322 .82523 L
.73331 .82469 L
F
1 .76 0 r
.73605 .8244 m
.73798 .82428 L
.7399 .82432 L
.74183 .82451 L
.74312 .82469 L
.74376 .82482 L
.74568 .82524 L
.74761 .82578 L
.74954 .82645 L
.74998 .82661 L
.75146 .82723 L
.75339 .82814 L
.75416 .82854 L
.75532 .82918 L
.75725 .83036 L
.75741 .83047 L
.75917 .8317 L
.7601 .8324 L
.7611 .8332 L
.76238 .83432 L
.76303 .83492 L
.76431 .83625 L
.76495 .83694 L
.7659 .83818 L
.76688 .8396 L
.76708 .8401 L
.76772 .84203 L
.76744 .84396 L
.76688 .84468 L
.76495 .8458 L
.7646 .84588 L
.76303 .84616 L
.7611 .84628 L
.75917 .84621 L
.75725 .84599 L
.75649 .84588 L
.75532 .84565 L
.75339 .84519 L
.75146 .84461 L
.74963 .84396 L
.74954 .84392 L
.74761 .84311 L
.74568 .84217 L
.74541 .84203 L
.74376 .84112 L
.7421 .8401 L
.74183 .83993 L
.7399 .8386 L
.73933 .83818 L
.73798 .83711 L
.73697 .83625 L
.73605 .83542 L
.73496 .83432 L
.73412 .83344 L
.73329 .8324 L
.7322 .83083 L
.73203 .83047 L
.73133 .82854 L
.73157 .82661 L
.7322 .82583 L
.73412 .82474 L
.73448 .82469 L
F
1 .75 0 r
.73798 .82454 m
.7399 .82457 L
.74134 .82469 L
.74183 .82474 L
.74376 .82504 L
.74568 .82547 L
.74761 .82602 L
.74933 .82661 L
.74954 .82669 L
.75146 .82748 L
.75339 .82841 L
.75365 .82854 L
.75532 .82946 L
.75695 .83047 L
.75725 .83066 L
.75917 .83202 L
.75966 .8324 L
.7611 .83356 L
.76195 .83432 L
.76303 .83533 L
.76389 .83625 L
.76495 .83746 L
.76546 .83818 L
.76661 .8401 L
.76688 .84074 L
.76719 .84203 L
.76688 .84378 L
.76677 .84396 L
.76495 .8455 L
.76303 .84583 L
.76257 .84588 L
.7611 .84599 L
.75917 .84594 L
.75845 .84588 L
.75725 .84574 L
.75532 .84541 L
.75339 .84495 L
.75146 .84436 L
.7503 .84396 L
.74954 .84367 L
.74761 .84284 L
.74593 .84203 L
.74568 .8419 L
.74376 .84083 L
.74257 .8401 L
.74183 .83963 L
.7399 .83827 L
.73977 .83818 L
.73798 .83675 L
.7374 .83625 L
.73605 .83501 L
.73538 .83432 L
.73412 .83293 L
.73373 .8324 L
.73249 .83047 L
.7322 .82981 L
.73184 .82854 L
.7322 .82664 L
.73221 .82661 L
.73412 .82499 L
.73605 .82471 L
.73625 .82469 L
F
1 .74 0 r
.73412 .82539 m
.73605 .82497 L
.73798 .82481 L
.7399 .82481 L
.74183 .82497 L
.74376 .82528 L
.74568 .82571 L
.74761 .82626 L
.74867 .82661 L
.74954 .82693 L
.75146 .82774 L
.75313 .82854 L
.75339 .82867 L
.75532 .82975 L
.75649 .83047 L
.75725 .83096 L
.75917 .83235 L
.75923 .8324 L
.7611 .83393 L
.76153 .83432 L
.76303 .83577 L
.76347 .83625 L
.76495 .83807 L
.76502 .83818 L
.76615 .8401 L
.76666 .84203 L
.76608 .84396 L
.76495 .84505 L
.76303 .84554 L
.7611 .84571 L
.75917 .84568 L
.75725 .8455 L
.75532 .84516 L
.75339 .8447 L
.75146 .84412 L
.751 .84396 L
.74954 .84341 L
.74761 .84258 L
.74646 .84203 L
.74568 .84163 L
.74376 .84055 L
.74303 .8401 L
.74183 .83933 L
.74021 .83818 L
.7399 .83795 L
.73798 .83639 L
.73782 .83625 L
.73605 .83458 L
.7358 .83432 L
.73416 .8324 L
.73412 .83235 L
.73295 .83047 L
.73236 .82854 L
.73287 .82661 L
F
1 .86 0 r
.73412 .76273 m
.7354 .76303 L
.73605 .76315 L
.73798 .76403 L
.73967 .76495 L
.7399 .76507 L
.74183 .76621 L
.74295 .76688 L
.74376 .76742 L
.74568 .76872 L
.74582 .76881 L
.74761 .77005 L
.74859 .77073 L
.74954 .77142 L
.75122 .77266 L
.75146 .77284 L
.75339 .77429 L
.75379 .77459 L
.75532 .77576 L
.75629 .77651 L
.75725 .77727 L
.75873 .77844 L
.75917 .77879 L
.7611 .78034 L
.76113 .78037 L
.76303 .78191 L
.7635 .7823 L
.76495 .78349 L
.76583 .78422 L
.76688 .7851 L
.76813 .78615 L
.76881 .78672 L
.77041 .78808 L
.77073 .78836 L
.77265 .79 L
.77266 .79001 L
.77459 .79168 L
.77488 .79193 L
.77651 .79336 L
.77708 .79386 L
.77844 .79505 L
.77927 .79578 L
.78037 .79676 L
.78143 .79771 L
.7823 .79848 L
.78358 .79964 L
.78422 .80022 L
.78571 .80156 L
.78615 .80196 L
.78782 .80349 L
.78808 .80372 L
.78992 .80542 L
.79 .8055 L
.79193 .80728 L
.792 .80735 L
.79386 .80908 L
.79407 .80927 L
.79578 .81089 L
.79612 .8112 L
.79771 .81271 L
.79815 .81313 L
.79964 .81454 L
.80017 .81505 L
.80156 .81639 L
.80218 .81698 L
.80349 .81825 L
.80417 .81891 L
.80542 .82012 L
.80615 .82083 L
.80735 .822 L
.80812 .82276 L
.80927 .8239 L
.81007 .82469 L
.8112 .82581 L
.812 .82661 L
.81313 .82774 L
.81392 .82854 L
.81505 .82968 L
.81583 .83047 L
.81698 .83164 L
.81772 .8324 L
.81891 .83361 L
.8196 .83432 L
.82083 .8356 L
.82146 .83625 L
.82276 .8376 L
.82331 .83818 L
.82469 .83963 L
.82514 .8401 L
.82661 .84167 L
.82695 .84203 L
.82854 .84374 L
.82875 .84396 L
.83047 .84582 L
.83052 .84588 L
.83228 .84781 L
.8324 .84794 L
.83402 .84974 L
.83432 .85008 L
.83573 .85166 L
.83625 .85225 L
.83742 .85359 L
.83818 .85446 L
.83909 .85552 L
.8401 .85671 L
.84072 .85745 L
.84203 .85901 L
.84233 .85937 L
.8439 .8613 L
.84396 .86137 L
.84543 .86323 L
.84588 .86379 L
.84692 .86515 L
.84781 .86633 L
.84835 .86708 L
.8497 .86901 L
.84974 .86904 L
.85099 .87093 L
.85166 .87187 L
.85213 .87286 L
.85315 .87479 L
.85359 .87654 L
.85362 .87671 L
.85359 .8773 L
.85166 .87818 L
.84974 .87765 L
.84784 .87671 L
.84781 .8767 L
.84588 .87567 L
.84436 .87479 L
.84396 .8745 L
.84203 .87326 L
.84142 .87286 L
.8401 .87196 L
.83862 .87093 L
.83818 .87061 L
.83625 .86922 L
.83596 .86901 L
.83432 .8678 L
.83336 .86708 L
.8324 .86634 L
.83085 .86515 L
.83047 .86486 L
.82854 .86335 L
.82839 .86323 L
.82661 .86182 L
.82597 .8613 L
.82469 .86026 L
.82359 .85937 L
.82276 .85869 L
.82125 .85745 L
.82083 .8571 L
.81894 .85552 L
.81891 .85549 L
.81698 .85387 L
.81665 .85359 L
.81505 .85223 L
.8144 .85166 L
.81313 .85057 L
.81216 .84974 L
.8112 .8489 L
.80995 .84781 L
.80927 .84722 L
.80775 .84588 L
.80735 .84552 L
.80558 .84396 L
.80542 .84381 L
.80349 .84209 L
.80343 .84203 L
.80156 .84035 L
.80129 .8401 L
.79964 .8386 L
.79917 .83818 L
.79771 .83684 L
.79707 .83625 L
.79578 .83507 L
.79498 .83432 L
.79386 .83328 L
.79291 .8324 L
.79193 .83148 L
.79086 .83047 L
.79 .82967 L
.78882 .82854 L
.78808 .82784 L
.78679 .82661 L
.78615 .826 L
.78478 .82469 L
.78422 .82415 L
.78279 .82276 L
.7823 .82228 L
.78081 .82083 L
.78037 .82041 L
.77884 .81891 L
.77844 .81851 L
.77689 .81698 L
.77651 .81661 L
.77495 .81505 L
.77459 .81469 L
.77303 .81313 L
.77266 .81276 L
.77112 .8112 L
.77073 .81081 L
.76922 .80927 L
.76881 .80885 L
.76734 .80735 L
.76688 .80687 L
.76547 .80542 L
.76495 .80488 L
.76362 .80349 L
.76303 .80287 L
.76179 .80156 L
.7611 .80084 L
.75997 .79964 L
.75917 .79879 L
.75816 .79771 L
.75725 .79672 L
.75638 .79578 L
.75532 .79463 L
.75461 .79386 L
.75339 .79251 L
.75287 .79193 L
.75146 .79036 L
.75115 .79 L
.74954 .78818 L
.74945 .78808 L
.74777 .78615 L
.74761 .78597 L
.74612 .78422 L
.74568 .78371 L
.7445 .7823 L
.74376 .7814 L
.74292 .78037 L
.74183 .77902 L
.74137 .77844 L
.7399 .77655 L
.73988 .77651 L
.73842 .77459 L
.73798 .77401 L
.73703 .77266 L
.73605 .77124 L
.73574 .77073 L
.73453 .76881 L
.73412 .76804 L
.7335 .76688 L
.73256 .76495 L
.73313 .76303 L
F
1 .73 0 r
.73412 .826 m
.73605 .82527 L
.73798 .82506 L
.7399 .82506 L
.74183 .82521 L
.74376 .82551 L
.74568 .82594 L
.74761 .8265 L
.74797 .82661 L
.74954 .82718 L
.75146 .82799 L
.75261 .82854 L
.75339 .82894 L
.75532 .83003 L
.75603 .83047 L
.75725 .83127 L
.7588 .8324 L
.75917 .83268 L
.7611 .83431 L
.76112 .83432 L
.76303 .83623 L
.76305 .83625 L
.76459 .83818 L
.76495 .83873 L
.76568 .8401 L
.76613 .84203 L
.76534 .84396 L
.76495 .84438 L
.76303 .8452 L
.7611 .84542 L
.75917 .84542 L
.75725 .84524 L
.75532 .84491 L
.75339 .84445 L
.75173 .84396 L
.75146 .84387 L
.74954 .84316 L
.74761 .84232 L
.747 .84203 L
.74568 .84136 L
.74376 .84026 L
.7435 .8401 L
.74183 .83902 L
.74064 .83818 L
.7399 .83762 L
.73824 .83625 L
.73798 .83603 L
.73622 .83432 L
.73605 .83417 L
.73459 .8324 L
.73412 .83173 L
.73341 .83047 L
.73288 .82854 L
.73357 .82661 L
F
1 .72 0 r
.73605 .82564 m
.73798 .82534 L
.7399 .82531 L
.74183 .82545 L
.74376 .82575 L
.74568 .82618 L
.74723 .82661 L
.74761 .82674 L
.74954 .82742 L
.75146 .82825 L
.75208 .82854 L
.75339 .82921 L
.75532 .83031 L
.75557 .83047 L
.75725 .83157 L
.75837 .8324 L
.75917 .83301 L
.7607 .83432 L
.7611 .83467 L
.76263 .83625 L
.76303 .83663 L
.76416 .83818 L
.76495 .83953 L
.76521 .8401 L
.76558 .84203 L
.76495 .84357 L
.76456 .84396 L
.76303 .84479 L
.7611 .84511 L
.75917 .84514 L
.75725 .84498 L
.75532 .84466 L
.75339 .8442 L
.75251 .84396 L
.75146 .84362 L
.74954 .8429 L
.74761 .84206 L
.74755 .84203 L
.74568 .84109 L
.74397 .8401 L
.74376 .83998 L
.74183 .83872 L
.74107 .83818 L
.7399 .83729 L
.73865 .83625 L
.73798 .83566 L
.73664 .83432 L
.73605 .83375 L
.73502 .8324 L
.73412 .83098 L
.73387 .83047 L
.73341 .82854 L
.73412 .82681 L
.73432 .82661 L
F
1 .71 0 r
.73605 .82608 m
.73798 .82565 L
.7399 .82558 L
.74183 .8257 L
.74376 .82599 L
.74568 .82642 L
.74642 .82661 L
.74761 .82698 L
.74954 .82767 L
.75146 .82851 L
.75154 .82854 L
.75339 .82947 L
.75511 .83047 L
.75532 .8306 L
.75725 .83188 L
.75794 .8324 L
.75917 .83335 L
.76029 .83432 L
.7611 .83506 L
.76221 .83625 L
.76303 .83712 L
.76372 .83818 L
.76474 .8401 L
.76495 .84085 L
.76502 .84203 L
.76495 .84234 L
.76369 .84396 L
.76303 .84431 L
.7611 .84478 L
.75917 .84486 L
.75725 .84471 L
.75532 .84441 L
.75341 .84396 L
.75339 .84395 L
.75146 .84337 L
.74954 .84265 L
.74811 .84203 L
.74761 .8418 L
.74568 .84081 L
.74444 .8401 L
.74376 .83969 L
.74183 .83841 L
.74151 .83818 L
.7399 .83695 L
.73907 .83625 L
.73798 .83528 L
.73705 .83432 L
.73605 .83326 L
.73544 .8324 L
.73433 .83047 L
.73412 .82987 L
.73395 .82854 L
.73412 .82782 L
.73512 .82661 L
F
1 .7 0 r
.73798 .82599 m
.7399 .82586 L
.74183 .82596 L
.74376 .82624 L
.74553 .82661 L
.74568 .82666 L
.74761 .82722 L
.74954 .82792 L
.75099 .82854 L
.75146 .82876 L
.75339 .82975 L
.75464 .83047 L
.75532 .83088 L
.75725 .8322 L
.75751 .8324 L
.75917 .8337 L
.75987 .83432 L
.7611 .83547 L
.7618 .83625 L
.76303 .83773 L
.76329 .83818 L
.76426 .8401 L
.76444 .84203 L
.76303 .84377 L
.76274 .84396 L
.7611 .84441 L
.75917 .84455 L
.75725 .84444 L
.75532 .84414 L
.75436 .84396 L
.75339 .8437 L
.75146 .84312 L
.74954 .84239 L
.74869 .84203 L
.74761 .84154 L
.74568 .84054 L
.74492 .8401 L
.74376 .8394 L
.74194 .83818 L
.74183 .8381 L
.7399 .83661 L
.73949 .83625 L
.73798 .83487 L
.73747 .83432 L
.73605 .83267 L
.73587 .8324 L
.7348 .83047 L
.73451 .82854 L
.73605 .82662 L
.73605 .82661 L
F
1 .69 0 r
.73798 .82637 m
.7399 .82616 L
.74183 .82623 L
.74376 .82649 L
.74447 .82661 L
.74568 .8269 L
.74761 .82746 L
.74954 .82817 L
.75041 .82854 L
.75146 .82902 L
.75339 .83002 L
.75417 .83047 L
.75532 .83117 L
.75708 .8324 L
.75725 .83251 L
.75917 .83407 L
.75945 .83432 L
.7611 .83593 L
.76138 .83625 L
.76285 .83818 L
.76303 .83846 L
.76378 .8401 L
.76384 .84203 L
.76303 .84316 L
.76135 .84396 L
.7611 .84401 L
.75917 .84423 L
.75725 .84415 L
.75577 .84396 L
.75532 .84388 L
.75339 .84345 L
.75146 .84286 L
.74954 .84213 L
.74929 .84203 L
.74761 .84127 L
.74568 .84026 L
.7454 .8401 L
.74376 .83911 L
.74238 .83818 L
.74183 .83779 L
.73991 .83625 L
.7399 .83625 L
.73798 .83443 L
.73788 .83432 L
.73631 .8324 L
.73605 .83201 L
.73527 .83047 L
.73508 .82854 L
.73605 .82717 L
.73704 .82661 L
F
1 .68 0 r
.7399 .82648 m
.74183 .82651 L
.74283 .82661 L
.74376 .82674 L
.74568 .82715 L
.74761 .82771 L
.74954 .82843 L
.74981 .82854 L
.75146 .82928 L
.75339 .8303 L
.75369 .83047 L
.75532 .83147 L
.75665 .8324 L
.75725 .83283 L
.75903 .83432 L
.75917 .83443 L
.76096 .83625 L
.7611 .83632 L
.76241 .83818 L
.76303 .83937 L
.76328 .8401 L
.7632 .84203 L
.76303 .84233 L
.7611 .84384 L
.75917 .84391 L
.75725 .84387 L
.75532 .84362 L
.75339 .84319 L
.75146 .8426 L
.74992 .84203 L
.74954 .84187 L
.74761 .84101 L
.7459 .8401 L
.74568 .83998 L
.74376 .83881 L
.74282 .83818 L
.74183 .83747 L
.74033 .83625 L
.7399 .83591 L
.7383 .83432 L
.73798 .83409 L
.73674 .8324 L
.73605 .8312 L
.73575 .83047 L
.73568 .82854 L
.73605 .8279 L
.73798 .82678 L
.73871 .82661 L
F
1 .67 0 r
.73798 .82721 m
.7399 .82674 L
.74183 .82677 L
.74376 .82699 L
.74568 .8274 L
.74761 .82797 L
.74918 .82854 L
.74954 .82869 L
.75146 .82955 L
.7532 .83047 L
.75339 .83058 L
.75532 .83177 L
.75621 .8324 L
.75725 .83315 L
.75861 .83432 L
.75917 .83479 L
.76053 .83625 L
.7611 .83664 L
.76196 .83818 L
.76277 .8401 L
.76253 .84203 L
.7611 .8435 L
.75917 .84363 L
.75725 .8436 L
.75532 .84335 L
.75339 .84292 L
.75146 .84234 L
.7506 .84203 L
.74954 .84161 L
.74761 .84073 L
.7464 .8401 L
.74568 .83971 L
.74376 .83851 L
.74327 .83818 L
.74183 .83714 L
.74075 .83625 L
.7399 .83554 L
.73872 .83432 L
.73798 .83367 L
.73718 .8324 L
.73624 .83047 L
.73631 .82854 L
F
1 .85 0 r
.73798 .76627 m
.73974 .76688 L
.7399 .7669 L
.74183 .76776 L
.74367 .76881 L
.74376 .76885 L
.74568 .77001 L
.74686 .77073 L
.74761 .77125 L
.74954 .77257 L
.74967 .77266 L
.75146 .77392 L
.75239 .77459 L
.75339 .77532 L
.75499 .77651 L
.75532 .77676 L
.75725 .77823 L
.75752 .77844 L
.75917 .77973 L
.75999 .78037 L
.7611 .78125 L
.76241 .7823 L
.76303 .7828 L
.76478 .78422 L
.76495 .78436 L
.76688 .78595 L
.76712 .78615 L
.76881 .78756 L
.76943 .78808 L
.77073 .78918 L
.7717 .79 L
.77266 .79082 L
.77395 .79193 L
.77459 .79248 L
.77618 .79386 L
.77651 .79415 L
.77838 .79578 L
.77844 .79584 L
.78037 .79754 L
.78056 .79771 L
.7823 .79926 L
.78272 .79964 L
.78422 .80099 L
.78486 .80156 L
.78615 .80273 L
.78699 .80349 L
.78808 .80449 L
.78909 .80542 L
.79 .80626 L
.79118 .80735 L
.79193 .80804 L
.79325 .80927 L
.79386 .80984 L
.79531 .8112 L
.79578 .81165 L
.79735 .81313 L
.79771 .81347 L
.79937 .81505 L
.79964 .81531 L
.80138 .81698 L
.80156 .81716 L
.80337 .81891 L
.80349 .81902 L
.80535 .82083 L
.80542 .8209 L
.80732 .82276 L
.80735 .82279 L
.80927 .82469 L
.80927 .82469 L
.8112 .82661 L
.8112 .82661 L
.81312 .82854 L
.81313 .82855 L
.81502 .83047 L
.81505 .8305 L
.81691 .8324 L
.81698 .83247 L
.81878 .83432 L
.81891 .83446 L
.82063 .83625 L
.82083 .83646 L
.82247 .83818 L
.82276 .83848 L
.82429 .8401 L
.82469 .84053 L
.82609 .84203 L
.82661 .8426 L
.82787 .84396 L
.82854 .84469 L
.82963 .84588 L
.83047 .84681 L
.83137 .84781 L
.8324 .84896 L
.83308 .84974 L
.83432 .85115 L
.83477 .85166 L
.83625 .85338 L
.83643 .85359 L
.83806 .85552 L
.83818 .85565 L
.83966 .85745 L
.8401 .85797 L
.84122 .85937 L
.84203 .86038 L
.84274 .8613 L
.84396 .8629 L
.84419 .86323 L
.84559 .86515 L
.84588 .86549 L
.84691 .86708 L
.84781 .86844 L
.8481 .86901 L
.84918 .87093 L
.84974 .87274 L
.84977 .87286 L
.84974 .8739 L
.84781 .87451 L
.84588 .87396 L
.84396 .87295 L
.84376 .87286 L
.84203 .87189 L
.84043 .87093 L
.8401 .87069 L
.83818 .86942 L
.83755 .86901 L
.83625 .8681 L
.8348 .86708 L
.83432 .86673 L
.8324 .86531 L
.83218 .86515 L
.83047 .86387 L
.82962 .86323 L
.82854 .8624 L
.82713 .8613 L
.82661 .86089 L
.8247 .85937 L
.82469 .85936 L
.82276 .85781 L
.82231 .85745 L
.82083 .85624 L
.81996 .85552 L
.81891 .85465 L
.81764 .85359 L
.81698 .85304 L
.81536 .85166 L
.81505 .85141 L
.81313 .84976 L
.8131 .84974 L
.8112 .8481 L
.81086 .84781 L
.80927 .84643 L
.80865 .84588 L
.80735 .84474 L
.80646 .84396 L
.80542 .84303 L
.80429 .84203 L
.80349 .84131 L
.80214 .8401 L
.80156 .83958 L
.80001 .83818 L
.79964 .83783 L
.7979 .83625 L
.79771 .83607 L
.79581 .83432 L
.79578 .8343 L
.79386 .83251 L
.79373 .8324 L
.79193 .83071 L
.79167 .83047 L
.79 .8289 L
.78963 .82854 L
.78808 .82707 L
.7876 .82661 L
.78615 .82523 L
.78558 .82469 L
.78422 .82337 L
.78359 .82276 L
.7823 .82151 L
.78161 .82083 L
.78037 .81962 L
.77964 .81891 L
.77844 .81773 L
.77769 .81698 L
.77651 .81581 L
.77575 .81505 L
.77459 .81389 L
.77383 .81313 L
.77266 .81195 L
.77192 .8112 L
.77073 .80999 L
.77003 .80927 L
.76881 .80801 L
.76816 .80735 L
.76688 .80602 L
.7663 .80542 L
.76495 .80401 L
.76446 .80349 L
.76303 .80198 L
.76263 .80156 L
.7611 .79993 L
.76082 .79964 L
.75917 .79786 L
.75904 .79771 L
.75727 .79578 L
.75725 .79576 L
.75552 .79386 L
.75532 .79363 L
.7538 .79193 L
.75339 .79148 L
.7521 .79 L
.75146 .78928 L
.75042 .78808 L
.74954 .78705 L
.74878 .78615 L
.74761 .78476 L
.74717 .78422 L
.74568 .7824 L
.7456 .7823 L
.74407 .78037 L
.74376 .77999 L
.74258 .77844 L
.74183 .77746 L
.74117 .77651 L
.7399 .7747 L
.73983 .77459 L
.73857 .77266 L
.73798 .77159 L
.73749 .77073 L
.73648 .76881 L
.73668 .76688 L
F
1 .66 0 r
.73798 .82772 m
.7399 .82701 L
.74183 .82704 L
.74376 .82726 L
.74568 .82766 L
.74761 .82823 L
.7485 .82854 L
.74954 .82894 L
.75146 .82982 L
.75269 .83047 L
.75339 .83086 L
.75532 .83208 L
.75576 .8324 L
.75725 .8335 L
.75819 .83432 L
.75917 .83519 L
.7601 .83625 L
.7611 .83727 L
.7615 .83818 L
.76225 .8401 L
.76179 .84203 L
.7611 .84285 L
.75917 .8433 L
.75725 .8433 L
.75532 .84307 L
.75339 .84265 L
.75146 .84207 L
.75136 .84203 L
.74954 .84135 L
.74761 .84045 L
.74693 .8401 L
.74568 .83942 L
.74376 .83819 L
.74373 .83818 L
.74183 .83679 L
.74118 .83625 L
.7399 .83514 L
.73915 .83432 L
.73798 .83305 L
.73763 .8324 L
.73675 .83047 L
.73699 .82854 L
F
1 .65 0 r
.73798 .82834 m
.7399 .82736 L
.74183 .82733 L
.74376 .82754 L
.74568 .82793 L
.74761 .8285 L
.74773 .82854 L
.74954 .8292 L
.75146 .8301 L
.75217 .83047 L
.75339 .83114 L
.7553 .8324 L
.75532 .83241 L
.75725 .83387 L
.75775 .83432 L
.75917 .83565 L
.75966 .83625 L
.76104 .83818 L
.7611 .8383 L
.7617 .8401 L
.7611 .84187 L
.76097 .84203 L
.75917 .84289 L
.75725 .84297 L
.75532 .84277 L
.75339 .84237 L
.75213 .84203 L
.75146 .8418 L
.74954 .84107 L
.74761 .84017 L
.74748 .8401 L
.74568 .83913 L
.74419 .83818 L
.74376 .8379 L
.74183 .83643 L
.74162 .83625 L
.7399 .83468 L
.73959 .83432 L
.73809 .8324 L
.73798 .83221 L
.73727 .83047 L
.73775 .82854 L
F
1 .64 0 r
.7399 .82782 m
.74183 .82766 L
.74376 .82783 L
.74568 .82822 L
.74696 .82854 L
.74761 .82876 L
.74954 .82948 L
.75146 .83039 L
.75162 .83047 L
.75339 .83144 L
.75484 .8324 L
.75532 .83271 L
.75725 .83427 L
.75731 .83432 L
.75917 .83619 L
.75922 .83625 L
.76056 .83818 L
.7611 .83979 L
.76112 .8401 L
.7611 .84042 L
.76003 .84203 L
.75917 .84237 L
.75725 .84261 L
.75532 .84246 L
.75339 .84207 L
.75321 .84203 L
.75146 .84153 L
.74954 .84079 L
.74805 .8401 L
.74761 .83989 L
.74568 .83882 L
.74467 .83818 L
.74376 .83758 L
.74207 .83625 L
.74183 .83609 L
.74003 .83432 L
.7399 .83418 L
.73855 .8324 L
.73798 .83114 L
.73782 .83047 L
.73798 .82935 L
.73852 .82854 L
F
1 .63 0 r
.7399 .82842 m
.74183 .82804 L
.74376 .82815 L
.74568 .82851 L
.74582 .82854 L
.74761 .82902 L
.74954 .82976 L
.75105 .83047 L
.75146 .83067 L
.75339 .83176 L
.75435 .8324 L
.75532 .83303 L
.75686 .83432 L
.75725 .83456 L
.75876 .83625 L
.75917 .83677 L
.76007 .83818 L
.76053 .8401 L
.75917 .84178 L
.75843 .84203 L
.75725 .84221 L
.75532 .84212 L
.7547 .84203 L
.75339 .8418 L
.75146 .84125 L
.74954 .8405 L
.74865 .8401 L
.74761 .83961 L
.74568 .83851 L
.74517 .83818 L
.74376 .83724 L
.74252 .83625 L
.74183 .83576 L
.74048 .83432 L
.7399 .83364 L
.73904 .8324 L
.73839 .83047 L
.73965 .82854 L
F
1 .62 0 r
.74183 .82847 m
.74376 .8285 L
.74413 .82854 L
.74568 .82877 L
.74761 .82931 L
.74954 .83006 L
.75044 .83047 L
.75146 .83095 L
.75339 .83209 L
.75385 .8324 L
.75532 .83339 L
.75639 .83432 L
.75725 .83493 L
.75829 .83625 L
.75917 .83748 L
.75955 .83818 L
.75987 .8401 L
.75917 .84111 L
.75725 .84178 L
.75532 .84185 L
.75339 .84151 L
.75146 .84095 L
.74954 .84019 L
.74933 .8401 L
.74761 .83931 L
.74569 .83818 L
.74568 .83817 L
.74376 .83688 L
.74299 .83625 L
.74183 .83535 L
.74095 .83432 L
.7399 .83299 L
.73954 .8324 L
.739 .83047 L
.7399 .82906 L
.74136 .82854 L
F
1 .61 0 r
.7399 .82997 m
.74183 .82892 L
.74376 .8287 L
.74568 .82905 L
.74761 .82961 L
.74954 .83038 L
.74975 .83047 L
.75146 .83126 L
.75332 .8324 L
.75339 .83243 L
.75532 .8338 L
.75591 .83432 L
.75725 .83545 L
.7578 .83625 L
.75901 .83818 L
.75912 .8401 L
.75725 .84131 L
.75532 .84156 L
.75339 .8412 L
.75146 .84063 L
.75001 .8401 L
.74954 .83991 L
.74761 .83899 L
.74622 .83818 L
.74568 .83789 L
.74376 .83648 L
.74348 .83625 L
.74183 .83483 L
.74143 .83432 L
.74006 .8324 L
.7399 .83203 L
.73969 .83047 L
F
1 1 1 r
.7399 .85265 m
.74183 .85186 L
.74376 .85181 L
.74568 .85187 L
.74761 .85185 L
.74954 .85195 L
.75146 .85203 L
.75339 .8521 L
.75532 .85215 L
.75725 .85219 L
.75917 .85222 L
.7611 .85225 L
.76303 .85226 L
.76495 .85227 L
.76688 .85228 L
.76881 .85228 L
.77073 .85227 L
.77266 .85227 L
.77459 .85225 L
.77651 .85223 L
.77844 .85221 L
.78037 .85217 L
.7823 .85212 L
.78422 .85205 L
.78615 .85196 L
.78808 .85186 L
.79 .85182 L
.79193 .85192 L
.79386 .85229 L
.79578 .85296 L
.79708 .85359 L
.79771 .85392 L
.79964 .85508 L
.8003 .85552 L
.80156 .85638 L
.80302 .85745 L
.80349 .8578 L
.80542 .8593 L
.80551 .85937 L
.80735 .86087 L
.80786 .8613 L
.80927 .8625 L
.81011 .86323 L
.8112 .86418 L
.81229 .86515 L
.81313 .86591 L
.8144 .86708 L
.81505 .86769 L
.81645 .86901 L
.81698 .86952 L
.81844 .87093 L
.81891 .87139 L
.82038 .87286 L
.82083 .87331 L
.82227 .87479 L
.82276 .87529 L
.8241 .87671 L
.82469 .87732 L
.82586 .87864 L
.82661 .87943 L
.82753 .88057 L
.82854 .88164 L
.82909 .8825 L
.83047 .88442 L
.83047 .88443 L
.83144 .88635 L
.83047 .88776 L
.82854 .88774 L
.82661 .88771 L
.82469 .88734 L
.82276 .88707 L
.82083 .88685 L
.81891 .88668 L
.81698 .88655 L
.81505 .88646 L
.81313 .88639 L
.81177 .88635 L
.8112 .88634 L
.80927 .8863 L
.80735 .88627 L
.80542 .88626 L
.80349 .88625 L
.80156 .88624 L
.79964 .88625 L
.79771 .88626 L
.79578 .88628 L
.79386 .88631 L
.79216 .88635 L
.79193 .88635 L
.79 .8864 L
.78808 .88646 L
.78615 .88652 L
.78422 .8866 L
.7823 .88705 L
.78037 .88715 L
.77844 .88762 L
.77651 .88776 L
.77459 .88734 L
.77266 .88643 L
.77251 .88635 L
.77073 .88527 L
.76952 .88442 L
.76881 .88392 L
.76694 .8825 L
.76688 .88245 L
.76495 .88091 L
.76455 .88057 L
.76303 .87929 L
.76228 .87864 L
.7611 .87762 L
.76009 .87671 L
.75917 .87589 L
.75797 .87479 L
.75725 .87412 L
.75591 .87286 L
.75532 .8723 L
.7539 .87093 L
.75339 .87043 L
.75195 .86901 L
.75146 .86852 L
.75005 .86708 L
.74954 .86655 L
.74821 .86515 L
.74761 .86451 L
.74644 .86323 L
.74568 .86239 L
.74474 .8613 L
.74376 .86015 L
.74315 .85937 L
.74183 .85767 L
.74169 .85745 L
.74046 .85552 L
.7399 .85431 L
.73973 .85359 L
F
1 .84 0 r
.74183 .77008 m
.74376 .77064 L
.74397 .77073 L
.74568 .7715 L
.74761 .77264 L
.74765 .77266 L
.74954 .77382 L
.75075 .77459 L
.75146 .77509 L
.75339 .77644 L
.75351 .77651 L
.75532 .77781 L
.75618 .77844 L
.75725 .77923 L
.75875 .78037 L
.75917 .7807 L
.7611 .78219 L
.76124 .7823 L
.76303 .78371 L
.76368 .78422 L
.76495 .78525 L
.76607 .78615 L
.76688 .78682 L
.76841 .78808 L
.76881 .7884 L
.77072 .79 L
.77073 .79001 L
.77266 .79164 L
.773 .79193 L
.77459 .79329 L
.77525 .79386 L
.77651 .79495 L
.77748 .79578 L
.77844 .79663 L
.77968 .79771 L
.78037 .79832 L
.78185 .79964 L
.7823 .80003 L
.78401 .80156 L
.78422 .80176 L
.78614 .80349 L
.78615 .8035 L
.78808 .80525 L
.78826 .80542 L
.79 .80702 L
.79036 .80735 L
.79193 .8088 L
.79244 .80927 L
.79386 .8106 L
.7945 .8112 L
.79578 .81241 L
.79654 .81313 L
.79771 .81423 L
.79857 .81505 L
.79964 .81607 L
.80058 .81698 L
.80156 .81793 L
.80258 .81891 L
.80349 .81979 L
.80456 .82083 L
.80542 .82168 L
.80652 .82276 L
.80735 .82357 L
.80847 .82469 L
.80927 .82549 L
.8104 .82661 L
.8112 .82742 L
.81231 .82854 L
.81313 .82937 L
.81421 .83047 L
.81505 .83133 L
.81609 .8324 L
.81698 .83331 L
.81795 .83432 L
.81891 .83532 L
.8198 .83625 L
.82083 .83734 L
.82162 .83818 L
.82276 .83939 L
.82343 .8401 L
.82469 .84146 L
.82521 .84203 L
.82661 .84356 L
.82698 .84396 L
.82854 .84569 L
.82872 .84588 L
.83043 .84781 L
.83047 .84785 L
.83212 .84974 L
.8324 .85005 L
.83378 .85166 L
.83432 .85229 L
.83541 .85359 L
.83625 .8546 L
.83699 .85552 L
.83818 .85698 L
.83853 .85745 L
.84003 .85937 L
.8401 .85946 L
.84147 .8613 L
.84203 .86201 L
.84282 .86323 L
.84396 .86499 L
.84405 .86515 L
.8452 .86708 L
.84588 .86899 L
.84589 .86901 L
.84588 .87046 L
.84396 .87085 L
.84203 .87026 L
.8401 .8692 L
.83971 .86901 L
.83818 .8681 L
.83651 .86708 L
.83625 .86687 L
.83432 .86557 L
.8337 .86515 L
.8324 .86423 L
.83099 .86323 L
.83047 .86283 L
.82854 .8614 L
.82841 .8613 L
.82661 .85993 L
.82589 .85937 L
.82469 .85843 L
.82343 .85745 L
.82276 .85691 L
.82103 .85552 L
.82083 .85536 L
.81891 .85378 L
.81867 .85359 L
.81698 .85219 L
.81635 .85166 L
.81505 .85058 L
.81406 .84974 L
.81313 .84895 L
.8118 .84781 L
.8112 .8473 L
.80956 .84588 L
.80927 .84563 L
.80736 .84396 L
.80735 .84395 L
.80542 .84225 L
.80517 .84203 L
.80349 .84054 L
.80301 .8401 L
.80156 .83881 L
.80086 .83818 L
.79964 .83707 L
.79874 .83625 L
.79771 .83531 L
.79664 .83432 L
.79578 .83354 L
.79455 .8324 L
.79386 .83175 L
.79248 .83047 L
.79193 .82995 L
.79043 .82854 L
.79 .82814 L
.7884 .82661 L
.78808 .82631 L
.78639 .82469 L
.78615 .82446 L
.78439 .82276 L
.78422 .8226 L
.7824 .82083 L
.7823 .82073 L
.78044 .81891 L
.78037 .81884 L
.77849 .81698 L
.77844 .81694 L
.77655 .81505 L
.77651 .81502 L
.77463 .81313 L
.77459 .81308 L
.77273 .8112 L
.77266 .81113 L
.77085 .80927 L
.77073 .80916 L
.76898 .80735 L
.76881 .80717 L
.76713 .80542 L
.76688 .80516 L
.7653 .80349 L
.76495 .80313 L
.76348 .80156 L
.76303 .80108 L
.76169 .79964 L
.7611 .799 L
.75992 .79771 L
.75917 .7969 L
.75817 .79578 L
.75725 .79476 L
.75644 .79386 L
.75532 .79259 L
.75475 .79193 L
.75339 .79037 L
.75308 .79 L
.75146 .7881 L
.75144 .78808 L
.74984 .78615 L
.74954 .7858 L
.74827 .78422 L
.74761 .78341 L
.74676 .7823 L
.74568 .78089 L
.74531 .78037 L
.74393 .77844 L
.74376 .77831 L
.74263 .77651 L
.74183 .7754 L
.7415 .77459 L
.74042 .77266 L
.74035 .77073 L
F
1 .6 0 r
.74183 .82943 m
.74376 .82897 L
.74568 .82937 L
.74761 .82994 L
.74907 .83047 L
.74954 .83065 L
.75146 .83159 L
.75278 .8324 L
.75339 .8327 L
.75532 .83425 L
.7554 .83432 L
.75725 .83618 L
.75729 .83625 L
.75844 .83818 L
.75837 .8401 L
.75725 .84075 L
.75532 .84117 L
.75339 .84084 L
.75146 .84029 L
.75088 .8401 L
.74954 .83962 L
.74761 .83865 L
.74679 .83818 L
.74568 .83756 L
.74399 .83625 L
.74376 .83605 L
.74194 .83432 L
.74183 .83419 L
.7406 .8324 L
.74037 .83047 L
F
1 .59 0 r
.74183 .83009 m
.74376 .8294 L
.74568 .82975 L
.74761 .8303 L
.74816 .83047 L
.74954 .83094 L
.75146 .83196 L
.75219 .8324 L
.75339 .83305 L
.75488 .83432 L
.75532 .83473 L
.75677 .83625 L
.75725 .83696 L
.75781 .83818 L
.75725 .84002 L
.75713 .8401 L
.75532 .84067 L
.75339 .84044 L
.75205 .8401 L
.75146 .84 L
.74954 .83929 L
.74761 .83828 L
.74743 .83818 L
.74568 .83718 L
.74452 .83625 L
.74376 .8356 L
.74245 .83432 L
.74183 .8335 L
.7412 .8324 L
.74128 .83047 L
F
1 .58 0 r
.74376 .83002 m
.74568 .83019 L
.74687 .83047 L
.74761 .83052 L
.74954 .83128 L
.75146 .83236 L
.75152 .8324 L
.75339 .83348 L
.75432 .83432 L
.75532 .83527 L
.7562 .83625 L
.75714 .83818 L
.75532 .84004 L
.75339 .83999 L
.75146 .83974 L
.74954 .83892 L
.74806 .83818 L
.74761 .83805 L
.74568 .83674 L
.74509 .83625 L
.74376 .83508 L
.74302 .83432 L
.74186 .8324 L
.74257 .83047 L
F
1 .57 0 r
.74376 .83076 m
.74568 .83067 L
.74761 .83072 L
.74954 .83169 L
.75089 .8324 L
.75146 .83278 L
.75339 .83403 L
.75369 .83432 L
.75532 .83595 L
.75556 .83625 L
.75643 .83818 L
.75532 .83936 L
.75339 .83953 L
.75146 .83937 L
.74954 .83849 L
.74886 .83818 L
.74761 .83777 L
.74573 .83625 L
.74568 .83621 L
.74376 .83444 L
.74365 .83432 L
.7425 .8324 L
F
1 .56 0 r
.74376 .83173 m
.74568 .8312 L
.74761 .83114 L
.74954 .83219 L
.74997 .8324 L
.75146 .83324 L
.75308 .83432 L
.75339 .83466 L
.75494 .83625 L
.7553 .83818 L
.75339 .83897 L
.75146 .83884 L
.74994 .83818 L
.74954 .83801 L
.74761 .8373 L
.74635 .83625 L
.74568 .83566 L
.74426 .83432 L
.74376 .83344 L
.74343 .8324 L
F
0 .99 1 r
.74568 .85351 m
.74761 .85295 L
.74954 .85276 L
.75146 .85266 L
.75339 .85261 L
.75532 .85258 L
.75725 .85256 L
.75917 .85255 L
.7611 .85254 L
.76303 .85254 L
.76495 .85254 L
.76688 .85254 L
.76881 .85254 L
.77073 .85255 L
.77266 .85256 L
.77459 .85258 L
.77651 .8526 L
.77844 .85263 L
.78037 .85267 L
.7823 .85273 L
.78422 .85282 L
.78615 .85294 L
.78808 .85311 L
.79 .85336 L
.79134 .85359 L
.79193 .85374 L
.79386 .85432 L
.79578 .85507 L
.79673 .85552 L
.79771 .85602 L
.79964 .85714 L
.80012 .85745 L
.80156 .8584 L
.80293 .85937 L
.80349 .85979 L
.80542 .86128 L
.80545 .8613 L
.80735 .86285 L
.80779 .86323 L
.80927 .86451 L
.80999 .86515 L
.8112 .86625 L
.81209 .86708 L
.81313 .86807 L
.81409 .86901 L
.81505 .86998 L
.81599 .87093 L
.81698 .87198 L
.81779 .87286 L
.81891 .87412 L
.81947 .87479 L
.82083 .87647 L
.82102 .87671 L
.82237 .87864 L
.82276 .87929 L
.82341 .88057 L
.82386 .8825 L
.82276 .88424 L
.82243 .88442 L
.82083 .88503 L
.81891 .88534 L
.81698 .88549 L
.81505 .88559 L
.81313 .88566 L
.8112 .8857 L
.80927 .88573 L
.80735 .88575 L
.80542 .88577 L
.80349 .88577 L
.80156 .88577 L
.79964 .88577 L
.79771 .88576 L
.79578 .88574 L
.79386 .88571 L
.79193 .88567 L
.79 .88562 L
.78808 .88555 L
.78615 .88544 L
.78422 .88531 L
.7823 .88512 L
.78037 .88488 L
.77844 .88459 L
.77755 .88442 L
.77651 .88413 L
.77459 .88348 L
.77266 .88271 L
.77218 .8825 L
.77073 .88175 L
.76881 .88065 L
.76867 .88057 L
.76688 .87941 L
.76577 .87864 L
.76495 .87806 L
.76317 .87671 L
.76303 .8766 L
.7611 .87506 L
.76077 .87479 L
.75917 .87344 L
.75851 .87286 L
.75725 .87174 L
.75636 .87093 L
.75532 .86997 L
.75431 .86901 L
.75339 .86811 L
.75236 .86708 L
.75146 .86616 L
.75051 .86515 L
.74954 .8641 L
.74877 .86323 L
.74761 .86187 L
.74716 .8613 L
.74573 .85937 L
.74568 .8593 L
.74459 .85745 L
.74403 .85552 L
.74548 .85359 L
F
1 .83 0 r
.74568 .77376 m
.74761 .77435 L
.74808 .77459 L
.74954 .77526 L
.75146 .77644 L
.75159 .77651 L
.75339 .77765 L
.75462 .77844 L
.75532 .77895 L
.75725 .78032 L
.75731 .78037 L
.75917 .78172 L
.75995 .7823 L
.7611 .78317 L
.76248 .78422 L
.76303 .78465 L
.76492 .78615 L
.76495 .78617 L
.76688 .78771 L
.76733 .78808 L
.76881 .78928 L
.76969 .79 L
.77073 .79086 L
.77201 .79193 L
.77266 .79248 L
.77429 .79386 L
.77459 .79411 L
.77651 .79576 L
.77654 .79578 L
.77844 .79743 L
.77877 .79771 L
.78037 .79911 L
.78096 .79964 L
.7823 .80082 L
.78314 .80156 L
.78422 .80253 L
.78529 .80349 L
.78615 .80427 L
.78742 .80542 L
.78808 .80602 L
.78952 .80735 L
.79 .80779 L
.79161 .80927 L
.79193 .80957 L
.79368 .8112 L
.79386 .81137 L
.79573 .81313 L
.79578 .81318 L
.79771 .815 L
.79776 .81505 L
.79964 .81685 L
.79978 .81698 L
.80156 .8187 L
.80177 .81891 L
.80349 .82058 L
.80375 .82083 L
.80542 .82247 L
.80572 .82276 L
.80735 .82437 L
.80766 .82469 L
.80927 .8263 L
.80959 .82661 L
.8112 .82824 L
.8115 .82854 L
.81313 .8302 L
.81339 .83047 L
.81505 .83218 L
.81526 .8324 L
.81698 .83418 L
.81711 .83432 L
.81891 .83621 L
.81895 .83625 L
.82076 .83818 L
.82083 .83826 L
.82255 .8401 L
.82276 .84033 L
.82432 .84203 L
.82469 .84243 L
.82606 .84396 L
.82661 .84457 L
.82778 .84588 L
.82854 .84675 L
.82946 .84781 L
.83047 .84897 L
.83112 .84974 L
.8324 .85125 L
.83273 .85166 L
.8343 .85359 L
.83432 .85361 L
.83584 .85552 L
.83625 .85601 L
.83731 .85745 L
.83818 .85858 L
.8387 .85937 L
.83999 .8613 L
.8401 .86151 L
.84118 .86323 L
.84196 .86515 L
.84187 .86708 L
.8401 .86717 L
.83984 .86708 L
.83818 .86654 L
.83625 .86542 L
.83571 .86515 L
.83432 .86429 L
.83263 .86323 L
.8324 .86303 L
.83047 .86171 L
.82988 .8613 L
.82854 .86034 L
.82721 .85937 L
.82661 .85892 L
.82469 .85745 L
.82468 .85745 L
.82276 .85597 L
.82219 .85552 L
.82083 .85445 L
.81976 .85359 L
.81891 .8529 L
.81739 .85166 L
.81698 .85133 L
.81507 .84974 L
.81505 .84973 L
.81313 .84811 L
.81277 .84781 L
.8112 .84648 L
.8105 .84588 L
.80927 .84482 L
.80827 .84396 L
.80735 .84315 L
.80606 .84203 L
.80542 .84146 L
.80388 .8401 L
.80349 .83975 L
.80173 .83818 L
.80156 .83803 L
.79964 .83629 L
.79959 .83625 L
.79771 .83454 L
.79748 .83432 L
.79578 .83277 L
.79538 .8324 L
.79386 .83098 L
.79331 .83047 L
.79193 .82918 L
.79125 .82854 L
.79 .82737 L
.78921 .82661 L
.78808 .82553 L
.78719 .82469 L
.78615 .82369 L
.78519 .82276 L
.78422 .82182 L
.78321 .82083 L
.7823 .81995 L
.78124 .81891 L
.78037 .81805 L
.77929 .81698 L
.77844 .81614 L
.77736 .81505 L
.77651 .81421 L
.77544 .81313 L
.77459 .81226 L
.77355 .8112 L
.77266 .81029 L
.77167 .80927 L
.77073 .80831 L
.76981 .80735 L
.76881 .8063 L
.76797 .80542 L
.76688 .80427 L
.76615 .80349 L
.76495 .80221 L
.76435 .80156 L
.76303 .80013 L
.76258 .79964 L
.7611 .79801 L
.76083 .79771 L
.75917 .79586 L
.7591 .79578 L
.7574 .79386 L
.75725 .79368 L
.75574 .79193 L
.75532 .79145 L
.7541 .79 L
.75339 .78916 L
.75251 .78808 L
.75146 .78679 L
.75097 .78615 L
.74954 .78429 L
.74949 .78422 L
.74805 .7823 L
.74761 .78182 L
.74672 .78037 L
.74568 .77874 L
.74555 .77844 L
.7444 .77651 L
.74413 .77459 L
F
1 .55 0 r
.74568 .83189 m
.74761 .83186 L
.74872 .8324 L
.74954 .83273 L
.75146 .83379 L
.75231 .83432 L
.75339 .83542 L
.75412 .83625 L
.75359 .83818 L
.75339 .83823 L
.75165 .83818 L
.75146 .83814 L
.74954 .8375 L
.74761 .83658 L
.74721 .83625 L
.74568 .83495 L
.74506 .83432 L
.74467 .8324 L
F
1 .54 0 r
.74761 .83276 m
.74954 .83337 L
.7512 .83432 L
.75146 .83452 L
.75295 .83625 L
.75146 .8374 L
.74954 .83686 L
.74834 .83625 L
.74761 .83576 L
.74614 .83432 L
F
0 .98 1 r
.75146 .85354 m
.75339 .85325 L
.75532 .85308 L
.75725 .85297 L
.75917 .8529 L
.7611 .85286 L
.76303 .85283 L
.76495 .85281 L
.76688 .8528 L
.76881 .85281 L
.77073 .85282 L
.77266 .85285 L
.77459 .85289 L
.77651 .85294 L
.77844 .85302 L
.78037 .85312 L
.7823 .85326 L
.78422 .85344 L
.78562 .85359 L
.78615 .85367 L
.78808 .85402 L
.79 .85447 L
.79193 .85503 L
.79335 .85552 L
.79386 .85573 L
.79578 .85661 L
.7974 .85745 L
.79771 .85762 L
.79964 .85879 L
.80053 .85937 L
.80156 .86009 L
.80322 .8613 L
.80349 .8615 L
.80542 .86303 L
.80566 .86323 L
.80735 .86466 L
.8079 .86515 L
.80927 .8664 L
.80999 .86708 L
.8112 .86825 L
.81195 .86901 L
.81313 .87023 L
.81378 .87093 L
.81505 .87238 L
.81546 .87286 L
.81698 .87479 L
.81698 .87479 L
.81829 .87671 L
.81891 .87755 L
.8193 .87864 L
.81981 .88057 L
.8193 .8825 L
.81891 .88293 L
.81698 .88417 L
.81536 .88442 L
.81505 .88449 L
.81313 .8848 L
.8112 .885 L
.80927 .88513 L
.80735 .88521 L
.80542 .88527 L
.80349 .8853 L
.80156 .88532 L
.79964 .88531 L
.79771 .88529 L
.79578 .88524 L
.79386 .88517 L
.79193 .88508 L
.79 .88496 L
.78808 .8848 L
.78615 .8846 L
.78462 .88442 L
.78422 .88436 L
.7823 .884 L
.78037 .88355 L
.77844 .88302 L
.77673 .8825 L
.77651 .88241 L
.77459 .88162 L
.77266 .88075 L
.77228 .88057 L
.77073 .87973 L
.76884 .87864 L
.76881 .87862 L
.76688 .87737 L
.7659 .87671 L
.76495 .87604 L
.76326 .87479 L
.76303 .87461 L
.7611 .87308 L
.76083 .87286 L
.75917 .87146 L
.75857 .87093 L
.75725 .86975 L
.75644 .86901 L
.75532 .86793 L
.75446 .86708 L
.75339 .86599 L
.7526 .86515 L
.75146 .86389 L
.7509 .86323 L
.74954 .86151 L
.74938 .8613 L
.74813 .85937 L
.74761 .85834 L
.74731 .85745 L
.74741 .85552 L
.74761 .85521 L
.74954 .85401 L
.7512 .85359 L
F
1 .82 0 r
.74954 .77749 m
.75146 .77811 L
.75208 .77844 L
.75339 .77905 L
.75532 .78028 L
.75547 .78037 L
.75725 .78151 L
.75844 .7823 L
.75917 .78284 L
.76107 .78422 L
.7611 .78424 L
.76303 .78567 L
.76367 .78615 L
.76495 .78714 L
.76616 .78808 L
.76688 .78865 L
.76858 .79 L
.76881 .79019 L
.77073 .79176 L
.77095 .79193 L
.77266 .79334 L
.77328 .79386 L
.77459 .79496 L
.77557 .79578 L
.77651 .79659 L
.77782 .79771 L
.77844 .79825 L
.78004 .79964 L
.78037 .79992 L
.78223 .80156 L
.7823 .80162 L
.78422 .80333 L
.7844 .80349 L
.78615 .80506 L
.78655 .80542 L
.78808 .80681 L
.78867 .80735 L
.79 .80857 L
.79077 .80927 L
.79193 .81035 L
.79285 .8112 L
.79386 .81214 L
.7949 .81313 L
.79578 .81396 L
.79694 .81505 L
.79771 .81579 L
.79896 .81698 L
.79964 .81763 L
.80096 .81891 L
.80156 .81949 L
.80294 .82083 L
.80349 .82138 L
.8049 .82276 L
.80542 .82327 L
.80684 .82469 L
.80735 .82519 L
.80876 .82661 L
.80927 .82713 L
.81067 .82854 L
.8112 .82908 L
.81255 .83047 L
.81313 .83106 L
.81442 .8324 L
.81505 .83306 L
.81626 .83432 L
.81698 .83508 L
.81808 .83625 L
.81891 .83713 L
.81987 .83818 L
.82083 .83921 L
.82164 .8401 L
.82276 .84133 L
.82339 .84203 L
.82469 .84348 L
.8251 .84396 L
.82661 .84569 L
.82678 .84588 L
.82843 .84781 L
.82854 .84793 L
.83004 .84974 L
.83047 .85023 L
.83161 .85166 L
.8324 .85263 L
.83311 .85359 L
.83432 .85522 L
.83453 .85552 L
.8359 .85745 L
.83625 .85807 L
.8371 .85937 L
.83797 .8613 L
.83812 .86323 L
.83625 .86346 L
.8357 .86323 L
.83432 .8628 L
.8324 .86161 L
.83179 .8613 L
.83047 .86045 L
.82878 .85937 L
.82854 .85916 L
.82661 .85781 L
.8261 .85745 L
.82469 .85641 L
.82347 .85552 L
.82276 .85497 L
.82097 .85359 L
.82083 .85348 L
.81891 .85196 L
.81853 .85166 L
.81698 .85042 L
.81613 .84974 L
.81505 .84885 L
.81379 .84781 L
.81313 .84725 L
.81149 .84588 L
.8112 .84563 L
.80927 .84399 L
.80923 .84396 L
.80735 .84233 L
.807 .84203 L
.80542 .84065 L
.80479 .8401 L
.80349 .83895 L
.80261 .83818 L
.80156 .83724 L
.80046 .83625 L
.79964 .83551 L
.79833 .83432 L
.79771 .83375 L
.79623 .8324 L
.79578 .83199 L
.79414 .83047 L
.79386 .8302 L
.79208 .82854 L
.79193 .8284 L
.79004 .82661 L
.79 .82658 L
.78808 .82475 L
.78802 .82469 L
.78615 .8229 L
.78601 .82276 L
.78422 .82103 L
.78402 .82083 L
.7823 .81914 L
.78206 .81891 L
.78037 .81724 L
.78011 .81698 L
.77844 .81531 L
.77818 .81505 L
.77651 .81337 L
.77627 .81313 L
.77459 .81141 L
.77438 .8112 L
.77266 .80942 L
.77251 .80927 L
.77073 .80742 L
.77067 .80735 L
.76884 .80542 L
.76881 .80539 L
.76703 .80349 L
.76688 .80333 L
.76525 .80156 L
.76495 .80124 L
.7635 .79964 L
.76303 .79912 L
.76177 .79771 L
.7611 .79696 L
.76007 .79578 L
.75917 .79475 L
.75841 .79386 L
.75725 .79248 L
.7568 .79193 L
.75532 .79012 L
.75522 .79 L
.75369 .78808 L
.75339 .78775 L
.75223 .78615 L
.75146 .78519 L
.75086 .78422 L
.74961 .7823 L
.74954 .78212 L
.74844 .78037 L
.74803 .77844 L
F
0 .97 1 r
.75725 .85343 m
.75917 .85328 L
.7611 .85319 L
.76303 .85313 L
.76495 .85309 L
.76688 .85307 L
.76881 .85307 L
.77073 .85309 L
.77266 .85313 L
.77459 .85319 L
.77651 .85327 L
.77844 .85339 L
.78037 .85354 L
.78099 .85359 L
.7823 .85374 L
.78422 .85401 L
.78615 .85436 L
.78808 .85481 L
.79 .85534 L
.79057 .85552 L
.79193 .85603 L
.79386 .85685 L
.79512 .85745 L
.79578 .8578 L
.79771 .85889 L
.79849 .85937 L
.79964 .86012 L
.80132 .8613 L
.80156 .86148 L
.80349 .86296 L
.80383 .86323 L
.80542 .86455 L
.80611 .86515 L
.80735 .86627 L
.80821 .86708 L
.80927 .86812 L
.81014 .86901 L
.8112 .87013 L
.81192 .87093 L
.81313 .87236 L
.81352 .87286 L
.81493 .87479 L
.81505 .87495 L
.81608 .87671 L
.81686 .87864 L
.81698 .87916 L
.81703 .88057 L
.81698 .88081 L
.81591 .8825 L
.81505 .88316 L
.81313 .88387 L
.8112 .88423 L
.80972 .88442 L
.80927 .88447 L
.80735 .88465 L
.80542 .88476 L
.80349 .88483 L
.80156 .88486 L
.79964 .88486 L
.79771 .88483 L
.79578 .88477 L
.79386 .88468 L
.79193 .88456 L
.79026 .88442 L
.79 .8844 L
.78808 .88417 L
.78615 .88387 L
.78422 .88351 L
.7823 .88306 L
.78037 .88256 L
.78013 .8825 L
.77844 .88192 L
.77651 .88117 L
.77506 .88057 L
.77459 .88035 L
.77266 .87937 L
.77128 .87864 L
.77073 .87832 L
.76881 .87715 L
.76811 .87671 L
.76688 .87588 L
.76531 .87479 L
.76495 .87452 L
.76303 .87306 L
.76277 .87286 L
.7611 .8715 L
.76043 .87093 L
.75917 .86983 L
.75826 .86901 L
.75725 .86806 L
.75624 .86708 L
.75532 .86614 L
.75439 .86515 L
.75339 .86403 L
.75272 .86323 L
.75146 .86157 L
.75128 .8613 L
.75016 .85937 L
.74959 .85745 L
.75019 .85552 L
.75146 .85464 L
.75339 .8538 L
.75532 .85363 L
.75582 .85359 L
F
0 .96 1 r
.7611 .85354 m
.76303 .85344 L
.76495 .85337 L
.76688 .85334 L
.76881 .85334 L
.77073 .85336 L
.77266 .85341 L
.77459 .85349 L
.77649 .85359 L
.77651 .85359 L
.77844 .85374 L
.78037 .85394 L
.7823 .85421 L
.78422 .85454 L
.78615 .85496 L
.78808 .85546 L
.78827 .85552 L
.79 .85611 L
.79193 .85688 L
.79322 .85745 L
.79386 .85776 L
.79578 .8588 L
.79678 .85937 L
.79771 .85996 L
.79964 .86125 L
.79971 .8613 L
.80156 .86267 L
.80228 .86323 L
.80349 .86422 L
.80459 .86515 L
.80542 .86589 L
.80669 .86708 L
.80735 .86771 L
.80861 .86901 L
.80927 .86971 L
.81035 .87093 L
.8112 .87195 L
.81191 .87286 L
.81313 .87461 L
.81323 .87479 L
.81427 .87671 L
.81488 .87864 L
.81479 .88057 L
.81313 .8825 L
.81313 .8825 L
.8112 .88337 L
.80927 .88381 L
.80735 .88407 L
.80542 .88425 L
.80349 .88436 L
.80156 .88441 L
.80085 .88442 L
.79964 .88443 L
.79913 .88442 L
.79771 .8844 L
.79578 .88433 L
.79386 .88422 L
.79193 .88406 L
.79 .88384 L
.78808 .88357 L
.78615 .88322 L
.78422 .88281 L
.78291 .8825 L
.7823 .88232 L
.78037 .88171 L
.77844 .88101 L
.7773 .88057 L
.77651 .88022 L
.77459 .87931 L
.77325 .87864 L
.77266 .87831 L
.77073 .8772 L
.76992 .87671 L
.76881 .87599 L
.76701 .87479 L
.76688 .8747 L
.76495 .87329 L
.76439 .87286 L
.76303 .87178 L
.76199 .87093 L
.7611 .87017 L
.75978 .86901 L
.75917 .86844 L
.75776 .86708 L
.75725 .86657 L
.75591 .86515 L
.75532 .86449 L
.75427 .86323 L
.75339 .86207 L
.75289 .8613 L
.75188 .85937 L
.75149 .85745 L
.7525 .85552 L
.75339 .85476 L
.75532 .85412 L
.75725 .85385 L
.75917 .85367 L
.76032 .85359 L
F
1 .81 0 r
.75339 .78133 m
.75532 .78194 L
.75594 .7823 L
.75725 .78289 L
.75917 .78417 L
.75926 .78422 L
.7611 .78543 L
.76218 .78615 L
.76303 .78678 L
.7648 .78808 L
.76495 .78821 L
.76688 .78967 L
.76732 .79 L
.76881 .79116 L
.76979 .79193 L
.77073 .79269 L
.77218 .79386 L
.77266 .79425 L
.77451 .79578 L
.77459 .79585 L
.77651 .79747 L
.7768 .79771 L
.77844 .7991 L
.77906 .79964 L
.78037 .80076 L
.78129 .80156 L
.7823 .80245 L
.78348 .80349 L
.78422 .80415 L
.78564 .80542 L
.78615 .80587 L
.78778 .80735 L
.78808 .80762 L
.78989 .80927 L
.79 .80938 L
.79193 .81116 L
.79198 .8112 L
.79386 .81295 L
.79404 .81313 L
.79578 .81477 L
.79609 .81505 L
.79771 .8166 L
.79811 .81698 L
.79964 .81845 L
.80011 .81891 L
.80156 .82032 L
.80209 .82083 L
.80349 .8222 L
.80405 .82276 L
.80542 .82411 L
.80599 .82469 L
.80735 .82604 L
.80791 .82661 L
.80927 .82799 L
.80981 .82854 L
.8112 .82997 L
.81168 .83047 L
.81313 .83197 L
.81353 .8324 L
.81505 .834 L
.81536 .83432 L
.81698 .83605 L
.81716 .83625 L
.81891 .83815 L
.81894 .83818 L
.82068 .8401 L
.82083 .84026 L
.8224 .84203 L
.82276 .84243 L
.82408 .84396 L
.82469 .84464 L
.82572 .84588 L
.82661 .84693 L
.82731 .84781 L
.82854 .84934 L
.82884 .84974 L
.83032 .85166 L
.83047 .8519 L
.83173 .85359 L
.8324 .8547 L
.83294 .85552 L
.83389 .85745 L
.83413 .85937 L
.8324 .85965 L
.83179 .85937 L
.83047 .85903 L
.82854 .85774 L
.82797 .85745 L
.82661 .85656 L
.82499 .85552 L
.82469 .85524 L
.82276 .85385 L
.82239 .85359 L
.82083 .85244 L
.8198 .85166 L
.81891 .85097 L
.81732 .84974 L
.81698 .84946 L
.81505 .84791 L
.81493 .84781 L
.81313 .84634 L
.81256 .84588 L
.8112 .84475 L
.81025 .84396 L
.80927 .84313 L
.80798 .84203 L
.80735 .84148 L
.80575 .8401 L
.80542 .83981 L
.80355 .83818 L
.80349 .83812 L
.80156 .83641 L
.80138 .83625 L
.79964 .83469 L
.79923 .83432 L
.79771 .83294 L
.79711 .8324 L
.79578 .83118 L
.79501 .83047 L
.79386 .8294 L
.79294 .82854 L
.79193 .8276 L
.79089 .82661 L
.79 .82578 L
.78886 .82469 L
.78808 .82394 L
.78685 .82276 L
.78615 .82208 L
.78487 .82083 L
.78422 .82021 L
.7829 .81891 L
.7823 .81831 L
.78095 .81698 L
.78037 .8164 L
.77903 .81505 L
.77844 .81446 L
.77713 .81313 L
.77651 .81251 L
.77524 .8112 L
.77459 .81052 L
.77339 .80927 L
.77266 .80852 L
.77155 .80735 L
.77073 .80649 L
.76974 .80542 L
.76881 .80442 L
.76795 .80349 L
.76688 .80232 L
.7662 .80156 L
.76495 .80018 L
.76448 .79964 L
.76303 .79799 L
.76279 .79771 L
.76114 .79578 L
.7611 .79574 L
.75952 .79386 L
.75917 .79348 L
.75795 .79193 L
.75725 .79109 L
.75646 .79 L
.75532 .78846 L
.75507 .78808 L
.7537 .78615 L
.75339 .78548 L
.75258 .78422 L
.75206 .7823 L
F
0 .95 1 r
.75532 .85498 m
.75725 .85435 L
.75917 .85405 L
.7611 .85387 L
.76303 .85374 L
.76495 .85366 L
.76688 .85362 L
.76881 .85361 L
.77073 .85363 L
.77266 .85369 L
.77459 .85378 L
.77651 .85391 L
.77844 .85409 L
.78037 .85433 L
.7823 .85464 L
.78422 .85503 L
.78615 .85549 L
.78626 .85552 L
.78808 .85609 L
.79 .85679 L
.79158 .85745 L
.79193 .85761 L
.79386 .85858 L
.7953 .85937 L
.79578 .85966 L
.79771 .86089 L
.79833 .8613 L
.79964 .86224 L
.80095 .86323 L
.80156 .86372 L
.80328 .86515 L
.80349 .86534 L
.80539 .86708 L
.80542 .86711 L
.8073 .86901 L
.80735 .86905 L
.80902 .87093 L
.80927 .87123 L
.81053 .87286 L
.8112 .87381 L
.81179 .87479 L
.81273 .87671 L
.81313 .87805 L
.81321 .87864 L
.81313 .87987 L
.81287 .88057 L
.8112 .88221 L
.81063 .8825 L
.80927 .88302 L
.80735 .88346 L
.80542 .88372 L
.80349 .88388 L
.80156 .88396 L
.79964 .88399 L
.79771 .88397 L
.79578 .88389 L
.79386 .88376 L
.79193 .88358 L
.79 .88334 L
.78808 .88303 L
.78615 .88266 L
.7854 .8825 L
.78422 .8822 L
.7823 .88163 L
.78037 .88099 L
.77921 .88057 L
.77844 .88025 L
.77651 .8794 L
.77493 .87864 L
.77459 .87846 L
.77266 .87741 L
.77146 .87671 L
.77073 .87627 L
.76881 .87502 L
.76845 .87479 L
.76688 .87368 L
.76577 .87286 L
.76495 .87223 L
.76333 .87093 L
.76303 .87068 L
.7611 .86901 L
.76109 .86901 L
.75917 .86719 L
.75906 .86708 L
.75725 .86518 L
.75722 .86515 L
.75561 .86323 L
.75532 .86287 L
.75428 .8613 L
.75339 .85948 L
.75336 .85937 L
.75313 .85745 L
.75339 .85667 L
.75451 .85552 L
F
0 .94 1 r
.75725 .85506 m
.75917 .85452 L
.7611 .85423 L
.76303 .85406 L
.76495 .85395 L
.76688 .8539 L
.76881 .85388 L
.77073 .8539 L
.77266 .85397 L
.77459 .85407 L
.77651 .85423 L
.77844 .85443 L
.78037 .85471 L
.7823 .85505 L
.78422 .85547 L
.78442 .85552 L
.78615 .856 L
.78808 .85665 L
.79 .8574 L
.79012 .85745 L
.79193 .85829 L
.79386 .85929 L
.794 .85937 L
.79578 .86044 L
.79711 .8613 L
.79771 .86172 L
.79964 .86312 L
.79977 .86323 L
.80156 .86467 L
.80213 .86515 L
.80349 .86637 L
.80425 .86708 L
.80542 .86824 L
.80615 .86901 L
.80735 .87033 L
.80785 .87093 L
.80927 .87279 L
.80932 .87286 L
.81053 .87479 L
.8112 .87592 L
.81139 .87671 L
.81173 .87864 L
.8112 .8805 L
.81115 .88057 L
.80927 .88219 L
.8082 .8825 L
.80735 .88276 L
.80542 .88315 L
.80349 .88338 L
.80156 .88351 L
.79964 .88356 L
.79771 .88354 L
.79578 .88346 L
.79386 .88333 L
.79193 .88313 L
.79 .88287 L
.78808 .88254 L
.78784 .8825 L
.78615 .88212 L
.78422 .88162 L
.7823 .88103 L
.78093 .88057 L
.78037 .88035 L
.77844 .87956 L
.77651 .87869 L
.77641 .87864 L
.77459 .8777 L
.7728 .87671 L
.77266 .87663 L
.77073 .87544 L
.76972 .87479 L
.76881 .87417 L
.76697 .87286 L
.76688 .87279 L
.76495 .8713 L
.7645 .87093 L
.76303 .86969 L
.76225 .86901 L
.7611 .86795 L
.7602 .86708 L
.75917 .86603 L
.75837 .86515 L
.75725 .86383 L
.75678 .86323 L
.7555 .8613 L
.75532 .86098 L
.75466 .85937 L
.75459 .85745 L
.75532 .85624 L
.75634 .85552 L
F
0 .93 1 r
.75917 .85509 m
.7611 .85465 L
.76303 .8544 L
.76495 .85426 L
.76688 .85418 L
.76881 .85415 L
.77073 .85418 L
.77266 .85425 L
.77459 .85436 L
.77651 .85453 L
.77844 .85476 L
.78037 .85506 L
.7823 .85544 L
.78268 .85552 L
.78422 .85591 L
.78615 .85648 L
.78808 .85717 L
.7888 .85745 L
.79 .85797 L
.79193 .8589 L
.79282 .85937 L
.79386 .85996 L
.79578 .86115 L
.79601 .8613 L
.79771 .86248 L
.79872 .86323 L
.79964 .86394 L
.8011 .86515 L
.80156 .86556 L
.80322 .86708 L
.80349 .86734 L
.80512 .86901 L
.80542 .86933 L
.8068 .87093 L
.80735 .87161 L
.80824 .87286 L
.80927 .87453 L
.8094 .87479 L
.81017 .87671 L
.81039 .87864 L
.80954 .88057 L
.80927 .88091 L
.80735 .88205 L
.80559 .8825 L
.80542 .88254 L
.80349 .88286 L
.80156 .88304 L
.79964 .88312 L
.79771 .88312 L
.79578 .88305 L
.79386 .88291 L
.79193 .8827 L
.79043 .8825 L
.79 .88242 L
.78808 .88206 L
.78615 .88162 L
.78422 .88109 L
.78254 .88057 L
.7823 .88048 L
.78037 .87976 L
.77844 .87895 L
.77775 .87864 L
.77651 .87804 L
.77459 .87703 L
.77401 .87671 L
.77266 .87592 L
.77085 .87479 L
.77073 .87471 L
.76881 .8734 L
.76806 .87286 L
.76688 .87198 L
.76555 .87093 L
.76495 .87045 L
.76327 .86901 L
.76303 .86878 L
.76122 .86708 L
.7611 .86696 L
.7594 .86515 L
.75917 .8649 L
.75783 .86323 L
.75725 .86247 L
.7566 .8613 L
.75583 .85937 L
.75591 .85745 L
.75725 .85595 L
.75808 .85552 L
F
1 .8 0 r
.75725 .78532 m
.75917 .78589 L
.75962 .78615 L
.7611 .78679 L
.76293 .78808 L
.76303 .78812 L
.76495 .78941 L
.76584 .79 L
.76688 .79078 L
.76845 .79193 L
.76881 .79223 L
.77073 .79373 L
.7709 .79386 L
.77266 .79525 L
.77334 .79578 L
.77459 .7968 L
.7757 .79771 L
.77651 .79839 L
.77801 .79964 L
.77844 .80001 L
.78026 .80156 L
.78037 .80166 L
.7823 .80333 L
.78248 .80349 L
.78422 .80502 L
.78468 .80542 L
.78615 .80673 L
.78684 .80735 L
.78808 .80846 L
.78897 .80927 L
.79 .81022 L
.79107 .8112 L
.79193 .81199 L
.79315 .81313 L
.79386 .81379 L
.7952 .81505 L
.79578 .8156 L
.79723 .81698 L
.79771 .81744 L
.79923 .81891 L
.79964 .8193 L
.80121 .82083 L
.80156 .82118 L
.80317 .82276 L
.80349 .82308 L
.80511 .82469 L
.80542 .825 L
.80702 .82661 L
.80735 .82694 L
.80891 .82854 L
.80927 .82891 L
.81077 .83047 L
.8112 .83091 L
.81261 .8324 L
.81313 .83294 L
.81442 .83432 L
.81505 .835 L
.8162 .83625 L
.81698 .8371 L
.81794 .83818 L
.81891 .83925 L
.81965 .8401 L
.82083 .84145 L
.82132 .84203 L
.82276 .84374 L
.82294 .84396 L
.82452 .84588 L
.82469 .846 L
.82604 .84781 L
.82661 .84833 L
.82745 .84974 L
.82854 .85147 L
.82867 .85166 L
.82968 .85359 L
.82982 .85552 L
.82854 .85567 L
.8282 .85552 L
.82661 .85484 L
.82469 .85378 L
.82431 .85359 L
.82276 .8526 L
.82128 .85166 L
.82083 .85127 L
.81891 .84983 L
.81877 .84974 L
.81698 .8484 L
.8162 .84781 L
.81505 .84691 L
.81375 .84588 L
.81313 .84537 L
.81139 .84396 L
.8112 .8438 L
.80927 .8422 L
.80907 .84203 L
.80735 .84058 L
.80679 .8401 L
.80542 .83893 L
.80455 .83818 L
.80349 .83725 L
.80235 .83625 L
.80156 .83556 L
.80018 .83432 L
.79964 .83384 L
.79804 .8324 L
.79771 .8321 L
.79593 .83047 L
.79578 .83033 L
.79386 .82855 L
.79385 .82854 L
.79193 .82675 L
.79179 .82661 L
.79 .82493 L
.78975 .82469 L
.78808 .82309 L
.78774 .82276 L
.78615 .82122 L
.78575 .82083 L
.78422 .81934 L
.78378 .81891 L
.7823 .81743 L
.78184 .81698 L
.78037 .8155 L
.77992 .81505 L
.77844 .81355 L
.77803 .81313 L
.77651 .81157 L
.77616 .8112 L
.77459 .80956 L
.77431 .80927 L
.77266 .80752 L
.7725 .80735 L
.77073 .80544 L
.77071 .80542 L
.76895 .80349 L
.76881 .80334 L
.76722 .80156 L
.76688 .8012 L
.76553 .79964 L
.76495 .799 L
.76389 .79771 L
.76303 .79671 L
.7623 .79578 L
.7611 .79428 L
.76079 .79386 L
.75932 .79193 L
.75917 .79166 L
.75792 .79 L
.75725 .78868 L
.75686 .78808 L
.75628 .78615 L
F
0 .92 1 r
.7611 .85512 m
.76303 .85477 L
.76495 .85458 L
.76688 .85447 L
.76881 .85443 L
.77073 .85445 L
.77266 .85452 L
.77459 .85465 L
.77651 .85483 L
.77844 .85508 L
.78037 .85541 L
.78096 .85552 L
.7823 .85581 L
.78422 .85632 L
.78615 .85693 L
.78756 .85745 L
.78808 .85765 L
.79 .85851 L
.79175 .85937 L
.79193 .85947 L
.79386 .86058 L
.79501 .8613 L
.79578 .86182 L
.79771 .86319 L
.79776 .86323 L
.79964 .86471 L
.80016 .86515 L
.80156 .8664 L
.80229 .86708 L
.80349 .86827 L
.80418 .86901 L
.80542 .87041 L
.80584 .87093 L
.80725 .87286 L
.80735 .87298 L
.80836 .87479 L
.80906 .87671 L
.80914 .87864 L
.808 .88057 L
.80735 .88111 L
.80542 .88192 L
.80349 .88233 L
.80228 .8825 L
.80156 .88257 L
.79964 .88268 L
.79771 .8827 L
.79578 .88264 L
.79386 .8825 L
.7938 .8825 L
.79193 .88228 L
.79 .88199 L
.78808 .88161 L
.78615 .88115 L
.78422 .88061 L
.78409 .88057 L
.7823 .87996 L
.78037 .87922 L
.779 .87864 L
.77844 .87839 L
.77651 .87744 L
.77513 .87671 L
.77459 .87641 L
.77266 .87527 L
.77188 .87479 L
.77073 .87403 L
.76904 .87286 L
.76881 .87269 L
.76688 .87123 L
.7665 .87093 L
.76495 .86965 L
.76421 .86901 L
.76303 .86792 L
.76216 .86708 L
.7611 .866 L
.76034 .86515 L
.75917 .86375 L
.7588 .86323 L
.7576 .8613 L
.75725 .86053 L
.75691 .85937 L
.75715 .85745 L
.75725 .85727 L
.75917 .85577 L
.75981 .85552 L
F
0 .91 1 r
.76303 .85518 m
.76495 .85492 L
.76688 .85478 L
.76881 .85472 L
.77073 .85473 L
.77266 .8548 L
.77459 .85494 L
.77651 .85513 L
.77844 .8554 L
.77918 .85552 L
.78037 .85574 L
.7823 .85618 L
.78422 .85672 L
.78615 .85736 L
.78639 .85745 L
.78808 .85812 L
.79 .85901 L
.79074 .85937 L
.79193 .86002 L
.79386 .86116 L
.79408 .8613 L
.79578 .86244 L
.79687 .86323 L
.79771 .86387 L
.79929 .86515 L
.79964 .86545 L
.80143 .86708 L
.80156 .86721 L
.80332 .86901 L
.80349 .86919 L
.80496 .87093 L
.80542 .87151 L
.80634 .87286 L
.80735 .87465 L
.8074 .87479 L
.80802 .87671 L
.80795 .87864 L
.80735 .87976 L
.80645 .88057 L
.80542 .88117 L
.80349 .88177 L
.80156 .88208 L
.79964 .88224 L
.79771 .88229 L
.79578 .88223 L
.79386 .8821 L
.79193 .88188 L
.79 .88157 L
.78808 .88118 L
.78615 .88071 L
.78563 .88057 L
.78422 .88014 L
.7823 .87947 L
.78037 .87872 L
.78019 .87864 L
.77844 .87785 L
.77651 .87689 L
.77617 .87671 L
.77459 .87583 L
.77284 .87479 L
.77266 .87467 L
.77073 .8734 L
.76995 .87286 L
.76881 .87203 L
.76738 .87093 L
.76688 .87053 L
.76508 .86901 L
.76495 .8689 L
.76303 .86709 L
.76302 .86708 L
.76121 .86515 L
.7611 .86504 L
.75968 .86323 L
.75917 .86264 L
.75853 .8613 L
.75792 .85937 L
.75832 .85745 L
.75917 .85658 L
.7611 .85557 L
.76159 .85552 L
F
0 .9 1 r
.76495 .85528 m
.76688 .8551 L
.76881 .85501 L
.77073 .85501 L
.77266 .85508 L
.77459 .85522 L
.77651 .85543 L
.77722 .85552 L
.77844 .85571 L
.78037 .85608 L
.7823 .85654 L
.78422 .8571 L
.78525 .85745 L
.78615 .85778 L
.78808 .85857 L
.78978 .85937 L
.79 .85948 L
.79193 .86054 L
.7932 .8613 L
.79386 .86172 L
.79578 .86304 L
.79604 .86323 L
.79771 .86452 L
.79848 .86515 L
.79964 .86616 L
.80063 .86708 L
.80156 .868 L
.80251 .86901 L
.80349 .87012 L
.80414 .87093 L
.80542 .87274 L
.80549 .87286 L
.80649 .87479 L
.80703 .87671 L
.8068 .87864 L
.80542 .88023 L
.80486 .88057 L
.80349 .88114 L
.80156 .88158 L
.79964 .88179 L
.79771 .88187 L
.79578 .88183 L
.79386 .8817 L
.79193 .88148 L
.79 .88117 L
.78808 .88077 L
.78723 .88057 L
.78615 .88028 L
.78422 .87969 L
.7823 .87901 L
.78134 .87864 L
.78037 .87823 L
.77844 .87735 L
.77716 .87671 L
.77651 .87637 L
.77459 .87529 L
.77375 .87479 L
.77266 .8741 L
.77081 .87286 L
.77073 .87281 L
.76881 .8714 L
.76821 .87093 L
.76688 .86986 L
.76589 .86901 L
.76495 .86817 L
.76382 .86708 L
.76303 .86627 L
.76202 .86515 L
.7611 .86406 L
.76052 .86323 L
.7594 .8613 L
.75917 .86073 L
.75888 .85937 L
.75917 .85789 L
.75946 .85745 L
.7611 .85597 L
.76303 .85559 L
.76354 .85552 L
F
0 .89 1 r
.76688 .85543 m
.76881 .85532 L
.77073 .8553 L
.77266 .85537 L
.77459 .85551 L
.77474 .85552 L
.77651 .85572 L
.77844 .85602 L
.78037 .85641 L
.7823 .85689 L
.78414 .85745 L
.78422 .85747 L
.78615 .85818 L
.78808 .859 L
.78887 .85937 L
.79 .85995 L
.79193 .86103 L
.79237 .8613 L
.79386 .86225 L
.79525 .86323 L
.79578 .86362 L
.79771 .86514 L
.79772 .86515 L
.79964 .86686 L
.79987 .86708 L
.80156 .8688 L
.80175 .86901 L
.80336 .87093 L
.80349 .87109 L
.80468 .87286 L
.80542 .87407 L
.80563 .87479 L
.80608 .87671 L
.80566 .87864 L
.80542 .87901 L
.80349 .88047 L
.80312 .88057 L
.80156 .88103 L
.79964 .88132 L
.79771 .88144 L
.79578 .88143 L
.79386 .8813 L
.79193 .88108 L
.79 .88077 L
.78896 .88057 L
.78808 .88037 L
.78615 .87986 L
.78422 .87926 L
.78247 .87864 L
.7823 .87857 L
.78037 .87777 L
.77844 .87688 L
.77811 .87671 L
.77651 .87587 L
.77461 .87479 L
.77459 .87478 L
.77266 .87356 L
.77162 .87286 L
.77073 .87224 L
.76898 .87093 L
.76881 .8708 L
.76688 .86921 L
.76664 .86901 L
.76495 .86745 L
.76458 .86708 L
.76303 .86544 L
.76278 .86515 L
.7613 .86323 L
.7611 .86292 L
.76023 .8613 L
.75979 .85937 L
.76057 .85745 L
.7611 .85682 L
.76303 .85597 L
.76495 .85564 L
.76597 .85552 L
F
0 .88 1 r
.76303 .85651 m
.76495 .856 L
.76688 .85575 L
.76881 .85562 L
.77073 .85559 L
.77266 .85565 L
.77459 .85579 L
.77651 .85601 L
.77844 .85632 L
.78037 .85673 L
.7823 .85723 L
.78302 .85745 L
.78422 .85784 L
.78615 .85857 L
.78798 .85937 L
.78808 .85942 L
.79 .8604 L
.79158 .8613 L
.79193 .86151 L
.79386 .86277 L
.7945 .86323 L
.79578 .86418 L
.79699 .86515 L
.79771 .86576 L
.79915 .86708 L
.79964 .86755 L
.80103 .86901 L
.80156 .8696 L
.80262 .87093 L
.80349 .87213 L
.80391 .87286 L
.80481 .87479 L
.80515 .87671 L
.80453 .87864 L
.80349 .87976 L
.80156 .88045 L
.80107 .88057 L
.79964 .88083 L
.79771 .881 L
.79578 .88102 L
.79386 .88091 L
.79193 .8807 L
.79102 .88057 L
.79 .88039 L
.78808 .87997 L
.78615 .87946 L
.78422 .87885 L
.78361 .87864 L
.7823 .87814 L
.78037 .87733 L
.77904 .87671 L
.77844 .87642 L
.77651 .8754 L
.77544 .87479 L
.77459 .87428 L
.77266 .87304 L
.77239 .87286 L
.77073 .87169 L
.76972 .87093 L
.76881 .87021 L
.76737 .86901 L
.76688 .86858 L
.7653 .86708 L
.76495 .86674 L
.76351 .86515 L
.76303 .86461 L
.76205 .86323 L
.7611 .86148 L
.76103 .8613 L
.76068 .85937 L
.7611 .85811 L
.76169 .85745 L
F
1 .79 0 r
.7611 .7897 m
.76296 .79 L
.76303 .79003 L
.76495 .7908 L
.76644 .79193 L
.76688 .79208 L
.76881 .7935 L
.76934 .79386 L
.77073 .79488 L
.77198 .79578 L
.77266 .79633 L
.77441 .79771 L
.77459 .79787 L
.77651 .79943 L
.77678 .79964 L
.77844 .801 L
.77912 .80156 L
.78037 .80262 L
.7814 .80349 L
.7823 .80426 L
.78363 .80542 L
.78422 .80594 L
.78581 .80735 L
.78615 .80765 L
.78796 .80927 L
.78808 .80938 L
.79 .81113 L
.79008 .8112 L
.79193 .8129 L
.79217 .81313 L
.79386 .81469 L
.79424 .81505 L
.79578 .81651 L
.79628 .81698 L
.79771 .81835 L
.79829 .81891 L
.79964 .82021 L
.80027 .82083 L
.80156 .8221 L
.80223 .82276 L
.80349 .82402 L
.80416 .82469 L
.80542 .82596 L
.80606 .82661 L
.80735 .82793 L
.80793 .82854 L
.80927 .82993 L
.80978 .83047 L
.8112 .83197 L
.81159 .8324 L
.81313 .83405 L
.81337 .83432 L
.81505 .83619 L
.81511 .83625 L
.81682 .83818 L
.81698 .83832 L
.8185 .8401 L
.81891 .8405 L
.82011 .84203 L
.82083 .84281 L
.82163 .84396 L
.82276 .84542 L
.82303 .84588 L
.82429 .84781 L
.82469 .84849 L
.82529 .84974 L
.82469 .8514 L
.82276 .85076 L
.82089 .84974 L
.82083 .8497 L
.81891 .84853 L
.8177 .84781 L
.81698 .84721 L
.81517 .84588 L
.81505 .84575 L
.81313 .84426 L
.81273 .84396 L
.8112 .84275 L
.81029 .84203 L
.80927 .8412 L
.80794 .8401 L
.80735 .8396 L
.80566 .83818 L
.80542 .83797 L
.80349 .8363 L
.80343 .83625 L
.80156 .83462 L
.80122 .83432 L
.79964 .83292 L
.79905 .8324 L
.79771 .83119 L
.79692 .83047 L
.79578 .82944 L
.79481 .82854 L
.79386 .82766 L
.79274 .82661 L
.79193 .82586 L
.7907 .82469 L
.79 .82403 L
.78868 .82276 L
.78808 .82218 L
.78669 .82083 L
.78615 .82031 L
.78472 .81891 L
.78422 .81842 L
.78278 .81698 L
.7823 .8165 L
.78087 .81505 L
.78037 .81455 L
.77899 .81313 L
.77844 .81257 L
.77713 .8112 L
.77651 .81056 L
.77531 .80927 L
.77459 .80852 L
.77351 .80735 L
.77266 .80643 L
.77176 .80542 L
.77073 .80429 L
.77004 .80349 L
.76881 .80209 L
.76837 .80156 L
.76688 .79978 L
.76677 .79964 L
.76517 .79771 L
.76495 .79737 L
.76365 .79578 L
.76303 .79476 L
.76233 .79386 L
.7613 .79193 L
.7611 .79149 L
.76084 .79 L
F
0 .87 1 r
.76303 .85728 m
.76495 .85643 L
.76688 .85609 L
.76881 .85593 L
.77073 .85588 L
.77266 .85593 L
.77459 .85608 L
.77651 .85631 L
.77844 .85663 L
.78037 .85705 L
.78189 .85745 L
.7823 .85757 L
.78422 .8582 L
.78615 .85895 L
.78711 .85937 L
.78808 .85983 L
.79 .86084 L
.79081 .8613 L
.79193 .86199 L
.79378 .86323 L
.79386 .86328 L
.79578 .86474 L
.7963 .86515 L
.79771 .86638 L
.79847 .86708 L
.79964 .86825 L
.80034 .86901 L
.80156 .87046 L
.80191 .87093 L
.80316 .87286 L
.80349 .8735 L
.804 .87479 L
.80424 .87671 L
.80349 .8785 L
.80336 .87864 L
.80156 .87986 L
.79964 .88033 L
.79771 .88055 L
.79741 .88057 L
.79578 .8806 L
.79468 .88057 L
.79386 .88052 L
.79193 .88031 L
.79 .88 L
.78808 .87959 L
.78615 .87907 L
.78477 .87864 L
.78422 .87845 L
.7823 .87773 L
.78037 .87691 L
.77995 .87671 L
.77844 .87598 L
.77651 .87494 L
.77624 .87479 L
.77459 .8738 L
.77313 .87286 L
.77266 .87254 L
.77073 .87116 L
.77043 .87093 L
.76881 .86964 L
.76806 .86901 L
.76688 .86795 L
.76598 .86708 L
.76495 .86602 L
.76421 .86515 L
.76303 .86365 L
.76277 .86323 L
.7618 .8613 L
.76155 .85937 L
.76283 .85745 L
F
0 .86 1 r
.76495 .85697 m
.76688 .85647 L
.76881 .85625 L
.77073 .85618 L
.77266 .85623 L
.77459 .85637 L
.77651 .8566 L
.77844 .85693 L
.78037 .85736 L
.7807 .85745 L
.7823 .8579 L
.78422 .85855 L
.78615 .85933 L
.78626 .85937 L
.78808 .86023 L
.79 .86127 L
.79006 .8613 L
.79193 .86245 L
.79309 .86323 L
.79386 .86378 L
.79563 .86515 L
.79578 .86528 L
.79771 .86699 L
.7978 .86708 L
.79964 .86897 L
.79967 .86901 L
.80123 .87093 L
.80156 .87133 L
.80244 .87286 L
.80322 .87479 L
.80334 .87671 L
.80214 .87864 L
.80156 .87908 L
.79964 .8798 L
.79771 .8801 L
.79578 .88019 L
.79386 .88012 L
.79193 .87993 L
.79 .87962 L
.78808 .87921 L
.78615 .87869 L
.786 .87864 L
.78422 .87806 L
.7823 .87733 L
.78085 .87671 L
.78037 .87649 L
.77844 .87555 L
.77702 .87479 L
.77651 .8745 L
.77459 .87333 L
.77385 .87286 L
.77266 .87205 L
.77112 .87093 L
.77073 .87064 L
.76881 .86907 L
.76873 .86901 L
.76688 .86731 L
.76665 .86708 L
.76495 .86525 L
.76488 .86515 L
.76347 .86323 L
.76303 .86245 L
.76254 .8613 L
.7624 .85937 L
.76303 .85821 L
.76401 .85745 L
F
0 .85 1 r
.76688 .8569 m
.76881 .8566 L
.77073 .8565 L
.77266 .85653 L
.77459 .85666 L
.77651 .8569 L
.77844 .85724 L
.77943 .85745 L
.78037 .85768 L
.7823 .85823 L
.78422 .8589 L
.7854 .85937 L
.78615 .8597 L
.78808 .86062 L
.78933 .8613 L
.79 .86169 L
.79193 .8629 L
.79241 .86323 L
.79386 .86427 L
.79497 .86515 L
.79578 .86583 L
.79716 .86708 L
.79771 .86761 L
.79902 .86901 L
.79964 .8697 L
.80056 .87093 L
.80156 .87247 L
.80174 .87286 L
.80244 .87479 L
.80242 .87671 L
.80156 .87808 L
.80082 .87864 L
.79964 .87919 L
.79771 .87962 L
.79578 .87976 L
.79386 .87973 L
.79193 .87955 L
.79 .87925 L
.78808 .87883 L
.78732 .87864 L
.78615 .87831 L
.78422 .87767 L
.7823 .87694 L
.78177 .87671 L
.78037 .87609 L
.77844 .87513 L
.7778 .87479 L
.77651 .87406 L
.77459 .87288 L
.77456 .87286 L
.77266 .87157 L
.77179 .87093 L
.77073 .87013 L
.76938 .86901 L
.76881 .86851 L
.76729 .86708 L
.76688 .86668 L
.76553 .86515 L
.76495 .86453 L
.76415 .86323 L
.76328 .8613 L
.76326 .85937 L
.76495 .85761 L
.76529 .85745 L
F
0 .84 1 r
.76688 .8574 m
.76881 .85699 L
.77073 .85683 L
.77266 .85684 L
.77459 .85696 L
.77651 .8572 L
.77799 .85745 L
.77844 .85754 L
.78037 .85799 L
.7823 .85856 L
.78422 .85925 L
.78454 .85937 L
.78615 .86006 L
.78808 .86102 L
.7886 .8613 L
.79 .86211 L
.79174 .86323 L
.79193 .86335 L
.79386 .86477 L
.79434 .86515 L
.79578 .86638 L
.79653 .86708 L
.79771 .86825 L
.79839 .86901 L
.79964 .87054 L
.79991 .87093 L
.80104 .87286 L
.80156 .87427 L
.80168 .87479 L
.80156 .87652 L
.80149 .87671 L
.79964 .87859 L
.7993 .87864 L
.79771 .8791 L
.79578 .87932 L
.79386 .87932 L
.79193 .87916 L
.79 .87887 L
.78883 .87864 L
.78808 .87846 L
.78615 .87793 L
.78422 .8773 L
.7827 .87671 L
.7823 .87655 L
.78037 .87569 L
.77857 .87479 L
.77844 .87472 L
.77651 .87364 L
.77525 .87286 L
.77459 .87243 L
.77266 .8711 L
.77244 .87093 L
.77073 .86961 L
.77001 .86901 L
.76881 .86795 L
.76792 .86708 L
.76688 .86601 L
.76616 .86515 L
.76495 .86351 L
.76481 .86323 L
.764 .8613 L
.76412 .85937 L
.76495 .85834 L
.76674 .85745 L
F
0 .83 1 r
.76881 .8574 m
.77073 .85718 L
.77266 .85716 L
.77459 .85727 L
.77628 .85745 L
.77651 .8575 L
.77844 .85784 L
.78037 .85831 L
.7823 .85889 L
.78366 .85937 L
.78422 .85959 L
.78615 .86043 L
.78788 .8613 L
.78808 .8614 L
.79 .86252 L
.79109 .86323 L
.79193 .8638 L
.79371 .86515 L
.79386 .86527 L
.79578 .86695 L
.79592 .86708 L
.79771 .86894 L
.79777 .86901 L
.79927 .87093 L
.79964 .87119 L
.80036 .87286 L
.80091 .87479 L
.80053 .87671 L
.79964 .87799 L
.79771 .87855 L
.7972 .87864 L
.79578 .87885 L
.79386 .8789 L
.79193 .87877 L
.79068 .87864 L
.79 .87849 L
.78808 .87809 L
.78615 .87756 L
.78422 .87692 L
.78366 .87671 L
.7823 .87617 L
.78037 .8753 L
.77934 .87479 L
.77844 .87432 L
.77651 .87322 L
.77593 .87286 L
.77459 .87199 L
.77308 .87093 L
.77266 .87063 L
.77073 .8691 L
.77063 .86901 L
.76881 .86736 L
.76853 .86708 L
.76688 .86527 L
.76679 .86515 L
.76546 .86323 L
.76495 .86212 L
.76472 .8613 L
.76495 .85946 L
.765 .85937 L
.76688 .85793 L
.76856 .85745 L
F
0 .82 1 r
.76688 .85856 m
.76881 .85772 L
.77073 .85754 L
.77266 .85749 L
.77459 .85758 L
.77651 .8578 L
.77844 .85815 L
.78037 .85862 L
.7823 .85922 L
.78274 .85937 L
.78422 .85994 L
.78615 .86079 L
.78716 .8613 L
.78808 .86179 L
.79 .86294 L
.79044 .86323 L
.79193 .86426 L
.7931 .86515 L
.79386 .86577 L
.79532 .86708 L
.79578 .86752 L
.79716 .86901 L
.79771 .86961 L
.79863 .87093 L
.79964 .87271 L
.79968 .87286 L
.80013 .87479 L
.79964 .87653 L
.7995 .87671 L
.79771 .87802 L
.79578 .87838 L
.79386 .87847 L
.79193 .87837 L
.79 .87812 L
.78808 .87772 L
.78615 .87719 L
.78468 .87671 L
.78422 .87655 L
.7823 .87579 L
.78037 .87491 L
.78012 .87479 L
.77844 .87392 L
.77662 .87286 L
.77651 .8728 L
.77459 .87155 L
.77371 .87093 L
.77266 .87016 L
.77124 .86901 L
.77073 .86858 L
.76913 .86708 L
.76881 .86677 L
.7674 .86515 L
.76688 .86474 L
.76611 .86323 L
.76544 .8613 L
.76591 .85937 L
F
1 .78 0 r
.76688 .79445 m
.76881 .79507 L
.76967 .79578 L
.77073 .79645 L
.7726 .79771 L
.77266 .79775 L
.77459 .79912 L
.77531 .79964 L
.77651 .80057 L
.77781 .80156 L
.77844 .8021 L
.78014 .80349 L
.78037 .8037 L
.7823 .80535 L
.78238 .80542 L
.78422 .80699 L
.78464 .80735 L
.78615 .80866 L
.78684 .80927 L
.78808 .81037 L
.789 .8112 L
.79 .81211 L
.79112 .81313 L
.79193 .81387 L
.7932 .81505 L
.79386 .81567 L
.79524 .81698 L
.79578 .81749 L
.79726 .81891 L
.79771 .81934 L
.79924 .82083 L
.79964 .82122 L
.80119 .82276 L
.80156 .82312 L
.80312 .82469 L
.80349 .82506 L
.80501 .82661 L
.80542 .82702 L
.80687 .82854 L
.80735 .82902 L
.80869 .83047 L
.80927 .83106 L
.81047 .8324 L
.8112 .83315 L
.81221 .83432 L
.81313 .83531 L
.81389 .83625 L
.81505 .83758 L
.8155 .83818 L
.81698 .84004 L
.81702 .8401 L
.81845 .84203 L
.81891 .84269 L
.8197 .84396 L
.82052 .84588 L
.81891 .84641 L
.81777 .84588 L
.81698 .84545 L
.81505 .84428 L
.81447 .84396 L
.81313 .84301 L
.81165 .84203 L
.8112 .84158 L
.80933 .8401 L
.80927 .84002 L
.80735 .83846 L
.80699 .83818 L
.80542 .83689 L
.80465 .83625 L
.80349 .83527 L
.80238 .83432 L
.80156 .83361 L
.80017 .8324 L
.79964 .83192 L
.79802 .83047 L
.79771 .83019 L
.7959 .82854 L
.79578 .82843 L
.79386 .82665 L
.79382 .82661 L
.79193 .82485 L
.79176 .82469 L
.79 .82302 L
.78973 .82276 L
.78808 .82117 L
.78774 .82083 L
.78615 .81928 L
.78577 .81891 L
.78422 .81737 L
.78384 .81698 L
.7823 .81542 L
.78194 .81505 L
.78037 .81344 L
.78007 .81313 L
.77844 .81141 L
.77825 .8112 L
.77651 .80934 L
.77646 .80927 L
.77469 .80735 L
.77459 .80727 L
.77296 .80542 L
.77266 .80521 L
.77128 .80349 L
.77073 .80306 L
.7697 .80156 L
.76881 .80029 L
.76825 .79964 L
.76699 .79771 L
.76688 .79753 L
.76597 .79578 L
F
0 .81 1 r
.76881 .85815 m
.77073 .85787 L
.77266 .8578 L
.77459 .85789 L
.77651 .85811 L
.77844 .85846 L
.78037 .85894 L
.78178 .85937 L
.7823 .85955 L
.78422 .86028 L
.78615 .86116 L
.78643 .8613 L
.78808 .86218 L
.7898 .86323 L
.79 .86336 L
.79193 .86472 L
.79249 .86515 L
.79386 .86628 L
.79472 .86708 L
.79578 .86812 L
.79656 .86901 L
.79771 .87045 L
.798 .87093 L
.79899 .87286 L
.79933 .87479 L
.79839 .87671 L
.79771 .87726 L
.79578 .87788 L
.79386 .87804 L
.79193 .87797 L
.79 .87773 L
.78808 .87734 L
.78615 .87682 L
.7858 .87671 L
.78422 .87618 L
.7823 .87541 L
.78091 .87479 L
.78037 .87453 L
.77844 .87352 L
.7773 .87286 L
.77651 .87238 L
.77459 .87111 L
.77434 .87093 L
.77266 .86968 L
.77184 .86901 L
.77073 .86805 L
.76973 .86708 L
.76881 .86615 L
.76801 .86515 L
.76688 .86357 L
.76676 .86323 L
.76617 .8613 L
.76688 .85937 L
.76688 .85937 L
F
0 .8 1 r
.76881 .85876 m
.77073 .85827 L
.77266 .85815 L
.77459 .85821 L
.77651 .85843 L
.77844 .85878 L
.78037 .85927 L
.78073 .85937 L
.7823 .85988 L
.78422 .86063 L
.78569 .8613 L
.78615 .86152 L
.78808 .86257 L
.78915 .86323 L
.79 .86378 L
.79188 .86515 L
.79193 .86519 L
.79386 .86683 L
.79412 .86708 L
.79578 .8688 L
.79595 .86901 L
.79737 .87093 L
.79771 .87152 L
.7983 .87286 L
.79851 .87479 L
.79771 .87625 L
.79714 .87671 L
.79578 .87729 L
.79386 .87757 L
.79193 .87755 L
.79 .87734 L
.78808 .87696 L
.78705 .87671 L
.78615 .87645 L
.78422 .87581 L
.7823 .87503 L
.78173 .87479 L
.78037 .87414 L
.77844 .87312 L
.77799 .87286 L
.77651 .87197 L
.77497 .87093 L
.77459 .87067 L
.77266 .86919 L
.77244 .86901 L
.77073 .86749 L
.77033 .86708 L
.76881 .86541 L
.76862 .86515 L
.76741 .86323 L
.76692 .8613 L
.76792 .85937 L
F
0 .79 1 r
.77073 .85874 m
.77266 .85853 L
.77459 .85856 L
.77651 .85876 L
.77844 .85911 L
.77958 .85937 L
.78037 .85959 L
.7823 .86021 L
.78422 .86098 L
.78493 .8613 L
.78615 .86189 L
.78808 .86297 L
.7885 .86323 L
.79 .86421 L
.79128 .86515 L
.79193 .86566 L
.79353 .86708 L
.79386 .86737 L
.79535 .86901 L
.79578 .86938 L
.79674 .87093 L
.7976 .87286 L
.79764 .87479 L
.79578 .87659 L
.79544 .87671 L
.79386 .87706 L
.79193 .87711 L
.79 .87693 L
.78848 .87671 L
.78808 .87658 L
.78615 .87608 L
.78422 .87543 L
.7826 .87479 L
.7823 .87466 L
.78037 .87376 L
.77869 .87286 L
.77844 .87272 L
.77651 .87155 L
.7756 .87093 L
.77459 .87022 L
.77304 .86901 L
.77266 .8687 L
.77092 .86708 L
.77073 .86693 L
.76923 .86515 L
.76881 .86456 L
.76806 .86323 L
.76768 .8613 L
.76881 .85956 L
.76909 .85937 L
F
0 .78 1 r
.77073 .85932 m
.77266 .85895 L
.77459 .85893 L
.77651 .85911 L
.77823 .85937 L
.77844 .85944 L
.78037 .85992 L
.7823 .86056 L
.78413 .8613 L
.78422 .86134 L
.78615 .86227 L
.78783 .86323 L
.78808 .86337 L
.79 .86466 L
.79066 .86515 L
.79193 .86616 L
.79294 .86708 L
.79386 .86795 L
.79475 .86901 L
.79578 .87026 L
.7961 .87093 L
.79688 .87286 L
.79672 .87479 L
.79578 .87579 L
.79386 .87657 L
.79193 .87665 L
.79 .87652 L
.78808 .87619 L
.78615 .8757 L
.78422 .87505 L
.78352 .87479 L
.7823 .87428 L
.78037 .87337 L
.77941 .87286 L
.77844 .87232 L
.77651 .87112 L
.77624 .87093 L
.77459 .86976 L
.77365 .86901 L
.77266 .8682 L
.77151 .86708 L
.77073 .86636 L
.76984 .86515 L
.76881 .86343 L
.76872 .86323 L
.76848 .8613 L
.76881 .86056 L
.77057 .85937 L
F
0 .77 1 r
.77459 .85932 m
.77556 .85937 L
.77651 .85946 L
.77844 .85977 L
.78037 .86026 L
.7823 .86091 L
.78329 .8613 L
.78422 .8617 L
.78615 .86265 L
.78716 .86323 L
.78808 .86378 L
.79 .86512 L
.79004 .86515 L
.79193 .86669 L
.79234 .86708 L
.79386 .86864 L
.79414 .86901 L
.79545 .87093 L
.79578 .87164 L
.79613 .87286 L
.79578 .87463 L
.79568 .87479 L
.79386 .87605 L
.79193 .87621 L
.79 .87611 L
.78808 .87579 L
.78615 .8753 L
.78454 .87479 L
.78422 .87467 L
.7823 .87389 L
.78037 .87297 L
.78016 .87286 L
.77844 .87191 L
.77689 .87093 L
.77651 .87069 L
.77459 .86927 L
.77426 .86901 L
.77266 .86764 L
.77211 .86708 L
.77073 .86559 L
.77046 .86515 L
.7694 .86323 L
.76932 .8613 L
.77073 .85994 L
.77266 .85939 L
.7731 .85937 L
F
0 .76 1 r
.77073 .86074 m
.77266 .85963 L
.77459 .85965 L
.77651 .8598 L
.77844 .86012 L
.78037 .86062 L
.7823 .86127 L
.78236 .8613 L
.78422 .86207 L
.78615 .86306 L
.78645 .86323 L
.78808 .8642 L
.78941 .86515 L
.79 .86557 L
.79172 .86708 L
.79193 .86723 L
.79352 .86901 L
.79386 .86945 L
.79478 .87093 L
.79535 .87286 L
.7945 .87479 L
.79386 .87525 L
.79193 .87569 L
.79 .87565 L
.78808 .87537 L
.78615 .8749 L
.78575 .87479 L
.78422 .87428 L
.7823 .8735 L
.78094 .87286 L
.78037 .87257 L
.77844 .87149 L
.77756 .87093 L
.77651 .87025 L
.77488 .86901 L
.77459 .8688 L
.77273 .86708 L
.77266 .86706 L
.77109 .86515 L
.77073 .8646 L
.7701 .86323 L
.77023 .8613 L
F
0 .75 1 r
.77266 .86018 m
.77459 .86005 L
.77651 .86018 L
.77844 .8605 L
.78037 .86099 L
.78136 .8613 L
.7823 .86163 L
.78422 .86245 L
.78572 .86323 L
.78615 .86345 L
.78808 .86466 L
.78877 .86515 L
.79 .86607 L
.7911 .86708 L
.79193 .86777 L
.79288 .86901 L
.79386 .87048 L
.79409 .87093 L
.7945 .87286 L
.79386 .87417 L
.79284 .87479 L
.79193 .87506 L
.79 .87515 L
.78808 .87492 L
.78715 .87479 L
.78615 .8745 L
.78422 .87388 L
.7823 .87309 L
.78179 .87286 L
.78037 .87217 L
.77844 .87105 L
.77826 .87093 L
.77651 .86978 L
.77551 .86901 L
.77459 .8683 L
.77335 .86708 L
.77266 .86669 L
.77174 .86515 L
.77084 .86323 L
.77124 .8613 L
F
0 .74 1 r
.77266 .86118 m
.77459 .86057 L
.77651 .86061 L
.77844 .8609 L
.78021 .8613 L
.78037 .86137 L
.7823 .862 L
.78422 .86286 L
.78494 .86323 L
.78615 .86386 L
.78808 .86514 L
.78809 .86515 L
.79 .86664 L
.79046 .86708 L
.79193 .86856 L
.79222 .86901 L
.79336 .87093 L
.79358 .87286 L
.79193 .87433 L
.79 .87469 L
.78808 .8745 L
.78615 .87408 L
.78422 .87346 L
.78271 .87286 L
.7823 .87268 L
.78037 .87174 L
.77898 .87093 L
.77844 .87062 L
.77651 .86927 L
.77618 .86901 L
.77459 .86771 L
.77399 .86708 L
.77266 .86571 L
.77241 .86515 L
.77161 .86323 L
.77252 .8613 L
F
1 .77 0 r
.77266 .80004 m
.77459 .80099 L
.77551 .80156 L
.77651 .80224 L
.77826 .80349 L
.77844 .80363 L
.78037 .80507 L
.78084 .80542 L
.7823 .80657 L
.78327 .80735 L
.78422 .80815 L
.78557 .80927 L
.78615 .80979 L
.78776 .8112 L
.78808 .81149 L
.78987 .81313 L
.79 .81325 L
.79192 .81505 L
.79193 .81506 L
.79386 .81685 L
.79399 .81698 L
.79578 .81867 L
.79603 .81891 L
.79771 .82053 L
.79802 .82083 L
.79964 .82243 L
.79997 .82276 L
.80156 .82437 L
.80187 .82469 L
.80349 .82635 L
.80373 .82661 L
.80542 .8284 L
.80555 .82854 L
.80733 .83047 L
.80735 .83051 L
.80917 .8324 L
.80927 .83269 L
.81094 .83432 L
.8112 .83499 L
.81255 .83625 L
.81313 .83753 L
.81357 .83818 L
.81461 .8401 L
.81313 .84079 L
.81183 .8401 L
.8112 .83972 L
.80927 .83848 L
.80875 .83818 L
.80735 .83716 L
.80599 .83625 L
.80542 .8357 L
.80394 .83432 L
.80349 .8341 L
.80163 .8324 L
.80156 .83237 L
.79964 .8307 L
.79937 .83047 L
.79771 .82902 L
.79717 .82854 L
.79578 .8273 L
.79504 .82661 L
.79386 .82554 L
.79295 .82469 L
.79193 .82375 L
.7909 .82276 L
.79 .82192 L
.7889 .82083 L
.78808 .82005 L
.78694 .81891 L
.78615 .81815 L
.78501 .81698 L
.78422 .81621 L
.78313 .81505 L
.7823 .81423 L
.78129 .81313 L
.78037 .81219 L
.77951 .8112 L
.77844 .81008 L
.77779 .80927 L
.77651 .80784 L
.77615 .80735 L
.77461 .80542 L
.77459 .80538 L
.77317 .80349 L
.77266 .80273 L
.77197 .80156 L
F
0 .73 1 r
.77459 .86125 m
.77651 .86111 L
.7782 .8613 L
.77844 .86132 L
.78037 .86173 L
.7823 .86241 L
.78409 .86323 L
.78422 .86328 L
.78615 .86432 L
.78739 .86515 L
.78808 .86557 L
.78979 .86708 L
.79 .86729 L
.79154 .86901 L
.79193 .8696 L
.79259 .87093 L
.7925 .87286 L
.79193 .87341 L
.79 .87424 L
.78808 .87403 L
.78615 .87362 L
.78422 .87301 L
.78381 .87286 L
.7823 .87226 L
.78037 .87128 L
.77976 .87093 L
.77844 .87017 L
.77686 .86901 L
.77651 .86882 L
.77466 .86708 L
.77459 .867 L
.77311 .86515 L
.77266 .8642 L
.77247 .86323 L
.77266 .86245 L
.7744 .8613 L
F
0 .72 1 r
.77459 .862 m
.77651 .86165 L
.77844 .86165 L
.78037 .86215 L
.7823 .86286 L
.78316 .86323 L
.78422 .86368 L
.78615 .86482 L
.78663 .86515 L
.78808 .86611 L
.78909 .86708 L
.79 .86802 L
.79081 .86901 L
.79174 .87093 L
.79105 .87286 L
.79 .87344 L
.78808 .87346 L
.78615 .87311 L
.78492 .87286 L
.78422 .87259 L
.7823 .8718 L
.7806 .87093 L
.78037 .87083 L
.77844 .86965 L
.77759 .86901 L
.77651 .86833 L
.77536 .86708 L
.77459 .86619 L
.77387 .86515 L
.77338 .86323 L
F
0 .71 1 r
.77459 .86322 m
.77651 .86228 L
.77844 .86213 L
.78037 .86265 L
.78214 .86323 L
.7823 .86329 L
.78422 .86415 L
.78582 .86515 L
.78615 .86522 L
.78808 .86682 L
.78832 .86708 L
.79 .86901 L
.79 .86901 L
.79079 .87093 L
.79 .87232 L
.78808 .87276 L
.78615 .87273 L
.78422 .87213 L
.7823 .87129 L
.78156 .87093 L
.78037 .87039 L
.77844 .86904 L
.77839 .86901 L
.77651 .86756 L
.77613 .86708 L
.77469 .86515 L
.77459 .86489 L
.77458 .86323 L
F
0 .7 1 r
.77651 .86311 m
.77844 .86283 L
.78032 .86323 L
.78037 .86324 L
.7823 .86363 L
.78422 .86474 L
.7849 .86515 L
.78615 .86563 L
.78751 .86708 L
.78808 .86767 L
.78916 .86901 L
.78984 .87093 L
.78808 .87196 L
.78615 .87225 L
.78422 .87154 L
.78251 .87093 L
.7823 .87072 L
.78037 .86982 L
.77923 .86901 L
.77844 .86839 L
.77694 .86708 L
.77651 .86657 L
.77559 .86515 L
.77624 .86323 L
F
0 .69 1 r
.77844 .86369 m
.78037 .86388 L
.7823 .86425 L
.78397 .86515 L
.78422 .86543 L
.78615 .86659 L
.78654 .86708 L
.78808 .86901 L
.78768 .87093 L
.78615 .87128 L
.78467 .87093 L
.78422 .87081 L
.7823 .87008 L
.78037 .86904 L
.78032 .86901 L
.77844 .86758 L
.7779 .86708 L
.77677 .86515 L
F
0 .68 1 r
.78037 .86472 m
.78204 .86515 L
.7823 .86525 L
.78422 .86626 L
.78564 .86708 L
.78615 .86797 L
.78693 .86901 L
.78615 .86996 L
.78422 .86997 L
.7823 .86929 L
.78143 .86901 L
.78037 .86816 L
.77914 .86708 L
.77846 .86515 L
F
1 .76 0 r
.78037 .80748 m
.7823 .80864 L
.78319 .80927 L
.78422 .81005 L
.78569 .8112 L
.78615 .81157 L
.78801 .81313 L
.78808 .81318 L
.79 .81482 L
.79028 .81505 L
.79193 .8165 L
.79245 .81698 L
.79386 .81824 L
.79455 .81891 L
.79578 .82003 L
.79656 .82083 L
.79771 .82188 L
.79851 .82276 L
.79964 .8241 L
.80038 .82469 L
.80156 .82615 L
.80215 .82661 L
.80349 .8283 L
.80379 .82854 L
.80528 .83047 L
.80542 .83065 L
.80663 .8324 L
.80542 .83327 L
.80402 .8324 L
.80349 .83203 L
.80156 .83063 L
.80142 .83047 L
.79964 .82926 L
.79905 .82854 L
.79771 .8274 L
.79681 .82661 L
.79578 .8257 L
.79466 .82469 L
.79386 .82395 L
.79258 .82276 L
.79193 .82214 L
.79057 .82083 L
.79 .82028 L
.78861 .81891 L
.78808 .81837 L
.78672 .81698 L
.78615 .81638 L
.7849 .81505 L
.78422 .81431 L
.78316 .81313 L
.7823 .81212 L
.78153 .8112 L
.78037 .80968 L
.78008 .80927 L
F
0 .67 1 r
.7823 .86662 m
.78319 .86708 L
.7823 .8679 L
.78126 .86708 L
F
1 .98 0 r
.78808 .88764 m
.79 .88725 L
.79193 .88704 L
.79386 .88691 L
.79578 .88682 L
.79771 .88676 L
.79964 .88673 L
.80156 .88671 L
.80349 .88672 L
.80542 .88674 L
.80735 .88679 L
.80927 .88686 L
.8112 .88696 L
.81313 .88709 L
.81505 .88727 L
.81698 .8875 L
.81891 .8878 L
.82083 .88816 L
.8214 .88828 L
.82276 .88862 L
.82469 .88921 L
.82661 .8899 L
.82743 .8902 L
.82854 .8907 L
.83047 .89166 L
.8314 .89213 L
.8324 .89272 L
.83432 .89393 L
.83453 .89406 L
.83625 .89531 L
.83717 .89598 L
.83818 .89681 L
.83948 .89791 L
.8401 .89847 L
.84153 .89984 L
.84203 .90035 L
.84333 .90177 L
.84396 .90247 L
.84493 .90369 L
.84588 .90494 L
.84633 .90562 L
.84752 .90755 L
.84781 .90802 L
.84841 .90947 L
.84894 .9114 L
.84888 .91333 L
.84781 .91512 L
.84766 .91525 L
.84588 .91636 L
.84396 .91692 L
.84257 .91718 L
.84203 .91727 L
.8401 .9175 L
.83818 .91765 L
.83625 .91773 L
.83432 .91775 L
.8324 .91773 L
.83047 .91767 L
.82854 .91756 L
.82661 .9174 L
.82469 .9172 L
.82453 .91718 L
.82276 .91692 L
.82083 .91658 L
.81891 .91615 L
.81698 .91566 L
.81549 .91525 L
.81505 .91511 L
.81313 .91443 L
.8112 .91368 L
.81032 .91333 L
.80927 .91285 L
.80735 .91191 L
.80631 .9114 L
.80542 .91091 L
.80349 .90981 L
.80289 .90947 L
.80156 .90864 L
.79983 .90755 L
.79964 .90742 L
.79771 .90606 L
.79707 .90562 L
.79578 .90465 L
.79452 .90369 L
.79386 .90317 L
.79216 .90177 L
.79193 .90157 L
.79001 .89984 L
.79 .89983 L
.7881 .89791 L
.78808 .89788 L
.78647 .89598 L
.78615 .89559 L
.78519 .89406 L
.78435 .89213 L
.78438 .8902 L
.78615 .88843 L
.78647 .88828 L
F
1 .97 0 r
.79193 .88804 m
.79386 .88766 L
.79578 .88745 L
.79771 .88732 L
.79964 .88724 L
.80156 .88721 L
.80349 .88721 L
.80542 .88724 L
.80735 .8873 L
.80927 .8874 L
.8112 .88755 L
.81313 .88775 L
.81505 .888 L
.81676 .88828 L
.81698 .88832 L
.81891 .88873 L
.82083 .88925 L
.82276 .88987 L
.8237 .8902 L
.82469 .89061 L
.82661 .89149 L
.8279 .89213 L
.82854 .89248 L
.83047 .89364 L
.83113 .89406 L
.8324 .89493 L
.83383 .89598 L
.83432 .89637 L
.83618 .89791 L
.83625 .89797 L
.83818 .89977 L
.83824 .89984 L
.84008 .90177 L
.8401 .90179 L
.84169 .90369 L
.84203 .90413 L
.84307 .90562 L
.84396 .90707 L
.84419 .90755 L
.84498 .90947 L
.8453 .9114 L
.84483 .91333 L
.84396 .91464 L
.84255 .91525 L
.84203 .91548 L
.8401 .91606 L
.83818 .91639 L
.83625 .91658 L
.83432 .91667 L
.8324 .91668 L
.83047 .91662 L
.82854 .91649 L
.82661 .9163 L
.82469 .91604 L
.82276 .91571 L
.82083 .91531 L
.8206 .91525 L
.81891 .91481 L
.81698 .91423 L
.81505 .91357 L
.81437 .91333 L
.81313 .91282 L
.8112 .91197 L
.80995 .9114 L
.80927 .91106 L
.80735 .91003 L
.80632 .90947 L
.80542 .90894 L
.80349 .90775 L
.80317 .90755 L
.80156 .90647 L
.80034 .90562 L
.79964 .90511 L
.79777 .90369 L
.79771 .90365 L
.79578 .90206 L
.79544 .90177 L
.79386 .90034 L
.79333 .89984 L
.79193 .89844 L
.79145 .89791 L
.79 .89621 L
.78983 .89598 L
.78859 .89406 L
.78808 .89293 L
.78787 .89213 L
.78808 .89029 L
.78812 .8902 L
.79 .88868 L
.79111 .88828 L
F
1 .96 0 r
.79578 .88821 m
.79771 .88795 L
.79964 .8878 L
.80156 .88773 L
.80349 .88771 L
.80542 .88774 L
.80735 .88782 L
.80927 .88794 L
.8112 .88812 L
.81248 .88828 L
.81313 .88837 L
.81505 .88869 L
.81698 .88909 L
.81891 .88959 L
.82083 .89019 L
.82087 .8902 L
.82276 .89093 L
.82469 .89179 L
.8254 .89213 L
.82661 .89278 L
.82854 .89392 L
.82877 .89406 L
.83047 .89521 L
.83154 .89598 L
.8324 .89665 L
.83392 .89791 L
.83432 .89826 L
.836 .89984 L
.83625 .90008 L
.83783 .90177 L
.83818 .90216 L
.83941 .90369 L
.8401 .90462 L
.84074 .90562 L
.84177 .90755 L
.84203 .90817 L
.84241 .90947 L
.84247 .9114 L
.84203 .91258 L
.84145 .91333 L
.8401 .91434 L
.83818 .91501 L
.837 .91525 L
.83625 .91538 L
.83432 .91558 L
.8324 .91565 L
.83047 .91562 L
.82854 .91551 L
.82661 .91531 L
.82615 .91525 L
.82469 .91503 L
.82276 .91466 L
.82083 .91421 L
.81891 .91368 L
.81775 .91333 L
.81698 .91306 L
.81505 .91234 L
.81313 .91155 L
.81278 .9114 L
.8112 .91065 L
.80927 .90967 L
.80889 .90947 L
.80735 .9086 L
.80558 .90755 L
.80542 .90744 L
.80349 .90618 L
.80267 .90562 L
.80156 .90483 L
.80005 .90369 L
.79964 .90337 L
.79771 .90179 L
.79768 .90177 L
.79578 .90005 L
.79556 .89984 L
.79386 .89809 L
.7937 .89791 L
.79213 .89598 L
.79193 .89582 L
.79095 .89406 L
.79037 .89213 L
.79096 .8902 L
.79193 .88941 L
.79386 .88844 L
.7954 .88828 L
F
1 .95 0 r
.80349 .88824 m
.80542 .88826 L
.80606 .88828 L
.80735 .88834 L
.80927 .88848 L
.8112 .88869 L
.81313 .88898 L
.81505 .88935 L
.81698 .88981 L
.81835 .8902 L
.81891 .89038 L
.82083 .89107 L
.82276 .89188 L
.82329 .89213 L
.82469 .89284 L
.82661 .89393 L
.82683 .89406 L
.82854 .89518 L
.82968 .89598 L
.83047 .89658 L
.8321 .89791 L
.8324 .89817 L
.83419 .89984 L
.83432 .89996 L
.83601 .90177 L
.83625 .90204 L
.83756 .90369 L
.83818 .90454 L
.83883 .90562 L
.83975 .90755 L
.8401 .90872 L
.84022 .90947 L
.8401 .91095 L
.83995 .9114 L
.83818 .9133 L
.83809 .91333 L
.83625 .91407 L
.83432 .91445 L
.8324 .91463 L
.83047 .91465 L
.82854 .91457 L
.82661 .91438 L
.82469 .91409 L
.82276 .91372 L
.82111 .91333 L
.82083 .91325 L
.81891 .91269 L
.81698 .91203 L
.8153 .9114 L
.81505 .9113 L
.81313 .91045 L
.8112 .90953 L
.81108 .90947 L
.80927 .9085 L
.8076 .90755 L
.80735 .90739 L
.80542 .90617 L
.80458 .90562 L
.80349 .90486 L
.8019 .90369 L
.80156 .90344 L
.79964 .90188 L
.7995 .90177 L
.79771 .90016 L
.79737 .89984 L
.79578 .89821 L
.79552 .89791 L
.79399 .89598 L
.79386 .8958 L
.79289 .89406 L
.79248 .89213 L
.79347 .8902 L
.79386 .88981 L
.79578 .88891 L
.79771 .88859 L
.79964 .8884 L
.80156 .88829 L
.80182 .88828 L
F
1 .94 0 r
.79771 .88939 m
.79964 .88903 L
.80156 .88884 L
.80349 .88877 L
.80542 .88878 L
.80735 .88886 L
.80927 .88902 L
.8112 .88926 L
.81313 .88958 L
.81505 .88999 L
.81591 .8902 L
.81698 .8905 L
.81891 .89114 L
.82083 .89189 L
.82139 .89213 L
.82276 .89278 L
.82469 .89381 L
.82512 .89406 L
.82661 .89499 L
.82806 .89598 L
.82854 .89634 L
.83047 .89787 L
.83052 .89791 L
.8324 .89961 L
.83262 .89984 L
.83432 .90164 L
.83443 .90177 L
.83594 .90369 L
.83625 .90409 L
.83714 .90562 L
.83794 .90755 L
.83818 .9087 L
.8382 .90947 L
.83818 .90969 L
.83748 .9114 L
.83625 .91254 L
.83432 .91321 L
.83386 .91333 L
.8324 .91355 L
.83047 .91367 L
.82854 .91364 L
.82661 .91348 L
.82535 .91333 L
.82469 .91321 L
.82276 .91283 L
.82083 .91235 L
.81891 .91178 L
.81777 .9114 L
.81698 .91111 L
.81505 .91034 L
.81313 .90948 L
.81311 .90947 L
.8112 .90852 L
.80941 .90755 L
.80927 .90747 L
.80735 .9063 L
.80627 .90562 L
.80542 .90505 L
.80352 .90369 L
.80349 .90367 L
.80156 .90216 L
.80108 .90177 L
.79964 .9005 L
.79894 .89984 L
.79771 .8986 L
.7971 .89791 L
.79578 .89627 L
.79561 .89598 L
.7946 .89406 L
.79438 .89213 L
.79578 .89028 L
.79591 .8902 L
F
1 .93 0 r
.79964 .88984 m
.80156 .8895 L
.80349 .88935 L
.80542 .88933 L
.80735 .88941 L
.80927 .88957 L
.8112 .88982 L
.81313 .89017 L
.81328 .8902 L
.81505 .89062 L
.81698 .89118 L
.81891 .89186 L
.81958 .89213 L
.82083 .89268 L
.82276 .89363 L
.82353 .89406 L
.82469 .89474 L
.82658 .89598 L
.82661 .89601 L
.82854 .89746 L
.82908 .89791 L
.83047 .89913 L
.8312 .89984 L
.8324 .90107 L
.83299 .90177 L
.83432 .90348 L
.83446 .90369 L
.83557 .90562 L
.83624 .90755 L
.83622 .90947 L
.83481 .9114 L
.83432 .91171 L
.8324 .9124 L
.83047 .91266 L
.82854 .91271 L
.82661 .91259 L
.82469 .91235 L
.82276 .91198 L
.82083 .91151 L
.82045 .9114 L
.81891 .91093 L
.81698 .91024 L
.81508 .90947 L
.81505 .90946 L
.81313 .90857 L
.8112 .90759 L
.81112 .90755 L
.80927 .9065 L
.80783 .90562 L
.80735 .90531 L
.80542 .90399 L
.805 .90369 L
.80349 .90255 L
.80252 .90177 L
.80156 .90095 L
.80036 .89984 L
.79964 .89914 L
.79853 .89791 L
.79771 .89698 L
.79709 .89598 L
.79619 .89406 L
.7962 .89213 L
.79771 .89057 L
.79853 .8902 L
F
1 .92 0 r
.80349 .89002 m
.80542 .88993 L
.80735 .88998 L
.80927 .89014 L
.80986 .8902 L
.8112 .8904 L
.81313 .89077 L
.81505 .89125 L
.81698 .89185 L
.81776 .89213 L
.81891 .89258 L
.82083 .89345 L
.82202 .89406 L
.82276 .89447 L
.82469 .89565 L
.82518 .89598 L
.82661 .89701 L
.82774 .89791 L
.82854 .89859 L
.82987 .89984 L
.83047 .90043 L
.83164 .90177 L
.8324 .90267 L
.83306 .90369 L
.83408 .90562 L
.83432 .90629 L
.83457 .90755 L
.83432 .90917 L
.83417 .90947 L
.8324 .91109 L
.83124 .9114 L
.83047 .91154 L
.82854 .91173 L
.82661 .91169 L
.82469 .91149 L
.82403 .9114 L
.82276 .91115 L
.82083 .91068 L
.81891 .9101 L
.81713 .90947 L
.81698 .90942 L
.81505 .90862 L
.81313 .90772 L
.81278 .90755 L
.8112 .90671 L
.80932 .90562 L
.80927 .90559 L
.80735 .90435 L
.8064 .90369 L
.80542 .90298 L
.80387 .90177 L
.80349 .90146 L
.80169 .89984 L
.80156 .89972 L
.79987 .89791 L
.79964 .89773 L
.79849 .89598 L
.79771 .89409 L
.7977 .89406 L
.79771 .89285 L
.79801 .89213 L
.79964 .89087 L
.80156 .89025 L
.80188 .8902 L
F
1 .91 0 r
.80156 .89097 m
.80349 .89065 L
.80542 .89054 L
.80735 .89057 L
.80927 .89072 L
.8112 .89099 L
.81313 .89138 L
.81505 .89189 L
.81584 .89213 L
.81698 .89252 L
.81891 .8933 L
.82051 .89406 L
.82083 .89422 L
.82276 .89531 L
.82383 .89598 L
.82469 .89657 L
.82645 .89791 L
.82661 .89804 L
.82854 .89978 L
.8286 .89984 L
.83035 .90177 L
.83047 .90188 L
.83171 .90369 L
.8324 .90504 L
.83261 .90562 L
.83287 .90755 L
.8324 .90886 L
.83186 .90947 L
.83047 .91031 L
.82854 .9107 L
.82661 .91077 L
.82469 .91063 L
.82276 .91032 L
.82083 .90987 L
.81944 .90947 L
.81891 .9093 L
.81698 .90861 L
.81505 .9078 L
.81449 .90755 L
.81313 .90688 L
.8112 .90585 L
.8108 .90562 L
.80927 .9047 L
.80775 .90369 L
.80735 .90341 L
.80542 .90197 L
.80516 .90177 L
.80349 .90034 L
.80297 .89984 L
.80156 .89841 L
.80117 .89791 L
.79984 .89598 L
.79964 .89558 L
.79921 .89406 L
.79964 .89247 L
.79993 .89213 L
F
1 .9 0 r
.80349 .89154 m
.80542 .89124 L
.80735 .89121 L
.80927 .89134 L
.8112 .89161 L
.81313 .89201 L
.81362 .89213 L
.81505 .89253 L
.81698 .8932 L
.81891 .89403 L
.81897 .89406 L
.82083 .895 L
.82248 .89598 L
.82276 .89616 L
.82469 .89752 L
.82518 .89791 L
.82661 .89912 L
.82735 .89984 L
.82854 .90108 L
.82908 .90177 L
.83036 .90369 L
.83047 .9039 L
.83111 .90562 L
.83103 .90755 L
.83047 .9084 L
.82854 .90946 L
.82847 .90947 L
.82661 .90975 L
.82469 .90971 L
.82283 .90947 L
.82276 .90946 L
.82083 .90905 L
.81891 .9085 L
.81698 .90781 L
.81633 .90755 L
.81505 .907 L
.81313 .90606 L
.81229 .90562 L
.8112 .905 L
.80927 .90381 L
.8091 .90369 L
.80735 .90247 L
.80644 .90177 L
.80542 .90095 L
.80421 .89984 L
.80349 .89919 L
.80243 .89791 L
.80156 .89668 L
.80119 .89598 L
.80075 .89406 L
.80156 .89254 L
.80213 .89213 L
F
1 .89 0 r
.80735 .89196 m
.80927 .89203 L
.8102 .89213 L
.8112 .89226 L
.81313 .89265 L
.81505 .89321 L
.81698 .89392 L
.81732 .89406 L
.81891 .89477 L
.82083 .89582 L
.82111 .89598 L
.82276 .89705 L
.82391 .89791 L
.82469 .89852 L
.8261 .89984 L
.82661 .90029 L
.82779 .90177 L
.82854 .90287 L
.82898 .90369 L
.82953 .90562 L
.82884 .90755 L
.82854 .90789 L
.82661 .90866 L
.82469 .90875 L
.82276 .90858 L
.82083 .90821 L
.81891 .90767 L
.81851 .90755 L
.81698 .907 L
.81505 .90618 L
.81388 .90562 L
.81313 .90523 L
.8112 .90414 L
.81047 .90369 L
.80927 .90291 L
.80772 .90177 L
.80735 .90149 L
.80547 .89984 L
.80542 .89981 L
.80371 .89791 L
.80349 .89762 L
.80256 .89598 L
.8024 .89406 L
.80349 .89282 L
.80542 .89216 L
.80557 .89213 L
F
1 .88 0 r
.80542 .89329 m
.80735 .89263 L
.80927 .89271 L
.8112 .89295 L
.81313 .89336 L
.81505 .89394 L
.81541 .89406 L
.81698 .89465 L
.81891 .89557 L
.81965 .89598 L
.82083 .89667 L
.82258 .89791 L
.82276 .89803 L
.82469 .89971 L
.82481 .89984 L
.82646 .90177 L
.82661 .90199 L
.82753 .90369 L
.82774 .90562 L
.82661 .90702 L
.82495 .90755 L
.82469 .90758 L
.82276 .90758 L
.8224 .90755 L
.82083 .90731 L
.81891 .90683 L
.81698 .90616 L
.81567 .90562 L
.81505 .90534 L
.81313 .90438 L
.81193 .90369 L
.8112 .90326 L
.80927 .90193 L
.80905 .90177 L
.80735 .90041 L
.80676 .89984 L
.80542 .89855 L
.80503 .89791 L
.80402 .89598 L
.80429 .89406 L
F
1 .87 0 r
.80735 .89393 m
.80927 .89364 L
.8112 .89379 L
.81266 .89406 L
.81313 .89414 L
.81505 .89468 L
.81698 .89547 L
.81803 .89598 L
.81891 .89641 L
.82083 .89766 L
.82117 .89791 L
.82276 .89913 L
.82344 .89984 L
.82469 .90103 L
.82503 .90177 L
.8259 .90369 L
.82544 .90562 L
.82469 .90626 L
.82276 .90653 L
.82083 .90633 L
.81891 .90588 L
.81794 .90562 L
.81698 .90528 L
.81505 .90445 L
.81356 .90369 L
.81313 .90347 L
.8112 .90228 L
.81047 .90177 L
.80927 .90094 L
.80812 .89984 L
.80735 .89904 L
.80644 .89791 L
.80564 .89598 L
.80699 .89406 L
F
1 .86 0 r
.80927 .89491 m
.8112 .8948 L
.81313 .89495 L
.81505 .89561 L
.81604 .89598 L
.81698 .89629 L
.81891 .89744 L
.81957 .89791 L
.82083 .89861 L
.82192 .89984 L
.82276 .90081 L
.82341 .90177 L
.82391 .90369 L
.82276 .90482 L
.82083 .90508 L
.81891 .90493 L
.81698 .90427 L
.81553 .90369 L
.81505 .90351 L
.81313 .90246 L
.81209 .90177 L
.8112 .90139 L
.80964 .89984 L
.80927 .89945 L
.80803 .89791 L
.80761 .89598 L
F
1 .85 0 r
.8112 .8963 m
.81313 .8963 L
.81505 .8968 L
.81698 .89756 L
.81753 .89791 L
.81891 .89887 L
.82009 .89984 L
.82083 .90086 L
.82131 .90177 L
.82083 .90306 L
.81891 .90338 L
.81698 .90296 L
.81505 .90229 L
.81414 .90177 L
.81313 .90107 L
.81147 .89984 L
.8112 .89949 L
.81 .89791 L
F
0 .99 1 r
.82276 .92078 m
.82469 .9205 L
.82661 .92034 L
.82854 .92024 L
.83047 .92017 L
.8324 .92013 L
.83432 .92011 L
.83625 .92011 L
.83818 .92012 L
.8401 .92014 L
.84203 .92018 L
.84396 .92024 L
.84588 .92033 L
.84781 .92045 L
.84974 .9206 L
.85166 .92081 L
.85336 .92103 L
.85359 .92107 L
.85552 .92144 L
.85745 .92192 L
.85937 .92251 L
.86062 .92296 L
.8613 .92325 L
.86323 .92415 L
.86461 .92489 L
.86515 .92521 L
.86708 .92643 L
.86765 .92682 L
.86901 .9278 L
.87022 .92874 L
.87093 .92932 L
.8725 .93067 L
.87286 .93099 L
.87456 .9326 L
.87479 .93282 L
.87643 .93452 L
.87671 .93483 L
.87812 .93645 L
.87864 .93709 L
.87962 .93838 L
.88057 .93974 L
.88092 .9403 L
.88195 .94223 L
.8825 .94362 L
.88265 .94416 L
.88282 .94608 L
.8825 .94731 L
.88207 .94801 L
.88057 .94935 L
.87895 .94994 L
.87864 .95004 L
.87671 .9505 L
.87479 .95079 L
.87286 .95097 L
.87093 .95107 L
.86901 .95112 L
.86708 .95111 L
.86515 .95105 L
.86323 .95094 L
.8613 .95078 L
.85937 .95057 L
.85745 .9503 L
.85552 .94998 L
.85526 .94994 L
.85359 .94957 L
.85166 .94907 L
.84974 .9485 L
.84819 .94801 L
.84781 .94787 L
.84588 .9471 L
.84396 .94628 L
.84349 .94608 L
.84203 .94536 L
.8401 .94436 L
.83972 .94416 L
.83818 .94326 L
.83646 .94223 L
.83625 .94209 L
.83432 .94082 L
.83355 .9403 L
.8324 .93947 L
.8309 .93838 L
.83047 .93804 L
.82854 .93652 L
.82845 .93645 L
.82661 .93489 L
.8262 .93452 L
.82469 .93314 L
.82412 .9326 L
.82276 .93123 L
.82223 .93067 L
.82083 .92909 L
.82056 .92874 L
.81919 .92682 L
.81891 .92634 L
.81828 .92489 L
.81832 .92296 L
.81891 .9222 L
.82083 .92125 L
.82163 .92103 L
F
0 .98 1 r
.82854 .92245 m
.83047 .92192 L
.8324 .92167 L
.83432 .92153 L
.83625 .92147 L
.83818 .92145 L
.8401 .92149 L
.84203 .92158 L
.84396 .92173 L
.84588 .92194 L
.84781 .92223 L
.84974 .92259 L
.85132 .92296 L
.85166 .92305 L
.85359 .92363 L
.85552 .92433 L
.85684 .92489 L
.85745 .92517 L
.85937 .92617 L
.8605 .92682 L
.8613 .92732 L
.86323 .92864 L
.86336 .92874 L
.86515 .93015 L
.86575 .93067 L
.86708 .93188 L
.86781 .9326 L
.86901 .93387 L
.86957 .93452 L
.87093 .93625 L
.87107 .93645 L
.87228 .93838 L
.87286 .9393 L
.87316 .9403 L
.87358 .94223 L
.8733 .94416 L
.87286 .94491 L
.87152 .94608 L
.87093 .94641 L
.86901 .94705 L
.86708 .94735 L
.86515 .94747 L
.86323 .94744 L
.8613 .9473 L
.85937 .94705 L
.85745 .9467 L
.85552 .94627 L
.85479 .94608 L
.85359 .94574 L
.85166 .94512 L
.84974 .94442 L
.84907 .94416 L
.84781 .94362 L
.84588 .94274 L
.84483 .94223 L
.84396 .94178 L
.84203 .94072 L
.84131 .9403 L
.8401 .93957 L
.83824 .93838 L
.83818 .93834 L
.83625 .93699 L
.8355 .93645 L
.83432 .93555 L
.83305 .93452 L
.8324 .93397 L
.83087 .9326 L
.83047 .93222 L
.82897 .93067 L
.82854 .93021 L
.82742 .92874 L
.82661 .92743 L
.82634 .92682 L
.82605 .92489 L
.82661 .92373 L
.82762 .92296 L
F
0 .97 1 r
.8324 .92436 m
.83432 .9233 L
.83625 .92313 L
.83818 .92303 L
.8401 .92301 L
.84203 .92309 L
.84396 .92327 L
.84588 .92356 L
.84781 .92395 L
.84974 .92445 L
.85112 .92489 L
.85166 .92508 L
.85359 .92584 L
.85552 .92676 L
.85562 .92682 L
.85745 .92785 L
.85882 .92874 L
.85937 .92913 L
.8613 .93063 L
.86135 .93067 L
.86323 .9324 L
.86342 .9326 L
.86512 .93452 L
.86515 .93456 L
.86645 .93645 L
.86708 .93767 L
.86736 .93838 L
.86773 .9403 L
.86714 .94223 L
.86708 .94234 L
.86515 .94372 L
.86323 .94412 L
.86288 .94416 L
.8613 .94424 L
.85948 .94416 L
.85937 .94415 L
.85745 .9439 L
.85552 .9435 L
.85359 .94299 L
.85166 .94237 L
.85127 .94223 L
.84974 .94164 L
.84781 .94081 L
.84674 .9403 L
.84588 .93988 L
.84396 .93884 L
.84316 .93838 L
.84203 .93769 L
.84012 .93645 L
.8401 .93644 L
.83818 .93504 L
.83751 .93452 L
.83625 .93349 L
.83526 .9326 L
.83432 .93172 L
.83338 .93067 L
.8324 .92959 L
.83196 .92874 L
.83122 .92682 L
.83176 .92489 L
F
0 .96 1 r
.83625 .92641 m
.83818 .92528 L
.8401 .9249 L
.84203 .9249 L
.84396 .92503 L
.84588 .92532 L
.84781 .92578 L
.84974 .9264 L
.85084 .92682 L
.85166 .92716 L
.85359 .92811 L
.85469 .92874 L
.85552 .92925 L
.85745 .93067 L
.85745 .93067 L
.85937 .93239 L
.85956 .9326 L
.86115 .93452 L
.8613 .93475 L
.8622 .93645 L
.86252 .93838 L
.8613 .94027 L
.86128 .9403 L
.85937 .94096 L
.85745 .94103 L
.85552 .94081 L
.85359 .9404 L
.85319 .9403 L
.85166 .93984 L
.84974 .93913 L
.848 .93838 L
.84781 .93829 L
.84588 .93731 L
.84438 .93645 L
.84396 .9362 L
.84203 .93493 L
.84148 .93452 L
.8401 .93348 L
.83912 .9326 L
.83818 .93181 L
.83728 .93067 L
.83625 .92909 L
.83609 .92874 L
.836 .92682 L
F
0 .95 1 r
.84203 .92803 m
.84396 .9276 L
.84588 .92747 L
.84781 .92809 L
.84955 .92874 L
.84974 .92886 L
.85166 .92968 L
.85303 .93067 L
.85359 .93111 L
.85524 .9326 L
.85552 .93295 L
.85652 .93452 L
.85657 .93645 L
.85552 .93699 L
.85359 .93735 L
.85166 .93692 L
.85022 .93645 L
.84974 .93636 L
.84781 .93552 L
.84611 .93452 L
.84588 .93437 L
.84396 .93311 L
.84345 .9326 L
.84203 .9311 L
.84172 .93067 L
.84127 .92874 L
F
1 .99 0 r
.86708 .95679 m
.86901 .95635 L
.87093 .95619 L
.87286 .95614 L
.87479 .95618 L
.87671 .95629 L
.87864 .9565 L
.88057 .9568 L
.8825 .95721 L
.88415 .95765 L
.88442 .95773 L
.88635 .95838 L
.88828 .95918 L
.88909 .95957 L
.8902 .96015 L
.89213 .96132 L
.8924 .9615 L
.89406 .96271 L
.89493 .96343 L
.89598 .96437 L
.89695 .96535 L
.89791 .96641 L
.89857 .96728 L
.89981 .96921 L
.89984 .96927 L
.90061 .97113 L
.90081 .97306 L
.89995 .97499 L
.89984 .97512 L
.89791 .97624 L
.89598 .97659 L
.89406 .97665 L
.89213 .97651 L
.8902 .97622 L
.88828 .97578 L
.88635 .97524 L
.88557 .97499 L
.88442 .97458 L
.8825 .97382 L
.88077 .97306 L
.88057 .97297 L
.87864 .97201 L
.87703 .97113 L
.87671 .97096 L
.87479 .96979 L
.87388 .96921 L
.87286 .96852 L
.87117 .96728 L
.87093 .96711 L
.86901 .96551 L
.86884 .96535 L
.86708 .96362 L
.86692 .96343 L
.8655 .9615 L
.86515 .96081 L
.86485 .95957 L
.86515 .95838 L
.86585 .95765 L
F
0 g
gsave
.5 .17949 -75.3438 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(t) show
68.438 11.812 moveto
(=) show
77.688 11.812 moveto
(28) show
87.688 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
-0.00422139 0.606838 0.5 0.980769 MathSubStart
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0300481 0.5 0.320513 [
[.74038 -0.0125 -4 -9.125 ]
[.74038 -0.0125 4 0 ]
[.5 -0.0125 -4 -9.125 ]
[.5 -0.0125 4 0 ]
[.25962 -0.0125 -6.4375 -9.125 ]
[.25962 -0.0125 6.4375 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .17949 -12.875 -4.5625 ]
[-0.0125 .17949 0 4.5625 ]
[-0.0125 .5 -8 -4.5625 ]
[-0.0125 .5 0 4.5625 ]
[-0.0125 .82051 -8 -4.5625 ]
[-0.0125 .82051 0 4.5625 ]
[ 0 0 -0.125 0 ]
[.74038 1.0125 -4 0 ]
[.74038 1.0125 4 9.125 ]
[.5 1.0125 -4 0 ]
[.5 1.0125 4 9.125 ]
[.25962 1.0125 -6.4375 0 ]
[.25962 1.0125 6.4375 9.125 ]
[ 0 1 .125 0 ]
[1.0125 .17949 0 -4.5625 ]
[1.0125 .17949 12.875 4.5625 ]
[1.0125 .5 0 -4.5625 ]
[1.0125 .5 8 4.5625 ]
[1.0125 .82051 0 -4.5625 ]
[1.0125 .82051 8 4.5625 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.74038 0 m
.74038 .00625 L
s
gsave
.74038 -0.0125 -65 -13.125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -65 -13.125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 0 m
.25962 .00625 L
s
gsave
.25962 -0.0125 -67.4375 -13.125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
67.875 10.438 moveto
(8) show
1.000 setlinewidth
grestore
0 0 m
1 0 L
s
0 .17949 m
.00625 .17949 L
s
gsave
-0.0125 .17949 -73.875 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
67.875 10.438 moveto
(1) show
1.000 setlinewidth
grestore
0 .5 m
.00625 .5 L
s
gsave
-0.0125 .5 -69 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
0 .82051 m
.00625 .82051 L
s
gsave
-0.0125 .82051 -69 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
0 0 m
0 1 L
s
.74038 .99375 m
.74038 1 L
s
gsave
.74038 1.0125 -65 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 .99375 m
.5 1 L
s
gsave
.5 1.0125 -65 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 .99375 m
.25962 1 L
s
gsave
.25962 1.0125 -67.4375 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
67.875 10.438 moveto
(8) show
1.000 setlinewidth
grestore
0 1 m
1 1 L
s
.99375 .17949 m
1 .17949 L
s
gsave
1.0125 .17949 -61 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
67.875 10.438 moveto
(1) show
1.000 setlinewidth
grestore
.99375 .5 m
1 .5 L
s
gsave
1.0125 .5 -61 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.99375 .82051 m
1 .82051 L
s
gsave
1.0125 .82051 -61 -8.5625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 1 1 r
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
1 .98 0 r
.09654 .68926 m
.10137 .68806 L
.1062 .68741 L
.11104 .68733 L
.11587 .6878 L
.1207 .68882 L
.12553 .69042 L
.12662 .69086 L
.13036 .69262 L
.1352 .69544 L
.13558 .69569 L
.14003 .69892 L
.14198 .70052 L
.14486 .70311 L
.14714 .70535 L
.14969 .70809 L
.15149 .71019 L
.15452 .71405 L
.15522 .71502 L
.15838 .71985 L
.15935 .72152 L
.16102 .72468 L
.16324 .72951 L
.16419 .73181 L
.16519 .73434 L
.16708 .73918 L
.16902 .7438 L
.16912 .74401 L
.17161 .74884 L
.17385 .75213 L
.17516 .75367 L
.17868 .75628 L
.18351 .75752 L
.18835 .75716 L
.19318 .75626 L
.19801 .75534 L
.20284 .75456 L
.20767 .75394 L
.21033 .75367 L
.2125 .75349 L
.21734 .75316 L
.22217 .75292 L
.227 .75274 L
.23183 .75261 L
.23666 .75251 L
.2415 .75244 L
.24633 .75239 L
.25116 .75236 L
.25599 .75234 L
.26082 .75234 L
.26566 .75235 L
.27049 .75237 L
.27532 .75241 L
.28015 .75247 L
.28498 .75255 L
.28981 .75267 L
.29465 .75282 L
.29948 .75303 L
.30431 .75331 L
.30894 .75367 L
.30914 .75369 L
.31397 .75423 L
.31881 .75493 L
.32364 .75579 L
.32847 .75674 L
.3333 .75746 L
.33813 .75717 L
.34296 .75463 L
.34402 .75367 L
.3476 .74884 L
.3478 .74852 L
.35008 .74401 L
.35211 .73918 L
.35263 .73785 L
.35397 .73434 L
.35588 .72951 L
.35746 .72594 L
.35807 .72468 L
.36069 .71985 L
.36229 .71725 L
.36381 .71502 L
.36712 .71056 L
.36742 .71019 L
.37155 .70535 L
.37196 .70491 L
.37623 .70052 L
.37679 .69999 L
.38162 .69577 L
.38172 .69569 L
.38645 .69244 L
.38979 .69086 L
.39128 .69038 L
.39612 .68947 L
.40095 .6889 L
.40578 .68816 L
.41061 .68757 L
.41544 .68755 L
.42027 .68844 L
.42511 .69009 L
.42706 .69086 L
.42994 .69213 L
.43477 .69477 L
.43614 .69569 L
.4396 .69827 L
.44241 .70052 L
.44443 .70229 L
.44755 .70535 L
.44927 .70727 L
.45168 .71019 L
.4541 .71316 L
.45558 .71502 L
.45893 .71964 L
.45907 .71985 L
.46195 .72468 L
.46376 .72799 L
.46456 .72951 L
.467 .73434 L
.46859 .73777 L
.4692 .73918 L
.47117 .74401 L
.47301 .74884 L
.47342 .75 L
.47466 .75367 L
.47617 .7585 L
.47753 .76334 L
.47826 .76609 L
.47876 .76817 L
.47984 .773 L
.48082 .77783 L
.48169 .78266 L
.48245 .7875 L
.48309 .79225 L
.4831 .79233 L
.48362 .79716 L
.48404 .80199 L
.48437 .80682 L
.4846 .81165 L
.48473 .81649 L
.48476 .82132 L
.48469 .82615 L
.48453 .83098 L
.48427 .83581 L
.48391 .84065 L
.48346 .84548 L
.48309 .84878 L
.48289 .85031 L
.4822 .85514 L
.48141 .85997 L
.4805 .8648 L
.47949 .86964 L
.47837 .87447 L
.47826 .87493 L
.47709 .8793 L
.47568 .88413 L
.47413 .88896 L
.47342 .89106 L
.47243 .8938 L
.47054 .89863 L
.46859 .90324 L
.4685 .90346 L
.46622 .90829 L
.46376 .91306 L
.46373 .91312 L
.46095 .91796 L
.45893 .9212 L
.45787 .92279 L
.45442 .92762 L
.4541 .92804 L
.45049 .93245 L
.44927 .93382 L
.44593 .93728 L
.44443 .9387 L
.44047 .94211 L
.4396 .94279 L
.43477 .94616 L
.43348 .94695 L
.42994 .94886 L
.42511 .95095 L
.42274 .95178 L
.42027 .95244 L
.41544 .95336 L
.41061 .95372 L
.40578 .95353 L
.40095 .95279 L
.39697 .95178 L
.39612 .95148 L
.39128 .94957 L
.38645 .94707 L
.38624 .94695 L
.38162 .9439 L
.37927 .94211 L
.37679 .94002 L
.37386 .93728 L
.37196 .93534 L
.36935 .93245 L
.36712 .92976 L
.36546 .92762 L
.36229 .92327 L
.36196 .92279 L
.35866 .91796 L
.35746 .91618 L
.35542 .91312 L
.35263 .90916 L
.35207 .90829 L
.34848 .90346 L
.3478 .90268 L
.34498 .89863 L
.34361 .8938 L
.34408 .88896 L
.34492 .88413 L
.34555 .8793 L
.3458 .87447 L
.34557 .86964 L
.34478 .8648 L
.34324 .85997 L
.34296 .85933 L
.34031 .85514 L
.33813 .85308 L
.3333 .85095 L
.32847 .85044 L
.32364 .85055 L
.31881 .85084 L
.31397 .85113 L
.30914 .85138 L
.30431 .85158 L
.29948 .85173 L
.29465 .85184 L
.28981 .85193 L
.28498 .85199 L
.28015 .85204 L
.27532 .85207 L
.27049 .85209 L
.26566 .8521 L
.26082 .85211 L
.25599 .85211 L
.25116 .8521 L
.24633 .85208 L
.2415 .85205 L
.23666 .85202 L
.23183 .85196 L
.227 .85189 L
.22217 .85179 L
.21734 .85166 L
.2125 .85149 L
.20767 .85126 L
.20284 .85099 L
.19801 .85068 L
.19318 .85046 L
.18835 .85057 L
.18351 .85171 L
.17892 .85514 L
.17868 .8554 L
.176 .85997 L
.17444 .8648 L
.17385 .86803 L
.17365 .86964 L
.17343 .87447 L
.17367 .8793 L
.17385 .88104 L
.17431 .88413 L
.17509 .88896 L
.17576 .8938 L
.17425 .89863 L
.17385 .89937 L
.17029 .90346 L
.16902 .90586 L
.16716 .90829 L
.16419 .91262 L
.16384 .91312 L
.16057 .91796 L
.15935 .91976 L
.15727 .92279 L
.15452 .92662 L
.15377 .92762 L
.14988 .93245 L
.14969 .93267 L
.14538 .93728 L
.14486 .93779 L
.14003 .94206 L
.13996 .94211 L
.1352 .94557 L
.13299 .94695 L
.13036 .9484 L
.12553 .9506 L
.12223 .95178 L
.1207 .9522 L
.11587 .95323 L
.11104 .9537 L
.1062 .95361 L
.10137 .95297 L
.09657 .95178 L
.09654 .95177 L
.09171 .94998 L
.08688 .94759 L
.08575 .94695 L
.08204 .94456 L
.07876 .94211 L
.07721 .94084 L
.0733 .93728 L
.07238 .93637 L
.06874 .93245 L
.06755 .93105 L
.06482 .92762 L
.06272 .92476 L
.06136 .92279 L
.05827 .91796 L
.05789 .91731 L
.05552 .91312 L
.05305 .90839 L
.053 .90829 L
.05075 .90346 L
.04867 .89863 L
.04822 .89751 L
.04681 .8938 L
.0451 .88896 L
.04354 .88413 L
.04339 .88366 L
.04215 .8793 L
.04088 .87447 L
.03973 .86964 L
.0387 .8648 L
.03856 .86409 L
.03782 .85997 L
.03704 .85514 L
.03637 .85031 L
.03579 .84548 L
.03532 .84065 L
.03495 .83581 L
.03469 .83098 L
.03452 .82615 L
.03445 .82132 L
.03448 .81649 L
.03462 .81165 L
.03485 .80682 L
.03519 .80199 L
.03563 .79716 L
.03616 .79233 L
.0368 .7875 L
.03755 .78266 L
.03839 .77783 L
.03856 .77694 L
.03938 .773 L
.04049 .76817 L
.04171 .76334 L
.04306 .7585 L
.04339 .75737 L
.04456 .75367 L
.04622 .74884 L
.04803 .74401 L
.04822 .74351 L
.05004 .73918 L
.05223 .73434 L
.05305 .73263 L
.05465 .72951 L
.05732 .72468 L
.05789 .72372 L
.0603 .71985 L
.06272 .71626 L
.06361 .71502 L
.06737 .71019 L
.06755 .70997 L
.0717 .70535 L
.07238 .70466 L
.07682 .70052 L
.07721 .70018 L
.08204 .69647 L
.08318 .69569 L
.08688 .69344 L
.09171 .69105 L
.09213 .69086 L
F
1 .96 0 r
.09654 .71429 m
.10137 .7128 L
.1062 .71202 L
.11104 .71191 L
.11587 .71248 L
.1207 .71375 L
.12405 .71502 L
.12553 .71573 L
.13036 .71848 L
.13237 .71985 L
.1352 .72205 L
.13815 .72468 L
.14003 .72655 L
.14272 .72951 L
.14486 .73214 L
.14651 .73434 L
.14969 .73906 L
.14976 .73918 L
.15263 .74401 L
.15452 .74749 L
.15522 .74884 L
.15762 .75367 L
.15935 .7573 L
.1599 .7585 L
.16203 .76334 L
.16399 .76817 L
.16419 .76869 L
.16549 .773 L
.16653 .77783 L
.16705 .78266 L
.16723 .7875 L
.16728 .79233 L
.16738 .79716 L
.16763 .80199 L
.1681 .80682 L
.16883 .81165 L
.16902 .81265 L
.16986 .81649 L
.17116 .82132 L
.17272 .82615 L
.17385 .82922 L
.17436 .83098 L
.1745 .83581 L
.17385 .83791 L
.17246 .84065 L
.1704 .84548 L
.16902 .84915 L
.16856 .85031 L
.16687 .85514 L
.16542 .85997 L
.16419 .86461 L
.16414 .8648 L
.16294 .86964 L
.16172 .87447 L
.16039 .8793 L
.15935 .8826 L
.15883 .88413 L
.15693 .88896 L
.15468 .8938 L
.15452 .8941 L
.15202 .89863 L
.14969 .90238 L
.14897 .90346 L
.14545 .90829 L
.14486 .90904 L
.14135 .91312 L
.14003 .91452 L
.13641 .91796 L
.1352 .91899 L
.13036 .92255 L
.13 .92279 L
.12553 .92529 L
.1207 .92728 L
.11989 .92762 L
.11587 .92854 L
.11104 .92912 L
.1062 .92901 L
.10137 .92822 L
.09893 .92762 L
.09654 .92673 L
.09171 .92452 L
.08874 .92279 L
.08688 .92153 L
.08234 .91796 L
.08204 .91769 L
.07742 .91312 L
.07721 .9129 L
.07336 .90829 L
.07238 .90699 L
.06991 .90346 L
.06755 .89973 L
.0669 .89863 L
.06426 .8938 L
.06272 .89068 L
.06192 .88896 L
.05984 .88413 L
.05798 .8793 L
.05789 .87904 L
.05634 .87447 L
.05487 .86964 L
.05357 .8648 L
.05305 .86269 L
.05244 .85997 L
.05146 .85514 L
.05062 .85031 L
.04991 .84548 L
.04933 .84065 L
.04888 .83581 L
.04855 .83098 L
.04834 .82615 L
.04826 .82132 L
.0483 .81649 L
.04847 .81165 L
.04875 .80682 L
.04916 .80199 L
.0497 .79716 L
.05037 .79233 L
.05117 .7875 L
.0521 .78266 L
.05305 .77834 L
.05318 .77783 L
.05442 .773 L
.05583 .76817 L
.05741 .76334 L
.05789 .76199 L
.0592 .7585 L
.0612 .75367 L
.06272 .75034 L
.06345 .74884 L
.06599 .74401 L
.06755 .7413 L
.06886 .73918 L
.07215 .73434 L
.07238 .73403 L
.07599 .72951 L
.07721 .72813 L
.08058 .72468 L
.08204 .72334 L
.08638 .71985 L
.08688 .7195 L
.09171 .71651 L
.09472 .71502 L
F
1 .94 0 r
.09654 .72867 m
.10137 .72695 L
.1062 .72605 L
.11104 .72592 L
.11587 .72659 L
.1207 .72805 L
.12404 .72951 L
.12553 .73034 L
.13036 .73355 L
.13138 .73434 L
.1352 .73777 L
.13657 .73918 L
.14003 .74317 L
.14068 .74401 L
.14412 .74884 L
.14486 .74999 L
.14707 .75367 L
.14967 .7585 L
.14969 .75855 L
.15195 .76334 L
.15397 .76817 L
.15452 .76961 L
.1557 .773 L
.15713 .77783 L
.15827 .78266 L
.15915 .7875 L
.15935 .78882 L
.15983 .79233 L
.16038 .79716 L
.16088 .80199 L
.16137 .80682 L
.16187 .81165 L
.16236 .81649 L
.1628 .82132 L
.1631 .82615 L
.16312 .83098 L
.16278 .83581 L
.16209 .84065 L
.16113 .84548 L
.16001 .85031 L
.15935 .85296 L
.15879 .85514 L
.15748 .85997 L
.1561 .8648 L
.1546 .86964 L
.15452 .86987 L
.15292 .87447 L
.15099 .8793 L
.14969 .88221 L
.14876 .88413 L
.14615 .88896 L
.14486 .89111 L
.14309 .8938 L
.14003 .89793 L
.13946 .89863 L
.1352 .90329 L
.13502 .90346 L
.13036 .90749 L
.12929 .90829 L
.12553 .91069 L
.1207 .91298 L
.12044 .91312 L
.11587 .91444 L
.11104 .9151 L
.1062 .91498 L
.10137 .91407 L
.09823 .91312 L
.09654 .91236 L
.09171 .90978 L
.08947 .90829 L
.08688 .90628 L
.08374 .90346 L
.08204 .90172 L
.07932 .89863 L
.07721 .89592 L
.07569 .8938 L
.07262 .88896 L
.07238 .88856 L
.06997 .88413 L
.06766 .8793 L
.06755 .87905 L
.06565 .87447 L
.06388 .86964 L
.06272 .86608 L
.06233 .8648 L
.061 .85997 L
.05984 .85514 L
.05885 .85031 L
.05803 .84548 L
.05789 .84454 L
.05736 .84065 L
.05685 .83581 L
.05648 .83098 L
.05625 .82615 L
.05615 .82132 L
.0562 .81649 L
.05638 .81165 L
.05671 .80682 L
.05718 .80199 L
.05779 .79716 L
.05789 .79649 L
.05856 .79233 L
.05949 .7875 L
.06059 .78266 L
.06187 .77783 L
.06272 .77495 L
.06334 .773 L
.06503 .76817 L
.06696 .76334 L
.06755 .76197 L
.06916 .7585 L
.07169 .75367 L
.07238 .75246 L
.07461 .74884 L
.07721 .7451 L
.07804 .74401 L
.08204 .7393 L
.08216 .73918 L
.08688 .73474 L
.08736 .73434 L
.09171 .73124 L
.09472 .72951 L
F
1 .92 0 r
.10137 .73767 m
.1062 .73665 L
.11104 .73651 L
.11587 .73726 L
.1207 .73891 L
.12132 .73918 L
.12553 .74152 L
.12897 .74401 L
.13036 .7452 L
.13407 .74884 L
.1352 .7501 L
.13805 .75367 L
.14003 .75649 L
.14132 .7585 L
.14408 .76334 L
.14486 .76483 L
.14645 .76817 L
.14848 .773 L
.14969 .77631 L
.1502 .77783 L
.15163 .78266 L
.15281 .7875 L
.15377 .79233 L
.15452 .79699 L
.15455 .79716 L
.15519 .80199 L
.15573 .80682 L
.15617 .81165 L
.15651 .81649 L
.15673 .82132 L
.15677 .82615 L
.15661 .83098 L
.1562 .83581 L
.15555 .84065 L
.15469 .84548 L
.15452 .8463 L
.15363 .85031 L
.1524 .85514 L
.15101 .85997 L
.14969 .86407 L
.14944 .8648 L
.14764 .86964 L
.14556 .87447 L
.14486 .87595 L
.14313 .8793 L
.14027 .88413 L
.14003 .8845 L
.13682 .88896 L
.1352 .89093 L
.13255 .8938 L
.13036 .89584 L
.12685 .89863 L
.12553 .89951 L
.1207 .90212 L
.11726 .90346 L
.11587 .90377 L
.11104 .90451 L
.1062 .90438 L
.10173 .90346 L
.10137 .90335 L
.09654 .90141 L
.09191 .89863 L
.09171 .89848 L
.08688 .89444 L
.08622 .8938 L
.08204 .8891 L
.08194 .88896 L
.07848 .88413 L
.07721 .88212 L
.07558 .8793 L
.07312 .87447 L
.07238 .87285 L
.07101 .86964 L
.06919 .8648 L
.06763 .85997 L
.06755 .8597 L
.0663 .85514 L
.06517 .85031 L
.06423 .84548 L
.06347 .84065 L
.06289 .83581 L
.06272 .8342 L
.06246 .83098 L
.0622 .82615 L
.0621 .82132 L
.06215 .81649 L
.06236 .81165 L
.06272 .80691 L
.06273 .80682 L
.06326 .80199 L
.06396 .79716 L
.06484 .79233 L
.0659 .7875 L
.06716 .78266 L
.06755 .78132 L
.06865 .77783 L
.07038 .773 L
.07238 .76817 L
.07238 .76817 L
.07472 .76334 L
.07721 .7589 L
.07746 .7585 L
.08071 .75367 L
.08204 .75193 L
.08467 .74884 L
.08688 .74659 L
.08978 .74401 L
.09171 .74255 L
.09654 .73962 L
.09733 .73918 L
F
1 .9 0 r
.10137 .74673 m
.1062 .74558 L
.11104 .74543 L
.11587 .74626 L
.1207 .74812 L
.12213 .74884 L
.12553 .75107 L
.12871 .75367 L
.13036 .75528 L
.13327 .7585 L
.1352 .761 L
.13683 .76334 L
.13974 .76817 L
.14003 .7687 L
.14217 .773 L
.1442 .77783 L
.14486 .77958 L
.14591 .78266 L
.14732 .7875 L
.14849 .79233 L
.14943 .79716 L
.14969 .79867 L
.15019 .80199 L
.15079 .80682 L
.15124 .81165 L
.15154 .81649 L
.15168 .82132 L
.15163 .82615 L
.15138 .83098 L
.15092 .83581 L
.15023 .84065 L
.14969 .84367 L
.14932 .84548 L
.1482 .85031 L
.14686 .85514 L
.1453 .85997 L
.14486 .86121 L
.14347 .8648 L
.14132 .86964 L
.14003 .87219 L
.13877 .87447 L
.13569 .8793 L
.1352 .87999 L
.13187 .88413 L
.13036 .88574 L
.12683 .88896 L
.12553 .88995 L
.1207 .89291 L
.11909 .8938 L
.11587 .89477 L
.11104 .8956 L
.1062 .89545 L
.10137 .8943 L
.09988 .8938 L
.09654 .89211 L
.09193 .88896 L
.09171 .88878 L
.08688 .88413 L
.08688 .88413 L
.08304 .8793 L
.08204 .87784 L
.07995 .87447 L
.07739 .86964 L
.07721 .86927 L
.07523 .8648 L
.0734 .85997 L
.07238 .85687 L
.07186 .85514 L
.07057 .85031 L
.06951 .84548 L
.06865 .84065 L
.06799 .83581 L
.06755 .8314 L
.06752 .83098 L
.06723 .82615 L
.06711 .82132 L
.06717 .81649 L
.0674 .81165 L
.06755 .8095 L
.06781 .80682 L
.06841 .80199 L
.0692 .79716 L
.07019 .79233 L
.07141 .7875 L
.07238 .78416 L
.07286 .78266 L
.07459 .77783 L
.07663 .773 L
.07721 .77175 L
.07905 .76817 L
.08195 .76334 L
.08204 .76319 L
.08549 .7585 L
.08688 .7569 L
.09005 .75367 L
.09171 .75225 L
.09654 .74892 L
.09665 .74884 L
F
1 .88 0 r
.1062 .75358 m
.11104 .75341 L
.11311 .75367 L
.11587 .75434 L
.1207 .75643 L
.12396 .7585 L
.12553 .75979 L
.12923 .76334 L
.13036 .76465 L
.13307 .76817 L
.1352 .77144 L
.1361 .773 L
.13857 .77783 L
.14003 .7812 L
.1406 .78266 L
.14227 .7875 L
.14364 .79233 L
.14474 .79716 L
.14486 .79774 L
.14562 .80199 L
.14629 .80682 L
.14677 .81165 L
.14707 .81649 L
.14718 .82132 L
.14708 .82615 L
.14678 .83098 L
.14625 .83581 L
.14549 .84065 L
.14486 .84385 L
.14449 .84548 L
.14325 .85031 L
.14174 .85514 L
.14003 .85973 L
.13993 .85997 L
.13776 .8648 L
.1352 .86952 L
.13513 .86964 L
.13188 .87447 L
.13036 .87636 L
.12767 .8793 L
.12553 .88123 L
.12153 .88413 L
.1207 .8846 L
.11587 .88668 L
.11104 .88762 L
.1062 .88745 L
.10137 .88616 L
.09715 .88413 L
.09654 .88369 L
.09171 .87989 L
.09109 .8793 L
.08688 .87448 L
.08687 .87447 L
.0836 .86964 L
.08204 .86689 L
.08097 .8648 L
.0788 .85997 L
.07721 .85577 L
.077 .85514 L
.07551 .85031 L
.0743 .84548 L
.07333 .84065 L
.07258 .83581 L
.07238 .83427 L
.07205 .83098 L
.07173 .82615 L
.0716 .82132 L
.07166 .81649 L
.07192 .81165 L
.07238 .80685 L
.07238 .80682 L
.07306 .80199 L
.07395 .79716 L
.07508 .79233 L
.07647 .7875 L
.07721 .78526 L
.07816 .78266 L
.0802 .77783 L
.08204 .77413 L
.08266 .773 L
.08569 .76817 L
.08688 .76655 L
.08953 .76334 L
.09171 .76114 L
.09481 .7585 L
.09654 .75734 L
.10137 .75487 L
.10564 .75367 L
F
1 .86 0 r
.10137 .76252 m
.1062 .76107 L
.11104 .76087 L
.11587 .76192 L
.1194 .76334 L
.1207 .76429 L
.12553 .76815 L
.12554 .76817 L
.12974 .773 L
.13036 .77388 L
.13288 .77783 L
.1352 .78231 L
.13536 .78266 L
.13736 .7875 L
.13897 .79233 L
.14003 .79621 L
.14026 .79716 L
.14126 .80199 L
.14203 .80682 L
.14256 .81165 L
.14288 .81649 L
.14297 .82132 L
.14285 .82615 L
.14249 .83098 L
.14189 .83581 L
.14103 .84065 L
.14003 .84503 L
.13991 .84548 L
.13849 .85031 L
.13674 .85514 L
.1352 .85868 L
.13458 .85997 L
.1319 .8648 L
.13036 .86712 L
.12848 .86964 L
.12553 .87286 L
.12382 .87447 L
.1207 .87673 L
.11587 .8791 L
.11526 .8793 L
.11104 .88015 L
.1062 .87996 L
.10349 .8793 L
.10137 .87851 L
.09654 .8757 L
.09495 .87447 L
.09171 .8713 L
.09027 .86964 L
.08688 .86485 L
.08685 .8648 L
.08416 .85997 L
.08204 .85523 L
.08201 .85514 L
.08027 .85031 L
.07886 .84548 L
.07775 .84065 L
.07721 .83776 L
.07691 .83581 L
.07631 .83098 L
.07594 .82615 L
.07579 .82132 L
.07586 .81649 L
.07616 .81165 L
.07668 .80682 L
.07721 .80326 L
.07744 .80199 L
.07846 .79716 L
.07976 .79233 L
.08139 .7875 L
.08204 .7858 L
.08339 .78266 L
.08588 .77783 L
.08688 .77617 L
.08902 .773 L
.09171 .76973 L
.09317 .76817 L
.09654 .76533 L
.09952 .76334 L
F
1 .84 0 r
.11104 .76811 m
.1115 .76817 L
.11587 .76932 L
.1207 .77204 L
.12196 .773 L
.12553 .77658 L
.12657 .77783 L
.12983 .78266 L
.13036 .7836 L
.13233 .7875 L
.13427 .79233 L
.1352 .79511 L
.13579 .79716 L
.13697 .80199 L
.13785 .80682 L
.13846 .81165 L
.1388 .81649 L
.1389 .82132 L
.13875 .82615 L
.13833 .83098 L
.13764 .83581 L
.13666 .84065 L
.13535 .84548 L
.1352 .84599 L
.13369 .85031 L
.13156 .85514 L
.13036 .85741 L
.12885 .85997 L
.12553 .86443 L
.12522 .8648 L
.1207 .86898 L
.12 .86964 L
.11587 .87171 L
.11104 .87291 L
.1062 .87269 L
.10137 .87103 L
.09879 .86964 L
.09654 .86778 L
.0935 .8648 L
.09171 .86256 L
.0899 .85997 L
.08719 .85514 L
.08688 .85449 L
.08507 .85031 L
.0834 .84548 L
.08211 .84065 L
.08204 .84036 L
.08114 .83581 L
.08045 .83098 L
.08002 .82615 L
.07986 .82132 L
.07994 .81649 L
.08028 .81165 L
.08088 .80682 L
.08175 .80199 L
.08204 .80066 L
.08294 .79716 L
.08447 .79233 L
.08643 .7875 L
.08688 .78653 L
.08891 .78266 L
.09171 .77847 L
.09218 .77783 L
.09654 .77325 L
.09679 .773 L
.10137 .77 L
.1062 .76833 L
.10726 .76817 L
F
1 .82 0 r
.10137 .7776 m
.1062 .77565 L
.11104 .7754 L
.11587 .7768 L
.1181 .77783 L
.1207 .78003 L
.12335 .78266 L
.12553 .7856 L
.12676 .7875 L
.12927 .79233 L
.13036 .795 L
.13114 .79716 L
.13257 .80199 L
.1336 .80682 L
.13431 .81165 L
.1347 .81649 L
.13481 .82132 L
.13462 .82615 L
.13413 .83098 L
.13333 .83581 L
.13216 .84065 L
.13059 .84548 L
.13036 .84606 L
.12852 .85031 L
.12573 .85514 L
.12553 .85543 L
.12183 .85997 L
.1207 .86099 L
.11587 .86422 L
.11447 .8648 L
.11104 .86563 L
.1062 .86537 L
.10428 .8648 L
.10137 .86343 L
.0969 .85997 L
.09654 .85954 L
.09299 .85514 L
.09171 .85304 L
.09024 .85031 L
.08816 .84548 L
.08688 .8416 L
.0866 .84065 L
.08544 .83581 L
.08463 .83098 L
.08414 .82615 L
.08394 .82132 L
.08404 .81649 L
.08443 .81165 L
.08513 .80682 L
.08617 .80199 L
.08688 .79942 L
.08759 .79716 L
.08948 .79233 L
.09171 .78799 L
.09199 .7875 L
.09544 .78266 L
.09654 .78148 L
.10094 .77783 L
F
1 .8 0 r
.10137 .78573 m
.1062 .78335 L
.11104 .78305 L
.11587 .78474 L
.11976 .7875 L
.1207 .78878 L
.12342 .79233 L
.12553 .79628 L
.12594 .79716 L
.12778 .80199 L
.12907 .80682 L
.12992 .81165 L
.13036 .81606 L
.13039 .81649 L
.13051 .82132 L
.13036 .82509 L
.13028 .82615 L
.1297 .83098 L
.12871 .83581 L
.12725 .84065 L
.12553 .84477 L
.1252 .84548 L
.12232 .85031 L
.1207 .85225 L
.11791 .85514 L
.11587 .85628 L
.11104 .85798 L
.1062 .85767 L
.10137 .8553 L
.10113 .85514 L
.09654 .85038 L
.09649 .85031 L
.09353 .84548 L
.09171 .84116 L
.09152 .84065 L
.09005 .83581 L
.08906 .83098 L
.08846 .82615 L
.08823 .82132 L
.08834 .81649 L
.08882 .81165 L
.08967 .80682 L
.09097 .80199 L
.09171 .79985 L
.09278 .79716 L
.09536 .79233 L
.09654 .79065 L
.09909 .7875 L
F
1 .78 0 r
.1062 .79202 m
.11104 .79161 L
.11332 .79233 L
.11587 .79385 L
.11942 .79716 L
.1207 .79956 L
.12201 .80199 L
.12384 .80682 L
.12496 .81165 L
.12553 .81619 L
.12556 .81649 L
.12571 .82132 L
.12553 .82489 L
.12541 .82615 L
.12466 .83098 L
.12334 .83581 L
.12118 .84065 L
.1207 .84147 L
.11806 .84548 L
.11587 .84718 L
.11104 .84942 L
.1062 .84901 L
.10137 .84584 L
.10098 .84548 L
.09746 .84065 L
.09654 .83852 L
.09546 .83581 L
.09409 .83098 L
.09331 .82615 L
.09301 .82132 L
.09315 .81649 L
.09377 .81165 L
.09492 .80682 L
.09654 .80252 L
.09675 .80199 L
.09949 .79716 L
.10137 .79518 L
.10543 .79233 L
F
1 .76 0 r
.1062 .8033 m
.11104 .80266 L
.11587 .8066 L
.11605 .80682 L
.1186 .81165 L
.1196 .81649 L
.11981 .82132 L
.11938 .82615 L
.11799 .83098 L
.11587 .83451 L
.11479 .83581 L
.11104 .83838 L
.1062 .83772 L
.10397 .83581 L
.10137 .83171 L
.10105 .83098 L
.09955 .82615 L
.09903 .82132 L
.09928 .81649 L
.10041 .81165 L
.10137 .8092 L
.10274 .80682 L
F
1 1 1 r
.18351 .7842 m
.18835 .78302 L
.19318 .78303 L
.19801 .78338 L
.20284 .78377 L
.20767 .78409 L
.2125 .78435 L
.21734 .78454 L
.22217 .78469 L
.227 .7848 L
.23183 .78487 L
.23666 .78493 L
.2415 .78497 L
.24633 .785 L
.25116 .78502 L
.25599 .78503 L
.26082 .78503 L
.26566 .78502 L
.27049 .78501 L
.27532 .78499 L
.28015 .78495 L
.28498 .7849 L
.28981 .78484 L
.29465 .78475 L
.29948 .78462 L
.30431 .78445 L
.30914 .78423 L
.31397 .78394 L
.31881 .78358 L
.32364 .78319 L
.32847 .78295 L
.3333 .78337 L
.33813 .78579 L
.33973 .7875 L
.3422 .79233 L
.34296 .79399 L
.34331 .79716 L
.34356 .80199 L
.34304 .80682 L
.34296 .80731 L
.34155 .81165 L
.33835 .81649 L
.33813 .8167 L
.3333 .81947 L
.32847 .82027 L
.32364 .82032 L
.31881 .82014 L
.31397 .81991 L
.30914 .81971 L
.30431 .81954 L
.29948 .81942 L
.29465 .81932 L
.28981 .81925 L
.28498 .8192 L
.28015 .81916 L
.27532 .81913 L
.27049 .81911 L
.26566 .8191 L
.26082 .8191 L
.25599 .8191 L
.25116 .81911 L
.24633 .81912 L
.2415 .81914 L
.23666 .81918 L
.23183 .81922 L
.227 .81928 L
.22217 .81937 L
.21734 .81948 L
.2125 .81962 L
.20767 .81981 L
.20284 .82003 L
.19801 .82025 L
.19318 .82035 L
.18835 .82001 L
.18351 .81846 L
.18088 .81649 L
.17868 .81371 L
.17768 .81165 L
.1762 .80682 L
.17567 .80199 L
.17592 .79716 L
.17704 .79233 L
.17868 .78867 L
.1795 .7875 L
F
0 .98 1 r
.20284 .78701 m
.20767 .78651 L
.2125 .7862 L
.21734 .786 L
.22217 .78587 L
.227 .78577 L
.23183 .7857 L
.23666 .78566 L
.2415 .78562 L
.24633 .7856 L
.25116 .78558 L
.25599 .78557 L
.26082 .78557 L
.26566 .78558 L
.27049 .78559 L
.27532 .78561 L
.28015 .78564 L
.28498 .78568 L
.28981 .78573 L
.29465 .78581 L
.29948 .78593 L
.30431 .78609 L
.30914 .78634 L
.31397 .78673 L
.31881 .78736 L
.31956 .7875 L
.32364 .78846 L
.32847 .79056 L
.33078 .79233 L
.3333 .79498 L
.33414 .79716 L
.33515 .80199 L
.33445 .80682 L
.3333 .80931 L
.33154 .81165 L
.32847 .81415 L
.32364 .81608 L
.32197 .81649 L
.31881 .81709 L
.31397 .81767 L
.30914 .81801 L
.30431 .81823 L
.29948 .81837 L
.29465 .81846 L
.28981 .81853 L
.28498 .81857 L
.28015 .81861 L
.27532 .81863 L
.27049 .81865 L
.26566 .81866 L
.26082 .81866 L
.25599 .81866 L
.25116 .81865 L
.24633 .81864 L
.2415 .81862 L
.23666 .81859 L
.23183 .81855 L
.227 .8185 L
.22217 .81842 L
.21734 .8183 L
.2125 .81813 L
.20767 .81786 L
.20284 .81742 L
.19801 .81665 L
.19727 .81649 L
.19318 .81531 L
.18835 .81233 L
.18769 .81165 L
.18478 .80682 L
.18409 .80199 L
.18509 .79716 L
.18835 .79239 L
.18845 .79233 L
.19318 .78933 L
.19801 .78783 L
.19967 .7875 L
F
1 .96 0 r
.2125 .82113 m
.21734 .82066 L
.22217 .82032 L
.227 .82007 L
.23183 .81989 L
.23666 .81976 L
.2415 .81967 L
.24633 .8196 L
.25116 .81956 L
.25599 .81954 L
.26082 .81953 L
.26566 .81955 L
.27049 .81958 L
.27532 .81963 L
.28015 .81971 L
.28498 .81982 L
.28981 .81997 L
.29465 .82019 L
.29948 .82048 L
.30431 .82088 L
.30825 .82132 L
.30914 .82143 L
.31397 .82216 L
.31881 .82321 L
.32364 .82481 L
.3263 .82615 L
.32847 .8272 L
.33321 .83098 L
.3333 .83106 L
.33476 .83581 L
.3333 .83863 L
.33084 .84065 L
.32847 .84336 L
.32368 .84548 L
.32364 .8455 L
.31881 .84731 L
.31397 .84856 L
.30914 .84944 L
.30431 .85006 L
.30188 .85031 L
.29948 .85052 L
.29465 .85085 L
.28981 .85109 L
.28498 .85127 L
.28015 .85139 L
.27532 .85148 L
.27049 .85155 L
.26566 .85158 L
.26082 .8516 L
.25599 .85159 L
.25116 .85157 L
.24633 .85152 L
.2415 .85144 L
.23666 .85133 L
.23183 .85118 L
.227 .85098 L
.22217 .8507 L
.21735 .85031 L
.21734 .85031 L
.2125 .84978 L
.20767 .84904 L
.20284 .84799 L
.19801 .84649 L
.19567 .84548 L
.19318 .84466 L
.18835 .84127 L
.18779 .84065 L
.18447 .83581 L
.186 .83098 L
.18835 .82882 L
.19296 .82615 L
.19318 .82591 L
.19801 .82393 L
.20284 .82263 L
.20767 .82176 L
.21099 .82132 L
F
0 .98 1 r
.19801 .85501 m
.20284 .8541 L
.20767 .85358 L
.2125 .85326 L
.21734 .85306 L
.22217 .85292 L
.227 .85282 L
.23183 .85276 L
.23666 .85271 L
.2415 .85268 L
.24633 .85265 L
.25116 .85264 L
.25599 .85263 L
.26082 .85263 L
.26566 .85263 L
.27049 .85264 L
.27532 .85266 L
.28015 .85269 L
.28498 .85273 L
.28981 .85279 L
.29465 .85287 L
.29948 .85298 L
.30431 .85315 L
.30914 .8534 L
.31397 .85381 L
.31881 .85449 L
.32174 .85514 L
.32364 .85561 L
.32847 .85788 L
.33061 .85997 L
.33323 .8648 L
.3333 .86509 L
.33358 .86964 L
.3333 .87114 L
.33201 .87447 L
.32847 .87866 L
.32748 .8793 L
.32364 .88133 L
.31881 .88283 L
.31397 .88374 L
.311 .88413 L
.30914 .88432 L
.30431 .88468 L
.29948 .88493 L
.29465 .88511 L
.28981 .88524 L
.28498 .88533 L
.28015 .8854 L
.27532 .88545 L
.27049 .88548 L
.26566 .8855 L
.26082 .8855 L
.25599 .8855 L
.25116 .88549 L
.24633 .88546 L
.2415 .88542 L
.23666 .88537 L
.23183 .88529 L
.227 .88518 L
.22217 .88503 L
.21734 .88482 L
.2125 .88452 L
.20823 .88413 L
.20767 .88407 L
.20284 .88334 L
.19801 .88218 L
.19318 .88018 L
.19175 .8793 L
.18835 .87634 L
.18722 .87447 L
.18565 .86964 L
.18599 .8648 L
.18835 .8603 L
.18863 .85997 L
.19318 .85648 L
.1975 .85514 L
F
1 .98 0 r
.20767 .88823 m
.2125 .88768 L
.21734 .8873 L
.22217 .88703 L
.227 .88683 L
.23183 .88669 L
.23666 .88659 L
.2415 .88652 L
.24633 .88647 L
.25116 .88644 L
.25599 .88642 L
.26082 .88642 L
.26566 .88643 L
.27049 .88645 L
.27532 .88649 L
.28015 .88655 L
.28498 .88664 L
.28981 .88676 L
.29465 .88692 L
.29948 .88715 L
.30431 .88748 L
.30914 .88793 L
.31397 .88858 L
.31609 .88896 L
.31881 .88925 L
.32364 .89018 L
.32847 .89234 L
.33022 .8938 L
.3333 .89754 L
.33344 .89863 L
.3333 .89961 L
.33083 .90346 L
.32847 .90734 L
.32584 .90829 L
.32364 .90982 L
.31881 .91216 L
.31612 .91312 L
.31397 .91381 L
.30914 .91503 L
.30431 .91593 L
.29948 .91661 L
.29465 .91711 L
.28981 .91748 L
.28498 .91775 L
.28018 .91796 L
.28015 .91796 L
.27532 .91808 L
.27049 .91816 L
.26566 .91821 L
.26082 .91824 L
.25599 .91823 L
.25116 .91819 L
.24633 .91813 L
.2415 .91802 L
.23904 .91796 L
.23666 .91786 L
.23183 .91763 L
.227 .91731 L
.22217 .91688 L
.21734 .9163 L
.2125 .91552 L
.20767 .91447 L
.20308 .91312 L
.20284 .91304 L
.19801 .9111 L
.19326 .90829 L
.19318 .90829 L
.18835 .90419 L
.18796 .90346 L
.18579 .89863 L
.18835 .89429 L
.18923 .8938 L
.19318 .89102 L
.19801 .88963 L
.20284 .88899 L
.20307 .88896 L
F
0 .96 1 r
.21734 .7874 m
.22217 .787 L
.227 .78672 L
.23183 .78651 L
.23666 .78636 L
.2415 .78626 L
.24633 .78618 L
.25116 .78613 L
.25599 .78611 L
.26082 .7861 L
.26566 .78612 L
.27049 .78615 L
.27532 .78622 L
.28015 .7863 L
.28498 .78643 L
.28981 .78661 L
.29465 .78685 L
.29948 .78719 L
.30278 .7875 L
.30431 .78766 L
.30914 .78836 L
.31397 .7894 L
.31881 .79107 L
.32121 .79233 L
.32364 .79361 L
.32637 .79716 L
.32795 .80199 L
.32706 .80682 L
.32364 .8111 L
.32291 .81165 L
.31881 .81395 L
.31397 .81542 L
.30914 .81629 L
.3077 .81649 L
.30431 .81689 L
.29948 .81731 L
.29465 .8176 L
.28981 .8178 L
.28498 .81795 L
.28015 .81806 L
.27532 .81813 L
.27049 .81818 L
.26566 .81821 L
.26082 .81822 L
.25599 .81822 L
.25116 .8182 L
.24633 .81816 L
.2415 .8181 L
.23666 .81801 L
.23183 .81788 L
.227 .81771 L
.22217 .81746 L
.21734 .81712 L
.2125 .81661 L
.21153 .81649 L
.20767 .81591 L
.20284 .81479 L
.19801 .81277 L
.19632 .81165 L
.19318 .80855 L
.19217 .80682 L
.19128 .80199 L
.19287 .79716 L
.19318 .79653 L
.19801 .79233 L
.19802 .79233 L
.20284 .79013 L
.20767 .78882 L
.2125 .78798 L
.21645 .7875 L
F
0 .98 1 r
.23666 .71976 m
.2415 .71962 L
.24633 .71953 L
.25116 .71946 L
.25599 .71943 L
.26082 .71942 L
.26566 .71944 L
.27049 .71949 L
.27532 .71957 L
.28015 .71969 L
.28498 .71985 L
.28505 .71985 L
.28981 .72011 L
.29465 .72047 L
.29948 .72097 L
.30431 .72164 L
.30914 .72254 L
.31397 .72382 L
.31638 .72468 L
.31881 .72576 L
.32364 .72918 L
.32396 .72951 L
.32715 .73434 L
.32765 .73918 L
.32517 .74401 L
.32364 .74572 L
.31881 .74816 L
.3149 .74884 L
.31397 .74904 L
.30914 .74984 L
.30431 .75033 L
.29948 .75066 L
.29465 .75088 L
.28981 .75104 L
.28498 .75115 L
.28015 .75123 L
.27532 .75128 L
.27049 .75132 L
.26566 .75134 L
.26082 .75135 L
.25599 .75135 L
.25116 .75133 L
.24633 .7513 L
.2415 .75126 L
.23666 .75119 L
.23183 .7511 L
.227 .75097 L
.22217 .75078 L
.21734 .75051 L
.2125 .75011 L
.20767 .74949 L
.20432 .74884 L
.20284 .74865 L
.19801 .74731 L
.19407 .74401 L
.19318 .74293 L
.19158 .73918 L
.19204 .73434 L
.19318 .73203 L
.19521 .72951 L
.19801 .72718 L
.20284 .72473 L
.20297 .72468 L
.20767 .72314 L
.2125 .72205 L
.21734 .72126 L
.22217 .72069 L
.227 .72028 L
.23183 .71997 L
.23424 .71985 L
F
1 .96 0 r
.2415 .75353 m
.24633 .75339 L
.25116 .75331 L
.25599 .75326 L
.26082 .75325 L
.26566 .75328 L
.27049 .75335 L
.27532 .75345 L
.28015 .75361 L
.28164 .75367 L
.28498 .75384 L
.28981 .75417 L
.29465 .75461 L
.29948 .75521 L
.30431 .75604 L
.30914 .75719 L
.31314 .7585 L
.31397 .75879 L
.31881 .76111 L
.32156 .76334 L
.32364 .76552 L
.32504 .76817 L
.32508 .773 L
.32364 .77548 L
.32076 .77783 L
.31881 .77911 L
.31397 .78099 L
.30914 .78203 L
.30443 .78266 L
.30431 .78268 L
.29948 .78323 L
.29465 .78362 L
.28981 .7839 L
.28498 .78411 L
.28015 .78425 L
.27532 .78435 L
.27049 .78442 L
.26566 .78446 L
.26082 .78448 L
.25599 .78447 L
.25116 .78444 L
.24633 .78439 L
.2415 .7843 L
.23666 .78418 L
.23183 .78401 L
.227 .78378 L
.22217 .78345 L
.21734 .78298 L
.21481 .78266 L
.2125 .78239 L
.20767 .78158 L
.20284 .78021 L
.19842 .77783 L
.19801 .77757 L
.19408 .773 L
.19413 .76817 L
.19765 .76334 L
.19801 .76297 L
.20284 .75979 L
.2061 .7585 L
.20767 .75793 L
.2125 .75657 L
.21734 .75559 L
.22217 .75489 L
.227 .75437 L
.23183 .75399 L
.23666 .75372 L
.23759 .75367 L
F
0 .96 1 r
.21734 .85454 m
.22217 .8541 L
.227 .8538 L
.23183 .85358 L
.23666 .85342 L
.2415 .85331 L
.24633 .85324 L
.25116 .85319 L
.25599 .85316 L
.26082 .85316 L
.26566 .85317 L
.27049 .85321 L
.27532 .85327 L
.28015 .85336 L
.28498 .85349 L
.28981 .85368 L
.29465 .85394 L
.29948 .8543 L
.30431 .85483 L
.30644 .85514 L
.30914 .85553 L
.31397 .85661 L
.31881 .85877 L
.32037 .85997 L
.32364 .86393 L
.32399 .8648 L
.32417 .86964 L
.32364 .8712 L
.32149 .87447 L
.31881 .87699 L
.31425 .8793 L
.31397 .87942 L
.30914 .88104 L
.30431 .88213 L
.29948 .8829 L
.29465 .88344 L
.28981 .88384 L
.28498 .88413 L
.28496 .88413 L
.28015 .88433 L
.27532 .88447 L
.27049 .88456 L
.26566 .88462 L
.26082 .88465 L
.25599 .88464 L
.25116 .8846 L
.24633 .88452 L
.2415 .8844 L
.23666 .88424 L
.23427 .88413 L
.23183 .884 L
.227 .88366 L
.22217 .88319 L
.21734 .88255 L
.2125 .88164 L
.20767 .88032 L
.20499 .8793 L
.20284 .87839 L
.19801 .8748 L
.19774 .87447 L
.19506 .86964 L
.19524 .8648 L
.19801 .86069 L
.19886 .85997 L
.20284 .85748 L
.20767 .85599 L
.2125 .85518 L
.21279 .85514 L
F
1 .94 0 r
.22217 .82129 m
.227 .82087 L
.23183 .82057 L
.23666 .82035 L
.2415 .82019 L
.24633 .82009 L
.25116 .82002 L
.25599 .81998 L
.26082 .81997 L
.26566 .81999 L
.27049 .82005 L
.27532 .82013 L
.28015 .82026 L
.28498 .82045 L
.28981 .82071 L
.29465 .82106 L
.29736 .82132 L
.29948 .82154 L
.30431 .82218 L
.30914 .82314 L
.31397 .82462 L
.3172 .82615 L
.31881 .82707 L
.3229 .83098 L
.32364 .83242 L
.32407 .83581 L
.32364 .83763 L
.32174 .84065 L
.31881 .84369 L
.31468 .84548 L
.31397 .84579 L
.30914 .84745 L
.30431 .84855 L
.29948 .84932 L
.29465 .84986 L
.28981 .85026 L
.28909 .85031 L
.28498 .85055 L
.28015 .85076 L
.27532 .85091 L
.27049 .85101 L
.26566 .85107 L
.26082 .85109 L
.25599 .85108 L
.25116 .85104 L
.24633 .85096 L
.2415 .85084 L
.23666 .85066 L
.23183 .85042 L
.23014 .85031 L
.227 .85008 L
.22217 .84961 L
.21734 .84897 L
.2125 .84805 L
.20767 .84671 L
.20455 .84548 L
.20284 .84492 L
.19801 .84142 L
.19748 .84065 L
.19519 .83581 L
.19638 .83098 L
.19801 .82895 L
.20203 .82615 L
.20284 .8257 L
.20767 .82379 L
.2125 .82261 L
.21734 .82183 L
.22187 .82132 L
F
0 .94 1 r
.23183 .78731 m
.23666 .78706 L
.2415 .78688 L
.24633 .78676 L
.25116 .78668 L
.25599 .78664 L
.26082 .78663 L
.26566 .78665 L
.27049 .78671 L
.27532 .78681 L
.28015 .78696 L
.28498 .78717 L
.28981 .78746 L
.29024 .7875 L
.29465 .78787 L
.29948 .78843 L
.30431 .78923 L
.30914 .79042 L
.31397 .79228 L
.31406 .79233 L
.31881 .79507 L
.32032 .79716 L
.32226 .80199 L
.32124 .80682 L
.31881 .80981 L
.31625 .81165 L
.31397 .81288 L
.30914 .81456 L
.30431 .81558 L
.29948 .81624 L
.2971 .81649 L
.29465 .81672 L
.28981 .81707 L
.28498 .81732 L
.28015 .8175 L
.27532 .81763 L
.27049 .81771 L
.26566 .81776 L
.26082 .81778 L
.25599 .81778 L
.25116 .81774 L
.24633 .81767 L
.2415 .81757 L
.23666 .81742 L
.23183 .8172 L
.227 .81691 L
.22217 .81649 L
.22213 .81649 L
.21734 .81594 L
.2125 .81513 L
.20767 .81384 L
.20298 .81165 L
.20284 .81157 L
.19801 .80686 L
.19799 .80682 L
.19696 .80199 L
.19801 .79858 L
.19891 .79716 L
.20284 .79327 L
.20517 .79233 L
.20767 .79124 L
.2125 .78976 L
.21734 .78879 L
.22217 .78813 L
.227 .78765 L
.22899 .7875 L
F
1 .92 0 r
.23183 .82125 m
.23666 .82094 L
.2415 .82072 L
.24633 .82057 L
.25116 .82047 L
.25599 .82042 L
.26082 .82041 L
.26566 .82044 L
.27049 .82052 L
.27532 .82064 L
.28015 .82082 L
.28498 .82108 L
.28826 .82132 L
.28981 .82144 L
.29465 .82191 L
.29948 .82258 L
.30431 .82357 L
.30914 .82513 L
.31131 .82615 L
.31397 .8277 L
.31729 .83098 L
.31854 .83581 L
.31615 .84065 L
.31397 .84304 L
.30914 .84534 L
.30863 .84548 L
.30431 .84696 L
.29948 .84809 L
.29465 .84888 L
.28981 .84944 L
.28498 .84984 L
.28015 .85013 L
.276 .85031 L
.27532 .85033 L
.27049 .85047 L
.26566 .85056 L
.26082 .85059 L
.25599 .85058 L
.25116 .85052 L
.24633 .85041 L
.2432 .85031 L
.2415 .85024 L
.23666 .85 L
.23183 .84965 L
.227 .84918 L
.22217 .84852 L
.21734 .84758 L
.2125 .8462 L
.21061 .84548 L
.20767 .84449 L
.20306 .84065 L
.20284 .84039 L
.20072 .83581 L
.20194 .83098 L
.20284 .8298 L
.20767 .82627 L
.20791 .82615 L
.2125 .82426 L
.21734 .82303 L
.22217 .82221 L
.227 .82165 L
.23097 .82132 L
F
0 .92 1 r
.24633 .78733 m
.25116 .78722 L
.25599 .78716 L
.26082 .78715 L
.26566 .78718 L
.27049 .78727 L
.27532 .78741 L
.27761 .7875 L
.28015 .78761 L
.28498 .78791 L
.28981 .78832 L
.29465 .78889 L
.29948 .78969 L
.30431 .79087 L
.30836 .79233 L
.30914 .79256 L
.31397 .79528 L
.31548 .79716 L
.31768 .80199 L
.31654 .80682 L
.31397 .80967 L
.3109 .81165 L
.30914 .81253 L
.30431 .81418 L
.29948 .81519 L
.29465 .81587 L
.28981 .81633 L
.2878 .81649 L
.28498 .81668 L
.28015 .81694 L
.27532 .81712 L
.27049 .81724 L
.26566 .81731 L
.26082 .81734 L
.25599 .81733 L
.25116 .81728 L
.24633 .81719 L
.2415 .81704 L
.23666 .81682 L
.23183 .81652 L
.23143 .81649 L
.227 .81612 L
.22217 .81556 L
.21734 .81474 L
.2125 .81346 L
.20833 .81165 L
.20767 .8113 L
.20284 .80707 L
.20269 .80682 L
.20155 .80199 L
.20284 .79841 L
.20375 .79716 L
.20767 .79353 L
.21087 .79233 L
.2125 .79167 L
.21734 .79022 L
.22217 .78926 L
.227 .78858 L
.23183 .7881 L
.23666 .78775 L
.2415 .7875 L
.24164 .7875 L
F
0 .94 1 r
.227 .85481 m
.23183 .85443 L
.23666 .85416 L
.2415 .85397 L
.24633 .85384 L
.25116 .85375 L
.25599 .85371 L
.26082 .8537 L
.26566 .85373 L
.27049 .85379 L
.27532 .8539 L
.28015 .85406 L
.28498 .85429 L
.28981 .85461 L
.29465 .85506 L
.29533 .85514 L
.29948 .85561 L
.30431 .85643 L
.30914 .85788 L
.31292 .85997 L
.31397 .86072 L
.31722 .8648 L
.31736 .86964 L
.31409 .87447 L
.31397 .87459 L
.30914 .87785 L
.30522 .8793 L
.30431 .8796 L
.29948 .88089 L
.29465 .88179 L
.28981 .88244 L
.28498 .88291 L
.28015 .88326 L
.27532 .8835 L
.27049 .88366 L
.26566 .88376 L
.26082 .8838 L
.25599 .88379 L
.25116 .88372 L
.24633 .88359 L
.2415 .88339 L
.23666 .8831 L
.23183 .88269 L
.227 .88214 L
.22217 .88138 L
.21734 .8803 L
.21401 .8793 L
.2125 .87881 L
.20767 .87654 L
.20514 .87447 L
.20284 .87174 L
.20187 .86964 L
.20201 .8648 L
.20284 .86325 L
.20631 .85997 L
.20767 .85907 L
.2125 .85705 L
.21734 .85597 L
.22217 .85532 L
.2239 .85514 L
F
1 .94 0 r
.21734 .75799 m
.22217 .75683 L
.227 .75599 L
.23183 .75539 L
.23666 .75494 L
.2415 .75462 L
.24633 .7544 L
.25116 .75425 L
.25599 .75417 L
.26082 .75416 L
.26566 .75421 L
.27049 .75432 L
.27532 .7545 L
.28015 .75477 L
.28498 .75515 L
.28981 .75567 L
.29465 .75638 L
.29948 .75736 L
.30357 .7585 L
.30431 .75872 L
.30914 .76062 L
.31307 .76334 L
.31397 .76414 L
.31671 .76817 L
.31665 .773 L
.31397 .77645 L
.31198 .77783 L
.30914 .77941 L
.30431 .781 L
.29948 .78191 L
.29465 .78248 L
.29258 .78266 L
.28981 .78292 L
.28498 .78327 L
.28015 .78352 L
.27532 .78369 L
.27049 .78381 L
.26566 .78388 L
.26082 .78391 L
.25599 .7839 L
.25116 .78385 L
.24633 .78376 L
.2415 .78362 L
.23666 .78341 L
.23183 .78311 L
.227 .7827 L
.22665 .78266 L
.22217 .78222 L
.21734 .78151 L
.2125 .78032 L
.20767 .77812 L
.20724 .77783 L
.20284 .77358 L
.20257 .773 L
.20251 .76817 L
.20284 .76737 L
.20617 .76334 L
.20767 .76209 L
.2125 .75955 L
.21567 .7585 L
F
0 .98 1 r
.22217 .92218 m
.227 .92162 L
.23183 .92125 L
.23666 .92098 L
.2415 .9208 L
.24633 .92068 L
.25116 .9206 L
.25599 .92056 L
.26082 .92055 L
.26566 .92057 L
.27049 .92063 L
.27532 .92073 L
.28015 .92088 L
.28498 .9211 L
.28981 .92142 L
.29465 .92187 L
.29948 .92256 L
.30074 .92279 L
.30431 .92354 L
.30914 .92516 L
.31298 .92762 L
.31397 .92881 L
.31504 .93245 L
.31397 .93586 L
.313 .93728 L
.30914 .94106 L
.30682 .94211 L
.30431 .94334 L
.29948 .94511 L
.29465 .94638 L
.29191 .94695 L
.28981 .9473 L
.28498 .94798 L
.28015 .94848 L
.27532 .94885 L
.27049 .9491 L
.26566 .94926 L
.26082 .94932 L
.25599 .9493 L
.25116 .94919 L
.24633 .94899 L
.2415 .94868 L
.23666 .94825 L
.23183 .94767 L
.22732 .94695 L
.227 .94689 L
.22217 .94579 L
.21734 .9443 L
.2125 .94217 L
.21241 .94211 L
.20767 .9392 L
.20624 .93728 L
.20419 .93245 L
.20625 .92762 L
.20767 .92648 L
.2125 .92423 L
.21734 .923 L
.21849 .92279 L
F
1 .9 0 r
.2415 .82126 m
.24633 .82106 L
.25116 .82094 L
.25599 .82087 L
.26082 .82086 L
.26566 .8209 L
.27049 .82099 L
.27532 .82115 L
.27888 .82132 L
.28015 .82138 L
.28498 .8217 L
.28981 .82214 L
.29465 .82278 L
.29948 .82371 L
.30431 .82516 L
.30661 .82615 L
.30914 .82749 L
.31302 .83098 L
.31397 .83284 L
.31433 .83581 L
.31397 .83729 L
.31182 .84065 L
.30914 .84329 L
.30431 .84532 L
.30369 .84548 L
.29948 .84681 L
.29465 .84786 L
.28981 .8486 L
.28498 .84912 L
.28015 .8495 L
.27532 .84976 L
.27049 .84994 L
.26566 .85005 L
.26082 .85009 L
.25599 .85008 L
.25116 .85 L
.24633 .84986 L
.2415 .84964 L
.23666 .84933 L
.23183 .84888 L
.227 .84826 L
.22217 .84739 L
.21734 .84611 L
.21554 .84548 L
.2125 .84455 L
.20767 .841 L
.2074 .84065 L
.20491 .83581 L
.20622 .83098 L
.20767 .82932 L
.2125 .8262 L
.21261 .82615 L
.21734 .82435 L
.22217 .8232 L
.227 .82243 L
.23183 .8219 L
.23666 .82153 L
.24036 .82132 L
F
1 .96 0 r
.227 .88875 m
.23183 .88829 L
.23666 .88796 L
.2415 .88773 L
.24633 .88757 L
.25116 .88747 L
.25599 .88742 L
.26082 .88741 L
.26566 .88744 L
.27049 .88751 L
.27532 .88764 L
.28015 .88783 L
.28498 .88811 L
.28981 .8885 L
.29393 .88896 L
.29465 .88901 L
.29948 .88949 L
.30431 .89045 L
.30914 .89274 L
.31041 .8938 L
.3139 .89863 L
.3128 .90346 L
.30914 .90727 L
.30764 .90829 L
.30431 .91013 L
.29948 .91194 L
.29493 .91312 L
.29465 .91319 L
.28981 .91411 L
.28498 .91479 L
.28015 .91529 L
.27532 .91565 L
.27049 .9159 L
.26566 .91605 L
.26082 .91611 L
.25599 .91609 L
.25116 .91599 L
.24633 .91579 L
.2415 .91549 L
.23666 .91506 L
.23183 .91448 L
.227 .91368 L
.2243 .91312 L
.22217 .91261 L
.21734 .91112 L
.2125 .90887 L
.21159 .90829 L
.20767 .9051 L
.20644 .90346 L
.20535 .89863 L
.20767 .89471 L
.20882 .8938 L
.2125 .89134 L
.21734 .88988 L
.22217 .88921 L
.22531 .88896 L
F
0 .9 1 r
.21734 .79174 m
.22217 .79042 L
.227 .78952 L
.23183 .78889 L
.23666 .78844 L
.2415 .78812 L
.24633 .7879 L
.25116 .78775 L
.25599 .78768 L
.26082 .78766 L
.26566 .78771 L
.27049 .78782 L
.27532 .788 L
.28015 .78827 L
.28498 .78865 L
.28981 .78918 L
.29465 .78993 L
.29948 .79102 L
.30352 .79233 L
.30431 .79253 L
.30914 .79477 L
.31141 .79716 L
.31382 .80199 L
.31258 .80682 L
.30914 .81011 L
.30637 .81165 L
.30431 .81257 L
.29948 .81405 L
.29465 .81499 L
.28981 .81563 L
.28498 .81607 L
.28015 .81638 L
.27799 .81649 L
.27532 .8166 L
.27049 .81676 L
.26566 .81686 L
.26082 .8169 L
.25599 .81688 L
.25116 .81682 L
.24633 .81669 L
.2415 .8165 L
.24126 .81649 L
.23666 .81624 L
.23183 .81587 L
.227 .81534 L
.22217 .81457 L
.21734 .8134 L
.21286 .81165 L
.2125 .81149 L
.20767 .8081 L
.20665 .80682 L
.20542 .80199 L
.20767 .79732 L
.20782 .79716 L
.2125 .79337 L
.21571 .79233 L
F
0 .96 1 r
.227 .72431 m
.23183 .72348 L
.23666 .72287 L
.2415 .72242 L
.24633 .72211 L
.25116 .72191 L
.25599 .7218 L
.26082 .72178 L
.26566 .72184 L
.27049 .722 L
.27532 .72225 L
.28015 .72263 L
.28498 .72315 L
.28981 .72386 L
.29398 .72468 L
.29465 .72483 L
.29948 .72616 L
.30431 .72811 L
.30676 .72951 L
.30914 .73125 L
.31181 .73434 L
.31282 .73918 L
.30939 .74401 L
.30914 .74424 L
.30431 .74703 L
.29948 .74817 L
.29465 .7487 L
.29254 .74884 L
.28981 .74915 L
.28498 .74956 L
.28015 .74984 L
.27532 .75004 L
.27049 .75017 L
.26566 .75025 L
.26082 .75028 L
.25599 .75027 L
.25116 .75021 L
.24633 .75011 L
.2415 .74995 L
.23666 .74971 L
.23183 .74937 L
.227 .74888 L
.22669 .74884 L
.22217 .74848 L
.21734 .74772 L
.2125 .74596 L
.20985 .74401 L
.20767 .74193 L
.20641 .73918 L
.20743 .73434 L
.20767 .73396 L
.21249 .72951 L
.2125 .7295 L
.21734 .72702 L
.22217 .72543 L
.22524 .72468 L
F
0 .92 1 r
.23666 .85493 m
.2415 .85465 L
.24633 .85446 L
.25116 .85433 L
.25599 .85427 L
.26082 .85426 L
.26566 .85429 L
.27049 .85439 L
.27532 .85454 L
.28015 .85478 L
.28498 .85511 L
.28536 .85514 L
.28981 .8555 L
.29465 .85607 L
.29948 .85697 L
.30431 .85853 L
.30702 .85997 L
.30914 .8614 L
.31189 .8648 L
.31203 .86964 L
.30914 .87376 L
.30831 .87447 L
.30431 .87711 L
.29948 .8789 L
.29797 .8793 L
.29465 .88014 L
.28981 .88106 L
.28498 .88172 L
.28015 .88219 L
.27532 .88253 L
.27049 .88276 L
.26566 .8829 L
.26082 .88295 L
.25599 .88294 L
.25116 .88284 L
.24633 .88266 L
.2415 .88238 L
.23666 .88198 L
.23183 .88142 L
.227 .88064 L
.22217 .87955 L
.22126 .8793 L
.21734 .87812 L
.2125 .87571 L
.21092 .87447 L
.20767 .87071 L
.2072 .86964 L
.20734 .8648 L
.20767 .86414 L
.21221 .85997 L
.2125 .85978 L
.21734 .85763 L
.22217 .85646 L
.227 .85575 L
.23183 .85529 L
.23387 .85514 L
F
1 .92 0 r
.227 .7576 m
.23183 .75675 L
.23666 .75614 L
.2415 .7557 L
.24633 .75539 L
.25116 .75519 L
.25599 .75509 L
.26082 .75507 L
.26566 .75513 L
.27049 .75528 L
.27532 .75553 L
.28015 .7559 L
.28498 .75642 L
.28981 .75714 L
.29465 .75814 L
.29605 .7585 L
.29948 .75945 L
.30431 .76151 L
.30696 .76334 L
.30914 .76531 L
.31095 .76817 L
.31086 .773 L
.30914 .77539 L
.3057 .77783 L
.30431 .7786 L
.29948 .78039 L
.29465 .7814 L
.28981 .78204 L
.28498 .78245 L
.28165 .78266 L
.28015 .78276 L
.27532 .78301 L
.27049 .78318 L
.26566 .78328 L
.26082 .78332 L
.25599 .78331 L
.25116 .78324 L
.24633 .78311 L
.2415 .7829 L
.23758 .78266 L
.23666 .78261 L
.23183 .78227 L
.227 .78175 L
.22217 .78096 L
.21734 .77963 L
.21353 .77783 L
.2125 .77725 L
.20836 .773 L
.20827 .76817 L
.21227 .76334 L
.2125 .76314 L
.21734 .76034 L
.22217 .75876 L
.22318 .7585 L
F
1 .88 0 r
.26082 .8213 m
.26294 .82132 L
.26566 .82135 L
.27049 .82146 L
.27532 .82164 L
.28015 .82192 L
.28498 .82232 L
.28981 .82288 L
.29465 .82371 L
.29948 .82497 L
.30255 .82615 L
.30431 .82696 L
.30914 .83061 L
.30943 .83098 L
.31081 .83581 L
.30914 .83955 L
.30816 .84065 L
.30431 .84385 L
.29948 .84545 L
.29936 .84548 L
.29465 .84681 L
.28981 .84774 L
.28498 .8484 L
.28015 .84887 L
.27532 .84919 L
.27049 .84941 L
.26566 .84954 L
.26082 .84959 L
.25599 .84958 L
.25116 .84948 L
.24633 .84931 L
.2415 .84904 L
.23666 .84865 L
.23183 .8481 L
.227 .84732 L
.22217 .84619 L
.21988 .84548 L
.21734 .84482 L
.2125 .8422 L
.21107 .84065 L
.20842 .83581 L
.20981 .83098 L
.2125 .82842 L
.21668 .82615 L
.21734 .82586 L
.22217 .82427 L
.227 .82326 L
.23183 .82257 L
.23666 .8221 L
.2415 .82177 L
.24633 .82154 L
.25116 .8214 L
.25599 .82132 L
.25628 .82132 L
F
0 .88 1 r
.22217 .79165 m
.227 .7905 L
.23183 .7897 L
.23666 .78914 L
.2415 .78874 L
.24633 .78847 L
.25116 .78829 L
.25599 .7882 L
.26082 .78818 L
.26566 .78823 L
.27049 .78837 L
.27532 .78859 L
.28015 .78892 L
.28498 .78939 L
.28981 .79006 L
.29465 .79102 L
.29919 .79233 L
.29948 .79239 L
.30431 .7941 L
.30785 .79716 L
.30914 .79872 L
.31045 .80199 L
.30914 .8068 L
.30912 .80682 L
.30431 .81073 L
.30236 .81165 L
.29948 .81277 L
.29465 .81405 L
.28981 .81488 L
.28498 .81545 L
.28015 .81584 L
.27532 .81611 L
.27049 .8163 L
.26566 .8164 L
.26082 .81645 L
.25599 .81643 L
.25116 .81636 L
.24633 .81622 L
.2415 .81599 L
.23666 .81566 L
.23183 .81519 L
.227 .81451 L
.22217 .81348 L
.21734 .81186 L
.21687 .81165 L
.2125 .8092 L
.21011 .80682 L
.20878 .80199 L
.21139 .79716 L
.2125 .79589 L
.21734 .79306 L
.22004 .79233 L
F
1 .98 0 r
.2415 .69045 m
.24633 .69006 L
.25116 .68981 L
.25599 .68967 L
.26082 .68963 L
.26566 .68971 L
.27049 .68992 L
.27532 .69027 L
.28015 .69075 L
.28114 .69086 L
.28498 .69137 L
.28981 .69217 L
.29465 .69337 L
.29948 .69534 L
.30015 .69569 L
.30431 .69778 L
.30753 .70052 L
.30914 .70218 L
.31057 .70535 L
.30914 .70926 L
.30819 .71019 L
.30431 .71234 L
.29948 .71383 L
.29465 .71476 L
.29292 .71502 L
.28981 .71543 L
.28498 .71591 L
.28015 .71623 L
.27532 .71645 L
.27049 .7166 L
.26566 .71668 L
.26082 .71672 L
.25599 .7167 L
.25116 .71664 L
.24633 .71653 L
.2415 .71635 L
.23666 .71609 L
.23183 .7157 L
.227 .71513 L
.2262 .71502 L
.22217 .71436 L
.21734 .71316 L
.2125 .71104 L
.21132 .71019 L
.20903 .70535 L
.2115 .70052 L
.2125 .69929 L
.21734 .69619 L
.21874 .69569 L
.22217 .6943 L
.227 .69285 L
.23183 .69179 L
.23666 .691 L
.23775 .69086 L
F
1 .86 0 r
.22217 .82547 m
.227 .82415 L
.23183 .82328 L
.23666 .82269 L
.2415 .82229 L
.24633 .82201 L
.25116 .82184 L
.25599 .82174 L
.26082 .82173 L
.26566 .82178 L
.27049 .82191 L
.27532 .82214 L
.28015 .82247 L
.28498 .82296 L
.28981 .82367 L
.29465 .82473 L
.29887 .82615 L
.29948 .82639 L
.30431 .82908 L
.30626 .83098 L
.30773 .83581 L
.30492 .84065 L
.30431 .84133 L
.29948 .84439 L
.29536 .84548 L
.29465 .84569 L
.28981 .84686 L
.28498 .84766 L
.28015 .84822 L
.27532 .84861 L
.27049 .84887 L
.26566 .84903 L
.26082 .84909 L
.25599 .84907 L
.25116 .84896 L
.24633 .84876 L
.2415 .84843 L
.23666 .84796 L
.23183 .84729 L
.227 .84633 L
.22387 .84548 L
.22217 .84511 L
.21734 .84326 L
.21431 .84065 L
.2125 .83849 L
.2115 .83581 L
.2125 .83164 L
.21296 .83098 L
.21734 .82753 L
.22036 .82615 L
F
0 .9 1 r
.24633 .8551 m
.25116 .85493 L
.25599 .85485 L
.26082 .85483 L
.26566 .85488 L
.27049 .855 L
.27398 .85514 L
.27532 .8552 L
.28015 .85545 L
.28498 .85582 L
.28981 .85638 L
.29465 .85726 L
.29948 .85875 L
.302 .85997 L
.30431 .86135 L
.30742 .8648 L
.30757 .86964 L
.30431 .87379 L
.30342 .87447 L
.29948 .87685 L
.29465 .87854 L
.29146 .8793 L
.28981 .87967 L
.28498 .88053 L
.28015 .88114 L
.27532 .88158 L
.27049 .88187 L
.26566 .88204 L
.26082 .88212 L
.25599 .88209 L
.25116 .88197 L
.24633 .88174 L
.2415 .88138 L
.23666 .88086 L
.23183 .88014 L
.22777 .8793 L
.227 .87914 L
.22217 .87781 L
.21734 .87556 L
.21581 .87447 L
.2125 .87121 L
.21166 .86964 L
.21181 .8648 L
.2125 .86366 L
.21723 .85997 L
.21734 .85991 L
.22217 .8579 L
.227 .85677 L
.23183 .85607 L
.23666 .85562 L
.2415 .85531 L
.24529 .85514 L
F
0 .86 1 r
.227 .79151 m
.23183 .79053 L
.23666 .78985 L
.2415 .78937 L
.24633 .78904 L
.25116 .78883 L
.25599 .78872 L
.26082 .7887 L
.26566 .78876 L
.27049 .78892 L
.27532 .78919 L
.28015 .78959 L
.28498 .79016 L
.28981 .79098 L
.29465 .79217 L
.29517 .79233 L
.29948 .79352 L
.30431 .79678 L
.30464 .79716 L
.30743 .80199 L
.30601 .80682 L
.30431 .80854 L
.29948 .81133 L
.29868 .81165 L
.29465 .81301 L
.28981 .81409 L
.28498 .8148 L
.28015 .81529 L
.27532 .81562 L
.27049 .81584 L
.26566 .81597 L
.26082 .81603 L
.25599 .81601 L
.25116 .81592 L
.24633 .81574 L
.2415 .81547 L
.23666 .81507 L
.23183 .81448 L
.227 .81361 L
.22217 .81227 L
.22055 .81165 L
.21734 .81017 L
.21322 .80682 L
.2125 .80569 L
.2118 .80199 L
.2125 .79984 L
.21459 .79716 L
.21734 .79472 L
.22217 .79275 L
.22406 .79233 L
F
1 .9 0 r
.23183 .75812 m
.23666 .75733 L
.2415 .75677 L
.24633 .75638 L
.25116 .75612 L
.25599 .75599 L
.26082 .75596 L
.26566 .75604 L
.27049 .75623 L
.27532 .75655 L
.28015 .75702 L
.28498 .75769 L
.28923 .7585 L
.28981 .75862 L
.29465 .75983 L
.29948 .7618 L
.30189 .76334 L
.30431 .76532 L
.30628 .76817 L
.30617 .773 L
.30431 .77536 L
.30047 .77783 L
.29948 .77834 L
.29465 .78007 L
.28981 .78107 L
.28498 .78169 L
.28015 .78211 L
.27532 .78238 L
.27049 .78256 L
.26566 .78266 L
.26563 .78266 L
.26082 .78272 L
.25599 .7827 L
.2536 .78266 L
.25116 .78262 L
.24633 .78248 L
.2415 .78226 L
.23666 .78192 L
.23183 .78142 L
.227 .78063 L
.22217 .77933 L
.21876 .77783 L
.21734 .77709 L
.21305 .773 L
.21294 .76817 L
.21734 .76334 L
.21734 .76334 L
.22217 .76068 L
.227 .75916 L
.23 .7585 L
F
1 .84 0 r
.227 .82512 m
.23183 .82403 L
.23666 .82331 L
.2415 .82282 L
.24633 .82249 L
.25116 .82229 L
.25599 .82218 L
.26082 .82216 L
.26566 .82222 L
.27049 .82238 L
.27532 .82264 L
.28015 .82304 L
.28498 .82364 L
.28981 .82452 L
.29465 .82587 L
.29543 .82615 L
.29948 .82793 L
.30339 .83098 L
.30431 .83239 L
.30495 .83581 L
.30431 .83775 L
.30196 .84065 L
.29948 .8428 L
.29465 .84482 L
.29156 .84548 L
.28981 .84593 L
.28498 .84689 L
.28015 .84756 L
.27532 .84802 L
.27049 .84833 L
.26566 .84851 L
.26082 .84859 L
.25599 .84856 L
.25116 .84843 L
.24633 .84819 L
.2415 .84781 L
.23666 .84726 L
.23183 .84646 L
.22767 .84548 L
.227 .84536 L
.22217 .84404 L
.21734 .84072 L
.21727 .84065 L
.21429 .83581 L
.21584 .83098 L
.21734 .82953 L
.22217 .82677 L
.2238 .82615 L
F
0 .84 1 r
.23183 .79139 m
.23666 .79058 L
.2415 .79001 L
.24633 .78962 L
.25116 .78937 L
.25599 .78924 L
.26082 .78922 L
.26566 .7893 L
.27049 .78948 L
.27532 .78979 L
.28015 .79027 L
.28498 .79095 L
.28981 .79193 L
.29132 .79233 L
.29465 .79306 L
.29948 .7952 L
.30168 .79716 L
.30431 .80067 L
.30467 .80199 L
.30431 .80485 L
.30316 .80682 L
.29948 .80976 L
.29522 .81165 L
.29465 .81186 L
.28981 .81323 L
.28498 .81411 L
.28015 .81471 L
.27532 .81511 L
.27049 .81537 L
.26566 .81553 L
.26082 .81559 L
.25599 .81557 L
.25116 .81546 L
.24633 .81526 L
.2415 .81493 L
.23666 .81444 L
.23183 .81372 L
.227 .81262 L
.22401 .81165 L
.22217 .81094 L
.21734 .80809 L
.21607 .80682 L
.21456 .80199 L
.21734 .79735 L
.21755 .79716 L
.22217 .79389 L
.227 .7925 L
.22791 .79233 L
F
1 .94 0 r
.24633 .88878 m
.25116 .8886 L
.25599 .88851 L
.26082 .88849 L
.26566 .88854 L
.27049 .88868 L
.27532 .88891 L
.27614 .88896 L
.28015 .88912 L
.28498 .88943 L
.28981 .88996 L
.29465 .89099 L
.29948 .89316 L
.30037 .8938 L
.30431 .8978 L
.30458 .89863 L
.30431 .90163 L
.30331 .90346 L
.29948 .90689 L
.29698 .90829 L
.29465 .90937 L
.28981 .91099 L
.28498 .91209 L
.28015 .91287 L
.27818 .91312 L
.27532 .91343 L
.27049 .91381 L
.26566 .91404 L
.26082 .91413 L
.25599 .9141 L
.25116 .91394 L
.24633 .91364 L
.2415 .91317 L
.24107 .91312 L
.23666 .91252 L
.23183 .91159 L
.227 .91026 L
.22225 .90829 L
.22217 .90825 L
.21734 .90504 L
.21592 .90346 L
.21465 .89863 L
.21734 .89482 L
.21886 .8938 L
.22217 .89186 L
.227 .89038 L
.23183 .88965 L
.23666 .88925 L
.2415 .88902 L
.24307 .88896 L
F
0 .88 1 r
.22217 .85976 m
.227 .858 L
.23183 .85697 L
.23666 .85633 L
.2415 .85591 L
.24633 .85564 L
.25116 .85547 L
.25599 .85538 L
.26082 .85537 L
.26566 .85542 L
.27049 .85554 L
.27532 .85576 L
.28015 .8561 L
.28498 .85662 L
.28981 .85742 L
.29465 .85876 L
.29748 .85997 L
.29948 .86099 L
.30349 .8648 L
.30365 .86964 L
.29948 .8742 L
.29907 .87447 L
.29465 .87684 L
.28981 .87835 L
.2851 .8793 L
.28498 .87932 L
.28015 .88009 L
.27532 .88062 L
.27049 .88098 L
.26566 .8812 L
.26082 .88128 L
.25599 .88125 L
.25116 .8811 L
.24633 .88082 L
.2415 .88038 L
.23666 .87974 L
.23413 .8793 L
.23183 .87888 L
.227 .87769 L
.22217 .87572 L
.22017 .87447 L
.21734 .87219 L
.21559 .86964 L
.21574 .8648 L
.21734 .86277 L
.22175 .85997 L
F
0 .94 1 r
.24633 .72448 m
.25116 .72416 L
.25599 .72399 L
.26082 .72396 L
.26566 .72406 L
.27049 .7243 L
.27507 .72468 L
.27532 .72471 L
.28015 .7253 L
.28498 .72613 L
.28981 .72734 L
.29465 .72913 L
.29545 .72951 L
.29948 .7319 L
.30198 .73434 L
.30329 .73918 L
.29948 .74371 L
.29898 .74401 L
.29465 .7463 L
.28981 .74755 L
.28498 .74818 L
.28015 .74853 L
.27532 .74874 L
.27159 .74884 L
.27049 .74889 L
.26566 .74903 L
.26082 .74909 L
.25599 .74907 L
.25116 .74897 L
.24755 .74884 L
.24633 .74881 L
.2415 .74865 L
.23666 .74838 L
.23183 .74792 L
.227 .74704 L
.22217 .74522 L
.22026 .74401 L
.21734 .74174 L
.21595 .73918 L
.21725 .73434 L
.21734 .73423 L
.22217 .73034 L
.22377 .72951 L
.227 .72813 L
.23183 .72668 L
.23666 .72568 L
.2415 .72497 L
.24413 .72468 L
F
1 .82 0 r
.23183 .82484 m
.23666 .82397 L
.2415 .82338 L
.24633 .823 L
.25116 .82275 L
.25599 .82262 L
.26082 .8226 L
.26566 .82267 L
.27049 .82286 L
.27532 .82317 L
.28015 .82365 L
.28498 .82436 L
.28981 .82544 L
.29213 .82615 L
.29465 .82706 L
.29948 .82981 L
.30072 .83098 L
.30237 .83581 L
.29948 .84041 L
.2992 .84065 L
.29465 .84375 L
.28981 .84513 L
.28781 .84548 L
.28498 .8461 L
.28015 .84688 L
.27532 .84742 L
.27049 .84778 L
.26566 .84799 L
.26082 .84807 L
.25599 .84804 L
.25116 .8479 L
.24633 .84762 L
.2415 .84718 L
.23666 .84653 L
.23183 .84558 L
.23142 .84548 L
.227 .84457 L
.22217 .84246 L
.22003 .84065 L
.21734 .83735 L
.21686 .83581 L
.21734 .83279 L
.21851 .83098 L
.22217 .82821 L
.227 .82618 L
.2271 .82615 L
F
1 .88 0 r
.2415 .75784 m
.24633 .75736 L
.25116 .75705 L
.25599 .75689 L
.26082 .75685 L
.26566 .75695 L
.27049 .75718 L
.27532 .75757 L
.28015 .75816 L
.28237 .7585 L
.28498 .75894 L
.28981 .76004 L
.29465 .76179 L
.29738 .76334 L
.29948 .76482 L
.30222 .76817 L
.3021 .773 L
.29948 .77581 L
.29578 .77783 L
.29465 .77834 L
.28981 .77989 L
.28498 .78081 L
.28015 .78139 L
.27532 .78177 L
.27049 .78201 L
.26566 .78215 L
.26082 .78221 L
.25599 .78219 L
.25116 .78209 L
.24633 .7819 L
.2415 .7816 L
.23666 .78113 L
.23183 .78041 L
.227 .77922 L
.22345 .77783 L
.22217 .77725 L
.21734 .77335 L
.21713 .773 L
.21701 .76817 L
.21734 .76755 L
.22185 .76334 L
.22217 .76313 L
.227 .7608 L
.23183 .75943 L
.23666 .75853 L
.23687 .7585 L
F
0 .82 1 r
.23183 .7923 m
.23666 .79133 L
.2415 .79066 L
.24633 .79021 L
.25116 .78993 L
.25599 .78978 L
.26082 .78975 L
.26566 .78984 L
.27049 .79005 L
.27532 .79042 L
.28015 .79096 L
.28498 .79177 L
.28752 .79233 L
.28981 .79274 L
.29465 .7942 L
.29891 .79716 L
.29948 .79765 L
.3021 .80199 L
.30049 .80682 L
.29948 .80781 L
.29465 .81064 L
.29188 .81165 L
.28981 .81229 L
.28498 .81338 L
.28015 .8141 L
.27532 .81458 L
.27049 .81489 L
.26566 .81507 L
.26082 .81515 L
.25599 .81512 L
.25116 .815 L
.24633 .81475 L
.2415 .81436 L
.23666 .81377 L
.23183 .81289 L
.22735 .81165 L
.227 .81154 L
.22217 .80947 L
.21874 .80682 L
.21734 .80436 L
.21713 .80199 L
.21734 .80115 L
.22032 .79716 L
.22217 .79556 L
.227 .79333 L
.23172 .79233 L
F
0 .86 1 r
.227 .85954 m
.23183 .85805 L
.23666 .85715 L
.2415 .85659 L
.24633 .85623 L
.25116 .85601 L
.25599 .85589 L
.26082 .85587 L
.26566 .85594 L
.27049 .8561 L
.27532 .85639 L
.28015 .85684 L
.28498 .85755 L
.28981 .85869 L
.29325 .85997 L
.29465 .86057 L
.29948 .86416 L
.29991 .8648 L
.30008 .86964 L
.29948 .87066 L
.29502 .87447 L
.29465 .87471 L
.28981 .87691 L
.28498 .8782 L
.28015 .87905 L
.27823 .8793 L
.27532 .87966 L
.27049 .88009 L
.26566 .88034 L
.26082 .88045 L
.25599 .88041 L
.25116 .88023 L
.24633 .8799 L
.2415 .87936 L
.24102 .8793 L
.23666 .87867 L
.23183 .87763 L
.227 .87597 L
.22421 .87447 L
.22217 .87312 L
.21916 .86964 L
.21932 .8648 L
.22217 .86193 L
.22598 .85997 L
F
1 .8 0 r
.23183 .82572 m
.23666 .82467 L
.2415 .82397 L
.24633 .82352 L
.25116 .82323 L
.25599 .82308 L
.26082 .82306 L
.26566 .82314 L
.27049 .82336 L
.27532 .82372 L
.28015 .82429 L
.28498 .82514 L
.28889 .82615 L
.28981 .82643 L
.29465 .8284 L
.2982 .83098 L
.29948 .83286 L
.29995 .83581 L
.29948 .83728 L
.29658 .84065 L
.29465 .84222 L
.28981 .84436 L
.28498 .84534 L
.28401 .84548 L
.28015 .84618 L
.27532 .8468 L
.27049 .84721 L
.26566 .84745 L
.26082 .84755 L
.25599 .84752 L
.25116 .84735 L
.24633 .84703 L
.2415 .84652 L
.23666 .84577 L
.23522 .84548 L
.23183 .84493 L
.227 .84352 L
.22265 .84065 L
.22217 .84026 L
.21928 .83581 L
.22103 .83098 L
.22217 .82996 L
.227 .82729 L
.23034 .82615 L
F
0 .8 1 r
.23666 .79211 m
.2415 .79134 L
.24633 .79082 L
.25116 .7905 L
.25599 .79032 L
.26082 .79029 L
.26566 .79039 L
.27049 .79064 L
.27532 .79105 L
.28015 .79169 L
.28364 .79233 L
.28498 .79252 L
.28981 .79356 L
.29465 .79581 L
.29626 .79716 L
.29948 .80123 L
.29967 .80199 L
.29948 .80427 L
.29795 .80682 L
.29465 .80927 L
.28981 .81129 L
.28859 .81165 L
.28498 .81259 L
.28015 .81345 L
.27532 .81402 L
.27049 .81438 L
.26566 .8146 L
.26082 .81469 L
.25599 .81466 L
.25116 .81451 L
.24633 .81422 L
.2415 .81376 L
.23666 .81306 L
.23183 .812 L
.23064 .81165 L
.227 .81041 L
.22217 .80765 L
.22128 .80682 L
.21956 .80199 L
.22217 .79781 L
.22297 .79716 L
.227 .79445 L
.23183 .79296 L
.2356 .79233 L
F
1 .86 0 r
.24633 .75835 m
.25116 .75798 L
.25599 .75779 L
.26082 .75775 L
.26566 .75786 L
.27049 .75814 L
.27442 .7585 L
.27532 .7586 L
.28015 .75923 L
.28498 .76018 L
.28981 .76169 L
.29317 .76334 L
.29465 .76421 L
.29853 .76817 L
.29839 .773 L
.29465 .77633 L
.29135 .77783 L
.28981 .77843 L
.28498 .77976 L
.28015 .78057 L
.27532 .78108 L
.27049 .7814 L
.26566 .78158 L
.26082 .78166 L
.25599 .78163 L
.25116 .78151 L
.24633 .78126 L
.2415 .78086 L
.23666 .78021 L
.23183 .77918 L
.22788 .77783 L
.227 .77749 L
.22217 .7746 L
.22084 .773 L
.22071 .76817 L
.22217 .76617 L
.22606 .76334 L
.227 .76281 L
.23183 .76084 L
.23666 .75966 L
.2415 .75888 L
.24482 .7585 L
F
1 .78 0 r
.23666 .82542 m
.2415 .8246 L
.24633 .82407 L
.25116 .82374 L
.25599 .82357 L
.26082 .82353 L
.26566 .82363 L
.27049 .82388 L
.27532 .8243 L
.28015 .82496 L
.28498 .82598 L
.28563 .82615 L
.28981 .82746 L
.29465 .83001 L
.29578 .83098 L
.29764 .83581 L
.29465 .8402 L
.29405 .84065 L
.28981 .84333 L
.28498 .84474 L
.28015 .84546 L
.27999 .84548 L
.27532 .84616 L
.27049 .84663 L
.26566 .8469 L
.26082 .84701 L
.25599 .84698 L
.25116 .84678 L
.24633 .84642 L
.2415 .84584 L
.23923 .84548 L
.23666 .84515 L
.23183 .84416 L
.227 .84206 L
.22518 .84065 L
.22217 .83744 L
.22159 .83581 L
.22217 .8327 L
.22345 .83098 L
.227 .82853 L
.23183 .82664 L
.2336 .82615 L
F
0 .78 1 r
.2415 .79204 m
.24633 .79145 L
.25116 .79108 L
.25599 .79088 L
.26082 .79084 L
.26566 .79096 L
.27049 .79124 L
.27532 .79171 L
.27951 .79233 L
.28015 .7924 L
.28498 .79317 L
.28981 .79466 L
.29371 .79716 L
.29465 .79788 L
.29735 .80199 L
.29552 .80682 L
.29465 .80759 L
.28981 .81023 L
.28527 .81165 L
.28498 .81173 L
.28015 .81276 L
.27532 .81343 L
.27049 .81386 L
.26566 .8141 L
.26082 .8142 L
.25599 .81417 L
.25116 .814 L
.24633 .81367 L
.2415 .81313 L
.23666 .8123 L
.23395 .81165 L
.23183 .81106 L
.227 .80913 L
.22371 .80682 L
.22217 .8045 L
.22188 .80199 L
.22217 .80102 L
.22553 .79716 L
.227 .79599 L
.23183 .79377 L
.23666 .79273 L
.23972 .79233 L
F
1 .92 0 r
.23183 .89169 m
.23666 .8906 L
.2415 .89 L
.24633 .88966 L
.25116 .88947 L
.25599 .88938 L
.26082 .88936 L
.26566 .88941 L
.27049 .88955 L
.27532 .88981 L
.28015 .89025 L
.28498 .89106 L
.28981 .89258 L
.29216 .8938 L
.29465 .89523 L
.29728 .89863 L
.29578 .90346 L
.29465 .90456 L
.28981 .90749 L
.28784 .90829 L
.28498 .90928 L
.28015 .91048 L
.27532 .91128 L
.27049 .91181 L
.26566 .91212 L
.26082 .91225 L
.25599 .91221 L
.25116 .91199 L
.24633 .91157 L
.2415 .91092 L
.23666 .90994 L
.23183 .90846 L
.23139 .90829 L
.227 .90625 L
.22345 .90346 L
.22217 .9014 L
.22194 .89863 L
.22217 .89801 L
.227 .89383 L
.22707 .8938 L
F
0 .84 1 r
.23183 .85934 m
.23666 .85811 L
.2415 .85735 L
.24633 .85688 L
.25116 .85659 L
.25599 .85645 L
.26082 .85642 L
.26566 .85651 L
.27049 .85672 L
.27532 .85709 L
.28015 .85769 L
.28498 .85865 L
.28914 .85997 L
.28981 .86021 L
.29465 .86278 L
.29656 .8648 L
.29674 .86964 L
.29465 .87218 L
.29115 .87447 L
.28981 .87517 L
.28498 .87696 L
.28015 .87804 L
.27532 .87874 L
.27049 .87919 L
.26929 .8793 L
.26566 .87948 L
.26082 .8796 L
.25599 .87956 L
.25116 .87935 L
.25028 .8793 L
.24633 .87899 L
.2415 .87843 L
.23666 .87756 L
.23183 .87618 L
.22808 .87447 L
.227 .87388 L
.22249 .86964 L
.22267 .8648 L
.227 .86127 L
.23009 .85997 L
F
0 .92 1 r
.23666 .7286 m
.2415 .7275 L
.24633 .72678 L
.25116 .72632 L
.25599 .72608 L
.26082 .72603 L
.26566 .72618 L
.27049 .72652 L
.27532 .7271 L
.28015 .72799 L
.28498 .72934 L
.28548 .72951 L
.28981 .73134 L
.29397 .73434 L
.29465 .73518 L
.29558 .73918 L
.29465 .74093 L
.29019 .74401 L
.28981 .74422 L
.28498 .74613 L
.28015 .74713 L
.27532 .74769 L
.27049 .748 L
.26566 .74817 L
.26082 .74823 L
.25599 .74821 L
.25116 .7481 L
.24633 .74787 L
.2415 .74745 L
.23666 .74671 L
.23183 .74533 L
.22904 .74401 L
.227 .74296 L
.22365 .73918 L
.22526 .73434 L
.227 .73282 L
.23183 .73023 L
.23375 .72951 L
F
1 .76 0 r
.2415 .82526 m
.24633 .82464 L
.25116 .82426 L
.25599 .82407 L
.26082 .82403 L
.26566 .82414 L
.27049 .82443 L
.27532 .82492 L
.28015 .82569 L
.28227 .82615 L
.28498 .82684 L
.28981 .82863 L
.29344 .83098 L
.29465 .83244 L
.29542 .83581 L
.29465 .8377 L
.29158 .84065 L
.28981 .84193 L
.28498 .84398 L
.28015 .84495 L
.27547 .84548 L
.27532 .8455 L
.27049 .84603 L
.26566 .84633 L
.26082 .84646 L
.25599 .84642 L
.25116 .8462 L
.24633 .84579 L
.24373 .84548 L
.2415 .84526 L
.23666 .84454 L
.23183 .84316 L
.22765 .84065 L
.227 .84019 L
.22381 .83581 L
.22579 .83098 L
.227 .83002 L
.23183 .82762 L
.23666 .82622 L
.23696 .82615 L
F
0 .76 1 r
.24633 .7921 m
.25116 .79167 L
.25599 .79145 L
.26082 .79141 L
.26566 .79154 L
.27049 .79186 L
.27482 .79233 L
.27532 .79237 L
.28015 .79294 L
.28498 .79398 L
.28981 .79613 L
.2912 .79716 L
.29465 .80069 L
.2951 .80199 L
.29465 .80484 L
.29315 .80682 L
.28981 .80903 L
.28498 .81086 L
.28184 .81165 L
.28015 .81202 L
.27532 .8128 L
.27049 .8133 L
.26566 .81358 L
.26082 .8137 L
.25599 .81366 L
.25116 .81346 L
.24633 .81308 L
.2415 .81245 L
.23739 .81165 L
.23666 .81149 L
.23183 .81006 L
.227 .80758 L
.22608 .80682 L
.22413 .80199 L
.227 .7979 L
.22803 .79716 L
.23183 .79484 L
.23666 .79338 L
.2415 .79262 L
.2444 .79233 L
F
1 .84 0 r
.23183 .76253 m
.23666 .76091 L
.2415 .75991 L
.24633 .75928 L
.25116 .75888 L
.25599 .75868 L
.26082 .75864 L
.26566 .75876 L
.27049 .75905 L
.27532 .75956 L
.28015 .76035 L
.28498 .76161 L
.28909 .76334 L
.28981 .7637 L
.29465 .76752 L
.29506 .76817 L
.29491 .773 L
.29465 .77337 L
.28981 .77678 L
.287 .77783 L
.28498 .77849 L
.28015 .77961 L
.27532 .7803 L
.27049 .78072 L
.26566 .78096 L
.26082 .78105 L
.25599 .78102 L
.25116 .78086 L
.24633 .78053 L
.2415 .77999 L
.23666 .77912 L
.23223 .77783 L
.23183 .7777 L
.227 .77549 L
.22432 .773 L
.22417 .76817 L
.227 .76517 L
.23014 .76334 L
F
0 .82 1 r
.23666 .85924 m
.2415 .85824 L
.24633 .85762 L
.25116 .85725 L
.25599 .85707 L
.26082 .85703 L
.26566 .85714 L
.27049 .85741 L
.27532 .85789 L
.28015 .85868 L
.28498 .85996 L
.28501 .85997 L
.28981 .86189 L
.29335 .8648 L
.29355 .86964 L
.28981 .87316 L
.28732 .87447 L
.28498 .87549 L
.28015 .87693 L
.27532 .87781 L
.27049 .87836 L
.26566 .87868 L
.26082 .87881 L
.25599 .87877 L
.25116 .87855 L
.24633 .87812 L
.2415 .87742 L
.23666 .8763 L
.23191 .87447 L
.23183 .87443 L
.227 .87131 L
.22568 .86964 L
.22588 .8648 L
.227 .86356 L
.23183 .86079 L
.23421 .85997 L
F
1 .74 0 r
.2415 .82597 m
.24633 .82526 L
.25116 .82482 L
.25599 .82459 L
.26082 .82455 L
.26566 .82468 L
.27049 .82501 L
.27532 .82557 L
.27868 .82615 L
.28015 .82645 L
.28498 .82776 L
.28981 .83 L
.29114 .83098 L
.29326 .83581 L
.28981 .84021 L
.28914 .84065 L
.28498 .84299 L
.28015 .84434 L
.27532 .84504 L
.27049 .84543 L
.26994 .84548 L
.26566 .84575 L
.26082 .84589 L
.25599 .84585 L
.25116 .8456 L
.24942 .84548 L
.24633 .84526 L
.2415 .84474 L
.23666 .84378 L
.23183 .84183 L
.23009 .84065 L
.227 .83798 L
.22598 .83581 L
.227 .83216 L
.22809 .83098 L
.23183 .82871 L
.23666 .82703 L
.24056 .82615 L
F
0 .74 1 r
.25116 .79229 m
.25599 .79205 L
.26082 .792 L
.26566 .79214 L
.26897 .79233 L
.27049 .79244 L
.27532 .79285 L
.28015 .7936 L
.28498 .79502 L
.28871 .79716 L
.28981 .79789 L
.29291 .80199 L
.29082 .80682 L
.28981 .80759 L
.28498 .80991 L
.28015 .81125 L
.27815 .81165 L
.27532 .81213 L
.27049 .81271 L
.26566 .81304 L
.26082 .81317 L
.25599 .81313 L
.25116 .8129 L
.24633 .81246 L
.2415 .81173 L
.2411 .81165 L
.23666 .81066 L
.23183 .80894 L
.22841 .80682 L
.227 .80518 L
.22632 .80199 L
.227 .80036 L
.23052 .79716 L
.23183 .79625 L
.23666 .79418 L
.2415 .79317 L
.24633 .79262 L
.25066 .79233 L
F
1 .82 0 r
.23666 .76237 m
.2415 .76106 L
.24633 .76025 L
.25116 .75977 L
.25599 .75952 L
.26082 .75947 L
.26566 .75962 L
.27049 .75998 L
.27532 .76061 L
.28015 .76164 L
.28498 .76334 L
.28498 .76334 L
.28981 .76607 L
.29173 .76817 L
.29156 .773 L
.28981 .77469 L
.28498 .77708 L
.28254 .77783 L
.28015 .77848 L
.27532 .77939 L
.27049 .77994 L
.26566 .78024 L
.26082 .78037 L
.25599 .78033 L
.25116 .78012 L
.24633 .7797 L
.2415 .77899 L
.2367 .77783 L
.23666 .77782 L
.23183 .7761 L
.22767 .773 L
.2275 .76817 L
.23183 .76447 L
.23424 .76334 L
F
0 .96 1 r
.23183 .92752 m
.23666 .92588 L
.2415 .92494 L
.24633 .92436 L
.25116 .92401 L
.25599 .92383 L
.26082 .92379 L
.26566 .9239 L
.27049 .92416 L
.27532 .92462 L
.28015 .92536 L
.28498 .92657 L
.28761 .92762 L
.28981 .92909 L
.29137 .93245 L
.28981 .93539 L
.28744 .93728 L
.28498 .93892 L
.28015 .94073 L
.27532 .94166 L
.27143 .94211 L
.27049 .94223 L
.26566 .94267 L
.26082 .94286 L
.25599 .9428 L
.25116 .94249 L
.2477 .94211 L
.24633 .94196 L
.2415 .94126 L
.23666 .93999 L
.23183 .93731 L
.23179 .93728 L
.22786 .93245 L
.23162 .92762 L
F
1 .72 0 r
.24633 .8259 m
.25116 .8254 L
.25599 .82515 L
.26082 .8251 L
.26566 .82525 L
.27049 .82562 L
.27463 .82615 L
.27532 .82626 L
.28015 .82723 L
.28498 .82879 L
.28886 .83098 L
.28981 .8319 L
.29113 .83581 L
.28981 .83823 L
.28669 .84065 L
.28498 .84172 L
.28015 .84358 L
.27532 .84451 L
.27049 .845 L
.26566 .84527 L
.26082 .84537 L
.25599 .84534 L
.25116 .84516 L
.24633 .84479 L
.2415 .84412 L
.23666 .84282 L
.23254 .84065 L
.23183 .84022 L
.2281 .83581 L
.23037 .83098 L
.23183 .82999 L
.23666 .82791 L
.2415 .82669 L
.2446 .82615 L
F
0 .72 1 r
.23666 .79521 m
.2415 .79384 L
.24633 .79312 L
.25116 .79273 L
.25599 .79254 L
.26082 .79251 L
.26566 .79262 L
.27049 .79289 L
.27532 .79342 L
.28015 .79441 L
.28498 .79637 L
.28621 .79716 L
.28981 .80007 L
.29075 .80199 L
.28981 .80547 L
.28851 .80682 L
.28498 .80884 L
.28015 .81045 L
.27532 .81144 L
.27393 .81165 L
.27049 .81208 L
.26566 .81246 L
.26082 .81261 L
.25599 .81256 L
.25116 .8123 L
.24633 .81179 L
.24534 .81165 L
.2415 .811 L
.23666 .80975 L
.23183 .8076 L
.23073 .80682 L
.22848 .80199 L
.23183 .79788 L
.23302 .79716 L
F
1 .9 0 r
.23666 .89307 m
.2415 .89173 L
.24633 .89098 L
.25116 .89057 L
.25599 .89038 L
.26082 .89034 L
.26566 .89045 L
.27049 .89075 L
.27532 .8913 L
.28015 .8923 L
.28431 .8938 L
.28498 .89404 L
.28981 .89707 L
.29075 .89863 L
.28981 .90247 L
.28891 .90346 L
.28498 .90599 L
.28015 .90778 L
.27828 .90829 L
.27532 .90896 L
.27049 .90972 L
.26566 .91015 L
.26082 .91033 L
.25599 .91027 L
.25116 .90997 L
.24633 .90938 L
.2415 .90842 L
.24097 .90829 L
.23666 .90699 L
.23183 .90463 L
.23032 .90346 L
.22848 .89863 L
.23183 .89517 L
.23492 .8938 L
F
0 .8 1 r
.2415 .85926 m
.24633 .85846 L
.25116 .858 L
.25599 .85777 L
.26082 .85772 L
.26566 .85786 L
.27049 .8582 L
.27532 .85881 L
.28015 .85983 L
.28067 .85997 L
.28498 .86133 L
.28981 .86433 L
.29022 .8648 L
.29044 .86964 L
.28981 .87047 L
.28498 .8738 L
.28341 .87447 L
.28015 .87564 L
.27532 .87678 L
.27049 .87746 L
.26566 .87785 L
.26082 .878 L
.25599 .87795 L
.25116 .87769 L
.24633 .87716 L
.2415 .87628 L
.23666 .87481 L
.23583 .87447 L
.23183 .8725 L
.22879 .86964 L
.22901 .8648 L
.23183 .86249 L
.23666 .86049 L
.23855 .85997 L
F
1 .7 0 r
.25116 .82602 m
.25599 .82573 L
.26082 .82568 L
.26566 .82585 L
.26973 .82615 L
.27049 .82626 L
.27532 .82696 L
.28015 .82808 L
.28498 .82999 L
.28657 .83098 L
.28901 .83581 L
.28498 .84022 L
.2842 .84065 L
.28015 .84262 L
.27532 .84386 L
.27049 .84451 L
.26566 .84484 L
.26082 .84496 L
.25599 .84492 L
.25116 .8447 L
.24633 .84423 L
.2415 .84334 L
.23666 .84159 L
.23503 .84065 L
.23183 .83844 L
.23022 .83581 L
.23183 .8317 L
.23266 .83098 L
.23666 .82889 L
.2415 .82745 L
.24633 .82657 L
.24971 .82615 L
F
0 .7 1 r
.23666 .79652 m
.2415 .79466 L
.24633 .79372 L
.25116 .79322 L
.25599 .79299 L
.26082 .79294 L
.26566 .79308 L
.27049 .79343 L
.27532 .79411 L
.28015 .79543 L
.28366 .79716 L
.28498 .79789 L
.2886 .80199 L
.28617 .80682 L
.28498 .80758 L
.28015 .80958 L
.27532 .81073 L
.27049 .81143 L
.26866 .81165 L
.26566 .81185 L
.26082 .81202 L
.25599 .81196 L
.25116 .81167 L
.25101 .81165 L
.24633 .81112 L
.2415 .81022 L
.23666 .80874 L
.23306 .80682 L
.23183 .8057 L
.23063 .80199 L
.23183 .79984 L
.23557 .79716 L
F
0 .9 1 r
.24633 .72929 m
.25116 .72862 L
.25599 .72827 L
.26082 .72821 L
.26566 .72841 L
.27049 .72891 L
.27417 .72951 L
.27532 .72976 L
.28015 .73107 L
.28498 .73327 L
.28649 .73434 L
.28853 .73918 L
.28498 .74259 L
.28145 .74401 L
.28015 .7445 L
.27532 .74577 L
.27049 .74648 L
.26566 .74685 L
.26082 .74699 L
.25599 .74694 L
.25116 .74669 L
.24633 .74618 L
.2415 .74523 L
.23778 .74401 L
.23666 .74363 L
.23183 .74087 L
.2307 .73918 L
.23183 .73523 L
.23274 .73434 L
.23666 .73201 L
.2415 .73034 L
.24509 .72951 L
F
1 .8 0 r
.2415 .76239 m
.24633 .76135 L
.25116 .76074 L
.25599 .76043 L
.26082 .76038 L
.26566 .76055 L
.27049 .761 L
.27532 .7618 L
.28015 .76314 L
.28068 .76334 L
.28498 .76522 L
.28845 .76817 L
.28826 .773 L
.28498 .77544 L
.28015 .77723 L
.27767 .77783 L
.27532 .77833 L
.27049 .77904 L
.26566 .77943 L
.26082 .77959 L
.25599 .77954 L
.25116 .77927 L
.24633 .77873 L
.24158 .77783 L
.2415 .77781 L
.23666 .77647 L
.23183 .77387 L
.23097 .773 L
.23079 .76817 L
.23183 .76697 L
.23666 .76405 L
.23854 .76334 L
F
0 .78 1 r
.24633 .85943 m
.25116 .85884 L
.25599 .85855 L
.26082 .8585 L
.26566 .85867 L
.27049 .8591 L
.27532 .85987 L
.2758 .85997 L
.28015 .86102 L
.28498 .86308 L
.2871 .8648 L
.28735 .86964 L
.28498 .87184 L
.28015 .87416 L
.27923 .87447 L
.27532 .87559 L
.27049 .87646 L
.26566 .87694 L
.26082 .87713 L
.25599 .87707 L
.25116 .87674 L
.24633 .87608 L
.2415 .87495 L
.24 .87447 L
.23666 .87319 L
.23189 .86964 L
.23213 .8648 L
.23666 .86187 L
.2415 .86038 L
.2434 .85997 L
F
1 .68 0 r
.23666 .83003 m
.2415 .82827 L
.24633 .82725 L
.25116 .82665 L
.25599 .82634 L
.26082 .82628 L
.26566 .82646 L
.27049 .82691 L
.27532 .8277 L
.28015 .82902 L
.28424 .83098 L
.28498 .83156 L
.28689 .83581 L
.28498 .83858 L
.28162 .84065 L
.28015 .84142 L
.27532 .84306 L
.27049 .84391 L
.26566 .84433 L
.26082 .84449 L
.25599 .84444 L
.25116 .84416 L
.24633 .84355 L
.2415 .84238 L
.23761 .84065 L
.23666 .84018 L
.23234 .83581 L
.23499 .83098 L
F
0 .68 1 r
.2415 .79569 m
.24633 .79444 L
.25116 .7938 L
.25599 .7935 L
.26082 .79345 L
.26566 .79362 L
.27049 .79407 L
.27532 .79496 L
.28015 .79671 L
.281 .79716 L
.28498 .79969 L
.28644 .80199 L
.28498 .80585 L
.2838 .80682 L
.28015 .8086 L
.27532 .80996 L
.27049 .81077 L
.26566 .81123 L
.26082 .81141 L
.25599 .81135 L
.25116 .81104 L
.24633 .81042 L
.2415 .80937 L
.23666 .80754 L
.23543 .80682 L
.23279 .80199 L
.23666 .79794 L
.23822 .79716 L
F
1 .96 0 r
.2415 .69927 m
.24633 .69782 L
.25116 .69709 L
.25599 .69674 L
.26082 .69668 L
.26566 .69688 L
.27049 .69741 L
.27532 .69844 L
.28015 .70045 L
.28027 .70052 L
.28498 .70412 L
.28542 .70535 L
.28498 .70716 L
.28057 .71019 L
.28015 .71033 L
.27532 .71154 L
.27049 .71222 L
.26566 .7126 L
.26082 .71275 L
.25599 .7127 L
.25116 .71244 L
.24633 .71193 L
.2415 .71102 L
.23869 .71019 L
.23666 .70925 L
.23386 .70535 L
.23666 .70181 L
.23898 .70052 L
F
1 .78 0 r
.24633 .7626 m
.25116 .76183 L
.25599 .76145 L
.26082 .76138 L
.26566 .7616 L
.27049 .76216 L
.27532 .76319 L
.27586 .76334 L
.28015 .76477 L
.28498 .76799 L
.28513 .76817 L
.28498 .77293 L
.28492 .773 L
.28015 .77584 L
.27532 .7772 L
.27171 .77783 L
.27049 .77801 L
.26566 .77851 L
.26082 .77871 L
.25599 .77864 L
.25116 .7783 L
.24744 .77783 L
.24633 .77764 L
.2415 .77662 L
.23666 .77475 L
.2343 .773 L
.2341 .76817 L
.23666 .766 L
.2415 .76388 L
.24334 .76334 L
F
1 .66 0 r
.2415 .82919 m
.24633 .82799 L
.25116 .8273 L
.25599 .82695 L
.26082 .82688 L
.26566 .82709 L
.27049 .8276 L
.27532 .82851 L
.28015 .83011 L
.28183 .83098 L
.28474 .83581 L
.28015 .84009 L
.2789 .84065 L
.27532 .84209 L
.27049 .84318 L
.26566 .84373 L
.26082 .84393 L
.25599 .84386 L
.25116 .84351 L
.24633 .84273 L
.2415 .84119 L
.24034 .84065 L
.23666 .83865 L
.23449 .83581 L
.23666 .83149 L
.2374 .83098 L
F
1 .88 0 r
.24633 .89314 m
.25116 .89236 L
.25599 .89198 L
.26082 .89191 L
.26566 .89213 L
.27049 .89269 L
.27532 .89376 L
.27544 .8938 L
.28015 .89527 L
.28431 .89863 L
.28195 .90346 L
.28015 .90452 L
.27532 .90633 L
.27049 .90738 L
.26566 .90797 L
.26082 .90821 L
.25599 .90813 L
.25116 .90772 L
.24633 .90692 L
.2415 .90556 L
.23728 .90346 L
.23666 .90298 L
.23492 .89863 L
.23666 .89662 L
.2415 .8944 L
.24375 .8938 L
F
0 .66 1 r
.2415 .79695 m
.24633 .79533 L
.25116 .7945 L
.25599 .79412 L
.26082 .79405 L
.26566 .79426 L
.27049 .79484 L
.27532 .79601 L
.27819 .79716 L
.28015 .79803 L
.28424 .80199 L
.28133 .80682 L
.28015 .80745 L
.27532 .80912 L
.27049 .81006 L
.26566 .81058 L
.26082 .81079 L
.25599 .81072 L
.25116 .81037 L
.24633 .80966 L
.2415 .80842 L
.23789 .80682 L
.23666 .80592 L
.23499 .80199 L
.23666 .79962 L
.24106 .79716 L
F
0 .76 1 r
.25116 .8598 m
.25599 .85944 L
.26082 .85937 L
.26566 .85958 L
.26978 .85997 L
.27049 .8601 L
.27532 .86095 L
.28015 .86245 L
.28393 .8648 L
.2842 .86964 L
.28015 .87254 L
.27532 .87424 L
.27447 .87447 L
.27049 .87532 L
.26566 .87591 L
.26082 .87615 L
.25599 .87607 L
.25116 .87567 L
.24633 .87484 L
.24477 .87447 L
.2415 .87352 L
.23666 .87115 L
.23503 .86964 L
.23531 .8648 L
.23666 .86371 L
.2415 .86158 L
.24633 .86047 L
.24964 .85997 L
F
1 .64 0 r
.2415 .83025 m
.24633 .8288 L
.25116 .828 L
.25599 .8276 L
.26082 .82753 L
.26566 .82776 L
.27049 .82834 L
.27532 .82941 L
.27931 .83098 L
.28015 .83151 L
.28254 .83581 L
.28015 .83863 L
.27591 .84065 L
.27532 .84089 L
.27049 .8423 L
.26566 .843 L
.26082 .84326 L
.25599 .84318 L
.25116 .84272 L
.24633 .84171 L
.24329 .84065 L
.2415 .83994 L
.2367 .83581 L
.23992 .83098 L
F
0 .64 1 r
.24633 .79641 m
.25116 .79534 L
.25599 .79485 L
.26082 .79476 L
.26566 .79504 L
.27049 .79578 L
.27505 .79716 L
.27532 .79725 L
.28015 .79965 L
.28198 .80199 L
.28015 .8059 L
.27874 .80682 L
.27532 .80818 L
.27049 .8093 L
.26566 .8099 L
.26082 .81013 L
.25599 .81005 L
.25116 .80965 L
.24633 .80882 L
.2415 .80729 L
.2405 .80682 L
.23725 .80199 L
.2415 .7982 L
.24416 .79716 L
F
1 .76 0 r
.25116 .76309 m
.25599 .76261 L
.26082 .76251 L
.26566 .76279 L
.26989 .76334 L
.27049 .76349 L
.27532 .76466 L
.28015 .76686 L
.2817 .76817 L
.28146 .773 L
.28015 .77397 L
.27532 .77594 L
.27049 .77696 L
.26566 .7775 L
.26082 .77771 L
.25599 .77764 L
.25116 .77727 L
.24633 .77652 L
.2415 .77514 L
.23777 .773 L
.23753 .76817 L
.2415 .76556 L
.24633 .76399 L
.24948 .76334 L
F
0 .88 1 r
.2415 .73392 m
.24633 .73216 L
.25116 .7312 L
.25599 .73073 L
.26082 .73063 L
.26566 .73091 L
.27049 .73161 L
.27532 .7329 L
.27853 .73434 L
.28015 .73557 L
.28131 .73918 L
.28015 .74058 L
.27532 .7429 L
.27049 .74396 L
.27026 .74401 L
.26566 .74466 L
.26082 .74494 L
.25599 .74485 L
.25116 .74437 L
.24893 .74401 L
.24633 .74351 L
.2415 .74202 L
.23792 .73918 L
.24072 .73434 L
F
0 .74 1 r
.2415 .86309 m
.24633 .86158 L
.25116 .86078 L
.25599 .86039 L
.26082 .86031 L
.26566 .86054 L
.27049 .86112 L
.27532 .86221 L
.28015 .86445 L
.28059 .8648 L
.2809 .86964 L
.28015 .87034 L
.27532 .87281 L
.27049 .87405 L
.26833 .87447 L
.26566 .87475 L
.26082 .87504 L
.25599 .87495 L
.25135 .87447 L
.25116 .87444 L
.24633 .87352 L
.2415 .87183 L
.23832 .86964 L
.23863 .8648 L
F
1 .62 0 r
.24633 .8297 m
.25116 .82876 L
.25599 .8283 L
.26082 .82821 L
.26566 .82848 L
.27049 .82916 L
.27532 .83047 L
.27658 .83098 L
.28015 .8342 L
.28023 .83581 L
.28015 .83603 L
.27532 .83972 L
.27254 .84065 L
.27049 .84124 L
.26566 .84213 L
.26082 .84246 L
.25599 .84235 L
.25116 .84177 L
.24671 .84065 L
.24633 .84053 L
.2415 .83852 L
.23899 .83581 L
.2415 .83162 L
.24264 .83098 L
F
0 .62 1 r
.25116 .79635 m
.25599 .79574 L
.26082 .79562 L
.26566 .79597 L
.27049 .79691 L
.27136 .79716 L
.27532 .79845 L
.27961 .80199 L
.27588 .80682 L
.27532 .80706 L
.27049 .80844 L
.26566 .80915 L
.26082 .80942 L
.25599 .80933 L
.25116 .80886 L
.24633 .80787 L
.24332 .80682 L
.2415 .80576 L
.23962 .80199 L
.2415 .79979 L
.24633 .79758 L
.24776 .79716 L
F
1 .74 0 r
.2415 .76795 m
.24633 .76554 L
.25116 .76441 L
.25599 .76387 L
.26082 .76377 L
.26566 .76408 L
.27049 .76488 L
.27532 .76647 L
.278 .76817 L
.27771 .773 L
.27532 .77432 L
.27049 .77575 L
.26566 .77645 L
.26082 .77671 L
.25599 .77663 L
.25116 .77616 L
.24633 .77516 L
.24154 .773 L
.2415 .77296 L
.24125 .76817 L
F
1 .6 0 r
.24633 .83077 m
.25116 .8296 L
.25599 .82907 L
.26082 .82896 L
.26566 .82927 L
.27049 .83008 L
.27356 .83098 L
.27532 .83185 L
.27781 .83581 L
.27532 .83829 L
.27049 .84012 L
.26845 .84065 L
.26566 .84108 L
.26082 .84149 L
.25599 .84136 L
.25123 .84065 L
.25116 .84063 L
.24633 .83939 L
.2415 .83594 L
.24144 .83581 L
.2415 .83431 L
.24573 .83098 L
F
0 .72 1 r
.24633 .86294 m
.25116 .86187 L
.25599 .86138 L
.26082 .86129 L
.26566 .86157 L
.27049 .86231 L
.27532 .86386 L
.27696 .8648 L
.27735 .86964 L
.27532 .87098 L
.27049 .87269 L
.26566 .87353 L
.26082 .87385 L
.25599 .87375 L
.25116 .87318 L
.24633 .87199 L
.24189 .86964 L
.24227 .8648 L
F
1 .86 0 r
.24633 .8959 m
.25116 .89477 L
.25599 .89427 L
.26082 .89417 L
.26566 .89446 L
.27049 .89523 L
.27532 .89695 L
.27725 .89863 L
.27532 .9026 L
.2738 .90346 L
.27049 .90457 L
.26566 .90548 L
.26082 .90583 L
.25599 .90571 L
.25116 .90511 L
.24633 .9038 L
.24548 .90346 L
.24199 .89863 L
F
0 .6 1 r
.25599 .79679 m
.26082 .79665 L
.26566 .79709 L
.2662 .79716 L
.27049 .79802 L
.27532 .80007 L
.27708 .80199 L
.27532 .80547 L
.27269 .80682 L
.27049 .80746 L
.26566 .80832 L
.26082 .80864 L
.25599 .80853 L
.25116 .80797 L
.24658 .80682 L
.24633 .80671 L
.24216 .80199 L
.24633 .79881 L
.25116 .79748 L
.25316 .79716 L
F
1 .58 0 r
.25116 .83059 m
.25599 .82993 L
.26082 .8298 L
.26566 .83018 L
.26998 .83098 L
.27049 .83122 L
.27512 .83581 L
.27049 .83893 L
.26566 .84002 L
.26082 .84042 L
.25599 .84029 L
.25116 .83959 L
.24633 .83789 L
.24408 .83581 L
.24633 .83225 L
.24936 .83098 L
F
0 .58 1 r
.24633 .80056 m
.25116 .7986 L
.25599 .79784 L
.26082 .79771 L
.26566 .79813 L
.27049 .79933 L
.27428 .80199 L
.27049 .8062 L
.26893 .80682 L
.26566 .80736 L
.26082 .80775 L
.25599 .80763 L
.25116 .80692 L
.25071 .80682 L
.24633 .80497 L
.24497 .80199 L
F
1 .72 0 r
.24633 .76766 m
.25116 .76596 L
.25599 .76525 L
.26082 .76512 L
.26566 .76552 L
.27049 .76662 L
.27378 .76817 L
.27341 .773 L
.27049 .77418 L
.26566 .77518 L
.26082 .77554 L
.25599 .77542 L
.25116 .77478 L
.24633 .77323 L
.24589 .773 L
.2455 .76817 L
F
0 .7 1 r
.25116 .86323 m
.25599 .86256 L
.26082 .86244 L
.26566 .86282 L
.27049 .86388 L
.27276 .8648 L
.27326 .86964 L
.27049 .87096 L
.26566 .87213 L
.26082 .87255 L
.25599 .87241 L
.25116 .87167 L
.24633 .86983 L
.24604 .86964 L
.24633 .86494 L
.24652 .8648 L
F
0 .86 1 r
.25599 .73377 m
.26082 .73361 L
.26566 .7341 L
.2672 .73434 L
.27049 .73558 L
.2726 .73918 L
.27049 .74057 L
.26566 .74187 L
.26082 .74229 L
.25599 .74216 L
.25116 .74139 L
.24666 .73918 L
.25116 .73465 L
.25235 .73434 L
F
1 .56 0 r
.25599 .83094 m
.26082 .83078 L
.26366 .83098 L
.26566 .83128 L
.27049 .83291 L
.2721 .83581 L
.27049 .83724 L
.26566 .83887 L
.26082 .83938 L
.25599 .83921 L
.25116 .83827 L
.2471 .83581 L
.25116 .83187 L
.25557 .83098 L
F
0 .56 1 r
.25116 .8001 m
.25599 .79902 L
.26082 .79884 L
.26566 .79941 L
.27049 .80149 L
.27093 .80199 L
.27049 .804 L
.26566 .80613 L
.26082 .80669 L
.25599 .80651 L
.25116 .80544 L
.24816 .80199 L
F
1 .54 0 r
.25116 .83439 m
.25599 .83234 L
.26082 .8321 L
.26566 .83292 L
.26857 .83581 L
.26566 .83723 L
.26082 .83804 L
.25599 .8378 L
.25116 .83587 L
.25111 .83581 L
F
1 .7 0 r
.25599 .76701 m
.26082 .76681 L
.26566 .76743 L
.26844 .76817 L
.26772 .773 L
.26566 .77344 L
.26082 .77401 L
.25599 .77383 L
.25191 .773 L
.25125 .76817 L
F
0 .94 1 r
.25599 .92989 m
.26082 .92966 L
.26566 .93047 L
.26807 .93245 L
.26566 .93386 L
.26082 .93475 L
.25599 .93448 L
.25159 .93245 L
F
0 .68 1 r
.25599 .86412 m
.26082 .86394 L
.26566 .86453 L
.26696 .8648 L
.268 .86964 L
.26566 .87025 L
.26082 .8709 L
.25599 .87069 L
.25165 .86964 L
.25254 .8648 L
F
0 .98 1 r
.25599 .67032 m
.26082 .66993 L
.26566 .67056 L
.26842 .67153 L
.26566 .67533 L
.26082 .67604 L
.25599 .67585 L
.2518 .67153 L
F
1 .84 0 r
.25599 .89741 m
.26082 .89717 L
.26566 .89801 L
.26724 .89863 L
.26566 .90141 L
.26082 .90235 L
.25599 .90208 L
.25232 .89863 L
F
0 .54 1 r
.25599 .8007 m
.26082 .80039 L
.26566 .80151 L
.26653 .80199 L
.26566 .80398 L
.26082 .80515 L
.25599 .80483 L
.2529 .80199 L
F
1 .98 0 r
.25599 .96246 m
.26082 .96224 L
.26566 .96299 L
.26593 .96627 L
.26566 .96635 L
.26082 .9672 L
.25599 .96695 L
.25337 .96627 L
F
0 .98 1 r
.37679 .34564 m
.37967 .3478 L
.37904 .35263 L
.37679 .35511 L
.37552 .35746 L
.37244 .36229 L
.37196 .36381 L
.3697 .36712 L
.36712 .37052 L
.36616 .37196 L
.36232 .37679 L
.36229 .37757 L
.35916 .38162 L
.35746 .3848 L
.35629 .38645 L
.35263 .39077 L
.35225 .39128 L
.34832 .39612 L
.3478 .39748 L
.34524 .40095 L
.34296 .40431 L
.34248 .40578 L
.33813 .41033 L
.33792 .41061 L
.33419 .41544 L
.3333 .41693 L
.33114 .42027 L
.32847 .42362 L
.32704 .42511 L
.32364 .4299 L
.32347 .42994 L
.31992 .43477 L
.31881 .43624 L
.31707 .4396 L
.31397 .44285 L
.31252 .44443 L
.30914 .44916 L
.30895 .44927 L
.30555 .4541 L
.30431 .45547 L
.3031 .45893 L
.29948 .46201 L
.29792 .46376 L
.29465 .46836 L
.29432 .46859 L
.29102 .47342 L
.28981 .47453 L
.28683 .47826 L
.28498 .48094 L
.28308 .48309 L
.28015 .48724 L
.27934 .48792 L
.27567 .49275 L
.27532 .49301 L
.27139 .49758 L
.27049 .49884 L
.26702 .50242 L
.26566 .50429 L
.26177 .50725 L
.26082 .50861 L
.25794 .50725 L
.25892 .50242 L
.26082 .49834 L
.26116 .49758 L
.26422 .49275 L
.26566 .48849 L
.26653 .48792 L
.26971 .48309 L
.27049 .48196 L
.27413 .47826 L
.27532 .47471 L
.27654 .47342 L
.27972 .46859 L
.28015 .46809 L
.28311 .46376 L
.28498 .46134 L
.28739 .45893 L
.28981 .45466 L
.29029 .4541 L
.29376 .44927 L
.29465 .44831 L
.2973 .44443 L
.29948 .4417 L
.30134 .4396 L
.30431 .43513 L
.30454 .43477 L
.30813 .42994 L
.30914 .42891 L
.31276 .42511 L
.31397 .42233 L
.31554 .42027 L
.31881 .41577 L
.31891 .41544 L
.32264 .41061 L
.32364 .40968 L
.32681 .40578 L
.32847 .4031 L
.32983 .40095 L
.3333 .39656 L
.33363 .39612 L
.33801 .39128 L
.33813 .39058 L
.34112 .38645 L
.34296 .3841 L
.34414 .38162 L
.3478 .37766 L
.34846 .37679 L
.35237 .37196 L
.35263 .37171 L
.3559 .36712 L
.35746 .36568 L
.35865 .36229 L
.36229 .35971 L
.36423 .35746 L
.36712 .35411 L
.36866 .35263 L
.37196 .34894 L
.37387 .3478 L
F
1 .98 0 r
.26082 .48031 m
.26427 .48309 L
.26082 .48468 L
.26011 .48309 L
F
.38645 .35465 m
.38818 .35746 L
.38654 .36229 L
.38645 .36246 L
.38493 .36712 L
.38162 .37113 L
.38112 .37196 L
.37758 .37679 L
.37679 .37918 L
.37479 .38162 L
.37196 .38549 L
.37129 .38645 L
.36786 .39128 L
.36712 .3924 L
.36407 .39612 L
.36229 .39941 L
.36112 .40095 L
.35746 .40544 L
.35721 .40578 L
.35311 .41061 L
.35263 .4121 L
.35007 .41544 L
.3478 .41884 L
.34718 .42027 L
.34296 .42509 L
.34284 .42511 L
.33901 .42994 L
.33813 .4315 L
.33594 .43477 L
.3333 .43814 L
.33195 .4396 L
.32847 .44439 L
.32837 .44443 L
.32476 .44927 L
.32364 .4508 L
.32184 .4541 L
.31881 .45738 L
.31743 .45893 L
.31397 .46368 L
.31385 .46376 L
.31042 .46859 L
.30914 .47004 L
.30783 .47342 L
.30431 .47657 L
.30284 .47826 L
.29948 .4829 L
.29925 .48309 L
.29594 .48792 L
.29465 .48914 L
.29179 .49275 L
.28981 .49556 L
.28806 .49758 L
.28498 .50185 L
.28437 .50242 L
.28086 .50725 L
.28015 .50777 L
.27653 .51208 L
.27532 .51373 L
.27234 .51691 L
.27049 .51941 L
.26772 .52174 L
.26566 .5247 L
.26103 .52174 L
.26272 .51691 L
.2652 .51208 L
.26566 .51111 L
.26844 .50725 L
.27049 .5033 L
.27093 .50242 L
.27415 .49758 L
.27532 .49592 L
.27854 .49275 L
.28015 .48886 L
.28107 .48792 L
.28436 .48309 L
.28498 .48234 L
.2878 .47826 L
.28981 .47563 L
.292 .47342 L
.29465 .46902 L
.295 .46859 L
.29851 .46376 L
.29948 .46267 L
.30357 .45893 L
.30431 .45608 L
.30604 .4541 L
.30914 .44954 L
.30931 .44927 L
.31291 .44443 L
.31397 .4433 L
.3174 .4396 L
.31881 .43672 L
.32026 .43477 L
.32364 .43019 L
.32369 .42994 L
.32742 .42511 L
.32847 .42405 L
.33149 .42027 L
.3333 .41747 L
.33452 .41544 L
.33813 .41094 L
.33838 .41061 L
.34268 .40578 L
.34296 .40491 L
.34576 .40095 L
.3478 .39837 L
.34873 .39612 L
.35263 .39189 L
.35309 .39128 L
.35699 .38645 L
.35746 .38596 L
.36033 .38162 L
.36229 .37969 L
.36284 .37679 L
.36712 .3735 L
.3684 .37196 L
.37196 .36764 L
.37246 .36712 L
.37679 .36229 L
.37679 .36229 L
.38162 .35764 L
.38187 .35746 L
F
0 .98 1 r
.35263 .3372 m
.35478 .33813 L
.35345 .34296 L
.35263 .34461 L
.35086 .3478 L
.34802 .35263 L
.3478 .3531 L
.34579 .35746 L
.34296 .36018 L
.3415 .36229 L
.33816 .36712 L
.33813 .36719 L
.33501 .37196 L
.3333 .37457 L
.33117 .37679 L
.32847 .38054 L
.32766 .38162 L
.32415 .38645 L
.32364 .38724 L
.3212 .39128 L
.31881 .39419 L
.3169 .39612 L
.31397 .40012 L
.31333 .40095 L
.30987 .40578 L
.30914 .40669 L
.3072 .41061 L
.30431 .41343 L
.30238 .41544 L
.29948 .42011 L
.29877 .42027 L
.29533 .42511 L
.29465 .42581 L
.29134 .42994 L
.28981 .43236 L
.28758 .43477 L
.28498 .43898 L
.28385 .4396 L
.28015 .44439 L
.28011 .44443 L
.2761 .44927 L
.27532 .45048 L
.27194 .4541 L
.27049 .45655 L
.26747 .45893 L
.26566 .46086 L
.26119 .45893 L
.26324 .4541 L
.26566 .44977 L
.26592 .44927 L
.26908 .44443 L
.27049 .4412 L
.27141 .4396 L
.27503 .43477 L
.27532 .43438 L
.27917 .42994 L
.28015 .42726 L
.28184 .42511 L
.28498 .42045 L
.28501 .42027 L
.28854 .41544 L
.28981 .4139 L
.29268 .41061 L
.29465 .40718 L
.29561 .40578 L
.29924 .40095 L
.29948 .40075 L
.3039 .39612 L
.30431 .39435 L
.30672 .39128 L
.30914 .38779 L
.30978 .38645 L
.31379 .38162 L
.31397 .38149 L
.318 .37679 L
.31881 .37531 L
.32115 .37196 L
.32364 .36895 L
.32381 .36712 L
.32847 .36275 L
.32886 .36229 L
.33283 .35746 L
.3333 .35695 L
.33638 .35263 L
.33813 .35117 L
.34107 .3478 L
.34296 .34564 L
.34569 .34296 L
.3478 .34043 L
.35131 .33813 L
F
1 .98 0 r
.35746 .34778 m
.36229 .34365 L
.36526 .3478 L
.36318 .35263 L
.36229 .35376 L
.36009 .35746 L
.35746 .36159 L
.357 .36229 L
.35376 .36712 L
.35263 .3694 L
.35116 .37196 L
.3478 .37559 L
.34694 .37679 L
.34332 .38162 L
.34296 .38244 L
.34017 .38645 L
.33813 .38951 L
.33772 .39128 L
.3333 .39547 L
.33282 .39612 L
.32921 .40095 L
.32847 .40212 L
.3262 .40578 L
.32364 .40893 L
.32199 .41061 L
.31881 .41494 L
.31842 .41544 L
.31492 .42027 L
.31397 .42149 L
.31216 .42511 L
.30914 .42816 L
.30746 .42994 L
.30431 .4346 L
.30387 .43477 L
.30048 .4396 L
.29948 .44067 L
.29647 .44443 L
.29465 .44721 L
.29277 .44927 L
.28981 .45366 L
.28911 .4541 L
.28564 .45893 L
.28498 .4595 L
.28149 .46376 L
.28015 .46577 L
.27757 .46859 L
.27532 .47203 L
.27356 .47342 L
.27049 .47708 L
.26932 .47826 L
.26566 .482 L
.26153 .47826 L
.26342 .47342 L
.26566 .4701 L
.26646 .46859 L
.27025 .46376 L
.27049 .46191 L
.27284 .45893 L
.27532 .45447 L
.2756 .4541 L
.27901 .44927 L
.28015 .44777 L
.28329 .44443 L
.28498 .44087 L
.28602 .4396 L
.28941 .43477 L
.28981 .43435 L
.29287 .42994 L
.29465 .42774 L
.29697 .42511 L
.29948 .42109 L
.30002 .42027 L
.30364 .41544 L
.30431 .41481 L
.30832 .41061 L
.30914 .40828 L
.31108 .40578 L
.31397 .40171 L
.31429 .40095 L
.31815 .39612 L
.31881 .39558 L
.32238 .39128 L
.32364 .38914 L
.32542 .38645 L
.32847 .38266 L
.32924 .38162 L
.33296 .37679 L
.3333 .37657 L
.33689 .37196 L
.33813 .37045 L
.34003 .36712 L
.34296 .36427 L
.34454 .36229 L
.3478 .35832 L
.34859 .35746 L
.35263 .35276 L
.35281 .35263 L
.35742 .3478 L
F
0 .98 1 r
.39612 .36122 m
.39873 .36229 L
.39804 .36712 L
.39612 .37132 L
.3958 .37196 L
.39289 .37679 L
.39128 .37958 L
.39042 .38162 L
.38679 .38645 L
.38645 .38699 L
.38272 .39128 L
.38162 .39438 L
.37994 .39612 L
.37679 .40049 L
.37672 .40095 L
.37297 .40578 L
.37196 .40724 L
.36899 .41061 L
.36712 .41406 L
.366 .41544 L
.36229 .42015 L
.3622 .42027 L
.35786 .42511 L
.35746 .42674 L
.35492 .42994 L
.35263 .4334 L
.35193 .43477 L
.3478 .43959 L
.34777 .4396 L
.34382 .44443 L
.34296 .44609 L
.34076 .44927 L
.33813 .45268 L
.33806 .4541 L
.3333 .45892 L
.33329 .45893 L
.3296 .46376 L
.32847 .46538 L
.32662 .46859 L
.32364 .47194 L
.32235 .47342 L
.31881 .47824 L
.31878 .47826 L
.3153 .48309 L
.31397 .48463 L
.31259 .48792 L
.30914 .49116 L
.30779 .49275 L
.30431 .4975 L
.30422 .49758 L
.3009 .50242 L
.29948 .5038 L
.29679 .50725 L
.29465 .51026 L
.29312 .51208 L
.28981 .51658 L
.28948 .51691 L
.28617 .52174 L
.28498 .52267 L
.28182 .52658 L
.28015 .52884 L
.27789 .53141 L
.27532 .53482 L
.27382 .53624 L
.27049 .54049 L
.26934 .54107 L
.26566 .54437 L
.26173 .54107 L
.26332 .53624 L
.26566 .53223 L
.26606 .53141 L
.2701 .52658 L
.27049 .52356 L
.27231 .52174 L
.2752 .51691 L
.27532 .51676 L
.27845 .51208 L
.28015 .50972 L
.28282 .50725 L
.28498 .50295 L
.28554 .50242 L
.28893 .49758 L
.28981 .49652 L
.29244 .49275 L
.29465 .48987 L
.29658 .48792 L
.29948 .48335 L
.2997 .48309 L
.30323 .47826 L
.30431 .47701 L
.30814 .47342 L
.30914 .47043 L
.31073 .46859 L
.31397 .46394 L
.31407 .46376 L
.31768 .45893 L
.31881 .45768 L
.32205 .4541 L
.32364 .45111 L
.32497 .44927 L
.32847 .44461 L
.32848 .44443 L
.33219 .4396 L
.3333 .43842 L
.33616 .43477 L
.33813 .43184 L
.3392 .42994 L
.34296 .42532 L
.34313 .42511 L
.34734 .42027 L
.3478 .41922 L
.3504 .41544 L
.35263 .41265 L
.35332 .41061 L
.35746 .40613 L
.35773 .40578 L
.36159 .40095 L
.36229 .40015 L
.36477 .39612 L
.36712 .39368 L
.36887 .39128 L
.37196 .38729 L
.37262 .38645 L
.3764 .38162 L
.37679 .38139 L
.37981 .37679 L
.38162 .37551 L
.38459 .37196 L
.38645 .36987 L
.38914 .36712 L
.39128 .36486 L
.39489 .36229 L
F
1 .98 0 r
.40095 .37381 m
.40551 .37679 L
.40371 .38162 L
.40099 .38645 L
.40095 .38687 L
.39793 .39128 L
.39612 .39446 L
.39529 .39612 L
.39178 .40095 L
.39128 .40171 L
.38747 .40578 L
.38645 .40892 L
.38478 .41061 L
.38162 .41509 L
.38152 .41544 L
.37787 .42027 L
.37679 .42179 L
.37377 .42511 L
.37196 .42854 L
.3708 .42994 L
.36712 .43476 L
.36708 .43477 L
.36254 .4396 L
.36229 .44126 L
.3597 .44443 L
.35746 .44789 L
.35667 .44927 L
.35264 .4541 L
.35263 .45411 L
.34858 .45893 L
.3478 .4606 L
.34554 .46376 L
.34296 .46717 L
.34269 .46859 L
.33816 .47342 L
.33813 .47345 L
.3344 .47826 L
.3333 .47989 L
.33138 .48309 L
.32847 .48644 L
.32723 .48792 L
.32364 .49275 L
.32364 .49276 L
.32011 .49758 L
.31881 .49914 L
.3173 .50242 L
.31397 .50567 L
.31267 .50725 L
.30914 .51202 L
.30909 .51208 L
.30571 .51691 L
.30431 .51831 L
.30167 .52174 L
.29948 .52477 L
.29799 .52658 L
.29465 .5311 L
.29435 .53141 L
.291 .53624 L
.28981 .53717 L
.28669 .54107 L
.28498 .54334 L
.28275 .5459 L
.28015 .54929 L
.27867 .55073 L
.27532 .55489 L
.27418 .55557 L
.27049 .55887 L
.26642 .55557 L
.26791 .55073 L
.27049 .5465 L
.27079 .5459 L
.27474 .54107 L
.27532 .53783 L
.27701 .53624 L
.27998 .53141 L
.28015 .53118 L
.28325 .52658 L
.28498 .52414 L
.28753 .52174 L
.28981 .51739 L
.29034 .51691 L
.29376 .51208 L
.29465 .51099 L
.29728 .50725 L
.29948 .50434 L
.30135 .50242 L
.30431 .49784 L
.30452 .49758 L
.30808 .49275 L
.30914 .49149 L
.31281 .48792 L
.31397 .48492 L
.31551 .48309 L
.31881 .47845 L
.31889 .47826 L
.32254 .47342 L
.32364 .47215 L
.32677 .46859 L
.32847 .46559 L
.32975 .46376 L
.3333 .45911 L
.33345 .45893 L
.33809 .4541 L
.33813 .45288 L
.34091 .44927 L
.34296 .44632 L
.34395 .44443 L
.3478 .43982 L
.34797 .4396 L
.35205 .43477 L
.35263 .43366 L
.35515 .42994 L
.35746 .42711 L
.35799 .42511 L
.36229 .4206 L
.36255 .42027 L
.36634 .41544 L
.36712 .41456 L
.36947 .41061 L
.37196 .40807 L
.37365 .40578 L
.37679 .40166 L
.37736 .40095 L
.38107 .39612 L
.38162 .39573 L
.38428 .39128 L
.38645 .38969 L
.38909 .38645 L
.39128 .38385 L
.39337 .38162 L
.39612 .37852 L
.39821 .37679 L
F
0 .98 1 r
.41061 .38258 m
.41476 .38645 L
.41276 .39128 L
.41061 .39447 L
.40971 .39612 L
.40677 .40095 L
.40578 .40278 L
.40302 .40578 L
.40095 .4096 L
.40033 .41061 L
.39693 .41544 L
.39612 .41661 L
.39227 .42027 L
.39128 .42359 L
.38972 .42511 L
.38645 .42978 L
.38639 .42994 L
.38283 .43477 L
.38162 .43641 L
.37858 .4396 L
.37679 .44308 L
.37563 .44443 L
.37198 .44927 L
.37196 .4493 L
.36842 .4541 L
.36712 .45582 L
.3645 .45893 L
.36229 .46241 L
.36144 .46376 L
.35753 .46859 L
.35746 .46867 L
.35332 .47342 L
.35263 .47514 L
.35033 .47826 L
.3478 .48169 L
.34738 .48309 L
.34304 .48792 L
.34296 .488 L
.33919 .49275 L
.33813 .49442 L
.33615 .49758 L
.3333 .50096 L
.33212 .50242 L
.32848 .50725 L
.32847 .50731 L
.32493 .51208 L
.32364 .51368 L
.32204 .51691 L
.31881 .52021 L
.31757 .52174 L
.31398 .52658 L
.31397 .52659 L
.31057 .53141 L
.30914 .53287 L
.30806 .53624 L
.30431 .53935 L
.30293 .54107 L
.29948 .54572 L
.29931 .5459 L
.29598 .55073 L
.29465 .55182 L
.29172 .55557 L
.28981 .55808 L
.28787 .5604 L
.28498 .56414 L
.28393 .56523 L
.28015 .56978 L
.27975 .57006 L
.27532 .57454 L
.27488 .57489 L
.27049 .57765 L
.26849 .57489 L
.27008 .57006 L
.27049 .56891 L
.27189 .56523 L
.27497 .5604 L
.27532 .55977 L
.27908 .55557 L
.28015 .55169 L
.28142 .55073 L
.28454 .5459 L
.28498 .54531 L
.2879 .54107 L
.28981 .53838 L
.29211 .53624 L
.29465 .53174 L
.29505 .53141 L
.29852 .52658 L
.29948 .52537 L
.30207 .52174 L
.30431 .51874 L
.30607 .51691 L
.30914 .51229 L
.30931 .51208 L
.3129 .50725 L
.31397 .50593 L
.31747 .50242 L
.31881 .49937 L
.32027 .49758 L
.32364 .49293 L
.3237 .49275 L
.32737 .48792 L
.32847 .48661 L
.33149 .48309 L
.3333 .48006 L
.3345 .47826 L
.33813 .4736 L
.33828 .47342 L
.34273 .46859 L
.34296 .46733 L
.34566 .46376 L
.3478 .46078 L
.34866 .45893 L
.35263 .4543 L
.35279 .4541 L
.35678 .44927 L
.35746 .44809 L
.35987 .44443 L
.36229 .44154 L
.36262 .4396 L
.36712 .43504 L
.36734 .43477 L
.37106 .42994 L
.37196 .42893 L
.37412 .42511 L
.37679 .4224 L
.37838 .42027 L
.38162 .41594 L
.38203 .41544 L
.38563 .41061 L
.38645 .40996 L
.38857 .40578 L
.39128 .40368 L
.39344 .40095 L
.39612 .39756 L
.39738 .39612 L
.40095 .39182 L
.40152 .39128 L
.40578 .38657 L
.40611 .38645 L
F
1 .98 0 r
.27049 .42548 m
.27206 .42994 L
.27049 .4313 L
.26872 .42994 L
F
.3333 .34269 m
.33513 .34296 L
.3338 .3478 L
.3333 .34878 L
.33102 .35263 L
.32847 .35691 L
.3281 .35746 L
.32485 .36229 L
.32364 .36411 L
.32148 .36712 L
.31881 .37104 L
.31812 .37196 L
.3151 .37679 L
.31397 .37816 L
.31107 .38162 L
.30914 .38432 L
.3075 .38645 L
.30431 .39085 L
.30397 .39128 L
.3011 .39612 L
.29948 .39761 L
.29654 .40095 L
.29465 .40354 L
.29282 .40578 L
.28981 .40977 L
.2891 .41061 L
.28527 .41544 L
.28498 .41595 L
.28119 .42027 L
.28015 .42248 L
.27692 .42511 L
.27532 .427 L
.27066 .42511 L
.27317 .42027 L
.27532 .41676 L
.2761 .41544 L
.27918 .41061 L
.28015 .40885 L
.28092 .40578 L
.28498 .40198 L
.28568 .40095 L
.28933 .39612 L
.28981 .39509 L
.29236 .39128 L
.29465 .38824 L
.29606 .38645 L
.29948 .38172 L
.29969 .38162 L
.30345 .37679 L
.30431 .37555 L
.3064 .37196 L
.30914 .36916 L
.31085 .36712 L
.31397 .36286 L
.31475 .36229 L
.31872 .35746 L
.31881 .35738 L
.32212 .35263 L
.32364 .35176 L
.32745 .3478 L
.32847 .34639 L
.33294 .34296 L
F
0 .96 1 r
.36229 .36396 m
.36633 .36712 L
.36395 .37196 L
.36229 .3748 L
.36109 .37679 L
.35802 .38162 L
.35746 .38282 L
.35544 .38645 L
.35263 .38953 L
.3514 .39128 L
.34793 .39612 L
.3478 .39646 L
.34468 .40095 L
.34296 .40359 L
.34219 .40578 L
.33813 .40969 L
.33745 .41061 L
.33384 .41544 L
.3333 .41635 L
.33076 .42027 L
.32847 .42314 L
.32666 .42511 L
.32364 .42977 L
.32308 .42994 L
.31955 .43477 L
.31881 .43574 L
.31668 .4396 L
.31397 .44238 L
.31212 .44443 L
.30914 .4489 L
.3085 .44927 L
.30501 .4541 L
.30431 .45485 L
.30245 .45893 L
.29948 .4613 L
.29729 .46376 L
.29465 .46775 L
.29354 .46859 L
.28981 .47338 L
.28977 .47342 L
.28574 .47826 L
.28498 .47935 L
.28152 .48309 L
.28015 .4852 L
.27693 .48792 L
.27532 .48959 L
.27086 .48792 L
.27282 .48309 L
.27532 .47852 L
.27546 .47826 L
.27846 .47342 L
.28015 .46969 L
.28068 .46859 L
.28454 .46376 L
.28498 .46314 L
.28851 .45893 L
.28981 .45598 L
.29124 .4541 L
.29465 .44929 L
.29468 .44927 L
.29809 .44443 L
.29948 .44267 L
.30205 .4396 L
.30431 .43597 L
.30505 .43477 L
.30878 .42994 L
.30914 .42958 L
.31319 .42511 L
.31397 .4231 L
.3161 .42027 L
.31881 .41655 L
.31915 .41544 L
.32328 .41061 L
.32364 .4103 L
.32734 .40578 L
.32847 .40397 L
.33043 .40095 L
.3333 .39756 L
.33442 .39612 L
.33813 .39134 L
.33819 .39128 L
.34204 .38645 L
.34296 .38542 L
.34523 .38162 L
.3478 .37942 L
.35003 .37679 L
.35263 .37362 L
.35429 .37196 L
.35746 .36799 L
.35893 .36712 L
F
1 .96 0 r
.37196 .37119 m
.37679 .36843 L
.37765 .37196 L
.37679 .37425 L
.37562 .37679 L
.37319 .38162 L
.37196 .38332 L
.37003 .38645 L
.36712 .39088 L
.36686 .39128 L
.36342 .39612 L
.36229 .39843 L
.36064 .40095 L
.35746 .40472 L
.3567 .40578 L
.35291 .41061 L
.35263 .41151 L
.34974 .41544 L
.3478 .41843 L
.347 .42027 L
.34296 .42504 L
.34254 .42511 L
.33881 .42994 L
.33813 .43115 L
.33572 .43477 L
.3333 .43784 L
.33171 .4396 L
.32847 .44428 L
.32813 .44443 L
.32454 .44927 L
.32364 .45049 L
.3216 .4541 L
.31881 .45708 L
.31717 .45893 L
.31397 .46348 L
.31357 .46376 L
.31009 .46859 L
.30914 .46964 L
.30745 .47342 L
.30431 .47611 L
.30244 .47826 L
.29948 .48249 L
.29875 .48309 L
.29519 .48792 L
.29465 .4884 L
.29108 .49275 L
.28981 .49455 L
.28709 .49758 L
.28498 .50062 L
.28296 .50242 L
.28015 .50685 L
.27845 .50725 L
.27532 .5102 L
.27167 .50725 L
.27303 .50242 L
.27532 .4994 L
.27626 .49758 L
.27974 .49275 L
.28015 .49091 L
.28239 .48792 L
.28498 .4833 L
.28512 .48309 L
.2887 .47826 L
.28981 .47672 L
.29276 .47342 L
.29465 .46979 L
.29558 .46859 L
.29907 .46376 L
.29948 .4633 L
.30389 .45893 L
.30431 .45666 L
.30647 .4541 L
.30914 .45003 L
.30959 .44927 L
.3133 .44443 L
.31397 .44372 L
.31768 .4396 L
.31881 .43718 L
.32058 .43477 L
.32364 .43064 L
.32377 .42994 L
.32779 .42511 L
.32847 .42444 L
.33181 .42027 L
.3333 .41799 L
.33485 .41544 L
.33813 .41152 L
.33884 .41061 L
.34283 .40578 L
.34296 .4054 L
.34628 .40095 L
.3478 .39917 L
.34924 .39612 L
.35263 .39292 L
.35396 .39128 L
.35746 .38689 L
.35788 .38645 L
.36185 .38162 L
.36229 .38128 L
.36534 .37679 L
.36712 .37591 L
.37123 .37196 L
F
0 .96 1 r
.38645 .37548 m
.38825 .37679 L
.38754 .38162 L
.38645 .38302 L
.38474 .38645 L
.38181 .39128 L
.38162 .39199 L
.37895 .39612 L
.37679 .3992 L
.37657 .40095 L
.3723 .40578 L
.37196 .40631 L
.36856 .41061 L
.36712 .41348 L
.36567 .41544 L
.36229 .41967 L
.36185 .42027 L
.35775 .42511 L
.35746 .42636 L
.3547 .42994 L
.35263 .43312 L
.3518 .43477 L
.3478 .43952 L
.34757 .4396 L
.34369 .44443 L
.34296 .44585 L
.34061 .44927 L
.33813 .45248 L
.33802 .4541 L
.3333 .45882 L
.33312 .45893 L
.32946 .46376 L
.32847 .46516 L
.32647 .46859 L
.32364 .47172 L
.32217 .47342 L
.31881 .47808 L
.31857 .47826 L
.31507 .48309 L
.31397 .48435 L
.31235 .48792 L
.30914 .49083 L
.3075 .49275 L
.30431 .49718 L
.30386 .49758 L
.30039 .50242 L
.29948 .50327 L
.29629 .50725 L
.29465 .50953 L
.29243 .51208 L
.28981 .51569 L
.28852 .51691 L
.28498 .52158 L
.28446 .52174 L
.28015 .52644 L
.28001 .52658 L
.27532 .53059 L
.27256 .52658 L
.27472 .52174 L
.27532 .52045 L
.27654 .51691 L
.28009 .51208 L
.28015 .51198 L
.28396 .50725 L
.28498 .50417 L
.28651 .50242 L
.28974 .49758 L
.28981 .49749 L
.29306 .49275 L
.29465 .49061 L
.29712 .48792 L
.29948 .48384 L
.30008 .48309 L
.30361 .47826 L
.30431 .47745 L
.30838 .47342 L
.30914 .47082 L
.31101 .46859 L
.31397 .46426 L
.31423 .46376 L
.31794 .45893 L
.31881 .45796 L
.32224 .4541 L
.32364 .45141 L
.32517 .44927 L
.32847 .44489 L
.32848 .44443 L
.33243 .4396 L
.3333 .43868 L
.33637 .43477 L
.33813 .43217 L
.3394 .42994 L
.34296 .42568 L
.34341 .42511 L
.34748 .42027 L
.3478 .41957 L
.35073 .41544 L
.35263 .41316 L
.35358 .41061 L
.35746 .40678 L
.35826 .40578 L
.36207 .40095 L
.36229 .40073 L
.3656 .39612 L
.36712 .39476 L
.36993 .39128 L
.37196 .38886 L
.37412 .38645 L
.37679 .38329 L
.37865 .38162 L
.38162 .37799 L
.38427 .37679 L
F
1 .96 0 r
.27532 .45995 m
.27899 .46376 L
.27532 .46685 L
.27365 .46376 L
F
1 .98 0 r
.27532 .58516 m
.2781 .58939 L
.27532 .5898 L
.275 .58939 L
F
1 .96 0 r
.39128 .38742 m
.39528 .39128 L
.39366 .39612 L
.39128 .39924 L
.39032 .40095 L
.38684 .40578 L
.38645 .40744 L
.38404 .41061 L
.38162 .41418 L
.3813 .41544 L
.37738 .42027 L
.37679 .42114 L
.37344 .42511 L
.37196 .42813 L
.37054 .42994 L
.36712 .43469 L
.36682 .43477 L
.36248 .4396 L
.36229 .44098 L
.35954 .44443 L
.35746 .44768 L
.35656 .44927 L
.35263 .45402 L
.35249 .4541 L
.34849 .45893 L
.3478 .46042 L
.34542 .46376 L
.34296 .46702 L
.34265 .46859 L
.33813 .47335 L
.33803 .47342 L
.33429 .47826 L
.3333 .47972 L
.33126 .48309 L
.32847 .48627 L
.32708 .48792 L
.32364 .49262 L
.32349 .49275 L
.31994 .49758 L
.31881 .49892 L
.31711 .50242 L
.31397 .5054 L
.31243 .50725 L
.30914 .51174 L
.3088 .51208 L
.30533 .51691 L
.30431 .51788 L
.30126 .52174 L
.29948 .52417 L
.29743 .52658 L
.29465 .53034 L
.29357 .53141 L
.28981 .53614 L
.28959 .53624 L
.28526 .54107 L
.28498 .54141 L
.28021 .5459 L
.28015 .54597 L
.27532 .54674 L
.27525 .5459 L
.27532 .54541 L
.27657 .54107 L
.27898 .53624 L
.28015 .53394 L
.28092 .53141 L
.28453 .52658 L
.28498 .52584 L
.28845 .52174 L
.28981 .51825 L
.29106 .51691 L
.29437 .51208 L
.29465 .51173 L
.29775 .50725 L
.29948 .50488 L
.30175 .50242 L
.30431 .49819 L
.30478 .49758 L
.30836 .49275 L
.30914 .49181 L
.31299 .48792 L
.31397 .4852 L
.31571 .48309 L
.31881 .47867 L
.31899 .47826 L
.32272 .47342 L
.32364 .47236 L
.32692 .46859 L
.32847 .46581 L
.32989 .46376 L
.3333 .45931 L
.33361 .45893 L
.33811 .4541 L
.33813 .45307 L
.34106 .44927 L
.34296 .44655 L
.34408 .44443 L
.3478 .44006 L
.34817 .4396 L
.35217 .43477 L
.35263 .43391 L
.35537 .42994 L
.35746 .42746 L
.35814 .42511 L
.36229 .42104 L
.36291 .42027 L
.36669 .41544 L
.36712 .41499 L
.37002 .41061 L
.37196 .40882 L
.37436 .40578 L
.37679 .40273 L
.37834 .40095 L
.38162 .39692 L
.38248 .39612 L
.38645 .39149 L
.387 .39128 L
F
1 .98 0 r
.41544 .39714 m
.41847 .40095 L
.41555 .40578 L
.41544 .40763 L
.4145 .41061 L
.41134 .41544 L
.41061 .41682 L
.40727 .42027 L
.40578 .42404 L
.40508 .42511 L
.40176 .42994 L
.40095 .4311 L
.39705 .43477 L
.39612 .43804 L
.39452 .4396 L
.39128 .4444 L
.39122 .44443 L
.38768 .44927 L
.38645 .4509 L
.38332 .4541 L
.38162 .45755 L
.38042 .45893 L
.37684 .46376 L
.37679 .46382 L
.37328 .46859 L
.37196 .47031 L
.36926 .47342 L
.36712 .47689 L
.36621 .47826 L
.36238 .48309 L
.36229 .48319 L
.35803 .48792 L
.35746 .48963 L
.3551 .49275 L
.35263 .49618 L
.35208 .49758 L
.34789 .50242 L
.3478 .50252 L
.34395 .50725 L
.34296 .50892 L
.34091 .51208 L
.33813 .51546 L
.33698 .51691 L
.33338 .52174 L
.3333 .52182 L
.32971 .52658 L
.32847 .52816 L
.32676 .53141 L
.32364 .53469 L
.32242 .53624 L
.31882 .54107 L
.31881 .54109 L
.31535 .5459 L
.31397 .54732 L
.3127 .55073 L
.30914 .55381 L
.30775 .55557 L
.30431 .56017 L
.30411 .5604 L
.3007 .56523 L
.29948 .5662 L
.29647 .57006 L
.29465 .5724 L
.29255 .57489 L
.28981 .57836 L
.28849 .57973 L
.28498 .58389 L
.28406 .58456 L
.28015 .58819 L
.27549 .58456 L
.27689 .57973 L
.28012 .57489 L
.28015 .57483 L
.28394 .57006 L
.28498 .56624 L
.28635 .56523 L
.2895 .5604 L
.28981 .55995 L
.29283 .55557 L
.29465 .55294 L
.29694 .55073 L
.29948 .54624 L
.29991 .5459 L
.30341 .54107 L
.30431 .53991 L
.30837 .53624 L
.30914 .53326 L
.31088 .53141 L
.31397 .5268 L
.31415 .52658 L
.31777 .52174 L
.31881 .52045 L
.32219 .51691 L
.32364 .51388 L
.32507 .51208 L
.32847 .50745 L
.32851 .50725 L
.33224 .50242 L
.3333 .50112 L
.33625 .49758 L
.33813 .49457 L
.33928 .49275 L
.34296 .48812 L
.34315 .48792 L
.34742 .48309 L
.3478 .48183 L
.35043 .47826 L
.35263 .47529 L
.35339 .47342 L
.35746 .46882 L
.35766 .46859 L
.36154 .46376 L
.36229 .46258 L
.36465 .45893 L
.36712 .45604 L
.3686 .4541 L
.37196 .44956 L
.37221 .44927 L
.37586 .44443 L
.37679 .4434 L
.37888 .4396 L
.38162 .4369 L
.38324 .43477 L
.38645 .43046 L
.38689 .42994 L
.39045 .42511 L
.39128 .42442 L
.39323 .42027 L
.39612 .41815 L
.39828 .41544 L
.40095 .41202 L
.40222 .41061 L
.40578 .40628 L
.40635 .40578 L
.41061 .40126 L
.41098 .40095 L
F
1 .96 0 r
.3478 .36271 m
.35105 .36712 L
.34881 .37196 L
.3478 .37293 L
.34533 .37679 L
.34296 .38043 L
.34215 .38162 L
.33903 .38645 L
.33813 .38788 L
.33699 .39128 L
.3333 .39428 L
.33195 .39612 L
.32851 .40095 L
.32847 .40101 L
.32543 .40578 L
.32364 .40799 L
.32131 .41061 L
.31881 .41406 L
.31773 .41544 L
.31421 .42027 L
.31397 .42057 L
.31135 .42511 L
.30914 .42726 L
.30675 .42994 L
.30431 .43412 L
.30307 .43477 L
.29948 .43953 L
.29942 .4396 L
.29556 .44443 L
.29465 .44589 L
.29164 .44927 L
.28981 .45242 L
.28766 .4541 L
.28498 .4574 L
.28353 .45893 L
.28015 .4627 L
.2758 .45893 L
.27736 .4541 L
.28015 .45119 L
.28128 .44927 L
.28466 .44443 L
.28498 .44344 L
.28756 .4396 L
.28981 .43595 L
.29087 .43477 L
.29427 .42994 L
.29465 .42946 L
.29809 .42511 L
.29948 .42263 L
.30096 .42027 L
.30431 .41596 L
.30477 .41544 L
.30888 .41061 L
.30914 .40964 L
.31207 .40578 L
.31397 .40313 L
.31487 .40095 L
.31881 .39671 L
.31933 .39612 L
.32325 .39128 L
.32364 .39065 L
.32665 .38645 L
.32847 .38448 L
.33076 .38162 L
.3333 .37838 L
.33477 .37679 L
.33813 .37242 L
.33891 .37196 L
.34296 .36744 L
.34329 .36712 L
F
1 .94 0 r
.36712 .37839 m
.37106 .38162 L
.3687 .38645 L
.36712 .38915 L
.36584 .39128 L
.36276 .39612 L
.36229 .39714 L
.36009 .40095 L
.35746 .40395 L
.35619 .40578 L
.35271 .41061 L
.35263 .41088 L
.3494 .41544 L
.3478 .41796 L
.3468 .42027 L
.34296 .42493 L
.34225 .42511 L
.33861 .42994 L
.33813 .43078 L
.33547 .43477 L
.3333 .43753 L
.33147 .4396 L
.32847 .44414 L
.32788 .44443 L
.32431 .44927 L
.32364 .45017 L
.32135 .4541 L
.31881 .45676 L
.31691 .45893 L
.31397 .46327 L
.31327 .46376 L
.30973 .46859 L
.30914 .46923 L
.307 .47342 L
.30431 .47563 L
.30201 .47826 L
.29948 .48202 L
.29821 .48309 L
.29465 .48762 L
.29438 .48792 L
.29031 .49275 L
.28981 .49344 L
.28593 .49758 L
.28498 .49898 L
.28088 .50242 L
.28015 .50371 L
.27683 .50242 L
.27825 .49758 L
.28015 .4938 L
.28068 .49275 L
.28346 .48792 L
.28498 .48431 L
.28535 .48309 L
.28956 .47826 L
.28981 .47788 L
.29335 .47342 L
.29465 .4706 L
.2961 .46859 L
.29948 .46385 L
.29961 .46376 L
.30409 .45893 L
.30431 .45724 L
.30687 .4541 L
.30914 .45052 L
.30984 .44927 L
.31368 .44443 L
.31397 .44412 L
.31793 .4396 L
.31881 .43763 L
.32089 .43477 L
.32364 .43108 L
.32385 .42994 L
.32816 .42511 L
.32847 .42481 L
.33211 .42027 L
.3333 .41848 L
.33519 .41544 L
.33813 .41207 L
.33929 .41061 L
.34296 .40586 L
.34304 .40578 L
.34684 .40095 L
.3478 .3999 L
.34992 .39612 L
.35263 .39388 L
.35486 .39128 L
.35746 .38805 L
.3591 .38645 L
.36229 .38231 L
.36371 .38162 L
F
0 .94 1 r
.37679 .38555 m
.38162 .38278 L
.38244 .38645 L
.38162 .3886 L
.38039 .39128 L
.37789 .39612 L
.37679 .39771 L
.37626 .40095 L
.37196 .4053 L
.37164 .40578 L
.36815 .41061 L
.36712 .41279 L
.36533 .41544 L
.36229 .41918 L
.36151 .42027 L
.35765 .42511 L
.35746 .42596 L
.35448 .42994 L
.35263 .43283 L
.35166 .43477 L
.3478 .43943 L
.34736 .4396 L
.34357 .44443 L
.34296 .4456 L
.34045 .44927 L
.33813 .45227 L
.33797 .4541 L
.3333 .45871 L
.33295 .45893 L
.32931 .46376 L
.32847 .46494 L
.3263 .46859 L
.32364 .4715 L
.32199 .47342 L
.31881 .47791 L
.31837 .47826 L
.31484 .48309 L
.31397 .48406 L
.31207 .48792 L
.30914 .49049 L
.3072 .49275 L
.30431 .49684 L
.30348 .49758 L
.29983 .50242 L
.29948 .50273 L
.29575 .50725 L
.29465 .50877 L
.29167 .51208 L
.28981 .51468 L
.28736 .51691 L
.28498 .52063 L
.28238 .52174 L
.28015 .52354 L
.2775 .52174 L
.27838 .51691 L
.28015 .51475 L
.28147 .51208 L
.28463 .50725 L
.28498 .5058 L
.28732 .50242 L
.28981 .49772 L
.29042 .49758 L
.29367 .49275 L
.29465 .49137 L
.29759 .48792 L
.29948 .48436 L
.30043 .48309 L
.30399 .47826 L
.30431 .47788 L
.30858 .47342 L
.30914 .47121 L
.31128 .46859 L
.31397 .46457 L
.31439 .46376 L
.31818 .45893 L
.31881 .45824 L
.32242 .4541 L
.32364 .4517 L
.32537 .44927 L
.32847 .44517 L
.32849 .44443 L
.33266 .4396 L
.3333 .43894 L
.33658 .43477 L
.33813 .43249 L
.3396 .42994 L
.34296 .42603 L
.3437 .42511 L
.34761 .42027 L
.3478 .41989 L
.35106 .41544 L
.35263 .41365 L
.35391 .41061 L
.35746 .4074 L
.3588 .40578 L
.36229 .40136 L
.36271 .40095 L
.36663 .39612 L
.36712 .39573 L
.37111 .39128 L
.37196 .39033 L
.37597 .38645 L
F
.28015 .4735 m
.28417 .47826 L
.28015 .48193 L
.2779 .47826 L
F
0 .96 1 r
.39612 .4002 m
.40095 .39634 L
.40348 .40095 L
.40124 .40578 L
.40095 .40648 L
.39903 .41061 L
.39612 .41478 L
.39572 .41544 L
.39173 .42027 L
.39128 .42254 L
.38908 .42511 L
.38645 .42906 L
.38614 .42994 L
.38242 .43477 L
.38162 .4359 L
.37831 .4396 L
.37679 .44275 L
.37541 .44443 L
.37196 .44918 L
.37177 .44927 L
.36823 .4541 L
.36712 .45559 L
.36436 .45893 L
.36229 .46223 L
.36135 .46376 L
.35746 .46855 L
.3574 .46859 L
.35325 .47342 L
.35263 .47499 L
.35023 .47826 L
.3478 .48156 L
.34733 .48309 L
.34296 .48789 L
.34293 .48792 L
.3391 .49275 L
.33813 .49428 L
.33605 .49758 L
.3333 .50081 L
.33199 .50242 L
.32847 .50717 L
.32839 .50725 L
.32479 .51208 L
.32364 .51348 L
.32188 .51691 L
.31881 .51997 L
.31736 .52174 L
.31397 .52632 L
.31373 .52658 L
.31024 .53141 L
.30914 .53248 L
.30765 .53624 L
.30431 .53881 L
.30242 .54107 L
.29948 .545 L
.29861 .5459 L
.29474 .55073 L
.29465 .5508 L
.29046 .55557 L
.28981 .55634 L
.28575 .5604 L
.28498 .56129 L
.28015 .56433 L
.27875 .5604 L
.28015 .55672 L
.28063 .55557 L
.28324 .55073 L
.28498 .54758 L
.28538 .5459 L
.289 .54107 L
.28981 .53978 L
.29294 .53624 L
.29465 .53239 L
.29564 .53141 L
.29903 .52658 L
.29948 .526 L
.30246 .52174 L
.30431 .51919 L
.3064 .51691 L
.30914 .51255 L
.30951 .51208 L
.31312 .50725 L
.31397 .5062 L
.31763 .50242 L
.31881 .49959 L
.32043 .49758 L
.32364 .4931 L
.32375 .49275 L
.32751 .48792 L
.32847 .48678 L
.33161 .48309 L
.3333 .48023 L
.33461 .47826 L
.33813 .47375 L
.33841 .47342 L
.34277 .46859 L
.34296 .46748 L
.34577 .46376 L
.3478 .46096 L
.34876 .45893 L
.35263 .45448 L
.35295 .4541 L
.35688 .44927 L
.35746 .44829 L
.36005 .44443 L
.36229 .44181 L
.36271 .4396 L
.36712 .43536 L
.36762 .43477 L
.37134 .42994 L
.37196 .42928 L
.37453 .42511 L
.37679 .42298 L
.37889 .42027 L
.38162 .41674 L
.38274 .41544 L
.38645 .4108 L
.38665 .41061 L
.39046 .40578 L
.39128 .40529 L
.39543 .40095 L
F
0 .98 1 r
.41544 .41527 m
.42027 .41386 L
.42058 .41544 L
.4203 .42027 L
.42027 .42043 L
.4186 .42511 L
.41666 .42994 L
.41544 .43247 L
.41305 .43477 L
.41061 .43899 L
.41022 .4396 L
.4068 .44443 L
.40578 .44584 L
.40215 .44927 L
.40095 .45261 L
.39943 .4541 L
.39612 .45892 L
.3961 .45893 L
.39259 .46376 L
.39128 .46545 L
.38805 .46859 L
.38645 .47206 L
.38524 .47342 L
.38172 .47826 L
.38162 .47837 L
.37816 .48309 L
.37679 .48484 L
.37403 .48792 L
.37196 .4914 L
.371 .49275 L
.36726 .49758 L
.36712 .49772 L
.36271 .50242 L
.36229 .50415 L
.35988 .50725 L
.35746 .5107 L
.35682 .51208 L
.35276 .51691 L
.35263 .51704 L
.34871 .52174 L
.3478 .52343 L
.34568 .52658 L
.34296 .52997 L
.34284 .53141 L
.33825 .53624 L
.33813 .53634 L
.33451 .54107 L
.3333 .54267 L
.33151 .5459 L
.32847 .54922 L
.3273 .55073 L
.32367 .55557 L
.32364 .55561 L
.32017 .5604 L
.31881 .56183 L
.3174 .56523 L
.31397 .56834 L
.31264 .57006 L
.30914 .57473 L
.309 .57489 L
.30555 .57973 L
.30431 .58072 L
.30138 .58456 L
.29948 .58695 L
.29747 .58939 L
.29465 .59295 L
.29345 .59422 L
.28981 .59849 L
.28911 .59905 L
.28498 .60302 L
.28371 .60388 L
.28015 .60549 L
.27883 .60388 L
.27989 .59905 L
.28015 .59837 L
.28132 .59422 L
.28471 .58939 L
.28498 .58886 L
.28853 .58456 L
.28981 .58041 L
.29102 .57973 L
.29425 .57489 L
.29465 .57433 L
.29761 .57006 L
.29948 .56732 L
.30165 .56523 L
.30431 .56066 L
.3047 .5604 L
.30824 .55557 L
.30914 .55438 L
.31302 .55073 L
.31397 .54771 L
.31565 .5459 L
.31881 .54128 L
.31896 .54107 L
.32262 .53624 L
.32364 .53494 L
.32691 .53141 L
.32847 .52835 L
.32985 .52658 L
.3333 .52194 L
.33351 .52174 L
.3371 .51691 L
.33813 .51561 L
.34101 .51208 L
.34296 .50905 L
.34403 .50725 L
.3478 .50263 L
.348 .50242 L
.35213 .49758 L
.35263 .49631 L
.35519 .49275 L
.35746 .48977 L
.35808 .48792 L
.36229 .48333 L
.36251 .48309 L
.36631 .47826 L
.36712 .47705 L
.3694 .47342 L
.37196 .47052 L
.37345 .46859 L
.37679 .46405 L
.37704 .46376 L
.38064 .45893 L
.38162 .45784 L
.38359 .4541 L
.38645 .45134 L
.38806 .44927 L
.39128 .44489 L
.39168 .44443 L
.39518 .4396 L
.39612 .4388 L
.39788 .43477 L
.40095 .43246 L
.40295 .42994 L
.40578 .42623 L
.40677 .42511 L
.41061 .42037 L
.41072 .42027 L
.41528 .41544 L
F
.28015 .39343 m
.2808 .39612 L
.28015 .39678 L
.27903 .39612 L
F
0 .96 1 r
.32847 .36722 m
.3322 .37196 L
.32915 .37679 L
.32847 .37783 L
.32583 .38162 L
.32364 .38488 L
.32248 .38645 L
.31929 .39128 L
.31881 .39187 L
.31552 .39612 L
.31397 .39829 L
.31192 .40095 L
.30914 .4048 L
.30837 .40578 L
.30514 .41061 L
.30431 .41138 L
.30093 .41544 L
.29948 .4186 L
.29711 .42027 L
.29465 .42351 L
.29327 .42511 L
.28981 .42941 L
.28933 .42994 L
.28509 .43477 L
.28498 .43498 L
.28015 .43945 L
.27941 .43477 L
.28015 .43337 L
.28197 .42994 L
.28485 .42511 L
.28498 .42486 L
.28596 .42027 L
.28981 .41746 L
.29115 .41544 L
.29454 .41061 L
.29465 .4104 L
.2976 .40578 L
.29948 .40336 L
.30141 .40095 L
.30431 .39631 L
.30502 .39612 L
.30867 .39128 L
.30914 .39065 L
.31159 .38645 L
.31397 .38424 L
.31621 .38162 L
.31881 .37765 L
.32017 .37679 L
.32364 .37262 L
.32425 .37196 L
F
0 .94 1 r
.35746 .37165 m
.36058 .37196 L
.35915 .37679 L
.35746 .38013 L
.3566 .38162 L
.35424 .38645 L
.35263 .3881 L
.35053 .39128 L
.3478 .39537 L
.34728 .39612 L
.34407 .40095 L
.34296 .4027 L
.34178 .40578 L
.33813 .40902 L
.33696 .41061 L
.33347 .41544 L
.3333 .41572 L
.33034 .42027 L
.32847 .42261 L
.32628 .42511 L
.32364 .42956 L
.32269 .42994 L
.31915 .43477 L
.31881 .43522 L
.31622 .4396 L
.31397 .44185 L
.3117 .44443 L
.30914 .44856 L
.30803 .44927 L
.30439 .4541 L
.30431 .45418 L
.30157 .45893 L
.29948 .46052 L
.29661 .46376 L
.29465 .46696 L
.29266 .46859 L
.28981 .47211 L
.28858 .47342 L
.28498 .47749 L
.28019 .47342 L
.28155 .46859 L
.28498 .46512 L
.28579 .46376 L
.28926 .45893 L
.28981 .45744 L
.29206 .4541 L
.29465 .45006 L
.29546 .44927 L
.29885 .44443 L
.29948 .44362 L
.30265 .4396 L
.30431 .4368 L
.30551 .43477 L
.30914 .43019 L
.30939 .42994 L
.31351 .42511 L
.31397 .42383 L
.31662 .42027 L
.31881 .41729 L
.31939 .41544 L
.32364 .4109 L
.32391 .41061 L
.32782 .40578 L
.32847 .40477 L
.33107 .40095 L
.3333 .39851 L
.33521 .39612 L
.33813 .39234 L
.33913 .39128 L
.34296 .38652 L
.34311 .38645 L
.34699 .38162 L
.3478 .38106 L
.35183 .37679 L
.35263 .37585 L
.35722 .37196 L
F
1 .94 0 r
.38645 .39319 m
.39081 .39612 L
.38886 .40095 L
.38645 .4054 L
.38624 .40578 L
.38333 .41061 L
.38162 .41319 L
.38107 .41544 L
.37689 .42027 L
.37679 .42043 L
.37315 .42511 L
.37196 .42766 L
.37028 .42994 L
.36712 .43459 L
.36657 .43477 L
.36243 .4396 L
.36229 .44069 L
.35937 .44443 L
.35746 .44746 L
.35645 .44927 L
.35263 .45393 L
.35233 .4541 L
.3484 .45893 L
.3478 .46024 L
.3453 .46376 L
.34296 .46686 L
.3426 .46859 L
.33813 .47325 L
.33789 .47342 L
.33418 .47826 L
.3333 .47956 L
.33113 .48309 L
.32847 .48609 L
.32694 .48792 L
.32364 .49247 L
.32332 .49275 L
.31976 .49758 L
.31881 .49869 L
.31691 .50242 L
.31397 .50513 L
.31219 .50725 L
.30914 .51146 L
.3085 .51208 L
.3049 .51691 L
.30431 .51745 L
.30083 .52174 L
.29948 .52356 L
.29683 .52658 L
.29465 .52954 L
.29268 .53141 L
.28981 .53542 L
.28816 .53624 L
.28498 .53924 L
.28099 .53624 L
.28196 .53141 L
.28498 .52785 L
.28566 .52658 L
.28909 .52174 L
.28981 .51936 L
.29169 .51691 L
.29465 .51251 L
.29492 .51208 L
.29821 .50725 L
.29948 .50545 L
.30211 .50242 L
.30431 .49855 L
.30503 .49758 L
.30864 .49275 L
.30914 .49214 L
.31315 .48792 L
.31397 .48548 L
.31591 .48309 L
.31881 .47888 L
.31908 .47826 L
.3229 .47342 L
.32364 .47257 L
.32705 .46859 L
.32847 .46602 L
.33003 .46376 L
.3333 .4595 L
.33377 .45893 L
.33812 .4541 L
.33813 .45326 L
.34121 .44927 L
.34296 .44678 L
.34421 .44443 L
.3478 .44031 L
.34837 .4396 L
.35229 .43477 L
.35263 .43415 L
.35561 .42994 L
.35746 .42781 L
.35833 .42511 L
.36229 .42147 L
.36328 .42027 L
.36707 .41544 L
.36712 .41539 L
.37066 .41061 L
.37196 .40953 L
.3751 .40578 L
.37679 .40374 L
.37943 .40095 L
.38162 .39831 L
.38428 .39612 L
F
0 .98 1 r
.28498 .38515 m
.28975 .38645 L
.28557 .39128 L
.28498 .39205 L
.28132 .39128 L
.28412 .38645 L
F
0 .92 1 r
.37196 .39187 m
.3766 .39612 L
.37557 .40095 L
.37196 .40421 L
.37098 .40578 L
.36774 .41061 L
.36712 .41198 L
.36497 .41544 L
.36229 .41866 L
.36117 .42027 L
.35756 .42511 L
.35746 .42554 L
.35425 .42994 L
.35263 .43252 L
.35151 .43477 L
.3478 .43933 L
.34716 .4396 L
.34344 .44443 L
.34296 .44536 L
.34028 .44927 L
.33813 .45205 L
.3379 .4541 L
.3333 .45859 L
.33278 .45893 L
.32916 .46376 L
.32847 .46472 L
.32612 .46859 L
.32364 .47128 L
.3218 .47342 L
.31881 .47774 L
.31816 .47826 L
.31459 .48309 L
.31397 .48377 L
.31175 .48792 L
.30914 .49014 L
.3069 .49275 L
.30431 .49648 L
.30309 .49758 L
.29948 .50216 L
.29925 .50242 L
.29517 .50725 L
.29465 .50796 L
.2908 .51208 L
.28981 .51347 L
.28576 .51691 L
.28498 .51817 L
.28143 .51691 L
.28289 .51208 L
.28498 .50795 L
.28534 .50725 L
.28808 .50242 L
.28981 .49832 L
.29108 .49758 L
.29425 .49275 L
.29465 .49217 L
.298 .48792 L
.29948 .4849 L
.30076 .48309 L
.30431 .47828 L
.30435 .47826 L
.30874 .47342 L
.30914 .4716 L
.31154 .46859 L
.31397 .46488 L
.31453 .46376 L
.31843 .45893 L
.31881 .45851 L
.32259 .4541 L
.32364 .45199 L
.32557 .44927 L
.32847 .44544 L
.32849 .44443 L
.3329 .4396 L
.3333 .43919 L
.33678 .43477 L
.33813 .4328 L
.33981 .42994 L
.34296 .42638 L
.34399 .42511 L
.34776 .42027 L
.3478 .42019 L
.35142 .41544 L
.35263 .41412 L
.35432 .41061 L
.35746 .408 L
.35936 .40578 L
.36229 .40206 L
.36345 .40095 L
.36712 .39633 L
.36777 .39612 L
F
1 .94 0 r
.34296 .37123 m
.34508 .37196 L
.34341 .37679 L
.34296 .37762 L
.34059 .38162 L
.33813 .38569 L
.33762 .38645 L
.33556 .39128 L
.3333 .39291 L
.33102 .39612 L
.32847 .39982 L
.32764 .40095 L
.32446 .40578 L
.32364 .4068 L
.32059 .41061 L
.31881 .4131 L
.31699 .41544 L
.31397 .41959 L
.31343 .42027 L
.31027 .42511 L
.30914 .42618 L
.30598 .42994 L
.30431 .43322 L
.30218 .43477 L
.29948 .43831 L
.29837 .4396 L
.29465 .44425 L
.29448 .44443 L
.29026 .44927 L
.28981 .45011 L
.28554 .4541 L
.28498 .4547 L
.28157 .4541 L
.28354 .44927 L
.28498 .44669 L
.28624 .44443 L
.28909 .4396 L
.28981 .43829 L
.29226 .43477 L
.29465 .43129 L
.29555 .42994 L
.29902 .42511 L
.29948 .42425 L
.3019 .42027 L
.30431 .41722 L
.30583 .41544 L
.30914 .41097 L
.30941 .41061 L
.31303 .40578 L
.31397 .40452 L
.31571 .40095 L
.31881 .39803 L
.3205 .39612 L
.32364 .39156 L
.32436 .39128 L
.32824 .38645 L
.32847 .38623 L
.33243 .38162 L
.3333 .38049 L
.33688 .37679 L
.33813 .37479 L
.34211 .37196 L
F
1 .92 0 r
.36229 .38391 m
.36712 .38173 L
.36716 .38645 L
.36712 .38654 L
.36475 .39128 L
.36229 .3956 L
.36197 .39612 L
.35943 .40095 L
.35746 .40311 L
.35566 .40578 L
.35263 .41022 L
.35236 .41061 L
.34905 .41544 L
.3478 .41743 L
.34654 .42027 L
.34296 .42475 L
.34195 .42511 L
.33839 .42994 L
.33813 .4304 L
.33522 .43477 L
.3333 .43721 L
.33123 .4396 L
.32847 .44398 L
.32763 .44443 L
.32407 .44927 L
.32364 .44984 L
.32106 .4541 L
.31881 .45643 L
.31664 .45893 L
.31397 .46303 L
.31297 .46376 L
.30935 .46859 L
.30914 .46881 L
.30646 .47342 L
.30431 .47512 L
.30157 .47826 L
.29948 .48149 L
.29764 .48309 L
.29465 .48679 L
.29359 .48792 L
.28981 .49222 L
.28927 .49275 L
.28498 .49685 L
.28226 .49275 L
.2846 .48792 L
.28498 .4868 L
.28579 .48309 L
.28981 .47913 L
.29034 .47826 L
.29384 .47342 L
.29465 .4715 L
.29659 .46859 L
.29948 .46424 L
.30009 .46376 L
.30421 .45893 L
.30431 .45782 L
.30723 .4541 L
.30914 .45101 L
.31009 .44927 L
.31397 .4445 L
.31405 .44443 L
.31814 .4396 L
.31881 .43807 L
.3212 .43477 L
.32364 .43151 L
.32394 .42994 L
.32847 .42516 L
.32852 .42511 L
.33241 .42027 L
.3333 .41895 L
.33555 .41544 L
.33813 .41261 L
.33975 .41061 L
.34296 .40641 L
.34358 .40578 L
.34745 .40095 L
.3478 .4006 L
.35087 .39612 L
.35263 .39483 L
.35584 .39128 L
.35746 .38928 L
.36055 .38645 L
F
0 .92 1 r
.3478 .38279 m
.3525 .38645 L
.34959 .39128 L
.3478 .39415 L
.34649 .39612 L
.34337 .40095 L
.34296 .4016 L
.34119 .40578 L
.33813 .40831 L
.33646 .41061 L
.3333 .41508 L
.33303 .41544 L
.32986 .42027 L
.32847 .42201 L
.32588 .42511 L
.32364 .42924 L
.32228 .42994 L
.31881 .43467 L
.31873 .43477 L
.31568 .4396 L
.31397 .44128 L
.31127 .44443 L
.30914 .44811 L
.30753 .44927 L
.30431 .45349 L
.3038 .4541 L
.30045 .45893 L
.29948 .45963 L
.29586 .46376 L
.29465 .46587 L
.29161 .46859 L
.28981 .47069 L
.28686 .47342 L
.28498 .47519 L
.28242 .47342 L
.28379 .46859 L
.28498 .46755 L
.28702 .46376 L
.28981 .45917 L
.28996 .45893 L
.29287 .4541 L
.29465 .45107 L
.29624 .44927 L
.29948 .4446 L
.29959 .44443 L
.30319 .4396 L
.30431 .43765 L
.30598 .43477 L
.30914 .4308 L
.30997 .42994 L
.31378 .42511 L
.31397 .42455 L
.31713 .42027 L
.31881 .41803 L
.3197 .41544 L
.32364 .41156 L
.32452 .41061 L
.32831 .40578 L
.32847 .40554 L
.33181 .40095 L
.3333 .39943 L
.33604 .39612 L
.33813 .39336 L
.34012 .39128 L
.34296 .38716 L
.34441 .38645 L
F
0 .94 1 r
.39612 .40313 m
.39887 .40578 L
.39747 .41061 L
.39612 .41255 L
.39461 .41544 L
.39142 .42027 L
.39128 .42116 L
.38851 .42511 L
.38645 .4283 L
.3859 .42994 L
.38202 .43477 L
.38162 .43536 L
.37806 .4396 L
.37679 .44239 L
.37519 .44443 L
.37196 .44907 L
.37156 .44927 L
.36805 .4541 L
.36712 .45535 L
.36422 .45893 L
.36229 .46205 L
.36125 .46376 L
.35746 .46846 L
.35727 .46859 L
.35319 .47342 L
.35263 .47483 L
.35013 .47826 L
.3478 .48142 L
.34728 .48309 L
.34296 .48779 L
.34281 .48792 L
.33902 .49275 L
.33813 .49414 L
.33594 .49758 L
.3333 .50066 L
.33186 .50242 L
.32847 .50704 L
.32825 .50725 L
.32464 .51208 L
.32364 .51329 L
.32171 .51691 L
.31881 .51972 L
.31715 .52174 L
.31397 .52606 L
.31347 .52658 L
.30989 .53141 L
.30914 .53211 L
.30714 .53624 L
.30431 .53826 L
.30189 .54107 L
.29948 .54428 L
.29784 .5459 L
.29465 .55008 L
.29353 .55073 L
.28981 .55449 L
.28839 .55557 L
.28498 .55758 L
.28349 .55557 L
.28494 .55073 L
.28498 .55065 L
.28599 .5459 L
.28981 .54145 L
.29003 .54107 L
.29356 .53624 L
.29465 .53322 L
.29617 .53141 L
.29948 .52664 L
.29952 .52658 L
.30284 .52174 L
.30431 .51965 L
.3067 .51691 L
.30914 .51283 L
.3097 .51208 L
.31335 .50725 L
.31397 .50647 L
.31777 .50242 L
.31881 .49982 L
.32058 .49758 L
.32364 .49326 L
.3238 .49275 L
.32766 .48792 L
.32847 .48695 L
.33172 .48309 L
.3333 .48039 L
.33471 .47826 L
.33813 .47389 L
.33854 .47342 L
.3428 .46859 L
.34296 .46764 L
.34589 .46376 L
.3478 .46113 L
.34885 .45893 L
.35263 .45466 L
.3531 .4541 L
.35699 .44927 L
.35746 .44848 L
.36023 .44443 L
.36229 .44207 L
.36283 .4396 L
.36712 .43568 L
.36789 .43477 L
.37163 .42994 L
.37196 .42961 L
.37498 .42511 L
.37679 .42352 L
.37943 .42027 L
.38162 .41751 L
.3835 .41544 L
.38645 .41178 L
.3878 .41061 L
.39128 .40612 L
.39271 .40578 L
F
1 .96 0 r
.40578 .41002 m
.4094 .41061 L
.40852 .41544 L
.40604 .42027 L
.40578 .42134 L
.40387 .42511 L
.40095 .42953 L
.4007 .42994 L
.39656 .43477 L
.39612 .43714 L
.39395 .4396 L
.39128 .44421 L
.39094 .44443 L
.38732 .44927 L
.38645 .45045 L
.38307 .4541 L
.38162 .45724 L
.38021 .45893 L
.37679 .46367 L
.37678 .46376 L
.37311 .46859 L
.37196 .4701 L
.36913 .47342 L
.36712 .47672 L
.36611 .47826 L
.36229 .48306 L
.36226 .48309 L
.35797 .48792 L
.35746 .48949 L
.355 .49275 L
.35263 .49605 L
.35203 .49758 L
.3478 .50241 L
.34779 .50242 L
.34388 .50725 L
.34296 .50878 L
.34081 .51208 L
.33813 .51531 L
.33685 .51691 L
.3333 .52169 L
.33325 .52174 L
.32958 .52658 L
.32847 .52797 L
.32661 .53141 L
.32364 .53445 L
.32221 .53624 L
.31881 .54082 L
.31858 .54107 L
.31504 .5459 L
.31397 .54695 L
.3123 .55073 L
.30914 .55326 L
.30724 .55557 L
.30431 .55943 L
.3034 .5604 L
.29948 .56522 L
.29947 .56523 L
.29516 .57006 L
.29465 .57066 L
.29032 .57489 L
.28981 .57545 L
.28498 .57812 L
.28385 .57489 L
.28498 .57155 L
.28558 .57006 L
.28804 .56523 L
.28981 .56214 L
.29003 .5604 L
.29386 .55557 L
.29465 .55427 L
.29768 .55073 L
.29948 .5468 L
.30043 .5459 L
.30388 .54107 L
.30431 .54049 L
.30862 .53624 L
.30914 .53366 L
.31117 .53141 L
.31397 .52702 L
.31431 .52658 L
.31798 .52174 L
.31881 .5207 L
.32233 .51691 L
.32364 .51408 L
.3252 .51208 L
.32847 .50759 L
.32853 .50725 L
.33237 .50242 L
.3333 .50127 L
.33635 .49758 L
.33813 .49471 L
.33937 .49275 L
.34296 .48825 L
.34326 .48792 L
.34746 .48309 L
.3478 .48196 L
.35053 .47826 L
.35263 .47544 L
.35346 .47342 L
.35746 .46897 L
.35779 .46859 L
.36164 .46376 L
.36229 .46275 L
.3648 .45893 L
.36712 .45627 L
.36879 .4541 L
.37196 .44983 L
.37243 .44927 L
.37611 .44443 L
.37679 .4437 L
.37922 .4396 L
.38162 .43737 L
.38367 .43477 L
.38645 .4311 L
.38746 .42994 L
.39128 .42513 L
.39131 .42511 L
.3948 .42027 L
.39612 .41949 L
.39987 .41544 L
.40095 .41421 L
.4052 .41061 L
F
1 .92 0 r
.38162 .39993 m
.38645 .39719 L
.3872 .40095 L
.38645 .40287 L
.38513 .40578 L
.38258 .41061 L
.38162 .41208 L
.38075 .41544 L
.37679 .4197 L
.37641 .42027 L
.37286 .42511 L
.37196 .42715 L
.37002 .42994 L
.36712 .43444 L
.36631 .43477 L
.36239 .4396 L
.36229 .4404 L
.35921 .44443 L
.35746 .44723 L
.35634 .44927 L
.35263 .45384 L
.35218 .4541 L
.34832 .45893 L
.3478 .46005 L
.34518 .46376 L
.34296 .46669 L
.34255 .46859 L
.33813 .47314 L
.33776 .47342 L
.33407 .47826 L
.3333 .47939 L
.331 .48309 L
.32847 .48592 L
.32679 .48792 L
.32364 .49233 L
.32316 .49275 L
.31958 .49758 L
.31881 .49847 L
.31668 .50242 L
.31397 .50485 L
.31195 .50725 L
.30914 .51117 L
.30819 .51208 L
.30444 .51691 L
.30431 .51702 L
.30037 .52174 L
.29948 .52293 L
.29617 .52658 L
.29465 .52865 L
.29161 .53141 L
.28981 .53412 L
.28531 .53624 L
.28498 .53637 L
.28442 .53624 L
.28427 .53141 L
.28498 .53056 L
.28675 .52658 L
.28959 .52174 L
.28981 .52086 L
.29228 .51691 L
.29465 .51334 L
.29543 .51208 L
.29865 .50725 L
.29948 .50604 L
.30244 .50242 L
.30431 .49892 L
.30527 .49758 L
.30891 .49275 L
.30914 .49247 L
.3133 .48792 L
.31397 .48577 L
.3161 .48309 L
.31881 .4791 L
.31917 .47826 L
.32307 .47342 L
.32364 .47277 L
.32718 .46859 L
.32847 .46623 L
.33016 .46376 L
.3333 .45969 L
.33393 .45893 L
.33813 .4541 L
.33813 .45345 L
.34136 .44927 L
.34296 .447 L
.34435 .44443 L
.3478 .44055 L
.34857 .4396 L
.35241 .43477 L
.35263 .43439 L
.35585 .42994 L
.35746 .42814 L
.35856 .42511 L
.36229 .42188 L
.36366 .42027 L
.36712 .41584 L
.36754 .41544 L
.37142 .41061 L
.37196 .4102 L
.37591 .40578 L
.37679 .40476 L
.38074 .40095 L
F
1 .9 0 r
.28498 .49036 m
.28732 .49275 L
.28498 .49387 L
.28439 .49275 L
F
0 .9 1 r
.28498 .51092 m
.28968 .51208 L
.28498 .51454 L
.28461 .51208 L
F
1 .9 0 r
.35746 .3907 m
.36229 .38689 L
.3635 .39128 L
.36229 .39384 L
.36105 .39612 L
.35861 .40095 L
.35746 .40218 L
.35512 .40578 L
.35263 .40954 L
.35189 .41061 L
.34866 .41544 L
.3478 .41685 L
.34624 .42027 L
.34296 .42449 L
.34164 .42511 L
.33817 .42994 L
.33813 .43 L
.33494 .43477 L
.3333 .43685 L
.33098 .4396 L
.32847 .44379 L
.32738 .44443 L
.32382 .44927 L
.32364 .44951 L
.32076 .4541 L
.31881 .45608 L
.31637 .45893 L
.31397 .46275 L
.31265 .46376 L
.30914 .46837 L
.30896 .46859 L
.30583 .47342 L
.30431 .47458 L
.3011 .47826 L
.29948 .48085 L
.297 .48309 L
.29465 .48591 L
.29264 .48792 L
.28981 .49089 L
.28593 .48792 L
.28679 .48309 L
.28981 .48051 L
.29111 .47826 L
.29429 .47342 L
.29465 .47252 L
.29707 .46859 L
.29948 .46473 L
.30057 .46376 L
.30427 .45893 L
.30431 .45842 L
.30758 .4541 L
.30914 .45151 L
.31035 .44927 L
.31397 .44482 L
.31439 .44443 L
.31834 .4396 L
.31881 .4385 L
.3215 .43477 L
.32364 .43194 L
.32405 .42994 L
.32847 .42552 L
.32888 .42511 L
.33271 .42027 L
.3333 .41941 L
.33595 .41544 L
.33813 .41315 L
.34021 .41061 L
.34296 .40697 L
.34413 .40578 L
.3478 .40102 L
.34814 .40095 L
.35214 .39612 L
.35263 .3958 L
.35698 .39128 L
F
0 .9 1 r
.37196 .39357 m
.37514 .39612 L
.37428 .40095 L
.37196 .40291 L
.3703 .40578 L
.3673 .41061 L
.36712 .41103 L
.36457 .41544 L
.36229 .41813 L
.36082 .42027 L
.35746 .4251 L
.35746 .42511 L
.35402 .42994 L
.35263 .43218 L
.35135 .43477 L
.3478 .4392 L
.34696 .4396 L
.34331 .44443 L
.34296 .4451 L
.34011 .44927 L
.33813 .45183 L
.33781 .4541 L
.3333 .45847 L
.3326 .45893 L
.329 .46376 L
.32847 .4645 L
.32594 .46859 L
.32364 .47104 L
.32161 .47342 L
.31881 .47755 L
.31794 .47826 L
.31433 .48309 L
.31397 .48348 L
.3114 .48792 L
.30914 .48978 L
.30658 .49275 L
.30431 .4961 L
.30268 .49758 L
.29948 .50157 L
.2987 .50242 L
.29465 .5071 L
.2945 .50725 L
.28981 .51197 L
.28644 .50725 L
.28887 .50242 L
.28981 .49975 L
.29173 .49758 L
.29465 .49303 L
.29482 .49275 L
.29836 .48792 L
.29948 .48549 L
.30108 .48309 L
.30431 .47846 L
.30468 .47826 L
.30886 .47342 L
.30914 .47199 L
.31179 .46859 L
.31397 .4652 L
.31468 .46376 L
.31868 .45893 L
.31881 .45879 L
.32275 .4541 L
.32364 .45228 L
.32577 .44927 L
.32847 .44572 L
.32851 .44443 L
.33313 .4396 L
.3333 .43943 L
.33698 .43477 L
.33813 .43311 L
.34003 .42994 L
.34296 .42672 L
.34428 .42511 L
.3478 .42052 L
.34804 .42027 L
.3518 .41544 L
.35263 .41458 L
.35483 .41061 L
.35746 .4086 L
.35995 .40578 L
.36229 .40279 L
.36427 .40095 L
.36712 .39687 L
.36908 .39612 L
F
.3478 .38481 m
.35074 .38645 L
.34854 .39128 L
.3478 .3926 L
.34563 .39612 L
.34296 .40041 L
.3426 .40095 L
.34039 .40578 L
.33813 .40753 L
.33594 .41061 L
.3333 .41441 L
.33253 .41544 L
.32932 .42027 L
.32847 .42133 L
.32547 .42511 L
.32364 .42878 L
.32186 .42994 L
.31881 .43411 L
.31828 .43477 L
.31505 .4396 L
.31397 .44064 L
.31081 .44443 L
.30914 .44752 L
.307 .44927 L
.30431 .45277 L
.30316 .4541 L
.29948 .45866 L
.29923 .45893 L
.29499 .46376 L
.29465 .46437 L
.29016 .46859 L
.28981 .46895 L
.28657 .46859 L
.28839 .46376 L
.28981 .46115 L
.29104 .45893 L
.29381 .4541 L
.29465 .45256 L
.29702 .44927 L
.29948 .44566 L
.3003 .44443 L
.30373 .4396 L
.30431 .43857 L
.3065 .43477 L
.30914 .43148 L
.31055 .42994 L
.31397 .42529 L
.31411 .42511 L
.31767 .42027 L
.31881 .41878 L
.32015 .41544 L
.32364 .41225 L
.32515 .41061 L
.32847 .40582 L
.32896 .40578 L
.3327 .40095 L
.3333 .40038 L
.33692 .39612 L
.33813 .39449 L
.34124 .39128 L
.34296 .38839 L
.34607 .38645 L
F
1 .9 0 r
.38162 .40183 m
.3839 .40578 L
.38171 .41061 L
.38162 .41076 L
.38027 .41544 L
.37679 .41892 L
.37594 .42027 L
.37258 .42511 L
.37196 .42658 L
.36975 .42994 L
.36712 .43424 L
.36606 .43477 L
.36235 .4396 L
.36229 .44009 L
.35904 .44443 L
.35746 .447 L
.35622 .44927 L
.35263 .45373 L
.35203 .4541 L
.34823 .45893 L
.3478 .45987 L
.34505 .46376 L
.34296 .46653 L
.34249 .46859 L
.33813 .47304 L
.33763 .47342 L
.33396 .47826 L
.3333 .47921 L
.33086 .48309 L
.32847 .48574 L
.32664 .48792 L
.32364 .49217 L
.32299 .49275 L
.31939 .49758 L
.31881 .49824 L
.31643 .50242 L
.31397 .50457 L
.3117 .50725 L
.30914 .51087 L
.30787 .51208 L
.30431 .51685 L
.304 .51691 L
.29989 .52174 L
.29948 .52228 L
.29543 .52658 L
.29465 .52763 L
.29011 .53141 L
.28981 .53182 L
.28685 .53141 L
.28791 .52658 L
.28981 .52263 L
.29026 .52174 L
.29286 .51691 L
.29465 .51422 L
.29594 .51208 L
.2991 .50725 L
.29948 .50667 L
.30274 .50242 L
.30431 .49933 L
.3055 .49758 L
.30914 .49276 L
.30918 .49275 L
.31342 .48792 L
.31397 .48605 L
.31628 .48309 L
.31881 .47933 L
.31925 .47826 L
.32325 .47342 L
.32364 .47298 L
.3273 .46859 L
.32847 .46644 L
.3303 .46376 L
.3333 .45989 L
.33409 .45893 L
.33813 .4541 L
.33813 .45363 L
.3415 .44927 L
.34296 .44722 L
.34449 .44443 L
.3478 .44079 L
.34877 .4396 L
.35254 .43477 L
.35263 .43461 L
.35611 .42994 L
.35746 .42847 L
.35884 .42511 L
.36229 .4223 L
.36404 .42027 L
.36712 .4163 L
.36805 .41544 L
.37196 .41064 L
.37224 .41061 L
.37679 .40583 L
.37685 .40578 L
F
1 .98 0 r
.42511 .42961 m
.42617 .42994 L
.42791 .43477 L
.42525 .4396 L
.42511 .44008 L
.42205 .44443 L
.42027 .44778 L
.41863 .44927 L
.41544 .45405 L
.41511 .4541 L
.41156 .45893 L
.41061 .46016 L
.40657 .46376 L
.40578 .46692 L
.40405 .46859 L
.40095 .47337 L
.40088 .47342 L
.39739 .47826 L
.39612 .47988 L
.39266 .48309 L
.39128 .48651 L
.39 .48792 L
.38655 .49275 L
.38645 .49286 L
.383 .49758 L
.38162 .49931 L
.37877 .50242 L
.37679 .50587 L
.37578 .50725 L
.3721 .51208 L
.37196 .51222 L
.36736 .51691 L
.36712 .51862 L
.36463 .52174 L
.36229 .52518 L
.36156 .52658 L
.35761 .53141 L
.35746 .53154 L
.35344 .53624 L
.35263 .53789 L
.35043 .54107 L
.3478 .54445 L
.3475 .5459 L
.34309 .55073 L
.34296 .55082 L
.33927 .55557 L
.33813 .55712 L
.33623 .5604 L
.3333 .56367 L
.33212 .56523 L
.32848 .57006 L
.32847 .57008 L
.32491 .57489 L
.32364 .57622 L
.32203 .57973 L
.31881 .58271 L
.31739 .58456 L
.31397 .58906 L
.3137 .58939 L
.31012 .59422 L
.30914 .59496 L
.30741 .59905 L
.30431 .601 L
.30185 .60388 L
.29948 .60672 L
.29747 .60872 L
.29465 .61187 L
.29221 .61355 L
.28981 .61636 L
.28687 .61355 L
.28693 .60872 L
.28981 .60496 L
.29034 .60388 L
.29366 .59905 L
.29465 .5966 L
.29615 .59422 L
.29937 .58939 L
.29948 .58923 L
.30266 .58456 L
.30431 .58201 L
.30657 .57973 L
.30914 .57515 L
.3096 .57489 L
.31318 .57006 L
.31397 .56899 L
.31774 .56523 L
.31881 .56226 L
.32048 .5604 L
.32364 .55578 L
.32379 .55557 L
.32752 .55073 L
.32847 .54948 L
.33167 .5459 L
.3333 .54287 L
.33465 .54107 L
.33813 .53646 L
.33839 .53624 L
.34287 .53141 L
.34296 .53013 L
.34579 .52658 L
.3478 .52357 L
.34879 .52174 L
.35263 .51715 L
.35288 .51691 L
.35688 .51208 L
.35746 .51083 L
.35998 .50725 L
.36229 .50429 L
.36276 .50242 L
.36712 .49786 L
.36738 .49758 L
.37111 .49275 L
.37196 .49157 L
.37418 .48792 L
.37679 .48505 L
.37833 .48309 L
.38162 .4786 L
.38193 .47826 L
.38548 .47342 L
.38645 .47236 L
.38834 .46859 L
.39128 .46588 L
.39296 .46376 L
.39612 .45946 L
.39659 .45893 L
.4001 .4541 L
.40095 .45335 L
.40301 .44927 L
.40578 .44708 L
.40791 .44443 L
.41061 .4409 L
.41175 .4396 L
.41544 .43507 L
.41574 .43477 L
.42027 .43006 L
.42046 .42994 L
F
0 .92 1 r
.39128 .4076 m
.39527 .41061 L
.39346 .41544 L
.39128 .41956 L
.39089 .42027 L
.38796 .42511 L
.38645 .42749 L
.38565 .42994 L
.38163 .43477 L
.38162 .43478 L
.37783 .4396 L
.37679 .442 L
.37497 .44443 L
.37196 .44894 L
.37135 .44927 L
.36787 .4541 L
.36712 .45512 L
.36409 .45893 L
.36229 .46186 L
.36115 .46376 L
.35746 .46836 L
.35714 .46859 L
.35313 .47342 L
.35263 .47468 L
.35003 .47826 L
.3478 .48128 L
.34723 .48309 L
.34296 .48769 L
.3427 .48792 L
.33893 .49275 L
.33813 .49399 L
.33583 .49758 L
.3333 .50051 L
.33174 .50242 L
.32847 .5069 L
.32811 .50725 L
.32449 .51208 L
.32364 .51309 L
.32153 .51691 L
.31881 .51948 L
.31694 .52174 L
.31397 .52579 L
.3132 .52658 L
.3095 .53141 L
.30914 .53174 L
.30652 .53624 L
.30431 .53771 L
.30133 .54107 L
.29948 .54352 L
.29696 .5459 L
.29465 .54912 L
.29184 .55073 L
.28981 .55232 L
.28711 .55073 L
.28742 .5459 L
.28981 .54339 L
.29097 .54107 L
.29407 .53624 L
.29465 .53434 L
.29667 .53141 L
.29948 .52732 L
.29996 .52658 L
.30321 .52174 L
.30431 .52014 L
.30698 .51691 L
.30914 .51312 L
.30988 .51208 L
.31357 .50725 L
.31397 .50674 L
.3179 .50242 L
.31881 .50005 L
.32074 .49758 L
.32364 .49343 L
.32385 .49275 L
.3278 .48792 L
.32847 .48712 L
.33183 .48309 L
.3333 .48056 L
.33482 .47826 L
.33813 .47404 L
.33866 .47342 L
.34283 .46859 L
.34296 .46779 L
.346 .46376 L
.3478 .46131 L
.34895 .45893 L
.35263 .45484 L
.35326 .4541 L
.3571 .44927 L
.35746 .44867 L
.36041 .44443 L
.36229 .44233 L
.36297 .4396 L
.36712 .436 L
.36817 .43477 L
.37195 .42994 L
.37196 .42993 L
.3755 .42511 L
.37679 .42405 L
.38 .42027 L
.38162 .41827 L
.38434 .41544 L
.38645 .41283 L
.38924 .41061 L
F
0 .98 1 r
.28981 .37802 m
.29345 .38162 L
.28981 .38637 L
.28732 .38162 L
F
1 .88 0 r
.35746 .39228 m
.36 .39612 L
.35759 .40095 L
.35746 .40108 L
.35456 .40578 L
.35263 .4088 L
.35142 .41061 L
.34825 .41544 L
.3478 .41619 L
.34588 .42027 L
.34296 .42413 L
.34133 .42511 L
.33813 .42961 L
.33789 .42994 L
.33465 .43477 L
.3333 .43648 L
.33073 .4396 L
.32847 .44356 L
.32712 .44443 L
.32364 .44916 L
.32355 .44927 L
.32042 .4541 L
.31881 .45571 L
.31609 .45893 L
.31397 .46243 L
.31233 .46376 L
.30914 .46792 L
.30857 .46859 L
.30509 .47342 L
.30431 .474 L
.30059 .47826 L
.29948 .48009 L
.29626 .48309 L
.29465 .48495 L
.2913 .48792 L
.28981 .48922 L
.28758 .48792 L
.28872 .48309 L
.28981 .48221 L
.2919 .47826 L
.29465 .47368 L
.2948 .47342 L
.29759 .46859 L
.29948 .46538 L
.30105 .46376 L
.30431 .45904 L
.30438 .45893 L
.30791 .4541 L
.30914 .45204 L
.31062 .44927 L
.31397 .44516 L
.31474 .44443 L
.31852 .4396 L
.31881 .43894 L
.32181 .43477 L
.32364 .43238 L
.32421 .42994 L
.32847 .42589 L
.32925 .42511 L
.33302 .42027 L
.3333 .41988 L
.33639 .41544 L
.33813 .4137 L
.34069 .41061 L
.34296 .40755 L
.34471 .40578 L
.3478 .40126 L
.34889 .40095 L
.35263 .39681 L
.35338 .39612 L
F
0 .88 1 r
.37196 .39577 m
.37278 .39612 L
.37216 .40095 L
.37196 .40113 L
.36959 .40578 L
.36712 .41005 L
.36678 .41061 L
.36413 .41544 L
.36229 .41756 L
.36047 .42027 L
.35746 .42467 L
.35715 .42511 L
.35379 .42994 L
.35263 .43182 L
.35117 .43477 L
.3478 .43904 L
.34675 .4396 L
.34318 .44443 L
.34296 .44484 L
.33994 .44927 L
.33813 .4516 L
.33771 .4541 L
.3333 .45833 L
.33243 .45893 L
.32884 .46376 L
.32847 .46427 L
.32574 .46859 L
.32364 .47081 L
.32142 .47342 L
.31881 .47736 L
.31772 .47826 L
.31406 .48309 L
.31397 .48318 L
.311 .48792 L
.30914 .48941 L
.30625 .49275 L
.30431 .49567 L
.30224 .49758 L
.29948 .50095 L
.29807 .50242 L
.29465 .5062 L
.29347 .50725 L
.28981 .51038 L
.28769 .50725 L
.2898 .50242 L
.28981 .50238 L
.29239 .49758 L
.29465 .49393 L
.29535 .49275 L
.2987 .48792 L
.29948 .48614 L
.3014 .48309 L
.30431 .47869 L
.30501 .47826 L
.30895 .47342 L
.30914 .47239 L
.31203 .46859 L
.31397 .46552 L
.31483 .46376 L
.31881 .45901 L
.31892 .45893 L
.3229 .4541 L
.32364 .45257 L
.32596 .44927 L
.32847 .446 L
.32853 .44443 L
.3333 .43966 L
.33337 .4396 L
.33718 .43477 L
.33813 .43342 L
.34027 .42994 L
.34296 .42707 L
.34457 .42511 L
.3478 .42085 L
.34839 .42027 L
.35222 .41544 L
.35263 .41503 L
.35548 .41061 L
.35746 .4092 L
.36057 .40578 L
.36229 .40357 L
.3652 .40095 L
.36712 .39792 L
.37128 .39612 L
F
1 .94 0 r
.40095 .41659 m
.40438 .42027 L
.40265 .42511 L
.40095 .42772 L
.39975 .42994 L
.39628 .43477 L
.39612 .43603 L
.39343 .4396 L
.39128 .44389 L
.39069 .44443 L
.38696 .44927 L
.38645 .44998 L
.38284 .4541 L
.38162 .45692 L
.38 .45893 L
.37679 .46354 L
.37677 .46376 L
.37294 .46859 L
.37196 .46989 L
.369 .47342 L
.36712 .47655 L
.36601 .47826 L
.36229 .48296 L
.36214 .48309 L
.35792 .48792 L
.35746 .48935 L
.35491 .49275 L
.35263 .49592 L
.35197 .49758 L
.3478 .50231 L
.34768 .50242 L
.3438 .50725 L
.34296 .50864 L
.34071 .51208 L
.33813 .51516 L
.33673 .51691 L
.3333 .52155 L
.33311 .52174 L
.32945 .52658 L
.32847 .52778 L
.32644 .53141 L
.32364 .53421 L
.32201 .53624 L
.31881 .54055 L
.31832 .54107 L
.3147 .5459 L
.31397 .54659 L
.31182 .55073 L
.30914 .55271 L
.30671 .55557 L
.30431 .55869 L
.30263 .5604 L
.29948 .56441 L
.29825 .56523 L
.29465 .56882 L
.29292 .57006 L
.28981 .57174 L
.28848 .57006 L
.28978 .56523 L
.28981 .56516 L
.29047 .5604 L
.29465 .55589 L
.29483 .55557 L
.29828 .55073 L
.29948 .54755 L
.3009 .5459 L
.30431 .5411 L
.30433 .54107 L
.30879 .53624 L
.30914 .53409 L
.31143 .53141 L
.31397 .52725 L
.31446 .52658 L
.31818 .52174 L
.31881 .52094 L
.32246 .51691 L
.32364 .51428 L
.32534 .51208 L
.32847 .50773 L
.32855 .50725 L
.33249 .50242 L
.3333 .50142 L
.33645 .49758 L
.33813 .49486 L
.33945 .49275 L
.34296 .48837 L
.34337 .48792 L
.3475 .48309 L
.3478 .4821 L
.35063 .47826 L
.35263 .47559 L
.35354 .47342 L
.35746 .46912 L
.35792 .46859 L
.36174 .46376 L
.36229 .46292 L
.36495 .45893 L
.36712 .45649 L
.36897 .4541 L
.37196 .45009 L
.37266 .44927 L
.37636 .44443 L
.37679 .444 L
.3796 .4396 L
.38162 .43783 L
.3841 .43477 L
.38645 .43173 L
.38808 .42994 L
.39128 .42589 L
.39221 .42511 L
.39612 .42084 L
.39675 .42027 L
F
1 .92 0 r
.28981 .4418 m
.29249 .44443 L
.28981 .44694 L
.28856 .44443 L
F
0 .96 1 r
.41061 .42367 m
.415 .42511 L
.414 .42994 L
.41146 .43477 L
.41061 .43669 L
.40911 .4396 L
.40578 .44442 L
.40577 .44443 L
.4016 .44927 L
.40095 .45177 L
.39884 .4541 L
.39612 .45865 L
.39578 .45893 L
.39222 .46376 L
.39128 .46501 L
.3878 .46859 L
.38645 .47175 L
.38501 .47342 L
.38162 .47818 L
.38159 .47826 L
.37799 .48309 L
.37679 .48463 L
.3739 .48792 L
.37196 .49123 L
.37089 .49275 L
.36713 .49758 L
.36712 .49759 L
.36267 .50242 L
.36229 .504 L
.35978 .50725 L
.35746 .51056 L
.35675 .51208 L
.35265 .51691 L
.35263 .51693 L
.34864 .52174 L
.3478 .52328 L
.34558 .52658 L
.34296 .52981 L
.34282 .53141 L
.33813 .53621 L
.33811 .53624 L
.33437 .54107 L
.3333 .54246 L
.33134 .5459 L
.32847 .54895 L
.32707 .55073 L
.32364 .55533 L
.32343 .55557 L
.31984 .5604 L
.31881 .56142 L
.31698 .56523 L
.31397 .56772 L
.31208 .57006 L
.30914 .57388 L
.30821 .57489 L
.30431 .57967 L
.30424 .57973 L
.29991 .58456 L
.29948 .58503 L
.29496 .58939 L
.29465 .58971 L
.28981 .59215 L
.28883 .58939 L
.28981 .58618 L
.29044 .58456 L
.29279 .57973 L
.29465 .57663 L
.29563 .57489 L
.29868 .57006 L
.29948 .56871 L
.30241 .56523 L
.30431 .56116 L
.30519 .5604 L
.30871 .55557 L
.30914 .55498 L
.31327 .55073 L
.31397 .54812 L
.31593 .5459 L
.31881 .54147 L
.31909 .54107 L
.32282 .53624 L
.32364 .53518 L
.32704 .53141 L
.32847 .52855 L
.32997 .52658 L
.3333 .52207 L
.33364 .52174 L
.33722 .51691 L
.33813 .51575 L
.3411 .51208 L
.34296 .50919 L
.34411 .50725 L
.3478 .50274 L
.34811 .50242 L
.35218 .49758 L
.35263 .49644 L
.35529 .49275 L
.35746 .48991 L
.35814 .48792 L
.36229 .48346 L
.36263 .48309 L
.36641 .47826 L
.36712 .47721 L
.36954 .47342 L
.37196 .47073 L
.37362 .46859 L
.37679 .46429 L
.37725 .46376 L
.38087 .45893 L
.38162 .45813 L
.3839 .4541 L
.38645 .45177 L
.38844 .44927 L
.39128 .44546 L
.39219 .44443 L
.39595 .4396 L
.39612 .43948 L
.39919 .43477 L
.40095 .43368 L
.4043 .42994 L
.40578 .42819 L
.40921 .42511 L
F
1 .88 0 r
.28981 .52499 m
.29449 .52658 L
.28981 .52916 L
.28929 .52658 L
F
0 .86 1 r
.28981 .50505 m
.29172 .50725 L
.28981 .50789 L
.28945 .50725 L
F
0 .9 1 r
.38645 .41406 m
.39128 .41107 L
.39219 .41544 L
.39128 .4176 L
.39003 .42027 L
.38739 .42511 L
.38645 .42661 L
.38536 .42994 L
.38162 .4342 L
.38125 .43477 L
.37761 .4396 L
.37679 .44159 L
.37475 .44443 L
.37196 .44879 L
.37115 .44927 L
.36768 .4541 L
.36712 .45487 L
.36395 .45893 L
.36229 .46167 L
.36104 .46376 L
.35746 .46827 L
.35701 .46859 L
.35306 .47342 L
.35263 .47453 L
.34992 .47826 L
.3478 .48114 L
.34717 .48309 L
.34296 .48759 L
.34259 .48792 L
.33884 .49275 L
.33813 .49385 L
.33572 .49758 L
.3333 .50035 L
.33161 .50242 L
.32847 .50676 L
.32796 .50725 L
.32434 .51208 L
.32364 .5129 L
.32133 .51691 L
.31881 .51924 L
.31672 .52174 L
.31397 .52552 L
.31292 .52658 L
.30914 .53139 L
.3091 .53141 L
.30576 .53624 L
.30431 .53715 L
.30071 .54107 L
.29948 .54268 L
.29587 .5459 L
.29465 .54764 L
.29011 .5459 L
.29193 .54107 L
.29453 .53624 L
.29465 .53583 L
.29716 .53141 L
.29948 .52804 L
.30039 .52658 L
.30359 .52174 L
.30431 .52065 L
.30724 .51691 L
.30914 .51343 L
.31006 .51208 L
.31379 .50725 L
.31397 .50702 L
.31802 .50242 L
.31881 .50028 L
.32088 .49758 L
.32364 .4936 L
.3239 .49275 L
.32794 .48792 L
.32847 .48729 L
.33193 .48309 L
.3333 .48072 L
.33492 .47826 L
.33813 .47419 L
.33879 .47342 L
.34285 .46859 L
.34296 .46794 L
.34612 .46376 L
.3478 .46148 L
.34905 .45893 L
.35263 .45503 L
.35341 .4541 L
.35721 .44927 L
.35746 .44886 L
.36061 .44443 L
.36229 .44259 L
.36314 .4396 L
.36712 .43631 L
.36846 .43477 L
.37196 .43026 L
.37231 .42994 L
.3761 .42511 L
.37679 .42458 L
.3806 .42027 L
.38162 .41905 L
.38531 .41544 L
F
1 .86 0 r
.35263 .3979 m
.35666 .40095 L
.35397 .40578 L
.35263 .40797 L
.35092 .41061 L
.3478 .41544 L
.3478 .41544 L
.34546 .42027 L
.34296 .42364 L
.34101 .42511 L
.33813 .4292 L
.33758 .42994 L
.33434 .43477 L
.3333 .43608 L
.33047 .4396 L
.32847 .44328 L
.32686 .44443 L
.32364 .44881 L
.32327 .44927 L
.32004 .4541 L
.31881 .45532 L
.3158 .45893 L
.31397 .46207 L
.31199 .46376 L
.30914 .46746 L
.30816 .46859 L
.30431 .47338 L
.30427 .47342 L
.30003 .47826 L
.29948 .47918 L
.29536 .48309 L
.29465 .48385 L
.29066 .48309 L
.29275 .47826 L
.29465 .47488 L
.29548 .47342 L
.29818 .46859 L
.29948 .46625 L
.30153 .46376 L
.30431 .45968 L
.30482 .45893 L
.30825 .4541 L
.30914 .45259 L
.31092 .44927 L
.31397 .44553 L
.31509 .44443 L
.31871 .4396 L
.31881 .43938 L
.32213 .43477 L
.32364 .43282 L
.32443 .42994 L
.32847 .42627 L
.32961 .42511 L
.3333 .42034 L
.33336 .42027 L
.33689 .41544 L
.33813 .41425 L
.34118 .41061 L
.34296 .40817 L
.34533 .40578 L
.3478 .4017 L
.34974 .40095 L
F
0 .98 1 r
.30431 .35912 m
.30745 .36229 L
.30432 .36712 L
.30431 .36713 L
.3007 .37196 L
.29948 .37375 L
.29707 .37679 L
.29465 .38018 L
.29071 .37679 L
.29417 .37196 L
.29465 .37096 L
.29784 .36712 L
.29948 .36503 L
.30173 .36229 L
F
0 .86 1 r
.36712 .39976 m
.37055 .40095 L
.36881 .40578 L
.36712 .40899 L
.36619 .41061 L
.36363 .41544 L
.36229 .41696 L
.36011 .42027 L
.35746 .42422 L
.35685 .42511 L
.35354 .42994 L
.35263 .43144 L
.35097 .43477 L
.3478 .43885 L
.34654 .4396 L
.34304 .44443 L
.34296 .44457 L
.33975 .44927 L
.33813 .45136 L
.33759 .4541 L
.3333 .45818 L
.33225 .45893 L
.32867 .46376 L
.32847 .46403 L
.32553 .46859 L
.32364 .47056 L
.32122 .47342 L
.31881 .47715 L
.3175 .47826 L
.31397 .48287 L
.31379 .48309 L
.31055 .48792 L
.30914 .48903 L
.3059 .49275 L
.30431 .4952 L
.30177 .49758 L
.29948 .50031 L
.29734 .50242 L
.29465 .50521 L
.29077 .50242 L
.29308 .49758 L
.29465 .49492 L
.29589 .49275 L
.29903 .48792 L
.29948 .48686 L
.30173 .48309 L
.30431 .47898 L
.30533 .47826 L
.30903 .47342 L
.30914 .4728 L
.31226 .46859 L
.31397 .46586 L
.31498 .46376 L
.31881 .4592 L
.31915 .45893 L
.32304 .4541 L
.32364 .45286 L
.32616 .44927 L
.32847 .44628 L
.32857 .44443 L
.3333 .43988 L
.3336 .4396 L
.33738 .43477 L
.33813 .43372 L
.34052 .42994 L
.34296 .42741 L
.34487 .42511 L
.3478 .42118 L
.34874 .42027 L
.35263 .41548 L
.35267 .41544 L
.35627 .41061 L
.35746 .40982 L
.36125 .40578 L
.36229 .40445 L
.36638 .40095 L
F
1 .92 0 r
.32847 .38815 m
.33322 .39128 L
.32998 .39612 L
.32847 .39843 L
.32666 .40095 L
.32364 .4054 L
.32335 .40578 L
.31981 .41061 L
.31881 .41204 L
.31619 .41544 L
.31397 .41852 L
.31257 .42027 L
.30914 .4249 L
.30897 .42511 L
.30512 .42994 L
.30431 .4317 L
.30114 .43477 L
.29948 .43691 L
.29701 .4396 L
.29465 .44241 L
.29099 .4396 L
.29377 .43477 L
.29465 .43342 L
.29686 .42994 L
.29948 .42605 L
.30012 .42511 L
.30314 .42027 L
.30431 .41882 L
.30692 .41544 L
.30914 .41243 L
.31051 .41061 L
.31397 .40599 L
.31414 .40578 L
.31716 .40095 L
.31881 .39957 L
.32176 .39612 L
.32364 .39264 L
.32581 .39128 L
F
1 .88 0 r
.37679 .40696 m
.38077 .41061 L
.37956 .41544 L
.37679 .41805 L
.37546 .42027 L
.3723 .42511 L
.37196 .42593 L
.36947 .42994 L
.36712 .43397 L
.3658 .43477 L
.36231 .4396 L
.36229 .43977 L
.35888 .44443 L
.35746 .44675 L
.35609 .44927 L
.35263 .45362 L
.35187 .4541 L
.34814 .45893 L
.3478 .45968 L
.34493 .46376 L
.34296 .46635 L
.34242 .46859 L
.33813 .47293 L
.33749 .47342 L
.33384 .47826 L
.3333 .47904 L
.33072 .48309 L
.32847 .48556 L
.32649 .48792 L
.32364 .49202 L
.32282 .49275 L
.31919 .49758 L
.31881 .49801 L
.31616 .50242 L
.31397 .50429 L
.31145 .50725 L
.30914 .51055 L
.30754 .51208 L
.30431 .51673 L
.30355 .51691 L
.29948 .52159 L
.29933 .52174 L
.29465 .52645 L
.29113 .52174 L
.2935 .51691 L
.29465 .51518 L
.29644 .51208 L
.29948 .50734 L
.29953 .50725 L
.30302 .50242 L
.30431 .49976 L
.30573 .49758 L
.30914 .49283 L
.30942 .49275 L
.31353 .48792 L
.31397 .48634 L
.31646 .48309 L
.31881 .47955 L
.31934 .47826 L
.32343 .47342 L
.32364 .47318 L
.32743 .46859 L
.32847 .46665 L
.33044 .46376 L
.3333 .46008 L
.33425 .45893 L
.33813 .4541 L
.33813 .45381 L
.34165 .44927 L
.34296 .44744 L
.34464 .44443 L
.3478 .44102 L
.34898 .4396 L
.35263 .43484 L
.3527 .43477 L
.35637 .42994 L
.35746 .4288 L
.35917 .42511 L
.36229 .42271 L
.36444 .42027 L
.36712 .41678 L
.36859 .41544 L
.37196 .41078 L
.37305 .41061 L
F
1 .92 0 r
.40095 .41973 m
.4016 .42027 L
.40095 .42511 L
.40095 .42512 L
.39879 .42994 L
.39612 .43467 L
.39606 .43477 L
.39295 .4396 L
.39128 .44338 L
.39044 .44443 L
.3866 .44927 L
.38645 .44948 L
.38264 .4541 L
.38162 .45658 L
.3798 .45893 L
.37679 .4634 L
.37677 .46376 L
.37277 .46859 L
.37196 .46968 L
.36888 .47342 L
.36712 .47638 L
.36591 .47826 L
.36229 .48286 L
.36202 .48309 L
.35787 .48792 L
.35746 .48921 L
.35481 .49275 L
.35263 .49579 L
.35191 .49758 L
.3478 .5022 L
.34757 .50242 L
.34372 .50725 L
.34296 .50851 L
.3406 .51208 L
.33813 .51501 L
.33661 .51691 L
.3333 .52141 L
.33297 .52174 L
.32931 .52658 L
.32847 .5276 L
.32627 .53141 L
.32364 .53398 L
.3218 .53624 L
.31881 .54027 L
.31805 .54107 L
.31433 .5459 L
.31397 .54623 L
.31123 .55073 L
.30914 .55217 L
.30615 .55557 L
.30431 .55793 L
.30174 .5604 L
.29948 .5634 L
.29654 .56523 L
.29465 .56668 L
.29196 .56523 L
.29188 .5604 L
.29465 .55774 L
.29573 .55557 L
.29878 .55073 L
.29948 .5486 L
.30135 .5459 L
.30431 .54173 L
.30474 .54107 L
.30892 .53624 L
.30914 .53453 L
.31169 .53141 L
.31397 .5275 L
.31461 .52658 L
.31838 .52174 L
.31881 .52119 L
.32258 .51691 L
.32364 .51448 L
.32547 .51208 L
.32847 .50787 L
.32857 .50725 L
.33262 .50242 L
.3333 .50157 L
.33655 .49758 L
.33813 .495 L
.33954 .49275 L
.34296 .48849 L
.34348 .48792 L
.34754 .48309 L
.3478 .48223 L
.35073 .47826 L
.35263 .47574 L
.35361 .47342 L
.35746 .46927 L
.35805 .46859 L
.36185 .46376 L
.36229 .46308 L
.36511 .45893 L
.36712 .45671 L
.36916 .4541 L
.37196 .45035 L
.3729 .44927 L
.37663 .44443 L
.37679 .44428 L
.38002 .4396 L
.38162 .43828 L
.38456 .43477 L
.38645 .43236 L
.38874 .42994 L
.39128 .4267 L
.39328 .42511 L
.39612 .42231 L
.39936 .42027 L
F
0 .84 1 r
.36229 .40546 m
.36712 .40192 L
.36793 .40578 L
.36712 .4076 L
.36557 .41061 L
.36305 .41544 L
.36229 .4163 L
.35975 .42027 L
.35746 .42375 L
.35653 .42511 L
.35329 .42994 L
.35263 .43102 L
.35074 .43477 L
.3478 .43861 L
.34633 .4396 L
.34296 .4443 L
.34287 .44443 L
.33956 .44927 L
.33813 .45111 L
.33745 .4541 L
.3333 .45801 L
.33207 .45893 L
.32849 .46376 L
.32847 .46379 L
.3253 .46859 L
.32364 .47031 L
.32102 .47342 L
.31881 .47692 L
.31727 .47826 L
.31397 .48255 L
.31351 .48309 L
.31006 .48792 L
.30914 .48862 L
.30554 .49275 L
.30431 .49468 L
.30125 .49758 L
.29948 .49963 L
.29642 .50242 L
.29465 .50406 L
.29191 .50242 L
.29382 .49758 L
.29465 .49606 L
.29644 .49275 L
.29938 .48792 L
.29948 .48768 L
.30208 .48309 L
.30431 .47936 L
.30566 .47826 L
.30911 .47342 L
.30914 .47322 L
.31249 .46859 L
.31397 .4662 L
.31514 .46376 L
.31881 .45939 L
.31938 .45893 L
.32318 .4541 L
.32364 .45315 L
.32636 .44927 L
.32847 .44656 L
.32864 .44443 L
.3333 .44009 L
.33384 .4396 L
.33759 .43477 L
.33813 .43403 L
.3408 .42994 L
.34296 .42776 L
.34517 .42511 L
.3478 .42153 L
.3491 .42027 L
.35263 .41598 L
.35312 .41544 L
.35723 .41061 L
.35746 .41047 L
.36204 .40578 L
F
1 .86 0 r
.37679 .40821 m
.37968 .41061 L
.37854 .41544 L
.37679 .41705 L
.37496 .42027 L
.372 .42511 L
.37196 .42521 L
.36917 .42994 L
.36712 .43362 L
.36555 .43477 L
.36229 .43945 L
.36219 .4396 L
.35871 .44443 L
.35746 .4465 L
.35596 .44927 L
.35263 .45349 L
.35172 .4541 L
.34805 .45893 L
.3478 .45948 L
.3448 .46376 L
.34296 .46618 L
.34234 .46859 L
.33813 .47281 L
.33736 .47342 L
.33373 .47826 L
.3333 .47887 L
.33057 .48309 L
.32847 .48537 L
.32634 .48792 L
.32364 .49186 L
.32265 .49275 L
.31898 .49758 L
.31881 .49778 L
.31587 .50242 L
.31397 .504 L
.31119 .50725 L
.30914 .51021 L
.30719 .51208 L
.30431 .51654 L
.30306 .51691 L
.29948 .52089 L
.29854 .52174 L
.29465 .52524 L
.29209 .52174 L
.29423 .51691 L
.29465 .51627 L
.29695 .51208 L
.29948 .50801 L
.29994 .50725 L
.3033 .50242 L
.30431 .50024 L
.30595 .49758 L
.30914 .49293 L
.30967 .49275 L
.31363 .48792 L
.31397 .48664 L
.31664 .48309 L
.31881 .47978 L
.31943 .47826 L
.32361 .47342 L
.32364 .47339 L
.32754 .46859 L
.32847 .46686 L
.33058 .46376 L
.3333 .46027 L
.33441 .45893 L
.33813 .4541 L
.33813 .45399 L
.3418 .44927 L
.34296 .44766 L
.3448 .44443 L
.3478 .44126 L
.34918 .4396 L
.35263 .43505 L
.35294 .43477 L
.35666 .42994 L
.35746 .42912 L
.35957 .42511 L
.36229 .42313 L
.36485 .42027 L
.36712 .41728 L
.36918 .41544 L
.37196 .41112 L
.37403 .41061 L
F
0 .98 1 r
.43477 .43396 m
.4396 .4335 L
.44377 .43477 L
.44198 .4396 L
.4396 .44303 L
.43861 .44443 L
.43506 .44927 L
.43477 .44952 L
.43137 .4541 L
.42994 .45504 L
.42733 .45893 L
.42511 .46116 L
.42311 .46376 L
.42027 .46769 L
.41933 .46859 L
.41614 .47342 L
.41544 .47428 L
.4128 .47826 L
.41061 .48125 L
.40837 .48309 L
.40578 .48786 L
.40571 .48792 L
.40225 .49275 L
.40095 .49439 L
.3974 .49758 L
.39612 .50101 L
.39483 .50242 L
.39141 .50725 L
.39128 .50738 L
.38787 .51208 L
.38645 .51381 L
.38353 .51691 L
.38162 .52037 L
.38057 .52174 L
.37696 .52658 L
.37679 .52673 L
.37338 .53141 L
.37196 .53312 L
.3694 .53624 L
.36712 .53968 L
.36632 .54107 L
.36247 .5459 L
.36229 .54603 L
.35815 .55073 L
.35746 .55238 L
.3552 .55557 L
.35263 .55895 L
.35219 .5604 L
.34794 .56523 L
.3478 .56531 L
.34403 .57006 L
.34296 .57159 L
.34098 .57489 L
.33813 .57816 L
.33697 .57973 L
.33331 .58456 L
.3333 .58457 L
.32969 .58939 L
.32847 .59066 L
.32672 .59422 L
.32364 .59716 L
.32221 .59905 L
.31881 .60351 L
.31849 .60388 L
.31484 .60872 L
.31397 .60934 L
.31192 .61355 L
.30914 .61531 L
.3065 .61838 L
.30431 .6209 L
.30192 .62321 L
.29948 .62578 L
.29553 .62804 L
.29465 .62865 L
.29336 .62804 L
.2921 .62321 L
.29465 .62002 L
.29539 .61838 L
.2985 .61355 L
.29948 .61128 L
.30099 .60872 L
.30428 .60388 L
.30431 .60384 L
.30887 .59905 L
.30914 .59651 L
.31137 .59422 L
.31397 .58955 L
.31441 .58939 L
.31805 .58456 L
.31881 .58351 L
.32245 .57973 L
.32364 .57674 L
.32528 .57489 L
.32847 .57024 L
.32858 .57006 L
.33238 .56523 L
.3333 .564 L
.33642 .5604 L
.33813 .55736 L
.33942 .55557 L
.34296 .55095 L
.34326 .55073 L
.34754 .5459 L
.3478 .54464 L
.35056 .54107 L
.35263 .53806 L
.35352 .53624 L
.35746 .53165 L
.35774 .53141 L
.36164 .52658 L
.36229 .52534 L
.36475 .52174 L
.36712 .51879 L
.3674 .51691 L
.37196 .51236 L
.37225 .51208 L
.37591 .50725 L
.37679 .50607 L
.37893 .50242 L
.38162 .49954 L
.3832 .49758 L
.38645 .4931 L
.38678 .49275 L
.39028 .48792 L
.39128 .48685 L
.39299 .48309 L
.39612 .48036 L
.39781 .47826 L
.40095 .47394 L
.40142 .47342 L
.40485 .46859 L
.40578 .46778 L
.40753 .46376 L
.41061 .46146 L
.41271 .45893 L
.41544 .45519 L
.41649 .4541 L
.42027 .44929 L
.42031 .44927 L
.42419 .44443 L
.42511 .4442 L
.4281 .4396 L
.42994 .43761 L
.43341 .43477 L
F
0 .88 1 r
.29465 .45457 m
.29823 .45893 L
.29465 .46274 L
.29226 .45893 L
F
.38162 .41987 m
.38645 .41556 L
.38911 .42027 L
.38676 .42511 L
.38645 .42561 L
.38499 .42994 L
.38162 .43359 L
.38087 .43477 L
.37741 .4396 L
.37679 .44114 L
.37454 .44443 L
.37196 .4486 L
.37094 .44927 L
.3675 .4541 L
.36712 .45463 L
.36382 .45893 L
.36229 .46148 L
.36094 .46376 L
.35746 .46816 L
.35688 .46859 L
.353 .47342 L
.35263 .47437 L
.34982 .47826 L
.3478 .481 L
.34711 .48309 L
.34296 .48749 L
.34247 .48792 L
.33875 .49275 L
.33813 .4937 L
.3356 .49758 L
.3333 .5002 L
.33148 .50242 L
.32847 .50662 L
.32781 .50725 L
.32418 .51208 L
.32364 .5127 L
.32111 .51691 L
.31881 .51899 L
.3165 .52174 L
.31397 .52524 L
.31264 .52658 L
.30914 .53124 L
.30871 .53141 L
.30487 .53624 L
.30431 .53657 L
.3 .54107 L
.29948 .54174 L
.29465 .54554 L
.29299 .54107 L
.29465 .53741 L
.29521 .53624 L
.29767 .53141 L
.29948 .5288 L
.30081 .52658 L
.30395 .52174 L
.30431 .52119 L
.3075 .51691 L
.30914 .51376 L
.31023 .51208 L
.31397 .5073 L
.31401 .50725 L
.31812 .50242 L
.31881 .50052 L
.32103 .49758 L
.32364 .49378 L
.32395 .49275 L
.32808 .48792 L
.32847 .48745 L
.33203 .48309 L
.3333 .48089 L
.33503 .47826 L
.33813 .47434 L
.33891 .47342 L
.34288 .46859 L
.34296 .46809 L
.34624 .46376 L
.3478 .46165 L
.34916 .45893 L
.35263 .45521 L
.35357 .4541 L
.35732 .44927 L
.35746 .44904 L
.36081 .44443 L
.36229 .44284 L
.36335 .4396 L
.36712 .43663 L
.36875 .43477 L
.37196 .43059 L
.3727 .42994 L
.37678 .42511 L
.37679 .4251 L
.38127 .42027 L
F
1 .84 0 r
.29465 .51774 m
.29748 .52174 L
.29465 .52372 L
.29325 .52174 L
F
.29465 .47639 m
.29934 .47826 L
.29465 .48241 L
.29372 .47826 L
F
0 .94 1 r
.29465 .58003 m
.29709 .58456 L
.29465 .58551 L
.2938 .58456 L
F
0 .82 1 r
.36229 .40649 m
.36488 .41061 L
.36239 .41544 L
.36229 .41556 L
.35937 .42027 L
.35746 .42324 L
.35621 .42511 L
.35301 .42994 L
.35263 .43058 L
.3505 .43477 L
.3478 .43834 L
.34612 .4396 L
.34296 .44403 L
.34266 .44443 L
.33936 .44927 L
.33813 .45085 L
.33728 .4541 L
.3333 .45783 L
.33189 .45893 L
.32847 .46355 L
.3283 .46376 L
.32506 .46859 L
.32364 .47004 L
.32082 .47342 L
.31881 .47667 L
.31703 .47826 L
.31397 .48222 L
.31323 .48309 L
.30951 .48792 L
.30914 .4882 L
.30515 .49275 L
.30431 .49409 L
.30065 .49758 L
.29948 .49889 L
.29487 .50242 L
.29465 .50256 L
.29388 .50242 L
.29464 .49758 L
.29465 .49756 L
.29702 .49275 L
.29948 .4885 L
.29982 .48792 L
.30246 .48309 L
.30431 .47986 L
.30599 .47826 L
.30914 .47365 L
.30929 .47342 L
.31273 .46859 L
.31397 .46656 L
.31532 .46376 L
.31881 .4596 L
.31961 .45893 L
.32332 .4541 L
.32364 .45345 L
.32657 .44927 L
.32847 .44684 L
.32873 .44443 L
.3333 .44032 L
.33408 .4396 L
.33781 .43477 L
.33813 .43433 L
.3411 .42994 L
.34296 .42811 L
.34548 .42511 L
.3478 .4219 L
.34947 .42027 L
.35263 .41648 L
.3536 .41544 L
.35746 .41113 L
.35801 .41061 L
F
0 .86 1 r
.29465 .45701 m
.29662 .45893 L
.29465 .46045 L
.29391 .45893 L
F
0 .94 1 r
.29465 .41456 m
.29881 .41544 L
.29465 .42016 L
.2941 .41544 L
F
0 .86 1 r
.29465 .53971 m
.29902 .54107 L
.29465 .54307 L
.29426 .54107 L
F
0 .94 1 r
.40578 .43026 m
.40997 .43477 L
.40802 .4396 L
.40578 .44286 L
.40488 .44443 L
.40125 .44927 L
.40095 .45078 L
.39833 .4541 L
.39612 .4583 L
.39548 .45893 L
.39186 .46376 L
.39128 .46455 L
.38758 .46859 L
.38645 .47143 L
.3848 .47342 L
.38162 .47802 L
.38154 .47826 L
.37781 .48309 L
.37679 .48442 L
.37377 .48792 L
.37196 .49105 L
.37078 .49275 L
.36712 .49747 L
.36701 .49758 L
.36262 .50242 L
.36229 .50386 L
.35968 .50725 L
.35746 .51042 L
.35669 .51208 L
.35263 .51682 L
.35254 .51691 L
.34856 .52174 L
.3478 .52314 L
.34547 .52658 L
.34296 .52965 L
.34278 .53141 L
.33813 .53605 L
.33796 .53624 L
.33424 .54107 L
.3333 .54226 L
.33117 .5459 L
.32847 .54869 L
.32685 .55073 L
.32364 .55502 L
.32315 .55557 L
.31948 .5604 L
.31881 .56104 L
.31647 .56523 L
.31397 .56712 L
.31149 .57006 L
.30914 .57305 L
.30735 .57489 L
.30431 .57869 L
.30287 .57973 L
.29948 .58301 L
.29476 .57973 L
.29694 .57489 L
.29948 .57044 L
.29969 .57006 L
.30303 .56523 L
.30431 .56193 L
.30565 .5604 L
.30914 .55561 L
.30917 .55557 L
.31346 .55073 L
.31397 .54855 L
.31619 .5459 L
.31881 .54169 L
.31922 .54107 L
.32302 .53624 L
.32364 .53543 L
.32717 .53141 L
.32847 .52875 L
.3301 .52658 L
.3333 .5222 L
.33377 .52174 L
.33734 .51691 L
.33813 .5159 L
.3412 .51208 L
.34296 .50933 L
.34419 .50725 L
.3478 .50285 L
.34821 .50242 L
.35223 .49758 L
.35263 .49657 L
.35539 .49275 L
.35746 .49005 L
.35821 .48792 L
.36229 .4836 L
.36275 .48309 L
.36651 .47826 L
.36712 .47737 L
.36968 .47342 L
.37196 .47093 L
.37379 .46859 L
.37679 .46452 L
.37746 .46376 L
.38112 .45893 L
.38162 .45841 L
.38425 .4541 L
.38645 .45219 L
.38883 .44927 L
.39128 .44602 L
.39274 .44443 L
.39612 .44012 L
.39675 .4396 L
.40095 .43486 L
.40104 .43477 L
F
1 .9 0 r
.39612 .42396 m
.39912 .42511 L
.39777 .42994 L
.39612 .43327 L
.39534 .43477 L
.39247 .4396 L
.39128 .44262 L
.39017 .44443 L
.38645 .44898 L
.38626 .44927 L
.38246 .4541 L
.38162 .45623 L
.3796 .45893 L
.37679 .46324 L
.37676 .46376 L
.3726 .46859 L
.37196 .46946 L
.36876 .47342 L
.36712 .47621 L
.36581 .47826 L
.36229 .48276 L
.3619 .48309 L
.35782 .48792 L
.35746 .48907 L
.35472 .49275 L
.35263 .49566 L
.35185 .49758 L
.3478 .5021 L
.34747 .50242 L
.34364 .50725 L
.34296 .50837 L
.3405 .51208 L
.33813 .51486 L
.33649 .51691 L
.3333 .52126 L
.33283 .52174 L
.32916 .52658 L
.32847 .52741 L
.32608 .53141 L
.32364 .53374 L
.32159 .53624 L
.31881 .54 L
.31778 .54107 L
.31397 .54589 L
.31394 .5459 L
.31052 .55073 L
.30914 .55163 L
.30553 .55557 L
.30431 .55711 L
.30067 .5604 L
.29948 .56197 L
.29483 .5604 L
.29666 .55557 L
.29927 .55073 L
.29948 .55004 L
.3018 .5459 L
.30431 .5424 L
.30514 .54107 L
.30901 .53624 L
.30914 .535 L
.31193 .53141 L
.31397 .52777 L
.31475 .52658 L
.31858 .52174 L
.31881 .52145 L
.3227 .51691 L
.32364 .51469 L
.3256 .51208 L
.32847 .50801 L
.32859 .50725 L
.33274 .50242 L
.3333 .50172 L
.33664 .49758 L
.33813 .49515 L
.33963 .49275 L
.34296 .48861 L
.34359 .48792 L
.34758 .48309 L
.3478 .48236 L
.35083 .47826 L
.35263 .47588 L
.3537 .47342 L
.35746 .46942 L
.35819 .46859 L
.36195 .46376 L
.36229 .46325 L
.36527 .45893 L
.36712 .45693 L
.36935 .4541 L
.37196 .45061 L
.37313 .44927 L
.37679 .44455 L
.37693 .44443 L
.3805 .4396 L
.38162 .43872 L
.38504 .43477 L
.38645 .433 L
.38947 .42994 L
.39128 .42763 L
.3947 .42511 L
F
0 .88 1 r
.34296 .39074 m
.34703 .39128 L
.34465 .39612 L
.34296 .39911 L
.34178 .40095 L
.33933 .40578 L
.33813 .40667 L
.33538 .41061 L
.3333 .41368 L
.33201 .41544 L
.3287 .42027 L
.32847 .42056 L
.32503 .42511 L
.32364 .42814 L
.32141 .42994 L
.31881 .43352 L
.31781 .43477 L
.31433 .4396 L
.31397 .43994 L
.31033 .44443 L
.30914 .44676 L
.30641 .44927 L
.30431 .45198 L
.30242 .4541 L
.29948 .45765 L
.29492 .4541 L
.29784 .44927 L
.29948 .44679 L
.30102 .44443 L
.3043 .4396 L
.30431 .43958 L
.30713 .43477 L
.30914 .43228 L
.31114 .42994 L
.31397 .42607 L
.3147 .42511 L
.31825 .42027 L
.31881 .41957 L
.3208 .41544 L
.32364 .41301 L
.3258 .41061 L
.32847 .40605 L
.3297 .40578 L
.3333 .40138 L
.33369 .40095 L
.33792 .39612 L
.33813 .39582 L
.34266 .39128 L
F
1 .84 0 r
.37679 .40975 m
.37817 .41061 L
.37714 .41544 L
.37679 .41578 L
.37445 .42027 L
.37196 .42454 L
.37161 .42511 L
.36886 .42994 L
.36712 .43317 L
.36529 .43477 L
.36229 .43913 L
.36196 .4396 L
.35854 .44443 L
.35746 .44623 L
.35582 .44927 L
.35263 .45335 L
.35156 .4541 L
.34796 .45893 L
.3478 .45929 L
.34466 .46376 L
.34296 .466 L
.34225 .46859 L
.33813 .47269 L
.33722 .47342 L
.33361 .47826 L
.3333 .47869 L
.33042 .48309 L
.32847 .48518 L
.32619 .48792 L
.32364 .49169 L
.32247 .49275 L
.31881 .49754 L
.31877 .49758 L
.31555 .50242 L
.31397 .5037 L
.31092 .50725 L
.30914 .50985 L
.30683 .51208 L
.30431 .51625 L
.30251 .51691 L
.29948 .52013 L
.29501 .51691 L
.29747 .51208 L
.29948 .50873 L
.30035 .50725 L
.30357 .50242 L
.30431 .50077 L
.30619 .49758 L
.30914 .49306 L
.30991 .49275 L
.31372 .48792 L
.31397 .48694 L
.31682 .48309 L
.31881 .48002 L
.31952 .47826 L
.32364 .47351 L
.32378 .47342 L
.32766 .46859 L
.32847 .46707 L
.33072 .46376 L
.3333 .46047 L
.33457 .45893 L
.33813 .45415 L
.33821 .4541 L
.34195 .44927 L
.34296 .44788 L
.34497 .44443 L
.3478 .4415 L
.34939 .4396 L
.35263 .43527 L
.35318 .43477 L
.35696 .42994 L
.35746 .42944 L
.36004 .42511 L
.36229 .42356 L
.36528 .42027 L
.36712 .41783 L
.36982 .41544 L
.37196 .41181 L
.37545 .41061 L
F
0 .8 1 r
.35746 .41182 m
.36181 .41544 L
.35898 .42027 L
.35746 .4227 L
.35589 .42511 L
.35273 .42994 L
.35263 .4301 L
.35022 .43477 L
.3478 .43802 L
.34591 .4396 L
.34296 .44375 L
.34246 .44443 L
.33915 .44927 L
.33813 .45057 L
.33709 .4541 L
.3333 .45763 L
.3317 .45893 L
.32847 .46331 L
.32811 .46376 L
.3248 .46859 L
.32364 .46977 L
.32061 .47342 L
.31881 .47641 L
.31679 .47826 L
.31397 .48189 L
.31293 .48309 L
.30914 .48776 L
.309 .48792 L
.30473 .49275 L
.30431 .49342 L
.29994 .49758 L
.29948 .49807 L
.29569 .49758 L
.29763 .49275 L
.29948 .48937 L
.3003 .48792 L
.30289 .48309 L
.30431 .4805 L
.30632 .47826 L
.30914 .47409 L
.30959 .47342 L
.31296 .46859 L
.31397 .46694 L
.31551 .46376 L
.31881 .45982 L
.31984 .45893 L
.32347 .4541 L
.32364 .45374 L
.32679 .44927 L
.32847 .44714 L
.32885 .44443 L
.3333 .44055 L
.33431 .4396 L
.33804 .43477 L
.33813 .43464 L
.34142 .42994 L
.34296 .42847 L
.34579 .42511 L
.3478 .42228 L
.34986 .42027 L
.35263 .41699 L
.35412 .41544 L
F
1 .9 0 r
.29948 .42822 m
.30399 .42994 L
.29974 .43477 L
.29948 .43509 L
.29581 .43477 L
.2984 .42994 L
F
1 .82 0 r
.37196 .41295 m
.37604 .41544 L
.37391 .42027 L
.37196 .42381 L
.37119 .42511 L
.36851 .42994 L
.36712 .43262 L
.36503 .43477 L
.36229 .4388 L
.36174 .4396 L
.35836 .44443 L
.35746 .44595 L
.35567 .44927 L
.35263 .4532 L
.3514 .4541 L
.34787 .45893 L
.3478 .45909 L
.34453 .46376 L
.34296 .46582 L
.34215 .46859 L
.33813 .47256 L
.33709 .47342 L
.33348 .47826 L
.3333 .47851 L
.33026 .48309 L
.32847 .48499 L
.32604 .48792 L
.32364 .49152 L
.3223 .49275 L
.31881 .4973 L
.31856 .49758 L
.3152 .50242 L
.31397 .50339 L
.31064 .50725 L
.30914 .50947 L
.30644 .51208 L
.30431 .51582 L
.30188 .51691 L
.29948 .51931 L
.29582 .51691 L
.29802 .51208 L
.29948 .50953 L
.30077 .50725 L
.30384 .50242 L
.30431 .50135 L
.30644 .49758 L
.30914 .49325 L
.31016 .49275 L
.3138 .48792 L
.31397 .48725 L
.31699 .48309 L
.31881 .48027 L
.31962 .47826 L
.32364 .47362 L
.32395 .47342 L
.32777 .46859 L
.32847 .46728 L
.33086 .46376 L
.3333 .46067 L
.33473 .45893 L
.33813 .45429 L
.33837 .4541 L
.3421 .44927 L
.34296 .4481 L
.34515 .44443 L
.3478 .44174 L
.3496 .4396 L
.35263 .43549 L
.35343 .43477 L
.35728 .42994 L
.35746 .42977 L
.36059 .42511 L
.36229 .42399 L
.36574 .42027 L
.36712 .41843 L
.37057 .41544 L
F
0 .86 1 r
.38162 .42072 m
.38606 .42511 L
.38451 .42994 L
.38162 .43293 L
.38049 .43477 L
.3772 .4396 L
.37679 .44065 L
.37431 .44443 L
.37196 .44838 L
.37073 .44927 L
.36732 .4541 L
.36712 .45437 L
.36369 .45893 L
.36229 .46128 L
.36083 .46376 L
.35746 .46806 L
.35675 .46859 L
.35294 .47342 L
.35263 .47421 L
.34971 .47826 L
.3478 .48085 L
.34705 .48309 L
.34296 .48739 L
.34236 .48792 L
.33866 .49275 L
.33813 .49355 L
.33548 .49758 L
.3333 .50004 L
.33135 .50242 L
.32847 .50647 L
.32767 .50725 L
.32401 .51208 L
.32364 .5125 L
.32088 .51691 L
.31881 .51874 L
.31627 .52174 L
.31397 .52495 L
.31234 .52658 L
.30914 .53106 L
.30831 .53141 L
.30431 .53597 L
.30403 .53624 L
.29948 .54073 L
.29599 .53624 L
.29824 .53141 L
.29948 .52963 L
.30124 .52658 L
.30431 .52176 L
.30432 .52174 L
.30774 .51691 L
.30914 .51412 L
.31041 .51208 L
.31397 .5076 L
.31422 .50725 L
.31823 .50242 L
.31881 .50076 L
.32118 .49758 L
.32364 .49395 L
.324 .49275 L
.32822 .48792 L
.32847 .48762 L
.33213 .48309 L
.3333 .48106 L
.33514 .47826 L
.33813 .47449 L
.33904 .47342 L
.3429 .46859 L
.34296 .46823 L
.34636 .46376 L
.3478 .46183 L
.34927 .45893 L
.35263 .45539 L
.35373 .4541 L
.35744 .44927 L
.35746 .44923 L
.36101 .44443 L
.36229 .4431 L
.36359 .4396 L
.36712 .43694 L
.36904 .43477 L
.37196 .43093 L
.3731 .42994 L
.37679 .42567 L
.37736 .42511 L
F
.3333 .40243 m
.33804 .40578 L
.33479 .41061 L
.3333 .41287 L
.33145 .41544 L
.32847 .4198 L
.32811 .42027 L
.32458 .42511 L
.32364 .4273 L
.32094 .42994 L
.31881 .43289 L
.3173 .43477 L
.31397 .43922 L
.31366 .4396 L
.3098 .44443 L
.30914 .44579 L
.30576 .44927 L
.30431 .45111 L
.30152 .4541 L
.29948 .45647 L
.29607 .4541 L
.29873 .44927 L
.29948 .44809 L
.30178 .44443 L
.30431 .44061 L
.305 .4396 L
.30791 .43477 L
.30914 .43325 L
.31175 .42994 L
.31397 .42689 L
.31531 .42511 L
.31881 .42041 L
.31891 .42027 L
.32172 .41544 L
.32364 .41389 L
.32649 .41061 L
.32847 .40665 L
.3305 .40578 L
F
1 .84 0 r
.35263 .39914 m
.35556 .40095 L
.35332 .40578 L
.35263 .40698 L
.35039 .41061 L
.3478 .41478 L
.34734 .41544 L
.34495 .42027 L
.34296 .42302 L
.34069 .42511 L
.33813 .42878 L
.33727 .42994 L
.334 .43477 L
.3333 .43565 L
.33021 .4396 L
.32847 .44294 L
.32658 .44443 L
.32364 .44845 L
.32298 .44927 L
.31963 .4541 L
.31881 .45491 L
.3155 .45893 L
.31397 .46165 L
.31163 .46376 L
.30914 .46698 L
.30772 .46859 L
.30431 .47277 L
.30369 .47342 L
.29948 .47813 L
.2962 .47342 L
.29885 .46859 L
.29948 .46742 L
.30203 .46376 L
.30431 .46035 L
.30526 .45893 L
.3086 .4541 L
.30914 .45318 L
.31126 .44927 L
.31397 .44595 L
.31544 .44443 L
.31881 .43984 L
.31899 .4396 L
.32247 .43477 L
.32364 .43328 L
.32472 .42994 L
.32847 .42668 L
.32999 .42511 L
.3333 .42085 L
.33378 .42027 L
.33746 .41544 L
.33813 .41482 L
.34171 .41061 L
.34296 .40886 L
.346 .40578 L
.3478 .40249 L
.35076 .40095 L
F
1 .96 0 r
.41544 .43777 m
.42027 .43523 L
.42217 .4396 L
.42027 .4437 L
.41991 .44443 L
.41705 .44927 L
.41544 .45291 L
.4141 .4541 L
.41061 .45876 L
.4105 .45893 L
.40607 .46376 L
.40578 .46598 L
.40339 .46859 L
.40095 .47297 L
.40048 .47342 L
.39699 .47826 L
.39612 .4794 L
.39239 .48309 L
.39128 .48616 L
.38974 .48792 L
.38645 .49264 L
.38639 .49275 L
.38281 .49758 L
.38162 .49908 L
.37862 .50242 L
.37679 .50567 L
.37564 .50725 L
.37196 .51208 L
.37195 .51208 L
.36732 .51691 L
.36712 .51846 L
.36452 .52174 L
.36229 .52502 L
.36147 .52658 L
.35748 .53141 L
.35746 .53142 L
.35336 .53624 L
.35263 .53773 L
.35031 .54107 L
.3478 .54426 L
.34744 .5459 L
.34296 .55068 L
.34292 .55073 L
.33911 .55557 L
.33813 .55688 L
.33603 .5604 L
.3333 .56335 L
.33185 .56523 L
.32847 .56972 L
.32818 .57006 L
.32452 .57489 L
.32364 .57575 L
.32151 .57973 L
.31881 .58196 L
.3167 .58456 L
.31397 .58802 L
.31271 .58939 L
.30914 .59373 L
.30854 .59422 L
.30431 .59869 L
.30388 .59905 L
.29948 .60264 L
.29637 .59905 L
.29819 .59422 L
.29948 .5921 L
.30093 .58939 L
.30386 .58456 L
.30431 .58374 L
.30737 .57973 L
.30914 .57572 L
.3101 .57489 L
.3137 .57006 L
.31397 .56968 L
.31802 .56523 L
.31881 .56272 L
.32078 .5604 L
.32364 .55598 L
.3239 .55557 L
.32773 .55073 L
.32847 .54976 L
.33182 .5459 L
.3333 .54309 L
.33478 .54107 L
.33813 .53658 L
.33853 .53624 L
.34289 .53141 L
.34296 .5303 L
.34589 .52658 L
.3478 .52372 L
.34887 .52174 L
.35263 .51726 L
.35299 .51691 L
.35694 .51208 L
.35746 .51097 L
.36008 .50725 L
.36229 .50444 L
.36282 .50242 L
.36712 .49799 L
.36751 .49758 L
.37122 .49275 L
.37196 .49174 L
.37432 .48792 L
.37679 .48525 L
.37851 .48309 L
.38162 .47883 L
.38214 .47826 L
.38573 .47342 L
.38645 .47266 L
.38867 .46859 L
.39128 .46631 L
.39334 .46376 L
.39612 .46001 L
.3971 .45893 L
.40088 .4541 L
.40095 .45405 L
.40426 .44927 L
.40578 .44824 L
.40916 .44443 L
.41061 .44266 L
.41378 .4396 L
F
1 .8 0 r
.37196 .41469 m
.37475 .41544 L
.37333 .42027 L
.37196 .42296 L
.37076 .42511 L
.36813 .42994 L
.36712 .43196 L
.36476 .43477 L
.36229 .43846 L
.36151 .4396 L
.35818 .44443 L
.35746 .44565 L
.35551 .44927 L
.35263 .45302 L
.35125 .4541 L
.3478 .45888 L
.34776 .45893 L
.34439 .46376 L
.34296 .46563 L
.34204 .46859 L
.33813 .47243 L
.33695 .47342 L
.33335 .47826 L
.3333 .47833 L
.33009 .48309 L
.32847 .4848 L
.32588 .48792 L
.32364 .49133 L
.32212 .49275 L
.31881 .49705 L
.31835 .49758 L
.31482 .50242 L
.31397 .50308 L
.31034 .50725 L
.30914 .50905 L
.30601 .51208 L
.30431 .51524 L
.3011 .51691 L
.29948 .51838 L
.29677 .51691 L
.29859 .51208 L
.29948 .51043 L
.3012 .50725 L
.30413 .50242 L
.30431 .50199 L
.30671 .49758 L
.30914 .49351 L
.31041 .49275 L
.31388 .48792 L
.31397 .48757 L
.31717 .48309 L
.31881 .48052 L
.31972 .47826 L
.32364 .47373 L
.32412 .47342 L
.32789 .46859 L
.32847 .46749 L
.33101 .46376 L
.3333 .46087 L
.33489 .45893 L
.33813 .45443 L
.33854 .4541 L
.34225 .44927 L
.34296 .44832 L
.34534 .44443 L
.3478 .44199 L
.34981 .4396 L
.35263 .43572 L
.35368 .43477 L
.35746 .4301 L
.35761 .42994 L
.36123 .42511 L
.36229 .42444 L
.36624 .42027 L
.36712 .41909 L
.37152 .41544 L
F
0 .84 1 r
.38162 .42162 m
.3853 .42511 L
.38389 .42994 L
.38162 .4322 L
.38011 .43477 L
.37699 .4396 L
.37679 .44012 L
.37408 .44443 L
.37196 .44812 L
.37052 .44927 L
.36713 .4541 L
.36712 .45411 L
.36355 .45893 L
.36229 .46107 L
.36072 .46376 L
.35746 .46794 L
.35663 .46859 L
.35288 .47342 L
.35263 .47405 L
.34961 .47826 L
.3478 .4807 L
.34698 .48309 L
.34296 .48728 L
.34224 .48792 L
.33856 .49275 L
.33813 .49341 L
.33536 .49758 L
.3333 .49988 L
.33122 .50242 L
.32847 .50633 L
.32752 .50725 L
.32384 .51208 L
.32364 .5123 L
.32064 .51691 L
.31881 .51849 L
.31604 .52174 L
.31397 .52465 L
.31203 .52658 L
.30914 .53083 L
.30787 .53141 L
.30431 .53535 L
.30332 .53624 L
.29948 .53967 L
.29683 .53624 L
.29889 .53141 L
.29948 .53056 L
.30168 .52658 L
.30431 .52233 L
.30467 .52174 L
.30798 .51691 L
.30914 .51451 L
.31059 .51208 L
.31397 .5079 L
.31442 .50725 L
.31832 .50242 L
.31881 .501 L
.32132 .49758 L
.32364 .49413 L
.32406 .49275 L
.32836 .48792 L
.32847 .48779 L
.33223 .48309 L
.3333 .48123 L
.33525 .47826 L
.33813 .47464 L
.33917 .47342 L
.34293 .46859 L
.34296 .46838 L
.34647 .46376 L
.3478 .462 L
.34939 .45893 L
.35263 .45557 L
.35389 .4541 L
.35746 .44938 L
.35761 .44927 L
.36123 .44443 L
.36229 .44335 L
.36388 .4396 L
.36712 .43726 L
.36935 .43477 L
.37196 .43128 L
.37352 .42994 L
.37679 .42625 L
.378 .42511 L
F
1 .82 0 r
.29948 .46883 m
.30301 .47342 L
.29948 .47715 L
.29699 .47342 L
F
0 .94 1 r
.29948 .40712 m
.30268 .41061 L
.29948 .41472 L
.29717 .41061 L
F
0 .92 1 r
.40578 .43266 m
.40793 .43477 L
.40663 .4396 L
.40578 .44089 L
.40399 .44443 L
.401 .44927 L
.40095 .4496 L
.39785 .4541 L
.39612 .45782 L
.3952 .45893 L
.39151 .46376 L
.39128 .46408 L
.38738 .46859 L
.38645 .4711 L
.38459 .47342 L
.38162 .47786 L
.38149 .47826 L
.37764 .48309 L
.37679 .4842 L
.37364 .48792 L
.37196 .49088 L
.37068 .49275 L
.36712 .49736 L
.36689 .49758 L
.36258 .50242 L
.36229 .50371 L
.35958 .50725 L
.35746 .51028 L
.35662 .51208 L
.35263 .51671 L
.35243 .51691 L
.34849 .52174 L
.3478 .523 L
.34536 .52658 L
.34296 .52949 L
.34274 .53141 L
.33813 .53589 L
.33782 .53624 L
.33409 .54107 L
.3333 .54206 L
.33099 .5459 L
.32847 .54843 L
.32662 .55073 L
.32364 .55471 L
.32286 .55557 L
.3191 .5604 L
.31881 .56066 L
.31584 .56523 L
.31397 .56654 L
.31086 .57006 L
.30914 .57221 L
.30635 .57489 L
.30431 .57749 L
.30078 .57973 L
.29948 .58061 L
.29734 .57973 L
.29834 .57489 L
.29948 .57247 L
.30065 .57006 L
.30359 .56523 L
.30431 .56307 L
.30609 .5604 L
.30914 .55626 L
.30959 .55557 L
.31362 .55073 L
.31397 .54901 L
.31644 .5459 L
.31881 .54192 L
.31934 .54107 L
.32322 .53624 L
.32364 .53569 L
.3273 .53141 L
.32847 .52895 L
.33023 .52658 L
.3333 .52233 L
.3339 .52174 L
.33746 .51691 L
.33813 .51605 L
.34129 .51208 L
.34296 .50947 L
.34427 .50725 L
.3478 .50296 L
.34832 .50242 L
.35228 .49758 L
.35263 .4967 L
.35548 .49275 L
.35746 .4902 L
.35827 .48792 L
.36229 .48373 L
.36288 .48309 L
.36662 .47826 L
.36712 .47753 L
.36983 .47342 L
.37196 .47113 L
.37397 .46859 L
.37679 .46476 L
.37768 .46376 L
.38138 .45893 L
.38162 .45869 L
.38464 .4541 L
.38645 .4526 L
.38924 .44927 L
.39128 .44659 L
.39332 .44443 L
.39612 .4408 L
.39765 .4396 L
.40095 .43616 L
.40272 .43477 L
F
1 .88 0 r
.39128 .42874 m
.39612 .42622 L
.39663 .42994 L
.39612 .43129 L
.39459 .43477 L
.39198 .4396 L
.39128 .44153 L
.38987 .44443 L
.38645 .44845 L
.38593 .44927 L
.38228 .4541 L
.38162 .45585 L
.3794 .45893 L
.37679 .46307 L
.37675 .46376 L
.37243 .46859 L
.37196 .46924 L
.36864 .47342 L
.36712 .47603 L
.36571 .47826 L
.36229 .48265 L
.36179 .48309 L
.35778 .48792 L
.35746 .48893 L
.35462 .49275 L
.35263 .49552 L
.35179 .49758 L
.3478 .502 L
.34736 .50242 L
.34356 .50725 L
.34296 .50823 L
.34039 .51208 L
.33813 .51471 L
.33636 .51691 L
.3333 .52112 L
.33269 .52174 L
.32902 .52658 L
.32847 .52722 L
.32588 .53141 L
.32364 .5335 L
.32137 .53624 L
.31881 .53972 L
.3175 .54107 L
.31397 .54568 L
.31357 .5459 L
.30969 .55073 L
.30914 .55107 L
.30484 .55557 L
.30431 .55622 L
.29948 .56005 L
.29768 .55557 L
.29948 .5516 L
.2999 .55073 L
.30229 .5459 L
.30431 .5431 L
.30554 .54107 L
.30907 .53624 L
.30914 .53551 L
.31217 .53141 L
.31397 .52806 L
.31489 .52658 L
.31877 .52174 L
.31881 .5217 L
.3228 .51691 L
.32364 .5149 L
.32573 .51208 L
.32847 .50816 L
.32862 .50725 L
.33287 .50242 L
.3333 .50187 L
.33673 .49758 L
.33813 .49529 L
.33972 .49275 L
.34296 .48874 L
.3437 .48792 L
.34762 .48309 L
.3478 .4825 L
.35094 .47826 L
.35263 .47603 L
.35378 .47342 L
.35746 .46957 L
.35832 .46859 L
.36206 .46376 L
.36229 .46341 L
.36544 .45893 L
.36712 .45714 L
.36955 .4541 L
.37196 .45087 L
.37338 .44927 L
.37679 .4448 L
.37724 .44443 L
.38104 .4396 L
.38162 .43917 L
.38555 .43477 L
.38645 .43366 L
.39033 .42994 L
F
0 .84 1 r
.29948 .44985 m
.30023 .4541 L
.29948 .45488 L
.29768 .4541 L
F
0 .82 1 r
.29948 .53172 m
.30241 .53624 L
.29948 .53839 L
.29782 .53624 L
F
1 .8 0 r
.29948 .47014 m
.30213 .47342 L
.29948 .47591 L
.29794 .47342 L
F
1 .78 0 r
.36712 .41984 m
.37196 .41631 L
.37268 .42027 L
.37196 .42189 L
.3703 .42511 L
.36772 .42994 L
.36712 .43117 L
.36449 .43477 L
.36229 .4381 L
.36128 .4396 L
.358 .44443 L
.35746 .44534 L
.35533 .44927 L
.35263 .45283 L
.35109 .4541 L
.3478 .45868 L
.34761 .45893 L
.34424 .46376 L
.34296 .46544 L
.34192 .46859 L
.33813 .47229 L
.33681 .47342 L
.3333 .47814 L
.33321 .47826 L
.32991 .48309 L
.32847 .4846 L
.32573 .48792 L
.32364 .49114 L
.32193 .49275 L
.31881 .49679 L
.31812 .49758 L
.31441 .50242 L
.31397 .50275 L
.31004 .50725 L
.30914 .5086 L
.30555 .51208 L
.30431 .51446 L
.29996 .51691 L
.29948 .51725 L
.29821 .51691 L
.29922 .51208 L
.29948 .51154 L
.30164 .50725 L
.30431 .50265 L
.30445 .50242 L
.30699 .49758 L
.30914 .49385 L
.31065 .49275 L
.31397 .48792 L
.31397 .48789 L
.31734 .48309 L
.31881 .48078 L
.31984 .47826 L
.32364 .47385 L
.32429 .47342 L
.328 .46859 L
.32847 .46771 L
.33116 .46376 L
.3333 .46107 L
.33505 .45893 L
.33813 .45457 L
.33871 .4541 L
.34241 .44927 L
.34296 .44854 L
.34554 .44443 L
.3478 .44224 L
.35002 .4396 L
.35263 .43595 L
.35394 .43477 L
.35746 .43046 L
.35793 .42994 L
.36197 .42511 L
.36229 .42491 L
.3668 .42027 L
F
0 .78 1 r
.29948 .49041 m
.30425 .49275 L
.29948 .49705 L
.29831 .49275 L
F
1 .86 0 r
.29948 .55362 m
.30389 .55557 L
.29948 .55786 L
.29888 .55557 L
F
0 .76 1 r
.29948 .49184 m
.30348 .49275 L
.29948 .49552 L
.2991 .49275 L
F
0 .8 1 r
.29948 .53379 m
.30076 .53624 L
.29948 .53648 L
.29929 .53624 L
F
1 .78 0 r
.29948 .47266 m
.30041 .47342 L
.29948 .47364 L
.29939 .47342 L
F
1 .82 0 r
.3478 .40375 m
.35257 .40578 L
.34982 .41061 L
.3478 .41402 L
.34686 .41544 L
.34436 .42027 L
.34296 .42224 L
.34035 .42511 L
.33813 .42833 L
.33695 .42994 L
.33363 .43477 L
.3333 .43518 L
.32994 .4396 L
.32847 .44255 L
.32631 .44443 L
.32364 .44808 L
.32268 .44927 L
.31919 .4541 L
.31881 .45447 L
.31518 .45893 L
.31397 .46116 L
.31126 .46376 L
.30914 .46647 L
.30724 .46859 L
.30431 .47211 L
.29962 .46859 L
.30254 .46376 L
.30431 .46107 L
.30571 .45893 L
.30897 .4541 L
.30914 .45381 L
.31164 .44927 L
.31397 .44642 L
.3158 .44443 L
.31881 .44032 L
.31934 .4396 L
.32283 .43477 L
.32364 .43376 L
.3251 .42994 L
.32847 .42712 L
.33037 .42511 L
.3333 .42136 L
.33421 .42027 L
.33811 .41544 L
.33813 .41542 L
.34227 .41061 L
.34296 .40963 L
.34676 .40578 L
F
0 .82 1 r
.38162 .42261 m
.38445 .42511 L
.38309 .42994 L
.38162 .43139 L
.37971 .43477 L
.37679 .43955 L
.37676 .4396 L
.37384 .44443 L
.37196 .44781 L
.37032 .44927 L
.36712 .45385 L
.36695 .4541 L
.36342 .45893 L
.36229 .46086 L
.3606 .46376 L
.35746 .46782 L
.3565 .46859 L
.35281 .47342 L
.35263 .47389 L
.3495 .47826 L
.3478 .48056 L
.3469 .48309 L
.34296 .48717 L
.34213 .48792 L
.33847 .49275 L
.33813 .49326 L
.33523 .49758 L
.3333 .49972 L
.33109 .50242 L
.32847 .50618 L
.32737 .50725 L
.32366 .51208 L
.32364 .5121 L
.32037 .51691 L
.31881 .51823 L
.3158 .52174 L
.31397 .52434 L
.31171 .52658 L
.30914 .53054 L
.30739 .53141 L
.30431 .53469 L
.29962 .53141 L
.30212 .52658 L
.30431 .52293 L
.30502 .52174 L
.30822 .51691 L
.30914 .51495 L
.31077 .51208 L
.31397 .5082 L
.31462 .50725 L
.31841 .50242 L
.31881 .50125 L
.32146 .49758 L
.32364 .49432 L
.32412 .49275 L
.32847 .48793 L
.3285 .48792 L
.33233 .48309 L
.3333 .4814 L
.33536 .47826 L
.33813 .47479 L
.33929 .47342 L
.34295 .46859 L
.34296 .46853 L
.3466 .46376 L
.3478 .46217 L
.34952 .45893 L
.35263 .45575 L
.35404 .4541 L
.35746 .44953 L
.35779 .44927 L
.36146 .44443 L
.36229 .4436 L
.36421 .4396 L
.36712 .43758 L
.36967 .43477 L
.37196 .43167 L
.37397 .42994 L
.37679 .42685 L
.37877 .42511 L
F
0 .84 1 r
.3333 .40362 m
.33709 .40578 L
.33413 .41061 L
.3333 .41192 L
.33083 .41544 L
.32847 .419 L
.32752 .42027 L
.32409 .42511 L
.32364 .42623 L
.32043 .42994 L
.31881 .4322 L
.31674 .43477 L
.31397 .43848 L
.31302 .4396 L
.30921 .44443 L
.30914 .44458 L
.30499 .44927 L
.30431 .45011 L
.2998 .44927 L
.30262 .44443 L
.30431 .44178 L
.30575 .4396 L
.30889 .43477 L
.30914 .43446 L
.3124 .42994 L
.31397 .42777 L
.31596 .42511 L
.31881 .42127 L
.3196 .42027 L
.32296 .41544 L
.32364 .41492 L
.32725 .41061 L
.32847 .40782 L
.33143 .40578 L
F
1 .76 0 r
.36712 .42061 m
.36982 .42511 L
.36726 .42994 L
.36712 .43023 L
.36422 .43477 L
.36229 .43773 L
.36104 .4396 L
.3578 .44443 L
.35746 .44502 L
.35515 .44927 L
.35263 .45262 L
.35093 .4541 L
.3478 .45847 L
.34746 .45893 L
.34409 .46376 L
.34296 .46524 L
.34179 .46859 L
.33813 .47214 L
.33667 .47342 L
.3333 .47796 L
.33306 .47826 L
.32973 .48309 L
.32847 .48439 L
.32557 .48792 L
.32364 .49094 L
.32174 .49275 L
.31881 .49653 L
.3179 .49758 L
.31397 .50241 L
.31397 .50242 L
.30971 .50725 L
.30914 .50811 L
.30502 .51208 L
.30431 .51346 L
.29997 .51208 L
.30211 .50725 L
.30431 .50329 L
.30482 .50242 L
.30731 .49758 L
.30914 .49427 L
.3109 .49275 L
.31397 .48822 L
.31418 .48792 L
.31752 .48309 L
.31881 .48105 L
.31997 .47826 L
.32364 .47399 L
.32446 .47342 L
.32811 .46859 L
.32847 .46793 L
.33131 .46376 L
.3333 .46128 L
.33521 .45893 L
.33813 .45471 L
.33888 .4541 L
.34258 .44927 L
.34296 .44876 L
.34576 .44443 L
.3478 .44249 L
.35024 .4396 L
.35263 .4362 L
.3542 .43477 L
.35746 .43081 L
.35827 .42994 L
.36229 .42538 L
.36258 .42511 L
F
0 .9 1 r
.40095 .43757 m
.40497 .4396 L
.40307 .44443 L
.40095 .44834 L
.40044 .44927 L
.3974 .4541 L
.39612 .45716 L
.39492 .45893 L
.39128 .46359 L
.39117 .46376 L
.38721 .46859 L
.38645 .47075 L
.38438 .47342 L
.38162 .47768 L
.38145 .47826 L
.37747 .48309 L
.37679 .48399 L
.37352 .48792 L
.37196 .4907 L
.37057 .49275 L
.36712 .49724 L
.36676 .49758 L
.36254 .50242 L
.36229 .50357 L
.35948 .50725 L
.35746 .51014 L
.35655 .51208 L
.35263 .51659 L
.35232 .51691 L
.34841 .52174 L
.3478 .52286 L
.34525 .52658 L
.34296 .52934 L
.34269 .53141 L
.33813 .53573 L
.33767 .53624 L
.33395 .54107 L
.3333 .54187 L
.33079 .5459 L
.32847 .54817 L
.32639 .55073 L
.32364 .55441 L
.32256 .55557 L
.31881 .56032 L
.31869 .5604 L
.31508 .56523 L
.31397 .56595 L
.31017 .57006 L
.30914 .57131 L
.30509 .57489 L
.30431 .57585 L
.30007 .57489 L
.30166 .57006 L
.30415 .56523 L
.30431 .56469 L
.30656 .5604 L
.30914 .55695 L
.31 .55557 L
.31374 .55073 L
.31397 .5495 L
.31669 .5459 L
.31881 .54218 L
.31947 .54107 L
.32342 .53624 L
.32364 .53594 L
.32742 .53141 L
.32847 .52916 L
.33035 .52658 L
.3333 .52246 L
.33403 .52174 L
.33758 .51691 L
.33813 .5162 L
.34139 .51208 L
.34296 .50961 L
.34435 .50725 L
.3478 .50307 L
.34842 .50242 L
.35233 .49758 L
.35263 .49683 L
.35558 .49275 L
.35746 .49034 L
.35835 .48792 L
.36229 .48387 L
.363 .48309 L
.36672 .47826 L
.36712 .47769 L
.36999 .47342 L
.37196 .47134 L
.37414 .46859 L
.37679 .46499 L
.3779 .46376 L
.38162 .45895 L
.38165 .45893 L
.38508 .4541 L
.38645 .45301 L
.38967 .44927 L
.39128 .44717 L
.39396 .44443 L
.39612 .44157 L
.39875 .4396 L
F
0 .8 1 r
.38162 .42376 m
.38338 .42511 L
.38208 .42994 L
.38162 .43041 L
.37931 .43477 L
.37679 .43903 L
.37644 .4396 L
.37359 .44443 L
.37196 .44744 L
.37011 .44927 L
.36712 .45359 L
.36677 .4541 L
.36329 .45893 L
.36229 .46064 L
.36048 .46376 L
.35746 .46769 L
.35637 .46859 L
.35275 .47342 L
.35263 .47373 L
.34939 .47826 L
.3478 .4804 L
.34682 .48309 L
.34296 .48706 L
.34201 .48792 L
.33837 .49275 L
.33813 .49311 L
.3351 .49758 L
.3333 .49956 L
.33096 .50242 L
.32847 .50602 L
.32721 .50725 L
.32364 .51189 L
.32348 .51208 L
.32009 .51691 L
.31881 .51797 L
.31556 .52174 L
.31397 .52401 L
.31137 .52658 L
.30914 .53018 L
.30686 .53141 L
.30431 .53399 L
.3003 .53141 L
.30258 .52658 L
.30431 .52359 L
.30537 .52174 L
.30846 .51691 L
.30914 .51542 L
.31097 .51208 L
.31397 .50851 L
.31483 .50725 L
.3185 .50242 L
.31881 .5015 L
.32161 .49758 L
.32364 .49451 L
.32418 .49275 L
.32847 .48799 L
.32864 .48792 L
.33243 .48309 L
.3333 .48157 L
.33547 .47826 L
.33813 .47494 L
.33942 .47342 L
.34296 .46864 L
.34304 .46859 L
.34672 .46376 L
.3478 .46235 L
.34965 .45893 L
.35263 .45594 L
.35421 .4541 L
.35746 .44969 L
.35798 .44927 L
.36171 .44443 L
.36229 .44386 L
.36458 .4396 L
.36712 .43791 L
.37 .43477 L
.37196 .43208 L
.37446 .42994 L
.37679 .42747 L
.37977 .42511 L
F
1 .8 0 r
.3478 .40561 m
.35134 .40578 L
.34919 .41061 L
.3478 .41313 L
.34634 .41544 L
.34367 .42027 L
.34296 .42128 L
.34 .42511 L
.33813 .42786 L
.33662 .42994 L
.3333 .4347 L
.33325 .43477 L
.32966 .4396 L
.32847 .4421 L
.32602 .44443 L
.32364 .44769 L
.32237 .44927 L
.31881 .45401 L
.31873 .4541 L
.31485 .45893 L
.31397 .4606 L
.31085 .46376 L
.30914 .46594 L
.30669 .46859 L
.30431 .47139 L
.30031 .46859 L
.30308 .46376 L
.30431 .46184 L
.30617 .45893 L
.30914 .45446 L
.30939 .4541 L
.31209 .44927 L
.31397 .44697 L
.31617 .44443 L
.31881 .4408 L
.31971 .4396 L
.32322 .43477 L
.32364 .43426 L
.32558 .42994 L
.32847 .4276 L
.33077 .42511 L
.3333 .42188 L
.33467 .42027 L
.33813 .41603 L
.33867 .41544 L
.34289 .41061 L
.34296 .41051 L
.34771 .40578 L
F
0 .94 1 r
.30914 .39385 m
.31376 .39612 L
.31016 .40095 L
.30914 .40241 L
.30644 .40578 L
.30431 .40872 L
.30044 .40578 L
.30381 .40095 L
.30431 .39963 L
.30743 .39612 L
F
1 .86 0 r
.38645 .43437 m
.39128 .43008 L
.3938 .43477 L
.39144 .4396 L
.39128 .44007 L
.38952 .44443 L
.38645 .4479 L
.3856 .44927 L
.38211 .4541 L
.38162 .45544 L
.3792 .45893 L
.37679 .46287 L
.37674 .46376 L
.37227 .46859 L
.37196 .46902 L
.36852 .47342 L
.36712 .47585 L
.36561 .47826 L
.36229 .48255 L
.36167 .48309 L
.35773 .48792 L
.35746 .48878 L
.35453 .49275 L
.35263 .49539 L
.35173 .49758 L
.3478 .50189 L
.34725 .50242 L
.34348 .50725 L
.34296 .5081 L
.34028 .51208 L
.33813 .51456 L
.33624 .51691 L
.3333 .52097 L
.33255 .52174 L
.32887 .52658 L
.32847 .52704 L
.32567 .53141 L
.32364 .53326 L
.32115 .53624 L
.31881 .53943 L
.31721 .54107 L
.31397 .54545 L
.31317 .5459 L
.30914 .55049 L
.30889 .55073 L
.30431 .55525 L
.30064 .55073 L
.30283 .5459 L
.30431 .54387 L
.30595 .54107 L
.30912 .53624 L
.30914 .53604 L
.3124 .53141 L
.31397 .52838 L
.31504 .52658 L
.31881 .52197 L
.31896 .52174 L
.32291 .51691 L
.32364 .51512 L
.32586 .51208 L
.32847 .50831 L
.32864 .50725 L
.33299 .50242 L
.3333 .50203 L
.33683 .49758 L
.33813 .49544 L
.33981 .49275 L
.34296 .48886 L
.34381 .48792 L
.34766 .48309 L
.3478 .48263 L
.35104 .47826 L
.35263 .47618 L
.35387 .47342 L
.35746 .46973 L
.35845 .46859 L
.36216 .46376 L
.36229 .46358 L
.36562 .45893 L
.36712 .45736 L
.36974 .4541 L
.37196 .45113 L
.37362 .44927 L
.37679 .44506 L
.37756 .44443 L
.38162 .43962 L
.38164 .4396 L
.38612 .43477 L
F
0 .78 1 r
.35746 .41255 m
.36119 .41544 L
.35858 .42027 L
.35746 .42211 L
.35555 .42511 L
.35263 .42965 L
.35243 .42994 L
.34991 .43477 L
.3478 .43765 L
.34569 .4396 L
.34296 .44347 L
.34225 .44443 L
.33893 .44927 L
.33813 .45029 L
.33687 .4541 L
.3333 .4574 L
.33152 .45893 L
.32847 .46306 L
.32791 .46376 L
.32453 .46859 L
.32364 .46949 L
.3204 .47342 L
.31881 .47612 L
.31654 .47826 L
.31397 .48155 L
.31262 .48309 L
.30914 .48733 L
.30859 .48792 L
.30431 .4927 L
.3008 .48792 L
.30337 .48309 L
.30431 .48131 L
.30666 .47826 L
.30914 .47454 L
.30989 .47342 L
.31321 .46859 L
.31397 .46733 L
.31572 .46376 L
.31881 .46008 L
.32008 .45893 L
.32361 .4541 L
.32364 .45405 L
.32701 .44927 L
.32847 .44744 L
.329 .44443 L
.3333 .44079 L
.33456 .4396 L
.33813 .43496 L
.33829 .43477 L
.34178 .42994 L
.34296 .42884 L
.34612 .42511 L
.3478 .4227 L
.35027 .42027 L
.35263 .41752 L
.3547 .41544 L
F
1 .94 0 r
.41061 .44457 m
.41528 .44927 L
.413 .4541 L
.41061 .45718 L
.40958 .45893 L
.40585 .46376 L
.40578 .46491 L
.40284 .46859 L
.40095 .47249 L
.40011 .47342 L
.39659 .47826 L
.39612 .4789 L
.39216 .48309 L
.39128 .4858 L
.3895 .48792 L
.38645 .49244 L
.3863 .49275 L
.38261 .49758 L
.38162 .49884 L
.37847 .50242 L
.37679 .50548 L
.37552 .50725 L
.37196 .51193 L
.37182 .51208 L
.36728 .51691 L
.36712 .5183 L
.36441 .52174 L
.36229 .52485 L
.36139 .52658 L
.35746 .53128 L
.35735 .53141 L
.35328 .53624 L
.35263 .53756 L
.35018 .54107 L
.3478 .54407 L
.34739 .5459 L
.34296 .55048 L
.34274 .55073 L
.33896 .55557 L
.33813 .55664 L
.33582 .5604 L
.3333 .56304 L
.33158 .56523 L
.32847 .56934 L
.32784 .57006 L
.32409 .57489 L
.32364 .5753 L
.32084 .57973 L
.31881 .58125 L
.31596 .58456 L
.31397 .587 L
.31159 .58939 L
.30914 .59238 L
.30655 .59422 L
.30431 .59608 L
.30088 .59422 L
.3025 .58939 L
.30431 .58588 L
.30501 .58456 L
.30806 .57973 L
.30914 .57676 L
.31058 .57489 L
.31397 .5704 L
.3142 .57006 L
.31824 .56523 L
.31881 .56321 L
.32106 .5604 L
.32364 .5562 L
.32401 .55557 L
.32795 .55073 L
.32847 .55004 L
.33196 .5459 L
.3333 .5433 L
.33491 .54107 L
.33813 .53671 L
.33867 .53624 L
.3429 .53141 L
.34296 .53046 L
.34599 .52658 L
.3478 .52386 L
.34895 .52174 L
.35263 .51737 L
.3531 .51691 L
.35701 .51208 L
.35746 .51111 L
.36018 .50725 L
.36229 .50458 L
.36288 .50242 L
.36712 .49813 L
.36764 .49758 L
.37134 .49275 L
.37196 .49191 L
.37447 .48792 L
.37679 .48546 L
.37869 .48309 L
.38162 .47906 L
.38236 .47826 L
.38599 .47342 L
.38645 .47295 L
.38905 .46859 L
.39128 .46673 L
.39374 .46376 L
.39612 .46056 L
.39765 .45893 L
.40095 .45461 L
.40167 .4541 L
.40578 .44941 L
.40592 .44927 L
F
1 .74 0 r
.36229 .42587 m
.36684 .42994 L
.36394 .43477 L
.36229 .43734 L
.3608 .4396 L
.3576 .44443 L
.35746 .44468 L
.35495 .44927 L
.35263 .45238 L
.35077 .4541 L
.3478 .45827 L
.3473 .45893 L
.34394 .46376 L
.34296 .46504 L
.34165 .46859 L
.33813 .47198 L
.33653 .47342 L
.3333 .47777 L
.33291 .47826 L
.32953 .48309 L
.32847 .48418 L
.3254 .48792 L
.32364 .49072 L
.32155 .49275 L
.31881 .49627 L
.31766 .49758 L
.31397 .50209 L
.31367 .50242 L
.30936 .50725 L
.30914 .50758 L
.30438 .51208 L
.30431 .51221 L
.30098 .51208 L
.3026 .50725 L
.30431 .504 L
.30519 .50242 L
.30765 .49758 L
.30914 .4948 L
.31116 .49275 L
.31397 .48855 L
.3144 .48792 L
.31771 .48309 L
.31881 .48134 L
.3201 .47826 L
.32364 .47414 L
.32463 .47342 L
.32823 .46859 L
.32847 .46815 L
.33147 .46376 L
.3333 .46149 L
.33537 .45893 L
.33813 .45487 L
.33905 .4541 L
.34275 .44927 L
.34296 .44899 L
.34599 .44443 L
.3478 .44274 L
.35046 .4396 L
.35263 .43647 L
.35447 .43477 L
.35746 .43117 L
.35863 .42994 L
F
0 .78 1 r
.37679 .42813 m
.3812 .42994 L
.37889 .43477 L
.37679 .43846 L
.37611 .4396 L
.37332 .44443 L
.37196 .44702 L
.36989 .44927 L
.36712 .45332 L
.36658 .4541 L
.36315 .45893 L
.36229 .46041 L
.36036 .46376 L
.35746 .46755 L
.35624 .46859 L
.35268 .47342 L
.35263 .47356 L
.34928 .47826 L
.3478 .48025 L
.34673 .48309 L
.34296 .48694 L
.3419 .48792 L
.33827 .49275 L
.33813 .49296 L
.33497 .49758 L
.3333 .49939 L
.33082 .50242 L
.32847 .50586 L
.32706 .50725 L
.32364 .51167 L
.32329 .51208 L
.31978 .51691 L
.31881 .5177 L
.31531 .52174 L
.31397 .52366 L
.31102 .52658 L
.30914 .52972 L
.30624 .53141 L
.30431 .53323 L
.30108 .53141 L
.30306 .52658 L
.30431 .52431 L
.30574 .52174 L
.30871 .51691 L
.30914 .51594 L
.31118 .51208 L
.31397 .50883 L
.31503 .50725 L
.31859 .50242 L
.31881 .50176 L
.32175 .49758 L
.32364 .49471 L
.32425 .49275 L
.32847 .48805 L
.32878 .48792 L
.33253 .48309 L
.3333 .48174 L
.33558 .47826 L
.33813 .47509 L
.33954 .47342 L
.34296 .46873 L
.34318 .46859 L
.34684 .46376 L
.3478 .46252 L
.34979 .45893 L
.35263 .45613 L
.35437 .4541 L
.35746 .44984 L
.35817 .44927 L
.36196 .44443 L
.36229 .44411 L
.36501 .4396 L
.36712 .43825 L
.37034 .43477 L
.37196 .43253 L
.375 .42994 L
F
1 .78 0 r
.33813 .41666 m
.34291 .42027 L
.33964 .42511 L
.33813 .42736 L
.33627 .42994 L
.3333 .43425 L
.33291 .43477 L
.32937 .4396 L
.32847 .44157 L
.32571 .44443 L
.32364 .44729 L
.32204 .44927 L
.31881 .45358 L
.31837 .4541 L
.31451 .45893 L
.31397 .45996 L
.31041 .46376 L
.30914 .46536 L
.30606 .46859 L
.30431 .47057 L
.30111 .46859 L
.30366 .46376 L
.30431 .4627 L
.30666 .45893 L
.30914 .45512 L
.30983 .4541 L
.31262 .44927 L
.31397 .44761 L
.31654 .44443 L
.31881 .44131 L
.32008 .4396 L
.32364 .43478 L
.32365 .43477 L
.32617 .42994 L
.32847 .42814 L
.33118 .42511 L
.3333 .42243 L
.33515 .42027 L
F
0 .76 1 r
.35746 .41336 m
.36047 .41544 L
.35814 .42027 L
.35746 .42144 L
.35519 .42511 L
.35263 .42919 L
.35212 .42994 L
.34958 .43477 L
.3478 .43722 L
.34546 .4396 L
.34296 .44318 L
.34203 .44443 L
.3387 .44927 L
.33813 .44999 L
.33662 .4541 L
.3333 .45716 L
.33133 .45893 L
.32847 .4628 L
.3277 .46376 L
.32425 .46859 L
.32364 .46919 L
.32019 .47342 L
.31881 .4758 L
.31628 .47826 L
.31397 .4812 L
.31229 .48309 L
.30914 .48688 L
.30813 .48792 L
.30431 .49204 L
.30134 .48792 L
.30391 .48309 L
.30431 .4823 L
.307 .47826 L
.30914 .47501 L
.31019 .47342 L
.31346 .46859 L
.31397 .46775 L
.31596 .46376 L
.31881 .46036 L
.32032 .45893 L
.32364 .45436 L
.32384 .4541 L
.32725 .44927 L
.32847 .44774 L
.3292 .44443 L
.3333 .44106 L
.3348 .4396 L
.33813 .43529 L
.33857 .43477 L
.34217 .42994 L
.34296 .42922 L
.34645 .42511 L
.3478 .42315 L
.3507 .42027 L
.35263 .41807 L
.35536 .41544 L
F
1 .84 0 r
.38645 .4351 m
.39084 .4396 L
.38909 .44443 L
.38645 .44732 L
.38527 .44927 L
.38195 .4541 L
.38162 .45501 L
.379 .45893 L
.37679 .46265 L
.37672 .46376 L
.3721 .46859 L
.37196 .46879 L
.3684 .47342 L
.36712 .47567 L
.36551 .47826 L
.36229 .48243 L
.36155 .48309 L
.35768 .48792 L
.35746 .48864 L
.35443 .49275 L
.35263 .49525 L
.35166 .49758 L
.3478 .50179 L
.34714 .50242 L
.3434 .50725 L
.34296 .50796 L
.34017 .51208 L
.33813 .51441 L
.33612 .51691 L
.3333 .52083 L
.33241 .52174 L
.32871 .52658 L
.32847 .52685 L
.32544 .53141 L
.32364 .53301 L
.32093 .53624 L
.31881 .53914 L
.31692 .54107 L
.31397 .5452 L
.31275 .5459 L
.30914 .54989 L
.30821 .55073 L
.30431 .55425 L
.30145 .55073 L
.30345 .5459 L
.30431 .54472 L
.30635 .54107 L
.30914 .53658 L
.30935 .53624 L
.31263 .53141 L
.31397 .52873 L
.31519 .52658 L
.31881 .52224 L
.31915 .52174 L
.32301 .51691 L
.32364 .51533 L
.32599 .51208 L
.32847 .50847 L
.32867 .50725 L
.33311 .50242 L
.3333 .50218 L
.33692 .49758 L
.33813 .49559 L
.3399 .49275 L
.34296 .48899 L
.34392 .48792 L
.3477 .48309 L
.3478 .48276 L
.35115 .47826 L
.35263 .47633 L
.35397 .47342 L
.35746 .46988 L
.35859 .46859 L
.36228 .46376 L
.36229 .46374 L
.3658 .45893 L
.36712 .45758 L
.36994 .4541 L
.37196 .45139 L
.37387 .44927 L
.37679 .44533 L
.3779 .44443 L
.38162 .4401 L
.38212 .4396 L
F
1 .9 0 r
.30431 .42088 m
.30782 .42511 L
.30431 .42958 L
.3015 .42511 L
F
0 .74 1 r
.30431 .48335 m
.30761 .48792 L
.30431 .4913 L
.30193 .48792 L
F
0 .76 1 r
.37679 .42884 m
.38039 .42994 L
.37845 .43477 L
.37679 .43784 L
.37577 .4396 L
.37304 .44443 L
.37196 .44654 L
.36968 .44927 L
.36712 .45304 L
.3664 .4541 L
.36301 .45893 L
.36229 .46017 L
.36023 .46376 L
.35746 .4674 L
.3561 .46859 L
.35263 .4734 L
.35261 .47342 L
.34916 .47826 L
.3478 .48009 L
.34664 .48309 L
.34296 .48682 L
.34178 .48792 L
.33817 .49275 L
.33813 .4928 L
.33482 .49758 L
.3333 .49923 L
.33069 .50242 L
.32847 .5057 L
.3269 .50725 L
.32364 .51146 L
.3231 .51208 L
.31946 .51691 L
.31881 .51743 L
.31504 .52174 L
.31397 .52329 L
.31063 .52658 L
.30914 .52914 L
.30545 .53141 L
.30431 .53236 L
.30205 .53141 L
.30357 .52658 L
.30431 .52514 L
.30611 .52174 L
.30897 .51691 L
.30914 .51652 L
.31141 .51208 L
.31397 .50916 L
.31524 .50725 L
.31868 .50242 L
.31881 .50203 L
.3219 .49758 L
.32364 .49492 L
.32432 .49275 L
.32847 .48811 L
.32892 .48792 L
.33263 .48309 L
.3333 .48191 L
.3357 .47826 L
.33813 .47525 L
.33967 .47342 L
.34296 .46882 L
.34331 .46859 L
.34697 .46376 L
.3478 .4627 L
.34994 .45893 L
.35263 .45632 L
.35453 .4541 L
.35746 .45001 L
.35836 .44927 L
.36223 .44443 L
.36229 .44437 L
.3655 .4396 L
.36712 .4386 L
.37071 .43477 L
.37196 .43302 L
.37563 .42994 L
F
1 .76 0 r
.33813 .41734 m
.34238 .42027 L
.33925 .42511 L
.33813 .42681 L
.3359 .42994 L
.3333 .43377 L
.33255 .43477 L
.32907 .4396 L
.32847 .44096 L
.3254 .44443 L
.32364 .44686 L
.3217 .44927 L
.31881 .45312 L
.31797 .4541 L
.31413 .45893 L
.31397 .45924 L
.30992 .46376 L
.30914 .46473 L
.30524 .46859 L
.30431 .46957 L
.30214 .46859 L
.3043 .46376 L
.30431 .46374 L
.30718 .45893 L
.30914 .45584 L
.3103 .4541 L
.31323 .44927 L
.31397 .44836 L
.31693 .44443 L
.31881 .44183 L
.32047 .4396 L
.32364 .4353 L
.32405 .43477 L
.3269 .42994 L
.32847 .42875 L
.33162 .42511 L
.3333 .42299 L
.33567 .42027 L
F
1 .98 0 r
.46376 .40069 m
.4679 .40095 L
.4675 .40578 L
.4643 .41061 L
.46376 .41187 L
.46151 .41544 L
.45893 .41835 L
.45692 .42027 L
.4541 .42341 L
.45307 .42511 L
.44927 .42908 L
.44769 .42994 L
.44927 .43475 L
.4541 .43353 L
.45893 .43375 L
.46072 .43477 L
.45893 .43845 L
.45824 .4396 L
.45494 .44443 L
.4541 .44591 L
.45222 .44927 L
.44927 .45193 L
.44737 .4541 L
.44443 .45724 L
.44353 .45893 L
.4396 .46313 L
.43875 .46376 L
.43477 .46619 L
.43012 .46859 L
.42994 .46871 L
.42561 .47342 L
.42511 .47397 L
.42338 .47826 L
.42192 .48309 L
.42027 .4872 L
.4192 .48792 L
.41728 .49275 L
.41544 .49558 L
.4132 .49758 L
.41061 .50231 L
.41048 .50242 L
.40702 .50725 L
.40578 .5088 L
.40237 .51208 L
.40095 .51541 L
.39959 .51691 L
.3962 .52174 L
.39612 .52182 L
.39266 .52658 L
.39128 .52822 L
.3882 .53141 L
.38645 .5348 L
.38532 .53624 L
.38177 .54107 L
.38162 .54119 L
.3782 .5459 L
.37679 .54755 L
.37412 .55073 L
.37196 .55412 L
.37106 .55557 L
.36728 .5604 L
.36712 .56049 L
.36282 .56523 L
.36229 .5668 L
.35992 .57006 L
.35746 .57338 L
.35687 .57489 L
.35273 .57973 L
.35263 .57976 L
.34873 .58456 L
.3478 .58595 L
.34565 .58939 L
.34296 .59252 L
.34172 .59422 L
.33813 .59897 L
.33806 .59905 L
.33431 .60388 L
.3333 .6049 L
.33123 .60872 L
.32847 .61128 L
.32674 .61355 L
.32364 .61749 L
.32288 .61838 L
.31894 .62321 L
.31881 .62329 L
.31522 .62804 L
.31397 .6287 L
.30987 .63288 L
.30914 .6336 L
.30431 .637 L
.30221 .63288 L
.30423 .62804 L
.30431 .62786 L
.30652 .62321 L
.30914 .61942 L
.30977 .61838 L
.31371 .61355 L
.31397 .61162 L
.31646 .60872 L
.31881 .60512 L
.31936 .60388 L
.3231 .59905 L
.32364 .59828 L
.32728 .59422 L
.32847 .59137 L
.33016 .58939 L
.3333 .58472 L
.33335 .58456 L
.33732 .57973 L
.33813 .57861 L
.34123 .57489 L
.34296 .57191 L
.34422 .57006 L
.3478 .56545 L
.34816 .56523 L
.35227 .5604 L
.35263 .55921 L
.35536 .55557 L
.35746 .5526 L
.35825 .55073 L
.36229 .54617 L
.36264 .5459 L
.36644 .54107 L
.36712 .53989 L
.36955 .53624 L
.37196 .53333 L
.37355 .53141 L
.37679 .5269 L
.37714 .52658 L
.38075 .52174 L
.38162 .52062 L
.38374 .51691 L
.38645 .5141 L
.38811 .51208 L
.39128 .50767 L
.3917 .50725 L
.39518 .50242 L
.39612 .50143 L
.39783 .49758 L
.40095 .49497 L
.40276 .49275 L
.40578 .48857 L
.40639 .48792 L
.40965 .48309 L
.41061 .48241 L
.41398 .47826 L
.41544 .47615 L
.41795 .47342 L
.42027 .47043 L
.42193 .46859 L
.42511 .46455 L
.42569 .46376 L
.4293 .45893 L
.42994 .45749 L
.433 .4541 L
.43477 .45089 L
.43653 .44927 L
.4396 .44506 L
.44001 .44443 L
.44391 .4396 L
.44443 .43894 L
.44924 .43477 L
.44443 .43076 L
.44075 .42994 L
.44014 .42511 L
.44293 .42027 L
.44443 .41774 L
.44696 .41544 L
.44927 .41192 L
.44998 .41061 L
.4541 .40599 L
.4542 .40578 L
.45893 .40186 L
.46213 .40095 L
F
1 .82 0 r
.38645 .43586 m
.39021 .4396 L
.38857 .44443 L
.38645 .44669 L
.38493 .44927 L
.38178 .4541 L
.38162 .45455 L
.37879 .45893 L
.37679 .4624 L
.37668 .46376 L
.37196 .46856 L
.37193 .46859 L
.36829 .47342 L
.36712 .47548 L
.3654 .47826 L
.36229 .48232 L
.36143 .48309 L
.35764 .48792 L
.35746 .48849 L
.35433 .49275 L
.35263 .49511 L
.35159 .49758 L
.3478 .50168 L
.34704 .50242 L
.34332 .50725 L
.34296 .50782 L
.34005 .51208 L
.33813 .51426 L
.33599 .51691 L
.3333 .52068 L
.33226 .52174 L
.32855 .52658 L
.32847 .52666 L
.3252 .53141 L
.32364 .53277 L
.3207 .53624 L
.31881 .53884 L
.31661 .54107 L
.31397 .5449 L
.31229 .5459 L
.30914 .54926 L
.30736 .55073 L
.30431 .55308 L
.30237 .55073 L
.30418 .5459 L
.30431 .54573 L
.30677 .54107 L
.30914 .53713 L
.30968 .53624 L
.31285 .53141 L
.31397 .52912 L
.31535 .52658 L
.31881 .52252 L
.31934 .52174 L
.3231 .51691 L
.32364 .51556 L
.32612 .51208 L
.32847 .50863 L
.3287 .50725 L
.33324 .50242 L
.3333 .50234 L
.33701 .49758 L
.33813 .49574 L
.34 .49275 L
.34296 .48912 L
.34403 .48792 L
.34774 .48309 L
.3478 .48289 L
.35125 .47826 L
.35263 .47648 L
.35407 .47342 L
.35746 .47003 L
.35873 .46859 L
.36229 .46386 L
.36243 .46376 L
.366 .45893 L
.36712 .45779 L
.37014 .4541 L
.37196 .45166 L
.37413 .44927 L
.37679 .44561 L
.37825 .44443 L
.38162 .44059 L
.38265 .4396 L
F
0 .72 1 r
.30431 .48427 m
.30697 .48792 L
.30431 .49043 L
.3026 .48792 L
F
0 .96 1 r
.43477 .43688 m
.43949 .4396 L
.43682 .44443 L
.43477 .44731 L
.43328 .44927 L
.42994 .45333 L
.4293 .4541 L
.42512 .45893 L
.42511 .45894 L
.42121 .46376 L
.42027 .46529 L
.41761 .46859 L
.41544 .47319 L
.41519 .47342 L
.41175 .47826 L
.41061 .47998 L
.40747 .48309 L
.40578 .48728 L
.40514 .48792 L
.40176 .49275 L
.40095 .49381 L
.39706 .49758 L
.39612 .50058 L
.3945 .50242 L
.39128 .5071 L
.3912 .50725 L
.38763 .51208 L
.38645 .51352 L
.38333 .51691 L
.38162 .52012 L
.3804 .52174 L
.37679 .52656 L
.37678 .52658 L
.37321 .53141 L
.37196 .53291 L
.36925 .53624 L
.36712 .53947 L
.3662 .54107 L
.3623 .5459 L
.36229 .54591 L
.35806 .55073 L
.35746 .55217 L
.35504 .55557 L
.35263 .5587 L
.3521 .5604 L
.3478 .56514 L
.34772 .56523 L
.34384 .57006 L
.34296 .57128 L
.34071 .57489 L
.33813 .57773 L
.33662 .57973 L
.3333 .58409 L
.33291 .58456 L
.32917 .58939 L
.32847 .59005 L
.326 .59422 L
.32364 .59616 L
.32126 .59905 L
.31881 .60208 L
.31713 .60388 L
.31397 .60765 L
.31267 .60872 L
.30914 .61324 L
.30716 .61355 L
.30431 .61511 L
.30275 .61355 L
.30385 .60872 L
.30431 .60794 L
.30627 .60388 L
.30914 .59905 L
.30914 .59892 L
.31234 .59422 L
.31397 .59029 L
.31497 .58939 L
.3187 .58456 L
.31881 .5844 L
.32279 .57973 L
.32364 .57731 L
.32563 .57489 L
.32847 .57045 L
.32867 .57006 L
.33265 .56523 L
.3333 .56434 L
.3366 .5604 L
.33813 .55762 L
.33957 .55557 L
.34296 .55108 L
.34342 .55073 L
.34759 .5459 L
.3478 .54484 L
.35068 .54107 L
.35263 .53823 L
.35361 .53624 L
.35746 .53177 L
.35787 .53141 L
.36172 .52658 L
.36229 .5255 L
.36487 .52174 L
.36712 .51896 L
.36746 .51691 L
.37196 .51251 L
.37239 .51208 L
.37605 .50725 L
.37679 .50626 L
.3791 .50242 L
.38162 .49978 L
.38339 .49758 L
.38645 .49335 L
.38702 .49275 L
.39057 .48792 L
.39128 .48719 L
.39338 .48309 L
.39612 .48083 L
.39824 .47826 L
.40095 .47453 L
.402 .47342 L
.40578 .4686 L
.4058 .46859 L
.40907 .46376 L
.41061 .46277 L
.41402 .45893 L
.41544 .45692 L
.41822 .4541 L
.42027 .45072 L
.42237 .44927 L
.42511 .44615 L
.42666 .44443 L
.42994 .44117 L
.43184 .4396 L
F
0 .88 1 r
.40095 .43924 m
.40281 .4396 L
.40207 .44443 L
.40095 .44683 L
.39975 .44927 L
.39695 .4541 L
.39612 .45626 L
.39463 .45893 L
.39128 .46308 L
.39085 .46376 L
.38705 .46859 L
.38645 .47038 L
.38418 .47342 L
.38162 .47749 L
.3814 .47826 L
.3773 .48309 L
.37679 .48377 L
.3734 .48792 L
.37196 .49052 L
.37046 .49275 L
.36712 .49712 L
.36664 .49758 L
.36251 .50242 L
.36229 .50342 L
.35939 .50725 L
.35746 .51 L
.35648 .51208 L
.35263 .51647 L
.35221 .51691 L
.34834 .52174 L
.3478 .52271 L
.34514 .52658 L
.34296 .52918 L
.34264 .53141 L
.33813 .53557 L
.33752 .53624 L
.3338 .54107 L
.3333 .54167 L
.33058 .5459 L
.32847 .54791 L
.32616 .55073 L
.32364 .5541 L
.32226 .55557 L
.31881 .56004 L
.31828 .5604 L
.31418 .56523 L
.31397 .56535 L
.30937 .57006 L
.30914 .57033 L
.30431 .57388 L
.30278 .57006 L
.30431 .56639 L
.30486 .56523 L
.30708 .5604 L
.30914 .55769 L
.31042 .55557 L
.31385 .55073 L
.31397 .55002 L
.31693 .5459 L
.31881 .54247 L
.31959 .54107 L
.32361 .53624 L
.32364 .53621 L
.32753 .53141 L
.32847 .52937 L
.33048 .52658 L
.3333 .5226 L
.33416 .52174 L
.3377 .51691 L
.33813 .51636 L
.34148 .51208 L
.34296 .50975 L
.34444 .50725 L
.3478 .50319 L
.34853 .50242 L
.35238 .49758 L
.35263 .49696 L
.35568 .49275 L
.35746 .49048 L
.35842 .48792 L
.36229 .48401 L
.36313 .48309 L
.36683 .47826 L
.36712 .47785 L
.37015 .47342 L
.37196 .47154 L
.37432 .46859 L
.37679 .46523 L
.37812 .46376 L
.38162 .45916 L
.38193 .45893 L
.38557 .4541 L
.38645 .45343 L
.39012 .44927 L
.39128 .44777 L
.39467 .44443 L
.39612 .44251 L
.40041 .4396 L
F
1 .72 0 r
.30431 .50484 m
.30893 .50725 L
.30431 .51128 L
.30314 .50725 L
F
1 .88 0 r
.30431 .42356 m
.30594 .42511 L
.30431 .4271 L
.30343 .42511 L
F
0 .7 1 r
.30431 .48551 m
.30608 .48792 L
.30431 .48926 L
.30346 .48792 L
F
0 .82 1 r
.30431 .44326 m
.30827 .44443 L
.30431 .44878 L
.30361 .44443 L
F
1 .8 0 r
.30431 .54729 m
.30606 .55073 L
.30431 .55152 L
.30363 .55073 L
F
1 .7 0 r
.30431 .50591 m
.30831 .50725 L
.30431 .51013 L
.30376 .50725 L
F
0 .74 1 r
.37679 .42963 m
.37929 .42994 L
.37798 .43477 L
.37679 .43712 L
.37542 .4396 L
.37274 .44443 L
.37196 .44599 L
.36946 .44927 L
.36712 .45276 L
.36621 .4541 L
.36287 .45893 L
.36229 .45993 L
.36009 .46376 L
.35746 .46724 L
.35597 .46859 L
.35263 .47323 L
.35248 .47342 L
.34905 .47826 L
.3478 .47993 L
.34654 .48309 L
.34296 .4867 L
.34166 .48792 L
.33813 .49265 L
.33805 .49275 L
.33468 .49758 L
.3333 .49906 L
.33055 .50242 L
.32847 .50553 L
.32674 .50725 L
.32364 .51124 L
.32291 .51208 L
.31911 .51691 L
.31881 .51715 L
.31477 .52174 L
.31397 .5229 L
.3102 .52658 L
.30914 .52845 L
.30431 .53126 L
.30412 .52658 L
.30431 .52617 L
.30649 .52174 L
.30914 .5171 L
.30925 .51691 L
.31166 .51208 L
.31397 .50949 L
.31544 .50725 L
.31877 .50242 L
.31881 .5023 L
.32205 .49758 L
.32364 .49513 L
.3244 .49275 L
.32847 .48818 L
.32906 .48792 L
.33273 .48309 L
.3333 .48209 L
.33582 .47826 L
.33813 .47541 L
.3398 .47342 L
.34296 .46892 L
.34344 .46859 L
.3471 .46376 L
.3478 .46287 L
.3501 .45893 L
.35263 .45651 L
.3547 .4541 L
.35746 .45017 L
.35856 .44927 L
.36229 .44464 L
.36248 .44443 L
.36605 .4396 L
.36712 .43896 L
.3711 .43477 L
.37196 .43357 L
.37643 .42994 L
F
0 .86 1 r
.30431 .56932 m
.30802 .57006 L
.30431 .57077 L
.3042 .57006 L
F
1 .92 0 r
.41061 .44677 m
.41334 .44927 L
.41152 .4541 L
.41061 .45528 L
.40865 .45893 L
.40578 .46367 L
.40572 .46376 L
.40236 .46859 L
.40095 .47187 L
.39977 .47342 L
.39621 .47826 L
.39612 .47838 L
.39196 .48309 L
.39128 .48543 L
.38926 .48792 L
.38645 .49223 L
.38621 .49275 L
.38242 .49758 L
.38162 .49861 L
.37833 .50242 L
.37679 .50528 L
.37539 .50725 L
.37196 .51179 L
.37168 .51208 L
.36725 .51691 L
.36712 .51813 L
.36429 .52174 L
.36229 .52469 L
.3613 .52658 L
.35746 .53114 L
.35722 .53141 L
.3532 .53624 L
.35263 .5374 L
.35006 .54107 L
.3478 .54388 L
.34732 .5459 L
.34296 .55029 L
.34257 .55073 L
.3388 .55557 L
.33813 .55642 L
.3356 .5604 L
.3333 .56273 L
.33131 .56523 L
.32847 .56896 L
.32749 .57006 L
.32364 .57488 L
.32362 .57489 L
.32002 .57973 L
.31881 .58055 L
.31515 .58456 L
.31397 .58595 L
.31019 .58939 L
.30914 .59063 L
.30433 .58939 L
.30616 .58456 L
.30874 .57973 L
.30914 .57846 L
.31108 .57489 L
.31397 .57117 L
.31467 .57006 L
.31842 .56523 L
.31881 .56375 L
.32134 .5604 L
.32364 .55645 L
.32412 .55557 L
.32817 .55073 L
.32847 .55032 L
.3321 .5459 L
.3333 .54353 L
.33504 .54107 L
.33813 .53684 L
.33881 .53624 L
.34291 .53141 L
.34296 .53062 L
.3461 .52658 L
.3478 .52401 L
.34903 .52174 L
.35263 .51748 L
.35321 .51691 L
.35707 .51208 L
.35746 .51125 L
.36029 .50725 L
.36229 .50473 L
.36295 .50242 L
.36712 .49826 L
.36777 .49758 L
.37146 .49275 L
.37196 .49208 L
.37463 .48792 L
.37679 .48567 L
.37886 .48309 L
.38162 .47929 L
.38258 .47826 L
.38627 .47342 L
.38645 .47324 L
.38947 .46859 L
.39128 .46715 L
.39416 .46376 L
.39612 .46113 L
.39824 .45893 L
.40095 .45524 L
.40256 .4541 L
.40578 .45069 L
.40747 .44927 L
F
0 .74 1 r
.35746 .4143 m
.35956 .41544 L
.35767 .42027 L
.35746 .42066 L
.35483 .42511 L
.35263 .4287 L
.35181 .42994 L
.3492 .43477 L
.3478 .43673 L
.34524 .4396 L
.34296 .44287 L
.34182 .44443 L
.33846 .44927 L
.33813 .44968 L
.33633 .4541 L
.3333 .45689 L
.33113 .45893 L
.32847 .46254 L
.32749 .46376 L
.32394 .46859 L
.32364 .46889 L
.31996 .47342 L
.31881 .47545 L
.31601 .47826 L
.31397 .48084 L
.31194 .48309 L
.30914 .48641 L
.30446 .48309 L
.30736 .47826 L
.30914 .47551 L
.3105 .47342 L
.31373 .46859 L
.31397 .4682 L
.31623 .46376 L
.31881 .46067 L
.32056 .45893 L
.32364 .45468 L
.32407 .4541 L
.32749 .44927 L
.32847 .44806 L
.32945 .44443 L
.3333 .44134 L
.33505 .4396 L
.33813 .43563 L
.33885 .43477 L
.34259 .42994 L
.34296 .42961 L
.34681 .42511 L
.3478 .42365 L
.35117 .42027 L
.35263 .41865 L
.35618 .41544 L
F
1 .9 0 r
.31881 .40144 m
.32223 .40578 L
.31893 .41061 L
.31881 .41079 L
.31527 .41544 L
.31397 .41727 L
.31156 .42027 L
.30914 .42356 L
.30474 .42027 L
.30812 .41544 L
.30914 .41405 L
.31172 .41061 L
.31397 .4076 L
.31543 .40578 L
F
0 .72 1 r
.37196 .43418 m
.37679 .43062 L
.37746 .43477 L
.37679 .43625 L
.37506 .4396 L
.37241 .44443 L
.37196 .44536 L
.36925 .44927 L
.36712 .45246 L
.36602 .4541 L
.36272 .45893 L
.36229 .45967 L
.35994 .46376 L
.35746 .46707 L
.35584 .46859 L
.35263 .47306 L
.35235 .47342 L
.34893 .47826 L
.3478 .47977 L
.34643 .48309 L
.34296 .48657 L
.34154 .48792 L
.33813 .49249 L
.33792 .49275 L
.33453 .49758 L
.3333 .49888 L
.33041 .50242 L
.32847 .50535 L
.32658 .50725 L
.32364 .51101 L
.32271 .51208 L
.31881 .51686 L
.31876 .51691 L
.31448 .52174 L
.31397 .52248 L
.30973 .52658 L
.30914 .5276 L
.3048 .52658 L
.30689 .52174 L
.30914 .51764 L
.30957 .51691 L
.31192 .51208 L
.31397 .50983 L
.31565 .50725 L
.31881 .50258 L
.31891 .50242 L
.3222 .49758 L
.32364 .49535 L
.32449 .49275 L
.32847 .48826 L
.32919 .48792 L
.33283 .48309 L
.3333 .48226 L
.33594 .47826 L
.33813 .47558 L
.33993 .47342 L
.34296 .46901 L
.34358 .46859 L
.34724 .46376 L
.3478 .46305 L
.35027 .45893 L
.35263 .4567 L
.35486 .4541 L
.35746 .45035 L
.35876 .44927 L
.36229 .44492 L
.36273 .44443 L
.36666 .4396 L
.36712 .43933 L
.37153 .43477 L
F
1 .8 0 r
.38645 .43668 m
.38951 .4396 L
.38794 .44443 L
.38645 .44599 L
.38459 .44927 L
.38162 .45406 L
.3816 .4541 L
.37858 .45893 L
.37679 .46212 L
.37663 .46376 L
.37196 .46832 L
.37177 .46859 L
.36817 .47342 L
.36712 .47528 L
.36529 .47826 L
.36229 .48219 L
.36131 .48309 L
.35759 .48792 L
.35746 .48834 L
.35423 .49275 L
.35263 .49497 L
.35151 .49758 L
.3478 .50157 L
.34693 .50242 L
.34324 .50725 L
.34296 .50768 L
.33993 .51208 L
.33813 .51411 L
.33586 .51691 L
.3333 .52053 L
.33212 .52174 L
.32847 .52655 L
.32838 .52658 L
.32494 .53141 L
.32364 .53252 L
.32046 .53624 L
.31881 .53852 L
.31628 .54107 L
.31397 .54455 L
.31179 .5459 L
.30914 .5486 L
.30485 .5459 L
.3072 .54107 L
.30914 .53773 L
.31001 .53624 L
.31309 .53141 L
.31397 .52955 L
.31552 .52658 L
.31881 .5228 L
.31952 .52174 L
.3232 .51691 L
.32364 .51579 L
.32625 .51208 L
.32847 .50879 L
.32874 .50725 L
.3333 .50242 L
.33336 .50242 L
.3371 .49758 L
.33813 .49589 L
.34009 .49275 L
.34296 .48925 L
.34414 .48792 L
.34778 .48309 L
.3478 .48303 L
.35136 .47826 L
.35263 .47663 L
.35418 .47342 L
.35746 .47019 L
.35886 .46859 L
.36229 .46397 L
.36259 .46376 L
.3662 .45893 L
.36712 .45801 L
.37034 .4541 L
.37196 .45193 L
.3744 .44927 L
.37679 .44592 L
.37863 .44443 L
.38162 .4411 L
.38327 .4396 L
F
0 .72 1 r
.35263 .41927 m
.35708 .42027 L
.35443 .42511 L
.35263 .42817 L
.35147 .42994 L
.34879 .43477 L
.3478 .43617 L
.345 .4396 L
.34296 .44256 L
.34159 .44443 L
.3382 .44927 L
.33813 .44936 L
.33602 .4541 L
.3333 .45659 L
.33093 .45893 L
.32847 .46228 L
.32728 .46376 L
.32364 .46857 L
.32362 .46859 L
.31973 .47342 L
.31881 .47508 L
.31572 .47826 L
.31397 .48046 L
.31155 .48309 L
.30914 .4859 L
.30495 .48309 L
.30773 .47826 L
.30914 .47604 L
.31082 .47342 L
.31397 .46866 L
.31402 .46859 L
.31653 .46376 L
.31881 .46103 L
.3208 .45893 L
.32364 .455 L
.32431 .4541 L
.32775 .44927 L
.32847 .44839 L
.32974 .44443 L
.3333 .44164 L
.33531 .4396 L
.33813 .43597 L
.33914 .43477 L
.34296 .43002 L
.34303 .42994 L
.34718 .42511 L
.3478 .42419 L
.3517 .42027 L
F
1 .74 0 r
.30914 .45665 m
.31364 .45893 L
.30935 .46376 L
.30914 .46401 L
.30517 .46376 L
.30774 .45893 L
F
0 .7 1 r
.35263 .41995 m
.35628 .42027 L
.35401 .42511 L
.35263 .42756 L
.35113 .42994 L
.34834 .43477 L
.3478 .43554 L
.34476 .4396 L
.34296 .44224 L
.34136 .44443 L
.33813 .44905 L
.33797 .44927 L
.33567 .4541 L
.3333 .45626 L
.33073 .45893 L
.32847 .462 L
.32705 .46376 L
.32364 .46828 L
.32337 .46859 L
.31949 .47342 L
.31881 .47467 L
.31542 .47826 L
.31397 .48007 L
.31112 .48309 L
.30914 .48535 L
.30549 .48309 L
.30811 .47826 L
.30914 .47661 L
.31115 .47342 L
.31397 .46909 L
.31432 .46859 L
.31687 .46376 L
.31881 .46143 L
.32105 .45893 L
.32364 .45533 L
.32456 .4541 L
.32803 .44927 L
.32847 .44874 L
.33009 .44443 L
.3333 .44197 L
.33557 .4396 L
.33813 .43632 L
.33944 .43477 L
.34296 .43042 L
.3434 .42994 L
.34759 .42511 L
.3478 .42479 L
.35231 .42027 L
F
1 .78 0 r
.38645 .4376 m
.38869 .4396 L
.38717 .44443 L
.38645 .4452 L
.38424 .44927 L
.38162 .4536 L
.38131 .4541 L
.37837 .45893 L
.37679 .46181 L
.37657 .46376 L
.37196 .46809 L
.3716 .46859 L
.36805 .47342 L
.36712 .47508 L
.36518 .47826 L
.36229 .48206 L
.36119 .48309 L
.35755 .48792 L
.35746 .48819 L
.35413 .49275 L
.35263 .49483 L
.35143 .49758 L
.3478 .50145 L
.34682 .50242 L
.34315 .50725 L
.34296 .50755 L
.33981 .51208 L
.33813 .51395 L
.33574 .51691 L
.3333 .52037 L
.33197 .52174 L
.32847 .52649 L
.3282 .52658 L
.32467 .53141 L
.32364 .53227 L
.32022 .53624 L
.31881 .53819 L
.31594 .54107 L
.31397 .54412 L
.31121 .5459 L
.30914 .54789 L
.30557 .5459 L
.30764 .54107 L
.30914 .53838 L
.31035 .53624 L
.31333 .53141 L
.31397 .53002 L
.3157 .52658 L
.31881 .52309 L
.31971 .52174 L
.32329 .51691 L
.32364 .51602 L
.32638 .51208 L
.32847 .50896 L
.32878 .50725 L
.3333 .50244 L
.33348 .50242 L
.3372 .49758 L
.33813 .49604 L
.34019 .49275 L
.34296 .48938 L
.34425 .48792 L
.3478 .48312 L
.34786 .48309 L
.35147 .47826 L
.35263 .47678 L
.35429 .47342 L
.35746 .47034 L
.359 .46859 L
.36229 .46408 L
.36275 .46376 L
.36641 .45893 L
.36712 .45823 L
.37055 .4541 L
.37196 .45221 L
.37467 .44927 L
.37679 .44626 L
.37903 .44443 L
.38162 .44162 L
.38401 .4396 L
F
1 .72 0 r
.36229 .42637 m
.36643 .42994 L
.36365 .43477 L
.36229 .43693 L
.36056 .4396 L
.35746 .44433 L
.35739 .44443 L
.35474 .44927 L
.35263 .45212 L
.3506 .4541 L
.3478 .45805 L
.34714 .45893 L
.34378 .46376 L
.34296 .46482 L
.34149 .46859 L
.33813 .4718 L
.33638 .47342 L
.3333 .47758 L
.33276 .47826 L
.32933 .48309 L
.32847 .48397 L
.32524 .48792 L
.32364 .4905 L
.32136 .49275 L
.31881 .49601 L
.31741 .49758 L
.31397 .50175 L
.31334 .50242 L
.30914 .50705 L
.30559 .50242 L
.30804 .49758 L
.30914 .49545 L
.31141 .49275 L
.31397 .4889 L
.31463 .48792 L
.3179 .48309 L
.31881 .48163 L
.32026 .47826 L
.32364 .4743 L
.3248 .47342 L
.32835 .46859 L
.32847 .46838 L
.33164 .46376 L
.3333 .46171 L
.33554 .45893 L
.33813 .45503 L
.33923 .4541 L
.34293 .44927 L
.34296 .44922 L
.34624 .44443 L
.3478 .44301 L
.35069 .4396 L
.35263 .43675 L
.35475 .43477 L
.35746 .43154 L
.35901 .42994 L
F
0 .86 1 r
.39612 .44367 m
.4009 .44443 L
.39903 .44927 L
.39647 .4541 L
.39612 .45509 L
.3943 .45893 L
.39128 .46256 L
.39053 .46376 L
.3869 .46859 L
.38645 .47 L
.38398 .47342 L
.38162 .47729 L
.38136 .47826 L
.37713 .48309 L
.37679 .48355 L
.37328 .48792 L
.37196 .49034 L
.37035 .49275 L
.36712 .497 L
.36652 .49758 L
.36248 .50242 L
.36229 .50328 L
.35929 .50725 L
.35746 .50986 L
.35641 .51208 L
.35263 .51636 L
.35209 .51691 L
.34826 .52174 L
.3478 .52257 L
.34502 .52658 L
.34296 .52902 L
.34257 .53141 L
.33813 .53541 L
.33737 .53624 L
.33365 .54107 L
.3333 .54148 L
.33036 .5459 L
.32847 .54766 L
.32592 .55073 L
.32364 .55378 L
.32195 .55557 L
.31881 .55975 L
.31784 .5604 L
.31397 .56473 L
.31344 .56523 L
.30914 .56931 L
.30567 .56523 L
.30768 .5604 L
.30914 .5585 L
.31084 .55557 L
.31395 .55073 L
.31397 .55059 L
.31717 .5459 L
.31881 .54279 L
.31973 .54107 L
.32364 .53648 L
.3238 .53624 L
.32764 .53141 L
.32847 .52958 L
.3306 .52658 L
.3333 .52274 L
.33428 .52174 L
.33782 .51691 L
.33813 .51651 L
.34157 .51208 L
.34296 .50989 L
.34452 .50725 L
.3478 .5033 L
.34863 .50242 L
.35243 .49758 L
.35263 .49709 L
.35578 .49275 L
.35746 .49062 L
.35851 .48792 L
.36229 .48415 L
.36326 .48309 L
.36695 .47826 L
.36712 .47801 L
.37032 .47342 L
.37196 .47174 L
.3745 .46859 L
.37679 .46547 L
.37834 .46376 L
.38162 .45937 L
.38223 .45893 L
.38612 .4541 L
.38645 .45385 L
.39061 .44927 L
.39128 .44841 L
.39553 .44443 L
F
0 .7 1 r
.37196 .43484 m
.37468 .4396 L
.37206 .44443 L
.37196 .44465 L
.36902 .44927 L
.36712 .45216 L
.36583 .4541 L
.36257 .45893 L
.36229 .45941 L
.35979 .46376 L
.35746 .46689 L
.35571 .46859 L
.35263 .47288 L
.35222 .47342 L
.34881 .47826 L
.3478 .4796 L
.34632 .48309 L
.34296 .48643 L
.34142 .48792 L
.33813 .49233 L
.33779 .49275 L
.33437 .49758 L
.3333 .49871 L
.33027 .50242 L
.32847 .50517 L
.32641 .50725 L
.32364 .51079 L
.32251 .51208 L
.31881 .51658 L
.31849 .51691 L
.31417 .52174 L
.31397 .52203 L
.30916 .52658 L
.30914 .5266 L
.3057 .52658 L
.30731 .52174 L
.30914 .51824 L
.30989 .51691 L
.31222 .51208 L
.31397 .51019 L
.31586 .50725 L
.31881 .50285 L
.3191 .50242 L
.32235 .49758 L
.32364 .49558 L
.32459 .49275 L
.32847 .48836 L
.32933 .48792 L
.33293 .48309 L
.3333 .48244 L
.33607 .47826 L
.33813 .47574 L
.34006 .47342 L
.34296 .46912 L
.34372 .46859 L
.34737 .46376 L
.3478 .46323 L
.35044 .45893 L
.35263 .4569 L
.35503 .4541 L
.35746 .45054 L
.35897 .44927 L
.36229 .4452 L
.363 .44443 L
.36712 .43971 L
.36724 .4396 L
F
0 .98 1 r
.30914 .35374 m
.31054 .35746 L
.30914 .3599 L
.30584 .35746 L
F
1 .7 0 r
.36229 .4269 m
.36598 .42994 L
.36335 .43477 L
.36229 .43649 L
.36031 .4396 L
.35746 .44401 L
.35717 .44443 L
.35451 .44927 L
.35263 .45183 L
.35044 .4541 L
.3478 .45784 L
.34698 .45893 L
.34362 .46376 L
.34296 .46461 L
.34131 .46859 L
.33813 .47162 L
.33624 .47342 L
.3333 .47738 L
.3326 .47826 L
.32912 .48309 L
.32847 .48375 L
.32507 .48792 L
.32364 .49026 L
.32115 .49275 L
.31881 .49574 L
.31715 .49758 L
.31397 .5014 L
.31298 .50242 L
.30914 .50654 L
.306 .50242 L
.30846 .49758 L
.30914 .49623 L
.31167 .49275 L
.31397 .48925 L
.31486 .48792 L
.31809 .48309 L
.31881 .48194 L
.32043 .47826 L
.32364 .47449 L
.32498 .47342 L
.32847 .4686 L
.32848 .46859 L
.33181 .46376 L
.3333 .46193 L
.3357 .45893 L
.33813 .4552 L
.3394 .4541 L
.34296 .44945 L
.34312 .44927 L
.34651 .44443 L
.3478 .44328 L
.35092 .4396 L
.35263 .43705 L
.35504 .43477 L
.35746 .43192 L
.35942 .42994 L
F
0 .68 1 r
.3478 .42538 m
.35075 .42994 L
.34784 .43477 L
.3478 .43484 L
.34452 .4396 L
.34296 .4419 L
.34113 .44443 L
.33813 .44874 L
.33774 .44927 L
.33529 .4541 L
.3333 .45591 L
.33052 .45893 L
.32847 .46172 L
.32682 .46376 L
.32364 .46797 L
.32311 .46859 L
.31924 .47342 L
.31881 .47422 L
.3151 .47826 L
.31397 .47966 L
.31064 .48309 L
.30914 .48474 L
.30609 .48309 L
.30852 .47826 L
.30914 .47723 L
.31149 .47342 L
.31397 .46955 L
.31462 .46859 L
.31725 .46376 L
.31881 .46188 L
.3213 .45893 L
.32364 .45567 L
.32481 .4541 L
.32832 .44927 L
.32847 .44909 L
.3305 .44443 L
.3333 .44233 L
.33584 .4396 L
.33813 .43667 L
.33975 .43477 L
.34296 .43083 L
.34379 .42994 L
F
1 .76 0 r
.38162 .44217 m
.38634 .44443 L
.38388 .44927 L
.38162 .45312 L
.38103 .4541 L
.37814 .45893 L
.37679 .46145 L
.37648 .46376 L
.37196 .46784 L
.37144 .46859 L
.36793 .47342 L
.36712 .47488 L
.36506 .47826 L
.36229 .48193 L
.36107 .48309 L
.3575 .48792 L
.35746 .48804 L
.35403 .49275 L
.35263 .49469 L
.35135 .49758 L
.3478 .50134 L
.34671 .50242 L
.34306 .50725 L
.34296 .50741 L
.33968 .51208 L
.33813 .5138 L
.33561 .51691 L
.3333 .52021 L
.33182 .52174 L
.32847 .52643 L
.32802 .52658 L
.32438 .53141 L
.32364 .53201 L
.31997 .53624 L
.31881 .53785 L
.31557 .54107 L
.31397 .54362 L
.31051 .5459 L
.30914 .5471 L
.30643 .5459 L
.30811 .54107 L
.30914 .53911 L
.3107 .53624 L
.31358 .53141 L
.31397 .53054 L
.3159 .52658 L
.31881 .52338 L
.3199 .52174 L
.32339 .51691 L
.32364 .51626 L
.32651 .51208 L
.32847 .50914 L
.32883 .50725 L
.3333 .50246 L
.33361 .50242 L
.33729 .49758 L
.33813 .49619 L
.34029 .49275 L
.34296 .48951 L
.34436 .48792 L
.3478 .48317 L
.34798 .48309 L
.35159 .47826 L
.35263 .47694 L
.35442 .47342 L
.35746 .4705 L
.35914 .46859 L
.36229 .4642 L
.36291 .46376 L
.36663 .45893 L
.36712 .45846 L
.37077 .4541 L
.37196 .4525 L
.37496 .44927 L
.37679 .44662 L
.37946 .44443 L
F
1 .68 0 r
.36229 .42747 m
.36549 .42994 L
.36303 .43477 L
.36229 .43601 L
.36005 .4396 L
.35746 .44368 L
.35695 .44443 L
.35427 .44927 L
.35263 .45152 L
.35027 .4541 L
.3478 .45761 L
.34682 .45893 L
.34345 .46376 L
.34296 .46438 L
.34112 .46859 L
.33813 .47143 L
.33609 .47342 L
.3333 .47719 L
.33244 .47826 L
.3289 .48309 L
.32847 .48352 L
.3249 .48792 L
.32364 .49 L
.32095 .49275 L
.31881 .49546 L
.31688 .49758 L
.31397 .50103 L
.31258 .50242 L
.30914 .50599 L
.30644 .50242 L
.30893 .49758 L
.30914 .49715 L
.31194 .49275 L
.31397 .48962 L
.31509 .48792 L
.3183 .48309 L
.31881 .48227 L
.32061 .47826 L
.32364 .47469 L
.32515 .47342 L
.32847 .46884 L
.32865 .46859 L
.33198 .46376 L
.3333 .46216 L
.33587 .45893 L
.33813 .45538 L
.33958 .4541 L
.34296 .44969 L
.34332 .44927 L
.3468 .44443 L
.3478 .44355 L
.35116 .4396 L
.35263 .43737 L
.35535 .43477 L
.35746 .43231 L
.35988 .42994 L
F
1 .88 0 r
.30914 .41619 m
.31018 .42027 L
.30914 .42171 L
.30649 .42027 L
F
0 .84 1 r
.39128 .4491 m
.39612 .44495 L
.39825 .44927 L
.39612 .45376 L
.39594 .4541 L
.39392 .45893 L
.39128 .46201 L
.3902 .46376 L
.38676 .46859 L
.38645 .46959 L
.38379 .47342 L
.38162 .47707 L
.3813 .47826 L
.37696 .48309 L
.37679 .48333 L
.37317 .48792 L
.37196 .49015 L
.37025 .49275 L
.36712 .49688 L
.3664 .49758 L
.36244 .50242 L
.36229 .50313 L
.35919 .50725 L
.35746 .50972 L
.35633 .51208 L
.35263 .51624 L
.35198 .51691 L
.34819 .52174 L
.3478 .52243 L
.34491 .52658 L
.34296 .52886 L
.34249 .53141 L
.33813 .53525 L
.33721 .53624 L
.33349 .54107 L
.3333 .54129 L
.33012 .5459 L
.32847 .5474 L
.32568 .55073 L
.32364 .55346 L
.32162 .55557 L
.31881 .55943 L
.31737 .5604 L
.31397 .56408 L
.31264 .56523 L
.30914 .5682 L
.30657 .56523 L
.3084 .5604 L
.30914 .55943 L
.31127 .55557 L
.31397 .55115 L
.31423 .55073 L
.31741 .5459 L
.31881 .54315 L
.31987 .54107 L
.32364 .53675 L
.32399 .53624 L
.32775 .53141 L
.32847 .5298 L
.33073 .52658 L
.3333 .52289 L
.33441 .52174 L
.33794 .51691 L
.33813 .51666 L
.34167 .51208 L
.34296 .51004 L
.34461 .50725 L
.3478 .50342 L
.34874 .50242 L
.35248 .49758 L
.35263 .49722 L
.35589 .49275 L
.35746 .49076 L
.3586 .48792 L
.36229 .48429 L
.36338 .48309 L
.36706 .47826 L
.36712 .47817 L
.37049 .47342 L
.37196 .47195 L
.37468 .46859 L
.37679 .46571 L
.37858 .46376 L
.38162 .45959 L
.38253 .45893 L
.38645 .45429 L
.38664 .4541 L
.39115 .44927 L
F
0 .82 1 r
.30914 .43566 m
.31226 .4396 L
.30914 .44353 L
.30661 .4396 L
F
0 .66 1 r
.34296 .43126 m
.34749 .43477 L
.34426 .4396 L
.34296 .44154 L
.34088 .44443 L
.33813 .44843 L
.3375 .44927 L
.33486 .4541 L
.3333 .45552 L
.3303 .45893 L
.32847 .46143 L
.32658 .46376 L
.32364 .46766 L
.32284 .46859 L
.31897 .47342 L
.31881 .47374 L
.31475 .47826 L
.31397 .47921 L
.31004 .48309 L
.30914 .48403 L
.30685 .48309 L
.30897 .47826 L
.30914 .47795 L
.31184 .47342 L
.31397 .47004 L
.31494 .46859 L
.31767 .46376 L
.31881 .46239 L
.32156 .45893 L
.32364 .45602 L
.32507 .4541 L
.32847 .44945 L
.32861 .44927 L
.33098 .44443 L
.3333 .44272 L
.33612 .4396 L
.33813 .43704 L
.34008 .43477 L
F
1 .66 0 r
.30914 .49796 m
.31214 .50242 L
.30914 .50538 L
.30693 .50242 L
F
1 .9 0 r
.40578 .45211 m
.40979 .4541 L
.40769 .45893 L
.40578 .46236 L
.40501 .46376 L
.40191 .46859 L
.40095 .47108 L
.39943 .47342 L
.39612 .47785 L
.39585 .47826 L
.3918 .48309 L
.39128 .48504 L
.38903 .48792 L
.38645 .49202 L
.38613 .49275 L
.38223 .49758 L
.38162 .49837 L
.3782 .50242 L
.37679 .50508 L
.37526 .50725 L
.37196 .51165 L
.37154 .51208 L
.36723 .51691 L
.36712 .51797 L
.36418 .52174 L
.36229 .52453 L
.36121 .52658 L
.35746 .531 L
.35709 .53141 L
.35312 .53624 L
.35263 .53724 L
.34993 .54107 L
.3478 .5437 L
.34725 .5459 L
.34296 .55009 L
.34239 .55073 L
.33863 .55557 L
.33813 .55619 L
.33536 .5604 L
.3333 .56242 L
.33103 .56523 L
.32847 .56859 L
.32712 .57006 L
.32364 .57451 L
.32313 .57489 L
.31901 .57973 L
.31881 .57986 L
.31421 .58456 L
.31397 .58482 L
.30914 .58841 L
.30745 .58456 L
.30914 .58056 L
.30955 .57973 L
.31167 .57489 L
.31397 .57199 L
.31515 .57006 L
.31859 .56523 L
.31881 .56434 L
.32161 .5604 L
.32364 .55675 L
.32423 .55557 L
.32838 .55073 L
.32847 .55062 L
.33223 .5459 L
.3333 .54376 L
.33518 .54107 L
.33813 .53698 L
.33895 .53624 L
.34293 .53141 L
.34296 .53079 L
.3462 .52658 L
.3478 .52416 L
.34912 .52174 L
.35263 .5176 L
.35333 .51691 L
.35713 .51208 L
.35746 .51139 L
.3604 .50725 L
.36229 .50488 L
.36302 .50242 L
.36712 .4984 L
.3679 .49758 L
.37158 .49275 L
.37196 .49225 L
.3748 .48792 L
.37679 .48588 L
.37905 .48309 L
.38162 .47952 L
.3828 .47826 L
.38645 .47349 L
.38656 .47342 L
.38995 .46859 L
.39128 .46758 L
.39459 .46376 L
.39612 .46172 L
.3989 .45893 L
.40095 .45602 L
.40367 .4541 L
F
1 .64 0 r
.30914 .49869 m
.3116 .50242 L
.30914 .50467 L
.30748 .50242 L
F
0 .8 1 r
.30914 .43711 m
.31125 .4396 L
.30914 .44219 L
.30766 .4396 L
F
0 .82 1 r
.30914 .56059 m
.31158 .56523 L
.30914 .56684 L
.30767 .56523 L
F
1 .74 0 r
.38162 .44275 m
.38573 .44443 L
.3835 .44927 L
.38162 .4526 L
.38074 .4541 L
.3779 .45893 L
.37679 .46106 L
.37637 .46376 L
.37196 .4676 L
.37127 .46859 L
.36781 .47342 L
.36712 .47467 L
.36495 .47826 L
.36229 .48179 L
.36095 .48309 L
.35746 .48789 L
.35744 .48792 L
.35393 .49275 L
.35263 .49454 L
.35126 .49758 L
.3478 .50122 L
.3466 .50242 L
.34298 .50725 L
.34296 .50726 L
.33955 .51208 L
.33813 .51364 L
.33548 .51691 L
.3333 .52005 L
.33167 .52174 L
.32847 .52636 L
.32784 .52658 L
.32407 .53141 L
.32364 .53175 L
.31971 .53624 L
.31881 .53749 L
.31518 .54107 L
.31397 .54302 L
.30953 .5459 L
.30914 .54618 L
.30771 .5459 L
.30861 .54107 L
.30914 .53997 L
.31105 .53624 L
.31384 .53141 L
.31397 .53111 L
.31612 .52658 L
.31881 .52368 L
.32009 .52174 L
.32348 .51691 L
.32364 .51651 L
.32664 .51208 L
.32847 .50933 L
.32888 .50725 L
.3333 .50248 L
.33373 .50242 L
.33738 .49758 L
.33813 .49635 L
.3404 .49275 L
.34296 .48965 L
.34447 .48792 L
.3478 .48323 L
.34809 .48309 L
.3517 .47826 L
.35263 .47709 L
.35454 .47342 L
.35746 .47066 L
.35928 .46859 L
.36229 .46432 L
.36308 .46376 L
.36686 .45893 L
.36712 .45868 L
.37099 .4541 L
.37196 .4528 L
.37526 .44927 L
.37679 .44703 L
.37994 .44443 L
F
0 .68 1 r
.30914 .51892 m
.3138 .52174 L
.30914 .52587 L
.30777 .52174 L
F
0 .64 1 r
.30914 .47896 m
.3092 .48309 L
.30914 .48315 L
.30813 .48309 L
F
1 .62 0 r
.30914 .49963 m
.3109 .50242 L
.30914 .50378 L
.30815 .50242 L
F
0 .66 1 r
.30914 .51975 m
.3133 .52174 L
.30914 .52499 L
.30827 .52174 L
F
1 .72 0 r
.30914 .45763 m
.31298 .45893 L
.30914 .46306 L
.30839 .45893 L
F
0 .94 1 r
.41544 .45923 m
.41926 .46376 L
.41633 .46859 L
.41544 .47133 L
.41489 .47342 L
.41077 .47826 L
.41061 .47853 L
.40684 .48309 L
.40578 .4866 L
.40465 .48792 L
.40128 .49275 L
.40095 .4932 L
.3968 .49758 L
.39612 .50014 L
.3942 .50242 L
.39128 .50684 L
.39105 .50725 L
.38739 .51208 L
.38645 .51324 L
.38316 .51691 L
.38162 .51988 L
.38023 .52174 L
.37679 .52637 L
.3766 .52658 L
.37304 .53141 L
.37196 .53271 L
.36911 .53624 L
.36712 .53926 L
.36609 .54107 L
.36229 .54572 L
.36213 .5459 L
.35797 .55073 L
.35746 .55196 L
.35488 .55557 L
.35263 .55845 L
.352 .5604 L
.3478 .56487 L
.34749 .56523 L
.34365 .57006 L
.34296 .57098 L
.34043 .57489 L
.33813 .57732 L
.33626 .57973 L
.3333 .58357 L
.33245 .58456 L
.3286 .58939 L
.32847 .58951 L
.32505 .59422 L
.32364 .59523 L
.32023 .59905 L
.31881 .60071 L
.31546 .60388 L
.31397 .6056 L
.30914 .60816 L
.30844 .60388 L
.30914 .60214 L
.31054 .59905 L
.31324 .59422 L
.31397 .59202 L
.31555 .58939 L
.31881 .58532 L
.3193 .58456 L
.32307 .57973 L
.32364 .57796 L
.32596 .57489 L
.32847 .5707 L
.32875 .57006 L
.33291 .56523 L
.3333 .56469 L
.33677 .5604 L
.33813 .55788 L
.33973 .55557 L
.34296 .55121 L
.34359 .55073 L
.34763 .5459 L
.3478 .54504 L
.3508 .54107 L
.35263 .53841 L
.3537 .53624 L
.35746 .53189 L
.358 .53141 L
.36181 .52658 L
.36229 .52567 L
.36499 .52174 L
.36712 .51912 L
.36753 .51691 L
.37196 .51265 L
.37254 .51208 L
.37619 .50725 L
.37679 .50646 L
.37928 .50242 L
.38162 .50001 L
.3836 .49758 L
.38645 .4936 L
.38727 .49275 L
.39089 .48792 L
.39128 .48752 L
.39384 .48309 L
.39612 .48131 L
.39869 .47826 L
.40095 .47515 L
.40264 .47342 L
.40578 .46912 L
.40671 .46859 L
.41061 .46419 L
.41104 .46376 L
F
0 .64 1 r
.30914 .5209 m
.31266 .52174 L
.30914 .52372 L
.30886 .52174 L
F
1 .72 0 r
.38162 .44337 m
.38501 .44443 L
.38311 .44927 L
.38162 .45203 L
.38044 .4541 L
.37765 .45893 L
.37679 .46061 L
.37623 .46376 L
.37196 .46734 L
.3711 .46859 L
.36769 .47342 L
.36712 .47445 L
.36482 .47826 L
.36229 .48164 L
.36083 .48309 L
.35746 .48774 L
.35732 .48792 L
.35382 .49275 L
.35263 .4944 L
.35117 .49758 L
.3478 .5011 L
.34649 .50242 L
.34296 .50712 L
.34286 .50725 L
.33941 .51208 L
.33813 .51348 L
.33535 .51691 L
.3333 .51989 L
.33152 .52174 L
.32847 .52628 L
.32765 .52658 L
.32373 .53141 L
.32364 .53148 L
.31943 .53624 L
.31881 .53711 L
.31474 .54107 L
.31397 .54232 L
.30917 .54107 L
.31142 .53624 L
.31397 .53166 L
.31412 .53141 L
.31635 .52658 L
.31881 .52399 L
.32028 .52174 L
.32358 .51691 L
.32364 .51677 L
.32678 .51208 L
.32847 .50952 L
.32894 .50725 L
.3333 .50252 L
.33386 .50242 L
.33748 .49758 L
.33813 .4965 L
.3405 .49275 L
.34296 .48979 L
.34458 .48792 L
.3478 .4833 L
.34821 .48309 L
.35182 .47826 L
.35263 .47725 L
.35468 .47342 L
.35746 .47083 L
.35942 .46859 L
.36229 .46445 L
.36324 .46376 L
.36711 .45893 L
.36712 .45891 L
.37122 .4541 L
.37196 .4531 L
.37557 .44927 L
.37679 .44747 L
.3805 .44443 L
F
0 .82 1 r
.39128 .44979 m
.39536 .4541 L
.39347 .45893 L
.39128 .46142 L
.38988 .46376 L
.38662 .46859 L
.38645 .46916 L
.38359 .47342 L
.38162 .47682 L
.38125 .47826 L
.37679 .48309 L
.37679 .4831 L
.37306 .48792 L
.37196 .48996 L
.37014 .49275 L
.36712 .49675 L
.36628 .49758 L
.36241 .50242 L
.36229 .50299 L
.35909 .50725 L
.35746 .50958 L
.35625 .51208 L
.35263 .51612 L
.35187 .51691 L
.34811 .52174 L
.3478 .52229 L
.34479 .52658 L
.34296 .5287 L
.34241 .53141 L
.33813 .53509 L
.33706 .53624 L
.33332 .54107 L
.3333 .54109 L
.32987 .5459 L
.32847 .54714 L
.32543 .55073 L
.32364 .55313 L
.32128 .55557 L
.31881 .55906 L
.31686 .5604 L
.31397 .5634 L
.30923 .5604 L
.3117 .55557 L
.31397 .55173 L
.31457 .55073 L
.31765 .5459 L
.31881 .54356 L
.32002 .54107 L
.32364 .53703 L
.32418 .53624 L
.32786 .53141 L
.32847 .53003 L
.33086 .52658 L
.3333 .52304 L
.33454 .52174 L
.33806 .51691 L
.33813 .51682 L
.34176 .51208 L
.34296 .51018 L
.3447 .50725 L
.3478 .50354 L
.34885 .50242 L
.35254 .49758 L
.35263 .49735 L
.35599 .49275 L
.35746 .49091 L
.35869 .48792 L
.36229 .48443 L
.36351 .48309 L
.36712 .4783 L
.36719 .47826 L
.37068 .47342 L
.37196 .47215 L
.37487 .46859 L
.37679 .46596 L
.37881 .46376 L
.38162 .45983 L
.38285 .45893 L
.38645 .45475 L
.3871 .4541 L
F
1 .66 0 r
.36229 .42809 m
.36492 .42994 L
.3627 .43477 L
.36229 .43548 L
.35978 .4396 L
.35746 .44333 L
.35672 .44443 L
.35401 .44927 L
.35263 .45118 L
.3501 .4541 L
.3478 .45739 L
.34666 .45893 L
.34327 .46376 L
.34296 .46415 L
.34092 .46859 L
.33813 .47122 L
.33594 .47342 L
.3333 .47699 L
.33228 .47826 L
.32867 .48309 L
.32847 .48329 L
.32472 .48792 L
.32364 .48973 L
.32073 .49275 L
.31881 .49517 L
.3166 .49758 L
.31397 .50065 L
.30935 .49758 L
.31221 .49275 L
.31397 .49 L
.31532 .48792 L
.31851 .48309 L
.31881 .48261 L
.32082 .47826 L
.32364 .47492 L
.32533 .47342 L
.32847 .46907 L
.32883 .46859 L
.33217 .46376 L
.3333 .46239 L
.33604 .45893 L
.33813 .45557 L
.33976 .4541 L
.34296 .44993 L
.34352 .44927 L
.34711 .44443 L
.3478 .44384 L
.3514 .4396 L
.35263 .43772 L
.35567 .43477 L
.35746 .43272 L
.36039 .42994 L
F
0 .64 1 r
.31397 .47058 m
.31866 .47342 L
.31437 .47826 L
.31397 .47873 L
.30951 .47826 L
.31222 .47342 L
F
1 .88 0 r
.31397 .40961 m
.31743 .41061 L
.31409 .41544 L
.31397 .41562 L
.30972 .41544 L
.31323 .41061 L
F
1 .64 0 r
.36229 .4288 m
.36422 .42994 L
.36235 .43477 L
.36229 .43487 L
.35951 .4396 L
.35746 .44295 L
.35648 .44443 L
.35373 .44927 L
.35263 .4508 L
.34993 .4541 L
.3478 .45716 L
.34649 .45893 L
.34309 .46376 L
.34296 .46392 L
.3407 .46859 L
.33813 .471 L
.33579 .47342 L
.3333 .47678 L
.33211 .47826 L
.32847 .48305 L
.32844 .48309 L
.32454 .48792 L
.32364 .48945 L
.32051 .49275 L
.31881 .49488 L
.31629 .49758 L
.31397 .50025 L
.30974 .49758 L
.31249 .49275 L
.31397 .4904 L
.31556 .48792 L
.31873 .48309 L
.31881 .48297 L
.32104 .47826 L
.32364 .47518 L
.32551 .47342 L
.32847 .46931 L
.329 .46859 L
.33236 .46376 L
.3333 .46263 L
.33621 .45893 L
.33813 .45578 L
.33995 .4541 L
.34296 .45018 L
.34372 .44927 L
.34744 .44443 L
.3478 .44413 L
.35166 .4396 L
.35263 .4381 L
.35601 .43477 L
.35746 .43314 L
.36102 .42994 L
F
0 .82 1 r
.31881 .42221 m
.32354 .42511 L
.31987 .42994 L
.31881 .43143 L
.3161 .43477 L
.31397 .43764 L
.30977 .43477 L
.3131 .42994 L
.31397 .42872 L
.31666 .42511 L
F
1 .7 0 r
.38162 .44406 m
.38405 .44443 L
.3827 .44927 L
.38162 .45138 L
.38013 .4541 L
.37739 .45893 L
.37679 .46012 L
.37606 .46376 L
.37196 .46709 L
.37093 .46859 L
.36757 .47342 L
.36712 .47423 L
.3647 .47826 L
.36229 .48149 L
.36071 .48309 L
.35746 .48758 L
.35721 .48792 L
.35372 .49275 L
.35263 .49425 L
.35107 .49758 L
.3478 .50097 L
.34638 .50242 L
.34296 .50697 L
.34274 .50725 L
.33927 .51208 L
.33813 .51331 L
.33522 .51691 L
.3333 .51972 L
.33136 .52174 L
.32847 .52619 L
.32746 .52658 L
.32364 .53121 L
.32346 .53141 L
.31914 .53624 L
.31881 .53671 L
.31424 .54107 L
.31397 .5415 L
.30991 .54107 L
.31181 .53624 L
.31397 .53218 L
.31442 .53141 L
.31662 .52658 L
.31881 .52431 L
.32047 .52174 L
.32364 .51702 L
.32371 .51691 L
.32692 .51208 L
.32847 .50972 L
.32902 .50725 L
.3333 .50256 L
.33398 .50242 L
.33757 .49758 L
.33813 .49666 L
.34061 .49275 L
.34296 .48993 L
.3447 .48792 L
.3478 .48336 L
.34833 .48309 L
.35194 .47826 L
.35263 .4774 L
.35482 .47342 L
.35746 .471 L
.35956 .46859 L
.36229 .46459 L
.36342 .46376 L
.36712 .45915 L
.36732 .45893 L
.37145 .4541 L
.37196 .45342 L
.37591 .44927 L
.37679 .44796 L
.38119 .44443 L
F
0 .8 1 r
.39128 .45052 m
.39475 .4541 L
.39294 .45893 L
.39128 .46078 L
.38955 .46376 L
.38648 .46859 L
.38645 .4687 L
.38339 .47342 L
.38162 .47655 L
.38118 .47826 L
.37679 .48286 L
.37663 .48309 L
.37295 .48792 L
.37196 .48977 L
.37002 .49275 L
.36712 .49662 L
.36616 .49758 L
.36238 .50242 L
.36229 .50284 L
.35899 .50725 L
.35746 .50943 L
.35617 .51208 L
.35263 .516 L
.35176 .51691 L
.34803 .52174 L
.3478 .52215 L
.34466 .52658 L
.34296 .52854 L
.34231 .53141 L
.33813 .53492 L
.33691 .53624 L
.3333 .54099 L
.33314 .54107 L
.32959 .5459 L
.32847 .54688 L
.32517 .55073 L
.32364 .55279 L
.32093 .55557 L
.31881 .55864 L
.31628 .5604 L
.31397 .56267 L
.30994 .5604 L
.31216 .55557 L
.31397 .55236 L
.31492 .55073 L
.3179 .5459 L
.31881 .54402 L
.32019 .54107 L
.32364 .53731 L
.32437 .53624 L
.32797 .53141 L
.32847 .53026 L
.33099 .52658 L
.3333 .5232 L
.33467 .52174 L
.33813 .51698 L
.33818 .51691 L
.34185 .51208 L
.34296 .51033 L
.34479 .50725 L
.3478 .50366 L
.34895 .50242 L
.35259 .49758 L
.35263 .49749 L
.3561 .49275 L
.35746 .49105 L
.35879 .48792 L
.36229 .48457 L
.36364 .48309 L
.36712 .47838 L
.36734 .47826 L
.37087 .47342 L
.37196 .47236 L
.37506 .46859 L
.37679 .46621 L
.37906 .46376 L
.38162 .46009 L
.38319 .45893 L
.38645 .45521 L
.38762 .4541 L
F
1 .62 0 r
.35746 .43359 m
.3619 .43477 L
.35922 .4396 L
.35746 .44255 L
.35623 .44443 L
.35343 .44927 L
.35263 .45039 L
.34975 .4541 L
.3478 .45692 L
.34632 .45893 L
.34296 .46368 L
.3429 .46376 L
.34046 .46859 L
.33813 .47077 L
.33563 .47342 L
.3333 .47657 L
.33194 .47826 L
.32847 .48282 L
.32825 .48309 L
.32435 .48792 L
.32364 .48914 L
.32027 .49275 L
.31881 .49458 L
.31596 .49758 L
.31397 .49983 L
.31015 .49758 L
.31278 .49275 L
.31397 .49083 L
.31581 .48792 L
.31881 .48331 L
.31896 .48309 L
.32129 .47826 L
.32364 .47547 L
.32569 .47342 L
.32847 .46955 L
.32918 .46859 L
.33257 .46376 L
.3333 .46288 L
.33638 .45893 L
.33813 .45601 L
.34013 .4541 L
.34296 .45043 L
.34394 .44927 L
.3478 .44443 L
.3478 .44443 L
.35193 .4396 L
.35263 .4385 L
.35639 .43477 L
F
0 .68 1 r
.36712 .44009 m
.37174 .44443 L
.3688 .44927 L
.36712 .45185 L
.36564 .4541 L
.36241 .45893 L
.36229 .45914 L
.35963 .46376 L
.35746 .46669 L
.35557 .46859 L
.35263 .47271 L
.35209 .47342 L
.34868 .47826 L
.3478 .47943 L
.34619 .48309 L
.34296 .48629 L
.3413 .48792 L
.33813 .49217 L
.33766 .49275 L
.3342 .49758 L
.3333 .49853 L
.33013 .50242 L
.32847 .50498 L
.32625 .50725 L
.32364 .51056 L
.32229 .51208 L
.31881 .51629 L
.31821 .51691 L
.31397 .52158 L
.31022 .51691 L
.31254 .51208 L
.31397 .51056 L
.31607 .50725 L
.31881 .50313 L
.31929 .50242 L
.32251 .49758 L
.32364 .49582 L
.32471 .49275 L
.32847 .48846 L
.32947 .48792 L
.33303 .48309 L
.3333 .48263 L
.3362 .47826 L
.33813 .47591 L
.34019 .47342 L
.34296 .46922 L
.34385 .46859 L
.34752 .46376 L
.3478 .46341 L
.35063 .45893 L
.35263 .4571 L
.35521 .4541 L
.35746 .45074 L
.35918 .44927 L
.36229 .44548 L
.36327 .44443 L
F
0 .98 1 r
.42027 .4909 m
.42511 .48971 L
.42615 .49275 L
.42786 .49758 L
.42544 .50242 L
.42511 .50353 L
.4225 .50725 L
.42027 .51092 L
.41908 .51208 L
.41544 .5169 L
.41543 .51691 L
.41187 .52174 L
.41061 .52322 L
.40716 .52658 L
.40578 .52981 L
.40431 .53141 L
.40099 .53624 L
.40095 .53628 L
.39748 .54107 L
.39612 .54265 L
.39282 .5459 L
.39128 .54926 L
.39008 .55073 L
.38659 .55557 L
.38645 .55566 L
.38303 .5604 L
.38162 .56199 L
.37885 .56523 L
.37679 .56859 L
.37582 .57006 L
.3721 .57489 L
.37196 .57496 L
.36748 .57973 L
.36712 .58122 L
.36466 .58456 L
.36229 .58782 L
.36158 .58939 L
.35753 .59422 L
.35746 .59423 L
.35344 .59905 L
.35263 .60034 L
.35035 .60388 L
.3478 .6069 L
.34755 .60872 L
.34296 .61334 L
.3428 .61355 L
.33898 .61838 L
.33813 .61919 L
.33577 .62321 L
.3333 .62547 L
.33132 .62804 L
.32847 .63154 L
.32731 .63288 L
.32364 .63721 L
.3231 .63771 L
.31881 .64236 L
.31841 .64254 L
.31397 .64621 L
.31046 .64254 L
.31204 .63771 L
.31397 .63496 L
.31513 .63288 L
.31856 .62804 L
.31881 .62665 L
.32143 .62321 L
.32364 .61991 L
.32419 .61838 L
.32809 .61355 L
.32847 .61298 L
.33208 .60872 L
.3333 .60594 L
.335 .60388 L
.33813 .59982 L
.33869 .59905 L
.34223 .59422 L
.34296 .59318 L
.34602 .58939 L
.3478 .58643 L
.34899 .58456 L
.35263 .57991 L
.35305 .57973 L
.35702 .57489 L
.35746 .57375 L
.36016 .57006 L
.36229 .56711 L
.36295 .56523 L
.36712 .56065 L
.36752 .5604 L
.37124 .55557 L
.37196 .55442 L
.37434 .55073 L
.37679 .54784 L
.37844 .5459 L
.38162 .5414 L
.38203 .54107 L
.38558 .53624 L
.38645 .53515 L
.3885 .53141 L
.39128 .52862 L
.393 .52658 L
.39612 .52218 L
.39659 .52174 L
.40007 .51691 L
.40095 .51599 L
.40292 .51208 L
.40578 .50955 L
.40768 .50725 L
.41061 .50318 L
.41132 .50242 L
.41472 .49758 L
.41544 .49708 L
.41894 .49275 L
F
1 .88 0 r
.40578 .45384 m
.40751 .4541 L
.40663 .45893 L
.40578 .4607 L
.40429 .46376 L
.40147 .46859 L
.40095 .47006 L
.39908 .47342 L
.39612 .47729 L
.3955 .47826 L
.39167 .48309 L
.39128 .48463 L
.38881 .48792 L
.38645 .49179 L
.38605 .49275 L
.38204 .49758 L
.38162 .49813 L
.37807 .50242 L
.37679 .50487 L
.37514 .50725 L
.37196 .5115 L
.37141 .51208 L
.36721 .51691 L
.36712 .51781 L
.36407 .52174 L
.36229 .52437 L
.36113 .52658 L
.35746 .53086 L
.35696 .53141 L
.35305 .53624 L
.35263 .53708 L
.3498 .54107 L
.3478 .54351 L
.34716 .5459 L
.34296 .5499 L
.34222 .55073 L
.33846 .55557 L
.33813 .55597 L
.33511 .5604 L
.3333 .56212 L
.33075 .56523 L
.32847 .56821 L
.32675 .57006 L
.32364 .57412 L
.32261 .57489 L
.31881 .57911 L
.31814 .57973 L
.31397 .58363 L
.3105 .57973 L
.31238 .57489 L
.31397 .57292 L
.31563 .57006 L
.31875 .56523 L
.31881 .56499 L
.32188 .5604 L
.32364 .5571 L
.32435 .55557 L
.32847 .55092 L
.3286 .55073 L
.33236 .5459 L
.3333 .54399 L
.33531 .54107 L
.33813 .53712 L
.33909 .53624 L
.34294 .53141 L
.34296 .53096 L
.3463 .52658 L
.3478 .52432 L
.34921 .52174 L
.35263 .51771 L
.35344 .51691 L
.3572 .51208 L
.35746 .51153 L
.36051 .50725 L
.36229 .50503 L
.3631 .50242 L
.36712 .49854 L
.36803 .49758 L
.3717 .49275 L
.37196 .49242 L
.37498 .48792 L
.37679 .48609 L
.37923 .48309 L
.38162 .47976 L
.38303 .47826 L
.38645 .47367 L
.38685 .47342 L
.39049 .46859 L
.39128 .46801 L
.39506 .46376 L
.39612 .46236 L
.39964 .45893 L
.40095 .45704 L
.40541 .4541 L
F
0 .66 1 r
.36712 .44047 m
.37142 .44443 L
.36856 .44927 L
.36712 .45152 L
.36544 .4541 L
.36229 .45886 L
.36225 .45893 L
.35947 .46376 L
.35746 .46648 L
.35544 .46859 L
.35263 .47253 L
.35196 .47342 L
.34855 .47826 L
.3478 .47926 L
.34606 .48309 L
.34296 .48614 L
.34118 .48792 L
.33813 .492 L
.33753 .49275 L
.33404 .49758 L
.3333 .49834 L
.32999 .50242 L
.32847 .50478 L
.32607 .50725 L
.32364 .51033 L
.32208 .51208 L
.31881 .51599 L
.31791 .51691 L
.31397 .52116 L
.31057 .51691 L
.3129 .51208 L
.31397 .51095 L
.31629 .50725 L
.31881 .50342 L
.31948 .50242 L
.32268 .49758 L
.32364 .49607 L
.32483 .49275 L
.32847 .48859 L
.32962 .48792 L
.33314 .48309 L
.3333 .48281 L
.33634 .47826 L
.33813 .47609 L
.34032 .47342 L
.34296 .46934 L
.34399 .46859 L
.34766 .46376 L
.3478 .46359 L
.35083 .45893 L
.35263 .45731 L
.35538 .4541 L
.35746 .45095 L
.35939 .44927 L
.36229 .44577 L
.36356 .44443 L
F
1 .6 0 r
.35746 .43406 m
.36137 .43477 L
.35892 .4396 L
.35746 .44212 L
.35598 .44443 L
.35311 .44927 L
.35263 .44995 L
.34957 .4541 L
.3478 .45668 L
.34615 .45893 L
.34296 .46346 L
.34273 .46376 L
.3402 .46859 L
.33813 .47052 L
.33548 .47342 L
.3333 .47636 L
.33177 .47826 L
.32847 .48259 L
.32805 .48309 L
.32416 .48792 L
.32364 .48882 L
.32003 .49275 L
.31881 .49426 L
.31559 .49758 L
.31397 .49937 L
.3106 .49758 L
.31308 .49275 L
.31397 .49128 L
.31606 .48792 L
.31881 .48365 L
.31919 .48309 L
.32157 .47826 L
.32364 .47579 L
.32588 .47342 L
.32847 .4698 L
.32937 .46859 L
.33278 .46376 L
.3333 .46314 L
.33656 .45893 L
.33813 .45625 L
.34032 .4541 L
.34296 .45068 L
.34415 .44927 L
.3478 .44472 L
.34806 .44443 L
.35221 .4396 L
.35263 .43894 L
.3568 .43477 L
F
0 .8 1 r
.31881 .42328 m
.32273 .42511 L
.31922 .42994 L
.31881 .43053 L
.31534 .43477 L
.31397 .43663 L
.31073 .43477 L
.31391 .42994 L
.31397 .42984 L
.31747 .42511 L
F
0 .78 1 r
.39128 .45133 m
.39407 .4541 L
.39232 .45893 L
.39128 .46008 L
.38922 .46376 L
.38645 .46825 L
.38624 .46859 L
.38318 .47342 L
.38162 .47625 L
.38109 .47826 L
.37679 .48263 L
.37647 .48309 L
.37283 .48792 L
.37196 .48957 L
.36991 .49275 L
.36712 .49648 L
.36604 .49758 L
.36235 .50242 L
.36229 .50269 L
.35889 .50725 L
.35746 .50929 L
.35609 .51208 L
.35263 .51587 L
.35164 .51691 L
.34795 .52174 L
.3478 .52201 L
.34454 .52658 L
.34296 .52837 L
.3422 .53141 L
.33813 .53475 L
.33675 .53624 L
.3333 .54089 L
.33295 .54107 L
.32931 .5459 L
.32847 .54661 L
.32491 .55073 L
.32364 .55244 L
.32055 .55557 L
.31881 .55815 L
.3156 .5604 L
.31397 .56188 L
.31078 .5604 L
.31263 .55557 L
.31397 .55306 L
.31527 .55073 L
.31816 .5459 L
.31881 .54453 L
.32037 .54107 L
.32364 .5376 L
.32456 .53624 L
.32808 .53141 L
.32847 .5305 L
.33112 .52658 L
.3333 .52337 L
.3348 .52174 L
.33813 .51714 L
.3383 .51691 L
.34195 .51208 L
.34296 .51048 L
.34489 .50725 L
.3478 .50379 L
.34906 .50242 L
.35263 .49759 L
.35266 .49758 L
.35621 .49275 L
.35746 .4912 L
.3589 .48792 L
.36229 .48472 L
.36377 .48309 L
.36712 .47846 L
.36749 .47826 L
.37107 .47342 L
.37196 .47257 L
.37525 .46859 L
.37679 .46647 L
.37931 .46376 L
.38162 .46038 L
.38355 .45893 L
.38645 .45569 L
.38822 .4541 L
F
1 .74 0 r
.33813 .41807 m
.34177 .42027 L
.33883 .42511 L
.33813 .4262 L
.33551 .42994 L
.3333 .43325 L
.33217 .43477 L
.32875 .4396 L
.32847 .44026 L
.32507 .44443 L
.32364 .44641 L
.32132 .44927 L
.31881 .45262 L
.31754 .4541 L
.31397 .45857 L
.3108 .4541 L
.31394 .44927 L
.31397 .44922 L
.31734 .44443 L
.31881 .44238 L
.32087 .4396 L
.32364 .43584 L
.32448 .43477 L
.32778 .42994 L
.32847 .42943 L
.33209 .42511 L
.3333 .4236 L
.33625 .42027 L
F
0 .64 1 r
.36712 .44088 m
.37108 .44443 L
.36833 .44927 L
.36712 .45118 L
.36524 .4541 L
.36229 .45861 L
.36207 .45893 L
.35929 .46376 L
.35746 .46625 L
.3553 .46859 L
.35263 .47235 L
.35183 .47342 L
.34842 .47826 L
.3478 .47908 L
.34592 .48309 L
.34296 .48599 L
.34106 .48792 L
.33813 .49184 L
.3374 .49275 L
.33386 .49758 L
.3333 .49816 L
.32984 .50242 L
.32847 .50457 L
.3259 .50725 L
.32364 .51009 L
.32185 .51208 L
.31881 .51569 L
.31758 .51691 L
.31397 .5207 L
.31093 .51691 L
.31328 .51208 L
.31397 .51136 L
.31651 .50725 L
.31881 .50371 L
.31967 .50242 L
.32285 .49758 L
.32364 .49633 L
.32497 .49275 L
.32847 .48872 L
.32976 .48792 L
.33325 .48309 L
.3333 .483 L
.33648 .47826 L
.33813 .47626 L
.34045 .47342 L
.34296 .46946 L
.34413 .46859 L
.3478 .46378 L
.34781 .46376 L
.35105 .45893 L
.35263 .45752 L
.35556 .4541 L
.35746 .45117 L
.35962 .44927 L
.36229 .44606 L
.36386 .44443 L
F
1 .58 0 r
.35746 .43459 m
.3607 .43477 L
.3586 .4396 L
.35746 .44164 L
.35571 .44443 L
.35277 .44927 L
.35263 .44947 L
.34939 .4541 L
.3478 .45642 L
.34598 .45893 L
.34296 .46323 L
.34256 .46376 L
.33992 .46859 L
.33813 .47026 L
.33532 .47342 L
.3333 .47615 L
.33159 .47826 L
.32847 .48236 L
.32785 .48309 L
.32396 .48792 L
.32364 .48848 L
.31977 .49275 L
.31881 .49393 L
.31518 .49758 L
.31397 .49887 L
.31112 .49758 L
.3134 .49275 L
.31397 .49179 L
.31632 .48792 L
.31881 .484 L
.31942 .48309 L
.32187 .47826 L
.32364 .47614 L
.32606 .47342 L
.32847 .47005 L
.32955 .46859 L
.333 .46376 L
.3333 .46341 L
.33674 .45893 L
.33813 .4565 L
.34052 .4541 L
.34296 .45094 L
.34438 .44927 L
.3478 .44502 L
.34833 .44443 L
.35251 .4396 L
.35263 .43941 L
.35728 .43477 L
F
0 .94 1 r
.31397 .38782 m
.31697 .39128 L
.31397 .39584 L
.31123 .39128 L
F
0 .62 1 r
.36712 .4413 m
.37072 .44443 L
.36808 .44927 L
.36712 .45082 L
.36504 .4541 L
.36229 .45834 L
.36189 .45893 L
.3591 .46376 L
.35746 .46601 L
.35516 .46859 L
.35263 .47217 L
.3517 .47342 L
.34828 .47826 L
.3478 .4789 L
.34577 .48309 L
.34296 .48582 L
.34093 .48792 L
.33813 .49167 L
.33726 .49275 L
.33368 .49758 L
.3333 .49797 L
.32969 .50242 L
.32847 .50435 L
.32572 .50725 L
.32364 .50985 L
.32161 .51208 L
.31881 .51537 L
.31723 .51691 L
.31397 .52022 L
.31132 .51691 L
.31371 .51208 L
.31397 .51181 L
.31673 .50725 L
.31881 .50402 L
.31986 .50242 L
.32302 .49758 L
.32364 .49661 L
.32512 .49275 L
.32847 .48888 L
.3299 .48792 L
.3333 .48319 L
.33338 .48309 L
.33662 .47826 L
.33813 .47645 L
.34058 .47342 L
.34296 .46959 L
.34427 .46859 L
.3478 .46397 L
.34797 .46376 L
.35127 .45893 L
.35263 .45774 L
.35575 .4541 L
.35746 .45141 L
.35985 .44927 L
.36229 .44636 L
.36419 .44443 L
F
1 .72 0 r
.31397 .44995 m
.31704 .4541 L
.31397 .45792 L
.31134 .4541 L
F
1 .86 0 r
.40095 .45837 m
.40531 .45893 L
.40352 .46376 L
.401 .46859 L
.40095 .46875 L
.3987 .47342 L
.39612 .47671 L
.39516 .47826 L
.39155 .48309 L
.39128 .48421 L
.3886 .48792 L
.38645 .49154 L
.38596 .49275 L
.38185 .49758 L
.38162 .49789 L
.37795 .50242 L
.37679 .50467 L
.37501 .50725 L
.37196 .51135 L
.37127 .51208 L
.36719 .51691 L
.36712 .51765 L
.36396 .52174 L
.36229 .52421 L
.36103 .52658 L
.35746 .53072 L
.35683 .53141 L
.35297 .53624 L
.35263 .53692 L
.34966 .54107 L
.3478 .54332 L
.34707 .5459 L
.34296 .5497 L
.34204 .55073 L
.33829 .55557 L
.33813 .55575 L
.33483 .5604 L
.3333 .56181 L
.33046 .56523 L
.32847 .56782 L
.32636 .57006 L
.32364 .5737 L
.32204 .57489 L
.31881 .57834 L
.31715 .57973 L
.31397 .58229 L
.31159 .57973 L
.31326 .57489 L
.31397 .574 L
.31612 .57006 L
.31881 .56564 L
.31906 .56523 L
.32216 .5604 L
.32364 .5575 L
.32449 .55557 L
.32847 .55122 L
.32881 .55073 L
.33249 .5459 L
.3333 .54424 L
.33545 .54107 L
.33813 .53728 L
.33923 .53624 L
.34295 .53141 L
.34296 .53113 L
.34641 .52658 L
.3478 .52447 L
.3493 .52174 L
.35263 .51783 L
.35355 .51691 L
.35726 .51208 L
.35746 .51167 L
.36062 .50725 L
.36229 .50518 L
.36319 .50242 L
.36712 .49868 L
.36817 .49758 L
.37183 .49275 L
.37196 .49259 L
.37516 .48792 L
.37679 .4863 L
.37942 .48309 L
.38162 .48001 L
.38327 .47826 L
.38645 .47386 L
.38716 .47342 L
.3911 .46859 L
.39128 .46846 L
.39557 .46376 L
.39612 .46304 L
.40055 .45893 L
F
0 .6 1 r
.31397 .51231 m
.31683 .51691 L
.31397 .51968 L
.31175 .51691 L
F
1 .56 0 r
.3478 .44532 m
.35249 .44927 L
.3492 .4541 L
.3478 .45616 L
.3458 .45893 L
.34296 .46299 L
.34238 .46376 L
.33963 .46859 L
.33813 .46998 L
.33515 .47342 L
.3333 .47593 L
.33141 .47826 L
.32847 .48212 L
.32763 .48309 L
.32375 .48792 L
.32364 .48812 L
.3195 .49275 L
.31881 .49359 L
.31469 .49758 L
.31397 .49831 L
.31177 .49758 L
.31375 .49275 L
.31397 .49235 L
.3166 .48792 L
.31881 .48438 L
.31966 .48309 L
.3222 .47826 L
.32364 .47653 L
.32625 .47342 L
.32847 .4703 L
.32974 .46859 L
.33323 .46376 L
.3333 .46368 L
.33692 .45893 L
.33813 .45678 L
.34072 .4541 L
.34296 .4512 L
.34461 .44927 L
F
0 .76 1 r
.39128 .45224 m
.39327 .4541 L
.39159 .45893 L
.39128 .45927 L
.38888 .46376 L
.38645 .4678 L
.38596 .46859 L
.38297 .47342 L
.38162 .47592 L
.381 .47826 L
.37679 .48239 L
.3763 .48309 L
.37272 .48792 L
.37196 .48937 L
.3698 .49275 L
.36712 .49634 L
.36592 .49758 L
.36232 .50242 L
.36229 .50254 L
.35879 .50725 L
.35746 .50914 L
.356 .51208 L
.35263 .51575 L
.35153 .51691 L
.34787 .52174 L
.3478 .52186 L
.34441 .52658 L
.34296 .52821 L
.34207 .53141 L
.33813 .53458 L
.33659 .53624 L
.3333 .54079 L
.33276 .54107 L
.329 .5459 L
.32847 .54634 L
.32463 .55073 L
.32364 .55207 L
.32014 .55557 L
.31881 .55757 L
.31472 .5604 L
.31397 .56099 L
.31189 .5604 L
.31313 .55557 L
.31397 .55388 L
.31563 .55073 L
.31844 .5459 L
.31881 .5451 L
.32058 .54107 L
.32364 .5379 L
.32475 .53624 L
.32818 .53141 L
.32847 .53075 L
.33125 .52658 L
.3333 .52354 L
.33493 .52174 L
.33813 .51731 L
.33843 .51691 L
.34205 .51208 L
.34296 .51063 L
.34498 .50725 L
.3478 .50391 L
.34917 .50242 L
.35263 .49762 L
.35277 .49758 L
.35632 .49275 L
.35746 .49134 L
.35901 .48792 L
.36229 .48487 L
.3639 .48309 L
.36712 .47855 L
.36765 .47826 L
.37128 .47342 L
.37196 .47279 L
.37545 .46859 L
.37679 .46674 L
.37957 .46376 L
.38162 .4607 L
.38393 .45893 L
.38645 .45619 L
.38896 .4541 L
F
1 .7 0 r
.31397 .45078 m
.31646 .4541 L
.31397 .45714 L
.31196 .4541 L
F
0 .78 1 r
.31397 .43154 m
.31429 .43477 L
.31397 .43521 L
.31216 .43477 L
F
0 .92 1 r
.41061 .46577 m
.41478 .46859 L
.41418 .47342 L
.41061 .47693 L
.40991 .47826 L
.40642 .48309 L
.40578 .48571 L
.40421 .48792 L
.40095 .49258 L
.40083 .49275 L
.3966 .49758 L
.39612 .49969 L
.39391 .50242 L
.39128 .50656 L
.39091 .50725 L
.38715 .51208 L
.38645 .51295 L
.38299 .51691 L
.38162 .51963 L
.38007 .52174 L
.37679 .52618 L
.37643 .52658 L
.37287 .53141 L
.37196 .53251 L
.36897 .53624 L
.36712 .53906 L
.36597 .54107 L
.36229 .54553 L
.36197 .5459 L
.35789 .55073 L
.35746 .55175 L
.35471 .55557 L
.35263 .55821 L
.35189 .5604 L
.3478 .56461 L
.34727 .56523 L
.34345 .57006 L
.34296 .57069 L
.34013 .57489 L
.33813 .57691 L
.3359 .57973 L
.3333 .58307 L
.33198 .58456 L
.32847 .58897 L
.32797 .58939 L
.32381 .59422 L
.32364 .59433 L
.319 .59905 L
.31881 .59927 L
.31397 .60287 L
.31218 .59905 L
.31397 .59481 L
.31427 .59422 L
.31626 .58939 L
.31881 .58634 L
.3199 .58456 L
.32332 .57973 L
.32364 .57869 L
.3263 .57489 L
.32847 .57103 L
.32885 .57006 L
.33317 .56523 L
.3333 .56505 L
.33695 .5604 L
.33813 .55816 L
.33988 .55557 L
.34296 .55136 L
.34376 .55073 L
.34767 .5459 L
.3478 .54524 L
.35093 .54107 L
.35263 .53859 L
.35379 .53624 L
.35746 .53201 L
.35813 .53141 L
.36189 .52658 L
.36229 .52583 L
.36512 .52174 L
.36712 .51929 L
.3676 .51691 L
.37196 .5128 L
.37269 .51208 L
.37633 .50725 L
.37679 .50666 L
.37948 .50242 L
.38162 .50025 L
.3838 .49758 L
.38645 .49386 L
.38752 .49275 L
.39122 .48792 L
.39128 .48786 L
.39437 .48309 L
.39612 .48179 L
.39917 .47826 L
.40095 .4758 L
.40334 .47342 L
.40578 .46983 L
.40784 .46859 L
F
1 .96 0 r
.41544 .4783 m
.4197 .48309 L
.41672 .48792 L
.4159 .49275 L
.41544 .49362 L
.41218 .49758 L
.41061 .50162 L
.40981 .50242 L
.4064 .50725 L
.40578 .50805 L
.40194 .51208 L
.40095 .51484 L
.39916 .51691 L
.39612 .52144 L
.39592 .52174 L
.39234 .52658 L
.39128 .52784 L
.38794 .53141 L
.38645 .53446 L
.38508 .53624 L
.38162 .54095 L
.3816 .54107 L
.37796 .5459 L
.37679 .54726 L
.37391 .55073 L
.37196 .55383 L
.37088 .55557 L
.36712 .56029 L
.36704 .5604 L
.36271 .56523 L
.36229 .5665 L
.35969 .57006 L
.35746 .57302 L
.35672 .57489 L
.35263 .57945 L
.35241 .57973 L
.34847 .58456 L
.3478 .58552 L
.34526 .58939 L
.34296 .5919 L
.3412 .59422 L
.33813 .59818 L
.3374 .59905 L
.33356 .60388 L
.3333 .6041 L
.33002 .60872 L
.32847 .60988 L
.32527 .61355 L
.32364 .61543 L
.32063 .61838 L
.31881 .62044 L
.31463 .62321 L
.31397 .62394 L
.31218 .62321 L
.31271 .61838 L
.31397 .61559 L
.31499 .61355 L
.31776 .60872 L
.31881 .607 L
.32006 .60388 L
.32364 .59955 L
.32396 .59905 L
.32772 .59422 L
.32847 .59221 L
.33061 .58939 L
.3333 .58498 L
.3334 .58456 L
.33767 .57973 L
.33813 .57907 L
.34147 .57489 L
.34296 .57226 L
.34442 .57006 L
.3478 .5656 L
.34839 .56523 L
.35235 .5604 L
.35263 .55947 L
.35553 .55557 L
.35746 .55282 L
.35836 .55073 L
.36229 .54631 L
.36281 .5459 L
.36656 .54107 L
.36712 .5401 L
.36971 .53624 L
.37196 .53354 L
.37372 .53141 L
.37679 .52707 L
.37733 .52658 L
.38094 .52174 L
.38162 .52087 L
.38396 .51691 L
.38645 .51439 L
.38836 .51208 L
.39128 .50796 L
.392 .50725 L
.39556 .50242 L
.39612 .50186 L
.39835 .49758 L
.40095 .49556 L
.4033 .49275 L
.40578 .48932 L
.40716 .48792 L
.41061 .48339 L
.41112 .48309 L
F
1 .68 0 r
.37679 .4485 m
.38162 .44492 L
.38225 .44927 L
.38162 .45061 L
.37982 .4541 L
.37711 .45893 L
.37679 .45958 L
.37586 .46376 L
.37196 .46682 L
.37077 .46859 L
.36744 .47342 L
.36712 .474 L
.36456 .47826 L
.36229 .48132 L
.36059 .48309 L
.35746 .48742 L
.35709 .48792 L
.35361 .49275 L
.35263 .49409 L
.35096 .49758 L
.3478 .50084 L
.34626 .50242 L
.34296 .50682 L
.34262 .50725 L
.33913 .51208 L
.33813 .51315 L
.33508 .51691 L
.3333 .51954 L
.3312 .52174 L
.32847 .52608 L
.32726 .52658 L
.32364 .53094 L
.3232 .53141 L
.31884 .53624 L
.31881 .53628 L
.31397 .54073 L
.31222 .53624 L
.31397 .53276 L
.31473 .53141 L
.3169 .52658 L
.31881 .52464 L
.32066 .52174 L
.32364 .51727 L
.32388 .51691 L
.32707 .51208 L
.32847 .50993 L
.3291 .50725 L
.3333 .50262 L
.3341 .50242 L
.33767 .49758 L
.33813 .49682 L
.34072 .49275 L
.34296 .49007 L
.34481 .48792 L
.3478 .48343 L
.34845 .48309 L
.35206 .47826 L
.35263 .47756 L
.35498 .47342 L
.35746 .47117 L
.35971 .46859 L
.36229 .46473 L
.36359 .46376 L
.36712 .45938 L
.36754 .45893 L
.37169 .4541 L
.37196 .45375 L
.37627 .44927 L
F
0 .58 1 r
.31397 .51293 m
.31636 .51691 L
.31397 .51908 L
.31223 .51691 L
F
0 .62 1 r
.31397 .47116 m
.31826 .47342 L
.31397 .4782 L
.31262 .47342 L
F
1 .66 0 r
.31397 .53343 m
.31841 .53624 L
.31397 .54001 L
.31266 .53624 L
F
1 .68 0 r
.31397 .45183 m
.3157 .4541 L
.31397 .45614 L
.31272 .4541 L
F
0 .56 1 r
.31397 .51368 m
.31578 .51691 L
.31397 .51836 L
.31279 .51691 L
F
1 .54 0 r
.31397 .49307 m
.31403 .49758 L
.31397 .49763 L
.31282 .49758 L
F
0 .6 1 r
.31397 .47184 m
.31779 .47342 L
.31397 .4775 L
.31307 .47342 L
F
1 .84 0 r
.31397 .57554 m
.31563 .57973 L
.31397 .58055 L
.31309 .57973 L
F
1 .64 0 r
.31397 .53424 m
.3179 .53624 L
.31397 .53914 L
.31315 .53624 L
F
0 .54 1 r
.31397 .51479 m
.31489 .51691 L
.31397 .51738 L
.31358 .51691 L
F
0 .58 1 r
.31397 .47269 m
.31721 .47342 L
.31397 .47658 L
.31359 .47342 L
F
0 .74 1 r
.38645 .45671 m
.39094 .45893 L
.38852 .46376 L
.38645 .46731 L
.38569 .46859 L
.38275 .47342 L
.38162 .47556 L
.38088 .47826 L
.37679 .48214 L
.37614 .48309 L
.37261 .48792 L
.37196 .48916 L
.36968 .49275 L
.36712 .4962 L
.36579 .49758 L
.36229 .50239 L
.36227 .50242 L
.35869 .50725 L
.35746 .50899 L
.3559 .51208 L
.35263 .51562 L
.35141 .51691 L
.3478 .52174 L
.34778 .52174 L
.34427 .52658 L
.34296 .52805 L
.34194 .53141 L
.33813 .53441 L
.33643 .53624 L
.3333 .54068 L
.33256 .54107 L
.32867 .5459 L
.32847 .54606 L
.32435 .55073 L
.32364 .55168 L
.31969 .55557 L
.31881 .55691 L
.31397 .55981 L
.31369 .55557 L
.31397 .55491 L
.31601 .55073 L
.31873 .5459 L
.31881 .54573 L
.32081 .54107 L
.32364 .53821 L
.32494 .53624 L
.32829 .53141 L
.32847 .531 L
.33139 .52658 L
.3333 .52373 L
.33506 .52174 L
.33813 .51748 L
.33855 .51691 L
.34214 .51208 L
.34296 .51078 L
.34509 .50725 L
.3478 .50404 L
.34928 .50242 L
.35263 .49765 L
.35288 .49758 L
.35643 .49275 L
.35746 .49149 L
.35913 .48792 L
.36229 .48502 L
.36404 .48309 L
.36712 .47865 L
.3678 .47826 L
.3715 .47342 L
.37196 .473 L
.37565 .46859 L
.37679 .46702 L
.37984 .46376 L
.38162 .46105 L
.38435 .45893 L
F
1 .62 0 r
.31397 .53543 m
.31723 .53624 L
.31397 .53785 L
.31373 .53624 L
F
0 .6 1 r
.36712 .44175 m
.37033 .44443 L
.36783 .44927 L
.36712 .45043 L
.36483 .4541 L
.36229 .45806 L
.3617 .45893 L
.35891 .46376 L
.35746 .46575 L
.35502 .46859 L
.35263 .47199 L
.35156 .47342 L
.34814 .47826 L
.3478 .47871 L
.34561 .48309 L
.34296 .48566 L
.3408 .48792 L
.33813 .4915 L
.33713 .49275 L
.33349 .49758 L
.3333 .49777 L
.32954 .50242 L
.32847 .50413 L
.32553 .50725 L
.32364 .50961 L
.32136 .51208 L
.31881 .51504 L
.31411 .51208 L
.31696 .50725 L
.31881 .50434 L
.32006 .50242 L
.3232 .49758 L
.32364 .49689 L
.32529 .49275 L
.32847 .48905 L
.33004 .48792 L
.3333 .48338 L
.33352 .48309 L
.33677 .47826 L
.33813 .47664 L
.34072 .47342 L
.34296 .46973 L
.34441 .46859 L
.3478 .46416 L
.34813 .46376 L
.35151 .45893 L
.35263 .45796 L
.35593 .4541 L
.35746 .45167 L
.36009 .44927 L
.36229 .44667 L
.36454 .44443 L
F
1 .54 0 r
.31881 .48477 m
.32351 .48792 L
.3192 .49275 L
.31881 .49322 L
.31414 .49275 L
.31688 .48792 L
F
1 .84 0 r
.39612 .46378 m
.40042 .46859 L
.39827 .47342 L
.39612 .4761 L
.39481 .47826 L
.39143 .48309 L
.39128 .48375 L
.38838 .48792 L
.38645 .49127 L
.38588 .49275 L
.38166 .49758 L
.38162 .49764 L
.37783 .50242 L
.37679 .50446 L
.37489 .50725 L
.37196 .5112 L
.37113 .51208 L
.36717 .51691 L
.36712 .51748 L
.36385 .52174 L
.36229 .52405 L
.36094 .52658 L
.35746 .53057 L
.3567 .53141 L
.35289 .53624 L
.35263 .53676 L
.34953 .54107 L
.3478 .54314 L
.34696 .5459 L
.34296 .5495 L
.34186 .55073 L
.33813 .55554 L
.3381 .55557 L
.33454 .5604 L
.3333 .56151 L
.33016 .56523 L
.32847 .56743 L
.32595 .57006 L
.32364 .57323 L
.32141 .57489 L
.31881 .57753 L
.31424 .57489 L
.31663 .57006 L
.31881 .56631 L
.31945 .56523 L
.32244 .5604 L
.32364 .55798 L
.32465 .55557 L
.32847 .55153 L
.32902 .55073 L
.33262 .5459 L
.3333 .54449 L
.33559 .54107 L
.33813 .53744 L
.33937 .53624 L
.34296 .53141 L
.34296 .5313 L
.34651 .52658 L
.3478 .52463 L
.34939 .52174 L
.35263 .51795 L
.35367 .51691 L
.35733 .51208 L
.35746 .51181 L
.36073 .50725 L
.36229 .50533 L
.36328 .50242 L
.36712 .49882 L
.3683 .49758 L
.37196 .49275 L
.37196 .49275 L
.37536 .48792 L
.37679 .48652 L
.37961 .48309 L
.38162 .48026 L
.38351 .47826 L
.38645 .47407 L
.38748 .47342 L
.39128 .46892 L
.39161 .46859 L
F
0 .72 1 r
.38645 .45727 m
.39035 .45893 L
.38816 .46376 L
.38645 .46679 L
.3854 .46859 L
.38252 .47342 L
.38162 .47516 L
.38075 .47826 L
.37679 .4819 L
.37597 .48309 L
.3725 .48792 L
.37196 .48895 L
.36955 .49275 L
.36712 .49604 L
.36567 .49758 L
.36229 .50223 L
.36215 .50242 L
.35859 .50725 L
.35746 .50884 L
.35581 .51208 L
.35263 .51549 L
.3513 .51691 L
.3478 .52172 L
.34765 .52174 L
.34414 .52658 L
.34296 .52788 L
.34178 .53141 L
.33813 .53423 L
.33627 .53624 L
.3333 .54056 L
.33236 .54107 L
.32847 .54578 L
.32836 .5459 L
.32404 .55073 L
.32364 .55127 L
.31918 .55557 L
.31881 .55613 L
.31437 .55557 L
.3164 .55073 L
.31881 .54629 L
.31903 .5459 L
.32106 .54107 L
.32364 .53853 L
.32513 .53624 L
.32841 .53141 L
.32847 .53126 L
.33153 .52658 L
.3333 .52392 L
.33519 .52174 L
.33813 .51764 L
.33867 .51691 L
.34224 .51208 L
.34296 .51094 L
.34519 .50725 L
.3478 .50417 L
.34939 .50242 L
.35263 .49769 L
.353 .49758 L
.35655 .49275 L
.35746 .49164 L
.35926 .48792 L
.36229 .48517 L
.36417 .48309 L
.36712 .47875 L
.36796 .47826 L
.37173 .47342 L
.37196 .47322 L
.37586 .46859 L
.37679 .4673 L
.38012 .46376 L
.38162 .46144 L
.38481 .45893 L
F
0 .58 1 r
.36712 .44223 m
.36991 .44443 L
.36757 .44927 L
.36712 .45001 L
.36462 .4541 L
.36229 .45778 L
.36152 .45893 L
.3587 .46376 L
.35746 .46548 L
.35488 .46859 L
.35263 .4718 L
.35143 .47342 L
.348 .47826 L
.3478 .47852 L
.34544 .48309 L
.34296 .48548 L
.34068 .48792 L
.33813 .49133 L
.33699 .49275 L
.3333 .49757 L
.33329 .49758 L
.32938 .50242 L
.32847 .50389 L
.32534 .50725 L
.32364 .50936 L
.3211 .51208 L
.31881 .5147 L
.31443 .51208 L
.31719 .50725 L
.31881 .50467 L
.32026 .50242 L
.32339 .49758 L
.32364 .49719 L
.32547 .49275 L
.32847 .48924 L
.33019 .48792 L
.3333 .48357 L
.33366 .48309 L
.33693 .47826 L
.33813 .47683 L
.34085 .47342 L
.34296 .46988 L
.34456 .46859 L
.3478 .46435 L
.34829 .46376 L
.35177 .45893 L
.35263 .45819 L
.35612 .4541 L
.35746 .45195 L
.36034 .44927 L
.36229 .44699 L
.36493 .44443 L
F
1 .72 0 r
.32364 .43641 m
.3284 .4396 L
.32471 .44443 L
.32364 .44593 L
.32092 .44927 L
.31881 .45209 L
.31445 .44927 L
.31777 .44443 L
.31881 .44298 L
.3213 .4396 L
F
1 .52 0 r
.31881 .4852 m
.32321 .48792 L
.31887 .49275 L
.31881 .49283 L
.31465 .49275 L
.31718 .48792 L
F
0 .56 1 r
.36712 .44276 m
.36943 .44443 L
.36729 .44927 L
.36712 .44955 L
.3644 .4541 L
.36229 .45748 L
.36133 .45893 L
.35848 .46376 L
.35746 .46518 L
.35474 .46859 L
.35263 .47161 L
.35129 .47342 L
.34785 .47826 L
.3478 .47832 L
.34526 .48309 L
.34296 .48529 L
.34055 .48792 L
.33813 .49116 L
.33684 .49275 L
.3333 .49739 L
.33313 .49758 L
.32923 .50242 L
.32847 .50364 L
.32514 .50725 L
.32364 .5091 L
.32082 .51208 L
.31881 .51434 L
.31478 .51208 L
.31743 .50725 L
.31881 .50502 L
.32046 .50242 L
.32359 .49758 L
.32364 .4975 L
.32567 .49275 L
.32847 .48946 L
.33034 .48792 L
.3333 .48376 L
.33381 .48309 L
.33709 .47826 L
.33813 .47703 L
.34099 .47342 L
.34296 .47004 L
.3447 .46859 L
.3478 .46455 L
.34845 .46376 L
.35204 .45893 L
.35263 .45843 L
.35632 .4541 L
.35746 .45224 L
.3606 .44927 L
.36229 .44732 L
.36537 .44443 L
F
1 .7 0 r
.32364 .43703 m
.32794 .4396 L
.32433 .44443 L
.32364 .4454 L
.32047 .44927 L
.31881 .45149 L
.31501 .44927 L
.31823 .44443 L
.31881 .44362 L
.32177 .4396 L
F
1 .66 0 r
.37679 .4491 m
.38162 .44615 L
.38175 .44927 L
.38162 .44959 L
.37949 .4541 L
.37681 .45893 L
.37679 .45898 L
.37563 .46376 L
.37196 .46655 L
.37059 .46859 L
.36731 .47342 L
.36712 .47377 L
.36443 .47826 L
.36229 .48115 L
.36047 .48309 L
.35746 .48726 L
.35697 .48792 L
.3535 .49275 L
.35263 .49394 L
.35085 .49758 L
.3478 .50071 L
.34615 .50242 L
.34296 .50666 L
.3425 .50725 L
.33898 .51208 L
.33813 .51298 L
.33495 .51691 L
.3333 .51936 L
.33104 .52174 L
.32847 .52595 L
.32706 .52658 L
.32364 .53067 L
.32292 .53141 L
.31881 .53589 L
.31504 .53141 L
.31722 .52658 L
.31881 .52498 L
.32086 .52174 L
.32364 .51753 L
.32405 .51691 L
.32722 .51208 L
.32847 .51015 L
.32919 .50725 L
.3333 .50269 L
.33423 .50242 L
.33777 .49758 L
.33813 .49699 L
.34084 .49275 L
.34296 .49022 L
.34492 .48792 L
.3478 .48351 L
.34857 .48309 L
.35219 .47826 L
.35263 .47772 L
.35514 .47342 L
.35746 .47134 L
.35986 .46859 L
.36229 .46488 L
.36377 .46376 L
.36712 .45963 L
.36776 .45893 L
.37195 .4541 L
.37196 .45409 L
.37668 .44927 L
F
1 .82 0 r
.39612 .46451 m
.3998 .46859 L
.39778 .47342 L
.39612 .47544 L
.39446 .47826 L
.39133 .48309 L
.39128 .48328 L
.38817 .48792 L
.38645 .49098 L
.38578 .49275 L
.38162 .49739 L
.38148 .49758 L
.37771 .50242 L
.37679 .50425 L
.37476 .50725 L
.37196 .51105 L
.371 .51208 L
.36716 .51691 L
.36712 .51732 L
.36374 .52174 L
.36229 .52388 L
.36084 .52658 L
.35746 .53043 L
.35657 .53141 L
.35281 .53624 L
.35263 .5366 L
.34939 .54107 L
.3478 .54295 L
.34684 .5459 L
.34296 .5493 L
.34168 .55073 L
.33813 .5554 L
.33788 .55557 L
.33423 .5604 L
.3333 .5612 L
.32985 .56523 L
.32847 .56703 L
.32552 .57006 L
.32364 .57269 L
.32068 .57489 L
.31881 .57665 L
.31514 .57489 L
.31716 .57006 L
.31881 .56706 L
.31985 .56523 L
.32274 .5604 L
.32364 .55852 L
.32484 .55557 L
.32847 .55185 L
.32923 .55073 L
.33275 .5459 L
.3333 .54475 L
.33573 .54107 L
.33813 .53761 L
.33951 .53624 L
.34296 .53147 L
.34301 .53141 L
.34662 .52658 L
.3478 .52479 L
.34949 .52174 L
.35263 .51808 L
.35378 .51691 L
.3574 .51208 L
.35746 .51196 L
.36085 .50725 L
.36229 .50548 L
.36339 .50242 L
.36712 .49897 L
.36844 .49758 L
.37196 .49281 L
.37212 .49275 L
.37556 .48792 L
.37679 .48674 L
.3798 .48309 L
.38162 .48052 L
.38375 .47826 L
.38645 .4743 L
.38781 .47342 L
.39128 .4694 L
.3921 .46859 L
F
0 .54 1 r
.36229 .44766 m
.36697 .44927 L
.36417 .4541 L
.36229 .45717 L
.36113 .45893 L
.35826 .46376 L
.35746 .46487 L
.3546 .46859 L
.35263 .47141 L
.35115 .47342 L
.3478 .47814 L
.3477 .47826 L
.34506 .48309 L
.34296 .4851 L
.34042 .48792 L
.33813 .49098 L
.3367 .49275 L
.3333 .49719 L
.33297 .49758 L
.32906 .50242 L
.32847 .50339 L
.32494 .50725 L
.32364 .50884 L
.32051 .51208 L
.31881 .51397 L
.31515 .51208 L
.31768 .50725 L
.31881 .50539 L
.32067 .50242 L
.32364 .49779 L
.32378 .49758 L
.32589 .49275 L
.32847 .4897 L
.33048 .48792 L
.3333 .48396 L
.33395 .48309 L
.33726 .47826 L
.33813 .47723 L
.34113 .47342 L
.34296 .47022 L
.34485 .46859 L
.3478 .46475 L
.34862 .46376 L
.35232 .45893 L
.35263 .45867 L
.35653 .4541 L
.35746 .45256 L
.36088 .44927 L
F
0 .94 1 r
.31881 .38228 m
.32016 .38645 L
.31881 .38872 L
.31522 .38645 L
F
0 .64 1 r
.34296 .43171 m
.34713 .43477 L
.34399 .4396 L
.34296 .44116 L
.34063 .44443 L
.33813 .44809 L
.33725 .44927 L
.3344 .4541 L
.3333 .4551 L
.33008 .45893 L
.32847 .46113 L
.32633 .46376 L
.32364 .46732 L
.32255 .46859 L
.31881 .47327 L
.31527 .46859 L
.31815 .46376 L
.31881 .46296 L
.32182 .45893 L
.32364 .45638 L
.32533 .4541 L
.32847 .4498 L
.32889 .44927 L
.33152 .44443 L
.3333 .44314 L
.33641 .4396 L
.33813 .43742 L
.34043 .43477 L
F
1 .64 0 r
.37196 .45441 m
.37654 .45893 L
.37536 .46376 L
.37196 .46627 L
.37042 .46859 L
.36718 .47342 L
.36712 .47352 L
.36428 .47826 L
.36229 .48096 L
.36034 .48309 L
.35746 .4871 L
.35685 .48792 L
.35338 .49275 L
.35263 .49378 L
.35073 .49758 L
.3478 .50057 L
.34604 .50242 L
.34296 .50651 L
.34237 .50725 L
.33883 .51208 L
.33813 .51281 L
.33481 .51691 L
.3333 .51917 L
.33088 .52174 L
.32847 .5258 L
.32685 .52658 L
.32364 .53038 L
.32263 .53141 L
.31881 .53548 L
.31537 .53141 L
.31756 .52658 L
.31881 .52534 L
.32106 .52174 L
.32364 .51779 L
.32423 .51691 L
.32737 .51208 L
.32847 .51037 L
.32929 .50725 L
.3333 .50277 L
.33436 .50242 L
.33787 .49758 L
.33813 .49716 L
.34096 .49275 L
.34296 .49037 L
.34504 .48792 L
.3478 .48359 L
.34869 .48309 L
.35232 .47826 L
.35263 .47788 L
.35531 .47342 L
.35746 .47152 L
.36001 .46859 L
.36229 .46505 L
.36395 .46376 L
.36712 .45987 L
.368 .45893 L
F
0 .9 1 r
.41061 .46775 m
.41263 .46859 L
.4123 .47342 L
.41061 .47494 L
.40906 .47826 L
.40609 .48309 L
.40578 .48456 L
.40378 .48792 L
.40095 .49192 L
.40042 .49275 L
.39644 .49758 L
.39612 .49921 L
.39363 .50242 L
.39128 .50627 L
.39078 .50725 L
.38692 .51208 L
.38645 .51267 L
.38283 .51691 L
.38162 .51937 L
.37991 .52174 L
.37679 .52599 L
.37626 .52658 L
.37271 .53141 L
.37196 .5323 L
.36883 .53624 L
.36712 .53885 L
.36585 .54107 L
.36229 .54534 L
.36181 .5459 L
.35781 .55073 L
.35746 .55155 L
.35455 .55557 L
.35263 .55797 L
.35177 .5604 L
.3478 .56435 L
.34704 .56523 L
.34325 .57006 L
.34296 .57042 L
.33981 .57489 L
.33813 .57652 L
.33552 .57973 L
.3333 .58257 L
.33148 .58456 L
.32847 .58842 L
.32728 .58939 L
.32364 .59336 L
.32268 .59422 L
.31881 .59771 L
.31551 .59422 L
.31721 .58939 L
.31881 .58752 L
.32051 .58456 L
.32358 .57973 L
.32364 .57951 L
.32664 .57489 L
.32847 .57145 L
.32897 .57006 L
.3333 .56541 L
.33343 .56523 L
.33711 .5604 L
.33813 .55845 L
.34004 .55557 L
.34296 .55152 L
.34393 .55073 L
.34771 .5459 L
.3478 .54544 L
.35106 .54107 L
.35263 .53877 L
.35389 .53624 L
.35746 .53214 L
.35827 .53141 L
.36198 .52658 L
.36229 .526 L
.36525 .52174 L
.36712 .51947 L
.36769 .51691 L
.37196 .51296 L
.37284 .51208 L
.37648 .50725 L
.37679 .50686 L
.37968 .50242 L
.38162 .50049 L
.38401 .49758 L
.38645 .49412 L
.38778 .49275 L
.39128 .48805 L
.39155 .48792 L
.39499 .48309 L
.39612 .48229 L
.39968 .47826 L
.40095 .47651 L
.40415 .47342 L
.40578 .4709 L
.40952 .46859 L
F
0 .52 1 r
.36229 .44802 m
.3666 .44927 L
.36394 .4541 L
.36229 .45683 L
.36093 .45893 L
.35801 .46376 L
.35746 .46454 L
.35445 .46859 L
.35263 .47121 L
.35101 .47342 L
.3478 .47795 L
.34756 .47826 L
.34486 .48309 L
.34296 .4849 L
.34028 .48792 L
.33813 .4908 L
.33655 .49275 L
.3333 .497 L
.3328 .49758 L
.32889 .50242 L
.32847 .50311 L
.32472 .50725 L
.32364 .50856 L
.32018 .51208 L
.31881 .51356 L
.31557 .51208 L
.31794 .50725 L
.31881 .50579 L
.32088 .50242 L
.32364 .49807 L
.32397 .49758 L
.32612 .49275 L
.32847 .48997 L
.33064 .48792 L
.3333 .48416 L
.3341 .48309 L
.33744 .47826 L
.33813 .47744 L
.34127 .47342 L
.34296 .4704 L
.345 .46859 L
.3478 .46495 L
.34879 .46376 L
.35262 .45893 L
.35263 .45892 L
.35674 .4541 L
.35746 .45289 L
.36117 .44927 L
F
0 .62 1 r
.34296 .43219 m
.34673 .43477 L
.34371 .4396 L
.34296 .44075 L
.34037 .44443 L
.33813 .44774 L
.33698 .44927 L
.3339 .4541 L
.3333 .45464 L
.32985 .45893 L
.32847 .46082 L
.32607 .46376 L
.32364 .46698 L
.32223 .46859 L
.31881 .47285 L
.31562 .46859 L
.31867 .46376 L
.31881 .4636 L
.3221 .45893 L
.32364 .45676 L
.32561 .4541 L
.32847 .45016 L
.32917 .44927 L
.33214 .44443 L
.3333 .44361 L
.33672 .4396 L
.33813 .43782 L
.34081 .43477 L
F
1 .68 0 r
.32364 .43772 m
.32741 .4396 L
.3239 .44443 L
.32364 .44481 L
.31996 .44927 L
.31881 .45081 L
.31567 .44927 L
.31875 .44443 L
.31881 .44436 L
.32228 .4396 L
F
1 .62 0 r
.37196 .45475 m
.37626 .45893 L
.37504 .46376 L
.37196 .46598 L
.37024 .46859 L
.36712 .47329 L
.36703 .47342 L
.36414 .47826 L
.36229 .48077 L
.36022 .48309 L
.35746 .48694 L
.35673 .48792 L
.35327 .49275 L
.35263 .49362 L
.35061 .49758 L
.3478 .50043 L
.34592 .50242 L
.34296 .50636 L
.34225 .50725 L
.33867 .51208 L
.33813 .51264 L
.33467 .51691 L
.3333 .51898 L
.33071 .52174 L
.32847 .52563 L
.32663 .52658 L
.32364 .53009 L
.32231 .53141 L
.31881 .53505 L
.31572 .53141 L
.31794 .52658 L
.31881 .52573 L
.32126 .52174 L
.32364 .51806 L
.3244 .51691 L
.32753 .51208 L
.32847 .51061 L
.32941 .50725 L
.3333 .50287 L
.33448 .50242 L
.33797 .49758 L
.33813 .49732 L
.34109 .49275 L
.34296 .49053 L
.34515 .48792 L
.3478 .48368 L
.34881 .48309 L
.35245 .47826 L
.35263 .47804 L
.35549 .47342 L
.35746 .4717 L
.36016 .46859 L
.36229 .46522 L
.36413 .46376 L
.36712 .46012 L
.36824 .45893 L
F
0 .6 1 r
.31881 .46413 m
.32189 .46859 L
.31881 .4724 L
.31599 .46859 L
F
0 .5 1 r
.36229 .4484 m
.36618 .44927 L
.36369 .4541 L
.36229 .45648 L
.36072 .45893 L
.35776 .46376 L
.35746 .46418 L
.3543 .46859 L
.35263 .47101 L
.35086 .47342 L
.3478 .47776 L
.34742 .47826 L
.34465 .48309 L
.34296 .48469 L
.34015 .48792 L
.33813 .49062 L
.3364 .49275 L
.3333 .4968 L
.33263 .49758 L
.32872 .50242 L
.32847 .50283 L
.32449 .50725 L
.32364 .50828 L
.31981 .51208 L
.31881 .51312 L
.31605 .51208 L
.31821 .50725 L
.31881 .50622 L
.3211 .50242 L
.32364 .49837 L
.32416 .49758 L
.32638 .49275 L
.32847 .49026 L
.33079 .48792 L
.3333 .48437 L
.33425 .48309 L
.33762 .47826 L
.33813 .47766 L
.34141 .47342 L
.34296 .4706 L
.34516 .46859 L
.3478 .46515 L
.34896 .46376 L
.35263 .45915 L
.35283 .45893 L
.35696 .4541 L
.35746 .45326 L
.3615 .44927 L
F
1 .6 0 r
.37196 .45509 m
.37597 .45893 L
.37468 .46376 L
.37196 .46567 L
.37007 .46859 L
.36712 .47305 L
.36687 .47342 L
.36398 .47826 L
.36229 .48057 L
.36009 .48309 L
.35746 .48677 L
.35661 .48792 L
.35315 .49275 L
.35263 .49346 L
.35048 .49758 L
.3478 .50028 L
.3458 .50242 L
.34296 .5062 L
.34212 .50725 L
.33851 .51208 L
.33813 .51247 L
.33453 .51691 L
.3333 .51878 L
.33054 .52174 L
.32847 .52544 L
.3264 .52658 L
.32364 .52979 L
.32197 .53141 L
.31881 .53459 L
.31609 .53141 L
.31836 .52658 L
.31881 .52614 L
.32146 .52174 L
.32364 .51834 L
.32458 .51691 L
.32769 .51208 L
.32847 .51086 L
.32954 .50725 L
.3333 .50298 L
.33461 .50242 L
.33808 .49758 L
.33813 .4975 L
.34122 .49275 L
.34296 .49069 L
.34527 .48792 L
.3478 .48377 L
.34893 .48309 L
.35259 .47826 L
.35263 .47821 L
.35569 .47342 L
.35746 .47189 L
.36031 .46859 L
.36229 .46541 L
.36432 .46376 L
.36712 .46037 L
.3685 .45893 L
F
1 .8 0 r
.39612 .46531 m
.39913 .46859 L
.39719 .47342 L
.39612 .47472 L
.39411 .47826 L
.39128 .4828 L
.3911 .48309 L
.38795 .48792 L
.38645 .49066 L
.38567 .49275 L
.38162 .49713 L
.3813 .49758 L
.37759 .50242 L
.37679 .50403 L
.37463 .50725 L
.37196 .51089 L
.37086 .51208 L
.36715 .51691 L
.36712 .51715 L
.36363 .52174 L
.36229 .52372 L
.36074 .52658 L
.35746 .53028 L
.35644 .53141 L
.35273 .53624 L
.35263 .53644 L
.34925 .54107 L
.3478 .54276 L
.3467 .5459 L
.34296 .5491 L
.34149 .55073 L
.33813 .55526 L
.33766 .55557 L
.33389 .5604 L
.3333 .5609 L
.32953 .56523 L
.32847 .5666 L
.32505 .57006 L
.32364 .57206 L
.31974 .57489 L
.31881 .57566 L
.31631 .57489 L
.31772 .57006 L
.31881 .56793 L
.32026 .56523 L
.32306 .5604 L
.32364 .55915 L
.32505 .55557 L
.32847 .55218 L
.32944 .55073 L
.33288 .5459 L
.3333 .54502 L
.33588 .54107 L
.33813 .53779 L
.33965 .53624 L
.34296 .53165 L
.34315 .53141 L
.34672 .52658 L
.3478 .52495 L
.34959 .52174 L
.35263 .51821 L
.35389 .51691 L
.35746 .5121 L
.35748 .51208 L
.36096 .50725 L
.36229 .50564 L
.3635 .50242 L
.36712 .49912 L
.36857 .49758 L
.37196 .49287 L
.37227 .49275 L
.37577 .48792 L
.37679 .48696 L
.38 .48309 L
.38162 .48078 L
.38401 .47826 L
.38645 .47457 L
.38817 .47342 L
.39128 .46989 L
.39267 .46859 L
F
0 .58 1 r
.31881 .46466 m
.32151 .46859 L
.31881 .47189 L
.3164 .46859 L
F
1 .58 0 r
.31881 .52658 m
.32159 .53141 L
.31881 .53408 L
.3165 .53141 L
F
1 .66 0 r
.31881 .44535 m
.31932 .44927 L
.31881 .44996 L
.31653 .44927 L
F
0 .48 1 r
.36229 .44881 m
.36569 .44927 L
.36344 .4541 L
.36229 .4561 L
.36051 .45893 L
.35749 .46376 L
.35746 .4638 L
.35415 .46859 L
.35263 .4708 L
.35072 .47342 L
.3478 .47757 L
.34727 .47826 L
.34442 .48309 L
.34296 .48446 L
.34001 .48792 L
.33813 .49044 L
.33625 .49275 L
.3333 .49659 L
.33245 .49758 L
.32854 .50242 L
.32847 .50254 L
.32426 .50725 L
.32364 .50798 L
.31936 .51208 L
.31881 .51263 L
.31665 .51208 L
.3185 .50725 L
.31881 .5067 L
.32133 .50242 L
.32364 .49868 L
.32436 .49758 L
.32666 .49275 L
.32847 .49058 L
.33094 .48792 L
.3333 .48458 L
.3344 .48309 L
.33781 .47826 L
.33813 .47788 L
.34156 .47342 L
.34296 .47082 L
.34531 .46859 L
.3478 .46536 L
.34914 .46376 L
.35263 .45939 L
.35305 .45893 L
.35719 .4541 L
.35746 .45364 L
.36186 .44927 L
F
0 .7 1 r
.38645 .45788 m
.38965 .45893 L
.38778 .46376 L
.38645 .46622 L
.38511 .46859 L
.38228 .47342 L
.38162 .47472 L
.38059 .47826 L
.37679 .48164 L
.37581 .48309 L
.37238 .48792 L
.37196 .48874 L
.36943 .49275 L
.36712 .49588 L
.36555 .49758 L
.36229 .50207 L
.36203 .50242 L
.35848 .50725 L
.35746 .50869 L
.3557 .51208 L
.35263 .51536 L
.35118 .51691 L
.3478 .5217 L
.34753 .52174 L
.344 .52658 L
.34296 .52771 L
.34161 .53141 L
.33813 .53405 L
.3361 .53624 L
.3333 .54043 L
.33215 .54107 L
.32847 .5455 L
.32809 .5459 L
.32372 .55073 L
.32364 .55084 L
.31881 .55534 L
.31682 .55073 L
.31881 .54686 L
.31934 .5459 L
.32135 .54107 L
.32364 .53886 L
.32533 .53624 L
.32847 .53152 L
.32855 .53141 L
.33168 .52658 L
.3333 .52412 L
.33532 .52174 L
.33813 .51781 L
.33879 .51691 L
.34234 .51208 L
.34296 .5111 L
.3453 .50725 L
.3478 .50431 L
.34949 .50242 L
.35263 .49773 L
.35311 .49758 L
.35667 .49275 L
.35746 .49179 L
.3594 .48792 L
.36229 .48533 L
.36431 .48309 L
.36712 .47886 L
.36812 .47826 L
.37196 .47344 L
.37197 .47342 L
.37607 .46859 L
.37679 .4676 L
.38042 .46376 L
.38162 .46188 L
.38535 .45893 L
F
0 .56 1 r
.31881 .46527 m
.32107 .46859 L
.31881 .47132 L
.31685 .46859 L
F
1 .56 0 r
.31881 .52714 m
.32115 .53141 L
.31881 .53353 L
.31695 .53141 L
F
0 .88 1 r
.40578 .47247 m
.40981 .47342 L
.40818 .47826 L
.40578 .48306 L
.40576 .48309 L
.40333 .48792 L
.40095 .49123 L
.40001 .49275 L
.39632 .49758 L
.39612 .49871 L
.39337 .50242 L
.39128 .50596 L
.39065 .50725 L
.38668 .51208 L
.38645 .51238 L
.38268 .51691 L
.38162 .51912 L
.37975 .52174 L
.37679 .52579 L
.3761 .52658 L
.37254 .53141 L
.37196 .5321 L
.3687 .53624 L
.36712 .53865 L
.36573 .54107 L
.36229 .54515 L
.36164 .5459 L
.35772 .55073 L
.35746 .55135 L
.35438 .55557 L
.35263 .55773 L
.35164 .5604 L
.3478 .56409 L
.34681 .56523 L
.34303 .57006 L
.34296 .57014 L
.33946 .57489 L
.33813 .57613 L
.33514 .57973 L
.3333 .58206 L
.33097 .58456 L
.32847 .58782 L
.3265 .58939 L
.32364 .59234 L
.32117 .59422 L
.31881 .59584 L
.31709 .59422 L
.3185 .58939 L
.31881 .58901 L
.32114 .58456 L
.32364 .58034 L
.32401 .57973 L
.327 .57489 L
.32847 .57198 L
.32913 .57006 L
.3333 .56579 L
.33369 .56523 L
.33728 .5604 L
.33813 .55875 L
.34021 .55557 L
.34296 .5517 L
.34409 .55073 L
.34775 .5459 L
.3478 .54565 L
.35118 .54107 L
.35263 .53895 L
.354 .53624 L
.35746 .53227 L
.3584 .53141 L
.36207 .52658 L
.36229 .52617 L
.36538 .52174 L
.36712 .51964 L
.36778 .51691 L
.37196 .51311 L
.373 .51208 L
.37664 .50725 L
.37679 .50706 L
.37989 .50242 L
.38162 .50073 L
.38422 .49758 L
.38645 .49439 L
.38804 .49275 L
.39128 .48821 L
.39189 .48792 L
.39569 .48309 L
.39612 .4828 L
.40024 .47826 L
.40095 .47729 L
.40515 .47342 L
F
1 .88 0 r
.31881 .40368 m
.32063 .40578 L
.31881 .40883 L
.31714 .40578 L
F
0 .68 1 r
.31881 .54751 m
.3233 .55073 L
.31881 .55463 L
.31727 .55073 L
F
1 .94 0 r
.31881 .6097 m
.32338 .61355 L
.31881 .61658 L
.31737 .61355 L
F
0 .54 1 r
.31881 .46599 m
.32055 .46859 L
.31881 .47063 L
.31739 .46859 L
F
1 .54 0 r
.31881 .52781 m
.32061 .53141 L
.31881 .53288 L
.31748 .53141 L
F
1 .5 0 r
.31881 .48567 m
.32288 .48792 L
.31881 .49235 L
.3175 .48792 L
F
0 .66 1 r
.31881 .54828 m
.32278 .55073 L
.31881 .55378 L
.31777 .55073 L
F
1 .48 0 r
.31881 .48619 m
.32251 .48792 L
.31881 .4918 L
.31785 .48792 L
F
0 .52 1 r
.31881 .467 m
.31981 .46859 L
.31881 .46969 L
.31809 .46859 L
F
1 .52 0 r
.31881 .52871 m
.31986 .53141 L
.31881 .53205 L
.31818 .53141 L
F
1 .46 0 r
.31881 .48682 m
.32207 .48792 L
.31881 .49113 L
.31823 .48792 L
F
1 .78 0 r
.39612 .46622 m
.39837 .46859 L
.39651 .47342 L
.39612 .4739 L
.39375 .47826 L
.39128 .48232 L
.39081 .48309 L
.38773 .48792 L
.38645 .49031 L
.38555 .49275 L
.38162 .49687 L
.38112 .49758 L
.37748 .50242 L
.37679 .50381 L
.3745 .50725 L
.37196 .51073 L
.37073 .51208 L
.36713 .51691 L
.36712 .51699 L
.36352 .52174 L
.36229 .52355 L
.36064 .52658 L
.35746 .53013 L
.35631 .53141 L
.35265 .53624 L
.35263 .53628 L
.3491 .54107 L
.3478 .54257 L
.34655 .5459 L
.34296 .5489 L
.34131 .55073 L
.33813 .5551 L
.33743 .55557 L
.33352 .5604 L
.3333 .56058 L
.32919 .56523 L
.32847 .56616 L
.32453 .57006 L
.32364 .57133 L
.31881 .57441 L
.31835 .57006 L
.31881 .56903 L
.32069 .56523 L
.32339 .5604 L
.32364 .55986 L
.32529 .55557 L
.32847 .55252 L
.32965 .55073 L
.33302 .5459 L
.3333 .5453 L
.33603 .54107 L
.33813 .53798 L
.33979 .53624 L
.34296 .53183 L
.34328 .53141 L
.34683 .52658 L
.3478 .52511 L
.34969 .52174 L
.35263 .51834 L
.35401 .51691 L
.35746 .51225 L
.3576 .51208 L
.36109 .50725 L
.36229 .50579 L
.36362 .50242 L
.36712 .49927 L
.36871 .49758 L
.37196 .49294 L
.37243 .49275 L
.376 .48792 L
.37679 .48718 L
.3802 .48309 L
.38162 .48106 L
.38427 .47826 L
.38645 .47487 L
.38855 .47342 L
.39128 .4704 L
.39335 .46859 L
F
0 .64 1 r
.31881 .54934 m
.32212 .55073 L
.31881 .55264 L
.31835 .55073 L
F
0 .78 1 r
.31881 .42467 m
.32155 .42511 L
.31881 .42925 L
.31849 .42511 L
F
1 .44 0 r
.31881 .48765 m
.32149 .48792 L
.31881 .49015 L
.31868 .48792 L
F
1 .58 0 r
.37196 .45545 m
.37567 .45893 L
.37428 .46376 L
.37196 .46536 L
.36989 .46859 L
.36712 .47282 L
.36671 .47342 L
.36382 .47826 L
.36229 .48035 L
.35997 .48309 L
.35746 .4866 L
.35649 .48792 L
.35303 .49275 L
.35263 .49329 L
.35034 .49758 L
.3478 .50013 L
.34569 .50242 L
.34296 .50604 L
.34199 .50725 L
.33834 .51208 L
.33813 .51229 L
.33438 .51691 L
.3333 .51857 L
.33036 .52174 L
.32847 .52522 L
.32617 .52658 L
.32364 .52949 L
.31881 .52658 L
.32167 .52174 L
.32364 .51863 L
.32476 .51691 L
.32786 .51208 L
.32847 .51112 L
.32968 .50725 L
.3333 .50312 L
.33474 .50242 L
.33813 .49767 L
.3382 .49758 L
.34135 .49275 L
.34296 .49085 L
.34539 .48792 L
.3478 .48388 L
.34906 .48309 L
.35263 .47838 L
.35273 .47826 L
.35589 .47342 L
.35746 .47208 L
.36047 .46859 L
.36229 .46561 L
.36452 .46376 L
.36712 .46063 L
.36877 .45893 L
F
0 .46 1 r
.32364 .499 m
.32833 .50242 L
.324 .50725 L
.32364 .50767 L
.31881 .50725 L
.32157 .50242 L
F
0 .6 1 r
.34296 .43271 m
.34628 .43477 L
.34342 .4396 L
.34296 .44031 L
.34009 .44443 L
.33813 .44736 L
.33671 .44927 L
.33335 .4541 L
.3333 .45414 L
.32961 .45893 L
.32847 .46049 L
.32579 .46376 L
.32364 .46661 L
.31906 .46376 L
.32238 .45893 L
.32364 .45715 L
.32589 .4541 L
.32847 .45054 L
.32947 .44927 L
.33284 .44443 L
.3333 .44411 L
.33704 .4396 L
.33813 .43823 L
.34122 .43477 L
F
1 .56 0 r
.37196 .45583 m
.37535 .45893 L
.37382 .46376 L
.37196 .46502 L
.3697 .46859 L
.36712 .47257 L
.36654 .47342 L
.36365 .47826 L
.36229 .48012 L
.35984 .48309 L
.35746 .48644 L
.35636 .48792 L
.3529 .49275 L
.35263 .49312 L
.35019 .49758 L
.3478 .49997 L
.34557 .50242 L
.34296 .50589 L
.34187 .50725 L
.33816 .51208 L
.33813 .51211 L
.33424 .51691 L
.3333 .51835 L
.33018 .52174 L
.32847 .52497 L
.32592 .52658 L
.32364 .52917 L
.31911 .52658 L
.32189 .52174 L
.32364 .51894 L
.32494 .51691 L
.32803 .51208 L
.32847 .51139 L
.32984 .50725 L
.3333 .50327 L
.33487 .50242 L
.33813 .49784 L
.33832 .49758 L
.34149 .49275 L
.34296 .49102 L
.34551 .48792 L
.3478 .48399 L
.34918 .48309 L
.35263 .47854 L
.35286 .47826 L
.3561 .47342 L
.35746 .47227 L
.36063 .46859 L
.36229 .46583 L
.36472 .46376 L
.36712 .4609 L
.36906 .45893 L
F
1 .76 0 r
.39128 .47094 m
.39584 .47342 L
.39338 .47826 L
.39128 .4818 L
.39051 .48309 L
.3875 .48792 L
.38645 .48992 L
.38542 .49275 L
.38162 .4966 L
.38094 .49758 L
.37736 .50242 L
.37679 .50358 L
.37437 .50725 L
.37196 .51056 L
.37059 .51208 L
.36712 .51681 L
.36705 .51691 L
.36341 .52174 L
.36229 .52338 L
.36053 .52658 L
.35746 .52998 L
.35618 .53141 L
.35263 .5362 L
.35252 .53624 L
.34895 .54107 L
.3478 .54238 L
.34638 .5459 L
.34296 .54869 L
.34112 .55073 L
.33813 .55494 L
.3372 .55557 L
.3333 .56026 L
.33317 .5604 L
.32884 .56523 L
.32847 .5657 L
.32394 .57006 L
.32364 .57048 L
.31911 .57006 L
.32114 .56523 L
.32364 .56059 L
.32375 .5604 L
.32558 .55557 L
.32847 .55287 L
.32987 .55073 L
.33316 .5459 L
.3333 .54559 L
.33619 .54107 L
.33813 .53819 L
.33994 .53624 L
.34296 .53201 L
.34341 .53141 L
.34694 .52658 L
.3478 .52528 L
.3498 .52174 L
.35263 .51848 L
.35412 .51691 L
.35746 .51241 L
.35772 .51208 L
.36121 .50725 L
.36229 .50595 L
.36375 .50242 L
.36712 .49943 L
.36885 .49758 L
.37196 .49301 L
.37259 .49275 L
.37623 .48792 L
.37679 .48741 L
.3804 .48309 L
.38162 .48135 L
.38455 .47826 L
.38645 .47522 L
.38897 .47342 L
F
0 .44 1 r
.32364 .49935 m
.32808 .50242 L
.32372 .50725 L
.32364 .50735 L
.31922 .50725 L
.32181 .50242 L
F
1 .9 0 r
.32847 .39055 m
.3311 .39128 L
.32871 .39612 L
.32847 .39653 L
.32549 .40095 L
.32364 .40386 L
.31924 .40095 L
.32327 .39612 L
.32364 .3953 L
.32778 .39128 L
F
1 .94 0 r
.41544 .48086 m
.41759 .48309 L
.41623 .48792 L
.41544 .49114 L
.41474 .49275 L
.4115 .49758 L
.41061 .50064 L
.40923 .50242 L
.4058 .50725 L
.40578 .50727 L
.40161 .51208 L
.40095 .51425 L
.39876 .51691 L
.39612 .52105 L
.3957 .52174 L
.39201 .52658 L
.39128 .52746 L
.38771 .53141 L
.38645 .53411 L
.38484 .53624 L
.38162 .54067 L
.38158 .54107 L
.37772 .5459 L
.37679 .54699 L
.37372 .55073 L
.37196 .55354 L
.37071 .55557 L
.36712 .56002 L
.36681 .5604 L
.36261 .56523 L
.36229 .56621 L
.35946 .57006 L
.35746 .57267 L
.35655 .57489 L
.35263 .57906 L
.35208 .57973 L
.34822 .58456 L
.3478 .58512 L
.34484 .58939 L
.34296 .59131 L
.34067 .59422 L
.33813 .59743 L
.33671 .59905 L
.3333 .6033 L
.33264 .60388 L
.32847 .60858 L
.32833 .60872 L
.32364 .61335 L
.31927 .60872 L
.32104 .60388 L
.32364 .60095 L
.3248 .59905 L
.32813 .59422 L
.32847 .59322 L
.33107 .58939 L
.3333 .58538 L
.33347 .58456 L
.33802 .57973 L
.33813 .57956 L
.34171 .57489 L
.34296 .57263 L
.34462 .57006 L
.3478 .56577 L
.34861 .56523 L
.35243 .5604 L
.35263 .55973 L
.35569 .55557 L
.35746 .55305 L
.35847 .55073 L
.36229 .54645 L
.36298 .5459 L
.36668 .54107 L
.36712 .54032 L
.36987 .53624 L
.37196 .53375 L
.3739 .53141 L
.37679 .52725 L
.37752 .52658 L
.38113 .52174 L
.38162 .52113 L
.3842 .51691 L
.38645 .51468 L
.38861 .51208 L
.39128 .50826 L
.39231 .50725 L
.39598 .50242 L
.39612 .50228 L
.399 .49758 L
.40095 .49615 L
.40388 .49275 L
.40578 .49012 L
.40803 .48792 L
.41061 .48431 L
.41274 .48309 L
F
0 .58 1 r
.32847 .45094 m
.33303 .4541 L
.32935 .45893 L
.32847 .46014 L
.3255 .46376 L
.32364 .46622 L
.31943 .46376 L
.32269 .45893 L
.32364 .45757 L
.32619 .4541 L
F
1 .54 0 r
.37196 .45623 m
.37501 .45893 L
.37332 .46376 L
.37196 .46467 L
.36951 .46859 L
.36712 .47232 L
.36638 .47342 L
.36347 .47826 L
.36229 .47988 L
.35971 .48309 L
.35746 .48626 L
.35624 .48792 L
.35277 .49275 L
.35263 .49295 L
.35004 .49758 L
.3478 .49981 L
.34545 .50242 L
.34296 .50573 L
.34173 .50725 L
.33813 .51193 L
.33801 .51208 L
.33409 .51691 L
.3333 .51813 L
.32999 .52174 L
.32847 .52469 L
.32565 .52658 L
.32364 .52883 L
.31943 .52658 L
.32211 .52174 L
.32364 .51925 L
.32513 .51691 L
.32822 .51208 L
.32847 .51168 L
.33002 .50725 L
.3333 .50345 L
.335 .50242 L
.33813 .49801 L
.33845 .49758 L
.34163 .49275 L
.34296 .4912 L
.34562 .48792 L
.3478 .48411 L
.34931 .48309 L
.35263 .47871 L
.353 .47826 L
.35633 .47342 L
.35746 .47248 L
.36079 .46859 L
.36229 .46606 L
.36493 .46376 L
.36712 .46117 L
.36937 .45893 L
F
0 .68 1 r
.38645 .45855 m
.38872 .45893 L
.38737 .46376 L
.38645 .46557 L
.38481 .46859 L
.38203 .47342 L
.38162 .47423 L
.38041 .47826 L
.37679 .48138 L
.37564 .48309 L
.37227 .48792 L
.37196 .48851 L
.3693 .49275 L
.36712 .49572 L
.36543 .49758 L
.36229 .50191 L
.36191 .50242 L
.35838 .50725 L
.35746 .50854 L
.3556 .51208 L
.35263 .51522 L
.35107 .51691 L
.3478 .52167 L
.3474 .52174 L
.34385 .52658 L
.34296 .52754 L
.34143 .53141 L
.33813 .53386 L
.33593 .53624 L
.3333 .54028 L
.33194 .54107 L
.32847 .54521 L
.3278 .5459 L
.32364 .55043 L
.31967 .5459 L
.32167 .54107 L
.32364 .5392 L
.32553 .53624 L
.32847 .53178 L
.32872 .53141 L
.33182 .52658 L
.3333 .52433 L
.33545 .52174 L
.33813 .51799 L
.33892 .51691 L
.34244 .51208 L
.34296 .51126 L
.34541 .50725 L
.3478 .50445 L
.3496 .50242 L
.35263 .49777 L
.35322 .49758 L
.35679 .49275 L
.35746 .49195 L
.35955 .48792 L
.36229 .48549 L
.36444 .48309 L
.36712 .47898 L
.36828 .47826 L
.37196 .47367 L
.37217 .47342 L
.37629 .46859 L
.37679 .46791 L
.38074 .46376 L
.38162 .46237 L
.38601 .45893 L
F
0 .86 1 r
.40095 .47816 m
.40578 .47427 L
.4072 .47826 L
.40578 .4816 L
.40508 .48309 L
.40284 .48792 L
.40095 .4905 L
.3996 .49275 L
.39622 .49758 L
.39612 .49818 L
.39311 .50242 L
.39128 .50563 L
.39052 .50725 L
.38645 .51208 L
.38645 .51208 L
.38254 .51691 L
.38162 .51886 L
.37959 .52174 L
.37679 .5256 L
.37593 .52658 L
.37237 .53141 L
.37196 .5319 L
.36856 .53624 L
.36712 .53844 L
.3656 .54107 L
.36229 .54496 L
.36148 .5459 L
.35764 .55073 L
.35746 .55116 L
.35421 .55557 L
.35263 .55749 L
.35149 .5604 L
.3478 .56383 L
.34657 .56523 L
.34296 .56991 L
.34277 .57006 L
.33908 .57489 L
.33813 .57574 L
.33474 .57973 L
.3333 .58154 L
.33041 .58456 L
.32847 .58714 L
.32559 .58939 L
.32364 .59124 L
.3197 .58939 L
.3218 .58456 L
.32364 .58123 L
.32451 .57973 L
.32737 .57489 L
.32847 .57262 L
.32932 .57006 L
.3333 .56617 L
.33395 .56523 L
.33745 .5604 L
.33813 .55906 L
.34038 .55557 L
.34296 .55189 L
.34426 .55073 L
.34779 .5459 L
.3478 .54586 L
.35131 .54107 L
.35263 .53914 L
.35411 .53624 L
.35746 .53241 L
.35853 .53141 L
.36216 .52658 L
.36229 .52634 L
.36552 .52174 L
.36712 .51982 L
.36789 .51691 L
.37196 .51327 L
.37315 .51208 L
.37679 .50725 L
.3768 .50725 L
.38012 .50242 L
.38162 .50098 L
.38443 .49758 L
.38645 .49467 L
.38831 .49275 L
.39128 .48841 L
.39225 .48792 L
.39612 .48333 L
.39635 .48309 L
.40088 .47826 L
F
1 .52 0 r
.37196 .45666 m
.37463 .45893 L
.37275 .46376 L
.37196 .46429 L
.36932 .46859 L
.36712 .47206 L
.36621 .47342 L
.36328 .47826 L
.36229 .47963 L
.35958 .48309 L
.35746 .48609 L
.35611 .48792 L
.35264 .49275 L
.35263 .49277 L
.34988 .49758 L
.3478 .49964 L
.34533 .50242 L
.34296 .50556 L
.3416 .50725 L
.33813 .51175 L
.33785 .51208 L
.33393 .51691 L
.3333 .5179 L
.3298 .52174 L
.32847 .52437 L
.32537 .52658 L
.32364 .52848 L
.31978 .52658 L
.32233 .52174 L
.32364 .51959 L
.32532 .51691 L
.32841 .51208 L
.32847 .51198 L
.33021 .50725 L
.3333 .50364 L
.33513 .50242 L
.33813 .49818 L
.33858 .49758 L
.34178 .49275 L
.34296 .49138 L
.34575 .48792 L
.3478 .48425 L
.34944 .48309 L
.35263 .47888 L
.35315 .47826 L
.35657 .47342 L
.35746 .47268 L
.36096 .46859 L
.36229 .46631 L
.36515 .46376 L
.36712 .46145 L
.36971 .45893 L
F
0 .56 1 r
.32847 .45136 m
.33271 .4541 L
.32908 .45893 L
.32847 .45977 L
.32518 .46376 L
.32364 .46579 L
.31983 .46376 L
.323 .45893 L
.32364 .45802 L
.3265 .4541 L
F
1 .54 0 r
.3478 .44564 m
.35223 .44927 L
.34901 .4541 L
.3478 .45589 L
.34561 .45893 L
.34296 .46275 L
.3422 .46376 L
.33931 .46859 L
.33813 .46968 L
.33498 .47342 L
.3333 .4757 L
.33122 .47826 L
.32847 .48187 L
.32741 .48309 L
.32364 .48778 L
.31991 .48309 L
.32256 .47826 L
.32364 .47695 L
.32645 .47342 L
.32847 .47057 L
.32993 .46859 L
.3333 .46394 L
.33344 .46376 L
.33711 .45893 L
.33813 .45708 L
.34092 .4541 L
.34296 .45147 L
.34485 .44927 L
F
0 .66 1 r
.38162 .46292 m
.38645 .4594 L
.38694 .46376 L
.38645 .4648 L
.38451 .46859 L
.38176 .47342 L
.38162 .47371 L
.3802 .47826 L
.37679 .48112 L
.37547 .48309 L
.37215 .48792 L
.37196 .48828 L
.36917 .49275 L
.36712 .49554 L
.3653 .49758 L
.36229 .50174 L
.36179 .50242 L
.35827 .50725 L
.35746 .50838 L
.35548 .51208 L
.35263 .51508 L
.35095 .51691 L
.3478 .52163 L
.34728 .52174 L
.3437 .52658 L
.34296 .52737 L
.34123 .53141 L
.33813 .53367 L
.33576 .53624 L
.3333 .54012 L
.33172 .54107 L
.32847 .54492 L
.3275 .5459 L
.32364 .55001 L
.32001 .5459 L
.32202 .54107 L
.32364 .53956 L
.32573 .53624 L
.32847 .53204 L
.3289 .53141 L
.33198 .52658 L
.3333 .52456 L
.33558 .52174 L
.33813 .51816 L
.33904 .51691 L
.34254 .51208 L
.34296 .51142 L
.34553 .50725 L
.3478 .50459 L
.34971 .50242 L
.35263 .49782 L
.35334 .49758 L
.35692 .49275 L
.35746 .4921 L
.35971 .48792 L
.36229 .48566 L
.36458 .48309 L
.36712 .47911 L
.36845 .47826 L
.37196 .4739 L
.37238 .47342 L
.37652 .46859 L
.37679 .46823 L
.38109 .46376 L
F
1 .5 0 r
.37196 .45713 m
.37421 .45893 L
.37213 .46376 L
.37196 .46388 L
.36913 .46859 L
.36712 .47179 L
.36604 .47342 L
.36309 .47826 L
.36229 .47937 L
.35945 .48309 L
.35746 .48591 L
.35598 .48792 L
.35263 .4926 L
.35251 .49275 L
.34971 .49758 L
.3478 .49946 L
.34521 .50242 L
.34296 .5054 L
.34146 .50725 L
.33813 .51157 L
.3377 .51208 L
.33378 .51691 L
.3333 .51765 L
.3296 .52174 L
.32847 .52402 L
.32507 .52658 L
.32364 .52811 L
.32016 .52658 L
.32257 .52174 L
.32364 .51994 L
.32551 .51691 L
.32847 .51225 L
.32859 .51208 L
.33042 .50725 L
.3333 .50386 L
.33527 .50242 L
.33813 .49836 L
.33871 .49758 L
.34193 .49275 L
.34296 .49156 L
.34587 .48792 L
.3478 .48439 L
.34957 .48309 L
.35263 .47906 L
.35329 .47826 L
.35682 .47342 L
.35746 .47289 L
.36113 .46859 L
.36229 .46658 L
.36538 .46376 L
.36712 .46174 L
.3701 .45893 L
F
1 .52 0 r
.3478 .44597 m
.35197 .44927 L
.34881 .4541 L
.3478 .45561 L
.34542 .45893 L
.34296 .4625 L
.34201 .46376 L
.33897 .46859 L
.33813 .46937 L
.33481 .47342 L
.3333 .47547 L
.33103 .47826 L
.32847 .48161 L
.32718 .48309 L
.32364 .48747 L
.32017 .48309 L
.32295 .47826 L
.32364 .47742 L
.32665 .47342 L
.32847 .47084 L
.33013 .46859 L
.3333 .4642 L
.33365 .46376 L
.3373 .45893 L
.33813 .4574 L
.34113 .4541 L
.34296 .45175 L
.3451 .44927 L
F
0 .54 1 r
.32847 .45181 m
.33236 .4541 L
.32879 .45893 L
.32847 .45937 L
.32483 .46376 L
.32364 .46533 L
.32028 .46376 L
.32335 .45893 L
.32364 .4585 L
.32684 .4541 L
F
0 .82 1 r
.32364 .41601 m
.32684 .42027 L
.32364 .42498 L
.32035 .42027 L
F
0 .64 1 r
.38162 .46353 m
.38645 .46376 L
.38419 .46859 L
.38162 .47321 L
.38149 .47342 L
.37996 .47826 L
.37679 .48085 L
.3753 .48309 L
.37202 .48792 L
.37196 .48805 L
.36903 .49275 L
.36712 .49536 L
.36518 .49758 L
.36229 .50158 L
.36167 .50242 L
.35816 .50725 L
.35746 .50822 L
.35536 .51208 L
.35263 .51494 L
.35083 .51691 L
.3478 .52159 L
.34715 .52174 L
.34354 .52658 L
.34296 .52719 L
.341 .53141 L
.33813 .53347 L
.33559 .53624 L
.3333 .53994 L
.3315 .54107 L
.32847 .54462 L
.32717 .5459 L
.32364 .54957 L
.32036 .5459 L
.32241 .54107 L
.32364 .53994 L
.32593 .53624 L
.32847 .53231 L
.32907 .53141 L
.33214 .52658 L
.3333 .52479 L
.33571 .52174 L
.33813 .51833 L
.33917 .51691 L
.34265 .51208 L
.34296 .51159 L
.34565 .50725 L
.3478 .50474 L
.34983 .50242 L
.35263 .49788 L
.35346 .49758 L
.35705 .49275 L
.35746 .49226 L
.35987 .48792 L
.36229 .48583 L
.36472 .48309 L
.36712 .47925 L
.36862 .47826 L
.37196 .47413 L
.3726 .47342 L
.37676 .46859 L
.37679 .46856 L
.38147 .46376 L
F
1 .5 0 r
.3478 .44631 m
.35169 .44927 L
.3486 .4541 L
.3478 .45531 L
.34523 .45893 L
.34296 .46223 L
.34181 .46376 L
.33861 .46859 L
.33813 .46904 L
.33463 .47342 L
.3333 .47523 L
.33082 .47826 L
.32847 .48134 L
.32693 .48309 L
.32364 .48714 L
.32044 .48309 L
.32337 .47826 L
.32364 .47793 L
.32685 .47342 L
.32847 .47112 L
.33033 .46859 L
.3333 .46447 L
.33386 .46376 L
.3375 .45893 L
.33813 .45775 L
.34135 .4541 L
.34296 .45203 L
.34536 .44927 L
F
1 .48 0 r
.36712 .46204 m
.37173 .46376 L
.36892 .46859 L
.36712 .4715 L
.36586 .47342 L
.36289 .47826 L
.36229 .47909 L
.35932 .48309 L
.35746 .48573 L
.35585 .48792 L
.35263 .49244 L
.35239 .49275 L
.34953 .49758 L
.3478 .49928 L
.34508 .50242 L
.34296 .50523 L
.34133 .50725 L
.33813 .51139 L
.33754 .51208 L
.33361 .51691 L
.3333 .5174 L
.32939 .52174 L
.32847 .52363 L
.32473 .52658 L
.32364 .52772 L
.32059 .52658 L
.32281 .52174 L
.32364 .52032 L
.32571 .51691 L
.32847 .51251 L
.32876 .51208 L
.33065 .50725 L
.3333 .50411 L
.3354 .50242 L
.33813 .49854 L
.33885 .49758 L
.34209 .49275 L
.34296 .49175 L
.34599 .48792 L
.3478 .48455 L
.3497 .48309 L
.35263 .47923 L
.35344 .47826 L
.35708 .47342 L
.35746 .47311 L
.36131 .46859 L
.36229 .46687 L
.36562 .46376 L
F
.32364 .47841 m
.32667 .48309 L
.32364 .48679 L
.32072 .48309 L
F
0 .62 1 r
.37679 .46888 m
.38123 .47342 L
.37969 .47826 L
.37679 .48056 L
.37513 .48309 L
.37196 .48781 L
.37188 .48792 L
.36888 .49275 L
.36712 .49517 L
.36505 .49758 L
.36229 .50142 L
.36155 .50242 L
.35804 .50725 L
.35746 .50806 L
.35524 .51208 L
.35263 .51479 L
.35071 .51691 L
.3478 .52154 L
.34702 .52174 L
.34338 .52658 L
.34296 .52702 L
.34076 .53141 L
.33813 .53327 L
.33541 .53624 L
.3333 .53974 L
.33126 .54107 L
.32847 .54431 L
.32682 .5459 L
.32364 .5491 L
.32075 .5459 L
.32285 .54107 L
.32364 .54034 L
.32614 .53624 L
.32847 .53259 L
.32925 .53141 L
.3323 .52658 L
.3333 .52504 L
.33585 .52174 L
.33813 .51851 L
.33929 .51691 L
.34276 .51208 L
.34296 .51176 L
.34577 .50725 L
.3478 .50489 L
.34994 .50242 L
.35263 .49795 L
.35358 .49758 L
.35718 .49275 L
.35746 .49242 L
.36005 .48792 L
.36229 .486 L
.36487 .48309 L
.36712 .4794 L
.36879 .47826 L
.37196 .47436 L
.37282 .47342 L
F
0 .52 1 r
.32364 .45907 m
.32443 .46376 L
.32364 .4648 L
.3208 .46376 L
F
1 .46 0 r
.32364 .4788 m
.32638 .48309 L
.32364 .48642 L
.32103 .48309 L
F
.36712 .46235 m
.37141 .46376 L
.36871 .46859 L
.36712 .47121 L
.36568 .47342 L
.36267 .47826 L
.36229 .47879 L
.35918 .48309 L
.35746 .48555 L
.35572 .48792 L
.35263 .49226 L
.35225 .49275 L
.34934 .49758 L
.3478 .49909 L
.34496 .50242 L
.34296 .50507 L
.34119 .50725 L
.33813 .5112 L
.33738 .51208 L
.33345 .51691 L
.3333 .51714 L
.32917 .52174 L
.32847 .5232 L
.32434 .52658 L
.32364 .52728 L
.3211 .52658 L
.32307 .52174 L
.32364 .52074 L
.32592 .51691 L
.32847 .51278 L
.32894 .51208 L
.33089 .50725 L
.3333 .50438 L
.33554 .50242 L
.33813 .49873 L
.33898 .49758 L
.34226 .49275 L
.34296 .49194 L
.34612 .48792 L
.3478 .48472 L
.34983 .48309 L
.35263 .47941 L
.35359 .47826 L
.35735 .47342 L
.35746 .47334 L
.36149 .46859 L
.36229 .46717 L
.36588 .46376 L
F
0 .6 1 r
.37679 .4692 m
.38096 .47342 L
.37939 .47826 L
.37679 .48027 L
.37495 .48309 L
.37196 .48759 L
.37172 .48792 L
.36873 .49275 L
.36712 .49497 L
.36493 .49758 L
.36229 .50125 L
.36143 .50242 L
.35793 .50725 L
.35746 .50789 L
.35511 .51208 L
.35263 .51464 L
.35059 .51691 L
.3478 .52148 L
.34689 .52174 L
.34321 .52658 L
.34296 .52684 L
.3405 .53141 L
.33813 .53306 L
.33523 .53624 L
.3333 .53951 L
.33102 .54107 L
.32847 .54399 L
.32643 .5459 L
.32364 .54859 L
.32116 .5459 L
.32333 .54107 L
.32364 .54078 L
.32635 .53624 L
.32847 .53288 L
.32943 .53141 L
.33248 .52658 L
.3333 .5253 L
.33598 .52174 L
.33813 .51869 L
.33942 .51691 L
.34287 .51208 L
.34296 .51193 L
.3459 .50725 L
.3478 .50505 L
.35005 .50242 L
.35263 .49802 L
.35369 .49758 L
.35732 .49275 L
.35746 .49258 L
.36024 .48792 L
.36229 .48618 L
.36501 .48309 L
.36712 .47956 L
.36897 .47826 L
.37196 .4746 L
.37306 .47342 L
F
1 .92 0 r
.41061 .48575 m
.41509 .48792 L
.41365 .49275 L
.41098 .49758 L
.41061 .49916 L
.40867 .50242 L
.40578 .50644 L
.40526 .50725 L
.40137 .51208 L
.40095 .51363 L
.39839 .51691 L
.39612 .52064 L
.39549 .52174 L
.39169 .52658 L
.39128 .52708 L
.38751 .53141 L
.38645 .53377 L
.38461 .53624 L
.38162 .5404 L
.38155 .54107 L
.37749 .5459 L
.37679 .54671 L
.37353 .55073 L
.37196 .55325 L
.37053 .55557 L
.36712 .55974 L
.36658 .5604 L
.36252 .56523 L
.36229 .56594 L
.35923 .57006 L
.35746 .57232 L
.35636 .57489 L
.35263 .57868 L
.35175 .57973 L
.34794 .58456 L
.3478 .58475 L
.34437 .58939 L
.34296 .59075 L
.34012 .59422 L
.33813 .59669 L
.33598 .59905 L
.3333 .60243 L
.33159 .60388 L
.32847 .60715 L
.32654 .60872 L
.32364 .61099 L
.32122 .60872 L
.32261 .60388 L
.32364 .60274 L
.32566 .59905 L
.32847 .5944 L
.32858 .59422 L
.33155 .58939 L
.3333 .58599 L
.3336 .58456 L
.33813 .58007 L
.33837 .57973 L
.34195 .57489 L
.34296 .57302 L
.34483 .57006 L
.3478 .56597 L
.34883 .56523 L
.35251 .5604 L
.35263 .56001 L
.35586 .55557 L
.35746 .55329 L
.3586 .55073 L
.36229 .54661 L
.36315 .5459 L
.36681 .54107 L
.36712 .54054 L
.37004 .53624 L
.37196 .53398 L
.37407 .53141 L
.37679 .52743 L
.37772 .52658 L
.38133 .52174 L
.38162 .52138 L
.38447 .51691 L
.38645 .51499 L
.38887 .51208 L
.39128 .50858 L
.39263 .50725 L
.39612 .5025 L
.39639 .50242 L
.39977 .49758 L
.40095 .49676 L
.40451 .49275 L
.40578 .491 L
.40909 .48792 L
F
0 .84 1 r
.40095 .47903 m
.40436 .48309 L
.40228 .48792 L
.40095 .4897 L
.39919 .49275 L
.39612 .49758 L
.39612 .49761 L
.39286 .50242 L
.39128 .50527 L
.39038 .50725 L
.38645 .51177 L
.38624 .51208 L
.38241 .51691 L
.38162 .5186 L
.37943 .52174 L
.37679 .5254 L
.37576 .52658 L
.3722 .53141 L
.37196 .5317 L
.36843 .53624 L
.36712 .53823 L
.36547 .54107 L
.36229 .54477 L
.36131 .5459 L
.35756 .55073 L
.35746 .55096 L
.35403 .55557 L
.35263 .55725 L
.35132 .5604 L
.3478 .56356 L
.34634 .56523 L
.34296 .56969 L
.34248 .57006 L
.33866 .57489 L
.33813 .57535 L
.33432 .57973 L
.3333 .581 L
.3298 .58456 L
.32847 .58634 L
.32438 .58939 L
.32364 .58997 L
.32124 .58939 L
.32252 .58456 L
.32364 .58231 L
.32503 .57973 L
.32778 .57489 L
.32847 .57341 L
.32956 .57006 L
.3333 .56657 L
.33421 .56523 L
.33763 .5604 L
.33813 .55939 L
.34056 .55557 L
.34296 .5521 L
.34443 .55073 L
.3478 .54607 L
.34792 .5459 L
.35144 .54107 L
.35263 .53933 L
.35422 .53624 L
.35746 .53255 L
.35867 .53141 L
.36226 .52658 L
.36229 .52651 L
.36566 .52174 L
.36712 .52 L
.36802 .51691 L
.37196 .51344 L
.37331 .51208 L
.37679 .50727 L
.37698 .50725 L
.38036 .50242 L
.38162 .50123 L
.38465 .49758 L
.38645 .49497 L
.38859 .49275 L
.39128 .48865 L
.39264 .48792 L
.39612 .48388 L
.39692 .48309 L
F
0 .8 1 r
.32364 .41717 m
.32601 .42027 L
.32364 .42395 L
.32124 .42027 L
F
1 .44 0 r
.32364 .47923 m
.32607 .48309 L
.32364 .48601 L
.32135 .48309 L
F
0 .5 1 r
.32364 .45982 m
.32395 .46376 L
.32364 .46417 L
.32149 .46376 L
F
0 .96 1 r
.42027 .49373 m
.42481 .49758 L
.424 .50242 L
.4212 .50725 L
.42027 .5092 L
.41803 .51208 L
.41544 .5161 L
.41473 .51691 L
.41101 .52174 L
.41061 .52222 L
.40657 .52658 L
.40578 .52895 L
.40365 .53141 L
.40095 .53566 L
.40056 .53624 L
.39698 .54107 L
.39612 .54208 L
.39244 .5459 L
.39128 .54872 L
.3897 .55073 L
.38645 .55528 L
.38637 .55557 L
.38266 .5604 L
.38162 .56156 L
.37853 .56523 L
.37679 .56812 L
.37553 .57006 L
.37196 .57461 L
.37173 .57489 L
.36735 .57973 L
.36712 .58077 L
.36429 .58456 L
.36229 .58725 L
.3613 .58939 L
.35746 .59367 L
.35702 .59422 L
.35307 .59905 L
.35263 .59969 L
.34971 .60388 L
.3478 .60592 L
.34715 .60872 L
.34296 .61207 L
.34171 .61355 L
.33813 .61795 L
.33768 .61838 L
.33349 .62321 L
.3333 .62334 L
.32867 .62804 L
.32847 .62825 L
.32364 .63192 L
.32154 .62804 L
.32364 .62322 L
.32364 .62321 L
.32535 .61838 L
.32847 .615 L
.32938 .61355 L
.33277 .60872 L
.3333 .60734 L
.33567 .60388 L
.33813 .60073 L
.33931 .59905 L
.34275 .59422 L
.34296 .5939 L
.34639 .58939 L
.3478 .58695 L
.34927 .58456 L
.35263 .5801 L
.35338 .57973 L
.35717 .57489 L
.35746 .57414 L
.3604 .57006 L
.36229 .56743 L
.3631 .56523 L
.36712 .56083 L
.36776 .5604 L
.37143 .55557 L
.37196 .55473 L
.37457 .55073 L
.37679 .54814 L
.37868 .5459 L
.38162 .54162 L
.38229 .54107 L
.38586 .53624 L
.38645 .53551 L
.38883 .53141 L
.39128 .52902 L
.39334 .52658 L
.39612 .52256 L
.39701 .52174 L
.40061 .51691 L
.40095 .51657 L
.40364 .51208 L
.40578 .51031 L
.40838 .50725 L
.41061 .50413 L
.41229 .50242 L
.41544 .49834 L
.41645 .49758 L
F
1 .88 0 r
.32364 .39885 m
.32378 .40095 L
.32364 .40124 L
.32159 .40095 L
F
0 .58 1 r
.32364 .5413 m
.32598 .5459 L
.32364 .54803 L
.32162 .5459 L
F
1 .74 0 r
.32364 .56123 m
.32845 .56523 L
.32364 .56964 L
.32162 .56523 L
F
1 .42 0 r
.32364 .47971 m
.32572 .48309 L
.32364 .48555 L
.32172 .48309 L
F
1 .44 0 r
.32847 .51307 m
.33327 .51691 L
.32894 .52174 L
.32847 .52273 L
.32388 .52658 L
.32364 .5268 L
.32179 .52658 L
.32334 .52174 L
.32364 .5212 L
.32613 .51691 L
F
0 .42 1 r
.32364 .49972 m
.32781 .50242 L
.32364 .50697 L
.32207 .50242 L
F
1 .4 0 r
.32364 .48026 m
.32532 .48309 L
.32364 .48502 L
.32213 .48309 L
F
1 .72 0 r
.32364 .56198 m
.32791 .56523 L
.32364 .56881 L
.32215 .56523 L
F
0 .56 1 r
.32364 .54195 m
.32544 .5459 L
.32364 .54738 L
.32216 .5459 L
F
1 .98 0 r
.42994 .50028 m
.43477 .49916 L
.4396 .50037 L
.44235 .50242 L
.4396 .50585 L
.43872 .50725 L
.43526 .51208 L
.43477 .51268 L
.43169 .51691 L
.42994 .51856 L
.42779 .52174 L
.42511 .52453 L
.42371 .52658 L
.42027 .53072 L
.41976 .53141 L
.41614 .53624 L
.41544 .53693 L
.41269 .54107 L
.41061 .54374 L
.40831 .5459 L
.40578 .55047 L
.40557 .55073 L
.4021 .55557 L
.40095 .55688 L
.39731 .5604 L
.39612 .56352 L
.39471 .56523 L
.39128 .57005 L
.39128 .57006 L
.38772 .57489 L
.38645 .57627 L
.38346 .57973 L
.38162 .58287 L
.38047 .58456 L
.37679 .58938 L
.37678 .58939 L
.37207 .59422 L
.37196 .59547 L
.36924 .59905 L
.36712 .60204 L
.36618 .60388 L
.36229 .60851 L
.36214 .60872 L
.358 .61355 L
.35746 .61446 L
.3548 .61838 L
.35263 .62088 L
.352 .62321 L
.3478 .62718 L
.34711 .62804 L
.3432 .63288 L
.34296 .63306 L
.33954 .63771 L
.33813 .63879 L
.33492 .64254 L
.3333 .6443 L
.33021 .64737 L
.32847 .6492 L
.32387 .6522 L
.32364 .65239 L
.32218 .6522 L
.3222 .64737 L
.32364 .64418 L
.32447 .64254 L
.32717 .63771 L
.32847 .63578 L
.32927 .63288 L
.3333 .62841 L
.33355 .62804 L
.33717 .62321 L
.33813 .62099 L
.34005 .61838 L
.34296 .61475 L
.34383 .61355 L
.34772 .60872 L
.3478 .60801 L
.35096 .60388 L
.35263 .60112 L
.35384 .59905 L
.35746 .59438 L
.35806 .59422 L
.36186 .58939 L
.36229 .58843 L
.36504 .58456 L
.36712 .58172 L
.36766 .57973 L
.37196 .57517 L
.37248 .57489 L
.37613 .57006 L
.37679 .56906 L
.3792 .56523 L
.38162 .56244 L
.3834 .5604 L
.38645 .55595 L
.38699 .55557 L
.39051 .55073 L
.39128 .5498 L
.3933 .5459 L
.39612 .54325 L
.39799 .54107 L
.40095 .53678 L
.40161 .53624 L
.40509 .53141 L
.40578 .5307 L
.40803 .52658 L
.41061 .52427 L
.41279 .52174 L
.41544 .51785 L
.4165 .51691 L
.42023 .51208 L
.42027 .51204 L
.42396 .50725 L
.42511 .50586 L
.42728 .50242 L
F
0 .4 1 r
.32364 .50013 m
.32752 .50242 L
.32364 .50655 L
.32235 .50242 L
F
0 .78 1 r
.32364 .41877 m
.32484 .42027 L
.32364 .42243 L
.32246 .42027 L
F
1 .38 0 r
.32364 .48096 m
.3248 .48309 L
.32364 .48437 L
.32264 .48309 L
F
0 .38 1 r
.32364 .50058 m
.32719 .50242 L
.32364 .50607 L
.32264 .50242 L
F
1 .7 0 r
.32364 .56293 m
.32726 .56523 L
.32364 .56778 L
.32275 .56523 L
F
1 .66 0 r
.32364 .43853 m
.32674 .4396 L
.32364 .44406 L
.32287 .4396 L
F
0 .54 1 r
.32364 .5428 m
.3247 .5459 L
.32364 .54658 L
.32288 .5459 L
F
0 .36 1 r
.32364 .50111 m
.32681 .50242 L
.32364 .5055 L
.32297 .50242 L
F
0 .82 1 r
.40095 .47999 m
.40357 .48309 L
.40161 .48792 L
.40095 .48881 L
.39877 .49275 L
.39612 .49705 L
.39579 .49758 L
.3926 .50242 L
.39128 .50487 L
.39023 .50725 L
.38645 .51145 L
.38602 .51208 L
.38228 .51691 L
.38162 .51834 L
.37927 .52174 L
.37679 .52519 L
.37559 .52658 L
.37204 .53141 L
.37196 .5315 L
.3683 .53624 L
.36712 .53803 L
.36534 .54107 L
.36229 .54458 L
.36115 .5459 L
.35747 .55073 L
.35746 .55076 L
.35385 .55557 L
.35263 .55701 L
.35113 .5604 L
.3478 .5633 L
.3461 .56523 L
.34296 .56946 L
.34219 .57006 L
.3382 .57489 L
.33813 .57495 L
.33387 .57973 L
.3333 .58044 L
.3291 .58456 L
.32847 .5854 L
.32364 .58821 L
.32333 .58456 L
.32364 .58379 L
.32558 .57973 L
.32822 .57489 L
.32847 .57434 L
.32987 .57006 L
.3333 .56699 L
.33447 .56523 L
.3378 .5604 L
.33813 .55974 L
.34074 .55557 L
.34296 .55233 L
.3446 .55073 L
.3478 .54628 L
.34808 .5459 L
.35158 .54107 L
.35263 .53953 L
.35435 .53624 L
.35746 .53271 L
.3588 .53141 L
.36229 .52669 L
.36238 .52658 L
.3658 .52174 L
.36712 .52018 L
.36815 .51691 L
.37196 .51361 L
.37346 .51208 L
.37679 .5073 L
.37716 .50725 L
.38062 .50242 L
.38162 .50149 L
.38488 .49758 L
.38645 .49527 L
.38889 .49275 L
.39128 .48894 L
.39305 .48792 L
.39612 .48444 L
.39759 .48309 L
F
0 .34 1 r
.32364 .50177 m
.32634 .50242 L
.32364 .50474 L
.32334 .50242 L
F
1 .36 0 r
.32364 .48213 m
.32395 .48309 L
.32364 .48336 L
.32342 .48309 L
F
1 .68 0 r
.32364 .56454 m
.32633 .56523 L
.32364 .56607 L
.3235 .56523 L
F
1 .64 0 r
.32364 .4396 m
.32571 .4396 L
.32364 .44289 L
.32363 .4396 L
F
1 .42 0 r
.32847 .51337 m
.33305 .51691 L
.32869 .52174 L
.32847 .52221 L
.32364 .52174 L
.32635 .51691 L
F
0 .52 1 r
.32847 .45231 m
.33196 .4541 L
.32847 .45893 L
.32847 .45894 L
.32374 .45893 L
.32721 .4541 L
F
1 .48 0 r
.3478 .44667 m
.35139 .44927 L
.34839 .4541 L
.3478 .455 L
.34502 .45893 L
.34296 .46196 L
.34161 .46376 L
.33823 .46859 L
.33813 .46868 L
.33445 .47342 L
.3333 .47498 L
.33061 .47826 L
.32847 .48106 L
.32374 .47826 L
.32706 .47342 L
.32847 .47141 L
.33054 .46859 L
.3333 .46475 L
.33408 .46376 L
.33771 .45893 L
.33813 .45812 L
.34158 .4541 L
.34296 .45233 L
.34564 .44927 L
F
0 .58 1 r
.37679 .46953 m
.38068 .47342 L
.37904 .47826 L
.37679 .47997 L
.37478 .48309 L
.37196 .48735 L
.37157 .48792 L
.36858 .49275 L
.36712 .49476 L
.3648 .49758 L
.36229 .50108 L
.3613 .50242 L
.35781 .50725 L
.35746 .50773 L
.35497 .51208 L
.35263 .51448 L
.35047 .51691 L
.3478 .52142 L
.34675 .52174 L
.34304 .52658 L
.34296 .52665 L
.34022 .53141 L
.33813 .53284 L
.33504 .53624 L
.3333 .53926 L
.33076 .54107 L
.32847 .54366 L
.32376 .54107 L
.32657 .53624 L
.32847 .53318 L
.32962 .53141 L
.33265 .52658 L
.3333 .52557 L
.33612 .52174 L
.33813 .51888 L
.33955 .51691 L
.34296 .5121 L
.34298 .51208 L
.34603 .50725 L
.3478 .50521 L
.35016 .50242 L
.35263 .49811 L
.35381 .49758 L
.35746 .49275 L
.35746 .49275 L
.36043 .48792 L
.36229 .48636 L
.36516 .48309 L
.36712 .47974 L
.36916 .47826 L
.37196 .47484 L
.3733 .47342 L
F
1 .46 0 r
.3333 .46504 m
.33797 .46859 L
.33426 .47342 L
.3333 .47472 L
.33039 .47826 L
.32847 .48077 L
.32401 .47826 L
.32728 .47342 L
.32847 .47172 L
.33076 .46859 L
F
0 .56 1 r
.37679 .46988 m
.38038 .47342 L
.37866 .47826 L
.37679 .47966 L
.3746 .48309 L
.37196 .48712 L
.37141 .48792 L
.36842 .49275 L
.36712 .49454 L
.36467 .49758 L
.36229 .50091 L
.36118 .50242 L
.35769 .50725 L
.35746 .50756 L
.35483 .51208 L
.35263 .51432 L
.35035 .51691 L
.3478 .52134 L
.34662 .52174 L
.34296 .52647 L
.34288 .52658 L
.33992 .53141 L
.33813 .53261 L
.33484 .53624 L
.3333 .53898 L
.33049 .54107 L
.32847 .54332 L
.32409 .54107 L
.32679 .53624 L
.32847 .53349 L
.32981 .53141 L
.33284 .52658 L
.3333 .52585 L
.33626 .52174 L
.33813 .51906 L
.33968 .51691 L
.34296 .51227 L
.34311 .51208 L
.34617 .50725 L
.3478 .50538 L
.35028 .50242 L
.35263 .4982 L
.35394 .49758 L
.35746 .49291 L
.35759 .49275 L
.36064 .48792 L
.36229 .48655 L
.36531 .48309 L
.36712 .47994 L
.36934 .47826 L
.37196 .47509 L
.37356 .47342 L
F
1 .74 0 r
.39128 .47151 m
.39524 .47342 L
.39299 .47826 L
.39128 .48125 L
.39021 .48309 L
.38727 .48792 L
.38645 .4895 L
.38526 .49275 L
.38162 .49633 L
.38076 .49758 L
.37725 .50242 L
.37679 .50335 L
.37423 .50725 L
.37196 .51038 L
.37045 .51208 L
.36712 .51664 L
.36692 .51691 L
.3633 .52174 L
.36229 .52321 L
.36041 .52658 L
.35746 .52983 L
.35605 .53141 L
.35263 .53613 L
.35238 .53624 L
.34879 .54107 L
.3478 .54219 L
.3462 .5459 L
.34296 .54848 L
.34093 .55073 L
.33813 .55476 L
.33696 .55557 L
.3333 .55993 L
.33285 .5604 L
.32847 .56521 L
.32411 .5604 L
.3259 .55557 L
.32847 .55323 L
.33009 .55073 L
.3333 .5459 L
.3333 .5459 L
.33635 .54107 L
.33813 .53841 L
.34008 .53624 L
.34296 .5322 L
.34355 .53141 L
.34706 .52658 L
.3478 .52545 L
.34992 .52174 L
.35263 .51862 L
.35424 .51691 L
.35746 .51256 L
.35784 .51208 L
.36134 .50725 L
.36229 .50611 L
.36389 .50242 L
.36712 .49959 L
.36899 .49758 L
.37196 .4931 L
.37276 .49275 L
.37648 .48792 L
.37679 .48764 L
.38062 .48309 L
.38162 .48165 L
.38484 .47826 L
.38645 .47562 L
.38943 .47342 L
F
0 .82 1 r
.3333 .40508 m
.3357 .40578 L
.33337 .41061 L
.3333 .41073 L
.33013 .41544 L
.32847 .41806 L
.32413 .41544 L
.32813 .41061 L
.32847 .40977 L
.33265 .40578 L
F
1 .44 0 r
.3333 .46534 m
.33774 .46859 L
.33406 .47342 L
.3333 .47446 L
.33016 .47826 L
.32847 .48046 L
.3243 .47826 L
.32751 .47342 L
.32847 .47203 L
.33098 .46859 L
F
0 .54 1 r
.37679 .47024 m
.38007 .47342 L
.37824 .47826 L
.37679 .47932 L
.37442 .48309 L
.37196 .48687 L
.37124 .48792 L
.36825 .49275 L
.36712 .49431 L
.36454 .49758 L
.36229 .50074 L
.36105 .50242 L
.35756 .50725 L
.35746 .50739 L
.35467 .51208 L
.35263 .51415 L
.35023 .51691 L
.3478 .52124 L
.34648 .52174 L
.34296 .52629 L
.34272 .52658 L
.3396 .53141 L
.33813 .53238 L
.33464 .53624 L
.3333 .53867 L
.3302 .54107 L
.32847 .54296 L
.32444 .54107 L
.32702 .53624 L
.32847 .53382 L
.33 .53141 L
.33303 .52658 L
.3333 .52616 L
.3364 .52174 L
.33813 .51925 L
.33981 .51691 L
.34296 .51244 L
.34324 .51208 L
.34632 .50725 L
.3478 .50555 L
.35039 .50242 L
.35263 .49831 L
.35406 .49758 L
.35746 .49307 L
.35772 .49275 L
.36086 .48792 L
.36229 .48675 L
.36546 .48309 L
.36712 .48015 L
.36954 .47826 L
.37196 .47535 L
.37384 .47342 L
F
1 .72 0 r
.39128 .47214 m
.39456 .47342 L
.39259 .47826 L
.39128 .48064 L
.3899 .48309 L
.38702 .48792 L
.38645 .48904 L
.38508 .49275 L
.38162 .49605 L
.38058 .49758 L
.37713 .50242 L
.37679 .50311 L
.3741 .50725 L
.37196 .5102 L
.37032 .51208 L
.36712 .51646 L
.36678 .51691 L
.36318 .52174 L
.36229 .52304 L
.36029 .52658 L
.35746 .52967 L
.35592 .53141 L
.35263 .53607 L
.35224 .53624 L
.34863 .54107 L
.3478 .542 L
.34599 .5459 L
.34296 .54826 L
.34073 .55073 L
.33813 .55457 L
.33671 .55557 L
.3333 .5596 L
.33252 .5604 L
.32847 .56475 L
.32448 .5604 L
.32628 .55557 L
.32847 .55362 L
.33031 .55073 L
.3333 .54618 L
.33349 .5459 L
.33652 .54107 L
.33813 .53864 L
.34022 .53624 L
.34296 .53239 L
.34368 .53141 L
.34717 .52658 L
.3478 .52563 L
.35004 .52174 L
.35263 .51877 L
.35436 .51691 L
.35746 .51272 L
.35796 .51208 L
.36147 .50725 L
.36229 .50628 L
.36404 .50242 L
.36712 .49976 L
.36913 .49758 L
.37196 .49319 L
.37292 .49275 L
.37674 .48792 L
.37679 .48788 L
.38084 .48309 L
.38162 .48196 L
.38515 .47826 L
.38645 .47608 L
.38996 .47342 L
F
1 .9 0 r
.40578 .49199 m
.41061 .48799 L
.4125 .49275 L
.41061 .49716 L
.41041 .49758 L
.40808 .50242 L
.40578 .50555 L
.40474 .50725 L
.40117 .51208 L
.40095 .51298 L
.39805 .51691 L
.39612 .52021 L
.39529 .52174 L
.39138 .52658 L
.39128 .52669 L
.38732 .53141 L
.38645 .53342 L
.38439 .53624 L
.38162 .54012 L
.38153 .54107 L
.37726 .5459 L
.37679 .54644 L
.37335 .55073 L
.37196 .55296 L
.37035 .55557 L
.36712 .55947 L
.36635 .5604 L
.36244 .56523 L
.36229 .56567 L
.35899 .57006 L
.35746 .57198 L
.35614 .57489 L
.35263 .5783 L
.35142 .57973 L
.3478 .58439 L
.3476 .58456 L
.34385 .58939 L
.34296 .5902 L
.33955 .59422 L
.33813 .59595 L
.33519 .59905 L
.3333 .60146 L
.33031 .60388 L
.32847 .6056 L
.3245 .60388 L
.32658 .59905 L
.32847 .5956 L
.32928 .59422 L
.33208 .58939 L
.3333 .58684 L
.33381 .58456 L
.33813 .58058 L
.33872 .57973 L
.34219 .57489 L
.34296 .57344 L
.34506 .57006 L
.3478 .5662 L
.34906 .56523 L
.35259 .5604 L
.35263 .56029 L
.35604 .55557 L
.35746 .55353 L
.35874 .55073 L
.36229 .54677 L
.36332 .5459 L
.36694 .54107 L
.36712 .54076 L
.37022 .53624 L
.37196 .5342 L
.37425 .53141 L
.37679 .52762 L
.37791 .52658 L
.38154 .52174 L
.38162 .52164 L
.38475 .51691 L
.38645 .5153 L
.38913 .51208 L
.39128 .50892 L
.39296 .50725 L
.39612 .50265 L
.39682 .50242 L
.40068 .49758 L
.40095 .49741 L
.40522 .49275 L
F
0 .46 1 r
.35263 .45964 m
.35729 .46376 L
.35399 .46859 L
.35263 .47058 L
.35057 .47342 L
.3478 .47737 L
.34712 .47826 L
.34418 .48309 L
.34296 .48423 L
.33987 .48792 L
.33813 .49025 L
.33609 .49275 L
.3333 .49638 L
.33226 .49758 L
.32847 .50226 L
.32457 .49758 L
.32696 .49275 L
.32847 .49094 L
.3311 .48792 L
.3333 .48479 L
.33456 .48309 L
.33801 .47826 L
.33813 .47811 L
.3417 .47342 L
.34296 .47105 L
.34547 .46859 L
.3478 .46557 L
.34932 .46376 L
F
1 .42 0 r
.3333 .46565 m
.3375 .46859 L
.33385 .47342 L
.3333 .47417 L
.32991 .47826 L
.32847 .48013 L
.32461 .47826 L
.32775 .47342 L
.32847 .47237 L
.33122 .46859 L
F
0 .44 1 r
.35263 .45989 m
.35709 .46376 L
.35383 .46859 L
.35263 .47036 L
.35042 .47342 L
.3478 .47717 L
.34697 .47826 L
.34392 .48309 L
.34296 .48399 L
.33973 .48792 L
.33813 .49006 L
.33593 .49275 L
.3333 .49617 L
.33207 .49758 L
.32847 .50201 L
.32478 .49758 L
.32729 .49275 L
.32847 .49132 L
.33126 .48792 L
.3333 .48501 L
.33472 .48309 L
.33813 .47834 L
.33819 .47826 L
.34185 .47342 L
.34296 .47129 L
.34564 .46859 L
.3478 .46578 L
.34951 .46376 L
F
0 .52 1 r
.37679 .47063 m
.37974 .47342 L
.37777 .47826 L
.37679 .47897 L
.37423 .48309 L
.37196 .48662 L
.37108 .48792 L
.36807 .49275 L
.36712 .49407 L
.36441 .49758 L
.36229 .50056 L
.36092 .50242 L
.35746 .50721 L
.35743 .50725 L
.35451 .51208 L
.35263 .51398 L
.3501 .51691 L
.3478 .52114 L
.34635 .52174 L
.34296 .5261 L
.34256 .52658 L
.33925 .53141 L
.33813 .53214 L
.33444 .53624 L
.3333 .53833 L
.32988 .54107 L
.32847 .54258 L
.32483 .54107 L
.32725 .53624 L
.32847 .53418 L
.33019 .53141 L
.33324 .52658 L
.3333 .52647 L
.33654 .52174 L
.33813 .51945 L
.33994 .51691 L
.34296 .51262 L
.34337 .51208 L
.34647 .50725 L
.3478 .50573 L
.35051 .50242 L
.35263 .49842 L
.35418 .49758 L
.35746 .49324 L
.35786 .49275 L
.3611 .48792 L
.36229 .48695 L
.36562 .48309 L
.36712 .48038 L
.36974 .47826 L
.37196 .47561 L
.37414 .47342 L
F
1 .7 0 r
.39128 .47283 m
.39368 .47342 L
.39217 .47826 L
.39128 .47996 L
.38959 .48309 L
.38676 .48792 L
.38645 .48853 L
.38488 .49275 L
.38162 .49576 L
.3804 .49758 L
.37701 .50242 L
.37679 .50287 L
.37395 .50725 L
.37196 .51001 L
.37018 .51208 L
.36712 .51628 L
.36665 .51691 L
.36307 .52174 L
.36229 .52287 L
.36017 .52658 L
.35746 .52951 L
.35578 .53141 L
.35263 .536 L
.35209 .53624 L
.34846 .54107 L
.3478 .5418 L
.34577 .5459 L
.34296 .54804 L
.34053 .55073 L
.33813 .55436 L
.33645 .55557 L
.3333 .55925 L
.33216 .5604 L
.32847 .56426 L
.32488 .5604 L
.32671 .55557 L
.32847 .55403 L
.33054 .55073 L
.3333 .54647 L
.33369 .5459 L
.33669 .54107 L
.33813 .53889 L
.34037 .53624 L
.34296 .53258 L
.34382 .53141 L
.34729 .52658 L
.3478 .52581 L
.35016 .52174 L
.35263 .51892 L
.35448 .51691 L
.35746 .51287 L
.35808 .51208 L
.36161 .50725 L
.36229 .50644 L
.36421 .50242 L
.36712 .49993 L
.36928 .49758 L
.37196 .4933 L
.3731 .49275 L
.37679 .48811 L
.37696 .48792 L
.38106 .48309 L
.38162 .48229 L
.38547 .47826 L
.38645 .4766 L
.39062 .47342 L
F
1 .72 0 r
.32847 .43013 m
.33175 .43477 L
.32847 .43952 L
.32494 .43477 L
F
1 .4 0 r
.3333 .46598 m
.33724 .46859 L
.33363 .47342 L
.3333 .47388 L
.32964 .47826 L
.32847 .47978 L
.32495 .47826 L
.328 .47342 L
.32847 .47273 L
.33146 .46859 L
F
0 .42 1 r
.35263 .46014 m
.35688 .46376 L
.35367 .46859 L
.35263 .47013 L
.35026 .47342 L
.3478 .47696 L
.34681 .47826 L
.34366 .48309 L
.34296 .48374 L
.33958 .48792 L
.33813 .48986 L
.33576 .49275 L
.3333 .49595 L
.33187 .49758 L
.32847 .50174 L
.325 .49758 L
.32764 .49275 L
.32847 .49174 L
.33142 .48792 L
.3333 .48523 L
.33488 .48309 L
.33813 .47855 L
.33836 .47826 L
.34201 .47342 L
.34296 .47155 L
.3458 .46859 L
.3478 .466 L
.34971 .46376 L
F
0 .4 1 r
.35263 .46041 m
.35666 .46376 L
.35351 .46859 L
.35263 .46989 L
.3501 .47342 L
.3478 .47675 L
.34665 .47826 L
.34338 .48309 L
.34296 .48347 L
.33943 .48792 L
.33813 .48966 L
.33559 .49275 L
.3333 .49572 L
.33165 .49758 L
.32847 .50146 L
.32523 .49758 L
.32801 .49275 L
.32847 .49219 L
.33159 .48792 L
.3333 .48546 L
.33505 .48309 L
.33813 .47876 L
.33853 .47826 L
.34216 .47342 L
.34296 .47183 L
.34597 .46859 L
.3478 .46623 L
.34992 .46376 L
F
0 .8 1 r
.32847 .41165 m
.32928 .41544 L
.32847 .41683 L
.32523 .41544 L
F
0 .5 1 r
.37679 .47105 m
.37938 .47342 L
.37725 .47826 L
.37679 .47859 L
.37404 .48309 L
.37196 .48636 L
.37091 .48792 L
.36789 .49275 L
.36712 .49382 L
.36428 .49758 L
.36229 .50038 L
.3608 .50242 L
.35746 .50704 L
.3573 .50725 L
.35435 .51208 L
.35263 .5138 L
.34997 .51691 L
.3478 .52102 L
.3462 .52174 L
.34296 .52592 L
.3424 .52658 L
.33888 .53141 L
.33813 .53189 L
.33422 .53624 L
.3333 .53795 L
.32954 .54107 L
.32847 .54218 L
.32527 .54107 L
.3275 .53624 L
.32847 .53456 L
.3304 .53141 L
.3333 .52675 L
.33342 .52658 L
.33668 .52174 L
.33813 .51964 L
.34007 .51691 L
.34296 .51279 L
.3435 .51208 L
.34663 .50725 L
.3478 .50591 L
.35063 .50242 L
.35263 .49855 L
.35431 .49758 L
.35746 .4934 L
.358 .49275 L
.36134 .48792 L
.36229 .48715 L
.36578 .48309 L
.36712 .48063 L
.36995 .47826 L
.37196 .47588 L
.37447 .47342 L
F
1 .68 0 r
.38645 .47719 m
.39128 .47369 L
.3917 .47826 L
.39128 .47914 L
.38926 .48309 L
.38648 .48792 L
.38645 .48798 L
.38465 .49275 L
.38162 .49547 L
.38021 .49758 L
.37689 .50242 L
.37679 .50262 L
.3738 .50725 L
.37196 .50981 L
.37004 .51208 L
.36712 .51609 L
.36651 .51691 L
.36295 .52174 L
.36229 .52269 L
.36004 .52658 L
.35746 .52934 L
.35565 .53141 L
.35263 .53592 L
.35195 .53624 L
.34829 .54107 L
.3478 .54161 L
.34552 .5459 L
.34296 .54781 L
.34033 .55073 L
.33813 .55413 L
.33619 .55557 L
.3333 .5589 L
.33177 .5604 L
.32847 .56374 L
.3253 .5604 L
.32719 .55557 L
.32847 .55446 L
.33077 .55073 L
.3333 .54677 L
.33388 .5459 L
.33687 .54107 L
.33813 .53915 L
.34051 .53624 L
.34296 .53277 L
.34395 .53141 L
.34741 .52658 L
.3478 .52599 L
.35029 .52174 L
.35263 .51907 L
.35459 .51691 L
.35746 .51303 L
.35821 .51208 L
.36175 .50725 L
.36229 .50661 L
.36438 .50242 L
.36712 .5001 L
.36942 .49758 L
.37196 .49342 L
.37327 .49275 L
.37679 .48835 L
.37718 .48792 L
.3813 .48309 L
.38162 .48263 L
.38583 .47826 L
F
1 .38 0 r
.3333 .46634 m
.33696 .46859 L
.3334 .47342 L
.3333 .47356 L
.32935 .47826 L
.32847 .4794 L
.32533 .47826 L
.32827 .47342 L
.32847 .47312 L
.33172 .46859 L
F
1 .7 0 r
.32847 .43079 m
.33129 .43477 L
.32847 .43894 L
.32544 .43477 L
F
0 .38 1 r
.35263 .46069 m
.35643 .46376 L
.35333 .46859 L
.35263 .46965 L
.34994 .47342 L
.3478 .47653 L
.34649 .47826 L
.34308 .48309 L
.34296 .4832 L
.33928 .48792 L
.33813 .48946 L
.33542 .49275 L
.3333 .49549 L
.33143 .49758 L
.32847 .50116 L
.32547 .49758 L
.32841 .49275 L
.32847 .49268 L
.33176 .48792 L
.3333 .4857 L
.33521 .48309 L
.33813 .47899 L
.3387 .47826 L
.34232 .47342 L
.34296 .47213 L
.34615 .46859 L
.3478 .46646 L
.35013 .46376 L
F
0 .36 1 r
.32847 .49303 m
.33119 .49758 L
.32847 .50085 L
.32572 .49758 L
F
1 .66 0 r
.38645 .47786 m
.39117 .47826 L
.38892 .48309 L
.38645 .48751 L
.38621 .48792 L
.38439 .49275 L
.38162 .49517 L
.38003 .49758 L
.37679 .50236 L
.37675 .50242 L
.37365 .50725 L
.37196 .5096 L
.3699 .51208 L
.36712 .51591 L
.36638 .51691 L
.36283 .52174 L
.36229 .52251 L
.3599 .52658 L
.35746 .52917 L
.35551 .53141 L
.35263 .53584 L
.3518 .53624 L
.34811 .54107 L
.3478 .54141 L
.34525 .5459 L
.34296 .54758 L
.34012 .55073 L
.33813 .55388 L
.33591 .55557 L
.3333 .55854 L
.33133 .5604 L
.32847 .56318 L
.32576 .5604 L
.32773 .55557 L
.32847 .55493 L
.331 .55073 L
.3333 .54709 L
.33409 .5459 L
.33706 .54107 L
.33813 .53943 L
.34066 .53624 L
.34296 .53296 L
.34409 .53141 L
.34753 .52658 L
.3478 .52618 L
.35043 .52174 L
.35263 .51924 L
.35471 .51691 L
.35746 .51319 L
.35833 .51208 L
.36189 .50725 L
.36229 .50678 L
.36457 .50242 L
.36712 .50029 L
.36957 .49758 L
.37196 .49355 L
.37345 .49275 L
.37679 .4886 L
.3774 .48792 L
.38155 .48309 L
.38162 .48299 L
.38622 .47826 L
F
1 .36 0 r
.32847 .47357 m
.32903 .47826 L
.32847 .47897 L
.32577 .47826 L
F
0 .48 1 r
.37196 .47616 m
.37674 .47826 L
.37385 .48309 L
.37196 .48608 L
.37074 .48792 L
.3677 .49275 L
.36712 .49356 L
.36415 .49758 L
.36229 .5002 L
.36067 .50242 L
.35746 .50687 L
.35717 .50725 L
.35417 .51208 L
.35263 .51362 L
.34985 .51691 L
.3478 .52088 L
.34606 .52174 L
.34296 .52573 L
.34223 .52658 L
.33848 .53141 L
.33813 .53163 L
.33399 .53624 L
.3333 .53754 L
.32914 .54107 L
.32847 .54174 L
.3258 .54107 L
.32776 .53624 L
.32847 .53497 L
.3306 .53141 L
.3333 .52702 L
.3336 .52658 L
.33683 .52174 L
.33813 .51984 L
.34021 .51691 L
.34296 .51297 L
.34363 .51208 L
.34679 .50725 L
.3478 .5061 L
.35075 .50242 L
.35263 .4987 L
.35444 .49758 L
.35746 .49357 L
.35814 .49275 L
.3616 .48792 L
.36229 .48737 L
.36595 .48309 L
.36712 .4809 L
.37017 .47826 L
F
0 .34 1 r
.32847 .49337 m
.33094 .49758 L
.32847 .50051 L
.32599 .49758 L
F
1 .68 0 r
.32847 .43153 m
.33076 .43477 L
.32847 .43826 L
.32601 .43477 L
F
0 .8 1 r
.39612 .48504 m
.40085 .48792 L
.39835 .49275 L
.39612 .49647 L
.39544 .49758 L
.39234 .50242 L
.39128 .50444 L
.39006 .50725 L
.38645 .51113 L
.3858 .51208 L
.38215 .51691 L
.38162 .51806 L
.37911 .52174 L
.37679 .52498 L
.37542 .52658 L
.37196 .53138 L
.37187 .53141 L
.36816 .53624 L
.36712 .53782 L
.3652 .54107 L
.36229 .54438 L
.36098 .5459 L
.35746 .55064 L
.35731 .55073 L
.35366 .55557 L
.35263 .55677 L
.35091 .5604 L
.3478 .56303 L
.34585 .56523 L
.34296 .56922 L
.34188 .57006 L
.33813 .57453 L
.33779 .57489 L
.33339 .57973 L
.3333 .57984 L
.32847 .58434 L
.32617 .57973 L
.32847 .57527 L
.32868 .57489 L
.33025 .57006 L
.3333 .56743 L
.33474 .56523 L
.33799 .5604 L
.33813 .56011 L
.34094 .55557 L
.34296 .55258 L
.34478 .55073 L
.3478 .5465 L
.34824 .5459 L
.35172 .54107 L
.35263 .53973 L
.35448 .53624 L
.35746 .53286 L
.35894 .53141 L
.36229 .52687 L
.36252 .52658 L
.36595 .52174 L
.36712 .52037 L
.3683 .51691 L
.37196 .51379 L
.37362 .51208 L
.37679 .50735 L
.37734 .50725 L
.38089 .50242 L
.38162 .50175 L
.38511 .49758 L
.38645 .4956 L
.38919 .49275 L
.39128 .48929 L
.3935 .48792 L
F
1 .64 0 r
.38162 .48333 m
.38592 .48792 L
.3841 .49275 L
.38162 .49486 L
.37984 .49758 L
.37679 .50212 L
.37658 .50242 L
.37349 .50725 L
.37196 .50939 L
.36976 .51208 L
.36712 .51572 L
.36624 .51691 L
.3627 .52174 L
.36229 .52233 L
.35975 .52658 L
.35746 .529 L
.35538 .53141 L
.35263 .53574 L
.35165 .53624 L
.34792 .54107 L
.3478 .5412 L
.34496 .5459 L
.34296 .54734 L
.3399 .55073 L
.33813 .5536 L
.33562 .55557 L
.3333 .55817 L
.33083 .5604 L
.32847 .56256 L
.32627 .5604 L
.32834 .55557 L
.32847 .55546 L
.33124 .55073 L
.3333 .54742 L
.33429 .5459 L
.33726 .54107 L
.33813 .53973 L
.34081 .53624 L
.34296 .53316 L
.34423 .53141 L
.34766 .52658 L
.3478 .52637 L
.35057 .52174 L
.35263 .51941 L
.35484 .51691 L
.35746 .51335 L
.35846 .51208 L
.36204 .50725 L
.36229 .50696 L
.36477 .50242 L
.36712 .50047 L
.36972 .49758 L
.37196 .49371 L
.37363 .49275 L
.37679 .48885 L
.37764 .48792 L
F
0 .32 1 r
.32847 .49375 m
.33066 .49758 L
.32847 .50015 L
.32629 .49758 L
F
1 .34 0 r
.32847 .47416 m
.32864 .47826 L
.32847 .47848 L
.32636 .47826 L
F
0 .46 1 r
.3333 .52731 m
.3381 .53141 L
.33375 .53624 L
.3333 .53709 L
.32866 .54107 L
.32847 .54125 L
.32651 .54107 L
.32804 .53624 L
.32847 .53543 L
.33082 .53141 L
F
1 .4 0 r
.32847 .51369 m
.33282 .51691 L
.32847 .52168 L
.32658 .51691 L
F
0 .3 1 r
.32847 .49417 m
.33035 .49758 L
.32847 .49975 L
.32661 .49758 L
F
1 .66 0 r
.32847 .43242 m
.33011 .43477 L
.32847 .43742 L
.32669 .43477 L
F
1 .38 0 r
.32847 .51403 m
.33256 .51691 L
.32847 .52132 L
.32682 .51691 L
F
0 .78 1 r
.32847 .57615 m
.33274 .57973 L
.32847 .58333 L
.32682 .57973 L
F
1 .62 0 r
.32847 .55614 m
.33023 .5604 L
.32847 .56184 L
.32689 .5604 L
F
0 .94 1 r
.42027 .49702 m
.42137 .49758 L
.42214 .50242 L
.42027 .5065 L
.4199 .50725 L
.41697 .51208 L
.41544 .51488 L
.41404 .51691 L
.41061 .52116 L
.41022 .52174 L
.40618 .52658 L
.40578 .52808 L
.40309 .53141 L
.40095 .53502 L
.40018 .53624 L
.3965 .54107 L
.39612 .54152 L
.39214 .5459 L
.39128 .5482 L
.38933 .55073 L
.38645 .55484 L
.38626 .55557 L
.3823 .5604 L
.38162 .56115 L
.37824 .56523 L
.37679 .56767 L
.37524 .57006 L
.37196 .57417 L
.37138 .57489 L
.36725 .57973 L
.36712 .58035 L
.36393 .58456 L
.36229 .58671 L
.36098 .58939 L
.35746 .59305 L
.3565 .59422 L
.35268 .59905 L
.35263 .59912 L
.34899 .60388 L
.3478 .60503 L
.34629 .60872 L
.34296 .61089 L
.34054 .61355 L
.33813 .6165 L
.33597 .61838 L
.3333 .6223 L
.33035 .62321 L
.32847 .62438 L
.32693 .62321 L
.32797 .61838 L
.32847 .61784 L
.33071 .61355 L
.3333 .60914 L
.33356 .60872 L
.33641 .60388 L
.33813 .60172 L
.33993 .59905 L
.34296 .59465 L
.34327 .59422 L
.34676 .58939 L
.3478 .58754 L
.34958 .58456 L
.35263 .58036 L
.35371 .57973 L
.35732 .57489 L
.35746 .57454 L
.36065 .57006 L
.36229 .56777 L
.36327 .56523 L
.36712 .56103 L
.36801 .5604 L
.37163 .55557 L
.37196 .55505 L
.37481 .55073 L
.37679 .54845 L
.37892 .5459 L
.38162 .54187 L
.38256 .54107 L
.38615 .53624 L
.38645 .53587 L
.3892 .53141 L
.39128 .52944 L
.3937 .52658 L
.39612 .52298 L
.39744 .52174 L
.40095 .51718 L
.40117 .51691 L
.40453 .51208 L
.40578 .51111 L
.40914 .50725 L
.41061 .50518 L
.41343 .50242 L
.41544 .49976 L
.4192 .49758 L
F
0 .28 1 r
.32847 .49465 m
.32999 .49758 L
.32847 .4993 L
.32697 .49758 L
F
1 .36 0 r
.32847 .5144 m
.33229 .51691 L
.32847 .52093 L
.32708 .51691 L
F
1 .34 0 r
.32847 .51481 m
.33199 .51691 L
.32847 .52049 L
.32735 .51691 L
F
0 .26 1 r
.32847 .49524 m
.32955 .49758 L
.32847 .49875 L
.32742 .49758 L
F
0 .76 1 r
.32847 .57733 m
.33189 .57973 L
.32847 .58204 L
.32759 .57973 L
F
1 .88 0 r
.40578 .4931 m
.40953 .49758 L
.40742 .50242 L
.40578 .50459 L
.40421 .50725 L
.401 .51208 L
.40095 .51229 L
.39771 .51691 L
.39612 .51974 L
.39508 .52174 L
.39128 .52654 L
.39108 .52658 L
.38715 .53141 L
.38645 .53307 L
.38417 .53624 L
.38162 .53983 L
.3815 .54107 L
.37702 .5459 L
.37679 .54617 L
.37317 .55073 L
.37196 .55267 L
.37016 .55557 L
.36712 .55919 L
.36612 .5604 L
.36235 .56523 L
.36229 .5654 L
.35875 .57006 L
.35746 .57165 L
.35589 .57489 L
.35263 .57792 L
.35108 .57973 L
.3478 .58404 L
.34719 .58456 L
.34326 .58939 L
.34296 .58964 L
.33893 .59422 L
.33813 .59518 L
.33428 .59905 L
.3333 .6003 L
.32847 .6037 L
.32761 .59905 L
.32847 .59718 L
.33001 .59422 L
.33267 .58939 L
.3333 .58799 L
.33414 .58456 L
.33813 .58113 L
.33908 .57973 L
.34244 .57489 L
.34296 .5739 L
.34529 .57006 L
.3478 .56647 L
.34928 .56523 L
.35263 .56057 L
.35276 .5604 L
.35622 .55557 L
.35746 .55379 L
.35889 .55073 L
.36229 .54695 L
.3635 .5459 L
.36707 .54107 L
.36712 .54099 L
.37041 .53624 L
.37196 .53443 L
.37443 .53141 L
.37679 .52783 L
.37811 .52658 L
.38162 .52191 L
.38176 .52174 L
.38506 .51691 L
.38645 .51562 L
.3894 .51208 L
.39128 .50927 L
.3933 .50725 L
.39612 .50286 L
.39727 .50242 L
.40095 .49808 L
.40143 .49758 L
F
0 .5 1 r
.32847 .45288 m
.33149 .4541 L
.32847 .45836 L
.32762 .4541 L
F
1 .32 0 r
.32847 .51528 m
.33164 .51691 L
.32847 .51999 L
.32764 .51691 L
F
1 .64 0 r
.32847 .43371 m
.32918 .43477 L
.32847 .43616 L
.32767 .43477 L
F
1 .6 0 r
.32847 .55708 m
.32936 .5604 L
.32847 .56095 L
.32774 .5604 L
F
1 .3 0 r
.32847 .51584 m
.33123 .51691 L
.32847 .51937 L
.32798 .51691 L
F
0 .24 1 r
.32847 .4961 m
.32892 .49758 L
.32847 .498 L
.32805 .49758 L
F
0 .48 1 r
.32847 .45356 m
.33087 .4541 L
.32847 .45763 L
.3281 .4541 L
F
0 .44 1 r
.3333 .5276 m
.33787 .53141 L
.33349 .53624 L
.3333 .53661 L
.32847 .54063 L
.32833 .53624 L
.32847 .53596 L
.33104 .53141 L
F
1 .28 0 r
.32847 .51663 m
.33069 .51691 L
.32847 .51843 L
.32836 .51691 L
F
0 .96 1 r
.3333 .36249 m
.33498 .36712 L
.3333 .37022 L
.32857 .36712 L
F
1 .72 0 r
.33813 .41892 m
.34101 .42027 L
.33837 .42511 L
.33813 .42549 L
.33509 .42994 L
.3333 .43268 L
.32864 .42994 L
.3326 .42511 L
.3333 .42425 L
.33693 .42027 L
F
0 .36 1 r
.33813 .47922 m
.34285 .48309 L
.33912 .48792 L
.33813 .48924 L
.33523 .49275 L
.3333 .49525 L
.32866 .49275 L
.33194 .48792 L
.3333 .48594 L
.33539 .48309 L
F
1 .62 0 r
.38162 .48367 m
.38563 .48792 L
.38377 .49275 L
.38162 .49454 L
.37965 .49758 L
.37679 .50186 L
.37641 .50242 L
.37333 .50725 L
.37196 .50916 L
.36962 .51208 L
.36712 .51554 L
.3661 .51691 L
.36257 .52174 L
.36229 .52215 L
.3596 .52658 L
.35746 .52882 L
.35524 .53141 L
.35263 .53564 L
.35149 .53624 L
.3478 .541 L
.34773 .54107 L
.34464 .5459 L
.34296 .54708 L
.33968 .55073 L
.33813 .55329 L
.33531 .55557 L
.3333 .55778 L
.32877 .55557 L
.33149 .55073 L
.3333 .54776 L
.3345 .5459 L
.33747 .54107 L
.33813 .54004 L
.34096 .53624 L
.34296 .53336 L
.34437 .53141 L
.34779 .52658 L
.3478 .52656 L
.35072 .52174 L
.35263 .51958 L
.35496 .51691 L
.35746 .51352 L
.35859 .51208 L
.36219 .50725 L
.36229 .50713 L
.36498 .50242 L
.36712 .50067 L
.36988 .49758 L
.37196 .49388 L
.37382 .49275 L
.37679 .4891 L
.37789 .48792 L
F
0 .34 1 r
.33813 .47946 m
.34267 .48309 L
.33896 .48792 L
.33813 .48902 L
.33504 .49275 L
.3333 .495 L
.32889 .49275 L
.33212 .48792 L
.3333 .4862 L
.33557 .48309 L
F
1 .44 0 r
.36712 .46268 m
.37106 .46376 L
.3685 .46859 L
.36712 .47089 L
.3655 .47342 L
.36245 .47826 L
.36229 .47848 L
.35905 .48309 L
.35746 .48536 L
.35559 .48792 L
.35263 .49209 L
.35212 .49275 L
.34915 .49758 L
.3478 .49889 L
.34483 .50242 L
.34296 .5049 L
.34104 .50725 L
.33813 .51101 L
.33721 .51208 L
.3333 .51688 L
.32913 .51208 L
.33116 .50725 L
.3333 .50469 L
.33568 .50242 L
.33813 .49891 L
.33912 .49758 L
.34243 .49275 L
.34296 .49214 L
.34624 .48792 L
.3478 .4849 L
.34997 .48309 L
.35263 .47959 L
.35374 .47826 L
.35746 .47355 L
.35758 .47342 L
.36168 .46859 L
.36229 .4675 L
.36615 .46376 L
F
0 .32 1 r
.33813 .4797 m
.34248 .48309 L
.33879 .48792 L
.33813 .4888 L
.33484 .49275 L
.3333 .49473 L
.32914 .49275 L
.33231 .48792 L
.3333 .48646 L
.33575 .48309 L
F
0 .78 1 r
.39612 .48569 m
.4002 .48792 L
.3979 .49275 L
.39612 .49583 L
.39509 .49758 L
.39207 .50242 L
.39128 .50396 L
.38987 .50725 L
.38645 .51081 L
.38558 .51208 L
.38202 .51691 L
.38162 .51778 L
.37894 .52174 L
.37679 .52476 L
.37525 .52658 L
.37196 .53133 L
.3717 .53141 L
.36803 .53624 L
.36712 .53761 L
.36505 .54107 L
.36229 .54418 L
.36082 .5459 L
.35746 .55053 L
.35712 .55073 L
.35347 .55557 L
.35263 .55653 L
.35067 .5604 L
.3478 .56275 L
.3456 .56523 L
.34296 .56896 L
.34157 .57006 L
.33813 .57411 L
.33736 .57489 L
.3333 .57924 L
.32915 .57489 L
.3307 .57006 L
.3333 .5679 L
.33502 .56523 L
.33813 .56048 L
.33819 .5604 L
.34114 .55557 L
.34296 .55285 L
.34495 .55073 L
.3478 .54673 L
.3484 .5459 L
.35186 .54107 L
.35263 .53994 L
.35462 .53624 L
.35746 .53303 L
.35908 .53141 L
.36229 .52705 L
.36266 .52658 L
.36611 .52174 L
.36712 .52056 L
.36847 .51691 L
.37196 .51397 L
.37379 .51208 L
.37679 .5074 L
.37753 .50725 L
.38118 .50242 L
.38162 .50202 L
.38535 .49758 L
.38645 .49594 L
.38951 .49275 L
.39128 .48972 L
.394 .48792 L
F
1 .6 0 r
.38162 .48403 m
.38533 .48792 L
.38341 .49275 L
.38162 .49421 L
.37945 .49758 L
.37679 .50161 L
.37623 .50242 L
.37316 .50725 L
.37196 .50893 L
.36948 .51208 L
.36712 .51535 L
.36596 .51691 L
.36244 .52174 L
.36229 .52196 L
.35944 .52658 L
.35746 .52864 L
.3551 .53141 L
.35263 .53552 L
.35134 .53624 L
.3478 .54079 L
.34756 .54107 L
.3443 .5459 L
.34296 .54683 L
.33945 .55073 L
.33813 .55295 L
.33497 .55557 L
.3333 .55737 L
.32917 .55557 L
.33175 .55073 L
.3333 .54813 L
.33471 .5459 L
.33769 .54107 L
.33813 .54038 L
.34111 .53624 L
.34296 .53357 L
.34452 .53141 L
.3478 .52675 L
.34793 .52658 L
.35088 .52174 L
.35263 .51977 L
.35508 .51691 L
.35746 .51368 L
.35872 .51208 L
.36229 .50731 L
.36234 .50725 L
.36521 .50242 L
.36712 .50087 L
.37003 .49758 L
.37196 .49407 L
.37402 .49275 L
.37679 .48936 L
.37815 .48792 L
F
1 .7 0 r
.3333 .42497 m
.33775 .42511 L
.33462 .42994 L
.3333 .43202 L
.32922 .42994 L
.33319 .42511 L
F
1 .42 0 r
.35746 .47376 m
.36224 .47826 L
.35891 .48309 L
.35746 .48517 L
.35546 .48792 L
.35263 .49191 L
.35198 .49275 L
.34894 .49758 L
.3478 .49868 L
.3447 .50242 L
.34296 .50472 L
.3409 .50725 L
.33813 .51082 L
.33703 .51208 L
.3333 .51664 L
.32931 .51208 L
.33145 .50725 L
.3333 .50502 L
.33582 .50242 L
.33813 .4991 L
.33926 .49758 L
.34261 .49275 L
.34296 .49235 L
.34637 .48792 L
.3478 .48509 L
.35011 .48309 L
.35263 .47978 L
.3539 .47826 L
F
0 .3 1 r
.33813 .47996 m
.34228 .48309 L
.33861 .48792 L
.33813 .48856 L
.33463 .49275 L
.3333 .49445 L
.3294 .49275 L
.33251 .48792 L
.3333 .48674 L
.33594 .48309 L
F
1 .4 0 r
.35746 .47398 m
.36207 .47826 L
.35876 .48309 L
.35746 .48497 L
.35532 .48792 L
.35263 .49173 L
.35185 .49275 L
.34872 .49758 L
.3478 .49847 L
.34457 .50242 L
.34296 .50454 L
.34075 .50725 L
.33813 .51062 L
.33685 .51208 L
.3333 .5164 L
.32951 .51208 L
.33176 .50725 L
.3333 .50538 L
.33597 .50242 L
.33813 .4993 L
.3394 .49758 L
.3428 .49275 L
.34296 .49256 L
.3465 .48792 L
.3478 .4853 L
.35025 .48309 L
.35263 .47996 L
.35406 .47826 L
F
1 .58 0 r
.38162 .4844 m
.38501 .48792 L
.383 .49275 L
.38162 .49386 L
.37926 .49758 L
.37679 .50134 L
.37605 .50242 L
.37298 .50725 L
.37196 .50868 L
.36933 .51208 L
.36712 .51515 L
.36582 .51691 L
.36231 .52174 L
.36229 .52177 L
.35927 .52658 L
.35746 .52845 L
.35496 .53141 L
.35263 .53539 L
.35118 .53624 L
.3478 .54058 L
.34738 .54107 L
.34393 .5459 L
.34296 .54656 L
.33921 .55073 L
.33813 .55257 L
.33461 .55557 L
.3333 .55694 L
.32962 .55557 L
.33201 .55073 L
.3333 .54852 L
.33493 .5459 L
.33792 .54107 L
.33813 .54074 L
.34127 .53624 L
.34296 .53378 L
.34466 .53141 L
.3478 .52693 L
.34806 .52658 L
.35105 .52174 L
.35263 .51996 L
.35521 .51691 L
.35746 .51385 L
.35885 .51208 L
.36229 .50749 L
.36249 .50725 L
.36545 .50242 L
.36712 .50108 L
.37019 .49758 L
.37196 .49429 L
.37422 .49275 L
.37679 .48963 L
.37843 .48792 L
F
0 .76 1 r
.39612 .48639 m
.39945 .48792 L
.39744 .49275 L
.39612 .49513 L
.39473 .49758 L
.39179 .50242 L
.39128 .50343 L
.38965 .50725 L
.38645 .51047 L
.38536 .51208 L
.38189 .51691 L
.38162 .5175 L
.37877 .52174 L
.37679 .52453 L
.37508 .52658 L
.37196 .53127 L
.37154 .53141 L
.36789 .53624 L
.36712 .53739 L
.3649 .54107 L
.36229 .54398 L
.36065 .5459 L
.35746 .55041 L
.35694 .55073 L
.35327 .55557 L
.35263 .55629 L
.3504 .5604 L
.3478 .56247 L
.34535 .56523 L
.34296 .56868 L
.34124 .57006 L
.33813 .57367 L
.3369 .57489 L
.3333 .57862 L
.32965 .57489 L
.33125 .57006 L
.3333 .5684 L
.33529 .56523 L
.33813 .56084 L
.33843 .5604 L
.34136 .55557 L
.34296 .55314 L
.34512 .55073 L
.3478 .54695 L
.34857 .5459 L
.352 .54107 L
.35263 .54015 L
.35476 .53624 L
.35746 .5332 L
.35922 .53141 L
.36229 .52723 L
.36281 .52658 L
.36627 .52174 L
.36712 .52075 L
.36865 .51691 L
.37196 .51417 L
.37395 .51208 L
.37679 .50748 L
.37772 .50725 L
.38149 .50242 L
.38162 .5023 L
.38559 .49758 L
.38645 .4963 L
.38986 .49275 L
.39128 .49023 L
.39458 .48792 L
F
0 .28 1 r
.33813 .48023 m
.34207 .48309 L
.33843 .48792 L
.33813 .48832 L
.3344 .49275 L
.3333 .49416 L
.32969 .49275 L
.33271 .48792 L
.3333 .48704 L
.33614 .48309 L
F
1 .38 0 r
.35746 .4742 m
.36189 .47826 L
.35862 .48309 L
.35746 .48477 L
.35518 .48792 L
.35263 .49154 L
.35171 .49275 L
.34849 .49758 L
.3478 .49825 L
.34443 .50242 L
.34296 .50436 L
.34059 .50725 L
.33813 .51042 L
.33666 .51208 L
.3333 .51616 L
.32971 .51208 L
.33209 .50725 L
.3333 .50578 L
.33611 .50242 L
.33813 .4995 L
.33954 .49758 L
.34296 .49278 L
.34299 .49275 L
.34663 .48792 L
.3478 .48553 L
.35039 .48309 L
.35263 .48015 L
.35423 .47826 L
F
0 .58 1 r
.3333 .4446 m
.33642 .44927 L
.3333 .45375 L
.32979 .44927 L
F
1 .68 0 r
.3333 .4259 m
.33408 .42994 L
.3333 .43124 L
.32992 .42994 L
F
1 .36 0 r
.35746 .47442 m
.3617 .47826 L
.35847 .48309 L
.35746 .48456 L
.35504 .48792 L
.35263 .49135 L
.35156 .49275 L
.34826 .49758 L
.3478 .49802 L
.34429 .50242 L
.34296 .50418 L
.34044 .50725 L
.33813 .51021 L
.33647 .51208 L
.3333 .5159 L
.32992 .51208 L
.33245 .50725 L
.3333 .5062 L
.33626 .50242 L
.33813 .4997 L
.33969 .49758 L
.34296 .49297 L
.34313 .49275 L
.34677 .48792 L
.3478 .48577 L
.35054 .48309 L
.35263 .48035 L
.3544 .47826 L
F
0 .26 1 r
.33813 .48051 m
.34184 .48309 L
.33823 .48792 L
.33813 .48806 L
.33416 .49275 L
.3333 .49384 L
.33001 .49275 L
.33293 .48792 L
.3333 .48735 L
.33635 .48309 L
F
1 .92 0 r
.3333 .38304 m
.33595 .38645 L
.3333 .39116 L
.33011 .38645 L
F
0 .56 1 r
.3333 .44505 m
.3361 .44927 L
.3333 .45335 L
.33013 .44927 L
F
1 .34 0 r
.35746 .47466 m
.36151 .47826 L
.35832 .48309 L
.35746 .48435 L
.35489 .48792 L
.35263 .49116 L
.35141 .49275 L
.34801 .49758 L
.3478 .49778 L
.34415 .50242 L
.34296 .50399 L
.34027 .50725 L
.33813 .50999 L
.33626 .51208 L
.3333 .51563 L
.33014 .51208 L
.33283 .50725 L
.3333 .50667 L
.33642 .50242 L
.33813 .49991 L
.33984 .49758 L
.34296 .49317 L
.34329 .49275 L
.34691 .48792 L
.3478 .48603 L
.35069 .48309 L
.35263 .48055 L
.35458 .47826 L
F
1 .56 0 r
.38162 .4848 m
.38468 .48792 L
.38255 .49275 L
.38162 .49349 L
.37906 .49758 L
.37679 .50107 L
.37587 .50242 L
.37279 .50725 L
.37196 .50842 L
.36919 .51208 L
.36712 .51496 L
.36568 .51691 L
.36229 .52158 L
.36217 .52174 L
.3591 .52658 L
.35746 .52825 L
.35481 .53141 L
.35263 .53524 L
.35102 .53624 L
.3478 .54037 L
.34719 .54107 L
.34352 .5459 L
.34296 .54628 L
.33896 .55073 L
.33813 .55216 L
.3342 .55557 L
.3333 .55647 L
.33015 .55557 L
.33229 .55073 L
.3333 .54895 L
.33516 .5459 L
.33813 .5411 L
.33816 .54107 L
.34142 .53624 L
.34296 .53399 L
.34481 .53141 L
.3478 .52712 L
.34821 .52658 L
.35122 .52174 L
.35263 .52015 L
.35533 .51691 L
.35746 .51402 L
.35898 .51208 L
.36229 .50766 L
.36263 .50725 L
.36571 .50242 L
.36712 .50129 L
.37036 .49758 L
.37196 .49452 L
.37443 .49275 L
.37679 .4899 L
.37873 .48792 L
F
0 .74 1 r
.39612 .48719 m
.3985 .48792 L
.39694 .49275 L
.39612 .49433 L
.39436 .49758 L
.39149 .50242 L
.39128 .50284 L
.38941 .50725 L
.38645 .51013 L
.38514 .51208 L
.38175 .51691 L
.38162 .5172 L
.3786 .52174 L
.37679 .52429 L
.37491 .52658 L
.37196 .53119 L
.37137 .53141 L
.36775 .53624 L
.36712 .53718 L
.36474 .54107 L
.36229 .54377 L
.36048 .5459 L
.35746 .55029 L
.35676 .55073 L
.35305 .55557 L
.35263 .55604 L
.3501 .5604 L
.3478 .56218 L
.34509 .56523 L
.34296 .56838 L
.3409 .57006 L
.33813 .57322 L
.33639 .57489 L
.3333 .57795 L
.33019 .57489 L
.3319 .57006 L
.3333 .56894 L
.33558 .56523 L
.33813 .56121 L
.33868 .5604 L
.34158 .55557 L
.34296 .55347 L
.3453 .55073 L
.3478 .54718 L
.34873 .5459 L
.35215 .54107 L
.35263 .54037 L
.35492 .53624 L
.35746 .53338 L
.35936 .53141 L
.36229 .52742 L
.36295 .52658 L
.36644 .52174 L
.36712 .52095 L
.36886 .51691 L
.37196 .51437 L
.37412 .51208 L
.37679 .50758 L
.37792 .50725 L
.38162 .50258 L
.38176 .50242 L
.38585 .49758 L
.38645 .49668 L
.39022 .49275 L
.39128 .49084 L
.3953 .48792 L
F
0 .24 1 r
.3333 .4877 m
.33799 .48792 L
.33389 .49275 L
.3333 .4935 L
.33037 .49275 L
.33316 .48792 L
F
1 .32 0 r
.34296 .49337 m
.34777 .49758 L
.34401 .50242 L
.34296 .5038 L
.34011 .50725 L
.33813 .50977 L
.33605 .51208 L
.3333 .51534 L
.33037 .51208 L
.33324 .50725 L
.3333 .50717 L
.33657 .50242 L
.33813 .50013 L
.33999 .49758 L
F
0 .54 1 r
.3333 .44552 m
.33576 .44927 L
.3333 .45291 L
.3305 .44927 L
F
1 .3 0 r
.3333 .50751 m
.33582 .51208 L
.3333 .51504 L
.33061 .51208 L
F
0 .22 1 r
.3333 .4881 m
.33359 .49275 L
.3333 .49312 L
.3308 .49275 L
F
0 .72 1 r
.39128 .49156 m
.39612 .48821 L
.3964 .49275 L
.39612 .49335 L
.39398 .49758 L
.39128 .50224 L
.39118 .50242 L
.38913 .50725 L
.38645 .50978 L
.38492 .51208 L
.38162 .5169 L
.38161 .51691 L
.37842 .52174 L
.37679 .52404 L
.37474 .52658 L
.37196 .53111 L
.3712 .53141 L
.36761 .53624 L
.36712 .53696 L
.36457 .54107 L
.36229 .54356 L
.36031 .5459 L
.35746 .55015 L
.35657 .55073 L
.35283 .55557 L
.35263 .55579 L
.34976 .5604 L
.3478 .56189 L
.34481 .56523 L
.34296 .56804 L
.34053 .57006 L
.33813 .57276 L
.3358 .57489 L
.3333 .57721 L
.33081 .57489 L
.33266 .57006 L
.3333 .56955 L
.33587 .56523 L
.33813 .5616 L
.33892 .5604 L
.34183 .55557 L
.34296 .55382 L
.34548 .55073 L
.3478 .54742 L
.3489 .5459 L
.35231 .54107 L
.35263 .5406 L
.35508 .53624 L
.35746 .53358 L
.3595 .53141 L
.36229 .5276 L
.3631 .52658 L
.36661 .52174 L
.36712 .52115 L
.36908 .51691 L
.37196 .51458 L
.37429 .51208 L
.37679 .5077 L
.37812 .50725 L
.38162 .50285 L
.38201 .50242 L
.38612 .49758 L
.38645 .49709 L
.39063 .49275 L
F
1 .86 0 r
.40578 .49425 m
.40857 .49758 L
.40661 .50242 L
.40578 .50351 L
.40368 .50725 L
.40095 .51157 L
.40063 .51208 L
.39738 .51691 L
.39612 .51923 L
.39485 .52174 L
.39128 .52647 L
.39079 .52658 L
.38699 .53141 L
.38645 .53271 L
.38395 .53624 L
.38162 .53954 L
.38147 .54107 L
.37679 .5459 L
.37679 .54591 L
.37299 .55073 L
.37196 .55239 L
.36997 .55557 L
.36712 .55892 L
.36589 .5604 L
.36229 .56516 L
.3622 .56523 L
.3585 .57006 L
.35746 .57131 L
.35561 .57489 L
.35263 .57754 L
.35074 .57973 L
.3478 .58367 L
.34676 .58456 L
.34296 .58907 L
.34266 .58939 L
.33826 .59422 L
.33813 .59437 L
.3333 .5989 L
.33081 .59422 L
.3333 .58945 L
.33333 .58939 L
.33461 .58456 L
.33813 .58171 L
.33944 .57973 L
.3427 .57489 L
.34296 .57439 L
.34555 .57006 L
.3478 .56678 L
.34951 .56523 L
.35263 .56086 L
.35297 .5604 L
.3564 .55557 L
.35746 .55405 L
.35905 .55073 L
.36229 .54714 L
.36368 .5459 L
.36712 .54122 L
.36724 .54107 L
.3706 .53624 L
.37196 .53467 L
.37461 .53141 L
.37679 .52804 L
.37831 .52658 L
.38162 .52219 L
.38199 .52174 L
.38539 .51691 L
.38645 .51594 L
.38968 .51208 L
.39128 .50966 L
.39366 .50725 L
.39612 .50317 L
.39777 .50242 L
.40095 .49878 L
.40221 .49758 L
F
1 .54 0 r
.38162 .48523 m
.38431 .48792 L
.38205 .49275 L
.38162 .49309 L
.37885 .49758 L
.37679 .50078 L
.37569 .50242 L
.3726 .50725 L
.37196 .50815 L
.36904 .51208 L
.36712 .51476 L
.36554 .51691 L
.36229 .52139 L
.36202 .52174 L
.35891 .52658 L
.35746 .52805 L
.35467 .53141 L
.35263 .53508 L
.35086 .53624 L
.3478 .54015 L
.347 .54107 L
.3431 .5459 L
.34296 .54599 L
.33869 .55073 L
.33813 .55171 L
.33371 .55557 L
.3333 .55596 L
.33082 .55557 L
.33259 .55073 L
.3333 .54942 L
.33539 .5459 L
.33813 .5414 L
.33836 .54107 L
.34158 .53624 L
.34296 .53422 L
.34495 .53141 L
.3478 .52732 L
.34835 .52658 L
.3514 .52174 L
.35263 .52036 L
.35546 .51691 L
.35746 .51419 L
.35912 .51208 L
.36229 .50784 L
.36278 .50725 L
.36598 .50242 L
.36712 .50152 L
.37053 .49758 L
.37196 .49479 L
.37465 .49275 L
.37679 .49019 L
.37906 .48792 L
F
1 .28 0 r
.3333 .50783 m
.33557 .51208 L
.3333 .51472 L
.33087 .51208 L
F
0 .52 1 r
.3333 .44605 m
.33538 .44927 L
.3333 .45242 L
.3309 .44927 L
F
1 .66 0 r
.3333 .42726 m
.33341 .42994 L
.3333 .43014 L
.33091 .42994 L
F
1 .26 0 r
.3333 .50818 m
.3353 .51208 L
.3333 .51438 L
.33116 .51208 L
F
0 .42 1 r
.3333 .52792 m
.33763 .53141 L
.3333 .53613 L
.33127 .53141 L
F
0 .5 1 r
.3333 .44667 m
.33494 .44927 L
.3333 .45184 L
.33137 .44927 L
F
0 .98 1 r
.3333 .65242 m
.33773 .65704 L
.3333 .66021 L
.33145 .65704 L
F
1 .24 0 r
.3333 .50858 m
.335 .51208 L
.3333 .514 L
.33147 .51208 L
F
0 .4 1 r
.3333 .52826 m
.33738 .53141 L
.3333 .53577 L
.33151 .53141 L
F
0 .7 1 r
.3333 .57029 m
.33507 .57489 L
.3333 .57636 L
.33156 .57489 L
F
1 .84 0 r
.3333 .59066 m
.33732 .59422 L
.3333 .59747 L
.33174 .59422 L
F
0 .38 1 r
.3333 .52862 m
.3371 .53141 L
.3333 .53538 L
.33177 .53141 L
F
1 .22 0 r
.3333 .50904 m
.33466 .51208 L
.3333 .51356 L
.33183 .51208 L
F
0 .48 1 r
.3333 .44742 m
.3344 .44927 L
.3333 .45111 L
.33194 .44927 L
F
1 .36 0 r
.3333 .46672 m
.33665 .46859 L
.3333 .47319 L
.332 .46859 L
F
0 .36 1 r
.3333 .52903 m
.33679 .53141 L
.3333 .53494 L
.33204 .53141 L
F
0 .92 1 r
.41544 .50181 m
.41981 .50242 L
.41849 .50725 L
.41581 .51208 L
.41544 .51288 L
.41326 .51691 L
.41061 .51999 L
.40948 .52174 L
.40591 .52658 L
.40578 .52715 L
.40259 .53141 L
.40095 .53435 L
.39983 .53624 L
.39612 .54103 L
.39603 .54107 L
.39189 .5459 L
.39128 .54767 L
.38899 .55073 L
.38645 .5544 L
.38616 .55557 L
.38194 .5604 L
.38162 .56075 L
.37797 .56523 L
.37679 .56723 L
.37495 .57006 L
.37196 .57374 L
.37102 .57489 L
.36717 .57973 L
.36712 .57995 L
.36357 .58456 L
.36229 .58618 L
.36061 .58939 L
.35746 .59245 L
.35597 .59422 L
.35263 .59853 L
.35207 .59905 L
.34813 .60388 L
.3478 .60418 L
.34476 .60872 L
.34296 .6097 L
.33917 .61355 L
.33813 .61481 L
.3333 .61835 L
.33223 .61355 L
.3333 .61128 L
.33467 .60872 L
.33729 .60388 L
.33813 .60283 L
.34056 .59905 L
.34296 .59545 L
.3438 .59422 L
.34714 .58939 L
.3478 .5882 L
.34992 .58456 L
.35263 .58071 L
.35404 .57973 L
.35746 .57496 L
.35751 .57489 L
.36092 .57006 L
.36229 .56814 L
.36347 .56523 L
.36712 .56126 L
.36826 .5604 L
.37183 .55557 L
.37196 .55537 L
.37508 .55073 L
.37679 .54878 L
.37917 .5459 L
.38162 .54213 L
.38284 .54107 L
.38645 .53625 L
.38646 .53624 L
.38962 .53141 L
.39128 .52988 L
.39406 .52658 L
.39612 .52343 L
.39789 .52174 L
.40095 .51782 L
.40174 .51691 L
.40564 .51208 L
.40578 .51198 L
.41001 .50725 L
.41061 .5064 L
.41496 .50242 L
F
1 .2 0 r
.3333 .50959 m
.33424 .51208 L
.3333 .51305 L
.33226 .51208 L
F
1 .34 0 r
.3333 .46714 m
.3363 .46859 L
.3333 .47275 L
.33231 .46859 L
F
0 .34 1 r
.3333 .52949 m
.33645 .53141 L
.3333 .53445 L
.33234 .53141 L
F
1 .32 0 r
.3333 .46762 m
.33589 .46859 L
.3333 .47224 L
.33265 .46859 L
F
0 .32 1 r
.3333 .53004 m
.33604 .53141 L
.3333 .53385 L
.33267 .53141 L
F
0 .68 1 r
.3333 .57142 m
.33394 .57489 L
.3333 .57526 L
.33269 .57489 L
F
0 .46 1 r
.3333 .44865 m
.33358 .44927 L
.3333 .44991 L
.33287 .44927 L
F
1 .52 0 r
.33813 .54172 m
.34279 .5459 L
.3384 .55073 L
.33813 .55121 L
.3333 .55536 L
.3329 .55073 L
.3333 .54996 L
.33564 .5459 L
F
1 .18 0 r
.3333 .51041 m
.33363 .51208 L
.3333 .51237 L
.33291 .51208 L
F
1 .82 0 r
.3333 .59269 m
.33586 .59422 L
.3333 .59531 L
.33295 .59422 L
F
1 .3 0 r
.3333 .4682 m
.33534 .46859 L
.3333 .47158 L
.33305 .46859 L
F
0 .3 1 r
.3333 .53077 m
.33551 .53141 L
.3333 .53302 L
.33306 .53141 L
F
1 .5 0 r
.3333 .55063 m
.33808 .55073 L
.3333 .55453 L
.33325 .55073 L
F
0 .98 1 r
.48309 .36938 m
.48792 .36803 L
.49216 .37196 L
.48947 .37679 L
.48792 .37867 L
.48708 .38162 L
.48309 .38537 L
.48229 .38645 L
.47854 .39128 L
.47826 .39171 L
.47435 .39612 L
.47826 .40001 L
.48309 .40004 L
.48573 .40095 L
.48358 .40578 L
.48309 .40653 L
.48059 .41061 L
.47826 .41319 L
.47661 .41544 L
.47342 .41973 L
.47301 .42027 L
.46935 .42511 L
.46859 .42614 L
.46588 .42994 L
.46859 .43311 L
.47342 .4332 L
.47733 .43477 L
.47426 .4396 L
.47342 .44066 L
.47132 .44443 L
.46859 .44722 L
.46705 .44927 L
.46376 .45405 L
.46345 .4541 L
.45988 .45893 L
.45893 .46013 L
.45642 .46376 L
.45893 .46666 L
.46376 .46674 L
.46796 .46859 L
.46479 .47342 L
.46376 .47459 L
.46206 .47826 L
.45893 .48112 L
.4574 .48309 L
.4541 .48769 L
.4538 .48792 L
.45037 .49275 L
.44927 .49393 L
.4455 .49758 L
.44927 .50015 L
.4541 .50032 L
.45826 .50242 L
.45517 .50725 L
.4541 .5084 L
.45256 .51208 L
.44927 .51593 L
.44765 .51691 L
.44443 .52124 L
.44399 .52174 L
.44016 .52658 L
.4396 .52721 L
.43522 .53141 L
.4396 .53555 L
.44443 .53478 L
.44802 .53624 L
.44547 .54107 L
.44443 .54194 L
.44137 .5459 L
.4396 .54932 L
.43757 .55073 L
.43477 .5541 L
.43334 .55557 L
.42994 .5579 L
.42788 .55557 L
.42753 .55073 L
.42935 .5459 L
.42994 .54498 L
.4324 .54107 L
.43477 .53853 L
.43795 .53624 L
.43477 .53183 L
.42994 .53362 L
.42861 .53624 L
.42511 .54006 L
.42444 .54107 L
.42201 .5459 L
.42027 .54923 L
.41955 .55073 L
.41688 .55557 L
.41544 .55765 L
.41235 .5604 L
.41061 .56472 L
.41021 .56523 L
.40676 .57006 L
.40578 .57117 L
.40217 .57489 L
.40095 .57779 L
.39937 .57973 L
.39612 .58435 L
.39601 .58456 L
.3924 .58939 L
.39128 .59053 L
.38804 .59422 L
.38645 .59712 L
.38508 .59905 L
.38162 .60364 L
.38144 .60388 L
.37782 .60872 L
.37679 .60969 L
.3738 .61355 L
.37196 .6162 L
.37073 .61838 L
.36712 .62264 L
.36668 .62321 L
.36258 .62804 L
.36229 .62856 L
.35917 .63288 L
.35746 .63476 L
.35627 .63771 L
.35263 .64087 L
.35124 .64254 L
.3478 .64668 L
.34712 .64737 L
.34296 .65208 L
.34273 .6522 L
.33813 .65673 L
.33341 .6522 L
.33458 .64737 L
.33813 .64405 L
.33908 .64254 L
.34234 .63771 L
.34296 .63625 L
.34514 .63288 L
.3478 .62973 L
.34899 .62804 L
.35256 .62321 L
.35263 .62289 L
.35591 .61838 L
.35746 .61582 L
.35867 .61355 L
.36229 .60975 L
.36306 .60872 L
.36674 .60388 L
.36712 .60312 L
.36992 .59905 L
.37196 .59632 L
.37233 .59422 L
.37679 .58964 L
.37744 .58939 L
.38103 .58456 L
.38162 .5837 L
.38406 .57973 L
.38645 .57704 L
.38836 .57489 L
.39128 .57047 L
.39195 .57006 L
.39545 .56523 L
.39612 .56445 L
.39813 .5604 L
.40095 .55789 L
.40298 .55557 L
.40578 .55139 L
.4066 .55073 L
.40997 .5459 L
.41061 .54537 L
.41409 .54107 L
.41544 .53885 L
.41791 .53624 L
.42027 .53311 L
.42164 .53141 L
.42511 .52684 L
.42529 .52658 L
.42905 .52174 L
.42994 .52011 L
.43281 .51691 L
.43477 .5139 L
.43632 .51208 L
.4396 .50788 L
.43985 .50725 L
.44421 .50242 L
.4396 .4984 L
.43713 .49758 L
.43579 .49275 L
.43874 .48792 L
.4396 .48649 L
.44213 .48309 L
.44443 .48062 L
.44637 .47826 L
.44927 .47373 L
.44951 .47342 L
.45371 .46859 L
.44927 .4661 L
.44443 .46596 L
.44165 .46376 L
.44443 .45943 L
.44468 .45893 L
.44813 .4541 L
.44927 .45266 L
.45284 .44927 L
.4541 .4469 L
.4556 .44443 L
.45893 .43984 L
.45906 .4396 L
.46353 .43477 L
.45893 .43222 L
.4541 .43175 L
.45238 .42994 L
.4541 .42583 L
.45441 .42511 L
.45788 .42027 L
.45893 .41924 L
.46236 .41544 L
.46376 .41367 L
.46526 .41061 L
.46859 .40628 L
.4687 .40578 L
.47342 .40144 L
.47459 .40095 L
.47342 .39673 L
.46859 .39811 L
.46376 .39756 L
.46224 .39612 L
.46376 .39286 L
.46409 .39128 L
.46798 .38645 L
.46859 .38607 L
.47207 .38162 L
.47342 .37924 L
.47528 .37679 L
.47826 .37351 L
.47997 .37196 L
F
0 .7 1 r
.39128 .4924 m
.39573 .49275 L
.39357 .49758 L
.39128 .50169 L
.39085 .50242 L
.38881 .50725 L
.38645 .50941 L
.3847 .51208 L
.38162 .51661 L
.38141 .51691 L
.37823 .52174 L
.37679 .52378 L
.37457 .52658 L
.37196 .531 L
.37103 .53141 L
.36746 .53624 L
.36712 .53674 L
.36439 .54107 L
.36229 .54334 L
.36013 .5459 L
.35746 .55 L
.35638 .55073 L
.35263 .55554 L
.3526 .55557 L
.3494 .5604 L
.3478 .56158 L
.34453 .56523 L
.34296 .56766 L
.34015 .57006 L
.33813 .57227 L
.33342 .57006 L
.33618 .56523 L
.33813 .56202 L
.33918 .5604 L
.34208 .55557 L
.34296 .5542 L
.34566 .55073 L
.3478 .54766 L
.34907 .5459 L
.35247 .54107 L
.35263 .54083 L
.35526 .53624 L
.35746 .53378 L
.35964 .53141 L
.36229 .52779 L
.36325 .52658 L
.36679 .52174 L
.36712 .52136 L
.36931 .51691 L
.37196 .5148 L
.37446 .51208 L
.37679 .50785 L
.37833 .50725 L
.38162 .50314 L
.38228 .50242 L
.38641 .49758 L
.38645 .49752 L
.39109 .49275 L
F
0 .58 1 r
.34296 .43329 m
.34576 .43477 L
.3431 .4396 L
.34296 .43982 L
.33979 .44443 L
.33813 .44696 L
.33345 .44443 L
.33739 .4396 L
.33813 .43867 L
.34168 .43477 L
F
1 .3 0 r
.34296 .49358 m
.34761 .49758 L
.34386 .50242 L
.34296 .5036 L
.33993 .50725 L
.33813 .50955 L
.33348 .50725 L
.33673 .50242 L
.33813 .50035 L
.34015 .49758 L
F
1 .96 0 r
.43477 .50152 m
.43829 .50242 L
.43737 .50725 L
.43477 .51108 L
.43405 .51208 L
.4303 .51691 L
.42994 .51723 L
.42627 .52174 L
.42511 .52282 L
.42216 .52658 L
.42027 .52879 L
.4184 .53141 L
.41544 .53553 L
.41474 .53624 L
.41145 .54107 L
.41061 .5422 L
.40724 .5459 L
.40578 .54933 L
.4048 .55073 L
.40128 .55557 L
.40095 .55595 L
.39678 .5604 L
.39612 .56263 L
.39407 .56523 L
.39128 .56928 L
.39099 .57006 L
.38711 .57489 L
.38645 .57559 L
.38296 .57973 L
.38162 .58209 L
.37995 .58456 L
.37679 .58859 L
.37617 .58939 L
.37198 .59422 L
.37196 .59476 L
.36863 .59905 L
.36712 .60108 L
.3656 .60388 L
.36229 .6074 L
.36123 .60872 L
.35746 .61349 L
.3574 .61355 L
.35358 .61838 L
.35263 .61929 L
.35059 .62321 L
.3478 .62505 L
.34504 .62804 L
.34296 .63052 L
.34026 .63288 L
.33813 .63589 L
.33348 .63288 L
.33581 .62804 L
.33813 .62393 L
.33857 .62321 L
.34129 .61838 L
.34296 .61637 L
.34486 .61355 L
.3478 .60925 L
.34817 .60872 L
.35158 .60388 L
.35263 .60207 L
.35432 .59905 L
.35746 .59472 L
.35859 .59422 L
.36215 .58939 L
.36229 .58908 L
.36545 .58456 L
.36712 .58226 L
.36791 .57973 L
.37196 .57544 L
.37287 .57489 L
.37645 .57006 L
.37679 .56956 L
.37959 .56523 L
.38162 .56293 L
.38378 .5604 L
.38645 .55629 L
.38741 .55557 L
.39097 .55073 L
.39128 .55037 L
.39389 .5459 L
.39612 .5439 L
.39853 .54107 L
.40095 .53737 L
.40226 .53624 L
.40578 .53164 L
.40597 .53141 L
.40927 .52658 L
.41061 .52545 L
.41379 .52174 L
.41544 .51907 L
.41767 .51691 L
.42027 .51255 L
.42156 .51208 L
.42511 .50788 L
.42568 .50725 L
.42994 .50286 L
.43129 .50242 L
F
1 .28 0 r
.34296 .49379 m
.34744 .49758 L
.34371 .50242 L
.34296 .5034 L
.33975 .50725 L
.33813 .50931 L
.33369 .50725 L
.3369 .50242 L
.33813 .50059 L
.34031 .49758 L
F
0 .46 1 r
.37196 .47645 m
.37645 .47826 L
.37365 .48309 L
.37196 .4858 L
.37056 .48792 L
.3675 .49275 L
.36712 .49328 L
.36401 .49758 L
.36229 .50002 L
.36054 .50242 L
.35746 .5067 L
.35704 .50725 L
.35399 .51208 L
.35263 .51342 L
.34972 .51691 L
.3478 .52073 L
.34592 .52174 L
.34296 .52553 L
.34206 .52658 L
.33813 .53137 L
.33379 .52658 L
.33698 .52174 L
.33813 .52005 L
.34035 .51691 L
.34296 .51315 L
.34376 .51208 L
.34696 .50725 L
.3478 .5063 L
.35087 .50242 L
.35263 .49885 L
.35457 .49758 L
.35746 .49375 L
.35828 .49275 L
.36187 .48792 L
.36229 .48758 L
.36612 .48309 L
.36712 .48119 L
.3704 .47826 L
F
0 .56 1 r
.33813 .43915 m
.34268 .4396 L
.33948 .44443 L
.33813 .44652 L
.33383 .44443 L
.33777 .4396 L
F
1 .26 0 r
.34296 .49401 m
.34726 .49758 L
.34355 .50242 L
.34296 .50319 L
.33956 .50725 L
.33813 .50906 L
.33392 .50725 L
.33707 .50242 L
.33813 .50083 L
.34048 .49758 L
F
0 .68 1 r
.38645 .49792 m
.39052 .50242 L
.38845 .50725 L
.38645 .50903 L
.38447 .51208 L
.38162 .5163 L
.3812 .51691 L
.37804 .52174 L
.37679 .52351 L
.3744 .52658 L
.37196 .53088 L
.37086 .53141 L
.36731 .53624 L
.36712 .53651 L
.36421 .54107 L
.36229 .54312 L
.35996 .5459 L
.35746 .54984 L
.35619 .55073 L
.35263 .55528 L
.35238 .55557 L
.34899 .5604 L
.3478 .56126 L
.34424 .56523 L
.34296 .56724 L
.33972 .57006 L
.33813 .57176 L
.33393 .57006 L
.33649 .56523 L
.33813 .56246 L
.33944 .5604 L
.34236 .55557 L
.34296 .55462 L
.34584 .55073 L
.3478 .54791 L
.34924 .5459 L
.35263 .54107 L
.35263 .54107 L
.35545 .53624 L
.35746 .53399 L
.35979 .53141 L
.36229 .52799 L
.3634 .52658 L
.36697 .52174 L
.36712 .52157 L
.36957 .51691 L
.37196 .51502 L
.37464 .51208 L
.37679 .50803 L
.37855 .50725 L
.38162 .50343 L
.38256 .50242 L
F
0 .44 1 r
.37196 .47676 m
.37614 .47826 L
.37344 .48309 L
.37196 .4855 L
.37038 .48792 L
.36729 .49275 L
.36712 .49299 L
.36388 .49758 L
.36229 .49983 L
.3604 .50242 L
.35746 .50652 L
.3569 .50725 L
.35379 .51208 L
.35263 .51323 L
.34958 .51691 L
.3478 .52056 L
.34577 .52174 L
.34296 .52533 L
.34188 .52658 L
.33813 .53113 L
.33398 .52658 L
.33713 .52174 L
.33813 .52026 L
.34049 .51691 L
.34296 .51334 L
.3439 .51208 L
.34713 .50725 L
.3478 .5065 L
.35099 .50242 L
.35263 .49903 L
.3547 .49758 L
.35746 .49392 L
.35843 .49275 L
.36215 .48792 L
.36229 .48781 L
.3663 .48309 L
.36712 .4815 L
.37065 .47826 L
F
1 .84 0 r
.40095 .49952 m
.40566 .50242 L
.40313 .50725 L
.40095 .51081 L
.40018 .51208 L
.39704 .51691 L
.39612 .51865 L
.39461 .52174 L
.39128 .52634 L
.3905 .52658 L
.38683 .53141 L
.38645 .53234 L
.38373 .53624 L
.38162 .53924 L
.38141 .54107 L
.37679 .54578 L
.37656 .5459 L
.37281 .55073 L
.37196 .5521 L
.36977 .55557 L
.36712 .55864 L
.36566 .5604 L
.36229 .56497 L
.36195 .56523 L
.35824 .57006 L
.35746 .57098 L
.35528 .57489 L
.35263 .57715 L
.35039 .57973 L
.3478 .58329 L
.34632 .58456 L
.34296 .58847 L
.34205 .58939 L
.33813 .59353 L
.33398 .58939 L
.33525 .58456 L
.33813 .58234 L
.33982 .57973 L
.34296 .57491 L
.34298 .57489 L
.34583 .57006 L
.3478 .56714 L
.34974 .56523 L
.35263 .56115 L
.35318 .5604 L
.35659 .55557 L
.35746 .55433 L
.35923 .55073 L
.36229 .54735 L
.36385 .5459 L
.36712 .54145 L
.36742 .54107 L
.3708 .53624 L
.37196 .53492 L
.37479 .53141 L
.37679 .52827 L
.37852 .52658 L
.38162 .52247 L
.38222 .52174 L
.38575 .51691 L
.38645 .51628 L
.38997 .51208 L
.39128 .51007 L
.39405 .50725 L
.39612 .5036 L
.39832 .50242 L
F
1 .24 0 r
.34296 .49424 m
.34708 .49758 L
.34339 .50242 L
.34296 .50297 L
.33936 .50725 L
.33813 .50881 L
.33417 .50725 L
.33725 .50242 L
.33813 .50108 L
.34065 .49758 L
F
0 .42 1 r
.36229 .48803 m
.36709 .49275 L
.36374 .49758 L
.36229 .49964 L
.36027 .50242 L
.35746 .50634 L
.35677 .50725 L
.35359 .51208 L
.35263 .51302 L
.34945 .51691 L
.3478 .52037 L
.34562 .52174 L
.34296 .52513 L
.3417 .52658 L
.33813 .53089 L
.33417 .52658 L
.33728 .52174 L
.33813 .52048 L
.34063 .51691 L
.34296 .51353 L
.34404 .51208 L
.34732 .50725 L
.3478 .50671 L
.35112 .50242 L
.35263 .49922 L
.35483 .49758 L
.35746 .4941 L
.35858 .49275 L
F
0 .54 1 r
.33813 .43969 m
.33914 .44443 L
.33813 .44603 L
.33426 .44443 L
F
1 .46 0 r
.3478 .44706 m
.35106 .44927 L
.34816 .4541 L
.3478 .45467 L
.34481 .45893 L
.34296 .46167 L
.3414 .46376 L
.33813 .46839 L
.3343 .46376 L
.33792 .45893 L
.33813 .45852 L
.34182 .4541 L
.34296 .45263 L
.34594 .44927 L
F
0 .4 1 r
.36229 .48823 m
.36692 .49275 L
.36359 .49758 L
.36229 .49945 L
.36013 .50242 L
.35746 .50616 L
.35663 .50725 L
.35338 .51208 L
.35263 .51281 L
.34931 .51691 L
.3478 .52016 L
.34546 .52174 L
.34296 .52493 L
.34151 .52658 L
.33813 .53064 L
.33437 .52658 L
.33744 .52174 L
.33813 .52071 L
.34077 .51691 L
.34296 .51373 L
.34418 .51208 L
.34751 .50725 L
.3478 .50692 L
.35125 .50242 L
.35263 .49942 L
.35497 .49758 L
.35746 .49428 L
.35874 .49275 L
F
1 .22 0 r
.34296 .49448 m
.34689 .49758 L
.34322 .50242 L
.34296 .50275 L
.33915 .50725 L
.33813 .50853 L
.33444 .50725 L
.33743 .50242 L
.33813 .50135 L
.34083 .49758 L
F
0 .66 1 r
.38645 .49833 m
.39017 .50242 L
.38804 .50725 L
.38645 .50864 L
.38424 .51208 L
.38162 .51599 L
.38099 .51691 L
.37783 .52174 L
.37679 .52322 L
.37422 .52658 L
.37196 .53074 L
.37069 .53141 L
.36715 .53624 L
.36712 .53628 L
.36401 .54107 L
.36229 .54289 L
.35978 .5459 L
.35746 .54967 L
.35599 .55073 L
.35263 .55501 L
.35215 .55557 L
.34854 .5604 L
.3478 .56092 L
.34393 .56523 L
.34296 .56678 L
.33925 .57006 L
.33813 .57121 L
.33451 .57006 L
.33683 .56523 L
.33813 .56295 L
.33972 .5604 L
.34265 .55557 L
.34296 .55507 L
.34603 .55073 L
.3478 .54816 L
.34941 .5459 L
.35263 .5413 L
.3528 .54107 L
.35565 .53624 L
.35746 .53422 L
.35993 .53141 L
.36229 .52818 L
.36355 .52658 L
.36712 .52179 L
.36716 .52174 L
.36985 .51691 L
.37196 .51526 L
.37482 .51208 L
.37679 .50824 L
.37878 .50725 L
.38162 .50373 L
.38285 .50242 L
F
1 .44 0 r
.33813 .45894 m
.34117 .46376 L
.33813 .46811 L
.33454 .46376 L
F
0 .38 1 r
.36229 .48844 m
.36674 .49275 L
.36345 .49758 L
.36229 .49925 L
.35999 .50242 L
.35746 .50597 L
.35648 .50725 L
.35316 .51208 L
.35263 .51259 L
.34917 .51691 L
.3478 .51993 L
.3453 .52174 L
.34296 .52472 L
.34131 .52658 L
.33813 .53037 L
.33458 .52658 L
.3376 .52174 L
.33813 .52094 L
.34092 .51691 L
.34296 .51393 L
.34432 .51208 L
.34771 .50725 L
.3478 .50714 L
.35138 .50242 L
.35263 .49964 L
.35511 .49758 L
.35746 .49447 L
.3589 .49275 L
F
1 .82 0 r
.40095 .50034 m
.40482 .50242 L
.40255 .50725 L
.40095 .50998 L
.39972 .51208 L
.39668 .51691 L
.39612 .51801 L
.39433 .52174 L
.39128 .52613 L
.39021 .52658 L
.38668 .53141 L
.38645 .53197 L
.3835 .53624 L
.38162 .53893 L
.38134 .54107 L
.37679 .54565 L
.37634 .5459 L
.37263 .55073 L
.37196 .55181 L
.36956 .55557 L
.36712 .55835 L
.36542 .5604 L
.36229 .56477 L
.36169 .56523 L
.35796 .57006 L
.35746 .57064 L
.35491 .57489 L
.35263 .57676 L
.35002 .57973 L
.3478 .58286 L
.34585 .58456 L
.34296 .58785 L
.34137 .58939 L
.33813 .59264 L
.3347 .58939 L
.3361 .58456 L
.33813 .58304 L
.3402 .57973 L
.34296 .57539 L
.3433 .57489 L
.34613 .57006 L
.3478 .56755 L
.34997 .56523 L
.35263 .56145 L
.3534 .5604 L
.35679 .55557 L
.35746 .55462 L
.35943 .55073 L
.36229 .54757 L
.36404 .5459 L
.36712 .54169 L
.36761 .54107 L
.37102 .53624 L
.37196 .53517 L
.37498 .53141 L
.37679 .52851 L
.37872 .52658 L
.38162 .52276 L
.38247 .52174 L
.38614 .51691 L
.38645 .51664 L
.39028 .51208 L
.39128 .51052 L
.39445 .50725 L
.39612 .50416 L
.39896 .50242 L
F
0 .86 1 r
.33813 .39723 m
.34083 .40095 L
.33813 .40564 L
.33473 .40095 L
F
1 .2 0 r
.34296 .49473 m
.34669 .49758 L
.34304 .50242 L
.34296 .50251 L
.33893 .50725 L
.33813 .50825 L
.33473 .50725 L
.33762 .50242 L
.33813 .50163 L
.34101 .49758 L
F
0 .52 1 r
.33813 .44036 m
.33875 .44443 L
.33813 .44546 L
.33477 .44443 L
F
1 .42 0 r
.33813 .45926 m
.34094 .46376 L
.33813 .46781 L
.33479 .46376 L
F
0 .36 1 r
.36229 .48866 m
.36656 .49275 L
.3633 .49758 L
.36229 .49904 L
.35985 .50242 L
.35746 .50578 L
.35634 .50725 L
.35293 .51208 L
.35263 .51237 L
.34903 .51691 L
.3478 .51968 L
.34514 .52174 L
.34296 .5245 L
.3411 .52658 L
.33813 .5301 L
.3348 .52658 L
.33776 .52174 L
.33813 .52118 L
.34107 .51691 L
.34296 .51413 L
.34447 .51208 L
.3478 .50735 L
.34788 .50725 L
.35151 .50242 L
.35263 .49988 L
.35525 .49758 L
.35746 .49466 L
.35906 .49275 L
F
0 .34 1 r
.36229 .48888 m
.36638 .49275 L
.36315 .49758 L
.36229 .49883 L
.3597 .50242 L
.35746 .50559 L
.35619 .50725 L
.35268 .51208 L
.35263 .51213 L
.34888 .51691 L
.3478 .5194 L
.34497 .52174 L
.34296 .52428 L
.34088 .52658 L
.33813 .52982 L
.33503 .52658 L
.33793 .52174 L
.33813 .52144 L
.34122 .51691 L
.34296 .51434 L
.34462 .51208 L
.3478 .50755 L
.34803 .50725 L
.35164 .50242 L
.35263 .50014 L
.3554 .49758 L
.35746 .49485 L
.35923 .49275 L
F
1 .4 0 r
.33813 .4596 m
.3407 .46376 L
.33813 .46749 L
.33505 .46376 L
F
1 .18 0 r
.33813 .50194 m
.34281 .50242 L
.33869 .50725 L
.33813 .50794 L
.33506 .50725 L
.33783 .50242 L
F
1 .92 0 r
.33813 .37951 m
.33841 .38162 L
.33813 .38235 L
.33506 .38162 L
F
0 .64 1 r
.38645 .49876 m
.3898 .50242 L
.38758 .50725 L
.38645 .50822 L
.384 .51208 L
.38162 .51567 L
.38078 .51691 L
.37762 .52174 L
.37679 .52292 L
.37404 .52658 L
.37196 .53057 L
.37052 .53141 L
.36712 .53605 L
.36698 .53624 L
.36379 .54107 L
.36229 .54265 L
.3596 .5459 L
.35746 .54947 L
.35579 .55073 L
.35263 .55475 L
.35192 .55557 L
.34806 .5604 L
.3478 .56058 L
.3436 .56523 L
.34296 .56626 L
.33869 .57006 L
.33813 .5706 L
.33525 .57006 L
.33718 .56523 L
.33813 .56349 L
.34 .5604 L
.34296 .55557 L
.34296 .55555 L
.34622 .55073 L
.3478 .54842 L
.34959 .5459 L
.35263 .54153 L
.35297 .54107 L
.35585 .53624 L
.35746 .53445 L
.36008 .53141 L
.36229 .52838 L
.36371 .52658 L
.36712 .52199 L
.36733 .52174 L
.37015 .51691 L
.37196 .51551 L
.37501 .51208 L
.37679 .50849 L
.37901 .50725 L
.38162 .50404 L
.38317 .50242 L
F
0 .32 1 r
.3478 .50775 m
.3525 .51208 L
.34873 .51691 L
.3478 .5191 L
.34479 .52174 L
.34296 .52405 L
.34065 .52658 L
.33813 .52952 L
.33528 .52658 L
.33811 .52174 L
.33813 .5217 L
.34138 .51691 L
.34296 .51456 L
.34477 .51208 L
F
1 .38 0 r
.33813 .45997 m
.34043 .46376 L
.33813 .46714 L
.33533 .46376 L
F
0 .5 1 r
.33813 .44124 m
.33831 .44443 L
.33813 .44474 L
.33542 .44443 L
F
1 .16 0 r
.33813 .50227 m
.34254 .50242 L
.33842 .50725 L
.33813 .5076 L
.33545 .50725 L
.33804 .50242 L
F
0 .3 1 r
.33813 .52201 m
.34041 .52658 L
.33813 .5292 L
.33554 .52658 L
F
1 .8 0 r
.40095 .50128 m
.40379 .50242 L
.40193 .50725 L
.40095 .50904 L
.39925 .51208 L
.3963 .51691 L
.39612 .51729 L
.39401 .52174 L
.39128 .52583 L
.38992 .52658 L
.38652 .53141 L
.38645 .53158 L
.38327 .53624 L
.38162 .5386 L
.38124 .54107 L
.37679 .5455 L
.37611 .5459 L
.37245 .55073 L
.37196 .55151 L
.36934 .55557 L
.36712 .55806 L
.36519 .5604 L
.36229 .56456 L
.36143 .56523 L
.35767 .57006 L
.35746 .5703 L
.35447 .57489 L
.35263 .57635 L
.34964 .57973 L
.3478 .58239 L
.34534 .58456 L
.34296 .58721 L
.34056 .58939 L
.33813 .59164 L
.33555 .58939 L
.33717 .58456 L
.33813 .58384 L
.3406 .57973 L
.34296 .57591 L
.34364 .57489 L
.34646 .57006 L
.3478 .56801 L
.35021 .56523 L
.35263 .56176 L
.35362 .5604 L
.357 .55557 L
.35746 .55491 L
.35964 .55073 L
.36229 .54781 L
.36422 .5459 L
.36712 .54193 L
.3678 .54107 L
.37124 .53624 L
.37196 .53543 L
.37517 .53141 L
.37679 .52877 L
.37894 .52658 L
.38162 .52305 L
.38272 .52174 L
.38645 .517 L
.38653 .51691 L
.3906 .51208 L
.39128 .511 L
.3949 .50725 L
.39612 .5049 L
.39976 .50242 L
F
1 .36 0 r
.33813 .46037 m
.34015 .46376 L
.33813 .46677 L
.33564 .46376 L
F
0 .28 1 r
.33813 .52236 m
.34014 .52658 L
.33813 .52886 L
.33582 .52658 L
F
1 .5 0 r
.33813 .54206 m
.34252 .5459 L
.33813 .55069 L
.33589 .5459 L
F
0 .9 1 r
.33813 .60423 m
.34266 .60872 L
.33813 .61273 L
.33594 .60872 L
F
1 .34 0 r
.33813 .46081 m
.33983 .46376 L
.33813 .46634 L
.33598 .46376 L
F
0 .84 1 r
.33813 .39898 m
.33956 .40095 L
.33813 .40408 L
.3361 .40095 L
F
0 .26 1 r
.33813 .52274 m
.33984 .52658 L
.33813 .52848 L
.33613 .52658 L
F
1 .48 0 r
.33813 .54242 m
.34224 .5459 L
.33813 .55029 L
.33616 .5459 L
F
1 .32 0 r
.33813 .46132 m
.33947 .46376 L
.33813 .46586 L
.33637 .46376 L
F
1 .46 0 r
.33813 .54282 m
.34193 .5459 L
.33813 .54986 L
.33644 .5459 L
F
0 .24 1 r
.33813 .52317 m
.33951 .52658 L
.33813 .52807 L
.33649 .52658 L
F
.33813 .48081 m
.3416 .48309 L
.33813 .48776 L
.33657 .48309 L
F
1 .78 0 r
.33813 .58489 m
.33947 .58939 L
.33813 .59041 L
.33668 .58939 L
F
1 .44 0 r
.33813 .54325 m
.34159 .5459 L
.33813 .54939 L
.33674 .5459 L
F
0 .22 1 r
.33813 .48113 m
.34134 .48309 L
.33813 .48743 L
.33681 .48309 L
F
1 .3 0 r
.33813 .46195 m
.33903 .46376 L
.33813 .46526 L
.33685 .46376 L
F
0 .22 1 r
.33813 .5237 m
.33911 .52658 L
.33813 .52758 L
.33692 .52658 L
F
0 .2 1 r
.33813 .48149 m
.34105 .48309 L
.33813 .48706 L
.33706 .48309 L
F
1 .42 0 r
.33813 .54376 m
.3412 .5459 L
.33813 .54884 L
.33708 .5459 L
F
0 .18 1 r
.33813 .48188 m
.34071 .48309 L
.33813 .48664 L
.33733 .48309 L
F
1 .4 0 r
.33813 .54437 m
.34074 .5459 L
.33813 .54818 L
.33746 .5459 L
F
0 .2 1 r
.33813 .5244 m
.33856 .52658 L
.33813 .52697 L
.33752 .52658 L
F
0 .62 1 r
.34296 .55593 m
.34764 .5604 L
.34325 .56523 L
.34296 .56569 L
.33813 .56989 L
.33756 .56523 L
.33813 .56413 L
.3403 .5604 L
F
1 .28 0 r
.33813 .46293 m
.33842 .46376 L
.33813 .46434 L
.33758 .46376 L
F
0 .16 1 r
.33813 .48233 m
.34031 .48309 L
.33813 .48613 L
.33765 .48309 L
F
0 .88 1 r
.33813 .60679 m
.34064 .60872 L
.33813 .6099 L
.33767 .60872 L
F
1 .7 0 r
.33813 .41996 m
.33985 .42027 L
.33813 .42451 L
.33784 .42027 L
F
1 .38 0 r
.33813 .54524 m
.34012 .5459 L
.33813 .54722 L
.33791 .5459 L
F
0 .6 1 r
.33813 .56492 m
.34282 .56523 L
.33813 .56891 L
.33799 .56523 L
F
0 .14 1 r
.33813 .4829 m
.33974 .48309 L
.33813 .48545 L
.33802 .48309 L
F
1 .44 0 r
.3478 .44747 m
.35069 .44927 L
.34793 .4541 L
.3478 .4543 L
.34459 .45893 L
.34296 .46137 L
.33814 .45893 L
.34207 .4541 L
.34296 .45296 L
.34627 .44927 L
F
1 .78 0 r
.39612 .50583 m
.40095 .50244 L
.40125 .50725 L
.40095 .50785 L
.39876 .51208 L
.39612 .51656 L
.3959 .51691 L
.39364 .52174 L
.39128 .5254 L
.38962 .52658 L
.38645 .53118 L
.3863 .53141 L
.38303 .53624 L
.38162 .53826 L
.38111 .54107 L
.37679 .54533 L
.37588 .5459 L
.37227 .55073 L
.37196 .55122 L
.3691 .55557 L
.36712 .55776 L
.36495 .5604 L
.36229 .56433 L
.36117 .56523 L
.35746 .56995 L
.35736 .57006 L
.35398 .57489 L
.35263 .57592 L
.34924 .57973 L
.3478 .58187 L
.34479 .58456 L
.34296 .58652 L
.3383 .58456 L
.34102 .57973 L
.34296 .57648 L
.34399 .57489 L
.34682 .57006 L
.3478 .56854 L
.35045 .56523 L
.35263 .56208 L
.35385 .5604 L
.35722 .55557 L
.35746 .55522 L
.35987 .55073 L
.36229 .54807 L
.3644 .5459 L
.36712 .54218 L
.36799 .54107 L
.37148 .53624 L
.37196 .5357 L
.37536 .53141 L
.37679 .52904 L
.37916 .52658 L
.38162 .52335 L
.38298 .52174 L
.38645 .51735 L
.38685 .51691 L
.39093 .51208 L
.39128 .51153 L
.3954 .50725 L
F
0 .3 1 r
.3478 .50795 m
.35234 .51208 L
.34858 .51691 L
.3478 .51878 L
.34461 .52174 L
.34296 .52382 L
.33832 .52174 L
.34154 .51691 L
.34296 .51479 L
.34493 .51208 L
F
0 .9 1 r
.41061 .5078 m
.41461 .51208 L
.41225 .51691 L
.41061 .51872 L
.40873 .52174 L
.40578 .52617 L
.40552 .52658 L
.40211 .53141 L
.40095 .53361 L
.39947 .53624 L
.39612 .54079 L
.3956 .54107 L
.39169 .5459 L
.39128 .54714 L
.38866 .55073 L
.38645 .55395 L
.38605 .55557 L
.38162 .56037 L
.38159 .5604 L
.37772 .56523 L
.37679 .5668 L
.37465 .57006 L
.37196 .5733 L
.37067 .57489 L
.36712 .57958 L
.36696 .57973 L
.3632 .58456 L
.36229 .58567 L
.36016 .58939 L
.35746 .59184 L
.35543 .59422 L
.35263 .59792 L
.3514 .59905 L
.3478 .60328 L
.34721 .60388 L
.34296 .60844 L
.33833 .60388 L
.34123 .59905 L
.34296 .59633 L
.34435 .59422 L
.34755 .58939 L
.3478 .58894 L
.35031 .58456 L
.35263 .58116 L
.35437 .57973 L
.35746 .57538 L
.35782 .57489 L
.3612 .57006 L
.36229 .56853 L
.3637 .56523 L
.36712 .56152 L
.36851 .5604 L
.37196 .55571 L
.37206 .55557 L
.37536 .55073 L
.37679 .54912 L
.37943 .5459 L
.38162 .54242 L
.38312 .54107 L
.38645 .53664 L
.38678 .53624 L
.39009 .53141 L
.39128 .53034 L
.39444 .52658 L
.39612 .52395 L
.39837 .52174 L
.40095 .51849 L
.40237 .51691 L
.40578 .51288 L
.40655 .51208 L
F
1 .42 0 r
.34296 .4533 m
.34764 .4541 L
.34436 .45893 L
.34296 .46105 L
.33842 .45893 L
.34233 .4541 L
F
0 .28 1 r
.3478 .50817 m
.35217 .51208 L
.34842 .51691 L
.3478 .51843 L
.34442 .52174 L
.34296 .52357 L
.33854 .52174 L
.34171 .51691 L
.34296 .51502 L
.34509 .51208 L
F
1 .52 0 r
.37679 .49048 m
.38156 .49275 L
.37864 .49758 L
.37679 .50049 L
.37551 .50242 L
.37239 .50725 L
.37196 .50786 L
.36889 .51208 L
.36712 .51456 L
.36539 .51691 L
.36229 .5212 L
.36187 .52174 L
.35871 .52658 L
.35746 .52784 L
.35452 .53141 L
.35263 .53491 L
.3507 .53624 L
.3478 .53993 L
.3468 .54107 L
.34296 .54571 L
.33856 .54107 L
.34175 .53624 L
.34296 .53444 L
.3451 .53141 L
.3478 .52752 L
.3485 .52658 L
.35158 .52174 L
.35263 .52057 L
.35559 .51691 L
.35746 .51436 L
.35926 .51208 L
.36229 .50803 L
.36293 .50725 L
.36627 .50242 L
.36712 .50175 L
.3707 .49758 L
.37196 .49508 L
.37488 .49275 L
F
1 .4 0 r
.34296 .45366 m
.34729 .4541 L
.34412 .45893 L
.34296 .4607 L
.33872 .45893 L
.34262 .4541 L
F
1 .5 0 r
.37679 .49079 m
.38125 .49275 L
.37842 .49758 L
.37679 .50018 L
.37532 .50242 L
.37218 .50725 L
.37196 .50757 L
.36874 .51208 L
.36712 .51435 L
.36525 .51691 L
.36229 .521 L
.36172 .52174 L
.35851 .52658 L
.35746 .52763 L
.35437 .53141 L
.35263 .53471 L
.35053 .53624 L
.3478 .53971 L
.3466 .54107 L
.34296 .54544 L
.33878 .54107 L
.34191 .53624 L
.34296 .53468 L
.34526 .53141 L
.3478 .52772 L
.34864 .52658 L
.35178 .52174 L
.35263 .52079 L
.35572 .51691 L
.35746 .51454 L
.3594 .51208 L
.36229 .50821 L
.36309 .50725 L
.36657 .50242 L
.36712 .50199 L
.37088 .49758 L
.37196 .4954 L
.37512 .49275 L
F
0 .26 1 r
.3478 .50839 m
.35199 .51208 L
.34826 .51691 L
.3478 .51805 L
.34422 .52174 L
.34296 .52332 L
.33878 .52174 L
.34188 .51691 L
.34296 .51527 L
.34526 .51208 L
F
0 .36 1 r
.35263 .46098 m
.35619 .46376 L
.35316 .46859 L
.35263 .46939 L
.34977 .47342 L
.3478 .4763 L
.34632 .47826 L
.34296 .48295 L
.33888 .47826 L
.34249 .47342 L
.34296 .47245 L
.34633 .46859 L
.3478 .4667 L
.35035 .46376 L
F
1 .48 0 r
.37679 .49111 m
.38092 .49275 L
.3782 .49758 L
.37679 .49986 L
.37512 .50242 L
.37196 .50725 L
.37196 .50725 L
.36859 .51208 L
.36712 .51414 L
.3651 .51691 L
.36229 .5208 L
.36157 .52174 L
.35829 .52658 L
.35746 .5274 L
.35422 .53141 L
.35263 .53449 L
.35035 .53624 L
.3478 .53948 L
.34639 .54107 L
.34296 .54516 L
.339 .54107 L
.34208 .53624 L
.34296 .53492 L
.34541 .53141 L
.3478 .52793 L
.3488 .52658 L
.35198 .52174 L
.35263 .52102 L
.35585 .51691 L
.35746 .51472 L
.35954 .51208 L
.36229 .5084 L
.36325 .50725 L
.36689 .50242 L
.36712 .50224 L
.37107 .49758 L
.37196 .49574 L
.37537 .49275 L
F
0 .24 1 r
.3478 .50862 m
.3518 .51208 L
.34809 .51691 L
.3478 .51764 L
.34401 .52174 L
.34296 .52305 L
.33904 .52174 L
.34206 .51691 L
.34296 .51553 L
.34543 .51208 L
F
1 .38 0 r
.34296 .45406 m
.34686 .4541 L
.34386 .45893 L
.34296 .46033 L
.33905 .45893 L
.34293 .4541 L
F
1 .76 0 r
.39128 .5121 m
.39547 .51691 L
.39321 .52174 L
.39128 .52484 L
.38932 .52658 L
.38645 .53078 L
.38602 .53141 L
.38278 .53624 L
.38162 .5379 L
.38094 .54107 L
.37679 .54513 L
.37565 .5459 L
.37207 .55073 L
.37196 .55091 L
.36885 .55557 L
.36712 .55745 L
.3647 .5604 L
.36229 .56409 L
.3609 .56523 L
.35746 .56959 L
.35705 .57006 L
.35342 .57489 L
.35263 .57547 L
.34882 .57973 L
.3478 .58127 L
.34415 .58456 L
.34296 .58578 L
.33906 .58456 L
.34146 .57973 L
.34296 .57711 L
.34435 .57489 L
.34721 .57006 L
.3478 .56913 L
.3507 .56523 L
.35263 .56241 L
.35408 .5604 L
.35745 .55557 L
.35746 .55555 L
.36013 .55073 L
.36229 .54836 L
.36459 .5459 L
.36712 .54243 L
.36819 .54107 L
.37172 .53624 L
.37196 .53598 L
.37556 .53141 L
.37679 .52934 L
.37938 .52658 L
.38162 .52365 L
.38325 .52174 L
.38645 .51772 L
.38719 .51691 L
F
0 .34 1 r
.35263 .46129 m
.35593 .46376 L
.35297 .46859 L
.35263 .46912 L
.3496 .47342 L
.3478 .47607 L
.34614 .47826 L
.34296 .48272 L
.33907 .47826 L
.34266 .47342 L
.34296 .47279 L
.34652 .46859 L
.3478 .46695 L
.35059 .46376 L
F
1 .46 0 r
.36712 .50248 m
.37178 .50725 L
.36843 .51208 L
.36712 .51393 L
.36495 .51691 L
.36229 .5206 L
.36141 .52174 L
.35806 .52658 L
.35746 .52717 L
.35406 .53141 L
.35263 .53426 L
.35018 .53624 L
.3478 .53925 L
.34617 .54107 L
.34296 .54487 L
.33923 .54107 L
.34226 .53624 L
.34296 .53517 L
.34557 .53141 L
.3478 .52815 L
.34895 .52658 L
.3522 .52174 L
.35263 .52126 L
.35599 .51691 L
.35746 .5149 L
.35968 .51208 L
.36229 .5086 L
.36341 .50725 L
F
0 .32 1 r
.35263 .46161 m
.35565 .46376 L
.35278 .46859 L
.35263 .46883 L
.34942 .47342 L
.3478 .47582 L
.34596 .47826 L
.34296 .48249 L
.33926 .47826 L
.34283 .47342 L
.34296 .47315 L
.34672 .46859 L
.3478 .46721 L
.35084 .46376 L
F
1 .78 0 r
.34296 .41134 m
.34577 .41544 L
.34296 .4202 L
.33928 .41544 L
F
0 .22 1 r
.3478 .50886 m
.35161 .51208 L
.34791 .51691 L
.3478 .5172 L
.34379 .52174 L
.34296 .52277 L
.33933 .52174 L
.34225 .51691 L
.34296 .5158 L
.34561 .51208 L
F
0 .88 1 r
.41061 .50936 m
.41325 .51208 L
.41089 .51691 L
.41061 .51722 L
.40796 .52174 L
.40578 .52512 L
.40488 .52658 L
.40164 .53141 L
.40095 .53277 L
.39909 .53624 L
.39612 .54046 L
.39517 .54107 L
.3915 .5459 L
.39128 .5466 L
.38833 .55073 L
.38645 .55349 L
.38591 .55557 L
.38162 .56012 L
.38125 .5604 L
.37746 .56523 L
.37679 .56636 L
.37434 .57006 L
.37196 .57287 L
.37031 .57489 L
.36712 .57924 L
.36657 .57973 L
.3628 .58456 L
.36229 .58515 L
.35962 .58939 L
.35746 .59123 L
.35487 .59422 L
.35263 .59727 L
.35068 .59905 L
.3478 .60233 L
.34618 .60388 L
.34296 .6071 L
.3394 .60388 L
.34193 .59905 L
.34296 .59734 L
.34492 .59422 L
.3478 .58972 L
.34802 .58939 L
.35075 .58456 L
.35263 .58173 L
.35471 .57973 L
.35746 .57581 L
.35814 .57489 L
.36149 .57006 L
.36229 .56894 L
.36398 .56523 L
.36712 .56182 L
.36877 .5604 L
.37196 .55604 L
.37233 .55557 L
.37566 .55073 L
.37679 .54947 L
.37969 .5459 L
.38162 .54274 L
.38341 .54107 L
.38645 .53703 L
.38711 .53624 L
.39062 .53141 L
.39128 .53082 L
.39485 .52658 L
.39612 .52453 L
.3989 .52174 L
.40095 .5192 L
.4031 .51691 L
.40578 .51386 L
.40767 .51208 L
F
1 .36 0 r
.34296 .45455 m
.34357 .45893 L
.34296 .4599 L
.33942 .45893 L
F
0 .86 1 r
.34296 .39333 m
.34341 .39612 L
.34296 .39713 L
.33945 .39612 L
F
0 .3 1 r
.34296 .4735 m
.34577 .47826 L
.34296 .48224 L
.33947 .47826 L
F
1 .44 0 r
.36712 .50271 m
.37159 .50725 L
.36827 .51208 L
.36712 .51371 L
.36479 .51691 L
.36229 .52039 L
.36125 .52174 L
.35782 .52658 L
.35746 .52693 L
.3539 .53141 L
.35263 .534 L
.34999 .53624 L
.3478 .53901 L
.34594 .54107 L
.34296 .54457 L
.33947 .54107 L
.34243 .53624 L
.34296 .53543 L
.34574 .53141 L
.3478 .52837 L
.34911 .52658 L
.35242 .52174 L
.35263 .52151 L
.35613 .51691 L
.35746 .51509 L
.35983 .51208 L
.36229 .50879 L
.36358 .50725 L
F
0 .2 1 r
.34296 .51609 m
.34771 .51691 L
.34355 .52174 L
.34296 .52246 L
.33965 .52174 L
.34244 .51691 L
F
0 .28 1 r
.34296 .47377 m
.34557 .47826 L
.34296 .48198 L
.33968 .47826 L
F
1 .42 0 r
.36712 .50294 m
.37139 .50725 L
.36811 .51208 L
.36712 .51348 L
.36463 .51691 L
.36229 .52018 L
.36109 .52174 L
.35757 .52658 L
.35746 .52668 L
.35374 .53141 L
.35263 .53371 L
.3498 .53624 L
.3478 .53876 L
.34569 .54107 L
.34296 .54426 L
.33973 .54107 L
.34262 .53624 L
.34296 .53571 L
.3459 .53141 L
.3478 .52859 L
.34927 .52658 L
.35263 .52177 L
.35265 .52174 L
.35627 .51691 L
.35746 .51528 L
.35999 .51208 L
.36229 .509 L
.36375 .50725 L
F
1 .34 0 r
.34296 .45514 m
.34326 .45893 L
.34296 .45942 L
.33986 .45893 L
F
0 .26 1 r
.34296 .47406 m
.34536 .47826 L
.34296 .48171 L
.3399 .47826 L
F
1 .76 0 r
.34296 .41227 m
.34511 .41544 L
.34296 .41938 L
.33999 .41544 L
F
1 .4 0 r
.35263 .52198 m
.35736 .52658 L
.35357 .53141 L
.35263 .5334 L
.34961 .53624 L
.3478 .53851 L
.34543 .54107 L
.34296 .54392 L
.34 .54107 L
.34281 .53624 L
.34296 .536 L
.34607 .53141 L
.3478 .52883 L
.34944 .52658 L
F
0 .18 1 r
.34296 .51641 m
.34745 .51691 L
.34329 .52174 L
.34296 .52213 L
.34002 .52174 L
.34265 .51691 L
F
1 .74 0 r
.39128 .51261 m
.39503 .51691 L
.39271 .52174 L
.39128 .52411 L
.38901 .52658 L
.38645 .53037 L
.38574 .53141 L
.38251 .53624 L
.38162 .53752 L
.38073 .54107 L
.37679 .5449 L
.37541 .5459 L
.37196 .5506 L
.37185 .55073 L
.36858 .55557 L
.36712 .55713 L
.36446 .5604 L
.36229 .56381 L
.36063 .56523 L
.35746 .56922 L
.35673 .57006 L
.35279 .57489 L
.35263 .57501 L
.34836 .57973 L
.3478 .58058 L
.34338 .58456 L
.34296 .58495 L
.34008 .58456 L
.34194 .57973 L
.34296 .57784 L
.34474 .57489 L
.34763 .57006 L
.3478 .5698 L
.35095 .56523 L
.35263 .56276 L
.35431 .5604 L
.35746 .55585 L
.35767 .55557 L
.3604 .55073 L
.36229 .54866 L
.36479 .5459 L
.36712 .54269 L
.36839 .54107 L
.37196 .53626 L
.37198 .53624 L
.37576 .53141 L
.37679 .52965 L
.37962 .52658 L
.38162 .52397 L
.38354 .52174 L
.38645 .51811 L
.38756 .51691 L
F
0 .24 1 r
.34296 .47436 m
.34514 .47826 L
.34296 .48142 L
.34013 .47826 L
F
1 .38 0 r
.34296 .53632 m
.34515 .54107 L
.34296 .54356 L
.3403 .54107 L
F
0 .22 1 r
.34296 .47469 m
.3449 .47826 L
.34296 .4811 L
.34039 .47826 L
F
0 .16 1 r
.34296 .51676 m
.34716 .51691 L
.34299 .52174 L
.34296 .52177 L
.34049 .52174 L
.34287 .51691 L
F
1 .94 0 r
.34296 .61845 m
.3475 .62321 L
.34296 .62726 L
.34061 .62321 L
F
0 .6 1 r
.34296 .55634 m
.34731 .5604 L
.34296 .5651 L
.34061 .5604 L
F
1 .36 0 r
.34296 .5367 m
.34485 .54107 L
.34296 .54318 L
.34062 .54107 L
F
0 .2 1 r
.34296 .47505 m
.34465 .47826 L
.34296 .48076 L
.34066 .47826 L
F
0 .86 1 r
.40578 .51498 m
.40964 .51691 L
.40713 .52174 L
.40578 .52394 L
.40421 .52658 L
.40115 .53141 L
.40095 .53181 L
.39864 .53624 L
.39612 .53999 L
.39474 .54107 L
.39133 .5459 L
.39128 .54604 L
.38799 .55073 L
.38645 .553 L
.38573 .55557 L
.38162 .55985 L
.3809 .5604 L
.3772 .56523 L
.37679 .56592 L
.37401 .57006 L
.37196 .57242 L
.36995 .57489 L
.36712 .57888 L
.36617 .57973 L
.36236 .58456 L
.36229 .58464 L
.35897 .58939 L
.35746 .5906 L
.35427 .59422 L
.35263 .59652 L
.34988 .59905 L
.3478 .60132 L
.34485 .60388 L
.34296 .6055 L
.34079 .60388 L
.34271 .59905 L
.34296 .59859 L
.34553 .59422 L
.3478 .5905 L
.34853 .58939 L
.35126 .58456 L
.35263 .58244 L
.35506 .57973 L
.35746 .57627 L
.35846 .57489 L
.3618 .57006 L
.36229 .56938 L
.36429 .56523 L
.36712 .56216 L
.36904 .5604 L
.37196 .55639 L
.3726 .55557 L
.37599 .55073 L
.37679 .54985 L
.37996 .5459 L
.38162 .54309 L
.38371 .54107 L
.38645 .53744 L
.38746 .53624 L
.3912 .53141 L
.39128 .53134 L
.39528 .52658 L
.39612 .52519 L
.39947 .52174 L
.40095 .51996 L
.40397 .51691 L
F
1 .74 0 r
.34296 .41342 m
.34429 .41544 L
.34296 .41832 L
.34089 .41544 L
F
0 .58 1 r
.34296 .55678 m
.34696 .5604 L
.34296 .56461 L
.34094 .5604 L
F
0 .18 1 r
.34296 .47545 m
.34437 .47826 L
.34296 .48038 L
.34097 .47826 L
F
1 .34 0 r
.34296 .53712 m
.34451 .54107 L
.34296 .54276 L
.34098 .54107 L
F
1 .18 0 r
.34296 .49499 m
.34648 .49758 L
.34296 .50225 L
.34121 .49758 L
F
0 .56 1 r
.34296 .55727 m
.34656 .5604 L
.34296 .56406 L
.3413 .5604 L
F
0 .16 1 r
.34296 .47592 m
.34404 .47826 L
.34296 .47994 L
.34133 .47826 L
F
1 .32 0 r
.34296 .53763 m
.34411 .54107 L
.34296 .54227 L
.34141 .54107 L
F
1 .16 0 r
.34296 .49528 m
.34625 .49758 L
.34296 .50196 L
.34141 .49758 L
F
1 .14 0 r
.34296 .49558 m
.346 .49758 L
.34296 .50164 L
.34163 .49758 L
F
0 .54 1 r
.34296 .55784 m
.34611 .5604 L
.34296 .56344 L
.3417 .5604 L
F
0 .14 1 r
.34296 .4765 m
.34366 .47826 L
.34296 .47939 L
.34178 .47826 L
F
1 .12 0 r
.34296 .49591 m
.34572 .49758 L
.34296 .50129 L
.34187 .49758 L
F
1 .3 0 r
.34296 .53827 m
.34361 .54107 L
.34296 .54169 L
.34198 .54107 L
F
1 .1 0 r
.34296 .49627 m
.34541 .49758 L
.34296 .50089 L
.34212 .49758 L
F
0 .52 1 r
.34296 .55855 m
.34556 .5604 L
.34296 .56268 L
.34215 .5604 L
F
0 .56 1 r
.34296 .43396 m
.3451 .43477 L
.34296 .43918 L
.34223 .43477 L
F
1 .08 0 r
.34296 .49669 m
.34504 .49758 L
.34296 .50042 L
.34241 .49758 L
F
1 .72 0 r
.3478 .57039 m
.35229 .57489 L
.34785 .57973 L
.3478 .57981 L
.34296 .58389 L
.34248 .57973 L
.34296 .57873 L
.34515 .57489 L
F
0 .12 1 r
.34296 .47745 m
.34312 .47826 L
.34296 .47856 L
.3425 .47826 L
F
0 .5 1 r
.34296 .5596 m
.34479 .5604 L
.34296 .56155 L
.34271 .5604 L
F
1 .06 0 r
.34296 .49721 m
.34456 .49758 L
.34296 .49981 L
.34274 .49758 L
F
1 .94 0 r
.42994 .50423 m
.43477 .50427 L
.43569 .50725 L
.43477 .5089 L
.43264 .51208 L
.42994 .51547 L
.42874 .51691 L
.42511 .52099 L
.42446 .52174 L
.42035 .52658 L
.42027 .52667 L
.41701 .53141 L
.41544 .53383 L
.41351 .53624 L
.41061 .5406 L
.41031 .54107 L
.40656 .5459 L
.40578 .54811 L
.40414 .55073 L
.40095 .55526 L
.40054 .55557 L
.39645 .5604 L
.39612 .56176 L
.3935 .56523 L
.39128 .56853 L
.39073 .57006 L
.3865 .57489 L
.38645 .57495 L
.38252 .57973 L
.38162 .58135 L
.37944 .58456 L
.37679 .58784 L
.37556 .58939 L
.37196 .59411 L
.37184 .59422 L
.36802 .59905 L
.36712 .60019 L
.36489 .60388 L
.36229 .60635 L
.36031 .60872 L
.35746 .61239 L
.35626 .61355 L
.35263 .61833 L
.35206 .61838 L
.3478 .62295 L
.343 .61838 L
.34594 .61355 L
.3478 .61064 L
.34907 .60872 L
.35227 .60388 L
.35263 .60324 L
.35492 .59905 L
.35746 .59534 L
.35913 .59422 L
.36229 .58976 L
.36257 .58939 L
.36589 .58456 L
.36712 .58287 L
.36825 .57973 L
.37196 .5758 L
.37327 .57489 L
.37679 .57009 L
.37681 .57006 L
.38002 .56523 L
.38162 .56345 L
.38417 .5604 L
.38645 .55669 L
.38784 .55557 L
.39128 .55096 L
.39147 .55073 L
.3946 .5459 L
.39612 .54459 L
.39911 .54107 L
.40095 .53809 L
.40298 .53624 L
.40578 .53265 L
.40688 .53141 L
.41061 .52682 L
.41083 .52658 L
.41494 .52174 L
.41544 .52087 L
.41904 .51691 L
.42027 .51424 L
.42313 .51208 L
.42511 .50986 L
.42772 .50725 L
F
1 .38 0 r
.35263 .5222 m
.35718 .52658 L
.3534 .53141 L
.35263 .53307 L
.3494 .53624 L
.3478 .53824 L
.34302 .53624 L
.34625 .53141 L
.3478 .52908 L
.34961 .52658 L
F
0 .3 1 r
.3478 .46748 m
.35257 .46859 L
.34923 .47342 L
.3478 .47556 L
.34303 .47342 L
.34693 .46859 L
F
0 .62 1 r
.38645 .49923 m
.3894 .50242 L
.38707 .50725 L
.38645 .50777 L
.38376 .51208 L
.38162 .51534 L
.38056 .51691 L
.3774 .52174 L
.37679 .52261 L
.37386 .52658 L
.37196 .53037 L
.37034 .53141 L
.36712 .53582 L
.3668 .53624 L
.36357 .54107 L
.36229 .5424 L
.35942 .5459 L
.35746 .54926 L
.35558 .55073 L
.35263 .55447 L
.35167 .55557 L
.3478 .56023 L
.34321 .55557 L
.34642 .55073 L
.3478 .54869 L
.34977 .5459 L
.35263 .54176 L
.35314 .54107 L
.35608 .53624 L
.35746 .5347 L
.36023 .53141 L
.36229 .52859 L
.36387 .52658 L
.36712 .52221 L
.3675 .52174 L
.37048 .51691 L
.37196 .51578 L
.3752 .51208 L
.37679 .50877 L
.37925 .50725 L
.38162 .50437 L
.38352 .50242 L
F
0 .28 1 r
.3478 .46776 m
.3523 .46859 L
.34904 .47342 L
.3478 .47529 L
.34326 .47342 L
.34714 .46859 L
F
1 .36 0 r
.35263 .52243 m
.35699 .52658 L
.35322 .53141 L
.35263 .53271 L
.34919 .53624 L
.3478 .53797 L
.34327 .53624 L
.34643 .53141 L
.3478 .52933 L
.34978 .52658 L
F
1 .32 0 r
.35746 .4749 m
.36131 .47826 L
.35817 .48309 L
.35746 .48413 L
.35475 .48792 L
.35263 .49096 L
.35126 .49275 L
.3478 .49755 L
.34344 .49275 L
.34705 .48792 L
.3478 .4863 L
.35085 .48309 L
.35263 .48075 L
.35477 .47826 L
F
0 .6 1 r
.38645 .49974 m
.38897 .50242 L
.38649 .50725 L
.38645 .50728 L
.38351 .51208 L
.38162 .51499 L
.38034 .51691 L
.37716 .52174 L
.37679 .52227 L
.37368 .52658 L
.37196 .53014 L
.37016 .53141 L
.36712 .53558 L
.36661 .53624 L
.36333 .54107 L
.36229 .54214 L
.35923 .5459 L
.35746 .54902 L
.35538 .55073 L
.35263 .5542 L
.35142 .55557 L
.3478 .5599 L
.34347 .55557 L
.34661 .55073 L
.3478 .54897 L
.34995 .5459 L
.35263 .542 L
.35332 .54107 L
.35631 .53624 L
.35746 .53497 L
.36039 .53141 L
.36229 .52879 L
.36403 .52658 L
.36712 .52242 L
.36768 .52174 L
.37083 .51691 L
.37196 .51605 L
.3754 .51208 L
.37679 .5091 L
.37951 .50725 L
.38162 .5047 L
.38391 .50242 L
F
0 .26 1 r
.3478 .46806 m
.352 .46859 L
.34883 .47342 L
.3478 .475 L
.34351 .47342 L
.34738 .46859 L
F
1 .34 0 r
.35263 .52267 m
.35679 .52658 L
.35304 .53141 L
.35263 .53231 L
.34897 .53624 L
.3478 .53768 L
.34354 .53624 L
.34662 .53141 L
.3478 .5296 L
.34996 .52658 L
F
1 .3 0 r
.35746 .47515 m
.3611 .47826 L
.35801 .48309 L
.35746 .4839 L
.35459 .48792 L
.35263 .49075 L
.35111 .49275 L
.3478 .49735 L
.3436 .49275 L
.34719 .48792 L
.3478 .4866 L
.351 .48309 L
.35263 .48096 L
.35496 .47826 L
F
0 .58 1 r
.38162 .50506 m
.38613 .50725 L
.38325 .51208 L
.38162 .51463 L
.38011 .51691 L
.37692 .52174 L
.37679 .52192 L
.3735 .52658 L
.37196 .52988 L
.36998 .53141 L
.36712 .53534 L
.36643 .53624 L
.36308 .54107 L
.36229 .54188 L
.35904 .5459 L
.35746 .54876 L
.35516 .55073 L
.35263 .55391 L
.35116 .55557 L
.3478 .55955 L
.34374 .55557 L
.34682 .55073 L
.3478 .54926 L
.35014 .5459 L
.35263 .54225 L
.3535 .54107 L
.35656 .53624 L
.35746 .53524 L
.36054 .53141 L
.36229 .529 L
.3642 .52658 L
.36712 .52264 L
.36786 .52174 L
.3712 .51691 L
.37196 .51634 L
.37561 .51208 L
.37679 .50948 L
.37979 .50725 L
F
1 .28 0 r
.35746 .47541 m
.36088 .47826 L
.35784 .48309 L
.35746 .48366 L
.35444 .48792 L
.35263 .49054 L
.35095 .49275 L
.3478 .49714 L
.34377 .49275 L
.34734 .48792 L
.3478 .48691 L
.35117 .48309 L
.35263 .48118 L
.35516 .47826 L
F
0 .84 1 r
.40578 .51637 m
.40803 .51691 L
.40619 .52174 L
.40578 .52249 L
.40351 .52658 L
.40095 .53081 L
.40058 .53141 L
.39811 .53624 L
.39612 .53933 L
.3943 .54107 L
.39128 .54546 L
.39097 .5459 L
.38764 .55073 L
.38645 .55249 L
.3855 .55557 L
.38162 .55954 L
.38056 .5604 L
.37694 .56523 L
.37679 .56547 L
.37364 .57006 L
.37196 .57196 L
.36958 .57489 L
.36712 .57849 L
.36576 .57973 L
.36229 .58409 L
.36189 .58456 L
.35818 .58939 L
.35746 .58994 L
.35363 .59422 L
.35263 .59564 L
.34893 .59905 L
.3478 .60021 L
.34377 .59905 L
.34619 .59422 L
.3478 .59141 L
.34907 .58939 L
.35184 .58456 L
.35263 .58331 L
.35543 .57973 L
.35746 .57675 L
.35879 .57489 L
.36214 .57006 L
.36229 .56985 L
.36465 .56523 L
.36712 .56255 L
.36931 .5604 L
.37196 .55675 L
.37288 .55557 L
.37634 .55073 L
.37679 .55024 L
.38023 .5459 L
.38162 .54349 L
.38402 .54107 L
.38645 .53787 L
.38783 .53624 L
.39128 .53185 L
.39167 .53141 L
.39574 .52658 L
.39612 .52595 L
.40013 .52174 L
.40095 .52079 L
.40519 .51691 L
F
0 .24 1 r
.3478 .46838 m
.35166 .46859 L
.34861 .47342 L
.3478 .47468 L
.34378 .47342 L
.34763 .46859 L
F
1 .78 0 r
.3478 .40707 m
.34846 .41061 L
.3478 .41198 L
.34378 .41061 L
F
1 .32 0 r
.35263 .52292 m
.35659 .52658 L
.35284 .53141 L
.35263 .53189 L
.34873 .53624 L
.3478 .53738 L
.34383 .53624 L
.34682 .53141 L
.3478 .52989 L
.35015 .52658 L
F
1 .26 0 r
.35746 .47569 m
.36064 .47826 L
.35767 .48309 L
.35746 .48341 L
.35428 .48792 L
.35263 .49032 L
.35078 .49275 L
.3478 .49693 L
.34394 .49275 L
.34749 .48792 L
.3478 .48724 L
.35134 .48309 L
.35263 .4814 L
.35537 .47826 L
F
0 .56 1 r
.38162 .50543 m
.38575 .50725 L
.38298 .51208 L
.38162 .51424 L
.37987 .51691 L
.37679 .52159 L
.37668 .52174 L
.37331 .52658 L
.37196 .52958 L
.3698 .53141 L
.36712 .53509 L
.36624 .53624 L
.36281 .54107 L
.36229 .5416 L
.35885 .5459 L
.35746 .54847 L
.35494 .55073 L
.35263 .55362 L
.35088 .55557 L
.3478 .55919 L
.34403 .55557 L
.34703 .55073 L
.3478 .54957 L
.35033 .5459 L
.35263 .54251 L
.35368 .54107 L
.35682 .53624 L
.35746 .53553 L
.3607 .53141 L
.36229 .52922 L
.36437 .52658 L
.36712 .52287 L
.36805 .52174 L
.3716 .51691 L
.37196 .51664 L
.37582 .51208 L
.37679 .5099 L
.38008 .50725 L
F
0 .22 1 r
.3478 .46875 m
.34838 .47342 L
.3478 .47434 L
.34408 .47342 L
F
1 .24 0 r
.35746 .47598 m
.36039 .47826 L
.3575 .48309 L
.35746 .48315 L
.35411 .48792 L
.35263 .49009 L
.35061 .49275 L
.3478 .4967 L
.34412 .49275 L
.34765 .48792 L
.3478 .48759 L
.35151 .48309 L
.35263 .48164 L
.3556 .47826 L
F
1 .3 0 r
.35263 .52318 m
.35637 .52658 L
.35264 .53141 L
.35263 .53144 L
.34847 .53624 L
.3478 .53706 L
.34416 .53624 L
.34703 .53141 L
.3478 .53019 L
.35035 .52658 L
F
0 .66 1 r
.3478 .42595 m
.35035 .42994 L
.3478 .43431 L
.34421 .42994 L
F
1 .22 0 r
.3478 .48795 m
.35044 .49275 L
.3478 .49647 L
.34431 .49275 L
F
0 .54 1 r
.37196 .51695 m
.37645 .52174 L
.37311 .52658 L
.37196 .52924 L
.36961 .53141 L
.36712 .53484 L
.36605 .53624 L
.36253 .54107 L
.36229 .54131 L
.35865 .5459 L
.35746 .54815 L
.35471 .55073 L
.35263 .55332 L
.35059 .55557 L
.3478 .5588 L
.34434 .55557 L
.34725 .55073 L
.3478 .54989 L
.35053 .5459 L
.35263 .54278 L
.35388 .54107 L
.3571 .53624 L
.35746 .53584 L
.36087 .53141 L
.36229 .52944 L
.36454 .52658 L
.36712 .5231 L
.36825 .52174 L
F
0 .2 1 r
.3478 .4692 m
.34813 .47342 L
.3478 .47396 L
.34442 .47342 L
F
1 .2 0 r
.3478 .4882 m
.35025 .49275 L
.3478 .49623 L
.3445 .49275 L
F
1 .28 0 r
.3478 .53052 m
.35237 .53141 L
.34819 .53624 L
.3478 .53671 L
.34454 .53624 L
.34724 .53141 L
F
0 .52 1 r
.37196 .51722 m
.37622 .52174 L
.37292 .52658 L
.37196 .52886 L
.36942 .53141 L
.36712 .53458 L
.36585 .53624 L
.36229 .54102 L
.36225 .54107 L
.35844 .5459 L
.35746 .5478 L
.35447 .55073 L
.35263 .55301 L
.35027 .55557 L
.3478 .5584 L
.34467 .55557 L
.34748 .55073 L
.3478 .55024 L
.35074 .5459 L
.35263 .54306 L
.35407 .54107 L
.35739 .53624 L
.35746 .53616 L
.36103 .53141 L
.36229 .52967 L
.36472 .52658 L
.36712 .52334 L
.36845 .52174 L
F
0 .64 1 r
.3478 .42657 m
.34991 .42994 L
.3478 .43375 L
.34469 .42994 L
F
1 .18 0 r
.3478 .48846 m
.35006 .49275 L
.3478 .49598 L
.34471 .49275 L
F
1 .96 0 r
.39612 .71461 m
.40095 .71296 L
.40578 .71206 L
.41061 .71187 L
.41544 .71235 L
.42027 .71348 L
.4245 .71502 L
.42511 .7153 L
.42994 .71788 L
.43288 .71985 L
.43477 .7213 L
.43864 .72468 L
.4396 .72562 L
.44324 .72951 L
.44443 .73093 L
.44708 .73434 L
.44927 .73748 L
.45037 .73918 L
.45325 .74401 L
.4541 .74555 L
.45578 .74884 L
.45803 .75367 L
.45893 .75576 L
.46003 .7585 L
.46181 .76334 L
.46341 .76817 L
.46376 .76932 L
.46481 .773 L
.46604 .77783 L
.46713 .78266 L
.46807 .7875 L
.46859 .79051 L
.46887 .79233 L
.46953 .79716 L
.47006 .80199 L
.47047 .80682 L
.47075 .81165 L
.47091 .81649 L
.47095 .82132 L
.47087 .82615 L
.47067 .83098 L
.47034 .83581 L
.4699 .84065 L
.46933 .84548 L
.46863 .85031 L
.46859 .85052 L
.46778 .85514 L
.46678 .85997 L
.46565 .8648 L
.46436 .86964 L
.46376 .8717 L
.4629 .87447 L
.46124 .8793 L
.45939 .88413 L
.45893 .88527 L
.45731 .88896 L
.45497 .8938 L
.4541 .89546 L
.45233 .89863 L
.44933 .90346 L
.44927 .90355 L
.44587 .90829 L
.44443 .91009 L
.44181 .91312 L
.4396 .91542 L
.43689 .91796 L
.43477 .91972 L
.43048 .92279 L
.42994 .92312 L
.42511 .92572 L
.42027 .92757 L
.42019 .92762 L
.41544 .9287 L
.41061 .92915 L
.40578 .92891 L
.40095 .928 L
.3995 .92762 L
.39612 .92637 L
.39128 .92402 L
.38923 .92279 L
.38645 .92087 L
.38282 .91796 L
.38162 .91687 L
.37788 .91312 L
.37679 .91192 L
.37378 .90829 L
.37196 .90587 L
.37027 .90346 L
.3672 .89863 L
.36712 .89849 L
.36456 .8938 L
.36229 .88897 L
.36229 .88896 L
.36041 .88413 L
.35884 .8793 L
.35751 .87447 L
.35746 .87429 L
.35629 .86964 L
.35509 .8648 L
.35381 .85997 L
.35263 .856 L
.35236 .85514 L
.35069 .85031 L
.34874 .84548 L
.3478 .84363 L
.34652 .84065 L
.34474 .83581 L
.34488 .83098 L
.34675 .82615 L
.3478 .82193 L
.34803 .82132 L
.34937 .81649 L
.35039 .81165 L
.35113 .80682 L
.3516 .80199 L
.35185 .79716 L
.35195 .79233 L
.352 .7875 L
.35217 .78266 L
.35263 .77793 L
.35265 .77783 L
.3537 .773 L
.35529 .76817 L
.35718 .76334 L
.35746 .76267 L
.35934 .7585 L
.36161 .75367 L
.36229 .75226 L
.36402 .74884 L
.36661 .74401 L
.36712 .74311 L
.36949 .73918 L
.37196 .73546 L
.37275 .73434 L
.37656 .72951 L
.37679 .72925 L
.38114 .72468 L
.38162 .72423 L
.38645 .7202 L
.38692 .71985 L
.39128 .71701 L
.39514 .71502 L
F
0 .18 1 r
.3478 .46974 m
.34785 .47342 L
.3478 .47352 L
.34483 .47342 L
F
1 .16 0 r
.3478 .48874 m
.34986 .49275 L
.3478 .49571 L
.34492 .49275 L
F
1 .92 0 r
.41061 .52833 m
.41517 .53141 L
.41224 .53624 L
.41061 .53882 L
.40927 .54107 L
.40604 .5459 L
.40578 .5467 L
.40347 .55073 L
.40095 .5546 L
.39984 .55557 L
.39622 .5604 L
.39612 .56088 L
.39296 .56523 L
.39128 .56775 L
.39044 .57006 L
.38645 .57443 L
.38593 .57489 L
.38212 .57973 L
.38162 .58063 L
.37891 .58456 L
.37679 .58709 L
.37495 .58939 L
.37196 .59347 L
.37118 .59422 L
.36736 .59905 L
.36712 .59933 L
.36395 .60388 L
.36229 .6053 L
.35932 .60872 L
.35746 .61119 L
.35498 .61355 L
.35263 .61761 L
.35016 .61838 L
.3478 .62055 L
.34496 .61838 L
.34715 .61355 L
.3478 .61241 L
.35004 .60872 L
.35263 .60454 L
.35307 .60388 L
.35568 .59905 L
.35746 .59632 L
.35968 .59422 L
.36229 .59047 L
.36308 .58939 L
.36639 .58456 L
.36712 .58355 L
.3687 .57973 L
.37196 .57626 L
.37368 .57489 L
.37679 .57062 L
.37723 .57006 L
.38052 .56523 L
.38162 .56402 L
.38458 .5604 L
.38645 .55718 L
.38829 .55557 L
.39128 .55158 L
.39199 .55073 L
.39546 .5459 L
.39612 .54536 L
.39973 .54107 L
.40095 .539 L
.40379 .53624 L
.40578 .53376 L
.40798 .53141 L
F
1 .26 0 r
.3478 .53088 m
.35207 .53141 L
.34787 .53624 L
.3478 .53633 L
.34501 .53624 L
.34748 .53141 L
F
0 .5 1 r
.35746 .53644 m
.36203 .54107 L
.35823 .5459 L
.35746 .54742 L
.35421 .55073 L
.35263 .55269 L
.34993 .55557 L
.3478 .55796 L
.34503 .55557 L
.34772 .55073 L
.3478 .55061 L
.35095 .5459 L
.35263 .54335 L
.35428 .54107 L
F
1 .14 0 r
.3478 .48904 m
.34964 .49275 L
.3478 .49542 L
.34516 .49275 L
F
0 .62 1 r
.3478 .42729 m
.34941 .42994 L
.3478 .43309 L
.34524 .42994 L
F
1 .12 0 r
.3478 .48936 m
.34941 .49275 L
.3478 .49511 L
.34541 .49275 L
F
0 .48 1 r
.3478 .55105 m
.34955 .55557 L
.3478 .55749 L
.34543 .55557 L
F
1 .7 0 r
.3478 .57096 m
.35182 .57489 L
.3478 .57913 L
.34559 .57489 L
F
1 .1 0 r
.3478 .48972 m
.34916 .49275 L
.3478 .49476 L
.34569 .49275 L
F
0 .2 1 r
.3478 .50911 m
.35141 .51208 L
.3478 .51681 L
.3458 .51208 L
F
0 .46 1 r
.3478 .55159 m
.3491 .55557 L
.3478 .55695 L
.34591 .55557 L
F
0 .6 1 r
.3478 .42818 m
.34879 .42994 L
.3478 .43223 L
.34594 .42994 L
F
0 .96 1 r
.3478 .63348 m
.35159 .63771 L
.3478 .64075 L
.34596 .63771 L
F
0 .18 1 r
.3478 .50937 m
.35119 .51208 L
.3478 .51653 L
.34599 .51208 L
F
1 .08 0 r
.3478 .49013 m
.34887 .49275 L
.3478 .49437 L
.34601 .49275 L
F
1 .68 0 r
.3478 .57161 m
.35127 .57489 L
.3478 .57839 L
.34608 .57489 L
F
0 .16 1 r
.3478 .50966 m
.35096 .51208 L
.3478 .51623 L
.3462 .51208 L
F
1 .06 0 r
.3478 .49063 m
.34854 .49275 L
.3478 .49391 L
.34639 .49275 L
F
0 .14 1 r
.3478 .50996 m
.3507 .51208 L
.3478 .51591 L
.34642 .51208 L
F
0 .44 1 r
.3478 .55227 m
.34855 .55557 L
.3478 .55631 L
.34654 .55557 L
F
1 .42 0 r
.3478 .44793 m
.35027 .44927 L
.3478 .45387 L
.34664 .44927 L
F
1 .66 0 r
.3478 .57242 m
.35062 .57489 L
.3478 .57751 L
.34665 .57489 L
F
0 .12 1 r
.3478 .5103 m
.35042 .51208 L
.3478 .51555 L
.34666 .51208 L
F
0 .1 1 r
.3478 .51067 m
.35011 .51208 L
.3478 .51514 L
.34692 .51208 L
F
1 .04 0 r
.3478 .49131 m
.34813 .49275 L
.3478 .49331 L
.34692 .49275 L
F
0 .82 1 r
.39612 .52676 m
.39996 .53141 L
.39747 .53624 L
.39612 .53841 L
.39386 .54107 L
.39128 .54485 L
.39056 .5459 L
.38727 .55073 L
.38645 .55194 L
.38519 .55557 L
.38162 .55917 L
.38021 .5604 L
.37679 .56501 L
.37662 .56523 L
.37324 .57006 L
.37196 .57148 L
.3692 .57489 L
.36712 .57805 L
.36534 .57973 L
.36229 .58353 L
.36139 .58456 L
.35746 .58924 L
.35732 .58939 L
.3529 .59422 L
.35263 .5946 L
.3478 .59888 L
.34693 .59422 L
.3478 .59254 L
.34965 .58939 L
.3525 .58456 L
.35263 .58435 L
.3558 .57973 L
.35746 .57726 L
.35914 .57489 L
.36229 .57031 L
.36248 .57006 L
.36506 .56523 L
.36712 .563 L
.36958 .5604 L
.37196 .55712 L
.37317 .55557 L
.37672 .55073 L
.37679 .55066 L
.38051 .5459 L
.38162 .54393 L
.38435 .54107 L
.38645 .5383 L
.38822 .53624 L
.39128 .53238 L
.39217 .53141 L
F
1 .98 0 r
.42027 .55558 m
.42401 .5604 L
.42407 .56523 L
.42092 .57006 L
.42027 .57177 L
.41795 .57489 L
.41544 .57857 L
.41472 .57973 L
.41086 .58456 L
.41061 .58481 L
.40661 .58939 L
.40578 .59127 L
.40343 .59422 L
.40095 .59789 L
.40033 .59905 L
.39649 .60388 L
.39612 .60422 L
.39215 .60872 L
.39128 .61064 L
.38917 .61355 L
.38645 .61714 L
.38629 .61838 L
.38182 .62321 L
.38162 .62337 L
.37781 .62804 L
.37679 .62949 L
.37464 .63288 L
.37196 .63571 L
.37037 .63771 L
.36712 .64176 L
.3664 .64254 L
.36231 .64737 L
.36229 .64739 L
.35831 .6522 L
.35746 .6527 L
.35304 .65704 L
.35263 .65746 L
.3478 .6605 L
.34704 .65704 L
.3478 .65511 L
.34926 .6522 L
.35165 .64737 L
.35263 .64631 L
.35506 .64254 L
.35746 .63888 L
.35827 .63771 L
.36148 .63288 L
.36229 .63149 L
.36394 .62804 L
.36712 .6251 L
.36851 .62321 L
.37196 .61838 L
.37196 .61838 L
.37518 .61355 L
.37679 .6114 L
.37914 .60872 L
.38162 .60531 L
.38272 .60388 L
.38624 .59905 L
.38645 .59876 L
.38927 .59422 L
.39128 .59202 L
.39361 .58939 L
.39612 .58516 L
.39723 .58456 L
.40079 .57973 L
.40095 .57955 L
.40375 .57489 L
.40578 .57303 L
.40835 .57006 L
.41061 .56653 L
.41211 .56523 L
.41544 .56055 L
.41592 .5604 L
F
1 .4 0 r
.3478 .44845 m
.34975 .44927 L
.3478 .45333 L
.34707 .44927 L
F
0 .08 1 r
.3478 .51111 m
.34973 .51208 L
.3478 .51465 L
.34721 .51208 L
F
0 .58 1 r
.3478 .42971 m
.34789 .42994 L
.3478 .4306 L
.34722 .42994 L
F
1 .64 0 r
.3478 .57361 m
.3497 .57489 L
.3478 .57625 L
.34736 .57489 L
F
0 .06 1 r
.3478 .51166 m
.34922 .51208 L
.3478 .51399 L
.34756 .51208 L
F
1 .38 0 r
.3478 .44908 m
.34895 .44927 L
.3478 .45263 L
.34762 .44927 L
F
1 .24 0 r
.3478 .53129 m
.35173 .53141 L
.3478 .53584 L
.34773 .53141 L
F
1 .22 0 r
.35263 .48188 m
.35728 .48309 L
.35394 .48792 L
.35263 .48985 L
.34782 .48792 L
.3517 .48309 L
F
0 .48 1 r
.35746 .53671 m
.3618 .54107 L
.35801 .5459 L
.35746 .547 L
.35395 .55073 L
.35263 .55235 L
.348 .55073 L
.35117 .5459 L
.35263 .54366 L
.35449 .54107 L
F
1 .72 0 r
.39128 .51317 m
.39455 .51691 L
.39214 .52174 L
.39128 .52319 L
.3887 .52658 L
.38645 .52994 L
.38545 .53141 L
.38223 .53624 L
.38162 .53712 L
.38047 .54107 L
.37679 .54463 L
.37518 .5459 L
.37196 .55028 L
.37161 .55073 L
.36828 .55557 L
.36712 .5568 L
.3642 .5604 L
.36229 .56351 L
.36034 .56523 L
.35746 .56885 L
.35639 .57006 L
.35263 .57455 L
.34801 .57006 L
.35121 .56523 L
.35263 .56312 L
.35455 .5604 L
.35746 .55616 L
.3579 .55557 L
.3607 .55073 L
.36229 .54899 L
.36498 .5459 L
.36712 .54295 L
.3686 .54107 L
.37196 .53654 L
.3722 .53624 L
.37597 .53141 L
.37679 .52999 L
.37986 .52658 L
.38162 .52429 L
.38384 .52174 L
.38645 .51851 L
.38796 .51691 L
F
1 .2 0 r
.35263 .48213 m
.35704 .48309 L
.35376 .48792 L
.35263 .4896 L
.34803 .48792 L
.35189 .48309 L
F
0 .68 1 r
.35263 .42076 m
.35355 .42511 L
.35263 .42686 L
.34809 .42511 L
F
0 .96 1 r
.41544 .54173 m
.41903 .5459 L
.41714 .55073 L
.41544 .5541 L
.4147 .55557 L
.41099 .5604 L
.41061 .56257 L
.40892 .56523 L
.40578 .56976 L
.40538 .57006 L
.40136 .57489 L
.40095 .57621 L
.39827 .57973 L
.39612 .58292 L
.3954 .58456 L
.39128 .58937 L
.39126 .58939 L
.38722 .59422 L
.38645 .59571 L
.3841 .59905 L
.38162 .60217 L
.3803 .60388 L
.37679 .60847 L
.37655 .60872 L
.37267 .61355 L
.37196 .61448 L
.36941 .61838 L
.36712 .62057 L
.36492 .62321 L
.36229 .62654 L
.36079 .62804 L
.35746 .63252 L
.35645 .63288 L
.35263 .63685 L
.34813 .63288 L
.35096 .62804 L
.35263 .62537 L
.35404 .62321 L
.35718 .61838 L
.35746 .61789 L
.3597 .61355 L
.36229 .61112 L
.36403 .60872 L
.36712 .60432 L
.36745 .60388 L
.37072 .59905 L
.37196 .59737 L
.37287 .59422 L
.37679 .59015 L
.37814 .58939 L
.38162 .58462 L
.38167 .58456 L
.38482 .57973 L
.38645 .57793 L
.38902 .57489 L
.39128 .57108 L
.39268 .57006 L
.39612 .56546 L
.3963 .56523 L
.39933 .5604 L
.40095 .55905 L
.40394 .55557 L
.40578 .55254 L
.40785 .55073 L
.41061 .54722 L
.41186 .5459 L
F
0 .32 1 r
.36229 .48911 m
.36618 .49275 L
.363 .49758 L
.36229 .49861 L
.35956 .50242 L
.35746 .50539 L
.35604 .50725 L
.35263 .51193 L
.34818 .50725 L
.35178 .50242 L
.35263 .50042 L
.35554 .49758 L
.35746 .49505 L
.35941 .49275 L
F
1 .18 0 r
.35263 .4824 m
.35677 .48309 L
.35358 .48792 L
.35263 .48934 L
.34825 .48792 L
.3521 .48309 L
F
0 .46 1 r
.35746 .53699 m
.36156 .54107 L
.35778 .5459 L
.35746 .54655 L
.35367 .55073 L
.35263 .55199 L
.34834 .55073 L
.3514 .5459 L
.35263 .54399 L
.35471 .54107 L
F
0 .3 1 r
.36229 .48935 m
.36598 .49275 L
.36284 .49758 L
.36229 .49839 L
.3594 .50242 L
.35746 .50518 L
.35588 .50725 L
.35263 .51172 L
.34834 .50725 L
.35192 .50242 L
.35263 .50072 L
.3557 .49758 L
.35746 .49525 L
.35959 .49275 L
F
1 .96 0 r
.35263 .35974 m
.35318 .36229 L
.35263 .36385 L
.34836 .36229 L
F
1 .7 0 r
.39128 .51378 m
.39404 .51691 L
.39147 .52174 L
.39128 .52207 L
.38837 .52658 L
.38645 .52949 L
.38516 .53141 L
.38193 .53624 L
.38162 .53669 L
.38016 .54107 L
.37679 .54431 L
.37494 .5459 L
.37196 .54996 L
.37136 .55073 L
.36797 .55557 L
.36712 .55645 L
.36395 .5604 L
.36229 .56317 L
.36005 .56523 L
.35746 .56846 L
.35603 .57006 L
.35263 .57408 L
.34838 .57006 L
.35148 .56523 L
.35263 .5635 L
.3548 .5604 L
.35746 .55648 L
.35814 .55557 L
.36103 .55073 L
.36229 .54935 L
.36518 .5459 L
.36712 .54322 L
.36881 .54107 L
.37196 .53682 L
.37243 .53624 L
.37618 .53141 L
.37679 .53034 L
.38011 .52658 L
.38162 .52462 L
.38416 .52174 L
.38645 .51893 L
.38842 .51691 L
F
1 .16 0 r
.35263 .48269 m
.35648 .48309 L
.35338 .48792 L
.35263 .48905 L
.3485 .48792 L
.35232 .48309 L
F
0 .28 1 r
.36229 .4896 m
.36577 .49275 L
.36268 .49758 L
.36229 .49815 L
.35925 .50242 L
.35746 .50497 L
.35572 .50725 L
.35263 .51151 L
.34851 .50725 L
.35206 .50242 L
.35263 .50104 L
.35586 .49758 L
.35746 .49546 L
.35978 .49275 L
F
1 .56 0 r
.35263 .43984 m
.35544 .44443 L
.35263 .44906 L
.34862 .44443 L
F
0 .26 1 r
.36229 .48987 m
.36555 .49275 L
.36251 .49758 L
.36229 .49791 L
.35909 .50242 L
.35746 .50475 L
.35556 .50725 L
.35263 .5113 L
.34868 .50725 L
.35221 .50242 L
.35263 .50139 L
.35602 .49758 L
.35746 .49568 L
.35998 .49275 L
F
0 .44 1 r
.35746 .5373 m
.36131 .54107 L
.35754 .5459 L
.35746 .54606 L
.35336 .55073 L
.35263 .55161 L
.34872 .55073 L
.35164 .5459 L
.35263 .54434 L
.35494 .54107 L
F
0 .66 1 r
.35263 .42184 m
.35303 .42511 L
.35263 .42595 L
.34875 .42511 L
F
1 .68 0 r
.38645 .51938 m
.39095 .52174 L
.38804 .52658 L
.38645 .52901 L
.38486 .53141 L
.38162 .53623 L
.38162 .53624 L
.37979 .54107 L
.37679 .54395 L
.37469 .5459 L
.37196 .54963 L
.3711 .55073 L
.36763 .55557 L
.36712 .55609 L
.36368 .5604 L
.36229 .56279 L
.35974 .56523 L
.35746 .56806 L
.35565 .57006 L
.35263 .57358 L
.34876 .57006 L
.35176 .56523 L
.35263 .5639 L
.35505 .5604 L
.35746 .55682 L
.35838 .55557 L
.36138 .55073 L
.36229 .54973 L
.36539 .5459 L
.36712 .5435 L
.36903 .54107 L
.37196 .53711 L
.37267 .53624 L
.37641 .53141 L
.37679 .53073 L
.38037 .52658 L
.38162 .52497 L
.3845 .52174 L
F
1 .14 0 r
.35263 .48299 m
.35614 .48309 L
.35317 .48792 L
.35263 .48875 L
.34876 .48792 L
.35255 .48309 L
F
0 .24 1 r
.36229 .49014 m
.36532 .49275 L
.36234 .49758 L
.36229 .49765 L
.35892 .50242 L
.35746 .50453 L
.35539 .50725 L
.35263 .51107 L
.34885 .50725 L
.35236 .50242 L
.35263 .50175 L
.35619 .49758 L
.35746 .4959 L
.36019 .49275 L
F
1 .9 0 r
.41061 .53033 m
.41309 .53141 L
.4108 .53624 L
.41061 .53658 L
.40817 .54107 L
.40578 .5451 L
.4053 .5459 L
.4027 .55073 L
.40095 .55358 L
.39913 .55557 L
.39612 .55994 L
.3958 .5604 L
.39241 .56523 L
.39128 .56693 L
.39005 .57006 L
.38645 .57388 L
.38536 .57489 L
.38172 .57973 L
.38162 .5799 L
.37832 .58456 L
.37679 .58632 L
.37433 .58939 L
.37196 .59278 L
.37049 .59422 L
.36712 .59842 L
.36657 .59905 L
.36269 .60388 L
.36229 .60419 L
.35821 .60872 L
.35746 .60973 L
.35335 .61355 L
.35263 .61498 L
.34893 .61355 L
.35113 .60872 L
.35263 .60602 L
.35396 .60388 L
.35666 .59905 L
.35746 .59776 L
.36027 .59422 L
.36229 .59124 L
.36362 .58939 L
.36694 .58456 L
.36712 .58431 L
.36928 .57973 L
.37196 .57687 L
.37411 .57489 L
.37679 .57119 L
.37767 .57006 L
.38107 .56523 L
.38162 .56464 L
.385 .5604 L
.38645 .55778 L
.38877 .55557 L
.39128 .55224 L
.39255 .55073 L
.39612 .54618 L
.39636 .5459 L
.40042 .54107 L
.40095 .54015 L
.40477 .53624 L
.40578 .53503 L
.40957 .53141 L
F
1 .54 0 r
.35263 .44026 m
.35514 .44443 L
.35263 .44868 L
.34893 .44443 L
F
0 .22 1 r
.35746 .49614 m
.36213 .49758 L
.35875 .50242 L
.35746 .50429 L
.35521 .50725 L
.35263 .51084 L
.34904 .50725 L
.35252 .50242 L
.35263 .50214 L
.35636 .49758 L
F
1 .12 0 r
.35263 .48337 m
.35295 .48792 L
.35263 .48841 L
.34906 .48792 L
F
0 .92 1 r
.35263 .37854 m
.35478 .38162 L
.35263 .38624 L
.34913 .38162 L
F
0 .42 1 r
.35263 .54472 m
.35723 .5459 L
.35302 .55073 L
.35263 .5512 L
.34916 .55073 L
.3519 .5459 L
F
1 .66 0 r
.38645 .51986 m
.39047 .52174 L
.38768 .52658 L
.38645 .5285 L
.38455 .53141 L
.38162 .53582 L
.38132 .53624 L
.37936 .54107 L
.37679 .54353 L
.37444 .5459 L
.37196 .5493 L
.37084 .55073 L
.36726 .55557 L
.36712 .55571 L
.3634 .5604 L
.36229 .56237 L
.35943 .56523 L
.35746 .56765 L
.35524 .57006 L
.35263 .57305 L
.34919 .57006 L
.35206 .56523 L
.35263 .56434 L
.35532 .5604 L
.35746 .55718 L
.35864 .55557 L
.36175 .55073 L
.36229 .55014 L
.3656 .5459 L
.36712 .54379 L
.36925 .54107 L
.37196 .53741 L
.37291 .53624 L
.37664 .53141 L
.37679 .53114 L
.38065 .52658 L
.38162 .52533 L
.38487 .52174 L
F
0 .2 1 r
.35263 .5025 m
.35503 .50725 L
.35263 .5106 L
.34923 .50725 L
F
1 .52 0 r
.35263 .4407 m
.35483 .44443 L
.35263 .44828 L
.34926 .44443 L
F
1 .1 0 r
.35263 .48382 m
.3527 .48792 L
.35263 .48803 L
.34942 .48792 L
F
0 .18 1 r
.35263 .50276 m
.35484 .50725 L
.35263 .51034 L
.34943 .50725 L
F
1 .5 0 r
.35263 .44119 m
.35449 .44443 L
.35263 .44782 L
.34963 .44443 L
F
0 .16 1 r
.35263 .50303 m
.35463 .50725 L
.35263 .51007 L
.34965 .50725 L
F
1 .64 0 r
.37679 .53154 m
.38102 .53624 L
.37885 .54107 L
.37679 .54305 L
.37418 .5459 L
.37196 .54895 L
.37057 .55073 L
.36712 .55533 L
.36693 .55557 L
.36312 .5604 L
.36229 .56189 L
.35909 .56523 L
.35746 .56722 L
.35479 .57006 L
.35263 .57248 L
.34966 .57006 L
.35237 .56523 L
.35263 .56481 L
.3556 .5604 L
.35746 .55756 L
.3589 .55557 L
.36216 .55073 L
.36229 .55059 L
.36582 .5459 L
.36712 .54409 L
.36949 .54107 L
.37196 .53772 L
.37318 .53624 L
F
0 .4 1 r
.35263 .54515 m
.35687 .5459 L
.35263 .55073 L
.35263 .55074 L
.34973 .55073 L
.35218 .5459 L
F
0 .14 1 r
.35263 .50332 m
.35442 .50725 L
.35263 .50979 L
.34988 .50725 L
F
1 .48 0 r
.35263 .44174 m
.35411 .44443 L
.35263 .4473 L
.35005 .44443 L
F
0 .12 1 r
.35263 .50364 m
.35419 .50725 L
.35263 .50948 L
.35013 .50725 L
F
1 .62 0 r
.35263 .56537 m
.35427 .57006 L
.35263 .57184 L
.35021 .57006 L
F
0 .8 1 r
.35263 .58523 m
.35661 .58939 L
.35263 .59356 L
.35031 .58939 L
F
0 .1 1 r
.35263 .504 m
.35394 .50725 L
.35263 .50914 L
.35041 .50725 L
F
1 .46 0 r
.35263 .4424 m
.35367 .44443 L
.35263 .44668 L
.35055 .44443 L
F
1 .28 0 r
.35263 .52345 m
.35615 .52658 L
.35263 .53113 L
.35056 .52658 L
F
0 .08 1 r
.35263 .5044 m
.35366 .50725 L
.35263 .50876 L
.35073 .50725 L
F
1 .26 0 r
.35263 .52375 m
.3559 .52658 L
.35263 .53082 L
.35077 .52658 L
F
1 .6 0 r
.35263 .56612 m
.35363 .57006 L
.35263 .57108 L
.35092 .57006 L
F
1 .24 0 r
.35263 .52407 m
.35564 .52658 L
.35263 .53048 L
.35101 .52658 L
F
0 .78 1 r
.35263 .58624 m
.35575 .58939 L
.35263 .59241 L
.35107 .58939 L
F
0 .06 1 r
.35263 .50489 m
.35334 .50725 L
.35263 .50831 L
.35111 .50725 L
F
0 .3 1 r
.35263 .46196 m
.35534 .46376 L
.35263 .46851 L
.35112 .46376 L
F
1 .44 0 r
.35263 .44328 m
.35312 .44443 L
.35263 .4458 L
.35124 .44443 L
F
1 .22 0 r
.35263 .52441 m
.35536 .52658 L
.35263 .5301 L
.35126 .52658 L
F
0 .28 1 r
.35263 .46234 m
.35499 .46376 L
.35263 .46812 L
.35142 .46376 L
F
1 .2 0 r
.35263 .5248 m
.35503 .52658 L
.35263 .52969 L
.35153 .52658 L
F
0 .04 1 r
.35263 .50555 m
.35294 .50725 L
.35263 .50774 L
.35164 .50725 L
F
0 .26 1 r
.35263 .46276 m
.35458 .46376 L
.35263 .46767 L
.35176 .46376 L
F
1 .18 0 r
.35263 .52525 m
.35466 .52658 L
.35263 .52919 L
.35184 .52658 L
F
0 .76 1 r
.35263 .58779 m
.3545 .58939 L
.35263 .59076 L
.35209 .58939 L
F
0 .24 1 r
.35263 .46326 m
.35405 .46376 L
.35263 .46712 L
.35217 .46376 L
F
1 .16 0 r
.35263 .5258 m
.35417 .52658 L
.35263 .52856 L
.3522 .52658 L
F
1 .82 0 r
.35263 .40072 m
.35368 .40095 L
.35263 .40566 L
.35232 .40095 L
F
0 .38 1 r
.35263 .54565 m
.35645 .5459 L
.35263 .55013 L
.35248 .5459 L
F
1 .58 0 r
.35263 .56724 m
.35263 .57006 L
.35263 .57006 L
.35248 .57006 L
F
1 .88 0 r
.35263 .6085 m
.35657 .60872 L
.35263 .61119 L
.35254 .60872 L
F
0 .2 1 r
.35746 .49638 m
.3619 .49758 L
.35858 .50242 L
.35746 .50404 L
.3527 .50242 L
.35655 .49758 L
F
1 .62 0 r
.36229 .55098 m
.36663 .55557 L
.36281 .5604 L
.36229 .56136 L
.35873 .56523 L
.35746 .56676 L
.35272 .56523 L
.35589 .5604 L
.35746 .55796 L
.35918 .55557 L
F
1 .4 0 r
.36712 .50317 m
.37119 .50725 L
.36794 .51208 L
.36712 .51325 L
.36447 .51691 L
.36229 .51997 L
.36093 .52174 L
.35746 .52645 L
.35281 .52174 L
.35641 .51691 L
.35746 .51548 L
.36014 .51208 L
.36229 .5092 L
.36394 .50725 L
F
1 .56 0 r
.35746 .43521 m
.35825 .4396 L
.35746 .44109 L
.35288 .4396 L
F
0 .18 1 r
.35746 .49664 m
.36165 .49758 L
.35839 .50242 L
.35746 .50378 L
.35291 .50242 L
.35674 .49758 L
F
1 .38 0 r
.36712 .50342 m
.37099 .50725 L
.36777 .51208 L
.36712 .51301 L
.36431 .51691 L
.36229 .51974 L
.36076 .52174 L
.35746 .52623 L
.35298 .52174 L
.35656 .51691 L
.35746 .51568 L
.3603 .51208 L
.36229 .50942 L
.36412 .50725 L
F
0 .8 1 r
.39612 .52754 m
.39929 .53141 L
.39668 .53624 L
.39612 .53718 L
.3934 .54107 L
.39128 .54422 L
.39014 .5459 L
.38687 .55073 L
.38645 .55135 L
.38479 .55557 L
.38162 .55874 L
.37985 .5604 L
.37679 .56454 L
.37625 .56523 L
.3728 .57006 L
.37196 .57097 L
.36881 .57489 L
.36712 .57756 L
.3649 .57973 L
.36229 .58295 L
.36086 .58456 L
.35746 .58853 L
.35307 .58456 L
.35619 .57973 L
.35746 .5778 L
.3595 .57489 L
.36229 .57078 L
.36282 .57006 L
.36553 .56523 L
.36712 .5635 L
.36987 .5604 L
.37196 .5575 L
.37347 .55557 L
.37679 .55106 L
.37705 .55073 L
.38081 .5459 L
.38162 .54442 L
.38469 .54107 L
.38645 .53876 L
.38864 .53624 L
.39128 .53295 L
.39273 .53141 L
F
0 .16 1 r
.35746 .49691 m
.36137 .49758 L
.3582 .50242 L
.35746 .50351 L
.35315 .50242 L
.35695 .49758 L
F
1 .36 0 r
.36712 .50368 m
.37077 .50725 L
.3676 .51208 L
.36712 .51276 L
.36414 .51691 L
.36229 .51952 L
.36058 .52174 L
.35746 .526 L
.35316 .52174 L
.35671 .51691 L
.35746 .51588 L
.36047 .51208 L
.36229 .50964 L
.36432 .50725 L
F
1 .6 0 r
.36229 .55135 m
.3663 .55557 L
.36249 .5604 L
.36229 .56078 L
.35833 .56523 L
.35746 .56627 L
.35318 .56523 L
.3562 .5604 L
.35746 .5584 L
.35947 .55557 L
F
0 .46 1 r
.36229 .44925 m
.36504 .44927 L
.36316 .4541 L
.36229 .45567 L
.36029 .45893 L
.35746 .46351 L
.35327 .45893 L
.35744 .4541 L
.35746 .45406 L
.36228 .44927 L
F
1 .34 0 r
.36712 .50395 m
.37054 .50725 L
.36742 .51208 L
.36712 .51251 L
.36397 .51691 L
.36229 .51928 L
.3604 .52174 L
.35746 .52576 L
.35334 .52174 L
.35687 .51691 L
.35746 .5161 L
.36064 .51208 L
.36229 .50987 L
.36452 .50725 L
F
1 .54 0 r
.35746 .43599 m
.35787 .4396 L
.35746 .44044 L
.35336 .4396 L
F
0 .14 1 r
.35746 .4972 m
.36106 .49758 L
.35799 .50242 L
.35746 .50321 L
.3534 .50242 L
.35717 .49758 L
F
0 .44 1 r
.35746 .45439 m
.36006 .45893 L
.35746 .46321 L
.35351 .45893 L
F
1 .32 0 r
.36712 .50423 m
.3703 .50725 L
.36723 .51208 L
.36712 .51223 L
.36379 .51691 L
.36229 .51903 L
.36022 .52174 L
.35746 .52552 L
.35353 .52174 L
.35703 .51691 L
.35746 .51632 L
.36082 .51208 L
.36229 .5101 L
.36474 .50725 L
F
0 .78 1 r
.39128 .53356 m
.39588 .53624 L
.39291 .54107 L
.39128 .54355 L
.38971 .5459 L
.38645 .55071 L
.38643 .55073 L
.3843 .55557 L
.38162 .55821 L
.37948 .5604 L
.37679 .56405 L
.37587 .56523 L
.37231 .57006 L
.37196 .57044 L
.3684 .57489 L
.36712 .57699 L
.36443 .57973 L
.36229 .58235 L
.36027 .58456 L
.35746 .58778 L
.35366 .58456 L
.35661 .57973 L
.35746 .5784 L
.35988 .57489 L
.36229 .57127 L
.36318 .57006 L
.36606 .56523 L
.36712 .56407 L
.37017 .5604 L
.37196 .5579 L
.37378 .55557 L
.37679 .55147 L
.37739 .55073 L
.38112 .5459 L
.38162 .54497 L
.38505 .54107 L
.38645 .53925 L
.38911 .53624 L
F
0 .12 1 r
.35746 .49752 m
.3607 .49758 L
.35777 .50242 L
.35746 .50289 L
.35369 .50242 L
.35741 .49758 L
F
1 .3 0 r
.36229 .51035 m
.36702 .51208 L
.3636 .51691 L
.36229 .51878 L
.36002 .52174 L
.35746 .52526 L
.35373 .52174 L
.3572 .51691 L
.35746 .51655 L
.361 .51208 L
F
1 .58 0 r
.35746 .55889 m
.36212 .5604 L
.35789 .56523 L
.35746 .56573 L
.35374 .56523 L
.35653 .5604 L
F
0 .42 1 r
.35746 .45473 m
.35981 .45893 L
.35746 .4629 L
.35377 .45893 L
F
0 .94 1 r
.41061 .54947 m
.41455 .55073 L
.41278 .55557 L
.41061 .55971 L
.41023 .5604 L
.40766 .56523 L
.40578 .56834 L
.40414 .57006 L
.40095 .57462 L
.40076 .57489 L
.39728 .57973 L
.39612 .58148 L
.39471 .58456 L
.39128 .5883 L
.39022 .58939 L
.38654 .59422 L
.38645 .59439 L
.38307 .59905 L
.38162 .60076 L
.37914 .60388 L
.37679 .60714 L
.37527 .60872 L
.37196 .61283 L
.37133 .61355 L
.36734 .61838 L
.36712 .61855 L
.36289 .62321 L
.36229 .62399 L
.35792 .62804 L
.35746 .62884 L
.35389 .62804 L
.35597 .62321 L
.35746 .62048 L
.35876 .61838 L
.36137 .61355 L
.36229 .61275 L
.36506 .60872 L
.36712 .60565 L
.3684 .60388 L
.37169 .59905 L
.37196 .59868 L
.37382 .59422 L
.37679 .59109 L
.37887 .58939 L
.38162 .58557 L
.38241 .58456 L
.38575 .57973 L
.38645 .57897 L
.38973 .57489 L
.39128 .57199 L
.39348 .57006 L
.39612 .56654 L
.39721 .56523 L
.40095 .56043 L
.40098 .5604 L
.40507 .55557 L
.40578 .55431 L
.40951 .55073 L
F
1 .28 0 r
.36229 .51061 m
.36678 .51208 L
.36341 .51691 L
.36229 .51851 L
.35982 .52174 L
.35746 .525 L
.35394 .52174 L
.35737 .51691 L
.35746 .51679 L
.36119 .51208 L
F
0 .1 1 r
.35746 .49793 m
.35753 .50242 L
.35746 .50253 L
.35402 .50242 L
F
0 .4 1 r
.35746 .4551 m
.35956 .45893 L
.35746 .46256 L
.35404 .45893 L
F
1 .26 0 r
.35746 .51705 m
.35961 .52174 L
.35746 .52472 L
.35416 .52174 L
F
0 .38 1 r
.35746 .45549 m
.35928 .45893 L
.35746 .46219 L
.35433 .45893 L
F
0 .76 1 r
.39128 .53424 m
.3952 .53624 L
.3924 .54107 L
.39128 .5428 L
.38926 .5459 L
.38645 .5501 L
.386 .55073 L
.38368 .55557 L
.38162 .55759 L
.3791 .5604 L
.37679 .56354 L
.37547 .56523 L
.37196 .56988 L
.37181 .57006 L
.36797 .57489 L
.36712 .57633 L
.36393 .57973 L
.36229 .58171 L
.35961 .58456 L
.35746 .58694 L
.35434 .58456 L
.35706 .57973 L
.35746 .57908 L
.36028 .57489 L
.36229 .57181 L
.36356 .57006 L
.36665 .56523 L
.36712 .56471 L
.37047 .5604 L
.37196 .55832 L
.37411 .55557 L
.37679 .5519 L
.37774 .55073 L
.38145 .5459 L
.38162 .54557 L
.38544 .54107 L
.38645 .53977 L
.38963 .53624 L
F
1 .24 0 r
.35746 .51735 m
.35939 .52174 L
.35746 .52442 L
.3544 .52174 L
F
1 .22 0 r
.35746 .51767 m
.35915 .52174 L
.35746 .5241 L
.35465 .52174 L
F
0 .36 1 r
.35746 .45593 m
.35898 .45893 L
.35746 .46177 L
.35466 .45893 L
F
1 .86 0 r
.35746 .39421 m
.35865 .39612 L
.35746 .3994 L
.35486 .39612 L
F
1 .2 0 r
.35746 .51802 m
.35889 .52174 L
.35746 .52375 L
.35494 .52174 L
F
1 .88 0 r
.35746 .59948 m
.36143 .60388 L
.35746 .60802 L
.355 .60388 L
F
0 .34 1 r
.35746 .45642 m
.35866 .45893 L
.35746 .4613 L
.35503 .45893 L
F
0 .42 1 r
.35746 .53762 m
.36104 .54107 L
.35746 .54565 L
.35518 .54107 L
F
0 .74 1 r
.35746 .57991 m
.3588 .58456 L
.35746 .58596 L
.35521 .58456 L
F
1 .18 0 r
.35746 .51842 m
.35861 .52174 L
.35746 .52337 L
.35526 .52174 L
F
0 .4 1 r
.35746 .53796 m
.36075 .54107 L
.35746 .54528 L
.35544 .54107 L
F
0 .32 1 r
.35746 .45701 m
.35828 .45893 L
.35746 .46073 L
.35548 .45893 L
F
1 .16 0 r
.35746 .51889 m
.35829 .52174 L
.35746 .52293 L
.35563 .52174 L
F
0 .38 1 r
.35746 .53834 m
.36044 .54107 L
.35746 .54487 L
.35572 .54107 L
F
1 .22 0 r
.35746 .47629 m
.36012 .47826 L
.35746 .48283 L
.35584 .47826 L
F
0 .36 1 r
.35746 .53875 m
.3601 .54107 L
.35746 .54442 L
.35602 .54107 L
F
0 .3 1 r
.35746 .45784 m
.35781 .45893 L
.35746 .45994 L
.35609 .45893 L
F
1 .2 0 r
.35746 .47663 m
.35982 .47826 L
.35746 .48248 L
.3561 .47826 L
F
1 .14 0 r
.35746 .51949 m
.3579 .52174 L
.35746 .52239 L
.35613 .52174 L
F
1 .94 0 r
.39612 .72908 m
.40095 .72722 L
.40578 .72617 L
.41061 .7259 L
.41544 .7264 L
.42027 .7277 L
.42452 .72951 L
.42511 .72984 L
.42994 .73287 L
.43187 .73434 L
.43477 .73688 L
.43707 .73918 L
.4396 .74203 L
.44119 .74401 L
.44443 .74856 L
.44462 .74884 L
.44754 .75367 L
.44927 .75689 L
.45007 .7585 L
.45227 .76334 L
.4541 .76788 L
.4542 .76817 L
.45589 .773 L
.45736 .77783 L
.45864 .78266 L
.45893 .78384 L
.45974 .7875 L
.46066 .79233 L
.46143 .79716 L
.46205 .80199 L
.46252 .80682 L
.46285 .81165 L
.46304 .81649 L
.46308 .82132 L
.46299 .82615 L
.46276 .83098 L
.46238 .83581 L
.46186 .84065 L
.46119 .84548 L
.46037 .85031 L
.45939 .85514 L
.45893 .85719 L
.45824 .85997 L
.45689 .8648 L
.45535 .86964 L
.4541 .87314 L
.45359 .87447 L
.45157 .8793 L
.44927 .88413 L
.44927 .88413 L
.44661 .88896 L
.44443 .89247 L
.44354 .8938 L
.43991 .89863 L
.4396 .899 L
.43549 .90346 L
.43477 .90414 L
.42994 .90816 L
.42975 .90829 L
.42511 .91118 L
.42084 .91312 L
.42027 .91332 L
.41544 .91463 L
.41061 .91514 L
.40578 .91487 L
.40095 .91381 L
.39876 .91312 L
.39612 .91194 L
.39128 .90921 L
.38994 .90829 L
.38645 .90552 L
.3842 .90346 L
.38162 .90077 L
.37977 .89863 L
.37679 .89473 L
.37614 .8938 L
.37308 .88896 L
.37196 .88698 L
.37047 .88413 L
.36824 .8793 L
.36712 .87659 L
.36631 .87447 L
.36463 .86964 L
.36313 .8648 L
.36229 .86193 L
.36175 .85997 L
.36045 .85514 L
.35922 .85031 L
.35808 .84548 L
.35746 .84257 L
.35713 .84065 L
.35646 .83581 L
.35613 .83098 L
.35615 .82615 L
.35643 .82132 L
.35686 .81649 L
.35736 .81165 L
.35746 .81068 L
.35786 .80682 L
.35835 .80199 L
.35885 .79716 L
.35941 .79233 L
.36008 .7875 L
.36096 .78266 L
.36209 .77783 L
.36229 .77708 L
.36353 .773 L
.36526 .76817 L
.36712 .76366 L
.36727 .76334 L
.36956 .7585 L
.37196 .75401 L
.37215 .75367 L
.37511 .74884 L
.37679 .74637 L
.37854 .74401 L
.38162 .7403 L
.38265 .73918 L
.38645 .73551 L
.38783 .73434 L
.39128 .73181 L
.39521 .72951 L
F
0 .34 1 r
.35746 .53923 m
.3597 .54107 L
.35746 .5439 L
.35636 .54107 L
F
1 .86 0 r
.35746 .60131 m
.35985 .60388 L
.35746 .60595 L
.35638 .60388 L
F
1 .18 0 r
.35746 .477 m
.35948 .47826 L
.35746 .48209 L
.3564 .47826 L
F
1 .16 0 r
.35746 .47742 m
.35907 .47826 L
.35746 .48163 L
.35674 .47826 L
F
0 .32 1 r
.35746 .53982 m
.3592 .54107 L
.35746 .54326 L
.35676 .54107 L
F
0 .72 1 r
.35746 .58128 m
.35754 .58456 L
.35746 .58462 L
.35689 .58456 L
F
1 .56 0 r
.35746 .55945 m
.36165 .5604 L
.35746 .56511 L
.3569 .5604 L
F
1 .14 0 r
.35746 .47792 m
.35849 .47826 L
.35746 .48104 L
.35716 .47826 L
F
0 .3 1 r
.35746 .54067 m
.35846 .54107 L
.35746 .54227 L
.35728 .54107 L
F
1 .54 0 r
.35746 .56013 m
.36107 .5604 L
.35746 .56427 L
.35731 .5604 L
F
1 .26 0 r
.36229 .51088 m
.36651 .51208 L
.36321 .51691 L
.36229 .51823 L
.35758 .51691 L
.3614 .51208 L
F
0 .74 1 r
.36712 .56537 m
.37135 .57006 L
.36751 .57489 L
.36712 .57557 L
.36338 .57973 L
.36229 .58101 L
.35758 .57973 L
.36071 .57489 L
.36229 .57241 L
.36397 .57006 L
F
0 .5 1 r
.37196 .5175 m
.37599 .52174 L
.37271 .52658 L
.37196 .52843 L
.36922 .53141 L
.36712 .53432 L
.36564 .53624 L
.36229 .54075 L
.35761 .53624 L
.36121 .53141 L
.36229 .5299 L
.36491 .52658 L
.36712 .52359 L
.36866 .52174 L
F
1 .88 0 r
.40095 .54147 m
.4043 .5459 L
.40169 .55073 L
.40095 .552 L
.3984 .55557 L
.39612 .55895 L
.39514 .5604 L
.39181 .56523 L
.39128 .56602 L
.3895 .57006 L
.38645 .57321 L
.38477 .57489 L
.38162 .57912 L
.38115 .57973 L
.37765 .58456 L
.37679 .58551 L
.37368 .58939 L
.37196 .59198 L
.36976 .59422 L
.36712 .59746 L
.3657 .59905 L
.36229 .60302 L
.35774 .59905 L
.3609 .59422 L
.36229 .5921 L
.3642 .58939 L
.36712 .58507 L
.3675 .58456 L
.37 .57973 L
.37196 .57763 L
.37456 .57489 L
.37679 .57178 L
.37813 .57006 L
.38162 .5653 L
.38168 .56523 L
.38545 .5604 L
.38645 .5585 L
.38929 .55557 L
.39128 .55293 L
.39317 .55073 L
.39612 .54702 L
.39714 .5459 L
F
1 .42 0 r
.36712 .46303 m
.37065 .46376 L
.36827 .46859 L
.36712 .47056 L
.36531 .47342 L
.36229 .47818 L
.35776 .47342 L
.36188 .46859 L
.36229 .46785 L
.36645 .46376 L
F
0 .44 1 r
.36229 .4498 m
.36287 .4541 L
.36229 .4552 L
.35777 .4541 L
F
0 .48 1 r
.37196 .51779 m
.37574 .52174 L
.3725 .52658 L
.37196 .52796 L
.36902 .53141 L
.36712 .53404 L
.36543 .53624 L
.36229 .54047 L
.35782 .53624 L
.36138 .53141 L
.36229 .53014 L
.3651 .52658 L
.36712 .52384 L
.36888 .52174 L
F
1 .24 0 r
.36229 .51117 m
.36623 .51208 L
.363 .51691 L
.36229 .51793 L
.35782 .51691 L
.36161 .51208 L
F
1 .4 0 r
.36712 .4634 m
.37018 .46376 L
.36804 .46859 L
.36712 .47019 L
.36511 .47342 L
.36229 .47793 L
.35796 .47342 L
.36209 .46859 L
.36229 .46823 L
.36679 .46376 L
F
0 .46 1 r
.37196 .51809 m
.37548 .52174 L
.37229 .52658 L
.37196 .52743 L
.36881 .53141 L
.36712 .53376 L
.36521 .53624 L
.36229 .54019 L
.35804 .53624 L
.36157 .53141 L
.36229 .5304 L
.3653 .52658 L
.36712 .52411 L
.36912 .52174 L
F
1 .22 0 r
.36229 .51148 m
.36591 .51208 L
.36277 .51691 L
.36229 .51761 L
.3581 .51691 L
.36185 .51208 L
F
0 .42 1 r
.36229 .45048 m
.36256 .4541 L
.36229 .45463 L
.35816 .4541 L
F
1 .38 0 r
.36229 .46861 m
.36491 .47342 L
.36229 .47767 L
.35817 .47342 L
F
0 .44 1 r
.37196 .51842 m
.3752 .52174 L
.37206 .52658 L
.37196 .52685 L
.36859 .53141 L
.36712 .53346 L
.36499 .53624 L
.36229 .53989 L
.35827 .53624 L
.36175 .53141 L
.36229 .53066 L
.36551 .52658 L
.36712 .52438 L
.36936 .52174 L
F
0 .72 1 r
.36229 .57309 m
.36699 .57489 L
.36274 .57973 L
.36229 .58024 L
.35834 .57973 L
.36118 .57489 L
F
1 .36 0 r
.36229 .46891 m
.3647 .47342 L
.36229 .47739 L
.35838 .47342 L
F
1 .2 0 r
.36229 .51182 m
.36553 .51208 L
.36253 .51691 L
.36229 .51726 L
.35841 .51691 L
.3621 .51208 L
F
0 .42 1 r
.36712 .52468 m
.3718 .52658 L
.36837 .53141 L
.36712 .53315 L
.36475 .53624 L
.36229 .53957 L
.35851 .53624 L
.36195 .53141 L
.36229 .53093 L
.36572 .52658 L
F
1 .34 0 r
.36229 .46922 m
.36447 .47342 L
.36229 .47709 L
.35861 .47342 L
F
1 .86 0 r
.39612 .54797 m
.40054 .55073 L
.39763 .55557 L
.39612 .55787 L
.39444 .5604 L
.39128 .56503 L
.39114 .56523 L
.38872 .57006 L
.38645 .57236 L
.38417 .57489 L
.38162 .57831 L
.38052 .57973 L
.37685 .58456 L
.37679 .58463 L
.37299 .58939 L
.37196 .59102 L
.36896 .59422 L
.36712 .59644 L
.36469 .59905 L
.36229 .60173 L
.35875 .59905 L
.36159 .59422 L
.36229 .5931 L
.36482 .58939 L
.36712 .58588 L
.36808 .58456 L
.3709 .57973 L
.37196 .57858 L
.37503 .57489 L
.37679 .57242 L
.37862 .57006 L
.38162 .56595 L
.38221 .56523 L
.38593 .5604 L
.38645 .55937 L
.38985 .55557 L
.39128 .55368 L
.39388 .55073 L
F
0 .4 1 r
.36712 .52498 m
.37151 .52658 L
.36813 .53141 L
.36712 .53283 L
.3645 .53624 L
.36229 .53924 L
.35877 .53624 L
.36216 .53141 L
.36229 .53122 L
.36595 .52658 L
F
0 .8 1 r
.36229 .40762 m
.36409 .41061 L
.36229 .41458 L
.35884 .41061 L
F
1 .32 0 r
.36229 .46955 m
.36424 .47342 L
.36229 .47678 L
.35886 .47342 L
F
0 .38 1 r
.36229 .53154 m
.36424 .53624 L
.36229 .53889 L
.35904 .53624 L
F
1 .3 0 r
.36229 .46991 m
.364 .47342 L
.36229 .47644 L
.35912 .47342 L
F
0 .36 1 r
.36229 .53192 m
.36395 .53624 L
.36229 .53851 L
.35935 .53624 L
F
1 .28 0 r
.36229 .4703 m
.36373 .47342 L
.36229 .47606 L
.35941 .47342 L
F
0 .34 1 r
.36229 .53234 m
.36364 .53624 L
.36229 .53809 L
.35969 .53624 L
F
1 .26 0 r
.36229 .47074 m
.36344 .47342 L
.36229 .47564 L
.35974 .47342 L
F
1 .58 0 r
.36229 .55176 m
.36596 .55557 L
.36229 .56021 L
.35978 .55557 L
F
0 .78 1 r
.36229 .40914 m
.36308 .41061 L
.36229 .41316 L
.35999 .41061 L
F
0 .32 1 r
.36229 .53283 m
.36329 .53624 L
.36229 .53762 L
.36009 .53624 L
F
1 .56 0 r
.36229 .5522 m
.36558 .55557 L
.36229 .55972 L
.36012 .55557 L
F
1 .24 0 r
.36229 .47127 m
.36311 .47342 L
.36229 .47514 L
.36013 .47342 L
F
1 .84 0 r
.36229 .5944 m
.36335 .59905 L
.36229 .60012 L
.36019 .59905 L
F
0 .22 1 r
.36229 .49043 m
.36507 .49275 L
.36229 .49736 L
.36042 .49275 L
F
1 .54 0 r
.36229 .5527 m
.36516 .55557 L
.36229 .55917 L
.36049 .55557 L
F
0 .3 1 r
.36229 .53344 m
.36288 .53624 L
.36229 .53706 L
.3606 .53624 L
F
1 .22 0 r
.36229 .47195 m
.36273 .47342 L
.36229 .47449 L
.36063 .47342 L
F
0 .2 1 r
.36229 .49075 m
.3648 .49275 L
.36229 .49703 L
.36066 .49275 L
F
1 .52 0 r
.36229 .55328 m
.36468 .55557 L
.36229 .55854 L
.36092 .55557 L
F
0 .18 1 r
.36229 .49109 m
.3645 .49275 L
.36229 .49666 L
.36093 .49275 L
F
0 .92 1 r
.36229 .61534 m
.3648 .61838 L
.36229 .62061 L
.36097 .61838 L
F
0 .16 1 r
.36229 .49147 m
.36415 .49275 L
.36229 .49625 L
.36123 .49275 L
F
1 .5 0 r
.36229 .554 m
.36408 .55557 L
.36229 .55776 L
.36142 .55557 L
F
0 .28 1 r
.36229 .53437 m
.36233 .53624 L
.36229 .5363 L
.36148 .53624 L
F
0 .14 1 r
.36229 .49191 m
.36373 .49275 L
.36229 .49576 L
.36158 .49275 L
F
0 .7 1 r
.36229 .57391 m
.36628 .57489 L
.36229 .57928 L
.36173 .57489 L
F
1 .62 0 r
.36229 .42968 m
.36313 .42994 L
.36229 .43399 L
.36193 .42994 L
F
0 .12 1 r
.36229 .49245 m
.36312 .49275 L
.36229 .49512 L
.36203 .49275 L
F
1 .48 0 r
.36229 .55516 m
.3631 .55557 L
.36229 .55646 L
.36213 .55557 L
F
1 .38 0 r
.36712 .46382 m
.36779 .46859 L
.36712 .46979 L
.36231 .46859 L
F
0 .42 1 r
.37196 .47708 m
.37579 .47826 L
.37322 .48309 L
.37196 .48519 L
.3702 .48792 L
.36712 .4927 L
.36239 .48792 L
.36648 .48309 L
.36712 .48184 L
.37091 .47826 L
F
0 .38 1 r
.36712 .52531 m
.37119 .52658 L
.36788 .53141 L
.36712 .53248 L
.3624 .53141 L
.3662 .52658 L
F
1 .84 0 r
.37196 .57974 m
.3761 .58456 L
.37223 .58939 L
.37196 .58984 L
.36805 .59422 L
.36712 .5953 L
.36241 .59422 L
.36551 .58939 L
.36712 .58682 L
.36873 .58456 L
F
1 .92 0 r
.40095 .73797 m
.40578 .73678 L
.41061 .73647 L
.41544 .73705 L
.42027 .73853 L
.42185 .73918 L
.42511 .74095 L
.42945 .74401 L
.42994 .74442 L
.43456 .74884 L
.43477 .74908 L
.43852 .75367 L
.4396 .75518 L
.44177 .7585 L
.44443 .76319 L
.44451 .76334 L
.44685 .76817 L
.44886 .773 L
.44927 .77408 L
.45058 .77783 L
.45207 .78266 L
.45333 .7875 L
.4541 .79087 L
.4544 .79233 L
.45527 .79716 L
.45597 .80199 L
.4565 .80682 L
.45687 .81165 L
.45708 .81649 L
.45713 .82132 L
.45702 .82615 L
.45676 .83098 L
.45634 .83581 L
.45575 .84065 L
.455 .84548 L
.4541 .85016 L
.45406 .85031 L
.45293 .85514 L
.4516 .85997 L
.45004 .8648 L
.44927 .86695 L
.44822 .86964 L
.44611 .87447 L
.44443 .87784 L
.44365 .8793 L
.44075 .88413 L
.4396 .88585 L
.4373 .88896 L
.43477 .89195 L
.43302 .8938 L
.42994 .89661 L
.42734 .89863 L
.42511 .90007 L
.42027 .9025 L
.41805 .90346 L
.41544 .90398 L
.41061 .90455 L
.40578 .90425 L
.40221 .90346 L
.40095 .90306 L
.39612 .90094 L
.39237 .89863 L
.39128 .89781 L
.38669 .8938 L
.38645 .89355 L
.38241 .88896 L
.38162 .88794 L
.37896 .88413 L
.37679 .88054 L
.3761 .8793 L
.37367 .87447 L
.37196 .87053 L
.37159 .86964 L
.3698 .8648 L
.36822 .85997 L
.36712 .85623 L
.36683 .85514 L
.3656 .85031 L
.36455 .84548 L
.36368 .84065 L
.36302 .83581 L
.36261 .83098 L
.36245 .82615 L
.36249 .82132 L
.36271 .81649 L
.36306 .81165 L
.3635 .80682 L
.36404 .80199 L
.36469 .79716 L
.36547 .79233 L
.36642 .7875 L
.36712 .78449 L
.3676 .78266 L
.36904 .77783 L
.37075 .773 L
.37196 .77003 L
.37278 .76817 L
.37515 .76334 L
.37679 .76038 L
.37791 .7585 L
.38118 .75367 L
.38162 .75309 L
.38516 .74884 L
.38645 .74749 L
.39028 .74401 L
.39128 .74323 L
.39612 .7401 L
.39782 .73918 L
F
1 .62 0 r
.37679 .5319 m
.3807 .53624 L
.37828 .54107 L
.37679 .54249 L
.37391 .5459 L
.37196 .54859 L
.37029 .55073 L
.36712 .55497 L
.36248 .55073 L
.36605 .5459 L
.36712 .5444 L
.36973 .54107 L
.37196 .53804 L
.37345 .53624 L
F
0 .4 1 r
.37196 .47742 m
.37541 .47826 L
.373 .48309 L
.37196 .48486 L
.37001 .48792 L
.36712 .49246 L
.36257 .48792 L
.36667 .48309 L
.36712 .4822 L
.3712 .47826 L
F
1 .36 0 r
.36712 .46435 m
.36752 .46859 L
.36712 .46934 L
.36263 .46859 L
F
0 .36 1 r
.36712 .52567 m
.37084 .52658 L
.36761 .53141 L
.36712 .53211 L
.36271 .53141 L
.36646 .52658 L
F
0 .98 1 r
.42994 .56672 m
.43477 .56775 L
.4367 .57006 L
.43477 .5739 L
.43416 .57489 L
.43062 .57973 L
.42994 .58045 L
.42673 .58456 L
.42511 .58604 L
.42261 .58939 L
.42027 .59172 L
.41876 .59422 L
.41544 .59786 L
.41443 .59905 L
.4108 .60388 L
.41061 .6041 L
.40681 .60872 L
.40578 .61078 L
.40412 .61355 L
.40095 .61748 L
.40019 .61838 L
.39627 .62321 L
.39612 .62371 L
.39284 .62804 L
.39128 .63003 L
.39032 .63288 L
.38645 .63629 L
.38518 .63771 L
.38162 .64234 L
.3812 .64254 L
.37718 .64737 L
.37679 .6477 L
.37269 .6522 L
.37196 .65306 L
.36775 .65704 L
.36712 .6579 L
.36276 .65704 L
.36514 .6522 L
.36712 .64866 L
.36795 .64737 L
.37018 .64254 L
.37196 .64116 L
.37436 .63771 L
.37679 .63411 L
.37769 .63288 L
.38086 .62804 L
.38162 .62702 L
.38465 .62321 L
.38645 .62068 L
.3882 .61838 L
.39128 .61409 L
.39171 .61355 L
.39477 .60872 L
.39612 .60732 L
.39903 .60388 L
.40095 .60124 L
.40269 .59905 L
.40578 .59487 L
.4063 .59422 L
.40962 .58939 L
.41061 .58835 L
.41379 .58456 L
.41544 .58143 L
.41751 .57973 L
.42027 .57613 L
.42127 .57489 L
.42511 .57031 L
.42534 .57006 L
F
0 .38 1 r
.37196 .47778 m
.37496 .47826 L
.37277 .48309 L
.37196 .48449 L
.36982 .48792 L
.36712 .4922 L
.36276 .48792 L
.36687 .48309 L
.36712 .48259 L
.37152 .47826 L
F
1 .6 0 r
.37679 .53229 m
.38037 .53624 L
.37762 .54107 L
.37679 .54187 L
.37363 .5459 L
.37196 .54821 L
.37 .55073 L
.36712 .55458 L
.36276 .55073 L
.36629 .5459 L
.36712 .54472 L
.36999 .54107 L
.37196 .53838 L
.37375 .53624 L
F
0 .36 1 r
.37196 .47818 m
.37437 .47826 L
.37252 .48309 L
.37196 .4841 L
.36962 .48792 L
.36712 .49193 L
.36296 .48792 L
.36708 .48309 L
.36712 .483 L
.37189 .47826 L
F
1 .34 0 r
.36712 .465 m
.36723 .46859 L
.36712 .4688 L
.36298 .46859 L
F
1 .58 0 r
.37679 .5327 m
.38001 .53624 L
.37688 .54107 L
.37679 .54116 L
.37334 .5459 L
.37196 .54781 L
.36969 .55073 L
.36712 .55417 L
.36307 .55073 L
.36653 .5459 L
.36712 .54507 L
.37026 .54107 L
.37196 .53874 L
.37406 .53624 L
F
0 .34 1 r
.36712 .52606 m
.37043 .52658 L
.36732 .53141 L
.36712 .53169 L
.36307 .53141 L
.36675 .52658 L
F
1 .74 0 r
.36712 .42137 m
.36929 .42511 L
.36712 .42945 L
.36312 .42511 L
F
0 .34 1 r
.36712 .48332 m
.36941 .48792 L
.36712 .49165 L
.36318 .48792 L
F
0 .92 1 r
.40578 .55663 m
.40844 .5604 L
.40585 .56523 L
.40578 .56535 L
.40283 .57006 L
.40095 .57285 L
.39956 .57489 L
.39619 .57973 L
.39612 .57984 L
.39361 .58456 L
.39128 .58696 L
.38914 .58939 L
.38645 .59296 L
.38547 .59422 L
.38179 .59905 L
.38162 .59923 L
.3779 .60388 L
.37679 .60554 L
.37387 .60872 L
.37196 .61101 L
.36959 .61355 L
.36712 .61629 L
.36335 .61355 L
.36623 .60872 L
.36712 .6073 L
.36946 .60388 L
.37196 .60009 L
.37272 .59905 L
.37527 .59422 L
.37679 .5926 L
.37967 .58939 L
.38162 .58664 L
.38324 .58456 L
.38645 .58014 L
.38678 .57973 L
.39052 .57489 L
.39128 .57332 L
.39437 .57006 L
.39612 .56775 L
.3983 .56523 L
.40095 .56191 L
.40238 .5604 L
F
1 .56 0 r
.37196 .53913 m
.37647 .54107 L
.37303 .5459 L
.37196 .54739 L
.36937 .55073 L
.36712 .55374 L
.3634 .55073 L
.3668 .5459 L
.36712 .54544 L
.37054 .54107 L
F
0 .32 1 r
.36712 .48363 m
.36919 .48792 L
.36712 .49136 L
.3634 .48792 L
F
0 .3 1 r
.36712 .48395 m
.36896 .48792 L
.36712 .49104 L
.36364 .48792 L
F
1 .72 0 r
.36712 .42225 m
.36869 .42511 L
.36712 .42866 L
.36375 .42511 L
F
1 .54 0 r
.37196 .53955 m
.37606 .54107 L
.3727 .5459 L
.37196 .54694 L
.36902 .55073 L
.36712 .55328 L
.36376 .55073 L
.36708 .5459 L
.36712 .54584 L
.37086 .54107 L
F
0 .28 1 r
.36712 .48431 m
.36871 .48792 L
.36712 .4907 L
.36391 .48792 L
F
1 .52 0 r
.36712 .54633 m
.36863 .55073 L
.36712 .55276 L
.36418 .55073 L
F
0 .26 1 r
.36712 .4847 m
.36845 .48792 L
.36712 .49032 L
.36419 .48792 L
F
0 .72 1 r
.36712 .56593 m
.37086 .57006 L
.36712 .57475 L
.36441 .57006 L
F
0 .24 1 r
.36712 .48515 m
.36817 .48792 L
.36712 .48989 L
.36452 .48792 L
F
1 .7 0 r
.36712 .42336 m
.36797 .42511 L
.36712 .4276 L
.36457 .42511 L
F
1 .5 0 r
.36712 .54692 m
.36819 .55073 L
.36712 .55218 L
.36467 .55073 L
F
0 .7 1 r
.36712 .56657 m
.3703 .57006 L
.36712 .57402 L
.3649 .57006 L
F
0 .22 1 r
.36712 .48568 m
.36784 .48792 L
.36712 .48939 L
.36491 .48792 L
F
1 .96 0 r
.36712 .62868 m
.37045 .63288 L
.36712 .63616 L
.36494 .63288 L
F
1 .3 0 r
.36712 .50453 m
.37005 .50725 L
.36712 .51194 L
.36497 .50725 L
F
0 .96 1 r
.36712 .36181 m
.36742 .36229 L
.36712 .36502 L
.36511 .36229 L
F
1 .28 0 r
.36712 .50485 m
.36978 .50725 L
.36712 .5116 L
.36521 .50725 L
F
1 .48 0 r
.36712 .54768 m
.36766 .55073 L
.36712 .55146 L
.36532 .55073 L
F
0 .2 1 r
.36712 .4864 m
.36746 .48792 L
.36712 .48873 L
.36541 .48792 L
F
0 .68 1 r
.36712 .56734 m
.36965 .57006 L
.36712 .57317 L
.36548 .57006 L
F
1 .26 0 r
.36712 .5052 m
.36948 .50725 L
.36712 .51123 L
.36548 .50725 L
F
1 .24 0 r
.36712 .50558 m
.36915 .50725 L
.36712 .51081 L
.36578 .50725 L
F
0 .54 1 r
.36712 .44336 m
.36884 .44443 L
.36712 .44899 L
.36591 .44443 L
F
1 .22 0 r
.36712 .50602 m
.36875 .50725 L
.36712 .51033 L
.36612 .50725 L
F
0 .66 1 r
.36712 .56836 m
.3688 .57006 L
.36712 .57206 L
.36622 .57006 L
F
1 .82 0 r
.36712 .58802 m
.37122 .58939 L
.36712 .59389 L
.36633 .58939 L
F
1 .2 0 r
.36712 .50656 m
.36825 .50725 L
.36712 .50972 L
.36655 .50725 L
F
0 .52 1 r
.36712 .44408 m
.36798 .44443 L
.36712 .44822 L
.36665 .44443 L
F
0 .32 1 r
.36712 .52651 m
.36992 .52658 L
.36712 .53119 L
.36708 .52658 L
F
1 .46 0 r
.37679 .49145 m
.38056 .49275 L
.37797 .49758 L
.37679 .49951 L
.37492 .50242 L
.37196 .50699 L
.36718 .50242 L
.37126 .49758 L
.37196 .49612 L
.37565 .49275 L
F
0 .74 1 r
.38162 .54616 m
.38555 .55073 L
.38293 .55557 L
.38162 .55684 L
.37871 .5604 L
.37679 .56301 L
.37506 .56523 L
.37196 .56933 L
.36723 .56523 L
.3708 .5604 L
.37196 .55877 L
.37445 .55557 L
.37679 .55236 L
.37813 .55073 L
F
0 .34 1 r
.37196 .47869 m
.37226 .48309 L
.37196 .48365 L
.36737 .48309 L
F
1 .44 0 r
.37679 .49181 m
.38016 .49275 L
.37772 .49758 L
.37679 .49915 L
.37471 .50242 L
.37196 .50672 L
.36738 .50242 L
.37146 .49758 L
.37196 .49653 L
.37595 .49275 L
F
1 .52 0 r
.37196 .54002 m
.37561 .54107 L
.37234 .5459 L
.37196 .54644 L
.36747 .5459 L
.3712 .54107 L
F
1 .96 0 r
.41544 .56469 m
.41871 .56523 L
.4177 .57006 L
.41544 .57411 L
.41498 .57489 L
.41231 .57973 L
.41061 .58208 L
.40843 .58456 L
.40578 .5882 L
.40493 .58939 L
.40142 .59422 L
.40095 .59493 L
.39867 .59905 L
.39612 .60182 L
.39432 .60388 L
.39128 .60789 L
.39064 .60872 L
.38699 .61355 L
.38645 .61417 L
.38463 .61838 L
.38162 .62046 L
.37912 .62321 L
.37679 .6273 L
.37495 .62804 L
.37196 .63143 L
.36753 .62804 L
.37062 .62321 L
.37196 .62113 L
.37388 .61838 L
.37679 .61402 L
.37714 .61355 L
.38061 .60872 L
.38162 .60727 L
.38417 .60388 L
.38645 .60066 L
.3877 .59905 L
.39118 .59422 L
.39128 .59411 L
.39497 .58939 L
.39612 .58697 L
.39874 .58456 L
.40095 .58159 L
.4025 .57973 L
.40578 .5755 L
.4063 .57489 L
.41035 .57006 L
.41061 .56961 L
.41513 .56523 L
F
1 .9 0 r
.40095 .74706 m
.40578 .74572 L
.41061 .74538 L
.41544 .74603 L
.42027 .74769 L
.42264 .74884 L
.42511 .75043 L
.42918 .75367 L
.42994 .75439 L
.43374 .7585 L
.43477 .75981 L
.43729 .76334 L
.4396 .76712 L
.44018 .76817 L
.4426 .773 L
.44443 .77729 L
.44464 .77783 L
.44637 .78266 L
.44782 .7875 L
.44904 .79233 L
.44927 .79334 L
.45003 .79716 L
.45082 .80199 L
.45141 .80682 L
.45183 .81165 L
.45206 .81649 L
.45212 .82132 L
.452 .82615 L
.45171 .83098 L
.45124 .83581 L
.45058 .84065 L
.44972 .84548 L
.44927 .84769 L
.44866 .85031 L
.44737 .85514 L
.44583 .85997 L
.44443 .86373 L
.444 .8648 L
.44184 .86964 L
.4396 .8739 L
.43928 .87447 L
.43619 .8793 L
.43477 .88122 L
.43236 .88413 L
.42994 .88664 L
.42732 .88896 L
.42511 .8906 L
.42027 .89334 L
.41962 .8938 L
.41544 .895 L
.41061 .89565 L
.40578 .89531 L
.40095 .89397 L
.40046 .8938 L
.39612 .89158 L
.39239 .88896 L
.39128 .88802 L
.38736 .88413 L
.38645 .88308 L
.38354 .8793 L
.38162 .8764 L
.38046 .87447 L
.37791 .86964 L
.37679 .86721 L
.37576 .8648 L
.37393 .85997 L
.37237 .85514 L
.37196 .85375 L
.37103 .85031 L
.36991 .84548 L
.369 .84065 L
.36831 .83581 L
.36784 .83098 L
.36759 .82615 L
.36755 .82132 L
.36769 .81649 L
.36799 .81165 L
.36844 .80682 L
.36904 .80199 L
.3698 .79716 L
.37074 .79233 L
.37191 .7875 L
.37196 .7873 L
.37332 .78266 L
.37503 .77783 L
.37679 .77361 L
.37706 .773 L
.37949 .76817 L
.38162 .76456 L
.38241 .76334 L
.38597 .7585 L
.38645 .75793 L
.39053 .75367 L
.39128 .75301 L
.39612 .74945 L
.39706 .74884 L
F
1 .42 0 r
.37679 .49221 m
.37968 .49275 L
.37747 .49758 L
.37679 .49875 L
.3745 .50242 L
.37196 .50643 L
.36759 .50242 L
.37167 .49758 L
.37196 .49698 L
.37629 .49275 L
F
0 .68 1 r
.37196 .43542 m
.37427 .4396 L
.37196 .44406 L
.36763 .4396 L
F
0 .72 1 r
.38162 .54672 m
.38506 .55073 L
.38203 .55557 L
.38162 .55596 L
.37829 .5604 L
.37679 .56244 L
.37462 .56523 L
.37196 .56875 L
.36765 .56523 L
.37115 .5604 L
.37196 .55924 L
.37483 .55557 L
.37679 .55286 L
.37855 .55073 L
F
0 .32 1 r
.37196 .47934 m
.37197 .48309 L
.37196 .48312 L
.36771 .48309 L
F
1 .4 0 r
.37679 .49265 m
.37905 .49275 L
.3772 .49758 L
.37679 .49831 L
.37428 .50242 L
.37196 .50614 L
.36781 .50242 L
.3719 .49758 L
.37196 .49746 L
.37669 .49275 L
F
0 .9 1 r
.37196 .60188 m
.37638 .60388 L
.37204 .60872 L
.37196 .60881 L
.36803 .60872 L
.37077 .60388 L
F
1 .38 0 r
.37196 .49783 m
.37405 .50242 L
.37196 .50582 L
.36804 .50242 L
F
0 .66 1 r
.37196 .43606 m
.37384 .4396 L
.37196 .44348 L
.36808 .4396 L
F
0 .7 1 r
.37679 .5534 m
.3813 .55557 L
.37784 .5604 L
.37679 .56183 L
.37414 .56523 L
.37196 .56812 L
.36813 .56523 L
.37152 .5604 L
.37196 .55977 L
.37523 .55557 L
F
1 .36 0 r
.37196 .49817 m
.3738 .50242 L
.37196 .50548 L
.36829 .50242 L
F
1 .34 0 r
.37196 .49855 m
.37355 .50242 L
.37196 .50512 L
.36857 .50242 L
F
0 .64 1 r
.37196 .43679 m
.37335 .4396 L
.37196 .44279 L
.3686 .4396 L
F
0 .68 1 r
.37679 .55402 m
.38072 .55557 L
.37734 .5604 L
.37679 .56116 L
.37361 .56523 L
.37196 .56742 L
.36868 .56523 L
.37193 .5604 L
.37196 .56036 L
.37568 .55557 L
F
1 .32 0 r
.37196 .49896 m
.37327 .50242 L
.37196 .50472 L
.36887 .50242 L
F
1 .3 0 r
.37196 .49943 m
.37296 .50242 L
.37196 .50426 L
.36921 .50242 L
F
0 .62 1 r
.37196 .43771 m
.37278 .4396 L
.37196 .44192 L
.36925 .4396 L
F
0 .66 1 r
.37196 .56116 m
.37298 .56523 L
.37196 .56659 L
.36937 .56523 L
F
1 .82 0 r
.37196 .58068 m
.37525 .58456 L
.37196 .58862 L
.36949 .58456 L
F
1 .28 0 r
.37196 .50001 m
.37262 .50242 L
.37196 .50372 L
.36963 .50242 L
F
0 .42 1 r
.37196 .51877 m
.37491 .52174 L
.37196 .52637 L
.36963 .52174 L
F
1 .94 0 r
.37196 .3763 m
.37221 .37679 L
.37196 .37919 L
.3698 .37679 L
F
0 .4 1 r
.37196 .51914 m
.37459 .52174 L
.37196 .52597 L
.36992 .52174 L
F
1 .26 0 r
.37196 .50081 m
.37221 .50242 L
.37196 .503 L
.37018 .50242 L
F
0 .38 1 r
.37196 .51956 m
.37424 .52174 L
.37196 .52552 L
.37023 .52174 L
F
0 .6 1 r
.37196 .43925 m
.37204 .4396 L
.37196 .44031 L
.37026 .4396 L
F
1 .8 0 r
.37196 .58193 m
.37418 .58456 L
.37196 .58723 L
.37044 .58456 L
F
0 .64 1 r
.37196 .56235 m
.37215 .56523 L
.37196 .56549 L
.37046 .56523 L
F
1 .48 0 r
.37196 .45765 m
.37372 .45893 L
.37196 .46336 L
.37055 .45893 L
F
0 .36 1 r
.37196 .52003 m
.37384 .52174 L
.37196 .52501 L
.3706 .52174 L
F
0 .34 1 r
.37196 .52059 m
.37335 .52174 L
.37196 .52439 L
.37103 .52174 L
F
1 .46 0 r
.37196 .45826 m
.37309 .45893 L
.37196 .4627 L
.37113 .45893 L
F
1 .5 0 r
.37196 .54055 m
.37506 .54107 L
.37196 .54587 L
.37158 .54107 L
F
0 .32 1 r
.37196 .52136 m
.37261 .52174 L
.37196 .52349 L
.37163 .52174 L
F
1 .84 0 r
.38645 .5604 m
.39043 .56523 L
.38767 .57006 L
.38645 .57127 L
.38353 .57489 L
.38162 .57746 L
.37985 .57973 L
.37679 .58373 L
.37196 .57973 L
.37554 .57489 L
.37679 .57311 L
.37916 .57006 L
.38162 .56666 L
.38279 .56523 L
F
0 .54 1 r
.38162 .50583 m
.38533 .50725 L
.38271 .51208 L
.38162 .51383 L
.37963 .51691 L
.37679 .52127 L
.37199 .51691 L
.37605 .51208 L
.37679 .51038 L
.3804 .50725 L
F
0 .7 1 r
.37679 .43213 m
.37688 .43477 L
.37679 .43502 L
.37204 .43477 L
F
1 .88 0 r
.41061 .75336 m
.41359 .75367 L
.41544 .75408 L
.42027 .75595 L
.42443 .7585 L
.42511 .75906 L
.42969 .76334 L
.42994 .76362 L
.43354 .76817 L
.43477 .77001 L
.43657 .773 L
.43903 .77783 L
.4396 .77909 L
.44107 .78266 L
.44276 .7875 L
.44415 .79233 L
.44443 .79343 L
.44528 .79716 L
.44617 .80199 L
.44684 .80682 L
.44731 .81165 L
.44757 .81649 L
.44763 .82132 L
.4475 .82615 L
.44718 .83098 L
.44664 .83581 L
.4459 .84065 L
.44493 .84548 L
.44443 .8476 L
.44372 .85031 L
.44223 .85514 L
.44043 .85997 L
.4396 .86193 L
.43826 .8648 L
.43563 .86964 L
.43477 .87101 L
.43237 .87447 L
.42994 .87741 L
.42816 .8793 L
.42511 .88197 L
.42206 .88413 L
.42027 .88508 L
.41544 .88695 L
.41061 .88767 L
.40578 .88729 L
.40095 .88579 L
.39761 .88413 L
.39612 .88308 L
.39157 .8793 L
.39128 .879 L
.38735 .87447 L
.38645 .87323 L
.3841 .86964 L
.38162 .8651 L
.38147 .8648 L
.3793 .85997 L
.37749 .85514 L
.37679 .853 L
.37598 .85031 L
.37474 .84548 L
.37374 .84065 L
.37298 .83581 L
.37245 .83098 L
.37215 .82615 L
.37205 .82132 L
.37216 .81649 L
.37246 .81165 L
.37294 .80682 L
.37361 .80199 L
.37449 .79716 L
.3756 .79233 L
.37679 .78806 L
.37696 .7875 L
.37863 .78266 L
.38066 .77783 L
.38162 .77584 L
.38312 .773 L
.38616 .76817 L
.38645 .76776 L
.39001 .76334 L
.39128 .76201 L
.39531 .7585 L
.39612 .75794 L
.40095 .75523 L
.40578 .75373 L
.40611 .75367 L
F
1 .38 0 r
.37679 .49322 m
.3769 .49758 L
.37679 .4978 L
.37221 .49758 L
F
0 .52 1 r
.38162 .50626 m
.38486 .50725 L
.38241 .51208 L
.38162 .51339 L
.37938 .51691 L
.37679 .52093 L
.37222 .51691 L
.37629 .51208 L
.37679 .51091 L
.38075 .50725 L
F
1 .64 0 r
.37679 .44964 m
.37914 .4541 L
.37679 .45851 L
.37228 .4541 L
F
0 .5 1 r
.38162 .50674 m
.38428 .50725 L
.3821 .51208 L
.38162 .5129 L
.37912 .51691 L
.37679 .52058 L
.37248 .51691 L
.37654 .51208 L
.37679 .51149 L
.38116 .50725 L
F
1 .62 0 r
.37679 .45018 m
.37877 .4541 L
.37679 .45801 L
.37265 .4541 L
F
1 .82 0 r
.38162 .56747 m
.38635 .57006 L
.38283 .57489 L
.38162 .57652 L
.37911 .57973 L
.37679 .58276 L
.37267 .57973 L
.3761 .57489 L
.37679 .5739 L
.37976 .57006 L
F
0 .92 1 r
.37679 .3883 m
.37855 .39128 L
.37679 .39573 L
.37269 .39128 L
F
0 .48 1 r
.37679 .51211 m
.37885 .51691 L
.37679 .52021 L
.37275 .51691 L
F
0 .46 1 r
.37679 .51252 m
.37856 .51691 L
.37679 .5198 L
.37304 .51691 L
F
1 .6 0 r
.37679 .45078 m
.37837 .4541 L
.37679 .45745 L
.37306 .4541 L
F
0 .44 1 r
.37679 .51296 m
.37825 .51691 L
.37679 .51936 L
.37337 .51691 L
F
1 .58 0 r
.37679 .45148 m
.37792 .4541 L
.37679 .45678 L
.37354 .4541 L
F
1 .8 0 r
.38162 .56842 m
.38543 .57006 L
.38202 .57489 L
.38162 .57544 L
.37824 .57973 L
.37679 .58162 L
.37356 .57973 L
.37674 .57489 L
.37679 .57483 L
.38047 .57006 L
F
0 .42 1 r
.37679 .51348 m
.37791 .51691 L
.37679 .51886 L
.37374 .51691 L
F
0 .9 1 r
.37679 .59462 m
.38037 .59905 L
.37679 .60345 L
.37392 .59905 L
F
1 .56 0 r
.37679 .45239 m
.3774 .4541 L
.37679 .45591 L
.37415 .4541 L
F
0 .4 1 r
.37679 .5141 m
.37752 .51691 L
.37679 .51827 L
.37418 .51691 L
F
1 .56 0 r
.37679 .53316 m
.37963 .53624 L
.37679 .54064 L
.37441 .53624 L
F
0 .38 1 r
.37679 .51496 m
.37707 .51691 L
.37679 .5175 L
.37478 .51691 L
F
1 .54 0 r
.37679 .53367 m
.3792 .53624 L
.37679 .54008 L
.3748 .53624 L
F
0 .48 1 r
.37679 .4715 m
.37899 .47342 L
.37679 .47817 L
.37484 .47342 L
F
1 .78 0 r
.37679 .57638 m
.37705 .57973 L
.37679 .58006 L
.37499 .57973 L
F
1 .52 0 r
.37679 .53426 m
.37871 .53624 L
.37679 .53944 L
.37525 .53624 L
F
0 .46 1 r
.37679 .47201 m
.37853 .47342 L
.37679 .47764 L
.37527 .47342 L
F
0 .88 1 r
.37679 .59693 m
.37836 .59905 L
.37679 .60084 L
.37571 .59905 L
F
0 .44 1 r
.37679 .47261 m
.37795 .47342 L
.37679 .47699 L
.37581 .47342 L
F
1 .5 0 r
.37679 .53501 m
.37808 .53624 L
.37679 .53862 L
.37582 .53624 L
F
0 .66 1 r
.37679 .55474 m
.38 .55557 L
.37679 .56037 L
.3762 .55557 L
F
1 .86 0 r
.40095 .76294 m
.40578 .76124 L
.41061 .76081 L
.41544 .76163 L
.41985 .76334 L
.42027 .76374 L
.42511 .76731 L
.42603 .76817 L
.42994 .77265 L
.4302 .773 L
.43335 .77783 L
.43477 .78046 L
.43584 .78266 L
.43785 .7875 L
.43947 .79233 L
.4396 .79278 L
.44077 .79716 L
.44179 .80199 L
.44255 .80682 L
.44307 .81165 L
.44337 .81649 L
.44344 .82132 L
.44329 .82615 L
.44292 .83098 L
.44232 .83581 L
.44148 .84065 L
.44037 .84548 L
.4396 .84825 L
.43897 .85031 L
.43722 .85514 L
.43507 .85997 L
.43477 .86056 L
.43239 .8648 L
.42994 .86838 L
.42897 .86964 L
.42511 .87372 L
.4243 .87447 L
.42027 .87728 L
.41586 .8793 L
.41544 .87939 L
.41061 .88021 L
.40578 .87978 L
.40397 .8793 L
.40095 .87809 L
.39612 .875 L
.39545 .87447 L
.39128 .87026 L
.39076 .86964 L
.38733 .8648 L
.38645 .86332 L
.38465 .85997 L
.3825 .85514 L
.38162 .85285 L
.38074 .85031 L
.37932 .84548 L
.3782 .84065 L
.37734 .83581 L
.37679 .83147 L
.37674 .83098 L
.37638 .82615 L
.37626 .82132 L
.37636 .81649 L
.37667 .81165 L
.37679 .8103 L
.3772 .80682 L
.37797 .80199 L
.37897 .79716 L
.38026 .79233 L
.38162 .78819 L
.38187 .7875 L
.38387 .78266 L
.38636 .77783 L
.38645 .77767 L
.38949 .773 L
.39128 .77075 L
.39365 .76817 L
.39612 .76602 L
.4001 .76334 L
F
0 .42 1 r
.37679 .47339 m
.37689 .47342 L
.37679 .47606 L
.37673 .47342 L
F
0 .48 1 r
.38162 .5073 m
.38176 .51208 L
.38162 .51233 L
.37682 .51208 L
F
1 .64 0 r
.38645 .52039 m
.38991 .52174 L
.38731 .52658 L
.38645 .52795 L
.38423 .53141 L
.38162 .53538 L
.3769 .53141 L
.38095 .52658 L
.38162 .52572 L
.3853 .52174 L
F
0 .62 1 r
.38162 .46407 m
.38385 .46859 L
.38162 .47276 L
.37708 .46859 L
F
0 .9 1 r
.39128 .5751 m
.39492 .57973 L
.39175 .58456 L
.39128 .58502 L
.38796 .58939 L
.38645 .59139 L
.38422 .59422 L
.38162 .59758 L
.37708 .59422 L
.38058 .58939 L
.38162 .58789 L
.3842 .58456 L
.38645 .5814 L
.38781 .57973 L
F
1 .62 0 r
.38645 .52099 m
.38924 .52174 L
.3869 .52658 L
.38645 .52732 L
.38388 .53141 L
.38162 .53492 L
.37722 .53141 L
.38126 .52658 L
.38162 .52613 L
.38579 .52174 L
F
0 .6 1 r
.38162 .4646 m
.38349 .46859 L
.38162 .47227 L
.37743 .46859 L
F
1 .6 0 r
.38162 .52657 m
.38645 .52658 L
.38352 .53141 L
.38162 .53442 L
.37758 .53141 L
.38162 .52658 L
F
0 .58 1 r
.38162 .46519 m
.3831 .46859 L
.38162 .47171 L
.37782 .46859 L
F
1 .58 0 r
.38162 .52712 m
.38313 .53141 L
.38162 .53386 L
.37798 .53141 L
F
0 .56 1 r
.38162 .46588 m
.38267 .46859 L
.38162 .47104 L
.37828 .46859 L
F
1 .56 0 r
.38162 .52777 m
.38269 .53141 L
.38162 .53322 L
.37845 .53141 L
F
1 .88 0 r
.38162 .4043 m
.38231 .40578 L
.38162 .40853 L
.3785 .40578 L
F
0 .88 1 r
.38162 .58956 m
.38264 .59422 L
.38162 .59552 L
.37868 .59422 L
F
0 .54 1 r
.38162 .46677 m
.38218 .46859 L
.38162 .47018 L
.37885 .46859 L
F
0 .7 1 r
.38162 .54734 m
.38453 .55073 L
.38162 .55514 L
.37903 .55073 L
F
1 .54 0 r
.38162 .52861 m
.38217 .53141 L
.38162 .53242 L
.37905 .53141 L
F
1 .52 0 r
.38162 .4857 m
.38391 .48792 L
.38162 .49264 L
.37943 .48792 L
F
0 .68 1 r
.38162 .54807 m
.38392 .55073 L
.38162 .55434 L
.37959 .55073 L
F
1 .94 0 r
.38162 .61028 m
.38394 .61355 L
.38162 .61627 L
.37973 .61355 L
F
1 .5 0 r
.38162 .48623 m
.38346 .48792 L
.38162 .49209 L
.37986 .48792 L
F
0 .66 1 r
.38162 .549 m
.38315 .55073 L
.38162 .55333 L
.38029 .55073 L
F
1 .84 0 r
.41061 .76805 m
.41197 .76817 L
.41544 .76898 L
.42027 .77141 L
.42248 .773 L
.42511 .77558 L
.42706 .77783 L
.42994 .78205 L
.43031 .78266 L
.43281 .7875 L
.43476 .79233 L
.43477 .79236 L
.4363 .79716 L
.43748 .80199 L
.43836 .80682 L
.43895 .81165 L
.43929 .81649 L
.43937 .82132 L
.43921 .82615 L
.43878 .83098 L
.4381 .83581 L
.43712 .84065 L
.43582 .84548 L
.43477 .84867 L
.43416 .85031 L
.43205 .85514 L
.42994 .85898 L
.42933 .85997 L
.4257 .8648 L
.42511 .86545 L
.42027 .86962 L
.42026 .86964 L
.41544 .87205 L
.41061 .87298 L
.40578 .87249 L
.40095 .87055 L
.39936 .86964 L
.39612 .86696 L
.39399 .8648 L
.39128 .8613 L
.39039 .85997 L
.38767 .85514 L
.38645 .8525 L
.38555 .85031 L
.38387 .84548 L
.38257 .84065 L
.38162 .83598 L
.38159 .83581 L
.3809 .83098 L
.38049 .82615 L
.38033 .82132 L
.38043 .81649 L
.38078 .81165 L
.38138 .80682 L
.38162 .80531 L
.38226 .80199 L
.38343 .79716 L
.38496 .79233 L
.38645 .78853 L
.38691 .7875 L
.38939 .78266 L
.39128 .77971 L
.39264 .77783 L
.39612 .77406 L
.39721 .773 L
.40095 .77048 L
.40578 .76853 L
.40775 .76817 L
F
1 .48 0 r
.38162 .48684 m
.3829 .48792 L
.38162 .49143 L
.38038 .48792 L
F
1 .46 0 r
.38162 .48764 m
.38207 .48792 L
.38162 .49049 L
.38119 .48792 L
F
1 .78 0 r
.38162 .56971 m
.38413 .57006 L
.38162 .57391 L
.38138 .57006 L
F
0 .64 1 r
.38162 .5507 m
.38167 .55073 L
.38162 .55127 L
.38159 .55073 L
F
0 .88 1 r
.38645 .58305 m
.38995 .58456 L
.3865 .58939 L
.38645 .58946 L
.38175 .58939 L
.38542 .58456 L
F
0 .74 1 r
.39128 .53503 m
.39438 .53624 L
.39184 .54107 L
.39128 .54196 L
.38877 .5459 L
.38645 .54944 L
.38184 .5459 L
.38587 .54107 L
.38645 .54033 L
.39025 .53624 L
F
1 .64 0 r
.38645 .4785 m
.38856 .48309 L
.38645 .48702 L
.38186 .48309 L
F
0 .86 1 r
.38645 .41713 m
.38806 .42027 L
.38645 .42429 L
.38217 .42027 L
F
1 .62 0 r
.38645 .47907 m
.38818 .48309 L
.38645 .48647 L
.38223 .48309 L
F
0 .72 1 r
.38645 .54095 m
.39118 .54107 L
.38825 .5459 L
.38645 .54871 L
.38234 .5459 L
.38636 .54107 L
F
1 .6 0 r
.38645 .47972 m
.38776 .48309 L
.38645 .48585 L
.38265 .48309 L
F
1 .94 0 r
.39128 .59667 m
.39541 .59905 L
.39185 .60388 L
.39128 .60463 L
.38803 .60872 L
.38645 .61071 L
.38275 .60872 L
.38601 .60388 L
.38645 .60322 L
.38963 .59905 L
F
0 .7 1 r
.38645 .54177 m
.38766 .5459 L
.38645 .54787 L
.38295 .5459 L
F
1 .58 0 r
.38645 .48051 m
.38729 .48309 L
.38645 .48509 L
.38316 .48309 L
F
1 .82 0 r
.38645 .56129 m
.38964 .56523 L
.38645 .56993 L
.38347 .56523 L
F
0 .84 1 r
.38645 .41962 m
.38667 .42027 L
.38645 .42185 L
.38371 .42027 L
F
0 .68 1 r
.38645 .54291 m
.38694 .5459 L
.38645 .54677 L
.38376 .5459 L
F
1 .56 0 r
.38645 .48167 m
.38673 .48309 L
.38645 .48399 L
.38383 .48309 L
F
1 .8 0 r
.38645 .5624 m
.3887 .56523 L
.38645 .5687 L
.38432 .56523 L
F
0 .58 1 r
.38645 .50032 m
.38849 .50242 L
.38645 .50668 L
.38436 .50242 L
F
1 .82 0 r
.40578 .77589 m
.41061 .77532 L
.41544 .77641 L
.41882 .77783 L
.42027 .77927 L
.42384 .78266 L
.42511 .78433 L
.42725 .7875 L
.42974 .79233 L
.42994 .79277 L
.43164 .79716 L
.43306 .80199 L
.4341 .80682 L
.43477 .81142 L
.43479 .81165 L
.43519 .81649 L
.43528 .82132 L
.43509 .82615 L
.43477 .83009 L
.4346 .83098 L
.43379 .83581 L
.43263 .84065 L
.43106 .84548 L
.42994 .84826 L
.429 .85031 L
.42622 .85514 L
.42511 .85669 L
.42235 .85997 L
.42027 .86176 L
.41544 .86462 L
.41495 .8648 L
.41061 .8657 L
.40578 .86514 L
.40476 .8648 L
.40095 .86286 L
.39733 .85997 L
.39612 .85855 L
.39347 .85514 L
.39128 .8514 L
.39072 .85031 L
.38863 .84548 L
.38707 .84065 L
.38645 .83829 L
.38591 .83581 L
.3851 .83098 L
.38461 .82615 L
.38442 .82132 L
.38453 .81649 L
.38492 .81165 L
.38563 .80682 L
.38645 .80286 L
.38667 .80199 L
.38808 .79716 L
.38997 .79233 L
.39128 .78963 L
.39246 .7875 L
.39594 .78266 L
.39612 .78247 L
.40095 .77817 L
.40147 .77783 L
F
0 .56 1 r
.38645 .501 m
.38791 .50242 L
.38645 .50595 L
.38492 .50242 L
F
1 .76 0 r
.38645 .43873 m
.38762 .4396 L
.38645 .44418 L
.38505 .4396 L
F
1 .78 0 r
.38645 .56411 m
.38732 .56523 L
.38645 .56683 L
.38562 .56523 L
F
0 .54 1 r
.38645 .50189 m
.38709 .50242 L
.38645 .50494 L
.38572 .50242 L
F
1 .6 0 r
.38645 .52171 m
.38824 .52174 L
.38645 .52657 L
.38642 .52174 L
F
1 .84 0 r
.39612 .54911 m
.3994 .55073 L
.39678 .55557 L
.39612 .55661 L
.39369 .5604 L
.39128 .56401 L
.38646 .5604 L
.39048 .55557 L
.39128 .55452 L
.39476 .55073 L
F
0 .68 1 r
.39128 .49314 m
.39314 .49758 L
.39128 .50108 L
.38679 .49758 L
F
1 .84 0 r
.39128 .43142 m
.3929 .43477 L
.39128 .4387 L
.38685 .43477 L
F
0 .66 1 r
.39128 .49386 m
.39267 .49758 L
.39128 .50038 L
.38725 .49758 L
F
1 .82 0 r
.39128 .55551 m
.39568 .55557 L
.39284 .5604 L
.39128 .56283 L
.38725 .5604 L
.39124 .55557 L
F
0 .64 1 r
.39128 .49474 m
.39214 .49758 L
.39128 .49953 L
.38779 .49758 L
F
1 .82 0 r
.39128 .43334 m
.3918 .43477 L
.39128 .43686 L
.388 .43477 L
F
1 .8 0 r
.39128 .55709 m
.39178 .5604 L
.39128 .56125 L
.38838 .5604 L
F
0 .62 1 r
.39128 .49612 m
.3915 .49758 L
.39128 .49826 L
.38854 .49758 L
F
1 .8 0 r
.40095 .78643 m
.40578 .78363 L
.41061 .78295 L
.41544 .78426 L
.4201 .7875 L
.42027 .78781 L
.42391 .79233 L
.42511 .79448 L
.42644 .79716 L
.42827 .80199 L
.42955 .80682 L
.42994 .80862 L
.4304 .81165 L
.43088 .81649 L
.431 .82132 L
.43076 .82615 L
.43016 .83098 L
.42994 .83232 L
.42918 .83581 L
.42773 .84065 L
.42567 .84548 L
.42511 .84654 L
.42283 .85031 L
.42027 .85322 L
.41865 .85514 L
.41544 .85676 L
.41061 .85807 L
.40578 .85739 L
.40164 .85514 L
.40095 .8546 L
.39689 .85031 L
.39612 .84908 L
.39402 .84548 L
.39198 .84065 L
.39128 .83852 L
.39053 .83581 L
.38953 .83098 L
.38894 .82615 L
.38871 .82132 L
.38883 .81649 L
.38931 .81165 L
.39017 .80682 L
.39128 .80257 L
.39146 .80199 L
.39326 .79716 L
.39587 .79233 L
.39612 .79196 L
.39966 .7875 L
F
1 .68 0 r
.39128 .51448 m
.39345 .51691 L
.39128 .52118 L
.38895 .51691 L
F
0 .88 1 r
.39128 .57695 m
.39332 .57973 L
.39128 .58279 L
.38923 .57973 L
F
1 .66 0 r
.39128 .51534 m
.39274 .51691 L
.39128 .52025 L
.38963 .51691 L
F
0 .74 1 r
.39128 .4534 m
.39218 .4541 L
.39128 .45812 L
.39004 .4541 L
F
1 .98 0 r
.39128 .64039 m
.39242 .64254 L
.39128 .64381 L
.39028 .64254 L
F
1 .64 0 r
.39128 .5166 m
.39163 .51691 L
.39128 .51879 L
.39078 .51691 L
F
0 .72 1 r
.39128 .53601 m
.39319 .53624 L
.39128 .54089 L
.39107 .53624 L
F
1 .76 0 r
.39612 .50698 m
.40038 .50725 L
.39823 .51208 L
.39612 .51583 L
.3913 .51208 L
.39598 .50725 L
F
0 .9 1 r
.40095 .56384 m
.40388 .56523 L
.40133 .57006 L
.40095 .57066 L
.39823 .57489 L
.39612 .57803 L
.39146 .57489 L
.39545 .57006 L
.39612 .56919 L
.39978 .56523 L
F
1 .74 0 r
.39612 .50793 m
.39765 .51208 L
.39612 .51499 L
.39183 .51208 L
F
0 .82 1 r
.39612 .44634 m
.39736 .44927 L
.39612 .45247 L
.39193 .44927 L
F
1 .72 0 r
.39612 .509 m
.39699 .51208 L
.39612 .51394 L
.39249 .51208 L
F
1 .96 0 r
.39612 .38619 m
.39622 .38645 L
.39612 .38846 L
.39296 .38645 L
F
1 .98 0 r
.39612 .63294 m
.39674 .63771 L
.39612 .63849 L
.39315 .63771 L
F
0 .8 1 r
.39612 .44878 m
.39621 .44927 L
.39612 .45003 L
.39318 .44927 L
F
0 .88 1 r
.39612 .57157 m
.39646 .57489 L
.39612 .57547 L
.39324 .57489 L
F
1 .94 0 r
.39612 .59036 m
.39887 .59422 L
.39612 .59814 L
.39328 .59422 L
F
0 .78 1 r
.39612 .52844 m
.39853 .53141 L
.39612 .53585 L
.39339 .53141 L
F
1 .7 0 r
.39612 .51103 m
.39615 .51208 L
.39612 .51218 L
.39346 .51208 L
F
1 .78 0 r
.41061 .79149 m
.4138 .79233 L
.41544 .79321 L
.41987 .79716 L
.42027 .79812 L
.42253 .80199 L
.42432 .80682 L
.42511 .80995 L
.42542 .81165 L
.42605 .81649 L
.42621 .82132 L
.4259 .82615 L
.42511 .83096 L
.4251 .83098 L
.42382 .83581 L
.4217 .84065 L
.42027 .8429 L
.41879 .84548 L
.41544 .84782 L
.41061 .84953 L
.40578 .84865 L
.4015 .84548 L
.40095 .84487 L
.39794 .84065 L
.39612 .83626 L
.39596 .83581 L
.39458 .83098 L
.39379 .82615 L
.39348 .82132 L
.39364 .81649 L
.39426 .81165 L
.39543 .80682 L
.39612 .80476 L
.39717 .80199 L
.40007 .79716 L
.40095 .79616 L
.40578 .79238 L
.40591 .79233 L
F
1 .76 0 r
.39612 .46733 m
.39741 .46859 L
.39612 .47281 L
.39427 .46859 L
F
0 .76 1 r
.39612 .5296 m
.39759 .53141 L
.39612 .53459 L
.39428 .53141 L
F
1 .82 0 r
.39612 .55068 m
.39746 .55073 L
.39612 .5548 L
.39607 .55073 L
F
1 .84 0 r
.40095 .45976 m
.40268 .46376 L
.40095 .46754 L
.39614 .46376 L
F
0 .82 1 r
.40095 .52174 m
.40494 .52174 L
.40274 .52658 L
.40095 .52973 L
.3963 .52658 L
.40095 .52174 L
F
1 .94 0 r
.40095 .58438 m
.40541 .58456 L
.40227 .58939 L
.40095 .5913 L
.39695 .58939 L
.40081 .58456 L
F
1 .82 0 r
.40095 .46146 m
.40168 .46376 L
.40095 .46591 L
.39708 .46376 L
F
0 .8 1 r
.40095 .52312 m
.40184 .52658 L
.40095 .52835 L
.39715 .52658 L
F
1 .86 0 r
.40095 .54288 m
.40313 .5459 L
.40095 .55004 L
.39815 .5459 L
F
0 .8 1 r
.40095 .48115 m
.40263 .48309 L
.40095 .48772 L
.39845 .48309 L
F
1 .76 0 r
.40578 .80391 m
.41061 .80247 L
.41544 .80537 L
.41684 .80682 L
.41924 .81165 L
.41999 .81649 L
.42014 .82132 L
.41984 .82615 L
.41872 .83098 L
.41544 .83563 L
.41527 .83581 L
.41061 .83857 L
.40578 .8371 L
.40444 .83581 L
.40157 .83098 L
.40095 .8298 L
.40013 .82615 L
.3996 .82132 L
.39986 .81649 L
.40095 .81181 L
.40099 .81165 L
.40322 .80682 L
F
1 .98 0 r
.40095 .62649 m
.40385 .62804 L
.40095 .63229 L
.39989 .62804 L
F
1 .84 0 r
.40095 .54524 m
.40136 .5459 L
.40095 .54743 L
.39998 .5459 L
F
0 .78 1 r
.40095 .48283 m
.40121 .48309 L
.40095 .48586 L
.40002 .48309 L
F
1 .88 0 r
.40578 .5367 m
.4069 .54107 L
.40578 .5432 L
.40136 .54107 L
F
0 .84 1 r
.40578 .4768 m
.406 .47826 L
.40578 .47918 L
.40199 .47826 L
F
1 .84 0 r
.40578 .49569 m
.4074 .49758 L
.40578 .50215 L
.40326 .49758 L
F
1 .98 0 r
.40578 .62066 m
.40696 .62321 L
.40578 .62523 L
.40384 .62321 L
F
1 .94 0 r
.40578 .57905 m
.40814 .57973 L
.40578 .584 L
.40522 .57973 L
F
1 .88 0 r
.41061 .49053 m
.41114 .49275 L
.41061 .49472 L
.40621 .49275 L
F
0 .94 1 r
.41061 .42853 m
.41113 .42994 L
.41061 .43284 L
.40624 .42994 L
F
0 .86 1 r
.41061 .51178 m
.41101 .51208 L
.41061 .51454 L
.40983 .51208 L
F
1 .94 0 r
.41544 .44121 m
.41746 .44443 L
.41544 .44894 L
.41077 .44443 L
F
0 .9 1 r
.41544 .50434 m
.41681 .50725 L
.41544 .51038 L
.41124 .50725 L
F
0 .98 1 r
.41544 .38118 m
.41572 .38162 L
.41544 .38433 L
.4123 .38162 L
F
1 .92 0 r
.41544 .52311 m
.41843 .52658 L
.41544 .53097 L
.41232 .52658 L
F
0 .92 1 r
.41544 .46231 m
.41665 .46376 L
.41544 .467 L
.41326 .46376 L
F
1 .96 0 r
.42027 .4749 m
.42076 .47826 L
.42027 .48078 L
.41549 .47826 L
F
0 .94 1 r
.42027 .45447 m
.42259 .45893 L
.42027 .46209 L
.41575 .45893 L
F
0 .96 1 r
.42027 .53673 m
.42103 .54107 L
.42027 .54288 L
.41616 .54107 L
F
1 .92 0 r
.42027 .51773 m
.42229 .52174 L
.42027 .52405 L
.41671 .52174 L
F
0 .94 1 r
.42511 .44947 m
.42655 .4541 L
.42511 .45567 L
.42063 .4541 L
F
1 .92 0 r
.42511 .51227 m
.42667 .51691 L
.42511 .51855 L
.42095 .51691 L
F
0 .96 1 r
.44927 .50122 m
.4541 .5011 L
.45686 .50242 L
.45456 .50725 L
.4541 .50775 L
.45202 .51208 L
.44927 .51546 L
.44713 .51691 L
.44443 .52054 L
.44321 .52174 L
.4396 .52546 L
.43861 .52658 L
.43477 .52821 L
.43119 .53141 L
.42994 .5315 L
.42511 .53493 L
.42435 .53141 L
.42511 .53019 L
.42719 .52658 L
.42994 .5223 L
.43026 .52174 L
.43375 .51691 L
.43477 .51507 L
.43722 .51208 L
.4396 .50955 L
.44069 .50725 L
.44443 .50355 L
.44614 .50242 L
F
1 .92 0 r
.42994 .50836 m
.43069 .51208 L
.42994 .51305 L
.42527 .51208 L
F
0 .94 1 r
.42994 .44488 m
.43071 .44927 L
.42994 .45019 L
.42528 .44927 L
F
1 .98 0 r
.44443 .56871 m
.44927 .56816 L
.45369 .57006 L
.45189 .57489 L
.44927 .57698 L
.44709 .57973 L
.44443 .58424 L
.44321 .58456 L
.4396 .58877 L
.43879 .58939 L
.43477 .59284 L
.43244 .59422 L
.42994 .59572 L
.42544 .59422 L
.42644 .58939 L
.42994 .58568 L
.43058 .58456 L
.43401 .57973 L
.43477 .57877 L
.43755 .57489 L
.4396 .57239 L
.44151 .57006 L
F
.44443 .4676 m
.44927 .46745 L
.45135 .46859 L
.44927 .47243 L
.44864 .47342 L
.4455 .47826 L
.44443 .47963 L
.44139 .48309 L
.4396 .48532 L
.43758 .48792 L
.43477 .49149 L
.433 .49275 L
.42994 .49327 L
.42947 .49275 L
.42765 .48792 L
.42875 .48309 L
.42994 .48138 L
.43148 .47826 L
.43477 .47481 L
.43543 .47342 L
.4396 .46931 L
.44107 .46859 L
F
0 .94 1 r
.44927 .5022 m
.4541 .502 L
.45509 .50242 L
.4541 .50688 L
.4539 .50725 L
.45136 .51208 L
.44927 .51478 L
.44658 .51691 L
.44443 .5199 L
.44234 .52174 L
.4396 .52423 L
.43658 .52658 L
.43477 .52706 L
.42994 .52801 L
.4296 .52658 L
.42994 .52563 L
.43159 .52174 L
.43461 .51691 L
.43477 .51656 L
.43805 .51208 L
.4396 .51056 L
.44151 .50725 L
.44443 .50471 L
.44857 .50242 L
F
0 .98 1 r
.42994 .47325 m
.43101 .47342 L
.42994 .47587 L
.42976 .47342 L
F
1 .96 0 r
.42994 .46313 m
.43394 .46376 L
.42994 .46379 L
.42992 .46376 L
F
.4396 .47123 m
.44443 .46911 L
.44763 .47342 L
.44443 .47824 L
.44442 .47826 L
.44057 .48309 L
.4396 .48435 L
.43612 .48792 L
.43477 .48927 L
.43012 .48792 L
.43078 .48309 L
.43326 .47826 L
.43477 .47771 L
.43713 .47342 L
F
0 .98 1 r
.44443 .40294 m
.44927 .4019 L
.45105 .40578 L
.44927 .40866 L
.44796 .41061 L
.44455 .41544 L
.44443 .41554 L
.44058 .42027 L
.4396 .42156 L
.43571 .42511 L
.43477 .42582 L
.43164 .42511 L
.43069 .42027 L
.43269 .41544 L
.43477 .41185 L
.43564 .41061 L
.4396 .40681 L
.44046 .40578 L
F
0 .96 1 r
.4396 .53781 m
.44358 .54107 L
.44006 .5459 L
.4396 .54707 L
.43537 .55073 L
.43477 .55145 L
.43123 .55073 L
.43209 .5459 L
.43477 .54178 L
.43533 .54107 L
F
1 .96 0 r
.44927 .43656 m
.4541 .43509 L
.45725 .4396 L
.45416 .44443 L
.4541 .44456 L
.45138 .44927 L
.44927 .45116 L
.44657 .4541 L
.44443 .45589 L
.44211 .45893 L
.4396 .46115 L
.43477 .46349 L
.43139 .45893 L
.43437 .4541 L
.43477 .45307 L
.43774 .44927 L
.4396 .44648 L
.44102 .44443 L
.44443 .44124 L
.44557 .4396 L
F
1 .94 0 r
.4396 .47296 m
.44443 .47072 L
.4464 .47342 L
.44443 .47684 L
.44345 .47826 L
.43961 .48309 L
.4396 .48311 L
.43477 .487 L
.43252 .48309 L
.43477 .4785 L
.43492 .47826 L
.43874 .47342 L
F
0 .92 1 r
.44443 .50577 m
.44927 .50313 L
.45322 .50725 L
.45055 .51208 L
.44927 .51382 L
.44599 .51691 L
.44443 .5192 L
.44133 .52174 L
.4396 .52325 L
.43477 .52554 L
.43305 .52174 L
.43477 .51843 L
.43556 .51691 L
.43887 .51208 L
.4396 .51132 L
.44248 .50725 L
F
1 .94 0 r
.44927 .43808 m
.4541 .43662 L
.45611 .4396 L
.4541 .4433 L
.45337 .44443 L
.45028 .44927 L
.44927 .45019 L
.44567 .4541 L
.44443 .45509 L
.44025 .45893 L
.4396 .45938 L
.43477 .46024 L
.43398 .45893 L
.43477 .45653 L
.43581 .4541 L
.43888 .44927 L
.4396 .44801 L
.44209 .44443 L
.44443 .44266 L
.44723 .4396 L
F
1 .98 0 r
.49758 .3702 m
.50242 .3687 L
.50725 .36914 L
.50758 .37196 L
.50725 .3726 L
.50543 .37679 L
.50242 .38036 L
.50158 .38162 L
.49781 .38645 L
.49758 .38708 L
.49442 .39128 L
.49275 .39332 L
.4911 .39612 L
.49275 .40007 L
.49758 .39995 L
.50134 .40095 L
.49939 .40578 L
.49758 .40819 L
.49666 .41061 L
.49275 .41495 L
.4924 .41544 L
.48856 .42027 L
.48792 .42147 L
.48538 .42511 L
.48309 .42784 L
.48271 .42994 L
.48309 .43304 L
.48792 .43309 L
.49275 .43385 L
.49303 .43477 L
.49275 .4353 L
.49021 .4396 L
.48792 .44234 L
.48754 .44443 L
.48309 .44897 L
.48287 .44927 L
.47915 .4541 L
.47826 .45547 L
.47607 .45893 L
.47342 .46189 L
.4716 .46376 L
.47342 .46647 L
.47826 .46659 L
.48309 .46714 L
.48373 .46859 L
.48309 .46947 L
.48086 .47342 L
.47826 .47628 L
.47683 .47826 L
.47342 .48286 L
.47325 .48309 L
.46967 .48792 L
.46859 .48936 L
.46674 .49275 L
.46376 .49576 L
.46183 .49758 L
.46376 .5001 L
.46859 .5002 L
.47342 .50073 L
.47423 .50242 L
.47342 .50338 L
.47148 .50725 L
.46859 .51014 L
.46716 .51208 L
.46376 .51668 L
.46358 .51691 L
.46008 .52174 L
.45893 .52314 L
.45721 .52658 L
.4541 .52933 L
.45154 .53141 L
.4541 .53419 L
.45893 .53402 L
.46376 .53463 L
.46448 .53624 L
.46376 .53705 L
.46212 .54107 L
.45893 .54387 L
.45738 .5459 L
.4541 .55034 L
.45377 .55073 L
.45031 .55557 L
.44927 .55661 L
.4458 .5604 L
.44443 .56204 L
.4396 .56403 L
.43477 .56123 L
.43454 .5604 L
.43477 .55927 L
.43714 .55557 L
.43914 .55073 L
.4396 .55035 L
.44249 .5459 L
.44443 .54338 L
.44698 .54107 L
.44927 .5373 L
.45045 .53624 L
.44927 .53281 L
.44443 .53323 L
.4396 .53282 L
.43861 .53141 L
.4396 .52968 L
.44147 .52658 L
.44443 .52213 L
.44466 .52174 L
.44815 .51691 L
.44927 .51626 L
.45298 .51208 L
.4541 .50899 L
.45571 .50725 L
.45893 .50289 L
.45928 .50242 L
.45893 .49971 L
.4541 .49958 L
.44927 .49883 L
.44798 .49758 L
.44927 .49536 L
.45115 .49275 L
.4541 .48808 L
.45419 .48792 L
.45771 .48309 L
.45893 .4815 L
.46234 .47826 L
.46376 .47503 L
.46517 .47342 L
.46859 .46897 L
.46876 .46859 L
.46859 .46625 L
.46376 .46615 L
.45893 .46572 L
.45788 .46376 L
.45893 .46111 L
.46042 .45893 L
.46376 .45417 L
.46379 .4541 L
.46735 .44927 L
.46859 .44762 L
.47163 .44443 L
.47342 .44118 L
.47468 .4396 L
.47826 .43528 L
.47898 .43477 L
.47826 .43233 L
.47342 .43243 L
.46859 .43196 L
.46752 .42994 L
.46859 .42737 L
.47 .42511 L
.47342 .42043 L
.47353 .42027 L
.4771 .41544 L
.47826 .41389 L
.48114 .41061 L
.48309 .40756 L
.48433 .40578 L
.48792 .40205 L
.49002 .40095 L
.48792 .39771 L
.48309 .39835 L
.47826 .39758 L
.47751 .39612 L
.47826 .39437 L
.4798 .39128 L
.48309 .38712 L
.48357 .38645 L
.48771 .38162 L
.48792 .38068 L
.49114 .37679 L
.49275 .37475 L
.49476 .37196 L
F
1 .92 0 r
.43477 .48302 m
.43749 .48309 L
.43477 .48311 L
.43476 .48309 L
F
0 .9 1 r
.44443 .50679 m
.44927 .50408 L
.45246 .50725 L
.44957 .51208 L
.44927 .51252 L
.44534 .51691 L
.44443 .51833 L
.44004 .52174 L
.4396 .52211 L
.4349 .52174 L
.43659 .51691 L
.4396 .51228 L
.43974 .51208 L
.44375 .50725 L
F
1 .96 0 r
.44443 .57186 m
.44887 .57489 L
.44517 .57973 L
.44443 .58171 L
.44009 .58456 L
.4396 .58517 L
.43516 .58456 L
.43702 .57973 L
.4396 .57617 L
.44061 .57489 L
F
1 .92 0 r
.4396 .4749 m
.44217 .47826 L
.4396 .48139 L
.43663 .47826 L
F
0 .98 1 r
.4541 .37168 m
.4574 .37196 L
.45624 .37679 L
.4541 .38019 L
.4531 .38162 L
.44955 .38645 L
.44927 .38651 L
.44478 .39128 L
.44443 .39162 L
.4396 .3941 L
.43677 .39128 L
.43929 .38645 L
.4396 .38555 L
.44222 .38162 L
.44443 .37913 L
.44689 .37679 L
.44927 .3747 L
.45344 .37196 L
F
0 .96 1 r
.45893 .46746 m
.46376 .46735 L
.46672 .46859 L
.46437 .47342 L
.46376 .47413 L
.46174 .47826 L
.45893 .48073 L
.45709 .48309 L
.4541 .4874 L
.45338 .48792 L
.44941 .49275 L
.44927 .49288 L
.44443 .49662 L
.4396 .49655 L
.43741 .49275 L
.4396 .4882 L
.43963 .48792 L
.44283 .48309 L
.44443 .48137 L
.44706 .47826 L
.44927 .47459 L
.45017 .47342 L
.4541 .46947 L
.45562 .46859 L
F
1 .92 0 r
.44927 .43957 m
.4541 .43858 L
.45467 .4396 L
.4541 .4414 L
.45247 .44443 L
.44927 .44896 L
.44902 .44927 L
.44461 .4541 L
.44443 .45425 L
.4396 .45734 L
.43745 .4541 L
.4396 .45016 L
.44013 .44927 L
.44354 .44443 L
.44443 .44378 L
.44921 .4396 L
F
0 .88 1 r
.44443 .50787 m
.44875 .51208 L
.44459 .51691 L
.44443 .51718 L
.4396 .52057 L
.43773 .51691 L
.4396 .51376 L
.44067 .51208 L
F
0 .96 1 r
.4396 .41276 m
.44082 .41544 L
.4396 .41657 L
.43797 .41544 L
F
1 .96 0 r
.4541 .53537 m
.45893 .53472 L
.46316 .53624 L
.4615 .54107 L
.45893 .54323 L
.4569 .5459 L
.4541 .54964 L
.45317 .55073 L
.44927 .55551 L
.44913 .55557 L
.44443 .55979 L
.44315 .5604 L
.4396 .56095 L
.43856 .5604 L
.43882 .55557 L
.4396 .55224 L
.43982 .55073 L
.44351 .5459 L
.44443 .54468 L
.44795 .54107 L
.44927 .53869 L
.45214 .53624 L
F
0 .94 1 r
.4396 .54066 m
.44062 .54107 L
.4396 .54329 L
.43881 .54107 L
F
.45893 .4682 m
.46376 .46802 L
.46526 .46859 L
.46392 .47342 L
.46376 .47361 L
.46137 .47826 L
.45893 .48033 L
.45677 .48309 L
.4541 .48714 L
.45293 .48792 L
.44927 .4919 L
.44847 .49275 L
.44443 .4954 L
.4396 .49433 L
.43895 .49275 L
.4396 .49037 L
.43971 .48792 L
.4435 .48309 L
.44443 .48202 L
.44762 .47826 L
.44927 .47537 L
.45075 .47342 L
.4541 .47034 L
.4576 .46859 L
F
0 .86 1 r
.4396 .51593 m
.44333 .51691 L
.4396 .51826 L
.43919 .51691 L
F
0 .98 1 r
.51208 .37102 m
.51691 .36853 L
.52174 .36868 L
.52328 .37196 L
.52174 .37469 L
.5215 .37679 L
.51736 .38162 L
.51691 .38234 L
.51353 .38645 L
.51208 .38704 L
.51049 .39128 L
.50725 .39489 L
.50601 .39612 L
.50725 .40011 L
.51208 .39983 L
.51691 .4007 L
.51711 .40095 L
.51691 .40211 L
.51536 .40578 L
.51208 .41009 L
.51174 .41061 L
.50742 .41544 L
.50725 .41662 L
.50444 .42027 L
.50242 .42316 L
.50143 .42511 L
.49758 .4294 L
.49705 .42994 L
.49758 .4329 L
.50242 .43298 L
.50725 .43333 L
.50884 .43477 L
.50725 .43722 L
.5062 .4396 L
.50242 .44419 L
.50225 .44443 L
.49815 .44927 L
.49758 .45022 L
.49509 .4541 L
.49275 .45716 L
.49221 .45893 L
.48792 .46343 L
.48757 .46376 L
.48792 .46621 L
.49275 .46647 L
.49758 .46677 L
.49969 .46859 L
.49758 .47129 L
.49691 .47342 L
.49275 .4781 L
.49265 .47826 L
.48877 .48309 L
.48792 .48354 L
.48569 .48792 L
.48309 .49107 L
.4817 .49275 L
.47826 .49729 L
.47792 .49758 L
.47826 .49978 L
.48309 .50007 L
.48792 .50036 L
.49031 .50242 L
.48792 .50521 L
.48772 .50725 L
.48309 .51197 L
.48301 .51208 L
.47931 .51691 L
.47826 .51846 L
.47629 .52174 L
.47342 .52492 L
.47201 .52658 L
.46859 .531 L
.46806 .53141 L
.46859 .53365 L
.47342 .53374 L
.47826 .53402 L
.48085 .53624 L
.47826 .53904 L
.47688 .54107 L
.47342 .54577 L
.47332 .5459 L
.46977 .55073 L
.46859 .55226 L
.4669 .55557 L
.46376 .55863 L
.46216 .5604 L
.45893 .5643 L
.45726 .56523 L
.45893 .56809 L
.46376 .56762 L
.46859 .56793 L
.47109 .57006 L
.46859 .57258 L
.46701 .57489 L
.46376 .57934 L
.46346 .57973 L
.45995 .58456 L
.45893 .58571 L
.45705 .58939 L
.4541 .59167 L
.45138 .59422 L
.44927 .59621 L
.44443 .59828 L
.43975 .59422 L
.44237 .58939 L
.44443 .58586 L
.4452 .58456 L
.44866 .57973 L
.44927 .57894 L
.45342 .57489 L
.4541 .57254 L
.45665 .57006 L
.4541 .5663 L
.44927 .56606 L
.44565 .56523 L
.44748 .5604 L
.44927 .55799 L
.45126 .55557 L
.4541 .55106 L
.45429 .55073 L
.45784 .5459 L
.45893 .54448 L
.46259 .54107 L
.46376 .53802 L
.46556 .53624 L
.46376 .53349 L
.45893 .53333 L
.4541 .53243 L
.45366 .53141 L
.4541 .53081 L
.45775 .52658 L
.45893 .52364 L
.4604 .52174 L
.46376 .51699 L
.46379 .51691 L
.46737 .51208 L
.46859 .51045 L
.47172 .50725 L
.47342 .50395 L
.47483 .50242 L
.47342 .50006 L
.46859 .49982 L
.46376 .49921 L
.46288 .49758 L
.46376 .49653 L
.46704 .49275 L
.46859 .48967 L
.46985 .48792 L
.47342 .48309 L
.47342 .48309 L
.477 .47826 L
.47826 .47654 L
.48108 .47342 L
.48309 .47004 L
.48429 .46859 L
.48309 .46646 L
.47826 .46624 L
.47342 .46573 L
.47243 .46376 L
.47342 .46255 L
.47634 .45893 L
.47826 .45578 L
.47933 .4541 L
.48307 .44927 L
.48309 .44924 L
.48763 .44443 L
.48792 .44269 L
.49053 .4396 L
.49275 .43628 L
.49383 .43477 L
.49275 .43267 L
.48792 .43255 L
.48309 .432 L
.48305 .42994 L
.48309 .42878 L
.48581 .42511 L
.48792 .42198 L
.48881 .42027 L
.49275 .41549 L
.49279 .41544 L
.49696 .41061 L
.49758 .40901 L
.50016 .40578 L
.50242 .40294 L
.50401 .40095 L
.50242 .39838 L
.49758 .39858 L
.49275 .3975 L
.49262 .39612 L
.49275 .39564 L
.49553 .39128 L
.49758 .38852 L
.49833 .38645 L
.50242 .38189 L
.50282 .38162 L
.50679 .37679 L
.50725 .37603 L
.51089 .37196 L
F
1 .94 0 r
.45893 .53546 m
.46156 .53624 L
.46072 .54107 L
.45893 .54254 L
.4564 .5459 L
.4541 .54894 L
.45252 .55073 L
.44927 .55519 L
.44794 .55557 L
.44443 .55854 L
.43975 .55557 L
.44008 .55073 L
.44443 .54597 L
.44448 .5459 L
.44862 .54107 L
.44927 .53985 L
.4541 .53638 L
.45445 .53624 L
F
0 .92 1 r
.4541 .47112 m
.45893 .46888 L
.46344 .47342 L
.46095 .47826 L
.45893 .47992 L
.45644 .48309 L
.4541 .48686 L
.45245 .48792 L
.44927 .49118 L
.44734 .49275 L
.44443 .49428 L
.44054 .49275 L
.43978 .48792 L
.44415 .48309 L
.44443 .48272 L
.44808 .47826 L
.44927 .4761 L
.45132 .47342 L
F
0 .9 1 r
.4541 .47184 m
.45893 .46952 L
.46294 .47342 L
.46047 .47826 L
.45893 .47949 L
.45609 .48309 L
.4541 .48653 L
.45194 .48792 L
.44927 .49061 L
.44567 .49275 L
.44443 .49316 L
.4426 .49275 L
.44014 .48792 L
.44443 .48367 L
.44476 .48309 L
.44848 .47826 L
.44927 .47682 L
.45196 .47342 L
F
0 .98 1 r
.4541 .6029 m
.45846 .60388 L
.45607 .60872 L
.4541 .61145 L
.45232 .61355 L
.44927 .61707 L
.44777 .61838 L
.44443 .62099 L
.44016 .61838 L
.44072 .61355 L
.44443 .60997 L
.4453 .60872 L
.44927 .60485 L
.45077 .60388 L
F
1 .92 0 r
.44927 .54094 m
.4541 .53729 L
.45893 .53631 L
.45975 .54107 L
.45893 .54174 L
.45587 .5459 L
.4541 .54822 L
.4518 .55073 L
.44927 .55478 L
.44627 .55557 L
.44443 .557 L
.44189 .55557 L
.44083 .55073 L
.44443 .54745 L
.44535 .5459 L
.44919 .54107 L
F
0 .88 1 r
.4541 .47254 m
.45893 .47016 L
.4624 .47342 L
.45992 .47826 L
.45893 .47904 L
.45573 .48309 L
.4541 .48611 L
.45139 .48792 L
.44927 .49009 L
.44443 .49187 L
.44107 .48792 L
.44443 .48483 L
.44534 .48309 L
.44886 .47826 L
.44927 .47753 L
.45275 .47342 L
F
1 .9 0 r
.44443 .44537 m
.44789 .44927 L
.44443 .45273 L
.44153 .44927 L
F
0 .86 1 r
.44443 .50908 m
.44788 .51208 L
.44443 .51596 L
.44172 .51208 L
F
1 .92 0 r
.44443 .47307 m
.44464 .47342 L
.44443 .4743 L
.44174 .47342 L
F
1 .96 0 r
.48792 .40351 m
.49275 .40138 L
.49758 .40145 L
.49857 .40578 L
.49758 .40721 L
.49632 .41061 L
.49275 .41439 L
.49201 .41544 L
.4883 .42027 L
.48792 .42096 L
.48491 .42511 L
.48309 .42707 L
.48154 .42994 L
.48309 .43384 L
.48792 .43364 L
.49179 .43477 L
.48988 .4396 L
.48792 .44197 L
.48744 .44443 L
.48309 .4487 L
.48267 .44927 L
.47898 .4541 L
.47826 .45517 L
.47576 .45893 L
.47342 .46134 L
.47072 .46376 L
.47342 .46708 L
.47826 .46695 L
.48309 .46841 L
.48311 .46859 L
.48309 .46864 L
.48063 .47342 L
.47826 .47602 L
.47666 .47826 L
.47342 .48264 L
.47308 .48309 L
.46947 .48792 L
.46859 .48907 L
.46639 .49275 L
.46376 .49514 L
.46067 .49758 L
.46376 .5008 L
.46859 .50059 L
.47342 .50184 L
.47355 .50242 L
.47342 .5026 L
.47121 .50725 L
.46859 .50983 L
.46694 .51208 L
.46376 .51637 L
.46334 .51691 L
.45974 .52174 L
.45893 .52268 L
.45649 .52658 L
.4541 .52832 L
.44927 .53106 L
.44855 .53141 L
.44443 .53175 L
.44278 .53141 L
.44254 .52658 L
.44443 .52322 L
.44521 .52174 L
.44863 .51691 L
.44927 .51653 L
.4533 .51208 L
.4541 .50955 L
.45619 .50725 L
.45893 .50368 L
.45995 .50242 L
.45893 .49858 L
.4541 .49886 L
.45004 .49758 L
.4518 .49275 L
.4541 .48866 L
.45448 .48792 L
.45801 .48309 L
.45893 .48188 L
.46258 .47826 L
.46376 .47544 L
.46553 .47342 L
.46859 .46965 L
.46911 .46859 L
.46859 .46522 L
.46376 .46558 L
.45893 .46446 L
.4587 .46376 L
.45893 .46255 L
.46091 .45893 L
.46376 .45466 L
.46395 .4541 L
.46765 .44927 L
.46859 .44801 L
.4719 .44443 L
.47342 .44166 L
.47509 .4396 L
.47826 .43613 L
.48056 .43477 L
.47826 .43108 L
.47342 .43168 L
.46859 .43012 L
.46854 .42994 L
.46859 .42955 L
.4706 .42511 L
.47342 .42115 L
.47402 .42027 L
.47759 .41544 L
.47826 .41456 L
.48164 .41061 L
.48309 .40844 L
.48514 .40578 L
F
1 .9 0 r
.4541 .5382 m
.45869 .54107 L
.45529 .5459 L
.4541 .54746 L
.45098 .55073 L
.44927 .55387 L
.44443 .5544 L
.44276 .55073 L
.44443 .54928 L
.44624 .5459 L
.44927 .54205 L
.45015 .54107 L
F
0 .86 1 r
.4541 .47322 m
.45893 .47082 L
.4618 .47342 L
.45931 .47826 L
.45893 .47855 L
.45535 .48309 L
.4541 .48557 L
.45076 .48792 L
.44927 .4895 L
.44443 .49015 L
.44288 .48792 L
.44443 .48635 L
.44593 .48309 L
.44927 .47826 L
.44927 .47826 L
.45374 .47342 L
F
1 .96 0 r
.45893 .40435 m
.46376 .40317 L
.46562 .40578 L
.46376 .40957 L
.46314 .41061 L
.46028 .41544 L
.45893 .41705 L
.45586 .42027 L
.4541 .42208 L
.45126 .42511 L
.44927 .42672 L
.44443 .42735 L
.44304 .42511 L
.44443 .42132 L
.44492 .42027 L
.44836 .41544 L
.44927 .41392 L
.45138 .41061 L
.4541 .4092 L
.45686 .40578 L
F
0 .84 1 r
.44443 .51058 m
.44665 .51208 L
.44443 .5144 L
.44306 .51208 L
F
1 .94 0 r
.48792 .40464 m
.49275 .4017 L
.49758 .40371 L
.49762 .40578 L
.49758 .40584 L
.49589 .41061 L
.49275 .4138 L
.49162 .41544 L
.48803 .42027 L
.48792 .42046 L
.48438 .42511 L
.48309 .42638 L
.47905 .42994 L
.48309 .43453 L
.48792 .4342 L
.49017 .43477 L
.48953 .4396 L
.48792 .44157 L
.48731 .44443 L
.48309 .44842 L
.48247 .44927 L
.47879 .4541 L
.47826 .45487 L
.47543 .45893 L
.47342 .46084 L
.46977 .46376 L
.47342 .46761 L
.47826 .4673 L
.48229 .46859 L
.48039 .47342 L
.47826 .47575 L
.47648 .47826 L
.47342 .48241 L
.47291 .48309 L
.46927 .48792 L
.46859 .48878 L
.466 .49275 L
.46376 .49459 L
.45929 .49758 L
.46376 .5014 L
.46859 .50098 L
.47275 .50242 L
.47091 .50725 L
.46859 .5095 L
.46671 .51208 L
.46376 .51607 L
.46309 .51691 L
.45937 .52174 L
.45893 .52222 L
.45557 .52658 L
.4541 .52748 L
.44927 .52946 L
.44443 .53002 L
.44352 .52658 L
.44443 .52458 L
.44571 .52174 L
.4491 .51691 L
.44927 .5168 L
.45355 .51208 L
.4541 .51008 L
.45663 .50725 L
.45893 .50434 L
.46076 .50242 L
.45893 .49775 L
.4541 .49813 L
.45208 .49758 L
.45234 .49275 L
.4541 .48927 L
.45475 .48792 L
.4583 .48309 L
.45893 .48226 L
.46279 .47826 L
.46376 .47583 L
.46586 .47342 L
.46859 .47022 L
.46972 .46859 L
.46859 .46445 L
.46376 .46502 L
.45985 .46376 L
.46135 .45893 L
.46376 .45517 L
.4641 .4541 L
.46794 .44927 L
.46859 .4484 L
.47215 .44443 L
.47342 .44211 L
.47549 .4396 L
.47826 .43681 L
.4823 .43477 L
.47826 .43013 L
.47342 .43093 L
.47026 .42994 L
.47118 .42511 L
.47342 .42191 L
.4745 .42027 L
.47808 .41544 L
.47826 .41521 L
.48212 .41061 L
.48309 .40924 L
.48617 .40578 L
F
1 .88 0 r
.44443 .44785 m
.44602 .44927 L
.44443 .45041 L
.44353 .44927 L
F
1 .92 0 r
.46376 .50196 m
.46859 .50138 L
.47185 .50242 L
.47057 .50725 L
.46859 .50916 L
.46648 .51208 L
.46376 .51576 L
.46283 .51691 L
.45897 .52174 L
.45893 .52179 L
.45439 .52658 L
.4541 .52673 L
.44927 .52868 L
.44455 .52658 L
.44619 .52174 L
.44927 .51734 L
.44953 .51691 L
.45374 .51208 L
.4541 .51059 L
.45704 .50725 L
.45893 .50493 L
.46203 .50242 L
F
0 .96 1 r
.46859 .43407 m
.47342 .43403 L
.47543 .43477 L
.4738 .4396 L
.47342 .44009 L
.47099 .44443 L
.46859 .44681 L
.46674 .44927 L
.46376 .45402 L
.46308 .4541 L
.45928 .45893 L
.45893 .45931 L
.4541 .46364 L
.45385 .46376 L
.44927 .46491 L
.44457 .46376 L
.44551 .45893 L
.44884 .4541 L
.44927 .45349 L
.45329 .44927 L
.4541 .44762 L
.45618 .44443 L
.45893 .44069 L
.45952 .4396 L
.46376 .43583 L
.46606 .43477 L
F
.45893 .57003 m
.46376 .56866 L
.46859 .56976 L
.46884 .57006 L
.46859 .57054 L
.4662 .57489 L
.46376 .57832 L
.46266 .57973 L
.45893 .58444 L
.45882 .58456 L
.45445 .58939 L
.4541 .58958 L
.44927 .59281 L
.44481 .58939 L
.44667 .58456 L
.44927 .58094 L
.45002 .57973 L
.45399 .57489 L
.4541 .57436 L
.45887 .57006 L
F
0 .84 1 r
.4541 .4739 m
.45873 .47826 L
.45495 .48309 L
.4541 .48488 L
.45002 .48792 L
.44927 .48874 L
.44493 .48792 L
.44655 .48309 L
.44927 .47905 L
.44985 .47826 L
F
0 .88 1 r
.44927 .50511 m
.45154 .50725 L
.44927 .51134 L
.44513 .50725 L
F
1 .88 0 r
.4541 .53915 m
.45777 .54107 L
.45465 .5459 L
.4541 .54663 L
.44995 .55073 L
.44927 .55208 L
.44522 .55073 L
.44719 .5459 L
.44927 .54322 L
.45125 .54107 L
F
1 .9 0 r
.44927 .44121 m
.45136 .44443 L
.44927 .44757 L
.44525 .44443 L
F
.46859 .5018 m
.47081 .50242 L
.47021 .50725 L
.46859 .5088 L
.46625 .51208 L
.46376 .51544 L
.46257 .51691 L
.45893 .52138 L
.45858 .52174 L
.4541 .52635 L
.45337 .52658 L
.44927 .52822 L
.44573 .52658 L
.44669 .52174 L
.44927 .51805 L
.44994 .51691 L
.45388 .51208 L
.4541 .5111 L
.45744 .50725 L
.45893 .50548 L
.46376 .50247 L
.46393 .50242 L
F
0 .94 1 r
.46376 .43676 m
.46859 .43492 L
.47328 .4396 L
.47061 .44443 L
.46859 .44638 L
.46643 .44927 L
.46376 .45397 L
.4627 .4541 L
.45893 .45865 L
.45862 .45893 L
.4541 .46267 L
.44927 .46374 L
.44631 .45893 L
.44927 .45452 L
.44951 .4541 L
.45361 .44927 L
.4541 .44816 L
.4567 .44443 L
.45893 .44145 L
.45998 .4396 L
F
0 .86 1 r
.44927 .50636 m
.45031 .50725 L
.44927 .50994 L
.4467 .50725 L
F
1 .94 0 r
.4541 .41038 m
.45893 .40659 L
.46175 .41061 L
.45893 .41509 L
.45867 .41544 L
.45462 .42027 L
.4541 .42091 L
.44927 .42441 L
.44684 .42027 L
.44927 .41612 L
.44971 .41544 L
.45349 .41061 L
F
1 .88 0 r
.46859 .50224 m
.4694 .50242 L
.4698 .50725 L
.46859 .50842 L
.46602 .51208 L
.46376 .51513 L
.4623 .51691 L
.45893 .52099 L
.45818 .52174 L
.4541 .52615 L
.45215 .52658 L
.44927 .52762 L
.44712 .52658 L
.44725 .52174 L
.44927 .51882 L
.45035 .51691 L
.454 .51208 L
.4541 .51161 L
.45783 .50725 L
.45893 .506 L
.46376 .50292 L
.46573 .50242 L
F
0 .82 1 r
.4541 .4746 m
.45824 .47826 L
.45451 .48309 L
.4541 .48401 L
.44927 .48773 L
.4472 .48309 L
.44927 .47991 L
.45047 .47826 L
F
0 .92 1 r
.46376 .43758 m
.46859 .43565 L
.47269 .4396 L
.47018 .44443 L
.46859 .44594 L
.4661 .44927 L
.46376 .45385 L
.4623 .4541 L
.45893 .45819 L
.45792 .45893 L
.4541 .4618 L
.44927 .46236 L
.44726 .45893 L
.44927 .45575 L
.45012 .4541 L
.45384 .44927 L
.4541 .44862 L
.45719 .44443 L
.45893 .44217 L
.46056 .4396 L
F
1 .88 0 r
.44927 .44366 m
.44964 .44443 L
.44927 .44525 L
.44751 .44443 L
F
1 .86 0 r
.45893 .5065 m
.46376 .50336 L
.46859 .50281 L
.46935 .50725 L
.46859 .50799 L
.46577 .51208 L
.46376 .5148 L
.46202 .51691 L
.45893 .52059 L
.45775 .52174 L
.4541 .52598 L
.44927 .52645 L
.4479 .52174 L
.44927 .51969 L
.45075 .51691 L
.4541 .51212 L
.45412 .51208 L
.45824 .50725 L
F
0 .8 1 r
.44927 .48088 m
.45399 .48309 L
.44927 .48668 L
.44792 .48309 L
F
1 .86 0 r
.44927 .54459 m
.45384 .5459 L
.44927 .54988 L
.44829 .5459 L
F
0 .94 1 r
.46376 .56976 m
.46596 .57006 L
.46532 .57489 L
.46376 .57719 L
.46179 .57973 L
.45893 .58323 L
.4576 .58456 L
.4541 .58782 L
.45107 .58939 L
.44927 .58977 L
.44844 .58939 L
.44844 .58456 L
.44927 .58336 L
.4513 .57973 L
.4541 .57602 L
.455 .57489 L
.45893 .57145 L
.46204 .57006 L
F
0 .9 1 r
.46376 .43834 m
.46859 .43637 L
.47206 .4396 L
.4697 .44443 L
.46859 .44547 L
.46577 .44927 L
.46376 .45364 L
.46188 .4541 L
.45893 .45782 L
.45713 .45893 L
.4541 .46096 L
.44927 .46054 L
.44856 .45893 L
.44927 .45744 L
.45074 .4541 L
.45403 .44927 L
.4541 .44908 L
.45767 .44443 L
.45893 .44285 L
.46138 .4396 L
F
1 .84 0 r
.45893 .50698 m
.46376 .50379 L
.46859 .50356 L
.46885 .50725 L
.46859 .50751 L
.46552 .51208 L
.46376 .51447 L
.46174 .51691 L
.45893 .5202 L
.45727 .52174 L
.4541 .52574 L
.44927 .52502 L
.44867 .52174 L
.44927 .52076 L
.45117 .51691 L
.4541 .51265 L
.4545 .51208 L
.45867 .50725 L
F
0 .78 1 r
.44927 .48214 m
.45318 .48309 L
.44927 .48521 L
.44877 .48309 L
F
0 .96 1 r
.50242 .40434 m
.50725 .40161 L
.51208 .40127 L
.51451 .40578 L
.51208 .40918 L
.51122 .41061 L
.50734 .41544 L
.50725 .41619 L
.50414 .42027 L
.50242 .42268 L
.50114 .42511 L
.49758 .42864 L
.49611 .42994 L
.49758 .43385 L
.50242 .43348 L
.50725 .43429 L
.50769 .43477 L
.50725 .43609 L
.50595 .4396 L
.50242 .44387 L
.50204 .44443 L
.49807 .44927 L
.49758 .45009 L
.49494 .4541 L
.49275 .45691 L
.4921 .45893 L
.48792 .46294 L
.48697 .46376 L
.48792 .46692 L
.49275 .46676 L
.49758 .4672 L
.49912 .46859 L
.49758 .47084 L
.4968 .47342 L
.49275 .47791 L
.49251 .47826 L
.48869 .48309 L
.48792 .48349 L
.48557 .48792 L
.48309 .49086 L
.48149 .49275 L
.47826 .49682 L
.47727 .49758 L
.47826 .50051 L
.48309 .50033 L
.48792 .50072 L
.48985 .50242 L
.48792 .50483 L
.48766 .50725 L
.48309 .51177 L
.48286 .51208 L
.47919 .51691 L
.47826 .51827 L
.47613 .52174 L
.47342 .52462 L
.4717 .52658 L
.46859 .53031 L
.46683 .53141 L
.46859 .53468 L
.47342 .53415 L
.47826 .53457 L
.48016 .53624 L
.47826 .53846 L
.47658 .54107 L
.47342 .54542 L
.47307 .5459 L
.46949 .55073 L
.46859 .55186 L
.46649 .55557 L
.46376 .55797 L
.46136 .5604 L
.45893 .5629 L
.4541 .56462 L
.44927 .5633 L
.44899 .5604 L
.44927 .55987 L
.45201 .55557 L
.4541 .55184 L
.45471 .55073 L
.45829 .5459 L
.45893 .54506 L
.46294 .54107 L
.46376 .53878 L
.46646 .53624 L
.46376 .53265 L
.45893 .53263 L
.4555 .53141 L
.45814 .52658 L
.45893 .52416 L
.4607 .52174 L
.46376 .51731 L
.46392 .51691 L
.46759 .51208 L
.46859 .51074 L
.47195 .50725 L
.47342 .50443 L
.4754 .50242 L
.47342 .49951 L
.46859 .49944 L
.46388 .49758 L
.4673 .49275 L
.46859 .48998 L
.47003 .48792 L
.47342 .48331 L
.47345 .48309 L
.47717 .47826 L
.47826 .47679 L
.48129 .47342 L
.48309 .47051 L
.48485 .46859 L
.48309 .46592 L
.47826 .46589 L
.47342 .46456 L
.47324 .46376 L
.47342 .46345 L
.4766 .45893 L
.47826 .45609 L
.4795 .4541 L
.48309 .4495 L
.48326 .44927 L
.4877 .44443 L
.48792 .44303 L
.49084 .4396 L
.49275 .43698 L
.49492 .43477 L
.49275 .43185 L
.48792 .43201 L
.48329 .42994 L
.48622 .42511 L
.48792 .42251 L
.48907 .42027 L
.49275 .41597 L
.49317 .41544 L
.49722 .41061 L
.49758 .40974 L
.50099 .40578 L
F
1 .82 0 r
.46376 .50422 m
.46839 .50725 L
.46527 .51208 L
.46376 .51413 L
.46144 .51691 L
.45893 .5198 L
.45675 .52174 L
.4541 .52532 L
.44951 .52174 L
.45159 .51691 L
.4541 .51319 L
.45488 .51208 L
.45893 .50746 L
.45915 .50725 L
F
0 .88 1 r
.46376 .43908 m
.46859 .43711 L
.47137 .4396 L
.46917 .44443 L
.46859 .44497 L
.46543 .44927 L
.46376 .45328 L
.46144 .4541 L
.45893 .45747 L
.45619 .45893 L
.4541 .46014 L
.44999 .45893 L
.45137 .4541 L
.4541 .44977 L
.45443 .44927 L
.45818 .44443 L
.45893 .44352 L
.46258 .4396 L
F
1 .8 0 r
.46376 .50466 m
.46797 .50725 L
.465 .51208 L
.46376 .51378 L
.46112 .51691 L
.45893 .5194 L
.45616 .52174 L
.4541 .52465 L
.45027 .52174 L
.45202 .51691 L
.4541 .51376 L
.45526 .51208 L
.45893 .50792 L
.45966 .50725 L
F
1 .98 0 r
.46859 .37031 m
.47342 .36943 L
.47529 .37196 L
.47342 .37599 L
.47297 .37679 L
.4701 .38162 L
.46859 .38409 L
.46598 .38645 L
.46376 .38941 L
.46197 .39128 L
.45893 .39434 L
.45564 .39612 L
.4541 .39655 L
.45035 .39612 L
.45037 .39128 L
.45378 .38645 L
.4541 .38527 L
.45699 .38162 L
.45893 .37956 L
.45999 .37679 L
.46376 .37513 L
.46605 .37196 L
F
0 .94 1 r
.50242 .4054 m
.50725 .40266 L
.51208 .40279 L
.51349 .40578 L
.51208 .40803 L
.5107 .41061 L
.50728 .41544 L
.50725 .41572 L
.50384 .42027 L
.50242 .42221 L
.5008 .42511 L
.49758 .42799 L
.49512 .42994 L
.49758 .43457 L
.50242 .43397 L
.50623 .43477 L
.50568 .4396 L
.50242 .44354 L
.50184 .44443 L
.49798 .44927 L
.49758 .44995 L
.49479 .4541 L
.49275 .45667 L
.49196 .45893 L
.48792 .46252 L
.48635 .46376 L
.48792 .46747 L
.49275 .46704 L
.49758 .4677 L
.49851 .46859 L
.49758 .47028 L
.49668 .47342 L
.49275 .47771 L
.49238 .47826 L
.4886 .48309 L
.48792 .48344 L
.48545 .48792 L
.48309 .49065 L
.48129 .49275 L
.47826 .49641 L
.47658 .49758 L
.47826 .50107 L
.48309 .50059 L
.48792 .50112 L
.48933 .50242 L
.48792 .50439 L
.48758 .50725 L
.48309 .51156 L
.48272 .51208 L
.47907 .51691 L
.47826 .51808 L
.47595 .52174 L
.47342 .52434 L
.47139 .52658 L
.46859 .52974 L
.46539 .53141 L
.46859 .53544 L
.47342 .53455 L
.47826 .53523 L
.47931 .53624 L
.47826 .53773 L
.47628 .54107 L
.47342 .54506 L
.4728 .5459 L
.4692 .55073 L
.46859 .55147 L
.466 .55557 L
.46376 .55736 L
.46049 .5604 L
.45893 .5618 L
.4541 .56335 L
.45037 .5604 L
.45263 .55557 L
.4541 .55266 L
.45508 .55073 L
.45873 .5459 L
.45893 .54564 L
.46321 .54107 L
.46376 .53944 L
.46734 .53624 L
.46376 .53194 L
.45893 .53191 L
.45742 .53141 L
.45843 .52658 L
.45893 .52473 L
.46098 .52174 L
.46376 .51762 L
.46405 .51691 L
.46781 .51208 L
.46859 .51103 L
.47216 .50725 L
.47342 .50485 L
.47597 .50242 L
.47342 .49903 L
.46859 .49905 L
.46481 .49758 L
.46753 .49275 L
.46859 .4903 L
.47021 .48792 L
.47342 .48353 L
.47348 .48309 L
.47734 .47826 L
.47826 .47703 L
.48149 .47342 L
.48309 .47092 L
.48548 .46859 L
.48309 .46544 L
.47826 .46553 L
.47402 .46376 L
.47684 .45893 L
.47826 .45641 L
.47967 .4541 L
.48309 .44975 L
.48345 .44927 L
.48775 .44443 L
.48792 .44336 L
.49115 .4396 L
.49275 .43755 L
.49677 .43477 L
.49275 .43115 L
.48792 .43146 L
.48441 .42994 L
.48661 .42511 L
.48792 .42307 L
.48934 .42027 L
.49275 .41645 L
.49355 .41544 L
.49749 .41061 L
.49758 .41041 L
.50196 .40578 L
F
0 .92 1 r
.45893 .57282 m
.46376 .57142 L
.46432 .57489 L
.46376 .57582 L
.4608 .57973 L
.45893 .58194 L
.45598 .58456 L
.4541 .58599 L
.45069 .58456 L
.45266 .57973 L
.4541 .57775 L
.45642 .57489 L
F
1 .98 0 r
.46859 .60212 m
.47342 .60224 L
.47527 .60388 L
.47342 .60725 L
.47248 .60872 L
.46897 .61355 L
.46859 .61371 L
.46573 .61838 L
.46376 .61985 L
.46026 .62321 L
.45893 .62451 L
.4541 .62676 L
.45088 .62321 L
.45316 .61838 L
.4541 .61643 L
.45561 .61355 L
.45893 .60941 L
.45944 .60872 L
.46376 .60417 L
.46413 .60388 L
F
0 .8 1 r
.4541 .47533 m
.45768 .47826 L
.4541 .48298 L
.45113 .47826 L
F
1 .78 0 r
.46376 .50511 m
.46751 .50725 L
.46473 .51208 L
.46376 .51341 L
.46079 .51691 L
.45893 .51899 L
.45544 .52174 L
.4541 .52361 L
.45118 .52174 L
.45247 .51691 L
.4541 .51436 L
.45566 .51208 L
.45893 .50839 L
.4602 .50725 L
F
1 .92 0 r
.4541 .41252 m
.45705 .41544 L
.4541 .41881 L
.45165 .41544 L
F
0 .86 1 r
.45893 .44419 m
.46376 .43978 L
.46857 .44443 L
.46507 .44927 L
.46376 .45274 L
.46097 .4541 L
.45893 .45706 L
.4549 .45893 L
.4541 .45928 L
.45166 .45893 L
.45202 .4541 L
.4541 .45062 L
.45496 .44927 L
.45872 .44443 L
F
0 .92 1 r
.46859 .5361 m
.47342 .53496 L
.47826 .53624 L
.47826 .53624 L
.47826 .53624 L
.47597 .54107 L
.47342 .54469 L
.47253 .5459 L
.46889 .55073 L
.46859 .55108 L
.46542 .55557 L
.46376 .55678 L
.4595 .5604 L
.45893 .56084 L
.4541 .56208 L
.45183 .5604 L
.45317 .55557 L
.4541 .55357 L
.45544 .55073 L
.45893 .54621 L
.45914 .5459 L
.46343 .54107 L
.46376 .54005 L
.46833 .53624 L
F
0 .78 1 r
.4541 .47614 m
.45701 .47826 L
.4541 .48215 L
.45188 .47826 L
F
1 .76 0 r
.46376 .50557 m
.46699 .50725 L
.46444 .51208 L
.46376 .51302 L
.46044 .51691 L
.45893 .51856 L
.45442 .52174 L
.4541 .52213 L
.45255 .52174 L
.45294 .51691 L
.4541 .51502 L
.45606 .51208 L
.45893 .50887 L
.46079 .50725 L
F
1 .86 0 r
.4541 .54023 m
.45648 .54107 L
.4541 .54557 L
.45263 .54107 L
F
0 .84 1 r
.46376 .44046 m
.46809 .44443 L
.4647 .44927 L
.46376 .45197 L
.46046 .4541 L
.45893 .4565 L
.4541 .45824 L
.45271 .4541 L
.4541 .45158 L
.4555 .44927 L
.45893 .44488 L
.45932 .44443 L
F
0 .76 1 r
.4541 .47711 m
.45611 .47826 L
.4541 .48108 L
.45281 .47826 L
F
1 .92 0 r
.47826 .43741 m
.48309 .43508 L
.48792 .4348 L
.48914 .4396 L
.48792 .44113 L
.48716 .44443 L
.48309 .44814 L
.48226 .44927 L
.4786 .4541 L
.47826 .45458 L
.47506 .45893 L
.47342 .46038 L
.46867 .46376 L
.47342 .4681 L
.47826 .46767 L
.48138 .46859 L
.48013 .47342 L
.47826 .47546 L
.4763 .47826 L
.47342 .48218 L
.47273 .48309 L
.46906 .48792 L
.46859 .48849 L
.46555 .49275 L
.46376 .4941 L
.45893 .49687 L
.4541 .49735 L
.45282 .49275 L
.4541 .48994 L
.455 .48792 L
.4586 .48309 L
.45893 .48264 L
.46297 .47826 L
.46376 .4762 L
.46619 .47342 L
.46859 .47072 L
.47095 .46859 L
.46859 .4638 L
.46376 .46444 L
.46136 .46376 L
.46178 .45893 L
.46376 .45571 L
.46424 .4541 L
.46823 .44927 L
.46859 .44879 L
.47238 .44443 L
.47342 .44254 L
.4759 .4396 L
F
1 .9 0 r
.47342 .46855 m
.47826 .46805 L
.48032 .46859 L
.47985 .47342 L
.47826 .47516 L
.47613 .47826 L
.47342 .48195 L
.47255 .48309 L
.46884 .48792 L
.46859 .48821 L
.46504 .49275 L
.46376 .49363 L
.45893 .49626 L
.4541 .49639 L
.45326 .49275 L
.4541 .49071 L
.45525 .48792 L
.45888 .48309 L
.45893 .48303 L
.46313 .47826 L
.46376 .47657 L
.46651 .47342 L
.46859 .47117 L
.47315 .46859 L
F
1 .74 0 r
.46376 .50607 m
.46638 .50725 L
.46413 .51208 L
.46376 .5126 L
.46006 .51691 L
.45893 .51812 L
.4541 .52099 L
.45344 .51691 L
.4541 .51577 L
.45649 .51208 L
.45893 .50937 L
.46145 .50725 L
F
0 .82 1 r
.46376 .44116 m
.46755 .44443 L
.46429 .44927 L
.46376 .45094 L
.45989 .4541 L
.45893 .45571 L
.4541 .45683 L
.45347 .4541 L
.4541 .45277 L
.45607 .44927 L
.45893 .44559 L
.45996 .44443 L
F
0 .9 1 r
.47342 .53537 m
.47728 .53624 L
.47565 .54107 L
.47342 .54431 L
.47226 .5459 L
.46859 .5507 L
.46856 .55073 L
.46474 .55557 L
.46376 .55622 L
.45893 .56 L
.45794 .5604 L
.4541 .56069 L
.45365 .5604 L
.4537 .55557 L
.4541 .55463 L
.4558 .55073 L
.45893 .54679 L
.45954 .5459 L
.46361 .54107 L
.46376 .54062 L
.46859 .53663 L
.46947 .53624 L
F
1 .88 0 r
.47826 .46845 m
.47894 .46859 L
.47954 .47342 L
.47826 .47485 L
.47595 .47826 L
.47342 .48172 L
.47237 .48309 L
.46861 .48792 L
.46859 .48794 L
.46446 .49275 L
.46376 .4932 L
.45893 .4959 L
.4541 .49519 L
.45372 .49275 L
.4541 .49166 L
.45549 .48792 L
.45893 .48343 L
.45915 .48309 L
.46328 .47826 L
.46376 .47693 L
.46683 .47342 L
.46859 .4716 L
.47342 .46893 L
.47505 .46859 L
F
1 .72 0 r
.46376 .5066 m
.4656 .50725 L
.46381 .51208 L
.46376 .51214 L
.45964 .51691 L
.45893 .51765 L
.4541 .51963 L
.454 .51691 L
.4541 .51672 L
.45695 .51208 L
.45893 .50989 L
.46226 .50725 L
F
1 .86 0 r
.46859 .47201 m
.47342 .46928 L
.47826 .46893 L
.47922 .47342 L
.47826 .4745 L
.47576 .47826 L
.47342 .48148 L
.47219 .48309 L
.46859 .48767 L
.46837 .48792 L
.46381 .49275 L
.46376 .49278 L
.45893 .49568 L
.45423 .49275 L
.45575 .48792 L
.45893 .48384 L
.45941 .48309 L
.46341 .47826 L
.46376 .47728 L
.46716 .47342 L
F
0 .9 1 r
.45893 .57434 m
.46279 .57489 L
.45955 .57973 L
.45893 .58044 L
.45432 .57973 L
.45817 .57489 L
F
0 .88 1 r
.47342 .5358 m
.47603 .53624 L
.47533 .54107 L
.47342 .54391 L
.47198 .5459 L
.46859 .55031 L
.46823 .55073 L
.46394 .55557 L
.46376 .55568 L
.45893 .55924 L
.45432 .55557 L
.45619 .55073 L
.45893 .54739 L
.45993 .5459 L
.46376 .54116 L
.46384 .54107 L
.46859 .53712 L
.47084 .53624 L
F
1 .98 0 r
.52658 .40026 m
.53107 .40095 L
.53096 .40578 L
.52735 .41061 L
.52658 .41259 L
.52325 .41544 L
.52174 .41884 L
.52032 .42027 L
.51691 .42444 L
.51657 .42511 L
.5127 .42994 L
.51691 .43304 L
.52174 .43332 L
.52448 .43477 L
.52174 .43913 L
.52172 .4396 L
.51798 .44443 L
.51691 .44661 L
.51403 .44927 L
.51208 .45245 L
.511 .4541 L
.50725 .45852 L
.50708 .45893 L
.50278 .46376 L
.50725 .46645 L
.51208 .4667 L
.51554 .46859 L
.51208 .47322 L
.51195 .47342 L
.50757 .47826 L
.50725 .48025 L
.50466 .48309 L
.50242 .48603 L
.50164 .48792 L
.49758 .49244 L
.49748 .49275 L
.4934 .49758 L
.49758 .50002 L
.50242 .50026 L
.50625 .50242 L
.50242 .50713 L
.50234 .50725 L
.49828 .51208 L
.49758 .51382 L
.49524 .51691 L
.49275 .51957 L
.49237 .52174 L
.48792 .52646 L
.48782 .52658 L
.48383 .53141 L
.48792 .53367 L
.49275 .53389 L
.49695 .53624 L
.49275 .54095 L
.49267 .54107 L
.48885 .5459 L
.48792 .54734 L
.48579 .55073 L
.48309 .55301 L
.48175 .55557 L
.47826 .56018 L
.47805 .5604 L
.47371 .56523 L
.47826 .5675 L
.48309 .56767 L
.4862 .57006 L
.48309 .57459 L
.48289 .57489 L
.47927 .57973 L
.47826 .58071 L
.47626 .58456 L
.47342 .58608 L
.47182 .58939 L
.46859 .59346 L
.46779 .59422 L
.46376 .59788 L
.45893 .59894 L
.45439 .59422 L
.4583 .58939 L
.45893 .58708 L
.46086 .58456 L
.46376 .58032 L
.46404 .57973 L
.46778 .57489 L
.46859 .5738 L
.47237 .57006 L
.46859 .56678 L
.46376 .56654 L
.46017 .56523 L
.46291 .5604 L
.46376 .55936 L
.46725 .55557 L
.46859 .55266 L
.47003 .55073 L
.47342 .5461 L
.47347 .5459 L
.47717 .54107 L
.47826 .53954 L
.48143 .53624 L
.47826 .53354 L
.47342 .53333 L
.46883 .53141 L
.47231 .52658 L
.47342 .52523 L
.47645 .52174 L
.47826 .51866 L
.47943 .51691 L
.48309 .51213 L
.48315 .51208 L
.48777 .50725 L
.48792 .50555 L
.49075 .50242 L
.48792 .50002 L
.48309 .4998 L
.47854 .49758 L
.4819 .49275 L
.48309 .49129 L
.48581 .48792 L
.48792 .48361 L
.48886 .48309 L
.49275 .47829 L
.49278 .47826 L
.49702 .47342 L
.49758 .47168 L
.50024 .46859 L
.49758 .46639 L
.49275 .46619 L
.48816 .46376 L
.49231 .45893 L
.49275 .45741 L
.49524 .4541 L
.49758 .45036 L
.49824 .44927 L
.50242 .44449 L
.50245 .44443 L
.50644 .4396 L
.50725 .43795 L
.51002 .43477 L
.50725 .4326 L
.50242 .43247 L
.49798 .42994 L
.50171 .42511 L
.50242 .42365 L
.50475 .42027 L
.50725 .41701 L
.50752 .41544 L
.51208 .41092 L
.51227 .41061 L
.5162 .40578 L
.51691 .40473 L
.52174 .40103 L
.52207 .40095 L
F
0 .8 1 r
.46376 .4419 m
.46693 .44443 L
.46386 .44927 L
.46376 .4496 L
.45922 .4541 L
.45893 .45461 L
.4544 .4541 L
.45668 .44927 L
.45893 .44634 L
.46067 .44443 L
F
1 .7 0 r
.45893 .51044 m
.46336 .51208 L
.45916 .51691 L
.45893 .51714 L
.45471 .51691 L
.45744 .51208 L
F
0 .84 1 r
.45893 .47153 m
.46112 .47342 L
.45893 .47795 L
.45473 .47342 L
F
1 .84 0 r
.46859 .4724 m
.47342 .46964 L
.47826 .4695 L
.47887 .47342 L
.47826 .47413 L
.47558 .47826 L
.47342 .48124 L
.47201 .48309 L
.46859 .4874 L
.46813 .48792 L
.46376 .49241 L
.4633 .49275 L
.45893 .4955 L
.45485 .49275 L
.45603 .48792 L
.45893 .48426 L
.45968 .48309 L
.46353 .47826 L
.46376 .47763 L
.4675 .47342 L
F
0 .86 1 r
.47342 .53624 m
.47343 .53624 L
.47499 .54107 L
.47342 .54348 L
.47169 .5459 L
.46859 .54992 L
.46788 .55073 L
.46376 .55516 L
.46328 .55557 L
.45893 .55848 L
.45507 .55557 L
.45663 .55073 L
.45893 .54801 L
.46033 .5459 L
.46376 .54167 L
.4643 .54107 L
.46859 .53759 L
.47342 .53624 L
F
0 .96 1 r
.47342 .40322 m
.47826 .40162 L
.48262 .40578 L
.47996 .41061 L
.47826 .41245 L
.4761 .41544 L
.47342 .41904 L
.47246 .42027 L
.4686 .42511 L
.46859 .42511 L
.46376 .42957 L
.46299 .42994 L
.45893 .43088 L
.45509 .42994 L
.45527 .42511 L
.4588 .42027 L
.45893 .42012 L
.46295 .41544 L
.46376 .41464 L
.46609 .41061 L
.46859 .4076 L
.4691 .40578 L
F
1 .82 0 r
.46859 .47278 m
.47342 .46998 L
.47826 .47019 L
.47849 .47342 L
.47826 .4737 L
.47539 .47826 L
.47342 .481 L
.47182 .48309 L
.46859 .48714 L
.46788 .48792 L
.46376 .49205 L
.46274 .49275 L
.45893 .49526 L
.45552 .49275 L
.45634 .48792 L
.45893 .4847 L
.45994 .48309 L
.46366 .47826 L
.46376 .47798 L
.46787 .47342 L
F
0 .82 1 r
.45893 .47233 m
.46028 .47342 L
.45893 .4771 L
.45579 .47342 L
F
0 .84 1 r
.46859 .53806 m
.47342 .53681 L
.47464 .54107 L
.47342 .54302 L
.47139 .5459 L
.46859 .54952 L
.46751 .55073 L
.46376 .55465 L
.46257 .55557 L
.45893 .55769 L
.45589 .55557 L
.45714 .55073 L
.45893 .54866 L
.46073 .5459 L
.46376 .54217 L
.46478 .54107 L
F
0 .94 1 r
.47342 .40463 m
.47826 .40298 L
.48138 .40578 L
.47921 .41061 L
.47826 .41163 L
.47557 .41544 L
.47342 .41833 L
.47188 .42027 L
.46859 .42495 L
.46773 .42511 L
.46376 .42838 L
.45893 .42944 L
.45623 .42511 L
.45893 .42149 L
.45964 .42027 L
.4634 .41544 L
.46376 .41513 L
.4669 .41061 L
.46859 .40875 L
.47048 .40578 L
F
1 .8 0 r
.46859 .47315 m
.47342 .47033 L
.47812 .47342 L
.4752 .47826 L
.47342 .48075 L
.47162 .48309 L
.46859 .48687 L
.46762 .48792 L
.46376 .49169 L
.46209 .49275 L
.45893 .49484 L
.45626 .49275 L
.45668 .48792 L
.45893 .48516 L
.4602 .48309 L
.46376 .47832 L
.46381 .47826 L
.46827 .47342 L
F
1 .92 0 r
.45893 .40934 m
.45975 .41061 L
.45893 .41254 L
.45629 .41061 L
F
0 .82 1 r
.46859 .53852 m
.47342 .53746 L
.47428 .54107 L
.47342 .54251 L
.47108 .5459 L
.46859 .54912 L
.46712 .55073 L
.46376 .55414 L
.4617 .55557 L
.45893 .55685 L
.45685 .55557 L
.45774 .55073 L
.45893 .54937 L
.46113 .5459 L
.46376 .54268 L
.46527 .54107 L
F
1 .96 0 r
.52174 .40255 m
.52658 .40204 L
.53013 .40578 L
.52661 .41061 L
.52658 .41072 L
.52287 .41544 L
.52174 .41835 L
.51995 .42027 L
.51691 .42369 L
.51609 .42511 L
.51208 .42963 L
.51169 .42994 L
.51208 .43454 L
.51691 .43365 L
.52174 .4342 L
.52285 .43477 L
.52174 .43818 L
.52169 .4396 L
.51774 .44443 L
.51691 .44621 L
.51387 .44927 L
.51208 .45227 L
.51087 .4541 L
.50725 .45802 L
.50686 .45893 L
.50257 .46376 L
.50725 .46676 L
.51208 .46705 L
.51496 .46859 L
.51208 .47285 L
.51174 .47342 L
.50753 .47826 L
.50725 .48006 L
.50456 .48309 L
.50242 .48589 L
.50157 .48792 L
.49758 .49197 L
.4973 .49275 L
.49308 .49758 L
.49758 .50027 L
.50242 .50052 L
.50591 .50242 L
.50242 .50685 L
.50217 .50725 L
.49821 .51208 L
.49758 .51368 L
.49514 .51691 L
.49275 .51941 L
.49232 .52174 L
.48792 .52622 L
.4876 .52658 L
.4832 .53141 L
.48792 .534 L
.49275 .53422 L
.49662 .53624 L
.49275 .54058 L
.49244 .54107 L
.48872 .5459 L
.48792 .54715 L
.48562 .55073 L
.48309 .5527 L
.4815 .55557 L
.47826 .55972 L
.47759 .5604 L
.47342 .56447 L
.47135 .56523 L
.47342 .56984 L
.47826 .5682 L
.48309 .5684 L
.48514 .57006 L
.48309 .57373 L
.48237 .57489 L
.47886 .57973 L
.47826 .58032 L
.47572 .58456 L
.47342 .58535 L
.47102 .58939 L
.46859 .59218 L
.46593 .59422 L
.46376 .5957 L
.45893 .59626 L
.45698 .59422 L
.45881 .58939 L
.45893 .5887 L
.46163 .58456 L
.46376 .58129 L
.46444 .57973 L
.46853 .57489 L
.46859 .57482 L
.47326 .57006 L
.46859 .56582 L
.46376 .56532 L
.46341 .56523 L
.46363 .5604 L
.46376 .56022 L
.46754 .55557 L
.46859 .55307 L
.47028 .55073 L
.47342 .54643 L
.47354 .5459 L
.47747 .54107 L
.47826 .53999 L
.48194 .53624 L
.47826 .5331 L
.47342 .5329 L
.46926 .53141 L
.47261 .52658 L
.47342 .52555 L
.4766 .52174 L
.47826 .51886 L
.47955 .51691 L
.48309 .51223 L
.48328 .51208 L
.48781 .50725 L
.48792 .50587 L
.49118 .50242 L
.48792 .49971 L
.48309 .49953 L
.47912 .49758 L
.48211 .49275 L
.48309 .49151 L
.48593 .48792 L
.48792 .48368 L
.48894 .48309 L
.49275 .47844 L
.49291 .47826 L
.49711 .47342 L
.49758 .47203 L
.50081 .46859 L
.49758 .46603 L
.49275 .4659 L
.48873 .46376 L
.49241 .45893 L
.49275 .45768 L
.49539 .4541 L
.49758 .4505 L
.49834 .44927 L
.50242 .44478 L
.50266 .44443 L
.50668 .4396 L
.50725 .43855 L
.51158 .43477 L
.50725 .43195 L
.50242 .43194 L
.49892 .42994 L
.50197 .42511 L
.50242 .42418 L
.50507 .42027 L
.50725 .41739 L
.50768 .41544 L
.51208 .4117 L
.51282 .41061 L
.51691 .40625 L
.5172 .40578 L
F
.45893 .3836 m
.46338 .38645 L
.45893 .39006 L
.45704 .38645 L
F
1 .78 0 r
.47342 .47067 m
.47778 .47342 L
.475 .47826 L
.47342 .48049 L
.47143 .48309 L
.46859 .4866 L
.46735 .48792 L
.46376 .49134 L
.46127 .49275 L
.45893 .49414 L
.45713 .49275 L
.45707 .48792 L
.45893 .48565 L
.46047 .48309 L
.46376 .47866 L
.46408 .47826 L
.46859 .47351 L
.46869 .47342 L
F
0 .78 1 r
.45893 .44718 m
.46326 .44927 L
.45893 .45352 L
.45735 .44927 L
F
1 .76 0 r
.47342 .47102 m
.47741 .47342 L
.4748 .47826 L
.47342 .48022 L
.47123 .48309 L
.46859 .48633 L
.46706 .48792 L
.46376 .49098 L
.45994 .49275 L
.45893 .49306 L
.4584 .49275 L
.45752 .48792 L
.45893 .48618 L
.46074 .48309 L
.46376 .47901 L
.46436 .47826 L
.46859 .47384 L
.46911 .47342 L
F
0 .8 1 r
.45893 .47334 m
.45905 .47342 L
.45893 .47576 L
.45755 .47342 L
F
0 .92 1 r
.47826 .40445 m
.47986 .40578 L
.47832 .41061 L
.47826 .41068 L
.47503 .41544 L
.47342 .4176 L
.47128 .42027 L
.46859 .42489 L
.46675 .42511 L
.46376 .4273 L
.45893 .42746 L
.45772 .42511 L
.45893 .42329 L
.46047 .42027 L
.46376 .41556 L
.46385 .41544 L
.4678 .41061 L
.46859 .40983 L
.47342 .4059 L
.47365 .40578 L
F
1 .96 0 r
.45893 .61376 m
.46081 .61838 L
.45893 .61907 L
.45789 .61838 L
F
1 .68 0 r
.45893 .51105 m
.4628 .51208 L
.45893 .51648 L
.45799 .51208 L
F
1 .74 0 r
.47342 .47137 m
.47702 .47342 L
.4746 .47826 L
.47342 .47995 L
.47102 .48309 L
.46859 .48606 L
.46677 .48792 L
.46376 .49063 L
.45893 .49213 L
.45802 .48792 L
.45893 .48677 L
.46101 .48309 L
.46376 .47936 L
.46464 .47826 L
.46859 .47417 L
.46956 .47342 L
F
0 .76 1 r
.45893 .44818 m
.46245 .44927 L
.45893 .45234 L
.45814 .44927 L
F
0 .8 1 r
.46859 .53898 m
.47342 .53826 L
.47389 .54107 L
.47342 .54192 L
.47076 .5459 L
.46859 .5487 L
.4667 .55073 L
.46376 .55362 L
.46033 .55557 L
.45893 .55591 L
.45818 .55557 L
.45846 .55073 L
.45893 .55018 L
.46155 .5459 L
.46376 .54319 L
.46578 .54107 L
F
1 .72 0 r
.47342 .47174 m
.47659 .47342 L
.47439 .47826 L
.47342 .47966 L
.47081 .48309 L
.46859 .48579 L
.46645 .48792 L
.46376 .49027 L
.45893 .49112 L
.4586 .48792 L
.45893 .48747 L
.46129 .48309 L
.46376 .47971 L
.46492 .47826 L
.46859 .47451 L
.47004 .47342 L
F
1 .66 0 r
.45893 .51177 m
.46207 .51208 L
.45893 .51553 L
.45864 .51208 L
F
0 .92 1 r
.50242 .43447 m
.50434 .43477 L
.50539 .4396 L
.50242 .4432 L
.50163 .44443 L
.4979 .44927 L
.49758 .44981 L
.49464 .4541 L
.49275 .45643 L
.49181 .45893 L
.48792 .46214 L
.48569 .46376 L
.48792 .46793 L
.49275 .46732 L
.49758 .46834 L
.49781 .46859 L
.49758 .46941 L
.49655 .47342 L
.49275 .47751 L
.49224 .47826 L
.48852 .48309 L
.48792 .48339 L
.48532 .48792 L
.48309 .49045 L
.48108 .49275 L
.47826 .49604 L
.47585 .49758 L
.47826 .50154 L
.48309 .50085 L
.48792 .5016 L
.48874 .50242 L
.48792 .50384 L
.48748 .50725 L
.48309 .51135 L
.48257 .51208 L
.47894 .51691 L
.47826 .51788 L
.47576 .52174 L
.47342 .52406 L
.47107 .52658 L
.46859 .52923 L
.46376 .53132 L
.45893 .53105 L
.45866 .52658 L
.45893 .52537 L
.46125 .52174 L
.46376 .51795 L
.46416 .51691 L
.46802 .51208 L
.46859 .51132 L
.47235 .50725 L
.47342 .50524 L
.47658 .50242 L
.47342 .4986 L
.46859 .49865 L
.46576 .49758 L
.46773 .49275 L
.46859 .49064 L
.47038 .48792 L
.47342 .48375 L
.4735 .48309 L
.47751 .47826 L
.47826 .47726 L
.48168 .47342 L
.48309 .47129 L
.48623 .46859 L
.48309 .46501 L
.47826 .46517 L
.47481 .46376 L
.47707 .45893 L
.47826 .45675 L
.47984 .4541 L
.48309 .45 L
.48364 .44927 L
.4878 .44443 L
.48792 .44367 L
.49146 .4396 L
.49275 .43806 L
.49758 .43555 L
.49903 .43477 L
F
0 .9 1 r
.49275 .43852 m
.49758 .43649 L
.50242 .43498 L
.50507 .4396 L
.50242 .44283 L
.50142 .44443 L
.49781 .44927 L
.49758 .44967 L
.49448 .4541 L
.49275 .45619 L
.49163 .45893 L
.48792 .46178 L
.485 .46376 L
.48792 .46834 L
.49275 .4676 L
.49704 .46859 L
.4964 .47342 L
.49275 .4773 L
.49211 .47826 L
.48843 .48309 L
.48792 .48334 L
.48519 .48792 L
.48309 .49025 L
.48087 .49275 L
.47826 .4957 L
.47504 .49758 L
.47826 .50196 L
.48309 .50111 L
.48792 .50224 L
.48807 .50242 L
.48792 .50294 L
.48737 .50725 L
.48309 .51114 L
.48242 .51208 L
.47881 .51691 L
.47826 .51769 L
.47557 .52174 L
.47342 .52379 L
.47074 .52658 L
.46859 .52877 L
.46376 .53081 L
.45893 .52987 L
.45884 .52658 L
.45893 .52614 L
.46151 .52174 L
.46376 .51827 L
.46428 .51691 L
.46823 .51208 L
.46859 .5116 L
.47253 .50725 L
.47342 .5056 L
.47727 .50242 L
.47342 .49819 L
.46859 .49824 L
.46677 .49758 L
.46792 .49275 L
.46859 .49099 L
.47055 .48792 L
.47342 .48397 L
.47352 .48309 L
.47768 .47826 L
.47826 .4775 L
.48187 .47342 L
.48309 .47163 L
.48716 .46859 L
.48309 .4646 L
.47826 .46479 L
.47564 .46376 L
.47729 .45893 L
.47826 .4571 L
.48001 .4541 L
.48309 .45025 L
.48382 .44927 L
.48785 .44443 L
.48792 .44398 L
.49179 .4396 L
F
1 .96 0 r
.46376 .60749 m
.46859 .60497 L
.47019 .60872 L
.46859 .61109 L
.46652 .61355 L
.46376 .61643 L
.45903 .61355 L
.46247 .60872 L
F
1 .7 0 r
.47342 .47212 m
.47611 .47342 L
.47417 .47826 L
.47342 .47936 L
.47059 .48309 L
.46859 .4855 L
.46612 .48792 L
.46376 .4899 L
.45914 .48792 L
.46157 .48309 L
.46376 .48008 L
.46522 .47826 L
.46859 .47484 L
.47056 .47342 L
F
0 .78 1 r
.46859 .53946 m
.47342 .53949 L
.47347 .54107 L
.47342 .54117 L
.47041 .5459 L
.46859 .54826 L
.46624 .55073 L
.46376 .55308 L
.45918 .55073 L
.46199 .5459 L
.46376 .54372 L
.46634 .54107 L
F
0 .88 1 r
.49275 .46788 m
.4962 .46859 L
.49624 .47342 L
.49275 .47709 L
.49197 .47826 L
.48834 .48309 L
.48792 .4833 L
.48505 .48792 L
.48309 .49005 L
.48066 .49275 L
.47826 .49539 L
.4741 .49758 L
.47826 .50235 L
.48309 .50138 L
.4874 .50242 L
.48723 .50725 L
.48309 .51092 L
.48228 .51208 L
.47868 .51691 L
.47826 .51749 L
.47536 .52174 L
.47342 .52353 L
.4704 .52658 L
.46859 .52834 L
.46376 .53032 L
.4592 .52658 L
.46176 .52174 L
.46376 .51861 L
.46439 .51691 L
.46844 .51208 L
.46859 .51188 L
.4727 .50725 L
.47342 .50594 L
.47809 .50242 L
.47342 .4978 L
.46859 .49781 L
.46792 .49758 L
.46809 .49275 L
.46859 .49137 L
.47072 .48792 L
.47342 .48419 L
.47354 .48309 L
.47785 .47826 L
.47826 .47772 L
.48205 .47342 L
.48309 .47195 L
.48792 .46879 L
.48823 .46859 L
F
1 .68 0 r
.47342 .47251 m
.47556 .47342 L
.47395 .47826 L
.47342 .47904 L
.47036 .48309 L
.46859 .48522 L
.46575 .48792 L
.46376 .48952 L
.4596 .48792 L
.46186 .48309 L
.46376 .48045 L
.46552 .47826 L
.46859 .47518 L
.47117 .47342 L
F
0 .9 1 r
.47342 .40703 m
.47745 .41061 L
.47444 .41544 L
.47342 .41683 L
.47062 .42027 L
.46859 .42455 L
.46555 .42511 L
.46376 .42622 L
.45967 .42511 L
.46134 .42027 L
.46376 .41666 L
.46465 .41544 L
.46859 .41087 L
.46886 .41061 L
F
0 .86 1 r
.48309 .50164 m
.48668 .50242 L
.48706 .50725 L
.48309 .5107 L
.48213 .51208 L
.47854 .51691 L
.47826 .5173 L
.47513 .52174 L
.47342 .52327 L
.47004 .52658 L
.46859 .52793 L
.46376 .52984 L
.4597 .52658 L
.462 .52174 L
.46376 .51895 L
.4645 .51691 L
.46859 .51215 L
.46865 .51208 L
.47287 .50725 L
.47342 .50626 L
.47826 .50275 L
.47891 .50242 L
F
1 .94 0 r
.47826 .56887 m
.48309 .56927 L
.48399 .57006 L
.48309 .5726 L
.48183 .57489 L
.47842 .57973 L
.47826 .57989 L
.47508 .58456 L
.47342 .58494 L
.47017 .58939 L
.46859 .59104 L
.46376 .59394 L
.45974 .58939 L
.46234 .58456 L
.46376 .58231 L
.46485 .57973 L
.46859 .5757 L
.46924 .57489 L
.47342 .5708 L
.47462 .57006 L
F
0 .76 1 r
.46859 .53995 m
.47289 .54107 L
.47005 .5459 L
.46859 .54779 L
.46573 .55073 L
.46376 .55251 L
.45982 .55073 L
.46244 .5459 L
.46376 .54428 L
.46694 .54107 L
F
1 .66 0 r
.47342 .47293 m
.47485 .47342 L
.47371 .47826 L
.47342 .4787 L
.47012 .48309 L
.46859 .48492 L
.46535 .48792 L
.46376 .48913 L
.46011 .48792 L
.46217 .48309 L
.46376 .48084 L
.46583 .47826 L
.46859 .47552 L
.47191 .47342 L
F
0 .84 1 r
.48309 .50191 m
.48584 .50242 L
.48687 .50725 L
.48309 .51046 L
.48198 .51208 L
.4784 .51691 L
.47826 .51711 L
.47489 .52174 L
.47342 .52301 L
.46968 .52658 L
.46859 .52754 L
.46376 .52936 L
.46022 .52658 L
.46225 .52174 L
.46376 .51931 L
.46462 .51691 L
.46859 .51242 L
.46884 .51208 L
.47303 .50725 L
.47342 .50658 L
.47826 .50308 L
.47983 .50242 L
F
1 .96 0 r
.46376 .37838 m
.46693 .38162 L
.46376 .38601 L
.46049 .38162 L
F
0 .74 1 r
.46859 .54047 m
.47216 .54107 L
.46966 .5459 L
.46859 .5473 L
.46514 .55073 L
.46376 .55189 L
.46057 .55073 L
.46293 .5459 L
.46376 .54487 L
.46764 .54107 L
F
1 .64 0 r
.47342 .4734 m
.4736 .47342 L
.47347 .47826 L
.47342 .47832 L
.46988 .48309 L
.46859 .48462 L
.46489 .48792 L
.46376 .48872 L
.46071 .48792 L
.46248 .48309 L
.46376 .48126 L
.46615 .47826 L
.46859 .47587 L
.47322 .47342 L
F
0 .82 1 r
.48309 .50219 m
.48475 .50242 L
.48665 .50725 L
.48309 .51022 L
.48182 .51208 L
.47826 .51691 L
.47826 .51691 L
.47464 .52174 L
.47342 .52276 L
.46928 .52658 L
.46859 .52716 L
.46376 .52888 L
.46076 .52658 L
.4625 .52174 L
.46376 .51968 L
.46475 .51691 L
.46859 .51268 L
.46904 .51208 L
.4732 .50725 L
.47342 .50688 L
.47826 .50332 L
.481 .50242 L
F
1 .92 0 r
.47826 .56955 m
.48248 .57006 L
.48127 .57489 L
.47826 .57928 L
.47792 .57973 L
.47431 .58456 L
.47342 .58472 L
.46921 .58939 L
.46859 .58997 L
.46376 .59236 L
.46106 .58939 L
.46305 .58456 L
.46376 .58341 L
.46533 .57973 L
.46859 .57654 L
.46995 .57489 L
.47342 .57162 L
.47635 .57006 L
F
0 .8 1 r
.47342 .50717 m
.47826 .5035 L
.48309 .50247 L
.48639 .50725 L
.48309 .50997 L
.48167 .51208 L
.47826 .51671 L
.47809 .51691 L
.47437 .52174 L
.47342 .52251 L
.46886 .52658 L
.46859 .52679 L
.46376 .52838 L
.46133 .52658 L
.46275 .52174 L
.46376 .52006 L
.46488 .51691 L
.46859 .51295 L
.46924 .51208 L
.47338 .50725 L
F
1 .62 0 r
.46859 .47624 m
.47315 .47826 L
.46962 .48309 L
.46859 .4843 L
.46433 .48792 L
.46376 .48829 L
.46146 .48792 L
.46281 .48309 L
.46376 .4817 L
.46649 .47826 L
F
0 .78 1 r
.46376 .44271 m
.46619 .44443 L
.46376 .44861 L
.46148 .44443 L
F
0 .72 1 r
.46859 .54104 m
.47104 .54107 L
.46923 .5459 L
.46859 .54675 L
.46439 .55073 L
.46376 .5512 L
.46156 .55073 L
.46347 .5459 L
.46376 .54553 L
.46854 .54107 L
F
0 .78 1 r
.47826 .50363 m
.48309 .5028 L
.4861 .50725 L
.48309 .50971 L
.48151 .51208 L
.47826 .5165 L
.47793 .51691 L
.47409 .52174 L
.47342 .52226 L
.46859 .52644 L
.46835 .52658 L
.46376 .52787 L
.46195 .52658 L
.46301 .52174 L
.46376 .52048 L
.46503 .51691 L
.46859 .51322 L
.46944 .51208 L
.47342 .50745 L
.47362 .50725 L
F
0 .98 1 r
.54107 .37501 m
.5459 .37248 L
.54982 .37679 L
.54726 .38162 L
.5459 .38409 L
.54466 .38645 L
.54107 .39096 L
.54083 .39128 L
.53628 .39612 L
.54107 .40085 L
.54314 .40095 L
.54579 .40578 L
.5416 .41061 L
.54107 .41303 L
.53919 .41544 L
.53624 .41977 L
.536 .42027 L
.53228 .42511 L
.53141 .4263 L
.52769 .42994 L
.53141 .43311 L
.53624 .43332 L
.54016 .43477 L
.53717 .4396 L
.53624 .44072 L
.53281 .44443 L
.53141 .44738 L
.53 .44927 L
.52658 .45393 L
.52654 .4541 L
.52285 .45893 L
.52174 .46051 L
.51863 .46376 L
.52174 .46642 L
.52658 .46664 L
.5312 .46859 L
.52772 .47342 L
.52658 .4748 L
.52356 .47826 L
.52174 .48136 L
.52058 .48309 L
.51691 .48788 L
.51686 .48792 L
.51223 .49275 L
.51208 .49448 L
.50929 .49758 L
.51208 .49995 L
.51691 .50017 L
.52152 .50242 L
.51812 .50725 L
.51691 .50874 L
.5142 .51208 L
.51208 .5164 L
.51115 .51691 L
.50725 .52173 L
.50723 .52174 L
.50299 .52658 L
.50242 .52836 L
.49981 .53141 L
.50242 .53358 L
.50725 .53379 L
.51189 .53624 L
.50769 .54107 L
.50725 .54261 L
.50477 .5459 L
.50242 .54965 L
.50176 .55073 L
.49758 .55554 L
.49757 .55557 L
.49358 .5604 L
.49275 .56211 L
.4901 .56523 L
.49275 .56734 L
.49758 .56748 L
.5021 .57006 L
.49832 .57489 L
.49758 .57639 L
.49528 .57973 L
.49275 .58303 L
.49249 .58456 L
.48792 .58916 L
.48778 .58939 L
.48388 .59422 L
.48309 .59542 L
.47861 .59905 L
.48309 .6016 L
.48792 .60154 L
.49175 .60388 L
.48857 .60872 L
.48792 .61124 L
.48551 .61355 L
.48309 .61607 L
.48129 .61838 L
.47826 .62175 L
.4773 .62321 L
.47342 .62637 L
.47229 .62804 L
.46859 .63016 L
.46376 .62988 L
.46214 .62804 L
.46376 .62436 L
.46427 .62321 L
.46795 .61838 L
.46859 .61524 L
.47074 .61355 L
.47342 .60986 L
.47377 .60872 L
.47826 .60414 L
.47853 .60388 L
.47826 .59917 L
.47342 .59993 L
.46859 .59927 L
.46818 .59905 L
.46859 .59578 L
.46897 .59422 L
.47258 .58939 L
.47342 .58728 L
.47671 .58456 L
.47826 .58112 L
.47965 .57973 L
.48309 .57548 L
.48338 .57489 L
.48721 .57006 L
.48309 .56702 L
.47826 .56675 L
.4754 .56523 L
.47826 .5608 L
.47828 .5604 L
.48199 .55557 L
.48309 .55336 L
.48595 .55073 L
.48792 .54753 L
.48899 .5459 L
.49275 .54143 L
.4929 .54107 L
.4972 .53624 L
.49275 .53357 L
.48792 .53333 L
.48441 .53141 L
.48792 .52675 L
.48803 .52658 L
.49242 .52174 L
.49275 .51974 L
.49533 .51691 L
.49758 .51396 L
.49835 .51208 L
.50242 .50752 L
.50251 .50725 L
.50657 .50242 L
.50242 .5 L
.49758 .49977 L
.49372 .49758 L
.49758 .49285 L
.49765 .49275 L
.50172 .48792 L
.50242 .48616 L
.50476 .48309 L
.50725 .48042 L
.50762 .47826 L
.51208 .47352 L
.51216 .47342 L
.51611 .46859 L
.51208 .46636 L
.50725 .46614 L
.50303 .46376 L
.50725 .45902 L
.50731 .45893 L
.51113 .4541 L
.51208 .45264 L
.51419 .44927 L
.51691 .44696 L
.51823 .44443 L
.52174 .43978 L
.5219 .4396 L
.52611 .43477 L
.52174 .43257 L
.51691 .43239 L
.51371 .42994 L
.51691 .42534 L
.51707 .42511 L
.52069 .42027 L
.52174 .41926 L
.52369 .41544 L
.52658 .41384 L
.52811 .41061 L
.53141 .40641 L
.53206 .40578 L
.53624 .40188 L
.54013 .40095 L
.53624 .39621 L
.53141 .39811 L
.52658 .39802 L
.52441 .39612 L
.52658 .39244 L
.52734 .39128 L
.53085 .38645 L
.53141 .38621 L
.53399 .38162 L
.53624 .37985 L
.53932 .37679 L
F
1 .9 0 r
.47826 .43795 m
.48309 .43556 L
.48792 .43553 L
.48873 .4396 L
.48792 .44065 L
.48698 .44443 L
.48309 .44785 L
.48206 .44927 L
.4784 .4541 L
.47826 .45429 L
.47466 .45893 L
.47342 .45995 L
.46859 .46328 L
.46656 .46376 L
.46376 .46383 L
.46341 .46376 L
.46221 .45893 L
.46376 .45629 L
.46439 .4541 L
.46853 .44927 L
.46859 .44918 L
.4726 .44443 L
.47342 .44296 L
.47633 .4396 L
F
0 .88 1 r
.47342 .40821 m
.47644 .41061 L
.47381 .41544 L
.47342 .41598 L
.46989 .42027 L
.46859 .42356 L
.46376 .42503 L
.46227 .42027 L
.46376 .4179 L
.4655 .41544 L
.46859 .41191 L
.47002 .41061 L
F
0 .76 1 r
.46376 .44369 m
.46514 .44443 L
.46376 .4475 L
.46257 .44443 L
F
1 .88 0 r
.47826 .43846 m
.48309 .43603 L
.48792 .43642 L
.48827 .4396 L
.48792 .44008 L
.48676 .44443 L
.48309 .44755 L
.48185 .44927 L
.47826 .454 L
.47818 .4541 L
.47421 .45893 L
.47342 .45954 L
.46859 .4628 L
.46376 .46306 L
.46265 .45893 L
.46376 .45693 L
.46456 .4541 L
.46859 .44956 L
.46881 .44927 L
.47282 .44443 L
.47342 .44336 L
.47681 .4396 L
F
0 .76 1 r
.47826 .50372 m
.48309 .50315 L
.48577 .50725 L
.48309 .50944 L
.48135 .51208 L
.47826 .5163 L
.47776 .51691 L
.47378 .52174 L
.47342 .52202 L
.46859 .52611 L
.46764 .52658 L
.46376 .52732 L
.46266 .52658 L
.46329 .52174 L
.46376 .52092 L
.4652 .51691 L
.46859 .51349 L
.46964 .51208 L
.47342 .50771 L
.47389 .50725 L
F
1 .9 0 r
.46376 .5848 m
.46783 .58939 L
.46376 .59057 L
.46266 .58939 L
F
1 .86 0 r
.47826 .43894 m
.48309 .43648 L
.48779 .4396 L
.4865 .44443 L
.48309 .44725 L
.48164 .44927 L
.47826 .45371 L
.47793 .4541 L
.47371 .45893 L
.47342 .45914 L
.46859 .46233 L
.46376 .46211 L
.46312 .45893 L
.46376 .45767 L
.46474 .4541 L
.46859 .44996 L
.46908 .44927 L
.47303 .44443 L
.47342 .44376 L
.47735 .4396 L
F
1 .6 0 r
.46859 .47662 m
.4728 .47826 L
.46934 .48309 L
.46859 .48397 L
.46376 .48778 L
.46315 .48309 L
.46376 .48218 L
.46685 .47826 L
F
0 .86 1 r
.46859 .41304 m
.47301 .41544 L
.46904 .42027 L
.46859 .42157 L
.46376 .42305 L
.46335 .42027 L
.46376 .4195 L
.46646 .41544 L
F
1 .58 0 r
.46859 .47702 m
.47239 .47826 L
.46904 .48309 L
.46859 .48361 L
.46376 .48704 L
.46353 .48309 L
.46376 .48272 L
.46725 .47826 L
F
0 .74 1 r
.47826 .50379 m
.48309 .50352 L
.4854 .50725 L
.48309 .50915 L
.48119 .51208 L
.47826 .51609 L
.47759 .51691 L
.47346 .52174 L
.47342 .52177 L
.46859 .52578 L
.46662 .52658 L
.46376 .52671 L
.46354 .52658 L
.46358 .52174 L
.46376 .52142 L
.46538 .51691 L
.46859 .51376 L
.46984 .51208 L
.47342 .50796 L
.47417 .50725 L
F
1 .7 0 r
.46376 .50721 m
.46409 .50725 L
.46376 .5114 L
.46361 .50725 L
F
1 .84 0 r
.47826 .43941 m
.48309 .43694 L
.48731 .4396 L
.4862 .44443 L
.48309 .44693 L
.48142 .44927 L
.47826 .45341 L
.47768 .4541 L
.47342 .45876 L
.47323 .45893 L
.46859 .46186 L
.46376 .46069 L
.46364 .45893 L
.46376 .45864 L
.46496 .4541 L
.46859 .45035 L
.46936 .44927 L
.47325 .44443 L
.47342 .44415 L
.47796 .4396 L
F
1 .9 0 r
.47342 .5724 m
.47826 .57028 L
.48068 .57489 L
.47826 .57856 L
.47738 .57973 L
.47342 .58452 L
.47339 .58456 L
.46859 .58894 L
.46387 .58456 L
.46596 .57973 L
.46859 .57738 L
.47068 .57489 L
F
0 .72 1 r
.47826 .50385 m
.48309 .50392 L
.48499 .50725 L
.48309 .50883 L
.48103 .51208 L
.47826 .51588 L
.47742 .51691 L
.47342 .52153 L
.4732 .52174 L
.46859 .52545 L
.46389 .52174 L
.46558 .51691 L
.46859 .51404 L
.47005 .51208 L
.47342 .50822 L
.47445 .50725 L
F
1 .56 0 r
.46859 .47745 m
.47191 .47826 L
.46872 .48309 L
.46859 .48323 L
.46398 .48309 L
.46769 .47826 L
F
0 .86 1 r
.46859 .43791 m
.47057 .4396 L
.46859 .4444 L
.46405 .4396 L
F
0 .7 1 r
.46859 .54195 m
.46875 .5459 L
.46859 .54611 L
.46414 .5459 L
F
1 .82 0 r
.48309 .4374 m
.4868 .4396 L
.48586 .44443 L
.48309 .44661 L
.4812 .44927 L
.47826 .45312 L
.47743 .4541 L
.47342 .4584 L
.47278 .45893 L
.46859 .46141 L
.46418 .45893 L
.46523 .4541 L
.46859 .45076 L
.46964 .44927 L
.47342 .44453 L
.47351 .44443 L
.47826 .43983 L
.47858 .4396 L
F
0 .7 1 r
.47826 .50392 m
.48309 .50437 L
.48454 .50725 L
.48309 .50849 L
.48087 .51208 L
.47826 .51566 L
.47724 .51691 L
.47342 .52128 L
.47293 .52174 L
.46859 .52512 L
.46421 .52174 L
.4658 .51691 L
.46859 .51432 L
.47025 .51208 L
.47342 .50847 L
.47474 .50725 L
F
1 .94 0 r
.51691 .43423 m
.52071 .43477 L
.52165 .4396 L
.5175 .44443 L
.51691 .44576 L
.51372 .44927 L
.51208 .45208 L
.51073 .4541 L
.50725 .45758 L
.50663 .45893 L
.50242 .46362 L
.50223 .46376 L
.50242 .46794 L
.50725 .46706 L
.51208 .46744 L
.51431 .46859 L
.51208 .47243 L
.51153 .47342 L
.50749 .47826 L
.50725 .47987 L
.50446 .48309 L
.50242 .48576 L
.5015 .48792 L
.49758 .49155 L
.49713 .49275 L
.49275 .49757 L
.49273 .49758 L
.49275 .50135 L
.49758 .50051 L
.50242 .50079 L
.50552 .50242 L
.50242 .50655 L
.502 .50725 L
.49814 .51208 L
.49758 .51353 L
.49503 .51691 L
.49275 .51926 L
.49226 .52174 L
.48792 .52599 L
.48738 .52658 L
.48309 .53105 L
.48239 .53141 L
.48309 .53554 L
.48792 .53432 L
.49275 .53457 L
.49618 .53624 L
.49275 .54018 L
.49221 .54107 L
.48858 .5459 L
.48792 .54695 L
.48545 .55073 L
.48309 .55244 L
.48125 .55557 L
.47826 .5593 L
.47711 .5604 L
.47342 .56373 L
.46859 .56499 L
.46431 .5604 L
.46778 .55557 L
.46859 .5535 L
.47052 .55073 L
.47342 .54675 L
.4736 .5459 L
.47776 .54107 L
.47826 .54041 L
.48243 .53624 L
.47826 .53269 L
.47342 .53245 L
.46994 .53141 L
.47291 .52658 L
.47342 .52589 L
.47674 .52174 L
.47826 .51906 L
.47966 .51691 L
.48309 .51232 L
.48342 .51208 L
.48784 .50725 L
.48792 .50616 L
.4916 .50242 L
.48792 .49941 L
.48309 .49925 L
.4797 .49758 L
.48231 .49275 L
.48309 .49174 L
.48604 .48792 L
.48792 .48377 L
.48903 .48309 L
.49275 .47859 L
.49304 .47826 L
.49721 .47342 L
.49758 .47235 L
.50144 .46859 L
.49758 .4657 L
.49275 .4656 L
.4893 .46376 L
.49249 .45893 L
.49275 .45795 L
.49554 .4541 L
.49758 .45065 L
.49843 .44927 L
.50242 .44505 L
.50287 .44443 L
.50693 .4396 L
.50725 .43906 L
.51208 .43518 L
.51349 .43477 L
F
0 .68 1 r
.47826 .50402 m
.48309 .5049 L
.48404 .50725 L
.48309 .5081 L
.4807 .51208 L
.47826 .51544 L
.47706 .51691 L
.47342 .52104 L
.47266 .52174 L
.46859 .52479 L
.46453 .52174 L
.46604 .51691 L
.46859 .51461 L
.47046 .51208 L
.47342 .50873 L
.47504 .50725 L
F
1 .8 0 r
.48309 .43787 m
.48624 .4396 L
.48546 .44443 L
.48309 .44626 L
.48098 .44927 L
.47826 .45282 L
.47716 .4541 L
.47342 .45804 L
.47229 .45893 L
.46859 .46094 L
.46476 .45893 L
.46554 .4541 L
.46859 .45118 L
.46992 .44927 L
.47342 .44489 L
.47384 .44443 L
.47826 .44022 L
.4792 .4396 L
F
1 .88 0 r
.47342 .57316 m
.47826 .57118 L
.48004 .57489 L
.47826 .57775 L
.4768 .57973 L
.47342 .58376 L
.4726 .58456 L
.46859 .5879 L
.46479 .58456 L
.4668 .57973 L
.46859 .57826 L
.47145 .57489 L
F
0 .66 1 r
.47826 .50415 m
.48309 .50559 L
.48349 .50725 L
.48309 .50764 L
.48052 .51208 L
.47826 .51522 L
.47688 .51691 L
.47342 .52079 L
.47236 .52174 L
.46859 .52445 L
.46487 .52174 L
.46632 .51691 L
.46859 .5149 L
.47067 .51208 L
.47342 .50898 L
.47534 .50725 L
F
1 .92 0 r
.50725 .43952 m
.51208 .43568 L
.51691 .4348 L
.52156 .4396 L
.51725 .44443 L
.51691 .44525 L
.51357 .44927 L
.51208 .45188 L
.51059 .4541 L
.50725 .4572 L
.50641 .45893 L
.50242 .46325 L
.50165 .46376 L
.50242 .46844 L
.50725 .46735 L
.51208 .46785 L
.51355 .46859 L
.51208 .47194 L
.51133 .47342 L
.50745 .47826 L
.50725 .47967 L
.50436 .48309 L
.50242 .48563 L
.50142 .48792 L
.49758 .49116 L
.49696 .49275 L
.49275 .49725 L
.4922 .49758 L
.49275 .50185 L
.49758 .50074 L
.50242 .50108 L
.50507 .50242 L
.50242 .50621 L
.50183 .50725 L
.49807 .51208 L
.49758 .51337 L
.49493 .51691 L
.49275 .51911 L
.49219 .52174 L
.48792 .52576 L
.48716 .52658 L
.48309 .53067 L
.48148 .53141 L
.48309 .53611 L
.48792 .53463 L
.49275 .53495 L
.49557 .53624 L
.49275 .53973 L
.49198 .54107 L
.48844 .5459 L
.48792 .54675 L
.48526 .55073 L
.48309 .5522 L
.48099 .55557 L
.47826 .55889 L
.47661 .5604 L
.47342 .56309 L
.46859 .56427 L
.46497 .5604 L
.468 .55557 L
.46859 .55394 L
.47075 .55073 L
.47342 .54707 L
.47366 .5459 L
.47805 .54107 L
.47826 .5408 L
.48295 .53624 L
.47826 .5323 L
.47342 .53197 L
.47117 .53141 L
.4732 .52658 L
.47342 .52627 L
.47688 .52174 L
.47826 .51926 L
.47978 .51691 L
.48309 .5124 L
.48356 .51208 L
.48786 .50725 L
.48792 .50644 L
.49205 .50242 L
.48792 .49913 L
.48309 .49896 L
.48029 .49758 L
.48251 .49275 L
.48309 .49198 L
.48616 .48792 L
.48792 .48387 L
.48912 .48309 L
.49275 .47873 L
.49317 .47826 L
.4973 .47342 L
.49758 .47264 L
.50215 .46859 L
.49758 .46537 L
.49275 .46529 L
.48988 .46376 L
.49257 .45893 L
.49275 .45823 L
.49569 .4541 L
.49758 .45081 L
.49854 .44927 L
.50242 .44531 L
.50308 .44443 L
.50719 .4396 L
F
0 .64 1 r
.47826 .50434 m
.48298 .50725 L
.48035 .51208 L
.47826 .51499 L
.47669 .51691 L
.47342 .52055 L
.47204 .52174 L
.46859 .5241 L
.46523 .52174 L
.46662 .51691 L
.46859 .5152 L
.47089 .51208 L
.47342 .50924 L
.47567 .50725 L
F
0 .84 1 r
.46859 .43882 m
.46958 .4396 L
.46859 .44347 L
.46533 .4396 L
F
1 .78 0 r
.48309 .43835 m
.4856 .4396 L
.48501 .44443 L
.48309 .4459 L
.48075 .44927 L
.47826 .45251 L
.47689 .4541 L
.47342 .45768 L
.47173 .45893 L
.46859 .46047 L
.46539 .45893 L
.46592 .4541 L
.46859 .45162 L
.47021 .44927 L
.47342 .44526 L
.47417 .44443 L
.47826 .44061 L
.47991 .4396 L
F
0 .62 1 r
.47826 .50459 m
.48265 .50725 L
.48017 .51208 L
.47826 .51475 L
.47649 .51691 L
.47342 .52029 L
.4717 .52174 L
.46859 .52374 L
.46561 .52174 L
.46696 .51691 L
.46859 .51552 L
.4711 .51208 L
.47342 .50949 L
.47601 .50725 L
F
1 .9 0 r
.48792 .53493 m
.49275 .53536 L
.49475 .53624 L
.49275 .5392 L
.49174 .54107 L
.4883 .5459 L
.48792 .54653 L
.48507 .55073 L
.48309 .55199 L
.48074 .55557 L
.47826 .55851 L
.47608 .5604 L
.47342 .5625 L
.46859 .56355 L
.46565 .5604 L
.46819 .55557 L
.46859 .55441 L
.47098 .55073 L
.47342 .54739 L
.47372 .5459 L
.47826 .54115 L
.47833 .54107 L
.48309 .53653 L
.48362 .53624 L
F
0 .98 1 r
.46859 .64265 m
.47203 .64737 L
.46859 .65022 L
.46569 .64737 L
F
0 .96 1 r
.47826 .37647 m
.48309 .37307 L
.48722 .37679 L
.48553 .38162 L
.48309 .3835 L
.48089 .38645 L
.47826 .38969 L
.47675 .39128 L
.47342 .39408 L
.46859 .39539 L
.46572 .39128 L
.46859 .38842 L
.46983 .38645 L
.47342 .3817 L
.47349 .38162 L
.47784 .37679 L
F
1 .86 0 r
.47342 .57395 m
.47826 .57225 L
.47932 .57489 L
.47826 .5768 L
.47616 .57973 L
.47342 .58295 L
.47165 .58456 L
.46859 .58678 L
.46585 .58456 L
.46793 .57973 L
.46859 .57921 L
.4723 .57489 L
F
0 .6 1 r
.47826 .50493 m
.48228 .50725 L
.47998 .51208 L
.47826 .51451 L
.47629 .51691 L
.47342 .52004 L
.47131 .52174 L
.46859 .52337 L
.46603 .52174 L
.46733 .51691 L
.46859 .51585 L
.47133 .51208 L
.47342 .50975 L
.47637 .50725 L
F
1 .76 0 r
.48309 .43887 m
.48483 .4396 L
.48451 .44443 L
.48309 .44551 L
.48051 .44927 L
.47826 .4522 L
.4766 .4541 L
.47342 .45732 L
.47107 .45893 L
.46859 .45998 L
.4661 .45893 L
.46637 .4541 L
.46859 .45208 L
.4705 .44927 L
.47342 .44562 L
.47452 .44443 L
.47826 .441 L
.48076 .4396 L
F
1 .88 0 r
.48792 .53524 m
.49275 .53584 L
.49368 .53624 L
.49275 .53851 L
.49151 .54107 L
.48815 .5459 L
.48792 .54629 L
.48487 .55073 L
.48309 .55181 L
.48047 .55557 L
.47826 .55814 L
.47552 .5604 L
.47342 .56194 L
.46859 .56281 L
.46635 .5604 L
.46837 .55557 L
.46859 .55491 L
.47121 .55073 L
.47342 .54772 L
.4738 .5459 L
.47826 .54139 L
.47862 .54107 L
.48309 .53689 L
.48436 .53624 L
F
1 .96 0 r
.46859 .37654 m
.46874 .37679 L
.46859 .37804 L
.46637 .37679 L
F
0 .58 1 r
.47826 .50537 m
.48186 .50725 L
.47979 .51208 L
.47826 .51426 L
.47608 .51691 L
.47342 .51978 L
.47088 .52174 L
.46859 .52297 L
.46649 .52174 L
.46774 .51691 L
.46859 .5162 L
.47156 .51208 L
.47342 .51002 L
.47677 .50725 L
F
1 .74 0 r
.48309 .43942 m
.4837 .4396 L
.48394 .44443 L
.48309 .44509 L
.48027 .44927 L
.47826 .45189 L
.47631 .4541 L
.47342 .45696 L
.47023 .45893 L
.46859 .45946 L
.467 .45893 L
.46689 .4541 L
.46859 .45258 L
.47079 .44927 L
.47342 .446 L
.47487 .44443 L
.47826 .4414 L
.48203 .4396 L
F
0 .56 1 r
.47826 .50592 m
.48136 .50725 L
.47959 .51208 L
.47826 .514 L
.47586 .51691 L
.47342 .51951 L
.47035 .52174 L
.46859 .52255 L
.46703 .52174 L
.46819 .51691 L
.46859 .51657 L
.47179 .51208 L
.47342 .51029 L
.47721 .50725 L
F
1 .86 0 r
.48792 .53554 m
.4925 .53624 L
.49126 .54107 L
.488 .5459 L
.48792 .54604 L
.48465 .55073 L
.48309 .55164 L
.48021 .55557 L
.47826 .55778 L
.47491 .5604 L
.47342 .56141 L
.46859 .56202 L
.46711 .5604 L
.46856 .55557 L
.46859 .55547 L
.47144 .55073 L
.47342 .54804 L
.47388 .5459 L
.47826 .54159 L
.4789 .54107 L
.48309 .53724 L
.48518 .53624 L
F
1 .84 0 r
.46859 .58059 m
.47028 .58456 L
.46859 .58543 L
.46727 .58456 L
F
1 .72 0 r
.47826 .44179 m
.48309 .44017 L
.48331 .44443 L
.48309 .44461 L
.48002 .44927 L
.47826 .45156 L
.47599 .4541 L
.47342 .45659 L
.46859 .45889 L
.46751 .4541 L
.46859 .45313 L
.4711 .44927 L
.47342 .44637 L
.47525 .44443 L
F
1 .98 0 r
.46859 .35122 m
.47172 .35263 L
.46859 .35543 L
.46753 .35263 L
F
0 .84 1 r
.46859 .41438 m
.4718 .41544 L
.46859 .41938 L
.46762 .41544 L
F
0 .54 1 r
.46859 .51701 m
.46964 .52174 L
.46859 .52209 L
.46774 .52174 L
F
1 .84 0 r
.48792 .53585 m
.4915 .53624 L
.49102 .54107 L
.48792 .54577 L
.48782 .5459 L
.48443 .55073 L
.48309 .55149 L
.47993 .55557 L
.47826 .55742 L
.47422 .5604 L
.47342 .56089 L
.46859 .56112 L
.46795 .5604 L
.46859 .55635 L
.4689 .55557 L
.47168 .55073 L
.47342 .54837 L
.47399 .5459 L
.47826 .54176 L
.47919 .54107 L
.48309 .53757 L
.48613 .53624 L
F
0 .96 1 r
.48309 .60342 m
.48792 .60335 L
.48881 .60388 L
.48792 .60751 L
.48728 .60872 L
.48409 .61355 L
.48309 .61457 L
.47968 .61838 L
.47826 .61956 L
.47433 .62321 L
.47342 .62332 L
.46859 .62442 L
.468 .62321 L
.46859 .62053 L
.46943 .61838 L
.47227 .61355 L
.47342 .61148 L
.47475 .60872 L
.47826 .60637 L
.48187 .60388 L
F
1 .54 0 r
.46859 .47793 m
.4713 .47826 L
.46859 .4827 L
.4682 .47826 L
F
1 .7 0 r
.47826 .4422 m
.48283 .44443 L
.47976 .44927 L
.47826 .45123 L
.47566 .4541 L
.47342 .45621 L
.46859 .45799 L
.46823 .4541 L
.46859 .45376 L
.47141 .44927 L
.47342 .44676 L
.47564 .44443 L
F
0 .86 1 r
.49275 .46816 m
.49522 .46859 L
.49606 .47342 L
.49275 .47687 L
.49183 .47826 L
.48825 .48309 L
.48792 .48326 L
.48491 .48792 L
.48309 .48986 L
.48044 .49275 L
.47826 .49509 L
.47342 .49745 L
.46859 .49727 L
.46826 .49275 L
.46859 .49179 L
.47088 .48792 L
.47342 .48442 L
.47356 .48309 L
.47802 .47826 L
.47826 .47795 L
.48224 .47342 L
.48309 .47226 L
.48792 .46933 L
.48929 .46859 L
F
0 .84 1 r
.49275 .46845 m
.49389 .46859 L
.49587 .47342 L
.49275 .47664 L
.4917 .47826 L
.48816 .48309 L
.48792 .48321 L
.48476 .48792 L
.48309 .48966 L
.48022 .49275 L
.47826 .4948 L
.47342 .49713 L
.46859 .49658 L
.46843 .49275 L
.46859 .49225 L
.47105 .48792 L
.47342 .48464 L
.47359 .48309 L
.47819 .47826 L
.47826 .47817 L
.48243 .47342 L
.48309 .47255 L
.48792 .46979 L
.49077 .46859 L
F
0 .82 1 r
.48309 .47283 m
.48792 .47016 L
.49275 .46875 L
.49565 .47342 L
.49275 .4764 L
.49156 .47826 L
.48806 .48309 L
.48792 .48317 L
.48461 .48792 L
.48309 .48947 L
.48 .49275 L
.47826 .49452 L
.47342 .49681 L
.46861 .49275 L
.47121 .48792 L
.47342 .48487 L
.47362 .48309 L
.47826 .47838 L
.47836 .47826 L
.48262 .47342 L
F
0 .54 1 r
.47826 .5066 m
.48073 .50725 L
.47939 .51208 L
.47826 .51372 L
.47563 .51691 L
.47342 .51924 L
.46864 .51691 L
.47204 .51208 L
.47342 .51056 L
.47773 .50725 L
F
0 .98 1 r
.47342 .63905 m
.47595 .64254 L
.47342 .64593 L
.46868 .64254 L
F
1 .68 0 r
.47826 .44262 m
.48241 .44443 L
.47949 .44927 L
.47826 .45088 L
.4753 .4541 L
.47342 .45583 L
.46884 .4541 L
.47174 .44927 L
.47342 .44717 L
.47606 .44443 L
F
0 .8 1 r
.48309 .4731 m
.48792 .47048 L
.49275 .46908 L
.49541 .47342 L
.49275 .47615 L
.49142 .47826 L
.48796 .48309 L
.48792 .48311 L
.48445 .48792 L
.48309 .48929 L
.47977 .49275 L
.47826 .49425 L
.47342 .4965 L
.46892 .49275 L
.47138 .48792 L
.47342 .48511 L
.47366 .48309 L
.47826 .47859 L
.47852 .47826 L
.48283 .47342 L
F
0 .52 1 r
.47342 .51084 m
.47826 .50733 L
.47918 .51208 L
.47826 .51344 L
.47539 .51691 L
.47342 .51896 L
.46894 .51691 L
.47229 .51208 L
F
1 .84 0 r
.47342 .57479 m
.47826 .57387 L
.47848 .57489 L
.47826 .57543 L
.47544 .57973 L
.47342 .58206 L
.46907 .57973 L
.47329 .57489 L
F
0 .78 1 r
.48309 .47336 m
.48792 .47073 L
.49275 .46942 L
.49514 .47342 L
.49275 .47588 L
.49128 .47826 L
.48792 .48299 L
.48785 .48309 L
.48429 .48792 L
.48309 .4891 L
.47953 .49275 L
.47826 .49398 L
.47342 .4962 L
.46923 .49275 L
.47155 .48792 L
.47342 .48534 L
.4737 .48309 L
.47826 .47879 L
.47869 .47826 L
.48303 .47342 L
F
0 .5 1 r
.47342 .51114 m
.47826 .50775 L
.47895 .51208 L
.47826 .51312 L
.47513 .51691 L
.47342 .51866 L
.46926 .51691 L
.47256 .51208 L
F
1 .82 0 r
.48792 .53616 m
.48998 .53624 L
.49077 .54107 L
.48792 .54548 L
.48762 .5459 L
.48419 .55073 L
.48309 .55134 L
.47965 .55557 L
.47826 .55708 L
.47342 .56038 L
.46927 .55557 L
.47192 .55073 L
.47342 .54871 L
.47412 .5459 L
.47826 .54192 L
.47948 .54107 L
.48309 .53789 L
.48742 .53624 L
F
1 .66 0 r
.47826 .44306 m
.48193 .44443 L
.4792 .44927 L
.47826 .45051 L
.47491 .4541 L
.47342 .45542 L
.46934 .4541 L
.47208 .44927 L
.47342 .44759 L
.47652 .44443 L
F
0 .76 1 r
.48792 .47094 m
.49275 .46977 L
.49484 .47342 L
.49275 .4756 L
.49114 .47826 L
.48792 .48281 L
.48771 .48309 L
.48412 .48792 L
.48309 .48891 L
.47929 .49275 L
.47826 .49372 L
.47342 .49589 L
.46955 .49275 L
.47173 .48792 L
.47342 .48558 L
.47376 .48309 L
.47826 .479 L
.47886 .47826 L
.48309 .47348 L
.48328 .47342 L
F
0 .48 1 r
.47342 .51145 m
.47826 .50823 L
.47872 .51208 L
.47826 .51279 L
.47485 .51691 L
.47342 .51836 L
.46961 .51691 L
.47284 .51208 L
F
1 .8 0 r
.48309 .5382 m
.48792 .5365 L
.49051 .54107 L
.48792 .54518 L
.48742 .5459 L
.48393 .55073 L
.48309 .5512 L
.47936 .55557 L
.47826 .55673 L
.47342 .5599 L
.46966 .55557 L
.47217 .55073 L
.47342 .54905 L
.47427 .5459 L
.47826 .54207 L
.47977 .54107 L
F
0 .96 1 r
.53624 .40414 m
.54107 .40356 L
.54319 .40578 L
.54115 .41061 L
.54107 .41144 L
.5384 .41544 L
.53624 .41879 L
.53558 .42027 L
.53153 .42511 L
.53141 .42526 L
.52681 .42994 L
.53141 .43408 L
.53624 .43452 L
.53724 .43477 L
.53644 .4396 L
.53624 .43988 L
.53251 .44443 L
.53141 .44697 L
.52975 .44927 L
.52658 .4536 L
.52647 .4541 L
.52256 .45893 L
.52174 .46005 L
.51811 .46376 L
.52174 .46686 L
.52658 .46707 L
.53075 .46859 L
.52742 .47342 L
.52658 .47448 L
.52341 .47826 L
.52174 .48116 L
.52046 .48309 L
.51691 .48778 L
.51673 .48792 L
.51219 .49275 L
.51208 .49416 L
.50886 .49758 L
.51208 .50026 L
.51691 .50045 L
.52093 .50242 L
.51791 .50725 L
.51691 .50851 L
.51408 .51208 L
.51208 .51632 L
.51106 .51691 L
.50725 .52157 L
.5071 .52174 L
.5029 .52658 L
.50242 .528 L
.49924 .53141 L
.50242 .53394 L
.50725 .53408 L
.51132 .53624 L
.5076 .54107 L
.50725 .54235 L
.50462 .5459 L
.50242 .54951 L
.50167 .55073 L
.49758 .55524 L
.49736 .55557 L
.49334 .5604 L
.49275 .5615 L
.48859 .56523 L
.49275 .56799 L
.49758 .56801 L
.50117 .57006 L
.49805 .57489 L
.49758 .57587 L
.49496 .57973 L
.49275 .58265 L
.49234 .58456 L
.48792 .58837 L
.48723 .58939 L
.48309 .59392 L
.48291 .59422 L
.47826 .59757 L
.47342 .59812 L
.46977 .59422 L
.47332 .58939 L
.47342 .58908 L
.47709 .58456 L
.47826 .5816 L
.48002 .57973 L
.48309 .57625 L
.48386 .57489 L
.48792 .5703 L
.48822 .57006 L
.48792 .56555 L
.48309 .5664 L
.47826 .56588 L
.477 .56523 L
.47826 .56172 L
.47831 .5604 L
.48224 .55557 L
.48309 .55375 L
.48611 .55073 L
.48792 .54772 L
.48912 .5459 L
.49275 .54193 L
.49312 .54107 L
.49741 .53624 L
.49275 .53327 L
.48792 .53298 L
.48499 .53141 L
.48792 .52712 L
.48824 .52658 L
.49247 .52174 L
.49275 .51992 L
.49543 .51691 L
.49758 .5141 L
.49842 .51208 L
.50242 .50799 L
.50268 .50725 L
.50689 .50242 L
.50242 .49975 L
.49758 .4995 L
.49406 .49758 L
.49758 .49313 L
.49782 .49275 L
.50179 .48792 L
.50242 .48631 L
.50486 .48309 L
.50725 .48058 L
.50767 .47826 L
.51208 .47376 L
.51238 .47342 L
.51674 .46859 L
.51208 .46603 L
.50725 .46581 L
.50335 .46376 L
.50725 .45938 L
.50754 .45893 L
.51127 .4541 L
.51208 .45283 L
.51436 .44927 L
.51691 .44727 L
.51848 .44443 L
.52174 .44024 L
.52237 .4396 L
.52658 .43546 L
.52838 .43477 L
.52658 .43027 L
.52174 .43186 L
.51691 .43167 L
.51476 .42994 L
.51691 .42618 L
.51759 .42511 L
.5211 .42027 L
.52174 .41965 L
.52422 .41544 L
.52658 .4146 L
.5289 .41061 L
.53141 .40772 L
.53389 .40578 L
F
0 .74 1 r
.48792 .4711 m
.49275 .47015 L
.49452 .47342 L
.49275 .4753 L
.49099 .47826 L
.48792 .48263 L
.48758 .48309 L
.48394 .48792 L
.48309 .48873 L
.47904 .49275 L
.47826 .49347 L
.47342 .49558 L
.46988 .49275 L
.47191 .48792 L
.47342 .48583 L
.47383 .48309 L
.47826 .4792 L
.47903 .47826 L
.48309 .47354 L
.48354 .47342 L
F
1 .64 0 r
.47826 .44352 m
.48137 .44443 L
.47889 .44927 L
.47826 .45011 L
.47448 .4541 L
.47342 .45499 L
.4699 .4541 L
.47245 .44927 L
.47342 .44804 L
.47704 .44443 L
F
0 .46 1 r
.47342 .51177 m
.47826 .5088 L
.47847 .51208 L
.47826 .51241 L
.47456 .51691 L
.47342 .51803 L
.46999 .51691 L
.47314 .51208 L
F
1 .78 0 r
.48309 .53851 m
.48792 .53685 L
.49025 .54107 L
.48792 .54486 L
.48721 .5459 L
.48367 .55073 L
.48309 .55105 L
.47905 .55557 L
.47826 .55639 L
.47342 .55941 L
.47005 .55557 L
.47243 .55073 L
.47342 .54941 L
.47446 .5459 L
.47826 .54222 L
.48007 .54107 L
F
0 .94 1 r
.47826 .37907 m
.48263 .38162 L
.47926 .38645 L
.47826 .38763 L
.47414 .39128 L
.47342 .39172 L
.47017 .39128 L
.47183 .38645 L
.47342 .38424 L
.47565 .38162 L
F
1 .82 0 r
.47342 .57603 m
.47455 .57973 L
.47342 .58101 L
.47019 .57973 L
F
0 .72 1 r
.48792 .47124 m
.49275 .47057 L
.49416 .47342 L
.49275 .47497 L
.49085 .47826 L
.48792 .48245 L
.48745 .48309 L
.48376 .48792 L
.48309 .48854 L
.47878 .49275 L
.47826 .49322 L
.47342 .49527 L
.47021 .49275 L
.47209 .48792 L
.47342 .48608 L
.47391 .48309 L
.47826 .4794 L
.47919 .47826 L
.48309 .47358 L
.48381 .47342 L
F
0 .44 1 r
.47342 .51213 m
.47422 .51691 L
.47342 .51768 L
.47043 .51691 L
F
1 .76 0 r
.48309 .53882 m
.48792 .53722 L
.48998 .54107 L
.48792 .54453 L
.487 .5459 L
.48338 .55073 L
.48309 .5509 L
.47873 .55557 L
.47826 .55605 L
.47342 .55892 L
.47046 .55557 L
.47271 .55073 L
.47342 .54978 L
.47468 .5459 L
.47826 .5424 L
.48038 .54107 L
F
0 .7 1 r
.48792 .47136 m
.49275 .47104 L
.49377 .47342 L
.49275 .4746 L
.4907 .47826 L
.48792 .48226 L
.48731 .48309 L
.48357 .48792 L
.48309 .48835 L
.47851 .49275 L
.47826 .49297 L
.47342 .49495 L
.47056 .49275 L
.47229 .48792 L
.47342 .48635 L
.474 .48309 L
.47826 .4796 L
.47936 .47826 L
.48309 .47361 L
.48408 .47342 L
F
1 .62 0 r
.47826 .44403 m
.48063 .44443 L
.47857 .44927 L
.47826 .44968 L
.47396 .4541 L
.47342 .45453 L
.4706 .4541 L
.47284 .44927 L
.47342 .44852 L
.47767 .44443 L
F
1 .74 0 r
.48309 .53912 m
.48792 .53761 L
.4897 .54107 L
.48792 .54418 L
.48678 .5459 L
.48309 .55073 L
.48309 .55073 L
.4784 .55557 L
.47826 .5557 L
.47342 .55841 L
.47089 .55557 L
.473 .55073 L
.47342 .55017 L
.47494 .5459 L
.47826 .5426 L
.4807 .54107 L
F
0 .68 1 r
.48792 .47147 m
.49275 .47161 L
.49335 .47342 L
.49275 .47417 L
.49056 .47826 L
.48792 .48208 L
.48717 .48309 L
.48337 .48792 L
.48309 .48817 L
.47826 .49272 L
.47821 .49275 L
.47342 .49463 L
.47093 .49275 L
.47249 .48792 L
.47342 .48662 L
.47411 .48309 L
.47826 .47981 L
.47954 .47826 L
.48309 .47363 L
.48436 .47342 L
F
0 .42 1 r
.47342 .51265 m
.47384 .51691 L
.47342 .5173 L
.47097 .51691 L
F
0 .94 1 r
.49275 .56859 m
.49758 .56857 L
.5002 .57006 L
.49778 .57489 L
.49758 .57531 L
.49462 .57973 L
.49275 .58226 L
.49212 .58456 L
.48792 .58771 L
.48666 .58939 L
.48309 .59232 L
.48167 .59422 L
.47826 .59631 L
.47342 .59631 L
.47126 .59422 L
.47342 .59069 L
.47403 .58939 L
.47744 .58456 L
.47826 .58222 L
.48038 .57973 L
.48309 .57683 L
.48434 .57489 L
.48792 .57103 L
.48926 .57006 L
F
0 .66 1 r
.48792 .47158 m
.49275 .47247 L
.49289 .47342 L
.49275 .47362 L
.49041 .47826 L
.48792 .48189 L
.48703 .48309 L
.48316 .48792 L
.48309 .48798 L
.47826 .49249 L
.47783 .49275 L
.47342 .49429 L
.47132 .49275 L
.47269 .48792 L
.47342 .4869 L
.47424 .48309 L
.47826 .48001 L
.47971 .47826 L
.48309 .47365 L
.48466 .47342 L
F
1 .72 0 r
.48309 .53942 m
.48792 .53803 L
.48942 .54107 L
.48792 .54381 L
.48656 .5459 L
.48309 .55044 L
.48283 .55073 L
.47826 .55536 L
.47798 .55557 L
.47342 .55788 L
.47136 .55557 L
.47331 .55073 L
.47342 .55058 L
.47524 .5459 L
.47826 .54285 L
.48102 .54107 L
F
0 .86 1 r
.47342 .40959 m
.47504 .41061 L
.47342 .41477 L
.47154 .41061 L
F
0 .64 1 r
.48792 .4717 m
.49253 .47342 L
.49025 .47826 L
.48792 .48169 L
.48689 .48309 L
.48309 .48779 L
.48297 .48792 L
.47826 .49225 L
.47741 .49275 L
.47342 .49394 L
.47174 .49275 L
.47291 .48792 L
.47342 .4872 L
.47438 .48309 L
.47826 .48022 L
.47988 .47826 L
.48309 .47367 L
.48496 .47342 L
F
1 .92 0 r
.48792 .40562 m
.49275 .40187 L
.49652 .40578 L
.49535 .41061 L
.49275 .41316 L
.49122 .41544 L
.48792 .41994 L
.48766 .42027 L
.48379 .42511 L
.48309 .42574 L
.47826 .42936 L
.47632 .42994 L
.47342 .43013 L
.47257 .42994 L
.47181 .42511 L
.47342 .42273 L
.47499 .42027 L
.47826 .41584 L
.47857 .41544 L
.48262 .41061 L
.48309 .40999 L
.48762 .40578 L
F
1 .7 0 r
.47342 .55113 m
.47746 .55557 L
.47342 .5573 L
.47186 .55557 L
F
0 .94 1 r
.47342 .61495 m
.47746 .61838 L
.47342 .6204 L
.47204 .61838 L
F
0 .62 1 r
.48792 .47184 m
.49221 .47342 L
.4901 .47826 L
.48792 .48149 L
.48675 .48309 L
.48309 .4876 L
.48279 .48792 L
.47826 .49201 L
.47691 .49275 L
.47342 .49358 L
.47221 .49275 L
.47314 .48792 L
.47342 .48752 L
.47455 .48309 L
.47826 .48042 L
.48006 .47826 L
.48309 .47371 L
.48528 .47342 L
F
1 .98 0 r
.47342 .3473 m
.4741 .3478 L
.47342 .34998 L
.47243 .3478 L
F
1 .68 0 r
.47342 .55184 m
.47683 .55557 L
.47342 .55665 L
.47244 .55557 L
F
1 .9 0 r
.49275 .4028 m
.49521 .40578 L
.49466 .41061 L
.49275 .41246 L
.49081 .41544 L
.48792 .4194 L
.48724 .42027 L
.48311 .42511 L
.48309 .42512 L
.47826 .42865 L
.47342 .42901 L
.47251 .42511 L
.47342 .42368 L
.47548 .42027 L
.47826 .41647 L
.47905 .41544 L
.48309 .41069 L
.48317 .41061 L
.48792 .40643 L
.48912 .40578 L
F
0 .6 1 r
.48792 .472 m
.49185 .47342 L
.48994 .47826 L
.48792 .48129 L
.4866 .48309 L
.48309 .48741 L
.4826 .48792 L
.47826 .49177 L
.47629 .49275 L
.47342 .49318 L
.47275 .49275 L
.47338 .48792 L
.47342 .48786 L
.47473 .48309 L
.47826 .48063 L
.48024 .47826 L
.48309 .47376 L
.48563 .47342 L
F
1 .66 0 r
.47342 .55283 m
.47596 .55557 L
.47342 .55587 L
.47315 .55557 L
F
1 .9 0 r
.50725 .46763 m
.51208 .46833 L
.51261 .46859 L
.51208 .47129 L
.51112 .47342 L
.50741 .47826 L
.50725 .47945 L
.50427 .48309 L
.50242 .48551 L
.50134 .48792 L
.49758 .4908 L
.49679 .49275 L
.49275 .49696 L
.49165 .49758 L
.49275 .50226 L
.49758 .50098 L
.50242 .50139 L
.50452 .50242 L
.50242 .50584 L
.50166 .50725 L
.498 .51208 L
.49758 .51321 L
.49483 .51691 L
.49275 .51897 L
.49212 .52174 L
.48792 .52555 L
.48693 .52658 L
.48309 .53032 L
.48042 .53141 L
.47826 .53192 L
.47342 .53144 L
.47327 .53141 L
.47342 .52673 L
.47349 .52658 L
.47701 .52174 L
.47826 .51946 L
.47989 .51691 L
.48309 .51249 L
.48369 .51208 L
.48788 .50725 L
.48792 .5067 L
.49253 .50242 L
.48792 .49885 L
.48309 .49866 L
.4809 .49758 L
.48271 .49275 L
.48309 .49224 L
.48627 .48792 L
.48792 .48398 L
.4892 .48309 L
.49275 .47886 L
.4933 .47826 L
.49739 .47342 L
.49758 .47292 L
.50242 .46879 L
.50293 .46859 L
F
1 .6 0 r
.47342 .44907 m
.47819 .44927 L
.47342 .45397 L
.47327 .44927 L
F
1 .88 0 r
.49275 .4054 m
.49315 .40578 L
.49381 .41061 L
.49275 .41165 L
.49038 .41544 L
.48792 .41884 L
.48681 .42027 L
.48309 .42452 L
.48246 .42511 L
.47826 .42795 L
.47342 .42717 L
.47334 .42511 L
.47342 .42495 L
.47597 .42027 L
.47826 .41711 L
.47955 .41544 L
.48309 .41134 L
.48384 .41061 L
.48792 .40719 L
.49154 .40578 L
F
0 .58 1 r
.48792 .47221 m
.49146 .47342 L
.48978 .47826 L
.48792 .48107 L
.48645 .48309 L
.48309 .48721 L
.48241 .48792 L
.47826 .49154 L
.47361 .48792 L
.47494 .48309 L
.47826 .48085 L
.48043 .47826 L
.48309 .47383 L
.486 .47342 L
F
1 .7 0 r
.48309 .53973 m
.48792 .53848 L
.48911 .54107 L
.48792 .54339 L
.48633 .5459 L
.48309 .55015 L
.48257 .55073 L
.47826 .55501 L
.47362 .55073 L
.4756 .5459 L
.47826 .54316 L
.48136 .54107 L
F
1 .88 0 r
.49758 .50121 m
.50242 .50173 L
.50387 .50242 L
.50242 .50541 L
.50148 .50725 L
.49793 .51208 L
.49758 .51304 L
.49473 .51691 L
.49275 .51884 L
.49204 .52174 L
.48792 .52534 L
.48671 .52658 L
.48309 .53 L
.47905 .53141 L
.47826 .53155 L
.47508 .53141 L
.47378 .52658 L
.47714 .52174 L
.47826 .51967 L
.48001 .51691 L
.48309 .51257 L
.48383 .51208 L
.4879 .50725 L
.48792 .50695 L
.49275 .50257 L
.49308 .50242 L
F
0 .56 1 r
.48792 .47246 m
.49102 .47342 L
.48962 .47826 L
.48792 .48086 L
.4863 .48309 L
.48309 .48701 L
.48221 .48792 L
.47826 .49129 L
.47383 .48792 L
.47518 .48309 L
.47826 .48106 L
.48061 .47826 L
.48309 .47393 L
.4864 .47342 L
F
0 .92 1 r
.49275 .56916 m
.49758 .56918 L
.49914 .57006 L
.49758 .57463 L
.49744 .57489 L
.49427 .57973 L
.49275 .58183 L
.49181 .58456 L
.48792 .58715 L
.48607 .58939 L
.48309 .59123 L
.48015 .59422 L
.47826 .59514 L
.47388 .59422 L
.47475 .58939 L
.47778 .58456 L
.47826 .58303 L
.48076 .57973 L
.48309 .5773 L
.48482 .57489 L
.48792 .57167 L
.49039 .57006 L
F
1 .68 0 r
.48309 .54004 m
.48792 .53898 L
.48879 .54107 L
.48792 .54292 L
.4861 .5459 L
.48309 .54985 L
.4823 .55073 L
.47826 .55465 L
.47393 .55073 L
.47601 .5459 L
.47826 .54353 L
.48172 .54107 L
F
1 .86 0 r
.49758 .50144 m
.50242 .50211 L
.50307 .50242 L
.50242 .50485 L
.50131 .50725 L
.49786 .51208 L
.49758 .51286 L
.49462 .51691 L
.49275 .51871 L
.49195 .52174 L
.48792 .52514 L
.48648 .52658 L
.48309 .52969 L
.47826 .53121 L
.47406 .52658 L
.47727 .52174 L
.47826 .51987 L
.48012 .51691 L
.48309 .51265 L
.48396 .51208 L
.48792 .50725 L
.48792 .50719 L
.49275 .50283 L
.49367 .50242 L
F
0 .54 1 r
.48792 .47277 m
.49049 .47342 L
.48945 .47826 L
.48792 .48063 L
.48615 .48309 L
.48309 .48682 L
.482 .48792 L
.47826 .49105 L
.47407 .48792 L
.47544 .48309 L
.47826 .48128 L
.4808 .47826 L
.48309 .47407 L
.48686 .47342 L
F
1 .86 0 r
.48792 .40795 m
.49275 .40736 L
.49276 .41061 L
.49275 .41062 L
.48994 .41544 L
.48792 .41826 L
.48635 .42027 L
.48309 .42392 L
.48174 .42511 L
.47826 .42725 L
.47417 .42511 L
.47649 .42027 L
.47826 .41777 L
.48006 .41544 L
.48309 .41198 L
.48455 .41061 L
F
0 .94 1 r
.47826 .60836 m
.48309 .60548 L
.48556 .60872 L
.48309 .61251 L
.48226 .61355 L
.47826 .61776 L
.47417 .61355 L
.47751 .60872 L
F
1 .66 0 r
.48309 .54035 m
.48792 .53958 L
.48845 .54107 L
.48792 .54236 L
.48585 .5459 L
.48309 .54954 L
.48201 .55073 L
.47826 .55429 L
.47426 .55073 L
.47648 .5459 L
.47826 .54398 L
.48211 .54107 L
F
0 .52 1 r
.48792 .47314 m
.48979 .47342 L
.48928 .47826 L
.48792 .4804 L
.48599 .48309 L
.48309 .48661 L
.48179 .48792 L
.47826 .4908 L
.47431 .48792 L
.47573 .48309 L
.47826 .4815 L
.481 .47826 L
.48309 .47424 L
.48743 .47342 L
F
1 .84 0 r
.49758 .50166 m
.50222 .50242 L
.50114 .50725 L
.49779 .51208 L
.49758 .51267 L
.49451 .51691 L
.49275 .51859 L
.49185 .52174 L
.48792 .52493 L
.48624 .52658 L
.48309 .5294 L
.47826 .53089 L
.47435 .52658 L
.47739 .52174 L
.47826 .52009 L
.48024 .51691 L
.48309 .51273 L
.4841 .51208 L
.48792 .50744 L
.48806 .50725 L
.49275 .50307 L
.49431 .50242 L
F
0 .5 1 r
.48309 .47445 m
.48792 .47354 L
.4891 .47826 L
.48792 .48015 L
.48583 .48309 L
.48309 .48641 L
.48156 .48792 L
.47826 .49055 L
.47456 .48792 L
.47605 .48309 L
.47826 .48173 L
.4812 .47826 L
F
1 .64 0 r
.48309 .54068 m
.48792 .54043 L
.48808 .54107 L
.48792 .54158 L
.4856 .5459 L
.48309 .54922 L
.4817 .55073 L
.47826 .55391 L
.4746 .55073 L
.47701 .5459 L
.47826 .54452 L
.48253 .54107 L
F
1 .82 0 r
.49758 .50189 m
.50147 .50242 L
.50096 .50725 L
.49772 .51208 L
.49758 .51247 L
.4944 .51691 L
.49275 .51847 L
.49174 .52174 L
.48792 .52474 L
.486 .52658 L
.48309 .52911 L
.47826 .53056 L
.47464 .52658 L
.47751 .52174 L
.47826 .52031 L
.48035 .51691 L
.48309 .51282 L
.48423 .51208 L
.48792 .50767 L
.48825 .50725 L
.49275 .50331 L
.49503 .50242 L
F
0 .48 1 r
.48309 .47471 m
.48792 .47388 L
.48892 .47826 L
.48792 .4799 L
.48566 .48309 L
.48309 .4862 L
.48132 .48792 L
.47826 .49029 L
.47482 .48792 L
.47639 .48309 L
.47826 .48197 L
.4814 .47826 L
F
1 .8 0 r
.49758 .50212 m
.50055 .50242 L
.50079 .50725 L
.49765 .51208 L
.49758 .51226 L
.49429 .51691 L
.49275 .51835 L
.49162 .52174 L
.48792 .52454 L
.48576 .52658 L
.48309 .52884 L
.47826 .53024 L
.47493 .52658 L
.47763 .52174 L
.47826 .52053 L
.48047 .51691 L
.48309 .51291 L
.48437 .51208 L
.48792 .50788 L
.48844 .50725 L
.49275 .50353 L
.49587 .50242 L
F
1 .62 0 r
.48309 .54101 m
.48757 .54107 L
.48533 .5459 L
.48309 .54888 L
.48137 .55073 L
.47826 .55352 L
.47496 .55073 L
.4776 .5459 L
.47826 .54516 L
.483 .54107 L
F
0 .46 1 r
.48309 .47503 m
.48792 .47425 L
.48873 .47826 L
.48792 .47962 L
.48549 .48309 L
.48309 .48598 L
.48107 .48792 L
.47826 .49002 L
.4751 .48792 L
.47677 .48309 L
.47826 .48221 L
.48162 .47826 L
F
1 .84 0 r
.48792 .40873 m
.49196 .41061 L
.48948 .41544 L
.48792 .41765 L
.48586 .42027 L
.48309 .42331 L
.48089 .42511 L
.47826 .42652 L
.47511 .42511 L
.47703 .42027 L
.47826 .41848 L
.48059 .41544 L
.48309 .41263 L
.48535 .41061 L
F
1 .78 0 r
.49758 .50235 m
.49917 .50242 L
.50061 .50725 L
.49758 .51205 L
.49756 .51208 L
.49417 .51691 L
.49275 .51824 L
.49149 .52174 L
.48792 .52435 L
.48551 .52658 L
.48309 .52857 L
.47826 .52992 L
.47523 .52658 L
.47776 .52174 L
.47826 .52076 L
.48059 .51691 L
.48309 .51301 L
.48451 .51208 L
.48792 .50808 L
.48863 .50725 L
.49275 .50375 L
.49704 .50242 L
F
1 .6 0 r
.47826 .54591 m
.48101 .55073 L
.47826 .5531 L
.47535 .55073 L
F
0 .44 1 r
.48309 .47541 m
.48792 .47466 L
.48854 .47826 L
.48792 .47932 L
.48531 .48309 L
.48309 .48577 L
.4808 .48792 L
.47826 .48975 L
.47539 .48792 L
.47719 .48309 L
.47826 .48247 L
.48184 .47826 L
F
0 .9 1 r
.49275 .56972 m
.49758 .56989 L
.49789 .57006 L
.49758 .57357 L
.49697 .57489 L
.49388 .57973 L
.49275 .58134 L
.49139 .58456 L
.48792 .58665 L
.48545 .58939 L
.48309 .59053 L
.47826 .59401 L
.47549 .58939 L
.47812 .58456 L
.47826 .58408 L
.48116 .57973 L
.48309 .5777 L
.48531 .57489 L
.48792 .57227 L
.49171 .57006 L
F
1 .76 0 r
.49275 .50397 m
.49758 .50259 L
.50043 .50725 L
.49758 .51185 L
.49744 .51208 L
.49405 .51691 L
.49275 .51812 L
.49134 .52174 L
.48792 .52416 L
.48525 .52658 L
.48309 .52831 L
.47826 .52959 L
.47553 .52658 L
.47788 .52174 L
.47826 .52099 L
.48072 .51691 L
.48309 .51312 L
.48464 .51208 L
.48792 .50826 L
.48883 .50725 L
F
0 .42 1 r
.48309 .47586 m
.48792 .47512 L
.48833 .47826 L
.48792 .479 L
.48513 .48309 L
.48309 .48554 L
.4805 .48792 L
.47826 .48946 L
.47571 .48792 L
.47764 .48309 L
.47826 .48273 L
.48207 .47826 L
F
1 .58 0 r
.47826 .5464 m
.48061 .55073 L
.47826 .55266 L
.47578 .55073 L
F
1 .74 0 r
.49275 .50418 m
.49758 .50283 L
.50025 .50725 L
.49758 .51165 L
.49731 .51208 L
.49393 .51691 L
.49275 .51801 L
.49118 .52174 L
.48792 .52398 L
.48499 .52658 L
.48309 .52805 L
.47826 .52925 L
.47584 .52658 L
.47801 .52174 L
.47826 .52124 L
.48084 .51691 L
.48309 .51324 L
.48478 .51208 L
.48792 .50843 L
.48902 .50725 L
F
0 .4 1 r
.48309 .47637 m
.48792 .47569 L
.48812 .47826 L
.48792 .47863 L
.48494 .48309 L
.48309 .48531 L
.48018 .48792 L
.47826 .48916 L
.47606 .48792 L
.47812 .48309 L
.47826 .48301 L
.48231 .47826 L
F
1 .72 0 r
.49275 .50439 m
.49758 .50307 L
.50006 .50725 L
.49758 .51144 L
.49718 .51208 L
.49381 .51691 L
.49275 .51789 L
.49101 .52174 L
.48792 .52379 L
.48471 .52658 L
.48309 .5278 L
.47826 .52891 L
.47616 .52658 L
.47814 .52174 L
.47826 .5215 L
.48097 .51691 L
.48309 .51337 L
.48492 .51208 L
.48792 .50858 L
.48922 .50725 L
F
1 .56 0 r
.47826 .54696 m
.48014 .55073 L
.47826 .55218 L
.47626 .55073 L
F
0 .88 1 r
.48792 .57283 m
.49275 .5703 L
.49649 .57489 L
.49346 .57973 L
.49275 .58078 L
.49085 .58456 L
.48792 .58619 L
.48477 .58939 L
.48309 .59008 L
.47826 .59287 L
.47627 .58939 L
.47826 .58515 L
.47858 .58456 L
.4816 .57973 L
.48309 .5781 L
.48582 .57489 L
F
1 .82 0 r
.48792 .40956 m
.49095 .41061 L
.48898 .41544 L
.48792 .41698 L
.48534 .42027 L
.48309 .42268 L
.47976 .42511 L
.47826 .42574 L
.47634 .42511 L
.4776 .42027 L
.47826 .41928 L
.48116 .41544 L
.48309 .4133 L
.4863 .41061 L
F
0 .38 1 r
.47826 .48338 m
.47981 .48792 L
.47826 .48884 L
.47646 .48792 L
F
1 .7 0 r
.49275 .50459 m
.49758 .50332 L
.49987 .50725 L
.49758 .51123 L
.49705 .51208 L
.49368 .51691 L
.49275 .51777 L
.49082 .52174 L
.48792 .52361 L
.48442 .52658 L
.48309 .52755 L
.47826 .52855 L
.4765 .52658 L
.47826 .52178 L
.47827 .52174 L
.48111 .51691 L
.48309 .51351 L
.48506 .51208 L
.48792 .50873 L
.48942 .50725 L
F
0 .88 1 r
.49275 .43895 m
.49758 .43721 L
.50242 .43551 L
.5047 .4396 L
.50242 .44243 L
.50121 .44443 L
.49772 .44927 L
.49758 .44952 L
.49431 .4541 L
.49275 .45596 L
.49142 .45893 L
.48792 .46145 L
.48423 .46376 L
.48309 .46421 L
.47826 .4644 L
.47654 .46376 L
.47751 .45893 L
.47826 .45746 L
.48018 .4541 L
.48309 .45051 L
.48401 .44927 L
.48789 .44443 L
.48792 .44427 L
.49213 .4396 L
F
0 .98 1 r
.49275 .34163 m
.4946 .34296 L
.49348 .3478 L
.49275 .34848 L
.49001 .35263 L
.48792 .35532 L
.48607 .35746 L
.48309 .36013 L
.47826 .36195 L
.47661 .35746 L
.47826 .35481 L
.47979 .35263 L
.48309 .34859 L
.48385 .3478 L
.48792 .344 L
.4896 .34296 L
F
1 .68 0 r
.49275 .5048 m
.49758 .50358 L
.49968 .50725 L
.49758 .511 L
.49691 .51208 L
.49355 .51691 L
.49275 .51765 L
.49062 .52174 L
.48792 .52342 L
.48412 .52658 L
.48309 .5273 L
.47826 .52817 L
.47685 .52658 L
.47826 .52216 L
.47845 .52174 L
.48124 .51691 L
.48309 .51367 L
.48519 .51208 L
.48792 .50887 L
.48963 .50725 L
F
1 .54 0 r
.47826 .54764 m
.47957 .55073 L
.47826 .55162 L
.47686 .55073 L
F
0 .92 1 r
.47826 .61155 m
.47966 .61355 L
.47826 .61473 L
.47692 .61355 L
F
0 .36 1 r
.47826 .48382 m
.47936 .48792 L
.47826 .48849 L
.47694 .48792 L
F
1 .98 0 r
.55073 .4043 m
.55557 .40279 L
.55879 .40578 L
.5562 .41061 L
.55557 .41361 L
.55443 .41544 L
.55114 .42027 L
.55073 .42081 L
.54758 .42511 L
.5459 .42722 L
.54288 .42994 L
.5459 .43375 L
.55073 .43373 L
.55389 .43477 L
.55148 .4396 L
.55073 .44197 L
.54883 .44443 L
.5459 .44889 L
.54569 .44927 L
.54212 .4541 L
.54107 .45548 L
.53747 .45893 L
.53624 .46191 L
.5344 .46376 L
.53624 .46662 L
.54107 .46681 L
.5459 .46823 L
.54601 .46859 L
.5459 .46878 L
.54196 .47342 L
.54107 .47631 L
.53954 .47826 L
.53624 .48298 L
.53619 .48309 L
.5326 .48792 L
.53141 .48952 L
.52824 .49275 L
.52658 .496 L
.52511 .49758 L
.52658 .49999 L
.53141 .5002 L
.53624 .50084 L
.53704 .50242 L
.53624 .5034 L
.53298 .50725 L
.53141 .51031 L
.53013 .51208 L
.52658 .51689 L
.52657 .51691 L
.52298 .52174 L
.52174 .52344 L
.5189 .52658 L
.51691 .52991 L
.51566 .53141 L
.51691 .53359 L
.52174 .53379 L
.52658 .53436 L
.5275 .53624 L
.52658 .53738 L
.52363 .54107 L
.52174 .54419 L
.52065 .5459 L
.51691 .55073 L
.51691 .55074 L
.51237 .55557 L
.51208 .55727 L
.50944 .5604 L
.50725 .56365 L
.50609 .56523 L
.50725 .56741 L
.51208 .5675 L
.51691 .56812 L
.51694 .57006 L
.51691 .57112 L
.51415 .57489 L
.51208 .57797 L
.51116 .57973 L
.50725 .58447 L
.50718 .58456 L
.50302 .58939 L
.50242 .59092 L
.49976 .59422 L
.49758 .59691 L
.49553 .59905 L
.49758 .60181 L
.50242 .60155 L
.50725 .60312 L
.50728 .60388 L
.50725 .604 L
.50437 .60872 L
.50242 .61135 L
.50162 .61355 L
.49758 .61804 L
.49707 .61838 L
.49308 .62321 L
.49275 .62375 L
.48869 .62804 L
.48792 .6286 L
.48309 .63109 L
.47826 .63067 L
.47714 .62804 L
.47826 .62583 L
.47856 .62321 L
.48277 .61838 L
.48309 .61786 L
.48656 .61355 L
.48792 .61303 L
.48961 .60872 L
.49275 .6053 L
.49421 .60388 L
.49275 .59969 L
.48792 .60004 L
.48326 .59905 L
.48471 .59422 L
.48792 .58999 L
.48831 .58939 L
.49259 .58456 L
.49275 .58342 L
.49558 .57973 L
.49758 .57689 L
.49859 .57489 L
.50242 .57068 L
.50303 .57006 L
.50242 .567 L
.49758 .56698 L
.49275 .56659 L
.49126 .56523 L
.49275 .56286 L
.49382 .5604 L
.49758 .55584 L
.49777 .55557 L
.50185 .55073 L
.50242 .54979 L
.50492 .5459 L
.50725 .54286 L
.5078 .54107 L
.51208 .53662 L
.51248 .53624 L
.51208 .53372 L
.50725 .5335 L
.50242 .53319 L
.50036 .53141 L
.50242 .52875 L
.5031 .52658 L
.50725 .52191 L
.50737 .52174 L
.51123 .51691 L
.51208 .51646 L
.51432 .51208 L
.51691 .50895 L
.51832 .50725 L
.52174 .50276 L
.52214 .50242 L
.52174 .50014 L
.51691 .49991 L
.51208 .49961 L
.50973 .49758 L
.51208 .49482 L
.51228 .49275 L
.51691 .48805 L
.51701 .48792 L
.5207 .48309 L
.52174 .48155 L
.52372 .47826 L
.52658 .47511 L
.52802 .47342 L
.53141 .46907 L
.53205 .46859 L
.53141 .46626 L
.52658 .46623 L
.52174 .46593 L
.51921 .46376 L
.52174 .46101 L
.52315 .45893 L
.52658 .45426 L
.5267 .4541 L
.53026 .44927 L
.53141 .44778 L
.53316 .44443 L
.53624 .44144 L
.53792 .4396 L
.54107 .43585 L
.54304 .43477 L
.54107 .43161 L
.53624 .43225 L
.53141 .43193 L
.52904 .42994 L
.53141 .42755 L
.53306 .42511 L
.53624 .42075 L
.53661 .42027 L
.54013 .41544 L
.54107 .4144 L
.54296 .41061 L
.5459 .40854 L
.54901 .40578 L
F
0 .86 1 r
.48792 .57339 m
.49275 .57091 L
.49599 .57489 L
.493 .57973 L
.49275 .5801 L
.49015 .58456 L
.48792 .58574 L
.48402 .58939 L
.48309 .58974 L
.47826 .59157 L
.47715 .58939 L
.47826 .58633 L
.47911 .58456 L
.48208 .57973 L
.48309 .57856 L
.48634 .57489 L
F
1 .66 0 r
.49275 .505 m
.49758 .50385 L
.49949 .50725 L
.49758 .51076 L
.49678 .51208 L
.49342 .51691 L
.49275 .51753 L
.4904 .52174 L
.48792 .52324 L
.4838 .52658 L
.48309 .52705 L
.47826 .52776 L
.47722 .52658 L
.47826 .52259 L
.47864 .52174 L
.48138 .51691 L
.48309 .51385 L
.48533 .51208 L
.48792 .50901 L
.48984 .50725 L
F
1 .98 0 r
.48792 .63876 m
.49223 .64254 L
.4896 .64737 L
.48792 .64868 L
.48384 .6522 L
.48309 .6529 L
.47826 .6545 L
.47749 .6522 L
.47826 .65027 L
.4797 .64737 L
.48309 .64267 L
.48319 .64254 L
F
0 .86 1 r
.49275 .43935 m
.49758 .43774 L
.50242 .43608 L
.50429 .4396 L
.50242 .44199 L
.501 .44443 L
.49763 .44927 L
.49758 .44935 L
.49414 .4541 L
.49275 .45573 L
.49118 .45893 L
.48792 .46113 L
.48333 .46376 L
.48309 .46384 L
.47826 .46399 L
.47759 .46376 L
.47773 .45893 L
.47826 .45786 L
.48036 .4541 L
.48309 .45076 L
.4842 .44927 L
.48792 .44446 L
.48802 .44443 L
.49249 .4396 L
F
0 .34 1 r
.47826 .48436 m
.47873 .48792 L
.47826 .48811 L
.47762 .48792 L
F
1 .64 0 r
.49275 .5052 m
.49758 .50412 L
.49929 .50725 L
.49758 .51052 L
.49665 .51208 L
.49328 .51691 L
.49275 .5174 L
.49016 .52174 L
.48792 .52306 L
.48345 .52658 L
.48309 .52681 L
.47826 .52732 L
.47762 .52658 L
.47826 .52311 L
.47882 .52174 L
.48153 .51691 L
.48309 .51405 L
.48548 .51208 L
.48792 .50914 L
.49005 .50725 L
F
1 .52 0 r
.47826 .54862 m
.4787 .55073 L
.47826 .55094 L
.47777 .55073 L
F
0 .84 1 r
.49758 .43812 m
.50242 .4367 L
.50382 .4396 L
.50242 .44149 L
.50079 .44443 L
.49758 .44914 L
.4975 .44927 L
.49397 .4541 L
.49275 .4555 L
.4909 .45893 L
.48792 .46083 L
.48309 .4635 L
.47826 .46346 L
.47795 .45893 L
.47826 .45829 L
.48054 .4541 L
.48309 .45102 L
.48439 .44927 L
.48792 .44452 L
.48825 .44443 L
.49275 .4397 L
.49289 .4396 L
F
1 .62 0 r
.47826 .52379 m
.48306 .52658 L
.47826 .5268 L
.47807 .52658 L
F
0 .84 1 r
.48792 .57394 m
.49275 .57155 L
.49545 .57489 L
.49275 .5794 L
.49253 .57973 L
.48928 .58456 L
.48792 .58526 L
.48311 .58939 L
.48309 .5894 L
.47826 .5896 L
.47819 .58939 L
.47826 .58858 L
.47967 .58456 L
.48261 .57973 L
.48309 .57914 L
.48689 .57489 L
F
0 .82 1 r
.49758 .43839 m
.50242 .43743 L
.50329 .4396 L
.50242 .4409 L
.50058 .44443 L
.49758 .44889 L
.49732 .44927 L
.49379 .4541 L
.49275 .45527 L
.49059 .45893 L
.48792 .46053 L
.48309 .46317 L
.47826 .46272 L
.47819 .45893 L
.47826 .45878 L
.48073 .4541 L
.48309 .45128 L
.48458 .44927 L
.48792 .44457 L
.48848 .44443 L
.49275 .43998 L
.49331 .4396 L
F
1 .8 0 r
.48792 .4105 m
.48923 .41061 L
.48843 .41544 L
.48792 .41621 L
.48476 .42027 L
.48309 .42202 L
.47826 .42468 L
.47822 .42027 L
.47826 .42022 L
.48178 .41544 L
.48309 .41401 L
.48769 .41061 L
F
1 .6 0 r
.48309 .54141 m
.48505 .5459 L
.48309 .54853 L
.47827 .5459 L
F
0 .94 1 r
.52658 .4362 m
.53141 .43493 L
.53577 .4396 L
.53226 .44443 L
.53141 .44654 L
.52951 .44927 L
.52658 .45328 L
.52641 .4541 L
.52227 .45893 L
.52174 .45963 L
.51761 .46376 L
.52174 .46728 L
.52658 .46751 L
.5301 .46859 L
.52712 .47342 L
.52658 .47414 L
.52327 .47826 L
.52174 .48096 L
.52035 .48309 L
.51691 .48769 L
.51659 .48792 L
.51216 .49275 L
.51208 .49387 L
.50844 .49758 L
.51208 .50056 L
.51691 .50072 L
.52035 .50242 L
.51771 .50725 L
.51691 .50828 L
.51397 .51208 L
.51208 .51624 L
.51098 .51691 L
.50725 .52142 L
.50697 .52174 L
.5028 .52658 L
.50242 .52768 L
.49862 .53141 L
.50242 .53427 L
.50725 .53438 L
.51075 .53624 L
.50752 .54107 L
.50725 .54208 L
.50447 .5459 L
.50242 .54936 L
.50157 .55073 L
.49758 .55497 L
.49715 .55557 L
.49309 .5604 L
.49275 .56098 L
.48792 .56487 L
.4867 .56523 L
.48309 .56582 L
.47909 .56523 L
.47835 .5604 L
.48248 .55557 L
.48309 .5542 L
.48627 .55073 L
.48792 .54791 L
.48926 .5459 L
.49275 .54238 L
.49335 .54107 L
.49758 .53634 L
.49772 .53624 L
.49758 .53212 L
.49275 .53297 L
.48792 .5326 L
.48562 .53141 L
.48792 .52753 L
.48845 .52658 L
.49251 .52174 L
.49275 .52011 L
.49553 .51691 L
.49758 .51423 L
.4985 .51208 L
.50242 .50842 L
.50285 .50725 L
.50723 .50242 L
.50242 .49951 L
.49758 .49923 L
.49444 .49758 L
.49758 .49343 L
.49799 .49275 L
.50185 .48792 L
.50242 .48646 L
.50496 .48309 L
.50725 .48073 L
.50773 .47826 L
.51208 .47399 L
.5126 .47342 L
.51691 .46891 L
.51754 .46859 L
.51691 .46452 L
.51208 .46571 L
.50725 .46546 L
.50378 .46376 L
.50725 .45978 L
.50777 .45893 L
.5114 .4541 L
.51208 .45303 L
.51454 .44927 L
.51691 .44754 L
.51873 .44443 L
.52174 .44067 L
.52285 .4396 L
F
0 .92 1 r
.52658 .43685 m
.53141 .43566 L
.5351 .4396 L
.53204 .44443 L
.53141 .4461 L
.52928 .44927 L
.52658 .45296 L
.52635 .4541 L
.52198 .45893 L
.52174 .45924 L
.5171 .46376 L
.52174 .46767 L
.52658 .46799 L
.52893 .46859 L
.52682 .47342 L
.52658 .47377 L
.52313 .47826 L
.52174 .48076 L
.52023 .48309 L
.51691 .4876 L
.51646 .48792 L
.51214 .49275 L
.51208 .49359 L
.50799 .49758 L
.51208 .50085 L
.51691 .50101 L
.51976 .50242 L
.51751 .50725 L
.51691 .50804 L
.51385 .51208 L
.51208 .51614 L
.51089 .51691 L
.50725 .52128 L
.50684 .52174 L
.50271 .52658 L
.50242 .52738 L
.49792 .53141 L
.50242 .5346 L
.50725 .53468 L
.51017 .53624 L
.50744 .54107 L
.50725 .54179 L
.50432 .5459 L
.50242 .5492 L
.50147 .55073 L
.49758 .55471 L
.49694 .55557 L
.49283 .5604 L
.49275 .56052 L
.48792 .56436 L
.48336 .56523 L
.48309 .56524 L
.48269 .56523 L
.47843 .5604 L
.48273 .55557 L
.48309 .5547 L
.48642 .55073 L
.48792 .5481 L
.48939 .5459 L
.49275 .54277 L
.49357 .54107 L
.49758 .53672 L
.49829 .53624 L
.49758 .5316 L
.49275 .53268 L
.48792 .53219 L
.48637 .53141 L
.48792 .52801 L
.48866 .52658 L
.49255 .52174 L
.49275 .52031 L
.49563 .51691 L
.49758 .51436 L
.49857 .51208 L
.50242 .50881 L
.50302 .50725 L
.50725 .50272 L
.50775 .50242 L
.50725 .4982 L
.50242 .49928 L
.49758 .49894 L
.49489 .49758 L
.49758 .49375 L
.49816 .49275 L
.50192 .48792 L
.50242 .48661 L
.50506 .48309 L
.50725 .48088 L
.5078 .47826 L
.51208 .47422 L
.51282 .47342 L
.51691 .4693 L
.51844 .46859 L
.51691 .46394 L
.51208 .4654 L
.50725 .46509 L
.50437 .46376 L
.50725 .46023 L
.508 .45893 L
.51154 .4541 L
.51208 .45324 L
.51472 .44927 L
.51691 .44778 L
.51898 .44443 L
.52174 .44107 L
.52334 .4396 L
F
0 .38 1 r
.48309 .47697 m
.48788 .47826 L
.48475 .48309 L
.48309 .48507 L
.47844 .48309 L
.48257 .47826 L
F
0 .8 1 r
.49758 .43857 m
.50242 .43847 L
.50269 .4396 L
.50242 .4401 L
.50036 .44443 L
.49758 .44862 L
.49714 .44927 L
.4936 .4541 L
.49275 .45504 L
.49023 .45893 L
.48792 .46024 L
.48309 .46284 L
.47848 .45893 L
.48092 .4541 L
.48309 .45154 L
.48477 .44927 L
.48792 .44461 L
.48872 .44443 L
.49275 .44022 L
.49375 .4396 L
F
0 .9 1 r
.50242 .53491 m
.50725 .53501 L
.50957 .53624 L
.50736 .54107 L
.50725 .5415 L
.50417 .5459 L
.50242 .54903 L
.50136 .55073 L
.49758 .55447 L
.49673 .55557 L
.49275 .55997 L
.49248 .5604 L
.48792 .56389 L
.48309 .56471 L
.47859 .5604 L
.48297 .55557 L
.48309 .55527 L
.48657 .55073 L
.48792 .5483 L
.48953 .5459 L
.49275 .54312 L
.49379 .54107 L
.49758 .53707 L
.49889 .53624 L
F
1 .58 0 r
.48309 .54185 m
.48475 .5459 L
.48309 .54815 L
.47863 .5459 L
F
0 .36 1 r
.48309 .47764 m
.48755 .47826 L
.48454 .48309 L
.48309 .48482 L
.47869 .48309 L
.48284 .47826 L
F
0 .78 1 r
.49758 .4387 m
.50213 .4396 L
.50014 .44443 L
.49758 .44835 L
.49696 .44927 L
.49341 .4541 L
.49275 .45481 L
.48983 .45893 L
.48792 .45995 L
.48309 .46251 L
.4788 .45893 L
.48113 .4541 L
.48309 .45181 L
.48496 .44927 L
.48792 .44465 L
.48896 .44443 L
.49275 .44044 L
.49422 .4396 L
F
0 .88 1 r
.50242 .53522 m
.50725 .53534 L
.50894 .53624 L
.50728 .54107 L
.50725 .54118 L
.50402 .5459 L
.50242 .54885 L
.50124 .55073 L
.49758 .55425 L
.49652 .55557 L
.49275 .55943 L
.49209 .5604 L
.48792 .56346 L
.48309 .56417 L
.47886 .5604 L
.48309 .55578 L
.48321 .55557 L
.48672 .55073 L
.48792 .54851 L
.48968 .5459 L
.49275 .54342 L
.49402 .54107 L
.49758 .53739 L
.49952 .53624 L
F
0 .34 1 r
.48309 .47832 m
.48432 .48309 L
.48309 .48456 L
.47897 .48309 L
F
1 .62 0 r
.49275 .5054 m
.49758 .50441 L
.49909 .50725 L
.49758 .51025 L
.49651 .51208 L
.49313 .51691 L
.49275 .51727 L
.48991 .52174 L
.48792 .52287 L
.48309 .52656 L
.47901 .52174 L
.48168 .51691 L
.48309 .51427 L
.48562 .51208 L
.48792 .50927 L
.49027 .50725 L
F
1 .56 0 r
.48309 .54234 m
.48443 .5459 L
.48309 .54774 L
.47903 .5459 L
F
1 .78 0 r
.48309 .4148 m
.48777 .41544 L
.48409 .42027 L
.48309 .42129 L
.47906 .42027 L
.48249 .41544 L
F
0 .76 1 r
.49758 .43882 m
.5016 .4396 L
.49992 .44443 L
.49758 .44807 L
.49678 .44927 L
.49321 .4541 L
.49275 .45458 L
.48938 .45893 L
.48792 .45967 L
.48309 .46219 L
.47913 .45893 L
.48134 .4541 L
.48309 .45208 L
.48516 .44927 L
.48792 .44471 L
.4892 .44443 L
.49275 .44063 L
.49472 .4396 L
F
1 .6 0 r
.49275 .50559 m
.49758 .50471 L
.49888 .50725 L
.49758 .50997 L
.49637 .51208 L
.49299 .51691 L
.49275 .51713 L
.48963 .52174 L
.48792 .52269 L
.48309 .52632 L
.4792 .52174 L
.48184 .51691 L
.48309 .51451 L
.48576 .51208 L
.48792 .5094 L
.49049 .50725 L
F
0 .86 1 r
.50242 .53551 m
.50725 .53571 L
.50826 .53624 L
.50725 .54075 L
.50709 .54107 L
.50387 .5459 L
.50242 .54864 L
.50112 .55073 L
.49758 .55403 L
.4963 .55557 L
.49275 .55895 L
.49169 .5604 L
.48792 .56304 L
.48309 .56362 L
.47926 .5604 L
.48309 .55624 L
.48345 .55557 L
.48686 .55073 L
.48792 .54873 L
.48983 .5459 L
.49275 .54368 L
.49425 .54107 L
.49758 .5377 L
.5002 .53624 L
F
0 .32 1 r
.48309 .47867 m
.48409 .48309 L
.48309 .48428 L
.47927 .48309 L
F
1 .58 0 r
.49275 .50579 m
.49758 .50503 L
.49866 .50725 L
.49758 .50966 L
.49623 .51208 L
.49283 .51691 L
.49275 .51699 L
.48934 .52174 L
.48792 .52251 L
.48309 .52607 L
.47939 .52174 L
.482 .51691 L
.48309 .51477 L
.48591 .51208 L
.48792 .50954 L
.49072 .50725 L
F
0 .74 1 r
.49758 .43894 m
.50101 .4396 L
.49969 .44443 L
.49758 .44778 L
.49659 .44927 L
.49299 .4541 L
.49275 .45435 L
.48888 .45893 L
.48792 .45939 L
.48309 .46186 L
.47946 .45893 L
.48157 .4541 L
.48309 .45236 L
.48535 .44927 L
.48792 .44478 L
.48944 .44443 L
.49275 .44081 L
.49528 .4396 L
F
1 .54 0 r
.48309 .54289 m
.48407 .5459 L
.48309 .54728 L
.47948 .5459 L
F
1 .56 0 r
.49275 .50599 m
.49758 .50538 L
.49844 .50725 L
.49758 .50932 L
.49609 .51208 L
.49275 .51683 L
.49269 .51691 L
.48903 .52174 L
.48792 .52232 L
.48309 .52583 L
.47959 .52174 L
.48217 .51691 L
.48309 .51507 L
.48606 .51208 L
.48792 .50967 L
.49096 .50725 L
F
0 .3 1 r
.48309 .47907 m
.48384 .48309 L
.48309 .48398 L
.4796 .48309 L
F
1 .54 0 r
.49275 .50619 m
.49758 .50577 L
.4982 .50725 L
.49758 .50894 L
.49594 .51208 L
.49275 .51665 L
.49255 .51691 L
.4887 .52174 L
.48792 .52214 L
.48309 .52558 L
.47979 .52174 L
.48235 .51691 L
.48309 .51539 L
.48621 .51208 L
.48792 .50982 L
.49121 .50725 L
F
0 .72 1 r
.49758 .43912 m
.5003 .4396 L
.49946 .44443 L
.49758 .44748 L
.4964 .44927 L
.49277 .4541 L
.49275 .45412 L
.48832 .45893 L
.48792 .45911 L
.48309 .46152 L
.47981 .45893 L
.48182 .4541 L
.48309 .45265 L
.48555 .44927 L
.48792 .44488 L
.48969 .44443 L
.49275 .441 L
.49594 .4396 L
F
0 .84 1 r
.50242 .53581 m
.50725 .53611 L
.5075 .53624 L
.50725 .54018 L
.50685 .54107 L
.50371 .5459 L
.50242 .54841 L
.50098 .55073 L
.49758 .55383 L
.49609 .55557 L
.49275 .55853 L
.49126 .5604 L
.48792 .56263 L
.48309 .56303 L
.47983 .5604 L
.48309 .55675 L
.4837 .55557 L
.48701 .55073 L
.48792 .54897 L
.48998 .5459 L
.49275 .54391 L
.49448 .54107 L
.49758 .53799 L
.50096 .53624 L
F
0 .28 1 r
.48309 .47952 m
.48357 .48309 L
.48309 .48366 L
.47998 .48309 L
F
1 .52 0 r
.49275 .5064 m
.49758 .50623 L
.49796 .50725 L
.49758 .50846 L
.4958 .51208 L
.49275 .51646 L
.4924 .51691 L
.48834 .52174 L
.48792 .52195 L
.48309 .52532 L
.48 .52174 L
.48253 .51691 L
.48309 .51574 L
.48636 .51208 L
.48792 .50997 L
.49147 .50725 L
F
.48309 .54358 m
.48367 .5459 L
.48309 .54675 L
.48002 .5459 L
F
0 .7 1 r
.49758 .43938 m
.49934 .4396 L
.49922 .44443 L
.49758 .44716 L
.49621 .44927 L
.49275 .45387 L
.49256 .4541 L
.48792 .45884 L
.4878 .45893 L
.48309 .46118 L
.48018 .45893 L
.48207 .4541 L
.48309 .45295 L
.48575 .44927 L
.48792 .44501 L
.48995 .44443 L
.49275 .44119 L
.49678 .4396 L
F
1 .5 0 r
.49275 .5066 m
.49758 .50685 L
.4977 .50725 L
.49758 .50779 L
.49565 .51208 L
.49275 .51627 L
.49225 .51691 L
.48797 .52174 L
.48792 .52177 L
.48309 .52506 L
.48022 .52174 L
.48272 .51691 L
.48309 .51612 L
.48651 .51208 L
.48792 .51013 L
.49175 .50725 L
F
1 .76 0 r
.48309 .41584 m
.48326 .42027 L
.48309 .42043 L
.48025 .42027 L
F
0 .82 1 r
.48792 .57451 m
.49275 .57224 L
.49486 .57489 L
.49275 .57871 L
.49206 .57973 L
.48823 .58456 L
.48792 .58471 L
.48309 .58861 L
.48026 .58456 L
.48309 .57988 L
.4832 .57973 L
.48748 .57489 L
F
1 .48 0 r
.49275 .50681 m
.49738 .50725 L
.49549 .51208 L
.49275 .51608 L
.4921 .51691 L
.48792 .52157 L
.48773 .52174 L
.48309 .5248 L
.48044 .52174 L
.48292 .51691 L
.48309 .51654 L
.48667 .51208 L
.48792 .51031 L
.49204 .50725 L
F
0 .26 1 r
.48309 .48008 m
.48326 .48309 L
.48309 .48329 L
.48044 .48309 L
F
1 .96 0 r
.49758 .60356 m
.50242 .60301 L
.5045 .60388 L
.50317 .60872 L
.50242 .60975 L
.50077 .61355 L
.49758 .61728 L
.49577 .61838 L
.49275 .62184 L
.49112 .62321 L
.48792 .62541 L
.48309 .62697 L
.48054 .62321 L
.48309 .62056 L
.48424 .61838 L
.48751 .61355 L
.48792 .61335 L
.49082 .60872 L
.49275 .60703 L
.4969 .60388 L
F
0 .68 1 r
.49275 .4414 m
.49758 .43978 L
.49897 .44443 L
.49758 .44682 L
.49602 .44927 L
.49275 .45361 L
.49235 .4541 L
.48792 .45855 L
.48741 .45893 L
.48309 .46083 L
.48057 .45893 L
.48235 .4541 L
.48309 .45326 L
.48595 .44927 L
.48792 .44518 L
.49022 .44443 L
F
0 .82 1 r
.50242 .5361 m
.50643 .53624 L
.50661 .54107 L
.50355 .5459 L
.50242 .54816 L
.50083 .55073 L
.49758 .55363 L
.49587 .55557 L
.49275 .55817 L
.49082 .5604 L
.48792 .56224 L
.48309 .56239 L
.48061 .5604 L
.48309 .55735 L
.48394 .55557 L
.48717 .55073 L
.48792 .54923 L
.49015 .5459 L
.49275 .54411 L
.49471 .54107 L
.49758 .53827 L
.50187 .53624 L
F
1 .46 0 r
.48309 .51696 m
.48749 .52174 L
.48309 .52452 L
.48067 .52174 L
F
1 .5 0 r
.48309 .54463 m
.48319 .5459 L
.48309 .54607 L
.48075 .5459 L
F
1 .44 0 r
.48309 .51724 m
.48725 .52174 L
.48309 .52424 L
.48091 .52174 L
F
0 .8 1 r
.48309 .58071 m
.48742 .58456 L
.48309 .58774 L
.48092 .58456 L
F
0 .66 1 r
.49275 .44163 m
.49758 .44025 L
.49871 .44443 L
.49758 .44645 L
.49582 .44927 L
.49275 .45336 L
.49213 .4541 L
.48792 .45827 L
.48698 .45893 L
.48309 .46046 L
.48099 .45893 L
.48264 .4541 L
.48309 .45359 L
.48616 .44927 L
.48792 .4454 L
.49049 .44443 L
F
1 .96 0 r
.49758 .37232 m
.50242 .37219 L
.50339 .37679 L
.50242 .37798 L
.50031 .38162 L
.49758 .38554 L
.49693 .38645 L
.49311 .39128 L
.49275 .39165 L
.48792 .39562 L
.48675 .39612 L
.48309 .39668 L
.48104 .39612 L
.48118 .39128 L
.48309 .38894 L
.48481 .38645 L
.48792 .38241 L
.48859 .38162 L
.49275 .37702 L
.49302 .37679 L
F
1 .42 0 r
.48309 .51754 m
.48698 .52174 L
.48309 .52395 L
.48116 .52174 L
F
1 .4 0 r
.48309 .51787 m
.4867 .52174 L
.48309 .52364 L
.48143 .52174 L
F
0 .64 1 r
.49275 .4419 m
.49758 .44078 L
.49845 .44443 L
.49758 .44605 L
.49561 .44927 L
.49275 .45309 L
.4919 .4541 L
.48792 .45799 L
.48649 .45893 L
.48309 .46007 L
.48145 .45893 L
.48295 .4541 L
.48309 .45394 L
.48637 .44927 L
.48792 .44567 L
.49077 .44443 L
F
1 .88 0 r
.50725 .46791 m
.51159 .46859 L
.51091 .47342 L
.50738 .47826 L
.50725 .47923 L
.50417 .48309 L
.50242 .48538 L
.50125 .48792 L
.49758 .49048 L
.49661 .49275 L
.49275 .49669 L
.49106 .49758 L
.48792 .49858 L
.48309 .49835 L
.48153 .49758 L
.48291 .49275 L
.48309 .4925 L
.48638 .48792 L
.48792 .4841 L
.48929 .48309 L
.49275 .47899 L
.49343 .47826 L
.49749 .47342 L
.49758 .47319 L
.50242 .46908 L
.50378 .46859 L
F
0 .8 1 r
.49758 .53855 m
.50242 .53639 L
.50637 .54107 L
.50339 .5459 L
.50242 .54789 L
.50067 .55073 L
.49758 .55343 L
.49565 .55557 L
.49275 .55785 L
.49034 .5604 L
.48792 .56185 L
.48309 .56164 L
.48161 .5604 L
.48309 .55811 L
.48419 .55557 L
.48732 .55073 L
.48792 .5495 L
.49032 .5459 L
.49275 .54429 L
.49494 .54107 L
F
0 .78 1 r
.48309 .5817 m
.48661 .58456 L
.48309 .58674 L
.48168 .58456 L
F
1 .38 0 r
.48309 .51824 m
.48638 .52174 L
.48309 .5233 L
.48172 .52174 L
F
0 .62 1 r
.48309 .4544 m
.4859 .45893 L
.48309 .45965 L
.48199 .45893 L
F
1 .36 0 r
.48309 .51865 m
.48602 .52174 L
.48309 .52294 L
.48203 .52174 L
F
1 .86 0 r
.50725 .4682 m
.51051 .46859 L
.5107 .47342 L
.50734 .47826 L
.50725 .47898 L
.50407 .48309 L
.50242 .48526 L
.50117 .48792 L
.49758 .49019 L
.49644 .49275 L
.49275 .49644 L
.49043 .49758 L
.48792 .49832 L
.48309 .49802 L
.4822 .49758 L
.48309 .4928 L
.48311 .49275 L
.48649 .48792 L
.48792 .48424 L
.48938 .48309 L
.49275 .47912 L
.49356 .47826 L
.49758 .47344 L
.4976 .47342 L
.50242 .46935 L
.50479 .46859 L
F
1 .34 0 r
.48309 .51915 m
.48559 .52174 L
.48309 .52254 L
.48239 .52174 L
F
0 .94 1 r
.48309 .37668 m
.48333 .37679 L
.48309 .38068 L
.48239 .37679 L
F
0 .6 1 r
.48309 .45501 m
.48508 .45893 L
.48309 .45919 L
.48264 .45893 L
F
0 .76 1 r
.48309 .58319 m
.48544 .58456 L
.48309 .58536 L
.48265 .58456 L
F
1 .32 0 r
.48309 .51981 m
.48503 .52174 L
.48309 .52207 L
.48281 .52174 L
F
0 .78 1 r
.49758 .53882 m
.50242 .53669 L
.50612 .54107 L
.50321 .5459 L
.50242 .54758 L
.50049 .55073 L
.49758 .55324 L
.49542 .55557 L
.49275 .55757 L
.48982 .5604 L
.48792 .56146 L
.48309 .56061 L
.48288 .5604 L
.48309 .55942 L
.48444 .55557 L
.48748 .55073 L
.48792 .54981 L
.4905 .5459 L
.49275 .54445 L
.49518 .54107 L
F
1 .84 0 r
.50725 .46848 m
.50898 .46859 L
.51049 .47342 L
.50731 .47826 L
.50725 .47873 L
.50397 .48309 L
.50242 .48514 L
.50108 .48792 L
.49758 .48993 L
.49626 .49275 L
.49275 .49619 L
.48972 .49758 L
.48792 .49806 L
.48309 .49765 L
.48294 .49758 L
.48309 .49327 L
.48331 .49275 L
.4866 .48792 L
.48792 .4844 L
.48947 .48309 L
.49275 .47924 L
.4937 .47826 L
.49758 .47375 L
.4978 .47342 L
.50242 .46961 L
.50619 .46859 L
F
1 .46 0 r
.49275 .50702 m
.49698 .50725 L
.49534 .51208 L
.49275 .51588 L
.49195 .51691 L
.48792 .52137 L
.48312 .51691 L
.48683 .51208 L
.48792 .51049 L
.49236 .50725 L
F
1 .94 0 r
.49758 .37431 m
.50043 .37679 L
.49892 .38162 L
.49758 .38371 L
.49569 .38645 L
.49275 .39001 L
.4915 .39128 L
.48792 .39387 L
.48322 .39128 L
.48611 .38645 L
.48792 .38408 L
.49009 .38162 L
.49275 .37888 L
.49566 .37679 L
F
0 .62 1 r
.49275 .44222 m
.49758 .44137 L
.49817 .44443 L
.49758 .4456 L
.4954 .44927 L
.49275 .45282 L
.49166 .4541 L
.48792 .4577 L
.48324 .4541 L
.48659 .44927 L
.48792 .446 L
.49107 .44443 L
F
1 .44 0 r
.49275 .50723 m
.4965 .50725 L
.49518 .51208 L
.49275 .51568 L
.49179 .51691 L
.48792 .52117 L
.48329 .51691 L
.48699 .51208 L
.48792 .5107 L
.49272 .50725 L
F
1 .42 0 r
.48792 .51092 m
.49275 .50747 L
.49501 .51208 L
.49275 .51547 L
.49163 .51691 L
.48792 .52097 L
.48346 .51691 L
.48716 .51208 L
F
0 .6 1 r
.49275 .44258 m
.49758 .44212 L
.49788 .44443 L
.49758 .44507 L
.49518 .44927 L
.49275 .45254 L
.49142 .4541 L
.48792 .45741 L
.48351 .4541 L
.48681 .44927 L
.48792 .44641 L
.49139 .44443 L
F
1 .82 0 r
.50242 .46986 m
.50725 .46875 L
.51028 .47342 L
.50727 .47826 L
.50725 .47845 L
.50387 .48309 L
.50242 .48501 L
.50098 .48792 L
.49758 .4897 L
.49608 .49275 L
.49275 .49596 L
.48889 .49758 L
.48792 .49781 L
.48395 .49758 L
.48352 .49275 L
.48671 .48792 L
.48792 .48459 L
.48957 .48309 L
.49275 .47935 L
.49383 .47826 L
.49758 .47404 L
.49801 .47342 L
F
1 .4 0 r
.48792 .51116 m
.49275 .50772 L
.49485 .51208 L
.49275 .51525 L
.49147 .51691 L
.48792 .52076 L
.48364 .51691 L
.48733 .51208 L
F
0 .76 1 r
.49758 .53908 m
.50242 .53699 L
.50587 .54107 L
.50304 .5459 L
.50242 .54725 L
.50031 .55073 L
.49758 .55305 L
.49519 .55557 L
.49275 .55732 L
.48924 .5604 L
.48792 .56107 L
.4837 .5604 L
.4847 .55557 L
.48764 .55073 L
.48792 .55013 L
.49069 .5459 L
.49275 .5446 L
.49542 .54107 L
F
1 .8 0 r
.50242 .4701 m
.50725 .46903 L
.51006 .47342 L
.50725 .47819 L
.5072 .47826 L
.50377 .48309 L
.50242 .48489 L
.50088 .48792 L
.49758 .48949 L
.4959 .49275 L
.49275 .49573 L
.48792 .49756 L
.48372 .49275 L
.48682 .48792 L
.48792 .48479 L
.48967 .48309 L
.49275 .47947 L
.49396 .47826 L
.49758 .4743 L
.49823 .47342 L
F
0 .8 1 r
.48792 .57512 m
.49155 .57973 L
.48792 .58408 L
.48375 .57973 L
F
0 .58 1 r
.49275 .44301 m
.49755 .44443 L
.49496 .44927 L
.49275 .45226 L
.49116 .4541 L
.48792 .45711 L
.48379 .4541 L
.48704 .44927 L
.48792 .44689 L
.49173 .44443 L
F
1 .38 0 r
.48792 .51142 m
.49275 .50798 L
.49467 .51208 L
.49275 .51503 L
.49129 .51691 L
.48792 .52055 L
.48383 .51691 L
.48751 .51208 L
F
1 .78 0 r
.50242 .47033 m
.50725 .46931 L
.50984 .47342 L
.50725 .47796 L
.50707 .47826 L
.50367 .48309 L
.50242 .48476 L
.50077 .48792 L
.49758 .4893 L
.49572 .49275 L
.49275 .49551 L
.48792 .49731 L
.48392 .49275 L
.48693 .48792 L
.48792 .48501 L
.48977 .48309 L
.49275 .47959 L
.49409 .47826 L
.49758 .47454 L
.49844 .47342 L
F
1 .36 0 r
.48792 .5117 m
.49275 .50825 L
.49449 .51208 L
.49275 .51479 L
.49112 .51691 L
.48792 .52033 L
.48402 .51691 L
.48769 .51208 L
F
0 .56 1 r
.49275 .44351 m
.49711 .44443 L
.49473 .44927 L
.49275 .45196 L
.49089 .4541 L
.48792 .4568 L
.48408 .4541 L
.48728 .44927 L
.48792 .44745 L
.49209 .44443 L
F
1 .76 0 r
.50242 .47056 m
.50725 .4696 L
.50962 .47342 L
.50725 .47772 L
.50693 .47826 L
.50356 .48309 L
.50242 .48463 L
.50066 .48792 L
.49758 .48914 L
.49554 .49275 L
.49275 .49529 L
.48792 .49707 L
.48413 .49275 L
.48704 .48792 L
.48792 .48526 L
.48987 .48309 L
.49275 .4797 L
.49423 .47826 L
.49758 .47477 L
.49866 .47342 L
F
1 .34 0 r
.48792 .51201 m
.49275 .50853 L
.49431 .51208 L
.49275 .51455 L
.49093 .51691 L
.48792 .5201 L
.48422 .51691 L
.48788 .51208 L
F
1 .74 0 r
.50242 .47079 m
.50725 .46989 L
.5094 .47342 L
.50725 .47747 L
.50679 .47826 L
.50346 .48309 L
.50242 .4845 L
.50055 .48792 L
.49758 .489 L
.49535 .49275 L
.49275 .49508 L
.48792 .49683 L
.48434 .49275 L
.48716 .48792 L
.48792 .48554 L
.48998 .48309 L
.49275 .47982 L
.49436 .47826 L
.49758 .47498 L
.49888 .47342 L
F
0 .78 1 r
.48792 .57583 m
.49099 .57973 L
.48792 .58339 L
.48435 .57973 L
F
0 .54 1 r
.49275 .44409 m
.49659 .44443 L
.49448 .44927 L
.49275 .45164 L
.4906 .4541 L
.48792 .45648 L
.48439 .4541 L
.48753 .44927 L
.48792 .44811 L
.49251 .44443 L
F
1 .32 0 r
.48792 .51227 m
.49074 .51691 L
.48792 .51987 L
.48443 .51691 L
F
1 .72 0 r
.50242 .47101 m
.50725 .47019 L
.50917 .47342 L
.50725 .47721 L
.50665 .47826 L
.50335 .48309 L
.50242 .48436 L
.50042 .48792 L
.49758 .48887 L
.49516 .49275 L
.49275 .49487 L
.48792 .49659 L
.48455 .49275 L
.48727 .48792 L
.48792 .48584 L
.49009 .48309 L
.49275 .47994 L
.49449 .47826 L
.49758 .47518 L
.49911 .47342 L
F
0 .74 1 r
.49758 .53934 m
.50242 .53729 L
.50561 .54107 L
.50285 .5459 L
.50242 .54688 L
.5001 .55073 L
.49758 .55285 L
.49495 .55557 L
.49275 .5571 L
.48855 .5604 L
.48792 .56068 L
.4846 .5604 L
.48496 .55557 L
.48781 .55073 L
.48792 .55049 L
.49089 .5459 L
.49275 .54474 L
.49567 .54107 L
F
1 .3 0 r
.48792 .51253 m
.49054 .51691 L
.48792 .51963 L
.48464 .51691 L
F
0 .52 1 r
.48792 .44887 m
.49275 .44463 L
.49423 .44927 L
.49275 .45131 L
.49029 .4541 L
.48792 .45614 L
.48473 .4541 L
.48779 .44927 L
F
1 .7 0 r
.50242 .47123 m
.50725 .4705 L
.50894 .47342 L
.50725 .47693 L
.50651 .47826 L
.50324 .48309 L
.50242 .48422 L
.50029 .48792 L
.49758 .48876 L
.49496 .49275 L
.49275 .49467 L
.48792 .49635 L
.48476 .49275 L
.48739 .48792 L
.48792 .48617 L
.4902 .48309 L
.49275 .48006 L
.49463 .47826 L
.49758 .47536 L
.49935 .47342 L
F
1 .28 0 r
.48792 .5128 m
.49033 .51691 L
.48792 .51939 L
.48487 .51691 L
F
1 .68 0 r
.50242 .47145 m
.50725 .47083 L
.5087 .47342 L
.50725 .47663 L
.50637 .47826 L
.50313 .48309 L
.50242 .48408 L
.50015 .48792 L
.49758 .48867 L
.49477 .49275 L
.49275 .49447 L
.48792 .49611 L
.48498 .49275 L
.48751 .48792 L
.48792 .48653 L
.49032 .48309 L
.49275 .48019 L
.49477 .47826 L
.49758 .47553 L
.49959 .47342 L
F
0 .76 1 r
.48792 .57664 m
.49034 .57973 L
.48792 .58261 L
.48503 .57973 L
F
0 .5 1 r
.48792 .44948 m
.48995 .4541 L
.48792 .45579 L
.4851 .4541 L
F
1 .26 0 r
.48792 .51309 m
.4901 .51691 L
.48792 .51913 L
.48512 .51691 L
F
1 .66 0 r
.50242 .47167 m
.50725 .47117 L
.50846 .47342 L
.50725 .4763 L
.50623 .47826 L
.50301 .48309 L
.50242 .48393 L
.50001 .48792 L
.49758 .48859 L
.49457 .49275 L
.49275 .49427 L
.48792 .49586 L
.48521 .49275 L
.48763 .48792 L
.48792 .48692 L
.49044 .48309 L
.49275 .48032 L
.49491 .47826 L
.49758 .47569 L
.49983 .47342 L
F
0 .72 1 r
.49758 .5396 m
.50242 .53759 L
.50535 .54107 L
.50266 .5459 L
.50242 .54647 L
.49988 .55073 L
.49758 .55265 L
.49471 .55557 L
.49275 .5569 L
.48792 .56029 L
.48523 .55557 L
.48792 .55085 L
.48799 .55073 L
.4911 .5459 L
.49275 .54487 L
.49593 .54107 L
F
1 .24 0 r
.48792 .5134 m
.48986 .51691 L
.48792 .51885 L
.48538 .51691 L
F
1 .64 0 r
.50242 .47189 m
.50725 .47155 L
.5082 .47342 L
.50725 .47594 L
.50609 .47826 L
.50289 .48309 L
.50242 .48377 L
.49986 .48792 L
.49758 .48851 L
.49436 .49275 L
.49275 .49407 L
.48792 .4956 L
.48544 .49275 L
.48776 .48792 L
.48792 .48735 L
.49057 .48309 L
.49275 .48046 L
.49505 .47826 L
.49758 .47584 L
.50009 .47342 L
F
0 .7 1 r
.49758 .53986 m
.50242 .53791 L
.50508 .54107 L
.50247 .5459 L
.50242 .54602 L
.49964 .55073 L
.49758 .55244 L
.49446 .55557 L
.49275 .55672 L
.48792 .55988 L
.4855 .55557 L
.48792 .55118 L
.4882 .55073 L
.49133 .5459 L
.49275 .54501 L
.49619 .54107 L
F
0 .48 1 r
.48792 .44993 m
.48958 .4541 L
.48792 .45542 L
.48552 .4541 L
F
1 .96 0 r
.54107 .43719 m
.5459 .43538 L
.55073 .43635 L
.55083 .4396 L
.55073 .44019 L
.54812 .44443 L
.5459 .44813 L
.5453 .44927 L
.54168 .4541 L
.54107 .4549 L
.53712 .45893 L
.53624 .46117 L
.53351 .46376 L
.53624 .46744 L
.54107 .46751 L
.54413 .46859 L
.5416 .47342 L
.54107 .47577 L
.53924 .47826 L
.53624 .48266 L
.53606 .48309 L
.53239 .48792 L
.53141 .48923 L
.52802 .49275 L
.52658 .49553 L
.52454 .49758 L
.52658 .50053 L
.53141 .50058 L
.53606 .50242 L
.53272 .50725 L
.53141 .51 L
.52995 .51208 L
.52658 .51667 L
.52655 .51691 L
.52281 .52174 L
.52174 .52319 L
.5187 .52658 L
.51691 .52945 L
.5151 .53141 L
.51691 .53413 L
.52174 .53415 L
.52658 .53564 L
.52669 .53624 L
.52658 .53643 L
.52337 .54107 L
.52174 .54388 L
.52048 .5459 L
.51691 .55048 L
.51672 .55073 L
.5123 .55557 L
.51208 .55694 L
.50913 .5604 L
.50725 .56297 L
.50495 .56523 L
.50725 .56822 L
.51208 .56804 L
.51661 .57006 L
.51375 .57489 L
.51208 .57744 L
.51091 .57973 L
.50725 .58398 L
.5068 .58456 L
.50275 .58939 L
.50242 .5902 L
.49893 .59422 L
.49758 .59555 L
.49275 .59829 L
.48792 .5986 L
.48557 .59422 L
.48792 .59092 L
.48883 .58939 L
.49266 .58456 L
.49275 .58385 L
.49589 .57973 L
.49758 .57737 L
.49889 .57489 L
.50242 .57142 L
.50398 .57006 L
.50242 .56607 L
.49758 .56648 L
.49275 .56559 L
.49242 .56523 L
.49275 .56407 L
.49408 .5604 L
.49758 .55616 L
.49798 .55557 L
.50194 .55073 L
.50242 .54992 L
.50507 .5459 L
.50725 .54311 L
.50792 .54107 L
.51208 .5371 L
.51309 .53624 L
.51208 .53303 L
.50725 .53322 L
.50242 .53276 L
.50093 .53141 L
.50242 .52921 L
.50321 .52658 L
.50725 .52211 L
.5075 .52174 L
.51132 .51691 L
.51208 .51652 L
.51444 .51208 L
.51691 .50916 L
.51852 .50725 L
.52174 .50322 L
.52279 .50242 L
.52174 .49943 L
.51691 .49964 L
.51208 .49925 L
.5102 .49758 L
.51208 .49521 L
.51234 .49275 L
.51691 .48825 L
.51715 .48792 L
.52082 .48309 L
.52174 .48175 L
.52389 .47826 L
.52658 .4754 L
.52833 .47342 L
.53141 .46975 L
.5333 .46859 L
.53141 .46526 L
.52658 .46582 L
.52174 .46538 L
.51992 .46376 L
.52174 .4616 L
.52345 .45893 L
.52658 .45461 L
.52696 .4541 L
.53054 .44927 L
.53141 .44817 L
.53358 .44443 L
.53624 .44209 L
.53871 .4396 L
F
1 .94 0 r
.49275 .60859 m
.49758 .60523 L
.50168 .60872 L
.49925 .61355 L
.49758 .61573 L
.49433 .61838 L
.49275 .6203 L
.48802 .62321 L
.48792 .62326 L
.48559 .62321 L
.48582 .61838 L
.48792 .61482 L
.48874 .61355 L
.49258 .60872 L
F
0 .92 1 r
.50725 .40362 m
.51208 .40528 L
.51216 .40578 L
.51208 .40601 L
.51017 .41061 L
.50725 .41515 L
.50705 .41544 L
.50352 .42027 L
.50242 .42175 L
.5004 .42511 L
.49758 .42741 L
.49402 .42994 L
.49275 .43052 L
.48792 .43087 L
.48563 .42994 L
.48702 .42511 L
.48792 .42366 L
.48964 .42027 L
.49275 .41692 L
.49393 .41544 L
.49758 .4109 L
.49794 .41061 L
.50242 .40632 L
.50308 .40578 L
F
1 .22 0 r
.48792 .51374 m
.4896 .51691 L
.48792 .51856 L
.48566 .51691 L
F
1 .62 0 r
.50242 .4721 m
.50725 .47196 L
.50794 .47342 L
.50725 .47552 L
.50594 .47826 L
.50277 .48309 L
.50242 .4836 L
.49969 .48792 L
.49758 .48845 L
.49414 .49275 L
.49275 .49387 L
.48792 .49534 L
.48567 .49275 L
.48789 .48792 L
.48792 .48781 L
.4907 .48309 L
.49275 .4806 L
.49519 .47826 L
.49758 .47598 L
.50036 .47342 L
F
1 .92 0 r
.49275 .3809 m
.49708 .38162 L
.49422 .38645 L
.49275 .3882 L
.48923 .39128 L
.48792 .39196 L
.48573 .39128 L
.48763 .38645 L
.48792 .38605 L
.49196 .38162 L
F
0 .68 1 r
.49758 .54011 m
.50242 .53823 L
.50479 .54107 L
.50242 .54566 L
.50227 .5459 L
.49938 .55073 L
.49758 .55222 L
.4942 .55557 L
.49275 .55654 L
.48792 .55947 L
.48579 .55557 L
.48792 .55154 L
.4884 .55073 L
.49156 .5459 L
.49275 .54514 L
.49646 .54107 L
F
0 .74 1 r
.48792 .57761 m
.48955 .57973 L
.48792 .58166 L
.48588 .57973 L
F
1 .6 0 r
.50242 .47232 m
.50725 .47244 L
.50766 .47342 L
.50725 .475 L
.50579 .47826 L
.50265 .48309 L
.50242 .48343 L
.49952 .48792 L
.49758 .4884 L
.49392 .49275 L
.49275 .49367 L
.48792 .49508 L
.48591 .49275 L
.48792 .48813 L
.48803 .48792 L
.49084 .48309 L
.49275 .48075 L
.49533 .47826 L
.49758 .47612 L
.50063 .47342 L
F
1 .2 0 r
.48792 .51412 m
.4893 .51691 L
.48792 .51824 L
.48598 .51691 L
F
0 .46 1 r
.48792 .45046 m
.48914 .4541 L
.48792 .455 L
.48601 .4541 L
F
0 .66 1 r
.49758 .54037 m
.50242 .53856 L
.5045 .54107 L
.50242 .54532 L
.50206 .5459 L
.4991 .55073 L
.49758 .55198 L
.49393 .55557 L
.49275 .55636 L
.48792 .55903 L
.48608 .55557 L
.48792 .55192 L
.48861 .55073 L
.49182 .5459 L
.49275 .54529 L
.49674 .54107 L
F
1 .58 0 r
.50242 .47253 m
.50725 .47307 L
.50737 .47342 L
.50725 .47423 L
.50564 .47826 L
.50252 .48309 L
.50242 .48325 L
.49934 .48792 L
.49758 .48835 L
.4937 .49275 L
.49275 .49348 L
.48792 .4948 L
.48616 .49275 L
.48792 .48841 L
.48818 .48792 L
.49099 .48309 L
.49275 .48091 L
.49547 .47826 L
.49758 .47626 L
.50093 .47342 L
F
1 .18 0 r
.48792 .51456 m
.48897 .51691 L
.48792 .51788 L
.48636 .51691 L
F
0 .64 1 r
.49758 .54063 m
.50242 .53891 L
.50419 .54107 L
.50242 .54496 L
.50186 .5459 L
.4988 .55073 L
.49758 .55173 L
.49365 .55557 L
.49275 .55617 L
.48792 .55857 L
.48639 .55557 L
.48792 .55233 L
.48883 .55073 L
.49209 .5459 L
.49275 .54546 L
.49704 .54107 L
F
1 .56 0 r
.50242 .47275 m
.50702 .47342 L
.50549 .47826 L
.50242 .48306 L
.5024 .48309 L
.49916 .48792 L
.49758 .4883 L
.49346 .49275 L
.49275 .49328 L
.48792 .49451 L
.48642 .49275 L
.48792 .48872 L
.48833 .48792 L
.49114 .48309 L
.49275 .48108 L
.49562 .47826 L
.49758 .47639 L
.50124 .47342 L
F
1 .94 0 r
.54107 .43826 m
.5459 .43664 L
.5497 .4396 L
.5475 .44443 L
.5459 .44731 L
.54494 .44927 L
.54125 .4541 L
.54107 .45433 L
.53684 .45893 L
.53624 .46052 L
.53262 .46376 L
.53624 .46814 L
.54107 .46825 L
.54214 .46859 L
.54137 .47342 L
.54107 .47519 L
.53896 .47826 L
.53624 .48234 L
.53594 .48309 L
.53217 .48792 L
.53141 .48894 L
.52781 .49275 L
.52658 .49511 L
.52397 .49758 L
.52658 .501 L
.53141 .50097 L
.53514 .50242 L
.53249 .50725 L
.53141 .50967 L
.52978 .51208 L
.52658 .51645 L
.52652 .51691 L
.52264 .52174 L
.52174 .52295 L
.5185 .52658 L
.51691 .52905 L
.51446 .53141 L
.51691 .5346 L
.52174 .5345 L
.5259 .53624 L
.52313 .54107 L
.52174 .54356 L
.52031 .5459 L
.51691 .55023 L
.51653 .55073 L
.51224 .55557 L
.51208 .55661 L
.50882 .5604 L
.50725 .5624 L
.50301 .56523 L
.50725 .56891 L
.51208 .5686 L
.51548 .57006 L
.51335 .57489 L
.51208 .57688 L
.51063 .57973 L
.50725 .58351 L
.50642 .58456 L
.50248 .58939 L
.50242 .58953 L
.49794 .59422 L
.49758 .59451 L
.49275 .59725 L
.48792 .59706 L
.48661 .59422 L
.48792 .5921 L
.48935 .58939 L
.49272 .58456 L
.49275 .58433 L
.49619 .57973 L
.49758 .57783 L
.49924 .57489 L
.50242 .57206 L
.50498 .57006 L
.50242 .56537 L
.49758 .56598 L
.49392 .56523 L
.49434 .5604 L
.49758 .55649 L
.49818 .55557 L
.50203 .55073 L
.50242 .55006 L
.50522 .5459 L
.50725 .54336 L
.50805 .54107 L
.51208 .53752 L
.51371 .53624 L
.51208 .53249 L
.50725 .53294 L
.50242 .53225 L
.50155 .53141 L
.50242 .52978 L
.50333 .52658 L
.50725 .5223 L
.50764 .52174 L
.51141 .51691 L
.51208 .51657 L
.51457 .51208 L
.51691 .50937 L
.51873 .50725 L
.52174 .50363 L
.52348 .50242 L
.52174 .49888 L
.51691 .49938 L
.51208 .49884 L
.51072 .49758 L
.51208 .49566 L
.51242 .49275 L
.51691 .48846 L
.5173 .48792 L
.52094 .48309 L
.52174 .48194 L
.52406 .47826 L
.52658 .47569 L
.52864 .47342 L
.53141 .47031 L
.5348 .46859 L
.53141 .46451 L
.52658 .46542 L
.52174 .4647 L
.52078 .46376 L
.52174 .46235 L
.52375 .45893 L
.52658 .45497 L
.52722 .4541 L
.53083 .44927 L
.53141 .44856 L
.53407 .44443 L
.53624 .44269 L
.53957 .4396 L
F
0 .44 1 r
.48792 .45111 m
.48859 .4541 L
.48792 .45454 L
.48665 .4541 L
F
1 .54 0 r
.50242 .47297 m
.5066 .47342 L
.50534 .47826 L
.50242 .48287 L
.50226 .48309 L
.49896 .48792 L
.49758 .48825 L
.49321 .49275 L
.49275 .49308 L
.48792 .4942 L
.4867 .49275 L
.48792 .48905 L
.48849 .48792 L
.4913 .48309 L
.49275 .48126 L
.49577 .47826 L
.49758 .47652 L
.50159 .47342 L
F
0 .62 1 r
.49758 .54089 m
.50242 .53929 L
.50386 .54107 L
.50242 .54455 L
.50164 .5459 L
.49847 .55073 L
.49758 .55147 L
.49335 .55557 L
.49275 .55598 L
.48792 .55807 L
.48671 .55557 L
.48792 .5528 L
.48905 .55073 L
.49237 .5459 L
.49275 .54564 L
.49735 .54107 L
F
1 .16 0 r
.48792 .51511 m
.48856 .51691 L
.48792 .51746 L
.48683 .51691 L
F
1 .52 0 r
.50242 .47319 m
.5061 .47342 L
.50518 .47826 L
.50242 .48268 L
.50213 .48309 L
.49875 .48792 L
.49758 .48821 L
.49294 .49275 L
.49275 .49289 L
.48792 .49388 L
.48699 .49275 L
.48792 .48943 L
.48864 .48792 L
.49146 .48309 L
.49275 .48146 L
.49592 .47826 L
.49758 .47665 L
.50197 .47342 L
F
0 .6 1 r
.49275 .54585 m
.49758 .54116 L
.50142 .5459 L
.49812 .55073 L
.49758 .55118 L
.49303 .55557 L
.49275 .55576 L
.48792 .55751 L
.48706 .55557 L
.48792 .55334 L
.48928 .55073 L
.49268 .5459 L
F
0 .9 1 r
.50725 .40457 m
.51077 .40578 L
.50963 .41061 L
.50725 .4145 L
.50666 .41544 L
.50319 .42027 L
.50242 .42128 L
.49993 .42511 L
.49758 .42686 L
.49275 .42991 L
.49267 .42994 L
.48792 .43023 L
.4871 .42994 L
.48745 .42511 L
.48792 .42432 L
.48997 .42027 L
.49275 .4174 L
.49431 .41544 L
.49758 .41127 L
.49848 .41061 L
.50242 .40706 L
.50438 .40578 L
F
0 .72 1 r
.48792 .57914 m
.48831 .57973 L
.48792 .58021 L
.48727 .57973 L
F
0 .9 1 r
.52174 .46805 m
.52658 .46852 L
.52692 .46859 L
.52658 .47332 L
.52653 .47342 L
.52299 .47826 L
.52174 .48056 L
.52012 .48309 L
.51691 .48752 L
.51632 .48792 L
.51212 .49275 L
.51208 .49332 L
.50751 .49758 L
.51208 .50113 L
.51691 .50131 L
.51916 .50242 L
.51731 .50725 L
.51691 .50779 L
.51374 .51208 L
.51208 .51603 L
.51081 .51691 L
.50725 .52115 L
.50671 .52174 L
.50261 .52658 L
.50242 .5271 L
.49758 .53123 L
.49714 .53141 L
.49275 .53239 L
.48792 .53172 L
.4873 .53141 L
.48792 .52864 L
.48886 .52658 L
.49258 .52174 L
.49275 .52053 L
.49573 .51691 L
.49758 .51448 L
.49865 .51208 L
.50242 .50917 L
.5032 .50725 L
.50725 .50301 L
.5083 .50242 L
.50725 .49778 L
.50242 .49904 L
.49758 .49864 L
.49542 .49758 L
.49758 .49412 L
.49833 .49275 L
.50199 .48792 L
.50242 .48678 L
.50516 .48309 L
.50725 .48101 L
.50787 .47826 L
.51208 .47443 L
.51305 .47342 L
.51691 .46965 L
.51948 .46859 L
F
1 .5 0 r
.48792 .48988 m
.49263 .49275 L
.48792 .49352 L
.4873 .49275 L
F
0 .58 1 r
.48792 .55402 m
.49267 .55557 L
.48792 .55683 L
.48744 .55557 L
F
1 .48 0 r
.48792 .49045 m
.49222 .49275 L
.48792 .49311 L
.48764 .49275 L
F
1 .14 0 r
.48792 .51607 m
.48796 .51691 L
.48792 .51694 L
.48775 .51691 L
F
0 .56 1 r
.48792 .55517 m
.49214 .55557 L
.48792 .5558 L
.48786 .55557 L
F
1 .92 0 r
.48792 .61821 m
.49234 .61838 L
.48792 .61903 L
.48787 .61838 L
F
0 .88 1 r
.50725 .40555 m
.50867 .40578 L
.50906 .41061 L
.50725 .41379 L
.50625 .41544 L
.50284 .42027 L
.50242 .42082 L
.49937 .42511 L
.49758 .42633 L
.49275 .42933 L
.48792 .42927 L
.48791 .42511 L
.48792 .4251 L
.49035 .42027 L
.49275 .41788 L
.49471 .41544 L
.49758 .4116 L
.49905 .41061 L
.50242 .40765 L
.50633 .40578 L
F
1 .92 0 r
.50725 .56954 m
.51208 .56918 L
.51425 .57006 L
.51294 .57489 L
.51208 .57628 L
.51033 .57973 L
.50725 .58303 L
.50604 .58456 L
.50242 .58906 L
.50201 .58939 L
.49758 .5936 L
.49681 .59422 L
.49275 .59629 L
.48797 .59422 L
.48988 .58939 L
.49275 .58491 L
.49298 .58456 L
.49651 .57973 L
.49758 .5783 L
.49964 .57489 L
.50242 .57264 L
.50609 .57006 L
F
0 .5 1 r
.49275 .44507 m
.49396 .44927 L
.49275 .45096 L
.48809 .44927 L
F
1 .32 0 r
.49275 .50883 m
.49411 .51208 L
.49275 .51428 L
.4881 .51208 L
F
0 .8 1 r
.49275 .57301 m
.4942 .57489 L
.49275 .57789 L
.48819 .57489 L
F
0 .88 1 r
.51208 .50139 m
.51691 .50162 L
.51853 .50242 L
.51711 .50725 L
.51691 .50752 L
.51363 .51208 L
.51208 .51591 L
.51072 .51691 L
.50725 .52102 L
.50658 .52174 L
.50252 .52658 L
.50242 .52684 L
.49758 .53095 L
.4963 .53141 L
.49275 .53211 L
.48832 .53141 L
.48907 .52658 L
.49262 .52174 L
.49275 .52075 L
.49582 .51691 L
.49758 .51461 L
.49874 .51208 L
.50242 .50949 L
.50337 .50725 L
.50725 .50328 L
.50888 .50242 L
F
1 .3 0 r
.49275 .50916 m
.49391 .51208 L
.49275 .514 L
.48835 .51208 L
F
0 .86 1 r
.50242 .40818 m
.50725 .40663 L
.50847 .41061 L
.50725 .41297 L
.50584 .41544 L
.50247 .42027 L
.50242 .42034 L
.49871 .42511 L
.49758 .42582 L
.49275 .42876 L
.48845 .42511 L
.49077 .42027 L
.49275 .41838 L
.49511 .41544 L
.49758 .41195 L
.49965 .41061 L
F
0 .48 1 r
.49275 .44556 m
.49367 .44927 L
.49275 .45058 L
.48846 .44927 L
F
1 .28 0 r
.49275 .50951 m
.49369 .51208 L
.49275 .5137 L
.48862 .51208 L
F
1 .5 0 r
.50242 .47342 m
.50546 .47342 L
.50502 .47826 L
.50242 .48248 L
.502 .48309 L
.49853 .48792 L
.49758 .48816 L
.49275 .49269 L
.4888 .48792 L
.49163 .48309 L
.49275 .48166 L
.49607 .47826 L
.49758 .47678 L
.50241 .47342 L
F
0 .46 1 r
.49275 .44613 m
.49335 .44927 L
.49275 .45015 L
.48887 .44927 L
F
1 .26 0 r
.49275 .50991 m
.49346 .51208 L
.49275 .51336 L
.48892 .51208 L
F
1 .48 0 r
.49758 .47692 m
.50242 .47366 L
.50486 .47826 L
.50242 .48228 L
.50186 .48309 L
.4983 .48792 L
.49758 .48811 L
.49275 .49248 L
.48896 .48792 L
.49181 .48309 L
.49275 .48188 L
.49623 .47826 L
F
0 .84 1 r
.50242 .40872 m
.50725 .40795 L
.50783 .41061 L
.50725 .41194 L
.50541 .41544 L
.50242 .4198 L
.50206 .42027 L
.49792 .42511 L
.49758 .4253 L
.49275 .42817 L
.48902 .42511 L
.49127 .42027 L
.49275 .4189 L
.49553 .41544 L
.49758 .41235 L
.5003 .41061 L
F
1 .46 0 r
.49758 .47706 m
.50242 .47391 L
.50469 .47826 L
.50242 .48206 L
.50172 .48309 L
.49806 .48792 L
.49758 .48805 L
.49275 .49227 L
.48912 .48792 L
.492 .48309 L
.49275 .48211 L
.49639 .47826 L
F
0 .78 1 r
.49275 .57396 m
.49342 .57489 L
.49275 .57679 L
.48918 .57489 L
F
1 .24 0 r
.49275 .51038 m
.49321 .51208 L
.49275 .51297 L
.48926 .51208 L
F
0 .86 1 r
.51208 .50166 m
.51691 .50195 L
.51787 .50242 L
.51691 .50724 L
.51691 .50725 L
.51352 .51208 L
.51208 .51577 L
.51063 .51691 L
.50725 .5209 L
.50645 .52174 L
.50242 .52658 L
.50242 .52658 L
.49758 .53067 L
.49531 .53141 L
.49275 .53183 L
.48938 .53141 L
.48928 .52658 L
.49265 .52174 L
.49275 .52099 L
.49592 .51691 L
.49758 .51473 L
.49882 .51208 L
.50242 .50978 L
.50355 .50725 L
.50725 .50354 L
.50951 .50242 L
F
1 .44 0 r
.49758 .47721 m
.50242 .47416 L
.50452 .47826 L
.50242 .48185 L
.50158 .48309 L
.4978 .48792 L
.49758 .48798 L
.49275 .49206 L
.48929 .48792 L
.49219 .48309 L
.49275 .48235 L
.49656 .47826 L
F
0 .44 1 r
.49275 .44687 m
.493 .44927 L
.49275 .44965 L
.48936 .44927 L
F
1 .9 0 r
.51208 .56983 m
.51274 .57006 L
.51251 .57489 L
.51208 .57561 L
.51 .57973 L
.50725 .58256 L
.50565 .58456 L
.50242 .5887 L
.50147 .58939 L
.49758 .59288 L
.49548 .59422 L
.49275 .59534 L
.48938 .59422 L
.49042 .58939 L
.49275 .58556 L
.49338 .58456 L
.49684 .57973 L
.49758 .57876 L
.50012 .57489 L
.50242 .57319 L
.50725 .57014 L
.50751 .57006 L
F
1 .42 0 r
.49758 .47737 m
.50242 .47442 L
.50435 .47826 L
.50242 .48162 L
.50144 .48309 L
.49758 .48789 L
.49755 .48792 L
.49275 .49185 L
.48946 .48792 L
.4924 .48309 L
.49275 .48262 L
.49672 .47826 L
F
0 .84 1 r
.51208 .50192 m
.51691 .50231 L
.51713 .50242 L
.51691 .50678 L
.5167 .50725 L
.51341 .51208 L
.51208 .51561 L
.51053 .51691 L
.50725 .52077 L
.50632 .52174 L
.50242 .52628 L
.50222 .52658 L
.49758 .53042 L
.49397 .53141 L
.49275 .53155 L
.49083 .53141 L
.48949 .52658 L
.49269 .52174 L
.49275 .52125 L
.49602 .51691 L
.49758 .51485 L
.49892 .51208 L
.50242 .51005 L
.50372 .50725 L
.50725 .50379 L
.51021 .50242 L
F
0 .58 1 r
.49758 .54145 m
.5012 .5459 L
.49775 .55073 L
.49758 .55087 L
.49275 .55551 L
.48951 .55073 L
.49275 .54613 L
.49293 .5459 L
F
0 .82 1 r
.50242 .40937 m
.50707 .41061 L
.50496 .41544 L
.50242 .41922 L
.50164 .42027 L
.49758 .42477 L
.4972 .42511 L
.49275 .42757 L
.48963 .42511 L
.49183 .42027 L
.49275 .41944 L
.49597 .41544 L
.49758 .41284 L
.50104 .41061 L
F
1 .4 0 r
.49758 .47754 m
.50242 .47469 L
.50417 .47826 L
.50242 .48138 L
.50129 .48309 L
.49758 .4877 L
.49737 .48792 L
.49275 .49163 L
.48964 .48792 L
.49261 .48309 L
.49275 .48289 L
.4969 .47826 L
F
1 .22 0 r
.49275 .51103 m
.49294 .51208 L
.49275 .51249 L
.48965 .51208 L
F
0 .82 1 r
.51208 .50217 m
.51616 .50242 L
.5165 .50725 L
.5133 .51208 L
.51208 .51543 L
.51044 .51691 L
.50725 .52066 L
.50619 .52174 L
.50242 .52599 L
.50201 .52658 L
.49758 .53017 L
.49275 .53127 L
.48971 .52658 L
.49272 .52174 L
.49275 .52152 L
.49612 .51691 L
.49758 .51498 L
.49901 .51208 L
.50242 .51028 L
.5039 .50725 L
.50725 .50402 L
.51103 .50242 L
F
0 .56 1 r
.49275 .54643 m
.49744 .55073 L
.49275 .55519 L
.48975 .55073 L
F
1 .38 0 r
.49275 .48316 m
.49719 .48792 L
.49275 .49141 L
.48982 .48792 L
F
0 .8 1 r
.50725 .50425 m
.51208 .50242 L
.5163 .50725 L
.51319 .51208 L
.51208 .51523 L
.51034 .51691 L
.50725 .52054 L
.50605 .52174 L
.50242 .52572 L
.50179 .52658 L
.49758 .52992 L
.49275 .53099 L
.48992 .52658 L
.49275 .52179 L
.49278 .52174 L
.49622 .51691 L
.49758 .5151 L
.49911 .51208 L
.50242 .5105 L
.50408 .50725 L
F
1 .36 0 r
.49275 .48338 m
.497 .48792 L
.49275 .49118 L
.49 .48792 L
F
0 .54 1 r
.49275 .54674 m
.49718 .55073 L
.49275 .55485 L
.49 .55073 L
F
0 .98 1 r
.50725 .63711 m
.50944 .63771 L
.50917 .64254 L
.50725 .64447 L
.50508 .64737 L
.50242 .65064 L
.5009 .6522 L
.49758 .65628 L
.49503 .65704 L
.49275 .65873 L
.49006 .65704 L
.49117 .6522 L
.49275 .64959 L
.49414 .64737 L
.49758 .64283 L
.49782 .64254 L
.50242 .63847 L
.50395 .63771 L
F
0 .78 1 r
.50725 .50447 m
.51208 .50266 L
.5161 .50725 L
.51308 .51208 L
.51208 .51501 L
.51024 .51691 L
.50725 .52042 L
.50592 .52174 L
.50242 .52548 L
.50158 .52658 L
.49758 .52969 L
.49275 .53071 L
.49014 .52658 L
.49275 .52202 L
.49292 .52174 L
.49633 .51691 L
.49758 .51523 L
.49922 .51208 L
.50242 .51068 L
.50426 .50725 L
F
1 .34 0 r
.49275 .48362 m
.4968 .48792 L
.49275 .49095 L
.4902 .48792 L
F
0 .52 1 r
.49275 .54707 m
.49691 .55073 L
.49275 .5545 L
.49027 .55073 L
F
1 .92 0 r
.49275 .61048 m
.49709 .61355 L
.49275 .61808 L
.49027 .61355 L
F
0 .8 1 r
.50242 .41019 m
.50594 .41061 L
.50448 .41544 L
.50242 .4186 L
.50118 .42027 L
.49758 .4242 L
.49649 .42511 L
.49275 .42694 L
.49031 .42511 L
.49249 .42027 L
.49275 .42004 L
.49643 .41544 L
.49758 .41346 L
.50193 .41061 L
F
0 .76 1 r
.50725 .50469 m
.51208 .5029 L
.51589 .50725 L
.51297 .51208 L
.51208 .51476 L
.51014 .51691 L
.50725 .52031 L
.50579 .52174 L
.50242 .52525 L
.50136 .52658 L
.49758 .52946 L
.49275 .53043 L
.49036 .52658 L
.49275 .52226 L
.49306 .52174 L
.49643 .51691 L
.49758 .51536 L
.49933 .51208 L
.50242 .51085 L
.50445 .50725 L
F
1 .32 0 r
.49275 .48386 m
.49659 .48792 L
.49275 .4907 L
.4904 .48792 L
F
1 .9 0 r
.51208 .43615 m
.51691 .43534 L
.52139 .4396 L
.51701 .44443 L
.51691 .44468 L
.51342 .44927 L
.51208 .45168 L
.51045 .4541 L
.50725 .45686 L
.50619 .45893 L
.50242 .4629 L
.50105 .46376 L
.49758 .46506 L
.49275 .46497 L
.49049 .46376 L
.49265 .45893 L
.49275 .45853 L
.49584 .4541 L
.49758 .45098 L
.49865 .44927 L
.50242 .44555 L
.50329 .44443 L
.50725 .44008 L
.50755 .4396 L
F
0 .5 1 r
.49275 .54742 m
.49661 .55073 L
.49275 .55413 L
.49055 .55073 L
F
0 .74 1 r
.50725 .5049 m
.51208 .50314 L
.51568 .50725 L
.51285 .51208 L
.51208 .51449 L
.51003 .51691 L
.50725 .52019 L
.50565 .52174 L
.50242 .52504 L
.50114 .52658 L
.49758 .52923 L
.49275 .53014 L
.49058 .52658 L
.49275 .5225 L
.4932 .52174 L
.49654 .51691 L
.49758 .51549 L
.49944 .51208 L
.50242 .51099 L
.50463 .50725 L
F
1 .3 0 r
.49275 .48412 m
.49636 .48792 L
.49275 .49045 L
.49061 .48792 L
F
0 .72 1 r
.50725 .50511 m
.51208 .50338 L
.51547 .50725 L
.51274 .51208 L
.51208 .51419 L
.50993 .51691 L
.50725 .52007 L
.50552 .52174 L
.50242 .52484 L
.50091 .52658 L
.49758 .52901 L
.49275 .52984 L
.49081 .52658 L
.49275 .52276 L
.49333 .52174 L
.49664 .51691 L
.49758 .51562 L
.49957 .51208 L
.50242 .51112 L
.50482 .50725 L
F
1 .28 0 r
.49275 .4844 m
.49612 .48792 L
.49275 .49019 L
.49083 .48792 L
F
0 .48 1 r
.49275 .5478 m
.49629 .55073 L
.49275 .55374 L
.49084 .55073 L
F
1 .88 0 r
.50242 .57372 m
.50725 .57072 L
.51204 .57489 L
.50962 .57973 L
.50725 .58207 L
.50526 .58456 L
.50242 .58836 L
.5009 .58939 L
.49758 .5923 L
.49338 .59422 L
.49275 .59436 L
.49167 .59422 L
.49099 .58939 L
.49275 .58627 L
.49378 .58456 L
.49719 .57973 L
.49758 .57923 L
.50068 .57489 L
F
0 .7 1 r
.50725 .50531 m
.51208 .50363 L
.51526 .50725 L
.51262 .51208 L
.51208 .51386 L
.50981 .51691 L
.50725 .51995 L
.50538 .52174 L
.50242 .52466 L
.50068 .52658 L
.49758 .52879 L
.49275 .52953 L
.49104 .52658 L
.49275 .52304 L
.49347 .52174 L
.49675 .51691 L
.49758 .51576 L
.4997 .51208 L
.50242 .51123 L
.50502 .50725 L
F
1 .26 0 r
.49275 .48469 m
.49587 .48792 L
.49275 .48991 L
.49107 .48792 L
F
1 .88 0 r
.51208 .43658 m
.51691 .43587 L
.52112 .4396 L
.51691 .44418 L
.51677 .44443 L
.51327 .44927 L
.51208 .45147 L
.51031 .4541 L
.50725 .45656 L
.50596 .45893 L
.50242 .46258 L
.50042 .46376 L
.49758 .46476 L
.49275 .46462 L
.49112 .46376 L
.49273 .45893 L
.49275 .45885 L
.49599 .4541 L
.49758 .45117 L
.49877 .44927 L
.50242 .44577 L
.5035 .44443 L
.50725 .44062 L
.50795 .4396 L
F
0 .78 1 r
.49275 .42082 m
.49563 .42511 L
.49275 .42624 L
.49112 .42511 L
F
0 .46 1 r
.49275 .54822 m
.49594 .55073 L
.49275 .55331 L
.49117 .55073 L
F
0 .68 1 r
.50725 .50552 m
.51208 .50387 L
.51504 .50725 L
.5125 .51208 L
.51208 .5135 L
.50969 .51691 L
.50725 .51982 L
.50524 .52174 L
.50242 .52449 L
.50044 .52658 L
.49758 .52857 L
.49275 .5292 L
.49128 .52658 L
.49275 .52334 L
.49362 .52174 L
.49686 .51691 L
.49758 .51591 L
.49983 .51208 L
.50242 .51132 L
.50521 .50725 L
F
1 .24 0 r
.49275 .48501 m
.49558 .48792 L
.49275 .48961 L
.49132 .48792 L
F
0 .44 1 r
.49275 .54869 m
.49553 .55073 L
.49275 .55283 L
.49152 .55073 L
F
0 .66 1 r
.50725 .50572 m
.51208 .50412 L
.51481 .50725 L
.51238 .51208 L
.51208 .51311 L
.50957 .51691 L
.50725 .51969 L
.50511 .52174 L
.50242 .52433 L
.50019 .52658 L
.49758 .52835 L
.49275 .52886 L
.49152 .52658 L
.49275 .52366 L
.49376 .52174 L
.49698 .51691 L
.49758 .51606 L
.49998 .51208 L
.50242 .51141 L
.50542 .50725 L
F
1 .98 0 r
.50242 .34418 m
.50725 .34314 L
.50817 .3478 L
.50725 .34945 L
.50534 .35263 L
.50242 .3565 L
.50161 .35746 L
.49758 .36088 L
.49275 .36226 L
.49158 .35746 L
.49275 .35629 L
.49543 .35263 L
.49758 .35 L
.49979 .3478 L
F
1 .86 0 r
.50242 .57423 m
.50725 .5713 L
.5115 .57489 L
.50918 .57973 L
.50725 .58157 L
.50485 .58456 L
.50242 .58801 L
.5003 .58939 L
.49758 .59177 L
.49275 .59327 L
.49159 .58939 L
.49275 .58711 L
.4942 .58456 L
.49757 .57973 L
.49758 .5797 L
.50136 .57489 L
F
1 .22 0 r
.49275 .48538 m
.49527 .48792 L
.49275 .48929 L
.49159 .48792 L
F
0 .64 1 r
.50725 .50591 m
.51208 .50437 L
.51459 .50725 L
.51225 .51208 L
.51208 .51269 L
.50944 .51691 L
.50725 .51955 L
.50497 .52174 L
.50242 .52417 L
.49994 .52658 L
.49758 .52813 L
.49275 .52849 L
.49177 .52658 L
.49275 .52403 L
.4939 .52174 L
.49709 .51691 L
.49758 .51622 L
.50013 .51208 L
.50242 .51148 L
.50562 .50725 L
F
1 .86 0 r
.51208 .437 m
.51691 .43643 L
.5207 .4396 L
.51691 .44372 L
.51652 .44443 L
.51312 .44927 L
.51208 .45125 L
.51016 .4541 L
.50725 .4563 L
.50573 .45893 L
.50242 .46228 L
.49974 .46376 L
.49758 .46446 L
.49275 .46426 L
.4918 .46376 L
.49275 .4593 L
.49293 .45893 L
.49614 .4541 L
.49758 .45138 L
.4989 .44927 L
.50242 .44599 L
.50372 .44443 L
.50725 .44109 L
.50835 .4396 L
F
1 .2 0 r
.49275 .4858 m
.4949 .48792 L
.49275 .48893 L
.4919 .48792 L
F
0 .42 1 r
.49275 .54925 m
.49505 .55073 L
.49275 .55225 L
.49193 .55073 L
F
0 .62 1 r
.50725 .50611 m
.51208 .50463 L
.51435 .50725 L
.51212 .51208 L
.51208 .51223 L
.50931 .51691 L
.50725 .51941 L
.50483 .52174 L
.50242 .52403 L
.49967 .52658 L
.49758 .52792 L
.49275 .52808 L
.49204 .52658 L
.49275 .52444 L
.49405 .52174 L
.49721 .51691 L
.49758 .51638 L
.50029 .51208 L
.50242 .51154 L
.50584 .50725 L
F
0 .98 1 r
.56523 .40877 m
.56846 .41061 L
.56792 .41544 L
.56534 .42027 L
.56523 .42043 L
.56207 .42511 L
.5604 .42704 L
.55711 .42994 L
.5604 .43458 L
.56523 .43309 L
.57006 .43227 L
.57093 .43477 L
.57006 .43562 L
.56805 .4396 L
.56523 .44348 L
.56473 .44443 L
.56124 .44927 L
.5604 .45019 L
.55665 .4541 L
.55557 .45689 L
.5537 .45893 L
.55073 .463 L
.55011 .46376 L
.55073 .46724 L
.55557 .46744 L
.55931 .46859 L
.55864 .47342 L
.55557 .47782 L
.55526 .47826 L
.55186 .48309 L
.55073 .48361 L
.54662 .48792 L
.5459 .49104 L
.54425 .49275 L
.54107 .49717 L
.54073 .49758 L
.54107 .50011 L
.5459 .50019 L
.55073 .50057 L
.55203 .50242 L
.55073 .50498 L
.54912 .50725 L
.5459 .51199 L
.54586 .51208 L
.54233 .51691 L
.54107 .51854 L
.53775 .52174 L
.53624 .52501 L
.53488 .52658 L
.53141 .5311 L
.53128 .53141 L
.53141 .53364 L
.53624 .53383 L
.54107 .53427 L
.54167 .53624 L
.54107 .53896 L
.53959 .54107 L
.53624 .54587 L
.53623 .5459 L
.53268 .55073 L
.53141 .55242 L
.52839 .55557 L
.52658 .55886 L
.52535 .5604 L
.52174 .56481 L
.52116 .56523 L
.52174 .56752 L
.52658 .56749 L
.53141 .5679 L
.53266 .57006 L
.53141 .57276 L
.53006 .57489 L
.52658 .57964 L
.52651 .57973 L
.52294 .58456 L
.52174 .58617 L
.51891 .58939 L
.51691 .59253 L
.51574 .59422 L
.51208 .59811 L
.51037 .59905 L
.51208 .60204 L
.51691 .6015 L
.52174 .60213 L
.52271 .60388 L
.52174 .60595 L
.52031 .60872 L
.51691 .61304 L
.51654 .61355 L
.51233 .61838 L
.51208 .61949 L
.509 .62321 L
.50725 .62549 L
.50556 .62804 L
.50242 .63017 L
.49758 .63163 L
.49275 .63158 L
.49213 .62804 L
.49275 .62693 L
.49444 .62321 L
.49758 .61946 L
.49831 .61838 L
.50215 .61355 L
.50242 .61279 L
.50547 .60872 L
.50725 .60651 L
.50868 .60388 L
.50725 .60009 L
.50242 .60017 L
.49828 .59905 L
.50054 .59422 L
.50242 .59173 L
.50331 .58939 L
.50725 .585 L
.50756 .58456 L
.51142 .57973 L
.51208 .57848 L
.51458 .57489 L
.51691 .57208 L
.51725 .57006 L
.51691 .56704 L
.51208 .56696 L
.50725 .56629 L
.5069 .56523 L
.50725 .56459 L
.50976 .5604 L
.51208 .55763 L
.51245 .55557 L
.51691 .55101 L
.51711 .55073 L
.52083 .5459 L
.52174 .5445 L
.5239 .54107 L
.52658 .53805 L
.52833 .53624 L
.52658 .5336 L
.52174 .53344 L
.51691 .53293 L
.51622 .53141 L
.51691 .53047 L
.51912 .52658 L
.52174 .52369 L
.52316 .52174 L
.52658 .51712 L
.52673 .51691 L
.53032 .51208 L
.53141 .51061 L
.53327 .50725 L
.53624 .50419 L
.53807 .50242 L
.53624 .49993 L
.53141 .49982 L
.52658 .49933 L
.52571 .49758 L
.52658 .49656 L
.52848 .49275 L
.53141 .48983 L
.53282 .48792 L
.53624 .48329 L
.5364 .48309 L
.53986 .47826 L
.54107 .4768 L
.54249 .47342 L
.5459 .47054 L
.54831 .46859 L
.5459 .46612 L
.54107 .46612 L
.53624 .46553 L
.53543 .46376 L
.53624 .46285 L
.53793 .45893 L
.54107 .45608 L
.54258 .4541 L
.5459 .44961 L
.54618 .44927 L
.54969 .44443 L
.55073 .4433 L
.55298 .4396 L
.55557 .43765 L
.55987 .43477 L
.55557 .43077 L
.55073 .43166 L
.54604 .42994 L
.54911 .42511 L
.55073 .42283 L
.55277 .42027 L
.55557 .4166 L
.55662 .41544 L
.5604 .41108 L
.56114 .41061 L
F
0 .76 1 r
.49275 .42197 m
.49431 .42511 L
.49275 .42541 L
.49223 .42511 L
F
1 .84 0 r
.50242 .57474 m
.50725 .57188 L
.51093 .57489 L
.50868 .57973 L
.50725 .58106 L
.50443 .58456 L
.50242 .58761 L
.49964 .58939 L
.49758 .59122 L
.49275 .59191 L
.49223 .58939 L
.49275 .58817 L
.49463 .58456 L
.49758 .58025 L
.49798 .57973 L
.50216 .57489 L
F
1 .18 0 r
.49275 .48634 m
.49444 .48792 L
.49275 .48851 L
.49226 .48792 L
F
0 .6 1 r
.50725 .50631 m
.51208 .5049 L
.51411 .50725 L
.51208 .5119 L
.51198 .51208 L
.50917 .51691 L
.50725 .51926 L
.50468 .52174 L
.50242 .52389 L
.49939 .52658 L
.49758 .5277 L
.49275 .52761 L
.49231 .52658 L
.49275 .52495 L
.49419 .52174 L
.49734 .51691 L
.49758 .51655 L
.50046 .51208 L
.50242 .5116 L
.50605 .50725 L
F
0 .4 1 r
.49275 .55001 m
.49438 .55073 L
.49275 .55147 L
.49242 .55073 L
F
1 .84 0 r
.51208 .4374 m
.51691 .43702 L
.52011 .4396 L
.51691 .4432 L
.51628 .44443 L
.51297 .44927 L
.51208 .45101 L
.51 .4541 L
.50725 .45607 L
.5055 .45893 L
.50242 .46199 L
.49897 .46376 L
.49758 .46417 L
.49275 .46386 L
.49257 .46376 L
.49275 .45987 L
.49317 .45893 L
.4963 .4541 L
.49758 .45161 L
.49903 .44927 L
.50242 .44619 L
.50393 .44443 L
.50725 .4415 L
.50878 .4396 L
F
0 .58 1 r
.50725 .5065 m
.51208 .50517 L
.51386 .50725 L
.51208 .51162 L
.51183 .51208 L
.50903 .51691 L
.50725 .5191 L
.50454 .52174 L
.50242 .52376 L
.4991 .52658 L
.49758 .52749 L
.49275 .527 L
.4926 .52658 L
.49275 .52568 L
.49434 .52174 L
.49746 .51691 L
.49758 .51674 L
.50064 .51208 L
.50242 .51165 L
.50628 .50725 L
F
1 .9 0 r
.49275 .61336 m
.49424 .61355 L
.49275 .61448 L
.49262 .61355 L
F
1 .16 0 r
.49275 .48731 m
.49368 .48792 L
.49275 .48797 L
.49272 .48792 L
F
1 .38 0 r
.49758 .47772 m
.50242 .47497 L
.50398 .47826 L
.50242 .48113 L
.50114 .48309 L
.49758 .48751 L
.49281 .48309 L
.49708 .47826 L
F
0 .56 1 r
.50725 .5067 m
.51208 .50546 L
.5136 .50725 L
.51208 .51131 L
.51168 .51208 L
.50888 .51691 L
.50725 .51893 L
.50439 .52174 L
.50242 .52362 L
.49879 .52658 L
.49758 .52727 L
.49294 .52658 L
.49449 .52174 L
.49758 .51692 L
.49759 .51691 L
.50083 .51208 L
.50242 .5117 L
.50652 .50725 L
F
1 .36 0 r
.49758 .47791 m
.50242 .47527 L
.50379 .47826 L
.50242 .48086 L
.50099 .48309 L
.49758 .48732 L
.49297 .48309 L
.49726 .47826 L
F
1 .82 0 r
.50725 .57248 m
.51031 .57489 L
.50811 .57973 L
.50725 .58051 L
.50399 .58456 L
.50242 .58711 L
.49889 .58939 L
.49758 .59057 L
.49301 .58939 L
.49508 .58456 L
.49758 .58083 L
.4984 .57973 L
.50242 .57528 L
.50286 .57489 L
F
0 .78 1 r
.49758 .41424 m
.50242 .4111 L
.50397 .41544 L
.50242 .41791 L
.5007 .42027 L
.49758 .42362 L
.49308 .42027 L
.49693 .41544 L
F
1 .34 0 r
.49758 .47812 m
.50242 .47559 L
.50359 .47826 L
.50242 .48057 L
.50083 .48309 L
.49758 .48712 L
.49313 .48309 L
.49746 .47826 L
F
0 .56 1 r
.49758 .54175 m
.50096 .5459 L
.49758 .55057 L
.49318 .5459 L
F
1 .32 0 r
.49758 .47834 m
.50066 .48309 L
.49758 .48692 L
.4933 .48309 L
F
0 .54 1 r
.50725 .5069 m
.51208 .50577 L
.51333 .50725 L
.51208 .51098 L
.51153 .51208 L
.50872 .51691 L
.50725 .51875 L
.50424 .52174 L
.50242 .52349 L
.49845 .52658 L
.49758 .52705 L
.49336 .52658 L
.49465 .52174 L
.49758 .51711 L
.49772 .51691 L
.50102 .51208 L
.50242 .51174 L
.50677 .50725 L
F
1 .82 0 r
.51208 .4378 m
.51691 .43767 L
.51932 .4396 L
.51691 .44259 L
.51603 .44443 L
.51282 .44927 L
.51208 .45075 L
.50984 .4541 L
.50725 .45587 L
.50527 .45893 L
.50242 .4617 L
.49803 .46376 L
.49758 .46387 L
.4937 .46376 L
.49341 .45893 L
.49646 .4541 L
.49758 .45186 L
.49918 .44927 L
.50242 .44639 L
.50415 .44443 L
.50725 .44186 L
.50922 .4396 L
F
0 .54 1 r
.49758 .54206 m
.50072 .5459 L
.49758 .55027 L
.49344 .5459 L
F
1 .3 0 r
.49758 .47856 m
.5005 .48309 L
.49758 .48671 L
.49348 .48309 L
F
0 .76 1 r
.49758 .41524 m
.50242 .41207 L
.5034 .41544 L
.50242 .41712 L
.50017 .42027 L
.49758 .423 L
.49364 .42027 L
.49748 .41544 L
F
1 .8 0 r
.51208 .43819 m
.51691 .43843 L
.51829 .4396 L
.51691 .44181 L
.51579 .44443 L
.51267 .44927 L
.51208 .45047 L
.50967 .4541 L
.50725 .45569 L
.50504 .45893 L
.50242 .46143 L
.49758 .46358 L
.49365 .45893 L
.49663 .4541 L
.49758 .45214 L
.49935 .44927 L
.50242 .44658 L
.50438 .44443 L
.50725 .44218 L
.5097 .4396 L
F
1 .28 0 r
.49758 .47878 m
.50032 .48309 L
.49758 .4865 L
.49367 .48309 L
F
0 .52 1 r
.49758 .54238 m
.50046 .5459 L
.49758 .54996 L
.49371 .5459 L
F
.50725 .50709 m
.51208 .50609 L
.51304 .50725 L
.51208 .5106 L
.51137 .51208 L
.50855 .51691 L
.50725 .51856 L
.50409 .52174 L
.50242 .52336 L
.49807 .52658 L
.49758 .52683 L
.49385 .52658 L
.4948 .52174 L
.49758 .5173 L
.49786 .51691 L
.50123 .51208 L
.50242 .51179 L
.50703 .50725 L
F
1 .26 0 r
.49758 .47902 m
.50015 .48309 L
.49758 .48628 L
.49386 .48309 L
F
1 .78 0 r
.51208 .43858 m
.51691 .43951 L
.51699 .4396 L
.51691 .44032 L
.51553 .44443 L
.51251 .44927 L
.51208 .45017 L
.50949 .4541 L
.50725 .45553 L
.5048 .45893 L
.50242 .46116 L
.49758 .46328 L
.4939 .45893 L
.4968 .4541 L
.49758 .45245 L
.49952 .44927 L
.50242 .44678 L
.5046 .44443 L
.50725 .44245 L
.51023 .4396 L
F
0 .5 1 r
.49758 .54271 m
.50019 .5459 L
.49758 .54963 L
.49399 .5459 L
F
1 .24 0 r
.49758 .47926 m
.49996 .48309 L
.49758 .48605 L
.49406 .48309 L
F
1 .76 0 r
.51208 .43896 m
.51623 .4396 L
.51528 .44443 L
.51234 .44927 L
.51208 .44984 L
.5093 .4541 L
.50725 .45539 L
.50455 .45893 L
.50242 .4609 L
.49758 .46299 L
.49415 .45893 L
.49698 .4541 L
.49758 .45279 L
.49971 .44927 L
.50242 .44697 L
.50483 .44443 L
.50725 .4427 L
.51082 .4396 L
F
1 .8 0 r
.50725 .57312 m
.50962 .57489 L
.50745 .57973 L
.50725 .57991 L
.50353 .58456 L
.50242 .58648 L
.49797 .58939 L
.49758 .58973 L
.49419 .58939 L
.49556 .58456 L
.49758 .58146 L
.49886 .57973 L
.50242 .57585 L
.50358 .57489 L
F
1 .22 0 r
.49758 .47952 m
.49976 .48309 L
.49758 .48581 L
.49427 .48309 L
F
0 .74 1 r
.49758 .41608 m
.49958 .42027 L
.49758 .42232 L
.49429 .42027 L
F
0 .48 1 r
.49758 .54307 m
.4999 .5459 L
.49758 .54927 L
.4943 .5459 L
F
1 .74 0 r
.51208 .43935 m
.51531 .4396 L
.51502 .44443 L
.51218 .44927 L
.51208 .44948 L
.50909 .4541 L
.50725 .45525 L
.5043 .45893 L
.50242 .46064 L
.49758 .46269 L
.49441 .45893 L
.49716 .4541 L
.49758 .45316 L
.49992 .44927 L
.50242 .44717 L
.50507 .44443 L
.50725 .44292 L
.51152 .4396 L
F
0 .5 1 r
.50242 .51184 m
.50725 .50729 L
.51122 .51208 L
.50838 .51691 L
.50725 .51836 L
.50394 .52174 L
.50242 .52323 L
.49764 .52658 L
.49758 .5266 L
.49447 .52658 L
.49496 .52174 L
.49758 .5175 L
.49799 .51691 L
.50145 .51208 L
F
1 .2 0 r
.49758 .47979 m
.49956 .48309 L
.49758 .48556 L
.4945 .48309 L
F
1 .92 0 r
.49758 .60709 m
.4998 .60872 L
.49758 .61288 L
.49459 .60872 L
F
0 .46 1 r
.49758 .54344 m
.49959 .5459 L
.49758 .54889 L
.49464 .5459 L
F
1 .92 0 r
.53141 .47081 m
.53624 .46875 L
.54107 .46915 L
.54122 .47342 L
.54107 .47452 L
.53869 .47826 L
.53624 .48202 L
.53582 .48309 L
.53196 .48792 L
.53141 .48865 L
.52762 .49275 L
.52658 .49473 L
.52336 .49758 L
.52658 .50144 L
.53141 .50137 L
.5342 .50242 L
.53228 .50725 L
.53141 .50933 L
.52961 .51208 L
.52658 .51623 L
.5265 .51691 L
.52247 .52174 L
.52174 .52272 L
.51831 .52658 L
.51691 .52868 L
.5137 .53141 L
.51691 .53503 L
.52174 .53487 L
.52511 .53624 L
.5229 .54107 L
.52174 .54322 L
.52014 .5459 L
.51691 .54997 L
.51635 .55073 L
.51219 .55557 L
.51208 .5563 L
.50851 .5604 L
.50725 .5619 L
.50242 .56435 L
.50072 .56523 L
.49758 .56549 L
.49588 .56523 L
.49464 .5604 L
.49758 .55683 L
.49839 .55557 L
.50211 .55073 L
.50242 .5502 L
.50538 .5459 L
.50725 .54359 L
.50821 .54107 L
.51208 .53789 L
.51437 .53624 L
.51208 .53203 L
.50725 .53266 L
.50242 .53159 L
.50226 .53141 L
.50242 .53072 L
.50346 .52658 L
.50725 .52251 L
.50777 .52174 L
.51149 .51691 L
.51208 .51662 L
.51469 .51208 L
.51691 .50957 L
.51894 .50725 L
.52174 .50399 L
.52421 .50242 L
.52174 .49842 L
.51691 .49912 L
.51208 .49835 L
.51132 .49758 L
.51208 .49622 L
.51252 .49275 L
.51691 .48867 L
.51744 .48792 L
.52107 .48309 L
.52174 .48214 L
.52425 .47826 L
.52658 .47596 L
.52896 .47342 L
F
1 .72 0 r
.50725 .44312 m
.51208 .43975 L
.51475 .44443 L
.51208 .44912 L
.51199 .44927 L
.50888 .4541 L
.50725 .45512 L
.50405 .45893 L
.50242 .46038 L
.49758 .46238 L
.49467 .45893 L
.49735 .4541 L
.49758 .45357 L
.50014 .44927 L
.50242 .44737 L
.50531 .44443 L
F
1 .18 0 r
.49758 .48008 m
.49934 .48309 L
.49758 .48529 L
.49474 .48309 L
F
1 .7 0 r
.50725 .4433 m
.51208 .44015 L
.51447 .44443 L
.51208 .44879 L
.51179 .44927 L
.50865 .4541 L
.50725 .45498 L
.50379 .45893 L
.50242 .46012 L
.49758 .46207 L
.49495 .45893 L
.49755 .4541 L
.49758 .45402 L
.50039 .44927 L
.50242 .44758 L
.50556 .44443 L
F
1 .9 0 r
.53141 .47127 m
.53624 .46926 L
.54107 .47043 L
.5411 .47342 L
.54107 .47372 L
.53844 .47826 L
.53624 .48169 L
.53571 .48309 L
.53175 .48792 L
.53141 .48837 L
.52745 .49275 L
.52658 .49437 L
.52265 .49758 L
.52658 .50184 L
.53141 .50178 L
.53318 .50242 L
.53209 .50725 L
.53141 .50898 L
.52944 .51208 L
.52658 .51601 L
.52648 .51691 L
.5223 .52174 L
.52174 .52248 L
.51812 .52658 L
.51691 .52834 L
.51274 .53141 L
.51691 .53544 L
.52174 .53524 L
.52427 .53624 L
.52268 .54107 L
.52174 .54287 L
.51997 .5459 L
.51691 .54972 L
.51616 .55073 L
.51215 .55557 L
.51208 .556 L
.50818 .5604 L
.50725 .56144 L
.50242 .56344 L
.49758 .56497 L
.49497 .5604 L
.49758 .55721 L
.4986 .55557 L
.5022 .55073 L
.50242 .55034 L
.50554 .5459 L
.50725 .54383 L
.50839 .54107 L
.51208 .53825 L
.51507 .53624 L
.51208 .53163 L
.50725 .53238 L
.50303 .53141 L
.50361 .52658 L
.50725 .52272 L
.50791 .52174 L
.51158 .51691 L
.51208 .51666 L
.51483 .51208 L
.51691 .50977 L
.51915 .50725 L
.52174 .50432 L
.52503 .50242 L
.52174 .498 L
.51691 .49886 L
.51208 .49769 L
.512 .49758 L
.51208 .49721 L
.51264 .49275 L
.51691 .48888 L
.51759 .48792 L
.5212 .48309 L
.52174 .48233 L
.52445 .47826 L
.52658 .47623 L
.52929 .47342 L
F
1 .16 0 r
.49758 .4804 m
.4991 .48309 L
.49758 .48501 L
.495 .48309 L
F
0 .44 1 r
.49758 .54386 m
.49925 .5459 L
.49758 .54846 L
.49501 .5459 L
F
0 .72 1 r
.49758 .41703 m
.49887 .42027 L
.49758 .42154 L
.49509 .42027 L
F
0 .48 1 r
.50242 .51189 m
.50725 .5075 L
.51106 .51208 L
.50821 .51691 L
.50725 .51814 L
.50378 .52174 L
.50242 .52309 L
.49758 .52636 L
.49513 .52174 L
.49758 .51771 L
.49813 .51691 L
.50168 .51208 L
F
0 .96 1 r
.51208 .37439 m
.51691 .37264 L
.51979 .37679 L
.51691 .37974 L
.5159 .38162 L
.51258 .38645 L
.51208 .38667 L
.50931 .39128 L
.50725 .39312 L
.50338 .39612 L
.50242 .39659 L
.49758 .39713 L
.4952 .39612 L
.49671 .39128 L
.49758 .39009 L
.49913 .38645 L
.50242 .38263 L
.50411 .38162 L
.50725 .37802 L
.50867 .37679 L
F
1 .68 0 r
.50725 .44348 m
.51208 .44057 L
.51419 .44443 L
.51208 .44843 L
.51158 .44927 L
.50841 .4541 L
.50725 .45484 L
.50351 .45893 L
.50242 .45986 L
.49758 .46174 L
.49523 .45893 L
.49758 .45437 L
.49775 .4541 L
.50065 .44927 L
.50242 .4478 L
.50582 .44443 L
F
1 .14 0 r
.49758 .48074 m
.49885 .48309 L
.49758 .48469 L
.49529 .48309 L
F
0 .46 1 r
.50242 .51195 m
.50725 .50771 L
.51089 .51208 L
.50802 .51691 L
.50725 .51791 L
.50362 .52174 L
.50242 .52295 L
.49758 .52612 L
.49529 .52174 L
.49758 .51792 L
.49827 .51691 L
.50192 .51208 L
F
1 .88 0 r
.51691 .53582 m
.52174 .53564 L
.52336 .53624 L
.52247 .54107 L
.52174 .5425 L
.5198 .5459 L
.51691 .54947 L
.51597 .55073 L
.5121 .55557 L
.51208 .5557 L
.50784 .5604 L
.50725 .56102 L
.50242 .56274 L
.49758 .56444 L
.49533 .5604 L
.49758 .55761 L
.49881 .55557 L
.50228 .55073 L
.50242 .5505 L
.5057 .5459 L
.50725 .54406 L
.5086 .54107 L
.51208 .53858 L
.51585 .53624 L
F
0 .42 1 r
.49758 .54432 m
.49886 .5459 L
.49758 .54797 L
.49545 .5459 L
F
0 .44 1 r
.50242 .51201 m
.50725 .50792 L
.51073 .51208 L
.50783 .51691 L
.50725 .51767 L
.50346 .52174 L
.50242 .5228 L
.49758 .52586 L
.49546 .52174 L
.49758 .51813 L
.49841 .51691 L
.50217 .51208 L
F
1 .66 0 r
.50725 .44366 m
.51208 .44101 L
.51389 .44443 L
.51208 .44805 L
.51137 .44927 L
.50816 .4541 L
.50725 .45469 L
.50323 .45893 L
.50242 .45961 L
.49758 .46141 L
.49553 .45893 L
.49758 .45471 L
.49795 .4541 L
.50093 .44927 L
.50242 .44804 L
.50609 .44443 L
F
1 .12 0 r
.49758 .48114 m
.49856 .48309 L
.49758 .48434 L
.49562 .48309 L
F
0 .42 1 r
.50725 .50813 m
.51056 .51208 L
.50762 .51691 L
.50725 .51741 L
.50329 .52174 L
.50242 .52264 L
.49758 .52561 L
.49563 .52174 L
.49758 .51836 L
.49855 .51691 L
.50242 .5121 L
.50243 .51208 L
F
1 .86 0 r
.51691 .53619 m
.52174 .53605 L
.52229 .53624 L
.52225 .54107 L
.52174 .5421 L
.51963 .5459 L
.51691 .54921 L
.51578 .55073 L
.51208 .55553 L
.51196 .55557 L
.50747 .5604 L
.50725 .56062 L
.50242 .56222 L
.49758 .56387 L
.49575 .5604 L
.49758 .55805 L
.49902 .55557 L
.50238 .55073 L
.50242 .55066 L
.50587 .5459 L
.50725 .54429 L
.50885 .54107 L
.51208 .5389 L
.51677 .53624 L
F
0 .4 1 r
.50725 .50835 m
.51038 .51208 L
.50741 .51691 L
.50725 .51713 L
.50312 .52174 L
.50242 .52248 L
.49758 .52534 L
.49581 .52174 L
.49758 .5186 L
.4987 .51691 L
.50242 .51228 L
.50261 .51208 L
F
1 .64 0 r
.50725 .44384 m
.51208 .44147 L
.51358 .44443 L
.51208 .44763 L
.51115 .44927 L
.50789 .4541 L
.50725 .45453 L
.50293 .45893 L
.50242 .45935 L
.49758 .46105 L
.49584 .45893 L
.49758 .45508 L
.49816 .4541 L
.50123 .44927 L
.50242 .44829 L
.50638 .44443 L
F
0 .4 1 r
.49758 .54488 m
.49839 .5459 L
.49758 .54736 L
.49599 .5459 L
F
0 .38 1 r
.50242 .51247 m
.50721 .51691 L
.50294 .52174 L
.50242 .5223 L
.49758 .52506 L
.496 .52174 L
.49758 .51885 L
.49885 .51691 L
F
1 .1 0 r
.49758 .48162 m
.49823 .48309 L
.49758 .48393 L
.49603 .48309 L
F
0 .88 1 r
.52174 .46842 m
.52509 .46859 L
.52625 .47342 L
.52287 .47826 L
.52174 .48035 L
.52 .48309 L
.51691 .48744 L
.51618 .48792 L
.5121 .49275 L
.51208 .49307 L
.50725 .49745 L
.50697 .49758 L
.50242 .49881 L
.49758 .4983 L
.49607 .49758 L
.49758 .49455 L
.4985 .49275 L
.50206 .48792 L
.50242 .48695 L
.50526 .48309 L
.50725 .48115 L
.50795 .47826 L
.51208 .47464 L
.51327 .47342 L
.51691 .46998 L
.52081 .46859 L
F
1 .78 0 r
.50242 .57644 m
.50687 .57973 L
.50303 .58456 L
.50242 .58568 L
.49758 .58882 L
.49608 .58456 L
.49758 .58215 L
.49934 .57973 L
F
1 .62 0 r
.50725 .44404 m
.51208 .44198 L
.51326 .44443 L
.51208 .44716 L
.51093 .44927 L
.5076 .4541 L
.50725 .45434 L
.50262 .45893 L
.50242 .45909 L
.49758 .46068 L
.49617 .45893 L
.49758 .45549 L
.49838 .4541 L
.50156 .44927 L
.50242 .44856 L
.50668 .44443 L
F
0 .36 1 r
.50242 .51266 m
.50705 .51691 L
.50275 .52174 L
.50242 .52211 L
.49758 .52476 L
.49619 .52174 L
.49758 .51912 L
.499 .51691 L
F
1 .84 0 r
.51208 .5392 m
.51691 .53653 L
.52174 .5366 L
.52202 .54107 L
.52174 .54167 L
.51944 .5459 L
.51691 .54896 L
.51559 .55073 L
.51208 .55547 L
.51173 .55557 L
.50725 .56027 L
.50707 .5604 L
.50242 .56185 L
.49758 .56324 L
.49622 .5604 L
.49758 .55856 L
.49923 .55557 L
.50242 .55088 L
.50252 .55073 L
.50605 .5459 L
.50725 .54452 L
.50912 .54107 L
F
0 .96 1 r
.51691 .60316 m
.51938 .60388 L
.51896 .60872 L
.51691 .61124 L
.51531 .61355 L
.51208 .61774 L
.51154 .61838 L
.50725 .62315 L
.50718 .62321 L
.50242 .62772 L
.49943 .62804 L
.49758 .62837 L
.4971 .62804 L
.49637 .62321 L
.49758 .62175 L
.49957 .61838 L
.50242 .61431 L
.50296 .61355 L
.50675 .60872 L
.50725 .60821 L
.51208 .60421 L
.51282 .60388 L
F
0 .7 1 r
.49758 .41848 m
.49786 .42027 L
.49758 .42052 L
.49639 .42027 L
F
0 .34 1 r
.50242 .51286 m
.50688 .51691 L
.50256 .52174 L
.50242 .5219 L
.49758 .52444 L
.49639 .52174 L
.49758 .5194 L
.49916 .51691 L
F
1 .6 0 r
.49758 .45596 m
.50225 .45893 L
.49758 .46027 L
.49652 .45893 L
F
0 .32 1 r
.49758 .51971 m
.50235 .52174 L
.49758 .5241 L
.4966 .52174 L
F
1 .08 0 r
.49758 .48231 m
.49782 .48309 L
.49758 .48341 L
.49662 .48309 L
F
1 .76 0 r
.50242 .57706 m
.5063 .57973 L
.50247 .58456 L
.50242 .58466 L
.49758 .58783 L
.49665 .58456 L
.49758 .58296 L
.49988 .57973 L
F
1 .82 0 r
.51208 .5395 m
.51691 .53686 L
.52174 .53737 L
.52179 .54107 L
.52174 .54117 L
.51925 .5459 L
.51691 .5487 L
.5154 .55073 L
.51208 .55543 L
.51149 .55557 L
.50725 .55999 L
.50665 .5604 L
.50242 .56159 L
.49758 .56249 L
.49676 .5604 L
.49758 .55916 L
.49944 .55557 L
.50242 .55114 L
.50269 .55073 L
.50623 .5459 L
.50725 .54475 L
.50944 .54107 L
F
0 .3 1 r
.49758 .52006 m
.50208 .52174 L
.49758 .52373 L
.49682 .52174 L
F
0 .86 1 r
.51691 .47028 m
.52174 .46876 L
.52596 .47342 L
.52274 .47826 L
.52174 .48014 L
.51989 .48309 L
.51691 .48736 L
.51605 .48792 L
.51209 .49275 L
.51208 .49283 L
.50725 .4972 L
.50638 .49758 L
.50242 .49858 L
.49758 .49793 L
.49685 .49758 L
.49758 .49509 L
.49867 .49275 L
.50213 .48792 L
.50242 .48712 L
.50537 .48309 L
.50725 .48128 L
.50804 .47826 L
.51208 .47485 L
.5135 .47342 L
F
0 .38 1 r
.49758 .54568 m
.49775 .5459 L
.49758 .54638 L
.49688 .5459 L
F
1 .58 0 r
.49758 .45652 m
.50177 .45893 L
.49758 .45981 L
.49691 .45893 L
F
0 .28 1 r
.49758 .52046 m
.50178 .52174 L
.49758 .52329 L
.49706 .52174 L
F
0 .26 1 r
.49758 .52096 m
.50144 .52174 L
.49758 .52274 L
.49731 .52174 L
F
1 .74 0 r
.49758 .58404 m
.50163 .58456 L
.49758 .5864 L
.49732 .58456 L
F
1 .56 0 r
.49758 .45732 m
.50119 .45893 L
.49758 .45926 L
.49735 .45893 L
F
1 .8 0 r
.51208 .53979 m
.51691 .53719 L
.52149 .54107 L
.51906 .5459 L
.51691 .54844 L
.51521 .55073 L
.51208 .55539 L
.51126 .55557 L
.50725 .55976 L
.50621 .5604 L
.50242 .56142 L
.49758 .56139 L
.49737 .5604 L
.49758 .56 L
.49966 .55557 L
.50242 .5514 L
.50287 .55073 L
.50641 .5459 L
.50725 .54498 L
.5098 .54107 L
F
1 .32 0 r
.50242 .47593 m
.50338 .47826 L
.50242 .48026 L
.49768 .47826 L
F
0 .6 1 r
.50242 .53969 m
.50351 .54107 L
.50242 .54409 L
.49772 .54107 L
F
0 .84 1 r
.51691 .47058 m
.52174 .46909 L
.52568 .47342 L
.52262 .47826 L
.52174 .47993 L
.51977 .48309 L
.51691 .48727 L
.51591 .48792 L
.51208 .49258 L
.51195 .49275 L
.50725 .49695 L
.50575 .49758 L
.50242 .49836 L
.49772 .49758 L
.49885 .49275 L
.5022 .48792 L
.50242 .48731 L
.50548 .48309 L
.50725 .4814 L
.50814 .47826 L
.51208 .47505 L
.51374 .47342 L
F
1 .78 0 r
.51208 .54007 m
.51691 .53752 L
.52117 .54107 L
.51885 .5459 L
.51691 .54817 L
.51502 .55073 L
.51208 .55534 L
.51102 .55557 L
.50725 .55955 L
.50574 .5604 L
.50242 .56129 L
.49792 .5604 L
.49988 .55557 L
.50242 .55167 L
.50305 .55073 L
.50661 .5459 L
.50725 .54521 L
.51021 .54107 L
F
1 .3 0 r
.50242 .47631 m
.50316 .47826 L
.50242 .47991 L
.49795 .47826 L
F
0 .94 1 r
.51208 .3765 m
.51506 .37679 L
.51433 .38162 L
.51208 .38539 L
.51139 .38645 L
.50761 .39128 L
.50725 .39155 L
.50242 .39492 L
.49817 .39128 L
.50057 .38645 L
.50242 .38406 L
.50553 .38162 L
.50725 .37954 L
.51156 .37679 L
F
0 .58 1 r
.50242 .54015 m
.50313 .54107 L
.50242 .54354 L
.49818 .54107 L
F
1 .28 0 r
.50242 .47675 m
.50292 .47826 L
.50242 .4795 L
.49825 .47826 L
F
0 .74 1 r
.50242 .41342 m
.50274 .41544 L
.50242 .41608 L
.49828 .41544 L
F
1 .76 0 r
.51208 .54036 m
.51691 .53785 L
.52084 .54107 L
.51863 .5459 L
.51691 .5479 L
.51483 .55073 L
.51208 .55529 L
.51078 .55557 L
.50725 .55935 L
.50523 .5604 L
.50242 .56117 L
.49845 .5604 L
.5001 .55557 L
.50242 .55195 L
.50324 .55073 L
.50681 .5459 L
.50725 .54544 L
.51066 .54107 L
F
0 .82 1 r
.51691 .47086 m
.52174 .46941 L
.52539 .47342 L
.5225 .47826 L
.52174 .47971 L
.51966 .48309 L
.51691 .48719 L
.51578 .48792 L
.51208 .49235 L
.51176 .49275 L
.50725 .49672 L
.50504 .49758 L
.50242 .49813 L
.49846 .49758 L
.49902 .49275 L
.50227 .48792 L
.50242 .48751 L
.50559 .48309 L
.50725 .48152 L
.50825 .47826 L
.51208 .47524 L
.51398 .47342 L
F
1 .26 0 r
.50242 .47732 m
.50267 .47826 L
.50242 .47898 L
.49859 .47826 L
F
1 .6 0 r
.50725 .44426 m
.51208 .44255 L
.51291 .44443 L
.51208 .44661 L
.5107 .44927 L
.50729 .4541 L
.50725 .45413 L
.50242 .45881 L
.4986 .4541 L
.50191 .44927 L
.50242 .44884 L
.507 .44443 L
F
0 .56 1 r
.50242 .54069 m
.50269 .54107 L
.50242 .54278 L
.49875 .54107 L
F
1 .58 0 r
.50242 .44915 m
.50725 .44452 L
.51047 .44927 L
.50725 .45385 L
.50704 .4541 L
.50242 .45852 L
.49882 .4541 L
.50228 .44927 L
F
1 .74 0 r
.51208 .54063 m
.51691 .53818 L
.5205 .54107 L
.5184 .5459 L
.51691 .54761 L
.51463 .55073 L
.51208 .55521 L
.51053 .55557 L
.50725 .55917 L
.50466 .5604 L
.50242 .56104 L
.49905 .5604 L
.50033 .55557 L
.50242 .55225 L
.50342 .55073 L
.50703 .5459 L
.50725 .54567 L
.51117 .54107 L
F
1 .56 0 r
.50242 .44946 m
.5068 .4541 L
.50242 .45822 L
.49906 .4541 L
F
0 .8 1 r
.51691 .47114 m
.52174 .46973 L
.5251 .47342 L
.52237 .47826 L
.52174 .47949 L
.51954 .48309 L
.51691 .4871 L
.51564 .48792 L
.51208 .49214 L
.51157 .49275 L
.50725 .49649 L
.50421 .49758 L
.50242 .4979 L
.49935 .49758 L
.4992 .49275 L
.50234 .48792 L
.50242 .48772 L
.5057 .48309 L
.50725 .48164 L
.50837 .47826 L
.51208 .47544 L
.51422 .47342 L
F
0 .94 1 r
.51208 .60597 m
.51691 .60612 L
.51697 .60872 L
.51691 .6088 L
.51401 .61355 L
.51208 .61607 L
.51005 .61838 L
.50725 .62129 L
.50465 .62321 L
.50242 .62609 L
.49924 .62321 L
.50094 .61838 L
.50242 .61611 L
.50419 .61355 L
.50725 .60984 L
.50834 .60872 L
F
1 .54 0 r
.50242 .44976 m
.50654 .4541 L
.50242 .45791 L
.4993 .4541 L
F
0 .32 1 r
.50242 .51306 m
.50671 .51691 L
.50242 .52168 L
.49932 .51691 L
F
0 .78 1 r
.51691 .4714 m
.52174 .47006 L
.5248 .47342 L
.52225 .47826 L
.52174 .47926 L
.51942 .48309 L
.51691 .487 L
.51551 .48792 L
.51208 .49194 L
.51138 .49275 L
.50725 .49627 L
.50309 .49758 L
.50242 .49767 L
.50066 .49758 L
.49937 .49275 L
.50242 .48793 L
.50242 .48792 L
.50582 .48309 L
.50725 .48175 L
.5085 .47826 L
.51208 .47563 L
.51447 .47342 L
F
0 .3 1 r
.50242 .51327 m
.50653 .51691 L
.50242 .52146 L
.49949 .51691 L
F
0 .76 1 r
.51691 .47167 m
.52174 .47039 L
.52449 .47342 L
.52213 .47826 L
.52174 .47903 L
.51929 .48309 L
.51691 .48689 L
.51537 .48792 L
.51208 .49176 L
.51119 .49275 L
.50725 .49605 L
.50242 .49744 L
.49955 .49275 L
.50242 .48813 L
.50255 .48792 L
.50593 .48309 L
.50725 .48187 L
.50865 .47826 L
.51208 .47582 L
.51472 .47342 L
F
1 .52 0 r
.50242 .45007 m
.50627 .4541 L
.50242 .45759 L
.49956 .4541 L
F
0 .28 1 r
.50242 .51348 m
.50635 .51691 L
.50242 .52124 L
.49966 .51691 L
F
0 .74 1 r
.51691 .47192 m
.52174 .47072 L
.52418 .47342 L
.522 .47826 L
.52174 .47878 L
.51917 .48309 L
.51691 .48677 L
.51523 .48792 L
.51208 .49159 L
.51099 .49275 L
.50725 .49584 L
.50242 .49719 L
.49974 .49275 L
.50242 .48833 L
.50268 .48792 L
.50606 .48309 L
.50725 .48198 L
.5088 .47826 L
.51208 .47601 L
.51499 .47342 L
F
1 .72 0 r
.51208 .54091 m
.51691 .53851 L
.52015 .54107 L
.51816 .5459 L
.51691 .54733 L
.51443 .55073 L
.51208 .55511 L
.51028 .55557 L
.50725 .55898 L
.50399 .5604 L
.50242 .56086 L
.49977 .5604 L
.50057 .55557 L
.50242 .55255 L
.50361 .55073 L
.50725 .5459 L
.50725 .5459 L
.51173 .54107 L
F
1 .5 0 r
.50242 .4504 m
.50598 .4541 L
.50242 .45726 L
.49983 .4541 L
F
0 .26 1 r
.50242 .5137 m
.50616 .51691 L
.50242 .521 L
.49984 .51691 L
F
1 .94 0 r
.52174 .4038 m
.52658 .40388 L
.52852 .40578 L
.52658 .40913 L
.5259 .41061 L
.52252 .41544 L
.52174 .41771 L
.51958 .42027 L
.51691 .42312 L
.51561 .42511 L
.51208 .42891 L
.51064 .42994 L
.50725 .43135 L
.50242 .43138 L
.4999 .42994 L
.50224 .42511 L
.50242 .42474 L
.50541 .42027 L
.50725 .41778 L
.5079 .41544 L
.51208 .41235 L
.51339 .41061 L
.51691 .4078 L
.51845 .40578 L
F
0 .72 1 r
.51691 .47218 m
.52174 .47106 L
.52386 .47342 L
.52188 .47826 L
.52174 .47852 L
.51904 .48309 L
.51691 .48665 L
.5151 .48792 L
.51208 .49143 L
.5108 .49275 L
.50725 .49563 L
.50242 .49695 L
.49992 .49275 L
.50242 .48854 L
.50281 .48792 L
.50618 .48309 L
.50725 .4821 L
.50897 .47826 L
.51208 .47619 L
.51526 .47342 L
F
0 .92 1 r
.50242 .3869 m
.50563 .39128 L
.50242 .3931 L
.49999 .39128 L
F
0 .24 1 r
.50242 .51393 m
.50596 .51691 L
.50242 .52076 L
.50002 .51691 L
F
0 .7 1 r
.51691 .47243 m
.52174 .47142 L
.52353 .47342 L
.52174 .47825 L
.52174 .47826 L
.51891 .48309 L
.51691 .4865 L
.51496 .48792 L
.51208 .49128 L
.5106 .49275 L
.50725 .49543 L
.50242 .4967 L
.50011 .49275 L
.50242 .48875 L
.50294 .48792 L
.50631 .48309 L
.50725 .48222 L
.50916 .47826 L
.51208 .47638 L
.51555 .47342 L
F
1 .48 0 r
.50242 .45076 m
.50567 .4541 L
.50242 .4569 L
.50013 .4541 L
F
0 .22 1 r
.50242 .51417 m
.50575 .51691 L
.50242 .5205 L
.50022 .51691 L
F
0 .68 1 r
.51691 .47268 m
.52174 .4718 L
.52318 .47342 L
.52174 .47788 L
.52156 .47826 L
.51877 .48309 L
.51691 .48634 L
.51482 .48792 L
.51208 .49114 L
.51039 .49275 L
.50725 .49522 L
.50242 .49644 L
.5003 .49275 L
.50242 .48898 L
.50307 .48792 L
.50644 .48309 L
.50725 .48233 L
.50936 .47826 L
.51208 .47656 L
.51585 .47342 L
F
0 .2 1 r
.50242 .51442 m
.50553 .51691 L
.50242 .52023 L
.50042 .51691 L
F
1 .46 0 r
.50242 .45115 m
.50533 .4541 L
.50242 .45652 L
.50044 .4541 L
F
1 .74 0 r
.50242 .57775 m
.50565 .57973 L
.50242 .58384 L
.50048 .57973 L
F
0 .66 1 r
.51691 .47292 m
.52174 .4722 L
.52281 .47342 L
.52174 .47745 L
.52138 .47826 L
.51863 .48309 L
.51691 .48617 L
.51468 .48792 L
.51208 .491 L
.51018 .49275 L
.50725 .49502 L
.50242 .49618 L
.50049 .49275 L
.50242 .48921 L
.50321 .48792 L
.50657 .48309 L
.50725 .48246 L
.50958 .47826 L
.51208 .47675 L
.51617 .47342 L
F
0 .18 1 r
.50242 .51468 m
.50529 .51691 L
.50242 .51994 L
.50064 .51691 L
F
0 .64 1 r
.51691 .47317 m
.52174 .47264 L
.52241 .47342 L
.52174 .47694 L
.5212 .47826 L
.51848 .48309 L
.51691 .48597 L
.51454 .48792 L
.51208 .49087 L
.50997 .49275 L
.50725 .49482 L
.50242 .49591 L
.50069 .49275 L
.50242 .48946 L
.50334 .48792 L
.50671 .48309 L
.50725 .48258 L
.50982 .47826 L
.51208 .47693 L
.51652 .47342 L
F
1 .7 0 r
.51691 .53885 m
.51978 .54107 L
.5179 .5459 L
.51691 .54703 L
.51423 .55073 L
.51208 .55498 L
.51003 .55557 L
.50725 .55879 L
.50312 .5604 L
.50242 .56059 L
.50078 .5604 L
.50081 .55557 L
.50242 .55287 L
.50381 .55073 L
.50725 .54615 L
.50746 .5459 L
.51208 .54119 L
.51224 .54107 L
F
1 .44 0 r
.50242 .45158 m
.50495 .4541 L
.50242 .4561 L
.50079 .4541 L
F
0 .16 1 r
.50242 .51497 m
.50503 .51691 L
.50242 .51963 L
.50088 .51691 L
F
0 .62 1 r
.51691 .47342 m
.52174 .47315 L
.52197 .47342 L
.52174 .47628 L
.52101 .47826 L
.51833 .48309 L
.51691 .48575 L
.51439 .48792 L
.51208 .49074 L
.50975 .49275 L
.50725 .49462 L
.50242 .49562 L
.5009 .49275 L
.50242 .48972 L
.50348 .48792 L
.50685 .48309 L
.50725 .48272 L
.51007 .47826 L
.51208 .47711 L
.5169 .47342 L
F
1 .92 0 r
.52174 .40496 m
.52591 .40578 L
.52518 .41061 L
.52219 .41544 L
.52174 .41689 L
.5192 .42027 L
.51691 .42266 L
.51513 .42511 L
.51208 .42827 L
.5095 .42994 L
.50725 .43078 L
.50242 .43076 L
.50097 .42994 L
.50242 .42545 L
.5026 .42511 L
.50577 .42027 L
.50725 .41821 L
.50822 .41544 L
.51208 .4129 L
.51398 .41061 L
.51691 .40884 L
.52002 .40578 L
F
1 .68 0 r
.51691 .53921 m
.51939 .54107 L
.51763 .5459 L
.51691 .54671 L
.51403 .55073 L
.51208 .5548 L
.50976 .55557 L
.50725 .55858 L
.50242 .56018 L
.50105 .55557 L
.50242 .55322 L
.504 .55073 L
.50725 .54641 L
.50767 .5459 L
.51208 .54147 L
.51263 .54107 L
F
0 .6 1 r
.51208 .47729 m
.51691 .47366 L
.52082 .47826 L
.51818 .48309 L
.51691 .48552 L
.51425 .48792 L
.51208 .49061 L
.50953 .49275 L
.50725 .49442 L
.50242 .49532 L
.5011 .49275 L
.50242 .49 L
.50362 .48792 L
.507 .48309 L
.50725 .48285 L
.51034 .47826 L
F
0 .14 1 r
.50242 .51528 m
.50474 .51691 L
.50242 .51929 L
.50113 .51691 L
F
1 .42 0 r
.50242 .45208 m
.50451 .4541 L
.50242 .45563 L
.50118 .4541 L
F
1 .72 0 r
.50242 .57854 m
.50482 .57973 L
.50242 .58288 L
.50121 .57973 L
F
1 .66 0 r
.51691 .53958 m
.51897 .54107 L
.51733 .5459 L
.51691 .54638 L
.51382 .55073 L
.51208 .55458 L
.50948 .55557 L
.50725 .55834 L
.50242 .5597 L
.50131 .55557 L
.50242 .55358 L
.5042 .55073 L
.50725 .54667 L
.50789 .5459 L
.51208 .54175 L
.51306 .54107 L
F
0 .58 1 r
.51208 .47748 m
.51691 .47391 L
.52062 .47826 L
.51801 .48309 L
.51691 .48525 L
.5141 .48792 L
.51208 .49048 L
.5093 .49275 L
.50725 .49422 L
.50242 .495 L
.50132 .49275 L
.50242 .49031 L
.50376 .48792 L
.50715 .48309 L
.50725 .483 L
.51063 .47826 L
F
0 .96 1 r
.5459 .47161 m
.55073 .46927 L
.55557 .46903 L
.55738 .47342 L
.55557 .47658 L
.5546 .47826 L
.55136 .48309 L
.55073 .48339 L
.54631 .48792 L
.5459 .49047 L
.54375 .49275 L
.54107 .49635 L
.54 .49758 L
.54107 .50128 L
.5459 .50091 L
.55062 .50242 L
.54851 .50725 L
.5459 .51143 L
.54558 .51208 L
.54203 .51691 L
.54107 .51816 L
.5375 .52174 L
.53624 .52461 L
.53452 .52658 L
.53141 .53041 L
.53096 .53141 L
.53141 .53471 L
.53624 .5344 L
.54107 .53552 L
.54116 .53624 L
.54107 .53754 L
.5391 .54107 L
.53624 .54538 L
.53606 .5459 L
.53238 .55073 L
.53141 .55202 L
.52811 .55557 L
.52658 .55838 L
.52495 .5604 L
.52174 .56394 L
.51959 .56523 L
.52174 .56883 L
.52658 .56824 L
.53141 .56959 L
.53157 .57006 L
.53141 .57086 L
.52946 .57489 L
.52658 .57892 L
.52602 .57973 L
.52245 .58456 L
.52174 .5855 L
.51841 .58939 L
.51691 .59163 L
.51494 .59422 L
.51208 .59661 L
.50725 .59868 L
.50242 .5987 L
.50135 .59422 L
.50242 .59269 L
.50365 .58939 L
.50725 .58556 L
.50795 .58456 L
.51167 .57973 L
.51208 .57899 L
.51505 .57489 L
.51691 .57286 L
.51832 .57006 L
.51691 .56622 L
.51208 .56641 L
.50808 .56523 L
.51009 .5604 L
.51208 .558 L
.51255 .55557 L
.51691 .55128 L
.51731 .55073 L
.52101 .5459 L
.52174 .5448 L
.5242 .54107 L
.52658 .53861 L
.5292 .53624 L
.52658 .53298 L
.52174 .53309 L
.51691 .53183 L
.51683 .53141 L
.51691 .53126 L
.51935 .52658 L
.52174 .52396 L
.52333 .52174 L
.52658 .51734 L
.5269 .51691 L
.53051 .51208 L
.53141 .51091 L
.53361 .50725 L
.53624 .50481 L
.53919 .50242 L
.53624 .49923 L
.53141 .49943 L
.52658 .49831 L
.52639 .49758 L
.52658 .49732 L
.52875 .49275 L
.53141 .49014 L
.53304 .48792 L
.53624 .4836 L
.53664 .48309 L
.54021 .47826 L
.54107 .47728 L
.54323 .47342 L
F
0 .12 1 r
.50242 .51562 m
.50441 .51691 L
.50242 .5189 L
.50141 .51691 L
F
0 .56 1 r
.51208 .47766 m
.51691 .47415 L
.52043 .47826 L
.51785 .48309 L
.51691 .48496 L
.51396 .48792 L
.51208 .49034 L
.50906 .49275 L
.50725 .49402 L
.50242 .49465 L
.50154 .49275 L
.50242 .49064 L
.5039 .48792 L
.50725 .48316 L
.5073 .48309 L
.51094 .47826 L
F
1 .64 0 r
.51691 .53997 m
.5185 .54107 L
.51702 .5459 L
.51691 .54603 L
.51361 .55073 L
.51208 .5543 L
.5092 .55557 L
.50725 .55807 L
.50242 .55917 L
.50158 .55557 L
.50242 .55399 L
.50441 .55073 L
.50725 .54693 L
.50812 .5459 L
.51208 .54204 L
.51356 .54107 L
F
1 .4 0 r
.50242 .4527 m
.50395 .4541 L
.50242 .45506 L
.50166 .4541 L
F
0 .1 1 r
.50242 .51602 m
.50401 .51691 L
.50242 .51843 L
.50174 .51691 L
F
0 .54 1 r
.51208 .47784 m
.51691 .4744 L
.52022 .47826 L
.51767 .48309 L
.51691 .48464 L
.51381 .48792 L
.51208 .49019 L
.50881 .49275 L
.50725 .49382 L
.50242 .49427 L
.50178 .49275 L
.50242 .49103 L
.50404 .48792 L
.50725 .48334 L
.50744 .48309 L
.51127 .47826 L
F
1 .62 0 r
.51208 .54233 m
.51674 .5459 L
.51339 .55073 L
.51208 .55396 L
.5089 .55557 L
.50725 .55775 L
.50242 .55857 L
.50186 .55557 L
.50242 .55444 L
.50462 .55073 L
.50725 .5472 L
.50836 .5459 L
F
0 .52 1 r
.51208 .47803 m
.51691 .47466 L
.52001 .47826 L
.51749 .48309 L
.51691 .48429 L
.51366 .48792 L
.51208 .49004 L
.50855 .49275 L
.50725 .49362 L
.50242 .49382 L
.50202 .49275 L
.50242 .49149 L
.50419 .48792 L
.50725 .48352 L
.50759 .48309 L
.51162 .47826 L
F
0 .08 1 r
.50242 .51653 m
.50345 .51691 L
.50242 .51778 L
.50214 .51691 L
F
1 .6 0 r
.51208 .54262 m
.51647 .5459 L
.51317 .55073 L
.51208 .55355 L
.50858 .55557 L
.50725 .55738 L
.50242 .5578 L
.50215 .55557 L
.50242 .55498 L
.50484 .55073 L
.50725 .54748 L
.50861 .5459 L
F
1 .9 0 r
.51691 .40952 m
.52174 .4061 L
.52444 .41061 L
.52185 .41544 L
.52174 .41581 L
.5188 .42027 L
.51691 .42227 L
.51464 .42511 L
.51208 .42768 L
.50815 .42994 L
.50725 .43023 L
.50242 .43003 L
.50224 .42994 L
.50242 .42655 L
.50307 .42511 L
.50616 .42027 L
.50725 .4187 L
.50865 .41544 L
.51208 .41339 L
.51461 .41061 L
F
1 .7 0 r
.50242 .5796 m
.50339 .57973 L
.50242 .5813 L
.50227 .57973 L
F
0 .5 1 r
.51208 .47822 m
.51691 .47491 L
.5198 .47826 L
.5173 .48309 L
.51691 .48391 L
.5135 .48792 L
.51208 .48988 L
.50828 .49275 L
.50725 .49342 L
.50242 .49322 L
.50228 .49275 L
.50242 .49213 L
.50434 .48792 L
.50725 .48371 L
.50773 .48309 L
.512 .47826 L
F
0 .94 1 r
.5459 .47248 m
.55073 .4711 L
.55557 .47105 L
.55618 .47342 L
.55557 .47493 L
.55403 .47826 L
.55088 .48309 L
.55073 .48317 L
.5461 .48792 L
.5459 .48993 L
.5433 .49275 L
.54107 .49568 L
.53917 .49758 L
.54107 .50213 L
.5459 .50163 L
.54872 .50242 L
.54796 .50725 L
.5459 .51084 L
.54532 .51208 L
.54173 .51691 L
.54107 .51779 L
.53729 .52174 L
.53624 .52422 L
.53418 .52658 L
.53141 .52984 L
.53039 .53141 L
.53141 .53549 L
.53624 .53496 L
.54018 .53624 L
.53864 .54107 L
.53624 .54487 L
.53591 .5459 L
.53208 .55073 L
.53141 .55163 L
.52786 .55557 L
.52658 .55792 L
.52455 .5604 L
.52174 .56324 L
.51787 .56523 L
.52174 .56979 L
.52658 .56899 L
.52993 .57006 L
.52888 .57489 L
.52658 .57816 L
.52554 .57973 L
.52196 .58456 L
.52174 .58485 L
.51793 .58939 L
.51691 .59083 L
.51394 .59422 L
.51208 .59546 L
.50725 .59831 L
.50242 .59661 L
.50229 .59422 L
.50242 .594 L
.50407 .58939 L
.50725 .58615 L
.50834 .58456 L
.51195 .57973 L
.51208 .57949 L
.51557 .57489 L
.51691 .57356 L
.52065 .57006 L
.51691 .56553 L
.51208 .56585 L
.50967 .56523 L
.51044 .5604 L
.51208 .5584 L
.51267 .55557 L
.51691 .55156 L
.51751 .55073 L
.52119 .5459 L
.52174 .5451 L
.52453 .54107 L
.52658 .53911 L
.53014 .53624 L
.52658 .53244 L
.52174 .53273 L
.51763 .53141 L
.51959 .52658 L
.52174 .52423 L
.5235 .52174 L
.52658 .51757 L
.52708 .51691 L
.53071 .51208 L
.53141 .5112 L
.53399 .50725 L
.53624 .50536 L
.54049 .50242 L
.53624 .49861 L
.53141 .49904 L
.52718 .49758 L
.52905 .49275 L
.53141 .49046 L
.53327 .48792 L
.53624 .48391 L
.53689 .48309 L
.54059 .47826 L
.54107 .47774 L
.54423 .47342 L
F
1 .38 0 r
.50242 .45379 m
.50296 .4541 L
.50242 .45422 L
.50233 .4541 L
F
1 .58 0 r
.51208 .54292 m
.51619 .5459 L
.51294 .55073 L
.51208 .55306 L
.50824 .55557 L
.50725 .55695 L
.50248 .55557 L
.50506 .55073 L
.50725 .54777 L
.50887 .5459 L
F
1 .56 0 r
.50725 .44484 m
.51023 .44927 L
.50725 .45354 L
.50258 .44927 L
F
0 .48 1 r
.51691 .47518 m
.51958 .47826 L
.5171 .48309 L
.51691 .4835 L
.51335 .48792 L
.51208 .48971 L
.50798 .49275 L
.50725 .49321 L
.50259 .49275 L
.50449 .48792 L
.50725 .4839 L
.50788 .48309 L
.51208 .47841 L
.51225 .47826 L
F
0 .92 1 r
.51208 .60785 m
.51458 .60872 L
.51252 .61355 L
.51208 .61415 L
.50824 .61838 L
.50725 .61931 L
.50268 .61838 L
.50563 .61355 L
.50725 .61162 L
.51049 .60872 L
F
.50725 .38172 m
.50989 .38645 L
.50725 .38971 L
.50275 .38645 L
F
0 .38 1 r
.50725 .50857 m
.5102 .51208 L
.50725 .51686 L
.50279 .51208 L
F
1 .54 0 r
.50725 .44518 m
.50997 .44927 L
.50725 .45323 L
.50284 .44927 L
F
1 .56 0 r
.51208 .54323 m
.51589 .5459 L
.5127 .55073 L
.51208 .55249 L
.50787 .55557 L
.50725 .55644 L
.50293 .55557 L
.50529 .55073 L
.50725 .54807 L
.50914 .5459 L
F
0 .46 1 r
.51208 .47861 m
.5169 .48309 L
.51319 .48792 L
.51208 .48952 L
.50767 .49275 L
.50725 .493 L
.50298 .49275 L
.50465 .48792 L
.50725 .4841 L
.50804 .48309 L
F
0 .36 1 r
.50725 .5088 m
.51001 .51208 L
.50725 .51664 L
.50298 .51208 L
F
1 .52 0 r
.50725 .44553 m
.50971 .44927 L
.50725 .4529 L
.50312 .44927 L
F
0 .34 1 r
.50725 .50903 m
.50982 .51208 L
.50725 .5164 L
.50318 .51208 L
F
0 .92 1 r
.52658 .56979 m
.52773 .57006 L
.52826 .57489 L
.52658 .57735 L
.52506 .57973 L
.52174 .58421 L
.52148 .58456 L
.51743 .58939 L
.51691 .59008 L
.51254 .59422 L
.51208 .59447 L
.50725 .59816 L
.50337 .59422 L
.5046 .58939 L
.50725 .58678 L
.50874 .58456 L
.51208 .58001 L
.5123 .57973 L
.51615 .57489 L
.51691 .5742 L
.52174 .57057 L
.52335 .57006 L
F
0 .32 1 r
.50725 .50927 m
.50962 .51208 L
.50725 .51616 L
.5034 .51208 L
F
1 .5 0 r
.50725 .4459 m
.50943 .44927 L
.50725 .45254 L
.50342 .44927 L
F
0 .44 1 r
.51208 .47881 m
.51673 .48309 L
.51302 .48792 L
.51208 .48932 L
.50731 .49275 L
.50725 .49279 L
.50346 .49275 L
.50481 .48792 L
.50725 .4843 L
.50819 .48309 L
F
1 .54 0 r
.51208 .54355 m
.51558 .5459 L
.51245 .55073 L
.51208 .55182 L
.50745 .55557 L
.50725 .55585 L
.50347 .55557 L
.50554 .55073 L
.50725 .54838 L
.50943 .5459 L
F
1 .88 0 r
.51691 .40996 m
.52174 .40724 L
.52365 .41061 L
.52174 .41476 L
.52138 .41544 L
.51836 .42027 L
.51691 .42186 L
.51414 .42511 L
.51208 .42711 L
.50725 .42965 L
.50355 .42511 L
.50658 .42027 L
.50725 .41928 L
.50921 .41544 L
.51208 .41385 L
.51529 .41061 L
F
0 .3 1 r
.50725 .50952 m
.50941 .51208 L
.50725 .5159 L
.50362 .51208 L
F
1 .48 0 r
.50725 .4463 m
.50913 .44927 L
.50725 .45216 L
.50374 .44927 L
F
1 .88 0 r
.53141 .4717 m
.53624 .46975 L
.54072 .47342 L
.53819 .47826 L
.53624 .48135 L
.53559 .48309 L
.53154 .48792 L
.53141 .48809 L
.52728 .49275 L
.52658 .49403 L
.52182 .49758 L
.52658 .50223 L
.53141 .50222 L
.53201 .50242 L
.53191 .50725 L
.53141 .5086 L
.52927 .51208 L
.52658 .51579 L
.52646 .51691 L
.52213 .52174 L
.52174 .52226 L
.51793 .52658 L
.51691 .52802 L
.51208 .53115 L
.51168 .53141 L
.50725 .5321 L
.50388 .53141 L
.50377 .52658 L
.50725 .52293 L
.50804 .52174 L
.51167 .51691 L
.51208 .5167 L
.51497 .51208 L
.51691 .50997 L
.51936 .50725 L
.52174 .50464 L
.52598 .50242 L
.52174 .49762 L
.51691 .4986 L
.51266 .49758 L
.51278 .49275 L
.51691 .4891 L
.51774 .48792 L
.52133 .48309 L
.52174 .48252 L
.52466 .47826 L
.52658 .4765 L
.52964 .47342 L
F
0 .28 1 r
.50725 .50979 m
.50919 .51208 L
.50725 .51563 L
.50385 .51208 L
F
1 .86 0 r
.52174 .50494 m
.52658 .50257 L
.53141 .50276 L
.53174 .50725 L
.53141 .50818 L
.52911 .51208 L
.52658 .51556 L
.52644 .51691 L
.52196 .52174 L
.52174 .52203 L
.51774 .52658 L
.51691 .52772 L
.51208 .53062 L
.5106 .53141 L
.50725 .53181 L
.50488 .53141 L
.50395 .52658 L
.50725 .52315 L
.50818 .52174 L
.51176 .51691 L
.51208 .51675 L
.51511 .51208 L
.51691 .51016 L
.51958 .50725 L
F
.51691 .41029 m
.52174 .40857 L
.52277 .41061 L
.52174 .41353 L
.52084 .41544 L
.51788 .42027 L
.51691 .42139 L
.51361 .42511 L
.51208 .42656 L
.50725 .42903 L
.50406 .42511 L
.50705 .42027 L
.50725 .41996 L
.50992 .41544 L
.51208 .4143 L
.51606 .41061 L
F
1 .46 0 r
.50725 .44673 m
.5088 .44927 L
.50725 .45174 L
.5041 .44927 L
F
0 .26 1 r
.50725 .51006 m
.50896 .51208 L
.50725 .51534 L
.50411 .51208 L
F
1 .84 0 r
.52174 .50523 m
.52658 .50289 L
.53141 .50346 L
.53156 .50725 L
.53141 .50772 L
.52894 .51208 L
.52658 .51534 L
.52641 .51691 L
.52179 .52174 L
.52174 .52181 L
.51755 .52658 L
.51691 .52743 L
.51208 .53018 L
.50905 .53141 L
.50725 .53152 L
.50627 .53141 L
.50415 .52658 L
.50725 .52338 L
.50832 .52174 L
.51185 .51691 L
.51208 .51679 L
.51525 .51208 L
.51691 .51035 L
.5198 .50725 L
F
1 .82 0 r
.52174 .50551 m
.52658 .50321 L
.53137 .50725 L
.52878 .51208 L
.52658 .51511 L
.52638 .51691 L
.52174 .5216 L
.52163 .52174 L
.51736 .52658 L
.51691 .52715 L
.51208 .52981 L
.50725 .53122 L
.50437 .52658 L
.50725 .52362 L
.50845 .52174 L
.51195 .51691 L
.51208 .51684 L
.51541 .51208 L
.51691 .51054 L
.52002 .50725 L
F
0 .24 1 r
.50725 .51036 m
.50871 .51208 L
.50725 .51502 L
.50439 .51208 L
F
1 .78 0 r
.50725 .57383 m
.5088 .57489 L
.50725 .57909 L
.50447 .57489 L
F
1 .44 0 r
.50725 .44722 m
.50844 .44927 L
.50725 .45127 L
.50451 .44927 L
F
1 .84 0 r
.51208 .41479 m
.51691 .41067 L
.52028 .41544 L
.51733 .42027 L
.51691 .4208 L
.51306 .42511 L
.51208 .426 L
.50725 .42839 L
.50461 .42511 L
.50725 .42065 L
.50751 .42027 L
.5108 .41544 L
F
1 .8 0 r
.52174 .50578 m
.52658 .50352 L
.53106 .50725 L
.52861 .51208 L
.52658 .51487 L
.52634 .51691 L
.52174 .52139 L
.52146 .52174 L
.51716 .52658 L
.51691 .52688 L
.51208 .5295 L
.50725 .53089 L
.50462 .52658 L
.50725 .52388 L
.50859 .52174 L
.51205 .51691 L
.51208 .51689 L
.51556 .51208 L
.51691 .51073 L
.52025 .50725 L
F
0 .9 1 r
.51691 .57482 m
.52174 .57129 L
.52658 .57085 L
.52757 .57489 L
.52658 .57642 L
.52457 .57973 L
.52174 .58359 L
.52099 .58456 L
.51691 .58936 L
.51689 .58939 L
.51208 .59364 L
.51103 .59422 L
.50725 .59734 L
.50466 .59422 L
.50527 .58939 L
.50725 .58747 L
.50915 .58456 L
.51208 .58055 L
.51272 .57973 L
.51683 .57489 L
F
0 .22 1 r
.50725 .51068 m
.50843 .51208 L
.50725 .51466 L
.5047 .51208 L
F
1 .78 0 r
.52174 .50604 m
.52658 .50383 L
.53075 .50725 L
.52844 .51208 L
.52658 .51464 L
.52629 .51691 L
.52174 .52119 L
.5213 .52174 L
.51695 .52658 L
.51691 .52662 L
.51208 .52925 L
.50725 .53055 L
.50489 .52658 L
.50725 .52414 L
.50873 .52174 L
.51208 .51703 L
.51217 .51691 L
.51573 .51208 L
.51691 .51092 L
.52049 .50725 L
F
0 .42 1 r
.51208 .47902 m
.51655 .48309 L
.51286 .48792 L
.51208 .4891 L
.50725 .49255 L
.50497 .48792 L
.50725 .48451 L
.50835 .48309 L
F
1 .42 0 r
.50725 .4478 m
.50803 .44927 L
.50725 .45069 L
.505 .44927 L
F
0 .2 1 r
.50725 .51104 m
.50813 .51208 L
.50725 .51424 L
.50506 .51208 L
F
0 .4 1 r
.51208 .47922 m
.51637 .48309 L
.51269 .48792 L
.51208 .48887 L
.50725 .4923 L
.50514 .48792 L
.50725 .48473 L
.50852 .48309 L
F
0 .9 1 r
.52658 .43745 m
.53141 .43637 L
.53443 .4396 L
.53184 .44443 L
.53141 .44564 L
.52904 .44927 L
.52658 .45264 L
.52628 .4541 L
.52174 .45888 L
.52169 .45893 L
.51691 .4635 L
.51645 .46376 L
.51208 .4651 L
.50725 .46468 L
.50517 .46376 L
.50725 .46075 L
.50823 .45893 L
.51169 .4541 L
.51208 .45345 L
.51491 .44927 L
.51691 .44799 L
.51924 .44443 L
.52174 .44145 L
.52387 .4396 L
F
1 .76 0 r
.52174 .5063 m
.52658 .50413 L
.53043 .50725 L
.52826 .51208 L
.52658 .5144 L
.52624 .51691 L
.52174 .52099 L
.52113 .52174 L
.51691 .52651 L
.5167 .52658 L
.51208 .52905 L
.50725 .53019 L
.50519 .52658 L
.50725 .52442 L
.50887 .52174 L
.51208 .51721 L
.5123 .51691 L
.5159 .51208 L
.51691 .51111 L
.52073 .50725 L
F
1 .82 0 r
.51208 .41534 m
.51691 .41147 L
.51968 .41544 L
.51691 .42005 L
.51675 .42027 L
.51246 .42511 L
.51208 .42544 L
.50725 .4277 L
.5052 .42511 L
.50725 .42136 L
.50799 .42027 L
.51188 .41544 L
F
0 .9 1 r
.50725 .38484 m
.50771 .38645 L
.50725 .38706 L
.50525 .38645 L
F
0 .38 1 r
.51208 .47944 m
.51619 .48309 L
.51251 .48792 L
.51208 .48861 L
.50725 .49204 L
.50531 .48792 L
.50725 .48495 L
.50869 .48309 L
F
0 .36 1 r
.51208 .47965 m
.516 .48309 L
.51233 .48792 L
.51208 .48833 L
.50725 .49178 L
.50549 .48792 L
.50725 .48519 L
.50887 .48309 L
F
0 .18 1 r
.50725 .51145 m
.50778 .51208 L
.50725 .51372 L
.50551 .51208 L
F
1 .74 0 r
.52174 .50655 m
.52658 .50444 L
.5301 .50725 L
.52808 .51208 L
.52658 .51415 L
.52617 .51691 L
.52174 .52078 L
.52096 .52174 L
.51691 .52646 L
.51644 .52658 L
.51208 .52888 L
.50725 .52981 L
.50551 .52658 L
.50725 .52473 L
.50902 .52174 L
.51208 .51739 L
.51243 .51691 L
.51608 .51208 L
.51691 .51129 L
.52098 .50725 L
F
0 .34 1 r
.51208 .47988 m
.5158 .48309 L
.51214 .48792 L
.51208 .48802 L
.50725 .49149 L
.50568 .48792 L
.50725 .48543 L
.50905 .48309 L
F
1 .4 0 r
.50725 .44862 m
.50752 .44927 L
.50725 .44989 L
.5057 .44927 L
F
1 .52 0 r
.51208 .54389 m
.51524 .5459 L
.51219 .55073 L
.51208 .55106 L
.50725 .55534 L
.50579 .55073 L
.50725 .54872 L
.50974 .5459 L
F
1 .8 0 r
.50725 .42219 m
.51173 .42511 L
.50725 .42691 L
.50586 .42511 L
F
0 .32 1 r
.50725 .48569 m
.51192 .48792 L
.50725 .49119 L
.50587 .48792 L
F
1 .72 0 r
.52174 .5068 m
.52658 .50475 L
.52977 .50725 L
.5279 .51208 L
.52658 .5139 L
.52609 .51691 L
.52174 .52058 L
.52079 .52174 L
.51691 .52642 L
.51617 .52658 L
.51208 .52875 L
.50725 .52939 L
.50587 .52658 L
.50725 .52506 L
.50916 .52174 L
.51208 .51757 L
.51257 .51691 L
.51626 .51208 L
.51691 .51148 L
.52124 .50725 L
F
1 .76 0 r
.50725 .57468 m
.50763 .57489 L
.50725 .57789 L
.50588 .57489 L
F
0 .98 1 r
.51691 .34633 m
.52174 .34399 L
.52337 .3478 L
.52174 .35113 L
.52092 .35263 L
.51754 .35746 L
.51691 .35804 L
.51208 .36196 L
.51132 .36229 L
.50725 .36277 L
.50603 .36229 L
.50713 .35746 L
.50725 .35732 L
.50937 .35263 L
.51208 .35055 L
.51534 .3478 L
F
1 .5 0 r
.50725 .54907 m
.51187 .55073 L
.50725 .55489 L
.50607 .55073 L
F
0 .3 1 r
.50725 .48597 m
.51167 .48792 L
.50725 .49087 L
.50607 .48792 L
F
0 .88 1 r
.52174 .57199 m
.52658 .57256 L
.52675 .57489 L
.52658 .5752 L
.52407 .57973 L
.52174 .58295 L
.5205 .58456 L
.51691 .58872 L
.51623 .58939 L
.51208 .59288 L
.50884 .59422 L
.50725 .59493 L
.50657 .59422 L
.50611 .58939 L
.50725 .58827 L
.50958 .58456 L
.51208 .5811 L
.51315 .57973 L
.51691 .57543 L
.51748 .57489 L
F
.52658 .43801 m
.53141 .43711 L
.53373 .4396 L
.53165 .44443 L
.53141 .44514 L
.52882 .44927 L
.52658 .45231 L
.52621 .4541 L
.52174 .45863 L
.52141 .45893 L
.51691 .46314 L
.51571 .46376 L
.51208 .46479 L
.50725 .46421 L
.50621 .46376 L
.50725 .46142 L
.50847 .45893 L
.51183 .4541 L
.51208 .45369 L
.51512 .44927 L
.51691 .44818 L
.5195 .44443 L
.52174 .44183 L
.52442 .4396 L
F
0 .16 1 r
.50725 .51198 m
.50733 .51208 L
.50725 .51285 L
.50621 .51208 L
F
1 .7 0 r
.52174 .50705 m
.52658 .50507 L
.52942 .50725 L
.5277 .51208 L
.52658 .51363 L
.52599 .51691 L
.52174 .52038 L
.52062 .52174 L
.51691 .52639 L
.51589 .52658 L
.51208 .52863 L
.50725 .52891 L
.50626 .52658 L
.50725 .52543 L
.50931 .52174 L
.51208 .51775 L
.5127 .51691 L
.51645 .51208 L
.51691 .51166 L
.52152 .50725 L
F
0 .28 1 r
.50725 .48627 m
.5114 .48792 L
.50725 .49052 L
.50629 .48792 L
F
1 .48 0 r
.50725 .54946 m
.51151 .55073 L
.50725 .5544 L
.50636 .55073 L
F
0 .26 1 r
.50725 .48661 m
.51111 .48792 L
.50725 .49013 L
.50652 .48792 L
F
1 .78 0 r
.50725 .42334 m
.51071 .42511 L
.50725 .42594 L
.50666 .42511 L
F
1 .46 0 r
.50725 .54989 m
.51109 .55073 L
.50725 .55381 L
.50668 .55073 L
F
1 .68 0 r
.52658 .5054 m
.52905 .50725 L
.5275 .51208 L
.52658 .51336 L
.52588 .51691 L
.52174 .52018 L
.52045 .52174 L
.51691 .52637 L
.51561 .52658 L
.51208 .52852 L
.50725 .52833 L
.50669 .52658 L
.50725 .52587 L
.50946 .52174 L
.51208 .51794 L
.51284 .51691 L
.51665 .51208 L
.51691 .51185 L
.52174 .5073 L
.52182 .50725 L
F
0 .24 1 r
.50725 .48699 m
.51077 .48792 L
.50725 .48966 L
.50676 .48792 L
F
0 .22 1 r
.50725 .48746 m
.51039 .48792 L
.50725 .48904 L
.50703 .48792 L
F
1 .44 0 r
.50725 .5504 m
.51059 .55073 L
.50725 .55305 L
.50703 .55073 L
F
0 .86 1 r
.52174 .57268 m
.52591 .57489 L
.52356 .57973 L
.52174 .58229 L
.51999 .58456 L
.51691 .58808 L
.51552 .58939 L
.51208 .59212 L
.50725 .59285 L
.50714 .58939 L
.50725 .58927 L
.51002 .58456 L
.51208 .58168 L
.51361 .57973 L
.51691 .57603 L
.51819 .57489 L
F
1 .66 0 r
.52658 .50573 m
.52866 .50725 L
.52729 .51208 L
.52658 .51308 L
.52575 .51691 L
.52174 .51997 L
.52028 .52174 L
.51691 .52635 L
.51532 .52658 L
.51208 .52841 L
.50725 .5274 L
.50715 .52658 L
.50725 .52644 L
.50961 .52174 L
.51208 .51813 L
.51298 .51691 L
.51686 .51208 L
.51691 .51203 L
.52174 .50753 L
.5222 .50725 L
F
0 .5 1 r
.51208 .50645 m
.51273 .50725 L
.51208 .51017 L
.50733 .50725 L
F
0 .92 1 r
.51208 .38013 m
.51236 .38162 L
.51208 .38236 L
.50737 .38162 L
F
1 .58 0 r
.51208 .44324 m
.51253 .44443 L
.51208 .44591 L
.50738 .44443 L
F
0 .86 1 r
.52658 .43854 m
.53141 .43789 L
.53298 .4396 L
.53146 .44443 L
.53141 .44459 L
.52859 .44927 L
.52658 .45199 L
.52613 .4541 L
.52174 .45843 L
.52113 .45893 L
.51691 .46279 L
.5149 .46376 L
.51208 .46449 L
.50742 .46376 L
.50871 .45893 L
.51198 .4541 L
.51208 .45394 L
.51533 .44927 L
.51691 .44834 L
.51977 .44443 L
.52174 .44219 L
.52503 .4396 L
F
1 .64 0 r
.52658 .50608 m
.52823 .50725 L
.52707 .51208 L
.52658 .51278 L
.52561 .51691 L
.52174 .51977 L
.5201 .52174 L
.51691 .52633 L
.51501 .52658 L
.51208 .52829 L
.5075 .52658 L
.50976 .52174 L
.51208 .51833 L
.51312 .51691 L
.51691 .51222 L
.51705 .51208 L
.52174 .50777 L
.52263 .50725 L
F
1 .98 0 r
.51691 .6406 m
.52174 .63928 L
.52262 .64254 L
.52174 .64412 L
.51955 .64737 L
.51691 .65059 L
.51532 .6522 L
.51208 .65506 L
.50755 .6522 L
.51055 .64737 L
.51208 .6454 L
.51463 .64254 L
F
0 .48 1 r
.51208 .50685 m
.51239 .50725 L
.51208 .50961 L
.50774 .50725 L
F
1 .62 0 r
.52658 .50645 m
.52776 .50725 L
.52684 .51208 L
.52658 .51246 L
.52544 .51691 L
.52174 .51956 L
.51992 .52174 L
.51691 .52629 L
.51469 .52658 L
.51208 .52815 L
.50782 .52658 L
.50991 .52174 L
.51208 .51853 L
.51327 .51691 L
.51691 .51242 L
.51723 .51208 L
.52174 .50801 L
.52314 .50725 L
F
1 .56 0 r
.51208 .44435 m
.5121 .44443 L
.51208 .4446 L
.50791 .44443 L
F
0 .84 1 r
.52174 .57341 m
.52499 .57489 L
.52303 .57973 L
.52174 .58158 L
.51946 .58456 L
.51691 .58743 L
.51473 .58939 L
.51208 .59135 L
.50796 .58939 L
.51048 .58456 L
.51208 .58229 L
.51409 .57973 L
.51691 .57663 L
.51903 .57489 L
F
1 .6 0 r
.52658 .50685 m
.52721 .50725 L
.5266 .51208 L
.52658 .51211 L
.52525 .51691 L
.52174 .51935 L
.51974 .52174 L
.51691 .52624 L
.51434 .52658 L
.51208 .52798 L
.50818 .52658 L
.51007 .52174 L
.51208 .51873 L
.51341 .51691 L
.51691 .51261 L
.51742 .51208 L
.52174 .50825 L
.52377 .50725 L
F
1 .98 0 r
.5604 .47296 m
.56523 .47027 L
.56936 .47342 L
.56926 .47826 L
.56676 .48309 L
.56523 .48483 L
.56343 .48792 L
.5604 .49185 L
.55941 .49275 L
.55557 .49728 L
.55541 .49758 L
.55557 .50147 L
.5604 .50007 L
.56523 .49928 L
.56895 .50242 L
.56523 .50657 L
.56493 .50725 L
.56141 .51208 L
.5604 .51361 L
.55683 .51691 L
.55557 .51955 L
.55392 .52174 L
.55073 .5258 L
.55052 .52658 L
.54625 .53141 L
.55073 .53434 L
.55557 .53518 L
.55708 .53624 L
.55557 .54002 L
.555 .54107 L
.55176 .5459 L
.55073 .54723 L
.54675 .55073 L
.5459 .55296 L
.54428 .55557 L
.54107 .56006 L
.54088 .5604 L
.53624 .56521 L
.5362 .56523 L
.53624 .56877 L
.54107 .56784 L
.5459 .56824 L
.54796 .57006 L
.5459 .57402 L
.54555 .57489 L
.54204 .57973 L
.54107 .5807 L
.53763 .58456 L
.53624 .58623 L
.53467 .58939 L
.53141 .59359 L
.53128 .59422 L
.52658 .59837 L
.52489 .59905 L
.52658 .6036 L
.53141 .60213 L
.53624 .60288 L
.53724 .60388 L
.53624 .60659 L
.53582 .60872 L
.53185 .61355 L
.53141 .61383 L
.52779 .61838 L
.52658 .62053 L
.52453 .62321 L
.52174 .62618 L
.51964 .62804 L
.51691 .63021 L
.51208 .63159 L
.5082 .62804 L
.5107 .62321 L
.51208 .62154 L
.51301 .61838 L
.51691 .61479 L
.51783 .61355 L
.52159 .60872 L
.52174 .60849 L
.5261 .60388 L
.52174 .59983 L
.51691 .5998 L
.51471 .59905 L
.5165 .59422 L
.51691 .59358 L
.51946 .58939 L
.52174 .58687 L
.52344 .58456 L
.52658 .58033 L
.52704 .57973 L
.53072 .57489 L
.53141 .57396 L
.53439 .57006 L
.53141 .56678 L
.52658 .56672 L
.52283 .56523 L
.52578 .5604 L
.52658 .55938 L
.52869 .55557 L
.53141 .55282 L
.53298 .55073 L
.53624 .54595 L
.53658 .5459 L
.54015 .54107 L
.54107 .53994 L
.54333 .53624 L
.54107 .53335 L
.53624 .53324 L
.53215 .53141 L
.53526 .52658 L
.53624 .52545 L
.53803 .52174 L
.54107 .51892 L
.54263 .51691 L
.5459 .51235 L
.54624 .51208 L
.54983 .50725 L
.55073 .50621 L
.55415 .50242 L
.55073 .49935 L
.5459 .49946 L
.54186 .49758 L
.54482 .49275 L
.5459 .49165 L
.54707 .48792 L
.55073 .48392 L
.55238 .48309 L
.55557 .47879 L
.55605 .47826 L
.56007 .47342 L
F
0 .84 1 r
.52658 .43906 m
.53141 .43877 L
.53215 .4396 L
.53141 .44376 L
.53114 .44443 L
.52835 .44927 L
.52658 .45166 L
.52602 .4541 L
.52174 .45825 L
.52084 .45893 L
.51691 .46246 L
.51397 .46376 L
.51208 .46418 L
.50839 .46376 L
.50896 .45893 L
.51208 .45421 L
.51216 .4541 L
.51555 .44927 L
.51691 .4485 L
.52004 .44443 L
.52174 .44254 L
.52571 .4396 L
F
1 .98 0 r
.53141 .37033 m
.53624 .37106 L
.53699 .37196 L
.53624 .3747 L
.53545 .37679 L
.53197 .38162 L
.53141 .38447 L
.52913 .38645 L
.52658 .39 L
.52618 .39128 L
.52174 .39563 L
.5212 .39612 L
.51691 .39822 L
.51208 .39832 L
.50849 .39612 L
.51152 .39128 L
.51208 .38907 L
.5146 .38645 L
.51691 .38407 L
.51885 .38162 L
.52174 .37852 L
.52293 .37679 L
.52658 .37425 L
.52831 .37196 L
F
1 .8 0 r
.51208 .41598 m
.5162 .42027 L
.51208 .42482 L
.5085 .42027 L
F
1 .58 0 r
.52174 .50848 m
.52638 .51208 L
.52504 .51691 L
.52174 .51914 L
.51956 .52174 L
.51691 .52616 L
.51397 .52658 L
.51208 .52777 L
.50857 .52658 L
.51023 .52174 L
.51208 .51894 L
.51356 .51691 L
.51691 .51281 L
.51761 .51208 L
F
0 .82 1 r
.52174 .57419 m
.5238 .57489 L
.52246 .57973 L
.52174 .5808 L
.51889 .58456 L
.51691 .58676 L
.5138 .58939 L
.51208 .59052 L
.50894 .58939 L
.51098 .58456 L
.51208 .58296 L
.51461 .57973 L
.51691 .57726 L
.52011 .57489 L
F
1 .56 0 r
.52174 .50873 m
.52615 .51208 L
.5248 .51691 L
.52174 .51892 L
.51937 .52174 L
.51691 .52606 L
.51356 .52658 L
.51208 .52752 L
.50902 .52658 L
.5104 .52174 L
.51208 .51916 L
.51371 .51691 L
.51691 .513 L
.51781 .51208 L
F
1 .78 0 r
.51208 .41668 m
.51559 .42027 L
.51208 .4241 L
.50907 .42027 L
F
0 .82 1 r
.52658 .43958 m
.5311 .4396 L
.53077 .44443 L
.52811 .44927 L
.52658 .45132 L
.5259 .4541 L
.52174 .4581 L
.52055 .45893 L
.51691 .46214 L
.51273 .46376 L
.51208 .46387 L
.50982 .46376 L
.50921 .45893 L
.51208 .4545 L
.51236 .4541 L
.51579 .44927 L
.51691 .44865 L
.52032 .44443 L
.52174 .44289 L
.52653 .4396 L
F
0 .32 1 r
.51208 .48011 m
.51559 .48309 L
.51208 .48775 L
.50924 .48309 L
F
0 .3 1 r
.51208 .48034 m
.51537 .48309 L
.51208 .48749 L
.50944 .48309 L
F
0 .8 1 r
.52174 .44324 m
.52658 .44006 L
.53039 .44443 L
.52786 .44927 L
.52658 .45098 L
.52575 .4541 L
.52174 .45795 L
.52026 .45893 L
.51691 .46183 L
.51208 .46354 L
.50946 .45893 L
.51208 .45479 L
.51256 .4541 L
.51604 .44927 L
.51691 .44879 L
.52062 .44443 L
F
1 .54 0 r
.52174 .50897 m
.52592 .51208 L
.52454 .51691 L
.52174 .5187 L
.51918 .52174 L
.51691 .52592 L
.51309 .52658 L
.51208 .5272 L
.50956 .52658 L
.51056 .52174 L
.51208 .51939 L
.51387 .51691 L
.51691 .5132 L
.51802 .51208 L
F
0 .28 1 r
.51208 .48059 m
.51515 .48309 L
.51208 .48722 L
.50965 .48309 L
F
1 .76 0 r
.51208 .41747 m
.5149 .42027 L
.51208 .42328 L
.50972 .42027 L
F
0 .78 1 r
.52174 .44358 m
.52658 .44054 L
.52999 .44443 L
.5276 .44927 L
.52658 .45063 L
.52557 .4541 L
.52174 .45779 L
.51996 .45893 L
.51691 .46152 L
.51208 .46318 L
.50972 .45893 L
.51208 .45511 L
.51277 .4541 L
.51631 .44927 L
.51691 .44894 L
.52092 .44443 L
F
0 .26 1 r
.51208 .48085 m
.51491 .48309 L
.51208 .48693 L
.50988 .48309 L
F
0 .76 1 r
.52174 .44392 m
.52658 .44103 L
.52958 .44443 L
.52732 .44927 L
.52658 .45026 L
.52535 .4541 L
.52174 .45762 L
.51965 .45893 L
.51691 .46121 L
.51208 .46281 L
.50999 .45893 L
.51208 .45543 L
.51298 .4541 L
.51659 .44927 L
.51691 .44909 L
.52124 .44443 L
F
1 .5 0 r
.51208 .54424 m
.51486 .5459 L
.51208 .55048 L
.51008 .5459 L
F
0 .24 1 r
.51208 .48112 m
.51465 .48309 L
.51208 .48663 L
.51012 .48309 L
F
0 .74 1 r
.52174 .44427 m
.52658 .44154 L
.52915 .44443 L
.52703 .44927 L
.52658 .44987 L
.52509 .4541 L
.52174 .45742 L
.51934 .45893 L
.51691 .46091 L
.51208 .46242 L
.51027 .45893 L
.51208 .45578 L
.5132 .4541 L
.51689 .44927 L
.51691 .44925 L
.52157 .44443 L
F
1 .52 0 r
.52174 .50922 m
.52567 .51208 L
.52425 .51691 L
.52174 .51848 L
.51899 .52174 L
.51691 .52575 L
.51251 .52658 L
.51208 .52682 L
.51029 .52658 L
.51074 .52174 L
.51208 .51962 L
.51403 .51691 L
.51691 .51341 L
.51823 .51208 L
F
0 .22 1 r
.51208 .48142 m
.51436 .48309 L
.51208 .48629 L
.51038 .48309 L
F
1 .48 0 r
.51208 .54462 m
.51444 .5459 L
.51208 .55002 L
.51046 .5459 L
F
0 .8 1 r
.51691 .57792 m
.52174 .57518 L
.52184 .57973 L
.52174 .57988 L
.51828 .58456 L
.51691 .58605 L
.51248 .58939 L
.51208 .58959 L
.51051 .58939 L
.51152 .58456 L
.51208 .58371 L
.51518 .57973 L
F
1 .74 0 r
.51208 .41844 m
.51403 .42027 L
.51208 .42229 L
.51053 .42027 L
F
0 .72 1 r
.52658 .44207 m
.52869 .44443 L
.52672 .44927 L
.52658 .44946 L
.52479 .4541 L
.52174 .45718 L
.51901 .45893 L
.51691 .4606 L
.51208 .46201 L
.51056 .45893 L
.51208 .45616 L
.51342 .4541 L
.51691 .44953 L
.51714 .44927 L
.52174 .44461 L
.52198 .44443 L
F
0 .2 1 r
.51208 .48173 m
.51405 .48309 L
.51208 .48592 L
.51067 .48309 L
F
0 .92 1 r
.5459 .50237 m
.54612 .50242 L
.54746 .50725 L
.5459 .51019 L
.54508 .51208 L
.54144 .51691 L
.54107 .51741 L
.5371 .52174 L
.53624 .52384 L
.53386 .52658 L
.53141 .52933 L
.52924 .53141 L
.53141 .53615 L
.53624 .53554 L
.53867 .53624 L
.53821 .54107 L
.53624 .54433 L
.53576 .5459 L
.53179 .55073 L
.53141 .55124 L
.52763 .55557 L
.52658 .55749 L
.52414 .5604 L
.52174 .56264 L
.51691 .56497 L
.51513 .56523 L
.51208 .56526 L
.51191 .56523 L
.51082 .5604 L
.51208 .55883 L
.51282 .55557 L
.51691 .55184 L
.51772 .55073 L
.52138 .5459 L
.52174 .54539 L
.5249 .54107 L
.52658 .53958 L
.53123 .53624 L
.52658 .53195 L
.52174 .53237 L
.51853 .53141 L
.51985 .52658 L
.52174 .52451 L
.52368 .52174 L
.52658 .5178 L
.52725 .51691 L
.53092 .51208 L
.53141 .51148 L
.53443 .50725 L
.53624 .50586 L
.54107 .50297 L
.54285 .50242 L
F
0 .7 1 r
.52174 .44496 m
.52641 .44927 L
.52444 .4541 L
.52174 .45688 L
.51867 .45893 L
.51691 .4603 L
.51208 .46157 L
.51086 .45893 L
.51208 .45657 L
.51365 .4541 L
.51691 .44982 L
.5174 .44927 L
F
1 .46 0 r
.51208 .54504 m
.51394 .5459 L
.51208 .54949 L
.51091 .5459 L
F
1 .5 0 r
.52174 .50947 m
.52542 .51208 L
.52393 .51691 L
.52174 .51825 L
.51879 .52174 L
.51691 .52553 L
.51208 .52643 L
.51091 .52174 L
.51208 .51987 L
.51419 .51691 L
.51691 .51361 L
.51846 .51208 L
F
0 .18 1 r
.51208 .48209 m
.51368 .48309 L
.51208 .48549 L
.511 .48309 L
F
1 .48 0 r
.52174 .50973 m
.52516 .51208 L
.52358 .51691 L
.52174 .51801 L
.51858 .52174 L
.51691 .52526 L
.51208 .52609 L
.5111 .52174 L
.51208 .52013 L
.51435 .51691 L
.51691 .51382 L
.5187 .51208 L
F
0 .68 1 r
.52174 .44531 m
.5261 .44927 L
.52404 .4541 L
.52174 .45651 L
.51831 .45893 L
.51691 .45999 L
.51208 .46107 L
.51118 .45893 L
.51208 .45703 L
.51388 .4541 L
.51691 .45012 L
.51768 .44927 L
F
0 .9 1 r
.53624 .53615 m
.53667 .53624 L
.53779 .54107 L
.53624 .54375 L
.53561 .5459 L
.5315 .55073 L
.53141 .55086 L
.52741 .55557 L
.52658 .55708 L
.5237 .5604 L
.52174 .56209 L
.51691 .56448 L
.51208 .56454 L
.51123 .5604 L
.51208 .55931 L
.513 .55557 L
.51691 .55213 L
.51792 .55073 L
.52159 .5459 L
.52174 .54568 L
.5253 .54107 L
.52658 .54001 L
.53141 .53668 L
.53324 .53624 L
F
1 .46 0 r
.52174 .51 m
.52488 .51208 L
.52319 .51691 L
.52174 .51777 L
.51837 .52174 L
.51691 .52494 L
.51208 .52572 L
.51128 .52174 L
.51208 .52041 L
.51452 .51691 L
.51691 .51403 L
.51895 .51208 L
F
0 .16 1 r
.51208 .4825 m
.51322 .48309 L
.51208 .48495 L
.5114 .48309 L
F
1 .44 0 r
.51208 .54551 m
.51327 .5459 L
.51208 .54882 L
.51148 .5459 L
F
.52174 .51027 m
.52459 .51208 L
.52278 .51691 L
.52174 .51751 L
.51814 .52174 L
.51691 .52455 L
.51208 .52531 L
.51148 .52174 L
.51208 .5207 L
.5147 .51691 L
.51691 .51425 L
.51923 .51208 L
F
0 .66 1 r
.52174 .44568 m
.52578 .44927 L
.52357 .4541 L
.52174 .45607 L
.51793 .45893 L
.51691 .45968 L
.51208 .46048 L
.51152 .45893 L
.51208 .45758 L
.51413 .4541 L
.51691 .45043 L
.51797 .44927 L
F
1 .96 0 r
.52658 .37673 m
.53141 .37635 L
.53159 .37679 L
.53141 .37855 L
.53037 .38162 L
.52758 .38645 L
.52658 .38831 L
.5251 .39128 L
.52174 .39345 L
.51775 .39612 L
.51691 .39642 L
.51208 .39644 L
.51153 .39612 L
.51208 .39283 L
.51286 .39128 L
.51607 .38645 L
.51691 .38559 L
.52048 .38162 L
.52174 .38058 L
.52603 .37679 L
F
1 .42 0 r
.52174 .51056 m
.52427 .51208 L
.52232 .51691 L
.52174 .51725 L
.51791 .52174 L
.51691 .5241 L
.51208 .52484 L
.51169 .52174 L
.51208 .52103 L
.51488 .51691 L
.51691 .51448 L
.51952 .51208 L
F
0 .88 1 r
.52658 .54043 m
.53141 .53717 L
.53624 .53692 L
.53735 .54107 L
.53624 .54311 L
.53544 .5459 L
.53141 .55047 L
.53122 .55073 L
.52719 .55557 L
.52658 .55667 L
.52323 .5604 L
.52174 .56158 L
.51691 .56402 L
.51208 .56367 L
.51169 .5604 L
.51208 .55986 L
.51322 .55557 L
.51691 .55242 L
.51813 .55073 L
.52174 .54598 L
.5218 .5459 L
.52575 .54107 L
F
1 .72 0 r
.51208 .42003 m
.51247 .42027 L
.51208 .42059 L
.51189 .42027 L
F
0 .64 1 r
.52174 .44605 m
.52544 .44927 L
.52305 .4541 L
.52174 .45554 L
.51751 .45893 L
.51691 .45936 L
.51208 .45967 L
.51189 .45893 L
.51208 .45833 L
.51438 .4541 L
.51691 .45075 L
.51827 .44927 L
F
1 .4 0 r
.52174 .51087 m
.52391 .51208 L
.52184 .51691 L
.52174 .51696 L
.51767 .52174 L
.51691 .52358 L
.51208 .52425 L
.5119 .52174 L
.51208 .5214 L
.51507 .51691 L
.51691 .51471 L
.51985 .51208 L
F
0 .14 1 r
.51208 .48301 m
.51242 .48309 L
.51208 .48408 L
.51197 .48309 L
F
1 .38 0 r
.51691 .51495 m
.52154 .51691 L
.51741 .52174 L
.51691 .52298 L
.51215 .52174 L
.51527 .51691 L
F
0 .78 1 r
.51691 .57864 m
.52102 .57973 L
.51758 .58456 L
.51691 .58527 L
.51215 .58456 L
.51584 .57973 L
F
0 .86 1 r
.52658 .54083 m
.53141 .53764 L
.53624 .53785 L
.53689 .54107 L
.53624 .54237 L
.53526 .5459 L
.53141 .55008 L
.53094 .55073 L
.52698 .55557 L
.52658 .55627 L
.5227 .5604 L
.52174 .5611 L
.51691 .56356 L
.51217 .5604 L
.51347 .55557 L
.51691 .55272 L
.51835 .55073 L
.52174 .54627 L
.52205 .5459 L
.52624 .54107 L
F
0 .62 1 r
.52174 .44644 m
.52508 .44927 L
.52246 .4541 L
.52174 .4549 L
.51705 .45893 L
.51691 .45902 L
.51237 .45893 L
.51464 .4541 L
.51691 .45109 L
.5186 .44927 L
F
1 .36 0 r
.51691 .5152 m
.52129 .51691 L
.51713 .52174 L
.51691 .5223 L
.51248 .52174 L
.51548 .51691 L
F
0 .46 1 r
.51691 .47545 m
.51935 .47826 L
.51691 .48307 L
.51248 .47826 L
F
0 .84 1 r
.53141 .5381 m
.53624 .53922 L
.53639 .54107 L
.53624 .54142 L
.53504 .5459 L
.53141 .54968 L
.53066 .55073 L
.52676 .55557 L
.52658 .55589 L
.52209 .5604 L
.52174 .56063 L
.51691 .5631 L
.51264 .5604 L
.51377 .55557 L
.51691 .55304 L
.51856 .55073 L
.52174 .54656 L
.52229 .5459 L
.52658 .54121 L
.52673 .54107 L
F
1 .8 0 r
.51691 .41234 m
.51902 .41544 L
.51691 .41921 L
.51264 .41544 L
F
0 .44 1 r
.51691 .47573 m
.51911 .47826 L
.51691 .48278 L
.51273 .47826 L
F
1 .86 0 r
.53141 .47211 m
.53624 .47023 L
.54021 .47342 L
.53794 .47826 L
.53624 .481 L
.53548 .48309 L
.53141 .48782 L
.53133 .48792 L
.52711 .49275 L
.52658 .49371 L
.52174 .49721 L
.521 .49758 L
.51691 .49833 L
.51339 .49758 L
.51295 .49275 L
.51691 .48933 L
.51789 .48792 L
.52147 .48309 L
.52174 .48272 L
.52489 .47826 L
.52658 .47675 L
.52999 .47342 L
F
0 .42 1 r
.51691 .47603 m
.51886 .47826 L
.51691 .48248 L
.51299 .47826 L
F
1 .96 0 r
.52658 .60613 m
.53141 .60497 L
.53395 .60872 L
.53141 .61126 L
.53 .61355 L
.52658 .61809 L
.52633 .61838 L
.52184 .62321 L
.52174 .62328 L
.51691 .62665 L
.51301 .62321 L
.51468 .61838 L
.51691 .61669 L
.51924 .61355 L
.52174 .61049 L
.52344 .60872 L
F
1 .84 0 r
.53141 .4725 m
.53624 .47071 L
.53969 .47342 L
.5377 .47826 L
.53624 .48065 L
.53535 .48309 L
.53141 .48755 L
.53113 .48792 L
.52694 .49275 L
.52658 .49339 L
.52174 .49689 L
.52007 .49758 L
.51691 .49806 L
.51425 .49758 L
.51315 .49275 L
.51691 .48956 L
.51804 .48792 L
.52161 .48309 L
.52174 .48291 L
.52513 .47826 L
.52658 .47701 L
.53036 .47342 L
F
0 .82 1 r
.53141 .53856 m
.53584 .54107 L
.53478 .5459 L
.53141 .54927 L
.53038 .55073 L
.52658 .5555 L
.52652 .55557 L
.52174 .56021 L
.52147 .5604 L
.51691 .56264 L
.51315 .5604 L
.51411 .55557 L
.51691 .55336 L
.51878 .55073 L
.52174 .54686 L
.52255 .5459 L
.52658 .54157 L
.52718 .54107 L
F
0 .4 1 r
.51691 .47634 m
.51859 .47826 L
.51691 .48216 L
.51328 .47826 L
F
1 .82 0 r
.53141 .47288 m
.53624 .47119 L
.53915 .47342 L
.53745 .47826 L
.53624 .48027 L
.53523 .48309 L
.53141 .48729 L
.53093 .48792 L
.52678 .49275 L
.52658 .49309 L
.52174 .49666 L
.51885 .49758 L
.51691 .49779 L
.51537 .49758 L
.51337 .49275 L
.51691 .4898 L
.51819 .48792 L
.52174 .48311 L
.52176 .48309 L
.52538 .47826 L
.52658 .47726 L
.53076 .47342 L
F
1 .78 0 r
.51691 .41336 m
.51825 .41544 L
.51691 .41819 L
.51347 .41544 L
F
0 .38 1 r
.51691 .47667 m
.51831 .47826 L
.51691 .4818 L
.51359 .47826 L
F
1 .8 0 r
.53141 .47325 m
.53624 .47169 L
.53857 .47342 L
.5372 .47826 L
.53624 .47988 L
.53509 .48309 L
.53141 .48702 L
.53074 .48792 L
.5266 .49275 L
.52658 .4928 L
.52174 .49648 L
.51691 .4975 L
.51363 .49275 L
.51691 .49005 L
.51835 .48792 L
.52174 .48331 L
.52192 .48309 L
.52565 .47826 L
.52658 .47751 L
.53118 .47342 L
F
0 .8 1 r
.53141 .53903 m
.53527 .54107 L
.53447 .5459 L
.53141 .54885 L
.5301 .55073 L
.52658 .55514 L
.52619 .55557 L
.52174 .55981 L
.52085 .5604 L
.51691 .56217 L
.51371 .5604 L
.5145 .55557 L
.51691 .5537 L
.519 .55073 L
.52174 .54716 L
.52281 .5459 L
.52658 .54193 L
.52767 .54107 L
F
1 .78 0 r
.53624 .47221 m
.53794 .47342 L
.53694 .47826 L
.53624 .47946 L
.53494 .48309 L
.53141 .48675 L
.53054 .48792 L
.52658 .49253 L
.52635 .49275 L
.52174 .49636 L
.51691 .49716 L
.51393 .49275 L
.51691 .49031 L
.5185 .48792 L
.52174 .48352 L
.52208 .48309 L
.52594 .47826 L
.52658 .47776 L
.53141 .47359 L
.53172 .47342 L
F
0 .36 1 r
.51691 .47702 m
.51799 .47826 L
.51691 .48139 L
.51394 .47826 L
F
1 .62 0 r
.51691 .54039 m
.51796 .54107 L
.51691 .54555 L
.51417 .54107 L
F
1 .76 0 r
.53624 .47277 m
.53722 .47342 L
.53666 .47826 L
.53624 .47901 L
.53477 .48309 L
.53141 .48648 L
.53034 .48792 L
.52658 .49227 L
.52608 .49275 L
.52174 .49627 L
.51691 .49682 L
.51426 .49275 L
.51691 .49059 L
.51866 .48792 L
.52174 .48372 L
.52225 .48309 L
.52625 .47826 L
.52658 .47801 L
.53141 .47393 L
.53246 .47342 L
F
0 .78 1 r
.53141 .5395 m
.53465 .54107 L
.5341 .5459 L
.53141 .54841 L
.52982 .55073 L
.52658 .55477 L
.52586 .55557 L
.52174 .55942 L
.52016 .5604 L
.51691 .56169 L
.51434 .5604 L
.51494 .55557 L
.51691 .55406 L
.51923 .55073 L
.52174 .54746 L
.52309 .5459 L
.52658 .54229 L
.52822 .54107 L
F
0 .34 1 r
.51691 .47742 m
.51764 .47826 L
.51691 .4809 L
.51436 .47826 L
F
1 .94 0 r
.52174 .38245 m
.52564 .38645 L
.52211 .39128 L
.52174 .39145 L
.51691 .3943 L
.51462 .39128 L
.51691 .3877 L
.51791 .38645 L
F
1 .74 0 r
.53624 .47339 m
.53629 .47342 L
.53637 .47826 L
.53624 .4785 L
.53459 .48309 L
.53141 .48621 L
.53013 .48792 L
.52658 .49201 L
.5258 .49275 L
.52174 .4962 L
.51691 .49644 L
.51463 .49275 L
.51691 .49088 L
.51882 .48792 L
.52174 .48393 L
.52242 .48309 L
.52657 .47826 L
.52658 .47825 L
.53141 .47426 L
.53356 .47342 L
F
1 .76 0 r
.51691 .41482 m
.51724 .41544 L
.51691 .41659 L
.51471 .41544 L
F
0 .32 1 r
.51691 .47789 m
.51723 .47826 L
.51691 .48026 L
.51491 .47826 L
F
0 .6 1 r
.52174 .44685 m
.52469 .44927 L
.52179 .4541 L
.52174 .45416 L
.51691 .45863 L
.51492 .4541 L
.51691 .45144 L
.51896 .44927 L
F
1 .6 0 r
.51691 .54085 m
.51728 .54107 L
.51691 .54492 L
.51502 .54107 L
F
1 .72 0 r
.53141 .47459 m
.53606 .47826 L
.53439 .48309 L
.53141 .48593 L
.52993 .48792 L
.52658 .49175 L
.52552 .49275 L
.52174 .49614 L
.51691 .49604 L
.51505 .49275 L
.51691 .4912 L
.51898 .48792 L
.52174 .48414 L
.5226 .48309 L
.52658 .4785 L
.52683 .47826 L
F
0 .76 1 r
.53141 .53999 m
.53394 .54107 L
.53366 .5459 L
.53141 .54795 L
.52953 .55073 L
.52658 .55441 L
.52551 .55557 L
.52174 .55903 L
.51933 .5604 L
.51691 .56118 L
.5151 .5604 L
.51544 .55557 L
.51691 .55445 L
.51947 .55073 L
.52174 .54777 L
.52337 .5459 L
.52658 .54265 L
.52887 .54107 L
F
0 .58 1 r
.51691 .45182 m
.52141 .4541 L
.51691 .45819 L
.51522 .4541 L
F
1 .98 0 r
.57973 .04756 m
.58456 .04664 L
.58939 .04628 L
.59422 .04647 L
.59905 .04721 L
.60303 .04822 L
.60388 .04852 L
.60872 .05043 L
.61355 .05293 L
.61376 .05305 L
.61838 .0561 L
.62073 .05789 L
.62321 .05998 L
.62614 .06272 L
.62804 .06466 L
.63065 .06755 L
.63288 .07024 L
.63454 .07238 L
.63771 .07673 L
.63804 .07721 L
.64134 .08204 L
.64254 .08382 L
.64458 .08688 L
.64737 .09084 L
.64793 .09171 L
.65152 .09654 L
.6522 .09732 L
.65502 .10137 L
.65639 .1062 L
.65592 .11104 L
.65508 .11587 L
.65445 .1207 L
.6542 .12553 L
.65443 .13036 L
.65522 .1352 L
.65676 .14003 L
.65704 .14067 L
.65969 .14486 L
.66187 .14692 L
.6667 .14905 L
.67153 .14956 L
.67636 .14945 L
.68119 .14916 L
.68603 .14887 L
.69086 .14862 L
.69569 .14842 L
.70052 .14827 L
.70535 .14816 L
.71019 .14807 L
.71502 .14801 L
.71985 .14796 L
.72468 .14793 L
.72951 .14791 L
.73434 .1479 L
.73918 .14789 L
.74401 .14789 L
.74884 .1479 L
.75367 .14792 L
.7585 .14795 L
.76334 .14798 L
.76817 .14804 L
.773 .14811 L
.77783 .14821 L
.78266 .14834 L
.7875 .14851 L
.79233 .14874 L
.79716 .14901 L
.80199 .14932 L
.80682 .14954 L
.81165 .14943 L
.81649 .14829 L
.82108 .14486 L
.82132 .1446 L
.824 .14003 L
.82556 .1352 L
.82615 .13197 L
.82635 .13036 L
.82657 .12553 L
.82633 .1207 L
.82615 .11896 L
.82569 .11587 L
.82491 .11104 L
.82424 .1062 L
.82575 .10137 L
.82615 .10063 L
.82971 .09654 L
.83098 .09414 L
.83284 .09171 L
.83581 .08738 L
.83616 .08688 L
.83943 .08204 L
.84065 .08024 L
.84273 .07721 L
.84548 .07338 L
.84623 .07238 L
.85012 .06755 L
.85031 .06733 L
.85462 .06272 L
.85514 .06221 L
.85997 .05794 L
.86004 .05789 L
.8648 .05443 L
.86701 .05305 L
.86964 .0516 L
.87447 .0494 L
.87777 .04822 L
.8793 .0478 L
.88413 .04677 L
.88896 .0463 L
.8938 .04639 L
.89863 .04703 L
.90343 .04822 L
.90346 .04823 L
.90829 .05002 L
.91312 .05241 L
.91425 .05305 L
.91796 .05544 L
.92124 .05789 L
.92279 .05916 L
.9267 .06272 L
.92762 .06363 L
.93126 .06755 L
.93245 .06895 L
.93518 .07238 L
.93728 .07524 L
.93864 .07721 L
.94173 .08204 L
.94211 .08269 L
.94448 .08688 L
.94695 .09161 L
.947 .09171 L
.94925 .09654 L
.95133 .10137 L
.95178 .10249 L
.95319 .1062 L
.9549 .11104 L
.95646 .11587 L
.95661 .11634 L
.95785 .1207 L
.95912 .12553 L
.96027 .13036 L
.9613 .1352 L
.96144 .13591 L
.96218 .14003 L
.96296 .14486 L
.96363 .14969 L
.96421 .15452 L
.96468 .15935 L
.96505 .16419 L
.96531 .16902 L
.96548 .17385 L
.96555 .17868 L
.96552 .18351 L
.96538 .18835 L
.96515 .19318 L
.96481 .19801 L
.96437 .20284 L
.96384 .20767 L
.9632 .2125 L
.96245 .21734 L
.96161 .22217 L
.96144 .22306 L
.96062 .227 L
.95951 .23183 L
.95829 .23666 L
.95694 .2415 L
.95661 .24263 L
.95544 .24633 L
.95378 .25116 L
.95197 .25599 L
.95178 .25649 L
.94996 .26082 L
.94777 .26566 L
.94695 .26737 L
.94535 .27049 L
.94268 .27532 L
.94211 .27628 L
.9397 .28015 L
.93728 .28374 L
.93639 .28498 L
.93263 .28981 L
.93245 .29003 L
.9283 .29465 L
.92762 .29534 L
.92318 .29948 L
.92279 .29982 L
.91796 .30353 L
.91682 .30431 L
.91312 .30656 L
.90829 .30895 L
.90787 .30914 L
.90346 .31074 L
.89863 .31194 L
.8938 .31259 L
.88896 .31267 L
.88413 .3122 L
.8793 .31118 L
.87447 .30958 L
.87338 .30914 L
.86964 .30738 L
.8648 .30456 L
.86442 .30431 L
.85997 .30108 L
.85802 .29948 L
.85514 .29689 L
.85286 .29465 L
.85031 .29191 L
.84851 .28981 L
.84548 .28595 L
.84478 .28498 L
.84162 .28015 L
.84065 .27848 L
.83898 .27532 L
.83676 .27049 L
.83581 .26819 L
.83481 .26566 L
.83292 .26082 L
.83098 .2562 L
.83088 .25599 L
.82839 .25116 L
.82615 .24787 L
.82484 .24633 L
.82132 .24372 L
.81649 .24248 L
.81165 .24284 L
.80682 .24374 L
.80199 .24466 L
.79716 .24544 L
.79233 .24606 L
.78967 .24633 L
.7875 .24651 L
.78266 .24684 L
.77783 .24708 L
.773 .24726 L
.76817 .24739 L
.76334 .24749 L
.7585 .24756 L
.75367 .24761 L
.74884 .24764 L
.74401 .24766 L
.73918 .24766 L
.73434 .24765 L
.72951 .24763 L
.72468 .24759 L
.71985 .24753 L
.71502 .24745 L
.71019 .24733 L
.70535 .24718 L
.70052 .24697 L
.69569 .24669 L
.69106 .24633 L
.69086 .24631 L
.68603 .24577 L
.68119 .24507 L
.67636 .24421 L
.67153 .24326 L
.6667 .24254 L
.66187 .24283 L
.65704 .24537 L
.65598 .24633 L
.6524 .25116 L
.6522 .25148 L
.64992 .25599 L
.64789 .26082 L
.64737 .26215 L
.64603 .26566 L
.64412 .27049 L
.64254 .27406 L
.64193 .27532 L
.63931 .28015 L
.63771 .28275 L
.63619 .28498 L
.63288 .28944 L
.63258 .28981 L
.62845 .29465 L
.62804 .29509 L
.62377 .29948 L
.62321 .30001 L
.61838 .30423 L
.61828 .30431 L
.61355 .30756 L
.61024 .30914 L
.60872 .30963 L
.60388 .31053 L
.59905 .31108 L
.59422 .31178 L
.58939 .31237 L
.58456 .31248 L
.57973 .31177 L
.57489 .31008 L
.57286 .30914 L
.57006 .30767 L
.56523 .30496 L
.56413 .30431 L
.5604 .30181 L
.55754 .29948 L
.55557 .29767 L
.55248 .29465 L
.55073 .29285 L
.54797 .28981 L
.5459 .28719 L
.54435 .28498 L
.54118 .28015 L
.54107 .27998 L
.53815 .27532 L
.53624 .27205 L
.5354 .27049 L
.533 .26566 L
.53141 .26221 L
.5308 .26082 L
.52879 .25599 L
.52696 .25116 L
.52658 .25007 L
.52534 .24633 L
.52384 .2415 L
.52247 .23666 L
.52174 .2339 L
.52124 .23183 L
.52016 .227 L
.51918 .22217 L
.51832 .21734 L
.51755 .2125 L
.51691 .20775 L
.5169 .20767 L
.51638 .20284 L
.51596 .19801 L
.51563 .19318 L
.5154 .18835 L
.51527 .18351 L
.51524 .17868 L
.51531 .17385 L
.51547 .16902 L
.51573 .16419 L
.51609 .15935 L
.51654 .15452 L
.51691 .15122 L
.51711 .14969 L
.5178 .14486 L
.51859 .14003 L
.5195 .1352 L
.52051 .13036 L
.52163 .12553 L
.52174 .12507 L
.52291 .1207 L
.52432 .11587 L
.52587 .11104 L
.52658 .10894 L
.52757 .1062 L
.52946 .10137 L
.53141 .09676 L
.5315 .09654 L
.53378 .09171 L
.53624 .08694 L
.53627 .08688 L
.53905 .08204 L
.54107 .0788 L
.54213 .07721 L
.54558 .07238 L
.5459 .07196 L
.54951 .06755 L
.55073 .06618 L
.55407 .06272 L
.55557 .0613 L
.55953 .05789 L
.5604 .05721 L
.56523 .05384 L
.56652 .05305 L
.57006 .05114 L
.57489 .04905 L
.57726 .04822 L
F
1 .7 0 r
.53141 .47492 m
.53575 .47826 L
.53416 .48309 L
.53141 .48565 L
.52972 .48792 L
.52658 .4915 L
.52523 .49275 L
.52174 .49606 L
.51691 .49558 L
.5155 .49275 L
.51691 .49155 L
.51915 .48792 L
.52174 .48436 L
.52277 .48309 L
.52658 .47874 L
.52709 .47826 L
F
0 .56 1 r
.51691 .45222 m
.52101 .4541 L
.51691 .45771 L
.51554 .4541 L
F
1 .34 0 r
.51691 .51547 m
.52101 .51691 L
.51691 .52165 L
.5157 .51691 L
F
0 .54 1 r
.51691 .45267 m
.52056 .4541 L
.51691 .45716 L
.51589 .4541 L
F
0 .94 1 r
.53141 .40886 m
.53624 .40594 L
.54035 .41061 L
.5377 .41544 L
.53624 .41778 L
.53518 .42027 L
.53141 .42438 L
.53082 .42511 L
.52658 .42928 L
.52551 .42994 L
.52174 .43119 L
.51691 .43082 L
.5159 .42994 L
.51691 .42727 L
.51812 .42511 L
.52154 .42027 L
.52174 .42007 L
.52485 .41544 L
.52658 .41503 L
.52975 .41061 L
F
1 .32 0 r
.51691 .51575 m
.52071 .51691 L
.51691 .52129 L
.51593 .51691 L
F
0 .74 1 r
.53141 .5405 m
.53306 .54107 L
.53314 .5459 L
.53141 .54746 L
.52923 .55073 L
.52658 .55404 L
.52516 .55557 L
.52174 .55864 L
.51812 .5604 L
.51691 .56063 L
.51617 .5604 L
.516 .55557 L
.51691 .55487 L
.51971 .55073 L
.52174 .54808 L
.52367 .5459 L
.52658 .54301 L
.5297 .54107 L
F
1 .68 0 r
.53141 .47525 m
.53542 .47826 L
.53391 .48309 L
.53141 .48536 L
.52952 .48792 L
.52658 .49125 L
.52493 .49275 L
.52174 .49597 L
.51691 .49505 L
.51601 .49275 L
.51691 .49194 L
.51932 .48792 L
.52174 .48458 L
.52295 .48309 L
.52658 .47898 L
.52737 .47826 L
F
1 .3 0 r
.51691 .51605 m
.52037 .51691 L
.51691 .52089 L
.51618 .51691 L
F
0 .52 1 r
.51691 .45319 m
.52003 .4541 L
.51691 .4565 L
.51629 .4541 L
F
1 .28 0 r
.51691 .51637 m
.51999 .51691 L
.51691 .52043 L
.51646 .51691 L
F
1 .66 0 r
.53141 .47559 m
.53508 .47826 L
.53364 .48309 L
.53141 .48507 L
.5293 .48792 L
.52658 .49099 L
.52462 .49275 L
.52174 .49583 L
.51691 .49433 L
.51657 .49275 L
.51691 .49241 L
.51949 .48792 L
.52174 .4848 L
.52314 .48309 L
.52658 .47923 L
.52767 .47826 L
F
0 .72 1 r
.53141 .54107 m
.53144 .54107 L
.53253 .5459 L
.53141 .54691 L
.52892 .55073 L
.52658 .55366 L
.52478 .55557 L
.52174 .55824 L
.51691 .55991 L
.51663 .55557 L
.51691 .55535 L
.51996 .55073 L
.52174 .54841 L
.52398 .5459 L
.52658 .54338 L
.53136 .54107 L
F
0 .76 1 r
.51691 .57948 m
.51989 .57973 L
.51691 .58429 L
.51665 .57973 L
F
0 .5 1 r
.51691 .45385 m
.51933 .4541 L
.51691 .45551 L
.51676 .4541 L
F
1 .26 0 r
.51691 .51674 m
.51951 .51691 L
.51691 .51986 L
.51677 .51691 L
F
1 .64 0 r
.53141 .47594 m
.53471 .47826 L
.53333 .48309 L
.53141 .48476 L
.52909 .48792 L
.52658 .49074 L
.5243 .49275 L
.52174 .49563 L
.51705 .49275 L
.51967 .48792 L
.52174 .48503 L
.52333 .48309 L
.52658 .47948 L
.52799 .47826 L
F
0 .7 1 r
.52658 .54375 m
.53141 .54195 L
.53182 .5459 L
.53141 .54628 L
.52861 .55073 L
.52658 .55327 L
.52439 .55557 L
.52174 .55784 L
.51714 .55557 L
.52022 .55073 L
.52174 .54874 L
.52431 .5459 L
F
0 .92 1 r
.53141 .40994 m
.53624 .40752 L
.53903 .41061 L
.53699 .41544 L
.53624 .41668 L
.5347 .42027 L
.53141 .42353 L
.53011 .42511 L
.52658 .42845 L
.52382 .42994 L
.52174 .43051 L
.51734 .42994 L
.51868 .42511 L
.52174 .42066 L
.52203 .42027 L
.52562 .41544 L
.52658 .41526 L
.53071 .41061 L
F
1 .62 0 r
.53141 .4763 m
.53433 .47826 L
.53299 .48309 L
.53141 .48444 L
.52887 .48792 L
.52658 .49048 L
.52396 .49275 L
.52174 .49537 L
.51739 .49275 L
.51985 .48792 L
.52174 .48527 L
.52353 .48309 L
.52658 .47973 L
.52834 .47826 L
F
1 .96 0 r
.54107 .56917 m
.54487 .57006 L
.54475 .57489 L
.54114 .57973 L
.54107 .5798 L
.53704 .58456 L
.53624 .58531 L
.53385 .58939 L
.53141 .5923 L
.53084 .59422 L
.52658 .59664 L
.52174 .59826 L
.51749 .59422 L
.5201 .58939 L
.52174 .58762 L
.52395 .58456 L
.52658 .58103 L
.52759 .57973 L
.53141 .57492 L
.53148 .57489 L
.53624 .57053 L
.53723 .57006 L
F
0 .68 1 r
.52658 .54414 m
.53119 .5459 L
.52829 .55073 L
.52658 .55287 L
.52397 .55557 L
.52174 .55742 L
.51755 .55557 L
.52049 .55073 L
.52174 .54909 L
.52466 .5459 L
F
1 .94 0 r
.52658 .60852 m
.52927 .60872 L
.52795 .61355 L
.52658 .61548 L
.52411 .61838 L
.52174 .62067 L
.51759 .61838 L
.52092 .61355 L
.52174 .61258 L
.52624 .60872 L
F
1 .6 0 r
.53141 .47668 m
.53391 .47826 L
.53262 .48309 L
.53141 .48411 L
.52865 .48792 L
.52658 .49022 L
.52359 .49275 L
.52174 .49502 L
.51776 .49275 L
.52004 .48792 L
.52174 .48551 L
.52373 .48309 L
.52658 .47999 L
.52873 .47826 L
F
0 .66 1 r
.52658 .54455 m
.5307 .5459 L
.52794 .55073 L
.52658 .55245 L
.52352 .55557 L
.52174 .55698 L
.51802 .55557 L
.52078 .55073 L
.52174 .54946 L
.52505 .5459 L
F
1 .58 0 r
.53141 .47707 m
.53344 .47826 L
.53221 .48309 L
.53141 .48376 L
.52842 .48792 L
.52658 .48996 L
.52319 .49275 L
.52174 .49458 L
.51819 .49275 L
.52023 .48792 L
.52174 .48576 L
.52395 .48309 L
.52658 .48025 L
.52918 .47826 L
F
0 .64 1 r
.52658 .54497 m
.53014 .5459 L
.52758 .55073 L
.52658 .552 L
.523 .55557 L
.52174 .55652 L
.51858 .55557 L
.52108 .55073 L
.52174 .54985 L
.52549 .5459 L
F
1 .56 0 r
.53141 .4775 m
.53289 .47826 L
.53175 .48309 L
.53141 .48338 L
.52818 .48792 L
.52658 .48969 L
.52274 .49275 L
.52174 .49401 L
.51869 .49275 L
.52043 .48792 L
.52174 .48603 L
.52417 .48309 L
.52658 .48051 L
.52971 .47826 L
F
1 .94 0 r
.53624 .5717 m
.54107 .57062 L
.54378 .57489 L
.54107 .57842 L
.54031 .57973 L
.53659 .58456 L
.53624 .58485 L
.53304 .58939 L
.53141 .59116 L
.52933 .59422 L
.52658 .59525 L
.52174 .59689 L
.51875 .59422 L
.52086 .58939 L
.52174 .58845 L
.52447 .58456 L
.52658 .58173 L
.52817 .57973 L
.53141 .57505 L
.53235 .57489 L
F
0 .9 1 r
.52658 .41543 m
.53141 .41098 L
.5362 .41544 L
.53409 .42027 L
.53141 .42269 L
.52938 .42511 L
.52658 .42767 L
.52174 .42979 L
.51927 .42511 L
.52174 .42138 L
.52257 .42027 L
.52653 .41544 L
F
0 .62 1 r
.52658 .54543 m
.52945 .5459 L
.52719 .55073 L
.52658 .55152 L
.52239 .55557 L
.52174 .55601 L
.5193 .55557 L
.5214 .55073 L
.52174 .55028 L
.52599 .5459 L
F
1 .54 0 r
.52658 .48079 m
.53132 .48309 L
.52794 .48792 L
.52658 .48941 L
.52221 .49275 L
.52174 .49332 L
.51934 .49275 L
.52063 .48792 L
.52174 .4863 L
.5244 .48309 L
F
0 .58 1 r
.52174 .44729 m
.52427 .44927 L
.52174 .45365 L
.51935 .44927 L
F
0 .9 1 r
.53624 .50632 m
.54107 .5036 L
.5459 .50328 L
.54697 .50725 L
.5459 .50947 L
.54484 .51208 L
.54116 .51691 L
.54107 .51703 L
.53693 .52174 L
.53624 .52347 L
.53354 .52658 L
.53141 .52887 L
.52715 .53141 L
.52658 .5315 L
.52174 .53199 L
.51957 .53141 L
.52013 .52658 L
.52174 .52481 L
.52386 .52174 L
.52658 .51803 L
.52743 .51691 L
.53114 .51208 L
.53141 .51176 L
.53492 .50725 L
F
0 .56 1 r
.52174 .44777 m
.52379 .44927 L
.52174 .45309 L
.51981 .44927 L
F
0 .88 1 r
.53141 .41201 m
.53528 .41544 L
.53327 .42027 L
.53141 .42181 L
.52862 .42511 L
.52658 .4269 L
.52174 .4289 L
.5199 .42511 L
.52174 .42217 L
.52315 .42027 L
.52658 .41617 L
.52732 .41544 L
F
1 .38 0 r
.52174 .51119 m
.52351 .51208 L
.52174 .51659 L
.52023 .51208 L
F
1 .92 0 r
.52174 .58943 m
.52615 .59422 L
.52174 .5954 L
.5203 .59422 L
F
0 .54 1 r
.52174 .44832 m
.5232 .44927 L
.52174 .45243 L
.52037 .44927 L
F
0 .88 1 r
.53624 .50676 m
.54107 .50397 L
.5459 .50438 L
.54647 .50725 L
.5459 .5086 L
.5446 .51208 L
.54107 .51663 L
.54089 .51691 L
.53678 .52174 L
.53624 .52311 L
.53322 .52658 L
.53141 .52844 L
.52658 .53111 L
.52519 .53141 L
.52174 .53159 L
.52089 .53141 L
.52043 .52658 L
.52174 .52512 L
.52404 .52174 L
.52658 .51826 L
.52761 .51691 L
.53137 .51208 L
.53141 .51204 L
.53548 .50725 L
F
0 .86 1 r
.53141 .41312 m
.53423 .41544 L
.53217 .42027 L
.53141 .42087 L
.52778 .42511 L
.52658 .42612 L
.52174 .42786 L
.52061 .42511 L
.52174 .42311 L
.52378 .42027 L
.52658 .41698 L
.52826 .41544 L
F
1 .36 0 r
.52174 .51154 m
.52302 .51208 L
.52174 .51614 L
.52069 .51208 L
F
0 .86 1 r
.53624 .50717 m
.54107 .5042 L
.5459 .5063 L
.54593 .50725 L
.5459 .50734 L
.54434 .51208 L
.54107 .51623 L
.54062 .51691 L
.53664 .52174 L
.53624 .52276 L
.53289 .52658 L
.53141 .52803 L
.52658 .53075 L
.52174 .53113 L
.52075 .52658 L
.52174 .52546 L
.52422 .52174 L
.52658 .5185 L
.52779 .51691 L
.53141 .51231 L
.53161 .51208 L
.53612 .50725 L
F
1 .92 0 r
.52174 .38571 m
.52265 .38645 L
.52174 .38792 L
.52077 .38645 L
F
1 .52 0 r
.52658 .48107 m
.53102 .48309 L
.52768 .48792 L
.52658 .48912 L
.52174 .49263 L
.52084 .48792 L
.52174 .48659 L
.52464 .48309 L
F
1 .5 0 r
.52658 .48137 m
.5307 .48309 L
.52741 .48792 L
.52658 .48883 L
.52174 .49221 L
.52107 .48792 L
.52174 .48691 L
.5249 .48309 L
F
0 .84 1 r
.54107 .50437 m
.54532 .50725 L
.54407 .51208 L
.54107 .51581 L
.54036 .51691 L
.5365 .52174 L
.53624 .52241 L
.53255 .52658 L
.53141 .52764 L
.52658 .5304 L
.52174 .53056 L
.5211 .52658 L
.52174 .52584 L
.5244 .52174 L
.52658 .51874 L
.52798 .51691 L
.53141 .51257 L
.53185 .51208 L
.53624 .50755 L
.53664 .50725 L
F
0 .52 1 r
.52174 .44898 m
.52236 .44927 L
.52174 .4515 L
.52118 .44927 L
F
1 .48 0 r
.52658 .48168 m
.53035 .48309 L
.52713 .48792 L
.52658 .48852 L
.52174 .49172 L
.52131 .48792 L
.52174 .48725 L
.52517 .48309 L
F
1 .34 0 r
.52174 .51193 m
.5223 .51208 L
.52174 .51559 L
.52134 .51208 L
F
0 .84 1 r
.52658 .41786 m
.531 .42027 L
.5268 .42511 L
.52658 .42528 L
.52174 .42634 L
.52144 .42511 L
.52174 .42441 L
.52449 .42027 L
F
0 .82 1 r
.54107 .50461 m
.54467 .50725 L
.54377 .51208 L
.54107 .51538 L
.5401 .51691 L
.53637 .52174 L
.53624 .52207 L
.53218 .52658 L
.53141 .52726 L
.52658 .53006 L
.52174 .52989 L
.52148 .52658 L
.52174 .52625 L
.52459 .52174 L
.52658 .51898 L
.52817 .51691 L
.53141 .51284 L
.5321 .51208 L
.53624 .50791 L
.53718 .50725 L
F
1 .46 0 r
.52658 .482 m
.52996 .48309 L
.52683 .48792 L
.52658 .48819 L
.52174 .49113 L
.52156 .48792 L
.52174 .48763 L
.52548 .48309 L
F
1 .92 0 r
.53624 .57278 m
.54107 .57264 L
.54222 .57489 L
.54107 .57659 L
.53947 .57973 L
.53624 .58436 L
.53609 .58456 L
.53212 .58939 L
.53141 .59009 L
.52658 .594 L
.52177 .58939 L
.52503 .58456 L
.52658 .58246 L
.52878 .57973 L
.53141 .57512 L
.53334 .57489 L
F
0 .6 1 r
.52658 .54596 m
.52676 .55073 L
.52658 .55097 L
.52177 .55073 L
F
1 .92 0 r
.54107 .43921 m
.5459 .43789 L
.54826 .4396 L
.54693 .44443 L
.5459 .44642 L
.54459 .44927 L
.54107 .45376 L
.54084 .4541 L
.5366 .45893 L
.53624 .45992 L
.5316 .46376 L
.53141 .46386 L
.52658 .46501 L
.52182 .46376 L
.52406 .45893 L
.52658 .45534 L
.52749 .4541 L
.53114 .44927 L
.53141 .44895 L
.53465 .44443 L
.53624 .44327 L
.54056 .4396 L
F
0 .8 1 r
.54107 .505 m
.54395 .50725 L
.54343 .51208 L
.54107 .51492 L
.53984 .51691 L
.53624 .52172 L
.53622 .52174 L
.53178 .52658 L
.53141 .52689 L
.52658 .52971 L
.52185 .52658 L
.52478 .52174 L
.52658 .51923 L
.52836 .51691 L
.53141 .5131 L
.53236 .51208 L
.53624 .50827 L
.53781 .50725 L
F
0 .78 1 r
.54107 .50565 m
.54312 .50725 L
.54305 .51208 L
.54107 .51444 L
.53957 .51691 L
.53624 .52138 L
.53595 .52174 L
.53141 .52653 L
.53136 .52658 L
.52658 .52937 L
.52219 .52658 L
.52498 .52174 L
.52658 .51949 L
.52855 .51691 L
.53141 .51337 L
.53262 .51208 L
.53624 .50862 L
.53858 .50725 L
F
0 .7 1 r
.52658 .44264 m
.52819 .44443 L
.52658 .44894 L
.52249 .44443 L
F
0 .76 1 r
.54107 .50666 m
.54198 .50725 L
.54261 .51208 L
.54107 .51393 L
.5393 .51691 L
.53624 .52104 L
.53568 .52174 L
.53141 .5262 L
.53094 .52658 L
.52658 .52902 L
.52255 .52658 L
.52518 .52174 L
.52658 .51975 L
.52875 .51691 L
.53141 .51364 L
.5329 .51208 L
.53624 .50897 L
.53971 .50725 L
F
1 .9 0 r
.53624 .57386 m
.54024 .57489 L
.53861 .57973 L
.53624 .58325 L
.53529 .58456 L
.53141 .58904 L
.53105 .58939 L
.52658 .59287 L
.52263 .58939 L
.52561 .58456 L
.52658 .58324 L
.52944 .57973 L
.53141 .57551 L
.53456 .57489 L
F
.5459 .43926 m
.54644 .4396 L
.54634 .44443 L
.5459 .44537 L
.54423 .44927 L
.54107 .45318 L
.54044 .4541 L
.5364 .45893 L
.53624 .45935 L
.53141 .46334 L
.53045 .46376 L
.52658 .4646 L
.52282 .46376 L
.52437 .45893 L
.52658 .45573 L
.52777 .4541 L
.53141 .44934 L
.53147 .44927 L
.53534 .44443 L
.53624 .44382 L
.54107 .44003 L
.54214 .4396 L
F
1 .94 0 r
.52658 .37999 m
.52766 .38162 L
.52658 .38463 L
.52287 .38162 L
F
0 .74 1 r
.53624 .50933 m
.54107 .50768 L
.54211 .51208 L
.54107 .51335 L
.53903 .51691 L
.53624 .52069 L
.5354 .52174 L
.53141 .52587 L
.53049 .52658 L
.52658 .52866 L
.52294 .52658 L
.52538 .52174 L
.52658 .52003 L
.52896 .51691 L
.53141 .51391 L
.5332 .51208 L
F
0 .68 1 r
.52658 .44328 m
.52763 .44443 L
.52658 .44824 L
.5231 .44443 L
F
0 .72 1 r
.53624 .50968 m
.54107 .50863 L
.54154 .51208 L
.54107 .51268 L
.53876 .51691 L
.53624 .52034 L
.53512 .52174 L
.53141 .52553 L
.53002 .52658 L
.52658 .5283 L
.52336 .52658 L
.52559 .52174 L
.52658 .52031 L
.52917 .51691 L
.53141 .51419 L
.53351 .51208 L
F
1 .88 0 r
.53141 .57656 m
.53624 .57507 L
.53767 .57973 L
.53624 .582 L
.53443 .58456 L
.53141 .588 L
.52987 .58939 L
.52658 .59168 L
.52366 .58939 L
.52625 .58456 L
.52658 .5841 L
.53017 .57973 L
F
0 .7 1 r
.53624 .51005 m
.54095 .51208 L
.53847 .51691 L
.53624 .51998 L
.53482 .52174 L
.53141 .5252 L
.5295 .52658 L
.52658 .52793 L
.52384 .52658 L
.52581 .52174 L
.52658 .52061 L
.52939 .51691 L
.53141 .51447 L
.53384 .51208 L
F
0 .66 1 r
.52658 .44404 m
.52693 .44443 L
.52658 .4473 L
.52393 .44443 L
F
0 .98 1 r
.52658 .64775 m
.52975 .6522 L
.52658 .65477 L
.52395 .6522 L
F
1 .88 0 r
.53624 .44436 m
.54107 .44079 L
.54569 .44443 L
.54384 .44927 L
.54107 .45259 L
.54005 .4541 L
.53624 .45881 L
.53613 .45893 L
.53141 .46285 L
.52905 .46376 L
.52658 .46417 L
.52409 .46376 L
.5247 .45893 L
.52658 .45613 L
.52805 .4541 L
.53141 .44972 L
.5318 .44927 L
.53613 .44443 L
F
0 .98 1 r
.5459 .60315 m
.5502 .60388 L
.54992 .60872 L
.54615 .61355 L
.5459 .61509 L
.54321 .61838 L
.54107 .62079 L
.5402 .62321 L
.53624 .62545 L
.53458 .62804 L
.53141 .63022 L
.52658 .63118 L
.5242 .62804 L
.52658 .62352 L
.52677 .62321 L
.52966 .61838 L
.53141 .61559 L
.53383 .61355 L
.53624 .61041 L
.53776 .60872 L
.54107 .6053 L
.5435 .60388 L
F
0 .68 1 r
.53624 .51042 m
.5405 .51208 L
.53818 .51691 L
.53624 .5196 L
.53453 .52174 L
.53141 .52486 L
.52891 .52658 L
.52658 .52753 L
.52438 .52658 L
.52603 .52174 L
.52658 .52092 L
.52962 .51691 L
.53141 .51475 L
.5342 .51208 L
F
1 .96 0 r
.55073 .53554 m
.55368 .53624 L
.55398 .54107 L
.55102 .5459 L
.55073 .54634 L
.54635 .55073 L
.5459 .55226 L
.5437 .55557 L
.54107 .55922 L
.5404 .5604 L
.53624 .56406 L
.53364 .56523 L
.53141 .56583 L
.52658 .56589 L
.52478 .56523 L
.52625 .5604 L
.52658 .55997 L
.52904 .55557 L
.53141 .55323 L
.53329 .55073 L
.53624 .54598 L
.53695 .5459 L
.54078 .54107 L
.54107 .54076 L
.5459 .53652 L
.5466 .53624 L
F
1 .86 0 r
.54107 .44155 m
.54494 .44443 L
.54339 .44927 L
.54107 .45197 L
.53966 .4541 L
.53624 .4583 L
.53567 .45893 L
.53141 .46238 L
.52658 .46372 L
.52504 .45893 L
.52658 .45656 L
.52834 .4541 L
.53141 .45011 L
.53215 .44927 L
.53624 .44488 L
.53677 .44443 L
F
1 .98 0 r
.52658 .35525 m
.53014 .35746 L
.52658 .3597 L
.52506 .35746 L
F
0 .66 1 r
.53624 .51081 m
.54 .51208 L
.53789 .51691 L
.53624 .51921 L
.53422 .52174 L
.53141 .52452 L
.52818 .52658 L
.52658 .52711 L
.52507 .52658 L
.52626 .52174 L
.52658 .52126 L
.52985 .51691 L
.53141 .51505 L
.5346 .51208 L
F
1 .86 0 r
.52658 .58538 m
.52829 .58939 L
.52658 .59027 L
.52512 .58939 L
F
0 .82 1 r
.52658 .41889 m
.52992 .42027 L
.52658 .42409 L
.52536 .42027 L
F
1 .84 0 r
.54107 .44233 m
.54412 .44443 L
.54288 .44927 L
.54107 .45132 L
.53926 .4541 L
.53624 .4578 L
.5352 .45893 L
.53141 .46192 L
.52658 .46314 L
.52539 .45893 L
.52658 .45702 L
.52864 .4541 L
.53141 .45051 L
.53252 .44927 L
.53624 .44538 L
.53748 .44443 L
F
1 .82 0 r
.54107 .44317 m
.54316 .44443 L
.54227 .44927 L
.54107 .45062 L
.53885 .4541 L
.53624 .45729 L
.5347 .45893 L
.53141 .46145 L
.52658 .46248 L
.52575 .45893 L
.52658 .45754 L
.52895 .4541 L
.53141 .45092 L
.53291 .44927 L
.53624 .44589 L
.53836 .44443 L
F
1 .44 0 r
.52658 .48236 m
.52951 .48309 L
.52658 .48782 L
.52581 .48309 L
F
1 .8 0 r
.54107 .44411 m
.5418 .44443 L
.54154 .44927 L
.54107 .44981 L
.53843 .4541 L
.53624 .45678 L
.53419 .45893 L
.53141 .46099 L
.52658 .46167 L
.52614 .45893 L
.52658 .45813 L
.52927 .4541 L
.53141 .45134 L
.53333 .44927 L
.53624 .44642 L
.53974 .44443 L
F
0 .64 1 r
.53624 .51121 m
.53942 .51208 L
.53757 .51691 L
.53624 .51881 L
.53389 .52174 L
.53141 .52417 L
.52703 .52658 L
.52658 .52666 L
.52617 .52658 L
.52651 .52174 L
.52658 .52164 L
.5301 .51691 L
.53141 .51535 L
.53504 .51208 L
F
1 .42 0 r
.52658 .48274 m
.52895 .48309 L
.52658 .48729 L
.5262 .48309 L
F
1 .78 0 r
.53624 .44696 m
.54081 .44927 L
.538 .4541 L
.53624 .45625 L
.53363 .45893 L
.53141 .46051 L
.52658 .46033 L
.52656 .45893 L
.52658 .45891 L
.52961 .4541 L
.53141 .45178 L
.53379 .44927 L
F
1 .94 0 r
.5459 .53749 m
.55073 .53679 L
.5531 .54107 L
.55073 .54521 L
.55036 .5459 L
.54612 .55073 L
.5459 .55174 L
.54318 .55557 L
.54107 .55846 L
.53992 .5604 L
.53624 .56314 L
.53141 .565 L
.52678 .5604 L
.52942 .55557 L
.53141 .55366 L
.5336 .55073 L
.53624 .54603 L
.53734 .5459 L
.54107 .54141 L
.54145 .54107 L
F
0 .62 1 r
.53624 .51165 m
.53871 .51208 L
.53725 .51691 L
.53624 .51837 L
.53356 .52174 L
.53141 .52381 L
.52681 .52174 L
.53035 .51691 L
.53141 .51566 L
.53558 .51208 L
F
0 .98 1 r
.53141 .64267 m
.53389 .64737 L
.53141 .65051 L
.52685 .64737 L
F
1 .86 0 r
.53141 .57865 m
.53624 .57714 L
.53657 .57973 L
.53624 .58036 L
.53347 .58456 L
.53141 .58686 L
.52708 .58456 L
.53104 .57973 L
F
1 .76 0 r
.53624 .44753 m
.54017 .44927 L
.53754 .4541 L
.53624 .4557 L
.53302 .45893 L
.53141 .46002 L
.52716 .45893 L
.52998 .4541 L
.53141 .45224 L
.5343 .44927 L
F
0 .6 1 r
.53141 .51599 m
.53624 .51212 L
.5369 .51691 L
.53624 .5179 L
.5332 .52174 L
.53141 .52343 L
.52717 .52174 L
.53063 .51691 L
F
1 .92 0 r
.5459 .53837 m
.55073 .53828 L
.55213 .54107 L
.55073 .54384 L
.54973 .5459 L
.54599 .55073 L
.5459 .55129 L
.54269 .55557 L
.54107 .55774 L
.53932 .5604 L
.53624 .56233 L
.53141 .56427 L
.52736 .5604 L
.52985 .55557 L
.53141 .5541 L
.53393 .55073 L
.53624 .54615 L
.53774 .5459 L
.54107 .54187 L
.54217 .54107 L
F
0 .58 1 r
.53141 .51635 m
.53624 .51283 L
.53653 .51691 L
.53624 .51737 L
.53281 .52174 L
.53141 .52303 L
.52756 .52174 L
.53092 .51691 L
F
1 .74 0 r
.53624 .44814 m
.53942 .44927 L
.53705 .4541 L
.53624 .4551 L
.53232 .45893 L
.53141 .4595 L
.52791 .45893 L
.53037 .4541 L
.53141 .45274 L
.5349 .44927 L
F
1 .9 0 r
.5459 .53921 m
.55073 .54068 L
.55084 .54107 L
.55073 .54149 L
.54911 .5459 L
.54592 .55073 L
.5459 .55083 L
.54222 .55557 L
.54107 .55706 L
.53846 .5604 L
.53624 .56157 L
.53141 .56355 L
.528 .5604 L
.53034 .55557 L
.53141 .55458 L
.53426 .55073 L
.53624 .54638 L
.53816 .5459 L
.54107 .54223 L
.54299 .54107 L
F
0 .56 1 r
.53141 .51672 m
.53611 .51691 L
.53237 .52174 L
.53141 .52261 L
.52803 .52174 L
.53124 .51691 L
F
0 .92 1 r
.5459 .47325 m
.55073 .47189 L
.555 .47342 L
.5535 .47826 L
.55073 .4826 L
.55044 .48309 L
.54599 .48792 L
.5459 .4894 L
.54289 .49275 L
.54107 .49508 L
.53795 .49758 L
.53624 .49806 L
.53141 .49864 L
.52807 .49758 L
.52938 .49275 L
.53141 .4908 L
.5335 .48792 L
.53624 .48422 L
.53715 .48309 L
.54099 .47826 L
.54107 .47818 L
.54553 .47342 L
F
1 .84 0 r
.53141 .58078 m
.53227 .58456 L
.53141 .5855 L
.52834 .58456 L
F
0 .54 1 r
.53141 .51723 m
.53187 .52174 L
.53141 .52214 L
.52862 .52174 L
F
1 .88 0 r
.5459 .54005 m
.5495 .54107 L
.54847 .5459 L
.5459 .55007 L
.54547 .55073 L
.54173 .55557 L
.54107 .55638 L
.53723 .5604 L
.53624 .56084 L
.53141 .5628 L
.5287 .5604 L
.53089 .55557 L
.53141 .55509 L
.53461 .55073 L
.53624 .54675 L
.53861 .5459 L
.54107 .54258 L
.544 .54107 L
F
1 .96 0 r
.58456 .0713 m
.58939 .07085 L
.59422 .07109 L
.59905 .072 L
.6005 .07238 L
.60388 .07363 L
.60872 .07598 L
.61077 .07721 L
.61355 .07913 L
.61718 .08204 L
.61838 .08313 L
.62212 .08688 L
.62321 .08808 L
.62622 .09171 L
.62804 .09413 L
.62973 .09654 L
.6328 .10137 L
.63288 .10151 L
.63544 .1062 L
.63771 .11103 L
.63771 .11104 L
.63959 .11587 L
.64116 .1207 L
.64249 .12553 L
.64254 .12571 L
.64371 .13036 L
.64491 .1352 L
.64619 .14003 L
.64737 .144 L
.64764 .14486 L
.64931 .14969 L
.65126 .15452 L
.6522 .15637 L
.65348 .15935 L
.65526 .16419 L
.65512 .16902 L
.65325 .17385 L
.6522 .17807 L
.65197 .17868 L
.65063 .18351 L
.64961 .18835 L
.64887 .19318 L
.6484 .19801 L
.64815 .20284 L
.64805 .20767 L
.648 .2125 L
.64783 .21734 L
.64737 .22207 L
.64735 .22217 L
.6463 .227 L
.64471 .23183 L
.64282 .23666 L
.64254 .23733 L
.64066 .2415 L
.63839 .24633 L
.63771 .24774 L
.63598 .25116 L
.63339 .25599 L
.63288 .25689 L
.63051 .26082 L
.62804 .26454 L
.62725 .26566 L
.62344 .27049 L
.62321 .27075 L
.61886 .27532 L
.61838 .27577 L
.61355 .2798 L
.61308 .28015 L
.60872 .28299 L
.60486 .28498 L
.60388 .28539 L
.59905 .28704 L
.59422 .28794 L
.58939 .28813 L
.58456 .28766 L
.57973 .28653 L
.57549 .28498 L
.57489 .2847 L
.57006 .28209 L
.56716 .28015 L
.56523 .27869 L
.56134 .27532 L
.5604 .27441 L
.55675 .27049 L
.55557 .26907 L
.55292 .26566 L
.55073 .26253 L
.54963 .26082 L
.54676 .25599 L
.5459 .25443 L
.54422 .25116 L
.54197 .24633 L
.54107 .24424 L
.53997 .2415 L
.53819 .23666 L
.53659 .23183 L
.53624 .23068 L
.53519 .227 L
.53396 .22217 L
.53287 .21734 L
.53193 .2125 L
.53141 .20949 L
.53113 .20767 L
.53047 .20284 L
.52994 .19801 L
.52953 .19318 L
.52925 .18835 L
.52909 .18351 L
.52905 .17868 L
.52913 .17385 L
.52933 .16902 L
.52966 .16419 L
.5301 .15935 L
.53067 .15452 L
.53137 .14969 L
.53141 .14948 L
.53222 .14486 L
.53322 .14003 L
.53435 .1352 L
.53564 .13036 L
.53624 .1283 L
.5371 .12553 L
.53876 .1207 L
.54061 .11587 L
.54107 .11473 L
.54269 .11104 L
.54503 .1062 L
.5459 .10454 L
.54767 .10137 L
.55067 .09654 L
.55073 .09645 L
.55413 .09171 L
.55557 .08991 L
.55819 .08688 L
.5604 .08458 L
.56311 .08204 L
.56523 .08028 L
.56952 .07721 L
.57006 .07688 L
.57489 .07428 L
.57973 .07243 L
.57981 .07238 L
F
0 .9 1 r
.55073 .47224 m
.55378 .47342 L
.55299 .47826 L
.55073 .48186 L
.55002 .48309 L
.54593 .48792 L
.5459 .48889 L
.5425 .49275 L
.54107 .49453 L
.53624 .49754 L
.53611 .49758 L
.53141 .49823 L
.52911 .49758 L
.52975 .49275 L
.53141 .49116 L
.53373 .48792 L
.53624 .48453 L
.53741 .48309 L
.54107 .47859 L
.54139 .47826 L
.5459 .47366 L
.54665 .47342 L
F
1 .98 0 r
.53141 .35107 m
.53311 .35263 L
.53141 .35577 L
.52922 .35263 L
F
1 .86 0 r
.53141 .55568 m
.53581 .5604 L
.53141 .562 L
.52952 .5604 L
F
0 .96 1 r
.54107 .3803 m
.54287 .38162 L
.54145 .38645 L
.54107 .38684 L
.53786 .39128 L
.53624 .39283 L
.53141 .39539 L
.52957 .39128 L
.53141 .3886 L
.53321 .38645 L
.53624 .38324 L
.53846 .38162 L
F
0 .84 1 r
.53141 .41444 m
.53287 .41544 L
.53141 .41956 L
.52957 .41544 L
F
0 .88 1 r
.55073 .47274 m
.55229 .47342 L
.55244 .47826 L
.55073 .48105 L
.54961 .48309 L
.54591 .48792 L
.5459 .48837 L
.54212 .49275 L
.54107 .494 L
.53624 .49709 L
.53434 .49758 L
.53141 .49779 L
.53049 .49758 L
.53016 .49275 L
.53141 .49155 L
.53396 .48792 L
.53624 .48485 L
.53768 .48309 L
.54107 .47899 L
.5418 .47826 L
.5459 .47386 L
.54799 .47342 L
F
1 .54 0 r
.53141 .47797 m
.53214 .47826 L
.53141 .48291 L
.53047 .47826 L
F
1 .84 0 r
.53141 .55665 m
.53447 .5604 L
.53141 .56107 L
.53055 .5604 L
F
0 .86 1 r
.5459 .47404 m
.55073 .47388 L
.55182 .47826 L
.55073 .48012 L
.5492 .48309 L
.5459 .48786 L
.54586 .48792 L
.54173 .49275 L
.54107 .4935 L
.53624 .49665 L
.53141 .49723 L
.53061 .49275 L
.53141 .49197 L
.53421 .48792 L
.53624 .48517 L
.53796 .48309 L
.54107 .47938 L
.54223 .47826 L
F
0 .96 1 r
.53141 .62082 m
.53456 .62321 L
.53141 .62437 L
.53062 .62321 L
F
1 .72 0 r
.53624 .44884 m
.53841 .44927 L
.53651 .4541 L
.53624 .45444 L
.53141 .45892 L
.5308 .4541 L
.53141 .4533 L
.53566 .44927 L
F
0 .98 1 r
.55557 .56828 m
.5604 .56806 L
.56455 .57006 L
.56043 .57489 L
.5604 .57526 L
.55657 .57973 L
.55557 .58252 L
.55355 .58456 L
.55073 .58842 L
.55025 .58939 L
.5461 .59422 L
.5459 .59446 L
.54107 .59846 L
.53919 .59905 L
.53624 .59959 L
.53141 .59921 L
.53109 .59905 L
.53141 .59607 L
.53235 .59422 L
.53561 .58939 L
.53624 .58793 L
.53845 .58456 L
.54107 .58157 L
.54299 .57973 L
.5459 .57636 L
.54679 .57489 L
.55073 .57059 L
.5515 .57006 L
F
0 .84 1 r
.5459 .47429 m
.55073 .4755 L
.55108 .47826 L
.55073 .47894 L
.54878 .48309 L
.5459 .48732 L
.54548 .48792 L
.54131 .49275 L
.54107 .49301 L
.53624 .49622 L
.53141 .4965 L
.5311 .49275 L
.53141 .49244 L
.53446 .48792 L
.53624 .4855 L
.53824 .48309 L
.54107 .47978 L
.54271 .47826 L
F
1 .7 0 r
.53141 .45394 m
.53582 .4541 L
.53141 .45798 L
.53129 .4541 L
F
1 .96 0 r
.55073 .40764 m
.55454 .41061 L
.55288 .41544 L
.55073 .41871 L
.54978 .42027 L
.54615 .42511 L
.5459 .4254 L
.54107 .42977 L
.54077 .42994 L
.53624 .43121 L
.53144 .42994 L
.53388 .42511 L
.53624 .42178 L
.53741 .42027 L
.54107 .41567 L
.54128 .41544 L
.5459 .41063 L
.54593 .41061 L
F
1 .86 0 r
.5459 .54093 m
.54749 .54107 L
.54781 .5459 L
.5459 .54919 L
.54494 .55073 L
.54119 .55557 L
.54107 .5557 L
.53624 .56013 L
.53147 .55557 L
.53497 .55073 L
.53624 .54732 L
.53909 .5459 L
.54107 .54301 L
.54553 .54107 L
F
0 .82 1 r
.5459 .47471 m
.55032 .47826 L
.54836 .48309 L
.5459 .48677 L
.5451 .48792 L
.54107 .49253 L
.54084 .49275 L
.53624 .49579 L
.53158 .49275 L
.53471 .48792 L
.53624 .48584 L
.53854 .48309 L
.54107 .48018 L
.54324 .47826 L
F
1 .84 0 r
.54107 .5436 m
.5459 .54207 L
.5471 .5459 L
.5459 .54818 L
.54439 .55073 L
.54107 .55501 L
.54058 .55557 L
.53624 .55945 L
.53196 .55557 L
.53535 .55073 L
.53624 .54812 L
.53961 .5459 L
F
0 .8 1 r
.5459 .47541 m
.54954 .47826 L
.54792 .48309 L
.5459 .48619 L
.54471 .48792 L
.54107 .49207 L
.54033 .49275 L
.53624 .49535 L
.532 .49275 L
.53498 .48792 L
.53624 .48619 L
.53886 .48309 L
.54107 .48058 L
.54385 .47826 L
F
0 .9 1 r
.53624 .40928 m
.53747 .41061 L
.53624 .41535 L
.53201 .41061 L
F
0 .78 1 r
.5459 .47649 m
.5486 .47826 L
.54747 .48309 L
.5459 .48557 L
.54432 .48792 L
.54107 .49159 L
.53979 .49275 L
.53624 .4949 L
.53246 .49275 L
.53525 .48792 L
.53624 .48656 L
.53919 .48309 L
.54107 .481 L
.5446 .47826 L
F
1 .82 0 r
.54107 .54443 m
.5459 .54365 L
.54632 .5459 L
.5459 .54687 L
.54381 .55073 L
.54107 .5543 L
.53993 .55557 L
.53624 .55875 L
.53251 .55557 L
.53575 .55073 L
.53624 .54919 L
.54019 .5459 L
F
0 .96 1 r
.53624 .61359 m
.53987 .61838 L
.53624 .62205 L
.53274 .61838 L
F
0 .76 1 r
.5459 .47804 m
.54708 .47826 L
.54699 .48309 L
.5459 .4849 L
.54391 .48792 L
.54107 .49111 L
.53921 .49275 L
.53624 .49443 L
.53298 .49275 L
.53554 .48792 L
.53624 .48695 L
.53955 .48309 L
.54107 .48143 L
.5457 .47826 L
F
1 .8 0 r
.54107 .54559 m
.54531 .5459 L
.5432 .55073 L
.54107 .55353 L
.53922 .55557 L
.53624 .558 L
.53314 .55557 L
.53619 .55073 L
.53624 .55058 L
.54089 .5459 L
F
1 .96 0 r
.5604 .50172 m
.56464 .50242 L
.56399 .50725 L
.56056 .51208 L
.5604 .51237 L
.55634 .51691 L
.55557 .51884 L
.55331 .52174 L
.55073 .52406 L
.54995 .52658 L
.5459 .53055 L
.54441 .53141 L
.54107 .53255 L
.53624 .53262 L
.53338 .53141 L
.53567 .52658 L
.53624 .52592 L
.53835 .52174 L
.54107 .51931 L
.54294 .51691 L
.5459 .51263 L
.54666 .51208 L
.55067 .50725 L
.55073 .50719 L
.55557 .50314 L
.55745 .50242 L
F
0 .74 1 r
.54107 .48187 m
.5459 .47913 L
.54649 .48309 L
.5459 .48413 L
.54348 .48792 L
.54107 .49062 L
.53854 .49275 L
.53624 .49394 L
.53358 .49275 L
.53585 .48792 L
.53624 .48737 L
.53993 .48309 L
F
1 .78 0 r
.53624 .5515 m
.53838 .55557 L
.53624 .55717 L
.53391 .55557 L
F
0 .96 1 r
.55073 .57292 m
.55557 .57135 L
.55799 .57489 L
.55557 .57961 L
.55551 .57973 L
.55206 .58456 L
.55073 .58639 L
.54894 .58939 L
.5459 .59112 L
.54348 .59422 L
.54107 .59591 L
.53624 .5971 L
.53418 .59422 L
.53624 .59022 L
.53675 .58939 L
.53962 .58456 L
.54107 .5828 L
.54403 .57973 L
.5459 .57774 L
.54847 .57489 L
F
0 .72 1 r
.54107 .48234 m
.5459 .48063 L
.54593 .48309 L
.5459 .48314 L
.54302 .48792 L
.54107 .4901 L
.53774 .49275 L
.53624 .49341 L
.53436 .49275 L
.53618 .48792 L
.53624 .48783 L
.54035 .48309 L
F
1 .94 0 r
.5459 .4124 m
.55073 .41103 L
.55109 .41544 L
.55073 .41603 L
.54849 .42027 L
.5459 .42373 L
.5448 .42511 L
.54107 .42836 L
.53732 .42994 L
.53624 .4301 L
.53461 .42994 L
.53477 .42511 L
.53624 .42293 L
.5383 .42027 L
.54107 .4169 L
.54255 .41544 L
F
.55557 .50427 m
.5604 .50343 L
.56283 .50725 L
.5604 .51091 L
.5598 .51208 L
.55599 .51691 L
.55557 .51819 L
.55277 .52174 L
.55073 .52295 L
.54942 .52658 L
.5459 .52969 L
.54246 .53141 L
.54107 .53181 L
.53624 .53195 L
.53485 .53141 L
.53613 .52658 L
.53624 .52644 L
.53872 .52174 L
.54107 .51971 L
.54326 .51691 L
.5459 .5129 L
.5471 .51208 L
.55073 .50807 L
.55152 .50725 L
F
1 .76 0 r
.53624 .55269 m
.53723 .55557 L
.53624 .55616 L
.53504 .55557 L
F
1 .92 0 r
.5459 .41429 m
.54881 .41544 L
.54709 .42027 L
.5459 .42194 L
.54335 .42511 L
.54107 .42698 L
.53624 .4283 L
.53579 .42511 L
.53624 .42436 L
.53932 .42027 L
.54107 .41821 L
.54429 .41544 L
F
0 .7 1 r
.53624 .48856 m
.53644 .49275 L
.53624 .4928 L
.53581 .49275 L
F
0 .96 1 r
.54107 .60949 m
.54328 .61355 L
.54107 .61684 L
.53628 .61355 L
F
1 .92 0 r
.55557 .50531 m
.5604 .50569 L
.56114 .50725 L
.5604 .50884 L
.55905 .51208 L
.55573 .51691 L
.55557 .51751 L
.55228 .52174 L
.55073 .52232 L
.54887 .52658 L
.5459 .52892 L
.54107 .53113 L
.5366 .52658 L
.53913 .52174 L
.54107 .52012 L
.54359 .51691 L
.5459 .51318 L
.54756 .51208 L
.55073 .50874 L
.5525 .50725 L
F
0 .7 1 r
.54107 .48285 m
.54519 .48309 L
.54253 .48792 L
.54107 .48954 L
.53662 .48792 L
.54084 .48309 L
F
0 .96 1 r
.5604 .43793 m
.56482 .4396 L
.56338 .44443 L
.5604 .44874 L
.56009 .44927 L
.55603 .4541 L
.55557 .45568 L
.55274 .45893 L
.55073 .46161 L
.54863 .46376 L
.5459 .4649 L
.54107 .46542 L
.5367 .46376 L
.53851 .45893 L
.54107 .45671 L
.54305 .4541 L
.5459 .45029 L
.54677 .44927 L
.55073 .44444 L
.55075 .44443 L
.55557 .43981 L
.55589 .4396 L
F
1 .78 0 r
.54107 .54665 m
.54251 .55073 L
.54107 .55267 L
.53683 .55073 L
F
1 .94 0 r
.57973 .08668 m
.58456 .08537 L
.58939 .08486 L
.59422 .08513 L
.59905 .08619 L
.60124 .08688 L
.60388 .08806 L
.60872 .09079 L
.61006 .09171 L
.61355 .09448 L
.6158 .09654 L
.61838 .09923 L
.62023 .10137 L
.62321 .10527 L
.62386 .1062 L
.62692 .11104 L
.62804 .11302 L
.62953 .11587 L
.63176 .1207 L
.63288 .12341 L
.63369 .12553 L
.63537 .13036 L
.63687 .1352 L
.63771 .13807 L
.63825 .14003 L
.63955 .14486 L
.64078 .14969 L
.64192 .15452 L
.64254 .15743 L
.64287 .15935 L
.64354 .16419 L
.64387 .16902 L
.64385 .17385 L
.64357 .17868 L
.64314 .18351 L
.64264 .18835 L
.64254 .18932 L
.64214 .19318 L
.64165 .19801 L
.64115 .20284 L
.64059 .20767 L
.63992 .2125 L
.63904 .21734 L
.63791 .22217 L
.63771 .22292 L
.63647 .227 L
.63474 .23183 L
.63288 .23634 L
.63273 .23666 L
.63044 .2415 L
.62804 .24599 L
.62785 .24633 L
.62489 .25116 L
.62321 .25363 L
.62146 .25599 L
.61838 .2597 L
.61735 .26082 L
.61355 .26449 L
.61217 .26566 L
.60872 .26819 L
.60479 .27049 L
.60388 .27092 L
.59905 .27278 L
.59422 .27383 L
.58939 .2741 L
.58456 .2736 L
.57973 .27229 L
.57549 .27049 L
.57489 .27016 L
.57006 .26713 L
.56813 .26566 L
.56523 .26312 L
.56293 .26082 L
.5604 .25797 L
.55881 .25599 L
.55557 .25144 L
.55538 .25116 L
.55246 .24633 L
.55073 .2431 L
.54993 .2415 L
.54773 .23666 L
.5459 .23212 L
.5458 .23183 L
.54411 .227 L
.54264 .22217 L
.54136 .21734 L
.54107 .21616 L
.54026 .2125 L
.53934 .20767 L
.53857 .20284 L
.53795 .19801 L
.53748 .19318 L
.53715 .18835 L
.53696 .18351 L
.53692 .17868 L
.53701 .17385 L
.53724 .16902 L
.53762 .16419 L
.53814 .15935 L
.53881 .15452 L
.53963 .14969 L
.54061 .14486 L
.54107 .14281 L
.54176 .14003 L
.54311 .1352 L
.54465 .13036 L
.5459 .12686 L
.54641 .12553 L
.54843 .1207 L
.55073 .11587 L
.55073 .11587 L
.55339 .11104 L
.55557 .10753 L
.55646 .1062 L
.56009 .10137 L
.5604 .101 L
.56451 .09654 L
.56523 .09586 L
.57006 .09184 L
.57025 .09171 L
.57489 .08882 L
.57916 .08688 L
F
1 .9 0 r
.55557 .50634 m
.55926 .50725 L
.5583 .51208 L
.55557 .51668 L
.55543 .51691 L
.55181 .52174 L
.55073 .52201 L
.54823 .52658 L
.5459 .52821 L
.54107 .53049 L
.5371 .52658 L
.53961 .52174 L
.54107 .52055 L
.54393 .51691 L
.5459 .51352 L
.54806 .51208 L
.55073 .50928 L
.55376 .50725 L
F
0 .68 1 r
.54107 .48352 m
.54198 .48792 L
.54107 .48892 L
.53718 .48792 L
F
1 .9 0 r
.54107 .41977 m
.54531 .42027 L
.54151 .42511 L
.54107 .42542 L
.53749 .42511 L
.54063 .42027 L
F
1 .88 0 r
.55073 .50979 m
.55557 .50744 L
.55752 .51208 L
.55557 .51566 L
.55486 .51691 L
.55134 .52174 L
.55073 .52188 L
.54743 .52658 L
.5459 .52752 L
.54107 .52985 L
.53763 .52658 L
.54014 .52174 L
.54107 .521 L
.54429 .51691 L
.5459 .51393 L
.54859 .51208 L
F
1 .76 0 r
.54107 .54791 m
.54169 .55073 L
.54107 .55161 L
.53768 .55073 L
F
0 .66 1 r
.54107 .48449 m
.54133 .48792 L
.54107 .4882 L
.53791 .48792 L
F
0 .94 1 r
.5459 .57888 m
.55073 .57505 L
.55366 .57973 L
.55073 .58436 L
.5506 .58456 L
.54695 .58939 L
.5459 .58979 L
.54107 .59367 L
.53809 .58939 L
.54107 .58472 L
.54119 .58456 L
.54521 .57973 L
F
.55557 .44102 m
.5604 .44016 L
.56174 .44443 L
.5604 .44659 L
.55907 .44927 L
.55566 .4541 L
.55557 .45449 L
.55192 .45893 L
.55073 .46046 L
.54626 .46376 L
.5459 .46387 L
.54107 .46468 L
.53821 .46376 L
.53925 .45893 L
.54107 .45739 L
.54354 .4541 L
.5459 .45098 L
.5474 .44927 L
.55073 .44481 L
.55182 .44443 L
F
1 .86 0 r
.55073 .51037 m
.55557 .50883 L
.55668 .51208 L
.55557 .51444 L
.55428 .51691 L
.55084 .52174 L
.55073 .52177 L
.54639 .52658 L
.5459 .52685 L
.54107 .52919 L
.53823 .52658 L
.54073 .52174 L
.54107 .52148 L
.54466 .51691 L
.5459 .51446 L
.54919 .51208 L
F
1 .84 0 r
.54107 .52208 m
.54536 .52658 L
.54107 .52848 L
.53891 .52658 L
F
0 .98 1 r
.5604 .53699 m
.56523 .53701 L
.56833 .54107 L
.56657 .5459 L
.56523 .54956 L
.56343 .55073 L
.5604 .55467 L
.55968 .55557 L
.55603 .5604 L
.55557 .56098 L
.55073 .56518 L
.55061 .56523 L
.5459 .56644 L
.54107 .56634 L
.53903 .56523 L
.54107 .56137 L
.54167 .5604 L
.54496 .55557 L
.5459 .55395 L
.54738 .55073 L
.55073 .54798 L
.55255 .5459 L
.55557 .5429 L
.55635 .54107 L
F
1 .82 0 r
.54107 .52293 m
.54431 .52658 L
.54107 .52768 L
.53973 .52658 L
F
0 .92 1 r
.54107 .58704 m
.54419 .58939 L
.54107 .59109 L
.53995 .58939 L
F
.55557 .44224 m
.55961 .44443 L
.55802 .44927 L
.55557 .45319 L
.555 .4541 L
.55112 .45893 L
.55073 .45939 L
.5459 .46295 L
.54313 .46376 L
.54107 .46387 L
.54055 .46376 L
.54017 .45893 L
.54107 .45816 L
.54406 .4541 L
.5459 .45169 L
.54808 .44927 L
.55073 .44521 L
.55319 .44443 L
F
1 .8 0 r
.54107 .52427 m
.5426 .52658 L
.54107 .52667 L
.54093 .52658 L
F
0 .9 1 r
.55073 .44598 m
.55557 .44451 L
.55691 .44927 L
.55557 .45166 L
.55413 .4541 L
.55073 .45833 L
.55019 .45893 L
.5459 .46205 L
.54121 .45893 L
.54462 .4541 L
.5459 .45243 L
.54886 .44927 L
F
1 .84 0 r
.55073 .5111 m
.55557 .51102 L
.55572 .51208 L
.55557 .51258 L
.55368 .51691 L
.55073 .52113 L
.55027 .52174 L
.5459 .52617 L
.54129 .52174 L
.54506 .51691 L
.5459 .51514 L
.54988 .51208 L
F
1 .82 0 r
.5459 .51599 m
.55073 .51209 L
.55304 .51691 L
.55073 .52031 L
.54966 .52174 L
.5459 .52548 L
.54177 .52174 L
.54549 .51691 L
F
0 .88 1 r
.55073 .44744 m
.55557 .44757 L
.55562 .44927 L
.55557 .4494 L
.55322 .4541 L
.55073 .45721 L
.54913 .45893 L
.5459 .46111 L
.54208 .45893 L
.54524 .4541 L
.5459 .45323 L
.54979 .44927 L
F
1 .8 0 r
.5459 .517 m
.54901 .52174 L
.5459 .52476 L
.54233 .52174 L
F
1 .98 0 r
.55557 .37946 m
.55991 .38162 L
.55788 .38645 L
.55557 .38979 L
.55451 .39128 L
.55073 .3949 L
.54873 .39612 L
.5459 .39685 L
.54236 .39612 L
.54426 .39128 L
.5459 .38898 L
.54805 .38645 L
.55073 .38338 L
.55277 .38162 L
F
0 .96 1 r
.5604 .53945 m
.56523 .54106 L
.56523 .54107 L
.56523 .54333 L
.56458 .5459 L
.56196 .55073 L
.5604 .553 L
.55828 .55557 L
.55557 .55825 L
.55425 .5604 L
.55073 .56332 L
.5459 .56488 L
.54267 .5604 L
.54576 .55557 L
.5459 .5553 L
.54828 .55073 L
.55073 .54877 L
.5534 .5459 L
.55557 .54467 L
.55812 .54107 L
F
0 .92 1 r
.5459 .58084 m
.54875 .58456 L
.5459 .58787 L
.54272 .58456 L
F
1 .92 0 r
.58456 .09602 m
.58939 .09545 L
.59422 .09575 L
.59779 .09654 L
.59905 .09694 L
.60388 .09906 L
.60763 .10137 L
.60872 .10219 L
.61331 .1062 L
.61355 .10645 L
.61759 .11104 L
.61838 .11206 L
.62104 .11587 L
.62321 .11946 L
.6239 .1207 L
.62633 .12553 L
.62804 .12947 L
.62841 .13036 L
.6302 .1352 L
.63178 .14003 L
.63288 .14377 L
.63317 .14486 L
.6344 .14969 L
.63545 .15452 L
.63632 .15935 L
.63698 .16419 L
.63739 .16902 L
.63755 .17385 L
.63751 .17868 L
.63729 .18351 L
.63694 .18835 L
.6365 .19318 L
.63596 .19801 L
.63531 .20284 L
.63453 .20767 L
.63358 .2125 L
.63288 .21551 L
.6324 .21734 L
.63096 .22217 L
.62925 .227 L
.62804 .22997 L
.62722 .23183 L
.62485 .23666 L
.62321 .23962 L
.62209 .2415 L
.61882 .24633 L
.61838 .24691 L
.61484 .25116 L
.61355 .25251 L
.60972 .25599 L
.60872 .25677 L
.60388 .2599 L
.60218 .26082 L
.59905 .26203 L
.59422 .26322 L
.58939 .26353 L
.58456 .26295 L
.57973 .26147 L
.57815 .26082 L
.57489 .25905 L
.57055 .25599 L
.57006 .25558 L
.56544 .25116 L
.56523 .25092 L
.56148 .24633 L
.5604 .24482 L
.55823 .2415 L
.55557 .23681 L
.55549 .23666 L
.55315 .23183 L
.55114 .227 L
.55073 .22592 L
.54942 .22217 L
.54793 .21734 L
.54667 .2125 L
.5459 .20914 L
.5456 .20767 L
.54473 .20284 L
.54403 .19801 L
.5435 .19318 L
.54313 .18835 L
.54292 .18351 L
.54287 .17868 L
.54298 .17385 L
.54324 .16902 L
.54366 .16419 L
.54425 .15935 L
.545 .15452 L
.5459 .14984 L
.54594 .14969 L
.54707 .14486 L
.5484 .14003 L
.54996 .1352 L
.55073 .13305 L
.55178 .13036 L
.55389 .12553 L
.55557 .12216 L
.55635 .1207 L
.55925 .11587 L
.5604 .11415 L
.5627 .11104 L
.56523 .10805 L
.56698 .1062 L
.57006 .10339 L
.57266 .10137 L
.57489 .09993 L
.57973 .0975 L
.58195 .09654 L
F
1 .78 0 r
.5459 .5178 m
.54827 .52174 L
.5459 .52396 L
.54298 .52174 L
F
0 .86 1 r
.5459 .45417 m
.54785 .45893 L
.5459 .46008 L
.54323 .45893 L
F
1 .96 0 r
.56523 .47317 m
.56577 .47342 L
.56743 .47826 L
.56531 .48309 L
.56523 .48323 L
.56234 .48792 L
.5604 .49044 L
.55813 .49275 L
.55557 .49583 L
.55463 .49758 L
.55073 .4983 L
.5459 .49866 L
.54337 .49758 L
.54548 .49275 L
.5459 .49232 L
.54767 .48792 L
.55073 .48441 L
.55293 .48309 L
.55557 .47952 L
.55695 .47826 L
.5604 .47553 L
.56306 .47342 L
F
0 .94 1 r
.55557 .54532 m
.5604 .54164 L
.5629 .5459 L
.56056 .55073 L
.5604 .55104 L
.55718 .55557 L
.55557 .55683 L
.55254 .5604 L
.55073 .56177 L
.5459 .56335 L
.54382 .5604 L
.5459 .55661 L
.54658 .55557 L
.54953 .55073 L
.55073 .54975 L
.55437 .5459 L
F
1 .76 0 r
.5459 .51882 m
.54737 .52174 L
.5459 .52302 L
.54384 .52174 L
F
1 .98 0 r
.55557 .60965 m
.55909 .61355 L
.55629 .61838 L
.55557 .61946 L
.55199 .62321 L
.55073 .62433 L
.5459 .62709 L
.5444 .62321 L
.5459 .62064 L
.54744 .61838 L
.55073 .61409 L
.55121 .61355 L
F
0 .92 1 r
.5459 .55852 m
.55047 .5604 L
.5459 .56141 L
.5453 .5604 L
F
1 .94 0 r
.5459 .49328 m
.54972 .49758 L
.5459 .49774 L
.54546 .49758 L
F
0 .86 1 r
.55073 .44961 m
.55218 .4541 L
.55073 .45596 L
.54596 .4541 L
F
1 .8 0 r
.55073 .51306 m
.55234 .51691 L
.55073 .5194 L
.54599 .51691 L
F
1 .94 0 r
.5604 .47684 m
.56523 .47657 L
.56567 .47826 L
.56523 .48012 L
.56419 .48309 L
.56131 .48792 L
.5604 .48913 L
.55721 .49275 L
.55557 .49465 L
.55073 .49734 L
.54618 .49275 L
.54845 .48792 L
.55073 .48516 L
.55352 .48309 L
.55557 .48019 L
.55801 .47826 L
F
1 .78 0 r
.55073 .51433 m
.55153 .51691 L
.55073 .51827 L
.54675 .51691 L
F
1 .92 0 r
.5604 .47772 m
.56357 .47826 L
.56308 .48309 L
.5604 .48777 L
.56031 .48792 L
.55635 .49275 L
.55557 .49355 L
.55073 .4964 L
.5469 .49275 L
.54944 .48792 L
.55073 .48626 L
.55417 .48309 L
.55557 .48097 L
.55944 .47826 L
F
0 .92 1 r
.55073 .57835 m
.55132 .57973 L
.55073 .58111 L
.54716 .57973 L
F
0 .84 1 r
.55073 .45187 m
.55086 .4541 L
.55073 .45427 L
.54728 .4541 L
F
0 .92 1 r
.55557 .54592 m
.55922 .55073 L
.55589 .55557 L
.55557 .55582 L
.55073 .56024 L
.54751 .55557 L
.55073 .55103 L
.55098 .55073 L
F
1 .9 0 r
.55557 .48202 m
.5604 .47932 L
.56191 .48309 L
.5604 .4861 L
.55936 .48792 L
.55557 .49245 L
.55525 .49275 L
.55073 .49543 L
.54773 .49275 L
.55064 .48792 L
.55073 .4878 L
.5549 .48309 L
F
.58456 .105 m
.58939 .10435 L
.59422 .10469 L
.59905 .10603 L
.59954 .1062 L
.60388 .10842 L
.60761 .11104 L
.60872 .11198 L
.61264 .11587 L
.61355 .11692 L
.61646 .1207 L
.61838 .1236 L
.61954 .12553 L
.62209 .13036 L
.62321 .13279 L
.62424 .1352 L
.62607 .14003 L
.62763 .14486 L
.62804 .14625 L
.62897 .14969 L
.63009 .15452 L
.631 .15935 L
.63169 .16419 L
.63216 .16902 L
.63241 .17385 L
.63245 .17868 L
.63231 .18351 L
.63201 .18835 L
.63156 .19318 L
.63096 .19801 L
.6302 .20284 L
.62926 .20767 L
.62809 .2125 L
.62804 .2127 L
.62668 .21734 L
.62497 .22217 L
.62321 .22639 L
.62294 .227 L
.62051 .23183 L
.61838 .23544 L
.61759 .23666 L
.61403 .2415 L
.61355 .24207 L
.60947 .24633 L
.60872 .24699 L
.60388 .25055 L
.60294 .25116 L
.59905 .25294 L
.59422 .25428 L
.58939 .25462 L
.58456 .25397 L
.57973 .25231 L
.57736 .25116 L
.57489 .24957 L
.57082 .24633 L
.57006 .24561 L
.56626 .2415 L
.56523 .24019 L
.56271 .23666 L
.5604 .23288 L
.55982 .23183 L
.5574 .227 L
.55557 .22271 L
.55536 .22217 L
.55363 .21734 L
.55218 .2125 L
.55096 .20767 L
.55073 .20666 L
.54997 .20284 L
.54918 .19801 L
.54859 .19318 L
.54817 .18835 L
.54794 .18351 L
.54788 .17868 L
.548 .17385 L
.54829 .16902 L
.54876 .16419 L
.54942 .15935 L
.55028 .15452 L
.55073 .15231 L
.55134 .14969 L
.55263 .14486 L
.55417 .14003 L
.55557 .13627 L
.556 .1352 L
.55816 .13036 L
.5604 .1261 L
.56072 .12553 L
.56381 .1207 L
.56523 .11878 L
.56764 .11587 L
.57006 .11336 L
.57268 .11104 L
.57489 .1094 L
.57973 .10666 L
.58038 .1062 L
F
0 .98 1 r
.68603 .35379 m
.68954 .35746 L
.68796 .36229 L
.68603 .36504 L
.68487 .36712 L
.68144 .37196 L
.68119 .37335 L
.67857 .37679 L
.67636 .38009 L
.67581 .38162 L
.67191 .38645 L
.67153 .38702 L
.66792 .39128 L
.6667 .39406 L
.665 .39612 L
.66187 .40018 L
.66131 .40095 L
.65777 .40578 L
.65704 .40682 L
.65398 .41061 L
.6522 .41357 L
.65101 .41544 L
.64737 .42009 L
.64695 .42027 L
.64298 .42511 L
.64254 .42625 L
.63984 .42994 L
.63771 .43289 L
.63705 .43477 L
.63288 .43935 L
.63248 .4396 L
.62876 .44443 L
.62804 .44557 L
.62566 .44927 L
.62321 .45216 L
.62156 .4541 L
.61838 .4586 L
.61797 .45893 L
.61442 .46376 L
.61355 .46485 L
.61151 .46859 L
.60872 .47138 L
.607 .47342 L
.60388 .47782 L
.60341 .47826 L
.60001 .48309 L
.59905 .48405 L
.59603 .48792 L
.59422 .49053 L
.59234 .49275 L
.58939 .49696 L
.58869 .49758 L
.58513 .50242 L
.58456 .50297 L
.58155 .50725 L
.57973 .50932 L
.57763 .51208 L
.57489 .51573 L
.5738 .51691 L
.57006 .52159 L
.56996 .52174 L
.56591 .52658 L
.56523 .52776 L
.56182 .53141 L
.5604 .53261 L
.55557 .53341 L
.55073 .53302 L
.54834 .53141 L
.55073 .52745 L
.55129 .52658 L
.55463 .52174 L
.55557 .52044 L
.55753 .51691 L
.5604 .51457 L
.56232 .51208 L
.56523 .50895 L
.56623 .50725 L
.57006 .50337 L
.57044 .50242 L
.57489 .49775 L
.57503 .49758 L
.57849 .49275 L
.57973 .49129 L
.58167 .48792 L
.58456 .48378 L
.58541 .48309 L
.58834 .47826 L
.58939 .47695 L
.59178 .47342 L
.59422 .47019 L
.59575 .46859 L
.599 .46376 L
.59905 .46371 L
.60251 .45893 L
.60388 .45733 L
.60705 .4541 L
.60872 .45073 L
.6099 .44927 L
.61341 .44443 L
.61355 .44434 L
.61697 .4396 L
.61838 .43801 L
.62115 .43477 L
.62321 .43142 L
.62418 .42994 L
.6279 .42511 L
.62804 .42504 L
.63253 .42027 L
.63288 .41878 L
.63534 .41544 L
.63771 .41218 L
.63842 .41061 L
.64247 .40578 L
.64254 .40577 L
.64656 .40095 L
.64737 .39966 L
.64965 .39612 L
.6522 .3931 L
.65245 .39128 L
.65704 .38666 L
.6572 .38645 L
.66102 .38162 L
.66187 .38081 L
.66423 .37679 L
.6667 .37453 L
.66868 .37196 L
.67153 .36846 L
.67269 .36712 L
.67636 .36279 L
.6769 .36229 L
.68119 .35764 L
.68159 .35746 L
F
0 .9 1 r
.55073 .5525 m
.55431 .55557 L
.55073 .55855 L
.54867 .55557 L
F
1 .88 0 r
.55073 .48898 m
.55391 .49275 L
.55073 .49434 L
.54877 .49275 L
F
1 .98 0 r
.71019 .38364 m
.71313 .38645 L
.71307 .39128 L
.71019 .39504 L
.70966 .39612 L
.70634 .40095 L
.70535 .4034 L
.70385 .40578 L
.70063 .41061 L
.70052 .41077 L
.69734 .41544 L
.69569 .41799 L
.69343 .42027 L
.69086 .42485 L
.6904 .42511 L
.68682 .42994 L
.68603 .43101 L
.68226 .43477 L
.68119 .43774 L
.67952 .4396 L
.67636 .44422 L
.67621 .44443 L
.67248 .44927 L
.67153 .45052 L
.66833 .4541 L
.6667 .45713 L
.66535 .45893 L
.66187 .46354 L
.66161 .46376 L
.65713 .46859 L
.65704 .46987 L
.65421 .47342 L
.6522 .47643 L
.65121 .47826 L
.64737 .48285 L
.64712 .48309 L
.64312 .48792 L
.64254 .48917 L
.64002 .49275 L
.63771 .49571 L
.63724 .49758 L
.63288 .50214 L
.63262 .50242 L
.62889 .50725 L
.62804 .50843 L
.62582 .51208 L
.62321 .51495 L
.62167 .51691 L
.61838 .5214 L
.61807 .52174 L
.61452 .52658 L
.61355 .52763 L
.61165 .53141 L
.60872 .53412 L
.60704 .53624 L
.60388 .54054 L
.60342 .54107 L
.59997 .5459 L
.59905 .54667 L
.59591 .55073 L
.59422 .55298 L
.59208 .55557 L
.58939 .55916 L
.5882 .5604 L
.58456 .56509 L
.58419 .56523 L
.58023 .57006 L
.57973 .57045 L
.5763 .57489 L
.57489 .57688 L
.57253 .57973 L
.57006 .58364 L
.56903 .58456 L
.56523 .58895 L
.56458 .58939 L
.5604 .59384 L
.55997 .59422 L
.55557 .59587 L
.55073 .59796 L
.54922 .59422 L
.55073 .5917 L
.55223 .58939 L
.55557 .5847 L
.55567 .58456 L
.55898 .57973 L
.5604 .57863 L
.5628 .57489 L
.56523 .57337 L
.5688 .57006 L
.57006 .56915 L
.57408 .56523 L
.57489 .5646 L
.57737 .5604 L
.57973 .5562 L
.58003 .55557 L
.58243 .55073 L
.58456 .54691 L
.58599 .5459 L
.58862 .54107 L
.58939 .53998 L
.59196 .53624 L
.59422 .53301 L
.59588 .53141 L
.59905 .52661 L
.59909 .52658 L
.60259 .52174 L
.60388 .52009 L
.60719 .51691 L
.60872 .51348 L
.60998 .51208 L
.61345 .50725 L
.61355 .50714 L
.617 .50242 L
.61838 .50069 L
.62123 .49758 L
.62321 .49413 L
.62423 .49275 L
.6279 .48792 L
.62804 .48778 L
.63265 .48309 L
.63288 .48138 L
.63537 .47826 L
.63771 .47482 L
.63844 .47342 L
.64239 .46859 L
.64254 .46846 L
.64656 .46376 L
.64737 .46211 L
.64957 .45893 L
.6522 .45555 L
.6525 .4541 L
.65691 .44927 L
.65704 .44918 L
.66073 .44443 L
.66187 .44288 L
.66377 .4396 L
.6667 .43633 L
.66788 .43477 L
.67152 .42994 L
.67153 .42992 L
.67509 .42511 L
.67636 .42378 L
.67797 .42027 L
.68119 .41729 L
.68261 .41544 L
.68603 .41094 L
.6863 .41061 L
.68988 .40578 L
.69086 .40504 L
.69259 .40095 L
.69569 .399 L
.69815 .39612 L
.70052 .39328 L
.70253 .39128 L
.70535 .38813 L
.70779 .38645 L
F
1 .86 0 r
.55073 .4909 m
.55167 .49275 L
.55073 .49289 L
.5505 .49275 L
F
0 .88 1 r
.55073 .55536 m
.55156 .55557 L
.55073 .55571 L
.55067 .55557 L
F
0 .96 1 r
.55557 .41938 m
.5604 .41574 L
.56179 .42027 L
.5604 .42251 L
.55854 .42511 L
.55557 .42755 L
.55106 .42511 L
.55482 .42027 L
F
.67153 .37175 m
.67636 .36808 L
.67846 .37196 L
.67636 .37678 L
.67636 .37679 L
.67465 .38162 L
.67153 .385 L
.67062 .38645 L
.66723 .39128 L
.6667 .39266 L
.66433 .39612 L
.66187 .39927 L
.66069 .40095 L
.65725 .40578 L
.65704 .4061 L
.65361 .41061 L
.6522 .41305 L
.65073 .41544 L
.64737 .4199 L
.64662 .42027 L
.64283 .42511 L
.64254 .42586 L
.6396 .42994 L
.63771 .43257 L
.6369 .43477 L
.63288 .43917 L
.63224 .4396 L
.62857 .44443 L
.62804 .44527 L
.62543 .44927 L
.62321 .45186 L
.62132 .4541 L
.61838 .45837 L
.61771 .45893 L
.61414 .46376 L
.61355 .46449 L
.61118 .46859 L
.60872 .47098 L
.60666 .47342 L
.60388 .47742 L
.60299 .47826 L
.59942 .48309 L
.59905 .48344 L
.59547 .48792 L
.59422 .48971 L
.59158 .49275 L
.58939 .49602 L
.58766 .49758 L
.58456 .50146 L
.58372 .50242 L
.57987 .50725 L
.57973 .50741 L
.57623 .51208 L
.57489 .5141 L
.57262 .51691 L
.57006 .52049 L
.56912 .52174 L
.56523 .52582 L
.56454 .52658 L
.5604 .53026 L
.55778 .53141 L
.55557 .53189 L
.55114 .53141 L
.55221 .52658 L
.55546 .52174 L
.55557 .52159 L
.55849 .51691 L
.5604 .51544 L
.5633 .51208 L
.56523 .51045 L
.56781 .50725 L
.57006 .50594 L
.57235 .50242 L
.57489 .50047 L
.57687 .49758 L
.57973 .49307 L
.58044 .49275 L
.58321 .48792 L
.58456 .48567 L
.58697 .48309 L
.58934 .47826 L
.58939 .47819 L
.59254 .47342 L
.59422 .47109 L
.59642 .46859 L
.59905 .46431 L
.59942 .46376 L
.603 .45893 L
.60388 .45789 L
.60744 .4541 L
.60872 .45126 L
.61028 .44927 L
.61355 .44472 L
.61363 .44443 L
.61734 .4396 L
.61838 .43844 L
.62147 .43477 L
.62321 .43188 L
.62447 .42994 L
.62804 .42539 L
.62827 .42511 L
.63265 .42027 L
.63288 .41923 L
.63571 .41544 L
.63771 .41275 L
.63871 .41061 L
.64254 .40633 L
.64298 .40578 L
.64693 .40095 L
.64737 .40031 L
.65029 .39612 L
.6522 .39408 L
.65285 .39128 L
.65704 .38793 L
.65829 .38645 L
.66187 .38205 L
.66232 .38162 L
.66651 .37679 L
.6667 .37666 L
.67133 .37196 L
F
1 .88 0 r
.55557 .48338 m
.55834 .48792 L
.55557 .49125 L
.55148 .48792 L
F
1 .98 0 r
.64737 .34254 m
.6522 .3395 L
.65296 .34296 L
.6522 .34489 L
.65074 .3478 L
.64835 .35263 L
.64737 .35369 L
.64494 .35746 L
.64254 .36112 L
.64173 .36229 L
.63852 .36712 L
.63771 .36851 L
.63606 .37196 L
.63288 .3749 L
.63149 .37679 L
.62804 .38162 L
.62804 .38162 L
.62482 .38645 L
.62321 .3886 L
.62086 .39128 L
.61838 .39469 L
.61728 .39612 L
.61376 .40095 L
.61355 .40124 L
.61075 .40578 L
.60872 .40798 L
.60639 .41061 L
.60388 .41482 L
.60277 .41544 L
.59922 .42027 L
.59905 .42046 L
.59661 .42511 L
.59422 .42702 L
.59163 .42994 L
.58939 .43395 L
.58792 .43477 L
.58456 .43921 L
.58425 .4396 L
.58066 .44443 L
.57973 .4457 L
.577 .44927 L
.57489 .45232 L
.57336 .4541 L
.57006 .45817 L
.56971 .45893 L
.56523 .46347 L
.56513 .46376 L
.5604 .46616 L
.55557 .46587 L
.5521 .46376 L
.5549 .45893 L
.55557 .45823 L
.5577 .4541 L
.5604 .45138 L
.56251 .44927 L
.56523 .44592 L
.56649 .44443 L
.57006 .44058 L
.57086 .4396 L
.57489 .43545 L
.57547 .43477 L
.57953 .42994 L
.57973 .4298 L
.58288 .42511 L
.58456 .42281 L
.58682 .42027 L
.58939 .41563 L
.58954 .41544 L
.59285 .41061 L
.59422 .40887 L
.59678 .40578 L
.59905 .40213 L
.59968 .40095 L
.6035 .39612 L
.60388 .39576 L
.60778 .39128 L
.60872 .38934 L
.6108 .38645 L
.61355 .38285 L
.6137 .38162 L
.61818 .37679 L
.61838 .37663 L
.62218 .37196 L
.62321 .37051 L
.62536 .36712 L
.62804 .36429 L
.62963 .36229 L
.63288 .35824 L
.6336 .35746 L
.63769 .35263 L
.63771 .35261 L
.64169 .3478 L
.64254 .3473 L
.64696 .34296 L
F
0 .9 1 r
.55557 .54771 m
.55771 .55073 L
.55557 .554 L
.55222 .55073 L
F
1 .88 0 r
.57973 .11492 m
.58456 .11305 L
.58939 .11233 L
.59422 .11271 L
.59905 .11421 L
.60239 .11587 L
.60388 .11692 L
.60843 .1207 L
.60872 .121 L
.61265 .12553 L
.61355 .12677 L
.6159 .13036 L
.61838 .1349 L
.61853 .1352 L
.6207 .14003 L
.62251 .14486 L
.62321 .147 L
.62402 .14969 L
.62526 .15452 L
.62626 .15935 L
.62702 .16419 L
.62755 .16902 L
.62785 .17385 L
.62795 .17868 L
.62784 .18351 L
.62754 .18835 L
.62706 .19318 L
.62639 .19801 L
.62551 .20284 L
.6244 .20767 L
.62321 .21194 L
.62304 .2125 L
.62137 .21734 L
.61934 .22217 L
.61838 .22416 L
.61688 .227 L
.61384 .23183 L
.61355 .23224 L
.60999 .23666 L
.60872 .23799 L
.60469 .2415 L
.60388 .24206 L
.59905 .24477 L
.59422 .24627 L
.59389 .24633 L
.58939 .24664 L
.58641 .24633 L
.58456 .24592 L
.57973 .24405 L
.57557 .2415 L
.57489 .24094 L
.57031 .23666 L
.57006 .23638 L
.56646 .23183 L
.56523 .22999 L
.56343 .227 L
.56097 .22217 L
.5604 .22091 L
.55893 .21734 L
.55724 .2125 L
.55585 .20767 L
.55557 .20657 L
.55472 .20284 L
.55383 .19801 L
.55316 .19318 L
.55269 .18835 L
.55243 .18351 L
.55237 .17868 L
.5525 .17385 L
.55282 .16902 L
.55336 .16419 L
.5541 .15935 L
.55507 .15452 L
.55557 .1524 L
.55628 .14969 L
.55777 .14486 L
.55957 .14003 L
.5604 .13807 L
.56174 .1352 L
.56437 .13036 L
.56523 .12899 L
.56763 .12553 L
.57006 .12259 L
.57184 .1207 L
.57489 .11803 L
.57794 .11587 L
F
1 .86 0 r
.55557 .48484 m
.55714 .48792 L
.55557 .48983 L
.55255 .48792 L
F
0 .94 1 r
.57006 .50708 m
.57489 .503 L
.578 .50725 L
.57489 .51151 L
.57452 .51208 L
.57123 .51691 L
.57006 .51885 L
.56804 .52174 L
.56523 .52451 L
.56297 .52658 L
.5604 .52867 L
.55557 .53036 L
.55325 .52658 L
.55557 .52281 L
.5563 .52174 L
.55976 .51691 L
.5604 .51642 L
.56442 .51208 L
.56523 .51143 L
.56974 .50725 L
F
0 .92 1 r
.56523 .5127 m
.5696 .51691 L
.56638 .52174 L
.56523 .52293 L
.56114 .52658 L
.5604 .52711 L
.55557 .52854 L
.55454 .52658 L
.55557 .52443 L
.55726 .52174 L
.5604 .51767 L
.56105 .51691 L
F
1 .96 0 r
.57489 .43936 m
.57973 .43482 L
.58138 .4396 L
.57973 .44194 L
.57804 .44443 L
.57489 .44903 L
.57475 .44927 L
.57146 .4541 L
.57006 .45606 L
.56819 .45893 L
.56523 .4592 L
.56098 .46376 L
.5604 .46395 L
.55557 .46394 L
.55523 .46376 L
.55557 .46044 L
.55633 .45893 L
.55939 .4541 L
.5604 .45303 L
.56398 .44927 L
.56523 .44775 L
.56883 .44443 L
.57006 .44331 L
.57464 .4396 L
F
.55557 .58912 m
.55979 .58939 L
.55557 .59094 L
.55544 .58939 L
F
0 .92 1 r
.5604 .54454 m
.56099 .5459 L
.5604 .54801 L
.55559 .5459 L
F
1 .88 0 r
.5604 .48235 m
.5605 .48309 L
.5604 .48344 L
.55591 .48309 L
F
1 .86 0 r
.58456 .12061 m
.58939 .11979 L
.59422 .12022 L
.59603 .1207 L
.59905 .12191 L
.60388 .125 L
.60455 .12553 L
.60872 .12974 L
.60924 .13036 L
.61267 .1352 L
.61355 .13668 L
.61535 .14003 L
.6175 .14486 L
.61838 .14715 L
.61926 .14969 L
.62068 .15452 L
.6218 .15935 L
.62266 .16419 L
.62321 .16853 L
.62326 .16902 L
.62362 .17385 L
.62374 .17868 L
.62364 .18351 L
.62333 .18835 L
.62321 .1897 L
.6228 .19318 L
.62203 .19801 L
.62103 .20284 L
.61974 .20767 L
.61838 .21181 L
.61813 .2125 L
.61613 .21734 L
.61364 .22217 L
.61355 .22233 L
.61051 .227 L
.60872 .22925 L
.60635 .23183 L
.60388 .23398 L
.5999 .23666 L
.59905 .23706 L
.59422 .23876 L
.58939 .23919 L
.58456 .23837 L
.58015 .23666 L
.57973 .23626 L
.57489 .23269 L
.57397 .23183 L
.57006 .22735 L
.5698 .227 L
.56665 .22217 L
.56523 .21954 L
.56416 .21734 L
.56215 .2125 L
.56053 .20767 L
.5604 .20722 L
.55923 .20284 L
.55821 .19801 L
.55745 .19318 L
.55693 .18835 L
.55663 .18351 L
.55656 .17868 L
.55671 .17385 L
.55708 .16902 L
.55768 .16419 L
.55852 .15935 L
.55963 .15452 L
.5604 .15175 L
.56103 .14969 L
.56278 .14486 L
.56493 .14003 L
.56523 .13944 L
.56761 .1352 L
.57006 .13162 L
.57103 .13036 L
.57489 .12628 L
.5757 .12553 L
.57973 .12272 L
.58414 .1207 L
F
1 .94 0 r
.5604 .45536 m
.56498 .45893 L
.5604 .46162 L
.55811 .45893 L
F
1 .98 0 r
.57006 .54554 m
.57181 .5459 L
.57267 .55073 L
.571 .55557 L
.57006 .55703 L
.5674 .5604 L
.56523 .56224 L
.5604 .56421 L
.55838 .5604 L
.5604 .55728 L
.56162 .55557 L
.56519 .55073 L
.56523 .55071 L
.56973 .5459 L
F
0 .9 1 r
.5604 .51922 m
.56437 .52174 L
.5604 .52528 L
.55849 .52174 L
F
1 .96 0 r
.5604 .58252 m
.56427 .58456 L
.5604 .58886 L
.55866 .58456 L
F
0 .98 1 r
.5604 .49396 m
.56317 .49758 L
.5604 .4981 L
.55884 .49758 L
F
1 .84 0 r
.58456 .12795 m
.58939 .12702 L
.59422 .12751 L
.59905 .12945 L
.60064 .13036 L
.60388 .13304 L
.60601 .1352 L
.60872 .1387 L
.60961 .14003 L
.61233 .14486 L
.61355 .1475 L
.61445 .14969 L
.61613 .15452 L
.61743 .15935 L
.61838 .16402 L
.61841 .16419 L
.6191 .16902 L
.61951 .17385 L
.61967 .17868 L
.61957 .18351 L
.61922 .18835 L
.61862 .19318 L
.61838 .19469 L
.61774 .19801 L
.61657 .20284 L
.61504 .20767 L
.61355 .21147 L
.61309 .2125 L
.61061 .21734 L
.60872 .22029 L
.60736 .22217 L
.60388 .22594 L
.60279 .227 L
.59905 .22952 L
.59422 .23147 L
.59225 .23183 L
.58939 .23195 L
.58803 .23183 L
.58456 .23102 L
.57973 .22859 L
.57752 .227 L
.57489 .22442 L
.57294 .22217 L
.57006 .21795 L
.56969 .21734 L
.56719 .2125 L
.56524 .20767 L
.56523 .20764 L
.5637 .20284 L
.56252 .19801 L
.56164 .19318 L
.56105 .18835 L
.56071 .18351 L
.56063 .17868 L
.56079 .17385 L
.56122 .16902 L
.5619 .16419 L
.56288 .15935 L
.56418 .15452 L
.56523 .15133 L
.56584 .14969 L
.56795 .14486 L
.57006 .14102 L
.57067 .14003 L
.5743 .1352 L
.57489 .13455 L
.57973 .13038 L
.57974 .13036 L
F
0 .98 1 r
.57006 .48098 m
.57392 .48309 L
.57301 .48792 L
.57033 .49275 L
.57006 .49306 L
.56523 .49681 L
.56115 .49275 L
.56467 .48792 L
.56523 .48668 L
.56859 .48309 L
F
1 .94 0 r
.56523 .45005 m
.5691 .4541 L
.56523 .45867 L
.56137 .4541 L
F
0 .9 1 r
.56523 .51461 m
.56782 .51691 L
.56523 .52061 L
.56253 .51691 L
F
0 .98 1 r
.56523 .38869 m
.56741 .39128 L
.56523 .3929 L
.56303 .39128 L
F
1 .96 0 r
.56523 .57857 m
.56712 .57973 L
.56523 .58305 L
.56343 .57973 L
F
0 .96 1 r
.56523 .49 m
.56699 .49275 L
.56523 .49393 L
.56365 .49275 L
F
1 .82 0 r
.58939 .1343 m
.59422 .13486 L
.59524 .1352 L
.59905 .13714 L
.60267 .14003 L
.60388 .14145 L
.60653 .14486 L
.60872 .1486 L
.60928 .14969 L
.61137 .15452 L
.61293 .15935 L
.61355 .16171 L
.61409 .16419 L
.6149 .16902 L
.61539 .17385 L
.61558 .17868 L
.61547 .18351 L
.61508 .18835 L
.61437 .19318 L
.61355 .19714 L
.61333 .19801 L
.61192 .20284 L
.61003 .20767 L
.60872 .21037 L
.60754 .2125 L
.60406 .21734 L
.60388 .21753 L
.59905 .22183 L
.59853 .22217 L
.59422 .22411 L
.58939 .22468 L
.58456 .22359 L
.58118 .22217 L
.57973 .22073 L
.57616 .21734 L
.57489 .21567 L
.57275 .2125 L
.57026 .20767 L
.57006 .20723 L
.56836 .20284 L
.56694 .19801 L
.5659 .19318 L
.56523 .18858 L
.56521 .18835 L
.56481 .18351 L
.56472 .17868 L
.56491 .17385 L
.56523 .16991 L
.5654 .16902 L
.56621 .16419 L
.56737 .15935 L
.56894 .15452 L
.57006 .15174 L
.571 .14969 L
.57378 .14486 L
.57489 .14331 L
.57765 .14003 L
.57973 .13824 L
.58456 .13538 L
.58505 .1352 L
F
1 .98 0 r
.69086 .3664 m
.69569 .363 L
.69779 .36712 L
.69577 .37196 L
.69569 .37214 L
.69348 .37679 L
.69086 .38058 L
.69023 .38162 L
.68629 .38645 L
.68603 .38838 L
.68354 .39128 L
.68119 .39488 L
.68064 .39612 L
.6769 .40095 L
.67636 .40172 L
.67272 .40578 L
.67153 .40863 L
.66984 .41061 L
.6667 .41528 L
.66665 .41544 L
.66268 .42027 L
.66187 .42139 L
.65877 .42511 L
.65704 .42809 L
.65578 .42994 L
.6522 .43455 L
.65184 .43477 L
.64773 .4396 L
.64737 .44079 L
.64464 .44443 L
.64254 .4474 L
.64175 .44927 L
.63771 .45383 L
.63736 .4541 L
.63356 .45893 L
.63288 .46011 L
.63045 .46376 L
.62804 .46667 L
.62645 .46859 L
.62321 .4731 L
.62286 .47342 L
.61925 .47826 L
.61838 .47938 L
.61629 .48309 L
.61355 .48591 L
.61189 .48792 L
.60872 .49234 L
.6083 .49275 L
.60483 .49758 L
.60388 .49857 L
.6021 .50242 L
.59905 .50503 L
.59723 .50725 L
.59422 .51142 L
.59358 .51208 L
.58999 .51691 L
.58939 .51747 L
.58665 .52174 L
.58456 .52363 L
.5822 .52658 L
.57973 .52964 L
.57826 .53141 L
.57489 .53449 L
.57006 .53595 L
.56523 .53208 L
.56518 .53141 L
.56523 .53129 L
.56739 .52658 L
.57006 .52342 L
.57068 .52174 L
.57489 .51692 L
.5749 .51691 L
.57878 .51208 L
.57973 .51082 L
.58278 .50725 L
.58456 .50431 L
.58636 .50242 L
.58939 .49778 L
.58958 .49758 L
.59304 .49275 L
.59422 .49131 L
.59657 .48792 L
.59905 .48464 L
.60053 .48309 L
.60382 .47826 L
.60388 .47819 L
.60734 .47342 L
.60872 .47178 L
.61181 .46859 L
.61355 .4652 L
.61467 .46376 L
.61823 .45893 L
.61838 .45881 L
.6218 .4541 L
.62321 .45245 L
.62588 .44927 L
.62804 .44588 L
.62894 .44443 L
.63272 .4396 L
.63288 .43951 L
.63718 .43477 L
.63771 .4332 L
.64008 .42994 L
.64254 .42662 L
.64313 .42511 L
.64727 .42027 L
.64737 .42024 L
.65127 .41544 L
.6522 .41405 L
.65435 .41061 L
.65704 .40748 L
.65828 .40578 L
.66187 .40103 L
.66194 .40095 L
.66569 .39612 L
.6667 .3951 L
.66877 .39128 L
.67153 .38872 L
.67326 .38645 L
.67636 .38251 L
.67712 .38162 L
.68106 .37679 L
.68119 .37671 L
.68478 .37196 L
.68603 .3713 L
.69013 .36712 L
F
0 .92 1 r
.57006 .50926 m
.5726 .51208 L
.57006 .51615 L
.56594 .51208 L
F
1 .94 0 r
.57006 .44667 m
.57199 .44927 L
.57006 .4525 L
.56611 .44927 L
F
0 .98 1 r
.71985 .39451 m
.72117 .39612 L
.72011 .40095 L
.71985 .40163 L
.71868 .40578 L
.71529 .41061 L
.71502 .41114 L
.71147 .41544 L
.71019 .41959 L
.70898 .42027 L
.70575 .42511 L
.70535 .42567 L
.70239 .42994 L
.70052 .43268 L
.69835 .43477 L
.69569 .43934 L
.6953 .4396 L
.69176 .44443 L
.69086 .44562 L
.68698 .44927 L
.68603 .45229 L
.68435 .4541 L
.68119 .45872 L
.68104 .45893 L
.67738 .46376 L
.67636 .46506 L
.67309 .46859 L
.67153 .47165 L
.67015 .47342 L
.6667 .47806 L
.66649 .47826 L
.6629 .48309 L
.66187 .48439 L
.65899 .48792 L
.65704 .49095 L
.65597 .49275 L
.6522 .49737 L
.652 .49758 L
.64787 .50242 L
.64737 .50369 L
.64481 .50725 L
.64254 .51023 L
.64192 .51208 L
.63771 .51667 L
.63749 .51691 L
.63369 .52174 L
.63288 .52295 L
.6306 .52658 L
.62804 .52948 L
.62655 .53141 L
.62321 .53595 L
.62296 .53624 L
.61936 .54107 L
.61838 .54216 L
.61643 .5459 L
.61355 .54866 L
.61195 .55073 L
.60872 .55511 L
.60833 .55557 L
.60484 .5604 L
.60388 .56122 L
.60218 .56523 L
.59905 .56756 L
.59705 .57006 L
.59422 .5738 L
.59325 .57489 L
.58939 .5797 L
.58936 .57973 L
.58553 .58456 L
.58456 .58523 L
.58157 .58939 L
.57973 .59048 L
.57586 .59422 L
.57489 .59474 L
.57006 .59723 L
.56681 .59422 L
.56879 .58939 L
.57006 .58811 L
.57162 .58456 L
.57489 .58137 L
.57524 .57973 L
.57969 .57489 L
.57973 .57483 L
.58401 .57006 L
.58456 .56789 L
.58736 .56523 L
.58939 .56078 L
.59001 .5604 L
.5933 .55557 L
.59422 .55432 L
.59673 .55073 L
.59905 .54745 L
.60069 .5459 L
.60388 .54109 L
.60391 .54107 L
.60742 .53624 L
.60872 .53455 L
.61194 .53141 L
.61355 .52793 L
.61476 .52658 L
.61828 .52174 L
.61838 .52163 L
.62184 .51691 L
.62321 .51516 L
.62596 .51208 L
.62804 .5086 L
.629 .50725 L
.63274 .50242 L
.63288 .50228 L
.63729 .49758 L
.63771 .49585 L
.64012 .49275 L
.64254 .4893 L
.64318 .48792 L
.64724 .48309 L
.64737 .48296 L
.65129 .47826 L
.6522 .47657 L
.65432 .47342 L
.65704 .47003 L
.65716 .46859 L
.66175 .46376 L
.66187 .46366 L
.66549 .45893 L
.6667 .45733 L
.66849 .4541 L
.67153 .45078 L
.6727 .44927 L
.67633 .44443 L
.67636 .44439 L
.67983 .4396 L
.68119 .43817 L
.6826 .43477 L
.68603 .43166 L
.68736 .42994 L
.69086 .42527 L
.691 .42511 L
.69445 .42027 L
.69569 .41928 L
.69862 .41544 L
.70052 .41305 L
.70253 .41061 L
.70535 .40705 L
.70655 .40578 L
.71019 .40151 L
.71089 .40095 L
.71502 .39698 L
.71629 .39612 L
F
0 .96 1 r
.57006 .48678 m
.57014 .48792 L
.57006 .48812 L
.56715 .48792 L
F
0 .98 1 r
.66187 .34327 m
.66659 .3478 L
.66542 .35263 L
.66187 .35595 L
.66092 .35746 L
.65766 .36229 L
.65704 .36375 L
.65486 .36712 L
.6522 .37027 L
.65101 .37196 L
.64744 .37679 L
.64737 .37711 L
.64409 .38162 L
.64254 .38418 L
.64133 .38645 L
.63771 .39025 L
.63694 .39128 L
.63326 .39612 L
.63288 .39688 L
.63008 .40095 L
.62804 .40368 L
.62768 .40578 L
.62321 .41036 L
.62256 .41061 L
.61897 .41544 L
.61838 .4163 L
.61595 .42027 L
.61355 .42296 L
.61164 .42511 L
.60872 .42954 L
.60805 .42994 L
.60455 .43477 L
.60388 .43555 L
.6017 .4396 L
.59905 .44211 L
.59702 .44443 L
.59422 .44864 L
.59338 .44927 L
.5898 .4541 L
.58939 .45454 L
.58663 .45893 L
.58456 .46085 L
.58214 .46376 L
.57973 .46695 L
.57824 .46859 L
.57489 .4723 L
.57006 .46923 L
.56933 .46859 L
.5683 .46376 L
.57006 .461 L
.57102 .45893 L
.57489 .4542 L
.57497 .4541 L
.57878 .44927 L
.57973 .44814 L
.58264 .44443 L
.58456 .44176 L
.58631 .4396 L
.58939 .43524 L
.58972 .43477 L
.59327 .42994 L
.59422 .42894 L
.59838 .42511 L
.59905 .42228 L
.60075 .42027 L
.60388 .41568 L
.60401 .41544 L
.60761 .41061 L
.60872 .40947 L
.61199 .40578 L
.61355 .40288 L
.61492 .40095 L
.61838 .39636 L
.61856 .39612 L
.62218 .39128 L
.62321 .39031 L
.6262 .38645 L
.62804 .3838 L
.62927 .38162 L
.63288 .37736 L
.63332 .37679 L
.63742 .37196 L
.63771 .37144 L
.64083 .36712 L
.64254 .36524 L
.64373 .36229 L
.64737 .35913 L
.64876 .35746 L
.6522 .35332 L
.65288 .35263 L
.65704 .34792 L
.65727 .3478 L
F
1 .8 0 r
.58456 .14324 m
.58939 .14193 L
.59422 .14261 L
.59836 .14486 L
.59905 .1454 L
.60311 .14969 L
.60388 .15092 L
.60598 .15452 L
.60802 .15935 L
.60872 .16148 L
.60947 .16419 L
.61047 .16902 L
.61106 .17385 L
.61129 .17868 L
.61117 .18351 L
.61069 .18835 L
.60983 .19318 L
.60872 .19743 L
.60854 .19801 L
.60674 .20284 L
.60413 .20767 L
.60388 .20804 L
.60034 .2125 L
.59905 .21357 L
.59422 .21637 L
.58939 .21705 L
.58456 .21574 L
.5799 .2125 L
.57973 .21219 L
.57609 .20767 L
.57489 .20552 L
.57356 .20284 L
.57173 .19801 L
.57045 .19318 L
.57006 .19138 L
.5696 .18835 L
.56912 .18351 L
.569 .17868 L
.56924 .17385 L
.56984 .16902 L
.57006 .16768 L
.57082 .16419 L
.57227 .15935 L
.57433 .15452 L
.57489 .15346 L
.57717 .14969 L
.57973 .14678 L
.58135 .14486 L
F
1 .96 0 r
.68603 .37606 m
.68782 .37679 L
.68729 .38162 L
.68603 .38441 L
.68501 .38645 L
.68224 .39128 L
.68119 .393 L
.67994 .39612 L
.67636 .40045 L
.67604 .40095 L
.67228 .40578 L
.67153 .40779 L
.66939 .41061 L
.6667 .41502 L
.6666 .41544 L
.66233 .42027 L
.66187 .42093 L
.65853 .42511 L
.65704 .42774 L
.65558 .42994 L
.6522 .4344 L
.65161 .43477 L
.64765 .4396 L
.64737 .44053 L
.64447 .44443 L
.64254 .44718 L
.64164 .44927 L
.63771 .45369 L
.63719 .4541 L
.63344 .45893 L
.63288 .4599 L
.63029 .46376 L
.62804 .46646 L
.62628 .46859 L
.62321 .47293 L
.62267 .47342 L
.61907 .47826 L
.61838 .47913 L
.61606 .48309 L
.61355 .48561 L
.61164 .48792 L
.60872 .49204 L
.608 .49275 L
.60444 .49758 L
.60388 .49815 L
.60158 .50242 L
.59905 .50446 L
.59671 .50725 L
.59422 .51075 L
.5929 .51208 L
.58939 .51677 L
.58905 .51691 L
.58525 .52174 L
.58456 .52229 L
.58072 .52658 L
.57973 .52765 L
.57541 .53141 L
.57489 .53153 L
.57006 .53193 L
.56938 .53141 L
.56955 .52658 L
.57006 .52591 L
.5719 .52174 L
.57489 .51875 L
.5762 .51691 L
.57973 .51226 L
.57985 .51208 L
.5837 .50725 L
.58456 .50564 L
.5873 .50242 L
.58939 .49866 L
.59031 .49758 L
.59369 .49275 L
.59422 .49209 L
.59708 .48792 L
.59905 .48524 L
.60099 .48309 L
.60388 .47858 L
.6041 .47826 L
.60767 .47342 L
.60872 .47216 L
.61207 .46859 L
.61355 .46554 L
.61492 .46376 L
.61838 .45905 L
.6184 .45893 L
.62204 .4541 L
.62321 .45274 L
.62608 .44927 L
.62804 .44617 L
.62912 .44443 L
.63288 .43971 L
.63296 .4396 L
.63729 .43477 L
.63771 .4335 L
.64031 .42994 L
.64254 .42698 L
.64328 .42511 L
.64737 .42055 L
.64759 .42027 L
.65153 .41544 L
.6522 .41448 L
.65474 .41061 L
.65704 .4081 L
.6588 .40578 L
.66187 .40182 L
.6626 .40095 L
.66644 .39612 L
.6667 .3959 L
.66998 .39128 L
.67153 .39012 L
.67473 .38645 L
.67636 .38457 L
.67937 .38162 L
.68119 .37956 L
.68537 .37679 L
F
0 .96 1 r
.64737 .36315 m
.65187 .36712 L
.64904 .37196 L
.64737 .37463 L
.64596 .37679 L
.64282 .38162 L
.64254 .38211 L
.6403 .38645 L
.63771 .38888 L
.63597 .39128 L
.63288 .39568 L
.63255 .39612 L
.62928 .40095 L
.62804 .40263 L
.62713 .40578 L
.62321 .40984 L
.62186 .41061 L
.61838 .41538 L
.61833 .41544 L
.6152 .42027 L
.61355 .42207 L
.61097 .42511 L
.60872 .42894 L
.60732 .42994 L
.60388 .43454 L
.6037 .43477 L
.60059 .4396 L
.59905 .44098 L
.59611 .44443 L
.59422 .44762 L
.5923 .44927 L
.58939 .45304 L
.58849 .4541 L
.58459 .45893 L
.58456 .45895 L
.5802 .46376 L
.57973 .46432 L
.57489 .46721 L
.57163 .46376 L
.57316 .45893 L
.57489 .45697 L
.57685 .4541 L
.57973 .45032 L
.58049 .44927 L
.58421 .44443 L
.58456 .44392 L
.58785 .4396 L
.58939 .4372 L
.59095 .43477 L
.59422 .43037 L
.59467 .42994 L
.59896 .42511 L
.59905 .42389 L
.60188 .42027 L
.60388 .41713 L
.60466 .41544 L
.60872 .41065 L
.60875 .41061 L
.6128 .40578 L
.61355 .40429 L
.61591 .40095 L
.61838 .39782 L
.6197 .39612 L
.62321 .39153 L
.62345 .39128 L
.62733 .38645 L
.62804 .38552 L
.63058 .38162 L
.63288 .37943 L
.63508 .37679 L
.63771 .37346 L
.63921 .37196 L
.64254 .36748 L
.64355 .36712 L
F
1 .94 0 r
.67636 .38665 m
.68073 .39128 L
.67896 .39612 L
.67636 .39905 L
.6752 .40095 L
.67187 .40578 L
.67153 .40678 L
.66893 .41061 L
.6667 .41462 L
.66653 .41544 L
.66198 .42027 L
.66187 .42044 L
.65829 .42511 L
.65704 .42737 L
.65538 .42994 L
.6522 .43423 L
.65139 .43477 L
.64757 .4396 L
.64737 .44027 L
.64431 .44443 L
.64254 .44695 L
.64152 .44927 L
.63771 .45355 L
.63702 .4541 L
.63332 .45893 L
.63288 .45968 L
.63013 .46376 L
.62804 .46624 L
.6261 .46859 L
.62321 .47275 L
.62248 .47342 L
.61887 .47826 L
.61838 .47887 L
.61582 .48309 L
.61355 .48532 L
.61139 .48792 L
.60872 .49174 L
.60769 .49275 L
.60402 .49758 L
.60388 .49772 L
.60096 .50242 L
.59905 .50387 L
.59616 .50725 L
.59422 .51002 L
.59215 .51208 L
.58939 .51624 L
.58804 .51691 L
.58456 .52085 L
.58369 .52174 L
.57973 .52565 L
.57858 .52658 L
.57489 .52865 L
.57225 .52658 L
.5741 .52174 L
.57489 .52098 L
.57761 .51691 L
.57973 .51402 L
.58104 .51208 L
.58449 .50725 L
.58456 .5071 L
.58806 .50242 L
.58939 .49966 L
.59093 .49758 L
.59422 .49289 L
.59431 .49275 L
.59758 .48792 L
.59905 .48586 L
.6014 .48309 L
.60388 .47898 L
.60433 .47826 L
.60799 .47342 L
.60872 .47255 L
.6123 .46859 L
.61355 .46589 L
.61516 .46376 L
.61838 .45933 L
.61842 .45893 L
.62228 .4541 L
.62321 .45301 L
.62628 .44927 L
.62804 .44646 L
.62929 .44443 L
.63288 .43998 L
.63319 .4396 L
.63739 .43477 L
.63771 .43379 L
.64054 .42994 L
.64254 .42733 L
.64345 .42511 L
.64737 .42094 L
.64792 .42027 L
.65178 .41544 L
.6522 .41488 L
.65516 .41061 L
.65704 .40869 L
.65933 .40578 L
.66187 .40257 L
.66329 .40095 L
.6667 .3967 L
.66736 .39612 L
.67153 .39142 L
.67167 .39128 L
F
1 .78 0 r
.58456 .15218 m
.58939 .15047 L
.59422 .15135 L
.5985 .15452 L
.59905 .15513 L
.60206 .15935 L
.60388 .16374 L
.60404 .16419 L
.60542 .16902 L
.60621 .17385 L
.60652 .17868 L
.60636 .18351 L
.60574 .18835 L
.60457 .19318 L
.60388 .19524 L
.60283 .19801 L
.59993 .20284 L
.59905 .20384 L
.59422 .20762 L
.59409 .20767 L
.58939 .20851 L
.5862 .20767 L
.58456 .20679 L
.58013 .20284 L
.57973 .20188 L
.57747 .19801 L
.57568 .19318 L
.57489 .19005 L
.57458 .18835 L
.57395 .18351 L
.57379 .17868 L
.5741 .17385 L
.57489 .16904 L
.5749 .16902 L
.57618 .16419 L
.5783 .15935 L
.57973 .1571 L
.58121 .15452 L
F
0 .94 1 r
.67153 .37562 m
.67307 .37679 L
.67203 .38162 L
.67153 .38216 L
.66929 .38645 L
.6667 .39086 L
.66644 .39128 L
.66359 .39612 L
.66187 .39828 L
.66007 .40095 L
.65704 .40535 L
.65673 .40578 L
.65324 .41061 L
.6522 .41246 L
.65042 .41544 L
.64737 .41964 L
.64629 .42027 L
.64268 .42511 L
.64254 .42546 L
.63935 .42994 L
.63771 .43223 L
.63673 .43477 L
.63288 .43897 L
.63199 .4396 L
.62837 .44443 L
.62804 .44495 L
.62518 .44927 L
.62321 .45155 L
.62108 .4541 L
.61838 .45813 L
.61744 .45893 L
.61385 .46376 L
.61355 .46413 L
.61081 .46859 L
.60872 .47056 L
.6063 .47342 L
.60388 .477 L
.60255 .47826 L
.59905 .48281 L
.59881 .48309 L
.59486 .48792 L
.59422 .48883 L
.59072 .49275 L
.58939 .49482 L
.58638 .49758 L
.58456 .49972 L
.58195 .50242 L
.57973 .50507 L
.57547 .50242 L
.57897 .49758 L
.57973 .49622 L
.582 .49275 L
.58456 .488 L
.5846 .48792 L
.58791 .48309 L
.58939 .47864 L
.59015 .47826 L
.59327 .47342 L
.59422 .47204 L
.59699 .46859 L
.59905 .46493 L
.59979 .46376 L
.60348 .45893 L
.60388 .45845 L
.60775 .4541 L
.60872 .45178 L
.61064 .44927 L
.61355 .44516 L
.61373 .44443 L
.6177 .4396 L
.61838 .43885 L
.62175 .43477 L
.62321 .43233 L
.62476 .42994 L
.62804 .42583 L
.62862 .42511 L
.63275 .42027 L
.63288 .41965 L
.63607 .41544 L
.63771 .41329 L
.63902 .41061 L
.64254 .40695 L
.6435 .40578 L
.64732 .40095 L
.64737 .40088 L
.65101 .39612 L
.6522 .39497 L
.65371 .39128 L
.65704 .38911 L
.65946 .38645 L
.66187 .3835 L
.66403 .38162 L
.6667 .3777 L
.66965 .37679 L
F
0 .98 1 r
.70535 .37135 m
.70664 .37196 L
.7079 .37679 L
.70535 .37998 L
.70461 .38162 L
.7015 .38645 L
.70052 .38872 L
.69901 .39128 L
.69572 .39612 L
.69569 .39616 L
.69113 .40095 L
.69086 .40349 L
.68863 .40578 L
.68603 .41045 L
.68559 .41061 L
.68195 .41544 L
.68119 .41649 L
.67755 .42027 L
.67636 .42326 L
.67472 .42511 L
.67153 .42976 L
.67142 .42994 L
.66762 .43477 L
.6667 .436 L
.66358 .4396 L
.66187 .44264 L
.66058 .44443 L
.65704 .44905 L
.65674 .44927 L
.65246 .4541 L
.6522 .45536 L
.64944 .45893 L
.64737 .46194 L
.64648 .46376 L
.64254 .46835 L
.64226 .46859 L
.63836 .47342 L
.63771 .47466 L
.63525 .47826 L
.63288 .48121 L
.6326 .48309 L
.62804 .48764 L
.62775 .48792 L
.62409 .49275 L
.62321 .49393 L
.62107 .49758 L
.61838 .50046 L
.6168 .50242 L
.61355 .5069 L
.61321 .50725 L
.6097 .51208 L
.60872 .51315 L
.60687 .51691 L
.60388 .51962 L
.60219 .52174 L
.59905 .52604 L
.59857 .52658 L
.59512 .53141 L
.59422 .53217 L
.59108 .53624 L
.58939 .53849 L
.58727 .54107 L
.58456 .54468 L
.58338 .5459 L
.57973 .55012 L
.57651 .5459 L
.57604 .54107 L
.57721 .53624 L
.57973 .53217 L
.58019 .53141 L
.58349 .52658 L
.58456 .52507 L
.58766 .52174 L
.58939 .51839 L
.59082 .51691 L
.59421 .51208 L
.59422 .51207 L
.59773 .50725 L
.59905 .5056 L
.60252 .50242 L
.60388 .499 L
.60518 .49758 L
.60859 .49275 L
.60872 .49263 L
.61214 .48792 L
.61355 .4862 L
.61649 .48309 L
.61838 .47963 L
.61943 .47826 L
.62304 .47342 L
.62321 .47327 L
.62662 .46859 L
.62804 .46688 L
.6306 .46376 L
.63288 .46032 L
.63368 .45893 L
.63753 .4541 L
.63771 .45397 L
.64185 .44927 L
.64254 .44762 L
.6448 .44443 L
.64737 .44105 L
.64781 .4396 L
.65206 .43477 L
.6522 .43469 L
.65597 .42994 L
.65704 .42841 L
.65902 .42511 L
.66187 .42184 L
.66303 .42027 L
.66669 .41544 L
.6667 .41543 L
.67031 .41061 L
.67153 .40934 L
.67328 .40578 L
.67636 .40284 L
.67779 .40095 L
.68119 .39649 L
.68151 .39612 L
.68516 .39128 L
.68603 .39066 L
.68808 .38645 L
.69086 .38469 L
.6935 .38162 L
.69569 .3791 L
.69808 .37679 L
.70052 .37422 L
.70447 .37196 L
F
0 .94 1 r
.64254 .37116 m
.64611 .37196 L
.64403 .37679 L
.64254 .37952 L
.64124 .38162 L
.63863 .38645 L
.63771 .38725 L
.63494 .39128 L
.63288 .39435 L
.6316 .39612 L
.62831 .40095 L
.62804 .40132 L
.62619 .40578 L
.62321 .40891 L
.62113 .41061 L
.61838 .41442 L
.61759 .41544 L
.61425 .42027 L
.61355 .42103 L
.61026 .42511 L
.60872 .42802 L
.60652 .42994 L
.60388 .43346 L
.6028 .43477 L
.59907 .4396 L
.59905 .43962 L
.59507 .44443 L
.59422 .44602 L
.59102 .44927 L
.58939 .45131 L
.58687 .4541 L
.58456 .45676 L
.58233 .45893 L
.57973 .4612 L
.57638 .45893 L
.57906 .4541 L
.57973 .45316 L
.5824 .44927 L
.58456 .44635 L
.58588 .44443 L
.58929 .4396 L
.58939 .43944 L
.59219 .43477 L
.59422 .43188 L
.59593 .42994 L
.59905 .4255 L
.59933 .42511 L
.60284 .42027 L
.60388 .4186 L
.60537 .41544 L
.60872 .41173 L
.6098 .41061 L
.61347 .40578 L
.61355 .40562 L
.61694 .40095 L
.61838 .39924 L
.62086 .39612 L
.62321 .39285 L
.62472 .39128 L
.62804 .38717 L
.62867 .38645 L
.63266 .38162 L
.63288 .38145 L
.63711 .37679 L
.63771 .37601 L
.64208 .37196 L
F
1 .98 0 r
.67636 .34761 m
.67782 .3478 L
.6778 .35263 L
.67636 .35582 L
.67553 .35746 L
.67283 .36229 L
.67153 .36422 L
.67073 .36712 L
.6667 .37159 L
.66645 .37196 L
.66283 .37679 L
.66187 .37901 L
.65995 .38162 L
.65704 .38525 L
.65617 .38645 L
.65228 .39128 L
.6522 .39199 L
.64904 .39612 L
.64737 .39888 L
.64616 .40095 L
.64254 .40562 L
.64194 .40578 L
.63814 .41061 L
.63771 .41157 L
.63496 .41544 L
.63288 .41828 L
.63235 .42027 L
.62804 .42483 L
.62752 .42511 L
.62387 .42994 L
.62321 .43094 L
.6208 .43477 L
.61838 .43756 L
.6166 .4396 L
.61355 .44405 L
.61301 .44443 L
.60948 .44927 L
.60872 .45019 L
.60659 .4541 L
.60388 .45673 L
.602 .45893 L
.59905 .46318 L
.59839 .46376 L
.59494 .46859 L
.59422 .4693 L
.59096 .47342 L
.58939 .4757 L
.5872 .47826 L
.58456 .48202 L
.58343 .48309 L
.57973 .48779 L
.5767 .48309 L
.5769 .47826 L
.57787 .47342 L
.57973 .47002 L
.58074 .46859 L
.58369 .46376 L
.58456 .46261 L
.58794 .45893 L
.58939 .45591 L
.59094 .4541 L
.59422 .4494 L
.59432 .44927 L
.59786 .44443 L
.59905 .44309 L
.60249 .4396 L
.60388 .43648 L
.60528 .43477 L
.60872 .42996 L
.60872 .42994 L
.61228 .42511 L
.61355 .42373 L
.61656 .42027 L
.61838 .41713 L
.61954 .41544 L
.62321 .41062 L
.62322 .41061 L
.62794 .40578 L
.62804 .40453 L
.63076 .40095 L
.63288 .39796 L
.63382 .39612 L
.63771 .39149 L
.63786 .39128 L
.64199 .38645 L
.64254 .38554 L
.6452 .38162 L
.64737 .37912 L
.648 .37679 L
.6522 .37282 L
.65289 .37196 L
.6568 .36712 L
.65704 .36694 L
.66046 .36229 L
.66187 .36121 L
.66508 .35746 L
.6667 .3557 L
.66979 .35263 L
.67153 .3508 L
.67613 .3478 L
F
1 .92 0 r
.67636 .38901 m
.67878 .39128 L
.67739 .39612 L
.67636 .39726 L
.67434 .40095 L
.67153 .4056 L
.67142 .40578 L
.66845 .41061 L
.6667 .41401 L
.6664 .41544 L
.66187 .41993 L
.66163 .42027 L
.65805 .42511 L
.65704 .42698 L
.65517 .42994 L
.6522 .43403 L
.65117 .43477 L
.64749 .4396 L
.64737 .43999 L
.64414 .44443 L
.64254 .44671 L
.6414 .44927 L
.63771 .45339 L
.63685 .4541 L
.63319 .45893 L
.63288 .45946 L
.62996 .46376 L
.62804 .46602 L
.62593 .46859 L
.62321 .47257 L
.62228 .47342 L
.61867 .47826 L
.61838 .47862 L
.61555 .48309 L
.61355 .48501 L
.61113 .48792 L
.60872 .49142 L
.60737 .49275 L
.60388 .49752 L
.6036 .49758 L
.60021 .50242 L
.59905 .50326 L
.59556 .50725 L
.59422 .5092 L
.5913 .51208 L
.58939 .5153 L
.58679 .51691 L
.58456 .51923 L
.58162 .52174 L
.57973 .52318 L
.57674 .52174 L
.57925 .51691 L
.57973 .5162 L
.58231 .51208 L
.58456 .50873 L
.58547 .50725 L
.58873 .50242 L
.58939 .50089 L
.5915 .49758 L
.59422 .49375 L
.59485 .49275 L
.59807 .48792 L
.59905 .48649 L
.60177 .48309 L
.60388 .4794 L
.60455 .47826 L
.60831 .47342 L
.60872 .47293 L
.6125 .46859 L
.61355 .46623 L
.61539 .46376 L
.61838 .4596 L
.61844 .45893 L
.62251 .4541 L
.62321 .45329 L
.62647 .44927 L
.62804 .44675 L
.62947 .44443 L
.63288 .44026 L
.63342 .4396 L
.63748 .43477 L
.63771 .43406 L
.64077 .42994 L
.64254 .42768 L
.64364 .42511 L
.64737 .42132 L
.64825 .42027 L
.65206 .41544 L
.6522 .41525 L
.65563 .41061 L
.65704 .40925 L
.65988 .40578 L
.66187 .40331 L
.66402 .40095 L
.6667 .39757 L
.66841 .39612 L
.67153 .39285 L
.67346 .39128 L
F
0 .98 1 r
.63288 .3421 m
.63724 .34296 L
.63486 .3478 L
.63288 .35134 L
.63205 .35263 L
.62982 .35746 L
.62804 .35884 L
.62564 .36229 L
.62321 .36589 L
.62231 .36712 L
.61914 .37196 L
.61838 .37298 L
.61535 .37679 L
.61355 .37932 L
.6118 .38162 L
.60872 .38592 L
.6083 .38645 L
.60519 .39128 L
.60388 .39268 L
.60098 .39612 L
.59905 .39985 L
.5973 .40095 L
.59422 .4051 L
.59366 .40578 L
.58986 .41061 L
.58939 .4114 L
.58578 .41544 L
.58456 .41777 L
.581 .42027 L
.57973 .42154 L
.5789 .42027 L
.57952 .41544 L
.57973 .41451 L
.58082 .41061 L
.58389 .40578 L
.58456 .40223 L
.58573 .40095 L
.58928 .39612 L
.58939 .39563 L
.59264 .39128 L
.59422 .38892 L
.59554 .38645 L
.59905 .38237 L
.59972 .38162 L
.60364 .37679 L
.60388 .37624 L
.60713 .37196 L
.60872 .36996 L
.60968 .36712 L
.61355 .36372 L
.61482 .36229 L
.61838 .35766 L
.6188 .35746 L
.62283 .35263 L
.62321 .3523 L
.62732 .3478 L
.62804 .34694 L
.63226 .34296 L
F
0 .96 1 r
.69569 .38489 m
.69725 .38645 L
.69615 .39128 L
.69569 .39206 L
.69373 .39612 L
.69086 .40095 L
.69086 .40108 L
.68766 .40578 L
.68603 .40971 L
.68503 .41061 L
.6813 .41544 L
.68119 .4156 L
.67721 .42027 L
.67636 .42269 L
.67437 .42511 L
.67153 .42955 L
.67133 .42994 L
.66735 .43477 L
.6667 .43566 L
.6634 .4396 L
.66187 .44238 L
.66043 .44443 L
.65704 .44892 L
.65658 .44927 L
.65241 .4541 L
.6522 .45516 L
.64932 .45893 L
.64737 .46177 L
.64639 .46376 L
.64254 .46823 L
.64213 .46859 L
.63828 .47342 L
.63771 .4745 L
.63513 .47826 L
.63288 .48104 L
.63254 .48309 L
.62804 .48749 L
.62761 .48792 L
.62395 .49275 L
.62321 .49374 L
.6209 .49758 L
.61838 .50022 L
.61661 .50242 L
.61355 .50665 L
.61297 .50725 L
.60941 .51208 L
.60872 .51281 L
.60649 .51691 L
.60388 .51916 L
.60176 .52174 L
.59905 .52545 L
.598 .52658 L
.59422 .5314 L
.5942 .53141 L
.59011 .53624 L
.58939 .53712 L
.58557 .54107 L
.58456 .54219 L
.57973 .54301 L
.57915 .54107 L
.57963 .53624 L
.57973 .53598 L
.5816 .53141 L
.58456 .52677 L
.58467 .52658 L
.58841 .52174 L
.58939 .51941 L
.59153 .51691 L
.59422 .51255 L
.59468 .51208 L
.5982 .50725 L
.59905 .50617 L
.60286 .50242 L
.60388 .49943 L
.60551 .49758 L
.60872 .4929 L
.60881 .49275 L
.61238 .48792 L
.61355 .48648 L
.61669 .48309 L
.61838 .47988 L
.6196 .47826 L
.62321 .47344 L
.62323 .47342 L
.62679 .46859 L
.62804 .46709 L
.63075 .46376 L
.63288 .46053 L
.6338 .45893 L
.6377 .4541 L
.63771 .45409 L
.64194 .44927 L
.64254 .44783 L
.64496 .44443 L
.64737 .4413 L
.6479 .4396 L
.6522 .43486 L
.65228 .43477 L
.65616 .42994 L
.65704 .42872 L
.65929 .42511 L
.66187 .42227 L
.66338 .42027 L
.6667 .41591 L
.66709 .41544 L
.67083 .41061 L
.67153 .40995 L
.674 .40578 L
.67636 .40384 L
.67874 .40095 L
.68119 .39792 L
.68287 .39612 L
.68603 .39235 L
.68733 .39128 L
.69086 .38676 L
.69284 .38645 L
F
1 .96 0 r
.66187 .36411 m
.66652 .36712 L
.66419 .37196 L
.66187 .37607 L
.66143 .37679 L
.65871 .38162 L
.65704 .38363 L
.65514 .38645 L
.6522 .39075 L
.65183 .39128 L
.64842 .39612 L
.64737 .39793 L
.64568 .40095 L
.64254 .40528 L
.64141 .40578 L
.63785 .41061 L
.63771 .41092 L
.63455 .41544 L
.63288 .41774 L
.63209 .42027 L
.62804 .42456 L
.62713 .42511 L
.62355 .42994 L
.62321 .43044 L
.62041 .43477 L
.61838 .43707 L
.61622 .4396 L
.61355 .44371 L
.61259 .44443 L
.60902 .44927 L
.60872 .44963 L
.60602 .4541 L
.60388 .4561 L
.60147 .45893 L
.59905 .46258 L
.59774 .46376 L
.59422 .46836 L
.59402 .46859 L
.59006 .47342 L
.58939 .47437 L
.58579 .47826 L
.58456 .47995 L
.57973 .48159 L
.57937 .47826 L
.57973 .47525 L
.58015 .47342 L
.58239 .46859 L
.58456 .46455 L
.58503 .46376 L
.58876 .45893 L
.58939 .45728 L
.59187 .4541 L
.59422 .45041 L
.59495 .44927 L
.59865 .44443 L
.59905 .44398 L
.60304 .4396 L
.60388 .43736 L
.60591 .43477 L
.60872 .43073 L
.60901 .42994 L
.6129 .42511 L
.61355 .42442 L
.61706 .42027 L
.61838 .41791 L
.62006 .41544 L
.62321 .41141 L
.62383 .41061 L
.62802 .40578 L
.62804 .40524 L
.63137 .40095 L
.63288 .39892 L
.6344 .39612 L
.63771 .3926 L
.63877 .39128 L
.64254 .38651 L
.6426 .38645 L
.64642 .38162 L
.64737 .38071 L
.64941 .37679 L
.6522 .37495 L
.65496 .37196 L
.65704 .36948 L
.65974 .36712 L
F
.62804 .36857 m
.63247 .37196 L
.62938 .37679 L
.62804 .37888 L
.62612 .38162 L
.62321 .38598 L
.62286 .38645 L
.6194 .39128 L
.61838 .39273 L
.61584 .39612 L
.61355 .39934 L
.6123 .40095 L
.60881 .40578 L
.60872 .40588 L
.60501 .41061 L
.60388 .41297 L
.60121 .41544 L
.59905 .41832 L
.59738 .42027 L
.59422 .42432 L
.59351 .42511 L
.5895 .42994 L
.58939 .43018 L
.58525 .43477 L
.58456 .43568 L
.57977 .43477 L
.58331 .42994 L
.58456 .428 L
.5863 .42511 L
.58917 .42027 L
.58939 .4198 L
.59212 .41544 L
.59422 .41228 L
.59533 .41061 L
.5987 .40578 L
.59905 .40518 L
.60136 .40095 L
.60388 .39815 L
.60567 .39612 L
.60872 .39208 L
.60934 .39128 L
.61299 .38645 L
.61355 .38581 L
.61535 .38162 L
.61838 .37953 L
.62088 .37679 L
.62321 .3727 L
.62505 .37196 L
F
1 .76 0 r
.58939 .16143 m
.59422 .1629 L
.59556 .16419 L
.59843 .16902 L
.59905 .1702 L
.59987 .17385 L
.6004 .17868 L
.60014 .18351 L
.59905 .18819 L
.59901 .18835 L
.59678 .19318 L
.59422 .19609 L
.58939 .19753 L
.58456 .19463 L
.58316 .19318 L
.58076 .18835 L
.58001 .18351 L
.57986 .17868 L
.58016 .17385 L
.58128 .16902 L
.58456 .16437 L
.58473 .16419 L
F
1 .98 0 r
.71985 .41181 m
.72451 .41544 L
.72311 .42027 L
.71988 .42511 L
.71985 .42517 L
.71606 .42994 L
.71502 .43376 L
.71365 .43477 L
.7105 .4396 L
.71019 .44005 L
.70717 .44443 L
.70535 .44706 L
.70306 .44927 L
.70052 .45376 L
.70009 .4541 L
.69659 .45893 L
.69569 .46009 L
.69163 .46376 L
.69086 .46674 L
.68912 .46859 L
.68603 .4732 L
.68585 .47342 L
.68223 .47826 L
.68119 .47955 L
.67781 .48309 L
.67636 .48612 L
.67493 .48792 L
.67153 .49255 L
.67149 .49275 L
.66776 .49758 L
.6667 .49888 L
.66375 .50242 L
.66187 .50543 L
.66072 .50725 L
.65704 .51188 L
.65685 .51208 L
.65258 .51691 L
.6522 .51817 L
.64957 .52174 L
.64737 .52471 L
.64661 .52658 L
.64254 .53118 L
.64234 .53141 L
.63846 .53624 L
.63771 .53742 L
.63535 .54107 L
.63288 .54396 L
.6314 .5459 L
.62804 .55044 L
.62779 .55073 L
.62414 .55557 L
.62321 .5566 L
.62113 .5604 L
.61838 .5631 L
.61676 .56523 L
.61355 .56954 L
.61311 .57006 L
.60954 .57489 L
.60872 .57558 L
.60664 .57973 L
.60388 .58184 L
.60173 .58456 L
.59905 .58798 L
.59781 .58939 L
.59422 .59375 L
.59371 .59422 L
.58939 .59891 L
.58911 .59905 L
.58456 .6025 L
.58091 .59905 L
.58212 .59422 L
.58456 .5905 L
.58516 .58939 L
.58863 .58456 L
.58939 .58236 L
.59176 .57973 L
.59422 .57582 L
.59479 .57489 L
.59822 .57006 L
.59905 .5689 L
.60302 .56523 L
.60388 .56199 L
.60551 .5604 L
.60872 .5556 L
.60879 .55557 L
.61232 .55073 L
.61355 .5491 L
.61671 .5459 L
.61838 .54245 L
.61958 .54107 L
.62316 .53624 L
.62321 .53618 L
.62672 .53141 L
.62804 .52969 L
.63074 .52658 L
.63288 .52311 L
.63379 .52174 L
.63762 .51691 L
.63771 .51681 L
.64197 .51208 L
.64254 .51037 L
.6449 .50725 L
.64737 .50382 L
.64792 .50242 L
.65211 .49758 L
.6522 .49748 L
.65605 .49275 L
.65704 .49108 L
.65909 .48792 L
.66187 .48454 L
.66302 .48309 L
.66662 .47826 L
.6667 .47818 L
.67029 .47342 L
.67153 .47184 L
.67324 .46859 L
.67636 .46531 L
.67758 .46376 L
.68118 .45893 L
.68119 .45891 L
.68465 .4541 L
.68603 .45268 L
.6873 .44927 L
.69086 .44619 L
.69225 .44443 L
.69569 .43983 L
.69589 .4396 L
.6993 .43477 L
.70052 .4338 L
.70353 .42994 L
.70535 .4276 L
.70745 .42511 L
.71019 .42164 L
.71151 .42027 L
.71502 .41611 L
.71594 .41544 L
F
0 .96 1 r
.70535 .41029 m
.71019 .40785 L
.71117 .41061 L
.71019 .41382 L
.70956 .41544 L
.70721 .42027 L
.70535 .42337 L
.70437 .42511 L
.70132 .42994 L
.70052 .43129 L
.69759 .43477 L
.69569 .43884 L
.69481 .4396 L
.69129 .44443 L
.69086 .44502 L
.68673 .44927 L
.68603 .45188 L
.68407 .4541 L
.68119 .45853 L
.68091 .45893 L
.67718 .46376 L
.67636 .46482 L
.67296 .46859 L
.67153 .47145 L
.67003 .47342 L
.6667 .47793 L
.66636 .47826 L
.66278 .48309 L
.66187 .48425 L
.6589 .48792 L
.65704 .49081 L
.65589 .49275 L
.6522 .49726 L
.65189 .49758 L
.64782 .50242 L
.64737 .50356 L
.64471 .50725 L
.64254 .51009 L
.64186 .51208 L
.63771 .51654 L
.63737 .51691 L
.63359 .52174 L
.63288 .52279 L
.63046 .52658 L
.62804 .52927 L
.62638 .53141 L
.62321 .53571 L
.62275 .53624 L
.61913 .54107 L
.61838 .54187 L
.61612 .5459 L
.61355 .54823 L
.61156 .55073 L
.60872 .55454 L
.60781 .55557 L
.60405 .5604 L
.60388 .56052 L
.60084 .56523 L
.59905 .56634 L
.59572 .57006 L
.59422 .57192 L
.59113 .57489 L
.58939 .57713 L
.5857 .57973 L
.58456 .58064 L
.58098 .57973 L
.58302 .57489 L
.58456 .57213 L
.58563 .57006 L
.58883 .56523 L
.58939 .56286 L
.59132 .5604 L
.59422 .55581 L
.59437 .55557 L
.59751 .55073 L
.59905 .54833 L
.6013 .5459 L
.60388 .54136 L
.60424 .54107 L
.60778 .53624 L
.60872 .53499 L
.61219 .53141 L
.61355 .52824 L
.61498 .52658 L
.61838 .52182 L
.61841 .52174 L
.62201 .51691 L
.62321 .51537 L
.6261 .51208 L
.62804 .50877 L
.62911 .50725 L
.63287 .50242 L
.63288 .50241 L
.63734 .49758 L
.63771 .496 L
.64022 .49275 L
.64254 .48944 L
.64325 .48792 L
.64735 .48309 L
.64737 .48307 L
.65136 .47826 L
.6522 .47672 L
.65442 .47342 L
.65704 .47019 L
.65718 .46859 L
.66187 .46379 L
.66189 .46376 L
.66563 .45893 L
.6667 .45754 L
.66866 .4541 L
.67153 .45105 L
.67293 .44927 L
.67636 .44467 L
.67657 .44443 L
.68016 .4396 L
.68119 .43858 L
.68302 .43477 L
.68603 .43228 L
.68792 .42994 L
.69086 .42612 L
.69179 .42511 L
.69569 .42033 L
.69576 .42027 L
.70009 .41544 L
.70052 .41497 L
.70504 .41061 L
F
1 .98 0 r
.58939 .38011 m
.59312 .38162 L
.58947 .38645 L
.58939 .38657 L
.58531 .39128 L
.58456 .39219 L
.58131 .39128 L
.58451 .38645 L
.58456 .3864 L
.58819 .38162 L
F
1 .9 0 r
.67153 .3944 m
.6755 .39612 L
.67342 .40095 L
.67153 .4044 L
.67072 .40578 L
.66792 .41061 L
.6667 .41316 L
.66619 .41544 L
.66187 .41942 L
.66128 .42027 L
.65781 .42511 L
.65704 .42656 L
.65494 .42994 L
.6522 .4338 L
.65094 .43477 L
.64741 .4396 L
.64737 .43971 L
.64396 .44443 L
.64254 .44647 L
.64126 .44927 L
.63771 .45323 L
.63668 .4541 L
.63306 .45893 L
.63288 .45924 L
.62978 .46376 L
.62804 .4658 L
.62575 .46859 L
.62321 .47238 L
.62209 .47342 L
.61846 .47826 L
.61838 .47836 L
.61526 .48309 L
.61355 .4847 L
.61086 .48792 L
.60872 .49108 L
.60703 .49275 L
.60388 .49739 L
.60318 .49758 L
.59933 .50242 L
.59905 .50261 L
.5949 .50725 L
.59422 .50824 L
.59029 .51208 L
.58939 .51369 L
.5849 .51691 L
.58456 .51719 L
.5817 .51691 L
.58378 .51208 L
.58456 .51078 L
.58652 .50725 L
.58939 .50246 L
.58942 .50242 L
.59209 .49758 L
.59422 .49465 L
.59539 .49275 L
.59855 .48792 L
.59905 .48717 L
.60212 .48309 L
.60388 .47985 L
.60477 .47826 L
.60863 .47342 L
.60872 .47332 L
.61269 .46859 L
.61355 .46658 L
.61561 .46376 L
.61838 .45988 L
.61847 .45893 L
.62274 .4541 L
.62321 .45356 L
.62665 .44927 L
.62804 .44704 L
.62965 .44443 L
.63288 .44053 L
.63365 .4396 L
.63756 .43477 L
.63771 .43433 L
.64101 .42994 L
.64254 .42802 L
.64386 .42511 L
.64737 .4217 L
.64858 .42027 L
.6522 .41561 L
.6524 .41544 L
.65615 .41061 L
.65704 .4098 L
.66045 .40578 L
.66187 .40405 L
.66481 .40095 L
.6667 .39854 L
.66969 .39612 L
F
0 .94 1 r
.68603 .3944 m
.69086 .39184 L
.69156 .39612 L
.69086 .39786 L
.68946 .40095 L
.68676 .40578 L
.68603 .40798 L
.68445 .41061 L
.68119 .41468 L
.6807 .41544 L
.67693 .42027 L
.67636 .42204 L
.67404 .42511 L
.67153 .4293 L
.67125 .42994 L
.66709 .43477 L
.6667 .43531 L
.66323 .4396 L
.66187 .44212 L
.66027 .44443 L
.65704 .44879 L
.65641 .44927 L
.65237 .4541 L
.6522 .45496 L
.6492 .45893 L
.64737 .46159 L
.6463 .46376 L
.64254 .46811 L
.642 .46859 L
.63819 .47342 L
.63771 .47433 L
.63501 .47826 L
.63288 .48088 L
.63248 .48309 L
.62804 .48735 L
.62746 .48792 L
.62381 .49275 L
.62321 .49354 L
.62072 .49758 L
.61838 .49999 L
.6164 .50242 L
.61355 .5064 L
.61273 .50725 L
.60911 .51208 L
.60872 .51248 L
.60606 .51691 L
.60388 .51869 L
.60132 .52174 L
.59905 .52485 L
.59739 .52658 L
.59422 .53077 L
.59332 .53141 L
.58939 .53572 L
.5888 .53624 L
.58456 .53949 L
.58177 .53624 L
.58297 .53141 L
.58456 .52876 L
.58571 .52658 L
.58899 .52174 L
.58939 .52062 L
.59216 .51691 L
.59422 .51312 L
.59511 .51208 L
.59867 .50725 L
.59905 .50675 L
.60313 .50242 L
.60388 .49987 L
.60582 .49758 L
.60872 .49318 L
.60896 .49275 L
.61262 .48792 L
.61355 .48677 L
.61687 .48309 L
.61838 .48013 L
.61977 .47826 L
.62321 .47363 L
.6234 .47342 L
.62696 .46859 L
.62804 .46729 L
.63089 .46376 L
.63288 .46074 L
.63391 .45893 L
.63771 .45428 L
.63787 .4541 L
.64203 .44927 L
.64254 .44804 L
.64512 .44443 L
.64737 .44155 L
.648 .4396 L
.6522 .43513 L
.65251 .43477 L
.65635 .42994 L
.65704 .42902 L
.65957 .42511 L
.66187 .42268 L
.66374 .42027 L
.6667 .41643 L
.66755 .41544 L
.6714 .41061 L
.67153 .41049 L
.67495 .40578 L
.67636 .40477 L
.67977 .40095 L
.68119 .39929 L
.68454 .39612 L
F
1 .96 0 r
.70052 .39736 m
.70363 .40095 L
.70181 .40578 L
.70052 .4079 L
.69907 .41061 L
.69614 .41544 L
.69569 .41626 L
.69263 .42027 L
.69086 .42428 L
.6899 .42511 L
.6863 .42994 L
.68603 .43032 L
.68198 .43477 L
.68119 .43728 L
.67922 .4396 L
.67636 .44402 L
.6761 .44443 L
.67227 .44927 L
.67153 .45024 L
.66818 .4541 L
.6667 .45691 L
.66522 .45893 L
.66187 .46342 L
.66147 .46376 L
.65711 .46859 L
.65704 .4697 L
.65411 .47342 L
.6522 .47628 L
.65113 .47826 L
.64737 .48274 L
.64701 .48309 L
.64306 .48792 L
.64254 .48903 L
.63992 .49275 L
.63771 .49556 L
.63718 .49758 L
.63288 .50201 L
.63249 .50242 L
.62878 .50725 L
.62804 .50826 L
.62567 .51208 L
.62321 .51475 L
.62149 .51691 L
.61838 .52117 L
.61786 .52174 L
.61427 .52658 L
.61355 .52734 L
.61132 .53141 L
.60872 .53369 L
.60666 .53624 L
.60388 .53998 L
.60289 .54107 L
.59911 .5459 L
.59905 .54595 L
.595 .55073 L
.59422 .55171 L
.59061 .55557 L
.58939 .55709 L
.58537 .5604 L
.58456 .56155 L
.58188 .5604 L
.58276 .55557 L
.58456 .55091 L
.58463 .55073 L
.58764 .5459 L
.58939 .54169 L
.58974 .54107 L
.59278 .53624 L
.59422 .53397 L
.59653 .53141 L
.59905 .52695 L
.59948 .52658 L
.60299 .52174 L
.60388 .52057 L
.60747 .51691 L
.60872 .51383 L
.61023 .51208 L
.61355 .50736 L
.61361 .50725 L
.61719 .50242 L
.61838 .50093 L
.62138 .49758 L
.62321 .49433 L
.62436 .49275 L
.62804 .48792 L
.62805 .48792 L
.63269 .48309 L
.63288 .48154 L
.63548 .47826 L
.63771 .47498 L
.63853 .47342 L
.64252 .46859 L
.64254 .46858 L
.64664 .46376 L
.64737 .46227 L
.64969 .45893 L
.6522 .45574 L
.65256 .4541 L
.65704 .44932 L
.65708 .44927 L
.66089 .44443 L
.66187 .44312 L
.66397 .4396 L
.6667 .43665 L
.66815 .43477 L
.67153 .43028 L
.67182 .42994 L
.67548 .42511 L
.67636 .42425 L
.67849 .42027 L
.68119 .41804 L
.6833 .41544 L
.68603 .41198 L
.68729 .41061 L
.69086 .40627 L
.69146 .40578 L
.69569 .40131 L
.69612 .40095 L
F
1 .94 0 r
.6522 .37705 m
.657 .38162 L
.65406 .38645 L
.6522 .38936 L
.65093 .39128 L
.64773 .39612 L
.64737 .39676 L
.64508 .40095 L
.64254 .40466 L
.64087 .40578 L
.63771 .41024 L
.63743 .41061 L
.63411 .41544 L
.63288 .41713 L
.63175 .42027 L
.62804 .42421 L
.62673 .42511 L
.62321 .42991 L
.62319 .42994 L
.61997 .43477 L
.61838 .43655 L
.61583 .4396 L
.61355 .44331 L
.61216 .44443 L
.60872 .44904 L
.60853 .44927 L
.60534 .4541 L
.60388 .45541 L
.60091 .45893 L
.59905 .46187 L
.59704 .46376 L
.59422 .46734 L
.59309 .46859 L
.58939 .47291 L
.58885 .47342 L
.58456 .47721 L
.58213 .47342 L
.5837 .46859 L
.58456 .46689 L
.58622 .46376 L
.58935 .45893 L
.58939 .4588 L
.59269 .4541 L
.59422 .45149 L
.59553 .44927 L
.59905 .44466 L
.59939 .44443 L
.60343 .4396 L
.60388 .43822 L
.60649 .43477 L
.60872 .43148 L
.60928 .42994 L
.6135 .42511 L
.61355 .42506 L
.61749 .42027 L
.61838 .41865 L
.62056 .41544 L
.62321 .41216 L
.62444 .41061 L
.62804 .40589 L
.62816 .40578 L
.63198 .40095 L
.63288 .39981 L
.63511 .39612 L
.63771 .39365 L
.63969 .39128 L
.64254 .38761 L
.64374 .38645 L
.64737 .38167 L
.64794 .38162 L
F
0 .92 1 r
.66187 .38519 m
.6667 .38165 L
.66777 .38645 L
.6667 .38872 L
.66533 .39128 L
.66271 .39612 L
.66187 .39717 L
.65944 .40095 L
.65704 .40455 L
.6562 .40578 L
.65286 .41061 L
.6522 .4118 L
.65008 .41544 L
.64737 .41929 L
.64596 .42027 L
.64254 .42504 L
.64249 .42511 L
.63908 .42994 L
.63771 .43186 L
.63653 .43477 L
.63288 .43874 L
.63174 .4396 L
.62817 .44443 L
.62804 .44463 L
.62492 .44927 L
.62321 .45122 L
.62083 .4541 L
.61838 .45787 L
.61716 .45893 L
.61355 .46375 L
.61354 .46376 L
.61039 .46859 L
.60872 .47012 L
.60593 .47342 L
.60388 .47654 L
.60209 .47826 L
.59905 .48213 L
.5982 .48309 L
.59422 .48787 L
.59417 .48792 L
.58968 .49275 L
.58939 .49321 L
.58456 .49739 L
.58371 .49275 L
.58456 .49082 L
.58584 .48792 L
.58856 .48309 L
.58939 .47986 L
.59094 .47826 L
.59398 .47342 L
.59422 .47305 L
.59749 .46859 L
.59905 .46561 L
.60013 .46376 L
.60388 .45895 L
.60395 .45893 L
.60801 .4541 L
.60872 .4523 L
.61098 .44927 L
.61355 .44559 L
.61383 .44443 L
.61806 .4396 L
.61838 .43924 L
.62202 .43477 L
.62321 .43277 L
.62505 .42994 L
.62804 .42626 L
.62898 .42511 L
.63283 .42027 L
.63288 .42005 L
.63643 .41544 L
.63771 .41382 L
.63939 .41061 L
.64254 .40755 L
.64403 .40578 L
.64737 .40147 L
.64793 .40095 L
.65187 .39612 L
.6522 .39582 L
.65524 .39128 L
.65704 .3903 L
.66083 .38645 L
F
.68119 .40073 m
.68603 .39713 L
.68782 .40095 L
.68603 .40519 L
.68573 .40578 L
.68374 .41061 L
.68119 .41366 L
.6801 .41544 L
.67668 .42027 L
.67636 .42131 L
.6737 .42511 L
.67153 .42897 L
.67115 .42994 L
.66683 .43477 L
.6667 .43495 L
.66305 .4396 L
.66187 .44184 L
.66012 .44443 L
.65704 .44864 L
.65624 .44927 L
.65233 .4541 L
.6522 .45476 L
.64907 .45893 L
.64737 .46141 L
.64621 .46376 L
.64254 .46799 L
.64187 .46859 L
.63811 .47342 L
.63771 .47417 L
.63488 .47826 L
.63288 .48071 L
.6324 .48309 L
.62804 .4872 L
.62731 .48792 L
.62367 .49275 L
.62321 .49334 L
.62053 .49758 L
.61838 .49975 L
.6162 .50242 L
.61355 .50614 L
.61248 .50725 L
.60878 .51208 L
.60872 .51214 L
.60555 .51691 L
.60388 .51822 L
.60086 .52174 L
.59905 .52422 L
.59673 .52658 L
.59422 .53004 L
.59225 .53141 L
.58939 .5342 L
.58474 .53141 L
.58676 .52658 L
.58939 .52205 L
.58956 .52174 L
.59274 .51691 L
.59422 .51385 L
.5955 .51208 L
.59905 .50735 L
.59912 .50725 L
.60334 .50242 L
.60388 .50032 L
.60611 .49758 L
.60872 .49345 L
.6091 .49275 L
.61285 .48792 L
.61355 .48705 L
.61703 .48309 L
.61838 .48038 L
.61993 .47826 L
.62321 .47382 L
.62357 .47342 L
.62713 .46859 L
.62804 .46749 L
.63103 .46376 L
.63288 .46094 L
.63403 .45893 L
.63771 .45447 L
.63803 .4541 L
.64211 .44927 L
.64254 .44825 L
.64529 .44443 L
.64737 .44179 L
.64811 .4396 L
.6522 .43539 L
.65273 .43477 L
.65655 .42994 L
.65704 .42931 L
.65987 .42511 L
.66187 .42309 L
.6641 .42027 L
.6667 .41693 L
.66802 .41544 L
.67153 .41103 L
.67203 .41061 L
.67619 .40578 L
.67636 .40567 L
.681 .40095 L
F
1 .92 0 r
.6522 .37945 m
.65504 .38162 L
.65285 .38645 L
.6522 .38759 L
.64996 .39128 L
.64737 .39546 L
.64693 .39612 L
.64432 .40095 L
.64254 .40368 L
.64032 .40578 L
.63771 .40953 L
.63692 .41061 L
.63361 .41544 L
.63288 .41645 L
.6313 .42027 L
.62804 .42374 L
.62632 .42511 L
.62321 .42937 L
.62277 .42994 L
.61948 .43477 L
.61838 .43598 L
.61542 .4396 L
.61355 .44283 L
.61171 .44443 L
.60872 .44842 L
.60802 .44927 L
.60453 .4541 L
.60388 .45466 L
.6003 .45893 L
.59905 .461 L
.59624 .46376 L
.59422 .46625 L
.59192 .46859 L
.58939 .47128 L
.58534 .46859 L
.58745 .46376 L
.58939 .4605 L
.59032 .45893 L
.59348 .4541 L
.59422 .45276 L
.59615 .44927 L
.59905 .44523 L
.60008 .44443 L
.60372 .4396 L
.60388 .43909 L
.60703 .43477 L
.60872 .43225 L
.60957 .42994 L
.61355 .42558 L
.61408 .42511 L
.61789 .42027 L
.61838 .41938 L
.6211 .41544 L
.62321 .41291 L
.62505 .41061 L
.62804 .40653 L
.62883 .40578 L
.63264 .40095 L
.63288 .40067 L
.63605 .39612 L
.63771 .3947 L
.64068 .39128 L
.64254 .38881 L
.64502 .38645 L
.64737 .38239 L
.64984 .38162 L
F
1 .94 0 r
.69569 .40392 m
.69912 .40578 L
.6975 .41061 L
.69569 .41412 L
.69499 .41544 L
.69194 .42027 L
.69086 .42324 L
.68942 .42511 L
.68603 .4296 L
.6858 .42994 L
.68176 .43477 L
.68119 .43679 L
.67894 .4396 L
.67636 .4438 L
.67599 .44443 L
.67205 .44927 L
.67153 .44996 L
.66804 .4541 L
.6667 .4567 L
.66509 .45893 L
.66187 .46329 L
.66133 .46376 L
.6571 .46859 L
.65704 .46954 L
.65401 .47342 L
.6522 .47614 L
.65105 .47826 L
.64737 .48263 L
.6469 .48309 L
.64299 .48792 L
.64254 .48889 L
.63982 .49275 L
.63771 .49542 L
.63712 .49758 L
.63288 .50187 L
.63236 .50242 L
.62866 .50725 L
.62804 .50809 L
.62552 .51208 L
.62321 .51454 L
.62131 .51691 L
.61838 .52094 L
.61764 .52174 L
.61401 .52658 L
.61355 .52705 L
.61094 .53141 L
.60872 .53327 L
.60626 .53624 L
.60388 .53942 L
.60234 .54107 L
.59905 .54533 L
.59828 .5459 L
.59422 .5504 L
.59385 .55073 L
.58939 .55462 L
.58654 .55073 L
.58859 .5459 L
.58939 .5437 L
.59071 .54107 L
.59357 .53624 L
.59422 .53511 L
.59708 .53141 L
.59905 .52738 L
.59982 .52658 L
.60338 .52174 L
.60388 .52106 L
.60771 .51691 L
.60872 .51419 L
.61048 .51208 L
.61355 .50756 L
.6137 .50725 L
.61739 .50242 L
.61838 .50116 L
.62153 .49758 L
.62321 .49452 L
.62449 .49275 L
.62804 .48807 L
.62818 .48792 L
.63272 .48309 L
.63288 .4817 L
.63559 .47826 L
.63771 .47515 L
.63861 .47342 L
.64254 .46872 L
.64265 .46859 L
.64672 .46376 L
.64737 .46244 L
.64982 .45893 L
.6522 .45593 L
.65261 .4541 L
.65704 .44952 L
.65726 .44927 L
.66104 .44443 L
.66187 .44336 L
.66418 .4396 L
.6667 .43696 L
.66842 .43477 L
.67153 .43066 L
.67216 .42994 L
.67591 .42511 L
.67636 .4247 L
.67916 .42027 L
.68119 .41875 L
.68404 .41544 L
.68603 .413 L
.68841 .41061 L
.69086 .40762 L
.69345 .40578 L
F
0 .9 1 r
.68119 .40229 m
.68449 .40578 L
.68279 .41061 L
.68119 .41248 L
.67949 .41544 L
.67642 .42027 L
.67636 .42049 L
.67336 .42511 L
.67153 .42855 L
.67103 .42994 L
.6667 .43459 L
.66657 .43477 L
.66289 .4396 L
.66187 .44155 L
.65996 .44443 L
.65704 .44848 L
.65607 .44927 L
.65229 .4541 L
.6522 .45456 L
.64894 .45893 L
.64737 .46123 L
.64611 .46376 L
.64254 .46786 L
.64173 .46859 L
.63802 .47342 L
.63771 .474 L
.63475 .47826 L
.63288 .48053 L
.63232 .48309 L
.62804 .48704 L
.62716 .48792 L
.62352 .49275 L
.62321 .49314 L
.62032 .49758 L
.61838 .49951 L
.61599 .50242 L
.61355 .50588 L
.61222 .50725 L
.60872 .51196 L
.60845 .51208 L
.60498 .51691 L
.60388 .51773 L
.60037 .52174 L
.59905 .52354 L
.59597 .52658 L
.59422 .52908 L
.59075 .53141 L
.58939 .53245 L
.58669 .53141 L
.58789 .52658 L
.58939 .52363 L
.59037 .52174 L
.59331 .51691 L
.59422 .51482 L
.59591 .51208 L
.59905 .50798 L
.59953 .50725 L
.60351 .50242 L
.60388 .50079 L
.60638 .49758 L
.60872 .49375 L
.60923 .49275 L
.61309 .48792 L
.61355 .48734 L
.61719 .48309 L
.61838 .48063 L
.6201 .47826 L
.62321 .47401 L
.62374 .47342 L
.62729 .46859 L
.62804 .4677 L
.63117 .46376 L
.63288 .46115 L
.63415 .45893 L
.63771 .45466 L
.63819 .4541 L
.64219 .44927 L
.64254 .44845 L
.64545 .44443 L
.64737 .44203 L
.64823 .4396 L
.6522 .43565 L
.65296 .43477 L
.65675 .42994 L
.65704 .42958 L
.66019 .42511 L
.66187 .42348 L
.66448 .42027 L
.6667 .41743 L
.66852 .41544 L
.67153 .41158 L
.67272 .41061 L
.67636 .40664 L
.67732 .40578 L
F
0 .98 1 r
.72951 .42235 m
.73151 .42511 L
.72992 .42994 L
.72951 .43109 L
.72811 .43477 L
.72503 .4396 L
.72468 .44023 L
.72092 .44443 L
.71985 .44831 L
.71858 .44927 L
.71546 .4541 L
.71502 .45469 L
.7121 .45893 L
.71019 .46162 L
.70789 .46376 L
.70535 .46826 L
.70495 .46859 L
.70148 .47342 L
.70052 .47463 L
.69793 .47826 L
.69569 .48126 L
.69393 .48309 L
.69086 .48771 L
.69069 .48792 L
.6871 .49275 L
.68603 .49407 L
.68253 .49758 L
.68119 .50063 L
.67973 .50242 L
.67636 .50707 L
.6763 .50725 L
.67263 .51208 L
.67153 .51339 L
.66851 .51691 L
.6667 .51994 L
.6655 .52174 L
.66187 .5264 L
.66172 .52658 L
.65727 .53141 L
.65704 .53267 L
.65434 .53624 L
.6522 .53922 L
.65134 .54107 L
.64737 .5457 L
.64721 .5459 L
.64322 .55073 L
.64254 .55191 L
.64013 .55557 L
.63771 .55846 L
.63739 .5604 L
.63288 .56496 L
.63266 .56523 L
.62894 .57006 L
.62804 .57107 L
.62587 .57489 L
.62321 .5776 L
.62162 .57973 L
.61838 .58405 L
.61797 .58456 L
.61436 .58939 L
.61355 .59004 L
.6114 .59422 L
.60872 .59631 L
.60656 .59905 L
.60388 .60243 L
.60261 .60388 L
.59905 .60815 L
.59844 .60872 L
.59422 .61326 L
.59361 .61355 L
.58939 .61637 L
.58699 .61355 L
.58839 .60872 L
.58939 .60604 L
.59041 .60388 L
.5932 .59905 L
.59422 .59701 L
.59674 .59422 L
.59905 .59033 L
.59959 .58939 L
.60305 .58456 L
.60388 .58335 L
.60758 .57973 L
.60872 .5764 L
.61027 .57489 L
.61355 .57021 L
.61361 .57006 L
.61717 .56523 L
.61838 .56359 L
.62143 .5604 L
.62321 .55692 L
.62437 .55557 L
.62802 .55073 L
.62804 .5507 L
.63158 .5459 L
.63288 .54418 L
.6355 .54107 L
.63771 .53759 L
.63856 .53624 L
.64247 .53141 L
.64254 .53133 L
.64668 .52658 L
.64737 .52486 L
.64967 .52174 L
.6522 .51831 L
.65262 .51691 L
.65696 .51208 L
.65704 .512 L
.66081 .50725 L
.66187 .50558 L
.66385 .50242 L
.6667 .49904 L
.66788 .49758 L
.67152 .49275 L
.67153 .49269 L
.67507 .48792 L
.67636 .48632 L
.67796 .48309 L
.68119 .47979 L
.68243 .47826 L
.68602 .47342 L
.68603 .47341 L
.68943 .46859 L
.69086 .46713 L
.69194 .46376 L
.69569 .46065 L
.69707 .45893 L
.70052 .45428 L
.70069 .4541 L
.70402 .44927 L
.70535 .44818 L
.70828 .44443 L
.71019 .44192 L
.71213 .4396 L
.71502 .43586 L
.71607 .43477 L
.71985 .43022 L
.72025 .42994 L
.72468 .42546 L
.72512 .42511 L
F
0 .9 1 r
.65704 .39156 m
.66167 .39612 L
.65877 .40095 L
.65704 .40367 L
.65565 .40578 L
.65245 .41061 L
.6522 .41106 L
.64969 .41544 L
.64737 .41884 L
.64563 .42027 L
.64254 .42462 L
.64218 .42511 L
.6388 .42994 L
.63771 .43147 L
.6363 .43477 L
.63288 .43848 L
.63149 .4396 L
.62804 .4443 L
.62794 .44443 L
.62464 .44927 L
.62321 .45088 L
.62057 .4541 L
.61838 .45758 L
.61688 .45893 L
.61355 .46337 L
.61322 .46376 L
.60991 .46859 L
.60872 .46966 L
.60555 .47342 L
.60388 .47601 L
.60159 .47826 L
.59905 .48143 L
.59751 .48309 L
.59422 .48687 L
.59309 .48792 L
.58939 .4914 L
.5872 .48792 L
.58926 .48309 L
.58939 .48254 L
.59173 .47826 L
.59422 .47413 L
.59465 .47342 L
.59795 .46859 L
.59905 .46636 L
.60049 .46376 L
.60388 .45915 L
.60438 .45893 L
.60824 .4541 L
.60872 .45283 L
.61131 .44927 L
.61355 .44604 L
.61394 .44443 L
.61838 .43962 L
.61841 .4396 L
.62228 .43477 L
.62321 .4332 L
.62535 .42994 L
.62804 .4267 L
.62933 .42511 L
.63288 .42042 L
.63304 .42027 L
.6368 .41544 L
.63771 .41433 L
.63984 .41061 L
.64254 .40816 L
.64457 .40578 L
.64737 .40208 L
.6486 .40095 L
.6522 .39672 L
.65279 .39612 L
F
1 .9 0 r
.64737 .38502 m
.65107 .38645 L
.64887 .39128 L
.64737 .39398 L
.64604 .39612 L
.64334 .40095 L
.64254 .40224 L
.63973 .40578 L
.63771 .40876 L
.63638 .41061 L
.63306 .41544 L
.63288 .41569 L
.63072 .42027 L
.62804 .42313 L
.62589 .42511 L
.62321 .42881 L
.62233 .42994 L
.61893 .43477 L
.61838 .43536 L
.615 .4396 L
.61355 .44223 L
.61123 .44443 L
.60872 .44778 L
.60747 .44927 L
.60388 .45386 L
.60368 .4541 L
.59963 .45893 L
.59905 .45992 L
.5953 .46376 L
.59422 .46503 L
.5901 .46859 L
.58939 .46915 L
.58769 .46859 L
.58883 .46376 L
.58939 .46268 L
.59137 .45893 L
.59422 .4543 L
.59435 .4541 L
.59692 .44927 L
.59905 .44613 L
.60078 .44443 L
.60388 .44 L
.60416 .4396 L
.60758 .43477 L
.60872 .43308 L
.60996 .42994 L
.61355 .42613 L
.61465 .42511 L
.61829 .42027 L
.61838 .42011 L
.62168 .41544 L
.62321 .41368 L
.62567 .41061 L
.62804 .40722 L
.62951 .40578 L
.63288 .40158 L
.63343 .40095 L
.63731 .39612 L
.63771 .39581 L
.64179 .39128 L
.64254 .39027 L
.64665 .38645 L
F
1 .88 0 r
.58939 .5041 m
.59411 .50725 L
.58939 .5115 L
.58772 .50725 L
F
0 .92 1 r
.58939 .44214 m
.59364 .44443 L
.58939 .44906 L
.58789 .44443 L
F
0 .94 1 r
.58939 .56715 m
.59392 .57006 L
.58939 .57275 L
.58836 .57006 L
F
0 .88 1 r
.58939 .4859 m
.59117 .48792 L
.58939 .48853 L
.5891 .48792 L
F
1 .92 0 r
.58939 .54694 m
.59136 .55073 L
.58939 .55108 L
.58914 .55073 L
F
1 .96 0 r
.71019 .42455 m
.71502 .42188 L
.71615 .42511 L
.71502 .42845 L
.71442 .42994 L
.71196 .43477 L
.71019 .43786 L
.70997 .4396 L
.70614 .44443 L
.70535 .44573 L
.70232 .44927 L
.70052 .4532 L
.69957 .4541 L
.69612 .45893 L
.69569 .45951 L
.69138 .46376 L
.69086 .46634 L
.68883 .46859 L
.68603 .47298 L
.68569 .47342 L
.68202 .47826 L
.68119 .4793 L
.67767 .48309 L
.67636 .48592 L
.6748 .48792 L
.67153 .49241 L
.67147 .49275 L
.66763 .49758 L
.6667 .49873 L
.66365 .50242 L
.66187 .50529 L
.66063 .50725 L
.65704 .51175 L
.65674 .51208 L
.65254 .51691 L
.6522 .51804 L
.64947 .52174 L
.64737 .52456 L
.64654 .52658 L
.64254 .53103 L
.64221 .53141 L
.63836 .53624 L
.63771 .53725 L
.6352 .54107 L
.63288 .54373 L
.63121 .5459 L
.62804 .55017 L
.62757 .55073 L
.62389 .55557 L
.62321 .5563 L
.62079 .5604 L
.61838 .56263 L
.61633 .56523 L
.61355 .5689 L
.61254 .57006 L
.60872 .57487 L
.60869 .57489 L
.60516 .57973 L
.60388 .58052 L
.60019 .58456 L
.59905 .58587 L
.59515 .58939 L
.59422 .59037 L
.58939 .59149 L
.58916 .58939 L
.58939 .58853 L
.59083 .58456 L
.59343 .57973 L
.59422 .57825 L
.59591 .57489 L
.59905 .57043 L
.59928 .57006 L
.6035 .56523 L
.60388 .5629 L
.6061 .5604 L
.60872 .55581 L
.60907 .55557 L
.61269 .55073 L
.61355 .54956 L
.61695 .5459 L
.61838 .54276 L
.6198 .54107 L
.62321 .53633 L
.62322 .53624 L
.62689 .53141 L
.62804 .5299 L
.63087 .52658 L
.63288 .52328 L
.63389 .52174 L
.63771 .51694 L
.63774 .51691 L
.64203 .51208 L
.64254 .51051 L
.645 .50725 L
.64737 .50395 L
.64797 .50242 L
.6522 .49759 L
.65221 .49758 L
.65612 .49275 L
.65704 .49122 L
.65919 .48792 L
.66187 .48469 L
.66315 .48309 L
.6667 .47831 L
.66675 .47826 L
.67042 .47342 L
.67153 .47203 L
.67339 .46859 L
.67636 .46555 L
.67779 .46376 L
.68119 .45918 L
.68142 .45893 L
.68496 .4541 L
.68603 .45305 L
.6877 .44927 L
.69086 .44674 L
.69276 .44443 L
.69569 .44057 L
.6966 .4396 L
.70052 .43478 L
.70053 .43477 L
.70484 .42994 L
.70535 .42934 L
.70968 .42511 L
F
0 .88 1 r
.68119 .40416 m
.68291 .40578 L
.6815 .41061 L
.68119 .41099 L
.67886 .41544 L
.67636 .41966 L
.67599 .42027 L
.673 .42511 L
.67153 .42802 L
.67087 .42994 L
.6667 .43421 L
.66631 .43477 L
.66272 .4396 L
.66187 .44125 L
.65979 .44443 L
.65704 .4483 L
.65591 .44927 L
.65225 .4541 L
.6522 .45435 L
.64882 .45893 L
.64737 .46105 L
.646 .46376 L
.64254 .46773 L
.6416 .46859 L
.63793 .47342 L
.63771 .47383 L
.63462 .47826 L
.63288 .48036 L
.63222 .48309 L
.62804 .48689 L
.627 .48792 L
.62336 .49275 L
.62321 .49294 L
.62011 .49758 L
.61838 .49927 L
.61578 .50242 L
.61355 .50561 L
.61196 .50725 L
.60872 .5118 L
.60811 .51208 L
.60433 .51691 L
.60388 .51723 L
.59983 .52174 L
.59905 .5228 L
.59508 .52658 L
.59422 .5278 L
.58939 .52976 L
.58918 .52658 L
.58939 .52601 L
.5912 .52174 L
.59389 .51691 L
.59422 .5161 L
.59634 .51208 L
.59905 .50864 L
.59993 .50725 L
.60364 .50242 L
.60388 .50129 L
.60664 .49758 L
.60872 .49406 L
.60936 .49275 L
.61332 .48792 L
.61355 .48763 L
.61734 .48309 L
.61838 .48088 L
.62026 .47826 L
.62321 .47421 L
.6239 .47342 L
.62746 .46859 L
.62804 .4679 L
.6313 .46376 L
.63288 .46135 L
.63427 .45893 L
.63771 .45485 L
.63836 .4541 L
.64228 .44927 L
.64254 .44865 L
.64562 .44443 L
.64737 .44227 L
.64836 .4396 L
.6522 .43591 L
.65319 .43477 L
.65697 .42994 L
.65704 .42986 L
.66054 .42511 L
.66187 .42387 L
.66486 .42027 L
.6667 .41794 L
.66903 .41544 L
.67153 .41218 L
.6735 .41061 L
.67636 .40766 L
.67883 .40578 L
F
1 .86 0 r
.58939 .50698 m
.5926 .50725 L
.58939 .50837 L
.58931 .50725 L
F
1 .92 0 r
.69086 .40937 m
.69567 .41061 L
.69384 .41544 L
.69126 .42027 L
.69086 .42154 L
.68892 .42511 L
.68603 .42883 L
.68533 .42994 L
.68158 .43477 L
.68119 .43625 L
.67866 .4396 L
.67636 .44355 L
.67588 .44443 L
.67183 .44927 L
.67153 .44968 L
.6679 .4541 L
.6667 .45647 L
.66496 .45893 L
.66187 .46316 L
.66119 .46376 L
.65709 .46859 L
.65704 .46938 L
.6539 .47342 L
.6522 .47599 L
.65097 .47826 L
.64737 .48252 L
.64679 .48309 L
.64293 .48792 L
.64254 .48875 L
.63971 .49275 L
.63771 .49527 L
.63705 .49758 L
.63288 .50174 L
.63223 .50242 L
.62854 .50725 L
.62804 .50792 L
.62536 .51208 L
.62321 .51433 L
.62114 .51691 L
.61838 .52071 L
.61742 .52174 L
.61373 .52658 L
.61355 .52676 L
.61052 .53141 L
.60872 .53285 L
.60584 .53624 L
.60388 .53885 L
.60173 .54107 L
.59905 .54464 L
.5973 .5459 L
.59422 .54898 L
.5897 .5459 L
.59167 .54107 L
.59422 .53645 L
.59434 .53624 L
.59757 .53141 L
.59905 .52797 L
.60015 .52658 L
.60376 .52174 L
.60388 .52157 L
.60791 .51691 L
.60872 .51455 L
.61071 .51208 L
.61355 .50776 L
.61378 .50725 L
.61758 .50242 L
.61838 .50139 L
.62167 .49758 L
.62321 .49472 L
.62461 .49275 L
.62804 .48821 L
.62832 .48792 L
.63275 .48309 L
.63288 .48187 L
.63571 .47826 L
.63771 .47531 L
.6387 .47342 L
.64254 .46886 L
.64278 .46859 L
.6468 .46376 L
.64737 .4626 L
.64994 .45893 L
.6522 .45612 L
.65268 .4541 L
.65704 .44971 L
.65743 .44927 L
.6612 .44443 L
.66187 .44358 L
.6644 .4396 L
.6667 .43727 L
.66869 .43477 L
.67153 .43104 L
.67251 .42994 L
.67636 .42512 L
.67638 .42511 L
.67998 .42027 L
.68119 .41945 L
.68485 .41544 L
.68603 .41405 L
.68981 .41061 L
F
0 .94 1 r
.70052 .41699 m
.70524 .42027 L
.70306 .42511 L
.70052 .42956 L
.70031 .42994 L
.69697 .43477 L
.69569 .43807 L
.69435 .4396 L
.69086 .44439 L
.69083 .44443 L
.68654 .44927 L
.68603 .45145 L
.68381 .4541 L
.68119 .45831 L
.68078 .45893 L
.67698 .46376 L
.67636 .46457 L
.67283 .46859 L
.67153 .47125 L
.6699 .47342 L
.6667 .4778 L
.66623 .47826 L
.66266 .48309 L
.66187 .4841 L
.6588 .48792 L
.65704 .49067 L
.65581 .49275 L
.6522 .49715 L
.65179 .49758 L
.64777 .50242 L
.64737 .50343 L
.64461 .50725 L
.64254 .50995 L
.64179 .51208 L
.63771 .5164 L
.63725 .51691 L
.63349 .52174 L
.63288 .52262 L
.63032 .52658 L
.62804 .52907 L
.62621 .53141 L
.62321 .53548 L
.62254 .53624 L
.61888 .54107 L
.61838 .54159 L
.61577 .5459 L
.61355 .54781 L
.61117 .55073 L
.60872 .55397 L
.60726 .55557 L
.60388 .55988 L
.60323 .5604 L
.59905 .56512 L
.59894 .56523 L
.59422 .56983 L
.59017 .56523 L
.59244 .5604 L
.59422 .55749 L
.59529 .55557 L
.59826 .55073 L
.59905 .54938 L
.60183 .5459 L
.60388 .54172 L
.60455 .54107 L
.60814 .53624 L
.60872 .53545 L
.61241 .53141 L
.61355 .52856 L
.6152 .52658 L
.61838 .52198 L
.61846 .52174 L
.62219 .51691 L
.62321 .51558 L
.62623 .51208 L
.62804 .50895 L
.62922 .50725 L
.63288 .50253 L
.63299 .50242 L
.63738 .49758 L
.63771 .49614 L
.64032 .49275 L
.64254 .48958 L
.64331 .48792 L
.64737 .48318 L
.64746 .48309 L
.65144 .47826 L
.6522 .47686 L
.65453 .47342 L
.65704 .47035 L
.65722 .46859 L
.66187 .46395 L
.66204 .46376 L
.66576 .45893 L
.6667 .45774 L
.66883 .4541 L
.67153 .45131 L
.67315 .44927 L
.67636 .44498 L
.67685 .44443 L
.68052 .4396 L
.68119 .43896 L
.68353 .43477 L
.68603 .43288 L
.68851 .42994 L
.69086 .42695 L
.69265 .42511 L
.69569 .42131 L
.69713 .42027 L
F
1 .88 0 r
.6667 .3997 m
.67153 .3963 L
.67239 .40095 L
.67153 .40282 L
.66999 .40578 L
.66733 .41061 L
.6667 .41201 L
.66586 .41544 L
.66187 .41887 L
.66092 .42027 L
.65756 .42511 L
.65704 .4261 L
.65471 .42994 L
.6522 .43353 L
.65072 .43477 L
.64737 .43943 L
.64724 .4396 L
.64378 .44443 L
.64254 .44621 L
.64111 .44927 L
.63771 .45305 L
.6365 .4541 L
.63293 .45893 L
.63288 .45901 L
.62959 .46376 L
.62804 .46557 L
.62557 .46859 L
.62321 .47217 L
.62189 .47342 L
.61838 .47809 L
.61824 .47826 L
.61495 .48309 L
.61355 .48438 L
.61059 .48792 L
.60872 .49072 L
.60669 .49275 L
.60388 .49719 L
.60272 .49758 L
.59905 .50194 L
.59859 .50242 L
.59422 .50714 L
.59028 .50242 L
.59276 .49758 L
.59422 .49562 L
.59593 .49275 L
.59903 .48792 L
.59905 .48789 L
.60244 .48309 L
.60388 .48033 L
.60498 .47826 L
.60872 .47346 L
.60893 .47342 L
.61286 .46859 L
.61355 .46693 L
.61583 .46376 L
.61838 .46016 L
.61849 .45893 L
.62298 .4541 L
.62321 .45382 L
.62683 .44927 L
.62804 .44733 L
.62983 .44443 L
.63288 .44081 L
.63388 .4396 L
.63765 .43477 L
.63771 .4346 L
.64125 .42994 L
.64254 .42835 L
.64411 .42511 L
.64737 .42208 L
.64892 .42027 L
.6522 .41596 L
.65281 .41544 L
.65674 .41061 L
.65704 .41036 L
.66107 .40578 L
.66187 .40482 L
.66572 .40095 L
F
0 .88 1 r
.65704 .3929 m
.6606 .39612 L
.65807 .40095 L
.65704 .40266 L
.65508 .40578 L
.6522 .41028 L
.65198 .41061 L
.64925 .41544 L
.64737 .41827 L
.64529 .42027 L
.64254 .42419 L
.64186 .42511 L
.63851 .42994 L
.63771 .43106 L
.63602 .43477 L
.63288 .43818 L
.63123 .4396 L
.62804 .44396 L
.62767 .44443 L
.62434 .44927 L
.62321 .45053 L
.62031 .4541 L
.61838 .45726 L
.61659 .45893 L
.61355 .46297 L
.61289 .46376 L
.60938 .46859 L
.60872 .46917 L
.60514 .47342 L
.60388 .47543 L
.60104 .47826 L
.59905 .48069 L
.59669 .48309 L
.59422 .48575 L
.59035 .48309 L
.59254 .47826 L
.59422 .47532 L
.5953 .47342 L
.59841 .46859 L
.59905 .46723 L
.60087 .46376 L
.60388 .45945 L
.6048 .45893 L
.60845 .4541 L
.60872 .45337 L
.61164 .44927 L
.61355 .4465 L
.61408 .44443 L
.61838 .43988 L
.61875 .4396 L
.62254 .43477 L
.62321 .43364 L
.62566 .42994 L
.62804 .42713 L
.62969 .42511 L
.63288 .42076 L
.63343 .42027 L
.6372 .41544 L
.63771 .41485 L
.64038 .41061 L
.64254 .40877 L
.64513 .40578 L
.64737 .40273 L
.64932 .40095 L
.6522 .39767 L
.65382 .39612 L
F
0 .92 1 r
.63288 .38371 m
.63665 .38645 L
.63377 .39128 L
.63288 .3927 L
.63054 .39612 L
.62804 .39991 L
.62728 .40095 L
.62473 .40578 L
.62321 .4074 L
.62032 .41061 L
.61838 .41336 L
.61676 .41544 L
.61355 .41986 L
.61321 .42027 L
.60948 .42511 L
.60872 .42667 L
.60562 .42994 L
.60388 .43225 L
.60172 .43477 L
.59905 .43817 L
.59776 .4396 L
.59422 .44382 L
.59099 .4396 L
.59402 .43477 L
.59422 .43447 L
.59724 .42994 L
.59905 .42729 L
.60053 .42511 L
.60388 .42027 L
.60388 .42027 L
.60648 .41544 L
.60872 .41309 L
.61088 .41061 L
.61355 .40706 L
.61454 .40578 L
.61822 .40095 L
.61838 .40077 L
.6221 .39612 L
.62321 .39445 L
.62613 .39128 L
.62804 .38899 L
.6304 .38645 L
F
1 .86 0 r
.66187 .40563 m
.6667 .4011 L
.66919 .40578 L
.6667 .41055 L
.66667 .41061 L
.66539 .41544 L
.66187 .41829 L
.66056 .42027 L
.6573 .42511 L
.65704 .42561 L
.65445 .42994 L
.6522 .43322 L
.65049 .43477 L
.64737 .43914 L
.64703 .4396 L
.6436 .44443 L
.64254 .44595 L
.64095 .44927 L
.63771 .45286 L
.63632 .4541 L
.63288 .45878 L
.63276 .45893 L
.6294 .46376 L
.62804 .46533 L
.62539 .46859 L
.62321 .47196 L
.62169 .47342 L
.61838 .47781 L
.61801 .47826 L
.61461 .48309 L
.61355 .48405 L
.61031 .48792 L
.60872 .49034 L
.60632 .49275 L
.60388 .49688 L
.60222 .49758 L
.59905 .50124 L
.59784 .50242 L
.59422 .50604 L
.59122 .50242 L
.59356 .49758 L
.59422 .49671 L
.59647 .49275 L
.59905 .48862 L
.59948 .48792 L
.60276 .48309 L
.60388 .48086 L
.60521 .47826 L
.60872 .47354 L
.60922 .47342 L
.61302 .46859 L
.61355 .46729 L
.61605 .46376 L
.61838 .46046 L
.61853 .45893 L
.62321 .4541 L
.62321 .45409 L
.62701 .44927 L
.62804 .44761 L
.63003 .44443 L
.63288 .44108 L
.63411 .4396 L
.63771 .43484 L
.6378 .43477 L
.6415 .42994 L
.64254 .42869 L
.64439 .42511 L
.64737 .42246 L
.64926 .42027 L
.6522 .41633 L
.65324 .41544 L
.65704 .41093 L
.65734 .41061 L
.66174 .40578 L
F
1 .9 0 r
.68603 .41518 m
.69086 .41159 L
.69255 .41544 L
.69086 .41944 L
.69045 .42027 L
.68833 .42511 L
.68603 .42801 L
.68485 .42994 L
.68141 .43477 L
.68119 .43566 L
.67839 .4396 L
.67636 .44325 L
.67577 .44443 L
.67162 .44927 L
.67153 .44938 L
.66777 .4541 L
.6667 .45624 L
.66482 .45893 L
.66187 .46302 L
.66105 .46376 L
.65707 .46859 L
.65704 .46921 L
.6538 .47342 L
.6522 .47584 L
.65088 .47826 L
.64737 .4824 L
.64667 .48309 L
.64287 .48792 L
.64254 .48861 L
.6396 .49275 L
.63771 .49512 L
.63698 .49758 L
.63288 .5016 L
.6321 .50242 L
.62842 .50725 L
.62804 .50775 L
.62519 .51208 L
.62321 .51412 L
.62095 .51691 L
.61838 .52048 L
.6172 .52174 L
.61355 .52651 L
.61344 .52658 L
.61004 .53141 L
.60872 .53242 L
.6054 .53624 L
.60388 .53825 L
.60106 .54107 L
.59905 .54381 L
.596 .5459 L
.59422 .54737 L
.59138 .5459 L
.59267 .54107 L
.59422 .5379 L
.59505 .53624 L
.59803 .53141 L
.59905 .52875 L
.60047 .52658 L
.60388 .5221 L
.60412 .52174 L
.60809 .51691 L
.60872 .51494 L
.61094 .51208 L
.61355 .50798 L
.61386 .50725 L
.61777 .50242 L
.61838 .50163 L
.6218 .49758 L
.62321 .49492 L
.62474 .49275 L
.62804 .48835 L
.62846 .48792 L
.63278 .48309 L
.63288 .48203 L
.63582 .47826 L
.63771 .47547 L
.63879 .47342 L
.64254 .469 L
.64291 .46859 L
.64688 .46376 L
.64737 .46276 L
.65007 .45893 L
.6522 .4563 L
.65275 .4541 L
.65704 .44991 L
.65761 .44927 L
.66137 .44443 L
.66187 .44381 L
.66464 .4396 L
.6667 .43758 L
.66897 .43477 L
.67153 .43141 L
.67288 .42994 L
.67636 .42549 L
.67687 .42511 L
.68099 .42027 L
.68119 .42014 L
.68579 .41544 L
F
0 .86 1 r
.65704 .3945 m
.65921 .39612 L
.65729 .40095 L
.65704 .40141 L
.65447 .40578 L
.6522 .4095 L
.65147 .41061 L
.64874 .41544 L
.64737 .41756 L
.64494 .42027 L
.64254 .42373 L
.64154 .42511 L
.6382 .42994 L
.63771 .43062 L
.63571 .43477 L
.63288 .43784 L
.63096 .4396 L
.62804 .44361 L
.6274 .44443 L
.62401 .44927 L
.62321 .45015 L
.62005 .4541 L
.61838 .45691 L
.61629 .45893 L
.61355 .46256 L
.61254 .46376 L
.60879 .46859 L
.60872 .46866 L
.60471 .47342 L
.60388 .47476 L
.60044 .47826 L
.59905 .4799 L
.59561 .48309 L
.59422 .4844 L
.59173 .48309 L
.59342 .47826 L
.59422 .47672 L
.59597 .47342 L
.59889 .46859 L
.59905 .46824 L
.60132 .46376 L
.60388 .45989 L
.60523 .45893 L
.60866 .4541 L
.60872 .45393 L
.61198 .44927 L
.61355 .44698 L
.61425 .44443 L
.61838 .44015 L
.6191 .4396 L
.62279 .43477 L
.62321 .43408 L
.62599 .42994 L
.62804 .42758 L
.63005 .42511 L
.63288 .42112 L
.63383 .42027 L
.63764 .41544 L
.63771 .41536 L
.64103 .41061 L
.64254 .4094 L
.64573 .40578 L
.64737 .40348 L
.65012 .40095 L
.6522 .39868 L
.65515 .39612 L
F
1 .98 0 r
.59422 .37386 m
.59665 .37679 L
.59422 .38026 L
.59199 .37679 L
F
0 .86 1 r
.67636 .40876 m
.6803 .41061 L
.6782 .41544 L
.67636 .41877 L
.67549 .42027 L
.67263 .42511 L
.67153 .42738 L
.67068 .42994 L
.6667 .43383 L
.66605 .43477 L
.66255 .4396 L
.66187 .44094 L
.65962 .44443 L
.65704 .44811 L
.65574 .44927 L
.65221 .4541 L
.6522 .45414 L
.64869 .45893 L
.64737 .46086 L
.64589 .46376 L
.64254 .46759 L
.64147 .46859 L
.63784 .47342 L
.63771 .47366 L
.63448 .47826 L
.63288 .48018 L
.63211 .48309 L
.62804 .48673 L
.62685 .48792 L
.62321 .49275 L
.6232 .49275 L
.61988 .49758 L
.61838 .49902 L
.61557 .50242 L
.61355 .50533 L
.61169 .50725 L
.60872 .51161 L
.60776 .51208 L
.60388 .51671 L
.60369 .51691 L
.59924 .52174 L
.59905 .52199 L
.59422 .52622 L
.59212 .52174 L
.59422 .51752 L
.59454 .51691 L
.59683 .51208 L
.59905 .50934 L
.60034 .50725 L
.60376 .50242 L
.60388 .50181 L
.6069 .49758 L
.60872 .49439 L
.6095 .49275 L
.61355 .48793 L
.61355 .48792 L
.61747 .48309 L
.61838 .48114 L
.62042 .47826 L
.62321 .4744 L
.62407 .47342 L
.62763 .46859 L
.62804 .4681 L
.63144 .46376 L
.63288 .46156 L
.6344 .45893 L
.63771 .45504 L
.63852 .4541 L
.64236 .44927 L
.64254 .44884 L
.64579 .44443 L
.64737 .44251 L
.64851 .4396 L
.6522 .43617 L
.65343 .43477 L
.65704 .43009 L
.65723 .42994 L
.66092 .42511 L
.66187 .42426 L
.66526 .42027 L
.6667 .41846 L
.66959 .41544 L
.67153 .41286 L
.67441 .41061 L
F
0 .92 1 r
.70052 .41939 m
.70266 .42027 L
.70166 .42511 L
.70052 .42753 L
.69935 .42994 L
.69641 .43477 L
.69569 .43693 L
.69391 .4396 L
.69086 .44374 L
.69041 .44443 L
.68638 .44927 L
.68603 .45099 L
.68356 .4541 L
.68119 .45808 L
.68066 .45893 L
.67678 .46376 L
.67636 .46431 L
.6727 .46859 L
.67153 .47105 L
.66977 .47342 L
.6667 .47767 L
.6661 .47826 L
.66254 .48309 L
.66187 .48395 L
.65871 .48792 L
.65704 .49053 L
.65573 .49275 L
.6522 .49704 L
.65168 .49758 L
.64772 .50242 L
.64737 .5033 L
.64452 .50725 L
.64254 .5098 L
.64172 .51208 L
.63771 .51627 L
.63712 .51691 L
.63338 .52174 L
.63288 .52246 L
.63017 .52658 L
.62804 .52887 L
.62603 .53141 L
.62321 .53524 L
.62232 .53624 L
.61862 .54107 L
.61838 .54131 L
.61537 .5459 L
.61355 .5474 L
.61075 .55073 L
.60872 .55341 L
.60667 .55557 L
.60388 .5592 L
.60232 .5604 L
.59905 .56379 L
.59722 .56523 L
.59422 .56733 L
.59226 .56523 L
.59378 .5604 L
.59422 .55964 L
.5962 .55557 L
.599 .55073 L
.59905 .55063 L
.60229 .5459 L
.60388 .54222 L
.60483 .54107 L
.6085 .53624 L
.60872 .53593 L
.61261 .53141 L
.61355 .5289 L
.61541 .52658 L
.61838 .52214 L
.61851 .52174 L
.62236 .51691 L
.62321 .5158 L
.62635 .51208 L
.62804 .50912 L
.62932 .50725 L
.63288 .50264 L
.63311 .50242 L
.63742 .49758 L
.63771 .49629 L
.64042 .49275 L
.64254 .48972 L
.64338 .48792 L
.64737 .48329 L
.64757 .48309 L
.65151 .47826 L
.6522 .477 L
.65464 .47342 L
.65704 .47051 L
.65726 .46859 L
.66187 .46411 L
.66218 .46376 L
.66591 .45893 L
.6667 .45794 L
.66901 .4541 L
.67153 .45157 L
.67338 .44927 L
.67636 .44529 L
.67714 .44443 L
.6809 .4396 L
.68119 .43934 L
.68416 .43477 L
.68603 .43346 L
.68914 .42994 L
.69086 .42779 L
.69365 .42511 L
.69569 .42251 L
.69922 .42027 L
F
1 .84 0 r
.59422 .49807 m
.59685 .50242 L
.59422 .50467 L
.59234 .50242 L
F
1 .88 0 r
.59422 .45598 m
.59879 .45893 L
.59422 .46353 L
.59257 .45893 L
F
0 .84 1 r
.59422 .51913 m
.59834 .52174 L
.59422 .52454 L
.59318 .52174 L
F
0 .9 1 r
.59422 .43807 m
.59536 .4396 L
.59422 .44064 L
.59356 .4396 L
F
1 .88 0 r
.68603 .41637 m
.6895 .42027 L
.68762 .42511 L
.68603 .42708 L
.68437 .42994 L
.68125 .43477 L
.68119 .43501 L
.67812 .4396 L
.67636 .4429 L
.67565 .44443 L
.67153 .44908 L
.6714 .44927 L
.66764 .4541 L
.6667 .45601 L
.66469 .45893 L
.66187 .46288 L
.66091 .46376 L
.65706 .46859 L
.65704 .46904 L
.6537 .47342 L
.6522 .47568 L
.65079 .47826 L
.64737 .48229 L
.64656 .48309 L
.6428 .48792 L
.64254 .48847 L
.6395 .49275 L
.63771 .49497 L
.6369 .49758 L
.63288 .50146 L
.63197 .50242 L
.6283 .50725 L
.62804 .50758 L
.62502 .51208 L
.62321 .51391 L
.62077 .51691 L
.61838 .52024 L
.61697 .52174 L
.61355 .52633 L
.61315 .52658 L
.60951 .53141 L
.60872 .53199 L
.60493 .53624 L
.60388 .53762 L
.60029 .54107 L
.59905 .54276 L
.59422 .54518 L
.59378 .54107 L
.59422 .5399 L
.59579 .53624 L
.59849 .53141 L
.59905 .52979 L
.60082 .52658 L
.60388 .52265 L
.60446 .52174 L
.60825 .51691 L
.60872 .51534 L
.61116 .51208 L
.61355 .50821 L
.61394 .50725 L
.61796 .50242 L
.61838 .50187 L
.62193 .49758 L
.62321 .49513 L
.62486 .49275 L
.62804 .4885 L
.62859 .48792 L
.6328 .48309 L
.63288 .48219 L
.63593 .47826 L
.63771 .47563 L
.63887 .47342 L
.64254 .46914 L
.64304 .46859 L
.64695 .46376 L
.64737 .46292 L
.6502 .45893 L
.6522 .45649 L
.65284 .4541 L
.65704 .4501 L
.65778 .44927 L
.66154 .44443 L
.66187 .44403 L
.66489 .4396 L
.6667 .43788 L
.66925 .43477 L
.67153 .43179 L
.67325 .42994 L
.67636 .42588 L
.67739 .42511 L
.68119 .42089 L
.68186 .42027 L
F
1 .86 0 r
.59422 .45883 m
.59718 .45893 L
.59422 .46044 L
.59419 .45893 L
F
1 .94 0 r
.59422 .58345 m
.59747 .58456 L
.59422 .58462 L
.5942 .58456 L
F
0 .84 1 r
.6522 .39979 m
.65623 .40095 L
.65381 .40578 L
.6522 .40859 L
.65093 .41061 L
.64816 .41544 L
.64737 .41669 L
.64457 .42027 L
.64254 .42325 L
.64121 .42511 L
.63786 .42994 L
.63771 .43015 L
.63535 .43477 L
.63288 .43745 L
.63069 .4396 L
.62804 .44325 L
.62712 .44443 L
.62366 .44927 L
.62321 .44976 L
.61977 .4541 L
.61838 .45651 L
.61598 .45893 L
.61355 .46214 L
.61217 .46376 L
.60872 .46815 L
.60832 .46859 L
.60423 .47342 L
.60388 .474 L
.59972 .47826 L
.59905 .47902 L
.59445 .47826 L
.59669 .47342 L
.59905 .46927 L
.59946 .46859 L
.60185 .46376 L
.60388 .46054 L
.60567 .45893 L
.60872 .45451 L
.609 .4541 L
.61233 .44927 L
.61355 .44749 L
.61449 .44443 L
.61838 .44046 L
.61944 .4396 L
.62306 .43477 L
.62321 .43453 L
.62636 .42994 L
.62804 .42804 L
.63042 .42511 L
.63288 .42151 L
.63424 .42027 L
.63771 .41591 L
.63811 .41544 L
.64182 .41061 L
.64254 .41006 L
.64637 .40578 L
.64737 .40436 L
.65107 .40095 L
F
1 .84 0 r
.66187 .40647 m
.66602 .41061 L
.66475 .41544 L
.66187 .41766 L
.66018 .42027 L
.65704 .42509 L
.65702 .42511 L
.65417 .42994 L
.6522 .43286 L
.65026 .43477 L
.64737 .43885 L
.64682 .4396 L
.64341 .44443 L
.64254 .44567 L
.64077 .44927 L
.63771 .45265 L
.63615 .4541 L
.63288 .45855 L
.63258 .45893 L
.6292 .46376 L
.62804 .46508 L
.62521 .46859 L
.62321 .47173 L
.62148 .47342 L
.61838 .47753 L
.61777 .47826 L
.61425 .48309 L
.61355 .48371 L
.61002 .48792 L
.60872 .48992 L
.60594 .49275 L
.60388 .49645 L
.60165 .49758 L
.59905 .50048 L
.59446 .49758 L
.59703 .49275 L
.59905 .4894 L
.59994 .48792 L
.60308 .48309 L
.60388 .48145 L
.60546 .47826 L
.60872 .47367 L
.60951 .47342 L
.61317 .46859 L
.61355 .46766 L
.61627 .46376 L
.61838 .46076 L
.61858 .45893 L
.62321 .45422 L
.62343 .4541 L
.62718 .44927 L
.62804 .4479 L
.63022 .44443 L
.63288 .44136 L
.63434 .4396 L
.63771 .43503 L
.63805 .43477 L
.64176 .42994 L
.64254 .42902 L
.64472 .42511 L
.64737 .42285 L
.64961 .42027 L
.6522 .41671 L
.65368 .41544 L
.65704 .41153 L
.65795 .41061 L
F
1 .98 0 r
.72951 .44113 m
.73358 .44443 L
.73209 .44927 L
.72951 .4535 L
.72921 .4541 L
.72526 .45893 L
.72468 .46217 L
.72299 .46376 L
.72002 .46859 L
.71985 .46882 L
.71675 .47342 L
.71502 .47586 L
.71247 .47826 L
.71019 .48261 L
.70966 .48309 L
.70624 .48792 L
.70535 .48901 L
.70272 .49275 L
.70052 .49566 L
.69865 .49758 L
.69569 .50216 L
.69548 .50242 L
.69192 .50725 L
.69086 .50851 L
.68719 .51208 L
.68603 .51508 L
.68449 .51691 L
.68119 .52155 L
.68111 .52174 L
.67746 .52658 L
.67636 .52785 L
.67323 .53141 L
.67153 .53441 L
.67025 .53624 L
.6667 .54089 L
.66655 .54107 L
.66191 .5459 L
.66187 .54712 L
.65909 .55073 L
.65704 .55368 L
.65605 .55557 L
.6522 .56018 L
.65203 .5604 L
.64795 .56523 L
.64737 .56634 L
.64485 .57006 L
.64254 .57289 L
.64201 .57489 L
.63771 .5794 L
.63745 .57973 L
.63366 .58456 L
.63288 .58544 L
.63053 .58939 L
.62804 .59193 L
.62635 .59422 L
.62321 .59834 L
.62264 .59905 L
.61893 .60388 L
.61838 .60427 L
.61574 .60872 L
.61355 .61031 L
.6109 .61355 L
.60872 .61614 L
.60661 .61838 L
.60388 .62145 L
.6017 .62321 L
.59905 .62613 L
.59493 .62321 L
.59651 .61838 L
.59898 .61355 L
.59905 .61337 L
.60218 .60872 L
.60388 .60556 L
.60472 .60388 L
.60822 .59905 L
.60872 .59829 L
.61249 .59422 L
.61355 .59107 L
.61521 .58939 L
.61838 .58491 L
.61848 .58456 L
.62213 .57973 L
.62321 .5782 L
.62623 .57489 L
.62804 .57146 L
.6292 .57006 L
.63288 .56524 L
.63292 .56523 L
.63746 .5604 L
.63771 .55874 L
.6403 .55557 L
.64254 .55211 L
.64333 .55073 L
.64736 .5459 L
.64737 .54589 L
.65142 .54107 L
.6522 .5394 L
.65446 .53624 L
.65704 .53283 L
.65731 .53141 L
.66184 .52658 L
.66187 .52655 L
.6656 .52174 L
.6667 .52011 L
.66862 .51691 L
.67153 .51356 L
.67277 .51208 L
.67636 .50725 L
.67636 .50724 L
.67989 .50242 L
.68119 .50086 L
.6827 .49758 L
.68603 .49433 L
.68733 .49275 L
.69086 .48798 L
.69091 .48792 L
.69429 .48309 L
.69569 .48169 L
.69833 .47826 L
.70052 .47523 L
.70201 .47342 L
.70535 .4689 L
.70565 .46859 L
.709 .46376 L
.71019 .46283 L
.71331 .45893 L
.71502 .45666 L
.71725 .4541 L
.71985 .45071 L
.72133 .44927 L
.72468 .44511 L
.72582 .44443 L
F
0 .84 1 r
.67636 .41003 m
.67876 .41061 L
.67748 .41544 L
.67636 .41769 L
.67497 .42027 L
.67222 .42511 L
.67153 .42659 L
.67044 .42994 L
.6667 .43343 L
.66579 .43477 L
.66237 .4396 L
.66187 .44061 L
.65944 .44443 L
.65704 .4479 L
.65557 .44927 L
.6522 .45393 L
.65208 .4541 L
.64856 .45893 L
.64737 .46067 L
.64578 .46376 L
.64254 .46745 L
.64133 .46859 L
.63774 .47342 L
.63771 .47349 L
.63434 .47826 L
.63288 .48 L
.63199 .48309 L
.62804 .48656 L
.62669 .48792 L
.62321 .49273 L
.62302 .49275 L
.61964 .49758 L
.61838 .49877 L
.61535 .50242 L
.61355 .50504 L
.61141 .50725 L
.60872 .51138 L
.60738 .51208 L
.60388 .51617 L
.60315 .51691 L
.59905 .52116 L
.59523 .51691 L
.59739 .51208 L
.59905 .51009 L
.60075 .50725 L
.60388 .50242 L
.60388 .50237 L
.60715 .49758 L
.60872 .49476 L
.60964 .49275 L
.61355 .48824 L
.61377 .48792 L
.61761 .48309 L
.61838 .4814 L
.62057 .47826 L
.62321 .47461 L
.62424 .47342 L
.6278 .46859 L
.62804 .4683 L
.63157 .46376 L
.63288 .46177 L
.63453 .45893 L
.63771 .45523 L
.63869 .4541 L
.64244 .44927 L
.64254 .44904 L
.64597 .44443 L
.64737 .44275 L
.64868 .4396 L
.6522 .43644 L
.65366 .43477 L
.65704 .43031 L
.65752 .42994 L
.66134 .42511 L
.66187 .42465 L
.66568 .42027 L
.6667 .419 L
.6702 .41544 L
.67153 .41366 L
.67562 .41061 L
F
1 .86 0 r
.68603 .41771 m
.68841 .42027 L
.68674 .42511 L
.68603 .426 L
.68388 .42994 L
.68119 .43436 L
.68094 .43477 L
.67784 .4396 L
.67636 .4425 L
.67551 .44443 L
.67153 .44878 L
.67119 .44927 L
.66751 .4541 L
.6667 .45576 L
.66455 .45893 L
.66187 .46272 L
.66077 .46376 L
.65705 .46859 L
.65704 .46887 L
.65359 .47342 L
.6522 .47553 L
.6507 .47826 L
.64737 .48217 L
.64645 .48309 L
.64274 .48792 L
.64254 .48833 L
.63938 .49275 L
.63771 .49482 L
.63681 .49758 L
.63288 .50132 L
.63183 .50242 L
.62817 .50725 L
.62804 .50741 L
.62484 .51208 L
.62321 .5137 L
.62058 .51691 L
.61838 .51999 L
.61674 .52174 L
.61355 .52614 L
.61285 .52658 L
.60891 .53141 L
.60872 .53154 L
.60442 .53624 L
.60388 .53694 L
.59931 .54107 L
.59905 .5414 L
.59525 .54107 L
.59656 .53624 L
.59897 .53141 L
.59905 .53115 L
.60119 .52658 L
.60388 .52322 L
.6048 .52174 L
.60839 .51691 L
.60872 .51576 L
.61138 .51208 L
.61355 .50846 L
.61403 .50725 L
.61815 .50242 L
.61838 .50211 L
.62205 .49758 L
.62321 .49533 L
.62499 .49275 L
.62804 .48865 L
.62873 .48792 L
.63281 .48309 L
.63288 .48235 L
.63604 .47826 L
.63771 .47579 L
.63897 .47342 L
.64254 .46928 L
.64317 .46859 L
.64703 .46376 L
.64737 .46308 L
.65034 .45893 L
.6522 .45668 L
.65293 .4541 L
.65704 .4503 L
.65796 .44927 L
.66171 .44443 L
.66187 .44425 L
.66517 .4396 L
.6667 .43819 L
.66954 .43477 L
.67153 .43218 L
.67364 .42994 L
.67636 .4263 L
.67796 .42511 L
.68119 .42166 L
.68285 .42027 L
F
1 .94 0 r
.71019 .42826 m
.71152 .42994 L
.71022 .43477 L
.71019 .43484 L
.70953 .4396 L
.70535 .44411 L
.70517 .44443 L
.70172 .44927 L
.70052 .45245 L
.6991 .4541 L
.69569 .4589 L
.69567 .45893 L
.69121 .46376 L
.69086 .46591 L
.68857 .46859 L
.68603 .47275 L
.68554 .47342 L
.68182 .47826 L
.68119 .47906 L
.67754 .48309 L
.67636 .48572 L
.67466 .48792 L
.67153 .49227 L
.67145 .49275 L
.66751 .49758 L
.6667 .49858 L
.66355 .50242 L
.66187 .50514 L
.66055 .50725 L
.65704 .51163 L
.65663 .51208 L
.6525 .51691 L
.6522 .5179 L
.64937 .52174 L
.64737 .52441 L
.64646 .52658 L
.64254 .53088 L
.64208 .53141 L
.63826 .53624 L
.63771 .53708 L
.63505 .54107 L
.63288 .54351 L
.63103 .5459 L
.62804 .54991 L
.62734 .55073 L
.62364 .55557 L
.62321 .55601 L
.62041 .5604 L
.61838 .56217 L
.6159 .56523 L
.61355 .56827 L
.61192 .57006 L
.60872 .57412 L
.6078 .57489 L
.60388 .5792 L
.60331 .57973 L
.59905 .58361 L
.59525 .57973 L
.59711 .57489 L
.59905 .57217 L
.60023 .57006 L
.60375 .56523 L
.60388 .564 L
.60661 .5604 L
.60872 .55615 L
.60933 .55557 L
.61305 .55073 L
.61355 .55003 L
.61718 .5459 L
.61838 .54308 L
.62 .54107 L
.62321 .53646 L
.62323 .53624 L
.62706 .53141 L
.62804 .53011 L
.63099 .52658 L
.63288 .52345 L
.63399 .52174 L
.63771 .51704 L
.63786 .51691 L
.64208 .51208 L
.64254 .51065 L
.64509 .50725 L
.64737 .50408 L
.64803 .50242 L
.6522 .49769 L
.65232 .49758 L
.6562 .49275 L
.65704 .49136 L
.65929 .48792 L
.66187 .48484 L
.66327 .48309 L
.6667 .47845 L
.66689 .47826 L
.67055 .47342 L
.67153 .47222 L
.67356 .46859 L
.67636 .46579 L
.67799 .46376 L
.68119 .45945 L
.68168 .45893 L
.6853 .4541 L
.68603 .45341 L
.68818 .44927 L
.69086 .44729 L
.69329 .44443 L
.69569 .44131 L
.69737 .4396 L
.70052 .43559 L
.70175 .43477 L
.70535 .43118 L
.70708 .42994 L
F
1 .82 0 r
.66187 .40736 m
.6653 .41061 L
.6639 .41544 L
.66187 .41696 L
.6598 .42027 L
.65704 .42461 L
.6567 .42511 L
.65387 .42994 L
.6522 .43245 L
.65003 .43477 L
.64737 .43855 L
.6466 .4396 L
.64321 .44443 L
.64254 .44538 L
.64057 .44927 L
.63771 .45243 L
.63596 .4541 L
.63288 .45831 L
.63239 .45893 L
.62898 .46376 L
.62804 .46483 L
.62502 .46859 L
.62321 .47149 L
.62127 .47342 L
.61838 .47724 L
.61753 .47826 L
.61386 .48309 L
.61355 .48336 L
.60971 .48792 L
.60872 .48947 L
.60552 .49275 L
.60388 .49587 L
.601 .49758 L
.59905 .49964 L
.59531 .49758 L
.59762 .49275 L
.59905 .49026 L
.6004 .48792 L
.60342 .48309 L
.60388 .48212 L
.60575 .47826 L
.60872 .47388 L
.6098 .47342 L
.61333 .46859 L
.61355 .46803 L
.6165 .46376 L
.61838 .46107 L
.61866 .45893 L
.62321 .45435 L
.62366 .4541 L
.62736 .44927 L
.62804 .44819 L
.63043 .44443 L
.63288 .44165 L
.63458 .4396 L
.63771 .43523 L
.63831 .43477 L
.64204 .42994 L
.64254 .42936 L
.64509 .42511 L
.64737 .42324 L
.64998 .42027 L
.6522 .41714 L
.65415 .41544 L
.65704 .41215 L
.65863 .41061 L
F
1 .88 0 r
.63771 .39698 m
.64226 .40095 L
.6391 .40578 L
.63771 .4079 L
.6358 .41061 L
.63288 .41493 L
.6325 .41544 L
.63 .42027 L
.62804 .42237 L
.62544 .42511 L
.62321 .42822 L
.62187 .42994 L
.61838 .4347 L
.61832 .43477 L
.61455 .4396 L
.61355 .44151 L
.61073 .44443 L
.60872 .44709 L
.60686 .44927 L
.60388 .45304 L
.60293 .4541 L
.59905 .45866 L
.59532 .4541 L
.59794 .44927 L
.59905 .44754 L
.6015 .44443 L
.60388 .44097 L
.60483 .4396 L
.60818 .43477 L
.60872 .43398 L
.61051 .42994 L
.61355 .42681 L
.61523 .42511 L
.61838 .42088 L
.61885 .42027 L
.62236 .41544 L
.62321 .4145 L
.62632 .41061 L
.62804 .40802 L
.63024 .40578 L
.63288 .40254 L
.6343 .40095 L
F
0 .9 1 r
.69569 .42415 m
.69993 .42511 L
.69834 .42994 L
.69585 .43477 L
.69569 .43531 L
.69344 .4396 L
.69086 .44305 L
.69 .44443 L
.68626 .44927 L
.68603 .4505 L
.68331 .4541 L
.68119 .45782 L
.68053 .45893 L
.67658 .46376 L
.67636 .46406 L
.67258 .46859 L
.67153 .47084 L
.66965 .47342 L
.6667 .47754 L
.66597 .47826 L
.66242 .48309 L
.66187 .4838 L
.65861 .48792 L
.65704 .49039 L
.65565 .49275 L
.6522 .49693 L
.65158 .49758 L
.64767 .50242 L
.64737 .50317 L
.64442 .50725 L
.64254 .50966 L
.64165 .51208 L
.63771 .51613 L
.637 .51691 L
.63328 .52174 L
.63288 .52231 L
.63001 .52658 L
.62804 .52866 L
.62586 .53141 L
.62321 .53501 L
.6221 .53624 L
.61838 .54105 L
.61835 .54107 L
.61493 .5459 L
.61355 .54698 L
.61032 .55073 L
.60872 .55282 L
.60602 .55557 L
.60388 .55841 L
.60117 .5604 L
.59905 .56233 L
.59536 .5604 L
.59715 .55557 L
.59905 .55193 L
.59968 .55073 L
.60273 .5459 L
.60388 .54291 L
.60512 .54107 L
.60872 .53642 L
.60884 .53624 L
.61279 .53141 L
.61355 .52924 L
.61561 .52658 L
.61838 .52231 L
.61855 .52174 L
.62253 .51691 L
.62321 .51601 L
.62648 .51208 L
.62804 .5093 L
.62943 .50725 L
.63288 .50276 L
.63324 .50242 L
.63746 .49758 L
.63771 .49643 L
.64052 .49275 L
.64254 .48986 L
.64345 .48792 L
.64737 .48341 L
.64768 .48309 L
.65159 .47826 L
.6522 .47714 L
.65475 .47342 L
.65704 .47066 L
.65731 .46859 L
.66187 .46427 L
.66233 .46376 L
.66605 .45893 L
.6667 .45813 L
.66921 .4541 L
.67153 .45183 L
.67361 .44927 L
.67636 .44559 L
.67744 .44443 L
.68119 .43968 L
.68131 .4396 L
.68492 .43477 L
.68603 .43405 L
.68983 .42994 L
.69086 .42869 L
.69491 .42511 L
F
1 .98 0 r
.59905 .36761 m
.60024 .37196 L
.59905 .37375 L
.59576 .37196 L
F
0 .82 1 r
.67153 .4146 m
.67636 .41179 L
.67667 .41544 L
.67636 .41621 L
.67442 .42027 L
.67178 .42511 L
.67153 .42566 L
.67013 .42994 L
.6667 .43301 L
.66553 .43477 L
.6622 .4396 L
.66187 .44026 L
.65926 .44443 L
.65704 .44767 L
.6554 .44927 L
.6522 .45372 L
.65192 .4541 L
.64842 .45893 L
.64737 .46047 L
.64565 .46376 L
.64254 .46729 L
.6412 .46859 L
.63771 .47331 L
.63762 .47342 L
.6342 .47826 L
.63288 .47982 L
.63185 .48309 L
.62804 .48639 L
.62654 .48792 L
.62321 .4927 L
.62284 .49275 L
.61938 .49758 L
.61838 .49851 L
.61513 .50242 L
.61355 .50473 L
.61112 .50725 L
.60872 .5111 L
.60698 .51208 L
.60388 .51562 L
.60252 .51691 L
.59905 .52027 L
.59599 .51691 L
.59807 .51208 L
.59905 .51091 L
.60116 .50725 L
.60388 .50292 L
.6042 .50242 L
.60741 .49758 L
.60872 .49515 L
.6098 .49275 L
.61355 .48856 L
.61399 .48792 L
.61774 .48309 L
.61838 .48167 L
.62073 .47826 L
.62321 .47481 L
.62441 .47342 L
.62796 .46859 L
.62804 .4685 L
.6317 .46376 L
.63288 .46197 L
.63466 .45893 L
.63771 .45542 L
.63885 .4541 L
.64253 .44927 L
.64254 .44924 L
.64615 .44443 L
.64737 .44299 L
.64887 .4396 L
.6522 .4367 L
.6539 .43477 L
.65704 .43054 L
.65781 .42994 L
.6618 .42511 L
.66187 .42505 L
.66613 .42027 L
.6667 .41956 L
.6709 .41544 L
F
0 .9 1 r
.60388 .4221 m
.60852 .42511 L
.60453 .42994 L
.60388 .43078 L
.60027 .43477 L
.59905 .43626 L
.596 .43477 L
.59876 .42994 L
.59905 .42948 L
.60187 .42511 L
F
1 .8 0 r
.66187 .40836 m
.66445 .41061 L
.66283 .41544 L
.66187 .41616 L
.6594 .42027 L
.65704 .42409 L
.65636 .42511 L
.65354 .42994 L
.6522 .43199 L
.64979 .43477 L
.64737 .43824 L
.64638 .4396 L
.643 .44443 L
.64254 .44509 L
.64036 .44927 L
.63771 .45219 L
.63578 .4541 L
.63288 .45807 L
.6322 .45893 L
.62876 .46376 L
.62804 .46457 L
.62483 .46859 L
.62321 .47123 L
.62106 .47342 L
.61838 .47695 L
.61728 .47826 L
.61355 .483 L
.61347 .48309 L
.60939 .48792 L
.60872 .48898 L
.60507 .49275 L
.60388 .4951 L
.60019 .49758 L
.59905 .49868 L
.59637 .49758 L
.59825 .49275 L
.59905 .49126 L
.60088 .48792 L
.60378 .48309 L
.60388 .48286 L
.60607 .47826 L
.60872 .4742 L
.6101 .47342 L
.61348 .46859 L
.61355 .46842 L
.61673 .46376 L
.61838 .46139 L
.61876 .45893 L
.62321 .4545 L
.62389 .4541 L
.62755 .44927 L
.62804 .44848 L
.63066 .44443 L
.63288 .44194 L
.63481 .4396 L
.63771 .43544 L
.63857 .43477 L
.64233 .42994 L
.64254 .4297 L
.64553 .42511 L
.64737 .42365 L
.65036 .42027 L
.6522 .41761 L
.65466 .41544 L
.65704 .41279 L
.65944 .41061 L
F
1 .86 0 r
.59905 .44952 m
.60199 .4541 L
.59905 .45737 L
.59643 .4541 L
F
0 .96 1 r
.71502 .43871 m
.71985 .43567 L
.72125 .4396 L
.71985 .44328 L
.71937 .44443 L
.71676 .44927 L
.71502 .45242 L
.71462 .4541 L
.711 .45893 L
.71019 .46022 L
.70706 .46376 L
.70535 .46761 L
.70436 .46859 L
.70097 .47342 L
.70052 .474 L
.69754 .47826 L
.69569 .48081 L
.6936 .48309 L
.69086 .48745 L
.69049 .48792 L
.68688 .49275 L
.68603 .4938 L
.68237 .49758 L
.68119 .50041 L
.67957 .50242 L
.67636 .5069 L
.67625 .50725 L
.67249 .51208 L
.67153 .51322 L
.66839 .51691 L
.6667 .51977 L
.66539 .52174 L
.66187 .52625 L
.66159 .52658 L
.65723 .53141 L
.65704 .53252 L
.65423 .53624 L
.6522 .53904 L
.65124 .54107 L
.64737 .54552 L
.64705 .5459 L
.64312 .55073 L
.64254 .55171 L
.63995 .55557 L
.63771 .55819 L
.63729 .5604 L
.63288 .56464 L
.63238 .56523 L
.62866 .57006 L
.62804 .57072 L
.62547 .57489 L
.62321 .57702 L
.62111 .57973 L
.61838 .58326 L
.61726 .58456 L
.61355 .5892 L
.61335 .58939 L
.60954 .59422 L
.60872 .59471 L
.60458 .59905 L
.60388 .5998 L
.59905 .60359 L
.59648 .59905 L
.59864 .59422 L
.59905 .59336 L
.60083 .58939 L
.60388 .58515 L
.60425 .58456 L
.60816 .57973 L
.60872 .57745 L
.6109 .57489 L
.61355 .57094 L
.61386 .57006 L
.61758 .56523 L
.61838 .5641 L
.6217 .5604 L
.62321 .55725 L
.62459 .55557 L
.62804 .55082 L
.62823 .55073 L
.63177 .5459 L
.63288 .54441 L
.63564 .54107 L
.63771 .53777 L
.63865 .53624 L
.64254 .53145 L
.6426 .53141 L
.64675 .52658 L
.64737 .52501 L
.64977 .52174 L
.6522 .51844 L
.65267 .51691 L
.65704 .51211 L
.65707 .51208 L
.6609 .50725 L
.66187 .50572 L
.66395 .50242 L
.6667 .49919 L
.66801 .49758 L
.67153 .49283 L
.67161 .49275 L
.67521 .48792 L
.67636 .48652 L
.67812 .48309 L
.68119 .48003 L
.68264 .47826 L
.68603 .47368 L
.68627 .47342 L
.68976 .46859 L
.69086 .46752 L
.69235 .46376 L
.69569 .46119 L
.69758 .45893 L
.70052 .455 L
.70139 .4541 L
.70526 .44927 L
.70535 .4492 L
.70954 .44443 L
.71019 .44366 L
.71425 .4396 L
F
0 .8 1 r
.6667 .42016 m
.67153 .41566 L
.67383 .42027 L
.67153 .42473 L
.67132 .42511 L
.66975 .42994 L
.6667 .43257 L
.66526 .43477 L
.66201 .4396 L
.66187 .43989 L
.65906 .44443 L
.65704 .44742 L
.65522 .44927 L
.6522 .4535 L
.65176 .4541 L
.64828 .45893 L
.64737 .46027 L
.64552 .46376 L
.64254 .46714 L
.64106 .46859 L
.63771 .47313 L
.63748 .47342 L
.63405 .47826 L
.63288 .47963 L
.6317 .48309 L
.62804 .48621 L
.62638 .48792 L
.62321 .49265 L
.62266 .49275 L
.61911 .49758 L
.61838 .49825 L
.61489 .50242 L
.61355 .50441 L
.61082 .50725 L
.60872 .51075 L
.60654 .51208 L
.60388 .51503 L
.60175 .51691 L
.59905 .51923 L
.59687 .51691 L
.59888 .51208 L
.59905 .51187 L
.60159 .50725 L
.60388 .5035 L
.60455 .50242 L
.60767 .49758 L
.60872 .49559 L
.60997 .49275 L
.61355 .48888 L
.61421 .48792 L
.61787 .48309 L
.61838 .48194 L
.6209 .47826 L
.62321 .47502 L
.62458 .47342 L
.62804 .46862 L
.62813 .46859 L
.63184 .46376 L
.63288 .46218 L
.6348 .45893 L
.63771 .45562 L
.63902 .4541 L
.64254 .44936 L
.64269 .44927 L
.64634 .44443 L
.64737 .44323 L
.64909 .4396 L
.6522 .43697 L
.65415 .43477 L
.65704 .43078 L
.65812 .42994 L
.66187 .42547 L
.66221 .42511 L
.66661 .42027 L
F
1 .84 0 r
.59905 .53242 m
.60384 .53624 L
.59905 .54004 L
.59741 .53624 L
F
0 .82 1 r
.59905 .47042 m
.60365 .47342 L
.59905 .47796 L
.59748 .47342 L
F
1 .92 0 r
.70535 .43332 m
.70804 .43477 L
.70812 .4396 L
.70535 .44226 L
.70427 .44443 L
.70122 .44927 L
.70052 .4514 L
.69865 .4541 L
.69569 .45827 L
.69526 .45893 L
.69108 .46376 L
.69086 .46547 L
.68831 .46859 L
.68603 .4725 L
.68539 .47342 L
.68162 .47826 L
.68119 .47881 L
.67742 .48309 L
.67636 .48552 L
.67453 .48792 L
.67153 .49213 L
.67143 .49275 L
.66738 .49758 L
.6667 .49843 L
.66345 .50242 L
.66187 .505 L
.66046 .50725 L
.65704 .51151 L
.65652 .51208 L
.65246 .51691 L
.6522 .51777 L
.64927 .52174 L
.64737 .52426 L
.64639 .52658 L
.64254 .53073 L
.64195 .53141 L
.63815 .53624 L
.63771 .53692 L
.63489 .54107 L
.63288 .54329 L
.63084 .5459 L
.62804 .54965 L
.6271 .55073 L
.62337 .55557 L
.62321 .55572 L
.61998 .5604 L
.61838 .56172 L
.61544 .56523 L
.61355 .56764 L
.61126 .57006 L
.60872 .57332 L
.60675 .57489 L
.60388 .57775 L
.60102 .57973 L
.59905 .58074 L
.59781 .57973 L
.59883 .57489 L
.59905 .57456 L
.60119 .57006 L
.60388 .56534 L
.60395 .56523 L
.60709 .5604 L
.60872 .55667 L
.60959 .55557 L
.6134 .55073 L
.61355 .55053 L
.61738 .5459 L
.61838 .54342 L
.62021 .54107 L
.62321 .5366 L
.62323 .53624 L
.62723 .53141 L
.62804 .53032 L
.63112 .52658 L
.63288 .52362 L
.63409 .52174 L
.63771 .51714 L
.63798 .51691 L
.64213 .51208 L
.64254 .51079 L
.64519 .50725 L
.64737 .50421 L
.64809 .50242 L
.6522 .4978 L
.65243 .49758 L
.65628 .49275 L
.65704 .49149 L
.6594 .48792 L
.66187 .48499 L
.66339 .48309 L
.6667 .47859 L
.66703 .47826 L
.67069 .47342 L
.67153 .4724 L
.67373 .46859 L
.67636 .46602 L
.6782 .46376 L
.68119 .45973 L
.68195 .45893 L
.68567 .4541 L
.68603 .45377 L
.68877 .44927 L
.69086 .44783 L
.69385 .44443 L
.69569 .44207 L
.69826 .4396 L
.70052 .4366 L
.70346 .43477 L
F
0 .88 1 r
.69086 .42967 m
.69569 .42612 L
.69722 .42994 L
.69569 .43361 L
.69514 .43477 L
.69292 .4396 L
.69086 .44231 L
.68958 .44443 L
.68615 .44927 L
.68603 .44998 L
.68307 .4541 L
.68119 .45753 L
.68041 .45893 L
.67639 .46376 L
.67636 .46379 L
.67247 .46859 L
.67153 .47063 L
.66952 .47342 L
.6667 .4774 L
.66584 .47826 L
.6623 .48309 L
.66187 .48364 L
.65852 .48792 L
.65704 .49025 L
.65556 .49275 L
.6522 .49681 L
.65147 .49758 L
.64762 .50242 L
.64737 .50304 L
.64432 .50725 L
.64254 .50952 L
.64157 .51208 L
.63771 .51599 L
.63687 .51691 L
.63317 .52174 L
.63288 .52215 L
.62985 .52658 L
.62804 .52846 L
.62568 .53141 L
.62321 .53477 L
.62188 .53624 L
.61838 .54084 L
.61807 .54107 L
.61443 .5459 L
.61355 .54656 L
.60987 .55073 L
.60872 .55221 L
.60529 .55557 L
.60388 .55744 L
.5993 .5604 L
.59905 .56055 L
.59783 .5604 L
.59817 .55557 L
.59905 .55356 L
.60038 .55073 L
.60316 .5459 L
.60388 .54384 L
.60542 .54107 L
.60872 .53693 L
.60916 .53624 L
.61295 .53141 L
.61355 .52961 L
.61581 .52658 L
.61838 .5225 L
.61859 .52174 L
.6227 .51691 L
.62321 .51623 L
.6266 .51208 L
.62804 .50948 L
.62954 .50725 L
.63288 .50288 L
.63336 .50242 L
.63749 .49758 L
.63771 .49658 L
.64061 .49275 L
.64254 .49 L
.64352 .48792 L
.64737 .48353 L
.64779 .48309 L
.65166 .47826 L
.6522 .47729 L
.65486 .47342 L
.65704 .47082 L
.65736 .46859 L
.66187 .46443 L
.66248 .46376 L
.6662 .45893 L
.6667 .45833 L
.66942 .4541 L
.67153 .45209 L
.67384 .44927 L
.67636 .4459 L
.67774 .44443 L
.68119 .43996 L
.68172 .4396 L
.68582 .43477 L
.68603 .43465 L
.69063 .42994 L
F
1 .84 0 r
.59905 .45156 m
.60056 .4541 L
.59905 .4555 L
.59794 .4541 L
F
0 .78 1 r
.59905 .51327 m
.60062 .51691 L
.59905 .51789 L
.59803 .51691 L
F
1 .94 0 r
.59905 .40907 m
.60292 .41061 L
.59905 .41527 L
.59809 .41061 L
F
0 .8 1 r
.59905 .47197 m
.60274 .47342 L
.59905 .47639 L
.59841 .47342 L
F
1 .82 0 r
.59905 .53413 m
.60288 .53624 L
.59905 .53825 L
.59842 .53624 L
F
1 .78 0 r
.65704 .41348 m
.6617 .41544 L
.65898 .42027 L
.65704 .42352 L
.65601 .42511 L
.65318 .42994 L
.6522 .43146 L
.64955 .43477 L
.64737 .43792 L
.64615 .4396 L
.64278 .44443 L
.64254 .44478 L
.64013 .44927 L
.63771 .45193 L
.6356 .4541 L
.63288 .45782 L
.63201 .45893 L
.62852 .46376 L
.62804 .4643 L
.62464 .46859 L
.62321 .47096 L
.62084 .47342 L
.61838 .47665 L
.61702 .47826 L
.61355 .48264 L
.61315 .48309 L
.60905 .48792 L
.60872 .48844 L
.60456 .49275 L
.60388 .49411 L
.59905 .49742 L
.59895 .49275 L
.59905 .49254 L
.60138 .48792 L
.60388 .48358 L
.60418 .48309 L
.60644 .47826 L
.60872 .47463 L
.61039 .47342 L
.61355 .46882 L
.61371 .46859 L
.61697 .46376 L
.61838 .46173 L
.61889 .45893 L
.62321 .45467 L
.62412 .4541 L
.62773 .44927 L
.62804 .44878 L
.63089 .44443 L
.63288 .44224 L
.63505 .4396 L
.63771 .43567 L
.63883 .43477 L
.64254 .43005 L
.64264 .42994 L
.64602 .42511 L
.64737 .42408 L
.65076 .42027 L
.6522 .41813 L
.65521 .41544 L
F
1 .86 0 r
.63771 .39827 m
.64125 .40095 L
.63841 .40578 L
.63771 .4069 L
.63518 .41061 L
.63288 .41412 L
.63192 .41544 L
.6291 .42027 L
.62804 .42142 L
.62497 .42511 L
.62321 .42758 L
.62137 .42994 L
.61838 .43405 L
.61779 .43477 L
.61408 .4396 L
.61355 .44064 L
.61017 .44443 L
.60872 .44635 L
.60617 .44927 L
.60388 .45211 L
.59921 .44927 L
.60226 .44443 L
.60388 .44202 L
.60552 .4396 L
.60872 .43496 L
.60885 .43477 L
.61129 .42994 L
.61355 .42766 L
.61584 .42511 L
.61838 .42169 L
.61948 .42027 L
.62315 .41544 L
.62321 .41538 L
.62701 .41061 L
.62804 .40898 L
.63104 .40578 L
.63288 .40356 L
.63531 .40095 L
F
0 .86 1 r
.69086 .43069 m
.69433 .43477 L
.69232 .4396 L
.69086 .4415 L
.68916 .44443 L
.68605 .44927 L
.68603 .44941 L
.68283 .4541 L
.68119 .45721 L
.68027 .45893 L
.67636 .46352 L
.6762 .46376 L
.67236 .46859 L
.67153 .47042 L
.6694 .47342 L
.6667 .47726 L
.66572 .47826 L
.66218 .48309 L
.66187 .48349 L
.65843 .48792 L
.65704 .49011 L
.65548 .49275 L
.6522 .4967 L
.65137 .49758 L
.64757 .50242 L
.64737 .50291 L
.64422 .50725 L
.64254 .50938 L
.64149 .51208 L
.63771 .51585 L
.63674 .51691 L
.63305 .52174 L
.63288 .52199 L
.62968 .52658 L
.62804 .52826 L
.6255 .53141 L
.62321 .53453 L
.62166 .53624 L
.61838 .54063 L
.61777 .54107 L
.61388 .5459 L
.61355 .54614 L
.60937 .55073 L
.60872 .55156 L
.6044 .55557 L
.60388 .55623 L
.59942 .55557 L
.60111 .55073 L
.60361 .5459 L
.60388 .54506 L
.60576 .54107 L
.60872 .53745 L
.60948 .53624 L
.61309 .53141 L
.61355 .53 L
.61601 .52658 L
.61838 .5227 L
.61864 .52174 L
.62287 .51691 L
.62321 .51645 L
.62671 .51208 L
.62804 .50966 L
.62965 .50725 L
.63288 .503 L
.63348 .50242 L
.63752 .49758 L
.63771 .49672 L
.64071 .49275 L
.64254 .49014 L
.64359 .48792 L
.64737 .48364 L
.64791 .48309 L
.65174 .47826 L
.6522 .47743 L
.65498 .47342 L
.65704 .47098 L
.65743 .46859 L
.66187 .46459 L
.66263 .46376 L
.66635 .45893 L
.6667 .45852 L
.66964 .4541 L
.67153 .45234 L
.67408 .44927 L
.67636 .44622 L
.67805 .44443 L
.68119 .44025 L
.68216 .4396 L
.68603 .43527 L
.68656 .43477 L
F
1 .84 0 r
.68119 .42247 m
.68576 .42511 L
.68337 .42994 L
.68119 .43369 L
.68055 .43477 L
.67756 .4396 L
.67636 .44202 L
.67535 .44443 L
.67153 .44847 L
.67098 .44927 L
.66738 .4541 L
.6667 .45551 L
.66441 .45893 L
.66187 .46256 L
.66063 .46376 L
.65704 .46859 L
.65704 .4687 L
.65349 .47342 L
.6522 .47537 L
.65061 .47826 L
.64737 .48205 L
.64633 .48309 L
.64267 .48792 L
.64254 .48819 L
.63927 .49275 L
.63771 .49467 L
.63672 .49758 L
.63288 .50118 L
.6317 .50242 L
.62804 .50725 L
.62804 .50725 L
.62464 .51208 L
.62321 .51348 L
.6204 .51691 L
.61838 .51974 L
.6165 .52174 L
.61355 .52593 L
.61253 .52658 L
.60872 .53108 L
.6084 .53141 L
.60388 .5362 L
.59954 .53141 L
.60162 .52658 L
.60388 .52383 L
.60515 .52174 L
.60852 .51691 L
.60872 .51621 L
.61159 .51208 L
.61355 .50872 L
.61412 .50725 L
.61834 .50242 L
.61838 .50236 L
.62217 .49758 L
.62321 .49554 L
.62511 .49275 L
.62804 .4888 L
.62887 .48792 L
.63283 .48309 L
.63288 .48252 L
.63615 .47826 L
.63771 .47596 L
.63906 .47342 L
.64254 .46943 L
.6433 .46859 L
.64711 .46376 L
.64737 .46324 L
.65047 .45893 L
.6522 .45686 L
.65304 .4541 L
.65704 .4505 L
.65814 .44927 L
.66187 .44446 L
.6619 .44443 L
.66546 .4396 L
.6667 .43849 L
.66984 .43477 L
.67153 .43257 L
.67405 .42994 L
.67636 .42677 L
.67859 .42511 L
F
0 .78 1 r
.6667 .42076 m
.67085 .42511 L
.6693 .42994 L
.6667 .4321 L
.66498 .43477 L
.66187 .43952 L
.66181 .4396 L
.65886 .44443 L
.65704 .44715 L
.65505 .44927 L
.6522 .45327 L
.6516 .4541 L
.64814 .45893 L
.64737 .46006 L
.64538 .46376 L
.64254 .46697 L
.64092 .46859 L
.63771 .47295 L
.63734 .47342 L
.63389 .47826 L
.63288 .47944 L
.63153 .48309 L
.62804 .48602 L
.62621 .48792 L
.62321 .4926 L
.62247 .49275 L
.61882 .49758 L
.61838 .49798 L
.61466 .50242 L
.61355 .50407 L
.6105 .50725 L
.60872 .51033 L
.60606 .51208 L
.60388 .51441 L
.59957 .51208 L
.60203 .50725 L
.60388 .50412 L
.6049 .50242 L
.60794 .49758 L
.60872 .49607 L
.61016 .49275 L
.61355 .48921 L
.61442 .48792 L
.61799 .48309 L
.61838 .48222 L
.62106 .47826 L
.62321 .47525 L
.62475 .47342 L
.62804 .46867 L
.6283 .46859 L
.63197 .46376 L
.63288 .46239 L
.63495 .45893 L
.63771 .45582 L
.63918 .4541 L
.64254 .44947 L
.64288 .44927 L
.64653 .44443 L
.64737 .44347 L
.64933 .4396 L
.6522 .43725 L
.6544 .43477 L
.65704 .43104 L
.65843 .42994 L
.66187 .42589 L
.66264 .42511 L
F
1 .76 0 r
.60388 .48434 m
.60867 .48792 L
.60395 .49275 L
.60388 .49289 L
.59989 .49275 L
.60192 .48792 L
F
0 .82 1 r
.64737 .4054 m
.6522 .40112 L
.65307 .40578 L
.6522 .40746 L
.65035 .41061 L
.6475 .41544 L
.64737 .41565 L
.6442 .42027 L
.64254 .42274 L
.64086 .42511 L
.63771 .42969 L
.63752 .42994 L
.63494 .43477 L
.63288 .437 L
.63042 .4396 L
.62804 .44288 L
.62683 .44443 L
.62329 .44927 L
.62321 .44935 L
.61949 .4541 L
.61838 .45607 L
.61566 .45893 L
.61355 .4617 L
.61178 .46376 L
.60872 .46762 L
.60783 .46859 L
.60388 .47319 L
.60008 .46859 L
.60249 .46376 L
.60388 .46146 L
.60611 .45893 L
.60872 .45511 L
.60941 .4541 L
.61271 .44927 L
.61355 .44804 L
.61479 .44443 L
.61838 .44082 L
.61979 .4396 L
.62321 .43499 L
.62338 .43477 L
.62676 .42994 L
.62804 .42852 L
.6308 .42511 L
.63288 .42195 L
.63466 .42027 L
.63771 .41647 L
.63861 .41544 L
.64254 .41076 L
.64268 .41061 L
.6471 .40578 L
F
1 .82 0 r
.68119 .42335 m
.68486 .42511 L
.68284 .42994 L
.68119 .43294 L
.68015 .43477 L
.67726 .4396 L
.67636 .44148 L
.67516 .44443 L
.67153 .44815 L
.67077 .44927 L
.66725 .4541 L
.6667 .45525 L
.66427 .45893 L
.66187 .46239 L
.66049 .46376 L
.65704 .46853 L
.65699 .46859 L
.65338 .47342 L
.6522 .47521 L
.65051 .47826 L
.64737 .48192 L
.64622 .48309 L
.6426 .48792 L
.64254 .48804 L
.63915 .49275 L
.63771 .49452 L
.63661 .49758 L
.63288 .50103 L
.63156 .50242 L
.62804 .50719 L
.62788 .50725 L
.62444 .51208 L
.62321 .51326 L
.6202 .51691 L
.61838 .51949 L
.61625 .52174 L
.61355 .5257 L
.61219 .52658 L
.60872 .53061 L
.6079 .53141 L
.60388 .53547 L
.60016 .53141 L
.60212 .52658 L
.60388 .52448 L
.6055 .52174 L
.60865 .51691 L
.60872 .51668 L
.61181 .51208 L
.61355 .50901 L
.61421 .50725 L
.61838 .50261 L
.61852 .50242 L
.62229 .49758 L
.62321 .49576 L
.62524 .49275 L
.62804 .48895 L
.629 .48792 L
.63284 .48309 L
.63288 .48268 L
.63626 .47826 L
.63771 .47612 L
.63916 .47342 L
.64254 .46957 L
.64343 .46859 L
.64719 .46376 L
.64737 .4634 L
.65061 .45893 L
.6522 .45705 L
.65316 .4541 L
.65704 .4507 L
.65832 .44927 L
.66187 .4446 L
.66212 .44443 L
.66577 .4396 L
.6667 .4388 L
.67015 .43477 L
.67153 .43297 L
.67448 .42994 L
.67636 .42731 L
.67932 .42511 L
F
0 .76 1 r
.6667 .42138 m
.67035 .42511 L
.66875 .42994 L
.6667 .4316 L
.66471 .43477 L
.66187 .43916 L
.66157 .4396 L
.65864 .44443 L
.65704 .44686 L
.65488 .44927 L
.6522 .45305 L
.65143 .4541 L
.648 .45893 L
.64737 .45985 L
.64524 .46376 L
.64254 .4668 L
.64078 .46859 L
.63771 .47277 L
.63719 .47342 L
.63373 .47826 L
.63288 .47925 L
.63135 .48309 L
.62804 .48583 L
.62605 .48792 L
.62321 .49252 L
.62228 .49275 L
.61851 .49758 L
.61838 .4977 L
.61441 .50242 L
.61355 .50371 L
.61016 .50725 L
.60872 .50982 L
.6055 .51208 L
.60388 .51372 L
.60029 .51208 L
.60249 .50725 L
.60388 .5048 L
.60526 .50242 L
.60822 .49758 L
.60872 .4966 L
.61037 .49275 L
.61355 .48954 L
.61464 .48792 L
.61812 .48309 L
.61838 .48251 L
.62123 .47826 L
.62321 .47547 L
.62492 .47342 L
.62804 .46873 L
.62846 .46859 L
.63211 .46376 L
.63288 .46261 L
.6351 .45893 L
.63771 .45602 L
.63935 .4541 L
.64254 .44959 L
.64306 .44927 L
.64673 .44443 L
.64737 .44371 L
.6496 .4396 L
.6522 .43753 L
.65465 .43477 L
.65704 .43132 L
.65876 .42994 L
.66187 .42633 L
.6631 .42511 L
F
1 .84 0 r
.62321 .41627 m
.62803 .42027 L
.62446 .42511 L
.62321 .42688 L
.62084 .42994 L
.61838 .43334 L
.61721 .43477 L
.61355 .4396 L
.61355 .43961 L
.60954 .44443 L
.60872 .44551 L
.60533 .44927 L
.60388 .45102 L
.6003 .44927 L
.6031 .44443 L
.60388 .44323 L
.60627 .4396 L
.60872 .43597 L
.60956 .43477 L
.61235 .42994 L
.61355 .42875 L
.61648 .42511 L
.61838 .42255 L
.62016 .42027 L
F
1 .9 0 r
.70052 .43803 m
.70517 .4396 L
.70334 .44443 L
.70073 .44927 L
.70052 .44996 L
.6982 .4541 L
.69569 .4576 L
.69486 .45893 L
.69099 .46376 L
.69086 .465 L
.68807 .46859 L
.68603 .47223 L
.68525 .47342 L
.68142 .47826 L
.68119 .47855 L
.6773 .48309 L
.67636 .48531 L
.6744 .48792 L
.67153 .49199 L
.67141 .49275 L
.66726 .49758 L
.6667 .49828 L
.66336 .50242 L
.66187 .50485 L
.66037 .50725 L
.65704 .51139 L
.65641 .51208 L
.65242 .51691 L
.6522 .51764 L
.64917 .52174 L
.64737 .52412 L
.6463 .52658 L
.64254 .53058 L
.64181 .53141 L
.63805 .53624 L
.63771 .53675 L
.63473 .54107 L
.63288 .54307 L
.63065 .5459 L
.62804 .54939 L
.62687 .55073 L
.62321 .55545 L
.62307 .55557 L
.6195 .5604 L
.61838 .56128 L
.61496 .56523 L
.61355 .567 L
.61053 .57006 L
.60872 .57239 L
.60536 .57489 L
.60388 .57613 L
.60068 .57489 L
.6022 .57006 L
.60388 .56673 L
.60467 .56523 L
.60757 .5604 L
.60872 .55744 L
.60986 .55557 L
.61355 .55104 L
.61375 .55073 L
.61756 .5459 L
.61838 .54378 L
.62041 .54107 L
.62321 .53676 L
.62324 .53624 L
.6274 .53141 L
.62804 .53054 L
.63124 .52658 L
.63288 .52379 L
.63419 .52174 L
.63771 .51724 L
.6381 .51691 L
.64218 .51208 L
.64254 .51093 L
.64528 .50725 L
.64737 .50434 L
.64815 .50242 L
.6522 .4979 L
.65253 .49758 L
.65636 .49275 L
.65704 .49163 L
.6595 .48792 L
.66187 .48514 L
.66351 .48309 L
.6667 .47874 L
.66717 .47826 L
.67084 .47342 L
.67153 .47259 L
.67392 .46859 L
.67636 .46626 L
.67841 .46376 L
.68119 .46 L
.68222 .45893 L
.68603 .45411 L
.68606 .4541 L
.68948 .44927 L
.69086 .44837 L
.69447 .44443 L
.69569 .44289 L
.69933 .4396 L
F
0 .8 1 r
.64254 .41147 m
.64693 .41544 L
.64381 .42027 L
.64254 .4222 L
.6405 .42511 L
.63771 .42922 L
.63718 .42994 L
.63447 .43477 L
.63288 .4365 L
.63013 .4396 L
.62804 .4425 L
.62653 .44443 L
.62321 .44895 L
.62295 .44927 L
.61919 .4541 L
.61838 .45558 L
.61532 .45893 L
.61355 .46124 L
.61136 .46376 L
.60872 .46705 L
.60726 .46859 L
.60388 .4724 L
.60075 .46859 L
.60327 .46376 L
.60388 .46271 L
.60657 .45893 L
.60872 .45574 L
.60983 .4541 L
.61311 .44927 L
.61355 .44863 L
.61518 .44443 L
.61838 .44126 L
.62015 .4396 L
.62321 .43546 L
.62375 .43477 L
.6272 .42994 L
.62804 .42903 L
.63119 .42511 L
.63288 .42244 L
.6351 .42027 L
.63771 .41705 L
.63914 .41544 L
F
1 .8 0 r
.68119 .42434 m
.68369 .42511 L
.68228 .42994 L
.68119 .43207 L
.67974 .43477 L
.67694 .4396 L
.67636 .44085 L
.67495 .44443 L
.67153 .44782 L
.67056 .44927 L
.66712 .4541 L
.6667 .45498 L
.66412 .45893 L
.66187 .46221 L
.66035 .46376 L
.65704 .46835 L
.65685 .46859 L
.65328 .47342 L
.6522 .47505 L
.65041 .47826 L
.64737 .48179 L
.64611 .48309 L
.64254 .4879 L
.64252 .48792 L
.63904 .49275 L
.63771 .49436 L
.6365 .49758 L
.63288 .50088 L
.63143 .50242 L
.62804 .50713 L
.62773 .50725 L
.62423 .51208 L
.62321 .51304 L
.62001 .51691 L
.61838 .51922 L
.61599 .52174 L
.61355 .52543 L
.61184 .52658 L
.60872 .53012 L
.60734 .53141 L
.60388 .53468 L
.60083 .53141 L
.6027 .52658 L
.60388 .52519 L
.60585 .52174 L
.60872 .51716 L
.60887 .51691 L
.61202 .51208 L
.61355 .50933 L
.61432 .50725 L
.61838 .50287 L
.6187 .50242 L
.62241 .49758 L
.62321 .49597 L
.62537 .49275 L
.62804 .48911 L
.62914 .48792 L
.63286 .48309 L
.63288 .48285 L
.63637 .47826 L
.63771 .47628 L
.63926 .47342 L
.64254 .46972 L
.64356 .46859 L
.64727 .46376 L
.64737 .46356 L
.65075 .45893 L
.6522 .45724 L
.6533 .4541 L
.65704 .4509 L
.65851 .44927 L
.66187 .44474 L
.66234 .44443 L
.66611 .4396 L
.6667 .4391 L
.67047 .43477 L
.67153 .4334 L
.67495 .42994 L
.67636 .42794 L
.68026 .42511 L
F
0 .94 1 r
.71502 .44242 m
.71651 .44443 L
.71506 .44927 L
.71502 .44935 L
.71401 .4541 L
.71019 .45855 L
.70997 .45893 L
.70644 .46376 L
.70535 .46678 L
.70383 .46859 L
.70052 .47336 L
.70048 .47342 L
.69716 .47826 L
.69569 .48035 L
.6933 .48309 L
.69086 .48717 L
.6903 .48792 L
.68665 .49275 L
.68603 .49353 L
.68223 .49758 L
.68119 .50018 L
.67942 .50242 L
.67636 .50674 L
.6762 .50725 L
.67234 .51208 L
.67153 .51305 L
.66828 .51691 L
.6667 .51961 L
.66529 .52174 L
.66187 .52611 L
.66146 .52658 L
.6572 .53141 L
.65704 .53236 L
.65411 .53624 L
.6522 .53887 L
.65115 .54107 L
.64737 .54534 L
.6469 .5459 L
.64301 .55073 L
.64254 .55152 L
.63977 .55557 L
.63771 .55793 L
.63717 .5604 L
.63288 .56432 L
.63211 .56523 L
.62837 .57006 L
.62804 .57039 L
.62502 .57489 L
.62321 .57648 L
.62057 .57973 L
.61838 .58249 L
.6165 .58456 L
.61355 .58823 L
.61221 .58939 L
.60872 .59387 L
.60732 .59422 L
.60388 .59692 L
.60102 .59422 L
.60239 .58939 L
.60388 .58733 L
.60535 .58456 L
.60853 .57973 L
.60872 .5788 L
.61147 .57489 L
.61355 .57169 L
.6141 .57006 L
.61798 .56523 L
.61838 .56464 L
.62195 .5604 L
.62321 .55761 L
.62481 .55557 L
.62804 .55093 L
.62844 .55073 L
.63195 .5459 L
.63288 .54465 L
.63578 .54107 L
.63771 .53795 L
.63875 .53624 L
.64254 .53154 L
.64273 .53141 L
.64681 .52658 L
.64737 .52517 L
.64987 .52174 L
.6522 .51858 L
.65272 .51691 L
.65704 .51221 L
.65719 .51208 L
.66098 .50725 L
.66187 .50586 L
.66406 .50242 L
.6667 .49934 L
.66814 .49758 L
.67153 .49296 L
.67175 .49275 L
.67536 .48792 L
.67636 .48671 L
.67829 .48309 L
.68119 .48028 L
.68285 .47826 L
.68603 .47394 L
.68653 .47342 L
.69011 .46859 L
.69086 .46789 L
.69286 .46376 L
.69569 .46174 L
.69811 .45893 L
.70052 .45572 L
.70216 .4541 L
.70535 .44992 L
.70647 .44927 L
.71019 .44551 L
.71161 .44443 L
F
0 .98 1 r
.73434 .45563 m
.73827 .45893 L
.73668 .46376 L
.73434 .46777 L
.73394 .46859 L
.7299 .47342 L
.72951 .47644 L
.72769 .47826 L
.7248 .48309 L
.72468 .48324 L
.72155 .48792 L
.71985 .49028 L
.71718 .49275 L
.71502 .49705 L
.71446 .49758 L
.71107 .50242 L
.71019 .50348 L
.70756 .50725 L
.70535 .51013 L
.70342 .51208 L
.70052 .51665 L
.7003 .51691 L
.69677 .52174 L
.69569 .52299 L
.69186 .52658 L
.69086 .52957 L
.68927 .53141 L
.68603 .53606 L
.68593 .53624 L
.68232 .54107 L
.68119 .54232 L
.67795 .5459 L
.67636 .54889 L
.67503 .55073 L
.67153 .55539 L
.67152 .55557 L
.66781 .5604 L
.6667 .56158 L
.66384 .56523 L
.66187 .56816 L
.6608 .57006 L
.65704 .57468 L
.65687 .57489 L
.65266 .57973 L
.6522 .58078 L
.6496 .58456 L
.64737 .58735 L
.64668 .58939 L
.64254 .59387 L
.64227 .59422 L
.63841 .59905 L
.63771 .59985 L
.63523 .60388 L
.63288 .60632 L
.63113 .60872 L
.62804 .61271 L
.62738 .61355 L
.6236 .61838 L
.62321 .61861 L
.6202 .62321 L
.61838 .62449 L
.6154 .62804 L
.61355 .63013 L
.61086 .63288 L
.60872 .63515 L
.60514 .63771 L
.60388 .63887 L
.60117 .63771 L
.60197 .63288 L
.60388 .62874 L
.60423 .62804 L
.60716 .62321 L
.60872 .62044 L
.6096 .61838 L
.61322 .61355 L
.61355 .61302 L
.6173 .60872 L
.61838 .60562 L
.62006 .60388 L
.62321 .59951 L
.62328 .59905 L
.62703 .59422 L
.62804 .59276 L
.63101 .58939 L
.63288 .58594 L
.634 .58456 L
.63771 .57985 L
.6378 .57973 L
.64214 .57489 L
.64254 .57326 L
.64508 .57006 L
.64737 .5666 L
.64807 .56523 L
.6522 .56041 L
.65223 .5604 L
.65618 .55557 L
.65704 .55391 L
.65924 .55073 L
.66187 .54732 L
.66194 .5459 L
.6667 .54108 L
.66671 .54107 L
.6704 .53624 L
.67153 .53462 L
.67338 .53141 L
.67636 .52806 L
.67765 .52658 L
.68119 .52176 L
.68122 .52174 L
.6847 .51691 L
.68603 .51537 L
.68741 .51208 L
.69086 .50884 L
.69221 .50725 L
.69569 .5025 L
.69578 .50242 L
.6991 .49758 L
.70052 .4962 L
.70321 .49275 L
.70535 .48974 L
.70688 .48792 L
.71019 .48342 L
.71052 .48309 L
.71383 .47826 L
.71502 .47733 L
.71818 .47342 L
.71985 .47116 L
.72211 .46859 L
.72468 .46518 L
.72618 .46376 L
.72951 .45951 L
.73066 .45893 L
F
0 .74 1 r
.6667 .42205 m
.66981 .42511 L
.6681 .42994 L
.6667 .43106 L
.66442 .43477 L
.66187 .43879 L
.66132 .4396 L
.65842 .44443 L
.65704 .44653 L
.6547 .44927 L
.6522 .45282 L
.65127 .4541 L
.64785 .45893 L
.64737 .45963 L
.64508 .46376 L
.64254 .46662 L
.64064 .46859 L
.63771 .47258 L
.63705 .47342 L
.63356 .47826 L
.63288 .47905 L
.63115 .48309 L
.62804 .48563 L
.62588 .48792 L
.62321 .49242 L
.62208 .49275 L
.61838 .49742 L
.61824 .49758 L
.61415 .50242 L
.61355 .50332 L
.60979 .50725 L
.60872 .50921 L
.60482 .51208 L
.60388 .51296 L
.60118 .51208 L
.60298 .50725 L
.60388 .50557 L
.60563 .50242 L
.60852 .49758 L
.60872 .49718 L
.61062 .49275 L
.61355 .48988 L
.61486 .48792 L
.61825 .48309 L
.61838 .4828 L
.62141 .47826 L
.62321 .47571 L
.62509 .47342 L
.62804 .46881 L
.62863 .46859 L
.63225 .46376 L
.63288 .46282 L
.63526 .45893 L
.63771 .45623 L
.63952 .4541 L
.64254 .44971 L
.64324 .44927 L
.64695 .44443 L
.64737 .44396 L
.6499 .4396 L
.6522 .43782 L
.65491 .43477 L
.65704 .43162 L
.6591 .42994 L
.66187 .42678 L
.66361 .42511 L
F
1 .94 0 r
.60388 .40191 m
.60668 .40578 L
.60388 .40954 L
.60125 .40578 L
F
0 .78 1 r
.60388 .46411 m
.60659 .46859 L
.60388 .47149 L
.60151 .46859 L
F
1 .78 0 r
.67636 .42867 m
.68119 .42559 L
.68165 .42994 L
.68119 .43097 L
.67931 .43477 L
.67661 .4396 L
.67636 .44014 L
.67471 .44443 L
.67153 .44748 L
.67035 .44927 L
.66698 .4541 L
.6667 .4547 L
.66397 .45893 L
.66187 .46202 L
.66021 .46376 L
.65704 .46817 L
.65672 .46859 L
.65317 .47342 L
.6522 .47489 L
.65031 .47826 L
.64737 .48166 L
.64599 .48309 L
.64254 .48775 L
.6424 .48792 L
.63891 .49275 L
.63771 .49421 L
.63638 .49758 L
.63288 .50073 L
.63129 .50242 L
.62804 .50706 L
.62757 .50725 L
.624 .51208 L
.62321 .51282 L
.6198 .51691 L
.61838 .51894 L
.61573 .52174 L
.61355 .52513 L
.61146 .52658 L
.60872 .52961 L
.60666 .53141 L
.60388 .53378 L
.60159 .53141 L
.60339 .52658 L
.60388 .52599 L
.60621 .52174 L
.60872 .51764 L
.60916 .51691 L
.61225 .51208 L
.61355 .50968 L
.61444 .50725 L
.61838 .50313 L
.61888 .50242 L
.62252 .49758 L
.62321 .49619 L
.6255 .49275 L
.62804 .48927 L
.62927 .48792 L
.63287 .48309 L
.63288 .48301 L
.63648 .47826 L
.63771 .47645 L
.63936 .47342 L
.64254 .46987 L
.64369 .46859 L
.64735 .46376 L
.64737 .46372 L
.6509 .45893 L
.6522 .45743 L
.65345 .4541 L
.65704 .4511 L
.65869 .44927 L
.66187 .4449 L
.66257 .44443 L
.66648 .4396 L
.6667 .43942 L
.67081 .43477 L
.67153 .43384 L
.67547 .42994 L
F
0 .84 1 r
.69086 .4318 m
.69343 .43477 L
.6916 .4396 L
.69086 .44057 L
.68873 .44443 L
.68603 .44885 L
.68577 .44927 L
.68259 .4541 L
.68119 .45685 L
.68013 .45893 L
.67636 .46325 L
.67601 .46376 L
.67225 .46859 L
.67153 .4702 L
.66927 .47342 L
.6667 .47711 L
.66559 .47826 L
.66206 .48309 L
.66187 .48334 L
.65833 .48792 L
.65704 .48996 L
.65539 .49275 L
.6522 .49658 L
.65126 .49758 L
.64752 .50242 L
.64737 .50278 L
.64411 .50725 L
.64254 .50924 L
.6414 .51208 L
.63771 .51571 L
.63662 .51691 L
.63294 .52174 L
.63288 .52183 L
.62951 .52658 L
.62804 .52805 L
.62532 .53141 L
.62321 .53429 L
.62142 .53624 L
.61838 .54041 L
.61746 .54107 L
.61355 .5457 L
.61335 .5459 L
.60883 .55073 L
.60872 .55087 L
.60388 .55492 L
.6019 .55073 L
.60388 .54638 L
.60413 .5459 L
.60614 .54107 L
.60872 .53801 L
.6098 .53624 L
.61323 .53141 L
.61355 .53041 L
.61621 .52658 L
.61838 .52293 L
.61869 .52174 L
.62304 .51691 L
.62321 .51667 L
.62683 .51208 L
.62804 .50985 L
.62975 .50725 L
.63288 .50312 L
.6336 .50242 L
.63756 .49758 L
.63771 .49687 L
.64081 .49275 L
.64254 .49028 L
.64367 .48792 L
.64737 .48376 L
.64802 .48309 L
.65181 .47826 L
.6522 .47757 L
.65509 .47342 L
.65704 .47114 L
.65751 .46859 L
.66187 .46475 L
.66279 .46376 L
.66651 .45893 L
.6667 .45871 L
.66988 .4541 L
.67153 .4526 L
.67432 .44927 L
.67636 .44654 L
.67838 .44443 L
.68119 .44057 L
.68263 .4396 L
.68603 .43592 L
.68736 .43477 L
F
1 .82 0 r
.60388 .44487 m
.60415 .44927 L
.60388 .44957 L
.60195 .44927 L
F
0 .76 1 r
.60388 .46538 m
.60569 .46859 L
.60388 .47031 L
.60247 .46859 L
F
1 .74 0 r
.60388 .48522 m
.60812 .48792 L
.60388 .49195 L
.60251 .48792 L
F
1 .76 0 r
.60388 .52703 m
.60576 .53141 L
.60388 .53269 L
.60253 .53141 L
F
0 .82 1 r
.60388 .54776 m
.60801 .55073 L
.60388 .55345 L
.60281 .55073 L
F
1 .72 0 r
.60388 .48634 m
.60743 .48792 L
.60388 .49079 L
.60319 .48792 L
F
1 .98 0 r
.60388 .36161 m
.60681 .36229 L
.60388 .36709 L
.60333 .36229 L
F
1 .88 0 r
.69569 .44378 m
.70052 .43995 L
.70232 .44443 L
.70052 .4484 L
.7001 .44927 L
.69771 .4541 L
.69569 .4569 L
.69446 .45893 L
.69093 .46376 L
.69086 .46449 L
.68783 .46859 L
.68603 .47194 L
.68511 .47342 L
.68123 .47826 L
.68119 .4783 L
.6772 .48309 L
.67636 .4851 L
.67427 .48792 L
.67153 .49184 L
.67138 .49275 L
.66713 .49758 L
.6667 .49813 L
.66327 .50242 L
.66187 .50471 L
.66028 .50725 L
.65704 .51126 L
.6563 .51208 L
.65238 .51691 L
.6522 .5175 L
.64906 .52174 L
.64737 .52397 L
.64622 .52658 L
.64254 .53043 L
.64168 .53141 L
.63794 .53624 L
.63771 .53659 L
.63456 .54107 L
.63288 .54286 L
.63045 .5459 L
.62804 .54913 L
.62662 .55073 L
.62321 .5552 L
.62276 .55557 L
.61896 .5604 L
.61838 .56083 L
.61444 .56523 L
.61355 .56634 L
.60968 .57006 L
.60872 .57128 L
.60388 .57393 L
.60334 .57006 L
.60388 .56867 L
.60542 .56523 L
.60805 .5604 L
.60872 .55853 L
.61016 .55557 L
.61355 .55156 L
.61408 .55073 L
.61773 .5459 L
.61838 .54416 L
.62061 .54107 L
.62321 .53693 L
.62325 .53624 L
.62757 .53141 L
.62804 .53076 L
.63136 .52658 L
.63288 .52397 L
.63429 .52174 L
.63771 .51735 L
.63821 .51691 L
.64222 .51208 L
.64254 .51107 L
.64538 .50725 L
.64737 .50448 L
.64821 .50242 L
.6522 .498 L
.65264 .49758 L
.65644 .49275 L
.65704 .49177 L
.65961 .48792 L
.66187 .48529 L
.66364 .48309 L
.6667 .47888 L
.66731 .47826 L
.67098 .47342 L
.67153 .47278 L
.67412 .46859 L
.67636 .4665 L
.67863 .46376 L
.68119 .46028 L
.6825 .45893 L
.68603 .45432 L
.68643 .4541 L
.69031 .44927 L
.69086 .44893 L
.69516 .44443 L
F
0 .72 1 r
.6667 .42279 m
.66919 .42511 L
.66734 .42994 L
.6667 .43045 L
.66413 .43477 L
.66187 .4384 L
.66108 .4396 L
.65817 .44443 L
.65704 .44618 L
.65452 .44927 L
.6522 .45258 L
.6511 .4541 L
.64769 .45893 L
.64737 .4594 L
.64492 .46376 L
.64254 .46642 L
.6405 .46859 L
.63771 .4724 L
.6369 .47342 L
.63339 .47826 L
.63288 .47885 L
.63093 .48309 L
.62804 .48542 L
.62571 .48792 L
.62321 .4923 L
.62187 .49275 L
.61838 .49714 L
.61799 .49758 L
.61388 .50242 L
.61355 .50292 L
.60939 .50725 L
.60872 .5085 L
.60388 .51203 L
.60351 .50725 L
.60388 .5065 L
.60601 .50242 L
.60872 .49777 L
.60883 .49758 L
.6109 .49275 L
.61355 .49024 L
.61509 .48792 L
.61838 .48311 L
.61839 .48309 L
.62159 .47826 L
.62321 .47596 L
.62526 .47342 L
.62804 .46889 L
.6288 .46859 L
.63239 .46376 L
.63288 .46304 L
.63543 .45893 L
.63771 .45644 L
.63969 .4541 L
.64254 .44985 L
.64343 .44927 L
.64717 .44443 L
.64737 .44421 L
.65024 .4396 L
.6522 .43811 L
.65519 .43477 L
.65704 .43196 L
.65947 .42994 L
.66187 .42724 L
.6642 .42511 L
F
0 .88 1 r
.60388 .42477 m
.60665 .42511 L
.60388 .42828 L
.60369 .42511 L
F
1 .76 0 r
.67636 .42952 m
.68089 .42994 L
.67886 .43477 L
.67636 .43941 L
.67625 .4396 L
.67442 .44443 L
.67153 .44713 L
.67013 .44927 L
.66684 .4541 L
.6667 .45441 L
.66381 .45893 L
.66187 .46181 L
.66006 .46376 L
.65704 .46799 L
.65659 .46859 L
.65306 .47342 L
.6522 .47472 L
.6502 .47826 L
.64737 .48152 L
.64588 .48309 L
.64254 .48759 L
.64228 .48792 L
.63879 .49275 L
.63771 .49405 L
.63625 .49758 L
.63288 .50057 L
.63115 .50242 L
.62804 .50699 L
.62741 .50725 L
.62377 .51208 L
.62321 .51259 L
.6196 .51691 L
.61838 .51866 L
.61546 .52174 L
.61355 .52478 L
.61105 .52658 L
.60872 .52908 L
.60409 .52658 L
.60658 .52174 L
.60872 .51815 L
.60946 .51691 L
.61248 .51208 L
.61355 .51006 L
.61457 .50725 L
.61838 .5034 L
.61906 .50242 L
.62264 .49758 L
.62321 .49642 L
.62563 .49275 L
.62804 .48944 L
.62941 .48792 L
.63288 .48319 L
.63295 .48309 L
.63659 .47826 L
.63771 .47662 L
.63947 .47342 L
.64254 .47002 L
.64382 .46859 L
.64737 .4638 L
.64748 .46376 L
.65105 .45893 L
.6522 .45762 L
.65362 .4541 L
.65704 .45131 L
.65888 .44927 L
.66187 .44506 L
.6628 .44443 L
.6667 .43974 L
.66683 .4396 L
.67116 .43477 L
.67153 .4343 L
.67606 .42994 L
F
0 .78 1 r
.64254 .41222 m
.64634 .41544 L
.64339 .42027 L
.64254 .4216 L
.64012 .42511 L
.63771 .42873 L
.63682 .42994 L
.63394 .43477 L
.63288 .43593 L
.62984 .4396 L
.62804 .4421 L
.62622 .44443 L
.62321 .44853 L
.62262 .44927 L
.61888 .4541 L
.61838 .45504 L
.61495 .45893 L
.61355 .46076 L
.6109 .46376 L
.60872 .46644 L
.60409 .46376 L
.60705 .45893 L
.60872 .45641 L
.61026 .4541 L
.61355 .44927 L
.61355 .44927 L
.61568 .44443 L
.61838 .44178 L
.62052 .4396 L
.62321 .43595 L
.62413 .43477 L
.62769 .42994 L
.62804 .42957 L
.6316 .42511 L
.63288 .42301 L
.63557 .42027 L
.63771 .41765 L
.63973 .41544 L
F
1 .82 0 r
.60872 .43713 m
.61277 .4396 L
.6088 .44443 L
.60872 .44454 L
.60415 .44443 L
.60711 .4396 L
F
0 .7 1 r
.66187 .42773 m
.66658 .42994 L
.66382 .43477 L
.66187 .43798 L
.66082 .4396 L
.65792 .44443 L
.65704 .4458 L
.65434 .44927 L
.6522 .45234 L
.65093 .4541 L
.64753 .45893 L
.64737 .45917 L
.64474 .46376 L
.64254 .46622 L
.64036 .46859 L
.63771 .47221 L
.63675 .47342 L
.63321 .47826 L
.63288 .47864 L
.63069 .48309 L
.62804 .4852 L
.62554 .48792 L
.62321 .49215 L
.62166 .49275 L
.61838 .49686 L
.61772 .49758 L
.61359 .50242 L
.61355 .50248 L
.60894 .50725 L
.60872 .50766 L
.60415 .50725 L
.60641 .50242 L
.60872 .49832 L
.60915 .49758 L
.61122 .49275 L
.61355 .4906 L
.61531 .48792 L
.61838 .4834 L
.6186 .48309 L
.62177 .47826 L
.62321 .47622 L
.62543 .47342 L
.62804 .469 L
.62897 .46859 L
.63254 .46376 L
.63288 .46326 L
.63561 .45893 L
.63771 .45666 L
.63986 .4541 L
.64254 .45 L
.64362 .44927 L
.64737 .44446 L
.6474 .44443 L
.6506 .4396 L
.6522 .43842 L
.65547 .43477 L
.65704 .43234 L
.65985 .42994 L
F
1 .76 0 r
.65704 .41422 m
.66094 .41544 L
.65854 .42027 L
.65704 .42289 L
.65565 .42511 L
.65279 .42994 L
.6522 .43087 L
.6493 .43477 L
.64737 .43759 L
.64592 .4396 L
.64255 .44443 L
.64254 .44445 L
.63987 .44927 L
.63771 .45164 L
.63541 .4541 L
.63288 .45757 L
.63181 .45893 L
.62828 .46376 L
.62804 .46402 L
.62444 .46859 L
.62321 .47066 L
.62061 .47342 L
.61838 .47635 L
.61674 .47826 L
.61355 .48227 L
.6128 .48309 L
.60872 .48787 L
.60461 .48309 L
.60687 .47826 L
.60872 .47522 L
.61069 .47342 L
.61355 .46922 L
.61398 .46859 L
.61722 .46376 L
.61838 .46209 L
.61905 .45893 L
.62321 .45487 L
.62435 .4541 L
.62793 .44927 L
.62804 .44909 L
.63115 .44443 L
.63288 .44255 L
.6353 .4396 L
.63771 .43591 L
.6391 .43477 L
.64254 .43041 L
.64295 .42994 L
.64658 .42511 L
.64737 .42453 L
.65118 .42027 L
.6522 .41873 L
.65585 .41544 L
F
1 .94 0 r
.61355 .38926 m
.61726 .39128 L
.614 .39612 L
.61355 .39679 L
.61036 .40095 L
.60872 .40331 L
.60461 .40095 L
.60813 .39612 L
.60872 .39534 L
.61194 .39128 L
F
0 .92 1 r
.71019 .44768 m
.71289 .44927 L
.71258 .4541 L
.71019 .45661 L
.70903 .45893 L
.70593 .46376 L
.70535 .46566 L
.70333 .46859 L
.70052 .47268 L
.70004 .47342 L
.69679 .47826 L
.69569 .47986 L
.69302 .48309 L
.69086 .48688 L
.69012 .48792 L
.68643 .49275 L
.68603 .49326 L
.6821 .49758 L
.68119 .49995 L
.67926 .50242 L
.67636 .50657 L
.67615 .50725 L
.6722 .51208 L
.67153 .51288 L
.66817 .51691 L
.6667 .51944 L
.66518 .52174 L
.66187 .52596 L
.66134 .52658 L
.65717 .53141 L
.65704 .53221 L
.654 .53624 L
.6522 .53869 L
.65105 .54107 L
.64737 .54516 L
.64674 .5459 L
.6429 .55073 L
.64254 .55133 L
.63959 .55557 L
.63771 .55767 L
.63703 .5604 L
.63288 .564 L
.63183 .56523 L
.62805 .57006 L
.62804 .57007 L
.62449 .57489 L
.62321 .57595 L
.62 .57973 L
.61838 .58173 L
.61567 .58456 L
.61355 .58718 L
.61078 .58939 L
.60872 .59242 L
.60462 .58939 L
.60649 .58456 L
.60872 .58039 L
.60909 .57973 L
.61202 .57489 L
.61355 .5725 L
.61434 .57006 L
.61837 .56523 L
.61838 .56522 L
.62217 .5604 L
.62321 .558 L
.62503 .55557 L
.62804 .55106 L
.62865 .55073 L
.63214 .5459 L
.63288 .54488 L
.63591 .54107 L
.63771 .53814 L
.63885 .53624 L
.64254 .53164 L
.64286 .53141 L
.64687 .52658 L
.64737 .52532 L
.64997 .52174 L
.6522 .51872 L
.65277 .51691 L
.65704 .51231 L
.6573 .51208 L
.66107 .50725 L
.66187 .50601 L
.66417 .50242 L
.6667 .49949 L
.66826 .49758 L
.67153 .4931 L
.67189 .49275 L
.67551 .48792 L
.67636 .48691 L
.67847 .48309 L
.68119 .48052 L
.68306 .47826 L
.68603 .47421 L
.6868 .47342 L
.6905 .46859 L
.69086 .46826 L
.69348 .46376 L
.69569 .46229 L
.69867 .45893 L
.70052 .45648 L
.70304 .4541 L
.70535 .45088 L
.70816 .44927 L
F
1 .74 0 r
.67153 .43479 m
.67589 .4396 L
.6741 .44443 L
.67153 .44677 L
.66991 .44927 L
.6667 .4541 L
.6667 .4541 L
.66365 .45893 L
.66187 .46159 L
.65992 .46376 L
.65704 .4678 L
.65645 .46859 L
.65294 .47342 L
.6522 .47455 L
.65008 .47826 L
.64737 .48138 L
.64576 .48309 L
.64254 .48744 L
.64216 .48792 L
.63866 .49275 L
.63771 .49389 L
.63611 .49758 L
.63288 .50041 L
.63101 .50242 L
.62804 .50691 L
.62724 .50725 L
.62352 .51208 L
.62321 .51236 L
.61939 .51691 L
.61838 .51836 L
.61517 .52174 L
.61355 .52438 L
.61059 .52658 L
.60872 .52851 L
.60468 .52658 L
.60696 .52174 L
.60872 .51869 L
.60976 .51691 L
.61271 .51208 L
.61355 .51048 L
.61473 .50725 L
.61838 .50367 L
.61924 .50242 L
.62276 .49758 L
.62321 .49665 L
.62577 .49275 L
.62804 .48962 L
.62955 .48792 L
.63288 .48336 L
.63308 .48309 L
.6367 .47826 L
.63771 .47679 L
.63959 .47342 L
.64254 .47017 L
.64395 .46859 L
.64737 .46387 L
.64762 .46376 L
.65121 .45893 L
.6522 .45781 L
.6538 .4541 L
.65704 .45152 L
.65907 .44927 L
.66187 .44524 L
.66304 .44443 L
.6667 .44007 L
.66715 .4396 L
F
0 .82 1 r
.68603 .4366 m
.69077 .4396 L
.6883 .44443 L
.68603 .44827 L
.68543 .44927 L
.68235 .4541 L
.68119 .45644 L
.67998 .45893 L
.67636 .46297 L
.67582 .46376 L
.67214 .46859 L
.67153 .46997 L
.66914 .47342 L
.6667 .47696 L
.66546 .47826 L
.66194 .48309 L
.66187 .48318 L
.65824 .48792 L
.65704 .48982 L
.6553 .49275 L
.6522 .49646 L
.65115 .49758 L
.64746 .50242 L
.64737 .50265 L
.64401 .50725 L
.64254 .50909 L
.64131 .51208 L
.63771 .51557 L
.63649 .51691 L
.63288 .5217 L
.63281 .52174 L
.62932 .52658 L
.62804 .52785 L
.62513 .53141 L
.62321 .53404 L
.62119 .53624 L
.61838 .54017 L
.61714 .54107 L
.61355 .54525 L
.61288 .5459 L
.60872 .55017 L
.60471 .5459 L
.60658 .54107 L
.60872 .5386 L
.61013 .53624 L
.61337 .53141 L
.61355 .53084 L
.6164 .52658 L
.61838 .52317 L
.61875 .52174 L
.6232 .51691 L
.62321 .5169 L
.62694 .51208 L
.62804 .51004 L
.62986 .50725 L
.63288 .50325 L
.63372 .50242 L
.63759 .49758 L
.63771 .49701 L
.64091 .49275 L
.64254 .49042 L
.64375 .48792 L
.64737 .48388 L
.64813 .48309 L
.65189 .47826 L
.6522 .47771 L
.65521 .47342 L
.65704 .4713 L
.65759 .46859 L
.66187 .46491 L
.66294 .46376 L
.66668 .45893 L
.6667 .45891 L
.67013 .4541 L
.67153 .45286 L
.67457 .44927 L
.67636 .44687 L
.67872 .44443 L
.68119 .44094 L
.68314 .4396 L
F
0 .76 1 r
.64254 .41306 m
.64566 .41544 L
.64294 .42027 L
.64254 .42092 L
.63972 .42511 L
.63771 .42819 L
.63644 .42994 L
.63335 .43477 L
.63288 .43529 L
.62953 .4396 L
.62804 .44168 L
.62589 .44443 L
.62321 .4481 L
.62226 .44927 L
.61856 .4541 L
.61838 .45443 L
.61456 .45893 L
.61355 .46024 L
.61038 .46376 L
.60872 .46576 L
.60477 .46376 L
.60756 .45893 L
.60872 .45714 L
.61071 .4541 L
.61355 .44987 L
.61398 .44927 L
.6163 .44443 L
.61838 .4424 L
.6209 .4396 L
.62321 .43646 L
.62452 .43477 L
.62804 .43012 L
.62819 .42994 L
.63203 .42511 L
.63288 .42367 L
.63607 .42027 L
.63771 .41829 L
.64039 .41544 L
F
1 .96 0 r
.71985 .45403 m
.72468 .45326 L
.72475 .4541 L
.72468 .45459 L
.72343 .45893 L
.72102 .46376 L
.71985 .46606 L
.71908 .46859 L
.71547 .47342 L
.71502 .47416 L
.71155 .47826 L
.71019 .48175 L
.70894 .48309 L
.70563 .48792 L
.70535 .48827 L
.70225 .49275 L
.70052 .49512 L
.69825 .49758 L
.69569 .50181 L
.69522 .50242 L
.69164 .50725 L
.69086 .50819 L
.68701 .51208 L
.68603 .5148 L
.68429 .51691 L
.68119 .52133 L
.68101 .52174 L
.67728 .52658 L
.67636 .52764 L
.67308 .53141 L
.67153 .53419 L
.67011 .53624 L
.6667 .54069 L
.66639 .54107 L
.66189 .5459 L
.66187 .54693 L
.65894 .55073 L
.65704 .55345 L
.65592 .55557 L
.6522 .55994 L
.65183 .5604 L
.64783 .56523 L
.64737 .56609 L
.64463 .57006 L
.64254 .57254 L
.64186 .57489 L
.63771 .57896 L
.63709 .57973 L
.63331 .58456 L
.63288 .58501 L
.62998 .58939 L
.62804 .59118 L
.62564 .59422 L
.62321 .59727 L
.62166 .59905 L
.61838 .60308 L
.61752 .60388 L
.61355 .6085 L
.61299 .60872 L
.60872 .61255 L
.60478 .60872 L
.60637 .60388 L
.60872 .60076 L
.60968 .59905 L
.61314 .59422 L
.61355 .59255 L
.61595 .58939 L
.61838 .58582 L
.61869 .58456 L
.62262 .57973 L
.62321 .57886 L
.62655 .57489 L
.62804 .57187 L
.62946 .57006 L
.63288 .56531 L
.63318 .56523 L
.63752 .5604 L
.63771 .55902 L
.64046 .55557 L
.64254 .55232 L
.64344 .55073 L
.64737 .54598 L
.64751 .5459 L
.65151 .54107 L
.6522 .53958 L
.65458 .53624 L
.65704 .53298 L
.65735 .53141 L
.66187 .52665 L
.66197 .52658 L
.66571 .52174 L
.6667 .52028 L
.66874 .51691 L
.67153 .51373 L
.67292 .51208 L
.67636 .50738 L
.67651 .50725 L
.68006 .50242 L
.68119 .50108 L
.68289 .49758 L
.68603 .4946 L
.68757 .49275 L
.69086 .48826 L
.6912 .48792 L
.69467 .48309 L
.69569 .48212 L
.69874 .47826 L
.70052 .47583 L
.70257 .47342 L
.70535 .46966 L
.70643 .46859 L
.71019 .46386 L
.71041 .46376 L
.71474 .45893 L
.71502 .45859 L
.71979 .4541 L
F
1 .74 0 r
.65704 .41505 m
.65992 .41544 L
.65806 .42027 L
.65704 .42216 L
.65526 .42511 L
.65237 .42994 L
.6522 .4302 L
.64905 .43477 L
.64737 .43724 L
.64569 .4396 L
.64254 .44415 L
.64233 .44443 L
.6396 .44927 L
.63771 .45134 L
.63521 .4541 L
.63288 .45731 L
.63161 .45893 L
.62804 .46374 L
.62802 .46376 L
.62424 .46859 L
.62321 .47035 L
.62038 .47342 L
.61838 .47603 L
.61646 .47826 L
.61355 .48188 L
.61243 .48309 L
.60872 .48735 L
.60506 .48309 L
.60737 .47826 L
.60872 .47597 L
.611 .47342 L
.61355 .46964 L
.61426 .46859 L
.61748 .46376 L
.61838 .46247 L
.61927 .45893 L
.62321 .4551 L
.62458 .4541 L
.62804 .4494 L
.62815 .44927 L
.63142 .44443 L
.63288 .44287 L
.63554 .4396 L
.63771 .43619 L
.63937 .43477 L
.64254 .43078 L
.64327 .42994 L
.64721 .42511 L
.64737 .42499 L
.65164 .42027 L
.6522 .41942 L
.65662 .41544 L
F
0 .9 1 r
.61838 .40242 m
.62292 .40578 L
.61941 .41061 L
.61838 .41211 L
.61579 .41544 L
.61355 .41859 L
.61217 .42027 L
.60872 .42487 L
.60516 .42027 L
.60834 .41544 L
.60872 .41506 L
.61206 .41061 L
.61355 .40863 L
.61578 .40578 L
F
0 .8 1 r
.68603 .43733 m
.69006 .4396 L
.68784 .44443 L
.68603 .44764 L
.68508 .44927 L
.6821 .4541 L
.68119 .45598 L
.67981 .45893 L
.67636 .46269 L
.67563 .46376 L
.67203 .46859 L
.67153 .46974 L
.66901 .47342 L
.6667 .4768 L
.66533 .47826 L
.66187 .48302 L
.66182 .48309 L
.65815 .48792 L
.65704 .48967 L
.65521 .49275 L
.6522 .49634 L
.65105 .49758 L
.64741 .50242 L
.64737 .50251 L
.6439 .50725 L
.64254 .50895 L
.64121 .51208 L
.63771 .51543 L
.63636 .51691 L
.63288 .52162 L
.63266 .52174 L
.62913 .52658 L
.62804 .52764 L
.62494 .53141 L
.62321 .53379 L
.62094 .53624 L
.61838 .5399 L
.61681 .54107 L
.61355 .54478 L
.61236 .5459 L
.60872 .54943 L
.60533 .5459 L
.60711 .54107 L
.60872 .53924 L
.61045 .53624 L
.61352 .53141 L
.61355 .5313 L
.61661 .52658 L
.61838 .52344 L
.61882 .52174 L
.62321 .51713 L
.62337 .51691 L
.62705 .51208 L
.62804 .51023 L
.62997 .50725 L
.63288 .50338 L
.63384 .50242 L
.63762 .49758 L
.63771 .49716 L
.64101 .49275 L
.64254 .49057 L
.64383 .48792 L
.64737 .484 L
.64824 .48309 L
.65197 .47826 L
.6522 .47785 L
.65534 .47342 L
.65704 .47146 L
.65769 .46859 L
.66187 .46508 L
.66309 .46376 L
.6667 .45901 L
.66686 .45893 L
.67041 .4541 L
.67153 .45312 L
.67483 .44927 L
.67636 .44721 L
.67907 .44443 L
.68119 .44136 L
.68372 .4396 L
F
1 .72 0 r
.67153 .43525 m
.67552 .4396 L
.67372 .44443 L
.67153 .44638 L
.66969 .44927 L
.6667 .45382 L
.66651 .4541 L
.66348 .45893 L
.66187 .46136 L
.65978 .46376 L
.65704 .46761 L
.65632 .46859 L
.65283 .47342 L
.6522 .47437 L
.64996 .47826 L
.64737 .48123 L
.64564 .48309 L
.64254 .48728 L
.64204 .48792 L
.63853 .49275 L
.63771 .49372 L
.63596 .49758 L
.63288 .50024 L
.63087 .50242 L
.62804 .50681 L
.62708 .50725 L
.62326 .51208 L
.62321 .51212 L
.61917 .51691 L
.61838 .51805 L
.61486 .52174 L
.61355 .52393 L
.61006 .52658 L
.60872 .52789 L
.60536 .52658 L
.60736 .52174 L
.60872 .51929 L
.61007 .51691 L
.61296 .51208 L
.61355 .51094 L
.6149 .50725 L
.61838 .50395 L
.61942 .50242 L
.62287 .49758 L
.62321 .49689 L
.62591 .49275 L
.62804 .4898 L
.62968 .48792 L
.63288 .48354 L
.63322 .48309 L
.63682 .47826 L
.63771 .47696 L
.63971 .47342 L
.64254 .47033 L
.64408 .46859 L
.64737 .46393 L
.64776 .46376 L
.65137 .45893 L
.6522 .458 L
.65401 .4541 L
.65704 .45174 L
.65927 .44927 L
.66187 .44543 L
.66329 .44443 L
.6667 .4404 L
.66748 .4396 L
F
.64737 .42545 m
.65199 .42994 L
.64879 .43477 L
.64737 .43688 L
.64545 .4396 L
.64254 .44384 L
.6421 .44443 L
.6393 .44927 L
.63771 .45101 L
.63502 .4541 L
.63288 .45705 L
.6314 .45893 L
.62804 .46346 L
.6278 .46376 L
.62403 .46859 L
.62321 .47001 L
.62014 .47342 L
.61838 .47571 L
.61616 .47826 L
.61355 .48148 L
.61202 .48309 L
.60872 .48679 L
.60554 .48309 L
.60794 .47826 L
.60872 .47691 L
.61132 .47342 L
.61355 .47007 L
.61455 .46859 L
.61777 .46376 L
.61838 .46288 L
.61952 .45893 L
.62321 .45537 L
.62482 .4541 L
.62804 .44971 L
.62839 .44927 L
.63171 .44443 L
.63288 .4432 L
.6358 .4396 L
.63771 .43649 L
.63966 .43477 L
.64254 .43115 L
.64361 .42994 L
F
0 .74 1 r
.61355 .45053 m
.61816 .4541 L
.61414 .45893 L
.61355 .45969 L
.60976 .46376 L
.60872 .46498 L
.60558 .46376 L
.60812 .45893 L
.60872 .45798 L
.6112 .4541 L
F
0 .78 1 r
.68603 .43812 m
.68922 .4396 L
.68737 .44443 L
.68603 .44694 L
.68473 .44927 L
.68184 .4541 L
.68119 .45547 L
.67963 .45893 L
.67636 .4624 L
.67544 .46376 L
.67192 .46859 L
.67153 .4695 L
.66888 .47342 L
.6667 .47663 L
.6652 .47826 L
.66187 .48286 L
.6617 .48309 L
.65805 .48792 L
.65704 .48952 L
.65511 .49275 L
.6522 .49621 L
.65094 .49758 L
.64737 .50241 L
.64734 .50242 L
.64379 .50725 L
.64254 .5088 L
.6411 .51208 L
.63771 .51528 L
.63623 .51691 L
.63288 .52154 L
.63251 .52174 L
.62893 .52658 L
.62804 .52743 L
.62475 .53141 L
.62321 .53353 L
.62069 .53624 L
.61838 .53962 L
.61645 .54107 L
.61355 .5443 L
.61175 .5459 L
.60872 .54862 L
.60602 .5459 L
.60773 .54107 L
.60872 .53996 L
.61079 .53624 L
.61355 .53174 L
.61376 .53141 L
.61681 .52658 L
.61838 .52374 L
.6189 .52174 L
.62321 .51737 L
.62353 .51691 L
.62716 .51208 L
.62804 .51043 L
.63009 .50725 L
.63288 .50352 L
.63396 .50242 L
.63765 .49758 L
.63771 .49731 L
.64111 .49275 L
.64254 .49071 L
.64391 .48792 L
.64737 .48413 L
.64836 .48309 L
.65205 .47826 L
.6522 .47799 L
.65546 .47342 L
.65704 .47163 L
.6578 .46859 L
.66187 .46525 L
.66325 .46376 L
.6667 .45911 L
.66705 .45893 L
.67069 .4541 L
.67153 .45339 L
.67509 .44927 L
.67636 .44756 L
.67945 .44443 L
.68119 .44185 L
.6844 .4396 L
F
1 .7 0 r
.64737 .42592 m
.65162 .42994 L
.64852 .43477 L
.64737 .4365 L
.6452 .4396 L
.64254 .44352 L
.64186 .44443 L
.63897 .44927 L
.63771 .45065 L
.63482 .4541 L
.63288 .45678 L
.63119 .45893 L
.62804 .46318 L
.62757 .46376 L
.62382 .46859 L
.62321 .46965 L
.61989 .47342 L
.61838 .47537 L
.61584 .47826 L
.61355 .48105 L
.61155 .48309 L
.60872 .48616 L
.60606 .48309 L
.60861 .47826 L
.60872 .47806 L
.61164 .47342 L
.61355 .47052 L
.61484 .46859 L
.61806 .46376 L
.61838 .46331 L
.61983 .45893 L
.62321 .45568 L
.62506 .4541 L
.62804 .45004 L
.62864 .44927 L
.63203 .44443 L
.63288 .44355 L
.63605 .4396 L
.63771 .43683 L
.63995 .43477 L
.64254 .43154 L
.64397 .42994 L
F
1 .86 0 r
.69569 .44475 m
.69936 .44927 L
.69717 .4541 L
.69569 .45613 L
.69405 .45893 L
.69088 .46376 L
.69086 .46396 L
.6876 .46859 L
.68603 .47162 L
.68496 .47342 L
.68119 .47803 L
.68104 .47826 L
.67709 .48309 L
.67636 .48488 L
.67414 .48792 L
.67153 .49169 L
.67136 .49275 L
.66701 .49758 L
.6667 .49797 L
.66317 .50242 L
.66187 .50456 L
.66019 .50725 L
.65704 .51114 L
.65619 .51208 L
.65234 .51691 L
.6522 .51737 L
.64896 .52174 L
.64737 .52382 L
.64613 .52658 L
.64254 .53027 L
.64155 .53141 L
.63784 .53624 L
.63771 .53642 L
.63438 .54107 L
.63288 .54264 L
.63026 .5459 L
.62804 .54887 L
.62638 .55073 L
.62321 .55494 L
.62244 .55557 L
.61838 .56038 L
.61836 .5604 L
.61388 .56523 L
.61355 .56563 L
.60872 .56993 L
.60622 .56523 L
.60858 .5604 L
.60872 .55999 L
.61052 .55557 L
.61355 .55211 L
.61441 .55073 L
.6179 .5459 L
.61838 .54456 L
.6208 .54107 L
.62321 .53713 L
.62326 .53624 L
.62773 .53141 L
.62804 .53098 L
.63148 .52658 L
.63288 .52415 L
.63439 .52174 L
.63771 .51745 L
.63833 .51691 L
.64227 .51208 L
.64254 .51122 L
.64547 .50725 L
.64737 .50461 L
.64827 .50242 L
.6522 .49811 L
.65275 .49758 L
.65652 .49275 L
.65704 .4919 L
.65972 .48792 L
.66187 .48544 L
.66376 .48309 L
.6667 .47903 L
.66745 .47826 L
.67113 .47342 L
.67153 .47296 L
.67433 .46859 L
.67636 .46674 L
.67885 .46376 L
.68119 .46057 L
.68279 .45893 L
.68603 .45455 L
.68683 .4541 L
.69086 .44951 L
.69111 .44927 L
F
1 .7 0 r
.67153 .43574 m
.67512 .4396 L
.67329 .44443 L
.67153 .44597 L
.66946 .44927 L
.6667 .45353 L
.66631 .4541 L
.66331 .45893 L
.66187 .46111 L
.65963 .46376 L
.65704 .46742 L
.65618 .46859 L
.65271 .47342 L
.6522 .47419 L
.64984 .47826 L
.64737 .48108 L
.64552 .48309 L
.64254 .48713 L
.64192 .48792 L
.63839 .49275 L
.63771 .49356 L
.63579 .49758 L
.63288 .50007 L
.63072 .50242 L
.62804 .5067 L
.6269 .50725 L
.62321 .51189 L
.62304 .51208 L
.61894 .51691 L
.61838 .51772 L
.61454 .52174 L
.61355 .52341 L
.60942 .52658 L
.60872 .52721 L
.60622 .52658 L
.60778 .52174 L
.60872 .51996 L
.61038 .51691 L
.61323 .51208 L
.61355 .51144 L
.61511 .50725 L
.61838 .50423 L
.6196 .50242 L
.62299 .49758 L
.62321 .49713 L
.62605 .49275 L
.62804 .48999 L
.62982 .48792 L
.63288 .48372 L
.63335 .48309 L
.63693 .47826 L
.63771 .47713 L
.63983 .47342 L
.64254 .47049 L
.64422 .46859 L
.64737 .464 L
.64791 .46376 L
.65154 .45893 L
.6522 .4582 L
.65423 .4541 L
.65704 .45196 L
.65947 .44927 L
.66187 .44564 L
.66355 .44443 L
.6667 .44075 L
.66784 .4396 L
F
1 .68 0 r
.60872 .47891 m
.611 .48309 L
.60872 .48544 L
.60666 .48309 L
F
0 .72 1 r
.60872 .45901 m
.60895 .46376 L
.60872 .46402 L
.60675 .46376 L
F
0 .88 1 r
.60872 .41732 m
.61072 .42027 L
.60872 .42298 L
.60679 .42027 L
F
0 .76 1 r
.68603 .43901 m
.68811 .4396 L
.68687 .44443 L
.68603 .44612 L
.68437 .44927 L
.68156 .4541 L
.68119 .4549 L
.67942 .45893 L
.67636 .4621 L
.67525 .46376 L
.67182 .46859 L
.67153 .46925 L
.66875 .47342 L
.6667 .47646 L
.66507 .47826 L
.66187 .48269 L
.66157 .48309 L
.65795 .48792 L
.65704 .48937 L
.65502 .49275 L
.6522 .49609 L
.65083 .49758 L
.64737 .50238 L
.64723 .50242 L
.64368 .50725 L
.64254 .50866 L
.64099 .51208 L
.63771 .51513 L
.6361 .51691 L
.63288 .52145 L
.63235 .52174 L
.62872 .52658 L
.62804 .52721 L
.62455 .53141 L
.62321 .53326 L
.62043 .53624 L
.61838 .5393 L
.61606 .54107 L
.61355 .5438 L
.611 .5459 L
.60872 .54768 L
.60683 .5459 L
.60847 .54107 L
.60872 .54078 L
.61113 .53624 L
.61355 .5322 L
.61403 .53141 L
.61702 .52658 L
.61838 .52407 L
.619 .52174 L
.62321 .51761 L
.6237 .51691 L
.62728 .51208 L
.62804 .51063 L
.6302 .50725 L
.63288 .50366 L
.63408 .50242 L
.63768 .49758 L
.63771 .49746 L
.64121 .49275 L
.64254 .49086 L
.644 .48792 L
.64737 .48425 L
.64847 .48309 L
.65213 .47826 L
.6522 .47814 L
.65559 .47342 L
.65704 .47179 L
.65793 .46859 L
.66187 .46542 L
.66341 .46376 L
.6667 .45921 L
.66724 .45893 L
.671 .4541 L
.67153 .45366 L
.67537 .44927 L
.67636 .44793 L
.67986 .44443 L
.68119 .44243 L
.68528 .4396 L
F
0 .68 1 r
.60872 .49893 m
.61321 .50242 L
.60872 .5069 L
.60684 .50242 L
F
1 .84 0 r
.60872 .56135 m
.61315 .56523 L
.60872 .56859 L
.60711 .56523 L
F
0 .66 1 r
.60872 .49962 m
.61276 .50242 L
.60872 .50619 L
.60731 .50242 L
F
1 .66 0 r
.60872 .47988 m
.6103 .48309 L
.60872 .48455 L
.60739 .48309 L
F
1 .98 0 r
.60872 .35632 m
.60964 .35746 L
.60872 .35953 L
.6077 .35746 L
F
0 .9 1 r
.70535 .45236 m
.70989 .4541 L
.70807 .45893 L
.70547 .46376 L
.70535 .46417 L
.70284 .46859 L
.70052 .47196 L
.69961 .47342 L
.69641 .47826 L
.69569 .47935 L
.69276 .48309 L
.69086 .48657 L
.68994 .48792 L
.68621 .49275 L
.68603 .49298 L
.68198 .49758 L
.68119 .49972 L
.67912 .50242 L
.67636 .5064 L
.6761 .50725 L
.67206 .51208 L
.67153 .51271 L
.66807 .51691 L
.6667 .51928 L
.66508 .52174 L
.66187 .52581 L
.66121 .52658 L
.65715 .53141 L
.65704 .53206 L
.65388 .53624 L
.6522 .53852 L
.65095 .54107 L
.64737 .54497 L
.64659 .5459 L
.64279 .55073 L
.64254 .55114 L
.63939 .55557 L
.63771 .55741 L
.63686 .5604 L
.63288 .56369 L
.63154 .56523 L
.62804 .56974 L
.62769 .57006 L
.6239 .57489 L
.62321 .57542 L
.6194 .57973 L
.61838 .58095 L
.6147 .58456 L
.61355 .58596 L
.60872 .58901 L
.60776 .58456 L
.60872 .58231 L
.60994 .57973 L
.6126 .57489 L
.61355 .57338 L
.61464 .57006 L
.61838 .5658 L
.61875 .56523 L
.62239 .5604 L
.62321 .55841 L
.62525 .55557 L
.62804 .55122 L
.62885 .55073 L
.63232 .5459 L
.63288 .54513 L
.63605 .54107 L
.63771 .53833 L
.63896 .53624 L
.64254 .53173 L
.64299 .53141 L
.64694 .52658 L
.64737 .52547 L
.65008 .52174 L
.6522 .51886 L
.65283 .51691 L
.65704 .51241 L
.65741 .51208 L
.66116 .50725 L
.66187 .50615 L
.66428 .50242 L
.6667 .49965 L
.66839 .49758 L
.67153 .49324 L
.67204 .49275 L
.67566 .48792 L
.67636 .4871 L
.67867 .48309 L
.68119 .48076 L
.68328 .47826 L
.68603 .47448 L
.68708 .47342 L
.69086 .46861 L
.6909 .46859 L
.69424 .46376 L
.69569 .46285 L
.69929 .45893 L
.70052 .45732 L
.70413 .4541 L
F
0 .64 1 r
.60872 .50046 m
.61222 .50242 L
.60872 .50531 L
.60784 .50242 L
F
0 .74 1 r
.60872 .54198 m
.60986 .5459 L
.60872 .54648 L
.60797 .5459 L
F
1 .8 0 r
.60872 .43868 m
.61166 .4396 L
.60872 .44302 L
.60816 .4396 L
F
1 .82 0 r
.60872 .5632 m
.612 .56523 L
.60872 .56665 L
.60822 .56523 L
F
1 .68 0 r
.67153 .43626 m
.6747 .4396 L
.67281 .44443 L
.67153 .44554 L
.66923 .44927 L
.6667 .45323 L
.66612 .4541 L
.66313 .45893 L
.66187 .46085 L
.65949 .46376 L
.65704 .46723 L
.65605 .46859 L
.65259 .47342 L
.6522 .47401 L
.64971 .47826 L
.64737 .48093 L
.64541 .48309 L
.64254 .48697 L
.64179 .48792 L
.63825 .49275 L
.63771 .49339 L
.63562 .49758 L
.63288 .4999 L
.63058 .50242 L
.62804 .50658 L
.62673 .50725 L
.62321 .51165 L
.62282 .51208 L
.6187 .51691 L
.61838 .51738 L
.61419 .52174 L
.61355 .52283 L
.60872 .52638 L
.60824 .52174 L
.60872 .52076 L
.61071 .51691 L
.6135 .51208 L
.61355 .51199 L
.61533 .50725 L
.61838 .50452 L
.61979 .50242 L
.62311 .49758 L
.62321 .49738 L
.6262 .49275 L
.62804 .49019 L
.62996 .48792 L
.63288 .48391 L
.63349 .48309 L
.63705 .47826 L
.63771 .47731 L
.63996 .47342 L
.64254 .47066 L
.64435 .46859 L
.64737 .46408 L
.64805 .46376 L
.65171 .45893 L
.6522 .45839 L
.65448 .4541 L
.65704 .45219 L
.65967 .44927 L
.66187 .44587 L
.66381 .44443 L
.6667 .4411 L
.66823 .4396 L
F
0 .62 1 r
.60872 .5017 m
.61148 .50242 L
.60872 .50398 L
.60848 .50242 L
F
1 .64 0 r
.60872 .48156 m
.60889 .48309 L
.60872 .48316 L
.60864 .48309 L
F
1 .66 0 r
.67153 .43682 m
.67424 .4396 L
.67227 .44443 L
.67153 .44507 L
.669 .44927 L
.6667 .45291 L
.66591 .4541 L
.66294 .45893 L
.66187 .46057 L
.65934 .46376 L
.65704 .46704 L
.65591 .46859 L
.65247 .47342 L
.6522 .47382 L
.64957 .47826 L
.64737 .48076 L
.64529 .48309 L
.64254 .48681 L
.64167 .48792 L
.63811 .49275 L
.63771 .49322 L
.63543 .49758 L
.63288 .49971 L
.63043 .50242 L
.62804 .50645 L
.62655 .50725 L
.62321 .5114 L
.6226 .51208 L
.61845 .51691 L
.61838 .51702 L
.6138 .52174 L
.61355 .52217 L
.60875 .52174 L
.61105 .51691 L
.61355 .51246 L
.61378 .51208 L
.61559 .50725 L
.61838 .50482 L
.61997 .50242 L
.62321 .49764 L
.62325 .49758 L
.62635 .49275 L
.62804 .4904 L
.6301 .48792 L
.63288 .48409 L
.63362 .48309 L
.63717 .47826 L
.63771 .47749 L
.6401 .47342 L
.64254 .47083 L
.64449 .46859 L
.64737 .46416 L
.6482 .46376 L
.65189 .45893 L
.6522 .45859 L
.65475 .4541 L
.65704 .45242 L
.65988 .44927 L
.66187 .44612 L
.66409 .44443 L
.6667 .44146 L
.66867 .4396 L
F
0 .72 1 r
.61355 .45125 m
.61767 .4541 L
.61365 .45893 L
.61355 .45906 L
.60877 .45893 L
.61172 .4541 L
F
0 .74 1 r
.68119 .44309 m
.68603 .44019 L
.68631 .44443 L
.68603 .44509 L
.68399 .44927 L
.68127 .4541 L
.68119 .45427 L
.67919 .45893 L
.67636 .46179 L
.67506 .46376 L
.67171 .46859 L
.67153 .469 L
.66861 .47342 L
.6667 .47627 L
.66494 .47826 L
.66187 .48252 L
.66145 .48309 L
.65786 .48792 L
.65704 .48922 L
.65491 .49275 L
.6522 .49596 L
.65072 .49758 L
.64737 .50235 L
.64712 .50242 L
.64357 .50725 L
.64254 .50851 L
.64087 .51208 L
.63771 .51498 L
.63596 .51691 L
.63288 .52135 L
.6322 .52174 L
.6285 .52658 L
.62804 .527 L
.62435 .53141 L
.62321 .53298 L
.62016 .53624 L
.61838 .53894 L
.61565 .54107 L
.61355 .54327 L
.60909 .54107 L
.61148 .53624 L
.61355 .53269 L
.61431 .53141 L
.61724 .52658 L
.61838 .52443 L
.61911 .52174 L
.62321 .51785 L
.62386 .51691 L
.62739 .51208 L
.62804 .51083 L
.63032 .50725 L
.63288 .5038 L
.63421 .50242 L
.63771 .49762 L
.63773 .49758 L
.64131 .49275 L
.64254 .49101 L
.6441 .48792 L
.64737 .48438 L
.64859 .48309 L
.6522 .47826 L
.65222 .47826 L
.65573 .47342 L
.65704 .47195 L
.65806 .46859 L
.66187 .46559 L
.66357 .46376 L
.6667 .45932 L
.66744 .45893 L
.67133 .4541 L
.67153 .45394 L
.67565 .44927 L
.67636 .44832 L
.68031 .44443 L
F
1 .68 0 r
.64737 .42642 m
.65124 .42994 L
.64824 .43477 L
.64737 .4361 L
.64495 .4396 L
.64254 .44318 L
.64162 .44443 L
.63862 .44927 L
.63771 .45027 L
.63461 .4541 L
.63288 .4565 L
.63097 .45893 L
.62804 .46289 L
.62733 .46376 L
.62359 .46859 L
.62321 .46927 L
.61962 .47342 L
.61838 .47503 L
.61549 .47826 L
.61355 .4806 L
.6091 .47826 L
.61198 .47342 L
.61355 .471 L
.61514 .46859 L
.61838 .46376 L
.61838 .46376 L
.6202 .45893 L
.62321 .45604 L
.62531 .4541 L
.62804 .45037 L
.62889 .44927 L
.63237 .44443 L
.63288 .44391 L
.63632 .4396 L
.63771 .43721 L
.64026 .43477 L
.64254 .43194 L
.64435 .42994 L
F
1 .84 0 r
.69569 .44575 m
.69855 .44927 L
.69655 .4541 L
.69569 .45528 L
.69365 .45893 L
.69086 .46342 L
.69065 .46376 L
.68737 .46859 L
.68603 .47127 L
.68481 .47342 L
.68119 .47776 L
.68085 .47826 L
.67699 .48309 L
.67636 .48467 L
.67401 .48792 L
.67153 .49153 L
.67133 .49275 L
.66689 .49758 L
.6667 .49782 L
.66308 .50242 L
.66187 .50441 L
.6601 .50725 L
.65704 .51101 L
.65608 .51208 L
.6523 .51691 L
.6522 .51724 L
.64885 .52174 L
.64737 .52367 L
.64603 .52658 L
.64254 .53012 L
.64141 .53141 L
.63772 .53624 L
.63771 .53626 L
.6342 .54107 L
.63288 .54242 L
.63006 .5459 L
.62804 .54861 L
.62613 .55073 L
.62321 .55467 L
.6221 .55557 L
.61838 .5599 L
.61788 .5604 L
.61355 .5649 L
.60918 .5604 L
.61095 .55557 L
.61355 .5527 L
.61474 .55073 L
.61806 .5459 L
.61838 .545 L
.621 .54107 L
.62321 .53735 L
.62328 .53624 L
.6279 .53141 L
.62804 .53121 L
.6316 .52658 L
.63288 .52433 L
.63449 .52174 L
.63771 .51757 L
.63845 .51691 L
.64232 .51208 L
.64254 .51136 L
.64557 .50725 L
.64737 .50475 L
.64834 .50242 L
.6522 .49821 L
.65286 .49758 L
.6566 .49275 L
.65704 .49204 L
.65983 .48792 L
.66187 .48559 L
.66388 .48309 L
.6667 .47917 L
.66759 .47826 L
.67129 .47342 L
.67153 .47315 L
.67456 .46859 L
.67636 .46699 L
.67907 .46376 L
.68119 .46086 L
.68308 .45893 L
.68603 .4548 L
.68725 .4541 L
.69086 .45011 L
.69179 .44927 L
F
1 .94 0 r
.71502 .46076 m
.71901 .46376 L
.71804 .46859 L
.71502 .47215 L
.71434 .47342 L
.71091 .47826 L
.71019 .48064 L
.70831 .48309 L
.70535 .48749 L
.70508 .48792 L
.70179 .49275 L
.70052 .49455 L
.69789 .49758 L
.69569 .50145 L
.69497 .50242 L
.69136 .50725 L
.69086 .50786 L
.68685 .51208 L
.68603 .51452 L
.68409 .51691 L
.68119 .52112 L
.68092 .52174 L
.6771 .52658 L
.67636 .52743 L
.67295 .53141 L
.67153 .53398 L
.66997 .53624 L
.6667 .5405 L
.66623 .54107 L
.66188 .5459 L
.66187 .54674 L
.65879 .55073 L
.65704 .55322 L
.65579 .55557 L
.6522 .55969 L
.65163 .5604 L
.64771 .56523 L
.64737 .56585 L
.64439 .57006 L
.64254 .57219 L
.64167 .57489 L
.63771 .57853 L
.63672 .57973 L
.63293 .58456 L
.63288 .58461 L
.62934 .58939 L
.62804 .59047 L
.6249 .59422 L
.62321 .59626 L
.62057 .59905 L
.61838 .60169 L
.61571 .60388 L
.61355 .60679 L
.6092 .60388 L
.61114 .59905 L
.61355 .59459 L
.61375 .59422 L
.61666 .58939 L
.61838 .58681 L
.61892 .58456 L
.62311 .57973 L
.62321 .57957 L
.62685 .57489 L
.62804 .57234 L
.62972 .57006 L
.63288 .56541 L
.63343 .56523 L
.63757 .5604 L
.63771 .55931 L
.64063 .55557 L
.64254 .55254 L
.64355 .55073 L
.64737 .54607 L
.64767 .5459 L
.6516 .54107 L
.6522 .53976 L
.6547 .53624 L
.65704 .53314 L
.6574 .53141 L
.66187 .52675 L
.66211 .52658 L
.66582 .52174 L
.6667 .52044 L
.66887 .51691 L
.67153 .51391 L
.67306 .51208 L
.67636 .50753 L
.67668 .50725 L
.68024 .50242 L
.68119 .50131 L
.68309 .49758 L
.68603 .49487 L
.68781 .49275 L
.69086 .48854 L
.6915 .48792 L
.6951 .48309 L
.69569 .48255 L
.69917 .47826 L
.70052 .47644 L
.70317 .47342 L
.70535 .47046 L
.70732 .46859 L
.71019 .46458 L
.71184 .46376 L
F
0 .68 1 r
.66187 .42824 m
.66607 .42994 L
.66351 .43477 L
.66187 .43754 L
.66056 .4396 L
.65764 .44443 L
.65704 .44538 L
.65416 .44927 L
.6522 .45209 L
.65076 .4541 L
.64737 .45893 L
.64737 .45893 L
.64455 .46376 L
.64254 .46601 L
.64021 .46859 L
.63771 .47201 L
.6366 .47342 L
.63303 .47826 L
.63288 .47843 L
.63043 .48309 L
.62804 .48497 L
.62536 .48792 L
.62321 .49197 L
.62145 .49275 L
.61838 .49657 L
.61744 .49758 L
.61355 .50209 L
.60949 .49758 L
.61158 .49275 L
.61355 .49098 L
.61554 .48792 L
.61838 .48371 L
.61881 .48309 L
.62197 .47826 L
.62321 .47649 L
.6256 .47342 L
.62804 .46912 L
.62914 .46859 L
.63269 .46376 L
.63288 .46349 L
.63579 .45893 L
.63771 .45688 L
.64004 .4541 L
.64254 .45016 L
.64381 .44927 L
.64737 .44472 L
.64762 .44443 L
.65101 .4396 L
.6522 .43874 L
.65576 .43477 L
.65704 .43276 L
.66028 .42994 L
F
1 .66 0 r
.64737 .42695 m
.65081 .42994 L
.64794 .43477 L
.64737 .43566 L
.64468 .4396 L
.64254 .44282 L
.64136 .44443 L
.63825 .44927 L
.63771 .44986 L
.6344 .4541 L
.63288 .45621 L
.63075 .45893 L
.62804 .4626 L
.62709 .46376 L
.62336 .46859 L
.62321 .46886 L
.61935 .47342 L
.61838 .47466 L
.61511 .47826 L
.61355 .48012 L
.60959 .47826 L
.61233 .47342 L
.61355 .47151 L
.61545 .46859 L
.61838 .46418 L
.61867 .46376 L
.62064 .45893 L
.62321 .45646 L
.62556 .4541 L
.62804 .4507 L
.62916 .44927 L
.63274 .44443 L
.63288 .44429 L
.6366 .4396 L
.63771 .43763 L
.64057 .43477 L
.64254 .43235 L
.64476 .42994 L
F
0 .72 1 r
.68119 .44387 m
.68563 .44443 L
.6836 .44927 L
.68119 .45371 L
.68097 .4541 L
.67894 .45893 L
.67636 .46147 L
.67487 .46376 L
.67159 .46859 L
.67153 .46874 L
.66847 .47342 L
.6667 .47608 L
.66481 .47826 L
.66187 .48236 L
.66133 .48309 L
.65776 .48792 L
.65704 .48906 L
.65481 .49275 L
.6522 .49583 L
.65061 .49758 L
.64737 .50231 L
.647 .50242 L
.64345 .50725 L
.64254 .50836 L
.64074 .51208 L
.63771 .51483 L
.63583 .51691 L
.63288 .52125 L
.63204 .52174 L
.62827 .52658 L
.62804 .52678 L
.62414 .53141 L
.62321 .5327 L
.61987 .53624 L
.61838 .53855 L
.61518 .54107 L
.61355 .54271 L
.60969 .54107 L
.61185 .53624 L
.61355 .53321 L
.61459 .53141 L
.61747 .52658 L
.61838 .52483 L
.61924 .52174 L
.62321 .5181 L
.62403 .51691 L
.6275 .51208 L
.62804 .51105 L
.63044 .50725 L
.63288 .50396 L
.63433 .50242 L
.63771 .49777 L
.63785 .49758 L
.64141 .49275 L
.64254 .49116 L
.64419 .48792 L
.64737 .48451 L
.6487 .48309 L
.6522 .47828 L
.65235 .47826 L
.65586 .47342 L
.65704 .47212 L
.65822 .46859 L
.66187 .46577 L
.66373 .46376 L
.6667 .45944 L
.66764 .45893 L
.67153 .45422 L
.67164 .4541 L
.67596 .44927 L
.67636 .44873 L
.68082 .44443 L
F
1 .82 0 r
.69569 .44692 m
.69763 .44927 L
.69582 .4541 L
.69569 .45427 L
.69323 .45893 L
.69086 .46287 L
.69032 .46376 L
.68715 .46859 L
.68603 .47088 L
.68465 .47342 L
.68119 .47748 L
.68066 .47826 L
.6769 .48309 L
.67636 .48444 L
.67388 .48792 L
.67153 .49137 L
.6713 .49275 L
.66676 .49758 L
.6667 .49766 L
.66299 .50242 L
.66187 .50426 L
.66 .50725 L
.65704 .51088 L
.65597 .51208 L
.65226 .51691 L
.6522 .51711 L
.64875 .52174 L
.64737 .52352 L
.64593 .52658 L
.64254 .52997 L
.64127 .53141 L
.63771 .53614 L
.63757 .53624 L
.634 .54107 L
.63288 .54221 L
.62986 .5459 L
.62804 .54834 L
.62587 .55073 L
.62321 .55438 L
.62175 .55557 L
.61838 .5594 L
.61734 .5604 L
.61355 .56414 L
.60982 .5604 L
.61147 .55557 L
.61355 .55333 L
.61508 .55073 L
.61823 .5459 L
.61838 .54546 L
.62121 .54107 L
.62321 .5376 L
.62332 .53624 L
.62804 .53144 L
.62807 .53141 L
.63171 .52658 L
.63288 .52452 L
.6346 .52174 L
.63771 .51768 L
.63857 .51691 L
.64236 .51208 L
.64254 .51151 L
.64567 .50725 L
.64737 .50489 L
.64841 .50242 L
.6522 .49832 L
.65296 .49758 L
.65668 .49275 L
.65704 .49218 L
.65995 .48792 L
.66187 .48574 L
.66401 .48309 L
.6667 .47932 L
.66774 .47826 L
.67145 .47342 L
.67153 .47334 L
.6748 .46859 L
.67636 .46723 L
.6793 .46376 L
.68119 .46116 L
.68339 .45893 L
.68603 .4551 L
.68771 .4541 L
.69086 .45074 L
.69264 .44927 L
F
0 .66 1 r
.66187 .42879 m
.66549 .42994 L
.66317 .43477 L
.66187 .43705 L
.66028 .4396 L
.65735 .44443 L
.65704 .44493 L
.65397 .44927 L
.6522 .45184 L
.65059 .4541 L
.64737 .4587 L
.6472 .45893 L
.64435 .46376 L
.64254 .46578 L
.64007 .46859 L
.63771 .47182 L
.63645 .47342 L
.63288 .47821 L
.63284 .47826 L
.63015 .48309 L
.62804 .48474 L
.62517 .48792 L
.62321 .49176 L
.62122 .49275 L
.61838 .49626 L
.61715 .49758 L
.61355 .50168 L
.60984 .49758 L
.61199 .49275 L
.61355 .49138 L
.61577 .48792 L
.61838 .48402 L
.61902 .48309 L
.62217 .47826 L
.62321 .47678 L
.62578 .47342 L
.62804 .46926 L
.62931 .46859 L
.63285 .46376 L
.63288 .46372 L
.63599 .45893 L
.63771 .45711 L
.64022 .4541 L
.64254 .45033 L
.64401 .44927 L
.64737 .44499 L
.64785 .44443 L
.65146 .4396 L
.6522 .43908 L
.65607 .43477 L
.65704 .43322 L
.66075 .42994 L
F
0 .88 1 r
.61355 .41058 m
.61824 .41061 L
.61456 .41544 L
.61355 .41692 L
.61012 .41544 L
.61352 .41061 L
F
1 .64 0 r
.61838 .46461 m
.6231 .46859 L
.61905 .47342 L
.61838 .47428 L
.61469 .47826 L
.61355 .47958 L
.61015 .47826 L
.61271 .47342 L
.61355 .47207 L
.61578 .46859 L
F
0 .64 1 r
.66187 .4294 m
.66475 .42994 L
.66282 .43477 L
.66187 .43651 L
.66 .4396 L
.65704 .44443 L
.65704 .44445 L
.65378 .44927 L
.6522 .45158 L
.65041 .4541 L
.64737 .45847 L
.64703 .45893 L
.64415 .46376 L
.64254 .46555 L
.63992 .46859 L
.63771 .47162 L
.63629 .47342 L
.63288 .47801 L
.63267 .47826 L
.62985 .48309 L
.62804 .48448 L
.62499 .48792 L
.62321 .49151 L
.62099 .49275 L
.61838 .49595 L
.61682 .49758 L
.61355 .50124 L
.61021 .49758 L
.61244 .49275 L
.61355 .4918 L
.61601 .48792 L
.61838 .48434 L
.61923 .48309 L
.62238 .47826 L
.62321 .47708 L
.62596 .47342 L
.62804 .46943 L
.62948 .46859 L
.63288 .46395 L
.63302 .46376 L
.63621 .45893 L
.63771 .45735 L
.6404 .4541 L
.64254 .45053 L
.64421 .44927 L
.64737 .44525 L
.64808 .44443 L
.65194 .4396 L
.6522 .43942 L
.6564 .43477 L
.65704 .43374 L
.66131 .42994 L
F
1 .82 0 r
.61355 .43008 m
.61653 .43477 L
.61355 .43872 L
.61035 .43477 L
F
0 .7 1 r
.67636 .44916 m
.68119 .44466 L
.68318 .44927 L
.68119 .45314 L
.68066 .4541 L
.67865 .45893 L
.67636 .46114 L
.67467 .46376 L
.67153 .46848 L
.67145 .46859 L
.66832 .47342 L
.6667 .47588 L
.66468 .47826 L
.66187 .48219 L
.66121 .48309 L
.65766 .48792 L
.65704 .4889 L
.6547 .49275 L
.6522 .49569 L
.65051 .49758 L
.64737 .50227 L
.64689 .50242 L
.64333 .50725 L
.64254 .50821 L
.6406 .51208 L
.63771 .51467 L
.63569 .51691 L
.63288 .52114 L
.63188 .52174 L
.62804 .52656 L
.62803 .52658 L
.62393 .53141 L
.62321 .5324 L
.61958 .53624 L
.61838 .53811 L
.61464 .54107 L
.61355 .5421 L
.61039 .54107 L
.61223 .53624 L
.61355 .53378 L
.61488 .53141 L
.61771 .52658 L
.61838 .52527 L
.6194 .52174 L
.62321 .51835 L
.62419 .51691 L
.62762 .51208 L
.62804 .51126 L
.63057 .50725 L
.63288 .50412 L
.63445 .50242 L
.63771 .49793 L
.63797 .49758 L
.64152 .49275 L
.64254 .49131 L
.6443 .48792 L
.64737 .48464 L
.64882 .48309 L
.6522 .4783 L
.65247 .47826 L
.656 .47342 L
.65704 .47229 L
.65839 .46859 L
.66187 .46595 L
.6639 .46376 L
.6667 .45957 L
.66785 .45893 L
.67153 .4545 L
.67191 .4541 L
.67628 .44927 L
F
1 .8 0 r
.69086 .4514 m
.69515 .4541 L
.6928 .45893 L
.69086 .46227 L
.68999 .46376 L
.68691 .46859 L
.68603 .47045 L
.68448 .47342 L
.68119 .4772 L
.68048 .47826 L
.6768 .48309 L
.67636 .48421 L
.67375 .48792 L
.67153 .49121 L
.67126 .49275 L
.6667 .49758 L
.66664 .49758 L
.6629 .50242 L
.66187 .50411 L
.65991 .50725 L
.65704 .51075 L
.65586 .51208 L
.65222 .51691 L
.6522 .51697 L
.64864 .52174 L
.64737 .52337 L
.64582 .52658 L
.64254 .52981 L
.64114 .53141 L
.63771 .53603 L
.63741 .53624 L
.6338 .54107 L
.63288 .54199 L
.62966 .5459 L
.62804 .54806 L
.6256 .55073 L
.62321 .55408 L
.62137 .55557 L
.61838 .5589 L
.61673 .5604 L
.61355 .56331 L
.61052 .5604 L
.6121 .55557 L
.61355 .55403 L
.61542 .55073 L
.61838 .54595 L
.61841 .5459 L
.62142 .54107 L
.62321 .53788 L
.62337 .53624 L
.62804 .53168 L
.62823 .53141 L
.63183 .52658 L
.63288 .52472 L
.63471 .52174 L
.63771 .51781 L
.63869 .51691 L
.64241 .51208 L
.64254 .51166 L
.64577 .50725 L
.64737 .50503 L
.64849 .50242 L
.6522 .49843 L
.65307 .49758 L
.65676 .49275 L
.65704 .49232 L
.66007 .48792 L
.66187 .48589 L
.66414 .48309 L
.6667 .47947 L
.66788 .47826 L
.67153 .47345 L
.67162 .47342 L
.67506 .46859 L
.67636 .46748 L
.67954 .46376 L
.68119 .46148 L
.68372 .45893 L
.68603 .45545 L
.68821 .4541 L
F
0 .62 1 r
.6522 .43977 m
.65679 .44443 L
.65358 .44927 L
.6522 .45131 L
.65023 .4541 L
.64737 .45824 L
.64686 .45893 L
.64392 .46376 L
.64254 .4653 L
.63977 .46859 L
.63771 .47141 L
.63613 .47342 L
.63288 .47779 L
.6325 .47826 L
.62952 .48309 L
.62804 .48422 L
.62479 .48792 L
.62321 .49122 L
.62074 .49275 L
.61838 .49563 L
.61647 .49758 L
.61355 .50077 L
.61061 .49758 L
.61296 .49275 L
.61355 .49225 L
.61625 .48792 L
.61838 .48467 L
.61945 .48309 L
.62261 .47826 L
.62321 .4774 L
.62614 .47342 L
.62804 .46963 L
.62966 .46859 L
.63288 .46418 L
.6332 .46376 L
.63643 .45893 L
.63771 .4576 L
.64058 .4541 L
.64254 .45074 L
.64442 .44927 L
.64737 .44553 L
.64833 .44443 L
F
1 .62 0 r
.61838 .46508 m
.62278 .46859 L
.61873 .47342 L
.61838 .47387 L
.61419 .47826 L
.61355 .47898 L
.61083 .47826 L
.61312 .47342 L
.61355 .47271 L
.61612 .46859 L
F
0 .88 1 r
.70052 .45826 m
.70535 .45446 L
.70701 .45893 L
.70535 .46259 L
.70479 .46376 L
.70233 .46859 L
.70052 .4712 L
.69919 .47342 L
.69605 .47826 L
.69569 .47881 L
.6925 .48309 L
.69086 .48624 L
.68977 .48792 L
.68603 .4927 L
.68599 .49275 L
.68188 .49758 L
.68119 .49948 L
.67897 .50242 L
.67636 .50622 L
.67605 .50725 L
.67192 .51208 L
.67153 .51255 L
.66797 .51691 L
.6667 .51911 L
.66497 .52174 L
.66187 .52566 L
.66109 .52658 L
.65712 .53141 L
.65704 .53191 L
.65376 .53624 L
.6522 .53835 L
.65084 .54107 L
.64737 .54479 L
.64643 .5459 L
.64268 .55073 L
.64254 .55096 L
.63919 .55557 L
.63771 .55716 L
.63665 .5604 L
.63288 .56337 L
.63125 .56523 L
.62804 .56941 L
.6273 .57006 L
.62322 .57489 L
.62321 .5749 L
.61873 .57973 L
.61838 .58014 L
.61355 .58446 L
.61086 .57973 L
.61323 .57489 L
.61355 .57438 L
.61501 .57006 L
.61838 .56641 L
.61913 .56523 L
.6226 .5604 L
.62321 .55886 L
.62547 .55557 L
.62804 .5514 L
.62906 .55073 L
.6325 .5459 L
.63288 .54537 L
.63618 .54107 L
.63771 .53852 L
.63906 .53624 L
.64254 .53184 L
.64312 .53141 L
.647 .52658 L
.64737 .52563 L
.65018 .52174 L
.6522 .519 L
.65289 .51691 L
.65704 .51251 L
.65753 .51208 L
.66125 .50725 L
.66187 .5063 L
.6644 .50242 L
.6667 .4998 L
.66852 .49758 L
.67153 .49338 L
.67219 .49275 L
.67582 .48792 L
.67636 .4873 L
.67889 .48309 L
.68119 .48101 L
.6835 .47826 L
.68603 .47476 L
.68736 .47342 L
.69086 .46876 L
.69129 .46859 L
.69513 .46376 L
.69569 .46343 L
.7 .45893 L
F
0 .6 1 r
.6522 .4401 m
.65653 .44443 L
.65339 .44927 L
.6522 .45103 L
.65005 .4541 L
.64737 .458 L
.64668 .45893 L
.64369 .46376 L
.64254 .46503 L
.63961 .46859 L
.63771 .47121 L
.63597 .47342 L
.63288 .47758 L
.63232 .47826 L
.62917 .48309 L
.62804 .48395 L
.62459 .48792 L
.62321 .49089 L
.62048 .49275 L
.61838 .49529 L
.61608 .49758 L
.61355 .50026 L
.61104 .49758 L
.61353 .49275 L
.61355 .49274 L
.6165 .48792 L
.61838 .48502 L
.61967 .48309 L
.62284 .47826 L
.62321 .47773 L
.62632 .47342 L
.62804 .46986 L
.62984 .46859 L
.63288 .46442 L
.63338 .46376 L
.63667 .45893 L
.63771 .45786 L
.64076 .4541 L
.64254 .45098 L
.64462 .44927 L
.64737 .4458 L
.64858 .44443 L
F
1 .8 0 r
.61355 .43131 m
.61569 .43477 L
.61355 .43762 L
.61129 .43477 L
F
1 .78 0 r
.69086 .45211 m
.69443 .4541 L
.69236 .45893 L
.69086 .46162 L
.68965 .46376 L
.68667 .46859 L
.68603 .46998 L
.6843 .47342 L
.68119 .47691 L
.68029 .47826 L
.67671 .48309 L
.67636 .48398 L
.67362 .48792 L
.67153 .49104 L
.67122 .49275 L
.6667 .49756 L
.66652 .49758 L
.6628 .50242 L
.66187 .50396 L
.65981 .50725 L
.65704 .51062 L
.65575 .51208 L
.6522 .51688 L
.65214 .51691 L
.64853 .52174 L
.64737 .52322 L
.64571 .52658 L
.64254 .52966 L
.641 .53141 L
.63771 .53592 L
.63725 .53624 L
.63359 .54107 L
.63288 .54177 L
.62945 .5459 L
.62804 .54778 L
.62533 .55073 L
.62321 .55374 L
.62097 .55557 L
.61838 .55838 L
.61598 .5604 L
.61355 .56238 L
.61133 .5604 L
.61286 .55557 L
.61355 .55483 L
.61577 .55073 L
.61838 .5464 L
.61869 .5459 L
.62164 .54107 L
.62321 .53819 L
.62343 .53624 L
.62804 .53191 L
.6284 .53141 L
.63195 .52658 L
.63288 .52491 L
.63482 .52174 L
.63771 .51794 L
.63881 .51691 L
.64245 .51208 L
.64254 .5118 L
.64587 .50725 L
.64737 .50517 L
.64857 .50242 L
.6522 .49855 L
.65318 .49758 L
.65685 .49275 L
.65704 .49245 L
.66019 .48792 L
.66187 .48605 L
.66426 .48309 L
.6667 .47963 L
.66803 .47826 L
.67153 .47351 L
.6718 .47342 L
.67533 .46859 L
.67636 .46773 L
.67978 .46376 L
.68119 .46181 L
.68406 .45893 L
.68603 .45588 L
.68879 .4541 L
F
0 .68 1 r
.67636 .44957 m
.68033 .4541 L
.67833 .45893 L
.67636 .4608 L
.67447 .46376 L
.67153 .46822 L
.67128 .46859 L
.66818 .47342 L
.6667 .47567 L
.66455 .47826 L
.66187 .48201 L
.66108 .48309 L
.65756 .48792 L
.65704 .48874 L
.65459 .49275 L
.6522 .49555 L
.6504 .49758 L
.64737 .50223 L
.64678 .50242 L
.64321 .50725 L
.64254 .50805 L
.64045 .51208 L
.63771 .51451 L
.63556 .51691 L
.63288 .52102 L
.63172 .52174 L
.62804 .52633 L
.62783 .52658 L
.62371 .53141 L
.62321 .53209 L
.61926 .53624 L
.61838 .53762 L
.61396 .54107 L
.61355 .54142 L
.61134 .54107 L
.61263 .53624 L
.61355 .53443 L
.61518 .53141 L
.61797 .52658 L
.61838 .52576 L
.61958 .52174 L
.62321 .51861 L
.62436 .51691 L
.62773 .51208 L
.62804 .51149 L
.6307 .50725 L
.63288 .50428 L
.63457 .50242 L
.63771 .49809 L
.63809 .49758 L
.64162 .49275 L
.64254 .49146 L
.6444 .48792 L
.64737 .48478 L
.64893 .48309 L
.6522 .47833 L
.6526 .47826 L
.65615 .47342 L
.65704 .47246 L
.65857 .46859 L
.66187 .46614 L
.66407 .46376 L
.6667 .45972 L
.66806 .45893 L
.67153 .45479 L
.6722 .4541 L
F
1 .64 0 r
.61355 .51295 m
.61814 .51691 L
.61355 .52153 L
.61141 .51691 L
F
0 .58 1 r
.61355 .49335 m
.61563 .49758 L
.61355 .49968 L
.61152 .49758 L
F
1 .62 0 r
.61355 .51349 m
.61778 .51691 L
.61355 .52096 L
.61179 .51691 L
F
1 .98 0 r
.73434 .4753 m
.73897 .47826 L
.73728 .48309 L
.7348 .48792 L
.73434 .48889 L
.73156 .49275 L
.72951 .4967 L
.72907 .49758 L
.72585 .50242 L
.72468 .50408 L
.72146 .50725 L
.71985 .51114 L
.71893 .51208 L
.71564 .51691 L
.71502 .51766 L
.7122 .52174 L
.71019 .52437 L
.708 .52658 L
.70535 .53098 L
.705 .53141 L
.70149 .53624 L
.70052 .53733 L
.69643 .54107 L
.69569 .54392 L
.69396 .5459 L
.69086 .55046 L
.69069 .55073 L
.68709 .55557 L
.68603 .5567 L
.6826 .5604 L
.68119 .56328 L
.67974 .56523 L
.67636 .56981 L
.67631 .57006 L
.67258 .57489 L
.67153 .57595 L
.66851 .57973 L
.6667 .58253 L
.66548 .58456 L
.66187 .58906 L
.66162 .58939 L
.65732 .59422 L
.65704 .59509 L
.65424 .59905 L
.6522 .60163 L
.65127 .60388 L
.64737 .60811 L
.64691 .60872 L
.64301 .61355 L
.64254 .61404 L
.63967 .61838 L
.63771 .62031 L
.63717 .62321 L
.63288 .6265 L
.6316 .62804 L
.62804 .63236 L
.62754 .63288 L
.62321 .63771 L
.62321 .63771 L
.61838 .64236 L
.61814 .64254 L
.61355 .64538 L
.61179 .64254 L
.61346 .63771 L
.61355 .63753 L
.61507 .63288 L
.61838 .62887 L
.61888 .62804 L
.62243 .62321 L
.62321 .62082 L
.62521 .61838 L
.62804 .61451 L
.62871 .61355 L
.63214 .60872 L
.63288 .6076 L
.63593 .60388 L
.63771 .60059 L
.63888 .59905 L
.64254 .59456 L
.64279 .59422 L
.64689 .58939 L
.64737 .5879 L
.64993 .58456 L
.6522 .58116 L
.65282 .57973 L
.65704 .57491 L
.65716 .57489 L
.66099 .57006 L
.66187 .5685 L
.66406 .56523 L
.6667 .56186 L
.66805 .5604 L
.67153 .55561 L
.67163 .55557 L
.67524 .55073 L
.67636 .5492 L
.67816 .5459 L
.68119 .54262 L
.68257 .54107 L
.68603 .53632 L
.68615 .53624 L
.68958 .53141 L
.69086 .52996 L
.69217 .52658 L
.69569 .52343 L
.69716 .52174 L
.70052 .5171 L
.70075 .51691 L
.70406 .51208 L
.70535 .51086 L
.70821 .50725 L
.71019 .50444 L
.71194 .50242 L
.71502 .49815 L
.71563 .49758 L
.71914 .49275 L
.71985 .49223 L
.72347 .48792 L
.72468 .48627 L
.72766 .48309 L
.72951 .48059 L
.73228 .47826 L
F
0 .96 1 r
.72468 .46941 m
.72744 .47342 L
.72528 .47826 L
.72468 .47955 L
.72346 .48309 L
.71991 .48792 L
.71985 .48802 L
.71604 .49275 L
.71502 .49583 L
.71349 .49758 L
.71026 .50242 L
.71019 .50251 L
.70694 .50725 L
.70535 .50939 L
.70288 .51208 L
.70052 .51616 L
.69992 .51691 L
.69639 .52174 L
.69569 .52255 L
.69162 .52658 L
.69086 .52918 L
.68899 .53141 L
.68603 .53574 L
.68577 .53624 L
.68206 .54107 L
.68119 .54204 L
.67776 .5459 L
.67636 .54859 L
.67483 .55073 L
.67153 .55511 L
.67152 .55557 L
.66757 .5604 L
.6667 .56132 L
.66363 .56523 L
.66187 .56783 L
.6606 .57006 L
.65704 .57432 L
.65659 .57489 L
.65252 .57973 L
.6522 .58043 L
.64927 .58456 L
.64737 .58684 L
.64642 .58939 L
.64254 .59322 L
.64174 .59422 L
.63793 .59905 L
.63771 .59927 L
.6344 .60388 L
.63288 .60524 L
.63006 .60872 L
.62804 .61114 L
.62588 .61355 L
.62321 .61671 L
.62135 .61838 L
.61838 .622 L
.61571 .62321 L
.61355 .62449 L
.61179 .62321 L
.6125 .61838 L
.61355 .61701 L
.61527 .61355 L
.6182 .60872 L
.61838 .60801 L
.62105 .60388 L
.62321 .6008 L
.62343 .59905 L
.6277 .59422 L
.62804 .59369 L
.63144 .58939 L
.63288 .58652 L
.63433 .58456 L
.63771 .58033 L
.63815 .57973 L
.64225 .57489 L
.64254 .57364 L
.6453 .57006 L
.64737 .56688 L
.6482 .56523 L
.6522 .56048 L
.65243 .5604 L
.65631 .55557 L
.65704 .55415 L
.65939 .55073 L
.66187 .54752 L
.66198 .5459 L
.6667 .54118 L
.66688 .54107 L
.67054 .53624 L
.67153 .53484 L
.67353 .53141 L
.67636 .52828 L
.67783 .52658 L
.68119 .52192 L
.68143 .52174 L
.68493 .51691 L
.68603 .51565 L
.68765 .51208 L
.69086 .50917 L
.6925 .50725 L
.69569 .50282 L
.69614 .50242 L
.69961 .49758 L
.70052 .49673 L
.70371 .49275 L
.70535 .49047 L
.70757 .48792 L
.71019 .48431 L
.71148 .48309 L
.71502 .47842 L
.71554 .47826 L
.71985 .47356 L
.71999 .47342 L
F
0 .86 1 r
.61355 .57568 m
.61784 .57973 L
.61355 .58291 L
.61191 .57973 L
F
0 .56 1 r
.61355 .49408 m
.61508 .49758 L
.61355 .499 L
.61211 .49758 L
F
1 .6 0 r
.61355 .51411 m
.61736 .51691 L
.61355 .52032 L
.6122 .51691 L
F
0 .7 1 r
.61355 .45209 m
.61707 .4541 L
.61355 .45826 L
.61231 .4541 L
F
1 .76 0 r
.61355 .55587 m
.61493 .5604 L
.61355 .56124 L
.61242 .5604 L
F
1 .78 0 r
.61355 .43317 m
.61439 .43477 L
.61355 .43591 L
.61266 .43477 L
F
1 .58 0 r
.61355 .51485 m
.61686 .51691 L
.61355 .51955 L
.61267 .51691 L
F
1 .92 0 r
.71502 .46363 m
.71558 .46376 L
.71573 .46859 L
.71502 .46944 L
.71325 .47342 L
.71041 .47826 L
.71019 .47914 L
.70772 .48309 L
.70535 .48666 L
.70457 .48792 L
.70135 .49275 L
.70052 .49396 L
.69756 .49758 L
.69569 .50108 L
.69473 .50242 L
.69109 .50725 L
.69086 .50753 L
.6867 .51208 L
.68603 .51423 L
.6839 .51691 L
.68119 .5209 L
.68083 .52174 L
.67693 .52658 L
.67636 .52723 L
.67282 .53141 L
.67153 .53377 L
.66984 .53624 L
.6667 .54031 L
.66607 .54107 L
.66187 .5459 L
.66187 .54655 L
.65864 .55073 L
.65704 .553 L
.65565 .55557 L
.6522 .55945 L
.65143 .5604 L
.64759 .56523 L
.64737 .56561 L
.64415 .57006 L
.64254 .57186 L
.64144 .57489 L
.63771 .57812 L
.63634 .57973 L
.63288 .58416 L
.63246 .58456 L
.62858 .58939 L
.62804 .5898 L
.62409 .59422 L
.62321 .59524 L
.61927 .59905 L
.61838 .60007 L
.61355 .6028 L
.6128 .59905 L
.61355 .59712 L
.61486 .59422 L
.61741 .58939 L
.61838 .58792 L
.61924 .58456 L
.62321 .5803 L
.62359 .57973 L
.62714 .57489 L
.62804 .57285 L
.62998 .57006 L
.63288 .56556 L
.63369 .56523 L
.63761 .5604 L
.63771 .5596 L
.64079 .55557 L
.64254 .55277 L
.64366 .55073 L
.64737 .54616 L
.64782 .5459 L
.65169 .54107 L
.6522 .53995 L
.65482 .53624 L
.65704 .53331 L
.65745 .53141 L
.66187 .52686 L
.66224 .52658 L
.66593 .52174 L
.6667 .52061 L
.669 .51691 L
.67153 .51408 L
.67321 .51208 L
.67636 .50767 L
.67684 .50725 L
.68042 .50242 L
.68119 .50153 L
.68332 .49758 L
.68603 .49515 L
.68805 .49275 L
.69086 .48883 L
.69181 .48792 L
.69556 .48309 L
.69569 .48298 L
.69963 .47826 L
.70052 .47707 L
.70383 .47342 L
.70535 .47135 L
.70839 .46859 L
.71019 .46588 L
.71469 .46376 L
F
0 .54 1 r
.61355 .49511 m
.61426 .49758 L
.61355 .4981 L
.61293 .49758 L
F
0 .68 1 r
.61355 .45317 m
.61627 .4541 L
.61355 .45714 L
.61302 .4541 L
F
0 .66 1 r
.67636 .44999 m
.67999 .4541 L
.67798 .45893 L
.67636 .46044 L
.67427 .46376 L
.67153 .46796 L
.6711 .46859 L
.66802 .47342 L
.6667 .47544 L
.66442 .47826 L
.66187 .48184 L
.66096 .48309 L
.65746 .48792 L
.65704 .48858 L
.65447 .49275 L
.6522 .49541 L
.65029 .49758 L
.64737 .50218 L
.64666 .50242 L
.64308 .50725 L
.64254 .5079 L
.64029 .51208 L
.63771 .51434 L
.63542 .51691 L
.63288 .52089 L
.63155 .52174 L
.62804 .52611 L
.62762 .52658 L
.62348 .53141 L
.62321 .53177 L
.61891 .53624 L
.61838 .53707 L
.61355 .54057 L
.61307 .53624 L
.61355 .53521 L
.61549 .53141 L
.61824 .52658 L
.61838 .52628 L
.61979 .52174 L
.62321 .51888 L
.62453 .51691 L
.62785 .51208 L
.62804 .51172 L
.63083 .50725 L
.63288 .50446 L
.6347 .50242 L
.63771 .49826 L
.63821 .49758 L
.64173 .49275 L
.64254 .49162 L
.64452 .48792 L
.64737 .48492 L
.64905 .48309 L
.6522 .47837 L
.65272 .47826 L
.6563 .47342 L
.65704 .47263 L
.65877 .46859 L
.66187 .46633 L
.66424 .46376 L
.6667 .45988 L
.66828 .45893 L
.67153 .45508 L
.6725 .4541 L
F
1 .56 0 r
.61355 .5159 m
.61621 .51691 L
.61355 .51844 L
.61322 .51691 L
F
0 .84 1 r
.61355 .57804 m
.61632 .57973 L
.61355 .58048 L
.61329 .57973 L
F
0 .64 1 r
.67636 .45043 m
.67964 .4541 L
.67759 .45893 L
.67636 .46006 L
.67407 .46376 L
.67153 .46769 L
.67093 .46859 L
.66786 .47342 L
.6667 .47521 L
.66429 .47826 L
.66187 .48167 L
.66083 .48309 L
.65735 .48792 L
.65704 .48841 L
.65435 .49275 L
.6522 .49526 L
.65017 .49758 L
.64737 .50212 L
.64654 .50242 L
.64295 .50725 L
.64254 .50774 L
.64013 .51208 L
.63771 .51417 L
.63528 .51691 L
.63288 .52075 L
.63138 .52174 L
.62804 .52587 L
.6274 .52658 L
.62324 .53141 L
.62321 .53144 L
.61853 .53624 L
.61838 .53647 L
.61356 .53624 L
.61581 .53141 L
.61838 .52678 L
.6185 .52658 L
.62003 .52174 L
.62321 .51915 L
.6247 .51691 L
.62798 .51208 L
.62804 .51195 L
.63097 .50725 L
.63288 .50464 L
.63482 .50242 L
.63771 .49842 L
.63833 .49758 L
.64184 .49275 L
.64254 .49178 L
.64464 .48792 L
.64737 .48506 L
.64917 .48309 L
.6522 .47841 L
.65285 .47826 L
.65646 .47342 L
.65704 .47281 L
.659 .46859 L
.66187 .46653 L
.66441 .46376 L
.6667 .46006 L
.6685 .45893 L
.67153 .45538 L
.67283 .4541 L
F
1 .82 0 r
.62321 .41725 m
.62733 .42027 L
.6239 .42511 L
.62321 .4261 L
.62023 .42994 L
.61838 .43253 L
.61366 .42994 L
.61718 .42511 L
.61838 .42349 L
.6209 .42027 L
F
1 .76 0 r
.69086 .4529 m
.69357 .4541 L
.69189 .45893 L
.69086 .46089 L
.6893 .46376 L
.68642 .46859 L
.68603 .46946 L
.6841 .47342 L
.68119 .47662 L
.6801 .47826 L
.67661 .48309 L
.67636 .48374 L
.67349 .48792 L
.67153 .49086 L
.67117 .49275 L
.6667 .49754 L
.66639 .49758 L
.66271 .50242 L
.66187 .50381 L
.65971 .50725 L
.65704 .51049 L
.65564 .51208 L
.6522 .51683 L
.65202 .51691 L
.64841 .52174 L
.64737 .52306 L
.64558 .52658 L
.64254 .5295 L
.64086 .53141 L
.63771 .5358 L
.63709 .53624 L
.63337 .54107 L
.63288 .54154 L
.62923 .5459 L
.62804 .5475 L
.62504 .55073 L
.62321 .55337 L
.62053 .55557 L
.61838 .55783 L
.61368 .55557 L
.61613 .55073 L
.61838 .54689 L
.61898 .5459 L
.62186 .54107 L
.62321 .53855 L
.62352 .53624 L
.62804 .53216 L
.62856 .53141 L
.63207 .52658 L
.63288 .52512 L
.63493 .52174 L
.63771 .51807 L
.63893 .51691 L
.6425 .51208 L
.64254 .51196 L
.64597 .50725 L
.64737 .50531 L
.64865 .50242 L
.6522 .49866 L
.65329 .49758 L
.65694 .49275 L
.65704 .49259 L
.66032 .48792 L
.66187 .4862 L
.66439 .48309 L
.6667 .47979 L
.66818 .47826 L
.67153 .47357 L
.67198 .47342 L
.67562 .46859 L
.67636 .46799 L
.68003 .46376 L
.68119 .46215 L
.68443 .45893 L
.68603 .45638 L
.68949 .4541 L
F
0 .58 1 r
.6522 .44045 m
.65626 .44443 L
.65318 .44927 L
.6522 .45074 L
.64986 .4541 L
.64737 .45775 L
.6465 .45893 L
.64344 .46376 L
.64254 .46476 L
.63946 .46859 L
.63771 .471 L
.6358 .47342 L
.63288 .47736 L
.63214 .47826 L
.6288 .48309 L
.62804 .48366 L
.62439 .48792 L
.62321 .49052 L
.62021 .49275 L
.61838 .49494 L
.61389 .49275 L
.61676 .48792 L
.61838 .48538 L
.6199 .48309 L
.62309 .47826 L
.62321 .47808 L
.62651 .47342 L
.62804 .47012 L
.63002 .46859 L
.63288 .46466 L
.63357 .46376 L
.63692 .45893 L
.63771 .45812 L
.64096 .4541 L
.64254 .45124 L
.64484 .44927 L
.64737 .44609 L
.64884 .44443 L
F
0 .86 1 r
.70052 .45927 m
.70401 .46376 L
.70176 .46859 L
.70052 .47037 L
.69876 .47342 L
.69569 .47824 L
.69568 .47826 L
.69226 .48309 L
.69086 .48588 L
.68959 .48792 L
.68603 .4924 L
.68578 .49275 L
.68177 .49758 L
.68119 .49924 L
.67882 .50242 L
.67636 .50605 L
.676 .50725 L
.67178 .51208 L
.67153 .51238 L
.66787 .51691 L
.6667 .51894 L
.66486 .52174 L
.66187 .52551 L
.66096 .52658 L
.6571 .53141 L
.65704 .53177 L
.65364 .53624 L
.6522 .53817 L
.65073 .54107 L
.64737 .54461 L
.64627 .5459 L
.64256 .55073 L
.64254 .55077 L
.63899 .55557 L
.63771 .5569 L
.63641 .5604 L
.63288 .56306 L
.63096 .56523 L
.62804 .56907 L
.6269 .57006 L
.62321 .57433 L
.62264 .57489 L
.61838 .57929 L
.61393 .57489 L
.61549 .57006 L
.61838 .56707 L
.61951 .56523 L
.6228 .5604 L
.62321 .55935 L
.62569 .55557 L
.62804 .55162 L
.62927 .55073 L
.63268 .5459 L
.63288 .54563 L
.63631 .54107 L
.63771 .53872 L
.63917 .53624 L
.64254 .53194 L
.64325 .53141 L
.64706 .52658 L
.64737 .52579 L
.65029 .52174 L
.6522 .51915 L
.65295 .51691 L
.65704 .51261 L
.65764 .51208 L
.66134 .50725 L
.66187 .50645 L
.66452 .50242 L
.6667 .49996 L
.66865 .49758 L
.67153 .49353 L
.67233 .49275 L
.67599 .48792 L
.67636 .4875 L
.67912 .48309 L
.68119 .48126 L
.68373 .47826 L
.68603 .47505 L
.68766 .47342 L
.69086 .46894 L
.69169 .46859 L
.69569 .46403 L
.69597 .46376 L
F
1 .64 0 r
.67153 .43744 m
.67373 .4396 L
.67166 .44443 L
.67153 .44454 L
.66876 .44927 L
.6667 .45258 L
.66571 .4541 L
.66274 .45893 L
.66187 .46027 L
.65919 .46376 L
.65704 .46684 L
.65577 .46859 L
.65234 .47342 L
.6522 .47363 L
.64943 .47826 L
.64737 .48059 L
.64516 .48309 L
.64254 .48665 L
.64154 .48792 L
.63796 .49275 L
.63771 .49304 L
.63523 .49758 L
.63288 .49953 L
.63028 .50242 L
.62804 .50629 L
.62637 .50725 L
.62321 .51116 L
.62236 .51208 L
.61838 .51668 L
.61406 .51208 L
.61589 .50725 L
.61838 .50513 L
.62016 .50242 L
.62321 .49789 L
.62342 .49758 L
.62651 .49275 L
.62804 .49061 L
.63024 .48792 L
.63288 .48428 L
.63376 .48309 L
.6373 .47826 L
.63771 .47767 L
.64025 .47342 L
.64254 .471 L
.64462 .46859 L
.64737 .46426 L
.64835 .46376 L
.65208 .45893 L
.6522 .4588 L
.65504 .4541 L
.65704 .45266 L
.6601 .44927 L
.66187 .4464 L
.66438 .44443 L
.6667 .44183 L
.66917 .4396 L
F
0 .56 1 r
.6522 .44081 m
.65597 .44443 L
.65297 .44927 L
.6522 .45043 L
.64967 .4541 L
.64737 .45749 L
.64632 .45893 L
.64318 .46376 L
.64254 .46447 L
.6393 .46859 L
.63771 .47078 L
.63563 .47342 L
.63288 .47713 L
.63195 .47826 L
.6284 .48309 L
.62804 .48336 L
.62417 .48792 L
.62321 .49009 L
.61992 .49275 L
.61838 .49457 L
.61427 .49275 L
.61703 .48792 L
.61838 .48577 L
.62013 .48309 L
.62321 .47842 L
.62333 .47826 L
.62669 .47342 L
.62804 .47042 L
.6302 .46859 L
.63288 .46491 L
.63376 .46376 L
.63719 .45893 L
.63771 .4584 L
.64115 .4541 L
.64254 .45153 L
.64506 .44927 L
.64737 .44638 L
.64912 .44443 L
F
1 .74 0 r
.69086 .45382 m
.69229 .4541 L
.69139 .45893 L
.69086 .46003 L
.68895 .46376 L
.68616 .46859 L
.68603 .46889 L
.68388 .47342 L
.68119 .47632 L
.67991 .47826 L
.67652 .48309 L
.67636 .48349 L
.67336 .48792 L
.67153 .49067 L
.67112 .49275 L
.6667 .49752 L
.66627 .49758 L
.66262 .50242 L
.66187 .50365 L
.6596 .50725 L
.65704 .51035 L
.65553 .51208 L
.6522 .51677 L
.65191 .51691 L
.6483 .52174 L
.64737 .52291 L
.64546 .52658 L
.64254 .52934 L
.64072 .53141 L
.63771 .53568 L
.63692 .53624 L
.63314 .54107 L
.63288 .54132 L
.62901 .5459 L
.62804 .5472 L
.62474 .55073 L
.62321 .55297 L
.62005 .55557 L
.61838 .55725 L
.6143 .55557 L
.61651 .55073 L
.61838 .54741 L
.61927 .5459 L
.6221 .54107 L
.62321 .53895 L
.62363 .53624 L
.62804 .5324 L
.62873 .53141 L
.63219 .52658 L
.63288 .52533 L
.63505 .52174 L
.63771 .51821 L
.63905 .51691 L
.64254 .51211 L
.64256 .51208 L
.64607 .50725 L
.64737 .50546 L
.64874 .50242 L
.6522 .49878 L
.6534 .49758 L
.65702 .49275 L
.65704 .49274 L
.66045 .48792 L
.66187 .48636 L
.66452 .48309 L
.6667 .47995 L
.66833 .47826 L
.67153 .47364 L
.67216 .47342 L
.67593 .46859 L
.67636 .46825 L
.68029 .46376 L
.68119 .46251 L
.68482 .45893 L
.68603 .45698 L
.69047 .4541 L
F
1 .62 0 r
.6667 .44222 m
.67123 .44443 L
.66851 .44927 L
.6667 .45224 L
.6655 .4541 L
.66253 .45893 L
.66187 .45996 L
.65904 .46376 L
.65704 .46664 L
.65563 .46859 L
.65221 .47342 L
.6522 .47344 L
.64928 .47826 L
.64737 .48042 L
.64504 .48309 L
.64254 .48648 L
.64141 .48792 L
.63781 .49275 L
.63771 .49287 L
.63502 .49758 L
.63288 .49933 L
.63012 .50242 L
.62804 .50612 L
.62618 .50725 L
.62321 .5109 L
.62212 .51208 L
.61838 .51634 L
.61435 .51208 L
.61621 .50725 L
.61838 .50545 L
.62035 .50242 L
.62321 .49814 L
.62359 .49758 L
.62667 .49275 L
.62804 .49084 L
.63038 .48792 L
.63288 .48447 L
.6339 .48309 L
.63743 .47826 L
.63771 .47785 L
.6404 .47342 L
.64254 .47118 L
.64476 .46859 L
.64737 .46436 L
.64851 .46376 L
.6522 .459 L
.65227 .45893 L
.65536 .4541 L
.65704 .45292 L
.66032 .44927 L
.66187 .44671 L
.66469 .44443 L
F
0 .74 1 r
.62804 .43067 m
.63277 .43477 L
.6292 .4396 L
.62804 .44124 L
.62555 .44443 L
.62321 .44764 L
.62187 .44927 L
.61838 .45385 L
.61443 .44927 L
.61705 .44443 L
.61838 .44314 L
.62129 .4396 L
.62321 .43699 L
.62494 .43477 L
F
1 .8 0 r
.62321 .41839 m
.62644 .42027 L
.62325 .42511 L
.62321 .42517 L
.61953 .42994 L
.61838 .43158 L
.61457 .42994 L
.61799 .42511 L
.61838 .42457 L
.62177 .42027 L
F
1 .6 0 r
.6667 .44263 m
.67083 .44443 L
.66825 .44927 L
.6667 .45187 L
.66529 .4541 L
.66231 .45893 L
.66187 .45962 L
.65889 .46376 L
.65704 .46643 L
.65548 .46859 L
.6522 .47325 L
.65207 .47342 L
.64912 .47826 L
.64737 .48023 L
.64492 .48309 L
.64254 .48632 L
.64128 .48792 L
.63771 .49269 L
.63766 .49275 L
.63479 .49758 L
.63288 .49913 L
.62997 .50242 L
.62804 .50593 L
.62598 .50725 L
.62321 .51064 L
.62185 .51208 L
.61838 .51598 L
.61465 .51208 L
.61658 .50725 L
.61838 .50578 L
.62054 .50242 L
.62321 .4984 L
.62377 .49758 L
.62684 .49275 L
.62804 .49107 L
.63052 .48792 L
.63288 .48466 L
.63404 .48309 L
.63756 .47826 L
.63771 .47804 L
.64056 .47342 L
.64254 .47136 L
.6449 .46859 L
.64737 .46448 L
.64866 .46376 L
.6522 .45921 L
.65244 .45893 L
.6557 .4541 L
.65704 .45317 L
.66055 .44927 L
.66187 .44705 L
.66503 .44443 L
F
0 .84 1 r
.70052 .46033 m
.70317 .46376 L
.70111 .46859 L
.70052 .46944 L
.69832 .47342 L
.69569 .47767 L
.69533 .47826 L
.69202 .48309 L
.69086 .48549 L
.68941 .48792 L
.68603 .4921 L
.68558 .49275 L
.68168 .49758 L
.68119 .499 L
.67868 .50242 L
.67636 .50587 L
.67594 .50725 L
.67164 .51208 L
.67153 .51221 L
.66777 .51691 L
.6667 .51877 L
.66475 .52174 L
.66187 .52536 L
.66083 .52658 L
.65707 .53141 L
.65704 .53162 L
.65353 .53624 L
.6522 .538 L
.65061 .54107 L
.64737 .54443 L
.64611 .5459 L
.64254 .55062 L
.64239 .55073 L
.63877 .55557 L
.63771 .55665 L
.63612 .5604 L
.63288 .56274 L
.63065 .56523 L
.62804 .56872 L
.62648 .57006 L
.62321 .57375 L
.622 .57489 L
.61838 .57839 L
.61468 .57489 L
.61611 .57006 L
.61838 .5678 L
.61989 .56523 L
.62301 .5604 L
.62321 .55988 L
.62592 .55557 L
.62804 .55189 L
.62948 .55073 L
.63287 .5459 L
.63288 .54589 L
.63645 .54107 L
.63771 .53893 L
.63928 .53624 L
.64254 .53206 L
.64337 .53141 L
.64712 .52658 L
.64737 .52595 L
.65039 .52174 L
.6522 .5193 L
.65302 .51691 L
.65704 .51272 L
.65776 .51208 L
.66144 .50725 L
.66187 .50659 L
.66464 .50242 L
.6667 .50012 L
.66878 .49758 L
.67153 .49367 L
.67248 .49275 L
.67616 .48792 L
.67636 .4877 L
.67936 .48309 L
.68119 .48151 L
.68396 .47826 L
.68603 .47535 L
.68797 .47342 L
.69086 .46917 L
.69213 .46859 L
.69569 .46465 L
.69668 .46376 L
F
0 .54 1 r
.62321 .47874 m
.62801 .48309 L
.62395 .48792 L
.62321 .48962 L
.6196 .49275 L
.61838 .49417 L
.61469 .49275 L
.61731 .48792 L
.61838 .48618 L
.62037 .48309 L
F
0 .72 1 r
.62804 .43125 m
.63235 .43477 L
.62886 .4396 L
.62804 .44076 L
.62518 .44443 L
.62321 .44714 L
.62145 .44927 L
.61838 .45329 L
.61492 .44927 L
.61795 .44443 L
.61838 .44402 L
.62171 .4396 L
.62321 .43756 L
.62538 .43477 L
F
1 .58 0 r
.6667 .44306 m
.67038 .44443 L
.66799 .44927 L
.6667 .45148 L
.66507 .4541 L
.66208 .45893 L
.66187 .45926 L
.65873 .46376 L
.65704 .46622 L
.65534 .46859 L
.6522 .47307 L
.65194 .47342 L
.64895 .47826 L
.64737 .48004 L
.64479 .48309 L
.64254 .48615 L
.64115 .48792 L
.63771 .49251 L
.63751 .49275 L
.63455 .49758 L
.63288 .49892 L
.62981 .50242 L
.62804 .50572 L
.62578 .50725 L
.62321 .51038 L
.62157 .51208 L
.61838 .51561 L
.61497 .51208 L
.61699 .50725 L
.61838 .50613 L
.62074 .50242 L
.62321 .49866 L
.62395 .49758 L
.62702 .49275 L
.62804 .49132 L
.63067 .48792 L
.63288 .48485 L
.63418 .48309 L
.63769 .47826 L
.63771 .47823 L
.64073 .47342 L
.64254 .47155 L
.64504 .46859 L
.64737 .46461 L
.64882 .46376 L
.6522 .45942 L
.65262 .45893 L
.65607 .4541 L
.65704 .45344 L
.66079 .44927 L
.66187 .44743 L
.66539 .44443 L
F
1 .72 0 r
.68603 .45768 m
.69083 .45893 L
.68858 .46376 L
.68603 .46834 L
.68588 .46859 L
.68365 .47342 L
.68119 .47601 L
.67972 .47826 L
.67642 .48309 L
.67636 .48323 L
.67322 .48792 L
.67153 .49048 L
.67106 .49275 L
.6667 .49748 L
.66614 .49758 L
.66252 .50242 L
.66187 .5035 L
.6595 .50725 L
.65704 .51021 L
.65542 .51208 L
.6522 .5167 L
.65179 .51691 L
.64818 .52174 L
.64737 .52275 L
.64532 .52658 L
.64254 .52917 L
.64058 .53141 L
.63771 .53555 L
.63676 .53624 L
.63289 .54107 L
.63288 .54109 L
.62878 .5459 L
.62804 .5469 L
.62442 .55073 L
.62321 .55253 L
.61949 .55557 L
.61838 .55662 L
.61502 .55557 L
.6169 .55073 L
.61838 .54799 L
.61957 .5459 L
.62235 .54107 L
.62321 .53939 L
.62377 .53624 L
.62804 .53266 L
.6289 .53141 L
.63231 .52658 L
.63288 .52555 L
.63518 .52174 L
.63771 .51836 L
.63917 .51691 L
.64254 .51226 L
.64268 .51208 L
.64618 .50725 L
.64737 .5056 L
.64883 .50242 L
.6522 .4989 L
.65351 .49758 L
.65704 .49288 L
.65714 .49275 L
.66059 .48792 L
.66187 .48652 L
.66465 .48309 L
.6667 .48011 L
.66848 .47826 L
.67153 .47372 L
.67235 .47342 L
.67627 .46859 L
.67636 .46852 L
.68057 .46376 L
.68119 .46289 L
.68526 .45893 L
F
0 .52 1 r
.62321 .47907 m
.62777 .48309 L
.62371 .48792 L
.62321 .48909 L
.61924 .49275 L
.61838 .49373 L
.61516 .49275 L
.6176 .48792 L
.61838 .48663 L
.62062 .48309 L
F
1 .56 0 r
.6667 .44353 m
.66985 .44443 L
.66771 .44927 L
.6667 .45105 L
.66484 .4541 L
.66187 .4589 L
.66184 .45893 L
.65858 .46376 L
.65704 .46601 L
.65519 .46859 L
.6522 .47288 L
.65179 .47342 L
.64878 .47826 L
.64737 .47985 L
.64467 .48309 L
.64254 .48598 L
.64102 .48792 L
.63771 .49234 L
.63737 .49275 L
.63429 .49758 L
.63288 .49871 L
.62964 .50242 L
.62804 .50548 L
.62557 .50725 L
.62321 .5101 L
.62127 .51208 L
.61838 .51521 L
.61531 .51208 L
.61744 .50725 L
.61838 .5065 L
.62094 .50242 L
.62321 .49893 L
.62413 .49758 L
.62721 .49275 L
.62804 .49158 L
.63081 .48792 L
.63288 .48504 L
.63432 .48309 L
.63771 .47842 L
.63784 .47826 L
.6409 .47342 L
.64254 .47175 L
.64519 .46859 L
.64737 .46476 L
.64898 .46376 L
.6522 .45963 L
.65281 .45893 L
.65647 .4541 L
.65704 .45372 L
.66104 .44927 L
.66187 .44784 L
.6658 .44443 L
F
0 .7 1 r
.61838 .44484 m
.62098 .44927 L
.61838 .45267 L
.61545 .44927 L
F
0 .82 1 r
.69569 .46531 m
.70038 .46859 L
.69788 .47342 L
.69569 .47707 L
.69498 .47826 L
.69178 .48309 L
.69086 .48505 L
.68923 .48792 L
.68603 .4918 L
.68538 .49275 L
.68159 .49758 L
.68119 .49875 L
.67854 .50242 L
.67636 .50568 L
.67588 .50725 L
.67153 .51207 L
.6715 .51208 L
.66767 .51691 L
.6667 .5186 L
.66464 .52174 L
.66187 .52521 L
.66071 .52658 L
.65705 .53141 L
.65704 .53147 L
.6534 .53624 L
.6522 .53783 L
.65048 .54107 L
.64737 .54425 L
.64596 .5459 L
.64254 .55047 L
.64221 .55073 L
.63854 .55557 L
.63771 .5564 L
.63579 .5604 L
.63288 .56242 L
.63033 .56523 L
.62804 .56833 L
.62603 .57006 L
.62321 .57315 L
.62123 .57489 L
.61838 .5774 L
.61554 .57489 L
.61691 .57006 L
.61838 .56861 L
.62029 .56523 L
.62321 .56045 L
.62324 .5604 L
.62616 .55557 L
.62804 .5522 L
.62968 .55073 L
.63288 .54615 L
.63305 .5459 L
.63658 .54107 L
.63771 .53914 L
.6394 .53624 L
.64254 .53218 L
.6435 .53141 L
.64719 .52658 L
.64737 .52611 L
.6505 .52174 L
.6522 .51944 L
.6531 .51691 L
.65704 .51283 L
.65787 .51208 L
.66153 .50725 L
.66187 .50674 L
.66477 .50242 L
.6667 .50028 L
.66891 .49758 L
.67153 .49382 L
.67263 .49275 L
.67634 .48792 L
.67636 .4879 L
.67963 .48309 L
.68119 .48177 L
.6842 .47826 L
.68603 .47566 L
.68829 .47342 L
.69086 .46946 L
.69261 .46859 L
F
1 .54 0 r
.6667 .44404 m
.66918 .44443 L
.66741 .44927 L
.6667 .45058 L
.66461 .4541 L
.66187 .4586 L
.66164 .45893 L
.65842 .46376 L
.65704 .46578 L
.65505 .46859 L
.6522 .47268 L
.65165 .47342 L
.6486 .47826 L
.64737 .47964 L
.64454 .48309 L
.64254 .48581 L
.64088 .48792 L
.63771 .49216 L
.63722 .49275 L
.63402 .49758 L
.63288 .49848 L
.62947 .50242 L
.62804 .50521 L
.62535 .50725 L
.62321 .50982 L
.62095 .51208 L
.61838 .51478 L
.61567 .51208 L
.61794 .50725 L
.61838 .5069 L
.62115 .50242 L
.62321 .49922 L
.62431 .49758 L
.6274 .49275 L
.62804 .49185 L
.63096 .48792 L
.63288 .48524 L
.63446 .48309 L
.63771 .47861 L
.63798 .47826 L
.64109 .47342 L
.64254 .47195 L
.64533 .46859 L
.64737 .46492 L
.64914 .46376 L
.6522 .45985 L
.653 .45893 L
.6569 .4541 L
.65704 .45401 L
.66131 .44927 L
.66187 .44829 L
.66629 .44443 L
F
0 .5 1 r
.62321 .47942 m
.62752 .48309 L
.62346 .48792 L
.62321 .4885 L
.61883 .49275 L
.61838 .49325 L
.61574 .49275 L
.61791 .48792 L
.61838 .48712 L
.62088 .48309 L
F
1 .78 0 r
.61838 .42611 m
.61862 .42994 L
.61838 .43029 L
.61588 .42994 L
F
1 .7 0 r
.68603 .4585 m
.69009 .45893 L
.68819 .46376 L
.68603 .46782 L
.68558 .46859 L
.68338 .47342 L
.68119 .47569 L
.67953 .47826 L
.67636 .48298 L
.67629 .48309 L
.67308 .48792 L
.67153 .49028 L
.67098 .49275 L
.6667 .49744 L
.66602 .49758 L
.66243 .50242 L
.66187 .50334 L
.65939 .50725 L
.65704 .51007 L
.6553 .51208 L
.6522 .51664 L
.65167 .51691 L
.64806 .52174 L
.64737 .5226 L
.64517 .52658 L
.64254 .529 L
.64044 .53141 L
.63771 .53541 L
.63658 .53624 L
.63288 .54085 L
.63268 .54107 L
.62855 .5459 L
.62804 .54658 L
.62409 .55073 L
.62321 .55203 L
.6188 .55557 L
.61838 .55592 L
.61599 .55557 L
.61732 .55073 L
.61838 .54864 L
.61987 .5459 L
.62261 .54107 L
.62321 .53988 L
.62394 .53624 L
.62804 .53291 L
.62906 .53141 L
.63243 .52658 L
.63288 .52577 L
.6353 .52174 L
.63771 .51851 L
.63929 .51691 L
.64254 .51242 L
.64279 .51208 L
.64628 .50725 L
.64737 .50575 L
.64893 .50242 L
.6522 .49903 L
.65362 .49758 L
.65704 .49303 L
.65726 .49275 L
.66073 .48792 L
.66187 .48669 L
.66478 .48309 L
.6667 .48028 L
.66864 .47826 L
.67153 .47381 L
.67254 .47342 L
.67636 .46879 L
.67654 .46859 L
.68086 .46376 L
.68119 .46329 L
.68576 .45893 L
F
1 .94 0 r
.61838 .38371 m
.62028 .38645 L
.61838 .38974 L
.61604 .38645 L
F
0 .68 1 r
.61838 .44564 m
.62042 .44927 L
.61838 .45195 L
.61606 .44927 L
F
1 .52 0 r
.61838 .50734 m
.62058 .51208 L
.61838 .51431 L
.61607 .51208 L
F
1 .9 0 r
.71019 .46818 m
.71315 .46859 L
.71209 .47342 L
.71019 .47737 L
.70974 .47826 L
.70714 .48309 L
.70535 .48578 L
.70406 .48792 L
.7009 .49275 L
.70052 .49333 L
.69726 .49758 L
.69569 .50067 L
.6945 .50242 L
.69086 .50724 L
.69082 .50725 L
.68658 .51208 L
.68603 .51395 L
.68372 .51691 L
.68119 .52067 L
.68075 .52174 L
.67675 .52658 L
.67636 .52702 L
.6727 .53141 L
.67153 .53356 L
.6697 .53624 L
.6667 .54011 L
.66591 .54107 L
.66187 .5459 L
.66187 .54637 L
.6585 .55073 L
.65704 .55278 L
.65551 .55557 L
.6522 .55921 L
.65123 .5604 L
.64746 .56523 L
.64737 .56539 L
.64389 .57006 L
.64254 .57153 L
.64116 .57489 L
.63771 .5777 L
.63596 .57973 L
.63288 .5837 L
.63195 .58456 L
.62804 .58936 L
.62776 .58939 L
.62321 .59417 L
.62315 .59422 L
.61838 .59817 L
.61609 .59422 L
.61828 .58939 L
.61838 .58923 L
.61972 .58456 L
.62321 .58108 L
.62406 .57973 L
.62742 .57489 L
.62804 .57342 L
.63025 .57006 L
.63288 .56576 L
.63394 .56523 L
.63765 .5604 L
.63771 .55991 L
.64096 .55557 L
.64254 .553 L
.64378 .55073 L
.64737 .54627 L
.64797 .5459 L
.65177 .54107 L
.6522 .54013 L
.65495 .53624 L
.65704 .53347 L
.65751 .53141 L
.66187 .52696 L
.66237 .52658 L
.66604 .52174 L
.6667 .52079 L
.66914 .51691 L
.67153 .51426 L
.67336 .51208 L
.67636 .50783 L
.67701 .50725 L
.68061 .50242 L
.68119 .50176 L
.68357 .49758 L
.68603 .49543 L
.6883 .49275 L
.69086 .48913 L
.69213 .48792 L
.69569 .48315 L
.696 .48309 L
.70011 .47826 L
.70052 .47772 L
.70457 .47342 L
.70535 .47237 L
.70989 .46859 L
F
0 .62 1 r
.61838 .52723 m
.62292 .53141 L
.61838 .53593 L
.61615 .53141 L
F
1 .6 0 r
.61838 .46558 m
.62242 .46859 L
.61838 .47342 L
.61648 .46859 L
F
0 .6 1 r
.61838 .52773 m
.62257 .53141 L
.61838 .5354 L
.61651 .53141 L
F
1 .5 0 r
.61838 .50789 m
.62016 .51208 L
.61838 .51379 L
.61652 .51208 L
F
0 .8 1 r
.69569 .46601 m
.6997 .46859 L
.69742 .47342 L
.69569 .47641 L
.69463 .47826 L
.69154 .48309 L
.69086 .48458 L
.68903 .48792 L
.68603 .49149 L
.68517 .49275 L
.6815 .49758 L
.68119 .4985 L
.67839 .50242 L
.67636 .50549 L
.67582 .50725 L
.67153 .51201 L
.67136 .51208 L
.66757 .51691 L
.6667 .51843 L
.66453 .52174 L
.66187 .52506 L
.66058 .52658 L
.65704 .53136 L
.65696 .53141 L
.65328 .53624 L
.6522 .53765 L
.65035 .54107 L
.64737 .54406 L
.64579 .5459 L
.64254 .55031 L
.64202 .55073 L
.63829 .55557 L
.63771 .55614 L
.63542 .5604 L
.63288 .56209 L
.63 .56523 L
.62804 .56792 L
.62554 .57006 L
.62321 .57253 L
.62023 .57489 L
.61838 .57625 L
.6166 .57489 L
.61791 .57006 L
.61838 .56959 L
.62069 .56523 L
.62321 .56097 L
.62357 .5604 L
.62641 .55557 L
.62804 .55256 L
.62989 .55073 L
.63288 .54641 L
.63323 .5459 L
.63671 .54107 L
.63771 .53936 L
.63952 .53624 L
.64254 .53231 L
.64363 .53141 L
.64725 .52658 L
.64737 .52627 L
.65061 .52174 L
.6522 .5196 L
.65318 .51691 L
.65704 .51294 L
.65799 .51208 L
.66163 .50725 L
.66187 .50689 L
.6649 .50242 L
.6667 .50044 L
.66904 .49758 L
.67153 .49398 L
.67279 .49275 L
.67636 .48811 L
.67652 .48792 L
.67991 .48309 L
.68119 .48203 L
.68444 .47826 L
.68603 .47599 L
.68863 .47342 L
.69086 .46982 L
.69314 .46859 L
F
0 .66 1 r
.61838 .44664 m
.61972 .44927 L
.61838 .45102 L
.61682 .44927 L
F
1 .58 0 r
.61838 .46614 m
.62202 .46859 L
.61838 .47287 L
.61688 .46859 L
F
0 .58 1 r
.61838 .52828 m
.62218 .53141 L
.61838 .53481 L
.61689 .53141 L
F
1 .48 0 r
.61838 .50855 m
.61963 .51208 L
.61838 .51318 L
.61707 .51208 L
F
1 .56 0 r
.61838 .46678 m
.62155 .46859 L
.61838 .47222 L
.61732 .46859 L
F
0 .56 1 r
.61838 .52894 m
.62172 .53141 L
.61838 .53412 L
.61732 .53141 L
F
0 .88 1 r
.61838 .40449 m
.62131 .40578 L
.61838 .41043 L
.61737 .40578 L
F
0 .94 1 r
.71985 .47646 m
.7225 .47826 L
.72162 .48309 L
.71985 .48525 L
.71853 .48792 L
.71537 .49275 L
.71502 .4942 L
.71268 .49758 L
.71019 .50228 L
.70958 .50242 L
.70633 .50725 L
.70535 .50863 L
.70241 .51208 L
.70052 .51564 L
.69957 .51691 L
.69601 .52174 L
.69569 .52212 L
.69142 .52658 L
.69086 .52879 L
.68872 .53141 L
.68603 .53543 L
.68561 .53624 L
.68182 .54107 L
.68119 .54176 L
.67758 .5459 L
.67636 .5483 L
.67463 .55073 L
.67153 .55483 L
.67151 .55557 L
.66734 .5604 L
.6667 .56106 L
.66342 .56523 L
.66187 .56751 L
.6604 .57006 L
.65704 .57397 L
.6563 .57489 L
.65239 .57973 L
.6522 .58011 L
.64894 .58456 L
.64737 .58635 L
.64609 .58939 L
.64254 .5926 L
.6412 .59422 L
.63771 .59864 L
.63729 .59905 L
.63337 .60388 L
.63288 .60427 L
.62889 .60872 L
.62804 .60967 L
.62403 .61355 L
.62321 .61445 L
.61838 .6172 L
.61757 .61355 L
.61838 .61142 L
.61962 .60872 L
.62211 .60388 L
.62321 .60229 L
.62374 .59905 L
.62804 .5947 L
.62836 .59422 L
.63185 .58939 L
.63288 .58721 L
.63467 .58456 L
.63771 .58082 L
.63849 .57973 L
.64235 .57489 L
.64254 .57404 L
.64552 .57006 L
.64737 .56717 L
.64834 .56523 L
.6522 .56057 L
.65264 .5604 L
.65643 .55557 L
.65704 .5544 L
.65955 .55073 L
.66187 .54773 L
.66203 .5459 L
.6667 .54129 L
.66705 .54107 L
.67069 .53624 L
.67153 .53506 L
.6737 .53141 L
.67636 .5285 L
.67801 .52658 L
.68119 .52209 L
.68163 .52174 L
.68516 .51691 L
.68603 .51594 L
.68793 .51208 L
.69086 .50951 L
.6928 .50725 L
.69569 .50316 L
.69652 .50242 L
.70017 .49758 L
.70052 .49727 L
.70425 .49275 L
.70535 .49123 L
.70833 .48792 L
.71019 .48532 L
.71264 .48309 L
.71502 .47937 L
.71762 .47826 L
F
1 .88 0 r
.61838 .59144 m
.62151 .59422 L
.61838 .59571 L
.61768 .59422 L
F
1 .68 0 r
.68119 .46372 m
.68603 .45927 L
.68778 .46376 L
.68603 .46724 L
.68527 .46859 L
.6831 .47342 L
.68119 .47536 L
.67934 .47826 L
.67636 .48273 L
.67612 .48309 L
.67293 .48792 L
.67153 .49007 L
.6709 .49275 L
.6667 .49738 L
.6659 .49758 L
.66233 .50242 L
.66187 .50318 L
.65928 .50725 L
.65704 .50993 L
.65519 .51208 L
.6522 .51657 L
.65155 .51691 L
.64794 .52174 L
.64737 .52244 L
.64502 .52658 L
.64254 .52883 L
.64029 .53141 L
.63771 .53527 L
.63641 .53624 L
.63288 .54061 L
.63246 .54107 L
.6283 .5459 L
.62804 .54625 L
.62372 .55073 L
.62321 .55149 L
.61838 .55506 L
.61777 .55073 L
.61838 .54941 L
.62019 .5459 L
.62289 .54107 L
.62321 .54043 L
.62414 .53624 L
.62804 .53318 L
.62923 .53141 L
.63256 .52658 L
.63288 .526 L
.63543 .52174 L
.63771 .51868 L
.63941 .51691 L
.64254 .51258 L
.64291 .51208 L
.64639 .50725 L
.64737 .50591 L
.64904 .50242 L
.6522 .49916 L
.65374 .49758 L
.65704 .49318 L
.65738 .49275 L
.66087 .48792 L
.66187 .48685 L
.66492 .48309 L
.6667 .48046 L
.6688 .47826 L
.67153 .47392 L
.67274 .47342 L
.67636 .46906 L
.6768 .46859 L
.68116 .46376 L
F
0 .54 1 r
.61838 .5298 m
.62115 .53141 L
.61838 .53323 L
.61782 .53141 L
F
1 .54 0 r
.61838 .46758 m
.62095 .46859 L
.61838 .47137 L
.61783 .46859 L
F
1 .46 0 r
.61838 .50947 m
.61885 .51208 L
.61838 .51239 L
.61789 .51208 L
F
0 .64 1 r
.61838 .44856 m
.61848 .44927 L
.61838 .44939 L
.61822 .44927 L
F
0 .48 1 r
.61838 .4877 m
.62317 .48792 L
.61838 .49268 L
.61825 .48792 L
F
1 .66 0 r
.68119 .46411 m
.68496 .46859 L
.68278 .47342 L
.68119 .47502 L
.67914 .47826 L
.67636 .48247 L
.67595 .48309 L
.67278 .48792 L
.67153 .48985 L
.67081 .49275 L
.6667 .49731 L
.66577 .49758 L
.66223 .50242 L
.66187 .50301 L
.65916 .50725 L
.65704 .50978 L
.65508 .51208 L
.6522 .51649 L
.65143 .51691 L
.64781 .52174 L
.64737 .52228 L
.64486 .52658 L
.64254 .52866 L
.64014 .53141 L
.63771 .53512 L
.63623 .53624 L
.63288 .54037 L
.63224 .54107 L
.62805 .5459 L
.62804 .54591 L
.62332 .55073 L
.62321 .55089 L
.61838 .55381 L
.61827 .55073 L
.61838 .55044 L
.62052 .5459 L
.62319 .54107 L
.62321 .54103 L
.62437 .53624 L
.62804 .53345 L
.62941 .53141 L
.63269 .52658 L
.63288 .52623 L
.63557 .52174 L
.63771 .51885 L
.63953 .51691 L
.64254 .51274 L
.64303 .51208 L
.6465 .50725 L
.64737 .50606 L
.64915 .50242 L
.6522 .49929 L
.65385 .49758 L
.65704 .49334 L
.6575 .49275 L
.66102 .48792 L
.66187 .48702 L
.66505 .48309 L
.6667 .48064 L
.66896 .47826 L
.67153 .47405 L
.67294 .47342 L
.67636 .46933 L
.67708 .46859 L
F
1 .52 0 r
.65704 .45429 m
.66144 .45893 L
.65825 .46376 L
.65704 .46556 L
.6549 .46859 L
.6522 .47248 L
.6515 .47342 L
.64842 .47826 L
.64737 .47943 L
.64441 .48309 L
.64254 .48564 L
.64074 .48792 L
.63771 .49197 L
.63707 .49275 L
.63373 .49758 L
.63288 .49825 L
.6293 .50242 L
.62804 .50492 L
.62513 .50725 L
.62321 .50952 L
.61844 .50725 L
.62136 .50242 L
.62321 .49951 L
.6245 .49758 L
.62761 .49275 L
.62804 .49214 L
.63111 .48792 L
.63288 .48544 L
.63461 .48309 L
.63771 .4788 L
.63813 .47826 L
.64129 .47342 L
.64254 .47216 L
.64548 .46859 L
.64737 .46509 L
.6493 .46376 L
.6522 .46007 L
.6532 .45893 L
F
0 .7 1 r
.62804 .43188 m
.63187 .43477 L
.62848 .4396 L
.62804 .44023 L
.62477 .44443 L
.62321 .4466 L
.61869 .44443 L
.62216 .4396 L
.62321 .43816 L
.62586 .43477 L
F
1 .5 0 r
.65704 .45456 m
.66122 .45893 L
.65809 .46376 L
.65704 .46532 L
.65474 .46859 L
.6522 .47228 L
.65136 .47342 L
.64822 .47826 L
.64737 .47921 L
.64428 .48309 L
.64254 .48546 L
.6406 .48792 L
.63771 .49179 L
.63691 .49275 L
.63343 .49758 L
.63288 .49801 L
.62912 .50242 L
.62804 .50461 L
.62488 .50725 L
.62321 .50922 L
.61874 .50725 L
.62157 .50242 L
.62321 .49982 L
.62469 .49758 L
.62782 .49275 L
.62804 .49244 L
.63126 .48792 L
.63288 .48565 L
.63475 .48309 L
.63771 .479 L
.63828 .47826 L
.64149 .47342 L
.64254 .47237 L
.64563 .46859 L
.64737 .46529 L
.64947 .46376 L
.6522 .46029 L
.6534 .45893 L
F
0 .62 1 r
.67636 .4509 m
.67925 .4541 L
.67715 .45893 L
.67636 .45966 L
.67386 .46376 L
.67153 .46741 L
.67075 .46859 L
.6677 .47342 L
.6667 .47496 L
.66415 .47826 L
.66187 .48149 L
.66071 .48309 L
.65724 .48792 L
.65704 .48824 L
.65423 .49275 L
.6522 .49511 L
.65006 .49758 L
.64737 .50205 L
.64642 .50242 L
.64282 .50725 L
.64254 .50758 L
.63995 .51208 L
.63771 .514 L
.63513 .51691 L
.63288 .5206 L
.63121 .52174 L
.62804 .52564 L
.62718 .52658 L
.62321 .53113 L
.61877 .52658 L
.6203 .52174 L
.62321 .51943 L
.62487 .51691 L
.62804 .51218 L
.62812 .51208 L
.63112 .50725 L
.63288 .50483 L
.63495 .50242 L
.63771 .49858 L
.63845 .49758 L
.64196 .49275 L
.64254 .49194 L
.64476 .48792 L
.64737 .48521 L
.64929 .48309 L
.6522 .47846 L
.65298 .47826 L
.65662 .47342 L
.65704 .47298 L
.65924 .46859 L
.66187 .46673 L
.66459 .46376 L
.6667 .46026 L
.66874 .45893 L
.67153 .45569 L
.67318 .4541 L
F
0 .78 1 r
.69569 .46677 m
.69892 .46859 L
.69694 .47342 L
.69569 .47569 L
.69426 .47826 L
.69129 .48309 L
.69086 .48406 L
.68882 .48792 L
.68603 .49117 L
.68497 .49275 L
.68141 .49758 L
.68119 .49824 L
.67825 .50242 L
.67636 .50529 L
.67575 .50725 L
.67153 .51195 L
.67122 .51208 L
.66747 .51691 L
.6667 .51826 L
.66442 .52174 L
.66187 .52491 L
.66046 .52658 L
.65704 .53127 L
.65682 .53141 L
.65316 .53624 L
.6522 .53748 L
.65021 .54107 L
.64737 .54387 L
.64563 .5459 L
.64254 .55016 L
.64183 .55073 L
.63804 .55557 L
.63771 .55589 L
.63499 .5604 L
.63288 .56175 L
.62965 .56523 L
.62804 .56747 L
.625 .57006 L
.62321 .57187 L
.6188 .57006 L
.62111 .56523 L
.62321 .56154 L
.62389 .5604 L
.62668 .55557 L
.62804 .55298 L
.63011 .55073 L
.63288 .54668 L
.63342 .5459 L
.63685 .54107 L
.63771 .53959 L
.63964 .53624 L
.64254 .53245 L
.64376 .53141 L
.64732 .52658 L
.64737 .52644 L
.65072 .52174 L
.6522 .51975 L
.65327 .51691 L
.65704 .51306 L
.6581 .51208 L
.66173 .50725 L
.66187 .50704 L
.66503 .50242 L
.6667 .50061 L
.66918 .49758 L
.67153 .49414 L
.67294 .49275 L
.67636 .48833 L
.67671 .48792 L
.68022 .48309 L
.68119 .4823 L
.68469 .47826 L
.68603 .47634 L
.68898 .47342 L
.69086 .47028 L
.69376 .46859 L
F
1 .64 0 r
.64737 .42752 m
.65034 .42994 L
.64763 .43477 L
.64737 .43519 L
.6444 .4396 L
.64254 .44244 L
.6411 .44443 L
.63784 .44927 L
.63771 .44941 L
.63418 .4541 L
.63288 .45591 L
.63051 .45893 L
.62804 .46228 L
.62682 .46376 L
.62321 .46846 L
.61898 .46376 L
.62114 .45893 L
.62321 .45695 L
.62582 .4541 L
.62804 .45105 L
.62943 .44927 L
.63288 .44466 L
.63307 .44443 L
.63688 .4396 L
.63771 .43811 L
.64091 .43477 L
.64254 .43278 L
.64521 .42994 L
F
0 .6 1 r
.67636 .45141 m
.67884 .4541 L
.67667 .45893 L
.67636 .45922 L
.67365 .46376 L
.67153 .46712 L
.67057 .46859 L
.66752 .47342 L
.6667 .4747 L
.66402 .47826 L
.66187 .48131 L
.66058 .48309 L
.65713 .48792 L
.65704 .48807 L
.6541 .49275 L
.6522 .49495 L
.64995 .49758 L
.64737 .50198 L
.64631 .50242 L
.64268 .50725 L
.64254 .50742 L
.63976 .51208 L
.63771 .51382 L
.63499 .51691 L
.63288 .52044 L
.63103 .52174 L
.62804 .5254 L
.62694 .52658 L
.62321 .5308 L
.61904 .52658 L
.6206 .52174 L
.62321 .51972 L
.62504 .51691 L
.62804 .51241 L
.62827 .51208 L
.63127 .50725 L
.63288 .50503 L
.63507 .50242 L
.63771 .49875 L
.63857 .49758 L
.64207 .49275 L
.64254 .49211 L
.64489 .48792 L
.64737 .48536 L
.64941 .48309 L
.6522 .47852 L
.65311 .47826 L
.65679 .47342 L
.65704 .47316 L
.6595 .46859 L
.66187 .46694 L
.66477 .46376 L
.6667 .46049 L
.66898 .45893 L
.67153 .45601 L
.67357 .4541 L
F
1 .48 0 r
.65704 .45484 m
.661 .45893 L
.65792 .46376 L
.65704 .46508 L
.65459 .46859 L
.6522 .47207 L
.6512 .47342 L
.64802 .47826 L
.64737 .47898 L
.64415 .48309 L
.64254 .48528 L
.64046 .48792 L
.63771 .4916 L
.63675 .49275 L
.63311 .49758 L
.63288 .49776 L
.62893 .50242 L
.62804 .50426 L
.62463 .50725 L
.62321 .50889 L
.61907 .50725 L
.6218 .50242 L
.62321 .50014 L
.62488 .49758 L
.62804 .49275 L
.62804 .49275 L
.63141 .48792 L
.63288 .48586 L
.6349 .48309 L
.63771 .4792 L
.63843 .47826 L
.64171 .47342 L
.64254 .4726 L
.64578 .46859 L
.64737 .46551 L
.64965 .46376 L
.6522 .46052 L
.65361 .45893 L
F
1 .88 0 r
.70535 .47355 m
.70887 .47826 L
.7065 .48309 L
.70535 .48482 L
.70356 .48792 L
.70052 .49266 L
.70047 .49275 L
.69698 .49758 L
.69569 .50024 L
.69427 .50242 L
.69086 .50717 L
.69058 .50725 L
.68647 .51208 L
.68603 .51366 L
.68354 .51691 L
.68119 .52045 L
.68066 .52174 L
.67657 .52658 L
.67636 .52682 L
.67257 .53141 L
.67153 .53335 L
.66956 .53624 L
.6667 .53992 L
.66575 .54107 L
.66187 .5459 L
.66187 .54619 L
.65835 .55073 L
.65704 .55256 L
.65536 .55557 L
.6522 .55898 L
.65102 .5604 L
.64737 .56516 L
.6473 .56523 L
.64362 .57006 L
.64254 .5712 L
.64083 .57489 L
.63771 .57729 L
.63556 .57973 L
.63288 .58322 L
.63141 .58456 L
.62804 .58922 L
.62695 .58939 L
.62321 .59304 L
.61923 .58939 L
.62043 .58456 L
.62321 .58194 L
.62454 .57973 L
.6277 .57489 L
.62804 .57407 L
.63053 .57006 L
.63288 .56603 L
.6342 .56523 L
.63769 .5604 L
.63771 .56023 L
.64112 .55557 L
.64254 .55325 L
.64391 .55073 L
.64737 .54638 L
.64813 .5459 L
.65186 .54107 L
.6522 .54032 L
.65507 .53624 L
.65704 .53365 L
.65758 .53141 L
.66187 .52707 L
.66251 .52658 L
.66616 .52174 L
.6667 .52096 L
.66928 .51691 L
.67153 .51444 L
.67351 .51208 L
.67636 .50798 L
.67718 .50725 L
.68081 .50242 L
.68119 .50199 L
.68384 .49758 L
.68603 .49571 L
.68855 .49275 L
.69086 .48945 L
.69246 .48792 L
.69569 .48327 L
.69645 .48309 L
.70052 .47841 L
.70067 .47826 L
F
0 .68 1 r
.62804 .43258 m
.63132 .43477 L
.62807 .4396 L
.62804 .43965 L
.62432 .44443 L
.62321 .44599 L
.61927 .44443 L
.62266 .4396 L
.62321 .43884 L
.62639 .43477 L
F
1 .62 0 r
.63288 .44503 m
.63752 .44927 L
.63395 .4541 L
.63288 .4556 L
.63027 .45893 L
.62804 .46196 L
.62655 .46376 L
.62321 .4681 L
.61929 .46376 L
.62171 .45893 L
.62321 .4575 L
.62609 .4541 L
.62804 .45141 L
.62971 .44927 L
F
0 .58 1 r
.67153 .45634 m
.67624 .45893 L
.67343 .46376 L
.67153 .46682 L
.67038 .46859 L
.66735 .47342 L
.6667 .47443 L
.66388 .47826 L
.66187 .48112 L
.66045 .48309 L
.65704 .4879 L
.65702 .48792 L
.65397 .49275 L
.6522 .49479 L
.64984 .49758 L
.64737 .50189 L
.64619 .50242 L
.64254 .50725 L
.64254 .50725 L
.63957 .51208 L
.63771 .51364 L
.63484 .51691 L
.63288 .52026 L
.63085 .52174 L
.62804 .52516 L
.6267 .52658 L
.62321 .53047 L
.61932 .52658 L
.62095 .52174 L
.62321 .52002 L
.62522 .51691 L
.62804 .51264 L
.62843 .51208 L
.63142 .50725 L
.63288 .50524 L
.6352 .50242 L
.63771 .49892 L
.6387 .49758 L
.64219 .49275 L
.64254 .49227 L
.64503 .48792 L
.64737 .48552 L
.64953 .48309 L
.6522 .47858 L
.65325 .47826 L
.65696 .47342 L
.65704 .47335 L
.65978 .46859 L
.66187 .46716 L
.66496 .46376 L
.6667 .46074 L
.66924 .45893 L
F
1 .46 0 r
.62804 .49301 m
.63282 .49758 L
.62874 .50242 L
.62804 .50388 L
.62435 .50725 L
.62321 .50855 L
.61943 .50725 L
.62203 .50242 L
.62321 .50048 L
.62508 .49758 L
F
0 .76 1 r
.69569 .46764 m
.69795 .46859 L
.69643 .47342 L
.69569 .47486 L
.69389 .47826 L
.69103 .48309 L
.69086 .48348 L
.68859 .48792 L
.68603 .49084 L
.68476 .49275 L
.68132 .49758 L
.68119 .49797 L
.6781 .50242 L
.67636 .50508 L
.67568 .50725 L
.67153 .51189 L
.67108 .51208 L
.66737 .51691 L
.6667 .51809 L
.6643 .52174 L
.66187 .52475 L
.66033 .52658 L
.65704 .53118 L
.65669 .53141 L
.65303 .53624 L
.6522 .5373 L
.65006 .54107 L
.64737 .54368 L
.64547 .5459 L
.64254 .54999 L
.64164 .55073 L
.63777 .55557 L
.63771 .55563 L
.6345 .5604 L
.63288 .5614 L
.62929 .56523 L
.62804 .56698 L
.62437 .57006 L
.62321 .57116 L
.6196 .57006 L
.62155 .56523 L
.62321 .56217 L
.62423 .5604 L
.62696 .55557 L
.62804 .55346 L
.63032 .55073 L
.63288 .54696 L
.6336 .5459 L
.63699 .54107 L
.63771 .53983 L
.63977 .53624 L
.64254 .5326 L
.6439 .53141 L
.64737 .5266 L
.64739 .52658 L
.65084 .52174 L
.6522 .51991 L
.65336 .51691 L
.65704 .51318 L
.65822 .51208 L
.66183 .50725 L
.66187 .5072 L
.66518 .50242 L
.6667 .50077 L
.66931 .49758 L
.67153 .4943 L
.6731 .49275 L
.67636 .48854 L
.6769 .48792 L
.68054 .48309 L
.68119 .48257 L
.68496 .47826 L
.68603 .47671 L
.68937 .47342 L
.69086 .47086 L
.69455 .46859 L
F
0 .56 1 r
.67153 .45668 m
.67591 .45893 L
.67321 .46376 L
.67153 .46651 L
.67019 .46859 L
.66716 .47342 L
.6667 .47415 L
.66374 .47826 L
.66187 .48094 L
.66032 .48309 L
.65704 .48773 L
.65689 .48792 L
.65383 .49275 L
.6522 .49462 L
.64972 .49758 L
.64737 .5018 L
.64606 .50242 L
.64254 .50709 L
.64241 .50725 L
.63936 .51208 L
.63771 .51345 L
.63469 .51691 L
.63288 .52006 L
.63066 .52174 L
.62804 .52491 L
.62644 .52658 L
.62321 .53012 L
.61961 .52658 L
.62133 .52174 L
.62321 .52034 L
.6254 .51691 L
.62804 .51288 L
.62859 .51208 L
.63158 .50725 L
.63288 .50546 L
.63533 .50242 L
.63771 .49909 L
.63882 .49758 L
.64231 .49275 L
.64254 .49244 L
.64518 .48792 L
.64737 .48568 L
.64965 .48309 L
.6522 .47866 L
.65338 .47826 L
.65704 .47353 L
.65712 .47342 L
.66008 .46859 L
.66187 .46739 L
.66516 .46376 L
.6667 .46102 L
.66951 .45893 L
F
1 .6 0 r
.63288 .44542 m
.63724 .44927 L
.63371 .4541 L
.63288 .45528 L
.63001 .45893 L
.62804 .46162 L
.62625 .46376 L
.62321 .46771 L
.61963 .46376 L
.62237 .45893 L
.62321 .45812 L
.62637 .4541 L
.62804 .45179 L
.63 .44927 L
F
0 .9 1 r
.62321 .39655 m
.62608 .40095 L
.62321 .40538 L
.61963 .40095 L
F
1 .44 0 r
.62804 .49328 m
.63262 .49758 L
.62854 .50242 L
.62804 .50347 L
.62405 .50725 L
.62321 .50819 L
.61983 .50725 L
.62227 .50242 L
.62321 .50085 L
.62529 .49758 L
F
0 .54 1 r
.67153 .45704 m
.67556 .45893 L
.67298 .46376 L
.67153 .46618 L
.67 .46859 L
.66697 .47342 L
.6667 .47384 L
.6636 .47826 L
.66187 .48075 L
.66019 .48309 L
.65704 .48756 L
.65676 .48792 L
.65368 .49275 L
.6522 .49445 L
.64961 .49758 L
.64737 .50169 L
.64594 .50242 L
.64254 .50693 L
.64228 .50725 L
.63914 .51208 L
.63771 .51325 L
.63454 .51691 L
.63288 .51985 L
.63046 .52174 L
.62804 .52465 L
.62616 .52658 L
.62321 .52976 L
.61992 .52658 L
.62175 .52174 L
.62321 .52067 L
.62558 .51691 L
.62804 .51313 L
.62876 .51208 L
.63175 .50725 L
.63288 .50568 L
.63546 .50242 L
.63771 .49926 L
.63895 .49758 L
.64244 .49275 L
.64254 .49261 L
.64533 .48792 L
.64737 .48585 L
.64977 .48309 L
.6522 .47876 L
.65352 .47826 L
.65704 .47371 L
.65728 .47342 L
.6604 .46859 L
.66187 .46762 L
.66536 .46376 L
.6667 .46133 L
.6698 .45893 L
F
1 .58 0 r
.63288 .44582 m
.63693 .44927 L
.63347 .4541 L
.63288 .45493 L
.62974 .45893 L
.62804 .46126 L
.62594 .46376 L
.62321 .4673 L
.61998 .46376 L
.62311 .45893 L
.62321 .45883 L
.62666 .4541 L
.62804 .45218 L
.6303 .44927 L
F
0 .66 1 r
.62321 .43963 m
.6238 .44443 L
.62321 .44527 L
.61999 .44443 L
F
0 .52 1 r
.67153 .45742 m
.67517 .45893 L
.67275 .46376 L
.67153 .46582 L
.66981 .46859 L
.66676 .47342 L
.6667 .47353 L
.66346 .47826 L
.66187 .48055 L
.66006 .48309 L
.65704 .48738 L
.65663 .48792 L
.65353 .49275 L
.6522 .49427 L
.64949 .49758 L
.64737 .50158 L
.64582 .50242 L
.64254 .50676 L
.64214 .50725 L
.6389 .51208 L
.63771 .51305 L
.63438 .51691 L
.63288 .51962 L
.63026 .52174 L
.62804 .52439 L
.62586 .52658 L
.62321 .52937 L
.62025 .52658 L
.62222 .52174 L
.62321 .52102 L
.62577 .51691 L
.62804 .51338 L
.62892 .51208 L
.63193 .50725 L
.63288 .50593 L
.63559 .50242 L
.63771 .49944 L
.63908 .49758 L
.64254 .49279 L
.64257 .49275 L
.64549 .48792 L
.64737 .48602 L
.6499 .48309 L
.6522 .47886 L
.65365 .47826 L
.65704 .4739 L
.65744 .47342 L
.66075 .46859 L
.66187 .46786 L
.66556 .46376 L
.6667 .46167 L
.67012 .45893 L
F
1 .42 0 r
.62804 .49357 m
.63241 .49758 L
.62833 .50242 L
.62804 .50302 L
.62371 .50725 L
.62321 .50779 L
.62031 .50725 L
.62253 .50242 L
.62321 .50125 L
.6255 .49758 L
F
1 .86 0 r
.70535 .47476 m
.70791 .47826 L
.70577 .48309 L
.70535 .48373 L
.70305 .48792 L
.70052 .49199 L
.70006 .49275 L
.6967 .49758 L
.69569 .49976 L
.69405 .50242 L
.69086 .50707 L
.69033 .50725 L
.68637 .51208 L
.68603 .51336 L
.68336 .51691 L
.68119 .52022 L
.68057 .52174 L
.67639 .52658 L
.67636 .52661 L
.67246 .53141 L
.67153 .53314 L
.66942 .53624 L
.6667 .53973 L
.66559 .54107 L
.66187 .5459 L
.66187 .54601 L
.6582 .55073 L
.65704 .55234 L
.6552 .55557 L
.6522 .55874 L
.65082 .5604 L
.64737 .56495 L
.64706 .56523 L
.64334 .57006 L
.64254 .57088 L
.64043 .57489 L
.63771 .57687 L
.63515 .57973 L
.63288 .58272 L
.63082 .58456 L
.62804 .58888 L
.62597 .58939 L
.62321 .59179 L
.62031 .58939 L
.62145 .58456 L
.62321 .58295 L
.62504 .57973 L
.628 .57489 L
.62804 .57478 L
.63083 .57006 L
.63288 .56638 L
.63445 .56523 L
.63771 .56055 L
.63781 .5604 L
.64129 .55557 L
.64254 .5535 L
.64404 .55073 L
.64737 .54651 L
.64828 .5459 L
.65195 .54107 L
.6522 .54052 L
.6552 .53624 L
.65704 .53382 L
.65766 .53141 L
.66187 .52719 L
.66264 .52658 L
.66627 .52174 L
.6667 .52113 L
.66943 .51691 L
.67153 .51463 L
.67366 .51208 L
.67636 .50814 L
.67735 .50725 L
.68102 .50242 L
.68119 .50222 L
.68413 .49758 L
.68603 .496 L
.68881 .49275 L
.69086 .48979 L
.69281 .48792 L
.69569 .48346 L
.69694 .48309 L
.70052 .47911 L
.70146 .47826 L
F
0 .98 1 r
.73918 .49139 m
.74206 .49275 L
.74108 .49758 L
.73918 .50166 L
.73884 .50242 L
.73578 .50725 L
.73434 .51151 L
.73347 .51208 L
.73029 .51691 L
.72951 .51804 L
.72587 .52174 L
.72468 .52529 L
.72346 .52658 L
.72028 .53141 L
.71985 .53191 L
.71689 .53624 L
.71502 .53866 L
.71261 .54107 L
.71019 .54534 L
.70971 .5459 L
.70624 .55073 L
.70535 .55169 L
.7027 .55557 L
.70052 .5583 L
.69866 .5604 L
.69569 .56487 L
.69546 .56523 L
.69187 .57006 L
.69086 .57109 L
.68724 .57489 L
.68603 .57767 L
.68446 .57973 L
.68119 .58423 L
.68109 .58456 L
.67736 .58939 L
.67636 .59032 L
.67319 .59422 L
.67153 .5969 L
.67017 .59905 L
.6667 .60344 L
.66637 .60388 L
.66199 .60872 L
.66187 .60942 L
.65888 .61355 L
.65704 .6159 L
.65586 .61838 L
.6522 .62234 L
.65154 .62321 L
.64763 .62804 L
.64737 .62829 L
.6441 .63288 L
.64254 .63432 L
.64135 .63771 L
.63771 .64029 L
.63578 .64254 L
.63288 .64589 L
.63134 .64737 L
.62804 .65106 L
.62614 .6522 L
.62321 .65436 L
.62032 .6522 L
.62095 .64737 L
.62321 .64489 L
.62448 .64254 L
.62756 .63771 L
.62804 .63619 L
.6303 .63288 L
.63288 .62948 L
.63384 .62804 L
.63768 .62321 L
.63771 .62243 L
.64084 .61838 L
.64254 .6152 L
.64371 .61355 L
.64737 .60923 L
.64775 .60872 L
.65168 .60388 L
.6522 .60252 L
.65476 .59905 L
.65704 .59569 L
.65752 .59422 L
.66187 .58967 L
.66208 .58939 L
.66581 .58456 L
.6667 .58307 L
.66886 .57973 L
.67153 .57638 L
.67296 .57489 L
.67636 .5701 L
.67653 .57006 L
.68008 .56523 L
.68119 .56376 L
.68293 .5604 L
.68603 .55715 L
.68748 .55557 L
.69086 .55084 L
.69105 .55073 L
.69445 .5459 L
.69569 .54453 L
.6969 .54107 L
.70052 .53799 L
.70208 .53624 L
.70535 .53164 L
.70568 .53141 L
.70898 .52658 L
.71019 .52547 L
.71317 .52174 L
.71502 .51906 L
.71692 .51691 L
.71985 .51276 L
.72066 .51208 L
.72433 .50725 L
.72468 .50699 L
.72861 .50242 L
.72951 .50116 L
.73298 .49758 L
.73434 .49571 L
.73823 .49275 L
F
1 .56 0 r
.62321 .45936 m
.62559 .46376 L
.62321 .46684 L
.62037 .46376 L
F
0 .5 1 r
.67153 .45782 m
.67473 .45893 L
.6725 .46376 L
.67153 .46544 L
.6696 .46859 L
.6667 .47325 L
.66658 .47342 L
.66332 .47826 L
.66187 .48036 L
.65993 .48309 L
.65704 .48721 L
.6565 .48792 L
.65337 .49275 L
.6522 .49409 L
.64937 .49758 L
.64737 .50145 L
.64569 .50242 L
.64254 .5066 L
.642 .50725 L
.63866 .51208 L
.63771 .51285 L
.63422 .51691 L
.63288 .51937 L
.63005 .52174 L
.62804 .52412 L
.62553 .52658 L
.62321 .52895 L
.62061 .52658 L
.62274 .52174 L
.62321 .5214 L
.62596 .51691 L
.62804 .51364 L
.62909 .51208 L
.63211 .50725 L
.63288 .50618 L
.63572 .50242 L
.63771 .49962 L
.6392 .49758 L
.64254 .49296 L
.6427 .49275 L
.64565 .48792 L
.64737 .4862 L
.65003 .48309 L
.6522 .47898 L
.6538 .47826 L
.65704 .47408 L
.6576 .47342 L
.66112 .46859 L
.66187 .46811 L
.66578 .46376 L
.6667 .46205 L
.67046 .45893 L
F
0 .74 1 r
.69086 .47155 m
.69569 .46874 L
.69588 .47342 L
.69569 .47383 L
.69351 .47826 L
.69086 .4829 L
.69075 .48309 L
.68834 .48792 L
.68603 .49051 L
.68456 .49275 L
.68123 .49758 L
.68119 .4977 L
.67795 .50242 L
.67636 .50487 L
.6756 .50725 L
.67153 .51182 L
.67094 .51208 L
.66727 .51691 L
.6667 .51791 L
.66418 .52174 L
.66187 .52459 L
.6602 .52658 L
.65704 .53108 L
.65656 .53141 L
.6529 .53624 L
.6522 .53713 L
.6499 .54107 L
.64737 .54349 L
.6453 .5459 L
.64254 .54983 L
.64144 .55073 L
.63771 .55536 L
.63752 .55557 L
.63395 .5604 L
.63288 .56104 L
.6289 .56523 L
.62804 .56643 L
.62358 .57006 L
.62321 .57037 L
.62071 .57006 L
.62202 .56523 L
.62321 .56288 L
.62458 .5604 L
.62727 .55557 L
.62804 .55402 L
.63054 .55073 L
.63288 .54724 L
.63379 .5459 L
.63713 .54107 L
.63771 .54007 L
.63991 .53624 L
.64254 .53276 L
.64403 .53141 L
.64737 .52677 L
.64752 .52658 L
.65095 .52174 L
.6522 .52007 L
.65346 .51691 L
.65704 .5133 L
.65834 .51208 L
.66187 .50735 L
.66195 .50725 L
.66532 .50242 L
.6667 .50094 L
.66945 .49758 L
.67153 .49447 L
.67326 .49275 L
.67636 .48876 L
.67709 .48792 L
.68089 .48309 L
.68119 .48285 L
.68523 .47826 L
.68603 .4771 L
.6898 .47342 L
F
1 .54 0 r
.62321 .45991 m
.6252 .46376 L
.62321 .46633 L
.6208 .46376 L
F
1 .64 0 r
.62321 .54149 m
.62772 .5459 L
.62321 .55036 L
.62087 .5459 L
F
1 .4 0 r
.62804 .49387 m
.63219 .49758 L
.6281 .50242 L
.62804 .50254 L
.62332 .50725 L
.62321 .50736 L
.62094 .50725 L
.6228 .50242 L
.62321 .50169 L
.62572 .49758 L
F
0 .48 1 r
.62321 .52182 m
.62517 .52658 L
.62321 .5285 L
.62101 .52658 L
F
.62321 .4798 m
.62725 .48309 L
.62321 .48788 L
.62116 .48309 L
F
1 .62 0 r
.62321 .54199 m
.62735 .5459 L
.62321 .54981 L
.62124 .5459 L
F
1 .52 0 r
.62321 .46055 m
.62475 .46376 L
.62321 .46574 L
.62129 .46376 L
F
0 .46 1 r
.62321 .4802 m
.62696 .48309 L
.62321 .48748 L
.62145 .48309 L
F
0 .92 1 r
.62321 .60427 m
.62731 .60872 L
.62321 .61169 L
.62146 .60872 L
F
0 .46 1 r
.62321 .52235 m
.62474 .52658 L
.62321 .52799 L
.62147 .52658 L
F
0 .88 1 r
.62321 .39916 m
.62429 .40095 L
.62321 .40307 L
.62164 .40095 L
F
1 .6 0 r
.62321 .54256 m
.62694 .5459 L
.62321 .54921 L
.62164 .5459 L
F
0 .44 1 r
.62321 .48065 m
.62663 .48309 L
.62321 .48703 L
.62176 .48309 L
F
1 .84 0 r
.70052 .47987 m
.70499 .48309 L
.70253 .48792 L
.70052 .49127 L
.69965 .49275 L
.69643 .49758 L
.69569 .49923 L
.69381 .50242 L
.69086 .50694 L
.69009 .50725 L
.68628 .51208 L
.68603 .51306 L
.68318 .51691 L
.68119 .51998 L
.68048 .52174 L
.67636 .52649 L
.67622 .52658 L
.67234 .53141 L
.67153 .53293 L
.66928 .53624 L
.6667 .53953 L
.66543 .54107 L
.66187 .54585 L
.66179 .5459 L
.65805 .55073 L
.65704 .55212 L
.65503 .55557 L
.6522 .5585 L
.65061 .5604 L
.64737 .56473 L
.64682 .56523 L
.64304 .57006 L
.64254 .57056 L
.63996 .57489 L
.63771 .57644 L
.63472 .57973 L
.63288 .58217 L
.63018 .58456 L
.62804 .5882 L
.62456 .58939 L
.62321 .59026 L
.62182 .58939 L
.62285 .58456 L
.62321 .58421 L
.62555 .57973 L
.62804 .57546 L
.62839 .57489 L
.63114 .57006 L
.63288 .56683 L
.63471 .56523 L
.63771 .56087 L
.63804 .5604 L
.64146 .55557 L
.64254 .55377 L
.64418 .55073 L
.64737 .54665 L
.64844 .5459 L
.65204 .54107 L
.6522 .54071 L
.65534 .53624 L
.65704 .534 L
.65775 .53141 L
.66187 .52731 L
.66278 .52658 L
.66639 .52174 L
.6667 .52131 L
.66958 .51691 L
.67153 .51482 L
.67381 .51208 L
.67636 .50831 L
.67753 .50725 L
.68119 .50246 L
.68123 .50242 L
.68445 .49758 L
.68603 .4963 L
.68908 .49275 L
.69086 .49015 L
.69317 .48792 L
.69569 .48375 L
.69749 .48309 L
F
1 .5 0 r
.62321 .46137 m
.62418 .46376 L
.62321 .46499 L
.62192 .46376 L
F
0 .44 1 r
.62321 .52299 m
.6242 .52658 L
.62321 .52739 L
.62204 .52658 L
F
1 .58 0 r
.62321 .54323 m
.62645 .5459 L
.62321 .54851 L
.62209 .5459 L
F
0 .42 1 r
.62321 .48115 m
.62626 .48309 L
.62321 .48652 L
.6221 .48309 L
F
1 .96 0 r
.72468 .4898 m
.72833 .49275 L
.72697 .49758 L
.72468 .5006 L
.72374 .50242 L
.72026 .50725 L
.71985 .50909 L
.71761 .51208 L
.71502 .5167 L
.71488 .51691 L
.7113 .52174 L
.71019 .52328 L
.70724 .52658 L
.70535 .53021 L
.70442 .53141 L
.70093 .53624 L
.70052 .5367 L
.69611 .54107 L
.69569 .54334 L
.69353 .5459 L
.69086 .54997 L
.69041 .55073 L
.6867 .55557 L
.68603 .55628 L
.68232 .5604 L
.68119 .56282 L
.67942 .56523 L
.67636 .56936 L
.67623 .57006 L
.67221 .57489 L
.67153 .57556 L
.66819 .57973 L
.6667 .58201 L
.66515 .58456 L
.66187 .58848 L
.66116 .58939 L
.65717 .59422 L
.65704 .5946 L
.65372 .59905 L
.6522 .60083 L
.65076 .60388 L
.64737 .60708 L
.64604 .60872 L
.64254 .61311 L
.64212 .61355 L
.63815 .61838 L
.63771 .61872 L
.63466 .62321 L
.63288 .62409 L
.62877 .62804 L
.62804 .62881 L
.62321 .63157 L
.62235 .62804 L
.62321 .62575 L
.62438 .62321 L
.62681 .61838 L
.62804 .61668 L
.62997 .61355 L
.63288 .60912 L
.63314 .60872 L
.63658 .60388 L
.63771 .60157 L
.63936 .59905 L
.64254 .59528 L
.6433 .59422 L
.64709 .58939 L
.64737 .58849 L
.65026 .58456 L
.6522 .58157 L
.653 .57973 L
.65704 .57496 L
.65746 .57489 L
.66119 .57006 L
.66187 .56885 L
.66428 .56523 L
.6667 .56216 L
.66829 .5604 L
.67153 .55572 L
.67187 .55557 L
.67546 .55073 L
.67636 .54951 L
.6784 .5459 L
.68119 .54292 L
.68283 .54107 L
.68603 .53652 L
.68643 .53624 L
.68991 .53141 L
.69086 .53036 L
.69255 .52658 L
.69569 .52389 L
.69756 .52174 L
.70052 .51751 L
.70125 .51691 L
.70481 .51208 L
.70535 .5116 L
.70892 .50725 L
.71019 .50545 L
.71291 .50242 L
.71502 .49938 L
.71704 .49758 L
.71985 .49315 L
.72155 .49275 L
F
0 .4 1 r
.62321 .48174 m
.62581 .48309 L
.62321 .48589 L
.62248 .48309 L
F
0 .72 1 r
.69086 .4724 m
.6952 .47342 L
.69311 .47826 L
.69086 .48236 L
.69043 .48309 L
.68808 .48792 L
.68603 .49017 L
.68435 .49275 L
.68119 .49742 L
.68109 .49758 L
.6778 .50242 L
.67636 .50465 L
.67551 .50725 L
.67153 .51174 L
.67081 .51208 L
.66717 .51691 L
.6667 .51774 L
.66406 .52174 L
.66187 .52442 L
.66007 .52658 L
.65704 .53099 L
.65642 .53141 L
.65276 .53624 L
.6522 .53695 L
.64973 .54107 L
.64737 .5433 L
.64514 .5459 L
.64254 .54965 L
.64124 .55073 L
.63771 .55508 L
.63727 .55557 L
.63334 .5604 L
.63288 .56067 L
.62847 .56523 L
.62804 .56582 L
.62321 .56938 L
.62254 .56523 L
.62321 .56375 L
.62494 .5604 L
.62759 .55557 L
.62804 .55464 L
.63075 .55073 L
.63288 .54754 L
.63398 .5459 L
.63728 .54107 L
.63771 .54033 L
.64006 .53624 L
.64254 .53293 L
.64416 .53141 L
.64737 .52694 L
.64765 .52658 L
.65107 .52174 L
.6522 .52023 L
.65357 .51691 L
.65704 .51343 L
.65846 .51208 L
.66187 .50751 L
.66208 .50725 L
.66547 .50242 L
.6667 .50112 L
.66959 .49758 L
.67153 .49465 L
.67342 .49275 L
.67636 .48899 L
.67729 .48792 L
.68119 .48314 L
.68124 .48309 L
.68552 .47826 L
.68603 .47752 L
.69027 .47342 L
F
1 .56 0 r
.62321 .54411 m
.62584 .5459 L
.62321 .5476 L
.62261 .5459 L
F
0 .38 1 r
.62321 .48252 m
.62521 .48309 L
.62321 .48502 L
.62294 .48309 L
F
1 .78 0 r
.62321 .41995 m
.625 .42027 L
.62321 .42361 L
.62296 .42027 L
F
0 .42 1 r
.62321 .52392 m
.62329 .52658 L
.62321 .52662 L
.62309 .52658 L
F
1 .38 0 r
.62321 .5022 m
.62779 .50242 L
.62321 .50678 L
.6231 .50242 L
F
0 .7 1 r
.62321 .56499 m
.62796 .56523 L
.62321 .56787 L
.62312 .56523 L
F
1 .48 0 r
.62321 .46295 m
.62321 .46376 L
.62321 .46376 L
.62321 .46376 L
F
0 .48 1 r
.67153 .45826 m
.6742 .45893 L
.67224 .46376 L
.67153 .46503 L
.6694 .46859 L
.6667 .47298 L
.6664 .47342 L
.66317 .47826 L
.66187 .48016 L
.65979 .48309 L
.65704 .48703 L
.65637 .48792 L
.65321 .49275 L
.6522 .4939 L
.64925 .49758 L
.64737 .5013 L
.64556 .50242 L
.64254 .50643 L
.64186 .50725 L
.6384 .51208 L
.63771 .51264 L
.63405 .51691 L
.63288 .5191 L
.62983 .52174 L
.62804 .52384 L
.62326 .52174 L
.62615 .51691 L
.62804 .51391 L
.62926 .51208 L
.6323 .50725 L
.63288 .50644 L
.63585 .50242 L
.63771 .4998 L
.63933 .49758 L
.64254 .49313 L
.64283 .49275 L
.64583 .48792 L
.64737 .48638 L
.65015 .48309 L
.6522 .47912 L
.65394 .47826 L
.65704 .47427 L
.65777 .47342 L
.66152 .46859 L
.66187 .46837 L
.66601 .46376 L
.6667 .46246 L
.67086 .45893 L
F
0 .92 1 r
.71502 .48183 m
.71857 .48309 L
.71711 .48792 L
.71502 .49205 L
.71466 .49275 L
.71192 .49758 L
.71019 .50168 L
.70892 .50242 L
.70575 .50725 L
.70535 .50783 L
.702 .51208 L
.70052 .5151 L
.69924 .51691 L
.69569 .52172 L
.69565 .52174 L
.69126 .52658 L
.69086 .5284 L
.68846 .53141 L
.68603 .53512 L
.68547 .53624 L
.68157 .54107 L
.68119 .54149 L
.67741 .5459 L
.67636 .54801 L
.67443 .55073 L
.67153 .55456 L
.67151 .55557 L
.6671 .5604 L
.6667 .56081 L
.66322 .56523 L
.66187 .5672 L
.66019 .57006 L
.65704 .57362 L
.65601 .57489 L
.65224 .57973 L
.6522 .57981 L
.64858 .58456 L
.64737 .58588 L
.64568 .58939 L
.64254 .592 L
.64064 .59422 L
.63771 .59794 L
.63655 .59905 L
.63288 .60367 L
.63223 .60388 L
.62804 .60813 L
.62341 .60388 L
.62443 .59905 L
.62804 .59579 L
.62902 .59422 L
.63226 .58939 L
.63288 .58801 L
.63503 .58456 L
.63771 .58134 L
.63883 .57973 L
.64244 .57489 L
.64254 .57446 L
.64575 .57006 L
.64737 .56748 L
.64849 .56523 L
.6522 .56067 L
.65284 .5604 L
.65656 .55557 L
.65704 .55464 L
.65972 .55073 L
.66187 .54795 L
.6621 .5459 L
.6667 .54141 L
.66722 .54107 L
.67084 .53624 L
.67153 .53528 L
.67388 .53141 L
.67636 .52872 L
.6782 .52658 L
.68119 .52226 L
.68184 .52174 L
.68541 .51691 L
.68603 .51623 L
.68825 .51208 L
.69086 .50986 L
.6931 .50725 L
.69569 .50352 L
.69691 .50242 L
.70052 .49784 L
.70075 .49758 L
.70483 .49275 L
.70535 .49204 L
.7092 .48792 L
.71019 .48653 L
.71424 .48309 L
F
1 .64 0 r
.68119 .46452 m
.68463 .46859 L
.68244 .47342 L
.68119 .47466 L
.67894 .47826 L
.67636 .48221 L
.67577 .48309 L
.67263 .48792 L
.67153 .48963 L
.67071 .49275 L
.6667 .49723 L
.66564 .49758 L
.66213 .50242 L
.66187 .50284 L
.65904 .50725 L
.65704 .50963 L
.65496 .51208 L
.6522 .51641 L
.65131 .51691 L
.64768 .52174 L
.64737 .52212 L
.64469 .52658 L
.64254 .52848 L
.63999 .53141 L
.63771 .53495 L
.63605 .53624 L
.63288 .54013 L
.632 .54107 L
.62804 .54559 L
.62346 .54107 L
.62464 .53624 L
.62804 .53373 L
.62958 .53141 L
.63282 .52658 L
.63288 .52648 L
.63572 .52174 L
.63771 .51904 L
.63966 .51691 L
.64254 .5129 L
.64315 .51208 L
.64662 .50725 L
.64737 .50622 L
.64927 .50242 L
.6522 .49943 L
.65396 .49758 L
.65704 .49349 L
.65763 .49275 L
.66117 .48792 L
.66187 .48719 L
.66519 .48309 L
.6667 .48083 L
.66912 .47826 L
.67153 .4742 L
.67315 .47342 L
.67636 .46962 L
.67737 .46859 L
F
1 .56 0 r
.63288 .44626 m
.6366 .44927 L
.6332 .4541 L
.63288 .45456 L
.62946 .45893 L
.62804 .46087 L
.62353 .45893 L
.62697 .4541 L
.62804 .45261 L
.63063 .44927 L
F
0 .46 1 r
.66187 .46863 m
.66621 .47342 L
.66302 .47826 L
.66187 .47995 L
.65965 .48309 L
.65704 .48685 L
.65624 .48792 L
.65304 .49275 L
.6522 .4937 L
.64913 .49758 L
.64737 .50115 L
.64543 .50242 L
.64254 .50625 L
.64172 .50725 L
.63813 .51208 L
.63771 .51242 L
.63388 .51691 L
.63288 .51881 L
.6296 .52174 L
.62804 .52355 L
.62355 .52174 L
.62635 .51691 L
.62804 .5142 L
.62944 .51208 L
.6325 .50725 L
.63288 .50672 L
.63599 .50242 L
.63771 .49998 L
.63946 .49758 L
.64254 .4933 L
.64296 .49275 L
.64601 .48792 L
.64737 .48658 L
.65028 .48309 L
.6522 .47927 L
.65408 .47826 L
.65704 .47447 L
.65794 .47342 L
F
0 .54 1 r
.6522 .4412 m
.65566 .44443 L
.65275 .44927 L
.6522 .45011 L
.64947 .4541 L
.64737 .45722 L
.64612 .45893 L
.6429 .46376 L
.64254 .46416 L
.63913 .46859 L
.63771 .47056 L
.63546 .47342 L
.63288 .4769 L
.63175 .47826 L
.62804 .48305 L
.62355 .47826 L
.62689 .47342 L
.62804 .47076 L
.63039 .46859 L
.63288 .46516 L
.63395 .46376 L
.63747 .45893 L
.63771 .45869 L
.64135 .4541 L
.64254 .45185 L
.64529 .44927 L
.64737 .44668 L
.64941 .44443 L
F
0 .9 1 r
.62804 .39119 m
.63197 .39128 L
.62923 .39612 L
.62804 .39812 L
.62362 .39612 L
.62796 .39128 L
F
1 .62 0 r
.68119 .46495 m
.68428 .46859 L
.68206 .47342 L
.68119 .47427 L
.67874 .47826 L
.67636 .48194 L
.6756 .48309 L
.67247 .48792 L
.67153 .48939 L
.67059 .49275 L
.6667 .49713 L
.66552 .49758 L
.66203 .50242 L
.66187 .50268 L
.65891 .50725 L
.65704 .50947 L
.65485 .51208 L
.6522 .51632 L
.65119 .51691 L
.64755 .52174 L
.64737 .52196 L
.64451 .52658 L
.64254 .5283 L
.63984 .53141 L
.63771 .53478 L
.63587 .53624 L
.63288 .53988 L
.63176 .54107 L
.62804 .54525 L
.62374 .54107 L
.62496 .53624 L
.62804 .53402 L
.62975 .53141 L
.63288 .52671 L
.63297 .52658 L
.63586 .52174 L
.63771 .51923 L
.63978 .51691 L
.64254 .51306 L
.64327 .51208 L
.64673 .50725 L
.64737 .50638 L
.64939 .50242 L
.6522 .49957 L
.65408 .49758 L
.65704 .49364 L
.65775 .49275 L
.66133 .48792 L
.66187 .48736 L
.66533 .48309 L
.6667 .48102 L
.66929 .47826 L
.67153 .47437 L
.67337 .47342 L
.67636 .46991 L
.67769 .46859 L
F
0 .52 1 r
.6522 .4416 m
.65533 .44443 L
.65252 .44927 L
.6522 .44976 L
.64926 .4541 L
.64737 .45694 L
.64593 .45893 L
.64261 .46376 L
.64254 .46384 L
.63897 .46859 L
.63771 .47033 L
.63528 .47342 L
.63288 .47666 L
.63155 .47826 L
.62804 .48278 L
.62378 .47826 L
.62709 .47342 L
.62804 .47114 L
.63058 .46859 L
.63288 .46542 L
.63415 .46376 L
.63771 .45898 L
.63775 .45893 L
.64156 .4541 L
.64254 .4522 L
.64553 .44927 L
.64737 .44699 L
.64973 .44443 L
F
0 .44 1 r
.66187 .46887 m
.66602 .47342 L
.66287 .47826 L
.66187 .47974 L
.65951 .48309 L
.65704 .48666 L
.6561 .48792 L
.65287 .49275 L
.6522 .4935 L
.64901 .49758 L
.64737 .50097 L
.6453 .50242 L
.64254 .50608 L
.64157 .50725 L
.63785 .51208 L
.63771 .51219 L
.6337 .51691 L
.63288 .5185 L
.62935 .52174 L
.62804 .52324 L
.62386 .52174 L
.62656 .51691 L
.62804 .51449 L
.62961 .51208 L
.63271 .50725 L
.63288 .50701 L
.63612 .50242 L
.63771 .50017 L
.6396 .49758 L
.64254 .49348 L
.6431 .49275 L
.64621 .48792 L
.64737 .48677 L
.65042 .48309 L
.6522 .47944 L
.65423 .47826 L
.65704 .47467 L
.65812 .47342 L
F
1 .84 0 r
.63288 .4047 m
.63759 .40578 L
.63449 .41061 L
.63288 .41318 L
.63127 .41544 L
.62804 .42026 L
.6239 .41544 L
.62777 .41061 L
.62804 .41017 L
.63195 .40578 L
F
1 .54 0 r
.63288 .44672 m
.63624 .44927 L
.63292 .4541 L
.63288 .45417 L
.62915 .45893 L
.62804 .46045 L
.62393 .45893 L
.6273 .4541 L
.62804 .45306 L
.63098 .44927 L
F
1 .82 0 r
.70052 .48069 m
.70418 .48309 L
.70198 .48792 L
.70052 .49047 L
.69923 .49275 L
.69616 .49758 L
.69569 .49865 L
.69356 .50242 L
.69086 .50675 L
.68984 .50725 L
.6862 .51208 L
.68603 .51275 L
.68301 .51691 L
.68119 .51973 L
.68038 .52174 L
.67636 .52638 L
.67605 .52658 L
.67223 .53141 L
.67153 .53272 L
.66914 .53624 L
.6667 .53933 L
.66527 .54107 L
.66187 .54571 L
.66163 .5459 L
.6579 .55073 L
.65704 .5519 L
.65485 .55557 L
.6522 .55826 L
.6504 .5604 L
.64737 .56451 L
.64657 .56523 L
.64272 .57006 L
.64254 .57023 L
.63941 .57489 L
.63771 .57601 L
.63426 .57973 L
.63288 .58158 L
.62943 .58456 L
.62804 .58705 L
.62396 .58456 L
.62609 .57973 L
.62804 .57619 L
.62881 .57489 L
.63149 .57006 L
.63288 .56738 L
.63497 .56523 L
.63771 .5612 L
.63826 .5604 L
.64164 .55557 L
.64254 .55405 L
.64433 .55073 L
.64737 .5468 L
.6486 .5459 L
.65213 .54107 L
.6522 .54091 L
.65547 .53624 L
.65704 .53418 L
.65785 .53141 L
.66187 .52744 L
.66291 .52658 L
.66652 .52174 L
.6667 .52149 L
.66974 .51691 L
.67153 .51501 L
.67396 .51208 L
.67636 .50848 L
.6777 .50725 L
.68119 .5027 L
.68144 .50242 L
.6848 .49758 L
.68603 .49661 L
.68936 .49275 L
.69086 .49053 L
.69356 .48792 L
.69569 .48418 L
.69812 .48309 L
F
0 .5 1 r
.63771 .45925 m
.64239 .46376 L
.63879 .46859 L
.63771 .4701 L
.63509 .47342 L
.63288 .47641 L
.63134 .47826 L
.62804 .4825 L
.62402 .47826 L
.62729 .47342 L
.62804 .47157 L
.63078 .46859 L
.63288 .46568 L
.63436 .46376 L
F
1 .6 0 r
.68119 .46541 m
.68391 .46859 L
.68164 .47342 L
.68119 .47386 L
.67854 .47826 L
.67636 .48166 L
.67542 .48309 L
.67231 .48792 L
.67153 .48914 L
.67046 .49275 L
.6667 .49702 L
.66539 .49758 L
.66192 .50242 L
.66187 .5025 L
.65878 .50725 L
.65704 .50931 L
.65473 .51208 L
.6522 .51623 L
.65107 .51691 L
.64741 .52174 L
.64737 .52179 L
.64431 .52658 L
.64254 .52811 L
.63969 .53141 L
.63771 .53459 L
.63568 .53624 L
.63288 .53963 L
.6315 .54107 L
.62804 .54491 L
.62403 .54107 L
.62532 .53624 L
.62804 .53433 L
.62993 .53141 L
.63288 .52694 L
.63313 .52658 L
.63602 .52174 L
.63771 .51943 L
.63991 .51691 L
.64254 .51323 L
.64339 .51208 L
.64685 .50725 L
.64737 .50654 L
.64952 .50242 L
.6522 .49972 L
.6542 .49758 L
.65704 .4938 L
.65788 .49275 L
.66149 .48792 L
.66187 .48753 L
.66547 .48309 L
.6667 .48122 L
.66946 .47826 L
.67153 .47456 L
.6736 .47342 L
.67636 .47021 L
.67803 .46859 L
F
0 .42 1 r
.63288 .5073 m
.63761 .51208 L
.63352 .51691 L
.63288 .51816 L
.62909 .52174 L
.62804 .52292 L
.6242 .52174 L
.62677 .51691 L
.62804 .51481 L
.6298 .51208 L
F
0 .48 1 r
.63771 .45953 m
.64218 .46376 L
.63862 .46859 L
.63771 .46986 L
.6349 .47342 L
.63288 .47616 L
.63112 .47826 L
.62804 .48221 L
.62427 .47826 L
.6275 .47342 L
.62804 .47204 L
.63098 .46859 L
.63288 .46596 L
.63457 .46376 L
F
1 .58 0 r
.67636 .47051 m
.68119 .47342 L
.67833 .47826 L
.67636 .48137 L
.67524 .48309 L
.67214 .48792 L
.67153 .48888 L
.67032 .49275 L
.6667 .49688 L
.66526 .49758 L
.66187 .50233 L
.6618 .50242 L
.65865 .50725 L
.65704 .50915 L
.65461 .51208 L
.6522 .51612 L
.65094 .51691 L
.64737 .52162 L
.64727 .52174 L
.64411 .52658 L
.64254 .52792 L
.63953 .53141 L
.63771 .53439 L
.63548 .53624 L
.63288 .53937 L
.63123 .54107 L
.62804 .54455 L
.62433 .54107 L
.62572 .53624 L
.62804 .53464 L
.63011 .53141 L
.63288 .52718 L
.63329 .52658 L
.63618 .52174 L
.63771 .51965 L
.64003 .51691 L
.64254 .5134 L
.64351 .51208 L
.64697 .50725 L
.64737 .50671 L
.64966 .50242 L
.6522 .49987 L
.65431 .49758 L
.65704 .49396 L
.65801 .49275 L
.66166 .48792 L
.66187 .48771 L
.66562 .48309 L
.6667 .48143 L
.66964 .47826 L
.67153 .47478 L
.67383 .47342 L
F
1 .52 0 r
.62804 .45356 m
.63253 .4541 L
.6288 .45893 L
.62804 .45999 L
.62439 .45893 L
.62766 .4541 L
F
0 .46 1 r
.63771 .45981 m
.64196 .46376 L
.63843 .46859 L
.63771 .4696 L
.6347 .47342 L
.63288 .47589 L
.63088 .47826 L
.62804 .4819 L
.62453 .47826 L
.62771 .47342 L
.62804 .47257 L
.63119 .46859 L
.63288 .46624 L
.63479 .46376 L
F
0 .4 1 r
.63288 .50754 m
.63743 .51208 L
.63333 .51691 L
.63288 .5178 L
.6288 .52174 L
.62804 .52258 L
.62459 .52174 L
.627 .51691 L
.62804 .51514 L
.62999 .51208 L
F
1 .56 0 r
.67636 .47083 m
.68089 .47342 L
.67811 .47826 L
.67636 .48106 L
.67506 .48309 L
.67197 .48792 L
.67153 .48861 L
.67016 .49275 L
.6667 .49673 L
.66513 .49758 L
.66187 .50216 L
.66168 .50242 L
.65851 .50725 L
.65704 .50898 L
.65449 .51208 L
.6522 .51601 L
.65082 .51691 L
.64737 .52146 L
.64714 .52174 L
.6439 .52658 L
.64254 .52773 L
.63937 .53141 L
.63771 .53417 L
.63528 .53624 L
.63288 .5391 L
.63094 .54107 L
.62804 .54417 L
.62465 .54107 L
.62618 .53624 L
.62804 .53498 L
.6303 .53141 L
.63288 .52743 L
.63346 .52658 L
.63635 .52174 L
.63771 .51988 L
.64016 .51691 L
.64254 .51356 L
.64364 .51208 L
.6471 .50725 L
.64737 .50688 L
.64981 .50242 L
.6522 .50003 L
.65443 .49758 L
.65704 .49411 L
.65813 .49275 L
.66184 .48792 L
.66187 .48789 L
.66576 .48309 L
.6667 .48165 L
.66982 .47826 L
.67153 .47503 L
.67408 .47342 L
F
1 .82 0 r
.62804 .41138 m
.63051 .41544 L
.62804 .41932 L
.62475 .41544 L
F
0 .44 1 r
.63771 .46011 m
.64173 .46376 L
.63825 .46859 L
.63771 .46934 L
.63449 .47342 L
.63288 .47561 L
.63064 .47826 L
.62804 .48158 L
.6248 .47826 L
.62794 .47342 L
.62804 .47315 L
.63141 .46859 L
.63288 .46654 L
.63501 .46376 L
F
0 .9 1 r
.71019 .48803 m
.71356 .49275 L
.71113 .49758 L
.71019 .50025 L
.70827 .50242 L
.70535 .50697 L
.70518 .50725 L
.70164 .51208 L
.70052 .51451 L
.69892 .51691 L
.69569 .52154 L
.69532 .52174 L
.69114 .52658 L
.69086 .52801 L
.68821 .53141 L
.68603 .5348 L
.68532 .53624 L
.68132 .54107 L
.68119 .54121 L
.67725 .5459 L
.67636 .54772 L
.67423 .55073 L
.67153 .55428 L
.67149 .55557 L
.66687 .5604 L
.6667 .56057 L
.66302 .56523 L
.66187 .56689 L
.65997 .57006 L
.65704 .57328 L
.65572 .57489 L
.6522 .57948 L
.65196 .57973 L
.6482 .58456 L
.64737 .58542 L
.64516 .58939 L
.64254 .5914 L
.64005 .59422 L
.63771 .59721 L
.63573 .59905 L
.63288 .60312 L
.63092 .60388 L
.62804 .60643 L
.62486 .60388 L
.62572 .59905 L
.62804 .59709 L
.6297 .59422 L
.6327 .58939 L
.63288 .58897 L
.63543 .58456 L
.63771 .58187 L
.63918 .57973 L
.64254 .5749 L
.64254 .57489 L
.64598 .57006 L
.64737 .56782 L
.64865 .56523 L
.6522 .5608 L
.65304 .5604 L
.65669 .55557 L
.65704 .5549 L
.65989 .55073 L
.66187 .54817 L
.66219 .5459 L
.6667 .54153 L
.6674 .54107 L
.671 .53624 L
.67153 .5355 L
.67406 .53141 L
.67636 .52896 L
.67839 .52658 L
.68119 .52245 L
.68206 .52174 L
.68567 .51691 L
.68603 .51652 L
.6886 .51208 L
.69086 .51022 L
.69342 .50725 L
.69569 .5039 L
.69732 .50242 L
.70052 .49843 L
.7013 .49758 L
.70535 .4929 L
.7055 .49275 L
F
1 .5 0 r
.62804 .45413 m
.62842 .45893 L
.62804 .45945 L
.62494 .45893 L
F
1 .54 0 r
.67636 .47117 m
.68057 .47342 L
.67789 .47826 L
.67636 .48075 L
.67487 .48309 L
.67178 .48792 L
.67153 .48832 L
.66998 .49275 L
.6667 .49655 L
.665 .49758 L
.66187 .50199 L
.66155 .50242 L
.65837 .50725 L
.65704 .5088 L
.65438 .51208 L
.6522 .51589 L
.65069 .51691 L
.64737 .52129 L
.647 .52174 L
.64367 .52658 L
.64254 .52752 L
.63921 .53141 L
.63771 .53394 L
.63507 .53624 L
.63288 .53883 L
.63063 .54107 L
.62804 .54377 L
.625 .54107 L
.62669 .53624 L
.62804 .53533 L
.63049 .53141 L
.63288 .52768 L
.63362 .52658 L
.63653 .52174 L
.63771 .52011 L
.64029 .51691 L
.64254 .51374 L
.64376 .51208 L
.64722 .50725 L
.64737 .50705 L
.64996 .50242 L
.6522 .50019 L
.65455 .49758 L
.65704 .49427 L
.65827 .49275 L
.66187 .48807 L
.66199 .48792 L
.66591 .48309 L
.6667 .48187 L
.67001 .47826 L
.67153 .47531 L
.67435 .47342 L
F
0 .38 1 r
.63288 .5078 m
.63724 .51208 L
.63313 .51691 L
.63288 .51741 L
.62849 .52174 L
.62804 .52222 L
.62504 .52174 L
.62723 .51691 L
.62804 .5155 L
.63018 .51208 L
F
0 .42 1 r
.62804 .47363 m
.63037 .47826 L
.62804 .48123 L
.6251 .47826 L
F
1 .8 0 r
.70052 .48162 m
.70323 .48309 L
.70141 .48792 L
.70052 .48957 L
.6988 .49275 L
.69587 .49758 L
.69569 .49801 L
.69329 .50242 L
.69086 .50649 L
.68959 .50725 L
.68612 .51208 L
.68603 .51243 L
.68283 .51691 L
.68119 .51948 L
.68028 .52174 L
.67636 .52627 L
.67588 .52658 L
.67211 .53141 L
.67153 .53251 L
.66899 .53624 L
.6667 .53913 L
.66511 .54107 L
.66187 .54557 L
.66146 .5459 L
.65775 .55073 L
.65704 .55168 L
.65466 .55557 L
.6522 .55801 L
.65019 .5604 L
.64737 .56428 L
.64632 .56523 L
.64254 .5699 L
.64239 .57006 L
.63877 .57489 L
.63771 .57556 L
.63376 .57973 L
.63288 .58091 L
.62848 .58456 L
.62804 .58531 L
.62524 .58456 L
.62667 .57973 L
.62804 .57704 L
.62924 .57489 L
.63187 .57006 L
.63288 .56804 L
.63524 .56523 L
.63771 .56154 L
.63849 .5604 L
.64182 .55557 L
.64254 .55435 L
.64449 .55073 L
.64737 .54698 L
.64875 .5459 L
.6522 .54112 L
.65224 .54107 L
.65561 .53624 L
.65704 .53437 L
.65796 .53141 L
.66187 .52757 L
.66305 .52658 L
.66665 .52174 L
.6667 .52167 L
.66991 .51691 L
.67153 .5152 L
.67412 .51208 L
.67636 .50867 L
.67788 .50725 L
.68119 .50295 L
.68165 .50242 L
.68518 .49758 L
.68603 .49692 L
.68966 .49275 L
.69086 .49095 L
.69399 .48792 L
.69569 .48476 L
.6989 .48309 L
F
0 .7 1 r
.69086 .4734 m
.6943 .47342 L
.69269 .47826 L
.69086 .48176 L
.69011 .48309 L
.68778 .48792 L
.68603 .48981 L
.68414 .49275 L
.68119 .49715 L
.6809 .49758 L
.67765 .50242 L
.67636 .50442 L
.67541 .50725 L
.67153 .51164 L
.67067 .51208 L
.66707 .51691 L
.6667 .51756 L
.66393 .52174 L
.66187 .52426 L
.65994 .52658 L
.65704 .53088 L
.65628 .53141 L
.65263 .53624 L
.6522 .53677 L
.64956 .54107 L
.64737 .5431 L
.64497 .5459 L
.64254 .54946 L
.64103 .55073 L
.63771 .5548 L
.637 .55557 L
.63288 .56029 L
.63276 .5604 L
.62804 .56516 L
.62532 .5604 L
.62794 .55557 L
.62804 .55535 L
.63098 .55073 L
.63288 .54784 L
.63417 .5459 L
.63743 .54107 L
.63771 .54059 L
.64021 .53624 L
.64254 .53311 L
.64429 .53141 L
.64737 .52712 L
.64778 .52658 L
.65119 .52174 L
.6522 .5204 L
.65368 .51691 L
.65704 .51357 L
.65858 .51208 L
.66187 .50767 L
.66221 .50725 L
.66563 .50242 L
.6667 .50129 L
.66973 .49758 L
.67153 .49483 L
.67359 .49275 L
.67636 .48921 L
.67749 .48792 L
.68119 .48342 L
.68151 .48309 L
.68583 .47826 L
.68603 .47797 L
.69084 .47342 L
F
1 .52 0 r
.67636 .47152 m
.68022 .47342 L
.67767 .47826 L
.67636 .48041 L
.67468 .48309 L
.67159 .48792 L
.67153 .48802 L
.66979 .49275 L
.6667 .49636 L
.66487 .49758 L
.66187 .50182 L
.66142 .50242 L
.65822 .50725 L
.65704 .50862 L
.65425 .51208 L
.6522 .51575 L
.65056 .51691 L
.64737 .52112 L
.64685 .52174 L
.64343 .52658 L
.64254 .52732 L
.63904 .53141 L
.63771 .53369 L
.63485 .53624 L
.63288 .53855 L
.63028 .54107 L
.62804 .54334 L
.62537 .54107 L
.62725 .53624 L
.62804 .53571 L
.63068 .53141 L
.63288 .52794 L
.63379 .52658 L
.63672 .52174 L
.63771 .52037 L
.64042 .51691 L
.64254 .51391 L
.64389 .51208 L
.64736 .50725 L
.64737 .50723 L
.65012 .50242 L
.6522 .50036 L
.65467 .49758 L
.65704 .49444 L
.6584 .49275 L
.66187 .48825 L
.66215 .48792 L
.66607 .48309 L
.6667 .4821 L
.6702 .47826 L
.67153 .47563 L
.67463 .47342 L
F
0 .4 1 r
.62804 .47404 m
.63008 .47826 L
.62804 .48086 L
.62541 .47826 L
F
0 .36 1 r
.63288 .50806 m
.63704 .51208 L
.63292 .51691 L
.63288 .517 L
.62812 .52174 L
.62804 .52182 L
.62562 .52174 L
.62748 .51691 L
.62804 .5159 L
.63038 .51208 L
F
0 .68 1 r
.62804 .55594 m
.63237 .5604 L
.62804 .56458 L
.62573 .5604 L
F
0 .38 1 r
.62804 .47448 m
.62976 .47826 L
.62804 .48044 L
.62577 .47826 L
F
1 .5 0 r
.67636 .47189 m
.67984 .47342 L
.67743 .47826 L
.67636 .48006 L
.67449 .48309 L
.67153 .48775 L
.67141 .48792 L
.66958 .49275 L
.6667 .49614 L
.66473 .49758 L
.66187 .50164 L
.66129 .50242 L
.65807 .50725 L
.65704 .50844 L
.65413 .51208 L
.6522 .51561 L
.65043 .51691 L
.64737 .52094 L
.64671 .52174 L
.64318 .52658 L
.64254 .52711 L
.63887 .53141 L
.63771 .53342 L
.63462 .53624 L
.63288 .53826 L
.6299 .54107 L
.62804 .54287 L
.62579 .54107 L
.62787 .53624 L
.62804 .53612 L
.63087 .53141 L
.63288 .52821 L
.63396 .52658 L
.63691 .52174 L
.63771 .52063 L
.64055 .51691 L
.64254 .51409 L
.64402 .51208 L
.64737 .5074 L
.64749 .50725 L
.65029 .50242 L
.6522 .50054 L
.65479 .49758 L
.65704 .4946 L
.65854 .49275 L
.66187 .48843 L
.6623 .48792 L
.66622 .48309 L
.6667 .48235 L
.6704 .47826 L
.67153 .47598 L
.67493 .47342 L
F
1 .8 0 r
.62804 .41278 m
.62956 .41544 L
.62804 .41807 L
.62582 .41544 L
F
1 .38 0 r
.62804 .49418 m
.63196 .49758 L
.62804 .50217 L
.62595 .49758 L
F
0 .66 1 r
.62804 .55652 m
.63192 .5604 L
.62804 .56394 L
.62617 .5604 L
F
0 .36 1 r
.62804 .47499 m
.6294 .47826 L
.62804 .47997 L
.62617 .47826 L
F
1 .36 0 r
.62804 .49452 m
.63171 .49758 L
.62804 .50183 L
.6262 .49758 L
F
1 .48 0 r
.62804 .53664 m
.62945 .54107 L
.62804 .54235 L
.62628 .54107 L
F
1 .34 0 r
.62804 .49488 m
.63143 .49758 L
.62804 .50146 L
.62645 .49758 L
F
0 .64 1 r
.62804 .55721 m
.6314 .5604 L
.62804 .56321 L
.62665 .5604 L
F
0 .34 1 r
.62804 .47562 m
.62897 .47826 L
.62804 .4794 L
.62666 .47826 L
F
1 .32 0 r
.62804 .49528 m
.63113 .49758 L
.62804 .50104 L
.62673 .49758 L
F
1 .46 0 r
.62804 .5373 m
.62887 .54107 L
.62804 .54173 L
.62691 .54107 L
F
0 .66 1 r
.62804 .43341 m
.63063 .43477 L
.62804 .43884 L
.62701 .43477 L
F
1 .3 0 r
.62804 .49574 m
.63079 .49758 L
.62804 .50057 L
.62704 .49758 L
F
0 .62 1 r
.62804 .55809 m
.63075 .5604 L
.62804 .56229 L
.62722 .5604 L
F
0 .88 1 r
.71019 .48962 m
.71231 .49275 L
.7102 .49758 L
.71019 .49762 L
.70761 .50242 L
.70535 .50607 L
.70465 .50725 L
.7013 .51208 L
.70052 .51386 L
.6986 .51691 L
.69569 .52131 L
.69499 .52174 L
.69105 .52658 L
.69086 .52761 L
.68797 .53141 L
.68603 .53448 L
.68517 .53624 L
.68119 .54099 L
.68108 .54107 L
.6771 .5459 L
.67636 .54743 L
.67404 .55073 L
.67153 .554 L
.67147 .55557 L
.6667 .56034 L
.66663 .5604 L
.66282 .56523 L
.66187 .56658 L
.65973 .57006 L
.65704 .57293 L
.65543 .57489 L
.6522 .57915 L
.65161 .57973 L
.64778 .58456 L
.64737 .58497 L
.64452 .58939 L
.64254 .5908 L
.63943 .59422 L
.63771 .59643 L
.6348 .59905 L
.63288 .60208 L
.62871 .60388 L
.62804 .60423 L
.62722 .60388 L
.62784 .59905 L
.62804 .59887 L
.63041 .59422 L
.63288 .58995 L
.63322 .58939 L
.63587 .58456 L
.63771 .58244 L
.63953 .57973 L
.64254 .57533 L
.64285 .57489 L
.64621 .57006 L
.64737 .56818 L
.64883 .56523 L
.6522 .56096 L
.65325 .5604 L
.65682 .55557 L
.65704 .55516 L
.66006 .55073 L
.66187 .5484 L
.66229 .5459 L
.6667 .54167 L
.66757 .54107 L
.67116 .53624 L
.67153 .53573 L
.67426 .53141 L
.67636 .52919 L
.67858 .52658 L
.68119 .52264 L
.68228 .52174 L
.68594 .51691 L
.68603 .51682 L
.689 .51208 L
.69086 .51059 L
.69375 .50725 L
.69569 .50433 L
.69776 .50242 L
.70052 .49905 L
.70193 .49758 L
.70535 .4938 L
.70653 .49275 L
F
1 .78 0 r
.70052 .48275 m
.70179 .48309 L
.70078 .48792 L
.70052 .48846 L
.69836 .49275 L
.69569 .49735 L
.69555 .49758 L
.69301 .50242 L
.69086 .50615 L
.68935 .50725 L
.68603 .51208 L
.68603 .51211 L
.68266 .51691 L
.68119 .51922 L
.68016 .52174 L
.67636 .52615 L
.67571 .52658 L
.672 .53141 L
.67153 .53229 L
.66884 .53624 L
.6667 .53893 L
.66495 .54107 L
.66187 .54543 L
.66129 .5459 L
.65759 .55073 L
.65704 .55146 L
.65446 .55557 L
.6522 .55776 L
.64998 .5604 L
.64737 .56405 L
.64606 .56523 L
.64254 .56954 L
.64207 .57006 L
.63803 .57489 L
.63771 .57509 L
.6332 .57973 L
.63288 .58016 L
.62804 .58369 L
.62732 .57973 L
.62804 .5781 L
.6297 .57489 L
.63228 .57006 L
.63288 .56883 L
.63551 .56523 L
.63771 .5619 L
.63872 .5604 L
.642 .55557 L
.64254 .55466 L
.64467 .55073 L
.64737 .54717 L
.64891 .5459 L
.6522 .54132 L
.65239 .54107 L
.65576 .53624 L
.65704 .53456 L
.65808 .53141 L
.66187 .52771 L
.66319 .52658 L
.6667 .52186 L
.66679 .52174 L
.67009 .51691 L
.67153 .5154 L
.67427 .51208 L
.67636 .50886 L
.67807 .50725 L
.68119 .50321 L
.68188 .50242 L
.68559 .49758 L
.68603 .49725 L
.68996 .49275 L
.69086 .4914 L
.69445 .48792 L
.69569 .48554 L
.70004 .48309 L
F
1 .28 0 r
.62804 .49628 m
.63037 .49758 L
.62804 .49999 L
.62738 .49758 L
F
0 .32 1 r
.62804 .47652 m
.62836 .47826 L
.62804 .47864 L
.6274 .47826 L
F
0 .34 1 r
.62804 .51635 m
.63264 .51691 L
.62804 .52131 L
.62774 .51691 L
F
1 .26 0 r
.62804 .497 m
.62982 .49758 L
.62804 .49918 L
.62779 .49758 L
F
1 .94 0 r
.62804 .62082 m
.6302 .62321 L
.62804 .62369 L
.62779 .62321 L
F
0 .64 1 r
.62804 .43451 m
.62954 .43477 L
.62804 .43766 L
.62785 .43477 L
F
0 .6 1 r
.62804 .5597 m
.62974 .5604 L
.62804 .56074 L
.62796 .5604 L
F
0 .32 1 r
.62804 .51688 m
.63229 .51691 L
.62804 .52067 L
.62803 .51691 L
F
0 .42 1 r
.63771 .46043 m
.64149 .46376 L
.63805 .46859 L
.63771 .46907 L
.63428 .47342 L
.63288 .47532 L
.6282 .47342 L
.63163 .46859 L
.63288 .46685 L
.63525 .46376 L
F
1 .46 0 r
.65704 .45513 m
.66077 .45893 L
.65774 .46376 L
.65704 .46483 L
.65443 .46859 L
.6522 .47185 L
.65105 .47342 L
.6478 .47826 L
.64737 .47874 L
.64401 .48309 L
.64254 .4851 L
.64032 .48792 L
.63771 .4914 L
.63659 .49275 L
.63288 .49752 L
.62823 .49275 L
.63157 .48792 L
.63288 .48607 L
.63506 .48309 L
.63771 .4794 L
.63859 .47826 L
.64194 .47342 L
.64254 .47283 L
.64594 .46859 L
.64737 .46574 L
.64982 .46376 L
.6522 .46075 L
.65383 .45893 L
F
0 .68 1 r
.68603 .47842 m
.68978 .48309 L
.68746 .48792 L
.68603 .48944 L
.68393 .49275 L
.68119 .49687 L
.68071 .49758 L
.67749 .50242 L
.67636 .50418 L
.67529 .50725 L
.67153 .51154 L
.67053 .51208 L
.66697 .51691 L
.6667 .51737 L
.6638 .52174 L
.66187 .52409 L
.65981 .52658 L
.65704 .53078 L
.65615 .53141 L
.65248 .53624 L
.6522 .53659 L
.64937 .54107 L
.64737 .5429 L
.64479 .5459 L
.64254 .54926 L
.64082 .55073 L
.63771 .55452 L
.63673 .55557 L
.63288 .55991 L
.62827 .55557 L
.6312 .55073 L
.63288 .54815 L
.63436 .5459 L
.63759 .54107 L
.63771 .54086 L
.64037 .53624 L
.64254 .53331 L
.64443 .53141 L
.64737 .52729 L
.64791 .52658 L
.65132 .52174 L
.6522 .52057 L
.65381 .51691 L
.65704 .51371 L
.6587 .51208 L
.66187 .50783 L
.66234 .50725 L
.6658 .50242 L
.6667 .50147 L
.66987 .49758 L
.67153 .49502 L
.67375 .49275 L
.67636 .48944 L
.67771 .48792 L
.68119 .48371 L
.68179 .48309 L
F
1 .48 0 r
.67636 .47228 m
.67941 .47342 L
.67719 .47826 L
.67636 .47968 L
.67429 .48309 L
.67153 .48749 L
.67124 .48792 L
.66935 .49275 L
.6667 .49589 L
.6646 .49758 L
.66187 .50146 L
.66115 .50242 L
.65791 .50725 L
.65704 .50825 L
.65401 .51208 L
.6522 .51545 L
.6503 .51691 L
.64737 .52077 L
.64656 .52174 L
.64292 .52658 L
.64254 .52689 L
.63869 .53141 L
.63771 .53313 L
.63438 .53624 L
.63288 .53796 L
.62827 .53624 L
.63108 .53141 L
.63288 .52849 L
.63414 .52658 L
.63711 .52174 L
.63771 .52091 L
.64068 .51691 L
.64254 .51427 L
.64415 .51208 L
.64737 .50756 L
.64761 .50725 L
.65047 .50242 L
.6522 .50072 L
.65492 .49758 L
.65704 .49477 L
.65867 .49275 L
.66187 .48861 L
.66246 .48792 L
.66639 .48309 L
.6667 .4826 L
.67061 .47826 L
.67153 .47637 L
.67527 .47342 L
F
1 .44 0 r
.65704 .45543 m
.66053 .45893 L
.65757 .46376 L
.65704 .46457 L
.65426 .46859 L
.6522 .47163 L
.65089 .47342 L
.64758 .47826 L
.64737 .47849 L
.64387 .48309 L
.64254 .48491 L
.64017 .48792 L
.63771 .49121 L
.63642 .49275 L
.63288 .49729 L
.62841 .49275 L
.63173 .48792 L
.63288 .48629 L
.63521 .48309 L
.63771 .47961 L
.63875 .47826 L
.64218 .47342 L
.64254 .47307 L
.6461 .46859 L
.64737 .466 L
.65001 .46376 L
.6522 .46099 L
.65406 .45893 L
F
0 .4 1 r
.63771 .46076 m
.64123 .46376 L
.63784 .46859 L
.63771 .46878 L
.63405 .47342 L
.63288 .47502 L
.62849 .47342 L
.63187 .46859 L
.63288 .46717 L
.6355 .46376 L
F
0 .66 1 r
.68603 .47884 m
.68943 .48309 L
.6871 .48792 L
.68603 .48905 L
.68371 .49275 L
.68119 .49658 L
.68052 .49758 L
.67732 .50242 L
.67636 .50393 L
.67517 .50725 L
.67153 .51141 L
.67038 .51208 L
.66686 .51691 L
.6667 .51719 L
.66366 .52174 L
.66187 .52391 L
.65968 .52658 L
.65704 .53066 L
.65601 .53141 L
.65234 .53624 L
.6522 .53641 L
.64917 .54107 L
.64737 .54269 L
.64462 .5459 L
.64254 .54905 L
.64061 .55073 L
.63771 .55423 L
.63644 .55557 L
.63288 .55953 L
.62859 .55557 L
.63144 .55073 L
.63288 .54848 L
.63456 .5459 L
.63771 .54114 L
.63775 .54107 L
.64053 .53624 L
.64254 .53352 L
.64456 .53141 L
.64737 .52747 L
.64804 .52658 L
.65145 .52174 L
.6522 .52074 L
.65394 .51691 L
.65704 .51386 L
.65882 .51208 L
.66187 .508 L
.66247 .50725 L
.66596 .50242 L
.6667 .50166 L
.67001 .49758 L
.67153 .49522 L
.67393 .49275 L
.67636 .48967 L
.67792 .48792 L
.68119 .48401 L
.68209 .48309 L
F
1 .46 0 r
.67636 .47272 m
.6789 .47342 L
.67693 .47826 L
.67636 .47926 L
.67408 .48309 L
.67153 .48722 L
.67106 .48792 L
.66911 .49275 L
.6667 .49562 L
.66446 .49758 L
.66187 .50127 L
.66102 .50242 L
.65774 .50725 L
.65704 .50806 L
.65388 .51208 L
.6522 .51528 L
.65017 .51691 L
.64737 .52059 L
.64641 .52174 L
.64265 .52658 L
.64254 .52666 L
.63851 .53141 L
.63771 .53283 L
.63412 .53624 L
.63288 .53765 L
.62859 .53624 L
.63128 .53141 L
.63288 .52879 L
.63432 .52658 L
.63733 .52174 L
.63771 .52121 L
.64082 .51691 L
.64254 .51445 L
.64428 .51208 L
.64737 .50774 L
.64775 .50725 L
.65066 .50242 L
.6522 .50091 L
.65504 .49758 L
.65704 .49493 L
.65881 .49275 L
.66187 .4888 L
.66262 .48792 L
.66655 .48309 L
.6667 .48286 L
.67083 .47826 L
.67153 .4768 L
.67566 .47342 L
F
1 .42 0 r
.65704 .45574 m
.66027 .45893 L
.65738 .46376 L
.65704 .46429 L
.6541 .46859 L
.6522 .47141 L
.65073 .47342 L
.64737 .47823 L
.64735 .47826 L
.64373 .48309 L
.64254 .48472 L
.64001 .48792 L
.63771 .491 L
.63624 .49275 L
.63288 .49706 L
.62861 .49275 L
.63189 .48792 L
.63288 .48652 L
.63537 .48309 L
.63771 .47982 L
.63891 .47826 L
.64243 .47342 L
.64254 .47332 L
.64626 .46859 L
.64737 .46629 L
.6502 .46376 L
.6522 .46124 L
.65431 .45893 L
F
0 .74 1 r
.63771 .41899 m
.64242 .42027 L
.63929 .42511 L
.63771 .42759 L
.63603 .42994 L
.63288 .43463 L
.62865 .42994 L
.63249 .42511 L
.63288 .42443 L
.63662 .42027 L
F
1 .82 0 r
.63288 .40611 m
.63367 .41061 L
.63288 .41198 L
.62879 .41061 L
F
0 .38 1 r
.63288 .46752 m
.6376 .46859 L
.6338 .47342 L
.63288 .47469 L
.62881 .47342 L
.63212 .46859 L
F
1 .4 0 r
.64254 .47355 m
.64719 .47826 L
.64359 .48309 L
.64254 .48452 L
.63986 .48792 L
.63771 .4908 L
.63606 .49275 L
.63288 .49683 L
.62881 .49275 L
.63206 .48792 L
.63288 .48675 L
.63553 .48309 L
.63771 .48003 L
.63907 .47826 L
F
0 .64 1 r
.68603 .4793 m
.68907 .48309 L
.68672 .48792 L
.68603 .48864 L
.68349 .49275 L
.68119 .49629 L
.68033 .49758 L
.67715 .50242 L
.67636 .50367 L
.67503 .50725 L
.67153 .51128 L
.67024 .51208 L
.66675 .51691 L
.6667 .517 L
.66352 .52174 L
.66187 .52374 L
.65955 .52658 L
.65704 .53054 L
.65587 .53141 L
.6522 .53622 L
.65219 .53624 L
.64895 .54107 L
.64737 .54248 L
.64444 .5459 L
.64254 .54883 L
.64038 .55073 L
.63771 .55394 L
.63613 .55557 L
.63288 .55912 L
.62892 .55557 L
.63167 .55073 L
.63288 .54882 L
.63476 .5459 L
.63771 .5414 L
.63793 .54107 L
.64071 .53624 L
.64254 .53375 L
.6447 .53141 L
.64737 .52765 L
.64817 .52658 L
.65158 .52174 L
.6522 .52092 L
.65408 .51691 L
.65704 .51401 L
.65894 .51208 L
.66187 .50816 L
.6626 .50725 L
.66614 .50242 L
.6667 .50184 L
.67016 .49758 L
.67153 .49543 L
.6741 .49275 L
.67636 .48991 L
.67815 .48792 L
.68119 .48431 L
.68242 .48309 L
F
1 .94 0 r
.71985 .49629 m
.72317 .49758 L
.72175 .50242 L
.71985 .5062 L
.71932 .50725 L
.71654 .51208 L
.71502 .51569 L
.71465 .51691 L
.71044 .52174 L
.71019 .52212 L
.70665 .52658 L
.70535 .5294 L
.7039 .53141 L
.70052 .53615 L
.70039 .53624 L
.69591 .54107 L
.69569 .54276 L
.69313 .5459 L
.69086 .54948 L
.69016 .55073 L
.68632 .55557 L
.68603 .55588 L
.68207 .5604 L
.68119 .56237 L
.67911 .56523 L
.67636 .56892 L
.67615 .57006 L
.67184 .57489 L
.67153 .57519 L
.66789 .57973 L
.6667 .58152 L
.66481 .58456 L
.66187 .58793 L
.66071 .58939 L
.65704 .59414 L
.65696 .59422 L
.65316 .59905 L
.6522 .6001 L
.65008 .60388 L
.64737 .60612 L
.64514 .60872 L
.64254 .61195 L
.6409 .61355 L
.63771 .61769 L
.63629 .61838 L
.63288 .62161 L
.62894 .61838 L
.6313 .61355 L
.63288 .61085 L
.63416 .60872 L
.63724 .60388 L
.63771 .60286 L
.63991 .59905 L
.64254 .59605 L
.64381 .59422 L
.64729 .58939 L
.64737 .58912 L
.6506 .58456 L
.6522 .58204 L
.6532 .57973 L
.65704 .57507 L
.65775 .57489 L
.66139 .57006 L
.66187 .56922 L
.66453 .56523 L
.6667 .56247 L
.66853 .5604 L
.67153 .55586 L
.67212 .55557 L
.67569 .55073 L
.67636 .54983 L
.67865 .5459 L
.68119 .54324 L
.68309 .54107 L
.68603 .53673 L
.68673 .53624 L
.69027 .53141 L
.69086 .53077 L
.693 .52658 L
.69569 .52437 L
.69799 .52174 L
.70052 .51798 L
.70179 .51691 L
.70535 .51238 L
.70562 .51208 L
.70969 .50725 L
.71019 .50656 L
.71407 .50242 L
.71502 .50102 L
.71912 .49758 L
F
1 .44 0 r
.6667 .48312 m
.67087 .48792 L
.66884 .49275 L
.6667 .49531 L
.66432 .49758 L
.66187 .50109 L
.66088 .50242 L
.65757 .50725 L
.65704 .50786 L
.65376 .51208 L
.6522 .5151 L
.65003 .51691 L
.64737 .52041 L
.64626 .52174 L
.64254 .52645 L
.64243 .52658 L
.63832 .53141 L
.63771 .5325 L
.63385 .53624 L
.63288 .53732 L
.62894 .53624 L
.6315 .53141 L
.63288 .52911 L
.6345 .52658 L
.63755 .52174 L
.63771 .52152 L
.64095 .51691 L
.64254 .51464 L
.64441 .51208 L
.64737 .50791 L
.64788 .50725 L
.65085 .50242 L
.6522 .50111 L
.65517 .49758 L
.65704 .4951 L
.65896 .49275 L
.66187 .48899 L
.66279 .48792 L
F
1 .38 0 r
.64254 .47377 m
.64702 .47826 L
.64344 .48309 L
.64254 .48432 L
.6397 .48792 L
.63771 .49058 L
.63588 .49275 L
.63288 .49658 L
.62902 .49275 L
.63223 .48792 L
.63288 .48699 L
.63569 .48309 L
.63771 .48026 L
.63924 .47826 L
F
0 .72 1 r
.63288 .42526 m
.63559 .42994 L
.63288 .43407 L
.62914 .42994 L
F
0 .36 1 r
.63288 .46789 m
.63729 .46859 L
.63354 .47342 L
.63288 .47433 L
.62916 .47342 L
.63239 .46859 L
F
1 .36 0 r
.64254 .474 m
.64684 .47826 L
.64329 .48309 L
.64254 .48412 L
.63953 .48792 L
.63771 .49036 L
.63568 .49275 L
.63288 .49632 L
.62923 .49275 L
.6324 .48792 L
.63288 .48724 L
.63586 .48309 L
.63771 .48049 L
.63942 .47826 L
F
0 .62 1 r
.68603 .47978 m
.68868 .48309 L
.68629 .48792 L
.68603 .48819 L
.68327 .49275 L
.68119 .49598 L
.68014 .49758 L
.67698 .50242 L
.67636 .50339 L
.67488 .50725 L
.67153 .51112 L
.6701 .51208 L
.6667 .51681 L
.66662 .51691 L
.66338 .52174 L
.66187 .52355 L
.65942 .52658 L
.65704 .53041 L
.65573 .53141 L
.6522 .53603 L
.65203 .53624 L
.64873 .54107 L
.64737 .54226 L
.64425 .5459 L
.64254 .54859 L
.64015 .55073 L
.63771 .55364 L
.63581 .55557 L
.63288 .5587 L
.62928 .55557 L
.63192 .55073 L
.63288 .54918 L
.63496 .5459 L
.63771 .54166 L
.63811 .54107 L
.6409 .53624 L
.64254 .53399 L
.64484 .53141 L
.64737 .52783 L
.6483 .52658 L
.65172 .52174 L
.6522 .5211 L
.65423 .51691 L
.65704 .51418 L
.65907 .51208 L
.66187 .50833 L
.66274 .50725 L
.66632 .50242 L
.6667 .50203 L
.67031 .49758 L
.67153 .49565 L
.67428 .49275 L
.67636 .49015 L
.67839 .48792 L
.68119 .48463 L
.68277 .48309 L
F
1 .42 0 r
.63771 .52182 m
.64224 .52658 L
.63812 .53141 L
.63771 .53215 L
.63355 .53624 L
.63288 .53697 L
.62935 .53624 L
.63173 .53141 L
.63288 .52944 L
.63469 .52658 L
F
0 .86 1 r
.70535 .49479 m
.70923 .49758 L
.70692 .50242 L
.70535 .50508 L
.70411 .50725 L
.70097 .51208 L
.70052 .51314 L
.69827 .51691 L
.69569 .52102 L
.69467 .52174 L
.69097 .52658 L
.69086 .5272 L
.68774 .53141 L
.68603 .53414 L
.68502 .53624 L
.68119 .5408 L
.68085 .54107 L
.67696 .5459 L
.67636 .54714 L
.67384 .55073 L
.67153 .55372 L
.67143 .55557 L
.6667 .56012 L
.6664 .5604 L
.66262 .56523 L
.66187 .56628 L
.65948 .57006 L
.65704 .57259 L
.65513 .57489 L
.6522 .57882 L
.65126 .57973 L
.64737 .58452 L
.64734 .58456 L
.64373 .58939 L
.64254 .59018 L
.63875 .59422 L
.63771 .59555 L
.63362 .59905 L
.63288 .60024 L
.62945 .59905 L
.63119 .59422 L
.63288 .591 L
.63381 .58939 L
.63637 .58456 L
.63771 .58304 L
.63989 .57973 L
.64254 .57578 L
.64315 .57489 L
.64646 .57006 L
.64737 .56856 L
.64903 .56523 L
.6522 .56115 L
.65346 .5604 L
.65696 .55557 L
.65704 .55543 L
.66025 .55073 L
.66187 .54864 L
.66241 .5459 L
.6667 .54182 L
.66775 .54107 L
.67133 .53624 L
.67153 .53597 L
.67447 .53141 L
.67636 .52944 L
.67878 .52658 L
.68119 .52285 L
.6825 .52174 L
.68603 .51713 L
.68621 .51691 L
.68945 .51208 L
.69086 .51097 L
.6941 .50725 L
.69569 .5048 L
.69823 .50242 L
.70052 .49969 L
.70266 .49758 L
F
1 .34 0 r
.64254 .47424 m
.64666 .47826 L
.64313 .48309 L
.64254 .4839 L
.63936 .48792 L
.63771 .49013 L
.63548 .49275 L
.63288 .49605 L
.62946 .49275 L
.63258 .48792 L
.63288 .4875 L
.63603 .48309 L
.63771 .48072 L
.6396 .47826 L
F
1 .96 0 r
.63288 .36384 m
.63506 .36712 L
.63288 .37133 L
.62955 .36712 L
F
0 .34 1 r
.63288 .46831 m
.63693 .46859 L
.63325 .47342 L
.63288 .47393 L
.62957 .47342 L
.63268 .46859 L
F
0 .6 1 r
.68119 .48496 m
.68589 .48792 L
.68304 .49275 L
.68119 .49566 L
.67994 .49758 L
.6768 .50242 L
.67636 .50311 L
.67471 .50725 L
.67153 .51095 L
.66996 .51208 L
.6667 .51662 L
.66648 .51691 L
.66323 .52174 L
.66187 .52336 L
.65928 .52658 L
.65704 .53027 L
.65559 .53141 L
.6522 .53584 L
.65187 .53624 L
.64849 .54107 L
.64737 .54204 L
.64407 .5459 L
.64254 .54833 L
.63991 .55073 L
.63771 .55333 L
.63546 .55557 L
.63288 .55825 L
.62967 .55557 L
.63217 .55073 L
.63288 .54957 L
.63517 .5459 L
.63771 .54194 L
.6383 .54107 L
.64109 .53624 L
.64254 .53425 L
.64498 .53141 L
.64737 .52801 L
.64844 .52658 L
.65186 .52174 L
.6522 .52129 L
.65439 .51691 L
.65704 .51434 L
.6592 .51208 L
.66187 .5085 L
.66287 .50725 L
.66651 .50242 L
.6667 .50223 L
.67046 .49758 L
.67153 .49587 L
.67447 .49275 L
.67636 .49039 L
.67864 .48792 L
F
1 .32 0 r
.64254 .47448 m
.64647 .47826 L
.64297 .48309 L
.64254 .48368 L
.63918 .48792 L
.63771 .4899 L
.63526 .49275 L
.63288 .49577 L
.6297 .49275 L
.63277 .48792 L
.63288 .48777 L
.63621 .48309 L
.63771 .48097 L
.63978 .47826 L
F
0 .7 1 r
.63288 .42598 m
.6351 .42994 L
.63288 .43343 L
.6297 .42994 L
F
1 .4 0 r
.63771 .52207 m
.64204 .52658 L
.63791 .53141 L
.63771 .53177 L
.63321 .53624 L
.63288 .5366 L
.62983 .53624 L
.63196 .53141 L
.63288 .52981 L
.63489 .52658 L
F
1 .3 0 r
.63288 .48807 m
.63503 .49275 L
.63288 .49547 L
.62995 .49275 L
F
0 .32 1 r
.63288 .46881 m
.63292 .47342 L
.63288 .47349 L
.63009 .47342 L
F
0 .58 1 r
.68119 .4853 m
.68557 .48792 L
.68281 .49275 L
.68119 .49533 L
.67974 .49758 L
.67661 .50242 L
.67636 .50281 L
.67453 .50725 L
.67153 .51076 L
.66981 .51208 L
.6667 .51643 L
.66634 .51691 L
.66307 .52174 L
.66187 .52317 L
.65915 .52658 L
.65704 .53012 L
.65544 .53141 L
.6522 .53565 L
.65171 .53624 L
.64823 .54107 L
.64737 .54181 L
.64388 .5459 L
.64254 .54805 L
.63966 .55073 L
.63771 .55301 L
.63507 .55557 L
.63288 .55777 L
.63009 .55557 L
.63244 .55073 L
.63288 .54999 L
.63538 .5459 L
.63771 .54222 L
.63848 .54107 L
.6413 .53624 L
.64254 .53452 L
.64512 .53141 L
.64737 .5282 L
.64857 .52658 L
.652 .52174 L
.6522 .52148 L
.65456 .51691 L
.65704 .51452 L
.65932 .51208 L
.66187 .50867 L
.66301 .50725 L
.6667 .50243 L
.66671 .50242 L
.67062 .49758 L
.67153 .49611 L
.67466 .49275 L
.67636 .49064 L
.6789 .48792 L
F
1 .76 0 r
.69569 .48654 m
.70003 .48792 L
.69789 .49275 L
.69569 .49671 L
.69518 .49758 L
.69269 .50242 L
.69086 .50573 L
.6891 .50725 L
.68603 .51178 L
.68582 .51208 L
.68248 .51691 L
.68119 .51895 L
.68003 .52174 L
.67636 .52601 L
.67554 .52658 L
.67189 .53141 L
.67153 .53207 L
.66869 .53624 L
.6667 .53872 L
.66479 .54107 L
.66187 .54529 L
.66112 .5459 L
.65742 .55073 L
.65704 .55124 L
.65424 .55557 L
.6522 .55751 L
.64976 .5604 L
.64737 .5638 L
.6458 .56523 L
.64254 .56919 L
.64173 .57006 L
.63771 .57462 L
.63742 .57489 L
.63288 .57939 L
.63018 .57489 L
.63274 .57006 L
.63288 .56977 L
.63578 .56523 L
.63771 .56227 L
.63896 .5604 L
.6422 .55557 L
.64254 .55498 L
.64485 .55073 L
.64737 .54738 L
.64907 .5459 L
.6522 .54153 L
.65254 .54107 L
.65591 .53624 L
.65704 .53476 L
.65821 .53141 L
.66187 .52786 L
.66333 .52658 L
.6667 .52204 L
.66694 .52174 L
.67027 .51691 L
.67153 .51561 L
.67443 .51208 L
.67636 .50906 L
.67826 .50725 L
.68119 .50347 L
.6821 .50242 L
.68603 .49759 L
.68603 .49758 L
.69029 .49275 L
.69086 .49189 L
.69498 .48792 L
F
1 .28 0 r
.63288 .4884 m
.63479 .49275 L
.63288 .49515 L
.63022 .49275 L
F
0 .68 1 r
.63288 .42683 m
.63452 .42994 L
.63288 .43266 L
.63035 .42994 L
F
1 .26 0 r
.63288 .48877 m
.63452 .49275 L
.63288 .4948 L
.63052 .49275 L
F
0 .56 1 r
.68119 .48566 m
.68522 .48792 L
.68257 .49275 L
.68119 .49498 L
.67954 .49758 L
.67641 .50242 L
.67636 .5025 L
.67433 .50725 L
.67153 .51054 L
.66966 .51208 L
.6667 .51624 L
.66619 .51691 L
.66291 .52174 L
.66187 .52297 L
.65901 .52658 L
.65704 .52996 L
.6553 .53141 L
.6522 .53545 L
.65155 .53624 L
.64796 .54107 L
.64737 .54157 L
.64368 .5459 L
.64254 .54776 L
.6394 .55073 L
.63771 .55268 L
.63462 .55557 L
.63288 .55724 L
.63058 .55557 L
.63271 .55073 L
.63288 .55045 L
.6356 .5459 L
.63771 .54252 L
.63867 .54107 L
.64152 .53624 L
.64254 .53482 L
.64526 .53141 L
.64737 .52839 L
.64871 .52658 L
.65215 .52174 L
.6522 .52168 L
.65474 .51691 L
.65704 .51471 L
.65945 .51208 L
.66187 .50884 L
.66316 .50725 L
.6667 .50261 L
.66687 .50242 L
.67077 .49758 L
.67153 .49636 L
.67486 .49275 L
.67636 .4909 L
.67918 .48792 L
F
0 .34 1 r
.63288 .50834 m
.63682 .51208 L
.63288 .51668 L
.63059 .51208 L
F
1 .74 0 r
.63288 .57055 m
.63688 .57489 L
.63288 .57863 L
.63071 .57489 L
F
0 .32 1 r
.63288 .50864 m
.6366 .51208 L
.63288 .51637 L
.63081 .51208 L
F
1 .24 0 r
.63288 .48919 m
.63422 .49275 L
.63288 .49442 L
.63086 .49275 L
F
0 .3 1 r
.63288 .50896 m
.63636 .51208 L
.63288 .51605 L
.63104 .51208 L
F
0 .54 1 r
.63288 .55101 m
.63409 .55557 L
.63288 .55664 L
.63116 .55557 L
F
0 .66 1 r
.63288 .42794 m
.63378 .42994 L
.63288 .43164 L
.6312 .42994 L
F
1 .22 0 r
.63288 .48967 m
.63388 .49275 L
.63288 .49397 L
.63125 .49275 L
F
0 .28 1 r
.63288 .5093 m
.6361 .51208 L
.63288 .51569 L
.63128 .51208 L
F
1 .72 0 r
.63288 .57134 m
.63625 .57489 L
.63288 .57776 L
.63131 .57489 L
F
1 .52 0 r
.63288 .44723 m
.63582 .44927 L
.63288 .45367 L
.63137 .44927 L
F
0 .26 1 r
.63288 .50968 m
.63581 .51208 L
.63288 .5153 L
.63155 .51208 L
F
1 .2 0 r
.63288 .49028 m
.63345 .49275 L
.63288 .49344 L
.63176 .49275 L
F
1 .5 0 r
.63288 .44782 m
.63533 .44927 L
.63288 .45309 L
.63181 .44927 L
F
0 .24 1 r
.63288 .5101 m
.63548 .51208 L
.63288 .51485 L
.63183 .51208 L
F
0 .52 1 r
.63288 .55178 m
.63335 .55557 L
.63288 .55591 L
.63202 .55557 L
F
1 .7 0 r
.63288 .5724 m
.63543 .57489 L
.63288 .57664 L
.63202 .57489 L
F
0 .84 1 r
.70535 .49594 m
.70809 .49758 L
.70618 .50242 L
.70535 .50394 L
.70356 .50725 L
.70062 .51208 L
.70052 .51232 L
.69792 .51691 L
.69569 .52064 L
.69434 .52174 L
.69089 .52658 L
.69086 .52678 L
.68751 .53141 L
.68603 .5338 L
.68486 .53624 L
.68119 .54061 L
.68062 .54107 L
.67682 .5459 L
.67636 .54685 L
.67364 .55073 L
.67153 .55344 L
.67136 .55557 L
.6667 .55991 L
.66616 .5604 L
.66241 .56523 L
.66187 .56597 L
.6592 .57006 L
.65704 .57224 L
.65483 .57489 L
.6522 .57847 L
.6509 .57973 L
.64737 .58402 L
.64688 .58456 L
.64277 .58939 L
.64254 .58953 L
.63796 .59422 L
.63771 .59454 L
.63288 .59808 L
.63207 .59422 L
.63288 .5924 L
.63443 .58939 L
.63695 .58456 L
.63771 .5837 L
.64025 .57973 L
.64254 .57625 L
.64347 .57489 L
.64671 .57006 L
.64737 .56898 L
.64926 .56523 L
.6522 .56139 L
.65367 .5604 L
.65704 .5557 L
.65713 .55557 L
.66044 .55073 L
.66187 .54889 L
.66255 .5459 L
.6667 .54199 L
.66793 .54107 L
.67151 .53624 L
.67153 .53621 L
.6747 .53141 L
.67636 .52969 L
.67898 .52658 L
.68119 .52308 L
.68273 .52174 L
.68603 .51745 L
.68649 .51691 L
.68994 .51208 L
.69086 .51138 L
.69446 .50725 L
.69569 .50532 L
.69875 .50242 L
.70052 .50037 L
.70358 .49758 L
F
0 .22 1 r
.63288 .51061 m
.63509 .51208 L
.63288 .51432 L
.63216 .51208 L
F
1 .38 0 r
.63288 .53021 m
.63769 .53141 L
.63288 .53618 L
.63221 .53141 L
F
1 .48 0 r
.63288 .44853 m
.63468 .44927 L
.63288 .45233 L
.63234 .44927 L
F
1 .36 0 r
.63288 .53066 m
.63737 .53141 L
.63288 .53565 L
.63248 .53141 L
F
0 .2 1 r
.63288 .51127 m
.63459 .51208 L
.63288 .5136 L
.63253 .51208 L
F
0 .96 1 r
.63288 .63498 m
.63489 .63771 L
.63288 .6382 L
.63258 .63771 L
F
1 .34 0 r
.63288 .53119 m
.63702 .53141 L
.63288 .535 L
.63277 .53141 L
F
1 .92 0 r
.71502 .50315 m
.71774 .50725 L
.7154 .51208 L
.71502 .5132 L
.71421 .51691 L
.71019 .52087 L
.70966 .52174 L
.70616 .52658 L
.70535 .5285 L
.70341 .53141 L
.70052 .53576 L
.69991 .53624 L
.69579 .54107 L
.69569 .54218 L
.69277 .5459 L
.69086 .54899 L
.68991 .55073 L
.68603 .5555 L
.68595 .55557 L
.68186 .5604 L
.68119 .56193 L
.6788 .56523 L
.67636 .56849 L
.67606 .57006 L
.67153 .57484 L
.67148 .57489 L
.66759 .57973 L
.6667 .58105 L
.66445 .58456 L
.66187 .58739 L
.66025 .58939 L
.65704 .59359 L
.65642 .59422 L
.65255 .59905 L
.6522 .5994 L
.64913 .60388 L
.64737 .60517 L
.64416 .60872 L
.64254 .61072 L
.63945 .61355 L
.63771 .61609 L
.63288 .61827 L
.63284 .61355 L
.63288 .61346 L
.63525 .60872 L
.63771 .6044 L
.63803 .60388 L
.64057 .59905 L
.64254 .59689 L
.64434 .59422 L
.64737 .58978 L
.64764 .58939 L
.65095 .58456 L
.6522 .58257 L
.65346 .57973 L
.65704 .57525 L
.65805 .57489 L
.66161 .57006 L
.66187 .5696 L
.66478 .56523 L
.6667 .56279 L
.66877 .5604 L
.67153 .55602 L
.67237 .55557 L
.67593 .55073 L
.67636 .55016 L
.67894 .5459 L
.68119 .54357 L
.68336 .54107 L
.68603 .53697 L
.68703 .53624 L
.69065 .53141 L
.69086 .53119 L
.69354 .52658 L
.69569 .52488 L
.69843 .52174 L
.70052 .51851 L
.70236 .51691 L
.70535 .51321 L
.70641 .51208 L
.71019 .50778 L
.71073 .50725 L
F
0 .42 1 r
.66187 .46911 m
.66583 .47342 L
.66272 .47826 L
.66187 .47952 L
.65937 .48309 L
.65704 .48647 L
.65596 .48792 L
.65268 .49275 L
.6522 .49329 L
.64888 .49758 L
.64737 .50078 L
.64517 .50242 L
.64254 .5059 L
.64142 .50725 L
.63771 .51197 L
.63291 .50725 L
.63626 .50242 L
.63771 .50036 L
.63973 .49758 L
.64254 .49366 L
.64323 .49275 L
.64641 .48792 L
.64737 .48698 L
.65055 .48309 L
.6522 .47963 L
.65438 .47826 L
.65704 .47487 L
.6583 .47342 L
F
1 .3 0 r
.64254 .47474 m
.64627 .47826 L
.6428 .48309 L
.64254 .48345 L
.639 .48792 L
.63771 .48965 L
.63298 .48792 L
.6364 .48309 L
.63771 .48122 L
.63998 .47826 L
F
0 .72 1 r
.63771 .41976 m
.64166 .42027 L
.63882 .42511 L
.63771 .42691 L
.63301 .42511 L
.63726 .42027 L
F
0 .54 1 r
.68119 .48603 m
.68485 .48792 L
.68232 .49275 L
.68119 .49461 L
.67933 .49758 L
.67636 .50221 L
.67622 .50242 L
.67411 .50725 L
.67153 .5103 L
.66952 .51208 L
.6667 .51604 L
.66605 .51691 L
.66274 .52174 L
.66187 .52277 L
.65887 .52658 L
.65704 .52978 L
.65515 .53141 L
.6522 .53525 L
.65138 .53624 L
.64768 .54107 L
.64737 .54133 L
.64347 .5459 L
.64254 .54744 L
.63912 .55073 L
.63771 .55234 L
.63303 .55073 L
.63583 .5459 L
.63771 .54283 L
.63887 .54107 L
.64174 .53624 L
.64254 .53513 L
.6454 .53141 L
.64737 .52859 L
.64885 .52658 L
.6522 .52186 L
.65229 .52174 L
.65494 .51691 L
.65704 .5149 L
.65958 .51208 L
.66187 .50902 L
.6633 .50725 L
.6667 .50281 L
.66703 .50242 L
.67094 .49758 L
.67153 .49661 L
.67506 .49275 L
.67636 .49116 L
.67949 .48792 L
F
0 .4 1 r
.66187 .46936 m
.66563 .47342 L
.66256 .47826 L
.66187 .47929 L
.65923 .48309 L
.65704 .48627 L
.65582 .48792 L
.65249 .49275 L
.6522 .49308 L
.64875 .49758 L
.64737 .50058 L
.64503 .50242 L
.64254 .50572 L
.64126 .50725 L
.63771 .51177 L
.63308 .50725 L
.6364 .50242 L
.63771 .50055 L
.63987 .49758 L
.64254 .49384 L
.64337 .49275 L
.64662 .48792 L
.64737 .48719 L
.65069 .48309 L
.6522 .47984 L
.65454 .47826 L
.65704 .47507 L
.65849 .47342 L
F
1 .74 0 r
.69569 .48779 m
.69902 .48792 L
.6974 .49275 L
.69569 .496 L
.69481 .49758 L
.69235 .50242 L
.69086 .5052 L
.68884 .50725 L
.68603 .51145 L
.6856 .51208 L
.68229 .51691 L
.68119 .51866 L
.6799 .52174 L
.67636 .52586 L
.67537 .52658 L
.67177 .53141 L
.67153 .53185 L
.66853 .53624 L
.6667 .53851 L
.66463 .54107 L
.66187 .54513 L
.66095 .5459 L
.65725 .55073 L
.65704 .55101 L
.65401 .55557 L
.6522 .55726 L
.64954 .5604 L
.64737 .56353 L
.64553 .56523 L
.64254 .56883 L
.64137 .57006 L
.63771 .57413 L
.63316 .57006 L
.63606 .56523 L
.63771 .56266 L
.6392 .5604 L
.6424 .55557 L
.64254 .55532 L
.64505 .55073 L
.64737 .54762 L
.64923 .5459 L
.6522 .54173 L
.6527 .54107 L
.65606 .53624 L
.65704 .53496 L
.65835 .53141 L
.66187 .52802 L
.66347 .52658 L
.6667 .52223 L
.66709 .52174 L
.67047 .51691 L
.67153 .51582 L
.6746 .51208 L
.67636 .50928 L
.67845 .50725 L
.68119 .50373 L
.68234 .50242 L
.68603 .49791 L
.68633 .49758 L
.69064 .49275 L
.69086 .49242 L
.69562 .48792 L
F
1 .28 0 r
.64254 .475 m
.64606 .47826 L
.64263 .48309 L
.64254 .48321 L
.63881 .48792 L
.63771 .48939 L
.63323 .48792 L
.63659 .48309 L
.63771 .48149 L
.64018 .47826 L
F
0 .38 1 r
.66187 .46963 m
.66542 .47342 L
.6624 .47826 L
.66187 .47906 L
.65908 .48309 L
.65704 .48607 L
.65568 .48792 L
.65229 .49275 L
.6522 .49286 L
.64862 .49758 L
.64737 .50036 L
.64489 .50242 L
.64254 .50553 L
.6411 .50725 L
.63771 .51156 L
.63326 .50725 L
.63655 .50242 L
.63771 .50075 L
.64001 .49758 L
.64254 .49403 L
.64352 .49275 L
.64684 .48792 L
.64737 .48741 L
.65083 .48309 L
.6522 .48007 L
.6547 .47826 L
.65704 .47528 L
.65869 .47342 L
F
1 .62 0 r
.64254 .43324 m
.64728 .43477 L
.64411 .4396 L
.64254 .44204 L
.64082 .44443 L
.63771 .44902 L
.63337 .44443 L
.63719 .4396 L
.63771 .43863 L
.64127 .43477 L
F
0 .52 1 r
.68119 .48644 m
.68443 .48792 L
.68206 .49275 L
.68119 .49421 L
.67912 .49758 L
.67636 .50193 L
.67603 .50242 L
.67388 .50725 L
.67153 .51003 L
.66936 .51208 L
.6667 .51584 L
.6659 .51691 L
.66256 .52174 L
.66187 .52256 L
.65873 .52658 L
.65704 .5296 L
.655 .53141 L
.6522 .53505 L
.65121 .53624 L
.64738 .54107 L
.64737 .54108 L
.64326 .5459 L
.64254 .54711 L
.63883 .55073 L
.63771 .55198 L
.6334 .55073 L
.63606 .5459 L
.63771 .54317 L
.63907 .54107 L
.64199 .53624 L
.64254 .53546 L
.64555 .53141 L
.64737 .52879 L
.64899 .52658 L
.6522 .52205 L
.65244 .52174 L
.65514 .51691 L
.65704 .5151 L
.65972 .51208 L
.66187 .5092 L
.66345 .50725 L
.6667 .503 L
.6672 .50242 L
.67111 .49758 L
.67153 .49689 L
.67528 .49275 L
.67636 .49144 L
.67982 .48792 L
F
0 .36 1 r
.66187 .4699 m
.6652 .47342 L
.66224 .47826 L
.66187 .47882 L
.65893 .48309 L
.65704 .48587 L
.65553 .48792 L
.6522 .49265 L
.65212 .49275 L
.64849 .49758 L
.64737 .50012 L
.64475 .50242 L
.64254 .50534 L
.64094 .50725 L
.63771 .51134 L
.63344 .50725 L
.6367 .50242 L
.63771 .50096 L
.64015 .49758 L
.64254 .49422 L
.64366 .49275 L
.64707 .48792 L
.64737 .48763 L
.65097 .48309 L
.6522 .48032 L
.65486 .47826 L
.65704 .4755 L
.6589 .47342 L
F
1 .26 0 r
.63771 .48177 m
.64242 .48309 L
.6386 .48792 L
.63771 .48912 L
.63349 .48792 L
.63679 .48309 L
F
1 .72 0 r
.69086 .49295 m
.69441 .49758 L
.69196 .50242 L
.69086 .50455 L
.68859 .50725 L
.68603 .5111 L
.68537 .51208 L
.6821 .51691 L
.68119 .51837 L
.67974 .52174 L
.67636 .5257 L
.6752 .52658 L
.67165 .53141 L
.67153 .53162 L
.66836 .53624 L
.6667 .53829 L
.66446 .54107 L
.66187 .54497 L
.66077 .5459 L
.65707 .55073 L
.65704 .55078 L
.65376 .55557 L
.6522 .55699 L
.64931 .5604 L
.64737 .56325 L
.64525 .56523 L
.64254 .56846 L
.64099 .57006 L
.63771 .57363 L
.63357 .57006 L
.63635 .56523 L
.63771 .56307 L
.63944 .5604 L
.64254 .55567 L
.64261 .55557 L
.64526 .55073 L
.64737 .54788 L
.6494 .5459 L
.6522 .54195 L
.65286 .54107 L
.65622 .53624 L
.65704 .53518 L
.65851 .53141 L
.66187 .5282 L
.66362 .52658 L
.6667 .52242 L
.66724 .52174 L
.67067 .51691 L
.67153 .51603 L
.67476 .51208 L
.67636 .5095 L
.67864 .50725 L
.68119 .50399 L
.68259 .50242 L
.68603 .49825 L
.68666 .49758 L
F
0 .34 1 r
.66187 .47018 m
.66497 .47342 L
.66207 .47826 L
.66187 .47856 L
.65878 .48309 L
.65704 .48566 L
.65538 .48792 L
.6522 .49245 L
.65197 .49275 L
.64836 .49758 L
.64737 .49986 L
.6446 .50242 L
.64254 .50515 L
.64077 .50725 L
.63771 .51112 L
.63362 .50725 L
.63685 .50242 L
.63771 .50117 L
.6403 .49758 L
.64254 .49441 L
.64381 .49275 L
.64732 .48792 L
.64737 .48787 L
.65112 .48309 L
.6522 .4806 L
.65503 .47826 L
.65704 .47572 L
.65912 .47342 L
F
0 .96 1 r
.72468 .51041 m
.72914 .51208 L
.72718 .51691 L
.72468 .52148 L
.72454 .52174 L
.72154 .52658 L
.71985 .53031 L
.71932 .53141 L
.71546 .53624 L
.71502 .53686 L
.71149 .54107 L
.71019 .54402 L
.70876 .5459 L
.70535 .55071 L
.70532 .55073 L
.70191 .55557 L
.70052 .55733 L
.69795 .5604 L
.69569 .56403 L
.69495 .56523 L
.69122 .57006 L
.69086 .57042 L
.68681 .57489 L
.68603 .5769 L
.6839 .57973 L
.68119 .58345 L
.68085 .58456 L
.67672 .58939 L
.67636 .5897 L
.67266 .59422 L
.67153 .59603 L
.66957 .59905 L
.6667 .60244 L
.66558 .60388 L
.66187 .60866 L
.66181 .60872 L
.65796 .61355 L
.65704 .61458 L
.65477 .61838 L
.6522 .62058 L
.64997 .62321 L
.64737 .62638 L
.64571 .62804 L
.64254 .63201 L
.64107 .63288 L
.63771 .63604 L
.63367 .63288 L
.63605 .62804 L
.63771 .6252 L
.63891 .62321 L
.64198 .61838 L
.64254 .61718 L
.64456 .61355 L
.64737 .61047 L
.6486 .60872 L
.65207 .60388 L
.6522 .60354 L
.65532 .59905 L
.65704 .59641 L
.65781 .59422 L
.66187 .59031 L
.66255 .58939 L
.66616 .58456 L
.6667 .58365 L
.66924 .57973 L
.67153 .57686 L
.67334 .57489 L
.67636 .57023 L
.67692 .57006 L
.68045 .56523 L
.68119 .56426 L
.68332 .5604 L
.68603 .55762 L
.68788 .55557 L
.69086 .5511 L
.6915 .55073 L
.69499 .5459 L
.69569 .54515 L
.69755 .54107 L
.70052 .5387 L
.70271 .53624 L
.70535 .53225 L
.70646 .53141 L
.71019 .52662 L
.71023 .52658 L
.71426 .52174 L
.71502 .52065 L
.71848 .51691 L
.71985 .5148 L
.72307 .51208 L
F
1 .6 0 r
.64254 .43373 m
.64682 .43477 L
.6438 .4396 L
.64254 .4416 L
.64053 .44443 L
.63771 .44865 L
.6337 .44443 L
.63751 .4396 L
.63771 .43922 L
.64167 .43477 L
F
0 .7 1 r
.63771 .42072 m
.63827 .42511 L
.63771 .42609 L
.63372 .42511 L
F
1 .24 0 r
.63771 .48207 m
.64218 .48309 L
.63839 .48792 L
.63771 .48883 L
.63377 .48792 L
.63701 .48309 L
F
0 .32 1 r
.64737 .48807 m
.65182 .49275 L
.64822 .49758 L
.64737 .49958 L
.64446 .50242 L
.64254 .50495 L
.64059 .50725 L
.63771 .51089 L
.63382 .50725 L
.637 .50242 L
.63771 .50139 L
.64044 .49758 L
.64254 .49461 L
.64396 .49275 L
F
0 .5 1 r
.68119 .48688 m
.68395 .48792 L
.68179 .49275 L
.68119 .49378 L
.6789 .49758 L
.67636 .50163 L
.67584 .50242 L
.67362 .50725 L
.67153 .50974 L
.66921 .51208 L
.6667 .51563 L
.66575 .51691 L
.66238 .52174 L
.66187 .52234 L
.65859 .52658 L
.65704 .5294 L
.65484 .53141 L
.6522 .53485 L
.65104 .53624 L
.64737 .54085 L
.64717 .54107 L
.64304 .5459 L
.64254 .54674 L
.6385 .55073 L
.63771 .5516 L
.63382 .55073 L
.63631 .5459 L
.63771 .54352 L
.63928 .54107 L
.64224 .53624 L
.64254 .53582 L
.6457 .53141 L
.64737 .52899 L
.64914 .52658 L
.6522 .52224 L
.65258 .52174 L
.65535 .51691 L
.65704 .51531 L
.65985 .51208 L
.66187 .50938 L
.6636 .50725 L
.6667 .5032 L
.66737 .50242 L
.67128 .49758 L
.67153 .49717 L
.67551 .49275 L
.67636 .49172 L
.68019 .48792 L
F
0 .3 1 r
.64737 .48828 m
.65166 .49275 L
.64808 .49758 L
.64737 .49928 L
.6443 .50242 L
.64254 .50475 L
.64041 .50725 L
.63771 .51065 L
.63402 .50725 L
.63716 .50242 L
.63771 .50161 L
.6406 .49758 L
.64254 .49482 L
.64412 .49275 L
F
1 .7 0 r
.69086 .49346 m
.694 .49758 L
.69154 .50242 L
.69086 .50377 L
.68833 .50725 L
.68603 .51075 L
.68514 .51208 L
.68191 .51691 L
.68119 .51806 L
.67957 .52174 L
.67636 .52551 L
.67502 .52658 L
.67153 .5314 L
.67152 .53141 L
.66819 .53624 L
.6667 .53807 L
.6643 .54107 L
.66187 .5448 L
.6606 .5459 L
.65704 .55055 L
.65688 .55073 L
.65349 .55557 L
.6522 .55672 L
.64908 .5604 L
.64737 .56295 L
.64496 .56523 L
.64254 .56808 L
.64058 .57006 L
.63771 .5731 L
.63402 .57006 L
.63665 .56523 L
.63771 .56351 L
.63969 .5604 L
.64254 .55599 L
.64283 .55557 L
.64549 .55073 L
.64737 .54817 L
.64956 .5459 L
.6522 .54216 L
.65302 .54107 L
.65638 .53624 L
.65704 .53539 L
.65869 .53141 L
.66187 .52838 L
.66376 .52658 L
.6667 .52262 L
.6674 .52174 L
.67088 .51691 L
.67153 .51625 L
.67493 .51208 L
.67636 .50974 L
.67885 .50725 L
.68119 .50426 L
.68285 .50242 L
.68603 .4986 L
.68702 .49758 L
F
1 .58 0 r
.63771 .43979 m
.64022 .44443 L
.63771 .44824 L
.63404 .44443 L
F
1 .22 0 r
.63771 .48239 m
.6419 .48309 L
.63815 .48792 L
.63771 .48852 L
.63409 .48792 L
.63723 .48309 L
F
0 .28 1 r
.64737 .48849 m
.65149 .49275 L
.64794 .49758 L
.64737 .49896 L
.64414 .50242 L
.64254 .50454 L
.64022 .50725 L
.63771 .5104 L
.63423 .50725 L
.63732 .50242 L
.63771 .50185 L
.64075 .49758 L
.64254 .49503 L
.64428 .49275 L
F
0 .48 1 r
.68119 .48737 m
.68335 .48792 L
.6815 .49275 L
.68119 .4933 L
.67867 .49758 L
.67636 .50132 L
.67564 .50242 L
.67334 .50725 L
.67153 .50942 L
.66906 .51208 L
.6667 .51542 L
.6656 .51691 L
.66219 .52174 L
.66187 .52212 L
.65844 .52658 L
.65704 .52918 L
.65469 .53141 L
.6522 .53464 L
.65086 .53624 L
.64737 .54061 L
.64695 .54107 L
.64281 .5459 L
.64254 .54636 L
.63814 .55073 L
.63771 .55119 L
.63431 .55073 L
.63656 .5459 L
.63771 .54391 L
.63949 .54107 L
.64251 .53624 L
.64254 .5362 L
.64585 .53141 L
.64737 .5292 L
.64928 .52658 L
.6522 .52243 L
.65273 .52174 L
.65558 .51691 L
.65704 .51554 L
.65999 .51208 L
.66187 .50956 L
.66375 .50725 L
.6667 .50341 L
.66755 .50242 L
.67146 .49758 L
.67153 .49746 L
.67574 .49275 L
.67636 .49202 L
.68064 .48792 L
F
1 .56 0 r
.63771 .44028 m
.63988 .44443 L
.63771 .4478 L
.63442 .44443 L
F
0 .26 1 r
.64737 .4887 m
.65132 .49275 L
.64779 .49758 L
.64737 .49861 L
.64398 .50242 L
.64254 .50432 L
.64002 .50725 L
.63771 .51013 L
.63445 .50725 L
.63749 .50242 L
.63771 .50209 L
.64091 .49758 L
.64254 .49525 L
.64444 .49275 L
F
1 .2 0 r
.63771 .48274 m
.64159 .48309 L
.6379 .48792 L
.63771 .48818 L
.63447 .48792 L
.63747 .48309 L
F
1 .68 0 r
.69086 .49401 m
.69356 .49758 L
.69107 .50242 L
.69086 .50285 L
.68806 .50725 L
.68603 .51038 L
.68491 .51208 L
.6817 .51691 L
.68119 .51773 L
.67939 .52174 L
.67636 .52531 L
.67485 .52658 L
.67153 .53116 L
.67135 .53141 L
.66802 .53624 L
.6667 .53784 L
.66413 .54107 L
.66187 .54462 L
.66042 .5459 L
.65704 .55031 L
.65668 .55073 L
.6532 .55557 L
.6522 .55645 L
.64884 .5604 L
.64737 .56263 L
.64465 .56523 L
.64254 .56769 L
.64012 .57006 L
.63771 .57253 L
.63451 .57006 L
.63697 .56523 L
.63771 .56399 L
.63995 .5604 L
.64254 .55632 L
.64305 .55557 L
.64573 .55073 L
.64737 .54848 L
.64973 .5459 L
.6522 .54239 L
.65318 .54107 L
.65655 .53624 L
.65704 .53562 L
.65888 .53141 L
.66187 .52857 L
.66391 .52658 L
.6667 .52281 L
.66756 .52174 L
.6711 .51691 L
.67153 .51648 L
.6751 .51208 L
.67636 .51 L
.67905 .50725 L
.68119 .50454 L
.68312 .50242 L
.68603 .49897 L
.68742 .49758 L
F
0 .24 1 r
.64737 .48893 m
.65115 .49275 L
.64764 .49758 L
.64737 .49825 L
.64381 .50242 L
.64254 .5041 L
.63981 .50725 L
.63771 .50986 L
.63468 .50725 L
.63766 .50242 L
.63771 .50235 L
.64108 .49758 L
.64254 .49547 L
.64461 .49275 L
F
1 .98 0 r
.73434 .518 m
.73847 .52174 L
.73658 .52658 L
.73434 .5299 L
.73354 .53141 L
.72975 .53624 L
.72951 .53809 L
.72716 .54107 L
.72468 .54553 L
.7244 .5459 L
.72099 .55073 L
.71985 .55223 L
.71671 .55557 L
.71502 .55913 L
.71398 .5604 L
.71059 .56523 L
.71019 .56565 L
.70713 .57006 L
.70535 .57226 L
.70303 .57489 L
.70052 .57891 L
.69998 .57973 L
.69636 .58456 L
.69569 .58519 L
.69168 .58939 L
.69086 .59172 L
.68892 .59422 L
.68603 .59829 L
.68571 .59905 L
.68185 .60388 L
.68119 .60442 L
.67762 .60872 L
.67636 .61086 L
.67458 .61355 L
.67153 .61734 L
.67076 .61838 L
.66704 .62321 L
.6667 .62343 L
.66311 .62804 L
.66187 .62955 L
.65997 .63288 L
.65704 .63573 L
.65546 .63771 L
.6522 .64168 L
.65141 .64254 L
.64737 .64724 L
.64719 .64737 L
.64258 .6522 L
.64254 .65222 L
.63771 .65635 L
.63474 .6522 L
.63682 .64737 L
.63771 .64624 L
.63991 .64254 L
.64254 .63841 L
.643 .63771 L
.64624 .63288 L
.64737 .6306 L
.64884 .62804 L
.6522 .62441 L
.65306 .62321 L
.65668 .61838 L
.65704 .61756 L
.65983 .61355 L
.66187 .61049 L
.66228 .60872 L
.6667 .60453 L
.66718 .60388 L
.67079 .59905 L
.67153 .59788 L
.6738 .59422 L
.67636 .59107 L
.67801 .58939 L
.68119 .58506 L
.68158 .58456 L
.68508 .57973 L
.68603 .57851 L
.68784 .57489 L
.69086 .57184 L
.69254 .57006 L
.69569 .5654 L
.69613 .56523 L
.69952 .5604 L
.70052 .55933 L
.70353 .55557 L
.70535 .55279 L
.70723 .55073 L
.71019 .54634 L
.71089 .5459 L
.71436 .54107 L
.71502 .5405 L
.71851 .53624 L
.71985 .53423 L
.72243 .53141 L
.72468 .52797 L
.72644 .52658 L
.72951 .52292 L
.73068 .52174 L
F
1 .54 0 r
.63771 .44083 m
.63951 .44443 L
.63771 .4473 L
.63483 .44443 L
F
0 .22 1 r
.63771 .50264 m
.63958 .50725 L
.63771 .50957 L
.63493 .50725 L
F
0 .46 1 r
.64254 .53649 m
.64673 .54107 L
.64256 .5459 L
.64254 .54594 L
.63772 .55073 L
.63771 .55075 L
.63496 .55073 L
.63684 .5459 L
.63771 .54433 L
.63971 .54107 L
F
1 .66 0 r
.68603 .49935 m
.69065 .50242 L
.68779 .50725 L
.68603 .51 L
.68468 .51208 L
.68149 .51691 L
.68119 .51739 L
.67918 .52174 L
.67636 .52508 L
.67467 .52658 L
.67153 .53093 L
.67117 .53141 L
.66783 .53624 L
.6667 .53761 L
.66396 .54107 L
.66187 .54443 L
.66024 .5459 L
.65704 .55007 L
.65648 .55073 L
.65289 .55557 L
.6522 .55616 L
.6486 .5604 L
.64737 .56228 L
.64433 .56523 L
.64254 .56728 L
.63961 .57006 L
.63771 .57191 L
.63508 .57006 L
.6373 .56523 L
.63771 .56452 L
.64022 .5604 L
.64254 .55667 L
.64328 .55557 L
.64599 .55073 L
.64737 .54882 L
.6499 .5459 L
.6522 .54261 L
.65334 .54107 L
.65673 .53624 L
.65704 .53585 L
.65908 .53141 L
.66187 .52878 L
.66406 .52658 L
.6667 .52301 L
.66772 .52174 L
.67133 .51691 L
.67153 .51671 L
.67528 .51208 L
.67636 .51027 L
.67927 .50725 L
.68119 .50483 L
.6834 .50242 L
F
1 .38 0 r
.63771 .52233 m
.64183 .52658 L
.63771 .53139 L
.63509 .52658 L
F
0 .82 1 r
.70535 .49744 m
.70612 .49758 L
.70536 .50242 L
.70535 .50244 L
.70298 .50725 L
.70052 .5115 L
.70018 .51208 L
.69754 .51691 L
.69569 .52014 L
.69401 .52174 L
.69086 .52635 L
.69071 .52658 L
.68727 .53141 L
.68603 .53344 L
.68468 .53624 L
.68119 .5404 L
.68039 .54107 L
.67668 .5459 L
.67636 .54655 L
.67343 .55073 L
.67153 .55316 L
.67127 .55557 L
.6667 .55968 L
.66592 .5604 L
.66219 .56523 L
.66187 .56567 L
.6589 .57006 L
.65704 .57189 L
.65452 .57489 L
.6522 .5781 L
.65053 .57973 L
.64737 .58352 L
.6464 .58456 L
.64254 .58887 L
.64199 .58939 L
.63771 .59351 L
.63512 .58939 L
.63761 .58456 L
.63771 .58444 L
.64063 .57973 L
.64254 .57676 L
.64379 .57489 L
.64699 .57006 L
.64737 .56942 L
.6495 .56523 L
.6522 .56166 L
.65388 .5604 L
.65704 .55597 L
.65734 .55557 L
.66064 .55073 L
.66187 .54915 L
.66272 .5459 L
.6667 .54217 L
.66811 .54107 L
.67153 .53645 L
.6717 .53624 L
.67494 .53141 L
.67636 .52996 L
.67918 .52658 L
.68119 .52333 L
.68297 .52174 L
.68603 .51778 L
.68677 .51691 L
.69049 .51208 L
.69086 .5118 L
.69485 .50725 L
.69569 .50591 L
.69935 .50242 L
.70052 .50111 L
.70513 .49758 L
F
0 .92 1 r
.63771 .37939 m
.63903 .38162 L
.63771 .38466 L
.6352 .38162 L
F
0 .2 1 r
.63771 .50297 m
.63934 .50725 L
.63771 .50925 L
.6352 .50725 L
F
1 .36 0 r
.63771 .52261 m
.64162 .52658 L
.63771 .53109 L
.6353 .52658 L
F
1 .52 0 r
.63771 .44145 m
.63908 .44443 L
.63771 .44673 L
.63532 .44443 L
F
0 .18 1 r
.63771 .50334 m
.63907 .50725 L
.63771 .50891 L
.6355 .50725 L
F
1 .34 0 r
.63771 .52291 m
.64139 .52658 L
.63771 .53078 L
.63552 .52658 L
F
1 .32 0 r
.63771 .52322 m
.64114 .52658 L
.63771 .53045 L
.63576 .52658 L
F
0 .38 1 r
.63771 .46111 m
.64096 .46376 L
.63771 .46846 L
.63576 .46376 L
F
1 .64 0 r
.68603 .49975 m
.69026 .50242 L
.68751 .50725 L
.68603 .5096 L
.68444 .51208 L
.68127 .51691 L
.68119 .51703 L
.67896 .52174 L
.67636 .52482 L
.67449 .52658 L
.67153 .53069 L
.671 .53141 L
.66764 .53624 L
.6667 .53737 L
.66379 .54107 L
.66187 .54422 L
.66005 .5459 L
.65704 .54982 L
.65628 .55073 L
.65256 .55557 L
.6522 .55587 L
.64834 .5604 L
.64737 .5619 L
.64399 .56523 L
.64254 .56686 L
.63898 .57006 L
.63771 .5712 L
.63578 .57006 L
.63765 .56523 L
.63771 .56513 L
.64049 .5604 L
.64254 .55705 L
.64352 .55557 L
.64627 .55073 L
.64737 .5492 L
.65007 .5459 L
.6522 .54284 L
.65351 .54107 L
.65691 .53624 L
.65704 .53608 L
.6593 .53141 L
.66187 .529 L
.66421 .52658 L
.6667 .52322 L
.66789 .52174 L
.67153 .51695 L
.67156 .51691 L
.67546 .51208 L
.67636 .51055 L
.67949 .50725 L
.68119 .50512 L
.68371 .50242 L
F
0 .16 1 r
.63771 .50375 m
.63877 .50725 L
.63771 .50853 L
.63585 .50725 L
F
0 .8 1 r
.63771 .58542 m
.64116 .58939 L
.63771 .59238 L
.63591 .58939 L
F
1 .5 0 r
.63771 .44224 m
.63858 .44443 L
.63771 .446 L
.63592 .44443 L
F
1 .3 0 r
.63771 .52356 m
.64088 .52658 L
.63771 .53009 L
.636 .52658 L
F
0 .36 1 r
.63771 .46149 m
.64065 .46376 L
.63771 .46808 L
.63605 .46376 L
F
0 .14 1 r
.63771 .50424 m
.63842 .50725 L
.63771 .50809 L
.63627 .50725 L
F
1 .28 0 r
.63771 .52394 m
.64059 .52658 L
.63771 .5297 L
.63627 .52658 L
F
0 .34 1 r
.63771 .46191 m
.64031 .46376 L
.63771 .46766 L
.63636 .46376 L
F
1 .9 0 r
.71019 .50911 m
.71407 .51208 L
.71321 .51691 L
.71019 .51949 L
.70889 .52174 L
.70571 .52658 L
.70535 .52748 L
.70293 .53141 L
.70052 .53527 L
.69943 .53624 L
.69573 .54107 L
.69569 .54158 L
.69242 .5459 L
.69086 .54849 L
.68965 .55073 L
.68603 .55518 L
.68561 .55557 L
.68166 .5604 L
.68119 .5615 L
.6785 .56523 L
.67636 .56806 L
.67595 .57006 L
.67153 .57448 L
.67112 .57489 L
.66729 .57973 L
.6667 .58059 L
.66405 .58456 L
.66187 .58685 L
.65979 .58939 L
.65704 .59303 L
.65587 .59422 L
.6522 .59898 L
.65186 .59905 L
.64786 .60388 L
.64737 .6042 L
.64302 .60872 L
.64254 .6093 L
.63771 .61311 L
.6365 .60872 L
.63771 .60616 L
.63895 .60388 L
.64139 .59905 L
.64254 .59782 L
.64488 .59422 L
.64737 .59046 L
.64811 .58939 L
.65134 .58456 L
.6522 .58315 L
.65376 .57973 L
.65704 .57551 L
.65836 .57489 L
.66183 .57006 L
.66187 .57 L
.66506 .56523 L
.6667 .56315 L
.66902 .5604 L
.67153 .55621 L
.67262 .55557 L
.67618 .55073 L
.67636 .55049 L
.67924 .5459 L
.68119 .54392 L
.68363 .54107 L
.68603 .53725 L
.68735 .53624 L
.69086 .53163 L
.69104 .53141 L
.69417 .52658 L
.69569 .52542 L
.6989 .52174 L
.70052 .51915 L
.703 .51691 L
.70535 .51409 L
.70736 .51208 L
F
1 .26 0 r
.63771 .52436 m
.64026 .52658 L
.63771 .52926 L
.63656 .52658 L
F
1 .84 0 r
.63771 .39988 m
.63981 .40095 L
.63771 .4056 L
.63665 .40095 L
F
0 .32 1 r
.63771 .46238 m
.63991 .46376 L
.63771 .46717 L
.63671 .46376 L
F
1 .62 0 r
.63771 .56601 m
.63807 .57006 L
.63771 .57032 L
.63686 .57006 L
F
0 .12 1 r
.63771 .50488 m
.63797 .50725 L
.63771 .50755 L
.63688 .50725 L
F
1 .24 0 r
.63771 .52486 m
.63987 .52658 L
.63771 .52873 L
.63689 .52658 L
F
1 .48 0 r
.63771 .44354 m
.63788 .44443 L
.63771 .44484 L
.6369 .44443 L
F
0 .78 1 r
.63771 .58684 m
.64001 .58939 L
.63771 .59086 L
.63692 .58939 L
F
0 .3 1 r
.63771 .46294 m
.6394 .46376 L
.63771 .46656 L
.63712 .46376 L
F
0 .44 1 r
.63771 .5448 m
.64223 .5459 L
.63771 .5502 L
.63713 .5459 L
F
1 .22 0 r
.63771 .52551 m
.63937 .52658 L
.63771 .52805 L
.63727 .52658 L
F
0 .42 1 r
.63771 .54537 m
.64183 .5459 L
.63771 .54952 L
.63744 .5459 L
F
0 .28 1 r
.63771 .4637 m
.63852 .46376 L
.63771 .46563 L
.63767 .46376 L
F
1 .42 0 r
.6667 .48336 m
.67069 .48792 L
.66855 .49275 L
.6667 .49498 L
.66418 .49758 L
.66187 .5009 L
.66074 .50242 L
.65739 .50725 L
.65704 .50765 L
.65363 .51208 L
.6522 .51491 L
.64989 .51691 L
.64737 .52022 L
.6461 .52174 L
.64254 .52624 L
.63776 .52174 L
.64109 .51691 L
.64254 .51483 L
.64454 .51208 L
.64737 .50809 L
.64802 .50725 L
.65106 .50242 L
.6522 .50132 L
.6553 .49758 L
.65704 .49528 L
.6591 .49275 L
.66187 .48918 L
.66297 .48792 L
F
0 .22 1 r
.64737 .48916 m
.65096 .49275 L
.64748 .49758 L
.64737 .49786 L
.64364 .50242 L
.64254 .50386 L
.63787 .50242 L
.64125 .49758 L
.64254 .49571 L
.64479 .49275 L
F
1 .58 0 r
.64254 .43427 m
.64626 .43477 L
.64347 .4396 L
.64254 .44111 L
.63788 .4396 L
.64211 .43477 L
F
1 .4 0 r
.6667 .4836 m
.67049 .48792 L
.66824 .49275 L
.6667 .49462 L
.66403 .49758 L
.66187 .5007 L
.6606 .50242 L
.6572 .50725 L
.65704 .50744 L
.6535 .51208 L
.6522 .5147 L
.64975 .51691 L
.64737 .52004 L
.64594 .52174 L
.64254 .52602 L
.63793 .52174 L
.64124 .51691 L
.64254 .51503 L
.64468 .51208 L
.64737 .50827 L
.64815 .50725 L
.65128 .50242 L
.6522 .50153 L
.65543 .49758 L
.65704 .49546 L
.65925 .49275 L
.66187 .48938 L
.66315 .48792 L
F
0 .5 1 r
.6522 .44204 m
.65497 .44443 L
.65228 .44927 L
.6522 .44939 L
.64905 .4541 L
.64737 .45665 L
.64572 .45893 L
.64254 .46356 L
.63797 .45893 L
.64177 .4541 L
.64254 .45258 L
.64578 .44927 L
.64737 .44731 L
.65007 .44443 L
F
1 .62 0 r
.68603 .50017 m
.68985 .50242 L
.68722 .50725 L
.68603 .50917 L
.68419 .51208 L
.68119 .51669 L
.68104 .51691 L
.67871 .52174 L
.67636 .52453 L
.67431 .52658 L
.67153 .53045 L
.67082 .53141 L
.66743 .53624 L
.6667 .53712 L
.66362 .54107 L
.66187 .54399 L
.65987 .5459 L
.65704 .54957 L
.65606 .55073 L
.6522 .55557 L
.6522 .55557 L
.64807 .5604 L
.64737 .5615 L
.64361 .56523 L
.64254 .56641 L
.6381 .56523 L
.64078 .5604 L
.64254 .55745 L
.64377 .55557 L
.64657 .55073 L
.64737 .54961 L
.65025 .5459 L
.6522 .54308 L
.65368 .54107 L
.65704 .53632 L
.6571 .53624 L
.65954 .53141 L
.66187 .52923 L
.66437 .52658 L
.6667 .52343 L
.66806 .52174 L
.67153 .51718 L
.67175 .51691 L
.67565 .51208 L
.67636 .51086 L
.67973 .50725 L
.68119 .50542 L
.68404 .50242 L
F
0 .2 1 r
.64254 .49596 m
.6473 .49758 L
.64345 .50242 L
.64254 .50362 L
.6381 .50242 L
.64142 .49758 L
F
1 .38 0 r
.6667 .48384 m
.67029 .48792 L
.66791 .49275 L
.6667 .49422 L
.66389 .49758 L
.66187 .5005 L
.66046 .50242 L
.65704 .50722 L
.65701 .50725 L
.65337 .51208 L
.6522 .51447 L
.64961 .51691 L
.64737 .51985 L
.64577 .52174 L
.64254 .5258 L
.63811 .52174 L
.64138 .51691 L
.64254 .51523 L
.64482 .51208 L
.64737 .50846 L
.64829 .50725 L
.65151 .50242 L
.6522 .50175 L
.65557 .49758 L
.65704 .49564 L
.65941 .49275 L
.66187 .48958 L
.66334 .48792 L
F
0 .8 1 r
.70052 .50193 m
.70431 .50242 L
.70237 .50725 L
.70052 .51063 L
.6997 .51208 L
.69711 .51691 L
.69569 .5195 L
.69368 .52174 L
.69086 .52591 L
.69041 .52658 L
.68704 .53141 L
.68603 .53306 L
.68449 .53624 L
.68119 .54018 L
.68016 .54107 L
.67653 .5459 L
.67636 .54626 L
.67321 .55073 L
.67153 .55286 L
.67115 .55557 L
.6667 .55945 L
.66569 .5604 L
.66196 .56523 L
.66187 .56536 L
.65858 .57006 L
.65704 .57153 L
.65421 .57489 L
.6522 .57772 L
.65014 .57973 L
.64737 .58301 L
.64588 .58456 L
.64254 .58818 L
.63819 .58456 L
.64102 .57973 L
.64254 .5773 L
.64411 .57489 L
.64727 .57006 L
.64737 .5699 L
.64978 .56523 L
.6522 .56198 L
.65409 .5604 L
.65704 .55625 L
.65754 .55557 L
.66085 .55073 L
.66187 .54943 L
.66291 .5459 L
.6667 .54237 L
.6683 .54107 L
.67153 .53669 L
.67189 .53624 L
.6752 .53141 L
.67636 .53023 L
.67939 .52658 L
.68119 .52359 L
.68321 .52174 L
.68603 .51811 L
.68707 .51691 L
.69086 .51224 L
.691 .51208 L
.69527 .50725 L
.69569 .50658 L
.70006 .50242 L
F
0 .48 1 r
.64737 .44765 m
.652 .44927 L
.64883 .4541 L
.64737 .45634 L
.64551 .45893 L
.64254 .46329 L
.6382 .45893 L
.64199 .4541 L
.64254 .45299 L
.64605 .44927 L
F
1 .36 0 r
.6667 .4841 m
.67008 .48792 L
.66755 .49275 L
.6667 .4938 L
.66374 .49758 L
.66187 .5003 L
.66031 .50242 L
.65704 .50703 L
.65687 .50725 L
.65323 .51208 L
.6522 .51423 L
.64946 .51691 L
.64737 .51965 L
.6456 .52174 L
.64254 .52558 L
.6383 .52174 L
.64153 .51691 L
.64254 .51544 L
.64496 .51208 L
.64737 .50865 L
.64844 .50725 L
.65174 .50242 L
.6522 .50198 L
.65571 .49758 L
.65704 .49582 L
.65956 .49275 L
.66187 .48979 L
.66353 .48792 L
F
1 .56 0 r
.64254 .43489 m
.6431 .4396 L
.64254 .44055 L
.63835 .4396 L
F
0 .18 1 r
.64254 .49622 m
.64709 .49758 L
.64326 .50242 L
.64254 .50336 L
.63835 .50242 L
.64161 .49758 L
F
0 .46 1 r
.64737 .44801 m
.65166 .44927 L
.6486 .4541 L
.64737 .45601 L
.64529 .45893 L
.64254 .46301 L
.63844 .45893 L
.64222 .4541 L
.64254 .45345 L
.64633 .44927 L
F
1 .34 0 r
.6667 .48437 m
.66986 .48792 L
.66717 .49275 L
.6667 .49333 L
.66358 .49758 L
.66187 .50009 L
.66016 .50242 L
.65704 .50683 L
.65671 .50725 L
.65309 .51208 L
.6522 .51397 L
.64931 .51691 L
.64737 .51945 L
.64542 .52174 L
.64254 .52534 L
.63849 .52174 L
.64168 .51691 L
.64254 .51565 L
.64511 .51208 L
.64737 .50884 L
.64859 .50725 L
.65199 .50242 L
.6522 .50222 L
.65585 .49758 L
.65704 .49601 L
.65973 .49275 L
.66187 .49001 L
.66374 .48792 L
F
1 .88 0 r
.64254 .39198 m
.645 .39612 L
.64254 .40052 L
.63857 .39612 L
F
0 .16 1 r
.64254 .49649 m
.64685 .49758 L
.64305 .50242 L
.64254 .50309 L
.63863 .50242 L
.6418 .49758 L
F
1 .6 0 r
.68603 .50063 m
.6894 .50242 L
.68692 .50725 L
.68603 .50872 L
.68394 .51208 L
.68119 .51635 L
.68081 .51691 L
.67843 .52174 L
.67636 .52421 L
.67412 .52658 L
.67153 .5302 L
.67063 .53141 L
.66722 .53624 L
.6667 .53686 L
.66344 .54107 L
.66187 .54375 L
.65968 .5459 L
.65704 .54932 L
.65585 .55073 L
.6522 .55528 L
.65194 .55557 L
.64779 .5604 L
.64737 .56106 L
.6432 .56523 L
.64254 .56594 L
.63863 .56523 L
.64108 .5604 L
.64254 .55788 L
.64402 .55557 L
.64689 .55073 L
.64737 .55005 L
.65043 .5459 L
.6522 .54332 L
.65385 .54107 L
.65704 .53654 L
.65727 .53624 L
.6598 .53141 L
.66187 .52948 L
.66452 .52658 L
.6667 .52364 L
.66823 .52174 L
.67153 .51741 L
.67195 .51691 L
.67584 .51208 L
.67636 .51118 L
.67997 .50725 L
.68119 .50574 L
.68441 .50242 L
F
0 .44 1 r
.64737 .44839 m
.65128 .44927 L
.64836 .4541 L
.64737 .45566 L
.64506 .45893 L
.64254 .4627 L
.63869 .45893 L
.64246 .4541 L
.64254 .45394 L
.64664 .44927 L
F
1 .32 0 r
.6522 .50245 m
.65656 .50725 L
.65295 .51208 L
.6522 .5137 L
.64915 .51691 L
.64737 .51925 L
.64523 .52174 L
.64254 .5251 L
.63869 .52174 L
.64183 .51691 L
.64254 .51587 L
.64525 .51208 L
.64737 .50904 L
.64874 .50725 L
F
0 .78 1 r
.69569 .5073 m
.6992 .51208 L
.69663 .51691 L
.69569 .51869 L
.69334 .52174 L
.69086 .52546 L
.69011 .52658 L
.68679 .53141 L
.68603 .53267 L
.68428 .53624 L
.68119 .53992 L
.67992 .54107 L
.67639 .5459 L
.67636 .54595 L
.67299 .55073 L
.67153 .55256 L
.671 .55557 L
.6667 .55921 L
.66544 .5604 L
.66187 .56504 L
.66171 .56523 L
.65822 .57006 L
.65704 .57116 L
.65388 .57489 L
.6522 .5773 L
.64973 .57973 L
.64737 .58248 L
.6453 .58456 L
.64254 .58745 L
.63881 .58456 L
.64142 .57973 L
.64254 .57789 L
.64445 .57489 L
.64737 .57035 L
.64757 .57006 L
.65009 .56523 L
.6522 .56235 L
.65431 .5604 L
.65704 .55653 L
.65775 .55557 L
.66107 .55073 L
.66187 .54971 L
.66313 .5459 L
.6667 .5426 L
.66848 .54107 L
.67153 .53694 L
.67209 .53624 L
.67547 .53141 L
.67636 .53051 L
.6796 .52658 L
.68119 .52388 L
.68346 .52174 L
.68603 .51845 L
.68738 .51691 L
.69086 .51267 L
.69141 .51208 L
F
1 .3 0 r
.6522 .50265 m
.6564 .50725 L
.65281 .51208 L
.6522 .5134 L
.649 .51691 L
.64737 .51904 L
.64504 .52174 L
.64254 .52485 L
.6389 .52174 L
.64199 .51691 L
.64254 .5161 L
.64541 .51208 L
.64737 .50925 L
.64889 .50725 L
F
1 .54 0 r
.64254 .43573 m
.64269 .4396 L
.64254 .43987 L
.63893 .4396 L
F
0 .14 1 r
.64254 .49679 m
.6466 .49758 L
.64283 .50242 L
.64254 .5028 L
.63894 .50242 L
.64201 .49758 L
F
0 .42 1 r
.64254 .45435 m
.64482 .45893 L
.64254 .46238 L
.63896 .45893 L
F
1 .28 0 r
.6522 .50286 m
.65623 .50725 L
.65266 .51208 L
.6522 .51309 L
.64883 .51691 L
.64737 .51882 L
.64484 .52174 L
.64254 .52459 L
.63912 .52174 L
.64216 .51691 L
.64254 .51634 L
.64556 .51208 L
.64737 .50946 L
.64905 .50725 L
F
0 .4 1 r
.64254 .45472 m
.64456 .45893 L
.64254 .46204 L
.63925 .45893 L
F
0 .12 1 r
.64254 .49711 m
.64631 .49758 L
.64259 .50242 L
.64254 .50248 L
.6393 .50242 L
.64223 .49758 L
F
1 .58 0 r
.68603 .50113 m
.68888 .50242 L
.6866 .50725 L
.68603 .50821 L
.68368 .51208 L
.68119 .516 L
.68058 .51691 L
.67813 .52174 L
.67636 .52386 L
.67394 .52658 L
.67153 .52995 L
.67045 .53141 L
.667 .53624 L
.6667 .53659 L
.66326 .54107 L
.66187 .5435 L
.65948 .5459 L
.65704 .54906 L
.65562 .55073 L
.6522 .55498 L
.65167 .55557 L
.64749 .5604 L
.64737 .56059 L
.64272 .56523 L
.64254 .56541 L
.6393 .56523 L
.6414 .5604 L
.64254 .55836 L
.64429 .55557 L
.64723 .55073 L
.64737 .55053 L
.65061 .5459 L
.6522 .54358 L
.65402 .54107 L
.65704 .53677 L
.65744 .53624 L
.66008 .53141 L
.66187 .52974 L
.66468 .52658 L
.6667 .52385 L
.66841 .52174 L
.67153 .51764 L
.67215 .51691 L
.67604 .51208 L
.67636 .51152 L
.68023 .50725 L
.68119 .50607 L
.68482 .50242 L
F
1 .26 0 r
.6522 .50307 m
.65606 .50725 L
.65251 .51208 L
.6522 .51276 L
.64866 .51691 L
.64737 .5186 L
.64463 .52174 L
.64254 .52431 L
.63936 .52174 L
.64233 .51691 L
.64254 .51659 L
.64572 .51208 L
.64737 .50968 L
.64922 .50725 L
F
0 .94 1 r
.71502 .52251 m
.71981 .52658 L
.71845 .53141 L
.71502 .53488 L
.71421 .53624 L
.71074 .54107 L
.71019 .54256 L
.70794 .5459 L
.70535 .54994 L
.70454 .55073 L
.70115 .55557 L
.70052 .55638 L
.69735 .5604 L
.69569 .5632 L
.69449 .56523 L
.69086 .56981 L
.69061 .57006 L
.68649 .57489 L
.68603 .57617 L
.68338 .57973 L
.68119 .58271 L
.68061 .58456 L
.67636 .5891 L
.67609 .58939 L
.67218 .59422 L
.67153 .59523 L
.66893 .59905 L
.6667 .60149 L
.66479 .60388 L
.66187 .60766 L
.66087 .60872 L
.65704 .61348 L
.65689 .61355 L
.65301 .61838 L
.6522 .61894 L
.64817 .62321 L
.64737 .62415 L
.64278 .62804 L
.64254 .62835 L
.63942 .62804 L
.64085 .62321 L
.64254 .61987 L
.6434 .61838 L
.64576 .61355 L
.64737 .6119 L
.64947 .60872 L
.6522 .60463 L
.65272 .60388 L
.65593 .59905 L
.65704 .5973 L
.65822 .59422 L
.66187 .59098 L
.66304 .58939 L
.66653 .58456 L
.6667 .58428 L
.66966 .57973 L
.67153 .57739 L
.67372 .57489 L
.67636 .57044 L
.67731 .57006 L
.68085 .56523 L
.68119 .56478 L
.68378 .5604 L
.68603 .55815 L
.6883 .55557 L
.69086 .55144 L
.69197 .55073 L
.69561 .5459 L
.69569 .54582 L
.69843 .54107 L
.70052 .53948 L
.70339 .53624 L
.70535 .53304 L
.70734 .53141 L
.71019 .52789 L
.71142 .52658 L
F
0 .76 1 r
.69569 .50796 m
.69866 .51208 L
.69609 .51691 L
.69569 .5177 L
.693 .52174 L
.69086 .52499 L
.68981 .52658 L
.68654 .53141 L
.68603 .53225 L
.68404 .53624 L
.68119 .53964 L
.67968 .54107 L
.67636 .54564 L
.67616 .5459 L
.67275 .55073 L
.67153 .55226 L
.6708 .55557 L
.6667 .55894 L
.6652 .5604 L
.66187 .56471 L
.66143 .56523 L
.65783 .57006 L
.65704 .57078 L
.65355 .57489 L
.6522 .57685 L
.6493 .57973 L
.64737 .58193 L
.64464 .58456 L
.64254 .58664 L
.63952 .58456 L
.64186 .57973 L
.64254 .57855 L
.64481 .57489 L
.64737 .57081 L
.64788 .57006 L
.65042 .56523 L
.6522 .56278 L
.65454 .5604 L
.65704 .55682 L
.65797 .55557 L
.6613 .55073 L
.66187 .55001 L
.66338 .5459 L
.6667 .54284 L
.66867 .54107 L
.67153 .5372 L
.6723 .53624 L
.67575 .53141 L
.67636 .53081 L
.67981 .52658 L
.68119 .5242 L
.68372 .52174 L
.68603 .5188 L
.68771 .51691 L
.69086 .51312 L
.69187 .51208 L
F
0 .38 1 r
.64254 .45513 m
.64428 .45893 L
.64254 .46167 L
.63956 .45893 L
F
1 .24 0 r
.6522 .5033 m
.65588 .50725 L
.65235 .51208 L
.6522 .51241 L
.64849 .51691 L
.64737 .51836 L
.6444 .52174 L
.64254 .52402 L
.6396 .52174 L
.6425 .51691 L
.64254 .51685 L
.64589 .51208 L
.64737 .50991 L
.64939 .50725 L
F
1 .22 0 r
.64254 .51717 m
.64416 .52174 L
.64254 .52371 L
.63988 .52174 L
F
0 .36 1 r
.64254 .45558 m
.64398 .45893 L
.64254 .46125 L
.6399 .45893 L
F
0 .44 1 r
.64254 .53679 m
.64649 .54107 L
.64254 .54561 L
.63994 .54107 L
F
1 .88 0 r
.71019 .51078 m
.71242 .51208 L
.71128 .51691 L
.71019 .51779 L
.7081 .52174 L
.70535 .52632 L
.7052 .52658 L
.70241 .53141 L
.70052 .53462 L
.69895 .53624 L
.69569 .54096 L
.69562 .54107 L
.69209 .5459 L
.69086 .54796 L
.68938 .55073 L
.68603 .55484 L
.68526 .55557 L
.68148 .5604 L
.68119 .56106 L
.67819 .56523 L
.67636 .56762 L
.67579 .57006 L
.67153 .57411 L
.67075 .57489 L
.66698 .57973 L
.6667 .58012 L
.66361 .58456 L
.66187 .5863 L
.65931 .58939 L
.65704 .59245 L
.65529 .59422 L
.6522 .59874 L
.65111 .59905 L
.64737 .60319 L
.64662 .60388 L
.64254 .60772 L
.64 .60388 L
.64241 .59905 L
.64254 .59892 L
.64544 .59422 L
.64737 .5912 L
.64858 .58939 L
.65175 .58456 L
.6522 .58381 L
.65412 .57973 L
.65704 .57587 L
.65867 .57489 L
.66187 .57039 L
.66211 .57006 L
.66535 .56523 L
.6667 .56352 L
.66927 .5604 L
.67153 .55644 L
.67288 .55557 L
.67636 .55084 L
.67645 .55073 L
.67958 .5459 L
.68119 .54429 L
.68391 .54107 L
.68603 .53757 L
.68767 .53624 L
.69086 .53208 L
.69143 .53141 L
.69491 .52658 L
.69569 .526 L
.69941 .52174 L
.70052 .51991 L
.70374 .51691 L
.70535 .51505 L
.7087 .51208 L
F
1 .86 0 r
.64254 .39405 m
.64362 .39612 L
.64254 .39869 L
.64015 .39612 L
F
1 .2 0 r
.64254 .51752 m
.6439 .52174 L
.64254 .52337 L
.64017 .52174 L
F
0 .42 1 r
.64254 .5371 m
.64623 .54107 L
.64254 .54527 L
.64019 .54107 L
F
0 .34 1 r
.64254 .4561 m
.64364 .45893 L
.64254 .46077 L
.6403 .45893 L
F
1 .26 0 r
.64254 .47528 m
.64584 .47826 L
.64254 .48295 L
.64039 .47826 L
F
0 .74 1 r
.69086 .51359 m
.69554 .51691 L
.69264 .52174 L
.69086 .52449 L
.6895 .52658 L
.68627 .53141 L
.68603 .5318 L
.68377 .53624 L
.68119 .53933 L
.67944 .54107 L
.67636 .54532 L
.67593 .5459 L
.67251 .55073 L
.67153 .55194 L
.67055 .55557 L
.6667 .55866 L
.66495 .5604 L
.66187 .56437 L
.66115 .56523 L
.65741 .57006 L
.65704 .57039 L
.65319 .57489 L
.6522 .57635 L
.64883 .57973 L
.64737 .58135 L
.64382 .58456 L
.64254 .5857 L
.64044 .58456 L
.64233 .57973 L
.64254 .57934 L
.64517 .57489 L
.64737 .5713 L
.64819 .57006 L
.6508 .56523 L
.6522 .56327 L
.65476 .5604 L
.65704 .55713 L
.65818 .55557 L
.66154 .55073 L
.66187 .55032 L
.66367 .5459 L
.6667 .54311 L
.66887 .54107 L
.67153 .53746 L
.67251 .53624 L
.67606 .53141 L
.67636 .53111 L
.68004 .52658 L
.68119 .52455 L
.68399 .52174 L
.68603 .51916 L
.68806 .51691 L
F
0 .4 1 r
.64254 .53744 m
.64596 .54107 L
.64254 .5449 L
.64044 .54107 L
F
1 .18 0 r
.64254 .51791 m
.6436 .52174 L
.64254 .523 L
.64052 .52174 L
F
1 .24 0 r
.64254 .47558 m
.6456 .47826 L
.64254 .48265 L
.64061 .47826 L
F
0 .38 1 r
.64254 .53781 m
.64567 .54107 L
.64254 .54451 L
.64072 .54107 L
F
0 .32 1 r
.64254 .45674 m
.64324 .45893 L
.64254 .46018 L
.6408 .45893 L
F
1 .22 0 r
.64254 .4759 m
.64535 .47826 L
.64254 .48233 L
.64085 .47826 L
F
1 .16 0 r
.64254 .51837 m
.64326 .52174 L
.64254 .52258 L
.64093 .52174 L
F
0 .36 1 r
.64254 .53823 m
.64534 .54107 L
.64254 .54407 L
.64102 .54107 L
F
1 .2 0 r
.64254 .47625 m
.64506 .47826 L
.64254 .48198 L
.64111 .47826 L
F
0 .74 1 r
.64254 .41404 m
.64479 .41544 L
.64254 .42009 L
.6412 .41544 L
F
0 .34 1 r
.64254 .5387 m
.64497 .54107 L
.64254 .54358 L
.64134 .54107 L
F
1 .86 0 r
.64254 .6006 m
.64514 .60388 L
.64254 .60579 L
.64135 .60388 L
F
1 .18 0 r
.64254 .47663 m
.64474 .47826 L
.64254 .48158 L
.64139 .47826 L
F
1 .14 0 r
.64254 .51896 m
.64284 .52174 L
.64254 .52208 L
.64151 .52174 L
F
0 .3 1 r
.64254 .45773 m
.64273 .45893 L
.64254 .45933 L
.64154 .45893 L
F
1 .16 0 r
.64254 .47707 m
.64437 .47826 L
.64254 .48111 L
.64171 .47826 L
F
0 .32 1 r
.64254 .53927 m
.64452 .54107 L
.64254 .54299 L
.64172 .54107 L
F
1 .56 0 r
.64254 .55891 m
.64712 .5604 L
.64254 .56479 L
.64175 .5604 L
F
1 .14 0 r
.64254 .47761 m
.64387 .47826 L
.64254 .48051 L
.6421 .47826 L
F
1 .54 0 r
.64254 .55956 m
.64664 .5604 L
.64254 .56401 L
.64213 .5604 L
F
0 .3 1 r
.64254 .54007 m
.64391 .54107 L
.64254 .54216 L
.64219 .54107 L
F
0 .72 1 r
.64254 .41538 m
.64311 .41544 L
.64254 .41872 L
.64246 .41544 L
F
0 .1 1 r
.64254 .49747 m
.64598 .49758 L
.64254 .50207 L
.64247 .49758 L
F
1 .4 0 r
.65704 .45608 m
.66 .45893 L
.65719 .46376 L
.65704 .464 L
.65393 .46859 L
.6522 .47117 L
.65056 .47342 L
.64737 .47802 L
.64264 .47342 L
.64643 .46859 L
.64737 .4666 L
.65039 .46376 L
.6522 .46149 L
.65457 .45893 L
F
0 .46 1 r
.67153 .49774 m
.67543 .50242 L
.67304 .50725 L
.67153 .50906 L
.6689 .51208 L
.6667 .51521 L
.66544 .51691 L
.66199 .52174 L
.66187 .52189 L
.6583 .52658 L
.65704 .52895 L
.65453 .53141 L
.6522 .53443 L
.65068 .53624 L
.64737 .54036 L
.64271 .53624 L
.64601 .53141 L
.64737 .52942 L
.64943 .52658 L
.6522 .52263 L
.65288 .52174 L
.65582 .51691 L
.65704 .51577 L
.66013 .51208 L
.66187 .50975 L
.66391 .50725 L
.6667 .50362 L
.66774 .50242 L
F
1 .22 0 r
.64737 .51015 m
.65218 .51208 L
.6483 .51691 L
.64737 .51812 L
.64272 .51691 L
.64606 .51208 L
F
0 .42 1 r
.64737 .4488 m
.65084 .44927 L
.6481 .4541 L
.64737 .45528 L
.64277 .4541 L
.64698 .44927 L
F
1 .38 0 r
.6522 .46176 m
.65698 .46376 L
.65375 .46859 L
.6522 .47092 L
.65039 .47342 L
.64737 .4778 L
.64282 .47342 L
.6466 .46859 L
.64737 .46693 L
.6506 .46376 L
F
0 .44 1 r
.67153 .49799 m
.67522 .50242 L
.67271 .50725 L
.67153 .50868 L
.66874 .51208 L
.6667 .51499 L
.66528 .51691 L
.66187 .52166 L
.66181 .52174 L
.65815 .52658 L
.65704 .52871 L
.65436 .53141 L
.6522 .53422 L
.65049 .53624 L
.64737 .54011 L
.64291 .53624 L
.64617 .53141 L
.64737 .52964 L
.64958 .52658 L
.6522 .52283 L
.65303 .52174 L
.65608 .51691 L
.65704 .51601 L
.66027 .51208 L
.66187 .50994 L
.66407 .50725 L
.6667 .50383 L
.66793 .50242 L
F
0 .72 1 r
.69086 .5141 m
.69505 .51691 L
.69227 .52174 L
.69086 .52396 L
.68918 .52658 L
.68603 .53134 L
.68598 .53141 L
.68347 .53624 L
.68119 .53897 L
.6792 .54107 L
.67636 .545 L
.67569 .5459 L
.67225 .55073 L
.67153 .55161 L
.67026 .55557 L
.6667 .55836 L
.66469 .5604 L
.66187 .56403 L
.66086 .56523 L
.65704 .56998 L
.65697 .57006 L
.65282 .57489 L
.6522 .57581 L
.6483 .57973 L
.64737 .58073 L
.64292 .57973 L
.64557 .57489 L
.64737 .57183 L
.64853 .57006 L
.65121 .56523 L
.6522 .56383 L
.655 .5604 L
.65704 .55744 L
.65841 .55557 L
.6618 .55073 L
.66187 .55064 L
.66398 .5459 L
.6667 .54341 L
.66907 .54107 L
.67153 .53772 L
.67272 .53624 L
.67636 .53143 L
.67638 .53141 L
.68027 .52658 L
.68119 .52492 L
.68428 .52174 L
.68603 .51954 L
.68845 .51691 L
F
1 .2 0 r
.64737 .5104 m
.65197 .51208 L
.64811 .51691 L
.64737 .51787 L
.64296 .51691 L
.64624 .51208 L
F
1 .36 0 r
.6522 .46203 m
.65673 .46376 L
.65357 .46859 L
.6522 .47067 L
.65022 .47342 L
.64737 .47757 L
.64301 .47342 L
.64678 .46859 L
.64737 .46729 L
.65081 .46376 L
F
0 .42 1 r
.67153 .49826 m
.675 .50242 L
.67236 .50725 L
.67153 .50826 L
.66858 .51208 L
.6667 .51477 L
.66512 .51691 L
.66187 .52145 L
.66164 .52174 L
.65799 .52658 L
.65704 .52845 L
.6542 .53141 L
.6522 .534 L
.65029 .53624 L
.64737 .53986 L
.64312 .53624 L
.64633 .53141 L
.64737 .52987 L
.64974 .52658 L
.6522 .52304 L
.65319 .52174 L
.65634 .51691 L
.65704 .51626 L
.66042 .51208 L
.66187 .51014 L
.66424 .50725 L
.6667 .50405 L
.66813 .50242 L
F
0 .4 1 r
.64737 .44926 m
.65027 .44927 L
.64782 .4541 L
.64737 .45485 L
.64313 .4541 L
.64737 .44927 L
F
1 .34 0 r
.6522 .46232 m
.65646 .46376 L
.65338 .46859 L
.6522 .4704 L
.65004 .47342 L
.64737 .47733 L
.64321 .47342 L
.64696 .46859 L
.64737 .46769 L
.65103 .46376 L
F
1 .18 0 r
.64737 .51066 m
.65175 .51208 L
.6479 .51691 L
.64737 .5176 L
.64323 .51691 L
.64642 .51208 L
F
1 .86 0 r
.70535 .51615 m
.70934 .51691 L
.70725 .52174 L
.70535 .52512 L
.70452 .52658 L
.70182 .53141 L
.70052 .53375 L
.69847 .53624 L
.69569 .54032 L
.69518 .54107 L
.69175 .5459 L
.69086 .54741 L
.68908 .55073 L
.68603 .55447 L
.68491 .55557 L
.68129 .5604 L
.68119 .56062 L
.67787 .56523 L
.67636 .56718 L
.67557 .57006 L
.67153 .57373 L
.67039 .57489 L
.6667 .57966 L
.66664 .57973 L
.66311 .58456 L
.66187 .58575 L
.65882 .58939 L
.65704 .59183 L
.65467 .59422 L
.6522 .5983 L
.65026 .59905 L
.64737 .6021 L
.64334 .59905 L
.64603 .59422 L
.64737 .59203 L
.64908 .58939 L
.6522 .58456 L
.6522 .58456 L
.65454 .57973 L
.65704 .57636 L
.65899 .57489 L
.66187 .5708 L
.66242 .57006 L
.66566 .56523 L
.6667 .56392 L
.66953 .5604 L
.67153 .55672 L
.67314 .55557 L
.67636 .55119 L
.67673 .55073 L
.67996 .5459 L
.68119 .54468 L
.6842 .54107 L
.68603 .53793 L
.68801 .53624 L
.69086 .53254 L
.69184 .53141 L
.69569 .52662 L
.69573 .52658 L
.69997 .52174 L
.70052 .52082 L
.70464 .51691 L
F
0 .4 1 r
.67153 .49854 m
.67477 .50242 L
.67199 .50725 L
.67153 .50781 L
.66841 .51208 L
.6667 .51454 L
.66495 .51691 L
.66187 .52124 L
.66147 .52174 L
.65784 .52658 L
.65704 .52817 L
.65403 .53141 L
.6522 .53377 L
.65008 .53624 L
.64737 .53959 L
.64334 .53624 L
.64649 .53141 L
.64737 .53011 L
.6499 .52658 L
.6522 .52325 L
.65335 .52174 L
.65662 .51691 L
.65704 .51653 L
.66057 .51208 L
.66187 .51034 L
.66441 .50725 L
.6667 .50428 L
.66835 .50242 L
F
0 .8 1 r
.64737 .40644 m
.64969 .41061 L
.64737 .41477 L
.64339 .41061 L
F
1 .32 0 r
.6522 .46262 m
.65617 .46376 L
.65318 .46859 L
.6522 .47011 L
.64985 .47342 L
.64737 .47708 L
.64341 .47342 L
.64716 .46859 L
.64737 .46811 L
.65127 .46376 L
F
1 .88 0 r
.64737 .38881 m
.64746 .39128 L
.64737 .3915 L
.64343 .39128 L
F
1 .16 0 r
.64737 .51095 m
.6515 .51208 L
.64768 .51691 L
.64737 .51732 L
.64352 .51691 L
.64662 .51208 L
F
0 .38 1 r
.64737 .44987 m
.64752 .4541 L
.64737 .45436 L
.64355 .4541 L
F
.67153 .49884 m
.67453 .50242 L
.67159 .50725 L
.67153 .50732 L
.66824 .51208 L
.6667 .5143 L
.66479 .51691 L
.66187 .52101 L
.6613 .52174 L
.65768 .52658 L
.65704 .52787 L
.65385 .53141 L
.6522 .53354 L
.64987 .53624 L
.64737 .53931 L
.64357 .53624 L
.64667 .53141 L
.64737 .53035 L
.65006 .52658 L
.6522 .52347 L
.65351 .52174 L
.65692 .51691 L
.65704 .5168 L
.66072 .51208 L
.66187 .51054 L
.66458 .50725 L
.6667 .50451 L
.66857 .50242 L
F
1 .3 0 r
.6522 .46294 m
.65584 .46376 L
.65297 .46859 L
.6522 .46981 L
.64965 .47342 L
.64737 .47682 L
.64363 .47342 L
.64736 .46859 L
.64737 .46856 L
.65153 .46376 L
F
0 .7 1 r
.69086 .51465 m
.69451 .51691 L
.69189 .52174 L
.69086 .52339 L
.68885 .52658 L
.68603 .53091 L
.68568 .53141 L
.68313 .53624 L
.68119 .53857 L
.67895 .54107 L
.67636 .54467 L
.67544 .5459 L
.67197 .55073 L
.67153 .55126 L
.66991 .55557 L
.6667 .55803 L
.66443 .5604 L
.66187 .56368 L
.66056 .56523 L
.65704 .56958 L
.6566 .57006 L
.65241 .57489 L
.6522 .57521 L
.64769 .57973 L
.64737 .58005 L
.64372 .57973 L
.64599 .57489 L
.64737 .57244 L
.64887 .57006 L
.65166 .56523 L
.6522 .56446 L
.65524 .5604 L
.65704 .55776 L
.65864 .55557 L
.66187 .55095 L
.66203 .55073 L
.66433 .5459 L
.6667 .54374 L
.66927 .54107 L
.67153 .538 L
.67295 .53624 L
.67636 .53172 L
.67663 .53141 L
.68051 .52658 L
.68119 .52533 L
.68458 .52174 L
.68603 .51993 L
.68888 .51691 L
F
0 .36 1 r
.65704 .51705 m
.66112 .52174 L
.65751 .52658 L
.65704 .52755 L
.65367 .53141 L
.6522 .5333 L
.64965 .53624 L
.64737 .53902 L
.64381 .53624 L
.64684 .53141 L
.64737 .53061 L
.65023 .52658 L
.6522 .5237 L
.65368 .52174 L
F
1 .28 0 r
.64737 .46887 m
.64944 .47342 L
.64737 .47655 L
.64385 .47342 L
F
1 .14 0 r
.64737 .51125 m
.65124 .51208 L
.64745 .51691 L
.64737 .51701 L
.64386 .51691 L
.64683 .51208 L
F
0 .34 1 r
.65704 .51728 m
.66093 .52174 L
.65734 .52658 L
.65704 .52721 L
.65348 .53141 L
.6522 .53305 L
.64941 .53624 L
.64737 .53871 L
.64407 .53624 L
.64703 .53141 L
.64737 .53088 L
.6504 .52658 L
.6522 .52393 L
.65386 .52174 L
F
1 .26 0 r
.64737 .46918 m
.64923 .47342 L
.64737 .47625 L
.6441 .47342 L
F
0 .78 1 r
.64737 .40759 m
.64893 .41061 L
.64737 .41376 L
.64425 .41061 L
F
0 .32 1 r
.65704 .51751 m
.66074 .52174 L
.65717 .52658 L
.65704 .52685 L
.65328 .53141 L
.6522 .53279 L
.64916 .53624 L
.64737 .53839 L
.64435 .53624 L
.64722 .53141 L
.64737 .53117 L
.65058 .52658 L
.6522 .52418 L
.65404 .52174 L
F
1 .24 0 r
.64737 .46952 m
.64899 .47342 L
.64737 .47593 L
.64436 .47342 L
F
1 .84 0 r
.70052 .52187 m
.7038 .52658 L
.70115 .53141 L
.70052 .53258 L
.69797 .53624 L
.69569 .53965 L
.69474 .54107 L
.6914 .5459 L
.69086 .54682 L
.68874 .55073 L
.68603 .55405 L
.68456 .55557 L
.68119 .56016 L
.68101 .5604 L
.67753 .56523 L
.67636 .56672 L
.67528 .57006 L
.67153 .57332 L
.67001 .57489 L
.6667 .57915 L
.66622 .57973 L
.66254 .58456 L
.66187 .58518 L
.65829 .58939 L
.65704 .59114 L
.654 .59422 L
.6522 .59751 L
.64924 .59905 L
.64737 .60086 L
.64444 .59905 L
.64668 .59422 L
.64737 .59302 L
.64961 .58939 L
.6522 .58522 L
.65266 .58456 L
.65505 .57973 L
.65704 .57698 L
.65931 .57489 L
.66187 .57122 L
.66273 .57006 L
.666 .56523 L
.6667 .56435 L
.66979 .5604 L
.67153 .55706 L
.67342 .55557 L
.67636 .55155 L
.67702 .55073 L
.68037 .5459 L
.68119 .54509 L
.6845 .54107 L
.68603 .53835 L
.68837 .53624 L
.69086 .53302 L
.69228 .53141 L
.69569 .52723 L
.69631 .52658 L
F
1 .56 0 r
.64737 .55094 m
.65138 .55557 L
.64737 .56016 L
.64456 .55557 L
F
1 .22 0 r
.64737 .4699 m
.64874 .47342 L
.64737 .47559 L
.64464 .47342 L
F
0 .3 1 r
.64737 .53149 m
.64888 .53624 L
.64737 .53804 L
.64466 .53624 L
F
1 .54 0 r
.64737 .55132 m
.65107 .55557 L
.64737 .55974 L
.64486 .55557 L
F
1 .2 0 r
.64737 .47031 m
.64847 .47342 L
.64737 .4752 L
.64497 .47342 L
F
0 .2 1 r
.64737 .4894 m
.65077 .49275 L
.64737 .4975 L
.64497 .49275 L
F
0 .28 1 r
.64737 .53188 m
.64858 .53624 L
.64737 .53766 L
.64501 .53624 L
F
0 .18 1 r
.64737 .48966 m
.65057 .49275 L
.64737 .49724 L
.64516 .49275 L
F
1 .52 0 r
.64737 .55172 m
.65074 .55557 L
.64737 .5593 L
.64517 .55557 L
F
0 .92 1 r
.64737 .61376 m
.65087 .61838 L
.64737 .62146 L
.64522 .61838 L
F
0 .98 1 r
.73434 .53914 m
.73881 .54107 L
.73676 .5459 L
.73434 .55023 L
.73408 .55073 L
.73092 .55557 L
.72951 .5588 L
.72859 .5604 L
.72497 .56523 L
.72468 .56562 L
.72083 .57006 L
.71985 .57274 L
.71816 .57489 L
.71502 .57955 L
.71499 .57973 L
.71146 .58456 L
.71019 .5861 L
.70732 .58939 L
.70535 .59282 L
.70439 .59422 L
.70076 .59905 L
.70052 .59925 L
.6961 .60388 L
.69569 .60565 L
.69328 .60872 L
.69086 .61221 L
.69022 .61355 L
.68621 .61838 L
.68603 .61851 L
.682 .62321 L
.68119 .62469 L
.67885 .62804 L
.67636 .63105 L
.67619 .63288 L
.67153 .63725 L
.67114 .63771 L
.66717 .64254 L
.6667 .64305 L
.66362 .64737 L
.66187 .64883 L
.65893 .6522 L
.65704 .65436 L
.65431 .65704 L
.6522 .65957 L
.64869 .66187 L
.64737 .6628 L
.64522 .66187 L
.64655 .65704 L
.64737 .65539 L
.64914 .6522 L
.65198 .64737 L
.6522 .6469 L
.65421 .64254 L
.65704 .63982 L
.6585 .63771 L
.66184 .63288 L
.66187 .63281 L
.66499 .62804 L
.6667 .62543 L
.66883 .62321 L
.67153 .61946 L
.67234 .61838 L
.67585 .61355 L
.67636 .61276 L
.6788 .60872 L
.68119 .60581 L
.6831 .60388 L
.68603 .59988 L
.68667 .59905 L
.69013 .59422 L
.69086 .59331 L
.6928 .58939 L
.69569 .58657 L
.69762 .58456 L
.70052 .57989 L
.70123 .57973 L
.70467 .57489 L
.70535 .57419 L
.70866 .57006 L
.71019 .56764 L
.71242 .56523 L
.71502 .56102 L
.71615 .5604 L
.71985 .55561 L
.71989 .55557 L
.7239 .55073 L
.72468 .54952 L
.72806 .5459 L
.72951 .54345 L
.73253 .54107 L
F
1 .18 0 r
.64737 .47081 m
.64816 .47342 L
.64737 .47475 L
.64534 .47342 L
F
0 .16 1 r
.64737 .48993 m
.65035 .49275 L
.64737 .49697 L
.64537 .49275 L
F
0 .26 1 r
.64737 .53233 m
.64824 .53624 L
.64737 .53724 L
.64542 .53624 L
F
0 .76 1 r
.64737 .40924 m
.64791 .41061 L
.64737 .41221 L
.6455 .41061 L
F
1 .5 0 r
.64737 .55218 m
.65037 .55557 L
.64737 .55881 L
.64551 .55557 L
F
0 .14 1 r
.64737 .49021 m
.65012 .49275 L
.64737 .49668 L
.64558 .49275 L
F
1 .62 0 r
.64737 .42816 m
.64979 .42994 L
.64737 .43463 L
.64573 .42994 L
F
0 .12 1 r
.64737 .49052 m
.64987 .49275 L
.64737 .49636 L
.64581 .49275 L
F
1 .16 0 r
.64737 .47144 m
.6478 .47342 L
.64737 .4742 L
.64583 .47342 L
F
1 .48 0 r
.64737 .5527 m
.64995 .55557 L
.64737 .55826 L
.64589 .55557 L
F
0 .24 1 r
.64737 .53288 m
.64783 .53624 L
.64737 .53674 L
.64595 .53624 L
F
0 .1 1 r
.64737 .49086 m
.64959 .49275 L
.64737 .496 L
.64606 .49275 L
F
1 .82 0 r
.64737 .59434 m
.64768 .59905 L
.64737 .59928 L
.64632 .59905 L
F
1 .46 0 r
.64737 .55332 m
.64945 .55557 L
.64737 .5576 L
.64633 .55557 L
F
0 .08 1 r
.64737 .49124 m
.64927 .49275 L
.64737 .4956 L
.64634 .49275 L
F
1 .6 0 r
.64737 .42892 m
.64908 .42994 L
.64737 .43388 L
.64637 .42994 L
F
0 .68 1 r
.64737 .57314 m
.65191 .57489 L
.64737 .57924 L
.64645 .57489 L
F
0 .06 1 r
.64737 .49169 m
.64889 .49275 L
.64737 .49511 L
.64666 .49275 L
F
1 .96 0 r
.64737 .63615 m
.65164 .63771 L
.64737 .64026 L
.64682 .63771 L
F
1 .44 0 r
.64737 .5542 m
.64876 .55557 L
.64737 .55672 L
.64688 .55557 L
F
0 .66 1 r
.64737 .57405 m
.65125 .57489 L
.64737 .57816 L
.64697 .57489 L
F
1 .12 0 r
.64737 .51159 m
.65094 .51208 L
.64737 .51663 L
.64705 .51208 L
F
0 .04 1 r
.64737 .49226 m
.64836 .49275 L
.64737 .49445 L
.64706 .49275 L
F
1 .1 0 r
.64737 .51197 m
.65058 .51208 L
.64737 .51618 L
.6473 .51208 L
F
1 .58 0 r
.64737 .42994 m
.64752 .42994 L
.64737 .43276 L
.64737 .42994 L
F
0 .3 1 r
.6522 .52444 m
.65697 .52658 L
.65307 .53141 L
.6522 .53252 L
.64743 .53141 L
.65077 .52658 L
F
1 .82 0 r
.69569 .52789 m
.70038 .53141 L
.69746 .53624 L
.69569 .53893 L
.69429 .54107 L
.69103 .5459 L
.69086 .54619 L
.68836 .55073 L
.68603 .55358 L
.6842 .55557 L
.68119 .55968 L
.68066 .5604 L
.67717 .56523 L
.67636 .56624 L
.6749 .57006 L
.67153 .57288 L
.66963 .57489 L
.6667 .57864 L
.66579 .57973 L
.66189 .58456 L
.66187 .58458 L
.65773 .58939 L
.65704 .59037 L
.65324 .59422 L
.6522 .59625 L
.64743 .59422 L
.65018 .58939 L
.6522 .58598 L
.65314 .58456 L
.65564 .57973 L
.65704 .57776 L
.65965 .57489 L
.66187 .57167 L
.66305 .57006 L
.66637 .56523 L
.6667 .56482 L
.67006 .5604 L
.67153 .55745 L
.67369 .55557 L
.67636 .55192 L
.67732 .55073 L
.68081 .5459 L
.68119 .54553 L
.68482 .54107 L
.68603 .53884 L
.68874 .53624 L
.69086 .53353 L
.69276 .53141 L
F
0 .92 1 r
.71502 .52481 m
.71758 .52658 L
.71621 .53141 L
.71502 .53245 L
.71298 .53624 L
.71019 .54083 L
.71004 .54107 L
.70713 .5459 L
.70535 .54893 L
.70376 .55073 L
.70052 .5554 L
.70041 .55557 L
.69681 .5604 L
.69569 .56235 L
.69402 .56523 L
.69086 .5692 L
.69003 .57006 L
.68622 .57489 L
.68603 .57545 L
.68287 .57973 L
.68119 .58197 L
.6803 .58456 L
.67636 .58844 L
.67548 .58939 L
.67169 .59422 L
.67153 .59446 L
.66819 .59905 L
.6667 .60057 L
.66396 .60388 L
.66187 .60664 L
.65988 .60872 L
.65704 .61284 L
.65559 .61355 L
.6522 .61721 L
.6475 .61355 L
.65041 .60872 L
.6522 .60585 L
.65351 .60388 L
.65663 .59905 L
.65704 .5984 L
.65881 .59422 L
.66187 .59169 L
.66354 .58939 L
.6667 .58492 L
.66697 .58456 L
.67014 .57973 L
.67153 .57799 L
.67412 .57489 L
.67636 .57076 L
.67772 .57006 L
.68119 .56533 L
.68127 .56523 L
.68432 .5604 L
.68603 .55872 L
.68873 .55557 L
.69086 .55189 L
.69247 .55073 L
.69569 .54651 L
.6962 .5459 L
.69955 .54107 L
.70052 .54037 L
.70414 .53624 L
.70535 .53413 L
.70839 .53141 L
.71019 .52931 L
.71314 .52658 L
F
0 .32 1 r
.66187 .47048 m
.66472 .47342 L
.66189 .47826 L
.66187 .4783 L
.65862 .48309 L
.65704 .48544 L
.65523 .48792 L
.6522 .49225 L
.6475 .48792 L
.65127 .48309 L
.6522 .4809 L
.65521 .47826 L
.65704 .47595 L
.65935 .47342 L
F
1 .56 0 r
.68603 .50169 m
.68823 .50242 L
.68625 .50725 L
.68603 .50765 L
.6834 .51208 L
.68119 .51562 L
.68034 .51691 L
.6778 .52174 L
.67636 .52347 L
.67375 .52658 L
.67153 .5297 L
.67026 .53141 L
.66677 .53624 L
.6667 .53632 L
.66308 .54107 L
.66187 .54322 L
.65928 .5459 L
.65704 .5488 L
.65539 .55073 L
.6522 .55468 L
.64751 .55073 L
.6508 .5459 L
.6522 .54384 L
.6542 .54107 L
.65704 .53701 L
.65762 .53624 L
.66037 .53141 L
.66187 .53002 L
.66485 .52658 L
.6667 .52407 L
.66859 .52174 L
.67153 .51788 L
.67237 .51691 L
.67625 .51208 L
.67636 .51188 L
.6805 .50725 L
.68119 .50641 L
.68531 .50242 L
F
1 .28 0 r
.6522 .46329 m
.65546 .46376 L
.65276 .46859 L
.6522 .46948 L
.64763 .46859 L
.65181 .46376 L
F
0 .3 1 r
.65704 .47618 m
.66168 .47826 L
.65846 .48309 L
.65704 .48521 L
.65507 .48792 L
.6522 .49205 L
.64766 .48792 L
.65142 .48309 L
.6522 .48122 L
.65539 .47826 L
F
0 .28 1 r
.6522 .52471 m
.65674 .52658 L
.65286 .53141 L
.6522 .53224 L
.6477 .53141 L
.65096 .52658 L
F
1 .72 0 r
.6522 .42019 m
.65704 .41611 L
.65752 .42027 L
.65704 .42127 L
.65485 .42511 L
.6522 .42961 L
.64771 .42511 L
.65215 .42027 L
F
1 .54 0 r
.67636 .51222 m
.68009 .51691 L
.67744 .52174 L
.67636 .52305 L
.67355 .52658 L
.67153 .52943 L
.67007 .53141 L
.6667 .53606 L
.66656 .53624 L
.66289 .54107 L
.66187 .54292 L
.65908 .5459 L
.65704 .54853 L
.65515 .55073 L
.6522 .55436 L
.64777 .55073 L
.65099 .5459 L
.6522 .54411 L
.65439 .54107 L
.65704 .53725 L
.6578 .53624 L
.66069 .53141 L
.66187 .53032 L
.66502 .52658 L
.6667 .5243 L
.66878 .52174 L
.67153 .51813 L
.67259 .51691 L
F
0 .28 1 r
.65704 .47643 m
.66146 .47826 L
.65829 .48309 L
.65704 .48498 L
.65491 .48792 L
.6522 .49183 L
.64783 .48792 L
.65158 .48309 L
.6522 .48157 L
.65558 .47826 L
F
1 .26 0 r
.6522 .46367 m
.65499 .46376 L
.65252 .46859 L
.6522 .46912 L
.64793 .46859 L
.65213 .46376 L
F
0 .26 1 r
.6522 .525 m
.65649 .52658 L
.65262 .53141 L
.6522 .53194 L
.648 .53141 L
.65117 .52658 L
F
.65704 .47668 m
.66122 .47826 L
.65812 .48309 L
.65704 .48473 L
.65474 .48792 L
.6522 .49161 L
.64801 .48792 L
.65174 .48309 L
.6522 .48195 L
.65578 .47826 L
F
1 .52 0 r
.67636 .51253 m
.67983 .51691 L
.67705 .52174 L
.67636 .52258 L
.67335 .52658 L
.67153 .52916 L
.66987 .53141 L
.6667 .5358 L
.66635 .53624 L
.6627 .54107 L
.66187 .5426 L
.65887 .5459 L
.65704 .54825 L
.6549 .55073 L
.6522 .55403 L
.64803 .55073 L
.65119 .5459 L
.6522 .54439 L
.65458 .54107 L
.65704 .5375 L
.65799 .53624 L
.66103 .53141 L
.66187 .53063 L
.66519 .52658 L
.6667 .52453 L
.66897 .52174 L
.67153 .51839 L
.67282 .51691 L
F
1 .7 0 r
.6522 .42087 m
.65441 .42511 L
.6522 .42904 L
.64818 .42511 L
F
0 .24 1 r
.65704 .47695 m
.66096 .47826 L
.65794 .48309 L
.65704 .48447 L
.65457 .48792 L
.6522 .49138 L
.6482 .48792 L
.65191 .48309 L
.6522 .48236 L
.65599 .47826 L
F
1 .24 0 r
.6522 .46416 m
.65227 .46859 L
.6522 .46871 L
.64827 .46859 L
F
1 .5 0 r
.67636 .51286 m
.67956 .51691 L
.67663 .52174 L
.67636 .52207 L
.67315 .52658 L
.67153 .52888 L
.66967 .53141 L
.6667 .53553 L
.66614 .53624 L
.6625 .54107 L
.66187 .54225 L
.65865 .5459 L
.65704 .54797 L
.65464 .55073 L
.6522 .55369 L
.64831 .55073 L
.6514 .5459 L
.6522 .54469 L
.65477 .54107 L
.65704 .53777 L
.65819 .53624 L
.66139 .53141 L
.66187 .53096 L
.66537 .52658 L
.6667 .52477 L
.66918 .52174 L
.67153 .51866 L
.67307 .51691 L
F
0 .24 1 r
.6522 .52532 m
.65622 .52658 L
.65237 .53141 L
.6522 .53162 L
.64834 .53141 L
.65139 .52658 L
F
0 .22 1 r
.65704 .47723 m
.66067 .47826 L
.65775 .48309 L
.65704 .4842 L
.65439 .48792 L
.6522 .49114 L
.64839 .48792 L
.65209 .48309 L
.6522 .4828 L
.65621 .47826 L
F
0 .96 1 r
.6522 .35925 m
.65404 .36229 L
.6522 .36652 L
.64841 .36229 L
F
0 .2 1 r
.6522 .48319 m
.6542 .48792 L
.6522 .49089 L
.64859 .48792 L
F
1 .48 0 r
.67153 .51894 m
.67626 .52174 L
.67294 .52658 L
.67153 .52859 L
.66946 .53141 L
.6667 .53525 L
.66592 .53624 L
.66229 .54107 L
.66187 .54188 L
.65842 .5459 L
.65704 .54767 L
.65436 .55073 L
.6522 .55333 L
.64861 .55073 L
.65161 .5459 L
.6522 .545 L
.65498 .54107 L
.65704 .53804 L
.65839 .53624 L
.66177 .53141 L
.66187 .53132 L
.66555 .52658 L
.6667 .52502 L
.66939 .52174 L
F
1 .8 0 r
.69569 .52861 m
.69969 .53141 L
.69692 .53624 L
.69569 .53816 L
.69383 .54107 L
.69086 .54554 L
.69061 .5459 L
.68791 .55073 L
.68603 .55303 L
.68383 .55557 L
.68119 .5592 L
.68029 .5604 L
.67678 .56523 L
.67636 .56574 L
.67442 .57006 L
.67153 .5724 L
.66923 .57489 L
.6667 .57812 L
.66533 .57973 L
.66187 .58397 L
.66133 .58456 L
.65711 .58939 L
.65704 .58949 L
.65229 .59422 L
.6522 .59439 L
.64866 .59422 L
.65081 .58939 L
.6522 .58687 L
.65366 .58456 L
.65633 .57973 L
.65704 .57872 L
.66 .57489 L
.66187 .57214 L
.66338 .57006 L
.6667 .5653 L
.66675 .56523 L
.67034 .5604 L
.67153 .5579 L
.67398 .55557 L
.67636 .55231 L
.67763 .55073 L
.68119 .54599 L
.68127 .5459 L
.68515 .54107 L
.68603 .5394 L
.68915 .53624 L
.69086 .53406 L
.69331 .53141 L
F
1 .68 0 r
.6522 .42161 m
.65392 .42511 L
.6522 .42839 L
.64873 .42511 L
F
0 .18 1 r
.6522 .48347 m
.65401 .48792 L
.6522 .49063 L
.64881 .48792 L
F
1 .46 0 r
.66187 .53161 m
.6657 .53624 L
.66208 .54107 L
.66187 .54148 L
.65818 .5459 L
.65704 .54737 L
.65406 .55073 L
.6522 .55294 L
.64894 .55073 L
.65184 .5459 L
.6522 .54533 L
.65519 .54107 L
.65704 .53833 L
.6586 .53624 L
F
1 .96 0 r
.71985 .5373 m
.7242 .54107 L
.72264 .5459 L
.71985 .54881 L
.71872 .55073 L
.71534 .55557 L
.71502 .55656 L
.71244 .5604 L
.71019 .56405 L
.70913 .56523 L
.70573 .57006 L
.70535 .57054 L
.70191 .57489 L
.70052 .57737 L
.69904 .57973 L
.69569 .58404 L
.69523 .58456 L
.69112 .58939 L
.69086 .59036 L
.68793 .59422 L
.68603 .59687 L
.68513 .59905 L
.68119 .60329 L
.68067 .60388 L
.67675 .60872 L
.67636 .60935 L
.67335 .61355 L
.67153 .61552 L
.66924 .61838 L
.6667 .62162 L
.66523 .62321 L
.66187 .62758 L
.66109 .62804 L
.65704 .63256 L
.65671 .63288 L
.6522 .63729 L
.64895 .63288 L
.65119 .62804 L
.6522 .62707 L
.65467 .62321 L
.65704 .61957 L
.65785 .61838 L
.66097 .61355 L
.66187 .61212 L
.66301 .60872 L
.6667 .60572 L
.66805 .60388 L
.67149 .59905 L
.67153 .59899 L
.67457 .59422 L
.67636 .59201 L
.67869 .58939 L
.68119 .58594 L
.68227 .58456 L
.68579 .57973 L
.68603 .57943 L
.68865 .57489 L
.69086 .57274 L
.69325 .57006 L
.69569 .56588 L
.69693 .56523 L
.70052 .56047 L
.70058 .5604 L
.70444 .55557 L
.70535 .55411 L
.70836 .55073 L
.71019 .54758 L
.71234 .5459 L
.71502 .5426 L
.71647 .54107 L
F
0 .16 1 r
.6522 .48377 m
.6538 .48792 L
.6522 .49034 L
.64904 .48792 L
F
0 .68 1 r
.69086 .51526 m
.69391 .51691 L
.69148 .52174 L
.69086 .52277 L
.68851 .52658 L
.68603 .53045 L
.68538 .53141 L
.68275 .53624 L
.68119 .53812 L
.6787 .54107 L
.67636 .54433 L
.67519 .5459 L
.67168 .55073 L
.67153 .55091 L
.6695 .55557 L
.6667 .55767 L
.66416 .5604 L
.66187 .56333 L
.66025 .56523 L
.65704 .56917 L
.65621 .57006 L
.6522 .57462 L
.64925 .57006 L
.65216 .56523 L
.6522 .56516 L
.65548 .5604 L
.65704 .5581 L
.65887 .55557 L
.66187 .55126 L
.66226 .55073 L
.66471 .5459 L
.6667 .54409 L
.66948 .54107 L
.67153 .53828 L
.67318 .53624 L
.67636 .53203 L
.67689 .53141 L
.68076 .52658 L
.68119 .52578 L
.6849 .52174 L
.68603 .52034 L
.68936 .51691 L
F
0 .9 1 r
.71019 .53105 m
.71343 .53141 L
.71161 .53624 L
.71019 .53885 L
.70896 .54107 L
.70619 .5459 L
.70535 .54744 L
.70298 .55073 L
.70052 .55434 L
.6997 .55557 L
.69627 .5604 L
.69569 .56143 L
.6935 .56523 L
.69086 .56852 L
.68945 .57006 L
.68603 .57471 L
.68589 .57489 L
.68233 .57973 L
.68119 .58122 L
.67985 .58456 L
.67636 .58775 L
.67485 .58939 L
.67153 .59418 L
.67104 .59422 L
.6673 .59905 L
.6667 .59962 L
.66308 .60388 L
.66187 .60551 L
.65876 .60872 L
.65704 .6116 L
.65393 .61355 L
.6522 .61519 L
.64926 .61355 L
.65146 .60872 L
.6522 .6074 L
.65437 .60388 L
.65704 .59959 L
.6574 .59905 L
.65961 .59422 L
.66187 .59247 L
.66406 .58939 L
.6667 .58559 L
.66747 .58456 L
.67068 .57973 L
.67153 .57867 L
.67453 .57489 L
.67636 .57122 L
.67814 .57006 L
.68119 .56589 L
.68172 .56523 L
.68495 .5604 L
.68603 .55936 L
.68919 .55557 L
.69086 .55248 L
.693 .55073 L
.69569 .54723 L
.69684 .5459 L
.70052 .54134 L
.70077 .54107 L
.70501 .53624 L
.70535 .53563 L
.70984 .53141 L
F
0 .14 1 r
.6522 .48409 m
.65358 .48792 L
.6522 .49004 L
.6493 .48792 L
F
1 .44 0 r
.65704 .53863 m
.66186 .54107 L
.65793 .5459 L
.65704 .54704 L
.65373 .55073 L
.6522 .55253 L
.64931 .55073 L
.65207 .5459 L
.6522 .5457 L
.65541 .54107 L
F
1 .66 0 r
.6522 .42249 m
.65335 .42511 L
.6522 .42758 L
.64938 .42511 L
F
1 .22 0 r
.6522 .50353 m
.65569 .50725 L
.6522 .51205 L
.64956 .50725 L
F
0 .12 1 r
.6522 .48445 m
.65334 .48792 L
.6522 .4897 L
.64958 .48792 L
F
0 .66 1 r
.6522 .56569 m
.65579 .57006 L
.6522 .57405 L
.64965 .57006 L
F
1 .42 0 r
.6522 .54613 m
.65336 .55073 L
.6522 .55207 L
.64973 .55073 L
F
1 .2 0 r
.6522 .50377 m
.6555 .50725 L
.6522 .5118 L
.64975 .50725 L
F
0 .1 1 r
.6522 .48486 m
.65308 .48792 L
.6522 .48933 L
.64989 .48792 L
F
1 .18 0 r
.6522 .50402 m
.65529 .50725 L
.6522 .51154 L
.64994 .50725 L
F
0 .64 1 r
.6522 .56625 m
.65531 .57006 L
.6522 .57343 L
.65009 .57006 L
F
1 .16 0 r
.6522 .50429 m
.65508 .50725 L
.6522 .51126 L
.65014 .50725 L
F
1 .4 0 r
.6522 .54667 m
.65293 .55073 L
.6522 .55155 L
.65025 .55073 L
F
0 .08 1 r
.6522 .48535 m
.65279 .48792 L
.6522 .48889 L
.65027 .48792 L
F
1 .64 0 r
.6522 .42375 m
.65264 .42511 L
.6522 .42639 L
.6503 .42511 L
F
1 .14 0 r
.6522 .50458 m
.65484 .50725 L
.6522 .51096 L
.65036 .50725 L
F
0 .48 1 r
.6522 .44251 m
.65457 .44443 L
.6522 .44895 L
.65045 .44443 L
F
1 .12 0 r
.6522 .50489 m
.65459 .50725 L
.6522 .51064 L
.65059 .50725 L
F
0 .62 1 r
.6522 .56691 m
.65476 .57006 L
.6522 .57271 L
.65059 .57006 L
F
0 .06 1 r
.6522 .48601 m
.65244 .48792 L
.6522 .48834 L
.65078 .48792 L
F
1 .1 0 r
.6522 .50524 m
.65431 .50725 L
.6522 .51028 L
.65084 .50725 L
F
0 .46 1 r
.6522 .44305 m
.65409 .44443 L
.6522 .44841 L
.6509 .44443 L
F
1 .38 0 r
.6522 .54737 m
.65238 .55073 L
.6522 .55092 L
.65105 .55073 L
F
1 .08 0 r
.6522 .50563 m
.65399 .50725 L
.6522 .50987 L
.65113 .50725 L
F
0 .6 1 r
.6522 .56777 m
.65406 .57006 L
.6522 .57182 L
.65121 .57006 L
F
0 .44 1 r
.6522 .44369 m
.65346 .44443 L
.6522 .44773 L
.65145 .44443 L
F
1 .06 0 r
.6522 .50609 m
.65361 .50725 L
.6522 .50937 L
.65146 .50725 L
F
1 .78 0 r
.6522 .58802 m
.65622 .58939 L
.6522 .59293 L
.65154 .58939 L
F
0 .22 1 r
.6522 .52566 m
.65592 .52658 L
.6522 .53125 L
.65162 .52658 L
F
1 .04 0 r
.6522 .50669 m
.65308 .50725 L
.6522 .50869 L
.65187 .50725 L
F
0 .2 1 r
.6522 .52604 m
.65558 .52658 L
.6522 .5308 L
.65187 .52658 L
F
0 .58 1 r
.6522 .5694 m
.65278 .57006 L
.6522 .57029 L
.65211 .57006 L
F
0 .18 1 r
.6522 .52648 m
.65517 .52658 L
.6522 .53026 L
.65215 .52658 L
F
1 .32 0 r
.6667 .48466 m
.66963 .48792 L
.66676 .49275 L
.6667 .49283 L
.66343 .49758 L
.66187 .49987 L
.66001 .50242 L
.65704 .50663 L
.65223 .50242 L
.65599 .49758 L
.65704 .4962 L
.65989 .49275 L
.66187 .49023 L
.66395 .48792 L
F
0 .2 1 r
.65704 .47754 m
.66035 .47826 L
.65756 .48309 L
.65704 .48391 L
.65229 .48309 L
.65645 .47826 L
F
1 .42 0 r
.65704 .53895 m
.66158 .54107 L
.65767 .5459 L
.65704 .5467 L
.65236 .5459 L
.65564 .54107 L
F
0 .62 1 r
.65704 .43431 m
.66187 .43011 L
.66244 .43477 L
.66187 .43587 L
.6597 .4396 L
.65704 .44407 L
.65236 .4396 L
.65675 .43477 L
F
1 .3 0 r
.66187 .49045 m
.66652 .49275 L
.66327 .49758 L
.66187 .49965 L
.65985 .50242 L
.65704 .50642 L
.65239 .50242 L
.65614 .49758 L
.65704 .4964 L
.66007 .49275 L
F
1 .94 0 r
.65704 .37274 m
.65939 .37679 L
.65704 .38155 L
.6525 .37679 L
F
0 .66 1 r
.69086 .51597 m
.69315 .51691 L
.69103 .52174 L
.69086 .52205 L
.68816 .52658 L
.68603 .52996 L
.68506 .53141 L
.68233 .53624 L
.68119 .53761 L
.67844 .54107 L
.67636 .54398 L
.67493 .5459 L
.67153 .55055 L
.67139 .55073 L
.66902 .55557 L
.6667 .55728 L
.66388 .5604 L
.66187 .56296 L
.65992 .56523 L
.65704 .56874 L
.65251 .56523 L
.65574 .5604 L
.65704 .55846 L
.65912 .55557 L
.66187 .55157 L
.6625 .55073 L
.66514 .5459 L
.6667 .54448 L
.6697 .54107 L
.67153 .53857 L
.67342 .53624 L
.67636 .53234 L
.67716 .53141 L
.68103 .52658 L
.68119 .52626 L
.68525 .52174 L
.68603 .52079 L
.68996 .51691 L
F
0 .18 1 r
.65704 .47787 m
.65998 .47826 L
.65735 .48309 L
.65704 .48359 L
.65255 .48309 L
.65671 .47826 L
F
1 .28 0 r
.66187 .49069 m
.66631 .49275 L
.6631 .49758 L
.66187 .49941 L
.65969 .50242 L
.65704 .50621 L
.65256 .50242 L
.65629 .49758 L
.65704 .4966 L
.66025 .49275 L
F
0 .6 1 r
.65704 .4349 m
.65939 .4396 L
.65704 .44366 L
.65269 .4396 L
F
1 .4 0 r
.65704 .5393 m
.66128 .54107 L
.65738 .5459 L
.65704 .54634 L
.65271 .5459 L
.65588 .54107 L
F
1 .26 0 r
.66187 .49094 m
.66608 .49275 L
.66293 .49758 L
.66187 .49917 L
.65952 .50242 L
.65704 .50599 L
.65274 .50242 L
.65645 .49758 L
.65704 .49681 L
.66044 .49275 L
F
0 .16 1 r
.65704 .47823 m
.65951 .47826 L
.65713 .48309 L
.65704 .48324 L
.65284 .48309 L
.65701 .47826 L
F
0 .64 1 r
.68119 .52673 m
.68473 .53141 L
.68185 .53624 L
.68119 .53704 L
.67818 .54107 L
.67636 .54362 L
.67467 .5459 L
.67153 .5502 L
.67111 .55073 L
.66848 .55557 L
.6667 .55686 L
.66359 .5604 L
.66187 .56258 L
.65957 .56523 L
.65704 .56829 L
.65287 .56523 L
.65601 .5604 L
.65704 .55884 L
.65937 .55557 L
.66187 .55191 L
.66275 .55073 L
.6656 .5459 L
.6667 .5449 L
.66992 .54107 L
.67153 .53887 L
.67367 .53624 L
.67636 .53268 L
.67745 .53141 L
F
1 .24 0 r
.66187 .49119 m
.66583 .49275 L
.66275 .49758 L
.66187 .49892 L
.65935 .50242 L
.65704 .50576 L
.65292 .50242 L
.65661 .49758 L
.65704 .49703 L
.66064 .49275 L
F
0 .88 1 r
.70052 .54235 m
.70508 .5459 L
.70216 .55073 L
.70052 .55321 L
.69898 .55557 L
.6957 .5604 L
.69569 .56042 L
.69287 .56523 L
.69086 .56772 L
.68886 .57006 L
.68603 .57393 L
.6853 .57489 L
.68175 .57973 L
.68119 .58043 L
.6792 .58456 L
.67636 .58699 L
.6742 .58939 L
.67153 .59395 L
.6703 .59422 L
.6667 .59862 L
.66631 .59905 L
.66208 .60388 L
.66187 .60418 L
.65734 .60872 L
.65704 .60926 L
.65297 .60872 L
.65535 .60388 L
.65704 .60089 L
.65822 .59905 L
.66067 .59422 L
.66187 .59333 L
.66462 .58939 L
.6667 .58632 L
.66799 .58456 L
.6713 .57973 L
.67153 .57944 L
.67497 .57489 L
.67636 .57186 L
.67859 .57006 L
.68119 .56648 L
.68219 .56523 L
.68567 .5604 L
.68603 .56006 L
.68967 .55557 L
.69086 .55324 L
.69359 .55073 L
.69569 .54802 L
.69758 .5459 L
F
0 .58 1 r
.65704 .43539 m
.65906 .4396 L
.65704 .44322 L
.65304 .4396 L
F
1 .22 0 r
.66187 .49147 m
.66556 .49275 L
.66257 .49758 L
.66187 .49865 L
.65917 .50242 L
.65704 .50552 L
.65311 .50242 L
.65678 .49758 L
.65704 .49725 L
.66085 .49275 L
F
1 .38 0 r
.65704 .53967 m
.66095 .54107 L
.65707 .5459 L
.65704 .54594 L
.65314 .5459 L
.65614 .54107 L
F
0 .62 1 r
.68119 .52715 m
.68438 .53141 L
.68133 .53624 L
.68119 .5364 L
.6779 .54107 L
.67636 .54324 L
.67439 .5459 L
.67153 .54984 L
.67083 .55073 L
.66786 .55557 L
.6667 .55639 L
.66328 .5604 L
.66187 .56218 L
.65919 .56523 L
.65704 .56781 L
.65327 .56523 L
.65629 .5604 L
.65704 .55925 L
.65963 .55557 L
.66187 .55226 L
.66302 .55073 L
.6661 .5459 L
.6667 .54536 L
.67015 .54107 L
.67153 .53918 L
.67393 .53624 L
.67636 .53302 L
.67777 .53141 L
F
1 .2 0 r
.66187 .49175 m
.66527 .49275 L
.66238 .49758 L
.66187 .49837 L
.65899 .50242 L
.65704 .50527 L
.65331 .50242 L
.65696 .49758 L
.65704 .49749 L
.66107 .49275 L
F
0 .56 1 r
.65704 .43594 m
.6587 .4396 L
.65704 .44273 L
.65344 .4396 L
F
1 .18 0 r
.65704 .49775 m
.65879 .50242 L
.65704 .50501 L
.65352 .50242 L
F
0 .6 1 r
.67636 .53339 m
.68094 .53624 L
.67762 .54107 L
.67636 .54285 L
.67411 .5459 L
.67153 .54946 L
.67053 .55073 L
.66716 .55557 L
.6667 .55589 L
.66296 .5604 L
.66187 .56177 L
.65878 .56523 L
.65704 .56729 L
.65372 .56523 L
.65658 .5604 L
.65704 .55969 L
.65991 .55557 L
.66187 .55264 L
.66329 .55073 L
.66665 .5459 L
.6667 .54586 L
.67039 .54107 L
.67153 .53951 L
.67421 .53624 L
F
1 .16 0 r
.65704 .49804 m
.65859 .50242 L
.65704 .50472 L
.65375 .50242 L
F
0 .54 1 r
.65704 .43656 m
.6583 .4396 L
.65704 .44216 L
.65389 .4396 L
F
1 .14 0 r
.65704 .49836 m
.65837 .50242 L
.65704 .50442 L
.654 .50242 L
F
0 .3 1 r
.65704 .51776 m
.66053 .52174 L
.65704 .5265 L
.65423 .52174 L
F
1 .78 0 r
.65704 .5798 m
.66072 .58456 L
.65704 .58866 L
.65423 .58456 L
F
0 .58 1 r
.66187 .55304 m
.66655 .55557 L
.66261 .5604 L
.66187 .56133 L
.65832 .56523 L
.65704 .56671 L
.65424 .56523 L
.6569 .5604 L
.65704 .56018 L
.66021 .55557 L
F
1 .12 0 r
.65704 .49871 m
.65813 .50242 L
.65704 .50409 L
.65428 .50242 L
F
0 .28 1 r
.65704 .51802 m
.66032 .52174 L
.65704 .52623 L
.65443 .52174 L
F
0 .52 1 r
.65704 .43732 m
.65785 .4396 L
.65704 .44145 L
.65444 .4396 L
F
1 .1 0 r
.65704 .49911 m
.65788 .50242 L
.65704 .50373 L
.65459 .50242 L
F
0 .26 1 r
.65704 .51829 m
.6601 .52174 L
.65704 .52594 L
.65464 .52174 L
F
1 .38 0 r
.65704 .45644 m
.6597 .45893 L
.65704 .46368 L
.65485 .45893 L
F
0 .24 1 r
.65704 .51858 m
.65987 .52174 L
.65704 .52564 L
.65486 .52174 L
F
1 .76 0 r
.65704 .58062 m
.66001 .58456 L
.65704 .58773 L
.65489 .58456 L
F
0 .56 1 r
.65704 .56082 m
.65777 .56523 L
.65704 .56604 L
.6549 .56523 L
F
1 .94 0 r
.71502 .5453 m
.71843 .5459 L
.71646 .55073 L
.71502 .55331 L
.71376 .55557 L
.71091 .5604 L
.71019 .56171 L
.70774 .56523 L
.70535 .56871 L
.70445 .57006 L
.70098 .57489 L
.70052 .57575 L
.6981 .57973 L
.69569 .58278 L
.69417 .58456 L
.69086 .58903 L
.69059 .58939 L
.68697 .59422 L
.68603 .59548 L
.68429 .59905 L
.68119 .60197 L
.6795 .60388 L
.67636 .60844 L
.67564 .60872 L
.67176 .61355 L
.67153 .61377 L
.66757 .61838 L
.6667 .61951 L
.66312 .62321 L
.66187 .62521 L
.65789 .62804 L
.65704 .62877 L
.65492 .62804 L
.65659 .62321 L
.65704 .62238 L
.65941 .61838 L
.66187 .61431 L
.66238 .61355 L
.66444 .60872 L
.6667 .60709 L
.66898 .60388 L
.67153 .60018 L
.67236 .59905 L
.67554 .59422 L
.67636 .5932 L
.67941 .58939 L
.68119 .5869 L
.68301 .58456 L
.68603 .58041 L
.68657 .57973 L
.68973 .57489 L
.69086 .57382 L
.69402 .57006 L
.69569 .56678 L
.69782 .56523 L
.70052 .56169 L
.70163 .5604 L
.70535 .55575 L
.70552 .55557 L
.70974 .55073 L
.71019 .54989 L
.71446 .5459 L
F
1 .08 0 r
.65704 .49958 m
.65759 .50242 L
.65704 .50331 L
.65496 .50242 L
F
0 .22 1 r
.65704 .5189 m
.65961 .52174 L
.65704 .52531 L
.6551 .52174 L
F
1 .36 0 r
.65704 .45682 m
.65938 .45893 L
.65704 .4633 L
.65515 .45893 L
F
0 .5 1 r
.65704 .43845 m
.65729 .4396 L
.65704 .4404 L
.65521 .4396 L
F
0 .2 1 r
.65704 .51924 m
.65934 .52174 L
.65704 .52495 L
.65535 .52174 L
F
1 .06 0 r
.65704 .50019 m
.65726 .50242 L
.65704 .50279 L
.65544 .50242 L
F
1 .34 0 r
.65704 .45724 m
.65902 .45893 L
.65704 .46288 L
.65549 .45893 L
F
0 .18 1 r
.65704 .51962 m
.65903 .52174 L
.65704 .52455 L
.65563 .52174 L
F
1 .74 0 r
.65704 .58168 m
.65911 .58456 L
.65704 .58658 L
.65571 .58456 L
F
1 .32 0 r
.65704 .45773 m
.65859 .45893 L
.65704 .46237 L
.65589 .45893 L
F
0 .16 1 r
.65704 .52006 m
.65867 .52174 L
.65704 .52408 L
.65596 .52174 L
F
0 .14 1 r
.65704 .52061 m
.65822 .52174 L
.65704 .5235 L
.65634 .52174 L
F
1 .3 0 r
.65704 .45831 m
.65802 .45893 L
.65704 .46173 L
.65639 .45893 L
F
1 .36 0 r
.65704 .5401 m
.66058 .54107 L
.65704 .54545 L
.65643 .54107 L
F
1 1 1 r
.66187 .1833 m
.6667 .18053 L
.67153 .17973 L
.67636 .17968 L
.68119 .17986 L
.68603 .18009 L
.69086 .18029 L
.69569 .18046 L
.70052 .18058 L
.70535 .18068 L
.71019 .18075 L
.71502 .1808 L
.71985 .18084 L
.72468 .18087 L
.72951 .18089 L
.73434 .1809 L
.73918 .1809 L
.74401 .1809 L
.74884 .18089 L
.75367 .18088 L
.7585 .18086 L
.76334 .18082 L
.76817 .18078 L
.773 .18072 L
.77783 .18063 L
.78266 .18052 L
.7875 .18038 L
.79233 .18019 L
.79716 .17997 L
.80199 .17975 L
.80682 .17965 L
.81165 .17999 L
.81649 .18154 L
.81912 .18351 L
.82132 .18629 L
.82232 .18835 L
.8238 .19318 L
.82433 .19801 L
.82408 .20284 L
.82296 .20767 L
.82132 .21133 L
.8205 .2125 L
.81649 .2158 L
.81165 .21698 L
.80682 .21697 L
.80199 .21662 L
.79716 .21623 L
.79233 .21591 L
.7875 .21565 L
.78266 .21546 L
.77783 .21531 L
.773 .2152 L
.76817 .21513 L
.76334 .21507 L
.7585 .21503 L
.75367 .215 L
.74884 .21498 L
.74401 .21497 L
.73918 .21497 L
.73434 .21498 L
.72951 .21499 L
.72468 .21501 L
.71985 .21505 L
.71502 .2151 L
.71019 .21516 L
.70535 .21525 L
.70052 .21538 L
.69569 .21555 L
.69086 .21577 L
.68603 .21606 L
.68119 .21642 L
.67636 .21681 L
.67153 .21705 L
.6667 .21663 L
.66187 .21421 L
.66027 .2125 L
.6578 .20767 L
.65704 .20601 L
.65669 .20284 L
.65644 .19801 L
.65696 .19318 L
.65704 .19269 L
.65845 .18835 L
.66165 .18351 L
F
0 .86 1 r
.65704 .60287 m
.66055 .60388 L
.65704 .60667 L
.65659 .60388 L
F
1 .34 0 r
.65704 .54058 m
.66014 .54107 L
.65704 .54486 L
.65674 .54107 L
F
0 .12 1 r
.65704 .52144 m
.6575 .52174 L
.65704 .52255 L
.65688 .52174 L
F
1 .78 0 r
.69569 .52943 m
.69889 .53141 L
.69634 .53624 L
.69569 .5373 L
.69334 .54107 L
.69086 .54488 L
.69017 .5459 L
.68738 .55073 L
.68603 .55239 L
.68346 .55557 L
.68119 .55869 L
.67992 .5604 L
.67636 .56522 L
.67635 .56523 L
.67383 .57006 L
.67153 .57186 L
.66882 .57489 L
.6667 .57757 L
.66485 .57973 L
.66187 .58334 L
.65709 .57973 L
.66036 .57489 L
.66187 .57264 L
.66373 .57006 L
.6667 .56575 L
.66709 .56523 L
.67063 .5604 L
.67153 .55843 L
.67429 .55557 L
.67636 .55271 L
.67796 .55073 L
.68119 .54642 L
.68163 .5459 L
.68549 .54107 L
.68603 .54004 L
.68959 .53624 L
.69086 .53464 L
.69394 .53141 L
F
0 .36 1 r
.6667 .50475 m
.67134 .50725 L
.66806 .51208 L
.6667 .51406 L
.66461 .51691 L
.66187 .52078 L
.65715 .51691 L
.66088 .51208 L
.66187 .51076 L
.66477 .50725 L
F
0 .6 1 r
.66187 .43109 m
.66201 .43477 L
.66187 .43508 L
.65718 .43477 L
F
1 .18 0 r
.66187 .49206 m
.66494 .49275 L
.66217 .49758 L
.66187 .49806 L
.65719 .49758 L
.66131 .49275 L
F
1 .52 0 r
.66187 .44879 m
.6667 .44464 L
.6671 .44927 L
.6667 .45004 L
.66436 .4541 L
.66187 .45828 L
.65721 .4541 L
.6616 .44927 L
F
0 .56 1 r
.66187 .55348 m
.66617 .55557 L
.66223 .5604 L
.66187 .56085 L
.65732 .5604 L
.66052 .55557 L
F
0 .34 1 r
.6667 .505 m
.67111 .50725 L
.66788 .51208 L
.6667 .5138 L
.66443 .51691 L
.66187 .52054 L
.65733 .51691 L
.66104 .51208 L
.66187 .51098 L
.66496 .50725 L
F
0 .9 1 r
.66187 .38727 m
.66406 .39128 L
.66187 .39577 L
.65734 .39128 L
F
1 .16 0 r
.66187 .4924 m
.66455 .49275 L
.66196 .49758 L
.66187 .49773 L
.65746 .49758 L
.66158 .49275 L
F
1 .5 0 r
.66187 .44931 m
.66411 .4541 L
.66187 .45794 L
.65748 .4541 L
F
0 .32 1 r
.6667 .50527 m
.67086 .50725 L
.66769 .51208 L
.6667 .51354 L
.66425 .51691 L
.66187 .5203 L
.65752 .51691 L
.66121 .51208 L
.66187 .5112 L
.66516 .50725 L
F
1 .76 0 r
.69569 .53043 m
.69786 .53141 L
.6957 .53624 L
.69569 .53626 L
.69282 .54107 L
.69086 .54416 L
.6897 .5459 L
.68677 .55073 L
.68603 .55164 L
.68307 .55557 L
.68119 .55817 L
.67953 .5604 L
.67636 .5647 L
.67595 .56523 L
.6731 .57006 L
.67153 .57125 L
.66838 .57489 L
.6667 .57701 L
.66433 .57973 L
.66187 .58266 L
.65762 .57973 L
.66075 .57489 L
.66187 .57319 L
.6641 .57006 L
.6667 .56623 L
.66745 .56523 L
.67093 .5604 L
.67153 .55904 L
.6746 .55557 L
.67636 .55314 L
.6783 .55073 L
.68119 .54688 L
.68203 .5459 L
.68587 .54107 L
.68603 .54076 L
.69008 .53624 L
.69086 .53527 L
.69476 .53141 L
F
0 .3 1 r
.6667 .50555 m
.6706 .50725 L
.66749 .51208 L
.6667 .51326 L
.66406 .51691 L
.66187 .52004 L
.65772 .51691 L
.66139 .51208 L
.66187 .51144 L
.66537 .50725 L
F
1 .48 0 r
.66187 .44971 m
.66384 .4541 L
.66187 .45758 L
.65776 .4541 L
F
0 .28 1 r
.6667 .50584 m
.67031 .50725 L
.66729 .51208 L
.6667 .51296 L
.66386 .51691 L
.66187 .51977 L
.65793 .51691 L
.66157 .51208 L
.66187 .51168 L
.6656 .50725 L
F
1 .46 0 r
.66187 .45014 m
.66356 .4541 L
.66187 .45718 L
.65807 .4541 L
F
0 .26 1 r
.6667 .50615 m
.66999 .50725 L
.66707 .51208 L
.6667 .51265 L
.66365 .51691 L
.66187 .51949 L
.65816 .51691 L
.66177 .51208 L
.66187 .51194 L
.66584 .50725 L
F
1 .74 0 r
.68603 .54143 m
.6892 .5459 L
.68606 .55073 L
.68603 .55078 L
.68266 .55557 L
.68119 .55762 L
.67913 .5604 L
.67636 .56416 L
.67552 .56523 L
.67222 .57006 L
.67153 .57057 L
.66791 .57489 L
.6667 .5764 L
.66375 .57973 L
.66187 .58193 L
.65823 .57973 L
.66117 .57489 L
.66187 .5738 L
.66449 .57006 L
.6667 .56675 L
.66783 .56523 L
.67125 .5604 L
.67153 .55974 L
.67493 .55557 L
.67636 .55359 L
.67868 .55073 L
.68119 .54738 L
.68246 .5459 L
F
0 .24 1 r
.66187 .51224 m
.66343 .51691 L
.66187 .51919 L
.6584 .51691 L
F
1 .44 0 r
.66187 .45061 m
.66326 .4541 L
.66187 .45675 L
.65841 .4541 L
F
0 .22 1 r
.66187 .51257 m
.66319 .51691 L
.66187 .51887 L
.65866 .51691 L
F
1 .42 0 r
.66187 .45116 m
.66292 .4541 L
.66187 .45624 L
.6588 .4541 L
F
1 .44 0 r
.66187 .53189 m
.66546 .53624 L
.66187 .54106 L
.65883 .53624 L
F
0 .2 1 r
.66187 .51294 m
.66294 .51691 L
.66187 .51851 L
.65895 .51691 L
F
1 .72 0 r
.6667 .56732 m
.67136 .57006 L
.6674 .57489 L
.6667 .57575 L
.66307 .57973 L
.66187 .58108 L
.65899 .57973 L
.66163 .57489 L
.66187 .57451 L
.66491 .57006 L
F
1 .42 0 r
.66187 .53219 m
.66521 .53624 L
.66187 .54074 L
.65906 .53624 L
F
0 .86 1 r
.66187 .59436 m
.66527 .59905 L
.66187 .60277 L
.65917 .59905 L
F
1 .4 0 r
.66187 .45182 m
.66254 .4541 L
.66187 .45563 L
.65926 .4541 L
F
0 .18 1 r
.66187 .51336 m
.66267 .51691 L
.66187 .51812 L
.65929 .51691 L
F
1 .4 0 r
.66187 .53251 m
.66495 .53624 L
.66187 .5404 L
.6593 .53624 L
F
0 .88 1 r
.66187 .3901 m
.66233 .39128 L
.66187 .39321 L
.65936 .39128 L
F
1 .38 0 r
.66187 .53286 m
.66467 .53624 L
.66187 .54003 L
.65957 .53624 L
F
0 .3 1 r
.66187 .4708 m
.66446 .47342 L
.66187 .47799 L
.65959 .47342 L
F
0 .16 1 r
.66187 .51387 m
.66235 .51691 L
.66187 .51767 L
.65969 .51691 L
F
1 .36 0 r
.66187 .53323 m
.66436 .53624 L
.66187 .53963 L
.65985 .53624 L
F
0 .28 1 r
.66187 .47114 m
.66418 .47342 L
.66187 .47764 L
.65986 .47342 L
F
1 .38 0 r
.66187 .45278 m
.66209 .4541 L
.66187 .45476 L
.65988 .4541 L
F
1 .7 0 r
.66187 .57549 m
.66216 .57973 L
.66187 .58004 L
.66015 .57973 L
F
0 .26 1 r
.66187 .47152 m
.66387 .47342 L
.66187 .47726 L
.66016 .47342 L
F
1 .34 0 r
.66187 .53366 m
.66402 .53624 L
.66187 .53919 L
.66017 .53624 L
F
0 .14 1 r
.66187 .51455 m
.66198 .51691 L
.66187 .5171 L
.66026 .51691 L
F
0 .84 1 r
.66187 .59592 m
.6639 .59905 L
.66187 .60102 L
.66044 .59905 L
F
0 .24 1 r
.66187 .47193 m
.66351 .47342 L
.66187 .47683 L
.66049 .47342 L
F
1 .78 0 r
.66187 .40959 m
.66332 .41061 L
.66187 .41511 L
.66053 .41061 L
F
1 .32 0 r
.66187 .53414 m
.66363 .53624 L
.66187 .53868 L
.66053 .53624 L
F
0 .54 1 r
.66187 .55397 m
.66574 .55557 L
.66187 .56031 L
.66086 .55557 L
F
0 .22 1 r
.66187 .47242 m
.66308 .47342 L
.66187 .4763 L
.66089 .47342 L
F
1 .3 0 r
.66187 .53474 m
.66315 .53624 L
.66187 .53805 L
.66097 .53624 L
F
0 .52 1 r
.66187 .55454 m
.66523 .55557 L
.66187 .55964 L
.66125 .55557 L
F
0 .2 1 r
.66187 .47303 m
.66248 .47342 L
.66187 .4756 L
.66144 .47342 L
F
1 .28 0 r
.66187 .53566 m
.66242 .53624 L
.66187 .53707 L
.66158 .53624 L
F
1 .92 0 r
.66187 .61765 m
.66494 .61838 L
.66187 .62049 L
.66159 .61838 L
F
0 .5 1 r
.66187 .55526 m
.66458 .55557 L
.66187 .55876 L
.66169 .55557 L
F
0 .46 1 r
.67153 .45875 m
.67349 .45893 L
.67196 .46376 L
.67153 .46457 L
.66918 .46859 L
.6667 .47269 L
.6619 .46859 L
.66625 .46376 L
.6667 .46291 L
.67134 .45893 L
F
1 .5 0 r
.6667 .44547 m
.66675 .44927 L
.6667 .44937 L
.66192 .44927 L
F
0 .86 1 r
.70052 .54353 m
.70393 .5459 L
.70127 .55073 L
.70052 .55191 L
.69822 .55557 L
.69569 .55939 L
.695 .5604 L
.69209 .56523 L
.69086 .56675 L
.68825 .57006 L
.68603 .57311 L
.68469 .57489 L
.68119 .57959 L
.68109 .57973 L
.67828 .58456 L
.67636 .58611 L
.67351 .58939 L
.67153 .59335 L
.6695 .59422 L
.6667 .59757 L
.66196 .59422 L
.66521 .58939 L
.6667 .58713 L
.66855 .58456 L
.67153 .5802 L
.67189 .57973 L
.67542 .57489 L
.67636 .5727 L
.67906 .57006 L
.68119 .56711 L
.6827 .56523 L
.68603 .56078 L
.68634 .5604 L
.6902 .55557 L
.69086 .55421 L
.69424 .55073 L
.69569 .54889 L
.69848 .5459 L
F
0 .24 1 r
.6667 .5065 m
.66963 .50725 L
.66684 .51208 L
.6667 .5123 L
.66201 .51208 L
.66611 .50725 L
F
1 .46 0 r
.67153 .51923 m
.67599 .52174 L
.67272 .52658 L
.67153 .52828 L
.66924 .53141 L
.6667 .53496 L
.66203 .53141 L
.66574 .52658 L
.6667 .52528 L
.66961 .52174 L
F
0 .44 1 r
.6667 .46339 m
.67153 .45937 L
.67167 .46376 L
.67153 .46404 L
.66896 .46859 L
.6667 .4724 L
.66213 .46859 L
.66651 .46376 L
F
1 .7 0 r
.6667 .56798 m
.67078 .57006 L
.66681 .57489 L
.6667 .57503 L
.66225 .57489 L
.66538 .57006 L
F
1 .44 0 r
.67153 .51954 m
.6757 .52174 L
.67249 .52658 L
.67153 .52797 L
.66902 .53141 L
.6667 .53466 L
.66226 .53141 L
.66594 .52658 L
.6667 .52554 L
.66984 .52174 L
F
0 .98 1 r
.6667 .33979 m
.66855 .34296 L
.6667 .34758 L
.66227 .34296 L
F
0 .42 1 r
.6667 .46387 m
.66873 .46859 L
.6667 .47208 L
.66237 .46859 L
F
1 .42 0 r
.67153 .51987 m
.67539 .52174 L
.67225 .52658 L
.67153 .52763 L
.66878 .53141 L
.6667 .53435 L
.6625 .53141 L
.66615 .52658 L
.6667 .52583 L
.67009 .52174 L
F
0 .4 1 r
.6667 .46423 m
.66849 .46859 L
.6667 .47174 L
.66262 .46859 L
F
1 .84 0 r
.6667 .40253 m
.66826 .40578 L
.6667 .40934 L
.66268 .40578 L
F
1 .4 0 r
.67153 .52022 m
.67505 .52174 L
.672 .52658 L
.67153 .52727 L
.66854 .53141 L
.6667 .53402 L
.66276 .53141 L
.66637 .52658 L
.6667 .52612 L
.67036 .52174 L
F
0 .38 1 r
.6667 .46462 m
.66823 .46859 L
.6667 .47138 L
.6629 .46859 L
F
0 .84 1 r
.69569 .54989 m
.7002 .55073 L
.69738 .55557 L
.69569 .55822 L
.69425 .5604 L
.69111 .56523 L
.69086 .56554 L
.6876 .57006 L
.68603 .57223 L
.68404 .57489 L
.68119 .57873 L
.6804 .57973 L
.67704 .58456 L
.67636 .58508 L
.67275 .58939 L
.67153 .59218 L
.66857 .59422 L
.6667 .59638 L
.66291 .59422 L
.66587 .58939 L
.6667 .58808 L
.66917 .58456 L
.67153 .581 L
.67248 .57973 L
.67591 .57489 L
.67636 .57377 L
.67957 .57006 L
.68119 .5678 L
.68326 .56523 L
.68603 .56152 L
.68698 .5604 L
.69079 .55557 L
.69086 .55542 L
.69501 .55073 L
F
1 .38 0 r
.67153 .5206 m
.67467 .52174 L
.67173 .52658 L
.67153 .52688 L
.66828 .53141 L
.6667 .53366 L
.66304 .53141 L
.6666 .52658 L
.6667 .52644 L
.67065 .52174 L
F
0 .36 1 r
.6667 .46506 m
.66796 .46859 L
.6667 .47097 L
.66321 .46859 L
F
1 .36 0 r
.6667 .52681 m
.668 .53141 L
.6667 .53328 L
.66335 .53141 L
F
0 .34 1 r
.6667 .46555 m
.66766 .46859 L
.6667 .47051 L
.66355 .46859 L
F
0 .58 1 r
.6667 .54625 m
.67021 .55073 L
.6667 .5554 L
.66358 .55073 L
F
1 .34 0 r
.6667 .52725 m
.66769 .53141 L
.6667 .53286 L
.6637 .53141 L
F
0 .56 1 r
.6667 .54665 m
.66987 .55073 L
.6667 .55495 L
.6639 .55073 L
F
0 .32 1 r
.6667 .46615 m
.66733 .46859 L
.6667 .46996 L
.66396 .46859 L
F
1 .92 0 r
.6667 .60884 m
.66989 .61355 L
.6667 .61696 L
.66405 .61355 L
F
1 .32 0 r
.6667 .52776 m
.66735 .53141 L
.6667 .53238 L
.66411 .53141 L
F
1 .82 0 r
.6667 .40469 m
.66705 .40578 L
.6667 .40731 L
.66414 .40578 L
F
1 .3 0 r
.6667 .48496 m
.66939 .48792 L
.6667 .49249 L
.66418 .48792 L
F
0 .54 1 r
.6667 .54709 m
.6695 .55073 L
.6667 .55448 L
.66424 .55073 L
F
0 .82 1 r
.67153 .58194 m
.67587 .58456 L
.67187 .58939 L
.67153 .59023 L
.66735 .59422 L
.6667 .59492 L
.6643 .59422 L
.66663 .58939 L
.6667 .58927 L
.66987 .58456 L
F
1 .28 0 r
.6667 .48528 m
.66913 .48792 L
.6667 .49217 L
.66443 .48792 L
F
0 .3 1 r
.6667 .46698 m
.66694 .46859 L
.6667 .46923 L
.66449 .46859 L
F
0 .52 1 r
.6667 .54758 m
.6691 .55073 L
.6667 .55395 L
.66462 .55073 L
F
1 .3 0 r
.6667 .52842 m
.66695 .53141 L
.6667 .5318 L
.66466 .53141 L
F
1 .26 0 r
.6667 .48562 m
.66884 .48792 L
.6667 .49182 L
.6647 .48792 L
F
0 .98 1 r
.68119 .18291 m
.68603 .18233 L
.69086 .18199 L
.69569 .18177 L
.70052 .18163 L
.70535 .18154 L
.71019 .18147 L
.71502 .18143 L
.71985 .18139 L
.72468 .18137 L
.72951 .18135 L
.73434 .18134 L
.73918 .18134 L
.74401 .18134 L
.74884 .18135 L
.75367 .18136 L
.7585 .18138 L
.76334 .18141 L
.76817 .18145 L
.773 .1815 L
.77783 .18158 L
.78266 .1817 L
.7875 .18187 L
.79233 .18214 L
.79716 .18258 L
.80199 .18335 L
.80273 .18351 L
.80682 .18469 L
.81165 .18767 L
.81231 .18835 L
.81522 .19318 L
.81591 .19801 L
.81491 .20284 L
.81165 .20761 L
.81155 .20767 L
.80682 .21067 L
.80199 .21217 L
.80033 .2125 L
.79716 .21299 L
.79233 .21349 L
.7875 .2138 L
.78266 .214 L
.77783 .21413 L
.773 .21423 L
.76817 .2143 L
.76334 .21434 L
.7585 .21438 L
.75367 .2144 L
.74884 .21442 L
.74401 .21443 L
.73918 .21443 L
.73434 .21442 L
.72951 .21441 L
.72468 .21439 L
.71985 .21436 L
.71502 .21432 L
.71019 .21427 L
.70535 .21419 L
.70052 .21407 L
.69569 .21391 L
.69086 .21366 L
.68603 .21327 L
.68119 .21264 L
.68044 .2125 L
.67636 .21154 L
.67153 .20944 L
.66922 .20767 L
.6667 .20502 L
.66586 .20284 L
.66485 .19801 L
.66555 .19318 L
.6667 .19069 L
.66846 .18835 L
.67153 .18585 L
.67636 .18392 L
.67803 .18351 L
F
1 .98 0 r
.72468 .573 m
.72934 .57489 L
.72683 .57973 L
.72468 .58324 L
.7239 .58456 L
.72082 .58939 L
.71985 .59115 L
.71908 .59422 L
.71502 .59802 L
.71432 .59905 L
.71067 .60388 L
.71019 .60491 L
.70764 .60872 L
.70535 .61176 L
.70394 .61355 L
.70052 .61828 L
.70031 .61838 L
.69655 .62321 L
.69569 .62445 L
.6936 .62804 L
.69086 .63084 L
.68915 .63288 L
.68603 .63714 L
.68525 .63771 L
.68128 .64254 L
.68119 .64262 L
.67788 .64737 L
.67636 .64824 L
.67255 .6522 L
.67153 .65361 L
.66706 .65704 L
.6667 .65731 L
.66487 .65704 L
.6662 .6522 L
.6667 .65122 L
.66898 .64737 L
.67153 .64309 L
.6719 .64254 L
.67515 .63771 L
.67636 .63589 L
.67852 .63288 L
.68119 .62896 L
.68188 .62804 L
.6849 .62321 L
.68603 .62184 L
.68893 .61838 L
.69086 .61568 L
.6925 .61355 L
.69569 .60915 L
.69603 .60872 L
.6989 .60388 L
.70052 .60239 L
.70346 .59905 L
.70535 .59646 L
.70718 .59422 L
.71019 .59023 L
.7109 .58939 L
.71473 .58456 L
.71502 .58405 L
.71881 .57973 L
.71985 .57752 L
.72308 .57489 L
F
0 .7 1 r
.6667 .42364 m
.66844 .42511 L
.6667 .42971 L
.66493 .42511 L
F
1 .24 0 r
.6667 .486 m
.66853 .48792 L
.6667 .49142 L
.665 .48792 L
F
0 .96 1 r
.6667 .62978 m
.67143 .63288 L
.6667 .63751 L
.66502 .63288 L
F
0 .5 1 r
.6667 .54816 m
.66863 .55073 L
.6667 .55333 L
.66506 .55073 L
F
1 .96 0 r
.70052 .14948 m
.70535 .14915 L
.71019 .14891 L
.71502 .14873 L
.71985 .14861 L
.72468 .14852 L
.72951 .14845 L
.73434 .14842 L
.73918 .1484 L
.74401 .14841 L
.74884 .14843 L
.75367 .14848 L
.7585 .14856 L
.76334 .14867 L
.76817 .14882 L
.773 .14902 L
.77783 .1493 L
.78265 .14969 L
.78266 .14969 L
.7875 .15022 L
.79233 .15096 L
.79716 .15201 L
.80199 .15351 L
.80433 .15452 L
.80682 .15534 L
.81165 .15873 L
.81221 .15935 L
.81553 .16419 L
.814 .16902 L
.81165 .17118 L
.80704 .17385 L
.80682 .17409 L
.80199 .17607 L
.79716 .17737 L
.79233 .17824 L
.78901 .17868 L
.7875 .17887 L
.78266 .17934 L
.77783 .17968 L
.773 .17993 L
.76817 .18011 L
.76334 .18024 L
.7585 .18033 L
.75367 .1804 L
.74884 .18044 L
.74401 .18046 L
.73918 .18047 L
.73434 .18045 L
.72951 .18042 L
.72468 .18037 L
.71985 .18029 L
.71502 .18018 L
.71019 .18003 L
.70535 .17981 L
.70052 .17952 L
.69569 .17912 L
.69175 .17868 L
.69086 .17857 L
.68603 .17784 L
.68119 .17679 L
.67636 .17519 L
.6737 .17385 L
.67153 .1728 L
.66679 .16902 L
.6667 .16894 L
.66524 .16419 L
.6667 .16137 L
.66916 .15935 L
.67153 .15664 L
.67632 .15452 L
.67636 .1545 L
.68119 .15269 L
.68603 .15144 L
.69086 .15056 L
.69569 .14994 L
.69812 .14969 L
F
1 .22 0 r
.6667 .48644 m
.66817 .48792 L
.6667 .49096 L
.66534 .48792 L
F
0 .48 1 r
.6667 .54889 m
.66806 .55073 L
.6667 .55258 L
.6656 .55073 L
F
1 .2 0 r
.6667 .48695 m
.66774 .48792 L
.6667 .49041 L
.66576 .48792 L
F
1 .68 0 r
.6667 .56876 m
.67008 .57006 L
.6667 .5741 L
.66592 .57006 L
F
0 .68 1 r
.6667 .42474 m
.66731 .42511 L
.6667 .42858 L
.66606 .42511 L
F
1 .18 0 r
.6667 .48763 m
.66709 .48792 L
.6667 .48959 L
.66637 .48792 L
F
0 .22 1 r
.6667 .50688 m
.6692 .50725 L
.6667 .5119 L
.66641 .50725 L
F
0 .46 1 r
.6667 .55009 m
.66713 .55073 L
.6667 .55135 L
.66642 .55073 L
F
0 .98 1 r
.69086 .11568 m
.69569 .11532 L
.70052 .11507 L
.70535 .11489 L
.71019 .11476 L
.71502 .11467 L
.71985 .1146 L
.72468 .11455 L
.72951 .11452 L
.73434 .1145 L
.73918 .1145 L
.74401 .1145 L
.74884 .11451 L
.75367 .11454 L
.7585 .11458 L
.76334 .11463 L
.76817 .11471 L
.773 .11482 L
.77783 .11497 L
.78266 .11518 L
.7875 .11548 L
.79177 .11587 L
.79233 .11593 L
.79716 .11666 L
.80199 .11782 L
.80682 .11982 L
.80825 .1207 L
.81165 .12366 L
.81278 .12553 L
.81435 .13036 L
.81401 .1352 L
.81165 .1397 L
.81137 .14003 L
.80682 .14352 L
.8025 .14486 L
.80199 .14499 L
.79716 .1459 L
.79233 .14642 L
.7875 .14674 L
.78266 .14694 L
.77783 .14708 L
.773 .14718 L
.76817 .14724 L
.76334 .14729 L
.7585 .14732 L
.75367 .14735 L
.74884 .14736 L
.74401 .14737 L
.73918 .14737 L
.73434 .14737 L
.72951 .14736 L
.72468 .14734 L
.71985 .14731 L
.71502 .14727 L
.71019 .14721 L
.70535 .14713 L
.70052 .14702 L
.69569 .14685 L
.69086 .1466 L
.68603 .14619 L
.68119 .14551 L
.67826 .14486 L
.67636 .14439 L
.67153 .14212 L
.66939 .14003 L
.66677 .1352 L
.6667 .13491 L
.66642 .13036 L
.6667 .12886 L
.66799 .12553 L
.67153 .12134 L
.67252 .1207 L
.67636 .11867 L
.68119 .11717 L
.68603 .11626 L
.689 .11587 L
F
1 .98 0 r
.71985 .08204 m
.72468 .08192 L
.72951 .08184 L
.73434 .08179 L
.73918 .08176 L
.74401 .08177 L
.74884 .08181 L
.75367 .08187 L
.7585 .08198 L
.76096 .08204 L
.76334 .08214 L
.76817 .08237 L
.773 .08269 L
.77783 .08312 L
.78266 .0837 L
.7875 .08448 L
.79233 .08553 L
.79692 .08688 L
.79716 .08696 L
.80199 .0889 L
.80674 .09171 L
.80682 .09171 L
.81165 .09581 L
.81204 .09654 L
.81421 .10137 L
.81165 .10571 L
.81077 .1062 L
.80682 .10898 L
.80199 .11037 L
.79716 .11101 L
.79693 .11104 L
.79233 .11177 L
.7875 .11232 L
.78266 .1127 L
.77783 .11297 L
.773 .11317 L
.76817 .11331 L
.76334 .11341 L
.7585 .11348 L
.75367 .11353 L
.74884 .11356 L
.74401 .11358 L
.73918 .11358 L
.73434 .11357 L
.72951 .11355 L
.72468 .11351 L
.71985 .11345 L
.71502 .11336 L
.71019 .11324 L
.70535 .11308 L
.70052 .11285 L
.69569 .11252 L
.69086 .11207 L
.68603 .11142 L
.68391 .11104 L
.68119 .11075 L
.67636 .10982 L
.67153 .10766 L
.66978 .1062 L
.6667 .10246 L
.66656 .10137 L
.6667 .10039 L
.66917 .09654 L
.67153 .09266 L
.67416 .09171 L
.67636 .09018 L
.68119 .08784 L
.68388 .08688 L
.68603 .08619 L
.69086 .08497 L
.69569 .08407 L
.70052 .08339 L
.70535 .08289 L
.71019 .08252 L
.71502 .08225 L
.71982 .08204 L
F
1 .66 0 r
.6667 .56986 m
.66909 .57006 L
.6667 .57274 L
.66659 .57006 L
F
1 .44 0 r
.67636 .4732 m
.67821 .47342 L
.67666 .47826 L
.67636 .4788 L
.67387 .48309 L
.67153 .48693 L
.66673 .48309 L
.67106 .47826 L
.67153 .47727 L
.67612 .47342 L
F
1 .92 0 r
.70535 .55759 m
.70901 .5604 L
.70623 .56523 L
.70535 .56658 L
.70314 .57006 L
.70052 .57395 L
.69988 .57489 L
.69686 .57973 L
.69569 .58118 L
.69308 .58456 L
.69086 .58757 L
.68949 .58939 L
.68603 .59401 L
.68586 .59422 L
.68284 .59905 L
.68119 .60043 L
.67824 .60388 L
.67636 .60736 L
.67419 .60872 L
.67153 .61185 L
.66678 .60872 L
.67002 .60388 L
.67153 .60157 L
.67334 .59905 L
.67636 .5946 L
.67665 .59422 L
.68019 .58939 L
.68119 .58796 L
.68381 .58456 L
.68603 .58148 L
.68743 .57973 L
.69086 .5751 L
.69103 .57489 L
.69488 .57006 L
.69569 .5683 L
.69886 .56523 L
.70052 .56309 L
.70299 .5604 L
F
1 .42 0 r
.67153 .47779 m
.67636 .47826 L
.67365 .48309 L
.67153 .48663 L
.66695 .48309 L
.67131 .47826 L
F
0 .58 1 r
.67636 .53378 m
.68057 .53624 L
.67731 .54107 L
.67636 .54243 L
.67381 .5459 L
.67153 .54906 L
.66697 .5459 L
.67065 .54107 L
.67153 .53986 L
.6745 .53624 L
F
1 .4 0 r
.67153 .47832 m
.67342 .48309 L
.67153 .48631 L
.66718 .48309 L
F
0 .78 1 r
.67153 .41667 m
.67318 .42027 L
.67153 .42385 L
.66726 .42027 L
F
0 .56 1 r
.67636 .53421 m
.68017 .53624 L
.677 .54107 L
.67636 .54198 L
.6735 .5459 L
.67153 .54864 L
.66729 .5459 L
.67092 .54107 L
.67153 .54023 L
.67482 .53624 L
F
1 .38 0 r
.67153 .47868 m
.67318 .48309 L
.67153 .48597 L
.66744 .48309 L
F
0 .54 1 r
.67636 .53467 m
.67972 .53624 L
.67665 .54107 L
.67636 .5415 L
.67316 .5459 L
.67153 .54819 L
.66764 .5459 L
.67121 .54107 L
.67153 .54063 L
.67517 .53624 L
F
1 .36 0 r
.67153 .47907 m
.67292 .48309 L
.67153 .4856 L
.66771 .48309 L
F
0 .96 1 r
.71502 .56502 m
.71985 .56055 L
.72059 .56523 L
.71985 .56663 L
.71803 .57006 L
.71515 .57489 L
.71502 .57514 L
.71404 .57973 L
.71019 .58254 L
.70885 .58456 L
.70546 .58939 L
.70535 .5896 L
.7024 .59422 L
.70052 .59664 L
.69859 .59905 L
.69569 .60369 L
.69498 .60388 L
.69133 .60872 L
.69086 .60935 L
.68841 .61355 L
.68603 .61576 L
.68379 .61838 L
.68119 .62235 L
.67983 .62321 L
.67636 .62738 L
.67575 .62804 L
.67153 .63278 L
.6678 .62804 L
.67085 .62321 L
.67153 .62217 L
.67417 .61838 L
.67636 .61512 L
.67752 .61355 L
.68071 .60872 L
.68119 .60813 L
.68448 .60388 L
.68603 .60171 L
.68808 .59905 L
.69086 .5952 L
.69163 .59422 L
.69486 .58939 L
.69569 .58862 L
.69907 .58456 L
.70052 .5814 L
.70289 .57973 L
.70535 .57649 L
.70673 .57489 L
.71019 .57059 L
.71067 .57006 L
.71491 .56523 L
F
1 .34 0 r
.67153 .47951 m
.67265 .48309 L
.67153 .48519 L
.66801 .48309 L
F
0 .52 1 r
.67153 .54106 m
.67626 .54107 L
.67279 .5459 L
.67153 .54769 L
.66804 .5459 L
.67153 .54107 L
F
0 .76 1 r
.67153 .41796 m
.67241 .42027 L
.67153 .42267 L
.66811 .42027 L
F
1 .72 0 r
.67153 .56048 m
.67506 .56523 L
.67153 .56987 L
.66825 .56523 L
F
1 .32 0 r
.67153 .48001 m
.67236 .48309 L
.67153 .48472 L
.66836 .48309 L
F
0 .5 1 r
.67153 .54164 m
.67238 .5459 L
.67153 .54712 L
.66851 .5459 L
F
1 .7 0 r
.67153 .56106 m
.67456 .56523 L
.67153 .56921 L
.66871 .56523 L
F
1 .3 0 r
.67153 .48063 m
.67202 .48309 L
.67153 .48416 L
.66877 .48309 L
F
0 .36 1 r
.67153 .49915 m
.67428 .50242 L
.67153 .50697 L
.66881 .50242 L
F
1 .9 0 r
.67636 .59614 m
.68076 .59905 L
.67673 .60388 L
.67636 .6047 L
.67222 .60872 L
.67153 .60945 L
.6689 .60872 L
.67129 .60388 L
.67153 .60347 L
.67451 .59905 L
F
0 .34 1 r
.67153 .49949 m
.67401 .50242 L
.67153 .50663 L
.66906 .50242 L
F
0 .48 1 r
.67153 .54237 m
.6719 .5459 L
.67153 .54644 L
.66913 .5459 L
F
1 .68 0 r
.67153 .56174 m
.67399 .56523 L
.67153 .56847 L
.66924 .56523 L
F
1 .28 0 r
.67153 .48157 m
.67164 .48309 L
.67153 .48337 L
.66931 .48309 L
F
0 .32 1 r
.67153 .49985 m
.67371 .50242 L
.67153 .50625 L
.66934 .50242 L
F
0 .3 1 r
.67153 .50025 m
.67339 .50242 L
.67153 .50583 L
.66965 .50242 L
F
1 .62 0 r
.67153 .43816 m
.67311 .4396 L
.67153 .44386 L
.66977 .4396 L
F
1 .66 0 r
.67153 .56258 m
.67331 .56523 L
.67153 .56758 L
.66989 .56523 L
F
0 .28 1 r
.67153 .5007 m
.67303 .50242 L
.67153 .50535 L
.67001 .50242 L
F
0 .26 1 r
.67153 .50125 m
.67258 .50242 L
.67153 .50476 L
.67045 .50242 L
F
1 .6 0 r
.67153 .43905 m
.67226 .4396 L
.67153 .44292 L
.67064 .4396 L
F
0 .8 1 r
.67153 .58317 m
.67477 .58456 L
.67153 .58835 L
.67072 .58456 L
F
1 .64 0 r
.67153 .56384 m
.67233 .56523 L
.67153 .56629 L
.67082 .56523 L
F
1 .36 0 r
.67153 .52103 m
.67423 .52174 L
.67153 .52643 L
.67097 .52174 L
F
0 .24 1 r
.67153 .502 m
.67195 .50242 L
.67153 .5039 L
.67108 .50242 L
F
1 .34 0 r
.67153 .52152 m
.67364 .52174 L
.67153 .52584 L
.67136 .52174 L
F
1 .74 0 r
.67636 .43036 m
.67838 .43477 L
.67636 .43877 L
.67155 .43477 L
F
1 .72 0 r
.68119 .54791 m
.68555 .55073 L
.68223 .55557 L
.68119 .55702 L
.6787 .5604 L
.67636 .56359 L
.6716 .5604 L
.67529 .55557 L
.67636 .55407 L
.67908 .55073 L
F
0 .46 1 r
.67636 .49233 m
.68119 .49275 L
.67843 .49758 L
.67636 .501 L
.67167 .49758 L
.676 .49275 L
F
0 .44 1 r
.67636 .49265 m
.68078 .49275 L
.67819 .49758 L
.67636 .50065 L
.67192 .49758 L
.67628 .49275 L
F
0 .96 1 r
.69569 .18311 m
.70052 .18269 L
.70535 .1824 L
.71019 .1822 L
.71502 .18205 L
.71985 .18194 L
.72468 .18187 L
.72951 .18182 L
.73434 .18179 L
.73918 .18178 L
.74401 .18178 L
.74884 .1818 L
.75367 .18184 L
.7585 .1819 L
.76334 .18199 L
.76817 .18212 L
.773 .18229 L
.77783 .18254 L
.78266 .18288 L
.7875 .18339 L
.78847 .18351 L
.79233 .18409 L
.79716 .18521 L
.80199 .18723 L
.80368 .18835 L
.80682 .19145 L
.80783 .19318 L
.80872 .19801 L
.80713 .20284 L
.80682 .20347 L
.80199 .20767 L
.80198 .20767 L
.79716 .20987 L
.79233 .21118 L
.7875 .21202 L
.78355 .2125 L
.78266 .2126 L
.77783 .213 L
.773 .21328 L
.76817 .21349 L
.76334 .21364 L
.7585 .21374 L
.75367 .21382 L
.74884 .21387 L
.74401 .21389 L
.73918 .2139 L
.73434 .21388 L
.72951 .21385 L
.72468 .21378 L
.71985 .2137 L
.71502 .21357 L
.71019 .21339 L
.70535 .21315 L
.70052 .21281 L
.69722 .2125 L
.69569 .21234 L
.69086 .21164 L
.68603 .2106 L
.68119 .20893 L
.67879 .20767 L
.67636 .20639 L
.67363 .20284 L
.67205 .19801 L
.67294 .19318 L
.67636 .1889 L
.67709 .18835 L
.68119 .18605 L
.68603 .18458 L
.69086 .18371 L
.6923 .18351 L
F
1 .7 0 r
.68119 .54851 m
.68499 .55073 L
.68177 .55557 L
.68119 .55638 L
.67823 .5604 L
.67636 .56297 L
.67206 .5604 L
.67567 .55557 L
.67636 .5546 L
.67953 .55073 L
F
1 .72 0 r
.67636 .43119 m
.67785 .43477 L
.67636 .43802 L
.67209 .43477 L
F
0 .42 1 r
.67636 .49303 m
.67793 .49758 L
.67636 .50028 L
.67219 .49758 L
F
0 .98 1 r
.68603 .25096 m
.69086 .25016 L
.69569 .24967 L
.70052 .24934 L
.70535 .24912 L
.71019 .24896 L
.71502 .24885 L
.71985 .24877 L
.72468 .24872 L
.72951 .24868 L
.73434 .24866 L
.73918 .24865 L
.74401 .24865 L
.74884 .24867 L
.75367 .2487 L
.7585 .24874 L
.76334 .24881 L
.76817 .2489 L
.773 .24903 L
.77783 .24922 L
.78266 .24949 L
.7875 .24989 L
.79233 .25051 L
.79568 .25116 L
.79716 .25135 L
.80199 .25269 L
.80593 .25599 L
.80682 .25707 L
.80842 .26082 L
.80796 .26566 L
.80682 .26797 L
.80479 .27049 L
.80199 .27282 L
.79716 .27527 L
.79703 .27532 L
.79233 .27686 L
.7875 .27795 L
.78266 .27874 L
.77783 .27931 L
.773 .27972 L
.76817 .28003 L
.76576 .28015 L
.76334 .28024 L
.7585 .28038 L
.75367 .28047 L
.74884 .28054 L
.74401 .28057 L
.73918 .28058 L
.73434 .28056 L
.72951 .28051 L
.72468 .28043 L
.71985 .28031 L
.71502 .28015 L
.71495 .28015 L
.71019 .27989 L
.70535 .27953 L
.70052 .27903 L
.69569 .27836 L
.69086 .27746 L
.68603 .27618 L
.68362 .27532 L
.68119 .27424 L
.67636 .27082 L
.67604 .27049 L
.67285 .26566 L
.67235 .26082 L
.67483 .25599 L
.67636 .25428 L
.68119 .25184 L
.6851 .25116 L
F
0 .4 1 r
.67636 .49345 m
.67765 .49758 L
.67636 .49987 L
.67248 .49758 L
F
1 .68 0 r
.68119 .54919 m
.68433 .55073 L
.68125 .55557 L
.68119 .55564 L
.67772 .5604 L
.67636 .56228 L
.67259 .5604 L
.6761 .55557 L
.67636 .55519 L
.68004 .55073 L
F
1 .7 0 r
.67636 .43222 m
.67725 .43477 L
.67636 .43707 L
.67274 .43477 L
F
0 .38 1 r
.67636 .49393 m
.67736 .49758 L
.67636 .49942 L
.67281 .49758 L
F
0 .82 1 r
.67636 .57502 m
.67965 .57973 L
.67636 .58399 L
.67316 .57973 L
F
0 .36 1 r
.67636 .4945 m
.67703 .49758 L
.67636 .49889 L
.67319 .49758 L
F
1 .66 0 r
.67636 .55594 m
.67713 .5604 L
.67636 .56147 L
.67326 .5604 L
F
1 .48 0 r
.67636 .51321 m
.67928 .51691 L
.67636 .52159 L
.67333 .51691 L
F
1 .46 0 r
.67636 .51358 m
.67897 .51691 L
.67636 .5212 L
.67362 .51691 L
F
0 .34 1 r
.67636 .49526 m
.67666 .49758 L
.67636 .49823 L
.67366 .49758 L
F
1 .68 0 r
.67636 .43393 m
.6765 .43477 L
.67636 .43546 L
.67367 .43477 L
F
1 .44 0 r
.67636 .51399 m
.67865 .51691 L
.67636 .52077 L
.67393 .51691 L
F
0 .8 1 r
.67636 .57605 m
.67876 .57973 L
.67636 .58283 L
.67399 .57973 L
F
0 .58 1 r
.67636 .45197 m
.67838 .4541 L
.67636 .4587 L
.67402 .4541 L
F
1 .42 0 r
.67636 .51445 m
.67828 .51691 L
.67636 .52029 L
.67428 .51691 L
F
1 .64 0 r
.67636 .55711 m
.67637 .5604 L
.67636 .5604 L
.67429 .5604 L
F
0 .56 1 r
.67636 .45262 m
.67784 .4541 L
.67636 .45805 L
.67456 .4541 L
F
1 .4 0 r
.67636 .51498 m
.67787 .51691 L
.67636 .51974 L
.67468 .51691 L
F
1 .96 0 r
.69569 .21732 m
.70052 .21677 L
.70535 .21638 L
.71019 .2161 L
.71502 .21589 L
.71985 .21575 L
.72468 .21565 L
.72951 .21558 L
.73434 .21554 L
.73918 .21552 L
.74401 .21553 L
.74884 .21556 L
.75367 .21561 L
.7585 .2157 L
.76334 .21582 L
.76817 .21599 L
.773 .21622 L
.77783 .21655 L
.78266 .21702 L
.78519 .21734 L
.7875 .21761 L
.79233 .21842 L
.79716 .21979 L
.80158 .22217 L
.80199 .22243 L
.80592 .227 L
.80587 .23183 L
.80235 .23666 L
.80199 .23703 L
.79716 .24021 L
.7939 .2415 L
.79233 .24207 L
.7875 .24343 L
.78266 .24441 L
.77783 .24511 L
.773 .24563 L
.76817 .24601 L
.76334 .24628 L
.76241 .24633 L
.7585 .24647 L
.75367 .24661 L
.74884 .24669 L
.74401 .24674 L
.73918 .24675 L
.73434 .24672 L
.72951 .24665 L
.72468 .24655 L
.71985 .24639 L
.71836 .24633 L
.71502 .24616 L
.71019 .24583 L
.70535 .24539 L
.70052 .24479 L
.69569 .24396 L
.69086 .24281 L
.68686 .2415 L
.68603 .24121 L
.68119 .23889 L
.67844 .23666 L
.67636 .23448 L
.67496 .23183 L
.67492 .227 L
.67636 .22452 L
.67924 .22217 L
.68119 .22089 L
.68603 .21901 L
.69086 .21797 L
.69557 .21734 L
F
0 .78 1 r
.67636 .57757 m
.67754 .57973 L
.67636 .58123 L
.67516 .57973 L
F
1 .38 0 r
.67636 .51563 m
.67736 .51691 L
.67636 .51904 L
.6752 .51691 L
F
0 .54 1 r
.67636 .45342 m
.67712 .4541 L
.67636 .4572 L
.6753 .4541 L
F
0 .52 1 r
.67636 .5352 m
.6792 .53624 L
.67636 .54093 L
.67557 .53624 L
F
0 .96 1 r
.71985 .11567 m
.72468 .11553 L
.72951 .11544 L
.73434 .11538 L
.73918 .11535 L
.74401 .11536 L
.74884 .1154 L
.75367 .11548 L
.7585 .1156 L
.76334 .11576 L
.76573 .11587 L
.76817 .116 L
.773 .11634 L
.77783 .11681 L
.78266 .11745 L
.7875 .11836 L
.79233 .11968 L
.79501 .1207 L
.79716 .12161 L
.80199 .1252 L
.80226 .12553 L
.80494 .13036 L
.80476 .1352 L
.80199 .13931 L
.80114 .14003 L
.79716 .14252 L
.79233 .14401 L
.7875 .14482 L
.78721 .14486 L
.78266 .14546 L
.77783 .1459 L
.773 .1462 L
.76817 .14642 L
.76334 .14658 L
.7585 .14669 L
.75367 .14676 L
.74884 .14681 L
.74401 .14684 L
.73918 .14684 L
.73434 .14683 L
.72951 .14679 L
.72468 .14673 L
.71985 .14664 L
.71502 .14651 L
.71019 .14632 L
.70535 .14606 L
.70052 .1457 L
.69569 .14517 L
.69356 .14486 L
.69086 .14447 L
.68603 .14339 L
.68119 .14123 L
.67963 .14003 L
.67636 .13607 L
.67601 .1352 L
.67583 .13036 L
.67636 .1288 L
.67851 .12553 L
.68119 .12301 L
.68575 .1207 L
.68603 .12058 L
.69086 .11896 L
.69569 .11787 L
.70052 .1171 L
.70535 .11656 L
.71019 .11616 L
.71502 .11587 L
.71504 .11587 L
F
1 .94 0 r
.71502 .14945 m
.71985 .14924 L
.72468 .14909 L
.72951 .14899 L
.73434 .14893 L
.73918 .14891 L
.74401 .14892 L
.74884 .14896 L
.75367 .14904 L
.7585 .14916 L
.76334 .14934 L
.76817 .14958 L
.76986 .14969 L
.773 .14992 L
.77783 .15039 L
.78266 .15103 L
.7875 .15195 L
.79233 .15329 L
.79545 .15452 L
.79716 .15508 L
.80199 .15858 L
.80252 .15935 L
.80481 .16419 L
.80362 .16902 L
.80199 .17105 L
.79797 .17385 L
.79716 .1743 L
.79233 .17621 L
.7875 .17739 L
.78266 .17817 L
.77813 .17868 L
.77783 .17871 L
.773 .17913 L
.76817 .17943 L
.76334 .17965 L
.7585 .17981 L
.75367 .17991 L
.74884 .17998 L
.74401 .18002 L
.73918 .18003 L
.73434 .18001 L
.72951 .17995 L
.72468 .17987 L
.71985 .17974 L
.71502 .17955 L
.71019 .17929 L
.70535 .17894 L
.70264 .17868 L
.70052 .17846 L
.69569 .17782 L
.69086 .17686 L
.68603 .17538 L
.6828 .17385 L
.68119 .17293 L
.6771 .16902 L
.67636 .16758 L
.67593 .16419 L
.67636 .16237 L
.67826 .15935 L
.68119 .15631 L
.68532 .15452 L
.68603 .15421 L
.69086 .15255 L
.69569 .15145 L
.70052 .15068 L
.70535 .15014 L
.71019 .14974 L
.71091 .14969 L
F
1 .36 0 r
.67636 .51664 m
.67658 .51691 L
.67636 .51787 L
.67605 .51691 L
F
0 .5 1 r
.67636 .53583 m
.67851 .53624 L
.67636 .54018 L
.67605 .53624 L
F
1 .88 0 r
.67636 .59876 m
.67841 .59905 L
.67636 .60115 L
.67622 .59905 L
F
0 .82 1 r
.68603 .56236 m
.69023 .56523 L
.6869 .57006 L
.68603 .57128 L
.68334 .57489 L
.68119 .57779 L
.67646 .57489 L
.68013 .57006 L
.68119 .56857 L
.6839 .56523 L
F
1 .54 0 r
.68119 .50678 m
.68586 .50725 L
.68312 .51208 L
.68119 .51523 L
.67649 .51208 L
.6808 .50725 L
F
1 .94 0 r
.68119 .38342 m
.68263 .38645 L
.68119 .3903 L
.67662 .38645 L
F
0 .68 1 r
.68119 .44537 m
.68273 .44927 L
.68119 .45249 L
.6767 .44927 L
F
1 .52 0 r
.68119 .50717 m
.68535 .50725 L
.68282 .51208 L
.68119 .5148 L
.67679 .51208 L
.68113 .50725 L
F
1 .5 0 r
.68119 .50765 m
.6825 .51208 L
.68119 .51433 L
.67712 .51208 L
F
0 .66 1 r
.68119 .44622 m
.68223 .44927 L
.68119 .45172 L
.67722 .44927 L
F
0 .8 1 r
.68603 .56337 m
.68927 .56523 L
.68609 .57006 L
.68603 .57016 L
.68253 .57489 L
.68119 .57672 L
.67727 .57489 L
.68078 .57006 L
.68119 .56947 L
.68466 .56523 L
F
1 .48 0 r
.68119 .5082 m
.68215 .51208 L
.68119 .51381 L
.67749 .51208 L
F
0 .94 1 r
.70535 .18328 m
.71019 .18293 L
.71502 .18268 L
.71985 .1825 L
.72468 .18237 L
.72951 .18229 L
.73434 .18224 L
.73918 .18222 L
.74401 .18222 L
.74884 .18226 L
.75367 .18233 L
.7585 .18243 L
.76334 .18258 L
.76817 .1828 L
.773 .18309 L
.77783 .18351 L
.77787 .18351 L
.78266 .18406 L
.7875 .18487 L
.79233 .18616 L
.79702 .18835 L
.79716 .18843 L
.80199 .19314 L
.80201 .19318 L
.80304 .19801 L
.80199 .20142 L
.80109 .20284 L
.79716 .20673 L
.79483 .20767 L
.79233 .20876 L
.7875 .21024 L
.78266 .21121 L
.77783 .21187 L
.773 .21235 L
.77101 .2125 L
.76817 .21269 L
.76334 .21294 L
.7585 .21312 L
.75367 .21324 L
.74884 .21332 L
.74401 .21336 L
.73918 .21337 L
.73434 .21335 L
.72951 .21329 L
.72468 .21319 L
.71985 .21304 L
.71502 .21283 L
.71019 .21254 L
.70976 .2125 L
.70535 .21213 L
.70052 .21157 L
.69569 .21077 L
.69086 .20958 L
.68603 .20772 L
.68594 .20767 L
.68119 .20493 L
.67968 .20284 L
.67774 .19801 L
.67876 .19318 L
.68119 .19019 L
.68375 .18835 L
.68603 .18712 L
.69086 .18544 L
.69569 .18442 L
.70052 .18376 L
.7029 .18351 L
F
1 .9 0 r
.69086 .57644 m
.69526 .57973 L
.69188 .58456 L
.69086 .58595 L
.68828 .58939 L
.68603 .5924 L
.68457 .59422 L
.68119 .59856 L
.67777 .59422 L
.68107 .58939 L
.68119 .58921 L
.68473 .58456 L
.68603 .58273 L
.68844 .57973 L
F
0 .64 1 r
.68119 .44736 m
.68165 .44927 L
.68119 .45066 L
.67788 .44927 L
F
1 .46 0 r
.68119 .50887 m
.68177 .51208 L
.68119 .51318 L
.67793 .51208 L
F
0 .6 1 r
.68119 .5276 m
.68401 .53141 L
.68119 .53587 L
.67811 .53141 L
F
1 .58 0 r
.68119 .46592 m
.6835 .46859 L
.68119 .47342 L
.67841 .46859 L
F
0 .78 1 r
.68119 .57075 m
.68151 .57489 L
.68119 .57533 L
.67845 .57489 L
F
0 .58 1 r
.68119 .52811 m
.6836 .53141 L
.68119 .53534 L
.67849 .53141 L
F
1 .44 0 r
.68119 .50985 m
.68132 .51208 L
.68119 .51235 L
.67851 .51208 L
F
1 .56 0 r
.68119 .46647 m
.68305 .46859 L
.68119 .47286 L
.67885 .46859 L
F
0 .56 1 r
.68119 .52868 m
.68315 .53141 L
.68119 .53473 L
.67893 .53141 L
F
1 .88 0 r
.68119 .59117 m
.68286 .59422 L
.68119 .59632 L
.67937 .59422 L
F
1 .54 0 r
.68119 .46712 m
.68252 .46859 L
.68119 .47219 L
.67939 .46859 L
F
0 .54 1 r
.68119 .52937 m
.68261 .53141 L
.68119 .53401 L
.67945 .53141 L
F
0 .94 1 r
.68119 .61128 m
.68478 .61355 L
.68119 .61772 L
.67984 .61355 L
F
1 .52 0 r
.68119 .46795 m
.68182 .46859 L
.68119 .47129 L
.68014 .46859 L
F
0 .52 1 r
.68119 .53031 m
.68191 .53141 L
.68119 .533 L
.68019 .53141 L
F
1 .66 0 r
.68119 .55004 m
.68347 .55073 L
.68119 .55465 L
.68068 .55073 L
F
0 .64 1 r
.68603 .52127 m
.69049 .52174 L
.68778 .52658 L
.68603 .52942 L
.68134 .52658 L
.68563 .52174 L
F
1 .92 0 r
.72468 .14967 m
.72951 .14953 L
.73434 .14944 L
.73918 .14941 L
.74401 .14942 L
.74884 .14948 L
.75367 .14959 L
.7568 .14969 L
.7585 .14976 L
.76334 .15 L
.76817 .15035 L
.773 .15082 L
.77783 .15148 L
.78266 .15242 L
.7875 .1538 L
.78939 .15452 L
.79233 .15551 L
.79694 .15935 L
.79716 .15961 L
.79928 .16419 L
.79806 .16902 L
.79716 .1702 L
.79233 .17373 L
.79209 .17385 L
.7875 .17574 L
.78266 .17697 L
.77783 .17779 L
.773 .17835 L
.76903 .17868 L
.76817 .17875 L
.76334 .17906 L
.7585 .17928 L
.75367 .17943 L
.74884 .17953 L
.74401 .17958 L
.73918 .17959 L
.73434 .17956 L
.72951 .17948 L
.72468 .17936 L
.71985 .17918 L
.71502 .17892 L
.71174 .17868 L
.71019 .17856 L
.70535 .17809 L
.70052 .17742 L
.69569 .17643 L
.69086 .17487 L
.68869 .17385 L
.68603 .1723 L
.68271 .16902 L
.68146 .16419 L
.68385 .15935 L
.68603 .15696 L
.69086 .15466 L
.69137 .15452 L
.69569 .15304 L
.70052 .15191 L
.70535 .15112 L
.71019 .15056 L
.71502 .15016 L
.71985 .14987 L
.724 .14969 L
F
1 .66 0 r
.68603 .45999 m
.68734 .46376 L
.68603 .46657 L
.68159 .46376 L
F
0 .62 1 r
.68603 .5218 m
.68738 .52658 L
.68603 .52884 L
.68174 .52658 L
F
1 .64 0 r
.68603 .46086 m
.68685 .46376 L
.68603 .46576 L
.6821 .46376 L
F
0 .6 1 r
.68603 .5225 m
.68693 .52658 L
.68603 .52816 L
.68221 .52658 L
F
0 .92 1 r
.71502 .18332 m
.71985 .18306 L
.72468 .18288 L
.72951 .18276 L
.73434 .18269 L
.73918 .18266 L
.74401 .18267 L
.74884 .18272 L
.75367 .18281 L
.7585 .18296 L
.76334 .18318 L
.76817 .18348 L
.76857 .18351 L
.773 .18388 L
.77783 .18444 L
.78266 .18526 L
.7875 .18654 L
.79167 .18835 L
.79233 .1887 L
.79716 .19293 L
.79731 .19318 L
.79845 .19801 L
.79716 .20159 L
.79625 .20284 L
.79233 .20647 L
.78913 .20767 L
.7875 .20833 L
.78266 .20978 L
.77783 .21074 L
.773 .21142 L
.76817 .2119 L
.76334 .21225 L
.7585 .2125 L
.75836 .2125 L
.75367 .21267 L
.74884 .21278 L
.74401 .21284 L
.73918 .21285 L
.73434 .21282 L
.72951 .21273 L
.72468 .21259 L
.72239 .2125 L
.71985 .21239 L
.71502 .21209 L
.71019 .21168 L
.70535 .21111 L
.70052 .21031 L
.69569 .20913 L
.69164 .20767 L
.69086 .20744 L
.68603 .20472 L
.68452 .20284 L
.68232 .19801 L
.68346 .19318 L
.68603 .19033 L
.6891 .18835 L
.69086 .18747 L
.69569 .18582 L
.70052 .18481 L
.70535 .18413 L
.71019 .18367 L
.7122 .18351 L
F
1 .88 0 r
.68603 .58438 m
.69028 .58456 L
.68677 .58939 L
.68603 .59039 L
.68257 .58939 L
.68591 .58456 L
F
0 .94 1 r
.69569 .1204 m
.70052 .11911 L
.70535 .11821 L
.71019 .11756 L
.71502 .11709 L
.71985 .11674 L
.72468 .1165 L
.72951 .11634 L
.73434 .11624 L
.73918 .1162 L
.74401 .11621 L
.74884 .11628 L
.75367 .11641 L
.7585 .11661 L
.76334 .1169 L
.76817 .11731 L
.773 .11786 L
.77783 .11862 L
.78266 .1197 L
.78599 .1207 L
.7875 .12119 L
.79233 .12346 L
.79486 .12553 L
.79716 .12826 L
.79813 .13036 L
.79799 .1352 L
.79716 .13675 L
.79369 .14003 L
.79233 .14093 L
.7875 .14295 L
.78266 .14403 L
.77783 .14468 L
.7761 .14486 L
.773 .14519 L
.76817 .14557 L
.76334 .14584 L
.7585 .14603 L
.75367 .14616 L
.74884 .14625 L
.74401 .14629 L
.73918 .1463 L
.73434 .14627 L
.72951 .14621 L
.72468 .1461 L
.71985 .14594 L
.71502 .14571 L
.71019 .14539 L
.70535 .14494 L
.70467 .14486 L
.70052 .14439 L
.69569 .14357 L
.69086 .14212 L
.68708 .14003 L
.68603 .13928 L
.68278 .1352 L
.68264 .13036 L
.68591 .12553 L
.68603 .12541 L
.69086 .12215 L
.69478 .1207 L
F
1 .62 0 r
.68603 .46215 m
.68627 .46376 L
.68603 .46457 L
.68277 .46376 L
F
0 .58 1 r
.68603 .52342 m
.68641 .52658 L
.68603 .52731 L
.68279 .52658 L
F
1 .72 0 r
.68603 .54208 m
.68866 .5459 L
.68603 .55005 L
.68296 .5459 L
F
0 .94 1 r
.68603 .60416 m
.68877 .60872 L
.68603 .61218 L
.68303 .60872 L
F
0 .6 1 r
.68603 .48032 m
.68825 .48309 L
.68603 .48769 L
.68317 .48309 L
F
1 .94 0 r
.71019 .21708 m
.71502 .21673 L
.71985 .21648 L
.72468 .21631 L
.72951 .21619 L
.73434 .21612 L
.73918 .21609 L
.74401 .2161 L
.74884 .21615 L
.75367 .21624 L
.7585 .21638 L
.76334 .21659 L
.76817 .21689 L
.773 .2173 L
.77335 .21734 L
.77783 .21778 L
.78266 .21849 L
.7875 .21968 L
.79233 .22188 L
.79276 .22217 L
.79716 .22642 L
.79743 .227 L
.79749 .23183 L
.79716 .23263 L
.79383 .23666 L
.79233 .23791 L
.7875 .24045 L
.78433 .2415 L
.78266 .24201 L
.77783 .24317 L
.773 .24401 L
.76817 .24461 L
.76334 .24506 L
.7585 .24538 L
.75367 .2456 L
.74884 .24575 L
.74401 .24583 L
.73918 .24584 L
.73434 .24579 L
.72951 .24568 L
.72468 .2455 L
.71985 .24523 L
.71502 .24485 L
.71019 .24433 L
.70535 .24362 L
.70052 .24264 L
.69643 .2415 L
.69569 .24128 L
.69086 .23938 L
.68693 .23666 L
.68603 .23586 L
.68329 .23183 L
.68335 .227 L
.68603 .22355 L
.68802 .22217 L
.69086 .22059 L
.69569 .219 L
.70052 .21809 L
.70535 .21752 L
.70742 .21734 L
F
1 .7 0 r
.68603 .54286 m
.68804 .5459 L
.68603 .54922 L
.68354 .5459 L
F
0 .58 1 r
.68603 .48092 m
.68777 .48309 L
.68603 .48707 L
.68364 .48309 L
F
0 .56 1 r
.68603 .48164 m
.68721 .48309 L
.68603 .48632 L
.68422 .48309 L
F
1 .68 0 r
.68603 .54386 m
.68728 .5459 L
.68603 .54817 L
.6843 .5459 L
F
1 .84 0 r
.68603 .41945 m
.68691 .42027 L
.68603 .42446 L
.68437 .42027 L
F
0 .98 1 r
.71019 .0527 m
.71502 .05202 L
.71985 .05152 L
.72468 .05115 L
.72951 .0509 L
.73434 .05074 L
.73918 .05068 L
.74401 .0507 L
.74884 .05081 L
.75367 .05101 L
.7585 .05132 L
.76334 .05175 L
.76817 .05233 L
.77268 .05305 L
.773 .05311 L
.77783 .05421 L
.78266 .0557 L
.7875 .05783 L
.78759 .05789 L
.79233 .0608 L
.79376 .06272 L
.79581 .06755 L
.79375 .07238 L
.79233 .07352 L
.7875 .07577 L
.78266 .077 L
.78151 .07721 L
.77783 .07782 L
.773 .07838 L
.76817 .07875 L
.76334 .07902 L
.7585 .0792 L
.75367 .07932 L
.74884 .0794 L
.74401 .07944 L
.73918 .07945 L
.73434 .07943 L
.72951 .07937 L
.72468 .07927 L
.71985 .07912 L
.71502 .0789 L
.71019 .07858 L
.70535 .07813 L
.70052 .07744 L
.69926 .07721 L
.69569 .07646 L
.69086 .07484 L
.68702 .07238 L
.68603 .07119 L
.68496 .06755 L
.68603 .06414 L
.687 .06272 L
.69086 .05894 L
.69318 .05789 L
.69569 .05666 L
.70052 .05489 L
.70535 .05362 L
.70809 .05305 L
F
0 .54 1 r
.68603 .48262 m
.68642 .48309 L
.68603 .48521 L
.68511 .48309 L
F
1 .9 0 r
.70052 .15319 m
.70535 .15214 L
.71019 .1514 L
.71502 .15088 L
.71985 .1505 L
.72468 .15024 L
.72951 .15006 L
.73434 .14995 L
.73918 .14991 L
.74401 .14992 L
.74884 .15 L
.75367 .15014 L
.7585 .15036 L
.76334 .15067 L
.76817 .15112 L
.773 .15174 L
.77783 .15261 L
.78266 .15389 L
.78446 .15452 L
.7875 .15545 L
.79233 .159 L
.7926 .15935 L
.79509 .16419 L
.79378 .16902 L
.79233 .17068 L
.7875 .1738 L
.78739 .17385 L
.78266 .17565 L
.77783 .1768 L
.773 .17757 L
.76817 .1781 L
.76334 .17847 L
.75964 .17868 L
.7585 .17874 L
.75367 .17894 L
.74884 .17906 L
.74401 .17913 L
.73918 .17914 L
.73434 .1791 L
.72951 .17901 L
.72468 .17885 L
.72112 .17868 L
.71985 .17862 L
.71502 .1783 L
.71019 .17786 L
.70535 .17722 L
.70052 .17629 L
.69569 .17484 L
.69339 .17385 L
.69086 .17251 L
.68698 .16902 L
.68603 .16716 L
.68567 .16419 L
.68603 .16271 L
.68818 .15935 L
.69086 .15671 L
.69569 .15468 L
.69631 .15452 L
F
0 .78 1 r
.68603 .56479 m
.68784 .56523 L
.68603 .56846 L
.68571 .56523 L
F
1 .54 0 r
.68603 .50237 m
.68718 .50242 L
.68603 .50693 L
.68597 .50242 L
F
1 .96 0 r
.70535 .08681 m
.71019 .08589 L
.71502 .08521 L
.71985 .08471 L
.72468 .08435 L
.72951 .0841 L
.73434 .08395 L
.73918 .08389 L
.74401 .08391 L
.74884 .08401 L
.75367 .08421 L
.7585 .08451 L
.76334 .08494 L
.76817 .08552 L
.773 .08632 L
.7757 .08688 L
.77783 .08739 L
.78266 .08888 L
.7875 .09113 L
.78841 .09171 L
.79233 .0949 L
.79356 .09654 L
.79465 .10137 L
.79233 .10529 L
.79118 .1062 L
.7875 .10866 L
.78266 .11012 L
.77783 .11079 L
.77469 .11104 L
.773 .11125 L
.76817 .11171 L
.76334 .11204 L
.7585 .11227 L
.75367 .11243 L
.74884 .11253 L
.74401 .11258 L
.73918 .11259 L
.73434 .11256 L
.72951 .11249 L
.72468 .11236 L
.71985 .11217 L
.71502 .11189 L
.71019 .1115 L
.70607 .11104 L
.70535 .11099 L
.70052 .11051 L
.69569 .10955 L
.69086 .10726 L
.68959 .1062 L
.6861 .10137 L
.6872 .09654 L
.69086 .09273 L
.69236 .09171 L
.69569 .08987 L
.70052 .08806 L
.70507 .08688 L
F
0 .9 1 r
.72468 .1834 m
.72951 .18324 L
.73434 .18314 L
.73918 .1831 L
.74401 .18312 L
.74884 .18318 L
.75367 .18331 L
.7585 .1835 L
.75874 .18351 L
.76334 .18376 L
.76817 .18413 L
.773 .18466 L
.77783 .18543 L
.78266 .1866 L
.78714 .18835 L
.7875 .18851 L
.79233 .1919 L
.79335 .19318 L
.79458 .19801 L
.79233 .20268 L
.79218 .20284 L
.7875 .20663 L
.78429 .20767 L
.78266 .20826 L
.77783 .20958 L
.773 .21048 L
.76817 .21111 L
.76334 .21156 L
.7585 .21188 L
.75367 .2121 L
.74884 .21225 L
.74401 .21232 L
.73918 .21234 L
.73434 .21229 L
.72951 .21218 L
.72468 .212 L
.71985 .21173 L
.71502 .21135 L
.71019 .21082 L
.70535 .21007 L
.70052 .20898 L
.69648 .20767 L
.69569 .20747 L
.69086 .20523 L
.68859 .20284 L
.68618 .19801 L
.68742 .19318 L
.69086 .18989 L
.69363 .18835 L
.69569 .18743 L
.70052 .18595 L
.70535 .18501 L
.71019 .18437 L
.71502 .18393 L
.71985 .18362 L
.72201 .18351 L
F
0 .68 1 r
.69086 .47413 m
.69223 .47826 L
.69086 .48108 L
.6862 .47826 L
F
0 .94 1 r
.69569 .59128 m
.69956 .59422 L
.69619 .59905 L
.69569 .60037 L
.69257 .60388 L
.69086 .60615 L
.68624 .60388 L
.68984 .59905 L
.69086 .59759 L
.69356 .59422 L
F
1 .74 0 r
.69086 .53599 m
.69483 .53624 L
.69226 .54107 L
.69086 .54335 L
.68636 .54107 L
.69065 .53624 L
F
0 .66 1 r
.69086 .47501 m
.69173 .47826 L
.69086 .48025 L
.6867 .47826 L
F
1 .72 0 r
.69086 .53694 m
.69161 .54107 L
.69086 .54237 L
.68702 .54107 L
F
0 .96 1 r
.71019 .25085 m
.71502 .25044 L
.71985 .25016 L
.72468 .24996 L
.72951 .24983 L
.73434 .24975 L
.73918 .24972 L
.74401 .24973 L
.74884 .24979 L
.75367 .24989 L
.7585 .25005 L
.76334 .25029 L
.76817 .25063 L
.773 .25112 L
.77331 .25116 L
.77783 .25152 L
.78266 .25228 L
.7875 .25404 L
.79015 .25599 L
.79233 .25807 L
.79359 .26082 L
.79257 .26566 L
.79233 .26604 L
.78751 .27049 L
.7875 .2705 L
.78266 .27298 L
.77783 .27457 L
.77476 .27532 L
.773 .27569 L
.76817 .27652 L
.76334 .27713 L
.7585 .27758 L
.75367 .27789 L
.74884 .27809 L
.74401 .2782 L
.73918 .27822 L
.73434 .27816 L
.72951 .278 L
.72468 .27775 L
.71985 .27737 L
.71502 .27685 L
.71019 .27614 L
.70602 .27532 L
.70535 .27517 L
.70052 .27384 L
.69569 .27189 L
.69324 .27049 L
.69086 .26875 L
.68819 .26566 L
.68718 .26082 L
.69061 .25599 L
.69086 .25576 L
.69569 .25297 L
.70052 .25183 L
.70535 .2513 L
.70746 .25116 L
F
0 .64 1 r
.69086 .47628 m
.69114 .47826 L
.69086 .4791 L
.68734 .47826 L
F
0 .82 1 r
.69086 .55647 m
.69339 .5604 L
.69086 .56434 L
.68774 .5604 L
F
1 .66 0 r
.69086 .49462 m
.69307 .49758 L
.69086 .50204 L
.68786 .49758 L
F
0 .92 1 r
.70535 .11986 m
.71019 .11894 L
.71502 .11828 L
.71985 .11781 L
.72468 .11747 L
.72951 .11724 L
.73434 .1171 L
.73918 .11705 L
.74401 .11706 L
.74884 .11716 L
.75367 .11734 L
.7585 .11762 L
.76334 .11802 L
.76817 .11858 L
.773 .11936 L
.77783 .12045 L
.77874 .1207 L
.78266 .12188 L
.7875 .12429 L
.78908 .12553 L
.79233 .12929 L
.7928 .13036 L
.79266 .1352 L
.79233 .13586 L
.78779 .14003 L
.7875 .14022 L
.78266 .14237 L
.77783 .14354 L
.773 .14425 L
.76817 .14471 L
.76613 .14486 L
.76334 .14507 L
.7585 .14535 L
.75367 .14554 L
.74884 .14567 L
.74401 .14573 L
.73918 .14574 L
.73434 .14571 L
.72951 .14561 L
.72468 .14546 L
.71985 .14522 L
.71502 .14489 L
.71464 .14486 L
.71019 .1445 L
.70535 .14393 L
.70052 .14303 L
.69569 .14147 L
.69298 .14003 L
.69086 .1386 L
.68811 .1352 L
.68797 .13036 L
.69086 .12624 L
.69169 .12553 L
.69569 .12289 L
.70052 .1211 L
.70203 .1207 L
F
1 .64 0 r
.69086 .49533 m
.69252 .49758 L
.69086 .50131 L
.6884 .49758 L
F
0 .82 1 r
.69086 .43316 m
.69233 .43477 L
.69086 .43941 L
.68842 .43477 L
F
0 .8 1 r
.69086 .55781 m
.69234 .5604 L
.69086 .56289 L
.68875 .5604 L
F
1 .92 0 r
.71985 .21724 m
.72468 .21699 L
.72951 .21682 L
.73434 .21672 L
.73918 .21668 L
.74401 .21669 L
.74884 .21676 L
.75367 .21689 L
.7585 .2171 L
.76242 .21734 L
.76334 .21739 L
.76817 .21773 L
.773 .21825 L
.77783 .21904 L
.78266 .22037 L
.78647 .22217 L
.7875 .22275 L
.79164 .227 L
.79173 .23183 L
.78773 .23666 L
.7875 .23686 L
.78266 .23966 L
.77783 .24124 L
.77682 .2415 L
.773 .2424 L
.76817 .24325 L
.76334 .24386 L
.7585 .2443 L
.75367 .24461 L
.74884 .24481 L
.74401 .24491 L
.73918 .24493 L
.73434 .24487 L
.72951 .24472 L
.72468 .24447 L
.71985 .2441 L
.71502 .24358 L
.71019 .24286 L
.70535 .24186 L
.70395 .2415 L
.70052 .24055 L
.69569 .23849 L
.69304 .23666 L
.69086 .23469 L
.68905 .23183 L
.68914 .227 L
.69086 .22461 L
.6943 .22217 L
.69569 .2214 L
.70052 .21961 L
.70535 .2186 L
.71019 .21796 L
.71502 .21755 L
.71835 .21734 L
F
1 .62 0 r
.69086 .49622 m
.69185 .49758 L
.69086 .50037 L
.6891 .49758 L
F
1 .88 0 r
.70535 .15319 m
.71019 .15226 L
.71502 .1516 L
.71985 .15113 L
.72468 .15081 L
.72951 .15059 L
.73434 .15046 L
.73918 .15041 L
.74401 .15042 L
.74884 .15052 L
.75367 .15069 L
.7585 .15096 L
.76334 .15135 L
.76817 .1519 L
.773 .15268 L
.77783 .15381 L
.78012 .15452 L
.78266 .15518 L
.7875 .1578 L
.78893 .15935 L
.79158 .16419 L
.79019 .16902 L
.7875 .17158 L
.78332 .17385 L
.78266 .17414 L
.77783 .17573 L
.773 .17674 L
.76817 .17743 L
.76334 .1779 L
.7585 .17823 L
.75367 .17846 L
.74884 .1786 L
.74401 .17868 L
.74372 .17868 L
.73918 .1787 L
.73706 .17868 L
.73434 .17865 L
.72951 .17854 L
.72468 .17836 L
.71985 .17808 L
.71502 .17768 L
.71019 .17712 L
.70535 .17629 L
.70052 .17503 L
.69745 .17385 L
.69569 .17304 L
.69086 .16939 L
.69057 .16902 L
.68919 .16419 L
.69086 .16045 L
.69184 .15935 L
.69569 .15615 L
.70052 .15455 L
.70064 .15452 L
F
1 .98 0 r
.71019 .28457 m
.71502 .28409 L
.71985 .28377 L
.72468 .28355 L
.72951 .2834 L
.73434 .28332 L
.73918 .28328 L
.74401 .2833 L
.74884 .28336 L
.75367 .28347 L
.7585 .28365 L
.76334 .28391 L
.76817 .2843 L
.773 .28487 L
.7738 .28498 L
.77783 .28564 L
.78266 .28684 L
.7875 .28896 L
.78868 .28981 L
.79097 .29465 L
.7885 .29948 L
.7875 .30071 L
.78266 .30381 L
.78126 .30431 L
.77783 .3057 L
.773 .30715 L
.76817 .30821 L
.76334 .309 L
.76225 .30914 L
.7585 .30955 L
.75367 .30994 L
.74884 .31019 L
.74401 .31033 L
.73918 .31037 L
.73434 .31029 L
.72951 .31008 L
.72468 .30973 L
.71985 .30925 L
.71886 .30914 L
.71502 .30863 L
.71019 .30783 L
.70535 .30663 L
.70052 .30466 L
.69985 .30431 L
.69569 .30222 L
.69247 .29948 L
.69086 .29782 L
.68943 .29465 L
.69086 .29074 L
.69181 .28981 L
.69569 .28766 L
.70052 .28617 L
.70535 .28524 L
.70708 .28498 L
F
0 .98 1 r
.69086 .6401 m
.69416 .64254 L
.69086 .64626 L
.68946 .64254 L
F
0 .88 1 r
.70052 .18723 m
.70535 .18595 L
.71019 .18512 L
.71502 .18455 L
.71985 .18416 L
.72468 .18389 L
.72951 .1837 L
.73434 .1836 L
.73918 .18355 L
.74401 .18357 L
.74884 .18364 L
.75367 .18378 L
.7585 .18401 L
.76334 .18434 L
.76817 .18481 L
.773 .18549 L
.77783 .18652 L
.78266 .18814 L
.78313 .18835 L
.7875 .1908 L
.78989 .19318 L
.79122 .19801 L
.78861 .20284 L
.7875 .20411 L
.78266 .20694 L
.77996 .20767 L
.77783 .20835 L
.773 .2095 L
.76817 .2103 L
.76334 .21086 L
.7585 .21126 L
.75367 .21153 L
.74884 .21171 L
.74401 .2118 L
.73918 .21182 L
.73434 .21177 L
.72951 .21163 L
.72468 .21141 L
.71985 .21108 L
.71502 .21061 L
.71019 .20994 L
.70535 .20898 L
.70081 .20767 L
.70052 .20761 L
.69569 .2059 L
.69215 .20284 L
.69086 .20128 L
.68955 .19801 L
.69086 .1932 L
.69088 .19318 L
.69569 .18927 L
.69764 .18835 L
F
1 .88 0 r
.69086 .57829 m
.69351 .57973 L
.69086 .58381 L
.68982 .57973 L
F
0 .64 1 r
.69086 .51685 m
.69187 .51691 L
.69086 .52104 L
.6908 .51691 L
F
1 .72 0 r
.69569 .48872 m
.69686 .49275 L
.69569 .49516 L
.69107 .49275 L
F
1 .7 0 r
.69569 .48987 m
.69624 .49275 L
.69569 .49409 L
.69169 .49275 L
F
0 .82 1 r
.69569 .55122 m
.69639 .55557 L
.69569 .55674 L
.69173 .55557 L
F
0 .86 1 r
.69569 .42923 m
.6958 .42994 L
.69569 .43068 L
.69198 .42994 L
F
1 .9 0 r
.69569 .57042 m
.6985 .57489 L
.69569 .57912 L
.69218 .57489 L
F
1 .86 0 r
.70535 .15431 m
.71019 .15314 L
.71502 .15234 L
.71985 .15178 L
.72468 .15139 L
.72951 .15113 L
.73434 .15097 L
.73918 .15091 L
.74401 .15093 L
.74884 .15104 L
.75367 .15124 L
.7585 .15157 L
.76334 .15204 L
.76817 .15271 L
.773 .15367 L
.77613 .15452 L
.77783 .15489 L
.78266 .15674 L
.78569 .15935 L
.7875 .16151 L
.7885 .16419 L
.7875 .16836 L
.78704 .16902 L
.78266 .17247 L
.77964 .17385 L
.77783 .17453 L
.773 .17585 L
.76817 .17672 L
.76334 .17731 L
.7585 .17771 L
.75367 .17799 L
.74884 .17816 L
.74401 .17826 L
.73918 .17827 L
.73434 .17822 L
.72951 .17809 L
.72468 .17786 L
.71985 .17753 L
.71502 .17704 L
.71019 .17633 L
.70535 .17527 L
.70113 .17385 L
.70052 .17361 L
.69569 .17092 L
.69374 .16902 L
.69227 .16419 L
.69508 .15935 L
.69569 .15867 L
.70052 .15561 L
.70464 .15452 L
F
0 .74 1 r
.69569 .5087 m
.69807 .51208 L
.69569 .51665 L
.69239 .51208 L
F
0 .9 1 r
.71019 .12033 m
.71502 .11947 L
.71985 .11886 L
.72468 .11842 L
.72951 .11813 L
.73434 .11796 L
.73918 .11788 L
.74401 .11791 L
.74884 .11803 L
.75367 .11826 L
.7585 .11862 L
.76334 .11914 L
.76817 .11986 L
.77223 .1207 L
.773 .12086 L
.77783 .12219 L
.78266 .12444 L
.78419 .12553 L
.7875 .12879 L
.78834 .13036 L
.78819 .1352 L
.7875 .13634 L
.78277 .14003 L
.78266 .14009 L
.77783 .1421 L
.773 .14323 L
.76817 .14393 L
.76334 .14438 L
.7585 .14469 L
.75471 .14486 L
.75367 .1449 L
.74884 .14507 L
.74401 .14515 L
.73918 .14517 L
.73434 .14512 L
.72951 .145 L
.72602 .14486 L
.72468 .1448 L
.71985 .14455 L
.71502 .14418 L
.71019 .14362 L
.70535 .14274 L
.70052 .14125 L
.698 .14003 L
.69569 .13865 L
.69258 .1352 L
.69243 .13036 L
.69569 .12621 L
.69658 .12553 L
.70052 .12315 L
.70535 .12146 L
.70854 .1207 L
F
0 .98 1 r
.70535 .61982 m
.70929 .62321 L
.70583 .62804 L
.70535 .62904 L
.70216 .63288 L
.70052 .63497 L
.69827 .63771 L
.69569 .64088 L
.69255 .63771 L
.69568 .63288 L
.69569 .63287 L
.6993 .62804 L
.70052 .62625 L
.70293 .62321 L
F
0 .86 1 r
.70535 .18699 m
.71019 .18591 L
.71502 .1852 L
.71985 .18471 L
.72468 .18438 L
.72951 .18416 L
.73434 .18403 L
.73918 .18397 L
.74401 .18399 L
.74884 .18408 L
.75367 .18426 L
.7585 .18453 L
.76334 .18493 L
.76817 .18552 L
.773 .18639 L
.77783 .18773 L
.77945 .18835 L
.78266 .18983 L
.78678 .19318 L
.7875 .19431 L
.7882 .19801 L
.7875 .20016 L
.78541 .20284 L
.78266 .20528 L
.77783 .20725 L
.77594 .20767 L
.773 .20849 L
.76817 .20947 L
.76334 .21015 L
.7585 .21063 L
.75367 .21096 L
.74884 .21117 L
.74401 .21128 L
.73918 .2113 L
.73434 .21124 L
.72951 .21108 L
.72468 .21081 L
.71985 .21041 L
.71502 .20984 L
.71019 .20902 L
.70535 .20783 L
.70483 .20767 L
.70052 .20648 L
.69569 .20322 L
.69536 .20284 L
.69257 .19801 L
.69399 .19318 L
.69569 .19146 L
.70052 .18867 L
.70132 .18835 L
F
0 .72 1 r
.69569 .50957 m
.6974 .51208 L
.69569 .51573 L
.69303 .51208 L
F
1 .9 0 r
.73918 .21728 m
.74401 .2173 L
.7464 .21734 L
.74884 .21738 L
.75367 .21752 L
.7585 .21774 L
.76334 .21808 L
.76817 .21858 L
.773 .21937 L
.77783 .22067 L
.78124 .22217 L
.78266 .22291 L
.78695 .227 L
.78706 .23183 L
.78266 .23666 L
.78266 .23666 L
.77783 .23932 L
.773 .24084 L
.77 .2415 L
.76817 .24188 L
.76334 .24267 L
.7585 .24323 L
.75367 .24362 L
.74884 .24388 L
.74401 .24401 L
.73918 .24404 L
.73434 .24396 L
.72951 .24377 L
.72468 .24345 L
.71985 .24298 L
.71502 .24231 L
.71077 .2415 L
.71019 .24138 L
.70535 .24017 L
.70052 .2382 L
.69811 .23666 L
.69569 .23468 L
.69372 .23183 L
.69383 .227 L
.69569 .22464 L
.69953 .22217 L
.70052 .22166 L
.70535 .21993 L
.71019 .21893 L
.71502 .21831 L
.71985 .21789 L
.72468 .21762 L
.72951 .21744 L
.73434 .21734 L
.73437 .21734 L
F
0 .7 1 r
.69569 .51074 m
.69654 .51208 L
.69569 .51449 L
.69392 .51208 L
F
1 .8 0 r
.69569 .44848 m
.69637 .44927 L
.69569 .45271 L
.69394 .44927 L
F
1 .88 0 r
.69569 .5729 m
.69657 .57489 L
.69569 .57644 L
.69406 .57489 L
F
1 .84 0 r
.71019 .15407 m
.71502 .15311 L
.71985 .15244 L
.72468 .15198 L
.72951 .15167 L
.73434 .15149 L
.73918 .15141 L
.74401 .15144 L
.74884 .15157 L
.75367 .15181 L
.7585 .15219 L
.76334 .15274 L
.76817 .15354 L
.77233 .15452 L
.773 .15464 L
.77783 .15596 L
.78266 .15928 L
.78273 .15935 L
.78571 .16419 L
.78416 .16902 L
.78266 .17047 L
.77783 .17323 L
.7762 .17385 L
.773 .17488 L
.76817 .17597 L
.76334 .17669 L
.7585 .17718 L
.75367 .17751 L
.74884 .17771 L
.74401 .17782 L
.73918 .17784 L
.73434 .17778 L
.72951 .17762 L
.72468 .17736 L
.71985 .17696 L
.71502 .17636 L
.71019 .17548 L
.70535 .17413 L
.70457 .17385 L
.70052 .17207 L
.69661 .16902 L
.69569 .16761 L
.69505 .16419 L
.69569 .16225 L
.69804 .15935 L
.70052 .1572 L
.70535 .15518 L
.70844 .15452 L
F
0 .84 1 r
.70535 .18814 m
.71019 .18677 L
.71502 .18589 L
.71985 .18529 L
.72468 .18489 L
.72951 .18463 L
.73434 .18447 L
.73918 .18441 L
.74401 .18443 L
.74884 .18454 L
.75367 .18474 L
.7585 .18507 L
.76334 .18556 L
.76817 .18628 L
.773 .18738 L
.77599 .18835 L
.77783 .18906 L
.78266 .19191 L
.78393 .19318 L
.78544 .19801 L
.78266 .20265 L
.78245 .20284 L
.77783 .20611 L
.773 .2075 L
.77209 .20767 L
.76817 .20861 L
.76334 .20942 L
.7585 .20999 L
.75367 .21038 L
.74884 .21063 L
.74401 .21076 L
.73918 .21078 L
.73434 .2107 L
.72951 .21052 L
.72468 .21021 L
.71985 .20973 L
.71502 .20905 L
.71019 .20807 L
.70868 .20767 L
.70535 .20694 L
.70052 .2048 L
.69832 .20284 L
.69569 .19933 L
.69533 .19801 L
.69569 .19515 L
.69684 .19318 L
.70052 .19024 L
.70478 .18835 L
F
1 .94 0 r
.72468 .08657 m
.72951 .08619 L
.73434 .08596 L
.73918 .08587 L
.74401 .0859 L
.74884 .08606 L
.75367 .08636 L
.7585 .08683 L
.75893 .08688 L
.76334 .08748 L
.76817 .08841 L
.773 .08974 L
.77775 .09171 L
.77783 .09175 L
.78266 .09496 L
.78408 .09654 L
.78535 .10137 L
.78266 .10518 L
.78114 .1062 L
.77783 .10814 L
.773 .10962 L
.76817 .11035 L
.76334 .11075 L
.7585 .11098 L
.75693 .11104 L
.75367 .11122 L
.74884 .1114 L
.74401 .11149 L
.73918 .11151 L
.73434 .11146 L
.72951 .11132 L
.72468 .11109 L
.72386 .11104 L
.71985 .11088 L
.71502 .11057 L
.71019 .11004 L
.70535 .10901 L
.70052 .10684 L
.69963 .1062 L
.69569 .1022 L
.69542 .10137 L
.69569 .09837 L
.69669 .09654 L
.70052 .09311 L
.70302 .09171 L
.70535 .09063 L
.71019 .08901 L
.71502 .08791 L
.71985 .08713 L
.72182 .08688 L
F
0 .78 1 r
.70052 .50295 m
.70169 .50725 L
.70052 .50959 L
.69575 .50725 L
F
1 .9 0 r
.70052 .56491 m
.70419 .56523 L
.7016 .57006 L
.70052 .57178 L
.69601 .57006 L
.70026 .56523 L
F
1 .86 0 r
.70052 .44214 m
.70112 .44443 L
.70052 .44638 L
.69611 .44443 L
F
0 .88 1 r
.71502 .12068 m
.71985 .11991 L
.72468 .11938 L
.72951 .11902 L
.73434 .1188 L
.73918 .11872 L
.74401 .11875 L
.74884 .1189 L
.75367 .11918 L
.7585 .11962 L
.76334 .12026 L
.76587 .1207 L
.76817 .12112 L
.773 .12231 L
.77783 .12428 L
.77983 .12553 L
.78266 .12781 L
.78441 .13036 L
.78426 .1352 L
.78266 .13723 L
.77825 .14003 L
.77783 .14024 L
.773 .142 L
.76817 .14303 L
.76334 .14367 L
.7585 .14409 L
.75367 .14436 L
.74884 .14453 L
.74401 .14462 L
.73918 .14463 L
.73434 .14458 L
.72951 .14446 L
.72468 .14424 L
.71985 .1439 L
.71502 .14338 L
.71019 .14258 L
.70535 .14124 L
.70252 .14003 L
.70052 .13901 L
.69651 .1352 L
.69635 .13036 L
.70052 .1258 L
.70093 .12553 L
.70535 .12316 L
.71019 .12165 L
.7149 .1207 L
F
0 .76 1 r
.70052 .50448 m
.7009 .50725 L
.70052 .50816 L
.69652 .50725 L
F
0 .94 1 r
.72951 .25111 m
.73434 .25097 L
.73918 .25091 L
.74401 .25093 L
.74884 .25103 L
.75245 .25116 L
.75367 .25119 L
.7585 .25135 L
.76334 .25162 L
.76817 .25208 L
.773 .25296 L
.77783 .25478 L
.77974 .25599 L
.78266 .25826 L
.78405 .26082 L
.78275 .26566 L
.78266 .26577 L
.77783 .26966 L
.77623 .27049 L
.773 .27187 L
.76817 .27332 L
.76334 .27432 L
.7585 .27503 L
.75587 .27532 L
.75367 .27552 L
.74884 .27584 L
.74401 .27601 L
.73918 .27604 L
.73434 .27594 L
.72951 .2757 L
.72493 .27532 L
.72468 .27529 L
.71985 .2747 L
.71502 .27387 L
.71019 .27266 L
.70535 .27087 L
.70455 .27049 L
.70052 .2681 L
.69802 .26566 L
.69671 .26082 L
.70052 .25629 L
.70102 .25599 L
.70535 .2537 L
.71019 .25245 L
.71502 .25182 L
.71985 .25147 L
.72468 .25126 L
.72841 .25116 L
F
1 .82 0 r
.70052 .52285 m
.70301 .52658 L
.70052 .53117 L
.69699 .52658 L
F
0 .94 1 r
.70052 .58528 m
.70283 .58939 L
.70052 .59288 L
.69732 .58939 L
F
0 .82 1 r
.70052 .46161 m
.70218 .46376 L
.70052 .46828 L
.69759 .46376 L
F
1 .82 0 r
.71502 .1539 m
.71985 .15312 L
.72468 .15258 L
.72951 .15222 L
.73434 .15201 L
.73918 .15193 L
.74401 .15196 L
.74884 .1521 L
.75367 .15238 L
.7585 .15282 L
.76334 .15347 L
.76817 .15442 L
.76858 .15452 L
.773 .15543 L
.77783 .15754 L
.77997 .15935 L
.78266 .16265 L
.78314 .16419 L
.78266 .16721 L
.78149 .16902 L
.77783 .17179 L
.773 .17382 L
.7729 .17385 L
.76817 .17516 L
.76334 .17603 L
.7585 .17662 L
.75367 .177 L
.74884 .17725 L
.74401 .17738 L
.73918 .1774 L
.73434 .17733 L
.72951 .17714 L
.72468 .17683 L
.71985 .17635 L
.71502 .17564 L
.71019 .17456 L
.70787 .17385 L
.70535 .17294 L
.70052 .17019 L
.69928 .16902 L
.69763 .16419 L
.70052 .15959 L
.7008 .15935 L
.70535 .15625 L
.71019 .15487 L
.71219 .15452 L
F
1 .88 0 r
.70535 .22166 m
.71019 .22011 L
.71502 .21919 L
.71985 .21861 L
.72468 .21823 L
.72951 .21799 L
.73434 .21785 L
.73918 .21779 L
.74401 .21781 L
.74884 .21791 L
.75367 .2181 L
.7585 .2184 L
.76334 .21887 L
.76817 .21959 L
.773 .22078 L
.77655 .22217 L
.77783 .22275 L
.78266 .22665 L
.78287 .227 L
.78299 .23183 L
.78266 .23245 L
.77815 .23666 L
.77783 .23687 L
.773 .2392 L
.76817 .24057 L
.76334 .24147 L
.76313 .2415 L
.7585 .24216 L
.75367 .24264 L
.74884 .24295 L
.74401 .24311 L
.73918 .24315 L
.73434 .24305 L
.72951 .24282 L
.72468 .24243 L
.71985 .24184 L
.71763 .2415 L
.71502 .24106 L
.71019 .23996 L
.70535 .23821 L
.70262 .23666 L
.70052 .23518 L
.69778 .23183 L
.6979 .227 L
.70052 .22419 L
.70422 .22217 L
F
1 .8 0 r
.70052 .52409 m
.70206 .52658 L
.70052 .52986 L
.69787 .52658 L
F
0 .82 1 r
.71019 .18771 m
.71502 .18662 L
.71985 .1859 L
.72468 .18542 L
.72951 .18511 L
.73434 .18493 L
.73918 .18485 L
.74401 .18488 L
.74884 .185 L
.75367 .18525 L
.7585 .18564 L
.76334 .18623 L
.76817 .18711 L
.77265 .18835 L
.773 .18846 L
.77783 .19053 L
.78126 .19318 L
.78266 .19564 L
.78287 .19801 L
.78266 .19885 L
.77968 .20284 L
.77783 .20444 L
.773 .20667 L
.76828 .20767 L
.76817 .2077 L
.76334 .20867 L
.7585 .20934 L
.75367 .20979 L
.74884 .21007 L
.74401 .21022 L
.73918 .21025 L
.73434 .21016 L
.72951 .20995 L
.72468 .20958 L
.71985 .20904 L
.71502 .20823 L
.71248 .20767 L
.71019 .20726 L
.70535 .2058 L
.70109 .20284 L
.70052 .20235 L
.6979 .19801 L
.69951 .19318 L
.70052 .19219 L
.70535 .18936 L
.70812 .18835 L
F
0 .8 1 r
.70052 .46352 m
.70071 .46376 L
.70052 .46621 L
.69924 .46376 L
F
1 .78 0 r
.70052 .52636 m
.70061 .52658 L
.70052 .52734 L
.69959 .52658 L
F
0 .84 1 r
.70052 .54512 m
.70232 .5459 L
.70052 .55015 L
.69977 .5459 L
F
0 .86 1 r
.72468 .12034 m
.72951 .11991 L
.73434 .11966 L
.73918 .11955 L
.74401 .11959 L
.74884 .11977 L
.75367 .1201 L
.7585 .12064 L
.75898 .1207 L
.76334 .12133 L
.76817 .12237 L
.773 .12403 L
.77579 .12553 L
.77783 .12688 L
.78084 .13036 L
.78068 .1352 L
.77783 .13807 L
.77402 .14003 L
.773 .14046 L
.76817 .14195 L
.76334 .14285 L
.7585 .14341 L
.75367 .14377 L
.74884 .14399 L
.74401 .14411 L
.73918 .14413 L
.73434 .14406 L
.72951 .1439 L
.72468 .14361 L
.71985 .14316 L
.71502 .14245 L
.71019 .14131 L
.70675 .14003 L
.70535 .13943 L
.70052 .13584 L
.70009 .1352 L
.69992 .13036 L
.70052 .12934 L
.70498 .12553 L
.70535 .12529 L
.71019 .12309 L
.71502 .1218 L
.71985 .12095 L
.72177 .1207 L
F
1 .8 0 r
.71985 .15382 m
.72468 .1532 L
.72951 .15279 L
.73434 .15255 L
.73918 .15245 L
.74401 .15248 L
.74884 .15265 L
.75367 .15297 L
.7585 .15348 L
.76334 .15423 L
.76478 .15452 L
.76817 .15507 L
.773 .15648 L
.77735 .15935 L
.77783 .15974 L
.78072 .16419 L
.77897 .16902 L
.77783 .17004 L
.773 .17271 L
.76966 .17385 L
.76817 .17428 L
.76334 .17533 L
.7585 .17603 L
.75367 .17648 L
.74884 .17677 L
.74401 .17692 L
.73918 .17694 L
.73434 .17686 L
.72951 .17664 L
.72468 .17628 L
.71985 .17571 L
.71502 .17486 L
.71111 .17385 L
.71019 .17357 L
.70535 .1716 L
.7018 .16902 L
.70052 .16714 L
.70005 .16419 L
.70052 .16272 L
.70342 .15935 L
.70535 .15778 L
.71019 .15564 L
.71502 .15466 L
.71599 .15452 L
F
0 .8 1 r
.71502 .18741 m
.71985 .18655 L
.72468 .18598 L
.72951 .18562 L
.73434 .1854 L
.73918 .18531 L
.74401 .18534 L
.74884 .18549 L
.75367 .18578 L
.7585 .18624 L
.76334 .18694 L
.76817 .188 L
.76936 .18835 L
.773 .18959 L
.77783 .19235 L
.77872 .19318 L
.78044 .19801 L
.77783 .20219 L
.77703 .20284 L
.773 .20555 L
.76817 .20704 L
.7644 .20767 L
.76334 .20789 L
.7585 .20866 L
.75367 .20918 L
.74884 .2095 L
.74401 .20968 L
.73918 .20971 L
.73434 .20961 L
.72951 .20936 L
.72468 .20895 L
.71985 .20831 L
.71636 .20767 L
.71502 .20748 L
.71019 .20644 L
.70535 .20419 L
.70374 .20284 L
.70052 .19877 L
.70033 .19801 L
.70052 .19573 L
.70205 .19318 L
.70535 .19073 L
.71019 .18871 L
.71141 .18835 L
F
1 .84 0 r
.70535 .51759 m
.70628 .52174 L
.70535 .52361 L
.70066 .52174 L
F
0 .86 1 r
.70535 .45693 m
.70574 .45893 L
.70535 .46029 L
.70098 .45893 L
F
0 .94 1 r
.70535 .57984 m
.7059 .58456 L
.70535 .58544 L
.70119 .58456 L
F
1 .86 0 r
.71019 .22157 m
.71502 .22024 L
.71985 .21943 L
.72468 .21892 L
.72951 .2186 L
.73434 .21842 L
.73918 .21834 L
.74401 .21837 L
.74884 .21849 L
.75367 .21874 L
.7585 .21914 L
.76334 .21979 L
.76817 .22082 L
.77212 .22217 L
.773 .22251 L
.77783 .2254 L
.77916 .227 L
.77929 .23183 L
.77783 .23383 L
.77394 .23666 L
.773 .23719 L
.76817 .23916 L
.76334 .24034 L
.7585 .24112 L
.75518 .2415 L
.75367 .24165 L
.74884 .24202 L
.74401 .24221 L
.73918 .24225 L
.73434 .24214 L
.72951 .24186 L
.72558 .2415 L
.72468 .2414 L
.71985 .24077 L
.71502 .23982 L
.71019 .23831 L
.70683 .23666 L
.70535 .23579 L
.70147 .23183 L
.70161 .227 L
.70535 .22367 L
.70865 .22217 L
F
0 .88 1 r
.70535 .53726 m
.70774 .54107 L
.70535 .54543 L
.70177 .54107 L
F
1 .78 0 r
.72468 .15384 m
.72951 .15337 L
.73434 .1531 L
.73918 .15299 L
.74401 .15302 L
.74884 .15322 L
.75367 .15358 L
.7585 .15416 L
.76077 .15452 L
.76334 .15485 L
.76817 .15584 L
.773 .15794 L
.77482 .15935 L
.77783 .16256 L
.77841 .16419 L
.77783 .1673 L
.77655 .16902 L
.773 .17147 L
.76817 .17336 L
.7664 .17385 L
.76334 .17458 L
.7585 .1754 L
.75367 .17593 L
.74884 .17626 L
.74401 .17643 L
.73918 .17647 L
.73434 .17637 L
.72951 .17612 L
.72468 .1757 L
.71985 .17504 L
.71502 .17402 L
.71437 .17385 L
.71019 .17254 L
.70535 .16999 L
.70422 .16902 L
.70236 .16419 L
.70535 .1598 L
.70595 .15935 L
.71019 .15667 L
.71502 .15526 L
.71985 .15454 L
.72001 .15452 L
F
1 .84 0 r
.70535 .47628 m
.70675 .47826 L
.70535 .48226 L
.70252 .47826 L
F
0 .78 1 r
.71502 .18827 m
.71985 .18724 L
.72468 .18657 L
.72951 .18614 L
.73434 .1859 L
.73918 .1858 L
.74401 .18583 L
.74884 .186 L
.75367 .18633 L
.7585 .18687 L
.76334 .1877 L
.76605 .18835 L
.76817 .18894 L
.773 .19087 L
.77629 .19318 L
.77783 .1955 L
.77812 .19801 L
.77783 .19898 L
.77447 .20284 L
.773 .20401 L
.76817 .20623 L
.76334 .20727 L
.76028 .20767 L
.7585 .20796 L
.75367 .20855 L
.74884 .20892 L
.74401 .20912 L
.73918 .20916 L
.73434 .20904 L
.72951 .20876 L
.72468 .20829 L
.72049 .20767 L
.71985 .2076 L
.71502 .20683 L
.71019 .20534 L
.70629 .20284 L
.70535 .20212 L
.70265 .19801 L
.70448 .19318 L
.70535 .19241 L
.71019 .18977 L
.71473 .18835 L
F
1 .92 0 r
.71502 .09072 m
.71985 .08952 L
.72468 .08872 L
.72951 .08819 L
.73434 .08788 L
.73918 .08775 L
.74401 .08779 L
.74884 .08801 L
.75367 .08843 L
.7585 .08908 L
.76334 .09006 L
.76817 .09154 L
.76861 .09171 L
.773 .09375 L
.77655 .09654 L
.77783 .0986 L
.77806 .10137 L
.77783 .10199 L
.773 .10617 L
.77293 .1062 L
.76817 .10831 L
.76334 .1094 L
.7585 .11 L
.75367 .11034 L
.74884 .11053 L
.74401 .11062 L
.73918 .11064 L
.73434 .11059 L
.72951 .11045 L
.72468 .11019 L
.71985 .10975 L
.71502 .10894 L
.71019 .10742 L
.70784 .1062 L
.70535 .10477 L
.70272 .10137 L
.70422 .09654 L
.70535 .09544 L
.71019 .09251 L
.71216 .09171 L
F
0 .94 1 r
.70535 .41449 m
.7062 .41544 L
.70535 .41997 L
.70291 .41544 L
F
0 .84 1 r
.73434 .12052 m
.73918 .1204 L
.74401 .12044 L
.74884 .12065 L
.74972 .1207 L
.75367 .12101 L
.7585 .12157 L
.76334 .12244 L
.76817 .12382 L
.77192 .12553 L
.773 .12612 L
.77751 .13036 L
.77733 .1352 L
.773 .13873 L
.76991 .14003 L
.76817 .14066 L
.76334 .14189 L
.7585 .14265 L
.75367 .14312 L
.74884 .14341 L
.74401 .14355 L
.73918 .14358 L
.73434 .14349 L
.72951 .14328 L
.72468 .14291 L
.71985 .14231 L
.71502 .14135 L
.71086 .14003 L
.71019 .13979 L
.70535 .13722 L
.70344 .1352 L
.70326 .13036 L
.70535 .12782 L
.70885 .12553 L
.71019 .12483 L
.71502 .12304 L
.71985 .12196 L
.72468 .12126 L
.72951 .12081 L
.73071 .1207 L
F
0 .86 1 r
.70535 .53955 m
.70609 .54107 L
.70535 .54299 L
.70338 .54107 L
F
0 .92 1 r
.71019 .25578 m
.71502 .25387 L
.71985 .25287 L
.72468 .25231 L
.72951 .252 L
.73434 .25183 L
.73918 .25177 L
.74401 .25179 L
.74884 .2519 L
.75367 .25213 L
.7585 .25255 L
.76334 .25329 L
.76817 .25467 L
.77096 .25599 L
.773 .25704 L
.77635 .26082 L
.77474 .26566 L
.773 .26718 L
.76817 .26977 L
.76625 .27049 L
.76334 .2714 L
.7585 .2725 L
.75367 .27322 L
.74884 .27368 L
.74401 .27392 L
.73918 .27397 L
.73434 .27382 L
.72951 .27348 L
.72468 .2729 L
.71985 .27201 L
.71502 .27066 L
.71452 .27049 L
.71019 .26866 L
.70603 .26566 L
.70535 .26482 L
.70442 .26082 L
.70535 .25907 L
.70981 .25599 L
F
1 .76 0 r
.72468 .1545 m
.72951 .15397 L
.73434 .15367 L
.73918 .15354 L
.74401 .15358 L
.74884 .1538 L
.75367 .15421 L
.75627 .15452 L
.7585 .15474 L
.76334 .15546 L
.76817 .15684 L
.77235 .15935 L
.773 .15981 L
.77619 .16419 L
.77421 .16902 L
.773 .16998 L
.76817 .17238 L
.76334 .17378 L
.76304 .17385 L
.7585 .17474 L
.75367 .17536 L
.74884 .17574 L
.74401 .17593 L
.73918 .17597 L
.73434 .17586 L
.72951 .17557 L
.72468 .17508 L
.71985 .17431 L
.71773 .17385 L
.71502 .17316 L
.71019 .17137 L
.70656 .16902 L
.70535 .16756 L
.70458 .16419 L
.70535 .1623 L
.70842 .15935 L
.71019 .15807 L
.71502 .15602 L
.71985 .15505 L
.72453 .15452 L
F
0 .76 1 r
.71985 .18798 m
.72468 .1872 L
.72951 .1867 L
.73434 .18642 L
.73918 .1863 L
.74401 .18634 L
.74884 .18654 L
.75367 .18692 L
.7585 .18755 L
.76261 .18835 L
.76334 .18851 L
.76817 .18994 L
.773 .19242 L
.77392 .19318 L
.77587 .19801 L
.773 .2021 L
.77197 .20284 L
.76817 .20516 L
.76334 .20662 L
.7585 .20738 L
.7556 .20767 L
.75367 .2079 L
.74884 .20833 L
.74401 .20855 L
.73918 .20859 L
.73434 .20846 L
.72951 .20814 L
.72518 .20767 L
.72468 .20763 L
.71985 .20706 L
.71502 .20602 L
.71019 .20387 L
.7088 .20284 L
.70535 .19931 L
.7049 .19801 L
.70535 .19516 L
.70685 .19318 L
.71019 .19097 L
.71502 .18914 L
.71816 .18835 L
F
1 .84 0 r
.71502 .22151 m
.71985 .22039 L
.72468 .2197 L
.72951 .21928 L
.73434 .21904 L
.73918 .21895 L
.74401 .21898 L
.74884 .21914 L
.75367 .21947 L
.7585 .22001 L
.76334 .22088 L
.76777 .22217 L
.76817 .2223 L
.773 .22451 L
.77568 .227 L
.77583 .23183 L
.773 .23483 L
.76986 .23666 L
.76817 .23747 L
.76334 .23909 L
.7585 .24009 L
.75367 .24072 L
.74884 .24112 L
.74401 .24132 L
.73918 .24136 L
.73434 .24124 L
.72951 .24095 L
.72468 .24044 L
.71985 .23965 L
.71502 .23839 L
.71091 .23666 L
.71019 .2363 L
.70535 .23248 L
.70494 .23183 L
.70509 .227 L
.70535 .22663 L
.71019 .22322 L
.713 .22217 L
F
1 .88 0 r
.71019 .47084 m
.71071 .47342 L
.71019 .47501 L
.70551 .47342 L
F
0 .82 1 r
.71502 .12451 m
.71985 .12307 L
.72468 .12219 L
.72951 .12164 L
.73434 .12132 L
.73918 .12119 L
.74401 .12123 L
.74884 .12145 L
.75367 .12188 L
.7585 .12258 L
.76334 .1237 L
.76809 .12553 L
.76817 .12557 L
.773 .12869 L
.77432 .13036 L
.77412 .1352 L
.773 .13644 L
.76817 .13921 L
.76579 .14003 L
.76334 .14076 L
.7585 .14176 L
.75367 .14238 L
.74884 .14275 L
.74401 .14293 L
.73918 .14297 L
.73434 .14286 L
.72951 .14259 L
.72468 .14211 L
.71985 .14132 L
.71502 .14004 L
.71499 .14003 L
.71019 .13811 L
.70665 .1352 L
.70645 .13036 L
.71019 .12684 L
.71268 .12553 L
F
0 .98 1 r
.71019 .61363 m
.71268 .61838 L
.71019 .62198 L
.70655 .61838 L
F
1 .74 0 r
.73434 .15425 m
.73918 .15411 L
.74401 .15415 L
.74884 .1544 L
.75058 .15452 L
.75367 .15474 L
.7585 .15526 L
.76334 .15622 L
.76817 .15817 L
.76991 .15935 L
.773 .16202 L
.77402 .16419 L
.773 .16784 L
.77191 .16902 L
.76817 .17129 L
.76334 .17297 L
.75944 .17385 L
.7585 .17403 L
.75367 .17474 L
.74884 .17518 L
.74401 .17541 L
.73918 .17545 L
.73434 .17532 L
.72951 .17499 L
.72468 .17443 L
.72132 .17385 L
.71985 .17355 L
.71502 .17224 L
.71019 .17 L
.70886 .16902 L
.70674 .16419 L
.71019 .15979 L
.71086 .15935 L
.71502 .15701 L
.71985 .15566 L
.72468 .15496 L
.72951 .15457 L
.73006 .15452 L
F
0 .74 1 r
.72468 .18787 m
.72951 .18729 L
.73434 .18696 L
.73918 .18683 L
.74401 .18687 L
.74884 .1871 L
.75367 .18754 L
.7585 .18827 L
.7589 .18835 L
.76334 .18934 L
.76817 .19106 L
.77159 .19318 L
.773 .19482 L
.77368 .19801 L
.773 .19964 L
.76948 .20284 L
.76817 .20375 L
.76334 .20582 L
.7585 .20683 L
.75367 .20738 L
.74934 .20767 L
.74884 .20771 L
.74401 .20795 L
.73918 .208 L
.73434 .20786 L
.73103 .20767 L
.72951 .20756 L
.72468 .20715 L
.71985 .2064 L
.71502 .20498 L
.71129 .20284 L
.71019 .20211 L
.70709 .19801 L
.70918 .19318 L
.71019 .19241 L
.71502 .19009 L
.71985 .18875 L
.72185 .18835 L
F
1 .92 0 r
.71019 .55306 m
.71144 .55557 L
.71019 .5582 L
.70751 .55557 L
F
1 .82 0 r
.71985 .22152 m
.72468 .22061 L
.72951 .22006 L
.73434 .21976 L
.73918 .21963 L
.74401 .21967 L
.74884 .21988 L
.75367 .2203 L
.7585 .22101 L
.7633 .22217 L
.76334 .22218 L
.76817 .2239 L
.77233 .227 L
.7725 .23183 L
.76817 .23553 L
.76576 .23666 L
.76334 .23763 L
.7585 .23894 L
.75367 .23975 L
.74884 .24023 L
.74401 .24048 L
.73918 .24053 L
.73434 .24038 L
.72951 .24002 L
.72468 .23939 L
.71985 .23836 L
.71502 .23666 L
.71502 .23666 L
.71019 .23393 L
.70827 .23183 L
.70844 .227 L
.71019 .22531 L
.71502 .22292 L
.71746 .22217 L
F
0 .86 1 r
.71019 .49211 m
.71055 .49275 L
.71019 .49495 L
.70828 .49275 L
F
0 .96 1 r
.72951 .05777 m
.73434 .05733 L
.73918 .05714 L
.74401 .0572 L
.74884 .05751 L
.7523 .05789 L
.75367 .05804 L
.7585 .05874 L
.76334 .06001 L
.76817 .06269 L
.76821 .06272 L
.77214 .06755 L
.76838 .07238 L
.76817 .07248 L
.76334 .07412 L
.7585 .07506 L
.75367 .07564 L
.74884 .07599 L
.74401 .07617 L
.73918 .07621 L
.73434 .0761 L
.72951 .07584 L
.72468 .07538 L
.71985 .07464 L
.71502 .07343 L
.71239 .07238 L
.71019 .07091 L
.70863 .06755 L
.71019 .06461 L
.71256 .06272 L
.71502 .06108 L
.71985 .05927 L
.72468 .05834 L
.72857 .05789 L
F
1 .72 0 r
.71502 .15828 m
.71985 .15642 L
.72468 .15549 L
.72951 .155 L
.73434 .15473 L
.73918 .15463 L
.74401 .15466 L
.74884 .15484 L
.75367 .15521 L
.7585 .15588 L
.76334 .15718 L
.76746 .15935 L
.76817 .15978 L
.7719 .16419 L
.76963 .16902 L
.76817 .17001 L
.76334 .17209 L
.7585 .17331 L
.7554 .17385 L
.75367 .1741 L
.74884 .1746 L
.74401 .17485 L
.73918 .1749 L
.73434 .17475 L
.72951 .17438 L
.72537 .17385 L
.72468 .17374 L
.71985 .17277 L
.71502 .17121 L
.71114 .16902 L
.71019 .1681 L
.70887 .16419 L
.71019 .16177 L
.71331 .15935 L
F
0 .72 1 r
.72951 .18792 m
.73434 .18754 L
.73918 .18739 L
.74401 .18744 L
.74884 .1877 L
.75367 .18821 L
.75466 .18835 L
.7585 .189 L
.76334 .19025 L
.76817 .1924 L
.76927 .19318 L
.77152 .19801 L
.76817 .20212 L
.76698 .20284 L
.76334 .20479 L
.7585 .20616 L
.75367 .20688 L
.74884 .20727 L
.74401 .20746 L
.73918 .20749 L
.73434 .20738 L
.72951 .20711 L
.72468 .20658 L
.71985 .20559 L
.71502 .20363 L
.71379 .20284 L
.71019 .19993 L
.70925 .19801 L
.71019 .19453 L
.71149 .19318 L
.71502 .19116 L
.71985 .18955 L
.72468 .18856 L
.72607 .18835 L
F
1 .9 0 r
.72468 .09104 m
.72951 .09028 L
.73434 .08985 L
.73918 .08967 L
.74401 .08973 L
.74884 .09003 L
.75367 .09062 L
.7585 .09158 L
.75903 .09171 L
.76334 .09301 L
.76817 .09537 L
.76968 .09654 L
.77152 .10137 L
.76817 .10483 L
.76508 .1062 L
.76334 .10693 L
.7585 .10827 L
.75367 .10902 L
.74884 .10943 L
.74401 .10962 L
.73918 .10966 L
.73434 .10955 L
.72951 .10925 L
.72468 .1087 L
.71985 .1077 L
.71569 .1062 L
.71502 .10596 L
.71019 .10293 L
.70925 .10137 L
.71019 .09753 L
.71109 .09654 L
.71502 .09401 L
.71985 .09222 L
.72172 .09171 L
F
0 .8 1 r
.71985 .12436 m
.72468 .12322 L
.72951 .12254 L
.73434 .12215 L
.73918 .122 L
.74401 .12205 L
.74884 .12231 L
.75367 .12284 L
.7585 .12372 L
.76334 .12519 L
.76417 .12553 L
.76817 .1275 L
.77121 .13036 L
.77099 .1352 L
.76817 .13751 L
.76334 .13951 L
.76145 .14003 L
.7585 .14074 L
.75367 .14154 L
.74884 .142 L
.74401 .14223 L
.73918 .14228 L
.73434 .14214 L
.72951 .1418 L
.72468 .14119 L
.71985 .14017 L
.71933 .14003 L
.71502 .13867 L
.71019 .13567 L
.70978 .1352 L
.70956 .13036 L
.71019 .12953 L
.71502 .1262 L
.71659 .12553 L
F
0 .98 1 r
.71502 .60795 m
.71868 .60872 L
.71588 .61355 L
.71502 .61485 L
.71025 .61355 L
.71443 .60872 L
F
0 .9 1 r
.71502 .48546 m
.71539 .48792 L
.71502 .48908 L
.71032 .48792 L
F
1 .7 0 r
.71985 .15738 m
.72468 .15614 L
.72951 .15549 L
.73434 .15516 L
.73918 .15504 L
.74401 .15508 L
.74884 .1553 L
.75367 .15577 L
.7585 .15666 L
.76334 .15841 L
.76497 .15935 L
.76817 .16156 L
.76978 .16419 L
.76817 .1683 L
.76734 .16902 L
.76334 .17111 L
.7585 .17255 L
.75367 .17343 L
.75029 .17385 L
.74884 .17398 L
.74401 .17427 L
.73918 .17432 L
.73434 .17415 L
.73027 .17385 L
.72951 .17374 L
.72468 .17304 L
.71985 .17192 L
.71502 .17001 L
.71343 .16902 L
.71099 .16419 L
.71502 .15978 L
.7158 .15935 L
F
0 .7 1 r
.73434 .18815 m
.73918 .18798 L
.74401 .18804 L
.74884 .18833 L
.74899 .18835 L
.75367 .18888 L
.7585 .18978 L
.76334 .19126 L
.76694 .19318 L
.76817 .1943 L
.76937 .19801 L
.76817 .20016 L
.76443 .20284 L
.76334 .20348 L
.7585 .20534 L
.75367 .20628 L
.74884 .20678 L
.74401 .20701 L
.73918 .20706 L
.73434 .20692 L
.72951 .20657 L
.72468 .20589 L
.71985 .20457 L
.71634 .20284 L
.71502 .20211 L
.7114 .19801 L
.71383 .19318 L
.71502 .19242 L
.71985 .19042 L
.72468 .18927 L
.72951 .18857 L
.73134 .18835 L
F
0 .9 1 r
.71985 .2555 m
.72468 .25423 L
.72951 .25352 L
.73434 .25315 L
.73918 .25301 L
.74401 .25306 L
.74884 .25331 L
.75367 .25382 L
.7585 .25477 L
.76222 .25599 L
.76334 .25637 L
.76817 .25913 L
.7693 .26082 L
.76817 .26477 L
.76726 .26566 L
.76334 .26799 L
.7585 .26966 L
.75491 .27049 L
.75367 .27071 L
.74884 .27138 L
.74401 .27173 L
.73918 .27179 L
.73434 .27159 L
.72951 .27109 L
.72583 .27049 L
.72468 .27024 L
.71985 .26893 L
.71502 .26673 L
.71351 .26566 L
.71147 .26082 L
.71502 .25741 L
.71855 .25599 L
F
1 .8 0 r
.72468 .22167 m
.72951 .22096 L
.73434 .22057 L
.73918 .22041 L
.74401 .22046 L
.74884 .22073 L
.75367 .22127 L
.75842 .22217 L
.7585 .22219 L
.76334 .22353 L
.76817 .22613 L
.76903 .227 L
.76921 .23183 L
.76817 .23303 L
.76334 .23595 L
.76146 .23666 L
.7585 .23761 L
.75367 .23865 L
.74884 .23926 L
.74401 .23957 L
.73918 .23962 L
.73434 .23945 L
.72951 .239 L
.72468 .2382 L
.71985 .23686 L
.71932 .23666 L
.71502 .23478 L
.71155 .23183 L
.71174 .227 L
.71502 .22456 L
.71985 .22277 L
.72233 .22217 L
F
0 .78 1 r
.72468 .12441 m
.72951 .12354 L
.73434 .12306 L
.73918 .12287 L
.74401 .12293 L
.74884 .12326 L
.75367 .12392 L
.7585 .12505 L
.76 .12553 L
.76334 .12681 L
.76811 .13036 L
.76787 .1352 L
.76334 .13813 L
.7585 .13962 L
.7566 .14003 L
.75367 .14057 L
.74884 .14116 L
.74401 .14145 L
.73918 .1415 L
.73434 .14133 L
.72951 .1409 L
.72468 .14013 L
.7242 .14003 L
.71985 .13898 L
.71502 .13692 L
.7129 .1352 L
.71265 .13036 L
.71502 .12816 L
.71985 .12584 L
.72077 .12553 L
F
1 .9 0 r
.71502 .50613 m
.71561 .50725 L
.71502 .50964 L
.71268 .50725 L
F
1 .68 0 r
.71985 .15858 m
.72468 .15694 L
.72951 .15609 L
.73434 .15567 L
.73918 .15551 L
.74401 .15556 L
.74884 .15584 L
.75367 .15645 L
.7585 .15762 L
.76239 .15935 L
.76334 .15982 L
.76766 .16419 L
.76501 .16902 L
.76334 .16997 L
.7585 .17173 L
.75367 .17275 L
.74884 .17335 L
.74401 .17366 L
.73918 .17372 L
.73434 .17354 L
.72951 .17309 L
.72468 .1723 L
.71985 .17098 L
.71576 .16902 L
.71502 .16844 L
.71311 .16419 L
.71502 .16142 L
.71838 .15935 L
F
0 .68 1 r
.71985 .1914 m
.72468 .19004 L
.72951 .18923 L
.73434 .18877 L
.73918 .18859 L
.74401 .18865 L
.74884 .18896 L
.75367 .18958 L
.7585 .19063 L
.76334 .19246 L
.76457 .19318 L
.76721 .19801 L
.76334 .20206 L
.76178 .20284 L
.7585 .20431 L
.75367 .20556 L
.74884 .2062 L
.74401 .2065 L
.73918 .20655 L
.73434 .20638 L
.72951 .20593 L
.72468 .20504 L
.71985 .20329 L
.719 .20284 L
.71502 .20031 L
.71356 .19801 L
.71502 .19415 L
.7162 .19318 L
F
1 .96 0 r
.71985 .28967 m
.72468 .28846 L
.72951 .28778 L
.73434 .2874 L
.73918 .28725 L
.74401 .2873 L
.74884 .28756 L
.75367 .28807 L
.7585 .28898 L
.76131 .28981 L
.76334 .29075 L
.76614 .29465 L
.76334 .29819 L
.76102 .29948 L
.7585 .30073 L
.75367 .30218 L
.74884 .30291 L
.74401 .30326 L
.73918 .30332 L
.73434 .30312 L
.72951 .30259 L
.72468 .30156 L
.71985 .29955 L
.71973 .29948 L
.71502 .29588 L
.71458 .29465 L
.71502 .29284 L
.71943 .28981 L
F
1 .78 0 r
.72951 .22199 m
.73434 .22149 L
.73918 .22129 L
.74401 .22136 L
.74884 .2217 L
.75256 .22217 L
.75367 .22236 L
.7585 .22338 L
.76334 .22525 L
.7657 .227 L
.7659 .23183 L
.76334 .234 L
.7585 .23612 L
.75666 .23666 L
.75367 .2374 L
.74884 .23817 L
.74401 .23855 L
.73918 .23862 L
.73434 .2384 L
.72951 .23784 L
.72468 .23681 L
.72414 .23666 L
.71985 .23523 L
.71502 .23201 L
.71487 .23183 L
.71502 .22707 L
.71508 .227 L
.71985 .22416 L
.72468 .2228 L
.72829 .22217 L
F
1 .66 0 r
.72468 .15791 m
.72951 .15682 L
.73434 .15627 L
.73918 .15607 L
.74401 .15614 L
.74884 .15649 L
.75367 .15727 L
.7585 .15881 L
.75966 .15935 L
.76334 .16135 L
.76551 .16419 L
.76334 .16851 L
.7626 .16902 L
.7585 .17081 L
.75367 .17201 L
.74884 .1727 L
.74401 .17305 L
.73918 .17312 L
.73434 .17291 L
.72951 .1724 L
.72468 .17149 L
.71985 .16989 L
.71817 .16902 L
.71526 .16419 L
.71985 .15991 L
.7211 .15935 L
F
1 .88 0 r
.71985 .09548 m
.72468 .09367 L
.72951 .09262 L
.73434 .09203 L
.73918 .09179 L
.74401 .09187 L
.74884 .09228 L
.75367 .09308 L
.7585 .09444 L
.76272 .09654 L
.76334 .09702 L
.76508 .10137 L
.76334 .10338 L
.7585 .1056 L
.75625 .1062 L
.75367 .10686 L
.74884 .10764 L
.74401 .10802 L
.73918 .10809 L
.73434 .10787 L
.72951 .10731 L
.72468 .10624 L
.72456 .1062 L
.71985 .10473 L
.71569 .10137 L
.71805 .09654 L
F
0 .66 1 r
.71985 .19255 m
.72468 .19088 L
.72951 .18994 L
.73434 .18942 L
.73918 .18921 L
.74401 .18928 L
.74884 .18963 L
.75367 .19034 L
.7585 .19158 L
.76211 .19318 L
.76334 .19408 L
.76501 .19801 L
.76334 .20038 L
.75894 .20284 L
.7585 .20305 L
.75367 .20467 L
.74884 .2055 L
.74401 .20588 L
.73918 .20595 L
.73434 .20574 L
.72951 .20516 L
.72468 .20399 L
.72181 .20284 L
.71985 .20197 L
.71576 .19801 L
.71867 .19318 L
F
0 .76 1 r
.72951 .12468 m
.73434 .12409 L
.73918 .12385 L
.74401 .12393 L
.74884 .12433 L
.75367 .12516 L
.75523 .12553 L
.7585 .12648 L
.76334 .12885 L
.76497 .13036 L
.76469 .1352 L
.76334 .13629 L
.7585 .13842 L
.75367 .13953 L
.75036 .14003 L
.74884 .1402 L
.74401 .14056 L
.73918 .14063 L
.73434 .14042 L
.73022 .14003 L
.72951 .1399 L
.72468 .13905 L
.71985 .13755 L
.71607 .1352 L
.7158 .13036 L
.71985 .12746 L
.72468 .12576 L
.72553 .12553 L
F
0 .94 1 r
.71985 .51807 m
.7221 .52174 L
.71985 .5265 L
.71583 .52174 L
F
1 .64 0 r
.72468 .15911 m
.72951 .1577 L
.73434 .157 L
.73918 .15674 L
.74401 .15682 L
.74884 .15728 L
.75367 .15829 L
.75671 .15935 L
.7585 .16006 L
.7633 .16419 L
.76008 .16902 L
.7585 .16975 L
.75367 .1712 L
.74884 .172 L
.74401 .1724 L
.73918 .17247 L
.73434 .17224 L
.72951 .17166 L
.72468 .17059 L
.72069 .16902 L
.71985 .16849 L
.71746 .16419 L
.71985 .16137 L
.72409 .15935 L
F
0 .64 1 r
.72468 .19182 m
.72951 .1907 L
.73434 .1901 L
.73918 .18987 L
.74401 .18995 L
.74884 .19035 L
.75367 .19118 L
.7585 .19271 L
.7595 .19318 L
.76275 .19801 L
.7585 .2018 L
.75584 .20284 L
.75367 .20359 L
.74884 .20466 L
.74401 .20515 L
.73918 .20524 L
.73434 .20496 L
.72951 .20422 L
.72495 .20284 L
.72468 .20275 L
.71985 .20035 L
.71802 .19801 L
.71985 .1941 L
.72126 .19318 L
F
1 .76 0 r
.71985 .22603 m
.72468 .22406 L
.72951 .22304 L
.73434 .2225 L
.73918 .22229 L
.74401 .22236 L
.74884 .22273 L
.75367 .22348 L
.7585 .22486 L
.76223 .227 L
.76247 .23183 L
.7585 .23444 L
.75367 .23601 L
.75052 .23666 L
.74884 .23691 L
.74401 .23739 L
.73918 .23749 L
.73434 .23721 L
.73011 .23666 L
.72951 .23651 L
.72468 .23534 L
.71985 .23314 L
.7183 .23183 L
.71854 .227 L
F
0 .88 1 r
.73434 .25534 m
.73918 .25506 L
.74401 .25515 L
.74884 .25563 L
.75107 .25599 L
.75367 .25649 L
.7585 .25798 L
.76208 .26082 L
.75928 .26566 L
.7585 .26608 L
.75367 .26784 L
.74884 .2688 L
.74401 .26927 L
.73918 .26937 L
.73434 .26909 L
.72951 .26839 L
.72468 .2671 L
.72147 .26566 L
.71985 .26443 L
.71869 .26082 L
.71985 .25942 L
.72468 .2571 L
.72951 .25604 L
.72974 .25599 L
F
0 .74 1 r
.73434 .12525 m
.73918 .12496 L
.74401 .12505 L
.74865 .12553 L
.74884 .12556 L
.75367 .12648 L
.7585 .12817 L
.76168 .13036 L
.76137 .1352 L
.7585 .13691 L
.75367 .13842 L
.74884 .13922 L
.74401 .13961 L
.73918 .13969 L
.73434 .13946 L
.72951 .13888 L
.72468 .13779 L
.71985 .13555 L
.71941 .1352 L
.7191 .13036 L
.71985 .12966 L
.72468 .12719 L
.72951 .12595 L
.73167 .12553 L
F
0 .98 1 r
.71985 .60322 m
.72097 .60388 L
.71985 .60657 L
.7192 .60388 L
F
1 .62 0 r
.72951 .15876 m
.73434 .15787 L
.73918 .15754 L
.74401 .15765 L
.74884 .15823 L
.75329 .15935 L
.75367 .15947 L
.7585 .16148 L
.76101 .16419 L
.7585 .16838 L
.75736 .16902 L
.75367 .1703 L
.74884 .17124 L
.74401 .1717 L
.73918 .17179 L
.73434 .17152 L
.72951 .17084 L
.72468 .16953 L
.72342 .16902 L
.71985 .1658 L
.71977 .16419 L
.71985 .16397 L
.72468 .16028 L
.72746 .15935 L
F
0 .62 1 r
.72468 .19294 m
.72951 .19156 L
.73434 .19085 L
.73918 .19058 L
.74401 .19067 L
.74884 .19114 L
.75367 .19213 L
.75668 .19318 L
.7585 .19424 L
.76038 .19801 L
.7585 .20021 L
.75367 .20242 L
.75224 .20284 L
.74884 .20365 L
.74401 .20426 L
.73918 .20438 L
.73434 .20403 L
.72951 .20309 L
.72864 .20284 L
.72468 .20155 L
.72039 .19801 L
.72412 .19318 L
F
1 .96 0 r
.72468 .53315 m
.72635 .53624 L
.72468 .54005 L
.72101 .53624 L
F
1 .98 0 r
.72468 .4102 m
.725 .41061 L
.72468 .41484 L
.7219 .41061 L
F
1 .74 0 r
.72468 .22568 m
.72951 .22425 L
.73434 .22355 L
.73918 .22329 L
.74401 .22337 L
.74884 .22384 L
.75367 .22484 L
.75846 .227 L
.7585 .22704 L
.75875 .23183 L
.7585 .23205 L
.75367 .23446 L
.74884 .23559 L
.74401 .23613 L
.73918 .23623 L
.73434 .23592 L
.72951 .23512 L
.72468 .23353 L
.722 .23183 L
.72229 .227 L
F
1 .6 0 r
.73434 .15892 m
.73918 .15851 L
.74401 .15864 L
.74877 .15935 L
.74884 .15937 L
.75367 .16061 L
.7585 .16406 L
.75856 .16419 L
.7585 .16569 L
.75427 .16902 L
.75367 .16923 L
.74884 .1704 L
.74401 .17093 L
.73918 .17104 L
.73434 .17073 L
.72951 .16992 L
.72644 .16902 L
.72468 .16815 L
.72219 .16419 L
.72468 .16171 L
.72951 .15988 L
.73155 .15935 L
F
0 .72 1 r
.72468 .12902 m
.72951 .12731 L
.73434 .12647 L
.73918 .12615 L
.74401 .12625 L
.74884 .12682 L
.75367 .12801 L
.75811 .13036 L
.75773 .1352 L
.75367 .13706 L
.74884 .13813 L
.74401 .13862 L
.73918 .13871 L
.73434 .13843 L
.72951 .13769 L
.72468 .13614 L
.72304 .1352 L
.72265 .13036 L
F
1 .86 0 r
.72951 .09543 m
.73434 .09452 L
.73918 .09417 L
.74401 .09429 L
.74884 .09489 L
.75367 .0962 L
.75452 .09654 L
.75801 .10137 L
.75367 .1041 L
.74884 .10523 L
.74401 .10573 L
.73918 .10583 L
.73434 .10554 L
.72951 .10477 L
.72468 .10305 L
.72275 .10137 L
.72468 .0974 L
.7262 .09654 L
F
0 .6 1 r
.72951 .19254 m
.73434 .19168 L
.73918 .19136 L
.74401 .19147 L
.74884 .19203 L
.75342 .19318 L
.75367 .19329 L
.75784 .19801 L
.75367 .20119 L
.74884 .20252 L
.74684 .20284 L
.74401 .20321 L
.73918 .20335 L
.73434 .20291 L
.7338 .20284 L
.72951 .20198 L
.72468 .19993 L
.72292 .19801 L
.72468 .19453 L
.72731 .19318 L
F
1 .58 0 r
.72951 .16107 m
.73434 .15998 L
.73918 .15958 L
.74401 .15971 L
.74884 .16041 L
.75367 .16211 L
.75592 .16419 L
.75367 .16775 L
.75064 .16902 L
.74884 .16941 L
.74401 .17007 L
.73918 .1702 L
.73434 .16982 L
.73002 .16902 L
.72951 .16878 L
.72488 .16419 L
F
0 .58 1 r
.73434 .19264 m
.73918 .19225 L
.74401 .19237 L
.74884 .19308 L
.74929 .19318 L
.75367 .19503 L
.75503 .19801 L
.75367 .19944 L
.74884 .2014 L
.74401 .20216 L
.73918 .20229 L
.73434 .20187 L
.72951 .20067 L
.72572 .19801 L
.72951 .1938 L
.73107 .19318 L
F
1 .72 0 r
.72951 .22582 m
.73434 .22482 L
.73918 .22446 L
.74401 .22458 L
.74884 .22522 L
.75367 .22677 L
.75411 .227 L
.7545 .23183 L
.75367 .23234 L
.74884 .23404 L
.74401 .23475 L
.73918 .23488 L
.73434 .23448 L
.72951 .23338 L
.72622 .23183 L
.72659 .227 L
F
0 .7 1 r
.72951 .12904 m
.73434 .12787 L
.73918 .12745 L
.74401 .12759 L
.74884 .12833 L
.75367 .13017 L
.75396 .13036 L
.75367 .13506 L
.75348 .1352 L
.74884 .13677 L
.74401 .13744 L
.73918 .13756 L
.73434 .13718 L
.72951 .13612 L
.72724 .1352 L
.72674 .13036 L
F
0 .86 1 r
.72951 .25943 m
.73434 .25813 L
.73918 .25771 L
.74401 .25784 L
.74884 .25861 L
.75334 .26082 L
.74884 .26535 L
.74765 .26566 L
.74401 .26623 L
.73918 .26639 L
.73434 .2659 L
.7328 .26566 L
.72951 .26442 L
.7274 .26082 L
F
1 .56 0 r
.72951 .16276 m
.73434 .16113 L
.73918 .16062 L
.74401 .16079 L
.74884 .16173 L
.7529 .16419 L
.74884 .16813 L
.74443 .16902 L
.74401 .16906 L
.73918 .16922 L
.73634 .16902 L
.73434 .16872 L
.72951 .16709 L
.7279 .16419 L
F
1 .98 0 r
.72951 .5687 m
.73128 .57006 L
.72951 .57452 L
.72794 .57006 L
F
0 .56 1 r
.72951 .196 m
.73434 .19387 L
.73918 .19331 L
.74401 .19349 L
.74884 .19456 L
.75184 .19801 L
.74884 .1999 L
.74401 .20098 L
.73918 .20116 L
.73434 .20059 L
.72951 .19851 L
.72907 .19801 L
F
1 .54 0 r
.73434 .16277 m
.73918 .16196 L
.74401 .1622 L
.74884 .16413 L
.74889 .16419 L
.74884 .16561 L
.74401 .16766 L
.73918 .1679 L
.73434 .16708 L
.73143 .16419 L
F
1 .7 0 r
.73434 .22656 m
.73918 .22599 L
.74401 .22617 L
.74809 .227 L
.74875 .23183 L
.74401 .23299 L
.73918 .23319 L
.73434 .23257 L
.73156 .23183 L
.73228 .227 L
F
0 .98 1 r
.73434 .32467 m
.73918 .32396 L
.74401 .32415 L
.7482 .32847 L
.74401 .32968 L
.73918 .33007 L
.73434 .32944 L
.73158 .32847 L
F
0 .94 1 r
.73434 .06614 m
.73918 .06525 L
.74401 .06552 L
.74841 .06755 L
.74401 .07011 L
.73918 .07034 L
.73434 .06953 L
.73193 .06755 L
F
0 .68 1 r
.73434 .12975 m
.73918 .1291 L
.74401 .12931 L
.74835 .13036 L
.74746 .1352 L
.74401 .13588 L
.73918 .13606 L
.73434 .13547 L
.73304 .1352 L
.732 .13036 L
F
1 .84 0 r
.73434 .09859 m
.73918 .09765 L
.74401 .09792 L
.74768 .10137 L
.74401 .10259 L
.73918 .10283 L
.73434 .10199 L
.73276 .10137 L
F
0 .54 1 r
.73434 .19602 m
.73918 .19485 L
.74401 .19517 L
.7471 .19801 L
.74401 .1993 L
.73918 .19961 L
.73434 .19849 L
.73347 .19801 L
F
1 .98 0 r
.73434 .03365 m
.73918 .0328 L
.74401 .03305 L
.74663 .03373 L
.74401 .03754 L
.73918 .03776 L
.73434 .03701 L
.73407 .03373 L
F
.73918 .51532 m
.73989 .51691 L
.73918 .51969 L
.73573 .51691 L
F
1 .96 0 r
.88413 .07146 m
.88896 .07088 L
.8938 .07099 L
.89863 .07178 L
.90107 .07238 L
.90346 .07327 L
.90829 .07548 L
.91126 .07721 L
.91312 .07847 L
.91766 .08204 L
.91796 .08231 L
.92258 .08688 L
.92279 .0871 L
.92664 .09171 L
.92762 .09301 L
.93009 .09654 L
.93245 .10027 L
.9331 .10137 L
.93574 .1062 L
.93728 .10932 L
.93808 .11104 L
.94016 .11587 L
.94202 .1207 L
.94211 .12096 L
.94366 .12553 L
.94513 .13036 L
.94643 .1352 L
.94695 .13731 L
.94756 .14003 L
.94854 .14486 L
.94938 .14969 L
.95009 .15452 L
.95067 .15935 L
.95112 .16419 L
.95145 .16902 L
.95166 .17385 L
.95174 .17868 L
.9517 .18351 L
.95153 .18835 L
.95125 .19318 L
.95084 .19801 L
.9503 .20284 L
.94963 .20767 L
.94883 .2125 L
.9479 .21734 L
.94695 .22166 L
.94682 .22217 L
.94558 .227 L
.94417 .23183 L
.94259 .23666 L
.94211 .23801 L
.9408 .2415 L
.9388 .24633 L
.93728 .24966 L
.93655 .25116 L
.93401 .25599 L
.93245 .2587 L
.93114 .26082 L
.92785 .26566 L
.92762 .26597 L
.92401 .27049 L
.92279 .27187 L
.91942 .27532 L
.91796 .27666 L
.91362 .28015 L
.91312 .2805 L
.90829 .28349 L
.90528 .28498 L
.90346 .28571 L
.89863 .2872 L
.8938 .28798 L
.88896 .28809 L
.88413 .28752 L
.8793 .28625 L
.87595 .28498 L
.87447 .28427 L
.86964 .28152 L
.86763 .28015 L
.8648 .27795 L
.86185 .27532 L
.85997 .27345 L
.85728 .27049 L
.85514 .26786 L
.85349 .26566 L
.85031 .26094 L
.85024 .26082 L
.84737 .25599 L
.84548 .25251 L
.84478 .25116 L
.84238 .24633 L
.84065 .2427 L
.8401 .2415 L
.83797 .23666 L
.83601 .23183 L
.83581 .23131 L
.83451 .227 L
.83347 .22217 L
.83295 .21734 L
.83277 .2125 L
.83272 .20767 L
.83262 .20284 L
.83237 .19801 L
.8319 .19318 L
.83117 .18835 L
.83098 .18735 L
.83014 .18351 L
.82884 .17868 L
.82728 .17385 L
.82615 .17078 L
.82564 .16902 L
.8255 .16419 L
.82615 .16209 L
.82754 .15935 L
.8296 .15452 L
.83098 .15085 L
.83144 .14969 L
.83313 .14486 L
.83458 .14003 L
.83581 .13539 L
.83586 .1352 L
.83706 .13036 L
.83828 .12553 L
.83961 .1207 L
.84065 .1174 L
.84117 .11587 L
.84307 .11104 L
.84532 .1062 L
.84548 .1059 L
.84798 .10137 L
.85031 .09762 L
.85103 .09654 L
.85455 .09171 L
.85514 .09096 L
.85865 .08688 L
.85997 .08548 L
.86359 .08204 L
.8648 .08101 L
.86964 .07745 L
.87 .07721 L
.87447 .07471 L
.8793 .07272 L
.88011 .07238 L
F
1 .94 0 r
.88413 .08556 m
.88896 .0849 L
.8938 .08502 L
.89863 .08593 L
.90177 .08688 L
.90346 .08764 L
.90829 .09022 L
.91053 .09171 L
.91312 .09372 L
.91626 .09654 L
.91796 .09828 L
.92068 .10137 L
.92279 .10408 L
.92431 .1062 L
.92738 .11104 L
.92762 .11144 L
.93003 .11587 L
.93234 .1207 L
.93245 .12095 L
.93435 .12553 L
.93612 .13036 L
.93728 .13392 L
.93767 .1352 L
.939 .14003 L
.94016 .14486 L
.94115 .14969 L
.94197 .15452 L
.94211 .15546 L
.94264 .15935 L
.94315 .16419 L
.94352 .16902 L
.94375 .17385 L
.94385 .17868 L
.9438 .18351 L
.94362 .18835 L
.94329 .19318 L
.94282 .19801 L
.94221 .20284 L
.94211 .20351 L
.94144 .20767 L
.94051 .2125 L
.93941 .21734 L
.93813 .22217 L
.93728 .22505 L
.93666 .227 L
.93497 .23183 L
.93304 .23666 L
.93245 .23803 L
.93084 .2415 L
.92831 .24633 L
.92762 .24754 L
.92539 .25116 L
.92279 .2549 L
.92196 .25599 L
.91796 .2607 L
.91784 .26082 L
.91312 .26526 L
.91264 .26566 L
.90829 .26876 L
.90528 .27049 L
.90346 .27133 L
.89863 .27305 L
.8938 .27395 L
.88896 .27408 L
.88413 .27341 L
.8793 .27195 L
.87596 .27049 L
.87447 .26966 L
.86964 .26645 L
.86862 .26566 L
.8648 .26223 L
.86343 .26082 L
.85997 .25683 L
.85932 .25599 L
.85588 .25116 L
.85514 .25001 L
.85293 .24633 L
.85033 .2415 L
.85031 .24145 L
.84805 .23666 L
.84603 .23183 L
.84548 .23039 L
.8443 .227 L
.84287 .22217 L
.84173 .21734 L
.84085 .2125 L
.84065 .21118 L
.84017 .20767 L
.83962 .20284 L
.83912 .19801 L
.83863 .19318 L
.83813 .18835 L
.83764 .18351 L
.8372 .17868 L
.8369 .17385 L
.83688 .16902 L
.83722 .16419 L
.83791 .15935 L
.83887 .15452 L
.83999 .14969 L
.84065 .14704 L
.84121 .14486 L
.84252 .14003 L
.8439 .1352 L
.8454 .13036 L
.84548 .13013 L
.84708 .12553 L
.84901 .1207 L
.85031 .11779 L
.85124 .11587 L
.85385 .11104 L
.85514 .10889 L
.85691 .1062 L
.85997 .10207 L
.86054 .10137 L
.8648 .09671 L
.86498 .09654 L
.86964 .09251 L
.87071 .09171 L
.87447 .08931 L
.8793 .08702 L
.87956 .08688 L
F
1 .92 0 r
.88413 .09623 m
.88896 .09549 L
.8938 .09562 L
.89827 .09654 L
.89863 .09665 L
.90346 .09859 L
.90809 .10137 L
.90829 .10152 L
.91312 .10556 L
.91378 .1062 L
.91796 .1109 L
.91806 .11104 L
.92152 .11587 L
.92279 .11788 L
.92442 .1207 L
.92688 .12553 L
.92762 .12715 L
.92899 .13036 L
.93081 .1352 L
.93237 .14003 L
.93245 .1403 L
.9337 .14486 L
.93483 .14969 L
.93577 .15452 L
.93653 .15935 L
.93711 .16419 L
.93728 .1658 L
.93754 .16902 L
.9378 .17385 L
.9379 .17868 L
.93785 .18351 L
.93764 .18835 L
.93728 .19309 L
.93727 .19318 L
.93674 .19801 L
.93604 .20284 L
.93516 .20767 L
.9341 .2125 L
.93284 .21734 L
.93245 .21868 L
.93135 .22217 L
.92962 .227 L
.92762 .23183 L
.92762 .23183 L
.92528 .23666 L
.92279 .2411 L
.92254 .2415 L
.91929 .24633 L
.91796 .24807 L
.91533 .25116 L
.91312 .25341 L
.91022 .25599 L
.90829 .25745 L
.90346 .26038 L
.90267 .26082 L
.89863 .26233 L
.8938 .26335 L
.88896 .26349 L
.88413 .26274 L
.8793 .26109 L
.87868 .26082 L
.87447 .25848 L
.87103 .25599 L
.86964 .2548 L
.86593 .25116 L
.8648 .2499 L
.86195 .24633 L
.85997 .24351 L
.85868 .2415 L
.85592 .23666 L
.85514 .23517 L
.85355 .23183 L
.85152 .227 L
.85031 .22369 L
.8498 .22217 L
.84837 .21734 L
.84719 .2125 L
.84623 .20767 L
.84548 .20301 L
.84545 .20284 L
.84481 .19801 L
.84427 .19318 L
.84383 .18835 L
.84349 .18351 L
.84327 .17868 L
.84323 .17385 L
.84339 .16902 L
.8438 .16419 L
.84445 .15935 L
.84531 .15452 L
.84548 .1537 L
.84637 .14969 L
.8476 .14486 L
.84899 .14003 L
.85031 .13593 L
.85056 .1352 L
.85236 .13036 L
.85444 .12553 L
.85514 .12405 L
.85687 .1207 L
.85973 .11587 L
.85997 .1155 L
.86318 .11104 L
.8648 .10907 L
.86745 .1062 L
.86964 .10416 L
.87315 .10137 L
.87447 .10049 L
.8793 .09788 L
.88274 .09654 L
F
1 .9 0 r
.88413 .10523 m
.88896 .1044 L
.8938 .10455 L
.89863 .1057 L
.90012 .1062 L
.90346 .10789 L
.90807 .11104 L
.90829 .11122 L
.91312 .11587 L
.91312 .11587 L
.91696 .1207 L
.91796 .12216 L
.92005 .12553 L
.92261 .13036 L
.92279 .13073 L
.92477 .1352 L
.9266 .14003 L
.92762 .14313 L
.92814 .14486 L
.92943 .14969 L
.93049 .15452 L
.93135 .15935 L
.93201 .16419 L
.93245 .1686 L
.93248 .16902 L
.93277 .17385 L
.93289 .17868 L
.93283 .18351 L
.9326 .18835 L
.93245 .1905 L
.93219 .19318 L
.93159 .19801 L
.9308 .20284 L
.92981 .20767 L
.92859 .2125 L
.92762 .21584 L
.92714 .21734 L
.92541 .22217 L
.92337 .227 L
.92279 .22825 L
.92095 .23183 L
.91805 .23666 L
.91796 .23681 L
.91451 .2415 L
.91312 .2431 L
.90995 .24633 L
.90829 .24775 L
.90346 .25108 L
.90335 .25116 L
.89863 .25327 L
.8938 .25442 L
.88896 .25457 L
.88413 .25374 L
.8793 .25188 L
.87787 .25116 L
.87447 .24893 L
.87129 .24633 L
.86964 .24472 L
.86673 .2415 L
.8648 .239 L
.86317 .23666 L
.86026 .23183 L
.85997 .2313 L
.85783 .227 L
.8558 .22217 L
.85514 .22042 L
.85409 .21734 L
.85268 .2125 L
.85151 .20767 L
.85057 .20284 L
.85031 .20133 L
.84981 .19801 L
.84921 .19318 L
.84876 .18835 L
.84846 .18351 L
.84832 .17868 L
.84837 .17385 L
.84862 .16902 L
.84908 .16419 L
.84977 .15935 L
.85031 .15633 L
.85068 .15452 L
.8518 .14969 L
.85314 .14486 L
.8547 .14003 L
.85514 .13879 L
.85653 .1352 L
.85868 .13036 L
.85997 .12781 L
.86123 .12553 L
.86431 .1207 L
.8648 .12001 L
.86813 .11587 L
.86964 .11426 L
.87317 .11104 L
.87447 .11005 L
.8793 .10709 L
.88091 .1062 L
F
1 .88 0 r
.8793 .1154 m
.88413 .11332 L
.88896 .11238 L
.8938 .11255 L
.89863 .11384 L
.90285 .11587 L
.90346 .11631 L
.90829 .12011 L
.90891 .1207 L
.91312 .12552 L
.91313 .12553 L
.9164 .13036 L
.91796 .13311 L
.91903 .1352 L
.9212 .14003 L
.92279 .14423 L
.923 .14486 L
.92449 .14969 L
.9257 .15452 L
.92667 .15935 L
.92742 .16419 L
.92762 .16573 L
.92795 .16902 L
.92827 .17385 L
.9284 .17868 L
.92834 .18351 L
.92808 .18835 L
.92762 .19315 L
.92762 .19318 L
.92694 .19801 L
.92605 .20284 L
.92492 .20767 L
.92353 .2125 L
.92279 .21474 L
.92184 .21734 L
.9198 .22217 L
.91796 .22587 L
.91734 .227 L
.91431 .23183 L
.91312 .23345 L
.91047 .23666 L
.90829 .23886 L
.90519 .2415 L
.90346 .24266 L
.89863 .24513 L
.89436 .24633 L
.8938 .24642 L
.88896 .24659 L
.88689 .24633 L
.88413 .24566 L
.8793 .24357 L
.87604 .2415 L
.87447 .24021 L
.87077 .23666 L
.86964 .23535 L
.86693 .23183 L
.8648 .22856 L
.8639 .227 L
.86143 .22217 L
.85997 .2188 L
.8594 .21734 L
.85773 .2125 L
.85636 .20767 L
.85526 .20284 L
.85514 .20226 L
.85438 .19801 L
.85371 .19318 L
.85323 .18835 L
.85293 .18351 L
.85282 .17868 L
.85292 .17385 L
.85322 .16902 L
.85375 .16419 L
.85451 .15935 L
.85514 .15615 L
.85551 .15452 L
.85675 .14969 L
.85826 .14486 L
.85997 .14027 L
.86007 .14003 L
.86224 .1352 L
.8648 .13048 L
.86487 .13036 L
.86812 .12553 L
.86964 .12364 L
.87233 .1207 L
.87447 .11877 L
.87847 .11587 L
F
1 .86 0 r
.88896 .11985 m
.8938 .12004 L
.89651 .1207 L
.89863 .12149 L
.90346 .1243 L
.90505 .12553 L
.90829 .1287 L
.90973 .13036 L
.91312 .13515 L
.91315 .1352 L
.91584 .14003 L
.91796 .14477 L
.91799 .14486 L
.91973 .14969 L
.92114 .15452 L
.92225 .15935 L
.92279 .16224 L
.92309 .16419 L
.92369 .16902 L
.92406 .17385 L
.92421 .17868 L
.92414 .18351 L
.92384 .18835 L
.92332 .19318 L
.92279 .19674 L
.92256 .19801 L
.92154 .20284 L
.92024 .20767 L
.91861 .2125 L
.91796 .2142 L
.91661 .21734 L
.91412 .22217 L
.91312 .22383 L
.91098 .227 L
.90829 .23027 L
.90683 .23183 L
.90346 .23467 L
.90048 .23666 L
.89863 .23748 L
.8938 .23893 L
.88896 .23913 L
.88413 .23808 L
.8806 .23666 L
.8793 .23571 L
.87447 .23185 L
.87446 .23183 L
.87026 .227 L
.86964 .22612 L
.86712 .22217 L
.8648 .21769 L
.86464 .21734 L
.86264 .2125 L
.86103 .20767 L
.85997 .20379 L
.85974 .20284 L
.85874 .19801 L
.85797 .19318 L
.85744 .18835 L
.85712 .18351 L
.85703 .17868 L
.85715 .17385 L
.85751 .16902 L
.85811 .16419 L
.85897 .15935 L
.85997 .15497 L
.86009 .15452 L
.86151 .14969 L
.86326 .14486 L
.8648 .14132 L
.86542 .14003 L
.8681 .1352 L
.86964 .13288 L
.87152 .13036 L
.87447 .12714 L
.87618 .12553 L
.8793 .12327 L
.88413 .1209 L
.88474 .1207 L
F
1 .84 0 r
.88413 .12829 m
.88896 .12709 L
.8938 .12731 L
.89863 .12897 L
.90121 .13036 L
.90346 .13222 L
.9065 .1352 L
.90829 .13744 L
.9101 .14003 L
.91281 .14486 L
.91312 .14551 L
.91493 .14969 L
.9166 .15452 L
.91789 .15935 L
.91796 .15964 L
.91886 .16419 L
.91955 .16902 L
.91998 .17385 L
.92014 .17868 L
.92006 .18351 L
.91972 .18835 L
.91912 .19318 L
.91825 .19801 L
.91796 .19934 L
.91706 .20284 L
.91553 .20767 L
.91357 .2125 L
.91312 .21347 L
.91109 .21734 L
.90829 .22153 L
.90782 .22217 L
.90346 .22675 L
.90321 .227 L
.89863 .23 L
.8938 .23167 L
.89274 .23183 L
.88896 .23189 L
.8885 .23183 L
.88413 .23068 L
.8793 .22796 L
.87804 .227 L
.87447 .22342 L
.87343 .22217 L
.87017 .21734 L
.86964 .2164 L
.86767 .2125 L
.86573 .20767 L
.8648 .20489 L
.86421 .20284 L
.86303 .19801 L
.86215 .19318 L
.86154 .18835 L
.8612 .18351 L
.8611 .17868 L
.86125 .17385 L
.86167 .16902 L
.86236 .16419 L
.86334 .15935 L
.86465 .15452 L
.8648 .15401 L
.86631 .14969 L
.86844 .14486 L
.86964 .14259 L
.87115 .14003 L
.87447 .13557 L
.87478 .1352 L
.8793 .13102 L
.88 .13036 L
F
1 .82 0 r
.88896 .13437 m
.8938 .13463 L
.89572 .1352 L
.89863 .13657 L
.9031 .14003 L
.90346 .14046 L
.90701 .14486 L
.90829 .14696 L
.90976 .14969 L
.91184 .15452 L
.91312 .1584 L
.9134 .15935 L
.91456 .16419 L
.91537 .16902 L
.91586 .17385 L
.91606 .17868 L
.91596 .18351 L
.91557 .18835 L
.91487 .19318 L
.91383 .19801 L
.91312 .20058 L
.91241 .20284 L
.91052 .20767 L
.90829 .21201 L
.90801 .2125 L
.90456 .21734 L
.90346 .21852 L
.89906 .22217 L
.89863 .2224 L
.8938 .22435 L
.88896 .2246 L
.88413 .2232 L
.8819 .22217 L
.8793 .21997 L
.87665 .21734 L
.87447 .2144 L
.87324 .2125 L
.87073 .20767 L
.86964 .205 L
.86886 .20284 L
.86743 .19801 L
.8664 .19318 L
.86569 .18835 L
.8653 .18351 L
.86519 .17868 L
.86538 .17385 L
.86587 .16902 L
.86667 .16419 L
.86784 .15935 L
.86941 .15452 L
.86964 .15394 L
.87148 .14969 L
.87427 .14486 L
.87447 .14457 L
.87817 .14003 L
.8793 .13901 L
.88413 .13578 L
.88553 .1352 L
F
1 .8 0 r
.88413 .14372 m
.88896 .14202 L
.8938 .14233 L
.89863 .1447 L
.89887 .14486 L
.90346 .14962 L
.90351 .14969 L
.90647 .15452 L
.90829 .15884 L
.90848 .15935 L
.90995 .16419 L
.91094 .16902 L
.91154 .17385 L
.91177 .17868 L
.91166 .18351 L
.91118 .18835 L
.91033 .19318 L
.90903 .19801 L
.90829 .20015 L
.90722 .20284 L
.90464 .20767 L
.90346 .20935 L
.90091 .2125 L
.89863 .21427 L
.8938 .21665 L
.88896 .21695 L
.88413 .21526 L
.88024 .2125 L
.8793 .21122 L
.87658 .20767 L
.87447 .20372 L
.87406 .20284 L
.87222 .19801 L
.87093 .19318 L
.87008 .18835 L
.86964 .18394 L
.86961 .18351 L
.86949 .17868 L
.86964 .17491 L
.86972 .17385 L
.8703 .16902 L
.87129 .16419 L
.87275 .15935 L
.87447 .15523 L
.8748 .15452 L
.87768 .14969 L
.8793 .14775 L
.88209 .14486 L
F
1 .78 0 r
.88413 .15282 m
.88896 .15058 L
.8938 .15099 L
.89863 .15416 L
.89902 .15452 L
.90254 .15935 L
.90346 .16148 L
.90454 .16419 L
.90591 .16902 L
.90669 .17385 L
.90699 .17868 L
.90685 .18351 L
.90623 .18835 L
.90508 .19318 L
.90346 .19748 L
.90325 .19801 L
.90051 .20284 L
.89863 .20482 L
.89457 .20767 L
.8938 .20798 L
.88896 .20839 L
.88668 .20767 L
.88413 .20615 L
.88058 .20284 L
.8793 .20044 L
.87799 .19801 L
.87616 .19318 L
.87504 .18835 L
.87447 .18381 L
.87444 .18351 L
.87429 .17868 L
.87447 .17511 L
.87459 .17385 L
.87534 .16902 L
.87666 .16419 L
.87882 .15935 L
.8793 .15853 L
.88194 .15452 L
F
1 .76 0 r
.88896 .16162 m
.8938 .16228 L
.89603 .16419 L
.89863 .16829 L
.89895 .16902 L
.90045 .17385 L
.90097 .17868 L
.90072 .18351 L
.89959 .18835 L
.89863 .1908 L
.89726 .19318 L
.8938 .1967 L
.88896 .19734 L
.88413 .1934 L
.88395 .19318 L
.8814 .18835 L
.8804 .18351 L
.88019 .17868 L
.88062 .17385 L
.88201 .16902 L
.88413 .16549 L
.88521 .16419 L
F
0 g
gsave
.25962 .17949 -70.8438 -8.53125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.0625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 10.438 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 8.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 10.438 moveto
(t) show
67.312 10.438 moveto
(=) show
74.688 10.438 moveto
(0) show
78.688 10.438 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[53]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3o
oolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40
fMWI003o0?ooob00oooo0@3IfMT00580oooo100000020?ooo`800000=03oool2000003D0oooo1000
00020?ooo`800000DP3oool10=WIf@00D`3oool01@000000oooo0?ooo`3oool000000080oooo00<0
00000?ooo`3oool0<03oool010000000oooo0?ooo`00000e0?ooo`050000003oool0oooo0?ooo`00
00000P3oool00`000000oooo0?ooo`1?0?ooo`40fMWI001<0?ooo`<000001@3oool010000000oooo
0?ooo`0000020?ooo`030000003oool0oooo0300oooo00@000000?ooo`3oool00000=P3oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0oooo04l0oooo0@3IfMT005@0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`0`0?ooo`040000003oool0oooo000003H0oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo0?ooo`1?0?ooo`40fMWI001E0?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool0<03oool010000000oooo0?ooo`00000g0?ooo`030000
003oool000000080oooo00<000000?ooo`3oool0C`3oool10=WIf@00DP3oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`3oool0<03oool010000000oooo0?ooo`00000d0?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`1?0?ooo`40fMWI001C
0?ooo`8000000`3oool2000003@0oooo0P00000f0?ooo`8000000`3oool200000580oooo0@3IfMT0
0?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00180oooon`00
000B0?ooo`40fMWI000B0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0>03oool0
0`000000oooo0?ooo`0h0?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0403oool1
0=WIf@004P3oool00`000000oooo0?ooo`3g0?ooo`030000003oool0oooo0100oooo0@3IfMT00180
oooo00<000000?ooo`3oool0m`3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000
003oool0oooo0?L0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?oo
o`3g0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0m`3oool0
0`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo01H0oooo1@3oo@3L0?oo
o`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool05P3oool70?om0=X0
oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0:0?ooo`<0ood0
2P3oool70?om00T0oooo103oo@3<0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<0
00000?ooo`3oool02P3oool50?om00T0oooo1`3oo@090?ooo`D0ood0bP3oool00`000000oooo0?oo
o`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo00/0oooo1P3oo@0:0?ooo`<0ood02P3oool6
0?om0<T0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0;0?oo
o`L0ood05`3oool60?om0<P0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000
oooo0?ooo`0<0?ooo`P0ood01P3oool8003mo`L0oooo203oo@360?ooo`030000003oool0oooo0100
oooo0@3IfMT00180oooo00<000000?ooo`3oool0303oool40?om0080ooX00`3oo@050?ooo`<00?go
1@00n_l3003mo`D0oooo0`3oo@020?oj00<0ood0a@3oool00`000000oooo0?ooo`0@0?ooo`40fMWI
000B0?ooo`030000003oool0oooo00d0oooo0`3oo@040?oj0080ood01@3oool2003mo`03003jo`00
n?l00?So00<00?So00<00?[o003mo`00oOl01@3oool20?om00@0ooX00`3oo@330?ooo`030000003o
ool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool03P3oool20?om00D0ooX00`3oo@03
0?ooo`800?go00D00?[o003ho`00mOl00?Go003co`02003eo`04003ho`00n_l00?go003mo`<0oooo
0P3oo@060?oj0080ood0`P3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003o
ool0oooo00l0oooo0P3oo@020?oj0080ooP00P3onP020?om00<0oooo0P00oOl00`00n_l00?So003e
o`03003co`03003eo`00n?l00?[o00800?go0`3oool20?om0080ooX00P3on0020?oj0080ood0`@3o
ool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo00l0oooo0P3oo@02
0?oj00@0ooP000<0ooX00?om003oo@000`3oool2003mo`03003jo`00n?l00?Go00<00??o00<00?Go
003ho`00n_l00P00oOl30?ooo`80ood000<0ooX00?oh003on0000P3on0020?oj0080ood0_`3oool0
0`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo0100oooo0P3oo@00103o
nP00ooP00?oh003om@020?oh0080ooX000<0ood00?ooo`3oool00P3oool2003mo`04003jo`00n?l0
0?So003eo`800?So00<00?[o003mo`00oOl00`3oool20?om0080ooX00P3on000103om@00ooP00?oh
003onP020?om0;h0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?oo
o`0A0?ooo`80ood000<0ooX00?oh003om@000P3om@020?oh00030?oj003oo@00ood000@0oooo2000
oOl50?ooo`80ood000<0ooX00?oh003on0000`3om@00103on000ooX00?om003oo@2m0?ooo`030000
003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool04P3oool01@3oo@00ooX00?oj
003on000ooD00080oo<000<0ooD00?oh003onP000P3oo@040?ooo`80ood01@3onP020?om00@0oooo
0P3oo@000`3onP00ooP00?oe00020?oc00050?oe003on000ooX00?oj003oo@00_03oool00`000000
oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo01<0oooo00@0ood00?oj003on000
ooD0103ol`000`3om@00ooP00?oj00050?om00030?oj003om@00oo<000<0oo0000H0oo<00?oe003o
n000ooX00?om003oool30?om00030?oj003on000ooD000<0oo<000@0ooD00?oh003onP00ood0^`3o
ool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo01<0oooo0P3oo@00
103onP00ooP00?oe003ol`020?o`00040?oc003om@00ooP00?oj00@0ood000@0ooX00?oe003ol000
on/00`3oiP00103oj000onh00?oc003onP040?om00040?oj003on000ooD00?oc00<0oo0000<0oo<0
0?oe003onP000P3oo@2i0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?oo
o`3oool0503oool20?om00040?oj003on000oo<00?o`0080onh000@0oo000?oc003om@00ooX00`3o
o@001@3onP00ooP00?oc003okP00onH000<0omh000D0on400?oX003ol`00ooP00?oj00030?om0004
0?oj003on000ooD00?o`00<0onh000<0oo000?oe003onP000P3oo@2h0?ooo`030000003oool0oooo
0100oooo0@3IfMT00180oooo00<000000?ooo`3oool05@3oool20?om00040?oj003om@00oo<00?o^
0080on/000@0onh00?o`003om@00ooX00`3oo@001P3onP00ooP00?oc003oj`00on<00?oL0080omT0
00D0omh00?oX003ol000ooD00?oj00030?om000<0?oj003on000oo<00?o`003okP00on/00?o^003o
l000ooD00?oh003onP00ood0]`3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000
003oool0oooo01H0oooo0P3oo@00103onP00ooD00?o`003oj`020?oX00050?o[003okP00ooD00?oh
003onP000P3oo@003@3onP00ooP00?oc003oj`00on<00?oN003of@00om`00?oQ003oj000oo000?oe
003onP000`3oo@00303onP00ooP00?oc003okP00on/00?oX003oj`00oo000?oc003on000ooX00?om
0;H0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0G0?ooo`80
ood000@0ooP00?oe003ol000on/00P3oiP001@3oj000onh00?oc003on000ooX000<0ood000`0ooX0
0?oe003ol000on/00?oS003oh@00on<00?oX003okP00oo<00?oh003onP030?om000;0?oj003om@00
oo000?o[003oj000onH00?oX003okP00oo<00?oe003onP000P3oo@2d0?ooo`030000003oool0oooo
0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0603oool03@3oo@00ooX00?oh003ol`00onh0
0?oX003oiP00on<00?oX003okP00oo<00?oh003onP00103oo@00103onP00ooP00?oe003ol`020?o`
00030?oc003on000ooX000D0ood000/0ooX00?oe003ol000on/00?oV003oh`00onH00?o[003ol000
ooD00?oj00020?om0;<0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo
0?ooo`0I0?ooo`060?om003onP00ooP00?oc003oj`00onH00P3oh`001P3oiP00on/00?o`003om@00
ooX00?om00<0oooo0`00oOl3003jo`<00?go0`3oool20?om000;0?oh003ol`00onh00?oV003oh`00
on400?oS003oj000onh00?oc003on0000P3oo@2b0?ooo`030000003oool0oooo0100oooo0@3IfMT0
0180oooo00<000000?ooo`3oool06P3oool01P3oo@00ooX00?oe003ol000onP00?oS0080omh000`0
on<00?oX003okP00ooD00?oj003oo@00oooo003mo`00n_l00?Go003`o`00j?l3003So`0E003Xo`00
k_l00??o003ho`00n_l00?go0?ooo`3oo@00ooP00?oc003oj`00onH00?oQ003ogP00on400?oV003o
j`00oo<00?oh003onP00ood00;40oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`00
0000oooo0?ooo`0K0?ooo`060?om003onP00ooD00?o`003oj000on400P3og0003@3oh@00onH00?o^
003ol`00ooX00?om003oool00?[o003eo`00k_l00>?o003Go`00col00P00c?l05@00e?l00=co003V
o`00l?l00?So003mo`3oool0ood00?oh003ol000on/00?oS003ogP00om`00?oN003oh`00on/00?o`
003on000ooX00?om002`0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?oo
o`3oool0703oool01P3oo@00ooX00?oe003okP00onH00?oN0080omT002@0omh00?oS003oj`00oo<0
0?oh003oo@000?go003ho`00lol00>Ko003Io`00b_l00;go002ho`00^_l00<;o003?o`00g_l00>_o
003eo`00n_l0oooo0?om003om@00oo000?oX003oh@00om`00?oI003og000on400?oX003ol000ooD0
0?oj003oo@2_0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0
703oool20?om00050?oh003ol`00on/00?oS003og0000P3oe`003@3og000on400?o[003ol`00ooP0
0?om0000oOl00?So003`o`00hol00=Co0032o`00]Ol00P00[_l05@00^_l00<[o003Io`00j?l00??o
003jo`3oool0ooX00?oe003ol000onP00?oN003of@00omL00?oI003ogP00onH00?o`003om@00ooX0
0?om002^0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool07@3o
ool20?om00050?oh003ol`00on/00?oS003of@000P3oe000903of@00on400?oX003ol000ooP00?om
0000oOl00?So003`o`00hol00=Co0035o`00]Ol00:ko002`o`00^_l00<[o003Lo`00j?l00??o003j
o`3oool0ooX00?oe003okP00onH00?oL003oe`00om@00?oG003og000onH00?o^003om@00ooX00?om
0:d0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0O0?ooo`0E
0?om003on000oo<00?o[003oh@00omT00?oD003od@00om@00?oL003oh`00onh00?oe003onP000?go
003jo`00lol00>So003Lo`00col00<;o00800;go00d00<Oo003Do`00hOl00>_o003co`00n_l0oooo
0?oj003om@00onh00?oV003og000om@00080om4000H0omT00?oQ003oj000oo<00?oj003oo@2/0?oo
o`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0803oool0903oo@00
ooP00?oc003oj`00on400?oG003od@00oll00?oA003of@00on<00?o[003ol`00ood00?ooo`00oOl0
0?So003co`00jol00>7o003Io`00e?l00=Oo003Lo`00hol00>_o003co`00n_l00?go0?ooo`3onP00
ooD00?o^003oiP00om`00?oD0080oll000H0omL00?oN003oj000ooD00?oj003oo@2[0?ooo`030000
003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0803oool20?om000>0?oh003o
l`00onP00?oQ003oe`00oll00?o<003oc`00omL00?oQ003oj`00ooD00?oj003oo@020?ooo`03003m
o`00n_l00?[o00@00?So0P00n_l02P00oOl0oooo0?ooo`3oo@00ooX00?oe003okP00on<00?oI003o
d@020?o<00050?oD003og000on/00?oc003on0000P3oo@2Y0?ooo`030000003oool0oooo0100oooo
0@3IfMT00180oooo00<000000?ooo`3oool08@3oool20?om000D0?oh003ol`00onP00?oN003oe000
ol`00?o:003oc000om@00?oN003okP00ooD00?oj003oo@00ooX00?oh003ol`00onh00?oX003oh`02
0?oQ00060?oS003oj000oo000?oe003onP00ood00P3onP001@3om@00onh00?oS003of@00oll00080
olX000D0om400?oN003oj000oo<00?oh00020?om0:P0oooo00<000000?ooo`3oool0403oool10=WI
f@004P3oool00`000000oooo0?ooo`0R0?ooo`80ood001@0ooP00?oc003oj000omh00?oD003obP00
olL00?o:003od@00on400?o[003ol`00ooP00?oj003on000oo<00?oX003og000ol`00?no0080okX0
01H0okl00?oA003ogP00on/00?oc003on000ooX00?oh003om@00onh00?oS003oe`00ol`00?o7003o
bP00om400?oN003oj000oo000?oh003onP00ood0Y`3oool00`000000oooo0?ooo`0@0?ooo`40fMWI
000B0?ooo`030000003oool0oooo02<0oooo0P3oo@001P3on000oo<00?oX003ogP00om400?o:0080
olL000@0om@00?oQ003oj`00oo<00P3on0003P3om@00oo000?oS003od@00okX00?nV003oWP00oi`0
0?nX003o^P00oll00?oQ003okP00ooD00P3on0001@3om@00onh00?oQ003oe`00ol`00080olL000L0
om400?oL003oiP00oo000?oh003onP00ood00:H0oooo00<000000?ooo`3oool0403oool10=WIf@00
4P3oool00`000000oooo0?ooo`0T0?ooo`80ood000`0ooP00?oc003oj000om`00?oA003oa`00olD0
0?o:003oe000omh00?oX003ol`020?oh00060?oe003okP00omh00?o:003o/`00oi`00P3oS0001P3o
V@00ojh00?o5003of@00onP00?oc0080ooP000h0oo<00?o[003oh@00om@00?o:003oa@00olL00?o?
003of@00onH00?o`003om@00ooX00?om0:D0oooo00<000000?ooo`3oool0403oool10=WIf@004P3o
ool00`000000oooo0?ooo`0U0?ooo`80ood000`0ooP00?oc003oj000om`00?o?003oa`00olD00?o7
003od@00omh00?oX003ol0020?oh00060?oe003okP00omh00?o<003o/`00oih00P3oS0001P3oU`00
oj/00?o2003of@00onP00?oc0080ooP000D0oo<00?o[003oh@00om@00?o700020?o500070?o<003o
f@00on<00?o^003om@00ooX00?om002T0?ooo`030000003oool0oooo0100oooo0@3IfMT000T0oooo
0`0000060?ooo`030000003oool0oooo02H0oooo0P3oo@00303on000oo000?oX003og000oll00?o5
003o`P00olL00?o?003og000onP00?o`00<0ooP000d0oo000?oS003oe000okl00?nV003oW000oih0
0?nX003o^000ol`00?oN003okP00ooD00080ooP000h0oo<00?o[003oh@00om400?o7003o`P00olD0
0?o<003oe`00on<00?o^003om@00ooX00?om01X0oooo0P00000<0?ooo`@000000P3oool2000007<0
oooo00<000000?ooo`3oool02P3oool3000000<0oooo0@3IfMT000X0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`0W0?ooo`80ood000d0ooP00?o`003oiP00om`00?o<003oa@00ol80
0?o5003oc`00om`00?oV003ol000ooP00080ooX000D0ooD00?o^003oh`00oll00?o200020?nj000=
0?o5003od@00omh00?oX003ol`00ooP00?oj003on000oo<00?o[003ogP00om400?o700020?o20007
0?o:003oe`00on<00?o^003om@00ooX00?om000I0?ooo`030000003oool0oooo0080oooo1@000005
0?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`1`0?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool00P3oool10=WIf@000P3oool3000000D0oooo00<000000?oo
o`3oool01@3oool2000002T0oooo0P3oo@00503on000oo000?oV003of@00ol`00?o5003o`P00olD0
0?o?003og000onH00?o`003on000ooX00?om003onP00ooP00?oc003oj`00onH00P3oh`001@3oj000
on/00?oc003on000ooX00080ood000H0ooX00?oc003oj000omh00?oA003oa`020?o200070?o:003o
e`00on<00?o^003om@00ooX00?om000H0?ooo`030000003oool0oooo00d0oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo0?ooo`1_0?ooo`800000103oool3000000H0oooo00<000000?oo
o`3oool00P3oool10=WIf@002P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02T0
oooo0P3oo@00503on000oo000?oV003of@00oll00?o5003o`P00olD00?o?003og000onP00?o`003o
n000ood00?ooo`00oOl00?[o003eo`00lol00?3o0P00k_l03@00l?l00??o003eo`00n_l00?go0?oo
o`3oo@00ooX00?oc003oj`00omh00?oA003oa`000P3o`P001`3obP00omL00?oS003okP00ooD00?oj
003oo@00603oool010000000oooo0?ooo`3oool5000000L0oooo00<000000?ooo`3oool00P00001c
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00P3oool10=WIf@002P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo02X0oooo0P3oo@00503on000oo000?oV003og000
oll00?o5003o`P00olD00?o?003og000onP00?oc003on000oooo003mo`00mOl00>ko003So`00eol0
0<[o0P00`_l05P00aol00=7o003No`00jol00??o003jo`3oool0ooX00?oe003oj`00omh00?oD003o
a`00ol800?o5003oc000omL00?oS003okP00ooD00?oj003oo@0F0?ooo`@000003P3oool00`000000
oooo0?ooo`0200000780oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`020?ooo`40
fMWI00090?ooo`8000001`3oool00`000000oooo0?ooo`0[0?ooo`80ood002`0ooP00?o`003oiP00
om`00?o?003oa@00ol800?o7003oc`00om`00?oX003ol`00ooX00?ooo`00n_l00?3o003So`00e?l0
0;oo002^o`00Xol00:7o002[o`00^_l00<oo003Qo`00k_l00?So003mo`3onP00ooD00?o[003oh@00
om@00?o:003o`P00olD00?o<003oe`00on<00?o^003om@00ooX00?om01L0oooo00<000000?ooo`3o
ool02P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool0K`3oool0
0`000000oooo0?ooo`0:0?ooo`800000103oool10=WIf@002P3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo02d0oooo02@0ood00?oh003ol`00onP00?oN003od@00olL00?o5003oa`00
ol`00?oI003oh`00onh00?oh003oool00?So003^o`00hOl00<oo002ho`00Xol0097o002?o`00U?l0
0:Ko002jo`00dOl00>?o003eo`00oOl0ood00?oe003okP00on<00?oG003oc0020?o500070?o:003o
e000omh00?o[003om@00ooX00?om000T0?ooo`8000000`3oool200000780oooo00<000000?ooo`3o
ool02`3oool00`000000oooo0?ooo`020?ooo`40fMWI000B0?ooo`030000003oool0oooo02d0oooo
0P3oo@008`3on000oo<00?o[003ogP00om@00?o:003oa@00olL00?o?003of@00on<00?o^003onP00
oooo003ho`00l?l00>7o003?o`00^?l00:7o002Ao`00S?l009Co002So`00^_l00=7o003Xo`00mOl0
0?go0?om003om@00onh00?oS003of@00oll00080olL000L0olX00?oD003oh@00oo000?oe003onP00
ood009`0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0_0?oo
o`0]0?om003on000oo<00?o[003oh@00omL00?o<003oa`00olX00?o?003of@00onH00?oc003onP00
oooo003jo`00lol00>Ko003Do`00`_l00:ko002No`00VOl00:?o002co`00aol00=co003[o`00mOl0
0?go0?om003on000oo000?oV003of@00oll00?o:003oa`00ol`00?oG003oiP00oo000?oe003onP00
ood009/0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0`0?oo
o`070?om003onP00ooD00?o[003oh`00omL00?o?00020?o:000K0?oA003og000on/00?oc003onP00
oooo003mo`00mOl00>ko003Qo`00dOl00<Go002ho`00]Ol00;[o0037o`00fOl00>Ko003`o`00n?l0
0?go0?om003on000oo000?oV003og000om400080olX000L0oll00?oL003oiP00oo000?oe003onP00
ood009X0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0a0?oo
o`070?om003onP00ooD00?o^003oh`00omT00?oA00020?o<000K0?oD003oh@00on/00?oc003on000
ood00?ooo`00n_l00?Go003`o`00j?l00>7o003Lo`00fOl00=co003Vo`00k_l00?Go003ho`00oOl0
oooo0?om003on000oo000?oX003ogP00om@00080ol`000L0om400?oL003oiP00oo000?oe003onP00
ood009T0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0b0?oo
o`070?om003onP00ooD00?o`003oiP00om`00?oD00020?o?00050?oG003oh@00on/00?oc003on000
0P3oo@060?ooo`800?go1@3oool20?om00050?oh003ol`00on/00?oQ003oe`000P3oc`001`3oe000
om`00?oV003ol000ooD00?oj003oo@00V03oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?oo
o`030000003oool0oooo03<0oooo00L0ood00?oj003on000oo000?oX003ogP00omL00080om4000`0
omT00?oQ003oj`00oo<00?oh003onP00ood00?oj003om@00oo000?oX003oh`020?oN000=0?oQ003o
iP00onh00?oc003on000ooX00?om003onP00ooP00?oc003oj`00on400?oI00020?oA00070?oG003o
gP00onH00?o`003om@00ooX00?om002G0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo
00<000000?ooo`3oool0=03oool01`3oo@00ooX00?oh003ol000onP00?oQ003of@000P3oe0001@3o
f@00on<00?o[003ol`00ooP00080ooX000D0ooP00?o`003oiP00omT00?o<00020?o200060?o7003o
d@00om`00?oX003ol000ooP00P3onP001@3on000oo<00?o[003oh`00omT00080om@000L0omL00?oN
003oj000oo000?oh003onP00ood009H0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool0
0`000000oooo0?ooo`0e0?ooo`070?om003onP00ooP00?oc003oj`00on400?oI00020?oG00050?oL
003oh`00onh00?oc003on0000P3onP003@3om@00onh00?oQ003od@00ol800?nh003o]@00okP00?o5
003od@00on400?o^003om@000P3onP001@3on000oo<00?o^003oh`00om`00080omL000L0omT00?oQ
003oj000oo000?oh003onP00ood009D0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool0
0`000000oooo0?ooo`0f0?ooo`80ood000D0ooP00?oc003oj`00on400?oL00020?oI00050?oN003o
iP00onh00?oe003on0000P3onP003@3om@00onh00?oQ003oc`00okl00?ne003o/`00okD00?o2003o
d@00on400?o^003om@000P3onP001@3on000ooD00?o^003oiP00omh00080omT000D0om`00?oS003o
j`00oo<00?oh00020?om09@0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000
oooo0?ooo`0g0?ooo`80ood000D0ooP00?oc003oj`00on<00?oN00020?oL00040?oQ003oj000oo00
0?oe00<0ooX000d0ooP00?o`003oh`00om@00?o7003o_@00okX00?no003obP00omL00?oS003ol000
ooP000<0ooX000@0ooD00?o^003oj000on400P3og0001@3ogP00onH00?o^003ol`00ooP00080ood0
T`3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo03P0oooo0P3o
o@001@3onP00oo<00?o^003oiP00on400080omh001/0on<00?oX003ol000ooD00?oj003oo@00ooX0
0?oh003ol`00on/00?oQ003oe`00ol`00?o:003oc`00omL00?oQ003oj`00oo<00?oh003onP00ood0
0?oj003om@00oo000?oX003oh`000P3ogP001@3oh@00onH00?o^003om@00ooP00080ood0TP3oool0
0`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo03X0oooo00H0ood00?oj
003om@00oo000?oX003oh`020?oQ00050?oV003oj`00oo<00?oh003onP000P3oo@001@3onP00ooP0
0?oc003okP00onH00080on4000H0on<00?oX003okP00oo<00?oh003onP020?om00050?oj003on000
oo<00?o[003oiP000P3oh@001P3oh`00onP00?o`003om@00ooX00?om0980oooo00<000000?ooo`3o
ool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0k0?ooo`060?om003onP00ooD00?o`003o
j`00onH00P3oh`001@3oj000onh00?oc003on000ooX000D0ood000@0ooX00?oh003on000ooD00P3o
n0000`3onP00ood00?om00030?om00050?oj003on000oo<00?o^003oj0000P3oh`001P3oiP00on/0
0?o`003om@00ooX00?om0940oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000
oooo0?ooo`0l0?ooo`060?om003onP00ooP00?oc003okP00onP00P3oiP001P3oj000onh00?oc003o
n000ooX00?om0080oooo00<00?go003jo`00n?l01@00mOl00`00n?l00?[o003mo`020?ooo`80ood0
00`0ooP00?oe003ol000on/00?oX003oiP00onP00?o[003ol000ooD00?oj003oo@2@0?ooo`030000
003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0?@3oool01P3oo@00ooX00?oh
003om@00oo000?o[0080onP000D0on/00?o`003ol`00ooP00?om00020?ooo`05003mo`00n_l00?Go
003`o`00jol00`00i_l01@00j?l00>ko003co`00n_l00?go0080oooo00d0ood00?oj003om@00oo<0
0?o^003oj`00onP00?o[003okP00oo<00?oh003onP00ood008l0oooo00<000000?ooo`3oool0403o
ool10=WIf@004P3oool00`000000oooo0?ooo`0n0?ooo`80ood000@0ooX00?oe003ol`00onh00P3o
j`001@3okP00oo000?oe003onP00ood00080oooo00H00?go003ho`00lol00>ko003Vo`00hOl2003N
o`0<003Qo`00j?l00??o003ho`00n_l00?go0?ooo`3oo@00ooX00?oh003ol`00oo000P3oj`001P3o
kP00oo000?oe003on000ooX00?om08h0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool0
0`000000oooo0?ooo`0o0?ooo`80ood000@0ooX00?oh003ol`00oo000P3okP001@3ol000oo<00?oh
003onP00ood00080oooo00H00?go003ho`00lol00>ko003Vo`00g_l2003Lo`0<003Qo`00j?l00?3o
003eo`00n_l00?go0?ooo`3oo@00ooX00?oh003om@00oo000`3okP001@3ol`00ooD00?oh003onP00
ood008d0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`110?oo
o`050?om003onP00ooP00?oe003ol`000`3ol000103om@00ooP00?oj003oo@020?ooo`0?003mo`00
n_l00?Go003^o`00j?l00>?o003No`00hOl00>Ko003[o`00l?l00?So003jo`00oOl0oooo0080ood0
00<0ooX00?oe003ol`000`3ol0000`3ol`00ooD00?oj00020?om08`0oooo00<000000?ooo`3oool0
403oool10=WIf@004P3oool00`000000oooo0?ooo`120?ooo`040?om003onP00ooX00?oe0080oo<0
00H0oo000?oc003om@00ooP00?oj003oo@020?ooo`0<003mo`00n_l00?So003co`00k_l00>So003V
o`00j?l00>_o003`o`00mOl00?So0P00oOl20?ooo`040?om003onP00ooP00?oe00<0oo<000<0ooD0
0?oh003onP000P3oo@2;0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?oo
o`3oool0@`3oool20?om00030?oj003on000ooD00080oo<000D0ooD00?oh003onP00ooX00?om0002
0?ooo`800?go00<00?[o003ho`00mOl00`00l?l01@00lol00?Go003ho`00n_l00?go00<0oooo00@0
ood00?oj003on000ooD00`3ol`000`3om@00ooP00?oj00020?om08X0oooo00<000000?ooo`3oool0
403oool10=WIf@004P3oool00`000000oooo0?ooo`140?ooo`80ood000<0ooX00?oh003om@000`3o
m@00103on000ooX00?om003oo@040?ooo`800?go00@00?[o003ho`00n?l00?So0P00n_l2003mo`@0
oooo00<0ood00?oj003onP00103om@020?oh00030?oj003oo@00ood008T0oooo00<000000?ooo`3o
ool0403oool10=WIf@004P3oool00`000000oooo0?ooo`150?ooo`80ood00P3onP000`3on000ooD0
0?oe00020?oh00030?oj003oo@00ood00180oooo0P3oo@00103onP00ooP00?oe003om@020?oh0003
0?oj003oo@00ood008T0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo
0?ooo`170?ooo`80ood000<0ooX00?oh003on0000P3on0020?oj0080ood00`3oool20?om0080ooX0
0`3on0020?oj0080ood0103oool20?om00030?oj003on000ooP000<0ooP000<0ooX00?om003oo@00
R03oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo04P0oooo0P3o
o@020?oj0080ooP00P3onP020?om00@0oooo0P3oo@000`3onP00ooP00?oe00020?oe0080ooP000<0
ooX00?om003oo@000`3oool20?om0080ooX00`3on0020?oj0080ood0Q`3oool00`000000oooo0?oo
o`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo04T0oooo0P3oo@060?oj0080ood0103oool2
0?om00030?oj003on000ooD000<0ooD000@0ooP00?oj003oo@00ood00`3oool30?om00D0ooX00`3o
o@260?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0BP3oool3
0?om00@0ooX00`3oo@040?ooo`80ood000<0ooX00?oh003om@000P3om@020?oh00030?oj003oo@00
ood000@0oooo0P3oo@050?oj0080ood0QP3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?oo
o`030000003oool0oooo04`0oooo0`3oo@020?oj00<0ood01@3oool20?om0080ooX0103on0000`3o
nP00ood00?om00050?ooo`<0ood00`3onP030?om08D0oooo00<000000?ooo`3oool0403oool10=WI
f@004P3oool00`000000oooo0?ooo`1=0?ooo`P0ood01P3oool30?om00@0ooX00`3oo@060?ooo`P0
ood0Q03oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo04l0oooo
1`3oo@070?ooo`L0ood0203oool70?om08@0oooo00<000000?ooo`3oool0403oool10=WIf@004P3o
ool00`000000oooo0?ooo`1@0?ooo`H0ood0603oool60?om08<0oooo00<000000?ooo`3oool0403o
ool10=WIf@004P3oool00`000000oooo0?ooo`1B0?ooo`D0ood02`3oool2003mo`/0oooo1@3oo@23
0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0D`3oool40?om
0080oooo00<0ood00?ooo`3oool01@3oool6003mo`X0oooo103oo@220?ooo`030000003oool0oooo
0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0E`3oool0103oo@00oooo0?ooo`3oo@070?oo
o`L00?go2P3oool00`3oo@00oooo0?ooo`210?ooo`030000003oool0oooo0100oooo0@3IfMT00180
oooo00<000000?ooo`3oool0?`3oool00`3oo@000?go0?ooo`0J0?ooo`04003mo`3oool0oooo003m
o`80oooo2000oOn=0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3o
ool0?P3oool01000oOl0oooo0?ooo`00oOlI0?ooo`030?om003oool00?go0080oooo00D00?go0?oo
o`3oool00?go0?ooo`05003mohd0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`00
0000oooo0?ooo`0o0?ooo`07003mo`3oo@00oooo003mo`3oo@00oooo003mo`0:0?ooo`03003mo`3o
ool0oooo00T0oooo00H0ood00?ooo`00oOl0ood00?ooo`00oOl50?ooo`800?goSP3oool00`000000
oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo0440oooo00@0ood0003mo`00oOl0
ood02P3oool01@3oo@000?go0?ooo`3oo@000?go00T0oooo00L0ood0003mo`3oool0ood0003mo`3o
ool0ood009<0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`10
0?ooo`07003mo`3oool0ood0003mo`3oool0ood0003mo`070?ooo`09003mo`3oool0ood0003mo`3o
ool0ood0003mo`3oool0ood000L0oooo00P0ood0003mo`3oo@00ood0003mo`3oool0ood0003moi40
oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`110?ooo`04003m
o`3oo@00oooo003jo`80ood000<00?go0?ooo`3oool01@3oool02000oOl0ood00?ooo`00n_l0ood0
0?ooo`00oOl0ood01`3oool02@3oo@00oooo003mo`3onP00oooo003jo`3oo@00oooo003mo`2@0?oo
o`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0@@3oool2003mo`07
0?oj0000oOl00?[o0?oj003oool00?go0?om00070?ooo`040?om0000oOl00?go0?oj00800?go00<0
ood00?ooo`3oool01@3oool0103oo@000?go003mo`3onP02003mo`030?oj003oool00?go08l0oooo
00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`120?ooo`0:003mo`3o
ool0ooX0003jo`00oOl0ooP0003jo`00oOl0ood0003mo`H0oooo00P0ood0003mo`3oool0ooX0003m
o`3oool0ood0003mo`H0oooo00X0ood0003jo`3oool0ooX0003ho`3oool0ooX0003mo`3oool0ood0
S@3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo04<0oooo00X0
0?go0?ooo`3onP000?[o003mo`3on0000?So0?ooo`3oo@000?go1`3oool01000oOl0oooo0?ooo`00
oOl90?ooo`0:0?om0000n_l0oooo0?oh0000mOl0ood00?oj0000n_l0oooo0?om08`0oooo00<00000
0?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`140?ooo`04003mo`3oo@00ooX0
003ho`80ood000@00?Go0?oj003oo@000?go4`3oool02@3oo@00oooo003jo`3onP000?go003eo`3o
n000ood0003ho`020?om0003003mo`3oool0oooo08P0oooo00<000000?ooo`3oool0403oool10=WI
f@004P3oool00`000000oooo0?ooo`150?ooo`0;003mo`3onP00oooo003eo`3ol`000?[o003ho`3o
n000oooo003jo`3oo@00103oool01000oOl0oooo0?om0000n_l20?om0004003jo`3oool0ood0003m
o`@0oooo00@0ood0003mo`00n_l0ooD00P00n?l01P3ol`000?go003jo`3onP00oooo003mohT0oooo
00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`150?ooo`800?go00X0
ooX0003jo`3oool0oo<0003eo`00n_l0ooD0003mo`00n_l0ood0103oool02P00oOl0ooX0003mo`00
n?l0ooP00?om0000mOl0ooX00?om0000oOl40?ooo`0:0?om0000n_l0ood00?oe0000lol0oooo0?oc
0000n?l00?[o0?oh00800?goR03oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000
003oool0oooo04H0oooo01800?go0?ooo`3onP000??o0?oh003ol`000>ko0?om003ol`000?So003m
o`3onP000?go0?ooo`3oo@00oooo003mo`3on002003ho`0E0?o`0000n_l00??o0?oe003oool00?[o
0?om003oool00?go0?ooo`3oo@000?So0?oh003onP000?3o0?oh003ol`000?3o0?om003on0000?[o
08P0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`170?ooo`07
003mo`3onP00oooo003co`3ol000ooX0003[o`020?oe000?003co`3oo@00ood0003mo`3oool0ood0
003mo`3oo@00ooP0003`o`00oOl0on/0003`o`00n?l0oo0000800?[o0100ood00?ooo`00oOl0ood0
003mo`00n_l0oo<0003mo`00k_l0onh00?oj0000k_l0ooP00?oj0000n_l0ood0QP3oool00`000000
oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo04P0oooo01000?go0?oh0000n?l0
0?So0?o[0000mOl00>_o0?o[0000oOl00??o0?oh003oool00?go0?om003oool00?[o0P3onP003`00
l?l0ooD00?o`0000j?l0ooP00?oc0000mOl0oooo0?oj0000oOl0oooo0?om0000n_l00?go0?oc0002
003co`070?oV0000n?l00?3o0?o`0000oOl00?[o0?om00250?ooo`030000003oool0oooo0100oooo
0@3IfMT00180oooo00<000000?ooo`3oool0B03oool03000oOl0oooo0?oj0000lol00?go0?oX0000
jol00?3o0?oS0000lol00?So0?oe00800?go00`0ood0003mo`00oOl0ooP00?ooo`00lol0oo000?oj
0000jol0oo<00?oj0000mOl20?om000@003mo`3oo@00ood0003ho`3oo@00oo<0003[o`00oOl0on<0
003Xo`00n?l0onh0003eo`00oOl0ooX0003moh<0oooo00<000000?ooo`3oool0403oool10=WIf@00
4P3oool00`000000oooo0?ooo`190?ooo`0B003mo`3onP00ood0003co`3om@00onh0003No`3ol000
onH0003Xo`3oo@00ooD0003ho`3oool0ood0003mo`3oool0ooX00P00n_l03`3om@000?[o003ho`3o
l`000?go003jo`3onP00oooo003mo`3oo@00oooo003ho`3om@00ooX0003Xo`020?o^0004003Qo`3o
l000oo00003co`80ood000<00?go0?ooo`3oool0P03oool00`000000oooo0?ooo`0@0?ooo`40fMWI
000B0?ooo`030000003oool0oooo04X0oooo00h00?go0?oj003oool00?3o0?o[003on0000=co0?oQ
003om@000>7o0?o`003onP000?So0?om00@0oooo00H00?go0?ooo`3oool00?go0?ooo`3oo@050?oo
o`0?0?om0000oOl00?[o0?oc0000n_l00>So0?oN0000oOl00=ko0?oS003onP000>ko0?oh003oool0
0?go0840oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`1:0?oo
o`03003mo`3oool0ooX000800?So00X0onH0003^o`00i_l0om@0003^o`00i_l0onP0003mo`00n_l0
ooX00P3oool02@00oOl0oooo0?oj0000n?l00?[o0?oe0000mOl00?So0?oh0002003mo`0?0?om003o
ool0ood0003jo`3oool0oo00003[o`00n?l0omT0003Qo`00k_l0om`0003`o`00n?l0oo<000800?go
P03oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo04/0oooo00l0
0?go0?ooo`3onP000??o0?om003oiP000=Wo003ho`3od@000=Oo003jo`3oh`000?3o003mo`3onP00
0P3oool07@00n_l0ood00?oe0000j?l0ood00?oV0000hOl00?[o0?o[0000lol0oooo0?oj0000oOl0
oooo003jo`3onP00ooD0003So`3ol000omh0003<o`3on000om`0003Qo`3oo@00oo<0003jo`3oool0
ood007h0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`1<0?oo
o`0=003mo`3oo@00oooo003co`3okP00oo<0003Ao`3oe`00on<0003:o`3oj`00onh0003[o`020?om
0080oooo01`00?So0?oc003oo@000>7o0?oQ003ol0000<oo0?oS003om@000>Ko0?oh003onP000?go
0?ooo`00n_l0ooD00?ooo`00hol0om`00?oh0000aol0omL00?oe0000fOl0oo000?oj0000n?l0ood0
OP3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo04h0oooo00d0
ooX0003jo`00mOl0on<0003ho`00eol0ol800?om0000b_l0om@00?om0000j?l0ooD00080oooo01d0
0?go003jo`3oj`000??o003So`3oa`000?3o003?o`3oa`000?[o003So`3ol000oooo003jo`3oool0
0?go0?oc0000l?l00>ko0?o<0000hol00=Oo0?no0000l?l00=ko0?oV0000oOl00?So0?om001m0?oo
o`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0C`3oool03P3onP00
0?[o003eo`3oh`000?[o003?o`3o_`00oooo003Qo`3oa@000?3o003[o`3ol000oooo0P00oOl07000
n_l0onh0003ho`00hOl0olL0003eo`00jol0ol80003So`00j?l0onP0003mo`00n_l0oooo003mo`3o
l`000?Go003[o`3oc`000>ko003ho`3o^0000=Oo003Xo`3og0000?So003eo`3onP1l0?ooo`030000
003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0D03oool03P3oo@000?So003m
o`3oh`000=co003Xo`3o/`000;3o0?om003oa@000=Wo003eo`3oj`000?[o0P00oOl03@3oool0oo<0
003Xo`00n?l0ol`0002mo`3ol`00olX0003Do`00n?l0onP0003ho`00oOl00P3oool03P3om@000>So
0?ooo`3obP000;3o0?oQ003oa@000;go0?ooo`3of@000>ko003jo`3on0000?goNP3oool00`000000
oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo0540oooo00P0ood0003eo`3onP00
on/0003<o`3okP00omT0002Xo`80om4000@00<[o0?oh003oj`000?Go0P3oool0303oo@00ooX0003[
o`3on000ooX0003Go`3og000onP0003Qo`3om@00oo00003ho`80oooo0P3onP003@00hol0onH00?oo
o`00/?l0okP00?oL0000/?l0on400?oL0000hol0ood00?oh0000oOl0N@3oool00`000000oooo0?oo
o`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo0540oooo02h0ood00?ooo`00n?l0onh00?om
0000b_l0oj/0003[o`00Z?l0ojh00?o`0000`_l0onH00?oc0000l?l0ood00?ooo`3oo@00oooo003j
o`3om@000?So003eo`3oj`00oooo003eo`3om@00ood0003mo`3oool00?go0?oh0000n_l00>So0?o<
0000eol00<Oo0?nL0000k_l00;?o0?o5003om@000=ko0?oc003onP000?[oN03oool00`000000oooo
0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo0580oooo00L0ood0003mo`00n_l0onP0
003`o`00k_l0ojP000800;?o00l0oiT0003No`00b_l0om@0003jo`00l?l0ooX00?ooo`00oOl0ood0
0?ooo`00n?l0ooD00?oj0000lol00P3on0005@00n?l0ood00?om0000n_l0oooo0?oe0000l?l0ooX0
0?o?0000^?l00>So0?nA0000_Ol00<Go0?nc0000jol00>Ko0?o^0000oOl00?[o0?om001f0?ooo`03
0000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0D`3oool0;P3oo@000?[o
0?om003oj`000<co0?oV003o^00009Co003mo`3oS`000;Go003Qo`3oa`000>_o003eo`3om@000?go
003ho`3okP000?3o003Qo`3oe0000?So003<o`3oc`00ooP0003No`3okP00ooP0003eo`3onP00ooP0
003[o`3oh`00on40002Xo`3oe000oj40002?o`3om@00ojh0003:o`00n_l0onP0003ho`00oOmf0?oo
o`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0E@3oool06`00n?l0
ooD00?om0000col0olD00?o?0000Qol0okD00?n^0000U?l0onP00?oD0000g_l0ood00?oe0000mOl0
ood00?oX0000fOl00??o0?n[0000`_l00<[o0?nQ0000fOl00=Oo0?oL0002003eo`0@0?oe0000n_l0
0>ko0?oG003onP000:Ko0?n[003o`P0007go0?nh003od@000;go0?o[003ol0000??o0?om07D0oooo
00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`1E0?ooo`0^003mo`00
n_l0oo00003[o`00g?l0ojh0003^o`00S?l0ogl00?oe0000Sol0okD00?o[0000fOl0oo000?oj0000
lol0oo000?o^0000`_l0om@00?n[0000Ool0onH00?n?0000W_l00?go0?o<0000i_l00?So0?oe0000
lol00?Go0?oG0000g_l00<;o0?n20000`_l009Co0?n70000k_l00;oo0?oG003oool00?So0?oj07@0
oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`1F0?ooo`0^003m
o`3oool0oo00003Qo`00l?l0oj/0002Xo`00aol0ofh0002`o`00^?l0oj40003Vo`00hol0on/0003h
o`00mOl0onP00?om0000`_l0okD00?o70000L?l0oiT00?o70000S?l0oll00?oQ0000g_l0ooD00?oh
0000k_l0ood00?oG0000_Ol00>So0?n20000Qol00=ko0?mh0000/ol00>7o0?o?0000k_l00?go0?oj
07<0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`1G0?ooo`0P
003mo`3onP00ooD0003Lo`3og000ol800025o`3oe`00ogX0001[o`3onP00oj400032o`00n?l0on/0
003co`00n_l0on/0003[o`00g_l0oj<0002oo`00W_l0ofh0003Lo`00Xol0ok00003mo`00i_l0oo00
0?om0000k_l20?o[000=002co`3oYP00ok<0001Io`3o/`00oi`0002?o`3oj`00on40003So`3oo@00
ooX0003mo`1a0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0
F03oool0;`00oOl0ooP00?ooo`00g_l0olX00?oL0000Ool0ohL00?o:0000HOl0ojH00?o<0000]Ol0
onH00?oc0000l?l0ooX00?o`0000g_l00?[o0?nm0000[_l00?3o0?n?0000[_l00>?o0?nm0000g_l0
0?So0?o`0000n_l00??o0?oQ0000n?l00;go0?n?003oiP0006Ko0?m[003okP0008Go0?nh003onP00
0>7o0?oe003oool00?go0700oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000
oooo0?ooo`1I0?ooo`0_003mo`3on0000??o003^o`3o^P000;oo002Xo`3oD@000;oo001mo`3oJ000
0>ko0032o`3oe000oooo003co`3on000ooX0003`o`3okP00on/00037o`3og000omL0002oo`3okP00
onH0003Vo`3oo@00ooP0003eo`00oOl0on<0003Go`00i_l0ohD0002:o`00Zol0odL0002^o`00_Ol0
oj40003^o`00i_l0oo000?ooo`00oOl0K`3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?oo
o`030000003oool0oooo05T0oooo01800?go0?ooo`3on0000>_o003mo`3o`P0009ko003jo`3oE`00
067o003Io`3oH@000:Ko003mo`3oc0000?3o003jo`3onP020?ooo`0K0?om003oool00?go0?om003o
ool00?[o0?om003oool00?go0?ooo`3oo@000?So0?oh003oj`000<;o0?o^003oW00005Wo003[o`3o
G00006?o0?oc003oX`000<co003ho`3okP000?[o06l0oooo00<000000?ooo`3oool0403oool10=WI
f@004P3oool00`000000oooo0?ooo`1J0?ooo`0@003mo`3oo@00ood0003[o`3oh@00on<0002<o`3o
WP00oi`0000^o`3o/000ohl0001oo`3oj`00om40003Vo`80oooo01d0ooX00?om0000i_l0om`00?o[
0000_Ol0omT00?oN0000b_l0oo000?o^0000lol0ood0003mo`3ol000oooo003:o`3o/000on<0001A
o`3oL000okP00017o`3o/000olX0002mo`3ol000oo<0003ho`1^0?ooo`030000003oool0oooo0100
oooo0@3IfMT00180oooo00<000000?ooo`3oool0G03oool0<03oo@00oooo003^o`3oiP00on40002D
o`3o`P00ohX0000ho`3oE000omL0001co`3obP00om`0003No`3oo@00oooo0?oe003on0000<co0?o:
003oa@0008;o0?mm003on00009Oo0?o7003oj0000=ko0?oj003oool0ooP00?om0000col0okd00?oG
0000Col0oc00003Xo`00E?l0oh800?oQ0000/ol0onP00?oc0000mOl0oooo0?om06/0oooo00<00000
0?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`1M0?ooo`0_0?om0000oOl00??o
0?oL0000n?l00:Ko0?mj003ol`0008[o0?lV0000c?l008[o0?nV003on0000=ko0?oe0000oOl0onh0
003eo`00b_l0oi@0003^o`00^?l0ocP0002^o`00TOl0ohl0003jo`00e?l0onh00?ooo`3on0000?Go
003No`3oYP000=Wo003Do`3o>P0007oo002<o`3oG0000>?o002mo`3oe`00ood0003co`3oo@00J`3o
ool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo05h0oooo02`0ood0
003ho`00n_l0om`0003Ao`00e?l0of40000oo`00j?l0obP0001jo`00]Ol0oiL0003Vo`00g_l0oo<0
0?ooo`3okP000=co003^o`3oQ@0004co0?o^003o<`0005Co0037o`3oL`000<oo003Io`3oh`000?go
0?oh0000i_l00?go0?nX0000Hol0ol`00?m<0000=Ol00>Ko0?mG0000[_l00=Oo0?o<00800?Go00<0
ooX00?ooo`3oool0J03oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0
oooo05l0oooo0300ood0003eo`3on000onH0002jo`3oj`00okd0000ho`3oW000oeh0000oo`3om@00
oiL00037o`00n?l0onh00?ooo`3om@000=Co0?oS003oh@0006So0?n5003oO`0003Go0?o:003oRP00
0:_o0?ooo`3oh`000?So0?om0000hol0on<00?oh0000MOl0og000?nN00008ol0ojP00?mm0000P_l0
on/00?o?0000j?l0oooo0?oj0000oOmX0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo
00<000000?ooo`3oool0H@3oool03@00n?l0onh00?oj0000^_l0oh80003ho`00?Ol0odD00?n`0000
;_l0ojh00?nh0000^_l00P3ol`008000oOl0oooo003Qo`3o^0000?3o0025o`3oH@00olD0001Io`3o
S000olL0002co`3oj000oo<0003ho`3oool00>So0?nm0000e?l009Co0?lo0000n?l002Ko0?mG003o
_`0007Go0?o7003oj0000>?o0?oh003oo@000?goI`3oool00`000000oooo0?ooo`0@0?ooo`40fMWI
00090?ooo`8000001`3oool00`000000oooo0?ooo`1Q0?ooo`0A003mo`00n_l0on/0003^o`00jol0
oi40002Lo`00P_l0oaL0002So`00Col0ofP0003eo`00^?l0omh00?om0000n_l00P00oOl0703og000
0=7o003Go`3oYP000=ko002eo`3oZ`000>_o003Io`3oiP000?go0?ooo`00n?l0ood00?o70000XOl0
0=Co0?m:0000OOl007?o0?lX0000aOl009co0?n[0000lol00>So0?oe0000oOmW0?ooo`030000003o
ool0oooo00<0oooo0P00000;0?ooo`40fMWI00080?ooo`040000003oool0oooo000000H0oooo0P00
001S0?ooo`0B003mo`3oool0onh0003?o`3ol000oiT0001Xo`00fOl0oaT0001No`00Qol0oeL0002m
o`00fOl0omL0003eo`00n_l00?go0P3onP006`00k_l0ood00?o^0000g?l00?So0?o^0000l?l00?go
0?oj003oool0ood0003`o`3okP00omT0002Go`3oh`00oeh0000eo`00l?l0oc<0001Xo`00dOl0ojH0
003Io`00mOl0ooD0003mo`1U0?ooo`800000103oool010000000oooo0?ooo`00000:0?ooo`40fMWI
00080?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool0H`3oool05@00oOl0ooX0
0?om0000eol0olL00?o:0000I_l0ojh00?mV00005ol0ojh00?mm0000TOl0ooD00?oI0000jol0ood0
0?oe0000mOl00?[o0?oV0002003Vo`0H0?oD0000i_l00=co0?oV0000mOl00?3o0?oe0000oOl00?3o
0?oL003ol0000:7o0?nD003o^P00033o0?mj003oS`0004Oo0?nj003oa@000<co0?oc003onP000?[o
I@3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000X0oooo0@3IfMT000P0oooo
00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`1T0?ooo`0@003mo`3om@000?So003Q
o`3o^0000?go001`o`3oC`00olL0000Qo`3oH@00om@00027o`3oc`00onh0003[o`80ooD000`00>?o
0?oc003oa@0009ko0?om003oQ@0008[o003So`3oZ`000<oo003eo`3okP02003eo`0?0?oN0000g?l0
0;oo0?m`0000c?l0057o0?lQ0000lol005ko0?n7003om@000=Co0?o[003oo@000?[o06@0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`00000:0?ooo`40fMWI00080?ooo`040000003o
ool0oooo000000H0oooo00<000000?ooo`3oool0IP3oool0;`3on0000>ko003eo`3o_@000;So002j
o`3o?@0008oo001jo`3o;P000;go002[o`3o^P000?3o003^o`3okP00ood0003Go`3obP00on<0001h
o`3oS000ojh0001Go`3oX@00okP0002`o`3oiP00oo00003^o`3oo@00on<0003:o`00mOl0ogX0001^
o`00aOl0ob<0001co`00/ol0ogD00037o`00jol0on<0003jo`00oOl0ood00680oooo00<000000?oo
o`3oool00P3oool010000000oooo0?ooo`00000:0?ooo`40fMWI00080?ooo`040000003oool0oooo
000000H0oooo00<000000?ooo`3oool0I@3oool0<@00oOl0ood00?oj0000jol0oo<00?o<0000TOl0
oo000?mI0000<?l00=co0?m50000N_l00>ko0?nj0000hOl00?So0?o[0000j?l00>?o0?n^0000e?l0
08Oo0?le0000hOl004co0?mD003onP000:ko0?o?003oo@000>So0?o`003ol`000<Go0?o5003o[P00
04;o0?n`003oG00002_o0?oN003oWP000;3o0?ooo`3oiP000?Go0?ooo`3oo@00H@3oool00`000000
oooo0?ooo`020?ooo`040000003oool0oooo000000X0oooo0@3IfMT000T0oooo0P0000070?ooo`03
0000003oool0oooo06L0oooo01d0ood00?ooo`00k_l0on400?oc0000W?l0oi400?nm0000:?l0of/0
0?nL0000HOl0olL00?oD0000eol0ooX00?o`0000i_l00?Go0?ne0000VOl00>?o0?m50000HOl00;Go
0?m20000Xol00=Co0?o20002003`o`0@0?o[0000oOl00<oo0?nX003oool005Oo0?m<003of@0003?o
0?mh003om@000:So0?oS003om@000??o0?om0640oooo00<000000?ooo`3oool00`3oool2000000/0
oooo0@3IfMT00180oooo00<000000?ooo`3oool0J03oool0;`3oo@000?So003eo`3of@000>?o002j
o`3oIP000=Oo001Io`3o<0000?Go001mo`3oX`00ood0003Io`3okP00ooX0003Xo`3oh@00omh0002A
o`3o_`00ohl0000mo`3oc`00ohD0002<o`3ol000om@0003Vo`00oOl0onh0003Xo`00k_l0oj<0002X
o`00Y_l0obH0002No`00Ool0oeL0003No`00^?l0om@0003mo`00mOl0ood00600oooo00<000000?oo
o`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`1Y0?ooo`0_0?om0000n?l0ood00?oN
0000aOl00?So0?mm0000K_l00<[o0?l^0000QOl00<[o0?nD0000g_l00>_o0?o[0000n?l00??o0?oS
0000n_l00;go0?nS003om@0007go0?nG003oool00:So0?oI003ol`000>So0?oh003om@000>7o0?oo
o`3o^P0007oo0?o^003oC00004;o003`o`3oIP000:7o0?ooo`3od@000?3o003mo`3onP00G`3oool0
0`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo06X0oooo0100ood0003h
o`3oo@00on/0003Do`00l?l0oh`0002:o`00^?l0ofP0001Ao`3oool0oi`0003<o`00l?l0onP00P00
n_l07@3ol`00oooo003co`3oh@00ooX0003No`3od@000?Go003Vo`3oiP00ooX0003ho`3onP00ooP0
003Xo`3onP00olL0002Qo`00n_l0oj<0000eo`3o_`00oh80002<o`00oOl0oll0003[o`00n_l0ooX0
05h0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`1/0?ooo`0:
003jo`3on000oo<0003<o`3okP00ok<0001Vo`3oIP00okl0001No`80okX000@00;go0?oh003okP00
0?So0P3oool20?om0007003jo`3onP00ood0003ho`3onP00ood0003mo`020?ooo`80ood001000>ko
0?oV003oj00009Oo0?mX003om@0004Go0?m`003o/`0008co0?oI003og0000>?o0?ooo`3onP000?go
G03oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo06d0oooo01d0
0?go0?oe0000oOl00=co0?nm003ol`0009Wo0?m:0000hol006_o0?n<003oj0000;go0?o[003om@00
0?So0?ooo`00mOl0onH0003mo`00e?l0okd0003Xo`00aol0olL00?om0000g?l0onh00?oj0002003m
o`0@003eo`3og0000?3o003Io`3oN0000:_o0025o`3oD@000>ko002Go`3o_`00ooD0003So`3on000
ood0003moe/0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`1]
0?ooo`800?go00h0ooD0003co`00k_l0okP0002Ao`00hol0oeh0002<o`00Z?l0ohD0003So`00b_l0
omh00?ooo`<00?[o00`0om`0002oo`00oOl0oi@0002Vo`00c?l0oi40003Lo`00c?l0om`0003jo`00
n?l2003mo`0:0?oQ0000^?l0ooP00?n70000MOl00<Oo0?mI0000Xol00;oo0?nh00800>ko00<0oo<0
0?ooo`00oOl0FP3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo
06h0oooo02l00?go0?ooo`3on0000>_o0?oj003of@0009Co0?oG003oPP0006So003co`3oQ@000;go
003Vo`3og0000?Go0?ooo`00n?l0ooP00?o^0000/ol0olX00?nV0000Jol0onh00?n70000Xol00?Go
0?o?0000jol00?go0?ooo`3onP00ooP0003:o`3oa@00okd0001[o`3o`P00ogl00022o`3om@00okd0
003Lo`00oOl0oo<0003jo`1J0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<00000
0?ooo`3oool0K`3oool0;`00oOl0ood00?om0000jol0omL00?oe0000Xol0oiL00?o50000L?l0okd0
0?ne0000[_l0oo000?oV0000l?l0oooo003ho`3oh`000?go002jo`3oX`00ol`0001^o`3oV@00okd0
002Lo`3ogP00on40003Vo`3oo@00oooo0?o^0000n?l00=7o0?n^003okP0007[o0?nD003o[P0008;o
0?o7003ogP000=Oo0?oe003on0000?[o05T0oooo00<000000?ooo`3oool0403oool10=WIf@004P3o
ool00`000000oooo0?ooo`1a0?ooo`0/0?om0000oOl00?So0?oL0000g?l00<;o0?n:0000j?l008Oo
0?n<003onP000;?o0?oG003on0000?3o0?om0000oOl0on/0003Vo`00g?l0ojH0003:o`00XOl0ohL0
003[o`00/?l0olL00?om0000jol0ooP00?ooo`3ol`000>So003[o`3o^0000=7o002^o`3oL`000<Oo
002Vo`3oZ0000?Go003No`3okP02003moeP0oooo00<000000?ooo`3oool0403oool10=WIf@004P3o
ool00`000000oooo0?ooo`1b0?ooo`0=0?om0000mOl0oooo0?oQ0000aOl00>7o0?nG0000[_l00<[o
0?n?0000c?l00=Oo0?o?0002003eo`80ood001h0oo<0003No`00oOl0olD0002mo`00e?l0ojH0003:
o`00i_l0om40003`o`00n?l0ooX00?ooo`3om@000>?o0?ooo`3o`P000:_o003So`3oQ`0009co003V
o`3o[P000=Wo003co`3ol0000?[o003mo`3oo@1F0?ooo`030000003oool0oooo0100oooo0@3IfMT0
0180oooo00<000000?ooo`3oool0M03oool03@00n?l0ooD00?o^0000c?l0om@00?nm0000Sol0on40
0?nV0000Z?l0ood00?oG0000j?l0103oo@003000lol0oo<00?o^0000e?l0onP00?oN0000e?l0ooP0
0?o[0000l?l0ood00?ooo`80ood000d00>So0?oS003oiP000:So0?nc003o_@0008[o0?oD003obP00
0<co0?oc003om@000?So05L0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000
oooo0?ooo`1c0?ooo`0M0?om003oool00?[o0?o`003oo@000=Oo0?o7003og00009Wo0?n`003oh@00
0:ko0?oI003okP000>So0?oh003oo@000?go0?ooo`00oOl0ooX00?ooo`00n_l0ooP00?ooo`00n?l0
ood00?ooo`00oOl00P3oool0403onP000?[o003`o`3of@000?So002mo`3oX`00on/0002No`3o/000
ooD0003Go`3oj000ood0003ho`3oo@1E0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo
00<000000?ooo`3oool0M@3oool2003mo`0E0?oc0000l?l00>_o0?no0000col00<Go0?nL0000hOl0
0<Go0?o70000mOl00>ko0?oe003oool00?[o0?oj003oo@000??o0?o`003ol`000>Ko0080oo000180
0>ko0?oj003onP000?[o0?ooo`3onP000?Go003mo`3oh@000=Oo003Xo`3oYP000;[o003Ao`3oZ000
0=co003Vo`3oh`02003jo`030?om003oool0oooo0580oooo00<000000?ooo`3oool0403oool10=WI
f@004P3oool00`000000oooo0?ooo`1f0?ooo`0^003mo`3oool0ooD0003Xo`00oOl0oll0002mo`00
n_l0oj/0002mo`00l?l0oll0003Xo`00oOl0ooD0003mo`00n_l0ooD0003mo`00jol0om`00?oj0000
dOl0oll00?om0000g?l0onP00?om0000mOl0ooX00?om0000mOl0ooP00?o[0000c?l0oo000?o20000
Y_l0ooX00?no0000c?l0oooo0?oX0000mOl00?go0?om05<0oooo00<000000?ooo`3oool0403oool1
0=WIf@004P3oool00`000000oooo0?ooo`1g0?ooo`0/003mo`3onP00ood0003[o`3oj000on/0002j
o`3od@00om@0002`o`3oiP00omh0003Qo`3onP00ooP0003ho`3oool0ooD0003^o`00n?l0om40003A
o`00i_l0okX0003Lo`00i_l0om`0003ho`00mOl0ooP0003mo`00n?l0oo000?ooo`00fOl0oll00?o`
0000[_l0olL00?oX0000b_l0on/00?oe0000lol20?om0580oooo00<000000?ooo`3oool0403oool1
0=WIf@004P3oool00`000000oooo0?ooo`1i0?ooo`0/0?oj0000oOl00??o0?oQ003oool00<oo0?nm
0000n_l00<;o0?o?003onP000>Ko0?oc003oo@000?So0?oj003on0000>So0?oe003ogP000;oo0?oh
003oa`000<Go0?om003oh@000>_o0?om003on0000?[o003mo`3ol0000?3o003Xo`3oa`000>Ko003<
o`3o^P000??o003Io`3oh`00oooo003eo`3onP1B0?ooo`030000003oool0oooo0100oooo0@3IfMT0
0180oooo00<000000?ooo`3oool0NP3oool0;03oo@000?go003eo`3oj0000?go003Go`3oc`000=Wo
003Lo`3oc`000?So003Xo`3ol`00ood0003jo`3oo@00ooX0003`o`3onP00onH0003Ao`3oe000on<0
003<o`3okP00onH0003[o`3oool0ooP0003jo`00oOl0ooD0003jo`00k_l0omL0003?o`00k_l0olL0
003Qo`00hol0on40003mo`00mOl0ooX0D@3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?oo
o`030000003oool0oooo07/0oooo01/0ood0003jo`00oOl0onh0003[o`00k_l0om40003:o`00mOl0
om40003Xo`00lol0oo<0003mo`00n_l0ooX00?ooo`00mOl0oo<00?oj0000hOl0om@0003mo`00eol0
on<00?oh0000l?l00P3onP003`00n_l0oooo0?oh0000l?l00?go0?oV0000c?l0oo<00?o?0000e?l0
0?So0?oS0000mOl00?[o0?oj001@0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<0
00000?ooo`3oool0O@3oool03`00n_l0ood00?oc0000i_l0on<00?o[0000dOl0onh00?oQ0000hOl0
oooo0?oc0000n_l00?go0?om0002003mo`0<0?oe0000l?l00?So0?o[0000lol00>ko0?o^0000oOl0
0?So0?oj003oool00?go0P3oo@003@00l?l0onH00?oj0000eol0omh00?oX0000eol0oo<00?o[0000
l?l0ood00?oj0000oOl0CP3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003o
ool0oooo07h0oooo00d00?[o0?oh003oo@000>_o0?oL003oool00=Oo0?oN003ol0000>?o0?oe003o
n0000?[o0080oooo01d00?go0?ooo`3oo@000?So0?om003onP000?Go003mo`3onP000?[o003mo`3o
o@00oooo003mo`3oo@000?go003ho`3oj0000?Go003Qo`3oe`00oooo003Lo`3oj000ooD0003`o`3o
nP00ood0003mo`1=0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3o
ool0O`3oool03P00oOl0ooP0003co`00n?l0onH0003[o`00i_l0om`0003eo`00jol0oo000?ooo`00
n_l0ood0103oool0103oo@000?go003mo`3onP02003mo`030?om003oool0oooo0080oooo00L0ood0
003ho`3oool0onh0003Xo`00mOl0omh000800>_o00H0onH0003jo`00mOl0ooP00?ooo`00oOm<0?oo
o`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0O`3oool03`00oOl0
oooo0?oj0000lol0ood00?oX0000hol00?So0?oQ0000k_l00??o0?o`0000n_l00?go0?om00020?oo
o`0<003jo`3oo@00ooP0003co`3oo@00oo00003co`00n_l0ooD0003jo`00oOl0ood00P3oool03@00
n_l0ooX00?oe0000j?l0ooX00?oV0000hol00?go0?o[0000lol00?go0?oj0000oOl0C03oool00`00
0000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo0800oooo00@00?go0?om003o
ool00?Go0P3om@001`00j?l0ooD00?o^0000j?l0ooX00?oe0000n?l0103oool01`00n_l0ooP00?oj
0000k_l0ooD00?oc0000jol00P3on0000`00n?l0ood00?om00020?ooo`0=003jo`3on000ood0003^
o`3ol000ooD0003Vo`3ol`00ooD0003`o`3onP00ood0003mo`1;0?ooo`030000003oool0oooo0100
oooo0@3IfMT00180oooo00<000000?ooo`3oool0PP3oool03@3oo@000?go003ho`3ol`00oooo003[
o`3oj`00ooX0003^o`3om@00ood0003ho`3oo@000P3oool03000oOl00?[o0?oe0000oOl00?3o0?o[
003oool00>ko0?o`003oo@000?So0?om0080oooo0P00oOl0303on0000?[o003eo`3oj`000?So003^
o`3oj`00oooo003eo`3on000oooo003modX0oooo00<000000?ooo`3oool0403oool10=WIf@004P3o
ool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`0d0?ooo`070?om0000oOl00?go0?oe0000mOl00?So0?o[0002003eo`04
0?oc0000oOl00?[o0?om0080oooo00T00?go0?ooo`3on0000?Go003jo`3okP000??o003ho`3ol000
0P00n_l0403onP00oooo0?ooo`00oOl0oooo0?oj0000n?l00?go0?o`0000l?l00?[o0?o^0000mOl0
0?[o0?oj0000oOm:0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3o
ool0:P3oool00`000000oooo0000000<0?ooo`030000003oool0000000l0oooo00<000000?ooo`00
0000=`3oool03000oOl0ood00?oh0000lol0ood00?o`0000l?l00?go0?oe0000n_l0oooo0?om0080
oooo00X00?go0?om003oo@000?Go0?oj003om@000?3o0?om003om@000?So0P3oo@000`00oOl0oooo
0?ooo`020?om000:003ho`3on000ooP0003^o`3onP00ooD0003co`3oo@00ooX0003modT0oooo00<0
00000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0U0?ooo`800000103oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool000000100oooo00<000000?ooo`3oool0=`3oool0
2`00oOl0ooX00?om0000mOl0ooD00?oj0000l?l0ooP00?oj0000n?l0ood000@0oooo00X0ood00?oo
o`00n_l0ooP00?om0000mOl0ooP00?om0000n_l0ood0103oool0303oo@00oooo003jo`3on000oooo
003co`3ol`00ood0003eo`3onP00oooo003modP0oooo00<000000?ooo`3oool0403oool10=WIf@00
4P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0000000`0oooo00<000000?ooo`000000
3`3oool00`000000oooo0000000i0?ooo`0;003mo`3onP000?go003jo`3om@000?go003eo`3om@00
0?go003jo`3oo@001@3oool2003mo`040?om0000oOl00?go0?oj00800?go00<0ood00?ooo`3oool0
0P3oool01`3oo@000?go003mo`3on0000?So003jo`3ol`000P00n_l00`3onP00oooo003mo`170?oo
o`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0:`3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0>P3oool02P3oo@00
0?[o0?ooo`3on0000?So003mo`3on0000?[o003mo`3oo@0C0?ooo`0:003mo`3oool0ooX0003ho`3o
ool0ooP0003ho`3oool0ooX0003modL0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool0
0`000000oooo0?ooo`290?ooo`80ood000T00?[o0?om003onP000?So0?om003onP000?[o0?ooo`3o
o@001P3oool00`00oOl0oooo0?om0002003mo`030?om003oool0oooo00D0oooo00L00?go0?om003o
o@000?So0?oj003oo@000?So0080ood000<00?go0?ooo`3oool0A03oool00`000000oooo0?ooo`0@
0?ooo`40fMWI000B0?ooo`030000003oool0oooo08`0oooo00L00?go0?ooo`3oo@000?[o0?oj003o
o@000?[o0080ood01@3oool01`3oo@000?go003mo`3oo@000?[o0?ooo`3oo@000P00oOl50?ooo`07
003mo`3oo@00ood0003jo`3onP00oooo003jo`020?om0003003mo`3oool0oooo04<0oooo00<00000
0?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0F0?oood/00000;03oool02000
oOl0ood0003mo`00n_l0ooX00?ooo`00oOl0ood01P3oool0203oo@000?go0?om003oo@000?[o0?oo
o`3oo@000?go1`3oool0103oo@000?go003mo`3onP02003mo`030?oj003oool00?go04@0oooo00<0
00000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0
oooo04L0oooo00<000000?ooo`3oool0;03oool0103oo@000?[o0?ooo`3onP02003mo`030?om003o
ool0oooo00D0oooo00@00?go0?om003oool00?[o0P3oo@000`00oOl0oooo0?ooo`050?ooo`080?om
0000oOl0oooo0?oj0000n_l00?go0?om0000oOm40?ooo`030000003oool0oooo0100oooo0@3IfMT0
0180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`170?ooo`030000003oool0oooo
02d0oooo00L0ood0003mo`3oool0ood0003mo`3oool0ood000P0oooo00H0ood0003mo`00oOl0ood0
0?ooo`00oOl80?ooo`07003mo`3oo@00ood0003mo`3oool0ood0003mo`130?ooo`030000003oool0
oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0c0?oo
o`030?oj003oool0oooo0140oooo00<000000?ooo`3oool0;@3oool00`3oo@00oooo003mo`020?om
0003003mo`3oool0ood000P0oooo00@0ood0003mo`3oool0ood02P3oool01`00oOl0ood00?ooo`00
oOl0ood00?ooo`00oOl0@P3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`3oool09`3oool30?oj01<0oooo0`3onP070?ooo`030000003o
ool0oooo02P0oooo0`00oOl50?ooo`05003mo`3oo@00oooo003mo`3oo@00603oool0103oo@00oooo
003mo`3oo@130?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0
5P3oool00`000000oooo0?ooo`0V0?ooo`D0ooX01@3oool00`00n_l00?Go003eo`03003eo`800?[o
103oool50?oj00H0oooo00<000000?ooo`3oool09`3oool7003mo`80oooo00<00?go0?ooo`3oo@00
0P3oool00`3oo@00oooo0?ooo`0G0?ooo`03003mo`3oool0ood00480oooo00<000000?ooo`3oool0
403oool10=WIf@004P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo02D0oooo0P3o
nP030?oe0080ooX0103oool7003jo`@0oooo0P3onP030?oe0080ooX01@3oool00`000000oooo0?oo
o`0X0?ooo`L00?go0P3oool01P00oOl0oooo0?ooo`00oOl0oooo0?om0080oooo00<0ood00?ooo`3o
ool0503oool01000oOl0oooo0?ooo`00oOm00?ooo`030000003oool0oooo0100oooo0@3IfMT00180
oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0T0?ooo`80ooX000D0ooD00?o`003o
l000oo000?oe00020?oj0080oooo00<0ooX00?oe003ol0000P3oiP020?o[00040?oe003onP00oooo
0?ooo`80ooX000D0ooD00?o`003ol000oo000?oe00020?oj00@0oooo00<000000?ooo`3oool07@3o
ool00`3oo@00oooo0?ooo`090?ooo`L00?go2@3oool20?om05T0oooo00<000000?ooo`3oool0403o
ool10=WIf@004P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo02@0oooo00<0ooX0
0?oe003ol0000`3oj`00103ol000ooD00?oj003oool20?oj00070?oe003oj`00on400?oL003oh@00
onH00?o`00020?oj00040?ooo`3onP00ooD00?o`00<0on/000<0oo000?oe003onP00103oool00`00
0000oooo0?ooo`0L0?ooo`@0ood02P3oool6003mo`X0oooo103oo@1F0?ooo`030000003oool0oooo
0100oooo0@3IfMT00180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0T0?ooo`03
0?oj003ol000on/000<0on4000<0on/00?o`003onP000P3oool00`00n_l00?Go003`o`03003[o`03
003`o`00mOl00?[o0080oooo00<0ooX00?oe003oj`000`3oh@00103oiP00oo000?oj003onP030?oo
o`030000003oool0oooo01d0oooo1@3oo@0H0?ooo`H0ood0E03oool00`000000oooo0?ooo`0@0?oo
o`40fMWI000B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool08`3oool0103onP00
ooD00?o`003oh@020?oG000D0?oL003oh@00oo000?oe003oool00?[o003`o`00hOl00<co002ho`00
[_l00;So0037o`00hOl00?3o003jo`3oool0ooX00?o`003oh@030?oG00040?oQ003oj`00ooD00?oj
00<0oooo00<000000?ooo`3oool07@3oool70?om01L0oooo1P3oo@1C0?ooo`030000003oool0oooo
0100oooo0@3IfMT00180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0S0?ooo`0?
0?oj003om@00on/00?oL003od@00ol`00?oA003oh@00on/00?oe003onP00oooo003jo`00mOl00?3o
00<00>Ko00l00?3o003eo`00n_l0oooo0?oj003om@00on/00?oQ003od@00ol`00?oA003og000on/0
0?oe003onP000`3oool00`000000oooo0?ooo`0N0?ooo`L0ood0203oool70?om00P0oooo1`3oo@1A
0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool03`3oool30000
00@0oooo00<000000?ooo`3oool0203oool2000000<0oooo100000040?ooo`030000003oool0oooo
00/0oooo0240ooX00?oe003oiP00omL00?o<003oa`00ol`00?oL003oj`00ooD00?oj003om@00on/0
0?oG003o_@00oj<00?nN003oX`00okP00?oG003oj`00ooD00?oj003om@00on/00?oL003oc000olL0
0?o<003oe`00onH00?oe003onP000`3oool00`000000oooo0?ooo`040?ooo`<000005`3oool90?om
00D0oooo0`3oo@050?oj0080ood01P3oool80?om0500oooo00<000000?ooo`3oool0403oool10=WI
f@004P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0000000`0oooo01D0ooX00?oe003o
iP00omL00?o7003o`P00olL00?oG003oiP00ooD00?oj003om@00oo000?oQ003oa`00ojh00?nS003o
/`00ol800?oL003ol0000P3onP002P3om@00onH00?oG003oa`00ol800?o7003oe`00onH00?oe003o
nP020?ooo`8000001`3oool00`000000oooo0?ooo`0G0?ooo`<0ood00`3onP030?om00D0oooo0P3o
o@000`3onP00ooP00?oh00030?oh00030?oj003oo@00ood000D0oooo0`3oo@030?oj00<0ood0CP3o
ool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo00X0oooo0P000004
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool010000000oooo0?ooo`3o
ool4000000<0oooo00@000000?ooo`3oool000002`3oool08@3onP00ooD00?oV003oe`00olL00?o2
003oa`00omL00?oV003om@00oooo003jo`00mOl00>_o003Lo`00dOl00<co003Ao`00g?l00>Ko003e
o`00n_l0ooX00?oe003oiP00omL00?o7003o`P00olL00?oG003oiP00ooD00?oj00030?ooo`030000
003oool0oooo008000000`3oool00`000000oooo0?ooo`0H0?ooo`<0ood0103onP030?om00<0oooo
0P3oo@020?oj00050?oh003om@00ooD00?oe003on0000P3onP020?om00<0oooo0`3oo@040?oj00<0
ood0C@3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo00l0oooo
0P0000050?ooo`030000003oool0oooo00P0oooo0`00000:0?ooo`030000003oool0000000/0oooo
0240ooX00?oe003oj`00om`00?o<003oa`00ol`00?oL003oj`00ooD00?ooo`00n_l00>_o003Go`00
^?l009Wo002:o`00W_l00;?o003Go`00jol00?[o0?ooo`3om@00on/00?oL003oc000olL00?o<003o
e`00onH00?oe003onP000`3oool00`000000oooo0?ooo`040?ooo`8000006`3oool20?om00H0ooX0
0P3oo@030?ooo`80ood000<0ooX00?oh003on000103om@000`3on000ooX00?om00040?ooo`80ood0
1P3onP020?om04`0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo00X0oooo00/0ooX00?oe003oj`00on400?oA003oc000omL00?oQ
003oj`00ooD00?oj00020?ooo`06003jo`00mOl00?3o003[o`00l?l00?Go0P00n_l0303oool0ooX0
0?oe003oj`00on400?oA003oc000om400?oL003oj`00ooD00?oj00<0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`0I0?ooo`<0ood000@0ooX00?oh003on000ooP00P3onP020?om00<0
oooo0P3oo@020?oj00050?oh003om@00ooD00?oe003on0000P3onP000`3oo@00oooo0?ooo`020?oo
o`80ood00P3onP030?oh0080ooX000<0ood00?ooo`3oool0B@3oool00`000000oooo0?ooo`0@0?oo
o`40fMWI000B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool08`3oool02P3onP00
ooD00?o`003oiP00om`00?oG003og000onH00?o`003om@020?oj00090?o`003oh@00ol`00?nm003o
/`00okd00?o<003oh@00oo000080ooX000@0ooD00?o`003oiP00om`00P3oe`00103oh@00oo000?oe
003onP030?ooo`030000003oool0oooo0280oooo0P3oo@020?oj00@0ooP00P3onP000`3oo@00oooo
0?ooo`020?ooo`80ood00`3onP000`3on000ooX00?oj00030?om00@0oooo0P3oo@000`3onP00ooP0
0?oh00030?oh00030?oj003oo@00ood004T0oooo00<000000?ooo`3oool0403oool10=WIf@004P3o
ool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo02@0oooo00<0ooX00?oe003oj`000`3o
h@000`3oj`00ooD00?oj00030?oj00080?o`003oh@00omL00?oA003oe`00on400?o`003om@030?oj
00030?oe003oj`00on400080on4000<0on/00?o`003onP00103oool00`000000oooo0?ooo`0S0?oo
o`80ood000<0ooX00?oh003on0000P3om@020?oh00030?oj003oo@00ood00180oooo00@0ood00?oj
003onP00ooP00`3om@00103on000ooX00?om003oo@180?ooo`030000003oool0oooo0100oooo0@3I
fMT00180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0T0?ooo`090?oj003om@00
oo000?o[003oiP00on/00?o`003om@00ooX00080oooo00<00?[o003eo`00l?l00P00i_l2003[o`0=
003eo`00n_l0oooo0?ooo`3onP00ooD00?o`003oj`00onH00?o[003ol000ooD00?oj00040?ooo`03
0000003oool0oooo02@0oooo0P3oo@000`3onP00ooP00?oe00030?oe00040?oh003onP00ood00?om
00<0oooo0P00oOl2003jo`<00?So0P00n_l2003mo`<0oooo0P3oo@000`3onP00ooP00?oe00030?oe
00040?oh003onP00ood00?om04L0oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool0oooo02@0oooo0P3onP001P3om@00oo000?o`003ol000
ooD00?oj00<0oooo00T00?[o003eo`00jol00>Ko003Qo`00i_l00>_o003eo`00n_l00`3oool00`3o
nP00ooD00?o`00020?o`00030?oe003onP00ooX000@0oooo00<000000?ooo`3oool09@3oool0103o
o@00ooX00?oh003om@030?oc00030?oe003on000ooX00080ood00P3oool01@00oOl00?[o003ho`00
mOl00??o00<00?3o00D00??o003eo`00n?l00?[o003mo`020?ooo`80ood000<0ooX00?oh003om@00
0P3ol`020?oe00030?oh003onP00ood004H0oooo00<000000?ooo`3oool0403oool10=WIf@004P3o
ool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo02D0oooo0P3onP030?oe0080ooX03`3o
ool20?oj00<0ooD00P3onP050?ooo`030000003oool0oooo02H0oooo00H0ood00?oj003on000ooD0
0?oc003ol0020?oc00040?oe003on000ooX00?om0080oooo00D00?go003jo`00mOl00?3o003[o`02
003Vo`05003Xo`00jol00?3o003eo`00n?l00P00oOl01P3oool0ood00?om003onP00ooD00?oc0080
oo0000@0oo<00?oe003on000ooX00P3oo@140?ooo`030000003oool0oooo0100oooo0@3IfMT00180
oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0V0?ooo`D0ooX01@3oool20?oj00<0
ooD00P3onP050?ooo`D0ooX01P3oool00`000000oooo0?ooo`0V0?ooo`80ood000<0ooX00?oh003o
l`000`3ol0001P3ol`00ooD00?oh003onP00ood00?ooo`800?go01<00?So003co`00jol00>Ko003Q
o`00g_l00>7o003Vo`00jol00??o003ho`00n_l00?go0?ooo`3oo@00ooX00?oh003om@00oo<000<0
oo0000<0oo<00?oe003onP000P3oo@130?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo
00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0W0?ooo`<0ooX0203oool40?oj00L0oooo
0`3onP070?ooo`030000003oool0oooo02L0oooo0P3oo@000`3onP00ooD00?oc00030?o^000K0?o`
003ol`00ooP00?oj003oo@00oooo003mo`00n_l00?So003co`00jol00>?o003No`00g?l00=ko003S
o`00j?l00?3o003ho`00n_l00?go0?ooo`3oo@00ooX00?oh003ol`00oo0000<0onh000<0oo<00?oe
003on0000P3oo@120?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3o
ool05P3oool00`000000oooo0?ooo`170?ooo`030000003oool0oooo02P0oooo0P3oo@00103on000
ooD00?o`003okP020?o[00050?o^003ol`00ooD00?oj003oo@000P3oool01@00n_l00?So003co`00
jol00>?o00<00=ko00`00>?o003[o`00lol00?So003jo`00oOl0oooo0?om003onP00ooD00?oc003o
kP020?o[00060?o^003ol000ooD00?oh003onP00ood0@@3oool00`000000oooo0?ooo`0@0?ooo`40
fMWI000B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0A`3oool00`000000oooo
0?ooo`0Y0?ooo`060?om003onP00ooP00?oc003okP00on/00P3oj0001@3oj`00oo000?oe003on000
ood00080oooo00d00?go003jo`00mOl00?3o003[o`00j?l00>Ko003Xo`00jol00?3o003eo`00n_l0
0?go0080oooo00D0ood00?oj003om@00oo000?o[00020?oX00060?o[003okP00oo<00?oh003onP00
ood0@03oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo01H0oooo
00<000000?ooo`3oool05@3oool0103onP000?[o0?oj0000n_l70?ooo`03003jo`3oool0oooo00P0
oooo00@00?[o0?oj0000n_l0ooX0603oool00`000000oooo0?ooo`0Z0?ooo`060?om003onP00ooP0
0?oc003okP00onP00P3oiP00103oj000onh00?oc003on0020?om0080oooo00@00?go003jo`00n_l0
0?So0`00mOl2003ho`04003jo`00oOl0oooo0?ooo`80ood000@0ooP00?oe003ol000on/00P3oiP00
1P3oj000onh00?oc003on000ooX00?om03l0oooo00<000000?ooo`3oool0403oool10=WIf@004P3o
ool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01@0oooo00D0ooX0003jo`3onP000?[o
0?oj000A0?ooo`06003jo`3onP000?[o0?oj003oool00?[o5`3oool00`000000oooo0?ooo`0[0?oo
o`060?om003onP00ooD00?oc003oj`00onH00P3oh`001@3oiP00on/00?o`003om@00ooX000@0ood0
0P3onP001@3on000ooD00?oe003om@00ooP00080ooX0103oo@001@3onP00ooP00?oc003okP00onP0
0080on<000H0onH00?oX003okP00oo<00?oh003onP0n0?ooo`030000003oool0oooo0100oooo0@3I
fMT00180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0B0?ooo`09003jo`3onP00
0?[o0?ooo`3onP000?Go0?oe0000mOl0ooX000<0oooo00D00?[o0?oj0000mOl0ooD0003eo`020?oo
o`0<003jo`3oool0oooo0?ooo`00n_l0oooo0?oj0000mOl0oo00003`o`3onP000?[o5P3oool00`00
0000oooo0?ooo`0/0?ooo`060?om003onP00ooD00?o`003oj`00onH00P3oh@001@3oh`00onP00?o^
003om@00ooP00080ood000D0ooX00?oh003ol`00on/00?oV00030?oQ00050?oS003oj`00oo000?oe
003onP000P3oo@001@3onP00ooP00?oc003okP00onH000<0on4000@0onH00?o[003ol`00ooP00P3o
o@0l0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool05P3oool0
0`000000oooo0?ooo`0D0?ooo`06003eo`3oj`000>Ko0?oV0000jol0ooX00`3oool02P00n_l0ooX0
003eo`3om@00oooo003eo`3om@000?Go0?oj0000n_l20?ooo`06003jo`3om@000>_o0?oQ0000i_l0
oo000P3oool00`3onP00oooo0?ooo`0C0?ooo`030000003oool0oooo02d0oooo00H0ood00?oj003o
m@00oo000?oX003oh`020?oN00060?oQ003oiP00onh00?oc003on000ood00P3onP001@3om@00onh0
0?oQ003oe`00ol`00080olX000D0om400?oI003oiP00onh00?oh00030?oj00040?oh003ol`00on/0
0?oV00<0omh000@0on<00?o[003ol000ooP00P3oo@0k0?ooo`030000003oool0oooo0100oooo0@3I
fMT00180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0B0?ooo`0C0?oj0000l?l0
onH0003Lo`3og0000?3o003jo`3om@000?Go0?oj003oool00?[o0?oj003oool00?Go0?o[0000l?l0
ooD0003jo`030?ooo`0:003jo`3ol0000>Ko0?oQ0000i_l0ooX00?oe0000jol0ooD0003joaD0oooo
00<000000?ooo`3oool0;@3oool20?om00050?oj003om@00onh00?oX003oh@000P3og0001@3ogP00
on<00?o[003ol`00ooP00080ooX000H0ooP00?oc003oj000om`00?o<003o_`020?nj00050?o2003o
c`00om`00?o^003om@000`3onP00103on000oo000?o[003oh`030?oL00060?oQ003oj000oo<00?oh
003onP00ood0>P3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo
01H0oooo00<000000?ooo`3oool04@3oool02`3onP000?Go0?oV0000mOl00?[o0?oQ0000dOl0ol`0
003Qo`3ol0000?[o0080oooo01@0oo00003Lo`3o`P000;go0?o<0000jol00?3o0?oe0000n_l0oooo
0?oe0000jol0oooo0?o[0000g?l0ol800037o`3oh@000?Go0?oj01D0oooo00<000000?ooo`3oool0
;P3oool20?om00050?oj003om@00onh00?oV003ogP000P3of@001@3og000on400?oX003ol`00ooP0
0080ooX000H0ooP00?o`003oiP00omL00?o7003o^P020?nc00060?nj003obP00omh00?o[003ol`00
ooP00P3onP00103om@00oo000?oX003oh@030?oI00060?oN003oj000oo000?oh003onP00ood0>@3o
ool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo01H0oooo00<00000
0?ooo`3oool04@3oool03@00n_l0ooD0003jo`00c?l0okd0002^o`3oX`000;go0?oL003onP000?[o
0?oj003oool00P00n_l01@3om@000?3o0?oe0000n_l0ooX00080oooo00`0ooX0003jo`00n_l0omL0
0032o`3oX`0009ko0?o2003onP000?Go0?oj0000n_lD0?ooo`030000003oool0oooo02l0oooo0P3o
o@001@3onP00ooD00?o^003oh`00om`00080omL000D0omT00?oN003oj`00oo<00?oh00020?oj000>
0?oh003ol`00onP00?oI003oc000okd00?ne003o^000okl00?o?003ogP00on/00?oc003on0020?oj
00040?oe003ol000onP00?oN00<0omL000H0omh00?oX003ol000ooD00?oj003oo@0h0?ooo`030000
003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?oo
o`0A0?ooo`0<003jo`3oj`000=7o0?nc0000Xol0olL00?o`0000`_l0olL0003Lo`3ol0000?Go0P3o
nP005000g?l0ojP0002?o`3oU0000;?o0?oV0000n_l00?Go0?oe0000jol0omL0002mo`3o`P000?[o
0032o`3oZ0000;go0?oL0000l?l0ooX0503oool00`000000oooo0?ooo`0`0?ooo`80ood000`0ooP0
0?oc003oj`00on<00?oI003oe000om400?oG003oh@00onP00?o`003on0030?oj00050?oe003okP00
on<00?oG003oc0000P3oa@001@3oc`00omT00?oV003ol000ooD000<0ooX000d0ooD00?o^003oiP00
om`00?oG003oe000omL00?oL003oiP00onh00?oe003onP00ood003L0oooo00<000000?ooo`3oool0
403oool10=WIf@004P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0100oooo00/0
0?[o0?oe0000i_l0om`00?ooo`00c?l0ohl0001Vo`3oO`000;So0?oQ0002003jo`0D0?oe0000g?l0
okd0002So`3o[P000=co003eo`3oe`000>Ko0?o`0000l?l0on/0003[o`00i_l0okP0001`o`3oE`00
08Go0?nm0000jolF0?ooo`030000003oool0oooo0340oooo0P3oo@003@3on000oo<00?o[003oh@00
omL00?oA003oc`00omL00?oN003oiP00oo000?oe003onP000P3oo@00303onP00ooD00?o`003oj000
on<00?oN003oh@00onH00?o^003ol`00ooP00?oj0080ood000h0ooX00?oe003okP00on<00?oL003o
e000oll00?oD003of@00on<00?o[003ol`00ooX00?om03H0oooo00<000000?ooo`3oool0403oool1
0=WIf@004P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0100oooo00T0ooX0003j
o`3oool0on40002So`3oH@0002ko0?m<0000W_l00P3oj`006000jol0oooo0?o`0000g?l0on/0003`
o`00c?l0ok<0002ho`3oe`000?3o0?oj003oool0ooX0003Go`3oWP00057o0?lh0000Jol0ol800?oG
0000hOl0on/0003eoa@0oooo00<000000?ooo`3oool0<P3oool20?om00050?oh003ol`00onP00?oN
003oe0000P3oc`001`3oe000om`00?oV003okP00ooD00?oj003oo@00103oool4003mo`H0oooo00l0
ood00?oj003om@00onh00?oS003of@00oll00?o<003oc`00omL00?oQ003oj`00oo<00?oh003oo@00
=@3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0A0?ooo`0R003eo`3oh@000;So0?n?0000N_l0
ohX00037o`00c?l0ok<0003Ao`3ol000oooo003Vo`3om@00ojP0001Vo`3o@P0005Oo0?me0000i_l0
ooD00?oj003oool00>Ko0?o20000W_l0oiT0002co`00hOl0oi@0002No`3oa`000>_o0?oj01@0oooo
00D000000?ooo`3oool0oooo0000000a0?ooo`80ood000D0ooP00?o`003oj000omh00?oD00020?o<
000L0?oA003of@00on<00?o^003om@00ooX00?ooo`00oOl00?So003`o`00j?l00>7o003Io`00eol0
0=Wo003No`00hol00>_o003co`00n?l00?go0?ooo`3onP00ooD00?o[003oh@00omL00?o?0080ol`0
00D0om@00?oN003oj000oo<00?oh00020?om03<0oooo00<000000?ooo`3oool0403oool10=WIf@00
4P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool0
403oool08P00n_l0oo00003Lo`3o`P00on/0002Xo`3oIP0004co0?mL0000[_l0on40003jo`3oool0
0?[o0?oe0000n_l0oooo0?oe0000i_l0on/0003`o`3onP00oooo003`o`3oh@000=Oo003Ao`3oRP00
04;o0?lX0000Jol0okP0003[o`3onP0D0?ooo`8000000P3oool00`000000oooo0000000a0?ooo`07
0?om003onP00ooP00?o`003oiP00om`00?oA00020?o:000S0?o?003oe`00on<00?o^003om@00ooX0
0?ooo`00n_l00?3o003Vo`00eol00<Oo002ho`00/ol00;Go002mo`00b_l00=Wo003Xo`00lol00?[o
0?ooo`3onP00oo<00?o[003ogP00om@00?o<003obP00ol`00?oD003ogP00onP00?oc003on0000P3o
o@0b0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool03`3oool0
0`000000oooo000000040?ooo`030000003oool0oooo0180oooo01@00?3o0?o20000N_l0ocP0000h
o`3oQ@000>Ko003Qo`3oe`000>Ko0?o[0000hOl0omL0003[o`00dOl0ogD00012o`3oG00009ko0?oL
00800?[o00/0on/0002mo`3oNP0004Oo0?mQ0000^?l00>_o0?o20000c?l0onH0003eo`0D0?ooo`06
0000003oool0oooo0000003oool00000<P3oool05P3oo@00ooX00?oh003ol000onH00?oI003oc`00
olX00?o7003oc000omL00?oQ003oj`00ooD00?oj0000oOl00?So003^o`00g_l00<[o002eo`00Xol2
002Io`0D002Vo`00^?l00<oo003Qo`00l?l00?So0?ooo`3onP00oo<00?o[003ogP00om@00?o:003o
a`00olX00?oA003ogP00onP00?oc003on0020?om0340oooo00<000000?ooo`3oool0403oool10=WI
f@004P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0000000@0oooo00<000000?ooo`3o
ool04@3oool08P00mOl0on40002ho`3oX`000:So0?ooo`3oV@0008Go0?nN0000c?l0on/0003eo`3o
ool0oo00002mo`3oWP0007oo0?nD0000aol0ooX00?oe0000mOl0oo00003Qo`3oa`000;So0?oV003o
[P0007oo0?m[0000U?l0ol`0003`o`3onP0D0?ooo`060000003oool0oooo0000003oool00000<`3o
ool05P3oo@00ooX00?oh003ol000onH00?oI003oc`00olL00?o5003obP00om@00?oQ003oj`00ooD0
0?om0000oOl00?Go003[o`00fOl00<;o002[o`00Uol2002<o`0D002Lo`00/?l00<[o003No`00k_l0
0?So0?ooo`3onP00oo<00?oX003ogP00om400?o:003oa@00olL00?oA003og000onP00?o`003on002
0?om0300oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0403oool02`00n_l0ooD0003[o`3oj`00
omL0002Do`3oL00005co0?nD0000_Ol0on/00080oooo00T00?Go0?oV0000c?l0okd00037o`3og000
onH0003Go`3oj`000P00n_l02`3om@000?[o0032o`3oU00005Oo0?m[0000R_l0om40003eo`3oool0
ooX001@0oooo00D000000?ooo`3oool0oooo0000000e0?ooo`070?om003onP00ooD00?o`003oh`00
omT00?o<00020?o5000S0?o:003oe000on400?o[003om@00ooX0003mo`00mOl00>_o003Io`00aOl0
0:ko002Io`00Sol0097o002No`00/ol00<[o003No`00k_l00?So0?ooo`3onP00oo<00?oX003og000
om400?o7003oa@00olL00?o?003og000onP00?o`003on0000P3oo@0_0?ooo`030000003oool0oooo
0100oooo0@3IfMT00180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0B0?ooo`0=
003jo`3oiP000;So0?n:0000N_l0oih0003Go`00n_l0onH0003eo`3oool0oo00003Qo`020?oj000B
002mo`3oU0000:?o0?o20000i_l0ooX00?ooo`3om@000=co0?nc0000R_l0ohX0002ho`3om@00ol`0
003Qo`3ol0000?[o503oool00`000000oooo0?ooo`0i0?ooo`0[0?om003on000oo000?oV003of@00
oll00?o5003o`P00olL00?o?003og000onH00?o`003on000ood0003ho`00l?l00>?o003Ao`00_ol0
0:ko002So`00Y_l00;3o0032o`00dOl00>7o003^o`00n?l0oooo0?oj003ol`00on/00?oN003od@00
olX00?o2003oa@00olX00?oG003oh@00onh00?oe00020?om02h0oooo00<000000?ooo`3oool0403o
ool10=WIf@002@3oool3000000H0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0A
0?ooo`0;003jo`3ol0000>7o0?oG0000g?l0onH00?o`0000dOl0omL0003Vo`3om@000`3oool00`3o
nP000?[o0?oj00020?ooo`0>0?oj003oool0oooo0?oj0000mOl0on40003Vo`3oh@00ooX0003<o`3o
_@000<co0?oV0000mOlE0?ooo`030000003oool0oooo03X0oooo01D0ooX00?oh003ol000onH00?oI
003oc`00olD00?o2003oa@00oll00?oI003oiP00oo000?oh003oool00?[o003eo`00k_l00>?o003G
o`00c?l00P00aOl03@00c?l00=Oo003So`00k_l00?Go003mo`3oool0ooX00?oc003oj`00omh00?oD
003oa`000P3o`P001`3obP00om@00?oQ003oj`00ooP00?oj003oo@00;@3oool00`000000oooo0?oo
o`030?ooo`<000002P3oool10=WIf@002P3oool00`000000oooo0?ooo`050?ooo`8000005`3oool0
0`000000oooo0?ooo`0A0?ooo`0P0?oj0000mOl0ooD00?o[0000dOl0okd00032o`3oe`000>Ko0?oj
003oool00?[o0?oe0000jol0om`0003Ao`3og0000?3o003jo`3og0000?3o0?oj0000n_l0ooX0003j
o`00hOl0olL0002mo`3oa`000=Oo0?oe0000n_lF0?ooo`030000003oool0oooo03X0oooo01D0ood0
0?oj003on000oo000?oV003of@00oll00?o5003o`P00olD00?o<003of@00onH00?o`003onP00ood0
0?ooo`00oOl00?[o003ho`00mOl01000l?l03000lol00?So003jo`00oOl0oooo0?om003onP00oo<0
0?o[003ogP00om@00?o:0080ol8000L0olX00?oD003oh@00oo000?oh003onP00ood002/0oooo0P00
00060?ooo`030000003oool0oooo00T0oooo0@3IfMT000X0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0180oooo01@00?[o0?o`0000hOl0omL0003L
o`3ol0000?Go003`o`3om@000?[o0?oj0000n_l0ooX00?ooo`00mOl0onH0003Vo`3oj`000?Go0?oj
0080oooo00D0ooX0003`o`3oh@000=co0?oV0002003`o`030?o[0000l?l0ooX001D0oooo00<00000
0?ooo`3oool0>`3oool03`3oo@00ooX00?oh003ol000onH00?oL003oc`00olD00?o2003oa@00ol`0
0?oI003oiP00oo<00?oh00020?oj00050?oh003om@00onh00?oX003oiP000`3oh`00303oj000onh0
0?oh003onP00ood00?oj003on000oo<00?o[003oh@00om@00?o:0080ol8000L0olX00?oD003oiP00
oo000?oe003onP00ood002/0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?oo
o`40fMWI000:0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05P3oool00`000000
oooo0?ooo`0B0?ooo`090?oj0000mOl0ooD0003jo`00l?l0on/0003[o`3ol0000?[o00<0oooo00P0
0?[o0?oe0000l?l0on/0003`o`3onP00oooo003jo`80oooo00T00?[o0?oj0000n_l0oooo0?o`0000
i_l0onH0003`o`3onP005P3oool00`000000oooo0?ooo`0l0?ooo`80ood001@0ooP00?o`003oj000
om`00?o?003oa`00ol800?o5003oc000omT00?oX003ol`00ooP00?oj003on000oo<00?o[003og000
ol`00?no0080okP000d0okd00?o7003og000onP00?oc003on000ooX00?oh003ol`00on/00?oQ003o
e000olX00080ol8000L0olX00?oI003oh`00onh00?oe003onP00ood002X0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`090?ooo`40fMWI000:0?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0D0?ooo`060?oj0000l?l0oo00003`o`3o
m@000?[o103oool00`3onP000?Go0?oe0002003jo`030?oj0000n_l0ooX000@0oooo00D00?Go0?oe
0000l?l0oo00003eo`0H0?ooo`030000003oool0oooo03d0oooo0P3oo@00303on000oo<00?oX003o
g000om400?o7003o`P00olD00?o?003ogP00onP00?o`00<0ooP000d0oo000?oS003od@00okX00?nV
003oW000oiT00?nN003o^000ol`00?oN003oj`00ooD00080ooP000D0ooD00?o^003oh@00om@00?o:
00020?o500070?o<003of@00on<00?o^003om@00ooX00?om000Y0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool02@3oool10=WIf@002@3oool2000000L0oooo00<000000?ooo`3oool0
5P3oool00`000000oooo0?ooo`0D0?ooo`04003jo`3onP000?[o0?oj0140oooo00@00?[o0?oj0000
n_l0ooX00P3oool00`3onP000?[o0?ooo`0E0?ooo`030000003oool0oooo03h0oooo0P3oo@00303o
n000oo<00?oX003ogP00om400?o7003oa@00olL00?oA003og000onP00?o`0080ooP000h0ooD00?o^
003oh@00ol`00?nc003oW000oh`00?n:003oU`00oj/00?o2003oe`00onP00?oc0080ooP000D0ooD0
0?o^003oh@00omL00?o:00020?o500070?o<003oe`00on<00?o^003om@00ooX00?om000X0?ooo`03
0000003oool0oooo00<0oooo0P00000;0?ooo`40fMWI000:0?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0P0?ooo`030?oj0000n_l0ooX000X0oooo
00<00?[o0?oj003oool05`3oool00`000000oooo0?ooo`100?ooo`0=0?om003on000oo<00?oX003o
gP00om400?o:003oa@00olL00?oA003og000onP00?o`00020?oh000>0?oe003okP00on400?o<003o
]@00oj400?nA003oS000oiL00?nX003o`P00omL00?oX003ol`020?oh000>0?oe003okP00on<00?oG
003oc000olD00?o7003oc000omL00?oS003okP00ooD00?oj003oo@0W0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool02@3oool10=WIf@004P3oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo04L0oooo00<000000?ooo`3oool0@@3oool03@3oo@00ooP00?oc003oj`00omh0
0?oD003obP00olL00?o:003od@00omh00?oX003ol0000`3on0003@3ol000onH00?oG003o`P00ok00
0?nN003oX@00ojP00?nh003oc000omh00?o[003om@000P3on0001@3om@00onh00?oS003oe`00ol`0
0080olL000L0oll00?oI003oh`00onh00?oe003onP00ood002H0oooo00<000000?ooo`3oool0403o
ool10=WIf@004P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0100oooo00<00?[o
0?ooo`3oool0=03oool00`000000oooo0?ooo`120?ooo`0>0?om003on000oo<00?o[003ogP00om@0
0?o:003oa`00olX00?oD003ogP00onP00?oc003on0020?oj00050?oe003okP00on<00?oG003oa@00
0P3o_@001P3oa@00oll00?oL003oj000oo<00?oh0080ooX000h0ooD00?o^003oh`00omL00?o<003o
a`00olX00?o?003of@00onH00?o`003om@00ooX00?om02D0oooo00<000000?ooo`3oool0403oool1
0=WIf@004P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00@0oooo0P3onP0E0?oo
o`030?oj003oool0oooo02T0oooo00<000000?ooo`3oool0@`3oool05@3oo@00ooX00?oc003oj`00
on400?oD003oc000olX00?o<003oe000omh00?o[003ol`00ooP00?oj003oo@00ooX00?oh003ol`00
on/00?oV00020?oQ00050?oV003oj`00oo000?oe003onP000P3oo@003`3onP00ooD00?o^003oh`00
omT00?o?003obP00ol`00?oA003og000onH00?o`003on000ooX00?om000T0?ooo`030000003oool0
oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`020?oo
o`H0ooX0103oool20?oj00@0ooD00P3onP040?ooo`H0ooX0:@3oool00`000000oooo0?ooo`140?oo
o`0?0?om003onP00oo<00?o[003oh@00omL00?o?003oc000oll00?oG003oh@00on/00?oc003onP00
ood00080oooo00<00?go003jo`00n?l01@00n?l02`00n_l00?go003mo`3oool0ood00?oj003om@00
onh00?oV003og000om400080ol`000L0om@00?oL003oj000oo000?oh003onP00ood002<0oooo00<0
00000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0
oooo0080oooo0P3onP030?oe0080ooX01@3oool40?oj00H0oooo0P3onP030?oe0080ooX0:03oool0
0`000000oooo0?ooo`150?ooo`0E0?om003onP00ooD00?o^003oh`00omT00?oA003oc`00om400?oI
003oh`00on/00?oe003onP00ood0003mo`00n_l00??o003[o`00hol00=Wo00800=Co00d00=Oo003N
o`00j?l00?3o003ho`00oOl0oooo0?om003on000oo000?oV003og000om@00080oll000D0omL00?oN
003oj000oo000?oh00020?om0280oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`00
0000oooo0?ooo`0F0?ooo`040000003oool0oooo0?ooo`80ooX000<0ooD00?o`003ol0000P3om@00
0`3onP00oooo0?ooo`02003jo`08003eo`00jol00>Ko003Vo`00jol00?3o003eo`00n_l20?ooo`80
ooX000<0ooD00?o`003ol0000P3om@000`3onP00oooo0?ooo`0V0?ooo`030000003oool0oooo04H0
oooo01D0ood00?oj003om@00onh00?oV003og000om@00?oA003oe000omT00?oQ003oj`00oo<00?oh
003oo@000?go003eo`00k_l00>7o003Do`00aOl00P00^_l03@00_ol00<[o003Go`00hol00>ko003e
o`00oOl0ood00?oh003ol000onP00?oQ003oe`000P3od@001`3oe`00omh00?oV003okP00ooD00?oj
003oo@008@3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo01H0
oooo00L000000?ooo`3oool0oooo0?oj003om@00oo0000<0on/000@0ooD00?oj003onP00oooo0P00
n_l02000l?l00>Ko003Qo`00hOl00>Ko003`o`00mOl00?[o0P3oool00`3onP00ooD00?o`00030?o[
00030?o`003onP00ooX002L0oooo00<000000?ooo`3oool0A`3oool0903oo@00ooX00?oe003ol000
onP00?oN003oe`00om@00?oG003of@00on<00?o[003ol`00ooP00?om0000n_l00?Go003[o`00g_l0
0<co002mo`00/ol00:ko002co`00_Ol00<co003Lo`00jol00?Go003mo`3oo@00ooP00?oc003oj`00
on<00?oI0080om@000D0omT00?oN003oj000oo000?oe00020?om0200oooo00<000000?ooo`3oool0
403oool10=WIf@004P3oool00`000000oooo0?ooo`0F0?ooo`070000003oool0oooo0?oj003om@00
oo000?oV00020?oQ00030?oV003ol000ooD000<0ooX000<0ooD00?o`003oj`000`3oiP00103ol000
ooD00?oj003oool20?oj00080?o`003oiP00on400?oQ003oiP00on/00?oe003onP0W0?ooo`030000
003oool0oooo04P0oooo02/0ood00?oj003on000oo000?oX003oh@00om`00?oG003of@00om`00?oS
003oj`00oo<00?oj003oool00?[o003eo`00jol00=ko003?o`00_ol00;?o002^o`00/ol00;oo003?
o`00g_l00>_o003ho`00oOl0ood00?oj003ol`00onh00?oV003ogP00omT00?oG003og000on400?oX
003ol000ooP00080ood07`3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003o
ool0oooo01H0oooo00L000000?ooo`3oool0ooX00?oe003oj`00on400080omL000<0om`00?oV003o
l0000P3onP002P3om@00on/00?oL003oa`00okP00?nc003o`P00om400?oV003om@020?oj00090?oe
003oj`00on400?oL003oe`00om`00?oV003ol000ooX002L0oooo00<000000?ooo`3oool0B@3oool0
:`3oo@00ooX00?oh003ol`00on/00?oS003ogP00omT00?oL003ogP00onH00?o^003om@00ooX00?oo
o`00oOl00?Go003^o`00hol00=Oo0037o`00_Ol00;So002oo`00b_l00=Oo003So`00l?l00?So003m
o`3oo@00ooX00?oe003okP00onH00?oQ003og000omT00?oN003oh`00on/00?oc003on0000P3oo@0N
0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool05P3oool03000
0000oooo0?ooo`3onP00oo000?oV003oe`00om400?o<003oe`00on400?o`0080ooX000<0oooo0?oj
003onP00103om@020?oj0080oooo00T0ooX00?oe003oiP00om`00?oA003oc000omL00?oQ003ol000
0P3onP0V0?ooo`030000003oool0oooo04X0oooo0P3oo@00:@3on000oo<00?o^003oiP00on400?oL
003ogP00on400?oX003ol000ooP00?oj003oool00?go003jo`00lol00>_o003Qo`00eol00<oo003<
o`00dOl00=Wo003So`00k_l00?Go003jo`00oOl0ood00?oj003om@00oo000?oX003oh`00omh00?oL
003oh@00onH00?o^003om@00ooX00080ood07@3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B
0?ooo`030000003oool0oooo00l0oooo0`0000040?ooo`070000003oool0oooo0?oj003ol000on40
0?oA00020?o700090?oA003oh@00oo000?oj003oool00?Go003Qo`00aol00:So008009Wo00T00:?o
0032o`00g?l00?3o003jo`3onP00oo000?oV003oe`000P3oa`001@3oc000om`00?o[003om@00ooX0
02H0oooo00<000000?ooo`3oool00`0000180?ooo`80ood000D0ooX00?oe003ol000onP00?oS0002
0?oQ000K0?oS003oj`00oo<00?oh003onP00ood00?ooo`00oOl00?[o003eo`00l?l00>_o003Vo`00
hol00>Ko003[o`00lol00?So003jo`00oOl0oooo0?om003onP00ooP00?oc003oj`00onH00080on40
00D0on<00?oX003ol000ooD00?oj00020?om01`0oooo00<000000?ooo`3oool0403oool10=WIf@00
4P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00<0oooo00L000000?ooo`3oool0
ooX00?o`003oh@00om400080ol8001/0ol`00?oL003oj`00ooX00?ooo`00n_l00>_o003Lo`00`_l0
0;?o002^o`00_Ol00=7o003Vo`00mOl0oooo0?oj003ol000on400?oA003oa`00ol800?o<003og000
on/00?oe003onP009@3oool2000000<0oooo00<000000?ooo`3oool0B@3oool01P3oo@00ooX00?oe
003ol000on/00?oV0080on<000H0onH00?o^003ol`00ooP00?oj003oo@030?ooo`@00?go0P00n_l3
003mo`<0oooo00H0ood00?oj003on000oo<00?o^003oj0020?oS00050?oV003oj`00oo000?oe003o
nP000P3oo@0K0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`030?ooo`070000003oool0oooo0?oj003ol000on400?oA00020?o2
000?0?o<003og000on/00?oe003onP00ooD00?o[003og000olL00?o2003o_@00olL00?oG003oj`00
ooD00080ooX000X0oo000?oQ003od@00olL00?o2003oc000om`00?o[003om@00ooX09P3oool01@00
0000oooo0?ooo`3oool0000004`0oooo00H0ood00?oj003on000oo<00?o^003oj0020?oV00050?oX
003okP00oo<00?oh003onP000`3oo@00103onP00ooP00?oe003ol`030?o`00040?oc003om@00ooP0
0?oj00@0ood000@0ooP00?oe003okP00onP00P3oiP001P3oj000on/00?o`003om@00ooX00?om01/0
oooo00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0?0?ooo`800000
1@3oool01`000000oooo0?ooo`3onP00oo000?oQ003od@000P3oa`00503od@00on400?o[003om@00
ooX00?oe003oiP00ol`00?nX003oV@00ohl00?nS003o`P00om`00?o`003om@00ooX00?o`003oiP00
omL00P3oa`001@3oc000om`00?o[003om@00ooX002H0oooo00<000000?ooo`3oool00P00001=0?oo
o`060?om003onP00ooP00?oc003okP00on/00P3oj0001@3oj`00oo000?oe003on000ooX00080ood0
00d0ooX00?oh003ol`00onh00?oV003oh`00on400?oS003oiP00onh00?oc003on000ooX000<0ood0
00@0ooX00?oe003ol000on/00`3oj0001@3okP00oo<00?oh003onP00ood001X0oooo00<000000?oo
o`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00<0
oooo00d000000?ooo`3oool0ooX00?o`003oiP00omL00?oA003oc000omL00?oQ003ol000ooX000@0
oooo103onP040?ooo`090?oj003om@00onH00?oG003od@00ol`00?oG003oh@00oo000080ooX09P3o
ool01@000000oooo0?ooo`3oool0000004h0oooo00`0ood00?oj003on000ooD00?o`003oj`00onP0
0?o[003okP00oo000?oe003on0030?om000=0?oj003on000oo000?oX003oh@00om`00?oI003og000
on400?oX003ol000ooD00?oj00030?om00040?oj003om@00oo<00?o^00<0on/000D0oo000?oc003o
n000ooX00?om000I0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3o
ool05P3oool01`000000oooo0?ooo`3onP00ooD00?o[003oh@000P3oe`00503og000on/00?oe003o
nP00oooo003eo`00jol00=Oo0032o`00/ol00:ko002mo`00dOl00>Ko003eo`00n_l0ooX00?oe003o
j`00on400P3oe`00103og000onH00?o`003onP0W0?ooo`030000003oool0oooo0540oooo0P3oo@00
1@3onP00ooD00?oc003okP00on/00080onh000<0oo<00?oe003onP000`3oo@003@3onP00ooP00?o`
003oj000on400?oL003of@00om`00?oQ003oj000oo000?oe003onP000`3oo@000`3onP00ooP00?oc
00020?o^00070?o[003okP00oo000?oe003on000ooX00?om000H0?ooo`030000003oool0oooo0100
oooo0@3IfMT00180oooo00<000000?ooo`3oool05P3oool04P000000oooo0?ooo`3onP00ooD00?o`
003oiP00on400?oL003oiP00on/00?oe003onP00oooo003jo`00mOl00>_o003Qo`800=Oo00l00=co
003Vo`00l?l00?[o0?ooo`3onP00ooD00?o`003oiP00on400?oL003oh@00on/00?oe003onP009`3o
ool00`000000oooo0?ooo`1B0?ooo`80ood000@0ooX00?oh003ol`00oo000P3okP00103ol000oo<0
0?oh003onP030?om00050?oj003on000oo<00?o[003oh`000`3ogP001@3oh`00on/00?oc003on000
ooX000<0ood000@0ooX00?oh003om@00oo000P3okP00103ol000oo<00?oe003onP020?om01L0oooo
00<000000?ooo`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0F0?ooo`070000003o
ool0oooo0?ooo`3onP00ooD00?o[00020?oV00090?o[003ol000ooX00?oj003oool0ooX00?oe003o
l000onH00080on4000D0onH00?o[003om@00ooX00?ooo`020?oj00080?oe003oj`00on/00?oV003o
j`00oo000?oe003onP0W0?ooo`030000003oool0oooo05<0oooo0P3oo@00103onP00ooP00?oe003o
l`020?o`00040?oc003om@00ooP00?oj00@0ood000/0ooX00?oe003ol000on/00?oX003oiP00onP0
0?o[003ol000ooD00?oj00040?om00040?oj003on000ooD00?oc00<0oo0000<0ooD00?oh003onP00
0P3oo@0F0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool05P3o
ool01@000000oooo0?ooo`3oool0ooX00080ooD00`3ol000103om@00ooX00?ooo`3oool20?oj0008
0?o`003oiP00on400?oQ003oiP00oo000?oe003onP020?ooo`80ooX000H0ooD00?o`003ol000oo00
0?oe003onP0X0?ooo`030000003oool0oooo05D0oooo00@0ood00?oj003on000ooD0103ol`000`3o
m@00ooX00?oj00020?om00060?ooo`3oo@00ood00?oj003on000oo<00`3ol0000`3ol`00ooD00?oj
00020?om0080oooo0P3oo@000`3onP00ooP00?oe00030?oc00030?oe003on000ooX00080ood05@3o
ool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo01H0oooo00<00000
0?ooo`3oool00P3oool00`3onP00ooD00?oe00020?oe0080ooX03`3oool00`3onP00ooD00?oe0002
0?oe0080ooX0:03oool00`000000oooo0?ooo`1F0?ooo`80ood000@0ooX00?oh003om@00oo<00P3o
m@00103on000ooX00?oj003oo@040?ooo`80ood01@3onP020?om00@0oooo0P3oo@001@3onP00ooP0
0?oe003om@00oo<00080ooD000<0ooP00?oj003oo@005@3oool00`000000oooo0?ooo`0@0?ooo`40
fMWI000B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool00P3oool60?oj00@0oooo
0P00n_l2003eo`04003`o`00mOl00?[o003jo`@0oooo1P3onP0Y0?ooo`030000003oool0oooo05L0
oooo0P3oo@000`3onP00ooP00?oe00030?oe00040?oh003onP00ood00?om00@0oooo2@00oOl50?oo
o`040?om003onP00ooX00?oh00<0ooD000@0ooP00?oj003onP00ood0503oool00`000000oooo0?oo
o`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool00`3oool4
0?oj00L0oooo1000n_l80?ooo`<0ooX0:P3oool00`000000oooo0?ooo`1H0?ooo`80ood00P3onP05
0?oh00030?oj003oo@00ood000<0oooo0P00oOl00`00n_l00?So003ho`02003eo`800?So00<00?[o
003mo`3oool00`3oool20?om00030?oj003on000ooP000<0ooP000<0ooX00?om003oo@004`3oool0
0`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo01H0oooo00<000000?oo
o`3oool0A`3oool00`000000oooo0?ooo`1J0?ooo`80ood000<0ooX00?oh003on0000P3on0020?oj
00030?om003oool0oooo0080oooo00<00?go003jo`00n?l00P00mOl2003co`03003eo`00n?l00?So
00800?go0`3oool20?om0080ooX00`3on0020?oj0080ood04P3oool00`000000oooo0?ooo`0@0?oo
o`40fMWI000B0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0A`3oool00`000000
oooo0?ooo`1K0?ooo`80ood00`3onP000`3on000ooX00?oj00020?om00@0oooo00<00?go003jo`00
n?l00P00mOl2003co`03003eo`00n?l00?[o00800?go0`3oool30?om0080ooX000<0ooP00?oj003o
nP000`3oo@0A0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0
5P3ooom;000005h0oooo0`3oo@050?oj0080ood0103oool2003mo`03003jo`00n?l00?Go00<00?Go
00@00?So003jo`00oOl00?go103oool20?om00D0ooX00P3oo@0A0?ooo`030000003oool0oooo0100
oooo0@3IfMT00180oooo00<000000?ooo`3oool0`@3oool30?om00<0ooX00`3oo@040?ooo`800?go
0P00n_l4003ho`800?[o0P00oOl40?ooo`<0ood00`3onP030?om0100oooo00<000000?ooo`3oool0
403oool10=WIf@004P3oool00`000000oooo0?ooo`320?ooo`@0ood000@0ooX00?om003oo@00ood0
1P3oool3003mo`@00?[o0`00oOl50?ooo`@0ood000<0ooX00?om003oo@000P3oo@0?0?ooo`030000
003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0``3oool80?om00P0oooo1P00
oOl80?ooo`L0ood03`3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0
oooo0<D0oooo1`3oo@0F0?ooo`L0ood03P3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?oo
o`030000003oool0oooo02/0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo07L0oooo1P3oo@0:0?ooo`@0ood02P3oool60?om00d0oooo00<000000?oo
o`3oool0403oool10=WIf@004P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0000000`0
oooo00<000000?ooo`0000003`3oool00`000000oooo0000001j0?ooo`D0ood02@3oool60?om00T0
oooo1@3oo@0=0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0
9@3oool2000000@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0000000@0?ooo`030000
003oool0oooo07/0oooo0`3oo@090?ooo`L0ood02P3oool30?om00d0oooo00<000000?ooo`3oool0
403oool10=WIf@004P3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0000000`0oooo00<0
00000?ooo`0000003`3oool00`000000oooo0000002:0?ooo`H0ood06@3oool00`000000oooo0?oo
o`0@0?ooo`40fMWI000B0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo08/0oooo103oo@0I0?ooo`030000003oool0
oooo0100oooo0@3IfMT00180oooo00<000000?ooo`3oool0m`3oool00`000000oooo0?ooo`0@0?oo
o`40fMWI000B0?ooo`030000003oool0oooo0?L0oooo00<000000?ooo`3oool0403oool10=WIf@00
4P3oool00`000000oooo0?ooo`3g0?ooo`030000003oool0oooo0100oooo0@3IfMT00180oooo00<0
00000?ooo`3oool0m`3oool00`000000oooo0?ooo`0@0?ooo`40fMWI000B0?ooo`030000003oool0
oooo03l0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0h0?ooo`030000003oool0
oooo03l0oooo00<000000?ooo`3oool0403oool10=WIf@004P3ooook00000180oooo0@3IfMT00?l0
oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool1
0=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00580oooo100000020?ooo`800000
=03oool2000003D0oooo100000020?ooo`800000DP3oool10=WIf@00D`3oool01@000000oooo0?oo
o`3oool000000080oooo00<000000?ooo`3oool0<03oool010000000oooo0?ooo`00000e0?ooo`05
0000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`1?0?ooo`40fMWI001<0?ooo`<0
00001@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0300oooo00@000000?oo
o`3oool00000=P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo04l0oooo0@3I
fMT005@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0`0?ooo`040000003o
ool0oooo000003H0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`1?0?ooo`40
fMWI001E0?ooo`030000003oool000000080oooo00<000000?ooo`3oool0<03oool010000000oooo
0?ooo`00000g0?ooo`030000003oool000000080oooo00<000000?ooo`3oool0C`3oool10=WIf@00
DP3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool0<03oool01000
0000oooo0?ooo`00000d0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
0?ooo`1?0?ooo`40fMWI001C0?ooo`8000000`3oool2000003@0oooo0P00000f0?ooo`8000000`3o
ool200000580oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00
oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI0000\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-48.8558, -1.78741, 0.340458, \
0.0124558}, {{17.1875, 143.5}, {116.688, 23.0625}} -> {-36.361, -9.21224, \
0.452568, 0.0424283}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  ContourGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[53]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(graph3 = 
      Block[{xg = \(-8\), pg = 6, l = 5, h = 1.8, P = 0, sp = 1, sx = 1, 
          t = 5, m = 1}, 
        ContourPlot[\((gs1t + gs2t + gs3t)\), {x, 
            xg - l - pg\ t/m, \(-xg\) + l + pg\ t/m}, {p, \(-pg\) - 3\ sp, 
            pg + 3\ sp}, PlotPoints -> 600, PlotRange -> All, 
          ContourShading -> True, ContourLines -> False, Contours -> 200, 
          Background -> White, 
          FrameTicks -> {{\(-xg\) - pg\ t/m, 0, xg + pg\ t/m}, {\(-pg\), 0, 
                pg}}, ColorFunction -> \((linmapexpwhite[#] &)\), 
          Epilog -> {Text["\<t=5\>", {0, \(-6\)}, {0, 0}, 
                TextStyle \[Rule] m10], 
              Rectangle[{xg - l - 2  sx - pg\ t/m, 2  sp}, {0, 
                  pg + \ 3  sp}, \[IndentingNewLine]ContourPlot[\((gs1 + 
                      gs2 + gs3)\), {x, 
                    xg - l - 3  sx, \(-xg\) + l + 3\ sx}, {p, \(-pg\) - 
                      3\ sp, pg + 3\ sp}, ContourShading -> True, 
                  ContourLines -> False, 
                  ColorFunction -> \((expcolormapwhite1[#] &)\), 
                  FrameTicks -> {{\(-xg\), 0, xg}, {\(-pg\), 0, pg}}, \ 
                  TextStyle -> {FontFamily -> Courier, FontSize -> 10}, 
                  PlotPoints -> 100, PlotRange -> All, \ 
                  DisplayFunction -> Identity, Contours -> 200, 
                  Epilog -> 
                    Text["\<t=0\>", {\(-8\), \(-6\)}, {0, 0}, 
                      TextStyle \[Rule] tx8]]]}]]\)], "Input",
  CellLabel->"In[38]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.5 0.0111807 0.5 0.0534188 [
[.25403 -0.0125 -9 -9 ]
[.25403 -0.0125 9 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.74597 -0.0125 -6 -9 ]
[.74597 -0.0125 6 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .17949 -12 -4.5 ]
[-0.0125 .17949 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .82051 -6 -4.5 ]
[-0.0125 .82051 0 4.5 ]
[ 0 0 -0.125 0 ]
[.25403 1.0125 -9 0 ]
[.25403 1.0125 9 9 ]
[.5 1.0125 -3 0 ]
[.5 1.0125 3 9 ]
[.74597 1.0125 -6 0 ]
[.74597 1.0125 6 9 ]
[ 0 1 .125 0 ]
[1.0125 .17949 0 -4.5 ]
[1.0125 .17949 12 4.5 ]
[1.0125 .5 0 -4.5 ]
[1.0125 .5 6 4.5 ]
[1.0125 .82051 0 -4.5 ]
[1.0125 .82051 6 4.5 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.25403 0 m
.25403 .00625 L
s
[(-22)] .25403 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.74597 0 m
.74597 .00625 L
s
[(22)] .74597 -0.0125 0 1 Mshowa
0 0 m
1 0 L
s
0 .17949 m
.00625 .17949 L
s
[(-6)] -0.0125 .17949 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .82051 m
.00625 .82051 L
s
[(6)] -0.0125 .82051 1 0 Mshowa
0 0 m
0 1 L
s
.25403 .99375 m
.25403 1 L
s
[(-22)] .25403 1.0125 0 -1 Mshowa
.5 .99375 m
.5 1 L
s
[(0)] .5 1.0125 0 -1 Mshowa
.74597 .99375 m
.74597 1 L
s
[(22)] .74597 1.0125 0 -1 Mshowa
0 1 m
1 1 L
s
.99375 .17949 m
1 .17949 L
s
[(-6)] 1.0125 .17949 -1 0 Mshowa
.99375 .5 m
1 .5 L
s
[(0)] 1.0125 .5 -1 0 Mshowa
.99375 .82051 m
1 .82051 L
s
[(6)] 1.0125 .82051 -1 0 Mshowa
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 .99 .733 r
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
1 .98 .538 r
.05936 .04918 m
.06097 .04871 L
.06257 .04883 L
.06418 .04922 L
.06575 .04973 L
.06578 .04975 L
.06739 .05039 L
.06899 .05112 L
.06946 .05134 L
.0706 .0519 L
.0722 .05274 L
.07259 .05294 L
.07381 .05362 L
.07541 .05453 L
.07544 .05455 L
.07702 .05548 L
.07814 .05615 L
.07862 .05645 L
.08023 .05745 L
.08072 .05776 L
.08184 .05847 L
.08322 .05936 L
.08344 .05951 L
.08505 .06056 L
.08565 .06097 L
.08665 .06164 L
.08803 .06257 L
.08826 .06273 L
.08986 .06383 L
.09036 .06418 L
.09147 .06495 L
.09266 .06578 L
.09307 .06608 L
.09468 .06722 L
.09492 .06739 L
.09628 .06837 L
.09715 .06899 L
.09789 .06953 L
.09937 .0706 L
.09949 .07069 L
.1011 .07187 L
.10155 .0722 L
.1027 .07306 L
.10372 .07381 L
.10431 .07425 L
.10587 .07541 L
.10591 .07544 L
.10752 .07666 L
.108 .07702 L
.10912 .07787 L
.11012 .07862 L
.11073 .07909 L
.11222 .08023 L
.11233 .08032 L
.11394 .08157 L
.11429 .08184 L
.11555 .08282 L
.11635 .08344 L
.11715 .08408 L
.11838 .08505 L
.11876 .08534 L
.12036 .08662 L
.1204 .08665 L
.12197 .08793 L
.12238 .08826 L
.12357 .08924 L
.12434 .08986 L
.12518 .09056 L
.12628 .09147 L
.12678 .0919 L
.12819 .09307 L
.12839 .09324 L
.12999 .09461 L
.13008 .09468 L
.1316 .09599 L
.13195 .09628 L
.1332 .09738 L
.1338 .09789 L
.13481 .09877 L
.13564 .09949 L
.13641 .10017 L
.13748 .1011 L
.13802 .10157 L
.13931 .1027 L
.13962 .10298 L
.14114 .10431 L
.14123 .10439 L
.14283 .10579 L
.14298 .10591 L
.14444 .10719 L
.14482 .10752 L
.14604 .10859 L
.14667 .10912 L
.14765 .10997 L
.14853 .11073 L
.14926 .11135 L
.15041 .11233 L
.15086 .11271 L
.15231 .11394 L
.15247 .11407 L
.15407 .1154 L
.15424 .11555 L
.15568 .11672 L
.15621 .11715 L
.15728 .11802 L
.15821 .11876 L
.15889 .11929 L
.16027 .12036 L
.16049 .12053 L
.1621 .12174 L
.1624 .12197 L
.1637 .1229 L
.16466 .12357 L
.16531 .124 L
.16691 .12501 L
.16711 .12518 L
.16852 .12588 L
.17012 .12652 L
.17173 .12664 L
.17333 .12586 L
.17448 .12518 L
.17494 .12485 L
.17654 .12412 L
.17815 .12374 L
.1793 .12357 L
.17975 .1235 L
.18136 .12329 L
.18297 .12314 L
.18457 .12304 L
.18618 .12297 L
.18778 .12291 L
.18939 .12287 L
.19099 .12285 L
.1926 .12283 L
.1942 .12283 L
.19581 .12283 L
.19741 .12284 L
.19902 .12286 L
.20062 .1229 L
.20223 .12294 L
.20383 .123 L
.20544 .12307 L
.20704 .12317 L
.20865 .12329 L
.21025 .12343 L
.21172 .12357 L
.21186 .12359 L
.21346 .12382 L
.21507 .12411 L
.21668 .12445 L
.21828 .12482 L
.21989 .12516 L
.21994 .12518 L
.22149 .12565 L
.2231 .12623 L
.2247 .12645 L
.22631 .12668 L
.22727 .12518 L
.22635 .12357 L
.22631 .12347 L
.22526 .12197 L
.2247 .12112 L
.22403 .12036 L
.2231 .11916 L
.22273 .11876 L
.22149 .11728 L
.22137 .11715 L
.21998 .11555 L
.21989 .11544 L
.21854 .11394 L
.21828 .11365 L
.21709 .11233 L
.21668 .11188 L
.21561 .11073 L
.21507 .11015 L
.21411 .10912 L
.21346 .10843 L
.2126 .10752 L
.21186 .10673 L
.21108 .10591 L
.21025 .10504 L
.20956 .10431 L
.20865 .10335 L
.20803 .1027 L
.20704 .10167 L
.2065 .1011 L
.20544 .09998 L
.20497 .09949 L
.20383 .09829 L
.20346 .09789 L
.20223 .09658 L
.20195 .09628 L
.20062 .09485 L
.20046 .09468 L
.19902 .0931 L
.19899 .09307 L
.19754 .09147 L
.19741 .09132 L
.19612 .08986 L
.19581 .08951 L
.19472 .08826 L
.1942 .08766 L
.19335 .08665 L
.1926 .08576 L
.192 .08505 L
.19099 .08383 L
.19067 .08344 L
.18939 .08186 L
.18937 .08184 L
.18809 .08023 L
.18778 .07984 L
.18683 .07862 L
.18618 .07779 L
.18558 .07702 L
.18457 .0757 L
.18435 .07541 L
.18314 .07381 L
.18297 .07358 L
.18195 .0722 L
.18136 .0714 L
.18078 .0706 L
.17975 .06917 L
.17963 .06899 L
.1785 .06739 L
.17815 .06688 L
.17741 .06578 L
.17654 .06449 L
.17634 .06418 L
.17532 .06257 L
.17494 .06197 L
.17433 .06097 L
.17341 .05936 L
.17333 .05924 L
.17254 .05776 L
.17177 .05615 L
.17173 .0561 L
.1711 .05455 L
.1706 .05294 L
.17036 .05134 L
.17066 .04973 L
.17173 .04888 L
.17333 .04871 L
.17494 .04895 L
.17654 .04939 L
.17761 .04973 L
.17815 .04997 L
.17975 .05064 L
.18126 .05134 L
.18136 .05138 L
.18297 .05219 L
.18439 .05294 L
.18457 .05304 L
.18618 .05393 L
.18726 .05455 L
.18778 .05485 L
.18939 .05581 L
.18995 .05615 L
.19099 .05679 L
.19253 .05776 L
.1926 .0578 L
.1942 .05883 L
.19503 .05936 L
.19581 .05987 L
.19741 .06094 L
.19746 .06097 L
.19902 .06202 L
.19983 .06257 L
.20062 .06311 L
.20216 .06418 L
.20223 .06422 L
.20383 .06535 L
.20445 .06578 L
.20544 .06648 L
.20671 .06739 L
.20704 .06763 L
.20865 .06879 L
.20893 .06899 L
.21025 .06996 L
.21113 .0706 L
.21186 .07114 L
.2133 .0722 L
.21346 .07232 L
.21507 .07352 L
.21545 .07381 L
.21668 .07473 L
.21758 .07541 L
.21828 .07594 L
.2197 .07702 L
.21989 .07716 L
.22149 .07839 L
.22179 .07862 L
.2231 .07963 L
.22387 .08023 L
.2247 .08088 L
.22594 .08184 L
.22631 .08213 L
.22791 .08338 L
.22799 .08344 L
.22952 .08465 L
.23002 .08505 L
.23112 .08592 L
.23205 .08665 L
.23273 .08719 L
.23406 .08826 L
.23433 .08847 L
.23594 .08976 L
.23606 .08986 L
.23754 .09106 L
.23805 .09147 L
.23915 .09236 L
.24003 .09307 L
.24075 .09366 L
.242 .09468 L
.24236 .09497 L
.24396 .09628 L
.24397 .09628 L
.24557 .0976 L
.24592 .09789 L
.24717 .09893 L
.24786 .09949 L
.24878 .10026 L
.2498 .1011 L
.25039 .10159 L
.25173 .1027 L
.25199 .10293 L
.2536 .10427 L
.25365 .10431 L
.2552 .10562 L
.25556 .10591 L
.25681 .10697 L
.25746 .10752 L
.25841 .10833 L
.25936 .10912 L
.26002 .10969 L
.26125 .11073 L
.26162 .11105 L
.26314 .11233 L
.26323 .11241 L
.26483 .11379 L
.26501 .11394 L
.26644 .11517 L
.26688 .11555 L
.26804 .11655 L
.26875 .11715 L
.26965 .11793 L
.27061 .11876 L
.27125 .11932 L
.27246 .12036 L
.27286 .12071 L
.27431 .12197 L
.27446 .1221 L
.27607 .1235 L
.27615 .12357 L
.27767 .12491 L
.27799 .12518 L
.27928 .12632 L
.27981 .12678 L
.28088 .12773 L
.28164 .12839 L
.28249 .12914 L
.28346 .12999 L
.2841 .13056 L
.28528 .1316 L
.2857 .13198 L
.28709 .1332 L
.28731 .1334 L
.28889 .13481 L
.28891 .13482 L
.29052 .13626 L
.29069 .13641 L
.29212 .1377 L
.29248 .13802 L
.29373 .13914 L
.29427 .13962 L
.29533 .14058 L
.29606 .14123 L
.29694 .14203 L
.29784 .14283 L
.29854 .14347 L
.29961 .14444 L
.30015 .14493 L
.30139 .14604 L
.30175 .14638 L
.30315 .14765 L
.30336 .14784 L
.30492 .14926 L
.30496 .1493 L
.30657 .15076 L
.30667 .15086 L
.30817 .15224 L
.30842 .15247 L
.30978 .15371 L
.31017 .15407 L
.31138 .15519 L
.31191 .15568 L
.31299 .15667 L
.31365 .15728 L
.31459 .15815 L
.31539 .15889 L
.3162 .15964 L
.31712 .16049 L
.31781 .16113 L
.31885 .1621 L
.31941 .16262 L
.32057 .1637 L
.32102 .16412 L
.32229 .16531 L
.32262 .16561 L
.32401 .16691 L
.32423 .16712 L
.32572 .16852 L
.32583 .16862 L
.32743 .17012 L
.32744 .17013 L
.32904 .17165 L
.32913 .17173 L
.33065 .17317 L
.33082 .17333 L
.33225 .17469 L
.33252 .17494 L
.33386 .17621 L
.33421 .17654 L
.33546 .17774 L
.33589 .17815 L
.33707 .17928 L
.33757 .17975 L
.33867 .18081 L
.33925 .18136 L
.34028 .18235 L
.34092 .18297 L
.34188 .18389 L
.34259 .18457 L
.34349 .18544 L
.34425 .18618 L
.34509 .18699 L
.34591 .18778 L
.3467 .18854 L
.34757 .18939 L
.3483 .1901 L
.34922 .19099 L
.34991 .19166 L
.35087 .1926 L
.35152 .19322 L
.35252 .1942 L
.35312 .19479 L
.35416 .19581 L
.35473 .19637 L
.35579 .19741 L
.35633 .19794 L
.35742 .19902 L
.35794 .19952 L
.35905 .20062 L
.35954 .20111 L
.36067 .20223 L
.36115 .2027 L
.36229 .20383 L
.36275 .20429 L
.36391 .20544 L
.36436 .20589 L
.36552 .20704 L
.36596 .20749 L
.36712 .20865 L
.36757 .2091 L
.36872 .21025 L
.36917 .21071 L
.37032 .21186 L
.37078 .21232 L
.37191 .21346 L
.37238 .21394 L
.3735 .21507 L
.37399 .21557 L
.37508 .21668 L
.37559 .2172 L
.37666 .21828 L
.3772 .21883 L
.37823 .21989 L
.3788 .22047 L
.3798 .22149 L
.38041 .22212 L
.38136 .2231 L
.38201 .22377 L
.38292 .2247 L
.38362 .22542 L
.38447 .22631 L
.38523 .22708 L
.38602 .22791 L
.38683 .22875 L
.38757 .22952 L
.38844 .23042 L
.3891 .23112 L
.39004 .2321 L
.39064 .23273 L
.39165 .23379 L
.39217 .23433 L
.39325 .23548 L
.39369 .23594 L
.39486 .23717 L
.39521 .23754 L
.39646 .23888 L
.39672 .23915 L
.39807 .24059 L
.39822 .24075 L
.39967 .24231 L
.39972 .24236 L
.40121 .24396 L
.40128 .24403 L
.4027 .24557 L
.40288 .24577 L
.40418 .24717 L
.40449 .24751 L
.40565 .24878 L
.40609 .24926 L
.40712 .25039 L
.4077 .25102 L
.40858 .25199 L
.4093 .25279 L
.41003 .2536 L
.41091 .25457 L
.41148 .2552 L
.41251 .25636 L
.41291 .25681 L
.41412 .25816 L
.41434 .25841 L
.41572 .25997 L
.41577 .26002 L
.41718 .26162 L
.41733 .26179 L
.41858 .26323 L
.41894 .26363 L
.41998 .26483 L
.42054 .26548 L
.42136 .26644 L
.42215 .26735 L
.42274 .26804 L
.42375 .26923 L
.4241 .26965 L
.42536 .27113 L
.42546 .27125 L
.4268 .27286 L
.42696 .27305 L
.42813 .27446 L
.42857 .27499 L
.42945 .27607 L
.43017 .27695 L
.43076 .27767 L
.43178 .27894 L
.43205 .27928 L
.43332 .28088 L
.43338 .28096 L
.43458 .28249 L
.43499 .28301 L
.43582 .2841 L
.43659 .2851 L
.43705 .2857 L
.4382 .28724 L
.43825 .28731 L
.43943 .28891 L
.4398 .28943 L
.44058 .29052 L
.44141 .29169 L
.44171 .29212 L
.4428 .29373 L
.44301 .29405 L
.44386 .29533 L
.44462 .29653 L
.44487 .29694 L
.44584 .29854 L
.44622 .29919 L
.44675 .30015 L
.44759 .30175 L
.44783 .30221 L
.44833 .30336 L
.44895 .30496 L
.44937 .30657 L
.44943 .30698 L
.44946 .30817 L
.44943 .30835 L
.4486 .30978 L
.44783 .31015 L
.44622 .31023 L
.44462 .30996 L
.4437 .30978 L
.44301 .30949 L
.44141 .30889 L
.4398 .3082 L
.43974 .30817 L
.4382 .30745 L
.43659 .30663 L
.43647 .30657 L
.43499 .30577 L
.43353 .30496 L
.43338 .30488 L
.43178 .30394 L
.43079 .30336 L
.43017 .30298 L
.42857 .302 L
.42818 .30175 L
.42696 .30099 L
.42565 .30015 L
.42536 .29995 L
.42375 .2989 L
.42321 .29854 L
.42215 .29783 L
.42082 .29694 L
.42054 .29675 L
.41894 .29564 L
.41848 .29533 L
.41733 .29453 L
.41619 .29373 L
.41572 .2934 L
.41412 .29226 L
.41393 .29212 L
.41251 .2911 L
.4117 .29052 L
.41091 .28994 L
.40951 .28891 L
.4093 .28876 L
.4077 .28757 L
.40734 .28731 L
.40609 .28638 L
.40519 .2857 L
.40449 .28517 L
.40306 .2841 L
.40288 .28396 L
.40128 .28274 L
.40094 .28249 L
.39967 .28152 L
.39884 .28088 L
.39807 .28029 L
.39676 .27928 L
.39646 .27905 L
.39486 .27781 L
.39468 .27767 L
.39325 .27657 L
.3926 .27607 L
.39165 .27533 L
.39053 .27446 L
.39004 .27408 L
.38847 .27286 L
.38844 .27284 L
.38683 .27159 L
.3864 .27125 L
.38523 .27034 L
.38433 .26965 L
.38362 .2691 L
.38225 .26804 L
.38201 .26786 L
.38041 .26662 L
.38017 .26644 L
.3788 .26539 L
.37809 .26483 L
.3772 .26416 L
.37599 .26323 L
.37559 .26293 L
.37399 .26171 L
.37389 .26162 L
.37238 .26047 L
.37182 .26002 L
.37078 .25924 L
.3697 .25841 L
.36917 .25802 L
.36757 .25681 L
.36757 .25681 L
.36596 .25535 L
.36553 .2552 L
.36436 .25426 L
.36382 .2536 L
.36275 .25291 L
.36182 .25199 L
.36115 .25128 L
.35999 .25039 L
.35954 .24987 L
.35829 .24878 L
.35794 .24836 L
.35665 .24717 L
.35633 .2468 L
.35505 .24557 L
.35473 .24519 L
.35347 .24396 L
.35312 .24358 L
.35188 .24236 L
.35152 .24196 L
.35029 .24075 L
.34991 .24035 L
.34869 .23915 L
.3483 .23876 L
.34707 .23754 L
.3467 .23717 L
.34543 .23594 L
.34509 .2356 L
.34378 .23433 L
.34349 .23405 L
.34211 .23273 L
.34188 .23251 L
.34041 .23112 L
.34028 .231 L
.33869 .22952 L
.33867 .2295 L
.33707 .22802 L
.33695 .22791 L
.33546 .22656 L
.33518 .22631 L
.33386 .22513 L
.33338 .2247 L
.33225 .22371 L
.33154 .2231 L
.33065 .22232 L
.32967 .22149 L
.32904 .22096 L
.32776 .21989 L
.32744 .21962 L
.32583 .21832 L
.32578 .21828 L
.32423 .21705 L
.32374 .21668 L
.32262 .21583 L
.32159 .21507 L
.32102 .21466 L
.31941 .21356 L
.31926 .21346 L
.31781 .21256 L
.31654 .21186 L
.3162 .2117 L
.31459 .21105 L
.31299 .21075 L
.31138 .2109 L
.30978 .21134 L
.30817 .21171 L
.30708 .21186 L
.30657 .21196 L
.30496 .21219 L
.30336 .21235 L
.30175 .21247 L
.30015 .21255 L
.29854 .21261 L
.29694 .21266 L
.29533 .21269 L
.29373 .21271 L
.29212 .21273 L
.29052 .21273 L
.28891 .21274 L
.28731 .21273 L
.2857 .21272 L
.2841 .2127 L
.28249 .21268 L
.28088 .21264 L
.27928 .2126 L
.27767 .21254 L
.27607 .21246 L
.27446 .21237 L
.27286 .21225 L
.27125 .21211 L
.26965 .21195 L
.26872 .21186 L
.26804 .21176 L
.26644 .2115 L
.26483 .2112 L
.26323 .21083 L
.26162 .2108 L
.26002 .21083 L
.25925 .21186 L
.2599 .21346 L
.26002 .21366 L
.26094 .21507 L
.26162 .21615 L
.26215 .21668 L
.26323 .21803 L
.26346 .21828 L
.26483 .21987 L
.26485 .21989 L
.26629 .22149 L
.26644 .22165 L
.26778 .2231 L
.26804 .22338 L
.26931 .2247 L
.26965 .22506 L
.27087 .22631 L
.27125 .2267 L
.27246 .22791 L
.27286 .22831 L
.27407 .22952 L
.27446 .2299 L
.27571 .23112 L
.27607 .23147 L
.27738 .23273 L
.27767 .23301 L
.27906 .23433 L
.27928 .23454 L
.28077 .23594 L
.28088 .23605 L
.28249 .23754 L
.28249 .23754 L
.2841 .23902 L
.28424 .23915 L
.2857 .24049 L
.28599 .24075 L
.28731 .24194 L
.28776 .24236 L
.28891 .2434 L
.28953 .24396 L
.29052 .24484 L
.2913 .24557 L
.29212 .2463 L
.29305 .24717 L
.29373 .24776 L
.29478 .24878 L
.29533 .24926 L
.29644 .25039 L
.29694 .25081 L
.29801 .25199 L
.29854 .25247 L
.29946 .2536 L
.30015 .25427 L
.3008 .2552 L
.30175 .25627 L
.30211 .25681 L
.30336 .25812 L
.30348 .25841 L
.30483 .26002 L
.30496 .26019 L
.30607 .26162 L
.30657 .26229 L
.30732 .26323 L
.30817 .26434 L
.30859 .26483 L
.30978 .26634 L
.30987 .26644 L
.31114 .26804 L
.31138 .26835 L
.31242 .26965 L
.31299 .27036 L
.31371 .27125 L
.31459 .27235 L
.315 .27286 L
.3162 .27435 L
.3163 .27446 L
.31758 .27607 L
.31781 .27635 L
.31887 .27767 L
.31941 .27835 L
.32015 .27928 L
.32102 .28038 L
.32142 .28088 L
.32262 .28242 L
.32267 .28249 L
.32392 .2841 L
.32423 .2845 L
.32514 .2857 L
.32583 .28661 L
.32635 .28731 L
.32744 .28878 L
.32753 .28891 L
.32869 .29052 L
.32904 .29101 L
.32982 .29212 L
.33065 .29333 L
.33092 .29373 L
.33198 .29533 L
.33225 .29576 L
.333 .29694 L
.33386 .29835 L
.33397 .29854 L
.33489 .30015 L
.33546 .30119 L
.33575 .30175 L
.33652 .30336 L
.33707 .30459 L
.33719 .30496 L
.33769 .30657 L
.33787 .30817 L
.33707 .30969 L
.33693 .30978 L
.33546 .31018 L
.33386 .31011 L
.33225 .30978 L
.33224 .30978 L
.33065 .30929 L
.32904 .30867 L
.32788 .30817 L
.32744 .30796 L
.32583 .30718 L
.32464 .30657 L
.32423 .30635 L
.32262 .30547 L
.32172 .30496 L
.32102 .30455 L
.31941 .30361 L
.319 .30336 L
.31781 .30263 L
.31638 .30175 L
.3162 .30164 L
.31459 .30062 L
.31385 .30015 L
.31299 .29959 L
.3114 .29854 L
.31138 .29853 L
.30978 .29746 L
.309 .29694 L
.30817 .29638 L
.30665 .29533 L
.30657 .29527 L
.30496 .29416 L
.30435 .29373 L
.30336 .29302 L
.30209 .29212 L
.30175 .29188 L
.30015 .29073 L
.29986 .29052 L
.29854 .28956 L
.29765 .28891 L
.29694 .28839 L
.29547 .28731 L
.29533 .2872 L
.29373 .28601 L
.29331 .2857 L
.29212 .28481 L
.29117 .2841 L
.29052 .2836 L
.28905 .28249 L
.28891 .28238 L
.28731 .28115 L
.28695 .28088 L
.2857 .27992 L
.28487 .27928 L
.2841 .27868 L
.2828 .27767 L
.28249 .27743 L
.28088 .27617 L
.28075 .27607 L
.27928 .27491 L
.27871 .27446 L
.27767 .27364 L
.27668 .27286 L
.27607 .27237 L
.27466 .27125 L
.27446 .2711 L
.27286 .26981 L
.27265 .26965 L
.27125 .26852 L
.27066 .26804 L
.26965 .26722 L
.26868 .26644 L
.26804 .26592 L
.2667 .26483 L
.26644 .26462 L
.26483 .26331 L
.26474 .26323 L
.26323 .26199 L
.26278 .26162 L
.26162 .26066 L
.26084 .26002 L
.26002 .25934 L
.2589 .25841 L
.25841 .25801 L
.25697 .25681 L
.25681 .25667 L
.2552 .25533 L
.25504 .2552 L
.2536 .25398 L
.25313 .2536 L
.25199 .25263 L
.25122 .25199 L
.25039 .25128 L
.24932 .25039 L
.24878 .24992 L
.24743 .24878 L
.24717 .24856 L
.24557 .2472 L
.24554 .24717 L
.24396 .24582 L
.24366 .24557 L
.24236 .24445 L
.24179 .24396 L
.24075 .24307 L
.23992 .24236 L
.23915 .24169 L
.23806 .24075 L
.23754 .2403 L
.23621 .23915 L
.23594 .23892 L
.23435 .23754 L
.23433 .23752 L
.23273 .23612 L
.23251 .23594 L
.23112 .23472 L
.23068 .23433 L
.22952 .23331 L
.22885 .23273 L
.22791 .2319 L
.22702 .23112 L
.22631 .23049 L
.2252 .22952 L
.2247 .22908 L
.22338 .22791 L
.2231 .22766 L
.22156 .22631 L
.22149 .22624 L
.21989 .22481 L
.21976 .2247 L
.21828 .22338 L
.21796 .2231 L
.21668 .22194 L
.21617 .22149 L
.21507 .22051 L
.21438 .21989 L
.21346 .21907 L
.21259 .21828 L
.21186 .21762 L
.21081 .21668 L
.21025 .21618 L
.20903 .21507 L
.20865 .21473 L
.20725 .21346 L
.20704 .21327 L
.20548 .21186 L
.20544 .21182 L
.20383 .21036 L
.20372 .21025 L
.20223 .20889 L
.20196 .20865 L
.20062 .20742 L
.20021 .20704 L
.19902 .20595 L
.19846 .20544 L
.19741 .20447 L
.19672 .20383 L
.19581 .20299 L
.19497 .20223 L
.1942 .20151 L
.19324 .20062 L
.1926 .20003 L
.1915 .19902 L
.19099 .19854 L
.18977 .19741 L
.18939 .19705 L
.18805 .19581 L
.18778 .19556 L
.18633 .1942 L
.18618 .19406 L
.18461 .1926 L
.18457 .19256 L
.18297 .19105 L
.1829 .19099 L
.18136 .18954 L
.18119 .18939 L
.17975 .18803 L
.17949 .18778 L
.17815 .18651 L
.17779 .18618 L
.17654 .18499 L
.1761 .18457 L
.17494 .18347 L
.17441 .18297 L
.17333 .18194 L
.17272 .18136 L
.17173 .18041 L
.17104 .17975 L
.17012 .17888 L
.16936 .17815 L
.16852 .17734 L
.16769 .17654 L
.16691 .1758 L
.16602 .17494 L
.16531 .17426 L
.16435 .17333 L
.1637 .17271 L
.16269 .17173 L
.1621 .17116 L
.16103 .17012 L
.16049 .1696 L
.15937 .16852 L
.15889 .16804 L
.15773 .16691 L
.15728 .16648 L
.15608 .16531 L
.15568 .16491 L
.15444 .1637 L
.15407 .16334 L
.1528 .1621 L
.15247 .16177 L
.15117 .16049 L
.15086 .16019 L
.14954 .15889 L
.14926 .15861 L
.14791 .15728 L
.14765 .15702 L
.14629 .15568 L
.14604 .15543 L
.14468 .15407 L
.14444 .15383 L
.14307 .15247 L
.14283 .15223 L
.14146 .15086 L
.14123 .15063 L
.13986 .14926 L
.13962 .14902 L
.13826 .14765 L
.13802 .14741 L
.13667 .14604 L
.13641 .14579 L
.13508 .14444 L
.13481 .14417 L
.13349 .14283 L
.1332 .14254 L
.13192 .14123 L
.1316 .14091 L
.13034 .13962 L
.12999 .13927 L
.12877 .13802 L
.12839 .13763 L
.12721 .13641 L
.12678 .13598 L
.12565 .13481 L
.12518 .13432 L
.12409 .1332 L
.12357 .13267 L
.12254 .1316 L
.12197 .131 L
.121 .12999 L
.12036 .12933 L
.11946 .12839 L
.11876 .12766 L
.11792 .12678 L
.11715 .12597 L
.11639 .12518 L
.11555 .12429 L
.11487 .12357 L
.11394 .12259 L
.11335 .12197 L
.11233 .12089 L
.11184 .12036 L
.11073 .11918 L
.11033 .11876 L
.10912 .11747 L
.10883 .11715 L
.10752 .11575 L
.10733 .11555 L
.10591 .11402 L
.10584 .11394 L
.10436 .11233 L
.10431 .11228 L
.10289 .11073 L
.1027 .11053 L
.10142 .10912 L
.1011 .10877 L
.09996 .10752 L
.09949 .10701 L
.0985 .10591 L
.09789 .10523 L
.09706 .10431 L
.09628 .10345 L
.09562 .1027 L
.09468 .10165 L
.09418 .1011 L
.09307 .09985 L
.09276 .09949 L
.09147 .09803 L
.09134 .09789 L
.08993 .09628 L
.08986 .0962 L
.08854 .09468 L
.08826 .09436 L
.08715 .09307 L
.08665 .0925 L
.08577 .09147 L
.08505 .09062 L
.0844 .08986 L
.08344 .08873 L
.08304 .08826 L
.08184 .08682 L
.08169 .08665 L
.08036 .08505 L
.08023 .08489 L
.07904 .08344 L
.07862 .08294 L
.07773 .08184 L
.07702 .08096 L
.07643 .08023 L
.07541 .07896 L
.07515 .07862 L
.07388 .07702 L
.07381 .07692 L
.07264 .07541 L
.0722 .07485 L
.07141 .07381 L
.0706 .07274 L
.0702 .0722 L
.06901 .0706 L
.06899 .07057 L
.06785 .06899 L
.06739 .06834 L
.06672 .06739 L
.06578 .06604 L
.06561 .06578 L
.06454 .06418 L
.06418 .06362 L
.06351 .06257 L
.06257 .06105 L
.06253 .06097 L
.0616 .05936 L
.06097 .05822 L
.06073 .05776 L
.05995 .05615 L
.05936 .05476 L
.05929 .05455 L
.05879 .05294 L
.05855 .05134 L
.0589 .04973 L
F
1 .97 .395 r
.07702 .06519 m
.07862 .06501 L
.08023 .06528 L
.08184 .06576 L
.0819 .06578 L
.08344 .06638 L
.08505 .06709 L
.08568 .06739 L
.08665 .06788 L
.08826 .06872 L
.08875 .06899 L
.08986 .06961 L
.09147 .07054 L
.09156 .0706 L
.09307 .07151 L
.09421 .0722 L
.09468 .0725 L
.09628 .07351 L
.09674 .07381 L
.09789 .07455 L
.09919 .07541 L
.09949 .07561 L
.1011 .07669 L
.10158 .07702 L
.1027 .07779 L
.10391 .07862 L
.10431 .0789 L
.10591 .08003 L
.1062 .08023 L
.10752 .08117 L
.10845 .08184 L
.10912 .08232 L
.11066 .08344 L
.11073 .08349 L
.11233 .08467 L
.11285 .08505 L
.11394 .08586 L
.115 .08665 L
.11555 .08706 L
.11713 .08826 L
.11715 .08827 L
.11876 .08949 L
.11924 .08986 L
.12036 .09072 L
.12133 .09147 L
.12197 .09196 L
.12339 .09307 L
.12357 .09321 L
.12518 .09447 L
.12544 .09468 L
.12678 .09574 L
.12746 .09628 L
.12839 .09702 L
.12947 .09789 L
.12999 .09831 L
.13147 .09949 L
.1316 .0996 L
.1332 .1009 L
.13344 .1011 L
.13481 .10221 L
.13541 .1027 L
.13641 .10353 L
.13736 .10431 L
.13802 .10485 L
.13931 .10591 L
.13962 .10618 L
.14123 .10751 L
.14124 .10752 L
.14283 .10884 L
.14317 .10912 L
.14444 .11018 L
.1451 .11073 L
.14604 .11152 L
.14702 .11233 L
.14765 .11286 L
.14895 .11394 L
.14926 .1142 L
.15086 .11554 L
.15087 .11555 L
.15247 .11687 L
.1528 .11715 L
.15407 .11821 L
.15473 .11876 L
.15568 .11954 L
.15667 .12036 L
.15728 .12087 L
.15862 .12197 L
.15889 .12219 L
.16049 .1235 L
.16057 .12357 L
.1621 .12481 L
.16254 .12518 L
.1637 .12612 L
.16451 .12678 L
.16531 .12742 L
.1665 .12839 L
.16691 .12871 L
.16851 .12999 L
.16852 .13 L
.17012 .13128 L
.17048 .1316 L
.17173 .13257 L
.17248 .1332 L
.17333 .13385 L
.17452 .13481 L
.17494 .13512 L
.17654 .1364 L
.17657 .13641 L
.17815 .1377 L
.17853 .13802 L
.17975 .13905 L
.18042 .13962 L
.18136 .14045 L
.18221 .14123 L
.18297 .14194 L
.18366 .14283 L
.18457 .1435 L
.18537 .14444 L
.18618 .14514 L
.18698 .14604 L
.18778 .14681 L
.18853 .14765 L
.18939 .14874 L
.19007 .14926 L
.19099 .15035 L
.1916 .15086 L
.1926 .15198 L
.19314 .15247 L
.1942 .15362 L
.19469 .15407 L
.19581 .15525 L
.19625 .15568 L
.19741 .15688 L
.19782 .15728 L
.19902 .1585 L
.19942 .15889 L
.20062 .1601 L
.20103 .16049 L
.20223 .16168 L
.20266 .1621 L
.20383 .16325 L
.2043 .1637 L
.20544 .1648 L
.20597 .16531 L
.20704 .16634 L
.20765 .16691 L
.20865 .16786 L
.20935 .16852 L
.21025 .16936 L
.21108 .17012 L
.21186 .17085 L
.21282 .17173 L
.21346 .17232 L
.21458 .17333 L
.21507 .17377 L
.21637 .17494 L
.21668 .17521 L
.21818 .17654 L
.21828 .17663 L
.21989 .17803 L
.22002 .17815 L
.22149 .17941 L
.22189 .17975 L
.2231 .18077 L
.22379 .18136 L
.2247 .18211 L
.22573 .18297 L
.22631 .18343 L
.22773 .18457 L
.22791 .18471 L
.22952 .18596 L
.22976 .18618 L
.23112 .18716 L
.23182 .18778 L
.23273 .1883 L
.23433 .18932 L
.23445 .18939 L
.23594 .19001 L
.23717 .18939 L
.23754 .18798 L
.23761 .18778 L
.23853 .18618 L
.23915 .18559 L
.24075 .18475 L
.24126 .18457 L
.24236 .18424 L
.24396 .18393 L
.24557 .18373 L
.24717 .18359 L
.24878 .18349 L
.25039 .18342 L
.25199 .18338 L
.2536 .18334 L
.2552 .18332 L
.25681 .18331 L
.25841 .1833 L
.26002 .18331 L
.26162 .18333 L
.26323 .18336 L
.26483 .1834 L
.26644 .18346 L
.26804 .18354 L
.26965 .18364 L
.27125 .18376 L
.27286 .18392 L
.27446 .18412 L
.27607 .18435 L
.27743 .18457 L
.27767 .18462 L
.27928 .18498 L
.28088 .18541 L
.28249 .18588 L
.28353 .18618 L
.2841 .18637 L
.2857 .18702 L
.28731 .18769 L
.28756 .18778 L
.28891 .18834 L
.29052 .18893 L
.2916 .18939 L
.29212 .18959 L
.29373 .19007 L
.29432 .18939 L
.29373 .18823 L
.29344 .18778 L
.29226 .18618 L
.29212 .18592 L
.29097 .18457 L
.29052 .18392 L
.2896 .18297 L
.28891 .18211 L
.28818 .18136 L
.28731 .18035 L
.28672 .17975 L
.2857 .17863 L
.28523 .17815 L
.2841 .17694 L
.28371 .17654 L
.28249 .17527 L
.28216 .17494 L
.28088 .17363 L
.28059 .17333 L
.27928 .17201 L
.27899 .17173 L
.27767 .17042 L
.27738 .17012 L
.27607 .16884 L
.27574 .16852 L
.27446 .16728 L
.27408 .16691 L
.27286 .16574 L
.27241 .16531 L
.27125 .16421 L
.27071 .1637 L
.26965 .16271 L
.269 .1621 L
.26804 .16121 L
.26726 .16049 L
.26644 .15973 L
.26552 .15889 L
.26483 .15827 L
.26375 .15728 L
.26323 .15681 L
.26196 .15568 L
.26162 .15537 L
.26016 .15407 L
.26002 .15394 L
.25841 .15252 L
.25835 .15247 L
.25681 .15111 L
.25653 .15086 L
.2552 .14971 L
.2547 .14926 L
.2536 .14831 L
.25288 .14765 L
.25199 .14691 L
.25107 .14604 L
.25039 .1455 L
.24926 .14444 L
.24878 .14406 L
.2475 .14283 L
.24717 .14257 L
.24582 .14123 L
.24557 .14101 L
.24427 .13962 L
.24396 .13933 L
.24283 .13802 L
.24236 .13747 L
.24146 .13641 L
.24075 .13547 L
.24009 .13481 L
.23915 .13382 L
.23871 .1332 L
.23754 .1319 L
.23732 .1316 L
.23594 .12999 L
.23594 .12999 L
.23459 .12839 L
.23433 .12807 L
.23322 .12678 L
.23273 .12619 L
.23184 .12518 L
.23112 .12433 L
.23045 .12357 L
.22952 .1225 L
.22904 .12197 L
.22791 .12068 L
.22763 .12036 L
.22631 .11887 L
.22621 .11876 L
.22478 .11715 L
.2247 .11706 L
.22335 .11555 L
.2231 .11526 L
.22191 .11394 L
.22149 .11347 L
.22048 .11233 L
.21989 .11168 L
.21904 .11073 L
.21828 .10988 L
.21761 .10912 L
.21668 .10808 L
.21618 .10752 L
.21507 .10627 L
.21475 .10591 L
.21346 .10445 L
.21334 .10431 L
.21193 .1027 L
.21186 .10262 L
.21054 .1011 L
.21025 .10077 L
.20915 .09949 L
.20865 .0989 L
.20779 .09789 L
.20704 .09701 L
.20644 .09628 L
.20544 .09508 L
.2051 .09468 L
.20383 .09313 L
.20379 .09307 L
.20249 .09147 L
.20223 .09114 L
.20122 .08986 L
.20062 .0891 L
.19997 .08826 L
.19902 .08702 L
.19874 .08665 L
.19754 .08505 L
.19741 .08488 L
.19636 .08344 L
.19581 .08267 L
.19522 .08184 L
.1942 .08037 L
.1941 .08023 L
.19303 .07862 L
.1926 .07796 L
.192 .07702 L
.19103 .07541 L
.19099 .07535 L
.19012 .07381 L
.18939 .0724 L
.1893 .0722 L
.18858 .0706 L
.18803 .06899 L
.18778 .06766 L
.18776 .06739 L
.18778 .06686 L
.18817 .06578 L
.18939 .06504 L
.19099 .06507 L
.1926 .06543 L
.19395 .06578 L
.1942 .06596 L
.19581 .06662 L
.19741 .06736 L
.19747 .06739 L
.19902 .06817 L
.20056 .06899 L
.20062 .06903 L
.20223 .06993 L
.20337 .0706 L
.20383 .07088 L
.20544 .07185 L
.20601 .0722 L
.20704 .07285 L
.20854 .07381 L
.20865 .07388 L
.21025 .07493 L
.21099 .07541 L
.21186 .07599 L
.21337 .07702 L
.21346 .07708 L
.21507 .07819 L
.2157 .07862 L
.21668 .0793 L
.21799 .08023 L
.21828 .08044 L
.21989 .08158 L
.22024 .08184 L
.22149 .08274 L
.22245 .08344 L
.2231 .08392 L
.22463 .08505 L
.2247 .0851 L
.22631 .08629 L
.22679 .08665 L
.22791 .08749 L
.22892 .08826 L
.22952 .08871 L
.23104 .08986 L
.23112 .08993 L
.23273 .09116 L
.23313 .09147 L
.23433 .0924 L
.23521 .09307 L
.23594 .09364 L
.23726 .09468 L
.23754 .0949 L
.23915 .09616 L
.23931 .09628 L
.24075 .09743 L
.24133 .09789 L
.24236 .0987 L
.24335 .09949 L
.24396 .09999 L
.24535 .1011 L
.24557 .10127 L
.24717 .10257 L
.24734 .1027 L
.24878 .10387 L
.24932 .10431 L
.25039 .10518 L
.25129 .10591 L
.25199 .10649 L
.25324 .10752 L
.2536 .10781 L
.25519 .10912 L
.2552 .10913 L
.25681 .11046 L
.25713 .11073 L
.25841 .1118 L
.25905 .11233 L
.26002 .11314 L
.26097 .11394 L
.26162 .11449 L
.26288 .11555 L
.26323 .11584 L
.26479 .11715 L
.26483 .11719 L
.26644 .11855 L
.26668 .11876 L
.26804 .11992 L
.26856 .12036 L
.26965 .12129 L
.27044 .12197 L
.27125 .12266 L
.27232 .12357 L
.27286 .12404 L
.27418 .12518 L
.27446 .12542 L
.27604 .12678 L
.27607 .12681 L
.27767 .1282 L
.27789 .12839 L
.27928 .1296 L
.27973 .12999 L
.28088 .131 L
.28157 .1316 L
.28249 .13241 L
.2834 .1332 L
.2841 .13381 L
.28523 .13481 L
.2857 .13523 L
.28705 .13641 L
.28731 .13664 L
.28886 .13802 L
.28891 .13806 L
.29052 .13949 L
.29067 .13962 L
.29212 .14092 L
.29247 .14123 L
.29373 .14235 L
.29426 .14283 L
.29533 .14379 L
.29605 .14444 L
.29694 .14523 L
.29784 .14604 L
.29854 .14668 L
.29962 .14765 L
.30015 .14813 L
.3014 .14926 L
.30175 .14958 L
.30317 .15086 L
.30336 .15104 L
.30493 .15247 L
.30496 .15249 L
.30657 .15396 L
.30669 .15407 L
.30817 .15543 L
.30844 .15568 L
.30978 .15691 L
.31019 .15728 L
.31138 .15838 L
.31193 .15889 L
.31299 .15986 L
.31367 .16049 L
.31459 .16135 L
.31541 .1621 L
.3162 .16284 L
.31714 .1637 L
.31781 .16433 L
.31886 .16531 L
.31941 .16582 L
.32058 .16691 L
.32102 .16732 L
.3223 .16852 L
.32262 .16882 L
.32401 .17012 L
.32423 .17033 L
.32571 .17173 L
.32583 .17184 L
.32741 .17333 L
.32744 .17336 L
.32904 .17488 L
.32911 .17494 L
.33065 .1764 L
.3308 .17654 L
.33225 .17793 L
.33248 .17815 L
.33386 .17946 L
.33416 .17975 L
.33546 .181 L
.33584 .18136 L
.33707 .18254 L
.33751 .18297 L
.33867 .18408 L
.33918 .18457 L
.34028 .18563 L
.34084 .18618 L
.34188 .18719 L
.3425 .18778 L
.34349 .18874 L
.34415 .18939 L
.34509 .1903 L
.3458 .19099 L
.3467 .19187 L
.34744 .1926 L
.3483 .19344 L
.34908 .1942 L
.34991 .19501 L
.35072 .19581 L
.35152 .19659 L
.35235 .19741 L
.35312 .19818 L
.35397 .19902 L
.35473 .19977 L
.35559 .20062 L
.35633 .20136 L
.3572 .20223 L
.35794 .20296 L
.35881 .20383 L
.35954 .20456 L
.36042 .20544 L
.36115 .20617 L
.36202 .20704 L
.36275 .20778 L
.36361 .20865 L
.36436 .2094 L
.3652 .21025 L
.36596 .21103 L
.36678 .21186 L
.36757 .21266 L
.36836 .21346 L
.36917 .21429 L
.36993 .21507 L
.37078 .21593 L
.3715 .21668 L
.37238 .21758 L
.37306 .21828 L
.37399 .21923 L
.37462 .21989 L
.37559 .22089 L
.37617 .22149 L
.3772 .22256 L
.37771 .2231 L
.3788 .22423 L
.37925 .2247 L
.38041 .22591 L
.38079 .22631 L
.38201 .2276 L
.38231 .22791 L
.38362 .22929 L
.38383 .22952 L
.38523 .23099 L
.38535 .23112 L
.38683 .2327 L
.38685 .23273 L
.38835 .23433 L
.38844 .23442 L
.38985 .23594 L
.39004 .23615 L
.39133 .23754 L
.39165 .23788 L
.39281 .23915 L
.39325 .23963 L
.39428 .24075 L
.39486 .24138 L
.39574 .24236 L
.39646 .24315 L
.3972 .24396 L
.39807 .24493 L
.39865 .24557 L
.39967 .24671 L
.40008 .24717 L
.40128 .24851 L
.40151 .24878 L
.40288 .25033 L
.40293 .25039 L
.40434 .25199 L
.40449 .25216 L
.40574 .2536 L
.40609 .254 L
.40713 .2552 L
.4077 .25586 L
.40851 .25681 L
.4093 .25774 L
.40988 .25841 L
.41091 .25963 L
.41123 .26002 L
.41251 .26155 L
.41257 .26162 L
.4139 .26323 L
.41412 .2635 L
.41521 .26483 L
.41572 .26547 L
.41651 .26644 L
.41733 .26747 L
.41778 .26804 L
.41894 .26951 L
.41904 .26965 L
.42028 .27125 L
.42054 .27159 L
.4215 .27286 L
.42215 .27372 L
.4227 .27446 L
.42375 .27591 L
.42386 .27607 L
.425 .27767 L
.42536 .27819 L
.4261 .27928 L
.42696 .28058 L
.42716 .28088 L
.42817 .28249 L
.42857 .28312 L
.42913 .2841 L
.43002 .2857 L
.43017 .28596 L
.43081 .28731 L
.43148 .28891 L
.43178 .28983 L
.43195 .29052 L
.43209 .29212 L
.43178 .29306 L
.431 .29373 L
.43017 .29394 L
.42857 .29385 L
.42797 .29373 L
.42696 .29346 L
.42536 .2929 L
.42375 .29222 L
.42352 .29212 L
.42215 .29147 L
.42054 .29065 L
.42029 .29052 L
.41894 .28978 L
.41741 .28891 L
.41733 .28886 L
.41572 .28792 L
.41472 .28731 L
.41412 .28694 L
.41251 .28593 L
.41215 .2857 L
.41091 .2849 L
.40968 .2841 L
.4093 .28385 L
.4077 .28277 L
.40728 .28249 L
.40609 .28168 L
.40493 .28088 L
.40449 .28058 L
.40288 .27945 L
.40263 .27928 L
.40128 .27832 L
.40037 .27767 L
.39967 .27717 L
.39815 .27607 L
.39807 .27601 L
.39646 .27484 L
.39595 .27446 L
.39486 .27365 L
.39378 .27286 L
.39325 .27246 L
.39165 .27126 L
.39163 .27125 L
.39004 .27005 L
.3895 .26965 L
.38844 .26884 L
.38739 .26804 L
.38683 .26761 L
.3853 .26644 L
.38523 .26638 L
.38362 .26514 L
.38322 .26483 L
.38201 .2639 L
.38115 .26323 L
.38041 .26264 L
.3791 .26162 L
.3788 .26139 L
.3772 .26012 L
.37706 .26002 L
.37559 .25885 L
.37504 .25841 L
.37399 .25757 L
.37303 .25681 L
.37238 .25628 L
.37104 .2552 L
.37078 .25499 L
.36917 .25369 L
.36906 .2536 L
.36757 .25237 L
.3671 .25199 L
.36596 .25105 L
.36516 .25039 L
.36436 .24971 L
.36324 .24878 L
.36275 .24837 L
.36133 .24717 L
.36115 .24702 L
.35954 .24565 L
.35945 .24557 L
.35794 .24426 L
.35758 .24396 L
.35633 .24287 L
.35574 .24236 L
.35473 .24147 L
.3539 .24075 L
.35312 .24006 L
.35208 .23915 L
.35152 .23864 L
.35027 .23754 L
.34991 .23722 L
.34847 .23594 L
.3483 .23579 L
.3467 .23436 L
.34667 .23433 L
.34509 .23292 L
.34488 .23273 L
.34349 .23149 L
.34308 .23112 L
.34188 .23005 L
.34128 .22952 L
.34028 .22862 L
.33948 .22791 L
.33867 .2272 L
.33766 .22631 L
.33707 .22578 L
.33584 .2247 L
.33546 .22437 L
.33401 .2231 L
.33386 .22296 L
.33225 .22157 L
.33217 .22149 L
.33065 .22018 L
.3303 .21989 L
.32904 .21881 L
.32843 .21828 L
.32744 .21744 L
.32653 .21668 L
.32583 .21609 L
.32461 .21507 L
.32423 .21476 L
.32266 .21346 L
.32262 .21343 L
.32102 .21213 L
.32068 .21186 L
.31941 .21086 L
.31867 .21025 L
.31781 .2096 L
.31659 .20865 L
.3162 .20837 L
.31459 .20718 L
.31452 .20704 L
.31299 .20605 L
.31209 .20544 L
.31138 .20499 L
.30978 .20411 L
.30817 .20424 L
.30803 .20544 L
.30805 .20704 L
.30767 .20865 L
.30657 .21008 L
.30633 .21025 L
.30496 .21107 L
.30336 .21153 L
.30175 .21178 L
.30114 .21186 L
.30015 .21199 L
.29854 .21214 L
.29694 .21225 L
.29533 .21232 L
.29373 .21238 L
.29212 .21241 L
.29052 .21243 L
.28891 .21244 L
.28731 .21244 L
.2857 .21242 L
.2841 .21239 L
.28249 .21235 L
.28088 .21229 L
.27928 .21221 L
.27767 .21211 L
.27607 .21199 L
.27467 .21186 L
.27446 .21184 L
.27286 .21163 L
.27125 .21138 L
.26965 .21108 L
.26804 .21072 L
.26644 .21033 L
.26612 .21025 L
.26483 .20985 L
.26323 .20928 L
.26162 .20872 L
.26142 .20865 L
.26002 .20804 L
.25841 .20729 L
.25778 .20704 L
.25681 .20659 L
.2552 .20588 L
.2543 .20544 L
.2536 .20499 L
.25199 .20437 L
.25039 .20384 L
.25024 .20544 L
.25039 .20563 L
.25123 .20704 L
.25199 .20797 L
.25248 .20865 L
.2536 .21001 L
.25379 .21025 L
.25513 .21186 L
.2552 .21195 L
.25651 .21346 L
.25681 .21382 L
.25792 .21507 L
.25841 .21564 L
.25936 .21668 L
.26002 .21741 L
.26082 .21828 L
.26162 .21916 L
.2623 .21989 L
.26323 .22088 L
.2638 .22149 L
.26483 .22259 L
.26531 .2231 L
.26644 .22428 L
.26684 .2247 L
.26804 .22596 L
.26838 .22631 L
.26965 .22762 L
.26993 .22791 L
.27125 .22928 L
.27148 .22952 L
.27286 .23093 L
.27304 .23112 L
.27446 .23258 L
.27461 .23273 L
.27607 .23423 L
.27617 .23433 L
.27767 .23588 L
.27773 .23594 L
.27928 .23753 L
.27929 .23754 L
.28084 .23915 L
.28088 .2392 L
.28238 .24075 L
.28249 .24087 L
.28391 .24236 L
.2841 .24256 L
.28542 .24396 L
.2857 .24426 L
.28691 .24557 L
.28731 .24599 L
.28839 .24717 L
.28891 .24774 L
.28985 .24878 L
.29052 .24952 L
.29128 .25039 L
.29212 .25133 L
.2927 .25199 L
.29373 .25316 L
.2941 .2536 L
.29533 .25502 L
.29549 .2552 L
.29685 .25681 L
.29694 .25691 L
.2982 .25841 L
.29854 .25882 L
.29954 .26002 L
.30015 .26076 L
.30086 .26162 L
.30175 .26272 L
.30217 .26323 L
.30336 .2647 L
.30346 .26483 L
.30474 .26644 L
.30496 .26671 L
.30601 .26804 L
.30657 .26876 L
.30726 .26965 L
.30817 .27084 L
.30849 .27125 L
.3097 .27286 L
.30978 .27296 L
.31089 .27446 L
.31138 .27514 L
.31205 .27607 L
.31299 .27739 L
.31319 .27767 L
.31429 .27928 L
.31459 .27973 L
.31535 .28088 L
.3162 .28222 L
.31637 .28249 L
.31732 .2841 L
.31781 .28493 L
.31821 .2857 L
.319 .28731 L
.31941 .28812 L
.31966 .28891 L
.32014 .29052 L
.32027 .29212 L
.31941 .2936 L
.31917 .29373 L
.31781 .29397 L
.3162 .29374 L
.31613 .29373 L
.31459 .29328 L
.31299 .29267 L
.31169 .29212 L
.31138 .29197 L
.30978 .29119 L
.30848 .29052 L
.30817 .29035 L
.30657 .28946 L
.3056 .28891 L
.30496 .28854 L
.30336 .28758 L
.30291 .28731 L
.30175 .28659 L
.30034 .2857 L
.30015 .28558 L
.29854 .28454 L
.29787 .2841 L
.29694 .28348 L
.29546 .28249 L
.29533 .2824 L
.29373 .2813 L
.29312 .28088 L
.29212 .28019 L
.29082 .27928 L
.29052 .27907 L
.28891 .27793 L
.28856 .27767 L
.28731 .27677 L
.28633 .27607 L
.2857 .27561 L
.28414 .27446 L
.2841 .27443 L
.28249 .27324 L
.28198 .27286 L
.28088 .27204 L
.27983 .27125 L
.27928 .27083 L
.27771 .26965 L
.27767 .26962 L
.27607 .26839 L
.27562 .26804 L
.27446 .26715 L
.27353 .26644 L
.27286 .26591 L
.27147 .26483 L
.27125 .26466 L
.26965 .2634 L
.26942 .26323 L
.26804 .26214 L
.26739 .26162 L
.26644 .26086 L
.26537 .26002 L
.26483 .25959 L
.26336 .25841 L
.26323 .2583 L
.26162 .25701 L
.26137 .25681 L
.26002 .25571 L
.25939 .2552 L
.25841 .2544 L
.25742 .2536 L
.25681 .25309 L
.25546 .25199 L
.2552 .25178 L
.2536 .25046 L
.25351 .25039 L
.25199 .24913 L
.25157 .24878 L
.25039 .24779 L
.24964 .24717 L
.24878 .24646 L
.24772 .24557 L
.24717 .24511 L
.2458 .24396 L
.24557 .24377 L
.24396 .24242 L
.2439 .24236 L
.24236 .24106 L
.242 .24075 L
.24075 .23969 L
.24011 .23915 L
.23915 .23832 L
.23823 .23754 L
.23754 .23695 L
.23636 .23594 L
.23594 .23558 L
.23449 .23433 L
.23433 .2342 L
.23273 .23281 L
.23263 .23273 L
.23112 .23142 L
.23078 .23112 L
.22952 .23002 L
.22893 .22952 L
.22791 .22863 L
.22709 .22791 L
.22631 .22722 L
.22526 .22631 L
.2247 .22582 L
.22343 .2247 L
.2231 .22441 L
.22161 .2231 L
.22149 .22299 L
.21989 .22157 L
.21979 .22149 L
.21828 .22015 L
.21798 .21989 L
.21668 .21872 L
.21618 .21828 L
.21507 .21729 L
.21438 .21668 L
.21346 .21585 L
.21259 .21507 L
.21186 .21441 L
.2108 .21346 L
.21025 .21297 L
.20902 .21186 L
.20865 .21152 L
.20724 .21025 L
.20704 .21007 L
.20547 .20865 L
.20544 .20862 L
.20383 .20716 L
.20371 .20704 L
.20223 .20569 L
.20195 .20544 L
.20062 .20423 L
.20019 .20383 L
.19902 .20275 L
.19844 .20223 L
.19741 .20128 L
.1967 .20062 L
.19581 .1998 L
.19496 .19902 L
.1942 .19832 L
.19322 .19741 L
.1926 .19683 L
.19149 .19581 L
.19099 .19534 L
.18976 .1942 L
.18939 .19385 L
.18804 .1926 L
.18778 .19235 L
.18632 .19099 L
.18618 .19085 L
.18461 .18939 L
.18457 .18935 L
.18297 .18784 L
.18291 .18778 L
.18136 .18632 L
.18121 .18618 L
.17975 .1848 L
.17951 .18457 L
.17815 .18328 L
.17782 .18297 L
.17654 .18175 L
.17613 .18136 L
.17494 .18022 L
.17445 .17975 L
.17333 .17869 L
.17277 .17815 L
.17173 .17715 L
.1711 .17654 L
.17012 .17561 L
.16943 .17494 L
.16852 .17406 L
.16776 .17333 L
.16691 .17251 L
.1661 .17173 L
.16531 .17096 L
.16445 .17012 L
.1637 .1694 L
.1628 .16852 L
.1621 .16783 L
.16115 .16691 L
.16049 .16627 L
.15951 .16531 L
.15889 .16469 L
.15788 .1637 L
.15728 .16312 L
.15625 .1621 L
.15568 .16154 L
.15462 .16049 L
.15407 .15995 L
.153 .15889 L
.15247 .15836 L
.15138 .15728 L
.15086 .15676 L
.14977 .15568 L
.14926 .15516 L
.14817 .15407 L
.14765 .15355 L
.14656 .15247 L
.14604 .15194 L
.14497 .15086 L
.14444 .15033 L
.14338 .14926 L
.14283 .1487 L
.14179 .14765 L
.14123 .14708 L
.14021 .14604 L
.13962 .14544 L
.13864 .14444 L
.13802 .14381 L
.13707 .14283 L
.13641 .14216 L
.13551 .14123 L
.13481 .14051 L
.13395 .13962 L
.1332 .13885 L
.1324 .13802 L
.1316 .13719 L
.13085 .13641 L
.12999 .13552 L
.12931 .13481 L
.12839 .13384 L
.12777 .1332 L
.12678 .13216 L
.12625 .1316 L
.12518 .13047 L
.12472 .12999 L
.12357 .12877 L
.12321 .12839 L
.12197 .12707 L
.1217 .12678 L
.12036 .12535 L
.1202 .12518 L
.11876 .12363 L
.1187 .12357 L
.11721 .12197 L
.11715 .1219 L
.11573 .12036 L
.11555 .12016 L
.11426 .11876 L
.11394 .11841 L
.11279 .11715 L
.11233 .11665 L
.11134 .11555 L
.11073 .11488 L
.10989 .11394 L
.10912 .11309 L
.10844 .11233 L
.10752 .1113 L
.10701 .11073 L
.10591 .10949 L
.10559 .10912 L
.10431 .10767 L
.10418 .10752 L
.10277 .10591 L
.1027 .10584 L
.10138 .10431 L
.1011 .10398 L
.1 .1027 L
.09949 .10211 L
.09863 .1011 L
.09789 .10023 L
.09727 .09949 L
.09628 .09832 L
.09592 .09789 L
.09468 .09638 L
.09459 .09628 L
.09328 .09468 L
.09307 .09443 L
.09198 .09307 L
.09147 .09244 L
.09069 .09147 L
.08986 .09042 L
.08942 .08986 L
.08826 .08836 L
.08818 .08826 L
.08695 .08665 L
.08665 .08625 L
.08575 .08505 L
.08505 .08409 L
.08457 .08344 L
.08344 .08185 L
.08343 .08184 L
.08231 .08023 L
.08184 .07953 L
.08124 .07862 L
.08023 .07705 L
.08021 .07702 L
.07923 .07541 L
.07862 .07438 L
.07832 .07381 L
.07749 .0722 L
.07702 .07126 L
.07678 .0706 L
.07622 .06899 L
.07594 .06739 L
.07624 .06578 L
F
1 1 1 r
.08826 .03204 m
.08986 .03201 L
.09147 .03198 L
.09307 .03196 L
.09468 .03195 L
.09628 .03194 L
.09789 .03194 L
.09949 .03194 L
.1011 .03194 L
.1027 .03195 L
.10431 .03196 L
.10591 .03197 L
.10752 .03199 L
.10912 .03201 L
.11073 .03204 L
.11227 .03207 L
.11233 .03207 L
.11394 .03213 L
.11555 .03222 L
.11715 .03233 L
.11876 .03249 L
.12036 .03271 L
.12197 .033 L
.12357 .03335 L
.12483 .03368 L
.12518 .0338 L
.12678 .03443 L
.12839 .03514 L
.12868 .03528 L
.12999 .036 L
.13153 .03689 L
.1316 .03693 L
.1332 .03798 L
.13397 .03849 L
.13481 .03909 L
.13618 .0401 L
.13641 .04028 L
.13802 .04153 L
.13823 .0417 L
.13962 .04284 L
.14018 .04331 L
.14123 .04421 L
.14204 .04491 L
.14283 .04563 L
.14381 .04652 L
.14444 .04711 L
.14551 .04813 L
.14604 .04864 L
.14714 .04973 L
.14765 .05025 L
.14869 .05134 L
.14926 .05194 L
.15015 .05294 L
.15086 .05376 L
.15151 .05455 L
.15247 .05578 L
.15272 .05615 L
.15371 .05776 L
.15407 .05857 L
.15426 .05936 L
.15407 .06043 L
.1535 .06097 L
.15247 .06137 L
.15086 .06182 L
.14926 .06191 L
.14765 .06195 L
.14604 .06196 L
.14444 .06197 L
.14283 .06197 L
.14123 .06197 L
.13962 .06197 L
.13802 .06197 L
.13641 .06196 L
.13481 .06196 L
.1332 .06196 L
.1316 .06196 L
.12999 .06196 L
.12839 .06195 L
.12678 .06195 L
.12518 .06195 L
.12357 .06194 L
.12197 .06193 L
.12036 .06192 L
.11876 .06191 L
.11715 .06189 L
.11555 .06186 L
.11394 .06182 L
.11233 .06175 L
.11073 .06164 L
.10912 .06147 L
.10752 .06121 L
.10649 .06097 L
.10591 .0608 L
.10431 .06025 L
.1027 .05953 L
.10236 .05936 L
.1011 .05869 L
.09956 .05776 L
.09949 .05771 L
.09789 .05665 L
.09719 .05615 L
.09628 .05549 L
.09504 .05455 L
.09468 .05426 L
.09307 .05297 L
.09303 .05294 L
.09147 .05162 L
.09114 .05134 L
.08986 .05021 L
.08933 .04973 L
.08826 .04875 L
.08759 .04813 L
.08665 .04722 L
.08594 .04652 L
.08505 .04563 L
.08435 .04491 L
.08344 .04396 L
.08285 .04331 L
.08184 .04218 L
.08143 .0417 L
.08023 .04023 L
.08013 .0401 L
.07898 .03849 L
.07862 .03793 L
.07806 .03689 L
.07755 .03528 L
.07804 .03368 L
.07862 .03308 L
.08023 .03259 L
.08184 .03238 L
.08344 .03225 L
.08505 .03216 L
.08665 .03209 L
.08723 .03207 L
F
1 .96 .289 r
.08826 .07592 m
.08986 .07567 L
.09147 .07597 L
.09307 .0765 L
.09445 .07702 L
.09468 .07715 L
.09628 .0779 L
.09772 .07862 L
.09789 .07872 L
.09949 .07959 L
.10062 .08023 L
.1011 .08051 L
.1027 .08147 L
.1033 .08184 L
.10431 .08246 L
.10585 .08344 L
.10591 .08348 L
.10752 .08452 L
.10831 .08505 L
.10912 .08559 L
.11069 .08665 L
.11073 .08668 L
.11233 .08778 L
.11302 .08826 L
.11394 .0889 L
.11529 .08986 L
.11555 .09004 L
.11715 .0912 L
.11753 .09147 L
.11876 .09236 L
.11972 .09307 L
.12036 .09354 L
.12189 .09468 L
.12197 .09473 L
.12357 .09594 L
.12403 .09628 L
.12518 .09715 L
.12614 .09789 L
.12678 .09838 L
.12823 .09949 L
.12839 .09961 L
.12999 .10086 L
.1303 .1011 L
.1316 .10211 L
.13235 .1027 L
.1332 .10338 L
.13438 .10431 L
.13481 .10465 L
.1364 .10591 L
.13641 .10593 L
.13802 .10721 L
.1384 .10752 L
.13962 .10851 L
.14039 .10912 L
.14123 .10981 L
.14237 .11073 L
.14283 .11111 L
.14434 .11233 L
.14444 .11242 L
.14604 .11373 L
.1463 .11394 L
.14765 .11505 L
.14825 .11555 L
.14926 .11638 L
.15019 .11715 L
.15086 .1177 L
.15213 .11876 L
.15247 .11903 L
.15407 .12036 L
.15407 .12036 L
.15568 .12169 L
.156 .12197 L
.15728 .12303 L
.15793 .12357 L
.15889 .12437 L
.15986 .12518 L
.16049 .12571 L
.16178 .12678 L
.1621 .12705 L
.1637 .12839 L
.1637 .12839 L
.16531 .12974 L
.16561 .12999 L
.16691 .13109 L
.16751 .1316 L
.16852 .13245 L
.16941 .1332 L
.17012 .13381 L
.1713 .13481 L
.17173 .13517 L
.17318 .13641 L
.17333 .13655 L
.17494 .13794 L
.17503 .13802 L
.17654 .13934 L
.17686 .13962 L
.17815 .14076 L
.17868 .14123 L
.17975 .1422 L
.18047 .14283 L
.18136 .14364 L
.18225 .14444 L
.18297 .1451 L
.184 .14604 L
.18457 .14658 L
.18573 .14765 L
.18618 .14807 L
.18744 .14926 L
.18778 .14958 L
.18914 .15086 L
.18939 .1511 L
.19083 .15247 L
.19099 .15262 L
.19251 .15407 L
.1926 .15416 L
.19418 .15568 L
.1942 .15569 L
.19581 .15723 L
.19586 .15728 L
.19741 .15877 L
.19753 .15889 L
.19902 .16031 L
.19921 .16049 L
.20062 .16184 L
.20089 .1621 L
.20223 .16337 L
.20258 .1637 L
.20383 .16489 L
.20428 .16531 L
.20544 .16641 L
.20598 .16691 L
.20704 .16791 L
.20769 .16852 L
.20865 .16941 L
.20941 .17012 L
.21025 .17091 L
.21114 .17173 L
.21186 .17239 L
.21288 .17333 L
.21346 .17387 L
.21462 .17494 L
.21507 .17535 L
.21638 .17654 L
.21668 .17681 L
.21815 .17815 L
.21828 .17827 L
.21989 .17972 L
.21992 .17975 L
.22149 .18117 L
.2217 .18136 L
.2231 .18261 L
.22348 .18297 L
.2247 .18405 L
.22527 .18457 L
.22631 .18549 L
.22706 .18618 L
.22791 .18694 L
.22884 .18778 L
.22952 .18839 L
.23061 .18939 L
.23112 .18984 L
.23237 .19099 L
.23273 .19132 L
.2341 .1926 L
.23433 .19281 L
.23581 .1942 L
.23594 .19432 L
.23747 .19581 L
.23754 .19587 L
.2391 .19741 L
.23915 .19746 L
.24069 .19902 L
.24075 .19909 L
.24224 .20062 L
.24236 .20075 L
.24376 .20223 L
.24396 .20245 L
.24526 .20383 L
.24557 .20417 L
.24675 .20544 L
.24717 .2059 L
.24824 .20704 L
.24878 .20764 L
.24972 .20865 L
.25039 .20938 L
.25121 .21025 L
.25199 .21111 L
.2527 .21186 L
.2536 .21284 L
.25419 .21346 L
.2552 .21456 L
.25568 .21507 L
.25681 .21628 L
.25718 .21668 L
.25841 .21799 L
.25869 .21828 L
.26002 .2197 L
.2602 .21989 L
.26162 .2214 L
.26171 .22149 L
.26322 .2231 L
.26323 .2231 L
.26474 .2247 L
.26483 .2248 L
.26626 .22631 L
.26644 .2265 L
.26778 .22791 L
.26804 .22819 L
.26929 .22952 L
.26965 .22989 L
.27081 .23112 L
.27125 .2316 L
.27231 .23273 L
.27286 .23331 L
.27382 .23433 L
.27446 .23502 L
.27531 .23594 L
.27607 .23675 L
.2768 .23754 L
.27767 .23849 L
.27828 .23915 L
.27928 .24024 L
.27974 .24075 L
.28088 .24201 L
.28119 .24236 L
.28249 .2438 L
.28263 .24396 L
.28406 .24557 L
.2841 .24561 L
.28547 .24717 L
.2857 .24744 L
.28686 .24878 L
.28731 .2493 L
.28823 .25039 L
.28891 .25118 L
.2896 .25199 L
.29052 .25309 L
.29094 .2536 L
.29212 .25502 L
.29227 .2552 L
.29358 .25681 L
.29373 .25699 L
.29487 .25841 L
.29533 .259 L
.29614 .26002 L
.29694 .26104 L
.29739 .26162 L
.29854 .26313 L
.29862 .26323 L
.29982 .26483 L
.30015 .26528 L
.30099 .26644 L
.30175 .26749 L
.30214 .26804 L
.30325 .26965 L
.30336 .26981 L
.30431 .27125 L
.30496 .27226 L
.30533 .27286 L
.30628 .27446 L
.30657 .27494 L
.30716 .27607 L
.30793 .27767 L
.30817 .27828 L
.30854 .27928 L
.30891 .28088 L
.3087 .28249 L
.30817 .28309 L
.30657 .28333 L
.30496 .28305 L
.30336 .28254 L
.3032 .28249 L
.30175 .28191 L
.30015 .28116 L
.29957 .28088 L
.29854 .28035 L
.29694 .27948 L
.29657 .27928 L
.29533 .27857 L
.29382 .27767 L
.29373 .27762 L
.29212 .27663 L
.29123 .27607 L
.29052 .27561 L
.28891 .27457 L
.28875 .27446 L
.28731 .27351 L
.28634 .27286 L
.2857 .27242 L
.2841 .27132 L
.284 .27125 L
.28249 .2702 L
.28171 .26965 L
.28088 .26906 L
.27946 .26804 L
.27928 .26791 L
.27767 .26675 L
.27725 .26644 L
.27607 .26557 L
.27507 .26483 L
.27446 .26438 L
.27292 .26323 L
.27286 .26318 L
.27125 .26197 L
.27079 .26162 L
.26965 .26075 L
.26869 .26002 L
.26804 .25952 L
.2666 .25841 L
.26644 .25828 L
.26483 .25703 L
.26454 .25681 L
.26323 .25578 L
.26249 .2552 L
.26162 .25451 L
.26046 .2536 L
.26002 .25324 L
.25845 .25199 L
.25841 .25196 L
.25681 .25067 L
.25645 .25039 L
.2552 .24938 L
.25446 .24878 L
.2536 .24808 L
.25249 .24717 L
.25199 .24677 L
.25052 .24557 L
.25039 .24546 L
.24878 .24414 L
.24857 .24396 L
.24717 .24281 L
.24663 .24236 L
.24557 .24148 L
.2447 .24075 L
.24396 .24014 L
.24278 .23915 L
.24236 .2388 L
.24087 .23754 L
.24075 .23745 L
.23915 .23609 L
.23897 .23594 L
.23754 .23473 L
.23707 .23433 L
.23594 .23337 L
.23519 .23273 L
.23433 .232 L
.23331 .23112 L
.23273 .23062 L
.23144 .22952 L
.23112 .22924 L
.22958 .22791 L
.22952 .22786 L
.22791 .22647 L
.22773 .22631 L
.22631 .22507 L
.22588 .2247 L
.2247 .22367 L
.22404 .2231 L
.2231 .22226 L
.22221 .22149 L
.22149 .22086 L
.22039 .21989 L
.21989 .21944 L
.21857 .21828 L
.21828 .21803 L
.21675 .21668 L
.21668 .2166 L
.21507 .21518 L
.21495 .21507 L
.21346 .21374 L
.21315 .21346 L
.21186 .21231 L
.21136 .21186 L
.21025 .21087 L
.20957 .21025 L
.20865 .20942 L
.20779 .20865 L
.20704 .20797 L
.20601 .20704 L
.20544 .20652 L
.20424 .20544 L
.20383 .20506 L
.20248 .20383 L
.20223 .2036 L
.20072 .20223 L
.20062 .20214 L
.19902 .20067 L
.19897 .20062 L
.19741 .19919 L
.19722 .19902 L
.19581 .19771 L
.19548 .19741 L
.1942 .19623 L
.19375 .19581 L
.1926 .19474 L
.19202 .1942 L
.19099 .19325 L
.19029 .1926 L
.18939 .19175 L
.18857 .19099 L
.18778 .19025 L
.18686 .18939 L
.18618 .18875 L
.18515 .18778 L
.18457 .18724 L
.18344 .18618 L
.18297 .18573 L
.18174 .18457 L
.18136 .18421 L
.18005 .18297 L
.17975 .18269 L
.17836 .18136 L
.17815 .18116 L
.17668 .17975 L
.17654 .17963 L
.175 .17815 L
.17494 .17809 L
.17333 .17655 L
.17332 .17654 L
.17173 .17501 L
.17166 .17494 L
.17012 .17346 L
.16999 .17333 L
.16852 .1719 L
.16834 .17173 L
.16691 .17034 L
.16669 .17012 L
.16531 .16878 L
.16504 .16852 L
.1637 .16721 L
.1634 .16691 L
.1621 .16564 L
.16176 .16531 L
.16049 .16406 L
.16013 .1637 L
.15889 .16247 L
.15851 .1621 L
.15728 .16089 L
.15689 .16049 L
.15568 .15929 L
.15527 .15889 L
.15407 .15769 L
.15366 .15728 L
.15247 .15609 L
.15206 .15568 L
.15086 .15447 L
.15046 .15407 L
.14926 .15286 L
.14887 .15247 L
.14765 .15123 L
.14728 .15086 L
.14604 .14961 L
.1457 .14926 L
.14444 .14797 L
.14413 .14765 L
.14283 .14633 L
.14256 .14604 L
.14123 .14468 L
.14099 .14444 L
.13962 .14303 L
.13944 .14283 L
.13802 .14137 L
.13789 .14123 L
.13641 .1397 L
.13634 .13962 L
.13481 .13802 L
.13481 .13802 L
.13328 .13641 L
.1332 .13634 L
.13175 .13481 L
.1316 .13464 L
.13024 .1332 L
.12999 .13294 L
.12873 .1316 L
.12839 .13123 L
.12723 .12999 L
.12678 .12951 L
.12573 .12839 L
.12518 .12779 L
.12425 .12678 L
.12357 .12605 L
.12277 .12518 L
.12197 .1243 L
.1213 .12357 L
.12036 .12254 L
.11984 .12197 L
.11876 .12077 L
.11839 .12036 L
.11715 .11898 L
.11695 .11876 L
.11555 .11719 L
.11551 .11715 L
.11409 .11555 L
.11394 .11538 L
.11268 .11394 L
.11233 .11355 L
.11128 .11233 L
.11073 .1117 L
.10989 .11073 L
.10912 .10984 L
.10851 .10912 L
.10752 .10796 L
.10715 .10752 L
.10591 .10605 L
.1058 .10591 L
.10446 .10431 L
.10431 .10412 L
.10315 .1027 L
.1027 .10216 L
.10184 .1011 L
.1011 .10017 L
.10056 .09949 L
.09949 .09814 L
.0993 .09789 L
.09805 .09628 L
.09789 .09606 L
.09684 .09468 L
.09628 .09393 L
.09565 .09307 L
.09468 .09173 L
.09449 .09147 L
.09336 .08986 L
.09307 .08944 L
.09228 .08826 L
.09147 .08701 L
.09125 .08665 L
.09027 .08505 L
.08986 .08437 L
.08936 .08344 L
.08855 .08184 L
.08826 .08142 L
.08788 .08023 L
.08741 .07862 L
.08734 .07702 L
F
1 .95 .212 r
.09628 .085 m
.09789 .08387 L
.09949 .08409 L
.1011 .08457 L
.10247 .08505 L
.1027 .08521 L
.10431 .08595 L
.10571 .08665 L
.10591 .08677 L
.10752 .08764 L
.10859 .08826 L
.10912 .08857 L
.11073 .08954 L
.11126 .08986 L
.11233 .09054 L
.11378 .09147 L
.11394 .09157 L
.11555 .09262 L
.11622 .09307 L
.11715 .0937 L
.11857 .09468 L
.11876 .0948 L
.12036 .09592 L
.12087 .09628 L
.12197 .09706 L
.12312 .09789 L
.12357 .09821 L
.12518 .09938 L
.12533 .09949 L
.12678 .10056 L
.12751 .1011 L
.12839 .10176 L
.12965 .1027 L
.12999 .10296 L
.1316 .10418 L
.13177 .10431 L
.1332 .10541 L
.13386 .10591 L
.13481 .10665 L
.13593 .10752 L
.13641 .10789 L
.13798 .10912 L
.13802 .10915 L
.13962 .11042 L
.14002 .11073 L
.14123 .11169 L
.14204 .11233 L
.14283 .11297 L
.14404 .11394 L
.14444 .11426 L
.14603 .11555 L
.14604 .11556 L
.14765 .11686 L
.14801 .11715 L
.14926 .11817 L
.14998 .11876 L
.15086 .11948 L
.15194 .12036 L
.15247 .1208 L
.15389 .12197 L
.15407 .12212 L
.15568 .12345 L
.15583 .12357 L
.15728 .12478 L
.15776 .12518 L
.15889 .12612 L
.15968 .12678 L
.16049 .12746 L
.1616 .12839 L
.1621 .1288 L
.16351 .12999 L
.1637 .13015 L
.16531 .13151 L
.16541 .1316 L
.16691 .13287 L
.1673 .1332 L
.16852 .13424 L
.16918 .13481 L
.17012 .13562 L
.17105 .13641 L
.17173 .137 L
.17291 .13802 L
.17333 .13839 L
.17476 .13962 L
.17494 .13978 L
.17654 .14119 L
.17659 .14123 L
.17815 .14261 L
.1784 .14283 L
.17975 .14404 L
.18021 .14444 L
.18136 .14548 L
.18199 .14604 L
.18297 .14693 L
.18377 .14765 L
.18457 .14838 L
.18553 .14926 L
.18618 .14985 L
.18728 .15086 L
.18778 .15132 L
.18903 .15247 L
.18939 .1528 L
.19076 .15407 L
.19099 .15429 L
.19248 .15568 L
.1926 .15578 L
.1942 .15728 L
.1942 .15728 L
.19581 .15878 L
.19592 .15889 L
.19741 .16029 L
.19763 .16049 L
.19902 .16179 L
.19935 .1621 L
.20062 .1633 L
.20106 .1637 L
.20223 .1648 L
.20277 .16531 L
.20383 .1663 L
.20449 .16691 L
.20544 .1678 L
.2062 .16852 L
.20704 .1693 L
.20792 .17012 L
.20865 .1708 L
.20964 .17173 L
.21025 .1723 L
.21137 .17333 L
.21186 .17379 L
.2131 .17494 L
.21346 .17528 L
.21483 .17654 L
.21507 .17677 L
.21656 .17815 L
.21668 .17826 L
.21828 .17975 L
.21829 .17975 L
.21989 .18123 L
.22002 .18136 L
.22149 .18272 L
.22175 .18297 L
.2231 .18422 L
.22347 .18457 L
.2247 .18572 L
.22519 .18618 L
.22631 .18722 L
.2269 .18778 L
.22791 .18873 L
.2286 .18939 L
.22952 .19026 L
.23028 .19099 L
.23112 .19179 L
.23195 .1926 L
.23273 .19334 L
.23361 .1942 L
.23433 .19491 L
.23524 .19581 L
.23594 .19649 L
.23686 .19741 L
.23754 .19809 L
.23846 .19902 L
.23915 .19971 L
.24005 .20062 L
.24075 .20135 L
.24162 .20223 L
.24236 .20299 L
.24317 .20383 L
.24396 .20466 L
.24472 .20544 L
.24557 .20633 L
.24626 .20704 L
.24717 .20801 L
.24779 .20865 L
.24878 .20969 L
.24932 .21025 L
.25039 .21138 L
.25084 .21186 L
.25199 .21308 L
.25236 .21346 L
.2536 .21478 L
.25387 .21507 L
.2552 .21648 L
.25539 .21668 L
.25681 .21818 L
.2569 .21828 L
.25841 .21988 L
.25841 .21989 L
.25992 .22149 L
.26002 .22159 L
.26143 .2231 L
.26162 .2233 L
.26293 .2247 L
.26323 .22502 L
.26443 .22631 L
.26483 .22674 L
.26592 .22791 L
.26644 .22847 L
.26741 .22952 L
.26804 .2302 L
.26889 .23112 L
.26965 .23195 L
.27036 .23273 L
.27125 .23371 L
.27182 .23433 L
.27286 .23547 L
.27328 .23594 L
.27446 .23726 L
.27472 .23754 L
.27607 .23906 L
.27615 .23915 L
.27757 .24075 L
.27767 .24088 L
.27897 .24236 L
.27928 .24272 L
.28036 .24396 L
.28088 .24458 L
.28173 .24557 L
.28249 .24647 L
.28308 .24717 L
.2841 .24839 L
.28442 .24878 L
.2857 .25034 L
.28574 .25039 L
.28704 .25199 L
.28731 .25232 L
.28832 .2536 L
.28891 .25435 L
.28957 .2552 L
.29052 .25643 L
.2908 .25681 L
.292 .25841 L
.29212 .25858 L
.29317 .26002 L
.29373 .2608 L
.2943 .26162 L
.29533 .26314 L
.29539 .26323 L
.29643 .26483 L
.29694 .26563 L
.29741 .26644 L
.2983 .26804 L
.29854 .26839 L
.2991 .26965 L
.29973 .27125 L
.30008 .27286 L
.29968 .27446 L
.29854 .27505 L
.29694 .27491 L
.29535 .27446 L
.29533 .27446 L
.29373 .27385 L
.29212 .27311 L
.29158 .27286 L
.29052 .27231 L
.28891 .27143 L
.28859 .27125 L
.28731 .27051 L
.28586 .26965 L
.2857 .26955 L
.2841 .26855 L
.28329 .26804 L
.28249 .26753 L
.28088 .26647 L
.28083 .26644 L
.27928 .2654 L
.27845 .26483 L
.27767 .2643 L
.27613 .26323 L
.27607 .26318 L
.27446 .26205 L
.27386 .26162 L
.27286 .2609 L
.27164 .26002 L
.27125 .25974 L
.26965 .25856 L
.26945 .25841 L
.26804 .25737 L
.26729 .25681 L
.26644 .25616 L
.26516 .2552 L
.26483 .25495 L
.26323 .25373 L
.26306 .2536 L
.26162 .25249 L
.26098 .25199 L
.26002 .25124 L
.25891 .25039 L
.25841 .24999 L
.25687 .24878 L
.25681 .24873 L
.2552 .24746 L
.25485 .24717 L
.2536 .24618 L
.25284 .24557 L
.25199 .24489 L
.25084 .24396 L
.25039 .24359 L
.24886 .24236 L
.24878 .24229 L
.24717 .24098 L
.2469 .24075 L
.24557 .23966 L
.24494 .23915 L
.24396 .23834 L
.243 .23754 L
.24236 .23701 L
.24107 .23594 L
.24075 .23568 L
.23915 .23434 L
.23915 .23433 L
.23754 .23299 L
.23724 .23273 L
.23594 .23163 L
.23534 .23112 L
.23433 .23027 L
.23344 .22952 L
.23273 .22891 L
.23156 .22791 L
.23112 .22753 L
.22969 .22631 L
.22952 .22616 L
.22791 .22478 L
.22782 .2247 L
.22631 .22339 L
.22597 .2231 L
.2247 .222 L
.22412 .22149 L
.2231 .2206 L
.22228 .21989 L
.22149 .21919 L
.22045 .21828 L
.21989 .21779 L
.21862 .21668 L
.21828 .21637 L
.2168 .21507 L
.21668 .21496 L
.21507 .21353 L
.21499 .21346 L
.21346 .21211 L
.21319 .21186 L
.21186 .21067 L
.21139 .21025 L
.21025 .20924 L
.2096 .20865 L
.20865 .20779 L
.20782 .20704 L
.20704 .20635 L
.20604 .20544 L
.20544 .2049 L
.20427 .20383 L
.20383 .20344 L
.2025 .20223 L
.20223 .20198 L
.20074 .20062 L
.20062 .20052 L
.19902 .19905 L
.19899 .19902 L
.19741 .19757 L
.19724 .19741 L
.19581 .19609 L
.1955 .19581 L
.1942 .19461 L
.19377 .1942 L
.1926 .19312 L
.19204 .1926 L
.19099 .19162 L
.19031 .19099 L
.18939 .19013 L
.18859 .18939 L
.18778 .18862 L
.18688 .18778 L
.18618 .18712 L
.18518 .18618 L
.18457 .1856 L
.18348 .18457 L
.18297 .18409 L
.18178 .18297 L
.18136 .18257 L
.18009 .18136 L
.17975 .18104 L
.17841 .17975 L
.17815 .17951 L
.17673 .17815 L
.17654 .17797 L
.17506 .17654 L
.17494 .17643 L
.17339 .17494 L
.17333 .17489 L
.17173 .17334 L
.17173 .17333 L
.17012 .17178 L
.17007 .17173 L
.16852 .17022 L
.16842 .17012 L
.16691 .16865 L
.16678 .16852 L
.16531 .16708 L
.16514 .16691 L
.1637 .1655 L
.16351 .16531 L
.1621 .16391 L
.16188 .1637 L
.16049 .16233 L
.16026 .1621 L
.15889 .16073 L
.15865 .16049 L
.15728 .15913 L
.15704 .15889 L
.15568 .15752 L
.15544 .15728 L
.15407 .15591 L
.15384 .15568 L
.15247 .15429 L
.15225 .15407 L
.15086 .15266 L
.15066 .15247 L
.14926 .15103 L
.14909 .15086 L
.14765 .14939 L
.14752 .14926 L
.14604 .14775 L
.14595 .14765 L
.14444 .14609 L
.14439 .14604 L
.14284 .14444 L
.14283 .14443 L
.1413 .14283 L
.14123 .14276 L
.13976 .14123 L
.13962 .14108 L
.13823 .13962 L
.13802 .1394 L
.13671 .13802 L
.13641 .1377 L
.1352 .13641 L
.13481 .136 L
.13369 .13481 L
.1332 .13429 L
.13219 .1332 L
.1316 .13256 L
.1307 .1316 L
.12999 .13083 L
.12922 .12999 L
.12839 .12908 L
.12775 .12839 L
.12678 .12733 L
.12629 .12678 L
.12518 .12556 L
.12483 .12518 L
.12357 .12377 L
.12339 .12357 L
.12197 .12197 L
.12196 .12197 L
.12054 .12036 L
.12036 .12016 L
.11913 .11876 L
.11876 .11833 L
.11773 .11715 L
.11715 .11648 L
.11635 .11555 L
.11555 .11461 L
.11498 .11394 L
.11394 .11271 L
.11362 .11233 L
.11233 .11079 L
.11228 .11073 L
.11096 .10912 L
.11073 .10884 L
.10966 .10752 L
.10912 .10686 L
.10837 .10591 L
.10752 .10484 L
.10711 .10431 L
.10591 .10276 L
.10587 .1027 L
.10466 .1011 L
.10431 .10063 L
.10347 .09949 L
.1027 .09842 L
.10233 .09789 L
.10122 .09628 L
.1011 .09611 L
.10016 .09468 L
.09949 .09363 L
.09916 .09307 L
.09823 .09147 L
.09789 .09091 L
.0974 .08986 L
.0967 .08826 L
.09628 .08683 L
.09624 .08665 L
.09627 .08505 L
F
.733 .99 1 r
.10431 .04085 m
.10591 .0404 L
.10752 .04023 L
.10912 .04023 L
.11073 .04037 L
.11233 .04062 L
.11394 .04096 L
.11555 .04139 L
.11659 .0417 L
.11715 .04189 L
.11876 .04248 L
.12036 .04314 L
.12075 .04331 L
.12197 .04387 L
.12357 .04469 L
.124 .04491 L
.12518 .04558 L
.12673 .04652 L
.12678 .04655 L
.12839 .04762 L
.12909 .04813 L
.12999 .0488 L
.13114 .04973 L
.1316 .05012 L
.13287 .05134 L
.1332 .05163 L
.13426 .05294 L
.13481 .05377 L
.13519 .05455 L
.13538 .05615 L
.13481 .05714 L
.13391 .05776 L
.1332 .0581 L
.1316 .05852 L
.12999 .0587 L
.12839 .05877 L
.12678 .05876 L
.12518 .05867 L
.12357 .05851 L
.12197 .05829 L
.12036 .05799 L
.11935 .05776 L
.11876 .05761 L
.11715 .05714 L
.11555 .05657 L
.11453 .05615 L
.11394 .05589 L
.11233 .05509 L
.11136 .05455 L
.11073 .05417 L
.10912 .05309 L
.10892 .05294 L
.10752 .05183 L
.10695 .05134 L
.10591 .05036 L
.10533 .04973 L
.10431 .04854 L
.10401 .04813 L
.10301 .04652 L
.1027 .04585 L
.10239 .04491 L
.10228 .04331 L
.1027 .04218 L
.10308 .0417 L
F
1 .94 .156 r
.10431 .09099 m
.10591 .09089 L
.10752 .09126 L
.10812 .09147 L
.10912 .09184 L
.11073 .09255 L
.11182 .09307 L
.11233 .09335 L
.11394 .09423 L
.11475 .09468 L
.11555 .09515 L
.11715 .09612 L
.11742 .09628 L
.11876 .09712 L
.11995 .09789 L
.12036 .09815 L
.12197 .09922 L
.12238 .09949 L
.12357 .1003 L
.12473 .1011 L
.12518 .10141 L
.12678 .10254 L
.12701 .1027 L
.12839 .10368 L
.12925 .10431 L
.12999 .10485 L
.13145 .10591 L
.1316 .10602 L
.1332 .10721 L
.13361 .10752 L
.13481 .10842 L
.13574 .10912 L
.13641 .10963 L
.13785 .11073 L
.13802 .11086 L
.13962 .1121 L
.13993 .11233 L
.14123 .11335 L
.14199 .11394 L
.14283 .11461 L
.14403 .11555 L
.14444 .11587 L
.14604 .11715 L
.14605 .11715 L
.14765 .11843 L
.14806 .11876 L
.14926 .11972 L
.15005 .12036 L
.15086 .12102 L
.15203 .12197 L
.15247 .12232 L
.15399 .12357 L
.15407 .12363 L
.15568 .12495 L
.15595 .12518 L
.15728 .12628 L
.15789 .12678 L
.15889 .12761 L
.15982 .12839 L
.16049 .12894 L
.16175 .12999 L
.1621 .13029 L
.16366 .1316 L
.1637 .13163 L
.16531 .13299 L
.16556 .1332 L
.16691 .13435 L
.16745 .13481 L
.16852 .13572 L
.16933 .13641 L
.17012 .13709 L
.1712 .13802 L
.17173 .13848 L
.17306 .13962 L
.17333 .13986 L
.1749 .14123 L
.17494 .14126 L
.17654 .14266 L
.17674 .14283 L
.17815 .14408 L
.17856 .14444 L
.17975 .1455 L
.18037 .14604 L
.18136 .14693 L
.18217 .14765 L
.18297 .14837 L
.18396 .14926 L
.18457 .14981 L
.18574 .15086 L
.18618 .15126 L
.18751 .15247 L
.18778 .15272 L
.18927 .15407 L
.18939 .15418 L
.19099 .15565 L
.19102 .15568 L
.1926 .15713 L
.19276 .15728 L
.1942 .15861 L
.1945 .15889 L
.19581 .1601 L
.19624 .16049 L
.19741 .16158 L
.19797 .1621 L
.19902 .16307 L
.1997 .1637 L
.20062 .16457 L
.20142 .16531 L
.20223 .16606 L
.20314 .16691 L
.20383 .16756 L
.20487 .16852 L
.20544 .16905 L
.20659 .17012 L
.20704 .17055 L
.20831 .17173 L
.20865 .17205 L
.21003 .17333 L
.21025 .17355 L
.21174 .17494 L
.21186 .17505 L
.21346 .17654 L
.21346 .17655 L
.21507 .17805 L
.21517 .17815 L
.21668 .17956 L
.21688 .17975 L
.21828 .18107 L
.21859 .18136 L
.21989 .18258 L
.22029 .18297 L
.22149 .1841 L
.22199 .18457 L
.2231 .18562 L
.22368 .18618 L
.2247 .18715 L
.22536 .18778 L
.22631 .18869 L
.22703 .18939 L
.22791 .19023 L
.22869 .19099 L
.22952 .19179 L
.23034 .1926 L
.23112 .19336 L
.23198 .1942 L
.23273 .19494 L
.23361 .19581 L
.23433 .19653 L
.23522 .19741 L
.23594 .19813 L
.23682 .19902 L
.23754 .19974 L
.23841 .20062 L
.23915 .20137 L
.23999 .20223 L
.24075 .20301 L
.24156 .20383 L
.24236 .20466 L
.24312 .20544 L
.24396 .20632 L
.24467 .20704 L
.24557 .20798 L
.24621 .20865 L
.24717 .20966 L
.24775 .21025 L
.24878 .21134 L
.24928 .21186 L
.25039 .21303 L
.2508 .21346 L
.25199 .21472 L
.25232 .21507 L
.2536 .21642 L
.25383 .21668 L
.2552 .21813 L
.25534 .21828 L
.25681 .21984 L
.25685 .21989 L
.25834 .22149 L
.25841 .22156 L
.25983 .2231 L
.26002 .22329 L
.26132 .2247 L
.26162 .22503 L
.2628 .22631 L
.26323 .22678 L
.26427 .22791 L
.26483 .22853 L
.26573 .22952 L
.26644 .2303 L
.26718 .23112 L
.26804 .23208 L
.26862 .23273 L
.26965 .23388 L
.27005 .23433 L
.27125 .2357 L
.27146 .23594 L
.27286 .23753 L
.27287 .23754 L
.27425 .23915 L
.27446 .23939 L
.27563 .24075 L
.27607 .24127 L
.27698 .24236 L
.27767 .24319 L
.27832 .24396 L
.27928 .24513 L
.27963 .24557 L
.28088 .24712 L
.28093 .24717 L
.2822 .24878 L
.28249 .24915 L
.28345 .25039 L
.2841 .25123 L
.28466 .25199 L
.2857 .25339 L
.28585 .2536 L
.287 .2552 L
.28731 .25564 L
.2881 .25681 L
.28891 .25803 L
.28915 .25841 L
.29014 .26002 L
.29052 .26062 L
.29104 .26162 L
.29182 .26323 L
.29212 .26397 L
.29243 .26483 L
.29272 .26644 L
.29212 .26774 L
.29138 .26804 L
.29052 .26808 L
.29021 .26804 L
.28891 .26778 L
.28731 .26721 L
.2857 .26651 L
.28554 .26644 L
.2841 .26572 L
.28249 .26485 L
.28246 .26483 L
.28088 .26394 L
.27969 .26323 L
.27928 .26297 L
.27767 .26197 L
.27712 .26162 L
.27607 .26094 L
.27466 .26002 L
.27446 .25988 L
.27286 .2588 L
.27229 .25841 L
.27125 .2577 L
.26998 .25681 L
.26965 .25657 L
.26804 .25543 L
.26773 .2552 L
.26644 .25427 L
.26551 .2536 L
.26483 .2531 L
.26334 .25199 L
.26323 .25191 L
.26162 .25071 L
.2612 .25039 L
.26002 .24949 L
.25908 .24878 L
.25841 .24827 L
.25699 .24717 L
.25681 .24703 L
.2552 .24578 L
.25493 .24557 L
.2536 .24453 L
.25288 .24396 L
.25199 .24326 L
.25085 .24236 L
.25039 .24199 L
.24884 .24075 L
.24878 .2407 L
.24717 .23941 L
.24685 .23915 L
.24557 .23811 L
.24487 .23754 L
.24396 .2368 L
.24291 .23594 L
.24236 .23549 L
.24095 .23433 L
.24075 .23417 L
.23915 .23284 L
.23902 .23273 L
.23754 .2315 L
.23709 .23112 L
.23594 .23016 L
.23517 .22952 L
.23433 .22881 L
.23327 .22791 L
.23273 .22745 L
.23138 .22631 L
.23112 .22609 L
.22952 .22472 L
.22949 .2247 L
.22791 .22335 L
.22762 .2231 L
.22631 .22197 L
.22575 .22149 L
.2247 .22058 L
.2239 .21989 L
.2231 .21919 L
.22205 .21828 L
.22149 .21779 L
.22021 .21668 L
.21989 .21639 L
.21838 .21507 L
.21828 .21499 L
.21668 .21357 L
.21655 .21346 L
.21507 .21215 L
.21474 .21186 L
.21346 .21073 L
.21293 .21025 L
.21186 .2093 L
.21113 .20865 L
.21025 .20786 L
.20934 .20704 L
.20865 .20643 L
.20755 .20544 L
.20704 .20498 L
.20577 .20383 L
.20544 .20353 L
.204 .20223 L
.20383 .20208 L
.20223 .20062 L
.20223 .20062 L
.20062 .19915 L
.20047 .19902 L
.19902 .19768 L
.19872 .19741 L
.19741 .19621 L
.19698 .19581 L
.19581 .19473 L
.19524 .1942 L
.1942 .19324 L
.1935 .1926 L
.1926 .19175 L
.19178 .19099 L
.19099 .19026 L
.19005 .18939 L
.18939 .18876 L
.18834 .18778 L
.18778 .18726 L
.18663 .18618 L
.18618 .18575 L
.18493 .18457 L
.18457 .18423 L
.18323 .18297 L
.18297 .18271 L
.18154 .18136 L
.18136 .18119 L
.17986 .17975 L
.17975 .17966 L
.17818 .17815 L
.17815 .17812 L
.17654 .17658 L
.17651 .17654 L
.17494 .17503 L
.17484 .17494 L
.17333 .17348 L
.17318 .17333 L
.17173 .17192 L
.17153 .17173 L
.17012 .17036 L
.16988 .17012 L
.16852 .16879 L
.16824 .16852 L
.16691 .16721 L
.16661 .16691 L
.16531 .16563 L
.16498 .16531 L
.1637 .16405 L
.16336 .1637 L
.1621 .16245 L
.16174 .1621 L
.16049 .16085 L
.16013 .16049 L
.15889 .15925 L
.15853 .15889 L
.15728 .15763 L
.15693 .15728 L
.15568 .15601 L
.15534 .15568 L
.15407 .15439 L
.15376 .15407 L
.15247 .15275 L
.15218 .15247 L
.15086 .15111 L
.15061 .15086 L
.14926 .14946 L
.14905 .14926 L
.14765 .14781 L
.1475 .14765 L
.14604 .14614 L
.14595 .14604 L
.14444 .14447 L
.14441 .14444 L
.14288 .14283 L
.14283 .14279 L
.14136 .14123 L
.14123 .14109 L
.13984 .13962 L
.13962 .13939 L
.13834 .13802 L
.13802 .13768 L
.13684 .13641 L
.13641 .13595 L
.13535 .13481 L
.13481 .13422 L
.13387 .1332 L
.1332 .13247 L
.1324 .1316 L
.1316 .13071 L
.13094 .12999 L
.12999 .12894 L
.1295 .12839 L
.12839 .12715 L
.12806 .12678 L
.12678 .12534 L
.12663 .12518 L
.12522 .12357 L
.12518 .12352 L
.12382 .12197 L
.12357 .12168 L
.12243 .12036 L
.12197 .11982 L
.12106 .11876 L
.12036 .11793 L
.11971 .11715 L
.11876 .11601 L
.11837 .11555 L
.11715 .11406 L
.11705 .11394 L
.11575 .11233 L
.11555 .11208 L
.11447 .11073 L
.11394 .11006 L
.11322 .10912 L
.11233 .10798 L
.11199 .10752 L
.11079 .10591 L
.11073 .10583 L
.10963 .10431 L
.10912 .1036 L
.10851 .1027 L
.10752 .10122 L
.10744 .1011 L
.10643 .09949 L
.10591 .09866 L
.1055 .09789 L
.10467 .09628 L
.10431 .09547 L
.104 .09468 L
.10356 .09307 L
.10371 .09147 L
F
1 .93 .114 r
.11073 .09722 m
.11233 .09696 L
.11394 .09738 L
.11527 .09789 L
.11555 .098 L
.11715 .09873 L
.11865 .09949 L
.11876 .09956 L
.12036 .10045 L
.12148 .1011 L
.12197 .10139 L
.12357 .10238 L
.12409 .1027 L
.12518 .1034 L
.12656 .10431 L
.12678 .10446 L
.12839 .10554 L
.12894 .10591 L
.12999 .10664 L
.13125 .10752 L
.1316 .10777 L
.1332 .10891 L
.1335 .10912 L
.13481 .11007 L
.1357 .11073 L
.13641 .11125 L
.13787 .11233 L
.13802 .11245 L
.13962 .11365 L
.14001 .11394 L
.14123 .11487 L
.14211 .11555 L
.14283 .1161 L
.14419 .11715 L
.14444 .11734 L
.14604 .1186 L
.14625 .11876 L
.14765 .11986 L
.14829 .12036 L
.14926 .12113 L
.1503 .12197 L
.15086 .12241 L
.1523 .12357 L
.15247 .1237 L
.15407 .125 L
.15429 .12518 L
.15568 .1263 L
.15626 .12678 L
.15728 .12762 L
.15822 .12839 L
.15889 .12894 L
.16016 .12999 L
.16049 .13026 L
.1621 .1316 L
.1621 .1316 L
.1637 .13294 L
.16401 .1332 L
.16531 .13429 L
.16592 .13481 L
.16691 .13565 L
.16782 .13641 L
.16852 .13701 L
.1697 .13802 L
.17012 .13838 L
.17158 .13962 L
.17173 .13976 L
.17333 .14114 L
.17344 .14123 L
.17494 .14253 L
.17529 .14283 L
.17654 .14393 L
.17712 .14444 L
.17815 .14534 L
.17895 .14604 L
.17975 .14675 L
.18077 .14765 L
.18136 .14817 L
.18258 .14926 L
.18297 .1496 L
.18437 .15086 L
.18457 .15104 L
.18616 .15247 L
.18618 .15248 L
.18778 .15393 L
.18794 .15407 L
.18939 .15539 L
.18971 .15568 L
.19099 .15685 L
.19147 .15728 L
.1926 .15831 L
.19322 .15889 L
.1942 .15978 L
.19497 .16049 L
.19581 .16126 L
.19672 .1621 L
.19741 .16274 L
.19846 .1637 L
.19902 .16422 L
.20019 .16531 L
.20062 .16571 L
.20192 .16691 L
.20223 .1672 L
.20365 .16852 L
.20383 .16869 L
.20537 .17012 L
.20544 .17019 L
.20704 .17169 L
.20709 .17173 L
.20865 .17319 L
.20881 .17333 L
.21025 .17469 L
.21052 .17494 L
.21186 .1762 L
.21223 .17654 L
.21346 .17771 L
.21393 .17815 L
.21507 .17922 L
.21563 .17975 L
.21668 .18074 L
.21733 .18136 L
.21828 .18227 L
.21901 .18297 L
.21989 .18379 L
.2207 .18457 L
.22149 .18533 L
.22237 .18618 L
.2231 .18687 L
.22404 .18778 L
.2247 .18842 L
.2257 .18939 L
.22631 .18998 L
.22735 .19099 L
.22791 .19154 L
.22899 .1926 L
.22952 .19312 L
.23062 .1942 L
.23112 .1947 L
.23223 .19581 L
.23273 .1963 L
.23384 .19741 L
.23433 .1979 L
.23544 .19902 L
.23594 .19952 L
.23703 .20062 L
.23754 .20115 L
.23861 .20223 L
.23915 .20278 L
.24017 .20383 L
.24075 .20443 L
.24173 .20544 L
.24236 .20609 L
.24328 .20704 L
.24396 .20775 L
.24483 .20865 L
.24557 .20942 L
.24636 .21025 L
.24717 .21111 L
.24789 .21186 L
.24878 .2128 L
.24941 .21346 L
.25039 .2145 L
.25092 .21507 L
.25199 .2162 L
.25243 .21668 L
.2536 .21792 L
.25393 .21828 L
.2552 .21965 L
.25542 .21989 L
.25681 .22138 L
.2569 .22149 L
.25838 .2231 L
.25841 .22313 L
.25984 .2247 L
.26002 .22489 L
.2613 .22631 L
.26162 .22666 L
.26275 .22791 L
.26323 .22845 L
.26418 .22952 L
.26483 .23025 L
.2656 .23112 L
.26644 .23208 L
.26701 .23273 L
.26804 .23392 L
.2684 .23433 L
.26965 .23579 L
.26978 .23594 L
.27114 .23754 L
.27125 .23768 L
.27248 .23915 L
.27286 .23961 L
.2738 .24075 L
.27446 .24157 L
.2751 .24236 L
.27607 .24358 L
.27637 .24396 L
.27762 .24557 L
.27767 .24564 L
.27883 .24717 L
.27928 .24777 L
.28001 .24878 L
.28088 .25 L
.28115 .25039 L
.28224 .25199 L
.28249 .25235 L
.28327 .2536 L
.2841 .25497 L
.28422 .2552 L
.28507 .25681 L
.2857 .25828 L
.28575 .25841 L
.28618 .26002 L
.28571 .26162 L
.2857 .26163 L
.2841 .262 L
.28249 .26164 L
.28245 .26162 L
.28088 .26106 L
.27928 .26033 L
.2786 .26002 L
.27767 .25952 L
.27607 .25863 L
.27568 .25841 L
.27446 .2577 L
.27301 .25681 L
.27286 .25671 L
.27125 .25569 L
.27049 .2552 L
.26965 .25464 L
.26809 .2536 L
.26804 .25357 L
.26644 .25246 L
.26575 .25199 L
.26483 .25134 L
.26349 .25039 L
.26323 .2502 L
.26162 .24904 L
.26126 .24878 L
.26002 .24786 L
.25908 .24717 L
.25841 .24667 L
.25694 .24557 L
.25681 .24547 L
.2552 .24425 L
.25482 .24396 L
.2536 .24302 L
.25274 .24236 L
.25199 .24178 L
.25067 .24075 L
.25039 .24053 L
.24878 .23927 L
.24863 .23915 L
.24717 .23799 L
.24661 .23754 L
.24557 .23671 L
.24461 .23594 L
.24396 .23542 L
.24262 .23433 L
.24236 .23412 L
.24075 .23281 L
.24065 .23273 L
.23915 .2315 L
.23869 .23112 L
.23754 .23017 L
.23675 .22952 L
.23594 .22884 L
.23482 .22791 L
.23433 .22751 L
.2329 .22631 L
.23273 .22616 L
.23112 .22481 L
.23099 .2247 L
.22952 .22345 L
.2291 .2231 L
.22791 .22208 L
.22722 .22149 L
.22631 .22071 L
.22534 .21989 L
.2247 .21933 L
.22348 .21828 L
.2231 .21795 L
.22163 .21668 L
.22149 .21656 L
.21989 .21516 L
.21978 .21507 L
.21828 .21376 L
.21794 .21346 L
.21668 .21235 L
.21612 .21186 L
.21507 .21094 L
.2143 .21025 L
.21346 .20952 L
.21249 .20865 L
.21186 .20809 L
.21068 .20704 L
.21025 .20666 L
.20889 .20544 L
.20865 .20522 L
.2071 .20383 L
.20704 .20378 L
.20544 .20233 L
.20532 .20223 L
.20383 .20088 L
.20355 .20062 L
.20223 .19942 L
.20178 .19902 L
.20062 .19796 L
.20003 .19741 L
.19902 .19649 L
.19827 .19581 L
.19741 .19501 L
.19653 .1942 L
.19581 .19353 L
.19479 .1926 L
.1942 .19205 L
.19306 .19099 L
.1926 .19056 L
.19134 .18939 L
.19099 .18906 L
.18962 .18778 L
.18939 .18756 L
.18791 .18618 L
.18778 .18605 L
.18621 .18457 L
.18618 .18454 L
.18457 .18302 L
.18451 .18297 L
.18297 .1815 L
.18282 .18136 L
.18136 .17997 L
.18113 .17975 L
.17975 .17843 L
.17946 .17815 L
.17815 .17689 L
.17779 .17654 L
.17654 .17535 L
.17612 .17494 L
.17494 .17379 L
.17446 .17333 L
.17333 .17224 L
.17281 .17173 L
.17173 .17067 L
.17117 .17012 L
.17012 .1691 L
.16953 .16852 L
.16852 .16752 L
.1679 .16691 L
.16691 .16594 L
.16627 .16531 L
.16531 .16435 L
.16465 .1637 L
.1637 .16275 L
.16304 .1621 L
.1621 .16115 L
.16144 .16049 L
.16049 .15954 L
.15984 .15889 L
.15889 .15792 L
.15825 .15728 L
.15728 .1563 L
.15667 .15568 L
.15568 .15466 L
.1551 .15407 L
.15407 .15302 L
.15353 .15247 L
.15247 .15137 L
.15197 .15086 L
.15086 .14971 L
.15042 .14926 L
.14926 .14805 L
.14887 .14765 L
.14765 .14637 L
.14734 .14604 L
.14604 .14469 L
.14581 .14444 L
.14444 .14299 L
.14429 .14283 L
.14283 .14128 L
.14278 .14123 L
.14129 .13962 L
.14123 .13956 L
.1398 .13802 L
.13962 .13783 L
.13832 .13641 L
.13802 .13609 L
.13685 .13481 L
.13641 .13433 L
.13539 .1332 L
.13481 .13256 L
.13394 .1316 L
.1332 .13077 L
.13251 .12999 L
.1316 .12896 L
.13109 .12839 L
.12999 .12714 L
.12968 .12678 L
.12839 .12529 L
.12829 .12518 L
.12691 .12357 L
.12678 .12342 L
.12555 .12197 L
.12518 .12153 L
.1242 .12036 L
.12357 .1196 L
.12288 .11876 L
.12197 .11764 L
.12157 .11715 L
.12036 .11563 L
.12029 .11555 L
.11904 .11394 L
.11876 .11358 L
.11781 .11233 L
.11715 .11145 L
.11662 .11073 L
.11555 .10923 L
.11547 .10912 L
.11436 .10752 L
.11394 .10691 L
.11331 .10591 L
.11233 .10431 L
.11233 .10431 L
.11144 .1027 L
.11073 .10119 L
.1107 .1011 L
.11016 .09949 L
.11005 .09789 L
F
1 .92 .084 r
.11715 .10251 m
.11876 .10267 L
.1189 .1027 L
.12036 .10315 L
.12197 .10385 L
.12298 .10431 L
.12357 .10464 L
.12518 .10552 L
.12588 .10591 L
.12678 .10645 L
.12839 .10744 L
.12852 .10752 L
.12999 .10845 L
.13102 .10912 L
.1316 .10951 L
.1332 .11059 L
.13341 .11073 L
.13481 .1117 L
.13572 .11233 L
.13641 .11283 L
.13797 .11394 L
.13802 .11398 L
.13962 .11514 L
.14017 .11555 L
.14123 .11633 L
.14233 .11715 L
.14283 .11753 L
.14444 .11874 L
.14446 .11876 L
.14604 .11997 L
.14656 .12036 L
.14765 .1212 L
.14863 .12197 L
.14926 .12245 L
.15068 .12357 L
.15086 .12371 L
.15247 .12499 L
.15271 .12518 L
.15407 .12627 L
.15471 .12678 L
.15568 .12756 L
.1567 .12839 L
.15728 .12886 L
.15868 .12999 L
.15889 .13016 L
.16049 .13148 L
.16063 .1316 L
.1621 .1328 L
.16258 .1332 L
.1637 .13414 L
.16451 .13481 L
.16531 .13548 L
.16642 .13641 L
.16691 .13683 L
.16833 .13802 L
.16852 .13818 L
.17012 .13954 L
.17022 .13962 L
.17173 .14091 L
.1721 .14123 L
.17333 .14229 L
.17396 .14283 L
.17494 .14368 L
.17582 .14444 L
.17654 .14507 L
.17766 .14604 L
.17815 .14647 L
.17949 .14765 L
.17975 .14788 L
.18132 .14926 L
.18136 .14929 L
.18297 .15072 L
.18313 .15086 L
.18457 .15215 L
.18493 .15247 L
.18618 .15358 L
.18672 .15407 L
.18778 .15502 L
.18851 .15568 L
.18939 .15647 L
.19028 .15728 L
.19099 .15793 L
.19205 .15889 L
.1926 .15939 L
.19381 .16049 L
.1942 .16085 L
.19556 .1621 L
.19581 .16232 L
.19731 .1637 L
.19741 .1638 L
.19902 .16528 L
.19905 .16531 L
.20062 .16676 L
.20079 .16691 L
.20223 .16825 L
.20252 .16852 L
.20383 .16974 L
.20424 .17012 L
.20544 .17124 L
.20596 .17173 L
.20704 .17274 L
.20768 .17333 L
.20865 .17424 L
.20939 .17494 L
.21025 .17575 L
.21109 .17654 L
.21186 .17727 L
.21279 .17815 L
.21346 .17878 L
.21449 .17975 L
.21507 .18031 L
.21618 .18136 L
.21668 .18184 L
.21786 .18297 L
.21828 .18337 L
.21953 .18457 L
.21989 .18491 L
.2212 .18618 L
.22149 .18646 L
.22286 .18778 L
.2231 .18801 L
.22451 .18939 L
.2247 .18958 L
.22615 .19099 L
.22631 .19115 L
.22778 .1926 L
.22791 .19273 L
.2294 .1942 L
.22952 .19432 L
.23101 .19581 L
.23112 .19592 L
.23262 .19741 L
.23273 .19752 L
.23421 .19902 L
.23433 .19914 L
.23579 .20062 L
.23594 .20077 L
.23737 .20223 L
.23754 .20241 L
.23893 .20383 L
.23915 .20406 L
.24049 .20544 L
.24075 .20572 L
.24203 .20704 L
.24236 .20738 L
.24357 .20865 L
.24396 .20906 L
.2451 .21025 L
.24557 .21075 L
.24662 .21186 L
.24717 .21245 L
.24813 .21346 L
.24878 .21415 L
.24964 .21507 L
.25039 .21587 L
.25113 .21668 L
.25199 .2176 L
.25262 .21828 L
.2536 .21934 L
.25409 .21989 L
.2552 .2211 L
.25556 .22149 L
.25681 .22287 L
.25701 .2231 L
.25841 .22465 L
.25846 .2247 L
.25989 .22631 L
.26002 .22645 L
.2613 .22791 L
.26162 .22828 L
.2627 .22952 L
.26323 .23012 L
.26409 .23112 L
.26483 .23199 L
.26546 .23273 L
.26644 .23388 L
.26681 .23433 L
.26804 .23582 L
.26814 .23594 L
.26945 .23754 L
.26965 .23779 L
.27074 .23915 L
.27125 .2398 L
.27199 .24075 L
.27286 .24189 L
.27321 .24236 L
.2744 .24396 L
.27446 .24405 L
.27554 .24557 L
.27607 .24632 L
.27663 .24717 L
.27766 .24878 L
.27767 .2488 L
.2786 .25039 L
.27928 .25164 L
.27941 .25199 L
.28006 .2536 L
.28043 .2552 L
.27928 .25639 L
.27767 .2564 L
.27607 .25589 L
.27446 .25521 L
.27445 .2552 L
.27286 .25443 L
.27131 .2536 L
.27125 .25356 L
.26965 .25263 L
.26857 .25199 L
.26804 .25166 L
.26644 .25064 L
.26604 .25039 L
.26483 .24959 L
.26362 .24878 L
.26323 .24851 L
.26162 .24741 L
.26128 .24717 L
.26002 .24628 L
.25901 .24557 L
.25841 .24514 L
.25681 .24397 L
.2568 .24396 L
.2552 .24279 L
.25462 .24236 L
.2536 .24159 L
.25248 .24075 L
.25199 .24038 L
.25039 .23915 L
.25038 .23915 L
.24878 .23792 L
.2483 .23754 L
.24717 .23667 L
.24624 .23594 L
.24557 .23541 L
.24421 .23433 L
.24396 .23413 L
.24236 .23285 L
.2422 .23273 L
.24075 .23156 L
.24021 .23112 L
.23915 .23026 L
.23823 .22952 L
.23754 .22895 L
.23628 .22791 L
.23594 .22763 L
.23433 .22631 L
.23433 .22631 L
.23273 .22497 L
.2324 .2247 L
.23112 .22363 L
.23048 .2231 L
.22952 .22228 L
.22858 .22149 L
.22791 .22093 L
.22669 .21989 L
.22631 .21956 L
.2248 .21828 L
.2247 .21819 L
.2231 .21682 L
.22293 .21668 L
.22149 .21543 L
.22107 .21507 L
.21989 .21404 L
.21922 .21346 L
.21828 .21264 L
.21738 .21186 L
.21668 .21124 L
.21555 .21025 L
.21507 .20983 L
.21373 .20865 L
.21346 .20841 L
.21192 .20704 L
.21186 .20699 L
.21025 .20556 L
.21011 .20544 L
.20865 .20413 L
.20832 .20383 L
.20704 .20269 L
.20653 .20223 L
.20544 .20124 L
.20475 .20062 L
.20383 .19979 L
.20298 .19902 L
.20223 .19834 L
.20121 .19741 L
.20062 .19687 L
.19946 .19581 L
.19902 .1954 L
.19771 .1942 L
.19741 .19393 L
.19597 .1926 L
.19581 .19245 L
.19423 .19099 L
.1942 .19096 L
.1926 .18947 L
.1925 .18939 L
.19099 .18797 L
.19078 .18778 L
.18939 .18647 L
.18907 .18618 L
.18778 .18496 L
.18737 .18457 L
.18618 .18345 L
.18567 .18297 L
.18457 .18192 L
.18398 .18136 L
.18297 .1804 L
.18229 .17975 L
.18136 .17886 L
.18061 .17815 L
.17975 .17732 L
.17894 .17654 L
.17815 .17578 L
.17728 .17494 L
.17654 .17423 L
.17562 .17333 L
.17494 .17267 L
.17397 .17173 L
.17333 .1711 L
.17233 .17012 L
.17173 .16953 L
.1707 .16852 L
.17012 .16795 L
.16907 .16691 L
.16852 .16637 L
.16745 .16531 L
.16691 .16478 L
.16583 .1637 L
.16531 .16318 L
.16423 .1621 L
.1637 .16157 L
.16263 .16049 L
.1621 .15995 L
.16104 .15889 L
.16049 .15833 L
.15946 .15728 L
.15889 .1567 L
.15788 .15568 L
.15728 .15506 L
.15632 .15407 L
.15568 .15341 L
.15476 .15247 L
.15407 .15175 L
.15321 .15086 L
.15247 .15009 L
.15167 .14926 L
.15086 .14841 L
.15014 .14765 L
.14926 .14672 L
.14861 .14604 L
.14765 .14502 L
.1471 .14444 L
.14604 .14331 L
.1456 .14283 L
.14444 .14159 L
.1441 .14123 L
.14283 .13985 L
.14262 .13962 L
.14123 .1381 L
.14115 .13802 L
.13969 .13641 L
.13962 .13634 L
.13825 .13481 L
.13802 .13456 L
.13681 .1332 L
.13641 .13276 L
.13539 .1316 L
.13481 .13093 L
.13399 .12999 L
.1332 .12909 L
.1326 .12839 L
.1316 .12722 L
.13122 .12678 L
.12999 .12533 L
.12987 .12518 L
.12853 .12357 L
.12839 .1234 L
.12722 .12197 L
.12678 .12143 L
.12593 .12036 L
.12518 .11941 L
.12467 .11876 L
.12357 .11733 L
.12343 .11715 L
.12223 .11555 L
.12197 .11519 L
.12108 .11394 L
.12036 .11292 L
.11997 .11233 L
.11892 .11073 L
.11876 .1105 L
.11795 .10912 L
.11715 .10766 L
.11709 .10752 L
.11637 .10591 L
.1159 .10431 L
.11663 .1027 L
F
1 .91 .061 r
.12197 .10788 m
.12357 .10762 L
.12518 .10809 L
.12678 .10877 L
.12762 .10912 L
.12839 .10955 L
.12999 .11042 L
.13054 .11073 L
.1316 .11135 L
.13319 .11233 L
.1332 .11234 L
.13481 .11337 L
.13569 .11394 L
.13641 .11443 L
.13802 .11552 L
.13806 .11555 L
.13962 .11663 L
.14036 .11715 L
.14123 .11777 L
.1426 .11876 L
.14283 .11893 L
.14444 .1201 L
.14479 .12036 L
.14604 .1213 L
.14694 .12197 L
.14765 .12251 L
.14905 .12357 L
.14926 .12373 L
.15086 .12497 L
.15113 .12518 L
.15247 .12622 L
.15319 .12678 L
.15407 .12748 L
.15522 .12839 L
.15568 .12875 L
.15723 .12999 L
.15728 .13003 L
.15889 .13132 L
.15922 .1316 L
.16049 .13263 L
.1612 .1332 L
.1621 .13394 L
.16316 .13481 L
.1637 .13526 L
.1651 .13641 L
.16531 .13659 L
.16691 .13793 L
.16702 .13802 L
.16852 .13927 L
.16893 .13962 L
.17012 .14063 L
.17083 .14123 L
.17173 .14199 L
.17272 .14283 L
.17333 .14336 L
.17459 .14444 L
.17494 .14474 L
.17645 .14604 L
.17654 .14613 L
.17815 .14752 L
.1783 .14765 L
.17975 .14892 L
.18013 .14926 L
.18136 .15033 L
.18196 .15086 L
.18297 .15175 L
.18378 .15247 L
.18457 .15317 L
.18558 .15407 L
.18618 .1546 L
.18738 .15568 L
.18778 .15604 L
.18917 .15728 L
.18939 .15748 L
.19094 .15889 L
.19099 .15893 L
.1926 .16038 L
.19271 .16049 L
.1942 .16185 L
.19448 .1621 L
.19581 .16331 L
.19623 .1637 L
.19741 .16479 L
.19798 .16531 L
.19902 .16626 L
.19972 .16691 L
.20062 .16775 L
.20146 .16852 L
.20223 .16923 L
.20318 .17012 L
.20383 .17073 L
.20491 .17173 L
.20544 .17223 L
.20662 .17333 L
.20704 .17373 L
.20833 .17494 L
.20865 .17524 L
.21004 .17654 L
.21025 .17675 L
.21173 .17815 L
.21186 .17827 L
.21342 .17975 L
.21346 .17979 L
.21507 .18133 L
.21511 .18136 L
.21668 .18286 L
.21678 .18297 L
.21828 .18441 L
.21845 .18457 L
.21989 .18596 L
.22011 .18618 L
.22149 .18752 L
.22176 .18778 L
.2231 .18908 L
.22341 .18939 L
.2247 .19066 L
.22504 .19099 L
.22631 .19224 L
.22667 .1926 L
.22791 .19383 L
.22828 .1942 L
.22952 .19544 L
.22989 .19581 L
.23112 .19705 L
.23149 .19741 L
.23273 .19867 L
.23307 .19902 L
.23433 .2003 L
.23465 .20062 L
.23594 .20194 L
.23622 .20223 L
.23754 .20359 L
.23778 .20383 L
.23915 .20525 L
.23933 .20544 L
.24075 .20693 L
.24087 .20704 L
.24236 .20861 L
.2424 .20865 L
.24392 .21025 L
.24396 .2103 L
.24543 .21186 L
.24557 .21201 L
.24693 .21346 L
.24717 .21373 L
.24842 .21507 L
.24878 .21546 L
.2499 .21668 L
.25039 .21721 L
.25136 .21828 L
.25199 .21897 L
.25282 .21989 L
.2536 .22074 L
.25426 .22149 L
.2552 .22254 L
.2557 .2231 L
.25681 .22435 L
.25711 .2247 L
.25841 .22619 L
.25851 .22631 L
.2599 .22791 L
.26002 .22805 L
.26126 .22952 L
.26162 .22994 L
.26261 .23112 L
.26323 .23187 L
.26393 .23273 L
.26483 .23384 L
.26523 .23433 L
.26644 .23586 L
.2665 .23594 L
.26773 .23754 L
.26804 .23794 L
.26894 .23915 L
.26965 .24012 L
.27009 .24075 L
.2712 .24236 L
.27125 .24243 L
.27224 .24396 L
.27286 .24494 L
.27318 .24557 L
.27402 .24717 L
.27446 .24832 L
.27462 .24878 L
.27482 .25039 L
.27446 .25094 L
.27286 .25141 L
.27125 .25094 L
.26988 .25039 L
.26965 .25029 L
.26804 .24952 L
.26663 .24878 L
.26644 .24866 L
.26483 .24773 L
.2639 .24717 L
.26323 .24675 L
.26162 .24573 L
.26137 .24557 L
.26002 .24467 L
.25896 .24396 L
.25841 .24359 L
.25681 .24248 L
.25664 .24236 L
.2552 .24134 L
.25438 .24075 L
.2536 .24018 L
.25218 .23915 L
.25199 .23901 L
.25039 .23782 L
.25002 .23754 L
.24878 .23661 L
.2479 .23594 L
.24717 .23539 L
.2458 .23433 L
.24557 .23415 L
.24396 .2329 L
.24374 .23273 L
.24236 .23164 L
.2417 .23112 L
.24075 .23037 L
.23969 .22952 L
.23915 .22909 L
.23769 .22791 L
.23754 .22779 L
.23594 .22649 L
.23571 .22631 L
.23433 .22518 L
.23375 .2247 L
.23273 .22386 L
.23181 .2231 L
.23112 .22253 L
.22988 .22149 L
.22952 .22119 L
.22796 .21989 L
.22791 .21984 L
.22631 .21849 L
.22606 .21828 L
.2247 .21712 L
.22417 .21668 L
.2231 .21575 L
.2223 .21507 L
.22149 .21438 L
.22043 .21346 L
.21989 .21299 L
.21858 .21186 L
.21828 .2116 L
.21673 .21025 L
.21668 .21021 L
.21507 .2088 L
.2149 .20865 L
.21346 .20739 L
.21307 .20704 L
.21186 .20597 L
.21126 .20544 L
.21025 .20455 L
.20945 .20383 L
.20865 .20312 L
.20766 .20223 L
.20704 .20168 L
.20587 .20062 L
.20544 .20024 L
.20409 .19902 L
.20383 .19879 L
.20232 .19741 L
.20223 .19733 L
.20062 .19587 L
.20056 .19581 L
.19902 .1944 L
.1988 .1942 L
.19741 .19292 L
.19706 .1926 L
.19581 .19144 L
.19532 .19099 L
.1942 .18996 L
.19359 .18939 L
.1926 .18846 L
.19187 .18778 L
.19099 .18696 L
.19015 .18618 L
.18939 .18546 L
.18844 .18457 L
.18778 .18395 L
.18674 .18297 L
.18618 .18243 L
.18505 .18136 L
.18457 .1809 L
.18336 .17975 L
.18297 .17937 L
.18169 .17815 L
.18136 .17784 L
.18002 .17654 L
.17975 .17629 L
.17836 .17494 L
.17815 .17474 L
.1767 .17333 L
.17654 .17318 L
.17505 .17173 L
.17494 .17162 L
.17341 .17012 L
.17333 .17005 L
.17178 .16852 L
.17173 .16847 L
.17016 .16691 L
.17012 .16688 L
.16854 .16531 L
.16852 .16528 L
.16693 .1637 L
.16691 .16368 L
.16533 .1621 L
.16531 .16207 L
.16374 .16049 L
.1637 .16045 L
.16216 .15889 L
.1621 .15883 L
.16058 .15728 L
.16049 .15719 L
.15902 .15568 L
.15889 .15554 L
.15746 .15407 L
.15728 .15389 L
.15591 .15247 L
.15568 .15222 L
.15437 .15086 L
.15407 .15055 L
.15284 .14926 L
.15247 .14886 L
.15132 .14765 L
.15086 .14716 L
.14982 .14604 L
.14926 .14545 L
.14832 .14444 L
.14765 .14372 L
.14683 .14283 L
.14604 .14198 L
.14536 .14123 L
.14444 .14022 L
.14389 .13962 L
.14283 .13845 L
.14244 .13802 L
.14123 .13666 L
.14101 .13641 L
.13962 .13485 L
.13959 .13481 L
.13818 .1332 L
.13802 .13301 L
.13679 .1316 L
.13641 .13115 L
.13542 .12999 L
.13481 .12926 L
.13407 .12839 L
.1332 .12734 L
.13275 .12678 L
.1316 .12537 L
.13144 .12518 L
.13016 .12357 L
.12999 .12336 L
.12891 .12197 L
.12839 .12128 L
.1277 .12036 L
.12678 .11911 L
.12653 .11876 L
.12541 .11715 L
.12518 .11683 L
.12434 .11555 L
.12357 .11431 L
.12337 .11394 L
.12249 .11233 L
.12197 .11115 L
.1218 .11073 L
.12138 .10912 L
F
1 .98 .538 r
.12518 .06542 m
.12678 .06501 L
.12839 .06475 L
.12999 .06459 L
.1316 .0645 L
.1332 .06446 L
.13481 .06447 L
.13641 .06453 L
.13802 .06463 L
.13962 .06477 L
.14123 .06496 L
.14283 .0652 L
.14444 .06549 L
.14585 .06578 L
.14604 .06583 L
.14765 .06623 L
.14926 .0667 L
.15086 .06722 L
.15137 .06739 L
.15247 .0678 L
.15407 .06845 L
.15534 .06899 L
.15568 .06915 L
.15728 .06993 L
.1586 .0706 L
.15889 .07075 L
.16049 .07166 L
.16144 .0722 L
.1621 .0726 L
.1637 .07362 L
.164 .07381 L
.16531 .0747 L
.16633 .07541 L
.16691 .07584 L
.16847 .07702 L
.16852 .07706 L
.17012 .07837 L
.17042 .07862 L
.17173 .07979 L
.1722 .08023 L
.17333 .08135 L
.17379 .08184 L
.17494 .08316 L
.17515 .08344 L
.17622 .08505 L
.17654 .08569 L
.17686 .08665 L
.17676 .08826 L
.17654 .08866 L
.17494 .08985 L
.17491 .08986 L
.17333 .09044 L
.17173 .09076 L
.17012 .09094 L
.16852 .09107 L
.16691 .09115 L
.16531 .09121 L
.1637 .09125 L
.1621 .09126 L
.16049 .09125 L
.15889 .09123 L
.15728 .09118 L
.15568 .09111 L
.15407 .09102 L
.15247 .09089 L
.15086 .09073 L
.14926 .09053 L
.14765 .09028 L
.14604 .08997 L
.14555 .08986 L
.14444 .08959 L
.14283 .08913 L
.14123 .08859 L
.14034 .08826 L
.13962 .08796 L
.13802 .08722 L
.13688 .08665 L
.13641 .08639 L
.13481 .08545 L
.13416 .08505 L
.1332 .0844 L
.13187 .08344 L
.1316 .08323 L
.12999 .08194 L
.12987 .08184 L
.12839 .0805 L
.1281 .08023 L
.12678 .07891 L
.12652 .07862 L
.12518 .07709 L
.12512 .07702 L
.1239 .07541 L
.12357 .07495 L
.12287 .07381 L
.12206 .0722 L
.12197 .07198 L
.12154 .0706 L
.12145 .06899 L
.12197 .06752 L
.12205 .06739 L
.12357 .06604 L
.12421 .06578 L
F
1 .9 .045 r
.12678 .11307 m
.12839 .11251 L
.12999 .11286 L
.1316 .11354 L
.13256 .11394 L
.1332 .11432 L
.13481 .11521 L
.13541 .11555 L
.13641 .11615 L
.13802 .11715 L
.13802 .11715 L
.13962 .11818 L
.14049 .11876 L
.14123 .11925 L
.14283 .12036 L
.14284 .12036 L
.14444 .12148 L
.14512 .12197 L
.14604 .12263 L
.14733 .12357 L
.14765 .12381 L
.14926 .125 L
.1495 .12518 L
.15086 .1262 L
.15163 .12678 L
.15247 .12742 L
.15372 .12839 L
.15407 .12866 L
.15568 .12991 L
.15578 .12999 L
.15728 .13117 L
.15782 .1316 L
.15889 .13245 L
.15983 .1332 L
.16049 .13373 L
.16182 .13481 L
.1621 .13503 L
.1637 .13634 L
.16379 .13641 L
.16531 .13765 L
.16575 .13802 L
.16691 .13898 L
.16769 .13962 L
.16852 .14032 L
.16961 .14123 L
.17012 .14166 L
.17151 .14283 L
.17173 .14302 L
.17333 .14438 L
.17341 .14444 L
.17494 .14575 L
.17528 .14604 L
.17654 .14713 L
.17715 .14765 L
.17815 .14851 L
.179 .14926 L
.17975 .14991 L
.18084 .15086 L
.18136 .15131 L
.18267 .15247 L
.18297 .15272 L
.18449 .15407 L
.18457 .15414 L
.18618 .15556 L
.1863 .15568 L
.18778 .157 L
.1881 .15728 L
.18939 .15843 L
.18989 .15889 L
.19099 .15988 L
.19167 .16049 L
.1926 .16133 L
.19344 .1621 L
.1942 .16279 L
.1952 .1637 L
.19581 .16425 L
.19696 .16531 L
.19741 .16573 L
.1987 .16691 L
.19902 .1672 L
.20044 .16852 L
.20062 .16868 L
.20217 .17012 L
.20223 .17017 L
.20383 .17167 L
.2039 .17173 L
.20544 .17317 L
.20562 .17333 L
.20704 .17467 L
.20733 .17494 L
.20865 .17619 L
.20903 .17654 L
.21025 .1777 L
.21072 .17815 L
.21186 .17923 L
.21241 .17975 L
.21346 .18076 L
.21409 .18136 L
.21507 .1823 L
.21576 .18297 L
.21668 .18384 L
.21743 .18457 L
.21828 .18539 L
.21908 .18618 L
.21989 .18696 L
.22073 .18778 L
.22149 .18852 L
.22237 .18939 L
.2231 .1901 L
.224 .19099 L
.2247 .19169 L
.22562 .1926 L
.22631 .19328 L
.22723 .1942 L
.22791 .19489 L
.22883 .19581 L
.22952 .1965 L
.23042 .19741 L
.23112 .19812 L
.232 .19902 L
.23273 .19976 L
.23357 .20062 L
.23433 .2014 L
.23513 .20223 L
.23594 .20306 L
.23668 .20383 L
.23754 .20473 L
.23822 .20544 L
.23915 .20641 L
.23975 .20704 L
.24075 .2081 L
.24127 .20865 L
.24236 .2098 L
.24278 .21025 L
.24396 .21152 L
.24428 .21186 L
.24557 .21325 L
.24576 .21346 L
.24717 .215 L
.24724 .21507 L
.2487 .21668 L
.24878 .21677 L
.25014 .21828 L
.25039 .21855 L
.25158 .21989 L
.25199 .22035 L
.25299 .22149 L
.2536 .22218 L
.2544 .2231 L
.2552 .22403 L
.25578 .2247 L
.25681 .22591 L
.25714 .22631 L
.25841 .22783 L
.25848 .22791 L
.2598 .22952 L
.26002 .22978 L
.26109 .23112 L
.26162 .23179 L
.26235 .23273 L
.26323 .23387 L
.26357 .23433 L
.26475 .23594 L
.26483 .23605 L
.26588 .23754 L
.26644 .23834 L
.26694 .23915 L
.26792 .24075 L
.26804 .24099 L
.26878 .24236 L
.26945 .24396 L
.26958 .24557 L
.26804 .24668 L
.26644 .24616 L
.26497 .24557 L
.26483 .24551 L
.26323 .24475 L
.26175 .24396 L
.26162 .24387 L
.26002 .24294 L
.25905 .24236 L
.25841 .24195 L
.25681 .24091 L
.25656 .24075 L
.2552 .23985 L
.25417 .23915 L
.2536 .23875 L
.25199 .23762 L
.25188 .23754 L
.25039 .23647 L
.24964 .23594 L
.24878 .23531 L
.24746 .23433 L
.24717 .23412 L
.24557 .23291 L
.24533 .23273 L
.24396 .23169 L
.24322 .23112 L
.24236 .23046 L
.24115 .22952 L
.24075 .22921 L
.23915 .22794 L
.23911 .22791 L
.23754 .22667 L
.23709 .22631 L
.23594 .22538 L
.23509 .2247 L
.23433 .22409 L
.23311 .2231 L
.23273 .22278 L
.23116 .22149 L
.23112 .22146 L
.22952 .22014 L
.22921 .21989 L
.22791 .2188 L
.22729 .21828 L
.22631 .21746 L
.22538 .21668 L
.2247 .21611 L
.22348 .21507 L
.2231 .21474 L
.22159 .21346 L
.22149 .21338 L
.21989 .212 L
.21972 .21186 L
.21828 .21061 L
.21786 .21025 L
.21668 .20922 L
.21602 .20865 L
.21507 .20782 L
.21418 .20704 L
.21346 .20642 L
.21235 .20544 L
.21186 .205 L
.21054 .20383 L
.21025 .20358 L
.20873 .20223 L
.20865 .20216 L
.20704 .20072 L
.20693 .20062 L
.20544 .19928 L
.20515 .19902 L
.20383 .19783 L
.20337 .19741 L
.20223 .19638 L
.2016 .19581 L
.20062 .19492 L
.19984 .1942 L
.19902 .19345 L
.19809 .1926 L
.19741 .19197 L
.19635 .19099 L
.19581 .19049 L
.19461 .18939 L
.1942 .189 L
.19289 .18778 L
.1926 .18751 L
.19117 .18618 L
.19099 .18601 L
.18946 .18457 L
.18939 .1845 L
.18778 .18299 L
.18776 .18297 L
.18618 .18147 L
.18606 .18136 L
.18457 .17994 L
.18438 .17975 L
.18297 .1784 L
.1827 .17815 L
.18136 .17686 L
.18103 .17654 L
.17975 .17531 L
.17937 .17494 L
.17815 .17375 L
.17772 .17333 L
.17654 .17219 L
.17607 .17173 L
.17494 .17062 L
.17444 .17012 L
.17333 .16904 L
.17281 .16852 L
.17173 .16745 L
.17119 .16691 L
.17012 .16585 L
.16958 .16531 L
.16852 .16425 L
.16798 .1637 L
.16691 .16263 L
.16638 .1621 L
.16531 .16101 L
.1648 .16049 L
.1637 .15938 L
.16322 .15889 L
.1621 .15774 L
.16165 .15728 L
.16049 .15608 L
.1601 .15568 L
.15889 .15442 L
.15855 .15407 L
.15728 .15275 L
.15701 .15247 L
.15568 .15106 L
.15549 .15086 L
.15407 .14936 L
.15397 .14926 L
.15247 .14765 L
.15247 .14765 L
.15097 .14604 L
.15086 .14592 L
.14949 .14444 L
.14926 .14418 L
.14803 .14283 L
.14765 .14242 L
.14657 .14123 L
.14604 .14064 L
.14513 .13962 L
.14444 .13884 L
.14371 .13802 L
.14283 .13702 L
.1423 .13641 L
.14123 .13517 L
.14092 .13481 L
.13962 .13329 L
.13955 .1332 L
.1382 .1316 L
.13802 .13138 L
.13687 .12999 L
.13641 .12943 L
.13558 .12839 L
.13481 .12743 L
.13431 .12678 L
.1332 .12535 L
.13307 .12518 L
.13188 .12357 L
.1316 .1232 L
.13073 .12197 L
.12999 .1209 L
.12965 .12036 L
.12864 .11876 L
.12839 .11851 L
.12774 .11715 L
.12699 .11555 L
.12678 .11481 L
.12661 .11394 L
F
1 .97 .395 r
.1316 .06707 m
.1332 .06682 L
.13481 .0667 L
.13641 .06668 L
.13802 .06674 L
.13962 .06688 L
.14123 .06709 L
.14283 .06736 L
.14298 .06739 L
.14444 .0677 L
.14604 .06811 L
.14765 .06858 L
.14892 .06899 L
.14926 .06911 L
.15086 .06972 L
.15247 .07038 L
.15296 .0706 L
.15407 .07112 L
.15568 .07192 L
.15623 .0722 L
.15728 .07278 L
.15889 .07371 L
.15904 .07381 L
.16049 .07472 L
.16153 .07541 L
.1621 .0758 L
.1637 .07697 L
.16377 .07702 L
.16531 .07823 L
.16578 .07862 L
.16691 .07962 L
.16757 .08023 L
.16852 .08117 L
.16912 .08184 L
.17012 .08303 L
.1704 .08344 L
.17132 .08505 L
.17166 .08665 L
.17092 .08826 L
.17012 .08901 L
.16852 .08956 L
.16691 .08981 L
.1665 .08986 L
.16531 .09002 L
.1637 .09015 L
.1621 .09022 L
.16049 .09023 L
.15889 .09021 L
.15728 .09014 L
.15568 .09003 L
.15407 .08987 L
.15397 .08986 L
.15247 .08967 L
.15086 .08941 L
.14926 .08908 L
.14765 .08868 L
.14618 .08826 L
.14604 .08821 L
.14444 .08765 L
.14283 .08699 L
.14208 .08665 L
.14123 .08624 L
.13962 .08537 L
.13907 .08505 L
.13802 .08439 L
.13662 .08344 L
.13641 .08329 L
.13481 .08206 L
.13454 .08184 L
.1332 .08067 L
.13274 .08023 L
.1316 .07909 L
.13117 .07862 L
.12999 .07725 L
.12981 .07702 L
.12869 .07541 L
.12839 .07498 L
.12782 .07381 L
.12727 .0722 L
.12718 .0706 L
.12786 .06899 L
.12839 .06839 L
.12999 .06753 L
.13044 .06739 L
F
1 .96 .289 r
.13641 .06885 m
.13802 .06877 L
.13962 .06882 L
.14123 .06898 L
.14137 .06899 L
.14283 .06922 L
.14444 .06956 L
.14604 .06997 L
.14765 .07046 L
.14807 .0706 L
.14926 .07102 L
.15086 .07166 L
.15211 .0722 L
.15247 .07237 L
.15407 .07315 L
.15532 .07381 L
.15568 .07401 L
.15728 .07494 L
.15804 .07541 L
.15889 .07596 L
.16041 .07702 L
.16049 .07707 L
.1621 .0783 L
.1625 .07862 L
.1637 .07966 L
.16431 .08023 L
.16531 .08123 L
.16584 .08184 L
.16691 .08324 L
.16702 .08344 L
.16773 .08505 L
.16766 .08665 L
.16691 .08758 L
.16568 .08826 L
.16531 .0884 L
.1637 .08881 L
.1621 .08901 L
.16049 .0891 L
.15889 .08911 L
.15728 .08904 L
.15568 .08892 L
.15407 .08872 L
.15247 .08846 L
.15142 .08826 L
.15086 .08813 L
.14926 .08772 L
.14765 .08722 L
.14609 .08665 L
.14604 .08663 L
.14444 .08594 L
.14283 .08515 L
.14265 .08505 L
.14123 .08423 L
.14 .08344 L
.13962 .08318 L
.13802 .08199 L
.13782 .08184 L
.13641 .08063 L
.13599 .08023 L
.13481 .07903 L
.13444 .07862 L
.1332 .07707 L
.13317 .07702 L
.13218 .07541 L
.1316 .074 L
.13154 .07381 L
.13139 .0722 L
.1316 .07138 L
.13207 .0706 L
.1332 .06965 L
.13481 .06912 L
.13527 .06899 L
F
1 .89 .033 r
.1332 .11716 m
.13481 .1175 L
.13641 .1182 L
.13769 .11876 L
.13802 .11901 L
.13962 .11991 L
.14041 .12036 L
.14123 .12087 L
.14283 .12189 L
.14296 .12197 L
.14444 .12294 L
.14538 .12357 L
.14604 .12403 L
.14765 .12515 L
.14769 .12518 L
.14926 .12629 L
.14994 .12678 L
.15086 .12746 L
.15212 .12839 L
.15247 .12864 L
.15407 .12985 L
.15426 .12999 L
.15568 .13107 L
.15636 .1316 L
.15728 .13231 L
.15843 .1332 L
.15889 .13356 L
.16047 .13481 L
.16049 .13483 L
.1621 .1361 L
.16248 .13641 L
.1637 .13739 L
.16447 .13802 L
.16531 .1387 L
.16644 .13962 L
.16691 .14001 L
.16839 .14123 L
.16852 .14133 L
.17012 .14266 L
.17033 .14283 L
.17173 .14401 L
.17224 .14444 L
.17333 .14536 L
.17414 .14604 L
.17494 .14672 L
.17603 .14765 L
.17654 .14809 L
.1779 .14926 L
.17815 .14947 L
.17975 .15086 L
.17976 .15086 L
.18136 .15225 L
.1816 .15247 L
.18297 .15366 L
.18343 .15407 L
.18457 .15507 L
.18526 .15568 L
.18618 .15649 L
.18707 .15728 L
.18778 .15792 L
.18887 .15889 L
.18939 .15935 L
.19066 .16049 L
.19099 .16079 L
.19244 .1621 L
.1926 .16224 L
.1942 .1637 L
.19421 .1637 L
.19581 .16516 L
.19597 .16531 L
.19741 .16663 L
.19772 .16691 L
.19902 .16811 L
.19946 .16852 L
.20062 .16959 L
.2012 .17012 L
.20223 .17108 L
.20293 .17173 L
.20383 .17257 L
.20465 .17333 L
.20544 .17408 L
.20636 .17494 L
.20704 .17559 L
.20806 .17654 L
.20865 .1771 L
.20975 .17815 L
.21025 .17862 L
.21144 .17975 L
.21186 .18015 L
.21312 .18136 L
.21346 .18169 L
.21479 .18297 L
.21507 .18324 L
.21645 .18457 L
.21668 .18479 L
.2181 .18618 L
.21828 .18635 L
.21974 .18778 L
.21989 .18792 L
.22138 .18939 L
.22149 .1895 L
.223 .19099 L
.2231 .19109 L
.22462 .1926 L
.2247 .19268 L
.22622 .1942 L
.22631 .19429 L
.22781 .19581 L
.22791 .19591 L
.2294 .19741 L
.22952 .19753 L
.23097 .19902 L
.23112 .19917 L
.23253 .20062 L
.23273 .20082 L
.23408 .20223 L
.23433 .20249 L
.23563 .20383 L
.23594 .20416 L
.23715 .20544 L
.23754 .20585 L
.23867 .20704 L
.23915 .20755 L
.24018 .20865 L
.24075 .20927 L
.24167 .21025 L
.24236 .211 L
.24315 .21186 L
.24396 .21275 L
.24462 .21346 L
.24557 .21451 L
.24607 .21507 L
.24717 .2163 L
.24751 .21668 L
.24878 .21811 L
.24893 .21828 L
.25033 .21989 L
.25039 .21995 L
.25172 .22149 L
.25199 .22181 L
.25308 .2231 L
.2536 .22371 L
.25442 .2247 L
.2552 .22565 L
.25573 .22631 L
.25681 .22765 L
.25701 .22791 L
.25826 .22952 L
.25841 .22971 L
.25947 .23112 L
.26002 .23185 L
.26063 .23273 L
.26162 .23418 L
.26172 .23433 L
.26274 .23594 L
.26323 .23657 L
.26364 .23754 L
.2644 .23915 L
.26465 .24075 L
.26323 .24182 L
.26162 .24153 L
.26002 .24084 L
.25979 .24075 L
.25841 .24007 L
.25681 .23917 L
.25677 .23915 L
.2552 .23822 L
.2541 .23754 L
.2536 .23721 L
.25199 .23616 L
.25166 .23594 L
.25039 .23508 L
.24931 .23433 L
.24878 .23396 L
.24717 .23282 L
.24705 .23273 L
.24557 .23165 L
.24484 .23112 L
.24396 .23047 L
.24269 .22952 L
.24236 .22927 L
.24075 .22804 L
.24058 .22791 L
.23915 .22681 L
.2385 .22631 L
.23754 .22556 L
.23645 .2247 L
.23594 .22429 L
.23443 .2231 L
.23433 .22301 L
.23273 .22173 L
.23244 .22149 L
.23112 .22042 L
.23046 .21989 L
.22952 .21911 L
.22851 .21828 L
.22791 .21779 L
.22657 .21668 L
.22631 .21646 L
.2247 .21512 L
.22465 .21507 L
.2231 .21377 L
.22274 .21346 L
.22149 .21241 L
.22085 .21186 L
.21989 .21104 L
.21897 .21025 L
.21828 .20966 L
.21711 .20865 L
.21668 .20827 L
.21526 .20704 L
.21507 .20688 L
.21346 .20548 L
.21342 .20544 L
.21186 .20407 L
.21159 .20383 L
.21025 .20266 L
.20977 .20223 L
.20865 .20123 L
.20797 .20062 L
.20704 .1998 L
.20617 .19902 L
.20544 .19836 L
.20438 .19741 L
.20383 .19692 L
.20261 .19581 L
.20223 .19546 L
.20084 .1942 L
.20062 .194 L
.19908 .1926 L
.19902 .19253 L
.19741 .19106 L
.19734 .19099 L
.19581 .18958 L
.1956 .18939 L
.1942 .18809 L
.19387 .18778 L
.1926 .18659 L
.19215 .18618 L
.19099 .18509 L
.19044 .18457 L
.18939 .18358 L
.18873 .18297 L
.18778 .18206 L
.18704 .18136 L
.18618 .18054 L
.18535 .17975 L
.18457 .17901 L
.18368 .17815 L
.18297 .17747 L
.18201 .17654 L
.18136 .17592 L
.18035 .17494 L
.17975 .17436 L
.1787 .17333 L
.17815 .1728 L
.17706 .17173 L
.17654 .17123 L
.17542 .17012 L
.17494 .16965 L
.1738 .16852 L
.17333 .16806 L
.17218 .16691 L
.17173 .16646 L
.17058 .16531 L
.17012 .16485 L
.16898 .1637 L
.16852 .16324 L
.16739 .1621 L
.16691 .16161 L
.16582 .16049 L
.16531 .15997 L
.16425 .15889 L
.1637 .15833 L
.16269 .15728 L
.1621 .15667 L
.16114 .15568 L
.16049 .155 L
.15961 .15407 L
.15889 .15331 L
.15808 .15247 L
.15728 .15161 L
.15657 .15086 L
.15568 .1499 L
.15507 .14926 L
.15407 .14818 L
.15359 .14765 L
.15247 .14643 L
.15211 .14604 L
.15086 .14467 L
.15065 .14444 L
.14926 .14289 L
.14921 .14283 L
.14778 .14123 L
.14765 .14108 L
.14637 .13962 L
.14604 .13925 L
.14498 .13802 L
.14444 .13739 L
.14361 .13641 L
.14283 .13549 L
.14226 .13481 L
.14123 .13356 L
.14094 .1332 L
.13965 .1316 L
.13962 .13156 L
.13839 .12999 L
.13802 .12952 L
.13717 .12839 L
.13641 .12738 L
.13599 .12678 L
.13488 .12518 L
.13481 .1251 L
.13383 .12357 L
.1332 .12262 L
.13289 .12197 L
.13207 .12036 L
.13162 .11876 L
F
1 .95 .212 r
.13641 .07166 m
.13802 .07107 L
.13962 .07088 L
.14123 .07089 L
.14283 .07105 L
.14444 .07133 L
.14604 .07172 L
.14765 .07219 L
.14768 .0722 L
.14926 .07276 L
.15086 .07341 L
.15174 .07381 L
.15247 .07415 L
.15407 .07498 L
.15485 .07541 L
.15568 .0759 L
.15728 .07692 L
.15743 .07702 L
.15889 .07805 L
.15962 .07862 L
.16049 .07933 L
.16147 .08023 L
.1621 .08081 L
.16296 .08184 L
.1637 .08289 L
.16401 .08344 L
.16441 .08505 L
.1637 .08649 L
.16351 .08665 L
.1621 .08744 L
.16049 .08773 L
.15889 .08783 L
.15728 .08782 L
.15568 .08771 L
.15407 .0875 L
.15247 .08721 L
.15086 .08683 L
.15023 .08665 L
.14926 .08635 L
.14765 .08577 L
.14604 .08508 L
.14597 .08505 L
.14444 .08427 L
.14302 .08344 L
.14283 .08333 L
.14123 .08223 L
.14071 .08184 L
.13962 .08096 L
.13883 .08023 L
.13802 .07944 L
.13732 .07862 L
.13641 .07748 L
.13615 .07702 L
.13537 .07541 L
.13512 .07381 L
.13582 .0722 L
F
1 .88 .024 r
.13802 .12166 m
.13912 .12197 L
.13962 .12209 L
.14123 .1228 L
.14279 .12357 L
.14283 .12365 L
.14444 .12457 L
.14547 .12518 L
.14604 .12555 L
.14765 .12659 L
.14794 .12678 L
.14926 .12766 L
.15031 .12839 L
.15086 .12877 L
.15247 .12991 L
.15258 .12999 L
.15407 .13107 L
.15479 .1316 L
.15568 .13226 L
.15694 .1332 L
.15728 .13346 L
.15889 .13469 L
.15905 .13481 L
.16049 .13593 L
.16112 .13641 L
.1621 .13718 L
.16316 .13802 L
.1637 .13845 L
.16517 .13962 L
.16531 .13973 L
.16691 .14103 L
.16716 .14123 L
.16852 .14234 L
.16913 .14283 L
.17012 .14366 L
.17107 .14444 L
.17173 .14499 L
.173 .14604 L
.17333 .14633 L
.17491 .14765 L
.17494 .14768 L
.17654 .14904 L
.1768 .14926 L
.17815 .15041 L
.17868 .15086 L
.17975 .15179 L
.18054 .15247 L
.18136 .15318 L
.18239 .15407 L
.18297 .15457 L
.18422 .15568 L
.18457 .15598 L
.18605 .15728 L
.18618 .15739 L
.18778 .15882 L
.18786 .15889 L
.18939 .16025 L
.18966 .16049 L
.19099 .16169 L
.19145 .1621 L
.1926 .16313 L
.19323 .1637 L
.1942 .16458 L
.195 .16531 L
.19581 .16605 L
.19676 .16691 L
.19741 .16751 L
.19851 .16852 L
.19902 .16899 L
.20025 .17012 L
.20062 .17047 L
.20198 .17173 L
.20223 .17196 L
.2037 .17333 L
.20383 .17346 L
.20541 .17494 L
.20544 .17496 L
.20704 .17648 L
.20711 .17654 L
.20865 .178 L
.20881 .17815 L
.21025 .17952 L
.21049 .17975 L
.21186 .18106 L
.21217 .18136 L
.21346 .1826 L
.21384 .18297 L
.21507 .18416 L
.2155 .18457 L
.21668 .18572 L
.21714 .18618 L
.21828 .18729 L
.21878 .18778 L
.21989 .18887 L
.22041 .18939 L
.22149 .19046 L
.22203 .19099 L
.2231 .19205 L
.22364 .1926 L
.2247 .19366 L
.22523 .1942 L
.22631 .19528 L
.22682 .19581 L
.22791 .19692 L
.2284 .19741 L
.22952 .19856 L
.22996 .19902 L
.23112 .20022 L
.23151 .20062 L
.23273 .20189 L
.23305 .20223 L
.23433 .20357 L
.23458 .20383 L
.23594 .20527 L
.2361 .20544 L
.23754 .20698 L
.2376 .20704 L
.23909 .20865 L
.23915 .20871 L
.24057 .21025 L
.24075 .21046 L
.24202 .21186 L
.24236 .21223 L
.24347 .21346 L
.24396 .21402 L
.24489 .21507 L
.24557 .21584 L
.2463 .21668 L
.24717 .21768 L
.24769 .21828 L
.24878 .21956 L
.24905 .21989 L
.25039 .22149 L
.25039 .22149 L
.2517 .2231 L
.25199 .22345 L
.25298 .2247 L
.2536 .22548 L
.25422 .22631 L
.2552 .22762 L
.2554 .22791 L
.25654 .22952 L
.25681 .22983 L
.25761 .23112 L
.25841 .23243 L
.25855 .23273 L
.25939 .23433 L
.2598 .23594 L
.25841 .23728 L
.25681 .23698 L
.2552 .23624 L
.25445 .23594 L
.2536 .23544 L
.25199 .23451 L
.25168 .23433 L
.25039 .23354 L
.24911 .23273 L
.24878 .23251 L
.24717 .23143 L
.24671 .23112 L
.24557 .23033 L
.24441 .22952 L
.24396 .2292 L
.24236 .22803 L
.24219 .22791 L
.24075 .22685 L
.24002 .22631 L
.23915 .22565 L
.2379 .2247 L
.23754 .22443 L
.23594 .22319 L
.23582 .2231 L
.23433 .22194 L
.23377 .22149 L
.23273 .22067 L
.23174 .21989 L
.23112 .21939 L
.22975 .21828 L
.22952 .21809 L
.22791 .21679 L
.22778 .21668 L
.22631 .21547 L
.22582 .21507 L
.2247 .21414 L
.22389 .21346 L
.2231 .2128 L
.22198 .21186 L
.22149 .21145 L
.22008 .21025 L
.21989 .21009 L
.21828 .20872 L
.21819 .20865 L
.21668 .20735 L
.21632 .20704 L
.21507 .20596 L
.21447 .20544 L
.21346 .20456 L
.21263 .20383 L
.21186 .20316 L
.2108 .20223 L
.21025 .20175 L
.20898 .20062 L
.20865 .20033 L
.20717 .19902 L
.20704 .1989 L
.20544 .19747 L
.20538 .19741 L
.20383 .19602 L
.20359 .19581 L
.20223 .19457 L
.20182 .1942 L
.20062 .19311 L
.20006 .1926 L
.19902 .19165 L
.1983 .19099 L
.19741 .19017 L
.19656 .18939 L
.19581 .18869 L
.19483 .18778 L
.1942 .1872 L
.1931 .18618 L
.1926 .1857 L
.19139 .18457 L
.19099 .1842 L
.18968 .18297 L
.18939 .18268 L
.18799 .18136 L
.18778 .18116 L
.1863 .17975 L
.18618 .17963 L
.18463 .17815 L
.18457 .1781 L
.18297 .17655 L
.18296 .17654 L
.18136 .175 L
.1813 .17494 L
.17975 .17343 L
.17965 .17333 L
.17815 .17186 L
.17801 .17173 L
.17654 .17028 L
.17638 .17012 L
.17494 .16869 L
.17476 .16852 L
.17333 .16709 L
.17315 .16691 L
.17173 .16548 L
.17155 .16531 L
.17012 .16386 L
.16996 .1637 L
.16852 .16223 L
.16838 .1621 L
.16691 .16059 L
.16682 .16049 L
.16531 .15894 L
.16526 .15889 L
.16371 .15728 L
.1637 .15727 L
.16218 .15568 L
.1621 .15559 L
.16066 .15407 L
.16049 .1539 L
.15915 .15247 L
.15889 .15219 L
.15765 .15086 L
.15728 .15046 L
.15617 .14926 L
.15568 .14872 L
.1547 .14765 L
.15407 .14695 L
.15325 .14604 L
.15247 .14517 L
.15182 .14444 L
.15086 .14335 L
.15041 .14283 L
.14926 .14151 L
.14901 .14123 L
.14765 .13963 L
.14764 .13962 L
.14629 .13802 L
.14604 .13772 L
.14497 .13641 L
.14444 .13576 L
.14368 .13481 L
.14283 .13373 L
.14243 .1332 L
.14123 .1316 L
.14123 .1316 L
.14007 .12999 L
.13962 .1294 L
.13898 .12839 L
.13802 .12683 L
.138 .12678 L
.13711 .12518 L
.13654 .12357 L
.13673 .12197 L
F
1 .94 .156 r
.14123 .07322 m
.14283 .07311 L
.14444 .07325 L
.14604 .07355 L
.14711 .07381 L
.14765 .07398 L
.14926 .07452 L
.15086 .07519 L
.15135 .07541 L
.15247 .07595 L
.15407 .07685 L
.15436 .07702 L
.15568 .07785 L
.15674 .07862 L
.15728 .07901 L
.15864 .08023 L
.15889 .08032 L
.16006 .08184 L
.16049 .08252 L
.16087 .08344 L
.16057 .08505 L
.16049 .08514 L
.15889 .08628 L
.15728 .08633 L
.15568 .08628 L
.15407 .08611 L
.15247 .08581 L
.15086 .08539 L
.1498 .08505 L
.14926 .08486 L
.14765 .0842 L
.14615 .08344 L
.14604 .08339 L
.14444 .08243 L
.1436 .08184 L
.14283 .08129 L
.14166 .08023 L
.14123 .0799 L
.1402 .07862 L
.13962 .07778 L
.13922 .07702 L
.13887 .07541 L
.13962 .07395 L
.13977 .07381 L
F
1 1 1 r
.14123 .09251 m
.14283 .09234 L
.14444 .09227 L
.14604 .09224 L
.14765 .09222 L
.14926 .09222 L
.15086 .09221 L
.15247 .09221 L
.15407 .09221 L
.15568 .09221 L
.15728 .09221 L
.15889 .09221 L
.16049 .09221 L
.1621 .09221 L
.1637 .09221 L
.16531 .09222 L
.16691 .09222 L
.16852 .09222 L
.17012 .09223 L
.17173 .09224 L
.17333 .09225 L
.17494 .09226 L
.17654 .09228 L
.17815 .0923 L
.17975 .09234 L
.18136 .0924 L
.18297 .09248 L
.18457 .09262 L
.18618 .09283 L
.18739 .09307 L
.18778 .09318 L
.18939 .09373 L
.19099 .09441 L
.19154 .09468 L
.1926 .09524 L
.1942 .0962 L
.19434 .09628 L
.19581 .09725 L
.19672 .09789 L
.19741 .09839 L
.19888 .09949 L
.19902 .0996 L
.20062 .10087 L
.20091 .1011 L
.20223 .10219 L
.20283 .1027 L
.20383 .10357 L
.20467 .10431 L
.20544 .105 L
.20644 .10591 L
.20704 .10647 L
.20815 .10752 L
.20865 .108 L
.20979 .10912 L
.21025 .10959 L
.21137 .11073 L
.21186 .11125 L
.21287 .11233 L
.21346 .11299 L
.21429 .11394 L
.21507 .11487 L
.2156 .11555 L
.21668 .11702 L
.21676 .11715 L
.21767 .11876 L
.21807 .12036 L
.21668 .12183 L
.21618 .12197 L
.21507 .12219 L
.21346 .12232 L
.21186 .12237 L
.21025 .1224 L
.20865 .12241 L
.20704 .12241 L
.20544 .12241 L
.20383 .12241 L
.20223 .12241 L
.20062 .1224 L
.19902 .1224 L
.19741 .1224 L
.19581 .1224 L
.1942 .1224 L
.1926 .1224 L
.19099 .1224 L
.18939 .1224 L
.18778 .12239 L
.18618 .12239 L
.18457 .12239 L
.18297 .12238 L
.18136 .12237 L
.17975 .12236 L
.17815 .12234 L
.17654 .12231 L
.17494 .12225 L
.17333 .12216 L
.17173 .122 L
.17147 .12197 L
.17012 .12171 L
.16852 .12127 L
.16691 .12067 L
.16623 .12036 L
.16531 .11991 L
.1637 .11902 L
.16327 .11876 L
.1621 .11802 L
.16082 .11715 L
.16049 .11692 L
.15889 .11575 L
.15862 .11555 L
.15728 .11451 L
.15657 .11394 L
.15568 .11321 L
.15463 .11233 L
.15407 .11186 L
.15277 .11073 L
.15247 .11046 L
.15099 .10912 L
.15086 .10901 L
.14927 .10752 L
.14926 .1075 L
.14765 .10595 L
.14762 .10591 L
.14604 .10433 L
.14603 .10431 L
.14451 .1027 L
.14444 .10263 L
.14307 .1011 L
.14283 .10083 L
.14174 .09949 L
.14123 .09891 L
.14054 .09789 L
.13962 .09646 L
.13956 .09628 L
.139 .09468 L
.13962 .09317 L
.13979 .09307 L
F
1 .87 .018 r
.14283 .12605 m
.14444 .12668 L
.14467 .12678 L
.14604 .12738 L
.14765 .12828 L
.14786 .12839 L
.14926 .12921 L
.15052 .12999 L
.15086 .13023 L
.15247 .13129 L
.15293 .1316 L
.15407 .13238 L
.15524 .1332 L
.15568 .13351 L
.15728 .13468 L
.15746 .13481 L
.15889 .13586 L
.15963 .13641 L
.16049 .13706 L
.16175 .13802 L
.1621 .13829 L
.1637 .13953 L
.16382 .13962 L
.16531 .14079 L
.16587 .14123 L
.16691 .14206 L
.16788 .14283 L
.16852 .14335 L
.16986 .14444 L
.17012 .14465 L
.17173 .14597 L
.17182 .14604 L
.17333 .14729 L
.17376 .14765 L
.17494 .14863 L
.17568 .14926 L
.17654 .14998 L
.17758 .15086 L
.17815 .15134 L
.17947 .15247 L
.17975 .15271 L
.18134 .15407 L
.18136 .15409 L
.18297 .15548 L
.18319 .15568 L
.18457 .15688 L
.18503 .15728 L
.18618 .15829 L
.18685 .15889 L
.18778 .15971 L
.18867 .16049 L
.18939 .16113 L
.19047 .1621 L
.19099 .16257 L
.19226 .1637 L
.1926 .16401 L
.19403 .16531 L
.1942 .16546 L
.1958 .16691 L
.19581 .16692 L
.19741 .16839 L
.19756 .16852 L
.19902 .16986 L
.1993 .17012 L
.20062 .17135 L
.20104 .17173 L
.20223 .17284 L
.20276 .17333 L
.20383 .17434 L
.20448 .17494 L
.20544 .17584 L
.20618 .17654 L
.20704 .17736 L
.20788 .17815 L
.20865 .17889 L
.20956 .17975 L
.21025 .18042 L
.21124 .18136 L
.21186 .18196 L
.2129 .18297 L
.21346 .18351 L
.21456 .18457 L
.21507 .18507 L
.2162 .18618 L
.21668 .18664 L
.21783 .18778 L
.21828 .18822 L
.21946 .18939 L
.21989 .18981 L
.22107 .19099 L
.22149 .19141 L
.22267 .1926 L
.2231 .19302 L
.22426 .1942 L
.2247 .19465 L
.22584 .19581 L
.22631 .19629 L
.2274 .19741 L
.22791 .19794 L
.22896 .19902 L
.22952 .1996 L
.2305 .20062 L
.23112 .20128 L
.23203 .20223 L
.23273 .20297 L
.23354 .20383 L
.23433 .20468 L
.23504 .20544 L
.23594 .20641 L
.23652 .20704 L
.23754 .20816 L
.23799 .20865 L
.23915 .20993 L
.23944 .21025 L
.24075 .21173 L
.24087 .21186 L
.24228 .21346 L
.24236 .21355 L
.24367 .21507 L
.24396 .2154 L
.24504 .21668 L
.24557 .2173 L
.24638 .21828 L
.24717 .21924 L
.24769 .21989 L
.24878 .22126 L
.24896 .22149 L
.25019 .2231 L
.25039 .22334 L
.25137 .2247 L
.25199 .22555 L
.25247 .22631 L
.25348 .22791 L
.2536 .22812 L
.25439 .22952 L
.25495 .23112 L
.25449 .23273 L
.2536 .23281 L
.25319 .23273 L
.25199 .23245 L
.25039 .23167 L
.24915 .23112 L
.24878 .23082 L
.24717 .22987 L
.24658 .22952 L
.24557 .22887 L
.24411 .22791 L
.24396 .22781 L
.24236 .22672 L
.24176 .22631 L
.24075 .22559 L
.23951 .2247 L
.23915 .22444 L
.23754 .22325 L
.23733 .2231 L
.23594 .22205 L
.2352 .22149 L
.23433 .22083 L
.23311 .21989 L
.23273 .21959 L
.23112 .21833 L
.23106 .21828 L
.22952 .21706 L
.22904 .21668 L
.22791 .21577 L
.22704 .21507 L
.22631 .21447 L
.22507 .21346 L
.2247 .21316 L
.22313 .21186 L
.2231 .21183 L
.22149 .2105 L
.2212 .21025 L
.21989 .20915 L
.21929 .20865 L
.21828 .20779 L
.2174 .20704 L
.21668 .20642 L
.21553 .20544 L
.21507 .20504 L
.21367 .20383 L
.21346 .20366 L
.21186 .20226 L
.21182 .20223 L
.21025 .20085 L
.20999 .20062 L
.20865 .19944 L
.20817 .19902 L
.20704 .19802 L
.20637 .19741 L
.20544 .19658 L
.20457 .19581 L
.20383 .19514 L
.20279 .1942 L
.20223 .19369 L
.20102 .1926 L
.20062 .19223 L
.19926 .19099 L
.19902 .19077 L
.19751 .18939 L
.19741 .18929 L
.19581 .18781 L
.19577 .18778 L
.1942 .18632 L
.19405 .18618 L
.1926 .18482 L
.19233 .18457 L
.19099 .18331 L
.19062 .18297 L
.18939 .1818 L
.18893 .18136 L
.18778 .18027 L
.18724 .17975 L
.18618 .17874 L
.18556 .17815 L
.18457 .1772 L
.1839 .17654 L
.18297 .17564 L
.18224 .17494 L
.18136 .17408 L
.18059 .17333 L
.17975 .17251 L
.17896 .17173 L
.17815 .17093 L
.17733 .17012 L
.17654 .16934 L
.17572 .16852 L
.17494 .16774 L
.17411 .16691 L
.17333 .16613 L
.17252 .16531 L
.17173 .1645 L
.17094 .1637 L
.17012 .16287 L
.16937 .1621 L
.16852 .16122 L
.16781 .16049 L
.16691 .15956 L
.16627 .15889 L
.16531 .15788 L
.16473 .15728 L
.1637 .15619 L
.16321 .15568 L
.1621 .15449 L
.16171 .15407 L
.16049 .15276 L
.16022 .15247 L
.15889 .15102 L
.15874 .15086 L
.15729 .14926 L
.15728 .14925 L
.15585 .14765 L
.15568 .14746 L
.15443 .14604 L
.15407 .14564 L
.15303 .14444 L
.15247 .14379 L
.15165 .14283 L
.15086 .1419 L
.1503 .14123 L
.14926 .13996 L
.14899 .13962 L
.1477 .13802 L
.14765 .13795 L
.14646 .13641 L
.14604 .1359 L
.14526 .13481 L
.14444 .13367 L
.14413 .1332 L
.14308 .1316 L
.14283 .13117 L
.14214 .12999 L
.14134 .12839 L
.14126 .12678 L
F
1 .93 .114 r
.14444 .07611 m
.14604 .07595 L
.14765 .07609 L
.14926 .07663 L
.15027 .07702 L
.15086 .07721 L
.15247 .0781 L
.15325 .07862 L
.15407 .07921 L
.1553 .08023 L
.15568 .08063 L
.15655 .08184 L
.15653 .08344 L
.15568 .08387 L
.15407 .08431 L
.15247 .08399 L
.15086 .08353 L
.15058 .08344 L
.14926 .08307 L
.14765 .08217 L
.14712 .08184 L
.14604 .08135 L
.145 .08023 L
.14444 .07963 L
.14369 .07862 L
.14331 .07702 L
F
1 .86 .013 r
.14604 .13117 m
.14765 .13071 L
.14926 .13122 L
.15003 .1316 L
.15086 .13197 L
.15247 .1329 L
.15301 .1332 L
.15407 .13387 L
.15553 .13481 L
.15568 .13492 L
.15728 .136 L
.15789 .13641 L
.15889 .13712 L
.16014 .13802 L
.16049 .13827 L
.1621 .13946 L
.16232 .13962 L
.1637 .14066 L
.16445 .14123 L
.16531 .14189 L
.16653 .14283 L
.16691 .14313 L
.16852 .1444 L
.16857 .14444 L
.17012 .14568 L
.17058 .14604 L
.17173 .14697 L
.17257 .14765 L
.17333 .14828 L
.17452 .14926 L
.17494 .1496 L
.17645 .15086 L
.17654 .15094 L
.17815 .15229 L
.17836 .15247 L
.17975 .15364 L
.18026 .15407 L
.18136 .15501 L
.18213 .15568 L
.18297 .15639 L
.18399 .15728 L
.18457 .15779 L
.18583 .15889 L
.18618 .15919 L
.18766 .16049 L
.18778 .1606 L
.18939 .16202 L
.18947 .1621 L
.19099 .16345 L
.19127 .1637 L
.1926 .16489 L
.19306 .16531 L
.1942 .16634 L
.19484 .16691 L
.19581 .16779 L
.1966 .16852 L
.19741 .16926 L
.19835 .17012 L
.19902 .17074 L
.20009 .17173 L
.20062 .17222 L
.20182 .17333 L
.20223 .17371 L
.20354 .17494 L
.20383 .17522 L
.20524 .17654 L
.20544 .17673 L
.20694 .17815 L
.20704 .17825 L
.20862 .17975 L
.20865 .17978 L
.21025 .18132 L
.2103 .18136 L
.21186 .18287 L
.21196 .18297 L
.21346 .18443 L
.21361 .18457 L
.21507 .186 L
.21525 .18618 L
.21668 .18758 L
.21688 .18778 L
.21828 .18917 L
.2185 .18939 L
.21989 .19077 L
.22011 .19099 L
.22149 .19239 L
.2217 .1926 L
.2231 .19402 L
.22328 .1942 L
.2247 .19566 L
.22485 .19581 L
.22631 .19732 L
.2264 .19741 L
.22791 .19899 L
.22794 .19902 L
.22947 .20062 L
.22952 .20068 L
.23098 .20223 L
.23112 .20238 L
.23247 .20383 L
.23273 .20411 L
.23395 .20544 L
.23433 .20586 L
.23541 .20704 L
.23594 .20763 L
.23685 .20865 L
.23754 .20943 L
.23827 .21025 L
.23915 .21126 L
.23966 .21186 L
.24075 .21314 L
.24103 .21346 L
.24236 .21506 L
.24237 .21507 L
.24367 .21668 L
.24396 .21702 L
.24494 .21828 L
.24557 .21907 L
.24616 .21989 L
.24717 .2213 L
.2473 .22149 L
.24839 .2231 L
.24878 .22377 L
.24934 .2247 L
.25024 .22631 L
.25015 .22791 L
.24878 .22842 L
.24744 .22791 L
.24717 .22787 L
.24557 .22709 L
.2442 .22631 L
.24396 .22619 L
.24236 .22522 L
.24152 .2247 L
.24075 .22419 L
.23915 .2231 L
.23915 .2231 L
.23754 .22198 L
.23684 .22149 L
.23594 .22084 L
.23464 .21989 L
.23433 .21966 L
.23273 .21845 L
.2325 .21828 L
.23112 .21723 L
.2304 .21668 L
.22952 .21599 L
.22835 .21507 L
.22791 .21472 L
.22633 .21346 L
.22631 .21344 L
.2247 .21215 L
.22434 .21186 L
.2231 .21085 L
.22237 .21025 L
.22149 .20953 L
.22043 .20865 L
.21989 .20819 L
.21851 .20704 L
.21828 .20685 L
.21668 .20549 L
.21662 .20544 L
.21507 .20412 L
.21473 .20383 L
.21346 .20274 L
.21287 .20223 L
.21186 .20135 L
.21102 .20062 L
.21025 .19995 L
.20919 .19902 L
.20865 .19854 L
.20737 .19741 L
.20704 .19713 L
.20556 .19581 L
.20544 .1957 L
.20383 .19426 L
.20377 .1942 L
.20223 .19281 L
.20199 .1926 L
.20062 .19136 L
.20022 .19099 L
.19902 .18989 L
.19847 .18939 L
.19741 .18842 L
.19672 .18778 L
.19581 .18693 L
.19499 .18618 L
.1942 .18544 L
.19327 .18457 L
.1926 .18394 L
.19156 .18297 L
.19099 .18243 L
.18986 .18136 L
.18939 .18091 L
.18818 .17975 L
.18778 .17938 L
.1865 .17815 L
.18618 .17784 L
.18483 .17654 L
.18457 .17629 L
.18318 .17494 L
.18297 .17473 L
.18154 .17333 L
.18136 .17316 L
.17991 .17173 L
.17975 .17158 L
.17829 .17012 L
.17815 .16999 L
.17668 .16852 L
.17654 .16839 L
.17508 .16691 L
.17494 .16677 L
.1735 .16531 L
.17333 .16514 L
.17192 .1637 L
.17173 .1635 L
.17037 .1621 L
.17012 .16185 L
.16882 .16049 L
.16852 .16018 L
.16729 .15889 L
.16691 .15849 L
.16577 .15728 L
.16531 .15679 L
.16427 .15568 L
.1637 .15506 L
.16279 .15407 L
.1621 .15332 L
.16132 .15247 L
.16049 .15155 L
.15987 .15086 L
.15889 .14975 L
.15845 .14926 L
.15728 .14792 L
.15705 .14765 L
.15568 .14605 L
.15567 .14604 L
.15432 .14444 L
.15407 .14415 L
.153 .14283 L
.15247 .14219 L
.15172 .14123 L
.15086 .14013 L
.15049 .13962 L
.14931 .13802 L
.14926 .13797 L
.1482 .13641 L
.14765 .13577 L
.14721 .13481 L
.1463 .1332 L
.14604 .13211 L
.14596 .1316 L
F
.733 .99 1 r
.15086 .09409 m
.15247 .09376 L
.15407 .09354 L
.15568 .09338 L
.15728 .09327 L
.15889 .0932 L
.16049 .09315 L
.1621 .09312 L
.1637 .09311 L
.16531 .09312 L
.16691 .09315 L
.16852 .0932 L
.17012 .09327 L
.17173 .09336 L
.17333 .09349 L
.17494 .09365 L
.17654 .09384 L
.17815 .09408 L
.17975 .09437 L
.18128 .09468 L
.18136 .0947 L
.18297 .09512 L
.18457 .09561 L
.18618 .09616 L
.18653 .09628 L
.18778 .0968 L
.18939 .09752 L
.19019 .09789 L
.19099 .0983 L
.1926 .09918 L
.19316 .09949 L
.1942 .10012 L
.19576 .1011 L
.19581 .10113 L
.19741 .10223 L
.19809 .1027 L
.19902 .10338 L
.20024 .10431 L
.20062 .10461 L
.20223 .1059 L
.20224 .10591 L
.20383 .10728 L
.20411 .10752 L
.20544 .10874 L
.20585 .10912 L
.20704 .11029 L
.20747 .11073 L
.20865 .11199 L
.20896 .11233 L
.21025 .1139 L
.21029 .11394 L
.2114 .11555 L
.21186 .11637 L
.2122 .11715 L
.21241 .11876 L
.21186 .11985 L
.21118 .12036 L
.21025 .12087 L
.20865 .12131 L
.20704 .12152 L
.20544 .12166 L
.20383 .12175 L
.20223 .12182 L
.20062 .12188 L
.19902 .12191 L
.19741 .12194 L
.19581 .12196 L
.1942 .12196 L
.1926 .12196 L
.19099 .12195 L
.18939 .12193 L
.18778 .12189 L
.18618 .12185 L
.18457 .12179 L
.18297 .1217 L
.18136 .1216 L
.17975 .12146 L
.17815 .12128 L
.17654 .12105 L
.17494 .12076 L
.17333 .12041 L
.17312 .12036 L
.17173 .11995 L
.17012 .1194 L
.16853 .11876 L
.16852 .11875 L
.16691 .11798 L
.16538 .11715 L
.16531 .11711 L
.1637 .11613 L
.16282 .11555 L
.1621 .11505 L
.16057 .11394 L
.16049 .11388 L
.15889 .11262 L
.15854 .11233 L
.15728 .11127 L
.15667 .11073 L
.15568 .10983 L
.15493 .10912 L
.15407 .10829 L
.15331 .10752 L
.15247 .10663 L
.15182 .10591 L
.15086 .1048 L
.15046 .10431 L
.14926 .10272 L
.14925 .1027 L
.14822 .1011 L
.14765 .10011 L
.14746 .09949 L
.14707 .09789 L
.14737 .09628 L
.14765 .09586 L
.14926 .09468 L
.14926 .09468 L
F
1 .85 .01 r
.15247 .13527 m
.15407 .13579 L
.15522 .13641 L
.15568 .13661 L
.15728 .13757 L
.15807 .13802 L
.15889 .13856 L
.16046 .13962 L
.16049 .13965 L
.1621 .14075 L
.16278 .14123 L
.1637 .14189 L
.16499 .14283 L
.16531 .14307 L
.16691 .14428 L
.16712 .14444 L
.16852 .14551 L
.16922 .14604 L
.17012 .14675 L
.17126 .14765 L
.17173 .14802 L
.17327 .14926 L
.17333 .14931 L
.17494 .15061 L
.17525 .15086 L
.17654 .15193 L
.1772 .15247 L
.17815 .15326 L
.17912 .15407 L
.17975 .1546 L
.18103 .15568 L
.18136 .15596 L
.18291 .15728 L
.18297 .15733 L
.18457 .15871 L
.18477 .15889 L
.18618 .1601 L
.18662 .16049 L
.18778 .16151 L
.18845 .1621 L
.18939 .16292 L
.19027 .1637 L
.19099 .16435 L
.19207 .16531 L
.1926 .16578 L
.19385 .16691 L
.1942 .16723 L
.19562 .16852 L
.19581 .16869 L
.19738 .17012 L
.19741 .17015 L
.19902 .17163 L
.19913 .17173 L
.20062 .17311 L
.20086 .17333 L
.20223 .17461 L
.20258 .17494 L
.20383 .17611 L
.20429 .17654 L
.20544 .17763 L
.20599 .17815 L
.20704 .17915 L
.20768 .17975 L
.20865 .18069 L
.20935 .18136 L
.21025 .18223 L
.21101 .18297 L
.21186 .18379 L
.21266 .18457 L
.21346 .18536 L
.21429 .18618 L
.21507 .18694 L
.21592 .18778 L
.21668 .18853 L
.21753 .18939 L
.21828 .19014 L
.21912 .19099 L
.21989 .19176 L
.22071 .1926 L
.22149 .1934 L
.22228 .1942 L
.2231 .19505 L
.22383 .19581 L
.2247 .19671 L
.22537 .19741 L
.22631 .1984 L
.22689 .19902 L
.22791 .2001 L
.2284 .20062 L
.22952 .20183 L
.22989 .20223 L
.23112 .20358 L
.23135 .20383 L
.23273 .20536 L
.2328 .20544 L
.23423 .20704 L
.23433 .20716 L
.23563 .20865 L
.23594 .209 L
.237 .21025 L
.23754 .21089 L
.23834 .21186 L
.23915 .21284 L
.23964 .21346 L
.24075 .21489 L
.24089 .21507 L
.2421 .21668 L
.24236 .21691 L
.24323 .21828 L
.24396 .21931 L
.24422 .21989 L
.2452 .22149 L
.2454 .2231 L
.24396 .22374 L
.24236 .22322 L
.24211 .2231 L
.24075 .22247 L
.23915 .22151 L
.23912 .22149 L
.23754 .22052 L
.23654 .21989 L
.23594 .21947 L
.23433 .21835 L
.23423 .21828 L
.23273 .21721 L
.23198 .21668 L
.23112 .21604 L
.22982 .21507 L
.22952 .21484 L
.22791 .21361 L
.22772 .21346 L
.22631 .21237 L
.22566 .21186 L
.2247 .2111 L
.22364 .21025 L
.2231 .20982 L
.22165 .20865 L
.22149 .20852 L
.21989 .2072 L
.2197 .20704 L
.21828 .20587 L
.21776 .20544 L
.21668 .20453 L
.21585 .20383 L
.21507 .20317 L
.21396 .20223 L
.21346 .20181 L
.21209 .20062 L
.21186 .20043 L
.21025 .19903 L
.21024 .19902 L
.20865 .19763 L
.2084 .19741 L
.20704 .19622 L
.20658 .19581 L
.20544 .1948 L
.20477 .1942 L
.20383 .19336 L
.20298 .1926 L
.20223 .19192 L
.2012 .19099 L
.20062 .19047 L
.19944 .18939 L
.19902 .189 L
.19769 .18778 L
.19741 .18753 L
.19595 .18618 L
.19581 .18604 L
.19423 .18457 L
.1942 .18455 L
.1926 .18304 L
.19252 .18297 L
.19099 .18153 L
.19081 .18136 L
.18939 .18 L
.18913 .17975 L
.18778 .17847 L
.18745 .17815 L
.18618 .17692 L
.18579 .17654 L
.18457 .17536 L
.18414 .17494 L
.18297 .17379 L
.1825 .17333 L
.18136 .17221 L
.18087 .17173 L
.17975 .17062 L
.17926 .17012 L
.17815 .16902 L
.17766 .16852 L
.17654 .1674 L
.17607 .16691 L
.17494 .16576 L
.17449 .16531 L
.17333 .16411 L
.17294 .1637 L
.17173 .16245 L
.17139 .1621 L
.17012 .16077 L
.16986 .16049 L
.16852 .15907 L
.16835 .15889 L
.16691 .15734 L
.16686 .15728 L
.16538 .15568 L
.16531 .1556 L
.16392 .15407 L
.1637 .15383 L
.16249 .15247 L
.1621 .15203 L
.16108 .15086 L
.16049 .15019 L
.1597 .14926 L
.15889 .14831 L
.15835 .14765 L
.15728 .14635 L
.15704 .14604 L
.15576 .14444 L
.15568 .14435 L
.15454 .14283 L
.15407 .14229 L
.15339 .14123 L
.15247 .13985 L
.15235 .13962 L
.15135 .13802 L
.15087 .13641 L
F
.538 .98 1 r
.15728 .09443 m
.15889 .09423 L
.16049 .0941 L
.1621 .09402 L
.1637 .09398 L
.16531 .09398 L
.16691 .09402 L
.16852 .09408 L
.17012 .09419 L
.17173 .09433 L
.17333 .09451 L
.1746 .09468 L
.17494 .09473 L
.17654 .09501 L
.17815 .09534 L
.17975 .09573 L
.18136 .09618 L
.18172 .09628 L
.18297 .0967 L
.18457 .09729 L
.18607 .09789 L
.18618 .09793 L
.18778 .09867 L
.18939 .09946 L
.18945 .09949 L
.19099 .10034 L
.19232 .1011 L
.1926 .10127 L
.1942 .10228 L
.19486 .1027 L
.19581 .10336 L
.19715 .10431 L
.19741 .1045 L
.19902 .10572 L
.19926 .10591 L
.20062 .10703 L
.2012 .10752 L
.20223 .10843 L
.20298 .10912 L
.20383 .10994 L
.20461 .11073 L
.20544 .11161 L
.20607 .11233 L
.20704 .11354 L
.20733 .11394 L
.2083 .11555 L
.20865 .11634 L
.20886 .11715 L
.20865 .11872 L
.20863 .11876 L
.20704 .12007 L
.20631 .12036 L
.20544 .12064 L
.20383 .12097 L
.20223 .12118 L
.20062 .12131 L
.19902 .12141 L
.19741 .12147 L
.19581 .1215 L
.1942 .12152 L
.1926 .12152 L
.19099 .1215 L
.18939 .12146 L
.18778 .1214 L
.18618 .12132 L
.18457 .12121 L
.18297 .12107 L
.18136 .12089 L
.17975 .12067 L
.17815 .12039 L
.17799 .12036 L
.17654 .12004 L
.17494 .11962 L
.17333 .11912 L
.17231 .11876 L
.17173 .11853 L
.17012 .11783 L
.16872 .11715 L
.16852 .11704 L
.16691 .11615 L
.16591 .11555 L
.16531 .11516 L
.1637 .11406 L
.16353 .11394 L
.1621 .11286 L
.16142 .11233 L
.16049 .11157 L
.15952 .11073 L
.15889 .11016 L
.15779 .10912 L
.15728 .10862 L
.15622 .10752 L
.15568 .10693 L
.1548 .10591 L
.15407 .10501 L
.15355 .10431 L
.15248 .1027 L
.15247 .10268 L
.15166 .1011 L
.15117 .09949 L
.15119 .09789 L
.15218 .09628 L
.15247 .09602 L
.15407 .09516 L
.15568 .09473 L
.15594 .09468 L
F
.395 .97 1 r
.15728 .09577 m
.15889 .09535 L
.16049 .09509 L
.1621 .09493 L
.1637 .09484 L
.16531 .09481 L
.16691 .09483 L
.16852 .0949 L
.17012 .09502 L
.17173 .09519 L
.17333 .0954 L
.17494 .09567 L
.17654 .09599 L
.17782 .09628 L
.17815 .09637 L
.17975 .09682 L
.18136 .09733 L
.18295 .09789 L
.18297 .0979 L
.18457 .09855 L
.18618 .09926 L
.18669 .09949 L
.18778 .10004 L
.18939 .10089 L
.18977 .1011 L
.19099 .10181 L
.19245 .1027 L
.1926 .1028 L
.1942 .10386 L
.19485 .10431 L
.19581 .105 L
.19702 .10591 L
.19741 .10622 L
.19901 .10752 L
.19902 .10753 L
.20062 .10895 L
.20081 .10912 L
.20223 .11051 L
.20244 .11073 L
.20383 .11228 L
.20388 .11233 L
.20507 .11394 L
.20544 .11425 L
.20594 .11555 L
.20631 .11715 L
.2057 .11876 L
.20544 .11901 L
.20383 .12008 L
.20223 .12035 L
.20218 .12036 L
.20062 .12064 L
.19902 .12083 L
.19741 .12095 L
.19581 .12102 L
.1942 .12106 L
.1926 .12107 L
.19099 .12105 L
.18939 .121 L
.18778 .12092 L
.18618 .12081 L
.18457 .12066 L
.18297 .12048 L
.18211 .12036 L
.18136 .12024 L
.17975 .11995 L
.17815 .11959 L
.17654 .11916 L
.17524 .11876 L
.17494 .11865 L
.17333 .11805 L
.17173 .11736 L
.17127 .11715 L
.17012 .11657 L
.16852 .11569 L
.16828 .11555 L
.16691 .11469 L
.16579 .11394 L
.16531 .1136 L
.1637 .1124 L
.16362 .11233 L
.1621 .11108 L
.16169 .11073 L
.16049 .10963 L
.15997 .10912 L
.15889 .10803 L
.15841 .10752 L
.15728 .10622 L
.15704 .10591 L
.15585 .10431 L
.15568 .10406 L
.15489 .1027 L
.15421 .1011 L
.15407 .10059 L
.15393 .09949 L
.15407 .09848 L
.15431 .09789 L
.15568 .09642 L
.15609 .09628 L
F
1 .84 .007 r
.15728 .13995 m
.15889 .14043 L
.16024 .14123 L
.16049 .14132 L
.1621 .1423 L
.16301 .14283 L
.1637 .14332 L
.16531 .14444 L
.16531 .14444 L
.16691 .14556 L
.16759 .14604 L
.16852 .14673 L
.16976 .14765 L
.17012 .14793 L
.17173 .14917 L
.17184 .14926 L
.17333 .15041 L
.1739 .15086 L
.17494 .15168 L
.17592 .15247 L
.17654 .15298 L
.17789 .15407 L
.17815 .15429 L
.17975 .15561 L
.17983 .15568 L
.18136 .15695 L
.18175 .15728 L
.18297 .15831 L
.18365 .15889 L
.18457 .15968 L
.18552 .16049 L
.18618 .16106 L
.18737 .1621 L
.18778 .16245 L
.18921 .1637 L
.18939 .16386 L
.19099 .16528 L
.19102 .16531 L
.1926 .16671 L
.19282 .16691 L
.1942 .16815 L
.19461 .16852 L
.19581 .1696 L
.19638 .17012 L
.19741 .17107 L
.19813 .17173 L
.19902 .17254 L
.19987 .17333 L
.20062 .17403 L
.2016 .17494 L
.20223 .17553 L
.20331 .17654 L
.20383 .17704 L
.20501 .17815 L
.20544 .17856 L
.20669 .17975 L
.20704 .18009 L
.20837 .18136 L
.20865 .18163 L
.21002 .18297 L
.21025 .18319 L
.21167 .18457 L
.21186 .18476 L
.2133 .18618 L
.21346 .18634 L
.21491 .18778 L
.21507 .18794 L
.21651 .18939 L
.21668 .18955 L
.2181 .19099 L
.21828 .19117 L
.21967 .1926 L
.21989 .19282 L
.22123 .1942 L
.22149 .19448 L
.22276 .19581 L
.2231 .19615 L
.22428 .19741 L
.2247 .19786 L
.22578 .19902 L
.22631 .19958 L
.22726 .20062 L
.22791 .20133 L
.22872 .20223 L
.22952 .20311 L
.23015 .20383 L
.23112 .20494 L
.23155 .20544 L
.23273 .20681 L
.23292 .20704 L
.23426 .20865 L
.23433 .20873 L
.23556 .21025 L
.23594 .21068 L
.2368 .21186 L
.23754 .21281 L
.23796 .21346 L
.23904 .21507 L
.23915 .21531 L
.24003 .21668 L
.2404 .21828 L
.23915 .21906 L
.23754 .21855 L
.23704 .21828 L
.23594 .21779 L
.23433 .21677 L
.23416 .21668 L
.23273 .21577 L
.23165 .21507 L
.23112 .21468 L
.22952 .21354 L
.22941 .21346 L
.22791 .21238 L
.2272 .21186 L
.22631 .21118 L
.22508 .21025 L
.2247 .20996 L
.2231 .2087 L
.22303 .20865 L
.22149 .20744 L
.221 .20704 L
.21989 .20615 L
.21901 .20544 L
.21828 .20484 L
.21705 .20383 L
.21668 .20352 L
.21513 .20223 L
.21507 .20218 L
.21346 .20083 L
.21323 .20062 L
.21186 .19946 L
.21134 .19902 L
.21025 .19808 L
.20948 .19741 L
.20865 .19669 L
.20764 .19581 L
.20704 .19528 L
.20582 .1942 L
.20544 .19386 L
.20401 .1926 L
.20383 .19243 L
.20223 .19099 L
.20223 .19099 L
.20062 .18954 L
.20045 .18939 L
.19902 .18808 L
.19869 .18778 L
.19741 .18661 L
.19695 .18618 L
.19581 .18512 L
.19522 .18457 L
.1942 .18362 L
.1935 .18297 L
.1926 .18212 L
.1918 .18136 L
.19099 .1806 L
.19011 .17975 L
.18939 .17907 L
.18843 .17815 L
.18778 .17752 L
.18677 .17654 L
.18618 .17597 L
.18512 .17494 L
.18457 .1744 L
.18349 .17333 L
.18297 .17282 L
.18187 .17173 L
.18136 .17122 L
.18026 .17012 L
.17975 .16961 L
.17867 .16852 L
.17815 .16799 L
.1771 .16691 L
.17654 .16635 L
.17554 .16531 L
.17494 .16469 L
.17399 .1637 L
.17333 .16301 L
.17247 .1621 L
.17173 .16131 L
.17096 .16049 L
.17012 .15959 L
.16948 .15889 L
.16852 .15784 L
.16801 .15728 L
.16691 .15606 L
.16657 .15568 L
.16531 .15424 L
.16516 .15407 L
.16378 .15247 L
.1637 .15238 L
.16242 .15086 L
.1621 .15049 L
.16111 .14926 L
.16049 .14852 L
.15985 .14765 L
.15889 .14637 L
.15867 .14604 L
.15753 .14444 L
.15728 .14397 L
.15654 .14283 L
.15593 .14123 L
F
.289 .96 1 r
.16049 .09619 m
.1621 .09588 L
.1637 .09571 L
.16531 .09563 L
.16691 .09563 L
.16852 .09569 L
.17012 .0958 L
.17173 .09598 L
.17333 .09621 L
.17377 .09628 L
.17494 .0965 L
.17654 .09686 L
.17815 .09727 L
.17975 .09775 L
.18019 .09789 L
.18136 .0983 L
.18297 .09891 L
.18435 .09949 L
.18457 .09959 L
.18618 .10035 L
.18766 .1011 L
.18778 .10116 L
.18939 .10206 L
.19047 .1027 L
.19099 .10302 L
.1926 .10406 L
.19296 .10431 L
.1942 .10518 L
.1952 .10591 L
.19581 .10638 L
.19722 .10752 L
.19741 .10768 L
.19902 .1091 L
.19904 .10912 L
.20062 .11068 L
.20067 .11073 L
.20208 .11233 L
.20223 .11251 L
.20322 .11394 L
.20383 .11513 L
.20399 .11555 L
.20417 .11715 L
.20383 .11804 L
.20317 .11876 L
.20223 .11942 L
.20062 .11993 L
.19902 .1202 L
.19755 .12036 L
.19741 .12038 L
.19581 .1205 L
.1942 .12058 L
.1926 .1206 L
.19099 .12058 L
.18939 .12053 L
.18778 .12044 L
.18673 .12036 L
.18618 .12031 L
.18457 .12013 L
.18297 .11991 L
.18136 .11962 L
.17975 .11928 L
.17815 .11886 L
.17777 .11876 L
.17654 .11837 L
.17494 .11779 L
.17341 .11715 L
.17333 .11712 L
.17173 .11635 L
.17023 .11555 L
.17012 .11548 L
.16852 .11451 L
.16764 .11394 L
.16691 .11344 L
.16542 .11233 L
.16531 .11225 L
.1637 .11093 L
.16347 .11073 L
.1621 .10948 L
.16174 .10912 L
.16049 .10784 L
.1602 .10752 L
.15889 .10595 L
.15886 .10591 L
.15774 .10431 L
.15728 .10361 L
.15687 .1027 L
.15632 .1011 L
.15627 .09949 L
.15707 .09789 L
.15728 .09764 L
.15889 .09666 L
.16013 .09628 L
F
.212 .95 1 r
.16049 .09748 m
.1621 .09693 L
.1637 .09663 L
.16531 .09648 L
.16691 .09642 L
.16852 .09646 L
.17012 .09656 L
.17173 .09673 L
.17333 .09697 L
.17494 .09728 L
.17654 .09765 L
.17747 .09789 L
.17815 .09808 L
.17975 .09859 L
.18136 .09916 L
.18222 .09949 L
.18297 .0998 L
.18457 .10052 L
.18578 .1011 L
.18618 .1013 L
.18778 .10216 L
.18875 .1027 L
.18939 .10308 L
.19099 .10409 L
.19133 .10431 L
.1926 .10518 L
.19362 .10591 L
.1942 .10635 L
.19568 .10752 L
.19581 .10763 L
.19741 .10903 L
.19752 .10912 L
.19902 .1106 L
.19914 .11073 L
.20052 .11233 L
.20062 .11244 L
.20161 .11394 L
.20223 .11537 L
.20228 .11555 L
.20226 .11715 L
.20223 .11725 L
.20076 .11876 L
.20062 .11884 L
.19902 .11947 L
.19741 .11978 L
.19581 .11997 L
.1942 .12007 L
.1926 .12012 L
.19099 .12011 L
.18939 .12006 L
.18778 .11996 L
.18618 .11981 L
.18457 .11961 L
.18297 .11935 L
.18136 .11903 L
.18018 .11876 L
.17975 .11864 L
.17815 .11818 L
.17654 .11763 L
.17532 .11715 L
.17494 .11699 L
.17333 .11626 L
.17194 .11555 L
.17173 .11543 L
.17012 .11449 L
.16925 .11394 L
.16852 .11345 L
.16698 .11233 L
.16691 .11229 L
.16531 .11099 L
.165 .11073 L
.1637 .10955 L
.16326 .10912 L
.1621 .10792 L
.16174 .10752 L
.16049 .10599 L
.16044 .10591 L
.15937 .10431 L
.15889 .10356 L
.15859 .1027 L
.1582 .1011 L
.1584 .09949 L
.15889 .09868 L
.15979 .09789 L
F
.156 .94 1 r
.1637 .09765 m
.16531 .09736 L
.16691 .09724 L
.16852 .09722 L
.17012 .0973 L
.17173 .09747 L
.17333 .0977 L
.17436 .09789 L
.17494 .09801 L
.17654 .09839 L
.17815 .09884 L
.17975 .09936 L
.18013 .09949 L
.18136 .09995 L
.18297 .10062 L
.18403 .1011 L
.18457 .10136 L
.18618 .10217 L
.18716 .1027 L
.18778 .10305 L
.18939 .10402 L
.18984 .10431 L
.19099 .10507 L
.1922 .10591 L
.1926 .1062 L
.1942 .10744 L
.19429 .10752 L
.19581 .10881 L
.19615 .10912 L
.19741 .11035 L
.19777 .11073 L
.19902 .11219 L
.19912 .11233 L
.20015 .11394 L
.20062 .11514 L
.20071 .11555 L
.20062 .11678 L
.20046 .11715 L
.19902 .11843 L
.19825 .11876 L
.19741 .11903 L
.19581 .11935 L
.1942 .11953 L
.1926 .11961 L
.19099 .11963 L
.18939 .11958 L
.18778 .11947 L
.18618 .11931 L
.18457 .11909 L
.18297 .11881 L
.18269 .11876 L
.18136 .11846 L
.17975 .11803 L
.17815 .11752 L
.17711 .11715 L
.17654 .11693 L
.17494 .11624 L
.17351 .11555 L
.17333 .11545 L
.17173 .11456 L
.17071 .11394 L
.17012 .11356 L
.16852 .11244 L
.16838 .11233 L
.16691 .11119 L
.16637 .11073 L
.16531 .10978 L
.16463 .10912 L
.1637 .10817 L
.16313 .10752 L
.1621 .10625 L
.16186 .10591 L
.16085 .10431 L
.16049 .10356 L
.16018 .1027 L
.15995 .1011 L
.16049 .09949 L
.16049 .09949 L
.1621 .09816 L
.1629 .09789 L
F
1 .83 .005 r
.1621 .14485 m
.1637 .14518 L
.16502 .14604 L
.16531 .14611 L
.16691 .14713 L
.1678 .14765 L
.16852 .14817 L
.17006 .14926 L
.17012 .14931 L
.17173 .15047 L
.17227 .15086 L
.17333 .15165 L
.17441 .15247 L
.17494 .15288 L
.17646 .15407 L
.17654 .15414 L
.17815 .15541 L
.17848 .15568 L
.17975 .15671 L
.18046 .15728 L
.18136 .15802 L
.1824 .15889 L
.18297 .15936 L
.18431 .16049 L
.18457 .16071 L
.18618 .16208 L
.18619 .1621 L
.18778 .16346 L
.18806 .1637 L
.18939 .16486 L
.1899 .16531 L
.19099 .16627 L
.19172 .16691 L
.1926 .16769 L
.19352 .16852 L
.1942 .16913 L
.19531 .17012 L
.19581 .17058 L
.19707 .17173 L
.19741 .17204 L
.19882 .17333 L
.19902 .17352 L
.20055 .17494 L
.20062 .17501 L
.20223 .17651 L
.20227 .17654 L
.20383 .17802 L
.20397 .17815 L
.20544 .17955 L
.20565 .17975 L
.20704 .18109 L
.20732 .18136 L
.20865 .18264 L
.20898 .18297 L
.21025 .18421 L
.21062 .18457 L
.21186 .1858 L
.21224 .18618 L
.21346 .1874 L
.21385 .18778 L
.21507 .18901 L
.21544 .18939 L
.21668 .19065 L
.21701 .19099 L
.21828 .19231 L
.21856 .1926 L
.21989 .19398 L
.22009 .1942 L
.22149 .19569 L
.2216 .19581 L
.22309 .19741 L
.2231 .19742 L
.22456 .19902 L
.2247 .19917 L
.226 .20062 L
.22631 .20095 L
.22741 .20223 L
.22791 .20279 L
.22878 .20383 L
.22952 .20469 L
.2301 .20544 L
.23112 .20671 L
.23137 .20704 L
.23259 .20865 L
.23273 .20889 L
.23375 .21025 L
.23433 .21138 L
.23463 .21186 L
.2351 .21346 L
.23433 .21414 L
.23273 .21373 L
.23226 .21346 L
.23112 .21301 L
.22952 .21193 L
.2294 .21186 L
.22791 .21092 L
.22689 .21025 L
.22631 .20981 L
.22472 .20865 L
.2247 .20864 L
.2231 .20745 L
.22254 .20704 L
.22149 .20624 L
.22045 .20544 L
.21989 .20499 L
.21843 .20383 L
.21828 .20371 L
.21668 .20242 L
.21644 .20223 L
.21507 .2011 L
.21448 .20062 L
.21346 .19977 L
.21256 .19902 L
.21186 .19843 L
.21067 .19741 L
.21025 .19706 L
.2088 .19581 L
.20865 .19568 L
.20704 .19428 L
.20695 .1942 L
.20544 .19287 L
.20512 .1926 L
.20383 .19145 L
.20332 .19099 L
.20223 .19002 L
.20153 .18939 L
.20062 .18857 L
.19975 .18778 L
.19902 .18711 L
.198 .18618 L
.19741 .18564 L
.19626 .18457 L
.19581 .18415 L
.19454 .18297 L
.1942 .18265 L
.19284 .18136 L
.1926 .18113 L
.19115 .17975 L
.19099 .17961 L
.18947 .17815 L
.18939 .17807 L
.18781 .17654 L
.18778 .17651 L
.18618 .17494 L
.18617 .17494 L
.18457 .17336 L
.18454 .17333 L
.18297 .17176 L
.18293 .17173 L
.18136 .17014 L
.18134 .17012 L
.17976 .16852 L
.17975 .16851 L
.1782 .16691 L
.17815 .16686 L
.17666 .16531 L
.17654 .16519 L
.17514 .1637 L
.17494 .16349 L
.17364 .1621 L
.17333 .16177 L
.17217 .16049 L
.17173 .16002 L
.17072 .15889 L
.17012 .15823 L
.1693 .15728 L
.16852 .15639 L
.16792 .15568 L
.16691 .15448 L
.16659 .15407 L
.16531 .15247 L
.1653 .15247 L
.16404 .15086 L
.1637 .15035 L
.16288 .14926 L
.1621 .14792 L
.16192 .14765 L
.16123 .14604 L
F
.114 .93 1 r
.1637 .09883 m
.16531 .09833 L
.16691 .09809 L
.16852 .09801 L
.17012 .09805 L
.17173 .09819 L
.17333 .09841 L
.17494 .09872 L
.17654 .0991 L
.17793 .09949 L
.17815 .09956 L
.17975 .1001 L
.18136 .1007 L
.18231 .1011 L
.18297 .10139 L
.18457 .10215 L
.18566 .1027 L
.18618 .10298 L
.18778 .1039 L
.18846 .10431 L
.18939 .1049 L
.19088 .10591 L
.19099 .10599 L
.1926 .10719 L
.19301 .10752 L
.1942 .10851 L
.19489 .10912 L
.19581 .11 L
.1965 .11073 L
.19741 .11177 L
.19782 .11233 L
.19878 .11394 L
.19902 .11453 L
.19922 .11555 L
.19902 .11662 L
.19868 .11715 L
.19741 .11829 L
.19581 .11866 L
.19518 .11876 L
.1942 .11891 L
.1926 .11906 L
.19099 .11911 L
.18939 .11908 L
.18778 .11897 L
.18618 .11881 L
.18577 .11876 L
.18457 .11857 L
.18297 .11827 L
.18136 .11789 L
.17975 .11743 L
.17889 .11715 L
.17815 .11689 L
.17654 .11625 L
.175 .11555 L
.17494 .11551 L
.17333 .11468 L
.17207 .11394 L
.17173 .11373 L
.17012 .11266 L
.16968 .11233 L
.16852 .11145 L
.16764 .11073 L
.16691 .11009 L
.16589 .10912 L
.16531 .10853 L
.16441 .10752 L
.1637 .10667 L
.16318 .10591 L
.16224 .10431 L
.1621 .10399 L
.16168 .1027 L
.16167 .1011 L
.1621 .10014 L
.16269 .09949 L
F
.084 .92 1 r
.16691 .09903 m
.16852 .09884 L
.17012 .09882 L
.17173 .09892 L
.17333 .09912 L
.17494 .09942 L
.17529 .09949 L
.17654 .0998 L
.17815 .10026 L
.17975 .1008 L
.18055 .1011 L
.18136 .10142 L
.18297 .10212 L
.18418 .1027 L
.18457 .1029 L
.18618 .10376 L
.18712 .10431 L
.18778 .10471 L
.18939 .10575 L
.18963 .10591 L
.19099 .10689 L
.1918 .10752 L
.1926 .10816 L
.19369 .10912 L
.1942 .10959 L
.1953 .11073 L
.19581 .11126 L
.19659 .11233 L
.19741 .11378 L
.19748 .11394 L
.19776 .11555 L
.19741 .11652 L
.19683 .11715 L
.19581 .11784 L
.1942 .11828 L
.1926 .11848 L
.19099 .11856 L
.18939 .11855 L
.18778 .11846 L
.18618 .1183 L
.18457 .11805 L
.18297 .11773 L
.18136 .11733 L
.18075 .11715 L
.17975 .11684 L
.17815 .11626 L
.17654 .11558 L
.17646 .11555 L
.17494 .1148 L
.17338 .11394 L
.17333 .11391 L
.17173 .1129 L
.17091 .11233 L
.17012 .11176 L
.16884 .11073 L
.16852 .11046 L
.16709 .10912 L
.16691 .10895 L
.16562 .10752 L
.16531 .10717 L
.16443 .10591 L
.1637 .1047 L
.16358 .10431 L
.16316 .1027 L
.16343 .1011 L
.1637 .10067 L
.16531 .0995 L
.16534 .09949 L
F
.061 .91 1 r
.16691 .10008 m
.16852 .09974 L
.17012 .09963 L
.17173 .09967 L
.17333 .09984 L
.17494 .10012 L
.17654 .10049 L
.17815 .10095 L
.17862 .1011 L
.17975 .10149 L
.18136 .10212 L
.18268 .1027 L
.18297 .10284 L
.18457 .10364 L
.1858 .10431 L
.18618 .10452 L
.18778 .10551 L
.1884 .10591 L
.18939 .10659 L
.19063 .10752 L
.19099 .1078 L
.19254 .10912 L
.1926 .10917 L
.19414 .11073 L
.1942 .11078 L
.19539 .11233 L
.19581 .11304 L
.19619 .11394 L
.19627 .11555 L
.19581 .11637 L
.19473 .11715 L
.1942 .1174 L
.1926 .11781 L
.19099 .11798 L
.18939 .118 L
.18778 .11793 L
.18618 .11776 L
.18457 .11751 L
.18297 .11718 L
.18285 .11715 L
.18136 .11676 L
.17975 .11624 L
.17815 .11563 L
.17794 .11555 L
.17654 .11492 L
.17494 .11409 L
.17467 .11394 L
.17333 .11315 L
.17211 .11233 L
.17173 .11207 L
.17012 .11083 L
.17 .11073 L
.16852 .1094 L
.16824 .10912 L
.16691 .10768 L
.16679 .10752 L
.16566 .10591 L
.16531 .10528 L
.1649 .10431 L
.16466 .1027 L
.16531 .10116 L
.16537 .1011 L
F
.045 .9 1 r
.16852 .10081 m
.17012 .10051 L
.17173 .10046 L
.17333 .10058 L
.17494 .10083 L
.17622 .1011 L
.17654 .10119 L
.17815 .10164 L
.17975 .10219 L
.18108 .1027 L
.18136 .10282 L
.18297 .10355 L
.18446 .10431 L
.18457 .10437 L
.18618 .10528 L
.18718 .10591 L
.18778 .1063 L
.18939 .10745 L
.18947 .10752 L
.19099 .10875 L
.19141 .10912 L
.1926 .11027 L
.193 .11073 L
.1942 .11233 L
.1942 .11233 L
.19489 .11394 L
.19471 .11555 L
.1942 .11614 L
.1926 .11709 L
.1919 .11715 L
.19099 .11728 L
.18939 .11739 L
.18778 .11735 L
.18618 .1172 L
.18575 .11715 L
.18457 .11696 L
.18297 .11662 L
.18136 .11618 L
.17975 .11564 L
.17951 .11555 L
.17815 .115 L
.17654 .11424 L
.17596 .11394 L
.17494 .11337 L
.17333 .11236 L
.17329 .11233 L
.17173 .1112 L
.17114 .11073 L
.17012 .10986 L
.16937 .10912 L
.16852 .10824 L
.16795 .10752 L
.16691 .10599 L
.16688 .10591 L
.16624 .10431 L
.16626 .1027 L
.16691 .10169 L
.16777 .1011 L
F
1 .82 .004 r
.16852 .15048 m
.1694 .15086 L
.17012 .15123 L
.17173 .15215 L
.17231 .15247 L
.17333 .15316 L
.17471 .15407 L
.17494 .1543 L
.17654 .15552 L
.17677 .15568 L
.17815 .15671 L
.1789 .15728 L
.17975 .15795 L
.18093 .15889 L
.18136 .15923 L
.1829 .16049 L
.18297 .16055 L
.18457 .16187 L
.18485 .1621 L
.18618 .16321 L
.18676 .1637 L
.18778 .16457 L
.18864 .16531 L
.18939 .16595 L
.1905 .16691 L
.19099 .16735 L
.19232 .16852 L
.1926 .16876 L
.19412 .17012 L
.1942 .1702 L
.19581 .17164 L
.1959 .17173 L
.19741 .1731 L
.19766 .17333 L
.19902 .17458 L
.19941 .17494 L
.20062 .17607 L
.20113 .17654 L
.20223 .17757 L
.20284 .17815 L
.20383 .17909 L
.20453 .17975 L
.20544 .18063 L
.20619 .18136 L
.20704 .18218 L
.20784 .18297 L
.20865 .18375 L
.20948 .18457 L
.21025 .18534 L
.21109 .18618 L
.21186 .18695 L
.21268 .18778 L
.21346 .18858 L
.21425 .18939 L
.21507 .19023 L
.2158 .19099 L
.21668 .1919 L
.21732 .1926 L
.21828 .19361 L
.21882 .1942 L
.21989 .19536 L
.22029 .19581 L
.22149 .19715 L
.22172 .19741 L
.2231 .19899 L
.22312 .19902 L
.2245 .20062 L
.2247 .20074 L
.22582 .20223 L
.22631 .20293 L
.22705 .20383 L
.22791 .20516 L
.22812 .20544 L
.229 .20704 L
.22791 .20856 L
.22631 .20811 L
.22492 .20704 L
.2247 .20691 L
.2231 .2059 L
.22235 .20544 L
.22149 .20481 L
.22012 .20383 L
.21989 .20362 L
.21828 .20239 L
.21807 .20223 L
.21668 .20116 L
.21599 .20062 L
.21507 .19989 L
.21398 .19902 L
.21346 .19859 L
.21203 .19741 L
.21186 .19726 L
.21025 .19592 L
.21012 .19581 L
.20865 .19456 L
.20823 .1942 L
.20704 .19319 L
.20636 .1926 L
.20544 .19179 L
.20452 .19099 L
.20383 .19038 L
.20271 .18939 L
.20223 .18895 L
.20093 .18778 L
.20062 .18751 L
.19916 .18618 L
.19902 .18605 L
.19742 .18457 L
.19741 .18457 L
.19581 .18308 L
.19569 .18297 L
.1942 .18158 L
.19397 .18136 L
.1926 .18006 L
.19228 .17975 L
.19099 .17852 L
.19061 .17815 L
.18939 .17697 L
.18895 .17654 L
.18778 .1754 L
.18731 .17494 L
.18618 .17382 L
.1857 .17333 L
.18457 .17221 L
.1841 .17173 L
.18297 .17058 L
.18252 .17012 L
.18136 .16893 L
.18097 .16852 L
.17975 .16726 L
.17943 .16691 L
.17815 .16555 L
.17793 .16531 L
.17654 .16381 L
.17645 .1637 L
.175 .1621 L
.17494 .16204 L
.17357 .16049 L
.17333 .16027 L
.17219 .15889 L
.17173 .15843 L
.17086 .15728 L
.17012 .15645 L
.16962 .15568 L
.16852 .15411 L
.1685 .15407 L
.16751 .15247 L
.16692 .15086 L
F
.033 .89 1 r
.16852 .10211 m
.17012 .10148 L
.17173 .10133 L
.17333 .10137 L
.17494 .10157 L
.17654 .1019 L
.17815 .10234 L
.17925 .1027 L
.17975 .10289 L
.18136 .10353 L
.18297 .10427 L
.18304 .10431 L
.18457 .10511 L
.18593 .10591 L
.18618 .10606 L
.18778 .10713 L
.1883 .10752 L
.18939 .10835 L
.19027 .10912 L
.19099 .10976 L
.19185 .11073 L
.1926 .1114 L
.193 .11233 L
.19354 .11394 L
.19294 .11555 L
.1926 .11594 L
.19099 .11659 L
.18939 .11675 L
.18778 .11675 L
.18618 .11662 L
.18457 .11638 L
.18297 .11603 L
.18136 .11557 L
.18128 .11555 L
.17975 .11502 L
.17815 .11434 L
.17732 .11394 L
.17654 .11355 L
.17494 .11262 L
.1745 .11233 L
.17333 .11154 L
.17229 .11073 L
.17173 .11028 L
.17051 .10912 L
.17012 .10878 L
.16911 .10752 L
.16852 .10664 L
.16812 .10591 L
.16766 .10431 L
.16809 .1027 L
F
.024 .88 1 r
.17173 .10235 m
.17333 .10224 L
.17494 .10237 L
.17654 .10266 L
.17674 .1027 L
.17815 .10307 L
.17975 .10361 L
.18136 .10426 L
.18147 .10431 L
.18297 .10501 L
.18457 .10589 L
.18462 .10591 L
.18618 .10687 L
.1871 .10752 L
.18778 .108 L
.1891 .10912 L
.18939 .10932 L
.19067 .11073 L
.19099 .11114 L
.19174 .11233 L
.19207 .11394 L
.19099 .11536 L
.19068 .11555 L
.18939 .11592 L
.18778 .11604 L
.18618 .11596 L
.18457 .11574 L
.18354 .11555 L
.18297 .1154 L
.18136 .11494 L
.17975 .11435 L
.17879 .11394 L
.17815 .11365 L
.17654 .11281 L
.17576 .11233 L
.17494 .11182 L
.17347 .11073 L
.17333 .11063 L
.17173 .10918 L
.17168 .10912 L
.17032 .10752 L
.17012 .10722 L
.16944 .10591 L
.16923 .10431 L
.17012 .10298 L
.17047 .1027 L
F
.018 .87 1 r
.17173 .10381 m
.17333 .10319 L
.17494 .10323 L
.17654 .10347 L
.17815 .10386 L
.17955 .10431 L
.17975 .10439 L
.18136 .10502 L
.18297 .10581 L
.18316 .10591 L
.18457 .1067 L
.18581 .10752 L
.18618 .10775 L
.18778 .10904 L
.18787 .10912 L
.18939 .11068 L
.18942 .11073 L
.19038 .11233 L
.19036 .11394 L
.18939 .11475 L
.18778 .11536 L
.18618 .11527 L
.18457 .11507 L
.18297 .11473 L
.18136 .11425 L
.1805 .11394 L
.17975 .11365 L
.17815 .1129 L
.17712 .11233 L
.17654 .11201 L
.17494 .1109 L
.17472 .11073 L
.17333 .10958 L
.17291 .10912 L
.17173 .10776 L
.17161 .10752 L
.17089 .10591 L
.17115 .10431 L
F
.013 .86 1 r
.17333 .10487 m
.17494 .1044 L
.17654 .10439 L
.17815 .10471 L
.17975 .10522 L
.18136 .1059 L
.1814 .10591 L
.18297 .10665 L
.18436 .10752 L
.18457 .10761 L
.18618 .10881 L
.18651 .10912 L
.18778 .11023 L
.18803 .11073 L
.1888 .11233 L
.18779 .11394 L
.18778 .11394 L
.18618 .11433 L
.18457 .11423 L
.18307 .11394 L
.18297 .11393 L
.18136 .11351 L
.17975 .11286 L
.1787 .11233 L
.17815 .11209 L
.17654 .11106 L
.17611 .11073 L
.17494 .1099 L
.17427 .10912 L
.17333 .10796 L
.17306 .10752 L
.17264 .10591 L
F
1 .81 .003 r
.17494 .15672 m
.17612 .15728 L
.17654 .15752 L
.17815 .15845 L
.17869 .15889 L
.17975 .1595 L
.18095 .16049 L
.18136 .1607 L
.18297 .16201 L
.18307 .1621 L
.18457 .16326 L
.18514 .1637 L
.18618 .16454 L
.18712 .16531 L
.18778 .16586 L
.18903 .16691 L
.18939 .16722 L
.19088 .16852 L
.19099 .16861 L
.1926 .17002 L
.19272 .17012 L
.1942 .17143 L
.19454 .17173 L
.19581 .17286 L
.19633 .17333 L
.19741 .17431 L
.19809 .17494 L
.19902 .17579 L
.19983 .17654 L
.20062 .17728 L
.20154 .17815 L
.20223 .17879 L
.20323 .17975 L
.20383 .18032 L
.2049 .18136 L
.20544 .18188 L
.20654 .18297 L
.20704 .18345 L
.20816 .18457 L
.20865 .18505 L
.20975 .18618 L
.21025 .18667 L
.21132 .18778 L
.21186 .18832 L
.21285 .18939 L
.21346 .19 L
.21436 .19099 L
.21507 .19172 L
.21583 .1926 L
.21668 .1935 L
.21725 .1942 L
.21828 .19537 L
.21861 .19581 L
.21989 .1974 L
.21989 .19741 L
.2211 .19902 L
.22149 .19959 L
.22213 .20062 L
.22261 .20223 L
.22149 .20233 L
.22123 .20223 L
.21989 .20156 L
.21835 .20062 L
.21828 .20058 L
.21668 .19954 L
.21585 .19902 L
.21507 .19841 L
.2137 .19741 L
.21346 .19717 L
.21186 .19584 L
.21181 .19581 L
.21025 .19457 L
.2098 .1942 L
.20865 .19326 L
.20785 .1926 L
.20704 .19192 L
.20596 .19099 L
.20544 .19054 L
.20411 .18939 L
.20383 .18914 L
.20231 .18778 L
.20223 .18771 L
.20062 .18627 L
.20052 .18618 L
.19902 .18482 L
.19874 .18457 L
.19741 .18335 L
.197 .18297 L
.19581 .18186 L
.19527 .18136 L
.1942 .18035 L
.19358 .17975 L
.1926 .17882 L
.1919 .17815 L
.19099 .17727 L
.19025 .17654 L
.18939 .1757 L
.18863 .17494 L
.18778 .17411 L
.18703 .17333 L
.18618 .17248 L
.18545 .17173 L
.18457 .17083 L
.18391 .17012 L
.18297 .16915 L
.18239 .16852 L
.18136 .16742 L
.18092 .16691 L
.17975 .16563 L
.17948 .16531 L
.17815 .16376 L
.1781 .1637 L
.17666 .1621 L
.17654 .1618 L
.17529 .16049 L
.17494 .15965 L
.1742 .15889 L
.17365 .15728 L
F
.01 .85 1 r
.17654 .10569 m
.17815 .10586 L
.17839 .10591 L
.17975 .10606 L
.18136 .10684 L
.18259 .10752 L
.18297 .10777 L
.18457 .1088 L
.18489 .10912 L
.18618 .11049 L
.18635 .11073 L
.18665 .11233 L
.18618 .11275 L
.18457 .1131 L
.18297 .11308 L
.18136 .11252 L
.18084 .11233 L
.17975 .1121 L
.17815 .111 L
.17779 .11073 L
.17654 .10976 L
.17588 .10912 L
.17494 .10767 L
.17488 .10752 L
.17494 .1065 L
.17567 .10591 L
F
1 .97 .395 r
.18778 .12346 m
.18939 .12337 L
.19099 .12331 L
.1926 .12327 L
.1942 .12325 L
.19581 .12325 L
.19741 .12327 L
.19902 .1233 L
.20062 .12335 L
.20223 .12342 L
.20383 .12352 L
.2046 .12357 L
.20544 .12364 L
.20704 .1238 L
.20865 .124 L
.21025 .12425 L
.21186 .12454 L
.21346 .12488 L
.21473 .12518 L
.21507 .12527 L
.21668 .12576 L
.21828 .12631 L
.21963 .12678 L
.21989 .12688 L
.22149 .12758 L
.2231 .1283 L
.2233 .12839 L
.2247 .12911 L
.22631 .12994 L
.2264 .12999 L
.22791 .13089 L
.22916 .1316 L
.22952 .13182 L
.23112 .13289 L
.2316 .1332 L
.23273 .13396 L
.234 .13481 L
.23433 .13504 L
.23594 .13621 L
.2362 .13641 L
.23754 .13776 L
.23818 .13802 L
.23915 .13916 L
.23994 .13962 L
.24075 .14078 L
.24144 .14123 L
.24236 .14238 L
.24268 .14283 L
.24356 .14444 L
.24396 .14503 L
.24414 .14604 L
.24436 .14765 L
.24396 .149 L
.24378 .14926 L
.24236 .15036 L
.24108 .15086 L
.24075 .15097 L
.23915 .15136 L
.23754 .15159 L
.23594 .15175 L
.23433 .15186 L
.23273 .15193 L
.23112 .15199 L
.22952 .15203 L
.22791 .15205 L
.22631 .15206 L
.2247 .15206 L
.2231 .15205 L
.22149 .15203 L
.21989 .15199 L
.21828 .15194 L
.21668 .15187 L
.21507 .15178 L
.21346 .15167 L
.21186 .15152 L
.21025 .15134 L
.20865 .15112 L
.20705 .15086 L
.20704 .15086 L
.20544 .15051 L
.20383 .1501 L
.20223 .14963 L
.201 .14926 L
.20062 .14912 L
.19902 .14847 L
.19741 .14779 L
.19705 .14765 L
.19581 .14703 L
.1942 .14617 L
.19393 .14604 L
.1926 .14526 L
.19108 .14444 L
.19099 .14438 L
.18939 .14334 L
.18866 .14283 L
.18778 .14194 L
.18667 .14123 L
.18618 .14083 L
.18471 .13962 L
.18457 .13949 L
.18311 .13802 L
.18297 .13786 L
.18177 .13641 L
.18136 .13588 L
.18063 .13481 L
.17975 .13353 L
.17957 .1332 L
.17867 .1316 L
.17815 .13042 L
.17805 .12999 L
.1778 .12839 L
.1781 .12678 L
.17815 .12668 L
.17964 .12518 L
.17975 .1251 L
.18136 .12439 L
.18297 .12401 L
.18457 .12376 L
.18618 .12359 L
.18642 .12357 L
F
.007 .84 1 r
.17975 .10789 m
.18136 .10848 L
.1824 .10912 L
.18297 .10962 L
.18352 .11073 L
.18297 .11116 L
.18136 .111 L
.18062 .11073 L
.17975 .11028 L
.17838 .10912 L
F
1 .96 .289 r
.18297 .12517 m
.18457 .1246 L
.18618 .12426 L
.18778 .12403 L
.18939 .12388 L
.19099 .12378 L
.1926 .12371 L
.1942 .12367 L
.19581 .12366 L
.19741 .12368 L
.19902 .12372 L
.20062 .12379 L
.20223 .12389 L
.20383 .12402 L
.20544 .12418 L
.20704 .12439 L
.20865 .12464 L
.21025 .12493 L
.21142 .12518 L
.21186 .12528 L
.21346 .12571 L
.21507 .1262 L
.21668 .12674 L
.2168 .12678 L
.21828 .12738 L
.21989 .12807 L
.2206 .12839 L
.22149 .12883 L
.2231 .12967 L
.22371 .12999 L
.2247 .13056 L
.22631 .13152 L
.22643 .1316 L
.22791 .13257 L
.22886 .1332 L
.22952 .13367 L
.23109 .13481 L
.23112 .13483 L
.23273 .1361 L
.23311 .13641 L
.23433 .13745 L
.23497 .13802 L
.23594 .13891 L
.23666 .13962 L
.23754 .14052 L
.23818 .14123 L
.23915 .14237 L
.23949 .14283 L
.24057 .14444 L
.24075 .14455 L
.2413 .14604 L
.24155 .14765 L
.24089 .14926 L
.24075 .1494 L
.23915 .1506 L
.23761 .15086 L
.23754 .15088 L
.23594 .1512 L
.23433 .15141 L
.23273 .15155 L
.23112 .15165 L
.22952 .15171 L
.22791 .15176 L
.22631 .15178 L
.2247 .15178 L
.2231 .15177 L
.22149 .15174 L
.21989 .15169 L
.21828 .15162 L
.21668 .15152 L
.21507 .1514 L
.21346 .15124 L
.21186 .15105 L
.21052 .15086 L
.21025 .15082 L
.20865 .15052 L
.20704 .15015 L
.20544 .14972 L
.20388 .14926 L
.20383 .14924 L
.20223 .14864 L
.20062 .14798 L
.19986 .14765 L
.19902 .14724 L
.19741 .1464 L
.19676 .14604 L
.19581 .14548 L
.1942 .14449 L
.19413 .14444 L
.1926 .14337 L
.19185 .14283 L
.19099 .14218 L
.18979 .14123 L
.18939 .14089 L
.18793 .13962 L
.18778 .13948 L
.18626 .13802 L
.18618 .13793 L
.18477 .13641 L
.18457 .13619 L
.18345 .13481 L
.18297 .13417 L
.18232 .1332 L
.18138 .1316 L
.18136 .13159 L
.18074 .12999 L
.1805 .12839 L
.18094 .12678 L
.18136 .12624 L
.18295 .12518 L
F
1 .8 .002 r
.18297 .16474 m
.18417 .16531 L
.18457 .16554 L
.18618 .16645 L
.1866 .16691 L
.18778 .16779 L
.18872 .16852 L
.18939 .16904 L
.19072 .17012 L
.19099 .17035 L
.1926 .17169 L
.19265 .17173 L
.1942 .17304 L
.19454 .17333 L
.19581 .17442 L
.19638 .17494 L
.19741 .17584 L
.19817 .17654 L
.19902 .17729 L
.19991 .17815 L
.20062 .17877 L
.20161 .17975 L
.20223 .18028 L
.20328 .18136 L
.20383 .18181 L
.20491 .18297 L
.20544 .18335 L
.20651 .18457 L
.20704 .18529 L
.20806 .18618 L
.20865 .187 L
.20956 .18778 L
.21025 .18878 L
.21097 .18939 L
.21186 .19067 L
.21223 .19099 L
.21328 .1926 L
.21346 .19289 L
.21386 .1942 L
.21346 .19428 L
.21318 .1942 L
.21186 .19354 L
.2104 .1926 L
.21025 .1925 L
.20865 .19144 L
.20821 .19099 L
.20704 .19032 L
.20618 .18939 L
.20544 .18878 L
.20423 .18778 L
.20383 .18744 L
.20236 .18618 L
.20223 .18606 L
.20062 .18466 L
.20052 .18457 L
.19902 .18324 L
.19872 .18297 L
.19741 .18179 L
.19696 .18136 L
.19581 .1803 L
.19524 .17975 L
.1942 .17879 L
.19357 .17815 L
.1926 .17724 L
.19193 .17654 L
.19099 .17566 L
.19033 .17494 L
.18939 .17404 L
.18878 .17333 L
.18778 .17235 L
.18728 .17173 L
.18618 .17056 L
.18586 .17012 L
.18457 .16853 L
.18456 .16852 L
.18333 .16691 L
.18297 .16638 L
.18239 .16531 L
F
1 .95 .212 r
.18618 .12505 m
.18778 .12467 L
.18939 .12442 L
.19099 .12426 L
.1926 .12416 L
.1942 .1241 L
.19581 .12408 L
.19741 .12409 L
.19902 .12414 L
.20062 .12421 L
.20223 .12433 L
.20383 .12448 L
.20544 .12467 L
.20704 .12491 L
.20858 .12518 L
.20865 .12519 L
.21025 .12554 L
.21186 .12595 L
.21346 .12642 L
.21459 .12678 L
.21507 .12695 L
.21668 .12757 L
.21828 .12824 L
.21861 .12839 L
.21989 .129 L
.22149 .12982 L
.22183 .12999 L
.2231 .13071 L
.2246 .1316 L
.2247 .13166 L
.22631 .13271 L
.22705 .1332 L
.22791 .13381 L
.22928 .13481 L
.22952 .13499 L
.23112 .13626 L
.23131 .13641 L
.23273 .13762 L
.23317 .13802 L
.23433 .13911 L
.23485 .13962 L
.23594 .14076 L
.23636 .14123 L
.23754 .14267 L
.23766 .14283 L
.23871 .14444 L
.23915 .14531 L
.23941 .14604 L
.23959 .14765 L
.23915 .14878 L
.23872 .14926 L
.23754 .15017 L
.23594 .15064 L
.23458 .15086 L
.23433 .1509 L
.23273 .15113 L
.23112 .15129 L
.22952 .15139 L
.22791 .15145 L
.22631 .15149 L
.2247 .1515 L
.2231 .15148 L
.22149 .15145 L
.21989 .15139 L
.21828 .1513 L
.21668 .15118 L
.21507 .15104 L
.21356 .15086 L
.21346 .15085 L
.21186 .15061 L
.21025 .15031 L
.20865 .14996 L
.20704 .14954 L
.20605 .14926 L
.20544 .14905 L
.20383 .14847 L
.20223 .14782 L
.20183 .14765 L
.20062 .14708 L
.19902 .14625 L
.19864 .14604 L
.19741 .14532 L
.19598 .14444 L
.19581 .14432 L
.1942 .14321 L
.19368 .14283 L
.1926 .14201 L
.19162 .14123 L
.19099 .14071 L
.18976 .13962 L
.18939 .13928 L
.18808 .13802 L
.18778 .13771 L
.18658 .13641 L
.18618 .13595 L
.18526 .13481 L
.18457 .13388 L
.18413 .1332 L
.18322 .1316 L
.18297 .13102 L
.18263 .12999 L
.18249 .12839 L
.18297 .12703 L
.18315 .12678 L
.18457 .12557 L
.1858 .12518 L
F
1 .94 .156 r
.18939 .12501 m
.19099 .12477 L
.1926 .12462 L
.1942 .12453 L
.19581 .12449 L
.19741 .12449 L
.19902 .12454 L
.20062 .12462 L
.20223 .12475 L
.20383 .12492 L
.20544 .12513 L
.20577 .12518 L
.20704 .12539 L
.20865 .12572 L
.21025 .1261 L
.21186 .12654 L
.21267 .12678 L
.21346 .12705 L
.21507 .12763 L
.21668 .12827 L
.21695 .12839 L
.21828 .129 L
.21989 .12979 L
.22029 .12999 L
.22149 .13065 L
.2231 .13158 L
.22312 .1316 L
.2247 .1326 L
.22562 .1332 L
.22631 .13368 L
.22787 .13481 L
.22791 .13484 L
.22952 .13609 L
.22991 .13641 L
.23112 .13744 L
.23177 .13802 L
.23273 .1389 L
.23346 .13962 L
.23433 .14053 L
.23495 .14123 L
.23594 .14242 L
.23624 .14283 L
.23726 .14444 L
.23754 .14502 L
.23791 .14604 L
.23798 .14765 L
.23754 .1486 L
.23687 .14926 L
.23594 .14989 L
.23433 .15042 L
.23273 .1507 L
.23144 .15086 L
.23112 .1509 L
.22952 .15104 L
.22791 .15114 L
.22631 .15119 L
.2247 .15121 L
.2231 .1512 L
.22149 .15116 L
.21989 .15109 L
.21828 .15099 L
.2167 .15086 L
.21668 .15086 L
.21507 .15068 L
.21346 .15046 L
.21186 .15019 L
.21025 .14985 L
.20865 .14946 L
.2079 .14926 L
.20704 .14899 L
.20544 .14844 L
.20383 .14781 L
.20344 .14765 L
.20223 .1471 L
.20062 .14629 L
.20015 .14604 L
.19902 .1454 L
.19744 .14444 L
.19741 .14442 L
.19581 .14334 L
.1951 .14283 L
.1942 .14216 L
.19302 .14123 L
.1926 .14088 L
.19115 .13962 L
.19099 .13948 L
.18948 .13802 L
.18939 .13793 L
.18798 .13641 L
.18778 .13619 L
.18667 .13481 L
.18618 .13415 L
.18556 .1332 L
.18469 .1316 L
.18457 .13131 L
.18417 .12999 L
.18415 .12839 L
.18457 .12737 L
.18506 .12678 L
.18618 .12594 L
.18778 .12537 L
.18861 .12518 L
F
1 .93 .114 r
.1926 .1251 m
.1942 .12497 L
.19581 .1249 L
.19741 .12489 L
.19902 .12493 L
.20062 .12502 L
.20223 .12515 L
.20247 .12518 L
.20383 .12533 L
.20544 .12557 L
.20704 .12586 L
.20865 .1262 L
.21025 .12661 L
.21089 .12678 L
.21186 .12708 L
.21346 .12762 L
.21507 .12823 L
.21547 .12839 L
.21668 .12891 L
.21828 .12966 L
.21895 .12999 L
.21989 .13049 L
.22149 .13139 L
.22186 .1316 L
.2231 .13236 L
.2244 .1332 L
.2247 .13341 L
.22631 .13454 L
.22668 .13481 L
.22791 .13575 L
.22874 .13641 L
.22952 .13706 L
.23061 .13802 L
.23112 .13849 L
.23229 .13962 L
.23273 .14007 L
.23377 .14123 L
.23433 .14189 L
.23504 .14283 L
.23594 .14425 L
.23602 .14444 L
.23661 .14604 L
.23657 .14765 L
.23594 .14867 L
.23518 .14926 L
.23433 .14973 L
.23273 .15023 L
.23112 .15051 L
.22952 .15069 L
.22791 .15081 L
.22709 .15086 L
.22631 .15089 L
.2247 .15092 L
.2231 .15091 L
.22149 .15087 L
.2211 .15086 L
.21989 .1508 L
.21828 .15069 L
.21668 .15053 L
.21507 .15034 L
.21346 .15009 L
.21186 .14979 L
.21025 .14942 L
.20959 .14926 L
.20865 .14899 L
.20704 .14847 L
.20544 .14789 L
.20485 .14765 L
.20383 .14721 L
.20223 .14645 L
.20144 .14604 L
.20062 .1456 L
.19902 .14465 L
.19867 .14444 L
.19741 .14361 L
.1963 .14283 L
.19581 .14248 L
.1942 .14123 L
.1942 .14123 L
.1926 .13987 L
.19233 .13962 L
.19099 .13836 L
.19065 .13802 L
.18939 .13668 L
.18915 .13641 L
.18785 .13481 L
.18778 .13471 L
.18678 .1332 L
.18618 .13217 L
.18596 .1316 L
.18551 .12999 L
.18562 .12839 L
.18618 .1274 L
.18684 .12678 L
.18778 .12619 L
.18939 .12563 L
.19099 .12531 L
.1919 .12518 L
F
1 .92 .084 r
.18939 .12637 m
.19099 .12588 L
.1926 .12559 L
.1942 .12541 L
.19581 .12532 L
.19741 .1253 L
.19902 .12533 L
.20062 .12541 L
.20223 .12555 L
.20383 .12574 L
.20544 .12599 L
.20704 .12629 L
.20865 .12666 L
.20916 .12678 L
.21025 .12708 L
.21186 .12758 L
.21346 .12815 L
.21411 .12839 L
.21507 .12878 L
.21668 .12949 L
.21774 .12999 L
.21828 .13027 L
.21989 .13113 L
.22073 .1316 L
.22149 .13205 L
.2231 .13306 L
.22332 .1332 L
.2247 .13415 L
.22563 .13481 L
.22631 .13531 L
.22771 .13641 L
.22791 .13658 L
.22952 .13796 L
.22959 .13802 L
.23112 .13948 L
.23127 .13962 L
.23273 .14121 L
.23274 .14123 L
.23398 .14283 L
.23433 .14327 L
.23493 .14444 L
.23546 .14604 L
.23528 .14765 L
.23433 .14879 L
.23356 .14926 L
.23273 .14963 L
.23112 .15007 L
.22952 .15033 L
.22791 .15049 L
.22631 .15058 L
.2247 .15063 L
.2231 .15063 L
.22149 .15059 L
.21989 .15051 L
.21828 .15038 L
.21668 .15022 L
.21507 .15 L
.21346 .14973 L
.21186 .1494 L
.21121 .14926 L
.21025 .14901 L
.20865 .14854 L
.20704 .14799 L
.20613 .14765 L
.20544 .14737 L
.20383 .14665 L
.2026 .14604 L
.20223 .14585 L
.20062 .14495 L
.19977 .14444 L
.19902 .14396 L
.19741 .14288 L
.19735 .14283 L
.19581 .14168 L
.19524 .14123 L
.1942 .14037 L
.19335 .13962 L
.1926 .13893 L
.19167 .13802 L
.19099 .13731 L
.19019 .13641 L
.18939 .13545 L
.18891 .13481 L
.18785 .1332 L
.18778 .13314 L
.18709 .1316 L
.18672 .12999 L
.18699 .12839 L
.18778 .12735 L
.18858 .12678 L
F
1 .91 .061 r
.19099 .12653 m
.1926 .12611 L
.1942 .12588 L
.19581 .12575 L
.19741 .1257 L
.19902 .12572 L
.20062 .1258 L
.20223 .12594 L
.20383 .12614 L
.20544 .1264 L
.20704 .12671 L
.20737 .12678 L
.20865 .12709 L
.21025 .12754 L
.21186 .12805 L
.2128 .12839 L
.21346 .12864 L
.21507 .1293 L
.21661 .12999 L
.21668 .13002 L
.21828 .13083 L
.21969 .1316 L
.21989 .13171 L
.22149 .13267 L
.22234 .1332 L
.2231 .13371 L
.22468 .13481 L
.2247 .13482 L
.22631 .13604 L
.22677 .13641 L
.22791 .13736 L
.22866 .13802 L
.22952 .13881 L
.23034 .13962 L
.23112 .14044 L
.23181 .14123 L
.23273 .14239 L
.23303 .14283 L
.23393 .14444 L
.23433 .14565 L
.23439 .14604 L
.23433 .147 L
.23408 .14765 L
.23273 .14889 L
.23194 .14926 L
.23112 .14955 L
.22952 .14992 L
.22791 .15014 L
.22631 .15026 L
.2247 .15033 L
.2231 .15033 L
.22149 .1503 L
.21989 .15021 L
.21828 .15008 L
.21668 .1499 L
.21507 .14967 L
.21346 .14938 L
.21283 .14926 L
.21186 .14903 L
.21025 .14861 L
.20865 .14811 L
.20734 .14765 L
.20704 .14754 L
.20544 .14687 L
.20383 .14613 L
.20366 .14604 L
.20223 .14529 L
.20076 .14444 L
.20062 .14436 L
.19902 .14332 L
.19831 .14283 L
.19741 .14219 L
.19617 .14123 L
.19581 .14094 L
.19427 .13962 L
.1942 .13956 L
.1926 .13802 L
.19259 .13802 L
.19112 .13641 L
.19099 .13627 L
.18986 .13481 L
.18939 .13415 L
.18884 .1332 L
.18813 .1316 L
.18785 .12999 L
.18829 .12839 L
.18939 .12714 L
.19036 .12678 L
F
1 .9 .045 r
.1926 .1267 m
.1942 .12637 L
.19581 .12619 L
.19741 .12611 L
.19902 .12611 L
.20062 .12619 L
.20223 .12632 L
.20383 .12653 L
.20541 .12678 L
.20544 .12679 L
.20704 .12712 L
.20865 .12751 L
.21025 .12797 L
.21153 .12839 L
.21186 .1285 L
.21346 .12911 L
.21507 .12978 L
.21554 .12999 L
.21668 .13054 L
.21828 .13136 L
.21872 .1316 L
.21989 .13227 L
.22142 .1332 L
.22149 .13325 L
.2231 .13432 L
.2238 .13481 L
.2247 .13547 L
.22592 .13641 L
.22631 .13673 L
.22781 .13802 L
.22791 .13811 L
.22949 .13962 L
.22952 .13965 L
.23095 .14123 L
.23112 .14143 L
.23214 .14283 L
.23273 .14361 L
.23301 .14444 L
.23339 .14604 L
.23292 .14765 L
.23273 .14789 L
.23112 .14907 L
.23025 .14926 L
.22952 .14946 L
.22791 .14976 L
.22631 .14993 L
.2247 .15001 L
.2231 .15004 L
.22149 .15 L
.21989 .14992 L
.21828 .14978 L
.21668 .1496 L
.21507 .14935 L
.21453 .14926 L
.21346 .14904 L
.21186 .14867 L
.21025 .14822 L
.20865 .1477 L
.20849 .14765 L
.20704 .1471 L
.20544 .14641 L
.20466 .14604 L
.20383 .14563 L
.20223 .14475 L
.20169 .14444 L
.20062 .14378 L
.19919 .14283 L
.19902 .14271 L
.19741 .14153 L
.19703 .14123 L
.19581 .14022 L
.19513 .13962 L
.1942 .13877 L
.19345 .13802 L
.1926 .13712 L
.19198 .13641 L
.19099 .13517 L
.19074 .13481 L
.18975 .1332 L
.18939 .13242 L
.1891 .1316 L
.18892 .12999 L
.18939 .12863 L
.18956 .12839 L
.19099 .12721 L
.19232 .12678 L
F
1 .89 .033 r
.19581 .12665 m
.19741 .12653 L
.19902 .12651 L
.20062 .12657 L
.20223 .1267 L
.20295 .12678 L
.20383 .1269 L
.20544 .12717 L
.20704 .12751 L
.20865 .12792 L
.21025 .12839 L
.21025 .12839 L
.21186 .12894 L
.21346 .12956 L
.2145 .12999 L
.21507 .13025 L
.21668 .13102 L
.21779 .1316 L
.21828 .13186 L
.21989 .13279 L
.22056 .1332 L
.22149 .1338 L
.22297 .13481 L
.2231 .1349 L
.2247 .13609 L
.22511 .13641 L
.22631 .1374 L
.22701 .13802 L
.22791 .13885 L
.22869 .13962 L
.22952 .14049 L
.23014 .14123 L
.23112 .14252 L
.23131 .14283 L
.23213 .14444 L
.23244 .14604 L
.23178 .14765 L
.23112 .14837 L
.22952 .14902 L
.22834 .14926 L
.22791 .14934 L
.22631 .14957 L
.2247 .14969 L
.2231 .14973 L
.22149 .14971 L
.21989 .14962 L
.21828 .14948 L
.21668 .14929 L
.21644 .14926 L
.21507 .14903 L
.21346 .14871 L
.21186 .14832 L
.21025 .14785 L
.20963 .14765 L
.20865 .14731 L
.20704 .14667 L
.20562 .14604 L
.20544 .14596 L
.20383 .14515 L
.20256 .14444 L
.20223 .14424 L
.20062 .14324 L
.20002 .14283 L
.19902 .14212 L
.19784 .14123 L
.19741 .14089 L
.19592 .13962 L
.19581 .13952 L
.19424 .13802 L
.1942 .13798 L
.19278 .13641 L
.1926 .1362 L
.19156 .13481 L
.19099 .13398 L
.19062 .1332 L
.19002 .1316 L
.18995 .12999 L
.19084 .12839 L
.19099 .12823 L
.1926 .1273 L
.1942 .12689 L
.19478 .12678 L
F
1 .88 .024 r
.1926 .12808 m
.1942 .12743 L
.19581 .12712 L
.19741 .12696 L
.19902 .12691 L
.20062 .12696 L
.20223 .12708 L
.20383 .12728 L
.20544 .12755 L
.20704 .12789 L
.20865 .12831 L
.20894 .12839 L
.21025 .12879 L
.21186 .12935 L
.21346 .12998 L
.21349 .12999 L
.21507 .1307 L
.21668 .13148 L
.2169 .1316 L
.21828 .13235 L
.21974 .1332 L
.21989 .1333 L
.22149 .13433 L
.22219 .13481 L
.2231 .13546 L
.22435 .13641 L
.2247 .13669 L
.22626 .13802 L
.22631 .13806 L
.22791 .13959 L
.22794 .13962 L
.22938 .14123 L
.22952 .14138 L
.23052 .14283 L
.23112 .14397 L
.2313 .14444 L
.23151 .14604 L
.23112 .1471 L
.23065 .14765 L
.22952 .14847 L
.22791 .14894 L
.22631 .1492 L
.22586 .14926 L
.2247 .14935 L
.2231 .14941 L
.22149 .1494 L
.21989 .14932 L
.21892 .14926 L
.21828 .14919 L
.21668 .14898 L
.21507 .14871 L
.21346 .14838 L
.21186 .14797 L
.21077 .14765 L
.21025 .14749 L
.20865 .14692 L
.20704 .14626 L
.20654 .14604 L
.20544 .14552 L
.20383 .14468 L
.20339 .14444 L
.20223 .14375 L
.20081 .14283 L
.20062 .14271 L
.19902 .14155 L
.1986 .14123 L
.19741 .14027 L
.19667 .13962 L
.19581 .13883 L
.19499 .13802 L
.1942 .13718 L
.19355 .13641 L
.1926 .13519 L
.19235 .13481 L
.19144 .1332 L
.19099 .13196 L
.19091 .1316 L
.19097 .12999 L
.19099 .12992 L
.19216 .12839 L
F
1 .87 .018 r
.1942 .12809 m
.19581 .12762 L
.19741 .1274 L
.19902 .12732 L
.20062 .12734 L
.20223 .12746 L
.20383 .12766 L
.20544 .12793 L
.20704 .12827 L
.20752 .12839 L
.20865 .12869 L
.21025 .12919 L
.21186 .12976 L
.21247 .12999 L
.21346 .1304 L
.21507 .13113 L
.21603 .1316 L
.21668 .13193 L
.21828 .13282 L
.21894 .1332 L
.21989 .13379 L
.22144 .13481 L
.22149 .13485 L
.2231 .13601 L
.22362 .13641 L
.2247 .13729 L
.22555 .13802 L
.22631 .13871 L
.22723 .13962 L
.22791 .14035 L
.22865 .14123 L
.22952 .14238 L
.22977 .14283 L
.23049 .14444 L
.2306 .14604 L
.22952 .14762 L
.22948 .14765 L
.22791 .14847 L
.22631 .14882 L
.2247 .14901 L
.2231 .14909 L
.22149 .1491 L
.21989 .14903 L
.21828 .14888 L
.21668 .14868 L
.21507 .1484 L
.21346 .14805 L
.21193 .14765 L
.21186 .14763 L
.21025 .14713 L
.20865 .14654 L
.20745 .14604 L
.20704 .14586 L
.20544 .1451 L
.2042 .14444 L
.20383 .14423 L
.20223 .14326 L
.20157 .14283 L
.20062 .14219 L
.19933 .14123 L
.19902 .14099 L
.19741 .13964 L
.19739 .13962 L
.19581 .13812 L
.19571 .13802 L
.19427 .13641 L
.1942 .13633 L
.1931 .13481 L
.1926 .13413 L
.19224 .1332 L
.19178 .1316 L
.19198 .12999 L
.1926 .1291 L
.19358 .12839 L
F
1 .86 .013 r
.19581 .12819 m
.19741 .12787 L
.19902 .12774 L
.20062 .12774 L
.20223 .12784 L
.20383 .12803 L
.20544 .1283 L
.20589 .12839 L
.20704 .12865 L
.20865 .12907 L
.21025 .12957 L
.21144 .12999 L
.21186 .13015 L
.21346 .13081 L
.21507 .13155 L
.21517 .1316 L
.21668 .13237 L
.21817 .1332 L
.21828 .13327 L
.21989 .13426 L
.22071 .13481 L
.22149 .13535 L
.22292 .13641 L
.2231 .13655 L
.2247 .13788 L
.22486 .13802 L
.22631 .13939 L
.22653 .13962 L
.22791 .14119 L
.22794 .14123 L
.22904 .14283 L
.22952 .14384 L
.2297 .14444 L
.2297 .14604 L
.22952 .14646 L
.22825 .14765 L
.22791 .14784 L
.22631 .14839 L
.2247 .14865 L
.2231 .14877 L
.22149 .14878 L
.21989 .14872 L
.21828 .14858 L
.21668 .14837 L
.21507 .14808 L
.21346 .14773 L
.21316 .14765 L
.21186 .14729 L
.21025 .14677 L
.20865 .14616 L
.20835 .14604 L
.20704 .14547 L
.20544 .14468 L
.20499 .14444 L
.20383 .14379 L
.2023 .14283 L
.20223 .14279 L
.20062 .14167 L
.20003 .14123 L
.19902 .14043 L
.19808 .13962 L
.19741 .13902 L
.1964 .13802 L
.19581 .1374 L
.19498 .13641 L
.1942 .13541 L
.19383 .13481 L
.19301 .1332 L
.19264 .1316 L
.19301 .12999 L
.1942 .1287 L
.1952 .12839 L
F
1 .85 .01 r
.19741 .12838 m
.19902 .12819 L
.20062 .12815 L
.20223 .12823 L
.20379 .12839 L
.20383 .1284 L
.20544 .12867 L
.20704 .12902 L
.20865 .12944 L
.21025 .12995 L
.21037 .12999 L
.21186 .13054 L
.21346 .13121 L
.21432 .1316 L
.21507 .13196 L
.21668 .1328 L
.2174 .1332 L
.21828 .13372 L
.21989 .13473 L
.22 .13481 L
.22149 .13585 L
.22224 .13641 L
.2231 .13709 L
.22419 .13802 L
.2247 .13848 L
.22586 .13962 L
.22631 .14007 L
.22726 .14123 L
.22791 .14202 L
.22832 .14283 L
.22893 .14444 L
.22879 .14604 L
.22791 .14709 L
.22691 .14765 L
.22631 .14788 L
.2247 .14825 L
.2231 .14842 L
.22149 .14846 L
.21989 .14841 L
.21828 .14827 L
.21668 .14806 L
.21507 .14777 L
.21451 .14765 L
.21346 .1474 L
.21186 .14695 L
.21025 .14642 L
.20926 .14604 L
.20865 .1458 L
.20704 .14508 L
.20577 .14444 L
.20544 .14427 L
.20383 .14335 L
.20301 .14283 L
.20223 .14232 L
.20071 .14123 L
.20062 .14116 L
.19902 .13986 L
.19875 .13962 L
.19741 .13837 L
.19707 .13802 L
.19581 .1366 L
.19566 .13641 L
.19454 .13481 L
.1942 .1342 L
.19377 .1332 L
.1935 .1316 L
.19409 .12999 L
.1942 .12981 L
.19581 .12876 L
.19739 .12839 L
F
1 .84 .007 r
.19581 .12951 m
.19741 .12889 L
.19902 .12864 L
.20062 .12857 L
.20223 .12862 L
.20383 .12878 L
.20544 .12904 L
.20704 .12939 L
.20865 .12982 L
.20923 .12999 L
.21025 .13033 L
.21186 .13093 L
.21345 .1316 L
.21346 .1316 L
.21507 .13237 L
.21665 .1332 L
.21668 .13322 L
.21828 .13416 L
.2193 .13481 L
.21989 .1352 L
.22149 .13635 L
.22157 .13641 L
.2231 .13764 L
.22353 .13802 L
.2247 .1391 L
.22521 .13962 L
.22631 .14085 L
.22659 .14123 L
.22762 .14283 L
.22791 .1435 L
.22816 .14444 L
.22791 .14595 L
.22786 .14604 L
.22631 .1475 L
.22532 .14765 L
.2247 .1478 L
.2231 .14804 L
.22149 .14812 L
.21989 .14808 L
.21828 .14795 L
.21668 .14774 L
.2161 .14765 L
.21507 .14745 L
.21346 .14708 L
.21186 .14662 L
.21025 .14607 L
.21019 .14604 L
.20865 .14543 L
.20704 .14469 L
.20654 .14444 L
.20544 .14385 L
.20383 .14291 L
.20372 .14283 L
.20223 .14184 L
.20138 .14123 L
.20062 .14065 L
.1994 .13962 L
.19902 .13928 L
.19772 .13802 L
.19741 .1377 L
.19633 .13641 L
.19581 .13579 L
.19524 .13481 L
.19453 .1332 L
.19436 .1316 L
.19522 .12999 L
F
1 .83 .005 r
.19741 .12952 m
.19902 .12913 L
.20062 .12899 L
.20223 .12902 L
.20383 .12916 L
.20544 .12941 L
.20704 .12976 L
.20797 .12999 L
.20865 .13019 L
.21025 .1307 L
.21186 .13131 L
.21256 .1316 L
.21346 .13199 L
.21507 .13277 L
.21589 .1332 L
.21668 .13364 L
.21828 .1346 L
.21861 .13481 L
.21989 .13567 L
.22091 .13641 L
.22149 .13686 L
.22289 .13802 L
.2231 .1382 L
.22457 .13962 L
.2247 .13975 L
.22593 .14123 L
.22631 .14145 L
.22692 .14283 L
.22738 .14444 L
.2269 .14604 L
.22631 .14681 L
.2247 .1474 L
.2231 .14763 L
.22293 .14765 L
.22149 .14775 L
.21989 .14774 L
.21849 .14765 L
.21828 .14763 L
.21668 .14743 L
.21507 .14713 L
.21346 .14675 L
.21186 .14628 L
.21116 .14604 L
.21025 .14572 L
.20865 .14506 L
.20731 .14444 L
.20704 .14431 L
.20544 .14344 L
.20441 .14283 L
.20383 .14247 L
.20223 .14137 L
.20204 .14123 L
.20062 .14012 L
.20005 .13962 L
.19902 .13868 L
.19837 .13802 L
.19741 .13697 L
.19699 .13641 L
.19593 .13481 L
.19581 .13457 L
.19528 .1332 L
.19525 .1316 L
.19581 .13057 L
.19648 .12999 L
F
1 .82 .004 r
.19902 .12968 m
.20062 .12946 L
.20223 .12944 L
.20383 .12956 L
.20544 .1298 L
.20647 .12999 L
.20704 .13013 L
.20865 .13056 L
.21025 .13108 L
.21164 .1316 L
.21186 .13169 L
.21346 .13238 L
.21507 .13317 L
.21513 .1332 L
.21668 .13406 L
.21791 .13481 L
.21828 .13504 L
.21989 .13614 L
.22026 .13641 L
.22149 .13737 L
.22225 .13802 L
.2231 .13877 L
.22393 .13962 L
.2247 .14044 L
.22528 .14123 L
.22622 .14283 L
.22631 .14303 L
.22659 .14444 L
.22631 .14549 L
.22587 .14604 L
.2247 .14687 L
.2231 .14725 L
.22149 .1474 L
.21989 .14741 L
.21828 .14731 L
.21668 .1471 L
.21507 .14681 L
.21346 .14642 L
.21219 .14604 L
.21186 .14594 L
.21025 .14537 L
.20865 .14469 L
.2081 .14444 L
.20704 .14392 L
.20544 .14303 L
.20511 .14283 L
.20383 .14203 L
.2027 .14123 L
.20223 .14088 L
.20068 .13962 L
.20062 .13957 L
.19902 .13803 L
.199 .13802 L
.19764 .13641 L
.19741 .13624 L
.19662 .13481 L
.19605 .1332 L
.19618 .1316 L
.19741 .13028 L
.19799 .12999 L
F
1 .99 .733 r
.19741 .15046 m
.19902 .15043 L
.20062 .15075 L
.20144 .15086 L
.20223 .15096 L
.20383 .15121 L
.20544 .15144 L
.20704 .15164 L
.20865 .15181 L
.21025 .15194 L
.21186 .15204 L
.21346 .15212 L
.21507 .15219 L
.21668 .15224 L
.21828 .15227 L
.21989 .1523 L
.22149 .15232 L
.2231 .15233 L
.2247 .15234 L
.22631 .15234 L
.22791 .15233 L
.22952 .15232 L
.23112 .15231 L
.23273 .15228 L
.23433 .15225 L
.23594 .15221 L
.23754 .15215 L
.23915 .15208 L
.24075 .15197 L
.24236 .15182 L
.24396 .15158 L
.24557 .15123 L
.24682 .15086 L
.24717 .15081 L
.24878 .15048 L
.25039 .15051 L
.25165 .15086 L
.25199 .15099 L
.2536 .15176 L
.25479 .15247 L
.2552 .15273 L
.25681 .15381 L
.25717 .15407 L
.25841 .15498 L
.25932 .15568 L
.26002 .15621 L
.26135 .15728 L
.26162 .1575 L
.26323 .15883 L
.2633 .15889 L
.26483 .16019 L
.26518 .16049 L
.26644 .16159 L
.26701 .1621 L
.26804 .16302 L
.26879 .1637 L
.26965 .16448 L
.27054 .16531 L
.27125 .16598 L
.27224 .16691 L
.27286 .1675 L
.27391 .16852 L
.27446 .16906 L
.27554 .17012 L
.27607 .17065 L
.27713 .17173 L
.27767 .17229 L
.27868 .17333 L
.27928 .17397 L
.28017 .17494 L
.28088 .17571 L
.28161 .17654 L
.28249 .17754 L
.28298 .17815 L
.2841 .17954 L
.28424 .17975 L
.28534 .18136 L
.2857 .18199 L
.2861 .18297 L
.2857 .18426 L
.2841 .18448 L
.28249 .18435 L
.28088 .18427 L
.27928 .18403 L
.27767 .18383 L
.27607 .18365 L
.27446 .18351 L
.27286 .1834 L
.27125 .18331 L
.26965 .18324 L
.26804 .18319 L
.26644 .18315 L
.26483 .18311 L
.26323 .18309 L
.26162 .18308 L
.26002 .18307 L
.25841 .18306 L
.25681 .18306 L
.2552 .18307 L
.2536 .18308 L
.25199 .18309 L
.25039 .18311 L
.24878 .18315 L
.24717 .18319 L
.24557 .18324 L
.24396 .18331 L
.24236 .1834 L
.24075 .18353 L
.23915 .18372 L
.23754 .18399 L
.23594 .1843 L
.23433 .18448 L
.23273 .18435 L
.23112 .18388 L
.22952 .18312 L
.22923 .18297 L
.22791 .1822 L
.22663 .18136 L
.22631 .18114 L
.2247 .18 L
.22437 .17975 L
.2231 .17879 L
.22227 .17815 L
.22149 .17753 L
.22028 .17654 L
.21989 .17622 L
.21836 .17494 L
.21828 .17487 L
.21668 .17349 L
.21649 .17333 L
.21507 .17208 L
.21468 .17173 L
.21346 .17063 L
.21291 .17012 L
.21186 .16915 L
.21118 .16852 L
.21025 .16765 L
.20949 .16691 L
.20865 .1661 L
.20783 .16531 L
.20704 .16453 L
.20622 .1637 L
.20544 .16292 L
.20464 .1621 L
.20383 .16126 L
.20311 .16049 L
.20223 .15955 L
.20164 .15889 L
.20062 .15777 L
.20022 .15728 L
.19902 .15586 L
.19889 .15568 L
.19768 .15407 L
.19741 .15367 L
.1967 .15247 L
.19649 .15086 L
F
1 .81 .003 r
.20062 .12996 m
.20223 .12988 L
.20383 .12997 L
.2042 .12999 L
.20544 .13018 L
.20704 .13051 L
.20865 .13093 L
.21025 .13146 L
.21065 .1316 L
.21186 .13207 L
.21346 .13278 L
.21434 .1332 L
.21507 .13358 L
.21668 .13448 L
.21722 .13481 L
.21828 .13548 L
.21961 .13641 L
.21989 .13662 L
.22149 .13791 L
.22162 .13802 L
.2231 .13941 L
.2233 .13962 L
.22463 .14123 L
.2247 .14134 L
.22552 .14283 L
.22578 .14444 L
.22472 .14604 L
.2247 .14606 L
.2231 .14678 L
.22149 .14701 L
.21989 .14705 L
.21828 .14697 L
.21668 .14677 L
.21507 .14647 L
.21346 .14608 L
.21333 .14604 L
.21186 .1456 L
.21025 .14501 L
.20891 .14444 L
.20865 .14432 L
.20704 .14353 L
.20581 .14283 L
.20544 .14261 L
.20383 .14157 L
.20335 .14123 L
.20223 .14039 L
.20132 .13962 L
.20062 .13902 L
.19964 .13802 L
.19902 .13738 L
.19829 .13641 L
.19741 .13508 L
.19732 .13481 L
.19683 .1332 L
.19717 .1316 L
.19741 .13128 L
.19902 .13022 L
.20026 .12999 L
F
1 .8 .002 r
.19902 .13092 m
.20062 .13045 L
.20223 .13032 L
.20383 .13038 L
.20544 .13057 L
.20704 .13089 L
.20865 .13131 L
.20957 .1316 L
.21025 .13183 L
.21186 .13245 L
.21346 .13317 L
.21353 .1332 L
.21507 .13398 L
.21651 .13481 L
.21668 .1349 L
.21828 .13594 L
.21895 .13641 L
.21989 .13711 L
.22099 .13802 L
.22149 .13845 L
.22266 .13962 L
.2231 .14001 L
.22397 .14123 L
.2247 .14255 L
.22481 .14283 L
.22494 .14444 L
.2247 .14499 L
.22338 .14604 L
.2231 .14617 L
.22149 .14656 L
.21989 .14667 L
.21828 .14661 L
.21668 .14642 L
.21507 .14613 L
.21467 .14604 L
.21346 .14574 L
.21186 .14525 L
.21025 .14465 L
.20975 .14444 L
.20865 .14395 L
.20704 .14313 L
.20652 .14283 L
.20544 .14219 L
.20401 .14123 L
.20383 .14111 L
.20223 .13986 L
.20195 .13962 L
.20062 .1384 L
.20027 .13802 L
.19902 .13652 L
.19895 .13641 L
.19802 .13481 L
.19764 .1332 L
.19825 .1316 L
F
1 .79 .001 r
.20062 .13107 m
.20223 .13081 L
.20383 .13082 L
.20544 .13099 L
.20704 .13129 L
.2083 .1316 L
.20865 .1317 L
.21025 .13222 L
.21186 .13284 L
.21268 .1332 L
.21346 .13357 L
.21507 .1344 L
.21579 .13481 L
.21668 .13533 L
.21828 .13641 L
.21829 .13641 L
.21989 .13763 L
.22035 .13802 L
.22149 .13905 L
.22202 .13962 L
.2231 .14086 L
.2233 .14123 L
.22408 .14283 L
.22404 .14444 L
.2231 .14545 L
.22149 .14604 L
.22148 .14604 L
.21989 .14624 L
.21828 .14622 L
.21668 .14606 L
.21656 .14604 L
.21507 .14579 L
.21346 .14539 L
.21186 .14489 L
.21065 .14444 L
.21025 .14428 L
.20865 .14356 L
.20725 .14283 L
.20704 .14272 L
.20544 .14175 L
.20467 .14123 L
.20383 .14063 L
.20259 .13962 L
.20223 .13933 L
.20091 .13802 L
.20062 .13778 L
.19961 .13641 L
.19902 .13542 L
.19874 .13481 L
.19849 .1332 L
.19902 .13205 L
.19951 .1316 L
F
1 .96 .289 r
.20062 .07564 m
.20223 .07574 L
.20383 .07614 L
.20544 .07671 L
.20623 .07702 L
.20704 .0774 L
.20865 .07818 L
.20953 .07862 L
.21025 .07902 L
.21186 .07991 L
.21242 .08023 L
.21346 .08084 L
.21507 .08181 L
.21511 .08184 L
.21668 .08281 L
.21766 .08344 L
.21828 .08384 L
.21989 .08489 L
.22011 .08505 L
.22149 .08597 L
.2225 .08665 L
.2231 .08706 L
.2247 .08817 L
.22482 .08826 L
.22631 .0893 L
.2271 .08986 L
.22791 .09044 L
.22933 .09147 L
.22952 .0916 L
.23112 .09277 L
.23153 .09307 L
.23273 .09395 L
.2337 .09468 L
.23433 .09515 L
.23585 .09628 L
.23594 .09635 L
.23754 .09757 L
.23796 .09789 L
.23915 .09879 L
.24006 .09949 L
.24075 .10003 L
.24214 .1011 L
.24236 .10127 L
.24396 .10252 L
.24419 .1027 L
.24557 .10378 L
.24623 .10431 L
.24717 .10505 L
.24826 .10591 L
.24878 .10633 L
.25027 .10752 L
.25039 .10761 L
.25199 .1089 L
.25227 .10912 L
.2536 .1102 L
.25425 .11073 L
.2552 .1115 L
.25622 .11233 L
.25681 .11281 L
.25818 .11394 L
.25841 .11413 L
.26002 .11545 L
.26013 .11555 L
.26162 .11678 L
.26206 .11715 L
.26323 .11812 L
.26399 .11876 L
.26483 .11946 L
.26591 .12036 L
.26644 .12081 L
.26782 .12197 L
.26804 .12216 L
.26965 .12351 L
.26972 .12357 L
.27125 .12488 L
.27161 .12518 L
.27286 .12625 L
.27349 .12678 L
.27446 .12762 L
.27536 .12839 L
.27607 .129 L
.27723 .12999 L
.27767 .13038 L
.27909 .1316 L
.27928 .13176 L
.28088 .13316 L
.28094 .1332 L
.28249 .13455 L
.28278 .13481 L
.2841 .13596 L
.28462 .13641 L
.2857 .13736 L
.28645 .13802 L
.28731 .13878 L
.28827 .13962 L
.28891 .14019 L
.29009 .14123 L
.29052 .14161 L
.2919 .14283 L
.29212 .14303 L
.2937 .14444 L
.29373 .14446 L
.29533 .1459 L
.2955 .14604 L
.29694 .14734 L
.29729 .14765 L
.29854 .14878 L
.29907 .14926 L
.30015 .15023 L
.30085 .15086 L
.30175 .15168 L
.30263 .15247 L
.30336 .15313 L
.30439 .15407 L
.30496 .15459 L
.30616 .15568 L
.30657 .15605 L
.30791 .15728 L
.30817 .15752 L
.30966 .15889 L
.30978 .15899 L
.31138 .16047 L
.31141 .16049 L
.31299 .16195 L
.31315 .1621 L
.31459 .16344 L
.31488 .1637 L
.3162 .16493 L
.31661 .16531 L
.31781 .16642 L
.31833 .16691 L
.31941 .16792 L
.32005 .16852 L
.32102 .16942 L
.32176 .17012 L
.32262 .17093 L
.32347 .17173 L
.32423 .17244 L
.32517 .17333 L
.32583 .17395 L
.32687 .17494 L
.32744 .17547 L
.32856 .17654 L
.32904 .177 L
.33025 .17815 L
.33065 .17853 L
.33193 .17975 L
.33225 .18006 L
.33361 .18136 L
.33386 .1816 L
.33528 .18297 L
.33546 .18314 L
.33695 .18457 L
.33707 .18469 L
.33861 .18618 L
.33867 .18624 L
.34027 .18778 L
.34028 .18779 L
.34188 .18936 L
.34192 .18939 L
.34349 .19092 L
.34356 .19099 L
.34509 .19249 L
.3452 .1926 L
.3467 .19407 L
.34683 .1942 L
.3483 .19565 L
.34846 .19581 L
.34991 .19724 L
.35009 .19741 L
.35152 .19883 L
.3517 .19902 L
.35312 .20043 L
.35332 .20062 L
.35473 .20203 L
.35492 .20223 L
.35633 .20364 L
.35653 .20383 L
.35794 .20525 L
.35812 .20544 L
.35954 .20687 L
.35971 .20704 L
.36115 .2085 L
.3613 .20865 L
.36275 .21013 L
.36288 .21025 L
.36436 .21177 L
.36445 .21186 L
.36596 .21341 L
.36602 .21346 L
.36757 .21506 L
.36758 .21507 L
.36913 .21668 L
.36917 .21672 L
.37068 .21828 L
.37078 .21838 L
.37222 .21989 L
.37238 .22006 L
.37375 .22149 L
.37399 .22174 L
.37528 .2231 L
.37559 .22343 L
.3768 .2247 L
.3772 .22512 L
.37832 .22631 L
.3788 .22683 L
.37982 .22791 L
.38041 .22854 L
.38132 .22952 L
.38201 .23026 L
.38281 .23112 L
.38362 .232 L
.3843 .23273 L
.38523 .23374 L
.38577 .23433 L
.38683 .23549 L
.38724 .23594 L
.38844 .23726 L
.3887 .23754 L
.39004 .23903 L
.39014 .23915 L
.39158 .24075 L
.39165 .24082 L
.39301 .24236 L
.39325 .24263 L
.39443 .24396 L
.39486 .24445 L
.39584 .24557 L
.39646 .24628 L
.39724 .24717 L
.39807 .24814 L
.39862 .24878 L
.39967 .25001 L
.39999 .25039 L
.40128 .2519 L
.40135 .25199 L
.4027 .2536 L
.40288 .25382 L
.40403 .2552 L
.40449 .25576 L
.40534 .25681 L
.40609 .25773 L
.40664 .25841 L
.4077 .25974 L
.40791 .26002 L
.40917 .26162 L
.4093 .26179 L
.4104 .26323 L
.41091 .26389 L
.41161 .26483 L
.41251 .26605 L
.41279 .26644 L
.41394 .26804 L
.41412 .2683 L
.41505 .26965 L
.41572 .27065 L
.41612 .27125 L
.41714 .27286 L
.41733 .27316 L
.41809 .27446 L
.41894 .276 L
.41897 .27607 L
.41974 .27767 L
.42035 .27928 L
.42054 .27998 L
.4207 .28088 L
.42054 .28226 L
.42042 .28249 L
.41894 .28333 L
.41733 .28318 L
.41572 .28274 L
.41487 .28249 L
.41412 .28214 L
.41251 .28143 L
.41136 .28088 L
.41091 .28064 L
.4093 .27979 L
.40837 .27928 L
.4077 .27889 L
.40609 .27795 L
.40563 .27767 L
.40449 .27698 L
.40304 .27607 L
.40288 .27597 L
.40128 .27494 L
.40055 .27446 L
.39967 .27388 L
.39815 .27286 L
.39807 .2728 L
.39646 .27171 L
.3958 .27125 L
.39486 .27059 L
.39351 .26965 L
.39325 .26946 L
.39165 .26832 L
.39126 .26804 L
.39004 .26716 L
.38904 .26644 L
.38844 .26599 L
.38686 .26483 L
.38683 .26481 L
.38523 .26362 L
.3847 .26323 L
.38362 .26241 L
.38257 .26162 L
.38201 .2612 L
.38046 .26002 L
.38041 .25998 L
.3788 .25874 L
.37837 .25841 L
.3772 .2575 L
.37631 .25681 L
.37559 .25625 L
.37425 .2552 L
.37399 .25499 L
.37238 .25372 L
.37222 .2536 L
.37078 .25245 L
.37021 .25199 L
.36917 .25116 L
.36821 .25039 L
.36757 .24987 L
.36622 .24878 L
.36596 .24857 L
.36436 .24726 L
.36426 .24717 L
.36275 .24594 L
.36231 .24557 L
.36115 .24461 L
.36037 .24396 L
.35954 .24327 L
.35845 .24236 L
.35794 .24193 L
.35654 .24075 L
.35633 .24058 L
.35473 .23922 L
.35464 .23915 L
.35312 .23785 L
.35276 .23754 L
.35152 .23647 L
.35089 .23594 L
.34991 .23509 L
.34903 .23433 L
.3483 .23371 L
.34717 .23273 L
.3467 .23232 L
.34532 .23112 L
.34509 .23093 L
.34349 .22953 L
.34347 .22952 L
.34188 .22813 L
.34163 .22791 L
.34028 .22673 L
.33979 .22631 L
.33867 .22534 L
.33794 .2247 L
.33707 .22394 L
.3361 .2231 L
.33546 .22254 L
.33426 .22149 L
.33386 .22114 L
.33241 .21989 L
.33225 .21975 L
.33065 .21836 L
.33056 .21828 L
.32904 .21697 L
.3287 .21668 L
.32744 .21558 L
.32684 .21507 L
.32583 .2142 L
.32498 .21346 L
.32423 .21282 L
.32311 .21186 L
.32262 .21144 L
.32123 .21025 L
.32102 .21007 L
.31941 .2087 L
.31936 .20865 L
.31781 .20732 L
.31749 .20704 L
.3162 .20595 L
.31562 .20544 L
.31459 .20457 L
.31376 .20383 L
.31299 .20318 L
.3119 .20223 L
.31138 .20179 L
.31006 .20062 L
.30978 .20038 L
.30824 .19902 L
.30817 .19896 L
.30657 .19749 L
.30649 .19741 L
.30496 .19599 L
.30477 .19581 L
.30336 .19445 L
.30308 .1942 L
.30175 .19289 L
.30141 .1926 L
.30015 .19131 L
.29978 .19099 L
.29854 .18972 L
.29817 .18939 L
.29694 .18811 L
.29657 .18778 L
.29533 .18649 L
.29499 .18618 L
.29373 .18486 L
.29342 .18457 L
.29212 .18323 L
.29184 .18297 L
.29052 .1816 L
.29027 .18136 L
.28891 .17997 L
.28869 .17975 L
.28731 .17835 L
.2871 .17815 L
.2857 .17673 L
.28551 .17654 L
.2841 .17513 L
.28391 .17494 L
.28249 .17353 L
.28229 .17333 L
.28088 .17194 L
.28067 .17173 L
.27928 .17036 L
.27904 .17012 L
.27767 .16878 L
.2774 .16852 L
.27607 .16722 L
.27575 .16691 L
.27446 .16566 L
.2741 .16531 L
.27286 .16411 L
.27243 .1637 L
.27125 .16257 L
.27076 .1621 L
.26965 .16103 L
.26908 .16049 L
.26804 .1595 L
.2674 .15889 L
.26644 .15797 L
.26572 .15728 L
.26483 .15644 L
.26403 .15568 L
.26323 .15491 L
.26235 .15407 L
.26162 .15338 L
.26067 .15247 L
.26002 .15185 L
.25899 .15086 L
.25841 .1503 L
.25733 .14926 L
.25681 .14875 L
.25568 .14765 L
.2552 .14718 L
.25405 .14604 L
.2536 .1456 L
.25244 .14444 L
.25199 .14399 L
.25086 .14283 L
.25039 .14236 L
.24929 .14123 L
.24878 .1407 L
.24775 .13962 L
.24717 .13902 L
.24623 .13802 L
.24557 .13732 L
.24473 .13641 L
.24396 .13559 L
.24324 .13481 L
.24236 .13385 L
.24177 .1332 L
.24075 .13209 L
.2403 .1316 L
.23915 .13032 L
.23885 .12999 L
.23754 .12855 L
.2374 .12839 L
.23596 .12678 L
.23594 .12676 L
.23452 .12518 L
.23433 .12497 L
.23308 .12357 L
.23273 .12317 L
.23165 .12197 L
.23112 .12137 L
.23023 .12036 L
.22952 .11956 L
.2288 .11876 L
.22791 .11775 L
.22738 .11715 L
.22631 .11593 L
.22597 .11555 L
.2247 .1141 L
.22456 .11394 L
.22316 .11233 L
.2231 .11226 L
.22177 .11073 L
.22149 .11041 L
.22039 .10912 L
.21989 .10854 L
.21902 .10752 L
.21828 .10665 L
.21766 .10591 L
.21668 .10474 L
.21632 .10431 L
.21507 .1028 L
.21499 .1027 L
.21368 .1011 L
.21346 .10083 L
.21239 .09949 L
.21186 .09883 L
.21112 .09789 L
.21025 .09678 L
.20987 .09628 L
.20865 .09468 L
.20865 .09468 L
.20746 .09307 L
.20704 .09251 L
.20629 .09147 L
.20544 .09025 L
.20517 .08986 L
.20408 .08826 L
.20383 .08788 L
.20305 .08665 L
.20223 .08532 L
.20207 .08505 L
.20117 .08344 L
.20062 .08243 L
.20036 .08184 L
.19968 .08023 L
.19922 .07862 L
.19915 .07702 L
F
1 .78 .001 r
.20223 .13138 m
.20383 .1313 L
.20544 .13142 L
.20652 .1316 L
.20704 .1317 L
.20865 .13209 L
.21025 .13261 L
.21176 .1332 L
.21186 .13324 L
.21346 .13397 L
.21504 .13481 L
.21507 .13482 L
.21668 .13578 L
.21761 .13641 L
.21828 .13688 L
.21969 .13802 L
.21989 .13816 L
.22137 .13962 L
.22149 .13965 L
.22262 .14123 L
.2231 .14213 L
.22332 .14283 L
.2231 .14437 L
.22305 .14444 L
.22149 .14573 L
.21989 .14584 L
.21828 .14584 L
.21668 .1457 L
.21507 .14543 L
.21346 .14503 L
.21186 .14452 L
.21164 .14444 L
.21025 .14391 L
.20865 .14316 L
.20801 .14283 L
.20704 .14231 L
.20544 .14129 L
.20535 .14123 L
.20383 .14012 L
.20324 .13962 L
.20223 .13874 L
.20156 .13802 L
.20062 .13699 L
.20029 .13641 L
.19949 .13481 L
.19941 .1332 L
.20062 .13187 L
.20103 .1316 L
F
1 .77 .001 r
.20062 .13295 m
.20223 .13184 L
.20383 .13178 L
.20544 .13186 L
.20704 .13211 L
.20865 .13251 L
.21025 .13303 L
.21074 .1332 L
.21186 .13365 L
.21346 .13439 L
.21426 .13481 L
.21507 .13525 L
.21668 .13626 L
.21691 .13641 L
.21828 .13739 L
.21903 .13802 L
.21989 .13873 L
.22071 .13962 L
.22149 .14026 L
.22192 .14123 L
.22252 .14283 L
.22193 .14444 L
.22149 .14489 L
.21989 .14538 L
.21828 .14543 L
.21668 .14531 L
.21507 .14504 L
.21346 .14465 L
.21275 .14444 L
.21186 .14415 L
.21025 .14351 L
.20882 .14283 L
.20865 .14275 L
.20704 .14187 L
.20605 .14123 L
.20544 .14083 L
.20391 .13962 L
.20383 .13957 L
.20223 .13802 L
.20223 .13802 L
.20099 .13641 L
.20062 .13575 L
.20028 .13481 L
.20044 .1332 L
F
1 .76 .001 r
.20223 .13268 m
.20383 .13231 L
.20544 .13234 L
.20704 .13257 L
.20865 .13295 L
.20954 .1332 L
.21025 .13344 L
.21186 .13407 L
.21341 .13481 L
.21346 .13484 L
.21507 .13571 L
.21618 .13641 L
.21668 .13673 L
.21828 .13797 L
.21834 .13802 L
.21989 .13946 L
.22002 .13962 L
.22119 .14123 L
.22149 .14192 L
.22165 .14283 L
.22149 .1435 L
.22054 .14444 L
.21989 .1447 L
.21828 .14494 L
.21668 .14487 L
.21507 .14463 L
.21411 .14444 L
.21346 .14426 L
.21186 .14375 L
.21025 .1431 L
.20968 .14283 L
.20865 .14234 L
.20704 .14139 L
.20679 .14123 L
.20544 .14031 L
.2046 .13962 L
.20383 .13903 L
.20292 .13802 L
.20223 .13718 L
.20172 .13641 L
.20112 .13481 L
.20165 .1332 L
F
1 .75 0 r
.20383 .13306 m
.20544 .13291 L
.20704 .13307 L
.20775 .1332 L
.20865 .13339 L
.21025 .13388 L
.21186 .13453 L
.21248 .13481 L
.21346 .13528 L
.21507 .1362 L
.2154 .13641 L
.21668 .13725 L
.21762 .13802 L
.21828 .13846 L
.21929 .13962 L
.21989 .14037 L
.22041 .14123 L
.2207 .14283 L
.21989 .14385 L
.21828 .14434 L
.21668 .14441 L
.21507 .14422 L
.21346 .14386 L
.21186 .14333 L
.21064 .14283 L
.21025 .14268 L
.20865 .14188 L
.20757 .14123 L
.20704 .14093 L
.20544 .13972 L
.20532 .13962 L
.20383 .13826 L
.20364 .13802 L
.2025 .13641 L
.20223 .13578 L
.20207 .13481 L
.20223 .13418 L
.20327 .1332 L
F
1 1 1 r
.20223 .15407 m
.20383 .15307 L
.20544 .15267 L
.20704 .15265 L
.20865 .15263 L
.21025 .15262 L
.21186 .15262 L
.21346 .15261 L
.21507 .15261 L
.21668 .15261 L
.21828 .15261 L
.21989 .15261 L
.22149 .15262 L
.2231 .15262 L
.2247 .15262 L
.22631 .15262 L
.22791 .15262 L
.22952 .15262 L
.23112 .15262 L
.23273 .15262 L
.23433 .15262 L
.23594 .15262 L
.23754 .15263 L
.23915 .15263 L
.24075 .15264 L
.24236 .15266 L
.24396 .1527 L
.24557 .15276 L
.24717 .15288 L
.24878 .15308 L
.25039 .15339 L
.25199 .15384 L
.25263 .15407 L
.2536 .15448 L
.2552 .15525 L
.25596 .15568 L
.25681 .15617 L
.25841 .15719 L
.25854 .15728 L
.26002 .1583 L
.26082 .15889 L
.26162 .15949 L
.26292 .16049 L
.26323 .16074 L
.26483 .16205 L
.26489 .1621 L
.26644 .16341 L
.26678 .1637 L
.26804 .16481 L
.26859 .16531 L
.26965 .16627 L
.27033 .16691 L
.27125 .16778 L
.27201 .16852 L
.27286 .16935 L
.27363 .17012 L
.27446 .17098 L
.27518 .17173 L
.27607 .17268 L
.27665 .17333 L
.27767 .1745 L
.27804 .17494 L
.27928 .17652 L
.2793 .17654 L
.28039 .17815 L
.28088 .17906 L
.28117 .17975 L
.28119 .18136 L
.28088 .18177 L
.27928 .18243 L
.27767 .18278 L
.27607 .1828 L
.27446 .18281 L
.27286 .18282 L
.27125 .18282 L
.26965 .18282 L
.26804 .18282 L
.26644 .18282 L
.26483 .18282 L
.26323 .18282 L
.26162 .18282 L
.26002 .18282 L
.25841 .18282 L
.25681 .18282 L
.2552 .18282 L
.2536 .18282 L
.25199 .18281 L
.25039 .18281 L
.24878 .18281 L
.24717 .18281 L
.24557 .18281 L
.24396 .1828 L
.24236 .18279 L
.24075 .18277 L
.23915 .18273 L
.23754 .18266 L
.23594 .18253 L
.23433 .18231 L
.23273 .18198 L
.23112 .18149 L
.23078 .18136 L
.22952 .18083 L
.22791 .18002 L
.22744 .17975 L
.22631 .17908 L
.22486 .17815 L
.2247 .17804 L
.2231 .17692 L
.22259 .17654 L
.22149 .17572 L
.22049 .17494 L
.21989 .17446 L
.21852 .17333 L
.21828 .17314 L
.21668 .17177 L
.21663 .17173 L
.21507 .17035 L
.21482 .17012 L
.21346 .16888 L
.21308 .16852 L
.21186 .16736 L
.2114 .16691 L
.21025 .16578 L
.20978 .16531 L
.20865 .16414 L
.20823 .1637 L
.20704 .16242 L
.20676 .1621 L
.20544 .16057 L
.20538 .16049 L
.20412 .15889 L
.20383 .15864 L
.20303 .15728 L
.20225 .15568 L
.20223 .15561 L
.20223 .15407 L
F
1 .74 0 r
.20383 .13402 m
.20544 .13357 L
.20704 .13353 L
.20865 .13387 L
.21025 .13437 L
.21141 .13481 L
.21186 .13499 L
.21346 .13577 L
.21456 .13641 L
.21507 .13668 L
.21668 .13788 L
.21684 .13802 L
.21828 .13929 L
.21852 .13962 L
.21956 .14123 L
.21958 .14283 L
.21828 .14365 L
.21668 .14401 L
.21507 .14378 L
.21346 .14339 L
.21186 .14285 L
.2118 .14283 L
.21025 .14223 L
.20865 .14136 L
.20842 .14123 L
.20704 .1404 L
.20609 .13962 L
.20544 .13927 L
.20441 .13802 L
.20383 .13726 L
.20334 .13641 L
.20314 .13481 L
F
1 .73 0 r
.20544 .13439 m
.20704 .13415 L
.20865 .13444 L
.20991 .13481 L
.21025 .13488 L
.21186 .13548 L
.21346 .13634 L
.21359 .13641 L
.21507 .13725 L
.216 .13802 L
.21668 .1386 L
.21768 .13962 L
.21828 .14051 L
.21859 .14123 L
.21828 .14257 L
.21792 .14283 L
.21668 .14329 L
.21507 .14319 L
.21346 .14285 L
.2134 .14283 L
.21186 .14244 L
.21025 .14171 L
.20937 .14123 L
.20865 .14092 L
.20704 .13971 L
.20695 .13962 L
.20544 .1383 L
.20526 .13802 L
.20428 .13641 L
.20442 .13481 L
F
1 .72 0 r
.20704 .13505 m
.20865 .13513 L
.21025 .13536 L
.21186 .13611 L
.21247 .13641 L
.21346 .13672 L
.21503 .13802 L
.21507 .13806 L
.21668 .13959 L
.2167 .13962 L
.21747 .14123 L
.21668 .14223 L
.21507 .14247 L
.21346 .14256 L
.21186 .14186 L
.21049 .14123 L
.21025 .14107 L
.20865 .14027 L
.20789 .13962 L
.20704 .13889 L
.20621 .13802 L
.20546 .13641 L
F
.733 .99 1 r
.20865 .15373 m
.21025 .15343 L
.21186 .15325 L
.21346 .15314 L
.21507 .15306 L
.21668 .15301 L
.21828 .15296 L
.21989 .15294 L
.22149 .15291 L
.2231 .1529 L
.2247 .15289 L
.22631 .15289 L
.22791 .1529 L
.22952 .15291 L
.23112 .15292 L
.23273 .15295 L
.23433 .15298 L
.23594 .15303 L
.23754 .15309 L
.23915 .15317 L
.24075 .15327 L
.24236 .15341 L
.24396 .15358 L
.24557 .1538 L
.24717 .15406 L
.24723 .15407 L
.24878 .15445 L
.25039 .15493 L
.25199 .1555 L
.25243 .15568 L
.2536 .1562 L
.2552 .157 L
.25572 .15728 L
.25681 .15791 L
.25838 .15889 L
.25841 .15891 L
.26002 .15999 L
.26072 .16049 L
.26162 .16116 L
.26286 .1621 L
.26323 .16239 L
.26483 .16369 L
.26485 .1637 L
.26644 .16505 L
.26673 .16531 L
.26804 .16648 L
.26851 .16691 L
.26965 .16798 L
.2702 .16852 L
.27125 .16956 L
.2718 .17012 L
.27286 .17124 L
.27331 .17173 L
.27446 .17305 L
.2747 .17333 L
.27596 .17494 L
.27607 .17506 L
.27703 .17654 L
.27767 .17784 L
.27779 .17815 L
.27795 .17975 L
.27767 .1804 L
.27633 .18136 L
.27607 .18148 L
.27446 .18193 L
.27286 .18215 L
.27125 .18229 L
.26965 .18238 L
.26804 .18244 L
.26644 .18248 L
.26483 .18252 L
.26323 .18254 L
.26162 .18256 L
.26002 .18257 L
.25841 .18257 L
.25681 .18257 L
.2552 .18257 L
.2536 .18256 L
.25199 .18254 L
.25039 .18252 L
.24878 .18248 L
.24717 .18244 L
.24557 .18238 L
.24396 .18231 L
.24236 .18221 L
.24075 .18208 L
.23915 .18191 L
.23754 .18169 L
.23594 .18142 L
.23564 .18136 L
.23433 .18103 L
.23273 .18053 L
.23112 .17995 L
.23066 .17975 L
.22952 .17923 L
.22791 .1784 L
.22746 .17815 L
.22631 .17746 L
.22486 .17654 L
.2247 .17643 L
.2231 .17532 L
.22257 .17494 L
.22149 .17413 L
.22047 .17333 L
.21989 .17287 L
.2185 .17173 L
.21828 .17154 L
.21668 .17015 L
.21665 .17012 L
.21507 .16868 L
.21489 .16852 L
.21346 .16715 L
.21322 .16691 L
.21186 .16553 L
.21165 .16531 L
.21025 .1638 L
.21017 .1637 L
.2088 .1621 L
.20865 .16192 L
.20757 .16049 L
.20704 .15979 L
.20655 .15889 L
.20585 .15728 L
.20578 .15568 L
.20704 .15432 L
.20763 .15407 L
F
1 .71 0 r
.20865 .13601 m
.21025 .13624 L
.21068 .13641 L
.21186 .13689 L
.21346 .13765 L
.21386 .13802 L
.21507 .1391 L
.21554 .13962 L
.21559 .14123 L
.21507 .14147 L
.21346 .14162 L
.21238 .14123 L
.21186 .14105 L
.21025 .14033 L
.20899 .13962 L
.20865 .13927 L
.20731 .13802 L
.20722 .13641 L
F
1 .95 .212 r
.20865 .08427 m
.21025 .08391 L
.21186 .08424 L
.21346 .08478 L
.2142 .08505 L
.21507 .08546 L
.21668 .08623 L
.21752 .08665 L
.21828 .08707 L
.21989 .08796 L
.2204 .08826 L
.22149 .0889 L
.22306 .08986 L
.2231 .08988 L
.2247 .0909 L
.22559 .09147 L
.22631 .09193 L
.22791 .093 L
.22802 .09307 L
.22952 .09408 L
.23038 .09468 L
.23112 .09519 L
.23268 .09628 L
.23273 .09632 L
.23433 .09746 L
.23493 .09789 L
.23594 .09861 L
.23715 .09949 L
.23754 .09978 L
.23915 .10097 L
.23932 .1011 L
.24075 .10217 L
.24147 .1027 L
.24236 .10337 L
.24359 .10431 L
.24396 .10459 L
.24557 .10582 L
.24569 .10591 L
.24717 .10706 L
.24776 .10752 L
.24878 .10831 L
.24982 .10912 L
.25039 .10957 L
.25186 .11073 L
.25199 .11084 L
.2536 .11211 L
.25388 .11233 L
.2552 .1134 L
.25588 .11394 L
.25681 .11469 L
.25787 .11555 L
.25841 .11599 L
.25985 .11715 L
.26002 .11729 L
.26162 .1186 L
.26181 .11876 L
.26323 .11992 L
.26376 .12036 L
.26483 .12125 L
.2657 .12197 L
.26644 .12258 L
.26762 .12357 L
.26804 .12392 L
.26954 .12518 L
.26965 .12527 L
.27125 .12662 L
.27145 .12678 L
.27286 .12797 L
.27335 .12839 L
.27446 .12934 L
.27523 .12999 L
.27607 .13071 L
.27711 .1316 L
.27767 .13208 L
.27898 .1332 L
.27928 .13346 L
.28085 .13481 L
.28088 .13484 L
.28249 .13623 L
.2827 .13641 L
.2841 .13763 L
.28454 .13802 L
.2857 .13903 L
.28638 .13962 L
.28731 .14043 L
.28821 .14123 L
.28891 .14184 L
.29004 .14283 L
.29052 .14326 L
.29185 .14444 L
.29212 .14468 L
.29366 .14604 L
.29373 .1461 L
.29533 .14753 L
.29546 .14765 L
.29694 .14897 L
.29726 .14926 L
.29854 .15041 L
.29905 .15086 L
.30015 .15185 L
.30083 .15247 L
.30175 .1533 L
.3026 .15407 L
.30336 .15476 L
.30437 .15568 L
.30496 .15621 L
.30614 .15728 L
.30657 .15768 L
.30789 .15889 L
.30817 .15914 L
.30965 .16049 L
.30978 .16061 L
.31138 .16209 L
.31139 .1621 L
.31299 .16357 L
.31313 .1637 L
.31459 .16506 L
.31486 .16531 L
.3162 .16655 L
.31659 .16691 L
.31781 .16805 L
.31831 .16852 L
.31941 .16955 L
.32003 .17012 L
.32102 .17105 L
.32174 .17173 L
.32262 .17256 L
.32344 .17333 L
.32423 .17408 L
.32514 .17494 L
.32583 .17559 L
.32683 .17654 L
.32744 .17712 L
.32852 .17815 L
.32904 .17865 L
.3302 .17975 L
.33065 .18018 L
.33188 .18136 L
.33225 .18172 L
.33355 .18297 L
.33386 .18326 L
.33522 .18457 L
.33546 .18481 L
.33687 .18618 L
.33707 .18636 L
.33853 .18778 L
.33867 .18792 L
.34018 .18939 L
.34028 .18949 L
.34182 .19099 L
.34188 .19106 L
.34345 .1926 L
.34349 .19263 L
.34509 .1942 L
.34509 .19421 L
.3467 .1958 L
.34671 .19581 L
.3483 .19739 L
.34833 .19741 L
.34991 .19899 L
.34994 .19902 L
.35152 .20059 L
.35155 .20062 L
.35312 .2022 L
.35315 .20223 L
.35473 .20382 L
.35474 .20383 L
.35633 .20544 L
.35633 .20544 L
.35791 .20704 L
.35794 .20707 L
.35949 .20865 L
.35954 .2087 L
.36106 .21025 L
.36115 .21035 L
.36262 .21186 L
.36275 .212 L
.36417 .21346 L
.36436 .21365 L
.36572 .21507 L
.36596 .21532 L
.36726 .21668 L
.36757 .21699 L
.3688 .21828 L
.36917 .21867 L
.37033 .21989 L
.37078 .22036 L
.37184 .22149 L
.37238 .22206 L
.37336 .2231 L
.37399 .22377 L
.37486 .2247 L
.37559 .22549 L
.37635 .22631 L
.3772 .22722 L
.37784 .22791 L
.3788 .22896 L
.37932 .22952 L
.38041 .23071 L
.38079 .23112 L
.38201 .23247 L
.38225 .23273 L
.38362 .23425 L
.3837 .23433 L
.38514 .23594 L
.38523 .23604 L
.38657 .23754 L
.38683 .23784 L
.38798 .23915 L
.38844 .23966 L
.38939 .24075 L
.39004 .2415 L
.39078 .24236 L
.39165 .24336 L
.39216 .24396 L
.39325 .24525 L
.39353 .24557 L
.39486 .24715 L
.39488 .24717 L
.39621 .24878 L
.39646 .24908 L
.39753 .25039 L
.39807 .25105 L
.39883 .25199 L
.39967 .25305 L
.4001 .2536 L
.40128 .2551 L
.40136 .2552 L
.40259 .25681 L
.40288 .25719 L
.40379 .25841 L
.40449 .25936 L
.40496 .26002 L
.40609 .26162 L
.4061 .26162 L
.40719 .26323 L
.4077 .26399 L
.40823 .26483 L
.40921 .26644 L
.4093 .26658 L
.41011 .26804 L
.4109 .26965 L
.41091 .26968 L
.41154 .27125 L
.41191 .27286 L
.41149 .27446 L
.41091 .27494 L
.4093 .27501 L
.4077 .27464 L
.40691 .27446 L
.40609 .27408 L
.40449 .27338 L
.40337 .27286 L
.40288 .2726 L
.40128 .27174 L
.40039 .27125 L
.39967 .27084 L
.39807 .26989 L
.39766 .26965 L
.39646 .26891 L
.39509 .26804 L
.39486 .26789 L
.39325 .26685 L
.39263 .26644 L
.39165 .26578 L
.39025 .26483 L
.39004 .26469 L
.38844 .26358 L
.38793 .26323 L
.38683 .26245 L
.38566 .26162 L
.38523 .26131 L
.38362 .26015 L
.38343 .26002 L
.38201 .25898 L
.38124 .25841 L
.38041 .25779 L
.37908 .25681 L
.3788 .2566 L
.3772 .25539 L
.37695 .2552 L
.37559 .25417 L
.37485 .2536 L
.37399 .25294 L
.37276 .25199 L
.37238 .2517 L
.37078 .25044 L
.3707 .25039 L
.36917 .24918 L
.36866 .24878 L
.36757 .24791 L
.36664 .24717 L
.36596 .24663 L
.36463 .24557 L
.36436 .24535 L
.36275 .24405 L
.36265 .24396 L
.36115 .24274 L
.36067 .24236 L
.35954 .24143 L
.35872 .24075 L
.35794 .24011 L
.35677 .23915 L
.35633 .23878 L
.35484 .23754 L
.35473 .23744 L
.35312 .2361 L
.35293 .23594 L
.35152 .23475 L
.35102 .23433 L
.34991 .23339 L
.34912 .23273 L
.3483 .23203 L
.34724 .23112 L
.3467 .23066 L
.34536 .22952 L
.34509 .22929 L
.34349 .22792 L
.34348 .22791 L
.34188 .22654 L
.34162 .22631 L
.34028 .22515 L
.33976 .2247 L
.33867 .22377 L
.3379 .2231 L
.33707 .22238 L
.33604 .22149 L
.33546 .22099 L
.33419 .21989 L
.33386 .21959 L
.33234 .21828 L
.33225 .2182 L
.33065 .21681 L
.3305 .21668 L
.32904 .21541 L
.32865 .21507 L
.32744 .21401 L
.32681 .21346 L
.32583 .21261 L
.32497 .21186 L
.32423 .21121 L
.32313 .21025 L
.32262 .20981 L
.32129 .20865 L
.32102 .20841 L
.31946 .20704 L
.31941 .207 L
.31781 .20558 L
.31764 .20544 L
.3162 .20416 L
.31583 .20383 L
.31459 .20273 L
.31403 .20223 L
.31299 .2013 L
.31224 .20062 L
.31138 .19985 L
.31047 .19902 L
.30978 .19839 L
.30871 .19741 L
.30817 .19692 L
.30696 .19581 L
.30657 .19544 L
.30524 .1942 L
.30496 .19394 L
.30353 .1926 L
.30336 .19243 L
.30184 .19099 L
.30175 .19091 L
.30017 .18939 L
.30015 .18937 L
.29854 .18781 L
.29851 .18778 L
.29694 .18625 L
.29686 .18618 L
.29533 .18468 L
.29522 .18457 L
.29373 .18311 L
.29358 .18297 L
.29212 .18153 L
.29195 .18136 L
.29052 .17994 L
.29032 .17975 L
.28891 .17836 L
.28869 .17815 L
.28731 .17678 L
.28706 .17654 L
.2857 .1752 L
.28543 .17494 L
.2841 .17362 L
.2838 .17333 L
.28249 .17205 L
.28217 .17173 L
.28088 .17047 L
.28053 .17012 L
.27928 .1689 L
.27889 .16852 L
.27767 .16733 L
.27725 .16691 L
.27607 .16576 L
.2756 .16531 L
.27446 .1642 L
.27395 .1637 L
.27286 .16263 L
.27231 .1621 L
.27125 .16107 L
.27066 .16049 L
.26965 .15951 L
.26901 .15889 L
.26804 .15794 L
.26737 .15728 L
.26644 .15637 L
.26573 .15568 L
.26483 .1548 L
.2641 .15407 L
.26323 .15322 L
.26247 .15247 L
.26162 .15163 L
.26085 .15086 L
.26002 .15003 L
.25924 .14926 L
.25841 .14843 L
.25764 .14765 L
.25681 .14681 L
.25606 .14604 L
.2552 .14517 L
.25449 .14444 L
.2536 .14352 L
.25293 .14283 L
.25199 .14186 L
.25139 .14123 L
.25039 .14018 L
.24986 .13962 L
.24878 .13848 L
.24835 .13802 L
.24717 .13677 L
.24684 .13641 L
.24557 .13504 L
.24535 .13481 L
.24396 .1333 L
.24387 .1332 L
.2424 .1316 L
.24236 .13155 L
.24094 .12999 L
.24075 .12978 L
.23949 .12839 L
.23915 .128 L
.23805 .12678 L
.23754 .12621 L
.23662 .12518 L
.23594 .12441 L
.23519 .12357 L
.23433 .1226 L
.23377 .12197 L
.23273 .12078 L
.23236 .12036 L
.23112 .11894 L
.23096 .11876 L
.22957 .11715 L
.22952 .11709 L
.22819 .11555 L
.22791 .11522 L
.22682 .11394 L
.22631 .11334 L
.22546 .11233 L
.2247 .11143 L
.22412 .11073 L
.2231 .10949 L
.22279 .10912 L
.22149 .10752 L
.22149 .10752 L
.2202 .10591 L
.21989 .10552 L
.21893 .10431 L
.21828 .10347 L
.21769 .1027 L
.21668 .10137 L
.21647 .1011 L
.21529 .09949 L
.21507 .0992 L
.21414 .09789 L
.21346 .09693 L
.21303 .09628 L
.21197 .09468 L
.21186 .09452 L
.21096 .09307 L
.21025 .09187 L
.21004 .09147 L
.2092 .08986 L
.20865 .08872 L
.20852 .08826 L
.20804 .08665 L
.208 .08505 L
F
.538 .98 1 r
.21346 .15377 m
.21507 .15357 L
.21668 .15343 L
.21828 .15334 L
.21989 .15327 L
.22149 .15322 L
.2231 .15319 L
.2247 .15317 L
.22631 .15317 L
.22791 .15317 L
.22952 .15319 L
.23112 .15322 L
.23273 .15326 L
.23433 .15332 L
.23594 .1534 L
.23754 .15351 L
.23915 .15364 L
.24075 .1538 L
.24236 .15399 L
.24292 .15407 L
.24396 .15425 L
.24557 .15459 L
.24717 .15499 L
.24878 .15545 L
.24948 .15568 L
.25039 .15602 L
.25199 .15668 L
.2533 .15728 L
.2536 .15743 L
.2552 .15828 L
.25626 .15889 L
.25681 .15922 L
.25841 .16024 L
.25879 .16049 L
.26002 .16135 L
.26105 .1621 L
.26162 .16252 L
.26313 .1637 L
.26323 .16378 L
.26483 .16511 L
.26507 .16531 L
.26644 .16651 L
.26688 .16691 L
.26804 .168 L
.26858 .16852 L
.26965 .16958 L
.27017 .17012 L
.27125 .17129 L
.27164 .17173 L
.27286 .17319 L
.27297 .17333 L
.27412 .17494 L
.27446 .17534 L
.27502 .17654 L
.27551 .17815 L
.27519 .17975 L
.27446 .18048 L
.27286 .18121 L
.27232 .18136 L
.27125 .18161 L
.26965 .18185 L
.26804 .18201 L
.26644 .18212 L
.26483 .1822 L
.26323 .18225 L
.26162 .18229 L
.26002 .18231 L
.25841 .18233 L
.25681 .18233 L
.2552 .18232 L
.2536 .1823 L
.25199 .18227 L
.25039 .18223 L
.24878 .18217 L
.24717 .1821 L
.24557 .182 L
.24396 .18187 L
.24236 .18171 L
.24075 .18152 L
.23965 .18136 L
.23915 .18127 L
.23754 .18094 L
.23594 .18054 L
.23433 .18006 L
.23342 .17975 L
.23273 .17949 L
.23112 .1788 L
.22974 .17815 L
.22952 .17803 L
.22791 .17716 L
.22687 .17654 L
.22631 .17619 L
.2247 .17514 L
.22441 .17494 L
.2231 .174 L
.2222 .17333 L
.22149 .17278 L
.22017 .17173 L
.21989 .17149 L
.21828 .17012 L
.21828 .17012 L
.21668 .16867 L
.21651 .16852 L
.21507 .16713 L
.21485 .16691 L
.21346 .16548 L
.2133 .16531 L
.21188 .1637 L
.21186 .16368 L
.2106 .1621 L
.21025 .16165 L
.2095 .16049 L
.20867 .15889 L
.20865 .15883 L
.20827 .15728 L
.20865 .1558 L
.20874 .15568 L
.21025 .15437 L
.21186 .15408 L
.21194 .15407 L
F
1 .7 0 r
.21025 .13754 m
.21183 .13802 L
.21186 .13804 L
.21346 .13949 L
.21349 .13962 L
.21346 .13979 L
.21186 .13992 L
.21112 .13962 L
.21025 .13908 L
.20943 .13802 L
F
.395 .97 1 r
.21668 .1539 m
.21828 .15373 L
.21989 .15362 L
.22149 .15354 L
.2231 .15348 L
.2247 .15345 L
.22631 .15344 L
.22791 .15345 L
.22952 .15347 L
.23112 .15351 L
.23273 .15357 L
.23433 .15365 L
.23594 .15375 L
.23754 .15389 L
.23915 .15405 L
.23933 .15407 L
.24075 .15427 L
.24236 .15454 L
.24396 .15487 L
.24557 .15526 L
.24709 .15568 L
.24717 .1557 L
.24878 .15626 L
.25039 .15689 L
.25131 .15728 L
.25199 .1576 L
.2536 .15841 L
.25448 .15889 L
.2552 .1593 L
.25681 .16027 L
.25715 .16049 L
.25841 .16133 L
.25951 .1621 L
.26002 .16246 L
.26162 .16367 L
.26166 .1637 L
.26323 .16497 L
.26364 .16531 L
.26483 .16634 L
.26547 .16691 L
.26644 .16781 L
.26718 .16852 L
.26804 .16938 L
.26876 .17012 L
.26965 .1711 L
.27019 .17173 L
.27125 .17304 L
.27147 .17333 L
.27254 .17494 L
.27286 .17551 L
.27332 .17654 L
.27361 .17815 L
.27293 .17975 L
.27286 .17982 L
.27125 .18093 L
.26965 .18127 L
.26901 .18136 L
.26804 .18153 L
.26644 .18172 L
.26483 .18186 L
.26323 .18195 L
.26162 .18201 L
.26002 .18205 L
.25841 .18208 L
.25681 .18208 L
.2552 .18208 L
.2536 .18205 L
.25199 .18201 L
.25039 .18195 L
.24878 .18188 L
.24717 .18177 L
.24557 .18164 L
.24396 .18148 L
.24296 .18136 L
.24236 .18127 L
.24075 .18101 L
.23915 .18068 L
.23754 .18029 L
.23594 .17983 L
.23568 .17975 L
.23433 .17927 L
.23273 .17863 L
.23164 .17815 L
.23112 .1779 L
.22952 .17706 L
.22858 .17654 L
.22791 .17615 L
.22631 .17514 L
.22599 .17494 L
.2247 .17405 L
.2237 .17333 L
.2231 .17288 L
.22162 .17173 L
.22149 .17163 L
.21989 .17029 L
.2197 .17012 L
.21828 .16886 L
.21791 .16852 L
.21668 .16733 L
.21626 .16691 L
.21507 .16567 L
.21474 .16531 L
.21346 .16384 L
.21335 .1637 L
.21214 .1621 L
.21186 .16172 L
.21114 .16049 L
.21045 .15889 L
.21027 .15728 L
.21112 .15568 L
.21186 .15505 L
.21346 .15444 L
.21507 .15414 L
.21552 .15407 L
F
.289 .96 1 r
.21989 .15398 m
.22149 .15386 L
.2231 .15379 L
.2247 .15374 L
.22631 .15372 L
.22791 .15372 L
.22952 .15374 L
.23112 .15379 L
.23273 .15386 L
.23433 .15396 L
.23582 .15407 L
.23594 .15408 L
.23754 .15425 L
.23915 .15446 L
.24075 .15471 L
.24236 .15503 L
.24396 .15539 L
.24506 .15568 L
.24557 .15583 L
.24717 .15635 L
.24878 .15695 L
.24962 .15728 L
.25039 .15762 L
.25199 .15839 L
.25297 .15889 L
.2536 .15923 L
.2552 .16016 L
.25575 .16049 L
.25681 .16117 L
.25819 .1621 L
.25841 .16225 L
.26002 .16342 L
.26039 .1637 L
.26162 .16468 L
.2624 .16531 L
.26323 .16601 L
.26425 .16691 L
.26483 .16745 L
.26596 .16852 L
.26644 .16899 L
.26753 .17012 L
.26804 .17069 L
.26894 .17173 L
.26965 .17261 L
.27018 .17333 L
.27118 .17494 L
.27125 .17507 L
.27186 .17654 L
.27199 .17815 L
.27125 .17953 L
.271 .17975 L
.26965 .18061 L
.26804 .18104 L
.26644 .1813 L
.26592 .18136 L
.26483 .18149 L
.26323 .18163 L
.26162 .18173 L
.26002 .18179 L
.25841 .18183 L
.25681 .18184 L
.2552 .18183 L
.2536 .1818 L
.25199 .18176 L
.25039 .18169 L
.24878 .18159 L
.24717 .18147 L
.24605 .18136 L
.24557 .18131 L
.24396 .1811 L
.24236 .18085 L
.24075 .18054 L
.23915 .18017 L
.23761 .17975 L
.23754 .17973 L
.23594 .1792 L
.23433 .17859 L
.23326 .17815 L
.23273 .17791 L
.23112 .17712 L
.23003 .17654 L
.22952 .17625 L
.22791 .17529 L
.22735 .17494 L
.22631 .17425 L
.22499 .17333 L
.2247 .17312 L
.2231 .17191 L
.22287 .17173 L
.22149 .1706 L
.22092 .17012 L
.21989 .16921 L
.21913 .16852 L
.21828 .16771 L
.21748 .16691 L
.21668 .16607 L
.21598 .16531 L
.21507 .16426 L
.21463 .1637 L
.21346 .1621 L
.21346 .1621 L
.21254 .16049 L
.21196 .15889 L
.21195 .15728 L
.21315 .15568 L
.21346 .15544 L
.21507 .15474 L
.21668 .15438 L
.21828 .15415 L
.21903 .15407 L
F
.212 .95 1 r
.2247 .15403 m
.22631 .15399 L
.22791 .15399 L
.22952 .15401 L
.23112 .15406 L
.23131 .15407 L
.23273 .15414 L
.23433 .15426 L
.23594 .15441 L
.23754 .1546 L
.23915 .15484 L
.24075 .15512 L
.24236 .15546 L
.24325 .15568 L
.24396 .15587 L
.24557 .15636 L
.24717 .15692 L
.24814 .15728 L
.24878 .15755 L
.25039 .15827 L
.25166 .15889 L
.25199 .15906 L
.2536 .15995 L
.25453 .16049 L
.2552 .1609 L
.25681 .16195 L
.25703 .1621 L
.25841 .16307 L
.25927 .1637 L
.26002 .16428 L
.26131 .16531 L
.26162 .16557 L
.26318 .16691 L
.26323 .16696 L
.26483 .16846 L
.26489 .16852 L
.26644 .17011 L
.26645 .17012 L
.26784 .17173 L
.26804 .17197 L
.26904 .17333 L
.26965 .17423 L
.26999 .17494 L
.27058 .17654 L
.27057 .17815 L
.26965 .17949 L
.26929 .17975 L
.26804 .18043 L
.26644 .18087 L
.26483 .18113 L
.26323 .1813 L
.26258 .18136 L
.26162 .18143 L
.26002 .18152 L
.25841 .18157 L
.25681 .18159 L
.2552 .18159 L
.2536 .18156 L
.25199 .1815 L
.25039 .18142 L
.24939 .18136 L
.24878 .18131 L
.24717 .18117 L
.24557 .18098 L
.24396 .18074 L
.24236 .18045 L
.24075 .18011 L
.23932 .17975 L
.23915 .17971 L
.23754 .17921 L
.23594 .17864 L
.23468 .17815 L
.23433 .178 L
.23273 .17726 L
.23131 .17654 L
.23112 .17644 L
.22952 .17553 L
.22854 .17494 L
.22791 .17454 L
.22631 .17346 L
.22613 .17333 L
.2247 .17229 L
.22397 .17173 L
.2231 .17103 L
.222 .17012 L
.22149 .16968 L
.2202 .16852 L
.21989 .16822 L
.21856 .16691 L
.21828 .16663 L
.21707 .16531 L
.21668 .16486 L
.21574 .1637 L
.21507 .1628 L
.21462 .1621 L
.21376 .16049 L
.21346 .15971 L
.21327 .15889 L
.21343 .15728 L
.21346 .15719 L
.21497 .15568 L
.21507 .15561 L
.21668 .15494 L
.21828 .15458 L
.21989 .15436 L
.22149 .1542 L
.2231 .15409 L
.2235 .15407 L
F
.156 .94 1 r
.21668 .15567 m
.21828 .15509 L
.21989 .15475 L
.22149 .15454 L
.2231 .1544 L
.2247 .15432 L
.22631 .15427 L
.22791 .15426 L
.22952 .15428 L
.23112 .15434 L
.23273 .15443 L
.23433 .15455 L
.23594 .15472 L
.23754 .15493 L
.23915 .15519 L
.24075 .1555 L
.24155 .15568 L
.24236 .15588 L
.24396 .15632 L
.24557 .15684 L
.24681 .15728 L
.24717 .15742 L
.24878 .1581 L
.25039 .15884 L
.25048 .15889 L
.25199 .15968 L
.25345 .16049 L
.2536 .16058 L
.2552 .16158 L
.256 .1621 L
.25681 .16265 L
.25828 .1637 L
.25841 .1638 L
.26002 .16505 L
.26034 .16531 L
.26162 .16639 L
.26222 .16691 L
.26323 .16784 L
.26393 .16852 L
.26483 .16943 L
.26548 .17012 L
.26644 .17121 L
.26686 .17173 L
.26803 .17333 L
.26804 .17335 L
.26893 .17494 L
.26944 .17654 L
.2693 .17815 L
.26804 .17956 L
.26771 .17975 L
.26644 .18033 L
.26483 .18073 L
.26323 .18097 L
.26162 .18114 L
.26002 .18124 L
.25841 .18131 L
.25681 .18134 L
.2552 .18134 L
.2536 .18132 L
.25199 .18126 L
.25039 .18116 L
.24878 .18104 L
.24717 .18087 L
.24557 .18066 L
.24396 .1804 L
.24236 .18009 L
.2409 .17975 L
.24075 .17972 L
.23915 .17926 L
.23754 .17874 L
.23595 .17815 L
.23594 .17814 L
.23433 .17745 L
.23273 .17669 L
.23245 .17654 L
.23112 .17583 L
.2296 .17494 L
.22952 .17489 L
.22791 .17386 L
.22714 .17333 L
.22631 .17274 L
.22495 .17173 L
.2247 .17154 L
.2231 .17023 L
.22297 .17012 L
.22149 .16882 L
.22116 .16852 L
.21989 .16729 L
.21952 .16691 L
.21828 .16559 L
.21804 .16531 L
.21674 .1637 L
.21668 .16362 L
.21565 .1621 L
.21507 .16116 L
.21485 .16049 L
.21445 .15889 L
.21476 .15728 L
.21507 .15682 L
.21666 .15568 L
F
1 .94 .156 r
.21668 .09085 m
.21828 .09099 L
.21989 .09145 L
.21994 .09147 L
.22149 .09207 L
.2231 .09282 L
.22361 .09307 L
.2247 .09365 L
.22631 .09454 L
.22654 .09468 L
.22791 .09548 L
.22923 .09628 L
.22952 .09646 L
.23112 .09748 L
.23176 .09789 L
.23273 .09852 L
.23419 .09949 L
.23433 .09959 L
.23594 .10069 L
.23654 .1011 L
.23754 .1018 L
.23883 .1027 L
.23915 .10293 L
.24075 .10408 L
.24107 .10431 L
.24236 .10525 L
.24327 .10591 L
.24396 .10643 L
.24543 .10752 L
.24557 .10762 L
.24717 .10883 L
.24756 .10912 L
.24878 .11005 L
.24967 .11073 L
.25039 .11128 L
.25175 .11233 L
.25199 .11252 L
.2536 .11377 L
.25381 .11394 L
.2552 .11503 L
.25585 .11555 L
.25681 .1163 L
.25787 .11715 L
.25841 .11758 L
.25987 .11876 L
.26002 .11887 L
.26162 .12017 L
.26186 .12036 L
.26323 .12147 L
.26384 .12197 L
.26483 .12278 L
.2658 .12357 L
.26644 .1241 L
.26774 .12518 L
.26804 .12542 L
.26965 .12676 L
.26968 .12678 L
.27125 .1281 L
.2716 .12839 L
.27286 .12944 L
.27351 .12999 L
.27446 .1308 L
.27541 .1316 L
.27607 .13215 L
.2773 .1332 L
.27767 .13352 L
.27918 .13481 L
.27928 .13489 L
.28088 .13627 L
.28106 .13641 L
.28249 .13765 L
.28292 .13802 L
.2841 .13904 L
.28477 .13962 L
.2857 .14043 L
.28662 .14123 L
.28731 .14183 L
.28845 .14283 L
.28891 .14324 L
.29028 .14444 L
.29052 .14465 L
.2921 .14604 L
.29212 .14606 L
.29373 .14748 L
.29392 .14765 L
.29533 .14891 L
.29572 .14926 L
.29694 .15034 L
.29752 .15086 L
.29854 .15178 L
.29931 .15247 L
.30015 .15322 L
.30109 .15407 L
.30175 .15467 L
.30287 .15568 L
.30336 .15612 L
.30464 .15728 L
.30496 .15757 L
.30641 .15889 L
.30657 .15904 L
.30816 .16049 L
.30817 .1605 L
.30978 .16197 L
.30991 .1621 L
.31138 .16345 L
.31166 .1637 L
.31299 .16493 L
.31339 .16531 L
.31459 .16642 L
.31512 .16691 L
.3162 .16791 L
.31685 .16852 L
.31781 .16941 L
.31857 .17012 L
.31941 .17091 L
.32028 .17173 L
.32102 .17242 L
.32199 .17333 L
.32262 .17393 L
.32369 .17494 L
.32423 .17545 L
.32538 .17654 L
.32583 .17697 L
.32707 .17815 L
.32744 .1785 L
.32875 .17975 L
.32904 .18003 L
.33043 .18136 L
.33065 .18157 L
.3321 .18297 L
.33225 .18311 L
.33376 .18457 L
.33386 .18466 L
.33542 .18618 L
.33546 .18622 L
.33707 .18778 L
.33707 .18778 L
.33867 .18934 L
.33872 .18939 L
.34028 .19092 L
.34035 .19099 L
.34188 .19249 L
.34199 .1926 L
.34349 .19408 L
.34361 .1942 L
.34509 .19567 L
.34523 .19581 L
.3467 .19726 L
.34685 .19741 L
.3483 .19887 L
.34845 .19902 L
.34991 .20048 L
.35006 .20062 L
.35152 .20209 L
.35165 .20223 L
.35312 .20372 L
.35324 .20383 L
.35473 .20535 L
.35482 .20544 L
.35633 .20698 L
.35639 .20704 L
.35794 .20863 L
.35796 .20865 L
.35952 .21025 L
.35954 .21028 L
.36107 .21186 L
.36115 .21194 L
.36261 .21346 L
.36275 .21361 L
.36415 .21507 L
.36436 .21529 L
.36568 .21668 L
.36596 .21698 L
.3672 .21828 L
.36757 .21867 L
.36871 .21989 L
.36917 .22038 L
.37021 .22149 L
.37078 .2221 L
.37171 .2231 L
.37238 .22383 L
.37319 .2247 L
.37399 .22557 L
.37467 .22631 L
.37559 .22732 L
.37613 .22791 L
.3772 .22908 L
.37759 .22952 L
.3788 .23087 L
.37903 .23112 L
.38041 .23266 L
.38047 .23273 L
.38189 .23433 L
.38201 .23448 L
.3833 .23594 L
.38362 .23631 L
.38469 .23754 L
.38523 .23816 L
.38607 .23915 L
.38683 .24003 L
.38744 .24075 L
.38844 .24193 L
.38879 .24236 L
.39004 .24386 L
.39012 .24396 L
.39144 .24557 L
.39165 .24583 L
.39273 .24717 L
.39325 .24783 L
.394 .24878 L
.39486 .24988 L
.39525 .25039 L
.39646 .25199 L
.39646 .25199 L
.39765 .2536 L
.39807 .25417 L
.3988 .2552 L
.39967 .25647 L
.3999 .25681 L
.40095 .25841 L
.40128 .2589 L
.40194 .26002 L
.40284 .26162 L
.40288 .26165 L
.40363 .26323 L
.40424 .26483 L
.40449 .26644 L
.40319 .26804 L
.40288 .26808 L
.40202 .26804 L
.40128 .26792 L
.39967 .26743 L
.39807 .26677 L
.39731 .26644 L
.39646 .266 L
.39486 .26516 L
.39425 .26483 L
.39325 .26426 L
.39165 .26331 L
.3915 .26323 L
.39004 .26233 L
.38892 .26162 L
.38844 .26131 L
.38683 .26026 L
.38647 .26002 L
.38523 .25918 L
.38409 .25841 L
.38362 .25809 L
.38201 .25697 L
.38178 .25681 L
.38041 .25583 L
.37952 .2552 L
.3788 .25468 L
.37731 .2536 L
.3772 .25351 L
.37559 .25233 L
.37514 .25199 L
.37399 .25113 L
.37299 .25039 L
.37238 .24992 L
.37088 .24878 L
.37078 .2487 L
.36917 .24747 L
.36879 .24717 L
.36757 .24622 L
.36673 .24557 L
.36596 .24497 L
.36468 .24396 L
.36436 .24371 L
.36275 .24243 L
.36266 .24236 L
.36115 .24115 L
.36066 .24075 L
.35954 .23985 L
.35867 .23915 L
.35794 .23855 L
.3567 .23754 L
.35633 .23724 L
.35474 .23594 L
.35473 .23593 L
.35312 .2346 L
.3528 .23433 L
.35152 .23327 L
.35086 .23273 L
.34991 .23193 L
.34895 .23112 L
.3483 .23058 L
.34704 .22952 L
.3467 .22923 L
.34514 .22791 L
.34509 .22788 L
.34349 .22651 L
.34325 .22631 L
.34188 .22514 L
.34137 .2247 L
.34028 .22377 L
.33949 .2231 L
.33867 .22239 L
.33762 .22149 L
.33707 .22101 L
.33576 .21989 L
.33546 .21963 L
.3339 .21828 L
.33386 .21824 L
.33225 .21685 L
.33205 .21668 L
.33065 .21545 L
.33021 .21507 L
.32904 .21405 L
.32837 .21346 L
.32744 .21265 L
.32653 .21186 L
.32583 .21125 L
.3247 .21025 L
.32423 .20984 L
.32288 .20865 L
.32262 .20842 L
.32106 .20704 L
.32102 .20701 L
.31941 .20558 L
.31925 .20544 L
.31781 .20415 L
.31745 .20383 L
.3162 .20271 L
.31566 .20223 L
.31459 .20127 L
.31388 .20062 L
.31299 .19982 L
.31211 .19902 L
.31138 .19836 L
.31035 .19741 L
.30978 .19689 L
.3086 .19581 L
.30817 .19541 L
.30686 .1942 L
.30657 .19393 L
.30514 .1926 L
.30496 .19243 L
.30343 .19099 L
.30336 .19092 L
.30175 .1894 L
.30173 .18939 L
.30015 .18788 L
.30005 .18778 L
.29854 .18634 L
.29837 .18618 L
.29694 .1848 L
.2967 .18457 L
.29533 .18325 L
.29504 .18297 L
.29373 .18169 L
.29338 .18136 L
.29212 .18014 L
.29173 .17975 L
.29052 .17857 L
.29008 .17815 L
.28891 .17701 L
.28843 .17654 L
.28731 .17544 L
.28679 .17494 L
.2857 .17387 L
.28515 .17333 L
.2841 .17231 L
.2835 .17173 L
.28249 .17073 L
.28186 .17012 L
.28088 .16916 L
.28023 .16852 L
.27928 .16759 L
.27859 .16691 L
.27767 .16602 L
.27695 .16531 L
.27607 .16444 L
.27532 .1637 L
.27446 .16286 L
.27368 .1621 L
.27286 .16128 L
.27206 .16049 L
.27125 .1597 L
.27043 .15889 L
.26965 .15811 L
.26881 .15728 L
.26804 .15652 L
.2672 .15568 L
.26644 .15492 L
.26559 .15407 L
.26483 .15331 L
.26399 .15247 L
.26323 .1517 L
.2624 .15086 L
.26162 .15008 L
.26082 .14926 L
.26002 .14844 L
.25924 .14765 L
.25841 .1468 L
.25768 .14604 L
.25681 .14514 L
.25614 .14444 L
.2552 .14347 L
.2546 .14283 L
.2536 .14178 L
.25307 .14123 L
.25199 .14008 L
.25156 .13962 L
.25039 .13837 L
.25006 .13802 L
.24878 .13665 L
.24856 .13641 L
.24717 .13491 L
.24708 .13481 L
.24561 .1332 L
.24557 .13315 L
.24416 .1316 L
.24396 .13139 L
.24271 .12999 L
.24236 .1296 L
.24127 .12839 L
.24075 .12781 L
.23984 .12678 L
.23915 .126 L
.23843 .12518 L
.23754 .12417 L
.23702 .12357 L
.23594 .12232 L
.23563 .12197 L
.23433 .12046 L
.23425 .12036 L
.23288 .11876 L
.23273 .11858 L
.23153 .11715 L
.23112 .11667 L
.23019 .11555 L
.22952 .11473 L
.22887 .11394 L
.22791 .11276 L
.22757 .11233 L
.22631 .11075 L
.22629 .11073 L
.22504 .10912 L
.2247 .10869 L
.22381 .10752 L
.2231 .10658 L
.22261 .10591 L
.22149 .10437 L
.22145 .10431 L
.22032 .1027 L
.21989 .10207 L
.21925 .1011 L
.21828 .09956 L
.21824 .09949 L
.21731 .09789 L
.21668 .09673 L
.21648 .09628 L
.21579 .09468 L
.21536 .09307 L
.2157 .09147 L
F
.114 .93 1 r
.21989 .1552 m
.22149 .15491 L
.2231 .15472 L
.2247 .15461 L
.22631 .15455 L
.22791 .15453 L
.22952 .15455 L
.23112 .15461 L
.23273 .15471 L
.23433 .15484 L
.23594 .15502 L
.23754 .15525 L
.23915 .15553 L
.23991 .15568 L
.24075 .15586 L
.24236 .15627 L
.24396 .15674 L
.24557 .15728 L
.24559 .15728 L
.24717 .1579 L
.24878 .1586 L
.24941 .15889 L
.25039 .15937 L
.25199 .16023 L
.25246 .16049 L
.2536 .16117 L
.25507 .1621 L
.2552 .16219 L
.25681 .16329 L
.25737 .1637 L
.25841 .16448 L
.25946 .16531 L
.26002 .16577 L
.26135 .16691 L
.26162 .16716 L
.26307 .16852 L
.26323 .16868 L
.26461 .17012 L
.26483 .17036 L
.26597 .17173 L
.26644 .17232 L
.26711 .17333 L
.26797 .17494 L
.26804 .17512 L
.26841 .17654 L
.26813 .17815 L
.26804 .1783 L
.26644 .17964 L
.2662 .17975 L
.26483 .18026 L
.26323 .18061 L
.26162 .18083 L
.26002 .18097 L
.25841 .18105 L
.25681 .18109 L
.2552 .1811 L
.2536 .18107 L
.25199 .18101 L
.25039 .18091 L
.24878 .18077 L
.24717 .18059 L
.24557 .18036 L
.24396 .18008 L
.24241 .17975 L
.24236 .17974 L
.24075 .17933 L
.23915 .17885 L
.23754 .1783 L
.23712 .17815 L
.23594 .17767 L
.23433 .17695 L
.23348 .17654 L
.23273 .17615 L
.23112 .17527 L
.23056 .17494 L
.22952 .17429 L
.22806 .17333 L
.22791 .17323 L
.22631 .17208 L
.22584 .17173 L
.2247 .17083 L
.22384 .17012 L
.2231 .16948 L
.22202 .16852 L
.22149 .16801 L
.22038 .16691 L
.21989 .16639 L
.21892 .16531 L
.21828 .16455 L
.21764 .1637 L
.21668 .16226 L
.21659 .1621 L
.21583 .16049 L
.21552 .15889 L
.21599 .15728 L
.21668 .15631 L
.21828 .15568 L
.21831 .15568 L
F
.084 .92 1 r
.22149 .15531 m
.2231 .15506 L
.2247 .15492 L
.22631 .15483 L
.22791 .1548 L
.22952 .15482 L
.23112 .15488 L
.23273 .15498 L
.23433 .15512 L
.23594 .15532 L
.23754 .15556 L
.23824 .15568 L
.23915 .15585 L
.24075 .15621 L
.24236 .15664 L
.24396 .15713 L
.24442 .15728 L
.24557 .1577 L
.24717 .15834 L
.24841 .15889 L
.24878 .15906 L
.25039 .15987 L
.25155 .16049 L
.25199 .16075 L
.2536 .16171 L
.25421 .1621 L
.2552 .16276 L
.25655 .1637 L
.25681 .16389 L
.25841 .16512 L
.25865 .16531 L
.26002 .16644 L
.26055 .16691 L
.26162 .16789 L
.26227 .16852 L
.26323 .16949 L
.26381 .17012 L
.26483 .17131 L
.26516 .17173 L
.26627 .17333 L
.26644 .17345 L
.26708 .17494 L
.26744 .17654 L
.26703 .17815 L
.26644 .17881 L
.26483 .17973 L
.26471 .17975 L
.26323 .1802 L
.26162 .18049 L
.26002 .18067 L
.25841 .18079 L
.25681 .18084 L
.2552 .18085 L
.2536 .18083 L
.25199 .18076 L
.25039 .18065 L
.24878 .1805 L
.24717 .18031 L
.24557 .18007 L
.24396 .17977 L
.2439 .17975 L
.24236 .1794 L
.24075 .17897 L
.23915 .17847 L
.23822 .17815 L
.23754 .17789 L
.23594 .17723 L
.23445 .17654 L
.23433 .17649 L
.23273 .17566 L
.23145 .17494 L
.23112 .17474 L
.22952 .17374 L
.2289 .17333 L
.22791 .17265 L
.22665 .17173 L
.22631 .17146 L
.2247 .17018 L
.22464 .17012 L
.2231 .16877 L
.22282 .16852 L
.22149 .16723 L
.22118 .16691 L
.21989 .1655 L
.21972 .16531 L
.21846 .1637 L
.21828 .16346 L
.21745 .1621 L
.21675 .16049 L
.21668 .16025 L
.21652 .15889 L
.21668 .15812 L
.21715 .15728 L
.21828 .15622 L
.21989 .1557 L
.21997 .15568 L
F
.061 .91 1 r
.2231 .15542 m
.2247 .15523 L
.22631 .15512 L
.22791 .15508 L
.22952 .15509 L
.23112 .15514 L
.23273 .15525 L
.23433 .1554 L
.23594 .1556 L
.23646 .15568 L
.23754 .15586 L
.23915 .15617 L
.24075 .15655 L
.24236 .15699 L
.24331 .15728 L
.24396 .1575 L
.24557 .1581 L
.24717 .15876 L
.24747 .15889 L
.24878 .1595 L
.25039 .16033 L
.25069 .16049 L
.25199 .16123 L
.25341 .1621 L
.2536 .16222 L
.2552 .1633 L
.25578 .1637 L
.25681 .16446 L
.2579 .16531 L
.25841 .16572 L
.25982 .16691 L
.26002 .16709 L
.26154 .16852 L
.26162 .1686 L
.26307 .17012 L
.26323 .1703 L
.2644 .17173 L
.26483 .17229 L
.26549 .17333 L
.26625 .17494 L
.26644 .17557 L
.26654 .17654 L
.26644 .17724 L
.26598 .17815 L
.26483 .17927 L
.26323 .17975 L
.26319 .17975 L
.26162 .18013 L
.26002 .18037 L
.25841 .18051 L
.25681 .18058 L
.2552 .18061 L
.2536 .18058 L
.25199 .18051 L
.25039 .1804 L
.24878 .18024 L
.24717 .18004 L
.24557 .17978 L
.24542 .17975 L
.24396 .17946 L
.24236 .17908 L
.24075 .17863 L
.23927 .17815 L
.23915 .17811 L
.23754 .1775 L
.23594 .17681 L
.23535 .17654 L
.23433 .17604 L
.23273 .17519 L
.23228 .17494 L
.23112 .17425 L
.22968 .17333 L
.22952 .17322 L
.22791 .1721 L
.22741 .17173 L
.22631 .17088 L
.22538 .17012 L
.2247 .16955 L
.22355 .16852 L
.2231 .16809 L
.22192 .16691 L
.22149 .16647 L
.22047 .16531 L
.21989 .1646 L
.21923 .1637 L
.21828 .16217 L
.21825 .1621 L
.2176 .16049 L
.21746 .15889 L
.21827 .15728 L
.21828 .15726 L
.21989 .15617 L
.22149 .15573 L
.22175 .15568 L
F
.045 .9 1 r
.2247 .15556 m
.22631 .15542 L
.22791 .15536 L
.22952 .15536 L
.23112 .15541 L
.23273 .15552 L
.23433 .15567 L
.23438 .15568 L
.23594 .15588 L
.23754 .15615 L
.23915 .15648 L
.24075 .15687 L
.24221 .15728 L
.24236 .15733 L
.24396 .15786 L
.24557 .15847 L
.24658 .15889 L
.24717 .15915 L
.24878 .15992 L
.24989 .16049 L
.25039 .16076 L
.25199 .16169 L
.25265 .1621 L
.2536 .1627 L
.25506 .1637 L
.2552 .1638 L
.25681 .165 L
.2572 .16531 L
.25841 .1663 L
.25912 .16691 L
.26002 .16772 L
.26085 .16852 L
.26162 .1693 L
.26238 .17012 L
.26323 .17112 L
.26369 .17173 L
.26475 .17333 L
.26483 .17348 L
.26547 .17494 L
.26568 .17654 L
.26496 .17815 L
.26483 .17831 L
.26323 .17934 L
.26162 .17974 L
.26157 .17975 L
.26002 .18004 L
.25841 .18022 L
.25681 .18032 L
.2552 .18035 L
.2536 .18034 L
.25199 .18027 L
.25039 .18015 L
.24878 .17999 L
.24717 .17977 L
.24704 .17975 L
.24557 .1795 L
.24396 .17917 L
.24236 .17876 L
.24075 .1783 L
.24029 .17815 L
.23915 .17775 L
.23754 .17712 L
.23621 .17654 L
.23594 .17642 L
.23433 .17562 L
.23306 .17494 L
.23273 .17475 L
.23112 .17378 L
.23042 .17333 L
.22952 .17272 L
.22812 .17173 L
.22791 .17157 L
.22631 .17031 L
.22607 .17012 L
.2247 .16894 L
.22424 .16852 L
.2231 .16741 L
.22261 .16691 L
.22149 .16569 L
.22117 .16531 L
.21995 .1637 L
.21989 .16362 L
.219 .1621 L
.2184 .16049 L
.21836 .15889 L
.21936 .15728 L
.21989 .15685 L
.22149 .15615 L
.2231 .15579 L
.22382 .15568 L
F
.033 .89 1 r
.22791 .15564 m
.22952 .15563 L
.23111 .15568 L
.23112 .15568 L
.23273 .15578 L
.23433 .15594 L
.23594 .15616 L
.23754 .15644 L
.23915 .15678 L
.24075 .15718 L
.24112 .15728 L
.24236 .15766 L
.24396 .15821 L
.24557 .15883 L
.24571 .15889 L
.24717 .15953 L
.24878 .16032 L
.24912 .16049 L
.25039 .16118 L
.25194 .1621 L
.25199 .16213 L
.2536 .16317 L
.25438 .1637 L
.2552 .16429 L
.25654 .16531 L
.25681 .16552 L
.25841 .16686 L
.25847 .16691 L
.26002 .16834 L
.2602 .16852 L
.26162 .17001 L
.26172 .17012 L
.26302 .17173 L
.26323 .17198 L
.26405 .17333 L
.26473 .17494 L
.26483 .17539 L
.26486 .17654 L
.26483 .17668 L
.26396 .17815 L
.26323 .17875 L
.26162 .17938 L
.26002 .1797 L
.2597 .17975 L
.25841 .17992 L
.25681 .18005 L
.2552 .1801 L
.2536 .18009 L
.25199 .18002 L
.25039 .17991 L
.24892 .17975 L
.24878 .17974 L
.24717 .17951 L
.24557 .17923 L
.24396 .17888 L
.24236 .17846 L
.2413 .17815 L
.24075 .17798 L
.23915 .17741 L
.23754 .17676 L
.23703 .17654 L
.23594 .17604 L
.23433 .17522 L
.2338 .17494 L
.23273 .17432 L
.23112 .17334 L
.23112 .17333 L
.22952 .17225 L
.22879 .17173 L
.22791 .17107 L
.22673 .17012 L
.22631 .16977 L
.22489 .16852 L
.2247 .16834 L
.22326 .16691 L
.2231 .16674 L
.22183 .16531 L
.22149 .1649 L
.22063 .1637 L
.21989 .16251 L
.21971 .1621 L
.21917 .16049 L
.21922 .15889 L
.21989 .15777 L
.22045 .15728 L
.22149 .15667 L
.2231 .15617 L
.2247 .15589 L
.22631 .15573 L
.2271 .15568 L
F
.024 .88 1 r
.2231 .1566 m
.2247 .15624 L
.22631 .15603 L
.22791 .15593 L
.22952 .1559 L
.23112 .15594 L
.23273 .15605 L
.23433 .15621 L
.23594 .15643 L
.23754 .15672 L
.23915 .15707 L
.24001 .15728 L
.24075 .15748 L
.24236 .15798 L
.24396 .15854 L
.24487 .15889 L
.24557 .15918 L
.24717 .1599 L
.24838 .16049 L
.24878 .1607 L
.25039 .16158 L
.25126 .1621 L
.25199 .16255 L
.2536 .16361 L
.25373 .1637 L
.2552 .16477 L
.25591 .16531 L
.25681 .16603 L
.25785 .16691 L
.25841 .16741 L
.25958 .16852 L
.26002 .16895 L
.2611 .17012 L
.26162 .17073 L
.26238 .17173 L
.26323 .173 L
.26339 .17333 L
.26401 .17494 L
.26406 .17654 L
.26323 .17792 L
.26295 .17815 L
.26162 .17893 L
.26002 .17937 L
.25841 .17962 L
.25702 .17975 L
.25681 .17977 L
.2552 .17984 L
.2536 .17984 L
.25199 .17978 L
.25155 .17975 L
.25039 .17966 L
.24878 .17949 L
.24717 .17925 L
.24557 .17896 L
.24396 .1786 L
.24236 .17817 L
.2423 .17815 L
.24075 .17766 L
.23915 .17708 L
.23783 .17654 L
.23754 .17642 L
.23594 .17567 L
.23452 .17494 L
.23433 .17484 L
.23273 .17392 L
.23179 .17333 L
.23112 .1729 L
.22952 .17179 L
.22943 .17173 L
.22791 .17057 L
.22736 .17012 L
.22631 .16924 L
.22551 .16852 L
.2247 .16775 L
.22388 .16691 L
.2231 .16606 L
.22246 .16531 L
.22149 .16403 L
.22128 .1637 L
.22039 .1621 L
.21991 .16049 L
.22006 .15889 L
.22149 .15732 L
.22156 .15728 L
F
.018 .87 1 r
.2231 .1571 m
.2247 .15662 L
.22631 .15635 L
.22791 .15622 L
.22952 .15618 L
.23112 .15621 L
.23273 .15631 L
.23433 .15647 L
.23594 .1567 L
.23754 .15699 L
.23886 .15728 L
.23915 .15735 L
.24075 .15778 L
.24236 .15828 L
.24396 .15886 L
.24404 .15889 L
.24557 .15952 L
.24717 .16025 L
.24767 .16049 L
.24878 .16107 L
.25039 .16197 L
.2506 .1621 L
.25199 .16296 L
.25311 .1637 L
.2536 .16404 L
.2552 .16522 L
.25531 .16531 L
.25681 .16652 L
.25726 .16691 L
.25841 .16796 L
.25899 .16852 L
.26002 .16958 L
.2605 .17012 L
.26162 .17152 L
.26177 .17173 L
.26275 .17333 L
.26323 .17454 L
.26333 .17494 L
.26328 .17654 L
.26323 .17668 L
.26194 .17815 L
.26162 .17835 L
.26002 .17899 L
.25841 .17931 L
.25681 .17949 L
.2552 .17958 L
.2536 .17959 L
.25199 .17953 L
.25039 .17941 L
.24878 .17924 L
.24717 .17899 L
.24557 .17869 L
.24396 .17832 L
.24331 .17815 L
.24236 .17788 L
.24075 .17736 L
.23915 .17676 L
.23861 .17654 L
.23754 .17608 L
.23594 .17531 L
.23521 .17494 L
.23433 .17446 L
.23273 .17352 L
.23243 .17333 L
.23112 .17248 L
.23004 .17173 L
.22952 .17134 L
.22795 .17012 L
.22791 .17009 L
.22631 .16871 L
.2261 .16852 L
.2247 .16716 L
.22447 .16691 L
.2231 .16535 L
.22306 .16531 L
.2219 .1637 L
.22149 .1632 L
.22105 .1621 L
.22062 .16049 L
.2209 .15889 L
.22149 .15809 L
.22271 .15728 L
F
.013 .86 1 r
.2247 .15703 m
.22631 .15669 L
.22791 .15652 L
.22952 .15646 L
.23112 .15648 L
.23273 .15658 L
.23433 .15674 L
.23594 .15697 L
.23754 .15727 L
.23762 .15728 L
.23915 .15763 L
.24075 .15807 L
.24236 .15859 L
.24321 .15889 L
.24396 .15917 L
.24557 .15985 L
.24697 .16049 L
.24717 .16059 L
.24878 .16143 L
.24996 .1621 L
.25039 .16235 L
.25199 .16336 L
.25251 .1637 L
.2536 .16446 L
.25473 .16531 L
.2552 .16568 L
.25669 .16691 L
.25681 .16701 L
.25841 .16851 L
.25842 .16852 L
.25993 .17012 L
.26002 .17022 L
.26118 .17173 L
.26162 .17227 L
.26213 .17333 L
.26265 .17494 L
.2625 .17654 L
.26162 .17768 L
.26089 .17815 L
.26002 .17855 L
.25841 .17898 L
.25681 .1792 L
.2552 .17931 L
.2536 .17933 L
.25199 .17928 L
.25039 .17917 L
.24878 .17899 L
.24717 .17874 L
.24557 .17843 L
.24436 .17815 L
.24396 .17805 L
.24236 .17759 L
.24075 .17706 L
.23939 .17654 L
.23915 .17645 L
.23754 .17575 L
.23594 .17497 L
.23588 .17494 L
.23433 .1741 L
.23304 .17333 L
.23273 .17314 L
.23112 .17207 L
.23063 .17173 L
.22952 .1709 L
.22853 .17012 L
.22791 .16962 L
.22667 .16852 L
.22631 .16818 L
.22504 .16691 L
.2247 .16656 L
.22364 .16531 L
.2231 .16462 L
.22251 .1637 L
.22169 .1621 L
.22149 .1615 L
.22132 .16049 L
.22149 .15937 L
.22172 .15889 L
.2231 .15752 L
.22395 .15728 L
F
1 .93 .114 r
.2231 .09682 m
.2247 .09708 L
.22631 .09758 L
.2273 .09789 L
.22791 .09824 L
.22952 .09901 L
.23047 .09949 L
.23112 .09986 L
.23273 .10077 L
.23329 .1011 L
.23433 .10173 L
.23589 .1027 L
.23594 .10273 L
.23754 .10377 L
.23837 .10431 L
.23915 .10483 L
.24075 .10591 L
.24075 .10592 L
.24236 .10703 L
.24306 .10752 L
.24396 .10816 L
.24531 .10912 L
.24557 .10931 L
.24717 .11048 L
.24752 .11073 L
.24878 .11166 L
.24969 .11233 L
.25039 .11286 L
.25182 .11394 L
.25199 .11407 L
.2536 .11529 L
.25392 .11555 L
.2552 .11653 L
.256 .11715 L
.25681 .11777 L
.25806 .11876 L
.25841 .11903 L
.26002 .1203 L
.2601 .12036 L
.26162 .12158 L
.26211 .12197 L
.26323 .12286 L
.26411 .12357 L
.26483 .12416 L
.26609 .12518 L
.26644 .12546 L
.26804 .12677 L
.26806 .12678 L
.26965 .12809 L
.27001 .12839 L
.27125 .12942 L
.27195 .12999 L
.27286 .13075 L
.27387 .1316 L
.27446 .13209 L
.27579 .1332 L
.27607 .13344 L
.27767 .1348 L
.27769 .13481 L
.27928 .13616 L
.27958 .13641 L
.28088 .13753 L
.28146 .13802 L
.28249 .1389 L
.28333 .13962 L
.2841 .14028 L
.28519 .14123 L
.2857 .14167 L
.28704 .14283 L
.28731 .14306 L
.28888 .14444 L
.28891 .14446 L
.29052 .14587 L
.29072 .14604 L
.29212 .14728 L
.29254 .14765 L
.29373 .1487 L
.29436 .14926 L
.29533 .15012 L
.29616 .15086 L
.29694 .15155 L
.29796 .15247 L
.29854 .15298 L
.29976 .15407 L
.30015 .15442 L
.30154 .15568 L
.30175 .15587 L
.30332 .15728 L
.30336 .15732 L
.30496 .15877 L
.30509 .15889 L
.30657 .16023 L
.30685 .16049 L
.30817 .1617 L
.30861 .1621 L
.30978 .16317 L
.31036 .1637 L
.31138 .16465 L
.3121 .16531 L
.31299 .16613 L
.31383 .16691 L
.31459 .16762 L
.31556 .16852 L
.3162 .16911 L
.31728 .17012 L
.31781 .17061 L
.319 .17173 L
.31941 .17211 L
.32071 .17333 L
.32102 .17362 L
.32241 .17494 L
.32262 .17514 L
.32411 .17654 L
.32423 .17666 L
.32579 .17815 L
.32583 .17818 L
.32744 .17972 L
.32748 .17975 L
.32904 .18125 L
.32915 .18136 L
.33065 .1828 L
.33082 .18297 L
.33225 .18435 L
.33248 .18457 L
.33386 .1859 L
.33414 .18618 L
.33546 .18746 L
.33579 .18778 L
.33707 .18903 L
.33743 .18939 L
.33867 .19061 L
.33907 .19099 L
.34028 .19219 L
.3407 .1926 L
.34188 .19377 L
.34232 .1942 L
.34349 .19537 L
.34393 .19581 L
.34509 .19697 L
.34554 .19741 L
.3467 .19857 L
.34714 .19902 L
.3483 .20019 L
.34874 .20062 L
.34991 .20181 L
.35033 .20223 L
.35152 .20344 L
.35191 .20383 L
.35312 .20507 L
.35348 .20544 L
.35473 .20672 L
.35504 .20704 L
.35633 .20837 L
.3566 .20865 L
.35794 .21003 L
.35815 .21025 L
.35954 .2117 L
.35969 .21186 L
.36115 .21339 L
.36122 .21346 L
.36275 .21507 L
.36275 .21508 L
.36426 .21668 L
.36436 .21678 L
.36577 .21828 L
.36596 .21849 L
.36726 .21989 L
.36757 .22021 L
.36875 .22149 L
.36917 .22195 L
.37022 .2231 L
.37078 .2237 L
.37169 .2247 L
.37238 .22547 L
.37314 .22631 L
.37399 .22725 L
.37459 .22791 L
.37559 .22904 L
.37602 .22952 L
.3772 .23086 L
.37743 .23112 L
.3788 .23269 L
.37884 .23273 L
.38023 .23433 L
.38041 .23455 L
.3816 .23594 L
.38201 .23643 L
.38295 .23754 L
.38362 .23834 L
.38429 .23915 L
.38523 .24028 L
.38561 .24075 L
.38683 .24226 L
.38691 .24236 L
.38818 .24396 L
.38844 .24429 L
.38942 .24557 L
.39004 .24638 L
.39064 .24717 L
.39165 .24854 L
.39182 .24878 L
.39296 .25039 L
.39325 .2508 L
.39405 .25199 L
.39486 .25324 L
.39507 .2536 L
.39603 .2552 L
.39646 .25589 L
.39687 .25681 L
.39757 .25841 L
.39799 .26002 L
.39751 .26162 L
.39646 .26203 L
.39486 .2618 L
.39425 .26162 L
.39325 .26129 L
.39165 .2606 L
.39039 .26002 L
.39004 .25981 L
.38844 .25895 L
.38747 .25841 L
.38683 .25803 L
.38523 .25706 L
.38481 .25681 L
.38362 .25605 L
.3823 .2552 L
.38201 .25501 L
.38041 .25395 L
.37989 .2536 L
.3788 .25285 L
.37756 .25199 L
.3772 .25174 L
.37559 .2506 L
.37529 .25039 L
.37399 .24945 L
.37307 .24878 L
.37238 .24828 L
.37089 .24717 L
.37078 .24709 L
.36917 .24589 L
.36874 .24557 L
.36757 .24468 L
.36663 .24396 L
.36596 .24345 L
.36454 .24236 L
.36436 .24221 L
.36275 .24096 L
.36248 .24075 L
.36115 .2397 L
.36044 .23915 L
.35954 .23843 L
.35843 .23754 L
.35794 .23715 L
.35643 .23594 L
.35633 .23586 L
.35473 .23456 L
.35444 .23433 L
.35312 .23325 L
.35248 .23273 L
.35152 .23194 L
.35052 .23112 L
.34991 .23061 L
.34859 .22952 L
.3483 .22928 L
.3467 .22795 L
.34666 .22791 L
.34509 .2266 L
.34474 .22631 L
.34349 .22525 L
.34284 .2247 L
.34188 .22389 L
.34095 .2231 L
.34028 .22253 L
.33906 .22149 L
.33867 .22116 L
.33718 .21989 L
.33707 .21979 L
.33546 .21841 L
.33531 .21828 L
.33386 .21702 L
.33345 .21668 L
.33225 .21563 L
.3316 .21507 L
.33065 .21424 L
.32975 .21346 L
.32904 .21284 L
.32792 .21186 L
.32744 .21144 L
.32608 .21025 L
.32583 .21003 L
.32426 .20865 L
.32423 .20862 L
.32262 .2072 L
.32244 .20704 L
.32102 .20578 L
.32063 .20544 L
.31941 .20435 L
.31883 .20383 L
.31781 .20291 L
.31704 .20223 L
.3162 .20147 L
.31526 .20062 L
.31459 .20002 L
.31349 .19902 L
.31299 .19856 L
.31173 .19741 L
.31138 .1971 L
.30997 .19581 L
.30978 .19563 L
.30823 .1942 L
.30817 .19415 L
.30657 .19266 L
.3065 .1926 L
.30496 .19116 L
.30478 .19099 L
.30336 .18966 L
.30307 .18939 L
.30175 .18814 L
.30137 .18778 L
.30015 .18662 L
.29968 .18618 L
.29854 .18509 L
.29799 .18457 L
.29694 .18356 L
.29631 .18297 L
.29533 .18202 L
.29464 .18136 L
.29373 .18047 L
.29298 .17975 L
.29212 .17892 L
.29132 .17815 L
.29052 .17737 L
.28966 .17654 L
.28891 .17581 L
.28801 .17494 L
.28731 .17425 L
.28637 .17333 L
.2857 .17268 L
.28472 .17173 L
.2841 .17112 L
.28308 .17012 L
.28249 .16954 L
.28144 .16852 L
.28088 .16797 L
.27981 .16691 L
.27928 .16639 L
.27818 .16531 L
.27767 .16481 L
.27656 .1637 L
.27607 .16322 L
.27493 .1621 L
.27446 .16163 L
.27332 .16049 L
.27286 .16003 L
.27171 .15889 L
.27125 .15843 L
.2701 .15728 L
.26965 .15683 L
.26851 .15568 L
.26804 .15521 L
.26692 .15407 L
.26644 .15359 L
.26533 .15247 L
.26483 .15196 L
.26376 .15086 L
.26323 .15031 L
.2622 .14926 L
.26162 .14866 L
.26064 .14765 L
.26002 .147 L
.2591 .14604 L
.25841 .14532 L
.25757 .14444 L
.25681 .14364 L
.25605 .14283 L
.2552 .14194 L
.25454 .14123 L
.2536 .14022 L
.25304 .13962 L
.25199 .13849 L
.25155 .13802 L
.25039 .13675 L
.25008 .13641 L
.24878 .13499 L
.24861 .13481 L
.24717 .13322 L
.24716 .1332 L
.24572 .1316 L
.24557 .13143 L
.24429 .12999 L
.24396 .12962 L
.24288 .12839 L
.24236 .1278 L
.24147 .12678 L
.24075 .12595 L
.24009 .12518 L
.23915 .12408 L
.23871 .12357 L
.23754 .12219 L
.23735 .12197 L
.23601 .12036 L
.23594 .12027 L
.23469 .11876 L
.23433 .11832 L
.23339 .11715 L
.23273 .11633 L
.23211 .11555 L
.23112 .11429 L
.23085 .11394 L
.22963 .11233 L
.22952 .11219 L
.22843 .11073 L
.22791 .11002 L
.22728 .10912 L
.22631 .10772 L
.22617 .10752 L
.22512 .10591 L
.2247 .10528 L
.22414 .10431 L
.22325 .1027 L
.2231 .10238 L
.2225 .1011 L
.22195 .09949 L
.22199 .09789 L
F
.01 .85 1 r
.22631 .15706 m
.22791 .15684 L
.22952 .15675 L
.23112 .15675 L
.23273 .15684 L
.23433 .157 L
.23594 .15723 L
.23622 .15728 L
.23754 .15754 L
.23915 .15791 L
.24075 .15836 L
.24236 .15888 L
.24238 .15889 L
.24396 .15948 L
.24557 .16017 L
.24628 .16049 L
.24717 .16093 L
.24878 .16178 L
.24934 .1621 L
.25039 .16272 L
.25192 .1637 L
.25199 .16375 L
.2536 .16488 L
.25417 .16531 L
.2552 .16612 L
.25614 .16691 L
.25681 .1675 L
.25787 .16852 L
.25841 .16906 L
.25937 .17012 L
.26002 .17089 L
.26061 .17173 L
.26152 .17333 L
.26162 .17356 L
.262 .17494 L
.26174 .17654 L
.26162 .17674 L
.26002 .17811 L
.25977 .17815 L
.25841 .1786 L
.25681 .17889 L
.2552 .17903 L
.2536 .17907 L
.25199 .17903 L
.25039 .17892 L
.24878 .17874 L
.24717 .17849 L
.24557 .17817 L
.24548 .17815 L
.24396 .17778 L
.24236 .17731 L
.24075 .17677 L
.24015 .17654 L
.23915 .17614 L
.23754 .17543 L
.23653 .17494 L
.23594 .17463 L
.23433 .17374 L
.23365 .17333 L
.23273 .17276 L
.2312 .17173 L
.23112 .17167 L
.22952 .17047 L
.22908 .17012 L
.22791 .16914 L
.22722 .16852 L
.22631 .16765 L
.22559 .16691 L
.2247 .16593 L
.2242 .16531 L
.2231 .16372 L
.22309 .1637 L
.22231 .1621 L
.22201 .16049 L
.22256 .15889 L
.2231 .15818 L
.2247 .15744 L
.22535 .15728 L
F
.007 .84 1 r
.22791 .15717 m
.22952 .15705 L
.23112 .15703 L
.23273 .15711 L
.23433 .15727 L
.23445 .15728 L
.23594 .1575 L
.23754 .15781 L
.23915 .15819 L
.24075 .15864 L
.24153 .15889 L
.24236 .15917 L
.24396 .15979 L
.24557 .16048 L
.2456 .16049 L
.24717 .16126 L
.24874 .1621 L
.24878 .16212 L
.25039 .16308 L
.25136 .1637 L
.25199 .16413 L
.2536 .16529 L
.25362 .16531 L
.2552 .16657 L
.25561 .16691 L
.25681 .16799 L
.25734 .16852 L
.25841 .16963 L
.25883 .17012 L
.26002 .17167 L
.26005 .17173 L
.26094 .17333 L
.26135 .17494 L
.26096 .17654 L
.26002 .17773 L
.25854 .17815 L
.25841 .17819 L
.25681 .17856 L
.2552 .17874 L
.2536 .17881 L
.25199 .17878 L
.25039 .17867 L
.24878 .17849 L
.24717 .17823 L
.24671 .17815 L
.24557 .17791 L
.24396 .17751 L
.24236 .17703 L
.24093 .17654 L
.24075 .17648 L
.23915 .17584 L
.23754 .17511 L
.23718 .17494 L
.23594 .1743 L
.23433 .17339 L
.23423 .17333 L
.23273 .17239 L
.23176 .17173 L
.23112 .17127 L
.22962 .17012 L
.22952 .17004 L
.22791 .16867 L
.22775 .16852 L
.22631 .16711 L
.22612 .16691 L
.22475 .16531 L
.2247 .16526 L
.22366 .1637 L
.2231 .16258 L
.22292 .1621 L
.22269 .16049 L
.2231 .15929 L
.2234 .15889 L
.2247 .15789 L
.22631 .15743 L
.22708 .15728 L
F
.005 .83 1 r
.2247 .15852 m
.22631 .15781 L
.22791 .1575 L
.22952 .15735 L
.23112 .15732 L
.23273 .15738 L
.23433 .15753 L
.23594 .15776 L
.23754 .15807 L
.23915 .15846 L
.24065 .15889 L
.24075 .15892 L
.24236 .15946 L
.24396 .16008 L
.24492 .16049 L
.24557 .16079 L
.24717 .16158 L
.24814 .1621 L
.24878 .16246 L
.25039 .16343 L
.2508 .1637 L
.25199 .16451 L
.25309 .16531 L
.2536 .16569 L
.25509 .16691 L
.2552 .16701 L
.25681 .1685 L
.25683 .16852 L
.25831 .17012 L
.25841 .17023 L
.25951 .17173 L
.26002 .17259 L
.26036 .17333 L
.26071 .17494 L
.26018 .17654 L
.26002 .17681 L
.25841 .17785 L
.25708 .17815 L
.25681 .17821 L
.2552 .17844 L
.2536 .17853 L
.25199 .17852 L
.25039 .17842 L
.24878 .17824 L
.24816 .17815 L
.24717 .17798 L
.24557 .17765 L
.24396 .17725 L
.24236 .17676 L
.24171 .17654 L
.24075 .17619 L
.23915 .17554 L
.23782 .17494 L
.23754 .1748 L
.23594 .17397 L
.23481 .17333 L
.23433 .17305 L
.23273 .17202 L
.2323 .17173 L
.23112 .17088 L
.23014 .17012 L
.22952 .16961 L
.22827 .16852 L
.22791 .16819 L
.22664 .16691 L
.22631 .16656 L
.22528 .16531 L
.2247 .16457 L
.22421 .1637 L
.22351 .1621 L
.22337 .16049 L
.22428 .15889 L
F
.004 .82 1 r
.22631 .15827 m
.22791 .15785 L
.22952 .15765 L
.23112 .1576 L
.23273 .15765 L
.23433 .1578 L
.23594 .15803 L
.23754 .15834 L
.23915 .15873 L
.23973 .15889 L
.24075 .1592 L
.24236 .15975 L
.24396 .16038 L
.24423 .16049 L
.24557 .16109 L
.24717 .1619 L
.24754 .1621 L
.24878 .16279 L
.25025 .1637 L
.25039 .16379 L
.25199 .16488 L
.25257 .16531 L
.2536 .1661 L
.25458 .16691 L
.2552 .16746 L
.25632 .16852 L
.25681 .169 L
.25779 .17012 L
.25841 .17086 L
.25897 .17173 L
.25979 .17333 L
.26002 .17417 L
.26007 .17494 L
.26002 .17532 L
.25937 .17654 L
.25841 .17737 L
.25681 .17788 L
.2552 .17813 L
.25497 .17815 L
.2536 .17825 L
.25199 .17825 L
.25039 .17816 L
.25025 .17815 L
.24878 .17799 L
.24717 .17773 L
.24557 .1774 L
.24396 .17698 L
.24252 .17654 L
.24236 .17649 L
.24075 .17591 L
.23915 .17525 L
.23846 .17494 L
.23754 .1745 L
.23594 .17365 L
.23538 .17333 L
.23433 .1727 L
.23284 .17173 L
.23273 .17165 L
.23112 .17049 L
.23066 .17012 L
.22952 .16918 L
.22877 .16852 L
.22791 .1677 L
.22715 .16691 L
.22631 .16597 L
.2258 .16531 L
.22476 .1637 L
.2247 .1636 L
.22411 .1621 L
.22406 .16049 L
.2247 .15932 L
.2252 .15889 L
F
.003 .81 1 r
.22631 .15883 m
.22791 .15823 L
.22952 .15798 L
.23112 .15789 L
.23273 .15793 L
.23433 .15807 L
.23594 .1583 L
.23754 .15861 L
.23873 .15889 L
.23915 .159 L
.24075 .15947 L
.24236 .16003 L
.24354 .16049 L
.24396 .16067 L
.24557 .1614 L
.24695 .1621 L
.24717 .16221 L
.24878 .16313 L
.24971 .1637 L
.25039 .16414 L
.25199 .16526 L
.25206 .16531 L
.2536 .16651 L
.25408 .16691 L
.2552 .16791 L
.25582 .16852 L
.25681 .16955 L
.25729 .17012 L
.25841 .17166 L
.25845 .17173 L
.25922 .17333 L
.25942 .17494 L
.25853 .17654 L
.25841 .17666 L
.25681 .1775 L
.2552 .17782 L
.2536 .17796 L
.25199 .17798 L
.25039 .1779 L
.24878 .17773 L
.24717 .17748 L
.24557 .17714 L
.24396 .17672 L
.24336 .17654 L
.24236 .17622 L
.24075 .17563 L
.23915 .17496 L
.23911 .17494 L
.23754 .17419 L
.23595 .17333 L
.23594 .17333 L
.23433 .17236 L
.23336 .17173 L
.23273 .17129 L
.23116 .17012 L
.23112 .17009 L
.22952 .16874 L
.22927 .16852 L
.22791 .16719 L
.22765 .16691 L
.22632 .16531 L
.22631 .1653 L
.2253 .1637 L
.2247 .16211 L
.2247 .1621 L
.2247 .16066 L
.22475 .16049 L
.2262 .15889 L
F
.002 .8 1 r
.22791 .15867 m
.22952 .15832 L
.23112 .1582 L
.23273 .15822 L
.23433 .15834 L
.23594 .15856 L
.23754 .15887 L
.2376 .15889 L
.23915 .15927 L
.24075 .15974 L
.24236 .16031 L
.24283 .16049 L
.24396 .16096 L
.24557 .1617 L
.24636 .1621 L
.24717 .16253 L
.24878 .16346 L
.24918 .1637 L
.25039 .16449 L
.25155 .16531 L
.25199 .16563 L
.25359 .16691 L
.2536 .16692 L
.2552 .16839 L
.25533 .16852 L
.25679 .17012 L
.25681 .17014 L
.25793 .17173 L
.25841 .17266 L
.25866 .17333 L
.25877 .17494 L
.25841 .17578 L
.25763 .17654 L
.25681 .17703 L
.2552 .17748 L
.2536 .17767 L
.25199 .17771 L
.25039 .17764 L
.24878 .17748 L
.24717 .17722 L
.24557 .17688 L
.24426 .17654 L
.24396 .17646 L
.24236 .17595 L
.24075 .17535 L
.23976 .17494 L
.23915 .17467 L
.23754 .17389 L
.23651 .17333 L
.23594 .17301 L
.23433 .17202 L
.23388 .17173 L
.23273 .17093 L
.23166 .17012 L
.23112 .1697 L
.22976 .16852 L
.22952 .1683 L
.22815 .16691 L
.22791 .16667 L
.22682 .16531 L
.22631 .16472 L
.22583 .1637 L
.22529 .1621 L
.22546 .16049 L
.22631 .15946 L
.22732 .15889 L
F
.001 .79 1 r
.22952 .1587 m
.23112 .15852 L
.23273 .15851 L
.23433 .15862 L
.23594 .15884 L
.23625 .15889 L
.23754 .15914 L
.23915 .15954 L
.24075 .16002 L
.2421 .16049 L
.24236 .16059 L
.24396 .16125 L
.24557 .162 L
.24577 .1621 L
.24717 .16284 L
.24865 .1637 L
.24878 .16378 L
.25039 .16484 L
.25105 .16531 L
.25199 .16601 L
.2531 .16691 L
.2536 .16734 L
.25485 .16852 L
.2552 .16886 L
.25629 .17012 L
.25681 .17068 L
.25741 .17173 L
.2581 .17333 L
.25811 .17494 L
.25681 .17645 L
.25665 .17654 L
.2552 .1771 L
.2536 .17736 L
.25199 .17743 L
.25039 .17737 L
.24878 .17722 L
.24717 .17696 L
.24557 .17662 L
.24524 .17654 L
.24396 .1762 L
.24236 .17568 L
.24075 .17508 L
.24042 .17494 L
.23915 .17438 L
.23754 .17358 L
.23707 .17333 L
.23594 .17269 L
.2344 .17173 L
.23433 .17168 L
.23273 .17056 L
.23216 .17012 L
.23112 .16929 L
.23025 .16852 L
.22952 .16784 L
.22863 .16691 L
.22791 .16611 L
.22732 .16531 L
.22637 .1637 L
.22631 .16357 L
.22588 .1621 L
.22619 .16049 L
.22631 .16031 L
.22791 .15904 L
.22865 .15889 L
F
.001 .78 1 r
.23112 .15886 m
.23273 .15882 L
.23407 .15889 L
.23433 .15891 L
.23594 .15911 L
.23754 .15941 L
.23915 .15981 L
.24075 .16029 L
.24134 .16049 L
.24236 .16087 L
.24396 .16154 L
.24517 .1621 L
.24557 .1623 L
.24717 .16315 L
.24811 .1637 L
.24878 .16411 L
.25039 .16519 L
.25055 .16531 L
.25199 .1664 L
.25261 .16691 L
.2536 .16777 L
.25436 .16852 L
.2552 .16938 L
.2558 .17012 L
.25681 .17154 L
.2569 .17173 L
.25753 .17333 L
.25743 .17494 L
.25681 .17579 L
.25552 .17654 L
.2552 .17666 L
.2536 .17702 L
.25199 .17713 L
.25039 .1771 L
.24878 .17695 L
.24717 .1767 L
.24636 .17654 L
.24557 .17636 L
.24396 .17593 L
.24236 .17541 L
.2411 .17494 L
.24075 .1748 L
.23915 .17409 L
.23764 .17333 L
.23754 .17328 L
.23594 .17237 L
.23492 .17173 L
.23433 .17134 L
.23273 .17019 L
.23265 .17012 L
.23112 .16887 L
.23073 .16852 L
.22952 .16735 L
.22912 .16691 L
.22791 .16544 L
.22782 .16531 L
.2269 .1637 L
.22648 .1621 L
.22695 .16049 L
.22791 .15951 L
.22952 .15906 L
.23086 .15889 L
F
.001 .77 1 r
.22791 .16032 m
.22952 .15945 L
.23112 .15919 L
.23273 .15912 L
.23433 .15919 L
.23594 .15939 L
.23754 .15968 L
.23915 .16008 L
.24052 .16049 L
.24075 .16057 L
.24236 .16115 L
.24396 .16183 L
.24455 .1621 L
.24557 .16259 L
.24717 .16347 L
.24758 .1637 L
.24878 .16444 L
.25005 .16531 L
.25039 .16555 L
.25199 .16679 L
.25213 .16691 L
.2536 .16823 L
.25389 .16852 L
.2552 .16997 L
.25532 .17012 L
.25638 .17173 L
.25681 .17273 L
.25695 .17333 L
.25681 .17475 L
.25672 .17494 L
.2552 .17638 L
.25412 .17654 L
.2536 .17664 L
.25199 .17681 L
.25039 .17681 L
.24878 .17668 L
.2477 .17654 L
.24717 .17644 L
.24557 .1761 L
.24396 .17567 L
.24236 .17514 L
.24181 .17494 L
.24075 .17452 L
.23915 .1738 L
.23822 .17333 L
.23754 .17298 L
.23594 .17205 L
.23543 .17173 L
.23433 .171 L
.23314 .17012 L
.23273 .16981 L
.23121 .16852 L
.23112 .16845 L
.2296 .16691 L
.22952 .16684 L
.22832 .16531 L
.22791 .16466 L
.22744 .1637 L
.2271 .1621 L
.22778 .16049 L
F
.001 .76 1 r
.22952 .15996 m
.23112 .15955 L
.23273 .15944 L
.23433 .15949 L
.23594 .15967 L
.23754 .15996 L
.23915 .16036 L
.23963 .16049 L
.24075 .16085 L
.24236 .16143 L
.24392 .1621 L
.24396 .16212 L
.24557 .1629 L
.24703 .1637 L
.24717 .16378 L
.24878 .16478 L
.24955 .16531 L
.25039 .16591 L
.25165 .16691 L
.25199 .16719 L
.25341 .16852 L
.2536 .16869 L
.25483 .17012 L
.2552 .17034 L
.25586 .17173 L
.25637 .17333 L
.25597 .17494 L
.2552 .17588 L
.2536 .17632 L
.25199 .17649 L
.25039 .17651 L
.24878 .1764 L
.24717 .17617 L
.24557 .17584 L
.24396 .1754 L
.24256 .17494 L
.24236 .17487 L
.24075 .17424 L
.23915 .17351 L
.2388 .17333 L
.23754 .17267 L
.23595 .17173 L
.23594 .17172 L
.23433 .17065 L
.23363 .17012 L
.23273 .16943 L
.23168 .16852 L
.23112 .16801 L
.23008 .16691 L
.22952 .16633 L
.22882 .16531 L
.22798 .1637 L
.22791 .16351 L
.22773 .1621 L
.22791 .16143 L
.22866 .16049 L
F
1 .92 .084 r
.22952 .1025 m
.23071 .1027 L
.23112 .1028 L
.23273 .10338 L
.23433 .10412 L
.23474 .10431 L
.23594 .10494 L
.23754 .10584 L
.23767 .10591 L
.23915 .10679 L
.24034 .10752 L
.24075 .10778 L
.24236 .10882 L
.24283 .10912 L
.24396 .10988 L
.24522 .11073 L
.24557 .11097 L
.24717 .11209 L
.24753 .11233 L
.24878 .11322 L
.24978 .11394 L
.25039 .11438 L
.25198 .11555 L
.25199 .11555 L
.2536 .11674 L
.25414 .11715 L
.2552 .11794 L
.25627 .11876 L
.25681 .11916 L
.25837 .12036 L
.25841 .12039 L
.26002 .12164 L
.26044 .12197 L
.26162 .12289 L
.26248 .12357 L
.26323 .12416 L
.26451 .12518 L
.26483 .12543 L
.26644 .12672 L
.26651 .12678 L
.26804 .12802 L
.2685 .12839 L
.26965 .12932 L
.27047 .12999 L
.27125 .13063 L
.27242 .1316 L
.27286 .13196 L
.27436 .1332 L
.27446 .13329 L
.27607 .13462 L
.27629 .13481 L
.27767 .13597 L
.2782 .13641 L
.27928 .13732 L
.2801 .13802 L
.28088 .13868 L
.28199 .13962 L
.28249 .14005 L
.28387 .14123 L
.2841 .14142 L
.2857 .1428 L
.28574 .14283 L
.28731 .14419 L
.28759 .14444 L
.28891 .14558 L
.28944 .14604 L
.29052 .14698 L
.29128 .14765 L
.29212 .14839 L
.29311 .14926 L
.29373 .1498 L
.29493 .15086 L
.29533 .15122 L
.29674 .15247 L
.29694 .15265 L
.29854 .15407 L
.29854 .15408 L
.30015 .15551 L
.30033 .15568 L
.30175 .15696 L
.30212 .15728 L
.30336 .1584 L
.30389 .15889 L
.30496 .15986 L
.30566 .16049 L
.30657 .16132 L
.30742 .1621 L
.30817 .16278 L
.30918 .1637 L
.30978 .16425 L
.31092 .16531 L
.31138 .16573 L
.31266 .16691 L
.31299 .16721 L
.3144 .16852 L
.31459 .1687 L
.31612 .17012 L
.3162 .1702 L
.31781 .1717 L
.31784 .17173 L
.31941 .1732 L
.31955 .17333 L
.32102 .17472 L
.32125 .17494 L
.32262 .17624 L
.32295 .17654 L
.32423 .17776 L
.32464 .17815 L
.32583 .17929 L
.32632 .17975 L
.32744 .18083 L
.32799 .18136 L
.32904 .18237 L
.32966 .18297 L
.33065 .18392 L
.33132 .18457 L
.33225 .18547 L
.33298 .18618 L
.33386 .18703 L
.33462 .18778 L
.33546 .1886 L
.33626 .18939 L
.33707 .19018 L
.3379 .19099 L
.33867 .19176 L
.33952 .1926 L
.34028 .19335 L
.34114 .1942 L
.34188 .19494 L
.34275 .19581 L
.34349 .19654 L
.34435 .19741 L
.34509 .19816 L
.34595 .19902 L
.3467 .19977 L
.34754 .20062 L
.3483 .2014 L
.34912 .20223 L
.34991 .20304 L
.35069 .20383 L
.35152 .20468 L
.35225 .20544 L
.35312 .20633 L
.35381 .20704 L
.35473 .20799 L
.35536 .20865 L
.35633 .20967 L
.35689 .21025 L
.35794 .21135 L
.35842 .21186 L
.35954 .21304 L
.35994 .21346 L
.36115 .21474 L
.36145 .21507 L
.36275 .21646 L
.36295 .21668 L
.36436 .21819 L
.36444 .21828 L
.36592 .21989 L
.36596 .21993 L
.36739 .22149 L
.36757 .22169 L
.36884 .2231 L
.36917 .22346 L
.37028 .2247 L
.37078 .22525 L
.37171 .22631 L
.37238 .22706 L
.37313 .22791 L
.37399 .22889 L
.37453 .22952 L
.37559 .23075 L
.37591 .23112 L
.3772 .23263 L
.37728 .23273 L
.37863 .23433 L
.3788 .23454 L
.37996 .23594 L
.38041 .23649 L
.38126 .23754 L
.38201 .23848 L
.38255 .23915 L
.38362 .24052 L
.3838 .24075 L
.38502 .24236 L
.38523 .24263 L
.38621 .24396 L
.38683 .24482 L
.38735 .24557 L
.38844 .24717 L
.38844 .24717 L
.38946 .24878 L
.39004 .2497 L
.3904 .25039 L
.39123 .25199 L
.39165 .25302 L
.39185 .2536 L
.39213 .2552 L
.39165 .25612 L
.39004 .25653 L
.38844 .25609 L
.38683 .25546 L
.38617 .2552 L
.38523 .25472 L
.38362 .25387 L
.38311 .2536 L
.38201 .25297 L
.38041 .252 L
.38039 .25199 L
.3788 .251 L
.37784 .25039 L
.3772 .24996 L
.37559 .24889 L
.37543 .24878 L
.37399 .2478 L
.37309 .24717 L
.37238 .24668 L
.37082 .24557 L
.37078 .24554 L
.36917 .24438 L
.3686 .24396 L
.36757 .2432 L
.36643 .24236 L
.36596 .24201 L
.36436 .2408 L
.36429 .24075 L
.36275 .23958 L
.36219 .23915 L
.36115 .23835 L
.36011 .23754 L
.35954 .2371 L
.35806 .23594 L
.35794 .23584 L
.35633 .23457 L
.35603 .23433 L
.35473 .23329 L
.35402 .23273 L
.35312 .232 L
.35203 .23112 L
.35152 .2307 L
.35006 .22952 L
.34991 .2294 L
.3483 .22808 L
.3481 .22791 L
.3467 .22675 L
.34616 .22631 L
.34509 .22542 L
.34423 .2247 L
.34349 .22408 L
.34231 .2231 L
.34188 .22274 L
.34041 .22149 L
.34028 .22138 L
.33867 .22002 L
.33851 .21989 L
.33707 .21866 L
.33663 .21828 L
.33546 .21728 L
.33475 .21668 L
.33386 .2159 L
.33289 .21507 L
.33225 .21452 L
.33103 .21346 L
.33065 .21313 L
.32918 .21186 L
.32904 .21174 L
.32744 .21033 L
.32735 .21025 L
.32583 .20893 L
.32552 .20865 L
.32423 .20751 L
.32369 .20704 L
.32262 .20609 L
.32188 .20544 L
.32102 .20467 L
.32008 .20383 L
.31941 .20324 L
.31828 .20223 L
.31781 .2018 L
.3165 .20062 L
.3162 .20036 L
.31472 .19902 L
.31459 .1989 L
.31299 .19745 L
.31295 .19741 L
.31138 .19598 L
.3112 .19581 L
.30978 .19451 L
.30945 .1942 L
.30817 .19302 L
.30771 .1926 L
.30657 .19154 L
.30598 .19099 L
.30496 .19004 L
.30426 .18939 L
.30336 .18854 L
.30255 .18778 L
.30175 .18702 L
.30085 .18618 L
.30015 .18551 L
.29916 .18457 L
.29854 .18398 L
.29747 .18297 L
.29694 .18245 L
.29579 .18136 L
.29533 .18092 L
.29412 .17975 L
.29373 .17937 L
.29246 .17815 L
.29212 .17783 L
.2908 .17654 L
.29052 .17627 L
.28914 .17494 L
.28891 .17472 L
.28749 .17333 L
.28731 .17315 L
.28585 .17173 L
.2857 .17158 L
.28421 .17012 L
.2841 .17001 L
.28257 .16852 L
.28249 .16844 L
.28094 .16691 L
.28088 .16685 L
.27932 .16531 L
.27928 .16527 L
.2777 .1637 L
.27767 .16368 L
.27609 .1621 L
.27607 .16208 L
.27448 .16049 L
.27446 .16047 L
.27288 .15889 L
.27286 .15886 L
.27129 .15728 L
.27125 .15724 L
.26971 .15568 L
.26965 .15562 L
.26813 .15407 L
.26804 .15398 L
.26656 .15247 L
.26644 .15234 L
.26501 .15086 L
.26483 .15068 L
.26346 .14926 L
.26323 .14902 L
.26192 .14765 L
.26162 .14734 L
.26039 .14604 L
.26002 .14565 L
.25888 .14444 L
.25841 .14394 L
.25737 .14283 L
.25681 .14223 L
.25588 .14123 L
.2552 .1405 L
.2544 .13962 L
.2536 .13875 L
.25293 .13802 L
.25199 .13699 L
.25147 .13641 L
.25039 .13521 L
.25003 .13481 L
.24878 .13341 L
.2486 .1332 L
.24718 .1316 L
.24717 .13159 L
.24578 .12999 L
.24557 .12975 L
.24439 .12839 L
.24396 .12789 L
.24302 .12678 L
.24236 .126 L
.24167 .12518 L
.24075 .12408 L
.24034 .12357 L
.23915 .12212 L
.23903 .12197 L
.23774 .12036 L
.23754 .12012 L
.23648 .11876 L
.23594 .11807 L
.23524 .11715 L
.23433 .11594 L
.23405 .11555 L
.23289 .11394 L
.23273 .11372 L
.23178 .11233 L
.23112 .11136 L
.23073 .11073 L
.22976 .10912 L
.22952 .10883 L
.22889 .10752 L
.22818 .10591 L
.22791 .10498 L
.22779 .10431 L
.22791 .10327 L
.22844 .1027 L
F
0 .75 1 r
.23112 .15996 m
.23273 .15978 L
.23433 .1598 L
.23594 .15996 L
.23754 .16025 L
.23862 .16049 L
.23915 .16064 L
.24075 .16113 L
.24236 .16172 L
.24327 .1621 L
.24396 .16241 L
.24557 .1632 L
.24648 .1637 L
.24717 .1641 L
.24878 .16513 L
.24904 .16531 L
.25039 .16628 L
.25117 .16691 L
.25199 .16761 L
.25293 .16852 L
.2536 .16917 L
.25433 .17012 L
.2552 .17131 L
.25533 .17173 L
.25577 .17333 L
.2552 .17489 L
.25516 .17494 L
.2536 .17593 L
.25199 .17618 L
.25039 .17622 L
.24878 .17612 L
.24717 .1759 L
.24557 .17556 L
.24396 .17512 L
.24337 .17494 L
.24236 .17459 L
.24075 .17395 L
.2394 .17333 L
.23915 .17321 L
.23754 .17236 L
.23648 .17173 L
.23594 .17139 L
.23433 .17028 L
.23412 .17012 L
.23273 .16902 L
.23216 .16852 L
.23112 .16754 L
.23056 .16691 L
.22952 .16564 L
.22933 .16531 L
.22853 .1637 L
.22838 .1621 L
.22952 .1606 L
.22968 .16049 L
F
0 .74 1 r
.23112 .16045 m
.23273 .16015 L
.23433 .16013 L
.23594 .16027 L
.23742 .16049 L
.23754 .16054 L
.23915 .16092 L
.24075 .16141 L
.24236 .16201 L
.24258 .1621 L
.24396 .1627 L
.24557 .16351 L
.24592 .1637 L
.24717 .16442 L
.24854 .16531 L
.24878 .16547 L
.25039 .16667 L
.25068 .16691 L
.25199 .16806 L
.25245 .16852 L
.2536 .16978 L
.25384 .17012 L
.2548 .17173 L
.25515 .17333 L
.25427 .17494 L
.2536 .17539 L
.25199 .17581 L
.25039 .17591 L
.24878 .17583 L
.24717 .17561 L
.24557 .17528 L
.24426 .17494 L
.24396 .17485 L
.24236 .17431 L
.24075 .17366 L
.24002 .17333 L
.23915 .17291 L
.23754 .17204 L
.23701 .17173 L
.23594 .17106 L
.23461 .17012 L
.23433 .16992 L
.23273 .16859 L
.23265 .16852 L
.23112 .167 L
.23105 .16691 L
.22984 .16531 L
.22952 .16475 L
.22909 .1637 L
.22907 .1621 L
.22952 .16137 L
.23098 .16049 L
F
0 .73 1 r
.23433 .16047 m
.23486 .16049 L
.23594 .16058 L
.23754 .16083 L
.23915 .16121 L
.24075 .1617 L
.24184 .1621 L
.24236 .1623 L
.24396 .163 L
.24534 .1637 L
.24557 .16382 L
.24717 .16476 L
.24802 .16531 L
.24878 .16582 L
.25019 .16691 L
.25039 .16706 L
.25196 .16852 L
.25199 .16854 L
.25333 .17012 L
.2536 .1705 L
.25425 .17173 L
.2545 .17333 L
.2536 .1747 L
.25324 .17494 L
.25199 .17539 L
.25039 .17556 L
.24878 .17552 L
.24717 .17532 L
.24557 .175 L
.24532 .17494 L
.24396 .17457 L
.24236 .17403 L
.24075 .17337 L
.24068 .17333 L
.23915 .17261 L
.23756 .17173 L
.23754 .17172 L
.23594 .17071 L
.23512 .17012 L
.23433 .16954 L
.23313 .16852 L
.23273 .16818 L
.23154 .16691 L
.23112 .16661 L
.23035 .16531 L
.22967 .1637 L
.22981 .1621 L
.23112 .16098 L
.23273 .16054 L
.23343 .16049 L
F
0 .72 1 r
.23112 .16163 m
.23273 .16088 L
.23433 .1608 L
.23594 .16089 L
.23754 .16113 L
.23915 .16151 L
.24075 .162 L
.24103 .1621 L
.24236 .1626 L
.24396 .16331 L
.24474 .1637 L
.24557 .16414 L
.24717 .1651 L
.24749 .16531 L
.24878 .1662 L
.24969 .16691 L
.25039 .16747 L
.25146 .16852 L
.25199 .16895 L
.25282 .17012 L
.2536 .17149 L
.25369 .17173 L
.2538 .17333 L
.2536 .17379 L
.25199 .17488 L
.25179 .17494 L
.25039 .17518 L
.24878 .17518 L
.24717 .17501 L
.24665 .17494 L
.24557 .17471 L
.24396 .17428 L
.24236 .17373 L
.24136 .17333 L
.24075 .17307 L
.23915 .1723 L
.23812 .17173 L
.23754 .1714 L
.23594 .17035 L
.23563 .17012 L
.23433 .16914 L
.23363 .16852 L
.23273 .16771 L
.23204 .16691 L
.23112 .16585 L
.23088 .16531 L
.23027 .1637 L
.23062 .1621 L
F
1 1 1 r
.23112 .30029 m
.23251 .30175 L
.23273 .30196 L
.23396 .30336 L
.23433 .30375 L
.23536 .30496 L
.23594 .30561 L
.23673 .30657 L
.23754 .30734 L
.23808 .30817 L
.23915 .3094 L
.23959 .30978 L
.24074 .31138 L
.24075 .3114 L
.24203 .31299 L
.24236 .31316 L
.24331 .31459 L
.24396 .31528 L
.24509 .3162 L
.24557 .31738 L
.24599 .31781 L
.24717 .31941 L
.24717 .31942 L
.24841 .32102 L
.24878 .32131 L
.24967 .32262 L
.25039 .32344 L
.25119 .32423 L
.25199 .32555 L
.25224 .32583 L
.25345 .32744 L
.2536 .32747 L
.25468 .32904 L
.2552 .32956 L
.2564 .33065 L
.25681 .3317 L
.25731 .33225 L
.25841 .33381 L
.25845 .33386 L
.25967 .33546 L
.26002 .33571 L
.2609 .33707 L
.26162 .33787 L
.2624 .33867 L
.26323 .34002 L
.26344 .34028 L
.26464 .34188 L
.26483 .34212 L
.26586 .34349 L
.26644 .34404 L
.26755 .34509 L
.26804 .34623 L
.26846 .3467 L
.2696 .3483 L
.26965 .34836 L
.27081 .34991 L
.27125 .3502 L
.27204 .35152 L
.27286 .35243 L
.27351 .35312 L
.27446 .35461 L
.27456 .35473 L
.27576 .35633 L
.27607 .35672 L
.27698 .35794 L
.27767 .35861 L
.27861 .35954 L
.27928 .36084 L
.27954 .36115 L
.2807 .36275 L
.28088 .36298 L
.28191 .36436 L
.28249 .36474 L
.28314 .36596 L
.2841 .36706 L
.28456 .36757 L
.28564 .36917 L
.2857 .36925 L
.28684 .37078 L
.28731 .37136 L
.28806 .37238 L
.28891 .37324 L
.28962 .37399 L
.29052 .37552 L
.29058 .37559 L
.29177 .3772 L
.29212 .37764 L
.29298 .3788 L
.29373 .37937 L
.29421 .38041 L
.29533 .38176 L
.29556 .38201 L
.29669 .38362 L
.29694 .38393 L
.29789 .38523 L
.29854 .38604 L
.29912 .38683 L
.30015 .38797 L
.30056 .38844 L
.30161 .39004 L
.30175 .39022 L
.3028 .39165 L
.30336 .39235 L
.30402 .39325 L
.30496 .39445 L
.30526 .39486 L
.30651 .39646 L
.30657 .39654 L
.3077 .39807 L
.30817 .39867 L
.3089 .39967 L
.30978 .40078 L
.31013 .40128 L
.31138 .40287 L
.3114 .40288 L
.31257 .40449 L
.31299 .40502 L
.31376 .40609 L
.31459 .40715 L
.31498 .4077 L
.3162 .40926 L
.31623 .4093 L
.3174 .41091 L
.31781 .41143 L
.31857 .41251 L
.31941 .4136 L
.31977 .41412 L
.321 .41572 L
.32102 .41574 L
.32214 .41733 L
.32262 .41797 L
.32327 .41894 L
.32423 .42021 L
.32443 .42054 L
.32557 .42215 L
.32583 .42252 L
.32658 .42375 L
.32744 .42513 L
.32752 .42536 L
.32744 .42592 L
.3267 .42536 L
.32583 .42454 L
.32503 .42375 L
.32423 .4229 L
.3235 .42215 L
.32262 .42132 L
.32204 .42054 L
.32102 .41933 L
.32048 .41894 L
.31941 .41748 L
.31928 .41733 L
.31786 .41572 L
.31781 .41566 L
.31647 .41412 L
.3162 .41378 L
.31467 .41251 L
.31459 .4118 L
.31385 .41091 L
.31299 .4098 L
.3127 .4093 L
.31138 .40782 L
.31112 .4077 L
.30983 .40609 L
.30978 .40602 L
.30851 .40449 L
.30817 .40398 L
.30739 .40288 L
.30657 .40189 L
.30634 .40128 L
.30496 .40009 L
.30462 .39967 L
.30336 .39807 L
.30336 .39806 L
.30215 .39646 L
.30175 .39596 L
.30108 .39486 L
.30015 .39378 L
.29949 .39325 L
.29854 .392 L
.29825 .39165 L
.29701 .39004 L
.29694 .38993 L
.29589 .38844 L
.29533 .38777 L
.29493 .38683 L
.29373 .38553 L
.2932 .38523 L
.29212 .38381 L
.29197 .38362 L
.29078 .38201 L
.29052 .38169 L
.28974 .38041 L
.28891 .37947 L
.28819 .3788 L
.28731 .37763 L
.28696 .3772 L
.28575 .37559 L
.2857 .37553 L
.28463 .37399 L
.2841 .37335 L
.28321 .37238 L
.28249 .3711 L
.28198 .37078 L
.28088 .36932 L
.28077 .36917 L
.27959 .36757 L
.27928 .36718 L
.27858 .36596 L
.27767 .36497 L
.27702 .36436 L
.27607 .36308 L
.2758 .36275 L
.2746 .36115 L
.27446 .36097 L
.27352 .35954 L
.27286 .35878 L
.27208 .35794 L
.27125 .35658 L
.27086 .35633 L
.26966 .35473 L
.26965 .35471 L
.2685 .35312 L
.26804 .35256 L
.2675 .35152 L
.26644 .35037 L
.26594 .34991 L
.26483 .34843 L
.26473 .3483 L
.26353 .3467 L
.26323 .34631 L
.26246 .34509 L
.26162 .34414 L
.26103 .34349 L
.26002 .34201 L
.25982 .34188 L
.25858 .34028 L
.25841 .34002 L
.25748 .33867 L
.25681 .33786 L
.25646 .33707 L
.2552 .33572 L
.25493 .33546 L
.25366 .33386 L
.2536 .3337 L
.25252 .33225 L
.25199 .33155 L
.25147 .33065 L
.25039 .32939 L
.25007 .32904 L
.24887 .32744 L
.24878 .32734 L
.24759 .32583 L
.24717 .32521 L
.24653 .32423 L
.24557 .32302 L
.24543 .32262 L
.24407 .32102 L
.24396 .32097 L
.24261 .31941 L
.24236 .31881 L
.24166 .31781 L
.24075 .31656 L
.24057 .3162 L
.23933 .31459 L
.23915 .31435 L
.23816 .31299 L
.23754 .31235 L
.23686 .31138 L
.23594 .30992 L
.23585 .30978 L
.23473 .30817 L
.23433 .30761 L
.23361 .30657 L
.23273 .30557 L
.23233 .30496 L
.23147 .30336 L
.23112 .30283 L
.23046 .30175 L
F
0 .71 1 r
.23273 .16137 m
.23433 .16117 L
.23594 .16122 L
.23754 .16145 L
.23915 .16182 L
.24013 .1621 L
.24075 .1623 L
.24236 .1629 L
.24396 .16363 L
.2441 .1637 L
.24557 .16447 L
.24694 .16531 L
.24717 .16545 L
.24878 .16659 L
.24918 .16691 L
.25039 .16793 L
.25096 .16852 L
.25199 .1696 L
.2523 .17012 L
.25311 .17173 L
.25306 .17333 L
.25199 .17432 L
.25039 .17484 L
.24878 .17485 L
.24717 .17471 L
.24557 .17442 L
.24396 .17398 L
.24236 .17343 L
.24212 .17333 L
.24075 .17277 L
.23915 .17197 L
.23871 .17173 L
.23754 .17106 L
.23616 .17012 L
.23594 .16998 L
.23433 .1687 L
.23414 .16852 L
.23273 .16713 L
.23256 .16691 L
.23143 .16531 L
.23112 .16462 L
.23091 .1637 L
.23112 .16264 L
.23152 .1621 L
F
0 .7 1 r
.23273 .16208 m
.23433 .16161 L
.23594 .1616 L
.23754 .16179 L
.23907 .1621 L
.23915 .16214 L
.24075 .16261 L
.24236 .16322 L
.24343 .1637 L
.24396 .16395 L
.24557 .16481 L
.24638 .16531 L
.24717 .16581 L
.24865 .16691 L
.24878 .167 L
.25039 .16846 L
.25044 .16852 L
.25175 .17012 L
.25199 .17051 L
.25249 .17173 L
.25222 .17333 L
.25199 .17358 L
.25039 .1745 L
.24878 .17453 L
.24717 .17439 L
.24557 .1741 L
.24396 .17367 L
.24293 .17333 L
.24236 .17313 L
.24075 .17245 L
.23932 .17173 L
.23915 .17164 L
.23754 .1707 L
.2367 .17012 L
.23594 .1696 L
.23465 .16852 L
.23433 .1683 L
.23308 .16691 L
.23273 .16646 L
.23199 .16531 L
.23158 .1637 L
.23269 .1621 L
F
0 .69 1 r
.23594 .16201 m
.23709 .1621 L
.23754 .16215 L
.23915 .16246 L
.24075 .16294 L
.24236 .16356 L
.24269 .1637 L
.24396 .16428 L
.24557 .16518 L
.24578 .16531 L
.24717 .16619 L
.24811 .16691 L
.24878 .16739 L
.2499 .16852 L
.25039 .16905 L
.25119 .17012 L
.25184 .17173 L
.25128 .17333 L
.25039 .17392 L
.24878 .17413 L
.24717 .17404 L
.24557 .17376 L
.24396 .17334 L
.24395 .17333 L
.24236 .17281 L
.24075 .17212 L
.23997 .17173 L
.23915 .17131 L
.23754 .17032 L
.23726 .17012 L
.23594 .16918 L
.23519 .16852 L
.23433 .16783 L
.23362 .16691 L
.23273 .16558 L
.23259 .16531 L
.23232 .1637 L
.23273 .16292 L
.23433 .16214 L
.23456 .1621 L
F
1 .91 .061 r
.23433 .10767 m
.23594 .10775 L
.23754 .10831 L
.23915 .10903 L
.23935 .10912 L
.24075 .10984 L
.24234 .11073 L
.24236 .11074 L
.24396 .11169 L
.24501 .11233 L
.24557 .11269 L
.24717 .11373 L
.24749 .11394 L
.24878 .1148 L
.24987 .11555 L
.25039 .1159 L
.25199 .11702 L
.25217 .11715 L
.2536 .11817 L
.25441 .11876 L
.2552 .11933 L
.2566 .12036 L
.25681 .12052 L
.25841 .12172 L
.25874 .12197 L
.26002 .12293 L
.26086 .12357 L
.26162 .12416 L
.26294 .12518 L
.26323 .1254 L
.26483 .12666 L
.26499 .12678 L
.26644 .12792 L
.26702 .12839 L
.26804 .1292 L
.26903 .12999 L
.26965 .13049 L
.27102 .1316 L
.27125 .13179 L
.27286 .13309 L
.27299 .1332 L
.27446 .13441 L
.27495 .13481 L
.27607 .13574 L
.27689 .13641 L
.27767 .13707 L
.27881 .13802 L
.27928 .13841 L
.28072 .13962 L
.28088 .13976 L
.28249 .14112 L
.28262 .14123 L
.2841 .14249 L
.2845 .14283 L
.2857 .14386 L
.28638 .14444 L
.28731 .14524 L
.28824 .14604 L
.28891 .14663 L
.29009 .14765 L
.29052 .14802 L
.29193 .14926 L
.29212 .14942 L
.29373 .15083 L
.29376 .15086 L
.29533 .15224 L
.29558 .15247 L
.29694 .15367 L
.29739 .15407 L
.29854 .15509 L
.2992 .15568 L
.30015 .15653 L
.30099 .15728 L
.30175 .15797 L
.30278 .15889 L
.30336 .15941 L
.30455 .16049 L
.30496 .16087 L
.30632 .1621 L
.30657 .16232 L
.30808 .1637 L
.30817 .16379 L
.30978 .16526 L
.30983 .16531 L
.31138 .16674 L
.31157 .16691 L
.31299 .16822 L
.31331 .16852 L
.31459 .16971 L
.31504 .17012 L
.3162 .17121 L
.31676 .17173 L
.31781 .17271 L
.31847 .17333 L
.31941 .17422 L
.32018 .17494 L
.32102 .17573 L
.32187 .17654 L
.32262 .17725 L
.32356 .17815 L
.32423 .17878 L
.32524 .17975 L
.32583 .18032 L
.32692 .18136 L
.32744 .18186 L
.32859 .18297 L
.32904 .1834 L
.33025 .18457 L
.33065 .18496 L
.3319 .18618 L
.33225 .18652 L
.33354 .18778 L
.33386 .18809 L
.33518 .18939 L
.33546 .18966 L
.33681 .19099 L
.33707 .19125 L
.33843 .1926 L
.33867 .19284 L
.34005 .1942 L
.34028 .19443 L
.34165 .19581 L
.34188 .19604 L
.34325 .19741 L
.34349 .19765 L
.34484 .19902 L
.34509 .19928 L
.34642 .20062 L
.3467 .20091 L
.34799 .20223 L
.3483 .20255 L
.34955 .20383 L
.34991 .2042 L
.35111 .20544 L
.35152 .20586 L
.35265 .20704 L
.35312 .20753 L
.35419 .20865 L
.35473 .20921 L
.35571 .21025 L
.35633 .21091 L
.35723 .21186 L
.35794 .21261 L
.35874 .21346 L
.35954 .21433 L
.36023 .21507 L
.36115 .21606 L
.36171 .21668 L
.36275 .21781 L
.36318 .21828 L
.36436 .21957 L
.36464 .21989 L
.36596 .22135 L
.36609 .22149 L
.36752 .2231 L
.36757 .22315 L
.36893 .2247 L
.36917 .22498 L
.37033 .22631 L
.37078 .22682 L
.37171 .22791 L
.37238 .2287 L
.37308 .22952 L
.37399 .2306 L
.37442 .23112 L
.37559 .23255 L
.37574 .23273 L
.37704 .23433 L
.3772 .23453 L
.37831 .23594 L
.3788 .23657 L
.37954 .23754 L
.38041 .23869 L
.38074 .23915 L
.3819 .24075 L
.38201 .24091 L
.38301 .24236 L
.38362 .24327 L
.38404 .24396 L
.38499 .24557 L
.38523 .24601 L
.38582 .24717 L
.38646 .24878 L
.38656 .25039 L
.38523 .25158 L
.38362 .25112 L
.38201 .25053 L
.38162 .25039 L
.38041 .24981 L
.3788 .24896 L
.37846 .24878 L
.3772 .24806 L
.37571 .24717 L
.37559 .2471 L
.37399 .24609 L
.37317 .24557 L
.37238 .24505 L
.37078 .24397 L
.37077 .24396 L
.36917 .24287 L
.36844 .24236 L
.36757 .24174 L
.36619 .24075 L
.36596 .24059 L
.36436 .23942 L
.36399 .23915 L
.36275 .23823 L
.36183 .23754 L
.36115 .23703 L
.35971 .23594 L
.35954 .23581 L
.35794 .23458 L
.35762 .23433 L
.35633 .23333 L
.35556 .23273 L
.35473 .23208 L
.35352 .23112 L
.35312 .23081 L
.35152 .22953 L
.3515 .22952 L
.34991 .22824 L
.34951 .22791 L
.3483 .22694 L
.34753 .22631 L
.3467 .22563 L
.34557 .2247 L
.34509 .22431 L
.34363 .2231 L
.34349 .22298 L
.34188 .22164 L
.3417 .22149 L
.34028 .2203 L
.33978 .21989 L
.33867 .21895 L
.33788 .21828 L
.33707 .21759 L
.33599 .21668 L
.33546 .21623 L
.33411 .21507 L
.33386 .21486 L
.33225 .21348 L
.33224 .21346 L
.33065 .21209 L
.33038 .21186 L
.32904 .2107 L
.32853 .21025 L
.32744 .2093 L
.32669 .20865 L
.32583 .2079 L
.32486 .20704 L
.32423 .20649 L
.32304 .20544 L
.32262 .20507 L
.32123 .20383 L
.32102 .20364 L
.31943 .20223 L
.31941 .20221 L
.31781 .20077 L
.31764 .20062 L
.3162 .19933 L
.31586 .19902 L
.31459 .19788 L
.31408 .19741 L
.31299 .19642 L
.31232 .19581 L
.31138 .19495 L
.31057 .1942 L
.30978 .19348 L
.30882 .1926 L
.30817 .192 L
.30709 .19099 L
.30657 .19051 L
.30536 .18939 L
.30496 .18901 L
.30365 .18778 L
.30336 .18751 L
.30194 .18618 L
.30175 .186 L
.30024 .18457 L
.30015 .18448 L
.29855 .18297 L
.29854 .18296 L
.29694 .18143 L
.29686 .18136 L
.29533 .17989 L
.29519 .17975 L
.29373 .17835 L
.29352 .17815 L
.29212 .1768 L
.29186 .17654 L
.29052 .17525 L
.2902 .17494 L
.28891 .17369 L
.28855 .17333 L
.28731 .17212 L
.2869 .17173 L
.2857 .17055 L
.28527 .17012 L
.2841 .16897 L
.28364 .16852 L
.28249 .16739 L
.28201 .16691 L
.28088 .1658 L
.28039 .16531 L
.27928 .1642 L
.27878 .1637 L
.27767 .1626 L
.27718 .1621 L
.27607 .16099 L
.27558 .16049 L
.27446 .15937 L
.27399 .15889 L
.27286 .15774 L
.27241 .15728 L
.27125 .1561 L
.27083 .15568 L
.26965 .15446 L
.26927 .15407 L
.26804 .1528 L
.26772 .15247 L
.26644 .15114 L
.26617 .15086 L
.26483 .14946 L
.26464 .14926 L
.26323 .14777 L
.26312 .14765 L
.26162 .14606 L
.2616 .14604 L
.2601 .14444 L
.26002 .14434 L
.25862 .14283 L
.25841 .14261 L
.25714 .14123 L
.25681 .14086 L
.25568 .13962 L
.2552 .13909 L
.25423 .13802 L
.2536 .13731 L
.2528 .13641 L
.25199 .1355 L
.25138 .13481 L
.25039 .13367 L
.24998 .1332 L
.24878 .13182 L
.24859 .1316 L
.24722 .12999 L
.24717 .12993 L
.24588 .12839 L
.24557 .12802 L
.24455 .12678 L
.24396 .12607 L
.24324 .12518 L
.24236 .12407 L
.24197 .12357 L
.24075 .12201 L
.24072 .12197 L
.23951 .12036 L
.23915 .11988 L
.23834 .11876 L
.23754 .11764 L
.23722 .11715 L
.23615 .11555 L
.23594 .11526 L
.23517 .11394 L
.23433 .11239 L
.23431 .11233 L
.23359 .11073 L
.2331 .10912 L
F
0 .68 1 r
.23433 .16273 m
.23594 .1623 L
.23754 .16248 L
.23915 .1628 L
.24075 .16329 L
.24189 .1637 L
.24236 .16389 L
.24396 .16464 L
.24516 .16531 L
.24557 .16553 L
.24717 .16663 L
.24754 .16691 L
.24878 .1679 L
.24934 .16852 L
.25039 .1698 L
.25059 .17012 L
.25114 .17173 L
.25039 .17308 L
.24988 .17333 L
.24878 .17363 L
.24717 .17363 L
.24557 .17339 L
.24521 .17333 L
.24396 .17303 L
.24236 .17247 L
.24075 .17176 L
.24069 .17173 L
.23915 .17095 L
.23786 .17012 L
.23754 .16995 L
.23594 .16869 L
.23575 .16852 L
.23433 .16712 L
.2342 .16691 L
.23322 .16531 L
.23313 .1637 L
F
0 .67 1 r
.23433 .16353 m
.23594 .16275 L
.23754 .16288 L
.23915 .16319 L
.24075 .16367 L
.24086 .1637 L
.24236 .16423 L
.24396 .16503 L
.24447 .16531 L
.24557 .16591 L
.24694 .16691 L
.24717 .167 L
.24875 .16852 L
.24878 .16855 L
.24996 .17012 L
.25033 .17173 L
.24878 .17304 L
.24717 .17318 L
.24557 .17308 L
.24396 .17268 L
.24236 .1721 L
.24146 .17173 L
.24075 .17143 L
.23915 .17055 L
.23849 .17012 L
.23754 .16955 L
.23634 .16852 L
.23594 .16815 L
.23479 .16691 L
.23433 .16623 L
.2339 .16531 L
.23414 .1637 L
F
0 .66 1 r
.23594 .16352 m
.23754 .16339 L
.23915 .16363 L
.23959 .1637 L
.24075 .16399 L
.24236 .16463 L
.24372 .16531 L
.24396 .1654 L
.24557 .16636 L
.24629 .16691 L
.24717 .16738 L
.24812 .16852 L
.24878 .16932 L
.24927 .17012 L
.24943 .17173 L
.24878 .17231 L
.24717 .17269 L
.24557 .1727 L
.24396 .17228 L
.2424 .17173 L
.24236 .17171 L
.24075 .17105 L
.23919 .17012 L
.23915 .17011 L
.23754 .16905 L
.23697 .16852 L
.23594 .1675 L
.23544 .16691 L
.23465 .16531 L
.23557 .1637 L
F
0 .65 1 r
.23594 .1645 m
.23754 .16399 L
.23915 .16411 L
.24075 .1644 L
.24236 .16509 L
.24284 .16531 L
.24396 .16575 L
.24557 .16691 L
.24557 .16692 L
.24717 .16815 L
.24742 .16852 L
.24851 .17012 L
.2481 .17173 L
.24717 .17208 L
.24557 .17218 L
.24396 .1718 L
.24363 .17173 L
.24236 .17141 L
.24075 .1706 L
.23994 .17012 L
.23915 .16985 L
.23766 .16852 L
.23754 .1684 L
.23615 .16691 L
.23594 .16655 L
.23554 .16531 L
F
0 .64 1 r
.23754 .16474 m
.23915 .16467 L
.24075 .16494 L
.24166 .16531 L
.24236 .1656 L
.24396 .1663 L
.24479 .16691 L
.24557 .16753 L
.24667 .16852 L
.24717 .16923 L
.24759 .17012 L
.24717 .17114 L
.24557 .17151 L
.24396 .17129 L
.24236 .17094 L
.24083 .17012 L
.24075 .17005 L
.23915 .16926 L
.23843 .16852 L
.23754 .16764 L
.23696 .16691 L
.23643 .16531 L
F
0 .63 1 r
.23915 .16541 m
.24075 .16562 L
.24236 .16619 L
.24373 .16691 L
.24396 .16706 L
.24557 .16839 L
.24569 .16852 L
.24628 .17012 L
.24557 .17067 L
.24396 .17066 L
.24236 .17022 L
.2421 .17012 L
.24075 .16943 L
.23928 .16852 L
.23915 .1683 L
.23779 .16691 L
F
1 .9 .045 r
.23915 .1126 m
.24075 .11251 L
.24236 .11308 L
.24396 .11381 L
.24427 .11394 L
.24557 .11462 L
.24717 .11553 L
.2472 .11555 L
.24878 .11649 L
.24985 .11715 L
.25039 .1175 L
.25199 .11855 L
.2523 .11876 L
.2536 .11964 L
.25465 .12036 L
.2552 .12075 L
.25681 .12188 L
.25692 .12197 L
.25841 .12304 L
.25914 .12357 L
.26002 .12422 L
.2613 .12518 L
.26162 .12542 L
.26323 .12663 L
.26343 .12678 L
.26483 .12786 L
.26552 .12839 L
.26644 .1291 L
.26758 .12999 L
.26804 .13035 L
.26962 .1316 L
.26965 .13162 L
.27125 .1329 L
.27163 .1332 L
.27286 .13419 L
.27362 .13481 L
.27446 .13549 L
.27559 .13641 L
.27607 .1368 L
.27754 .13802 L
.27767 .13813 L
.27928 .13946 L
.27948 .13962 L
.28088 .1408 L
.2814 .14123 L
.28249 .14214 L
.28331 .14283 L
.2841 .1435 L
.2852 .14444 L
.2857 .14487 L
.28708 .14604 L
.28731 .14624 L
.28891 .14762 L
.28895 .14765 L
.29052 .14901 L
.2908 .14926 L
.29212 .1504 L
.29265 .15086 L
.29373 .1518 L
.29448 .15247 L
.29533 .15321 L
.2963 .15407 L
.29694 .15463 L
.29812 .15568 L
.29854 .15605 L
.29992 .15728 L
.30015 .15749 L
.30171 .15889 L
.30175 .15892 L
.30336 .16037 L
.3035 .16049 L
.30496 .16182 L
.30527 .1621 L
.30657 .16328 L
.30704 .1637 L
.30817 .16474 L
.30879 .16531 L
.30978 .16621 L
.31054 .16691 L
.31138 .16769 L
.31228 .16852 L
.31299 .16917 L
.31401 .17012 L
.31459 .17066 L
.31574 .17173 L
.3162 .17216 L
.31745 .17333 L
.31781 .17367 L
.31916 .17494 L
.31941 .17518 L
.32086 .17654 L
.32102 .17669 L
.32255 .17815 L
.32262 .17822 L
.32423 .17975 L
.32423 .17975 L
.32583 .18129 L
.32591 .18136 L
.32744 .18284 L
.32757 .18297 L
.32904 .18439 L
.32923 .18457 L
.33065 .18595 L
.33088 .18618 L
.33225 .18752 L
.33252 .18778 L
.33386 .18909 L
.33416 .18939 L
.33546 .19068 L
.33578 .19099 L
.33707 .19227 L
.3374 .1926 L
.33867 .19387 L
.33901 .1942 L
.34028 .19548 L
.34061 .19581 L
.34188 .19709 L
.3422 .19741 L
.34349 .19872 L
.34378 .19902 L
.34509 .20036 L
.34535 .20062 L
.3467 .202 L
.34692 .20223 L
.3483 .20366 L
.34847 .20383 L
.34991 .20533 L
.35001 .20544 L
.35152 .20701 L
.35155 .20704 L
.35307 .20865 L
.35312 .2087 L
.35458 .21025 L
.35473 .21041 L
.35608 .21186 L
.35633 .21213 L
.35757 .21346 L
.35794 .21386 L
.35905 .21507 L
.35954 .21561 L
.36051 .21668 L
.36115 .21738 L
.36196 .21828 L
.36275 .21917 L
.36339 .21989 L
.36436 .22098 L
.36481 .22149 L
.36596 .22281 L
.36621 .2231 L
.36757 .22467 L
.36759 .2247 L
.36896 .22631 L
.36917 .22656 L
.3703 .22791 L
.37078 .22849 L
.37161 .22952 L
.37238 .23047 L
.3729 .23112 L
.37399 .23251 L
.37416 .23273 L
.37538 .23433 L
.37559 .23461 L
.37656 .23594 L
.3772 .23682 L
.37769 .23754 L
.37875 .23915 L
.3788 .23921 L
.37973 .24075 L
.38041 .24193 L
.38057 .24236 L
.38126 .24396 L
.38139 .24557 L
.38041 .24645 L
.3788 .24635 L
.3772 .24575 L
.37665 .24557 L
.37559 .24503 L
.37399 .24418 L
.37357 .24396 L
.37238 .24327 L
.37087 .24236 L
.37078 .2423 L
.36917 .24128 L
.36836 .24075 L
.36757 .24022 L
.36599 .23915 L
.36596 .23913 L
.36436 .23802 L
.36368 .23754 L
.36275 .23688 L
.36145 .23594 L
.36115 .23571 L
.35954 .23453 L
.35927 .23433 L
.35794 .23333 L
.35714 .23273 L
.35633 .23212 L
.35504 .23112 L
.35473 .23088 L
.35312 .22964 L
.35297 .22952 L
.35152 .22838 L
.35092 .22791 L
.34991 .22711 L
.3489 .22631 L
.3483 .22583 L
.34691 .2247 L
.3467 .22453 L
.34509 .22323 L
.34493 .2231 L
.34349 .22192 L
.34297 .22149 L
.34188 .22059 L
.34103 .21989 L
.34028 .21926 L
.3391 .21828 L
.33867 .21792 L
.33719 .21668 L
.33707 .21657 L
.33546 .21522 L
.33529 .21507 L
.33386 .21385 L
.3334 .21346 L
.33225 .21248 L
.33153 .21186 L
.33065 .2111 L
.32966 .21025 L
.32904 .20972 L
.32781 .20865 L
.32744 .20832 L
.32597 .20704 L
.32583 .20692 L
.32423 .20551 L
.32414 .20544 L
.32262 .2041 L
.32232 .20383 L
.32102 .20267 L
.32051 .20223 L
.31941 .20124 L
.31872 .20062 L
.31781 .19981 L
.31693 .19902 L
.3162 .19836 L
.31515 .19741 L
.31459 .19691 L
.31338 .19581 L
.31299 .19545 L
.31162 .1942 L
.31138 .19399 L
.30987 .1926 L
.30978 .19251 L
.30817 .19103 L
.30813 .19099 L
.30657 .18954 L
.3064 .18939 L
.30496 .18805 L
.30468 .18778 L
.30336 .18654 L
.30296 .18618 L
.30175 .18503 L
.30126 .18457 L
.30015 .18352 L
.29956 .18297 L
.29854 .18199 L
.29788 .18136 L
.29694 .18046 L
.2962 .17975 L
.29533 .17892 L
.29453 .17815 L
.29373 .17738 L
.29286 .17654 L
.29212 .17583 L
.2912 .17494 L
.29052 .17427 L
.28955 .17333 L
.28891 .17271 L
.28791 .17173 L
.28731 .17113 L
.28628 .17012 L
.2857 .16956 L
.28465 .16852 L
.2841 .16797 L
.28303 .16691 L
.28249 .16638 L
.28141 .16531 L
.28088 .16478 L
.27981 .1637 L
.27928 .16317 L
.27821 .1621 L
.27767 .16155 L
.27662 .16049 L
.27607 .15993 L
.27504 .15889 L
.27446 .1583 L
.27347 .15728 L
.27286 .15665 L
.27191 .15568 L
.27125 .155 L
.27036 .15407 L
.26965 .15333 L
.26882 .15247 L
.26804 .15165 L
.26729 .15086 L
.26644 .14996 L
.26577 .14926 L
.26483 .14826 L
.26426 .14765 L
.26323 .14654 L
.26277 .14604 L
.26162 .1448 L
.26129 .14444 L
.26002 .14305 L
.25982 .14283 L
.25841 .14128 L
.25837 .14123 L
.25693 .13962 L
.25681 .13949 L
.25551 .13802 L
.2552 .13767 L
.2541 .13641 L
.2536 .13583 L
.25271 .13481 L
.25199 .13397 L
.25135 .1332 L
.25039 .13206 L
.25 .1316 L
.24878 .13012 L
.24868 .12999 L
.24738 .12839 L
.24717 .12813 L
.24611 .12678 L
.24557 .12609 L
.24488 .12518 L
.24396 .12396 L
.24369 .12357 L
.24254 .12197 L
.24236 .12173 L
.24145 .12036 L
.24075 .1193 L
.24045 .11876 L
.23954 .11715 L
.23915 .11631 L
.23882 .11555 L
.23832 .11394 L
F
0 .62 1 r
.24075 .16654 m
.2421 .16691 L
.24236 .16703 L
.24396 .16811 L
.24433 .16852 L
.24396 .16963 L
.24236 .16936 L
.24076 .16852 L
.24075 .16851 L
.23963 .16691 L
F
1 1 1 r
.24075 .29991 m
.24103 .30015 L
.24236 .30089 L
.24281 .30175 L
.24396 .30284 L
.24437 .30336 L
.24557 .30465 L
.24602 .30496 L
.24717 .30648 L
.24727 .30657 L
.24864 .30817 L
.24878 .30828 L
.24999 .30978 L
.25039 .31022 L
.25185 .31138 L
.25199 .31222 L
.25275 .31299 L
.2536 .31423 L
.25391 .31459 L
.2552 .31618 L
.25521 .3162 L
.25652 .31781 L
.25681 .31816 L
.25801 .31941 L
.25841 .32024 L
.25908 .32102 L
.26002 .32232 L
.26023 .32262 L
.26159 .32423 L
.26162 .32427 L
.26316 .32583 L
.26323 .32634 L
.26419 .32744 L
.26483 .32845 L
.26529 .32904 L
.26644 .33053 L
.26648 .33065 L
.26783 .33225 L
.26804 .33251 L
.26927 .33386 L
.26965 .33462 L
.27034 .33546 L
.27125 .33674 L
.27146 .33707 L
.2728 .33867 L
.27286 .33874 L
.27436 .34028 L
.27446 .34083 L
.27538 .34188 L
.27607 .34296 L
.27647 .34349 L
.27767 .34503 L
.27769 .34509 L
.27897 .3467 L
.27928 .34705 L
.28043 .3483 L
.28088 .34918 L
.28148 .34991 L
.28249 .35129 L
.28263 .35152 L
.28392 .35312 L
.2841 .3533 L
.28553 .35473 L
.2857 .3554 L
.2865 .35633 L
.28731 .35754 L
.2876 .35794 L
.28886 .35954 L
.28891 .35958 L
.29008 .36115 L
.29052 .36163 L
.29155 .36275 L
.29212 .36378 L
.29259 .36436 L
.29373 .36588 L
.29377 .36596 L
.29501 .36757 L
.29533 .36786 L
.29666 .36917 L
.29694 .37001 L
.2976 .37078 L
.29854 .37215 L
.29871 .37238 L
.29994 .37399 L
.30015 .3741 L
.30116 .37559 L
.30175 .37623 L
.30264 .3772 L
.30336 .3784 L
.30369 .3788 L
.30488 .38041 L
.30496 .38052 L
.30609 .38201 L
.30657 .38243 L
.30775 .38362 L
.30817 .38463 L
.30868 .38523 L
.30978 .38678 L
.30981 .38683 L
.31102 .38844 L
.31138 .38861 L
.31224 .39004 L
.31299 .39084 L
.31371 .39165 L
.31459 .39304 L
.31476 .39325 L
.31596 .39486 L
.3162 .39516 L
.31717 .39646 L
.31781 .39703 L
.3188 .39807 L
.31941 .39928 L
.31974 .39967 L
.32089 .40128 L
.32102 .40144 L
.3221 .40288 L
.32262 .40315 L
.32332 .40449 L
.32423 .40549 L
.32475 .40609 L
.32583 .4077 L
.32583 .40771 L
.32703 .4093 L
.32744 .40982 L
.32825 .41091 L
.32904 .41166 L
.32982 .41251 L
.33065 .41395 L
.33078 .41412 L
.33196 .41572 L
.33225 .41609 L
.33317 .41733 L
.33386 .4182 L
.3344 .41894 L
.33546 .42017 L
.33577 .42054 L
.33689 .42215 L
.33707 .42237 L
.33809 .42375 L
.33867 .42448 L
.33932 .42536 L
.34028 .42635 L
.3408 .42696 L
.34182 .42857 L
.34188 .42865 L
.34302 .43017 L
.34349 .43076 L
.34423 .43178 L
.34509 .43286 L
.34548 .43338 L
.3467 .43491 L
.34676 .43499 L
.34794 .43659 L
.3483 .43705 L
.34915 .4382 L
.34991 .43916 L
.35038 .4398 L
.35152 .44114 L
.35174 .44141 L
.35286 .44301 L
.35312 .44335 L
.35405 .44462 L
.35473 .44547 L
.35527 .44622 L
.35633 .44756 L
.35652 .44783 L
.35775 .44943 L
.35794 .44966 L
.35894 .45104 L
.35954 .4518 L
.36015 .45265 L
.36115 .45391 L
.36138 .45425 L
.36262 .45586 L
.36275 .45602 L
.36379 .45746 L
.36436 .45818 L
.36498 .45907 L
.36596 .46033 L
.3662 .46067 L
.36741 .46228 L
.36757 .46248 L
.36856 .46388 L
.36917 .46469 L
.36971 .46549 L
.37078 .46692 L
.37089 .46709 L
.37201 .4687 L
.37238 .46922 L
.37304 .4703 L
.37399 .47178 L
.37405 .47191 L
.37399 .47291 L
.37278 .47191 L
.37238 .47155 L
.37111 .4703 L
.37078 .46997 L
.36955 .4687 L
.36917 .46829 L
.36805 .46709 L
.36757 .46652 L
.36658 .46549 L
.36596 .46464 L
.36522 .46388 L
.36436 .46274 L
.36403 .46228 L
.36275 .4608 L
.3624 .46067 L
.36115 .45916 L
.36106 .45907 L
.3597 .45746 L
.35954 .4572 L
.35851 .45586 L
.35794 .45514 L
.35743 .45425 L
.35633 .45339 L
.35569 .45265 L
.35473 .45141 L
.35441 .45104 L
.35314 .44943 L
.35312 .4494 L
.35201 .44783 L
.35152 .44722 L
.35051 .44622 L
.34991 .44543 L
.34924 .44462 L
.3483 .44339 L
.34799 .44301 L
.34677 .44141 L
.3467 .44132 L
.34576 .4398 L
.34509 .43933 L
.34417 .4382 L
.34349 .43728 L
.34293 .43659 L
.34188 .43521 L
.3417 .43499 L
.34057 .43338 L
.34028 .43303 L
.33917 .43178 L
.33867 .4311 L
.33792 .43017 L
.33707 .42903 L
.3367 .42857 L
.33549 .42696 L
.33546 .42693 L
.33452 .42536 L
.33386 .42489 L
.33295 .42375 L
.33225 .42281 L
.33172 .42215 L
.33065 .42071 L
.33051 .42054 L
.32941 .41894 L
.32904 .4185 L
.328 .41733 L
.32744 .41657 L
.32676 .41572 L
.32583 .41448 L
.32555 .41412 L
.32437 .41251 L
.32423 .41234 L
.32345 .41091 L
.32262 .40999 L
.32181 .4093 L
.32102 .40823 L
.32059 .4077 L
.31941 .40612 L
.31939 .40609 L
.31834 .40449 L
.31781 .40387 L
.31688 .40288 L
.3162 .40197 L
.31565 .40128 L
.31459 .39986 L
.31444 .39967 L
.31331 .39807 L
.31299 .39769 L
.31242 .39646 L
.31138 .39537 L
.31071 .39486 L
.30978 .3936 L
.3095 .39325 L
.30832 .39165 L
.30817 .39147 L
.3073 .39004 L
.30657 .38923 L
.30578 .38844 L
.30496 .38733 L
.30456 .38683 L
.30336 .38523 L
.30336 .38522 L
.30226 .38362 L
.30175 .38304 L
.30086 .38201 L
.30015 .38078 L
.29963 .38041 L
.29854 .37896 L
.29842 .3788 L
.29725 .3772 L
.29694 .37682 L
.29626 .37559 L
.29533 .37461 L
.2947 .37399 L
.29373 .37268 L
.29349 .37238 L
.29228 .37078 L
.29212 .37057 L
.2912 .36917 L
.29052 .3684 L
.28978 .36757 L
.28891 .36622 L
.28856 .36596 L
.28734 .36436 L
.28731 .3643 L
.28619 .36275 L
.2857 .36217 L
.2852 .36115 L
.2841 .36 L
.28363 .35954 L
.28249 .35796 L
.28242 .35794 L
.28121 .35633 L
.28088 .35592 L
.28014 .35473 L
.27928 .35377 L
.27871 .35312 L
.27767 .35166 L
.2775 .35152 L
.27625 .34991 L
.27607 .34965 L
.27513 .3483 L
.27446 .34752 L
.27412 .3467 L
.27286 .34538 L
.27258 .34509 L
.27131 .34349 L
.27125 .34337 L
.27014 .34188 L
.26965 .34125 L
.26907 .34028 L
.26804 .33911 L
.26767 .33867 L
.26646 .33707 L
.26644 .33705 L
.26517 .33546 L
.26483 .33498 L
.26408 .33386 L
.26323 .33282 L
.26302 .33225 L
.26162 .3307 L
.26157 .33065 L
.26019 .32904 L
.26002 .32869 L
.25912 .32744 L
.25841 .32651 L
.25804 .32583 L
.25681 .32434 L
.25671 .32423 L
.25551 .32262 L
.2552 .3224 L
.25417 .32102 L
.2536 .32016 L
.25313 .31941 L
.25199 .31793 L
.25195 .31781 L
.25072 .3162 L
.25039 .31574 L
.24923 .31459 L
.24878 .31372 L
.24831 .31299 L
.24719 .31138 L
.24717 .31136 L
.24606 .30978 L
.24557 .30909 L
.24493 .30817 L
.24396 .30695 L
.24373 .30657 L
.24274 .30496 L
.24236 .30439 L
.24172 .30336 L
.24075 .3018 L
.24073 .30175 L
.24009 .30015 L
F
1 .96 .289 r
.24557 .18432 m
.24717 .18405 L
.24878 .18388 L
.25039 .18376 L
.25199 .18367 L
.2536 .18361 L
.2552 .18357 L
.25681 .18355 L
.25841 .18355 L
.26002 .18356 L
.26162 .18358 L
.26323 .18363 L
.26483 .18369 L
.26644 .18377 L
.26804 .18387 L
.26965 .18401 L
.27125 .18418 L
.27286 .18438 L
.27414 .18457 L
.27446 .18463 L
.27607 .18495 L
.27767 .18533 L
.27928 .18578 L
.28061 .18618 L
.28088 .18627 L
.28249 .18688 L
.2841 .18755 L
.28466 .18778 L
.2857 .18829 L
.28731 .18911 L
.28784 .18939 L
.28891 .19 L
.29052 .19095 L
.29058 .19099 L
.29212 .19204 L
.29296 .1926 L
.29373 .19315 L
.29515 .1942 L
.29533 .19435 L
.29694 .1957 L
.29706 .19581 L
.29854 .19717 L
.29879 .19741 L
.30015 .19877 L
.30037 .19902 L
.30175 .20057 L
.30179 .20062 L
.30299 .20223 L
.30336 .20277 L
.30395 .20383 L
.3047 .20544 L
.30496 .20633 L
.30506 .20704 L
.30496 .20828 L
.30484 .20865 L
.30336 .21024 L
.30334 .21025 L
.30175 .21101 L
.30015 .2114 L
.29854 .21164 L
.29694 .21181 L
.29639 .21186 L
.29533 .21194 L
.29373 .21203 L
.29212 .21209 L
.29052 .21213 L
.28891 .21215 L
.28731 .21215 L
.2857 .21213 L
.2841 .21209 L
.28249 .21203 L
.28088 .21195 L
.27942 .21186 L
.27928 .21185 L
.27767 .21171 L
.27607 .21154 L
.27446 .21132 L
.27286 .21106 L
.27125 .21074 L
.26965 .21038 L
.26911 .21025 L
.26804 .20995 L
.26644 .20943 L
.26483 .20886 L
.26426 .20865 L
.26323 .20821 L
.26162 .20748 L
.26067 .20704 L
.26002 .20671 L
.25841 .20583 L
.25768 .20544 L
.25681 .20492 L
.2552 .20393 L
.25504 .20383 L
.2536 .20285 L
.25268 .20223 L
.25199 .20173 L
.25048 .20062 L
.25039 .20055 L
.24878 .19921 L
.24856 .19902 L
.24717 .19779 L
.24679 .19741 L
.24557 .19624 L
.24518 .19581 L
.24396 .1945 L
.24375 .1942 L
.24249 .1926 L
.24236 .19241 L
.24157 .19099 L
.24091 .18939 L
.24075 .18867 L
.24074 .18778 L
.24075 .18765 L
.24144 .18618 L
.24236 .18543 L
.24396 .18466 L
.24455 .18457 L
F
1 .95 .212 r
.24878 .1843 m
.25039 .18411 L
.25199 .18398 L
.2536 .18389 L
.2552 .18384 L
.25681 .18381 L
.25841 .18379 L
.26002 .1838 L
.26162 .18383 L
.26323 .18389 L
.26483 .18396 L
.26644 .18406 L
.26804 .18419 L
.26965 .18435 L
.27125 .18455 L
.2714 .18457 L
.27286 .18481 L
.27446 .18512 L
.27607 .18549 L
.27767 .18593 L
.27852 .18618 L
.27928 .18643 L
.28088 .18703 L
.28249 .18768 L
.28272 .18778 L
.2841 .18844 L
.2857 .18926 L
.28594 .18939 L
.28731 .19018 L
.28866 .19099 L
.28891 .19116 L
.29052 .19224 L
.29103 .1926 L
.29212 .1934 L
.29317 .1942 L
.29373 .19465 L
.29511 .19581 L
.29533 .196 L
.29687 .19741 L
.29694 .19748 L
.29845 .19902 L
.29854 .19912 L
.29985 .20062 L
.30015 .20098 L
.30107 .20223 L
.30175 .20324 L
.30208 .20383 L
.30282 .20544 L
.30316 .20704 L
.30282 .20865 L
.30175 .20982 L
.30101 .21025 L
.30015 .21064 L
.29854 .21109 L
.29694 .21137 L
.29533 .21155 L
.29373 .21168 L
.29212 .21177 L
.29052 .21183 L
.28891 .21185 L
.28731 .21186 L
.2857 .21184 L
.2841 .21179 L
.28249 .21172 L
.28088 .21162 L
.27928 .21149 L
.27767 .21133 L
.27607 .21112 L
.27446 .21086 L
.27286 .21056 L
.27144 .21025 L
.27125 .21021 L
.26965 .20977 L
.26804 .20927 L
.26644 .20871 L
.26626 .20865 L
.26483 .20806 L
.26323 .20734 L
.26258 .20704 L
.26162 .20656 L
.26002 .20569 L
.25955 .20544 L
.25841 .20475 L
.25692 .20383 L
.25681 .20376 L
.2552 .20266 L
.25458 .20223 L
.2536 .2015 L
.25244 .20062 L
.25199 .20027 L
.25048 .19902 L
.25039 .19894 L
.24878 .19748 L
.24871 .19741 L
.24717 .19589 L
.2471 .19581 L
.24567 .1942 L
.24557 .19408 L
.24446 .1926 L
.24396 .19189 L
.24348 .19099 L
.24283 .18939 L
.24269 .18778 L
.24353 .18618 L
.24396 .1857 L
.24557 .18491 L
.24717 .18459 L
.24729 .18457 L
F
1 .89 .033 r
.24396 .11729 m
.24557 .11718 L
.24717 .11773 L
.24878 .11848 L
.24939 .11876 L
.25039 .11931 L
.25199 .12024 L
.25219 .12036 L
.2536 .12122 L
.25478 .12197 L
.2552 .12225 L
.25681 .12332 L
.25719 .12357 L
.25841 .12441 L
.2595 .12518 L
.26002 .12554 L
.26162 .1267 L
.26174 .12678 L
.26323 .12787 L
.26393 .12839 L
.26483 .12906 L
.26607 .12999 L
.26644 .13028 L
.26804 .1315 L
.26816 .1316 L
.26965 .13275 L
.27023 .1332 L
.27125 .134 L
.27227 .13481 L
.27286 .13527 L
.27428 .13641 L
.27446 .13656 L
.27607 .13785 L
.27627 .13802 L
.27767 .13916 L
.27824 .13962 L
.27928 .14048 L
.28019 .14123 L
.28088 .1418 L
.28213 .14283 L
.28249 .14314 L
.28404 .14444 L
.2841 .14449 L
.2857 .14584 L
.28594 .14604 L
.28731 .1472 L
.28783 .14765 L
.28891 .14858 L
.2897 .14926 L
.29052 .14996 L
.29156 .15086 L
.29212 .15135 L
.29341 .15247 L
.29373 .15274 L
.29524 .15407 L
.29533 .15415 L
.29694 .15556 L
.29707 .15568 L
.29854 .15698 L
.29888 .15728 L
.30015 .15841 L
.30068 .15889 L
.30175 .15984 L
.30248 .16049 L
.30336 .16128 L
.30426 .1621 L
.30496 .16273 L
.30603 .1637 L
.30657 .16419 L
.30779 .16531 L
.30817 .16565 L
.30955 .16691 L
.30978 .16712 L
.31129 .16852 L
.31138 .1686 L
.31299 .17009 L
.31303 .17012 L
.31459 .17158 L
.31476 .17173 L
.3162 .17308 L
.31647 .17333 L
.31781 .17459 L
.31818 .17494 L
.31941 .1761 L
.31988 .17654 L
.32102 .17762 L
.32157 .17815 L
.32262 .17915 L
.32326 .17975 L
.32423 .18068 L
.32493 .18136 L
.32583 .18223 L
.3266 .18297 L
.32744 .18378 L
.32825 .18457 L
.32904 .18534 L
.3299 .18618 L
.33065 .18691 L
.33154 .18778 L
.33225 .18848 L
.33317 .18939 L
.33386 .19007 L
.33479 .19099 L
.33546 .19166 L
.3364 .1926 L
.33707 .19326 L
.33801 .1942 L
.33867 .19487 L
.3396 .19581 L
.34028 .19649 L
.34118 .19741 L
.34188 .19812 L
.34276 .19902 L
.34349 .19977 L
.34432 .20062 L
.34509 .20142 L
.34588 .20223 L
.3467 .20308 L
.34742 .20383 L
.3483 .20476 L
.34895 .20544 L
.34991 .20645 L
.35047 .20704 L
.35152 .20815 L
.35198 .20865 L
.35312 .20987 L
.35347 .21025 L
.35473 .21161 L
.35496 .21186 L
.35633 .21336 L
.35643 .21346 L
.35788 .21507 L
.35794 .21513 L
.35932 .21668 L
.35954 .21692 L
.36074 .21828 L
.36115 .21874 L
.36214 .21989 L
.36275 .22059 L
.36353 .22149 L
.36436 .22246 L
.36489 .2231 L
.36596 .22438 L
.36623 .2247 L
.36754 .22631 L
.36757 .22634 L
.36882 .22791 L
.36917 .22835 L
.37007 .22952 L
.37078 .23044 L
.37128 .23112 L
.37238 .23266 L
.37243 .23273 L
.37353 .23433 L
.37399 .23496 L
.37455 .23594 L
.37545 .23754 L
.37559 .23786 L
.37618 .23915 L
.37645 .24075 L
.37559 .24178 L
.37399 .24173 L
.37238 .2411 L
.37137 .24075 L
.37078 .24036 L
.36917 .23949 L
.36855 .23915 L
.36757 .23856 L
.36596 .23756 L
.36593 .23754 L
.36436 .23653 L
.36346 .23594 L
.36275 .23546 L
.36115 .23435 L
.36112 .23433 L
.35954 .23322 L
.35886 .23273 L
.35794 .23206 L
.35665 .23112 L
.35633 .23088 L
.35473 .22968 L
.3545 .22952 L
.35312 .22847 L
.35239 .22791 L
.35152 .22724 L
.35031 .22631 L
.34991 .22599 L
.3483 .22473 L
.34827 .2247 L
.3467 .22346 L
.34625 .2231 L
.34509 .22217 L
.34425 .22149 L
.34349 .22088 L
.34227 .21989 L
.34188 .21957 L
.34032 .21828 L
.34028 .21825 L
.33867 .21692 L
.33838 .21668 L
.33707 .21558 L
.33645 .21507 L
.33546 .21424 L
.33455 .21346 L
.33386 .21288 L
.33265 .21186 L
.33225 .21152 L
.33077 .21025 L
.33065 .21014 L
.32904 .20876 L
.32891 .20865 L
.32744 .20738 L
.32705 .20704 L
.32583 .20598 L
.32521 .20544 L
.32423 .20457 L
.32338 .20383 L
.32262 .20316 L
.32156 .20223 L
.32102 .20174 L
.31975 .20062 L
.31941 .20032 L
.31796 .19902 L
.31781 .19888 L
.3162 .19744 L
.31617 .19741 L
.31459 .19599 L
.31439 .19581 L
.31299 .19453 L
.31263 .1942 L
.31138 .19306 L
.31087 .1926 L
.30978 .19159 L
.30913 .19099 L
.30817 .19011 L
.30739 .18939 L
.30657 .18862 L
.30566 .18778 L
.30496 .18713 L
.30395 .18618 L
.30336 .18562 L
.30224 .18457 L
.30175 .18411 L
.30054 .18297 L
.30015 .18259 L
.29885 .18136 L
.29854 .18107 L
.29717 .17975 L
.29694 .17953 L
.2955 .17815 L
.29533 .17799 L
.29383 .17654 L
.29373 .17644 L
.29217 .17494 L
.29212 .17489 L
.29052 .17333 L
.29052 .17333 L
.28891 .17176 L
.28888 .17173 L
.28731 .17018 L
.28725 .17012 L
.2857 .16859 L
.28563 .16852 L
.2841 .167 L
.28401 .16691 L
.28249 .16539 L
.2824 .16531 L
.28088 .16378 L
.28081 .1637 L
.27928 .16216 L
.27922 .1621 L
.27767 .16053 L
.27764 .16049 L
.27607 .15889 L
.27607 .15889 L
.27451 .15728 L
.27446 .15724 L
.27296 .15568 L
.27286 .15557 L
.27142 .15407 L
.27125 .1539 L
.26989 .15247 L
.26965 .15221 L
.26838 .15086 L
.26804 .15051 L
.26687 .14926 L
.26644 .14879 L
.26539 .14765 L
.26483 .14705 L
.26391 .14604 L
.26323 .1453 L
.26245 .14444 L
.26162 .14352 L
.26101 .14283 L
.26002 .14172 L
.25958 .14123 L
.25841 .1399 L
.25817 .13962 L
.25681 .13805 L
.25678 .13802 L
.25541 .13641 L
.2552 .13617 L
.25407 .13481 L
.2536 .13425 L
.25274 .1332 L
.25199 .13228 L
.25145 .1316 L
.25039 .13024 L
.2502 .12999 L
.24897 .12839 L
.24878 .12814 L
.2478 .12678 L
.24717 .12592 L
.24668 .12518 L
.24564 .12357 L
.24557 .12354 L
.24469 .12197 L
.24396 .12047 L
.24392 .12036 L
.24335 .11876 L
F
1 .94 .156 r
.25039 .1845 m
.25199 .18431 L
.2536 .18419 L
.2552 .18411 L
.25681 .18406 L
.25841 .18404 L
.26002 .18405 L
.26162 .18408 L
.26323 .18414 L
.26483 .18423 L
.26644 .18434 L
.26804 .18449 L
.26878 .18457 L
.26965 .18468 L
.27125 .18492 L
.27286 .18521 L
.27446 .18556 L
.27607 .18597 L
.27679 .18618 L
.27767 .18646 L
.27928 .18703 L
.28088 .18766 L
.28117 .18778 L
.28249 .18839 L
.2841 .18919 L
.28447 .18939 L
.2857 .19008 L
.28722 .19099 L
.28731 .19104 L
.28891 .19211 L
.28962 .1926 L
.29052 .19325 L
.29176 .1942 L
.29212 .19449 L
.29371 .19581 L
.29373 .19583 L
.29533 .19729 L
.29546 .19741 L
.29694 .1989 L
.29704 .19902 L
.29846 .20062 L
.29854 .20073 L
.29967 .20223 L
.30015 .20292 L
.30066 .20383 L
.30136 .20544 L
.30164 .20704 L
.30117 .20865 L
.30015 .20988 L
.29895 .21025 L
.29854 .21041 L
.29694 .21086 L
.29533 .21114 L
.29373 .21132 L
.29212 .21144 L
.29052 .21152 L
.28891 .21156 L
.28731 .21157 L
.2857 .21155 L
.2841 .2115 L
.28249 .21142 L
.28088 .2113 L
.27928 .21115 L
.27767 .21096 L
.27607 .21073 L
.27446 .21045 L
.2735 .21025 L
.27286 .21011 L
.27125 .2097 L
.26965 .20922 L
.26804 .20869 L
.26792 .20865 L
.26644 .20807 L
.26483 .20738 L
.26409 .20704 L
.26323 .20662 L
.26162 .20577 L
.261 .20544 L
.26002 .20486 L
.25841 .20388 L
.25834 .20383 L
.25681 .2028 L
.25598 .20223 L
.2552 .20166 L
.25383 .20062 L
.2536 .20043 L
.25199 .19911 L
.25188 .19902 L
.25039 .19767 L
.25011 .19741 L
.24878 .19609 L
.24851 .19581 L
.24717 .19431 L
.24708 .1942 L
.24587 .1926 L
.24557 .19218 L
.24491 .19099 L
.2443 .18939 L
.24424 .18778 L
.24526 .18618 L
.24557 .1859 L
.24717 .1851 L
.24878 .18474 L
.24991 .18457 L
F
1 .93 .114 r
.2536 .18449 m
.2552 .18438 L
.25681 .18432 L
.25841 .18429 L
.26002 .1843 L
.26162 .18433 L
.26323 .18439 L
.26483 .18449 L
.26592 .18457 L
.26644 .18462 L
.26804 .18479 L
.26965 .185 L
.27125 .18527 L
.27286 .18559 L
.27446 .18597 L
.27524 .18618 L
.27607 .18642 L
.27767 .18695 L
.27928 .18756 L
.27984 .18778 L
.28088 .18824 L
.28249 .18901 L
.28323 .18939 L
.2841 .18986 L
.2857 .19079 L
.28603 .19099 L
.28731 .19182 L
.28846 .1926 L
.28891 .19292 L
.29052 .19412 L
.29062 .1942 L
.29212 .19543 L
.29256 .19581 L
.29373 .19685 L
.29432 .19741 L
.29533 .19841 L
.2959 .19902 L
.29694 .20017 L
.29731 .20062 L
.29852 .20223 L
.29854 .20226 L
.29948 .20383 L
.30014 .20544 L
.30015 .20546 L
.30033 .20704 L
.30015 .20788 L
.2997 .20865 L
.29854 .20975 L
.29699 .21025 L
.29694 .21027 L
.29533 .21068 L
.29373 .21094 L
.29212 .2111 L
.29052 .2112 L
.28891 .21126 L
.28731 .21128 L
.2857 .21126 L
.2841 .21121 L
.28249 .21112 L
.28088 .21099 L
.27928 .21083 L
.27767 .21062 L
.27607 .21036 L
.27546 .21025 L
.27446 .21005 L
.27286 .20967 L
.27125 .20923 L
.26965 .20874 L
.26939 .20865 L
.26804 .20815 L
.26644 .2075 L
.26539 .20704 L
.26483 .20678 L
.26323 .20597 L
.26223 .20544 L
.26162 .20509 L
.26002 .20414 L
.25953 .20383 L
.25841 .2031 L
.25713 .20223 L
.25681 .20199 L
.2552 .2008 L
.25498 .20062 L
.2536 .1995 L
.25302 .19902 L
.25199 .1981 L
.25125 .19741 L
.25039 .19657 L
.24965 .19581 L
.24878 .19486 L
.24823 .1942 L
.24717 .19282 L
.24703 .1926 L
.2461 .19099 L
.24557 .18956 L
.24553 .18939 L
.24556 .18778 L
.24557 .18776 L
.24681 .18618 L
.24717 .18591 L
.24878 .18523 L
.25039 .18488 L
.25199 .18465 L
.25277 .18457 L
F
1 .92 .084 r
.25841 .18454 m
.26002 .18454 L
.26146 .18457 L
.26162 .18458 L
.26323 .18464 L
.26483 .18475 L
.26644 .18489 L
.26804 .18508 L
.26965 .18531 L
.27125 .1856 L
.27286 .18595 L
.27379 .18618 L
.27446 .18636 L
.27607 .18685 L
.27767 .18741 L
.27865 .18778 L
.27928 .18804 L
.28088 .18877 L
.28215 .18939 L
.28249 .18957 L
.2841 .19046 L
.28499 .19099 L
.2857 .19143 L
.28731 .1925 L
.28745 .1926 L
.28891 .19366 L
.28963 .1942 L
.29052 .19491 L
.29158 .19581 L
.29212 .19628 L
.29335 .19741 L
.29373 .19778 L
.29493 .19902 L
.29533 .19946 L
.29632 .20062 L
.29694 .2014 L
.29751 .20223 L
.29845 .20383 L
.29854 .20402 L
.29906 .20544 L
.29917 .20704 L
.29854 .20844 L
.29835 .20865 L
.29694 .2097 L
.29533 .21018 L
.29501 .21025 L
.29373 .21052 L
.29212 .21074 L
.29052 .21088 L
.28891 .21096 L
.28731 .21099 L
.2857 .21097 L
.2841 .21092 L
.28249 .21083 L
.28088 .21069 L
.27928 .21051 L
.27767 .21029 L
.27744 .21025 L
.27607 .21001 L
.27446 .20967 L
.27286 .20927 L
.27125 .20881 L
.27073 .20865 L
.26965 .20828 L
.26804 .20766 L
.26656 .20704 L
.26644 .20699 L
.26483 .20622 L
.26331 .20544 L
.26323 .2054 L
.26162 .20448 L
.26056 .20383 L
.26002 .20349 L
.25841 .20242 L
.25814 .20223 L
.25681 .20126 L
.25597 .20062 L
.2552 .20002 L
.254 .19902 L
.2536 .19867 L
.25222 .19741 L
.25199 .19719 L
.25062 .19581 L
.25039 .19555 L
.24922 .1942 L
.24878 .19366 L
.24804 .1926 L
.24717 .1911 L
.24713 .19099 L
.24662 .18939 L
.24676 .18778 L
.24717 .18706 L
.24826 .18618 L
.24878 .18588 L
.25039 .18531 L
.25199 .185 L
.2536 .1848 L
.2552 .18467 L
.25681 .18458 L
.25723 .18457 L
F
1 .91 .061 r
.25039 .18584 m
.25199 .18539 L
.2536 .18512 L
.2552 .18495 L
.25681 .18485 L
.25841 .1848 L
.26002 .18479 L
.26162 .18482 L
.26323 .18489 L
.26483 .185 L
.26644 .18516 L
.26804 .18536 L
.26965 .18561 L
.27125 .18592 L
.2724 .18618 L
.27286 .18629 L
.27446 .18673 L
.27607 .18725 L
.27755 .18778 L
.27767 .18783 L
.27928 .1885 L
.28088 .18925 L
.28116 .18939 L
.28249 .19009 L
.28406 .19099 L
.2841 .19101 L
.2857 .19203 L
.28655 .1926 L
.28731 .19313 L
.28875 .1942 L
.28891 .19433 L
.29052 .19564 L
.29072 .19581 L
.29212 .19707 L
.29248 .19741 L
.29373 .19866 L
.29406 .19902 L
.29533 .20048 L
.29544 .20062 L
.29661 .20223 L
.29694 .20268 L
.29752 .20383 L
.29808 .20544 L
.29809 .20704 L
.29708 .20865 L
.29694 .20878 L
.29533 .20967 L
.29373 .21009 L
.29284 .21025 L
.29212 .21037 L
.29052 .21055 L
.28891 .21065 L
.28731 .21069 L
.2857 .21069 L
.2841 .21064 L
.28249 .21054 L
.28088 .2104 L
.27961 .21025 L
.27928 .21021 L
.27767 .20997 L
.27607 .20967 L
.27446 .20931 L
.27286 .20889 L
.27201 .20865 L
.27125 .20841 L
.26965 .20784 L
.26804 .20721 L
.26763 .20704 L
.26644 .2065 L
.26483 .20572 L
.26429 .20544 L
.26323 .20485 L
.26162 .20392 L
.26148 .20383 L
.26002 .20289 L
.25903 .20223 L
.25841 .20179 L
.25684 .20062 L
.25681 .2006 L
.2552 .1993 L
.25487 .19902 L
.2536 .19789 L
.25309 .19741 L
.25199 .19633 L
.25149 .19581 L
.25039 .19456 L
.2501 .1942 L
.24893 .1926 L
.24878 .19243 L
.24807 .19099 L
.24761 .18939 L
.24786 .18778 L
.24878 .1867 L
.24965 .18618 L
F
1 .88 .024 r
.24878 .1218 m
.25039 .1218 L
.25093 .12197 L
.25199 .12231 L
.2536 .12309 L
.2546 .12357 L
.2552 .12396 L
.25681 .12491 L
.25725 .12518 L
.25841 .12591 L
.25976 .12678 L
.26002 .12696 L
.26162 .12805 L
.26211 .12839 L
.26323 .12917 L
.26439 .12999 L
.26483 .13031 L
.26644 .13149 L
.26659 .1316 L
.26804 .13268 L
.26874 .1332 L
.26965 .13389 L
.27085 .13481 L
.27125 .13512 L
.27286 .13637 L
.27292 .13641 L
.27446 .13763 L
.27496 .13802 L
.27607 .1389 L
.27697 .13962 L
.27767 .14019 L
.27896 .14123 L
.27928 .14149 L
.28088 .1428 L
.28093 .14283 L
.28249 .14412 L
.28287 .14444 L
.2841 .14546 L
.2848 .14604 L
.2857 .1468 L
.28671 .14765 L
.28731 .14815 L
.2886 .14926 L
.28891 .14952 L
.29048 .15086 L
.29052 .15089 L
.29212 .15227 L
.29235 .15247 L
.29373 .15366 L
.2942 .15407 L
.29533 .15506 L
.29603 .15568 L
.29694 .15647 L
.29786 .15728 L
.29854 .15788 L
.29967 .15889 L
.30015 .15931 L
.30148 .16049 L
.30175 .16074 L
.30327 .1621 L
.30336 .16218 L
.30496 .16363 L
.30505 .1637 L
.30657 .16508 L
.30682 .16531 L
.30817 .16654 L
.30858 .16691 L
.30978 .16801 L
.31033 .16852 L
.31138 .16949 L
.31207 .17012 L
.31299 .17098 L
.3138 .17173 L
.31459 .17247 L
.31552 .17333 L
.3162 .17397 L
.31723 .17494 L
.31781 .17548 L
.31893 .17654 L
.31941 .177 L
.32062 .17815 L
.32102 .17852 L
.32231 .17975 L
.32262 .18005 L
.32398 .18136 L
.32423 .1816 L
.32565 .18297 L
.32583 .18315 L
.3273 .18457 L
.32744 .1847 L
.32895 .18618 L
.32904 .18627 L
.33058 .18778 L
.33065 .18785 L
.33221 .18939 L
.33225 .18943 L
.33382 .19099 L
.33386 .19102 L
.33543 .1926 L
.33546 .19263 L
.33703 .1942 L
.33707 .19424 L
.33861 .19581 L
.33867 .19587 L
.34019 .19741 L
.34028 .1975 L
.34175 .19902 L
.34188 .19915 L
.34331 .20062 L
.34349 .20081 L
.34485 .20223 L
.34509 .20248 L
.34638 .20383 L
.3467 .20417 L
.3479 .20544 L
.3483 .20587 L
.3494 .20704 L
.34991 .20759 L
.35089 .20865 L
.35152 .20932 L
.35237 .21025 L
.35312 .21108 L
.35383 .21186 L
.35473 .21285 L
.35528 .21346 L
.35633 .21465 L
.3567 .21507 L
.35794 .21648 L
.35811 .21668 L
.3595 .21828 L
.35954 .21833 L
.36086 .21989 L
.36115 .22022 L
.3622 .22149 L
.36275 .22216 L
.36351 .2231 L
.36436 .22415 L
.36479 .2247 L
.36596 .22623 L
.36602 .22631 L
.36722 .22791 L
.36757 .22836 L
.36835 .22952 L
.36917 .23072 L
.36941 .23112 L
.37038 .23273 L
.37078 .23353 L
.37117 .23433 L
.37183 .23594 L
.37078 .23726 L
.36917 .23721 L
.36757 .23651 L
.3664 .23594 L
.36596 .23573 L
.36436 .23484 L
.36346 .23433 L
.36275 .23389 L
.36115 .23287 L
.36093 .23273 L
.35954 .23181 L
.35851 .23112 L
.35794 .23072 L
.35633 .22959 L
.35623 .22952 L
.35473 .22844 L
.354 .22791 L
.35312 .22727 L
.35183 .22631 L
.35152 .22607 L
.34991 .22485 L
.34971 .2247 L
.3483 .22362 L
.34763 .2231 L
.3467 .22237 L
.34558 .22149 L
.34509 .22111 L
.34356 .21989 L
.34349 .21983 L
.34188 .21854 L
.34156 .21828 L
.34028 .21724 L
.33958 .21668 L
.33867 .21593 L
.33763 .21507 L
.33707 .2146 L
.3357 .21346 L
.33546 .21327 L
.33386 .21192 L
.33378 .21186 L
.33225 .21057 L
.33188 .21025 L
.33065 .20921 L
.33 .20865 L
.32904 .20783 L
.32812 .20704 L
.32744 .20645 L
.32627 .20544 L
.32583 .20506 L
.32442 .20383 L
.32423 .20366 L
.32262 .20225 L
.32259 .20223 L
.32102 .20084 L
.32077 .20062 L
.31941 .19941 L
.31897 .19902 L
.31781 .19798 L
.31717 .19741 L
.3162 .19654 L
.31539 .19581 L
.31459 .19509 L
.31361 .1942 L
.31299 .19363 L
.31185 .1926 L
.31138 .19217 L
.3101 .19099 L
.30978 .1907 L
.30836 .18939 L
.30817 .18922 L
.30663 .18778 L
.30657 .18773 L
.30496 .18623 L
.3049 .18618 L
.30336 .18473 L
.30319 .18457 L
.30175 .18321 L
.30149 .18297 L
.30015 .18169 L
.2998 .18136 L
.29854 .18016 L
.29812 .17975 L
.29694 .17863 L
.29644 .17815 L
.29533 .17708 L
.29478 .17654 L
.29373 .17553 L
.29312 .17494 L
.29212 .17397 L
.29147 .17333 L
.29052 .1724 L
.28983 .17173 L
.28891 .17082 L
.28821 .17012 L
.28731 .16923 L
.28659 .16852 L
.2857 .16764 L
.28498 .16691 L
.2841 .16603 L
.28337 .16531 L
.28249 .16442 L
.28178 .1637 L
.28088 .16279 L
.2802 .1621 L
.27928 .16116 L
.27863 .16049 L
.27767 .15951 L
.27707 .15889 L
.27607 .15785 L
.27552 .15728 L
.27446 .15617 L
.27399 .15568 L
.27286 .15449 L
.27246 .15407 L
.27125 .15279 L
.27095 .15247 L
.26965 .15107 L
.26946 .15086 L
.26804 .14933 L
.26797 .14926 L
.26651 .14765 L
.26644 .14757 L
.26506 .14604 L
.26483 .1458 L
.26362 .14444 L
.26323 .14399 L
.26221 .14283 L
.26162 .14216 L
.26081 .14123 L
.26002 .1403 L
.25944 .13962 L
.25841 .1384 L
.2581 .13802 L
.25681 .13645 L
.25678 .13641 L
.25549 .13481 L
.2552 .13445 L
.25424 .1332 L
.2536 .13237 L
.25303 .1316 L
.25199 .13016 L
.25188 .12999 L
.25078 .12839 L
.25039 .1279 L
.24979 .12678 L
.24892 .12518 L
.24878 .1248 L
.24829 .12357 L
.24853 .12197 L
F
1 .9 .045 r
.25199 .18583 m
.2536 .18547 L
.2552 .18525 L
.25681 .18512 L
.25841 .18506 L
.26002 .18504 L
.26162 .18507 L
.26323 .18514 L
.26483 .18526 L
.26644 .18542 L
.26804 .18564 L
.26965 .1859 L
.27101 .18618 L
.27125 .18623 L
.27286 .18662 L
.27446 .18709 L
.27607 .18762 L
.27651 .18778 L
.27767 .18824 L
.27928 .18893 L
.28024 .18939 L
.28088 .18971 L
.28249 .19058 L
.28321 .19099 L
.2841 .19153 L
.2857 .19258 L
.28573 .1926 L
.28731 .19372 L
.28795 .1942 L
.28891 .19496 L
.28992 .19581 L
.29052 .19632 L
.29169 .19741 L
.29212 .19783 L
.29327 .19902 L
.29373 .19952 L
.29464 .20062 L
.29533 .20153 L
.29579 .20223 L
.29667 .20383 L
.29694 .20452 L
.29717 .20544 L
.29708 .20704 L
.29694 .2074 L
.29583 .20865 L
.29533 .20899 L
.29373 .20964 L
.29212 .20999 L
.29052 .2102 L
.29004 .21025 L
.28891 .21034 L
.28731 .2104 L
.2857 .2104 L
.2841 .21035 L
.28249 .21026 L
.28246 .21025 L
.28088 .21011 L
.27928 .20991 L
.27767 .20965 L
.27607 .20934 L
.27446 .20897 L
.27325 .20865 L
.27286 .20853 L
.27125 .20802 L
.26965 .20744 L
.26864 .20704 L
.26804 .20679 L
.26644 .20605 L
.2652 .20544 L
.26483 .20525 L
.26323 .20435 L
.26234 .20383 L
.26162 .20339 L
.26002 .20234 L
.25985 .20223 L
.25841 .2012 L
.25765 .20062 L
.25681 .19996 L
.25566 .19902 L
.2552 .19862 L
.25387 .19741 L
.2536 .19715 L
.25228 .19581 L
.25199 .19549 L
.2509 .1942 L
.25039 .19355 L
.24976 .1926 L
.24892 .19099 L
.24878 .19061 L
.24853 .18939 L
.24878 .188 L
.24889 .18778 L
.25039 .18629 L
.25103 .18618 L
F
1 .89 .033 r
.2536 .18586 m
.2552 .18557 L
.25681 .18541 L
.25841 .18532 L
.26002 .18529 L
.26162 .18532 L
.26323 .18539 L
.26483 .18551 L
.26644 .18568 L
.26804 .18591 L
.26959 .18618 L
.26965 .18619 L
.27125 .18653 L
.27286 .18695 L
.27446 .18743 L
.27552 .18778 L
.27607 .18798 L
.27767 .18862 L
.27928 .18934 L
.27938 .18939 L
.28088 .19015 L
.28241 .19099 L
.28249 .19104 L
.2841 .19203 L
.28497 .1926 L
.2857 .1931 L
.28721 .1942 L
.28731 .19428 L
.28891 .19557 L
.28919 .19581 L
.29052 .19699 L
.29097 .19741 L
.29212 .19857 L
.29254 .19902 L
.29373 .2004 L
.2939 .20062 L
.29503 .20223 L
.29533 .2026 L
.29587 .20383 L
.29631 .20544 L
.29612 .20704 L
.29533 .20812 L
.29459 .20865 L
.29373 .20909 L
.29212 .20958 L
.29052 .20986 L
.28891 .21002 L
.28731 .2101 L
.2857 .21011 L
.2841 .21007 L
.28249 .20997 L
.28088 .20982 L
.27928 .20961 L
.27767 .20935 L
.27607 .20903 L
.27449 .20865 L
.27446 .20864 L
.27286 .20818 L
.27125 .20765 L
.26965 .20706 L
.26961 .20704 L
.26804 .20638 L
.26644 .20563 L
.26605 .20544 L
.26483 .20479 L
.26323 .20389 L
.26314 .20383 L
.26162 .20289 L
.26062 .20223 L
.26002 .20181 L
.25841 .20064 L
.25839 .20062 L
.25681 .19937 L
.25639 .19902 L
.2552 .19797 L
.2546 .19741 L
.2536 .19642 L
.25301 .19581 L
.25199 .19464 L
.25164 .1942 L
.25052 .1926 L
.25039 .19255 L
.24972 .19099 L
.24939 .18939 L
.24989 .18778 L
.25039 .18703 L
.25199 .18628 L
.25246 .18618 L
F
1 .88 .024 r
.2552 .18592 m
.25681 .18571 L
.25841 .18559 L
.26002 .18555 L
.26162 .18557 L
.26323 .18564 L
.26483 .18576 L
.26644 .18594 L
.26804 .18617 L
.26806 .18618 L
.26965 .18647 L
.27125 .18683 L
.27286 .18726 L
.27446 .18775 L
.27455 .18778 L
.27607 .18833 L
.27767 .18899 L
.27855 .18939 L
.27928 .18974 L
.28088 .19057 L
.28165 .19099 L
.28249 .19148 L
.2841 .19249 L
.28425 .1926 L
.2857 .1936 L
.28651 .1942 L
.28731 .19482 L
.28851 .19581 L
.28891 .19615 L
.29029 .19741 L
.29052 .19763 L
.29185 .19902 L
.29212 .19931 L
.2932 .20062 L
.29373 .2013 L
.29431 .20223 L
.29512 .20383 L
.29533 .20448 L
.2955 .20544 L
.29533 .20669 L
.29518 .20704 L
.29373 .20856 L
.29333 .20865 L
.29212 .20912 L
.29052 .20948 L
.28891 .20969 L
.28731 .2098 L
.2857 .20983 L
.2841 .20979 L
.28249 .20969 L
.28088 .20954 L
.27928 .20933 L
.27767 .20905 L
.27607 .20872 L
.27576 .20865 L
.27446 .20832 L
.27286 .20784 L
.27125 .2073 L
.27055 .20704 L
.26965 .20669 L
.26804 .20599 L
.26687 .20544 L
.26644 .20522 L
.26483 .20437 L
.26389 .20383 L
.26323 .20344 L
.26162 .20242 L
.26133 .20223 L
.26002 .20131 L
.25908 .20062 L
.25841 .20011 L
.25707 .19902 L
.25681 .19879 L
.25528 .19741 L
.2552 .19734 L
.2537 .19581 L
.2536 .1957 L
.25234 .1942 L
.25199 .19377 L
.25124 .1926 L
.25048 .19099 L
.25039 .1907 L
.25022 .18939 L
.25039 .18858 L
.25086 .18778 L
.25199 .18676 L
.2536 .18626 L
.25399 .18618 L
F
1 .87 .018 r
.25681 .18602 m
.25841 .18587 L
.26002 .18581 L
.26162 .18582 L
.26323 .18589 L
.26483 .18601 L
.26629 .18618 L
.26644 .1862 L
.26804 .18644 L
.26965 .18674 L
.27125 .18712 L
.27286 .18756 L
.27358 .18778 L
.27446 .18808 L
.27607 .18867 L
.27767 .18935 L
.27776 .18939 L
.27928 .19012 L
.28088 .19097 L
.28093 .19099 L
.28249 .19191 L
.28357 .1926 L
.2841 .19295 L
.2857 .19409 L
.28585 .1942 L
.28731 .19534 L
.28787 .19581 L
.28891 .19672 L
.28964 .19741 L
.29052 .19828 L
.29121 .19902 L
.29212 .20007 L
.29255 .20062 L
.29363 .20223 L
.29373 .20239 L
.2944 .20383 L
.29471 .20544 L
.29426 .20704 L
.29373 .20786 L
.29212 .20861 L
.29198 .20865 L
.29052 .20908 L
.28891 .20935 L
.28731 .20949 L
.2857 .20953 L
.2841 .20951 L
.28249 .20941 L
.28088 .20926 L
.27928 .20904 L
.27767 .20876 L
.2771 .20865 L
.27607 .20842 L
.27446 .208 L
.27286 .20752 L
.27147 .20704 L
.27125 .20696 L
.26965 .20633 L
.26804 .20562 L
.26766 .20544 L
.26644 .20483 L
.26483 .20396 L
.26461 .20383 L
.26323 .203 L
.26202 .20223 L
.26162 .20196 L
.26002 .20083 L
.25974 .20062 L
.25841 .19959 L
.25772 .19902 L
.25681 .19823 L
.25592 .19741 L
.2552 .19671 L
.25434 .19581 L
.2536 .19497 L
.25299 .1942 L
.25199 .19274 L
.25192 .1926 L
.2512 .19099 L
.25101 .18939 L
.25182 .18778 L
.25199 .18759 L
.2536 .18666 L
.2552 .18627 L
.25575 .18618 L
F
1 .86 .013 r
.25841 .18616 m
.26002 .18608 L
.26162 .18608 L
.26323 .18614 L
.26389 .18618 L
.26483 .18626 L
.26644 .18645 L
.26804 .1867 L
.26965 .18702 L
.27125 .1874 L
.27262 .18778 L
.27286 .18785 L
.27446 .18839 L
.27607 .189 L
.27698 .18939 L
.27767 .1897 L
.27928 .19048 L
.28024 .19099 L
.28088 .19136 L
.28249 .19232 L
.28292 .1926 L
.2841 .19339 L
.28523 .1942 L
.2857 .19456 L
.28725 .19581 L
.28731 .19585 L
.28891 .19729 L
.28903 .19741 L
.29052 .19893 L
.29059 .19902 L
.29192 .20062 L
.29212 .20087 L
.29298 .20223 L
.29371 .20383 L
.29373 .2039 L
.29395 .20544 L
.29373 .20639 L
.29334 .20704 L
.29212 .20813 L
.29052 .20864 L
.29048 .20865 L
.28891 .20898 L
.28731 .20916 L
.2857 .20923 L
.2841 .20922 L
.28249 .20913 L
.28088 .20898 L
.27928 .20876 L
.2786 .20865 L
.27767 .20848 L
.27607 .20812 L
.27446 .2077 L
.27286 .2072 L
.27239 .20704 L
.27125 .20663 L
.26965 .20598 L
.26842 .20544 L
.26804 .20526 L
.26644 .20445 L
.2653 .20383 L
.26483 .20356 L
.26323 .20259 L
.26267 .20223 L
.26162 .20152 L
.26037 .20062 L
.26002 .20036 L
.25841 .19908 L
.25833 .19902 L
.25681 .19767 L
.25653 .19741 L
.2552 .19607 L
.25496 .19581 L
.25362 .1942 L
.2536 .19417 L
.25257 .1926 L
.25199 .19132 L
.25189 .19099 L
.25179 .18939 L
.25199 .18877 L
.25279 .18778 L
.2536 .18719 L
.2552 .18663 L
.25681 .18633 L
.25824 .18618 L
F
1 .85 .01 r
.2552 .18705 m
.25681 .18666 L
.25841 .18645 L
.26002 .18635 L
.26162 .18633 L
.26323 .18639 L
.26483 .18651 L
.26644 .1867 L
.26804 .18696 L
.26965 .18728 L
.27125 .18768 L
.27163 .18778 L
.27286 .18815 L
.27446 .1887 L
.27607 .18932 L
.27622 .18939 L
.27767 .19004 L
.27928 .19084 L
.27956 .19099 L
.28088 .19174 L
.28229 .1926 L
.28249 .19272 L
.2841 .19382 L
.28462 .1942 L
.2857 .19502 L
.28666 .19581 L
.28731 .19636 L
.28845 .19741 L
.28891 .19786 L
.29 .19902 L
.29052 .1996 L
.29132 .20062 L
.29212 .20179 L
.29235 .20223 L
.29303 .20383 L
.29319 .20544 L
.29241 .20704 L
.29212 .20736 L
.29052 .20823 L
.28891 .2086 L
.28866 .20865 L
.28731 .20883 L
.2857 .20893 L
.2841 .20893 L
.28249 .20885 L
.28088 .2087 L
.28044 .20865 L
.27928 .20848 L
.27767 .20819 L
.27607 .20783 L
.27446 .2074 L
.27331 .20704 L
.27286 .20689 L
.27125 .20631 L
.26965 .20565 L
.26917 .20544 L
.26804 .20491 L
.26644 .20409 L
.26597 .20383 L
.26483 .20318 L
.2633 .20223 L
.26323 .20218 L
.26162 .20109 L
.26097 .20062 L
.26002 .1999 L
.25893 .19902 L
.25841 .19858 L
.25712 .19741 L
.25681 .19711 L
.25555 .19581 L
.2552 .19543 L
.25422 .1942 L
.2536 .19336 L
.2532 .1926 L
.25256 .19099 L
.25255 .18939 L
.2536 .18791 L
.25378 .18778 L
F
1 .87 .018 r
.2536 .12623 m
.2552 .12626 L
.25648 .12678 L
.25681 .12689 L
.25841 .12768 L
.25977 .12839 L
.26002 .12859 L
.26162 .12957 L
.26232 .12999 L
.26323 .13059 L
.26473 .1316 L
.26483 .13167 L
.26644 .13278 L
.26705 .1332 L
.26804 .13392 L
.26927 .13481 L
.26965 .13509 L
.27125 .13628 L
.27143 .13641 L
.27286 .13749 L
.27355 .13802 L
.27446 .13872 L
.27563 .13962 L
.27607 .13997 L
.27767 .14123 L
.27767 .14123 L
.27928 .14251 L
.27968 .14283 L
.28088 .14381 L
.28167 .14444 L
.28249 .14511 L
.28363 .14604 L
.2841 .14643 L
.28557 .14765 L
.2857 .14776 L
.28731 .1491 L
.28749 .14926 L
.28891 .15046 L
.28939 .15086 L
.29052 .15182 L
.29127 .15247 L
.29212 .15319 L
.29314 .15407 L
.29373 .15457 L
.295 .15568 L
.29533 .15597 L
.29684 .15728 L
.29694 .15737 L
.29854 .15878 L
.29867 .15889 L
.30015 .1602 L
.30048 .16049 L
.30175 .16162 L
.30228 .1621 L
.30336 .16306 L
.30407 .1637 L
.30496 .16451 L
.30585 .16531 L
.30657 .16596 L
.30762 .16691 L
.30817 .16742 L
.30937 .16852 L
.30978 .16889 L
.31112 .17012 L
.31138 .17037 L
.31285 .17173 L
.31299 .17186 L
.31458 .17333 L
.31459 .17335 L
.3162 .17485 L
.31629 .17494 L
.31781 .17637 L
.31799 .17654 L
.31941 .17789 L
.31969 .17815 L
.32102 .17942 L
.32137 .17975 L
.32262 .18095 L
.32304 .18136 L
.32423 .1825 L
.32471 .18297 L
.32583 .18406 L
.32636 .18457 L
.32744 .18562 L
.328 .18618 L
.32904 .1872 L
.32963 .18778 L
.33065 .18878 L
.33126 .18939 L
.33225 .19038 L
.33287 .19099 L
.33386 .19198 L
.33447 .1926 L
.33546 .1936 L
.33606 .1942 L
.33707 .19523 L
.33763 .19581 L
.33867 .19687 L
.3392 .19741 L
.34028 .19852 L
.34075 .19902 L
.34188 .20019 L
.3423 .20062 L
.34349 .20187 L
.34382 .20223 L
.34509 .20357 L
.34534 .20383 L
.3467 .20529 L
.34684 .20544 L
.3483 .20702 L
.34832 .20704 L
.34979 .20865 L
.34991 .20878 L
.35125 .21025 L
.35152 .21055 L
.35268 .21186 L
.35312 .21236 L
.35409 .21346 L
.35473 .21419 L
.35548 .21507 L
.35633 .21606 L
.35685 .21668 L
.35794 .21797 L
.35819 .21828 L
.35949 .21989 L
.35954 .21994 L
.36077 .22149 L
.36115 .22196 L
.362 .2231 L
.36275 .2241 L
.36317 .2247 L
.36428 .22631 L
.36436 .22644 L
.36531 .22791 L
.36596 .22914 L
.36616 .22952 L
.36691 .23112 L
.3663 .23273 L
.36596 .23284 L
.365 .23273 L
.36436 .23267 L
.36275 .23196 L
.36117 .23112 L
.36115 .23111 L
.35954 .23021 L
.35837 .22952 L
.35794 .22922 L
.35633 .22818 L
.35592 .22791 L
.35473 .2271 L
.35357 .22631 L
.35312 .22599 L
.35152 .22484 L
.35133 .2247 L
.34991 .22367 L
.34914 .2231 L
.3483 .22247 L
.34701 .22149 L
.3467 .22126 L
.34509 .22002 L
.34492 .21989 L
.34349 .21877 L
.34287 .21828 L
.34188 .2175 L
.34084 .21668 L
.34028 .21622 L
.33885 .21507 L
.33867 .21493 L
.33707 .21362 L
.33688 .21346 L
.33546 .2123 L
.33493 .21186 L
.33386 .21097 L
.33301 .21025 L
.33225 .20962 L
.3311 .20865 L
.33065 .20827 L
.32921 .20704 L
.32904 .2069 L
.32744 .20553 L
.32733 .20544 L
.32583 .20415 L
.32547 .20383 L
.32423 .20275 L
.32362 .20223 L
.32262 .20135 L
.32179 .20062 L
.32102 .19994 L
.31997 .19902 L
.31941 .19852 L
.31816 .19741 L
.31781 .19709 L
.31637 .19581 L
.3162 .19565 L
.31459 .19421 L
.31459 .1942 L
.31299 .19275 L
.31282 .1926 L
.31138 .19129 L
.31106 .19099 L
.30978 .18982 L
.30931 .18939 L
.30817 .18834 L
.30758 .18778 L
.30657 .18685 L
.30585 .18618 L
.30496 .18535 L
.30413 .18457 L
.30336 .18384 L
.30243 .18297 L
.30175 .18233 L
.30073 .18136 L
.30015 .1808 L
.29905 .17975 L
.29854 .17927 L
.29737 .17815 L
.29694 .17773 L
.29571 .17654 L
.29533 .17618 L
.29406 .17494 L
.29373 .17462 L
.29241 .17333 L
.29212 .17305 L
.29078 .17173 L
.29052 .17147 L
.28915 .17012 L
.28891 .16989 L
.28754 .16852 L
.28731 .16829 L
.28593 .16691 L
.2857 .16668 L
.28434 .16531 L
.2841 .16506 L
.28276 .1637 L
.28249 .16343 L
.28118 .1621 L
.28088 .16179 L
.27963 .16049 L
.27928 .16013 L
.27808 .15889 L
.27767 .15847 L
.27654 .15728 L
.27607 .15678 L
.27502 .15568 L
.27446 .15508 L
.27352 .15407 L
.27286 .15337 L
.27203 .15247 L
.27125 .15163 L
.27055 .15086 L
.26965 .14987 L
.26909 .14926 L
.26804 .14809 L
.26765 .14765 L
.26644 .14628 L
.26623 .14604 L
.26483 .14444 L
.26483 .14444 L
.26346 .14283 L
.26323 .14257 L
.26211 .14123 L
.26162 .14065 L
.26079 .13962 L
.26002 .13867 L
.25951 .13802 L
.25841 .13661 L
.25827 .13641 L
.25707 .13481 L
.25681 .13449 L
.25593 .1332 L
.2552 .13215 L
.25489 .1316 L
.25394 .12999 L
.2536 .12922 L
.25322 .12839 L
.25307 .12678 L
F
1 .84 .007 r
.2552 .18756 m
.25681 .18702 L
.25841 .18675 L
.26002 .18663 L
.26162 .1866 L
.26323 .18664 L
.26483 .18677 L
.26644 .18696 L
.26804 .18722 L
.26965 .18755 L
.27061 .18778 L
.27125 .18795 L
.27286 .18844 L
.27446 .189 L
.27546 .18939 L
.27607 .18964 L
.27767 .19037 L
.27891 .19099 L
.27928 .19119 L
.28088 .19211 L
.28168 .1926 L
.28249 .19312 L
.28404 .1942 L
.2841 .19424 L
.2857 .19548 L
.28609 .19581 L
.28731 .19687 L
.28788 .19741 L
.28891 .19844 L
.28943 .19902 L
.29052 .20032 L
.29073 .20062 L
.29174 .20223 L
.29212 .20305 L
.29238 .20383 L
.29245 .20544 L
.29212 .20628 L
.29146 .20704 L
.29052 .2077 L
.28891 .20822 L
.28731 .20849 L
.2857 .20861 L
.2841 .20864 L
.28249 .20857 L
.28088 .20842 L
.27928 .2082 L
.27767 .20791 L
.27607 .20754 L
.27446 .2071 L
.27427 .20704 L
.27286 .20659 L
.27125 .20599 L
.26992 .20544 L
.26965 .20532 L
.26804 .20456 L
.26663 .20383 L
.26644 .20373 L
.26483 .2028 L
.26391 .20223 L
.26323 .20179 L
.26162 .20067 L
.26156 .20062 L
.26002 .19944 L
.25949 .19902 L
.25841 .19809 L
.25768 .19741 L
.25681 .19655 L
.25612 .19581 L
.2552 .19474 L
.25481 .1942 L
.25381 .1926 L
.2536 .19215 L
.25322 .19099 L
.2533 .18939 L
.2536 .18882 L
.2548 .18778 L
F
1 .83 .005 r
.25681 .18743 m
.25841 .18708 L
.26002 .18692 L
.26162 .18686 L
.26323 .1869 L
.26483 .18702 L
.26644 .18721 L
.26804 .18748 L
.26951 .18778 L
.26965 .18781 L
.27125 .18823 L
.27286 .18872 L
.27446 .18929 L
.27471 .18939 L
.27607 .18995 L
.27767 .1907 L
.27826 .19099 L
.27928 .19154 L
.28088 .19247 L
.28109 .1926 L
.28249 .19351 L
.28348 .1942 L
.2841 .19466 L
.28554 .19581 L
.2857 .19594 L
.28731 .19738 L
.28734 .19741 L
.28888 .19902 L
.28891 .19905 L
.29017 .20062 L
.29052 .20103 L
.29115 .20223 L
.29173 .20383 L
.29171 .20544 L
.29052 .20701 L
.29046 .20704 L
.28891 .20779 L
.28731 .20814 L
.2857 .2083 L
.2841 .20834 L
.28249 .20829 L
.28088 .20814 L
.27928 .20792 L
.27767 .20763 L
.27607 .20726 L
.27526 .20704 L
.27446 .20681 L
.27286 .20629 L
.27125 .20568 L
.27066 .20544 L
.26965 .205 L
.26804 .20423 L
.26727 .20383 L
.26644 .20338 L
.26483 .20243 L
.2645 .20223 L
.26323 .2014 L
.26212 .20062 L
.26162 .20026 L
.26005 .19902 L
.26002 .19899 L
.25841 .19758 L
.25823 .19741 L
.25681 .19596 L
.25667 .19581 L
.25537 .1942 L
.2552 .19405 L
.2544 .1926 L
.25387 .19099 L
.25406 .18939 L
.2552 .18815 L
.2559 .18778 L
F
1 .82 .004 r
.25841 .18744 m
.26002 .18722 L
.26162 .18714 L
.26323 .18717 L
.26483 .18728 L
.26644 .18747 L
.26804 .18774 L
.26828 .18778 L
.26965 .18808 L
.27125 .1885 L
.27286 .189 L
.27395 .18939 L
.27446 .18958 L
.27607 .19026 L
.27762 .19099 L
.27767 .19102 L
.27928 .19188 L
.28051 .1926 L
.28088 .19283 L
.28249 .19389 L
.28292 .1942 L
.2841 .19508 L
.285 .19581 L
.2857 .1964 L
.2868 .19741 L
.28731 .1979 L
.28834 .19902 L
.28891 .19966 L
.28961 .20062 L
.29052 .20211 L
.29056 .20223 L
.29109 .20383 L
.29096 .20544 L
.29052 .20617 L
.28939 .20704 L
.28891 .20728 L
.28731 .20776 L
.2857 .20797 L
.2841 .20804 L
.28249 .208 L
.28088 .20786 L
.27928 .20765 L
.27767 .20735 L
.27634 .20704 L
.27607 .20698 L
.27446 .20652 L
.27286 .20599 L
.27141 .20544 L
.27125 .20538 L
.26965 .20468 L
.26804 .2039 L
.26791 .20383 L
.26644 .20303 L
.26508 .20223 L
.26483 .20207 L
.26323 .20101 L
.26268 .20062 L
.26162 .19984 L
.26059 .19902 L
.26002 .19854 L
.25876 .19741 L
.25841 .19708 L
.2572 .19581 L
.25681 .19537 L
.25592 .1942 L
.2552 .19317 L
.25498 .1926 L
.25451 .19099 L
.25482 .18939 L
.2552 .18889 L
.25681 .18784 L
.25712 .18778 L
F
1 .81 .003 r
.26002 .18754 m
.26162 .18743 L
.26323 .18744 L
.26483 .18754 L
.26644 .18773 L
.26682 .18778 L
.26804 .18799 L
.26965 .18834 L
.27125 .18877 L
.27286 .18928 L
.27316 .18939 L
.27446 .18988 L
.27607 .19056 L
.27698 .19099 L
.27767 .19134 L
.27928 .19221 L
.27993 .1926 L
.28088 .19319 L
.28238 .1942 L
.28249 .19428 L
.2841 .1955 L
.28448 .19581 L
.2857 .19686 L
.28628 .19741 L
.28731 .19844 L
.28782 .19902 L
.28891 .20039 L
.28907 .20062 L
.28999 .20223 L
.29046 .20383 L
.2902 .20544 L
.28891 .20689 L
.28819 .20704 L
.28731 .20733 L
.2857 .20762 L
.2841 .20772 L
.28249 .2077 L
.28088 .20758 L
.27928 .20737 L
.27767 .20707 L
.27755 .20704 L
.27607 .20669 L
.27446 .20624 L
.27286 .2057 L
.27217 .20544 L
.27125 .20507 L
.26965 .20437 L
.26855 .20383 L
.26804 .20357 L
.26644 .20269 L
.26566 .20223 L
.26483 .20171 L
.26323 .20063 L
.26322 .20062 L
.26162 .19943 L
.26111 .19902 L
.26002 .19809 L
.25929 .19741 L
.25841 .19656 L
.25773 .19581 L
.25681 .1947 L
.25647 .1942 L
.25556 .1926 L
.2552 .19145 L
.25515 .19099 L
.2552 .19031 L
.2556 .18939 L
.25681 .18822 L
.25841 .18782 L
.25858 .18778 L
F
1 .8 .002 r
.26162 .18773 m
.26323 .18772 L
.26451 .18778 L
.26483 .18781 L
.26644 .18799 L
.26804 .18825 L
.26965 .1886 L
.27125 .18904 L
.27236 .18939 L
.27286 .18956 L
.27446 .19017 L
.27607 .19086 L
.27634 .19099 L
.27767 .19166 L
.27928 .19255 L
.27936 .1926 L
.28088 .19355 L
.28185 .1942 L
.28249 .19466 L
.28396 .19581 L
.2841 .19592 L
.2857 .19735 L
.28577 .19741 L
.2873 .19902 L
.28731 .19903 L
.28853 .20062 L
.28891 .2009 L
.28942 .20223 L
.28982 .20383 L
.28942 .20544 L
.28891 .20623 L
.28731 .20691 L
.28675 .20704 L
.2857 .20725 L
.2841 .2074 L
.28249 .2074 L
.28088 .20729 L
.27928 .20708 L
.27902 .20704 L
.27767 .20679 L
.27607 .20641 L
.27446 .20595 L
.27295 .20544 L
.27286 .2054 L
.27125 .20477 L
.26965 .20406 L
.26919 .20383 L
.26804 .20325 L
.26644 .20235 L
.26623 .20223 L
.26483 .20135 L
.26376 .20062 L
.26323 .20025 L
.26163 .19902 L
.26162 .19901 L
.26002 .19762 L
.2598 .19741 L
.25841 .196 L
.25825 .19581 L
.257 .1942 L
.25681 .1939 L
.25613 .1926 L
.25579 .19099 L
.25641 .18939 L
.25681 .18891 L
.25841 .18816 L
.26002 .18787 L
.2609 .18778 L
F
1 .79 .001 r
.25841 .18861 m
.26002 .1882 L
.26162 .18803 L
.26323 .18799 L
.26483 .18807 L
.26644 .18825 L
.26804 .18851 L
.26965 .18887 L
.27125 .18931 L
.27151 .18939 L
.27286 .18984 L
.27446 .19045 L
.2757 .19099 L
.27607 .19116 L
.27767 .19197 L
.27879 .1926 L
.27928 .19288 L
.28088 .1939 L
.28132 .1942 L
.28249 .19505 L
.28345 .19581 L
.2841 .19634 L
.28526 .19741 L
.2857 .19783 L
.28679 .19902 L
.28731 .1996 L
.288 .20062 L
.28885 .20223 L
.28891 .2024 L
.28918 .20383 L
.28891 .20496 L
.2886 .20544 L
.28731 .20647 L
.2857 .20687 L
.28423 .20704 L
.2841 .20705 L
.28249 .20709 L
.2815 .20704 L
.28088 .207 L
.27928 .2068 L
.27767 .20651 L
.27607 .20613 L
.27446 .20567 L
.27377 .20544 L
.27286 .20511 L
.27125 .20447 L
.26983 .20383 L
.26965 .20375 L
.26804 .20293 L
.2668 .20223 L
.26644 .20201 L
.26483 .201 L
.26429 .20062 L
.26323 .19986 L
.26214 .19902 L
.26162 .19859 L
.2603 .19741 L
.26002 .19715 L
.25876 .19581 L
.25841 .19545 L
.25753 .1942 L
.25681 .19288 L
.25669 .1926 L
.25643 .19099 L
.25681 .18991 L
.25726 .18939 L
F
1 .78 .001 r
.25841 .18922 m
.26002 .18858 L
.26162 .18834 L
.26323 .18828 L
.26483 .18834 L
.26644 .18851 L
.26804 .18878 L
.26965 .18914 L
.2706 .18939 L
.27125 .18958 L
.27286 .19011 L
.27446 .19074 L
.27504 .19099 L
.27607 .19146 L
.27767 .19229 L
.27823 .1926 L
.27928 .19322 L
.28079 .1942 L
.28088 .19426 L
.28249 .19544 L
.28294 .19581 L
.2841 .19678 L
.28476 .19741 L
.2857 .19835 L
.28628 .19902 L
.28731 .20034 L
.28747 .20062 L
.28828 .20223 L
.28853 .20383 L
.28772 .20544 L
.28731 .20582 L
.2857 .20648 L
.2841 .20672 L
.28249 .20678 L
.28088 .2067 L
.27928 .20652 L
.27767 .20623 L
.27607 .20585 L
.27465 .20544 L
.27446 .20538 L
.27286 .20482 L
.27125 .20418 L
.27048 .20383 L
.26965 .20344 L
.26804 .20261 L
.26737 .20223 L
.26644 .20168 L
.26483 .20064 L
.26481 .20062 L
.26323 .19948 L
.26265 .19902 L
.26162 .19817 L
.2608 .19741 L
.26002 .19665 L
.25926 .19581 L
.25841 .19479 L
.25806 .1942 L
.25726 .1926 L
.25709 .19099 L
.25818 .18939 L
F
1 1 1 r
.25841 .30919 m
.25908 .30978 L
.26002 .31011 L
.26079 .31138 L
.26162 .31216 L
.26235 .31299 L
.26323 .31396 L
.2641 .31459 L
.26483 .31581 L
.26525 .3162 L
.26644 .31768 L
.26656 .31781 L
.26798 .31941 L
.26804 .31949 L
.26932 .32102 L
.26965 .32146 L
.2707 .32262 L
.27125 .32351 L
.27184 .32423 L
.27286 .32561 L
.27297 .32583 L
.27446 .32738 L
.27451 .32744 L
.27588 .32904 L
.27607 .32946 L
.27702 .33065 L
.27767 .33162 L
.27811 .33225 L
.27928 .33348 L
.27958 .33386 L
.28088 .33546 L
.28088 .33556 L
.2821 .33707 L
.28249 .3377 L
.28321 .33867 L
.2841 .33992 L
.28423 .34028 L
.2857 .34175 L
.28581 .34188 L
.28713 .34349 L
.28731 .34387 L
.28826 .34509 L
.28891 .34606 L
.28932 .3467 L
.29052 .34823 L
.29077 .3483 L
.2921 .34991 L
.29212 .35008 L
.29328 .35152 L
.29373 .35224 L
.29437 .35312 L
.29533 .35442 L
.29542 .35473 L
.29694 .35633 L
.29694 .35633 L
.29829 .35794 L
.29854 .35846 L
.29939 .35954 L
.30015 .36062 L
.30047 .36115 L
.30175 .3627 L
.30187 .36275 L
.3033 .36436 L
.30336 .36469 L
.30441 .36596 L
.30496 .36684 L
.30549 .36757 L
.30657 .36897 L
.30661 .36917 L
.30803 .37078 L
.30817 .37095 L
.30943 .37238 L
.30978 .37307 L
.31051 .37399 L
.31138 .3752 L
.31161 .37559 L
.31297 .3772 L
.31299 .37722 L
.31448 .3788 L
.31459 .37931 L
.31552 .38041 L
.3162 .38144 L
.31661 .38201 L
.31781 .38353 L
.31782 .38362 L
.31912 .38523 L
.31941 .38555 L
.32055 .38683 L
.32102 .38768 L
.32161 .38844 L
.32262 .3898 L
.32275 .39004 L
.32405 .39165 L
.32423 .39181 L
.32563 .39325 L
.32583 .39392 L
.32662 .39486 L
.32744 .39606 L
.32772 .39646 L
.32898 .39807 L
.32904 .3981 L
.3302 .39967 L
.33065 .40015 L
.33166 .40128 L
.33225 .4023 L
.33271 .40288 L
.33386 .40442 L
.33389 .40449 L
.33513 .40609 L
.33546 .40638 L
.33675 .4077 L
.33707 .40854 L
.33771 .4093 L
.33867 .41069 L
.33883 .41091 L
.34006 .41251 L
.34028 .41261 L
.34128 .41412 L
.34188 .41475 L
.34275 .41572 L
.34349 .41693 L
.3438 .41733 L
.34499 .41894 L
.34509 .41906 L
.34621 .42054 L
.3467 .42095 L
.34784 .42215 L
.3483 .42317 L
.34879 .42375 L
.34991 .42533 L
.34993 .42536 L
.35114 .42696 L
.35152 .4271 L
.35236 .42857 L
.35312 .42937 L
.35381 .43017 L
.35473 .43159 L
.35487 .43178 L
.35607 .43338 L
.35633 .43371 L
.35728 .43499 L
.35794 .43554 L
.35889 .43659 L
.35954 .43782 L
.35985 .4382 L
.361 .4398 L
.36115 .43998 L
.36221 .44141 L
.36275 .44209 L
.36344 .44301 L
.36436 .44402 L
.36485 .44462 L
.36594 .44622 L
.36596 .44625 L
.36714 .44783 L
.36757 .44837 L
.36836 .44943 L
.36917 .45018 L
.36991 .45104 L
.37078 .4525 L
.37089 .45265 L
.37207 .45425 L
.37238 .45464 L
.37329 .45586 L
.37399 .45674 L
.37452 .45746 L
.37559 .45871 L
.37588 .45907 L
.37701 .46067 L
.3772 .46091 L
.37821 .46228 L
.3788 .46302 L
.37944 .46388 L
.38041 .46488 L
.38091 .46549 L
.38194 .46709 L
.38201 .46718 L
.38314 .4687 L
.38362 .4693 L
.38436 .4703 L
.38523 .4714 L
.3856 .47191 L
.38683 .47345 L
.38688 .47351 L
.38807 .47512 L
.38844 .47558 L
.38928 .47672 L
.39004 .47769 L
.39051 .47833 L
.39165 .47977 L
.39187 .47993 L
.39299 .48154 L
.39325 .48187 L
.39419 .48314 L
.39486 .48398 L
.39541 .48475 L
.39646 .48608 L
.39666 .48636 L
.3979 .48796 L
.39807 .48817 L
.39909 .48957 L
.39967 .4903 L
.4003 .49117 L
.40128 .49241 L
.40153 .49278 L
.40278 .49438 L
.40288 .49452 L
.40395 .49599 L
.40449 .49666 L
.40514 .49759 L
.40609 .49881 L
.40636 .4992 L
.40759 .5008 L
.4077 .50094 L
.40874 .50241 L
.4093 .50314 L
.40989 .50401 L
.41091 .50536 L
.41107 .50562 L
.41221 .50722 L
.41251 .50764 L
.41325 .50883 L
.41412 .51014 L
.41426 .51043 L
.41412 .51163 L
.41272 .51043 L
.41251 .51025 L
.41105 .50883 L
.41091 .50869 L
.40949 .50722 L
.4093 .50703 L
.40797 .50562 L
.4077 .50528 L
.4065 .50401 L
.40609 .50343 L
.40513 .50241 L
.40449 .50152 L
.40394 .5008 L
.40288 .49988 L
.40228 .4992 L
.40128 .49798 L
.40093 .49759 L
.39967 .49606 L
.39961 .49599 L
.39835 .49438 L
.39807 .49402 L
.39726 .49278 L
.39646 .49219 L
.3956 .49117 L
.39486 .4902 L
.39432 .48957 L
.39325 .48819 L
.39306 .48796 L
.39186 .48636 L
.39165 .48608 L
.39047 .48475 L
.39004 .48418 L
.38919 .48314 L
.38844 .48213 L
.38795 .48154 L
.38683 .48007 L
.38672 .47993 L
.38564 .47833 L
.38523 .47803 L
.38417 .47672 L
.38362 .47598 L
.38292 .47512 L
.38201 .4739 L
.3817 .47351 L
.38052 .47191 L
.38041 .47177 L
.37919 .4703 L
.3788 .46977 L
.37794 .4687 L
.3772 .46769 L
.37672 .46709 L
.37559 .46559 L
.37551 .46549 L
.37449 .46388 L
.37399 .46353 L
.37299 .46228 L
.37238 .46145 L
.37176 .46067 L
.37078 .45935 L
.37055 .45907 L
.36942 .45746 L
.36917 .45716 L
.36805 .45586 L
.36757 .4552 L
.36681 .45425 L
.36596 .4531 L
.3656 .45265 L
.36441 .45104 L
.36436 .45098 L
.36346 .44943 L
.36275 .44893 L
.36188 .44783 L
.36115 .44684 L
.36066 .44622 L
.35954 .44473 L
.35945 .44462 L
.35838 .44301 L
.35794 .44248 L
.35695 .44141 L
.35633 .44057 L
.35572 .4398 L
.35473 .43847 L
.35451 .4382 L
.35336 .43659 L
.35312 .4363 L
.35245 .43499 L
.35152 .43394 L
.35079 .43338 L
.34991 .4322 L
.34957 .43178 L
.34838 .43017 L
.3483 .43008 L
.34735 .42857 L
.3467 .42782 L
.34586 .42696 L
.34509 .42593 L
.34464 .42536 L
.34349 .42382 L
.34343 .42375 L
.34231 .42215 L
.34188 .42163 L
.34144 .42054 L
.34028 .41933 L
.33971 .41894 L
.33867 .41755 L
.33849 .41733 L
.33732 .41572 L
.33707 .41541 L
.33631 .41412 L
.33546 .41318 L
.33478 .41251 L
.33386 .41128 L
.33356 .41091 L
.33235 .4093 L
.33225 .40917 L
.33126 .4077 L
.33065 .40699 L
.33039 .40609 L
.32904 .40477 L
.32863 .40449 L
.32744 .40291 L
.32742 .40288 L
.32625 .40128 L
.32583 .40077 L
.32525 .39967 L
.32423 .39858 L
.3237 .39807 L
.32262 .39663 L
.32248 .39646 L
.32127 .39486 L
.32102 .39452 L
.32019 .39325 L
.31941 .39236 L
.31877 .39165 L
.31781 .39022 L
.31755 .39004 L
.31631 .38844 L
.3162 .38827 L
.31517 .38683 L
.31459 .38613 L
.31416 .38523 L
.31299 .38399 L
.31262 .38362 L
.31139 .38201 L
.31138 .38199 L
.31017 .38041 L
.30978 .37989 L
.3091 .3788 L
.30817 .37775 L
.3077 .3772 L
.30657 .37567 L
.30648 .37559 L
.30519 .37399 L
.30496 .37364 L
.30408 .37238 L
.30336 .37151 L
.30305 .37078 L
.30175 .36939 L
.30155 .36917 L
.30023 .36757 L
.30015 .36738 L
.29908 .36596 L
.29854 .36527 L
.298 .36436 L
.29694 .36313 L
.29662 .36275 L
.2954 .36115 L
.29533 .36109 L
.29408 .35954 L
.29373 .35902 L
.29299 .35794 L
.29212 .35688 L
.29192 .35633 L
.29052 .35477 L
.29048 .35473 L
.28907 .35312 L
.28891 .35278 L
.28799 .35152 L
.28731 .35063 L
.2869 .34991 L
.2857 .34848 L
.28556 .3483 L
.28434 .3467 L
.2841 .34654 L
.28298 .34509 L
.28249 .34438 L
.28191 .34349 L
.28088 .3422 L
.28078 .34188 L
.27944 .34028 L
.27928 .34007 L
.27795 .33867 L
.27767 .33814 L
.27693 .33707 L
.27607 .33592 L
.27582 .33546 L
.27455 .33386 L
.27446 .33375 L
.27334 .33225 L
.27286 .33193 L
.27196 .33065 L
.27125 .32961 L
.2709 .32904 L
.2697 .32744 L
.26965 .32737 L
.26851 .32583 L
.26804 .32521 L
.26699 .32423 L
.26644 .32322 L
.26605 .32262 L
.26494 .32102 L
.26483 .32088 L
.26379 .31941 L
.26323 .31865 L
.26263 .31781 L
.26162 .31655 L
.26141 .3162 L
.26039 .31459 L
.26002 .31405 L
.25934 .31299 L
.25841 .31156 L
.2583 .31138 L
.2575 .30978 L
F
1 .77 .001 r
.26002 .18903 m
.26162 .18868 L
.26323 .18858 L
.26483 .18863 L
.26644 .18879 L
.26804 .18905 L
.26957 .18939 L
.26965 .18941 L
.27125 .18985 L
.27286 .19039 L
.27437 .19099 L
.27446 .19103 L
.27607 .19177 L
.27766 .1926 L
.27767 .19261 L
.27928 .19355 L
.28027 .1942 L
.28088 .19463 L
.28244 .19581 L
.28249 .19585 L
.2841 .19725 L
.28427 .19741 L
.2857 .19892 L
.28578 .19902 L
.28695 .20062 L
.28731 .20126 L
.28771 .20223 L
.28786 .20383 L
.28731 .20496 L
.28677 .20544 L
.2857 .206 L
.2841 .20635 L
.28249 .20645 L
.28088 .2064 L
.27928 .20622 L
.27767 .20594 L
.27607 .20556 L
.2756 .20544 L
.27446 .2051 L
.27286 .20453 L
.27125 .20388 L
.27115 .20383 L
.26965 .20313 L
.26804 .20229 L
.26794 .20223 L
.26644 .20134 L
.26534 .20062 L
.26483 .20028 L
.26323 .19908 L
.26315 .19902 L
.26162 .19772 L
.2613 .19741 L
.26002 .1961 L
.25977 .19581 L
.25858 .1942 L
.25841 .19392 L
.25783 .1926 L
.25776 .19099 L
.25841 .18994 L
.25919 .18939 L
F
1 .86 .013 r
.25841 .13068 m
.26002 .13071 L
.26162 .13149 L
.26192 .1316 L
.26323 .13228 L
.26481 .1332 L
.26483 .13324 L
.26644 .13423 L
.26734 .13481 L
.26804 .13529 L
.26965 .13639 L
.26968 .13641 L
.27125 .13752 L
.27195 .13802 L
.27286 .13868 L
.27413 .13962 L
.27446 .13988 L
.27607 .14109 L
.27625 .14123 L
.27767 .14232 L
.27834 .14283 L
.27928 .14357 L
.28038 .14444 L
.28088 .14484 L
.28239 .14604 L
.28249 .14613 L
.2841 .14743 L
.28437 .14765 L
.2857 .14874 L
.28633 .14926 L
.28731 .15007 L
.28826 .15086 L
.28891 .15141 L
.29017 .15247 L
.29052 .15276 L
.29206 .15407 L
.29212 .15412 L
.29373 .15549 L
.29394 .15568 L
.29533 .15688 L
.2958 .15728 L
.29694 .15827 L
.29764 .15889 L
.29854 .15967 L
.29947 .16049 L
.30015 .16109 L
.30129 .1621 L
.30175 .16251 L
.30309 .1637 L
.30336 .16394 L
.30488 .16531 L
.30496 .16539 L
.30657 .16684 L
.30665 .16691 L
.30817 .1683 L
.30841 .16852 L
.30978 .16977 L
.31017 .17012 L
.31138 .17125 L
.31191 .17173 L
.31299 .17273 L
.31363 .17333 L
.31459 .17423 L
.31535 .17494 L
.3162 .17574 L
.31706 .17654 L
.31781 .17725 L
.31875 .17815 L
.31941 .17878 L
.32043 .17975 L
.32102 .18031 L
.32211 .18136 L
.32262 .18185 L
.32377 .18297 L
.32423 .18341 L
.32542 .18457 L
.32583 .18497 L
.32706 .18618 L
.32744 .18655 L
.32869 .18778 L
.32904 .18813 L
.3303 .18939 L
.33065 .18973 L
.33191 .19099 L
.33225 .19134 L
.3335 .1926 L
.33386 .19296 L
.33508 .1942 L
.33546 .19459 L
.33665 .19581 L
.33707 .19624 L
.3382 .19741 L
.33867 .1979 L
.33974 .19902 L
.34028 .19958 L
.34127 .20062 L
.34188 .20127 L
.34278 .20223 L
.34349 .20299 L
.34427 .20383 L
.34509 .20472 L
.34575 .20544 L
.3467 .20648 L
.34721 .20704 L
.3483 .20826 L
.34865 .20865 L
.34991 .21007 L
.35007 .21025 L
.35147 .21186 L
.35152 .21192 L
.35284 .21346 L
.35312 .21379 L
.35418 .21507 L
.35473 .21572 L
.35548 .21668 L
.35633 .21773 L
.35675 .21828 L
.35794 .21986 L
.35796 .21989 L
.35912 .22149 L
.35954 .22197 L
.3602 .2231 L
.36113 .2247 L
.36115 .22475 L
.36196 .22631 L
.36196 .22791 L
.36115 .22834 L
.35954 .22803 L
.35925 .22791 L
.35794 .22739 L
.35633 .2265 L
.35596 .22631 L
.35473 .22557 L
.35333 .2247 L
.35312 .22455 L
.35152 .22348 L
.35094 .2231 L
.34991 .22238 L
.34865 .22149 L
.3483 .22124 L
.3467 .22007 L
.34645 .21989 L
.34509 .21887 L
.3443 .21828 L
.34349 .21766 L
.34221 .21668 L
.34188 .21642 L
.34028 .21516 L
.34016 .21507 L
.33867 .21389 L
.33814 .21346 L
.33707 .21261 L
.33614 .21186 L
.33546 .2113 L
.33418 .21025 L
.33386 .20999 L
.33225 .20866 L
.33224 .20865 L
.33065 .20732 L
.33032 .20704 L
.32904 .20597 L
.32842 .20544 L
.32744 .2046 L
.32654 .20383 L
.32583 .20323 L
.32467 .20223 L
.32423 .20184 L
.32282 .20062 L
.32262 .20045 L
.32102 .19904 L
.32099 .19902 L
.31941 .19763 L
.31917 .19741 L
.31781 .1962 L
.31736 .19581 L
.3162 .19477 L
.31557 .1942 L
.31459 .19332 L
.31379 .1926 L
.31299 .19187 L
.31202 .19099 L
.31138 .19041 L
.31027 .18939 L
.30978 .18894 L
.30853 .18778 L
.30817 .18746 L
.3068 .18618 L
.30657 .18596 L
.30508 .18457 L
.30496 .18447 L
.30337 .18297 L
.30336 .18296 L
.30175 .18144 L
.30167 .18136 L
.30015 .17991 L
.29999 .17975 L
.29854 .17837 L
.29831 .17815 L
.29694 .17683 L
.29665 .17654 L
.29533 .17527 L
.29499 .17494 L
.29373 .1737 L
.29335 .17333 L
.29212 .17212 L
.29172 .17173 L
.29052 .17054 L
.2901 .17012 L
.28891 .16894 L
.28849 .16852 L
.28731 .16733 L
.2869 .16691 L
.2857 .1657 L
.28531 .16531 L
.2841 .16407 L
.28374 .1637 L
.28249 .16242 L
.28218 .1621 L
.28088 .16076 L
.28063 .16049 L
.27928 .15908 L
.2791 .15889 L
.27767 .15738 L
.27758 .15728 L
.27608 .15568 L
.27607 .15566 L
.2746 .15407 L
.27446 .15393 L
.27313 .15247 L
.27286 .15217 L
.27168 .15086 L
.27125 .15039 L
.27025 .14926 L
.26965 .14857 L
.26885 .14765 L
.26804 .14672 L
.26747 .14604 L
.26644 .14482 L
.26612 .14444 L
.26483 .14287 L
.26481 .14283 L
.26352 .14123 L
.26323 .14087 L
.26229 .13962 L
.26162 .13876 L
.26111 .13802 L
.26002 .13641 L
.26002 .1364 L
.25899 .13481 L
.25841 .13363 L
.2582 .1332 L
.25779 .1316 L
F
1 .76 .001 r
.26162 .18907 m
.26323 .18891 L
.26483 .18892 L
.26644 .18907 L
.26804 .18933 L
.26836 .18939 L
.26965 .18968 L
.27125 .19013 L
.27286 .19068 L
.27367 .19099 L
.27446 .19132 L
.27607 .19207 L
.27708 .1926 L
.27767 .19292 L
.27928 .1939 L
.27974 .1942 L
.28088 .19499 L
.28194 .19581 L
.28249 .19625 L
.28377 .19741 L
.2841 .19771 L
.28527 .19902 L
.2857 .19943 L
.28642 .20062 L
.28713 .20223 L
.28716 .20383 L
.2857 .20541 L
.28565 .20544 L
.2841 .20594 L
.28249 .20611 L
.28088 .20608 L
.27928 .20592 L
.27767 .20565 L
.27669 .20544 L
.27607 .20528 L
.27446 .20481 L
.27286 .20424 L
.27184 .20383 L
.27125 .20358 L
.26965 .20282 L
.26852 .20223 L
.26804 .20196 L
.26644 .201 L
.26587 .20062 L
.26483 .19991 L
.26365 .19902 L
.26323 .19868 L
.2618 .19741 L
.26162 .19726 L
.26027 .19581 L
.26002 .19561 L
.25911 .1942 L
.25841 .1926 L
.25846 .19099 L
.26002 .18955 L
.26038 .18939 L
F
1 .75 0 r
.26323 .18925 m
.26483 .18923 L
.26644 .18936 L
.26669 .18939 L
.26804 .1896 L
.26965 .18995 L
.27125 .19041 L
.27286 .19096 L
.27293 .19099 L
.27446 .19162 L
.27607 .19238 L
.27649 .1926 L
.27767 .19325 L
.27921 .1942 L
.27928 .19425 L
.28088 .19538 L
.28144 .19581 L
.28249 .19668 L
.28328 .19741 L
.2841 .19821 L
.28477 .19902 L
.2857 .20023 L
.28589 .20062 L
.28654 .20223 L
.28643 .20383 L
.2857 .20474 L
.28424 .20544 L
.2841 .20548 L
.28249 .20573 L
.28088 .20575 L
.27928 .20561 L
.27798 .20544 L
.27767 .20535 L
.27607 .20499 L
.27446 .20452 L
.27286 .20394 L
.27258 .20383 L
.27125 .20328 L
.26965 .20251 L
.26911 .20223 L
.26804 .20164 L
.26644 .20065 L
.2664 .20062 L
.26483 .19954 L
.26416 .19902 L
.26323 .19827 L
.26229 .19741 L
.26162 .19679 L
.26077 .19581 L
.26002 .19497 L
.25964 .1942 L
.259 .1926 L
.25919 .19099 L
.26002 .19014 L
.26162 .18945 L
.26214 .18939 L
F
1 .74 0 r
.26002 .19095 m
.26162 .18978 L
.26323 .18958 L
.26483 .18954 L
.26644 .18965 L
.26804 .18988 L
.26965 .19023 L
.27125 .19069 L
.27215 .19099 L
.27286 .19125 L
.27446 .19191 L
.27588 .1926 L
.27607 .19269 L
.27767 .19358 L
.27868 .1942 L
.27928 .19459 L
.28088 .19577 L
.28093 .19581 L
.28249 .19713 L
.28278 .19741 L
.2841 .1988 L
.28426 .19902 L
.28535 .20062 L
.2857 .20139 L
.28593 .20223 L
.2857 .20374 L
.28565 .20383 L
.2841 .20515 L
.28249 .20535 L
.28088 .20541 L
.27928 .2053 L
.27767 .20506 L
.27607 .20469 L
.27446 .20422 L
.27335 .20383 L
.27286 .20365 L
.27125 .20297 L
.26972 .20223 L
.26965 .20219 L
.26804 .20131 L
.26694 .20062 L
.26644 .2003 L
.26483 .19915 L
.26467 .19902 L
.26323 .19782 L
.26279 .19741 L
.26162 .19624 L
.26128 .19581 L
.26017 .1942 L
.26002 .19389 L
.2596 .1926 L
.25999 .19099 L
F
1 .73 0 r
.26162 .19034 m
.26323 .18994 L
.26483 .18986 L
.26644 .18995 L
.26804 .19018 L
.26965 .19053 L
.27125 .19099 L
.27127 .19099 L
.27286 .19154 L
.27446 .19222 L
.27526 .1926 L
.27607 .193 L
.27767 .19392 L
.27813 .1942 L
.27928 .19496 L
.28042 .19581 L
.28088 .19616 L
.28227 .19741 L
.28249 .19759 L
.28375 .19902 L
.2841 .19948 L
.2848 .20062 L
.2853 .20223 L
.2848 .20383 L
.2841 .20455 L
.28249 .20498 L
.28088 .20507 L
.27928 .20498 L
.27767 .20475 L
.27607 .20439 L
.27446 .20392 L
.27421 .20383 L
.27286 .20335 L
.27125 .20266 L
.27035 .20223 L
.26965 .20187 L
.26804 .20097 L
.26749 .20062 L
.26644 .19994 L
.26518 .19902 L
.26483 .19876 L
.26329 .19741 L
.26323 .19736 L
.26179 .19581 L
.26162 .19559 L
.26072 .1942 L
.26023 .1926 L
.26084 .19099 L
F
1 .72 0 r
.26323 .19039 m
.26483 .19022 L
.26644 .19027 L
.26804 .19049 L
.26965 .19083 L
.27029 .19099 L
.27125 .19128 L
.27286 .19184 L
.27446 .19253 L
.2746 .1926 L
.27607 .19333 L
.27757 .1942 L
.27767 .19427 L
.27928 .19534 L
.27989 .19581 L
.28088 .19659 L
.28176 .19741 L
.28249 .19808 L
.28322 .19902 L
.2841 .20035 L
.28424 .20062 L
.28464 .20223 L
.2841 .20357 L
.28383 .20383 L
.28249 .2045 L
.28088 .20469 L
.27928 .20464 L
.27767 .20442 L
.27607 .20407 L
.27517 .20383 L
.27446 .20361 L
.27286 .20304 L
.27125 .20234 L
.27101 .20223 L
.26965 .20155 L
.26805 .20062 L
.26804 .20062 L
.26644 .19956 L
.26571 .19902 L
.26483 .19835 L
.26381 .19741 L
.26323 .19692 L
.26231 .19581 L
.26162 .19482 L
.26128 .1942 L
.26089 .1926 L
.26162 .19117 L
.26183 .19099 L
F
1 .71 0 r
.26323 .19095 m
.26483 .19062 L
.26644 .19062 L
.26804 .19081 L
.26915 .19099 L
.26965 .19113 L
.27125 .19158 L
.27286 .19216 L
.27391 .1926 L
.27446 .19285 L
.27607 .19366 L
.27699 .1942 L
.27767 .19461 L
.27928 .19575 L
.27936 .19581 L
.28088 .19706 L
.28124 .19741 L
.28249 .19873 L
.28269 .19902 L
.28365 .20062 L
.28394 .20223 L
.28258 .20383 L
.28249 .20387 L
.28088 .20426 L
.27928 .20427 L
.27767 .20408 L
.27629 .20383 L
.27607 .20375 L
.27446 .2033 L
.27286 .20272 L
.27171 .20223 L
.27125 .20202 L
.26965 .20121 L
.26863 .20062 L
.26804 .20027 L
.26644 .19917 L
.26624 .19902 L
.26483 .19789 L
.26433 .19741 L
.26323 .19633 L
.26285 .19581 L
.26186 .1942 L
.26162 .19346 L
.26159 .1926 L
.26162 .19245 L
.26313 .19099 L
F
1 .7 0 r
.26323 .19159 m
.26483 .19108 L
.26644 .191 L
.26804 .19113 L
.26965 .19144 L
.27125 .19189 L
.27286 .19248 L
.27314 .1926 L
.27446 .19317 L
.27607 .19402 L
.27639 .1942 L
.27767 .19499 L
.27881 .19581 L
.27928 .19613 L
.2807 .19741 L
.28088 .1975 L
.28213 .19902 L
.28249 .19954 L
.28305 .20062 L
.28318 .20223 L
.28249 .20314 L
.28088 .20376 L
.28029 .20383 L
.27928 .20386 L
.27872 .20383 L
.27767 .20373 L
.27607 .20343 L
.27446 .20297 L
.27286 .20238 L
.27248 .20223 L
.27125 .20169 L
.26965 .20086 L
.26924 .20062 L
.26804 .1999 L
.26679 .19902 L
.26644 .19878 L
.26486 .19741 L
.26483 .1974 L
.2634 .19581 L
.26323 .19557 L
.26246 .1942 L
.26234 .1926 L
F
1 .85 .01 r
.26323 .13521 m
.26483 .13516 L
.26644 .13609 L
.26703 .13641 L
.26804 .13692 L
.26965 .13792 L
.26981 .13802 L
.27125 .13894 L
.2723 .13962 L
.27286 .14002 L
.27446 .14115 L
.27457 .14123 L
.27607 .1423 L
.2768 .14283 L
.27767 .14349 L
.27894 .14444 L
.27928 .1447 L
.28088 .14594 L
.28102 .14604 L
.28249 .1472 L
.28307 .14765 L
.2841 .14847 L
.28508 .14926 L
.2857 .14976 L
.28705 .15086 L
.28731 .15107 L
.28891 .15239 L
.289 .15247 L
.29052 .15373 L
.29093 .15407 L
.29212 .15507 L
.29283 .15568 L
.29373 .15643 L
.29472 .15728 L
.29533 .15781 L
.29658 .15889 L
.29694 .15919 L
.29843 .16049 L
.29854 .16059 L
.30015 .162 L
.30026 .1621 L
.30175 .16342 L
.30208 .1637 L
.30336 .16484 L
.30388 .16531 L
.30496 .16628 L
.30566 .16691 L
.30657 .16773 L
.30744 .16852 L
.30817 .16919 L
.3092 .17012 L
.30978 .17066 L
.31094 .17173 L
.31138 .17214 L
.31267 .17333 L
.31299 .17363 L
.3144 .17494 L
.31459 .17513 L
.3161 .17654 L
.3162 .17664 L
.3178 .17815 L
.31781 .17816 L
.31941 .17969 L
.31948 .17975 L
.32102 .18123 L
.32116 .18136 L
.32262 .18278 L
.32281 .18297 L
.32423 .18434 L
.32446 .18457 L
.32583 .18591 L
.3261 .18618 L
.32744 .1875 L
.32772 .18778 L
.32904 .1891 L
.32933 .18939 L
.33065 .19071 L
.33093 .19099 L
.33225 .19234 L
.33251 .1926 L
.33386 .19398 L
.33408 .1942 L
.33546 .19563 L
.33563 .19581 L
.33707 .19731 L
.33717 .19741 L
.33867 .199 L
.33869 .19902 L
.3402 .20062 L
.34028 .20071 L
.34169 .20223 L
.34188 .20244 L
.34316 .20383 L
.34349 .20419 L
.34461 .20544 L
.34509 .20598 L
.34603 .20704 L
.3467 .2078 L
.34743 .20865 L
.3483 .20966 L
.34881 .21025 L
.34991 .21157 L
.35014 .21186 L
.35144 .21346 L
.35152 .21354 L
.35271 .21507 L
.35312 .21556 L
.35391 .21668 L
.35473 .2178 L
.35502 .21828 L
.35607 .21989 L
.35633 .22045 L
.35691 .22149 L
.35721 .2231 L
.35633 .2238 L
.35473 .22348 L
.35392 .2231 L
.35312 .22279 L
.35152 .22185 L
.35085 .22149 L
.34991 .22089 L
.34837 .21989 L
.3483 .21983 L
.3467 .21874 L
.34602 .21828 L
.34509 .21762 L
.34379 .21668 L
.34349 .21645 L
.34188 .21526 L
.34164 .21507 L
.34028 .21404 L
.33952 .21346 L
.33867 .2128 L
.33747 .21186 L
.33707 .21154 L
.33546 .21026 L
.33545 .21025 L
.33386 .20897 L
.33346 .20865 L
.33225 .20766 L
.3315 .20704 L
.33065 .20634 L
.32956 .20544 L
.32904 .205 L
.32765 .20383 L
.32744 .20365 L
.32583 .20229 L
.32576 .20223 L
.32423 .20091 L
.32389 .20062 L
.32262 .19953 L
.32204 .19902 L
.32102 .19813 L
.3202 .19741 L
.31941 .19672 L
.31838 .19581 L
.31781 .1953 L
.31657 .1942 L
.3162 .19387 L
.31478 .1926 L
.31459 .19243 L
.31301 .19099 L
.31299 .19098 L
.31138 .18951 L
.31124 .18939 L
.30978 .18804 L
.30949 .18778 L
.30817 .18656 L
.30776 .18618 L
.30657 .18507 L
.30603 .18457 L
.30496 .18357 L
.30432 .18297 L
.30336 .18206 L
.30262 .18136 L
.30175 .18054 L
.30093 .17975 L
.30015 .179 L
.29926 .17815 L
.29854 .17746 L
.2976 .17654 L
.29694 .1759 L
.29595 .17494 L
.29533 .17434 L
.29431 .17333 L
.29373 .17276 L
.29268 .17173 L
.29212 .17117 L
.29107 .17012 L
.29052 .16957 L
.28947 .16852 L
.28891 .16796 L
.28788 .16691 L
.28731 .16633 L
.28631 .16531 L
.2857 .16469 L
.28475 .1637 L
.2841 .16303 L
.2832 .1621 L
.28249 .16136 L
.28167 .16049 L
.28088 .15966 L
.28016 .15889 L
.27928 .15795 L
.27866 .15728 L
.27767 .15621 L
.27719 .15568 L
.27607 .15445 L
.27573 .15407 L
.27446 .15265 L
.2743 .15247 L
.27289 .15086 L
.27286 .15083 L
.2715 .14926 L
.27125 .14897 L
.27015 .14765 L
.26965 .14706 L
.26884 .14604 L
.26804 .14507 L
.26757 .14444 L
.26644 .14295 L
.26636 .14283 L
.26519 .14123 L
.26483 .14067 L
.26413 .13962 L
.26324 .13802 L
.26323 .13795 L
.26242 .13641 L
F
1 .69 0 r
.26323 .19256 m
.26483 .19159 L
.26644 .19131 L
.26804 .19146 L
.26965 .19177 L
.27125 .19223 L
.27231 .1926 L
.27286 .1928 L
.27446 .19351 L
.27575 .1942 L
.27607 .19437 L
.27767 .19539 L
.27824 .19581 L
.27928 .19657 L
.28015 .19741 L
.28088 .19796 L
.28156 .19902 L
.2824 .20062 L
.28232 .20223 L
.28088 .20321 L
.27928 .20353 L
.27767 .20339 L
.27607 .20308 L
.27446 .20263 L
.27332 .20223 L
.27286 .20205 L
.27125 .20135 L
.26989 .20062 L
.26965 .2005 L
.26804 .1995 L
.26737 .19902 L
.26644 .19836 L
.26542 .19741 L
.26483 .19706 L
.26397 .19581 L
.26323 .19454 L
.2631 .1942 L
.2632 .1926 L
F
1 .68 0 r
.26483 .19221 m
.26644 .19174 L
.26804 .19185 L
.26965 .19214 L
.27125 .19259 L
.27127 .1926 L
.27286 .19314 L
.27446 .19389 L
.27507 .1942 L
.27607 .19474 L
.27764 .19581 L
.27767 .19583 L
.27928 .19711 L
.27957 .19741 L
.28088 .19888 L
.28095 .19902 L
.28171 .20062 L
.2813 .20223 L
.28088 .20251 L
.27928 .20307 L
.27767 .20298 L
.27607 .2027 L
.27446 .20225 L
.27438 .20223 L
.27286 .20171 L
.27125 .20097 L
.27058 .20062 L
.26965 .20013 L
.26804 .19907 L
.26797 .19902 L
.26644 .19785 L
.266 .19741 L
.26483 .1963 L
.26457 .19581 L
.26378 .1942 L
.26418 .1926 L
F
1 .67 0 r
.26644 .19233 m
.26804 .1923 L
.26965 .19255 L
.26992 .1926 L
.27125 .19292 L
.27286 .19351 L
.27431 .1942 L
.27446 .19427 L
.27607 .19515 L
.27701 .19581 L
.27767 .19619 L
.27896 .19741 L
.27928 .19774 L
.28032 .19902 L
.28088 .2003 L
.28094 .20062 L
.28088 .20115 L
.2798 .20223 L
.27928 .20241 L
.27767 .2025 L
.27607 .20228 L
.27576 .20223 L
.27446 .20192 L
.27286 .20133 L
.27135 .20062 L
.27125 .20058 L
.26965 .19972 L
.26861 .19902 L
.26804 .19871 L
.26661 .19741 L
.26644 .19724 L
.2652 .19581 L
.26483 .19515 L
.26454 .1942 L
.26483 .19316 L
.26563 .1926 L
F
1 1 1 r
.26804 .21328 m
.26965 .21312 L
.27125 .21306 L
.27286 .21304 L
.27446 .21303 L
.27607 .21302 L
.27767 .21302 L
.27928 .21302 L
.28088 .21303 L
.28249 .21303 L
.2841 .21303 L
.2857 .21303 L
.28731 .21303 L
.28891 .21303 L
.29052 .21303 L
.29212 .21303 L
.29373 .21304 L
.29533 .21304 L
.29694 .21304 L
.29854 .21304 L
.30015 .21305 L
.30175 .21306 L
.30336 .21307 L
.30496 .21309 L
.30657 .21312 L
.30817 .21316 L
.30978 .21324 L
.31138 .21338 L
.31201 .21346 L
.31299 .21365 L
.31459 .21406 L
.3162 .21462 L
.31721 .21507 L
.31781 .21536 L
.31941 .21622 L
.32017 .21668 L
.32102 .2172 L
.32261 .21828 L
.32262 .21829 L
.32423 .21944 L
.32481 .21989 L
.32583 .22067 L
.32686 .22149 L
.32744 .22196 L
.3288 .2231 L
.32904 .2233 L
.33065 .22469 L
.33066 .2247 L
.33225 .22613 L
.33245 .22631 L
.33386 .22762 L
.33416 .22791 L
.33546 .22917 L
.33582 .22952 L
.33707 .23077 L
.33741 .23112 L
.33867 .23245 L
.33893 .23273 L
.34028 .23422 L
.34037 .23433 L
.34171 .23594 L
.34188 .23612 L
.34292 .23754 L
.34349 .23841 L
.34391 .23915 L
.34449 .24075 L
.34378 .24236 L
.34349 .24251 L
.34188 .24303 L
.34028 .24315 L
.33867 .2432 L
.33707 .24322 L
.33546 .24323 L
.33386 .24323 L
.33225 .24323 L
.33065 .24323 L
.32904 .24323 L
.32744 .24323 L
.32583 .24323 L
.32423 .24323 L
.32262 .24323 L
.32102 .24323 L
.31941 .24322 L
.31781 .24322 L
.3162 .24322 L
.31459 .24322 L
.31299 .24321 L
.31138 .2432 L
.30978 .2432 L
.30817 .24318 L
.30657 .24317 L
.30496 .24315 L
.30336 .24311 L
.30175 .24306 L
.30015 .24297 L
.29854 .24282 L
.29694 .24259 L
.29586 .24236 L
.29533 .2422 L
.29373 .24163 L
.29212 .24092 L
.29179 .24075 L
.29052 .24006 L
.28901 .23915 L
.28891 .23908 L
.28731 .23801 L
.28665 .23754 L
.2857 .23686 L
.28449 .23594 L
.2841 .23563 L
.28249 .23435 L
.28247 .23433 L
.28088 .23301 L
.28055 .23273 L
.27928 .23163 L
.27871 .23112 L
.27767 .23019 L
.27694 .22952 L
.27607 .2287 L
.27524 .22791 L
.27446 .22716 L
.2736 .22631 L
.27286 .22556 L
.27202 .2247 L
.27125 .22389 L
.27052 .2231 L
.26965 .22213 L
.2691 .22149 L
.26804 .22021 L
.26779 .21989 L
.26663 .21828 L
.26644 .21798 L
.26572 .21668 L
.26531 .21507 L
.26644 .21369 L
.26716 .21346 L
F
1 .66 0 r
.26644 .19306 m
.26804 .19282 L
.26965 .19284 L
.27125 .1933 L
.27286 .19394 L
.27346 .1942 L
.27446 .19462 L
.27607 .19564 L
.27631 .19581 L
.27767 .19673 L
.2783 .19741 L
.27928 .19853 L
.27962 .19902 L
.28009 .20062 L
.27928 .20162 L
.27767 .20196 L
.27607 .20197 L
.27446 .20152 L
.27286 .2009 L
.27221 .20062 L
.27125 .20023 L
.26965 .19925 L
.26931 .19902 L
.26804 .19821 L
.26726 .19741 L
.26644 .19653 L
.26589 .19581 L
.26537 .1942 L
F
1 .65 0 r
.26804 .19342 m
.26965 .19329 L
.27125 .19378 L
.27254 .1942 L
.27286 .19426 L
.27446 .19508 L
.27556 .19581 L
.27607 .19618 L
.27758 .19741 L
.27767 .19752 L
.27885 .19902 L
.27893 .20062 L
.27767 .2013 L
.27607 .20149 L
.27446 .20103 L
.27312 .20062 L
.27286 .20056 L
.27125 .19977 L
.27007 .19902 L
.26965 .19872 L
.26804 .19747 L
.268 .19741 L
.26666 .19581 L
.26649 .1942 L
F
1 .64 0 r
.26965 .19403 m
.2706 .1942 L
.27125 .19436 L
.27286 .19462 L
.27446 .1957 L
.27462 .19581 L
.27607 .19682 L
.27677 .19741 L
.27767 .19857 L
.27791 .19902 L
.27767 .20027 L
.27687 .20062 L
.27607 .2007 L
.27542 .20062 L
.27446 .20044 L
.27286 .2002 L
.27125 .19916 L
.27102 .19902 L
.26965 .1981 L
.26879 .19741 L
.26804 .19655 L
.26756 .19581 L
.26804 .19429 L
.26825 .1942 L
F
1 .84 .007 r
.26804 .13994 m
.26965 .14012 L
.27125 .14077 L
.27204 .14123 L
.27286 .14163 L
.27446 .14267 L
.27474 .14283 L
.27607 .1437 L
.27717 .14444 L
.27767 .14481 L
.27928 .14597 L
.27938 .14604 L
.28088 .14715 L
.28156 .14765 L
.28249 .14836 L
.28366 .14926 L
.2841 .14959 L
.2857 .15086 L
.2857 .15086 L
.28731 .15214 L
.28772 .15247 L
.28891 .15343 L
.2897 .15407 L
.29052 .15474 L
.29164 .15568 L
.29212 .15608 L
.29356 .15728 L
.29373 .15742 L
.29533 .15878 L
.29545 .15889 L
.29694 .16016 L
.29733 .16049 L
.29854 .16154 L
.29918 .1621 L
.30015 .16294 L
.30102 .1637 L
.30175 .16435 L
.30283 .16531 L
.30336 .16577 L
.30463 .16691 L
.30496 .16721 L
.30642 .16852 L
.30657 .16865 L
.30817 .17011 L
.30819 .17012 L
.30978 .17158 L
.30994 .17173 L
.31138 .17306 L
.31168 .17333 L
.31299 .17455 L
.31341 .17494 L
.31459 .17605 L
.31512 .17654 L
.3162 .17756 L
.31682 .17815 L
.31781 .17909 L
.3185 .17975 L
.31941 .18062 L
.32017 .18136 L
.32102 .18217 L
.32183 .18297 L
.32262 .18373 L
.32347 .18457 L
.32423 .18531 L
.3251 .18618 L
.32583 .1869 L
.32672 .18778 L
.32744 .1885 L
.32832 .18939 L
.32904 .19011 L
.32991 .19099 L
.33065 .19175 L
.33148 .1926 L
.33225 .19339 L
.33303 .1942 L
.33386 .19506 L
.33457 .19581 L
.33546 .19675 L
.33608 .19741 L
.33707 .19846 L
.33758 .19902 L
.33867 .20019 L
.33906 .20062 L
.34028 .20196 L
.34052 .20223 L
.34188 .20376 L
.34195 .20383 L
.34336 .20544 L
.34349 .20559 L
.34473 .20704 L
.34509 .20745 L
.34607 .20865 L
.3467 .20939 L
.34736 .21025 L
.3483 .21145 L
.34859 .21186 L
.34977 .21346 L
.34991 .2137 L
.35087 .21507 L
.35152 .2163 L
.35173 .21668 L
.35221 .21828 L
.35152 .2191 L
.34991 .21886 L
.34885 .21828 L
.3483 .21811 L
.3467 .21713 L
.34587 .21668 L
.34509 .21614 L
.34351 .21507 L
.34349 .21505 L
.34188 .21394 L
.3412 .21346 L
.34028 .2128 L
.33901 .21186 L
.33867 .2116 L
.33707 .21038 L
.3369 .21025 L
.33546 .20915 L
.33482 .20865 L
.33386 .20789 L
.3328 .20704 L
.33225 .2066 L
.33082 .20544 L
.33065 .2053 L
.32904 .20398 L
.32886 .20383 L
.32744 .20265 L
.32693 .20223 L
.32583 .2013 L
.32503 .20062 L
.32423 .19994 L
.32315 .19902 L
.32262 .19857 L
.32129 .19741 L
.32102 .19718 L
.31945 .19581 L
.31941 .19577 L
.31781 .19436 L
.31762 .1942 L
.3162 .19294 L
.31582 .1926 L
.31459 .1915 L
.31403 .19099 L
.31299 .19005 L
.31225 .18939 L
.31138 .18859 L
.3105 .18778 L
.30978 .18712 L
.30875 .18618 L
.30817 .18564 L
.30702 .18457 L
.30657 .18415 L
.30531 .18297 L
.30496 .18264 L
.3036 .18136 L
.30336 .18113 L
.30192 .17975 L
.30175 .1796 L
.30024 .17815 L
.30015 .17806 L
.29858 .17654 L
.29854 .17651 L
.29694 .17494 L
.29693 .17494 L
.29533 .17336 L
.2953 .17333 L
.29373 .17177 L
.29368 .17173 L
.29212 .17017 L
.29208 .17012 L
.29052 .16855 L
.29049 .16852 L
.28891 .16691 L
.28891 .16691 L
.28735 .16531 L
.28731 .16526 L
.28581 .1637 L
.2857 .16359 L
.28428 .1621 L
.2841 .1619 L
.28277 .16049 L
.28249 .16019 L
.28128 .15889 L
.28088 .15846 L
.27982 .15728 L
.27928 .15669 L
.27838 .15568 L
.27767 .15489 L
.27696 .15407 L
.27607 .15305 L
.27558 .15247 L
.27446 .15114 L
.27423 .15086 L
.27293 .14926 L
.27286 .14919 L
.27166 .14765 L
.27125 .14722 L
.27046 .14604 L
.26965 .14495 L
.26937 .14444 L
.26829 .14283 L
.26804 .14206 L
.26763 .14123 L
F
1 .63 0 r
.26965 .19494 m
.27125 .19503 L
.27286 .19542 L
.27359 .19581 L
.27446 .19642 L
.27591 .19741 L
.27607 .1978 L
.27689 .19902 L
.27607 .1997 L
.27446 .19974 L
.27286 .19939 L
.27203 .19902 L
.27125 .19845 L
.26985 .19741 L
.26965 .19721 L
.26881 .19581 L
F
.733 .99 1 r
.28088 .21344 m
.28249 .2134 L
.2841 .21337 L
.2857 .21335 L
.28731 .21333 L
.28891 .21333 L
.29052 .21333 L
.29212 .21334 L
.29373 .21335 L
.29533 .21338 L
.29694 .21341 L
.29854 .21345 L
.29914 .21346 L
.30015 .2135 L
.30175 .21358 L
.30336 .21367 L
.30496 .2138 L
.30657 .21397 L
.30817 .21419 L
.30978 .21448 L
.31138 .21483 L
.3123 .21507 L
.31299 .21529 L
.31459 .21587 L
.3162 .21654 L
.31649 .21668 L
.31781 .21734 L
.31941 .21825 L
.31947 .21828 L
.32102 .21925 L
.32196 .21989 L
.32262 .22035 L
.32417 .22149 L
.32423 .22153 L
.32583 .22279 L
.3262 .2231 L
.32744 .22413 L
.3281 .2247 L
.32904 .22554 L
.32988 .22631 L
.33065 .22703 L
.33156 .22791 L
.33225 .22861 L
.33314 .22952 L
.33386 .23029 L
.3346 .23112 L
.33546 .23213 L
.33595 .23273 L
.33707 .23422 L
.33715 .23433 L
.33815 .23594 L
.33867 .23705 L
.33885 .23754 L
.33903 .23915 L
.33867 .24009 L
.33804 .24075 L
.33707 .24139 L
.33546 .24188 L
.33386 .24214 L
.33225 .24231 L
.33173 .24236 L
.33065 .24245 L
.32904 .24255 L
.32744 .24262 L
.32583 .24267 L
.32423 .2427 L
.32262 .24273 L
.32102 .24273 L
.31941 .24273 L
.31781 .24272 L
.3162 .2427 L
.31459 .24267 L
.31299 .24262 L
.31138 .24256 L
.30978 .24248 L
.30817 .24238 L
.30791 .24236 L
.30657 .24224 L
.30496 .24206 L
.30336 .24184 L
.30175 .24156 L
.30015 .24122 L
.29854 .24083 L
.29825 .24075 L
.29694 .24033 L
.29533 .23973 L
.2939 .23915 L
.29373 .23907 L
.29212 .23828 L
.29072 .23754 L
.29052 .23743 L
.28891 .23647 L
.28806 .23594 L
.28731 .23544 L
.2857 .23434 L
.2857 .23433 L
.2841 .23316 L
.28353 .23273 L
.28249 .23191 L
.28152 .23112 L
.28088 .23059 L
.27963 .22952 L
.27928 .22921 L
.27785 .22791 L
.27767 .22775 L
.27616 .22631 L
.27607 .22621 L
.27459 .2247 L
.27446 .22457 L
.27312 .2231 L
.27286 .2228 L
.27179 .22149 L
.27125 .2208 L
.27065 .21989 L
.26978 .21828 L
.26965 .21795 L
.2694 .21668 L
.26965 .21571 L
.27023 .21507 L
.27125 .21436 L
.27286 .21395 L
.27446 .21376 L
.27607 .21364 L
.27767 .21356 L
.27928 .21349 L
.28003 .21346 L
F
1 .62 0 r
.27286 .19658 m
.27411 .19741 L
.27286 .19824 L
.27146 .19741 L
F
.538 .98 1 r
.27446 .2149 m
.27607 .2144 L
.27767 .21413 L
.27928 .21396 L
.28088 .21385 L
.28249 .21377 L
.2841 .21371 L
.2857 .21367 L
.28731 .21364 L
.28891 .21363 L
.29052 .21363 L
.29212 .21364 L
.29373 .21367 L
.29533 .21371 L
.29694 .21377 L
.29854 .21384 L
.30015 .21394 L
.30175 .21407 L
.30336 .21424 L
.30496 .21445 L
.30657 .2147 L
.30817 .21502 L
.30842 .21507 L
.30978 .21542 L
.31138 .21591 L
.31299 .21648 L
.31349 .21668 L
.31459 .21716 L
.3162 .21793 L
.31687 .21828 L
.31781 .21881 L
.31941 .21978 L
.31957 .21989 L
.32102 .22085 L
.32192 .22149 L
.32262 .22201 L
.32403 .2231 L
.32423 .22326 L
.32583 .22459 L
.32596 .2247 L
.32744 .22602 L
.32775 .22631 L
.32904 .22755 L
.3294 .22791 L
.33065 .22921 L
.33093 .22952 L
.33225 .23104 L
.33232 .23112 L
.33355 .23273 L
.33386 .23315 L
.33459 .23433 L
.33537 .23594 L
.33546 .23618 L
.33576 .23754 L
.33546 .23914 L
.33546 .23915 L
.33386 .24059 L
.33351 .24075 L
.33225 .24122 L
.33065 .24159 L
.32904 .24182 L
.32744 .24198 L
.32583 .24209 L
.32423 .24217 L
.32262 .24222 L
.32102 .24225 L
.31941 .24225 L
.31781 .24224 L
.3162 .24221 L
.31459 .24215 L
.31299 .24207 L
.31138 .24197 L
.30978 .24183 L
.30817 .24165 L
.30657 .24144 L
.30496 .24118 L
.30336 .24088 L
.30277 .24075 L
.30175 .2405 L
.30015 .24004 L
.29854 .23952 L
.29747 .23915 L
.29694 .23894 L
.29533 .23825 L
.2938 .23754 L
.29373 .23751 L
.29212 .23666 L
.29083 .23594 L
.29052 .23575 L
.28891 .23476 L
.28825 .23433 L
.28731 .23369 L
.28593 .23273 L
.2857 .23256 L
.2841 .23135 L
.28381 .23112 L
.28249 .23006 L
.28184 .22952 L
.28088 .2287 L
.28 .22791 L
.27928 .22724 L
.2783 .22631 L
.27767 .22569 L
.27672 .2247 L
.27607 .22399 L
.2753 .2231 L
.27446 .22207 L
.27404 .22149 L
.27303 .21989 L
.27286 .21955 L
.27238 .21828 L
.27239 .21668 L
.27286 .21591 L
.27411 .21507 L
F
1 .83 .005 r
.27446 .14498 m
.27607 .14558 L
.27683 .14604 L
.27767 .14643 L
.27928 .14752 L
.2795 .14765 L
.28088 .14857 L
.28191 .14926 L
.28249 .14969 L
.28406 .15086 L
.2841 .15089 L
.2857 .15208 L
.28621 .15247 L
.28731 .15331 L
.28828 .15407 L
.28891 .15457 L
.29029 .15568 L
.29052 .15586 L
.29212 .15717 L
.29226 .15728 L
.29373 .15849 L
.29421 .15889 L
.29533 .15983 L
.29612 .16049 L
.29694 .16118 L
.29801 .1621 L
.29854 .16255 L
.29987 .1637 L
.30015 .16394 L
.30171 .16531 L
.30175 .16535 L
.30336 .16676 L
.30353 .16691 L
.30496 .16819 L
.30533 .16852 L
.30657 .16963 L
.30712 .17012 L
.30817 .17108 L
.30888 .17173 L
.30978 .17255 L
.31063 .17333 L
.31138 .17403 L
.31236 .17494 L
.31299 .17552 L
.31408 .17654 L
.31459 .17703 L
.31578 .17815 L
.3162 .17855 L
.31746 .17975 L
.31781 .18008 L
.31913 .18136 L
.31941 .18163 L
.32079 .18297 L
.32102 .18319 L
.32242 .18457 L
.32262 .18476 L
.32405 .18618 L
.32423 .18635 L
.32565 .18778 L
.32583 .18796 L
.32724 .18939 L
.32744 .18958 L
.32881 .19099 L
.32904 .19122 L
.33037 .1926 L
.33065 .19289 L
.3319 .1942 L
.33225 .19457 L
.33341 .19581 L
.33386 .19628 L
.3349 .19741 L
.33546 .19801 L
.33637 .19902 L
.33707 .19978 L
.3378 .20062 L
.33867 .2016 L
.33921 .20223 L
.34028 .20347 L
.34057 .20383 L
.34188 .20543 L
.34189 .20544 L
.34319 .20704 L
.34349 .20725 L
.34441 .20865 L
.34509 .2097 L
.3455 .21025 L
.34639 .21186 L
.3467 .21255 L
.34691 .21346 L
.3467 .21399 L
.34509 .21409 L
.34406 .21346 L
.34349 .21318 L
.34188 .2123 L
.34105 .21186 L
.34028 .21131 L
.33873 .21025 L
.33867 .21019 L
.33707 .20905 L
.3365 .20865 L
.33546 .20788 L
.33434 .20704 L
.33386 .20667 L
.33228 .20544 L
.33225 .20542 L
.33065 .20416 L
.33024 .20383 L
.32904 .20288 L
.32824 .20223 L
.32744 .20157 L
.32629 .20062 L
.32583 .20024 L
.32437 .19902 L
.32423 .1989 L
.32262 .19754 L
.32248 .19741 L
.32102 .19616 L
.3206 .19581 L
.31941 .19477 L
.31875 .1942 L
.31781 .19337 L
.31693 .1926 L
.3162 .19195 L
.31512 .19099 L
.31459 .19052 L
.31333 .18939 L
.31299 .18908 L
.31156 .18778 L
.31138 .18762 L
.30981 .18618 L
.30978 .18615 L
.30817 .18466 L
.30807 .18457 L
.30657 .18317 L
.30635 .18297 L
.30496 .18166 L
.30464 .18136 L
.30336 .18014 L
.30295 .17975 L
.30175 .17861 L
.30128 .17815 L
.30015 .17706 L
.29962 .17654 L
.29854 .17549 L
.29798 .17494 L
.29694 .17392 L
.29635 .17333 L
.29533 .17232 L
.29474 .17173 L
.29373 .17071 L
.29315 .17012 L
.29212 .16909 L
.29157 .16852 L
.29052 .16744 L
.29001 .16691 L
.28891 .16577 L
.28847 .16531 L
.28731 .16408 L
.28695 .1637 L
.2857 .16236 L
.28546 .1621 L
.2841 .16062 L
.28398 .16049 L
.28254 .15889 L
.28249 .15884 L
.28111 .15728 L
.28088 .15704 L
.27973 .15568 L
.27928 .15518 L
.27838 .15407 L
.27767 .15324 L
.27709 .15247 L
.27607 .15115 L
.27588 .15086 L
.27468 .14926 L
.27446 .14883 L
.27362 .14765 L
.27303 .14604 L
F
.395 .97 1 r
.27767 .21492 m
.27928 .21455 L
.28088 .21432 L
.28249 .21417 L
.2841 .21407 L
.2857 .214 L
.28731 .21396 L
.28891 .21393 L
.29052 .21393 L
.29212 .21395 L
.29373 .21398 L
.29533 .21404 L
.29694 .21412 L
.29854 .21422 L
.30015 .21436 L
.30175 .21453 L
.30336 .21475 L
.30496 .21501 L
.3053 .21507 L
.30657 .21534 L
.30817 .21575 L
.30978 .21623 L
.3111 .21668 L
.31138 .21678 L
.31299 .21745 L
.31459 .21819 L
.31477 .21828 L
.3162 .21905 L
.31764 .21989 L
.31781 .21999 L
.31941 .22103 L
.32008 .22149 L
.32102 .22216 L
.32225 .2231 L
.32262 .22339 L
.32421 .2247 L
.32423 .22471 L
.32583 .22614 L
.32601 .22631 L
.32744 .2277 L
.32765 .22791 L
.32904 .2294 L
.32914 .22952 L
.33048 .23112 L
.33065 .23133 L
.33164 .23273 L
.33225 .23368 L
.33258 .23433 L
.33321 .23594 L
.33338 .23754 L
.33271 .23915 L
.33225 .2397 L
.33065 .24054 L
.32984 .24075 L
.32904 .24097 L
.32744 .24128 L
.32583 .24149 L
.32423 .24162 L
.32262 .24171 L
.32102 .24176 L
.31941 .24178 L
.31781 .24177 L
.3162 .24173 L
.31459 .24166 L
.31299 .24155 L
.31138 .24142 L
.30978 .24125 L
.30817 .24103 L
.30657 .24078 L
.30644 .24075 L
.30496 .24045 L
.30336 .24007 L
.30175 .23962 L
.30021 .23915 L
.30015 .23913 L
.29854 .23853 L
.29694 .23787 L
.29618 .23754 L
.29533 .23714 L
.29373 .23633 L
.29299 .23594 L
.29212 .23544 L
.29052 .23449 L
.29027 .23433 L
.28891 .23345 L
.28784 .23273 L
.28731 .23235 L
.2857 .23117 L
.28564 .23112 L
.2841 .2299 L
.28362 .22952 L
.28249 .22856 L
.28176 .22791 L
.28088 .22711 L
.28004 .22631 L
.27928 .22555 L
.27847 .2247 L
.27767 .22382 L
.27707 .2231 L
.27607 .22178 L
.27588 .22149 L
.27496 .21989 L
.27447 .21828 L
.27478 .21668 L
.27607 .21555 L
.27722 .21507 L
F
.289 .96 1 r
.28088 .21488 m
.28249 .21462 L
.2841 .21446 L
.2857 .21435 L
.28731 .21428 L
.28891 .21425 L
.29052 .21424 L
.29212 .21425 L
.29373 .21429 L
.29533 .21436 L
.29694 .21446 L
.29854 .21459 L
.30015 .21475 L
.30175 .21496 L
.30251 .21507 L
.30336 .21522 L
.30496 .21554 L
.30657 .21593 L
.30817 .21638 L
.30909 .21668 L
.30978 .21692 L
.31138 .21756 L
.31299 .21827 L
.31302 .21828 L
.31459 .21909 L
.31603 .21989 L
.3162 .21999 L
.31781 .221 L
.31855 .22149 L
.31941 .2221 L
.32076 .2231 L
.32102 .22329 L
.32262 .22459 L
.32275 .2247 L
.32423 .22601 L
.32455 .22631 L
.32583 .22755 L
.32619 .22791 L
.32744 .22926 L
.32766 .22952 L
.32896 .23112 L
.32904 .23123 L
.33006 .23273 L
.33065 .2337 L
.33091 .23433 L
.33143 .23594 L
.33141 .23754 L
.33065 .23889 L
.33037 .23915 L
.32904 .24001 L
.32744 .24051 L
.32623 .24075 L
.32583 .24083 L
.32423 .24105 L
.32262 .24119 L
.32102 .24127 L
.31941 .24131 L
.31781 .2413 L
.3162 .24126 L
.31459 .24118 L
.31299 .24107 L
.31138 .24091 L
.31005 .24075 L
.30978 .24072 L
.30817 .24046 L
.30657 .24016 L
.30496 .2398 L
.30336 .23938 L
.30255 .23915 L
.30175 .23889 L
.30015 .23833 L
.29854 .2377 L
.29815 .23754 L
.29694 .237 L
.29533 .23622 L
.29478 .23594 L
.29373 .23537 L
.29212 .23445 L
.29193 .23433 L
.29052 .23344 L
.28942 .23273 L
.28891 .23237 L
.28731 .23123 L
.28717 .23112 L
.2857 .22999 L
.28511 .22952 L
.2841 .22867 L
.28322 .22791 L
.28249 .22725 L
.28149 .22631 L
.28088 .2257 L
.27993 .2247 L
.27928 .22397 L
.27856 .2231 L
.27767 .22191 L
.27742 .22149 L
.27658 .21989 L
.27623 .21828 L
.2768 .21668 L
.27767 .21595 L
.27928 .21519 L
.28002 .21507 L
F
.212 .95 1 r
.2841 .21488 m
.2857 .21472 L
.28731 .21462 L
.28891 .21457 L
.29052 .21455 L
.29212 .21456 L
.29373 .2146 L
.29533 .21468 L
.29694 .21479 L
.29854 .21494 L
.29969 .21507 L
.30015 .21513 L
.30175 .21537 L
.30336 .21567 L
.30496 .21603 L
.30657 .21646 L
.3073 .21668 L
.30817 .21697 L
.30978 .21756 L
.31138 .21823 L
.31149 .21828 L
.31299 .21901 L
.31459 .21987 L
.31462 .21989 L
.3162 .22083 L
.31722 .22149 L
.31781 .22189 L
.31941 .22305 L
.31948 .2231 L
.32102 .22431 L
.32149 .2247 L
.32262 .22569 L
.3233 .22631 L
.32423 .2272 L
.32492 .22791 L
.32583 .22889 L
.32638 .22952 L
.32744 .23083 L
.32765 .23112 L
.3287 .23273 L
.32904 .2332 L
.32948 .23433 L
.32988 .23594 L
.32967 .23754 L
.32904 .23849 L
.32822 .23915 L
.32744 .23958 L
.32583 .24013 L
.32423 .24044 L
.32262 .24065 L
.32132 .24075 L
.32102 .24077 L
.31941 .24083 L
.31781 .24085 L
.3162 .24081 L
.31486 .24075 L
.31459 .24073 L
.31299 .2406 L
.31138 .24043 L
.30978 .24021 L
.30817 .23993 L
.30657 .2396 L
.30496 .23922 L
.30471 .23915 L
.30336 .23876 L
.30175 .23823 L
.30015 .23764 L
.29989 .23754 L
.29854 .23697 L
.29694 .23623 L
.29632 .23594 L
.29533 .23542 L
.29373 .23454 L
.29336 .23433 L
.29212 .23358 L
.29079 .23273 L
.29052 .23255 L
.28891 .23143 L
.28848 .23112 L
.28731 .23024 L
.28639 .22952 L
.2857 .22896 L
.28448 .22791 L
.2841 .22757 L
.28275 .22631 L
.28249 .22605 L
.2812 .2247 L
.28088 .22436 L
.27985 .2231 L
.27928 .22236 L
.27875 .22149 L
.27798 .21989 L
.27776 .21828 L
.27859 .21668 L
.27928 .21604 L
.28088 .21542 L
.28249 .21512 L
.28283 .21507 L
F
1 .82 .004 r
.27928 .15026 m
.28088 .15066 L
.28121 .15086 L
.28249 .15134 L
.28398 .15247 L
.2841 .15249 L
.2857 .15358 L
.28644 .15407 L
.28731 .15471 L
.28863 .15568 L
.28891 .15591 L
.29052 .15716 L
.29068 .15728 L
.29212 .15841 L
.29273 .15889 L
.29373 .15968 L
.29472 .16049 L
.29533 .16099 L
.29666 .1621 L
.29694 .16233 L
.29854 .16369 L
.29856 .1637 L
.30015 .16505 L
.30044 .16531 L
.30175 .16644 L
.3023 .16691 L
.30336 .16784 L
.30413 .16852 L
.30496 .16925 L
.30594 .17012 L
.30657 .17069 L
.30772 .17173 L
.30817 .17214 L
.30948 .17333 L
.30978 .17361 L
.31122 .17494 L
.31138 .17509 L
.31294 .17654 L
.31299 .17659 L
.31459 .17811 L
.31464 .17815 L
.3162 .17963 L
.31633 .17975 L
.31781 .18117 L
.318 .18136 L
.31941 .18273 L
.31965 .18297 L
.32102 .18431 L
.32128 .18457 L
.32262 .18591 L
.32289 .18618 L
.32423 .18752 L
.32448 .18778 L
.32583 .18916 L
.32605 .18939 L
.32744 .19082 L
.32759 .19099 L
.32904 .19252 L
.32912 .1926 L
.33062 .1942 L
.33065 .19423 L
.33209 .19581 L
.33225 .19596 L
.33354 .19741 L
.33386 .19773 L
.33495 .19902 L
.33546 .19956 L
.33631 .20062 L
.33707 .20149 L
.3376 .20223 L
.33867 .20363 L
.3388 .20383 L
.3399 .20544 L
.34028 .20605 L
.34081 .20704 L
.34086 .20865 L
.34028 .2087 L
.34002 .20865 L
.33867 .20813 L
.33707 .20728 L
.33657 .20704 L
.33546 .20632 L
.33403 .20544 L
.33386 .20521 L
.33225 .20401 L
.332 .20383 L
.33065 .20283 L
.32984 .20223 L
.32904 .20161 L
.32778 .20062 L
.32744 .20034 L
.32583 .19903 L
.32581 .19902 L
.32423 .19773 L
.32384 .19741 L
.32262 .1964 L
.32192 .19581 L
.32102 .19505 L
.32002 .1942 L
.31941 .19368 L
.31817 .1926 L
.31781 .19228 L
.31634 .19099 L
.3162 .19087 L
.31459 .18945 L
.31453 .18939 L
.31299 .18801 L
.31274 .18778 L
.31138 .18656 L
.31097 .18618 L
.30978 .18509 L
.30922 .18457 L
.30817 .18361 L
.30749 .18297 L
.30657 .18211 L
.30578 .18136 L
.30496 .18059 L
.30408 .17975 L
.30336 .17906 L
.30241 .17815 L
.30175 .17752 L
.30075 .17654 L
.30015 .17596 L
.29912 .17494 L
.29854 .17438 L
.2975 .17333 L
.29694 .17278 L
.2959 .17173 L
.29533 .17116 L
.29432 .17012 L
.29373 .16952 L
.29277 .16852 L
.29212 .16785 L
.29124 .16691 L
.29052 .16616 L
.28973 .16531 L
.28891 .16444 L
.28825 .1637 L
.28731 .16267 L
.2868 .1621 L
.2857 .16086 L
.28539 .16049 L
.2841 .15897 L
.28403 .15889 L
.28268 .15728 L
.28249 .157 L
.28139 .15568 L
.28088 .15489 L
.28023 .15407 L
.27932 .15247 L
.27928 .1524 L
.27873 .15086 L
F
1 1 1 r
.27928 .32295 m
.28078 .32423 L
.28088 .32431 L
.28243 .32583 L
.28249 .32588 L
.28397 .32744 L
.2841 .32753 L
.28545 .32904 L
.2857 .32933 L
.28688 .33065 L
.28731 .33121 L
.28832 .33225 L
.28891 .33318 L
.28949 .33386 L
.29052 .33524 L
.29063 .33546 L
.29212 .33686 L
.29229 .33707 L
.29363 .33867 L
.29373 .33888 L
.29483 .34028 L
.29533 .34103 L
.29592 .34188 L
.29694 .34284 L
.29746 .34349 L
.29854 .34488 L
.29871 .34509 L
.29996 .3467 L
.30015 .347 L
.30109 .3483 L
.30175 .34927 L
.30206 .34991 L
.30336 .35104 L
.30374 .35152 L
.30496 .35312 L
.30496 .35313 L
.30616 .35473 L
.30657 .35534 L
.3072 .35633 L
.30817 .35725 L
.30871 .35794 L
.30978 .35935 L
.30993 .35954 L
.31117 .36115 L
.31138 .3615 L
.31227 .36275 L
.31299 .36378 L
.31322 .36436 L
.31459 .3656 L
.31488 .36596 L
.31613 .36757 L
.3162 .36772 L
.31729 .36917 L
.31781 .36993 L
.31833 .37078 L
.31941 .37221 L
.31982 .37238 L
.32102 .37396 L
.32104 .37399 L
.32229 .37559 L
.32262 .37612 L
.32338 .3772 L
.32423 .37835 L
.32436 .3788 L
.32583 .38023 L
.32597 .38041 L
.32727 .38201 L
.32744 .38235 L
.3284 .38362 L
.32904 .38454 L
.32945 .38523 L
.33065 .38671 L
.33091 .38683 L
.33222 .38844 L
.33225 .3886 L
.3334 .39004 L
.33386 .39075 L
.33449 .39165 L
.33546 .39292 L
.33552 .39325 L
.33706 .39486 L
.33707 .39487 L
.3384 .39646 L
.33867 .39699 L
.3395 .39807 L
.34028 .39914 L
.34058 .39967 L
.34188 .40122 L
.34199 .40128 L
.34341 .40288 L
.34349 .40323 L
.34451 .40449 L
.34509 .40537 L
.3456 .40609 L
.3467 .40749 L
.34672 .4077 L
.34814 .4093 L
.3483 .40949 L
.34953 .41091 L
.34991 .41161 L
.35061 .41251 L
.35152 .41374 L
.35172 .41412 L
.35307 .41572 L
.35312 .41577 L
.35458 .41733 L
.35473 .41785 L
.35562 .41894 L
.35633 .41998 L
.35671 .42054 L
.35794 .42208 L
.358 .42215 L
.35922 .42375 L
.35954 .42409 L
.36065 .42536 L
.36115 .42623 L
.36171 .42696 L
.36275 .42835 L
.36286 .42857 L
.36415 .43017 L
.36436 .43034 L
.36572 .43178 L
.36596 .43246 L
.36672 .43338 L
.36757 .43461 L
.36783 .43499 L
.36909 .43659 L
.36917 .43663 L
.3703 .4382 L
.37078 .43869 L
.37175 .4398 L
.37238 .44085 L
.37281 .44141 L
.37399 .44298 L
.37401 .44301 L
.37523 .44462 L
.37559 .4449 L
.37684 .44622 L
.3772 .44708 L
.37781 .44783 L
.3788 .44924 L
.37893 .44943 L
.38016 .45104 L
.38041 .45111 L
.38138 .45265 L
.38201 .45329 L
.38284 .45425 L
.38362 .45549 L
.3839 .45586 L
.3851 .45746 L
.38523 .45762 L
.38631 .45907 L
.38683 .45947 L
.38792 .46067 L
.38844 .46172 L
.38888 .46228 L
.39003 .46388 L
.39004 .46389 L
.39124 .46549 L
.39165 .466 L
.39246 .46709 L
.39325 .46791 L
.3939 .4687 L
.39486 .47015 L
.39497 .4703 L
.39617 .47191 L
.39646 .47227 L
.39739 .47351 L
.39807 .47407 L
.39897 .47512 L
.39967 .47638 L
.39994 .47672 L
.40111 .47833 L
.40128 .47854 L
.40232 .47993 L
.40288 .48065 L
.40354 .48154 L
.40449 .48257 L
.40494 .48314 L
.40604 .48475 L
.40609 .48481 L
.40725 .48636 L
.4077 .48693 L
.40847 .48796 L
.4093 .48872 L
.40999 .48957 L
.41091 .49106 L
.41099 .49117 L
.41218 .49278 L
.41251 .4932 L
.41339 .49438 L
.41412 .4953 L
.41463 .49599 L
.41572 .49727 L
.41597 .49759 L
.41711 .4992 L
.41733 .49947 L
.41832 .5008 L
.41894 .50158 L
.41955 .50241 L
.42054 .50367 L
.42099 .50401 L
.42204 .50562 L
.42215 .50574 L
.42324 .50722 L
.42375 .50786 L
.42446 .50883 L
.42536 .50996 L
.42571 .51043 L
.42696 .51202 L
.42698 .51204 L
.42817 .51364 L
.42857 .51414 L
.42938 .51525 L
.43017 .51625 L
.43061 .51686 L
.43178 .51833 L
.43195 .51846 L
.43309 .52007 L
.43338 .52043 L
.43429 .52167 L
.43499 .52255 L
.43551 .52328 L
.43659 .52465 L
.43676 .52488 L
.43798 .52649 L
.4382 .52676 L
.43917 .52809 L
.4398 .52889 L
.44038 .5297 L
.44141 .53101 L
.44161 .5313 L
.44283 .53291 L
.44301 .53314 L
.44399 .53451 L
.44462 .53531 L
.44517 .53612 L
.44622 .5375 L
.44638 .53772 L
.44754 .53933 L
.44783 .53971 L
.44863 .54093 L
.44943 .54204 L
.44973 .54254 L
.45077 .54414 L
.45104 .54458 L
.45132 .54575 L
.45104 .54578 L
.45097 .54575 L
.44943 .54516 L
.44891 .54414 L
.44783 .54306 L
.44725 .54254 L
.44622 .54134 L
.44567 .54093 L
.44462 .53957 L
.44438 .53933 L
.44301 .538 L
.44275 .53772 L
.44141 .53618 L
.44135 .53612 L
.43991 .53451 L
.4398 .5343 L
.43867 .53291 L
.4382 .53229 L
.43754 .5313 L
.43659 .53058 L
.43583 .5297 L
.43499 .52864 L
.43452 .52809 L
.43338 .52666 L
.43323 .52649 L
.43203 .52488 L
.43178 .52468 L
.43061 .52328 L
.43017 .52269 L
.42933 .52167 L
.42857 .52067 L
.42807 .52007 L
.42696 .51862 L
.42683 .51846 L
.42573 .51686 L
.42536 .51659 L
.42427 .51525 L
.42375 .51454 L
.42302 .51364 L
.42215 .51247 L
.42179 .51204 L
.4206 .51043 L
.42054 .51036 L
.41929 .50883 L
.41894 .50834 L
.41804 .50722 L
.41733 .50626 L
.41681 .50562 L
.41572 .50417 L
.4156 .50401 L
.41455 .50241 L
.41412 .5021 L
.41308 .5008 L
.41251 .50002 L
.41185 .4992 L
.41091 .49793 L
.41064 .49759 L
.40949 .49599 L
.4093 .49575 L
.40815 .49438 L
.4077 .49377 L
.40691 .49278 L
.40609 .49167 L
.40569 .49117 L
.40449 .48957 L
.40449 .48956 L
.40352 .48796 L
.40288 .4875 L
.40197 .48636 L
.40128 .48541 L
.40075 .48475 L
.39967 .4833 L
.39955 .48314 L
.39846 .48154 L
.39807 .48105 L
.39705 .47993 L
.39646 .47914 L
.39582 .47833 L
.39486 .47704 L
.39461 .47672 L
.39344 .47512 L
.39325 .47487 L
.39252 .47351 L
.39165 .47287 L
.39089 .47191 L
.39004 .47077 L
.38967 .4703 L
.38847 .4687 L
.38844 .46865 L
.38743 .46709 L
.38683 .46637 L
.38596 .46549 L
.38523 .4645 L
.38473 .46388 L
.38362 .46239 L
.38353 .46228 L
.3824 .46067 L
.38201 .46019 L
.3815 .45907 L
.38041 .45785 L
.3798 .45746 L
.3788 .45612 L
.37859 .45586 L
.37741 .45425 L
.3772 .45398 L
.37639 .45265 L
.37559 .45172 L
.37488 .45104 L
.37399 .44985 L
.37366 .44943 L
.37245 .44783 L
.37238 .44774 L
.37134 .44622 L
.37078 .44554 L
.37046 .44462 L
.36917 .44328 L
.36873 .44301 L
.36757 .44147 L
.36752 .44141 L
.36634 .4398 L
.36596 .43932 L
.36533 .4382 L
.36436 .43711 L
.3638 .43659 L
.36275 .4352 L
.36258 .43499 L
.36136 .43338 L
.36115 .43308 L
.36027 .43178 L
.35954 .43091 L
.35937 .43017 L
.35794 .42875 L
.35765 .42857 L
.35641 .42696 L
.35633 .42683 L
.35526 .42536 L
.35473 .42469 L
.35424 .42375 L
.35312 .42253 L
.35272 .42215 L
.35152 .42054 L
.3515 .42054 L
.35027 .41894 L
.34991 .41845 L
.34919 .41733 L
.3483 .4163 L
.34824 .41572 L
.3467 .41421 L
.34657 .41412 L
.34529 .41251 L
.34509 .4122 L
.34417 .41091 L
.34349 .41007 L
.34313 .4093 L
.34188 .40794 L
.34164 .4077 L
.34034 .40609 L
.34028 .40594 L
.33917 .40449 L
.33867 .40383 L
.33809 .40288 L
.33707 .40169 L
.33671 .40128 L
.33549 .39967 L
.33546 .39965 L
.33417 .39807 L
.33386 .39759 L
.33307 .39646 L
.33225 .39545 L
.332 .39486 L
.33065 .39335 L
.33056 .39325 L
.32917 .39165 L
.32904 .39134 L
.32806 .39004 L
.32744 .38921 L
.32697 .38844 L
.32583 .38708 L
.32563 .38683 L
.32441 .38523 L
.32423 .38509 L
.32305 .38362 L
.32262 .38297 L
.32196 .38201 L
.32102 .38082 L
.32086 .38041 L
.31948 .3788 L
.31941 .3788 L
.31801 .3772 L
.31781 .37675 L
.31696 .37559 L
.3162 .37458 L
.31586 .37399 L
.31459 .37244 L
.31455 .37238 L
.31333 .37078 L
.31299 .37055 L
.31194 .36917 L
.31138 .36835 L
.31087 .36757 L
.30978 .36617 L
.3097 .36596 L
.30841 .36436 L
.30817 .36405 L
.30688 .36275 L
.30657 .36214 L
.30587 .36115 L
.30496 .35992 L
.30475 .35954 L
.30349 .35794 L
.30336 .35776 L
.30228 .35633 L
.30175 .35597 L
.30086 .35473 L
.30015 .35367 L
.29979 .35312 L
.29858 .35152 L
.29854 .35147 L
.29737 .34991 L
.29694 .34935 L
.29581 .3483 L
.29533 .34744 L
.29484 .3467 L
.29373 .34516 L
.29369 .34509 L
.29249 .34349 L
.29212 .34301 L
.29129 .34188 L
.29052 .34122 L
.28989 .34028 L
.28891 .33879 L
.28884 .33867 L
.28767 .33707 L
.28731 .3366 L
.28648 .33546 L
.2857 .33442 L
.28502 .33386 L
.2841 .33225 L
.2841 .33225 L
.28298 .33065 L
.28249 .32998 L
.28186 .32904 L
.28088 .32767 L
.28073 .32744 L
.27971 .32583 L
.27928 .32516 L
.27879 .32423 L
F
.156 .94 1 r
.28731 .21498 m
.28891 .2149 L
.29052 .21486 L
.29212 .21487 L
.29373 .21492 L
.29533 .215 L
.29634 .21507 L
.29694 .21512 L
.29854 .21529 L
.30015 .2155 L
.30175 .21577 L
.30336 .2161 L
.30496 .21649 L
.30563 .21668 L
.30657 .21696 L
.30817 .21751 L
.30978 .21814 L
.31011 .21828 L
.31138 .21887 L
.31299 .21968 L
.31337 .21989 L
.31459 .22059 L
.31604 .22149 L
.3162 .2216 L
.31781 .22271 L
.31834 .2231 L
.31941 .22392 L
.32037 .2247 L
.32102 .22525 L
.32219 .22631 L
.32262 .22672 L
.32381 .22791 L
.32423 .22835 L
.32525 .22952 L
.32583 .23023 L
.32648 .23112 L
.32744 .23263 L
.32749 .23273 L
.3282 .23433 L
.32848 .23594 L
.32807 .23754 L
.32744 .23852 L
.3261 .23915 L
.32583 .23927 L
.32423 .23978 L
.32262 .24008 L
.32102 .24026 L
.31941 .24036 L
.31781 .24039 L
.3162 .24036 L
.31459 .24028 L
.31299 .24015 L
.31138 .23997 L
.30978 .23973 L
.30817 .23944 L
.30683 .23915 L
.30657 .23909 L
.30496 .23867 L
.30336 .23818 L
.30175 .23764 L
.3015 .23754 L
.30015 .23701 L
.29854 .23632 L
.29772 .23594 L
.29694 .23555 L
.29533 .23471 L
.29465 .23433 L
.29373 .2338 L
.29212 .23281 L
.292 .23273 L
.29052 .23174 L
.28964 .23112 L
.28891 .23059 L
.28752 .22952 L
.28731 .22935 L
.2857 .228 L
.28559 .22791 L
.2841 .22654 L
.28386 .22631 L
.28249 .2249 L
.28232 .2247 L
.28099 .2231 L
.28088 .22298 L
.27993 .22149 L
.27928 .22004 L
.27924 .21989 L
.27914 .21828 L
.27928 .21784 L
.28025 .21668 L
.28088 .21622 L
.28249 .21562 L
.2841 .21531 L
.2857 .21512 L
.28618 .21507 L
F
.114 .93 1 r
.28249 .21633 m
.2841 .2158 L
.2857 .21551 L
.28731 .21534 L
.28891 .21524 L
.29052 .21519 L
.29212 .21519 L
.29373 .21523 L
.29533 .21532 L
.29694 .21545 L
.29854 .21563 L
.30015 .21587 L
.30175 .21616 L
.30336 .21651 L
.30402 .21668 L
.30496 .21693 L
.30657 .21744 L
.30817 .21802 L
.30882 .21828 L
.30978 .21869 L
.31138 .21945 L
.31222 .21989 L
.31299 .22031 L
.31459 .22126 L
.31496 .22149 L
.3162 .22231 L
.3173 .2231 L
.31781 .22347 L
.31936 .2247 L
.31941 .22475 L
.32102 .22615 L
.32118 .22631 L
.32262 .22772 L
.3228 .22791 L
.32422 .22952 L
.32423 .22952 L
.32543 .23112 L
.32583 .23169 L
.32639 .23273 L
.32702 .23433 L
.32719 .23594 L
.32654 .23754 L
.32583 .23831 L
.32423 .23904 L
.32384 .23915 L
.32262 .23947 L
.32102 .23973 L
.31941 .23987 L
.31781 .23993 L
.3162 .23991 L
.31459 .23984 L
.31299 .23971 L
.31138 .23952 L
.30978 .23927 L
.30908 .23915 L
.30817 .23897 L
.30657 .23859 L
.30496 .23815 L
.30336 .23765 L
.30303 .23754 L
.30175 .23708 L
.30015 .23643 L
.29901 .23594 L
.29854 .23572 L
.29694 .23492 L
.29582 .23433 L
.29533 .23406 L
.29373 .23312 L
.2931 .23273 L
.29212 .2321 L
.2907 .23112 L
.29052 .23099 L
.28891 .2298 L
.28854 .22952 L
.28731 .22851 L
.28661 .22791 L
.2857 .2271 L
.28487 .22631 L
.2841 .22553 L
.28333 .2247 L
.28249 .22372 L
.28202 .2231 L
.281 .22149 L
.28088 .22126 L
.28038 .21989 L
.28042 .21828 L
.28088 .21746 L
.28186 .21668 L
F
.084 .92 1 r
.2841 .21641 m
.2857 .21597 L
.28731 .21572 L
.28891 .21558 L
.29052 .21551 L
.29212 .2155 L
.29373 .21554 L
.29533 .21563 L
.29694 .21578 L
.29854 .21597 L
.30015 .21622 L
.30175 .21653 L
.30241 .21668 L
.30336 .21691 L
.30496 .21736 L
.30657 .2179 L
.30761 .21828 L
.30817 .21851 L
.30978 .21921 L
.31115 .21989 L
.31138 .22001 L
.31299 .2209 L
.31396 .22149 L
.31459 .22189 L
.3162 .22299 L
.31635 .2231 L
.31781 .2242 L
.31842 .2247 L
.31941 .22554 L
.32025 .22631 L
.32102 .22704 L
.32187 .22791 L
.32262 .22873 L
.32327 .22952 L
.32423 .23077 L
.32445 .23112 L
.32536 .23273 L
.32583 .23396 L
.32592 .23433 L
.32596 .23594 L
.32583 .23637 L
.32503 .23754 L
.32423 .23818 L
.32262 .23881 L
.32106 .23915 L
.32102 .23916 L
.31941 .23936 L
.31781 .23946 L
.3162 .23947 L
.31459 .2394 L
.31299 .23928 L
.31184 .23915 L
.31138 .23908 L
.30978 .23883 L
.30817 .23851 L
.30657 .23812 L
.30496 .23767 L
.30454 .23754 L
.30336 .23715 L
.30175 .23656 L
.30025 .23594 L
.30015 .2359 L
.29854 .23515 L
.29694 .23434 L
.29692 .23433 L
.29533 .23345 L
.29412 .23273 L
.29373 .23248 L
.29212 .23143 L
.29167 .23112 L
.29052 .23029 L
.28949 .22952 L
.28891 .22906 L
.28753 .22791 L
.28731 .22771 L
.28579 .22631 L
.2857 .22622 L
.28426 .2247 L
.2841 .22452 L
.28298 .2231 L
.28249 .22249 L
.282 .22149 L
.28146 .21989 L
.28164 .21828 L
.28249 .21726 L
.28348 .21668 L
F
.061 .91 1 r
.2857 .21651 m
.28731 .21615 L
.28891 .21595 L
.29052 .21586 L
.29212 .21583 L
.29373 .21586 L
.29533 .21596 L
.29694 .2161 L
.29854 .21631 L
.30015 .21657 L
.3007 .21668 L
.30175 .2169 L
.30336 .2173 L
.30496 .21778 L
.30643 .21828 L
.30657 .21833 L
.30817 .21898 L
.30978 .21971 L
.31013 .21989 L
.31138 .22054 L
.31299 .22147 L
.31303 .22149 L
.31459 .2225 L
.31545 .2231 L
.3162 .22365 L
.31755 .2247 L
.31781 .22491 L
.31939 .22631 L
.31941 .22633 L
.321 .22791 L
.32102 .22793 L
.32239 .22952 L
.32262 .2298 L
.32354 .23112 L
.32423 .23226 L
.3244 .23273 L
.32488 .23433 L
.32476 .23594 L
.32423 .23688 L
.32348 .23754 L
.32262 .23804 L
.32102 .23857 L
.31941 .23884 L
.31781 .23898 L
.3162 .23902 L
.31459 .23897 L
.31299 .23885 L
.31138 .23866 L
.30978 .2384 L
.30817 .23807 L
.30657 .23767 L
.30609 .23754 L
.30496 .23721 L
.30336 .23667 L
.30175 .23606 L
.30144 .23594 L
.30015 .23538 L
.29854 .23462 L
.29797 .23433 L
.29694 .23379 L
.29533 .23288 L
.29508 .23273 L
.29373 .23188 L
.29258 .23112 L
.29212 .2308 L
.29052 .22963 L
.29037 .22952 L
.28891 .22834 L
.2884 .22791 L
.28731 .22693 L
.28666 .22631 L
.2857 .22533 L
.28514 .2247 L
.2841 .22342 L
.28388 .2231 L
.28294 .22149 L
.28249 .22003 L
.28247 .21989 L
.28249 .21919 L
.28282 .21828 L
.2841 .21715 L
.28518 .21668 L
F
.045 .9 1 r
.28731 .21663 m
.28891 .21636 L
.29052 .21622 L
.29212 .21617 L
.29373 .21619 L
.29533 .21628 L
.29694 .21643 L
.29854 .21664 L
.29877 .21668 L
.30015 .21692 L
.30175 .21726 L
.30336 .21768 L
.30496 .21818 L
.30526 .21828 L
.30657 .21876 L
.30817 .21943 L
.30915 .21989 L
.30978 .2202 L
.31138 .22106 L
.31213 .22149 L
.31299 .22202 L
.31459 .22309 L
.3146 .2231 L
.3162 .22429 L
.31672 .2247 L
.31781 .22561 L
.31857 .22631 L
.31941 .22711 L
.32018 .22791 L
.32102 .22884 L
.32155 .22952 L
.32262 .23104 L
.32267 .23112 L
.32348 .23273 L
.32387 .23433 L
.32358 .23594 L
.32262 .23729 L
.32181 .23754 L
.32102 .23788 L
.31941 .23829 L
.31781 .23849 L
.3162 .23856 L
.31459 .23853 L
.31299 .23842 L
.31138 .23823 L
.30978 .23797 L
.30817 .23764 L
.30776 .23754 L
.30657 .23724 L
.30496 .23676 L
.30336 .23621 L
.30263 .23594 L
.30175 .23559 L
.30015 .23489 L
.29898 .23433 L
.29854 .23411 L
.29694 .23326 L
.29601 .23273 L
.29533 .23232 L
.29373 .2313 L
.29345 .23112 L
.29212 .23019 L
.29121 .22952 L
.29052 .22898 L
.28922 .22791 L
.28891 .22764 L
.28747 .22631 L
.28731 .22614 L
.28596 .2247 L
.2857 .22441 L
.28473 .2231 L
.2841 .2223 L
.28384 .22149 L
.28345 .21989 L
.28399 .21828 L
.2841 .21816 L
.2857 .21698 L
.28712 .21668 L
F
.033 .89 1 r
.29052 .2166 m
.29212 .21652 L
.29373 .21653 L
.29533 .21661 L
.29621 .21668 L
.29694 .21676 L
.29854 .21698 L
.30015 .21726 L
.30175 .21762 L
.30336 .21806 L
.30408 .21828 L
.30496 .21858 L
.30657 .21918 L
.30817 .21988 L
.30819 .21989 L
.30978 .22067 L
.31127 .22149 L
.31138 .22156 L
.31299 .22256 L
.31379 .2231 L
.31459 .22367 L
.31593 .2247 L
.3162 .22492 L
.31779 .22631 L
.31781 .22632 L
.3194 .22791 L
.31941 .22793 L
.32075 .22952 L
.32102 .22983 L
.32184 .23112 L
.32259 .23273 L
.32262 .23283 L
.32287 .23433 L
.32262 .2355 L
.32237 .23594 L
.32102 .23717 L
.31984 .23754 L
.31941 .23766 L
.31781 .23796 L
.3162 .23808 L
.31459 .23809 L
.31299 .23799 L
.31138 .23781 L
.30978 .23755 L
.30973 .23754 L
.30817 .23722 L
.30657 .23681 L
.30496 .23632 L
.30383 .23594 L
.30336 .23577 L
.30175 .23513 L
.30015 .23442 L
.29997 .23433 L
.29854 .23362 L
.29694 .23275 L
.2969 .23273 L
.29533 .23179 L
.29429 .23112 L
.29373 .23075 L
.29212 .2296 L
.29201 .22952 L
.29052 .22834 L
.29001 .22791 L
.28891 .22694 L
.28825 .22631 L
.28731 .22534 L
.28675 .2247 L
.2857 .22336 L
.28554 .2231 L
.2847 .22149 L
.28441 .21989 L
.28517 .21828 L
.2857 .21775 L
.28731 .21707 L
.28891 .21678 L
.28968 .21668 L
F
.024 .88 1 r
.28731 .21769 m
.28891 .21721 L
.29052 .21698 L
.29212 .21688 L
.29373 .21687 L
.29533 .21694 L
.29694 .21709 L
.29854 .21731 L
.30015 .21761 L
.30175 .21798 L
.30285 .21828 L
.30336 .21843 L
.30496 .21897 L
.30657 .2196 L
.30724 .21989 L
.30817 .22031 L
.30978 .22113 L
.31042 .22149 L
.31138 .22206 L
.31299 .22309 L
.313 .2231 L
.31459 .22425 L
.31517 .2247 L
.3162 .22555 L
.31704 .22631 L
.31781 .22703 L
.31864 .22791 L
.31941 .22878 L
.31998 .22952 L
.32102 .2311 L
.32103 .23112 L
.32171 .23273 L
.32188 .23433 L
.32112 .23594 L
.32102 .23606 L
.31941 .23703 L
.31781 .23741 L
.31673 .23754 L
.3162 .23759 L
.31459 .23763 L
.31299 .23756 L
.31277 .23754 L
.31138 .23739 L
.30978 .23714 L
.30817 .2368 L
.30657 .23639 L
.30509 .23594 L
.30496 .2359 L
.30336 .23533 L
.30175 .23468 L
.30096 .23433 L
.30015 .23395 L
.29854 .23314 L
.29777 .23273 L
.29694 .23225 L
.29533 .23127 L
.2951 .23112 L
.29373 .2302 L
.29279 .22952 L
.29212 .22901 L
.29076 .22791 L
.29052 .2277 L
.289 .22631 L
.28891 .22622 L
.28751 .2247 L
.28731 .22449 L
.28633 .2231 L
.2857 .22191 L
.28554 .22149 L
.28536 .21989 L
.2857 .21901 L
.2864 .21828 L
F
1 .81 .003 r
.2857 .15653 m
.28731 .15696 L
.28792 .15728 L
.28891 .15786 L
.2905 .15889 L
.29052 .1589 L
.29212 .15998 L
.29288 .16049 L
.29373 .16114 L
.29501 .1621 L
.29533 .16239 L
.29692 .1637 L
.29694 .16372 L
.29854 .16502 L
.29889 .16531 L
.30015 .16634 L
.30083 .16691 L
.30175 .1677 L
.30271 .16852 L
.30336 .16908 L
.30455 .17012 L
.30496 .17048 L
.30636 .17173 L
.30657 .17192 L
.30813 .17333 L
.30817 .17337 L
.30978 .17484 L
.30989 .17494 L
.31138 .17632 L
.31162 .17654 L
.31299 .17782 L
.31334 .17815 L
.31459 .17934 L
.31503 .17975 L
.3162 .18088 L
.31669 .18136 L
.31781 .18244 L
.31834 .18297 L
.31941 .18402 L
.31995 .18457 L
.32102 .18563 L
.32154 .18618 L
.32262 .18727 L
.32311 .18778 L
.32423 .18894 L
.32464 .18939 L
.32583 .19064 L
.32614 .19099 L
.32744 .1924 L
.32761 .1926 L
.32903 .1942 L
.32904 .19422 L
.33048 .19581 L
.33065 .19611 L
.33185 .19741 L
.33225 .19813 L
.33307 .19902 L
.33386 .20049 L
.33396 .20062 L
.33441 .20223 L
.33386 .20246 L
.33304 .20223 L
.33225 .20186 L
.33065 .20101 L
.33016 .20062 L
.32904 .20004 L
.32783 .19902 L
.32744 .19885 L
.32583 .19754 L
.32566 .19741 L
.32423 .19632 L
.32357 .19581 L
.32262 .19505 L
.32157 .1942 L
.32102 .19374 L
.31966 .1926 L
.31941 .19239 L
.31781 .19099 L
.3178 .19099 L
.3162 .18961 L
.31594 .18939 L
.31459 .18821 L
.31411 .18778 L
.31299 .18679 L
.31231 .18618 L
.31138 .18535 L
.31054 .18457 L
.30978 .18388 L
.30879 .18297 L
.30817 .1824 L
.30707 .18136 L
.30657 .18089 L
.30538 .17975 L
.30496 .17937 L
.30371 .17815 L
.30336 .17782 L
.30206 .17654 L
.30175 .17625 L
.30044 .17494 L
.30015 .17467 L
.29883 .17333 L
.29854 .17306 L
.29726 .17173 L
.29694 .17142 L
.29571 .17012 L
.29533 .16976 L
.29419 .16852 L
.29373 .16807 L
.2927 .16691 L
.29212 .16634 L
.29126 .16531 L
.29052 .16454 L
.28987 .1637 L
.28891 .16261 L
.28855 .1621 L
.28734 .16049 L
.28731 .16044 L
.28624 .15889 L
.2857 .15792 L
.28545 .15728 L
F
.018 .87 1 r
.28891 .21774 m
.29052 .2174 L
.29212 .21725 L
.29373 .21722 L
.29533 .21728 L
.29694 .21743 L
.29854 .21765 L
.30015 .21796 L
.30153 .21828 L
.30175 .21834 L
.30336 .2188 L
.30496 .21936 L
.30629 .21989 L
.30657 .22001 L
.30817 .22075 L
.3096 .22149 L
.30978 .22159 L
.31138 .22255 L
.31223 .2231 L
.31299 .22362 L
.31443 .2247 L
.31459 .22483 L
.3162 .2262 L
.31631 .22631 L
.31781 .2278 L
.31791 .22791 L
.31922 .22952 L
.31941 .22971 L
.32023 .23112 L
.32085 .23273 L
.32088 .23433 L
.31976 .23594 L
.31941 .23619 L
.31781 .23682 L
.3162 .23708 L
.31459 .23717 L
.31299 .23712 L
.31138 .23697 L
.30978 .23672 L
.30817 .23639 L
.30657 .23597 L
.30645 .23594 L
.30496 .23548 L
.30336 .2349 L
.30196 .23433 L
.30175 .23424 L
.30015 .2335 L
.29863 .23273 L
.29854 .23268 L
.29694 .23177 L
.29589 .23112 L
.29533 .23076 L
.29373 .22965 L
.29354 .22952 L
.29212 .22843 L
.2915 .22791 L
.29052 .22706 L
.28973 .22631 L
.28891 .22547 L
.28825 .2247 L
.28731 .22348 L
.2871 .2231 L
.28637 .22149 L
.28632 .21989 L
.28731 .21854 L
.28771 .21828 L
F
1 1 1 r
.28731 .30449 m
.28777 .30496 L
.28891 .3061 L
.2893 .30657 L
.29052 .30797 L
.29067 .30817 L
.2919 .30978 L
.29212 .31007 L
.29295 .31138 L
.29212 .31201 L
.29152 .31138 L
.29052 .31029 L
.29009 .30978 L
.28891 .3083 L
.28882 .30817 L
.2877 .30657 L
.28731 .30598 L
.28673 .30496 L
F
.013 .86 1 r
.29052 .21789 m
.29212 .21766 L
.29373 .21759 L
.29533 .21764 L
.29694 .21777 L
.29854 .218 L
.30003 .21828 L
.30015 .21831 L
.30175 .2187 L
.30336 .21918 L
.30496 .21975 L
.30532 .21989 L
.30657 .22041 L
.30817 .22118 L
.30877 .22149 L
.30978 .22205 L
.31138 .22304 L
.31147 .2231 L
.31299 .22415 L
.31371 .2247 L
.31459 .22542 L
.3156 .22631 L
.3162 .22687 L
.31719 .22791 L
.31781 .2286 L
.31848 .22952 L
.31941 .23103 L
.31945 .23112 L
.31998 .23273 L
.31985 .23433 L
.31941 .23504 L
.31819 .23594 L
.31781 .23611 L
.3162 .23653 L
.31459 .23668 L
.31299 .23667 L
.31138 .23654 L
.30978 .2363 L
.30817 .23597 L
.30802 .23594 L
.30657 .23556 L
.30496 .23506 L
.30336 .23448 L
.303 .23433 L
.30175 .23381 L
.30015 .23306 L
.2995 .23273 L
.29854 .23222 L
.29694 .23128 L
.29668 .23112 L
.29533 .23025 L
.29428 .22952 L
.29373 .22911 L
.29222 .22791 L
.29212 .22783 L
.29052 .22638 L
.29045 .22631 L
.28898 .2247 L
.28891 .22465 L
.28785 .2231 L
.28731 .22189 L
.28719 .22149 L
.28729 .21989 L
.28731 .21985 L
.28891 .21841 L
.28921 .21828 L
F
.01 .85 1 r
.29212 .21811 m
.29373 .21799 L
.29533 .21801 L
.29694 .21813 L
.29816 .21828 L
.29854 .21835 L
.30015 .21866 L
.30175 .21906 L
.30336 .21955 L
.30431 .21989 L
.30496 .22014 L
.30657 .22082 L
.30794 .22149 L
.30817 .22161 L
.30978 .22251 L
.31072 .2231 L
.31138 .22353 L
.31299 .2247 L
.31299 .2247 L
.31459 .22603 L
.31489 .22631 L
.3162 .2276 L
.31648 .22791 L
.31775 .22952 L
.31781 .2296 L
.31867 .23112 L
.31911 .23273 L
.31876 .23433 L
.31781 .23547 L
.3162 .23591 L
.31602 .23594 L
.31459 .23615 L
.31299 .23619 L
.31138 .23609 L
.30998 .23594 L
.30978 .23587 L
.30817 .23556 L
.30657 .23515 L
.30496 .23464 L
.30409 .23433 L
.30336 .23405 L
.30175 .23338 L
.30038 .23273 L
.30015 .23261 L
.29854 .23176 L
.29746 .23112 L
.29694 .2308 L
.29533 .22974 L
.29501 .22952 L
.29373 .22856 L
.29292 .22791 L
.29212 .22723 L
.29115 .22631 L
.29052 .22568 L
.28969 .2247 L
.28891 .22376 L
.28861 .2231 L
.28802 .22149 L
.2883 .21989 L
.28891 .21922 L
.29052 .21837 L
.29109 .21828 L
F
1 .98 .538 r
.28891 .35598 m
.28935 .35633 L
.29052 .35731 L
.29107 .35794 L
.29212 .35902 L
.29256 .35954 L
.29373 .36084 L
.29398 .36115 L
.29533 .36269 L
.29537 .36275 L
.29669 .36436 L
.29694 .36464 L
.298 .36596 L
.29854 .36659 L
.29931 .36757 L
.30015 .36826 L
.30063 .36917 L
.30175 .37049 L
.30208 .37078 L
.30322 .37238 L
.30336 .37255 L
.30448 .37399 L
.30496 .37457 L
.30575 .37559 L
.30657 .37641 L
.30703 .3772 L
.30817 .3786 L
.30838 .3788 L
.30956 .38041 L
.30978 .38067 L
.3108 .38201 L
.31138 .38236 L
.31206 .38362 L
.31299 .38467 L
.31355 .38523 L
.31459 .38683 L
.31459 .38684 L
.31581 .38844 L
.3162 .38892 L
.31705 .39004 L
.31781 .39075 L
.3183 .39165 L
.31941 .39301 L
.31963 .39325 L
.32079 .39486 L
.32102 .39514 L
.32201 .39646 L
.32262 .39723 L
.32325 .39807 L
.32423 .39919 L
.32469 .39967 L
.32574 .40128 L
.32583 .40139 L
.32695 .40288 L
.32744 .40349 L
.32817 .40449 L
.32904 .40534 L
.32981 .40609 L
.33065 .40766 L
.33068 .4077 L
.33187 .4093 L
.33225 .40979 L
.33308 .41091 L
.33386 .4119 L
.33431 .41251 L
.33546 .41394 L
.33563 .41412 L
.33676 .41572 L
.33707 .41612 L
.33795 .41733 L
.33867 .41825 L
.33917 .41894 L
.34028 .42024 L
.34056 .42054 L
.34161 .42215 L
.34188 .4225 L
.34279 .42375 L
.34349 .42465 L
.34399 .42536 L
.34509 .42679 L
.34522 .42696 L
.34639 .42857 L
.3467 .42897 L
.34754 .43017 L
.3483 .43117 L
.34872 .43178 L
.34991 .43335 L
.34993 .43338 L
.35103 .43499 L
.35152 .43565 L
.35212 .43659 L
.35312 .438 L
.35324 .4382 L
.35312 .43956 L
.35182 .4382 L
.35152 .43789 L
.35035 .43659 L
.34991 .43612 L
.34892 .43499 L
.3483 .43429 L
.34752 .43338 L
.3467 .43262 L
.34615 .43178 L
.34509 .43052 L
.3447 .43017 L
.34349 .42857 L
.34349 .42856 L
.34216 .42696 L
.34188 .42663 L
.34083 .42536 L
.34028 .42474 L
.33907 .42375 L
.33867 .42267 L
.33822 .42215 L
.33707 .42066 L
.33699 .42054 L
.33566 .41894 L
.33546 .41878 L
.33436 .41733 L
.33386 .4167 L
.33298 .41572 L
.33225 .41462 L
.33189 .41412 L
.33065 .4126 L
.33062 .41251 L
.32929 .41091 L
.32904 .41063 L
.32775 .4093 L
.32744 .40853 L
.32678 .4077 L
.32583 .40644 L
.32563 .40609 L
.32428 .40449 L
.32423 .40445 L
.32302 .40288 L
.32262 .40239 L
.32169 .40128 L
.32102 .40027 L
.32061 .39967 L
.31941 .39819 L
.31938 .39807 L
.31806 .39646 L
.31781 .3962 L
.31657 .39486 L
.3162 .39406 L
.31559 .39325 L
.31459 .39193 L
.31444 .39165 L
.31313 .39004 L
.31299 .38997 L
.3119 .38844 L
.31138 .38782 L
.31058 .38683 L
.30978 .38564 L
.3095 .38523 L
.30825 .38362 L
.30817 .38352 L
.30703 .38201 L
.30657 .38156 L
.30555 .38041 L
.30496 .37931 L
.3046 .3788 L
.30341 .3772 L
.30336 .37713 L
.30221 .37559 L
.30175 .37536 L
.30101 .37399 L
.30015 .3729 L
.29974 .37238 L
.29865 .37078 L
.29854 .37063 L
.29748 .36917 L
.29694 .36843 L
.29631 .36757 L
.29533 .36634 L
.29503 .36596 L
.29402 .36436 L
.29373 .36395 L
.2929 .36275 L
.29212 .36164 L
.29179 .36115 L
.29073 .35954 L
.29052 .35923 L
.28976 .35794 L
.28891 .35648 L
.28885 .35633 L
F
.007 .84 1 r
.29052 .21889 m
.29212 .21854 L
.29373 .2184 L
.29533 .21839 L
.29694 .2185 L
.29854 .21871 L
.30015 .21902 L
.30175 .21943 L
.30323 .21989 L
.30336 .21993 L
.30496 .22053 L
.30657 .22123 L
.3071 .22149 L
.30817 .22205 L
.30978 .22298 L
.30996 .2231 L
.31138 .22404 L
.31228 .2247 L
.31299 .22525 L
.3142 .22631 L
.31459 .22667 L
.31578 .22791 L
.3162 .22835 L
.31702 .22952 L
.31781 .23095 L
.31788 .23112 L
.3182 .23273 L
.31781 .23402 L
.31756 .23433 L
.3162 .23528 L
.31459 .23562 L
.31299 .23571 L
.31138 .23564 L
.30978 .23545 L
.30817 .23514 L
.30657 .23473 L
.30528 .23433 L
.30496 .23422 L
.30336 .23363 L
.30175 .23295 L
.30128 .23273 L
.30015 .23217 L
.29854 .23129 L
.29825 .23112 L
.29694 .23032 L
.29574 .22952 L
.29533 .22923 L
.29373 .22799 L
.29363 .22791 L
.29212 .22658 L
.29185 .22631 L
.29052 .22485 L
.29041 .2247 L
.28936 .2231 L
.28891 .22182 L
.28887 .22149 L
.28891 .22083 L
.28938 .21989 L
F
.005 .83 1 r
.29212 .21907 m
.29373 .21882 L
.29533 .21878 L
.29694 .21887 L
.29854 .21908 L
.30015 .21939 L
.30175 .21981 L
.30203 .21989 L
.30336 .22031 L
.30496 .22093 L
.30623 .22149 L
.30657 .22165 L
.30817 .22249 L
.3092 .2231 L
.30978 .22345 L
.31138 .22457 L
.31156 .2247 L
.31299 .22585 L
.3135 .22631 L
.31459 .22737 L
.31507 .22791 L
.3162 .22937 L
.31628 .22952 L
.31707 .23112 L
.31726 .23273 L
.3162 .23431 L
.31617 .23433 L
.31459 .235 L
.31299 .23519 L
.31138 .23517 L
.30978 .235 L
.30817 .2347 L
.30667 .23433 L
.30657 .2343 L
.30496 .2338 L
.30336 .23321 L
.30223 .23273 L
.30175 .23251 L
.30015 .23172 L
.29905 .23112 L
.29854 .23083 L
.29694 .22983 L
.29648 .22952 L
.29533 .2287 L
.29433 .22791 L
.29373 .22742 L
.29255 .22631 L
.29212 .22592 L
.29112 .2247 L
.29052 .22382 L
.29012 .2231 L
.28974 .22149 L
.29052 .21994 L
.29058 .21989 L
F
.004 .82 1 r
.29212 .21982 m
.29373 .21934 L
.29533 .21922 L
.29694 .21928 L
.29854 .21947 L
.30015 .21978 L
.30062 .21989 L
.30175 .22019 L
.30336 .22071 L
.30496 .22134 L
.30531 .22149 L
.30657 .22208 L
.30817 .22295 L
.30842 .2231 L
.30978 .22394 L
.31084 .2247 L
.31138 .2251 L
.31279 .22631 L
.31299 .22647 L
.31436 .22791 L
.31459 .22807 L
.31554 .22952 L
.3162 .23097 L
.31624 .23112 L
.31623 .23273 L
.3162 .23281 L
.31459 .23423 L
.31429 .23433 L
.31299 .23461 L
.31138 .23466 L
.30978 .23453 L
.30834 .23433 L
.30817 .23426 L
.30657 .23387 L
.30496 .23338 L
.30336 .23277 L
.30325 .23273 L
.30175 .23208 L
.30015 .23127 L
.29988 .23112 L
.29854 .23036 L
.29723 .22952 L
.29694 .22932 L
.29533 .22814 L
.29505 .22791 L
.29373 .22678 L
.29325 .22631 L
.29212 .2251 L
.29184 .2247 L
.2909 .2231 L
.29065 .22149 L
.292 .21989 L
F
.003 .81 1 r
.29533 .21972 m
.29694 .21972 L
.29853 .21989 L
.29854 .21989 L
.30015 .22017 L
.30175 .22058 L
.30336 .22111 L
.30433 .22149 L
.30496 .22176 L
.30657 .22252 L
.30762 .2231 L
.30817 .22341 L
.30978 .22447 L
.3101 .2247 L
.31138 .22569 L
.31208 .22631 L
.31299 .22715 L
.31363 .22791 L
.31459 .22912 L
.31476 .22952 L
.31538 .23112 L
.3151 .23273 L
.31459 .23326 L
.31299 .23404 L
.31138 .23414 L
.30978 .23405 L
.30817 .23381 L
.30657 .23343 L
.30496 .23293 L
.30438 .23273 L
.30336 .23234 L
.30175 .23162 L
.30075 .23112 L
.30015 .23081 L
.29854 .22987 L
.298 .22952 L
.29694 .22881 L
.29577 .22791 L
.29533 .22758 L
.29397 .22631 L
.29373 .22615 L
.29258 .2247 L
.29212 .22398 L
.29171 .2231 L
.29164 .22149 L
.29212 .22077 L
.29373 .21997 L
.29407 .21989 L
F
.002 .8 1 r
.29373 .2207 m
.29533 .22014 L
.29694 .22015 L
.29854 .22029 L
.30015 .22058 L
.30175 .221 L
.30322 .22149 L
.30336 .22154 L
.30496 .22219 L
.30657 .22299 L
.30676 .2231 L
.30817 .22391 L
.30934 .2247 L
.30978 .225 L
.31134 .22631 L
.31138 .22634 L
.31288 .22791 L
.31299 .22805 L
.31397 .22952 L
.31444 .23112 L
.31376 .23273 L
.31299 .23324 L
.31138 .23356 L
.30978 .23353 L
.30817 .23332 L
.30657 .23296 L
.30572 .23273 L
.30496 .23248 L
.30336 .23188 L
.30175 .23115 L
.30169 .23112 L
.30015 .23033 L
.2988 .22952 L
.29854 .22936 L
.29694 .22824 L
.29652 .22791 L
.29533 .22694 L
.29471 .22631 L
.29373 .22535 L
.29335 .2247 L
.29256 .2231 L
.29274 .22149 L
F
.001 .79 1 r
.29533 .22077 m
.29694 .22065 L
.29854 .22076 L
.30015 .22104 L
.30175 .22145 L
.30188 .22149 L
.30336 .22197 L
.30496 .22266 L
.30585 .2231 L
.30657 .22346 L
.30817 .22445 L
.30854 .2247 L
.30978 .22559 L
.31057 .22631 L
.31138 .22697 L
.3121 .22791 L
.31299 .22926 L
.31311 .22952 L
.3134 .23112 L
.31299 .23197 L
.31178 .23273 L
.31138 .2328 L
.30978 .23293 L
.30817 .23278 L
.30784 .23273 L
.30657 .23248 L
.30496 .23201 L
.30336 .2314 L
.30272 .23112 L
.30175 .23068 L
.30015 .22982 L
.29965 .22952 L
.29854 .22883 L
.2973 .22791 L
.29694 .22767 L
.29547 .22631 L
.29533 .22616 L
.29415 .2247 L
.29373 .22392 L
.29348 .2231 L
.29373 .22188 L
.29404 .22149 L
F
.733 .99 1 r
.29373 .35517 m
.29498 .35633 L
.29533 .35665 L
.29652 .35794 L
.29694 .35835 L
.29797 .35954 L
.29854 .36016 L
.29938 .36115 L
.30015 .36168 L
.30076 .36275 L
.30175 .36384 L
.30248 .36436 L
.30336 .36584 L
.30349 .36596 L
.30476 .36757 L
.30496 .3678 L
.30606 .36917 L
.30657 .36961 L
.30736 .37078 L
.30817 .37173 L
.30886 .37238 L
.30978 .37378 L
.30996 .37399 L
.31121 .37559 L
.31138 .37564 L
.31247 .3772 L
.31299 .37773 L
.31419 .3788 L
.31459 .37985 L
.31511 .38041 L
.3162 .38192 L
.31627 .38201 L
.31752 .38362 L
.31781 .38383 L
.31877 .38523 L
.31941 .38596 L
.32025 .38683 L
.32102 .38808 L
.32131 .38844 L
.32253 .39004 L
.32262 .39016 L
.32376 .39165 L
.32423 .3921 L
.32543 .39325 L
.32583 .39425 L
.32636 .39486 L
.32744 .39637 L
.3275 .39646 L
.32873 .39807 L
.32904 .39826 L
.32996 .39967 L
.33065 .40043 L
.33143 .40128 L
.33225 .40259 L
.33249 .40288 L
.33369 .40449 L
.33386 .4047 L
.33491 .40609 L
.33546 .4066 L
.33656 .4077 L
.33707 .40881 L
.33749 .4093 L
.33864 .41091 L
.33867 .41096 L
.33985 .41251 L
.34028 .41275 L
.34107 .41412 L
.34188 .41502 L
.34252 .41572 L
.34349 .41722 L
.34358 .41733 L
.34478 .41894 L
.34509 .41933 L
.34599 .42054 L
.3467 .4212 L
.3476 .42215 L
.3483 .42347 L
.34854 .42375 L
.3497 .42536 L
.34991 .42562 L
.35091 .42696 L
.35152 .42733 L
.35213 .42857 L
.35312 .42972 L
.35351 .43017 L
.35461 .43178 L
.35473 .43193 L
.3558 .43338 L
.35633 .43405 L
.35702 .43499 L
.35794 .43595 L
.35851 .43659 L
.3595 .4382 L
.35954 .43825 L
.36068 .4398 L
.36115 .44039 L
.36189 .44141 L
.36275 .44251 L
.36312 .44301 L
.36436 .44462 L
.36436 .44462 L
.36553 .44622 L
.36596 .44678 L
.36672 .44783 L
.36757 .44892 L
.36793 .44943 L
.36917 .45104 L
.36917 .45105 L
.37032 .45265 L
.37078 .45324 L
.37148 .45425 L
.37238 .45543 L
.37268 .45586 L
.37386 .45746 L
.37399 .45763 L
.37497 .45907 L
.37559 .45991 L
.37608 .46067 L
.3772 .46222 L
.37723 .46228 L
.3782 .46388 L
.3788 .46487 L
.37897 .46549 L
.3788 .46563 L
.3786 .46549 L
.3772 .46425 L
.37683 .46388 L
.37559 .46282 L
.3753 .46228 L
.37399 .46084 L
.37369 .46067 L
.37243 .45907 L
.37238 .45901 L
.37103 .45746 L
.37078 .45717 L
.36964 .45586 L
.36917 .45537 L
.36827 .45425 L
.36757 .45336 L
.36687 .45265 L
.36596 .45139 L
.3657 .45104 L
.36436 .44947 L
.36435 .44943 L
.36298 .44783 L
.36275 .44755 L
.36149 .44622 L
.36115 .44552 L
.36044 .44462 L
.35954 .44347 L
.35929 .44301 L
.35794 .44148 L
.3578 .44141 L
.35652 .4398 L
.35633 .43955 L
.35523 .4382 L
.35473 .43747 L
.35413 .43659 L
.35312 .43537 L
.35304 .43499 L
.35152 .4334 L
.35144 .43338 L
.35011 .43178 L
.34991 .4314 L
.349 .43017 L
.3483 .42929 L
.34792 .42857 L
.3467 .42718 L
.3464 .42696 L
.3451 .42536 L
.34509 .42527 L
.34391 .42375 L
.34349 .42316 L
.34282 .42215 L
.34188 .42102 L
.3418 .42054 L
.34028 .41898 L
.34017 .41894 L
.33887 .41733 L
.33867 .41698 L
.33776 .41572 L
.33707 .41485 L
.33671 .41412 L
.33546 .41273 L
.3352 .41251 L
.33389 .41091 L
.33386 .41076 L
.33273 .4093 L
.33225 .40864 L
.33165 .4077 L
.33065 .4065 L
.33061 .40609 L
.32904 .40449 L
.32904 .40449 L
.32773 .40288 L
.32744 .4024 L
.32664 .40128 L
.32583 .40026 L
.32557 .39967 L
.32423 .39817 L
.32411 .39807 L
.32272 .39646 L
.32262 .39614 L
.32164 .39486 L
.32102 .39399 L
.32057 .39325 L
.31941 .39186 L
.31921 .39165 L
.318 .39004 L
.31781 .38984 L
.31665 .38844 L
.3162 .3877 L
.3156 .38683 L
.31459 .38554 L
.31447 .38523 L
.31314 .38362 L
.31299 .38353 L
.31162 .38201 L
.31138 .38138 L
.31066 .38041 L
.30978 .37917 L
.30957 .3788 L
.30831 .3772 L
.30817 .37702 L
.30711 .37559 L
.30657 .37504 L
.30575 .37399 L
.30496 .37274 L
.30473 .37238 L
.30355 .37078 L
.30336 .37051 L
.30238 .36917 L
.30175 .36869 L
.30086 .36757 L
.30015 .36614 L
.30002 .36596 L
.29892 .36436 L
.29854 .36383 L
.29779 .36275 L
.29694 .36154 L
.29667 .36115 L
.2956 .35954 L
.29533 .35914 L
.29459 .35794 L
.29373 .35656 L
.2936 .35633 L
F
1 .8 .002 r
.29533 .16497 m
.29598 .16531 L
.29694 .1659 L
.29841 .16691 L
.29854 .16701 L
.30015 .16814 L
.30069 .16852 L
.30175 .16931 L
.30282 .17012 L
.30336 .17057 L
.30445 .17173 L
.30496 .1719 L
.30631 .17333 L
.30657 .17356 L
.30812 .17494 L
.30817 .17499 L
.30978 .17644 L
.3099 .17654 L
.31138 .17791 L
.31164 .17815 L
.31299 .17941 L
.31334 .17975 L
.31459 .18095 L
.315 .18136 L
.3162 .18252 L
.31663 .18297 L
.31781 .18413 L
.31821 .18457 L
.31941 .1858 L
.31973 .18618 L
.32102 .18755 L
.3212 .18778 L
.32259 .18939 L
.32262 .18942 L
.32392 .19099 L
.32423 .19139 L
.32509 .1926 L
.32423 .19386 L
.32262 .19288 L
.32221 .1926 L
.32102 .19174 L
.32002 .19099 L
.31941 .19052 L
.31798 .18939 L
.31781 .18924 L
.3162 .18794 L
.31601 .18778 L
.31459 .18661 L
.31409 .18618 L
.31299 .18524 L
.31224 .18457 L
.31138 .18384 L
.31044 .18297 L
.30978 .18241 L
.30868 .18136 L
.30817 .18094 L
.30697 .17975 L
.30657 .17945 L
.3053 .17815 L
.30496 .17794 L
.30365 .17654 L
.30336 .17609 L
.30204 .17494 L
.30175 .17446 L
.30045 .17333 L
.30015 .17278 L
.2989 .17173 L
.29854 .17104 L
.29773 .17012 L
.29694 .1692 L
.29637 .16852 L
.29533 .16719 L
.29513 .16691 L
.2942 .16531 L
F
.001 .78 1 r
.29694 .22132 m
.29854 .22131 L
.29987 .22149 L
.30015 .22153 L
.30175 .22189 L
.30336 .22245 L
.30483 .2231 L
.30496 .22315 L
.30657 .22398 L
.30768 .2247 L
.30817 .22499 L
.30976 .22631 L
.30978 .22633 L
.31127 .22791 L
.31138 .22807 L
.31219 .22952 L
.3122 .23112 L
.31138 .23185 L
.30978 .23243 L
.30817 .23227 L
.30657 .23196 L
.30496 .23149 L
.30392 .23112 L
.30336 .2309 L
.30175 .23017 L
.30057 .22952 L
.30015 .22929 L
.29854 .22823 L
.29813 .22791 L
.29694 .22701 L
.29628 .22631 L
.29533 .22519 L
.29501 .2247 L
.29449 .2231 L
.29533 .2218 L
.2961 .22149 L
F
.733 .99 1 r
.29533 .37064 m
.29543 .37078 L
.29533 .37126 L
.29507 .37078 L
F
.001 .77 1 r
.29694 .22214 m
.29854 .22194 L
.30015 .22198 L
.30175 .22241 L
.30336 .22299 L
.30361 .2231 L
.30496 .22365 L
.30657 .2246 L
.30673 .2247 L
.30817 .22564 L
.30888 .22631 L
.30978 .2272 L
.31037 .22791 L
.31115 .22952 L
.31068 .23112 L
.30978 .2315 L
.30817 .23159 L
.30657 .23135 L
.30567 .23112 L
.30496 .23096 L
.30336 .23037 L
.30175 .22958 L
.30163 .22952 L
.30015 .22872 L
.29903 .22791 L
.29854 .22773 L
.29716 .22631 L
.29694 .22606 L
.29594 .2247 L
.29568 .2231 L
F
.001 .76 1 r
.29854 .22273 m
.30015 .22268 L
.30175 .22306 L
.3019 .2231 L
.30336 .22345 L
.30496 .22429 L
.30565 .2247 L
.30657 .22504 L
.3079 .22631 L
.30817 .22658 L
.30935 .22791 L
.30978 .22889 L
.30984 .22952 L
.30978 .22974 L
.30817 .23069 L
.30657 .23092 L
.30496 .23038 L
.30336 .22972 L
.3029 .22952 L
.30175 .22908 L
.30015 .22796 L
.30008 .22791 L
.29854 .22685 L
.29815 .22631 L
.29704 .2247 L
.29745 .2231 L
F
.733 .99 1 r
.29854 .37432 m
.29953 .37559 L
.30015 .37629 L
.30083 .3772 L
.30175 .37827 L
.30214 .3788 L
.30336 .38026 L
.30346 .38041 L
.30472 .38201 L
.30496 .38231 L
.30593 .38362 L
.30657 .38438 L
.30718 .38523 L
.30817 .38644 L
.30845 .38683 L
.30973 .38844 L
.30978 .3885 L
.3109 .39004 L
.31138 .39064 L
.31209 .39165 L
.31299 .39276 L
.31333 .39325 L
.31299 .39468 L
.31186 .39325 L
.31138 .39268 L
.31057 .39165 L
.30978 .39067 L
.30928 .39004 L
.30817 .38863 L
.30802 .38844 L
.30679 .38683 L
.30657 .38656 L
.30555 .38523 L
.30496 .38448 L
.30431 .38362 L
.30336 .38239 L
.30307 .38201 L
.30187 .38041 L
.30175 .38026 L
.30069 .3788 L
.30015 .3781 L
.2995 .3772 L
.29854 .37593 L
.2983 .37559 L
F
0 .75 1 r
.29854 .22435 m
.30015 .22362 L
.30175 .22382 L
.30336 .22422 L
.30435 .2247 L
.30496 .22511 L
.30657 .22616 L
.30669 .22631 L
.3081 .22791 L
.30769 .22952 L
.30657 .22984 L
.30507 .22952 L
.30496 .22949 L
.30336 .22895 L
.30175 .22822 L
.30133 .22791 L
.30015 .22704 L
.29931 .22631 L
.29854 .22501 L
.29848 .2247 L
F
1 1 1 r
.30015 .32743 m
.30016 .32744 L
.30175 .32899 L
.30177 .32904 L
.30316 .33065 L
.30336 .33087 L
.30446 .33225 L
.30496 .33284 L
.30573 .33386 L
.30657 .33489 L
.30698 .33546 L
.30817 .33699 L
.30823 .33707 L
.30933 .33867 L
.30978 .3393 L
.31034 .34028 L
.30978 .34101 L
.30894 .34028 L
.30817 .33957 L
.30731 .33867 L
.30657 .33788 L
.30585 .33707 L
.30496 .33649 L
.30449 .33546 L
.30336 .33407 L
.30317 .33386 L
.30203 .33225 L
.30175 .33187 L
.30089 .33065 L
.30015 .3295 L
.29985 .32904 L
.29913 .32744 L
F
1 .98 .538 r
.30015 .35698 m
.3013 .35794 L
.30175 .35832 L
.30293 .35954 L
.30336 .35996 L
.30442 .36115 L
.30496 .36172 L
.30586 .36275 L
.30657 .36335 L
.30726 .36436 L
.30817 .36537 L
.30893 .36596 L
.30978 .36733 L
.31001 .36757 L
.3113 .36917 L
.31138 .36918 L
.31261 .37078 L
.31299 .37116 L
.31391 .37238 L
.31459 .3732 L
.31537 .37399 L
.3162 .37524 L
.3165 .37559 L
.31778 .3772 L
.31781 .37722 L
.31905 .3788 L
.31941 .37921 L
.32062 .38041 L
.32102 .38129 L
.32164 .38201 L
.32262 .38337 L
.3228 .38362 L
.3241 .38523 L
.32423 .38534 L
.32535 .38683 L
.32583 .38741 L
.32675 .38844 L
.32744 .38952 L
.32785 .39004 L
.32904 .39158 L
.32907 .39165 L
.33035 .39325 L
.33065 .39358 L
.33187 .39486 L
.33225 .39569 L
.3329 .39646 L
.33386 .39779 L
.33404 .39807 L
.33532 .39967 L
.33546 .39979 L
.33655 .40128 L
.33707 .40188 L
.33795 .40288 L
.33867 .40401 L
.33904 .40449 L
.34028 .40609 L
.34028 .40609 L
.3415 .4077 L
.34188 .40809 L
.34304 .4093 L
.34349 .41023 L
.34405 .41091 L
.34509 .41235 L
.3452 .41251 L
.34645 .41412 L
.3467 .4143 L
.34819 .41572 L
.3483 .41644 L
.34908 .41733 L
.34991 .41859 L
.35017 .41894 L
.35139 .42054 L
.35152 .42055 L
.35261 .42215 L
.35312 .42265 L
.35415 .42375 L
.35473 .42483 L
.35515 .42536 L
.35633 .42696 L
.35633 .42696 L
.35754 .42857 L
.35794 .42884 L
.35929 .43017 L
.35954 .43105 L
.36016 .43178 L
.36115 .43323 L
.36126 .43338 L
.36247 .43499 L
.36275 .43535 L
.36368 .43659 L
.36436 .43725 L
.3652 .4382 L
.36596 .43949 L
.36621 .4398 L
.36739 .44141 L
.36757 .44163 L
.3686 .44301 L
.36917 .44341 L
.37032 .44462 L
.37078 .44573 L
.37119 .44622 L
.37231 .44783 L
.37238 .44792 L
.37351 .44943 L
.37399 .45004 L
.37473 .45104 L
.37559 .45195 L
.37619 .45265 L
.3772 .45423 L
.37722 .45425 L
.37841 .45586 L
.3788 .45636 L
.37962 .45746 L
.38041 .45813 L
.38124 .45907 L
.38201 .46053 L
.38213 .46067 L
.38329 .46228 L
.38362 .4627 L
.38449 .46388 L
.38523 .46483 L
.38571 .46549 L
.38683 .46686 L
.38702 .46709 L
.38814 .4687 L
.38844 .46908 L
.38932 .4703 L
.39004 .47123 L
.39052 .47191 L
.39165 .47337 L
.39185 .47351 L
.39292 .47512 L
.39325 .47555 L
.39407 .47672 L
.39486 .47775 L
.39525 .47833 L
.39645 .47993 L
.39646 .47995 L
.39754 .48154 L
.39807 .48225 L
.39864 .48314 L
.39967 .48461 L
.39975 .48475 L
.40068 .48636 L
.39967 .48657 L
.39944 .48636 L
.39807 .48507 L
.39784 .48475 L
.39646 .48327 L
.39626 .48314 L
.3949 .48154 L
.39486 .48149 L
.39348 .47993 L
.39325 .47991 L
.39207 .47833 L
.39165 .47784 L
.39069 .47672 L
.39004 .47588 L
.38934 .47512 L
.38844 .47392 L
.38815 .47351 L
.38683 .47199 L
.38668 .47191 L
.38536 .4703 L
.38523 .47012 L
.38397 .4687 L
.38362 .4681 L
.38286 .46709 L
.38201 .46603 L
.38175 .46549 L
.38041 .46398 L
.38015 .46388 L
.37883 .46228 L
.3788 .46217 L
.37763 .46067 L
.3772 .46008 L
.37654 .45907 L
.37559 .45793 L
.37503 .45746 L
.37399 .45611 L
.37378 .45586 L
.37252 .45425 L
.37238 .45403 L
.37138 .45265 L
.37078 .45189 L
.37036 .45104 L
.36917 .4497 L
.36874 .44943 L
.36757 .4479 L
.36751 .44783 L
.36629 .44622 L
.36596 .44578 L
.36522 .44462 L
.36436 .4436 L
.36373 .44301 L
.36275 .44172 L
.3625 .44141 L
.36127 .4398 L
.36115 .43962 L
.36014 .4382 L
.35954 .43746 L
.35915 .43659 L
.35794 .43527 L
.35753 .43499 L
.35633 .43341 L
.35631 .43338 L
.3551 .43178 L
.35473 .43128 L
.35404 .43017 L
.35312 .4291 L
.35257 .42857 L
.35152 .427 L
.35135 .42696 L
.35011 .42536 L
.34991 .42506 L
.349 .42375 L
.3483 .4229 L
.34801 .42215 L
.3467 .42076 L
.34641 .42054 L
.34515 .41894 L
.34509 .41881 L
.34399 .41733 L
.34349 .41668 L
.34293 .41572 L
.34188 .41453 L
.34147 .41412 L
.34028 .41252 L
.34026 .41251 L
.339 .41091 L
.33867 .41043 L
.3379 .4093 L
.33707 .40829 L
.33688 .4077 L
.33546 .40619 L
.33534 .40609 L
.33402 .40449 L
.33386 .40417 L
.33291 .40288 L
.33225 .40203 L
.33184 .40128 L
.33065 .3999 L
.33043 .39967 L
.32921 .39807 L
.32904 .39788 L
.32792 .39646 L
.32744 .39575 L
.32685 .39486 L
.32583 .39361 L
.32574 .39325 L
.32433 .39165 L
.32423 .39157 L
.32293 .39004 L
.32262 .38946 L
.32188 .38844 L
.32102 .38729 L
.32078 .38683 L
.31946 .38523 L
.31941 .38516 L
.31786 .38362 L
.31781 .38316 L
.31694 .38201 L
.3162 .38094 L
.31587 .38041 L
.31463 .3788 L
.31459 .37876 L
.31344 .3772 L
.31299 .37686 L
.31199 .37559 L
.31138 .37452 L
.31102 .37399 L
.30987 .37238 L
.30978 .37226 L
.30871 .37078 L
.30817 .37005 L
.30703 .36917 L
.30657 .36795 L
.3063 .36757 L
.30524 .36596 L
.30496 .36558 L
.30413 .36436 L
.30336 .36326 L
.30301 .36275 L
.30195 .36115 L
.30175 .36086 L
.30097 .35954 L
.30015 .35818 L
.30003 .35794 L
F
0 .74 1 r
.30175 .22502 m
.30336 .22542 L
.30492 .22631 L
.30496 .22634 L
.30587 .22791 L
.30496 .22824 L
.30353 .22791 L
.30336 .22784 L
.30175 .22691 L
.30112 .22631 L
F
1 1 1 r
.30175 .30988 m
.30312 .31138 L
.30336 .31165 L
.30435 .31299 L
.30496 .31394 L
.30523 .31459 L
.30496 .31491 L
.30443 .31459 L
.30336 .31368 L
.30275 .31299 L
.30175 .3118 L
.30145 .31138 L
F
1 .98 .538 r
.31299 .24389 m
.31459 .24383 L
.3162 .24378 L
.31781 .24375 L
.31941 .24374 L
.32102 .24373 L
.32262 .24373 L
.32423 .24375 L
.32583 .24377 L
.32744 .24381 L
.32904 .24386 L
.33065 .24393 L
.33128 .24396 L
.33225 .24402 L
.33386 .24414 L
.33546 .24429 L
.33707 .24448 L
.33867 .24472 L
.34028 .245 L
.34188 .24535 L
.34285 .24557 L
.34349 .24575 L
.34509 .24625 L
.3467 .24683 L
.34767 .24717 L
.3483 .24744 L
.34991 .24822 L
.35118 .24878 L
.35152 .24896 L
.35312 .24999 L
.35395 .25039 L
.35473 .25087 L
.35633 .25188 L
.35649 .25199 L
.35794 .25307 L
.35858 .2536 L
.35954 .25443 L
.36012 .2552 L
.36115 .25597 L
.36174 .25681 L
.36275 .25804 L
.36314 .25841 L
.36436 .25994 L
.36445 .26002 L
.36553 .26162 L
.36596 .26234 L
.3664 .26323 L
.36709 .26483 L
.36749 .26644 L
.36745 .26804 L
.36658 .26965 L
.36596 .27027 L
.36436 .27104 L
.36356 .27125 L
.36275 .27147 L
.36115 .27178 L
.35954 .27199 L
.35794 .27213 L
.35633 .27223 L
.35473 .2723 L
.35312 .27234 L
.35152 .27235 L
.34991 .27234 L
.3483 .27231 L
.3467 .27226 L
.34509 .27218 L
.34349 .27208 L
.34188 .27195 L
.34028 .27178 L
.33867 .27157 L
.33707 .27134 L
.33656 .27125 L
.33546 .27104 L
.33386 .27067 L
.33225 .27025 L
.33065 .26979 L
.33018 .26965 L
.32904 .26925 L
.32744 .26863 L
.32595 .26804 L
.32583 .26799 L
.32423 .26724 L
.32262 .26647 L
.32255 .26644 L
.32102 .2656 L
.31958 .26483 L
.31941 .26473 L
.31781 .26375 L
.31691 .26323 L
.3162 .26277 L
.31459 .26173 L
.31444 .26162 L
.31299 .2606 L
.31216 .26002 L
.31138 .25947 L
.30996 .25841 L
.30978 .25828 L
.30817 .25692 L
.30795 .25681 L
.30657 .25547 L
.30615 .2552 L
.30496 .25388 L
.30458 .2536 L
.30336 .25202 L
.30331 .25199 L
.30248 .25039 L
.30189 .24878 L
.30203 .24717 L
.30336 .24566 L
.30351 .24557 L
.30496 .24481 L
.30657 .24442 L
.30817 .24422 L
.30978 .24408 L
.31138 .24398 L
.31172 .24396 L
F
.538 .98 1 r
.30336 .36739 m
.30352 .36757 L
.30496 .36904 L
.30508 .36917 L
.30652 .37078 L
.30657 .37083 L
.30789 .37238 L
.30817 .37269 L
.30924 .37399 L
.30978 .3746 L
.31058 .37559 L
.31138 .37613 L
.31192 .3772 L
.31299 .3784 L
.3135 .3788 L
.31455 .38041 L
.31459 .38046 L
.31582 .38201 L
.3162 .38246 L
.3171 .38362 L
.31781 .38423 L
.31839 .38523 L
.31941 .38643 L
.31982 .38683 L
.32095 .38844 L
.32102 .38852 L
.32219 .39004 L
.32262 .39056 L
.32345 .39165 L
.32423 .39246 L
.3251 .39325 L
.32583 .39463 L
.32604 .39486 L
.32723 .39646 L
.32744 .39672 L
.32846 .39807 L
.32904 .3985 L
.32971 .39967 L
.33065 .40076 L
.33114 .40128 L
.33223 .40288 L
.33225 .40291 L
.33345 .40449 L
.33386 .405 L
.33468 .40609 L
.33546 .40689 L
.33628 .4077 L
.33707 .40912 L
.33722 .4093 L
.3384 .41091 L
.33867 .41124 L
.33962 .41251 L
.34028 .41299 L
.34086 .41412 L
.34188 .41534 L
.34223 .41572 L
.34334 .41733 L
.34349 .41752 L
.34455 .41894 L
.34509 .41963 L
.34577 .42054 L
.3467 .42154 L
.34727 .42215 L
.34825 .42375 L
.3483 .42381 L
.34945 .42536 L
.34991 .42594 L
.35066 .42696 L
.35152 .42771 L
.35189 .42857 L
.35312 .43014 L
.35314 .43017 L
.35432 .43178 L
.35473 .4323 L
.35551 .43338 L
.35633 .43443 L
.35673 .43499 L
.35794 .43652 L
.358 .43659 L
.35914 .4382 L
.35954 .43872 L
.36031 .4398 L
.36115 .44088 L
.36152 .44141 L
.36274 .44301 L
.36275 .44303 L
.36387 .44462 L
.36436 .44526 L
.36501 .44622 L
.36596 .4475 L
.36618 .44783 L
.36731 .44943 L
.36757 .44978 L
.36835 .45104 L
.36917 .45225 L
.36938 .45265 L
.36917 .45345 L
.36835 .45265 L
.36757 .45187 L
.3668 .45104 L
.36596 .45013 L
.36534 .44943 L
.36436 .44862 L
.36393 .44783 L
.36275 .44648 L
.3624 .44622 L
.3612 .44462 L
.36115 .44456 L
.35985 .44301 L
.35954 .44265 L
.3585 .44141 L
.35794 .44083 L
.35717 .4398 L
.35633 .43875 L
.35581 .4382 L
.35473 .43675 L
.35461 .43659 L
.35328 .43499 L
.35312 .43491 L
.35198 .43338 L
.35152 .43284 L
.35047 .43178 L
.34991 .43076 L
.34945 .43017 L
.3483 .42873 L
.34822 .42857 L
.34687 .42696 L
.3467 .42679 L
.34513 .42536 L
.34509 .42472 L
.3443 .42375 L
.34349 .42262 L
.34318 .42215 L
.34188 .42059 L
.34188 .42054 L
.34057 .41894 L
.34028 .4186 L
.33916 .41733 L
.33867 .41649 L
.33811 .41572 L
.33707 .41439 L
.33694 .41412 L
.33558 .41251 L
.33546 .41241 L
.33398 .41091 L
.33386 .41031 L
.33306 .4093 L
.33225 .40818 L
.33195 .4077 L
.33065 .40611 L
.33065 .40609 L
.3294 .40449 L
.32904 .40409 L
.328 .40288 L
.32744 .40194 L
.32697 .40128 L
.32583 .39981 L
.32577 .39967 L
.3245 .39807 L
.32423 .39786 L
.32288 .39646 L
.32262 .39566 L
.322 .39486 L
.32102 .39348 L
.32088 .39325 L
.31963 .39165 L
.31941 .39135 L
.31842 .39004 L
.31781 .38936 L
.31704 .38844 L
.3162 .3871 L
.31602 .38683 L
.31483 .38523 L
.31459 .38491 L
.31364 .38362 L
.31299 .38305 L
.31207 .38201 L
.31138 .3806 L
.31124 .38041 L
.31011 .3788 L
.30978 .37835 L
.30895 .3772 L
.30817 .37612 L
.3078 .37559 L
.30666 .37399 L
.30657 .37386 L
.30558 .37238 L
.30496 .37151 L
.30448 .37078 L
.30343 .36917 L
.30336 .36907 L
.30259 .36757 L
F
1 1 1 r
.30336 .34113 m
.30431 .34188 L
.30496 .34239 L
.30617 .34349 L
.30657 .3435 L
.30785 .34509 L
.30817 .34542 L
.30944 .3467 L
.30978 .34713 L
.31112 .3483 L
.31138 .34894 L
.31234 .34991 L
.31299 .35087 L
.31362 .35152 L
.31459 .35249 L
.31486 .35312 L
.3162 .35443 L
.31645 .35473 L
.31774 .35633 L
.31781 .35644 L
.31897 .35794 L
.31941 .35858 L
.32009 .35954 L
.32102 .36043 L
.3216 .36115 L
.32262 .36248 L
.32284 .36275 L
.32406 .36436 L
.32423 .36461 L
.32516 .36596 L
.32583 .36659 L
.32661 .36757 L
.32744 .36866 L
.32784 .36917 L
.32904 .37075 L
.32906 .37078 L
.33021 .37238 L
.33065 .37302 L
.33114 .37399 L
.33225 .37489 L
.33281 .37559 L
.33386 .37699 L
.33403 .3772 L
.33522 .3788 L
.33546 .37917 L
.33625 .38041 L
.33707 .38114 L
.33776 .38201 L
.33867 .38323 L
.33898 .38362 L
.34019 .38523 L
.34028 .38536 L
.3413 .38683 L
.34188 .38765 L
.34221 .38844 L
.34349 .38949 L
.34392 .39004 L
.34509 .3916 L
.34513 .39165 L
.34631 .39325 L
.3467 .39381 L
.34734 .39486 L
.3483 .39616 L
.34885 .39646 L
.34991 .39787 L
.35007 .39807 L
.35129 .39967 L
.35152 .40002 L
.35239 .40128 L
.35312 .40228 L
.35331 .40288 L
.35473 .40413 L
.355 .40449 L
.35625 .40609 L
.35633 .40626 L
.3574 .4077 L
.35794 .40845 L
.35843 .4093 L
.35954 .4107 L
.35993 .41091 L
.36115 .41251 L
.36115 .41251 L
.36239 .41412 L
.36275 .41467 L
.36348 .41572 L
.36436 .41687 L
.36445 .41733 L
.36596 .41878 L
.36608 .41894 L
.36737 .42054 L
.36757 .4209 L
.3685 .42215 L
.36917 .42307 L
.36954 .42375 L
.37078 .42522 L
.37101 .42536 L
.37233 .42696 L
.37238 .42715 L
.3735 .42857 L
.37399 .4293 L
.37458 .43017 L
.37559 .43145 L
.37562 .43178 L
.37716 .43338 L
.3772 .43342 L
.3785 .43499 L
.3788 .43553 L
.3796 .43659 L
.38041 .43768 L
.38067 .4382 L
.38201 .43975 L
.38209 .4398 L
.38351 .44141 L
.38362 .44178 L
.38461 .44301 L
.38523 .44391 L
.3857 .44462 L
.38683 .44603 L
.38702 .44622 L
.38825 .44783 L
.38844 .44804 L
.38963 .44943 L
.39004 .45015 L
.39071 .45104 L
.39165 .45228 L
.39182 .45265 L
.39318 .45425 L
.39325 .45431 L
.39467 .45586 L
.39486 .45639 L
.39572 .45746 L
.39646 .45853 L
.39681 .45907 L
.39807 .46063 L
.39811 .46067 L
.39933 .46228 L
.39967 .46263 L
.40074 .46388 L
.40128 .46477 L
.40181 .46549 L
.40288 .4669 L
.40297 .46709 L
.40426 .4687 L
.40449 .46887 L
.40581 .4703 L
.40609 .47101 L
.40681 .47191 L
.4077 .47316 L
.40793 .47351 L
.40919 .47512 L
.4093 .47514 L
.41041 .47672 L
.41091 .47722 L
.41184 .47833 L
.41251 .4794 L
.41291 .47993 L
.41412 .48154 L
.41412 .48154 L
.41533 .48314 L
.41572 .48342 L
.41692 .48475 L
.41733 .48563 L
.4179 .48636 L
.41894 .4878 L
.41904 .48796 L
.42027 .48957 L
.42054 .48991 L
.42149 .49117 L
.42215 .49183 L
.42293 .49278 L
.42375 .49404 L
.42399 .49438 L
.4252 .49599 L
.42536 .49619 L
.42641 .49759 L
.42696 .49798 L
.428 .4992 L
.42857 .50027 L
.42898 .5008 L
.43013 .50241 L
.43017 .50246 L
.43134 .50401 L
.43178 .50456 L
.43257 .50562 L
.43338 .50646 L
.43399 .50722 L
.43499 .50871 L
.43507 .50883 L
.43627 .51043 L
.43659 .51084 L
.43749 .51204 L
.4382 .51259 L
.43905 .51364 L
.4398 .51494 L
.44004 .51525 L
.44121 .51686 L
.44141 .51711 L
.44242 .51846 L
.44301 .51921 L
.44365 .52007 L
.44462 .52113 L
.44503 .52167 L
.44614 .52328 L
.44622 .52338 L
.44735 .52488 L
.44783 .52549 L
.44857 .52649 L
.44943 .52758 L
.45007 .52809 L
.45104 .52964 L
.45109 .5297 L
.45228 .5313 L
.45265 .53176 L
.45349 .53291 L
.45425 .53386 L
.45473 .53451 L
.45586 .53585 L
.45606 .53612 L
.45721 .53772 L
.45746 .53804 L
.45842 .53933 L
.45907 .54015 L
.45964 .54093 L
.46067 .54223 L
.46106 .54254 L
.46214 .54414 L
.46228 .54432 L
.46334 .54575 L
.46388 .54643 L
.46456 .54735 L
.46549 .54853 L
.46611 .54896 L
.46706 .55057 L
.46709 .55061 L
.46825 .55217 L
.4687 .55273 L
.46946 .55378 L
.4703 .55484 L
.47069 .55538 L
.47191 .55693 L
.47198 .55699 L
.47314 .55859 L
.47351 .55906 L
.47433 .5602 L
.47512 .5612 L
.47554 .5618 L
.47672 .56332 L
.47685 .56341 L
.47796 .56501 L
.47833 .56548 L
.47912 .56662 L
.47993 .56768 L
.4803 .56822 L
.48149 .56983 L
.48154 .56989 L
.48258 .57143 L
.48314 .57221 L
.48364 .57304 L
.48469 .57464 L
.48314 .57496 L
.48284 .57464 L
.48154 .57333 L
.48084 .57304 L
.47993 .57164 L
.47966 .57143 L
.47833 .5699 L
.47826 .56983 L
.47672 .56831 L
.47664 .56822 L
.47521 .56662 L
.47512 .56648 L
.47384 .56501 L
.47351 .56454 L
.47264 .56341 L
.47191 .56281 L
.47103 .5618 L
.4703 .56089 L
.4697 .5602 L
.4687 .55893 L
.46841 .55859 L
.46713 .55699 L
.46709 .55693 L
.46604 .55538 L
.46549 .55498 L
.46449 .55378 L
.46388 .55296 L
.46322 .55217 L
.46228 .55092 L
.46198 .55057 L
.46078 .54896 L
.46067 .54888 L
.45944 .54735 L
.45907 .54684 L
.45818 .54575 L
.45746 .54478 L
.45695 .54414 L
.45586 .54269 L
.45573 .54254 L
.45466 .54093 L
.45425 .54064 L
.45321 .53933 L
.45265 .53857 L
.45197 .53772 L
.45104 .53647 L
.45075 .53612 L
.44959 .53451 L
.44943 .5343 L
.44826 .53291 L
.44783 .53232 L
.44702 .5313 L
.44622 .53023 L
.4458 .5297 L
.44462 .52812 L
.4446 .52809 L
.4436 .52649 L
.44301 .52606 L
.44208 .52488 L
.44141 .52397 L
.44085 .52328 L
.4398 .52186 L
.43965 .52167 L
.43854 .52007 L
.4382 .51961 L
.43715 .51846 L
.43659 .5177 L
.43592 .51686 L
.43499 .5156 L
.43471 .51525 L
.43354 .51364 L
.43338 .51344 L
.43259 .51204 L
.43178 .51143 L
.43099 .51043 L
.43017 .50933 L
.42977 .50883 L
.42857 .50722 L
.42857 .50722 L
.42751 .50562 L
.42696 .50492 L
.42606 .50401 L
.42536 .50306 L
.42484 .50241 L
.42375 .50095 L
.42363 .5008 L
.42249 .4992 L
.42215 .49875 L
.42157 .49759 L
.42054 .49679 L
.41991 .49599 L
.41894 .49469 L
.41869 .49438 L
.41751 .49278 L
.41733 .49254 L
.41647 .49117 L
.41572 .49026 L
.41498 .48957 L
.41412 .48842 L
.41376 .48796 L
.41255 .48636 L
.41251 .4863 L
.41143 .48475 L
.41091 .48409 L
.41053 .48314 L
.4093 .48179 L
.40883 .48154 L
.4077 .48004 L
.40762 .47993 L
.40644 .47833 L
.40609 .47788 L
.40541 .47672 L
.40449 .47565 L
.4039 .47512 L
.40288 .47377 L
.40268 .47351 L
.40146 .47191 L
.40128 .47164 L
.40036 .4703 L
.39967 .46946 L
.39945 .4687 L
.39807 .46726 L
.39775 .46709 L
.39652 .46549 L
.39646 .46539 L
.39535 .46388 L
.39486 .46324 L
.39433 .46228 L
.39325 .46106 L
.39282 .46067 L
.39165 .45912 L
.39161 .45907 L
.39037 .45746 L
.39004 .457 L
.38928 .45586 L
.38844 .45485 L
.38833 .45425 L
.38683 .45274 L
.38667 .45265 L
.38539 .45104 L
.38523 .45075 L
.38426 .44943 L
.38362 .44862 L
.38322 .44783 L
.38201 .44648 L
.38174 .44622 L
.38045 .44462 L
.38041 .44449 L
.37926 .44301 L
.3788 .44238 L
.37818 .44141 L
.3772 .44024 L
.37716 .4398 L
.37559 .4382 L
.37559 .4382 L
.37427 .43659 L
.37399 .43613 L
.37316 .43499 L
.37238 .434 L
.3721 .43338 L
.37078 .4319 L
.37066 .43178 L
.36927 .43017 L
.36917 .42989 L
.36815 .42857 L
.36757 .42776 L
.36707 .42696 L
.36596 .42563 L
.36573 .42536 L
.36451 .42375 L
.36436 .42362 L
.36314 .42215 L
.36275 .42152 L
.36206 .42054 L
.36115 .41938 L
.36096 .41894 L
.35958 .41733 L
.35954 .41732 L
.35811 .41572 L
.35794 .41529 L
.35705 .41412 L
.35633 .41314 L
.35595 .41251 L
.35473 .41101 L
.35465 .41091 L
.35343 .4093 L
.35312 .40907 L
.35202 .4077 L
.35152 .40691 L
.35095 .40609 L
.34991 .40474 L
.34981 .40449 L
.3485 .40288 L
.3483 .40263 L
.34696 .40128 L
.3467 .4007 L
.34595 .39967 L
.34509 .3985 L
.34484 .39807 L
.34357 .39646 L
.34349 .39636 L
.34235 .39486 L
.34188 .39452 L
.34092 .39325 L
.34028 .39227 L
.33986 .39165 L
.33867 .39009 L
.33865 .39004 L
.33743 .38844 L
.33707 .38798 L
.33585 .38683 L
.33546 .38608 L
.33486 .38523 L
.33386 .38384 L
.33373 .38362 L
.3325 .38201 L
.33225 .3817 L
.33128 .38041 L
.33065 .37992 L
.32984 .3788 L
.32904 .3776 L
.32878 .3772 L
.32757 .37559 L
.32744 .37542 L
.32636 .37399 L
.32583 .37331 L
.32478 .37238 L
.32423 .37139 L
.32381 .37078 L
.32265 .36917 L
.32262 .36913 L
.32145 .36757 L
.32102 .36701 L
.32023 .36596 L
.31941 .36521 L
.31883 .36436 L
.31781 .36284 L
.31775 .36275 L
.31656 .36115 L
.3162 .36069 L
.31535 .35954 L
.31459 .35856 L
.31385 .35794 L
.31299 .35651 L
.31287 .35633 L
.31171 .35473 L
.31138 .3543 L
.31053 .35312 L
.30978 .35213 L
.30933 .35152 L
.30817 .34998 L
.3081 .34991 L
.30699 .3483 L
.30657 .34774 L
.30586 .3467 L
.30496 .34545 L
.30473 .34509 L
.30368 .34349 L
.30336 .34301 L
.3028 .34188 L
F
.30496 .321 m
.30504 .32102 L
.30657 .32171 L
.30767 .32262 L
.30817 .3231 L
.30922 .32423 L
.30978 .32486 L
.31061 .32583 L
.31138 .3268 L
.31214 .32744 L
.31299 .32879 L
.31326 .32904 L
.3145 .33065 L
.31459 .3307 L
.31574 .33225 L
.3162 .33272 L
.31738 .33386 L
.31781 .33484 L
.31834 .33546 L
.31941 .33696 L
.31949 .33707 L
.32071 .33867 L
.32102 .33907 L
.32192 .34028 L
.32262 .34082 L
.32335 .34188 L
.32423 .34321 L
.32438 .34349 L
.32552 .34509 L
.32583 .34556 L
.32657 .3467 L
.32583 .34823 L
.32423 .34788 L
.32262 .34675 L
.32257 .3467 L
.32104 .34509 L
.32102 .34506 L
.31962 .34349 L
.31941 .34307 L
.31845 .34188 L
.31781 .34096 L
.31738 .34028 L
.3162 .33885 L
.31585 .33867 L
.3146 .33707 L
.31459 .33702 L
.31339 .33546 L
.31299 .33492 L
.31232 .33386 L
.31138 .33277 L
.31132 .33225 L
.30978 .33066 L
.30976 .33065 L
.30848 .32904 L
.30817 .32873 L
.30746 .32744 L
.30657 .32635 L
.30642 .32583 L
.30525 .32423 L
.30496 .32371 L
.30389 .32262 L
.30474 .32102 L
F
1 .97 .395 r
.30496 .37598 m
.30597 .3772 L
.30657 .37784 L
.30733 .3788 L
.30817 .37975 L
.30868 .38041 L
.30978 .38169 L
.31002 .38201 L
.31135 .38362 L
.31138 .38366 L
.3126 .38523 L
.31299 .38568 L
.31387 .38683 L
.31459 .3877 L
.31515 .38844 L
.3162 .38972 L
.31644 .39004 L
.31772 .39165 L
.31781 .39175 L
.31894 .39325 L
.31941 .39383 L
.32018 .39486 L
.32102 .39589 L
.32144 .39646 L
.32262 .39795 L
.32271 .39807 L
.32393 .39967 L
.32423 .40004 L
.32513 .40128 L
.32583 .40214 L
.32637 .40288 L
.32744 .40423 L
.32762 .40449 L
.32884 .40609 L
.32904 .40634 L
.33002 .4077 L
.33065 .40848 L
.33123 .4093 L
.33225 .41061 L
.33246 .41091 L
.33367 .41251 L
.33386 .41275 L
.33481 .41412 L
.33546 .41495 L
.33598 .41572 L
.33707 .41714 L
.33719 .41733 L
.33831 .41894 L
.33867 .41942 L
.33936 .42054 L
.34028 .42184 L
.34043 .42215 L
.34028 .4226 L
.33984 .42215 L
.33867 .42094 L
.33832 .42054 L
.33707 .41911 L
.33691 .41894 L
.33556 .41733 L
.33546 .41722 L
.33422 .41572 L
.33386 .4153 L
.33289 .41412 L
.33225 .41335 L
.33157 .41251 L
.33065 .41138 L
.33026 .41091 L
.32904 .40941 L
.32891 .4093 L
.3277 .4077 L
.32744 .40737 L
.32642 .40609 L
.32583 .40535 L
.32514 .40449 L
.32423 .40355 L
.32388 .40288 L
.32263 .40128 L
.32262 .40126 L
.32139 .39967 L
.32102 .3992 L
.32014 .39807 L
.31941 .39713 L
.31889 .39646 L
.31781 .39511 L
.31754 .39486 L
.31644 .39325 L
.3162 .39294 L
.31522 .39165 L
.31459 .39083 L
.314 .39004 L
.31299 .3889 L
.31278 .38844 L
.3116 .38683 L
.31138 .38655 L
.31041 .38523 L
.30978 .38439 L
.30922 .38362 L
.30817 .38221 L
.30803 .38201 L
.3069 .38041 L
.30657 .37996 L
.30577 .3788 L
.30496 .37768 L
.30464 .3772 L
F
.30978 .24527 m
.31138 .24487 L
.31299 .24463 L
.31459 .24448 L
.3162 .24438 L
.31781 .24431 L
.31941 .24426 L
.32102 .24424 L
.32262 .24425 L
.32423 .24427 L
.32583 .24431 L
.32744 .24438 L
.32904 .24447 L
.33065 .2446 L
.33225 .24476 L
.33386 .24496 L
.33546 .24521 L
.33707 .24551 L
.33735 .24557 L
.33867 .24589 L
.34028 .24634 L
.34188 .24686 L
.34275 .24717 L
.34349 .24747 L
.34509 .24819 L
.34632 .24878 L
.3467 .24898 L
.3483 .24989 L
.34913 .25039 L
.34991 .25089 L
.35152 .25199 L
.35152 .25199 L
.35312 .25322 L
.35359 .2536 L
.35473 .25456 L
.35544 .2552 L
.35633 .25603 L
.3571 .25681 L
.35794 .25768 L
.35859 .25841 L
.35954 .25955 L
.3599 .26002 L
.36102 .26162 L
.36115 .2618 L
.36193 .26323 L
.36256 .26483 L
.36275 .26569 L
.36281 .26644 L
.36275 .26707 L
.36242 .26804 L
.36115 .26951 L
.36073 .26965 L
.35954 .2702 L
.35794 .27064 L
.35633 .27093 L
.35473 .27111 L
.35312 .27123 L
.35257 .27125 L
.35152 .27129 L
.34991 .2713 L
.3483 .27128 L
.34732 .27125 L
.3467 .27121 L
.34509 .27111 L
.34349 .27096 L
.34188 .27077 L
.34028 .27053 L
.33867 .27023 L
.33707 .26989 L
.33603 .26965 L
.33546 .2695 L
.33386 .26903 L
.33225 .2685 L
.33098 .26804 L
.33065 .26791 L
.32904 .26725 L
.32744 .26653 L
.32723 .26644 L
.32583 .26574 L
.32423 .26489 L
.32412 .26483 L
.32262 .26396 L
.32139 .26323 L
.32102 .26299 L
.31941 .26194 L
.31894 .26162 L
.31781 .26082 L
.3167 .26002 L
.3162 .25964 L
.31465 .25841 L
.31459 .25837 L
.31299 .257 L
.31277 .25681 L
.31138 .25551 L
.31107 .2552 L
.30978 .25384 L
.30957 .2536 L
.30829 .25199 L
.30817 .25186 L
.30731 .25039 L
.30676 .24878 L
.30698 .24717 L
.30817 .24598 L
.30901 .24557 L
F
.30817 .36709 m
.30866 .36757 L
.30978 .36862 L
.31028 .36917 L
.31138 .36994 L
.31177 .37078 L
.31299 .37207 L
.3132 .37238 L
.31459 .37399 L
.31459 .37399 L
.31593 .37559 L
.3162 .3759 L
.31726 .3772 L
.31781 .37761 L
.31859 .3788 L
.31941 .37972 L
.32021 .38041 L
.32102 .38176 L
.32126 .38201 L
.32251 .38362 L
.32262 .38376 L
.32378 .38523 L
.32423 .38565 L
.32506 .38683 L
.32583 .38775 L
.32649 .38844 L
.32744 .38982 L
.32762 .39004 L
.32887 .39165 L
.32904 .39174 L
.33013 .39325 L
.33065 .39382 L
.3317 .39486 L
.33225 .39593 L
.33271 .39646 L
.33386 .398 L
.3339 .39807 L
.33515 .39967 L
.33546 .39994 L
.33639 .40128 L
.33707 .40207 L
.3378 .40288 L
.33867 .40419 L
.3389 .40449 L
.34014 .40609 L
.34028 .40614 L
.34137 .4077 L
.34188 .40824 L
.34292 .4093 L
.34349 .41039 L
.34392 .41091 L
.34509 .4125 L
.34511 .41251 L
.34633 .41412 L
.3467 .41441 L
.34811 .41572 L
.3483 .41659 L
.34896 .41733 L
.34991 .41874 L
.35006 .41894 L
.35128 .42054 L
.35152 .42058 L
.3525 .42215 L
.35312 .42278 L
.35403 .42375 L
.35473 .42497 L
.35504 .42536 L
.35622 .42696 L
.35633 .42711 L
.35743 .42857 L
.35794 .42894 L
.35919 .43017 L
.35954 .4312 L
.36003 .43178 L
.36115 .43338 L
.36115 .43338 L
.36235 .43499 L
.36275 .4355 L
.36357 .43659 L
.36436 .43741 L
.36506 .4382 L
.36596 .43966 L
.36608 .4398 L
.36726 .44141 L
.36757 .4418 L
.36847 .44301 L
.36917 .44358 L
.37015 .44462 L
.37078 .44594 L
.37102 .44622 L
.37216 .44783 L
.37238 .44812 L
.37335 .44943 L
.37399 .45024 L
.37457 .45104 L
.37559 .45222 L
.37596 .45265 L
.37703 .45425 L
.3772 .45447 L
.37821 .45586 L
.3788 .45661 L
.37942 .45746 L
.38041 .45852 L
.38089 .45907 L
.38185 .46067 L
.38201 .46088 L
.38302 .46228 L
.38362 .46305 L
.38421 .46388 L
.38523 .46521 L
.38542 .46549 L
.3866 .46709 L
.38683 .46739 L
.38774 .4687 L
.38844 .46963 L
.38889 .4703 L
.39004 .47186 L
.39008 .47191 L
.39114 .47351 L
.39165 .47422 L
.39218 .47512 L
.39165 .4763 L
.39051 .47512 L
.39004 .47464 L
.38901 .47351 L
.38844 .47288 L
.38756 .47191 L
.38683 .47124 L
.38615 .4703 L
.38523 .46921 L
.38461 .4687 L
.38362 .46729 L
.38345 .46709 L
.38208 .46549 L
.38201 .46548 L
.38073 .46388 L
.38041 .46351 L
.37897 .46228 L
.3788 .4615 L
.3781 .46067 L
.3772 .45948 L
.37693 .45907 L
.37559 .45752 L
.37549 .45746 L
.3742 .45586 L
.37399 .45558 L
.37283 .45425 L
.37238 .45353 L
.37173 .45265 L
.37078 .45145 L
.37061 .45104 L
.36917 .44947 L
.36908 .44943 L
.36768 .44783 L
.36757 .4475 L
.36658 .44622 L
.36596 .4454 L
.36548 .44462 L
.36436 .44329 L
.36401 .44301 L
.36278 .44141 L
.36275 .44138 L
.36148 .4398 L
.36115 .43929 L
.36038 .4382 L
.35954 .43716 L
.35932 .43659 L
.35794 .43509 L
.35776 .43499 L
.35644 .43338 L
.35633 .43313 L
.35531 .43178 L
.35473 .431 L
.35423 .43017 L
.35312 .42888 L
.35278 .42857 L
.35156 .42696 L
.35152 .42691 L
.35027 .42536 L
.34991 .42481 L
.34918 .42375 L
.3483 .42267 L
.34812 .42215 L
.3467 .42061 L
.3466 .42054 L
.34526 .41894 L
.34509 .41858 L
.34416 .41733 L
.34349 .41645 L
.34308 .41572 L
.34188 .41433 L
.34167 .41412 L
.34044 .41251 L
.34028 .41232 L
.33915 .41091 L
.33867 .4102 L
.33808 .4093 L
.33707 .40806 L
.33697 .4077 L
.33554 .40609 L
.33546 .40603 L
.33414 .40449 L
.33386 .40392 L
.33309 .40288 L
.33225 .40177 L
.33199 .40128 L
.33065 .39967 L
.33065 .39967 L
.32944 .39807 L
.32904 .39763 L
.32812 .39646 L
.32744 .39545 L
.32705 .39486 L
.32583 .39329 L
.32582 .39325 L
.32459 .39165 L
.32423 .39134 L
.32314 .39004 L
.32262 .38909 L
.32216 .38844 L
.32102 .38687 L
.32099 .38683 L
.3198 .38523 L
.31941 .3847 L
.31805 .38362 L
.31781 .38266 L
.31733 .38201 L
.31625 .38041 L
.3162 .38034 L
.3151 .3788 L
.31459 .37811 L
.31394 .3772 L
.31299 .37604 L
.31266 .37559 L
.31168 .37399 L
.31138 .37357 L
.31059 .37238 L
.30978 .3712 L
.3095 .37078 L
.30851 .36917 L
.30817 .36864 L
.30765 .36757 L
F
.733 .99 1 r
.30978 .36243 m
.31013 .36275 L
.31138 .3639 L
.31182 .36436 L
.31299 .36548 L
.31334 .36596 L
.31459 .36733 L
.31492 .36757 L
.3162 .36917 L
.31621 .36917 L
.31758 .37078 L
.31781 .37092 L
.31893 .37238 L
.31941 .37291 L
.32078 .37399 L
.32102 .3749 L
.32168 .37559 L
.32262 .3769 L
.32287 .3772 L
.3242 .3788 L
.32423 .37883 L
.32549 .38041 L
.32583 .38083 L
.32696 .38201 L
.32744 .38289 L
.32805 .38362 L
.32904 .38495 L
.32922 .38523 L
.33058 .38683 L
.33065 .3869 L
.33214 .38844 L
.33225 .38896 L
.33318 .39004 L
.33386 .39106 L
.33429 .39165 L
.33546 .39313 L
.33548 .39325 L
.33686 .39486 L
.33707 .39511 L
.33827 .39646 L
.33867 .39721 L
.33935 .39807 L
.34028 .39932 L
.34048 .39967 L
.34184 .40128 L
.34188 .40132 L
.34336 .40288 L
.34349 .4034 L
.3444 .40449 L
.34509 .40552 L
.3455 .40609 L
.3467 .4076 L
.34671 .4077 L
.34804 .4093 L
.3483 .40961 L
.34946 .41091 L
.34991 .41173 L
.35052 .41251 L
.35152 .41384 L
.35166 .41412 L
.35299 .41572 L
.35312 .41585 L
.35454 .41733 L
.35473 .41795 L
.35555 .41894 L
.35633 .42008 L
.35665 .42054 L
.35793 .42215 L
.35794 .42215 L
.35915 .42375 L
.35954 .42417 L
.36059 .42536 L
.36115 .42631 L
.36165 .42696 L
.36275 .42843 L
.36282 .42857 L
.36409 .43017 L
.36436 .4304 L
.36568 .43178 L
.36596 .43254 L
.36666 .43338 L
.36757 .43468 L
.36777 .43499 L
.36902 .43659 L
.36917 .43665 L
.37024 .4382 L
.37078 .43876 L
.37169 .4398 L
.37238 .44093 L
.37275 .44141 L
.37396 .44301 L
.37399 .44305 L
.37517 .44462 L
.37559 .44496 L
.37678 .44622 L
.3772 .44716 L
.37774 .44783 L
.3788 .44933 L
.37888 .44943 L
.38009 .45104 L
.38041 .45114 L
.38132 .45265 L
.38201 .45338 L
.38276 .45425 L
.38362 .45559 L
.38382 .45586 L
.38502 .45746 L
.38523 .45772 L
.38623 .45907 L
.38683 .45956 L
.38783 .46067 L
.38844 .46183 L
.38879 .46228 L
.38994 .46388 L
.39004 .46401 L
.39114 .46549 L
.39165 .46612 L
.39237 .46709 L
.39325 .46806 L
.39378 .4687 L
.39485 .4703 L
.39486 .47031 L
.39605 .47191 L
.39646 .47243 L
.39726 .47351 L
.39807 .47426 L
.3988 .47512 L
.39967 .4766 L
.39977 .47672 L
.40094 .47833 L
.40128 .47875 L
.40215 .47993 L
.40288 .48088 L
.40337 .48154 L
.40449 .4829 L
.40468 .48314 L
.40581 .48475 L
.40609 .48511 L
.407 .48636 L
.4077 .48725 L
.40821 .48796 L
.4093 .48925 L
.40956 .48957 L
.41063 .49117 L
.41091 .49153 L
.4118 .49278 L
.41251 .49371 L
.41299 .49438 L
.41412 .49587 L
.4142 .49599 L
.41534 .49759 L
.41572 .49809 L
.41647 .4992 L
.41733 .50036 L
.41762 .5008 L
.41874 .50241 L
.41894 .50268 L
.41973 .50401 L
.42054 .5053 L
.42068 .50562 L
.42054 .50637 L
.41962 .50562 L
.41894 .50502 L
.41793 .50401 L
.41733 .50341 L
.41638 .50241 L
.41572 .50195 L
.4149 .5008 L
.41412 .49992 L
.41301 .4992 L
.41251 .49803 L
.41209 .49759 L
.41091 .49615 L
.41079 .49599 L
.40934 .49438 L
.4093 .49434 L
.40798 .49278 L
.4077 .4924 L
.40661 .49117 L
.40609 .49039 L
.40547 .48957 L
.40449 .48835 L
.40435 .48796 L
.40288 .48657 L
.4027 .48636 L
.40137 .48475 L
.40128 .48455 L
.40019 .48314 L
.39967 .48246 L
.3991 .48154 L
.39807 .4803 L
.39753 .47993 L
.39646 .47855 L
.39628 .47833 L
.39503 .47672 L
.39486 .47648 L
.3939 .47512 L
.39325 .47431 L
.39292 .47351 L
.39165 .47245 L
.39121 .47191 L
.39004 .47038 L
.38998 .4703 L
.38878 .4687 L
.38844 .46824 L
.38773 .46709 L
.38683 .46602 L
.3862 .46549 L
.38523 .46421 L
.38497 .46388 L
.38374 .46228 L
.38362 .4621 L
.38263 .46067 L
.38201 .45991 L
.3817 .45907 L
.38041 .45766 L
.37998 .45746 L
.3788 .4559 L
.37877 .45586 L
.37758 .45425 L
.3772 .45376 L
.37655 .45265 L
.37559 .45154 L
.37502 .45104 L
.37399 .44967 L
.3738 .44943 L
.37258 .44783 L
.37238 .44755 L
.37148 .44622 L
.37078 .44537 L
.37056 .44462 L
.36917 .44318 L
.36885 .44301 L
.36762 .44141 L
.36757 .44132 L
.36646 .4398 L
.36596 .43917 L
.36543 .4382 L
.36436 .43699 L
.36391 .43659 L
.36275 .43506 L
.36269 .43499 L
.36146 .43338 L
.36115 .43295 L
.36038 .43178 L
.35954 .43079 L
.35943 .43017 L
.35794 .42867 L
.35775 .42857 L
.35649 .42696 L
.35633 .4267 L
.35536 .42536 L
.35473 .42456 L
.35433 .42375 L
.35312 .42242 L
.35283 .42215 L
.35155 .42054 L
.35152 .42043 L
.35036 .41894 L
.34991 .41831 L
.34929 .41733 L
.3483 .41617 L
.34828 .41572 L
.3467 .41413 L
.34669 .41412 L
.34538 .41251 L
.34509 .41206 L
.34428 .41091 L
.34349 .40991 L
.34322 .4093 L
.34188 .40781 L
.34177 .4077 L
.34039 .40609 L
.34028 .40579 L
.33929 .40449 L
.33867 .40365 L
.33821 .40288 L
.33707 .40151 L
.33687 .40128 L
.33566 .39967 L
.33546 .3995 L
.3343 .39807 L
.33386 .39737 L
.33323 .39646 L
.33225 .39521 L
.33211 .39486 L
.33077 .39325 L
.33065 .39321 L
.32927 .39165 L
.32904 .39108 L
.32827 .39004 L
.32744 .38888 L
.32718 .38844 L
.32592 .38683 L
.32583 .38672 L
.32472 .38523 L
.32423 .3848 L
.32333 .38362 L
.32262 .38251 L
.32229 .38201 L
.32111 .38041 L
.32102 .38029 L
.31993 .3788 L
.31941 .37855 L
.31838 .3772 L
.31781 .37604 L
.3175 .37559 L
.31639 .37399 L
.3162 .37373 L
.31525 .37238 L
.31459 .37148 L
.3141 .37078 L
.31299 .36925 L
.31294 .36917 L
.31189 .36757 L
.31138 .36683 L
.31083 .36596 L
.30979 .36436 L
.30978 .36433 L
.30904 .36275 L
F
1 .96 .289 r
.31459 .24528 m
.3162 .24506 L
.31781 .24491 L
.31941 .24483 L
.32102 .24478 L
.32262 .24477 L
.32423 .2448 L
.32583 .24485 L
.32744 .24494 L
.32904 .24507 L
.33065 .24523 L
.33225 .24544 L
.33307 .24557 L
.33386 .24571 L
.33546 .24603 L
.33707 .24643 L
.33867 .24689 L
.33954 .24717 L
.34028 .24744 L
.34188 .24809 L
.34342 .24878 L
.34349 .24881 L
.34509 .24965 L
.34638 .25039 L
.3467 .25058 L
.3483 .25162 L
.34884 .25199 L
.34991 .25277 L
.35097 .2536 L
.35152 .25404 L
.35285 .2552 L
.35312 .25545 L
.35452 .25681 L
.35473 .25702 L
.35599 .25841 L
.35633 .25881 L
.35726 .26002 L
.35794 .26097 L
.35833 .26162 L
.35914 .26323 L
.35954 .26443 L
.35962 .26483 L
.35961 .26644 L
.35954 .2667 L
.35872 .26804 L
.35794 .26872 L
.35633 .26942 L
.35548 .26965 L
.35473 .26982 L
.35312 .27008 L
.35152 .27023 L
.34991 .27029 L
.3483 .27029 L
.3467 .27024 L
.34509 .27012 L
.34349 .26996 L
.34188 .26974 L
.34128 .26965 L
.34028 .26947 L
.33867 .26913 L
.33707 .26874 L
.33546 .26828 L
.33468 .26804 L
.33386 .26777 L
.33225 .26718 L
.33065 .26653 L
.33043 .26644 L
.32904 .26581 L
.32744 .26503 L
.32706 .26483 L
.32583 .26417 L
.32423 .26326 L
.32418 .26323 L
.32262 .26226 L
.32163 .26162 L
.32102 .26121 L
.31941 .26007 L
.31933 .26002 L
.31781 .25885 L
.31725 .25841 L
.3162 .25753 L
.31537 .25681 L
.31459 .2561 L
.31367 .2552 L
.31299 .2545 L
.31219 .2536 L
.31138 .25261 L
.31096 .25199 L
.31006 .25039 L
.30978 .24959 L
.30966 .24878 L
.30978 .24791 L
.31019 .24717 L
.31138 .24625 L
.31299 .24561 L
.31329 .24557 L
F
.395 .97 1 r
.31138 .3775 m
.31251 .3788 L
.31299 .37931 L
.3139 .38041 L
.31459 .38118 L
.31527 .38201 L
.3162 .38309 L
.31662 .38362 L
.31781 .38493 L
.31796 .38523 L
.31926 .38683 L
.31941 .387 L
.32054 .38844 L
.32102 .389 L
.32182 .39004 L
.32262 .39101 L
.32311 .39165 L
.32423 .39294 L
.32459 .39325 L
.32567 .39486 L
.32583 .39505 L
.32692 .39646 L
.32744 .39709 L
.32818 .39807 L
.32904 .39888 L
.32945 .39967 L
.33065 .40116 L
.33077 .40128 L
.33195 .40288 L
.33225 .40325 L
.33318 .40449 L
.33386 .40532 L
.33443 .40609 L
.33546 .40727 L
.33591 .4077 L
.33694 .4093 L
.33707 .40946 L
.33815 .41091 L
.33867 .41156 L
.33938 .41251 L
.34028 .41336 L
.34063 .41412 L
.34188 .41572 L
.34189 .41572 L
.34308 .41733 L
.34349 .41784 L
.34429 .41894 L
.34509 .41995 L
.34553 .42054 L
.3467 .42199 L
.34685 .42215 L
.34797 .42375 L
.3483 .42417 L
.34917 .42536 L
.34991 .4263 L
.35038 .42696 L
.35152 .4283 L
.35162 .42857 L
.3528 .43017 L
.35312 .43058 L
.35398 .43178 L
.35473 .43274 L
.35517 .43338 L
.35633 .43489 L
.3564 .43499 L
.35754 .43659 L
.35794 .43711 L
.35867 .4382 L
.35954 .43935 L
.35984 .4398 L
.36099 .44141 L
.36115 .44163 L
.36199 .44301 L
.36275 .44414 L
.36297 .44462 L
.36275 .44501 L
.36234 .44462 L
.36115 .44343 L
.36076 .44301 L
.35954 .44167 L
.35931 .44141 L
.35794 .43983 L
.35792 .4398 L
.35655 .4382 L
.35633 .43794 L
.3552 .43659 L
.35473 .43604 L
.35385 .43499 L
.35312 .43447 L
.35252 .43338 L
.35152 .43219 L
.35104 .43178 L
.34992 .43017 L
.34991 .43016 L
.34862 .42857 L
.3483 .42818 L
.34732 .42696 L
.3467 .42634 L
.34538 .42536 L
.34509 .42418 L
.34471 .42375 L
.3435 .42215 L
.34349 .42214 L
.34223 .42054 L
.34188 .4204 L
.34095 .41894 L
.34028 .41814 L
.33949 .41733 L
.33867 .41601 L
.33845 .41572 L
.3372 .41412 L
.33707 .41395 L
.33595 .41251 L
.33546 .41206 L
.33418 .41091 L
.33386 .40985 L
.33341 .4093 L
.33225 .40773 L
.33223 .4077 L
.331 .40609 L
.33065 .40601 L
.32976 .40449 L
.32904 .40365 L
.32835 .40288 L
.32744 .40145 L
.32731 .40128 L
.3261 .39967 L
.32583 .39932 L
.32488 .39807 L
.32423 .39745 L
.32323 .39646 L
.32262 .39511 L
.32242 .39486 L
.32126 .39325 L
.32102 .39292 L
.32007 .39165 L
.31941 .39077 L
.31887 .39004 L
.31781 .38865 L
.31762 .38844 L
.31653 .38683 L
.3162 .38639 L
.31536 .38523 L
.31459 .38417 L
.3142 .38362 L
.31306 .38201 L
.31299 .38192 L
.31198 .38041 L
.31138 .37957 L
.31088 .3788 L
F
1 .95 .212 r
.31941 .24545 m
.32102 .24536 L
.32262 .24533 L
.32423 .24534 L
.32583 .2454 L
.32744 .2455 L
.32824 .24557 L
.32904 .24565 L
.33065 .24585 L
.33225 .2461 L
.33386 .24642 L
.33546 .2468 L
.3368 .24717 L
.33707 .24726 L
.33867 .2478 L
.34028 .24843 L
.34109 .24878 L
.34188 .24915 L
.34349 .24997 L
.34423 .25039 L
.34509 .2509 L
.3467 .25193 L
.34678 .25199 L
.3483 .25309 L
.34896 .2536 L
.34991 .25437 L
.35086 .2552 L
.35152 .25581 L
.35253 .25681 L
.35312 .25743 L
.35398 .25841 L
.35473 .25934 L
.35521 .26002 L
.35621 .26162 L
.35633 .26185 L
.35691 .26323 L
.35721 .26483 L
.35687 .26644 L
.35633 .26744 L
.35519 .26804 L
.35473 .26828 L
.35312 .26882 L
.35152 .26911 L
.34991 .26927 L
.3483 .26932 L
.3467 .2693 L
.34509 .2692 L
.34349 .26903 L
.34188 .2688 L
.34028 .26851 L
.33867 .26816 L
.33821 .26804 L
.33707 .26774 L
.33546 .26725 L
.33386 .26669 L
.33317 .26644 L
.33225 .26607 L
.33065 .26538 L
.32947 .26483 L
.32904 .26462 L
.32744 .26379 L
.32641 .26323 L
.32583 .26289 L
.32423 .26192 L
.32375 .26162 L
.32262 .26088 L
.32139 .26002 L
.32102 .25975 L
.31941 .25853 L
.31926 .25841 L
.31781 .2572 L
.31736 .25681 L
.3162 .25574 L
.31566 .2552 L
.31459 .25406 L
.3142 .2536 L
.31302 .25199 L
.31299 .25194 L
.31221 .25039 L
.31199 .24878 L
.31292 .24717 L
.31299 .2471 L
.31459 .24618 L
.3162 .24582 L
.31781 .2456 L
.31812 .24557 L
F
1 .96 .289 r
.31299 .37349 m
.31352 .37399 L
.31459 .37497 L
.31516 .37559 L
.3162 .37668 L
.31664 .3772 L
.31781 .37833 L
.31807 .3788 L
.31941 .38034 L
.3195 .38041 L
.32079 .38201 L
.32102 .38227 L
.32212 .38362 L
.32262 .38421 L
.32344 .38523 L
.32423 .38602 L
.32476 .38683 L
.32583 .38811 L
.32616 .38844 L
.32736 .39004 L
.32744 .39014 L
.32863 .39165 L
.32904 .3919 L
.3299 .39325 L
.33065 .39408 L
.33148 .39486 L
.33225 .39618 L
.3325 .39646 L
.33372 .39807 L
.33386 .39824 L
.33497 .39967 L
.33546 .40012 L
.33623 .40128 L
.33707 .40228 L
.33763 .40288 L
.33867 .40439 L
.33876 .40449 L
.33999 .40609 L
.34028 .40621 L
.34123 .4077 L
.34188 .4084 L
.34278 .4093 L
.34349 .41056 L
.34378 .41091 L
.34498 .41251 L
.34509 .41266 L
.3462 .41412 L
.3467 .41453 L
.34801 .41572 L
.3483 .41674 L
.34883 .41733 L
.34991 .41889 L
.34994 .41894 L
.35116 .42054 L
.35152 .42064 L
.35239 .42215 L
.35312 .42292 L
.3539 .42375 L
.35473 .42513 L
.35491 .42536 L
.3561 .42696 L
.35633 .42725 L
.35731 .42857 L
.35794 .42907 L
.35906 .43017 L
.35954 .43137 L
.3599 .43178 L
.36102 .43338 L
.36115 .43354 L
.36223 .43499 L
.36275 .43565 L
.36345 .43659 L
.36436 .43759 L
.3649 .4382 L
.36593 .4398 L
.36596 .43984 L
.36712 .44141 L
.36757 .44197 L
.36834 .44301 L
.36917 .4438 L
.36995 .44462 L
.37078 .44617 L
.37082 .44622 L
.37199 .44783 L
.37238 .44833 L
.37319 .44943 L
.37399 .45046 L
.37441 .45104 L
.37559 .45254 L
.37568 .45265 L
.37682 .45425 L
.3772 .45474 L
.378 .45586 L
.3788 .4569 L
.3792 .45746 L
.38041 .45903 L
.38044 .45907 L
.38156 .46067 L
.38201 .46127 L
.38271 .46228 L
.38362 .46349 L
.38389 .46388 L
.38504 .46549 L
.38523 .46574 L
.3861 .46709 L
.38683 .46812 L
.38717 .4687 L
.38683 .46994 L
.38564 .4687 L
.38523 .46828 L
.38415 .46709 L
.38362 .46652 L
.38271 .46549 L
.38201 .46525 L
.3813 .46388 L
.38041 .4629 L
.37943 .46228 L
.3788 .46092 L
.37856 .46067 L
.37725 .45907 L
.3772 .45901 L
.37591 .45746 L
.37559 .45719 L
.37458 .45586 L
.37399 .45513 L
.37313 .45425 L
.37238 .4531 L
.37203 .45265 L
.37078 .45112 L
.37074 .45104 L
.36939 .44943 L
.36917 .44919 L
.3678 .44783 L
.36757 .44713 L
.36683 .44622 L
.36596 .44507 L
.36569 .44462 L
.36436 .44307 L
.36428 .44301 L
.36301 .44141 L
.36275 .44108 L
.36167 .4398 L
.36115 .43899 L
.36058 .4382 L
.35954 .43691 L
.35943 .43659 L
.35798 .43499 L
.35794 .43494 L
.35654 .43338 L
.35633 .43287 L
.35549 .43178 L
.35473 .43076 L
.35439 .43017 L
.35312 .42869 L
.35298 .42857 L
.35174 .42696 L
.35152 .42669 L
.35043 .42536 L
.34991 .42457 L
.34934 .42375 L
.3483 .42246 L
.34821 .42215 L
.34679 .42054 L
.3467 .42045 L
.34536 .41894 L
.34509 .41836 L
.34432 .41733 L
.34349 .41622 L
.34321 .41572 L
.34188 .41415 L
.34185 .41412 L
.34062 .41251 L
.34028 .41211 L
.33931 .41091 L
.33867 .40996 L
.33824 .4093 L
.33707 .40784 L
.33703 .4077 L
.33573 .40609 L
.33546 .40585 L
.33427 .40449 L
.33386 .40367 L
.33328 .40288 L
.33225 .4015 L
.33213 .40128 L
.33087 .39967 L
.33065 .3996 L
.32966 .39807 L
.32904 .39735 L
.32834 .39646 L
.32744 .39512 L
.32727 .39486 L
.32606 .39325 L
.32583 .39295 L
.32487 .39165 L
.32423 .39102 L
.32342 .39004 L
.32262 .38864 L
.32247 .38844 L
.32133 .38683 L
.32102 .38641 L
.32017 .38523 L
.31941 .38419 L
.31854 .38362 L
.31785 .38201 L
.31781 .38195 L
.31675 .38041 L
.3162 .37963 L
.31564 .3788 L
.31459 .37728 L
.31454 .3772 L
.31358 .37559 L
.31299 .37463 L
.31268 .37399 L
F
1 .94 .156 r
.3162 .24684 m
.31781 .24635 L
.31941 .2461 L
.32102 .24596 L
.32262 .2459 L
.32423 .2459 L
.32583 .24596 L
.32744 .24607 L
.32904 .24623 L
.33065 .24646 L
.33225 .24675 L
.33386 .2471 L
.33416 .24717 L
.33546 .24753 L
.33707 .24804 L
.33867 .24864 L
.33901 .24878 L
.34028 .24934 L
.34188 .25013 L
.34236 .25039 L
.34349 .25103 L
.34501 .25199 L
.34509 .25204 L
.3467 .25318 L
.34725 .2536 L
.3483 .25445 L
.34917 .2552 L
.34991 .25588 L
.35084 .25681 L
.35152 .25753 L
.35227 .25841 L
.35312 .25951 L
.35345 .26002 L
.35437 .26162 L
.35473 .26248 L
.35494 .26323 L
.35501 .26483 L
.35473 .2657 L
.3542 .26644 L
.35312 .2673 L
.35152 .26787 L
.35075 .26804 L
.34991 .26818 L
.3483 .26833 L
.3467 .26836 L
.34509 .26829 L
.34349 .26815 L
.34265 .26804 L
.34188 .26792 L
.34028 .26762 L
.33867 .26726 L
.33707 .26682 L
.33584 .26644 L
.33546 .26631 L
.33386 .26573 L
.33225 .26508 L
.33167 .26483 L
.33065 .26436 L
.32904 .26357 L
.32838 .26323 L
.32744 .26271 L
.32583 .26177 L
.32559 .26162 L
.32423 .26075 L
.32315 .26002 L
.32262 .25965 L
.32102 .25844 L
.32097 .25841 L
.31941 .25713 L
.31905 .25681 L
.31781 .25566 L
.31735 .2552 L
.3162 .25395 L
.31591 .2536 L
.31479 .25199 L
.31459 .25165 L
.31409 .25039 L
.31407 .24878 L
.31459 .2479 L
.31556 .24717 L
F
.733 .99 1 r
.31459 .39486 m
.31571 .39646 L
.3162 .39709 L
.31684 .39807 L
.31781 .39932 L
.31802 .39967 L
.31781 .40045 L
.31716 .39967 L
.3162 .39859 L
.31577 .39807 L
.31459 .39666 L
.31443 .39646 L
F
1 1 1 r
.3162 .32178 m
.3176 .32262 L
.31781 .32266 L
.31941 .32419 L
.31947 .32423 L
.32099 .32583 L
.32102 .32585 L
.32239 .32744 L
.32262 .32772 L
.32402 .32904 L
.32423 .32971 L
.3251 .33065 L
.32583 .33177 L
.32624 .33225 L
.32744 .33379 L
.32745 .33386 L
.32882 .33546 L
.32904 .33572 L
.33021 .33707 L
.33065 .33782 L
.33129 .33867 L
.33225 .33993 L
.33242 .34028 L
.33377 .34188 L
.33386 .342 L
.33527 .34349 L
.33546 .34413 L
.33627 .34509 L
.33707 .34631 L
.33732 .3467 L
.33814 .3483 L
.33707 .34868 L
.33546 .34868 L
.33429 .3483 L
.33386 .34807 L
.33233 .3467 L
.33225 .34639 L
.33118 .34509 L
.33065 .34387 L
.33007 .34349 L
.32904 .34233 L
.329 .34188 L
.32747 .34028 L
.32744 .34024 L
.32613 .33867 L
.32583 .33817 L
.32504 .33707 L
.32423 .33604 L
.32396 .33546 L
.32262 .33393 L
.32256 .33386 L
.32112 .33225 L
.32102 .33207 L
.32008 .33065 L
.31941 .32982 L
.31902 .32904 L
.31781 .32748 L
.31778 .32744 L
.31665 .32583 L
.3162 .32514 L
.31533 .32423 L
.3148 .32262 L
F
1 .93 .114 r
.31941 .24692 m
.32102 .24665 L
.32262 .24652 L
.32423 .24649 L
.32583 .24654 L
.32744 .24665 L
.32904 .24682 L
.33065 .24707 L
.33124 .24717 L
.33225 .24738 L
.33386 .24777 L
.33546 .24824 L
.33701 .24878 L
.33707 .2488 L
.33867 .24946 L
.34028 .25021 L
.34063 .25039 L
.34188 .25107 L
.34341 .25199 L
.34349 .25204 L
.34509 .25314 L
.3457 .2536 L
.3467 .25438 L
.34765 .2552 L
.3483 .2558 L
.34932 .25681 L
.34991 .25744 L
.35072 .25841 L
.35152 .25946 L
.35186 .26002 L
.35268 .26162 L
.35309 .26323 L
.35285 .26483 L
.35152 .26636 L
.35124 .26644 L
.34991 .26696 L
.3483 .26728 L
.3467 .2674 L
.34509 .26739 L
.34349 .26727 L
.34188 .26706 L
.34028 .26677 L
.3388 .26644 L
.33867 .2664 L
.33707 .26596 L
.33546 .26544 L
.33386 .26484 L
.33383 .26483 L
.33225 .26417 L
.33065 .26343 L
.33023 .26323 L
.32904 .26261 L
.32744 .26171 L
.32728 .26162 L
.32583 .26073 L
.32474 .26002 L
.32423 .25966 L
.32262 .25849 L
.32252 .25841 L
.32102 .2572 L
.32056 .25681 L
.31941 .25575 L
.31887 .2552 L
.31781 .25404 L
.31746 .2536 L
.31639 .25199 L
.3162 .2516 L
.31581 .25039 L
.31607 .24878 L
.3162 .24858 L
.31781 .24742 L
.31848 .24717 L
F
.289 .96 1 r
.3162 .38408 m
.3172 .38523 L
.31781 .38583 L
.31862 .38683 L
.31941 .38769 L
.32 .38844 L
.32102 .38959 L
.32137 .39004 L
.32262 .39153 L
.32271 .39165 L
.324 .39325 L
.32423 .39351 L
.32527 .39486 L
.32583 .39551 L
.32656 .39646 L
.32744 .39752 L
.32785 .39807 L
.32904 .39945 L
.32915 .39967 L
.3304 .40128 L
.33065 .40158 L
.33163 .40288 L
.33225 .40364 L
.33289 .40449 L
.33386 .40569 L
.33416 .40609 L
.33543 .4077 L
.33546 .40774 L
.33664 .4093 L
.33707 .40983 L
.33787 .41091 L
.33867 .41192 L
.33911 .41251 L
.34028 .41389 L
.34037 .41412 L
.34158 .41572 L
.34188 .4161 L
.34278 .41733 L
.34349 .41822 L
.34401 .41894 L
.34509 .42032 L
.34525 .42054 L
.34646 .42215 L
.3467 .42245 L
.34763 .42375 L
.3483 .42461 L
.34883 .42536 L
.34991 .42675 L
.35006 .42696 L
.35123 .42857 L
.35152 .42893 L
.35237 .43017 L
.35312 .43116 L
.35353 .43178 L
.35473 .43337 L
.35473 .43338 L
.35575 .43499 L
.35633 .43581 L
.35672 .43659 L
.35633 .43683 L
.3561 .43659 L
.35473 .43513 L
.3546 .43499 L
.3532 .43338 L
.35312 .4333 L
.35184 .43178 L
.35152 .43141 L
.35048 .43017 L
.34991 .4295 L
.34914 .42857 L
.3483 .42756 L
.34781 .42696 L
.3467 .42567 L
.3462 .42536 L
.34522 .42375 L
.34509 .4236 L
.34393 .42215 L
.34349 .4216 L
.34265 .42054 L
.34188 .42 L
.34136 .41894 L
.34028 .4176 L
.34 .41733 L
.33885 .41572 L
.33867 .41551 L
.33759 .41412 L
.33707 .41346 L
.33633 .41251 L
.33546 .41157 L
.33466 .41091 L
.33386 .40932 L
.33384 .4093 L
.33261 .4077 L
.33225 .40723 L
.33138 .40609 L
.33065 .40563 L
.33014 .40449 L
.32904 .40308 L
.32886 .40288 L
.32772 .40128 L
.32744 .40091 L
.32651 .39967 L
.32583 .39878 L
.3253 .39807 L
.32423 .39673 L
.32395 .39646 L
.32292 .39486 L
.32262 .39446 L
.32175 .39325 L
.32102 .39227 L
.32057 .39165 L
.31941 .39006 L
.3194 .39004 L
.3183 .38844 L
.31781 .38775 L
.31719 .38683 L
.3162 .3854 L
.31609 .38523 L
F
.538 .98 1 r
.3162 .37084 m
.31781 .37225 L
.31788 .37238 L
.31941 .37399 L
.31941 .37399 L
.32085 .37559 L
.32102 .37577 L
.32226 .3772 L
.32262 .3776 L
.32363 .3788 L
.32423 .37935 L
.325 .38041 L
.32583 .38137 L
.32655 .38201 L
.32744 .38336 L
.32768 .38362 L
.32897 .38523 L
.32904 .38526 L
.33026 .38683 L
.33065 .38724 L
.332 .38844 L
.33225 .3893 L
.33294 .39004 L
.33386 .39134 L
.33409 .39165 L
.3354 .39325 L
.33546 .39331 L
.33666 .39486 L
.33707 .39534 L
.33813 .39646 L
.33867 .39743 L
.3392 .39807 L
.34028 .39949 L
.34038 .39967 L
.3417 .40128 L
.34188 .40147 L
.3433 .40288 L
.34349 .40356 L
.34429 .40449 L
.34509 .40566 L
.3454 .40609 L
.3467 .4077 L
.3467 .4077 L
.34793 .4093 L
.3483 .40973 L
.34938 .41091 L
.34991 .41185 L
.35044 .41251 L
.35152 .41395 L
.35161 .41412 L
.3529 .41572 L
.35312 .41593 L
.35449 .41733 L
.35473 .41805 L
.35548 .41894 L
.35633 .42017 L
.35659 .42054 L
.35786 .42215 L
.35794 .42219 L
.35908 .42375 L
.35954 .42425 L
.36053 .42536 L
.36115 .4264 L
.36159 .42696 L
.36275 .42851 L
.36278 .42857 L
.36402 .43017 L
.36436 .43046 L
.36563 .43178 L
.36596 .43262 L
.3666 .43338 L
.36757 .43476 L
.36772 .43499 L
.36896 .43659 L
.36917 .43668 L
.37018 .4382 L
.37078 .43883 L
.37163 .4398 L
.37238 .44101 L
.37269 .44141 L
.37389 .44301 L
.37399 .44314 L
.3751 .44462 L
.37559 .44503 L
.37672 .44622 L
.3772 .44725 L
.37767 .44783 L
.3788 .44942 L
.37882 .44943 L
.38003 .45104 L
.38041 .45119 L
.38125 .45265 L
.38201 .45347 L
.38268 .45425 L
.38362 .45569 L
.38374 .45586 L
.38494 .45746 L
.38523 .45782 L
.38615 .45907 L
.38683 .45966 L
.38774 .46067 L
.38844 .46196 L
.38869 .46228 L
.38984 .46388 L
.39004 .46413 L
.39105 .46549 L
.39165 .46625 L
.39227 .46709 L
.39325 .46823 L
.39364 .4687 L
.39473 .4703 L
.39486 .47046 L
.39592 .47191 L
.39646 .47259 L
.39714 .47351 L
.39807 .47449 L
.3986 .47512 L
.39959 .47672 L
.39967 .47683 L
.40077 .47833 L
.40128 .47898 L
.40197 .47993 L
.40288 .48112 L
.40318 .48154 L
.4044 .48314 L
.40449 .48326 L
.40555 .48475 L
.40609 .48545 L
.40673 .48636 L
.4077 .48764 L
.40792 .48796 L
.40909 .48957 L
.4093 .48985 L
.4102 .49117 L
.41091 .49214 L
.41132 .49278 L
.41246 .49438 L
.41251 .49446 L
.41341 .49599 L
.41412 .49718 L
.41425 .49759 L
.41412 .49791 L
.41365 .49759 L
.41251 .49662 L
.41188 .49599 L
.41091 .495 L
.41033 .49438 L
.4093 .49334 L
.40885 .49278 L
.4077 .49145 L
.40735 .49117 L
.40609 .48962 L
.40605 .48957 L
.40465 .48796 L
.40449 .48784 L
.40328 .48636 L
.40288 .48587 L
.40166 .48475 L
.40128 .48389 L
.40065 .48314 L
.39967 .4819 L
.39945 .48154 L
.39807 .47997 L
.39797 .47993 L
.39666 .47833 L
.39646 .47805 L
.39535 .47672 L
.39486 .476 L
.39423 .47512 L
.39325 .47392 L
.39313 .47351 L
.39165 .47207 L
.39151 .47191 L
.39018 .4703 L
.39004 .47002 L
.38904 .4687 L
.38844 .46791 L
.38796 .46709 L
.38683 .46577 L
.38642 .46549 L
.38523 .46394 L
.38518 .46388 L
.38393 .46228 L
.38362 .46184 L
.38282 .46067 L
.38201 .45968 L
.38183 .45907 L
.38041 .45755 L
.38015 .45746 L
.37889 .45586 L
.3788 .4557 L
.37773 .45425 L
.3772 .45356 L
.37669 .45265 L
.37559 .45139 L
.37516 .45104 L
.37399 .4495 L
.37394 .44943 L
.3727 .44783 L
.37238 .44738 L
.37161 .44622 L
.37078 .44522 L
.37064 .44462 L
.36917 .44311 L
.36897 .44301 L
.3677 .44141 L
.36757 .44118 L
.36657 .4398 L
.36596 .43903 L
.36553 .4382 L
.36436 .43688 L
.36401 .43659 L
.36277 .43499 L
.36275 .43493 L
.36155 .43338 L
.36115 .43281 L
.36047 .43178 L
.35954 .43067 L
.35947 .43017 L
.35794 .42861 L
.35786 .42857 L
.35656 .42696 L
.35633 .42657 L
.35546 .42536 L
.35473 .42443 L
.3544 .42375 L
.35312 .42232 L
.35293 .42215 L
.35158 .42054 L
.35152 .42031 L
.35046 .41894 L
.34991 .41818 L
.34938 .41733 L
.3483 .41605 L
.34829 .41572 L
.3468 .41412 L
.3467 .41402 L
.34546 .41251 L
.34509 .41191 L
.34439 .41091 L
.34349 .40976 L
.34329 .4093 L
.34191 .4077 L
.34188 .40769 L
.34044 .40609 L
.34028 .40563 L
.33941 .40449 L
.33867 .40346 L
.33833 .40288 L
.33707 .40133 L
.33703 .40128 L
.33582 .39967 L
.33546 .39935 L
.33444 .39807 L
.33386 .39714 L
.3334 .39646 L
.33225 .39495 L
.33221 .39486 L
.33099 .39325 L
.33065 .39309 L
.32942 .39165 L
.32904 .39078 L
.32851 .39004 L
.32744 .38851 L
.32739 .38844 L
.32621 .38683 L
.32583 .38632 L
.32503 .38523 L
.32423 .38434 L
.3237 .38362 L
.32268 .38201 L
.32262 .38193 L
.32155 .38041 L
.32102 .37967 L
.32042 .3788 L
.31941 .37756 L
.31916 .3772 L
.31822 .37559 L
.31781 .375 L
.31718 .37399 L
.3162 .37246 L
.31616 .37238 L
F
1 .95 .212 r
.31781 .37942 m
.31874 .38041 L
.31941 .38107 L
.32023 .38201 L
.32102 .38285 L
.32166 .38362 L
.32262 .3847 L
.32305 .38523 L
.32423 .38651 L
.32442 .38683 L
.32575 .38844 L
.32583 .38852 L
.32705 .39004 L
.32744 .39049 L
.32836 .39165 L
.32904 .39216 L
.32966 .39325 L
.33065 .39438 L
.33118 .39486 L
.33225 .39646 L
.33226 .39646 L
.33351 .39807 L
.33386 .39848 L
.33478 .39967 L
.33546 .40032 L
.33605 .40128 L
.33707 .4025 L
.33743 .40288 L
.33859 .40449 L
.33867 .40459 L
.33983 .40609 L
.34028 .40632 L
.34108 .4077 L
.34188 .40858 L
.34261 .4093 L
.34349 .41074 L
.34363 .41091 L
.34484 .41251 L
.34509 .41283 L
.34607 .41412 L
.3467 .41467 L
.34787 .41572 L
.3483 .41691 L
.34868 .41733 L
.34982 .41894 L
.34991 .41905 L
.35104 .42054 L
.35152 .42073 L
.35227 .42215 L
.35312 .42308 L
.35376 .42375 L
.35473 .42529 L
.35478 .42536 L
.35598 .42696 L
.35633 .42741 L
.3572 .42857 L
.35794 .42923 L
.3589 .43017 L
.35954 .43154 L
.35974 .43178 L
.3609 .43338 L
.36115 .4337 L
.3621 .43499 L
.36275 .43581 L
.36333 .43659 L
.36436 .4378 L
.36471 .4382 L
.36579 .4398 L
.36596 .44002 L
.36698 .44141 L
.36757 .44216 L
.36819 .44301 L
.36917 .44406 L
.36969 .44462 L
.37064 .44622 L
.37078 .4464 L
.37182 .44783 L
.37238 .44856 L
.37301 .44943 L
.37399 .4507 L
.37423 .45104 L
.37543 .45265 L
.37559 .45285 L
.37658 .45425 L
.3772 .45505 L
.37776 .45586 L
.3788 .45724 L
.37895 .45746 L
.38009 .45907 L
.38041 .45949 L
.38119 .46067 L
.38201 .4618 L
.38231 .46228 L
.38201 .46388 L
.38054 .46228 L
.38041 .46214 L
.37911 .46067 L
.3788 .46033 L
.37771 .45907 L
.3772 .45848 L
.37633 .45746 L
.37559 .45678 L
.37497 .45586 L
.37399 .45468 L
.37351 .45425 L
.37238 .45271 L
.37233 .45265 L
.371 .45104 L
.37078 .45077 L
.36968 .44943 L
.36917 .44887 L
.36798 .44783 L
.36757 .4468 L
.36708 .44622 L
.36596 .44478 L
.36586 .44462 L
.36453 .44301 L
.36436 .44288 L
.36324 .44141 L
.36275 .4408 L
.36186 .4398 L
.36115 .43872 L
.36077 .4382 L
.35954 .43669 L
.35951 .43659 L
.35818 .43499 L
.35794 .43472 L
.35665 .43338 L
.35633 .43262 L
.35567 .43178 L
.35473 .43053 L
.35452 .43017 L
.35317 .42857 L
.35312 .42853 L
.35192 .42696 L
.35152 .42647 L
.35058 .42536 L
.34991 .42435 L
.3495 .42375 L
.3483 .42226 L
.34827 .42215 L
.34696 .42054 L
.3467 .42028 L
.34547 .41894 L
.34509 .41814 L
.34448 .41733 L
.34349 .41601 L
.34333 .41572 L
.34203 .41412 L
.34188 .41404 L
.3408 .41251 L
.34028 .4119 L
.33947 .41091 L
.33867 .40972 L
.33839 .4093 L
.33714 .4077 L
.33707 .4076 L
.33593 .40609 L
.33546 .40565 L
.33443 .40449 L
.33386 .4034 L
.33348 .40288 L
.33229 .40128 L
.33225 .40122 L
.3311 .39967 L
.33065 .39945 L
.32989 .39807 L
.32904 .39702 L
.3286 .39646 L
.32751 .39486 L
.32744 .39476 L
.32634 .39325 L
.32583 .39257 L
.32516 .39165 L
.32423 .39053 L
.32383 .39004 L
.32284 .38844 L
.32262 .38814 L
.32171 .38683 L
.32102 .38587 L
.32057 .38523 L
.31945 .38362 L
.31941 .38356 L
.31843 .38201 L
.31781 .38108 L
.31741 .38041 L
F
1 .92 .084 r
.32423 .24714 m
.32583 .24716 L
.32629 .24717 L
.32744 .24725 L
.32904 .24743 L
.33065 .24768 L
.33225 .24802 L
.33386 .24844 L
.33496 .24878 L
.33546 .24895 L
.33707 .24955 L
.33867 .25025 L
.33895 .25039 L
.34028 .25106 L
.34188 .25199 L
.34189 .25199 L
.34349 .25304 L
.34426 .2536 L
.34509 .25424 L
.34623 .2552 L
.3467 .25561 L
.3479 .25681 L
.3483 .25723 L
.34927 .25841 L
.34991 .25924 L
.35034 .26002 L
.35105 .26162 L
.35125 .26323 L
.35054 .26483 L
.34991 .26544 L
.3483 .26609 L
.3467 .26636 L
.34509 .26644 L
.34349 .26638 L
.34188 .26621 L
.34028 .26593 L
.33867 .26557 L
.33707 .26513 L
.33614 .26483 L
.33546 .2646 L
.33386 .26399 L
.33225 .26331 L
.33207 .26323 L
.33065 .26254 L
.32904 .2617 L
.32891 .26162 L
.32744 .26076 L
.32626 .26002 L
.32583 .25974 L
.32423 .25861 L
.32397 .25841 L
.32262 .25735 L
.32198 .25681 L
.32102 .25594 L
.32029 .2552 L
.31941 .25427 L
.3189 .2536 L
.31791 .25199 L
.31781 .25175 L
.31749 .25039 L
.31781 .24918 L
.31812 .24878 L
.31941 .24777 L
.32102 .24741 L
.32262 .24723 L
.32344 .24717 L
F
1 .98 .538 r
.31941 .36837 m
.32034 .36917 L
.32102 .36976 L
.32201 .37078 L
.32262 .37138 L
.32354 .37238 L
.32423 .37296 L
.32501 .37399 L
.32583 .3749 L
.32679 .37559 L
.32744 .37681 L
.32784 .3772 L
.32904 .3787 L
.32913 .3788 L
.33049 .38041 L
.33065 .38057 L
.33182 .38201 L
.33225 .38256 L
.33325 .38362 L
.33386 .38459 L
.33438 .38523 L
.33546 .38662 L
.33557 .38683 L
.337 .38844 L
.33707 .38852 L
.33847 .39004 L
.33867 .39057 L
.33956 .39165 L
.34028 .39267 L
.34068 .39325 L
.34188 .39475 L
.34208 .39486 L
.34333 .39646 L
.34349 .39667 L
.34467 .39807 L
.34509 .39877 L
.34577 .39967 L
.3467 .4009 L
.34687 .40128 L
.3483 .40284 L
.34834 .40288 L
.34973 .40449 L
.34991 .40493 L
.35083 .40609 L
.35152 .40707 L
.35193 .4077 L
.35312 .40917 L
.35331 .4093 L
.35455 .41091 L
.35473 .41113 L
.35588 .41251 L
.35633 .41326 L
.35697 .41412 L
.35794 .41539 L
.35807 .41572 L
.3595 .41733 L
.35954 .41738 L
.36091 .41894 L
.36115 .41947 L
.362 .42054 L
.36275 .4216 L
.36309 .42215 L
.36436 .42368 L
.36445 .42375 L
.36567 .42536 L
.36596 .4257 L
.36702 .42696 L
.36757 .42783 L
.36811 .42857 L
.36917 .42994 L
.36925 .43017 L
.37061 .43178 L
.37078 .43195 L
.37207 .43338 L
.37238 .43406 L
.37312 .43499 L
.37399 .43619 L
.37423 .43659 L
.37555 .4382 L
.37559 .43823 L
.37716 .4398 L
.3772 .44029 L
.37814 .44141 L
.3788 .44243 L
.37923 .44301 L
.38041 .44454 L
.38043 .44462 L
.3817 .44622 L
.38201 .44652 L
.38319 .44783 L
.38362 .44867 L
.38423 .44943 L
.38523 .4508 L
.38537 .45104 L
.38663 .45265 L
.38683 .45277 L
.38831 .45425 L
.38844 .45489 L
.38924 .45586 L
.39004 .45705 L
.39033 .45746 L
.39156 .45907 L
.39165 .45917 L
.39278 .46067 L
.39325 .4611 L
.39429 .46228 L
.39486 .4633 L
.39531 .46388 L
.39646 .46545 L
.39649 .46549 L
.3977 .46709 L
.39807 .46729 L
.39941 .4687 L
.39967 .46952 L
.40031 .4703 L
.40128 .47171 L
.40142 .47191 L
.40263 .47351 L
.40288 .47384 L
.40384 .47512 L
.40449 .47572 L
.40535 .47672 L
.40609 .47796 L
.40637 .47833 L
.40755 .47993 L
.4077 .48012 L
.40876 .48154 L
.4093 .48186 L
.41046 .48314 L
.41091 .4842 L
.41135 .48475 L
.41247 .48636 L
.41251 .48641 L
.41367 .48796 L
.41412 .48853 L
.41489 .48957 L
.41572 .49041 L
.41635 .49117 L
.41733 .49271 L
.41738 .49278 L
.41857 .49438 L
.41894 .49485 L
.41978 .49599 L
.42054 .49696 L
.42139 .49759 L
.42215 .49901 L
.42229 .4992 L
.42345 .5008 L
.42375 .50119 L
.42464 .50241 L
.42536 .50332 L
.42586 .50401 L
.42696 .50533 L
.42718 .50562 L
.42829 .50722 L
.42857 .50758 L
.42946 .50883 L
.43017 .50975 L
.43066 .51043 L
.43178 .51189 L
.43198 .51204 L
.43304 .51364 L
.43338 .51409 L
.43418 .51525 L
.43499 .51632 L
.43535 .51686 L
.43651 .51846 L
.43659 .51857 L
.43756 .52007 L
.4382 .52097 L
.4386 .52167 L
.4382 .52314 L
.43668 .52167 L
.43659 .52158 L
.43514 .52007 L
.43499 .51991 L
.43365 .51846 L
.43338 .51838 L
.4322 .51686 L
.43178 .51637 L
.43078 .51525 L
.43017 .51445 L
.4294 .51364 L
.42857 .51251 L
.42821 .51204 L
.42696 .51057 L
.4267 .51043 L
.42538 .50883 L
.42536 .50879 L
.42399 .50722 L
.42375 .50679 L
.42284 .50562 L
.42215 .50471 L
.42175 .50401 L
.42054 .50291 L
.42012 .50241 L
.41894 .5009 L
.41886 .5008 L
.4176 .4992 L
.41733 .49882 L
.41649 .49759 L
.41572 .49664 L
.415 .49599 L
.41412 .49484 L
.41374 .49438 L
.41251 .49279 L
.41251 .49278 L
.41132 .49117 L
.41091 .49063 L
.41031 .48957 L
.4093 .48836 L
.4087 .48796 L
.4077 .48664 L
.40747 .48636 L
.40626 .48475 L
.40609 .48453 L
.40517 .48314 L
.40449 .4823 L
.40371 .48154 L
.40288 .48044 L
.40248 .47993 L
.40128 .47835 L
.40126 .47833 L
.4001 .47672 L
.39967 .47618 L
.39911 .47512 L
.39807 .47391 L
.39751 .47351 L
.39646 .47213 L
.39629 .47191 L
.39508 .4703 L
.39486 .47 L
.39401 .4687 L
.39325 .46778 L
.39256 .46709 L
.39165 .46588 L
.39133 .46549 L
.39011 .46388 L
.39004 .46378 L
.38897 .46228 L
.38844 .4616 L
.38799 .46067 L
.38683 .45939 L
.38639 .45907 L
.38523 .45753 L
.38517 .45746 L
.38397 .45586 L
.38362 .45539 L
.38291 .45425 L
.38201 .45321 L
.38145 .45265 L
.38041 .45108 L
.38023 .45104 L
.37899 .44943 L
.3788 .44916 L
.37787 .44783 L
.3772 .447 L
.37688 .44622 L
.37559 .44485 L
.37529 .44462 L
.37404 .44301 L
.37399 .4429 L
.37287 .44141 L
.37238 .44077 L
.37181 .4398 L
.37078 .43862 L
.37036 .4382 L
.36917 .4366 L
.36915 .43659 L
.36788 .43499 L
.36757 .43453 L
.36678 .43338 L
.36596 .43239 L
.36576 .43178 L
.36436 .43029 L
.36422 .43017 L
.3629 .42857 L
.36275 .42827 L
.36177 .42696 L
.36115 .42614 L
.3607 .42536 L
.35954 .42402 L
.35929 .42375 L
.35808 .42215 L
.35794 .422 L
.35677 .42054 L
.35633 .41989 L
.35569 .41894 L
.35473 .41775 L
.35461 .41733 L
.35316 .41572 L
.35312 .4157 L
.35177 .41412 L
.35152 .41364 L
.35069 .41251 L
.34991 .41149 L
.3496 .41091 L
.3483 .40937 L
.34825 .4093 L
.34673 .4077 L
.3467 .40738 L
.3457 .40609 L
.34509 .40522 L
.34462 .40449 L
.34349 .40306 L
.34345 .40288 L
.34214 .40128 L
.34188 .40112 L
.34069 .39967 L
.34028 .39894 L
.33966 .39807 L
.33867 .39674 L
.33853 .39646 L
.33727 .39486 L
.33707 .3946 L
.3356 .39325 L
.33546 .39266 L
.33471 .39165 L
.33386 .3904 L
.33363 .39004 L
.33243 .38844 L
.33225 .3882 L
.33124 .38683 L
.33065 .38639 L
.32978 .38523 L
.32904 .38397 L
.32881 .38362 L
.32767 .38201 L
.32744 .38171 L
.32651 .38041 L
.32583 .3795 L
.3249 .3788 L
.32423 .37732 L
.32414 .3772 L
.32306 .37559 L
.32262 .37498 L
.32196 .37399 L
.32102 .37262 L
.32086 .37238 L
.31988 .37078 L
.31941 .37001 L
.31901 .36917 L
F
1 .91 .061 r
.32102 .24844 m
.32262 .24799 L
.32423 .24782 L
.32583 .2478 L
.32744 .24788 L
.32904 .24806 L
.33065 .24832 L
.33225 .24868 L
.33266 .24878 L
.33386 .24912 L
.33546 .24966 L
.33707 .2503 L
.33726 .25039 L
.33867 .25105 L
.34028 .25192 L
.3404 .25199 L
.34188 .25292 L
.34286 .2536 L
.34349 .25406 L
.34487 .2552 L
.34509 .25539 L
.34653 .25681 L
.3467 .25697 L
.34787 .25841 L
.3483 .25886 L
.34886 .26002 L
.34942 .26162 L
.34931 .26323 L
.3483 .26445 L
.34766 .26483 L
.3467 .26516 L
.34509 .26542 L
.34349 .26545 L
.34188 .26533 L
.34028 .26509 L
.33902 .26483 L
.33867 .26474 L
.33707 .26431 L
.33546 .26378 L
.33401 .26323 L
.33386 .26316 L
.33225 .26246 L
.33065 .26168 L
.33054 .26162 L
.32904 .2608 L
.32774 .26002 L
.32744 .25983 L
.32583 .25875 L
.32537 .25841 L
.32423 .25754 L
.32335 .25681 L
.32262 .25617 L
.32165 .2552 L
.32102 .25457 L
.3203 .2536 L
.31941 .25201 L
.3194 .25199 L
.31918 .25039 L
.31941 .24975 L
.32042 .24878 L
F
.395 .97 1 r
.32102 .37686 m
.32135 .3772 L
.32262 .37844 L
.32295 .3788 L
.32423 .38009 L
.32443 .38041 L
.32583 .38198 L
.32588 .38201 L
.32723 .38362 L
.32744 .38385 L
.32859 .38523 L
.32904 .38547 L
.32993 .38683 L
.33065 .3876 L
.33173 .38844 L
.33225 .38963 L
.33266 .39004 L
.33386 .39162 L
.33388 .39165 L
.33517 .39325 L
.33546 .3935 L
.33645 .39486 L
.33707 .39557 L
.33796 .39646 L
.33867 .39764 L
.33904 .39807 L
.34028 .39966 L
.34029 .39967 L
.34155 .40128 L
.34188 .40162 L
.34322 .40288 L
.34349 .40372 L
.34417 .40449 L
.34509 .40581 L
.34531 .40609 L
.34658 .4077 L
.3467 .40778 L
.34782 .4093 L
.3483 .40985 L
.34929 .41091 L
.34991 .41197 L
.35035 .41251 L
.35152 .41405 L
.35156 .41412 L
.35281 .41572 L
.35312 .41602 L
.35444 .41733 L
.35473 .41815 L
.3554 .41894 L
.35633 .42027 L
.35653 .42054 L
.35778 .42215 L
.35794 .42224 L
.35901 .42375 L
.35954 .42434 L
.36047 .42536 L
.36115 .42648 L
.36152 .42696 L
.36274 .42857 L
.36275 .42859 L
.36396 .43017 L
.36436 .43053 L
.36558 .43178 L
.36596 .4327 L
.36653 .43338 L
.36757 .43484 L
.36767 .43499 L
.36889 .43659 L
.36917 .43672 L
.37012 .4382 L
.37078 .43891 L
.37157 .4398 L
.37238 .4411 L
.37262 .44141 L
.37383 .44301 L
.37399 .44322 L
.37504 .44462 L
.37559 .4451 L
.37666 .44622 L
.3772 .44734 L
.3776 .44783 L
.37875 .44943 L
.3788 .4495 L
.37995 .45104 L
.38041 .45124 L
.38118 .45265 L
.38201 .45357 L
.3826 .45425 L
.38362 .4558 L
.38366 .45586 L
.38486 .45746 L
.38523 .45793 L
.38607 .45907 L
.38683 .45978 L
.38763 .46067 L
.38844 .4621 L
.38858 .46228 L
.38975 .46388 L
.39004 .46426 L
.39095 .46549 L
.39165 .46638 L
.39217 .46709 L
.39325 .46841 L
.39349 .4687 L
.39461 .4703 L
.39486 .47062 L
.39579 .47191 L
.39646 .47277 L
.397 .47351 L
.39807 .47477 L
.39836 .47512 L
.39942 .47672 L
.39967 .47706 L
.40058 .47833 L
.40128 .47924 L
.40177 .47993 L
.40288 .4814 L
.40298 .48154 L
.40412 .48314 L
.40449 .48363 L
.40525 .48475 L
.40609 .48589 L
.4064 .48636 L
.40754 .48796 L
.4077 .48819 L
.40854 .48957 L
.4093 .49072 L
.40953 .49117 L
.4093 .49199 L
.40841 .49117 L
.4077 .49051 L
.4068 .48957 L
.40609 .48883 L
.40529 .48796 L
.40449 .48734 L
.40385 .48636 L
.40288 .48526 L
.40214 .48475 L
.40128 .48336 L
.40107 .48314 L
.39971 .48154 L
.39967 .48149 L
.39836 .47993 L
.39807 .47963 L
.39701 .47833 L
.39646 .47763 L
.39563 .47672 L
.39486 .47562 L
.39449 .47512 L
.39325 .47365 L
.39322 .47351 L
.39178 .47191 L
.39165 .47174 L
.39034 .4703 L
.39004 .4697 L
.38926 .4687 L
.38844 .46763 L
.38813 .46709 L
.38683 .4656 L
.38664 .46549 L
.38537 .46388 L
.38523 .46369 L
.38409 .46228 L
.38362 .4616 L
.38299 .46067 L
.38201 .45949 L
.38192 .45907 L
.38041 .45748 L
.38032 .45746 L
.379 .45586 L
.3788 .4555 L
.37787 .45425 L
.3772 .45338 L
.37681 .45265 L
.37559 .45126 L
.37529 .45104 L
.374 .44943 L
.37399 .44934 L
.37281 .44783 L
.37238 .44723 L
.37172 .44622 L
.37078 .44509 L
.37069 .44462 L
.36917 .44305 L
.36908 .44301 L
.36778 .44141 L
.36757 .44104 L
.36667 .4398 L
.36596 .4389 L
.36561 .4382 L
.36436 .43679 L
.36412 .43659 L
.36279 .43499 L
.36275 .43481 L
.36164 .43338 L
.36115 .43269 L
.36056 .43178 L
.35954 .43055 L
.3595 .43017 L
.35796 .42857 L
.35794 .42854 L
.35663 .42696 L
.35633 .42645 L
.35555 .42536 L
.35473 .42431 L
.35447 .42375 L
.35312 .42222 L
.35304 .42215 L
.35162 .42054 L
.35152 .42019 L
.35055 .41894 L
.34991 .41805 L
.34947 .41733 L
.3483 .41592 L
.3483 .41572 L
.34691 .41412 L
.3467 .41391 L
.34555 .41251 L
.34509 .41177 L
.34449 .41091 L
.34349 .40961 L
.34336 .4093 L
.34203 .4077 L
.34188 .40761 L
.34051 .40609 L
.34028 .40547 L
.33954 .40449 L
.33867 .40327 L
.33844 .40288 L
.33719 .40128 L
.33707 .40112 L
.33598 .39967 L
.33546 .39916 L
.3346 .39807 L
.33386 .39689 L
.33357 .39646 L
.33239 .39486 L
.33225 .39468 L
.3312 .39325 L
.33065 .39287 L
.32964 .39165 L
.32904 .3904 L
.32878 .39004 L
.32767 .38844 L
.32744 .38811 L
.32653 .38683 L
.32583 .38587 L
.32537 .38523 L
.32423 .38362 L
.32423 .38362 L
.32316 .38201 L
.32262 .38125 L
.32208 .38041 L
.32102 .3788 L
.32102 .3788 L
.32019 .3772 L
F
1 .9 .045 r
.32423 .24869 m
.32583 .24855 L
.32744 .24858 L
.32904 .24874 L
.3294 .24878 L
.33065 .24899 L
.33225 .24935 L
.33386 .24982 L
.33545 .25039 L
.33546 .25039 L
.33707 .25107 L
.33867 .25188 L
.33888 .25199 L
.34028 .2528 L
.34146 .2536 L
.34188 .25389 L
.34349 .25517 L
.34352 .2552 L
.34509 .25671 L
.34518 .25681 L
.34647 .25841 L
.3467 .25876 L
.34736 .26002 L
.3477 .26162 L
.34704 .26323 L
.3467 .26359 L
.34509 .26426 L
.34349 .26444 L
.34188 .2644 L
.34028 .26421 L
.33867 .2639 L
.33707 .26347 L
.33627 .26323 L
.33546 .26295 L
.33386 .26233 L
.33226 .26162 L
.33225 .26162 L
.33065 .26081 L
.32924 .26002 L
.32904 .2599 L
.32744 .25888 L
.32677 .25841 L
.32583 .25773 L
.3247 .25681 L
.32423 .25642 L
.323 .2552 L
.32262 .25491 L
.3217 .2536 L
.32102 .25229 L
.32092 .25199 L
.321 .25039 L
.32102 .25035 L
.32262 .24909 L
.32364 .24878 L
F
1 1 1 r
.32262 .3506 m
.32423 .35125 L
.32453 .35152 L
.32583 .35274 L
.32615 .35312 L
.32744 .35464 L
.32761 .35473 L
.32884 .35633 L
.32904 .35636 L
.3301 .35794 L
.33065 .35841 L
.33135 .35954 L
.33225 .36058 L
.33282 .36115 L
.33386 .36274 L
.33387 .36275 L
.33507 .36436 L
.33546 .36457 L
.33627 .36596 L
.33707 .36684 L
.33769 .36757 L
.33867 .3691 L
.33873 .36917 L
.33988 .37078 L
.34028 .37131 L
.34114 .37238 L
.34188 .37357 L
.3422 .37399 L
.34334 .37559 L
.34349 .37583 L
.34437 .3772 L
.34509 .3781 L
.34558 .3788 L
.3467 .38038 L
.34672 .38041 L
.34796 .38201 L
.3483 .38248 L
.34922 .38362 L
.34991 .38455 L
.35047 .38523 L
.35152 .38661 L
.3517 .38683 L
.35278 .38844 L
.35312 .38863 L
.35427 .39004 L
.35473 .39063 L
.35555 .39165 L
.35633 .39267 L
.35681 .39325 L
.35794 .39474 L
.35804 .39486 L
.35912 .39646 L
.35954 .39677 L
.36057 .39807 L
.36115 .39883 L
.36182 .39967 L
.36275 .40091 L
.36305 .40128 L
.36424 .40288 L
.36436 .40305 L
.36527 .40449 L
.36596 .40506 L
.36678 .40609 L
.36757 .40714 L
.36801 .4077 L
.36917 .40925 L
.36922 .4093 L
.37035 .41091 L
.37078 .41152 L
.37125 .41251 L
.37238 .4134 L
.37295 .41412 L
.37399 .41551 L
.37416 .41572 L
.37534 .41733 L
.37559 .41769 L
.37637 .41894 L
.3772 .42005 L
.37788 .42054 L
.3788 .42178 L
.3791 .42215 L
.38031 .42375 L
.38041 .42391 L
.38141 .42536 L
.38201 .42618 L
.38231 .42696 L
.38362 .42805 L
.38403 .42857 L
.38523 .43016 L
.38524 .43017 L
.38642 .43178 L
.38683 .43236 L
.38743 .43338 L
.38844 .43466 L
.38896 .43499 L
.39004 .43642 L
.39017 .43659 L
.3914 .4382 L
.39165 .43857 L
.39248 .4398 L
.39325 .4408 L
.3934 .44141 L
.39486 .44269 L
.39511 .44301 L
.39635 .44462 L
.39646 .44481 L
.3975 .44622 L
.39807 .447 L
.39852 .44783 L
.39967 .44921 L
.40004 .44943 L
.40127 .45104 L
.40128 .45107 L
.40249 .45265 L
.40288 .45322 L
.40358 .45425 L
.40449 .4554 L
.40454 .45586 L
.40609 .45734 L
.40619 .45746 L
.40748 .45907 L
.4077 .45946 L
.4086 .46067 L
.4093 .46161 L
.40964 .46228 L
.41091 .46374 L
.41112 .46388 L
.41244 .46549 L
.41251 .46571 L
.4136 .46709 L
.41412 .46784 L
.41468 .4687 L
.41572 .46998 L
.41605 .4703 L
.41727 .47191 L
.41733 .47198 L
.4186 .47351 L
.41894 .47408 L
.4197 .47512 L
.42054 .47622 L
.42077 .47672 L
.42215 .47829 L
.4222 .47833 L
.42361 .47993 L
.42375 .48033 L
.42471 .48154 L
.42536 .48246 L
.42579 .48314 L
.42696 .48457 L
.42713 .48475 L
.42835 .48636 L
.42857 .48658 L
.42972 .48796 L
.43017 .4887 L
.4308 .48957 L
.43178 .49083 L
.43192 .49117 L
.43328 .49278 L
.43338 .49286 L
.43477 .49438 L
.43499 .49494 L
.43581 .49599 L
.43659 .49708 L
.43691 .49759 L
.4382 .49918 L
.43821 .4992 L
.43943 .5008 L
.4398 .50117 L
.44084 .50241 L
.44141 .50332 L
.44191 .50401 L
.44301 .50546 L
.44308 .50562 L
.44436 .50722 L
.44462 .5074 L
.4459 .50883 L
.44622 .50955 L
.44691 .51043 L
.44783 .51171 L
.44803 .51204 L
.44929 .51364 L
.44943 .51383 L
.45051 .51525 L
.45104 .51576 L
.45194 .51686 L
.45265 .51795 L
.453 .51846 L
.45422 .52007 L
.45425 .5201 L
.45544 .52167 L
.45586 .52193 L
.457 .52328 L
.45746 .52417 L
.458 .52488 L
.45907 .52636 L
.45914 .52649 L
.46037 .52809 L
.46067 .52848 L
.46159 .5297 L
.46228 .53036 L
.46302 .5313 L
.46388 .5326 L
.46409 .53291 L
.4653 .53451 L
.46549 .53475 L
.46652 .53612 L
.46709 .5365 L
.46808 .53772 L
.4687 .53882 L
.46907 .53933 L
.47024 .54093 L
.4703 .54102 L
.47144 .54254 L
.47191 .54313 L
.47267 .54414 L
.47351 .545 L
.47408 .54575 L
.47512 .54728 L
.47517 .54735 L
.47637 .54896 L
.47672 .5494 L
.47759 .55057 L
.47833 .5515 L
.47913 .55217 L
.47993 .5535 L
.48013 .55378 L
.48131 .55538 L
.48154 .55567 L
.48252 .55699 L
.48314 .55778 L
.48375 .55859 L
.48475 .55969 L
.48512 .5602 L
.48624 .5618 L
.48636 .56195 L
.48744 .56341 L
.48796 .56406 L
.48867 .56501 L
.48957 .56615 L
.49014 .56662 L
.49117 .56822 L
.49117 .56822 L
.49237 .56983 L
.49278 .57034 L
.49359 .57143 L
.49438 .57244 L
.49523 .57304 L
.49599 .57445 L
.49613 .57464 L
.49729 .57625 L
.49759 .57662 L
.4985 .57785 L
.4992 .57874 L
.49973 .57946 L
.5008 .58083 L
.5011 .58106 L
.5022 .58267 L
.50241 .58292 L
.5034 .58428 L
.50401 .58505 L
.50462 .58588 L
.50562 .58715 L
.5061 .58749 L
.50709 .58909 L
.50722 .58925 L
.50828 .5907 L
.50883 .59139 L
.50948 .5923 L
.51043 .59352 L
.51071 .59391 L
.51194 .59551 L
.51204 .59564 L
.51309 .59712 L
.51364 .59784 L
.51424 .59872 L
.51525 .60009 L
.5154 .60033 L
.51645 .60193 L
.51686 .60256 L
.51728 .60354 L
.51686 .60438 L
.51558 .60354 L
.51525 .60329 L
.5137 .60193 L
.51364 .60189 L
.51205 .60033 L
.51204 .60032 L
.51051 .59872 L
.51043 .59861 L
.509 .59712 L
.50883 .59677 L
.50777 .59551 L
.50722 .59477 L
.50663 .59391 L
.50562 .5931 L
.50493 .5923 L
.50401 .59114 L
.50364 .5907 L
.50241 .58915 L
.50236 .58909 L
.50119 .58749 L
.5008 .58717 L
.49974 .58588 L
.4992 .58517 L
.49846 .58428 L
.49759 .58314 L
.49721 .58267 L
.49599 .58109 L
.49597 .58106 L
.49491 .57946 L
.49438 .57907 L
.4934 .57785 L
.49278 .57702 L
.49215 .57625 L
.49117 .57495 L
.49092 .57464 L
.48976 .57304 L
.48957 .57288 L
.48841 .57143 L
.48796 .57083 L
.48716 .56983 L
.48636 .56875 L
.48593 .56822 L
.48475 .56665 L
.48472 .56662 L
.48371 .56501 L
.48314 .56459 L
.4822 .56341 L
.48154 .56251 L
.48097 .5618 L
.47993 .56041 L
.47976 .5602 L
.47864 .55859 L
.47833 .55816 L
.47726 .55699 L
.47672 .55626 L
.47603 .55538 L
.47512 .55415 L
.47482 .55378 L
.47364 .55217 L
.47351 .552 L
.47267 .55057 L
.47191 .54999 L
.4711 .54896 L
.4703 .54789 L
.46988 .54735 L
.4687 .54578 L
.46867 .54575 L
.4676 .54414 L
.46709 .54347 L
.46617 .54254 L
.46549 .54162 L
.46494 .54093 L
.46388 .53952 L
.46373 .53933 L
.46258 .53772 L
.46228 .53731 L
.46165 .53612 L
.46067 .53535 L
.46001 .53451 L
.45907 .53325 L
.4588 .53291 L
.4576 .5313 L
.45746 .5311 L
.45656 .5297 L
.45586 .5288 L
.45508 .52809 L
.45425 .52698 L
.45386 .52649 L
.45266 .52488 L
.45265 .52487 L
.45153 .52328 L
.45104 .52264 L
.45061 .52167 L
.44943 .52071 L
.44893 .52007 L
.44783 .5186 L
.44772 .51846 L
.44653 .51686 L
.44622 .51644 L
.4455 .51525 L
.44462 .51417 L
.444 .51364 L
.44301 .51233 L
.44278 .51204 L
.44156 .51043 L
.44141 .5102 L
.44046 .50883 L
.4398 .508 L
.43953 .50722 L
.4382 .50576 L
.43785 .50562 L
.43663 .50401 L
.43659 .50395 L
.43545 .50241 L
.43499 .50179 L
.43442 .5008 L
.43338 .49959 L
.43292 .4992 L
.43178 .49768 L
.43171 .49759 L
.43047 .49599 L
.43017 .49556 L
.42937 .49438 L
.42857 .49339 L
.42841 .49278 L
.42696 .49126 L
.42677 .49117 L
.4255 .48957 L
.42536 .48931 L
.42436 .48796 L
.42375 .48716 L
.42332 .48636 L
.42215 .48502 L
.42184 .48475 L
.42056 .48314 L
.42054 .48304 L
.41936 .48154 L
.41894 .48093 L
.41827 .47993 L
.41733 .47878 L
.41726 .47833 L
.41572 .47674 L
.4157 .47672 L
.41437 .47512 L
.41412 .47468 L
.41326 .47351 L
.41251 .47255 L
.41219 .47191 L
.41091 .47044 L
.41076 .4703 L
.40938 .4687 L
.4093 .46843 L
.40825 .46709 L
.4077 .46631 L
.40717 .46549 L
.40609 .46418 L
.40607 .46388 L
.40461 .46228 L
.40449 .46216 L
.40324 .46067 L
.40288 .46007 L
.40215 .45907 L
.40128 .45793 L
.40106 .45746 L
.39968 .45586 L
.39967 .45585 L
.3982 .45425 L
.39807 .45383 L
.39714 .45265 L
.39646 .45169 L
.39605 .45104 L
.39486 .44956 L
.39475 .44943 L
.39353 .44783 L
.39325 .4476 L
.39212 .44622 L
.39165 .44545 L
.39105 .44462 L
.39004 .4433 L
.38991 .44301 L
.3886 .44141 L
.38844 .44135 L
.38705 .4398 L
.38683 .43923 L
.38604 .4382 L
.38523 .43706 L
.38494 .43659 L
.38367 .43499 L
.38362 .43492 L
.38245 .43338 L
.38201 .43304 L
.38101 .43178 L
.38041 .43083 L
.37995 .43017 L
.3788 .42866 L
.37876 .42857 L
.37752 .42696 L
.3772 .42655 L
.37593 .42536 L
.37559 .42462 L
.37495 .42375 L
.37399 .42241 L
.37383 .42215 L
.37259 .42054 L
.37238 .42027 L
.37137 .41894 L
.37078 .41846 L
.36992 .41733 L
.36917 .41618 L
.36886 .41572 L
.36766 .41412 L
.36757 .414 L
.36645 .41251 L
.36596 .41189 L
.36484 .41091 L
.36436 .40998 L
.36388 .4093 L
.36275 .40774 L
.36273 .4077 L
.36152 .40609 L
.36115 .40562 L
.3603 .40449 L
.35954 .40383 L
.35886 .40288 L
.35794 .4015 L
.35779 .40128 L
.35659 .39967 L
.35633 .39934 L
.35538 .39807 L
.35473 .39724 L
.35377 .39646 L
.35312 .39529 L
.35282 .39486 L
.35166 .39325 L
.35152 .39307 L
.35045 .39165 L
.34991 .39095 L
.34923 .39004 L
.3483 .38886 L
.34781 .38844 L
.34674 .38683 L
.3467 .38678 L
.34554 .38523 L
.34509 .38466 L
.34433 .38362 L
.34349 .38255 L
.34279 .38201 L
.34188 .38048 L
.34184 .38041 L
.34067 .3788 L
.34028 .37831 L
.33947 .3772 L
.33867 .37616 L
.33797 .37559 L
.33707 .37404 L
.33703 .37399 L
.33588 .37238 L
.33546 .37183 L
.33441 .37078 L
.33386 .36968 L
.33348 .36917 L
.33237 .36757 L
.33225 .36742 L
.33113 .36596 L
.33065 .36518 L
.33004 .36436 L
.32904 .36295 L
.32891 .36275 L
.32769 .36115 L
.32744 .36076 L
.32656 .35954 L
.32583 .35851 L
.32545 .35794 L
.32423 .35633 L
.32423 .3562 L
.32313 .35473 L
.32262 .35376 L
.32221 .35312 L
.32153 .35152 L
F
1 .94 .156 r
.32262 .38531 m
.32396 .38683 L
.32423 .38711 L
.32535 .38844 L
.32583 .38897 L
.32671 .39004 L
.32744 .39087 L
.32806 .39165 L
.32904 .39255 L
.3294 .39325 L
.33065 .39473 L
.33079 .39486 L
.33202 .39646 L
.33225 .39674 L
.3333 .39807 L
.33386 .39874 L
.33458 .39967 L
.33546 .40058 L
.33587 .40128 L
.33707 .40274 L
.3372 .40288 L
.33842 .40449 L
.33867 .4048 L
.33967 .40609 L
.34028 .40647 L
.34093 .4077 L
.34188 .40879 L
.34241 .4093 L
.34347 .41091 L
.34349 .41093 L
.3447 .41251 L
.34509 .41301 L
.34594 .41412 L
.3467 .41484 L
.34769 .41572 L
.3483 .41709 L
.34852 .41733 L
.34969 .41894 L
.34991 .41921 L
.35091 .42054 L
.35152 .42085 L
.35215 .42215 L
.35312 .42326 L
.35359 .42375 L
.35464 .42536 L
.35473 .42546 L
.35585 .42696 L
.35633 .42757 L
.35707 .42857 L
.35794 .42942 L
.35871 .43017 L
.35954 .43174 L
.35958 .43178 L
.36076 .43338 L
.36115 .43387 L
.36197 .43499 L
.36275 .43598 L
.3632 .43659 L
.36436 .43803 L
.3645 .4382 L
.36563 .4398 L
.36596 .44022 L
.36683 .44141 L
.36757 .44236 L
.36804 .44301 L
.36917 .44438 L
.36939 .44462 L
.37045 .44622 L
.37078 .44664 L
.37162 .44783 L
.37238 .44881 L
.37282 .44943 L
.37399 .45097 L
.37404 .45104 L
.37517 .45265 L
.37559 .4532 L
.37631 .45425 L
.3772 .45545 L
.37747 .45586 L
.3786 .45746 L
.3788 .45774 L
.3796 .45907 L
.38041 .46028 L
.38059 .46067 L
.38041 .46116 L
.37989 .46067 L
.3788 .45962 L
.37829 .45907 L
.3772 .45788 L
.37682 .45746 L
.37559 .45616 L
.37541 .45586 L
.37404 .45425 L
.37399 .45419 L
.37268 .45265 L
.37238 .4523 L
.37133 .45104 L
.37078 .45038 L
.36999 .44943 L
.36917 .44852 L
.36828 .44783 L
.36757 .44646 L
.36735 .44622 L
.36608 .44462 L
.36596 .44448 L
.36478 .44301 L
.36436 .44267 L
.36348 .44141 L
.36275 .44052 L
.36207 .4398 L
.36115 .43846 L
.36095 .4382 L
.35966 .43659 L
.35954 .43644 L
.35839 .43499 L
.35794 .4345 L
.35679 .43338 L
.35633 .43238 L
.35585 .43178 L
.35473 .4303 L
.35465 .43017 L
.35336 .42857 L
.35312 .4284 L
.3521 .42696 L
.35152 .42625 L
.35074 .42536 L
.34991 .42412 L
.34965 .42375 L
.34838 .42215 L
.3483 .42205 L
.34714 .42054 L
.3467 .42009 L
.3456 .41894 L
.34509 .41791 L
.34465 .41733 L
.34349 .41579 L
.34346 .41572 L
.34222 .41412 L
.34188 .41393 L
.34099 .41251 L
.34028 .41167 L
.33965 .41091 L
.33867 .40948 L
.33856 .4093 L
.33734 .4077 L
.33707 .40734 L
.33612 .40609 L
.33546 .4054 L
.33464 .40449 L
.33386 .4031 L
.33369 .40288 L
.33252 .40128 L
.33225 .40092 L
.33133 .39967 L
.33065 .39917 L
.33013 .39807 L
.32904 .39662 L
.32892 .39646 L
.3278 .39486 L
.32744 .39437 L
.32664 .39325 L
.32583 .39215 L
.32547 .39165 L
.32434 .39004 L
.32423 .38989 L
.32326 .38844 L
.32262 .38753 L
.32216 .38683 L
F
.212 .95 1 r
.32262 .39244 m
.32328 .39325 L
.32423 .39424 L
.3247 .39486 L
.32583 .39613 L
.32608 .39646 L
.32744 .39806 L
.32744 .39807 L
.3287 .39967 L
.32904 .40007 L
.32996 .40128 L
.33065 .40209 L
.33124 .40288 L
.33225 .4041 L
.33254 .40449 L
.33383 .40609 L
.33386 .40612 L
.33504 .4077 L
.33546 .40821 L
.33627 .4093 L
.33707 .41028 L
.33752 .41091 L
.33867 .41234 L
.3388 .41251 L
.34001 .41412 L
.34028 .41445 L
.3412 .41572 L
.34188 .41658 L
.34241 .41733 L
.34349 .41869 L
.34366 .41894 L
.34485 .42054 L
.34509 .42084 L
.34599 .42215 L
.3467 .42305 L
.34717 .42375 L
.3483 .42523 L
.34838 .42536 L
.3483 .42672 L
.34717 .42536 L
.3467 .42484 L
.34581 .42375 L
.34509 .42292 L
.34447 .42215 L
.34349 .42096 L
.34315 .42054 L
.34188 .41902 L
.34185 .41894 L
.34059 .41733 L
.34028 .41696 L
.33931 .41572 L
.33867 .41493 L
.33804 .41412 L
.33707 .4129 L
.33677 .41251 L
.33552 .41091 L
.33546 .41084 L
.3343 .4093 L
.33386 .40875 L
.33306 .4077 L
.33225 .40666 L
.33182 .40609 L
.33065 .40464 L
.33059 .40449 L
.32941 .40288 L
.32904 .40241 L
.32821 .40128 L
.32744 .40026 L
.327 .39967 L
.32583 .3981 L
.32581 .39807 L
.3247 .39646 L
.32423 .39583 L
.32357 .39486 L
.32262 .39354 L
.32243 .39325 L
F
1 .89 .033 r
.32423 .2496 m
.32583 .24934 L
.32744 .24932 L
.32904 .24945 L
.33065 .24971 L
.33225 .25008 L
.33332 .25039 L
.33386 .25056 L
.33546 .25115 L
.33707 .25189 L
.33727 .25199 L
.33867 .25274 L
.34002 .2536 L
.34028 .25376 L
.34188 .25498 L
.34214 .2552 L
.34349 .25645 L
.3438 .25681 L
.34503 .25841 L
.34509 .25852 L
.34576 .26002 L
.34575 .26162 L
.34509 .26248 L
.34349 .26321 L
.34325 .26323 L
.34188 .26335 L
.34028 .26325 L
.34007 .26323 L
.33867 .263 L
.33707 .26261 L
.33546 .2621 L
.33421 .26162 L
.33386 .26148 L
.33225 .26075 L
.33084 .26002 L
.33065 .25991 L
.32904 .25896 L
.32821 .25841 L
.32744 .25788 L
.32608 .25681 L
.32583 .25662 L
.32438 .2552 L
.32423 .25503 L
.32314 .2536 L
.32262 .25244 L
.32253 .25199 L
.32262 .25115 L
.32312 .25039 L
F
.289 .96 1 r
.32423 .3811 m
.32514 .38201 L
.32583 .38267 L
.32669 .38362 L
.32744 .3844 L
.32815 .38523 L
.32904 .38589 L
.32956 .38683 L
.33065 .38802 L
.33125 .38844 L
.33225 .38998 L
.33231 .39004 L
.33362 .39165 L
.33386 .39192 L
.33493 .39325 L
.33546 .39372 L
.33624 .39486 L
.33707 .39581 L
.33775 .39646 L
.33867 .39785 L
.33886 .39807 L
.34012 .39967 L
.34028 .39972 L
.34139 .40128 L
.34188 .40179 L
.34311 .40288 L
.34349 .40389 L
.34403 .40449 L
.34509 .40595 L
.3452 .40609 L
.34646 .4077 L
.3467 .40787 L
.34772 .4093 L
.3483 .40998 L
.34919 .41091 L
.34991 .41209 L
.35026 .41251 L
.35149 .41412 L
.35152 .41415 L
.35272 .41572 L
.35312 .41611 L
.35438 .41733 L
.35473 .41825 L
.35532 .41894 L
.35633 .42036 L
.35646 .42054 L
.3577 .42215 L
.35794 .42229 L
.35894 .42375 L
.35954 .42442 L
.3604 .42536 L
.36115 .42657 L
.36145 .42696 L
.36267 .42857 L
.36275 .42867 L
.36389 .43017 L
.36436 .4306 L
.36553 .43178 L
.36596 .43279 L
.36646 .43338 L
.36757 .43493 L
.36761 .43499 L
.36883 .43659 L
.36917 .43676 L
.37005 .4382 L
.37078 .43899 L
.3715 .4398 L
.37238 .44118 L
.37256 .44141 L
.37376 .44301 L
.37399 .4433 L
.37497 .44462 L
.37559 .44518 L
.37658 .44622 L
.3772 .44743 L
.37752 .44783 L
.37868 .44943 L
.3788 .4496 L
.37988 .45104 L
.38041 .45131 L
.38111 .45265 L
.38201 .45368 L
.3825 .45425 L
.38358 .45586 L
.38362 .45591 L
.38478 .45746 L
.38523 .45803 L
.38599 .45907 L
.38683 .45991 L
.38751 .46067 L
.38844 .46224 L
.38847 .46228 L
.38964 .46388 L
.39004 .46439 L
.39084 .46549 L
.39165 .46652 L
.39206 .46709 L
.39325 .46861 L
.39332 .4687 L
.39447 .4703 L
.39486 .4708 L
.39565 .47191 L
.39646 .47296 L
.39686 .47351 L
.39807 .47509 L
.39809 .47512 L
.39922 .47672 L
.39967 .47732 L
.40037 .47833 L
.40128 .47953 L
.40155 .47993 L
.40271 .48154 L
.40288 .48177 L
.40378 .48314 L
.40449 .48413 L
.40487 .48475 L
.40449 .48627 L
.40304 .48475 L
.40288 .48459 L
.40157 .48314 L
.40128 .48283 L
.40014 .48154 L
.39967 .48101 L
.39874 .47993 L
.39807 .47924 L
.39736 .47833 L
.39646 .47724 L
.39593 .47672 L
.39486 .47529 L
.39472 .47512 L
.39336 .47351 L
.39325 .47345 L
.39203 .47191 L
.39165 .47145 L
.39049 .4703 L
.39004 .46942 L
.38946 .4687 L
.38844 .4674 L
.38827 .46709 L
.38684 .46549 L
.38683 .46547 L
.38555 .46388 L
.38523 .46346 L
.38424 .46228 L
.38362 .46138 L
.38313 .46067 L
.38201 .45932 L
.38197 .45907 L
.38047 .45746 L
.38041 .45739 L
.37909 .45586 L
.3788 .45532 L
.378 .45425 L
.3772 .45321 L
.3769 .45265 L
.37559 .45115 L
.37543 .45104 L
.37402 .44943 L
.37399 .44918 L
.37291 .44783 L
.37238 .44708 L
.37182 .44622 L
.37078 .44496 L
.37073 .44462 L
.3692 .44301 L
.36917 .44299 L
.36786 .44141 L
.36757 .4409 L
.36676 .4398 L
.36596 .43877 L
.36568 .4382 L
.36436 .4367 L
.36423 .43659 L
.36282 .43499 L
.36275 .43469 L
.36173 .43338 L
.36115 .43256 L
.36065 .43178 L
.35954 .43044 L
.35952 .43017 L
.35806 .42857 L
.35794 .42844 L
.35671 .42696 L
.35633 .42633 L
.35563 .42536 L
.35473 .42419 L
.35453 .42375 L
.35314 .42215 L
.35312 .42213 L
.35165 .42054 L
.35152 .42007 L
.35064 .41894 L
.34991 .41791 L
.34955 .41733 L
.3483 .4158 L
.3483 .41572 L
.34702 .41412 L
.3467 .41379 L
.34564 .41251 L
.34509 .41162 L
.3446 .41091 L
.34349 .40946 L
.34342 .4093 L
.34216 .4077 L
.34188 .40753 L
.34059 .40609 L
.34028 .40529 L
.33967 .40449 L
.33867 .40307 L
.33856 .40288 L
.33735 .40128 L
.33707 .40091 L
.33615 .39967 L
.33546 .39894 L
.33478 .39807 L
.33386 .39661 L
.33376 .39646 L
.3326 .39486 L
.33225 .39439 L
.33143 .39325 L
.33065 .39251 L
.32996 .39165 L
.32911 .39004 L
.32904 .38995 L
.32799 .38844 L
.32744 .38766 L
.32687 .38683 L
.32583 .38533 L
.32576 .38523 L
.32476 .38362 L
.32423 .3828 L
.32379 .38201 L
F
1 .93 .114 r
.32423 .38788 m
.32473 .38844 L
.32583 .38952 L
.32627 .39004 L
.32744 .39131 L
.32771 .39165 L
.32904 .39312 L
.3291 .39325 L
.33043 .39486 L
.33065 .3951 L
.33174 .39646 L
.33225 .39705 L
.33306 .39807 L
.33386 .39902 L
.33437 .39967 L
.33546 .40089 L
.33568 .40128 L
.33697 .40288 L
.33707 .403 L
.33823 .40449 L
.33867 .40503 L
.3395 .40609 L
.34028 .40669 L
.34077 .4077 L
.34188 .40902 L
.34218 .4093 L
.34331 .41091 L
.34349 .41113 L
.34455 .41251 L
.34509 .41319 L
.3458 .41412 L
.3467 .41505 L
.34747 .41572 L
.3483 .41729 L
.34834 .41733 L
.34955 .41894 L
.34991 .41939 L
.35078 .42054 L
.35152 .42103 L
.35202 .42215 L
.35312 .42347 L
.3534 .42375 L
.35451 .42536 L
.35473 .42563 L
.35572 .42696 L
.35633 .42773 L
.35695 .42857 L
.35794 .42964 L
.35848 .43017 L
.35942 .43178 L
.35954 .43192 L
.36062 .43338 L
.36115 .43405 L
.36183 .43499 L
.36275 .43616 L
.36306 .43659 L
.3643 .4382 L
.36436 .43828 L
.36547 .4398 L
.36596 .44043 L
.36666 .44141 L
.36757 .44258 L
.36788 .44301 L
.3691 .44462 L
.36917 .44472 L
.37024 .44622 L
.37078 .44692 L
.37141 .44783 L
.37238 .44911 L
.3726 .44943 L
.37376 .45104 L
.37399 .45135 L
.37484 .45265 L
.37559 .45368 L
.37594 .45425 L
.37559 .45542 L
.37454 .45425 L
.37399 .45367 L
.3731 .45265 L
.37238 .45184 L
.3717 .45104 L
.37078 .44997 L
.37033 .44943 L
.36917 .4481 L
.36879 .44783 L
.36767 .44622 L
.36757 .44611 L
.36635 .44462 L
.36596 .44416 L
.36503 .44301 L
.36436 .44241 L
.36372 .44141 L
.36275 .44023 L
.36233 .4398 L
.36116 .4382 L
.36115 .43819 L
.35988 .43659 L
.35954 .43618 L
.35859 .43499 L
.35794 .43426 L
.35698 .43338 L
.35633 .43213 L
.35604 .43178 L
.35481 .43017 L
.35473 .43007 L
.35355 .42857 L
.35312 .42825 L
.35229 .42696 L
.35152 .42602 L
.35093 .42536 L
.34991 .42389 L
.34981 .42375 L
.34856 .42215 L
.3483 .42182 L
.34732 .42054 L
.3467 .41988 L
.34577 .41894 L
.34509 .41767 L
.34483 .41733 L
.34362 .41572 L
.34349 .41555 L
.3424 .41412 L
.34188 .41376 L
.34117 .41251 L
.34028 .41141 L
.33986 .41091 L
.33874 .4093 L
.33867 .40921 L
.33754 .4077 L
.33707 .40708 L
.33633 .40609 L
.33546 .40509 L
.33492 .40449 L
.33394 .40288 L
.33386 .40278 L
.33276 .40128 L
.33225 .4006 L
.33158 .39967 L
.33065 .39869 L
.33039 .39807 L
.32925 .39646 L
.32904 .39619 L
.32811 .39486 L
.32744 .39392 L
.32697 .39325 L
.32585 .39165 L
.32583 .39162 L
.32485 .39004 L
.32423 .38911 L
.32385 .38844 L
F
1 .88 .024 r
.32744 .25032 m
.32904 .25033 L
.32961 .25039 L
.33065 .25051 L
.33225 .25086 L
.33386 .25136 L
.33542 .25199 L
.33546 .25201 L
.33707 .25276 L
.33847 .2536 L
.33867 .25371 L
.34028 .25486 L
.34068 .2552 L
.34188 .25625 L
.34233 .25681 L
.34346 .25841 L
.34349 .25846 L
.34394 .26002 L
.34349 .26124 L
.34318 .26162 L
.34188 .2621 L
.34028 .26219 L
.33867 .26201 L
.33707 .26166 L
.33692 .26162 L
.33546 .26119 L
.33386 .26057 L
.33265 .26002 L
.33225 .25983 L
.33065 .25896 L
.32977 .25841 L
.32904 .25796 L
.32755 .25681 L
.32744 .25675 L
.32584 .2552 L
.32583 .25519 L
.32469 .2536 L
.32438 .25199 L
.32583 .25062 L
.32683 .25039 L
F
1 .97 .395 r
.32583 .37656 m
.32653 .3772 L
.32744 .37803 L
.32817 .3788 L
.32904 .37926 L
.32969 .38041 L
.33065 .38138 L
.33114 .38201 L
.33225 .38328 L
.33265 .38362 L
.33386 .38517 L
.33391 .38523 L
.33526 .38683 L
.33546 .38699 L
.3366 .38844 L
.33707 .38898 L
.33824 .39004 L
.33867 .39099 L
.33927 .39165 L
.34028 .393 L
.34047 .39325 L
.34182 .39486 L
.34188 .39492 L
.3431 .39646 L
.34349 .39695 L
.3445 .39807 L
.34509 .39902 L
.34561 .39967 L
.3467 .40108 L
.34679 .40128 L
.34818 .40288 L
.3483 .40303 L
.34965 .40449 L
.34991 .40511 L
.35072 .40609 L
.35152 .40722 L
.35184 .4077 L
.35312 .40925 L
.3532 .4093 L
.35444 .41091 L
.35473 .41126 L
.3558 .41251 L
.35633 .41337 L
.35689 .41412 L
.35794 .41548 L
.35803 .41572 L
.35942 .41733 L
.35954 .41746 L
.36087 .41894 L
.36115 .41956 L
.36193 .42054 L
.36275 .42168 L
.36305 .42215 L
.36436 .42373 L
.36439 .42375 L
.36562 .42536 L
.36596 .42577 L
.36698 .42696 L
.36757 .42789 L
.36806 .42857 L
.36917 .43 L
.36923 .43017 L
.37056 .43178 L
.37078 .432 L
.37203 .43338 L
.37238 .43411 L
.37308 .43499 L
.37399 .43624 L
.3742 .43659 L
.3755 .4382 L
.37559 .43826 L
.37714 .4398 L
.3772 .44034 L
.37811 .44141 L
.3788 .44248 L
.37919 .44301 L
.38041 .44458 L
.38042 .44462 L
.38166 .44622 L
.38201 .44657 L
.38316 .44783 L
.38362 .44871 L
.38419 .44943 L
.38523 .45085 L
.38534 .45104 L
.38659 .45265 L
.38683 .45279 L
.38829 .45425 L
.38844 .45494 L
.3892 .45586 L
.39004 .45711 L
.39029 .45746 L
.39152 .45907 L
.39165 .45922 L
.39274 .46067 L
.39325 .46115 L
.39425 .46228 L
.39486 .46335 L
.39527 .46388 L
.39645 .46549 L
.39646 .4655 L
.39766 .46709 L
.39807 .46733 L
.39938 .4687 L
.39967 .46958 L
.40026 .4703 L
.40128 .47178 L
.40137 .47191 L
.40257 .47351 L
.40288 .47391 L
.40379 .47512 L
.40449 .47579 L
.40529 .47672 L
.40609 .47805 L
.4063 .47833 L
.40748 .47993 L
.4077 .48021 L
.40869 .48154 L
.4093 .48195 L
.41037 .48314 L
.41091 .48432 L
.41125 .48475 L
.41238 .48636 L
.41251 .48653 L
.41358 .48796 L
.41412 .48865 L
.41479 .48957 L
.41572 .49058 L
.41621 .49117 L
.41725 .49278 L
.41733 .49287 L
.41844 .49438 L
.41894 .49502 L
.41964 .49599 L
.42054 .49715 L
.42116 .49759 L
.42209 .4992 L
.42215 .49927 L
.42325 .5008 L
.42375 .50145 L
.42443 .50241 L
.42536 .50362 L
.42564 .50401 L
.42683 .50562 L
.42696 .50579 L
.42796 .50722 L
.42857 .50803 L
.4291 .50883 L
.43017 .51028 L
.43027 .51043 L
.43135 .51204 L
.43178 .51265 L
.43236 .51364 L
.43178 .5149 L
.43052 .51364 L
.43017 .5133 L
.42899 .51204 L
.42857 .51159 L
.42751 .51043 L
.42696 .50992 L
.42608 .50883 L
.42536 .50797 L
.42448 .50722 L
.42375 .50605 L
.42337 .50562 L
.42215 .50415 L
.42207 .50401 L
.42062 .50241 L
.42054 .50231 L
.41898 .5008 L
.41894 .50033 L
.41798 .4992 L
.41733 .4983 L
.41684 .49759 L
.41572 .49625 L
.41534 .49599 L
.41412 .49445 L
.41406 .49438 L
.41274 .49278 L
.41251 .4924 L
.4116 .49117 L
.41091 .49028 L
.41054 .48957 L
.4093 .48814 L
.40893 .48796 L
.4077 .48637 L
.40768 .48636 L
.40644 .48475 L
.40609 .48426 L
.40535 .48314 L
.40449 .48209 L
.40387 .48154 L
.40288 .48025 L
.40263 .47993 L
.40138 .47833 L
.40128 .47816 L
.40024 .47672 L
.39967 .476 L
.39923 .47512 L
.39807 .47379 L
.39762 .47351 L
.39646 .47198 L
.3964 .47191 L
.39519 .4703 L
.39486 .46985 L
.39411 .4687 L
.39325 .46766 L
.39265 .46709 L
.39165 .46577 L
.39142 .46549 L
.39018 .46388 L
.39004 .46366 L
.38905 .46228 L
.38844 .4615 L
.38806 .46067 L
.38683 .45932 L
.38646 .45907 L
.38524 .45746 L
.38523 .45743 L
.38403 .45586 L
.38362 .4553 L
.38297 .45425 L
.38201 .45313 L
.38152 .45265 L
.38041 .45106 L
.3803 .45104 L
.37904 .44943 L
.3788 .44908 L
.37793 .44783 L
.3772 .44692 L
.37693 .44622 L
.37559 .44479 L
.37536 .44462 L
.37408 .44301 L
.37399 .44283 L
.37292 .44141 L
.37238 .4407 L
.37186 .4398 L
.37078 .43855 L
.37042 .4382 L
.36921 .43659 L
.36917 .43655 L
.36793 .43499 L
.36757 .43445 L
.36683 .43338 L
.36596 .43231 L
.36579 .43178 L
.36436 .43023 L
.36428 .43017 L
.36293 .42857 L
.36275 .4282 L
.36183 .42696 L
.36115 .42606 L
.36075 .42536 L
.35954 .42394 L
.35937 .42375 L
.35815 .42215 L
.35794 .42193 L
.35684 .42054 L
.35633 .4198 L
.35575 .41894 L
.35473 .41766 L
.35464 .41733 L
.35324 .41572 L
.35312 .41564 L
.35183 .41412 L
.35152 .41353 L
.35078 .41251 L
.34991 .41136 L
.34967 .41091 L
.34835 .4093 L
.3483 .40924 L
.34675 .4077 L
.3467 .40726 L
.3458 .40609 L
.34509 .40505 L
.34473 .40449 L
.34349 .40289 L
.34349 .40288 L
.34229 .40128 L
.34188 .401 L
.34081 .39967 L
.34028 .39872 L
.33982 .39807 L
.33867 .39648 L
.33866 .39646 L
.33748 .39486 L
.33707 .39431 L
.33576 .39325 L
.33546 .39232 L
.33498 .39165 L
.3339 .39004 L
.33386 .38998 L
.33275 .38844 L
.33225 .38776 L
.33159 .38683 L
.33065 .38574 L
.33029 .38523 L
.32931 .38362 L
.32904 .38325 L
.32822 .38201 L
.32744 .38088 L
.32713 .38041 L
.32612 .3788 L
.32583 .37835 L
.32526 .3772 L
F
.212 .95 1 r
.32744 .38509 m
.32756 .38523 L
.32904 .38667 L
.32912 .38683 L
.33057 .38844 L
.33065 .38852 L
.33196 .39004 L
.33225 .39036 L
.33333 .39165 L
.33386 .39225 L
.33468 .39325 L
.33546 .39398 L
.33602 .39486 L
.33707 .39607 L
.3375 .39646 L
.33866 .39807 L
.33867 .39808 L
.33995 .39967 L
.34028 .39979 L
.34124 .40128 L
.34188 .40196 L
.34297 .40288 L
.34349 .40406 L
.34389 .40449 L
.34509 .40609 L
.34509 .4061 L
.34634 .4077 L
.3467 .40797 L
.34761 .4093 L
.3483 .41011 L
.34908 .41091 L
.34991 .41221 L
.35016 .41251 L
.35139 .41412 L
.35152 .41427 L
.35263 .41572 L
.35312 .41621 L
.3543 .41733 L
.35473 .41835 L
.35523 .41894 L
.35633 .42046 L
.35639 .42054 L
.35762 .42215 L
.35794 .42234 L
.35886 .42375 L
.35954 .42451 L
.36032 .42536 L
.36115 .42666 L
.36138 .42696 L
.36259 .42857 L
.36275 .42876 L
.36382 .43017 L
.36436 .43067 L
.36546 .43178 L
.36596 .43287 L
.36639 .43338 L
.36755 .43499 L
.36757 .43501 L
.36876 .43659 L
.36917 .43682 L
.36999 .4382 L
.37078 .43908 L
.37142 .4398 L
.37238 .44127 L
.37249 .44141 L
.37369 .44301 L
.37399 .44339 L
.37491 .44462 L
.37559 .44527 L
.3765 .44622 L
.3772 .44753 L
.37744 .44783 L
.3786 .44943 L
.3788 .44969 L
.37981 .45104 L
.38041 .4514 L
.38103 .45265 L
.38201 .4538 L
.3824 .45425 L
.3835 .45586 L
.38362 .45601 L
.38469 .45746 L
.38523 .45814 L
.3859 .45907 L
.38683 .46006 L
.38737 .46067 L
.38836 .46228 L
.38844 .46238 L
.38954 .46388 L
.39004 .46453 L
.39073 .46549 L
.39165 .46667 L
.39195 .46709 L
.39317 .4687 L
.39325 .4688 L
.39433 .4703 L
.39486 .47099 L
.3955 .47191 L
.39646 .47317 L
.3967 .47351 L
.39788 .47512 L
.39807 .47537 L
.399 .47672 L
.39967 .47763 L
.40014 .47833 L
.40128 .4799 L
.4013 .47993 L
.40231 .48154 L
.40288 .48239 L
.40327 .48314 L
.40288 .48379 L
.40222 .48314 L
.40128 .48222 L
.40064 .48154 L
.39967 .4805 L
.39916 .47993 L
.39807 .47878 L
.39774 .47833 L
.39646 .47685 L
.39632 .47672 L
.39499 .47512 L
.39486 .47497 L
.39363 .47351 L
.39325 .47327 L
.39228 .47191 L
.39165 .47117 L
.39068 .4703 L
.39004 .46916 L
.38965 .4687 L
.38844 .46719 L
.38838 .46709 L
.38703 .46549 L
.38683 .46528 L
.38573 .46388 L
.38523 .46324 L
.38439 .46228 L
.38362 .46118 L
.38326 .46067 L
.38201 .45917 L
.382 .45907 L
.38061 .45746 L
.38041 .45722 L
.37919 .45586 L
.3788 .45514 L
.37812 .45425 L
.3772 .45306 L
.37699 .45265 L
.37559 .45106 L
.37556 .45104 L
.37403 .44943 L
.37399 .44904 L
.37301 .44783 L
.37238 .44693 L
.37192 .44622 L
.37078 .44485 L
.37075 .44462 L
.3693 .44301 L
.36917 .44287 L
.36793 .44141 L
.36757 .44077 L
.36686 .4398 L
.36596 .43865 L
.36574 .4382 L
.36436 .43661 L
.36433 .43659 L
.36284 .43499 L
.36275 .43457 L
.36182 .43338 L
.36115 .43244 L
.36072 .43178 L
.35954 .43034 L
.35953 .43017 L
.35815 .42857 L
.35794 .42833 L
.35678 .42696 L
.35633 .4262 L
.35572 .42536 L
.35473 .42407 L
.35458 .42375 L
.35324 .42215 L
.35312 .42206 L
.3517 .42054 L
.35152 .41994 L
.35073 .41894 L
.34991 .41778 L
.34963 .41733 L
.34835 .41572 L
.3483 .41567 L
.34713 .41412 L
.3467 .41367 L
.34574 .41251 L
.34509 .41146 L
.34471 .41091 L
.34349 .4093 L
.34349 .4093 L
.34229 .4077 L
.34188 .40742 L
.34069 .40609 L
.34028 .4051 L
.33982 .40449 L
.33869 .40288 L
.33867 .40286 L
.33751 .40128 L
.33707 .40069 L
.33632 .39967 L
.33546 .39866 L
.335 .39807 L
.33397 .39646 L
.33386 .39631 L
.33283 .39486 L
.33225 .39407 L
.33167 .39325 L
.33065 .39195 L
.33041 .39165 L
.32944 .39004 L
.32904 .38948 L
.32836 .38844 L
.32744 .38706 L
.3273 .38683 L
.32643 .38523 L
F
1 .87 .018 r
.32744 .25173 m
.32904 .25128 L
.33065 .25146 L
.33225 .25182 L
.33292 .25199 L
.33386 .25225 L
.33546 .25295 L
.33665 .2536 L
.33707 .25376 L
.33867 .25489 L
.33903 .2552 L
.34028 .25619 L
.34068 .25681 L
.34164 .25841 L
.34159 .26002 L
.34028 .26067 L
.33867 .2609 L
.33707 .2606 L
.33546 .26013 L
.33511 .26002 L
.33386 .25958 L
.33225 .25878 L
.3316 .25841 L
.33065 .25791 L
.32921 .25681 L
.32904 .25667 L
.32749 .2552 L
.32744 .25513 L
.32651 .2536 L
.3269 .25199 L
F
1 .92 .084 r
.32744 .39199 m
.32859 .39325 L
.32904 .39369 L
.33003 .39486 L
.33065 .39552 L
.33141 .39646 L
.33225 .3974 L
.33278 .39807 L
.33386 .39932 L
.33413 .39967 L
.33546 .40127 L
.33547 .40128 L
.33674 .40288 L
.33707 .40327 L
.33802 .40449 L
.33867 .40527 L
.33931 .40609 L
.34028 .40698 L
.34061 .4077 L
.34188 .40928 L
.34191 .4093 L
.34314 .41091 L
.34349 .41134 L
.34439 .41251 L
.34509 .41338 L
.34565 .41412 L
.3467 .41529 L
.3472 .41572 L
.34818 .41733 L
.3483 .41749 L
.3494 .41894 L
.34991 .41957 L
.35064 .42054 L
.35152 .42126 L
.35189 .42215 L
.35312 .42369 L
.35318 .42375 L
.35436 .42536 L
.35473 .42581 L
.35557 .42696 L
.35633 .42791 L
.35681 .42857 L
.35794 .4299 L
.35821 .43017 L
.35927 .43178 L
.35954 .43212 L
.36046 .43338 L
.36115 .43425 L
.36168 .43499 L
.36275 .43636 L
.36292 .43659 L
.36412 .4382 L
.36436 .43851 L
.36528 .4398 L
.36596 .44067 L
.36648 .44141 L
.36757 .44282 L
.3677 .44301 L
.36886 .44462 L
.36917 .44503 L
.36999 .44622 L
.37078 .44727 L
.37115 .44783 L
.37232 .44943 L
.37238 .44952 L
.37331 .45104 L
.37399 .45203 L
.37426 .45265 L
.37399 .4529 L
.37373 .45265 L
.37238 .45128 L
.37217 .45104 L
.37078 .44949 L
.37073 .44943 L
.36935 .44783 L
.36917 .44763 L
.36799 .44622 L
.36757 .44574 L
.36664 .44462 L
.36596 .44381 L
.3653 .44301 L
.36436 .44206 L
.36398 .44141 L
.36275 .4399 L
.36265 .4398 L
.36139 .4382 L
.36115 .4379 L
.3601 .43659 L
.35954 .4359 L
.35881 .43499 L
.35794 .43399 L
.35724 .43338 L
.35633 .43186 L
.35626 .43178 L
.35501 .43017 L
.35473 .42982 L
.35374 .42857 L
.35312 .42805 L
.35248 .42696 L
.35152 .42577 L
.35114 .42536 L
.34999 .42375 L
.34991 .42365 L
.34875 .42215 L
.3483 .42158 L
.3475 .42054 L
.3467 .41964 L
.34599 .41894 L
.34509 .41742 L
.34503 .41733 L
.34382 .41572 L
.34349 .4153 L
.34259 .41412 L
.34188 .41353 L
.34136 .41251 L
.34028 .41111 L
.34011 .41091 L
.33895 .4093 L
.33867 .40894 L
.33775 .4077 L
.33707 .40679 L
.33655 .40609 L
.33546 .4047 L
.33527 .40449 L
.33419 .40288 L
.33386 .40244 L
.33302 .40128 L
.33225 .40024 L
.33185 .39967 L
.33069 .39807 L
.33065 .398 L
.32961 .39646 L
.32904 .39568 L
.3285 .39486 L
.32744 .39329 L
.32741 .39325 L
F
1 1 1 r
.33065 .27393 m
.33225 .27351 L
.33386 .27345 L
.33546 .27343 L
.33707 .27342 L
.33867 .27343 L
.34028 .27343 L
.34188 .27343 L
.34349 .27344 L
.34509 .27344 L
.3467 .27345 L
.3483 .27345 L
.34991 .27345 L
.35152 .27345 L
.35312 .27346 L
.35473 .27346 L
.35633 .27346 L
.35794 .27346 L
.35954 .27347 L
.36115 .27347 L
.36275 .27347 L
.36436 .27348 L
.36596 .27349 L
.36757 .27351 L
.36917 .27354 L
.37078 .27359 L
.37238 .27367 L
.37399 .2738 L
.37559 .27403 L
.3772 .27438 L
.3775 .27446 L
.3788 .2749 L
.38041 .27557 L
.38142 .27607 L
.38201 .27639 L
.38362 .27733 L
.38416 .27767 L
.38523 .27837 L
.38651 .27928 L
.38683 .27951 L
.38844 .28071 L
.38866 .28088 L
.39004 .28198 L
.39066 .28249 L
.39165 .28331 L
.39257 .2841 L
.39325 .28469 L
.39439 .2857 L
.39486 .28612 L
.39615 .28731 L
.39646 .2876 L
.39783 .28891 L
.39807 .28914 L
.39945 .29052 L
.39967 .29074 L
.401 .29212 L
.40128 .29242 L
.40247 .29373 L
.40288 .29418 L
.40384 .29533 L
.40449 .29609 L
.4051 .29694 L
.40609 .29838 L
.40617 .29854 L
.40694 .30015 L
.40703 .30175 L
.40609 .30267 L
.40449 .30325 L
.40288 .30334 L
.40256 .30336 L
.40128 .30344 L
.39967 .30349 L
.39807 .30353 L
.39646 .30355 L
.39486 .30357 L
.39325 .30358 L
.39165 .30359 L
.39004 .30359 L
.38844 .30359 L
.38683 .3036 L
.38523 .3036 L
.38362 .3036 L
.38201 .30359 L
.38041 .30359 L
.3788 .30358 L
.3772 .30357 L
.37559 .30356 L
.37399 .30355 L
.37238 .30354 L
.37078 .30353 L
.36917 .3035 L
.36757 .30343 L
.3661 .30336 L
.36596 .30335 L
.36436 .30322 L
.36275 .30315 L
.36115 .30313 L
.35954 .30292 L
.35794 .30235 L
.35673 .30175 L
.35633 .30153 L
.35473 .30059 L
.35398 .30015 L
.35312 .2996 L
.35152 .29859 L
.35143 .29854 L
.34991 .29753 L
.349 .29694 L
.3483 .29644 L
.34675 .29533 L
.3467 .2953 L
.34509 .29407 L
.34466 .29373 L
.34349 .29277 L
.34273 .29212 L
.34188 .2914 L
.3409 .29052 L
.34028 .28995 L
.33917 .28891 L
.33867 .28845 L
.3375 .28731 L
.33707 .28688 L
.33591 .2857 L
.33546 .28524 L
.33438 .2841 L
.33386 .28352 L
.33294 .28249 L
.33225 .2817 L
.33159 .28088 L
.33065 .27967 L
.33038 .27928 L
.32937 .27767 L
.32904 .277 L
.32875 .27607 L
.32904 .27472 L
.32932 .27446 L
F
.156 .94 1 r
.32904 .38755 m
.32996 .38844 L
.33065 .38906 L
.33153 .39004 L
.33225 .39078 L
.33299 .39165 L
.33386 .3926 L
.3344 .39325 L
.33546 .39432 L
.33579 .39486 L
.33707 .39636 L
.33719 .39646 L
.33846 .39807 L
.33867 .39832 L
.33977 .39967 L
.34028 .3999 L
.34107 .40128 L
.34188 .40215 L
.34278 .40288 L
.34349 .40423 L
.34373 .40449 L
.34495 .40609 L
.34509 .40626 L
.34622 .4077 L
.3467 .40808 L
.34749 .4093 L
.3483 .41024 L
.34897 .41091 L
.34991 .41234 L
.35006 .41251 L
.35129 .41412 L
.35152 .4144 L
.35254 .41572 L
.35312 .41631 L
.35422 .41733 L
.35473 .41846 L
.35514 .41894 L
.35631 .42054 L
.35633 .42056 L
.35754 .42215 L
.35794 .4224 L
.35879 .42375 L
.35954 .42461 L
.36024 .42536 L
.36115 .42676 L
.36131 .42696 L
.36252 .42857 L
.36275 .42885 L
.36375 .43017 L
.36436 .43075 L
.36539 .43178 L
.36596 .43296 L
.36632 .43338 L
.36748 .43499 L
.36757 .4351 L
.36869 .43659 L
.36917 .43687 L
.36993 .4382 L
.37078 .43917 L
.37135 .4398 L
.37238 .44136 L
.37242 .44141 L
.37362 .44301 L
.37399 .44348 L
.37484 .44462 L
.37559 .44536 L
.37642 .44622 L
.3772 .44764 L
.37736 .44783 L
.37853 .44943 L
.3788 .44979 L
.37973 .45104 L
.38041 .45149 L
.38096 .45265 L
.38201 .45392 L
.3823 .45425 L
.38341 .45586 L
.38362 .45612 L
.3846 .45746 L
.38523 .45826 L
.38581 .45907 L
.38683 .46023 L
.38722 .46067 L
.38825 .46228 L
.38844 .46252 L
.38942 .46388 L
.39004 .46468 L
.39062 .46549 L
.39165 .46682 L
.39184 .46709 L
.39302 .4687 L
.39325 .469 L
.39417 .4703 L
.39486 .47121 L
.39534 .47191 L
.39646 .47341 L
.39654 .47351 L
.39764 .47512 L
.39807 .47569 L
.39873 .47672 L
.39967 .47805 L
.39984 .47833 L
.39967 .47988 L
.39819 .47833 L
.39807 .47821 L
.39673 .47672 L
.39646 .47644 L
.39531 .47512 L
.39486 .47461 L
.39391 .47351 L
.39325 .47303 L
.39254 .47191 L
.39165 .47088 L
.39094 .4703 L
.39004 .4689 L
.38986 .4687 L
.38854 .46709 L
.38844 .46697 L
.38722 .46549 L
.38683 .46509 L
.3859 .46388 L
.38523 .46303 L
.38455 .46228 L
.38362 .461 L
.38339 .46067 L
.38204 .45907 L
.38201 .45905 L
.38076 .45746 L
.38041 .45705 L
.37929 .45586 L
.3788 .45498 L
.37824 .45425 L
.3772 .45292 L
.37706 .45265 L
.37568 .45104 L
.37559 .45095 L
.37405 .44943 L
.37399 .44889 L
.37311 .44783 L
.37238 .4468 L
.37201 .44622 L
.37078 .44474 L
.37077 .44462 L
.3694 .44301 L
.36917 .44275 L
.368 .44141 L
.36757 .44064 L
.36695 .4398 L
.36596 .43854 L
.3658 .4382 L
.36443 .43659 L
.36436 .43653 L
.36287 .43499 L
.36275 .43445 L
.3619 .43338 L
.36115 .43232 L
.3608 .43178 L
.35954 .43024 L
.35954 .43017 L
.35825 .42857 L
.35794 .42823 L
.35685 .42696 L
.35633 .42608 L
.35581 .42536 L
.35473 .42395 L
.35464 .42375 L
.35334 .42215 L
.35312 .42198 L
.35175 .42054 L
.35152 .41982 L
.35083 .41894 L
.34991 .41765 L
.34972 .41733 L
.34846 .41572 L
.3483 .41552 L
.34725 .41412 L
.3467 .41354 L
.34585 .41251 L
.34509 .4113 L
.34482 .41091 L
.34362 .4093 L
.34349 .40913 L
.34243 .4077 L
.34188 .40728 L
.34083 .40609 L
.34028 .40489 L
.33998 .40449 L
.33885 .40288 L
.33867 .40264 L
.33768 .40128 L
.33707 .40045 L
.3365 .39967 L
.33546 .39832 L
.33527 .39807 L
.3342 .39646 L
.33386 .39599 L
.33307 .39486 L
.33225 .39371 L
.33194 .39325 L
.33086 .39165 L
.33065 .39134 L
.32985 .39004 L
.32904 .38877 L
.32886 .38844 L
F
1 .96 .289 r
.32904 .38123 m
.33011 .38201 L
.33065 .38245 L
.3318 .38362 L
.33225 .38406 L
.33331 .38523 L
.33386 .3858 L
.33476 .38683 L
.33546 .38741 L
.33617 .38844 L
.33707 .38943 L
.33786 .39004 L
.33867 .39138 L
.33894 .39165 L
.34024 .39325 L
.34028 .39325 L
.34156 .39486 L
.34188 .39519 L
.34287 .39646 L
.34349 .39722 L
.34431 .39807 L
.34509 .39925 L
.34544 .39967 L
.3467 .40124 L
.34672 .40128 L
.34802 .40288 L
.3483 .40321 L
.34956 .40449 L
.34991 .40528 L
.3506 .40609 L
.35152 .40736 L
.35175 .4077 L
.35309 .4093 L
.35312 .40934 L
.35434 .41091 L
.35473 .41138 L
.35572 .41251 L
.35633 .41349 L
.35681 .41412 L
.35794 .41556 L
.358 .41572 L
.35934 .41733 L
.35954 .41755 L
.36082 .41894 L
.36115 .41965 L
.36187 .42054 L
.36275 .42176 L
.363 .42215 L
.36432 .42375 L
.36436 .42378 L
.36556 .42536 L
.36596 .42584 L
.36693 .42696 L
.36757 .42796 L
.36802 .42857 L
.36917 .43005 L
.36921 .43017 L
.37051 .43178 L
.37078 .43205 L
.372 .43338 L
.37238 .43417 L
.37304 .43499 L
.37399 .4363 L
.37417 .43659 L
.37546 .4382 L
.37559 .4383 L
.37713 .4398 L
.3772 .44039 L
.37807 .44141 L
.3788 .44253 L
.37915 .44301 L
.3804 .44462 L
.38041 .44462 L
.38162 .44622 L
.38201 .44661 L
.38313 .44783 L
.38362 .44877 L
.38415 .44943 L
.38523 .4509 L
.38531 .45104 L
.38655 .45265 L
.38683 .45282 L
.38826 .45425 L
.38844 .45499 L
.38916 .45586 L
.39004 .45716 L
.39026 .45746 L
.39148 .45907 L
.39165 .45928 L
.39269 .46067 L
.39325 .4612 L
.39421 .46228 L
.39486 .46341 L
.39522 .46388 L
.3964 .46549 L
.39646 .46556 L
.39761 .46709 L
.39807 .46738 L
.39933 .4687 L
.39967 .46965 L
.40021 .4703 L
.40128 .47185 L
.40132 .47191 L
.40252 .47351 L
.40288 .47398 L
.40373 .47512 L
.40449 .47587 L
.40522 .47672 L
.40609 .47815 L
.40623 .47833 L
.40741 .47993 L
.4077 .4803 L
.40862 .48154 L
.4093 .48204 L
.41028 .48314 L
.41091 .48444 L
.41115 .48475 L
.41229 .48636 L
.41251 .48664 L
.41348 .48796 L
.41412 .48878 L
.41469 .48957 L
.41572 .49077 L
.41605 .49117 L
.41713 .49278 L
.41733 .49304 L
.4183 .49438 L
.41894 .4952 L
.4195 .49599 L
.42054 .49735 L
.42088 .49759 L
.42189 .4992 L
.42215 .49953 L
.42303 .5008 L
.42375 .50175 L
.4242 .50241 L
.42536 .50397 L
.42539 .50401 L
.42647 .50562 L
.42696 .50629 L
.42754 .50722 L
.42857 .50871 L
.42864 .50883 L
.42945 .51043 L
.42857 .51044 L
.42856 .51043 L
.42696 .50894 L
.42688 .50883 L
.42536 .50722 L
.42536 .50722 L
.42389 .50562 L
.42375 .50546 L
.42246 .50401 L
.42215 .5039 L
.42106 .50241 L
.42054 .50183 L
.41909 .5008 L
.41894 .49987 L
.4183 .4992 L
.41733 .49791 L
.4171 .49759 L
.41572 .49602 L
.41566 .49599 L
.41434 .49438 L
.41412 .4941 L
.41294 .49278 L
.41251 .49207 L
.41182 .49117 L
.41091 .49001 L
.41069 .48957 L
.4093 .48801 L
.40914 .48796 L
.40776 .48636 L
.4077 .48612 L
.40661 .48475 L
.40609 .48403 L
.40551 .48314 L
.40449 .48191 L
.40403 .48154 L
.40288 .48006 L
.40278 .47993 L
.4015 .47833 L
.40128 .47798 L
.40037 .47672 L
.39967 .47584 L
.39933 .47512 L
.39807 .47369 L
.39774 .47351 L
.39649 .47191 L
.39646 .47185 L
.39528 .4703 L
.39486 .46972 L
.39421 .4687 L
.39325 .46755 L
.39274 .46709 L
.39165 .46566 L
.39151 .46549 L
.39025 .46388 L
.39004 .46355 L
.38913 .46228 L
.38844 .4614 L
.38812 .46067 L
.38683 .45925 L
.38654 .45907 L
.38528 .45746 L
.38523 .45734 L
.3841 .45586 L
.38362 .45521 L
.38303 .45425 L
.38201 .45306 L
.38158 .45265 L
.38041 .45105 L
.38036 .45104 L
.37909 .44943 L
.3788 .449 L
.37799 .44783 L
.3772 .44685 L
.37696 .44622 L
.37559 .44475 L
.37542 .44462 L
.37411 .44301 L
.37399 .44275 L
.37297 .44141 L
.37238 .44062 L
.37191 .4398 L
.37078 .43849 L
.37049 .4382 L
.36927 .43659 L
.36917 .43649 L
.36797 .43499 L
.36757 .43438 L
.36689 .43338 L
.36596 .43224 L
.36582 .43178 L
.36436 .43018 L
.36435 .43017 L
.36297 .42857 L
.36275 .42812 L
.36189 .42696 L
.36115 .42598 L
.3608 .42536 L
.35954 .42386 L
.35944 .42375 L
.35822 .42215 L
.35794 .42185 L
.3569 .42054 L
.35633 .4197 L
.35582 .41894 L
.35473 .41756 L
.35467 .41733 L
.35333 .41572 L
.35312 .41557 L
.35189 .41412 L
.35152 .41342 L
.35086 .41251 L
.34991 .41124 L
.34974 .41091 L
.34846 .4093 L
.3483 .4091 L
.34679 .4077 L
.3467 .40712 L
.34591 .40609 L
.34509 .40488 L
.34484 .40449 L
.34363 .40288 L
.34349 .4027 L
.34244 .40128 L
.34188 .40083 L
.34097 .39967 L
.34028 .39846 L
.34001 .39807 L
.33886 .39646 L
.33867 .39621 L
.3377 .39486 L
.33707 .39401 L
.33604 .39325 L
.33546 .39187 L
.33531 .39165 L
.33423 .39004 L
.33386 .38953 L
.33311 .38844 L
.33225 .38722 L
.33199 .38683 L
.33093 .38523 L
.33065 .3848 L
.32996 .38362 L
.32904 .38206 L
.32902 .38201 L
F
1 .86 .013 r
.33065 .25297 m
.33225 .25287 L
.33386 .25356 L
.33395 .2536 L
.33546 .2543 L
.33694 .2552 L
.33707 .25534 L
.33856 .25681 L
.33867 .25706 L
.3389 .25841 L
.33867 .25863 L
.33707 .25903 L
.33546 .25886 L
.33439 .25841 L
.33386 .2582 L
.33225 .25763 L
.3313 .25681 L
.33065 .25625 L
.32956 .2552 L
.32923 .2536 L
F
1 .91 .061 r
.33065 .3961 m
.33095 .39646 L
.33225 .39784 L
.33244 .39807 L
.33385 .39967 L
.33386 .39968 L
.33516 .40128 L
.33546 .40161 L
.33647 .40288 L
.33707 .40356 L
.33779 .40449 L
.33867 .40553 L
.33911 .40609 L
.34028 .40737 L
.34042 .4077 L
.3417 .4093 L
.34188 .40953 L
.34295 .41091 L
.34349 .41156 L
.34421 .41251 L
.34509 .41359 L
.34549 .41412 L
.3467 .41557 L
.34688 .41572 L
.34801 .41733 L
.3483 .41769 L
.34924 .41894 L
.34991 .41976 L
.35049 .42054 L
.35152 .42156 L
.35175 .42215 L
.353 .42375 L
.35312 .4239 L
.3542 .42536 L
.35473 .42601 L
.35542 .42696 L
.35633 .42811 L
.35667 .42857 L
.35792 .43017 L
.35794 .4302 L
.3591 .43178 L
.35954 .43234 L
.36029 .43338 L
.36115 .43447 L
.36152 .43499 L
.36275 .43658 L
.36276 .43659 L
.36391 .4382 L
.36436 .43877 L
.36507 .4398 L
.36596 .44095 L
.36627 .44141 L
.36747 .44301 L
.36757 .44315 L
.36855 .44462 L
.36917 .44545 L
.36965 .44622 L
.37078 .44779 L
.3708 .44783 L
.37078 .44878 L
.36989 .44783 L
.36917 .44711 L
.3684 .44622 L
.36757 .4453 L
.36699 .44462 L
.36596 .44343 L
.36561 .44301 L
.36436 .44157 L
.36427 .44141 L
.36296 .4398 L
.36275 .43956 L
.36165 .4382 L
.36115 .43759 L
.36034 .43659 L
.35954 .43561 L
.35904 .43499 L
.35794 .43367 L
.35759 .43338 L
.35648 .43178 L
.35633 .43159 L
.35522 .43017 L
.35473 .42956 L
.35394 .42857 L
.35312 .42778 L
.35268 .42696 L
.35152 .42549 L
.35139 .42536 L
.35019 .42375 L
.34991 .4234 L
.34894 .42215 L
.3483 .42133 L
.34769 .42054 L
.3467 .41935 L
.34628 .41894 L
.34524 .41733 L
.34509 .41715 L
.34402 .41572 L
.34349 .41504 L
.34279 .41412 L
.34188 .41319 L
.34157 .41251 L
.34037 .41091 L
.34028 .41079 L
.33918 .4093 L
.33867 .40864 L
.33798 .4077 L
.33707 .40648 L
.33679 .40609 L
.33562 .40449 L
.33546 .40428 L
.33448 .40288 L
.33386 .40205 L
.33332 .40128 L
.33225 .39979 L
.33217 .39967 L
.33114 .39807 L
.33065 .39737 L
.33013 .39646 L
F
1 1 1 r
.33065 .32797 m
.33225 .32883 L
.33247 .32904 L
.33386 .33017 L
.3348 .33065 L
.33546 .33175 L
.33608 .33225 L
.33707 .33347 L
.33744 .33386 L
.33867 .3353 L
.3388 .33546 L
.3402 .33707 L
.34028 .33715 L
.34173 .33867 L
.34188 .3391 L
.34285 .34028 L
.34349 .34113 L
.34399 .34188 L
.34509 .3432 L
.34516 .34349 L
.34652 .34509 L
.3467 .34535 L
.34779 .3467 L
.34811 .3483 L
.3467 .34861 L
.34509 .34842 L
.34472 .3483 L
.34349 .3472 L
.34307 .3467 L
.34188 .34523 L
.34182 .34509 L
.34054 .34349 L
.34028 .34325 L
.3389 .34188 L
.33867 .34115 L
.33796 .34028 L
.33707 .33898 L
.33687 .33867 L
.33566 .33707 L
.33546 .33681 L
.33448 .33546 L
.33386 .33461 L
.33305 .33386 L
.33225 .33244 L
.33216 .33225 L
.33116 .33065 L
.33065 .32977 L
.3303 .32904 L
F
.33065 .34956 m
.33225 .34931 L
.33386 .34963 L
.33443 .34991 L
.33546 .35106 L
.33586 .35152 L
.33707 .35305 L
.33711 .35312 L
.33837 .35473 L
.33867 .35512 L
.34008 .35633 L
.34028 .35722 L
.34101 .35794 L
.34188 .3593 L
.34211 .35954 L
.34334 .36115 L
.34349 .36124 L
.34456 .36275 L
.34509 .36331 L
.34607 .36436 L
.3467 .36546 L
.3471 .36596 L
.34828 .36757 L
.3483 .3676 L
.34949 .36917 L
.34991 .36971 L
.35119 .37078 L
.35152 .37149 L
.35209 .37238 L
.35312 .37385 L
.35319 .37399 L
.35438 .37559 L
.35473 .37607 L
.35555 .3772 L
.35622 .3788 L
.35473 .37905 L
.35312 .37901 L
.35217 .3788 L
.35152 .37824 L
.35073 .3772 L
.34991 .37636 L
.3493 .37559 L
.3483 .37431 L
.34805 .37399 L
.34683 .37238 L
.3467 .37218 L
.34573 .37078 L
.34509 .36991 L
.34431 .36917 L
.34349 .36809 L
.34308 .36757 L
.34188 .36598 L
.34187 .36596 L
.34072 .36436 L
.34028 .36383 L
.33974 .36275 L
.33867 .36167 L
.33816 .36115 L
.33707 .3596 L
.33695 .35954 L
.33576 .35794 L
.33546 .35765 L
.33471 .35633 L
.33386 .35554 L
.33329 .35473 L
.33225 .35332 L
.33213 .35312 L
.33097 .35152 L
.33065 .3508 L
.33032 .34991 L
F
.733 .99 1 r
.33065 .37636 m
.33168 .3772 L
.33225 .37768 L
.33338 .3788 L
.33386 .37927 L
.33492 .38041 L
.33546 .38077 L
.33639 .38201 L
.33707 .38274 L
.33847 .38362 L
.33867 .38465 L
.33929 .38523 L
.34028 .38656 L
.34052 .38683 L
.34188 .38842 L
.34189 .38844 L
.34324 .39004 L
.34349 .39035 L
.34471 .39165 L
.34509 .39238 L
.34582 .39325 L
.3467 .39444 L
.34697 .39486 L
.3483 .39644 L
.34844 .39646 L
.34987 .39807 L
.34991 .39833 L
.35101 .39967 L
.35152 .40044 L
.35213 .40128 L
.35312 .40257 L
.3532 .40288 L
.35473 .40443 L
.35477 .40449 L
.35611 .40609 L
.35633 .40652 L
.35723 .4077 L
.35794 .40867 L
.3583 .4093 L
.35954 .41081 L
.35979 .41091 L
.36111 .41251 L
.36115 .41269 L
.36229 .41412 L
.36275 .41482 L
.36338 .41572 L
.36436 .41698 L
.36442 .41733 L
.36596 .4189 L
.36599 .41894 L
.36732 .42054 L
.36757 .42101 L
.36843 .42215 L
.36917 .42316 L
.36949 .42375 L
.37078 .42527 L
.37095 .42536 L
.37231 .42696 L
.37238 .42723 L
.37345 .42857 L
.37399 .42937 L
.37454 .43017 L
.37559 .4315 L
.37561 .43178 L
.37712 .43338 L
.3772 .43348 L
.37847 .43499 L
.3788 .43559 L
.37956 .43659 L
.38041 .43773 L
.38065 .4382 L
.38201 .43978 L
.38206 .4398 L
.3835 .44141 L
.38362 .44183 L
.38458 .44301 L
.38523 .44396 L
.38567 .44462 L
.38683 .44606 L
.38699 .44622 L
.38821 .44783 L
.38844 .44807 L
.3896 .44943 L
.39004 .45019 L
.39068 .45104 L
.39165 .45232 L
.3918 .45265 L
.39315 .45425 L
.39325 .45434 L
.39466 .45586 L
.39486 .45643 L
.39569 .45746 L
.39646 .45857 L
.39679 .45907 L
.39807 .46066 L
.39808 .46067 L
.3993 .46228 L
.39967 .46266 L
.40072 .46388 L
.40128 .46481 L
.40178 .46549 L
.40288 .46694 L
.40295 .46709 L
.40423 .4687 L
.40449 .4689 L
.40579 .4703 L
.40609 .47104 L
.40679 .47191 L
.4077 .4732 L
.4079 .47351 L
.40916 .47512 L
.4093 .47515 L
.41038 .47672 L
.41091 .47726 L
.41181 .47833 L
.41251 .47944 L
.41288 .47993 L
.41409 .48154 L
.41412 .48158 L
.4153 .48314 L
.41572 .48345 L
.41689 .48475 L
.41733 .48568 L
.41786 .48636 L
.41894 .48785 L
.419 .48796 L
.42022 .48957 L
.42054 .48997 L
.42144 .49117 L
.42215 .49188 L
.42288 .49278 L
.42375 .49411 L
.42394 .49438 L
.42514 .49599 L
.42536 .49626 L
.42636 .49759 L
.42696 .49805 L
.42794 .4992 L
.42857 .50036 L
.42891 .5008 L
.43006 .50241 L
.43017 .50255 L
.43127 .50401 L
.43178 .50466 L
.43249 .50562 L
.43338 .50659 L
.43388 .50722 L
.43497 .50883 L
.43499 .50885 L
.43617 .51043 L
.43659 .51098 L
.43738 .51204 L
.4382 .51278 L
.43889 .51364 L
.4398 .51516 L
.43987 .51525 L
.44104 .51686 L
.44141 .51732 L
.44224 .51846 L
.44301 .51945 L
.44346 .52007 L
.44462 .52151 L
.44474 .52167 L
.44588 .52328 L
.44622 .52371 L
.44706 .52488 L
.44783 .52588 L
.44826 .52649 L
.44943 .52802 L
.44953 .52809 L
.45063 .5297 L
.45104 .53023 L
.45178 .5313 L
.45265 .53247 L
.45294 .53291 L
.45409 .53451 L
.45425 .53473 L
.45513 .53612 L
.45586 .53717 L
.45617 .53772 L
.45586 .53921 L
.45428 .53772 L
.45425 .5377 L
.45272 .53612 L
.45265 .53605 L
.45122 .53451 L
.45104 .53432 L
.44976 .53291 L
.44943 .53255 L
.44834 .5313 L
.44783 .53065 L
.44687 .5297 L
.44622 .52871 L
.44572 .52809 L
.44462 .52674 L
.44451 .52649 L
.44301 .525 L
.44291 .52488 L
.44151 .52328 L
.44141 .52301 L
.44034 .52167 L
.4398 .52095 L
.43922 .52007 L
.4382 .5188 L
.43765 .51846 L
.43659 .5171 L
.43639 .51686 L
.43512 .51525 L
.43499 .51505 L
.43397 .51364 L
.43338 .51288 L
.43298 .51204 L
.43178 .51104 L
.43128 .51043 L
.43017 .50898 L
.43005 .50883 L
.42884 .50722 L
.42857 .50686 L
.42777 .50562 L
.42696 .50461 L
.42625 .50401 L
.42536 .50283 L
.42502 .50241 L
.4238 .5008 L
.42375 .50073 L
.42266 .4992 L
.42215 .49853 L
.42173 .49759 L
.42054 .49662 L
.42003 .49599 L
.41894 .49453 L
.41881 .49438 L
.41762 .49278 L
.41733 .49239 L
.41658 .49117 L
.41572 .49013 L
.41507 .48957 L
.41412 .4883 L
.41385 .48796 L
.41263 .48636 L
.41251 .48619 L
.41152 .48475 L
.41091 .48399 L
.4106 .48314 L
.4093 .48173 L
.40889 .48154 L
.4077 .47995 L
.40768 .47993 L
.4065 .47833 L
.40609 .4778 L
.40547 .47672 L
.40449 .47558 L
.40395 .47512 L
.40288 .4737 L
.40274 .47351 L
.40151 .47191 L
.40128 .47158 L
.40041 .4703 L
.39967 .4694 L
.39948 .4687 L
.39807 .46723 L
.3978 .46709 L
.39655 .46549 L
.39646 .46533 L
.3954 .46388 L
.39486 .46318 L
.39437 .46228 L
.39325 .46102 L
.39286 .46067 L
.39165 .45907 L
.39165 .45907 L
.3904 .45746 L
.39004 .45695 L
.38932 .45586 L
.38844 .4548 L
.38834 .45425 L
.38683 .45271 L
.38671 .45265 L
.38542 .45104 L
.38523 .45071 L
.3843 .44943 L
.38362 .44857 L
.38325 .44783 L
.38201 .44645 L
.38178 .44622 L
.38046 .44462 L
.38041 .44444 L
.3793 .44301 L
.3788 .44233 L
.37822 .44141 L
.3772 .44019 L
.37717 .4398 L
.37564 .4382 L
.37559 .43816 L
.3743 .43659 L
.37399 .43608 L
.3732 .43499 L
.37238 .43394 L
.37213 .43338 L
.37078 .43185 L
.37071 .43178 L
.36929 .43017 L
.36917 .42983 L
.3682 .42857 L
.36757 .42769 L
.36711 .42696 L
.36596 .42556 L
.36579 .42536 L
.36457 .42375 L
.36436 .42357 L
.36319 .42215 L
.36275 .42144 L
.36212 .42054 L
.36115 .41929 L
.361 .41894 L
.35966 .41733 L
.35954 .41729 L
.35815 .41572 L
.35794 .41519 L
.35713 .41412 L
.35633 .41301 L
.35603 .41251 L
.35476 .41091 L
.35473 .41087 L
.35354 .4093 L
.35312 .40896 L
.35213 .4077 L
.35152 .40673 L
.35108 .40609 L
.34991 .40455 L
.34989 .40449 L
.34867 .40288 L
.3483 .40241 L
.34709 .40128 L
.3467 .40045 L
.34614 .39967 L
.34509 .39819 L
.34502 .39807 L
.34383 .39646 L
.34349 .39602 L
.34263 .39486 L
.34188 .39414 L
.34124 .39325 L
.34028 .39175 L
.34021 .39165 L
.33905 .39004 L
.33867 .38954 L
.33788 .38844 L
.33707 .38734 L
.33644 .38683 L
.33554 .38523 L
.33546 .38512 L
.33444 .38362 L
.33386 .38281 L
.33333 .38201 L
.33225 .38046 L
.33222 .38041 L
.33126 .3788 L
.33065 .3778 L
.33037 .3772 L
F
.114 .93 1 r
.33065 .39002 m
.33069 .39004 L
.33225 .39131 L
.33256 .39165 L
.33386 .39299 L
.33408 .39325 L
.33546 .39476 L
.33552 .39486 L
.33689 .39646 L
.33707 .39666 L
.33823 .39807 L
.33867 .39857 L
.33957 .39967 L
.34028 .40008 L
.3409 .40128 L
.34188 .40236 L
.34254 .40288 L
.34349 .40442 L
.34355 .40449 L
.34481 .40609 L
.34509 .40643 L
.34609 .4077 L
.3467 .40821 L
.34738 .4093 L
.3483 .41039 L
.34883 .41091 L
.34991 .41247 L
.34994 .41251 L
.35119 .41412 L
.35152 .41452 L
.35245 .41572 L
.35312 .41642 L
.35412 .41733 L
.35473 .41858 L
.35505 .41894 L
.35623 .42054 L
.35633 .42067 L
.35746 .42215 L
.35794 .42248 L
.35871 .42375 L
.35954 .42471 L
.36015 .42536 L
.36115 .42686 L
.36123 .42696 L
.36245 .42857 L
.36275 .42895 L
.36368 .43017 L
.36436 .43084 L
.36531 .43178 L
.36596 .43306 L
.36624 .43338 L
.36741 .43499 L
.36757 .43519 L
.36863 .43659 L
.36917 .43694 L
.36986 .4382 L
.37078 .43927 L
.37126 .4398 L
.37235 .44141 L
.37238 .44146 L
.37355 .44301 L
.37399 .44357 L
.37477 .44462 L
.37559 .44546 L
.37632 .44622 L
.3772 .44775 L
.37727 .44783 L
.37845 .44943 L
.3788 .44988 L
.37966 .45104 L
.38041 .45161 L
.38088 .45265 L
.38201 .45406 L
.38218 .45425 L
.38332 .45586 L
.38362 .45624 L
.38451 .45746 L
.38523 .45838 L
.38572 .45907 L
.38683 .46041 L
.38706 .46067 L
.38813 .46228 L
.38844 .46266 L
.38931 .46388 L
.39004 .46484 L
.3905 .46549 L
.39165 .46699 L
.39172 .46709 L
.39286 .4687 L
.39325 .46921 L
.394 .4703 L
.39486 .47145 L
.39516 .47191 L
.39631 .47351 L
.39646 .47373 L
.39734 .47512 L
.39807 .47617 L
.39837 .47672 L
.39807 .47759 L
.39721 .47672 L
.39646 .47598 L
.39568 .47512 L
.39486 .47423 L
.39422 .47351 L
.39325 .47267 L
.39281 .47191 L
.39165 .47056 L
.3913 .4703 L
.39009 .4687 L
.39004 .46864 L
.38875 .46709 L
.38844 .46672 L
.38741 .46549 L
.38683 .46489 L
.38609 .46388 L
.38523 .46282 L
.38471 .46228 L
.38362 .46082 L
.38351 .46067 L
.38219 .45907 L
.38201 .45897 L
.3809 .45746 L
.38041 .45689 L
.3794 .45586 L
.3788 .45481 L
.37836 .45425 L
.3772 .45278 L
.37713 .45265 L
.3758 .45104 L
.37559 .45084 L
.37408 .44943 L
.37399 .44875 L
.37322 .44783 L
.37238 .44666 L
.37209 .44622 L
.37078 .44463 L
.37078 .44462 L
.36951 .44301 L
.36917 .44263 L
.36808 .44141 L
.36757 .44052 L
.36704 .4398 L
.36596 .43842 L
.36586 .4382 L
.36453 .43659 L
.36436 .43645 L
.3629 .43499 L
.36275 .43433 L
.36199 .43338 L
.36115 .4322 L
.36088 .43178 L
.35958 .43017 L
.35954 .43017 L
.35834 .42857 L
.35794 .42812 L
.35693 .42696 L
.35633 .42596 L
.3559 .42536 L
.35473 .42383 L
.35469 .42375 L
.35344 .42215 L
.35312 .4219 L
.35181 .42054 L
.35152 .41969 L
.35093 .41894 L
.34991 .41751 L
.3498 .41733 L
.34857 .41572 L
.3483 .41538 L
.34736 .41412 L
.3467 .41339 L
.34597 .41251 L
.34509 .41113 L
.34494 .41091 L
.34376 .4093 L
.34349 .40895 L
.34256 .4077 L
.34188 .40709 L
.341 .40609 L
.34028 .40465 L
.34016 .40449 L
.33902 .40288 L
.33867 .40241 L
.33786 .40128 L
.33707 .40019 L
.33669 .39967 L
.33555 .39807 L
.33546 .39795 L
.33445 .39646 L
.33386 .39562 L
.33335 .39486 L
.33226 .39325 L
.33225 .39325 L
.33135 .39165 L
.33065 .3903 L
.33062 .39004 L
F
1 .95 .212 r
.33225 .38516 m
.33233 .38523 L
.33386 .38654 L
.33414 .38683 L
.33546 .38808 L
.33569 .38844 L
.33707 .38994 L
.33722 .39004 L
.33855 .39165 L
.33867 .39178 L
.33992 .39325 L
.34028 .39331 L
.34128 .39486 L
.34188 .39546 L
.34263 .39646 L
.34349 .39748 L
.34409 .39807 L
.34509 .39947 L
.34527 .39967 L
.34657 .40128 L
.3467 .40137 L
.34786 .40288 L
.3483 .40339 L
.34945 .40449 L
.34991 .40545 L
.35047 .40609 L
.35152 .40749 L
.35166 .4077 L
.35297 .4093 L
.35312 .40945 L
.35424 .41091 L
.35473 .41151 L
.35563 .41251 L
.35633 .4136 L
.35674 .41412 L
.35794 .41564 L
.35797 .41572 L
.35926 .41733 L
.35954 .41764 L
.36077 .41894 L
.36115 .41974 L
.36181 .42054 L
.36275 .42184 L
.36295 .42215 L
.36426 .42375 L
.36436 .42384 L
.3655 .42536 L
.36596 .42591 L
.36688 .42696 L
.36757 .42803 L
.36797 .42857 L
.36917 .43011 L
.3692 .43017 L
.37046 .43178 L
.37078 .43211 L
.37197 .43338 L
.37238 .43423 L
.37299 .43499 L
.37399 .43635 L
.37414 .43659 L
.37541 .4382 L
.37559 .43833 L
.37711 .4398 L
.3772 .44044 L
.37803 .44141 L
.3788 .44258 L
.37912 .44301 L
.38036 .44462 L
.38041 .44462 L
.38158 .44622 L
.38201 .44665 L
.3831 .44783 L
.38362 .44882 L
.38411 .44943 L
.38523 .45095 L
.38528 .45104 L
.38651 .45265 L
.38683 .45286 L
.38824 .45425 L
.38844 .45504 L
.38912 .45586 L
.39004 .45721 L
.39022 .45746 L
.39144 .45907 L
.39165 .45933 L
.39265 .46067 L
.39325 .46125 L
.39417 .46228 L
.39486 .46347 L
.39518 .46388 L
.39635 .46549 L
.39646 .46562 L
.39756 .46709 L
.39807 .46742 L
.39928 .4687 L
.39967 .46972 L
.40015 .4703 L
.40126 .47191 L
.40128 .47193 L
.40246 .47351 L
.40288 .47405 L
.40368 .47512 L
.40449 .47596 L
.40514 .47672 L
.40609 .47824 L
.40616 .47833 L
.40734 .47993 L
.4077 .48039 L
.40855 .48154 L
.4093 .48216 L
.41017 .48314 L
.41091 .48458 L
.41104 .48475 L
.41219 .48636 L
.41251 .48677 L
.41338 .48796 L
.41412 .48891 L
.41459 .48957 L
.41572 .49098 L
.41588 .49117 L
.41699 .49278 L
.41733 .49322 L
.41815 .49438 L
.41894 .49541 L
.41934 .49599 L
.42054 .49758 L
.42056 .49759 L
.42166 .4992 L
.42215 .49984 L
.42278 .5008 L
.42375 .50213 L
.42393 .50241 L
.425 .50401 L
.42536 .50454 L
.42595 .50562 L
.42536 .50638 L
.42458 .50562 L
.42375 .5048 L
.423 .50401 L
.42215 .50353 L
.42152 .50241 L
.42054 .50135 L
.41952 .5008 L
.41894 .49945 L
.41866 .4992 L
.41733 .4976 L
.41732 .49759 L
.41595 .49599 L
.41572 .49577 L
.4146 .49438 L
.41412 .49378 L
.41313 .49278 L
.41251 .49179 L
.41202 .49117 L
.41091 .48979 L
.4108 .48957 L
.40934 .48796 L
.4093 .48791 L
.40782 .48636 L
.4077 .4859 L
.40677 .48475 L
.40609 .48383 L
.40564 .48314 L
.40449 .48176 L
.40418 .48154 L
.40292 .47993 L
.40288 .47988 L
.4016 .47833 L
.40128 .47781 L
.40048 .47672 L
.39967 .47569 L
.39941 .47512 L
.39807 .47362 L
.39785 .47351 L
.39653 .47191 L
.39646 .47171 L
.39537 .4703 L
.39486 .4696 L
.39429 .4687 L
.39325 .46746 L
.39283 .46709 L
.39165 .46555 L
.3916 .46549 L
.39032 .46388 L
.39004 .46345 L
.38921 .46228 L
.38844 .46131 L
.38817 .46067 L
.38683 .4592 L
.38661 .45907 L
.38531 .45746 L
.38523 .45726 L
.38416 .45586 L
.38362 .45513 L
.38309 .45425 L
.38201 .45299 L
.38165 .45265 L
.38043 .45104 L
.38041 .45102 L
.37914 .44943 L
.3788 .44892 L
.37805 .44783 L
.3772 .44678 L
.377 .44622 L
.37559 .4447 L
.37548 .44462 L
.37414 .44301 L
.37399 .44268 L
.37303 .44141 L
.37238 .44055 L
.37195 .4398 L
.37078 .43843 L
.37055 .4382 L
.36932 .43659 L
.36917 .43642 L
.36802 .43499 L
.36757 .4343 L
.36694 .43338 L
.36596 .43217 L
.36584 .43178 L
.36441 .43017 L
.36436 .43013 L
.36301 .42857 L
.36275 .42804 L
.36195 .42696 L
.36115 .42589 L
.36085 .42536 L
.35954 .42379 L
.35951 .42375 L
.35829 .42215 L
.35794 .42177 L
.35696 .42054 L
.35633 .41961 L
.35589 .41894 L
.35473 .41746 L
.35469 .41733 L
.35341 .41572 L
.35312 .4155 L
.35195 .41412 L
.35152 .4133 L
.35095 .41251 L
.34991 .4111 L
.34981 .41091 L
.34857 .4093 L
.3483 .40896 L
.34685 .4077 L
.3467 .40697 L
.34603 .40609 L
.34509 .4047 L
.34496 .40449 L
.34378 .40288 L
.34349 .4025 L
.34259 .40128 L
.34188 .40061 L
.34116 .39967 L
.34028 .39817 L
.34021 .39807 L
.33908 .39646 L
.33867 .39591 L
.33793 .39486 L
.33707 .39366 L
.33646 .39325 L
.33566 .39165 L
.33546 .39137 L
.3346 .39004 L
.33386 .38895 L
.33353 .38844 L
.33257 .38683 L
.33225 .38627 L
.33198 .38523 L
F
.084 .92 1 r
.33386 .39354 m
.33511 .39486 L
.33546 .39519 L
.33657 .39646 L
.33707 .39698 L
.33798 .39807 L
.33867 .39884 L
.33936 .39967 L
.34028 .40035 L
.34072 .40128 L
.34188 .4026 L
.34225 .40288 L
.34338 .40449 L
.34349 .40462 L
.34467 .40609 L
.34509 .4066 L
.34596 .4077 L
.3467 .40836 L
.34726 .4093 L
.3483 .41054 L
.34868 .41091 L
.34983 .41251 L
.34991 .41261 L
.35109 .41412 L
.35152 .41464 L
.35235 .41572 L
.35312 .41654 L
.354 .41733 L
.35473 .4187 L
.35494 .41894 L
.35614 .42054 L
.35633 .42077 L
.35738 .42215 L
.35794 .42256 L
.35863 .42375 L
.35954 .42481 L
.36006 .42536 L
.36115 .42696 L
.36115 .42696 L
.36237 .42857 L
.36275 .42904 L
.36361 .43017 L
.36436 .43093 L
.36522 .43178 L
.36596 .43316 L
.36616 .43338 L
.36734 .43499 L
.36757 .43528 L
.36856 .43659 L
.36917 .43702 L
.36979 .4382 L
.37078 .43937 L
.37117 .4398 L
.37227 .44141 L
.37238 .44155 L
.37348 .44301 L
.37399 .44366 L
.3747 .44462 L
.37559 .44557 L
.37621 .44622 L
.37718 .44783 L
.3772 .44786 L
.37837 .44943 L
.3788 .44999 L
.37958 .45104 L
.38041 .45175 L
.38081 .45265 L
.38201 .4542 L
.38206 .45425 L
.38322 .45586 L
.38362 .45636 L
.38441 .45746 L
.38523 .45851 L
.38563 .45907 L
.38683 .46062 L
.38688 .46067 L
.38801 .46228 L
.38844 .46282 L
.38918 .46388 L
.39004 .46501 L
.39037 .46549 L
.39157 .46709 L
.39165 .4672 L
.39267 .4687 L
.39325 .46947 L
.3938 .4703 L
.39486 .47176 L
.39495 .47191 L
.39596 .47351 L
.39646 .47427 L
.39683 .47512 L
.39646 .47535 L
.39622 .47512 L
.39486 .47378 L
.39461 .47351 L
.39325 .47213 L
.39313 .47191 L
.39172 .4703 L
.39165 .47022 L
.39034 .4687 L
.39004 .46836 L
.38897 .46709 L
.38844 .46647 L
.38761 .46549 L
.38683 .46467 L
.38627 .46388 L
.38523 .46261 L
.3849 .46228 L
.38365 .46067 L
.38362 .46063 L
.38235 .45907 L
.38201 .45888 L
.38104 .45746 L
.38041 .45672 L
.37952 .45586 L
.3788 .45465 L
.37848 .45425 L
.3772 .45265 L
.3772 .45264 L
.37592 .45104 L
.37559 .45072 L
.37412 .44943 L
.37399 .44861 L
.37332 .44783 L
.37238 .44653 L
.37218 .44622 L
.37087 .44462 L
.37078 .44458 L
.36961 .44301 L
.36917 .44251 L
.36817 .44141 L
.36757 .44039 L
.36713 .4398 L
.36596 .43831 L
.36591 .4382 L
.36462 .43659 L
.36436 .43636 L
.36295 .43499 L
.36275 .43421 L
.36208 .43338 L
.36115 .43208 L
.36095 .43178 L
.35967 .43017 L
.35954 .43015 L
.35844 .42857 L
.35794 .42801 L
.35702 .42696 L
.35633 .42583 L
.35598 .42536 L
.35476 .42375 L
.35473 .42371 L
.35354 .42215 L
.35312 .42181 L
.35188 .42054 L
.35152 .41955 L
.35103 .41894 L
.34991 .41736 L
.34989 .41733 L
.34868 .41572 L
.3483 .41523 L
.34748 .41412 L
.3467 .41323 L
.3461 .41251 L
.34509 .41095 L
.34507 .41091 L
.34389 .4093 L
.34349 .40877 L
.3427 .4077 L
.34188 .40686 L
.34121 .40609 L
.34034 .40449 L
.34028 .4044 L
.3392 .40288 L
.33867 .40216 L
.33805 .40128 L
.33707 .39991 L
.3369 .39967 L
.33581 .39807 L
.33546 .39757 L
.33475 .39646 L
.33386 .39513 L
.33369 .39486 L
F
.156 .94 1 r
.33386 .40696 m
.33436 .4077 L
.33546 .40896 L
.3357 .4093 L
.33546 .40997 L
.33498 .4093 L
.33386 .4079 L
.33371 .4077 L
F
1 .9 .045 r
.33386 .40027 m
.33471 .40128 L
.33546 .40205 L
.33613 .40288 L
.33707 .40392 L
.33751 .40449 L
.33867 .40584 L
.33887 .40609 L
.3402 .4077 L
.34028 .40779 L
.34146 .4093 L
.34188 .4098 L
.34273 .41091 L
.34349 .41181 L
.34402 .41251 L
.34509 .41382 L
.34532 .41412 L
.34659 .41572 L
.3467 .41585 L
.34782 .41733 L
.3483 .41792 L
.34906 .41894 L
.34991 .41998 L
.35033 .42054 L
.35152 .42193 L
.3516 .42215 L
.35281 .42375 L
.35312 .42413 L
.35402 .42536 L
.35473 .42623 L
.35526 .42696 L
.35633 .42832 L
.35651 .42857 L
.35772 .43017 L
.35794 .43044 L
.3589 .43178 L
.35954 .43259 L
.3601 .43338 L
.36115 .43472 L
.36134 .43499 L
.36252 .43659 L
.36275 .43689 L
.36365 .4382 L
.36436 .43911 L
.36482 .4398 L
.36596 .44132 L
.36602 .44141 L
.36596 .44295 L
.36465 .44141 L
.36436 .44109 L
.36329 .4398 L
.36275 .43919 L
.36194 .4382 L
.36115 .43726 L
.36061 .43659 L
.35954 .4353 L
.35929 .43499 L
.358 .43338 L
.35794 .43331 L
.35672 .43178 L
.35633 .4313 L
.35544 .43017 L
.35473 .42928 L
.35416 .42857 L
.35312 .42742 L
.35289 .42696 L
.35164 .42536 L
.35152 .4252 L
.3504 .42375 L
.34991 .42313 L
.34915 .42215 L
.3483 .42106 L
.3479 .42054 L
.3467 .419 L
.34663 .41894 L
.34546 .41733 L
.34509 .41687 L
.34423 .41572 L
.34349 .41476 L
.34301 .41412 L
.34188 .41272 L
.34179 .41251 L
.34062 .41091 L
.34028 .41047 L
.33943 .4093 L
.33867 .4083 L
.33824 .4077 L
.33707 .40611 L
.33706 .40609 L
.33596 .40449 L
.33546 .40382 L
.33484 .40288 L
.33386 .4015 L
.33371 .40128 L
F
1 .94 .156 r
.33546 .38895 m
.33657 .39004 L
.33707 .3905 L
.33812 .39165 L
.33867 .39222 L
.33958 .39325 L
.34028 .39351 L
.34099 .39486 L
.34188 .39577 L
.34238 .39646 L
.34349 .39776 L
.34383 .39807 L
.34507 .39967 L
.34509 .3997 L
.34638 .40128 L
.3467 .4015 L
.3477 .40288 L
.3483 .40357 L
.34932 .40449 L
.34991 .40562 L
.35034 .40609 L
.35152 .40762 L
.35157 .4077 L
.35286 .4093 L
.35312 .40956 L
.35413 .41091 L
.35473 .41163 L
.35554 .41251 L
.35633 .41371 L
.35666 .41412 L
.35793 .41572 L
.35794 .41573 L
.35918 .41733 L
.35954 .41772 L
.36072 .41894 L
.36115 .41982 L
.36174 .42054 L
.36275 .42191 L
.3629 .42215 L
.3642 .42375 L
.36436 .42389 L
.36544 .42536 L
.36596 .42598 L
.36683 .42696 L
.36757 .4281 L
.36792 .42857 L
.36917 .43016 L
.36918 .43017 L
.37041 .43178 L
.37078 .43216 L
.37193 .43338 L
.37238 .43429 L
.37295 .43499 L
.37399 .4364 L
.37411 .43659 L
.37537 .4382 L
.37559 .43837 L
.37709 .4398 L
.3772 .44049 L
.37799 .44141 L
.3788 .44264 L
.37908 .44301 L
.38032 .44462 L
.38041 .44463 L
.38154 .44622 L
.38201 .4467 L
.38306 .44783 L
.38362 .44887 L
.38407 .44943 L
.38523 .451 L
.38525 .45104 L
.38647 .45265 L
.38683 .45289 L
.38821 .45425 L
.38844 .45509 L
.38908 .45586 L
.39004 .45727 L
.39018 .45746 L
.39139 .45907 L
.39165 .45939 L
.39261 .46067 L
.39325 .4613 L
.39412 .46228 L
.39486 .46353 L
.39513 .46388 L
.39631 .46549 L
.39646 .46568 L
.39751 .46709 L
.39807 .46748 L
.39923 .4687 L
.39967 .4698 L
.40009 .4703 L
.40121 .47191 L
.40128 .472 L
.4024 .47351 L
.40288 .47413 L
.40362 .47512 L
.40449 .47605 L
.40506 .47672 L
.40608 .47833 L
.40609 .47834 L
.40727 .47993 L
.4077 .48048 L
.40847 .48154 L
.4093 .48229 L
.41005 .48314 L
.41091 .48472 L
.41093 .48475 L
.41209 .48636 L
.41251 .4869 L
.41328 .48796 L
.41412 .48906 L
.41448 .48957 L
.4157 .49117 L
.41572 .4912 L
.41684 .49278 L
.41733 .49342 L
.418 .49438 L
.41894 .49563 L
.41918 .49599 L
.42032 .49759 L
.42054 .49789 L
.4214 .4992 L
.42215 .50025 L
.42248 .5008 L
.42352 .50241 L
.42215 .50251 L
.4221 .50241 L
.42055 .5008 L
.42054 .50079 L
.41909 .4992 L
.41894 .49904 L
.41765 .49759 L
.41733 .49723 L
.41625 .49599 L
.41572 .49551 L
.41486 .49438 L
.41412 .49349 L
.41334 .49278 L
.41251 .49153 L
.41221 .49117 L
.41091 .48961 L
.41089 .48957 L
.40953 .48796 L
.4093 .4877 L
.40788 .48636 L
.4077 .48568 L
.40691 .48475 L
.40609 .48364 L
.40576 .48314 L
.40449 .48165 L
.40433 .48154 L
.40305 .47993 L
.40288 .47972 L
.4017 .47833 L
.40128 .47765 L
.40059 .47672 L
.39967 .47556 L
.39948 .47512 L
.39807 .47356 L
.39796 .47351 L
.39658 .47191 L
.39646 .47159 L
.39546 .4703 L
.39486 .46948 L
.39437 .4687 L
.39325 .46737 L
.39292 .46709 L
.39168 .46549 L
.39165 .46544 L
.39038 .46388 L
.39004 .46335 L
.38928 .46228 L
.38844 .46122 L
.38822 .46067 L
.38683 .45915 L
.38668 .45907 L
.38535 .45746 L
.38523 .45717 L
.38422 .45586 L
.38362 .45504 L
.38314 .45425 L
.38201 .45292 L
.38171 .45265 L
.38049 .45104 L
.38041 .45095 L
.37919 .44943 L
.3788 .44884 L
.3781 .44783 L
.3772 .44671 L
.37703 .44622 L
.37559 .44466 L
.37554 .44462 L
.37417 .44301 L
.37399 .44261 L
.37308 .44141 L
.37238 .44048 L
.372 .4398 L
.37078 .43837 L
.3706 .4382 L
.36938 .43659 L
.36917 .43636 L
.36807 .43499 L
.36757 .43423 L
.36699 .43338 L
.36596 .4321 L
.36587 .43178 L
.36447 .43017 L
.36436 .43007 L
.36305 .42857 L
.36275 .42796 L
.36201 .42696 L
.36115 .42581 L
.3609 .42536 L
.35958 .42375 L
.35954 .42374 L
.35836 .42215 L
.35794 .42169 L
.35702 .42054 L
.35633 .41951 L
.35595 .41894 L
.35473 .41736 L
.35472 .41733 L
.3535 .41572 L
.35312 .41542 L
.35202 .41412 L
.35152 .41318 L
.35104 .41251 L
.34991 .41097 L
.34988 .41091 L
.34868 .4093 L
.3483 .40881 L
.34693 .4077 L
.3467 .4068 L
.34617 .40609 L
.34509 .4045 L
.34509 .40449 L
.34393 .40288 L
.34349 .4023 L
.34275 .40128 L
.34188 .40032 L
.34139 .39967 L
.34043 .39807 L
.34028 .39787 L
.33931 .39646 L
.33867 .39558 L
.33818 .39486 L
.33707 .39326 L
.33706 .39325 L
.33606 .39165 L
.33546 .39073 L
.33508 .39004 L
F
.061 .91 1 r
.33546 .39576 m
.33613 .39646 L
.33707 .39736 L
.33768 .39807 L
.33867 .39914 L
.33912 .39967 L
.34028 .40073 L
.34052 .40128 L
.34188 .40287 L
.3419 .40288 L
.3432 .40449 L
.34349 .40482 L
.34451 .40609 L
.34509 .40678 L
.34583 .4077 L
.3467 .40853 L
.34714 .4093 L
.3483 .41071 L
.34852 .41091 L
.34971 .41251 L
.34991 .41275 L
.35098 .41412 L
.35152 .41477 L
.35225 .41572 L
.35312 .41667 L
.35387 .41733 L
.35473 .41882 L
.35483 .41894 L
.35605 .42054 L
.35633 .42089 L
.3573 .42215 L
.35794 .42265 L
.35855 .42375 L
.35954 .42492 L
.35996 .42536 L
.36107 .42696 L
.36115 .42706 L
.3623 .42857 L
.36275 .42914 L
.36354 .43017 L
.36436 .43103 L
.36512 .43178 L
.36596 .43326 L
.36607 .43338 L
.36726 .43499 L
.36757 .43537 L
.36848 .43659 L
.36917 .43712 L
.36972 .4382 L
.37078 .43948 L
.37107 .4398 L
.3722 .44141 L
.37238 .44165 L
.3734 .44301 L
.37399 .44376 L
.37463 .44462 L
.37559 .4457 L
.3761 .44622 L
.3771 .44783 L
.3772 .44796 L
.37829 .44943 L
.3788 .45009 L
.3795 .45104 L
.38041 .4519 L
.38073 .45265 L
.38195 .45425 L
.38201 .45433 L
.38312 .45586 L
.38362 .45649 L
.38432 .45746 L
.38523 .45864 L
.38553 .45907 L
.38674 .46067 L
.38683 .46079 L
.38788 .46228 L
.38844 .463 L
.38904 .46388 L
.39004 .4652 L
.39024 .46549 L
.39138 .46709 L
.39165 .46745 L
.39246 .4687 L
.39325 .4698 L
.39356 .4703 L
.39325 .4716 L
.39206 .4703 L
.39165 .46987 L
.39061 .4687 L
.39004 .46806 L
.3892 .46709 L
.38844 .46621 L
.38782 .46549 L
.38683 .46441 L
.38647 .46388 L
.38523 .46238 L
.38512 .46228 L
.38382 .46067 L
.38362 .46043 L
.3825 .45907 L
.38201 .45876 L
.38119 .45746 L
.38041 .45655 L
.37967 .45586 L
.3788 .45449 L
.37861 .45425 L
.37733 .45265 L
.3772 .45249 L
.37604 .45104 L
.37559 .4506 L
.37419 .44943 L
.37399 .44847 L
.37343 .44783 L
.37238 .4464 L
.37226 .44622 L
.37098 .44462 L
.37078 .44454 L
.36971 .44301 L
.36917 .44239 L
.36826 .44141 L
.36757 .44026 L
.36722 .4398 L
.36597 .4382 L
.36596 .43819 L
.36472 .43659 L
.36436 .43627 L
.36301 .43499 L
.36275 .43409 L
.36217 .43338 L
.36115 .43196 L
.36103 .43178 L
.35977 .43017 L
.35954 .43013 L
.35853 .42857 L
.35794 .42789 L
.35711 .42696 L
.35633 .4257 L
.35608 .42536 L
.35486 .42375 L
.35473 .42358 L
.35364 .42215 L
.35312 .4217 L
.35198 .42054 L
.35152 .4194 L
.35115 .41894 L
.35 .41733 L
.34991 .41722 L
.3488 .41572 L
.3483 .41507 L
.34759 .41412 L
.3467 .41304 L
.34626 .41251 L
.3452 .41091 L
.34509 .41076 L
.34403 .4093 L
.34349 .40858 L
.34285 .4077 L
.34188 .40657 L
.34147 .40609 L
.34053 .40449 L
.34028 .40415 L
.3394 .40288 L
.33867 .40188 L
.33826 .40128 L
.33715 .39967 L
.33707 .39956 L
.33614 .39807 L
.33546 .39704 L
.33514 .39646 L
F
.538 .98 1 r
.33707 .3843 m
.33805 .38523 L
.33867 .3858 L
.33965 .38683 L
.34028 .38747 L
.34115 .38844 L
.34188 .38912 L
.3426 .39004 L
.34349 .39105 L
.34422 .39165 L
.34509 .39296 L
.34538 .39325 L
.3467 .39484 L
.34671 .39486 L
.34806 .39646 L
.3483 .39674 L
.3498 .39807 L
.34991 .39874 L
.35075 .39967 L
.35152 .40078 L
.3519 .40128 L
.35312 .40278 L
.35314 .40288 L
.35456 .40449 L
.35473 .4047 L
.35597 .40609 L
.35633 .40676 L
.35708 .4077 L
.35794 .40886 L
.3582 .4093 L
.35954 .41088 L
.35964 .41091 L
.36108 .41251 L
.36115 .41285 L
.36219 .41412 L
.36275 .41496 L
.36329 .41572 L
.36436 .41708 L
.36439 .41733 L
.3659 .41894 L
.36596 .41901 L
.36726 .42054 L
.36757 .42111 L
.36836 .42215 L
.36917 .42325 L
.36945 .42375 L
.37078 .4253 L
.37088 .42536 L
.37229 .42696 L
.37238 .42731 L
.3734 .42857 L
.37399 .42944 L
.37449 .43017 L
.37559 .43155 L
.37561 .43178 L
.37707 .43338 L
.3772 .43354 L
.37844 .43499 L
.3788 .43564 L
.37952 .43659 L
.38041 .43777 L
.38063 .4382 L
.38201 .4398 L
.38202 .4398 L
.38348 .44141 L
.38362 .44187 L
.38455 .44301 L
.38523 .444 L
.38564 .44462 L
.38683 .4461 L
.38696 .44622 L
.38818 .44783 L
.38844 .44811 L
.38958 .44943 L
.39004 .45023 L
.39065 .45104 L
.39165 .45235 L
.39179 .45265 L
.39312 .45425 L
.39325 .45437 L
.39464 .45586 L
.39486 .45646 L
.39567 .45746 L
.39646 .4586 L
.39677 .45907 L
.39805 .46067 L
.39807 .46068 L
.39927 .46228 L
.39967 .46269 L
.4007 .46388 L
.40128 .46484 L
.40176 .46549 L
.40288 .46697 L
.40294 .46709 L
.4042 .4687 L
.40449 .46892 L
.40577 .4703 L
.40609 .47108 L
.40676 .47191 L
.4077 .47323 L
.40788 .47351 L
.40913 .47512 L
.4093 .47516 L
.41035 .47672 L
.41091 .4773 L
.41178 .47833 L
.41251 .47949 L
.41284 .47993 L
.41405 .48154 L
.41412 .48162 L
.41526 .48314 L
.41572 .48349 L
.41686 .48475 L
.41733 .48573 L
.41782 .48636 L
.41894 .48791 L
.41897 .48796 L
.42018 .48957 L
.42054 .49002 L
.4214 .49117 L
.42215 .49195 L
.42283 .49278 L
.42375 .49418 L
.42389 .49438 L
.42509 .49599 L
.42536 .49633 L
.4263 .49759 L
.42696 .49813 L
.42787 .4992 L
.42857 .50046 L
.42883 .5008 L
.42999 .50241 L
.43017 .50264 L
.43119 .50401 L
.43178 .50477 L
.43241 .50562 L
.43338 .50673 L
.43377 .50722 L
.43487 .50883 L
.43499 .50898 L
.43605 .51043 L
.43659 .51113 L
.43726 .51204 L
.4382 .51301 L
.4387 .51364 L
.4397 .51525 L
.4398 .51538 L
.44087 .51686 L
.44141 .51755 L
.44206 .51846 L
.44301 .51971 L
.44326 .52007 L
.44445 .52167 L
.44462 .52189 L
.44559 .52328 L
.44622 .52413 L
.44674 .52488 L
.44783 .52637 L
.44791 .52649 L
.44898 .52809 L
.44943 .52873 L
.45001 .5297 L
.45104 .53129 L
.45105 .5313 L
.45104 .53249 L
.44962 .5313 L
.44943 .53114 L
.44799 .5297 L
.44783 .52954 L
.44647 .52809 L
.44622 .52784 L
.445 .52649 L
.44462 .5262 L
.44356 .52488 L
.44301 .52423 L
.44181 .52328 L
.44141 .52231 L
.44082 .52167 L
.4398 .52037 L
.4396 .52007 L
.4382 .51849 L
.43811 .51846 L
.43678 .51686 L
.43659 .5166 L
.43543 .51525 L
.43499 .51457 L
.4343 .51364 L
.43338 .51249 L
.43321 .51204 L
.43178 .5107 L
.43156 .51043 L
.43025 .50883 L
.43017 .50866 L
.42906 .50722 L
.42857 .50655 L
.42798 .50562 L
.42696 .50437 L
.42644 .50401 L
.42536 .50261 L
.42519 .50241 L
.42394 .5008 L
.42375 .50052 L
.42282 .4992 L
.42215 .49834 L
.42185 .49759 L
.42054 .49647 L
.42015 .49599 L
.41894 .49439 L
.41893 .49438 L
.41773 .49278 L
.41733 .49224 L
.41668 .49117 L
.41572 .49002 L
.41516 .48957 L
.41412 .48819 L
.41393 .48796 L
.4127 .48636 L
.41251 .48608 L
.41159 .48475 L
.41091 .48389 L
.41065 .48314 L
.4093 .48168 L
.40896 .48154 L
.40773 .47993 L
.4077 .47987 L
.40656 .47833 L
.40609 .47772 L
.40552 .47672 L
.40449 .47552 L
.40401 .47512 L
.40288 .47363 L
.40279 .47351 L
.40155 .47191 L
.40128 .47151 L
.40046 .4703 L
.39967 .46934 L
.39951 .4687 L
.39807 .4672 L
.39784 .46709 L
.39658 .46549 L
.39646 .46528 L
.39544 .46388 L
.39486 .46313 L
.3944 .46228 L
.39325 .46098 L
.3929 .46067 L
.39166 .45907 L
.39165 .45902 L
.39044 .45746 L
.39004 .4569 L
.38935 .45586 L
.38844 .45475 L
.38836 .45425 L
.38683 .45269 L
.38675 .45265 L
.38545 .45104 L
.38523 .45066 L
.38433 .44943 L
.38362 .44852 L
.38328 .44783 L
.38201 .44641 L
.38182 .44622 L
.38047 .44462 L
.38041 .4444 L
.37933 .44301 L
.3788 .44228 L
.37825 .44141 L
.3772 .44014 L
.37718 .4398 L
.37568 .4382 L
.37559 .43812 L
.37433 .43659 L
.37399 .43603 L
.37324 .43499 L
.37238 .43388 L
.37216 .43338 L
.37078 .4318 L
.37076 .43178 L
.36931 .43017 L
.36917 .42977 L
.36825 .42857 L
.36757 .42762 L
.36716 .42696 L
.36596 .42549 L
.36585 .42536 L
.36463 .42375 L
.36436 .42351 L
.36324 .42215 L
.36275 .42136 L
.36218 .42054 L
.36115 .41919 L
.36104 .41894 L
.35974 .41733 L
.35954 .41726 L
.3582 .41572 L
.35794 .41509 L
.35721 .41412 L
.35633 .41288 L
.35611 .41251 L
.35487 .41091 L
.35473 .41073 L
.35366 .4093 L
.35312 .40883 L
.35225 .4077 L
.35152 .40654 L
.35121 .40609 L
.35003 .40449 L
.34991 .40434 L
.34884 .40288 L
.3483 .40218 L
.34727 .40128 L
.3467 .40014 L
.34637 .39967 L
.34525 .39807 L
.34509 .39786 L
.34409 .39646 L
.34349 .39565 L
.34292 .39486 L
.34188 .39355 L
.34168 .39325 L
.34063 .39165 L
.34028 .39116 L
.33953 .39004 L
.33867 .38883 L
.33842 .38844 L
.33739 .38683 L
.33707 .38634 L
.33647 .38523 L
F
1 .89 .033 r
.33707 .40442 m
.33712 .40449 L
.33707 .4055 L
.3365 .40449 L
F
.045 .9 1 r
.33707 .39789 m
.33723 .39807 L
.33867 .39949 L
.33883 .39967 L
.34028 .40125 L
.34029 .40128 L
.34166 .40288 L
.34188 .40313 L
.34301 .40449 L
.34349 .40503 L
.34435 .40609 L
.34509 .40696 L
.34568 .4077 L
.3467 .40874 L
.34701 .4093 L
.3483 .41089 L
.34833 .41091 L
.34959 .41251 L
.34991 .4129 L
.35087 .41412 L
.35152 .41491 L
.35215 .41572 L
.35312 .41681 L
.35372 .41733 L
.35472 .41894 L
.35473 .41895 L
.35596 .42054 L
.35633 .421 L
.35721 .42215 L
.35794 .42276 L
.35847 .42375 L
.35954 .42504 L
.35985 .42536 L
.36099 .42696 L
.36115 .42716 L
.36222 .42857 L
.36275 .42923 L
.36346 .43017 L
.36436 .43114 L
.36501 .43178 L
.36596 .43337 L
.36598 .43338 L
.36718 .43499 L
.36757 .43547 L
.36841 .43659 L
.36917 .43722 L
.36965 .4382 L
.37078 .43959 L
.37097 .4398 L
.37212 .44141 L
.37238 .44174 L
.37333 .44301 L
.37399 .44385 L
.37455 .44462 L
.37559 .44583 L
.37597 .44622 L
.37701 .44783 L
.3772 .44807 L
.3782 .44943 L
.3788 .4502 L
.37941 .45104 L
.38041 .45208 L
.38064 .45265 L
.38185 .45425 L
.38201 .45446 L
.38302 .45586 L
.38362 .45663 L
.38421 .45746 L
.38523 .45879 L
.38542 .45907 L
.3866 .46067 L
.38683 .46097 L
.38774 .46228 L
.38844 .4632 L
.3889 .46388 L
.39004 .46543 L
.39008 .46549 L
.39114 .46709 L
.39165 .4678 L
.39217 .4687 L
.39165 .46945 L
.39095 .4687 L
.39004 .46774 L
.38947 .46709 L
.38844 .46592 L
.38806 .46549 L
.38683 .46411 L
.38668 .46388 L
.38534 .46228 L
.38523 .46215 L
.384 .46067 L
.38362 .46023 L
.38266 .45907 L
.38201 .45861 L
.38134 .45746 L
.38041 .45636 L
.37984 .45586 L
.3788 .45432 L
.37874 .45425 L
.37746 .45265 L
.3772 .45233 L
.37617 .45104 L
.37559 .45047 L
.37429 .44943 L
.37399 .44832 L
.37355 .44783 L
.37238 .44627 L
.37236 .44622 L
.37109 .44462 L
.37078 .44448 L
.36982 .44301 L
.36917 .44227 L
.36836 .44141 L
.36757 .44013 L
.36731 .4398 L
.36607 .4382 L
.36596 .43807 L
.36482 .43659 L
.36436 .43617 L
.36308 .43499 L
.36275 .43397 L
.36227 .43338 L
.36115 .43184 L
.36111 .43178 L
.35987 .43017 L
.35954 .43009 L
.35863 .42857 L
.35794 .42777 L
.35721 .42696 L
.35633 .42557 L
.35617 .42536 L
.35496 .42375 L
.35473 .42344 L
.35375 .42215 L
.35312 .42157 L
.35209 .42054 L
.35152 .41925 L
.35127 .41894 L
.35012 .41733 L
.34991 .41706 L
.34892 .41572 L
.3483 .41491 L
.34772 .41412 L
.3467 .41284 L
.34643 .41251 L
.34535 .41091 L
.34509 .41057 L
.34418 .4093 L
.34349 .40837 L
.343 .4077 L
.34188 .4062 L
.34179 .40609 L
.34073 .40449 L
.34028 .40387 L
.33961 .40288 L
.33867 .40154 L
.3385 .40128 L
.33751 .39967 L
.33707 .39899 L
.33665 .39807 L
F
1 .93 .114 r
.33707 .39126 m
.33748 .39165 L
.33867 .39273 L
.33916 .39325 L
.34028 .39401 L
.34066 .39486 L
.34188 .39615 L
.3421 .39646 L
.34349 .39806 L
.3435 .39807 L
.34485 .39967 L
.34509 .39995 L
.34619 .40128 L
.3467 .40165 L
.34753 .40288 L
.3483 .40376 L
.34915 .40449 L
.34991 .40578 L
.3502 .40609 L
.35146 .4077 L
.35152 .40777 L
.35274 .4093 L
.35312 .40967 L
.35402 .41091 L
.35473 .41175 L
.35545 .41251 L
.35633 .41382 L
.35657 .41412 L
.35785 .41572 L
.35794 .41577 L
.3591 .41733 L
.35954 .41781 L
.36066 .41894 L
.36115 .41991 L
.36168 .42054 L
.36275 .42199 L
.36286 .42215 L
.36413 .42375 L
.36436 .42395 L
.36538 .42536 L
.36596 .42605 L
.36677 .42696 L
.36757 .42816 L
.36787 .42857 L
.36913 .43017 L
.36917 .43019 L
.37036 .43178 L
.37078 .43221 L
.37189 .43338 L
.37238 .43435 L
.3729 .43499 L
.37399 .43646 L
.37407 .43659 L
.37532 .4382 L
.37559 .4384 L
.37707 .4398 L
.3772 .44055 L
.37795 .44141 L
.3788 .44269 L
.37904 .44301 L
.38027 .44462 L
.38041 .44464 L
.3815 .44622 L
.38201 .44674 L
.38302 .44783 L
.38362 .44892 L
.38403 .44943 L
.38522 .45104 L
.38523 .45105 L
.38643 .45265 L
.38683 .45293 L
.38818 .45425 L
.38844 .45515 L
.38903 .45586 L
.39004 .45733 L
.39014 .45746 L
.39135 .45907 L
.39165 .45944 L
.39257 .46067 L
.39325 .46136 L
.39407 .46228 L
.39486 .4636 L
.39508 .46388 L
.39626 .46549 L
.39646 .46575 L
.39747 .46709 L
.39807 .46753 L
.39917 .4687 L
.39967 .46987 L
.40002 .4703 L
.40115 .47191 L
.40128 .47207 L
.40234 .47351 L
.40288 .4742 L
.40356 .47512 L
.40449 .47615 L
.40497 .47672 L
.40601 .47833 L
.40609 .47843 L
.40719 .47993 L
.4077 .48058 L
.4084 .48154 L
.4093 .48244 L
.40992 .48314 L
.41083 .48475 L
.41091 .48485 L
.41199 .48636 L
.41251 .48704 L
.41317 .48796 L
.41412 .48921 L
.41437 .48957 L
.41555 .49117 L
.41572 .4914 L
.41668 .49278 L
.41733 .49365 L
.41782 .49438 L
.41894 .4959 L
.41899 .49599 L
.42004 .49759 L
.42054 .49831 L
.42105 .4992 L
.42054 .50021 L
.41955 .4992 L
.41894 .49858 L
.41802 .49759 L
.41733 .49685 L
.41656 .49599 L
.41572 .4952 L
.41514 .49438 L
.41412 .4932 L
.41362 .49278 L
.41251 .49129 L
.41241 .49117 L
.41105 .48957 L
.41091 .48952 L
.40971 .48796 L
.4093 .4875 L
.40796 .48636 L
.4077 .48548 L
.40706 .48475 L
.40609 .48348 L
.40587 .48314 L
.40449 .48155 L
.40447 .48154 L
.40317 .47993 L
.40288 .47957 L
.40179 .47833 L
.40128 .47751 L
.40069 .47672 L
.39967 .47545 L
.39953 .47512 L
.39807 .47351 L
.39807 .47351 L
.39662 .47191 L
.39646 .47147 L
.39554 .4703 L
.39486 .46937 L
.39444 .4687 L
.39325 .46729 L
.393 .46709 L
.39176 .46549 L
.39165 .46534 L
.39044 .46388 L
.39004 .46325 L
.38935 .46228 L
.38844 .46113 L
.38825 .46067 L
.38683 .45911 L
.38676 .45907 L
.38538 .45746 L
.38523 .45709 L
.38428 .45586 L
.38362 .45496 L
.38319 .45425 L
.38201 .45286 L
.38178 .45265 L
.38055 .45104 L
.38041 .45088 L
.37924 .44943 L
.3788 .44877 L
.37815 .44783 L
.3772 .44664 L
.37706 .44622 L
.3756 .44462 L
.37559 .44461 L
.3742 .44301 L
.37399 .44254 L
.37313 .44141 L
.37238 .44041 L
.37204 .4398 L
.37078 .43831 L
.37066 .4382 L
.36944 .43659 L
.36917 .43629 L
.36812 .43499 L
.36757 .43415 L
.36704 .43338 L
.36596 .43202 L
.36589 .43178 L
.36453 .43017 L
.36436 .43002 L
.36309 .42857 L
.36275 .42789 L
.36206 .42696 L
.36115 .42573 L
.36094 .42536 L
.35965 .42375 L
.35954 .42372 L
.35843 .42215 L
.35794 .42161 L
.35709 .42054 L
.35633 .41941 L
.35602 .41894 L
.35479 .41733 L
.35473 .41725 L
.35359 .41572 L
.35312 .41533 L
.3521 .41412 L
.35152 .41304 L
.35113 .41251 L
.34997 .41091 L
.34991 .41083 L
.34879 .4093 L
.3483 .40866 L
.34703 .4077 L
.3467 .40661 L
.34631 .40609 L
.34523 .40449 L
.34509 .4043 L
.34408 .40288 L
.34349 .40208 L
.34292 .40128 L
.34188 .39995 L
.34168 .39967 L
.34066 .39807 L
.34028 .39754 L
.33957 .39646 L
.33867 .39517 L
.33847 .39486 L
.3375 .39325 L
.33707 .39255 L
.33667 .39165 L
F
1 .89 .033 r
.33867 .40625 m
.33984 .4077 L
.34028 .40817 L
.34116 .4093 L
.34188 .41013 L
.34248 .41091 L
.34349 .4121 L
.3438 .41251 L
.34509 .41408 L
.34512 .41412 L
.34636 .41572 L
.3467 .41613 L
.3476 .41733 L
.3483 .41818 L
.34887 .41894 L
.34991 .42022 L
.35015 .42054 L
.35141 .42215 L
.35152 .42228 L
.3526 .42375 L
.35312 .42439 L
.35382 .42536 L
.35473 .42648 L
.35507 .42696 L
.35633 .42857 L
.35633 .42857 L
.35749 .43017 L
.35794 .43073 L
.35867 .43178 L
.35954 .43289 L
.35988 .43338 L
.35954 .43493 L
.3583 .43338 L
.35794 .43296 L
.357 .43178 L
.35633 .43097 L
.3557 .43017 L
.35473 .42897 L
.3544 .42857 L
.35313 .42696 L
.35312 .42695 L
.35189 .42536 L
.35152 .42489 L
.35064 .42375 L
.34991 .42284 L
.34938 .42215 L
.3483 .42077 L
.34813 .42054 L
.34691 .41894 L
.3467 .41867 L
.3457 .41733 L
.34509 .41655 L
.34448 .41572 L
.34349 .41443 L
.34326 .41412 L
.34207 .41251 L
.34188 .41227 L
.34092 .41091 L
.34028 .41008 L
.33974 .4093 L
.33867 .40787 L
.33856 .4077 L
F
1 .92 .084 r
.34028 .39489 m
.34177 .39646 L
.34188 .39658 L
.34321 .39807 L
.34349 .39836 L
.34461 .39967 L
.34509 .40021 L
.34599 .40128 L
.3467 .40185 L
.34735 .40288 L
.3483 .40396 L
.34895 .40449 L
.34991 .40596 L
.35004 .40609 L
.35132 .4077 L
.35152 .40792 L
.35262 .4093 L
.35312 .40979 L
.35392 .41091 L
.35473 .41188 L
.35534 .41251 L
.35633 .41393 L
.35649 .41412 L
.35776 .41572 L
.35794 .41582 L
.35902 .41733 L
.35954 .4179 L
.36059 .41894 L
.36115 .42 L
.36161 .42054 L
.36275 .42207 L
.36281 .42215 L
.36407 .42375 L
.36436 .424 L
.36532 .42536 L
.36596 .42612 L
.36672 .42696 L
.36757 .42823 L
.36782 .42857 L
.36907 .43017 L
.36917 .43021 L
.37031 .43178 L
.37078 .43227 L
.37184 .43338 L
.37238 .43441 L
.37286 .43499 L
.37399 .43651 L
.37404 .43659 L
.37528 .4382 L
.37559 .43844 L
.37704 .4398 L
.3772 .4406 L
.3779 .44141 L
.3788 .44275 L
.379 .44301 L
.38023 .44462 L
.38041 .44465 L
.38146 .44622 L
.38201 .44679 L
.38298 .44783 L
.38362 .44898 L
.38399 .44943 L
.38517 .45104 L
.38523 .45111 L
.38639 .45265 L
.38683 .45296 L
.38814 .45425 L
.38844 .4552 L
.38899 .45586 L
.39004 .45738 L
.3901 .45746 L
.3913 .45907 L
.39165 .4595 L
.39252 .46067 L
.39325 .46142 L
.39402 .46228 L
.39486 .46366 L
.39503 .46388 L
.39621 .46549 L
.39646 .46581 L
.39742 .46709 L
.39807 .4676 L
.39911 .4687 L
.39967 .46995 L
.39996 .4703 L
.40109 .47191 L
.40128 .47215 L
.40229 .47351 L
.40288 .47428 L
.4035 .47512 L
.40449 .47626 L
.40488 .47672 L
.40594 .47833 L
.40609 .47853 L
.40712 .47993 L
.4077 .48068 L
.40832 .48154 L
.4093 .4826 L
.40977 .48314 L
.41073 .48475 L
.41091 .48499 L
.41188 .48636 L
.41251 .48718 L
.41306 .48796 L
.41412 .48937 L
.41426 .48957 L
.41539 .49117 L
.41572 .49162 L
.4165 .49278 L
.41733 .49392 L
.41763 .49438 L
.41872 .49599 L
.41894 .49631 L
.41963 .49759 L
.41894 .49803 L
.41849 .49759 L
.41733 .49643 L
.41692 .49599 L
.41572 .4948 L
.41544 .49438 L
.41412 .49289 L
.41398 .49278 L
.41264 .49117 L
.41251 .49103 L
.41126 .48957 L
.41091 .48945 L
.4099 .48796 L
.4093 .4873 L
.40808 .48636 L
.4077 .48529 L
.4072 .48475 L
.40609 .48332 L
.40597 .48314 L
.40461 .48154 L
.40449 .48143 L
.4033 .47993 L
.40288 .47941 L
.40189 .47833 L
.40128 .47737 L
.40079 .47672 L
.39967 .47534 L
.39958 .47512 L
.39817 .47351 L
.39807 .4734 L
.39666 .47191 L
.39646 .47135 L
.39563 .4703 L
.39486 .46926 L
.39451 .4687 L
.39325 .46722 L
.39309 .46709 L
.39184 .46549 L
.39165 .46525 L
.3905 .46388 L
.39004 .46316 L
.38941 .46228 L
.38844 .46105 L
.38829 .46067 L
.38683 .45907 L
.38683 .45907 L
.38541 .45746 L
.38523 .457 L
.38434 .45586 L
.38362 .45489 L
.38324 .45425 L
.38201 .4528 L
.38184 .45265 L
.38061 .45104 L
.38041 .45081 L
.37929 .44943 L
.3788 .44869 L
.3782 .44783 L
.3772 .44657 L
.37708 .44622 L
.37566 .44462 L
.37559 .44456 L
.37424 .44301 L
.37399 .44247 L
.37318 .44141 L
.37238 .44033 L
.37208 .4398 L
.37078 .43825 L
.37072 .4382 L
.3695 .43659 L
.36917 .43623 L
.36817 .43499 L
.36757 .43408 L
.36709 .43338 L
.36596 .43195 L
.36591 .43178 L
.3646 .43017 L
.36436 .42996 L
.36313 .42857 L
.36275 .42781 L
.36212 .42696 L
.36115 .42564 L
.36099 .42536 L
.35972 .42375 L
.35954 .4237 L
.3585 .42215 L
.35794 .42152 L
.35716 .42054 L
.35633 .4193 L
.35609 .41894 L
.35487 .41733 L
.35473 .41714 L
.35367 .41572 L
.35312 .41523 L
.35219 .41412 L
.35152 .41291 L
.35123 .41251 L
.35008 .41091 L
.34991 .41068 L
.3489 .4093 L
.3483 .4085 L
.34718 .4077 L
.3467 .40639 L
.34648 .40609 L
.34539 .40449 L
.34509 .40409 L
.34425 .40288 L
.34349 .40184 L
.3431 .40128 L
.34197 .39967 L
.34188 .39955 L
.34092 .39807 L
.34028 .39713 L
.33986 .39646 L
F
.033 .89 1 r
.34028 .40163 m
.34137 .40288 L
.34188 .40341 L
.34278 .40449 L
.34349 .40527 L
.34416 .40609 L
.34509 .40716 L
.34552 .4077 L
.3467 .40899 L
.34687 .4093 L
.34818 .41091 L
.3483 .41106 L
.34946 .41251 L
.34991 .41305 L
.35075 .41412 L
.35152 .41504 L
.35204 .41572 L
.35312 .41696 L
.35355 .41733 L
.35461 .41894 L
.35473 .41907 L
.35586 .42054 L
.35633 .42112 L
.35712 .42215 L
.35794 .42288 L
.35839 .42375 L
.35954 .42516 L
.35973 .42536 L
.3609 .42696 L
.36115 .42726 L
.36214 .42857 L
.36275 .42933 L
.36338 .43017 L
.36436 .43126 L
.36489 .43178 L
.36589 .43338 L
.36596 .43347 L
.36711 .43499 L
.36757 .43557 L
.36834 .43659 L
.36917 .43734 L
.36958 .4382 L
.37078 .43971 L
.37086 .4398 L
.37204 .44141 L
.37238 .44185 L
.37325 .44301 L
.37399 .44396 L
.37448 .44462 L
.37559 .44597 L
.37583 .44622 L
.37692 .44783 L
.3772 .44818 L
.37811 .44943 L
.3788 .45032 L
.37932 .45104 L
.38041 .45228 L
.38056 .45265 L
.38174 .45425 L
.38201 .4546 L
.38291 .45586 L
.38362 .45678 L
.3841 .45746 L
.38523 .45894 L
.38531 .45907 L
.38645 .46067 L
.38683 .46117 L
.38757 .46228 L
.38844 .46344 L
.38873 .46388 L
.38985 .46549 L
.39004 .46576 L
.3908 .46709 L
.39004 .46733 L
.38982 .46709 L
.38844 .46561 L
.38833 .46549 L
.38692 .46388 L
.38683 .46378 L
.38555 .46228 L
.38523 .46191 L
.38418 .46067 L
.38362 .46001 L
.38283 .45907 L
.38201 .45841 L
.3815 .45746 L
.38041 .45617 L
.38005 .45586 L
.37889 .45425 L
.3788 .45415 L
.37759 .45265 L
.3772 .45217 L
.37629 .45104 L
.37559 .45032 L
.37442 .44943 L
.37399 .44817 L
.37368 .44783 L
.37246 .44622 L
.37238 .44612 L
.3712 .44462 L
.37078 .44441 L
.36993 .44301 L
.36917 .44213 L
.36847 .44141 L
.36757 .44 L
.36741 .4398 L
.36617 .4382 L
.36596 .43794 L
.36492 .43659 L
.36436 .43606 L
.36317 .43499 L
.36275 .43384 L
.36237 .43338 L
.3612 .43178 L
.36115 .43171 L
.35997 .43017 L
.35954 .43003 L
.35873 .42857 L
.35794 .42764 L
.35733 .42696 L
.35633 .42543 L
.35628 .42536 L
.35507 .42375 L
.35473 .4233 L
.35385 .42215 L
.35312 .42143 L
.35223 .42054 L
.35152 .41908 L
.3514 .41894 L
.35024 .41733 L
.34991 .4169 L
.34904 .41572 L
.3483 .41475 L
.34784 .41412 L
.3467 .4126 L
.34662 .41251 L
.3455 .41091 L
.34509 .41037 L
.34434 .4093 L
.34349 .40815 L
.34317 .4077 L
.34204 .40609 L
.34188 .40588 L
.34096 .40449 L
.34028 .40352 L
.33987 .40288 L
F
.156 .94 1 r
.34028 .41532 m
.34051 .41572 L
.34028 .41602 L
.34005 .41572 L
F
.733 .99 1 r
.34188 .27599 m
.34349 .2754 L
.34509 .27509 L
.3467 .27491 L
.3483 .27479 L
.34991 .27472 L
.35152 .27467 L
.35312 .27465 L
.35473 .27466 L
.35633 .27469 L
.35794 .27475 L
.35954 .27483 L
.36115 .27495 L
.36275 .27511 L
.36436 .27531 L
.36596 .27556 L
.36757 .27587 L
.36846 .27607 L
.36917 .27625 L
.37078 .27671 L
.37238 .27726 L
.37345 .27767 L
.37399 .27791 L
.37559 .27866 L
.37678 .27928 L
.3772 .27951 L
.3788 .28048 L
.37942 .28088 L
.38041 .28157 L
.38165 .28249 L
.38201 .28278 L
.3836 .2841 L
.38362 .28411 L
.38523 .2856 L
.38533 .2857 L
.38683 .28726 L
.38687 .28731 L
.38822 .28891 L
.38844 .28918 L
.38939 .29052 L
.39004 .29155 L
.39034 .29212 L
.39102 .29373 L
.39133 .29533 L
.39109 .29694 L
.39004 .29846 L
.38977 .29854 L
.38844 .29928 L
.38683 .29978 L
.38523 .30008 L
.38475 .30015 L
.38362 .30026 L
.38201 .30036 L
.38041 .30039 L
.3788 .30035 L
.3772 .30026 L
.37585 .30015 L
.37559 .30012 L
.37399 .29992 L
.37238 .29966 L
.37078 .29935 L
.36917 .29899 L
.36757 .29857 L
.36745 .29854 L
.36596 .29808 L
.36436 .29753 L
.36279 .29694 L
.36275 .29692 L
.36115 .29623 L
.35954 .29549 L
.3592 .29533 L
.35794 .29469 L
.35633 .29383 L
.35614 .29373 L
.35473 .2929 L
.35345 .29212 L
.35312 .29191 L
.35152 .29085 L
.35103 .29052 L
.34991 .28971 L
.34884 .28891 L
.3483 .2885 L
.34684 .28731 L
.3467 .28719 L
.34509 .28577 L
.34502 .2857 L
.34349 .28419 L
.3434 .2841 L
.34199 .28249 L
.34188 .28238 L
.34086 .28088 L
.34028 .27973 L
.34013 .27928 L
.34011 .27767 L
.34028 .27729 L
.34174 .27607 L
F
.395 .97 1 r
.34028 .38869 m
.3418 .39004 L
.34188 .39012 L
.34337 .39165 L
.34349 .39177 L
.34484 .39325 L
.34509 .39352 L
.34627 .39486 L
.3467 .39512 L
.34767 .39646 L
.3483 .39715 L
.34959 .39807 L
.34991 .39911 L
.35047 .39967 L
.35152 .40107 L
.35169 .40128 L
.35304 .40288 L
.35312 .40296 L
.35435 .40449 L
.35473 .40494 L
.35583 .40609 L
.35633 .40699 L
.35692 .4077 L
.35794 .40903 L
.3581 .4093 L
.3595 .41091 L
.35954 .41096 L
.36104 .41251 L
.36115 .41301 L
.36209 .41412 L
.36275 .4151 L
.3632 .41572 L
.36436 .41717 L
.36438 .41733 L
.36581 .41894 L
.36596 .41912 L
.3672 .42054 L
.36757 .42122 L
.36829 .42215 L
.36917 .42333 L
.3694 .42375 L
.37078 .42534 L
.37081 .42536 L
.37227 .42696 L
.37238 .42738 L
.37335 .42857 L
.37399 .4295 L
.37445 .43017 L
.37559 .4316 L
.3756 .43178 L
.37702 .43338 L
.3772 .43359 L
.3784 .43499 L
.3788 .4357 L
.37949 .43659 L
.38041 .43782 L
.3806 .4382 L
.38198 .4398 L
.38201 .43984 L
.38347 .44141 L
.38362 .44191 L
.38452 .44301 L
.38523 .44404 L
.38561 .44462 L
.38683 .44613 L
.38693 .44622 L
.38815 .44783 L
.38844 .44814 L
.38956 .44943 L
.39004 .45027 L
.39062 .45104 L
.39165 .45239 L
.39177 .45265 L
.39309 .45425 L
.39325 .45439 L
.39463 .45586 L
.39486 .4565 L
.39564 .45746 L
.39646 .45864 L
.39675 .45907 L
.39802 .46067 L
.39807 .46069 L
.39924 .46228 L
.39967 .46272 L
.40067 .46388 L
.40128 .46488 L
.40173 .46549 L
.40288 .467 L
.40292 .46709 L
.40417 .4687 L
.40449 .46895 L
.40575 .4703 L
.40609 .47111 L
.40673 .47191 L
.4077 .47327 L
.40786 .47351 L
.4091 .47512 L
.4093 .47517 L
.41031 .47672 L
.41091 .47733 L
.41175 .47833 L
.41251 .47953 L
.41281 .47993 L
.41402 .48154 L
.41412 .48167 L
.41523 .48314 L
.41572 .48353 L
.41682 .48475 L
.41733 .48578 L
.41778 .48636 L
.41893 .48796 L
.41894 .48796 L
.42014 .48957 L
.42054 .49008 L
.42136 .49117 L
.42215 .49201 L
.42277 .49278 L
.42375 .49426 L
.42384 .49438 L
.42503 .49599 L
.42536 .4964 L
.42624 .49759 L
.42696 .49821 L
.42779 .4992 L
.42857 .50056 L
.42875 .5008 L
.42991 .50241 L
.43017 .50274 L
.43111 .50401 L
.43178 .50487 L
.43233 .50562 L
.43338 .50688 L
.43365 .50722 L
.43476 .50883 L
.43499 .50913 L
.43594 .51043 L
.43659 .51128 L
.43714 .51204 L
.4382 .51328 L
.43848 .51364 L
.43953 .51525 L
.4398 .51561 L
.44068 .51686 L
.44141 .51782 L
.44185 .51846 L
.44301 .52002 L
.44305 .52007 L
.44414 .52167 L
.44462 .52233 L
.44523 .52328 L
.44622 .5247 L
.44633 .52488 L
.44726 .52649 L
.44622 .52683 L
.44587 .52649 L
.44462 .52542 L
.44426 .52488 L
.44301 .52355 L
.44252 .52328 L
.44141 .52176 L
.44131 .52167 L
.4399 .52007 L
.4398 .51995 L
.43851 .51846 L
.4382 .51813 L
.43712 .51686 L
.43659 .51617 L
.43571 .51525 L
.43499 .5142 L
.43455 .51364 L
.43338 .51223 L
.43332 .51204 L
.43181 .51043 L
.43178 .51039 L
.43038 .50883 L
.43017 .50837 L
.42926 .50722 L
.42857 .5063 L
.42815 .50562 L
.42696 .50421 L
.42662 .50401 L
.42536 .50241 L
.42536 .5024 L
.42407 .5008 L
.42375 .50032 L
.42296 .4992 L
.42215 .49818 L
.42194 .49759 L
.42054 .49632 L
.42027 .49599 L
.41901 .49438 L
.41894 .49425 L
.41783 .49278 L
.41733 .49211 L
.41677 .49117 L
.41572 .48992 L
.41525 .48957 L
.41412 .48809 L
.41402 .48796 L
.41277 .48636 L
.41251 .48598 L
.41167 .48475 L
.41091 .4838 L
.4107 .48314 L
.4093 .48164 L
.40903 .48154 L
.40778 .47993 L
.4077 .47979 L
.40661 .47833 L
.40609 .47764 L
.40557 .47672 L
.40449 .47547 L
.40406 .47512 L
.40288 .47357 L
.40284 .47351 L
.4016 .47191 L
.40128 .47145 L
.40051 .4703 L
.39967 .46928 L
.39953 .4687 L
.39807 .46717 L
.39789 .46709 L
.39661 .46549 L
.39646 .46522 L
.39548 .46388 L
.39486 .46308 L
.39443 .46228 L
.39325 .46094 L
.39294 .46067 L
.39167 .45907 L
.39165 .45897 L
.39047 .45746 L
.39004 .45685 L
.38939 .45586 L
.38844 .45471 L
.38837 .45425 L
.38683 .45267 L
.38679 .45265 L
.38548 .45104 L
.38523 .45061 L
.38437 .44943 L
.38362 .44847 L
.38331 .44783 L
.38201 .44637 L
.38186 .44622 L
.38048 .44462 L
.38041 .44435 L
.37937 .44301 L
.3788 .44223 L
.37828 .44141 L
.3772 .4401 L
.37718 .4398 L
.37572 .4382 L
.37559 .43808 L
.37436 .43659 L
.37399 .43597 L
.37328 .43499 L
.37238 .43383 L
.37218 .43338 L
.37081 .43178 L
.37078 .43176 L
.36933 .43017 L
.36917 .42971 L
.36829 .42857 L
.36757 .42755 L
.3672 .42696 L
.36596 .42542 L
.36591 .42536 L
.3647 .42375 L
.36436 .42345 L
.36329 .42215 L
.36275 .42127 L
.36224 .42054 L
.36115 .4191 L
.36108 .41894 L
.35982 .41733 L
.35954 .41721 L
.35825 .41572 L
.35794 .41497 L
.3573 .41412 L
.35633 .41274 L
.35619 .41251 L
.35498 .41091 L
.35473 .41058 L
.35378 .4093 L
.35312 .40867 L
.35238 .4077 L
.35152 .40633 L
.35135 .40609 L
.35019 .40449 L
.34991 .40412 L
.34902 .40288 L
.3483 .40193 L
.3475 .40128 L
.3467 .39977 L
.34663 .39967 L
.34552 .39807 L
.34509 .39749 L
.34439 .39646 L
.34349 .39521 L
.34325 .39486 L
.34217 .39325 L
.34188 .39284 L
.34115 .39165 L
.34028 .39028 L
.34015 .39004 L
F
1 .88 .024 r
.34028 .40883 m
.34063 .4093 L
.34188 .41058 L
.34213 .41091 L
.34349 .41246 L
.34353 .41251 L
.34349 .41401 L
.34248 .41251 L
.34188 .41175 L
.34134 .41091 L
.34028 .40946 L
.34018 .4093 L
F
.024 .88 1 r
.34028 .40223 m
.34093 .40288 L
.34188 .40376 L
.34251 .40449 L
.34349 .40553 L
.34395 .40609 L
.34509 .40738 L
.34535 .4077 L
.3467 .40927 L
.34672 .4093 L
.34802 .41091 L
.3483 .41124 L
.34932 .41251 L
.34991 .41321 L
.35063 .41412 L
.35152 .41519 L
.35193 .41572 L
.35312 .41713 L
.35335 .41733 L
.3545 .41894 L
.35473 .4192 L
.35576 .42054 L
.35633 .42124 L
.35703 .42215 L
.35794 .42302 L
.3583 .42375 L
.35954 .42529 L
.3596 .42536 L
.36081 .42696 L
.36115 .42737 L
.36205 .42857 L
.36275 .42944 L
.36331 .43017 L
.36436 .43139 L
.36476 .43178 L
.36581 .43338 L
.36596 .43357 L
.36702 .43499 L
.36757 .43567 L
.36826 .43659 L
.36917 .43747 L
.36951 .4382 L
.37076 .4398 L
.37078 .43983 L
.37195 .44141 L
.37238 .44195 L
.37316 .44301 L
.37399 .44406 L
.3744 .44462 L
.37559 .44613 L
.37569 .44622 L
.37683 .44783 L
.3772 .4483 L
.37802 .44943 L
.3788 .45044 L
.37923 .45104 L
.38041 .45251 L
.38046 .45265 L
.38162 .45425 L
.38201 .45475 L
.38279 .45586 L
.38362 .45694 L
.38398 .45746 L
.38518 .45907 L
.38523 .45913 L
.38627 .46067 L
.38683 .46142 L
.38738 .46228 L
.38844 .46373 L
.38853 .46388 L
.38844 .4652 L
.38723 .46388 L
.38683 .46347 L
.38579 .46228 L
.38523 .46166 L
.38439 .46067 L
.38362 .45979 L
.38302 .45907 L
.38201 .45814 L
.38167 .45746 L
.38041 .45595 L
.3803 .45586 L
.37904 .45425 L
.3788 .45397 L
.37773 .45265 L
.3772 .452 L
.37642 .45104 L
.37559 .45016 L
.3746 .44943 L
.37399 .44801 L
.37382 .44783 L
.37258 .44622 L
.37238 .44598 L
.37131 .44462 L
.37078 .44432 L
.37004 .44301 L
.36917 .44199 L
.36859 .44141 L
.36757 .43987 L
.36752 .4398 L
.36627 .4382 L
.36596 .4378 L
.36502 .43659 L
.36436 .43594 L
.36328 .43499 L
.36275 .4337 L
.36248 .43338 L
.3613 .43178 L
.36115 .43158 L
.36007 .43017 L
.35954 .42994 L
.35883 .42857 L
.35794 .42749 L
.35745 .42696 L
.35639 .42536 L
.35633 .42529 L
.35518 .42375 L
.35473 .42316 L
.35396 .42215 L
.35312 .42126 L
.3524 .42054 L
.35154 .41894 L
.35152 .4189 L
.35036 .41733 L
.34991 .41674 L
.34917 .41572 L
.3483 .41457 L
.34797 .41412 L
.3468 .41251 L
.3467 .41238 L
.34566 .41091 L
.34509 .41014 L
.34451 .4093 L
.34349 .40789 L
.34335 .4077 L
.34228 .40609 L
.34188 .40553 L
.34124 .40449 L
.34028 .40301 L
.34021 .40288 L
F
1 .91 .061 r
.34028 .3957 m
.34122 .39646 L
.34188 .39702 L
.34286 .39807 L
.34349 .3987 L
.34435 .39967 L
.34509 .40048 L
.34577 .40128 L
.3467 .40209 L
.34717 .40288 L
.3483 .40417 L
.34871 .40449 L
.34987 .40609 L
.34991 .40613 L
.35119 .4077 L
.35152 .40808 L
.3525 .4093 L
.35312 .40992 L
.35381 .41091 L
.35473 .41201 L
.35523 .41251 L
.35633 .41404 L
.3564 .41412 L
.35767 .41572 L
.35794 .41588 L
.35894 .41733 L
.35954 .41799 L
.36052 .41894 L
.36115 .42009 L
.36153 .42054 L
.36275 .42214 L
.36275 .42215 L
.364 .42375 L
.36436 .42407 L
.36526 .42536 L
.36596 .42619 L
.36666 .42696 L
.36757 .4283 L
.36777 .42857 L
.36902 .43017 L
.36917 .43023 L
.37026 .43178 L
.37078 .43233 L
.3718 .43338 L
.37238 .43447 L
.37281 .43499 L
.37399 .43657 L
.374 .43659 L
.37523 .4382 L
.37559 .43848 L
.37701 .4398 L
.3772 .44066 L
.37786 .44141 L
.3788 .4428 L
.37896 .44301 L
.38019 .44462 L
.38041 .44466 L
.38141 .44622 L
.38201 .44684 L
.38294 .44783 L
.38362 .44903 L
.38394 .44943 L
.38513 .45104 L
.38523 .45116 L
.38634 .45265 L
.38683 .45301 L
.3881 .45425 L
.38844 .45526 L
.38894 .45586 L
.39004 .45744 L
.39006 .45746 L
.39126 .45907 L
.39165 .45956 L
.39248 .46067 L
.39325 .46148 L
.39396 .46228 L
.39486 .46373 L
.39498 .46388 L
.39616 .46549 L
.39646 .46587 L
.39737 .46709 L
.39807 .46767 L
.39904 .4687 L
.39967 .47004 L
.39989 .4703 L
.40103 .47191 L
.40128 .47222 L
.40222 .47351 L
.40288 .47436 L
.40344 .47512 L
.40449 .47637 L
.40478 .47672 L
.40586 .47833 L
.40609 .47863 L
.40704 .47993 L
.4077 .48079 L
.40824 .48154 L
.4093 .48279 L
.40961 .48314 L
.41062 .48475 L
.41091 .48513 L
.41177 .48636 L
.41251 .48735 L
.41294 .48796 L
.41412 .48955 L
.41413 .48957 L
.41521 .49117 L
.41572 .49188 L
.41629 .49278 L
.41733 .49427 L
.4174 .49438 L
.41733 .49591 L
.41581 .49438 L
.41572 .4943 L
.41432 .49278 L
.41412 .49257 L
.41288 .49117 L
.41251 .49077 L
.41147 .48957 L
.41091 .48934 L
.41009 .48796 L
.4093 .48709 L
.40826 .48636 L
.4077 .4851 L
.40736 .48475 L
.40609 .48317 L
.40608 .48314 L
.40475 .48154 L
.40449 .48131 L
.40343 .47993 L
.40288 .47927 L
.40199 .47833 L
.40128 .47723 L
.40089 .47672 L
.39967 .47523 L
.39963 .47512 L
.39827 .47351 L
.39807 .47329 L
.39671 .47191 L
.39646 .47123 L
.39571 .4703 L
.39486 .46916 L
.39457 .4687 L
.39325 .46715 L
.39318 .46709 L
.39191 .46549 L
.39165 .46516 L
.39056 .46388 L
.39004 .46306 L
.38947 .46228 L
.38844 .46098 L
.38832 .46067 L
.3869 .45907 L
.38683 .459 L
.38545 .45746 L
.38523 .45692 L
.3844 .45586 L
.38362 .45481 L
.38329 .45425 L
.38201 .45274 L
.3819 .45265 L
.38066 .45104 L
.38041 .45074 L
.37934 .44943 L
.3788 .44862 L
.37825 .44783 L
.3772 .44651 L
.37711 .44622 L
.37571 .44462 L
.37559 .4445 L
.37427 .44301 L
.37399 .4424 L
.37323 .44141 L
.37238 .44026 L
.37212 .4398 L
.37078 .4382 L
.37078 .4382 L
.36955 .43659 L
.36917 .43616 L
.36822 .43499 L
.36757 .43401 L
.36714 .43338 L
.36596 .43188 L
.36593 .43178 L
.36466 .43017 L
.36436 .4299 L
.36318 .42857 L
.36275 .42772 L
.36218 .42696 L
.36115 .42556 L
.36104 .42536 L
.35979 .42375 L
.35954 .42367 L
.35857 .42215 L
.35794 .42142 L
.35724 .42054 L
.35633 .41919 L
.35616 .41894 L
.35496 .41733 L
.35473 .41703 L
.35376 .41572 L
.35312 .41511 L
.35229 .41412 L
.35152 .41276 L
.35134 .41251 L
.35019 .41091 L
.34991 .41053 L
.34902 .4093 L
.3483 .40834 L
.34736 .4077 L
.3467 .40615 L
.34666 .40609 L
.34555 .40449 L
.34509 .40386 L
.34442 .40288 L
.34349 .40157 L
.34329 .40128 L
.34224 .39967 L
.34188 .39916 L
.34124 .39807 L
.34028 .3965 L
.34026 .39646 L
F
1 1 1 r
.34188 .34918 m
.34349 .34922 L
.34487 .34991 L
.34509 .35007 L
.34667 .35152 L
.3467 .35185 L
.34777 .35312 L
.3483 .35387 L
.34888 .35473 L
.34991 .35595 L
.35 .35633 L
.35143 .35794 L
.35152 .35805 L
.35284 .35954 L
.35312 .3602 L
.35392 .36115 L
.35473 .36235 L
.35502 .36275 L
.35633 .36434 L
.35637 .36436 L
.35789 .36596 L
.35794 .36635 L
.35894 .36757 L
.35954 .36847 L
.36002 .36917 L
.36115 .37059 L
.36119 .37078 L
.36252 .37238 L
.36275 .37269 L
.36397 .37399 L
.36436 .3748 L
.36502 .37559 L
.36596 .37691 L
.36613 .3772 L
.36726 .3788 L
.36596 .37911 L
.36436 .37915 L
.36353 .38041 L
.36436 .38163 L
.36465 .38201 L
.36587 .38362 L
.36596 .38374 L
.36709 .38523 L
.36757 .38583 L
.36868 .38683 L
.36917 .38793 L
.36966 .38844 L
.37078 .39 L
.37081 .39004 L
.37203 .39165 L
.37238 .39188 L
.37325 .39325 L
.37399 .39405 L
.37469 .39486 L
.37559 .39624 L
.37576 .39646 L
.37696 .39807 L
.3772 .39837 L
.37818 .39967 L
.3788 .40048 L
.37977 .40128 L
.38041 .40234 L
.38073 .40288 L
.38189 .40449 L
.38201 .40465 L
.38309 .40609 L
.38362 .4068 L
.38431 .4077 L
.38362 .40909 L
.38201 .40876 L
.38041 .40802 L
.37991 .4077 L
.3788 .40676 L
.37815 .40609 L
.3772 .40497 L
.37679 .40449 L
.37559 .40297 L
.37552 .40288 L
.37442 .40128 L
.37399 .40095 L
.37297 .39967 L
.37238 .39889 L
.37173 .39807 L
.37078 .3968 L
.37051 .39646 L
.36932 .39486 L
.36917 .39467 L
.36831 .39325 L
.36757 .39245 L
.36678 .39165 L
.36596 .39022 L
.36556 .39004 L
.36436 .38844 L
.36436 .38843 L
.36325 .38683 L
.36275 .38637 L
.36238 .38523 L
.36115 .38429 L
.36066 .38362 L
.35954 .38214 L
.35948 .38201 L
.35842 .38041 L
.35954 .37932 L
.36115 .37927 L
.36249 .3788 L
.36115 .37737 L
.36102 .3772 L
.35974 .37559 L
.35954 .37531 L
.35862 .37399 L
.35794 .37324 L
.35761 .37238 L
.35633 .37114 L
.35605 .37078 L
.35478 .36917 L
.35473 .36904 L
.35361 .36757 L
.35312 .36692 L
.35254 .36596 L
.35152 .36479 L
.35112 .36436 L
.34991 .36276 L
.3499 .36275 L
.34862 .36115 L
.3483 .36077 L
.34752 .35954 L
.3467 .35863 L
.34649 .35794 L
.34509 .35647 L
.34499 .35633 L
.34365 .35473 L
.34349 .35432 L
.34256 .35312 L
.34188 .35215 L
.34152 .35152 L
.34042 .34991 L
F
.018 .87 1 r
.34188 .4043 m
.34207 .40449 L
.34349 .40585 L
.34369 .40609 L
.34509 .40763 L
.34515 .4077 L
.34651 .4093 L
.3467 .40951 L
.34784 .41091 L
.3483 .41143 L
.34917 .41251 L
.34991 .41337 L
.35049 .41412 L
.35152 .41534 L
.35182 .41572 L
.35312 .41731 L
.35314 .41733 L
.35439 .41894 L
.35473 .41934 L
.35565 .42054 L
.35633 .42136 L
.35693 .42215 L
.35794 .42318 L
.35822 .42375 L
.35949 .42536 L
.35954 .42542 L
.36072 .42696 L
.36115 .42749 L
.36196 .42857 L
.36275 .42954 L
.36322 .43017 L
.36436 .43153 L
.36462 .43178 L
.36572 .43338 L
.36596 .43368 L
.36694 .43499 L
.36757 .43577 L
.36818 .43659 L
.36917 .43762 L
.36943 .4382 L
.37067 .4398 L
.37078 .43994 L
.37186 .44141 L
.37238 .44206 L
.37308 .44301 L
.37399 .44417 L
.37432 .44462 L
.37555 .44622 L
.37559 .44628 L
.37673 .44783 L
.3772 .44843 L
.37792 .44943 L
.3788 .45057 L
.37914 .45104 L
.38036 .45265 L
.38041 .45271 L
.3815 .45425 L
.38201 .45492 L
.38266 .45586 L
.38362 .45712 L
.38385 .45746 L
.385 .45907 L
.38523 .45937 L
.38606 .46067 L
.38683 .46174 L
.38714 .46228 L
.38683 .46309 L
.3861 .46228 L
.38523 .46136 L
.38463 .46067 L
.38362 .45954 L
.38322 .45907 L
.38201 .4578 L
.38185 .45746 L
.38052 .45586 L
.38041 .45573 L
.37919 .45425 L
.3788 .45379 L
.37787 .45265 L
.3772 .45183 L
.37656 .45104 L
.37559 .44997 L
.37483 .44943 L
.37399 .44785 L
.37397 .44783 L
.3727 .44622 L
.37238 .44583 L
.37142 .44462 L
.37078 .4442 L
.37015 .44301 L
.36917 .44184 L
.36874 .44141 L
.36763 .4398 L
.36757 .43973 L
.36638 .4382 L
.36596 .43767 L
.36512 .43659 L
.36436 .4358 L
.36342 .43499 L
.36275 .43355 L
.36261 .43338 L
.36141 .43178 L
.36115 .43145 L
.36017 .43017 L
.35954 .42983 L
.35894 .42857 L
.35794 .42733 L
.3576 .42696 L
.3565 .42536 L
.35633 .42514 L
.35529 .42375 L
.35473 .42302 L
.35407 .42215 L
.35312 .42106 L
.3526 .42054 L
.35167 .41894 L
.35152 .41873 L
.35049 .41733 L
.34991 .41656 L
.3493 .41572 L
.3483 .41438 L
.34811 .41412 L
.34697 .41251 L
.3467 .41215 L
.34584 .41091 L
.34509 .40989 L
.34469 .4093 L
.34358 .4077 L
.34349 .40757 L
.34261 .40609 L
.34188 .40495 L
.34169 .40449 L
F
1 .9 .045 r
.34188 .3977 m
.34231 .39807 L
.34349 .39909 L
.34402 .39967 L
.34509 .40078 L
.34553 .40128 L
.3467 .40241 L
.34697 .40288 L
.3483 .40441 L
.34841 .40449 L
.34971 .40609 L
.34991 .40632 L
.35104 .4077 L
.35152 .40825 L
.35237 .4093 L
.35312 .41006 L
.35369 .41091 L
.35473 .41214 L
.3551 .41251 L
.3563 .41412 L
.35633 .41416 L
.35758 .41572 L
.35794 .41594 L
.35886 .41733 L
.35954 .41809 L
.36044 .41894 L
.36115 .42019 L
.36146 .42054 L
.36268 .42215 L
.36275 .42223 L
.36394 .42375 L
.36436 .42413 L
.3652 .42536 L
.36596 .42627 L
.3666 .42696 L
.36757 .42837 L
.36772 .42857 L
.36896 .43017 L
.36917 .43025 L
.37021 .43178 L
.37078 .43239 L
.37175 .43338 L
.37238 .43453 L
.37276 .43499 L
.37396 .43659 L
.37399 .43663 L
.37519 .4382 L
.37559 .43853 L
.37698 .4398 L
.3772 .44071 L
.37781 .44141 L
.3788 .44286 L
.37892 .44301 L
.38014 .44462 L
.38041 .44467 L
.38137 .44622 L
.38201 .44689 L
.38289 .44783 L
.38362 .44909 L
.3839 .44943 L
.38509 .45104 L
.38523 .45122 L
.3863 .45265 L
.38683 .45305 L
.38806 .45425 L
.38844 .45532 L
.38889 .45586 L
.39001 .45746 L
.39004 .4575 L
.39121 .45907 L
.39165 .45961 L
.39244 .46067 L
.39325 .46155 L
.3939 .46228 L
.39486 .4638 L
.39492 .46388 L
.39611 .46549 L
.39646 .46594 L
.39732 .46709 L
.39807 .46774 L
.39897 .4687 L
.39967 .47012 L
.39982 .4703 L
.40097 .47191 L
.40128 .4723 L
.40216 .47351 L
.40288 .47444 L
.40338 .47512 L
.40449 .47649 L
.40468 .47672 L
.40578 .47833 L
.40609 .47873 L
.40696 .47993 L
.4077 .4809 L
.40815 .48154 L
.4093 .483 L
.40943 .48314 L
.4105 .48475 L
.41091 .48529 L
.41164 .48636 L
.41251 .48752 L
.41281 .48796 L
.41395 .48957 L
.41412 .4898 L
.41499 .49117 L
.41572 .49224 L
.41603 .49278 L
.41572 .49384 L
.41468 .49278 L
.41412 .49222 L
.41316 .49117 L
.41251 .49048 L
.4117 .48957 L
.41091 .48913 L
.41029 .48796 L
.4093 .48687 L
.40852 .48636 L
.4077 .48491 L
.40754 .48475 L
.40622 .48314 L
.40609 .483 L
.40488 .48154 L
.40449 .48119 L
.40355 .47993 L
.40288 .47912 L
.4021 .47833 L
.40128 .4771 L
.40098 .47672 L
.39967 .47513 L
.39967 .47512 L
.39836 .47351 L
.39807 .47319 L
.39676 .47191 L
.39646 .47112 L
.39579 .4703 L
.39486 .46906 L
.39463 .4687 L
.39326 .46709 L
.39325 .46708 L
.39199 .46549 L
.39165 .46507 L
.39063 .46388 L
.39004 .46297 L
.38954 .46228 L
.38844 .4609 L
.38835 .46067 L
.38696 .45907 L
.38683 .45893 L
.38548 .45746 L
.38523 .45684 L
.38445 .45586 L
.38362 .45473 L
.38333 .45425 L
.38201 .45269 L
.38197 .45265 L
.38072 .45104 L
.38041 .45067 L
.37939 .44943 L
.3788 .44854 L
.3783 .44783 L
.3772 .44644 L
.37713 .44622 L
.37577 .44462 L
.37559 .44445 L
.3743 .44301 L
.37399 .44233 L
.37329 .44141 L
.37238 .44019 L
.37216 .4398 L
.37084 .4382 L
.37078 .43817 L
.36961 .43659 L
.36917 .43609 L
.36827 .43499 L
.36757 .43393 L
.3672 .43338 L
.36596 .43181 L
.36595 .43178 L
.36472 .43017 L
.36436 .42984 L
.36323 .42857 L
.36275 .42764 L
.36225 .42696 L
.36115 .42547 L
.36108 .42536 L
.35986 .42375 L
.35954 .42363 L
.35865 .42215 L
.35794 .42132 L
.35731 .42054 L
.35633 .41908 L
.35623 .41894 L
.35504 .41733 L
.35473 .41691 L
.35385 .41572 L
.35312 .41498 L
.35241 .41412 L
.35152 .4126 L
.35145 .41251 L
.35031 .41091 L
.34991 .41038 L
.34914 .4093 L
.3483 .40816 L
.34758 .4077 L
.34683 .40609 L
.3467 .40592 L
.34573 .40449 L
.34509 .4036 L
.34461 .40288 L
.34351 .40128 L
.34349 .40124 L
.34257 .39967 L
.34188 .39851 L
.3417 .39807 L
F
1 .98 .538 r
.34349 .38581 m
.34457 .38683 L
.34509 .38731 L
.34618 .38844 L
.3467 .38861 L
.34768 .39004 L
.3483 .39068 L
.34914 .39165 L
.34991 .39256 L
.35068 .39325 L
.35152 .39447 L
.35187 .39486 L
.35312 .39637 L
.35318 .39646 L
.35462 .39807 L
.35473 .3982 L
.35615 .39967 L
.35633 .4002 L
.35724 .40128 L
.35794 .40226 L
.35838 .40288 L
.35954 .40434 L
.35986 .40449 L
.36113 .40609 L
.36115 .40612 L
.36245 .4077 L
.36275 .40821 L
.36358 .4093 L
.36436 .41036 L
.36463 .41091 L
.36596 .41221 L
.36621 .41251 L
.3675 .41412 L
.36757 .41428 L
.36869 .41572 L
.36917 .41643 L
.36977 .41733 L
.37078 .41863 L
.37122 .41894 L
.37238 .42045 L
.37246 .42054 L
.37373 .42215 L
.37399 .42257 L
.37485 .42375 L
.37559 .42476 L
.37586 .42536 L
.3772 .42667 L
.37743 .42696 L
.37872 .42857 L
.3788 .42877 L
.37988 .43017 L
.38041 .43092 L
.38095 .43178 L
.38201 .4331 L
.38239 .43338 L
.38361 .43499 L
.38362 .435 L
.38489 .43659 L
.38523 .43713 L
.386 .4382 L
.38683 .43929 L
.38703 .4398 L
.38844 .44137 L
.38856 .44141 L
.38989 .44301 L
.39004 .44335 L
.39102 .44462 L
.39165 .4455 L
.39209 .44622 L
.39325 .44763 L
.3935 .44783 L
.39472 .44943 L
.39486 .4496 L
.39603 .45104 L
.39646 .45172 L
.39712 .45265 L
.39807 .45386 L
.39819 .45425 L
.39965 .45586 L
.39967 .45588 L
.40104 .45746 L
.40128 .45796 L
.40213 .45907 L
.40288 .4601 L
.40322 .46067 L
.40449 .46219 L
.40459 .46228 L
.40607 .46388 L
.40609 .46421 L
.40715 .46549 L
.4077 .46633 L
.40823 .46709 L
.4093 .46846 L
.40937 .4687 L
.41074 .4703 L
.41091 .47047 L
.41218 .47191 L
.41251 .47257 L
.41324 .47351 L
.41412 .47471 L
.41435 .47512 L
.41567 .47672 L
.41572 .47676 L
.41725 .47833 L
.41733 .47881 L
.41826 .47993 L
.41894 .48095 L
.41934 .48154 L
.42054 .48307 L
.42056 .48314 L
.42182 .48475 L
.42215 .48504 L
.4233 .48636 L
.42375 .48719 L
.42434 .48796 L
.42536 .48934 L
.42548 .48957 L
.42675 .49117 L
.42696 .49127 L
.4284 .49278 L
.42857 .49342 L
.42935 .49438 L
.43017 .49559 L
.43044 .49599 L
.43168 .49759 L
.43178 .49772 L
.43289 .4992 L
.43338 .49962 L
.43439 .5008 L
.43499 .50183 L
.43542 .50241 L
.43659 .504 L
.4366 .50401 L
.43781 .50562 L
.4382 .50579 L
.4395 .50722 L
.4398 .50805 L
.44041 .50883 L
.44141 .51026 L
.44152 .51043 L
.44273 .51204 L
.44301 .51239 L
.44395 .51364 L
.44462 .51424 L
.44544 .51525 L
.44622 .51652 L
.44647 .51686 L
.44765 .51846 L
.44783 .51869 L
.44886 .52007 L
.44943 .5208 L
.45052 .52167 L
.45104 .52277 L
.45143 .52328 L
.45256 .52488 L
.45265 .52499 L
.45376 .52649 L
.45425 .52712 L
.45497 .52809 L
.45586 .52899 L
.4564 .5297 L
.45745 .5313 L
.45746 .53132 L
.45863 .53291 L
.45907 .53346 L
.45983 .53451 L
.46067 .53559 L
.46138 .53612 L
.46228 .53769 L
.4623 .53772 L
.46346 .53933 L
.46388 .53987 L
.46464 .54093 L
.46549 .54203 L
.46585 .54254 L
.46706 .54414 L
.46709 .54419 L
.46819 .54575 L
.4687 .54642 L
.46933 .54735 L
.4703 .54867 L
.4705 .54896 L
.4716 .55057 L
.47191 .55099 L
.47262 .55217 L
.47351 .55354 L
.47363 .55378 L
.47351 .55502 L
.47205 .55378 L
.47191 .55366 L
.47041 .55217 L
.4703 .55206 L
.46888 .55057 L
.4687 .55037 L
.4674 .54896 L
.46709 .54866 L
.46596 .54735 L
.46549 .54677 L
.46437 .54575 L
.46388 .54485 L
.46327 .54414 L
.46228 .54288 L
.46206 .54254 L
.46067 .54115 L
.46049 .54093 L
.45917 .53933 L
.45907 .53918 L
.45787 .53772 L
.45746 .53713 L
.45673 .53612 L
.45586 .535 L
.45522 .53451 L
.45425 .53327 L
.45395 .53291 L
.45268 .5313 L
.45265 .53124 L
.45149 .5297 L
.45104 .52909 L
.45045 .52809 L
.44943 .52721 L
.44885 .52649 L
.44783 .52516 L
.44761 .52488 L
.44638 .52328 L
.44622 .52306 L
.44527 .52167 L
.44462 .52083 L
.44382 .52007 L
.44301 .519 L
.44258 .51846 L
.44141 .51691 L
.44136 .51686 L
.44019 .51525 L
.4398 .51474 L
.43919 .51364 L
.4382 .51244 L
.4376 .51204 L
.43659 .5107 L
.43638 .51043 L
.43517 .50883 L
.43499 .50857 L
.43409 .50722 L
.43338 .50634 L
.43264 .50562 L
.43178 .50447 L
.43142 .50401 L
.4302 .50241 L
.43017 .50236 L
.42904 .5008 L
.42857 .50018 L
.42806 .4992 L
.42696 .49792 L
.42647 .49759 L
.42536 .49612 L
.42525 .49599 L
.42404 .49438 L
.42375 .49398 L
.42297 .49278 L
.42215 .49177 L
.42153 .49117 L
.42054 .48986 L
.42031 .48957 L
.41907 .48796 L
.41894 .48775 L
.41794 .48636 L
.41733 .48558 L
.41695 .48475 L
.41572 .48339 L
.41537 .48314 L
.41414 .48154 L
.41412 .48149 L
.41294 .47993 L
.41251 .47936 L
.41187 .47833 L
.41091 .47719 L
.41044 .47672 L
.4093 .47513 L
.40922 .47512 L
.40795 .47351 L
.4077 .47312 L
.40684 .47191 L
.40609 .47097 L
.40583 .4703 L
.40449 .46885 L
.40429 .4687 L
.40298 .46709 L
.40288 .46687 L
.40183 .46549 L
.40128 .46474 L
.40077 .46388 L
.39967 .4626 L
.39936 .46228 L
.39814 .46067 L
.39807 .4606 L
.39684 .45907 L
.39646 .4585 L
.39574 .45746 L
.39486 .45636 L
.39469 .45586 L
.39325 .45429 L
.39321 .45425 L
.39184 .45265 L
.39165 .45225 L
.39073 .45104 L
.39004 .45012 L
.38965 .44943 L
.38844 .448 L
.38828 .44783 L
.38706 .44622 L
.38683 .44599 L
.38572 .44462 L
.38523 .44387 L
.38464 .44301 L
.38362 .44174 L
.38352 .44141 L
.38213 .4398 L
.38201 .43972 L
.3807 .4382 L
.38041 .43763 L
.37964 .43659 L
.3788 .43548 L
.37853 .43499 L
.37721 .43338 L
.3772 .43337 L
.37563 .43178 L
.37559 .4314 L
.37463 .43017 L
.37399 .42922 L
.37355 .42857 L
.37238 .42708 L
.37235 .42696 L
.37108 .42536 L
.37078 .42517 L
.3696 .42375 L
.36917 .42298 L
.36857 .42215 L
.36757 .42079 L
.36743 .42054 L
.36618 .41894 L
.36596 .41866 L
.3645 .41733 L
.36436 .41675 L
.36359 .41572 L
.36275 .4145 L
.3625 .41412 L
.36129 .41251 L
.36115 .41233 L
.36008 .41091 L
.35954 .41055 L
.35859 .4093 L
.35794 .4082 L
.35759 .4077 L
.35643 .40609 L
.35633 .40597 L
.35524 .40449 L
.35473 .40381 L
.35354 .40288 L
.35312 .40185 L
.35272 .40128 L
.35163 .39967 L
.35152 .39952 L
.35047 .39807 L
.34991 .39732 L
.34929 .39646 L
.3483 .39533 L
.34798 .39486 L
.34697 .39325 L
.3467 .39288 L
.34587 .39165 L
.34509 .39056 L
.34475 .39004 L
.34368 .38844 L
.34349 .38815 L
.34276 .38683 L
F
.289 .96 1 r
.34349 .39262 m
.34414 .39325 L
.34509 .39415 L
.34575 .39486 L
.3467 .39556 L
.34725 .39646 L
.3483 .39758 L
.34912 .39807 L
.34991 .39947 L
.35013 .39967 L
.35145 .40128 L
.35152 .40135 L
.3528 .40288 L
.35312 .40318 L
.35414 .40449 L
.35473 .40518 L
.35567 .40609 L
.35633 .4072 L
.35677 .4077 L
.35794 .40918 L
.35801 .4093 L
.35936 .41091 L
.35954 .41111 L
.361 .41251 L
.36115 .41316 L
.36199 .41412 L
.36275 .41523 L
.36312 .41572 L
.36436 .41725 L
.36437 .41733 L
.36572 .41894 L
.36596 .41923 L
.36714 .42054 L
.36757 .42132 L
.36822 .42215 L
.36917 .42341 L
.36936 .42375 L
.37075 .42536 L
.37078 .42539 L
.37225 .42696 L
.37238 .42746 L
.3733 .42857 L
.37399 .42957 L
.37441 .43017 L
.37559 .43165 L
.3756 .43178 L
.37697 .43338 L
.3772 .43364 L
.37837 .43499 L
.3788 .43575 L
.37945 .43659 L
.38041 .43787 L
.38058 .4382 L
.38194 .4398 L
.38201 .43988 L
.38345 .44141 L
.38362 .44196 L
.38449 .44301 L
.38523 .44408 L
.38559 .44462 L
.38683 .44616 L
.38689 .44622 L
.38812 .44783 L
.38844 .44818 L
.38953 .44943 L
.39004 .45031 L
.3906 .45104 L
.39165 .45242 L
.39175 .45265 L
.39306 .45425 L
.39325 .45442 L
.39461 .45586 L
.39486 .45653 L
.39561 .45746 L
.39646 .45867 L
.39672 .45907 L
.398 .46067 L
.39807 .4607 L
.39922 .46228 L
.39967 .46276 L
.40065 .46388 L
.40128 .46491 L
.40171 .46549 L
.40288 .46704 L
.40291 .46709 L
.40414 .4687 L
.40449 .46897 L
.40573 .4703 L
.40609 .47115 L
.4067 .47191 L
.4077 .47331 L
.40783 .47351 L
.40906 .47512 L
.4093 .47518 L
.41028 .47672 L
.41091 .47737 L
.41172 .47833 L
.41251 .47957 L
.41278 .47993 L
.41398 .48154 L
.41412 .48171 L
.41519 .48314 L
.41572 .48357 L
.41678 .48475 L
.41733 .48583 L
.41774 .48636 L
.41889 .48796 L
.41894 .48802 L
.42009 .48957 L
.42054 .49014 L
.42131 .49117 L
.42215 .49208 L
.42271 .49278 L
.42375 .49433 L
.42379 .49438 L
.42498 .49599 L
.42536 .49647 L
.42618 .49759 L
.42696 .4983 L
.42771 .4992 L
.42857 .50067 L
.42867 .5008 L
.42983 .50241 L
.43017 .50284 L
.43103 .50401 L
.43178 .50498 L
.43224 .50562 L
.43338 .50705 L
.43351 .50722 L
.43464 .50883 L
.43499 .50928 L
.43581 .51043 L
.43659 .51146 L
.43701 .51204 L
.4382 .5136 L
.43823 .51364 L
.43934 .51525 L
.4398 .51587 L
.44047 .51686 L
.44141 .51813 L
.44163 .51846 L
.44273 .52007 L
.44301 .52047 L
.44373 .52167 L
.44462 .52307 L
.44472 .52328 L
.44462 .52418 L
.44354 .52328 L
.44301 .52281 L
.44189 .52167 L
.44141 .52119 L
.44037 .52007 L
.4398 .51946 L
.4389 .51846 L
.4382 .51773 L
.43748 .51686 L
.43659 .5158 L
.436 .51525 L
.43499 .51389 L
.43478 .51364 L
.43339 .51204 L
.43338 .51204 L
.43204 .51043 L
.43178 .51011 L
.4305 .50883 L
.43017 .50811 L
.42944 .50722 L
.42857 .50608 L
.42828 .50562 L
.42696 .50409 L
.42679 .50401 L
.4255 .50241 L
.42536 .50221 L
.4242 .5008 L
.42375 .50014 L
.42308 .4992 L
.42215 .49803 L
.42201 .49759 L
.42054 .49617 L
.42039 .49599 L
.41907 .49438 L
.41894 .49411 L
.41793 .49278 L
.41733 .49198 L
.41685 .49117 L
.41572 .48984 L
.41533 .48957 L
.41412 .48798 L
.4141 .48796 L
.41284 .48636 L
.41251 .48588 L
.41174 .48475 L
.41091 .48372 L
.41074 .48314 L
.4093 .4816 L
.40909 .48154 L
.40782 .47993 L
.4077 .47971 L
.40667 .47833 L
.40609 .47757 L
.40562 .47672 L
.40449 .47541 L
.40411 .47512 L
.40289 .47351 L
.40288 .4735 L
.40164 .47191 L
.40128 .47139 L
.40055 .4703 L
.39967 .46923 L
.39956 .4687 L
.39807 .46715 L
.39793 .46709 L
.39664 .46549 L
.39646 .46517 L
.39552 .46388 L
.39486 .46303 L
.39446 .46228 L
.39325 .4609 L
.39298 .46067 L
.39168 .45907 L
.39165 .45892 L
.3905 .45746 L
.39004 .4568 L
.38942 .45586 L
.38844 .45467 L
.38838 .45425 L
.38683 .45265 L
.38683 .45265 L
.3855 .45104 L
.38523 .45056 L
.3844 .44943 L
.38362 .44843 L
.38333 .44783 L
.38201 .44633 L
.3819 .44622 L
.3805 .44462 L
.38041 .44431 L
.3794 .44301 L
.3788 .44218 L
.37832 .44141 L
.3772 .44005 L
.37719 .4398 L
.37576 .4382 L
.37559 .43804 L
.37439 .43659 L
.37399 .43592 L
.37333 .43499 L
.37238 .43377 L
.37221 .43338 L
.37086 .43178 L
.37078 .43174 L
.36935 .43017 L
.36917 .42965 L
.36834 .42857 L
.36757 .42748 L
.36725 .42696 L
.36597 .42536 L
.36596 .42535 L
.36476 .42375 L
.36436 .42339 L
.36335 .42215 L
.36275 .42118 L
.36231 .42054 L
.36115 .419 L
.36112 .41894 L
.3599 .41733 L
.35954 .41716 L
.35832 .41572 L
.35794 .41485 L
.3574 .41412 L
.35633 .4126 L
.35628 .41251 L
.35509 .41091 L
.35473 .41043 L
.3539 .4093 L
.35312 .40848 L
.35253 .4077 L
.35152 .4061 L
.35151 .40609 L
.35036 .40449 L
.34991 .40388 L
.3492 .40288 L
.3483 .40166 L
.34781 .40128 L
.3469 .39967 L
.3467 .39939 L
.34581 .39807 L
.34509 .39704 L
.34472 .39646 L
.34367 .39486 L
.34349 .39457 L
.3428 .39325 L
F
1 .89 .033 r
.34349 .39964 m
.34352 .39967 L
.34509 .40112 L
.34524 .40128 L
.3467 .40281 L
.34674 .40288 L
.34815 .40449 L
.3483 .40465 L
.34953 .40609 L
.34991 .40651 L
.35089 .4077 L
.35152 .40842 L
.35224 .4093 L
.35312 .41021 L
.35358 .41091 L
.35473 .41228 L
.35497 .41251 L
.3562 .41412 L
.35633 .41428 L
.35748 .41572 L
.35794 .41601 L
.35877 .41733 L
.35954 .41819 L
.36034 .41894 L
.36115 .42028 L
.36138 .42054 L
.36261 .42215 L
.36275 .42232 L
.36387 .42375 L
.36436 .4242 L
.36513 .42536 L
.36596 .42634 L
.36653 .42696 L
.36757 .42844 L
.36767 .42857 L
.36891 .43017 L
.36917 .43028 L
.37015 .43178 L
.37078 .43245 L
.3717 .43338 L
.37238 .4346 L
.37271 .43499 L
.37391 .43659 L
.37399 .43669 L
.37514 .4382 L
.37559 .43857 L
.37694 .4398 L
.3772 .44077 L
.37776 .44141 L
.3788 .44291 L
.37888 .44301 L
.3801 .44462 L
.38041 .44469 L
.38133 .44622 L
.38201 .44695 L
.38285 .44783 L
.38362 .44915 L
.38385 .44943 L
.38504 .45104 L
.38523 .45127 L
.38626 .45265 L
.38683 .4531 L
.38801 .45425 L
.38844 .45538 L
.38884 .45586 L
.38996 .45746 L
.39004 .45756 L
.39117 .45907 L
.39165 .45967 L
.39239 .46067 L
.39325 .46162 L
.39384 .46228 L
.39486 .46387 L
.39486 .46388 L
.39606 .46549 L
.39646 .46601 L
.39726 .46709 L
.39807 .46783 L
.39889 .4687 L
.39967 .47021 L
.39974 .4703 L
.40091 .47191 L
.40128 .47238 L
.4021 .47351 L
.40288 .47453 L
.40331 .47512 L
.40449 .47663 L
.40457 .47672 L
.4057 .47833 L
.40609 .47884 L
.40687 .47993 L
.4077 .48102 L
.40806 .48154 L
.40926 .48314 L
.4093 .4832 L
.41038 .48475 L
.41091 .48546 L
.41151 .48636 L
.41251 .48773 L
.41267 .48796 L
.41373 .48957 L
.41412 .49013 L
.4147 .49117 L
.41412 .49182 L
.41349 .49117 L
.41251 .49017 L
.41196 .48957 L
.41091 .4888 L
.41051 .48796 L
.4093 .48662 L
.40886 .48636 L
.40773 .48475 L
.4077 .48471 L
.40637 .48314 L
.40609 .48282 L
.40502 .48154 L
.40449 .48106 L
.40368 .47993 L
.40288 .47897 L
.40222 .47833 L
.40128 .47697 L
.40108 .47672 L
.39976 .47512 L
.39967 .47511 L
.39846 .47351 L
.39807 .47308 L
.39682 .47191 L
.39646 .47101 L
.39587 .4703 L
.39486 .46896 L
.39469 .4687 L
.39334 .46709 L
.39325 .46702 L
.39207 .46549 L
.39165 .46497 L
.39069 .46388 L
.39004 .46288 L
.3896 .46228 L
.38844 .46083 L
.38838 .46067 L
.38703 .45907 L
.38683 .45886 L
.38552 .45746 L
.38523 .45676 L
.38451 .45586 L
.38362 .45466 L
.38338 .45425 L
.38203 .45265 L
.38201 .45264 L
.38078 .45104 L
.38041 .4506 L
.37943 .44943 L
.3788 .44847 L
.37835 .44783 L
.3772 .44638 L
.37715 .44622 L
.37583 .44462 L
.37559 .44439 L
.37434 .44301 L
.37399 .44226 L
.37334 .44141 L
.37238 .44012 L
.3722 .4398 L
.3709 .4382 L
.37078 .43814 L
.36967 .43659 L
.36917 .43602 L
.36832 .43499 L
.36757 .43385 L
.36725 .43338 L
.366 .43178 L
.36596 .43173 L
.36478 .43017 L
.36436 .42978 L
.36328 .42857 L
.36275 .42755 L
.36231 .42696 L
.36115 .42538 L
.36113 .42536 L
.35993 .42375 L
.35954 .42358 L
.35872 .42215 L
.35794 .42122 L
.3574 .42054 L
.35633 .41897 L
.35631 .41894 L
.35513 .41733 L
.35473 .41679 L
.35394 .41572 L
.35312 .41483 L
.35253 .41412 L
.35157 .41251 L
.35152 .41244 L
.35043 .41091 L
.34991 .41021 L
.34927 .4093 L
.3483 .40798 L
.34786 .4077 L
.347 .40609 L
.3467 .40568 L
.34592 .40449 L
.34509 .4033 L
.34483 .40288 L
.34386 .40128 L
.34349 .40065 L
.34322 .39967 L
F
1 .88 .024 r
.34509 .41446 m
.34605 .41572 L
.3467 .41647 L
.34733 .41733 L
.3483 .41849 L
.34863 .41894 L
.34991 .42051 L
.34993 .42054 L
.35113 .42215 L
.35152 .42261 L
.35234 .42375 L
.35312 .4247 L
.35358 .42536 L
.35473 .42679 L
.35485 .42696 L
.35603 .42857 L
.35633 .42894 L
.35717 .43017 L
.35794 .43113 L
.35836 .43178 L
.35954 .43331 L
.35959 .43338 L
.35954 .43437 L
.35874 .43338 L
.35794 .4325 L
.35736 .43178 L
.35633 .43057 L
.35601 .43017 L
.35473 .4286 L
.3547 .42857 L
.35345 .42696 L
.35312 .42657 L
.35219 .42536 L
.35152 .42454 L
.35092 .42375 L
.34991 .42249 L
.34965 .42215 L
.34841 .42054 L
.3483 .42041 L
.34722 .41894 L
.3467 .41829 L
.346 .41733 L
.34509 .41617 L
.34477 .41572 L
F
.013 .86 1 r
.34509 .40797 m
.34625 .4093 L
.3467 .40977 L
.34764 .41091 L
.3483 .41164 L
.349 .41251 L
.34991 .41356 L
.35035 .41412 L
.35152 .4155 L
.35169 .41572 L
.353 .41733 L
.35312 .41748 L
.35426 .41894 L
.35473 .41948 L
.35554 .42054 L
.35633 .42149 L
.35683 .42215 L
.35794 .42336 L
.35812 .42375 L
.35939 .42536 L
.35954 .42554 L
.36062 .42696 L
.36115 .4276 L
.36187 .42857 L
.36275 .42966 L
.36314 .43017 L
.36436 .43168 L
.36446 .43178 L
.36563 .43338 L
.36596 .43379 L
.36685 .43499 L
.36757 .43588 L
.3681 .43659 L
.36917 .43779 L
.36935 .4382 L
.37057 .4398 L
.37078 .44006 L
.37177 .44141 L
.37238 .44218 L
.37299 .44301 L
.37399 .44429 L
.37423 .44462 L
.37545 .44622 L
.37559 .44641 L
.37662 .44783 L
.3772 .44857 L
.37781 .44943 L
.3788 .45072 L
.37903 .45104 L
.38022 .45265 L
.38041 .45289 L
.38135 .45425 L
.38201 .45511 L
.38251 .45586 L
.38362 .45734 L
.3837 .45746 L
.38476 .45907 L
.38523 .45971 L
.38575 .46067 L
.38523 .46099 L
.38493 .46067 L
.38362 .45925 L
.38346 .45907 L
.38206 .45746 L
.38201 .45741 L
.38071 .45586 L
.38041 .45552 L
.37936 .45425 L
.3788 .4536 L
.37803 .45265 L
.3772 .45165 L
.3767 .45104 L
.37559 .44976 L
.37511 .44943 L
.37411 .44783 L
.37399 .44768 L
.37283 .44622 L
.37238 .44568 L
.37154 .44462 L
.37078 .44405 L
.37026 .44301 L
.36917 .44168 L
.3689 .44141 L
.36774 .4398 L
.36757 .43958 L
.36649 .4382 L
.36596 .43753 L
.36523 .43659 L
.36436 .43564 L
.36359 .43499 L
.36275 .4334 L
.36274 .43338 L
.36152 .43178 L
.36115 .43131 L
.36028 .43017 L
.35954 .42968 L
.35904 .42857 L
.35794 .42716 L
.35775 .42696 L
.35661 .42536 L
.35633 .42499 L
.35541 .42375 L
.35473 .42286 L
.35419 .42215 L
.35312 .42083 L
.35283 .42054 L
.35181 .41894 L
.35152 .41856 L
.35063 .41733 L
.34991 .41637 L
.34944 .41572 L
.3483 .41417 L
.34827 .41412 L
.34716 .41251 L
.3467 .41189 L
.34604 .41091 L
.34509 .40958 L
.34492 .4093 L
F
1 .88 .024 r
.34509 .40163 m
.3464 .40288 L
.3467 .40316 L
.3479 .40449 L
.3483 .4049 L
.34933 .40609 L
.34991 .40672 L
.35073 .4077 L
.35152 .40859 L
.3521 .4093 L
.35312 .41039 L
.35346 .41091 L
.35473 .41243 L
.35482 .41251 L
.35609 .41412 L
.35633 .4144 L
.35739 .41572 L
.35794 .4161 L
.35869 .41733 L
.35954 .4183 L
.36024 .41894 L
.36115 .42038 L
.36129 .42054 L
.36254 .42215 L
.36275 .42241 L
.3638 .42375 L
.36436 .42427 L
.36507 .42536 L
.36596 .42642 L
.36647 .42696 L
.36757 .42851 L
.36761 .42857 L
.36885 .43017 L
.36917 .43031 L
.3701 .43178 L
.37078 .43251 L
.37164 .43338 L
.37238 .43466 L
.37266 .43499 L
.37386 .43659 L
.37399 .43675 L
.37509 .4382 L
.37559 .43862 L
.3769 .4398 L
.3772 .44083 L
.37771 .44141 L
.3788 .44297 L
.37884 .44301 L
.38006 .44462 L
.38041 .44472 L
.38129 .44622 L
.38201 .447 L
.3828 .44783 L
.38362 .4492 L
.38381 .44943 L
.385 .45104 L
.38523 .45133 L
.38622 .45265 L
.38683 .45315 L
.38796 .45425 L
.38844 .45544 L
.38879 .45586 L
.38992 .45746 L
.39004 .45762 L
.39112 .45907 L
.39165 .45973 L
.39234 .46067 L
.39325 .46169 L
.39378 .46228 L
.39481 .46388 L
.39486 .46394 L
.396 .46549 L
.39646 .46607 L
.39721 .46709 L
.39807 .46792 L
.3988 .4687 L
.39967 .4703 L
.39967 .47031 L
.40084 .47191 L
.40128 .47247 L
.40203 .47351 L
.40288 .47462 L
.40325 .47512 L
.40446 .47672 L
.40449 .47676 L
.40561 .47833 L
.40609 .47896 L
.40678 .47993 L
.4077 .48115 L
.40797 .48154 L
.40914 .48314 L
.4093 .48336 L
.41024 .48475 L
.41091 .48566 L
.41136 .48636 L
.4125 .48796 L
.41251 .48798 L
.41342 .48957 L
.41251 .48981 L
.41228 .48957 L
.41091 .48831 L
.41075 .48796 L
.40931 .48636 L
.4093 .48635 L
.40791 .48475 L
.4077 .48451 L
.40653 .48314 L
.40609 .48264 L
.40516 .48154 L
.40449 .48091 L
.40381 .47993 L
.40288 .47882 L
.40236 .47833 L
.40128 .47684 L
.40118 .47672 L
.39987 .47512 L
.39967 .47509 L
.39856 .47351 L
.39807 .47297 L
.39688 .47191 L
.39646 .4709 L
.39595 .4703 L
.39486 .46887 L
.39475 .4687 L
.39342 .46709 L
.39325 .46696 L
.39214 .46549 L
.39165 .46488 L
.39075 .46388 L
.39004 .4628 L
.38966 .46228 L
.38844 .46076 L
.3884 .46067 L
.38709 .45907 L
.38683 .45879 L
.38556 .45746 L
.38523 .45668 L
.38457 .45586 L
.38362 .45459 L
.38342 .45425 L
.38209 .45265 L
.38201 .45259 L
.38084 .45104 L
.38041 .45053 L
.37949 .44943 L
.3788 .4484 L
.3784 .44783 L
.3772 .44631 L
.37717 .44622 L
.37588 .44462 L
.37559 .44433 L
.37438 .44301 L
.37399 .44219 L
.37339 .44141 L
.37238 .44005 L
.37224 .4398 L
.37096 .4382 L
.37078 .43811 L
.36973 .43659 L
.36917 .43595 L
.36838 .43499 L
.36757 .43378 L
.3673 .43338 L
.36606 .43178 L
.36596 .43165 L
.36484 .43017 L
.36436 .42971 L
.36334 .42857 L
.36275 .42746 L
.36238 .42696 L
.3612 .42536 L
.36115 .42529 L
.36 .42375 L
.35954 .42352 L
.3588 .42215 L
.35794 .42111 L
.35749 .42054 L
.3564 .41894 L
.35633 .41885 L
.35522 .41733 L
.35473 .41667 L
.35404 .41572 L
.35312 .41466 L
.35268 .41412 L
.35169 .41251 L
.35152 .41228 L
.35055 .41091 L
.34991 .41003 L
.3494 .4093 L
.3483 .40777 L
.34818 .4077 L
.34719 .40609 L
.3467 .40539 L
.34614 .40449 L
.34509 .40289 L
.34509 .40288 L
F
.212 .95 1 r
.3467 .39641 m
.34673 .39646 L
.34828 .39807 L
.3483 .39809 L
.34974 .39967 L
.34991 .39985 L
.35116 .40128 L
.35152 .40167 L
.35255 .40288 L
.35312 .40341 L
.35392 .40449 L
.35473 .40542 L
.35548 .40609 L
.35633 .4074 L
.35661 .4077 L
.35791 .4093 L
.35794 .40931 L
.35922 .41091 L
.35954 .41126 L
.36093 .41251 L
.36115 .41331 L
.36188 .41412 L
.36275 .41535 L
.36303 .41572 L
.36436 .41732 L
.36436 .41733 L
.36563 .41894 L
.36596 .41933 L
.36707 .42054 L
.36757 .42141 L
.36816 .42215 L
.36917 .42349 L
.36932 .42375 L
.37068 .42536 L
.37078 .42546 L
.37223 .42696 L
.37238 .42753 L
.37325 .42857 L
.37399 .42964 L
.37436 .43017 L
.37559 .43169 L
.3756 .43178 L
.37693 .43338 L
.3772 .4337 L
.37834 .43499 L
.3788 .43581 L
.37941 .43659 L
.38041 .43791 L
.38056 .4382 L
.3819 .4398 L
.38201 .43992 L
.38343 .44141 L
.38362 .442 L
.38445 .44301 L
.38523 .44413 L
.38556 .44462 L
.38683 .4462 L
.38686 .44622 L
.38809 .44783 L
.38844 .44822 L
.3895 .44943 L
.39004 .45034 L
.39057 .45104 L
.39165 .45246 L
.39174 .45265 L
.39303 .45425 L
.39325 .45445 L
.39459 .45586 L
.39486 .45657 L
.39559 .45746 L
.39646 .45871 L
.3967 .45907 L
.39797 .46067 L
.39807 .46071 L
.39919 .46228 L
.39967 .46279 L
.40062 .46388 L
.40128 .46495 L
.40168 .46549 L
.40288 .46707 L
.40289 .46709 L
.40411 .4687 L
.40449 .469 L
.40571 .4703 L
.40609 .47119 L
.40667 .47191 L
.4077 .47335 L
.40781 .47351 L
.40903 .47512 L
.4093 .4752 L
.41025 .47672 L
.41091 .47741 L
.41169 .47833 L
.41251 .47962 L
.41275 .47993 L
.41395 .48154 L
.41412 .48176 L
.41516 .48314 L
.41572 .48361 L
.41674 .48475 L
.41733 .48589 L
.4177 .48636 L
.41885 .48796 L
.41894 .48807 L
.42005 .48957 L
.42054 .4902 L
.42127 .49117 L
.42215 .49215 L
.42266 .49278 L
.42373 .49438 L
.42375 .49441 L
.42492 .49599 L
.42536 .49655 L
.42613 .49759 L
.42696 .4984 L
.42762 .4992 L
.42857 .50078 L
.42858 .5008 L
.42975 .50241 L
.43017 .50295 L
.43094 .50401 L
.43178 .5051 L
.43215 .50562 L
.43337 .50722 L
.43338 .50724 L
.43452 .50883 L
.43499 .50944 L
.43568 .51043 L
.43659 .51164 L
.43687 .51204 L
.43803 .51364 L
.4382 .51387 L
.43913 .51525 L
.4398 .51618 L
.44023 .51686 L
.44134 .51846 L
.44141 .51856 L
.44223 .52007 L
.44141 .52051 L
.44095 .52007 L
.4398 .51893 L
.43935 .51846 L
.4382 .51728 L
.43786 .51686 L
.43659 .51543 L
.43637 .51525 L
.43502 .51364 L
.43499 .5136 L
.43364 .51204 L
.43338 .51185 L
.43226 .51043 L
.43178 .50986 L
.43064 .50883 L
.43017 .50788 L
.42961 .50722 L
.42857 .5059 L
.42839 .50562 L
.42696 .50401 L
.42696 .50401 L
.42564 .50241 L
.42536 .50203 L
.42431 .5008 L
.42375 .49997 L
.42319 .4992 L
.42215 .49791 L
.42206 .49759 L
.42054 .49603 L
.4205 .49599 L
.41914 .49438 L
.41894 .49398 L
.41801 .49278 L
.41733 .49187 L
.41693 .49117 L
.41572 .48977 L
.41542 .48957 L
.41418 .48796 L
.41412 .48789 L
.4129 .48636 L
.41251 .48578 L
.4118 .48475 L
.41091 .48364 L
.41078 .48314 L
.4093 .48158 L
.40916 .48154 L
.40786 .47993 L
.4077 .47964 L
.40672 .47833 L
.40609 .4775 L
.40566 .47672 L
.40449 .47537 L
.40417 .47512 L
.40289 .47351 L
.40288 .47344 L
.40168 .47191 L
.40128 .47132 L
.40059 .4703 L
.39967 .46918 L
.39957 .4687 L
.39807 .46713 L
.39798 .46709 L
.39667 .46549 L
.39646 .46512 L
.39555 .46388 L
.39486 .46298 L
.39449 .46228 L
.39325 .46086 L
.39302 .46067 L
.39169 .45907 L
.39165 .45888 L
.39054 .45746 L
.39004 .45676 L
.38945 .45586 L
.38844 .45462 L
.38839 .45425 L
.38687 .45265 L
.38683 .45261 L
.38553 .45104 L
.38523 .45052 L
.38444 .44943 L
.38362 .44838 L
.38336 .44783 L
.38201 .44629 L
.38194 .44622 L
.38051 .44462 L
.38041 .44426 L
.37944 .44301 L
.3788 .44212 L
.37835 .44141 L
.3772 .44 L
.37719 .4398 L
.37581 .4382 L
.37559 .43799 L
.37443 .43659 L
.37399 .43586 L
.37337 .43499 L
.37238 .43371 L
.37224 .43338 L
.37091 .43178 L
.37078 .43171 L
.36938 .43017 L
.36917 .42959 L
.36839 .42857 L
.36757 .42741 L
.36729 .42696 L
.36603 .42536 L
.36596 .42527 L
.36482 .42375 L
.36436 .42332 L
.36341 .42215 L
.36275 .42108 L
.36238 .42054 L
.36118 .41894 L
.36115 .41889 L
.35999 .41733 L
.35954 .41709 L
.35839 .41572 L
.35794 .41472 L
.3575 .41412 L
.35638 .41251 L
.35633 .41245 L
.35521 .41091 L
.35473 .41027 L
.35402 .4093 L
.35312 .40826 L
.35271 .4077 L
.35167 .40609 L
.35152 .40588 L
.35054 .40449 L
.34991 .40362 L
.3494 .40288 L
.3483 .40135 L
.34821 .40128 L
.3472 .39967 L
.3467 .39894 L
.34616 .39807 L
.34515 .39646 L
F
.538 .98 1 r
.35312 .27602 m
.35473 .27598 L
.35633 .276 L
.35786 .27607 L
.35794 .27607 L
.35954 .2762 L
.36115 .27639 L
.36275 .27663 L
.36436 .27694 L
.36596 .27733 L
.36717 .27767 L
.36757 .2778 L
.36917 .27835 L
.37078 .27901 L
.37138 .27928 L
.37238 .27977 L
.37399 .28064 L
.3744 .28088 L
.37559 .28163 L
.37683 .28249 L
.3772 .28276 L
.3788 .28404 L
.37887 .2841 L
.38041 .2855 L
.38061 .2857 L
.38201 .28721 L
.38209 .28731 L
.38333 .28891 L
.38362 .28929 L
.3843 .29052 L
.38494 .29212 L
.38515 .29373 L
.38462 .29533 L
.38362 .2964 L
.38233 .29694 L
.38201 .29705 L
.38041 .29741 L
.3788 .29758 L
.3772 .2976 L
.37559 .29752 L
.37399 .29735 L
.37238 .2971 L
.37154 .29694 L
.37078 .29677 L
.36917 .29637 L
.36757 .2959 L
.36596 .29536 L
.36589 .29533 L
.36436 .29475 L
.36275 .29406 L
.36201 .29373 L
.36115 .29331 L
.35954 .29249 L
.35885 .29212 L
.35794 .2916 L
.35633 .29063 L
.35614 .29052 L
.35473 .28959 L
.35375 .28891 L
.35312 .28845 L
.35163 .28731 L
.35152 .28722 L
.34991 .28585 L
.34975 .2857 L
.3483 .28428 L
.34813 .2841 L
.34681 .28249 L
.3467 .28234 L
.34587 .28088 L
.34554 .27928 L
.34638 .27767 L
.3467 .27736 L
.3483 .27659 L
.34991 .2763 L
.35152 .27613 L
.35218 .27607 L
F
.01 .85 1 r
.3467 .4101 m
.34737 .41091 L
.3483 .41189 L
.34881 .41251 L
.34991 .41376 L
.35019 .41412 L
.35152 .41567 L
.35156 .41572 L
.35284 .41733 L
.35312 .41765 L
.35413 .41894 L
.35473 .41964 L
.35542 .42054 L
.35633 .42163 L
.35672 .42215 L
.35794 .42356 L
.35802 .42375 L
.35927 .42536 L
.35954 .42568 L
.36052 .42696 L
.36115 .42773 L
.36178 .42857 L
.36275 .42977 L
.36305 .43017 L
.36432 .43178 L
.36436 .43182 L
.36553 .43338 L
.36596 .43391 L
.36676 .43499 L
.36757 .436 L
.36801 .43659 L
.36917 .43798 L
.36927 .4382 L
.37047 .4398 L
.37078 .44018 L
.37167 .44141 L
.37238 .4423 L
.3729 .44301 L
.37399 .44441 L
.37414 .44462 L
.37533 .44622 L
.37559 .44655 L
.3765 .44783 L
.3772 .44872 L
.3777 .44943 L
.3788 .45087 L
.37892 .45104 L
.38007 .45265 L
.38041 .45309 L
.38119 .45425 L
.38201 .45534 L
.38234 .45586 L
.38201 .45712 L
.38094 .45586 L
.38041 .45528 L
.37955 .45425 L
.3788 .45339 L
.37819 .45265 L
.3772 .45146 L
.37686 .45104 L
.37559 .44953 L
.37546 .44943 L
.37425 .44783 L
.37399 .44751 L
.37296 .44622 L
.37238 .44552 L
.37167 .44462 L
.37078 .44385 L
.37038 .44301 L
.36917 .4415 L
.36908 .44141 L
.36786 .4398 L
.36757 .43944 L
.3666 .4382 L
.36596 .43739 L
.36534 .43659 L
.36436 .43547 L
.36379 .43499 L
.36286 .43338 L
.36275 .43325 L
.36163 .43178 L
.36115 .43116 L
.36039 .43017 L
.35954 .42949 L
.35916 .42857 L
.35794 .42697 L
.35793 .42696 L
.35674 .42536 L
.35633 .42483 L
.35553 .42375 L
.35473 .4227 L
.35431 .42215 L
.35312 .42057 L
.3531 .42054 L
.35195 .41894 L
.35152 .41836 L
.35078 .41733 L
.34991 .41616 L
.3496 .41572 L
.34846 .41412 L
.3483 .41391 L
.34738 .41251 L
.3467 .41156 L
.34629 .41091 L
F
1 .87 .018 r
.3467 .40358 m
.34758 .40449 L
.3483 .40518 L
.34911 .40609 L
.34991 .40694 L
.35055 .4077 L
.35152 .40877 L
.35196 .4093 L
.35312 .41058 L
.35333 .41091 L
.35467 .41251 L
.35473 .41258 L
.35598 .41412 L
.35633 .41453 L
.35729 .41572 L
.35794 .4162 L
.3586 .41733 L
.35954 .41841 L
.36013 .41894 L
.36115 .42047 L
.36121 .42054 L
.36246 .42215 L
.36275 .4225 L
.36373 .42375 L
.36436 .42434 L
.36501 .42536 L
.36596 .4265 L
.36639 .42696 L
.36755 .42857 L
.36757 .42859 L
.36879 .43017 L
.36917 .43035 L
.37005 .43178 L
.37078 .43258 L
.37158 .43338 L
.37238 .43473 L
.3726 .43499 L
.37381 .43659 L
.37399 .43682 L
.37504 .4382 L
.37559 .43867 L
.37685 .4398 L
.3772 .44089 L
.37766 .44141 L
.37879 .44301 L
.3788 .44303 L
.38001 .44462 L
.38041 .44474 L
.38124 .44622 L
.38201 .44706 L
.38274 .44783 L
.38362 .44926 L
.38376 .44943 L
.38495 .45104 L
.38523 .45138 L
.38617 .45265 L
.38683 .45321 L
.3879 .45425 L
.38844 .45551 L
.38873 .45586 L
.38987 .45746 L
.39004 .45768 L
.39108 .45907 L
.39165 .45979 L
.3923 .46067 L
.39325 .46176 L
.39371 .46228 L
.39476 .46388 L
.39486 .46401 L
.39595 .46549 L
.39646 .46614 L
.39716 .46709 L
.39807 .46802 L
.3987 .4687 L
.3996 .4703 L
.39967 .47039 L
.40078 .47191 L
.40128 .47256 L
.40197 .47351 L
.40288 .47471 L
.40318 .47512 L
.40438 .47672 L
.40449 .47687 L
.40552 .47833 L
.40609 .47908 L
.40669 .47993 L
.4077 .48128 L
.40787 .48154 L
.40901 .48314 L
.4093 .48355 L
.41009 .48475 L
.41091 .4859 L
.41119 .48636 L
.41091 .4878 L
.40956 .48636 L
.4093 .48609 L
.40811 .48475 L
.4077 .4843 L
.4067 .48314 L
.40609 .48245 L
.40531 .48154 L
.40449 .48075 L
.40395 .47993 L
.40288 .47867 L
.40251 .47833 L
.40129 .47672 L
.40128 .47671 L
.39997 .47512 L
.39967 .47506 L
.39866 .47351 L
.39807 .47286 L
.39697 .47191 L
.39646 .47079 L
.39604 .4703 L
.39486 .46878 L
.39481 .4687 L
.3935 .46709 L
.39325 .46689 L
.39222 .46549 L
.39165 .46479 L
.39082 .46388 L
.39004 .46271 L
.38972 .46228 L
.38844 .46069 L
.38843 .46067 L
.38716 .45907 L
.38683 .45872 L
.3856 .45746 L
.38523 .4566 L
.38463 .45586 L
.38362 .45451 L
.38346 .45425 L
.38215 .45265 L
.38201 .45255 L
.3809 .45104 L
.38041 .45046 L
.37954 .44943 L
.3788 .44833 L
.37845 .44783 L
.3772 .44625 L
.37719 .44622 L
.37594 .44462 L
.37559 .44427 L
.37442 .44301 L
.37399 .44211 L
.37344 .44141 L
.37238 .43998 L
.37228 .4398 L
.37101 .4382 L
.37078 .43807 L
.36979 .43659 L
.36917 .43588 L
.36843 .43499 L
.36757 .4337 L
.36735 .43338 L
.36612 .43178 L
.36596 .43157 L
.36491 .43017 L
.36436 .42964 L
.3634 .42857 L
.36275 .42737 L
.36244 .42696 L
.36127 .42536 L
.36115 .42519 L
.36008 .42375 L
.35954 .42344 L
.35887 .42215 L
.35794 .42099 L
.35758 .42054 L
.35649 .41894 L
.35633 .41873 L
.35531 .41733 L
.35473 .41654 L
.35413 .41572 L
.35312 .41447 L
.35284 .41412 L
.35181 .41251 L
.35152 .41211 L
.35068 .41091 L
.34991 .40984 L
.34954 .4093 L
.34843 .4077 L
.3483 .40752 L
.34742 .40609 L
.3467 .40501 L
.3464 .40449 L
F
.3467 .41704 m
.3469 .41733 L
.3467 .41769 L
.34647 .41733 L
F
.156 .94 1 r
.3467 .39737 m
.34762 .39807 L
.3483 .39863 L
.34932 .39967 L
.34991 .40026 L
.35083 .40128 L
.35152 .402 L
.35228 .40288 L
.35312 .40368 L
.35369 .40449 L
.35473 .40567 L
.35524 .40609 L
.35633 .4076 L
.35643 .4077 L
.35775 .4093 L
.35794 .40939 L
.35907 .41091 L
.35954 .41141 L
.36085 .41251 L
.36115 .41345 L
.36177 .41412 L
.36275 .41547 L
.36295 .41572 L
.36427 .41733 L
.36436 .41741 L
.36554 .41894 L
.36596 .41943 L
.36701 .42054 L
.36757 .42151 L
.36809 .42215 L
.36917 .42356 L
.36928 .42375 L
.37061 .42536 L
.37078 .42553 L
.3722 .42696 L
.37238 .4276 L
.3732 .42857 L
.37399 .4297 L
.37432 .43017 L
.37559 .43174 L
.3756 .43178 L
.37688 .43338 L
.3772 .43375 L
.3783 .43499 L
.3788 .43586 L
.37937 .43659 L
.38041 .43796 L
.38053 .4382 L
.38186 .4398 L
.38201 .43995 L
.38341 .44141 L
.38362 .44205 L
.38442 .44301 L
.38523 .44417 L
.38553 .44462 L
.38683 .44622 L
.38683 .44623 L
.38805 .44783 L
.38844 .44825 L
.38948 .44943 L
.39004 .45038 L
.39054 .45104 L
.39165 .45249 L
.39172 .45265 L
.393 .45425 L
.39325 .45447 L
.39457 .45586 L
.39486 .4566 L
.39556 .45746 L
.39646 .45874 L
.39668 .45907 L
.39794 .46067 L
.39807 .46072 L
.39916 .46228 L
.39967 .46282 L
.4006 .46388 L
.40128 .46499 L
.40165 .46549 L
.40287 .46709 L
.40288 .46711 L
.40408 .4687 L
.40449 .46903 L
.40568 .4703 L
.40609 .47123 L
.40664 .47191 L
.4077 .47339 L
.40778 .47351 L
.409 .47512 L
.4093 .47521 L
.41022 .47672 L
.41091 .47745 L
.41165 .47833 L
.41251 .47967 L
.41271 .47993 L
.41391 .48154 L
.41412 .48181 L
.41512 .48314 L
.41572 .48365 L
.4167 .48475 L
.41733 .48594 L
.41765 .48636 L
.4188 .48796 L
.41894 .48813 L
.42 .48957 L
.42054 .49025 L
.42122 .49117 L
.42215 .49223 L
.42259 .49278 L
.42367 .49438 L
.42375 .49448 L
.42486 .49599 L
.42536 .49662 L
.42606 .49759 L
.42696 .49852 L
.42753 .4992 L
.4285 .5008 L
.42857 .50088 L
.42967 .50241 L
.43017 .50306 L
.43086 .50401 L
.43178 .50522 L
.43206 .50562 L
.43326 .50722 L
.43338 .50739 L
.43439 .50883 L
.43499 .50962 L
.43555 .51043 L
.43659 .51185 L
.43672 .51204 L
.43782 .51364 L
.4382 .51417 L
.43887 .51525 L
.4398 .51661 L
.43994 .51686 L
.4398 .51828 L
.43832 .51686 L
.4382 .51674 L
.43679 .51525 L
.43659 .51505 L
.43532 .51364 L
.43499 .51328 L
.43389 .51204 L
.43338 .51165 L
.43249 .51043 L
.43178 .50961 L
.43081 .50883 L
.43017 .50766 L
.42978 .50722 L
.42857 .50573 L
.42849 .50562 L
.42711 .50401 L
.42696 .50385 L
.42578 .50241 L
.42536 .50185 L
.42442 .5008 L
.42375 .49982 L
.42329 .4992 L
.42215 .4978 L
.42209 .49759 L
.42061 .49599 L
.42054 .4959 L
.4192 .49438 L
.41894 .49385 L
.4181 .49278 L
.41733 .49176 L
.41699 .49117 L
.41572 .4897 L
.4155 .48957 L
.41425 .48796 L
.41412 .48779 L
.41297 .48636 L
.41251 .48569 L
.41186 .48475 L
.41091 .48357 L
.4108 .48314 L
.4093 .48156 L
.40922 .48154 L
.4079 .47993 L
.4077 .47956 L
.40678 .47833 L
.40609 .47743 L
.40571 .47672 L
.40449 .47532 L
.40422 .47512 L
.4029 .47351 L
.40288 .47338 L
.40172 .47191 L
.40128 .47127 L
.40063 .4703 L
.39967 .46913 L
.39959 .4687 L
.39807 .46711 L
.39802 .46709 L
.3967 .46549 L
.39646 .46506 L
.39559 .46388 L
.39486 .46293 L
.39452 .46228 L
.39325 .46083 L
.39306 .46067 L
.3917 .45907 L
.39165 .45883 L
.39057 .45746 L
.39004 .45671 L
.38949 .45586 L
.38844 .45458 L
.3884 .45425 L
.3869 .45265 L
.38683 .45257 L
.38556 .45104 L
.38523 .45047 L
.38447 .44943 L
.38362 .44833 L
.38338 .44783 L
.38201 .44626 L
.38198 .44622 L
.38052 .44462 L
.38041 .44422 L
.37947 .44301 L
.3788 .44207 L
.37838 .44141 L
.3772 .43995 L
.37719 .4398 L
.37585 .4382 L
.37559 .43795 L
.37446 .43659 L
.37399 .4358 L
.37341 .43499 L
.37238 .43365 L
.37226 .43338 L
.37096 .43178 L
.37078 .43168 L
.36941 .43017 L
.36917 .42953 L
.36844 .42857 L
.36757 .42733 L
.36734 .42696 L
.36609 .42536 L
.36596 .42519 L
.36488 .42375 L
.36436 .42325 L
.36347 .42215 L
.36275 .42098 L
.36244 .42054 L
.36126 .41894 L
.36115 .41879 L
.36007 .41733 L
.35954 .417 L
.35848 .41572 L
.35794 .41457 L
.35761 .41412 L
.35649 .41251 L
.35633 .4123 L
.35533 .41091 L
.35473 .4101 L
.35415 .4093 L
.35312 .408 L
.3529 .4077 L
.35185 .40609 L
.35152 .40563 L
.35074 .40449 L
.34991 .40333 L
.34961 .40288 L
.34855 .40128 L
.3483 .40092 L
.34757 .39967 L
.3467 .3982 L
.34664 .39807 L
F
.007 .84 1 r
.3467 .41075 m
.34687 .41091 L
.3483 .4122 L
.34856 .41251 L
.34991 .41399 L
.35001 .41412 L
.35137 .41572 L
.35152 .41589 L
.35267 .41733 L
.35312 .41784 L
.35398 .41894 L
.35473 .4198 L
.3553 .42054 L
.35633 .42178 L
.35661 .42215 L
.35792 .42375 L
.35794 .42377 L
.35916 .42536 L
.35954 .42582 L
.36041 .42696 L
.36115 .42786 L
.36168 .42857 L
.36275 .42989 L
.36296 .43017 L
.36421 .43178 L
.36436 .43195 L
.36543 .43338 L
.36596 .43404 L
.36666 .43499 L
.36757 .43612 L
.36792 .43659 L
.36917 .43818 L
.36918 .4382 L
.37036 .4398 L
.37078 .44032 L
.37157 .44141 L
.37238 .44244 L
.3728 .44301 L
.37399 .44454 L
.37404 .44462 L
.37521 .44622 L
.37559 .44671 L
.37638 .44783 L
.3772 .44889 L
.37758 .44943 L
.3788 .45104 L
.3788 .45105 L
.37989 .45265 L
.38041 .45333 L
.38099 .45425 L
.38201 .45565 L
.38213 .45586 L
.38201 .45673 L
.38124 .45586 L
.38041 .455 L
.37978 .45425 L
.3788 .45315 L
.37838 .45265 L
.3772 .45125 L
.37702 .45104 L
.37571 .44943 L
.37559 .4493 L
.37441 .44783 L
.37399 .44733 L
.3731 .44622 L
.37238 .44535 L
.3718 .44462 L
.37078 .44361 L
.37051 .44301 L
.36924 .44141 L
.36917 .44133 L
.36799 .4398 L
.36757 .43929 L
.36672 .4382 L
.36596 .43724 L
.36546 .43659 L
.36436 .43527 L
.36402 .43499 L
.36298 .43338 L
.36275 .4331 L
.36175 .43178 L
.36115 .43101 L
.36051 .43017 L
.35954 .42925 L
.35927 .42857 L
.35806 .42696 L
.35794 .4268 L
.35687 .42536 L
.35633 .42467 L
.35566 .42375 L
.35473 .42253 L
.35444 .42215 L
.35326 .42054 L
.35312 .42036 L
.35211 .41894 L
.35152 .41814 L
.35095 .41733 L
.34991 .41592 L
.34978 .41572 L
.34871 .41412 L
.3483 .41356 L
.34768 .41251 L
.3467 .41098 L
.34667 .41091 L
F
1 .86 .013 r
.3483 .40552 m
.34883 .40609 L
.34991 .40718 L
.35036 .4077 L
.35152 .40897 L
.3518 .4093 L
.35312 .41079 L
.35319 .41091 L
.35454 .41251 L
.35473 .41273 L
.35586 .41412 L
.35633 .41466 L
.35719 .41572 L
.35794 .41631 L
.35851 .41733 L
.35954 .41852 L
.36001 .41894 L
.36112 .42054 L
.36115 .42058 L
.36239 .42215 L
.36275 .42259 L
.36366 .42375 L
.36436 .42442 L
.36494 .42536 L
.36596 .42659 L
.36632 .42696 L
.36749 .42857 L
.36757 .42866 L
.36874 .43017 L
.36917 .43039 L
.36999 .43178 L
.37078 .43265 L
.37152 .43338 L
.37238 .4348 L
.37255 .43499 L
.37376 .43659 L
.37399 .43688 L
.375 .4382 L
.37559 .43873 L
.3768 .4398 L
.3772 .44095 L
.37761 .44141 L
.37874 .44301 L
.3788 .44309 L
.37996 .44462 L
.38041 .44478 L
.3812 .44622 L
.38201 .44712 L
.38269 .44783 L
.38362 .44933 L
.38371 .44943 L
.38491 .45104 L
.38523 .45144 L
.38613 .45265 L
.38683 .45327 L
.38784 .45425 L
.38844 .45558 L
.38867 .45586 L
.38982 .45746 L
.39004 .45774 L
.39103 .45907 L
.39165 .45985 L
.39225 .46067 L
.39325 .46184 L
.39364 .46228 L
.3947 .46388 L
.39486 .46408 L
.39589 .46549 L
.39646 .46622 L
.3971 .46709 L
.39807 .46812 L
.3986 .4687 L
.39954 .4703 L
.39967 .47048 L
.40071 .47191 L
.40128 .47265 L
.4019 .47351 L
.40288 .4748 L
.40311 .47512 L
.40429 .47672 L
.40449 .47698 L
.40543 .47833 L
.40609 .47921 L
.40659 .47993 L
.4077 .48143 L
.40777 .48154 L
.40885 .48314 L
.4093 .48377 L
.40991 .48475 L
.41091 .48622 L
.41098 .48636 L
.41091 .48737 L
.40988 .48636 L
.4093 .48581 L
.40834 .48475 L
.4077 .48407 L
.40688 .48314 L
.40609 .48226 L
.40547 .48154 L
.40449 .48055 L
.40409 .47993 L
.40288 .4785 L
.40268 .47833 L
.40141 .47672 L
.40128 .47657 L
.40008 .47512 L
.39967 .47502 L
.39876 .47351 L
.39807 .47274 L
.39706 .47191 L
.39646 .47068 L
.39613 .4703 L
.39487 .4687 L
.39486 .46868 L
.39358 .46709 L
.39325 .46682 L
.3923 .46549 L
.39165 .4647 L
.39089 .46388 L
.39004 .46262 L
.38978 .46228 L
.38849 .46067 L
.38844 .4606 L
.38723 .45907 L
.38683 .45864 L
.38565 .45746 L
.38523 .45653 L
.38469 .45586 L
.38362 .45444 L
.38351 .45425 L
.38221 .45265 L
.38201 .45251 L
.38096 .45104 L
.38041 .45039 L
.37959 .44943 L
.3788 .44825 L
.3785 .44783 L
.37724 .44622 L
.3772 .44618 L
.376 .44462 L
.37559 .44421 L
.37447 .44301 L
.37399 .44204 L
.3735 .44141 L
.37238 .43991 L
.37232 .4398 L
.37107 .4382 L
.37078 .43803 L
.36984 .43659 L
.36917 .4358 L
.36849 .43499 L
.36757 .43362 L
.36741 .43338 L
.36619 .43178 L
.36596 .43149 L
.36497 .43017 L
.36436 .42956 L
.36347 .42857 L
.36275 .42728 L
.36252 .42696 L
.36134 .42536 L
.36115 .4251 L
.36015 .42375 L
.35954 .42335 L
.35895 .42215 L
.35794 .42086 L
.35768 .42054 L
.35658 .41894 L
.35633 .41861 L
.35541 .41733 L
.35473 .41641 L
.35423 .41572 L
.35312 .41425 L
.35301 .41412 L
.35194 .41251 L
.35152 .41193 L
.35082 .41091 L
.34991 .40963 L
.34969 .4093 L
.34866 .4077 L
.3483 .40718 L
.3477 .40609 L
F
1 .97 .395 r
.3483 .39245 m
.34924 .39325 L
.34991 .39383 L
.35093 .39486 L
.35152 .39544 L
.35246 .39646 L
.35312 .39701 L
.35393 .39807 L
.35473 .39895 L
.35573 .39967 L
.35633 .40085 L
.35677 .40128 L
.35794 .40274 L
.35805 .40288 L
.35945 .40449 L
.35954 .40459 L
.36078 .40609 L
.36115 .40656 L
.36219 .4077 L
.36275 .40859 L
.36332 .4093 L
.36436 .41064 L
.36449 .41091 L
.36596 .41249 L
.36598 .41251 L
.3674 .41412 L
.36757 .41454 L
.36852 .41572 L
.36917 .41665 L
.36963 .41733 L
.37078 .41876 L
.37108 .41894 L
.37232 .42054 L
.37238 .42062 L
.37363 .42215 L
.37399 .42272 L
.37475 .42375 L
.37559 .42487 L
.3758 .42536 L
.3772 .42678 L
.37734 .42696 L
.37867 .42857 L
.3788 .42887 L
.37982 .43017 L
.38041 .43101 L
.38089 .43178 L
.38201 .43316 L
.38232 .43338 L
.38355 .43499 L
.38362 .43507 L
.38485 .43659 L
.38523 .43719 L
.38595 .4382 L
.38683 .43935 L
.387 .4398 L
.38844 .44139 L
.38851 .44141 L
.38987 .44301 L
.39004 .44341 L
.39098 .44462 L
.39165 .44555 L
.39206 .44622 L
.39325 .44766 L
.39346 .44783 L
.39469 .44943 L
.39486 .44964 L
.396 .45104 L
.39646 .45176 L
.39709 .45265 L
.39807 .4539 L
.39818 .45425 L
.39963 .45586 L
.39967 .4559 L
.40102 .45746 L
.40128 .45799 L
.40211 .45907 L
.40288 .46013 L
.4032 .46067 L
.40449 .46221 L
.40456 .46228 L
.40607 .46388 L
.40609 .46423 L
.40713 .46549 L
.4077 .46636 L
.40821 .46709 L
.4093 .46848 L
.40936 .4687 L
.41072 .4703 L
.41091 .47049 L
.41216 .47191 L
.41251 .4726 L
.41322 .47351 L
.41412 .47473 L
.41434 .47512 L
.41565 .47672 L
.41572 .47677 L
.41725 .47833 L
.41733 .47883 L
.41824 .47993 L
.41894 .48098 L
.41932 .48154 L
.42054 .4831 L
.42055 .48314 L
.4218 .48475 L
.42215 .48506 L
.42328 .48636 L
.42375 .48722 L
.42431 .48796 L
.42536 .48937 L
.42547 .48957 L
.42672 .49117 L
.42696 .49129 L
.42838 .49278 L
.42857 .49345 L
.42932 .49438 L
.43017 .49563 L
.43042 .49599 L
.43165 .49759 L
.43178 .49776 L
.43286 .4992 L
.43338 .49965 L
.43436 .5008 L
.43499 .50188 L
.43538 .50241 L
.43657 .50401 L
.43659 .50404 L
.43778 .50562 L
.4382 .50582 L
.43946 .50722 L
.4398 .50811 L
.44037 .50883 L
.44141 .51033 L
.44148 .51043 L
.44268 .51204 L
.44301 .51246 L
.4439 .51364 L
.44462 .51432 L
.44538 .51525 L
.44622 .51661 L
.4464 .51686 L
.44758 .51846 L
.44783 .51878 L
.44879 .52007 L
.44943 .5209 L
.45043 .52167 L
.45104 .5229 L
.45132 .52328 L
.45246 .52488 L
.45265 .52512 L
.45365 .52649 L
.45425 .52726 L
.45486 .52809 L
.45586 .52922 L
.45622 .5297 L
.45729 .5313 L
.45746 .53153 L
.45846 .53291 L
.45907 .5337 L
.45965 .53451 L
.46067 .53586 L
.46103 .53612 L
.46202 .53772 L
.46228 .53806 L
.46315 .53933 L
.46388 .54031 L
.4643 .54093 L
.46547 .54254 L
.46549 .54257 L
.4665 .54414 L
.46709 .54501 L
.46751 .54575 L
.46709 .5471 L
.46568 .54575 L
.46549 .54557 L
.46411 .54414 L
.46388 .54391 L
.46262 .54254 L
.46228 .54237 L
.46117 .54093 L
.46067 .54037 L
.45975 .53933 L
.45907 .53846 L
.45835 .53772 L
.45746 .53652 L
.45715 .53612 L
.45586 .5346 L
.45567 .53451 L
.45435 .53291 L
.45425 .53278 L
.45295 .5313 L
.45265 .53077 L
.45181 .5297 L
.45104 .52869 L
.4507 .52809 L
.44943 .52688 L
.44911 .52649 L
.44783 .52488 L
.44783 .52486 L
.44658 .52328 L
.44622 .52276 L
.44547 .52167 L
.44462 .52059 L
.44399 .52007 L
.44301 .5188 L
.44274 .51846 L
.44149 .51686 L
.44141 .51672 L
.44033 .51525 L
.4398 .51456 L
.43931 .51364 L
.4382 .51232 L
.43771 .51204 L
.43659 .51057 L
.43648 .51043 L
.43526 .50883 L
.43499 .50845 L
.43417 .50722 L
.43338 .50623 L
.43272 .50562 L
.43178 .50437 L
.43149 .50401 L
.43026 .50241 L
.43017 .50227 L
.42911 .5008 L
.42857 .5001 L
.42811 .4992 L
.42696 .49787 L
.42652 .49759 L
.42536 .49605 L
.42531 .49599 L
.42409 .49438 L
.42375 .49391 L
.42302 .49278 L
.42215 .49172 L
.42157 .49117 L
.42054 .48981 L
.42035 .48957 L
.4191 .48796 L
.41894 .4877 L
.41798 .48636 L
.41733 .48553 L
.41698 .48475 L
.41572 .48336 L
.4154 .48314 L
.41416 .48154 L
.41412 .48145 L
.41297 .47993 L
.41251 .47932 L
.4119 .47833 L
.41091 .47715 L
.41047 .47672 L
.4093 .47513 L
.40925 .47512 L
.40797 .47351 L
.4077 .47308 L
.40687 .47191 L
.40609 .47094 L
.40585 .4703 L
.40449 .46883 L
.40431 .4687 L
.403 .46709 L
.40288 .46683 L
.40186 .46549 L
.40128 .4647 L
.40079 .46388 L
.39967 .46257 L
.39938 .46228 L
.39816 .46067 L
.39807 .46057 L
.39686 .45907 L
.39646 .45846 L
.39577 .45746 L
.39486 .45633 L
.3947 .45586 L
.39325 .45426 L
.39324 .45425 L
.39185 .45265 L
.39165 .45221 L
.39076 .45104 L
.39004 .45008 L
.38967 .44943 L
.38844 .44797 L
.38831 .44783 L
.38709 .44622 L
.38683 .44596 L
.38575 .44462 L
.38523 .44383 L
.38467 .44301 L
.38362 .44169 L
.38354 .44141 L
.38217 .4398 L
.38201 .43969 L
.38073 .4382 L
.38041 .43758 L
.37968 .43659 L
.3788 .43542 L
.37857 .43499 L
.37726 .43338 L
.3772 .4333 L
.37564 .43178 L
.37559 .43134 L
.37468 .43017 L
.37399 .42915 L
.3736 .42857 L
.37238 .42699 L
.37237 .42696 L
.37115 .42536 L
.37078 .42512 L
.36966 .42375 L
.36917 .42288 L
.36865 .42215 L
.36757 .42067 L
.3675 .42054 L
.36627 .41894 L
.36596 .41853 L
.36456 .41733 L
.36436 .4166 L
.3637 .41572 L
.36275 .41432 L
.36262 .41412 L
.36143 .41251 L
.36115 .41214 L
.36024 .41091 L
.35954 .41033 L
.35878 .4093 L
.35794 .40789 L
.3578 .4077 L
.35666 .40609 L
.35633 .40566 L
.35549 .40449 L
.35473 .40346 L
.35392 .40288 L
.35314 .40128 L
.35312 .40125 L
.35204 .39967 L
.35152 .39895 L
.35093 .39807 L
.34991 .3966 L
.34982 .39646 L
.34884 .39486 L
.3483 .39399 L
.34795 .39325 L
F
1 .98 .538 r
.3483 .36336 m
.34922 .36436 L
.34991 .36508 L
.3506 .36596 L
.35152 .36706 L
.35187 .36757 L
.35152 .36874 L
.35055 .36757 L
.34991 .3668 L
.34929 .36596 L
.3483 .3646 L
.34815 .36436 L
F
.114 .93 1 r
.3483 .39948 m
.34859 .39967 L
.34991 .40073 L
.35043 .40128 L
.35152 .40236 L
.35198 .40288 L
.35312 .40401 L
.35345 .40449 L
.35473 .40593 L
.35494 .40609 L
.35623 .4077 L
.35633 .40781 L
.35759 .4093 L
.35794 .40948 L
.35893 .41091 L
.35954 .41157 L
.36074 .41251 L
.36115 .4136 L
.36165 .41412 L
.36275 .41559 L
.36286 .41572 L
.36417 .41733 L
.36436 .41749 L
.36545 .41894 L
.36596 .41954 L
.36694 .42054 L
.36757 .4216 L
.36802 .42215 L
.36917 .42363 L
.36924 .42375 L
.37055 .42536 L
.37078 .4256 L
.37217 .42696 L
.37238 .42767 L
.37315 .42857 L
.37399 .42976 L
.37428 .43017 L
.37559 .43178 L
.37559 .43178 L
.37683 .43338 L
.3772 .43381 L
.37826 .43499 L
.3788 .43592 L
.37933 .43659 L
.38041 .438 L
.38051 .4382 L
.38182 .4398 L
.38201 .43999 L
.38339 .44141 L
.38362 .44209 L
.38439 .44301 L
.38523 .44421 L
.3855 .44462 L
.38679 .44622 L
.38683 .44625 L
.38802 .44783 L
.38844 .44829 L
.38945 .44943 L
.39004 .45042 L
.39051 .45104 L
.39165 .45253 L
.3917 .45265 L
.39297 .45425 L
.39325 .4545 L
.39455 .45586 L
.39486 .45664 L
.39553 .45746 L
.39646 .45878 L
.39665 .45907 L
.39791 .46067 L
.39807 .46074 L
.39913 .46228 L
.39967 .46285 L
.40057 .46388 L
.40128 .46502 L
.40163 .46549 L
.40284 .46709 L
.40288 .46715 L
.40405 .4687 L
.40449 .46906 L
.40566 .4703 L
.40609 .47127 L
.40661 .47191 L
.4077 .47343 L
.40775 .47351 L
.40897 .47512 L
.4093 .47523 L
.41019 .47672 L
.41091 .4775 L
.41161 .47833 L
.41251 .47971 L
.41268 .47993 L
.41387 .48154 L
.41412 .48185 L
.41508 .48314 L
.41572 .4837 L
.41666 .48475 L
.41733 .486 L
.41761 .48636 L
.41876 .48796 L
.41894 .48818 L
.41996 .48957 L
.42054 .49031 L
.42117 .49117 L
.42215 .4923 L
.42253 .49278 L
.42362 .49438 L
.42375 .49455 L
.4248 .49599 L
.42536 .4967 L
.426 .49759 L
.42696 .49864 L
.42742 .4992 L
.42842 .5008 L
.42857 .50099 L
.42959 .50241 L
.43017 .50317 L
.43077 .50401 L
.43178 .50535 L
.43197 .50562 L
.43313 .50722 L
.43338 .50756 L
.43425 .50883 L
.43499 .50982 L
.4354 .51043 L
.43655 .51204 L
.43659 .5121 L
.43756 .51364 L
.4382 .5146 L
.43854 .51525 L
.4382 .51617 L
.43724 .51525 L
.43659 .51464 L
.43566 .51364 L
.43499 .51294 L
.43417 .51204 L
.43338 .5114 L
.43273 .51043 L
.43178 .50936 L
.43105 .50883 L
.43017 .50744 L
.42996 .50722 L
.42861 .50562 L
.42857 .50557 L
.42726 .50401 L
.42696 .5037 L
.42592 .50241 L
.42536 .50169 L
.42454 .5008 L
.42375 .49968 L
.42339 .4992 L
.42215 .4977 L
.42212 .49759 L
.42071 .49599 L
.42054 .49578 L
.41926 .49438 L
.41894 .49373 L
.41818 .49278 L
.41733 .49166 L
.41705 .49117 L
.41572 .48965 L
.41559 .48957 L
.41432 .48796 L
.41412 .4877 L
.41303 .48636 L
.41251 .4856 L
.41192 .48475 L
.41091 .4835 L
.41083 .48314 L
.4093 .48154 L
.40928 .48154 L
.40794 .47993 L
.4077 .47949 L
.40683 .47833 L
.40609 .47737 L
.40574 .47672 L
.40449 .47528 L
.40427 .47512 L
.40291 .47351 L
.40288 .47332 L
.40176 .47191 L
.40128 .47121 L
.40067 .4703 L
.39967 .46908 L
.3996 .4687 L
.39807 .46709 L
.39806 .46709 L
.39673 .46549 L
.39646 .46501 L
.39563 .46388 L
.39486 .46288 L
.39455 .46228 L
.39325 .46079 L
.3931 .46067 L
.39171 .45907 L
.39165 .45879 L
.3906 .45746 L
.39004 .45666 L
.38952 .45586 L
.38844 .45454 L
.38841 .45425 L
.38694 .45265 L
.38683 .45253 L
.38558 .45104 L
.38523 .45042 L
.38451 .44943 L
.38362 .44829 L
.3834 .44783 L
.38202 .44622 L
.38201 .44622 L
.38054 .44462 L
.38041 .44417 L
.37951 .44301 L
.3788 .44202 L
.37842 .44141 L
.3772 .43991 L
.37719 .4398 L
.37589 .4382 L
.37559 .43791 L
.3745 .43659 L
.37399 .43575 L
.37345 .43499 L
.37238 .43359 L
.37229 .43338 L
.37101 .43178 L
.37078 .43165 L
.36944 .43017 L
.36917 .42946 L
.36849 .42857 L
.36757 .42726 L
.36738 .42696 L
.36615 .42536 L
.36596 .42511 L
.36495 .42375 L
.36436 .42317 L
.36354 .42215 L
.36275 .42088 L
.36251 .42054 L
.36134 .41894 L
.36115 .41868 L
.36015 .41733 L
.35954 .41689 L
.35858 .41572 L
.35794 .41442 L
.35772 .41412 L
.3566 .41251 L
.35633 .41215 L
.35545 .41091 L
.35473 .40992 L
.35429 .4093 L
.35313 .4077 L
.35312 .40769 L
.35204 .40609 L
.35152 .40535 L
.35095 .40449 L
.34991 .40297 L
.34986 .40288 L
.34894 .40128 L
.3483 .40011 L
.34819 .39967 L
F
1 .85 .01 r
.3483 .40606 m
.34835 .40609 L
.34991 .40747 L
.35012 .4077 L
.35152 .40918 L
.35162 .4093 L
.35303 .41091 L
.35312 .411 L
.35439 .41251 L
.35473 .41288 L
.35574 .41412 L
.35633 .4148 L
.35708 .41572 L
.35794 .41645 L
.35841 .41733 L
.35954 .41865 L
.35988 .41894 L
.36103 .42054 L
.36115 .42068 L
.36231 .42215 L
.36275 .42268 L
.36359 .42375 L
.36436 .42451 L
.36488 .42536 L
.36596 .42667 L
.36624 .42696 L
.36743 .42857 L
.36757 .42874 L
.36868 .43017 L
.36917 .43044 L
.36994 .43178 L
.37078 .43272 L
.37145 .43338 L
.37238 .43487 L
.37249 .43499 L
.37371 .43659 L
.37399 .43694 L
.37495 .4382 L
.37559 .43878 L
.37674 .4398 L
.3772 .44102 L
.37755 .44141 L
.3787 .44301 L
.3788 .44315 L
.37992 .44462 L
.38041 .44481 L
.38116 .44622 L
.38201 .44718 L
.38263 .44783 L
.38362 .44939 L
.38366 .44943 L
.38486 .45104 L
.38523 .4515 L
.38608 .45265 L
.38683 .45333 L
.38778 .45425 L
.38844 .45565 L
.38862 .45586 L
.38977 .45746 L
.39004 .4578 L
.39098 .45907 L
.39165 .45992 L
.3922 .46067 L
.39325 .46193 L
.39357 .46228 L
.39465 .46388 L
.39486 .46415 L
.39584 .46549 L
.39646 .46629 L
.39705 .46709 L
.39807 .46824 L
.3985 .4687 L
.39947 .4703 L
.39967 .47056 L
.40064 .47191 L
.40128 .47274 L
.40183 .47351 L
.40288 .4749 L
.40303 .47512 L
.40419 .47672 L
.40449 .47711 L
.40532 .47833 L
.40609 .47936 L
.40648 .47993 L
.40764 .48154 L
.4077 .48161 L
.40866 .48314 L
.4093 .48407 L
.40968 .48475 L
.4093 .48546 L
.40862 .48475 L
.4077 .48382 L
.40709 .48314 L
.40609 .48205 L
.40564 .48154 L
.40449 .48033 L
.40424 .47993 L
.40288 .47833 L
.40288 .47833 L
.40154 .47672 L
.40128 .47642 L
.4002 .47512 L
.39967 .47495 L
.39886 .47351 L
.39807 .47262 L
.39718 .47191 L
.39646 .47057 L
.39622 .4703 L
.39496 .4687 L
.39486 .46857 L
.39367 .46709 L
.39325 .46675 L
.39237 .46549 L
.39165 .46461 L
.39096 .46388 L
.39004 .46254 L
.38985 .46228 L
.38856 .46067 L
.38844 .46051 L
.38729 .45907 L
.38683 .45857 L
.3857 .45746 L
.38523 .45644 L
.38475 .45586 L
.38362 .45437 L
.38355 .45425 L
.38227 .45265 L
.38201 .45247 L
.38102 .45104 L
.38041 .45031 L
.37965 .44943 L
.3788 .44818 L
.37855 .44783 L
.37729 .44622 L
.3772 .4461 L
.37606 .44462 L
.37559 .44415 L
.37452 .44301 L
.37399 .44197 L
.37355 .44141 L
.37238 .43984 L
.37236 .4398 L
.37113 .4382 L
.37078 .43799 L
.3699 .43659 L
.36917 .43573 L
.36856 .43499 L
.36757 .43353 L
.36746 .43338 L
.36625 .43178 L
.36596 .4314 L
.36504 .43017 L
.36436 .42947 L
.36354 .42857 L
.36275 .42718 L
.36259 .42696 L
.36142 .42536 L
.36115 .425 L
.36023 .42375 L
.35954 .42325 L
.35903 .42215 L
.35794 .42072 L
.35779 .42054 L
.35667 .41894 L
.35633 .41848 L
.35551 .41733 L
.35473 .41627 L
.35433 .41572 L
.35318 .41412 L
.35312 .41404 L
.35208 .41251 L
.35152 .41173 L
.35097 .41091 L
.34991 .40937 L
.34987 .4093 L
.34895 .4077 L
.3483 .40657 L
.34823 .40609 L
F
.733 .99 1 r
.34991 .35926 m
.35043 .35954 L
.35152 .36035 L
.35229 .36115 L
.35312 .36198 L
.35379 .36275 L
.35473 .36379 L
.35519 .36436 L
.35633 .36562 L
.35675 .36596 L
.35779 .36757 L
.35794 .36775 L
.35899 .36917 L
.35954 .3699 L
.36016 .37078 L
.36115 .37221 L
.36126 .37238 L
.36204 .37399 L
.36115 .37445 L
.36056 .37399 L
.35954 .3731 L
.35886 .37238 L
.35794 .37173 L
.35743 .37078 L
.35633 .36955 L
.35591 .36917 L
.35484 .36757 L
.35473 .36742 L
.35365 .36596 L
.35312 .36525 L
.35249 .36436 L
.35152 .36295 L
.35138 .36275 L
.35043 .36115 L
.34991 .36011 L
.34974 .35954 L
F
.395 .97 1 r
.35473 .2776 m
.35633 .27752 L
.35794 .27755 L
.35949 .27767 L
.35954 .27768 L
.36115 .27789 L
.36275 .27818 L
.36436 .27857 L
.36596 .27906 L
.36661 .27928 L
.36757 .27964 L
.36917 .28033 L
.37029 .28088 L
.37078 .28114 L
.37238 .28209 L
.373 .28249 L
.37399 .28318 L
.37515 .2841 L
.37559 .28446 L
.37691 .2857 L
.3772 .28598 L
.37833 .28731 L
.3788 .28784 L
.37941 .28891 L
.3801 .29052 L
.38024 .29212 L
.37934 .29373 L
.3788 .29414 L
.3772 .29472 L
.37559 .29491 L
.37399 .2949 L
.37238 .29475 L
.37078 .29448 L
.36917 .29411 L
.36782 .29373 L
.36757 .29365 L
.36596 .2931 L
.36436 .29247 L
.36355 .29212 L
.36275 .29175 L
.36115 .29095 L
.36033 .29052 L
.35954 .29007 L
.35794 .28909 L
.35766 .28891 L
.35633 .28801 L
.35539 .28731 L
.35473 .2868 L
.35345 .2857 L
.35312 .28542 L
.35185 .2841 L
.35152 .28386 L
.35064 .28249 L
.34999 .28088 L
.35031 .27928 L
.35152 .27835 L
.35312 .27776 L
.35393 .27767 L
F
.084 .92 1 r
.35152 .40278 m
.35161 .40288 L
.35312 .40442 L
.35317 .40449 L
.35462 .40609 L
.35473 .4062 L
.35603 .4077 L
.35633 .40803 L
.35741 .4093 L
.35794 .40959 L
.35878 .41091 L
.35954 .41173 L
.36059 .41251 L
.36115 .41374 L
.36152 .41412 L
.36275 .41571 L
.36277 .41572 L
.36407 .41733 L
.36436 .41758 L
.36536 .41894 L
.36596 .41964 L
.36686 .42054 L
.36757 .42169 L
.36795 .42215 L
.36917 .42371 L
.3692 .42375 L
.37048 .42536 L
.37078 .42567 L
.37214 .42696 L
.37238 .42775 L
.3731 .42857 L
.37399 .42983 L
.37424 .43017 L
.37553 .43178 L
.37559 .43182 L
.37678 .43338 L
.3772 .43386 L
.37823 .43499 L
.3788 .43597 L
.3793 .43659 L
.38041 .43805 L
.38049 .4382 L
.38178 .4398 L
.38201 .44003 L
.38337 .44141 L
.38362 .44214 L
.38435 .44301 L
.38523 .44425 L
.38548 .44462 L
.38676 .44622 L
.38683 .44627 L
.38799 .44783 L
.38844 .44833 L
.38942 .44943 L
.39004 .45046 L
.39049 .45104 L
.39165 .45256 L
.39169 .45265 L
.39294 .45425 L
.39325 .45453 L
.39453 .45586 L
.39486 .45668 L
.3955 .45746 L
.39646 .45881 L
.39663 .45907 L
.39788 .46067 L
.39807 .46075 L
.3991 .46228 L
.39967 .46289 L
.40054 .46388 L
.40128 .46506 L
.4016 .46549 L
.40281 .46709 L
.40288 .46718 L
.40403 .4687 L
.40449 .46909 L
.40563 .4703 L
.40609 .4713 L
.40658 .47191 L
.4077 .47347 L
.40773 .47351 L
.40894 .47512 L
.4093 .47525 L
.41016 .47672 L
.41091 .47754 L
.41158 .47833 L
.41251 .47976 L
.41264 .47993 L
.41384 .48154 L
.41412 .4819 L
.41505 .48314 L
.41572 .48375 L
.41661 .48475 L
.41733 .48606 L
.41756 .48636 L
.41871 .48796 L
.41894 .48824 L
.41991 .48957 L
.42054 .49038 L
.42113 .49117 L
.42215 .49239 L
.42246 .49278 L
.42356 .49438 L
.42375 .49463 L
.42474 .49599 L
.42536 .49679 L
.42594 .49759 L
.42696 .49877 L
.42731 .4992 L
.42834 .5008 L
.42857 .5011 L
.4295 .50241 L
.43017 .5033 L
.43068 .50401 L
.43178 .50549 L
.43187 .50562 L
.43299 .50722 L
.43338 .50775 L
.4341 .50883 L
.43499 .51006 L
.43523 .51043 L
.43629 .51204 L
.43659 .5125 L
.43718 .51364 L
.43659 .51414 L
.43608 .51364 L
.43499 .51258 L
.43448 .51204 L
.43338 .51106 L
.43299 .51043 L
.43178 .50909 L
.43138 .50883 L
.43017 .50724 L
.43016 .50722 L
.42878 .50562 L
.42857 .50537 L
.42742 .50401 L
.42696 .50354 L
.42606 .50241 L
.42536 .50153 L
.42466 .5008 L
.42375 .49954 L
.42349 .4992 L
.42215 .49761 L
.42214 .49759 L
.42081 .49599 L
.42054 .49566 L
.41932 .49438 L
.41894 .49362 L
.41826 .49278 L
.41733 .49157 L
.4171 .49117 L
.41572 .4896 L
.41567 .48957 L
.41439 .48796 L
.41412 .48761 L
.41309 .48636 L
.41251 .48552 L
.41198 .48475 L
.41091 .48344 L
.41085 .48314 L
.40934 .48154 L
.4093 .48149 L
.40797 .47993 L
.4077 .47942 L
.40688 .47833 L
.40609 .47731 L
.40578 .47672 L
.40449 .47524 L
.40432 .47512 L
.40292 .47351 L
.40288 .47326 L
.4018 .47191 L
.40128 .47115 L
.40071 .4703 L
.39967 .46903 L
.39962 .4687 L
.39811 .46709 L
.39807 .46705 L
.39676 .46549 L
.39646 .46496 L
.39566 .46388 L
.39486 .46283 L
.39458 .46228 L
.39325 .46076 L
.39315 .46067 L
.39172 .45907 L
.39165 .45874 L
.39064 .45746 L
.39004 .45661 L
.38955 .45586 L
.38844 .4545 L
.38841 .45425 L
.38698 .45265 L
.38683 .45249 L
.38561 .45104 L
.38523 .45038 L
.38454 .44943 L
.38362 .44824 L
.38343 .44783 L
.38206 .44622 L
.38201 .44619 L
.38055 .44462 L
.38041 .44412 L
.37954 .44301 L
.3788 .44197 L
.37845 .44141 L
.3772 .43986 L
.3772 .4398 L
.37593 .4382 L
.37559 .43786 L
.37453 .43659 L
.37399 .43569 L
.37349 .43499 L
.37238 .43353 L
.37232 .43338 L
.37106 .43178 L
.37078 .43161 L
.36947 .43017 L
.36917 .42939 L
.36854 .42857 L
.36757 .42718 L
.36743 .42696 L
.36621 .42536 L
.36596 .42503 L
.36501 .42375 L
.36436 .42308 L
.36361 .42215 L
.36275 .42078 L
.36259 .42054 L
.36142 .41894 L
.36115 .41857 L
.36024 .41733 L
.35954 .41676 L
.3587 .41572 L
.35794 .41425 L
.35785 .41412 L
.35672 .41251 L
.35633 .41198 L
.35558 .41091 L
.35473 .40973 L
.35443 .4093 L
.35331 .4077 L
.35312 .40743 L
.35225 .40609 L
.35152 .40501 L
.35119 .40449 L
.35025 .40288 L
F
.005 .83 1 r
.35152 .41615 m
.35246 .41733 L
.35312 .41805 L
.35381 .41894 L
.35473 .41998 L
.35515 .42054 L
.35633 .42194 L
.35649 .42215 L
.35778 .42375 L
.35794 .42394 L
.35903 .42536 L
.35954 .42597 L
.36029 .42696 L
.36115 .428 L
.36157 .42857 L
.36275 .43002 L
.36286 .43017 L
.3641 .43178 L
.36436 .43209 L
.36532 .43338 L
.36596 .43418 L
.36656 .43499 L
.36757 .43625 L
.36782 .43659 L
.36906 .4382 L
.36917 .43833 L
.37025 .4398 L
.37078 .44046 L
.37146 .44141 L
.37238 .44258 L
.37269 .44301 L
.37392 .44462 L
.37399 .4447 L
.37507 .44622 L
.37559 .44689 L
.37624 .44783 L
.3772 .44908 L
.37744 .44943 L
.3772 .45101 L
.3759 .44943 L
.37559 .44909 L
.37458 .44783 L
.37399 .44714 L
.37325 .44622 L
.37238 .44517 L
.37194 .44462 L
.37078 .44332 L
.37065 .44301 L
.36938 .44141 L
.36917 .44116 L
.36812 .4398 L
.36757 .43912 L
.36685 .4382 L
.36596 .43708 L
.36558 .43659 L
.36436 .43505 L
.36429 .43499 L
.36311 .43338 L
.36275 .43294 L
.36187 .43178 L
.36115 .43085 L
.36063 .43017 L
.35954 .42895 L
.3594 .42857 L
.3582 .42696 L
.35794 .42663 L
.357 .42536 L
.35633 .42448 L
.35579 .42375 L
.35473 .42234 L
.35459 .42215 L
.35344 .42054 L
.35312 .42013 L
.3523 .41894 L
.35152 .41789 L
.35114 .41733 L
F
1 .84 .007 r
.35152 .40944 m
.35283 .41091 L
.35312 .41121 L
.35423 .41251 L
.35473 .41305 L
.35561 .41412 L
.35633 .41494 L
.35697 .41572 L
.35794 .4166 L
.35832 .41733 L
.35954 .41878 L
.35973 .41894 L
.36094 .42054 L
.36115 .42078 L
.36223 .42215 L
.36275 .42277 L
.36352 .42375 L
.36436 .4246 L
.36481 .42536 L
.36596 .42676 L
.36616 .42696 L
.36736 .42857 L
.36757 .42882 L
.36862 .43017 L
.36917 .4305 L
.36988 .43178 L
.37078 .43279 L
.37138 .43338 L
.37238 .43494 L
.37243 .43499 L
.37365 .43659 L
.37399 .43701 L
.3749 .4382 L
.37559 .43885 L
.37668 .4398 L
.3772 .44109 L
.37749 .44141 L
.37865 .44301 L
.3788 .44321 L
.37987 .44462 L
.38041 .44486 L
.38111 .44622 L
.38201 .44725 L
.38257 .44783 L
.38361 .44943 L
.38362 .44945 L
.38481 .45104 L
.38523 .45156 L
.38604 .45265 L
.38683 .4534 L
.38771 .45425 L
.38844 .45572 L
.38855 .45586 L
.38972 .45746 L
.39004 .45786 L
.39093 .45907 L
.39165 .45998 L
.39216 .46067 L
.39325 .46201 L
.39349 .46228 L
.39459 .46388 L
.39486 .46422 L
.39578 .46549 L
.39646 .46636 L
.39699 .46709 L
.39807 .46836 L
.39838 .4687 L
.3994 .4703 L
.39967 .47066 L
.40056 .47191 L
.40128 .47284 L
.40175 .47351 L
.40288 .47501 L
.40296 .47512 L
.40409 .47672 L
.40449 .47725 L
.40521 .47833 L
.40609 .47952 L
.40636 .47993 L
.40747 .48154 L
.4077 .48187 L
.40842 .48314 L
.4093 .48473 L
.40931 .48475 L
.4093 .48476 L
.40918 .48475 L
.4077 .48353 L
.40734 .48314 L
.40609 .48183 L
.40583 .48154 L
.40449 .48007 L
.40441 .47993 L
.40303 .47833 L
.40288 .47817 L
.40167 .47672 L
.40128 .47628 L
.40031 .47512 L
.39967 .47486 L
.39897 .47351 L
.39807 .4725 L
.39731 .47191 L
.39646 .47045 L
.39633 .4703 L
.39505 .4687 L
.39486 .46847 L
.39375 .46709 L
.39325 .46667 L
.39245 .46549 L
.39165 .46451 L
.39104 .46388 L
.39004 .46245 L
.38991 .46228 L
.38863 .46067 L
.38844 .46043 L
.38736 .45907 L
.38683 .4585 L
.38576 .45746 L
.38523 .45636 L
.38481 .45586 L
.38362 .45429 L
.38359 .45425 L
.38233 .45265 L
.38201 .45242 L
.38108 .45104 L
.38041 .45024 L
.3797 .44943 L
.3788 .44811 L
.37861 .44783 L
.37735 .44622 L
.3772 .44603 L
.37611 .44462 L
.37559 .44408 L
.37457 .44301 L
.37399 .44189 L
.37361 .44141 L
.37241 .4398 L
.37238 .43977 L
.37119 .4382 L
.37078 .43794 L
.36996 .43659 L
.36917 .43564 L
.36862 .43499 L
.36757 .43345 L
.36752 .43338 L
.36631 .43178 L
.36596 .43132 L
.3651 .43017 L
.36436 .42938 L
.36363 .42857 L
.36275 .42707 L
.36267 .42696 L
.36149 .42536 L
.36115 .4249 L
.3603 .42375 L
.35954 .42312 L
.35911 .42215 L
.35794 .42057 L
.35791 .42054 L
.35677 .41894 L
.35633 .41835 L
.35561 .41733 L
.35473 .41612 L
.35444 .41572 L
.35332 .41412 L
.35312 .41385 L
.35223 .41251 L
.35152 .41149 L
.35114 .41091 L
F
1 .87 .018 r
.35152 .42312 m
.35192 .42375 L
.35312 .42518 L
.35323 .42536 L
.35312 .426 L
.35265 .42536 L
.35152 .42403 L
.35131 .42375 L
F
1 .83 .005 r
.35152 .40978 m
.35258 .41091 L
.35312 .41144 L
.35405 .41251 L
.35473 .41323 L
.35547 .41412 L
.35633 .41509 L
.35685 .41572 L
.35794 .41678 L
.35821 .41733 L
.35954 .41892 L
.35956 .41894 L
.36085 .42054 L
.36115 .42089 L
.36214 .42215 L
.36275 .42287 L
.36344 .42375 L
.36436 .42471 L
.36474 .42536 L
.36596 .42685 L
.36607 .42696 L
.3673 .42857 L
.36757 .4289 L
.36856 .43017 L
.36917 .43056 L
.36983 .43178 L
.37078 .43287 L
.37131 .43338 L
.37237 .43499 L
.37238 .43501 L
.3736 .43659 L
.37399 .43707 L
.37485 .4382 L
.37559 .43891 L
.37661 .4398 L
.3772 .44115 L
.37743 .44141 L
.3786 .44301 L
.3788 .44327 L
.37982 .44462 L
.38041 .44491 L
.38107 .44622 L
.38201 .44732 L
.38251 .44783 L
.38356 .44943 L
.38362 .44951 L
.38477 .45104 L
.38523 .45162 L
.38599 .45265 L
.38683 .45347 L
.38764 .45425 L
.38844 .45579 L
.38849 .45586 L
.38967 .45746 L
.39004 .45793 L
.39088 .45907 L
.39165 .46005 L
.39211 .46067 L
.39325 .4621 L
.39341 .46228 L
.39453 .46388 L
.39486 .4643 L
.39572 .46549 L
.39646 .46644 L
.39693 .46709 L
.39807 .46849 L
.39826 .4687 L
.39932 .4703 L
.39967 .47076 L
.40049 .47191 L
.40128 .47295 L
.40167 .47351 L
.40288 .47512 L
.40288 .47513 L
.40398 .47672 L
.40449 .47741 L
.40509 .47833 L
.40609 .47971 L
.40623 .47993 L
.40723 .48154 L
.40609 .48157 L
.40606 .48154 L
.4046 .47993 L
.40449 .47982 L
.40319 .47833 L
.40288 .47799 L
.4018 .47672 L
.40128 .47613 L
.40043 .47512 L
.39967 .47473 L
.39908 .47351 L
.39807 .47236 L
.39747 .47191 L
.39646 .47033 L
.39644 .4703 L
.39514 .4687 L
.39486 .46836 L
.39383 .46709 L
.39325 .46658 L
.39253 .46549 L
.39165 .46441 L
.39113 .46388 L
.39004 .46236 L
.38998 .46228 L
.3887 .46067 L
.38844 .46034 L
.38743 .45907 L
.38683 .45842 L
.38582 .45746 L
.38523 .45628 L
.38487 .45586 L
.38365 .45425 L
.38362 .45422 L
.38239 .45265 L
.38201 .45237 L
.38114 .45104 L
.38041 .45016 L
.37977 .44943 L
.3788 .44803 L
.37866 .44783 L
.37741 .44622 L
.3772 .44595 L
.37617 .44462 L
.37559 .44402 L
.37462 .44301 L
.37399 .44181 L
.37367 .44141 L
.37247 .4398 L
.37238 .43969 L
.37125 .4382 L
.37078 .43789 L
.37002 .43659 L
.36917 .43556 L
.36869 .43499 L
.36758 .43338 L
.36757 .43336 L
.36638 .43178 L
.36596 .43123 L
.36517 .43017 L
.36436 .42928 L
.36371 .42857 L
.36275 .42696 L
.36275 .42696 L
.36157 .42536 L
.36115 .42479 L
.36038 .42375 L
.35954 .42297 L
.35919 .42215 L
.35801 .42054 L
.35794 .42044 L
.35687 .41894 L
.35633 .41821 L
.35571 .41733 L
.35473 .41597 L
.35456 .41572 L
.35347 .41412 L
.35312 .41363 L
.35241 .41251 L
.35152 .4112 L
.35134 .41091 L
F
.004 .82 1 r
.35152 .41653 m
.35216 .41733 L
.35312 .41831 L
.3536 .41894 L
.35473 .42019 L
.35499 .42054 L
.35633 .42212 L
.35635 .42215 L
.35761 .42375 L
.35794 .42412 L
.35888 .42536 L
.35954 .42613 L
.36016 .42696 L
.36115 .42815 L
.36146 .42857 L
.36275 .43017 L
.36276 .43017 L
.36397 .43178 L
.36436 .43225 L
.3652 .43338 L
.36596 .43432 L
.36645 .43499 L
.36757 .43639 L
.36772 .43659 L
.36893 .4382 L
.36917 .43849 L
.37012 .4398 L
.37078 .44062 L
.37133 .44141 L
.37238 .44274 L
.37258 .44301 L
.37377 .44462 L
.37399 .4449 L
.3749 .44622 L
.37559 .44711 L
.37607 .44783 L
.3772 .44931 L
.37728 .44943 L
.3772 .4507 L
.37615 .44943 L
.37559 .44884 L
.37478 .44783 L
.37399 .44692 L
.37343 .44622 L
.37238 .44497 L
.3721 .44462 L
.3708 .44301 L
.37078 .44299 L
.36954 .44141 L
.36917 .44097 L
.36826 .4398 L
.36757 .43895 L
.36698 .4382 L
.36596 .43691 L
.36571 .43659 L
.36447 .43499 L
.36436 .43485 L
.36324 .43338 L
.36275 .43277 L
.36201 .43178 L
.36115 .43068 L
.36076 .43017 L
.35954 .4286 L
.35953 .42857 L
.35835 .42696 L
.35794 .42643 L
.35716 .42536 L
.35633 .42428 L
.35595 .42375 L
.35475 .42215 L
.35473 .42211 L
.35365 .42054 L
.35312 .41984 L
.35252 .41894 L
.35152 .41755 L
.35138 .41733 L
F
1 1 1 r
.35152 .38035 m
.35214 .38041 L
.35312 .38105 L
.35392 .38201 L
.35473 .38311 L
.35524 .38362 L
.35633 .38491 L
.35654 .38523 L
.3578 .38683 L
.35794 .38699 L
.35902 .38844 L
.35954 .38907 L
.36026 .39004 L
.36115 .39111 L
.36154 .39165 L
.36275 .39312 L
.36285 .39325 L
.36412 .39486 L
.36436 .39513 L
.3654 .39646 L
.36596 .39707 L
.36677 .39807 L
.36757 .39889 L
.36825 .39967 L
.36917 .40057 L
.36986 .40128 L
.37078 .40211 L
.37162 .40288 L
.37238 .40354 L
.37351 .40449 L
.37399 .40487 L
.37555 .40609 L
.37559 .4061 L
.3772 .40732 L
.37775 .4077 L
.3788 .40856 L
.37966 .4093 L
.38041 .41011 L
.38105 .41091 L
.38201 .41199 L
.38241 .41251 L
.38362 .41401 L
.38369 .41412 L
.38496 .41572 L
.38523 .41611 L
.38618 .41733 L
.38683 .41823 L
.38737 .41894 L
.38844 .42034 L
.38858 .42054 L
.38981 .42215 L
.39004 .42247 L
.39098 .42375 L
.39165 .42463 L
.39212 .42536 L
.39325 .42678 L
.39342 .42696 L
.39459 .42857 L
.39486 .42892 L
.39564 .43017 L
.39646 .4312 L
.39708 .43178 L
.39807 .43312 L
.39828 .43338 L
.39943 .43499 L
.39967 .43531 L
.40037 .43659 L
.40128 .43731 L
.40197 .4382 L
.40288 .43942 L
.40319 .4398 L
.40437 .44141 L
.40449 .44157 L
.40538 .44301 L
.40609 .4436 L
.4069 .44462 L
.4077 .4457 L
.40812 .44622 L
.4093 .44781 L
.40932 .44783 L
.41043 .44943 L
.41091 .45008 L
.41182 .45104 L
.41251 .45196 L
.41305 .45265 L
.41412 .45407 L
.41426 .45425 L
.41544 .45586 L
.41572 .45625 L
.41644 .45746 L
.41733 .45859 L
.41798 .45907 L
.41894 .46034 L
.4192 .46067 L
.42041 .46228 L
.42054 .46247 L
.4215 .46388 L
.42215 .46472 L
.42237 .46549 L
.42375 .46661 L
.42413 .46709 L
.42534 .4687 L
.42536 .46872 L
.42651 .4703 L
.42696 .47091 L
.42752 .47191 L
.42857 .47317 L
.42906 .47351 L
.43017 .47499 L
.43028 .47512 L
.4315 .47672 L
.43178 .47713 L
.43258 .47833 L
.43338 .47934 L
.43399 .47993 L
.43499 .48126 L
.43521 .48154 L
.43646 .48314 L
.43659 .48337 L
.4376 .48475 L
.4382 .48554 L
.43861 .48636 L
.4398 .48772 L
.44014 .48796 L
.44139 .48957 L
.44141 .48963 L
.44259 .49117 L
.44301 .49177 L
.44367 .49278 L
.44462 .49393 L
.44507 .49438 L
.44622 .49597 L
.44629 .49599 L
.44758 .49759 L
.44783 .49801 L
.44869 .4992 L
.44943 .50016 L
.44973 .5008 L
.45104 .50227 L
.45122 .50241 L
.45255 .50401 L
.45265 .50426 L
.4537 .50562 L
.45425 .50639 L
.45478 .50722 L
.45586 .50852 L
.45615 .50883 L
.45737 .51043 L
.45746 .51053 L
.4587 .51204 L
.45907 .51263 L
.45979 .51364 L
.46067 .51477 L
.46087 .51525 L
.46228 .51683 L
.4623 .51686 L
.46371 .51846 L
.46388 .51888 L
.4648 .52007 L
.46549 .52101 L
.46589 .52167 L
.46709 .52312 L
.46723 .52328 L
.46845 .52488 L
.4687 .52512 L
.46982 .52649 L
.4703 .52725 L
.4709 .52809 L
.47191 .52938 L
.47203 .5297 L
.47338 .5313 L
.47351 .53139 L
.47486 .53291 L
.47512 .53348 L
.47591 .53451 L
.47672 .53563 L
.47701 .53612 L
.47831 .53772 L
.47833 .53774 L
.47953 .53933 L
.47993 .5397 L
.48093 .54093 L
.48154 .54187 L
.482 .54254 L
.48314 .54401 L
.48319 .54414 L
.48446 .54575 L
.48475 .54591 L
.48599 .54735 L
.48636 .54809 L
.48701 .54896 L
.48796 .55027 L
.48813 .55057 L
.48939 .55217 L
.48957 .55239 L
.49061 .55378 L
.49117 .55429 L
.49203 .55538 L
.49278 .55651 L
.4931 .55699 L
.49433 .55859 L
.49438 .55866 L
.49554 .5602 L
.49599 .56044 L
.49709 .5618 L
.49759 .56272 L
.49809 .56341 L
.4992 .56492 L
.49925 .56501 L
.50047 .56662 L
.5008 .56704 L
.50169 .56822 L
.50241 .5689 L
.50311 .56983 L
.50401 .57117 L
.50419 .57143 L
.5054 .57304 L
.50562 .57331 L
.50662 .57464 L
.50722 .57542 L
.50816 .57625 L
.50883 .57738 L
.50916 .57785 L
.51033 .57946 L
.51043 .57959 L
.51154 .58106 L
.51204 .5817 L
.5133 .58267 L
.51364 .58356 L
.51416 .58428 L
.51525 .58585 L
.51527 .58588 L
.51647 .58749 L
.51686 .58797 L
.51769 .58909 L
.51846 .59007 L
.5192 .5907 L
.52007 .59208 L
.52022 .5923 L
.5214 .59391 L
.52167 .59425 L
.52261 .59551 L
.52328 .59635 L
.52431 .59712 L
.52488 .59828 L
.52519 .59872 L
.52633 .60033 L
.52649 .60053 L
.52753 .60193 L
.52809 .60265 L
.52875 .60354 L
.5297 .60475 L
.53018 .60514 L
.53122 .60675 L
.5313 .60685 L
.5324 .60835 L
.53291 .609 L
.53359 .60996 L
.53451 .61117 L
.53507 .61156 L
.53597 .61317 L
.53612 .61337 L
.53706 .61477 L
.53772 .61572 L
.53813 .61638 L
.53911 .61799 L
.53933 .61837 L
.53959 .61959 L
.53933 .61976 L
.53892 .61959 L
.53772 .61882 L
.53672 .61799 L
.53612 .61752 L
.53494 .61638 L
.53451 .61592 L
.53294 .61477 L
.53291 .61427 L
.53183 .61317 L
.5313 .61251 L
.53054 .61156 L
.5297 .61058 L
.52889 .60996 L
.52809 .60899 L
.52753 .60835 L
.52649 .60705 L
.52623 .60675 L
.52498 .60514 L
.52488 .60501 L
.52392 .60354 L
.52328 .60305 L
.52237 .60193 L
.52167 .601 L
.52112 .60033 L
.52007 .59892 L
.5199 .59872 L
.51877 .59712 L
.51846 .59686 L
.51739 .59551 L
.51686 .59479 L
.51615 .59391 L
.51525 .59269 L
.51494 .5923 L
.51375 .5907 L
.51364 .59054 L
.51277 .58909 L
.51204 .58853 L
.51121 .58749 L
.51043 .58644 L
.50999 .58588 L
.50883 .58433 L
.50878 .58428 L
.5077 .58267 L
.50722 .58201 L
.50628 .58106 L
.50562 .58018 L
.50505 .57946 L
.50401 .57807 L
.50384 .57785 L
.50268 .57625 L
.50241 .57586 L
.50173 .57464 L
.5008 .57391 L
.50012 .57304 L
.4992 .57181 L
.4989 .57143 L
.49771 .56983 L
.49759 .56967 L
.49665 .56822 L
.49599 .56733 L
.49519 .56662 L
.49438 .56554 L
.49397 .56501 L
.49278 .56343 L
.49276 .56341 L
.49162 .5618 L
.49117 .56119 L
.49068 .5602 L
.48957 .55927 L
.48903 .55859 L
.48796 .55716 L
.48782 .55699 L
.48663 .55538 L
.48636 .55499 L
.48559 .55378 L
.48475 .5527 L
.48411 .55217 L
.48314 .55089 L
.48289 .55057 L
.48167 .54896 L
.48154 .54876 L
.48055 .54735 L
.47993 .54654 L
.47961 .54575 L
.47833 .54462 L
.47795 .54414 L
.47674 .54254 L
.47672 .54251 L
.47555 .54093 L
.47512 .54034 L
.47451 .53933 L
.47351 .53811 L
.47303 .53772 L
.47191 .53624 L
.47181 .53612 L
.47057 .53451 L
.4703 .53411 L
.46947 .53291 L
.4687 .53192 L
.4685 .5313 L
.46709 .52977 L
.46688 .5297 L
.4656 .52809 L
.46549 .52786 L
.46446 .52649 L
.46388 .52571 L
.46341 .52488 L
.46228 .52355 L
.46195 .52328 L
.46068 .52167 L
.46067 .5216 L
.45946 .52007 L
.45907 .51948 L
.45837 .51846 L
.45746 .51732 L
.45735 .51686 L
.45586 .51528 L
.4558 .51525 L
.45447 .51364 L
.45425 .51323 L
.45336 .51204 L
.45265 .51109 L
.45229 .51043 L
.45104 .50898 L
.45087 .50883 L
.44948 .50722 L
.44943 .50698 L
.44835 .50562 L
.44783 .50485 L
.44726 .50401 L
.44622 .50273 L
.44618 .50241 L
.44472 .5008 L
.44462 .50071 L
.44334 .4992 L
.44301 .49861 L
.44225 .49759 L
.44141 .49648 L
.44116 .49599 L
.4398 .4944 L
.43978 .49438 L
.4383 .49278 L
.4382 .49237 L
.43724 .49117 L
.43659 .49024 L
.43615 .48957 L
.43499 .48812 L
.43497 .48796 L
.43363 .48636 L
.43338 .48613 L
.43221 .48475 L
.43178 .484 L
.43115 .48314 L
.43017 .48186 L
.43002 .48154 L
.4287 .47993 L
.42857 .47987 L
.42714 .47833 L
.42696 .47777 L
.42614 .47672 L
.42536 .47561 L
.42504 .47512 L
.42377 .47351 L
.42375 .47349 L
.42255 .47191 L
.42215 .47156 L
.4211 .4703 L
.42054 .46938 L
.42005 .4687 L
.41894 .46722 L
.41888 .46709 L
.41763 .46549 L
.41733 .46537 L
.41601 .46388 L
.41572 .46316 L
.41504 .46228 L
.41412 .46097 L
.41393 .46067 L
.41269 .45907 L
.41251 .45884 L
.41148 .45746 L
.41091 .45698 L
.41001 .45586 L
.4093 .45474 L
.40896 .45425 L
.40776 .45265 L
.4077 .45257 L
.40655 .45104 L
.40609 .45046 L
.40492 .44943 L
.40449 .44853 L
.40397 .44783 L
.40288 .44631 L
.40283 .44622 L
.40162 .44462 L
.40128 .44419 L
.4004 .44301 L
.39967 .44237 L
.39894 .44141 L
.39807 .44007 L
.39788 .4398 L
.39669 .4382 L
.39646 .43791 L
.39547 .43659 L
.39486 .43581 L
.39387 .43499 L
.39325 .43386 L
.39291 .43338 L
.39175 .43178 L
.39165 .43164 L
.39055 .43017 L
.39004 .42953 L
.38932 .42857 L
.38844 .42766 L
.38792 .42696 L
.38683 .42536 L
.38683 .42536 L
.38563 .42375 L
.38523 .42324 L
.38441 .42215 L
.38362 .42114 L
.38295 .42054 L
.38201 .4191 L
.3819 .41894 L
.38071 .41733 L
.38041 .41695 L
.3795 .41572 L
.3788 .41484 L
.37793 .41412 L
.3772 .4129 L
.37694 .41251 L
.37578 .41091 L
.37559 .41068 L
.37457 .4093 L
.37399 .40859 L
.37333 .4077 L
.37238 .40654 L
.37205 .40609 L
.37078 .40455 L
.37065 .40449 L
.36944 .40288 L
.36917 .40259 L
.3681 .40128 L
.36757 .40072 L
.36667 .39967 L
.36596 .39896 L
.36516 .39807 L
.36436 .39727 L
.3636 .39646 L
.36275 .39562 L
.36203 .39486 L
.36115 .39395 L
.36048 .39325 L
.35954 .39226 L
.35896 .39165 L
.35794 .39074 L
.35748 .39004 L
.35633 .38872 L
.35607 .38844 L
.35473 .38683 L
.35473 .38683 L
.35347 .38523 L
.35312 .38472 L
.35233 .38362 L
.35152 .38217 L
.35143 .38201 L
.35144 .38041 L
F
.35152 .34987 m
.35312 .34965 L
.3541 .34991 L
.35473 .35038 L
.35633 .35132 L
.35644 .35152 L
.35794 .35301 L
.35803 .35312 L
.35943 .35473 L
.35954 .35504 L
.36063 .35633 L
.36115 .35692 L
.36172 .35794 L
.36275 .35897 L
.36319 .35954 L
.36436 .36106 L
.36442 .36115 L
.36569 .36275 L
.36596 .36322 L
.36679 .36436 L
.36757 .36544 L
.36779 .36596 L
.36917 .36731 L
.36938 .36757 L
.37066 .36917 L
.37078 .36939 L
.37181 .37078 L
.37238 .3715 L
.37287 .37238 L
.37399 .3736 L
.37431 .37399 L
.37559 .37559 L
.37559 .3757 L
.37679 .3772 L
.3772 .37792 L
.37774 .3788 L
.3772 .37904 L
.37559 .37913 L
.37399 .37917 L
.37267 .3788 L
.37238 .37835 L
.37151 .3772 L
.37078 .37625 L
.37041 .37559 L
.36917 .37414 L
.36906 .37399 L
.36784 .37238 L
.36757 .37206 L
.36648 .37078 L
.36596 .36995 L
.3654 .36917 L
.36436 .36784 L
.36426 .36757 L
.36291 .36596 L
.36275 .36594 L
.36144 .36436 L
.36115 .36385 L
.36039 .36275 L
.35954 .36165 L
.35929 .36115 L
.35799 .35954 L
.35794 .35947 L
.35678 .35794 L
.35633 .35734 L
.3554 .35633 L
.35473 .35521 L
.35435 .35473 L
.35315 .35312 L
.35312 .35307 L
.35206 .35152 L
.35152 .35038 L
.35145 .34991 L
F
.061 .91 1 r
.35152 .40341 m
.35275 .40449 L
.35312 .40481 L
.35433 .40609 L
.35473 .40649 L
.3558 .4077 L
.35633 .40826 L
.35723 .4093 L
.35794 .40975 L
.35862 .41091 L
.35954 .41191 L
.3604 .41251 L
.36115 .41389 L
.36138 .41412 L
.36266 .41572 L
.36275 .41584 L
.36396 .41733 L
.36436 .41767 L
.36527 .41894 L
.36596 .41974 L
.36678 .42054 L
.36757 .42179 L
.36787 .42215 L
.36915 .42375 L
.36917 .42376 L
.37042 .42536 L
.37078 .42573 L
.3721 .42696 L
.37238 .42782 L
.37304 .42857 L
.37399 .42989 L
.37419 .43017 L
.37548 .43178 L
.37559 .43186 L
.37674 .43338 L
.3772 .43392 L
.37819 .43499 L
.3788 .43602 L
.37926 .43659 L
.38041 .4381 L
.38046 .4382 L
.38174 .4398 L
.38201 .44007 L
.38335 .44141 L
.38362 .44218 L
.38432 .44301 L
.38523 .4443 L
.38545 .44462 L
.38672 .44622 L
.38683 .44629 L
.38796 .44783 L
.38844 .44836 L
.3894 .44943 L
.39004 .4505 L
.39046 .45104 L
.39165 .4526 L
.39167 .45265 L
.39291 .45425 L
.39325 .45456 L
.39451 .45586 L
.39486 .45671 L
.39547 .45746 L
.39646 .45885 L
.39661 .45907 L
.39785 .46067 L
.39807 .46077 L
.39907 .46228 L
.39967 .46292 L
.40051 .46388 L
.40128 .4651 L
.40157 .46549 L
.40278 .46709 L
.40288 .46722 L
.404 .4687 L
.40449 .46912 L
.4056 .4703 L
.40609 .47135 L
.40655 .47191 L
.4077 .47351 L
.4077 .47351 L
.40891 .47512 L
.4093 .47528 L
.41013 .47672 L
.41091 .47759 L
.41154 .47833 L
.41251 .47981 L
.41261 .47993 L
.4138 .48154 L
.41412 .48195 L
.41501 .48314 L
.41572 .48381 L
.41656 .48475 L
.41733 .48613 L
.41751 .48636 L
.41867 .48796 L
.41894 .4883 L
.41986 .48957 L
.42054 .49044 L
.42108 .49117 L
.42215 .49248 L
.42239 .49278 L
.4235 .49438 L
.42375 .49471 L
.42468 .49599 L
.42536 .49687 L
.42588 .49759 L
.42696 .49891 L
.4272 .4992 L
.42825 .5008 L
.42857 .50121 L
.4294 .50241 L
.43017 .50343 L
.43058 .50401 L
.43176 .50562 L
.43178 .50564 L
.43284 .50722 L
.43338 .50797 L
.43393 .50883 L
.43499 .51035 L
.43504 .51043 L
.43589 .51204 L
.43499 .51214 L
.43488 .51204 L
.43338 .5106 L
.43328 .51043 L
.4318 .50883 L
.43178 .50881 L
.43037 .50722 L
.43017 .50701 L
.42896 .50562 L
.42857 .50517 L
.42757 .50401 L
.42696 .50338 L
.42621 .50241 L
.42536 .50137 L
.42479 .5008 L
.42375 .49941 L
.42358 .4992 L
.42223 .49759 L
.42215 .49754 L
.42091 .49599 L
.42054 .49555 L
.41939 .49438 L
.41894 .49351 L
.41834 .49278 L
.41733 .49148 L
.41715 .49117 L
.41575 .48957 L
.41572 .48954 L
.41446 .48796 L
.41412 .48752 L
.41315 .48636 L
.41251 .48544 L
.41204 .48475 L
.41091 .48337 L
.41086 .48314 L
.4094 .48154 L
.4093 .48143 L
.40801 .47993 L
.4077 .47935 L
.40692 .47833 L
.40609 .47724 L
.40582 .47672 L
.40449 .4752 L
.40437 .47512 L
.40292 .47351 L
.40288 .4732 L
.40184 .47191 L
.40128 .47109 L
.40075 .4703 L
.39967 .46899 L
.39963 .4687 L
.39815 .46709 L
.39807 .467 L
.39678 .46549 L
.39646 .46491 L
.3957 .46388 L
.39486 .46278 L
.3946 .46228 L
.39325 .46073 L
.39319 .46067 L
.39173 .45907 L
.39165 .45869 L
.39067 .45746 L
.39004 .45657 L
.38958 .45586 L
.38844 .45446 L
.38842 .45425 L
.38702 .45265 L
.38683 .45245 L
.38564 .45104 L
.38523 .45033 L
.38457 .44943 L
.38362 .44819 L
.38345 .44783 L
.3821 .44622 L
.38201 .44617 L
.38057 .44462 L
.38041 .44408 L
.37958 .44301 L
.3788 .44192 L
.37848 .44141 L
.3772 .43981 L
.3772 .4398 L
.37598 .4382 L
.37559 .43782 L
.37457 .43659 L
.37399 .43563 L
.37353 .43499 L
.37238 .43347 L
.37234 .43338 L
.37111 .43178 L
.37078 .43157 L
.36951 .43017 L
.36917 .42932 L
.3686 .42857 L
.36757 .4271 L
.36748 .42696 L
.36628 .42536 L
.36596 .42494 L
.36508 .42375 L
.36436 .42299 L
.36369 .42215 L
.36275 .42066 L
.36267 .42054 L
.3615 .41894 L
.36115 .41846 L
.36033 .41733 L
.35954 .4166 L
.35884 .41572 L
.35797 .41412 L
.35794 .41407 L
.35685 .41251 L
.35633 .4118 L
.35571 .41091 L
.35473 .40952 L
.35458 .4093 L
.35352 .4077 L
.35312 .40712 L
.3525 .40609 L
.35152 .40453 L
.35149 .40449 L
F
1 .96 .289 r
.35312 .39811 m
.35469 .39967 L
.35473 .39971 L
.35619 .40128 L
.35633 .40143 L
.35763 .40288 L
.35794 .40295 L
.35905 .40449 L
.35954 .405 L
.36044 .40609 L
.36115 .40695 L
.36192 .4077 L
.36275 .40891 L
.36309 .4093 L
.36436 .41084 L
.36439 .41091 L
.36577 .41251 L
.36596 .41275 L
.3673 .41412 L
.36757 .41478 L
.36837 .41572 L
.36917 .41684 L
.36951 .41733 L
.37078 .41886 L
.37093 .41894 L
.3722 .42054 L
.37238 .42078 L
.37354 .42215 L
.37399 .42287 L
.37465 .42375 L
.37559 .42498 L
.37575 .42536 L
.3772 .4269 L
.37725 .42696 L
.37863 .42857 L
.3788 .42897 L
.37975 .43017 L
.38041 .4311 L
.38084 .43178 L
.38201 .43321 L
.38226 .43338 L
.3835 .43499 L
.38362 .43515 L
.38481 .43659 L
.38523 .43726 L
.38591 .4382 L
.38683 .4394 L
.38698 .4398 L
.38844 .4414 L
.38847 .44141 L
.38984 .44301 L
.39004 .44346 L
.39095 .44462 L
.39165 .44559 L
.39203 .44622 L
.39325 .44769 L
.39343 .44783 L
.39466 .44943 L
.39486 .44968 L
.39598 .45104 L
.39646 .4518 L
.39707 .45265 L
.39807 .45393 L
.39817 .45425 L
.3996 .45586 L
.39967 .45593 L
.40101 .45746 L
.40128 .45803 L
.40209 .45907 L
.40288 .46016 L
.40319 .46067 L
.40449 .46223 L
.40454 .46228 L
.40606 .46388 L
.40609 .46426 L
.40711 .46549 L
.4077 .46639 L
.40819 .46709 L
.4093 .4685 L
.40936 .4687 L
.4107 .4703 L
.41091 .47051 L
.41215 .47191 L
.41251 .47263 L
.4132 .47351 L
.41412 .47476 L
.41432 .47512 L
.41563 .47672 L
.41572 .47678 L
.41724 .47833 L
.41733 .47886 L
.41822 .47993 L
.41894 .48101 L
.4193 .48154 L
.42054 .48312 L
.42055 .48314 L
.42178 .48475 L
.42215 .48509 L
.42326 .48636 L
.42375 .48725 L
.42429 .48796 L
.42536 .4894 L
.42545 .48957 L
.4267 .49117 L
.42696 .49131 L
.42837 .49278 L
.42857 .49348 L
.42929 .49438 L
.43017 .49567 L
.43039 .49599 L
.43162 .49759 L
.43178 .4978 L
.43283 .4992 L
.43338 .49969 L
.43433 .5008 L
.43499 .50192 L
.43535 .50241 L
.43653 .50401 L
.43659 .50409 L
.43774 .50562 L
.4382 .50585 L
.43943 .50722 L
.4398 .50817 L
.44032 .50883 L
.44141 .51039 L
.44144 .51043 L
.44263 .51204 L
.44301 .51252 L
.44385 .51364 L
.44462 .5144 L
.44531 .51525 L
.44622 .51671 L
.44633 .51686 L
.44751 .51846 L
.44783 .51887 L
.44871 .52007 L
.44943 .521 L
.45032 .52167 L
.45104 .52305 L
.45121 .52328 L
.45235 .52488 L
.45265 .52526 L
.45353 .52649 L
.45425 .52742 L
.45474 .52809 L
.45586 .52948 L
.45602 .5297 L
.45712 .5313 L
.45746 .53176 L
.45827 .53291 L
.45907 .53397 L
.45944 .53451 L
.46062 .53612 L
.46067 .53619 L
.4617 .53772 L
.46228 .53853 L
.46278 .53933 L
.46388 .54093 L
.46388 .54094 L
.46469 .54254 L
.46388 .54281 L
.46358 .54254 L
.46228 .54159 L
.4619 .54093 L
.46067 .53967 L
.46037 .53933 L
.45907 .53788 L
.45888 .53772 L
.45748 .53612 L
.45746 .53609 L
.45608 .53451 L
.45586 .5343 L
.45469 .53291 L
.45425 .53236 L
.45318 .5313 L
.45265 .53039 L
.45207 .5297 L
.45104 .5284 L
.45087 .52809 L
.44943 .52658 L
.44936 .52649 L
.44789 .52488 L
.44783 .52458 L
.44676 .52328 L
.44622 .52251 L
.44564 .52167 L
.44462 .5204 L
.44416 .52007 L
.44301 .5186 L
.4429 .51846 L
.4416 .51686 L
.44141 .51654 L
.44045 .51525 L
.4398 .5144 L
.43941 .51364 L
.4382 .51222 L
.43781 .51204 L
.43659 .51045 L
.43658 .51043 L
.43534 .50883 L
.43499 .50833 L
.43426 .50722 L
.43338 .50614 L
.43279 .50562 L
.43178 .50428 L
.43156 .50401 L
.43031 .50241 L
.43017 .50218 L
.42917 .5008 L
.42857 .50002 L
.42816 .4992 L
.42696 .49782 L
.42658 .49759 L
.42536 .49599 L
.42536 .49599 L
.42413 .49438 L
.42375 .49385 L
.42306 .49278 L
.42215 .49167 L
.42161 .49117 L
.42054 .48975 L
.42039 .48957 L
.41913 .48796 L
.41894 .48764 L
.41801 .48636 L
.41733 .48549 L
.417 .48475 L
.41572 .48333 L
.41544 .48314 L
.41417 .48154 L
.41412 .48141 L
.413 .47993 L
.41251 .47928 L
.41193 .47833 L
.41091 .47712 L
.4105 .47672 L
.4093 .47512 L
.40928 .47512 L
.408 .47351 L
.4077 .47305 L
.40689 .47191 L
.40609 .4709 L
.40586 .4703 L
.40449 .46881 L
.40434 .4687 L
.40301 .46709 L
.40288 .4668 L
.40188 .46549 L
.40128 .46467 L
.40081 .46388 L
.39967 .46254 L
.39941 .46228 L
.39819 .46067 L
.39807 .46054 L
.39688 .45907 L
.39646 .45843 L
.39579 .45746 L
.39486 .45629 L
.39471 .45586 L
.39327 .45425 L
.39325 .45424 L
.39187 .45265 L
.39165 .45218 L
.39079 .45104 L
.39004 .45004 L
.3897 .44943 L
.38844 .44793 L
.38834 .44783 L
.38712 .44622 L
.38683 .44593 L
.38578 .44462 L
.38523 .44378 L
.3847 .44301 L
.38362 .44165 L
.38355 .44141 L
.38221 .4398 L
.38201 .43966 L
.38075 .4382 L
.38041 .43753 L
.37972 .43659 L
.3788 .43536 L
.3786 .43499 L
.37731 .43338 L
.3772 .43324 L
.37566 .43178 L
.37559 .43128 L
.37473 .43017 L
.37399 .42907 L
.37365 .42857 L
.37242 .42696 L
.37238 .42691 L
.37122 .42536 L
.37078 .42505 L
.36972 .42375 L
.36917 .42277 L
.36873 .42215 L
.36757 .42055 L
.36756 .42054 L
.36637 .41894 L
.36596 .4184 L
.36464 .41733 L
.36436 .41644 L
.36383 .41572 L
.36275 .41413 L
.36275 .41412 L
.36158 .41251 L
.36115 .41194 L
.3604 .41091 L
.35954 .41004 L
.35901 .4093 L
.35803 .4077 L
.35794 .40757 L
.35691 .40609 L
.35633 .40531 L
.35577 .40449 L
.35473 .40303 L
.35451 .40288 L
.35357 .40128 L
.35312 .40062 L
.35255 .39967 L
F
1 .82 .004 r
.35312 .41171 m
.35384 .41251 L
.35473 .41343 L
.35531 .41412 L
.35633 .41525 L
.35672 .41572 L
.35794 .41699 L
.35811 .41733 L
.35945 .41894 L
.35954 .41904 L
.36075 .42054 L
.36115 .421 L
.36206 .42215 L
.36275 .42297 L
.36337 .42375 L
.36436 .42481 L
.36467 .42536 L
.36596 .42695 L
.36597 .42696 L
.36723 .42857 L
.36757 .42898 L
.36849 .43017 L
.36917 .43063 L
.36977 .43178 L
.37078 .43295 L
.37122 .43338 L
.37231 .43499 L
.37238 .43508 L
.37355 .43659 L
.37399 .43714 L
.3748 .4382 L
.37559 .43898 L
.37653 .4398 L
.3772 .44123 L
.37737 .44141 L
.37855 .44301 L
.3788 .44333 L
.37978 .44462 L
.38041 .44496 L
.38102 .44622 L
.38201 .44739 L
.38244 .44783 L
.38351 .44943 L
.38362 .44958 L
.38472 .45104 L
.38523 .45168 L
.38594 .45265 L
.38683 .45355 L
.38756 .45425 L
.38843 .45586 L
.38844 .45587 L
.38962 .45746 L
.39004 .458 L
.39083 .45907 L
.39165 .46011 L
.39206 .46067 L
.39325 .4622 L
.39332 .46228 L
.39447 .46388 L
.39486 .46438 L
.39566 .46549 L
.39646 .46652 L
.39687 .46709 L
.39807 .46863 L
.39813 .4687 L
.39924 .4703 L
.39967 .47086 L
.4004 .47191 L
.40128 .47306 L
.40159 .47351 L
.40277 .47512 L
.40288 .47527 L
.40385 .47672 L
.40449 .47759 L
.40495 .47833 L
.40449 .47959 L
.40337 .47833 L
.40288 .47781 L
.40195 .47672 L
.40128 .47597 L
.40056 .47512 L
.39967 .47456 L
.3992 .47351 L
.39807 .47221 L
.39765 .47191 L
.39654 .4703 L
.39646 .47021 L
.39523 .4687 L
.39486 .46825 L
.39392 .46709 L
.39325 .46649 L
.39261 .46549 L
.39165 .46431 L
.39122 .46388 L
.39005 .46228 L
.39004 .46227 L
.38878 .46067 L
.38844 .46025 L
.3875 .45907 L
.38683 .45834 L
.38589 .45746 L
.38523 .4562 L
.38494 .45586 L
.38371 .45425 L
.38362 .45414 L
.38246 .45265 L
.38201 .45231 L
.3812 .45104 L
.38041 .45009 L
.37983 .44943 L
.3788 .44796 L
.37871 .44783 L
.37747 .44622 L
.3772 .44588 L
.37623 .44462 L
.37559 .44394 L
.37469 .44301 L
.37399 .44173 L
.37373 .44141 L
.37253 .4398 L
.37238 .43961 L
.37131 .4382 L
.37078 .43782 L
.37008 .43659 L
.36917 .43547 L
.36876 .43499 L
.36765 .43338 L
.36757 .43328 L
.36645 .43178 L
.36596 .43114 L
.36523 .43017 L
.36436 .42917 L
.36381 .42857 L
.36283 .42696 L
.36275 .42686 L
.36165 .42536 L
.36115 .42469 L
.36046 .42375 L
.35954 .4228 L
.35927 .42215 L
.35811 .42054 L
.35794 .4203 L
.35698 .41894 L
.35633 .41806 L
.35583 .41733 L
.35473 .41579 L
.35468 .41572 L
.35364 .41412 L
.35312 .41337 L
.35261 .41251 L
F
.045 .9 1 r
.35312 .4053 m
.35395 .40609 L
.35473 .4068 L
.35555 .4077 L
.35633 .40851 L
.35703 .4093 L
.35794 .40997 L
.35846 .41091 L
.35954 .41209 L
.36017 .41251 L
.36115 .41405 L
.36122 .41412 L
.36254 .41572 L
.36275 .41597 L
.36386 .41733 L
.36436 .41777 L
.36518 .41894 L
.36596 .41985 L
.36669 .42054 L
.36757 .42188 L
.3678 .42215 L
.36907 .42375 L
.36917 .42378 L
.37035 .42536 L
.37078 .42581 L
.37205 .42696 L
.37238 .42789 L
.37298 .42857 L
.37399 .42996 L
.37415 .43017 L
.37543 .43178 L
.37559 .4319 L
.37669 .43338 L
.3772 .43397 L
.37815 .43499 L
.3788 .43608 L
.37922 .43659 L
.38041 .43814 L
.38044 .4382 L
.3817 .4398 L
.38201 .44011 L
.38332 .44141 L
.38362 .44223 L
.38429 .44301 L
.38523 .44434 L
.38542 .44462 L
.38669 .44622 L
.38683 .44631 L
.38792 .44783 L
.38844 .4484 L
.38937 .44943 L
.39004 .45054 L
.39043 .45104 L
.39165 .45263 L
.39165 .45265 L
.39288 .45425 L
.39325 .45459 L
.39449 .45586 L
.39486 .45675 L
.39545 .45746 L
.39646 .45889 L
.39658 .45907 L
.39782 .46067 L
.39807 .46078 L
.39905 .46228 L
.39967 .46296 L
.40048 .46388 L
.40128 .46514 L
.40154 .46549 L
.40275 .46709 L
.40288 .46726 L
.40397 .4687 L
.40449 .46915 L
.40557 .4703 L
.40609 .47139 L
.40652 .47191 L
.40767 .47351 L
.4077 .47355 L
.40887 .47512 L
.4093 .4753 L
.41009 .47672 L
.41091 .47763 L
.4115 .47833 L
.41251 .47986 L
.41257 .47993 L
.41376 .48154 L
.41412 .482 L
.41497 .48314 L
.41572 .48386 L
.41651 .48475 L
.41733 .48619 L
.41746 .48636 L
.41862 .48796 L
.41894 .48836 L
.41982 .48957 L
.42054 .4905 L
.42103 .49117 L
.42215 .49257 L
.42232 .49278 L
.42344 .49438 L
.42375 .49479 L
.42461 .49599 L
.42536 .49696 L
.42581 .49759 L
.42696 .49906 L
.42707 .4992 L
.42816 .5008 L
.42857 .50134 L
.42931 .50241 L
.43017 .50357 L
.43047 .50401 L
.43162 .50562 L
.43178 .50583 L
.43267 .50722 L
.43338 .50824 L
.43373 .50883 L
.43338 .51016 L
.43208 .50883 L
.43178 .50853 L
.43059 .50722 L
.43017 .50678 L
.42915 .50562 L
.42857 .50497 L
.42773 .50401 L
.42696 .50321 L
.42635 .50241 L
.42536 .50122 L
.42492 .5008 L
.42375 .49928 L
.42368 .4992 L
.42234 .49759 L
.42215 .49746 L
.42101 .49599 L
.42054 .49543 L
.41946 .49438 L
.41894 .4934 L
.41842 .49278 L
.41733 .49139 L
.4172 .49117 L
.41582 .48957 L
.41572 .48946 L
.41453 .48796 L
.41412 .48743 L
.41321 .48636 L
.41251 .48536 L
.41209 .48475 L
.41091 .48331 L
.41088 .48314 L
.40946 .48154 L
.4093 .48136 L
.40805 .47993 L
.4077 .47928 L
.40697 .47833 L
.40609 .47718 L
.40585 .47672 L
.40449 .47516 L
.40442 .47512 L
.40293 .47351 L
.40288 .47315 L
.40188 .47191 L
.40128 .47104 L
.40079 .4703 L
.39967 .46894 L
.39964 .4687 L
.39819 .46709 L
.39807 .46696 L
.39681 .46549 L
.39646 .46486 L
.39574 .46388 L
.39486 .46274 L
.39463 .46228 L
.39325 .46069 L
.39323 .46067 L
.39174 .45907 L
.39165 .45865 L
.3907 .45746 L
.39004 .45652 L
.38961 .45586 L
.38844 .45442 L
.38842 .45425 L
.38705 .45265 L
.38683 .45241 L
.38567 .45104 L
.38523 .45028 L
.38461 .44943 L
.38362 .44815 L
.38347 .44783 L
.38214 .44622 L
.38201 .44614 L
.38059 .44462 L
.38041 .44403 L
.37961 .44301 L
.3788 .44187 L
.37851 .44141 L
.37724 .4398 L
.3772 .43976 L
.37602 .4382 L
.37559 .43777 L
.37461 .43659 L
.37399 .43557 L
.37357 .43499 L
.37238 .43341 L
.37237 .43338 L
.37116 .43178 L
.37078 .43153 L
.36955 .43017 L
.36917 .42925 L
.36865 .42857 L
.36757 .42702 L
.36753 .42696 L
.36634 .42536 L
.36596 .42486 L
.36514 .42375 L
.36436 .42289 L
.36377 .42215 L
.36275 .42055 L
.36275 .42054 L
.36159 .41894 L
.36115 .41834 L
.36042 .41733 L
.35954 .41642 L
.35899 .41572 L
.35809 .41412 L
.35794 .41391 L
.35698 .41251 L
.35633 .41161 L
.35586 .41091 L
.35474 .4093 L
.35473 .40928 L
.35376 .4077 L
.35312 .4067 L
.35281 .40609 L
F
.003 .81 1 r
.35312 .41869 m
.35331 .41894 L
.35473 .42045 L
.35479 .42054 L
.35473 .4218 L
.35394 .42054 L
.35312 .41943 L
.35285 .41894 L
F
1 .81 .003 r
.35312 .41209 m
.35353 .41251 L
.35473 .41365 L
.35513 .41412 L
.35633 .41542 L
.35659 .41572 L
.35794 .41722 L
.35799 .41733 L
.35933 .41894 L
.35954 .41918 L
.36065 .42054 L
.36115 .42112 L
.36197 .42215 L
.36275 .42307 L
.36329 .42375 L
.36436 .42493 L
.3646 .42536 L
.3659 .42696 L
.36596 .42704 L
.36716 .42857 L
.36757 .42906 L
.36843 .43017 L
.36917 .43071 L
.36971 .43178 L
.37078 .43304 L
.37114 .43338 L
.37225 .43499 L
.37238 .43515 L
.37349 .43659 L
.37399 .43721 L
.37474 .4382 L
.37559 .43906 L
.37645 .4398 L
.3772 .4413 L
.3773 .44141 L
.3785 .44301 L
.3788 .4434 L
.37973 .44462 L
.38041 .44503 L
.38097 .44622 L
.38201 .44746 L
.38237 .44783 L
.38346 .44943 L
.38362 .44964 L
.38467 .45104 L
.38523 .45174 L
.3859 .45265 L
.38683 .45363 L
.38747 .45425 L
.38837 .45586 L
.38844 .45593 L
.38957 .45746 L
.39004 .45806 L
.39078 .45907 L
.39165 .46018 L
.392 .46067 L
.39324 .46228 L
.39325 .46229 L
.39441 .46388 L
.39486 .46446 L
.3956 .46549 L
.39646 .46661 L
.39681 .46709 L
.39802 .4687 L
.39807 .46876 L
.39916 .4703 L
.39967 .47097 L
.40032 .47191 L
.40128 .47318 L
.40151 .47351 L
.40265 .47512 L
.40288 .47544 L
.40371 .47672 L
.40449 .47781 L
.40479 .47833 L
.40449 .47932 L
.40358 .47833 L
.40288 .47761 L
.40211 .47672 L
.40128 .4758 L
.4007 .47512 L
.39967 .47434 L
.39932 .47351 L
.39807 .47205 L
.39786 .47191 L
.39664 .4703 L
.39646 .47009 L
.39532 .4687 L
.39486 .46814 L
.39401 .46709 L
.39325 .46639 L
.3927 .46549 L
.39165 .46421 L
.39132 .46388 L
.39013 .46228 L
.39004 .46217 L
.38885 .46067 L
.38844 .46016 L
.38757 .45907 L
.38683 .45825 L
.38597 .45746 L
.38523 .45611 L
.38501 .45586 L
.38378 .45425 L
.38362 .45405 L
.38252 .45265 L
.38201 .45225 L
.38126 .45104 L
.38041 .45 L
.3799 .44943 L
.3788 .44788 L
.37877 .44783 L
.37753 .44622 L
.3772 .4458 L
.37629 .44462 L
.37559 .44387 L
.37475 .44301 L
.37399 .44165 L
.3738 .44141 L
.3726 .4398 L
.37238 .43953 L
.37137 .4382 L
.37078 .43775 L
.37014 .43659 L
.36917 .43538 L
.36884 .43499 L
.36772 .43338 L
.36757 .43319 L
.36651 .43178 L
.36596 .43105 L
.3653 .43017 L
.36436 .42905 L
.36392 .42857 L
.36291 .42696 L
.36275 .42676 L
.36173 .42536 L
.36115 .42458 L
.36055 .42375 L
.35954 .4226 L
.35936 .42215 L
.35822 .42054 L
.35794 .42016 L
.35709 .41894 L
.35633 .41789 L
.35595 .41733 L
.35484 .41572 L
.35473 .41557 L
.35385 .41412 L
.35312 .413 L
.35288 .41251 L
F
.033 .89 1 r
.35473 .40719 m
.35523 .4077 L
.35633 .40878 L
.3568 .4093 L
.35794 .41025 L
.35828 .41091 L
.35954 .4123 L
.35987 .41251 L
.36107 .41412 L
.36115 .41421 L
.36242 .41572 L
.36275 .41611 L
.36375 .41733 L
.36436 .41787 L
.36508 .41894 L
.36596 .41996 L
.36659 .42054 L
.36757 .42198 L
.36772 .42215 L
.369 .42375 L
.36917 .4238 L
.37028 .42536 L
.37078 .42588 L
.372 .42696 L
.37238 .42797 L
.37293 .42857 L
.37399 .43002 L
.3741 .43017 L
.37538 .43178 L
.37559 .43194 L
.37664 .43338 L
.3772 .43403 L
.3781 .43499 L
.3788 .43613 L
.37918 .43659 L
.38041 .43819 L
.38042 .4382 L
.38166 .4398 L
.38201 .44015 L
.3833 .44141 L
.38362 .44227 L
.38425 .44301 L
.38523 .44438 L
.38539 .44462 L
.38665 .44622 L
.38683 .44633 L
.38789 .44783 L
.38844 .44844 L
.38934 .44943 L
.39004 .45058 L
.3904 .45104 L
.39162 .45265 L
.39165 .45267 L
.39285 .45425 L
.39325 .45462 L
.39447 .45586 L
.39486 .45679 L
.39542 .45746 L
.39646 .45892 L
.39656 .45907 L
.39779 .46067 L
.39807 .4608 L
.39902 .46228 L
.39967 .46299 L
.40045 .46388 L
.40128 .46518 L
.40151 .46549 L
.40272 .46709 L
.40288 .4673 L
.40394 .4687 L
.40449 .46919 L
.40554 .4703 L
.40609 .47143 L
.40648 .47191 L
.40764 .47351 L
.4077 .47359 L
.40884 .47512 L
.4093 .47533 L
.41006 .47672 L
.41091 .47768 L
.41146 .47833 L
.41251 .47991 L
.41253 .47993 L
.41372 .48154 L
.41412 .48205 L
.41493 .48314 L
.41572 .48392 L
.41646 .48475 L
.41733 .48626 L
.41741 .48636 L
.41857 .48796 L
.41894 .48842 L
.41977 .48957 L
.42054 .49057 L
.42098 .49117 L
.42215 .49266 L
.42224 .49278 L
.42337 .49438 L
.42375 .49487 L
.42455 .49599 L
.42536 .49705 L
.42574 .49759 L
.42694 .4992 L
.42696 .49922 L
.42807 .5008 L
.42857 .50147 L
.4292 .50241 L
.43017 .50373 L
.43036 .50401 L
.43145 .50562 L
.43178 .50607 L
.43247 .50722 L
.43338 .50864 L
.43348 .50883 L
.43338 .50965 L
.43246 .50883 L
.43178 .50821 L
.43084 .50722 L
.43017 .50653 L
.42935 .50562 L
.42857 .50476 L
.42791 .50401 L
.42696 .50302 L
.4265 .50241 L
.42536 .50106 L
.42508 .5008 L
.42379 .4992 L
.42375 .49915 L
.42245 .49759 L
.42215 .49738 L
.42111 .49599 L
.42054 .49532 L
.41954 .49438 L
.41894 .49329 L
.4185 .49278 L
.41733 .49131 L
.41725 .49117 L
.4159 .48957 L
.41572 .48939 L
.4146 .48796 L
.41412 .48734 L
.41327 .48636 L
.41251 .48528 L
.41214 .48475 L
.41091 .48326 L
.41089 .48314 L
.40951 .48154 L
.4093 .48129 L
.40809 .47993 L
.4077 .47921 L
.40702 .47833 L
.40609 .47713 L
.40588 .47672 L
.40449 .47513 L
.40447 .47512 L
.40294 .47351 L
.40288 .47309 L
.40192 .47191 L
.40128 .47098 L
.40082 .4703 L
.39967 .4689 L
.39964 .4687 L
.39823 .46709 L
.39807 .46691 L
.39684 .46549 L
.39646 .46481 L
.39577 .46388 L
.39486 .46269 L
.39465 .46228 L
.39326 .46067 L
.39325 .46066 L
.39175 .45907 L
.39165 .4586 L
.39073 .45746 L
.39004 .45647 L
.38964 .45586 L
.38844 .45438 L
.38842 .45425 L
.38709 .45265 L
.38683 .45237 L
.38569 .45104 L
.38523 .45024 L
.38464 .44943 L
.38362 .4481 L
.38349 .44783 L
.38217 .44622 L
.38201 .44611 L
.3806 .44462 L
.38041 .44398 L
.37965 .44301 L
.3788 .44182 L
.37855 .44141 L
.37728 .4398 L
.3772 .4397 L
.37606 .4382 L
.37559 .43772 L
.37465 .43659 L
.37399 .43551 L
.37362 .43499 L
.37241 .43338 L
.37238 .43335 L
.37121 .43178 L
.37078 .43148 L
.36959 .43017 L
.36917 .42917 L
.36871 .42857 L
.36758 .42696 L
.36757 .42694 L
.3664 .42536 L
.36596 .42477 L
.36521 .42375 L
.36436 .42278 L
.36386 .42215 L
.36283 .42054 L
.36275 .42044 L
.36168 .41894 L
.36115 .41822 L
.36051 .41733 L
.35954 .41621 L
.35917 .41572 L
.35822 .41412 L
.35794 .41373 L
.35712 .41251 L
.35633 .41139 L
.35602 .41091 L
.35498 .4093 L
.35473 .40893 L
.35408 .4077 L
F
1 .8 .002 r
.35473 .41393 m
.3549 .41412 L
.35633 .41561 L
.35643 .41572 L
.35784 .41733 L
.35794 .41743 L
.3592 .41894 L
.35954 .41932 L
.36054 .42054 L
.36115 .42124 L
.36187 .42215 L
.36275 .42318 L
.36321 .42375 L
.36436 .42506 L
.36453 .42536 L
.36582 .42696 L
.36596 .42713 L
.36709 .42857 L
.36757 .42914 L
.36837 .43017 L
.36917 .4308 L
.36965 .43178 L
.37078 .43313 L
.37105 .43338 L
.37219 .43499 L
.37238 .43522 L
.37343 .43659 L
.37399 .43728 L
.37469 .4382 L
.37559 .43914 L
.37637 .4398 L
.3772 .44137 L
.37723 .44141 L
.37844 .44301 L
.3788 .44346 L
.37968 .44462 L
.38041 .4451 L
.38093 .44622 L
.38201 .44754 L
.38229 .44783 L
.3834 .44943 L
.38362 .4497 L
.38462 .45104 L
.38523 .45181 L
.38585 .45265 L
.38683 .45372 L
.38738 .45425 L
.38832 .45586 L
.38844 .456 L
.38951 .45746 L
.39004 .45813 L
.39072 .45907 L
.39165 .46025 L
.39195 .46067 L
.39317 .46228 L
.39325 .46237 L
.39434 .46388 L
.39486 .46454 L
.39553 .46549 L
.39646 .4667 L
.39674 .46709 L
.39794 .4687 L
.39807 .46886 L
.39907 .4703 L
.39967 .47109 L
.40023 .47191 L
.40128 .47331 L
.40141 .47351 L
.4025 .47512 L
.40288 .47564 L
.40354 .47672 L
.40449 .47813 L
.40459 .47833 L
.40449 .47893 L
.40387 .47833 L
.40288 .47738 L
.4023 .47672 L
.40128 .47562 L
.40084 .47512 L
.39967 .47406 L
.39945 .47351 L
.39809 .47191 L
.39807 .47189 L
.39675 .4703 L
.39646 .46997 L
.39542 .4687 L
.39486 .46802 L
.3941 .46709 L
.39325 .46627 L
.39278 .46549 L
.39165 .4641 L
.39142 .46388 L
.39021 .46228 L
.39004 .46208 L
.38892 .46067 L
.38844 .46007 L
.38764 .45907 L
.38683 .45816 L
.38605 .45746 L
.38523 .45603 L
.38508 .45586 L
.38384 .45425 L
.38362 .45397 L
.38258 .45265 L
.38201 .45218 L
.38132 .45104 L
.38041 .44992 L
.37997 .44943 L
.37883 .44783 L
.3788 .4478 L
.37759 .44622 L
.3772 .44572 L
.37635 .44462 L
.37559 .44379 L
.37483 .44301 L
.37399 .44157 L
.37386 .44141 L
.37266 .4398 L
.37238 .43945 L
.37144 .4382 L
.37078 .43768 L
.37021 .43659 L
.36917 .43528 L
.36892 .43499 L
.36778 .43338 L
.36757 .4331 L
.36658 .43178 L
.36596 .43096 L
.36537 .43017 L
.36436 .42893 L
.36403 .42857 L
.36299 .42696 L
.36275 .42665 L
.36182 .42536 L
.36115 .42446 L
.36063 .42375 L
.35954 .42237 L
.35945 .42215 L
.35833 .42054 L
.35794 .42 L
.35721 .41894 L
.35633 .41771 L
.35608 .41733 L
.35504 .41572 L
.35473 .41526 L
.35414 .41412 L
F
1 .95 .212 r
.35473 .40062 m
.35545 .40128 L
.35633 .40208 L
.3571 .40288 L
.35794 .40325 L
.35862 .40449 L
.35954 .40542 L
.36007 .40609 L
.36115 .40732 L
.36159 .4077 L
.36275 .4092 L
.36285 .4093 L
.36421 .41091 L
.36436 .41103 L
.36555 .41251 L
.36596 .41299 L
.36718 .41412 L
.36757 .415 L
.36821 .41572 L
.36917 .41701 L
.3694 .41733 L
.37078 .41893 L
.37079 .41894 L
.37208 .42054 L
.37238 .42093 L
.37345 .42215 L
.37399 .423 L
.37456 .42375 L
.37559 .42508 L
.37571 .42536 L
.37716 .42696 L
.3772 .427 L
.37859 .42857 L
.3788 .42907 L
.37968 .43017 L
.38041 .43118 L
.38079 .43178 L
.38201 .43326 L
.3822 .43338 L
.38344 .43499 L
.38362 .43522 L
.38476 .43659 L
.38523 .43733 L
.38586 .4382 L
.38683 .43945 L
.38696 .4398 L
.38842 .44141 L
.38844 .44142 L
.38982 .44301 L
.39004 .44351 L
.39091 .44462 L
.39165 .44564 L
.39201 .44622 L
.39325 .44772 L
.39339 .44783 L
.39462 .44943 L
.39486 .44972 L
.39595 .45104 L
.39646 .45184 L
.39704 .45265 L
.39807 .45396 L
.39816 .45425 L
.39957 .45586 L
.39967 .45596 L
.40099 .45746 L
.40128 .45806 L
.40206 .45907 L
.40288 .46019 L
.40317 .46067 L
.40449 .46225 L
.40452 .46228 L
.40606 .46388 L
.40609 .46429 L
.40709 .46549 L
.4077 .46642 L
.40817 .46709 L
.4093 .46853 L
.40935 .4687 L
.41068 .4703 L
.41091 .47053 L
.41213 .47191 L
.41251 .47265 L
.41318 .47351 L
.41412 .47479 L
.41431 .47512 L
.41561 .47672 L
.41572 .4768 L
.41723 .47833 L
.41733 .47888 L
.4182 .47993 L
.41894 .48104 L
.41928 .48154 L
.42054 .48314 L
.42054 .48315 L
.42175 .48475 L
.42215 .48511 L
.42324 .48636 L
.42375 .48728 L
.42427 .48796 L
.42536 .48943 L
.42543 .48957 L
.42667 .49117 L
.42696 .49132 L
.42835 .49278 L
.42857 .49352 L
.42927 .49438 L
.43017 .4957 L
.43037 .49599 L
.43159 .49759 L
.43178 .49783 L
.4328 .4992 L
.43338 .49973 L
.4343 .5008 L
.43499 .50197 L
.43531 .50241 L
.4365 .50401 L
.43659 .50414 L
.4377 .50562 L
.4382 .50589 L
.43939 .50722 L
.4398 .50823 L
.44027 .50883 L
.44139 .51043 L
.44141 .51046 L
.44258 .51204 L
.44301 .51259 L
.44379 .51364 L
.44462 .51448 L
.44523 .51525 L
.44622 .51681 L
.44626 .51686 L
.44744 .51846 L
.44783 .51896 L
.44863 .52007 L
.44943 .5211 L
.4502 .52167 L
.45104 .52321 L
.45109 .52328 L
.45224 .52488 L
.45265 .52541 L
.45342 .52649 L
.45425 .52759 L
.45461 .52809 L
.45581 .5297 L
.45586 .52976 L
.45693 .5313 L
.45746 .53202 L
.45806 .53291 L
.45907 .53429 L
.45921 .53451 L
.46028 .53612 L
.46067 .53668 L
.46127 .53772 L
.46067 .53888 L
.45951 .53772 L
.45907 .53729 L
.45796 .53612 L
.45746 .5356 L
.45648 .53451 L
.45586 .53393 L
.45504 .53291 L
.45425 .53198 L
.45345 .5313 L
.45265 .53007 L
.45231 .5297 L
.45104 .52818 L
.45099 .52809 L
.44958 .52649 L
.44943 .52631 L
.44793 .52488 L
.44783 .52433 L
.44693 .52328 L
.44622 .52229 L
.44579 .52167 L
.44462 .52026 L
.44431 .52007 L
.44304 .51846 L
.44301 .51842 L
.4417 .51686 L
.44141 .51637 L
.44057 .51525 L
.4398 .51426 L
.43949 .51364 L
.4382 .51215 L
.43792 .51204 L
.43663 .51043 L
.43659 .51033 L
.43542 .50883 L
.43499 .50821 L
.43433 .50722 L
.43338 .50605 L
.43287 .50562 L
.43178 .50419 L
.43163 .50401 L
.43036 .50241 L
.43017 .5021 L
.42923 .5008 L
.42857 .49994 L
.42821 .4992 L
.42696 .49778 L
.42663 .49759 L
.42538 .49599 L
.42536 .49592 L
.42418 .49438 L
.42375 .49379 L
.4231 .49278 L
.42215 .49162 L
.42166 .49117 L
.42054 .4897 L
.42043 .48957 L
.41916 .48796 L
.41894 .4876 L
.41805 .48636 L
.41733 .48544 L
.41703 .48475 L
.41572 .48331 L
.41547 .48314 L
.41419 .48154 L
.41412 .48137 L
.41302 .47993 L
.41251 .47924 L
.41195 .47833 L
.41091 .47709 L
.41053 .47672 L
.40931 .47512 L
.4093 .47511 L
.40802 .47351 L
.4077 .47301 L
.40692 .47191 L
.40609 .47087 L
.40588 .4703 L
.40449 .46878 L
.40437 .4687 L
.40303 .46709 L
.40288 .46677 L
.40191 .46549 L
.40128 .46464 L
.40083 .46388 L
.39967 .46252 L
.39944 .46228 L
.39822 .46067 L
.39807 .46051 L
.3969 .45907 L
.39646 .45839 L
.39581 .45746 L
.39486 .45626 L
.39472 .45586 L
.39329 .45425 L
.39325 .45422 L
.39189 .45265 L
.39165 .45214 L
.39081 .45104 L
.39004 .45 L
.38972 .44943 L
.38844 .4479 L
.38838 .44783 L
.38716 .44622 L
.38683 .44589 L
.38581 .44462 L
.38523 .44374 L
.38473 .44301 L
.38362 .4416 L
.38356 .44141 L
.38225 .4398 L
.38201 .43963 L
.38078 .4382 L
.38041 .43748 L
.37976 .43659 L
.3788 .4353 L
.37863 .43499 L
.37736 .43338 L
.3772 .43317 L
.37568 .43178 L
.37559 .43122 L
.37478 .43017 L
.37399 .42899 L
.37371 .42857 L
.37249 .42696 L
.37238 .42683 L
.37129 .42536 L
.37078 .42498 L
.36979 .42375 L
.36917 .42266 L
.36881 .42215 L
.36765 .42054 L
.36757 .42043 L
.36647 .41894 L
.36596 .41827 L
.36475 .41733 L
.36436 .41626 L
.36397 .41572 L
.36289 .41412 L
.36275 .41394 L
.36174 .41251 L
.36115 .41172 L
.36057 .41091 L
.35954 .40965 L
.35929 .4093 L
.35828 .4077 L
.35794 .40723 L
.35718 .40609 L
.35633 .40488 L
.35608 .40449 L
.35507 .40288 L
.35473 .40235 L
.3542 .40128 L
F
.289 .96 1 r
.35473 .2806 m
.35633 .27972 L
.35794 .27939 L
.35954 .27945 L
.36115 .27963 L
.36275 .27994 L
.36436 .28039 L
.36575 .28088 L
.36596 .28096 L
.36757 .28165 L
.36912 .28249 L
.36917 .28252 L
.37078 .28353 L
.37151 .2841 L
.37238 .28476 L
.37331 .2857 L
.37399 .28626 L
.37461 .28731 L
.37537 .28891 L
.37534 .29052 L
.37399 .29168 L
.37238 .29203 L
.37078 .29199 L
.36917 .29175 L
.36757 .29136 L
.36596 .29084 L
.3651 .29052 L
.36436 .29021 L
.36275 .28947 L
.3617 .28891 L
.36115 .28861 L
.35954 .28761 L
.35911 .28731 L
.35794 .28647 L
.35705 .2857 L
.35633 .28518 L
.35548 .2841 L
.35473 .28296 L
.35451 .28249 L
.35453 .28088 L
F
1 .98 .538 r
.35473 .35895 m
.35585 .35954 L
.35633 .3599 L
.35762 .36115 L
.35794 .36145 L
.35911 .36275 L
.35954 .36321 L
.36051 .36436 L
.36115 .36467 L
.36185 .36596 L
.36275 .36692 L
.36346 .36757 L
.36436 .3691 L
.36442 .36917 L
.3656 .37078 L
.36596 .37128 L
.36674 .37238 L
.36757 .37364 L
.36778 .37399 L
.36837 .37559 L
.36757 .37592 L
.36701 .37559 L
.36596 .37481 L
.36513 .37399 L
.36436 .37354 L
.36367 .37238 L
.36275 .37145 L
.36193 .37078 L
.36115 .36933 L
.36101 .36917 L
.35983 .36757 L
.35954 .3672 L
.35864 .36596 L
.35794 .36499 L
.35749 .36436 L
.35639 .36275 L
.35633 .36267 L
.35543 .36115 L
.35473 .3598 L
.35463 .35954 L
F
.024 .88 1 r
.35633 .40909 m
.35654 .4093 L
.35794 .41062 L
.35808 .41091 L
.35953 .41251 L
.35954 .41253 L
.36092 .41412 L
.36115 .41437 L
.36229 .41572 L
.36275 .41625 L
.36364 .41733 L
.36436 .41799 L
.36499 .41894 L
.36596 .42007 L
.36648 .42054 L
.36757 .42207 L
.36763 .42215 L
.36892 .42375 L
.36917 .42383 L
.37021 .42536 L
.37078 .42595 L
.37194 .42696 L
.37238 .42804 L
.37286 .42857 L
.37399 .43008 L
.37406 .43017 L
.37533 .43178 L
.37559 .43198 L
.37659 .43338 L
.3772 .43409 L
.37806 .43499 L
.3788 .43619 L
.37913 .43659 L
.38038 .4382 L
.38041 .43824 L
.38162 .4398 L
.38201 .44019 L
.38327 .44141 L
.38362 .44232 L
.38421 .44301 L
.38523 .44442 L
.38536 .44462 L
.38662 .44622 L
.38683 .44635 L
.38786 .44783 L
.38844 .44848 L
.3893 .44943 L
.39004 .45062 L
.39037 .45104 L
.39159 .45265 L
.39165 .45271 L
.39282 .45425 L
.39325 .45465 L
.39444 .45586 L
.39486 .45682 L
.39539 .45746 L
.39646 .45896 L
.39653 .45907 L
.39776 .46067 L
.39807 .46082 L
.39899 .46228 L
.39967 .46303 L
.40042 .46388 L
.40128 .46521 L
.40149 .46549 L
.40269 .46709 L
.40288 .46734 L
.40391 .4687 L
.40449 .46922 L
.40551 .4703 L
.40609 .47147 L
.40645 .47191 L
.4076 .47351 L
.4077 .47364 L
.40881 .47512 L
.4093 .47536 L
.41003 .47672 L
.41091 .47773 L
.41142 .47833 L
.41249 .47993 L
.41251 .47996 L
.41368 .48154 L
.41412 .4821 L
.41489 .48314 L
.41572 .48398 L
.4164 .48475 L
.41733 .48633 L
.41735 .48636 L
.41853 .48796 L
.41894 .48849 L
.41972 .48957 L
.42054 .49063 L
.42093 .49117 L
.42215 .49276 L
.42216 .49278 L
.42331 .49438 L
.42375 .49496 L
.42448 .49599 L
.42536 .49715 L
.42567 .49759 L
.42685 .4992 L
.42696 .49934 L
.42796 .5008 L
.42857 .50162 L
.42909 .50241 L
.43017 .5039 L
.43024 .50401 L
.43126 .50562 L
.43178 .5064 L
.4322 .50722 L
.43178 .50783 L
.43116 .50722 L
.43017 .50627 L
.42957 .50562 L
.42857 .50455 L
.42809 .50401 L
.42696 .50282 L
.42666 .50241 L
.42536 .50089 L
.42526 .5008 L
.42391 .4992 L
.42375 .49901 L
.42256 .49759 L
.42215 .4973 L
.42121 .49599 L
.42054 .4952 L
.41963 .49438 L
.41894 .49319 L
.41858 .49278 L
.41733 .49122 L
.4173 .49117 L
.41598 .48957 L
.41572 .48931 L
.41468 .48796 L
.41412 .48726 L
.41333 .48636 L
.41251 .4852 L
.41219 .48475 L
.41091 .4832 L
.4109 .48314 L
.40957 .48154 L
.4093 .48123 L
.40813 .47993 L
.4077 .47915 L
.40707 .47833 L
.40609 .47707 L
.40591 .47672 L
.40452 .47512 L
.40449 .47509 L
.40295 .47351 L
.40288 .47303 L
.40196 .47191 L
.40128 .47093 L
.40086 .4703 L
.39967 .46885 L
.39965 .4687 L
.39827 .46709 L
.39807 .46686 L
.39687 .46549 L
.39646 .46476 L
.39581 .46388 L
.39486 .46265 L
.39467 .46228 L
.3933 .46067 L
.39325 .46063 L
.39176 .45907 L
.39165 .45856 L
.39077 .45746 L
.39004 .45643 L
.38967 .45586 L
.38844 .45434 L
.38843 .45425 L
.38713 .45265 L
.38683 .45233 L
.38572 .45104 L
.38523 .45019 L
.38467 .44943 L
.38362 .44806 L
.38351 .44783 L
.38221 .44622 L
.38201 .44608 L
.38062 .44462 L
.38041 .44393 L
.37969 .44301 L
.3788 .44177 L
.37858 .44141 L
.37732 .4398 L
.3772 .43965 L
.37611 .4382 L
.37559 .43767 L
.37469 .43659 L
.37399 .43545 L
.37366 .43499 L
.37246 .43338 L
.37238 .43328 L
.37126 .43178 L
.37078 .43143 L
.36964 .43017 L
.36917 .42909 L
.36877 .42857 L
.36765 .42696 L
.36757 .42686 L
.36647 .42536 L
.36596 .42469 L
.36528 .42375 L
.36436 .42266 L
.36396 .42215 L
.36292 .42054 L
.36275 .42032 L
.36177 .41894 L
.36115 .41809 L
.36061 .41733 L
.35954 .41596 L
.35936 .41572 L
.35836 .41412 L
.35794 .41353 L
.35728 .41251 L
.35633 .41113 L
.35619 .41091 L
.35528 .4093 L
F
.733 .99 1 r
.35633 .39593 m
.35693 .39646 L
.35794 .39738 L
.35862 .39807 L
.35954 .39892 L
.36018 .39967 L
.36115 .40075 L
.36189 .40128 L
.36275 .40258 L
.36307 .40288 L
.36436 .40441 L
.36442 .40449 L
.36586 .40609 L
.36596 .40621 L
.36722 .4077 L
.36757 .40816 L
.36858 .4093 L
.36917 .41018 L
.36974 .41091 L
.37078 .41225 L
.37087 .41251 L
.37238 .41401 L
.37248 .41412 L
.37382 .41572 L
.37399 .41605 L
.37498 .41733 L
.37559 .41818 L
.37606 .41894 L
.3772 .42037 L
.3776 .42054 L
.3788 .4221 L
.37885 .42215 L
.3801 .42375 L
.38041 .42422 L
.38121 .42536 L
.38201 .42642 L
.38218 .42696 L
.38362 .42825 L
.38387 .42857 L
.38513 .43017 L
.38523 .43035 L
.38629 .43178 L
.38683 .43252 L
.38733 .43338 L
.38844 .43476 L
.38886 .43499 L
.39004 .43654 L
.39008 .43659 L
.39132 .4382 L
.39165 .43868 L
.39241 .4398 L
.39325 .44089 L
.39336 .44141 L
.39486 .44278 L
.39504 .44301 L
.39631 .44462 L
.39646 .44489 L
.39745 .44622 L
.39807 .44706 L
.39848 .44783 L
.39967 .44925 L
.39999 .44943 L
.40125 .45104 L
.40128 .45113 L
.40246 .45265 L
.40288 .45327 L
.40354 .45425 L
.40449 .45544 L
.40453 .45586 L
.40609 .45739 L
.40615 .45746 L
.40745 .45907 L
.4077 .45949 L
.40857 .46067 L
.4093 .46165 L
.40962 .46228 L
.41091 .46376 L
.41109 .46388 L
.41244 .46549 L
.41251 .46574 L
.41358 .46709 L
.41412 .46787 L
.41466 .4687 L
.41572 .47001 L
.41602 .4703 L
.41725 .47191 L
.41733 .472 L
.41859 .47351 L
.41894 .47411 L
.41968 .47512 L
.42054 .47625 L
.42076 .47672 L
.42215 .4783 L
.42218 .47833 L
.4236 .47993 L
.42375 .48035 L
.42469 .48154 L
.42536 .48248 L
.42578 .48314 L
.42696 .48459 L
.42711 .48475 L
.42833 .48636 L
.42857 .4866 L
.42971 .48796 L
.43017 .48872 L
.43079 .48957 L
.43178 .49085 L
.43191 .49117 L
.43326 .49278 L
.43338 .49287 L
.43476 .49438 L
.43499 .49496 L
.43579 .49599 L
.43659 .49711 L
.4369 .49759 L
.43819 .4992 L
.4382 .4992 L
.43941 .5008 L
.4398 .50119 L
.44082 .50241 L
.44141 .50335 L
.44189 .50401 L
.44301 .50548 L
.44307 .50562 L
.44434 .50722 L
.44462 .50742 L
.44588 .50883 L
.44622 .50958 L
.44689 .51043 L
.44783 .51175 L
.44801 .51204 L
.44926 .51364 L
.44943 .51386 L
.45048 .51525 L
.45104 .51579 L
.45191 .51686 L
.45265 .518 L
.45297 .51846 L
.45419 .52007 L
.45425 .52014 L
.4554 .52167 L
.45586 .52197 L
.45697 .52328 L
.45746 .52423 L
.45795 .52488 L
.45907 .52642 L
.4591 .52649 L
.46032 .52809 L
.46067 .52854 L
.46154 .5297 L
.46228 .53044 L
.46295 .5313 L
.46388 .5327 L
.46403 .53291 L
.46523 .53451 L
.46549 .53484 L
.46644 .53612 L
.46709 .5366 L
.46799 .53772 L
.4687 .53896 L
.46897 .53933 L
.47013 .54093 L
.4703 .54116 L
.47133 .54254 L
.47191 .54328 L
.47255 .54414 L
.47351 .54523 L
.4739 .54575 L
.475 .54735 L
.47512 .5475 L
.47619 .54896 L
.47672 .54965 L
.47739 .55057 L
.47833 .55178 L
.47881 .55217 L
.47982 .55378 L
.47993 .55392 L
.48099 .55538 L
.48154 .5561 L
.48217 .55699 L
.48314 .55828 L
.48336 .55859 L
.48453 .5602 L
.48475 .56049 L
.48564 .5618 L
.48636 .56278 L
.48677 .56341 L
.48789 .56501 L
.48796 .56511 L
.48885 .56662 L
.48957 .56783 L
.48972 .56822 L
.48957 .56887 L
.48868 .56822 L
.48796 .56764 L
.4869 .56662 L
.48636 .56609 L
.48532 .56501 L
.48475 .56455 L
.48381 .56341 L
.48314 .56264 L
.48193 .5618 L
.48154 .56077 L
.48097 .5602 L
.47993 .55888 L
.47971 .55859 L
.47833 .55701 L
.47821 .55699 L
.47686 .55538 L
.47672 .55519 L
.4755 .55378 L
.47512 .55318 L
.47434 .55217 L
.47351 .55109 L
.47326 .55057 L
.47191 .54934 L
.47159 .54896 L
.47031 .54735 L
.4703 .54733 L
.46908 .54575 L
.4687 .54521 L
.46799 .54414 L
.46709 .54299 L
.46646 .54254 L
.46549 .54127 L
.46521 .54093 L
.46397 .53933 L
.46388 .53919 L
.46282 .53772 L
.46228 .537 L
.46186 .53612 L
.46067 .53513 L
.46018 .53451 L
.45907 .53305 L
.45895 .53291 L
.45775 .5313 L
.45746 .5309 L
.4567 .5297 L
.45586 .52864 L
.45519 .52809 L
.45425 .52685 L
.45396 .52649 L
.45274 .52488 L
.45265 .52474 L
.45162 .52328 L
.45104 .52252 L
.45068 .52167 L
.44943 .52061 L
.449 .52007 L
.44783 .51852 L
.44779 .51846 L
.44659 .51686 L
.44622 .51635 L
.44556 .51525 L
.44462 .51411 L
.44405 .51364 L
.44301 .51227 L
.44283 .51204 L
.4416 .51043 L
.44141 .51014 L
.4405 .50883 L
.4398 .50795 L
.43956 .50722 L
.4382 .50574 L
.43789 .50562 L
.43665 .50401 L
.43659 .5039 L
.43548 .50241 L
.43499 .50175 L
.43445 .5008 L
.43338 .49956 L
.43295 .4992 L
.43178 .49764 L
.43174 .49759 L
.43049 .49599 L
.43017 .49552 L
.4294 .49438 L
.42857 .49335 L
.42843 .49278 L
.42696 .49125 L
.4268 .49117 L
.42551 .48957 L
.42536 .48928 L
.42438 .48796 L
.42375 .48713 L
.42333 .48636 L
.42215 .485 L
.42187 .48475 L
.42057 .48314 L
.42054 .48302 L
.41938 .48154 L
.41894 .4809 L
.41829 .47993 L
.41733 .47876 L
.41727 .47833 L
.41572 .47673 L
.41572 .47672 L
.41438 .47512 L
.41412 .47466 L
.41328 .47351 L
.41251 .47252 L
.41221 .47191 L
.41091 .47042 L
.41079 .4703 L
.40938 .4687 L
.4093 .46841 L
.40827 .46709 L
.4077 .46628 L
.40718 .46549 L
.40609 .46415 L
.40607 .46388 L
.40464 .46228 L
.40449 .46214 L
.40326 .46067 L
.40288 .46004 L
.40218 .45907 L
.40128 .4579 L
.40107 .45746 L
.39971 .45586 L
.39967 .45584 L
.39821 .45425 L
.39807 .4538 L
.39717 .45265 L
.39646 .45165 L
.39608 .45104 L
.39486 .44952 L
.39478 .44943 L
.39357 .44783 L
.39325 .44757 L
.39215 .44622 L
.39165 .44541 L
.39109 .44462 L
.39004 .44325 L
.38993 .44301 L
.38865 .44141 L
.38844 .44133 L
.38708 .4398 L
.38683 .43918 L
.38609 .4382 L
.38523 .43698 L
.38498 .43659 L
.38373 .43499 L
.38362 .43485 L
.38252 .43338 L
.38201 .43297 L
.38107 .43178 L
.38041 .43073 L
.38002 .43017 L
.37882 .42857 L
.3788 .42855 L
.37762 .42696 L
.3772 .42642 L
.37601 .42536 L
.37559 .42448 L
.37507 .42375 L
.37399 .42223 L
.37394 .42215 L
.37273 .42054 L
.37238 .42009 L
.37153 .41894 L
.37078 .41823 L
.37011 .41733 L
.36917 .41589 L
.36906 .41572 L
.36789 .41412 L
.36757 .4137 L
.3667 .41251 L
.36596 .41155 L
.36517 .41091 L
.36436 .40945 L
.36425 .4093 L
.36312 .4077 L
.36275 .40721 L
.36196 .40609 L
.36115 .405 L
.36079 .40449 L
.35962 .40288 L
.35954 .40278 L
.35854 .40128 L
.35794 .40043 L
.35745 .39967 L
.35638 .39807 L
.35633 .398 L
.35555 .39646 L
F
.003 .81 1 r
.35633 .42237 m
.35741 .42375 L
.35794 .42434 L
.35871 .42536 L
.35954 .42632 L
.36002 .42696 L
.36115 .42832 L
.36133 .42857 L
.36261 .43017 L
.36275 .43034 L
.36382 .43178 L
.36436 .43242 L
.36506 .43338 L
.36596 .43448 L
.36633 .43499 L
.36757 .43654 L
.3676 .43659 L
.36878 .4382 L
.36917 .43867 L
.36997 .4398 L
.37078 .44081 L
.3712 .44141 L
.37238 .44292 L
.37245 .44301 L
.37357 .44462 L
.37399 .44514 L
.37469 .44622 L
.37559 .44739 L
.37586 .44783 L
.37559 .44851 L
.37503 .44783 L
.37399 .44667 L
.37363 .44622 L
.37238 .44475 L
.37228 .44462 L
.37099 .44301 L
.37078 .44277 L
.36971 .44141 L
.36917 .44077 L
.36842 .4398 L
.36757 .43876 L
.36713 .4382 L
.36596 .43673 L
.36586 .43659 L
.36463 .43499 L
.36436 .43466 L
.3634 .43338 L
.36275 .43258 L
.36215 .43178 L
.36115 .43049 L
.36091 .43017 L
.3597 .42857 L
.35954 .42837 L
.35853 .42696 L
.35794 .42621 L
.35733 .42536 L
.35633 .42405 L
.35612 .42375 L
F
1 .79 .001 r
.35633 .41585 m
.35766 .41733 L
.35794 .41761 L
.35905 .41894 L
.35954 .41946 L
.36042 .42054 L
.36115 .42136 L
.36178 .42215 L
.36275 .42329 L
.36312 .42375 L
.36436 .42519 L
.36445 .42536 L
.36573 .42696 L
.36596 .42723 L
.36701 .42857 L
.36757 .42923 L
.3683 .43017 L
.36917 .4309 L
.36959 .43178 L
.37078 .43322 L
.37095 .43338 L
.37213 .43499 L
.37238 .4353 L
.37338 .43659 L
.37399 .43735 L
.37464 .4382 L
.37559 .43922 L
.37627 .4398 L
.37717 .44141 L
.3772 .44145 L
.37839 .44301 L
.3788 .44353 L
.37963 .44462 L
.38041 .44517 L
.38088 .44622 L
.38201 .44762 L
.38222 .44783 L
.38335 .44943 L
.38362 .44977 L
.38457 .45104 L
.38523 .45187 L
.3858 .45265 L
.38683 .45381 L
.38729 .45425 L
.38826 .45586 L
.38844 .45608 L
.38945 .45746 L
.39004 .45821 L
.39067 .45907 L
.39165 .46033 L
.3919 .46067 L
.39311 .46228 L
.39325 .46246 L
.39428 .46388 L
.39486 .46463 L
.39547 .46549 L
.39646 .46679 L
.39668 .46709 L
.39785 .4687 L
.39807 .46898 L
.39898 .4703 L
.39967 .47122 L
.40013 .47191 L
.40128 .47346 L
.40131 .47351 L
.40233 .47512 L
.40288 .4759 L
.40331 .47672 L
.40288 .4771 L
.40253 .47672 L
.40128 .47542 L
.40101 .47512 L
.39967 .47373 L
.39959 .47351 L
.39822 .47191 L
.39807 .47174 L
.39687 .4703 L
.39646 .46984 L
.39552 .4687 L
.39486 .46791 L
.39419 .46709 L
.39325 .46614 L
.39287 .46549 L
.39165 .46399 L
.39154 .46388 L
.39029 .46228 L
.39004 .46198 L
.389 .46067 L
.38844 .45998 L
.38771 .45907 L
.38683 .45807 L
.38615 .45746 L
.38523 .45594 L
.38516 .45586 L
.38391 .45425 L
.38362 .45389 L
.38265 .45265 L
.38201 .45211 L
.38139 .45104 L
.38041 .44984 L
.38004 .44943 L
.37889 .44783 L
.3788 .44772 L
.37766 .44622 L
.3772 .44564 L
.37641 .44462 L
.37559 .4437 L
.37491 .44301 L
.37399 .44148 L
.37393 .44141 L
.37272 .4398 L
.37238 .43937 L
.3715 .4382 L
.37078 .43759 L
.37027 .43659 L
.36917 .43518 L
.36901 .43499 L
.36785 .43338 L
.36757 .43301 L
.36665 .43178 L
.36596 .43087 L
.36545 .43017 L
.36436 .42879 L
.36416 .42857 L
.36308 .42696 L
.36275 .42654 L
.36191 .42536 L
.36115 .42434 L
.36073 .42375 L
.35955 .42215 L
.35954 .42213 L
.35846 .42054 L
.35794 .41983 L
.35734 .41894 L
.35633 .41749 L
.35623 .41733 L
F
1 .94 .156 r
.35794 .40417 m
.35808 .40449 L
.35954 .40594 L
.35966 .40609 L
.36114 .4077 L
.36115 .40771 L
.36256 .4093 L
.36275 .40951 L
.36396 .41091 L
.36436 .41122 L
.36534 .41251 L
.36596 .41323 L
.36702 .41412 L
.36757 .4152 L
.36805 .41572 L
.36917 .41717 L
.3693 .41733 L
.37065 .41894 L
.37078 .41907 L
.37195 .42054 L
.37238 .42108 L
.37335 .42215 L
.37399 .42313 L
.37447 .42375 L
.37559 .42517 L
.37567 .42536 L
.37708 .42696 L
.3772 .4271 L
.37854 .42857 L
.3788 .42917 L
.37962 .43017 L
.38041 .43126 L
.38074 .43178 L
.38201 .4333 L
.38214 .43338 L
.38338 .43499 L
.38362 .43528 L
.38472 .43659 L
.38523 .43739 L
.38582 .4382 L
.38683 .4395 L
.38694 .4398 L
.38838 .44141 L
.38844 .44147 L
.38979 .44301 L
.39004 .44356 L
.39088 .44462 L
.39165 .44568 L
.39198 .44622 L
.39325 .44775 L
.39336 .44783 L
.39459 .44943 L
.39486 .44976 L
.39593 .45104 L
.39646 .45188 L
.39702 .45265 L
.39807 .45399 L
.39815 .45425 L
.39955 .45586 L
.39967 .45599 L
.40098 .45746 L
.40128 .45809 L
.40204 .45907 L
.40288 .46022 L
.40315 .46067 L
.40449 .46227 L
.40449 .46228 L
.40605 .46388 L
.40609 .46432 L
.40707 .46549 L
.4077 .46645 L
.40816 .46709 L
.4093 .46855 L
.40934 .4687 L
.41065 .4703 L
.41091 .47055 L
.41212 .47191 L
.41251 .47268 L
.41316 .47351 L
.41412 .47481 L
.41429 .47512 L
.41558 .47672 L
.41572 .47681 L
.41722 .47833 L
.41733 .47891 L
.41818 .47993 L
.41894 .48107 L
.41927 .48154 L
.42051 .48314 L
.42054 .48318 L
.42173 .48475 L
.42215 .48513 L
.42322 .48636 L
.42375 .48731 L
.42425 .48796 L
.42536 .48946 L
.42541 .48957 L
.42665 .49117 L
.42696 .49134 L
.42833 .49278 L
.42857 .49355 L
.42924 .49438 L
.43017 .49574 L
.43034 .49599 L
.43156 .49759 L
.43178 .49787 L
.43277 .4992 L
.43338 .49977 L
.43426 .5008 L
.43499 .50202 L
.43528 .50241 L
.43646 .50401 L
.43659 .50419 L
.43766 .50562 L
.4382 .50593 L
.43934 .50722 L
.4398 .5083 L
.44022 .50883 L
.44134 .51043 L
.44141 .51052 L
.44253 .51204 L
.44301 .51266 L
.44374 .51364 L
.44462 .51458 L
.44516 .51525 L
.44619 .51686 L
.44622 .5169 L
.44736 .51846 L
.44783 .51906 L
.44856 .52007 L
.44943 .52121 L
.45007 .52167 L
.45098 .52328 L
.45104 .52336 L
.45212 .52488 L
.45265 .52557 L
.45329 .52649 L
.45425 .52777 L
.45448 .52809 L
.45562 .5297 L
.45586 .53001 L
.45672 .5313 L
.45746 .53234 L
.45782 .53291 L
.4589 .53451 L
.45907 .53476 L
.45977 .53612 L
.45907 .53659 L
.45856 .53612 L
.45746 .53506 L
.45693 .53451 L
.45586 .53349 L
.45542 .53291 L
.45425 .53161 L
.45383 .5313 L
.45265 .52978 L
.45257 .5297 L
.45117 .52809 L
.45104 .52803 L
.4498 .52649 L
.44943 .52607 L
.44799 .52488 L
.44783 .5241 L
.44709 .52328 L
.44622 .5221 L
.44591 .52167 L
.44462 .52015 L
.44447 .52007 L
.44317 .51846 L
.44301 .51825 L
.44179 .51686 L
.44141 .51621 L
.44067 .51525 L
.4398 .51413 L
.43956 .51364 L
.4382 .5121 L
.43802 .51204 L
.43666 .51043 L
.43659 .51021 L
.4355 .50883 L
.43499 .50811 L
.4344 .50722 L
.43338 .50597 L
.43294 .50562 L
.43178 .50411 L
.4317 .50401 L
.43041 .50241 L
.43017 .50202 L
.42929 .5008 L
.42857 .49987 L
.42825 .4992 L
.42696 .49774 L
.42668 .49759 L
.4254 .49599 L
.42536 .49586 L
.42422 .49438 L
.42375 .49373 L
.42314 .49278 L
.42215 .49157 L
.4217 .49117 L
.42054 .48965 L
.42047 .48957 L
.4192 .48796 L
.41894 .48755 L
.41808 .48636 L
.41733 .4854 L
.41705 .48475 L
.41572 .48328 L
.41551 .48314 L
.41421 .48154 L
.41412 .48133 L
.41305 .47993 L
.41251 .4792 L
.41198 .47833 L
.41091 .47706 L
.41056 .47672 L
.40934 .47512 L
.4093 .47508 L
.40804 .47351 L
.4077 .47298 L
.40695 .47191 L
.40609 .47084 L
.40589 .4703 L
.40449 .46876 L
.4044 .4687 L
.40304 .46709 L
.40288 .46674 L
.40193 .46549 L
.40128 .4646 L
.40085 .46388 L
.39967 .46249 L
.39947 .46228 L
.39824 .46067 L
.39807 .46048 L
.39692 .45907 L
.39646 .45836 L
.39584 .45746 L
.39486 .45623 L
.39474 .45586 L
.39332 .45425 L
.39325 .45419 L
.3919 .45265 L
.39165 .45211 L
.39084 .45104 L
.39004 .44996 L
.38974 .44943 L
.38844 .44786 L
.38841 .44783 L
.38719 .44622 L
.38683 .44585 L
.38584 .44462 L
.38523 .4437 L
.38476 .44301 L
.38362 .44155 L
.38358 .44141 L
.38229 .4398 L
.38201 .4396 L
.38081 .4382 L
.38041 .43742 L
.3798 .43659 L
.3788 .43524 L
.37866 .43499 L
.37741 .43338 L
.3772 .43311 L
.3757 .43178 L
.37559 .43115 L
.37484 .43017 L
.37399 .42891 L
.37376 .42857 L
.37255 .42696 L
.37238 .42674 L
.37136 .42536 L
.37078 .42489 L
.36987 .42375 L
.36917 .42253 L
.3689 .42215 L
.36775 .42054 L
.36757 .4203 L
.36657 .41894 L
.36596 .41812 L
.36488 .41733 L
.36436 .41605 L
.36412 .41572 L
.36304 .41412 L
.36275 .41374 L
.3619 .41251 L
.36115 .41149 L
.36075 .41091 L
.35961 .4093 L
.35954 .40921 L
.35856 .4077 L
.35794 .4068 L
.35751 .40609 L
.35653 .40449 L
F
.018 .87 1 r
.35794 .41101 m
.35932 .41251 L
.35954 .41273 L
.36076 .41412 L
.36115 .41454 L
.36215 .41572 L
.36275 .41639 L
.36353 .41733 L
.36436 .41811 L
.36489 .41894 L
.36596 .42019 L
.36636 .42054 L
.36755 .42215 L
.36757 .42217 L
.36884 .42375 L
.36917 .42386 L
.37014 .42536 L
.37078 .42603 L
.37188 .42696 L
.37238 .42812 L
.3728 .42857 L
.37399 .43015 L
.37401 .43017 L
.37527 .43178 L
.37559 .43202 L
.37654 .43338 L
.3772 .43414 L
.37801 .43499 L
.3788 .43624 L
.37909 .43659 L
.38034 .4382 L
.38041 .43829 L
.38158 .4398 L
.38201 .44023 L
.38324 .44141 L
.38362 .44237 L
.38418 .44301 L
.38523 .44447 L
.38533 .44462 L
.38658 .44622 L
.38683 .44638 L
.38782 .44783 L
.38844 .44852 L
.38927 .44943 L
.39004 .45066 L
.39034 .45104 L
.39156 .45265 L
.39165 .45275 L
.39279 .45425 L
.39325 .45468 L
.39441 .45586 L
.39486 .45686 L
.39536 .45746 L
.39646 .459 L
.39651 .45907 L
.39773 .46067 L
.39807 .46084 L
.39896 .46228 L
.39967 .46307 L
.40039 .46388 L
.40128 .46525 L
.40146 .46549 L
.40266 .46709 L
.40288 .46738 L
.40388 .4687 L
.40449 .46926 L
.40548 .4703 L
.40609 .47152 L
.40641 .47191 L
.40757 .47351 L
.4077 .47368 L
.40877 .47512 L
.4093 .47539 L
.40999 .47672 L
.41091 .47778 L
.41137 .47833 L
.41245 .47993 L
.41251 .48001 L
.41365 .48154 L
.41412 .48215 L
.41485 .48314 L
.41572 .48405 L
.41634 .48475 L
.4173 .48636 L
.41733 .48639 L
.41848 .48796 L
.41894 .48855 L
.41967 .48957 L
.42054 .4907 L
.42088 .49117 L
.42209 .49278 L
.42215 .49285 L
.42324 .49438 L
.42375 .49505 L
.42441 .49599 L
.42536 .49725 L
.4256 .49759 L
.42675 .4992 L
.42696 .49947 L
.42785 .5008 L
.42857 .50178 L
.42897 .50241 L
.43009 .50401 L
.43017 .50414 L
.43099 .50562 L
.43017 .50595 L
.42984 .50562 L
.42857 .50431 L
.42829 .50401 L
.42696 .50258 L
.42684 .50241 L
.42543 .5008 L
.42536 .50072 L
.42404 .4992 L
.42375 .49886 L
.42267 .49759 L
.42215 .4972 L
.42132 .49599 L
.42054 .49509 L
.41973 .49438 L
.41894 .49308 L
.41866 .49278 L
.41736 .49117 L
.41733 .49114 L
.41605 .48957 L
.41572 .48923 L
.41475 .48796 L
.41412 .48717 L
.41339 .48636 L
.41251 .48513 L
.41224 .48475 L
.41091 .48315 L
.41091 .48314 L
.40963 .48154 L
.4093 .48116 L
.40817 .47993 L
.4077 .47908 L
.40711 .47833 L
.40609 .47701 L
.40594 .47672 L
.40457 .47512 L
.40449 .47504 L
.40296 .47351 L
.40288 .47298 L
.402 .47191 L
.40128 .47087 L
.40089 .4703 L
.39967 .46881 L
.39966 .4687 L
.39831 .46709 L
.39807 .46682 L
.3969 .46549 L
.39646 .46471 L
.39584 .46388 L
.39486 .4626 L
.3947 .46228 L
.39334 .46067 L
.39325 .4606 L
.39177 .45907 L
.39165 .45851 L
.3908 .45746 L
.39004 .45638 L
.3897 .45586 L
.38844 .4543 L
.38843 .45425 L
.38716 .45265 L
.38683 .45229 L
.38575 .45104 L
.38523 .45014 L
.38471 .44943 L
.38362 .44801 L
.38353 .44783 L
.38225 .44622 L
.38201 .44605 L
.38065 .44462 L
.38041 .44388 L
.37972 .44301 L
.3788 .44171 L
.37861 .44141 L
.37736 .4398 L
.3772 .43959 L
.37615 .4382 L
.37559 .43762 L
.37473 .43659 L
.37399 .43538 L
.3737 .43499 L
.37251 .43338 L
.37238 .43322 L
.37131 .43178 L
.37078 .43137 L
.3697 .43017 L
.36917 .42901 L
.36884 .42857 L
.36771 .42696 L
.36757 .42677 L
.36653 .42536 L
.36596 .42459 L
.36535 .42375 L
.36436 .42253 L
.36406 .42215 L
.363 .42054 L
.36275 .4202 L
.36186 .41894 L
.36115 .41796 L
.36071 .41733 L
.35956 .41572 L
.35954 .41569 L
.35851 .41412 L
.35794 .4133 L
.35745 .41251 L
F
1 .78 .001 r
.35794 .41783 m
.35888 .41894 L
.35954 .41963 L
.36029 .42054 L
.36115 .4215 L
.36167 .42215 L
.36275 .4234 L
.36303 .42375 L
.36436 .42534 L
.36437 .42536 L
.36565 .42696 L
.36596 .42733 L
.36694 .42857 L
.36757 .42932 L
.36823 .43017 L
.36917 .43102 L
.36953 .43178 L
.37078 .43332 L
.37085 .43338 L
.37206 .43499 L
.37238 .43537 L
.37332 .43659 L
.37399 .43742 L
.37458 .4382 L
.37559 .43931 L
.37617 .4398 L
.37711 .44141 L
.3772 .44152 L
.37833 .44301 L
.3788 .4436 L
.37957 .44462 L
.38041 .44526 L
.38083 .44622 L
.38201 .4477 L
.38214 .44783 L
.3833 .44943 L
.38362 .44984 L
.38451 .45104 L
.38523 .45194 L
.38575 .45265 L
.38683 .45391 L
.38719 .45425 L
.3882 .45586 L
.38844 .45615 L
.3894 .45746 L
.39004 .45828 L
.39061 .45907 L
.39165 .4604 L
.39184 .46067 L
.39304 .46228 L
.39325 .46255 L
.3942 .46388 L
.39486 .46472 L
.3954 .46549 L
.39646 .46689 L
.39661 .46709 L
.39776 .4687 L
.39807 .4691 L
.39888 .4703 L
.39967 .47137 L
.40003 .47191 L
.39967 .47343 L
.39837 .47191 L
.39807 .47159 L
.39699 .4703 L
.39646 .4697 L
.39563 .4687 L
.39486 .46779 L
.39429 .46709 L
.39325 .466 L
.39296 .46549 L
.39166 .46388 L
.39165 .46387 L
.39037 .46228 L
.39004 .46188 L
.38907 .46067 L
.38844 .45988 L
.38778 .45907 L
.38683 .45797 L
.38625 .45746 L
.38524 .45586 L
.38523 .45584 L
.38398 .45425 L
.38362 .4538 L
.38271 .45265 L
.38201 .45203 L
.38145 .45104 L
.38041 .44975 L
.38012 .44943 L
.37896 .44783 L
.3788 .44764 L
.37772 .44622 L
.3772 .44556 L
.37647 .44462 L
.37559 .44361 L
.37499 .44301 L
.374 .44141 L
.37399 .44139 L
.37279 .4398 L
.37238 .43928 L
.37156 .4382 L
.37078 .43749 L
.37034 .43659 L
.36917 .43508 L
.3691 .43499 L
.36793 .43338 L
.36757 .43292 L
.36673 .43178 L
.36596 .43077 L
.36552 .43017 L
.36436 .42864 L
.36429 .42857 L
.36316 .42696 L
.36275 .42642 L
.362 .42536 L
.36115 .42421 L
.36082 .42375 L
.35968 .42215 L
.35954 .42197 L
.35859 .42054 L
.35794 .41962 L
.35749 .41894 L
F
.002 .8 1 r
.35794 .42461 m
.35849 .42536 L
.35954 .42655 L
.35985 .42696 L
.36115 .42851 L
.36119 .42857 L
.36242 .43017 L
.36275 .43056 L
.36365 .43178 L
.36436 .43262 L
.36491 .43338 L
.36596 .43467 L
.36619 .43499 L
.36596 .43652 L
.36482 .43499 L
.36436 .43444 L
.36357 .43338 L
.36275 .43236 L
.36232 .43178 L
.36115 .43027 L
.36107 .43017 L
.35991 .42857 L
.35954 .42811 L
.35874 .42696 L
.35794 .42593 L
.35754 .42536 L
F
.013 .86 1 r
.35794 .41135 m
.35908 .41251 L
.35954 .41296 L
.36058 .41412 L
.36115 .41472 L
.36201 .41572 L
.36275 .41654 L
.36341 .41733 L
.36436 .41826 L
.36478 .41894 L
.36596 .42031 L
.36623 .42054 L
.36746 .42215 L
.36757 .42227 L
.36876 .42375 L
.36917 .4239 L
.37007 .42536 L
.37078 .42611 L
.3718 .42696 L
.37238 .42819 L
.37273 .42857 L
.37395 .43017 L
.37399 .43022 L
.37522 .43178 L
.37559 .43207 L
.37649 .43338 L
.3772 .4342 L
.37796 .43499 L
.3788 .4363 L
.37905 .43659 L
.38029 .4382 L
.38041 .43834 L
.38154 .4398 L
.38201 .44028 L
.38321 .44141 L
.38362 .44241 L
.38414 .44301 L
.38523 .44451 L
.3853 .44462 L
.38655 .44622 L
.38683 .4464 L
.38779 .44783 L
.38844 .44856 L
.38924 .44943 L
.39004 .4507 L
.39031 .45104 L
.39153 .45265 L
.39165 .45279 L
.39276 .45425 L
.39325 .45472 L
.39439 .45586 L
.39486 .4569 L
.39532 .45746 L
.39646 .45904 L
.39648 .45907 L
.3977 .46067 L
.39807 .46086 L
.39893 .46228 L
.39967 .46311 L
.40036 .46388 L
.40128 .46529 L
.40143 .46549 L
.40263 .46709 L
.40288 .46742 L
.40385 .4687 L
.40449 .4693 L
.40544 .4703 L
.40609 .47156 L
.40638 .47191 L
.40754 .47351 L
.4077 .47372 L
.40874 .47512 L
.4093 .47543 L
.40996 .47672 L
.41091 .47784 L
.41133 .47833 L
.41242 .47993 L
.41251 .48006 L
.41361 .48154 L
.41412 .4822 L
.41481 .48314 L
.41572 .48412 L
.41628 .48475 L
.41726 .48636 L
.41733 .48645 L
.41843 .48796 L
.41894 .48862 L
.41962 .48957 L
.42054 .49077 L
.42083 .49117 L
.42203 .49278 L
.42215 .49293 L
.42317 .49438 L
.42375 .49515 L
.42434 .49599 L
.42536 .49735 L
.42552 .49759 L
.42665 .4992 L
.42696 .49962 L
.42773 .5008 L
.42857 .50197 L
.42884 .50241 L
.42986 .50401 L
.42857 .50405 L
.42853 .50401 L
.42703 .50241 L
.42696 .50234 L
.42559 .5008 L
.42536 .50055 L
.42418 .4992 L
.42375 .49872 L
.42279 .49759 L
.42215 .4971 L
.42142 .49599 L
.42054 .49497 L
.41984 .49438 L
.41894 .49298 L
.41875 .49278 L
.41744 .49117 L
.41733 .49104 L
.41613 .48957 L
.41572 .48916 L
.41482 .48796 L
.41412 .48709 L
.41345 .48636 L
.41251 .48505 L
.41229 .48475 L
.41097 .48314 L
.41091 .48311 L
.40968 .48154 L
.4093 .4811 L
.40821 .47993 L
.4077 .47902 L
.40716 .47833 L
.40609 .47696 L
.40597 .47672 L
.40462 .47512 L
.40449 .47499 L
.40297 .47351 L
.40288 .47292 L
.40204 .47191 L
.40128 .47082 L
.40093 .4703 L
.39967 .46877 L
.39966 .4687 L
.39835 .46709 L
.39807 .46677 L
.39693 .46549 L
.39646 .46466 L
.39588 .46388 L
.39486 .46256 L
.39472 .46228 L
.39338 .46067 L
.39325 .46056 L
.39179 .45907 L
.39165 .45847 L
.39083 .45746 L
.39004 .45633 L
.38973 .45586 L
.38844 .45426 L
.38844 .45425 L
.3872 .45265 L
.38683 .45225 L
.38578 .45104 L
.38523 .45009 L
.38474 .44943 L
.38362 .44796 L
.38356 .44783 L
.38229 .44622 L
.38201 .44602 L
.38067 .44462 L
.38041 .44383 L
.37976 .44301 L
.3788 .44166 L
.37865 .44141 L
.37741 .4398 L
.3772 .43953 L
.37619 .4382 L
.37559 .43756 L
.37478 .43659 L
.37399 .43532 L
.37375 .43499 L
.37256 .43338 L
.37238 .43315 L
.37136 .43178 L
.37078 .43131 L
.36976 .43017 L
.36917 .42892 L
.3689 .42857 L
.36777 .42696 L
.36757 .42669 L
.3666 .42536 L
.36596 .4245 L
.36542 .42375 L
.36436 .42239 L
.36417 .42215 L
.3631 .42054 L
.36275 .42008 L
.36196 .41894 L
.36115 .41781 L
.36081 .41733 L
.35971 .41572 L
.35954 .41549 L
.35867 .41412 L
.35794 .41302 L
.35764 .41251 L
F
1 .77 .001 r
.35794 .4181 m
.35867 .41894 L
.35954 .41981 L
.36015 .42054 L
.36115 .42164 L
.36156 .42215 L
.36275 .42352 L
.36293 .42375 L
.36427 .42536 L
.36436 .42546 L
.36556 .42696 L
.36596 .42743 L
.36686 .42857 L
.36757 .42941 L
.36816 .43017 L
.36917 .43114 L
.36946 .43178 L
.37075 .43338 L
.37078 .43341 L
.372 .43499 L
.37238 .43545 L
.37326 .43659 L
.37399 .43749 L
.37453 .4382 L
.37559 .4394 L
.37606 .4398 L
.37705 .44141 L
.3772 .44159 L
.37828 .44301 L
.3788 .44367 L
.37952 .44462 L
.38041 .44536 L
.38078 .44622 L
.38201 .44779 L
.38205 .44783 L
.38324 .44943 L
.38362 .44991 L
.38446 .45104 L
.38523 .45201 L
.3857 .45265 L
.38683 .45401 L
.38708 .45425 L
.38814 .45586 L
.38844 .45623 L
.38934 .45746 L
.39004 .45836 L
.39055 .45907 L
.39165 .46048 L
.39178 .46067 L
.39297 .46228 L
.39325 .46264 L
.39413 .46388 L
.39486 .46482 L
.39532 .46549 L
.39646 .46699 L
.39653 .46709 L
.39765 .4687 L
.39807 .46924 L
.39876 .4703 L
.39967 .47153 L
.39991 .47191 L
.39967 .47321 L
.39853 .47191 L
.39807 .47142 L
.39712 .4703 L
.39646 .46956 L
.39574 .4687 L
.39486 .46766 L
.39439 .46709 L
.39325 .46584 L
.39306 .46549 L
.39175 .46388 L
.39165 .46376 L
.39045 .46228 L
.39004 .46178 L
.38915 .46067 L
.38844 .45979 L
.38786 .45907 L
.38683 .45786 L
.38637 .45746 L
.38531 .45586 L
.38523 .45575 L
.38405 .45425 L
.38362 .45372 L
.38278 .45265 L
.38201 .45194 L
.38152 .45104 L
.38041 .44965 L
.38021 .44943 L
.37902 .44783 L
.3788 .44755 L
.37778 .44622 L
.3772 .44548 L
.37654 .44462 L
.37559 .44352 L
.37509 .44301 L
.37407 .44141 L
.37399 .44131 L
.37285 .4398 L
.37238 .4392 L
.37163 .4382 L
.37078 .43738 L
.3704 .43659 L
.36919 .43499 L
.36917 .43497 L
.368 .43338 L
.36757 .43282 L
.3668 .43178 L
.36596 .43067 L
.3656 .43017 L
.3644 .42857 L
.36436 .42851 L
.36326 .42696 L
.36275 .42629 L
.36209 .42536 L
.36115 .42407 L
.36092 .42375 L
.35981 .42215 L
.35954 .42178 L
.35875 .42054 L
.35794 .41938 L
.35767 .41894 L
F
.001 .79 1 r
.35794 .42508 m
.35812 .42536 L
.35954 .42684 L
.35963 .42696 L
.35954 .42774 L
.35905 .42696 L
.35794 .4255 L
.35785 .42536 L
F
.01 .85 1 r
.35794 .41186 m
.35872 .41251 L
.35954 .41322 L
.36037 .41412 L
.36115 .41491 L
.36186 .41572 L
.36275 .4167 L
.36329 .41733 L
.36436 .41841 L
.36468 .41894 L
.36596 .42044 L
.36608 .42054 L
.36737 .42215 L
.36757 .42238 L
.36868 .42375 L
.36917 .42396 L
.37 .42536 L
.37078 .42619 L
.37172 .42696 L
.37238 .42827 L
.37266 .42857 L
.37389 .43017 L
.37399 .43029 L
.37516 .43178 L
.37559 .43212 L
.37644 .43338 L
.3772 .43426 L
.37791 .43499 L
.3788 .43635 L
.379 .43659 L
.38025 .4382 L
.38041 .4384 L
.3815 .4398 L
.38201 .44032 L
.38317 .44141 L
.38362 .44246 L
.3841 .44301 L
.38523 .44455 L
.38527 .44462 L
.38651 .44622 L
.38683 .44643 L
.38776 .44783 L
.38844 .4486 L
.38921 .44943 L
.39004 .45074 L
.39028 .45104 L
.3915 .45265 L
.39165 .45283 L
.39273 .45425 L
.39325 .45475 L
.39436 .45586 L
.39486 .45694 L
.39529 .45746 L
.39646 .45907 L
.39646 .45908 L
.39767 .46067 L
.39807 .46089 L
.3989 .46228 L
.39967 .46315 L
.40033 .46388 L
.40128 .46534 L
.40139 .46549 L
.4026 .46709 L
.40288 .46745 L
.40382 .4687 L
.40449 .46934 L
.4054 .4703 L
.40609 .47161 L
.40634 .47191 L
.4075 .47351 L
.4077 .47376 L
.40871 .47512 L
.4093 .47547 L
.40993 .47672 L
.41091 .47789 L
.41128 .47833 L
.41238 .47993 L
.41251 .48011 L
.41357 .48154 L
.41412 .48225 L
.41477 .48314 L
.41572 .48419 L
.41621 .48475 L
.41721 .48636 L
.41733 .48651 L
.41838 .48796 L
.41894 .48869 L
.41957 .48957 L
.42054 .49084 L
.42078 .49117 L
.42196 .49278 L
.42215 .49302 L
.4231 .49438 L
.42375 .49525 L
.42426 .49599 L
.42536 .49747 L
.42544 .49759 L
.42653 .4992 L
.42696 .49979 L
.4276 .5008 L
.42857 .5022 L
.42869 .50241 L
.42857 .50373 L
.42726 .50241 L
.42696 .50212 L
.42576 .5008 L
.42536 .50038 L
.42432 .4992 L
.42375 .49856 L
.42291 .49759 L
.42215 .49697 L
.42153 .49599 L
.42054 .49484 L
.41997 .49438 L
.41894 .49288 L
.41884 .49278 L
.41753 .49117 L
.41733 .49094 L
.41621 .48957 L
.41572 .48908 L
.41489 .48796 L
.41412 .48701 L
.41352 .48636 L
.41251 .48498 L
.41234 .48475 L
.41103 .48314 L
.41091 .48308 L
.40974 .48154 L
.4093 .48103 L
.40825 .47993 L
.4077 .47895 L
.40721 .47833 L
.40609 .4769 L
.406 .47672 L
.40467 .47512 L
.40449 .47495 L
.40298 .47351 L
.40288 .47287 L
.40208 .47191 L
.40128 .47077 L
.40096 .4703 L
.39967 .46873 L
.39967 .4687 L
.39839 .46709 L
.39807 .46673 L
.39696 .46549 L
.39646 .46461 L
.39591 .46388 L
.39486 .46251 L
.39474 .46228 L
.39342 .46067 L
.39325 .46053 L
.3918 .45907 L
.39165 .45842 L
.39087 .45746 L
.39004 .45629 L
.38976 .45586 L
.38847 .45425 L
.38844 .45425 L
.38724 .45265 L
.38683 .45221 L
.38582 .45104 L
.38523 .45005 L
.38478 .44943 L
.38362 .44792 L
.38358 .44783 L
.38233 .44622 L
.38201 .44599 L
.3807 .44462 L
.38041 .44378 L
.3798 .44301 L
.3788 .4416 L
.37868 .44141 L
.37745 .4398 L
.3772 .43948 L
.37624 .4382 L
.37559 .43751 L
.37483 .43659 L
.37399 .43525 L
.3738 .43499 L
.37261 .43338 L
.37238 .43308 L
.37142 .43178 L
.37078 .43124 L
.36982 .43017 L
.36917 .42883 L
.36897 .42857 L
.36784 .42696 L
.36757 .4266 L
.36667 .42536 L
.36596 .42441 L
.36549 .42375 L
.36436 .42224 L
.36429 .42215 L
.36319 .42054 L
.36275 .41994 L
.36206 .41894 L
.36115 .41766 L
.36093 .41733 L
.35986 .41572 L
.35954 .41526 L
.35887 .41412 L
.35794 .41261 L
.35789 .41251 L
F
1 .76 .001 r
.35794 .41857 m
.35832 .41894 L
.35954 .42003 L
.35997 .42054 L
.36115 .4218 L
.36143 .42215 L
.36275 .42365 L
.36283 .42375 L
.36416 .42536 L
.36436 .42558 L
.36546 .42696 L
.36596 .42754 L
.36677 .42857 L
.36757 .42951 L
.36808 .43017 L
.36917 .43128 L
.36939 .43178 L
.37068 .43338 L
.37078 .4335 L
.37193 .43499 L
.37238 .43553 L
.37319 .43659 L
.37399 .43757 L
.37447 .4382 L
.37559 .43951 L
.37594 .4398 L
.37699 .44141 L
.3772 .44166 L
.37822 .44301 L
.3788 .44374 L
.37947 .44462 L
.38041 .44546 L
.38073 .44622 L
.38198 .44783 L
.38201 .44787 L
.38318 .44943 L
.38362 .44998 L
.3844 .45104 L
.38523 .45208 L
.38564 .45265 L
.38683 .45412 L
.38696 .45425 L
.38808 .45586 L
.38844 .45631 L
.38927 .45746 L
.39004 .45844 L
.39049 .45907 L
.39165 .46056 L
.39172 .46067 L
.39289 .46228 L
.39325 .46274 L
.39405 .46388 L
.39486 .46493 L
.39524 .46549 L
.39645 .46709 L
.39646 .4671 L
.39754 .4687 L
.39807 .46941 L
.39864 .4703 L
.39967 .47174 L
.39977 .47191 L
.39967 .47294 L
.39874 .47191 L
.39807 .47123 L
.39727 .4703 L
.39646 .46941 L
.39587 .4687 L
.39486 .46752 L
.3945 .46709 L
.39325 .46566 L
.39316 .46549 L
.39185 .46388 L
.39165 .46365 L
.39054 .46228 L
.39004 .46168 L
.38924 .46067 L
.38844 .45969 L
.38794 .45907 L
.38683 .45775 L
.3865 .45746 L
.38538 .45586 L
.38523 .45566 L
.38412 .45425 L
.38362 .45363 L
.38285 .45265 L
.38201 .45184 L
.38158 .45104 L
.38041 .44956 L
.38029 .44943 L
.37909 .44783 L
.3788 .44747 L
.37785 .44622 L
.3772 .4454 L
.3766 .44462 L
.37559 .44341 L
.37519 .44301 L
.37414 .44141 L
.37399 .44122 L
.37292 .4398 L
.37238 .43911 L
.3717 .4382 L
.37078 .43725 L
.37047 .43659 L
.36926 .43499 L
.36917 .43487 L
.36808 .43338 L
.36757 .43272 L
.36688 .43178 L
.36596 .43056 L
.36567 .43017 L
.3645 .42857 L
.36436 .42838 L
.36336 .42696 L
.36275 .42616 L
.36219 .42536 L
.36115 .42392 L
.36103 .42375 L
.35997 .42215 L
.35954 .42155 L
.35893 .42054 L
.35794 .41899 L
.35791 .41894 L
F
1 .93 .114 r
.35954 .4065 m
.36072 .4077 L
.36115 .40811 L
.36224 .4093 L
.36275 .40984 L
.3637 .41091 L
.36436 .41145 L
.36511 .41251 L
.36596 .41346 L
.36682 .41412 L
.36757 .41541 L
.36788 .41572 L
.36917 .41731 L
.36919 .41733 L
.37051 .41894 L
.37078 .41921 L
.37183 .42054 L
.37238 .42122 L
.37326 .42215 L
.37399 .42326 L
.37439 .42375 L
.37559 .42525 L
.37564 .42536 L
.377 .42696 L
.3772 .4272 L
.3785 .42857 L
.3788 .42926 L
.37956 .43017 L
.38041 .43134 L
.38069 .43178 L
.38201 .43335 L
.38207 .43338 L
.38333 .43499 L
.38362 .43535 L
.38468 .43659 L
.38523 .43745 L
.38578 .4382 L
.38683 .43954 L
.38693 .4398 L
.38834 .44141 L
.38844 .44152 L
.38977 .44301 L
.39004 .4436 L
.39085 .44462 L
.39165 .44572 L
.39196 .44622 L
.39325 .44777 L
.39332 .44783 L
.39456 .44943 L
.39486 .44979 L
.3959 .45104 L
.39646 .45191 L
.39699 .45265 L
.39807 .45402 L
.39814 .45425 L
.39952 .45586 L
.39967 .45602 L
.40096 .45746 L
.40128 .45812 L
.40202 .45907 L
.40288 .46025 L
.40313 .46067 L
.40447 .46228 L
.40449 .46229 L
.40605 .46388 L
.40609 .46434 L
.40705 .46549 L
.4077 .46648 L
.40814 .46709 L
.4093 .46858 L
.40934 .4687 L
.41063 .4703 L
.41091 .47058 L
.4121 .47191 L
.41251 .47271 L
.41314 .47351 L
.41412 .47484 L
.41428 .47512 L
.41556 .47672 L
.41572 .47683 L
.41721 .47833 L
.41733 .47894 L
.41816 .47993 L
.41894 .4811 L
.41925 .48154 L
.42049 .48314 L
.42054 .48321 L
.42171 .48475 L
.42215 .48516 L
.4232 .48636 L
.42375 .48734 L
.42422 .48796 L
.42536 .4895 L
.4254 .48957 L
.42662 .49117 L
.42696 .49136 L
.42832 .49278 L
.42857 .49358 L
.42921 .49438 L
.43017 .49578 L
.43031 .49599 L
.43153 .49759 L
.43178 .49791 L
.43274 .4992 L
.43338 .49981 L
.43423 .5008 L
.43499 .50207 L
.43524 .50241 L
.43642 .50401 L
.43659 .50423 L
.43762 .50562 L
.4382 .50598 L
.4393 .50722 L
.4398 .50836 L
.44017 .50883 L
.44129 .51043 L
.44141 .51059 L
.44248 .51204 L
.44301 .51273 L
.44368 .51364 L
.44462 .51468 L
.44508 .51525 L
.44612 .51686 L
.44622 .51699 L
.44729 .51846 L
.44783 .51917 L
.44848 .52007 L
.44943 .52133 L
.44992 .52167 L
.45086 .52328 L
.45104 .52351 L
.452 .52488 L
.45265 .52574 L
.45316 .52649 L
.45425 .52797 L
.45433 .52809 L
.45542 .5297 L
.45586 .53031 L
.45647 .5313 L
.45746 .53277 L
.45754 .53291 L
.45746 .5344 L
.45587 .53291 L
.45586 .5329 L
.45433 .5313 L
.45425 .53123 L
.45286 .5297 L
.45265 .52947 L
.45142 .52809 L
.45104 .5279 L
.45001 .52649 L
.44943 .52584 L
.4481 .52488 L
.44783 .52388 L
.44725 .52328 L
.44622 .52193 L
.44603 .52167 L
.44463 .52007 L
.44462 .52006 L
.4433 .51846 L
.44301 .51809 L
.44188 .51686 L
.44141 .51606 L
.44077 .51525 L
.4398 .51401 L
.43962 .51364 L
.4382 .51206 L
.43812 .51204 L
.43669 .51043 L
.43659 .5101 L
.43558 .50883 L
.43499 .50801 L
.43447 .50722 L
.43338 .5059 L
.43301 .50562 L
.43178 .50402 L
.43177 .50401 L
.43046 .50241 L
.43017 .50194 L
.42934 .5008 L
.42857 .4998 L
.42828 .4992 L
.42696 .4977 L
.42674 .49759 L
.42543 .49599 L
.42536 .4958 L
.42426 .49438 L
.42375 .49367 L
.42318 .49278 L
.42215 .49153 L
.42174 .49117 L
.42054 .4896 L
.42051 .48957 L
.41922 .48796 L
.41894 .4875 L
.41812 .48636 L
.41733 .48535 L
.41707 .48475 L
.41572 .48326 L
.41554 .48314 L
.41422 .48154 L
.41412 .48129 L
.41308 .47993 L
.41251 .47916 L
.41201 .47833 L
.41091 .47703 L
.41059 .47672 L
.40937 .47512 L
.4093 .47504 L
.40807 .47351 L
.4077 .47294 L
.40697 .47191 L
.40609 .4708 L
.40591 .4703 L
.40449 .46874 L
.40443 .4687 L
.40306 .46709 L
.40288 .4667 L
.40196 .46549 L
.40128 .46457 L
.40087 .46388 L
.39967 .46246 L
.39949 .46228 L
.39827 .46067 L
.39807 .46045 L
.39695 .45907 L
.39646 .45833 L
.39586 .45746 L
.39486 .45619 L
.39475 .45586 L
.39335 .45425 L
.39325 .45417 L
.39192 .45265 L
.39165 .45207 L
.39087 .45104 L
.39004 .44993 L
.38976 .44943 L
.38844 .44783 L
.38844 .44783 L
.38722 .44622 L
.38683 .44582 L
.38587 .44462 L
.38523 .44365 L
.38479 .44301 L
.38362 .44151 L
.38359 .44141 L
.38233 .4398 L
.38201 .43957 L
.38084 .4382 L
.38041 .43737 L
.37984 .43659 L
.3788 .43518 L
.3787 .43499 L
.37746 .43338 L
.3772 .43304 L
.37573 .43178 L
.37559 .43108 L
.37489 .43017 L
.37399 .42883 L
.37382 .42857 L
.37262 .42696 L
.37238 .42665 L
.37143 .42536 L
.37078 .4248 L
.36995 .42375 L
.36917 .4224 L
.36899 .42215 L
.36785 .42054 L
.36757 .42017 L
.36668 .41894 L
.36596 .41798 L
.36505 .41733 L
.36436 .41581 L
.3643 .41572 L
.3632 .41412 L
.36275 .41351 L
.36207 .41251 L
.36115 .41122 L
.36094 .41091 L
.35988 .4093 L
.35954 .4088 L
.3589 .4077 L
F
.007 .84 1 r
.35954 .41354 m
.36011 .41412 L
.36115 .41512 L
.36169 .41572 L
.36275 .41686 L
.36315 .41733 L
.36436 .41859 L
.36456 .41894 L
.36594 .42054 L
.36596 .42057 L
.36727 .42215 L
.36757 .42248 L
.3686 .42375 L
.36917 .42402 L
.36993 .42536 L
.37078 .42628 L
.37163 .42696 L
.37238 .42835 L
.37259 .42857 L
.37383 .43017 L
.37399 .43036 L
.37511 .43178 L
.37559 .43217 L
.37639 .43338 L
.3772 .43432 L
.37786 .43499 L
.3788 .43641 L
.37896 .43659 L
.3802 .4382 L
.38041 .43845 L
.38146 .4398 L
.38201 .44037 L
.38313 .44141 L
.38362 .44251 L
.38406 .44301 L
.38523 .4446 L
.38524 .44462 L
.38648 .44622 L
.38683 .44646 L
.38772 .44783 L
.38844 .44864 L
.38917 .44943 L
.39004 .45078 L
.39024 .45104 L
.39146 .45265 L
.39165 .45287 L
.39269 .45425 L
.39325 .45478 L
.39433 .45586 L
.39486 .45698 L
.39526 .45746 L
.39642 .45907 L
.39646 .45911 L
.39764 .46067 L
.39807 .46091 L
.39887 .46228 L
.39967 .46319 L
.40029 .46388 L
.40128 .46538 L
.40136 .46549 L
.40257 .46709 L
.40288 .46749 L
.40378 .4687 L
.40449 .46938 L
.40536 .4703 L
.40609 .47165 L
.4063 .47191 L
.40747 .47351 L
.4077 .47381 L
.40867 .47512 L
.4093 .47552 L
.40989 .47672 L
.41091 .47795 L
.41123 .47833 L
.41234 .47993 L
.41251 .48016 L
.41353 .48154 L
.41412 .4823 L
.41473 .48314 L
.41572 .48427 L
.41614 .48475 L
.41716 .48636 L
.41733 .48658 L
.41832 .48796 L
.41894 .48876 L
.41951 .48957 L
.42054 .49092 L
.42072 .49117 L
.42189 .49278 L
.42215 .49312 L
.42302 .49438 L
.42375 .49536 L
.42418 .49599 L
.42536 .49759 L
.42536 .49759 L
.4264 .4992 L
.42696 .49999 L
.42745 .5008 L
.42696 .50187 L
.42596 .5008 L
.42536 .50019 L
.42447 .4992 L
.42375 .49841 L
.42304 .49759 L
.42215 .49682 L
.42165 .49599 L
.42054 .49471 L
.42012 .49438 L
.41894 .49278 L
.41894 .49277 L
.41761 .49117 L
.41733 .49084 L
.41628 .48957 L
.41572 .489 L
.41496 .48796 L
.41412 .48692 L
.41359 .48636 L
.41251 .48491 L
.4124 .48475 L
.41109 .48314 L
.41091 .48304 L
.4098 .48154 L
.4093 .48097 L
.4083 .47993 L
.4077 .47889 L
.40725 .47833 L
.40609 .47685 L
.40603 .47672 L
.40471 .47512 L
.40449 .4749 L
.403 .47351 L
.40288 .47281 L
.40212 .47191 L
.40128 .47072 L
.401 .4703 L
.39968 .4687 L
.39967 .46869 L
.39843 .46709 L
.39807 .46668 L
.39699 .46549 L
.39646 .46456 L
.39595 .46388 L
.39486 .46247 L
.39476 .46228 L
.39346 .46067 L
.39325 .4605 L
.39182 .45907 L
.39165 .45837 L
.3909 .45746 L
.39004 .45624 L
.38979 .45586 L
.38851 .45425 L
.38844 .45424 L
.38728 .45265 L
.38683 .45217 L
.38585 .45104 L
.38523 .45 L
.38481 .44943 L
.38362 .44787 L
.3836 .44783 L
.38237 .44622 L
.38201 .44595 L
.38072 .44462 L
.38041 .44373 L
.37984 .44301 L
.3788 .44155 L
.37871 .44141 L
.37749 .4398 L
.3772 .43942 L
.37628 .4382 L
.37559 .43745 L
.37488 .43659 L
.37399 .43519 L
.37385 .43499 L
.37267 .43338 L
.37238 .43301 L
.37147 .43178 L
.37078 .43116 L
.36989 .43017 L
.36917 .42874 L
.36904 .42857 L
.36791 .42696 L
.36757 .42651 L
.36674 .42536 L
.36596 .42431 L
.36556 .42375 L
.3644 .42215 L
.36436 .42209 L
.36329 .42054 L
.36275 .4198 L
.36217 .41894 L
.36115 .41748 L
.36105 .41733 L
.36005 .41572 L
.35954 .41495 L
.35911 .41412 L
F
1 .75 0 r
.35954 .4203 m
.35975 .42054 L
.36115 .42198 L
.36129 .42215 L
.36115 .42374 L
.36016 .42215 L
.35954 .42124 L
.35919 .42054 L
F
1 .92 .084 r
.35954 .40732 m
.36007 .4077 L
.36115 .40858 L
.36186 .4093 L
.36275 .41019 L
.36341 .41091 L
.36436 .41174 L
.36487 .41251 L
.36596 .41371 L
.36654 .41412 L
.36757 .41561 L
.36769 .41572 L
.36903 .41733 L
.36917 .41733 L
.37037 .41894 L
.37078 .41935 L
.37171 .42054 L
.37238 .42136 L
.37315 .42215 L
.37399 .42337 L
.3743 .42375 L
.37559 .42533 L
.37561 .42536 L
.37691 .42696 L
.3772 .4273 L
.37845 .42857 L
.3788 .42935 L
.37949 .43017 L
.38041 .43142 L
.38065 .43178 L
.38201 .43338 L
.38201 .43339 L
.38327 .43499 L
.38362 .43542 L
.38464 .43659 L
.38523 .43751 L
.38574 .4382 L
.38683 .43959 L
.38691 .4398 L
.3883 .44141 L
.38844 .44157 L
.38975 .44301 L
.39004 .44365 L
.39081 .44462 L
.39165 .44576 L
.39193 .44622 L
.39325 .4478 L
.39329 .44783 L
.39453 .44943 L
.39486 .44983 L
.39587 .45104 L
.39646 .45195 L
.39697 .45265 L
.39807 .45405 L
.39813 .45425 L
.39949 .45586 L
.39967 .45605 L
.40094 .45746 L
.40128 .45815 L
.402 .45907 L
.40288 .46028 L
.40312 .46067 L
.40444 .46228 L
.40449 .46231 L
.40604 .46388 L
.40609 .46437 L
.40703 .46549 L
.4077 .4665 L
.40812 .46709 L
.4093 .4686 L
.40933 .4687 L
.41061 .4703 L
.41091 .4706 L
.41208 .47191 L
.41251 .47273 L
.41312 .47351 L
.41412 .47487 L
.41426 .47512 L
.41554 .47672 L
.41572 .47684 L
.4172 .47833 L
.41733 .47896 L
.41813 .47993 L
.41894 .48112 L
.41923 .48154 L
.42047 .48314 L
.42054 .48324 L
.42168 .48475 L
.42215 .48518 L
.42318 .48636 L
.42375 .48738 L
.4242 .48796 L
.42536 .48953 L
.42538 .48957 L
.42659 .49117 L
.42696 .49138 L
.42829 .49278 L
.42857 .49362 L
.42918 .49438 L
.43017 .49582 L
.43029 .49599 L
.4315 .49759 L
.43178 .49795 L
.43271 .4992 L
.43338 .49985 L
.43419 .5008 L
.43499 .50212 L
.4352 .50241 L
.43638 .50401 L
.43659 .50428 L
.43758 .50562 L
.4382 .50603 L
.43925 .50722 L
.4398 .50843 L
.44011 .50883 L
.44124 .51043 L
.44141 .51065 L
.44242 .51204 L
.44301 .5128 L
.44363 .51364 L
.44462 .51478 L
.44499 .51525 L
.44604 .51686 L
.44622 .51709 L
.44721 .51846 L
.44783 .51927 L
.44839 .52007 L
.44943 .52145 L
.44975 .52167 L
.45075 .52328 L
.45104 .52367 L
.45187 .52488 L
.45265 .52593 L
.45302 .52649 L
.45415 .52809 L
.45425 .52823 L
.45516 .5297 L
.45586 .53074 L
.45616 .5313 L
.45586 .53233 L
.45477 .5313 L
.45425 .53082 L
.45318 .5297 L
.45265 .52915 L
.45169 .52809 L
.45104 .52773 L
.45024 .52649 L
.44943 .5256 L
.4483 .52488 L
.44783 .52367 L
.44743 .52328 L
.44622 .52177 L
.44614 .52167 L
.44477 .52007 L
.44462 .51992 L
.44343 .51846 L
.44301 .51794 L
.44198 .51686 L
.44141 .51592 L
.44087 .51525 L
.4398 .51391 L
.43967 .51364 L
.43822 .51204 L
.4382 .51202 L
.43672 .51043 L
.43659 .50999 L
.43565 .50883 L
.43499 .50791 L
.43453 .50722 L
.43338 .50584 L
.43309 .50562 L
.43183 .50401 L
.43178 .50394 L
.43051 .50241 L
.43017 .50186 L
.4294 .5008 L
.42857 .49974 L
.42832 .4992 L
.42696 .49767 L
.42679 .49759 L
.42545 .49599 L
.42536 .49574 L
.4243 .49438 L
.42375 .49362 L
.42322 .49278 L
.42215 .49149 L
.42178 .49117 L
.42055 .48957 L
.42054 .48955 L
.41925 .48796 L
.41894 .48745 L
.41815 .48636 L
.41733 .48531 L
.41709 .48475 L
.41572 .48323 L
.41558 .48314 L
.41424 .48154 L
.41412 .48125 L
.41311 .47993 L
.41251 .47912 L
.41203 .47833 L
.41091 .477 L
.41062 .47672 L
.40939 .47512 L
.4093 .47501 L
.40809 .47351 L
.4077 .4729 L
.407 .47191 L
.40609 .47077 L
.40592 .4703 L
.40449 .46872 L
.40445 .4687 L
.40307 .46709 L
.40288 .46667 L
.40198 .46549 L
.40128 .46454 L
.40089 .46388 L
.39967 .46243 L
.39952 .46228 L
.3983 .46067 L
.39807 .46042 L
.39697 .45907 L
.39646 .45829 L
.39589 .45746 L
.39486 .45616 L
.39476 .45586 L
.39338 .45425 L
.39325 .45414 L
.39194 .45265 L
.39165 .45204 L
.39089 .45104 L
.39004 .44989 L
.38979 .44943 L
.38847 .44783 L
.38844 .44782 L
.38725 .44622 L
.38683 .44578 L
.3859 .44462 L
.38523 .4436 L
.38483 .44301 L
.38362 .44146 L
.3836 .44141 L
.38237 .4398 L
.38201 .43953 L
.38088 .4382 L
.38041 .43731 L
.37988 .43659 L
.3788 .43512 L
.37873 .43499 L
.37751 .43338 L
.3772 .43298 L
.37576 .43178 L
.37559 .43101 L
.37495 .43017 L
.37399 .42874 L
.37387 .42857 L
.37269 .42696 L
.37238 .42656 L
.3715 .42536 L
.37078 .42469 L
.37005 .42375 L
.36917 .42227 L
.36909 .42215 L
.36795 .42054 L
.36757 .42004 L
.36678 .41894 L
.36596 .41782 L
.36524 .41733 L
.36446 .41572 L
.36436 .41559 L
.36337 .41412 L
.36275 .41326 L
.36226 .41251 L
.36116 .41091 L
.36115 .41089 L
.36024 .4093 L
.35954 .40808 L
.35941 .4077 L
F
.005 .83 1 r
.35954 .41407 m
.35962 .41412 L
.36115 .41536 L
.36148 .41572 L
.36275 .41704 L
.363 .41733 L
.36436 .41879 L
.36444 .41894 L
.36582 .42054 L
.36596 .42069 L
.36717 .42215 L
.36757 .42259 L
.36852 .42375 L
.36917 .4241 L
.36985 .42536 L
.37078 .42637 L
.37153 .42696 L
.37238 .42843 L
.37251 .42857 L
.37377 .43017 L
.37399 .43043 L
.37505 .43178 L
.37559 .43222 L
.37634 .43338 L
.3772 .43439 L
.3778 .43499 L
.3788 .43647 L
.37891 .43659 L
.38016 .4382 L
.38041 .43851 L
.38142 .4398 L
.38201 .44041 L
.38309 .44141 L
.38362 .44256 L
.38402 .44301 L
.3852 .44462 L
.38523 .44464 L
.38644 .44622 L
.38683 .44649 L
.38769 .44783 L
.38844 .44868 L
.38913 .44943 L
.39004 .45083 L
.39021 .45104 L
.39143 .45265 L
.39165 .45292 L
.39266 .45425 L
.39325 .45482 L
.39429 .45586 L
.39486 .45702 L
.39523 .45746 L
.39639 .45907 L
.39646 .45915 L
.39761 .46067 L
.39807 .46094 L
.39884 .46228 L
.39967 .46323 L
.40025 .46388 L
.40128 .46542 L
.40133 .46549 L
.40253 .46709 L
.40288 .46754 L
.40375 .4687 L
.40449 .46942 L
.40532 .4703 L
.40609 .4717 L
.40626 .47191 L
.40743 .47351 L
.4077 .47385 L
.40864 .47512 L
.4093 .47556 L
.40986 .47672 L
.41091 .478 L
.41118 .47833 L
.4123 .47993 L
.41251 .48021 L
.41348 .48154 L
.41412 .48236 L
.41469 .48314 L
.41572 .48435 L
.41607 .48475 L
.4171 .48636 L
.41733 .48665 L
.41827 .48796 L
.41894 .48883 L
.41946 .48957 L
.42054 .491 L
.42066 .49117 L
.42181 .49278 L
.42215 .49322 L
.42294 .49438 L
.42375 .49547 L
.4241 .49599 L
.42524 .49759 L
.42536 .49776 L
.42625 .4992 L
.42696 .50024 L
.42726 .5008 L
.42696 .50157 L
.4262 .5008 L
.42536 .49998 L
.42464 .4992 L
.42375 .49824 L
.42318 .49759 L
.42215 .49665 L
.42177 .49599 L
.42054 .49458 L
.42028 .49438 L
.41904 .49278 L
.41894 .49266 L
.4177 .49117 L
.41733 .49074 L
.41636 .48957 L
.41572 .48891 L
.41504 .48796 L
.41412 .48684 L
.41366 .48636 L
.41251 .48483 L
.41245 .48475 L
.41115 .48314 L
.41091 .483 L
.40985 .48154 L
.4093 .4809 L
.40835 .47993 L
.4077 .47882 L
.4073 .47833 L
.40609 .47679 L
.40606 .47672 L
.40476 .47512 L
.40449 .47486 L
.40302 .47351 L
.40288 .47276 L
.40216 .47191 L
.40128 .47066 L
.40103 .4703 L
.39973 .4687 L
.39967 .46868 L
.39847 .46709 L
.39807 .46664 L
.39703 .46549 L
.39646 .46451 L
.39598 .46388 L
.39486 .46242 L
.39478 .46228 L
.39349 .46067 L
.39325 .46046 L
.39184 .45907 L
.39165 .45833 L
.39094 .45746 L
.39004 .45619 L
.38982 .45586 L
.38855 .45425 L
.38844 .45423 L
.38731 .45265 L
.38683 .45212 L
.38588 .45104 L
.38523 .44995 L
.38485 .44943 L
.38363 .44783 L
.38362 .44782 L
.38241 .44622 L
.38201 .44592 L
.38075 .44462 L
.38041 .44368 L
.37988 .44301 L
.3788 .44149 L
.37875 .44141 L
.37754 .4398 L
.3772 .43936 L
.37633 .4382 L
.37559 .43738 L
.37493 .43659 L
.37399 .43511 L
.3739 .43499 L
.37272 .43338 L
.37238 .43294 L
.37152 .43178 L
.37078 .43108 L
.36997 .43017 L
.36917 .42864 L
.36912 .42857 L
.36798 .42696 L
.36757 .42642 L
.36681 .42536 L
.36596 .4242 L
.36564 .42375 L
.36449 .42215 L
.36436 .42196 L
.36339 .42054 L
.36275 .41964 L
.36228 .41894 L
.36118 .41733 L
.36115 .41728 L
.36027 .41572 L
.35954 .41436 L
.35951 .41412 L
F
.212 .95 1 r
.36115 .28286 m
.36275 .28278 L
.36436 .28315 L
.36596 .28371 L
.3665 .2841 L
.36757 .28488 L
.36851 .2857 L
.36897 .28731 L
.36757 .28794 L
.36596 .28792 L
.36475 .28731 L
.36436 .28714 L
.36275 .28627 L
.36186 .2857 L
.36115 .28496 L
.36048 .2841 L
F
.004 .82 1 r
.36115 .41565 m
.36122 .41572 L
.36275 .41723 L
.36284 .41733 L
.36431 .41894 L
.36436 .41899 L
.3657 .42054 L
.36596 .42083 L
.36707 .42215 L
.36757 .42271 L
.36843 .42375 L
.36917 .42419 L
.36977 .42536 L
.37078 .42647 L
.37141 .42696 L
.37238 .42852 L
.37243 .42857 L
.37371 .43017 L
.37399 .4305 L
.375 .43178 L
.37559 .43228 L
.37629 .43338 L
.3772 .43445 L
.37774 .43499 L
.3788 .43652 L
.37886 .43659 L
.38011 .4382 L
.38041 .43856 L
.38138 .4398 L
.38201 .44046 L
.38305 .44141 L
.38362 .44261 L
.38398 .44301 L
.38517 .44462 L
.38523 .44469 L
.38641 .44622 L
.38683 .44652 L
.38766 .44783 L
.38844 .44873 L
.3891 .44943 L
.39004 .45087 L
.39018 .45104 L
.3914 .45265 L
.39165 .45296 L
.39263 .45425 L
.39325 .45486 L
.39426 .45586 L
.39486 .45707 L
.39519 .45746 L
.39636 .45907 L
.39646 .45919 L
.39758 .46067 L
.39807 .46097 L
.39881 .46228 L
.39967 .46327 L
.40022 .46388 L
.40128 .46546 L
.4013 .46549 L
.4025 .46709 L
.40288 .46758 L
.40372 .4687 L
.40449 .46947 L
.40528 .4703 L
.40609 .47175 L
.40622 .47191 L
.4074 .47351 L
.4077 .4739 L
.4086 .47512 L
.4093 .47561 L
.40983 .47672 L
.41091 .47807 L
.41113 .47833 L
.41225 .47993 L
.41251 .48027 L
.41344 .48154 L
.41412 .48241 L
.41465 .48314 L
.41572 .48444 L
.416 .48475 L
.41705 .48636 L
.41733 .48672 L
.41822 .48796 L
.41894 .4889 L
.4194 .48957 L
.42054 .49108 L
.42061 .49117 L
.42173 .49278 L
.42215 .49333 L
.42286 .49438 L
.42375 .4956 L
.42401 .49599 L
.4251 .49759 L
.42536 .49795 L
.42607 .4992 L
.42696 .5007 L
.427 .5008 L
.42696 .50104 L
.42659 .5008 L
.42536 .49975 L
.42484 .4992 L
.42375 .49806 L
.42333 .49759 L
.42215 .49644 L
.42189 .49599 L
.42054 .49443 L
.42047 .49438 L
.41914 .49278 L
.41894 .49254 L
.41779 .49117 L
.41733 .49063 L
.41644 .48957 L
.41572 .48882 L
.41511 .48796 L
.41412 .48675 L
.41374 .48636 L
.41251 .48476 L
.41251 .48475 L
.41121 .48314 L
.41091 .48297 L
.40991 .48154 L
.4093 .48083 L
.4084 .47993 L
.4077 .47876 L
.40735 .47833 L
.40609 .47674 L
.40609 .47672 L
.40481 .47512 L
.40449 .47481 L
.40304 .47351 L
.40288 .4727 L
.4022 .47191 L
.40128 .47061 L
.40107 .4703 L
.39977 .4687 L
.39967 .46866 L
.39851 .46709 L
.39807 .46659 L
.39706 .46549 L
.39646 .46446 L
.39602 .46388 L
.39486 .46238 L
.39481 .46228 L
.39353 .46067 L
.39325 .46043 L
.39186 .45907 L
.39165 .45828 L
.39097 .45746 L
.39004 .45615 L
.38985 .45586 L
.38858 .45425 L
.38844 .45422 L
.38735 .45265 L
.38683 .45208 L
.38592 .45104 L
.38523 .4499 L
.38488 .44943 L
.38366 .44783 L
.38362 .44777 L
.38245 .44622 L
.38201 .44588 L
.38079 .44462 L
.38041 .44362 L
.37993 .44301 L
.3788 .44144 L
.37879 .44141 L
.37758 .4398 L
.3772 .4393 L
.37637 .4382 L
.37559 .43732 L
.37498 .43659 L
.37399 .43504 L
.37395 .43499 L
.37277 .43338 L
.37238 .43287 L
.37158 .43178 L
.37078 .43099 L
.37006 .43017 L
.36919 .42857 L
.36917 .42854 L
.36805 .42696 L
.36757 .42632 L
.36688 .42536 L
.36596 .4241 L
.36572 .42375 L
.36459 .42215 L
.36436 .42182 L
.36351 .42054 L
.36275 .41947 L
.36241 .41894 L
.36138 .41733 L
.36115 .41696 L
.36063 .41572 L
F
.538 .98 1 r
.36115 .40243 m
.3617 .40288 L
.36275 .40378 L
.36346 .40449 L
.36436 .4051 L
.36503 .40609 L
.36596 .40707 L
.36651 .4077 L
.36757 .40892 L
.36801 .4093 L
.36917 .41077 L
.36931 .41091 L
.37071 .41251 L
.37078 .41258 L
.37207 .41412 L
.37238 .41451 L
.37357 .41572 L
.37399 .41651 L
.37468 .41733 L
.37559 .41854 L
.37585 .41894 L
.3772 .42051 L
.37734 .42054 L
.37877 .42215 L
.3788 .42239 L
.37992 .42375 L
.38041 .42448 L
.38104 .42536 L
.38201 .42661 L
.3821 .42696 L
.38362 .42844 L
.38372 .42857 L
.38504 .43017 L
.38523 .43052 L
.38618 .43178 L
.38683 .43267 L
.38724 .43338 L
.38844 .43484 L
.38876 .43499 L
.39003 .43659 L
.39004 .43666 L
.39125 .4382 L
.39165 .43879 L
.39234 .4398 L
.39325 .44097 L
.39333 .44141 L
.39486 .44286 L
.39498 .44301 L
.39627 .44462 L
.39646 .44496 L
.3974 .44622 L
.39807 .44713 L
.39845 .44783 L
.39967 .44928 L
.39995 .44943 L
.40124 .45104 L
.40128 .45118 L
.40243 .45265 L
.40288 .45332 L
.40351 .45425 L
.40449 .45548 L
.40452 .45586 L
.40609 .45743 L
.40612 .45746 L
.40743 .45907 L
.4077 .45953 L
.40854 .46067 L
.4093 .46168 L
.4096 .46228 L
.41091 .46378 L
.41106 .46388 L
.41243 .46549 L
.41251 .46577 L
.41356 .46709 L
.41412 .4679 L
.41464 .4687 L
.41572 .47003 L
.416 .4703 L
.41722 .47191 L
.41733 .47203 L
.41857 .47351 L
.41894 .47413 L
.41966 .47512 L
.42054 .47627 L
.42075 .47672 L
.42215 .47832 L
.42216 .47833 L
.4236 .47993 L
.42375 .48037 L
.42467 .48154 L
.42536 .48251 L
.42577 .48314 L
.42696 .48461 L
.42709 .48475 L
.42831 .48636 L
.42857 .48662 L
.4297 .48796 L
.43017 .48875 L
.43077 .48957 L
.43178 .49088 L
.4319 .49117 L
.43324 .49278 L
.43338 .49289 L
.43475 .49438 L
.43499 .49498 L
.43578 .49599 L
.43659 .49713 L
.43688 .49759 L
.43817 .4992 L
.4382 .4992 L
.43939 .5008 L
.4398 .50121 L
.4408 .50241 L
.44141 .50338 L
.44187 .50401 L
.44301 .50551 L
.44306 .50562 L
.44431 .50722 L
.44462 .50744 L
.44586 .50883 L
.44622 .50961 L
.44686 .51043 L
.44783 .51178 L
.44799 .51204 L
.44923 .51364 L
.44943 .5139 L
.45045 .51525 L
.45104 .51583 L
.45188 .51686 L
.45265 .51804 L
.45294 .51846 L
.45415 .52007 L
.45425 .52019 L
.45536 .52167 L
.45586 .52201 L
.45693 .52328 L
.45746 .52429 L
.45791 .52488 L
.45906 .52649 L
.45907 .52649 L
.46027 .52809 L
.46067 .52861 L
.46148 .5297 L
.46228 .53052 L
.46289 .5313 L
.46388 .53279 L
.46396 .53291 L
.46515 .53451 L
.46549 .53494 L
.46636 .53612 L
.46709 .53672 L
.46788 .53772 L
.4687 .53911 L
.46886 .53933 L
.47002 .54093 L
.4703 .5413 L
.47121 .54254 L
.47191 .54345 L
.47242 .54414 L
.47351 .54549 L
.47371 .54575 L
.47482 .54735 L
.47512 .54774 L
.47599 .54896 L
.47672 .54993 L
.47717 .55057 L
.47833 .55211 L
.47841 .55217 L
.4795 .55378 L
.47993 .55437 L
.48061 .55538 L
.48154 .55666 L
.48175 .55699 L
.48281 .55859 L
.48314 .55909 L
.48374 .5602 L
.48314 .56116 L
.48212 .5602 L
.48154 .55965 L
.48051 .55859 L
.47993 .55853 L
.47899 .55699 L
.47833 .5563 L
.47753 .55538 L
.47672 .55441 L
.47601 .55378 L
.47512 .55252 L
.4748 .55217 L
.47351 .55065 L
.47348 .55057 L
.47202 .54896 L
.47191 .54882 L
.47051 .54735 L
.4703 .54683 L
.46941 .54575 L
.4687 .54479 L
.46827 .54414 L
.46709 .54271 L
.46673 .54254 L
.46549 .54096 L
.46546 .54093 L
.46416 .53933 L
.46388 .53889 L
.46303 .53772 L
.46228 .53674 L
.46201 .53612 L
.46067 .53492 L
.46034 .53451 L
.45909 .53291 L
.45907 .53286 L
.45788 .5313 L
.45746 .53072 L
.45682 .5297 L
.45586 .5285 L
.4553 .52809 L
.45425 .52672 L
.45406 .52649 L
.45282 .52488 L
.45265 .52461 L
.4517 .52328 L
.45104 .52242 L
.45074 .52167 L
.44943 .52052 L
.44907 .52007 L
.44784 .51846 L
.44783 .51843 L
.44665 .51686 L
.44622 .51627 L
.44561 .51525 L
.44462 .51405 L
.4441 .51364 L
.44301 .51221 L
.44288 .51204 L
.44164 .51043 L
.44141 .51008 L
.44054 .50883 L
.4398 .5079 L
.43958 .50722 L
.4382 .50571 L
.43793 .50562 L
.43668 .50401 L
.43659 .50386 L
.43551 .50241 L
.43499 .5017 L
.43447 .5008 L
.43338 .49952 L
.43298 .4992 L
.43178 .49761 L
.43177 .49759 L
.43051 .49599 L
.43017 .49549 L
.42942 .49438 L
.42857 .49332 L
.42844 .49278 L
.42696 .49123 L
.42682 .49117 L
.42553 .48957 L
.42536 .48925 L
.4244 .48796 L
.42375 .4871 L
.42335 .48636 L
.42215 .48497 L
.42189 .48475 L
.42057 .48314 L
.42054 .48299 L
.4194 .48154 L
.41894 .48087 L
.41831 .47993 L
.41733 .47873 L
.41727 .47833 L
.41574 .47672 L
.41572 .47671 L
.4144 .47512 L
.41412 .47463 L
.4133 .47351 L
.41251 .47249 L
.41222 .47191 L
.41091 .4704 L
.41081 .4703 L
.40939 .4687 L
.4093 .46838 L
.40829 .46709 L
.4077 .46625 L
.4072 .46549 L
.40609 .46413 L
.40608 .46388 L
.40466 .46228 L
.40449 .46212 L
.40327 .46067 L
.40288 .46001 L
.4022 .45907 L
.40128 .45787 L
.40109 .45746 L
.39974 .45586 L
.39967 .45582 L
.39823 .45425 L
.39807 .45377 L
.3972 .45265 L
.39646 .45161 L
.3961 .45104 L
.39486 .44948 L
.39482 .44943 L
.3936 .44783 L
.39325 .44753 L
.39218 .44622 L
.39165 .44536 L
.39112 .44462 L
.39004 .4432 L
.38996 .44301 L
.38869 .44141 L
.38844 .44131 L
.38711 .4398 L
.38683 .43911 L
.38614 .4382 L
.38523 .43691 L
.38503 .43659 L
.38379 .43499 L
.38362 .43477 L
.38258 .43338 L
.38201 .43289 L
.38114 .43178 L
.38041 .43062 L
.3801 .43017 L
.37891 .42857 L
.3788 .42843 L
.37771 .42696 L
.3772 .4263 L
.37611 .42536 L
.37559 .42431 L
.37519 .42375 L
.37406 .42215 L
.37399 .42205 L
.37288 .42054 L
.37238 .41989 L
.37169 .41894 L
.37078 .41795 L
.37033 .41733 L
.36929 .41572 L
.36917 .41558 L
.36813 .41412 L
.36757 .41336 L
.36697 .41251 L
.36596 .41115 L
.36564 .41091 L
.36467 .4093 L
.36436 .40887 L
.36358 .4077 L
.36275 .40651 L
.36249 .40609 L
.3615 .40449 L
.36115 .40392 L
.36071 .40288 L
F
1 .91 .061 r
.36115 .40923 m
.36125 .4093 L
.36275 .41059 L
.36306 .41091 L
.36436 .41212 L
.36461 .41251 L
.36596 .41398 L
.36617 .41412 L
.36748 .41572 L
.36757 .41582 L
.36886 .41733 L
.36917 .41735 L
.37023 .41894 L
.37078 .41949 L
.37158 .42054 L
.37238 .4215 L
.37304 .42215 L
.37399 .42349 L
.37421 .42375 L
.37553 .42536 L
.37559 .4254 L
.37683 .42696 L
.3772 .42739 L
.37839 .42857 L
.3788 .42944 L
.37943 .43017 L
.38041 .43149 L
.3806 .43178 L
.38195 .43338 L
.38201 .43345 L
.38322 .43499 L
.38362 .43549 L
.38459 .43659 L
.38523 .43757 L
.3857 .4382 L
.38683 .43964 L
.38689 .4398 L
.38825 .44141 L
.38844 .44161 L
.38972 .44301 L
.39004 .4437 L
.39078 .44462 L
.39165 .44581 L
.39191 .44622 L
.39325 .44783 L
.39325 .44783 L
.3945 .44943 L
.39486 .44987 L
.39585 .45104 L
.39646 .45199 L
.39694 .45265 L
.39807 .45408 L
.39812 .45425 L
.39946 .45586 L
.39967 .45608 L
.40092 .45746 L
.40128 .45819 L
.40197 .45907 L
.40288 .46031 L
.4031 .46067 L
.40442 .46228 L
.40449 .46233 L
.40604 .46388 L
.40609 .4644 L
.40701 .46549 L
.4077 .46653 L
.4081 .46709 L
.4093 .46863 L
.40932 .4687 L
.41059 .4703 L
.41091 .47062 L
.41207 .47191 L
.41251 .47276 L
.4131 .47351 L
.41412 .47489 L
.41425 .47512 L
.41552 .47672 L
.41572 .47686 L
.41719 .47833 L
.41733 .47899 L
.41811 .47993 L
.41894 .48115 L
.41921 .48154 L
.42044 .48314 L
.42054 .48327 L
.42166 .48475 L
.42215 .48521 L
.42316 .48636 L
.42375 .48741 L
.42417 .48796 L
.42536 .48956 L
.42536 .48957 L
.42657 .49117 L
.42696 .4914 L
.42827 .49278 L
.42857 .49366 L
.42915 .49438 L
.43017 .49586 L
.43026 .49599 L
.43146 .49759 L
.43178 .49799 L
.43268 .4992 L
.43338 .49989 L
.43415 .5008 L
.43499 .50217 L
.43517 .50241 L
.43634 .50401 L
.43659 .50434 L
.43754 .50562 L
.4382 .50609 L
.43919 .50722 L
.4398 .5085 L
.44006 .50883 L
.44119 .51043 L
.44141 .51072 L
.44237 .51204 L
.44301 .51288 L
.44357 .51364 L
.44462 .5149 L
.4449 .51525 L
.44597 .51686 L
.44622 .51719 L
.44713 .51846 L
.44783 .51939 L
.44831 .52007 L
.44943 .52158 L
.44957 .52167 L
.45062 .52328 L
.45104 .52384 L
.45173 .52488 L
.45265 .52615 L
.45286 .52649 L
.45391 .52809 L
.45425 .5286 L
.45483 .5297 L
.45425 .53034 L
.45358 .5297 L
.45265 .5288 L
.45198 .52809 L
.45104 .52745 L
.45048 .52649 L
.44943 .52536 L
.4486 .52488 L
.44783 .52347 L
.44762 .52328 L
.44628 .52167 L
.44622 .52161 L
.44491 .52007 L
.44462 .51979 L
.44356 .51846 L
.44301 .51779 L
.44208 .51686 L
.44141 .51579 L
.44097 .51525 L
.4398 .51381 L
.43972 .51364 L
.43831 .51204 L
.4382 .51191 L
.43675 .51043 L
.43659 .50988 L
.43572 .50883 L
.43499 .50782 L
.43459 .50722 L
.43338 .50578 L
.43316 .50562 L
.4319 .50401 L
.43178 .50386 L
.43055 .50241 L
.43017 .50178 L
.42945 .5008 L
.42857 .49968 L
.42835 .4992 L
.42696 .49765 L
.42684 .49759 L
.42547 .49599 L
.42536 .49568 L
.42434 .49438 L
.42375 .49356 L
.42325 .49278 L
.42215 .49145 L
.42182 .49117 L
.42059 .48957 L
.42054 .4895 L
.41928 .48796 L
.41894 .4874 L
.41818 .48636 L
.41733 .48527 L
.41711 .48475 L
.41572 .48321 L
.41561 .48314 L
.41425 .48154 L
.41412 .48121 L
.41314 .47993 L
.41251 .47908 L
.41205 .47833 L
.41091 .47697 L
.41065 .47672 L
.40942 .47512 L
.4093 .47498 L
.40811 .47351 L
.4077 .47287 L
.40702 .47191 L
.40609 .47074 L
.40593 .4703 L
.40449 .4687 L
.40448 .4687 L
.40309 .46709 L
.40288 .46664 L
.402 .46549 L
.40128 .4645 L
.40091 .46388 L
.39967 .4624 L
.39955 .46228 L
.39832 .46067 L
.39807 .46039 L
.39699 .45907 L
.39646 .45826 L
.39591 .45746 L
.39486 .45613 L
.39477 .45586 L
.39341 .45425 L
.39325 .45412 L
.39196 .45265 L
.39165 .452 L
.39092 .45104 L
.39004 .44985 L
.38981 .44943 L
.3885 .44783 L
.38844 .44781 L
.38729 .44622 L
.38683 .44574 L
.38593 .44462 L
.38523 .44356 L
.38486 .44301 L
.38362 .44141 L
.38362 .44141 L
.38241 .4398 L
.38201 .43949 L
.38091 .4382 L
.38041 .43725 L
.37992 .43659 L
.3788 .43506 L
.37877 .43499 L
.37756 .43338 L
.3772 .43291 L
.3758 .43178 L
.37559 .43093 L
.37501 .43017 L
.37399 .42865 L
.37393 .42857 L
.37276 .42696 L
.37238 .42647 L
.37157 .42536 L
.37078 .42456 L
.37015 .42375 L
.36919 .42215 L
.36917 .42212 L
.36805 .42054 L
.36757 .41989 L
.3669 .41894 L
.36596 .41765 L
.36547 .41733 L
.36462 .41572 L
.36436 .41536 L
.36355 .41412 L
.36275 .41296 L
.36247 .41251 L
.36151 .41091 L
.36115 .41028 L
.36089 .4093 L
F
1 .89 .033 r
.36115 .43503 m
.3622 .43659 L
.36275 .43731 L
.3633 .4382 L
.36436 .43962 L
.36446 .4398 L
.36436 .44045 L
.36379 .4398 L
.36275 .43871 L
.36232 .4382 L
.36115 .43685 L
.36093 .43659 L
F
.733 .99 1 r
.36275 .36183 m
.36375 .36275 L
.36436 .36332 L
.36532 .36436 L
.36596 .36504 L
.36675 .36596 L
.36757 .36655 L
.36811 .36757 L
.36917 .36879 L
.36955 .36917 L
.37062 .37078 L
.37078 .37098 L
.37177 .37238 L
.37238 .37331 L
.3728 .37399 L
.37325 .37559 L
.37238 .3757 L
.37231 .37559 L
.37078 .3746 L
.37041 .37399 L
.36917 .37274 L
.36895 .37238 L
.36763 .37078 L
.36757 .3707 L
.36641 .36917 L
.36596 .3686 L
.36521 .36757 L
.36436 .3664 L
.36405 .36596 L
.36298 .36436 L
.36275 .36401 L
.36206 .36275 L
F
1 .75 0 r
.36275 .4238 m
.36403 .42536 L
.36436 .42571 L
.36536 .42696 L
.36596 .42765 L
.36668 .42857 L
.36757 .42961 L
.36801 .43017 L
.36917 .43143 L
.36932 .43178 L
.3706 .43338 L
.37078 .43359 L
.37186 .43499 L
.37238 .43562 L
.37313 .43659 L
.37399 .43765 L
.37441 .4382 L
.37559 .43961 L
.37582 .4398 L
.37693 .44141 L
.3772 .44174 L
.37816 .44301 L
.3788 .44381 L
.37941 .44462 L
.38041 .44558 L
.38067 .44622 L
.38192 .44783 L
.38201 .44795 L
.38312 .44943 L
.38362 .45006 L
.38435 .45104 L
.38523 .45215 L
.38559 .45265 L
.38683 .45424 L
.38684 .45425 L
.38801 .45586 L
.38844 .45639 L
.38921 .45746 L
.39004 .45852 L
.39043 .45907 L
.39165 .46065 L
.39166 .46067 L
.39281 .46228 L
.39325 .46285 L
.39397 .46388 L
.39486 .46504 L
.39516 .46549 L
.39634 .46709 L
.39646 .46725 L
.3974 .4687 L
.39807 .4696 L
.39848 .4703 L
.39807 .47101 L
.39745 .4703 L
.39646 .46924 L
.396 .4687 L
.39486 .46738 L
.39461 .46709 L
.39326 .46549 L
.39325 .46547 L
.39195 .46388 L
.39165 .46353 L
.39063 .46228 L
.39004 .46157 L
.38932 .46067 L
.38844 .45959 L
.38802 .45907 L
.38683 .45763 L
.38663 .45746 L
.38546 .45586 L
.38523 .45557 L
.38419 .45425 L
.38362 .45354 L
.38292 .45265 L
.38201 .45173 L
.38165 .45104 L
.38041 .44946 L
.38039 .44943 L
.37916 .44783 L
.3788 .44738 L
.37792 .44622 L
.3772 .44531 L
.37667 .44462 L
.37559 .44331 L
.37529 .44301 L
.37421 .44141 L
.37399 .44113 L
.37299 .4398 L
.37238 .43902 L
.37176 .4382 L
.37078 .43712 L
.37054 .43659 L
.36934 .43499 L
.36917 .43477 L
.36816 .43338 L
.36757 .43261 L
.36696 .43178 L
.36596 .43045 L
.36576 .43017 L
.3646 .42857 L
.36436 .42825 L
.36346 .42696 L
.36275 .42601 L
.3623 .42536 L
F
1 .74 0 r
.36275 .42398 m
.36389 .42536 L
.36436 .42586 L
.36524 .42696 L
.36596 .42777 L
.36659 .42857 L
.36757 .42971 L
.36793 .43017 L
.36917 .43159 L
.36925 .43178 L
.37052 .43338 L
.37078 .43368 L
.37178 .43499 L
.37238 .4357 L
.37306 .43659 L
.37399 .43773 L
.37435 .4382 L
.37559 .43973 L
.37569 .4398 L
.37686 .44141 L
.3772 .44182 L
.3781 .44301 L
.3788 .44389 L
.37935 .44462 L
.38041 .4457 L
.38062 .44622 L
.38185 .44783 L
.38201 .44803 L
.38306 .44943 L
.38362 .45013 L
.38429 .45104 L
.38523 .45223 L
.38553 .45265 L
.38677 .45425 L
.38683 .45433 L
.38794 .45586 L
.38844 .45648 L
.38914 .45746 L
.39004 .45861 L
.39036 .45907 L
.39159 .46067 L
.39165 .46075 L
.39272 .46228 L
.39325 .46296 L
.39388 .46388 L
.39486 .46516 L
.39507 .46549 L
.39621 .46709 L
.39646 .46743 L
.39723 .4687 L
.39807 .46988 L
.39828 .4703 L
.39807 .47071 L
.39769 .4703 L
.39646 .46905 L
.39616 .4687 L
.39486 .46723 L
.39474 .46709 L
.39339 .46549 L
.39325 .46533 L
.39206 .46388 L
.39165 .46341 L
.39073 .46228 L
.39004 .46146 L
.38941 .46067 L
.38844 .45949 L
.3881 .45907 L
.38683 .4575 L
.38678 .45746 L
.38554 .45586 L
.38523 .45547 L
.38427 .45425 L
.38362 .45345 L
.38299 .45265 L
.38201 .45161 L
.38172 .45104 L
.38047 .44943 L
.38041 .44936 L
.37923 .44783 L
.3788 .44729 L
.37798 .44622 L
.3772 .44522 L
.37673 .44462 L
.37559 .44319 L
.37541 .44301 L
.37428 .44141 L
.37399 .44104 L
.37306 .4398 L
.37238 .43893 L
.37184 .4382 L
.37078 .43697 L
.37061 .43659 L
.36942 .43499 L
.36917 .43467 L
.36824 .43338 L
.36757 .4325 L
.36704 .43178 L
.36596 .43034 L
.36584 .43017 L
.36471 .42857 L
.36436 .4281 L
.36357 .42696 L
.36275 .42584 L
.36243 .42536 L
F
.001 .79 1 r
.36275 .43084 m
.36342 .43178 L
.36436 .43287 L
.36472 .43338 L
.36596 .43489 L
.36603 .43499 L
.36596 .43622 L
.36506 .43499 L
.36436 .43416 L
.36379 .43338 L
.36275 .43209 L
.36252 .43178 L
F
.003 .81 1 r
.36275 .41747 m
.36413 .41894 L
.36436 .41916 L
.36556 .42054 L
.36596 .42096 L
.36696 .42215 L
.36757 .42282 L
.36834 .42375 L
.36917 .42431 L
.36969 .42536 L
.37078 .42657 L
.37129 .42696 L
.37236 .42857 L
.37238 .4286 L
.37365 .43017 L
.37399 .43058 L
.37494 .43178 L
.37559 .43234 L
.37624 .43338 L
.3772 .43452 L
.37768 .43499 L
.3788 .43658 L
.37881 .43659 L
.38007 .4382 L
.38041 .43862 L
.38133 .4398 L
.38201 .44051 L
.383 .44141 L
.38362 .44266 L
.38393 .44301 L
.38513 .44462 L
.38523 .44474 L
.38637 .44622 L
.38683 .44655 L
.38762 .44783 L
.38844 .44877 L
.38906 .44943 L
.39004 .45091 L
.39014 .45104 L
.39136 .45265 L
.39165 .453 L
.3926 .45425 L
.39325 .4549 L
.39422 .45586 L
.39486 .45711 L
.39516 .45746 L
.39633 .45907 L
.39646 .45923 L
.39755 .46067 L
.39807 .461 L
.39878 .46228 L
.39967 .46331 L
.40018 .46388 L
.40126 .46549 L
.40128 .4655 L
.40247 .46709 L
.40288 .46762 L
.40369 .4687 L
.40449 .46951 L
.40524 .4703 L
.40609 .4718 L
.40618 .47191 L
.40736 .47351 L
.4077 .47394 L
.40857 .47512 L
.4093 .47567 L
.40979 .47672 L
.41091 .47813 L
.41108 .47833 L
.41221 .47993 L
.41251 .48032 L
.4134 .48154 L
.41412 .48247 L
.41461 .48314 L
.41572 .48453 L
.41592 .48475 L
.417 .48636 L
.41733 .48679 L
.41816 .48796 L
.41894 .48898 L
.41935 .48957 L
.42054 .49116 L
.42055 .49117 L
.42165 .49278 L
.42215 .49344 L
.42277 .49438 L
.42375 .49574 L
.42391 .49599 L
.42494 .49759 L
.42536 .49822 L
.42581 .4992 L
.42536 .49946 L
.42509 .4992 L
.42375 .49787 L
.42349 .49759 L
.42215 .4962 L
.42203 .49599 L
.42062 .49438 L
.42054 .49429 L
.41924 .49278 L
.41894 .49243 L
.41788 .49117 L
.41733 .49053 L
.41653 .48957 L
.41572 .48873 L
.41519 .48796 L
.41412 .48666 L
.41382 .48636 L
.41257 .48475 L
.41251 .48468 L
.41127 .48314 L
.41091 .48292 L
.40997 .48154 L
.4093 .48077 L
.40845 .47993 L
.4077 .47869 L
.4074 .47833 L
.40613 .47672 L
.40609 .47668 L
.40486 .47512 L
.40449 .47476 L
.40307 .47351 L
.40288 .47264 L
.40225 .47191 L
.40128 .47056 L
.4011 .4703 L
.39981 .4687 L
.39967 .46864 L
.39856 .46709 L
.39807 .46654 L
.3971 .46549 L
.39646 .46441 L
.39606 .46388 L
.39486 .46233 L
.39483 .46228 L
.39357 .46067 L
.39325 .46039 L
.39188 .45907 L
.39165 .45823 L
.39101 .45746 L
.39004 .4561 L
.38988 .45586 L
.38862 .45425 L
.38844 .45421 L
.38739 .45265 L
.38683 .45203 L
.38595 .45104 L
.38523 .44985 L
.38492 .44943 L
.3837 .44783 L
.38362 .44772 L
.38249 .44622 L
.38201 .44584 L
.38082 .44462 L
.38041 .44357 L
.37997 .44301 L
.37883 .44141 L
.3788 .44138 L
.37763 .4398 L
.3772 .43924 L
.37642 .4382 L
.37559 .43725 L
.37504 .43659 L
.374 .43499 L
.37399 .43497 L
.37282 .43338 L
.37238 .4328 L
.37163 .43178 L
.37078 .43089 L
.37015 .43017 L
.36926 .42857 L
.36917 .42845 L
.36812 .42696 L
.36757 .42622 L
.36696 .42536 L
.36596 .42398 L
.3658 .42375 L
.3647 .42215 L
.36436 .42167 L
.36363 .42054 L
.36275 .41927 L
.36255 .41894 L
F
1 .73 0 r
.36275 .4242 m
.36372 .42536 L
.36436 .42602 L
.36512 .42696 L
.36596 .4279 L
.36649 .42857 L
.36757 .42982 L
.36784 .43017 L
.36917 .43177 L
.36917 .43178 L
.37043 .43338 L
.37078 .43378 L
.37171 .43499 L
.37238 .43579 L
.37299 .43659 L
.37399 .43781 L
.37428 .4382 L
.37557 .4398 L
.37559 .43983 L
.37679 .44141 L
.3772 .4419 L
.37804 .44301 L
.3788 .44396 L
.37929 .44462 L
.38041 .44583 L
.38056 .44622 L
.38179 .44783 L
.38201 .44811 L
.383 .44943 L
.38362 .45021 L
.38423 .45104 L
.38523 .45231 L
.38547 .45265 L
.3867 .45425 L
.38683 .45442 L
.38787 .45586 L
.38844 .45657 L
.38907 .45746 L
.39004 .4587 L
.3903 .45907 L
.3915 .46067 L
.39165 .46086 L
.39263 .46228 L
.39325 .46309 L
.39379 .46388 L
.39486 .4653 L
.39498 .46549 L
.39486 .46705 L
.39353 .46549 L
.39325 .46518 L
.39218 .46388 L
.39165 .46327 L
.39084 .46228 L
.39004 .46134 L
.3895 .46067 L
.38844 .45938 L
.38819 .45907 L
.38689 .45746 L
.38683 .45739 L
.38562 .45586 L
.38523 .45537 L
.38434 .45425 L
.38362 .45335 L
.38306 .45265 L
.38201 .45148 L
.38179 .45104 L
.38054 .44943 L
.38041 .44927 L
.3793 .44783 L
.3788 .4472 L
.37805 .44622 L
.3772 .44513 L
.3768 .44462 L
.37559 .44307 L
.37554 .44301 L
.37436 .44141 L
.37399 .44094 L
.37314 .4398 L
.37238 .43883 L
.37191 .4382 L
.37078 .4368 L
.37069 .43659 L
.36951 .43499 L
.36917 .43455 L
.36833 .43338 L
.36757 .43239 L
.36713 .43178 L
.36596 .43021 L
.36594 .43017 L
.36483 .42857 L
.36436 .42794 L
.3637 .42696 L
.36275 .42565 L
.36256 .42536 L
F
.002 .8 1 r
.36275 .41779 m
.3639 .41894 L
.36436 .41935 L
.36541 .42054 L
.36596 .42111 L
.36685 .42215 L
.36757 .42294 L
.36824 .42375 L
.36917 .42444 L
.36961 .42536 L
.37078 .42668 L
.37115 .42696 L
.37228 .42857 L
.37238 .42868 L
.37358 .43017 L
.37399 .43065 L
.37488 .43178 L
.37559 .43241 L
.37618 .43338 L
.3772 .43458 L
.37761 .43499 L
.37876 .43659 L
.3788 .43664 L
.38002 .4382 L
.38041 .43867 L
.38129 .4398 L
.38201 .44056 L
.38295 .44141 L
.38362 .44271 L
.38389 .44301 L
.38509 .44462 L
.38523 .44479 L
.38633 .44622 L
.38683 .44658 L
.38759 .44783 L
.38844 .44882 L
.38902 .44943 L
.39004 .45096 L
.39011 .45104 L
.39133 .45265 L
.39165 .45304 L
.39257 .45425 L
.39325 .45494 L
.39419 .45586 L
.39486 .45715 L
.39512 .45746 L
.3963 .45907 L
.39646 .45927 L
.39752 .46067 L
.39807 .46103 L
.39875 .46228 L
.39967 .46336 L
.40014 .46388 L
.40123 .46549 L
.40128 .46555 L
.40244 .46709 L
.40288 .46766 L
.40366 .4687 L
.40449 .46956 L
.40519 .4703 L
.40609 .47185 L
.40614 .47191 L
.40732 .47351 L
.4077 .47399 L
.40853 .47512 L
.4093 .47573 L
.40975 .47672 L
.41091 .47819 L
.41103 .47833 L
.41217 .47993 L
.41251 .48038 L
.41336 .48154 L
.41412 .48253 L
.41456 .48314 L
.41572 .48462 L
.41584 .48475 L
.41694 .48636 L
.41733 .48686 L
.4181 .48796 L
.41894 .48906 L
.41929 .48957 L
.42047 .49117 L
.42054 .49127 L
.42156 .49278 L
.42215 .49357 L
.42267 .49438 L
.42375 .4959 L
.4238 .49599 L
.42472 .49759 L
.42375 .49765 L
.42369 .49759 L
.42218 .49599 L
.42215 .49595 L
.42075 .49438 L
.42054 .49416 L
.41935 .49278 L
.41894 .49231 L
.41797 .49117 L
.41733 .49043 L
.41661 .48957 L
.41572 .48863 L
.41527 .48796 L
.41412 .48657 L
.4139 .48636 L
.41264 .48475 L
.41251 .4846 L
.41133 .48314 L
.41091 .48288 L
.41003 .48154 L
.4093 .4807 L
.40851 .47993 L
.4077 .47863 L
.40745 .47833 L
.40618 .47672 L
.40609 .47661 L
.40491 .47512 L
.40449 .47471 L
.4031 .47351 L
.40288 .47259 L
.40229 .47191 L
.40128 .47051 L
.40114 .4703 L
.39985 .4687 L
.39967 .46862 L
.3986 .46709 L
.39807 .46649 L
.39713 .46549 L
.39646 .46436 L
.39609 .46388 L
.39486 .46229 L
.39485 .46228 L
.39361 .46067 L
.39325 .46036 L
.39191 .45907 L
.39165 .45819 L
.39105 .45746 L
.39004 .45605 L
.38991 .45586 L
.38866 .45425 L
.38844 .4542 L
.38743 .45265 L
.38683 .45199 L
.38599 .45104 L
.38523 .4498 L
.38496 .44943 L
.38375 .44783 L
.38362 .44767 L
.38253 .44622 L
.38201 .44579 L
.38086 .44462 L
.38041 .44351 L
.38002 .44301 L
.37887 .44141 L
.3788 .44132 L
.37767 .4398 L
.3772 .43918 L
.37646 .4382 L
.37559 .43718 L
.3751 .43659 L
.37406 .43499 L
.37399 .4349 L
.37288 .43338 L
.37238 .43273 L
.37169 .43178 L
.37078 .43078 L
.37025 .43017 L
.36933 .42857 L
.36917 .42835 L
.36819 .42696 L
.36757 .42611 L
.36704 .42536 L
.36596 .42386 L
.36589 .42375 L
.36482 .42215 L
.36436 .42149 L
.36376 .42054 L
.36275 .41902 L
.3627 .41894 L
F
1 .9 .045 r
.36275 .41113 m
.36428 .41251 L
.36436 .41258 L
.36582 .41412 L
.36596 .41426 L
.36727 .41572 L
.36757 .41604 L
.36869 .41733 L
.36917 .41741 L
.37008 .41894 L
.37078 .41964 L
.37145 .42054 L
.37238 .42165 L
.37291 .42215 L
.37399 .42361 L
.37411 .42375 L
.37543 .42536 L
.37559 .42547 L
.37674 .42696 L
.3772 .42749 L
.37833 .42857 L
.3788 .42953 L
.37936 .43017 L
.38041 .43156 L
.38056 .43178 L
.38189 .43338 L
.38201 .43351 L
.38316 .43499 L
.38362 .43555 L
.38455 .43659 L
.38523 .43763 L
.38565 .4382 L
.38683 .43968 L
.38688 .4398 L
.38821 .44141 L
.38844 .44166 L
.38969 .44301 L
.39004 .44375 L
.39074 .44462 L
.39165 .44585 L
.39188 .44622 L
.39322 .44783 L
.39325 .44786 L
.39446 .44943 L
.39486 .44991 L
.39582 .45104 L
.39646 .45202 L
.39692 .45265 L
.39807 .45411 L
.39811 .45425 L
.39944 .45586 L
.39967 .45611 L
.4009 .45746 L
.40128 .45822 L
.40195 .45907 L
.40288 .46034 L
.40308 .46067 L
.40439 .46228 L
.40449 .46235 L
.40603 .46388 L
.40609 .46443 L
.40699 .46549 L
.4077 .46656 L
.40808 .46709 L
.4093 .46866 L
.40932 .4687 L
.41056 .4703 L
.41091 .47064 L
.41205 .47191 L
.41251 .47279 L
.41308 .47351 L
.41412 .47492 L
.41423 .47512 L
.4155 .47672 L
.41572 .47687 L
.41718 .47833 L
.41733 .47902 L
.41809 .47993 L
.41894 .48118 L
.41919 .48154 L
.42042 .48314 L
.42054 .4833 L
.42164 .48475 L
.42215 .48524 L
.42313 .48636 L
.42375 .48744 L
.42415 .48796 L
.42534 .48957 L
.42536 .48959 L
.42654 .49117 L
.42696 .49142 L
.42825 .49278 L
.42857 .49369 L
.42912 .49438 L
.43017 .4959 L
.43023 .49599 L
.43143 .49759 L
.43178 .49803 L
.43264 .4992 L
.43338 .49994 L
.43411 .5008 L
.43499 .50222 L
.43513 .50241 L
.4363 .50401 L
.43659 .50439 L
.4375 .50562 L
.4382 .50615 L
.43914 .50722 L
.4398 .50858 L
.44 .50883 L
.44113 .51043 L
.44141 .51079 L
.44231 .51204 L
.44301 .51295 L
.44351 .51364 L
.44462 .51502 L
.4448 .51525 L
.44589 .51686 L
.44622 .51729 L
.44704 .51846 L
.44783 .51951 L
.44822 .52007 L
.4494 .52167 L
.44943 .52172 L
.45048 .52328 L
.45104 .52405 L
.45157 .52488 L
.45265 .52642 L
.45269 .52649 L
.45357 .52809 L
.45265 .52839 L
.45234 .52809 L
.45104 .52702 L
.45076 .52649 L
.44943 .52508 L
.44905 .52488 L
.44784 .52328 L
.44783 .52326 L
.44644 .52167 L
.44622 .52143 L
.44506 .52007 L
.44462 .51966 L
.44369 .51846 L
.44301 .51765 L
.44219 .51686 L
.44141 .51567 L
.44106 .51525 L
.4398 .51372 L
.43976 .51364 L
.4384 .51204 L
.4382 .51181 L
.43679 .51043 L
.43659 .50978 L
.43579 .50883 L
.43499 .50773 L
.43465 .50722 L
.43338 .50572 L
.43323 .50562 L
.43196 .50401 L
.43178 .50378 L
.4306 .50241 L
.43017 .50171 L
.4295 .5008 L
.42857 .49962 L
.42838 .4992 L
.42696 .49762 L
.42689 .49759 L
.42549 .49599 L
.42536 .49562 L
.42438 .49438 L
.42375 .49351 L
.42329 .49278 L
.42215 .49141 L
.42186 .49117 L
.42063 .48957 L
.42054 .48946 L
.41931 .48796 L
.41894 .48736 L
.41821 .48636 L
.41733 .48523 L
.41713 .48475 L
.41572 .48319 L
.41565 .48314 L
.41427 .48154 L
.41412 .48117 L
.41317 .47993 L
.41251 .47904 L
.41208 .47833 L
.41091 .47694 L
.41068 .47672 L
.40945 .47512 L
.4093 .47495 L
.40813 .47351 L
.4077 .47283 L
.40705 .47191 L
.40609 .47071 L
.40595 .4703 L
.40451 .4687 L
.40449 .46868 L
.4031 .46709 L
.40288 .4666 L
.40203 .46549 L
.40128 .46447 L
.40093 .46388 L
.39967 .46238 L
.39958 .46228 L
.39835 .46067 L
.39807 .46036 L
.39701 .45907 L
.39646 .45822 L
.39594 .45746 L
.39486 .45609 L
.39478 .45586 L
.39344 .45425 L
.39325 .45409 L
.39198 .45265 L
.39165 .45196 L
.39095 .45104 L
.39004 .44981 L
.38983 .44943 L
.38854 .44783 L
.38844 .4478 L
.38732 .44622 L
.38683 .4457 L
.38596 .44462 L
.38523 .44351 L
.38489 .44301 L
.38365 .44141 L
.38362 .44136 L
.38245 .4398 L
.38201 .43945 L
.38095 .4382 L
.38041 .4372 L
.37997 .43659 L
.3788 .43499 L
.3788 .43499 L
.37761 .43338 L
.3772 .43284 L
.37585 .43178 L
.37559 .43085 L
.37508 .43017 L
.374 .42857 L
.37399 .42855 L
.37283 .42696 L
.37238 .42637 L
.37165 .42536 L
.37078 .42442 L
.37026 .42375 L
.36929 .42215 L
.36917 .42199 L
.36816 .42054 L
.36757 .41974 L
.36701 .41894 L
.36596 .41747 L
.36574 .41733 L
.3648 .41572 L
.36436 .41509 L
.36376 .41412 L
.36275 .41256 L
.36273 .41251 L
F
1 .72 0 r
.36275 .42452 m
.36349 .42536 L
.36436 .4262 L
.36497 .42696 L
.36596 .42804 L
.36637 .42857 L
.36757 .42994 L
.36775 .43017 L
.36907 .43178 L
.36917 .43189 L
.37034 .43338 L
.37078 .43389 L
.37163 .43499 L
.37238 .43589 L
.37292 .43659 L
.37399 .4379 L
.37422 .4382 L
.37549 .4398 L
.37559 .43992 L
.37672 .44141 L
.3772 .44199 L
.37797 .44301 L
.3788 .44404 L
.37923 .44462 L
.38041 .44598 L
.3805 .44622 L
.38172 .44783 L
.38201 .44819 L
.38293 .44943 L
.38362 .4503 L
.38416 .45104 L
.38523 .45239 L
.38541 .45265 L
.38662 .45425 L
.38683 .45451 L
.3878 .45586 L
.38844 .45666 L
.389 .45746 L
.39004 .4588 L
.39023 .45907 L
.3914 .46067 L
.39165 .46099 L
.39252 .46228 L
.39325 .46323 L
.39368 .46388 L
.39486 .46547 L
.39487 .46549 L
.39486 .46682 L
.39371 .46549 L
.39325 .46501 L
.39231 .46388 L
.39165 .46313 L
.39095 .46228 L
.39004 .46121 L
.3896 .46067 L
.38844 .45926 L
.38828 .45907 L
.38699 .45746 L
.38683 .45727 L
.38571 .45586 L
.38523 .45527 L
.38443 .45425 L
.38362 .45326 L
.38314 .45265 L
.38201 .45134 L
.38187 .45104 L
.38062 .44943 L
.38041 .44917 L
.37938 .44783 L
.3788 .44711 L
.37813 .44622 L
.3772 .44504 L
.37688 .44462 L
.37564 .44301 L
.37559 .44296 L
.37443 .44141 L
.37399 .44084 L
.37321 .4398 L
.37238 .43873 L
.37199 .4382 L
.37078 .43662 L
.37077 .43659 L
.3696 .43499 L
.36917 .43444 L
.36842 .43338 L
.36757 .43226 L
.36722 .43178 L
.36605 .43017 L
.36596 .43006 L
.36496 .42857 L
.36436 .42775 L
.36385 .42696 L
.36275 .4254 L
.36273 .42536 L
F
.001 .79 1 r
.36436 .41958 m
.36524 .42054 L
.36596 .42127 L
.36672 .42215 L
.36757 .42307 L
.36814 .42375 L
.36917 .42459 L
.36953 .42536 L
.37078 .42679 L
.371 .42696 L
.37221 .42857 L
.37238 .42877 L
.37351 .43017 L
.37399 .43073 L
.37482 .43178 L
.37559 .43248 L
.37613 .43338 L
.3772 .43465 L
.37755 .43499 L
.37871 .43659 L
.3788 .4367 L
.37998 .4382 L
.38041 .43873 L
.38125 .4398 L
.38201 .44062 L
.3829 .44141 L
.38362 .44277 L
.38384 .44301 L
.38505 .44462 L
.38523 .44484 L
.3863 .44622 L
.38683 .44662 L
.38755 .44783 L
.38844 .44886 L
.38898 .44943 L
.39004 .451 L
.39007 .45104 L
.3913 .45265 L
.39165 .45308 L
.39254 .45425 L
.39325 .45498 L
.39415 .45586 L
.39486 .4572 L
.39508 .45746 L
.39626 .45907 L
.39646 .45932 L
.39749 .46067 L
.39807 .46107 L
.39872 .46228 L
.39967 .4634 L
.4001 .46388 L
.4012 .46549 L
.40128 .46559 L
.4024 .46709 L
.40288 .4677 L
.40363 .4687 L
.40449 .46961 L
.40514 .4703 L
.40609 .4719 L
.4061 .47191 L
.40729 .47351 L
.4077 .47404 L
.4085 .47512 L
.4093 .47579 L
.40972 .47672 L
.41091 .47826 L
.41097 .47833 L
.41212 .47993 L
.41251 .48044 L
.41331 .48154 L
.41412 .48259 L
.41452 .48314 L
.41572 .48472 L
.41575 .48475 L
.41688 .48636 L
.41733 .48694 L
.41804 .48796 L
.41894 .48915 L
.41922 .48957 L
.42039 .49117 L
.42054 .49138 L
.42147 .49278 L
.42215 .49371 L
.42257 .49438 L
.42215 .49577 L
.42089 .49438 L
.42054 .49401 L
.41947 .49278 L
.41894 .49219 L
.41807 .49117 L
.41733 .49032 L
.4167 .48957 L
.41572 .48852 L
.41535 .48796 L
.41412 .48648 L
.41399 .48636 L
.41271 .48475 L
.41251 .48452 L
.4114 .48314 L
.41091 .48282 L
.41009 .48154 L
.4093 .48063 L
.40857 .47993 L
.4077 .47856 L
.4075 .47833 L
.40623 .47672 L
.40609 .47655 L
.40496 .47512 L
.40449 .47466 L
.40313 .47351 L
.40288 .47253 L
.40234 .47191 L
.40128 .47045 L
.40117 .4703 L
.3999 .4687 L
.39967 .4686 L
.39864 .46709 L
.39807 .46644 L
.39717 .46549 L
.39646 .46431 L
.39613 .46388 L
.39489 .46228 L
.39486 .46224 L
.39365 .46067 L
.39325 .46032 L
.39193 .45907 L
.39165 .45814 L
.39109 .45746 L
.39004 .456 L
.38994 .45586 L
.3887 .45425 L
.38844 .45419 L
.38747 .45265 L
.38683 .45194 L
.38603 .45104 L
.38523 .44974 L
.38499 .44943 L
.38379 .44783 L
.38362 .44762 L
.38257 .44622 L
.38201 .44575 L
.3809 .44462 L
.38041 .44345 L
.38006 .44301 L
.37892 .44141 L
.3788 .44126 L
.37772 .4398 L
.3772 .43912 L
.37651 .4382 L
.37559 .4371 L
.37516 .43659 L
.37411 .43499 L
.37399 .43483 L
.37294 .43338 L
.37238 .43265 L
.37175 .43178 L
.37078 .43066 L
.37035 .43017 L
.36941 .42857 L
.36917 .42825 L
.36827 .42696 L
.36757 .426 L
.36712 .42536 L
.36598 .42375 L
.36596 .42373 L
.36495 .42215 L
.36436 .42129 L
.36391 .42054 L
F
1 .89 .033 r
.36436 .41301 m
.36549 .41412 L
.36596 .41456 L
.36704 .41572 L
.36757 .41627 L
.36851 .41733 L
.36917 .41752 L
.36993 .41894 L
.37078 .41981 L
.37132 .42054 L
.37238 .42179 L
.37277 .42215 L
.37399 .42372 L
.37402 .42375 L
.37534 .42536 L
.37559 .42554 L
.37665 .42696 L
.3772 .42758 L
.37826 .42857 L
.3788 .42962 L
.37929 .43017 L
.38041 .43163 L
.38051 .43178 L
.38183 .43338 L
.38201 .43356 L
.38311 .43499 L
.38362 .43562 L
.3845 .43659 L
.38523 .43769 L
.38561 .4382 L
.38683 .43973 L
.38686 .4398 L
.38817 .44141 L
.38844 .44171 L
.38967 .44301 L
.39004 .4438 L
.39071 .44462 L
.39165 .44589 L
.39186 .44622 L
.39319 .44783 L
.39325 .44789 L
.39443 .44943 L
.39486 .44995 L
.39579 .45104 L
.39646 .45206 L
.39689 .45265 L
.39807 .45414 L
.3981 .45425 L
.39941 .45586 L
.39967 .45613 L
.40089 .45746 L
.40128 .45825 L
.40193 .45907 L
.40288 .46036 L
.40307 .46067 L
.40437 .46228 L
.40449 .46237 L
.40602 .46388 L
.40609 .46445 L
.40697 .46549 L
.4077 .46659 L
.40806 .46709 L
.4093 .46868 L
.40931 .4687 L
.41054 .4703 L
.41091 .47067 L
.41203 .47191 L
.41251 .47282 L
.41306 .47351 L
.41412 .47495 L
.41422 .47512 L
.41547 .47672 L
.41572 .47689 L
.41717 .47833 L
.41733 .47905 L
.41807 .47993 L
.41894 .48121 L
.41917 .48154 L
.4204 .48314 L
.42054 .48333 L
.42161 .48475 L
.42215 .48526 L
.42311 .48636 L
.42375 .48747 L
.42413 .48796 L
.42531 .48957 L
.42536 .48963 L
.42652 .49117 L
.42696 .49145 L
.42823 .49278 L
.42857 .49373 L
.42909 .49438 L
.43017 .49594 L
.4302 .49599 L
.4314 .49759 L
.43178 .49807 L
.43261 .4992 L
.43338 .49998 L
.43407 .5008 L
.43499 .50228 L
.43509 .50241 L
.43626 .50401 L
.43659 .50444 L
.43746 .50562 L
.4382 .50621 L
.43908 .50722 L
.4398 .50866 L
.43994 .50883 L
.44108 .51043 L
.44141 .51086 L
.44226 .51204 L
.44301 .51303 L
.44346 .51364 L
.44462 .51515 L
.4447 .51525 L
.44581 .51686 L
.44622 .51741 L
.44696 .51846 L
.44783 .51964 L
.44812 .52007 L
.44927 .52167 L
.44943 .5219 L
.45033 .52328 L
.45104 .52429 L
.4514 .52488 L
.45104 .52644 L
.44953 .52488 L
.44943 .52479 L
.44805 .52328 L
.44783 .52305 L
.44661 .52167 L
.44622 .52124 L
.44521 .52007 L
.44462 .51952 L
.44382 .51846 L
.44301 .5175 L
.4423 .51686 L
.44141 .51554 L
.44116 .51525 L
.43981 .51364 L
.4398 .51364 L
.43849 .51204 L
.4382 .51171 L
.43683 .51043 L
.43659 .50968 L
.43586 .50883 L
.43499 .50765 L
.4347 .50722 L
.43338 .50567 L
.4333 .50562 L
.43202 .50401 L
.43178 .50371 L
.43065 .50241 L
.43017 .50164 L
.42955 .5008 L
.42857 .49956 L
.42841 .4992 L
.42696 .4976 L
.42694 .49759 L
.42551 .49599 L
.42536 .49556 L
.42442 .49438 L
.42375 .49345 L
.42332 .49278 L
.42215 .49137 L
.42191 .49117 L
.42067 .48957 L
.42054 .48941 L
.41934 .48796 L
.41894 .48731 L
.41824 .48636 L
.41733 .48519 L
.41715 .48475 L
.41572 .48317 L
.41568 .48314 L
.41429 .48154 L
.41412 .48113 L
.41319 .47993 L
.41251 .47901 L
.4121 .47833 L
.41091 .47691 L
.41071 .47672 L
.40948 .47512 L
.4093 .47491 L
.40816 .47351 L
.4077 .4728 L
.40707 .47191 L
.40609 .47067 L
.40596 .4703 L
.40454 .4687 L
.40449 .46865 L
.40311 .46709 L
.40288 .46657 L
.40205 .46549 L
.40128 .46444 L
.40095 .46388 L
.39967 .46235 L
.3996 .46228 L
.39838 .46067 L
.39807 .46033 L
.39704 .45907 L
.39646 .45819 L
.39596 .45746 L
.39486 .45606 L
.39479 .45586 L
.39347 .45425 L
.39325 .45407 L
.392 .45265 L
.39165 .45193 L
.39098 .45104 L
.39004 .44977 L
.38985 .44943 L
.38857 .44783 L
.38844 .44779 L
.38735 .44622 L
.38683 .44566 L
.38599 .44462 L
.38523 .44346 L
.38492 .44301 L
.38369 .44141 L
.38362 .44131 L
.38249 .4398 L
.38201 .43941 L
.38099 .4382 L
.38041 .43713 L
.38001 .43659 L
.37885 .43499 L
.3788 .43493 L
.37766 .43338 L
.3772 .43277 L
.3759 .43178 L
.37559 .43076 L
.37515 .43017 L
.37407 .42857 L
.37399 .42847 L
.3729 .42696 L
.37238 .42627 L
.37172 .42536 L
.37078 .42427 L
.37039 .42375 L
.36939 .42215 L
.36917 .42185 L
.36827 .42054 L
.36757 .41957 L
.36714 .41894 L
.36601 .41733 L
.36596 .41726 L
.36501 .41572 L
.36436 .41474 L
.36401 .41412 L
F
1 .71 0 r
.36436 .42644 m
.36478 .42696 L
.36596 .42821 L
.36625 .42857 L
.36757 .43007 L
.36764 .43017 L
.36896 .43178 L
.36917 .43202 L
.37024 .43338 L
.37078 .434 L
.37154 .43499 L
.37238 .43599 L
.37284 .43659 L
.37399 .43799 L
.37415 .4382 L
.37541 .4398 L
.37559 .44002 L
.37665 .44141 L
.3772 .44208 L
.3779 .44301 L
.3788 .44413 L
.37917 .44462 L
.38041 .44614 L
.38044 .44622 L
.38164 .44783 L
.38201 .44828 L
.38286 .44943 L
.38362 .45038 L
.3841 .45104 L
.38523 .45248 L
.38535 .45265 L
.38654 .45425 L
.38683 .45461 L
.38772 .45586 L
.38844 .45677 L
.38892 .45746 L
.39004 .45891 L
.39015 .45907 L
.39129 .46067 L
.39165 .46113 L
.3924 .46228 L
.39325 .4634 L
.39356 .46388 L
.39325 .46482 L
.39247 .46388 L
.39165 .46298 L
.39107 .46228 L
.39004 .46108 L
.38971 .46067 L
.38844 .45914 L
.38837 .45907 L
.38709 .45746 L
.38683 .45716 L
.3858 .45586 L
.38523 .45516 L
.38451 .45425 L
.38362 .45315 L
.38322 .45265 L
.38201 .45119 L
.38194 .45104 L
.38071 .44943 L
.38041 .44907 L
.37946 .44783 L
.3788 .44701 L
.3782 .44622 L
.3772 .44494 L
.37695 .44462 L
.37572 .44301 L
.37559 .44285 L
.37452 .44141 L
.37399 .44074 L
.37329 .4398 L
.37238 .43863 L
.37207 .4382 L
.37086 .43659 L
.37078 .43649 L
.3697 .43499 L
.36917 .43431 L
.36851 .43338 L
.36757 .43212 L
.36732 .43178 L
.36619 .43017 L
.36596 .42988 L
.36512 .42857 L
.36436 .42752 L
.36402 .42696 L
F
.001 .78 1 r
.36436 .41986 m
.36502 .42054 L
.36596 .42144 L
.36658 .42215 L
.36757 .4232 L
.36803 .42375 L
.36917 .42477 L
.36944 .42536 L
.37078 .42691 L
.37084 .42696 L
.37213 .42857 L
.37238 .42886 L
.37345 .43017 L
.37399 .43081 L
.37476 .43178 L
.37559 .43256 L
.37608 .43338 L
.3772 .43473 L
.37747 .43499 L
.37866 .43659 L
.3788 .43677 L
.37993 .4382 L
.38041 .43878 L
.3812 .4398 L
.38201 .44067 L
.38284 .44141 L
.38362 .44282 L
.3838 .44301 L
.38501 .44462 L
.38523 .44488 L
.38626 .44622 L
.38683 .44666 L
.38752 .44783 L
.38844 .44891 L
.38893 .44943 L
.39004 .45104 L
.39004 .45105 L
.39126 .45265 L
.39165 .45312 L
.3925 .45425 L
.39325 .45502 L
.39411 .45586 L
.39486 .45724 L
.39505 .45746 L
.39623 .45907 L
.39646 .45936 L
.39745 .46067 L
.39807 .4611 L
.39869 .46228 L
.39967 .46345 L
.40006 .46388 L
.40116 .46549 L
.40128 .46563 L
.40237 .46709 L
.40288 .46774 L
.40359 .4687 L
.40449 .46966 L
.4051 .4703 L
.40606 .47191 L
.40609 .47195 L
.40725 .47351 L
.4077 .47408 L
.40846 .47512 L
.4093 .47586 L
.40968 .47672 L
.41091 .47833 L
.41091 .47833 L
.41208 .47993 L
.41251 .48049 L
.41327 .48154 L
.41412 .48265 L
.41447 .48314 L
.41568 .48475 L
.41572 .4848 L
.41682 .48636 L
.41733 .48702 L
.41798 .48796 L
.41894 .48924 L
.41916 .48957 L
.42029 .49117 L
.42054 .4915 L
.42136 .49278 L
.42215 .49388 L
.42245 .49438 L
.42215 .49556 L
.42106 .49438 L
.42054 .49386 L
.41959 .49278 L
.41894 .49206 L
.41817 .49117 L
.41733 .49021 L
.41679 .48957 L
.41572 .4884 L
.41543 .48796 L
.41412 .48638 L
.41409 .48636 L
.41278 .48475 L
.41251 .48444 L
.41146 .48314 L
.41091 .48277 L
.41015 .48154 L
.4093 .48055 L
.40864 .47993 L
.4077 .47849 L
.40756 .47833 L
.40629 .47672 L
.40609 .47649 L
.40501 .47512 L
.40449 .47461 L
.40317 .47351 L
.40288 .47247 L
.40239 .47191 L
.40128 .4704 L
.40121 .4703 L
.39994 .4687 L
.39967 .46858 L
.39868 .46709 L
.39807 .46639 L
.39721 .46549 L
.39646 .46426 L
.39617 .46388 L
.39493 .46228 L
.39486 .46218 L
.39369 .46067 L
.39325 .46028 L
.39196 .45907 L
.39165 .45809 L
.39113 .45746 L
.39004 .45596 L
.38997 .45586 L
.38874 .45425 L
.38844 .45417 L
.3875 .45265 L
.38683 .45189 L
.38607 .45104 L
.38523 .44969 L
.38503 .44943 L
.38383 .44783 L
.38362 .44756 L
.38261 .44622 L
.38201 .4457 L
.38095 .44462 L
.38041 .44339 L
.38011 .44301 L
.37896 .44141 L
.3788 .4412 L
.37776 .4398 L
.3772 .43906 L
.37656 .4382 L
.37559 .43702 L
.37523 .43659 L
.37417 .43499 L
.37399 .43476 L
.37299 .43338 L
.37238 .43257 L
.37181 .43178 L
.37078 .43053 L
.37047 .43017 L
.36948 .42857 L
.36917 .42815 L
.36835 .42696 L
.36757 .42588 L
.36721 .42536 L
.3661 .42375 L
.36596 .42356 L
.36509 .42215 L
.36436 .42103 L
.36409 .42054 L
F
.36436 .43326 m
.36443 .43338 L
.36436 .43371 L
.36415 .43338 L
F
.395 .97 1 r
.36436 .40671 m
.36558 .4077 L
.36596 .40802 L
.36725 .4093 L
.36757 .40962 L
.36878 .41091 L
.36917 .41132 L
.37024 .41251 L
.37078 .41302 L
.37167 .41412 L
.37238 .41496 L
.37328 .41572 L
.37399 .41688 L
.3744 .41733 L
.37559 .4188 L
.37569 .41894 L
.37709 .42054 L
.3772 .42067 L
.37874 .42215 L
.3788 .42267 L
.37975 .42375 L
.38041 .42471 L
.38089 .42536 L
.38201 .42676 L
.38206 .42696 L
.38358 .42857 L
.38362 .42862 L
.38495 .43017 L
.38523 .43069 L
.38607 .43178 L
.38683 .43281 L
.38716 .43338 L
.38844 .4349 L
.38866 .43499 L
.39 .43659 L
.39004 .43677 L
.39118 .4382 L
.39165 .43889 L
.39228 .4398 L
.39325 .44104 L
.39331 .44141 L
.39486 .44294 L
.39492 .44301 L
.39623 .44462 L
.39646 .44504 L
.39735 .44622 L
.39807 .44719 L
.39841 .44783 L
.39967 .44931 L
.3999 .44943 L
.40122 .45104 L
.40128 .45123 L
.40239 .45265 L
.40288 .45336 L
.40348 .45425 L
.40449 .45551 L
.40451 .45586 L
.40609 .45746 L
.40609 .45747 L
.40741 .45907 L
.4077 .45957 L
.40852 .46067 L
.4093 .46171 L
.40958 .46228 L
.41091 .4638 L
.41104 .46388 L
.41242 .46549 L
.41251 .4658 L
.41354 .46709 L
.41412 .46793 L
.41462 .4687 L
.41572 .47005 L
.41598 .4703 L
.4172 .47191 L
.41733 .47205 L
.41856 .47351 L
.41894 .47416 L
.41964 .47512 L
.42054 .47629 L
.42074 .47672 L
.42214 .47833 L
.42215 .47834 L
.42359 .47993 L
.42375 .4804 L
.42466 .48154 L
.42536 .48253 L
.42575 .48314 L
.42696 .48463 L
.42707 .48475 L
.42829 .48636 L
.42857 .48664 L
.42968 .48796 L
.43017 .48877 L
.43075 .48957 L
.43178 .4909 L
.43189 .49117 L
.43322 .49278 L
.43338 .4929 L
.43473 .49438 L
.43499 .49501 L
.43576 .49599 L
.43659 .49716 L
.43687 .49759 L
.43815 .4992 L
.4382 .49921 L
.43937 .5008 L
.4398 .50124 L
.44078 .50241 L
.44141 .5034 L
.44185 .50401 L
.44301 .50554 L
.44305 .50562 L
.44429 .50722 L
.44462 .50746 L
.44585 .50883 L
.44622 .50964 L
.44684 .51043 L
.44783 .51182 L
.44797 .51204 L
.4492 .51364 L
.44943 .51394 L
.45042 .51525 L
.45104 .51586 L
.45184 .51686 L
.45265 .51809 L
.45291 .51846 L
.45412 .52007 L
.45425 .52024 L
.45532 .52167 L
.45586 .52205 L
.45689 .52328 L
.45746 .52435 L
.45786 .52488 L
.45902 .52649 L
.45907 .52655 L
.46021 .52809 L
.46067 .52868 L
.46143 .5297 L
.46228 .53061 L
.46282 .5313 L
.46388 .53289 L
.46389 .53291 L
.46508 .53451 L
.46549 .53504 L
.46628 .53612 L
.46709 .53686 L
.46777 .53772 L
.4687 .53927 L
.46874 .53933 L
.4699 .54093 L
.4703 .54146 L
.47108 .54254 L
.47191 .54362 L
.47228 .54414 L
.47349 .54575 L
.47351 .54578 L
.47462 .54735 L
.47512 .54801 L
.47577 .54896 L
.47672 .55025 L
.47693 .55057 L
.47805 .55217 L
.47833 .55257 L
.47909 .55378 L
.47993 .55504 L
.48013 .55538 L
.47993 .5569 L
.47833 .55541 L
.4783 .55538 L
.47675 .55378 L
.47672 .55375 L
.47526 .55217 L
.47512 .55202 L
.47382 .55057 L
.47351 .55031 L
.47241 .54896 L
.47191 .54837 L
.47071 .54735 L
.4703 .54643 L
.46969 .54575 L
.4687 .54447 L
.46847 .54414 L
.46709 .54257 L
.467 .54254 L
.46568 .54093 L
.46549 .54067 L
.46434 .53933 L
.46388 .53863 L
.4632 .53772 L
.46228 .53654 L
.46211 .53612 L
.46067 .53473 L
.4605 .53451 L
.45917 .53291 L
.45907 .53268 L
.458 .5313 L
.45746 .53056 L
.45692 .5297 L
.45586 .52839 L
.4554 .52809 L
.45425 .5266 L
.45416 .52649 L
.4529 .52488 L
.45265 .52449 L
.45178 .52328 L
.45104 .52232 L
.4508 .52167 L
.44943 .52044 L
.44914 .52007 L
.44789 .51846 L
.44783 .51835 L
.44671 .51686 L
.44622 .5162 L
.44566 .51525 L
.44462 .514 L
.44415 .51364 L
.44301 .51215 L
.44293 .51204 L
.44168 .51043 L
.44141 .51002 L
.44058 .50883 L
.4398 .50785 L
.43961 .50722 L
.4382 .5057 L
.43796 .50562 L
.4367 .50401 L
.43659 .50381 L
.43555 .50241 L
.43499 .50166 L
.4345 .5008 L
.43338 .4995 L
.43301 .4992 L
.43178 .49759 L
.43178 .49757 L
.43054 .49599 L
.43017 .49545 L
.42945 .49438 L
.42857 .49329 L
.42845 .49278 L
.42696 .49122 L
.42685 .49117 L
.42555 .48957 L
.42536 .48922 L
.42442 .48796 L
.42375 .48708 L
.42337 .48636 L
.42215 .48495 L
.42191 .48475 L
.42058 .48314 L
.42054 .48297 L
.41942 .48154 L
.41894 .48085 L
.41833 .47993 L
.41733 .47871 L
.41728 .47833 L
.41576 .47672 L
.41572 .47669 L
.41441 .47512 L
.41412 .4746 L
.41332 .47351 L
.41251 .47247 L
.41224 .47191 L
.41091 .47038 L
.41083 .4703 L
.4094 .4687 L
.4093 .46835 L
.40831 .46709 L
.4077 .46622 L
.40722 .46549 L
.40609 .4641 L
.40608 .46388 L
.40468 .46228 L
.40449 .4621 L
.40329 .46067 L
.40288 .45998 L
.40222 .45907 L
.40128 .45783 L
.4011 .45746 L
.39976 .45586 L
.39967 .45581 L
.39824 .45425 L
.39807 .45373 L
.39722 .45265 L
.39646 .45157 L
.39613 .45104 L
.39486 .44944 L
.39485 .44943 L
.39364 .44783 L
.39325 .4475 L
.39221 .44622 L
.39165 .44531 L
.39116 .44462 L
.39004 .44314 L
.38998 .44301 L
.38874 .44141 L
.38844 .44128 L
.38714 .4398 L
.38683 .43905 L
.38619 .4382 L
.38523 .43683 L
.38508 .43659 L
.38385 .43499 L
.38362 .43469 L
.38265 .43338 L
.38201 .43281 L
.38122 .43178 L
.38041 .43051 L
.38018 .43017 L
.379 .42857 L
.3788 .42831 L
.37781 .42696 L
.3772 .42617 L
.37623 .42536 L
.37559 .42413 L
.37533 .42375 L
.3742 .42215 L
.37399 .42187 L
.37303 .42054 L
.37238 .41968 L
.37185 .41894 L
.37078 .41759 L
.37059 .41733 L
.36953 .41572 L
.36917 .41525 L
.3684 .41412 L
.36757 .41296 L
.36727 .41251 L
.36618 .41091 L
.36596 .4106 L
.36519 .4093 L
.36436 .40794 L
.36424 .4077 L
F
1 .7 0 r
.36436 .42684 m
.36447 .42696 L
.36596 .4284 L
.3661 .42857 L
.36596 .42965 L
.36532 .42857 L
.36436 .42711 L
.3643 .42696 L
F
.001 .77 1 r
.36436 .4204 m
.36462 .42054 L
.36596 .42164 L
.36642 .42215 L
.36757 .42334 L
.36792 .42375 L
.36917 .42497 L
.36934 .42536 L
.37072 .42696 L
.37078 .42703 L
.37205 .42857 L
.37238 .42895 L
.37338 .43017 L
.37399 .43089 L
.3747 .43178 L
.37559 .43264 L
.37602 .43338 L
.3772 .4348 L
.3774 .43499 L
.37861 .43659 L
.3788 .43683 L
.37988 .4382 L
.38041 .43884 L
.38116 .4398 L
.38201 .44073 L
.38278 .44141 L
.38362 .44287 L
.38375 .44301 L
.38497 .44462 L
.38523 .44493 L
.38622 .44622 L
.38683 .4467 L
.38748 .44783 L
.38844 .44896 L
.38889 .44943 L
.39 .45104 L
.39004 .45109 L
.39123 .45265 L
.39165 .45317 L
.39247 .45425 L
.39325 .45507 L
.39406 .45586 L
.39486 .45729 L
.39501 .45746 L
.3962 .45907 L
.39646 .4594 L
.39742 .46067 L
.39807 .46114 L
.39866 .46228 L
.39967 .4635 L
.40002 .46388 L
.40113 .46549 L
.40128 .46567 L
.40234 .46709 L
.40288 .46779 L
.40356 .4687 L
.40449 .46972 L
.40504 .4703 L
.40602 .47191 L
.40609 .472 L
.40721 .47351 L
.4077 .47413 L
.40842 .47512 L
.4093 .47593 L
.40964 .47672 L
.41087 .47833 L
.41091 .47838 L
.41203 .47993 L
.41251 .48055 L
.41322 .48154 L
.41412 .48271 L
.41443 .48314 L
.41563 .48475 L
.41572 .48488 L
.41676 .48636 L
.41733 .48711 L
.41791 .48796 L
.41894 .48933 L
.41909 .48957 L
.4202 .49117 L
.42054 .49164 L
.42124 .49278 L
.42215 .49408 L
.42231 .49438 L
.42215 .4953 L
.42125 .49438 L
.42054 .49369 L
.41972 .49278 L
.41894 .49193 L
.41828 .49117 L
.41733 .49009 L
.41688 .48957 L
.41572 .48828 L
.41551 .48796 L
.41418 .48636 L
.41412 .48629 L
.41285 .48475 L
.41251 .48435 L
.41153 .48314 L
.41091 .4827 L
.41021 .48154 L
.4093 .48048 L
.40871 .47993 L
.4077 .47843 L
.40762 .47833 L
.40634 .47672 L
.40609 .47642 L
.40505 .47512 L
.40449 .47456 L
.40321 .47351 L
.40288 .47241 L
.40243 .47191 L
.40128 .47035 L
.40125 .4703 L
.39998 .4687 L
.39967 .46855 L
.39872 .46709 L
.39807 .46634 L
.39725 .46549 L
.39646 .46421 L
.39621 .46388 L
.39497 .46228 L
.39486 .46213 L
.39373 .46067 L
.39325 .46024 L
.392 .45907 L
.39165 .45804 L
.39117 .45746 L
.39004 .45591 L
.39001 .45586 L
.38878 .45425 L
.38844 .45415 L
.38754 .45265 L
.38683 .45184 L
.38611 .45104 L
.38523 .44964 L
.38507 .44943 L
.38387 .44783 L
.38362 .44751 L
.38265 .44622 L
.38201 .44565 L
.381 .44462 L
.38041 .44332 L
.38016 .44301 L
.37901 .44141 L
.3788 .44114 L
.37781 .4398 L
.3772 .439 L
.3766 .4382 L
.37559 .43694 L
.3753 .43659 L
.37422 .43499 L
.37399 .43468 L
.37305 .43338 L
.37238 .43249 L
.37187 .43178 L
.37078 .43038 L
.37059 .43017 L
.36956 .42857 L
.36917 .42804 L
.36844 .42696 L
.36757 .42575 L
.3673 .42536 L
.36623 .42375 L
.36596 .42336 L
.36526 .42215 L
.36436 .42058 L
.36435 .42054 L
F
1 .88 .024 r
.36436 .4138 m
.36498 .41412 L
.36596 .41489 L
.36677 .41572 L
.36757 .41651 L
.36831 .41733 L
.36917 .41771 L
.36976 .41894 L
.37078 .41999 L
.37118 .42054 L
.37238 .42194 L
.37262 .42215 L
.37391 .42375 L
.37399 .42385 L
.37524 .42536 L
.37559 .42561 L
.37657 .42696 L
.3772 .42768 L
.37819 .42857 L
.3788 .42971 L
.37922 .43017 L
.38041 .4317 L
.38046 .43178 L
.38177 .43338 L
.38201 .43362 L
.38305 .43499 L
.38362 .43568 L
.38445 .43659 L
.38523 .43775 L
.38557 .4382 L
.38683 .43977 L
.38684 .4398 L
.38813 .44141 L
.38844 .44176 L
.38964 .44301 L
.39004 .44385 L
.39067 .44462 L
.39165 .44593 L
.39183 .44622 L
.39315 .44783 L
.39325 .44792 L
.3944 .44943 L
.39486 .44998 L
.39577 .45104 L
.39646 .4521 L
.39686 .45265 L
.39807 .45417 L
.39809 .45425 L
.39938 .45586 L
.39967 .45616 L
.40087 .45746 L
.40128 .45828 L
.4019 .45907 L
.40288 .46039 L
.40305 .46067 L
.40435 .46228 L
.40449 .46239 L
.40602 .46388 L
.40609 .46448 L
.40695 .46549 L
.4077 .46662 L
.40804 .46709 L
.4093 .4687 L
.4093 .4687 L
.41052 .4703 L
.41091 .47069 L
.41201 .47191 L
.41251 .47285 L
.41304 .47351 L
.41412 .47498 L
.4142 .47512 L
.41545 .47672 L
.41572 .4769 L
.41715 .47833 L
.41733 .47907 L
.41805 .47993 L
.41894 .48124 L
.41915 .48154 L
.42037 .48314 L
.42054 .48336 L
.42159 .48475 L
.42215 .48529 L
.42309 .48636 L
.42375 .48751 L
.4241 .48796 L
.42528 .48957 L
.42536 .48966 L
.42649 .49117 L
.42696 .49147 L
.4282 .49278 L
.42857 .49377 L
.42906 .49438 L
.43017 .49598 L
.43017 .49599 L
.43137 .49759 L
.43178 .49811 L
.43258 .4992 L
.43338 .50003 L
.43403 .5008 L
.43499 .50233 L
.43505 .50241 L
.43622 .50401 L
.43659 .50449 L
.43742 .50562 L
.4382 .50628 L
.43901 .50722 L
.4398 .50874 L
.43987 .50883 L
.44102 .51043 L
.44141 .51094 L
.4422 .51204 L
.44301 .51311 L
.44339 .51364 L
.4446 .51525 L
.44462 .51528 L
.44572 .51686 L
.44622 .51753 L
.44686 .51846 L
.44783 .51978 L
.44802 .52007 L
.44912 .52167 L
.44943 .52211 L
.45015 .52328 L
.45104 .52461 L
.45119 .52488 L
.45104 .52601 L
.44984 .52488 L
.44943 .52451 L
.44827 .52328 L
.44783 .52282 L
.44679 .52167 L
.44622 .52105 L
.44536 .52007 L
.44462 .51936 L
.44396 .51846 L
.44301 .51736 L
.44244 .51686 L
.44141 .51542 L
.44125 .51525 L
.43991 .51364 L
.4398 .5136 L
.43858 .51204 L
.4382 .51161 L
.43687 .51043 L
.43659 .50959 L
.43593 .50883 L
.43499 .50757 L
.43475 .50722 L
.43338 .50563 L
.43337 .50562 L
.43208 .50401 L
.43178 .50363 L
.43069 .50241 L
.43017 .50157 L
.42959 .5008 L
.42857 .4995 L
.42843 .4992 L
.42699 .49759 L
.42696 .49756 L
.42553 .49599 L
.42536 .4955 L
.42446 .49438 L
.42375 .4934 L
.42335 .49278 L
.42215 .49133 L
.42195 .49117 L
.4207 .48957 L
.42054 .48937 L
.41937 .48796 L
.41894 .48727 L
.41828 .48636 L
.41733 .48515 L
.41717 .48475 L
.41572 .48315 L
.41571 .48314 L
.4143 .48154 L
.41412 .48109 L
.41322 .47993 L
.41251 .47897 L
.41212 .47833 L
.41091 .47688 L
.41074 .47672 L
.40951 .47512 L
.4093 .47488 L
.40818 .47351 L
.4077 .47276 L
.40709 .47191 L
.40609 .47064 L
.40597 .4703 L
.40456 .4687 L
.40449 .46863 L
.40313 .46709 L
.40288 .46654 L
.40208 .46549 L
.40128 .4644 L
.40097 .46388 L
.39967 .46232 L
.39963 .46228 L
.39841 .46067 L
.39807 .4603 L
.39706 .45907 L
.39646 .45815 L
.39598 .45746 L
.39486 .45603 L
.3948 .45586 L
.3935 .45425 L
.39325 .45404 L
.39202 .45265 L
.39165 .45189 L
.391 .45104 L
.39004 .44973 L
.38987 .44943 L
.3886 .44783 L
.38844 .44778 L
.38739 .44622 L
.38683 .44562 L
.38603 .44462 L
.38523 .44342 L
.38495 .44301 L
.38373 .44141 L
.38362 .44126 L
.38253 .4398 L
.38201 .43936 L
.38103 .4382 L
.38041 .43707 L
.38006 .43659 L
.3789 .43499 L
.3788 .43486 L
.37772 .43338 L
.3772 .4327 L
.37596 .43178 L
.37559 .43067 L
.37522 .43017 L
.37413 .42857 L
.37399 .42837 L
.37298 .42696 L
.37238 .42617 L
.3718 .42536 L
.37078 .42409 L
.37052 .42375 L
.3695 .42215 L
.36917 .4217 L
.36839 .42054 L
.36757 .41939 L
.36727 .41894 L
.3662 .41733 L
.36596 .41697 L
.36525 .41572 L
.36436 .41413 L
.36435 .41412 L
F
.733 .99 1 r
.36596 .38602 m
.36689 .38683 L
.36757 .38746 L
.36844 .38844 L
.36917 .38923 L
.36983 .39004 L
.37078 .39115 L
.37116 .39165 L
.37238 .39308 L
.37246 .39325 L
.37368 .39486 L
.37399 .39525 L
.37486 .39646 L
.37559 .39743 L
.37603 .39807 L
.37718 .39967 L
.3772 .3997 L
.37807 .40128 L
.3772 .4019 L
.37649 .40128 L
.37559 .40044 L
.37487 .39967 L
.37399 .39902 L
.37342 .39807 L
.37238 .3969 L
.37187 .39646 L
.37078 .39486 L
.37078 .39486 L
.36953 .39325 L
.36917 .39277 L
.36833 .39165 L
.36757 .39057 L
.36719 .39004 L
.36616 .38844 L
.36596 .38811 L
.36529 .38683 L
F
.001 .76 1 r
.36596 .42187 m
.36622 .42215 L
.36757 .4235 L
.36779 .42375 L
.36917 .4252 L
.36924 .42536 L
.37062 .42696 L
.37078 .42714 L
.37196 .42857 L
.37238 .42904 L
.3733 .43017 L
.37399 .43097 L
.37464 .43178 L
.37559 .43273 L
.37596 .43338 L
.3772 .43488 L
.37732 .43499 L
.37855 .43659 L
.3788 .43689 L
.37983 .4382 L
.38041 .4389 L
.38112 .4398 L
.38201 .44079 L
.38272 .44141 L
.38362 .44293 L
.3837 .44301 L
.38493 .44462 L
.38523 .44498 L
.38618 .44622 L
.38683 .44675 L
.38745 .44783 L
.38844 .44901 L
.38884 .44943 L
.38996 .45104 L
.39004 .45114 L
.39119 .45265 L
.39165 .45321 L
.39244 .45425 L
.39325 .45511 L
.39402 .45586 L
.39486 .45733 L
.39497 .45746 L
.39616 .45907 L
.39646 .45944 L
.39739 .46067 L
.39807 .46119 L
.39863 .46228 L
.39967 .46355 L
.39997 .46388 L
.4011 .46549 L
.40128 .46572 L
.4023 .46709 L
.40288 .46783 L
.40353 .4687 L
.40449 .46978 L
.40499 .4703 L
.40599 .47191 L
.40609 .47204 L
.40718 .47351 L
.4077 .47418 L
.40838 .47512 L
.4093 .476 L
.40961 .47672 L
.41082 .47833 L
.41091 .47844 L
.41199 .47993 L
.41251 .48061 L
.41317 .48154 L
.41412 .48278 L
.41438 .48314 L
.41556 .48475 L
.41572 .48496 L
.41669 .48636 L
.41733 .4872 L
.41785 .48796 L
.41894 .48944 L
.41902 .48957 L
.42008 .49117 L
.42054 .49181 L
.42111 .49278 L
.42054 .4935 L
.41988 .49278 L
.41894 .49178 L
.4184 .49117 L
.41733 .48997 L
.41698 .48957 L
.41572 .48815 L
.4156 .48796 L
.41426 .48636 L
.41412 .4862 L
.41292 .48475 L
.41251 .48427 L
.41159 .48314 L
.41091 .48263 L
.41027 .48154 L
.4093 .4804 L
.40879 .47993 L
.4077 .47836 L
.40767 .47833 L
.40639 .47672 L
.40609 .47636 L
.40511 .47512 L
.40449 .4745 L
.40326 .47351 L
.40288 .47235 L
.40248 .47191 L
.40129 .4703 L
.40128 .47029 L
.40003 .4687 L
.39967 .46853 L
.39876 .46709 L
.39807 .46629 L
.3973 .46549 L
.39646 .46416 L
.39625 .46388 L
.39501 .46228 L
.39486 .46208 L
.39377 .46067 L
.39325 .4602 L
.39203 .45907 L
.39165 .45798 L
.39121 .45746 L
.39004 .45586 L
.39004 .45586 L
.38882 .45425 L
.38844 .45413 L
.38758 .45265 L
.38683 .45179 L
.38616 .45104 L
.38523 .44958 L
.38511 .44943 L
.38391 .44783 L
.38362 .44746 L
.38269 .44622 L
.38201 .44559 L
.38105 .44462 L
.38041 .44326 L
.38021 .44301 L
.37906 .44141 L
.3788 .44108 L
.37786 .4398 L
.3772 .43894 L
.37665 .4382 L
.37559 .43686 L
.37537 .43659 L
.37428 .43499 L
.37399 .4346 L
.37311 .43338 L
.37238 .43241 L
.37193 .43178 L
.37078 .43023 L
.37073 .43017 L
.36964 .42857 L
.36917 .42792 L
.36852 .42696 L
.36757 .42562 L
.3674 .42536 L
.36639 .42375 L
.36596 .42311 L
.36549 .42215 L
F
1 1 1 r
.36596 .35341 m
.36757 .35417 L
.36833 .35473 L
.36917 .35544 L
.3702 .35633 L
.37078 .35697 L
.37186 .35794 L
.37238 .35872 L
.37316 .35954 L
.37399 .36066 L
.37437 .36115 L
.37559 .36231 L
.37597 .36275 L
.3772 .3643 L
.37725 .36436 L
.37849 .36596 L
.3788 .3664 L
.37959 .36757 L
.38041 .3686 L
.38107 .36917 L
.38201 .37041 L
.3823 .37078 L
.38353 .37238 L
.38362 .37249 L
.38466 .37399 L
.38523 .37439 L
.38562 .37559 L
.38683 .37674 L
.38718 .3772 L
.38812 .3788 L
.38683 .37901 L
.38523 .37906 L
.38428 .38041 L
.38523 .38133 L
.38573 .38201 L
.38683 .38344 L
.38697 .38362 L
.38824 .38523 L
.38844 .38571 L
.38937 .38683 L
.39004 .3876 L
.39039 .38844 L
.39165 .3897 L
.39191 .39004 L
.3932 .39165 L
.39325 .39182 L
.39437 .39325 L
.39486 .39399 L
.39545 .39486 L
.39646 .39616 L
.39684 .39646 L
.39806 .39807 L
.39807 .39807 L
.39937 .39967 L
.39967 .40013 L
.40047 .40128 L
.40128 .40224 L
.40152 .40288 L
.40288 .40435 L
.40299 .40449 L
.40436 .40609 L
.40449 .40648 L
.40547 .4077 L
.40609 .40875 L
.4064 .4093 L
.40609 .40934 L
.40449 .40937 L
.40288 .40938 L
.40135 .4093 L
.40128 .40919 L
.40014 .4077 L
.39967 .40707 L
.39905 .40609 L
.39807 .40496 L
.39799 .40449 L
.39649 .40288 L
.39646 .40284 L
.39513 .40128 L
.39486 .40073 L
.39404 .39967 L
.39325 .39861 L
.39295 .39807 L
.39165 .39654 L
.39156 .39646 L
.39011 .39486 L
.39004 .3946 L
.38903 .39325 L
.38844 .39247 L
.38794 .39165 L
.38683 .39031 L
.3868 .39004 L
.38541 .38844 L
.38523 .38819 L
.384 .38683 L
.38362 .38608 L
.38294 .38523 L
.38201 .38398 L
.38182 .38362 L
.3805 .38201 L
.38041 .38189 L
.37896 .38041 L
.38041 .37921 L
.38201 .37918 L
.38362 .3788 L
.38213 .3772 L
.38201 .37707 L
.38089 .37559 L
.38041 .37492 L
.37932 .37399 L
.3788 .37291 L
.37833 .37238 L
.3772 .37083 L
.37716 .37078 L
.37595 .36917 L
.37559 .36871 L
.37473 .36757 L
.37399 .36688 L
.37333 .36596 L
.37238 .36456 L
.37226 .36436 L
.37107 .36275 L
.37078 .36237 L
.36988 .36115 L
.36917 .3602 L
.3684 .35954 L
.36757 .35801 L
.3675 .35794 L
.36647 .35633 L
.36596 .35553 L
.36556 .35473 L
F
1 .87 .018 r
.36596 .41533 m
.3664 .41572 L
.36757 .41678 L
.36808 .41733 L
.36917 .418 L
.36959 .41894 L
.37078 .42018 L
.37103 .42054 L
.37238 .42209 L
.37245 .42215 L
.37379 .42375 L
.37399 .42398 L
.37514 .42536 L
.37559 .42569 L
.37648 .42696 L
.3772 .42778 L
.37811 .42857 L
.3788 .4298 L
.37915 .43017 L
.38041 .43177 L
.38041 .43178 L
.3817 .43338 L
.38201 .43368 L
.38299 .43499 L
.38362 .43575 L
.3844 .43659 L
.38523 .43781 L
.38553 .4382 L
.38682 .4398 L
.38683 .43981 L
.38808 .44141 L
.38844 .4418 L
.38961 .44301 L
.39004 .44389 L
.39064 .44462 L
.39165 .44597 L
.39181 .44622 L
.39312 .44783 L
.39325 .44795 L
.39437 .44943 L
.39486 .45002 L
.39574 .45104 L
.39646 .45213 L
.39684 .45265 L
.39807 .4542 L
.39808 .45425 L
.39935 .45586 L
.39967 .45619 L
.40085 .45746 L
.40128 .45831 L
.40188 .45907 L
.40288 .46042 L
.40303 .46067 L
.40432 .46228 L
.40449 .46241 L
.40601 .46388 L
.40609 .46451 L
.40692 .46549 L
.4077 .46665 L
.40802 .46709 L
.40927 .4687 L
.4093 .4687 L
.4105 .4703 L
.41091 .47071 L
.41199 .47191 L
.41251 .47287 L
.41302 .47351 L
.41412 .475 L
.41419 .47512 L
.41543 .47672 L
.41572 .47692 L
.41714 .47833 L
.41733 .4791 L
.41802 .47993 L
.41894 .48127 L
.41912 .48154 L
.42035 .48314 L
.42054 .48339 L
.42157 .48475 L
.42215 .48532 L
.42306 .48636 L
.42375 .48754 L
.42407 .48796 L
.42526 .48957 L
.42536 .48969 L
.42646 .49117 L
.42696 .4915 L
.42817 .49278 L
.42857 .49381 L
.42903 .49438 L
.43014 .49599 L
.43017 .49602 L
.43134 .49759 L
.43178 .49816 L
.43255 .4992 L
.43338 .50009 L
.43398 .5008 L
.43499 .50239 L
.435 .50241 L
.43618 .50401 L
.43659 .50454 L
.43738 .50562 L
.4382 .50636 L
.43894 .50722 L
.4398 .50882 L
.43981 .50883 L
.44097 .51043 L
.44141 .51101 L
.44214 .51204 L
.44301 .5132 L
.44333 .51364 L
.44451 .51525 L
.44462 .51539 L
.44563 .51686 L
.44622 .51765 L
.44677 .51846 L
.44783 .51993 L
.44792 .52007 L
.44896 .52167 L
.44943 .52237 L
.44994 .52328 L
.44943 .52418 L
.44854 .52328 L
.44783 .52258 L
.44699 .52167 L
.44622 .52085 L
.44552 .52007 L
.44462 .51919 L
.4441 .51846 L
.44301 .51721 L
.44259 .51686 L
.44141 .5153 L
.44136 .51525 L
.44001 .51364 L
.4398 .51356 L
.43867 .51204 L
.4382 .51151 L
.43693 .51043 L
.43659 .50949 L
.436 .50883 L
.43499 .50749 L
.4348 .50722 L
.43344 .50562 L
.43338 .50557 L
.43214 .50401 L
.43178 .50356 L
.43074 .50241 L
.43017 .5015 L
.42964 .5008 L
.42857 .49945 L
.42846 .4992 L
.42704 .49759 L
.42696 .4975 L
.42555 .49599 L
.42536 .49545 L
.4245 .49438 L
.42375 .49335 L
.42339 .49278 L
.42215 .4913 L
.42199 .49117 L
.42074 .48957 L
.42054 .48932 L
.4194 .48796 L
.41894 .48722 L
.41831 .48636 L
.41733 .48512 L
.41718 .48475 L
.41575 .48314 L
.41572 .48312 L
.41432 .48154 L
.41412 .48105 L
.41325 .47993 L
.41251 .47893 L
.41215 .47833 L
.41091 .47685 L
.41077 .47672 L
.40954 .47512 L
.4093 .47485 L
.4082 .47351 L
.4077 .47273 L
.40712 .47191 L
.40609 .47061 L
.40598 .4703 L
.40459 .4687 L
.40449 .4686 L
.40315 .46709 L
.40288 .46651 L
.4021 .46549 L
.40128 .46437 L
.40099 .46388 L
.39967 .46229 L
.39966 .46228 L
.39843 .46067 L
.39807 .46027 L
.39708 .45907 L
.39646 .45812 L
.39601 .45746 L
.39486 .45599 L
.39481 .45586 L
.39353 .45425 L
.39325 .45402 L
.39204 .45265 L
.39165 .45185 L
.39103 .45104 L
.39004 .44969 L
.3899 .44943 L
.38864 .44783 L
.38844 .44777 L
.38742 .44622 L
.38683 .44558 L
.38606 .44462 L
.38523 .44337 L
.38499 .44301 L
.38377 .44141 L
.38362 .44121 L
.38257 .4398 L
.38201 .43932 L
.38107 .4382 L
.38041 .43701 L
.38011 .43659 L
.37895 .43499 L
.3788 .4348 L
.37777 .43338 L
.3772 .43263 L
.37602 .43178 L
.37559 .43057 L
.37529 .43017 L
.37421 .42857 L
.37399 .42828 L
.37305 .42696 L
.37238 .42606 L
.37188 .42536 L
.37078 .4239 L
.37067 .42375 L
.36961 .42215 L
.36917 .42153 L
.36852 .42054 L
.36757 .41918 L
.36741 .41894 L
.36643 .41733 L
.36596 .41657 L
.36559 .41572 L
F
0 .75 1 r
.36757 .42367 m
.36764 .42375 L
.36912 .42536 L
.36917 .42541 L
.37051 .42696 L
.37078 .42725 L
.37188 .42857 L
.37238 .42914 L
.37323 .43017 L
.37399 .43105 L
.37457 .43178 L
.37559 .43282 L
.3759 .43338 L
.3772 .43496 L
.37723 .43499 L
.3785 .43659 L
.3788 .43696 L
.37978 .4382 L
.38041 .43896 L
.38107 .4398 L
.38201 .44085 L
.38265 .44141 L
.38362 .44299 L
.38365 .44301 L
.38489 .44462 L
.38523 .44503 L
.38614 .44622 L
.38683 .44679 L
.38741 .44783 L
.38844 .44906 L
.38879 .44943 L
.38993 .45104 L
.39004 .45118 L
.39116 .45265 L
.39165 .45325 L
.3924 .45425 L
.39325 .45516 L
.39397 .45586 L
.39486 .45738 L
.39493 .45746 L
.39613 .45907 L
.39646 .45948 L
.39736 .46067 L
.39807 .46123 L
.3986 .46228 L
.39967 .4636 L
.39993 .46388 L
.40106 .46549 L
.40128 .46576 L
.40227 .46709 L
.40288 .46787 L
.40349 .4687 L
.40449 .46983 L
.40493 .4703 L
.40595 .47191 L
.40609 .47209 L
.40714 .47351 L
.4077 .47423 L
.40835 .47512 L
.4093 .47608 L
.40957 .47672 L
.41078 .47833 L
.41091 .4785 L
.41194 .47993 L
.41251 .48068 L
.41313 .48154 L
.41412 .48284 L
.41433 .48314 L
.4155 .48475 L
.41572 .48504 L
.41662 .48636 L
.41733 .4873 L
.41778 .48796 L
.41894 .48955 L
.41895 .48957 L
.41996 .49117 L
.42054 .49202 L
.42094 .49278 L
.42054 .49328 L
.42006 .49278 L
.41894 .49163 L
.41853 .49117 L
.41733 .48985 L
.41709 .48957 L
.41572 .48801 L
.41569 .48796 L
.41434 .48636 L
.41412 .4861 L
.413 .48475 L
.41251 .48418 L
.41166 .48314 L
.41091 .48255 L
.41034 .48154 L
.4093 .48032 L
.40887 .47993 L
.40773 .47833 L
.4077 .47829 L
.40645 .47672 L
.40609 .47629 L
.40516 .47512 L
.40449 .47444 L
.40332 .47351 L
.40288 .47229 L
.40254 .47191 L
.40133 .4703 L
.40128 .47024 L
.40007 .4687 L
.39967 .4685 L
.39881 .46709 L
.39807 .46624 L
.39734 .46549 L
.39646 .4641 L
.39629 .46388 L
.39505 .46228 L
.39486 .46203 L
.39381 .46067 L
.39325 .46015 L
.39207 .45907 L
.39165 .45793 L
.39125 .45746 L
.39008 .45586 L
.39004 .45581 L
.38885 .45425 L
.38844 .4541 L
.38762 .45265 L
.38683 .45173 L
.3862 .45104 L
.38523 .44953 L
.38516 .44943 L
.38395 .44783 L
.38362 .4474 L
.38273 .44622 L
.38201 .44553 L
.38111 .44462 L
.38041 .44319 L
.38026 .44301 L
.3791 .44141 L
.3788 .44102 L
.37791 .4398 L
.3772 .43887 L
.3767 .4382 L
.37559 .43676 L
.37545 .43659 L
.37434 .43499 L
.37399 .43453 L
.37317 .43338 L
.37238 .43232 L
.37199 .43178 L
.37083 .43017 L
.37078 .43011 L
.36973 .42857 L
.36917 .4278 L
.36862 .42696 L
.36757 .42546 L
.3675 .42536 L
.36659 .42375 L
F
1 .86 .013 r
.36757 .4171 m
.36779 .41733 L
.36917 .41841 L
.36939 .41894 L
.37078 .4204 L
.37087 .42054 L
.37229 .42215 L
.37238 .42225 L
.37367 .42375 L
.37399 .42411 L
.37504 .42536 L
.37559 .42578 L
.37639 .42696 L
.3772 .42788 L
.37801 .42857 L
.3788 .42989 L
.37907 .43017 L
.38035 .43178 L
.38041 .43185 L
.38164 .43338 L
.38201 .43375 L
.38294 .43499 L
.38362 .43582 L
.38435 .43659 L
.38523 .43787 L
.38548 .4382 L
.38677 .4398 L
.38683 .43983 L
.38804 .44141 L
.38844 .44185 L
.38958 .44301 L
.39004 .44394 L
.3906 .44462 L
.39165 .44601 L
.39178 .44622 L
.39308 .44783 L
.39325 .44798 L
.39433 .44943 L
.39486 .45006 L
.39571 .45104 L
.39646 .45217 L
.39681 .45265 L
.39807 .45423 L
.39807 .45425 L
.39933 .45586 L
.39967 .45622 L
.40083 .45746 L
.40128 .45835 L
.40185 .45907 L
.40288 .46045 L
.40301 .46067 L
.4043 .46228 L
.40449 .46243 L
.406 .46388 L
.40609 .46454 L
.4069 .46549 L
.4077 .46668 L
.408 .46709 L
.40925 .4687 L
.4093 .4687 L
.41047 .4703 L
.41091 .47074 L
.41198 .47191 L
.41251 .4729 L
.41299 .47351 L
.41412 .47503 L
.41417 .47512 L
.41541 .47672 L
.41572 .47694 L
.41713 .47833 L
.41733 .47913 L
.418 .47993 L
.41894 .4813 L
.4191 .48154 L
.42032 .48314 L
.42054 .48342 L
.42154 .48475 L
.42215 .48535 L
.42304 .48636 L
.42375 .48757 L
.42405 .48796 L
.42523 .48957 L
.42536 .48973 L
.42644 .49117 L
.42696 .49153 L
.42814 .49278 L
.42857 .49385 L
.42899 .49438 L
.43011 .49599 L
.43017 .49606 L
.43131 .49759 L
.43178 .4982 L
.43252 .4992 L
.43338 .50014 L
.43394 .5008 L
.43496 .50241 L
.43499 .50244 L
.43614 .50401 L
.43659 .5046 L
.43733 .50562 L
.4382 .50644 L
.43887 .50722 L
.43975 .50883 L
.4398 .50889 L
.44091 .51043 L
.44141 .51109 L
.44208 .51204 L
.44301 .51328 L
.44327 .51364 L
.44443 .51525 L
.44462 .5155 L
.44554 .51686 L
.44622 .51779 L
.44666 .51846 L
.4478 .52007 L
.44783 .52011 L
.44876 .52167 L
.44943 .52276 L
.44965 .52328 L
.44943 .52373 L
.4489 .52328 L
.44783 .52231 L
.44721 .52167 L
.44622 .52064 L
.4457 .52007 L
.44462 .519 L
.44425 .51846 L
.44301 .51705 L
.44277 .51686 L
.44147 .51525 L
.44141 .51518 L
.44011 .51364 L
.4398 .51352 L
.43876 .51204 L
.4382 .51141 L
.43699 .51043 L
.43659 .5094 L
.43608 .50883 L
.43499 .50741 L
.43485 .50722 L
.4335 .50562 L
.43338 .50551 L
.4322 .50401 L
.43178 .50349 L
.43079 .50241 L
.43017 .50143 L
.42969 .5008 L
.42857 .4994 L
.42848 .4992 L
.42709 .49759 L
.42696 .49745 L
.42557 .49599 L
.42536 .49539 L
.42454 .49438 L
.42375 .4933 L
.42342 .49278 L
.42215 .49126 L
.42203 .49117 L
.42078 .48957 L
.42054 .48928 L
.41943 .48796 L
.41894 .48718 L
.41834 .48636 L
.41733 .48508 L
.4172 .48475 L
.41578 .48314 L
.41572 .48309 L
.41433 .48154 L
.41412 .48102 L
.41327 .47993 L
.41251 .4789 L
.41217 .47833 L
.41091 .47683 L
.4108 .47672 L
.40956 .47512 L
.4093 .47482 L
.40822 .47351 L
.4077 .4727 L
.40714 .47191 L
.40609 .47058 L
.40599 .4703 L
.40462 .4687 L
.40449 .46858 L
.40316 .46709 L
.40288 .46647 L
.40212 .46549 L
.40128 .46434 L
.40101 .46388 L
.39969 .46228 L
.39967 .46227 L
.39846 .46067 L
.39807 .46024 L
.39711 .45907 L
.39646 .45808 L
.39603 .45746 L
.39486 .45596 L
.39482 .45586 L
.39355 .45425 L
.39325 .45399 L
.39206 .45265 L
.39165 .45181 L
.39106 .45104 L
.39004 .44965 L
.38992 .44943 L
.38867 .44783 L
.38844 .44775 L
.38745 .44622 L
.38683 .44554 L
.38609 .44462 L
.38523 .44332 L
.38502 .44301 L
.38381 .44141 L
.38362 .44116 L
.38261 .4398 L
.38201 .43926 L
.38112 .4382 L
.38041 .43694 L
.38016 .43659 L
.379 .43499 L
.3788 .43473 L
.37782 .43338 L
.3772 .43256 L
.37609 .43178 L
.37559 .43046 L
.37537 .43017 L
.37428 .42857 L
.37399 .42818 L
.37313 .42696 L
.37238 .42595 L
.37197 .42536 L
.37081 .42375 L
.37078 .42371 L
.36974 .42215 L
.36917 .42135 L
.36865 .42054 L
.36757 .41894 L
.36757 .41893 L
.36675 .41733 L
F
.289 .96 1 r
.36757 .41047 m
.36805 .41091 L
.36917 .41196 L
.36971 .41251 L
.37078 .41352 L
.37123 .41412 L
.37238 .41538 L
.37286 .41572 L
.37399 .41722 L
.3741 .41733 L
.37548 .41894 L
.37559 .419 L
.37685 .42054 L
.3772 .42093 L
.37868 .42215 L
.3788 .42291 L
.37958 .42375 L
.38041 .42491 L
.38075 .42536 L
.38201 .42688 L
.38203 .42696 L
.38344 .42857 L
.38362 .42879 L
.38486 .43017 L
.38523 .43084 L
.38597 .43178 L
.38683 .43293 L
.38709 .43338 L
.38844 .43494 L
.38857 .43499 L
.38998 .43659 L
.39004 .43688 L
.39111 .4382 L
.39165 .43899 L
.39222 .4398 L
.39325 .44111 L
.39329 .44141 L
.39486 .44301 L
.39486 .44302 L
.39619 .44462 L
.39646 .44511 L
.39731 .44622 L
.39807 .44725 L
.39838 .44783 L
.39967 .44934 L
.39986 .44943 L
.40121 .45104 L
.40128 .45128 L
.40236 .45265 L
.40288 .45341 L
.40345 .45425 L
.40449 .45555 L
.40451 .45586 L
.40606 .45746 L
.40609 .45751 L
.40739 .45907 L
.4077 .45961 L
.40849 .46067 L
.4093 .46175 L
.40957 .46228 L
.41091 .46382 L
.41101 .46388 L
.41241 .46549 L
.41251 .46583 L
.41352 .46709 L
.41412 .46796 L
.4146 .4687 L
.41572 .47008 L
.41596 .4703 L
.41718 .47191 L
.41733 .47208 L
.41854 .47351 L
.41894 .47419 L
.41963 .47512 L
.42054 .47632 L
.42073 .47672 L
.42212 .47833 L
.42215 .47835 L
.42358 .47993 L
.42375 .48042 L
.42464 .48154 L
.42536 .48255 L
.42574 .48314 L
.42696 .48465 L
.42705 .48475 L
.42828 .48636 L
.42857 .48666 L
.42967 .48796 L
.43017 .48879 L
.43074 .48957 L
.43178 .49092 L
.43188 .49117 L
.4332 .49278 L
.43338 .49292 L
.43472 .49438 L
.43499 .49503 L
.43574 .49599 L
.43659 .49718 L
.43685 .49759 L
.43813 .4992 L
.4382 .49921 L
.43935 .5008 L
.4398 .50126 L
.44076 .50241 L
.44141 .50343 L
.44183 .50401 L
.44301 .50557 L
.44303 .50562 L
.44426 .50722 L
.44462 .50748 L
.44583 .50883 L
.44622 .50968 L
.44681 .51043 L
.44783 .51185 L
.44795 .51204 L
.44918 .51364 L
.44943 .51398 L
.45039 .51525 L
.45104 .5159 L
.45181 .51686 L
.45265 .51813 L
.45288 .51846 L
.45408 .52007 L
.45425 .52029 L
.45529 .52167 L
.45586 .5221 L
.45685 .52328 L
.45746 .52441 L
.45781 .52488 L
.45897 .52649 L
.45907 .52662 L
.46016 .52809 L
.46067 .52875 L
.46137 .5297 L
.46228 .5307 L
.46274 .5313 L
.46382 .53291 L
.46388 .53298 L
.465 .53451 L
.46549 .53514 L
.4662 .53612 L
.46709 .53701 L
.46764 .53772 L
.46862 .53933 L
.4687 .53943 L
.46978 .54093 L
.4703 .54162 L
.47095 .54254 L
.47191 .54381 L
.47214 .54414 L
.4733 .54575 L
.47351 .54604 L
.4744 .54735 L
.47512 .54834 L
.47552 .54896 L
.47664 .55057 L
.47672 .55069 L
.47758 .55217 L
.47833 .55346 L
.47844 .55378 L
.47833 .55424 L
.47765 .55378 L
.47672 .55302 L
.47586 .55217 L
.47512 .55144 L
.47429 .55057 L
.47351 .54992 L
.4728 .54896 L
.47191 .54796 L
.47103 .54735 L
.4703 .54608 L
.46997 .54575 L
.4687 .54422 L
.46864 .54414 L
.46724 .54254 L
.46709 .54237 L
.46589 .54093 L
.46549 .54041 L
.4645 .53933 L
.46388 .5384 L
.46336 .53772 L
.46228 .53638 L
.46218 .53612 L
.46067 .53454 L
.46065 .53451 L
.45925 .53291 L
.45907 .53251 L
.45812 .5313 L
.45746 .53041 L
.45702 .5297 L
.45586 .5283 L
.4555 .52809 L
.45426 .52649 L
.45425 .52648 L
.45297 .52488 L
.45265 .52438 L
.45186 .52328 L
.45104 .52223 L
.45084 .52167 L
.44943 .52035 L
.44921 .52007 L
.44793 .51846 L
.44783 .51827 L
.44676 .51686 L
.44622 .51612 L
.44571 .51525 L
.44462 .51395 L
.4442 .51364 L
.44301 .51209 L
.44298 .51204 L
.44172 .51043 L
.44141 .50997 L
.44062 .50883 L
.4398 .5078 L
.43963 .50722 L
.4382 .50568 L
.438 .50562 L
.43672 .50401 L
.43659 .50377 L
.43558 .50241 L
.43499 .50162 L
.43453 .5008 L
.43338 .49947 L
.43304 .4992 L
.43179 .49759 L
.43178 .49754 L
.43056 .49599 L
.43017 .49542 L
.42947 .49438 L
.42857 .49326 L
.42846 .49278 L
.42696 .49121 L
.42688 .49117 L
.42556 .48957 L
.42536 .48919 L
.42445 .48796 L
.42375 .48705 L
.42338 .48636 L
.42215 .48493 L
.42193 .48475 L
.42058 .48314 L
.42054 .48294 L
.41943 .48154 L
.41894 .48082 L
.41835 .47993 L
.41733 .47869 L
.41728 .47833 L
.41578 .47672 L
.41572 .47667 L
.41443 .47512 L
.41412 .47458 L
.41334 .47351 L
.41251 .47244 L
.41225 .47191 L
.41091 .47036 L
.41085 .4703 L
.4094 .4687 L
.4093 .46833 L
.40833 .46709 L
.4077 .46619 L
.40724 .46549 L
.40609 .46407 L
.40608 .46388 L
.40471 .46228 L
.40449 .46207 L
.40331 .46067 L
.40288 .45995 L
.40225 .45907 L
.40128 .4578 L
.40112 .45746 L
.39979 .45586 L
.39967 .4558 L
.39825 .45425 L
.39807 .4537 L
.39725 .45265 L
.39646 .45153 L
.39615 .45104 L
.39488 .44943 L
.39486 .4494 L
.39367 .44783 L
.39325 .44746 L
.39224 .44622 L
.39165 .44526 L
.39119 .44462 L
.39004 .44309 L
.39001 .44301 L
.38878 .44141 L
.38844 .44125 L
.38718 .4398 L
.38683 .43898 L
.38624 .4382 L
.38523 .43676 L
.38512 .43659 L
.38392 .43499 L
.38362 .4346 L
.38271 .43338 L
.38201 .43271 L
.38129 .43178 L
.38041 .43039 L
.38026 .43017 L
.37909 .42857 L
.3788 .42819 L
.37791 .42696 L
.3772 .42603 L
.37636 .42536 L
.37559 .42392 L
.37547 .42375 L
.37435 .42215 L
.37399 .42167 L
.37319 .42054 L
.37238 .41944 L
.37203 .41894 L
.37087 .41733 L
.37078 .4172 L
.3698 .41572 L
.36917 .41484 L
.36871 .41412 L
.36765 .41251 L
.36757 .41239 L
.36683 .41091 L
F
.002 .8 1 r
.36757 .43675 m
.3686 .4382 L
.36917 .43889 L
.3698 .4398 L
.37078 .44103 L
.37104 .44141 L
.37078 .4425 L
.36993 .44141 L
.36917 .44054 L
.36861 .4398 L
.36757 .43854 L
.3673 .4382 L
F
1 .7 0 r
.36757 .43023 m
.36882 .43178 L
.36917 .43216 L
.37013 .43338 L
.37078 .43412 L
.37144 .43499 L
.37238 .43609 L
.37276 .43659 L
.37399 .43808 L
.37408 .4382 L
.37533 .4398 L
.37559 .44012 L
.37657 .44141 L
.3772 .44217 L
.37783 .44301 L
.3788 .44422 L
.3791 .44462 L
.38037 .44622 L
.38041 .44627 L
.38157 .44783 L
.38201 .44838 L
.38278 .44943 L
.38362 .45048 L
.38403 .45104 L
.38523 .45257 L
.38528 .45265 L
.38645 .45425 L
.38683 .45472 L
.38763 .45586 L
.38844 .45688 L
.38884 .45746 L
.39004 .45903 L
.39007 .45907 L
.39116 .46067 L
.39165 .4613 L
.39226 .46228 L
.39325 .46361 L
.39341 .46388 L
.39325 .46456 L
.39267 .46388 L
.39165 .4628 L
.39121 .46228 L
.39004 .46094 L
.38982 .46067 L
.38849 .45907 L
.38844 .45901 L
.3872 .45746 L
.38683 .45703 L
.3859 .45586 L
.38523 .45505 L
.3846 .45425 L
.38362 .45305 L
.3833 .45265 L
.38203 .45104 L
.38201 .45102 L
.38079 .44943 L
.38041 .44897 L
.37954 .44783 L
.3788 .44691 L
.37828 .44622 L
.3772 .44484 L
.37703 .44462 L
.37581 .44301 L
.37559 .44274 L
.3746 .44141 L
.37399 .44063 L
.37338 .4398 L
.37238 .43851 L
.37215 .4382 L
.37096 .43659 L
.37078 .43636 L
.3698 .43499 L
.36917 .43417 L
.36862 .43338 L
.36757 .43197 L
.36743 .43178 L
F
1 .9 .045 r
.36757 .44373 m
.36798 .44462 L
.36757 .44469 L
.3675 .44462 L
F
1 .98 .538 r
.36757 .38274 m
.36917 .38274 L
.36991 .38362 L
.37078 .38425 L
.37156 .38523 L
.37238 .38605 L
.37299 .38683 L
.37399 .38798 L
.37454 .38844 L
.37559 .38997 L
.37567 .39004 L
.37691 .39165 L
.3772 .392 L
.37816 .39325 L
.3788 .39383 L
.37986 .39486 L
.38041 .39606 L
.38074 .39646 L
.38187 .39807 L
.38201 .39825 L
.38306 .39967 L
.38362 .40042 L
.38424 .40128 L
.38523 .40263 L
.38551 .40288 L
.38644 .40449 L
.38683 .40517 L
.38721 .40609 L
.38683 .40686 L
.38523 .40611 L
.38503 .40609 L
.38362 .40473 L
.38302 .40449 L
.38201 .40309 L
.38169 .40288 L
.38041 .40132 L
.38035 .40128 L
.37895 .39967 L
.3788 .39952 L
.3774 .39807 L
.3772 .39749 L
.37638 .39646 L
.37559 .3954 L
.37527 .39486 L
.37399 .39332 L
.37392 .39325 L
.37272 .39165 L
.37238 .3914 L
.37141 .39004 L
.37078 .3891 L
.37042 .38844 L
.3693 .38683 L
.36917 .38663 L
.3683 .38523 L
.36757 .3837 L
.3675 .38362 L
F
.001 .79 1 r
.36757 .43703 m
.36834 .4382 L
.36917 .43919 L
.36956 .4398 L
.37078 .44133 L
.37083 .44141 L
.37078 .44211 L
.37024 .44141 L
.36917 .44023 L
.36884 .4398 L
.36757 .43828 L
.36751 .4382 L
F
1 .69 0 r
.36757 .43044 m
.36866 .43178 L
.36917 .43232 L
.37 .43338 L
.37078 .43425 L
.37134 .43499 L
.37238 .43621 L
.37268 .43659 L
.37399 .43818 L
.374 .4382 L
.37523 .4398 L
.37559 .44023 L
.37648 .44141 L
.3772 .44227 L
.37775 .44301 L
.3788 .44431 L
.37903 .44462 L
.38029 .44622 L
.38041 .44637 L
.38148 .44783 L
.38201 .44848 L
.38271 .44943 L
.38362 .45058 L
.38395 .45104 L
.38521 .45265 L
.38523 .45267 L
.38636 .45425 L
.38683 .45484 L
.38753 .45586 L
.38844 .45701 L
.38875 .45746 L
.38844 .45885 L
.38732 .45746 L
.38683 .4569 L
.38601 .45586 L
.38523 .45493 L
.38469 .45425 L
.38362 .45293 L
.38339 .45265 L
.38213 .45104 L
.38201 .45091 L
.38089 .44943 L
.38041 .44886 L
.37963 .44783 L
.3788 .4468 L
.37836 .44622 L
.3772 .44474 L
.37711 .44462 L
.37591 .44301 L
.37559 .44263 L
.37469 .44141 L
.37399 .44051 L
.37347 .4398 L
.37238 .43839 L
.37224 .4382 L
.37107 .43659 L
.37078 .43622 L
.36992 .43499 L
.36917 .43401 L
.36874 .43338 L
.36757 .43179 L
.36756 .43178 L
F
0 .74 1 r
.36917 .42557 m
.37039 .42696 L
.37078 .42737 L
.37178 .42857 L
.37238 .42923 L
.37315 .43017 L
.37399 .43114 L
.3745 .43178 L
.37559 .43292 L
.37584 .43338 L
.37716 .43499 L
.3772 .43503 L
.37844 .43659 L
.3788 .43702 L
.37973 .4382 L
.38041 .43902 L
.38102 .4398 L
.38201 .44092 L
.38258 .44141 L
.3836 .44301 L
.38362 .44304 L
.38484 .44462 L
.38523 .44508 L
.3861 .44622 L
.38683 .44684 L
.38737 .44783 L
.38844 .44912 L
.38874 .44943 L
.38989 .45104 L
.39004 .45123 L
.39112 .45265 L
.39165 .4533 L
.39237 .45425 L
.39325 .45521 L
.39392 .45586 L
.39486 .45743 L
.39489 .45746 L
.39609 .45907 L
.39646 .45953 L
.39732 .46067 L
.39807 .46128 L
.39856 .46228 L
.39967 .46365 L
.39988 .46388 L
.40102 .46549 L
.40128 .46581 L
.40223 .46709 L
.40288 .46792 L
.40346 .4687 L
.40449 .4699 L
.40488 .4703 L
.40591 .47191 L
.40609 .47214 L
.4071 .47351 L
.4077 .47428 L
.40831 .47512 L
.4093 .47617 L
.40953 .47672 L
.41073 .47833 L
.41091 .47856 L
.41189 .47993 L
.41251 .48074 L
.41308 .48154 L
.41412 .48291 L
.41428 .48314 L
.41543 .48475 L
.41572 .48513 L
.41655 .48636 L
.41733 .4874 L
.4177 .48796 L
.41884 .48957 L
.41894 .4897 L
.4198 .49117 L
.42054 .49234 L
.42069 .49278 L
.42054 .49296 L
.42033 .49278 L
.41894 .49146 L
.41867 .49117 L
.41733 .48971 L
.4172 .48957 L
.4158 .48796 L
.41572 .48788 L
.41443 .48636 L
.41412 .486 L
.41308 .48475 L
.41251 .48409 L
.41173 .48314 L
.41091 .48246 L
.4104 .48154 L
.4093 .48024 L
.40896 .47993 L
.40779 .47833 L
.4077 .47822 L
.4065 .47672 L
.40609 .47623 L
.40521 .47512 L
.40449 .47438 L
.40338 .47351 L
.40288 .47223 L
.40259 .47191 L
.40138 .4703 L
.40128 .47018 L
.40012 .4687 L
.39967 .46846 L
.39885 .46709 L
.39807 .46618 L
.39739 .46549 L
.39646 .46405 L
.39633 .46388 L
.39509 .46228 L
.39486 .46198 L
.39385 .46067 L
.39325 .46011 L
.39211 .45907 L
.39165 .45788 L
.39129 .45746 L
.39012 .45586 L
.39004 .45575 L
.38889 .45425 L
.38844 .45407 L
.38766 .45265 L
.38683 .45168 L
.38625 .45104 L
.38523 .44947 L
.3852 .44943 L
.38399 .44783 L
.38362 .44735 L
.38278 .44622 L
.38201 .44547 L
.38117 .44462 L
.38041 .44313 L
.38032 .44301 L
.37915 .44141 L
.3788 .44096 L
.37795 .4398 L
.3772 .4388 L
.37675 .4382 L
.37559 .43667 L
.37553 .43659 L
.3744 .43499 L
.37399 .43444 L
.37323 .43338 L
.37238 .43223 L
.37206 .43178 L
.37091 .43017 L
.37078 .42999 L
.36982 .42857 L
.36917 .42766 L
.36872 .42696 L
F
1 .85 .01 r
.36917 .41895 m
.37069 .42054 L
.37078 .42063 L
.37214 .42215 L
.37238 .42241 L
.37355 .42375 L
.37399 .42424 L
.37493 .42536 L
.37559 .42588 L
.37629 .42696 L
.3772 .42798 L
.37791 .42857 L
.3788 .42998 L
.37899 .43017 L
.38028 .43178 L
.38041 .43193 L
.38158 .43338 L
.38201 .43381 L
.38288 .43499 L
.38362 .43588 L
.3843 .43659 L
.38523 .43793 L
.38544 .4382 L
.38673 .4398 L
.38683 .43986 L
.388 .44141 L
.38844 .4419 L
.38954 .44301 L
.39004 .44399 L
.39057 .44462 L
.39165 .44605 L
.39176 .44622 L
.39305 .44783 L
.39325 .44801 L
.3943 .44943 L
.39486 .4501 L
.39568 .45104 L
.39646 .45221 L
.39679 .45265 L
.39806 .45425 L
.39807 .45425 L
.3993 .45586 L
.39967 .45625 L
.40081 .45746 L
.40128 .45838 L
.40183 .45907 L
.40288 .46048 L
.403 .46067 L
.40427 .46228 L
.40449 .46245 L
.40599 .46388 L
.40609 .46457 L
.40688 .46549 L
.4077 .4667 L
.40798 .46709 L
.40923 .4687 L
.4093 .46871 L
.41045 .4703 L
.41091 .47076 L
.41196 .47191 L
.41251 .47293 L
.41297 .47351 L
.41412 .47506 L
.41415 .47512 L
.41538 .47672 L
.41572 .47696 L
.41711 .47833 L
.41733 .47916 L
.41798 .47993 L
.41894 .48133 L
.41908 .48154 L
.4203 .48314 L
.42054 .48345 L
.42152 .48475 L
.42215 .48538 L
.42301 .48636 L
.42375 .48761 L
.42402 .48796 L
.4252 .48957 L
.42536 .48976 L
.42641 .49117 L
.42696 .49156 L
.42811 .49278 L
.42857 .4939 L
.42896 .49438 L
.43008 .49599 L
.43017 .4961 L
.43127 .49759 L
.43178 .49824 L
.43248 .4992 L
.43338 .5002 L
.43389 .5008 L
.43492 .50241 L
.43499 .50249 L
.4361 .50401 L
.43659 .50466 L
.43729 .50562 L
.4382 .50653 L
.43879 .50722 L
.4397 .50883 L
.4398 .50897 L
.44085 .51043 L
.44141 .51117 L
.44202 .51204 L
.44301 .51338 L
.4432 .51364 L
.44434 .51525 L
.44462 .51563 L
.44544 .51686 L
.44622 .51795 L
.44655 .51846 L
.44762 .52007 L
.44783 .52038 L
.44848 .52167 L
.44783 .522 L
.44749 .52167 L
.44622 .52042 L
.44589 .52007 L
.44462 .51877 L
.44441 .51846 L
.44301 .51689 L
.44297 .51686 L
.44159 .51525 L
.44141 .51505 L
.44022 .51364 L
.4398 .51346 L
.43885 .51204 L
.4382 .51131 L
.43707 .51043 L
.43659 .5093 L
.43615 .50883 L
.43499 .50734 L
.43491 .50722 L
.43357 .50562 L
.43338 .50545 L
.43226 .50401 L
.43178 .50342 L
.43084 .50241 L
.43017 .50137 L
.42974 .5008 L
.42857 .49935 L
.4285 .4992 L
.42714 .49759 L
.42696 .4974 L
.4256 .49599 L
.42536 .49534 L
.42458 .49438 L
.42375 .49325 L
.42345 .49278 L
.42215 .49123 L
.42207 .49117 L
.42081 .48957 L
.42054 .48923 L
.41946 .48796 L
.41894 .48714 L
.41837 .48636 L
.41733 .48504 L
.41721 .48475 L
.41581 .48314 L
.41572 .48306 L
.41435 .48154 L
.41412 .48098 L
.4133 .47993 L
.41251 .47886 L
.41219 .47833 L
.41091 .4768 L
.41083 .47672 L
.40959 .47512 L
.4093 .47478 L
.40825 .47351 L
.4077 .47266 L
.40716 .47191 L
.40609 .47055 L
.40601 .4703 L
.40464 .4687 L
.40449 .46855 L
.40318 .46709 L
.40288 .46644 L
.40215 .46549 L
.40128 .4643 L
.40103 .46388 L
.39971 .46228 L
.39967 .46226 L
.39849 .46067 L
.39807 .4602 L
.39713 .45907 L
.39646 .45805 L
.39606 .45746 L
.39486 .45592 L
.39483 .45586 L
.39358 .45425 L
.39325 .45396 L
.39208 .45265 L
.39165 .45178 L
.39109 .45104 L
.39004 .44961 L
.38994 .44943 L
.3887 .44783 L
.38844 .44774 L
.38749 .44622 L
.38683 .44549 L
.38613 .44462 L
.38523 .44327 L
.38505 .44301 L
.38385 .44141 L
.38362 .44111 L
.38265 .4398 L
.38201 .43921 L
.38116 .4382 L
.38041 .43687 L
.38021 .43659 L
.37905 .43499 L
.3788 .43466 L
.37788 .43338 L
.3772 .43248 L
.37618 .43178 L
.37559 .43035 L
.37546 .43017 L
.37435 .42857 L
.37399 .42808 L
.37321 .42696 L
.37238 .42583 L
.37205 .42536 L
.37092 .42375 L
.37078 .42355 L
.36987 .42215 L
.36917 .42114 L
.3688 .42054 L
F
0 .73 1 r
.36917 .42574 m
.37025 .42696 L
.37078 .4275 L
.37168 .42857 L
.37238 .42934 L
.37307 .43017 L
.37399 .43123 L
.37443 .43178 L
.37559 .43303 L
.37578 .43338 L
.3771 .43499 L
.3772 .4351 L
.37839 .43659 L
.3788 .43709 L
.37968 .4382 L
.38041 .43908 L
.38098 .4398 L
.38201 .44098 L
.38251 .44141 L
.38355 .44301 L
.38362 .4431 L
.3848 .44462 L
.38523 .44514 L
.38606 .44622 L
.38683 .4469 L
.38734 .44783 L
.38844 .44917 L
.38869 .44943 L
.38985 .45104 L
.39004 .45128 L
.39109 .45265 L
.39165 .45334 L
.39234 .45425 L
.39325 .45526 L
.39387 .45586 L
.39485 .45746 L
.39486 .45748 L
.39606 .45907 L
.39646 .45957 L
.39729 .46067 L
.39807 .46133 L
.39853 .46228 L
.39967 .4637 L
.39984 .46388 L
.40099 .46549 L
.40128 .46585 L
.4022 .46709 L
.40288 .46796 L
.40343 .4687 L
.40449 .46996 L
.40482 .4703 L
.40587 .47191 L
.40609 .47219 L
.40706 .47351 L
.4077 .47434 L
.40827 .47512 L
.4093 .47626 L
.40949 .47672 L
.41068 .47833 L
.41091 .47863 L
.41184 .47993 L
.41251 .48081 L
.41303 .48154 L
.41412 .48299 L
.41423 .48314 L
.41536 .48475 L
.41572 .48523 L
.41648 .48636 L
.41733 .48751 L
.41762 .48796 L
.41871 .48957 L
.41894 .48989 L
.41958 .49117 L
.41894 .49126 L
.41885 .49117 L
.41733 .48957 L
.41733 .48957 L
.41591 .48796 L
.41572 .48776 L
.41453 .48636 L
.41412 .4859 L
.41316 .48475 L
.41251 .484 L
.4118 .48314 L
.41091 .48237 L
.41047 .48154 L
.4093 .48015 L
.40905 .47993 L
.40785 .47833 L
.4077 .47815 L
.40656 .47672 L
.40609 .47616 L
.40526 .47512 L
.40449 .47432 L
.40345 .47351 L
.40288 .47217 L
.40265 .47191 L
.40143 .4703 L
.40128 .47012 L
.40016 .4687 L
.39967 .46843 L
.39889 .46709 L
.39807 .46613 L
.39744 .46549 L
.39646 .46399 L
.39637 .46388 L
.39513 .46228 L
.39486 .46193 L
.39389 .46067 L
.39325 .46006 L
.39216 .45907 L
.39165 .45782 L
.39134 .45746 L
.39016 .45586 L
.39004 .4557 L
.38893 .45425 L
.38844 .45404 L
.3877 .45265 L
.38683 .45162 L
.3863 .45104 L
.38524 .44943 L
.38523 .44941 L
.38404 .44783 L
.38362 .44729 L
.38282 .44622 L
.38201 .44541 L
.38123 .44462 L
.38041 .44306 L
.38038 .44301 L
.3792 .44141 L
.3788 .44089 L
.378 .4398 L
.3772 .43874 L
.3768 .4382 L
.37561 .43659 L
.37559 .43657 L
.37446 .43499 L
.37399 .43436 L
.3733 .43338 L
.37238 .43214 L
.37213 .43178 L
.371 .43017 L
.37078 .42987 L
.36992 .42857 L
.36917 .4275 L
.36883 .42696 L
F
1 .68 0 r
.36917 .43252 m
.36985 .43338 L
.37078 .4344 L
.37123 .43499 L
.37238 .43633 L
.37258 .43659 L
.37389 .4382 L
.37399 .43831 L
.37513 .4398 L
.37559 .44035 L
.37639 .44141 L
.3772 .44238 L
.37767 .44301 L
.3788 .44441 L
.37896 .44462 L
.38019 .44622 L
.38041 .44648 L
.38139 .44783 L
.38201 .44859 L
.38262 .44943 L
.38362 .45068 L
.38387 .45104 L
.38511 .45265 L
.38523 .45279 L
.38625 .45425 L
.38683 .45498 L
.38743 .45586 L
.38844 .45715 L
.38864 .45746 L
.38844 .45868 L
.38746 .45746 L
.38683 .45675 L
.38612 .45586 L
.38523 .4548 L
.3848 .45425 L
.38362 .45281 L
.38349 .45265 L
.38223 .45104 L
.38201 .45078 L
.38098 .44943 L
.38041 .44874 L
.37972 .44783 L
.3788 .44669 L
.37845 .44622 L
.3772 .44462 L
.3772 .44462 L
.37601 .44301 L
.37559 .4425 L
.37479 .44141 L
.37399 .44039 L
.37356 .4398 L
.37238 .43826 L
.37234 .4382 L
.3712 .43659 L
.37078 .43606 L
.37005 .43499 L
.36917 .43383 L
.36887 .43338 L
F
0 .72 1 r
.36917 .42596 m
.37009 .42696 L
.37078 .42764 L
.37157 .42857 L
.37238 .42945 L
.37298 .43017 L
.37399 .43132 L
.37436 .43178 L
.37559 .43315 L
.37572 .43338 L
.37703 .43499 L
.3772 .43518 L
.37833 .43659 L
.3788 .43716 L
.37963 .4382 L
.38041 .43914 L
.38093 .4398 L
.38201 .44105 L
.38243 .44141 L
.3835 .44301 L
.38362 .44315 L
.38476 .44462 L
.38523 .44519 L
.38602 .44622 L
.38683 .44695 L
.3873 .44783 L
.38844 .44922 L
.38864 .44943 L
.38981 .45104 L
.39004 .45132 L
.39105 .45265 L
.39165 .45339 L
.3923 .45425 L
.39325 .45531 L
.39382 .45586 L
.39481 .45746 L
.39486 .45752 L
.39602 .45907 L
.39646 .45962 L
.39725 .46067 L
.39807 .46138 L
.3985 .46228 L
.39967 .46376 L
.39979 .46388 L
.40095 .46549 L
.40128 .4659 L
.40216 .46709 L
.40288 .46801 L
.40339 .4687 L
.40449 .47003 L
.40475 .4703 L
.40583 .47191 L
.40609 .47225 L
.40702 .47351 L
.4077 .47439 L
.40823 .47512 L
.4093 .47636 L
.40945 .47672 L
.41063 .47833 L
.41091 .47869 L
.41179 .47993 L
.41251 .48088 L
.41297 .48154 L
.41412 .48306 L
.41418 .48314 L
.41529 .48475 L
.41572 .48533 L
.41639 .48636 L
.41733 .48764 L
.41753 .48796 L
.41733 .4894 L
.41604 .48796 L
.41572 .48763 L
.41463 .48636 L
.41412 .48579 L
.41324 .48475 L
.41251 .48391 L
.41188 .48314 L
.41091 .48226 L
.41053 .48154 L
.4093 .48007 L
.40915 .47993 L
.40791 .47833 L
.4077 .47808 L
.40661 .47672 L
.40609 .47609 L
.40531 .47512 L
.40449 .47425 L
.40352 .47351 L
.40288 .4721 L
.4027 .47191 L
.40147 .4703 L
.40128 .47006 L
.40021 .4687 L
.39967 .46838 L
.39894 .46709 L
.39807 .46607 L
.39749 .46549 L
.39646 .46394 L
.39642 .46388 L
.39518 .46228 L
.39486 .46187 L
.39393 .46067 L
.39325 .46001 L
.39221 .45907 L
.39165 .45777 L
.39138 .45746 L
.3902 .45586 L
.39004 .45565 L
.38897 .45425 L
.38844 .454 L
.38774 .45265 L
.38683 .45156 L
.38635 .45104 L
.38529 .44943 L
.38523 .44936 L
.38408 .44783 L
.38362 .44724 L
.38286 .44622 L
.38201 .44534 L
.3813 .44462 L
.38043 .44301 L
.38041 .44299 L
.37925 .44141 L
.3788 .44083 L
.37805 .4398 L
.3772 .43867 L
.37685 .4382 L
.37567 .43659 L
.37559 .43649 L
.37453 .43499 L
.37399 .43427 L
.37336 .43338 L
.37238 .43204 L
.3722 .43178 L
.3711 .43017 L
.37078 .42973 L
.37003 .42857 L
.36917 .42732 L
.36896 .42696 L
F
1 .84 .007 r
.36917 .41927 m
.37046 .42054 L
.37078 .42084 L
.37197 .42215 L
.37238 .42257 L
.37341 .42375 L
.37399 .42438 L
.37482 .42536 L
.37559 .42599 L
.3762 .42696 L
.3772 .42809 L
.37779 .42857 L
.3788 .43007 L
.37891 .43017 L
.38021 .43178 L
.38041 .43202 L
.38151 .43338 L
.38201 .43387 L
.38282 .43499 L
.38362 .43595 L
.38424 .43659 L
.38523 .43799 L
.3854 .4382 L
.38668 .4398 L
.38683 .43989 L
.38795 .44141 L
.38844 .44195 L
.38951 .44301 L
.39004 .44404 L
.39053 .44462 L
.39165 .44609 L
.39173 .44622 L
.39301 .44783 L
.39325 .44804 L
.39427 .44943 L
.39486 .45014 L
.39565 .45104 L
.39646 .45224 L
.39676 .45265 L
.39803 .45425 L
.39807 .45426 L
.39927 .45586 L
.39967 .45628 L
.40078 .45746 L
.40128 .45841 L
.40181 .45907 L
.40288 .46051 L
.40298 .46067 L
.40425 .46228 L
.40449 .46247 L
.40597 .46388 L
.40609 .4646 L
.40686 .46549 L
.4077 .46673 L
.40796 .46709 L
.4092 .4687 L
.4093 .46871 L
.41043 .4703 L
.41091 .47079 L
.41194 .47191 L
.41251 .47296 L
.41295 .47351 L
.41412 .47509 L
.41414 .47512 L
.41536 .47672 L
.41572 .47698 L
.41709 .47833 L
.41733 .47919 L
.41795 .47993 L
.41894 .48136 L
.41906 .48154 L
.42028 .48314 L
.42054 .48348 L
.42149 .48475 L
.42215 .48541 L
.42298 .48636 L
.42375 .48764 L
.424 .48796 L
.42517 .48957 L
.42536 .4898 L
.42638 .49117 L
.42696 .49159 L
.42808 .49278 L
.42857 .49394 L
.42893 .49438 L
.43005 .49599 L
.43017 .49615 L
.43124 .49759 L
.43178 .49828 L
.43245 .4992 L
.43338 .50025 L
.43384 .5008 L
.43488 .50241 L
.43499 .50255 L
.43605 .50401 L
.43659 .50471 L
.43725 .50562 L
.4382 .50662 L
.43871 .50722 L
.43964 .50883 L
.4398 .50904 L
.44079 .51043 L
.44141 .51126 L
.44195 .51204 L
.44301 .51347 L
.44313 .51364 L
.44424 .51525 L
.44462 .51576 L
.44533 .51686 L
.44622 .51813 L
.44643 .51846 L
.44739 .52007 L
.44622 .52017 L
.44612 .52007 L
.44462 .51852 L
.44458 .51846 L
.44313 .51686 L
.44301 .51673 L
.44171 .51525 L
.44141 .51491 L
.44032 .51364 L
.4398 .5134 L
.43895 .51204 L
.4382 .51121 L
.43716 .51043 L
.43659 .50921 L
.43623 .50883 L
.43499 .50726 L
.43496 .50722 L
.43364 .50562 L
.43338 .50539 L
.43233 .50401 L
.43178 .50335 L
.43089 .50241 L
.43017 .5013 L
.42978 .5008 L
.42857 .4993 L
.42852 .4992 L
.42718 .49759 L
.42696 .49735 L
.42562 .49599 L
.42536 .49528 L
.42462 .49438 L
.42375 .49321 L
.42348 .49278 L
.42215 .4912 L
.42211 .49117 L
.42085 .48957 L
.42054 .48919 L
.41949 .48796 L
.41894 .48709 L
.4184 .48636 L
.41733 .48501 L
.41723 .48475 L
.41584 .48314 L
.41572 .48302 L
.41437 .48154 L
.41412 .48094 L
.41333 .47993 L
.41251 .47883 L
.41221 .47833 L
.41091 .47677 L
.41086 .47672 L
.40962 .47512 L
.4093 .47475 L
.40827 .47351 L
.4077 .47263 L
.40719 .47191 L
.40609 .47052 L
.40602 .4703 L
.40467 .4687 L
.40449 .46852 L
.40319 .46709 L
.40288 .46641 L
.40217 .46549 L
.40128 .46427 L
.40105 .46388 L
.39974 .46228 L
.39967 .46224 L
.39851 .46067 L
.39807 .46017 L
.39715 .45907 L
.39646 .45801 L
.39608 .45746 L
.39486 .45589 L
.39485 .45586 L
.39361 .45425 L
.39325 .45393 L
.39211 .45265 L
.39165 .45174 L
.39112 .45104 L
.39004 .44957 L
.38997 .44943 L
.38874 .44783 L
.38844 .44772 L
.38752 .44622 L
.38683 .44545 L
.38617 .44462 L
.38523 .44321 L
.38509 .44301 L
.38389 .44141 L
.38362 .44105 L
.38269 .4398 L
.38201 .43915 L
.38121 .4382 L
.38041 .4368 L
.38026 .43659 L
.37911 .43499 L
.3788 .43459 L
.37793 .43338 L
.3772 .4324 L
.37627 .43178 L
.37559 .43024 L
.37554 .43017 L
.37443 .42857 L
.37399 .42797 L
.37329 .42696 L
.37238 .42571 L
.37214 .42536 L
.37105 .42375 L
.37078 .42337 L
.37001 .42215 L
.36917 .42089 L
.36897 .42054 L
F
1 .67 0 r
.36917 .43278 m
.36964 .43338 L
.37078 .43458 L
.37109 .43499 L
.37238 .43647 L
.37247 .43659 L
.37238 .4381 L
.37135 .43659 L
.37078 .43586 L
.37021 .43499 L
.36917 .43359 L
.36904 .43338 L
F
1 1 1 r
.36917 .37929 m
.37078 .3792 L
.37238 .37916 L
.37393 .38041 L
.37399 .38047 L
.37541 .38201 L
.37559 .3825 L
.37648 .38362 L
.3772 .3846 L
.37758 .38523 L
.3788 .38671 L
.3789 .38683 L
.38012 .38844 L
.38041 .38882 L
.38151 .39004 L
.38201 .39096 L
.38258 .39165 L
.38362 .39305 L
.38373 .39325 L
.38505 .39486 L
.38523 .39501 L
.38656 .39646 L
.38683 .39709 L
.38759 .39807 L
.38844 .39923 L
.3887 .39967 L
.38998 .40128 L
.39004 .40135 L
.3912 .40288 L
.39165 .40347 L
.39261 .40449 L
.39325 .40557 L
.39368 .40609 L
.39486 .40765 L
.39488 .4077 L
.3958 .4093 L
.39486 .40936 L
.39325 .40936 L
.39219 .41091 L
.39325 .4124 L
.39333 .41251 L
.39455 .41412 L
.39486 .4145 L
.39577 .41572 L
.39646 .41658 L
.39725 .41733 L
.39807 .41869 L
.39829 .41894 L
.39948 .42054 L
.39967 .42078 L
.4007 .42215 L
.40128 .42263 L
.40233 .42375 L
.40288 .42487 L
.40327 .42536 L
.40442 .42696 L
.40449 .42705 L
.40562 .42857 L
.40609 .42917 L
.40684 .43017 L
.4077 .43127 L
.40824 .43178 L
.4093 .43334 L
.40933 .43338 L
.41052 .43499 L
.41091 .43551 L
.41198 .43659 L
.41251 .43774 L
.41286 .4382 L
.41349 .4398 L
.41354 .44141 L
.41412 .44268 L
.4143 .44301 L
.41538 .44462 L
.41572 .44552 L
.41664 .44622 L
.41733 .44705 L
.41798 .44783 L
.41894 .44894 L
.41938 .44943 L
.42054 .45075 L
.42081 .45104 L
.42215 .45253 L
.42226 .45265 L
.42373 .45425 L
.42375 .45431 L
.42521 .45586 L
.42536 .45602 L
.42669 .45746 L
.42696 .45778 L
.42812 .45907 L
.42857 .45961 L
.42951 .46067 L
.43017 .46151 L
.43083 .46228 L
.43178 .4635 L
.43211 .46388 L
.43333 .46549 L
.43338 .46556 L
.43432 .46709 L
.43499 .46755 L
.43591 .4687 L
.43659 .46961 L
.43715 .4703 L
.4382 .4717 L
.43836 .47191 L
.43952 .47351 L
.4398 .4739 L
.44049 .47512 L
.44141 .47586 L
.44209 .47672 L
.44301 .47796 L
.4433 .47833 L
.44449 .47993 L
.44462 .48011 L
.44554 .48154 L
.44622 .48241 L
.44701 .48314 L
.44783 .48424 L
.44823 .48475 L
.44943 .48636 L
.44943 .48636 L
.45055 .48796 L
.45104 .4886 L
.45142 .48957 L
.45265 .49052 L
.45316 .49117 L
.45425 .49263 L
.45437 .49278 L
.45554 .49438 L
.45586 .4948 L
.45653 .49599 L
.45746 .4971 L
.45809 .49759 L
.45907 .4989 L
.4593 .4992 L
.46051 .5008 L
.46067 .50103 L
.46159 .50241 L
.46228 .50326 L
.46301 .50401 L
.46388 .50517 L
.46424 .50562 L
.46545 .50722 L
.46549 .50728 L
.46661 .50883 L
.46709 .50946 L
.4676 .51043 L
.4687 .51169 L
.46917 .51204 L
.4703 .51355 L
.47038 .51364 L
.4716 .51525 L
.47191 .51568 L
.47267 .51686 L
.47351 .51787 L
.47409 .51846 L
.47512 .52002 L
.47531 .52007 L
.47656 .52167 L
.47672 .52193 L
.47769 .52328 L
.47833 .52409 L
.4787 .52488 L
.47993 .52624 L
.48024 .52649 L
.4815 .52809 L
.48154 .52819 L
.48269 .5297 L
.48314 .53032 L
.48376 .5313 L
.48475 .53247 L
.48517 .53291 L
.48636 .5345 L
.48639 .53451 L
.48768 .53612 L
.48796 .53656 L
.48879 .53772 L
.48957 .5387 L
.48982 .53933 L
.49117 .5408 L
.49132 .54093 L
.49266 .54254 L
.49278 .54281 L
.49379 .54414 L
.49438 .54494 L
.49487 .54575 L
.49599 .54706 L
.49625 .54735 L
.49747 .54896 L
.49759 .54908 L
.4988 .55057 L
.4992 .55118 L
.49989 .55217 L
.5008 .55331 L
.50097 .55378 L
.5024 .55538 L
.50241 .55538 L
.50381 .55699 L
.50401 .55742 L
.5049 .55859 L
.50562 .55956 L
.50599 .5602 L
.50722 .56167 L
.50733 .5618 L
.50856 .56341 L
.50883 .56366 L
.50992 .56501 L
.51043 .5658 L
.511 .56662 L
.51204 .56794 L
.51213 .56822 L
.51348 .56983 L
.51364 .56991 L
.51496 .57143 L
.51525 .57202 L
.516 .57304 L
.51686 .57419 L
.51711 .57464 L
.51842 .57625 L
.51846 .57631 L
.51964 .57785 L
.52007 .57823 L
.52102 .57946 L
.52167 .58042 L
.5221 .58106 L
.52328 .58257 L
.5233 .58267 L
.52456 .58428 L
.52488 .58442 L
.52608 .58588 L
.52649 .58663 L
.5271 .58749 L
.52809 .58883 L
.52824 .58909 L
.52949 .5907 L
.5297 .59096 L
.5312 .5923 L
.5313 .59282 L
.53212 .59391 L
.53291 .59506 L
.5332 .59551 L
.53443 .59712 L
.53451 .59723 L
.53564 .59872 L
.53612 .59895 L
.53717 .60033 L
.53772 .60127 L
.53818 .60193 L
.53933 .6035 L
.53935 .60354 L
.54057 .60514 L
.54093 .60561 L
.5423 .60675 L
.54254 .60744 L
.54319 .60835 L
.54414 .60974 L
.54428 .60996 L
.54549 .61156 L
.54575 .61189 L
.5467 .61317 L
.54735 .614 L
.54823 .61477 L
.54896 .61598 L
.54923 .61638 L
.5504 .61799 L
.55057 .61819 L
.5516 .61959 L
.55217 .62032 L
.55332 .6212 L
.55378 .62222 L
.55417 .6228 L
.55527 .62441 L
.55538 .62454 L
.55645 .62601 L
.55699 .6267 L
.55765 .62762 L
.55859 .62884 L
.55907 .62922 L
.5601 .63083 L
.5602 .63096 L
.56128 .63243 L
.5618 .63309 L
.56251 .63404 L
.56341 .63514 L
.56416 .63564 L
.56501 .63701 L
.56523 .63725 L
.56659 .63885 L
.56662 .63888 L
.56811 .64046 L
.56822 .64054 L
.56982 .64206 L
.56983 .64212 L
.57143 .6436 L
.57154 .64367 L
.57304 .64519 L
.57356 .64527 L
.57464 .646 L
.57584 .64527 L
.57502 .64367 L
.57464 .64305 L
.57398 .64206 L
.57304 .64066 L
.57289 .64046 L
.57181 .63885 L
.57143 .63822 L
.57089 .63725 L
.56983 .63633 L
.56929 .63564 L
.56822 .63421 L
.56809 .63404 L
.56689 .63243 L
.56662 .63202 L
.56582 .63083 L
.56501 .62968 L
.56436 .62922 L
.56341 .62796 L
.56313 .62762 L
.5619 .62601 L
.5618 .62584 L
.56077 .62441 L
.5602 .62359 L
.55979 .6228 L
.55859 .62172 L
.55818 .6212 L
.55699 .61962 L
.55696 .61959 L
.55575 .61799 L
.55538 .61743 L
.5547 .61638 L
.55378 .61513 L
.55324 .61477 L
.55217 .61336 L
.55202 .61317 L
.55077 .61156 L
.55057 .61122 L
.54966 .60996 L
.54896 .60899 L
.54867 .60835 L
.54735 .60709 L
.54709 .60675 L
.54582 .60514 L
.54575 .60498 L
.54465 .60354 L
.54414 .6028 L
.54359 .60193 L
.54254 .60058 L
.54216 .60033 L
.54094 .59872 L
.54093 .59872 L
.53966 .59712 L
.53933 .59658 L
.53856 .59551 L
.53772 .59439 L
.53754 .59391 L
.53612 .59245 L
.536 .5923 L
.53468 .5907 L
.53451 .59034 L
.53355 .58909 L
.53291 .58818 L
.53248 .58749 L
.5313 .58604 L
.53107 .58588 L
.52971 .58428 L
.5297 .58408 L
.52855 .58267 L
.52809 .58195 L
.52746 .58106 L
.52649 .57981 L
.52638 .57946 L
.52492 .57785 L
.52488 .57781 L
.52353 .57625 L
.52328 .57571 L
.52245 .57464 L
.52167 .57357 L
.52136 .57304 L
.52007 .57149 L
.51999 .57143 L
.5185 .56983 L
.51846 .56946 L
.51743 .56822 L
.51686 .56733 L
.51635 .56662 L
.51525 .56522 L
.5152 .56501 L
.51384 .56341 L
.51364 .56321 L
.5124 .5618 L
.51204 .56109 L
.51134 .5602 L
.51043 .55896 L
.51022 .55859 L
.50891 .55699 L
.50883 .55693 L
.50732 .55538 L
.50722 .55485 L
.50633 .55378 L
.50562 .55271 L
.50524 .55217 L
.50401 .55061 L
.504 .55057 L
.50276 .54896 L
.50241 .54862 L
.50128 .54735 L
.5008 .54647 L
.50024 .54575 L
.4992 .54433 L
.49909 .54414 L
.49783 .54254 L
.49759 .54239 L
.49618 .54093 L
.49599 .54025 L
.49523 .53933 L
.49438 .53808 L
.49413 .53772 L
.4929 .53612 L
.49278 .53596 L
.49168 .53451 L
.49117 .53404 L
.49019 .53291 L
.48957 .53184 L
.48915 .5313 L
.48796 .5297 L
.48796 .52969 L
.48675 .52809 L
.48636 .52786 L
.48508 .52649 L
.48475 .52562 L
.48415 .52488 L
.48314 .52343 L
.48304 .52328 L
.48182 .52167 L
.48154 .52131 L
.4806 .52007 L
.47993 .51944 L
.47911 .51846 L
.47833 .51719 L
.47807 .51686 L
.47689 .51525 L
.47672 .51504 L
.47567 .51364 L
.47512 .51332 L
.474 .51204 L
.47351 .51098 L
.47308 .51043 L
.47195 .50883 L
.47191 .50878 L
.47074 .50722 L
.4703 .50667 L
.46952 .50562 L
.4687 .50481 L
.46805 .50401 L
.46709 .50252 L
.46701 .50241 L
.46581 .5008 L
.46549 .50039 L
.4646 .4992 L
.46388 .49863 L
.46301 .49759 L
.46228 .49627 L
.46206 .49599 L
.46089 .49438 L
.46067 .4941 L
.45969 .49278 L
.45907 .49227 L
.45814 .49117 L
.45746 .48995 L
.45716 .48957 L
.45601 .48796 L
.45586 .48788 L
.45446 .48636 L
.45425 .48573 L
.45346 .48475 L
.45265 .48354 L
.45235 .48314 L
.45109 .48154 L
.45104 .48141 L
.44988 .47993 L
.44943 .4793 L
.44871 .47833 L
.44783 .47716 L
.44752 .47672 L
.44627 .47512 L
.44622 .47503 L
.44498 .47351 L
.44462 .47296 L
.44367 .47191 L
.44301 .47095 L
.44216 .4703 L
.44141 .46912 L
.44104 .4687 L
.4398 .46758 L
.43929 .46709 L
.4382 .46624 L
.43733 .46549 L
.43659 .46492 L
.43539 .46388 L
.43499 .46356 L
.43355 .46228 L
.43338 .46213 L
.43182 .46067 L
.43178 .46062 L
.43019 .45907 L
.43017 .45903 L
.42865 .45746 L
.42857 .45737 L
.42718 .45586 L
.42696 .45559 L
.42577 .45425 L
.42536 .45372 L
.42442 .45265 L
.42375 .45177 L
.42312 .45104 L
.42215 .44975 L
.42187 .44943 L
.42064 .44783 L
.42054 .44761 L
.41936 .44622 L
.41894 .44563 L
.41811 .44462 L
.41733 .44351 L
.41693 .44301 L
.41585 .44141 L
.41645 .4398 L
.41733 .4397 L
.4183 .4382 L
.41733 .43693 L
.41708 .43659 L
.41587 .43499 L
.41572 .43482 L
.41478 .43338 L
.41412 .43275 L
.41337 .43178 L
.41251 .43065 L
.41214 .43017 L
.41093 .42857 L
.41091 .42853 L
.40977 .42696 L
.4093 .42635 L
.40878 .42536 L
.4077 .42416 L
.40721 .42375 L
.40609 .42226 L
.406 .42215 L
.40479 .42054 L
.40449 .42019 L
.40371 .41894 L
.40288 .41807 L
.40229 .41733 L
.40128 .41597 L
.40107 .41572 L
.39982 .41412 L
.39967 .41388 L
.39869 .41251 L
.39807 .41174 L
.39769 .41091 L
.39807 .4094 L
.39967 .40939 L
.40128 .40938 L
.40263 .41091 L
.40288 .41119 L
.40408 .41251 L
.40449 .41328 L
.40513 .41412 L
.40609 .41539 L
.40626 .41572 L
.40757 .41733 L
.4077 .41748 L
.40915 .41894 L
.4093 .41959 L
.41015 .42054 L
.41091 .42171 L
.41124 .42215 L
.4125 .42375 L
.41251 .42375 L
.41372 .42536 L
.41412 .42571 L
.41519 .42696 L
.41572 .42786 L
.41623 .42857 L
.41733 .43003 L
.4174 .43017 L
.41865 .43178 L
.41894 .43215 L
.42028 .43338 L
.42054 .43426 L
.42124 .43499 L
.42215 .43634 L
.42235 .43659 L
.42357 .4382 L
.42215 .43959 L
.42054 .43963 L
.41948 .4398 L
.42054 .44104 L
.42085 .44141 L
.42201 .44301 L
.42215 .44317 L
.42322 .44462 L
.42375 .44521 L
.42445 .44622 L
.42536 .44732 L
.42587 .44783 L
.42695 .44943 L
.42696 .44945 L
.42816 .45104 L
.42857 .45156 L
.42938 .45265 L
.43017 .4533 L
.43099 .45425 L
.43178 .45565 L
.43193 .45586 L
.43311 .45746 L
.43338 .4578 L
.43433 .45907 L
.43499 .45989 L
.43558 .46067 L
.43659 .46193 L
.43686 .46228 L
.43818 .46388 L
.4382 .46391 L
.4395 .46549 L
.4398 .46581 L
.44107 .46709 L
.44141 .46736 L
.44301 .46845 L
.44357 .4687 L
.44462 .46916 L
.44622 .46959 L
.44706 .4687 L
.44622 .46768 L
.44577 .46709 L
.44462 .46558 L
.44455 .46549 L
.44341 .46388 L
.44301 .46352 L
.44249 .46228 L
.44141 .46144 L
.44081 .46067 L
.4398 .45933 L
.4396 .45907 L
.4384 .45746 L
.4382 .45717 L
.43736 .45586 L
.43659 .45492 L
.43588 .45425 L
.43499 .45306 L
.43466 .45265 L
.43345 .45104 L
.43338 .45095 L
.43232 .44943 L
.43178 .44884 L
.43139 .44783 L
.43017 .44672 L
.42973 .44622 L
.42857 .44466 L
.42852 .44462 L
.42733 .44301 L
.42696 .44255 L
.42629 .44141 L
.42536 .44035 L
.42486 .4398 L
.42536 .43966 L
.42696 .4396 L
.42857 .43956 L
.43005 .4398 L
.43017 .43988 L
.4313 .44141 L
.43178 .44196 L
.43271 .44301 L
.43338 .44407 L
.43379 .44462 L
.43499 .44618 L
.435 .44622 L
.43624 .44783 L
.43659 .44823 L
.43777 .44943 L
.4382 .45035 L
.43878 .45104 L
.4398 .45247 L
.43992 .45265 L
.44117 .45425 L
.44141 .45431 L
.44239 .45586 L
.44301 .45646 L
.4438 .45746 L
.44462 .45867 L
.44488 .45907 L
.4461 .46067 L
.44622 .46083 L
.44731 .46228 L
.44783 .46295 L
.44886 .46388 L
.44943 .46504 L
.44986 .46549 L
.45103 .46709 L
.45104 .4671 L
.45224 .4687 L
.45104 .46979 L
.44943 .46978 L
.44801 .4703 L
.44939 .47191 L
.44943 .47205 L
.45061 .47351 L
.45104 .47407 L
.45225 .47512 L
.45265 .47612 L
.45324 .47672 L
.45425 .47821 L
.45435 .47833 L
.45554 .47993 L
.45586 .48019 L
.45715 .48154 L
.45746 .48234 L
.45813 .48314 L
.45907 .48453 L
.45923 .48475 L
.4606 .48636 L
.46067 .48666 L
.46171 .48796 L
.46228 .48884 L
.46283 .48957 L
.46388 .49102 L
.46399 .49117 L
.46518 .49278 L
.46549 .49322 L
.4663 .49438 L
.46709 .49542 L
.4673 .49599 L
.46865 .49759 L
.4687 .49765 L
.46957 .4992 L
.4703 .49995 L
.47108 .5008 L
.47191 .50194 L
.47228 .50241 L
.47344 .50401 L
.47351 .5041 L
.47473 .50562 L
.47512 .50614 L
.47598 .50722 L
.47672 .50823 L
.47721 .50883 L
.47833 .51033 L
.47841 .51043 L
.47947 .51204 L
.47993 .51261 L
.48092 .51364 L
.48154 .51447 L
.48216 .51525 L
.48314 .51657 L
.48338 .51686 L
.48455 .51846 L
.48475 .51872 L
.48551 .52007 L
.48636 .52107 L
.4871 .52167 L
.48796 .52282 L
.48832 .52328 L
.48953 .52488 L
.48957 .52493 L
.49062 .52649 L
.49117 .52717 L
.49203 .52809 L
.49278 .52909 L
.49326 .5297 L
.49438 .53119 L
.49447 .5313 L
.49563 .53291 L
.49599 .53336 L
.49662 .53451 L
.49759 .53562 L
.49819 .53612 L
.4992 .53746 L
.4994 .53772 L
.50061 .53933 L
.5008 .53959 L
.50168 .54093 L
.50241 .5418 L
.50312 .54254 L
.50401 .54403 L
.50434 .54414 L
.50556 .54575 L
.50562 .54584 L
.5067 .54735 L
.50722 .54801 L
.50769 .54896 L
.50883 .55021 L
.50927 .55057 L
.51043 .55211 L
.51048 .55217 L
.51169 .55378 L
.51204 .55424 L
.51276 .55538 L
.51364 .55641 L
.5142 .55699 L
.51525 .55852 L
.51541 .55859 L
.51667 .5602 L
.51686 .56049 L
.51779 .5618 L
.51846 .56263 L
.51879 .56341 L
.52007 .56477 L
.52035 .56501 L
.52161 .56662 L
.52167 .56675 L
.52279 .56822 L
.52328 .56887 L
.52385 .56983 L
.52488 .57101 L
.52527 .57143 L
.52649 .57303 L
.52649 .57304 L
.52778 .57464 L
.52809 .57511 L
.52888 .57625 L
.5297 .57725 L
.52992 .57785 L
.5313 .57934 L
.53142 .57946 L
.53277 .58106 L
.53291 .58136 L
.53389 .58267 L
.53451 .58349 L
.53497 .58428 L
.53612 .58561 L
.53635 .58588 L
.53758 .58749 L
.53772 .58762 L
.5389 .58909 L
.53933 .58973 L
.53999 .5907 L
.54093 .59186 L
.54107 .5923 L
.54251 .59391 L
.54254 .59392 L
.54391 .59551 L
.54414 .59596 L
.545 .59712 L
.54575 .59811 L
.54609 .59872 L
.54735 .60023 L
.54744 .60033 L
.54895 .60193 L
.54896 .60219 L
.55001 .60354 L
.55057 .60434 L
.55109 .60514 L
.55217 .60649 L
.55224 .60675 L
.55359 .60835 L
.55378 .60843 L
.55505 .60996 L
.55538 .61056 L
.5561 .61156 L
.55699 .61274 L
.55721 .61317 L
.55851 .61477 L
.55859 .61487 L
.56014 .61638 L
.5602 .61676 L
.56111 .61799 L
.5618 .61898 L
.56219 .61959 L
.56341 .62115 L
.56342 .6212 L
.56466 .6228 L
.56501 .62292 L
.56616 .62441 L
.56662 .62519 L
.56718 .62601 L
.56822 .62741 L
.56833 .62762 L
.56958 .62922 L
.56983 .62954 L
.57127 .63083 L
.57143 .63137 L
.57219 .63243 L
.57304 .63366 L
.57328 .63404 L
.5745 .63564 L
.57464 .63582 L
.57572 .63725 L
.57625 .63792 L
.57724 .63885 L
.57785 .63985 L
.57827 .64046 L
.57946 .64204 L
.57947 .64206 L
.58072 .64367 L
.58106 .6441 L
.58239 .64527 L
.58267 .6459 L
.58342 .64688 L
.58428 .648 L
.58461 .64848 L
.58588 .64998 L
.58591 .65009 L
.58746 .6517 L
.58749 .65179 L
.58882 .6533 L
.58909 .65362 L
.59015 .65491 L
.5907 .65545 L
.59144 .65651 L
.5923 .65727 L
.59302 .65812 L
.59391 .65913 L
.59442 .65972 L
.59551 .66111 L
.59573 .66133 L
.59679 .66293 L
.59712 .66347 L
.59732 .66454 L
.59712 .66613 L
.59709 .66614 L
.59551 .66631 L
.59443 .66614 L
.59391 .66607 L
.5923 .66584 L
.5907 .66576 L
.58909 .66583 L
.58749 .66592 L
.58588 .66595 L
.58428 .66594 L
.58267 .66592 L
.58106 .66591 L
.57946 .6659 L
.57785 .66588 L
.57625 .66585 L
.57464 .66582 L
.57304 .66577 L
.57143 .66571 L
.56983 .66563 L
.56822 .66551 L
.56662 .66536 L
.56501 .66516 L
.56341 .66489 L
.56181 .66454 L
.5618 .66453 L
.5602 .66405 L
.55859 .66345 L
.55743 .66293 L
.55699 .66271 L
.55538 .66185 L
.55452 .66133 L
.55378 .66085 L
.55217 .65975 L
.55214 .65972 L
.55057 .65854 L
.55004 .65812 L
.54896 .65722 L
.54813 .65651 L
.54735 .65581 L
.54638 .65491 L
.54575 .6543 L
.54476 .6533 L
.54414 .65266 L
.54326 .6517 L
.54254 .65087 L
.54189 .65009 L
.54093 .64887 L
.54066 .64848 L
.53959 .64688 L
.53933 .64648 L
.53873 .64527 L
.53815 .64367 L
.53796 .64206 L
.53846 .64046 L
.53933 .63939 L
.54042 .63885 L
.54093 .63862 L
.54254 .63811 L
.54414 .63778 L
.54575 .63758 L
.54735 .63746 L
.54896 .63733 L
.54967 .63725 L
.55057 .63711 L
.55217 .63686 L
.55378 .63696 L
.55486 .63725 L
.55538 .63741 L
.55699 .638 L
.55859 .63847 L
.55998 .63725 L
.55946 .63564 L
.55859 .63462 L
.55818 .63404 L
.55701 .63243 L
.55699 .63239 L
.55569 .63083 L
.55538 .63025 L
.55453 .62922 L
.55378 .62813 L
.5534 .62762 L
.55217 .6265 L
.55175 .62601 L
.55057 .62453 L
.55046 .62441 L
.54918 .6228 L
.54896 .62248 L
.54804 .6212 L
.54735 .62026 L
.54654 .61959 L
.54575 .61857 L
.54527 .61799 L
.54414 .61651 L
.54403 .61638 L
.54285 .61477 L
.54254 .61433 L
.54186 .61317 L
.54093 .61242 L
.54025 .61156 L
.53933 .61033 L
.53903 .60996 L
.53782 .60835 L
.53772 .6082 L
.53675 .60675 L
.53612 .60586 L
.5353 .60514 L
.53451 .60409 L
.53408 .60354 L
.53291 .60198 L
.53287 .60193 L
.53172 .60033 L
.5313 .59973 L
.53077 .59872 L
.5297 .59782 L
.52914 .59712 L
.52809 .59572 L
.52793 .59551 L
.52673 .59391 L
.52649 .59355 L
.52568 .5923 L
.52488 .59122 L
.52421 .5907 L
.52328 .58945 L
.52299 .58909 L
.52177 .58749 L
.52167 .58732 L
.52065 .58588 L
.52007 .58508 L
.51969 .58428 L
.51846 .58318 L
.51806 .58267 L
.51686 .58107 L
.51685 .58106 L
.51565 .57946 L
.51525 .57889 L
.5146 .57785 L
.51364 .57663 L
.51313 .57625 L
.51204 .57481 L
.51191 .57464 L
.51067 .57304 L
.51043 .57267 L
.50956 .57143 L
.50883 .57046 L
.50859 .56983 L
.50722 .56853 L
.50698 .56822 L
.50571 .56662 L
.50562 .56642 L
.50455 .56501 L
.50401 .56425 L
.5035 .56341 L
.50241 .56207 L
.50205 .5618 L
.50081 .5602 L
.5008 .56016 L
.49956 .55859 L
.4992 .55803 L
.49846 .55699 L
.49759 .55586 L
.49745 .55538 L
.49599 .5538 L
.4959 .55378 L
.49457 .55217 L
.49438 .55178 L
.49345 .55057 L
.49278 .54964 L
.49238 .54896 L
.49117 .54752 L
.49097 .54735 L
.48959 .54575 L
.48957 .54553 L
.48845 .54414 L
.48796 .5434 L
.48736 .54254 L
.48636 .54127 L
.48628 .54093 L
.48482 .53933 L
.48475 .53926 L
.48343 .53772 L
.48314 .53716 L
.48235 .53612 L
.48154 .53503 L
.48126 .53451 L
.47993 .53295 L
.47989 .53291 L
.4784 .5313 L
.47833 .53092 L
.47734 .5297 L
.47672 .52878 L
.47625 .52809 L
.47512 .52667 L
.47509 .52649 L
.47374 .52488 L
.47351 .52467 L
.47231 .52328 L
.47191 .52254 L
.47124 .52167 L
.4703 .52041 L
.47012 .52007 L
.46881 .51846 L
.4687 .51839 L
.46723 .51686 L
.46709 .51631 L
.46623 .51525 L
.46549 .51416 L
.46514 .51364 L
.46388 .51205 L
.46388 .51204 L
.46266 .51043 L
.46228 .51009 L
.46119 .50883 L
.46067 .50792 L
.46015 .50722 L
.45907 .50578 L
.45898 .50562 L
.45773 .50401 L
.45746 .50387 L
.4561 .50241 L
.45586 .5017 L
.45514 .5008 L
.45425 .49953 L
.45403 .4992 L
.4528 .49759 L
.45265 .4974 L
.45158 .49599 L
.45104 .49551 L
.4501 .49438 L
.44943 .49329 L
.44906 .49278 L
.44786 .49117 L
.44783 .49113 L
.44665 .48957 L
.44622 .48935 L
.445 .48796 L
.44462 .48708 L
.44406 .48636 L
.44301 .48487 L
.44293 .48475 L
.44172 .48314 L
.44141 .48275 L
.4405 .48154 L
.4398 .4809 L
.43903 .47993 L
.4382 .47863 L
.43798 .47833 L
.43679 .47672 L
.43659 .47648 L
.43557 .47512 L
.43499 .47437 L
.43394 .47351 L
.43338 .47242 L
.433 .47191 L
.43185 .4703 L
.43178 .47021 L
.43064 .4687 L
.43017 .4681 L
.42942 .46709 L
.42857 .46628 L
.42797 .46549 L
.42696 .46396 L
.4269 .46388 L
.42571 .46228 L
.42536 .46184 L
.42449 .46067 L
.42375 .45975 L
.42277 .45907 L
.42215 .4578 L
.4219 .45746 L
.42075 .45586 L
.42054 .4556 L
.41953 .45425 L
.41894 .4535 L
.41829 .45265 L
.41733 .45144 L
.41703 .45104 L
.41577 .44943 L
.41572 .44939 L
.41456 .44783 L
.41412 .44728 L
.41334 .44622 L
.41251 .44519 L
.4121 .44462 L
.41091 .44317 L
.41077 .44301 L
.40967 .44141 L
.4093 .44094 L
.4085 .4398 L
.4077 .43877 L
.40715 .4382 L
.40615 .43659 L
.40609 .43652 L
.40497 .43499 L
.40449 .43428 L
.40386 .43338 L
.40288 .43206 L
.40272 .43178 L
.4015 .43017 L
.40128 .42986 L
.40039 .42857 L
.39967 .42767 L
.39938 .42696 L
.39807 .42551 L
.39787 .42536 L
.3967 .42375 L
.39646 .42346 L
.39565 .42215 L
.39486 .42127 L
.39418 .42054 L
.39325 .41913 L
.39297 .41894 L
.39178 .41733 L
.39165 .4172 L
.3907 .41572 L
.39004 .41515 L
.38927 .41412 L
.38844 .41318 L
.38805 .41251 L
.38686 .41091 L
.38844 .40941 L
.39004 .40943 L
.39146 .4093 L
.39004 .40827 L
.38965 .4077 L
.38844 .4061 L
.38843 .40609 L
.38724 .40449 L
.38683 .40404 L
.3862 .40288 L
.38523 .40195 L
.3847 .40128 L
.38362 .39985 L
.38349 .39967 L
.38225 .39807 L
.38201 .39772 L
.38115 .39646 L
.38041 .39556 L
.38021 .39486 L
.3788 .39344 L
.37855 .39325 L
.3773 .39165 L
.3772 .39151 L
.37614 .39004 L
.37559 .38942 L
.37511 .38844 L
.37399 .3873 L
.37363 .38683 L
.37239 .38523 L
.37238 .38519 L
.37116 .38362 L
.37078 .38306 L
.37008 .38201 L
.36917 .3809 L
.36909 .38041 L
F
.212 .95 1 r
.36917 .41279 m
.37069 .41412 L
.37078 .41419 L
.37227 .41572 L
.37238 .41583 L
.37376 .41733 L
.37399 .41757 L
.3752 .41894 L
.37559 .41916 L
.3766 .42054 L
.3772 .42119 L
.37855 .42215 L
.3788 .42315 L
.3794 .42375 L
.38041 .4251 L
.38062 .42536 L
.38199 .42696 L
.38201 .42698 L
.38331 .42857 L
.38362 .42895 L
.38477 .43017 L
.38523 .43099 L
.38587 .43178 L
.38683 .43304 L
.38703 .43338 L
.38844 .43498 L
.38847 .43499 L
.38996 .43659 L
.39004 .43698 L
.39105 .4382 L
.39165 .43908 L
.39216 .4398 L
.39325 .44117 L
.39328 .44141 L
.3948 .44301 L
.39486 .44309 L
.39615 .44462 L
.39646 .44518 L
.39726 .44622 L
.39807 .4473 L
.39835 .44783 L
.39967 .44937 L
.39981 .44943 L
.4012 .45104 L
.40128 .45134 L
.40233 .45265 L
.40288 .45346 L
.40342 .45425 L
.40449 .45558 L
.4045 .45586 L
.40602 .45746 L
.40609 .45754 L
.40737 .45907 L
.4077 .45965 L
.40847 .46067 L
.4093 .46178 L
.40955 .46228 L
.41091 .46383 L
.41098 .46388 L
.4124 .46549 L
.41251 .46586 L
.4135 .46709 L
.41412 .46799 L
.41459 .4687 L
.41572 .4701 L
.41593 .4703 L
.41716 .47191 L
.41733 .4721 L
.41852 .47351 L
.41894 .47421 L
.41961 .47512 L
.42054 .47634 L
.42072 .47672 L
.4221 .47833 L
.42215 .47837 L
.42357 .47993 L
.42375 .48044 L
.42462 .48154 L
.42536 .48258 L
.42572 .48314 L
.42696 .48467 L
.42703 .48475 L
.42826 .48636 L
.42857 .48668 L
.42965 .48796 L
.43017 .48882 L
.43072 .48957 L
.43178 .49094 L
.43188 .49117 L
.43318 .49278 L
.43338 .49293 L
.43471 .49438 L
.43499 .49505 L
.43572 .49599 L
.43659 .49721 L
.43684 .49759 L
.43811 .4992 L
.4382 .49921 L
.43933 .5008 L
.4398 .50128 L
.44074 .50241 L
.44141 .50346 L
.44181 .50401 L
.44301 .5056 L
.44302 .50562 L
.44424 .50722 L
.44462 .5075 L
.44581 .50883 L
.44622 .50971 L
.44679 .51043 L
.44783 .51189 L
.44792 .51204 L
.44915 .51364 L
.44943 .51401 L
.45036 .51525 L
.45104 .51594 L
.45178 .51686 L
.45265 .51818 L
.45284 .51846 L
.45404 .52007 L
.45425 .52033 L
.45525 .52167 L
.45586 .52215 L
.4568 .52328 L
.45746 .52448 L
.45776 .52488 L
.45891 .52649 L
.45907 .52668 L
.46011 .52809 L
.46067 .52882 L
.46132 .5297 L
.46228 .5308 L
.46266 .5313 L
.46375 .53291 L
.46388 .53308 L
.46492 .53451 L
.46549 .53525 L
.46612 .53612 L
.46709 .53719 L
.4675 .53772 L
.46851 .53933 L
.4687 .53958 L
.46965 .54093 L
.4703 .5418 L
.47081 .54254 L
.47191 .54403 L
.47199 .54414 L
.47308 .54575 L
.47351 .54635 L
.47415 .54735 L
.47512 .54877 L
.47523 .54896 L
.47609 .55057 L
.47512 .55076 L
.47491 .55057 L
.47351 .54933 L
.47326 .54896 L
.47191 .54754 L
.4716 .54735 L
.4703 .54576 L
.47029 .54575 L
.46887 .54414 L
.4687 .54395 L
.46748 .54254 L
.46709 .54213 L
.4661 .54093 L
.46549 .54017 L
.46466 .53933 L
.46388 .5382 L
.4635 .53772 L
.46228 .53624 L
.46223 .53612 L
.46079 .53451 L
.46067 .53437 L
.45933 .53291 L
.45907 .53235 L
.45823 .5313 L
.45746 .53028 L
.4571 .5297 L
.45586 .52822 L
.45561 .52809 L
.45434 .52649 L
.45425 .52636 L
.45305 .52488 L
.45265 .52428 L
.45193 .52328 L
.45104 .52214 L
.45088 .52167 L
.44943 .52027 L
.44927 .52007 L
.44797 .51846 L
.44783 .51819 L
.44682 .51686 L
.44622 .51605 L
.44575 .51525 L
.44462 .5139 L
.44425 .51364 L
.44301 .51204 L
.44301 .51203 L
.44176 .51043 L
.44141 .50991 L
.44066 .50883 L
.4398 .50775 L
.43965 .50722 L
.4382 .50566 L
.43804 .50562 L
.43674 .50401 L
.43659 .50373 L
.43561 .50241 L
.43499 .50158 L
.43455 .5008 L
.43338 .49944 L
.43307 .4992 L
.43179 .49759 L
.43178 .4975 L
.43058 .49599 L
.43017 .49538 L
.42949 .49438 L
.42857 .49324 L
.42847 .49278 L
.42696 .4912 L
.4269 .49117 L
.42558 .48957 L
.42536 .48916 L
.42447 .48796 L
.42375 .48702 L
.4234 .48636 L
.42215 .48491 L
.42196 .48475 L
.42059 .48314 L
.42054 .48291 L
.41945 .48154 L
.41894 .48079 L
.41837 .47993 L
.41733 .47866 L
.41729 .47833 L
.4158 .47672 L
.41572 .47665 L
.41444 .47512 L
.41412 .47455 L
.41335 .47351 L
.41251 .47242 L
.41226 .47191 L
.41091 .47034 L
.41087 .4703 L
.40941 .4687 L
.4093 .4683 L
.40835 .46709 L
.4077 .46617 L
.40726 .46549 L
.40609 .46405 L
.40608 .46388 L
.40473 .46228 L
.40449 .46205 L
.40333 .46067 L
.40288 .45991 L
.40227 .45907 L
.40128 .45777 L
.40113 .45746 L
.39982 .45586 L
.39967 .45578 L
.39827 .45425 L
.39807 .45366 L
.39728 .45265 L
.39646 .45149 L
.39618 .45104 L
.39492 .44943 L
.39486 .44936 L
.39371 .44783 L
.39325 .44742 L
.39227 .44622 L
.39165 .4452 L
.39123 .44462 L
.39004 .44303 L
.39003 .44301 L
.38883 .44141 L
.38844 .44122 L
.38722 .4398 L
.38683 .43891 L
.38629 .4382 L
.38523 .43668 L
.38517 .43659 L
.38398 .43499 L
.38362 .43452 L
.38278 .43338 L
.38201 .43261 L
.38138 .43178 L
.38041 .43026 L
.38035 .43017 L
.37919 .42857 L
.3788 .42807 L
.37801 .42696 L
.3772 .42589 L
.37652 .42536 L
.37563 .42375 L
.37559 .4237 L
.3745 .42215 L
.37399 .42145 L
.37336 .42054 L
.37238 .41918 L
.37222 .41894 L
.37114 .41733 L
.37078 .41681 L
.37012 .41572 L
.36917 .41425 L
.3691 .41412 L
F
0 .71 1 r
.36917 .42625 m
.36988 .42696 L
.37078 .42779 L
.37144 .42857 L
.37238 .42956 L
.37289 .43017 L
.37399 .43141 L
.37428 .43178 L
.37559 .43327 L
.37565 .43338 L
.37696 .43499 L
.3772 .43526 L
.37827 .43659 L
.3788 .43722 L
.37957 .4382 L
.38041 .4392 L
.38088 .4398 L
.38201 .44113 L
.38235 .44141 L
.38346 .44301 L
.38362 .44321 L
.38471 .44462 L
.38523 .44524 L
.38598 .44622 L
.38683 .44701 L
.38726 .44783 L
.38844 .44928 L
.38859 .44943 L
.38977 .45104 L
.39004 .45137 L
.39101 .45265 L
.39165 .45343 L
.39227 .45425 L
.39325 .45537 L
.39376 .45586 L
.39477 .45746 L
.39486 .45757 L
.39599 .45907 L
.39646 .45966 L
.39722 .46067 L
.39807 .46144 L
.39847 .46228 L
.39967 .46381 L
.39974 .46388 L
.40091 .46549 L
.40128 .46595 L
.40213 .46709 L
.40288 .46806 L
.40336 .4687 L
.40449 .47009 L
.40469 .4703 L
.40578 .47191 L
.40609 .4723 L
.40697 .47351 L
.4077 .47445 L
.40818 .47512 L
.4093 .47646 L
.40941 .47672 L
.41057 .47833 L
.41091 .47876 L
.41173 .47993 L
.41251 .48096 L
.41292 .48154 L
.41412 .48314 L
.41412 .48314 L
.4152 .48475 L
.41572 .48545 L
.4163 .48636 L
.41733 .48779 L
.41743 .48796 L
.41733 .48921 L
.41619 .48796 L
.41572 .4875 L
.41474 .48636 L
.41412 .48568 L
.41333 .48475 L
.41251 .48382 L
.41195 .48314 L
.41091 .48214 L
.4106 .48154 L
.4093 .47997 L
.40926 .47993 L
.40797 .47833 L
.4077 .478 L
.40667 .47672 L
.40609 .47603 L
.40536 .47512 L
.40449 .47418 L
.4036 .47351 L
.40288 .47204 L
.40276 .47191 L
.40152 .4703 L
.40128 .47 L
.40025 .4687 L
.39967 .46834 L
.39898 .46709 L
.39807 .46601 L
.39755 .46549 L
.39646 .46388 L
.39646 .46388 L
.39522 .46228 L
.39486 .46182 L
.39397 .46067 L
.39325 .45995 L
.39226 .45907 L
.39165 .45771 L
.39143 .45746 L
.39025 .45586 L
.39004 .4556 L
.38902 .45425 L
.38844 .45396 L
.38778 .45265 L
.38683 .4515 L
.38641 .45104 L
.38533 .44943 L
.38523 .4493 L
.38412 .44783 L
.38362 .44718 L
.3829 .44622 L
.38201 .44526 L
.38137 .44462 L
.38048 .44301 L
.38041 .44292 L
.3793 .44141 L
.3788 .44076 L
.37811 .4398 L
.3772 .4386 L
.37691 .4382 L
.37573 .43659 L
.37559 .43641 L
.37459 .43499 L
.37399 .43418 L
.37343 .43338 L
.37238 .43194 L
.37227 .43178 L
.3712 .43017 L
.37078 .42958 L
.37015 .42857 L
.36917 .42708 L
.36911 .42696 L
F
1 .98 .538 r
.37078 .40745 m
.37097 .4077 L
.37238 .40907 L
.37291 .4093 L
.37399 .41077 L
.37418 .41091 L
.37559 .4125 L
.37561 .41251 L
.37705 .41412 L
.3772 .41428 L
.37845 .41572 L
.3788 .41618 L
.37993 .41733 L
.38041 .41814 L
.38109 .41894 L
.38201 .42014 L
.38229 .42054 L
.38362 .42194 L
.3838 .42215 L
.38516 .42375 L
.38523 .42394 L
.38636 .42536 L
.38683 .42603 L
.38749 .42696 L
.38844 .42819 L
.38897 .42857 L
.39004 .42995 L
.39022 .43017 L
.39149 .43178 L
.39165 .43203 L
.39264 .43338 L
.39325 .43421 L
.39365 .43499 L
.39486 .43607 L
.39528 .43659 L
.39646 .43814 L
.39651 .4382 L
.39772 .4398 L
.39807 .44029 L
.39879 .44141 L
.39967 .44254 L
.40027 .44301 L
.40128 .44433 L
.4015 .44462 L
.40274 .44622 L
.40288 .44645 L
.40387 .44783 L
.40449 .44865 L
.40485 .44943 L
.40609 .45056 L
.40647 .45104 L
.40769 .45265 L
.4077 .45266 L
.4089 .45425 L
.4093 .45482 L
.40995 .45586 L
.41091 .45705 L
.41142 .45746 L
.41251 .4589 L
.41264 .45907 L
.41389 .46067 L
.41412 .46103 L
.415 .46228 L
.41572 .46322 L
.41599 .46388 L
.41733 .46539 L
.41759 .46549 L
.41885 .46709 L
.41894 .46726 L
.42002 .4687 L
.42054 .46942 L
.42108 .4703 L
.42215 .47159 L
.42253 .47191 L
.42375 .47351 L
.42375 .47352 L
.42502 .47512 L
.42536 .47564 L
.42611 .47672 L
.42696 .4778 L
.42713 .47833 L
.42857 .47988 L
.42868 .47993 L
.43 .48154 L
.43017 .48188 L
.43113 .48314 L
.43178 .48402 L
.4322 .48475 L
.43338 .48615 L
.43361 .48636 L
.43497 .48796 L
.43499 .48814 L
.43613 .48957 L
.43659 .49026 L
.43722 .49117 L
.4382 .49239 L
.43829 .49278 L
.43977 .49438 L
.4398 .49442 L
.44115 .49599 L
.44141 .4965 L
.44224 .49759 L
.44301 .49864 L
.44332 .4992 L
.44462 .50073 L
.4447 .5008 L
.44617 .50241 L
.44622 .50275 L
.44725 .50401 L
.44783 .50488 L
.44833 .50562 L
.44943 .507 L
.44948 .50722 L
.45085 .50883 L
.45104 .509 L
.45228 .51043 L
.45265 .51112 L
.45334 .51204 L
.45425 .51326 L
.45446 .51364 L
.45578 .51525 L
.45586 .51529 L
.45735 .51686 L
.45746 .51735 L
.45835 .51846 L
.45907 .51951 L
.45944 .52007 L
.46067 .52163 L
.46068 .52167 L
.46192 .52328 L
.46228 .52357 L
.46339 .52488 L
.46388 .52574 L
.46443 .52649 L
.46549 .5279 L
.46559 .52809 L
.46685 .5297 L
.46709 .52978 L
.46848 .5313 L
.4687 .53196 L
.46943 .53291 L
.4703 .53416 L
.47053 .53451 L
.47177 .53612 L
.47191 .5363 L
.47298 .53772 L
.47351 .53816 L
.47447 .53933 L
.47512 .54041 L
.4755 .54093 L
.47669 .54254 L
.47672 .54258 L
.4779 .54414 L
.47833 .5447 L
.47956 .54575 L
.47993 .54663 L
.48048 .54735 L
.48154 .54887 L
.4816 .54896 L
.4828 .55057 L
.48314 .551 L
.48401 .55217 L
.48475 .55283 L
.48547 .55378 L
.48636 .55516 L
.48651 .55538 L
.48769 .55699 L
.48796 .55733 L
.48889 .55859 L
.48957 .55946 L
.4905 .5602 L
.49117 .56148 L
.49141 .5618 L
.49254 .56341 L
.49278 .56371 L
.49373 .56501 L
.49438 .56586 L
.49493 .56662 L
.49599 .56787 L
.49624 .56822 L
.49732 .56983 L
.49759 .57018 L
.49847 .57143 L
.4992 .5724 L
.49964 .57304 L
.5008 .57461 L
.50085 .57464 L
.50191 .57625 L
.50241 .57694 L
.50298 .57785 L
.50401 .57937 L
.50406 .57946 L
.50489 .58106 L
.50401 .58144 L
.50359 .58106 L
.50241 .58025 L
.50188 .57946 L
.5008 .57836 L
.50032 .57785 L
.4992 .57658 L
.49879 .57625 L
.49759 .57478 L
.49746 .57464 L
.49601 .57304 L
.49599 .57301 L
.49462 .57143 L
.49438 .57112 L
.49314 .56983 L
.49278 .56916 L
.492 .56822 L
.49117 .56712 L
.49086 .56662 L
.48957 .56537 L
.48927 .56501 L
.48797 .56341 L
.48796 .56337 L
.4867 .5618 L
.48636 .56129 L
.48558 .5602 L
.48475 .55912 L
.48409 .55859 L
.48314 .55737 L
.48284 .55699 L
.48158 .55538 L
.48154 .55531 L
.4804 .55378 L
.47993 .55314 L
.47937 .55217 L
.47833 .55125 L
.47778 .55057 L
.47672 .54917 L
.47655 .54896 L
.47533 .54735 L
.47512 .54705 L
.47423 .54575 L
.47351 .54481 L
.47279 .54414 L
.47191 .54298 L
.47156 .54254 L
.47033 .54093 L
.4703 .54088 L
.46917 .53933 L
.4687 .53869 L
.46816 .53772 L
.46709 .53641 L
.46659 .53612 L
.46549 .53466 L
.46537 .53451 L
.46415 .53291 L
.46388 .53252 L
.46308 .5313 L
.46228 .53029 L
.46164 .5297 L
.46067 .52841 L
.46042 .52809 L
.45918 .52649 L
.45907 .5263 L
.45804 .52488 L
.45746 .52412 L
.45704 .52328 L
.45586 .5219 L
.45547 .52167 L
.45426 .52007 L
.45425 .52005 L
.45303 .51846 L
.45265 .51791 L
.45196 .51686 L
.45104 .51572 L
.45054 .51525 L
.44943 .51379 L
.44932 .51364 L
.44805 .51204 L
.44783 .51168 L
.44693 .51043 L
.44622 .50952 L
.44592 .50883 L
.44462 .50738 L
.44438 .50722 L
.44309 .50562 L
.44301 .50543 L
.44193 .50401 L
.44141 .50329 L
.44085 .50241 L
.4398 .50115 L
.43945 .5008 L
.43823 .4992 L
.4382 .49916 L
.43693 .49759 L
.43659 .49706 L
.43583 .49599 L
.43499 .49492 L
.43478 .49438 L
.43338 .49284 L
.4333 .49278 L
.43193 .49117 L
.43178 .49081 L
.43082 .48957 L
.43017 .48868 L
.42974 .48796 L
.42857 .48656 L
.42837 .48636 L
.42715 .48475 L
.42696 .48455 L
.42581 .48314 L
.42536 .48244 L
.42472 .48154 L
.42375 .48031 L
.42362 .47993 L
.42222 .47833 L
.42215 .47827 L
.42078 .47672 L
.42054 .4762 L
.41972 .47512 L
.41894 .47406 L
.41862 .47351 L
.41733 .47195 L
.41729 .47191 L
.41607 .4703 L
.41572 .46996 L
.4147 .4687 L
.41412 .46781 L
.41362 .46709 L
.41251 .46568 L
.41245 .46549 L
.41114 .46388 L
.41091 .46372 L
.40966 .46228 L
.4093 .46158 L
.40862 .46067 L
.4077 .45942 L
.4075 .45907 L
.40622 .45746 L
.40609 .4573 L
.40455 .45586 L
.40449 .45536 L
.40361 .45425 L
.40288 .45317 L
.40253 .45265 L
.4013 .45104 L
.40128 .45102 L
.40008 .44943 L
.39967 .44917 L
.39856 .44783 L
.39807 .44693 L
.39755 .44622 L
.39646 .44473 L
.3964 .44462 L
.39517 .44301 L
.39486 .44261 L
.39344 .44141 L
.39325 .44071 L
.39256 .4398 L
.39165 .43846 L
.39147 .4382 L
.39027 .43659 L
.39004 .4363 L
.38906 .43499 L
.38844 .43453 L
.38755 .43338 L
.38683 .43217 L
.38655 .43178 L
.38539 .43017 L
.38523 .42997 L
.38419 .42857 L
.38362 .42783 L
.38249 .42696 L
.38201 .42587 L
.38165 .42536 L
.38054 .42375 L
.38041 .42358 L
.37937 .42215 L
.3788 .42141 L
.37817 .42054 L
.3772 .41948 L
.37681 .41894 L
.37578 .41733 L
.37559 .41708 L
.37464 .41572 L
.37399 .41485 L
.37349 .41412 L
.37238 .41261 L
.37225 .41251 L
.37125 .41091 L
.37078 .41023 L
.37021 .4093 L
.36919 .4077 L
F
1 .83 .005 r
.37078 .42108 m
.37178 .42215 L
.37238 .42275 L
.37327 .42375 L
.37399 .42452 L
.3747 .42536 L
.37559 .42612 L
.3761 .42696 L
.3772 .4282 L
.37766 .42857 L
.3788 .43016 L
.37882 .43017 L
.38013 .43178 L
.38041 .4321 L
.38145 .43338 L
.38201 .43394 L
.38276 .43499 L
.38362 .43602 L
.38418 .43659 L
.38523 .43805 L
.38535 .4382 L
.38663 .4398 L
.38683 .43992 L
.38791 .44141 L
.38844 .442 L
.38947 .44301 L
.39004 .44409 L
.39049 .44462 L
.39165 .44614 L
.3917 .44622 L
.39298 .44783 L
.39325 .44807 L
.39424 .44943 L
.39486 .45018 L
.39562 .45104 L
.39646 .45228 L
.39674 .45265 L
.398 .45425 L
.39807 .45427 L
.39924 .45586 L
.39967 .45631 L
.40076 .45746 L
.40128 .45844 L
.40178 .45907 L
.40288 .46054 L
.40296 .46067 L
.40422 .46228 L
.40449 .46249 L
.40596 .46388 L
.40609 .46462 L
.40683 .46549 L
.4077 .46676 L
.40794 .46709 L
.40918 .4687 L
.4093 .46871 L
.41041 .4703 L
.41091 .47082 L
.41191 .47191 L
.41251 .47299 L
.41293 .47351 L
.41412 .47512 L
.41412 .47512 L
.41534 .47672 L
.41572 .477 L
.41708 .47833 L
.41733 .47922 L
.41793 .47993 L
.41894 .48139 L
.41904 .48154 L
.42025 .48314 L
.42054 .48351 L
.42147 .48475 L
.42215 .48544 L
.42296 .48636 L
.42375 .48768 L
.42397 .48796 L
.42515 .48957 L
.42536 .48983 L
.42635 .49117 L
.42696 .49163 L
.42805 .49278 L
.42857 .49398 L
.42889 .49438 L
.43002 .49599 L
.43017 .49619 L
.43121 .49759 L
.43178 .49833 L
.43242 .4992 L
.43338 .50031 L
.43379 .5008 L
.43484 .50241 L
.43499 .5026 L
.43601 .50401 L
.43659 .50477 L
.4372 .50562 L
.4382 .50672 L
.43862 .50722 L
.43958 .50883 L
.4398 .50912 L
.44072 .51043 L
.44141 .51135 L
.44188 .51204 L
.44301 .51357 L
.44306 .51364 L
.44414 .51525 L
.44462 .51592 L
.44521 .51686 L
.44622 .51835 L
.44629 .51846 L
.44622 .51986 L
.4448 .51846 L
.44462 .5183 L
.44329 .51686 L
.44301 .51657 L
.44184 .51525 L
.44141 .51477 L
.44043 .51364 L
.4398 .51331 L
.43904 .51204 L
.4382 .5111 L
.43727 .51043 L
.43659 .50912 L
.43631 .50883 L
.43502 .50722 L
.43499 .50718 L
.4337 .50562 L
.43338 .50533 L
.43239 .50401 L
.43178 .50327 L
.43094 .50241 L
.43017 .50124 L
.42983 .5008 L
.42857 .49925 L
.42854 .4992 L
.42723 .49759 L
.42696 .4973 L
.42565 .49599 L
.42536 .49523 L
.42466 .49438 L
.42375 .49316 L
.42351 .49278 L
.42215 .49117 L
.42215 .49117 L
.42089 .48957 L
.42054 .48915 L
.41951 .48796 L
.41894 .48705 L
.41843 .48636 L
.41733 .48497 L
.41724 .48475 L
.41587 .48314 L
.41572 .48299 L
.41438 .48154 L
.41412 .4809 L
.41336 .47993 L
.41251 .47879 L
.41223 .47833 L
.41091 .47674 L
.41089 .47672 L
.40965 .47512 L
.4093 .47472 L
.40829 .47351 L
.4077 .47259 L
.40721 .47191 L
.40609 .47049 L
.40603 .4703 L
.4047 .4687 L
.40449 .4685 L
.40321 .46709 L
.40288 .46637 L
.4022 .46549 L
.40128 .46424 L
.40107 .46388 L
.39977 .46228 L
.39967 .46223 L
.39854 .46067 L
.39807 .46014 L
.39718 .45907 L
.39646 .45798 L
.3961 .45746 L
.39486 .45586 L
.39486 .45586 L
.39364 .45425 L
.39325 .4539 L
.39213 .45265 L
.39165 .4517 L
.39115 .45104 L
.39004 .44953 L
.38999 .44943 L
.38877 .44783 L
.38844 .4477 L
.38756 .44622 L
.38683 .4454 L
.3862 .44462 L
.38523 .44316 L
.38512 .44301 L
.38393 .44141 L
.38362 .441 L
.38274 .4398 L
.38201 .43909 L
.38127 .4382 L
.38041 .43672 L
.38031 .43659 L
.37916 .43499 L
.3788 .43452 L
.37799 .43338 L
.3772 .43233 L
.37637 .43178 L
.37563 .43017 L
.37559 .43013 L
.37451 .42857 L
.37399 .42786 L
.37337 .42696 L
.37238 .42558 L
.37223 .42536 L
.37118 .42375 L
.37078 .42317 L
.37017 .42215 L
F
0 .7 1 r
.37078 .42798 m
.3713 .42857 L
.37238 .42969 L
.37279 .43017 L
.37399 .43151 L
.3742 .43178 L
.37558 .43338 L
.37559 .4334 L
.37689 .43499 L
.3772 .43534 L
.3782 .43659 L
.3788 .4373 L
.37952 .4382 L
.38041 .43927 L
.38083 .4398 L
.38201 .4412 L
.38226 .44141 L
.38341 .44301 L
.38362 .44327 L
.38467 .44462 L
.38523 .44529 L
.38594 .44622 L
.38683 .44707 L
.38722 .44783 L
.38844 .44934 L
.38853 .44943 L
.38973 .45104 L
.39004 .45142 L
.39098 .45265 L
.39165 .45348 L
.39223 .45425 L
.39325 .45543 L
.3937 .45586 L
.39473 .45746 L
.39486 .45761 L
.39595 .45907 L
.39646 .45971 L
.39719 .46067 L
.39807 .4615 L
.39843 .46228 L
.39967 .46387 L
.39968 .46388 L
.40088 .46549 L
.40128 .46599 L
.40209 .46709 L
.40288 .46811 L
.40332 .4687 L
.40449 .47016 L
.40462 .4703 L
.40574 .47191 L
.40609 .47236 L
.40693 .47351 L
.4077 .4745 L
.40814 .47512 L
.4093 .47656 L
.40937 .47672 L
.41052 .47833 L
.41091 .47883 L
.41168 .47993 L
.41251 .48103 L
.41286 .48154 L
.41404 .48314 L
.41412 .48324 L
.41512 .48475 L
.41572 .48558 L
.41621 .48636 L
.41572 .48735 L
.41485 .48636 L
.41412 .48557 L
.41343 .48475 L
.41251 .48372 L
.41204 .48314 L
.41091 .482 L
.41068 .48154 L
.40935 .47993 L
.4093 .47989 L
.40804 .47833 L
.4077 .47793 L
.40673 .47672 L
.40609 .47596 L
.40542 .47512 L
.40449 .4741 L
.40369 .47351 L
.40288 .47197 L
.40283 .47191 L
.40157 .4703 L
.40128 .46994 L
.4003 .4687 L
.39967 .46829 L
.39902 .46709 L
.39807 .46595 L
.3976 .46549 L
.39651 .46388 L
.39646 .46383 L
.39526 .46228 L
.39486 .46177 L
.39401 .46067 L
.39325 .4599 L
.39231 .45907 L
.39165 .45765 L
.39148 .45746 L
.39029 .45586 L
.39004 .45554 L
.38906 .45425 L
.38844 .45391 L
.38782 .45265 L
.38683 .45144 L
.38647 .45104 L
.38537 .44943 L
.38523 .44925 L
.38417 .44783 L
.38362 .44712 L
.38295 .44622 L
.38201 .44518 L
.38145 .44462 L
.38053 .44301 L
.38041 .44286 L
.37935 .44141 L
.3788 .44069 L
.37816 .4398 L
.3772 .43852 L
.37696 .4382 L
.3758 .43659 L
.37559 .43632 L
.37466 .43499 L
.37399 .43408 L
.37351 .43338 L
.37238 .43182 L
.37235 .43178 L
.37132 .43017 L
.37078 .4294 L
.3703 .42857 L
F
1 .82 .004 r
.37078 .42137 m
.37155 .42215 L
.37238 .42294 L
.37312 .42375 L
.37399 .42467 L
.37458 .42536 L
.37559 .42627 L
.376 .42696 L
.3772 .42832 L
.37752 .42857 L
.37873 .43017 L
.3788 .43026 L
.38006 .43178 L
.38041 .43219 L
.38138 .43338 L
.38201 .43401 L
.3827 .43499 L
.38362 .43609 L
.38412 .43659 L
.38523 .43811 L
.3853 .4382 L
.38658 .4398 L
.38683 .43995 L
.38786 .44141 L
.38844 .44205 L
.38943 .44301 L
.39004 .44413 L
.39046 .44462 L
.39165 .44618 L
.39168 .44622 L
.39294 .44783 L
.39325 .44811 L
.3942 .44943 L
.39486 .45022 L
.39559 .45104 L
.39646 .45232 L
.39671 .45265 L
.39797 .45425 L
.39807 .45428 L
.39922 .45586 L
.39967 .45634 L
.40074 .45746 L
.40128 .45848 L
.40176 .45907 L
.40288 .46057 L
.40294 .46067 L
.4042 .46228 L
.40449 .46251 L
.40595 .46388 L
.40609 .46465 L
.40681 .46549 L
.4077 .46679 L
.40792 .46709 L
.40916 .4687 L
.4093 .46872 L
.41038 .4703 L
.41091 .47084 L
.41189 .47191 L
.41251 .47302 L
.41291 .47351 L
.4141 .47512 L
.41412 .47515 L
.41531 .47672 L
.41572 .47702 L
.41706 .47833 L
.41733 .47925 L
.41791 .47993 L
.41894 .48142 L
.41902 .48154 L
.42023 .48314 L
.42054 .48354 L
.42145 .48475 L
.42215 .48547 L
.42293 .48636 L
.42375 .48772 L
.42394 .48796 L
.42512 .48957 L
.42536 .48987 L
.42633 .49117 L
.42696 .49166 L
.42801 .49278 L
.42857 .49403 L
.42885 .49438 L
.42998 .49599 L
.43017 .49623 L
.43117 .49759 L
.43178 .49837 L
.43238 .4992 L
.43338 .50038 L
.43374 .5008 L
.4348 .50241 L
.43499 .50266 L
.43597 .50401 L
.43659 .50483 L
.43716 .50562 L
.4382 .50683 L
.43853 .50722 L
.43952 .50883 L
.4398 .5092 L
.44066 .51043 L
.44141 .51144 L
.44181 .51204 L
.44298 .51364 L
.44301 .51369 L
.44402 .51525 L
.44462 .5161 L
.44507 .51686 L
.44462 .51807 L
.44347 .51686 L
.44301 .5164 L
.44198 .51525 L
.44141 .51463 L
.44055 .51364 L
.4398 .5132 L
.43914 .51204 L
.4382 .51099 L
.43739 .51043 L
.43659 .50902 L
.4364 .50883 L
.4351 .50722 L
.43499 .5071 L
.43377 .50562 L
.43338 .50527 L
.43245 .50401 L
.43178 .5032 L
.431 .50241 L
.43017 .50117 L
.42988 .5008 L
.42857 .4992 L
.42857 .4992 L
.42728 .49759 L
.42696 .49724 L
.42567 .49599 L
.42536 .49517 L
.4247 .49438 L
.42375 .49311 L
.42353 .49278 L
.42219 .49117 L
.42215 .49114 L
.42092 .48957 L
.42054 .4891 L
.41954 .48796 L
.41894 .48701 L
.41846 .48636 L
.41733 .48494 L
.41726 .48475 L
.4159 .48314 L
.41572 .48296 L
.4144 .48154 L
.41412 .48086 L
.41338 .47993 L
.41251 .47875 L
.41225 .47833 L
.41092 .47672 L
.41091 .47672 L
.40968 .47512 L
.4093 .47468 L
.40832 .47351 L
.4077 .47256 L
.40724 .47191 L
.40609 .47046 L
.40604 .4703 L
.40472 .4687 L
.40449 .46847 L
.40323 .46709 L
.40288 .46634 L
.40222 .46549 L
.40128 .46421 L
.40109 .46388 L
.39979 .46228 L
.39967 .46222 L
.39857 .46067 L
.39807 .46011 L
.3972 .45907 L
.39646 .45794 L
.39613 .45746 L
.39489 .45586 L
.39486 .45582 L
.39367 .45425 L
.39325 .45387 L
.39216 .45265 L
.39165 .45166 L
.39118 .45104 L
.39004 .44948 L
.39001 .44943 L
.3888 .44783 L
.38844 .44768 L
.38759 .44622 L
.38683 .44535 L
.38624 .44462 L
.38523 .44311 L
.38516 .44301 L
.38397 .44141 L
.38362 .44094 L
.38278 .4398 L
.38201 .43902 L
.38133 .4382 L
.38041 .43665 L
.38037 .43659 L
.37922 .43499 L
.3788 .43444 L
.37804 .43338 L
.3772 .43224 L
.37648 .43178 L
.3757 .43017 L
.37559 .43003 L
.37459 .42857 L
.37399 .42774 L
.37346 .42696 L
.37238 .42543 L
.37233 .42536 L
.37133 .42375 L
.37078 .42291 L
.37037 .42215 L
F
1 .97 .395 r
.37078 .3859 m
.37207 .38683 L
.37238 .38709 L
.37367 .38844 L
.37399 .38876 L
.37508 .39004 L
.37559 .39062 L
.37642 .39165 L
.3772 .39258 L
.37772 .39325 L
.3788 .39447 L
.37921 .39486 L
.38023 .39646 L
.38041 .3967 L
.3814 .39807 L
.38201 .39889 L
.38256 .39967 L
.38362 .40118 L
.38369 .40128 L
.38457 .40288 L
.38362 .40363 L
.38274 .40288 L
.38201 .40223 L
.3811 .40128 L
.38041 .4009 L
.37966 .39967 L
.3788 .39877 L
.37792 .39807 L
.3772 .39671 L
.37698 .39646 L
.37576 .39486 L
.37559 .39464 L
.37455 .39325 L
.37399 .39248 L
.37338 .39165 L
.37238 .39033 L
.37221 .39004 L
.37126 .38844 L
.37078 .38757 L
.37041 .38683 L
F
1 .66 0 r
.37078 .4348 m
.37092 .43499 L
.37078 .43559 L
.37043 .43499 L
F
0 .69 1 r
.37078 .4282 m
.37111 .42857 L
.37238 .42983 L
.37267 .43017 L
.37399 .43162 L
.37412 .43178 L
.37549 .43338 L
.37559 .4335 L
.37681 .43499 L
.3772 .43542 L
.37814 .43659 L
.3788 .43737 L
.37946 .4382 L
.38041 .43933 L
.38078 .4398 L
.38201 .44128 L
.38217 .44141 L
.38336 .44301 L
.38362 .44333 L
.38462 .44462 L
.38523 .44535 L
.3859 .44622 L
.38683 .44714 L
.38718 .44783 L
.38844 .4494 L
.38847 .44943 L
.38969 .45104 L
.39004 .45147 L
.39094 .45265 L
.39165 .45353 L
.39219 .45425 L
.39325 .45548 L
.39364 .45586 L
.3947 .45746 L
.39486 .45766 L
.39591 .45907 L
.39646 .45975 L
.39715 .46067 L
.39807 .46156 L
.3984 .46228 L
.39964 .46388 L
.39967 .46392 L
.40084 .46549 L
.40128 .46604 L
.40205 .46709 L
.40288 .46815 L
.40328 .4687 L
.40449 .47024 L
.40455 .4703 L
.4057 .47191 L
.40609 .47241 L
.40689 .47351 L
.4077 .47456 L
.4081 .47512 L
.4093 .47668 L
.40932 .47672 L
.41046 .47833 L
.41091 .47891 L
.41162 .47993 L
.41251 .48112 L
.4128 .48154 L
.41396 .48314 L
.41412 .48336 L
.41502 .48475 L
.41572 .48573 L
.4161 .48636 L
.41572 .48717 L
.41499 .48636 L
.41412 .48544 L
.41353 .48475 L
.41251 .48361 L
.41212 .48314 L
.41091 .48186 L
.41075 .48154 L
.40942 .47993 L
.4093 .4798 L
.4081 .47833 L
.4077 .47785 L
.40679 .47672 L
.40609 .47589 L
.40547 .47512 L
.40449 .47403 L
.40379 .47351 L
.40289 .47191 L
.40288 .4719 L
.40162 .4703 L
.40128 .46988 L
.40035 .4687 L
.39967 .46823 L
.39907 .46709 L
.39807 .46589 L
.39766 .46549 L
.39655 .46388 L
.39646 .46377 L
.3953 .46228 L
.39486 .46171 L
.39405 .46067 L
.39325 .45984 L
.39238 .45907 L
.39165 .45759 L
.39153 .45746 L
.39033 .45586 L
.39004 .45549 L
.3891 .45425 L
.38844 .45386 L
.38786 .45265 L
.38683 .45137 L
.38652 .45104 L
.38542 .44943 L
.38523 .44919 L
.38421 .44783 L
.38362 .44706 L
.38299 .44622 L
.38201 .4451 L
.38154 .44462 L
.38058 .44301 L
.38041 .44279 L
.37941 .44141 L
.3788 .44062 L
.37821 .4398 L
.3772 .43845 L
.37702 .4382 L
.37587 .43659 L
.37559 .43623 L
.37473 .43499 L
.37399 .43398 L
.37358 .43338 L
.37245 .43178 L
.37238 .43169 L
.37146 .43017 L
.37078 .42916 L
.37048 .42857 L
F
.156 .94 1 r
.37078 .41495 m
.37169 .41572 L
.37238 .41632 L
.37336 .41733 L
.37399 .41795 L
.37489 .41894 L
.37559 .41938 L
.37635 .42054 L
.3772 .42145 L
.37832 .42215 L
.3788 .42337 L
.37921 .42375 L
.38041 .42527 L
.38048 .42536 L
.38184 .42696 L
.38201 .42712 L
.38317 .42857 L
.38362 .42911 L
.38467 .43017 L
.38523 .43113 L
.38577 .43178 L
.38683 .43314 L
.38697 .43338 L
.38838 .43499 L
.38844 .43505 L
.38994 .43659 L
.39004 .43709 L
.39098 .4382 L
.39165 .43917 L
.3921 .4398 L
.39325 .44123 L
.39327 .44141 L
.39474 .44301 L
.39486 .44316 L
.39611 .44462 L
.39646 .44524 L
.39721 .44622 L
.39807 .44736 L
.39832 .44783 L
.39967 .44939 L
.39977 .44943 L
.40118 .45104 L
.40128 .45139 L
.40229 .45265 L
.40288 .4535 L
.40339 .45425 L
.40449 .45561 L
.4045 .45586 L
.40599 .45746 L
.40609 .45758 L
.40735 .45907 L
.4077 .45968 L
.40844 .46067 L
.4093 .46181 L
.40953 .46228 L
.41091 .46385 L
.41096 .46388 L
.41239 .46549 L
.41251 .46589 L
.41348 .46709 L
.41412 .46802 L
.41457 .4687 L
.41572 .47012 L
.41591 .4703 L
.41714 .47191 L
.41733 .47212 L
.41851 .47351 L
.41894 .47424 L
.41959 .47512 L
.42054 .47636 L
.42071 .47672 L
.42208 .47833 L
.42215 .47839 L
.42356 .47993 L
.42375 .48047 L
.42461 .48154 L
.42536 .4826 L
.42571 .48314 L
.42696 .48469 L
.42702 .48475 L
.42824 .48636 L
.42857 .4867 L
.42964 .48796 L
.43017 .48884 L
.4307 .48957 L
.43178 .49097 L
.43187 .49117 L
.43317 .49278 L
.43338 .49295 L
.4347 .49438 L
.43499 .49508 L
.43571 .49599 L
.43659 .49723 L
.43682 .49759 L
.43809 .4992 L
.4382 .49922 L
.43931 .5008 L
.4398 .50131 L
.44072 .50241 L
.44141 .50349 L
.44179 .50401 L
.44301 .50562 L
.44301 .50563 L
.44422 .50722 L
.44462 .50752 L
.44579 .50883 L
.44622 .50974 L
.44676 .51043 L
.44783 .51193 L
.4479 .51204 L
.44912 .51364 L
.44943 .51405 L
.45033 .51525 L
.45104 .51598 L
.45174 .51686 L
.45265 .51823 L
.45281 .51846 L
.454 .52007 L
.45425 .52038 L
.45521 .52167 L
.45586 .5222 L
.45676 .52328 L
.45746 .52455 L
.45771 .52488 L
.45886 .52649 L
.45907 .52675 L
.46005 .52809 L
.46067 .52889 L
.46126 .5297 L
.46228 .53091 L
.46258 .5313 L
.46367 .53291 L
.46388 .53318 L
.46484 .53451 L
.46549 .53536 L
.46603 .53612 L
.46709 .53739 L
.46734 .53772 L
.46838 .53933 L
.4687 .53975 L
.46951 .54093 L
.4703 .542 L
.47066 .54254 L
.4718 .54414 L
.47191 .54429 L
.47282 .54575 L
.47351 .54677 L
.47384 .54735 L
.47351 .54861 L
.4722 .54735 L
.47191 .54709 L
.47064 .54575 L
.4703 .54541 L
.46916 .54414 L
.4687 .54365 L
.46772 .54254 L
.46709 .54189 L
.46631 .54093 L
.46549 .53994 L
.46484 .53933 L
.46388 .53801 L
.46364 .53772 L
.46228 .53613 L
.46227 .53612 L
.46092 .53451 L
.46067 .53421 L
.4594 .53291 L
.45907 .53219 L
.45833 .5313 L
.45746 .53015 L
.45717 .5297 L
.45586 .52816 L
.45571 .52809 L
.45443 .52649 L
.45425 .52625 L
.45311 .52488 L
.45265 .52417 L
.452 .52328 L
.45104 .52207 L
.45091 .52167 L
.44943 .52018 L
.44934 .52007 L
.448 .51846 L
.44783 .51811 L
.44687 .51686 L
.44622 .51599 L
.44579 .51525 L
.44462 .51386 L
.4443 .51364 L
.44302 .51204 L
.44301 .51197 L
.44179 .51043 L
.44141 .50986 L
.44069 .50883 L
.4398 .50771 L
.43967 .50722 L
.4382 .50565 L
.43807 .50562 L
.43677 .50401 L
.43659 .50368 L
.43564 .50241 L
.43499 .50154 L
.43457 .5008 L
.43338 .49941 L
.4331 .4992 L
.4318 .49759 L
.43178 .49747 L
.43061 .49599 L
.43017 .49535 L
.42952 .49438 L
.42857 .49321 L
.42848 .49278 L
.42696 .49119 L
.42693 .49117 L
.42559 .48957 L
.42536 .48913 L
.42449 .48796 L
.42375 .48699 L
.42342 .48636 L
.42215 .48489 L
.42198 .48475 L
.4206 .48314 L
.42054 .48289 L
.41947 .48154 L
.41894 .48076 L
.41839 .47993 L
.41733 .47864 L
.41729 .47833 L
.41582 .47672 L
.41572 .47662 L
.41446 .47512 L
.41412 .47453 L
.41337 .47351 L
.41251 .47239 L
.41228 .47191 L
.41091 .47032 L
.4109 .4703 L
.40942 .4687 L
.4093 .46828 L
.40837 .46709 L
.4077 .46614 L
.40728 .46549 L
.40609 .46402 L
.40608 .46388 L
.40476 .46228 L
.40449 .46203 L
.40335 .46067 L
.40288 .45988 L
.40229 .45907 L
.40128 .45773 L
.40115 .45746 L
.39985 .45586 L
.39967 .45576 L
.39828 .45425 L
.39807 .45363 L
.39731 .45265 L
.39646 .45145 L
.3962 .45104 L
.39495 .44943 L
.39486 .44931 L
.39374 .44783 L
.39325 .44738 L
.39231 .44622 L
.39165 .44515 L
.39127 .44462 L
.39007 .44301 L
.39004 .44297 L
.38887 .44141 L
.38844 .44118 L
.38726 .4398 L
.38683 .43884 L
.38635 .4382 L
.38523 .43659 L
.38523 .43659 L
.38404 .43499 L
.38362 .43443 L
.38285 .43338 L
.38201 .43249 L
.38147 .43178 L
.38044 .43017 L
.38041 .43013 L
.37928 .42857 L
.3788 .42793 L
.37811 .42696 L
.3772 .42573 L
.3767 .42536 L
.37578 .42375 L
.37559 .4235 L
.37467 .42215 L
.37399 .4212 L
.37355 .42054 L
.37244 .41894 L
.37238 .41886 L
.37147 .41733 L
.37078 .41621 L
.37055 .41572 L
F
1 .81 .003 r
.37078 .42178 m
.37122 .42215 L
.37238 .42315 L
.37294 .42375 L
.37399 .42483 L
.37445 .42536 L
.37559 .42644 L
.37589 .42696 L
.3772 .42845 L
.37736 .42857 L
.37864 .43017 L
.3788 .43035 L
.37998 .43178 L
.38041 .43227 L
.38132 .43338 L
.38201 .43408 L
.38264 .43499 L
.38362 .43616 L
.38406 .43659 L
.38523 .43816 L
.38525 .4382 L
.38654 .4398 L
.38683 .43998 L
.38782 .44141 L
.38844 .4421 L
.38939 .44301 L
.39004 .44418 L
.39042 .44462 L
.39165 .44622 L
.39165 .44622 L
.39291 .44783 L
.39325 .44814 L
.39417 .44943 L
.39486 .45026 L
.39556 .45104 L
.39646 .45235 L
.39668 .45265 L
.39794 .45425 L
.39807 .4543 L
.39919 .45586 L
.39967 .45638 L
.40071 .45746 L
.40128 .45851 L
.40173 .45907 L
.40288 .4606 L
.40293 .46067 L
.40417 .46228 L
.40449 .46253 L
.40593 .46388 L
.40609 .46468 L
.40679 .46549 L
.4077 .46682 L
.4079 .46709 L
.40913 .4687 L
.4093 .46872 L
.41036 .4703 L
.41091 .47087 L
.41187 .47191 L
.41251 .47305 L
.41288 .47351 L
.41408 .47512 L
.41412 .47517 L
.41529 .47672 L
.41572 .47704 L
.41704 .47833 L
.41733 .47928 L
.41788 .47993 L
.41894 .48146 L
.41899 .48154 L
.4202 .48314 L
.42054 .48358 L
.42142 .48475 L
.42215 .48551 L
.4229 .48636 L
.42375 .48775 L
.42391 .48796 L
.42509 .48957 L
.42536 .4899 L
.4263 .49117 L
.42696 .4917 L
.42798 .49278 L
.42857 .49407 L
.42882 .49438 L
.42995 .49599 L
.43017 .49627 L
.43114 .49759 L
.43178 .49842 L
.43235 .4992 L
.43338 .50044 L
.43368 .5008 L
.43475 .50241 L
.43499 .50271 L
.43592 .50401 L
.43659 .50489 L
.43711 .50562 L
.4382 .50694 L
.43843 .50722 L
.43946 .50883 L
.4398 .50929 L
.44059 .51043 L
.44141 .51154 L
.44174 .51204 L
.44288 .51364 L
.44301 .51384 L
.4439 .51525 L
.44462 .51631 L
.44492 .51686 L
.44462 .5178 L
.44368 .51686 L
.44301 .51622 L
.44213 .51525 L
.44141 .51449 L
.44066 .51364 L
.4398 .51307 L
.43925 .51204 L
.4382 .51088 L
.43754 .51043 L
.43659 .50892 L
.4365 .50883 L
.43517 .50722 L
.43499 .50701 L
.43384 .50562 L
.43338 .50521 L
.43251 .50401 L
.43178 .50313 L
.43105 .50241 L
.43017 .50111 L
.42992 .5008 L
.42862 .4992 L
.42857 .49919 L
.42733 .49759 L
.42696 .49719 L
.4257 .49599 L
.42536 .49512 L
.42474 .49438 L
.42375 .49306 L
.42356 .49278 L
.42223 .49117 L
.42215 .4911 L
.42096 .48957 L
.42054 .48906 L
.41957 .48796 L
.41894 .48696 L
.41849 .48636 L
.41733 .4849 L
.41727 .48475 L
.41594 .48314 L
.41572 .48293 L
.41442 .48154 L
.41412 .48083 L
.41341 .47993 L
.41251 .47872 L
.41228 .47833 L
.41095 .47672 L
.41091 .4767 L
.4097 .47512 L
.4093 .47465 L
.40834 .47351 L
.4077 .47252 L
.40726 .47191 L
.40609 .47043 L
.40605 .4703 L
.40475 .4687 L
.40449 .46844 L
.40325 .46709 L
.40288 .46631 L
.40225 .46549 L
.40128 .46417 L
.40111 .46388 L
.39982 .46228 L
.39967 .4622 L
.3986 .46067 L
.39807 .46007 L
.39723 .45907 L
.39646 .4579 L
.39615 .45746 L
.39492 .45586 L
.39486 .45578 L
.3937 .45425 L
.39325 .45384 L
.39218 .45265 L
.39165 .45161 L
.39121 .45104 L
.39004 .44944 L
.39004 .44943 L
.38884 .44783 L
.38844 .44765 L
.38762 .44622 L
.38683 .4453 L
.38628 .44462 L
.38523 .44305 L
.3852 .44301 L
.38402 .44141 L
.38362 .44089 L
.38282 .4398 L
.38201 .43895 L
.38139 .4382 L
.38043 .43659 L
.38041 .43657 L
.37927 .43499 L
.3788 .43437 L
.3781 .43338 L
.3772 .43216 L
.3766 .43178 L
.37578 .43017 L
.37559 .42992 L
.37468 .42857 L
.37399 .42761 L
.37356 .42696 L
.37246 .42536 L
.37238 .42525 L
.37151 .42375 L
.37078 .42252 L
.37063 .42215 L
F
1 .98 .538 r
.37238 .36751 m
.37243 .36757 L
.37385 .36917 L
.37399 .36933 L
.37511 .37078 L
.37559 .37142 L
.37624 .37238 L
.37559 .37325 L
.37478 .37238 L
.37399 .37152 L
.37342 .37078 L
.37238 .36947 L
.37218 .36917 L
.37113 .36757 L
F
0 .68 1 r
.37238 .42998 m
.37255 .43017 L
.37399 .43174 L
.37402 .43178 L
.37539 .43338 L
.37559 .4336 L
.37673 .43499 L
.3772 .43551 L
.37807 .43659 L
.3788 .43744 L
.3794 .4382 L
.38041 .4394 L
.38073 .4398 L
.38201 .44136 L
.38207 .44141 L
.38331 .44301 L
.38362 .44339 L
.38458 .44462 L
.38523 .4454 L
.38586 .44622 L
.38683 .44721 L
.38714 .44783 L
.38842 .44943 L
.38844 .44946 L
.38965 .45104 L
.39004 .45152 L
.3909 .45265 L
.39165 .45358 L
.39216 .45425 L
.39325 .45554 L
.39358 .45586 L
.39466 .45746 L
.39486 .45771 L
.39588 .45907 L
.39646 .4598 L
.39711 .46067 L
.39807 .46163 L
.39836 .46228 L
.3996 .46388 L
.39967 .46397 L
.4008 .46549 L
.40128 .46609 L
.40201 .46709 L
.40288 .4682 L
.40325 .4687 L
.40448 .4703 L
.40449 .47031 L
.40565 .47191 L
.40609 .47247 L
.40684 .47351 L
.4077 .47462 L
.40806 .47512 L
.40927 .47672 L
.4093 .47677 L
.4104 .47833 L
.41091 .47899 L
.41156 .47993 L
.41251 .4812 L
.41274 .48154 L
.41387 .48314 L
.41412 .48348 L
.41491 .48475 L
.41572 .48591 L
.41596 .48636 L
.41572 .48696 L
.41516 .48636 L
.41412 .4853 L
.41364 .48475 L
.41251 .4835 L
.41221 .48314 L
.41091 .4817 L
.41083 .48154 L
.4095 .47993 L
.4093 .47971 L
.40817 .47833 L
.4077 .47777 L
.40685 .47672 L
.40609 .47582 L
.40553 .47512 L
.40449 .47394 L
.4039 .47351 L
.40294 .47191 L
.40288 .47184 L
.40167 .4703 L
.40128 .46982 L
.40039 .4687 L
.39967 .46817 L
.39912 .46709 L
.39807 .46582 L
.39773 .46549 L
.3966 .46388 L
.39646 .46372 L
.39535 .46228 L
.39486 .46166 L
.39409 .46067 L
.39325 .45978 L
.39244 .45907 L
.39165 .45753 L
.39158 .45746 L
.39037 .45586 L
.39004 .45543 L
.38914 .45425 L
.38844 .4538 L
.3879 .45265 L
.38683 .4513 L
.38659 .45104 L
.38547 .44943 L
.38523 .44913 L
.38426 .44783 L
.38362 .447 L
.38304 .44622 L
.38201 .44501 L
.38162 .44462 L
.38064 .44301 L
.38041 .44272 L
.37946 .44141 L
.3788 .44055 L
.37827 .4398 L
.3772 .43837 L
.37708 .4382 L
.37594 .43659 L
.37559 .43613 L
.37481 .43499 L
.37399 .43386 L
.37366 .43338 L
.37257 .43178 L
.37238 .43151 L
.37162 .43017 L
F
1 .8 .002 r
.37238 .4234 m
.37273 .42375 L
.37399 .425 L
.37431 .42536 L
.37559 .42663 L
.37578 .42696 L
.37719 .42857 L
.3772 .42858 L
.37855 .43017 L
.3788 .43045 L
.37991 .43178 L
.38041 .43236 L
.38125 .43338 L
.38201 .43416 L
.38258 .43499 L
.38362 .43623 L
.38399 .43659 L
.3852 .4382 L
.38523 .43823 L
.38649 .4398 L
.38683 .44001 L
.38778 .44141 L
.38844 .44215 L
.38935 .44301 L
.39004 .44423 L
.39038 .44462 L
.39161 .44622 L
.39165 .44626 L
.39287 .44783 L
.39325 .44817 L
.39414 .44943 L
.39486 .4503 L
.39553 .45104 L
.39646 .45239 L
.39666 .45265 L
.39791 .45425 L
.39807 .45431 L
.39916 .45586 L
.39967 .45641 L
.40069 .45746 L
.40128 .45854 L
.40171 .45907 L
.40288 .46063 L
.40291 .46067 L
.40415 .46228 L
.40449 .46255 L
.40592 .46388 L
.40609 .46471 L
.40676 .46549 L
.4077 .46685 L
.40787 .46709 L
.40911 .4687 L
.4093 .46873 L
.41034 .4703 L
.41091 .4709 L
.41185 .47191 L
.41251 .47308 L
.41286 .47351 L
.41405 .47512 L
.41412 .4752 L
.41527 .47672 L
.41572 .47706 L
.41702 .47833 L
.41733 .47931 L
.41785 .47993 L
.41894 .48149 L
.41897 .48154 L
.42018 .48314 L
.42054 .48361 L
.4214 .48475 L
.42215 .48554 L
.42287 .48636 L
.42375 .48779 L
.42388 .48796 L
.42506 .48957 L
.42536 .48994 L
.42627 .49117 L
.42696 .49174 L
.42794 .49278 L
.42857 .49412 L
.42878 .49438 L
.42992 .49599 L
.43017 .49632 L
.43111 .49759 L
.43178 .49846 L
.43231 .4992 L
.43338 .50051 L
.43363 .5008 L
.43471 .50241 L
.43499 .50277 L
.43588 .50401 L
.43659 .50496 L
.43706 .50562 L
.4382 .50706 L
.43833 .50722 L
.43939 .50883 L
.4398 .50938 L
.44052 .51043 L
.44141 .51165 L
.44167 .51204 L
.44276 .51364 L
.44301 .514 L
.44375 .51525 L
.44462 .51663 L
.44472 .51686 L
.44462 .51742 L
.44396 .51686 L
.44301 .51602 L
.44229 .51525 L
.44141 .51433 L
.44079 .51364 L
.4398 .51291 L
.43936 .51204 L
.4382 .51075 L
.43771 .51043 L
.4366 .50883 L
.43659 .50883 L
.43525 .50722 L
.43499 .50692 L
.43391 .50562 L
.43338 .50514 L
.43258 .50401 L
.43178 .50306 L
.43111 .50241 L
.43017 .50104 L
.42997 .5008 L
.42867 .4992 L
.42857 .49917 L
.42737 .49759 L
.42696 .49714 L
.42574 .49599 L
.42536 .49507 L
.42478 .49438 L
.42375 .49302 L
.42359 .49278 L
.42227 .49117 L
.42215 .49107 L
.421 .48957 L
.42054 .48902 L
.41961 .48796 L
.41894 .48692 L
.41851 .48636 L
.41733 .48487 L
.41728 .48475 L
.41597 .48314 L
.41572 .48289 L
.41444 .48154 L
.41412 .48079 L
.41344 .47993 L
.41251 .47868 L
.4123 .47833 L
.41097 .47672 L
.41091 .47668 L
.40973 .47512 L
.4093 .47462 L
.40836 .47351 L
.4077 .47249 L
.40728 .47191 L
.40609 .4704 L
.40606 .4703 L
.40478 .4687 L
.40449 .46842 L
.40327 .46709 L
.40288 .46627 L
.40227 .46549 L
.40128 .46414 L
.40113 .46388 L
.39985 .46228 L
.39967 .46219 L
.39862 .46067 L
.39807 .46004 L
.39726 .45907 L
.39646 .45787 L
.39618 .45746 L
.39494 .45586 L
.39486 .45574 L
.39373 .45425 L
.39325 .45381 L
.39221 .45265 L
.39165 .45157 L
.39124 .45104 L
.39007 .44943 L
.39004 .4494 L
.38887 .44783 L
.38844 .44762 L
.38766 .44622 L
.38683 .44525 L
.38633 .44462 L
.38524 .44301 L
.38523 .443 L
.38406 .44141 L
.38362 .44083 L
.38286 .4398 L
.38201 .43888 L
.38145 .4382 L
.38048 .43659 L
.38041 .4365 L
.37933 .43499 L
.3788 .43429 L
.37816 .43338 L
.3772 .43207 L
.37673 .43178 L
.37586 .43017 L
.37559 .4298 L
.37477 .42857 L
.37399 .42747 L
.37366 .42696 L
.37261 .42536 L
.37238 .42501 L
.37174 .42375 L
F
.733 .99 1 r
.37238 .38167 m
.37347 .38201 L
.37399 .38229 L
.37555 .38362 L
.37559 .38363 L
.37706 .38523 L
.3772 .38534 L
.37843 .38683 L
.3788 .38724 L
.37974 .38844 L
.38041 .38925 L
.38122 .39004 L
.38201 .3913 L
.38232 .39165 L
.38357 .39325 L
.38362 .39325 L
.3848 .39486 L
.38523 .39523 L
.38639 .39646 L
.38683 .39739 L
.38736 .39807 L
.38844 .39957 L
.3885 .39967 L
.3897 .40128 L
.39004 .40173 L
.39088 .40288 L
.39165 .40394 L
.3922 .40449 L
.3931 .40609 L
.39325 .40638 L
.39365 .4077 L
.39325 .40807 L
.39165 .40783 L
.39138 .4077 L
.39004 .40682 L
.38905 .40609 L
.38844 .40523 L
.38781 .40449 L
.38683 .40337 L
.38659 .40288 L
.38523 .40139 L
.38513 .40128 L
.38365 .39967 L
.38362 .39936 L
.38256 .39807 L
.38201 .39727 L
.38147 .39646 L
.38041 .39516 L
.38035 .39486 L
.37892 .39325 L
.3788 .39319 L
.37755 .39165 L
.3772 .39109 L
.37653 .39004 L
.37559 .38882 L
.37544 .38844 L
.37421 .38683 L
.37399 .38649 L
.37264 .38523 L
.37238 .38393 L
.37216 .38362 L
.37185 .38201 L
F
0 .67 1 r
.37238 .43017 m
.37239 .43017 L
.37238 .43129 L
.37188 .43017 L
F
.114 .93 1 r
.37238 .41696 m
.37281 .41733 L
.37399 .41837 L
.37453 .41894 L
.37559 .41973 L
.37607 .42054 L
.3772 .42173 L
.37794 .42215 L
.3788 .4236 L
.37898 .42375 L
.38032 .42536 L
.38041 .42545 L
.38169 .42696 L
.38201 .42726 L
.38304 .42857 L
.38362 .42926 L
.38457 .43017 L
.38523 .43126 L
.38567 .43178 L
.38683 .43324 L
.38692 .43338 L
.38829 .43499 L
.38844 .43515 L
.38991 .43659 L
.39004 .43719 L
.39091 .4382 L
.39165 .43925 L
.39204 .4398 L
.39325 .44128 L
.39326 .44141 L
.39468 .44301 L
.39486 .44323 L
.39607 .44462 L
.39646 .44531 L
.39717 .44622 L
.39807 .44741 L
.39829 .44783 L
.39967 .44941 L
.39972 .44943 L
.40117 .45104 L
.40128 .45144 L
.40226 .45265 L
.40288 .45355 L
.40336 .45425 L
.40449 .45565 L
.40449 .45586 L
.40596 .45746 L
.40609 .45762 L
.40732 .45907 L
.4077 .45972 L
.40841 .46067 L
.4093 .46184 L
.40952 .46228 L
.41091 .46387 L
.41093 .46388 L
.41238 .46549 L
.41251 .46592 L
.41345 .46709 L
.41412 .46805 L
.41455 .4687 L
.41572 .47014 L
.41589 .4703 L
.41712 .47191 L
.41733 .47215 L
.41849 .47351 L
.41894 .47426 L
.41957 .47512 L
.42054 .47639 L
.4207 .47672 L
.42206 .47833 L
.42215 .47841 L
.42355 .47993 L
.42375 .48049 L
.42459 .48154 L
.42536 .48262 L
.42569 .48314 L
.42696 .48471 L
.427 .48475 L
.42822 .48636 L
.42857 .48672 L
.42962 .48796 L
.43017 .48886 L
.43069 .48957 L
.43178 .49099 L
.43186 .49117 L
.43315 .49278 L
.43338 .49296 L
.43469 .49438 L
.43499 .4951 L
.43569 .49599 L
.43659 .49726 L
.43681 .49759 L
.43807 .4992 L
.4382 .49923 L
.43929 .5008 L
.4398 .50133 L
.4407 .50241 L
.44141 .50352 L
.44177 .50401 L
.44298 .50562 L
.44301 .50566 L
.44419 .50722 L
.44462 .50754 L
.44576 .50883 L
.44622 .50978 L
.44673 .51043 L
.44783 .51196 L
.44788 .51204 L
.44909 .51364 L
.44943 .51409 L
.4503 .51525 L
.45104 .51603 L
.45171 .51686 L
.45265 .51828 L
.45278 .51846 L
.45397 .52007 L
.45425 .52043 L
.45517 .52167 L
.45586 .52225 L
.45671 .52328 L
.45746 .52462 L
.45766 .52488 L
.45881 .52649 L
.45907 .52682 L
.46 .52809 L
.46067 .52897 L
.4612 .5297 L
.46228 .53102 L
.46249 .5313 L
.4636 .53291 L
.46388 .53328 L
.46476 .53451 L
.46549 .53548 L
.46594 .53612 L
.46709 .53762 L
.46717 .53772 L
.46825 .53933 L
.4687 .53993 L
.46937 .54093 L
.4703 .54224 L
.4705 .54254 L
.47155 .54414 L
.47191 .54468 L
.47249 .54575 L
.47191 .54658 L
.47105 .54575 L
.4703 .54503 L
.46947 .54414 L
.4687 .54334 L
.46797 .54254 L
.46709 .54163 L
.46653 .54093 L
.46549 .53972 L
.46504 .53933 L
.46388 .53784 L
.46378 .53772 L
.4624 .53612 L
.46228 .53602 L
.46105 .53451 L
.46067 .53405 L
.45948 .53291 L
.45907 .53205 L
.45843 .5313 L
.45746 .53004 L
.45724 .5297 L
.45586 .52811 L
.4558 .52809 L
.45451 .52649 L
.45425 .52614 L
.45318 .52488 L
.45265 .52408 L
.45206 .52328 L
.45104 .522 L
.45094 .52167 L
.44943 .5201 L
.44941 .52007 L
.44804 .51846 L
.44783 .51804 L
.44692 .51686 L
.44622 .51592 L
.44583 .51525 L
.44462 .51382 L
.44435 .51364 L
.44302 .51204 L
.44301 .51191 L
.44183 .51043 L
.44141 .50981 L
.44073 .50883 L
.4398 .50767 L
.43968 .50722 L
.4382 .50564 L
.43811 .50562 L
.43679 .50401 L
.43659 .50364 L
.43567 .50241 L
.43499 .50151 L
.4346 .5008 L
.43338 .49939 L
.43313 .4992 L
.4318 .49759 L
.43178 .49743 L
.43063 .49599 L
.43017 .49531 L
.42954 .49438 L
.42857 .49318 L
.42849 .49278 L
.42696 .49118 L
.42695 .49117 L
.42561 .48957 L
.42536 .4891 L
.42451 .48796 L
.42375 .48696 L
.42343 .48636 L
.42215 .48487 L
.422 .48475 L
.4206 .48314 L
.42054 .48286 L
.41949 .48154 L
.41894 .48074 L
.4184 .47993 L
.41733 .47861 L
.41729 .47833 L
.41584 .47672 L
.41572 .4766 L
.41447 .47512 L
.41412 .4745 L
.41339 .47351 L
.41251 .47236 L
.41229 .47191 L
.41092 .4703 L
.41091 .4703 L
.40943 .4687 L
.4093 .46825 L
.40839 .46709 L
.4077 .46611 L
.4073 .46549 L
.40609 .46399 L
.40609 .46388 L
.40478 .46228 L
.40449 .462 L
.40337 .46067 L
.40288 .45985 L
.40231 .45907 L
.40128 .4577 L
.40116 .45746 L
.39988 .45586 L
.39967 .45575 L
.3983 .45425 L
.39807 .45359 L
.39733 .45265 L
.39646 .45141 L
.39623 .45104 L
.39499 .44943 L
.39486 .44927 L
.39378 .44783 L
.39325 .44734 L
.39234 .44622 L
.39165 .4451 L
.39131 .44462 L
.39012 .44301 L
.39004 .44292 L
.38892 .44141 L
.38844 .44113 L
.38731 .4398 L
.38683 .43876 L
.38641 .4382 L
.38529 .43659 L
.38523 .43651 L
.38411 .43499 L
.38362 .43435 L
.38292 .43338 L
.38201 .43237 L
.38157 .43178 L
.38053 .43017 L
.38041 .43001 L
.37938 .42857 L
.3788 .42779 L
.37822 .42696 L
.3772 .42557 L
.37691 .42536 L
.37594 .42375 L
.37559 .42328 L
.37485 .42215 L
.37399 .42091 L
.37375 .42054 L
.37277 .41894 L
.37238 .41831 L
.37197 .41733 L
F
1 .79 .001 r
.37238 .42372 m
.37242 .42375 L
.37399 .42518 L
.37415 .42536 L
.37559 .42685 L
.37566 .42696 L
.37708 .42857 L
.3772 .42869 L
.37846 .43017 L
.3788 .43055 L
.37983 .43178 L
.38041 .43245 L
.38118 .43338 L
.38201 .43424 L
.38252 .43499 L
.38362 .4363 L
.38392 .43659 L
.38515 .4382 L
.38523 .43829 L
.38644 .4398 L
.38683 .44005 L
.38773 .44141 L
.38844 .4422 L
.3893 .44301 L
.39004 .44428 L
.39034 .44462 L
.39158 .44622 L
.39165 .44631 L
.39284 .44783 L
.39325 .44821 L
.3941 .44943 L
.39486 .45034 L
.3955 .45104 L
.39646 .45243 L
.39663 .45265 L
.39788 .45425 L
.39807 .45432 L
.39913 .45586 L
.39967 .45644 L
.40066 .45746 L
.40128 .45858 L
.40168 .45907 L
.40288 .46066 L
.40289 .46067 L
.40412 .46228 L
.40449 .46258 L
.4059 .46388 L
.40609 .46475 L
.40674 .46549 L
.4077 .46688 L
.40785 .46709 L
.40908 .4687 L
.4093 .46874 L
.41031 .4703 L
.41091 .47092 L
.41182 .47191 L
.41251 .47311 L
.41284 .47351 L
.41403 .47512 L
.41412 .47523 L
.41524 .47672 L
.41572 .47709 L
.41699 .47833 L
.41733 .47934 L
.41783 .47993 L
.41894 .48152 L
.41895 .48154 L
.42015 .48314 L
.42054 .48364 L
.42137 .48475 L
.42215 .48558 L
.42284 .48636 L
.42375 .48783 L
.42385 .48796 L
.42504 .48957 L
.42536 .48998 L
.42624 .49117 L
.42696 .49178 L
.4279 .49278 L
.42857 .49417 L
.42874 .49438 L
.42988 .49599 L
.43017 .49636 L
.43107 .49759 L
.43178 .49851 L
.43228 .4992 L
.43338 .50058 L
.43357 .5008 L
.43466 .50241 L
.43499 .50283 L
.43583 .50401 L
.43659 .50502 L
.43701 .50562 L
.4382 .50719 L
.43823 .50722 L
.43932 .50883 L
.4398 .50948 L
.44044 .51043 L
.44141 .51177 L
.44158 .51204 L
.44263 .51364 L
.44301 .51421 L
.44357 .51525 L
.44301 .51578 L
.44249 .51525 L
.44141 .51417 L
.44093 .51364 L
.4398 .51272 L
.43947 .51204 L
.4382 .51062 L
.4379 .51043 L
.43668 .50883 L
.43659 .50873 L
.43533 .50722 L
.43499 .50683 L
.43398 .50562 L
.43338 .50507 L
.43264 .50401 L
.43178 .50299 L
.43118 .50241 L
.43017 .50098 L
.43002 .5008 L
.42872 .4992 L
.42857 .49916 L
.42742 .49759 L
.42696 .49709 L
.42577 .49599 L
.42536 .49501 L
.42482 .49438 L
.42375 .49297 L
.42362 .49278 L
.42231 .49117 L
.42215 .49104 L
.42103 .48957 L
.42054 .48897 L
.41964 .48796 L
.41894 .48688 L
.41854 .48636 L
.41733 .48483 L
.4173 .48475 L
.416 .48314 L
.41572 .48286 L
.41446 .48154 L
.41412 .48075 L
.41346 .47993 L
.41251 .47865 L
.41232 .47833 L
.411 .47672 L
.41091 .47666 L
.40976 .47512 L
.4093 .47459 L
.40839 .47351 L
.4077 .47245 L
.40731 .47191 L
.40609 .47037 L
.40607 .4703 L
.40481 .4687 L
.40449 .46839 L
.40329 .46709 L
.40288 .46624 L
.4023 .46549 L
.40128 .46411 L
.40115 .46388 L
.39988 .46228 L
.39967 .46217 L
.39865 .46067 L
.39807 .46001 L
.39728 .45907 L
.39646 .45783 L
.3962 .45746 L
.39497 .45586 L
.39486 .4557 L
.39376 .45425 L
.39325 .45378 L
.39224 .45265 L
.39165 .45153 L
.39127 .45104 L
.3901 .44943 L
.39004 .44935 L
.3889 .44783 L
.38844 .44759 L
.38769 .44622 L
.38683 .4452 L
.38637 .44462 L
.38528 .44301 L
.38523 .44294 L
.3841 .44141 L
.38362 .44078 L
.38291 .4398 L
.38201 .4388 L
.38152 .4382 L
.38053 .43659 L
.38041 .43643 L
.37938 .43499 L
.3788 .43421 L
.37822 .43338 L
.3772 .43198 L
.37687 .43178 L
.37595 .43017 L
.37559 .42968 L
.37486 .42857 L
.37399 .42731 L
.37376 .42696 L
.3728 .42536 L
.37238 .42466 L
.37215 .42375 L
F
1 1 1 r
.37399 .33367 m
.37416 .33386 L
.37559 .33522 L
.37571 .33546 L
.37714 .33707 L
.3772 .33713 L
.3785 .33867 L
.3788 .33901 L
.37984 .34028 L
.38041 .34094 L
.38117 .34188 L
.38201 .34272 L
.38249 .34349 L
.38362 .34482 L
.3839 .34509 L
.38509 .3467 L
.38523 .34685 L
.38636 .3483 L
.38683 .34859 L
.38763 .34991 L
.38844 .35079 L
.38922 .35152 L
.39004 .35291 L
.39023 .35312 L
.39144 .35473 L
.39165 .35497 L
.39269 .35633 L
.39325 .35684 L
.39394 .35794 L
.39486 .35901 L
.39535 .35954 L
.39646 .36113 L
.39647 .36115 L
.3977 .36275 L
.39807 .36293 L
.39893 .36436 L
.39967 .36514 L
.40047 .36596 L
.40128 .36732 L
.40149 .36757 L
.40268 .36917 L
.40288 .36942 L
.4039 .37078 L
.40449 .37128 L
.40565 .37238 L
.40609 .3735 L
.40652 .37399 L
.40765 .37559 L
.4077 .37566 L
.40886 .3772 L
.4093 .37775 L
.41009 .3788 L
.41091 .37967 L
.41159 .38041 L
.41251 .38189 L
.41262 .38201 L
.41381 .38362 L
.41412 .384 L
.41503 .38523 L
.41572 .38574 L
.41627 .38683 L
.41733 .38807 L
.41764 .38844 L
.41877 .39004 L
.41894 .39024 L
.41999 .39165 L
.42054 .39234 L
.42122 .39325 L
.42215 .3941 L
.42287 .39486 L
.42375 .39646 L
.42375 .39646 L
.42496 .39807 L
.42536 .39856 L
.42618 .39967 L
.42696 .40064 L
.42743 .40128 L
.42857 .40256 L
.42889 .40288 L
.42992 .40449 L
.43017 .4048 L
.43111 .40609 L
.43178 .40695 L
.43232 .4077 L
.43338 .40906 L
.43364 .4093 L
.43469 .41091 L
.43499 .41132 L
.43596 .41251 L
.43659 .41354 L
.43701 .41412 L
.43817 .41572 L
.4382 .41576 L
.43934 .41733 L
.4398 .41797 L
.44046 .41894 L
.44141 .4202 L
.44152 .42054 L
.44294 .42215 L
.44301 .42225 L
.44406 .42375 L
.44462 .42452 L
.44502 .42536 L
.44622 .42643 L
.44664 .42696 L
.44783 .42856 L
.44784 .42857 L
.44896 .43017 L
.44943 .43074 L
.44991 .43178 L
.45104 .43292 L
.45156 .43338 L
.45265 .43493 L
.45276 .43499 L
.45394 .43659 L
.45425 .43694 L
.45508 .4382 L
.45425 .43957 L
.45265 .43955 L
.45109 .4398 L
.45237 .44141 L
.45265 .44169 L
.45344 .44301 L
.45425 .44378 L
.45489 .44462 L
.45586 .44589 L
.45611 .44622 L
.45734 .44783 L
.45746 .44806 L
.45847 .44943 L
.45907 .45037 L
.45946 .45104 L
.46067 .45217 L
.46104 .45265 L
.46226 .45425 L
.46228 .45428 L
.46347 .45586 L
.46388 .45643 L
.46454 .45746 L
.46549 .45859 L
.46597 .45907 L
.46709 .46063 L
.46719 .46067 L
.46845 .46228 L
.4687 .46252 L
.46956 .46388 L
.4703 .46452 L
.47057 .46549 L
.47191 .46653 L
.47212 .46709 L
.47342 .4687 L
.47191 .46975 L
.4703 .46982 L
.46921 .4703 L
.4703 .47155 L
.47032 .47191 L
.47177 .47351 L
.47191 .4738 L
.47315 .47512 L
.47351 .47602 L
.47423 .47672 L
.47512 .47814 L
.47533 .47833 L
.4767 .47993 L
.47672 .47996 L
.47819 .48154 L
.47833 .48203 L
.47924 .48314 L
.47993 .48416 L
.48033 .48475 L
.48154 .48626 L
.48163 .48636 L
.48285 .48796 L
.48314 .48812 L
.48427 .48957 L
.48475 .49027 L
.48533 .49117 L
.48636 .49247 L
.48648 .49278 L
.48778 .49438 L
.48796 .49463 L
.48933 .49599 L
.48957 .49675 L
.49034 .49759 L
.49117 .49888 L
.49144 .4992 L
.49278 .50022 L
.49438 .50004 L
.49599 .49996 L
.49678 .4992 L
.49599 .49829 L
.49571 .49759 L
.49438 .49612 L
.49428 .49599 L
.49288 .49438 L
.49278 .49393 L
.49177 .49278 L
.49117 .49176 L
.49069 .49117 L
.48957 .48968 L
.48935 .48957 L
.48813 .48796 L
.48796 .48778 L
.48676 .48636 L
.48636 .48568 L
.48568 .48475 L
.48475 .48355 L
.48457 .48314 L
.4832 .48154 L
.48314 .48147 L
.48172 .47993 L
.48154 .47964 L
.48067 .47833 L
.47993 .47745 L
.47957 .47672 L
.47833 .47522 L
.47827 .47512 L
.47705 .47351 L
.47672 .47306 L
.47564 .47191 L
.47512 .47088 L
.47458 .4703 L
.47512 .46984 L
.47672 .46976 L
.47833 .46969 L
.47986 .4703 L
.47993 .47038 L
.48102 .47191 L
.48154 .47246 L
.48205 .47351 L
.48314 .47457 L
.48356 .47512 L
.48475 .4767 L
.48477 .47672 L
.48601 .47833 L
.48636 .47892 L
.4871 .47993 L
.48796 .48117 L
.48806 .48154 L
.48957 .48296 L
.48971 .48314 L
.49099 .48475 L
.49117 .48507 L
.49212 .48636 L
.49278 .4872 L
.49316 .48796 L
.49438 .48932 L
.49464 .48957 L
.49594 .49117 L
.49599 .49123 L
.49712 .49278 L
.49759 .49322 L
.4982 .49438 L
.4992 .49532 L
.49923 .49599 L
.50079 .49759 L
.5008 .49762 L
.50212 .4992 L
.5008 .49996 L
.4992 .50004 L
.49788 .5008 L
.4992 .50239 L
.49921 .50241 L
.50077 .50401 L
.5008 .50469 L
.5018 .50562 L
.50241 .50678 L
.50288 .50722 L
.50401 .50877 L
.50406 .50883 L
.50536 .51043 L
.50562 .51068 L
.50684 .51204 L
.50722 .5128 L
.50788 .51364 L
.50883 .51493 L
.50901 .51525 L
.51029 .51686 L
.51043 .51704 L
.51194 .51846 L
.51204 .51883 L
.5129 .52007 L
.51364 .52108 L
.51398 .52167 L
.51523 .52328 L
.51525 .52331 L
.51644 .52488 L
.51686 .52543 L
.51795 .52649 L
.51846 .52755 L
.51897 .52809 L
.52007 .52963 L
.52013 .5297 L
.52167 .53032 L
.52328 .53025 L
.52488 .53017 L
.52544 .5297 L
.52488 .52911 L
.52436 .52809 L
.52328 .52693 L
.52295 .52649 L
.52173 .52488 L
.52167 .52478 L
.52043 .52328 L
.52007 .52255 L
.51934 .52167 L
.51846 .52036 L
.51828 .52007 L
.51686 .51853 L
.5168 .51846 L
.51543 .51686 L
.51525 .51645 L
.51432 .51525 L
.51364 .51432 L
.51324 .51364 L
.51204 .51222 L
.51187 .51204 L
.51065 .51043 L
.51043 .51032 L
.50931 .50883 L
.50883 .50824 L
.50823 .50722 L
.50722 .50606 L
.50712 .50562 L
.50572 .50401 L
.50562 .50388 L
.50429 .50241 L
.50401 .50171 L
.50322 .5008 L
.50401 .50005 L
.50562 .49997 L
.50722 .4998 L
.50855 .5008 L
.50883 .50112 L
.50966 .50241 L
.51043 .50325 L
.51066 .50401 L
.51204 .50537 L
.51222 .50562 L
.51352 .50722 L
.51364 .50753 L
.51467 .50883 L
.51525 .50973 L
.51573 .51043 L
.51686 .51188 L
.51715 .51204 L
.51837 .51364 L
.51846 .51374 L
.51967 .51525 L
.52007 .51584 L
.52076 .51686 L
.52167 .51797 L
.52181 .51846 L
.52328 .52004 L
.5233 .52007 L
.52467 .52167 L
.52488 .52186 L
.52577 .52328 L
.52649 .52398 L
.52685 .52488 L
.52809 .52621 L
.52823 .52649 L
.52968 .52809 L
.5297 .52846 L
.53078 .5297 L
.5297 .53018 L
.52809 .53024 L
.52658 .5313 L
.52788 .53291 L
.52809 .53348 L
.52942 .53451 L
.5297 .53548 L
.53043 .53612 L
.5313 .53748 L
.53155 .53772 L
.53281 .53933 L
.53291 .53937 L
.53403 .54093 L
.53451 .54142 L
.53546 .54254 L
.53612 .54358 L
.53653 .54414 L
.53772 .54572 L
.53773 .54575 L
.53896 .54735 L
.53933 .54783 L
.54054 .54896 L
.54093 .54963 L
.54152 .55057 L
.54254 .55194 L
.54266 .55217 L
.54389 .55378 L
.54414 .55411 L
.54511 .55538 L
.54575 .55623 L
.54654 .55699 L
.54735 .55833 L
.54761 .55859 L
.54873 .5602 L
.54735 .56044 L
.54575 .56048 L
.54478 .5618 L
.54575 .56302 L
.54619 .56341 L
.54726 .56501 L
.54735 .56513 L
.54847 .56662 L
.54896 .56723 L
.5497 .56822 L
.55057 .56904 L
.55129 .56983 L
.55217 .57136 L
.55223 .57143 L
.55342 .57304 L
.55378 .57348 L
.55464 .57464 L
.55538 .57557 L
.55589 .57625 L
.55699 .57761 L
.55742 .57785 L
.55844 .57946 L
.55859 .57964 L
.55969 .58106 L
.5602 .58166 L
.561 .58267 L
.5618 .58356 L
.56242 .58428 L
.56341 .58527 L
.56405 .58588 L
.56501 .58672 L
.566 .58749 L
.56662 .58794 L
.56822 .58897 L
.56848 .58909 L
.56983 .58987 L
.57131 .58909 L
.56992 .58749 L
.56983 .58742 L
.56885 .58588 L
.56822 .58543 L
.56731 .58428 L
.56662 .58337 L
.56607 .58267 L
.56501 .58127 L
.56485 .58106 L
.56369 .57946 L
.56341 .57901 L
.56272 .57785 L
.5618 .57711 L
.56112 .57625 L
.5602 .57501 L
.55991 .57464 L
.5587 .57304 L
.55859 .57288 L
.55763 .57143 L
.55699 .57065 L
.5562 .56983 L
.55538 .56843 L
.55497 .56822 L
.55378 .56663 L
.55376 .56662 L
.55261 .56501 L
.55217 .56454 L
.55164 .56341 L
.55057 .56243 L
.55005 .5618 L
.55057 .56047 L
.55217 .56045 L
.55378 .5604 L
.55532 .5618 L
.55538 .56187 L
.55654 .56341 L
.55699 .56439 L
.55804 .56501 L
.55859 .5662 L
.55907 .56662 L
.5602 .56817 L
.56024 .56822 L
.56147 .56983 L
.5618 .57001 L
.56315 .57143 L
.56341 .57218 L
.56408 .57304 L
.56501 .57438 L
.56518 .57464 L
.5664 .57625 L
.56662 .57652 L
.56762 .57785 L
.56822 .57863 L
.56912 .57946 L
.56983 .58052 L
.57015 .58106 L
.57134 .58267 L
.57143 .58279 L
.57255 .58428 L
.57304 .58492 L
.57424 .58588 L
.57464 .58703 L
.57514 .58749 L
.57624 .58909 L
.57464 .59046 L
.57304 .59022 L
.57144 .5907 L
.57304 .59215 L
.57316 .5923 L
.57457 .59391 L
.57464 .59412 L
.57588 .59551 L
.57625 .59615 L
.57706 .59712 L
.57785 .59825 L
.57822 .59872 L
.57945 .60033 L
.57946 .60038 L
.58071 .60193 L
.58106 .60251 L
.58185 .60354 L
.58267 .60469 L
.583 .60514 L
.5842 .60675 L
.58428 .60687 L
.58537 .60835 L
.58588 .60907 L
.58651 .60996 L
.58749 .61128 L
.58764 .61156 L
.58886 .61317 L
.58909 .61347 L
.58993 .61477 L
.5907 .61567 L
.59126 .61638 L
.5923 .61786 L
.59243 .61799 L
.59356 .61959 L
.59391 .62001 L
.59447 .6212 L
.59551 .62228 L
.59608 .6228 L
.59712 .6242 L
.59728 .62441 L
.59844 .62601 L
.59872 .62638 L
.59942 .62762 L
.60033 .62863 L
.60095 .62922 L
.60193 .63056 L
.60214 .63083 L
.60334 .63243 L
.60354 .63272 L
.60441 .63404 L
.60514 .63493 L
.60536 .63564 L
.60675 .63711 L
.60697 .63725 L
.60823 .63885 L
.60835 .63912 L
.60931 .64046 L
.60996 .64132 L
.61035 .64206 L
.61156 .64351 L
.61173 .64367 L
.61291 .64527 L
.61317 .64559 L
.61415 .64688 L
.61477 .64783 L
.61518 .64848 L
.61638 .65006 L
.61639 .65009 L
.61756 .6517 L
.61799 .65212 L
.61892 .6533 L
.61959 .65453 L
.61984 .65491 L
.62094 .65651 L
.6212 .65687 L
.62205 .65812 L
.6228 .65891 L
.62342 .65972 L
.62419 .66133 L
.62441 .66166 L
.6252 .66293 L
.62601 .66422 L
.6262 .66454 L
.627 .66614 L
.62601 .66633 L
.62584 .66614 L
.62441 .66478 L
.62429 .66454 L
.62286 .66293 L
.6228 .66287 L
.6215 .66133 L
.6212 .66099 L
.62016 .65972 L
.61959 .65906 L
.61883 .65812 L
.61799 .65728 L
.61751 .65651 L
.61638 .65518 L
.6161 .65491 L
.61491 .6533 L
.61477 .65315 L
.61364 .6517 L
.61317 .65141 L
.61237 .65009 L
.61156 .64921 L
.61078 .64848 L
.60996 .64709 L
.60977 .64688 L
.60856 .64527 L
.60835 .64503 L
.60731 .64367 L
.60675 .64317 L
.60606 .64206 L
.60514 .64099 L
.60465 .64046 L
.60354 .63887 L
.60353 .63885 L
.6023 .63725 L
.60193 .63708 L
.60107 .63564 L
.60033 .63486 L
.59952 .63404 L
.59872 .63269 L
.59851 .63243 L
.59732 .63083 L
.59712 .63058 L
.5961 .62922 L
.59551 .62873 L
.59433 .62762 L
.59391 .6265 L
.59347 .62601 L
.59235 .62441 L
.5923 .62435 L
.59114 .6228 L
.5907 .62262 L
.58991 .6212 L
.58909 .62032 L
.58841 .61959 L
.58749 .61811 L
.58738 .61799 L
.58619 .61638 L
.58588 .61599 L
.58498 .61477 L
.58428 .61411 L
.58336 .61317 L
.58267 .61186 L
.58242 .61156 L
.58126 .60996 L
.58106 .60971 L
.58005 .60835 L
.57946 .60782 L
.57842 .60675 L
.57785 .60558 L
.57749 .60514 L
.57635 .60354 L
.57625 .60341 L
.57515 .60193 L
.57464 .60147 L
.57361 .60033 L
.57304 .59927 L
.57259 .59872 L
.57145 .59712 L
.57143 .5971 L
.57024 .59551 L
.56983 .59499 L
.56902 .59391 L
.56822 .59292 L
.56749 .5923 L
.56662 .59089 L
.56637 .5907 L
.56516 .58909 L
.56501 .58892 L
.56382 .58749 L
.56341 .58707 L
.56235 .58588 L
.5618 .58539 L
.56071 .58428 L
.5602 .58384 L
.55898 .58267 L
.55859 .58234 L
.55726 .58106 L
.55699 .58083 L
.55557 .57946 L
.55538 .57929 L
.55393 .57785 L
.55378 .57771 L
.55234 .57625 L
.55217 .57604 L
.55079 .57464 L
.55057 .57413 L
.5493 .57304 L
.54896 .57265 L
.54786 .57143 L
.54735 .57083 L
.54646 .56983 L
.54575 .56893 L
.54513 .56822 L
.54414 .56692 L
.54388 .56662 L
.5427 .56501 L
.54254 .56477 L
.54157 .56341 L
.54093 .56182 L
.54093 .5618 L
.54093 .56179 L
.54254 .56066 L
.54349 .5602 L
.54254 .55889 L
.54231 .55859 L
.54112 .55699 L
.54093 .5568 L
.54007 .55538 L
.53933 .55472 L
.5386 .55378 L
.53772 .55261 L
.53738 .55217 L
.53617 .55057 L
.53612 .55047 L
.53505 .54896 L
.53451 .54815 L
.53414 .54735 L
.53291 .54634 L
.53245 .54575 L
.5313 .54422 L
.53124 .54414 L
.53006 .54254 L
.5297 .54207 L
.52903 .54093 L
.52809 .53988 L
.52752 .53933 L
.52649 .5378 L
.52631 .53772 L
.52508 .53612 L
.52488 .53609 L
.52399 .53451 L
.52328 .53375 L
.52306 .53291 L
.52167 .53164 L
.52138 .5313 L
.52007 .53011 L
.51846 .53024 L
.51686 .53028 L
.51655 .5313 L
.51686 .53225 L
.51749 .53291 L
.51846 .53436 L
.51859 .53451 L
.51979 .53612 L
.52007 .53627 L
.521 .53772 L
.52167 .53839 L
.52255 .53933 L
.52328 .54059 L
.52355 .54093 L
.52472 .54254 L
.52488 .54274 L
.52593 .54414 L
.52649 .54486 L
.52762 .54575 L
.52809 .54674 L
.52852 .54735 L
.52964 .54896 L
.5297 .54903 L
.53084 .55057 L
.5313 .55116 L
.53247 .55217 L
.53291 .55329 L
.53339 .55378 L
.53449 .55538 L
.53451 .55541 L
.53574 .55699 L
.53612 .55768 L
.53674 .55859 L
.53771 .5602 L
.53772 .56022 L
.53865 .5618 L
.53933 .56296 L
.53959 .56341 L
.5407 .56501 L
.54093 .56533 L
.54196 .56662 L
.54254 .56739 L
.54325 .56822 L
.54414 .56938 L
.54454 .56983 L
.54575 .57135 L
.54583 .57143 L
.54717 .57304 L
.54735 .57327 L
.54852 .57464 L
.54896 .57521 L
.54984 .57625 L
.55057 .57719 L
.55113 .57785 L
.55217 .57921 L
.55238 .57946 L
.55351 .58106 L
.55378 .58138 L
.55492 .58267 L
.55538 .58328 L
.55618 .58428 L
.55699 .58535 L
.55742 .58588 L
.55859 .58744 L
.55863 .58749 L
.55972 .58909 L
.5602 .58966 L
.56114 .5907 L
.5618 .59158 L
.56237 .5923 L
.56341 .59368 L
.56358 .59391 L
.56475 .59551 L
.56501 .59583 L
.56574 .59712 L
.56662 .59808 L
.5673 .59872 L
.56822 .59996 L
.56852 .60033 L
.56972 .60193 L
.56983 .60208 L
.57079 .60354 L
.57143 .60427 L
.57223 .60514 L
.57304 .60651 L
.57345 .60675 L
.57464 .60834 L
.57465 .60835 L
.5758 .60996 L
.57625 .6105 L
.57676 .61156 L
.57785 .6127 L
.57837 .61317 L
.57946 .61462 L
.57959 .61477 L
.58078 .61638 L
.58106 .61674 L
.58184 .61799 L
.58267 .61891 L
.5833 .61959 L
.58428 .62106 L
.58451 .6212 L
.58574 .6228 L
.58588 .623 L
.58686 .62441 L
.58749 .62515 L
.58783 .62601 L
.58909 .6273 L
.58943 .62762 L
.59066 .62922 L
.5907 .62928 L
.59185 .63083 L
.5923 .6314 L
.5929 .63243 L
.59391 .63355 L
.59435 .63404 L
.59551 .63561 L
.59556 .63564 L
.59682 .63725 L
.59712 .63767 L
.59791 .63885 L
.59872 .63981 L
.59893 .64046 L
.60033 .64193 L
.60047 .64206 L
.60177 .64367 L
.60193 .64395 L
.60289 .64527 L
.60354 .6461 L
.60396 .64688 L
.60514 .64824 L
.60536 .64848 L
.60673 .65009 L
.60675 .65026 L
.60785 .6517 L
.60835 .6524 L
.60893 .6533 L
.60996 .65457 L
.61006 .65491 L
.61142 .65651 L
.61156 .65658 L
.61281 .65812 L
.61317 .65873 L
.61386 .65972 L
.61477 .66095 L
.61498 .66133 L
.61623 .66293 L
.61638 .66313 L
.61779 .66454 L
.61799 .6651 L
.61871 .66614 L
.61959 .66744 L
.61978 .66775 L
.62093 .66935 L
.6212 .66972 L
.62207 .67096 L
.6228 .672 L
.62338 .67256 L
.62426 .67417 L
.62441 .67438 L
.62525 .67577 L
.62601 .67711 L
.62615 .67738 L
.62601 .67863 L
.62441 .67767 L
.62419 .67738 L
.6228 .67618 L
.62245 .67577 L
.6212 .67453 L
.62073 .67417 L
.61959 .67278 L
.61938 .67256 L
.61799 .67097 L
.61798 .67096 L
.61662 .66935 L
.61638 .66909 L
.61498 .66775 L
.61477 .66709 L
.61395 .66614 L
.61317 .66502 L
.61283 .66454 L
.61156 .66298 L
.61144 .66293 L
.6102 .66133 L
.60996 .66102 L
.60882 .65972 L
.60835 .6589 L
.60775 .65812 L
.60675 .65676 L
.60664 .65651 L
.60522 .65491 L
.60514 .65482 L
.60376 .6533 L
.60354 .65271 L
.6027 .6517 L
.60193 .65057 L
.6016 .65009 L
.60033 .64852 L
.60026 .64848 L
.59903 .64688 L
.59872 .6465 L
.59766 .64527 L
.59712 .64437 L
.59658 .64367 L
.59551 .64226 L
.59543 .64206 L
.59408 .64046 L
.59391 .64026 L
.59261 .63885 L
.5923 .63815 L
.59156 .63725 L
.5907 .63602 L
.59045 .63564 L
.58914 .63404 L
.58909 .63399 L
.58792 .63243 L
.58749 .63192 L
.58653 .63083 L
.58588 .62978 L
.58545 .62922 L
.58428 .62769 L
.58425 .62762 L
.58298 .62601 L
.58267 .62568 L
.58148 .62441 L
.58106 .62355 L
.58045 .6228 L
.57946 .62143 L
.57931 .6212 L
.57805 .61959 L
.57785 .61943 L
.57635 .61799 L
.57625 .61732 L
.57543 .61638 L
.57464 .61517 L
.57434 .61477 L
.57311 .61317 L
.57304 .61315 L
.5719 .61156 L
.57143 .61109 L
.57037 .60996 L
.56983 .60893 L
.56936 .60835 L
.56822 .60681 L
.56819 .60675 L
.56697 .60514 L
.56662 .60488 L
.56524 .60354 L
.56501 .60271 L
.56434 .60193 L
.56341 .60054 L
.56325 .60033 L
.56203 .59872 L
.5618 .59867 L
.56082 .59712 L
.5602 .5965 L
.55929 .59551 L
.55859 .5943 L
.55828 .59391 L
.5571 .5923 L
.55699 .59216 L
.55589 .5907 L
.55538 .59033 L
.55417 .58909 L
.55378 .58808 L
.55328 .58749 L
.55217 .58589 L
.55216 .58588 L
.55095 .58428 L
.55057 .58379 L
.54973 .58267 L
.54896 .5819 L
.54822 .58106 L
.54735 .57965 L
.5472 .57946 L
.54602 .57785 L
.54575 .57752 L
.5448 .57625 L
.54414 .57542 L
.54356 .57464 L
.54254 .57346 L
.54219 .57304 L
.54107 .57143 L
.54093 .57127 L
.53986 .56983 L
.53933 .56916 L
.53863 .56822 L
.53772 .56733 L
.53708 .56662 L
.53612 .56501 L
.53612 .56501 L
.53493 .56341 L
.53451 .56288 L
.53372 .5618 L
.53291 .56096 L
.53216 .5602 L
.5313 .55866 L
.53124 .55859 L
.53008 .55699 L
.5297 .55649 L
.5287 .55538 L
.52809 .5543 L
.52768 .55378 L
.52651 .55217 L
.52649 .55212 L
.52533 .55057 L
.52488 .54994 L
.52418 .54896 L
.52328 .54776 L
.52302 .54735 L
.52178 .54575 L
.52167 .5456 L
.52062 .54414 L
.52007 .54343 L
.51951 .54254 L
.51846 .54127 L
.51814 .54093 L
.51694 .53933 L
.51686 .53922 L
.51579 .53772 L
.51525 .5371 L
.5147 .53612 L
.51364 .53502 L
.51322 .53451 L
.51204 .53297 L
.512 .53291 L
.51071 .5313 L
.51204 .53018 L
.51364 .53023 L
.5149 .5297 L
.51366 .52809 L
.51364 .52807 L
.51251 .52649 L
.51204 .52602 L
.51155 .52488 L
.51043 .52393 L
.50993 .52328 L
.50883 .52181 L
.50872 .52167 L
.50752 .52007 L
.50722 .5196 L
.50646 .51846 L
.50562 .51729 L
.50501 .51686 L
.50401 .51554 L
.50379 .51525 L
.50255 .51364 L
.50241 .51342 L
.50143 .51204 L
.5008 .51127 L
.50045 .51043 L
.4992 .50914 L
.49886 .50883 L
.49762 .50722 L
.49759 .50722 L
.49643 .50562 L
.49599 .50506 L
.49537 .50401 L
.49438 .50295 L
.49393 .50241 L
.49278 .50087 L
.49271 .5008 L
.49117 .49993 L
.48957 .50003 L
.48796 .50012 L
.48741 .5008 L
.48796 .50143 L
.48895 .50241 L
.48957 .50355 L
.48996 .50401 L
.49114 .50562 L
.49117 .50563 L
.49235 .50722 L
.49278 .50761 L
.49409 .50883 L
.49438 .50976 L
.49497 .51043 L
.49599 .51192 L
.49607 .51204 L
.49728 .51364 L
.49759 .51404 L
.4985 .51525 L
.4992 .51575 L
.50002 .51686 L
.5008 .51812 L
.50104 .51846 L
.50221 .52007 L
.50241 .52031 L
.50343 .52167 L
.50401 .52242 L
.50466 .52328 L
.50562 .5245 L
.50607 .52488 L
.50717 .52649 L
.50722 .52655 L
.5084 .52809 L
.50883 .52862 L
.50993 .5297 L
.50883 .52996 L
.50815 .5297 L
.50722 .52941 L
.50562 .52867 L
.50471 .52809 L
.50401 .52764 L
.50263 .52649 L
.50241 .52629 L
.50102 .52488 L
.5008 .52464 L
.49961 .52328 L
.4992 .52277 L
.49828 .52167 L
.49759 .52078 L
.49701 .52007 L
.49599 .51872 L
.49577 .51846 L
.49463 .51686 L
.49438 .5165 L
.49326 .51525 L
.49278 .5146 L
.49202 .51364 L
.49117 .51251 L
.49079 .51204 L
.48959 .51043 L
.48957 .5104 L
.48856 .50883 L
.48796 .5082 L
.48708 .50722 L
.48636 .506 L
.48585 .50562 L
.48475 .50403 L
.48465 .50401 L
.48354 .50241 L
.48314 .502 L
.4822 .5008 L
.48314 .50014 L
.48475 .50005 L
.48621 .4992 L
.48498 .49759 L
.48475 .49733 L
.48389 .49599 L
.48314 .49524 L
.48299 .49438 L
.48154 .49313 L
.48127 .49278 L
.48003 .49117 L
.47993 .49099 L
.47888 .48957 L
.47833 .48877 L
.47786 .48796 L
.47672 .48655 L
.47634 .48636 L
.47512 .48475 L
.47512 .48474 L
.47389 .48314 L
.47351 .48264 L
.47281 .48154 L
.47191 .48051 L
.47185 .47993 L
.4703 .47843 L
.47019 .47833 L
.46891 .47672 L
.4687 .47636 L
.46779 .47512 L
.46709 .47426 L
.46675 .47351 L
.46549 .47217 L
.46526 .47191 L
.46395 .4703 L
.46549 .46982 L
.46709 .46975 L
.46813 .4687 L
.46709 .46746 L
.46702 .46709 L
.46562 .46549 L
.46549 .46529 L
.46419 .46388 L
.46388 .46313 L
.46312 .46228 L
.46228 .46103 L
.46202 .46067 L
.46068 .45907 L
.46067 .45906 L
.45913 .45746 L
.45907 .45705 L
.45811 .45586 L
.45746 .45491 L
.45702 .45425 L
.45586 .45278 L
.45583 .45265 L
.45453 .45104 L
.45425 .45067 L
.45307 .44943 L
.45265 .44888 L
.45202 .44783 L
.45104 .4466 L
.45089 .44622 L
.44961 .44462 L
.44943 .44439 L
.44797 .44301 L
.44783 .44225 L
.44701 .44141 L
.44622 .44004 L
.44595 .4398 L
.44462 .43952 L
.44301 .43956 L
.44141 .43959 L
.44054 .4398 L
.44141 .4407 L
.44162 .44141 L
.44301 .4429 L
.4431 .44301 L
.44446 .44462 L
.44462 .44518 L
.44558 .44622 L
.44622 .44742 L
.44666 .44783 L
.44783 .44917 L
.44803 .44943 L
.44925 .45104 L
.44943 .45127 L
.45059 .45265 L
.45104 .45339 L
.45167 .45425 L
.45265 .45551 L
.45278 .45586 L
.45418 .45746 L
.45425 .45749 L
.45561 .45907 L
.45586 .45951 L
.45668 .46067 L
.45746 .46166 L
.45778 .46228 L
.45907 .46382 L
.45911 .46388 L
.46033 .46549 L
.46067 .46595 L
.4617 .46709 L
.46228 .46809 L
.46278 .4687 L
.46228 .46974 L
.46067 .46981 L
.45907 .46992 L
.45751 .4687 L
.45746 .46862 L
.45633 .46709 L
.45586 .46655 L
.45528 .46549 L
.45425 .46445 L
.45382 .46388 L
.45265 .46233 L
.45261 .46228 L
.45134 .46067 L
.45104 .46016 L
.45025 .45907 L
.44943 .45798 L
.44925 .45746 L
.44783 .45591 L
.44767 .45586 L
.44637 .45425 L
.44622 .45398 L
.44523 .45265 L
.44462 .45187 L
.44417 .45104 L
.44301 .44975 L
.44274 .44943 L
.44142 .44783 L
.44141 .44768 L
.44023 .44622 L
.4398 .44557 L
.43914 .44462 L
.4382 .44347 L
.43809 .44301 L
.4366 .44141 L
.43659 .4414 L
.43525 .4398 L
.43659 .4396 L
.4382 .43957 L
.43947 .4382 L
.4382 .43664 L
.43817 .43659 L
.43695 .43499 L
.43659 .43447 L
.43555 .43338 L
.43499 .43237 L
.43448 .43178 L
.43338 .43031 L
.43331 .43017 L
.43202 .42857 L
.43178 .42841 L
.43049 .42696 L
.43017 .42629 L
.42947 .42536 L
.42857 .42412 L
.42835 .42375 L
.42709 .42215 L
.42696 .42198 L
.42587 .42054 L
.42536 .41987 L
.42445 .41894 L
.42375 .41803 L
.42338 .41733 L
.42216 .41572 L
.42215 .41571 L
.42094 .41412 L
.42054 .41358 L
.41938 .41251 L
.41894 .41144 L
.4184 .41091 L
.41894 .4094 L
.42054 .40953 L
.42215 .40941 L
.4237 .41091 L
.42375 .41097 L
.42484 .41251 L
.42536 .413 L
.42578 .41412 L
.42696 .4151 L
.42744 .41572 L
.42857 .41722 L
.42865 .41733 L
.42984 .41894 L
.43017 .41949 L
.43088 .42054 L
.43178 .42138 L
.43237 .42215 L
.43338 .42348 L
.43359 .42375 L
.43481 .42536 L
.43499 .42562 L
.43592 .42696 L
.43659 .42782 L
.43685 .42857 L
.4382 .42999 L
.43852 .43017 L
.43976 .43178 L
.4398 .43184 L
.44093 .43338 L
.44141 .4338 L
.44196 .43499 L
.44301 .43562 L
.44345 .43659 L
.44462 .43815 L
.44466 .4382 L
.44622 .43963 L
.44783 .43957 L
.44943 .43956 L
.44998 .4382 L
.44943 .43755 L
.4484 .43659 L
.44783 .43545 L
.44741 .43499 L
.44625 .43338 L
.44622 .43335 L
.44504 .43178 L
.44462 .43154 L
.44382 .43017 L
.44301 .42932 L
.4424 .42857 L
.44141 .4271 L
.44131 .42696 L
.44011 .42536 L
.4398 .42497 L
.43889 .42375 L
.4382 .42286 L
.43736 .42215 L
.43659 .42091 L
.43636 .42054 L
.43519 .41894 L
.43499 .41868 L
.43398 .41733 L
.43338 .41655 L
.4324 .41572 L
.43178 .41444 L
.43146 .41412 L
.43034 .41251 L
.43017 .41229 L
.42916 .41091 L
.42873 .4093 L
.42861 .4077 L
.42857 .40761 L
.42781 .40609 L
.42696 .40481 L
.42674 .40449 L
.42552 .40288 L
.42536 .40268 L
.42419 .40128 L
.42375 .40066 L
.4228 .39967 L
.42215 .39892 L
.42136 .39807 L
.42054 .39714 L
.4199 .39646 L
.41894 .39537 L
.41843 .39486 L
.41733 .39361 L
.41698 .39325 L
.41572 .39181 L
.41556 .39165 L
.41426 .39004 L
.41412 .3899 L
.41279 .38844 L
.41251 .38809 L
.41144 .38683 L
.41091 .38615 L
.41013 .38523 L
.4093 .38414 L
.40887 .38362 L
.4077 .38209 L
.40764 .38201 L
.40649 .38041 L
.40609 .37991 L
.40549 .3788 L
.40449 .37765 L
.40389 .3772 L
.40288 .37584 L
.40269 .37559 L
.4015 .37399 L
.40128 .37369 L
.40043 .37238 L
.39967 .37148 L
.39949 .37078 L
.39807 .36931 L
.39783 .36917 L
.39662 .36757 L
.39646 .36732 L
.39553 .36596 L
.39486 .36512 L
.39453 .36436 L
.39325 .36294 L
.39302 .36275 L
.39176 .36115 L
.39165 .3609 L
.39067 .35954 L
.39004 .35869 L
.38963 .35794 L
.38844 .3565 L
.38826 .35633 L
.38709 .35473 L
.38683 .35441 L
.38585 .35312 L
.38523 .35217 L
.38482 .35152 L
.38362 .34994 L
.38361 .34991 L
.38244 .3483 L
.38201 .34788 L
.38108 .3467 L
.38041 .34547 L
.38016 .34509 L
.37906 .34349 L
.3788 .34312 L
.37795 .34188 L
.3772 .34109 L
.37658 .34028 L
.37581 .33867 L
.37559 .33834 L
.3748 .33707 L
.37399 .33578 L
.3738 .33546 L
.373 .33386 L
F
.084 .92 1 r
.37399 .4189 m
.37402 .41894 L
.37559 .42027 L
.37574 .42054 L
.3772 .42205 L
.37739 .42215 L
.37873 .42375 L
.3788 .42383 L
.38014 .42536 L
.38041 .42565 L
.38153 .42696 L
.38201 .42741 L
.3829 .42857 L
.38362 .42941 L
.38445 .43017 L
.38523 .43139 L
.38557 .43178 L
.38683 .43333 L
.38686 .43338 L
.3882 .43499 L
.38844 .43525 L
.38988 .43659 L
.39004 .43728 L
.39085 .4382 L
.39165 .43933 L
.39199 .4398 L
.39325 .44133 L
.39326 .44141 L
.39462 .44301 L
.39486 .4433 L
.39603 .44462 L
.39646 .44538 L
.39712 .44622 L
.39807 .44746 L
.39826 .44783 L
.39967 .44943 L
.39968 .44943 L
.40116 .45104 L
.40128 .45148 L
.40223 .45265 L
.40288 .45359 L
.40333 .45425 L
.40449 .45568 L
.40449 .45586 L
.40593 .45746 L
.40609 .45766 L
.4073 .45907 L
.4077 .45976 L
.40839 .46067 L
.4093 .46187 L
.4095 .46228 L
.41091 .46388 L
.41091 .46389 L
.41237 .46549 L
.41251 .46595 L
.41343 .46709 L
.41412 .46807 L
.41453 .4687 L
.41572 .47016 L
.41587 .4703 L
.4171 .47191 L
.41733 .47217 L
.41848 .47351 L
.41894 .47429 L
.41955 .47512 L
.42054 .47641 L
.42069 .47672 L
.42204 .47833 L
.42215 .47842 L
.42354 .47993 L
.42375 .48051 L
.42457 .48154 L
.42536 .48265 L
.42568 .48314 L
.42696 .48473 L
.42698 .48475 L
.4282 .48636 L
.42857 .48674 L
.4296 .48796 L
.43017 .48889 L
.43067 .48957 L
.43178 .49101 L
.43185 .49117 L
.43313 .49278 L
.43338 .49298 L
.43467 .49438 L
.43499 .49513 L
.43567 .49599 L
.43659 .49728 L
.43679 .49759 L
.43805 .4992 L
.4382 .49923 L
.43926 .5008 L
.4398 .50136 L
.44068 .50241 L
.44141 .50355 L
.44175 .50401 L
.44296 .50562 L
.44301 .50569 L
.44417 .50722 L
.44462 .50757 L
.44574 .50883 L
.44622 .50981 L
.44671 .51043 L
.44783 .512 L
.44785 .51204 L
.44906 .51364 L
.44943 .51413 L
.45027 .51525 L
.45104 .51607 L
.45167 .51686 L
.45265 .51833 L
.45274 .51846 L
.45393 .52007 L
.45425 .52048 L
.45513 .52167 L
.45586 .52231 L
.45665 .52328 L
.45746 .52469 L
.4576 .52488 L
.45876 .52649 L
.45907 .52689 L
.45994 .52809 L
.46067 .52904 L
.46115 .5297 L
.46228 .53114 L
.4624 .5313 L
.46352 .53291 L
.46388 .53339 L
.46467 .53451 L
.46549 .5356 L
.46585 .53612 L
.46702 .53772 L
.46709 .53782 L
.46811 .53933 L
.4687 .54014 L
.46921 .54093 L
.4703 .54252 L
.47032 .54254 L
.47121 .54414 L
.4703 .5446 L
.46984 .54414 L
.4687 .54301 L
.46825 .54254 L
.46709 .54135 L
.46676 .54093 L
.46549 .5395 L
.46528 .53933 L
.46394 .53772 L
.46388 .53766 L
.46256 .53612 L
.46228 .5359 L
.46119 .53451 L
.46067 .5339 L
.45957 .53291 L
.45907 .53192 L
.45853 .5313 L
.45746 .52994 L
.45731 .5297 L
.4559 .52809 L
.45586 .52804 L
.45459 .52649 L
.45425 .52604 L
.45325 .52488 L
.45265 .52399 L
.45213 .52328 L
.45104 .52193 L
.45096 .52167 L
.44947 .52007 L
.44943 .52002 L
.44808 .51846 L
.44783 .51797 L
.44697 .51686 L
.44622 .51586 L
.44587 .51525 L
.44462 .51378 L
.4444 .51364 L
.44302 .51204 L
.44301 .51186 L
.44186 .51043 L
.44141 .50975 L
.44076 .50883 L
.4398 .50763 L
.4397 .50722 L
.4382 .50563 L
.43815 .50562 L
.43681 .50401 L
.43659 .5036 L
.43569 .50241 L
.43499 .50147 L
.43462 .5008 L
.43338 .49936 L
.43316 .4992 L
.43181 .49759 L
.43178 .4974 L
.43065 .49599 L
.43017 .49528 L
.42956 .49438 L
.42857 .49315 L
.42849 .49278 L
.42697 .49117 L
.42696 .49116 L
.42563 .48957 L
.42536 .48907 L
.42453 .48796 L
.42375 .48694 L
.42345 .48636 L
.42215 .48485 L
.42203 .48475 L
.42061 .48314 L
.42054 .48284 L
.41951 .48154 L
.41894 .48071 L
.41842 .47993 L
.41733 .47859 L
.4173 .47833 L
.41587 .47672 L
.41572 .47658 L
.41449 .47512 L
.41412 .47447 L
.41341 .47351 L
.41251 .47234 L
.4123 .47191 L
.41094 .4703 L
.41091 .47028 L
.40943 .4687 L
.4093 .46823 L
.40841 .46709 L
.4077 .46608 L
.40732 .46549 L
.40609 .46396 L
.40609 .46388 L
.4048 .46228 L
.40449 .46198 L
.40339 .46067 L
.40288 .45982 L
.40234 .45907 L
.40128 .45767 L
.40118 .45746 L
.3999 .45586 L
.39967 .45573 L
.39832 .45425 L
.39807 .45356 L
.39736 .45265 L
.39646 .45136 L
.39626 .45104 L
.39502 .44943 L
.39486 .44922 L
.39381 .44783 L
.39325 .4473 L
.39238 .44622 L
.39165 .44504 L
.39135 .44462 L
.39016 .44301 L
.39004 .44286 L
.38897 .44141 L
.38844 .44108 L
.38736 .4398 L
.38683 .43868 L
.38647 .4382 L
.38535 .43659 L
.38523 .43643 L
.38418 .43499 L
.38362 .43425 L
.38299 .43338 L
.38201 .43223 L
.38167 .43178 L
.38063 .43017 L
.38041 .42988 L
.37949 .42857 L
.3788 .42764 L
.37833 .42696 L
.3772 .42539 L
.37715 .42536 L
.37611 .42375 L
.37559 .42301 L
.37505 .42215 L
.374 .42054 L
.37399 .42053 L
.37334 .41894 L
F
1 .96 .289 r
.37399 .3899 m
.37413 .39004 L
.37559 .39146 L
.37575 .39165 L
.37715 .39325 L
.3772 .39331 L
.3784 .39486 L
.3788 .39535 L
.3796 .39646 L
.38041 .39753 L
.38077 .39807 L
.38041 .39947 L
.37912 .39807 L
.3788 .39772 L
.37776 .39646 L
.3772 .39578 L
.37649 .39486 L
.37559 .39367 L
.37529 .39325 L
.37424 .39165 L
.37399 .39124 L
.37345 .39004 L
F
1 .67 0 r
.37399 .43845 m
.37501 .4398 L
.37559 .44048 L
.37629 .44141 L
.3772 .4425 L
.37758 .44301 L
.3788 .44452 L
.37888 .44462 L
.38009 .44622 L
.38041 .44661 L
.38129 .44783 L
.38201 .44871 L
.38253 .44943 L
.38362 .4508 L
.38379 .45104 L
.38499 .45265 L
.38523 .45294 L
.38612 .45425 L
.38683 .45513 L
.38731 .45586 L
.38844 .45732 L
.38853 .45746 L
.38844 .45846 L
.38764 .45746 L
.38683 .45658 L
.38626 .45586 L
.38523 .45465 L
.38491 .45425 L
.38362 .45268 L
.38359 .45265 L
.38235 .45104 L
.38201 .45065 L
.38109 .44943 L
.38041 .44861 L
.37982 .44783 L
.3788 .44656 L
.37855 .44622 L
.37731 .44462 L
.3772 .44449 L
.37612 .44301 L
.37559 .44237 L
.3749 .44141 L
.37399 .44025 L
.37367 .4398 L
F
0 .67 1 r
.37399 .43187 m
.37528 .43338 L
.37559 .43371 L
.37665 .43499 L
.3772 .4356 L
.378 .43659 L
.3788 .43752 L
.37934 .4382 L
.38041 .43947 L
.38067 .4398 L
.38199 .44141 L
.38201 .44144 L
.38325 .44301 L
.38362 .44345 L
.38453 .44462 L
.38523 .44546 L
.38581 .44622 L
.38683 .44728 L
.3871 .44783 L
.38837 .44943 L
.38844 .44951 L
.38961 .45104 L
.39004 .45157 L
.39086 .45265 L
.39165 .45362 L
.39212 .45425 L
.39325 .45561 L
.39351 .45586 L
.39462 .45746 L
.39486 .45776 L
.39584 .45907 L
.39646 .45985 L
.39708 .46067 L
.39807 .4617 L
.39833 .46228 L
.39956 .46388 L
.39967 .46402 L
.40076 .46549 L
.40128 .46614 L
.40197 .46709 L
.40288 .46825 L
.40321 .4687 L
.40444 .4703 L
.40449 .47037 L
.40561 .47191 L
.40609 .47253 L
.4068 .47351 L
.4077 .47468 L
.40801 .47512 L
.40921 .47672 L
.4093 .47684 L
.41034 .47833 L
.41091 .47907 L
.4115 .47993 L
.41251 .4813 L
.41268 .48154 L
.41377 .48314 L
.41412 .48363 L
.41477 .48475 L
.41572 .4862 L
.41579 .48636 L
.41572 .48664 L
.41541 .48636 L
.41412 .48515 L
.41377 .48475 L
.41251 .48338 L
.41231 .48314 L
.41092 .48154 L
.41091 .48153 L
.40958 .47993 L
.4093 .47963 L
.40824 .47833 L
.4077 .47769 L
.40691 .47672 L
.40609 .47574 L
.40559 .47512 L
.40449 .47386 L
.40401 .47351 L
.403 .47191 L
.40288 .47177 L
.40172 .4703 L
.40128 .46976 L
.40044 .4687 L
.39967 .46811 L
.39916 .46709 L
.39807 .46575 L
.39779 .46549 L
.39664 .46388 L
.39646 .46366 L
.39539 .46228 L
.39486 .4616 L
.39414 .46067 L
.39325 .45971 L
.39251 .45907 L
.39165 .45747 L
.39164 .45746 L
.39042 .45586 L
.39004 .45538 L
.38918 .45425 L
.38844 .45373 L
.38795 .45265 L
.38683 .45123 L
.38665 .45104 L
.38551 .44943 L
.38523 .44907 L
.3843 .44783 L
.38362 .44694 L
.38309 .44622 L
.38201 .44492 L
.38172 .44462 L
.38069 .44301 L
.38041 .44265 L
.37952 .44141 L
.3788 .44047 L
.37832 .4398 L
.3772 .43829 L
.37713 .4382 L
.37602 .43659 L
.37559 .43603 L
.37489 .43499 L
.37399 .43374 L
.37375 .43338 L
F
1 .66 0 r
.37399 .43863 m
.37487 .4398 L
.37559 .44062 L
.37617 .44141 L
.3772 .44263 L
.37748 .44301 L
.3772 .44433 L
.37625 .44301 L
.37559 .44221 L
.37502 .44141 L
.37399 .44009 L
.37378 .4398 L
F
0 .66 1 r
.37399 .43204 m
.37516 .43338 L
.37559 .43383 L
.37656 .43499 L
.3772 .43569 L
.37792 .43659 L
.3788 .4376 L
.37928 .4382 L
.38041 .43954 L
.38062 .4398 L
.38193 .44141 L
.38201 .44151 L
.3832 .44301 L
.38362 .44351 L
.38448 .44462 L
.38523 .44552 L
.38577 .44622 L
.38683 .44736 L
.38706 .44783 L
.38833 .44943 L
.38844 .44957 L
.38957 .45104 L
.39004 .45162 L
.39082 .45265 L
.39165 .45367 L
.39208 .45425 L
.39325 .45567 L
.39344 .45586 L
.39458 .45746 L
.39486 .45781 L
.3958 .45907 L
.39646 .4599 L
.39704 .46067 L
.39807 .46177 L
.39829 .46228 L
.39952 .46388 L
.39967 .46407 L
.40072 .46549 L
.40128 .4662 L
.40193 .46709 L
.40288 .46831 L
.40317 .4687 L
.40439 .4703 L
.40449 .47043 L
.40556 .47191 L
.40609 .47259 L
.40675 .47351 L
.4077 .47475 L
.40796 .47512 L
.40915 .47672 L
.4093 .47692 L
.41028 .47833 L
.41091 .47916 L
.41143 .47993 L
.41251 .4814 L
.41261 .48154 L
.41365 .48314 L
.41412 .48381 L
.4146 .48475 L
.41412 .48497 L
.41392 .48475 L
.41251 .48326 L
.41242 .48314 L
.41102 .48154 L
.41091 .48142 L
.40966 .47993 L
.4093 .47953 L
.40832 .47833 L
.4077 .47761 L
.40698 .47672 L
.40609 .47567 L
.40565 .47512 L
.40449 .47377 L
.40414 .47351 L
.40306 .47191 L
.40288 .4717 L
.40178 .4703 L
.40128 .4697 L
.40049 .4687 L
.39967 .46804 L
.39921 .46709 L
.39807 .46569 L
.39786 .46549 L
.39669 .46388 L
.39646 .4636 L
.39544 .46228 L
.39486 .46155 L
.39418 .46067 L
.39325 .45965 L
.39258 .45907 L
.39168 .45746 L
.39165 .45741 L
.39046 .45586 L
.39004 .45532 L
.38923 .45425 L
.38844 .45366 L
.38799 .45265 L
.38683 .45116 L
.38672 .45104 L
.38556 .44943 L
.38523 .44901 L
.38435 .44783 L
.38362 .44688 L
.38313 .44622 L
.38201 .44482 L
.38181 .44462 L
.38075 .44301 L
.38041 .44257 L
.37957 .44141 L
.3788 .44039 L
.37838 .4398 L
.3772 .4382 L
.3772 .4382 L
.3761 .43659 L
.37559 .43592 L
.37498 .43499 L
.37399 .4336 L
.37384 .43338 L
F
1 1 1 r
.37399 .32137 m
.37559 .32233 L
.37581 .32262 L
.3772 .32382 L
.37755 .32423 L
.3788 .32547 L
.37927 .32583 L
.38041 .32722 L
.38062 .32744 L
.38201 .32903 L
.38202 .32904 L
.38338 .33065 L
.38362 .33091 L
.38502 .33225 L
.38523 .33291 L
.38605 .33386 L
.38683 .33498 L
.38717 .33546 L
.38844 .33702 L
.38856 .33707 L
.3898 .33867 L
.39004 .33898 L
.39118 .34028 L
.39165 .3411 L
.39225 .34188 L
.39325 .34324 L
.39336 .34349 L
.39478 .34509 L
.39486 .34518 L
.39624 .3467 L
.39646 .34729 L
.3973 .3483 L
.39807 .34943 L
.3984 .34991 L
.39967 .35148 L
.39974 .35152 L
.40097 .35312 L
.40128 .3535 L
.40234 .35473 L
.40288 .35563 L
.40342 .35633 L
.40449 .35774 L
.40457 .35794 L
.40592 .35954 L
.40609 .35974 L
.40739 .36115 L
.4077 .36185 L
.40844 .36275 L
.4093 .36398 L
.40955 .36436 L
.41086 .36596 L
.41091 .36601 L
.41208 .36757 L
.41251 .36808 L
.41347 .36917 L
.41412 .37022 L
.41455 .37078 L
.41572 .37231 L
.41575 .37238 L
.41702 .37399 L
.41733 .37432 L
.41852 .37559 L
.41894 .37645 L
.41955 .3772 L
.42054 .37857 L
.42069 .3788 L
.42195 .38041 L
.42215 .38057 L
.42365 .38201 L
.42375 .38268 L
.42457 .38362 L
.42536 .38482 L
.42566 .38523 L
.42689 .38683 L
.42696 .38685 L
.4281 .38844 L
.42857 .3889 L
.42963 .39004 L
.43017 .39107 L
.43065 .39165 L
.43178 .39319 L
.43181 .39325 L
.43303 .39486 L
.43338 .39512 L
.43476 .39646 L
.43499 .39729 L
.43566 .39807 L
.43659 .39946 L
.43675 .39967 L
.43797 .40128 L
.4382 .40132 L
.43919 .40288 L
.4398 .4035 L
.44071 .40449 L
.44141 .4057 L
.44172 .40609 L
.4429 .4077 L
.44301 .40784 L
.44411 .4093 L
.44462 .40968 L
.44583 .41091 L
.44622 .41193 L
.44672 .41251 L
.44783 .41411 L
.44784 .41412 L
.44904 .41572 L
.44943 .41622 L
.45026 .41733 L
.45104 .41814 L
.45174 .41894 L
.45265 .42037 L
.45278 .42054 L
.45397 .42215 L
.45425 .4225 L
.45518 .42375 L
.45586 .42436 L
.45676 .42536 L
.45746 .42663 L
.45773 .42696 L
.45889 .42857 L
.45907 .42879 L
.4601 .43017 L
.46067 .43056 L
.46177 .43178 L
.46228 .43286 L
.4627 .43338 L
.46382 .43499 L
.46388 .43507 L
.46503 .43659 L
.46549 .43717 L
.46625 .4382 L
.46709 .43924 L
.46788 .4398 L
.4687 .44119 L
.46886 .44141 L
.47005 .44301 L
.4703 .44331 L
.47132 .44462 L
.47191 .44529 L
.47265 .44622 L
.47351 .44718 L
.47405 .44783 L
.47512 .44896 L
.47552 .44943 L
.47672 .45067 L
.47706 .45104 L
.47833 .45234 L
.47862 .45265 L
.47993 .45382 L
.48018 .45425 L
.48154 .45571 L
.48172 .45586 L
.48314 .45737 L
.48323 .45746 L
.4847 .45907 L
.48475 .45912 L
.48612 .46067 L
.48636 .46094 L
.48749 .46228 L
.48796 .46259 L
.4888 .46388 L
.48957 .46494 L
.48998 .46549 L
.49092 .46709 L
.49117 .46789 L
.49131 .4687 L
.49117 .46895 L
.4906 .4703 L
.49117 .47118 L
.49169 .47191 L
.49278 .47339 L
.49287 .47351 L
.49402 .47512 L
.49438 .47547 L
.49496 .47672 L
.49599 .47757 L
.49658 .47833 L
.49759 .47968 L
.49779 .47993 L
.49897 .48154 L
.4992 .48187 L
.5 .48314 L
.5008 .48421 L
.5015 .48475 L
.50241 .48596 L
.50272 .48636 L
.50393 .48796 L
.50401 .48807 L
.50504 .48957 L
.50562 .49024 L
.50593 .49117 L
.50722 .49239 L
.50765 .49278 L
.50883 .49437 L
.50886 .49438 L
.51004 .49599 L
.51043 .49645 L
.51106 .49759 L
.51204 .49858 L
.51258 .4992 L
.51204 .49988 L
.51043 .49996 L
.50883 .50006 L
.5073 .4992 L
.50722 .49912 L
.50607 .49759 L
.50562 .49704 L
.50463 .49599 L
.50401 .49494 L
.50357 .49438 L
.50241 .49278 L
.50238 .49278 L
.50115 .49117 L
.5008 .49086 L
.49955 .48957 L
.4992 .48872 L
.49857 .48796 L
.49759 .48658 L
.49745 .48636 L
.49621 .48475 L
.49599 .48446 L
.49499 .48314 L
.49438 .4827 L
.49354 .48154 L
.49278 .4804 L
.49248 .47993 L
.49128 .47833 L
.49117 .47819 L
.49007 .47672 L
.48957 .47607 L
.48847 .47512 L
.48796 .47397 L
.4875 .47351 L
.48636 .47191 L
.48635 .47191 L
.48518 .4703 L
.48636 .46972 L
.48796 .46959 L
.489 .4687 L
.48796 .4673 L
.48768 .46709 L
.48663 .46549 L
.48636 .46514 L
.48543 .46388 L
.48475 .46304 L
.48419 .46228 L
.48314 .46124 L
.48292 .46067 L
.48166 .45907 L
.48154 .45892 L
.48044 .45746 L
.47993 .45685 L
.47918 .45586 L
.47833 .45484 L
.47787 .45425 L
.47672 .4529 L
.47652 .45265 L
.47512 .45104 L
.47511 .45104 L
.47368 .44943 L
.47351 .44927 L
.47211 .44783 L
.47191 .44765 L
.47038 .44622 L
.4703 .44616 L
.4687 .44467 L
.46851 .44462 L
.46709 .44346 L
.46646 .44301 L
.46549 .44224 L
.46429 .44141 L
.46388 .44105 L
.46248 .4398 L
.46228 .43969 L
.46091 .4382 L
.46067 .43792 L
.45958 .43659 L
.45907 .43572 L
.45833 .43499 L
.45746 .43379 L
.45711 .43338 L
.45586 .43178 L
.45586 .43177 L
.45464 .43017 L
.45425 .42964 L
.45345 .42857 L
.45265 .4275 L
.45227 .42696 L
.45104 .42536 L
.45104 .42536 L
.44986 .42375 L
.44943 .42321 L
.44875 .42215 L
.44783 .42105 L
.44741 .42054 L
.44622 .41894 L
.44622 .41894 L
.44512 .41733 L
.44462 .41675 L
.44376 .41572 L
.44301 .4145 L
.44254 .41412 L
.44141 .41259 L
.44135 .41251 L
.44025 .41091 L
.4398 .41039 L
.43886 .4093 L
.4382 .40806 L
.43763 .4077 L
.43659 .4063 L
.43642 .40609 L
.43527 .40449 L
.43499 .40415 L
.43433 .40288 L
.43338 .40188 L
.4327 .40128 L
.43178 .40003 L
.43149 .39967 L
.43029 .39807 L
.43017 .39791 L
.42923 .39646 L
.42857 .39571 L
.42778 .39486 L
.42696 .39345 L
.42655 .39325 L
.42536 .39166 L
.42535 .39165 L
.42421 .39004 L
.42375 .3895 L
.42325 .38844 L
.42215 .38729 L
.42163 .38683 L
.42054 .38538 L
.42042 .38523 L
.41922 .38362 L
.41894 .38326 L
.41817 .38201 L
.41733 .38109 L
.4167 .38041 L
.41572 .37894 L
.41549 .3788 L
.41426 .3772 L
.41412 .377 L
.41314 .37559 L
.41251 .37485 L
.41217 .37399 L
.41091 .3727 L
.41057 .37238 L
.40934 .37078 L
.4093 .37072 L
.40815 .36917 L
.4077 .3686 L
.4071 .36757 L
.40609 .36645 L
.40565 .36596 L
.40449 .36439 L
.40444 .36436 L
.40318 .36275 L
.40288 .36233 L
.40209 .36115 L
.40128 .36019 L
.40107 .35954 L
.39967 .35807 L
.39953 .35794 L
.39823 .35633 L
.39807 .35605 L
.39711 .35473 L
.39646 .3539 L
.39604 .35312 L
.39486 .35176 L
.39464 .35152 L
.39327 .34991 L
.39325 .34974 L
.39215 .3483 L
.39165 .3476 L
.39107 .3467 L
.39004 .34543 L
.38994 .34509 L
.38858 .34349 L
.38844 .34342 L
.38719 .34188 L
.38683 .34127 L
.38614 .34028 L
.38523 .33905 L
.38502 .33867 L
.38377 .33707 L
.38362 .33687 L
.38221 .33546 L
.38201 .3349 L
.38129 .33386 L
.38041 .33256 L
.38022 .33225 L
.37907 .33065 L
.3788 .33028 L
.37793 .32904 L
.3772 .328 L
.37662 .32744 L
.37574 .32583 L
.37559 .32562 L
.37475 .32423 L
.37399 .32289 L
.37385 .32262 L
F
1 .78 .001 r
.37399 .4254 m
.37551 .42696 L
.37559 .42705 L
.37696 .42857 L
.3772 .42882 L
.37836 .43017 L
.3788 .43066 L
.37974 .43178 L
.38041 .43254 L
.38111 .43338 L
.38201 .43432 L
.38246 .43499 L
.38362 .43638 L
.38385 .43659 L
.38509 .4382 L
.38523 .43836 L
.38639 .4398 L
.38683 .44008 L
.38769 .44141 L
.38844 .44225 L
.38926 .44301 L
.39004 .44433 L
.39029 .44462 L
.39154 .44622 L
.39165 .44636 L
.3928 .44783 L
.39325 .44824 L
.39407 .44943 L
.39486 .45038 L
.39546 .45104 L
.39646 .45247 L
.3966 .45265 L
.39785 .45425 L
.39807 .45434 L
.3991 .45586 L
.39967 .45647 L
.40064 .45746 L
.40128 .45861 L
.40165 .45907 L
.40286 .46067 L
.40288 .4607 L
.4041 .46228 L
.40449 .4626 L
.40588 .46388 L
.40609 .46478 L
.40671 .46549 L
.4077 .46691 L
.40783 .46709 L
.40906 .4687 L
.4093 .46874 L
.41029 .4703 L
.41091 .47095 L
.4118 .47191 L
.41251 .47314 L
.41281 .47351 L
.414 .47512 L
.41412 .47526 L
.41522 .47672 L
.41572 .47711 L
.41697 .47833 L
.41733 .47938 L
.4178 .47993 L
.41892 .48154 L
.41894 .48155 L
.42013 .48314 L
.42054 .48367 L
.42135 .48475 L
.42215 .48561 L
.42281 .48636 L
.42375 .48787 L
.42382 .48796 L
.42501 .48957 L
.42536 .49001 L
.42621 .49117 L
.42696 .49183 L
.42786 .49278 L
.42857 .49422 L
.4287 .49438 L
.42985 .49599 L
.43017 .49641 L
.43104 .49759 L
.43178 .49856 L
.43224 .4992 L
.43338 .50065 L
.43351 .5008 L
.43462 .50241 L
.43499 .50289 L
.43578 .50401 L
.43659 .50509 L
.43696 .50562 L
.43815 .50722 L
.4382 .50729 L
.43925 .50883 L
.4398 .50958 L
.44036 .51043 L
.44141 .5119 L
.4415 .51204 L
.44248 .51364 L
.44301 .51449 L
.44331 .51525 L
.44301 .51548 L
.44276 .51525 L
.44141 .51399 L
.44109 .51364 L
.4398 .51248 L
.43959 .51204 L
.4382 .51048 L
.43812 .51043 L
.43678 .50883 L
.43659 .50862 L
.43541 .50722 L
.43499 .50674 L
.43405 .50562 L
.43338 .505 L
.4327 .50401 L
.43178 .50291 L
.43125 .50241 L
.43017 .50092 L
.43008 .5008 L
.42877 .4992 L
.42857 .49915 L
.42747 .49759 L
.42696 .49704 L
.42581 .49599 L
.42536 .49496 L
.42486 .49438 L
.42375 .49293 L
.42365 .49278 L
.42235 .49117 L
.42215 .49101 L
.42107 .48957 L
.42054 .48893 L
.41967 .48796 L
.41894 .48684 L
.41857 .48636 L
.41733 .4848 L
.41731 .48475 L
.41603 .48314 L
.41572 .48283 L
.41448 .48154 L
.41412 .48071 L
.41349 .47993 L
.41251 .47861 L
.41234 .47833 L
.41103 .47672 L
.41091 .47664 L
.40979 .47512 L
.4093 .47455 L
.40841 .47351 L
.4077 .47242 L
.40733 .47191 L
.40609 .47034 L
.40608 .4703 L
.40483 .4687 L
.40449 .46836 L
.40331 .46709 L
.40288 .46621 L
.40232 .46549 L
.40128 .46407 L
.40117 .46388 L
.3999 .46228 L
.39967 .46216 L
.39868 .46067 L
.39807 .45997 L
.39731 .45907 L
.39646 .45779 L
.39623 .45746 L
.395 .45586 L
.39486 .45567 L
.39379 .45425 L
.39325 .45374 L
.39227 .45265 L
.39165 .45149 L
.39131 .45104 L
.39014 .44943 L
.39004 .44931 L
.38894 .44783 L
.38844 .44756 L
.38773 .44622 L
.38683 .44514 L
.38641 .44462 L
.38532 .44301 L
.38523 .44289 L
.38414 .44141 L
.38362 .44072 L
.38295 .4398 L
.38201 .43872 L
.38159 .4382 L
.38059 .43659 L
.38041 .43635 L
.37944 .43499 L
.3788 .43412 L
.37828 .43338 L
.3772 .43189 L
.37702 .43178 L
.37604 .43017 L
.37559 .42955 L
.37496 .42857 L
.37399 .42714 L
.37388 .42696 L
F
.002 .8 1 r
.37399 .44552 m
.37435 .44622 L
.37399 .44632 L
.37391 .44622 L
F
1 .65 0 r
.37399 .43885 m
.37468 .4398 L
.37559 .4408 L
.37603 .44141 L
.3772 .44277 L
.37737 .44301 L
.3772 .44415 L
.3764 .44301 L
.37559 .44203 L
.37516 .44141 L
.37399 .4399 L
.37392 .4398 L
F
.538 .98 1 r
.37399 .3839 m
.37559 .38417 L
.37628 .38523 L
.3772 .38591 L
.3779 .38683 L
.3788 .38774 L
.37934 .38844 L
.38041 .38967 L
.38083 .39004 L
.38201 .39164 L
.38203 .39165 L
.38329 .39325 L
.38362 .39331 L
.38454 .39486 L
.38523 .39552 L
.38613 .39646 L
.38683 .39774 L
.38708 .39807 L
.38823 .39967 L
.38844 .39994 L
.3894 .40128 L
.39004 .40217 L
.39054 .40288 L
.39161 .40449 L
.39165 .40456 L
.3923 .40609 L
.39165 .40677 L
.39026 .40609 L
.39004 .40595 L
.38844 .40453 L
.3884 .40449 L
.38691 .40288 L
.38683 .40285 L
.38554 .40128 L
.38523 .40097 L
.38373 .39967 L
.38362 .39894 L
.38286 .39807 L
.38201 .39686 L
.38174 .39646 L
.38047 .39486 L
.38041 .39478 L
.37926 .39325 L
.3788 .39294 L
.37785 .39165 L
.3772 .39053 L
.37692 .39004 L
.37583 .38844 L
.37559 .38807 L
.37482 .38683 L
.37399 .38528 L
.37393 .38523 L
F
0 .65 1 r
.37399 .43224 m
.37501 .43338 L
.37559 .43396 L
.37645 .43499 L
.3772 .43579 L
.37785 .43659 L
.3788 .43769 L
.37921 .4382 L
.38041 .43961 L
.38056 .4398 L
.38187 .44141 L
.38201 .44158 L
.38314 .44301 L
.38362 .44358 L
.38443 .44462 L
.38523 .44558 L
.38572 .44622 L
.38683 .44744 L
.38702 .44783 L
.38828 .44943 L
.38844 .44962 L
.38952 .45104 L
.39004 .45167 L
.39078 .45265 L
.39165 .45372 L
.39205 .45425 L
.39325 .45574 L
.39337 .45586 L
.39453 .45746 L
.39486 .45786 L
.39576 .45907 L
.39646 .45994 L
.397 .46067 L
.39807 .46185 L
.39826 .46228 L
.39948 .46388 L
.39967 .46413 L
.40067 .46549 L
.40128 .46625 L
.40189 .46709 L
.40288 .46836 L
.40313 .4687 L
.40434 .4703 L
.40449 .47049 L
.40551 .47191 L
.40609 .47266 L
.4067 .47351 L
.4077 .47481 L
.40791 .47512 L
.40909 .47672 L
.4093 .477 L
.41021 .47833 L
.41091 .47926 L
.41136 .47993 L
.41251 .48151 L
.41253 .48154 L
.41251 .48311 L
.41114 .48154 L
.41091 .4813 L
.40976 .47993 L
.4093 .47943 L
.40839 .47833 L
.4077 .47753 L
.40704 .47672 L
.40609 .47559 L
.40571 .47512 L
.40449 .47367 L
.40427 .47351 L
.40311 .47191 L
.40288 .47163 L
.40183 .4703 L
.40128 .46963 L
.40054 .4687 L
.39967 .46796 L
.39926 .46709 L
.39807 .46561 L
.39794 .46549 L
.39674 .46388 L
.39646 .46354 L
.39548 .46228 L
.39486 .46149 L
.39422 .46067 L
.39325 .45958 L
.39266 .45907 L
.39173 .45746 L
.39165 .45736 L
.39051 .45586 L
.39004 .45526 L
.38927 .45425 L
.38844 .45358 L
.38803 .45265 L
.38683 .45109 L
.38679 .45104 L
.38561 .44943 L
.38523 .44894 L
.3844 .44783 L
.38362 .44681 L
.38318 .44622 L
.38201 .44472 L
.38192 .44462 L
.38081 .44301 L
.38041 .4425 L
.37963 .44141 L
.3788 .44031 L
.37844 .4398 L
.37727 .4382 L
.3772 .4381 L
.37618 .43659 L
.37559 .43579 L
.37507 .43499 L
.37399 .43344 L
.37395 .43338 L
F
1 .97 .395 r
.37559 .41393 m
.3758 .41412 L
.3772 .41542 L
.37746 .41572 L
.3788 .41714 L
.37907 .41733 L
.38041 .4189 L
.38044 .41894 L
.38187 .42054 L
.38201 .42066 L
.38326 .42215 L
.38362 .42257 L
.38498 .42375 L
.38523 .42452 L
.38599 .42536 L
.38683 .4265 L
.38718 .42696 L
.38844 .42847 L
.38863 .42857 L
.38993 .43017 L
.39004 .43032 L
.39128 .43178 L
.39165 .43237 L
.39242 .43338 L
.39325 .43448 L
.3935 .43499 L
.39486 .43631 L
.39509 .43659 L
.39639 .4382 L
.39646 .43836 L
.39758 .4398 L
.39807 .44049 L
.39867 .44141 L
.39967 .44268 L
.40015 .44301 L
.40128 .44448 L
.40139 .44462 L
.40266 .44622 L
.40288 .44658 L
.40378 .44783 L
.40449 .44876 L
.40479 .44943 L
.40609 .45066 L
.4064 .45104 L
.40765 .45265 L
.4077 .45275 L
.40884 .45425 L
.4093 .4549 L
.4099 .45586 L
.41091 .4571 L
.41137 .45746 L
.41251 .45896 L
.41259 .45907 L
.41386 .46067 L
.41412 .46109 L
.41496 .46228 L
.41572 .46326 L
.41596 .46388 L
.41733 .46541 L
.41755 .46549 L
.41883 .46709 L
.41894 .46731 L
.41999 .4687 L
.42054 .46946 L
.42105 .4703 L
.42215 .47162 L
.4225 .47191 L
.42375 .47351 L
.42375 .47356 L
.425 .47512 L
.42536 .47567 L
.42609 .47672 L
.42696 .47783 L
.42712 .47833 L
.42857 .47989 L
.42866 .47993 L
.42999 .48154 L
.43017 .48191 L
.43111 .48314 L
.43178 .48405 L
.43218 .48475 L
.43338 .48617 L
.43359 .48636 L
.43497 .48796 L
.43499 .48816 L
.43612 .48957 L
.43659 .49028 L
.43721 .49117 L
.4382 .49241 L
.43829 .49278 L
.43975 .49438 L
.4398 .49444 L
.44113 .49599 L
.44141 .49652 L
.44222 .49759 L
.44301 .49866 L
.44331 .4992 L
.44462 .50074 L
.44468 .5008 L
.44617 .50241 L
.44622 .50277 L
.44723 .50401 L
.44783 .5049 L
.44832 .50562 L
.44943 .50702 L
.44947 .50722 L
.45083 .50883 L
.45104 .50902 L
.45226 .51043 L
.45265 .51114 L
.45332 .51204 L
.45425 .51328 L
.45444 .51364 L
.45576 .51525 L
.45586 .5153 L
.45734 .51686 L
.45746 .51737 L
.45833 .51846 L
.45907 .51953 L
.45942 .52007 L
.46067 .52166 L
.46067 .52167 L
.4619 .52328 L
.46228 .52359 L
.46337 .52488 L
.46388 .52578 L
.4644 .52649 L
.46549 .52794 L
.46557 .52809 L
.46682 .5297 L
.46709 .5298 L
.46846 .5313 L
.4687 .53201 L
.4694 .53291 L
.4703 .53421 L
.4705 .53451 L
.47173 .53612 L
.47191 .53635 L
.47294 .53772 L
.47351 .53821 L
.47442 .53933 L
.47512 .54047 L
.47545 .54093 L
.47663 .54254 L
.47672 .54265 L
.47784 .54414 L
.47833 .54478 L
.47949 .54575 L
.47993 .54673 L
.4804 .54735 L
.48152 .54896 L
.48154 .54898 L
.48271 .55057 L
.48314 .55112 L
.48392 .55217 L
.48475 .55299 L
.48535 .55378 L
.48636 .55535 L
.48638 .55538 L
.48755 .55699 L
.48796 .55752 L
.48874 .55859 L
.48957 .55967 L
.49026 .5602 L
.49116 .5618 L
.49117 .56182 L
.49231 .56341 L
.49278 .56403 L
.49347 .56501 L
.49438 .56624 L
.49464 .56662 L
.49578 .56822 L
.49599 .5685 L
.49686 .56983 L
.49759 .57087 L
.49794 .57143 L
.49896 .57304 L
.4992 .57343 L
.49965 .57464 L
.4992 .57487 L
.49891 .57464 L
.49759 .57352 L
.4971 .57304 L
.49599 .57201 L
.49552 .57143 L
.49438 .5702 L
.49384 .56983 L
.49278 .5684 L
.49259 .56822 L
.49118 .56662 L
.49117 .56661 L
.48979 .56501 L
.48957 .56475 L
.48801 .56341 L
.48796 .5628 L
.48706 .5618 L
.48636 .5608 L
.4859 .5602 L
.48475 .55878 L
.48442 .55859 L
.48314 .557 L
.48313 .55699 L
.48178 .55538 L
.48154 .55496 L
.48063 .55378 L
.47993 .55285 L
.47955 .55217 L
.47833 .55101 L
.47797 .55057 L
.47672 .54896 L
.47672 .54896 L
.47547 .54735 L
.47512 .54685 L
.47437 .54575 L
.47351 .54465 L
.47291 .54414 L
.47191 .54284 L
.47167 .54254 L
.47041 .54093 L
.4703 .54075 L
.46926 .53933 L
.4687 .53858 L
.46824 .53772 L
.46709 .53634 L
.46666 .53612 L
.46549 .53457 L
.46544 .53451 L
.46421 .53291 L
.46388 .53243 L
.46313 .5313 L
.46228 .53022 L
.46169 .5297 L
.46067 .52835 L
.46047 .52809 L
.45922 .52649 L
.45907 .52624 L
.45808 .52488 L
.45746 .52406 L
.45707 .52328 L
.45586 .52187 L
.45551 .52167 L
.45427 .52007 L
.45425 .52001 L
.45306 .51846 L
.45265 .51787 L
.45199 .51686 L
.45104 .51569 L
.45057 .51525 L
.44943 .51376 L
.44935 .51364 L
.44807 .51204 L
.44783 .51164 L
.44696 .51043 L
.44622 .50949 L
.44593 .50883 L
.44462 .50736 L
.44441 .50722 L
.4431 .50562 L
.44301 .5054 L
.44195 .50401 L
.44141 .50327 L
.44087 .50241 L
.4398 .50113 L
.43947 .5008 L
.43825 .4992 L
.4382 .49914 L
.43694 .49759 L
.43659 .49703 L
.43585 .49599 L
.43499 .49489 L
.43479 .49438 L
.43338 .49283 L
.43332 .49278 L
.43194 .49117 L
.43178 .49079 L
.43084 .48957 L
.43017 .48866 L
.42975 .48796 L
.42857 .48654 L
.42839 .48636 L
.42716 .48475 L
.42696 .48453 L
.42582 .48314 L
.42536 .48241 L
.42474 .48154 L
.42375 .48028 L
.42363 .47993 L
.42224 .47833 L
.42215 .47826 L
.4208 .47672 L
.42054 .47617 L
.41973 .47512 L
.41894 .47403 L
.41863 .47351 L
.41733 .47193 L
.41731 .47191 L
.41609 .4703 L
.41572 .46994 L
.41472 .4687 L
.41412 .46778 L
.41364 .46709 L
.41251 .46565 L
.41246 .46549 L
.41117 .46388 L
.41091 .4637 L
.40968 .46228 L
.4093 .46154 L
.40865 .46067 L
.4077 .45938 L
.40752 .45907 L
.40625 .45746 L
.40609 .45726 L
.40456 .45586 L
.40449 .45532 L
.40364 .45425 L
.40288 .45311 L
.40257 .45265 L
.40134 .45104 L
.40128 .45096 L
.40013 .44943 L
.39967 .44912 L
.39861 .44783 L
.39807 .44686 L
.39761 .44622 L
.39646 .44465 L
.39644 .44462 L
.39524 .44301 L
.39486 .44252 L
.39349 .44141 L
.39325 .44061 L
.39264 .4398 L
.39165 .43833 L
.39156 .4382 L
.39037 .43659 L
.39004 .43617 L
.38916 .43499 L
.38844 .43437 L
.38768 .43338 L
.38683 .43197 L
.3867 .43178 L
.38554 .43017 L
.38523 .42976 L
.38436 .42857 L
.38362 .4276 L
.38274 .42696 L
.38201 .42548 L
.38192 .42536 L
.38081 .42375 L
.38041 .42322 L
.37966 .42215 L
.3788 .42098 L
.3785 .42054 L
.37737 .41894 L
.3772 .4187 L
.37632 .41733 L
.37559 .41627 L
.37527 .41572 L
.37435 .41412 L
F
1 .77 .001 r
.37559 .42722 m
.37682 .42857 L
.3772 .42895 L
.37826 .43017 L
.3788 .43076 L
.37966 .43178 L
.38041 .43263 L
.38104 .43338 L
.38201 .43441 L
.38239 .43499 L
.38362 .43645 L
.38377 .43659 L
.38503 .4382 L
.38523 .43842 L
.38634 .4398 L
.38683 .44013 L
.38764 .44141 L
.38844 .44231 L
.38921 .44301 L
.39004 .44438 L
.39025 .44462 L
.3915 .44622 L
.39165 .4464 L
.39277 .44783 L
.39325 .44828 L
.39404 .44943 L
.39486 .45042 L
.39543 .45104 L
.39646 .4525 L
.39657 .45265 L
.39782 .45425 L
.39807 .45435 L
.39907 .45586 L
.39967 .45651 L
.40061 .45746 L
.40128 .45864 L
.40163 .45907 L
.40284 .46067 L
.40288 .46073 L
.40407 .46228 L
.40449 .46262 L
.40587 .46388 L
.40609 .46481 L
.40669 .46549 L
.4077 .46694 L
.40781 .46709 L
.40904 .4687 L
.4093 .46875 L
.41027 .4703 L
.41091 .47098 L
.41178 .47191 L
.41251 .47317 L
.41279 .47351 L
.41398 .47512 L
.41412 .4753 L
.4152 .47672 L
.41572 .47714 L
.41695 .47833 L
.41733 .47941 L
.41777 .47993 L
.4189 .48154 L
.41894 .48159 L
.4201 .48314 L
.42054 .4837 L
.42132 .48475 L
.42215 .48565 L
.42277 .48636 L
.42375 .48791 L
.42379 .48796 L
.42498 .48957 L
.42536 .49005 L
.42618 .49117 L
.42696 .49187 L
.42781 .49278 L
.42857 .49427 L
.42866 .49438 L
.42981 .49599 L
.43017 .49645 L
.431 .49759 L
.43178 .49861 L
.43221 .4992 L
.43338 .50073 L
.43344 .5008 L
.43457 .50241 L
.43499 .50296 L
.43573 .50401 L
.43659 .50516 L
.43691 .50562 L
.43808 .50722 L
.4382 .50738 L
.43917 .50883 L
.4398 .5097 L
.44028 .51043 L
.4414 .51204 L
.44141 .51205 L
.44227 .51364 L
.44141 .51378 L
.44127 .51364 L
.4398 .51221 L
.43972 .51204 L
.43828 .51043 L
.4382 .51035 L
.43687 .50883 L
.43659 .50852 L
.43549 .50722 L
.43499 .50665 L
.43412 .50562 L
.43338 .50492 L
.43277 .50401 L
.43178 .50284 L
.43132 .50241 L
.43017 .50085 L
.43013 .5008 L
.42882 .4992 L
.42857 .49913 L
.42752 .49759 L
.42696 .49698 L
.42585 .49599 L
.42536 .49491 L
.4249 .49438 L
.42375 .49288 L
.42368 .49278 L
.42238 .49117 L
.42215 .49098 L
.42111 .48957 L
.42054 .48888 L
.4197 .48796 L
.41894 .4868 L
.4186 .48636 L
.41733 .48476 L
.41733 .48475 L
.41606 .48314 L
.41572 .48279 L
.4145 .48154 L
.41412 .48068 L
.41352 .47993 L
.41251 .47858 L
.41236 .47833 L
.41106 .47672 L
.41091 .47662 L
.40982 .47512 L
.4093 .47452 L
.40844 .47351 L
.4077 .47239 L
.40735 .47191 L
.40609 .4703 L
.40609 .4703 L
.40486 .4687 L
.40449 .46833 L
.40333 .46709 L
.40288 .46617 L
.40235 .46549 L
.40128 .46404 L
.40118 .46388 L
.39993 .46228 L
.39967 .46214 L
.3987 .46067 L
.39807 .45994 L
.39734 .45907 L
.39646 .45776 L
.39626 .45746 L
.39503 .45586 L
.39486 .45563 L
.39382 .45425 L
.39325 .45371 L
.3923 .45265 L
.39165 .45144 L
.39134 .45104 L
.39017 .44943 L
.39004 .44927 L
.38897 .44783 L
.38844 .44752 L
.38776 .44622 L
.38683 .44508 L
.38646 .44462 L
.38536 .44301 L
.38523 .44283 L
.38419 .44141 L
.38362 .44066 L
.383 .4398 L
.38201 .43863 L
.38166 .4382 L
.38065 .43659 L
.38041 .43628 L
.3795 .43499 L
.3788 .43404 L
.37835 .43338 L
.3772 .43179 L
.37718 .43178 L
.37614 .43017 L
.37559 .4294 L
.37507 .42857 L
F
0 .64 1 r
.37559 .4341 m
.37634 .43499 L
.3772 .4359 L
.37776 .43659 L
.3788 .43777 L
.37914 .4382 L
.38041 .43969 L
.3805 .4398 L
.3818 .44141 L
.38201 .44166 L
.38308 .44301 L
.38362 .44364 L
.38438 .44462 L
.38523 .44564 L
.38568 .44622 L
.38683 .44753 L
.38697 .44783 L
.38823 .44943 L
.38844 .44968 L
.38948 .45104 L
.39004 .45173 L
.39074 .45265 L
.39165 .45377 L
.39201 .45425 L
.39325 .45581 L
.3933 .45586 L
.39449 .45746 L
.39486 .45791 L
.39572 .45907 L
.39646 .46 L
.39696 .46067 L
.39807 .46193 L
.39822 .46228 L
.39943 .46388 L
.39967 .46418 L
.40063 .46549 L
.40128 .4663 L
.40185 .46709 L
.40288 .46842 L
.40309 .4687 L
.40429 .4703 L
.40449 .47055 L
.40546 .47191 L
.40609 .47272 L
.40665 .47351 L
.4077 .47488 L
.40786 .47512 L
.40902 .47672 L
.4093 .47709 L
.41013 .47833 L
.41091 .47936 L
.41128 .47993 L
.41091 .48118 L
.40986 .47993 L
.4093 .47933 L
.40847 .47833 L
.4077 .47744 L
.40711 .47672 L
.40609 .47551 L
.40577 .47512 L
.40449 .47357 L
.40441 .47351 L
.40317 .47191 L
.40288 .47156 L
.40188 .4703 L
.40128 .46957 L
.40059 .4687 L
.39967 .46787 L
.39931 .46709 L
.39807 .46554 L
.39801 .46549 L
.39679 .46388 L
.39646 .46348 L
.39553 .46228 L
.39486 .46143 L
.39427 .46067 L
.39325 .4595 L
.39275 .45907 L
.39178 .45746 L
.39165 .4573 L
.39055 .45586 L
.39004 .45521 L
.38932 .45425 L
.38844 .4535 L
.38808 .45265 L
.38685 .45104 L
.38683 .45101 L
.38566 .44943 L
.38523 .44888 L
.38445 .44783 L
.38362 .44675 L
.38323 .44622 L
.38202 .44462 L
.38201 .44461 L
.38087 .44301 L
.38041 .44242 L
.37969 .44141 L
.3788 .44022 L
.37851 .4398 L
.37736 .4382 L
.3772 .43799 L
.37628 .43659 L
.37559 .43565 L
.37517 .43499 L
F
1 .76 .001 r
.37559 .42742 m
.37667 .42857 L
.3772 .42909 L
.37815 .43017 L
.3788 .43087 L
.37957 .43178 L
.38041 .43272 L
.38096 .43338 L
.38201 .43451 L
.38233 .43499 L
.38362 .43653 L
.38369 .43659 L
.38498 .4382 L
.38523 .43849 L
.38629 .4398 L
.38683 .44017 L
.38759 .44141 L
.38844 .44236 L
.38915 .44301 L
.39004 .44443 L
.39021 .44462 L
.39146 .44622 L
.39165 .44645 L
.39273 .44783 L
.39325 .44832 L
.394 .44943 L
.39486 .45046 L
.39539 .45104 L
.39646 .45254 L
.39654 .45265 L
.39779 .45425 L
.39807 .45437 L
.39905 .45586 L
.39967 .45654 L
.40058 .45746 L
.40128 .45868 L
.4016 .45907 L
.40281 .46067 L
.40288 .46076 L
.40404 .46228 L
.40449 .46265 L
.40585 .46388 L
.40609 .46484 L
.40666 .46549 L
.4077 .46697 L
.40779 .46709 L
.40901 .4687 L
.4093 .46876 L
.41024 .4703 L
.41091 .47101 L
.41175 .47191 L
.41251 .4732 L
.41276 .47351 L
.41396 .47512 L
.41412 .47533 L
.41517 .47672 L
.41572 .47716 L
.41692 .47833 L
.41733 .47944 L
.41775 .47993 L
.41887 .48154 L
.41894 .48162 L
.42008 .48314 L
.42054 .48374 L
.4213 .48475 L
.42215 .48569 L
.42274 .48636 L
.42375 .48795 L
.42376 .48796 L
.42495 .48957 L
.42536 .49009 L
.42616 .49117 L
.42696 .49192 L
.42777 .49278 L
.42857 .49432 L
.42862 .49438 L
.42978 .49599 L
.43017 .4965 L
.43096 .49759 L
.43178 .49866 L
.43217 .4992 L
.43338 .5008 L
.43338 .50081 L
.43452 .50241 L
.43499 .50302 L
.43568 .50401 L
.43659 .50523 L
.43686 .50562 L
.43801 .50722 L
.4382 .50748 L
.43909 .50883 L
.4398 .50982 L
.44019 .51043 L
.4398 .51196 L
.4384 .51043 L
.4382 .51023 L
.43697 .50883 L
.43659 .50841 L
.43557 .50722 L
.43499 .50656 L
.43419 .50562 L
.43338 .50484 L
.43284 .50401 L
.43178 .50276 L
.4314 .50241 L
.43019 .5008 L
.43017 .50079 L
.42888 .4992 L
.42857 .49911 L
.42757 .49759 L
.42696 .49693 L
.42589 .49599 L
.42536 .49485 L
.42494 .49438 L
.42375 .49283 L
.42371 .49278 L
.42242 .49117 L
.42215 .49095 L
.42115 .48957 L
.42054 .48884 L
.41974 .48796 L
.41894 .48675 L
.41863 .48636 L
.41735 .48475 L
.41733 .48472 L
.4161 .48314 L
.41572 .48276 L
.41452 .48154 L
.41412 .48064 L
.41355 .47993 L
.41251 .47854 L
.41238 .47833 L
.41109 .47672 L
.41091 .4766 L
.40984 .47512 L
.4093 .47449 L
.40846 .47351 L
.4077 .47235 L
.40738 .47191 L
.40612 .4703 L
.40609 .47027 L
.40489 .4687 L
.40449 .46831 L
.40335 .46709 L
.40288 .46614 L
.40237 .46549 L
.40128 .464 L
.4012 .46388 L
.39996 .46228 L
.39967 .46212 L
.39873 .46067 L
.39807 .4599 L
.39737 .45907 L
.39646 .45772 L
.39628 .45746 L
.39506 .45586 L
.39486 .45559 L
.39385 .45425 L
.39325 .45367 L
.39233 .45265 L
.39165 .4514 L
.39137 .45104 L
.39021 .44943 L
.39004 .44922 L
.38901 .44783 L
.38844 .44748 L
.3878 .44622 L
.38683 .44503 L
.3865 .44462 L
.3854 .44301 L
.38523 .44278 L
.38423 .44141 L
.38362 .4406 L
.38304 .4398 L
.38201 .43854 L
.38174 .4382 L
.38071 .43659 L
.38041 .4362 L
.37957 .43499 L
.3788 .43395 L
.37842 .43338 L
.37728 .43178 L
.3772 .43166 L
.37624 .43017 L
.37559 .42923 L
.3752 .42857 L
F
.061 .91 1 r
.37559 .42082 m
.37695 .42215 L
.3772 .42237 L
.37849 .42375 L
.3788 .42408 L
.37995 .42536 L
.38041 .42586 L
.38137 .42696 L
.38201 .42756 L
.38276 .42857 L
.38362 .42956 L
.38432 .43017 L
.38523 .43151 L
.38547 .43178 L
.38679 .43338 L
.38683 .4334 L
.38811 .43499 L
.38844 .43535 L
.38984 .43659 L
.39004 .43738 L
.39078 .4382 L
.39165 .43941 L
.39194 .4398 L
.39325 .44138 L
.39325 .44141 L
.39457 .44301 L
.39486 .44337 L
.39599 .44462 L
.39646 .44544 L
.39708 .44622 L
.39807 .44751 L
.39824 .44783 L
.39963 .44943 L
.39967 .44948 L
.40114 .45104 L
.40128 .45153 L
.40219 .45265 L
.40288 .45364 L
.4033 .45425 L
.40449 .45571 L
.40449 .45586 L
.4059 .45746 L
.40609 .45769 L
.40728 .45907 L
.4077 .45979 L
.40836 .46067 L
.4093 .46191 L
.40949 .46228 L
.41088 .46388 L
.41091 .46391 L
.41236 .46549 L
.41251 .46598 L
.41341 .46709 L
.41412 .4681 L
.41451 .4687 L
.41572 .47019 L
.41584 .4703 L
.41707 .47191 L
.41733 .4722 L
.41846 .47351 L
.41894 .47431 L
.41954 .47512 L
.42054 .47643 L
.42068 .47672 L
.42202 .47833 L
.42215 .47844 L
.42353 .47993 L
.42375 .48054 L
.42456 .48154 L
.42536 .48267 L
.42566 .48314 L
.42696 .48475 L
.42696 .48475 L
.42818 .48636 L
.42857 .48676 L
.42959 .48796 L
.43017 .48891 L
.43065 .48957 L
.43178 .49103 L
.43184 .49117 L
.43311 .49278 L
.43338 .493 L
.43466 .49438 L
.43499 .49515 L
.43565 .49599 L
.43659 .49731 L
.43677 .49759 L
.43803 .4992 L
.4382 .49924 L
.43924 .5008 L
.4398 .50138 L
.44066 .50241 L
.44141 .50358 L
.44172 .50401 L
.44293 .50562 L
.44301 .50572 L
.44414 .50722 L
.44462 .50759 L
.44572 .50883 L
.44622 .50985 L
.44668 .51043 L
.44783 .51204 L
.44783 .51204 L
.44903 .51364 L
.44943 .51417 L
.45024 .51525 L
.45104 .51612 L
.45163 .51686 L
.45265 .51838 L
.4527 .51846 L
.45389 .52007 L
.45425 .52053 L
.45509 .52167 L
.45586 .52238 L
.4566 .52328 L
.45746 .52477 L
.45755 .52488 L
.4587 .52649 L
.45907 .52696 L
.45989 .52809 L
.46067 .52912 L
.46109 .5297 L
.46228 .53127 L
.4623 .5313 L
.46343 .53291 L
.46388 .5335 L
.46458 .53451 L
.46549 .53573 L
.46575 .53612 L
.46689 .53772 L
.46709 .53801 L
.46795 .53933 L
.4687 .5404 L
.46902 .54093 L
.47001 .54254 L
.4687 .54264 L
.4686 .54254 L
.46709 .54102 L
.46702 .54093 L
.46555 .53933 L
.46549 .53926 L
.46412 .53772 L
.46388 .53747 L
.46271 .53612 L
.46228 .53578 L
.46133 .53451 L
.46067 .53375 L
.45968 .53291 L
.45907 .53178 L
.45863 .5313 L
.45746 .52984 L
.45737 .5297 L
.45599 .52809 L
.45586 .52795 L
.45467 .52649 L
.45425 .52594 L
.45331 .52488 L
.45265 .5239 L
.45219 .52328 L
.45104 .52187 L
.45098 .52167 L
.44953 .52007 L
.44943 .51995 L
.44811 .51846 L
.44783 .51789 L
.44702 .51686 L
.44622 .5158 L
.4459 .51525 L
.44462 .51375 L
.44445 .51364 L
.44302 .51204 L
.44301 .51181 L
.4419 .51043 L
.44141 .5097 L
.4408 .50883 L
.4398 .50759 L
.43971 .50722 L
.4382 .50562 L
.43818 .50562 L
.43683 .50401 L
.43659 .50356 L
.43572 .50241 L
.43499 .50143 L
.43464 .5008 L
.43338 .49934 L
.43319 .4992 L
.43181 .49759 L
.43178 .49737 L
.43067 .49599 L
.43017 .49525 L
.42958 .49438 L
.42857 .49312 L
.4285 .49278 L
.427 .49117 L
.42696 .49113 L
.42564 .48957 L
.42536 .48904 L
.42455 .48796 L
.42375 .48691 L
.42346 .48636 L
.42215 .48483 L
.42205 .48475 L
.42061 .48314 L
.42054 .48281 L
.41953 .48154 L
.41894 .48068 L
.41844 .47993 L
.41733 .47857 L
.4173 .47833 L
.41589 .47672 L
.41572 .47656 L
.4145 .47512 L
.41412 .47445 L
.41343 .47351 L
.41251 .47231 L
.41232 .47191 L
.41096 .4703 L
.41091 .47027 L
.40944 .4687 L
.4093 .4682 L
.40843 .46709 L
.4077 .46605 L
.40733 .46549 L
.40609 .46394 L
.40609 .46388 L
.40483 .46228 L
.40449 .46195 L
.40341 .46067 L
.40288 .45979 L
.40236 .45907 L
.40128 .45763 L
.4012 .45746 L
.39993 .45586 L
.39967 .45571 L
.39834 .45425 L
.39807 .45352 L
.39739 .45265 L
.39646 .45132 L
.39628 .45104 L
.39505 .44943 L
.39486 .44918 L
.39385 .44783 L
.39325 .44725 L
.39242 .44622 L
.39165 .44498 L
.39139 .44462 L
.39021 .44301 L
.39004 .4428 L
.38901 .44141 L
.38844 .44102 L
.38742 .4398 L
.38683 .4386 L
.38653 .4382 L
.38541 .43659 L
.38523 .43635 L
.38424 .43499 L
.38362 .43416 L
.38306 .43338 L
.38201 .43208 L
.38179 .43178 L
.38073 .43017 L
.38041 .42975 L
.37959 .42857 L
.3788 .42748 L
.37845 .42696 L
.37733 .42536 L
.3772 .42517 L
.37631 .42375 L
.37559 .42268 L
.37529 .42215 L
F
0 .63 1 r
.37559 .43428 m
.3762 .43499 L
.3772 .43602 L
.37767 .43659 L
.3788 .43787 L
.37907 .4382 L
.38041 .43977 L
.38044 .4398 L
.38173 .44141 L
.38201 .44173 L
.38302 .44301 L
.38362 .44371 L
.38432 .44462 L
.38523 .4457 L
.38563 .44622 L
.38683 .44762 L
.38693 .44783 L
.38818 .44943 L
.38844 .44974 L
.38943 .45104 L
.39004 .45178 L
.3907 .45265 L
.39165 .45383 L
.39197 .45425 L
.39324 .45586 L
.39325 .45588 L
.39445 .45746 L
.39486 .45797 L
.39568 .45907 L
.39646 .46005 L
.39693 .46067 L
.39807 .46201 L
.39818 .46228 L
.39939 .46388 L
.39967 .46424 L
.40059 .46549 L
.40128 .46636 L
.40181 .46709 L
.40288 .46847 L
.40305 .4687 L
.40424 .4703 L
.40449 .47062 L
.4054 .47191 L
.40609 .47279 L
.4066 .47351 L
.4077 .47496 L
.40781 .47512 L
.40894 .47672 L
.4093 .47719 L
.41005 .47833 L
.41091 .47948 L
.4112 .47993 L
.41091 .48103 L
.40997 .47993 L
.4093 .47922 L
.40856 .47833 L
.4077 .47735 L
.40719 .47672 L
.40609 .47543 L
.40584 .47512 L
.40452 .47351 L
.40449 .47347 L
.40324 .47191 L
.40288 .47149 L
.40194 .4703 L
.40128 .4695 L
.40065 .4687 L
.39967 .46778 L
.39936 .46709 L
.39808 .46549 L
.39807 .46547 L
.39684 .46388 L
.39646 .46342 L
.39558 .46228 L
.39486 .46137 L
.39432 .46067 L
.39325 .45942 L
.39284 .45907 L
.39183 .45746 L
.39165 .45724 L
.3906 .45586 L
.39004 .45515 L
.38936 .45425 L
.38844 .4534 L
.38812 .45265 L
.3869 .45104 L
.38683 .45095 L
.38571 .44943 L
.38523 .44881 L
.3845 .44783 L
.38362 .44668 L
.38328 .44622 L
.38208 .44462 L
.38201 .44453 L
.38093 .44301 L
.38041 .44233 L
.37976 .44141 L
.3788 .44013 L
.37857 .4398 L
.37745 .4382 L
.3772 .43786 L
.37638 .43659 L
.37559 .43549 L
.37529 .43499 L
F
1 .75 0 r
.37559 .42765 m
.37649 .42857 L
.3772 .42924 L
.37803 .43017 L
.3788 .43099 L
.37948 .43178 L
.38041 .43282 L
.38088 .43338 L
.38201 .43461 L
.38226 .43499 L
.38361 .43659 L
.38362 .43661 L
.38492 .4382 L
.38523 .43856 L
.38623 .4398 L
.38683 .44022 L
.38755 .44141 L
.38844 .44242 L
.3891 .44301 L
.39004 .44448 L
.39016 .44462 L
.39142 .44622 L
.39165 .4465 L
.39269 .44783 L
.39325 .44836 L
.39397 .44943 L
.39486 .4505 L
.39536 .45104 L
.39646 .45258 L
.39651 .45265 L
.39776 .45425 L
.39807 .45438 L
.39902 .45586 L
.39967 .45657 L
.40055 .45746 L
.40128 .45871 L
.40157 .45907 L
.40278 .46067 L
.40288 .4608 L
.40402 .46228 L
.40449 .46267 L
.40582 .46388 L
.40609 .46487 L
.40663 .46549 L
.4077 .46701 L
.40776 .46709 L
.40899 .4687 L
.4093 .46877 L
.41022 .4703 L
.41091 .47104 L
.41172 .47191 L
.41251 .47323 L
.41274 .47351 L
.41393 .47512 L
.41412 .47536 L
.41515 .47672 L
.41572 .47719 L
.4169 .47833 L
.41733 .47948 L
.41772 .47993 L
.41885 .48154 L
.41894 .48165 L
.42005 .48314 L
.42054 .48377 L
.42127 .48475 L
.42215 .48573 L
.42271 .48636 L
.42373 .48796 L
.42375 .48798 L
.42492 .48957 L
.42536 .49012 L
.42613 .49117 L
.42696 .49197 L
.42772 .49278 L
.42857 .49437 L
.42857 .49438 L
.42974 .49599 L
.43017 .49655 L
.43093 .49759 L
.43178 .49871 L
.43213 .4992 L
.43333 .5008 L
.43338 .50087 L
.43447 .50241 L
.43499 .50309 L
.43563 .50401 L
.43659 .50531 L
.43681 .50562 L
.43793 .50722 L
.4382 .50758 L
.439 .50883 L
.4398 .50996 L
.44009 .51043 L
.4398 .51178 L
.43854 .51043 L
.4382 .51009 L
.43708 .50883 L
.43659 .50831 L
.43566 .50722 L
.43499 .50646 L
.43427 .50562 L
.43338 .50475 L
.43291 .50401 L
.43178 .50268 L
.43148 .50241 L
.43024 .5008 L
.43017 .50072 L
.42893 .4992 L
.42857 .49909 L
.42762 .49759 L
.42696 .49687 L
.42594 .49599 L
.42536 .4948 L
.42499 .49438 L
.42375 .49279 L
.42374 .49278 L
.42246 .49117 L
.42215 .49091 L
.42118 .48957 L
.42054 .4888 L
.41977 .48796 L
.41894 .48671 L
.41867 .48636 L
.41739 .48475 L
.41733 .48468 L
.41613 .48314 L
.41572 .48272 L
.41455 .48154 L
.41412 .4806 L
.41358 .47993 L
.41251 .47851 L
.4124 .47833 L
.41112 .47672 L
.41091 .47658 L
.40987 .47512 L
.4093 .47445 L
.40849 .47351 L
.4077 .47232 L
.4074 .47191 L
.40615 .4703 L
.40609 .47023 L
.40491 .4687 L
.40449 .46828 L
.40337 .46709 L
.40288 .4661 L
.4024 .46549 L
.40128 .46397 L
.40123 .46388 L
.39999 .46228 L
.39967 .4621 L
.39876 .46067 L
.39807 .45987 L
.3974 .45907 L
.39646 .45768 L
.39631 .45746 L
.39509 .45586 L
.39486 .45555 L
.39388 .45425 L
.39325 .45363 L
.39237 .45265 L
.39165 .45135 L
.39141 .45104 L
.39024 .44943 L
.39004 .44918 L
.38904 .44783 L
.38844 .44744 L
.38784 .44622 L
.38683 .44496 L
.38655 .44462 L
.38545 .44301 L
.38523 .44272 L
.38427 .44141 L
.38362 .44054 L
.38309 .4398 L
.38201 .43844 L
.38182 .4382 L
.38077 .43659 L
.38041 .43611 L
.37963 .43499 L
.3788 .43385 L
.37848 .43338 L
.37738 .43178 L
.3772 .43153 L
.37636 .43017 L
.37559 .42903 L
.37534 .42857 L
F
1 .64 0 r
.37559 .44104 m
.37585 .44141 L
.3772 .44296 L
.37724 .44301 L
.3772 .44391 L
.3766 .44301 L
.37559 .44179 L
.37534 .44141 L
F
0 .62 1 r
.37559 .43451 m
.37602 .43499 L
.3772 .43615 L
.37756 .43659 L
.3788 .43797 L
.37899 .4382 L
.38036 .4398 L
.38041 .43986 L
.38166 .44141 L
.38201 .44181 L
.38296 .44301 L
.38362 .44378 L
.38427 .44462 L
.38523 .44577 L
.38558 .44622 L
.38683 .44772 L
.38688 .44783 L
.38813 .44943 L
.38844 .4498 L
.38938 .45104 L
.39004 .45184 L
.39065 .45265 L
.39165 .45388 L
.39193 .45425 L
.39319 .45586 L
.39325 .45593 L
.3944 .45746 L
.39486 .45802 L
.39564 .45907 L
.39646 .4601 L
.39689 .46067 L
.39807 .4621 L
.39814 .46228 L
.39934 .46388 L
.39967 .4643 L
.40054 .46549 L
.40128 .46642 L
.40177 .46709 L
.40288 .46853 L
.403 .4687 L
.40418 .4703 L
.40449 .47069 L
.40535 .47191 L
.40609 .47287 L
.40654 .47351 L
.4077 .47503 L
.40776 .47512 L
.40886 .47672 L
.4093 .4773 L
.40996 .47833 L
.41091 .47962 L
.4111 .47993 L
.41091 .48087 L
.4101 .47993 L
.4093 .4791 L
.40866 .47833 L
.4077 .47725 L
.40727 .47672 L
.40609 .47534 L
.40591 .47512 L
.40459 .47351 L
.40449 .47339 L
.4033 .47191 L
.40288 .47142 L
.402 .4703 L
.40128 .46943 L
.4007 .4687 L
.39967 .46768 L
.39941 .46709 L
.39814 .46549 L
.39807 .4654 L
.39689 .46388 L
.39646 .46336 L
.39563 .46228 L
.39486 .46131 L
.39436 .46067 L
.39325 .45934 L
.39293 .45907 L
.39188 .45746 L
.39165 .45717 L
.39065 .45586 L
.39004 .45508 L
.38941 .45425 L
.38844 .4533 L
.38817 .45265 L
.38696 .45104 L
.38683 .45088 L
.38576 .44943 L
.38523 .44875 L
.38455 .44783 L
.38362 .44661 L
.38334 .44622 L
.38215 .44462 L
.38201 .44445 L
.381 .44301 L
.38041 .44224 L
.37982 .44141 L
.3788 .44003 L
.37864 .4398 L
.37755 .4382 L
.3772 .43772 L
.3765 .43659 L
.37559 .43528 L
.37544 .43499 L
F
1 .74 0 r
.37559 .42798 m
.37625 .42857 L
.3772 .4294 L
.3779 .43017 L
.3788 .43111 L
.37938 .43178 L
.38041 .43292 L
.3808 .43338 L
.38201 .43472 L
.38219 .43499 L
.38354 .43659 L
.38362 .43669 L
.38486 .4382 L
.38523 .43862 L
.38618 .4398 L
.38683 .44028 L
.3875 .44141 L
.38844 .44248 L
.38904 .44301 L
.39004 .44454 L
.39012 .44462 L
.39138 .44622 L
.39165 .44655 L
.39266 .44783 L
.39325 .4484 L
.39394 .44943 L
.39486 .45055 L
.39532 .45104 L
.39646 .45262 L
.39648 .45265 L
.39773 .45425 L
.39807 .4544 L
.39899 .45586 L
.39967 .45661 L
.40052 .45746 L
.40128 .45875 L
.40154 .45907 L
.40276 .46067 L
.40288 .46083 L
.40399 .46228 L
.40449 .4627 L
.4058 .46388 L
.40609 .4649 L
.40661 .46549 L
.4077 .46704 L
.40774 .46709 L
.40896 .4687 L
.4093 .46879 L
.4102 .4703 L
.41091 .47107 L
.4117 .47191 L
.41251 .47327 L
.41271 .47351 L
.41391 .47512 L
.41412 .47539 L
.41513 .47672 L
.41572 .47722 L
.41687 .47833 L
.41733 .47951 L
.41769 .47993 L
.41882 .48154 L
.41894 .48168 L
.42003 .48314 L
.42054 .4838 L
.42125 .48475 L
.42215 .48577 L
.42267 .48636 L
.4237 .48796 L
.42375 .48802 L
.42489 .48957 L
.42536 .49016 L
.4261 .49117 L
.42696 .49202 L
.42767 .49278 L
.42854 .49438 L
.42857 .49442 L
.4297 .49599 L
.43017 .49659 L
.43089 .49759 L
.43178 .49876 L
.43209 .4992 L
.43329 .5008 L
.43338 .50093 L
.43442 .50241 L
.43499 .50316 L
.43558 .50401 L
.43659 .50539 L
.43675 .50562 L
.43785 .50722 L
.4382 .5077 L
.43891 .50883 L
.4398 .51013 L
.43998 .51043 L
.4398 .51157 L
.4387 .51043 L
.4382 .50995 L
.43719 .50883 L
.43659 .50819 L
.43575 .50722 L
.43499 .50637 L
.43435 .50562 L
.43338 .50465 L
.43298 .50401 L
.43178 .5026 L
.43157 .50241 L
.4303 .5008 L
.43017 .50065 L
.42898 .4992 L
.42857 .49906 L
.42767 .49759 L
.42696 .49681 L
.42599 .49599 L
.42536 .49474 L
.42503 .49438 L
.42378 .49278 L
.42375 .49274 L
.4225 .49117 L
.42215 .49088 L
.42122 .48957 L
.42054 .48875 L
.41981 .48796 L
.41894 .48667 L
.4187 .48636 L
.41742 .48475 L
.41733 .48464 L
.41616 .48314 L
.41572 .48269 L
.41457 .48154 L
.41412 .48056 L
.41361 .47993 L
.41251 .47847 L
.41242 .47833 L
.41115 .47672 L
.41091 .47656 L
.4099 .47512 L
.4093 .47442 L
.40852 .47351 L
.4077 .47228 L
.40743 .47191 L
.40618 .4703 L
.40609 .4702 L
.40494 .4687 L
.40449 .46825 L
.40339 .46709 L
.40288 .46607 L
.40243 .46549 L
.40128 .46394 L
.40125 .46388 L
.40002 .46228 L
.39967 .46208 L
.39879 .46067 L
.39807 .45983 L
.39742 .45907 L
.39646 .45764 L
.39634 .45746 L
.39512 .45586 L
.39486 .45551 L
.39391 .45425 L
.39325 .45359 L
.3924 .45265 L
.39165 .45131 L
.39144 .45104 L
.39028 .44943 L
.39004 .44913 L
.38908 .44783 L
.38844 .44739 L
.38787 .44622 L
.38683 .4449 L
.3866 .44462 L
.38549 .44301 L
.38523 .44266 L
.38432 .44141 L
.38362 .44047 L
.38314 .4398 L
.38201 .43833 L
.38191 .4382 L
.38083 .43659 L
.38041 .43603 L
.3797 .43499 L
.3788 .43375 L
.37856 .43338 L
.37748 .43178 L
.3772 .43138 L
.37648 .43017 L
.37559 .42875 L
.3755 .42857 L
F
.395 .97 1 r
.37559 .38608 m
.3772 .3868 L
.37722 .38683 L
.3788 .38834 L
.37888 .38844 L
.38033 .39004 L
.38041 .39013 L
.38168 .39165 L
.38201 .39204 L
.38298 .39325 L
.38362 .39353 L
.38427 .39486 L
.38523 .39591 L
.38577 .39646 L
.38676 .39807 L
.38683 .39815 L
.38793 .39967 L
.38844 .40036 L
.38907 .40128 L
.39004 .4027 L
.39016 .40288 L
.39093 .40449 L
.39004 .40512 L
.38916 .40449 L
.38844 .40389 L
.38743 .40288 L
.38683 .40262 L
.38596 .40128 L
.38523 .40055 L
.38401 .39967 L
.38362 .39851 L
.38322 .39807 L
.38203 .39646 L
.38201 .39644 L
.38082 .39486 L
.38041 .39431 L
.37962 .39325 L
.3788 .3924 L
.37829 .39165 L
.37738 .39004 L
.3772 .38976 L
.37639 .38844 L
.37559 .38687 L
.37558 .38683 L
F
.045 .9 1 r
.3772 .42272 m
.37821 .42375 L
.3788 .42434 L
.37974 .42536 L
.38041 .42607 L
.3812 .42696 L
.38201 .42773 L
.38261 .42857 L
.38362 .42972 L
.38417 .43017 L
.38523 .43164 L
.38535 .43178 L
.38669 .43338 L
.38683 .43344 L
.38802 .43499 L
.38844 .43544 L
.38979 .43659 L
.39004 .43747 L
.39071 .4382 L
.39165 .43949 L
.39188 .4398 L
.39323 .44141 L
.39325 .44143 L
.39451 .44301 L
.39486 .44343 L
.39595 .44462 L
.39646 .4455 L
.39704 .44622 L
.39807 .44756 L
.39821 .44783 L
.39959 .44943 L
.39967 .44952 L
.40113 .45104 L
.40128 .45158 L
.40216 .45265 L
.40288 .45368 L
.40327 .45425 L
.40449 .45574 L
.40449 .45586 L
.40587 .45746 L
.40609 .45773 L
.40726 .45907 L
.4077 .45983 L
.40834 .46067 L
.4093 .46194 L
.40947 .46228 L
.41085 .46388 L
.41091 .46394 L
.41235 .46549 L
.41251 .46601 L
.41339 .46709 L
.41412 .46813 L
.4145 .4687 L
.41572 .47021 L
.41582 .4703 L
.41705 .47191 L
.41733 .47222 L
.41844 .47351 L
.41894 .47434 L
.41952 .47512 L
.42054 .47645 L
.42066 .47672 L
.422 .47833 L
.42215 .47846 L
.42352 .47993 L
.42375 .48056 L
.42454 .48154 L
.42536 .48269 L
.42565 .48314 L
.42694 .48475 L
.42696 .48476 L
.42816 .48636 L
.42857 .48679 L
.42957 .48796 L
.43017 .48893 L
.43064 .48957 L
.43178 .49106 L
.43183 .49117 L
.43309 .49278 L
.43338 .49301 L
.43465 .49438 L
.43499 .49517 L
.43563 .49599 L
.43659 .49733 L
.43676 .49759 L
.438 .4992 L
.4382 .49925 L
.43922 .5008 L
.4398 .50141 L
.44064 .50241 L
.44141 .50361 L
.4417 .50401 L
.44291 .50562 L
.44301 .50575 L
.44412 .50722 L
.44462 .50762 L
.44569 .50883 L
.44622 .50988 L
.44665 .51043 L
.4478 .51204 L
.44783 .51208 L
.449 .51364 L
.44943 .51421 L
.45021 .51525 L
.45104 .51616 L
.4516 .51686 L
.45265 .51843 L
.45267 .51846 L
.45385 .52007 L
.45425 .52058 L
.45505 .52167 L
.45586 .52245 L
.45654 .52328 L
.45746 .52484 L
.45749 .52488 L
.45865 .52649 L
.45907 .52703 L
.45983 .52809 L
.46067 .52921 L
.46102 .5297 L
.46222 .5313 L
.46228 .53138 L
.46335 .53291 L
.46388 .53363 L
.46449 .53451 L
.46549 .53588 L
.46565 .53612 L
.46674 .53772 L
.46709 .53822 L
.46777 .53933 L
.4687 .54073 L
.46881 .54093 L
.4687 .54218 L
.46735 .54093 L
.46709 .5407 L
.46579 .53933 L
.46549 .53903 L
.46431 .53772 L
.46388 .53727 L
.46287 .53612 L
.46228 .53564 L
.46147 .53451 L
.46067 .53361 L
.45981 .53291 L
.45907 .53166 L
.45874 .5313 L
.45746 .52974 L
.45743 .5297 L
.45608 .52809 L
.45586 .52785 L
.45476 .52649 L
.45425 .52584 L
.45338 .52488 L
.45265 .52381 L
.45224 .52328 L
.45104 .52181 L
.451 .52167 L
.44959 .52007 L
.44943 .51988 L
.44815 .51846 L
.44783 .51782 L
.44706 .51686 L
.44622 .51574 L
.44594 .51525 L
.44462 .51372 L
.44449 .51364 L
.44303 .51204 L
.44301 .51175 L
.44193 .51043 L
.44141 .50965 L
.44083 .50883 L
.4398 .50755 L
.43972 .50722 L
.43822 .50562 L
.4382 .5056 L
.43685 .50401 L
.43659 .50352 L
.43575 .50241 L
.43499 .50139 L
.43466 .5008 L
.43338 .49932 L
.43322 .4992 L
.43181 .49759 L
.43178 .49733 L
.4307 .49599 L
.43017 .49522 L
.42961 .49438 L
.42857 .4931 L
.42851 .49278 L
.42702 .49117 L
.42696 .4911 L
.42566 .48957 L
.42536 .48901 L
.42457 .48796 L
.42375 .48688 L
.42348 .48636 L
.42215 .48481 L
.42207 .48475 L
.42062 .48314 L
.42054 .48279 L
.41955 .48154 L
.41894 .48066 L
.41846 .47993 L
.41733 .47854 L
.4173 .47833 L
.41591 .47672 L
.41572 .47654 L
.41452 .47512 L
.41412 .47442 L
.41345 .47351 L
.41251 .47229 L
.41233 .47191 L
.41098 .4703 L
.41091 .47025 L
.40945 .4687 L
.4093 .46818 L
.40845 .46709 L
.4077 .46602 L
.40735 .46549 L
.40609 .46391 L
.40609 .46388 L
.40485 .46228 L
.40449 .46193 L
.40343 .46067 L
.40288 .45975 L
.40238 .45907 L
.40128 .4576 L
.40121 .45746 L
.39996 .45586 L
.39967 .45569 L
.39836 .45425 L
.39807 .45348 L
.39742 .45265 L
.39646 .45128 L
.39631 .45104 L
.39509 .44943 L
.39486 .44913 L
.39388 .44783 L
.39325 .44721 L
.39246 .44622 L
.39165 .44493 L
.39143 .44462 L
.39025 .44301 L
.39004 .44274 L
.38906 .44141 L
.38844 .44096 L
.38748 .4398 L
.38683 .43851 L
.3866 .4382 L
.38548 .43659 L
.38523 .43626 L
.38431 .43499 L
.38362 .43406 L
.38313 .43338 L
.38201 .43192 L
.38191 .43178 L
.38083 .43017 L
.38041 .4296 L
.37971 .42857 L
.3788 .4273 L
.37858 .42696 L
.37752 .42536 L
.3772 .42489 L
.37654 .42375 L
F
1 .73 0 r
.3772 .42959 m
.37774 .43017 L
.3788 .43124 L
.37927 .43178 L
.38041 .43302 L
.38072 .43338 L
.38201 .43483 L
.38212 .43499 L
.38347 .43659 L
.38362 .43677 L
.3848 .4382 L
.38523 .43869 L
.38613 .4398 L
.38683 .44033 L
.38745 .44141 L
.38844 .44254 L
.38897 .44301 L
.39004 .44459 L
.39007 .44462 L
.39134 .44622 L
.39165 .4466 L
.39262 .44783 L
.39325 .44844 L
.3939 .44943 L
.39486 .45059 L
.39528 .45104 L
.39645 .45265 L
.39646 .45266 L
.3977 .45425 L
.39807 .45442 L
.39896 .45586 L
.39967 .45664 L
.40049 .45746 L
.40128 .45879 L
.40151 .45907 L
.40273 .46067 L
.40288 .46086 L
.40397 .46228 L
.40449 .46273 L
.40578 .46388 L
.40609 .46494 L
.40658 .46549 L
.4077 .46707 L
.40772 .46709 L
.40894 .4687 L
.4093 .4688 L
.41017 .4703 L
.41091 .4711 L
.41167 .47191 L
.41251 .4733 L
.41269 .47351 L
.41388 .47512 L
.41412 .47542 L
.4151 .47672 L
.41572 .47725 L
.41684 .47833 L
.41733 .47955 L
.41766 .47993 L
.4188 .48154 L
.41894 .48172 L
.42 .48314 L
.42054 .48384 L
.42122 .48475 L
.42215 .48581 L
.42263 .48636 L
.42367 .48796 L
.42375 .48806 L
.42486 .48957 L
.42536 .4902 L
.42607 .49117 L
.42696 .49208 L
.42761 .49278 L
.4285 .49438 L
.42857 .49447 L
.42967 .49599 L
.43017 .49664 L
.43085 .49759 L
.43178 .49881 L
.43205 .4992 L
.43324 .5008 L
.43338 .50099 L
.43437 .50241 L
.43499 .50323 L
.43552 .50401 L
.43659 .50547 L
.43669 .50562 L
.43776 .50722 L
.4382 .50783 L
.4388 .50883 L
.4398 .51034 L
.43986 .51043 L
.4398 .51129 L
.4389 .51043 L
.4382 .50979 L
.43731 .50883 L
.43659 .50807 L
.43585 .50722 L
.43499 .50627 L
.43443 .50562 L
.43338 .50454 L
.43305 .50401 L
.43178 .50251 L
.43166 .50241 L
.43037 .5008 L
.43017 .50058 L
.42904 .4992 L
.42857 .49903 L
.42772 .49759 L
.42696 .49676 L
.42604 .49599 L
.42536 .49469 L
.42508 .49438 L
.42383 .49278 L
.42375 .49269 L
.42254 .49117 L
.42215 .49084 L
.42126 .48957 L
.42054 .48871 L
.41984 .48796 L
.41894 .48663 L
.41873 .48636 L
.41745 .48475 L
.41733 .4846 L
.41619 .48314 L
.41572 .48265 L
.4146 .48154 L
.41412 .48052 L
.41364 .47993 L
.41251 .47844 L
.41245 .47833 L
.41118 .47672 L
.41091 .47654 L
.40993 .47512 L
.4093 .47438 L
.40854 .47351 L
.4077 .47225 L
.40745 .47191 L
.4062 .4703 L
.40609 .47016 L
.40497 .4687 L
.40449 .46822 L
.40342 .46709 L
.40288 .46603 L
.40245 .46549 L
.40128 .4639 L
.40127 .46388 L
.40004 .46228 L
.39967 .46206 L
.39882 .46067 L
.39807 .45979 L
.39746 .45907 L
.39646 .4576 L
.39636 .45746 L
.39515 .45586 L
.39486 .45547 L
.39394 .45425 L
.39325 .45355 L
.39244 .45265 L
.39165 .45126 L
.39148 .45104 L
.39031 .44943 L
.39004 .44908 L
.38911 .44783 L
.38844 .44734 L
.38791 .44622 L
.38683 .44484 L
.38666 .44462 L
.38554 .44301 L
.38523 .4426 L
.38437 .44141 L
.38362 .44041 L
.38318 .4398 L
.38201 .43822 L
.382 .4382 L
.38089 .43659 L
.38041 .43594 L
.37977 .43499 L
.3788 .43364 L
.37863 .43338 L
.3776 .43178 L
.3772 .4312 L
.37663 .43017 L
F
0 .61 1 r
.3772 .4363 m
.37744 .43659 L
.3788 .43807 L
.3789 .4382 L
.38027 .4398 L
.38041 .43996 L
.38158 .44141 L
.38201 .4419 L
.38289 .44301 L
.38362 .44386 L
.38421 .44462 L
.38523 .44583 L
.38553 .44622 L
.38683 .44782 L
.38684 .44783 L
.38808 .44943 L
.38844 .44986 L
.38934 .45104 L
.39004 .4519 L
.39061 .45265 L
.39165 .45393 L
.39189 .45425 L
.39314 .45586 L
.39325 .45599 L
.39436 .45746 L
.39486 .45808 L
.39559 .45907 L
.39646 .46015 L
.39684 .46067 L
.39807 .46219 L
.3981 .46228 L
.39929 .46388 L
.39967 .46436 L
.4005 .46549 L
.40128 .46648 L
.40172 .46709 L
.40288 .46859 L
.40296 .4687 L
.40413 .4703 L
.40449 .47076 L
.40529 .47191 L
.40609 .47294 L
.40649 .47351 L
.4077 .47512 L
.4077 .47512 L
.40877 .47672 L
.4093 .47742 L
.40986 .47833 L
.41091 .47978 L
.41099 .47993 L
.41091 .48065 L
.41026 .47993 L
.4093 .47897 L
.40876 .47833 L
.4077 .47714 L
.40735 .47672 L
.40609 .47525 L
.40598 .47512 L
.40467 .47351 L
.40449 .47331 L
.40337 .47191 L
.40288 .47134 L
.40206 .4703 L
.40128 .46936 L
.40075 .4687 L
.39967 .46757 L
.39946 .46709 L
.39819 .46549 L
.39807 .46534 L
.39694 .46388 L
.39646 .46329 L
.39568 .46228 L
.39486 .46125 L
.39441 .46067 L
.39325 .45925 L
.39303 .45907 L
.39193 .45746 L
.39165 .45711 L
.3907 .45586 L
.39004 .45502 L
.38946 .45425 L
.38844 .4532 L
.38822 .45265 L
.38701 .45104 L
.38683 .45081 L
.38582 .44943 L
.38523 .44868 L
.38461 .44783 L
.38362 .44654 L
.38339 .44622 L
.38221 .44462 L
.38201 .44436 L
.38106 .44301 L
.38041 .44215 L
.37989 .44141 L
.3788 .43993 L
.37872 .4398 L
.37767 .4382 L
.3772 .43755 L
.37665 .43659 L
F
1 .98 .538 r
.3772 .38149 m
.3788 .38195 L
.3789 .38201 L
.38041 .38317 L
.38107 .38362 L
.38201 .38482 L
.38238 .38523 L
.38362 .38669 L
.3837 .38683 L
.38505 .38844 L
.38523 .38864 L
.38673 .39004 L
.38683 .39068 L
.38772 .39165 L
.38844 .39276 L
.38883 .39325 L
.39004 .39479 L
.39006 .39486 L
.39136 .39646 L
.39165 .39674 L
.39281 .39807 L
.39325 .39885 L
.39385 .39967 L
.39486 .40101 L
.39499 .40128 L
.39624 .40288 L
.39646 .40318 L
.39787 .40449 L
.39807 .40542 L
.39866 .40609 L
.3994 .4077 L
.39807 .40858 L
.39646 .40812 L
.39552 .4077 L
.39486 .40684 L
.39415 .40609 L
.39325 .40504 L
.39292 .40449 L
.39165 .40306 L
.39151 .40288 L
.39025 .40128 L
.39004 .40102 L
.38889 .39967 L
.38844 .39893 L
.3878 .39807 L
.38683 .39682 L
.38669 .39646 L
.38529 .39486 L
.38523 .39484 L
.38385 .39325 L
.38362 .39279 L
.38283 .39165 L
.38201 .39057 L
.38175 .39004 L
.38049 .38844 L
.38041 .38832 L
.37935 .38683 L
.3788 .38603 L
.37809 .38523 L
.37727 .38362 L
.3772 .38348 L
.37675 .38201 L
F
1 .72 0 r
.3772 .42982 m
.37755 .43017 L
.3788 .43138 L
.37916 .43178 L
.38041 .43313 L
.38063 .43338 L
.38201 .43495 L
.38204 .43499 L
.38339 .43659 L
.38362 .43685 L
.38474 .4382 L
.38523 .43876 L
.38607 .4398 L
.38683 .4404 L
.3874 .44141 L
.38844 .4426 L
.38891 .44301 L
.39002 .44462 L
.39004 .44464 L
.3913 .44622 L
.39165 .44665 L
.39258 .44783 L
.39325 .44848 L
.39387 .44943 L
.39486 .45063 L
.39524 .45104 L
.39642 .45265 L
.39646 .4527 L
.39767 .45425 L
.39807 .45444 L
.39893 .45586 L
.39967 .45668 L
.40046 .45746 L
.40128 .45882 L
.40148 .45907 L
.4027 .46067 L
.40288 .4609 L
.40394 .46228 L
.40449 .46276 L
.40575 .46388 L
.40609 .46497 L
.40655 .46549 L
.40769 .46709 L
.4077 .4671 L
.40891 .4687 L
.4093 .46881 L
.41015 .4703 L
.41091 .47113 L
.41164 .47191 L
.41251 .47333 L
.41266 .47351 L
.41386 .47512 L
.41412 .47545 L
.41508 .47672 L
.41572 .47728 L
.41681 .47833 L
.41733 .47958 L
.41763 .47993 L
.41877 .48154 L
.41894 .48175 L
.41998 .48314 L
.42054 .48387 L
.4212 .48475 L
.42215 .48585 L
.4226 .48636 L
.42364 .48796 L
.42375 .4881 L
.42483 .48957 L
.42536 .49024 L
.42604 .49117 L
.42696 .49213 L
.42756 .49278 L
.42846 .49438 L
.42857 .49451 L
.42963 .49599 L
.43017 .49669 L
.43081 .49759 L
.43178 .49886 L
.43201 .4992 L
.43319 .5008 L
.43338 .50106 L
.43431 .50241 L
.43499 .50331 L
.43546 .50401 L
.43659 .50556 L
.43663 .50562 L
.43767 .50722 L
.4382 .50798 L
.43868 .50883 L
.4382 .50962 L
.43745 .50883 L
.43659 .50795 L
.43595 .50722 L
.43499 .50616 L
.43452 .50562 L
.43338 .50443 L
.43312 .50401 L
.43178 .50243 L
.43176 .50241 L
.43043 .5008 L
.43017 .50051 L
.42909 .4992 L
.42857 .49899 L
.42777 .49759 L
.42696 .49669 L
.4261 .49599 L
.42536 .49463 L
.42513 .49438 L
.42387 .49278 L
.42375 .49263 L
.42258 .49117 L
.42215 .49081 L
.4213 .48957 L
.42054 .48866 L
.41988 .48796 L
.41894 .48658 L
.41876 .48636 L
.41749 .48475 L
.41733 .48455 L
.41622 .48314 L
.41572 .48262 L
.41463 .48154 L
.41412 .48048 L
.41367 .47993 L
.41251 .4784 L
.41247 .47833 L
.41121 .47672 L
.41091 .47651 L
.40996 .47512 L
.4093 .47435 L
.40857 .47351 L
.4077 .47221 L
.40748 .47191 L
.40623 .4703 L
.40609 .47013 L
.405 .4687 L
.40449 .46819 L
.40344 .46709 L
.40288 .46599 L
.40248 .46549 L
.40129 .46388 L
.40128 .46386 L
.40007 .46228 L
.39967 .46204 L
.39884 .46067 L
.39807 .45975 L
.39749 .45907 L
.39646 .45756 L
.39639 .45746 L
.39519 .45586 L
.39486 .45543 L
.39397 .45425 L
.39325 .4535 L
.39248 .45265 L
.39165 .45121 L
.39152 .45104 L
.39035 .44943 L
.39004 .44904 L
.38915 .44783 L
.38844 .44728 L
.38795 .44622 L
.38683 .44477 L
.38671 .44462 L
.38558 .44301 L
.38523 .44254 L
.38441 .44141 L
.38362 .44034 L
.38323 .4398 L
.38206 .4382 L
.38201 .43813 L
.38096 .43659 L
.38041 .43584 L
.37984 .43499 L
.3788 .43352 L
.37871 .43338 L
.37773 .43178 L
.3772 .43096 L
.37682 .43017 L
F
.033 .89 1 r
.3772 .42317 m
.37784 .42375 L
.3788 .42462 L
.3795 .42536 L
.38041 .42629 L
.38101 .42696 L
.38201 .42793 L
.38246 .42857 L
.38362 .42988 L
.38399 .43017 L
.38523 .43177 L
.38524 .43178 L
.38658 .43338 L
.38683 .43349 L
.38793 .43499 L
.38844 .43554 L
.38973 .43659 L
.39004 .43756 L
.39063 .4382 L
.39165 .43956 L
.39183 .4398 L
.39316 .44141 L
.39325 .44149 L
.39445 .44301 L
.39486 .4435 L
.39591 .44462 L
.39646 .44556 L
.39699 .44622 L
.39807 .44761 L
.39819 .44783 L
.39955 .44943 L
.39967 .44957 L
.40111 .45104 L
.40128 .45163 L
.40213 .45265 L
.40288 .45372 L
.40325 .45425 L
.40449 .45577 L
.40449 .45586 L
.40584 .45746 L
.40609 .45776 L
.40723 .45907 L
.4077 .45987 L
.40831 .46067 L
.4093 .46197 L
.40946 .46228 L
.41083 .46388 L
.41091 .46396 L
.41233 .46549 L
.41251 .46604 L
.41337 .46709 L
.41412 .46816 L
.41448 .4687 L
.41572 .47023 L
.4158 .4703 L
.41703 .47191 L
.41733 .47224 L
.41843 .47351 L
.41894 .47436 L
.4195 .47512 L
.42054 .47648 L
.42065 .47672 L
.42198 .47833 L
.42215 .47848 L
.42351 .47993 L
.42375 .48058 L
.42452 .48154 L
.42536 .48272 L
.42563 .48314 L
.42692 .48475 L
.42696 .48477 L
.42814 .48636 L
.42857 .48681 L
.42956 .48796 L
.43017 .48896 L
.43062 .48957 L
.43178 .49108 L
.43182 .49117 L
.43307 .49278 L
.43338 .49303 L
.43463 .49438 L
.43499 .4952 L
.43561 .49599 L
.43659 .49736 L
.43674 .49759 L
.43798 .4992 L
.4382 .49925 L
.4392 .5008 L
.4398 .50143 L
.44062 .50241 L
.44141 .50364 L
.44168 .50401 L
.44289 .50562 L
.44301 .50578 L
.44409 .50722 L
.44462 .50765 L
.44567 .50883 L
.44622 .50992 L
.44662 .51043 L
.44777 .51204 L
.44783 .51211 L
.44897 .51364 L
.44943 .51425 L
.45018 .51525 L
.45104 .51621 L
.45156 .51686 L
.45263 .51846 L
.45265 .51848 L
.45381 .52007 L
.45425 .52064 L
.45501 .52167 L
.45586 .52252 L
.45647 .52328 L
.45743 .52488 L
.45746 .52492 L
.45859 .52649 L
.45907 .52711 L
.45977 .52809 L
.46067 .52929 L
.46096 .5297 L
.46214 .5313 L
.46228 .53149 L
.46325 .53291 L
.46388 .53376 L
.46439 .53451 L
.46549 .53604 L
.46554 .53612 L
.46657 .53772 L
.46709 .5385 L
.46756 .53933 L
.46709 .54035 L
.46606 .53933 L
.46549 .53877 L
.46451 .53772 L
.46388 .53706 L
.46304 .53612 L
.46228 .53548 L
.46161 .53451 L
.46067 .53345 L
.45996 .53291 L
.45907 .53153 L
.45885 .5313 L
.45751 .5297 L
.45746 .52964 L
.45617 .52809 L
.45586 .52776 L
.45484 .52649 L
.45425 .52575 L
.45345 .52488 L
.45265 .52373 L
.4523 .52328 L
.45104 .52175 L
.45102 .52167 L
.44965 .52007 L
.44943 .51981 L
.44819 .51846 L
.44783 .51776 L
.44711 .51686 L
.44622 .51569 L
.44597 .51525 L
.44462 .51369 L
.44454 .51364 L
.44303 .51204 L
.44301 .5117 L
.44197 .51043 L
.44141 .50961 L
.44086 .50883 L
.4398 .50751 L
.43974 .50722 L
.43825 .50562 L
.4382 .50556 L
.43687 .50401 L
.43659 .50348 L
.43578 .50241 L
.43499 .50136 L
.43468 .5008 L
.43338 .49929 L
.43325 .4992 L
.43182 .49759 L
.43178 .4973 L
.43072 .49599 L
.43017 .49518 L
.42963 .49438 L
.42857 .49307 L
.42851 .49278 L
.42705 .49117 L
.42696 .49108 L
.42567 .48957 L
.42536 .48898 L
.42459 .48796 L
.42375 .48686 L
.42349 .48636 L
.42215 .48479 L
.42209 .48475 L
.42062 .48314 L
.42054 .48276 L
.41956 .48154 L
.41894 .48063 L
.41847 .47993 L
.41733 .47852 L
.41731 .47833 L
.41593 .47672 L
.41572 .47651 L
.41453 .47512 L
.41412 .47439 L
.41347 .47351 L
.41251 .47226 L
.41234 .47191 L
.41101 .4703 L
.41091 .47024 L
.40946 .4687 L
.4093 .46815 L
.40847 .46709 L
.4077 .46599 L
.40737 .46549 L
.40609 .46388 L
.40609 .46388 L
.40488 .46228 L
.40449 .4619 L
.40345 .46067 L
.40288 .45972 L
.40241 .45907 L
.40128 .45757 L
.40123 .45746 L
.39999 .45586 L
.39967 .45567 L
.39838 .45425 L
.39807 .45344 L
.39745 .45265 L
.39646 .45123 L
.39634 .45104 L
.39512 .44943 L
.39486 .44909 L
.39392 .44783 L
.39325 .44716 L
.3925 .44622 L
.39165 .44487 L
.39147 .44462 L
.3903 .44301 L
.39004 .44268 L
.38911 .44141 L
.38844 .44089 L
.38754 .4398 L
.38683 .43842 L
.38667 .4382 L
.38554 .43659 L
.38523 .43617 L
.38438 .43499 L
.38362 .43396 L
.38321 .43338 L
.38204 .43178 L
.38201 .43175 L
.38094 .43017 L
.38041 .42944 L
.37983 .42857 L
.3788 .4271 L
.37871 .42696 L
.37774 .42536 L
.3772 .4245 L
.37685 .42375 L
F
0 .6 1 r
.3772 .43648 m
.37729 .43659 L
.3788 .43819 L
.37881 .4382 L
.38016 .4398 L
.38041 .44007 L
.38149 .44141 L
.38201 .44199 L
.38282 .44301 L
.38362 .44393 L
.38415 .44462 L
.38523 .4459 L
.38548 .44622 L
.38678 .44783 L
.38683 .44789 L
.38802 .44943 L
.38844 .44992 L
.38929 .45104 L
.39004 .45196 L
.39056 .45265 L
.39165 .45399 L
.39184 .45425 L
.39309 .45586 L
.39325 .45605 L
.39431 .45746 L
.39486 .45813 L
.39555 .45907 L
.39646 .46021 L
.3968 .46067 L
.39806 .46228 L
.39807 .46229 L
.39924 .46388 L
.39967 .46442 L
.40045 .46549 L
.40128 .46654 L
.40168 .46709 L
.40288 .46865 L
.40292 .4687 L
.40407 .4703 L
.40449 .47084 L
.40523 .47191 L
.40609 .47302 L
.40643 .47351 L
.40762 .47512 L
.4077 .47522 L
.40867 .47672 L
.4093 .47757 L
.40975 .47833 L
.4093 .47882 L
.40888 .47833 L
.4077 .47703 L
.40744 .47672 L
.40609 .47516 L
.40606 .47512 L
.40475 .47351 L
.40449 .47322 L
.40344 .47191 L
.40288 .47126 L
.40212 .4703 L
.40128 .46929 L
.40081 .4687 L
.39967 .46745 L
.39952 .46709 L
.39825 .46549 L
.39807 .46527 L
.39699 .46388 L
.39646 .46323 L
.39573 .46228 L
.39486 .46119 L
.39446 .46067 L
.39325 .45916 L
.39314 .45907 L
.39198 .45746 L
.39165 .45705 L
.39075 .45586 L
.39004 .45496 L
.38951 .45425 L
.38844 .45308 L
.38827 .45265 L
.38707 .45104 L
.38683 .45074 L
.38587 .44943 L
.38523 .4486 L
.38466 .44783 L
.38362 .44646 L
.38345 .44622 L
.38228 .44462 L
.38201 .44427 L
.38114 .44301 L
.38041 .44205 L
.37997 .44141 L
.3788 .43981 L
.3788 .4398 L
.37781 .4382 L
.3772 .43733 L
.37685 .43659 L
F
1 .71 0 r
.3772 .43016 m
.37722 .43017 L
.3788 .43153 L
.37902 .43178 L
.38041 .43324 L
.38053 .43338 L
.38195 .43499 L
.38201 .43505 L
.38332 .43659 L
.38362 .43693 L
.38467 .4382 L
.38523 .43883 L
.38602 .4398 L
.38683 .44047 L
.38735 .44141 L
.38844 .44267 L
.38884 .44301 L
.38997 .44462 L
.39004 .4447 L
.39126 .44622 L
.39165 .44669 L
.39254 .44783 L
.39325 .44853 L
.39383 .44943 L
.39486 .45068 L
.3952 .45104 L
.39638 .45265 L
.39646 .45274 L
.39764 .45425 L
.39807 .45447 L
.3989 .45586 L
.39967 .45672 L
.40042 .45746 L
.40128 .45886 L
.40145 .45907 L
.40267 .46067 L
.40288 .46093 L
.40391 .46228 L
.40449 .46279 L
.40572 .46388 L
.40609 .465 L
.40652 .46549 L
.40767 .46709 L
.4077 .46713 L
.40889 .4687 L
.4093 .46883 L
.41013 .4703 L
.41091 .47116 L
.41161 .47191 L
.41251 .47337 L
.41263 .47351 L
.41383 .47512 L
.41412 .47548 L
.41505 .47672 L
.41572 .47731 L
.41678 .47833 L
.41733 .47962 L
.4176 .47993 L
.41874 .48154 L
.41894 .48178 L
.41995 .48314 L
.42054 .4839 L
.42117 .48475 L
.42215 .48589 L
.42256 .48636 L
.42361 .48796 L
.42375 .48814 L
.4248 .48957 L
.42536 .49028 L
.42601 .49117 L
.42696 .49219 L
.4275 .49278 L
.42843 .49438 L
.42857 .49456 L
.42959 .49599 L
.43017 .49675 L
.43077 .49759 L
.43178 .49892 L
.43197 .4992 L
.43313 .5008 L
.43338 .50113 L
.43426 .50241 L
.43499 .50339 L
.4354 .50401 L
.43656 .50562 L
.43659 .50567 L
.43756 .50722 L
.4382 .50817 L
.43854 .50883 L
.4382 .50942 L
.43762 .50883 L
.43659 .50781 L
.43606 .50722 L
.43499 .50606 L
.43461 .50562 L
.43338 .50431 L
.4332 .50401 L
.43183 .50241 L
.43178 .50234 L
.43049 .5008 L
.43017 .50043 L
.42915 .4992 L
.42857 .49894 L
.42782 .49759 L
.42696 .49663 L
.42617 .49599 L
.42536 .49458 L
.42518 .49438 L
.42391 .49278 L
.42375 .49258 L
.42262 .49117 L
.42215 .49077 L
.42133 .48957 L
.42054 .48861 L
.41992 .48796 L
.41894 .48654 L
.41879 .48636 L
.41752 .48475 L
.41733 .48451 L
.41626 .48314 L
.41572 .48258 L
.41466 .48154 L
.41412 .48044 L
.4137 .47993 L
.41251 .47837 L
.41249 .47833 L
.41124 .47672 L
.41091 .47649 L
.40999 .47512 L
.4093 .47431 L
.4086 .47351 L
.4077 .47217 L
.4075 .47191 L
.40626 .4703 L
.40609 .47009 L
.40503 .4687 L
.40449 .46815 L
.40347 .46709 L
.40288 .46596 L
.40251 .46549 L
.40132 .46388 L
.40128 .46383 L
.4001 .46228 L
.39967 .46201 L
.39887 .46067 L
.39807 .45972 L
.39752 .45907 L
.39646 .45752 L
.39642 .45746 L
.39522 .45586 L
.39486 .45539 L
.394 .45425 L
.39325 .45346 L
.39252 .45265 L
.39165 .45116 L
.39155 .45104 L
.39038 .44943 L
.39004 .44899 L
.38919 .44783 L
.38844 .44722 L
.38798 .44622 L
.38683 .4447 L
.38676 .44462 L
.38563 .44301 L
.38523 .44248 L
.38446 .44141 L
.38362 .44028 L
.38328 .4398 L
.38213 .4382 L
.38201 .43805 L
.38103 .43659 L
.38041 .43574 L
.37991 .43499 L
.3788 .4334 L
.3788 .43338 L
.37789 .43178 L
.3772 .43054 L
.37718 .43017 L
F
.289 .96 1 r
.3788 .38905 m
.37979 .39004 L
.38041 .39066 L
.38127 .39165 L
.38201 .39248 L
.38264 .39325 L
.38362 .39402 L
.38396 .39486 L
.38523 .39642 L
.38526 .39646 L
.38643 .39807 L
.38683 .3986 L
.38758 .39967 L
.38844 .40089 L
.38868 .40128 L
.38953 .40288 L
.38844 .40319 L
.38808 .40288 L
.38683 .40205 L
.38643 .40128 L
.38523 .40002 L
.38469 .39967 L
.38367 .39807 L
.38362 .39801 L
.38241 .39646 L
.38201 .39596 L
.38119 .39486 L
.38041 .3938 L
.38001 .39325 L
.37892 .39165 L
.3788 .39148 L
.37795 .39004 L
F
1 .96 .289 r
.3788 .41816 m
.37962 .41894 L
.38041 .41969 L
.38123 .42054 L
.38201 .42117 L
.38273 .42215 L
.38362 .42312 L
.38459 .42375 L
.38523 .42499 L
.38561 .42536 L
.38683 .42685 L
.38692 .42696 L
.38832 .42857 L
.38844 .4287 L
.38967 .43017 L
.39004 .43065 L
.39109 .43178 L
.39165 .43266 L
.39222 .43338 L
.39325 .43469 L
.39339 .43499 L
.39486 .43653 L
.39491 .43659 L
.39631 .4382 L
.39646 .43857 L
.39745 .4398 L
.39807 .44067 L
.39856 .44141 L
.39967 .44279 L
.40004 .44301 L
.40128 .44461 L
.40128 .44462 L
.40258 .44622 L
.40288 .44671 L
.4037 .44783 L
.40449 .44887 L
.40473 .44943 L
.40609 .45075 L
.40632 .45104 L
.40761 .45265 L
.4077 .45284 L
.40878 .45425 L
.4093 .45498 L
.40985 .45586 L
.41091 .45716 L
.41132 .45746 L
.41251 .45903 L
.41255 .45907 L
.41382 .46067 L
.41412 .46114 L
.41493 .46228 L
.41572 .46331 L
.41594 .46388 L
.41733 .46543 L
.41752 .46549 L
.41881 .46709 L
.41894 .46735 L
.41996 .4687 L
.42054 .4695 L
.42103 .4703 L
.42215 .47165 L
.42247 .47191 L
.42375 .47351 L
.42375 .47359 L
.42497 .47512 L
.42536 .47571 L
.42607 .47672 L
.42696 .47786 L
.42711 .47833 L
.42857 .4799 L
.42864 .47993 L
.42998 .48154 L
.43017 .48194 L
.43109 .48314 L
.43178 .48407 L
.43217 .48475 L
.43338 .48618 L
.43357 .48636 L
.43497 .48796 L
.43499 .48818 L
.4361 .48957 L
.43659 .49031 L
.43719 .49117 L
.4382 .49243 L
.43828 .49278 L
.43973 .49438 L
.4398 .49445 L
.44112 .49599 L
.44141 .49654 L
.4422 .49759 L
.44301 .49868 L
.4433 .4992 L
.44462 .50076 L
.44466 .5008 L
.44616 .50241 L
.44622 .50279 L
.44722 .50401 L
.44783 .50492 L
.4483 .50562 L
.44943 .50704 L
.44947 .50722 L
.45081 .50883 L
.45104 .50904 L
.45225 .51043 L
.45265 .51116 L
.4533 .51204 L
.45425 .51331 L
.45443 .51364 L
.45574 .51525 L
.45586 .51531 L
.45733 .51686 L
.45746 .5174 L
.45831 .51846 L
.45907 .51956 L
.4594 .52007 L
.46066 .52167 L
.46067 .52169 L
.46187 .52328 L
.46228 .52362 L
.46334 .52488 L
.46388 .52581 L
.46438 .52649 L
.46549 .52798 L
.46555 .52809 L
.46678 .5297 L
.46709 .52982 L
.46844 .5313 L
.4687 .53205 L
.46936 .53291 L
.4703 .53426 L
.47047 .53451 L
.47169 .53612 L
.47191 .5364 L
.4729 .53772 L
.47351 .53826 L
.47437 .53933 L
.47512 .54055 L
.4754 .54093 L
.47658 .54254 L
.47672 .54273 L
.47778 .54414 L
.47833 .54486 L
.47943 .54575 L
.47993 .54684 L
.48032 .54735 L
.48144 .54896 L
.48154 .54909 L
.48262 .55057 L
.48314 .55124 L
.48382 .55217 L
.48475 .55317 L
.4852 .55378 L
.48624 .55538 L
.48636 .55553 L
.48741 .55699 L
.48796 .55772 L
.48858 .55859 L
.48957 .5599 L
.48997 .5602 L
.49093 .5618 L
.49117 .56213 L
.49204 .56341 L
.49278 .56442 L
.49317 .56501 L
.49428 .56662 L
.49438 .56676 L
.49525 .56822 L
.49599 .56943 L
.49616 .56983 L
.49599 .57059 L
.49503 .56983 L
.49438 .56929 L
.49331 .56822 L
.49278 .5677 L
.49176 .56662 L
.49117 .56625 L
.49028 .56501 L
.48957 .56423 L
.48821 .56341 L
.48796 .56234 L
.48741 .5618 L
.48636 .56044 L
.48615 .5602 L
.48475 .5586 L
.48473 .55859 L
.48339 .55699 L
.48314 .55667 L
.48195 .55538 L
.48154 .55466 L
.48083 .55378 L
.47993 .55261 L
.47968 .55217 L
.47833 .55079 L
.47815 .55057 L
.47677 .54896 L
.47672 .54876 L
.4756 .54735 L
.47512 .54666 L
.47449 .54575 L
.47351 .54452 L
.47302 .54414 L
.47191 .5427 L
.47177 .54254 L
.47049 .54093 L
.4703 .54062 L
.46934 .53933 L
.4687 .53847 L
.4683 .53772 L
.46709 .53628 L
.46674 .53612 L
.4655 .53451 L
.46549 .53448 L
.46427 .53291 L
.46388 .53235 L
.46319 .5313 L
.46228 .53016 L
.46175 .5297 L
.46067 .52829 L
.46052 .52809 L
.45925 .52649 L
.45907 .52618 L
.45812 .52488 L
.45746 .52401 L
.4571 .52328 L
.45586 .52184 L
.45555 .52167 L
.45429 .52007 L
.45425 .51996 L
.45309 .51846 L
.45265 .51783 L
.45202 .51686 L
.45104 .51566 L
.4506 .51525 L
.44943 .51372 L
.44938 .51364 L
.44809 .51204 L
.44783 .51161 L
.44698 .51043 L
.44622 .50946 L
.44595 .50883 L
.44462 .50735 L
.44443 .50722 L
.44311 .50562 L
.44301 .50537 L
.44196 .50401 L
.44141 .50324 L
.44089 .50241 L
.4398 .5011 L
.43949 .5008 L
.43827 .4992 L
.4382 .49911 L
.43696 .49759 L
.43659 .49701 L
.43586 .49599 L
.43499 .49487 L
.4348 .49438 L
.43338 .49281 L
.43334 .49278 L
.43195 .49117 L
.43178 .49077 L
.43085 .48957 L
.43017 .48863 L
.42977 .48796 L
.42857 .48652 L
.42841 .48636 L
.42718 .48475 L
.42696 .48451 L
.42584 .48314 L
.42536 .48239 L
.42476 .48154 L
.42375 .48026 L
.42364 .47993 L
.42226 .47833 L
.42215 .47824 L
.42081 .47672 L
.42054 .47615 L
.41975 .47512 L
.41894 .474 L
.41865 .47351 L
.41733 .47191 L
.41733 .47191 L
.41611 .4703 L
.41572 .46991 L
.41474 .4687 L
.41412 .46775 L
.41366 .46709 L
.41251 .46562 L
.41247 .46549 L
.4112 .46388 L
.41091 .46368 L
.4097 .46228 L
.4093 .46151 L
.40868 .46067 L
.4077 .45934 L
.40754 .45907 L
.40629 .45746 L
.40609 .45721 L
.40458 .45586 L
.40449 .45528 L
.40368 .45425 L
.40288 .45306 L
.4026 .45265 L
.40138 .45104 L
.40128 .4509 L
.40018 .44943 L
.39967 .44907 L
.39865 .44783 L
.39807 .44678 L
.39766 .44622 L
.3965 .44462 L
.39646 .44457 L
.3953 .44301 L
.39486 .44244 L
.39356 .44141 L
.39325 .44049 L
.39273 .4398 L
.39165 .4382 L
.39165 .4382 L
.39047 .43659 L
.39004 .43604 L
.38927 .43499 L
.38844 .43418 L
.38784 .43338 L
.38685 .43178 L
.38683 .43175 L
.3857 .43017 L
.38523 .42954 L
.38454 .42857 L
.38362 .42734 L
.38308 .42696 L
.3822 .42536 L
.38201 .4251 L
.38111 .42375 L
.38041 .42278 L
.38 .42215 L
.37892 .42054 L
.3788 .42037 L
.37802 .41894 L
F
.024 .88 1 r
.3788 .42495 m
.37921 .42536 L
.38041 .42653 L
.38081 .42696 L
.38201 .42815 L
.3823 .42857 L
.38362 .43004 L
.38379 .43017 L
.38511 .43178 L
.38523 .4319 L
.38648 .43338 L
.38683 .43355 L
.38783 .43499 L
.38844 .43564 L
.38966 .43659 L
.39004 .43766 L
.39056 .4382 L
.39165 .43964 L
.39177 .4398 L
.3931 .44141 L
.39325 .44154 L
.39439 .44301 L
.39486 .44357 L
.39586 .44462 L
.39646 .44562 L
.39695 .44622 L
.39807 .44766 L
.39816 .44783 L
.39951 .44943 L
.39967 .44961 L
.40109 .45104 L
.40128 .45168 L
.40209 .45265 L
.40288 .45377 L
.40322 .45425 L
.40449 .4558 L
.40449 .45586 L
.40581 .45746 L
.40609 .4578 L
.40721 .45907 L
.4077 .4599 L
.40829 .46067 L
.4093 .462 L
.40944 .46228 L
.4108 .46388 L
.41091 .46399 L
.41232 .46549 L
.41251 .46607 L
.41335 .46709 L
.41412 .46819 L
.41446 .4687 L
.41572 .47025 L
.41578 .4703 L
.41701 .47191 L
.41733 .47227 L
.41841 .47351 L
.41894 .47439 L
.41948 .47512 L
.42054 .4765 L
.42064 .47672 L
.42196 .47833 L
.42215 .4785 L
.4235 .47993 L
.42375 .48061 L
.4245 .48154 L
.42536 .48274 L
.42562 .48314 L
.4269 .48475 L
.42696 .48477 L
.42813 .48636 L
.42857 .48683 L
.42954 .48796 L
.43017 .48898 L
.4306 .48957 L
.43178 .4911 L
.43181 .49117 L
.43305 .49278 L
.43338 .49305 L
.43462 .49438 L
.43499 .49522 L
.43559 .49599 L
.43659 .49738 L
.43672 .49759 L
.43796 .4992 L
.4382 .49926 L
.43918 .5008 L
.4398 .50146 L
.4406 .50241 L
.44141 .50367 L
.44166 .50401 L
.44286 .50562 L
.44301 .50581 L
.44407 .50722 L
.44462 .50768 L
.44564 .50883 L
.44622 .50996 L
.44659 .51043 L
.44774 .51204 L
.44783 .51215 L
.44894 .51364 L
.44943 .51429 L
.45015 .51525 L
.45104 .51626 L
.45151 .51686 L
.45259 .51846 L
.45265 .51853 L
.45377 .52007 L
.45425 .52069 L
.45497 .52167 L
.45586 .5226 L
.45641 .52328 L
.45738 .52488 L
.45746 .52499 L
.45853 .52649 L
.45907 .52719 L
.45971 .52809 L
.46067 .52938 L
.4609 .5297 L
.46205 .5313 L
.46228 .53161 L
.46316 .53291 L
.46388 .5339 L
.46428 .53451 L
.4654 .53612 L
.46549 .53624 L
.46636 .53772 L
.46709 .5389 L
.46727 .53933 L
.46709 .53987 L
.46644 .53933 L
.46549 .53849 L
.46474 .53772 L
.46388 .53685 L
.46322 .53612 L
.46228 .5353 L
.46176 .53451 L
.46067 .5333 L
.46014 .53291 L
.45907 .5314 L
.45897 .5313 L
.45761 .5297 L
.45746 .52952 L
.45626 .52809 L
.45586 .52767 L
.45492 .52649 L
.45425 .52565 L
.45352 .52488 L
.45265 .52365 L
.45236 .52328 L
.45104 .5217 L
.45103 .52167 L
.44971 .52007 L
.44943 .51974 L
.44822 .51846 L
.44783 .51769 L
.44716 .51686 L
.44622 .51563 L
.446 .51525 L
.44462 .51366 L
.44459 .51364 L
.44303 .51204 L
.44301 .51165 L
.442 .51043 L
.44141 .50956 L
.4409 .50883 L
.4398 .50748 L
.43975 .50722 L
.43828 .50562 L
.4382 .50552 L
.4369 .50401 L
.43659 .50344 L
.43581 .50241 L
.43499 .50132 L
.4347 .5008 L
.43338 .49927 L
.43328 .4992 L
.43182 .49759 L
.43178 .49727 L
.43074 .49599 L
.43017 .49515 L
.42965 .49438 L
.42857 .49305 L
.42852 .49278 L
.42707 .49117 L
.42696 .49105 L
.42569 .48957 L
.42536 .48895 L
.42461 .48796 L
.42375 .48683 L
.4235 .48636 L
.42215 .48478 L
.42212 .48475 L
.42063 .48314 L
.42054 .48273 L
.41958 .48154 L
.41894 .4806 L
.41849 .47993 L
.41733 .4785 L
.41731 .47833 L
.41595 .47672 L
.41572 .47649 L
.41455 .47512 L
.41412 .47437 L
.41349 .47351 L
.41251 .47223 L
.41235 .47191 L
.41103 .4703 L
.41091 .47022 L
.40947 .4687 L
.4093 .46812 L
.40849 .46709 L
.4077 .46596 L
.40739 .46549 L
.40612 .46388 L
.40609 .46385 L
.4049 .46228 L
.40449 .46188 L
.40347 .46067 L
.40288 .45969 L
.40243 .45907 L
.40128 .45753 L
.40124 .45746 L
.40002 .45586 L
.39967 .45565 L
.3984 .45425 L
.39807 .4534 L
.39748 .45265 L
.39646 .45119 L
.39637 .45104 L
.39516 .44943 L
.39486 .44904 L
.39396 .44783 L
.39325 .44711 L
.39254 .44622 L
.39165 .4448 L
.39152 .44462 L
.39035 .44301 L
.39004 .44262 L
.38916 .44141 L
.38844 .44081 L
.38761 .4398 L
.38683 .43832 L
.38674 .4382 L
.38561 .43659 L
.38523 .43608 L
.38445 .43499 L
.38362 .43386 L
.38329 .43338 L
.38214 .43178 L
.38201 .43161 L
.38105 .43017 L
.38041 .42927 L
.37996 .42857 L
.37888 .42696 L
.3788 .42684 L
.37803 .42536 L
F
1 .7 0 r
.3788 .43171 m
.37887 .43178 L
.38041 .43336 L
.38043 .43338 L
.38185 .43499 L
.38201 .43516 L
.38324 .43659 L
.38362 .43701 L
.3846 .4382 L
.38523 .43891 L
.38596 .4398 L
.38683 .44054 L
.3873 .44141 L
.38844 .44273 L
.38876 .44301 L
.38993 .44462 L
.39004 .44475 L
.39121 .44622 L
.39165 .44674 L
.3925 .44783 L
.39325 .44857 L
.3938 .44943 L
.39486 .45072 L
.39516 .45104 L
.39635 .45265 L
.39646 .45278 L
.39761 .45425 L
.39807 .45449 L
.39887 .45586 L
.39967 .45676 L
.40039 .45746 L
.40128 .45889 L
.40142 .45907 L
.40264 .46067 L
.40288 .46097 L
.40389 .46228 L
.40449 .46282 L
.40569 .46388 L
.40609 .46504 L
.40649 .46549 L
.40764 .46709 L
.4077 .46717 L
.40886 .4687 L
.4093 .46885 L
.4101 .4703 L
.41091 .4712 L
.41158 .47191 L
.41251 .4734 L
.41261 .47351 L
.41381 .47512 L
.41412 .47551 L
.41503 .47672 L
.41572 .47734 L
.41675 .47833 L
.41733 .47966 L
.41757 .47993 L
.41872 .48154 L
.41894 .48182 L
.41992 .48314 L
.42054 .48394 L
.42114 .48475 L
.42215 .48594 L
.42252 .48636 L
.42358 .48796 L
.42375 .48817 L
.42477 .48957 L
.42536 .49032 L
.42598 .49117 L
.42696 .49226 L
.42744 .49278 L
.42839 .49438 L
.42857 .49461 L
.42955 .49599 L
.43017 .4968 L
.43073 .49759 L
.43178 .49898 L
.43193 .4992 L
.43308 .5008 L
.43338 .50121 L
.4342 .50241 L
.43499 .50348 L
.43534 .50401 L
.43647 .50562 L
.43659 .5058 L
.43743 .50722 L
.4382 .50843 L
.43836 .50883 L
.4382 .50914 L
.43785 .50883 L
.43659 .50767 L
.43619 .50722 L
.43499 .50594 L
.4347 .50562 L
.43338 .50418 L
.43328 .50401 L
.43191 .50241 L
.43178 .50226 L
.43056 .5008 L
.43017 .50036 L
.42921 .4992 L
.42857 .49889 L
.42787 .49759 L
.42696 .49657 L
.42623 .49599 L
.42536 .49452 L
.42523 .49438 L
.42396 .49278 L
.42375 .49253 L
.42266 .49117 L
.42215 .49073 L
.42137 .48957 L
.42054 .48857 L
.41996 .48796 L
.41894 .4865 L
.41882 .48636 L
.41756 .48475 L
.41733 .48447 L
.41629 .48314 L
.41572 .48254 L
.41469 .48154 L
.41412 .4804 L
.41373 .47993 L
.41251 .47833 L
.41251 .47833 L
.41127 .47672 L
.41091 .47647 L
.41002 .47512 L
.4093 .47427 L
.40863 .47351 L
.4077 .47214 L
.40753 .47191 L
.40629 .4703 L
.40609 .47005 L
.40505 .4687 L
.40449 .46812 L
.4035 .46709 L
.40288 .46592 L
.40254 .46549 L
.40135 .46388 L
.40128 .46379 L
.40013 .46228 L
.39967 .46199 L
.3989 .46067 L
.39807 .45968 L
.39755 .45907 L
.39646 .45748 L
.39645 .45746 L
.39525 .45586 L
.39486 .45535 L
.39403 .45425 L
.39325 .45341 L
.39256 .45265 L
.39165 .45111 L
.39159 .45104 L
.39042 .44943 L
.39004 .44894 L
.38922 .44783 L
.38844 .44716 L
.38802 .44622 L
.38683 .44463 L
.38682 .44462 L
.38567 .44301 L
.38523 .44242 L
.38451 .44141 L
.38362 .44021 L
.38333 .4398 L
.38219 .4382 L
.38201 .43796 L
.3811 .43659 L
.38041 .43563 L
.37999 .43499 L
.37892 .43338 L
.3788 .43321 L
.3781 .43178 L
F
1 .97 .395 r
.3788 .38345 m
.37944 .38362 L
.38041 .38414 L
.38167 .38523 L
.38201 .38528 L
.38325 .38683 L
.38362 .38714 L
.38468 .38844 L
.38523 .38903 L
.38656 .39004 L
.38683 .39101 L
.38747 .39165 L
.38844 .39302 L
.38863 .39325 L
.3899 .39486 L
.39004 .3949 L
.39115 .39646 L
.39165 .39695 L
.39264 .39807 L
.39325 .39912 L
.39365 .39967 L
.39483 .40128 L
.39486 .40132 L
.39599 .40288 L
.39646 .40356 L
.39759 .40449 L
.39807 .40604 L
.39811 .40609 L
.3981 .4077 L
.39807 .40771 L
.39745 .4077 L
.39646 .40739 L
.39486 .40623 L
.3947 .40609 L
.39325 .40457 L
.3932 .40449 L
.39182 .40288 L
.39165 .40272 L
.39051 .40128 L
.39004 .40072 L
.38909 .39967 L
.38844 .39865 L
.388 .39807 L
.38683 .39656 L
.38679 .39646 L
.38553 .39486 L
.38523 .39473 L
.38401 .39325 L
.38362 .39246 L
.38309 .39165 L
.38201 .3901 L
.38199 .39004 L
.38087 .38844 L
.38041 .38774 L
.37982 .38683 L
.37891 .38523 L
.3788 .385 L
.37859 .38362 L
F
.005 .83 1 r
.3788 .45131 m
.37964 .45265 L
.38041 .4537 L
.3807 .45425 L
.38041 .45462 L
.38008 .45425 L
.3788 .45287 L
.37861 .45265 L
F
1 .66 0 r
.3788 .44464 m
.37997 .44622 L
.38041 .44675 L
.38118 .44783 L
.38201 .44884 L
.38243 .44943 L
.38362 .45093 L
.3837 .45104 L
.38362 .45252 L
.38249 .45104 L
.38201 .45049 L
.38122 .44943 L
.38041 .44847 L
.37993 .44783 L
.3788 .44643 L
.37865 .44622 L
F
1 .65 0 r
.3788 .44481 m
.37982 .44622 L
.38041 .44691 L
.38104 .44783 L
.38201 .449 L
.38231 .44943 L
.38201 .45031 L
.38136 .44943 L
.38041 .44831 L
.38005 .44783 L
.3788 .44628 L
.37877 .44622 L
F
.018 .87 1 r
.38041 .42679 m
.38058 .42696 L
.38201 .42841 L
.38212 .42857 L
.38358 .43017 L
.38362 .43022 L
.38498 .43178 L
.38523 .43204 L
.38637 .43338 L
.38683 .43361 L
.38774 .43499 L
.38844 .43574 L
.38957 .43659 L
.39004 .43775 L
.39048 .4382 L
.39165 .43971 L
.39172 .4398 L
.39303 .44141 L
.39325 .4416 L
.39434 .44301 L
.39486 .44363 L
.39582 .44462 L
.39646 .44569 L
.3969 .44622 L
.39807 .44771 L
.39814 .44783 L
.39946 .44943 L
.39967 .44966 L
.40107 .45104 L
.40128 .45173 L
.40206 .45265 L
.40288 .45381 L
.40319 .45425 L
.40449 .45583 L
.40449 .45586 L
.40577 .45746 L
.40609 .45784 L
.40719 .45907 L
.4077 .45994 L
.40826 .46067 L
.4093 .46203 L
.40943 .46228 L
.41078 .46388 L
.41091 .46401 L
.41231 .46549 L
.41251 .4661 L
.41333 .46709 L
.41412 .46822 L
.41444 .4687 L
.41572 .47027 L
.41576 .4703 L
.41699 .47191 L
.41733 .47229 L
.41839 .47351 L
.41894 .47442 L
.41946 .47512 L
.42054 .47652 L
.42063 .47672 L
.42194 .47833 L
.42215 .47851 L
.42349 .47993 L
.42375 .48063 L
.42449 .48154 L
.42536 .48276 L
.4256 .48314 L
.42688 .48475 L
.42696 .48478 L
.42811 .48636 L
.42857 .48685 L
.42952 .48796 L
.43017 .48901 L
.43059 .48957 L
.43178 .49113 L
.4318 .49117 L
.43303 .49278 L
.43338 .49307 L
.4346 .49438 L
.43499 .49525 L
.43557 .49599 L
.43659 .49741 L
.43671 .49759 L
.43794 .4992 L
.4382 .49927 L
.43916 .5008 L
.4398 .50149 L
.44057 .50241 L
.44141 .5037 L
.44164 .50401 L
.44284 .50562 L
.44301 .50584 L
.44405 .50722 L
.44462 .5077 L
.44562 .50883 L
.44622 .51 L
.44656 .51043 L
.44771 .51204 L
.44783 .51219 L
.44891 .51364 L
.44943 .51433 L
.45012 .51525 L
.45104 .51632 L
.45147 .51686 L
.45255 .51846 L
.45265 .51858 L
.45373 .52007 L
.45425 .52074 L
.45492 .52167 L
.45586 .52268 L
.45634 .52328 L
.45732 .52488 L
.45746 .52506 L
.45848 .52649 L
.45907 .52727 L
.45965 .52809 L
.46067 .52947 L
.46083 .5297 L
.46196 .5313 L
.46228 .53173 L
.46306 .53291 L
.46388 .53406 L
.46417 .53451 L
.46522 .53612 L
.46549 .53651 L
.4661 .53772 L
.46549 .53816 L
.46503 .53772 L
.46388 .53661 L
.46342 .53612 L
.46228 .53507 L
.46192 .53451 L
.46067 .53313 L
.46035 .53291 L
.45909 .5313 L
.45907 .53127 L
.45772 .5297 L
.45746 .5294 L
.45636 .52809 L
.45586 .52757 L
.45501 .52649 L
.45425 .52556 L
.4536 .52488 L
.45265 .52357 L
.45242 .52328 L
.45107 .52167 L
.45104 .52165 L
.44976 .52007 L
.44943 .51967 L
.44826 .51846 L
.44783 .51763 L
.4472 .51686 L
.44622 .51558 L
.44603 .51525 L
.44464 .51364 L
.44462 .51363 L
.44303 .51204 L
.44301 .5116 L
.44204 .51043 L
.44141 .50951 L
.44093 .50883 L
.4398 .50744 L
.43975 .50722 L
.43832 .50562 L
.4382 .50548 L
.43692 .50401 L
.43659 .5034 L
.43583 .50241 L
.43499 .50129 L
.43472 .5008 L
.43338 .49925 L
.43331 .4992 L
.43183 .49759 L
.43178 .49723 L
.43076 .49599 L
.43017 .49512 L
.42967 .49438 L
.42857 .49302 L
.42852 .49278 L
.42709 .49117 L
.42696 .49103 L
.42571 .48957 L
.42536 .48893 L
.42463 .48796 L
.42375 .4868 L
.42352 .48636 L
.42215 .48476 L
.42214 .48475 L
.42064 .48314 L
.42054 .48271 L
.4196 .48154 L
.41894 .48058 L
.41851 .47993 L
.41733 .47847 L
.41731 .47833 L
.41597 .47672 L
.41572 .47647 L
.41456 .47512 L
.41412 .47434 L
.41351 .47351 L
.41251 .47221 L
.41237 .47191 L
.41105 .4703 L
.41091 .47021 L
.40948 .4687 L
.4093 .4681 L
.40851 .46709 L
.4077 .46594 L
.40741 .46549 L
.40614 .46388 L
.40609 .46382 L
.40493 .46228 L
.40449 .46185 L
.40349 .46067 L
.40288 .45965 L
.40246 .45907 L
.40128 .4575 L
.40126 .45746 L
.40005 .45586 L
.39967 .45562 L
.39842 .45425 L
.39807 .45336 L
.39752 .45265 L
.39646 .45114 L
.3964 .45104 L
.3952 .44943 L
.39486 .44899 L
.39399 .44783 L
.39325 .44705 L
.39259 .44622 L
.39165 .44474 L
.39156 .44462 L
.39039 .44301 L
.39004 .44255 L
.38921 .44141 L
.38844 .44072 L
.38769 .4398 L
.38683 .43822 L
.38682 .4382 L
.38568 .43659 L
.38523 .43598 L
.38453 .43499 L
.38362 .43375 L
.38337 .43338 L
.38225 .43178 L
.38201 .43146 L
.38118 .43017 L
.38041 .42906 L
.3801 .42857 L
.37913 .42696 L
F
.212 .95 1 r
.38041 .39134 m
.3807 .39165 L
.38201 .393 L
.38222 .39325 L
.3836 .39486 L
.38362 .39488 L
.38483 .39646 L
.38523 .39695 L
.38601 .39807 L
.38683 .39918 L
.38714 .39967 L
.38683 .401 L
.38553 .39967 L
.38523 .39935 L
.38414 .39807 L
.38362 .39745 L
.38285 .39646 L
.38201 .39539 L
.38163 .39486 L
.3805 .39325 L
.38041 .39311 L
.3796 .39165 L
F
0 .59 1 r
.38041 .44018 m
.3814 .44141 L
.38201 .44208 L
.38275 .44301 L
.38362 .44401 L
.38409 .44462 L
.38523 .44597 L
.38542 .44622 L
.38672 .44783 L
.38683 .44796 L
.38797 .44943 L
.38844 .44999 L
.38923 .45104 L
.39004 .45202 L
.39051 .45265 L
.39165 .45405 L
.3918 .45425 L
.39304 .45586 L
.39325 .45611 L
.39426 .45746 L
.39486 .45819 L
.3955 .45907 L
.39646 .46027 L
.39676 .46067 L
.39801 .46228 L
.39807 .46235 L
.39919 .46388 L
.39967 .46448 L
.4004 .46549 L
.40128 .4666 L
.40163 .46709 L
.40286 .4687 L
.40288 .46872 L
.404 .4703 L
.40449 .47092 L
.40517 .47191 L
.40609 .47311 L
.40636 .47351 L
.40609 .47505 L
.40484 .47351 L
.40449 .47313 L
.40351 .47191 L
.40288 .47118 L
.40219 .4703 L
.40128 .46921 L
.40087 .4687 L
.39967 .46733 L
.39957 .46709 L
.39831 .46549 L
.39807 .4652 L
.39705 .46388 L
.39646 .46316 L
.39578 .46228 L
.39486 .46112 L
.39451 .46067 L
.39325 .45907 L
.39325 .45907 L
.39203 .45746 L
.39165 .45698 L
.3908 .45586 L
.39004 .45489 L
.38956 .45425 L
.38844 .45295 L
.38832 .45265 L
.38713 .45104 L
.38683 .45067 L
.38593 .44943 L
.38523 .44853 L
.38472 .44783 L
.38362 .44638 L
.3835 .44622 L
.38236 .44462 L
.38201 .44418 L
.38122 .44301 L
.38041 .44194 L
.38005 .44141 L
F
1 .69 0 r
.38041 .43351 m
.38174 .43499 L
.38201 .43526 L
.38315 .43659 L
.38362 .4371 L
.38454 .4382 L
.38523 .43898 L
.3859 .4398 L
.38683 .44062 L
.38725 .44141 L
.38844 .4428 L
.38868 .44301 L
.38988 .44462 L
.39004 .44481 L
.39117 .44622 L
.39165 .44679 L
.39247 .44783 L
.39325 .44862 L
.39376 .44943 L
.39486 .45077 L
.39512 .45104 L
.39632 .45265 L
.39646 .45282 L
.39757 .45425 L
.39807 .45452 L
.39884 .45586 L
.39967 .45679 L
.40035 .45746 L
.40128 .45893 L
.40139 .45907 L
.40262 .46067 L
.40288 .461 L
.40386 .46228 L
.40449 .46285 L
.40566 .46388 L
.40609 .46507 L
.40646 .46549 L
.40761 .46709 L
.4077 .4672 L
.40884 .4687 L
.4093 .46887 L
.41008 .4703 L
.41091 .47123 L
.41155 .47191 L
.41251 .47343 L
.41258 .47351 L
.41378 .47512 L
.41412 .47555 L
.41501 .47672 L
.41572 .47738 L
.41671 .47833 L
.41733 .47969 L
.41754 .47993 L
.41869 .48154 L
.41894 .48185 L
.4199 .48314 L
.42054 .48397 L
.42112 .48475 L
.42215 .48598 L
.42248 .48636 L
.42355 .48796 L
.42375 .48821 L
.42474 .48957 L
.42536 .49036 L
.42595 .49117 L
.42696 .49232 L
.42738 .49278 L
.42835 .49438 L
.42857 .49466 L
.42951 .49599 L
.43017 .49685 L
.43069 .49759 L
.43178 .49904 L
.43189 .4992 L
.43302 .5008 L
.43338 .50128 L
.43414 .50241 L
.43499 .50357 L
.43528 .50401 L
.43636 .50562 L
.43659 .50595 L
.43728 .50722 L
.43659 .5075 L
.43633 .50722 L
.43499 .50583 L
.4348 .50562 L
.43338 .50404 L
.43337 .50401 L
.43199 .50241 L
.43178 .50218 L
.43062 .5008 L
.43017 .50029 L
.42927 .4992 L
.42857 .49883 L
.42793 .49759 L
.42696 .4965 L
.42631 .49599 L
.42536 .49446 L
.42528 .49438 L
.424 .49278 L
.42375 .49248 L
.4227 .49117 L
.42215 .49069 L
.42141 .48957 L
.42054 .48852 L
.42 .48796 L
.41894 .48645 L
.41886 .48636 L
.41759 .48475 L
.41733 .48443 L
.41632 .48314 L
.41572 .4825 L
.41472 .48154 L
.41412 .48036 L
.41376 .47993 L
.41254 .47833 L
.41251 .47829 L
.4113 .47672 L
.41091 .47644 L
.41004 .47512 L
.4093 .47424 L
.40866 .47351 L
.4077 .4721 L
.40756 .47191 L
.40632 .4703 L
.40609 .47002 L
.40508 .4687 L
.40449 .46809 L
.40353 .46709 L
.40288 .46588 L
.40257 .46549 L
.40138 .46388 L
.40128 .46375 L
.40016 .46228 L
.39967 .46196 L
.39893 .46067 L
.39807 .45963 L
.39758 .45907 L
.39648 .45746 L
.39646 .45744 L
.39528 .45586 L
.39486 .45531 L
.39406 .45425 L
.39325 .45337 L
.3926 .45265 L
.39165 .45106 L
.39163 .45104 L
.39046 .44943 L
.39004 .44889 L
.38926 .44783 L
.38844 .44709 L
.38806 .44622 L
.38687 .44462 L
.38683 .44457 L
.38572 .44301 L
.38523 .44235 L
.38456 .44141 L
.38362 .44013 L
.38339 .4398 L
.38226 .4382 L
.38201 .43786 L
.38118 .43659 L
.38041 .43551 L
.38008 .43499 L
F
0 .58 1 r
.38041 .44032 m
.38129 .44141 L
.38201 .44219 L
.38267 .44301 L
.38362 .4441 L
.38402 .44462 L
.38523 .44604 L
.38536 .44622 L
.38665 .44783 L
.38683 .44804 L
.38791 .44943 L
.38844 .45006 L
.38918 .45104 L
.39004 .45208 L
.39047 .45265 L
.39165 .45411 L
.39175 .45425 L
.39299 .45586 L
.39325 .45618 L
.39421 .45746 L
.39486 .45826 L
.39546 .45907 L
.39646 .46033 L
.39672 .46067 L
.39795 .46228 L
.39807 .46242 L
.39914 .46388 L
.39967 .46455 L
.40035 .46549 L
.40128 .46667 L
.40158 .46709 L
.4028 .4687 L
.40288 .4688 L
.40393 .4703 L
.40449 .47101 L
.4051 .47191 L
.40609 .47321 L
.4063 .47351 L
.40609 .47493 L
.40493 .47351 L
.40449 .47303 L
.40359 .47191 L
.40288 .47109 L
.40225 .4703 L
.40128 .46913 L
.40093 .4687 L
.39967 .46719 L
.39963 .46709 L
.39837 .46549 L
.39807 .46512 L
.39711 .46388 L
.39646 .46309 L
.39583 .46228 L
.39486 .46105 L
.39456 .46067 L
.39331 .45907 L
.39325 .459 L
.39209 .45746 L
.39165 .45691 L
.39085 .45586 L
.39004 .45482 L
.38961 .45425 L
.38844 .45282 L
.38837 .45265 L
.38719 .45104 L
.38683 .45059 L
.38599 .44943 L
.38523 .44845 L
.38478 .44783 L
.38362 .4463 L
.38357 .44622 L
.38244 .44462 L
.38201 .44407 L
.3813 .44301 L
.38041 .44182 L
.38014 .44141 L
F
1 .68 0 r
.38041 .43367 m
.38162 .43499 L
.38201 .43538 L
.38306 .43659 L
.38362 .43719 L
.38446 .4382 L
.38523 .43906 L
.38584 .4398 L
.38683 .44071 L
.38719 .44141 L
.38844 .44287 L
.3886 .44301 L
.38983 .44462 L
.39004 .44486 L
.39113 .44622 L
.39165 .44684 L
.39243 .44783 L
.39325 .44867 L
.39372 .44943 L
.39486 .45082 L
.39507 .45104 L
.39628 .45265 L
.39646 .45287 L
.39754 .45425 L
.39807 .45455 L
.39881 .45586 L
.39967 .45683 L
.40031 .45746 L
.40128 .45897 L
.40136 .45907 L
.40259 .46067 L
.40288 .46104 L
.40384 .46228 L
.40449 .46288 L
.40563 .46388 L
.40609 .46511 L
.40643 .46549 L
.40759 .46709 L
.4077 .46723 L
.40881 .4687 L
.4093 .46889 L
.41005 .4703 L
.41091 .47127 L
.41152 .47191 L
.41251 .47347 L
.41255 .47351 L
.41376 .47512 L
.41412 .47558 L
.41498 .47672 L
.41572 .47741 L
.41667 .47833 L
.41733 .47973 L
.4175 .47993 L
.41866 .48154 L
.41894 .48189 L
.41987 .48314 L
.42054 .48401 L
.42109 .48475 L
.42215 .48603 L
.42244 .48636 L
.42352 .48796 L
.42375 .48825 L
.42471 .48957 L
.42536 .4904 L
.42591 .49117 L
.42696 .49239 L
.42732 .49278 L
.42831 .49438 L
.42857 .49472 L
.42947 .49599 L
.43017 .49691 L
.43065 .49759 L
.43178 .4991 L
.43185 .4992 L
.43296 .5008 L
.43338 .50137 L
.43407 .50241 L
.43499 .50367 L
.43521 .50401 L
.43624 .50562 L
.43659 .50615 L
.43705 .50722 L
.43659 .50731 L
.43651 .50722 L
.43499 .5057 L
.43492 .50562 L
.43346 .50401 L
.43338 .50393 L
.43207 .50241 L
.43178 .50209 L
.43069 .5008 L
.43017 .50021 L
.42933 .4992 L
.42857 .49876 L
.42798 .49759 L
.42696 .49643 L
.42639 .49599 L
.42536 .4944 L
.42534 .49438 L
.42405 .49278 L
.42375 .49242 L
.42275 .49117 L
.42215 .49064 L
.42145 .48957 L
.42054 .48847 L
.42004 .48796 L
.41894 .48641 L
.41889 .48636 L
.41763 .48475 L
.41733 .48438 L
.41636 .48314 L
.41572 .48247 L
.41475 .48154 L
.41412 .48032 L
.41379 .47993 L
.41257 .47833 L
.41251 .47825 L
.41133 .47672 L
.41091 .47642 L
.41007 .47512 L
.4093 .4742 L
.40869 .47351 L
.4077 .47207 L
.40758 .47191 L
.40635 .4703 L
.40609 .46998 L
.40511 .4687 L
.40449 .46805 L
.40356 .46709 L
.40288 .46584 L
.4026 .46549 L
.40141 .46388 L
.40128 .46372 L
.40019 .46228 L
.39967 .46193 L
.39896 .46067 L
.39807 .45959 L
.39762 .45907 L
.39651 .45746 L
.39646 .4574 L
.39531 .45586 L
.39486 .45527 L
.3941 .45425 L
.39325 .45332 L
.39264 .45265 L
.39167 .45104 L
.39165 .45101 L
.39049 .44943 L
.39004 .44884 L
.3893 .44783 L
.38844 .44701 L
.3881 .44622 L
.38692 .44462 L
.38683 .44451 L
.38577 .44301 L
.38523 .44228 L
.38461 .44141 L
.38362 .44006 L
.38344 .4398 L
.38233 .4382 L
.38201 .43776 L
.38126 .43659 L
.38041 .43537 L
.38017 .43499 L
F
1 .64 0 r
.38041 .44712 m
.38087 .44783 L
.38201 .4492 L
.38217 .44943 L
.38201 .45008 L
.38155 .44943 L
.38041 .44811 L
.38021 .44783 L
F
0 .57 1 r
.38041 .44048 m
.38117 .44141 L
.38201 .4423 L
.38258 .44301 L
.38362 .44419 L
.38395 .44462 L
.38523 .44612 L
.3853 .44622 L
.38658 .44783 L
.38683 .44812 L
.38784 .44943 L
.38844 .45013 L
.38912 .45104 L
.39004 .45215 L
.39042 .45265 L
.39165 .45417 L
.39171 .45425 L
.39293 .45586 L
.39325 .45624 L
.39416 .45746 L
.39486 .45832 L
.39541 .45907 L
.39646 .46039 L
.39667 .46067 L
.3979 .46228 L
.39807 .46249 L
.39908 .46388 L
.39967 .46462 L
.40029 .46549 L
.40128 .46674 L
.40153 .46709 L
.40273 .4687 L
.40288 .46889 L
.40386 .4703 L
.40449 .4711 L
.40503 .47191 L
.40609 .47331 L
.40622 .47351 L
.40609 .47479 L
.40504 .47351 L
.40449 .47292 L
.40367 .47191 L
.40288 .471 L
.40233 .4703 L
.40128 .46905 L
.401 .4687 L
.39969 .46709 L
.39967 .46707 L
.39844 .46549 L
.39807 .46505 L
.39717 .46388 L
.39646 .46302 L
.39589 .46228 L
.39486 .46099 L
.39461 .46067 L
.39337 .45907 L
.39325 .45893 L
.39215 .45746 L
.39165 .45684 L
.39091 .45586 L
.39004 .45475 L
.38966 .45425 L
.38844 .45268 L
.38842 .45265 L
.38725 .45104 L
.38683 .45051 L
.38605 .44943 L
.38523 .44837 L
.38484 .44783 L
.38363 .44622 L
.38362 .44621 L
.38253 .44462 L
.38201 .44395 L
.38139 .44301 L
.38041 .44168 L
.38024 .44141 L
F
.013 .86 1 r
.38041 .42711 m
.38191 .42857 L
.38201 .42867 L
.38341 .43017 L
.38362 .43039 L
.38485 .43178 L
.38523 .43218 L
.38626 .43338 L
.38683 .43369 L
.38764 .43499 L
.38844 .43585 L
.38947 .43659 L
.39004 .43784 L
.3904 .4382 L
.39165 .43979 L
.39166 .4398 L
.39297 .44141 L
.39325 .44165 L
.39428 .44301 L
.39486 .4437 L
.39577 .44462 L
.39646 .44575 L
.39686 .44622 L
.39807 .44775 L
.39811 .44783 L
.39942 .44943 L
.39967 .4497 L
.40105 .45104 L
.40128 .45177 L
.40203 .45265 L
.40288 .45385 L
.40316 .45425 L
.40449 .45586 L
.40449 .45586 L
.40574 .45746 L
.40609 .45787 L
.40716 .45907 L
.4077 .45997 L
.40824 .46067 L
.4093 .46206 L
.40941 .46228 L
.41075 .46388 L
.41091 .46404 L
.4123 .46549 L
.41251 .46613 L
.41331 .46709 L
.41412 .46824 L
.41442 .4687 L
.41572 .4703 L
.41573 .4703 L
.41697 .47191 L
.41733 .47232 L
.41838 .47351 L
.41894 .47444 L
.41944 .47512 L
.42054 .47655 L
.42062 .47672 L
.42192 .47833 L
.42215 .47853 L
.42347 .47993 L
.42375 .48065 L
.42447 .48154 L
.42536 .48279 L
.42559 .48314 L
.42686 .48475 L
.42696 .48479 L
.42809 .48636 L
.42857 .48687 L
.42951 .48796 L
.43017 .48903 L
.43057 .48957 L
.43178 .49115 L
.43179 .49117 L
.43301 .49278 L
.43338 .49309 L
.43459 .49438 L
.43499 .49528 L
.43555 .49599 L
.43659 .49744 L
.43669 .49759 L
.43792 .4992 L
.4382 .49928 L
.43914 .5008 L
.4398 .50152 L
.44055 .50241 L
.44141 .50373 L
.44161 .50401 L
.44281 .50562 L
.44301 .50588 L
.44402 .50722 L
.44462 .50774 L
.44559 .50883 L
.44622 .51004 L
.44653 .51043 L
.44768 .51204 L
.44783 .51223 L
.44888 .51364 L
.44943 .51437 L
.45009 .51525 L
.45104 .51637 L
.45143 .51686 L
.45251 .51846 L
.45265 .51863 L
.45369 .52007 L
.45425 .5208 L
.45488 .52167 L
.45586 .52277 L
.45627 .52328 L
.45727 .52488 L
.45746 .52514 L
.45841 .52649 L
.45907 .52735 L
.45958 .52809 L
.46067 .52957 L
.46076 .5297 L
.46186 .5313 L
.46228 .53187 L
.46295 .53291 L
.46388 .53424 L
.46405 .53451 L
.465 .53612 L
.46388 .53635 L
.46365 .53612 L
.46228 .5348 L
.4621 .53451 L
.46067 .53295 L
.4606 .53291 L
.45922 .5313 L
.45907 .53114 L
.45783 .5297 L
.45746 .52928 L
.45645 .52809 L
.45586 .52747 L
.45509 .52649 L
.45425 .52546 L
.45367 .52488 L
.45265 .52349 L
.45247 .52328 L
.45113 .52167 L
.45104 .5216 L
.44982 .52007 L
.44943 .51961 L
.4483 .51846 L
.44783 .51756 L
.44725 .51686 L
.44622 .51552 L
.44606 .51525 L
.44468 .51364 L
.44462 .51358 L
.44304 .51204 L
.44301 .51155 L
.44207 .51043 L
.44141 .50946 L
.44096 .50883 L
.4398 .50741 L
.43976 .50722 L
.43835 .50562 L
.4382 .50544 L
.43694 .50401 L
.43659 .50336 L
.43586 .50241 L
.43499 .50125 L
.43474 .5008 L
.43338 .49923 L
.43334 .4992 L
.43183 .49759 L
.43178 .4972 L
.43079 .49599 L
.43017 .49509 L
.42969 .49438 L
.42857 .49299 L
.42853 .49278 L
.42712 .49117 L
.42696 .491 L
.42572 .48957 L
.42536 .4889 L
.42465 .48796 L
.42375 .48678 L
.42353 .48636 L
.42216 .48475 L
.42215 .48474 L
.42064 .48314 L
.42054 .48268 L
.41962 .48154 L
.41894 .48055 L
.41853 .47993 L
.41733 .47845 L
.41732 .47833 L
.41599 .47672 L
.41572 .47645 L
.41458 .47512 L
.41412 .47431 L
.41353 .47351 L
.41251 .47218 L
.41238 .47191 L
.41107 .4703 L
.41091 .47019 L
.40949 .4687 L
.4093 .46807 L
.40853 .46709 L
.4077 .46591 L
.40743 .46549 L
.40617 .46388 L
.40609 .46379 L
.40495 .46228 L
.40449 .46182 L
.40352 .46067 L
.40288 .45962 L
.40248 .45907 L
.40128 .45746 L
.40128 .45746 L
.40007 .45586 L
.39967 .4556 L
.39845 .45425 L
.39807 .45332 L
.39755 .45265 L
.39646 .4511 L
.39642 .45104 L
.39523 .44943 L
.39486 .44895 L
.39403 .44783 L
.39325 .447 L
.39263 .44622 L
.39165 .44468 L
.39161 .44462 L
.39044 .44301 L
.39004 .44249 L
.38926 .44141 L
.38844 .44063 L
.38777 .4398 L
.38688 .4382 L
.38683 .43813 L
.38575 .43659 L
.38523 .43588 L
.38461 .43499 L
.38362 .43363 L
.38345 .43338 L
.38236 .43178 L
.38201 .43129 L
.38131 .43017 L
.38041 .42882 L
.38026 .42857 L
F
1 .67 0 r
.38041 .43386 m
.38148 .43499 L
.38201 .4355 L
.38297 .43659 L
.38362 .43728 L
.38439 .4382 L
.38523 .43913 L
.38578 .4398 L
.38683 .4408 L
.38714 .44141 L
.38844 .44295 L
.38852 .44301 L
.38978 .44462 L
.39004 .44492 L
.39108 .44622 L
.39165 .4469 L
.39239 .44783 L
.39325 .44872 L
.39369 .44943 L
.39486 .45087 L
.39503 .45104 L
.39625 .45265 L
.39646 .45291 L
.39751 .45425 L
.39807 .45458 L
.39878 .45586 L
.39967 .45687 L
.40028 .45746 L
.40128 .45901 L
.40133 .45907 L
.40256 .46067 L
.40288 .46107 L
.40381 .46228 L
.40449 .46291 L
.4056 .46388 L
.40609 .46514 L
.4064 .46549 L
.40756 .46709 L
.4077 .46726 L
.40879 .4687 L
.4093 .46891 L
.41003 .4703 L
.41091 .4713 L
.41149 .47191 L
.41251 .4735 L
.41252 .47351 L
.41373 .47512 L
.41412 .47561 L
.41496 .47672 L
.41572 .47745 L
.41664 .47833 L
.41733 .47977 L
.41747 .47993 L
.41863 .48154 L
.41894 .48192 L
.41984 .48314 L
.42054 .48404 L
.42106 .48475 L
.42215 .48608 L
.42239 .48636 L
.42349 .48796 L
.42375 .4883 L
.42468 .48957 L
.42536 .49045 L
.42588 .49117 L
.42696 .49246 L
.42725 .49278 L
.42827 .49438 L
.42857 .49477 L
.42943 .49599 L
.43017 .49697 L
.43061 .49759 L
.43178 .49916 L
.4318 .4992 L
.4329 .5008 L
.43338 .50145 L
.434 .50241 L
.43499 .50378 L
.43513 .50401 L
.43499 .50555 L
.43357 .50401 L
.43338 .50382 L
.43215 .50241 L
.43178 .502 L
.43076 .5008 L
.43017 .50013 L
.42939 .4992 L
.42857 .49868 L
.42804 .49759 L
.42696 .49636 L
.42647 .49599 L
.42539 .49438 L
.42536 .49434 L
.42409 .49278 L
.42375 .49237 L
.42279 .49117 L
.42215 .4906 L
.42149 .48957 L
.42054 .48842 L
.42009 .48796 L
.41894 .48637 L
.41893 .48636 L
.41766 .48475 L
.41733 .48434 L
.41639 .48314 L
.41572 .48243 L
.41478 .48154 L
.41412 .48028 L
.41382 .47993 L
.41261 .47833 L
.41251 .47821 L
.41136 .47672 L
.41091 .47639 L
.4101 .47512 L
.4093 .47416 L
.40872 .47351 L
.4077 .47203 L
.40761 .47191 L
.40638 .4703 L
.40609 .46995 L
.40514 .4687 L
.40449 .46802 L
.40359 .46709 L
.40288 .46581 L
.40263 .46549 L
.40144 .46388 L
.40128 .46368 L
.40022 .46228 L
.39967 .4619 L
.39899 .46067 L
.39807 .45955 L
.39765 .45907 L
.39654 .45746 L
.39646 .45736 L
.39534 .45586 L
.39486 .45523 L
.39413 .45425 L
.39325 .45326 L
.39269 .45265 L
.39171 .45104 L
.39165 .45096 L
.39053 .44943 L
.39004 .44879 L
.38934 .44783 L
.38844 .44693 L
.38814 .44622 L
.38696 .44462 L
.38683 .44444 L
.38582 .44301 L
.38523 .44221 L
.38466 .44141 L
.38362 .43998 L
.3835 .4398 L
.38241 .4382 L
.38201 .43765 L
.38135 .43659 L
.38041 .43522 L
.38027 .43499 L
F
0 .56 1 r
.38041 .4407 m
.381 .44141 L
.38201 .44243 L
.38248 .44301 L
.38362 .44429 L
.38388 .44462 L
.38523 .44621 L
.38524 .44622 L
.3865 .44783 L
.38683 .4482 L
.38778 .44943 L
.38844 .45021 L
.38907 .45104 L
.39004 .45222 L
.39036 .45265 L
.39165 .45423 L
.39166 .45425 L
.39287 .45586 L
.39325 .45631 L
.3941 .45746 L
.39486 .45839 L
.39536 .45907 L
.39646 .46045 L
.39662 .46067 L
.39784 .46228 L
.39807 .46256 L
.39902 .46388 L
.39967 .46469 L
.40024 .46549 L
.40128 .46682 L
.40147 .46709 L
.40266 .4687 L
.40288 .46898 L
.40378 .4703 L
.40449 .47121 L
.40495 .47191 L
.40609 .47343 L
.40614 .47351 L
.40609 .47463 L
.40516 .47351 L
.40449 .4728 L
.40377 .47191 L
.40288 .4709 L
.4024 .4703 L
.40128 .46896 L
.40107 .4687 L
.39977 .46709 L
.39967 .46698 L
.39851 .46549 L
.39807 .46497 L
.39723 .46388 L
.39646 .46295 L
.39595 .46228 L
.39486 .46091 L
.39467 .46067 L
.39343 .45907 L
.39325 .45885 L
.39221 .45746 L
.39165 .45677 L
.39097 .45586 L
.39004 .45468 L
.38972 .45425 L
.38849 .45265 L
.38844 .45258 L
.38732 .45104 L
.38683 .45043 L
.38612 .44943 L
.38523 .44828 L
.3849 .44783 L
.38372 .44622 L
.38362 .4461 L
.38262 .44462 L
.38201 .44382 L
.38149 .44301 L
.38041 .44151 L
.38035 .44141 L
F
1 .96 .289 r
.38041 .38524 m
.38201 .38572 L
.38267 .38683 L
.38362 .38758 L
.38427 .38844 L
.38523 .38943 L
.38618 .39004 L
.38683 .39134 L
.38716 .39165 L
.3884 .39325 L
.38844 .39329 L
.38967 .39486 L
.39004 .395 L
.39094 .39646 L
.39165 .3972 L
.39242 .39807 L
.39325 .39943 L
.39343 .39967 L
.39458 .40128 L
.39486 .40165 L
.39571 .40288 L
.39646 .404 L
.39709 .40449 L
.39749 .40609 L
.39646 .40673 L
.39539 .40609 L
.39486 .40571 L
.39359 .40449 L
.39325 .40435 L
.39213 .40288 L
.39165 .40244 L
.39077 .40128 L
.39004 .40043 L
.38932 .39967 L
.38844 .39836 L
.38821 .39807 L
.38698 .39646 L
.38683 .39627 L
.38577 .39486 L
.38523 .39452 L
.38425 .39325 L
.38362 .39202 L
.38339 .39165 L
.38232 .39004 L
.38201 .38958 L
.38129 .38844 L
.38041 .38691 L
.38037 .38683 L
F
1 .66 0 r
.38041 .43412 m
.38131 .43499 L
.38201 .43563 L
.38286 .43659 L
.38362 .43738 L
.38431 .4382 L
.38523 .43922 L
.38571 .4398 L
.38683 .44091 L
.38708 .44141 L
.38843 .44301 L
.38844 .44302 L
.38973 .44462 L
.39004 .44498 L
.39104 .44622 L
.39165 .44695 L
.39235 .44783 L
.39325 .44878 L
.39365 .44943 L
.39486 .45092 L
.39498 .45104 L
.39621 .45265 L
.39646 .45295 L
.39748 .45425 L
.39807 .45461 L
.39875 .45586 L
.39967 .45692 L
.40024 .45746 L
.40128 .45905 L
.4013 .45907 L
.40253 .46067 L
.40288 .46111 L
.40378 .46228 L
.40449 .46295 L
.40556 .46388 L
.40609 .46518 L
.40637 .46549 L
.40753 .46709 L
.4077 .4673 L
.40876 .4687 L
.4093 .46894 L
.41 .4703 L
.41091 .47134 L
.41145 .47191 L
.4125 .47351 L
.41251 .47354 L
.41371 .47512 L
.41412 .47564 L
.41493 .47672 L
.41572 .47749 L
.4166 .47833 L
.41733 .47981 L
.41744 .47993 L
.41861 .48154 L
.41894 .48196 L
.41981 .48314 L
.42054 .48408 L
.42104 .48475 L
.42215 .48613 L
.42235 .48636 L
.42346 .48796 L
.42375 .48834 L
.42464 .48957 L
.42536 .49049 L
.42585 .49117 L
.42696 .49254 L
.42718 .49278 L
.42823 .49438 L
.42857 .49482 L
.42938 .49599 L
.43017 .49703 L
.43056 .49759 L
.43175 .4992 L
.43178 .49923 L
.43283 .5008 L
.43338 .50155 L
.43393 .50241 L
.43499 .50391 L
.43505 .50401 L
.43499 .50538 L
.4337 .50401 L
.43338 .5037 L
.43224 .50241 L
.43178 .50191 L
.43083 .5008 L
.43017 .50006 L
.42945 .4992 L
.42857 .49859 L
.42809 .49759 L
.42696 .49629 L
.42656 .49599 L
.42544 .49438 L
.42536 .49428 L
.42414 .49278 L
.42375 .49231 L
.42283 .49117 L
.42215 .49055 L
.42153 .48957 L
.42054 .48837 L
.42013 .48796 L
.41896 .48636 L
.41894 .48632 L
.4177 .48475 L
.41733 .4843 L
.41642 .48314 L
.41572 .48239 L
.41482 .48154 L
.41412 .48024 L
.41386 .47993 L
.41264 .47833 L
.41251 .47818 L
.41139 .47672 L
.41091 .47636 L
.41013 .47512 L
.4093 .47412 L
.40875 .47351 L
.4077 .47199 L
.40764 .47191 L
.4064 .4703 L
.40609 .46991 L
.40517 .4687 L
.40449 .46798 L
.40362 .46709 L
.40288 .46577 L
.40266 .46549 L
.40147 .46388 L
.40128 .46364 L
.40024 .46228 L
.39967 .46186 L
.39902 .46067 L
.39807 .45951 L
.39769 .45907 L
.39658 .45746 L
.39646 .45732 L
.39537 .45586 L
.39486 .45518 L
.39416 .45425 L
.39325 .45321 L
.39274 .45265 L
.39175 .45104 L
.39165 .45091 L
.39057 .44943 L
.39004 .44874 L
.38938 .44783 L
.38844 .44685 L
.38818 .44622 L
.38701 .44462 L
.38683 .44438 L
.38587 .44301 L
.38523 .44214 L
.38472 .44141 L
.38362 .4399 L
.38356 .4398 L
.38249 .4382 L
.38201 .43752 L
.38144 .43659 L
.38041 .43503 L
.38039 .43499 L
F
1 .95 .212 r
.38201 .42205 m
.38208 .42215 L
.38362 .4237 L
.38372 .42375 L
.38516 .42536 L
.38523 .42543 L
.3866 .42696 L
.38683 .42697 L
.38801 .42857 L
.38844 .429 L
.3894 .43017 L
.39004 .43096 L
.39088 .43178 L
.39165 .43292 L
.39204 .43338 L
.39325 .43486 L
.39331 .43499 L
.39474 .43659 L
.39486 .43674 L
.39624 .4382 L
.39646 .43876 L
.39733 .4398 L
.39807 .44083 L
.39846 .44141 L
.39967 .44288 L
.39992 .44301 L
.40119 .44462 L
.40128 .44474 L
.4025 .44622 L
.40288 .44683 L
.40362 .44783 L
.40449 .44896 L
.40469 .44943 L
.40609 .45084 L
.40625 .45104 L
.40758 .45265 L
.4077 .45292 L
.40873 .45425 L
.4093 .45505 L
.40981 .45586 L
.41091 .4572 L
.41127 .45746 L
.4125 .45907 L
.41251 .45909 L
.41378 .46067 L
.41412 .4612 L
.41489 .46228 L
.41572 .46336 L
.41592 .46388 L
.41733 .46544 L
.41748 .46549 L
.41879 .46709 L
.41894 .46739 L
.41993 .4687 L
.42054 .46953 L
.421 .4703 L
.42215 .47167 L
.42244 .47191 L
.42375 .47351 L
.42375 .47362 L
.42495 .47512 L
.42536 .47574 L
.42605 .47672 L
.42696 .47788 L
.4271 .47833 L
.42857 .47991 L
.42861 .47993 L
.42996 .48154 L
.43017 .48196 L
.43107 .48314 L
.43178 .4841 L
.43215 .48475 L
.43338 .4862 L
.43355 .48636 L
.43497 .48796 L
.43499 .48821 L
.43609 .48957 L
.43659 .49033 L
.43718 .49117 L
.4382 .49245 L
.43828 .49278 L
.43971 .49438 L
.4398 .49447 L
.44111 .49599 L
.44141 .49657 L
.44219 .49759 L
.44301 .4987 L
.44329 .4992 L
.44462 .50078 L
.44464 .5008 L
.44616 .50241 L
.44622 .50281 L
.4472 .50401 L
.44783 .50494 L
.44829 .50562 L
.44943 .50706 L
.44947 .50722 L
.45079 .50883 L
.45104 .50905 L
.45223 .51043 L
.45265 .51119 L
.45329 .51204 L
.45425 .51333 L
.45442 .51364 L
.45571 .51525 L
.45586 .51532 L
.45732 .51686 L
.45746 .51742 L
.45829 .51846 L
.45907 .51959 L
.45938 .52007 L
.46063 .52167 L
.46067 .52172 L
.46185 .52328 L
.46228 .52364 L
.46332 .52488 L
.46388 .52585 L
.46435 .52649 L
.46549 .52801 L
.46553 .52809 L
.46675 .5297 L
.46709 .52984 L
.46841 .5313 L
.4687 .53209 L
.46933 .53291 L
.4703 .53431 L
.47044 .53451 L
.47165 .53612 L
.47191 .53645 L
.47286 .53772 L
.47351 .53832 L
.47432 .53933 L
.47512 .54062 L
.47534 .54093 L
.47652 .54254 L
.47672 .5428 L
.47772 .54414 L
.47833 .54494 L
.47935 .54575 L
.47993 .54696 L
.48023 .54735 L
.48135 .54896 L
.48154 .5492 L
.48253 .55057 L
.48314 .55137 L
.48373 .55217 L
.48475 .55338 L
.48504 .55378 L
.4861 .55538 L
.48636 .55571 L
.48725 .55699 L
.48796 .55794 L
.48841 .55859 L
.48957 .56016 L
.48961 .5602 L
.49066 .5618 L
.49117 .56251 L
.49173 .56341 L
.49278 .56496 L
.49281 .56501 L
.49359 .56662 L
.49278 .56683 L
.49254 .56662 L
.49117 .56555 L
.49084 .56501 L
.48957 .5637 L
.48893 .56341 L
.48796 .56192 L
.48782 .5618 L
.48642 .5602 L
.48636 .56013 L
.48502 .55859 L
.48475 .55833 L
.48364 .55699 L
.48314 .55638 L
.48212 .55538 L
.48154 .5544 L
.48101 .55378 L
.47993 .55242 L
.47979 .55217 L
.47833 .55057 L
.47832 .55057 L
.47681 .54896 L
.47672 .54857 L
.47572 .54735 L
.47512 .5465 L
.47459 .54575 L
.47351 .54441 L
.47314 .54414 L
.47191 .54257 L
.47188 .54254 L
.47056 .54093 L
.4703 .5405 L
.46942 .53933 L
.4687 .53836 L
.46836 .53772 L
.46709 .53623 L
.46681 .53612 L
.46552 .53451 L
.46549 .5344 L
.46433 .53291 L
.46388 .53227 L
.46324 .5313 L
.46228 .5301 L
.4618 .5297 L
.46067 .52822 L
.46057 .52809 L
.45929 .52649 L
.45907 .52612 L
.45816 .52488 L
.45746 .52396 L
.45713 .52328 L
.45586 .52182 L
.45559 .52167 L
.4543 .52007 L
.45425 .51992 L
.45312 .51846 L
.45265 .51779 L
.45205 .51686 L
.45104 .51563 L
.45063 .51525 L
.44943 .51368 L
.4494 .51364 L
.44811 .51204 L
.44783 .51158 L
.447 .51043 L
.44622 .50943 L
.44596 .50883 L
.44462 .50733 L
.44445 .50722 L
.44312 .50562 L
.44301 .50535 L
.44198 .50401 L
.44141 .50321 L
.44091 .50241 L
.4398 .50108 L
.43951 .5008 L
.43829 .4992 L
.4382 .49909 L
.43697 .49759 L
.43659 .49698 L
.43588 .49599 L
.43499 .49485 L
.43481 .49438 L
.43338 .4928 L
.43336 .49278 L
.43196 .49117 L
.43178 .49074 L
.43087 .48957 L
.43017 .48861 L
.42978 .48796 L
.42857 .4865 L
.42842 .48636 L
.4272 .48475 L
.42696 .48449 L
.42585 .48314 L
.42536 .48237 L
.42477 .48154 L
.42375 .48024 L
.42365 .47993 L
.42228 .47833 L
.42215 .47822 L
.42082 .47672 L
.42054 .47613 L
.41977 .47512 L
.41894 .47398 L
.41866 .47351 L
.41735 .47191 L
.41733 .4719 L
.41614 .4703 L
.41572 .46989 L
.41476 .4687 L
.41412 .46772 L
.41368 .46709 L
.41251 .46558 L
.41248 .46549 L
.41122 .46388 L
.41091 .46366 L
.40972 .46228 L
.4093 .46147 L
.4087 .46067 L
.4077 .4593 L
.40757 .45907 L
.40632 .45746 L
.40609 .45717 L
.40459 .45586 L
.40449 .45523 L
.40372 .45425 L
.40288 .453 L
.40264 .45265 L
.40143 .45104 L
.40128 .45085 L
.40022 .44943 L
.39967 .44902 L
.3987 .44783 L
.39807 .4467 L
.39772 .44622 L
.39656 .44462 L
.39646 .44449 L
.39537 .44301 L
.39486 .44235 L
.39363 .44141 L
.39325 .44037 L
.39283 .4398 L
.39174 .4382 L
.39165 .43808 L
.39057 .43659 L
.39004 .4359 L
.38938 .43499 L
.38844 .43395 L
.38801 .43338 L
.38701 .43178 L
.38683 .43154 L
.38588 .43017 L
.38523 .42929 L
.38473 .42857 L
.38362 .42704 L
.3835 .42696 L
.38251 .42536 L
.38201 .42465 L
.38147 .42375 L
.38045 .42215 L
F
.01 .85 1 r
.38201 .42891 m
.38322 .43017 L
.38362 .43057 L
.38471 .43178 L
.38523 .43233 L
.38614 .43338 L
.38683 .43379 L
.38754 .43499 L
.38844 .43596 L
.38935 .43659 L
.39004 .43794 L
.39031 .4382 L
.39159 .4398 L
.39165 .43987 L
.3929 .44141 L
.39325 .44171 L
.39422 .44301 L
.39486 .44377 L
.39572 .44462 L
.39646 .44581 L
.39681 .44622 L
.39807 .4478 L
.39809 .44783 L
.39938 .44943 L
.39967 .44975 L
.40103 .45104 L
.40128 .45182 L
.40199 .45265 L
.40288 .45389 L
.40314 .45425 L
.40445 .45586 L
.40449 .45588 L
.40571 .45746 L
.40609 .45791 L
.40714 .45907 L
.4077 .46001 L
.40821 .46067 L
.4093 .46208 L
.4094 .46228 L
.41072 .46388 L
.41091 .46407 L
.41229 .46549 L
.41251 .46616 L
.41328 .46709 L
.41412 .46827 L
.41441 .4687 L
.41571 .4703 L
.41572 .47031 L
.41695 .47191 L
.41733 .47234 L
.41836 .47351 L
.41894 .47447 L
.41943 .47512 L
.42054 .47657 L
.42061 .47672 L
.4219 .47833 L
.42215 .47855 L
.42346 .47993 L
.42375 .48068 L
.42445 .48154 L
.42536 .48281 L
.42557 .48314 L
.42684 .48475 L
.42696 .4848 L
.42807 .48636 L
.42857 .48689 L
.42949 .48796 L
.43017 .48906 L
.43055 .48957 L
.43178 .49117 L
.43178 .49117 L
.43299 .49278 L
.43338 .49311 L
.43457 .49438 L
.43499 .4953 L
.43553 .49599 L
.43659 .49746 L
.43667 .49759 L
.4379 .4992 L
.4382 .49929 L
.43912 .5008 L
.4398 .50154 L
.44053 .50241 L
.44141 .50376 L
.44159 .50401 L
.44279 .50562 L
.44301 .50591 L
.444 .50722 L
.44462 .50777 L
.44556 .50883 L
.44622 .51008 L
.4465 .51043 L
.44765 .51204 L
.44783 .51227 L
.44885 .51364 L
.44943 .51441 L
.45005 .51525 L
.45104 .51643 L
.45138 .51686 L
.45247 .51846 L
.45265 .51868 L
.45365 .52007 L
.45425 .52086 L
.45484 .52167 L
.45586 .52286 L
.45619 .52328 L
.45721 .52488 L
.45746 .52521 L
.45835 .52649 L
.45907 .52744 L
.45951 .52809 L
.46067 .52967 L
.46069 .5297 L
.46176 .5313 L
.46228 .53203 L
.46283 .53291 L
.46388 .53446 L
.46391 .53451 L
.46388 .53604 L
.4623 .53451 L
.46228 .53449 L
.46079 .53291 L
.46067 .53278 L
.45935 .5313 L
.45907 .531 L
.45794 .5297 L
.45746 .52916 L
.45655 .52809 L
.45586 .52737 L
.45518 .52649 L
.45425 .52537 L
.45375 .52488 L
.45265 .52341 L
.45253 .52328 L
.4512 .52167 L
.45104 .52156 L
.44988 .52007 L
.44943 .51954 L
.44835 .51846 L
.44783 .5175 L
.4473 .51686 L
.44622 .51547 L
.44609 .51525 L
.44473 .51364 L
.44462 .51354 L
.44304 .51204 L
.44301 .5115 L
.44211 .51043 L
.44141 .50942 L
.44099 .50883 L
.4398 .50737 L
.43977 .50722 L
.43838 .50562 L
.4382 .5054 L
.43696 .50401 L
.43659 .50332 L
.43589 .50241 L
.43499 .50122 L
.43476 .5008 L
.43338 .49921 L
.43337 .4992 L
.43184 .49759 L
.43178 .49717 L
.43081 .49599 L
.43017 .49506 L
.42971 .49438 L
.42857 .49297 L
.42853 .49278 L
.42714 .49117 L
.42696 .49097 L
.42574 .48957 L
.42536 .48887 L
.42467 .48796 L
.42375 .48675 L
.42355 .48636 L
.42218 .48475 L
.42215 .48472 L
.42065 .48314 L
.42054 .48266 L
.41964 .48154 L
.41894 .48052 L
.41854 .47993 L
.41733 .47843 L
.41732 .47833 L
.41601 .47672 L
.41572 .47643 L
.4146 .47512 L
.41412 .47429 L
.41355 .47351 L
.41251 .47215 L
.41239 .47191 L
.41109 .4703 L
.41091 .47018 L
.4095 .4687 L
.4093 .46804 L
.40855 .46709 L
.4077 .46588 L
.40745 .46549 L
.40619 .46388 L
.40609 .46376 L
.40497 .46228 L
.40449 .46179 L
.40354 .46067 L
.40288 .45958 L
.40251 .45907 L
.40131 .45746 L
.40128 .45742 L
.4001 .45586 L
.39967 .45557 L
.39847 .45425 L
.39807 .45327 L
.39758 .45265 L
.39646 .45105 L
.39645 .45104 L
.39527 .44943 L
.39486 .4489 L
.39407 .44783 L
.39325 .44694 L
.39268 .44622 L
.39165 .44462 L
.39165 .44461 L
.39049 .44301 L
.39004 .44242 L
.38931 .44141 L
.38844 .44053 L
.38786 .4398 L
.38695 .4382 L
.38683 .43804 L
.38583 .43659 L
.38523 .43577 L
.38469 .43499 L
.38362 .4335 L
.38354 .43338 L
.38249 .43178 L
.38201 .43109 L
.38146 .43017 L
F
1 .65 0 r
.38201 .43578 m
.38275 .43659 L
.38362 .43749 L
.38423 .4382 L
.38523 .4393 L
.38564 .4398 L
.38683 .44102 L
.38703 .44141 L
.38837 .44301 L
.38844 .44309 L
.38968 .44462 L
.39004 .44504 L
.39099 .44622 L
.39165 .447 L
.39231 .44783 L
.39325 .44883 L
.39361 .44943 L
.39486 .45097 L
.39493 .45104 L
.39617 .45265 L
.39646 .45299 L
.39744 .45425 L
.39807 .45464 L
.39872 .45586 L
.39967 .45696 L
.40019 .45746 L
.40126 .45907 L
.40128 .45908 L
.4025 .46067 L
.40288 .46114 L
.40375 .46228 L
.40449 .46298 L
.40553 .46388 L
.40609 .46522 L
.40634 .46549 L
.40751 .46709 L
.4077 .46733 L
.40874 .4687 L
.4093 .46896 L
.40998 .4703 L
.41091 .47137 L
.41142 .47191 L
.41247 .47351 L
.41251 .47357 L
.41368 .47512 L
.41412 .47568 L
.4149 .47672 L
.41572 .47753 L
.41656 .47833 L
.41733 .47985 L
.4174 .47993 L
.41858 .48154 L
.41894 .48199 L
.41979 .48314 L
.42054 .48411 L
.42101 .48475 L
.42215 .48618 L
.4223 .48636 L
.42342 .48796 L
.42375 .48838 L
.42461 .48957 L
.42536 .49053 L
.42582 .49117 L
.42696 .49261 L
.42711 .49278 L
.42818 .49438 L
.42857 .49488 L
.42934 .49599 L
.43017 .49709 L
.43052 .49759 L
.43169 .4992 L
.43178 .49931 L
.43276 .5008 L
.43338 .50165 L
.43385 .50241 L
.43338 .50358 L
.43234 .50241 L
.43178 .50181 L
.43091 .5008 L
.43017 .49997 L
.42952 .4992 L
.42857 .4985 L
.42815 .49759 L
.42696 .49621 L
.42666 .49599 L
.42549 .49438 L
.42536 .49422 L
.42418 .49278 L
.42375 .49226 L
.42287 .49117 L
.42215 .4905 L
.42157 .48957 L
.42054 .48832 L
.42018 .48796 L
.419 .48636 L
.41894 .48627 L
.41773 .48475 L
.41733 .48425 L
.41646 .48314 L
.41572 .48234 L
.41486 .48154 L
.41412 .4802 L
.41389 .47993 L
.41267 .47833 L
.41251 .47814 L
.41142 .47672 L
.41091 .47633 L
.41016 .47512 L
.4093 .47409 L
.40879 .47351 L
.4077 .47195 L
.40767 .47191 L
.40643 .4703 L
.40609 .46987 L
.40519 .4687 L
.40449 .46795 L
.40365 .46709 L
.40288 .46573 L
.40269 .46549 L
.4015 .46388 L
.40128 .4636 L
.40027 .46228 L
.39967 .46183 L
.39904 .46067 L
.39807 .45946 L
.39773 .45907 L
.39661 .45746 L
.39646 .45727 L
.39541 .45586 L
.39486 .45514 L
.39419 .45425 L
.39325 .45315 L
.39279 .45265 L
.39178 .45104 L
.39165 .45086 L
.39061 .44943 L
.39004 .44869 L
.38942 .44783 L
.38844 .44675 L
.38822 .44622 L
.38706 .44462 L
.38683 .44431 L
.38593 .44301 L
.38523 .44207 L
.38477 .44141 L
.38362 .43981 L
.38362 .4398 L
.38258 .4382 L
.38201 .43738 L
.38155 .43659 L
F
0 .55 1 r
.38201 .44257 m
.38236 .44301 L
.38362 .44439 L
.38379 .44462 L
.38362 .44597 L
.38274 .44462 L
.38201 .44366 L
.38162 .44301 L
F
.007 .84 1 r
.38201 .4292 m
.383 .43017 L
.38362 .43076 L
.38455 .43178 L
.38523 .43248 L
.38602 .43338 L
.38683 .43392 L
.38744 .43499 L
.38844 .43607 L
.38921 .43659 L
.39004 .43803 L
.39021 .4382 L
.39151 .4398 L
.39165 .43996 L
.39284 .44141 L
.39325 .44177 L
.39416 .44301 L
.39486 .44383 L
.39566 .44462 L
.39646 .44587 L
.39677 .44622 L
.39805 .44783 L
.39807 .44783 L
.39933 .44943 L
.39967 .44979 L
.401 .45104 L
.40128 .45187 L
.40195 .45265 L
.40288 .45393 L
.40311 .45425 L
.40442 .45586 L
.40449 .45591 L
.40568 .45746 L
.40609 .45794 L
.40711 .45907 L
.4077 .46004 L
.40819 .46067 L
.4093 .46211 L
.40939 .46228 L
.4107 .46388 L
.41091 .46409 L
.41227 .46549 L
.41251 .46619 L
.41326 .46709 L
.41412 .4683 L
.41439 .4687 L
.41569 .4703 L
.41572 .47033 L
.41692 .47191 L
.41733 .47237 L
.41834 .47351 L
.41894 .47449 L
.41941 .47512 L
.42054 .47659 L
.4206 .47672 L
.42188 .47833 L
.42215 .47857 L
.42345 .47993 L
.42375 .4807 L
.42443 .48154 L
.42536 .48284 L
.42556 .48314 L
.42682 .48475 L
.42696 .48481 L
.42805 .48636 L
.42857 .48692 L
.42947 .48796 L
.43017 .48908 L
.43053 .48957 L
.43176 .49117 L
.43178 .4912 L
.43297 .49278 L
.43338 .49312 L
.43455 .49438 L
.43499 .49533 L
.43551 .49599 L
.43659 .49749 L
.43666 .49759 L
.43788 .4992 L
.4382 .49931 L
.4391 .5008 L
.4398 .50157 L
.4405 .50241 L
.44141 .50379 L
.44157 .50401 L
.44276 .50562 L
.44301 .50594 L
.44397 .50722 L
.44462 .5078 L
.44553 .50883 L
.44622 .51012 L
.44647 .51043 L
.44762 .51204 L
.44783 .51231 L
.44881 .51364 L
.44943 .51445 L
.45002 .51525 L
.45104 .51648 L
.45134 .51686 L
.45243 .51846 L
.45265 .51874 L
.4536 .52007 L
.45425 .52091 L
.45479 .52167 L
.45586 .52296 L
.45611 .52328 L
.45715 .52488 L
.45746 .52529 L
.45829 .52649 L
.45907 .52754 L
.45945 .52809 L
.4606 .5297 L
.46067 .5298 L
.46165 .5313 L
.46228 .53221 L
.4627 .53291 L
.46228 .53426 L
.46097 .53291 L
.46067 .53261 L
.45949 .5313 L
.45907 .53085 L
.45805 .5297 L
.45746 .52904 L
.45665 .52809 L
.45586 .52727 L
.45527 .52649 L
.45425 .52527 L
.45384 .52488 L
.45265 .52334 L
.45259 .52328 L
.45126 .52167 L
.45104 .52151 L
.44994 .52007 L
.44943 .51947 L
.44839 .51846 L
.44783 .51743 L
.44734 .51686 L
.44622 .51542 L
.44612 .51525 L
.44477 .51364 L
.44462 .51349 L
.44305 .51204 L
.44301 .51145 L
.44214 .51043 L
.44141 .50937 L
.44102 .50883 L
.4398 .50734 L
.43978 .50722 L
.43842 .50562 L
.4382 .50536 L
.43698 .50401 L
.43659 .50328 L
.43592 .50241 L
.43499 .50119 L
.43478 .5008 L
.43339 .4992 L
.43338 .49919 L
.43184 .49759 L
.43178 .49714 L
.43083 .49599 L
.43017 .49503 L
.42973 .49438 L
.42857 .49294 L
.42854 .49278 L
.42716 .49117 L
.42696 .49095 L
.42576 .48957 L
.42536 .48884 L
.42469 .48796 L
.42375 .48672 L
.42356 .48636 L
.4222 .48475 L
.42215 .4847 L
.42066 .48314 L
.42054 .48263 L
.41966 .48154 L
.41894 .4805 L
.41856 .47993 L
.41733 .4784 L
.41732 .47833 L
.41604 .47672 L
.41572 .4764 L
.41461 .47512 L
.41412 .47426 L
.41357 .47351 L
.41251 .47213 L
.41241 .47191 L
.41112 .4703 L
.41091 .47016 L
.40952 .4687 L
.4093 .46801 L
.40857 .46709 L
.4077 .46585 L
.40747 .46549 L
.40621 .46388 L
.40609 .46373 L
.405 .46228 L
.40449 .46177 L
.40356 .46067 L
.40288 .45955 L
.40253 .45907 L
.40133 .45746 L
.40128 .45739 L
.40013 .45586 L
.39967 .45554 L
.3985 .45425 L
.39807 .45323 L
.39762 .45265 L
.39649 .45104 L
.39646 .45101 L
.3953 .44943 L
.39486 .44885 L
.3941 .44783 L
.39325 .44687 L
.39273 .44622 L
.3917 .44462 L
.39165 .44455 L
.39054 .44301 L
.39004 .44235 L
.38936 .44141 L
.38844 .44041 L
.38795 .4398 L
.38702 .4382 L
.38683 .43794 L
.3859 .43659 L
.38523 .43566 L
.38477 .43499 L
.38363 .43338 L
.38362 .43336 L
.38263 .43178 L
.38201 .43085 L
.38164 .43017 L
F
1 .64 0 r
.38201 .43596 m
.38261 .43659 L
.38362 .4376 L
.38414 .4382 L
.38523 .43939 L
.38557 .4398 L
.38683 .44113 L
.38697 .44141 L
.38831 .44301 L
.38844 .44315 L
.38963 .44462 L
.39004 .44509 L
.39095 .44622 L
.39165 .44705 L
.39226 .44783 L
.39325 .44889 L
.39357 .44943 L
.39486 .45102 L
.39488 .45104 L
.39614 .45265 L
.39646 .45304 L
.39741 .45425 L
.39807 .45468 L
.39869 .45586 L
.39967 .457 L
.40015 .45746 L
.40123 .45907 L
.40128 .45912 L
.40247 .46067 L
.40288 .46118 L
.40373 .46228 L
.40449 .46302 L
.40549 .46388 L
.40609 .46526 L
.4063 .46549 L
.40748 .46709 L
.4077 .46736 L
.40871 .4687 L
.4093 .46899 L
.40995 .4703 L
.41091 .47141 L
.41138 .47191 L
.41244 .47351 L
.41251 .4736 L
.41365 .47512 L
.41412 .47571 L
.41488 .47672 L
.41572 .47757 L
.41652 .47833 L
.41733 .47989 L
.41737 .47993 L
.41855 .48154 L
.41894 .48203 L
.41976 .48314 L
.42054 .48415 L
.42098 .48475 L
.42215 .48623 L
.42226 .48636 L
.42339 .48796 L
.42375 .48842 L
.42458 .48957 L
.42536 .49058 L
.42578 .49117 L
.42696 .49269 L
.42704 .49278 L
.42814 .49438 L
.42857 .49494 L
.4293 .49599 L
.43017 .49715 L
.43047 .49759 L
.43163 .4992 L
.43178 .4994 L
.43269 .5008 L
.43338 .50177 L
.43377 .50241 L
.43338 .50344 L
.43245 .50241 L
.43178 .50171 L
.43099 .5008 L
.43017 .49989 L
.42959 .4992 L
.42857 .49839 L
.42821 .49759 L
.42696 .49613 L
.42676 .49599 L
.42554 .49438 L
.42536 .49416 L
.42423 .49278 L
.42375 .4922 L
.42292 .49117 L
.42215 .49044 L
.42161 .48957 L
.42054 .48827 L
.42023 .48796 L
.41904 .48636 L
.41894 .48623 L
.41777 .48475 L
.41733 .48421 L
.41649 .48314 L
.41572 .4823 L
.4149 .48154 L
.41412 .48016 L
.41393 .47993 L
.4127 .47833 L
.41251 .4781 L
.41145 .47672 L
.41091 .4763 L
.41019 .47512 L
.4093 .47405 L
.40882 .47351 L
.4077 .47192 L
.40769 .47191 L
.40646 .4703 L
.40609 .46983 L
.40522 .4687 L
.40449 .46791 L
.40369 .46709 L
.40288 .46569 L
.40272 .46549 L
.40153 .46388 L
.40128 .46357 L
.4003 .46228 L
.39967 .46179 L
.39907 .46067 L
.39807 .45942 L
.39777 .45907 L
.39664 .45746 L
.39646 .45723 L
.39544 .45586 L
.39486 .4551 L
.39423 .45425 L
.39325 .4531 L
.39284 .45265 L
.39182 .45104 L
.39165 .45081 L
.39065 .44943 L
.39004 .44864 L
.38946 .44783 L
.38844 .44666 L
.38826 .44622 L
.38711 .44462 L
.38683 .44424 L
.38598 .44301 L
.38523 .44199 L
.38483 .44141 L
.38369 .4398 L
.38362 .4397 L
.38268 .4382 L
.38201 .43722 L
.38167 .43659 L
F
0 .54 1 r
.38201 .44277 m
.38221 .44301 L
.38362 .44451 L
.3837 .44462 L
.38362 .44583 L
.38287 .44462 L
.38201 .44345 L
.38178 .44301 L
F
1 .95 .212 r
.38201 .38707 m
.38362 .38821 L
.38378 .38844 L
.38523 .38987 L
.38552 .39004 L
.38679 .39165 L
.38683 .39169 L
.38813 .39325 L
.38844 .39361 L
.38943 .39486 L
.39004 .3952 L
.39071 .39646 L
.39165 .39752 L
.39214 .39807 L
.39318 .39967 L
.39325 .39977 L
.39432 .40128 L
.39486 .40204 L
.39542 .40288 L
.39637 .40449 L
.39486 .40519 L
.39405 .40449 L
.39325 .40411 L
.39246 .40288 L
.39165 .40212 L
.39105 .40128 L
.39004 .40011 L
.38961 .39967 L
.38845 .39807 L
.38844 .39805 L
.38723 .39646 L
.38683 .39594 L
.38603 .39486 L
.38523 .39413 L
.38459 .39325 L
.38373 .39165 L
.38362 .39148 L
.38271 .39004 L
.38201 .38887 L
.38178 .38844 L
F
1 .63 0 r
.38201 .43618 m
.38243 .43659 L
.38362 .43772 L
.38404 .4382 L
.38523 .43948 L
.3855 .4398 L
.38683 .44126 L
.3869 .44141 L
.38825 .44301 L
.38844 .44322 L
.38958 .44462 L
.39004 .44515 L
.3909 .44622 L
.39165 .44711 L
.39222 .44783 L
.39325 .44895 L
.39354 .44943 L
.39484 .45104 L
.39486 .45107 L
.3961 .45265 L
.39646 .45308 L
.39738 .45425 L
.39807 .45472 L
.39866 .45586 L
.39967 .45705 L
.40011 .45746 L
.4012 .45907 L
.40128 .45916 L
.40244 .46067 L
.40288 .46121 L
.4037 .46228 L
.40449 .46306 L
.40545 .46388 L
.40609 .46529 L
.40627 .46549 L
.40745 .46709 L
.4077 .4674 L
.40868 .4687 L
.4093 .46902 L
.40993 .4703 L
.41091 .47145 L
.41135 .47191 L
.41241 .47351 L
.41251 .47364 L
.41363 .47512 L
.41412 .47574 L
.41485 .47672 L
.41572 .47761 L
.41647 .47833 L
.41733 .47993 L
.41733 .47993 L
.41852 .48154 L
.41894 .48207 L
.41973 .48314 L
.42054 .48419 L
.42095 .48475 L
.42215 .48628 L
.42221 .48636 L
.42336 .48796 L
.42375 .48847 L
.42454 .48957 L
.42536 .49062 L
.42575 .49117 L
.42696 .49277 L
.42696 .49278 L
.4281 .49438 L
.42857 .495 L
.42925 .49599 L
.43017 .49722 L
.43042 .49759 L
.43156 .4992 L
.43178 .49949 L
.43261 .5008 L
.43338 .5019 L
.43367 .50241 L
.43338 .50328 L
.43257 .50241 L
.43178 .5016 L
.43108 .5008 L
.43017 .4998 L
.42966 .4992 L
.42857 .49826 L
.42827 .49759 L
.42696 .49605 L
.42687 .49599 L
.4256 .49438 L
.42536 .4941 L
.42428 .49278 L
.42375 .49215 L
.42296 .49117 L
.42215 .49039 L
.42165 .48957 L
.42054 .48822 L
.42028 .48796 L
.41908 .48636 L
.41894 .48618 L
.4178 .48475 L
.41733 .48417 L
.41652 .48314 L
.41572 .48226 L
.41494 .48154 L
.41412 .48012 L
.41396 .47993 L
.41273 .47833 L
.41251 .47806 L
.41148 .47672 L
.41091 .47626 L
.41022 .47512 L
.4093 .47401 L
.40886 .47351 L
.40772 .47191 L
.4077 .47188 L
.40649 .4703 L
.40609 .4698 L
.40525 .4687 L
.40449 .46787 L
.40372 .46709 L
.40288 .46565 L
.40275 .46549 L
.40156 .46388 L
.40128 .46353 L
.40033 .46228 L
.39967 .46175 L
.3991 .46067 L
.39807 .45937 L
.39781 .45907 L
.39667 .45746 L
.39646 .45719 L
.39547 .45586 L
.39486 .45505 L
.39426 .45425 L
.39325 .45304 L
.3929 .45265 L
.39186 .45104 L
.39165 .45076 L
.39069 .44943 L
.39004 .44858 L
.3895 .44783 L
.38844 .44656 L
.38831 .44622 L
.38717 .44462 L
.38683 .44417 L
.38604 .44301 L
.38523 .4419 L
.38489 .44141 L
.38378 .4398 L
.38362 .43958 L
.38279 .4382 L
.38201 .437 L
.38182 .43659 L
F
.005 .83 1 r
.38201 .42959 m
.3827 .43017 L
.38362 .43097 L
.38438 .43178 L
.38523 .43264 L
.38589 .43338 L
.38683 .43407 L
.38733 .43499 L
.38844 .4362 L
.38905 .43659 L
.39004 .43813 L
.39011 .4382 L
.39144 .4398 L
.39165 .44004 L
.39277 .44141 L
.39325 .44183 L
.3941 .44301 L
.39486 .4439 L
.3956 .44462 L
.39646 .44593 L
.39672 .44622 L
.39801 .44783 L
.39807 .44784 L
.39929 .44943 L
.39967 .44984 L
.40098 .45104 L
.40128 .45191 L
.40192 .45265 L
.40288 .45397 L
.40308 .45425 L
.40439 .45586 L
.40449 .45593 L
.40565 .45746 L
.40609 .45798 L
.40709 .45907 L
.4077 .46008 L
.40816 .46067 L
.4093 .46214 L
.40937 .46228 L
.41067 .46388 L
.41091 .46412 L
.41226 .46549 L
.41251 .46622 L
.41324 .46709 L
.41412 .46833 L
.41437 .4687 L
.41567 .4703 L
.41572 .47034 L
.4169 .47191 L
.41733 .47239 L
.41832 .47351 L
.41894 .47452 L
.41939 .47512 L
.42054 .47662 L
.42059 .47672 L
.42186 .47833 L
.42215 .47859 L
.42344 .47993 L
.42375 .48072 L
.42441 .48154 L
.42536 .48286 L
.42554 .48314 L
.42681 .48475 L
.42696 .48482 L
.42803 .48636 L
.42857 .48694 L
.42945 .48796 L
.43017 .4891 L
.43051 .48957 L
.43174 .49117 L
.43178 .49122 L
.43295 .49278 L
.43338 .49314 L
.43454 .49438 L
.43499 .49535 L
.43549 .49599 L
.43659 .49752 L
.43664 .49759 L
.43786 .4992 L
.4382 .49932 L
.43907 .5008 L
.4398 .5016 L
.44048 .50241 L
.44141 .50383 L
.44154 .50401 L
.44274 .50562 L
.44301 .50597 L
.44395 .50722 L
.44462 .50784 L
.4455 .50883 L
.44622 .51016 L
.44644 .51043 L
.44759 .51204 L
.44783 .51235 L
.44878 .51364 L
.44943 .51449 L
.44999 .51525 L
.45104 .51654 L
.45129 .51686 L
.45239 .51846 L
.45265 .51879 L
.45356 .52007 L
.45425 .52097 L
.45475 .52167 L
.45586 .52306 L
.45603 .52328 L
.45709 .52488 L
.45746 .52538 L
.45822 .52649 L
.45907 .52764 L
.45937 .52809 L
.4605 .5297 L
.46067 .52994 L
.46152 .5313 L
.46228 .53242 L
.46255 .53291 L
.46228 .53398 L
.46118 .53291 L
.46067 .53242 L
.45964 .5313 L
.45907 .53071 L
.45817 .5297 L
.45746 .52891 L
.45675 .52809 L
.45586 .52716 L
.45536 .52649 L
.45425 .52518 L
.45393 .52488 L
.45266 .52328 L
.45265 .52326 L
.45133 .52167 L
.45104 .52146 L
.45 .52007 L
.44943 .5194 L
.44844 .51846 L
.44783 .51737 L
.44739 .51686 L
.44622 .51537 L
.44615 .51525 L
.44481 .51364 L
.44462 .51345 L
.44306 .51204 L
.44301 .5114 L
.44218 .51043 L
.44141 .50933 L
.44105 .50883 L
.4398 .50731 L
.43979 .50722 L
.43845 .50562 L
.4382 .50533 L
.43701 .50401 L
.43659 .50324 L
.43594 .50241 L
.43499 .50115 L
.43479 .5008 L
.43342 .4992 L
.43338 .49916 L
.43185 .49759 L
.43178 .49711 L
.43085 .49599 L
.43017 .495 L
.42975 .49438 L
.42857 .49292 L
.42854 .49278 L
.42719 .49117 L
.42696 .49092 L
.42577 .48957 L
.42536 .48881 L
.42471 .48796 L
.42375 .4867 L
.42357 .48636 L
.42223 .48475 L
.42215 .48468 L
.42066 .48314 L
.42054 .48261 L
.41968 .48154 L
.41894 .48047 L
.41858 .47993 L
.41733 .47838 L
.41732 .47833 L
.41606 .47672 L
.41572 .47638 L
.41463 .47512 L
.41412 .47423 L
.41358 .47351 L
.41251 .4721 L
.41242 .47191 L
.41114 .4703 L
.41091 .47014 L
.40953 .4687 L
.4093 .46799 L
.40859 .46709 L
.4077 .46582 L
.40748 .46549 L
.40624 .46388 L
.40609 .4637 L
.40502 .46228 L
.40449 .46174 L
.40359 .46067 L
.40288 .45951 L
.40256 .45907 L
.40136 .45746 L
.40128 .45735 L
.40016 .45586 L
.39967 .45551 L
.39853 .45425 L
.39807 .45319 L
.39765 .45265 L
.39652 .45104 L
.39646 .45096 L
.39534 .44943 L
.39486 .4488 L
.39414 .44783 L
.39325 .44681 L
.39279 .44622 L
.39175 .44462 L
.39165 .44449 L
.39059 .44301 L
.39004 .44228 L
.38942 .44141 L
.38844 .44029 L
.38805 .4398 L
.38709 .4382 L
.38683 .43784 L
.38598 .43659 L
.38523 .43554 L
.38486 .43499 L
.38376 .43338 L
.38362 .43318 L
.38279 .43178 L
.38201 .43051 L
.38186 .43017 L
F
1 .94 .156 r
.38201 .4232 m
.38289 .42375 L
.38362 .42432 L
.38466 .42536 L
.38523 .4259 L
.38622 .42696 L
.38683 .42707 L
.3877 .42857 L
.38844 .42932 L
.38913 .43017 L
.39004 .43124 L
.39065 .43178 L
.39165 .43314 L
.39186 .43338 L
.39323 .43499 L
.39325 .435 L
.39457 .43659 L
.39486 .43693 L
.39615 .4382 L
.39646 .43894 L
.3972 .4398 L
.39807 .44097 L
.39837 .44141 L
.39967 .44295 L
.39981 .44301 L
.40109 .44462 L
.40128 .44487 L
.40243 .44622 L
.40288 .44694 L
.40355 .44783 L
.40449 .44904 L
.40465 .44943 L
.40609 .45093 L
.40618 .45104 L
.40754 .45265 L
.4077 .453 L
.40867 .45425 L
.4093 .45513 L
.40976 .45586 L
.41091 .45725 L
.41122 .45746 L
.41245 .45907 L
.41251 .45915 L
.41375 .46067 L
.41412 .46126 L
.41485 .46228 L
.41572 .4634 L
.4159 .46388 L
.41733 .46546 L
.41744 .46549 L
.41878 .46709 L
.41894 .46743 L
.4199 .4687 L
.42054 .46957 L
.42098 .4703 L
.42215 .4717 L
.42241 .47191 L
.42375 .47351 L
.42375 .47365 L
.42493 .47512 L
.42536 .47577 L
.42603 .47672 L
.42696 .47791 L
.42709 .47833 L
.42857 .47992 L
.42859 .47993 L
.42995 .48154 L
.43017 .48199 L
.43105 .48314 L
.43178 .48412 L
.43214 .48475 L
.43338 .48622 L
.43353 .48636 L
.43496 .48796 L
.43499 .48823 L
.43607 .48957 L
.43659 .49035 L
.43716 .49117 L
.4382 .49248 L
.43827 .49278 L
.43969 .49438 L
.4398 .49449 L
.4411 .49599 L
.44141 .49659 L
.44217 .49759 L
.44301 .49872 L
.44328 .4992 L
.44462 .5008 L
.44463 .5008 L
.44616 .50241 L
.44622 .50283 L
.44719 .50401 L
.44783 .50497 L
.44827 .50562 L
.44943 .50708 L
.44946 .50722 L
.45077 .50883 L
.45104 .50907 L
.45222 .51043 L
.45265 .51121 L
.45327 .51204 L
.45425 .51336 L
.4544 .51364 L
.45569 .51525 L
.45586 .51533 L
.45731 .51686 L
.45746 .51745 L
.45827 .51846 L
.45907 .51962 L
.45936 .52007 L
.46061 .52167 L
.46067 .52175 L
.46182 .52328 L
.46228 .52367 L
.4633 .52488 L
.46388 .52588 L
.46433 .52649 L
.46549 .52805 L
.46551 .52809 L
.46672 .5297 L
.46709 .52986 L
.46839 .5313 L
.4687 .53214 L
.46929 .53291 L
.4703 .53436 L
.4704 .53451 L
.47161 .53612 L
.47191 .53651 L
.47281 .53772 L
.47351 .53838 L
.47427 .53933 L
.47512 .5407 L
.47529 .54093 L
.47646 .54254 L
.47672 .54288 L
.47765 .54414 L
.47833 .54502 L
.47927 .54575 L
.47993 .54708 L
.48014 .54735 L
.48126 .54896 L
.48154 .54932 L
.48244 .55057 L
.48314 .5515 L
.48362 .55217 L
.48475 .55361 L
.48487 .55378 L
.48596 .55538 L
.48636 .55592 L
.48709 .55699 L
.48796 .55819 L
.48823 .55859 L
.48933 .5602 L
.48957 .56053 L
.49034 .5618 L
.49117 .5631 L
.49133 .56341 L
.49117 .56452 L
.4899 .56341 L
.48957 .56312 L
.48828 .5618 L
.48796 .56148 L
.48677 .5602 L
.48636 .55976 L
.48531 .55859 L
.48475 .55805 L
.48389 .55699 L
.48314 .5561 L
.48232 .55538 L
.48154 .55417 L
.48118 .55378 L
.47993 .55226 L
.47988 .55217 L
.47848 .55057 L
.47833 .55039 L
.47685 .54896 L
.47672 .54839 L
.47583 .54735 L
.47512 .54635 L
.47469 .54575 L
.47351 .54431 L
.47325 .54414 L
.47198 .54254 L
.47191 .54245 L
.47062 .54093 L
.4703 .54038 L
.4695 .53933 L
.4687 .53827 L
.46841 .53772 L
.46709 .53619 L
.46688 .53612 L
.46555 .53451 L
.46549 .53432 L
.46438 .53291 L
.46388 .5322 L
.46329 .5313 L
.46228 .53005 L
.46185 .5297 L
.46067 .52816 L
.46061 .52809 L
.45932 .52649 L
.45907 .52606 L
.4582 .52488 L
.45746 .52391 L
.45715 .52328 L
.45586 .52179 L
.45562 .52167 L
.45432 .52007 L
.45425 .51988 L
.45315 .51846 L
.45265 .51775 L
.45207 .51686 L
.45104 .5156 L
.45065 .51525 L
.44943 .51365 L
.44943 .51364 L
.44813 .51204 L
.44783 .51155 L
.44703 .51043 L
.44622 .5094 L
.44598 .50883 L
.44462 .50731 L
.44448 .50722 L
.44313 .50562 L
.44301 .50532 L
.442 .50401 L
.44141 .50319 L
.44092 .50241 L
.4398 .50106 L
.43953 .5008 L
.43831 .4992 L
.4382 .49907 L
.43699 .49759 L
.43659 .49696 L
.4359 .49599 L
.43499 .49483 L
.43482 .49438 L
.43338 .49278 L
.43338 .49278 L
.43197 .49117 L
.43178 .49072 L
.43088 .48957 L
.43017 .48859 L
.42979 .48796 L
.42857 .48648 L
.42844 .48636 L
.42722 .48475 L
.42696 .48447 L
.42587 .48314 L
.42536 .48234 L
.42479 .48154 L
.42375 .48021 L
.42365 .47993 L
.4223 .47833 L
.42215 .47821 L
.42083 .47672 L
.42054 .4761 L
.41979 .47512 L
.41894 .47395 L
.41868 .47351 L
.41738 .47191 L
.41733 .4719 L
.41616 .4703 L
.41572 .46986 L
.41478 .4687 L
.41412 .46769 L
.41371 .46709 L
.41251 .46555 L
.41249 .46549 L
.41125 .46388 L
.41091 .46363 L
.40974 .46228 L
.4093 .46143 L
.40873 .46067 L
.4077 .45925 L
.40759 .45907 L
.40635 .45746 L
.40609 .45713 L
.40461 .45586 L
.40449 .45518 L
.40376 .45425 L
.40288 .45295 L
.40268 .45265 L
.40147 .45104 L
.40128 .45079 L
.40027 .44943 L
.39967 .44896 L
.39876 .44783 L
.39807 .44662 L
.39778 .44622 L
.39663 .44462 L
.39646 .44441 L
.39544 .44301 L
.39486 .44225 L
.39372 .44141 L
.39325 .44024 L
.39293 .4398 L
.39184 .4382 L
.39165 .43795 L
.39067 .43659 L
.39004 .43575 L
.3895 .43499 L
.38844 .43368 L
.38822 .43338 L
.38718 .43178 L
.38683 .43131 L
.38606 .43017 L
.38523 .42901 L
.38494 .42857 L
.38386 .42696 L
.38362 .42661 L
.3829 .42536 L
.38201 .4238 L
.382 .42375 L
F
.733 .99 1 r
.38362 .38215 m
.38523 .38337 L
.38579 .38362 L
.38683 .38484 L
.38759 .38523 L
.38844 .38661 L
.38885 .38683 L
.39004 .38821 L
.39013 .38844 L
.39154 .39004 L
.39165 .39018 L
.39306 .39165 L
.39325 .39222 L
.39413 .39325 L
.39486 .39431 L
.39525 .39486 L
.39646 .39636 L
.39661 .39646 L
.39784 .39807 L
.39807 .3983 L
.3992 .39967 L
.39967 .4004 L
.40027 .40128 L
.40128 .40256 L
.40139 .40288 L
.40269 .40449 L
.40288 .40477 L
.40413 .40609 L
.40449 .40726 L
.40476 .4077 L
.40449 .40845 L
.40288 .40864 L
.40128 .40799 L
.40085 .4077 L
.39967 .40647 L
.39939 .40609 L
.39807 .40456 L
.39806 .40449 L
.39674 .40288 L
.39646 .40255 L
.39528 .40128 L
.39486 .40047 L
.39422 .39967 L
.39325 .39837 L
.39308 .39807 L
.39177 .39646 L
.39165 .39645 L
.39019 .39486 L
.39004 .39437 L
.38923 .39325 L
.38844 .39213 L
.38816 .39165 L
.38694 .39004 L
.38683 .38989 L
.38578 .38844 L
.38523 .38765 L
.38441 .38683 L
.38362 .38531 L
.38355 .38523 L
.38269 .38362 L
F
1 .62 0 r
.38362 .43785 m
.38392 .4382 L
.38523 .43957 L
.38542 .4398 L
.38683 .44139 L
.38684 .44141 L
.38818 .44301 L
.38844 .44329 L
.38952 .44462 L
.39004 .44522 L
.39085 .44622 L
.39165 .44716 L
.39218 .44783 L
.39325 .44901 L
.3935 .44943 L
.39479 .45104 L
.39486 .45111 L
.39606 .45265 L
.39646 .45312 L
.39734 .45425 L
.39807 .45477 L
.39863 .45586 L
.39967 .45709 L
.40006 .45746 L
.40117 .45907 L
.40128 .4592 L
.40241 .46067 L
.40288 .46125 L
.40367 .46228 L
.40449 .4631 L
.4054 .46388 L
.40609 .46533 L
.40623 .46549 L
.40742 .46709 L
.4077 .46743 L
.40866 .4687 L
.4093 .46905 L
.4099 .4703 L
.41091 .47149 L
.41131 .47191 L
.41239 .47351 L
.41251 .47367 L
.4136 .47512 L
.41412 .47578 L
.41483 .47672 L
.41572 .47765 L
.41643 .47833 L
.4173 .47993 L
.41733 .47997 L
.41849 .48154 L
.41894 .4821 L
.4197 .48314 L
.42054 .48423 L
.42093 .48475 L
.42215 .48634 L
.42216 .48636 L
.42332 .48796 L
.42375 .48851 L
.42451 .48957 L
.42536 .49067 L
.42571 .49117 L
.42692 .49278 L
.42696 .49283 L
.42805 .49438 L
.42857 .49506 L
.4292 .49599 L
.43017 .49729 L
.43038 .49759 L
.43148 .4992 L
.43178 .4996 L
.43252 .5008 L
.43338 .50207 L
.43357 .50241 L
.43338 .50309 L
.43272 .50241 L
.43178 .50149 L
.43117 .5008 L
.43017 .49971 L
.42973 .4992 L
.42857 .49813 L
.42834 .49759 L
.42698 .49599 L
.42696 .49597 L
.42565 .49438 L
.42536 .49404 L
.42433 .49278 L
.42375 .49209 L
.42301 .49117 L
.42215 .49033 L
.42169 .48957 L
.42054 .48816 L
.42034 .48796 L
.41912 .48636 L
.41894 .48613 L
.41784 .48475 L
.41733 .48412 L
.41656 .48314 L
.41572 .48221 L
.41499 .48154 L
.41412 .48007 L
.414 .47993 L
.41277 .47833 L
.41251 .47802 L
.41151 .47672 L
.41091 .47623 L
.41025 .47512 L
.4093 .47396 L
.40889 .47351 L
.40775 .47191 L
.4077 .47184 L
.40652 .4703 L
.40609 .46976 L
.40528 .4687 L
.40449 .46783 L
.40376 .46709 L
.40288 .4656 L
.40279 .46549 L
.40159 .46388 L
.40128 .46349 L
.40036 .46228 L
.39967 .46171 L
.39913 .46067 L
.39807 .45932 L
.39785 .45907 L
.39671 .45746 L
.39646 .45715 L
.39551 .45586 L
.39486 .45501 L
.39429 .45425 L
.39325 .45297 L
.39295 .45265 L
.3919 .45104 L
.39165 .45071 L
.39073 .44943 L
.39004 .44853 L
.38954 .44783 L
.38844 .44645 L
.38835 .44622 L
.38722 .44462 L
.38683 .44409 L
.38609 .44301 L
.38523 .44182 L
.38495 .44141 L
.38388 .4398 L
.38362 .43944 L
.38292 .4382 L
F
.004 .82 1 r
.38362 .43121 m
.38417 .43178 L
.38523 .43281 L
.38574 .43338 L
.38683 .43425 L
.38721 .43499 L
.38844 .43632 L
.38886 .43659 L
.39001 .4382 L
.39004 .43823 L
.39136 .4398 L
.39165 .44013 L
.3927 .44141 L
.39325 .44189 L
.39404 .44301 L
.39486 .44397 L
.39554 .44462 L
.39646 .44599 L
.39667 .44622 L
.39796 .44783 L
.39807 .44786 L
.39925 .44943 L
.39967 .44989 L
.40095 .45104 L
.40128 .45196 L
.40188 .45265 L
.40288 .45401 L
.40305 .45425 L
.40435 .45586 L
.40449 .45596 L
.40562 .45746 L
.40609 .45802 L
.40706 .45907 L
.4077 .46011 L
.40814 .46067 L
.4093 .46217 L
.40936 .46228 L
.41065 .46388 L
.41091 .46414 L
.41224 .46549 L
.41251 .46625 L
.41322 .46709 L
.41412 .46835 L
.41435 .4687 L
.41564 .4703 L
.41572 .47035 L
.41688 .47191 L
.41733 .47241 L
.4183 .47351 L
.41894 .47454 L
.41937 .47512 L
.42054 .47664 L
.42058 .47672 L
.42184 .47833 L
.42215 .47861 L
.42342 .47993 L
.42375 .48075 L
.42439 .48154 L
.42536 .48288 L
.42553 .48314 L
.42679 .48475 L
.42696 .48483 L
.42801 .48636 L
.42857 .48696 L
.42943 .48796 L
.43017 .48913 L
.4305 .48957 L
.43172 .49117 L
.43178 .49125 L
.43293 .49278 L
.43338 .49317 L
.43452 .49438 L
.43499 .49538 L
.43547 .49599 L
.43659 .49755 L
.43662 .49759 L
.43783 .4992 L
.4382 .49933 L
.43905 .5008 L
.4398 .50163 L
.44045 .50241 L
.44141 .50386 L
.44152 .50401 L
.44271 .50562 L
.44301 .506 L
.44392 .50722 L
.44462 .50787 L
.44546 .50883 L
.44622 .5102 L
.4464 .51043 L
.44756 .51204 L
.44783 .51239 L
.44875 .51364 L
.44943 .51454 L
.44996 .51525 L
.45104 .51661 L
.45124 .51686 L
.45235 .51846 L
.45265 .51885 L
.45352 .52007 L
.45425 .52103 L
.4547 .52167 L
.45586 .52317 L
.45594 .52328 L
.45702 .52488 L
.45746 .52547 L
.45815 .52649 L
.45907 .52774 L
.4593 .52809 L
.46039 .5297 L
.46067 .5301 L
.46138 .5313 L
.46228 .53272 L
.46236 .53291 L
.46228 .5336 L
.46146 .53291 L
.46067 .53222 L
.4598 .5313 L
.45907 .53055 L
.4583 .5297 L
.45746 .52878 L
.45685 .52809 L
.45586 .52704 L
.45545 .52649 L
.45425 .52508 L
.45403 .52488 L
.45274 .52328 L
.45265 .52317 L
.4514 .52167 L
.45104 .52141 L
.45006 .52007 L
.44943 .51934 L
.44849 .51846 L
.44783 .51731 L
.44744 .51686 L
.44622 .51532 L
.44618 .51525 L
.44486 .51364 L
.44462 .5134 L
.44307 .51204 L
.44301 .51135 L
.44221 .51043 L
.44141 .50928 L
.44108 .50883 L
.4398 .50727 L
.43979 .50722 L
.43848 .50562 L
.4382 .50529 L
.43703 .50401 L
.43659 .5032 L
.43597 .50241 L
.43499 .50112 L
.43481 .5008 L
.43345 .4992 L
.43338 .49913 L
.43186 .49759 L
.43178 .49707 L
.43088 .49599 L
.43017 .49496 L
.42977 .49438 L
.42857 .49289 L
.42855 .49278 L
.42721 .49117 L
.42696 .4909 L
.42579 .48957 L
.42536 .48878 L
.42473 .48796 L
.42375 .48667 L
.42359 .48636 L
.42225 .48475 L
.42215 .48467 L
.42067 .48314 L
.42054 .48258 L
.4197 .48154 L
.41894 .48045 L
.4186 .47993 L
.41733 .47836 L
.41733 .47833 L
.41608 .47672 L
.41572 .47636 L
.41465 .47512 L
.41412 .47421 L
.4136 .47351 L
.41251 .47208 L
.41243 .47191 L
.41116 .4703 L
.41091 .47012 L
.40954 .4687 L
.4093 .46796 L
.40861 .46709 L
.4077 .46579 L
.4075 .46549 L
.40626 .46388 L
.40609 .46366 L
.40505 .46228 L
.40449 .46171 L
.40361 .46067 L
.40288 .45948 L
.40258 .45907 L
.40139 .45746 L
.40128 .45731 L
.40019 .45586 L
.39967 .45548 L
.39856 .45425 L
.39807 .45314 L
.39769 .45265 L
.39656 .45104 L
.39646 .45091 L
.39538 .44943 L
.39486 .44875 L
.39418 .44783 L
.39325 .44674 L
.39284 .44622 L
.3918 .44462 L
.39165 .44442 L
.39064 .44301 L
.39004 .44221 L
.38947 .44141 L
.38844 .44016 L
.38816 .4398 L
.38717 .4382 L
.38683 .43773 L
.38606 .43659 L
.38523 .43541 L
.38495 .43499 L
.3839 .43338 L
.38362 .43297 L
.38299 .43178 L
F
1 .61 0 r
.38362 .43801 m
.38379 .4382 L
.38523 .43968 L
.38533 .4398 L
.38676 .44141 L
.38683 .44149 L
.38811 .44301 L
.38844 .44337 L
.38946 .44462 L
.39004 .44528 L
.3908 .44622 L
.39165 .44722 L
.39214 .44783 L
.39325 .44908 L
.39346 .44943 L
.39475 .45104 L
.39486 .45116 L
.39603 .45265 L
.39646 .45317 L
.39731 .45425 L
.39807 .45481 L
.39859 .45586 L
.39967 .45714 L
.40001 .45746 L
.40114 .45907 L
.40128 .45924 L
.40238 .46067 L
.40288 .46129 L
.40364 .46228 L
.40449 .46314 L
.40536 .46388 L
.40609 .46537 L
.4062 .46549 L
.4074 .46709 L
.4077 .46747 L
.40863 .4687 L
.4093 .46909 L
.40988 .4703 L
.41091 .47153 L
.41127 .47191 L
.41236 .47351 L
.41251 .47371 L
.41357 .47512 L
.41412 .47581 L
.4148 .47672 L
.41572 .4777 L
.41638 .47833 L
.41727 .47993 L
.41733 .48001 L
.41846 .48154 L
.41894 .48214 L
.41967 .48314 L
.42054 .48427 L
.4209 .48475 L
.42212 .48636 L
.42215 .48639 L
.42329 .48796 L
.42375 .48856 L
.42447 .48957 L
.42536 .49072 L
.42568 .49117 L
.42687 .49278 L
.42696 .49289 L
.428 .49438 L
.42857 .49513 L
.42915 .49599 L
.43017 .49737 L
.43032 .49759 L
.4314 .4992 L
.43178 .49972 L
.43241 .5008 L
.43338 .5023 L
.43343 .50241 L
.43338 .50281 L
.43293 .50241 L
.43178 .50136 L
.43128 .5008 L
.43017 .49962 L
.42981 .4992 L
.42857 .49798 L
.4284 .49759 L
.42704 .49599 L
.42696 .4959 L
.42571 .49438 L
.42536 .49398 L
.42438 .49278 L
.42375 .49203 L
.42305 .49117 L
.42215 .49027 L
.42174 .48957 L
.42054 .48811 L
.42039 .48796 L
.41916 .48636 L
.41894 .48609 L
.41788 .48475 L
.41733 .48408 L
.41659 .48314 L
.41572 .48217 L
.41503 .48154 L
.41412 .48003 L
.41404 .47993 L
.4128 .47833 L
.41251 .47798 L
.41154 .47672 L
.41091 .47619 L
.41028 .47512 L
.4093 .47392 L
.40893 .47351 L
.40779 .47191 L
.4077 .4718 L
.40655 .4703 L
.40609 .46972 L
.40531 .4687 L
.40449 .46779 L
.4038 .46709 L
.40288 .46556 L
.40282 .46549 L
.40162 .46388 L
.40128 .46345 L
.40039 .46228 L
.39967 .46167 L
.39916 .46067 L
.39807 .45928 L
.39789 .45907 L
.39674 .45746 L
.39646 .4571 L
.39554 .45586 L
.39486 .45497 L
.39433 .45425 L
.39325 .45291 L
.39301 .45265 L
.39194 .45104 L
.39165 .45065 L
.39077 .44943 L
.39004 .44847 L
.38958 .44783 L
.38844 .44633 L
.3884 .44622 L
.38728 .44462 L
.38683 .44401 L
.38616 .44301 L
.38523 .44172 L
.38502 .44141 L
.38399 .4398 L
.38362 .43927 L
.38308 .4382 L
F
1 .98 .538 r
.38362 .30949 m
.38523 .30862 L
.38683 .30824 L
.38844 .30819 L
.39004 .30823 L
.39165 .30837 L
.39325 .30863 L
.39486 .30899 L
.39646 .30946 L
.39738 .30978 L
.39807 .31004 L
.39967 .31074 L
.40091 .31138 L
.40128 .31159 L
.40288 .3126 L
.40342 .31299 L
.40449 .31381 L
.40535 .31459 L
.40609 .31529 L
.40683 .3162 L
.4077 .31734 L
.40789 .31781 L
.40847 .31941 L
.4083 .32102 L
.4077 .32179 L
.40609 .32258 L
.40583 .32262 L
.40449 .32278 L
.40288 .32275 L
.40174 .32262 L
.40128 .32255 L
.39967 .32221 L
.39807 .32176 L
.39646 .32119 L
.39601 .32102 L
.39486 .32054 L
.39325 .31979 L
.39249 .31941 L
.39165 .31897 L
.39004 .31804 L
.38966 .31781 L
.38844 .31701 L
.38733 .3162 L
.38683 .31583 L
.38544 .31459 L
.38523 .31447 L
.38402 .31299 L
.38362 .31238 L
.38318 .31138 L
.38338 .30978 L
F
1 .94 .156 r
.38362 .38898 m
.38485 .39004 L
.38523 .39037 L
.38641 .39165 L
.38683 .39208 L
.38782 .39325 L
.38844 .39395 L
.38917 .39486 L
.39004 .39553 L
.39047 .39646 L
.39165 .39791 L
.39179 .39807 L
.39291 .39967 L
.39325 .40013 L
.39404 .40128 L
.39486 .40251 L
.39508 .40288 L
.39564 .40449 L
.39486 .4046 L
.39469 .40449 L
.39325 .40363 L
.39283 .40288 L
.39165 .40173 L
.39135 .40128 L
.39004 .39974 L
.38997 .39967 L
.38872 .39807 L
.38844 .39771 L
.38749 .39646 L
.38683 .39559 L
.3863 .39486 L
.38523 .39346 L
.38508 .39325 L
.38411 .39165 L
.38362 .39085 L
.38318 .39004 L
F
.733 .99 1 r
.38362 .4176 m
.38513 .41894 L
.38523 .41903 L
.38671 .42054 L
.38683 .42066 L
.38819 .42215 L
.38844 .42232 L
.38961 .42375 L
.39004 .42424 L
.39155 .42536 L
.39165 .42615 L
.39242 .42696 L
.39325 .4281 L
.39364 .42857 L
.39486 .43004 L
.39494 .43017 L
.39632 .43178 L
.39646 .43198 L
.39766 .43338 L
.39807 .43401 L
.3988 .43499 L
.39967 .43611 L
.39988 .43659 L
.40128 .43792 L
.40151 .4382 L
.4028 .4398 L
.40288 .43996 L
.40398 .44141 L
.40449 .4421 L
.40503 .44301 L
.40609 .44397 L
.40662 .44462 L
.4077 .44602 L
.40787 .44622 L
.4091 .44783 L
.4093 .44813 L
.41021 .44943 L
.41091 .45036 L
.41165 .45104 L
.41251 .45217 L
.4129 .45265 L
.41412 .45425 L
.41412 .45425 L
.4153 .45586 L
.41572 .45643 L
.41632 .45746 L
.41733 .45872 L
.41788 .45907 L
.41894 .46046 L
.41911 .46067 L
.42033 .46228 L
.42054 .46259 L
.42142 .46388 L
.42215 .46482 L
.42232 .46549 L
.42375 .46669 L
.42407 .46709 L
.4253 .4687 L
.42536 .4688 L
.42646 .4703 L
.42696 .47098 L
.42747 .47191 L
.42857 .47322 L
.42902 .47351 L
.43017 .47504 L
.43023 .47512 L
.43146 .47672 L
.43178 .47718 L
.43254 .47833 L
.43338 .47938 L
.43395 .47993 L
.43499 .4813 L
.43518 .48154 L
.43644 .48314 L
.43659 .48341 L
.43757 .48475 L
.4382 .48558 L
.43859 .48636 L
.4398 .48775 L
.44011 .48796 L
.44138 .48957 L
.44141 .48966 L
.44257 .49117 L
.44301 .4918 L
.44365 .49278 L
.44462 .49396 L
.44505 .49438 L
.44622 .49598 L
.44627 .49599 L
.44756 .49759 L
.44783 .49803 L
.44867 .4992 L
.44943 .50018 L
.44972 .5008 L
.45104 .50228 L
.4512 .50241 L
.45255 .50401 L
.45265 .50429 L
.45368 .50562 L
.45425 .50641 L
.45476 .50722 L
.45586 .50854 L
.45613 .50883 L
.45735 .51043 L
.45746 .51055 L
.45869 .51204 L
.45907 .51265 L
.45978 .51364 L
.46067 .51479 L
.46086 .51525 L
.46228 .51685 L
.46228 .51686 L
.4637 .51846 L
.46388 .5189 L
.46479 .52007 L
.46549 .52103 L
.46588 .52167 L
.46709 .52314 L
.46721 .52328 L
.46843 .52488 L
.4687 .52514 L
.4698 .52649 L
.4703 .52727 L
.47088 .52809 L
.47191 .52941 L
.47202 .5297 L
.47336 .5313 L
.47351 .5314 L
.47485 .53291 L
.47512 .53351 L
.47589 .53451 L
.47672 .53567 L
.47699 .53612 L
.47829 .53772 L
.47833 .53778 L
.4795 .53933 L
.47993 .53973 L
.4809 .54093 L
.48154 .54191 L
.48198 .54254 L
.48314 .54406 L
.48318 .54414 L
.48442 .54575 L
.48475 .54594 L
.48596 .54735 L
.48636 .54814 L
.48696 .54896 L
.48796 .55033 L
.4881 .55057 L
.48934 .55217 L
.48957 .55246 L
.49056 .55378 L
.49117 .55435 L
.49197 .55538 L
.49278 .55659 L
.49304 .55699 L
.49425 .55859 L
.49438 .55875 L
.49546 .5602 L
.49599 .56052 L
.49701 .5618 L
.49759 .56285 L
.498 .56341 L
.49916 .56501 L
.4992 .56507 L
.50035 .56662 L
.5008 .56719 L
.50157 .56822 L
.50241 .5691 L
.50295 .56983 L
.50401 .57141 L
.50403 .57143 L
.50522 .57304 L
.50562 .57356 L
.50642 .57464 L
.50722 .5757 L
.50789 .57625 L
.50883 .57781 L
.50886 .57785 L
.51002 .57946 L
.51043 .58 L
.51119 .58106 L
.51204 .58218 L
.51275 .58267 L
.51357 .58428 L
.51364 .58437 L
.51469 .58588 L
.51525 .58665 L
.51581 .58749 L
.51686 .58895 L
.51694 .58909 L
.51795 .5907 L
.51846 .59147 L
.51889 .5923 L
.51846 .59334 L
.51729 .5923 L
.51686 .59192 L
.51564 .5907 L
.51525 .59031 L
.5141 .58909 L
.51364 .5887 L
.51263 .58749 L
.51204 .58681 L
.51083 .58588 L
.51043 .58491 L
.50982 .58428 L
.50883 .58299 L
.50858 .58267 L
.50722 .58109 L
.50709 .58106 L
.50576 .57946 L
.50562 .57927 L
.5044 .57785 L
.50401 .57724 L
.50325 .57625 L
.50241 .57513 L
.50217 .57464 L
.5008 .57337 L
.50053 .57304 L
.49924 .57143 L
.4992 .57133 L
.49803 .56983 L
.49759 .5692 L
.49695 .56822 L
.49599 .56698 L
.49543 .56662 L
.49438 .56525 L
.49419 .56501 L
.49294 .56341 L
.49278 .56315 L
.49181 .5618 L
.49117 .56095 L
.49083 .5602 L
.48957 .55909 L
.48917 .55859 L
.48796 .557 L
.48795 .55699 L
.48674 .55538 L
.48636 .55483 L
.48569 .55378 L
.48475 .55258 L
.4842 .55217 L
.48314 .55078 L
.48297 .55057 L
.48173 .54896 L
.48154 .54866 L
.48062 .54735 L
.47993 .54645 L
.47966 .54575 L
.47833 .54455 L
.47801 .54414 L
.47677 .54254 L
.47672 .54244 L
.47559 .54093 L
.47512 .54028 L
.47455 .53933 L
.47351 .53806 L
.47307 .53772 L
.47191 .53619 L
.47185 .53612 L
.4706 .53451 L
.4703 .53406 L
.4695 .53291 L
.4687 .53188 L
.46852 .5313 L
.46709 .52975 L
.46691 .5297 L
.46562 .52809 L
.46549 .52783 L
.46448 .52649 L
.46388 .52568 L
.46343 .52488 L
.46228 .52352 L
.46197 .52328 L
.46069 .52167 L
.46067 .52157 L
.45948 .52007 L
.45907 .51945 L
.45839 .51846 L
.45746 .5173 L
.45736 .51686 L
.45586 .51527 L
.45582 .51525 L
.45448 .51364 L
.45425 .51321 L
.45337 .51204 L
.45265 .51107 L
.4523 .51043 L
.45104 .50897 L
.45089 .50883 L
.44949 .50722 L
.44943 .50696 L
.44836 .50562 L
.44783 .50483 L
.44728 .50401 L
.44622 .50271 L
.44618 .50241 L
.44473 .5008 L
.44462 .50069 L
.44335 .4992 L
.44301 .49859 L
.44227 .49759 L
.44141 .49646 L
.44117 .49599 L
.4398 .49438 L
.4398 .49438 L
.43831 .49278 L
.4382 .49235 L
.43726 .49117 L
.43659 .49021 L
.43617 .48957 L
.43499 .4881 L
.43498 .48796 L
.43365 .48636 L
.43338 .48611 L
.43223 .48475 L
.43178 .48397 L
.43117 .48314 L
.43017 .48183 L
.43003 .48154 L
.42873 .47993 L
.42857 .47986 L
.42715 .47833 L
.42696 .47774 L
.42616 .47672 L
.42536 .47558 L
.42506 .47512 L
.4238 .47351 L
.42375 .47345 L
.42258 .47191 L
.42215 .47153 L
.42113 .4703 L
.42054 .46933 L
.42008 .4687 L
.41894 .46717 L
.4189 .46709 L
.41766 .46549 L
.41733 .46535 L
.41604 .46388 L
.41572 .46311 L
.41509 .46228 L
.41412 .46091 L
.41397 .46067 L
.41274 .45907 L
.41251 .45877 L
.41153 .45746 L
.41091 .45692 L
.41007 .45586 L
.4093 .45465 L
.40902 .45425 L
.40783 .45265 L
.4077 .45248 L
.40662 .45104 L
.40609 .45036 L
.405 .44943 L
.40449 .4484 L
.40407 .44783 L
.40293 .44622 L
.40288 .44616 L
.40174 .44462 L
.40128 .44403 L
.40052 .44301 L
.39967 .44216 L
.39911 .44141 L
.39807 .43982 L
.39806 .4398 L
.39688 .4382 L
.39646 .43767 L
.39568 .43659 L
.39486 .43553 L
.39417 .43499 L
.39325 .43341 L
.39323 .43338 L
.39208 .43178 L
.39165 .43121 L
.39091 .43017 L
.39004 .42903 L
.38972 .42857 L
.38854 .42696 L
.38844 .42683 L
.38743 .42536 L
.38683 .42454 L
.38631 .42375 L
.38523 .42223 L
.38517 .42215 L
.38417 .42054 L
.38362 .4197 L
.38322 .41894 L
F
.003 .81 1 r
.38362 .43152 m
.3839 .43178 L
.38523 .43299 L
.38559 .43338 L
.38683 .43446 L
.38709 .43499 L
.38844 .43646 L
.38865 .43659 L
.38992 .4382 L
.39004 .43833 L
.39128 .4398 L
.39165 .44022 L
.39264 .44141 L
.39325 .44196 L
.39398 .44301 L
.39486 .44404 L
.39548 .44462 L
.39646 .44605 L
.39662 .44622 L
.39791 .44783 L
.39807 .44787 L
.3992 .44943 L
.39967 .44993 L
.40092 .45104 L
.40128 .45201 L
.40184 .45265 L
.40288 .45406 L
.40302 .45425 L
.40432 .45586 L
.40449 .45598 L
.40559 .45746 L
.40609 .45805 L
.40703 .45907 L
.4077 .46015 L
.40811 .46067 L
.4093 .4622 L
.40934 .46228 L
.41062 .46388 L
.41091 .46417 L
.41223 .46549 L
.41251 .46628 L
.4132 .46709 L
.41412 .46838 L
.41433 .4687 L
.41562 .4703 L
.41572 .47037 L
.41686 .47191 L
.41733 .47244 L
.41828 .47351 L
.41894 .47457 L
.41935 .47512 L
.42054 .47666 L
.42057 .47672 L
.42182 .47833 L
.42215 .47863 L
.42341 .47993 L
.42375 .48077 L
.42438 .48154 L
.42536 .48291 L
.42551 .48314 L
.42677 .48475 L
.42696 .48484 L
.42799 .48636 L
.42857 .48698 L
.42942 .48796 L
.43017 .48915 L
.43048 .48957 L
.4317 .49117 L
.43178 .49127 L
.43291 .49278 L
.43338 .49319 L
.4345 .49438 L
.43499 .49541 L
.43545 .49599 L
.43659 .49757 L
.43661 .49759 L
.43781 .4992 L
.4382 .49935 L
.43903 .5008 L
.4398 .50166 L
.44043 .50241 L
.44141 .50389 L
.4415 .50401 L
.44269 .50562 L
.44301 .50604 L
.44389 .50722 L
.44462 .50791 L
.44543 .50883 L
.44622 .51025 L
.44637 .51043 L
.44753 .51204 L
.44783 .51243 L
.44872 .51364 L
.44943 .51458 L
.44992 .51525 L
.45104 .51667 L
.45119 .51686 L
.45231 .51846 L
.45265 .5189 L
.45347 .52007 L
.45425 .5211 L
.45466 .52167 L
.45585 .52328 L
.45586 .52329 L
.45696 .52488 L
.45746 .52556 L
.45808 .52649 L
.45907 .52786 L
.45922 .52809 L
.46026 .5297 L
.46067 .5303 L
.46121 .5313 L
.46067 .53199 L
.45999 .5313 L
.45907 .53039 L
.45843 .5297 L
.45746 .52865 L
.45697 .52809 L
.45586 .52691 L
.45555 .52649 L
.45425 .52498 L
.45414 .52488 L
.45281 .52328 L
.45265 .52309 L
.45146 .52167 L
.45104 .52136 L
.45013 .52007 L
.44943 .51927 L
.44855 .51846 L
.44783 .51725 L
.44749 .51686 L
.44622 .51528 L
.44621 .51525 L
.4449 .51364 L
.44462 .51336 L
.44308 .51204 L
.44301 .5113 L
.44225 .51043 L
.44141 .50924 L
.44111 .50883 L
.4398 .50724 L
.4398 .50722 L
.43852 .50562 L
.4382 .50525 L
.43705 .50401 L
.43659 .50316 L
.436 .50241 L
.43499 .50109 L
.43483 .5008 L
.43348 .4992 L
.43338 .49911 L
.43186 .49759 L
.43178 .49704 L
.4309 .49599 L
.43017 .49493 L
.42979 .49438 L
.42857 .49287 L
.42855 .49278 L
.42723 .49117 L
.42696 .49087 L
.42581 .48957 L
.42536 .48876 L
.42475 .48796 L
.42375 .48665 L
.4236 .48636 L
.42227 .48475 L
.42215 .48465 L
.42068 .48314 L
.42054 .48255 L
.41972 .48154 L
.41894 .48042 L
.41861 .47993 L
.41733 .47833 L
.41733 .47833 L
.4161 .47672 L
.41572 .47633 L
.41467 .47512 L
.41412 .47418 L
.41362 .47351 L
.41251 .47205 L
.41244 .47191 L
.41118 .4703 L
.41091 .47011 L
.40955 .4687 L
.4093 .46793 L
.40864 .46709 L
.4077 .46576 L
.40752 .46549 L
.40629 .46388 L
.40609 .46363 L
.40507 .46228 L
.40449 .46168 L
.40364 .46067 L
.40288 .45944 L
.40261 .45907 L
.40142 .45746 L
.40128 .45728 L
.40022 .45586 L
.39967 .45545 L
.39859 .45425 L
.39807 .45309 L
.39772 .45265 L
.3966 .45104 L
.39646 .45087 L
.39541 .44943 L
.39486 .4487 L
.39422 .44783 L
.39325 .44667 L
.3929 .44622 L
.39185 .44462 L
.39165 .44436 L
.39069 .44301 L
.39004 .44214 L
.38952 .44141 L
.38844 .44002 L
.38827 .4398 L
.38725 .4382 L
.38683 .43762 L
.38615 .43659 L
.38523 .43527 L
.38504 .43499 L
.38407 .43338 L
.38362 .43266 L
.38326 .43178 L
F
.156 .94 1 r
.38362 .39577 m
.3841 .39646 L
.38523 .39791 L
.3853 .39807 L
.38523 .3983 L
.38499 .39807 L
.38362 .39662 L
.38351 .39646 L
F
1 .6 0 r
.38523 .43979 m
.38524 .4398 L
.38666 .44141 L
.38683 .44158 L
.38804 .44301 L
.38844 .44344 L
.3894 .44462 L
.39004 .44534 L
.39075 .44622 L
.39165 .44727 L
.39209 .44783 L
.39325 .44915 L
.39342 .44943 L
.39471 .45104 L
.39486 .45121 L
.39599 .45265 L
.39646 .45321 L
.39727 .45425 L
.39807 .45486 L
.39856 .45586 L
.39967 .45718 L
.39997 .45746 L
.4011 .45907 L
.40128 .45928 L
.40235 .46067 L
.40288 .46132 L
.40361 .46228 L
.40449 .46318 L
.40531 .46388 L
.40609 .46541 L
.40616 .46549 L
.40737 .46709 L
.4077 .4675 L
.4086 .4687 L
.4093 .46912 L
.40985 .4703 L
.41091 .47157 L
.41123 .47191 L
.41233 .47351 L
.41251 .47374 L
.41354 .47512 L
.41412 .47585 L
.41477 .47672 L
.41572 .47774 L
.41633 .47833 L
.41724 .47993 L
.41733 .48005 L
.41843 .48154 L
.41894 .48218 L
.41964 .48314 L
.42054 .4843 L
.42087 .48475 L
.42209 .48636 L
.42215 .48643 L
.42325 .48796 L
.42375 .48861 L
.42444 .48957 L
.42536 .49077 L
.42564 .49117 L
.42683 .49278 L
.42696 .49295 L
.42795 .49438 L
.42857 .4952 L
.4291 .49599 L
.43017 .49745 L
.43027 .49759 L
.43131 .4992 L
.43178 .49986 L
.43229 .5008 L
.43178 .50122 L
.4314 .5008 L
.43017 .49952 L
.42989 .4992 L
.42857 .49782 L
.42847 .49759 L
.42711 .49599 L
.42696 .49582 L
.42577 .49438 L
.42536 .49391 L
.42443 .49278 L
.42375 .49198 L
.4231 .49117 L
.42215 .4902 L
.42178 .48957 L
.42054 .48805 L
.42045 .48796 L
.4192 .48636 L
.41894 .48604 L
.41791 .48475 L
.41733 .48403 L
.41663 .48314 L
.41572 .48212 L
.41508 .48154 L
.41412 .47999 L
.41408 .47993 L
.41283 .47833 L
.41251 .47794 L
.41157 .47672 L
.41091 .47616 L
.41031 .47512 L
.4093 .47388 L
.40897 .47351 L
.40782 .47191 L
.4077 .47176 L
.40658 .4703 L
.40609 .46968 L
.40534 .4687 L
.40449 .46774 L
.40384 .46709 L
.40288 .46552 L
.40286 .46549 L
.40165 .46388 L
.40128 .46341 L
.40042 .46228 L
.39967 .46162 L
.39919 .46067 L
.39807 .45923 L
.39793 .45907 L
.39677 .45746 L
.39646 .45706 L
.39557 .45586 L
.39486 .45492 L
.39436 .45425 L
.39325 .45284 L
.39307 .45265 L
.39198 .45104 L
.39165 .4506 L
.39081 .44943 L
.39004 .44841 L
.38963 .44783 L
.38844 .44622 L
.38844 .44622 L
.38734 .44462 L
.38683 .44393 L
.38622 .44301 L
.38523 .44162 L
.38509 .44141 L
.38411 .4398 L
F
1 1 1 r
.38523 .36289 m
.38683 .36435 L
.38683 .36436 L
.38835 .36596 L
.38844 .36601 L
.38976 .36757 L
.39004 .36783 L
.39112 .36917 L
.39165 .36974 L
.39264 .37078 L
.39325 .37172 L
.39381 .37238 L
.39486 .37376 L
.39502 .37399 L
.39626 .37559 L
.39646 .37587 L
.39744 .3772 L
.39807 .37812 L
.39843 .3788 L
.39807 .37919 L
.39646 .3789 L
.39604 .3788 L
.39486 .37833 L
.39325 .3772 L
.39325 .3772 L
.39184 .37559 L
.39165 .37536 L
.39059 .37399 L
.39004 .37328 L
.38938 .37238 L
.38844 .37134 L
.388 .37078 L
.38704 .36917 L
.38683 .36887 L
.38599 .36757 L
.38523 .36637 L
.38499 .36596 L
.38417 .36436 L
F
.002 .8 1 r
.38523 .4332 m
.3854 .43338 L
.38683 .43472 L
.38696 .43499 L
.38842 .43659 L
.38844 .4366 L
.38982 .4382 L
.39004 .43843 L
.3912 .4398 L
.39165 .44031 L
.39257 .44141 L
.39325 .44204 L
.39392 .44301 L
.39486 .44411 L
.39541 .44462 L
.39646 .44611 L
.39657 .44622 L
.39786 .44783 L
.39807 .44788 L
.39916 .44943 L
.39967 .44998 L
.40088 .45104 L
.40128 .45206 L
.40181 .45265 L
.40288 .4541 L
.403 .45425 L
.40429 .45586 L
.40449 .45601 L
.40555 .45746 L
.40609 .45809 L
.40701 .45907 L
.4077 .46018 L
.40809 .46067 L
.4093 .46223 L
.40933 .46228 L
.41059 .46388 L
.41091 .4642 L
.41221 .46549 L
.41251 .46631 L
.41317 .46709 L
.41412 .46841 L
.41432 .4687 L
.4156 .4703 L
.41572 .47038 L
.41684 .47191 L
.41733 .47246 L
.41827 .47351 L
.41894 .4746 L
.41933 .47512 L
.42054 .47669 L
.42056 .47672 L
.4218 .47833 L
.42215 .47865 L
.42339 .47993 L
.42375 .4808 L
.42436 .48154 L
.42536 .48293 L
.4255 .48314 L
.42675 .48475 L
.42696 .48485 L
.42797 .48636 L
.42857 .48701 L
.4294 .48796 L
.43017 .48918 L
.43046 .48957 L
.43168 .49117 L
.43178 .4913 L
.43289 .49278 L
.43338 .49321 L
.43448 .49438 L
.43499 .49544 L
.43543 .49599 L
.43659 .49759 L
.43659 .4976 L
.43779 .4992 L
.4382 .49936 L
.43901 .5008 L
.4398 .50169 L
.4404 .50241 L
.44141 .50393 L
.44147 .50401 L
.44266 .50562 L
.44301 .50607 L
.44387 .50722 L
.44462 .50795 L
.44539 .50883 L
.44622 .51029 L
.44634 .51043 L
.4475 .51204 L
.44783 .51247 L
.44869 .51364 L
.44943 .51462 L
.44989 .51525 L
.45104 .51673 L
.45114 .51686 L
.45226 .51846 L
.45265 .51896 L
.45343 .52007 L
.45425 .52116 L
.45461 .52167 L
.45579 .52328 L
.45586 .52337 L
.45689 .52488 L
.45746 .52566 L
.458 .52649 L
.45907 .52798 L
.45914 .52809 L
.46012 .5297 L
.46067 .53057 L
.46099 .5313 L
.46067 .5317 L
.46024 .5313 L
.45907 .53021 L
.45858 .5297 L
.45746 .52851 L
.45708 .52809 L
.45586 .52678 L
.45565 .52649 L
.45425 .52488 L
.45425 .52488 L
.45289 .52328 L
.45265 .523 L
.45153 .52167 L
.45104 .5213 L
.45019 .52007 L
.44943 .5192 L
.44861 .51846 L
.44783 .51718 L
.44754 .51686 L
.44625 .51525 L
.44622 .51522 L
.44495 .51364 L
.44462 .51331 L
.4431 .51204 L
.44301 .51125 L
.44229 .51043 L
.44141 .50919 L
.44114 .50883 L
.43982 .50722 L
.4398 .50721 L
.43855 .50562 L
.4382 .50521 L
.43708 .50401 L
.43659 .50313 L
.43603 .50241 L
.43499 .50105 L
.43485 .5008 L
.43351 .4992 L
.43338 .49908 L
.43187 .49759 L
.43178 .49701 L
.43092 .49599 L
.43017 .4949 L
.42981 .49438 L
.42857 .49284 L
.42856 .49278 L
.42726 .49117 L
.42696 .49084 L
.42582 .48957 L
.42536 .48873 L
.42477 .48796 L
.42375 .48662 L
.42361 .48636 L
.42229 .48475 L
.42215 .48463 L
.42069 .48314 L
.42054 .48253 L
.41973 .48154 L
.41894 .48039 L
.41863 .47993 L
.41735 .47833 L
.41733 .47833 L
.41612 .47672 L
.41572 .47631 L
.41468 .47512 L
.41412 .47415 L
.41364 .47351 L
.41251 .47202 L
.41246 .47191 L
.41121 .4703 L
.41091 .47009 L
.40957 .4687 L
.4093 .4679 L
.40866 .46709 L
.4077 .46573 L
.40754 .46549 L
.40631 .46388 L
.40609 .4636 L
.4051 .46228 L
.40449 .46164 L
.40366 .46067 L
.40288 .4594 L
.40264 .45907 L
.40145 .45746 L
.40128 .45724 L
.40025 .45586 L
.39967 .45541 L
.39862 .45425 L
.39807 .45304 L
.39776 .45265 L
.39663 .45104 L
.39646 .45082 L
.39545 .44943 L
.39486 .44865 L
.39426 .44783 L
.39325 .4466 L
.39296 .44622 L
.3919 .44462 L
.39165 .44429 L
.39075 .44301 L
.39004 .44206 L
.38958 .44141 L
.38844 .43986 L
.38839 .4398 L
.38733 .4382 L
.38683 .4375 L
.38624 .43659 L
.38523 .43511 L
.38515 .43499 L
.38428 .43338 L
F
1 .93 .114 r
.38523 .42645 m
.38575 .42696 L
.38683 .42748 L
.38734 .42857 L
.38844 .42966 L
.38884 .43017 L
.39004 .43152 L
.39036 .43178 L
.39165 .43336 L
.39167 .43338 L
.39305 .43499 L
.39325 .43515 L
.39441 .43659 L
.39486 .43712 L
.39606 .4382 L
.39646 .4391 L
.39708 .4398 L
.39807 .4411 L
.39828 .44141 L
.39967 .44301 L
.39969 .44301 L
.40099 .44462 L
.40128 .44499 L
.40236 .44622 L
.40288 .44705 L
.40347 .44783 L
.40449 .44912 L
.40461 .44943 L
.40609 .45102 L
.40611 .45104 L
.40751 .45265 L
.4077 .45308 L
.40862 .45425 L
.4093 .45519 L
.40972 .45586 L
.41091 .45729 L
.41117 .45746 L
.41241 .45907 L
.41251 .4592 L
.41371 .46067 L
.41412 .46131 L
.41482 .46228 L
.41572 .46344 L
.41588 .46388 L
.41733 .46547 L
.41741 .46549 L
.41876 .46709 L
.41894 .46748 L
.41988 .4687 L
.42054 .46961 L
.42096 .4703 L
.42215 .47172 L
.42238 .47191 L
.42375 .47351 L
.42375 .47368 L
.42491 .47512 L
.42536 .4758 L
.42601 .47672 L
.42696 .47793 L
.42708 .47833 L
.42857 .47993 L
.42857 .47993 L
.42994 .48154 L
.43017 .48202 L
.43104 .48314 L
.43178 .48415 L
.43212 .48475 L
.43338 .48624 L
.43351 .48636 L
.43496 .48796 L
.43499 .48825 L
.43606 .48957 L
.43659 .49037 L
.43714 .49117 L
.4382 .4925 L
.43827 .49278 L
.43968 .49438 L
.4398 .49451 L
.44109 .49599 L
.44141 .49661 L
.44216 .49759 L
.44301 .49874 L
.44326 .4992 L
.44461 .5008 L
.44462 .50081 L
.44615 .50241 L
.44622 .50285 L
.44717 .50401 L
.44783 .50499 L
.44826 .50562 L
.44943 .50711 L
.44946 .50722 L
.45075 .50883 L
.45104 .50909 L
.45221 .51043 L
.45265 .51123 L
.45325 .51204 L
.45425 .51338 L
.45439 .51364 L
.45567 .51525 L
.45586 .51534 L
.4573 .51686 L
.45746 .51747 L
.45825 .51846 L
.45907 .51965 L
.45934 .52007 L
.46058 .52167 L
.46067 .52178 L
.4618 .52328 L
.46228 .5237 L
.46327 .52488 L
.46388 .52592 L
.4643 .52649 L
.46549 .52809 L
.46549 .52809 L
.46669 .5297 L
.46709 .52989 L
.46836 .5313 L
.4687 .53219 L
.46925 .53291 L
.4703 .53442 L
.47037 .53451 L
.47156 .53612 L
.47191 .53656 L
.47277 .53772 L
.47351 .53845 L
.47421 .53933 L
.47512 .54078 L
.47523 .54093 L
.4764 .54254 L
.47672 .54296 L
.47759 .54414 L
.47833 .54511 L
.47917 .54575 L
.47993 .54721 L
.48004 .54735 L
.48117 .54896 L
.48154 .54944 L
.48234 .55057 L
.48314 .55164 L
.48352 .55217 L
.4847 .55378 L
.48475 .55385 L
.4858 .55538 L
.48636 .55615 L
.48691 .55699 L
.48796 .55848 L
.48803 .55859 L
.489 .5602 L
.48957 .56111 L
.48987 .5618 L
.48957 .56238 L
.48888 .5618 L
.48796 .561 L
.48717 .5602 L
.48636 .55937 L
.48563 .55859 L
.48475 .55775 L
.48416 .55699 L
.48314 .55583 L
.48258 .55538 L
.48154 .55396 L
.48137 .55378 L
.47999 .55217 L
.47993 .55214 L
.47864 .55057 L
.47833 .55021 L
.4769 .54896 L
.47672 .54822 L
.47595 .54735 L
.47512 .54621 L
.47478 .54575 L
.47351 .54424 L
.47336 .54414 L
.47207 .54254 L
.47191 .54233 L
.47069 .54093 L
.4703 .54027 L
.46958 .53933 L
.4687 .53818 L
.46846 .53772 L
.46709 .53616 L
.46695 .53612 L
.46557 .53451 L
.46549 .53423 L
.46443 .53291 L
.46388 .53213 L
.46333 .5313 L
.46228 .53 L
.4619 .5297 L
.46067 .5281 L
.46066 .52809 L
.45935 .52649 L
.45907 .52601 L
.45824 .52488 L
.45746 .52387 L
.45718 .52328 L
.45586 .52177 L
.45566 .52167 L
.45433 .52007 L
.45425 .51984 L
.45318 .51846 L
.45265 .51771 L
.4521 .51686 L
.45104 .51557 L
.45068 .51525 L
.44946 .51364 L
.44943 .51362 L
.44815 .51204 L
.44783 .51151 L
.44705 .51043 L
.44622 .50937 L
.44599 .50883 L
.44462 .5073 L
.4445 .50722 L
.44314 .50562 L
.44301 .50529 L
.44202 .50401 L
.44141 .50316 L
.44094 .50241 L
.4398 .50104 L
.43955 .5008 L
.43833 .4992 L
.4382 .49905 L
.437 .49759 L
.43659 .49694 L
.43591 .49599 L
.43499 .4948 L
.43482 .49438 L
.43339 .49278 L
.43338 .49277 L
.43198 .49117 L
.43178 .4907 L
.4309 .48957 L
.43017 .48856 L
.42981 .48796 L
.42857 .48647 L
.42846 .48636 L
.42724 .48475 L
.42696 .48445 L
.42588 .48314 L
.42536 .48232 L
.42481 .48154 L
.42375 .48019 L
.42366 .47993 L
.42232 .47833 L
.42215 .47819 L
.42085 .47672 L
.42054 .47608 L
.41981 .47512 L
.41894 .47393 L
.41869 .47351 L
.4174 .47191 L
.41733 .47189 L
.41618 .4703 L
.41572 .46984 L
.4148 .4687 L
.41412 .46766 L
.41373 .46709 L
.41251 .46552 L
.4125 .46549 L
.41128 .46388 L
.41091 .46361 L
.40976 .46228 L
.4093 .4614 L
.40876 .46067 L
.4077 .45921 L
.40762 .45907 L
.40639 .45746 L
.40609 .45708 L
.40463 .45586 L
.40449 .45514 L
.40379 .45425 L
.40288 .45289 L
.40272 .45265 L
.40152 .45104 L
.40128 .45073 L
.40032 .44943 L
.39967 .44889 L
.39882 .44783 L
.39807 .44653 L
.39784 .44622 L
.39669 .44462 L
.39646 .44432 L
.39551 .44301 L
.39486 .44216 L
.39382 .44141 L
.39325 .44009 L
.39304 .4398 L
.39194 .4382 L
.39165 .43781 L
.39078 .43659 L
.39004 .43559 L
.38962 .43499 L
.38844 .43338 L
.38844 .43338 L
.38736 .43178 L
.38683 .43104 L
.38627 .43017 L
.38523 .42865 L
.38517 .42857 L
.38428 .42696 L
F
.538 .98 1 r
.38523 .38434 m
.38651 .38523 L
.38683 .38546 L
.38826 .38683 L
.38844 .38686 L
.38977 .38844 L
.39004 .38868 L
.39117 .39004 L
.39165 .39059 L
.39287 .39165 L
.39325 .39257 L
.39388 .39325 L
.39486 .39459 L
.39506 .39486 L
.39637 .39646 L
.39646 .3965 L
.39762 .39807 L
.39807 .39853 L
.39901 .39967 L
.39967 .40069 L
.40006 .40128 L
.40126 .40288 L
.40128 .40291 L
.40238 .40449 L
.40288 .40527 L
.40372 .40609 L
.40374 .4077 L
.40288 .40798 L
.40193 .4077 L
.40128 .4075 L
.39978 .40609 L
.39967 .40602 L
.39832 .40449 L
.39807 .40425 L
.39699 .40288 L
.39646 .40228 L
.39546 .40128 L
.39486 .40022 L
.39441 .39967 L
.39325 .39814 L
.39321 .39807 L
.39198 .39646 L
.39165 .39639 L
.39032 .39486 L
.39004 .39408 L
.38947 .39325 L
.38844 .39172 L
.38839 .39165 L
.38727 .39004 L
.38683 .38941 L
.38617 .38844 L
.38523 .38696 L
.38509 .38683 L
.3844 .38523 L
F
1 .93 .114 r
.38523 .39099 m
.38591 .39165 L
.38683 .39253 L
.38747 .39325 L
.38844 .39432 L
.38888 .39486 L
.39004 .39607 L
.39021 .39646 L
.39145 .39807 L
.39165 .39832 L
.3926 .39967 L
.39325 .40058 L
.3937 .40128 L
.39325 .40281 L
.39171 .40128 L
.39165 .40122 L
.39032 .39967 L
.39004 .39935 L
.38903 .39807 L
.38844 .39733 L
.38779 .39646 L
.38683 .39518 L
.3866 .39486 L
.38553 .39325 L
.38523 .39278 L
.38461 .39165 L
F
0 .55 1 r
.38523 .44631 m
.38642 .44783 L
.38683 .44829 L
.38771 .44943 L
.38844 .45029 L
.389 .45104 L
.39004 .45229 L
.39031 .45265 L
.3916 .45425 L
.39165 .45431 L
.39281 .45586 L
.39325 .45638 L
.39405 .45746 L
.39486 .45845 L
.3953 .45907 L
.39646 .46052 L
.39657 .46067 L
.39777 .46228 L
.39807 .46264 L
.39896 .46388 L
.39967 .46477 L
.40018 .46549 L
.40128 .46689 L
.40142 .46709 L
.40257 .4687 L
.40288 .46909 L
.40369 .4703 L
.40449 .47133 L
.40486 .47191 L
.40449 .47267 L
.40387 .47191 L
.40288 .4708 L
.40249 .4703 L
.40128 .46887 L
.40114 .4687 L
.39985 .46709 L
.39967 .46689 L
.39858 .46549 L
.39807 .46488 L
.39729 .46388 L
.39646 .46287 L
.39601 .46228 L
.39486 .46084 L
.39473 .46067 L
.3935 .45907 L
.39325 .45877 L
.39227 .45746 L
.39165 .45669 L
.39103 .45586 L
.39004 .4546 L
.38978 .45425 L
.38856 .45265 L
.38844 .45249 L
.38739 .45104 L
.38683 .45034 L
.38619 .44943 L
.38523 .44818 L
.38497 .44783 L
F
1 .66 0 r
.38523 .45311 m
.38597 .45425 L
.38683 .45533 L
.38716 .45586 L
.38683 .45637 L
.38642 .45586 L
.38523 .45448 L
.38504 .45425 L
F
0 .54 1 r
.38523 .44642 m
.38633 .44783 L
.38683 .44839 L
.38763 .44943 L
.38844 .45037 L
.38894 .45104 L
.39004 .45236 L
.39025 .45265 L
.39153 .45425 L
.39165 .45439 L
.39274 .45586 L
.39325 .45646 L
.39399 .45746 L
.39486 .45853 L
.39525 .45907 L
.39646 .46059 L
.39652 .46067 L
.3977 .46228 L
.39807 .46272 L
.39889 .46388 L
.39967 .46486 L
.40011 .46549 L
.40128 .46698 L
.40136 .46709 L
.40248 .4687 L
.40288 .4692 L
.40359 .4703 L
.40449 .47147 L
.40475 .47191 L
.40449 .47251 L
.404 .47191 L
.40288 .47068 L
.40258 .4703 L
.40128 .46878 L
.40122 .4687 L
.39994 .46709 L
.39967 .4668 L
.39866 .46549 L
.39807 .4648 L
.39736 .46388 L
.39646 .46279 L
.39607 .46228 L
.39486 .46076 L
.39479 .46067 L
.39357 .45907 L
.39325 .45869 L
.39234 .45746 L
.39165 .45661 L
.39109 .45586 L
.39004 .45452 L
.38984 .45425 L
.38864 .45265 L
.38844 .4524 L
.38746 .45104 L
.38683 .45024 L
.38626 .44943 L
.38523 .44808 L
.38505 .44783 L
F
0 .53 1 r
.38523 .44655 m
.38622 .44783 L
.38683 .4485 L
.38754 .44943 L
.38844 .45046 L
.38887 .45104 L
.39004 .45244 L
.39019 .45265 L
.39145 .45425 L
.39165 .45447 L
.39267 .45586 L
.39325 .45654 L
.39392 .45746 L
.39486 .4586 L
.39519 .45907 L
.39646 .46066 L
.39647 .46067 L
.39763 .46228 L
.39807 .46281 L
.39882 .46388 L
.39967 .46495 L
.40005 .46549 L
.40128 .46707 L
.40129 .46709 L
.40128 .46866 L
.40004 .46709 L
.39967 .46669 L
.39874 .46549 L
.39807 .4647 L
.39744 .46388 L
.39646 .4627 L
.39614 .46228 L
.39486 .46068 L
.39485 .46067 L
.39364 .45907 L
.39325 .4586 L
.39241 .45746 L
.39165 .45652 L
.39115 .45586 L
.39004 .45444 L
.3899 .45425 L
.38872 .45265 L
.38844 .4523 L
.38755 .45104 L
.38683 .45013 L
.38634 .44943 L
.38523 .44797 L
.38513 .44783 L
F
1 .59 0 r
.38523 .43993 m
.38656 .44141 L
.38683 .44168 L
.38796 .44301 L
.38844 .44352 L
.38934 .44462 L
.39004 .44541 L
.3907 .44622 L
.39165 .44733 L
.39204 .44783 L
.39325 .44922 L
.39337 .44943 L
.39467 .45104 L
.39486 .45126 L
.39595 .45265 L
.39646 .45326 L
.39724 .45425 L
.39807 .45491 L
.39853 .45586 L
.39967 .45723 L
.39991 .45746 L
.40107 .45907 L
.40128 .45932 L
.40232 .46067 L
.40288 .46136 L
.40358 .46228 L
.40449 .46322 L
.40526 .46388 L
.40609 .46545 L
.40612 .46549 L
.40734 .46709 L
.4077 .46754 L
.40858 .4687 L
.4093 .46916 L
.40983 .4703 L
.41091 .47162 L
.41119 .47191 L
.4123 .47351 L
.41251 .47378 L
.41352 .47512 L
.41412 .47588 L
.41475 .47672 L
.41572 .47779 L
.41628 .47833 L
.41721 .47993 L
.41733 .48009 L
.4184 .48154 L
.41894 .48222 L
.41961 .48314 L
.42054 .48434 L
.42084 .48475 L
.42205 .48636 L
.42215 .48648 L
.42321 .48796 L
.42375 .48865 L
.4244 .48957 L
.42536 .49082 L
.42561 .49117 L
.42678 .49278 L
.42696 .49301 L
.4279 .49438 L
.42857 .49527 L
.42905 .49599 L
.43017 .49753 L
.43021 .49759 L
.43121 .4992 L
.43178 .50003 L
.43214 .5008 L
.43178 .50105 L
.43154 .5008 L
.43017 .49941 L
.42999 .4992 L
.42857 .49764 L
.42855 .49759 L
.42718 .49599 L
.42696 .49575 L
.42583 .49438 L
.42536 .49385 L
.42448 .49278 L
.42375 .49192 L
.42314 .49117 L
.42215 .49013 L
.42182 .48957 L
.42054 .48799 L
.42051 .48796 L
.41924 .48636 L
.41894 .48599 L
.41795 .48475 L
.41733 .48399 L
.41666 .48314 L
.41572 .48207 L
.41513 .48154 L
.41412 .47994 L
.41411 .47993 L
.41286 .47833 L
.41251 .47789 L
.4116 .47672 L
.41091 .47612 L
.41034 .47512 L
.4093 .47384 L
.40901 .47351 L
.40785 .47191 L
.4077 .47172 L
.40661 .4703 L
.40609 .46964 L
.40537 .4687 L
.40449 .4677 L
.40388 .46709 L
.40289 .46549 L
.40288 .46548 L
.40168 .46388 L
.40128 .46337 L
.40046 .46228 L
.39967 .46158 L
.39923 .46067 L
.39807 .45917 L
.39797 .45907 L
.39681 .45746 L
.39646 .45701 L
.39561 .45586 L
.39486 .45487 L
.3944 .45425 L
.39325 .45277 L
.39314 .45265 L
.39203 .45104 L
.39165 .45054 L
.39085 .44943 L
.39004 .44835 L
.38967 .44783 L
.3885 .44622 L
.38844 .44614 L
.3874 .44462 L
.38683 .44384 L
.38629 .44301 L
.38523 .44151 L
.38516 .44141 L
F
1 .65 0 r
.38523 .45335 m
.38574 .45425 L
.38683 .45564 L
.38694 .45586 L
.38683 .45606 L
.38667 .45586 L
.38523 .45428 L
.3852 .45425 L
F
0 .52 1 r
.38523 .44672 m
.38609 .44783 L
.38683 .44862 L
.38745 .44943 L
.38844 .45056 L
.38879 .45104 L
.39004 .45253 L
.39013 .45265 L
.39137 .45425 L
.39165 .45457 L
.3926 .45586 L
.39325 .45663 L
.39385 .45746 L
.39486 .45869 L
.39513 .45907 L
.39486 .46058 L
.39372 .45907 L
.39325 .45851 L
.39248 .45746 L
.39165 .45643 L
.39122 .45586 L
.39004 .45435 L
.38997 .45425 L
.38881 .45265 L
.38844 .45219 L
.38764 .45104 L
.38683 .45002 L
.38643 .44943 L
.38523 .44784 L
.38522 .44783 L
F
1 .92 .084 r
.38683 .42841 m
.3869 .42857 L
.38844 .43008 L
.38851 .43017 L
.39 .43178 L
.39004 .43182 L
.39144 .43338 L
.39165 .4336 L
.39285 .43499 L
.39325 .43529 L
.39424 .43659 L
.39486 .4373 L
.39594 .4382 L
.39646 .43926 L
.39696 .4398 L
.39807 .44122 L
.3982 .44141 L
.39958 .44301 L
.39967 .44311 L
.4009 .44462 L
.40128 .44511 L
.40228 .44622 L
.40288 .44715 L
.4034 .44783 L
.40449 .4492 L
.40458 .44943 L
.40604 .45104 L
.40609 .4511 L
.40747 .45265 L
.4077 .45316 L
.40857 .45425 L
.4093 .45526 L
.40968 .45586 L
.41091 .45733 L
.41112 .45746 L
.41236 .45907 L
.41251 .45926 L
.41368 .46067 L
.41412 .46136 L
.41478 .46228 L
.41572 .46349 L
.41586 .46388 L
.41733 .46548 L
.41737 .46549 L
.41874 .46709 L
.41894 .46752 L
.41985 .4687 L
.42054 .46965 L
.42093 .4703 L
.42215 .47175 L
.42236 .47191 L
.42375 .47351 L
.42375 .47372 L
.42489 .47512 L
.42536 .47583 L
.42599 .47672 L
.42696 .47796 L
.42707 .47833 L
.42855 .47993 L
.42857 .47996 L
.42992 .48154 L
.43017 .48204 L
.43102 .48314 L
.43178 .48417 L
.43211 .48475 L
.43338 .48626 L
.4335 .48636 L
.43496 .48796 L
.43499 .48827 L
.43604 .48957 L
.43659 .4904 L
.43713 .49117 L
.4382 .49252 L
.43826 .49278 L
.43966 .49438 L
.4398 .49453 L
.44108 .49599 L
.44141 .49663 L
.44214 .49759 L
.44301 .49876 L
.44325 .4992 L
.44459 .5008 L
.44462 .50082 L
.44615 .50241 L
.44622 .50287 L
.44716 .50401 L
.44783 .50501 L
.44824 .50562 L
.44943 .50713 L
.44945 .50722 L
.45074 .50883 L
.45104 .50911 L
.45219 .51043 L
.45265 .51126 L
.45323 .51204 L
.45425 .51341 L
.45438 .51364 L
.45565 .51525 L
.45586 .51535 L
.45729 .51686 L
.45746 .5175 L
.45823 .51846 L
.45907 .51968 L
.45932 .52007 L
.46056 .52167 L
.46067 .52181 L
.46177 .52328 L
.46228 .52373 L
.46325 .52488 L
.46388 .52596 L
.46427 .52649 L
.46546 .52809 L
.46549 .52813 L
.46666 .5297 L
.46709 .52991 L
.46833 .5313 L
.4687 .53224 L
.46922 .53291 L
.4703 .53447 L
.47033 .53451 L
.47152 .53612 L
.47191 .53662 L
.47273 .53772 L
.47351 .53852 L
.47416 .53933 L
.47512 .54086 L
.47517 .54093 L
.47634 .54254 L
.47672 .54304 L
.47753 .54414 L
.47833 .5452 L
.47907 .54575 L
.47993 .54735 L
.47994 .54735 L
.48108 .54896 L
.48154 .54957 L
.48223 .55057 L
.48314 .55179 L
.48341 .55217 L
.48454 .55378 L
.48475 .55406 L
.48562 .55538 L
.48636 .55643 L
.4867 .55699 L
.48773 .55859 L
.48796 .55897 L
.48844 .5602 L
.48796 .56037 L
.48775 .5602 L
.48636 .55895 L
.486 .55859 L
.48475 .55738 L
.48445 .55699 L
.48314 .55556 L
.4829 .55538 L
.48157 .55378 L
.48154 .55374 L
.48017 .55217 L
.47993 .55204 L
.47879 .55057 L
.47833 .55004 L
.47698 .54896 L
.47672 .54806 L
.47607 .54735 L
.47512 .54608 L
.47487 .54575 L
.47351 .54417 L
.47347 .54414 L
.47216 .54254 L
.47191 .54221 L
.47076 .54093 L
.4703 .54017 L
.46965 .53933 L
.4687 .5381 L
.4685 .53772 L
.46709 .53614 L
.46702 .53612 L
.4656 .53451 L
.46549 .53416 L
.46448 .53291 L
.46388 .53206 L
.46338 .5313 L
.46228 .52995 L
.46195 .5297 L
.46071 .52809 L
.46067 .52805 L
.45938 .52649 L
.45907 .52595 L
.45827 .52488 L
.45746 .52382 L
.4572 .52328 L
.45586 .52175 L
.45569 .52167 L
.45435 .52007 L
.45425 .51979 L
.45321 .51846 L
.45265 .51767 L
.45212 .51686 L
.45104 .51554 L
.45071 .51525 L
.44948 .51364 L
.44943 .51358 L
.44817 .51204 L
.44783 .51148 L
.44707 .51043 L
.44622 .50934 L
.446 .50883 L
.44462 .50728 L
.44452 .50722 L
.44315 .50562 L
.44301 .50527 L
.44204 .50401 L
.44141 .50314 L
.44096 .50241 L
.4398 .50102 L
.43957 .5008 L
.43835 .4992 L
.4382 .49902 L
.43702 .49759 L
.43659 .49691 L
.43593 .49599 L
.43499 .49478 L
.43483 .49438 L
.43341 .49278 L
.43338 .49275 L
.43199 .49117 L
.43178 .49068 L
.43092 .48957 L
.43017 .48854 L
.42982 .48796 L
.42857 .48645 L
.42848 .48636 L
.42726 .48475 L
.42696 .48443 L
.4259 .48314 L
.42536 .4823 L
.42482 .48154 L
.42375 .48017 L
.42367 .47993 L
.42234 .47833 L
.42215 .47817 L
.42086 .47672 L
.42054 .47605 L
.41983 .47512 L
.41894 .4739 L
.41871 .47351 L
.41742 .47191 L
.41733 .47189 L
.4162 .4703 L
.41572 .46981 L
.41482 .4687 L
.41412 .46763 L
.41375 .46709 L
.41251 .46549 L
.41251 .46549 L
.41131 .46388 L
.41091 .46358 L
.40979 .46228 L
.4093 .46136 L
.40879 .46067 L
.4077 .45917 L
.40764 .45907 L
.40642 .45746 L
.40609 .45704 L
.40466 .45586 L
.40449 .45509 L
.40384 .45425 L
.40288 .45283 L
.40276 .45265 L
.40157 .45104 L
.40128 .45067 L
.40037 .44943 L
.39967 .44882 L
.39888 .44783 L
.39807 .44644 L
.39791 .44622 L
.39676 .44462 L
.39646 .44423 L
.39558 .44301 L
.39486 .44206 L
.39393 .44141 L
.39325 .43994 L
.39315 .4398 L
.39204 .4382 L
.39165 .43767 L
.3909 .43659 L
.39004 .43542 L
.38974 .43499 L
.38861 .43338 L
.38844 .43314 L
.38756 .43178 L
.38683 .43071 L
.38651 .43017 L
.38558 .42857 L
F
.395 .97 1 r
.38683 .38635 m
.38746 .38683 L
.38844 .38714 L
.38925 .38844 L
.39004 .38911 L
.39078 .39004 L
.39165 .39098 L
.39256 .39165 L
.39325 .3929 L
.3936 .39325 L
.39486 .39485 L
.39486 .39486 L
.39614 .39646 L
.39646 .39663 L
.3974 .39807 L
.39807 .39879 L
.3988 .39967 L
.39967 .40102 L
.39984 .40128 L
.40099 .40288 L
.40128 .40331 L
.40206 .40449 L
.40288 .40599 L
.40297 .40609 L
.40288 .407 L
.40128 .40724 L
.40028 .40609 L
.39967 .40576 L
.39865 .40449 L
.39807 .40397 L
.39724 .40288 L
.39646 .402 L
.39569 .40128 L
.39486 .39995 L
.39462 .39967 L
.39341 .39807 L
.39325 .39787 L
.3922 .39646 L
.39165 .39622 L
.39053 .39486 L
.39004 .39369 L
.38975 .39325 L
.38869 .39165 L
.38844 .39128 L
.38762 .39004 L
.38683 .3888 L
.38661 .38844 L
.38592 .38683 L
F
1 .92 .084 r
.38683 .39311 m
.38697 .39325 L
.38844 .39477 L
.38851 .39486 L
.38985 .39646 L
.39004 .39668 L
.39107 .39807 L
.39165 .39881 L
.39222 .39967 L
.39165 .40069 L
.39074 .39967 L
.39004 .39889 L
.38939 .39807 L
.38844 .39687 L
.38814 .39646 L
.38701 .39486 L
.38683 .39459 L
.38615 .39325 L
F
.001 .79 1 r
.38683 .435 m
.3883 .43659 L
.38844 .43673 L
.38972 .4382 L
.39004 .43854 L
.39112 .4398 L
.39165 .4404 L
.39249 .44141 L
.39325 .44211 L
.39385 .44301 L
.39486 .44419 L
.39534 .44462 L
.39646 .44617 L
.39651 .44622 L
.39781 .44783 L
.39807 .4479 L
.39911 .44943 L
.39967 .45003 L
.40085 .45104 L
.40128 .45211 L
.40177 .45265 L
.40288 .45414 L
.40297 .45425 L
.40425 .45586 L
.40449 .45604 L
.40552 .45746 L
.40609 .45813 L
.40698 .45907 L
.4077 .46022 L
.40806 .46067 L
.4093 .46226 L
.40931 .46228 L
.41057 .46388 L
.41091 .46422 L
.41219 .46549 L
.41251 .46634 L
.41315 .46709 L
.41412 .46844 L
.4143 .4687 L
.41557 .4703 L
.41572 .4704 L
.41682 .47191 L
.41733 .47249 L
.41825 .47351 L
.41894 .47462 L
.41931 .47512 L
.42054 .47671 L
.42055 .47672 L
.42178 .47833 L
.42215 .47867 L
.42338 .47993 L
.42375 .48082 L
.42434 .48154 L
.42536 .48296 L
.42548 .48314 L
.42673 .48475 L
.42696 .48486 L
.42796 .48636 L
.42857 .48703 L
.42938 .48796 L
.43017 .48921 L
.43044 .48957 L
.43166 .49117 L
.43178 .49133 L
.43287 .49278 L
.43338 .49323 L
.43446 .49438 L
.43499 .49546 L
.43541 .49599 L
.43656 .49759 L
.43659 .49763 L
.43777 .4992 L
.4382 .49938 L
.43899 .5008 L
.4398 .50173 L
.44038 .50241 L
.44141 .50396 L
.44145 .50401 L
.44264 .50562 L
.44301 .5061 L
.44384 .50722 L
.44462 .50799 L
.44536 .50883 L
.44622 .51033 L
.4463 .51043 L
.44746 .51204 L
.44783 .51251 L
.44865 .51364 L
.44943 .51467 L
.44986 .51525 L
.45104 .5168 L
.45108 .51686 L
.45222 .51846 L
.45265 .51902 L
.45338 .52007 L
.45425 .52123 L
.45456 .52167 L
.45572 .52328 L
.45586 .52346 L
.45681 .52488 L
.45746 .52577 L
.45792 .52649 L
.45904 .52809 L
.45907 .52813 L
.45994 .5297 L
.45907 .53001 L
.45876 .5297 L
.45746 .52837 L
.45721 .52809 L
.45586 .52663 L
.45575 .52649 L
.45435 .52488 L
.45425 .52478 L
.45297 .52328 L
.45265 .52291 L
.4516 .52167 L
.45104 .52124 L
.45025 .52007 L
.44943 .51913 L
.44867 .51846 L
.44783 .51712 L
.44759 .51686 L
.4463 .51525 L
.44622 .51516 L
.44499 .51364 L
.44462 .51327 L
.44312 .51204 L
.44301 .5112 L
.44232 .51043 L
.44141 .50915 L
.44117 .50883 L
.43986 .50722 L
.4398 .50719 L
.43858 .50562 L
.4382 .50518 L
.4371 .50401 L
.43659 .50309 L
.43605 .50241 L
.43499 .50102 L
.43487 .5008 L
.43353 .4992 L
.43338 .49906 L
.43188 .49759 L
.43178 .49698 L
.43095 .49599 L
.43017 .49487 L
.42983 .49438 L
.42857 .49282 L
.42856 .49278 L
.42728 .49117 L
.42696 .49082 L
.42584 .48957 L
.42536 .4887 L
.42479 .48796 L
.42375 .48659 L
.42363 .48636 L
.42231 .48475 L
.42215 .48461 L
.4207 .48314 L
.42054 .4825 L
.41975 .48154 L
.41894 .48037 L
.41865 .47993 L
.41737 .47833 L
.41733 .47832 L
.41614 .47672 L
.41572 .47629 L
.4147 .47512 L
.41412 .47412 L
.41366 .47351 L
.41251 .472 L
.41247 .47191 L
.41123 .4703 L
.41091 .47007 L
.40958 .4687 L
.4093 .46787 L
.40868 .46709 L
.4077 .46569 L
.40756 .46549 L
.40634 .46388 L
.40609 .46357 L
.40512 .46228 L
.40449 .46161 L
.40369 .46067 L
.40288 .45937 L
.40266 .45907 L
.40148 .45746 L
.40128 .4572 L
.40028 .45586 L
.39967 .45538 L
.39866 .45425 L
.39807 .45299 L
.3978 .45265 L
.39667 .45104 L
.39646 .45077 L
.39549 .44943 L
.39486 .4486 L
.3943 .44783 L
.39325 .44652 L
.39302 .44622 L
.39195 .44462 L
.39165 .44422 L
.3908 .44301 L
.39004 .44199 L
.38964 .44141 L
.38848 .4398 L
.38844 .43974 L
.38742 .4382 L
.38683 .43737 L
.38634 .43659 L
F
1 .58 0 r
.38683 .44179 m
.38788 .44301 L
.38844 .4436 L
.38928 .44462 L
.39004 .44548 L
.39065 .44622 L
.39165 .44739 L
.392 .44783 L
.39325 .44929 L
.39333 .44943 L
.39462 .45104 L
.39486 .45131 L
.39591 .45265 L
.39646 .45331 L
.3972 .45425 L
.39807 .45497 L
.3985 .45586 L
.39967 .45728 L
.39986 .45746 L
.40104 .45907 L
.40128 .45936 L
.40229 .46067 L
.40288 .4614 L
.40356 .46228 L
.40449 .46327 L
.40521 .46388 L
.40609 .46549 L
.40609 .46549 L
.40731 .46709 L
.4077 .46757 L
.40855 .4687 L
.4093 .4692 L
.4098 .4703 L
.41091 .47166 L
.41115 .47191 L
.41227 .47351 L
.41251 .47381 L
.41349 .47512 L
.41412 .47592 L
.41472 .47672 L
.41572 .47784 L
.41623 .47833 L
.41718 .47993 L
.41733 .48012 L
.41837 .48154 L
.41894 .48226 L
.41958 .48314 L
.42054 .48438 L
.42081 .48475 L
.42201 .48636 L
.42215 .48652 L
.42318 .48796 L
.42375 .4887 L
.42436 .48957 L
.42536 .49087 L
.42557 .49117 L
.42673 .49278 L
.42696 .49308 L
.42785 .49438 L
.42857 .49535 L
.42899 .49599 L
.42857 .49752 L
.42725 .49599 L
.42696 .49567 L
.42589 .49438 L
.42536 .49378 L
.42453 .49278 L
.42375 .49186 L
.42319 .49117 L
.42215 .49006 L
.42187 .48957 L
.42056 .48796 L
.42054 .48794 L
.41928 .48636 L
.41894 .48594 L
.41799 .48475 L
.41733 .48394 L
.4167 .48314 L
.41572 .48202 L
.41518 .48154 L
.41415 .47993 L
.41412 .4799 L
.4129 .47833 L
.41251 .47785 L
.41164 .47672 L
.41091 .47607 L
.41037 .47512 L
.4093 .47379 L
.40905 .47351 L
.40788 .47191 L
.4077 .47168 L
.40664 .4703 L
.40609 .46961 L
.4054 .4687 L
.40449 .46765 L
.40393 .46709 L
.40292 .46549 L
.40288 .46544 L
.40171 .46388 L
.40128 .46333 L
.40049 .46228 L
.39967 .46153 L
.39926 .46067 L
.39807 .45912 L
.39802 .45907 L
.39684 .45746 L
.39646 .45697 L
.39564 .45586 L
.39486 .45483 L
.39443 .45425 L
.39325 .4527 L
.3932 .45265 L
.39207 .45104 L
.39165 .45049 L
.3909 .44943 L
.39004 .44829 L
.38972 .44783 L
.38856 .44622 L
.38844 .44606 L
.38747 .44462 L
.38683 .44374 L
.38636 .44301 L
F
1 .57 0 r
.38683 .4419 m
.38779 .44301 L
.38844 .44369 L
.38921 .44462 L
.39004 .44555 L
.39059 .44622 L
.39165 .44745 L
.39195 .44783 L
.39325 .44937 L
.39329 .44943 L
.39458 .45104 L
.39486 .45137 L
.39587 .45265 L
.39646 .45335 L
.39716 .45425 L
.39807 .45503 L
.39846 .45586 L
.39967 .45733 L
.39981 .45746 L
.401 .45907 L
.40128 .4594 L
.40226 .46067 L
.40288 .46144 L
.40353 .46228 L
.40449 .46331 L
.40516 .46388 L
.40606 .46549 L
.40609 .46553 L
.40728 .46709 L
.4077 .46761 L
.40852 .4687 L
.4093 .46925 L
.40977 .4703 L
.41091 .4717 L
.41111 .47191 L
.41224 .47351 L
.41251 .47385 L
.41346 .47512 L
.41412 .47595 L
.41469 .47672 L
.41572 .4779 L
.41618 .47833 L
.41715 .47993 L
.41733 .48016 L
.41834 .48154 L
.41894 .4823 L
.41955 .48314 L
.42054 .48443 L
.42078 .48475 L
.42198 .48636 L
.42215 .48657 L
.42314 .48796 L
.42375 .48875 L
.42433 .48957 L
.42536 .49093 L
.42553 .49117 L
.42668 .49278 L
.42696 .49315 L
.42779 .49438 L
.42857 .49543 L
.42893 .49599 L
.42857 .49742 L
.42733 .49599 L
.42696 .49559 L
.42595 .49438 L
.42536 .49371 L
.42459 .49278 L
.42375 .4918 L
.42324 .49117 L
.42215 .48998 L
.42191 .48957 L
.42061 .48796 L
.42054 .48788 L
.41932 .48636 L
.41894 .48589 L
.41803 .48475 L
.41733 .48389 L
.41674 .48314 L
.41572 .48197 L
.41524 .48154 L
.41419 .47993 L
.41412 .47985 L
.41293 .47833 L
.41251 .47781 L
.41167 .47672 L
.41091 .47603 L
.4104 .47512 L
.4093 .47375 L
.40909 .47351 L
.40791 .47191 L
.4077 .47164 L
.40667 .4703 L
.40609 .46957 L
.40543 .4687 L
.40449 .46761 L
.40397 .46709 L
.40296 .46549 L
.40288 .4654 L
.40174 .46388 L
.40128 .46329 L
.40052 .46228 L
.39967 .46147 L
.39929 .46067 L
.39807 .45907 L
.39806 .45907 L
.39688 .45746 L
.39646 .45692 L
.39568 .45586 L
.39486 .45478 L
.39447 .45425 L
.39326 .45265 L
.39325 .45263 L
.39211 .45104 L
.39165 .45043 L
.39094 .44943 L
.39004 .44822 L
.38976 .44783 L
.38862 .44622 L
.38844 .44598 L
.38754 .44462 L
.38683 .44364 L
.38643 .44301 L
F
.001 .78 1 r
.38683 .43519 m
.38816 .43659 L
.38844 .43687 L
.38962 .4382 L
.39004 .43865 L
.39103 .4398 L
.39165 .44049 L
.39242 .44141 L
.39325 .4422 L
.39379 .44301 L
.39486 .44426 L
.39526 .44462 L
.39646 .44622 L
.39646 .44623 L
.39776 .44783 L
.39807 .44792 L
.39907 .44943 L
.39967 .45008 L
.40081 .45104 L
.40128 .45215 L
.40173 .45265 L
.40288 .45418 L
.40294 .45425 L
.40422 .45586 L
.40449 .45607 L
.40549 .45746 L
.40609 .45816 L
.40695 .45907 L
.4077 .46025 L
.40803 .46067 L
.40929 .46228 L
.4093 .46229 L
.41054 .46388 L
.41091 .46425 L
.41218 .46549 L
.41251 .46637 L
.41313 .46709 L
.41412 .46847 L
.41428 .4687 L
.41555 .4703 L
.41572 .47041 L
.41679 .47191 L
.41733 .47252 L
.41823 .47351 L
.41894 .47465 L
.41929 .47512 L
.42053 .47672 L
.42054 .47673 L
.42176 .47833 L
.42215 .47869 L
.42336 .47993 L
.42375 .48085 L
.42432 .48154 L
.42536 .48298 L
.42547 .48314 L
.42671 .48475 L
.42696 .48487 L
.42794 .48636 L
.42857 .48705 L
.42936 .48796 L
.43017 .48923 L
.43042 .48957 L
.43164 .49117 L
.43178 .49135 L
.43285 .49278 L
.43338 .49325 L
.43444 .49438 L
.43499 .49549 L
.43538 .49599 L
.43654 .49759 L
.43659 .49766 L
.43775 .4992 L
.4382 .4994 L
.43896 .5008 L
.4398 .50176 L
.44035 .50241 L
.44141 .504 L
.44142 .50401 L
.44261 .50562 L
.44301 .50614 L
.44382 .50722 L
.44462 .50803 L
.44532 .50883 L
.44622 .51038 L
.44627 .51043 L
.44743 .51204 L
.44783 .51256 L
.44862 .51364 L
.44943 .51472 L
.44982 .51525 L
.45103 .51686 L
.45104 .51687 L
.45217 .51846 L
.45265 .51909 L
.45333 .52007 L
.45425 .5213 L
.45451 .52167 L
.45565 .52328 L
.45586 .52355 L
.45674 .52488 L
.45746 .52589 L
.45784 .52649 L
.4589 .52809 L
.45907 .52834 L
.45968 .5297 L
.45907 .52978 L
.45898 .5297 L
.45746 .52821 L
.45735 .52809 L
.45586 .52649 L
.45586 .52648 L
.45444 .52488 L
.45425 .52467 L
.45305 .52328 L
.45265 .52282 L
.45167 .52167 L
.45104 .52117 L
.45031 .52007 L
.44943 .51905 L
.44874 .51846 L
.44783 .51706 L
.44765 .51686 L
.44635 .51525 L
.44622 .5151 L
.44504 .51364 L
.44462 .51322 L
.44314 .51204 L
.44301 .51115 L
.44236 .51043 L
.44141 .50911 L
.4412 .50883 L
.43989 .50722 L
.4398 .50717 L
.43862 .50562 L
.4382 .50514 L
.43713 .50401 L
.43659 .50305 L
.43608 .50241 L
.43499 .50099 L
.43488 .5008 L
.43356 .4992 L
.43338 .49903 L
.43189 .49759 L
.43178 .49695 L
.43097 .49599 L
.43017 .49484 L
.42985 .49438 L
.42857 .49279 L
.42856 .49278 L
.42731 .49117 L
.42696 .49079 L
.42586 .48957 L
.42536 .48867 L
.42481 .48796 L
.42375 .48657 L
.42364 .48636 L
.42234 .48475 L
.42215 .48459 L
.42071 .48314 L
.42054 .48248 L
.41977 .48154 L
.41894 .48034 L
.41866 .47993 L
.41739 .47833 L
.41733 .47832 L
.41616 .47672 L
.41572 .47626 L
.41472 .47512 L
.41412 .4741 L
.41368 .47351 L
.41251 .47197 L
.41248 .47191 L
.41125 .4703 L
.41091 .47005 L
.4096 .4687 L
.4093 .46784 L
.40871 .46709 L
.4077 .46566 L
.40758 .46549 L
.40636 .46388 L
.40609 .46354 L
.40515 .46228 L
.40449 .46158 L
.40372 .46067 L
.40288 .45933 L
.40269 .45907 L
.40151 .45746 L
.40128 .45716 L
.40031 .45586 L
.39967 .45534 L
.3987 .45425 L
.39807 .45294 L
.39784 .45265 L
.39671 .45104 L
.39646 .45072 L
.39553 .44943 L
.39486 .44854 L
.39434 .44783 L
.39325 .44644 L
.39308 .44622 L
.392 .44462 L
.39165 .44415 L
.39085 .44301 L
.39004 .4419 L
.3897 .44141 L
.38856 .4398 L
.38844 .43963 L
.38751 .4382 L
.38683 .43722 L
.38645 .43659 L
F
1 .56 0 r
.38683 .44203 m
.38769 .44301 L
.38844 .44378 L
.38913 .44462 L
.39004 .44562 L
.39053 .44622 L
.39165 .44752 L
.3919 .44783 L
.39324 .44943 L
.39325 .44944 L
.39453 .45104 L
.39486 .45142 L
.39583 .45265 L
.39646 .4534 L
.39713 .45425 L
.39807 .45509 L
.39843 .45586 L
.39967 .45739 L
.39975 .45746 L
.40097 .45907 L
.40128 .45944 L
.40223 .46067 L
.40288 .46148 L
.4035 .46228 L
.40449 .46336 L
.4051 .46388 L
.40603 .46549 L
.40609 .46557 L
.40725 .46709 L
.4077 .46765 L
.40849 .4687 L
.4093 .46929 L
.40975 .4703 L
.41091 .47175 L
.41106 .47191 L
.41221 .47351 L
.41251 .47389 L
.41343 .47512 L
.41412 .47599 L
.41467 .47672 L
.41572 .47795 L
.41612 .47833 L
.41712 .47993 L
.41733 .4802 L
.41831 .48154 L
.41894 .48234 L
.41952 .48314 L
.42054 .48447 L
.42075 .48475 L
.42194 .48636 L
.42215 .48662 L
.4231 .48796 L
.42375 .48881 L
.42429 .48957 L
.42536 .49098 L
.42549 .49117 L
.42662 .49278 L
.42696 .49322 L
.42773 .49438 L
.42857 .49552 L
.42887 .49599 L
.42857 .49731 L
.42742 .49599 L
.42696 .4955 L
.42602 .49438 L
.42536 .49364 L
.42465 .49278 L
.42375 .49173 L
.42329 .49117 L
.42215 .48991 L
.42196 .48957 L
.42065 .48796 L
.42054 .48783 L
.41936 .48636 L
.41894 .48584 L
.41807 .48475 L
.41733 .48385 L
.41677 .48314 L
.41572 .48191 L
.4153 .48154 L
.41422 .47993 L
.41412 .47981 L
.41297 .47833 L
.41251 .47777 L
.4117 .47672 L
.41091 .47598 L
.41044 .47512 L
.4093 .4737 L
.40913 .47351 L
.40794 .47191 L
.4077 .4716 L
.40671 .4703 L
.40609 .46953 L
.40546 .4687 L
.40449 .46756 L
.40402 .46709 L
.40299 .46549 L
.40288 .46535 L
.40178 .46388 L
.40128 .46325 L
.40055 .46228 L
.39967 .46142 L
.39932 .46067 L
.3981 .45907 L
.39807 .45902 L
.39692 .45746 L
.39646 .45687 L
.39571 .45586 L
.39486 .45473 L
.3945 .45425 L
.39331 .45265 L
.39325 .45257 L
.39216 .45104 L
.39165 .45037 L
.39099 .44943 L
.39004 .44816 L
.38981 .44783 L
.38869 .44622 L
.38844 .44589 L
.38761 .44462 L
.38683 .44352 L
.38652 .44301 L
F
0 .51 1 r
.38683 .44876 m
.38734 .44943 L
.38844 .45067 L
.38871 .45104 L
.39004 .45262 L
.39006 .45265 L
.39004 .45425 L
.38891 .45265 L
.38844 .45206 L
.38774 .45104 L
.38683 .44988 L
.38653 .44943 L
F
.001 .77 1 r
.38683 .4354 m
.388 .43659 L
.38844 .43701 L
.38951 .4382 L
.39004 .43876 L
.39094 .4398 L
.39165 .44058 L
.39235 .44141 L
.39325 .44228 L
.39372 .44301 L
.39486 .44434 L
.39518 .44462 L
.3964 .44622 L
.39646 .4463 L
.39771 .44783 L
.39807 .44794 L
.39902 .44943 L
.39967 .45013 L
.40076 .45104 L
.40128 .4522 L
.40169 .45265 L
.40288 .45422 L
.40291 .45425 L
.40418 .45586 L
.40449 .45609 L
.40546 .45746 L
.40609 .4582 L
.40692 .45907 L
.4077 .46029 L
.408 .46067 L
.40926 .46228 L
.4093 .46233 L
.41052 .46388 L
.41091 .46428 L
.41216 .46549 L
.41251 .4664 L
.4131 .46709 L
.41412 .46849 L
.41426 .4687 L
.41553 .4703 L
.41572 .47043 L
.41677 .47191 L
.41733 .47254 L
.41821 .47351 L
.41894 .47468 L
.41927 .47512 L
.42051 .47672 L
.42054 .47676 L
.42174 .47833 L
.42215 .47871 L
.42335 .47993 L
.42375 .48087 L
.4243 .48154 L
.42536 .483 L
.42545 .48314 L
.42669 .48475 L
.42696 .48488 L
.42792 .48636 L
.42857 .48708 L
.42934 .48796 L
.43017 .48926 L
.4304 .48957 L
.43161 .49117 L
.43178 .49138 L
.43283 .49278 L
.43338 .49328 L
.43442 .49438 L
.43499 .49552 L
.43536 .49599 L
.43652 .49759 L
.43659 .49769 L
.43772 .4992 L
.4382 .49942 L
.43894 .5008 L
.4398 .50179 L
.44032 .50241 L
.4414 .50401 L
.44141 .50403 L
.44259 .50562 L
.44301 .50617 L
.44379 .50722 L
.44462 .50807 L
.44528 .50883 L
.44622 .51043 L
.44623 .51043 L
.4474 .51204 L
.44783 .5126 L
.44859 .51364 L
.44943 .51476 L
.44979 .51525 L
.45099 .51686 L
.45104 .51693 L
.45213 .51846 L
.45265 .51915 L
.45328 .52007 L
.45425 .52137 L
.45446 .52167 L
.45558 .52328 L
.45586 .52365 L
.45666 .52488 L
.45746 .52602 L
.45775 .52649 L
.45746 .52804 L
.45599 .52649 L
.45586 .52635 L
.45455 .52488 L
.45425 .52457 L
.45313 .52328 L
.45265 .52273 L
.45175 .52167 L
.45104 .5211 L
.45038 .52007 L
.44943 .51898 L
.44882 .51846 L
.44783 .517 L
.4477 .51686 L
.4464 .51525 L
.44622 .51504 L
.44509 .51364 L
.44462 .51317 L
.44317 .51204 L
.44301 .5111 L
.4424 .51043 L
.44141 .50906 L
.44123 .50883 L
.43993 .50722 L
.4398 .50715 L
.43865 .50562 L
.4382 .5051 L
.43715 .50401 L
.43659 .50301 L
.43611 .50241 L
.43499 .50096 L
.4349 .5008 L
.43359 .4992 L
.43338 .499 L
.4319 .49759 L
.43178 .49691 L
.43099 .49599 L
.43017 .49481 L
.42987 .49438 L
.42857 .49278 L
.42857 .49277 L
.42733 .49117 L
.42696 .49077 L
.42588 .48957 L
.42536 .48864 L
.42483 .48796 L
.42375 .48654 L
.42365 .48636 L
.42236 .48475 L
.42215 .48457 L
.42072 .48314 L
.42054 .48245 L
.41979 .48154 L
.41894 .48031 L
.41868 .47993 L
.41741 .47833 L
.41733 .47832 L
.41618 .47672 L
.41572 .47624 L
.41474 .47512 L
.41412 .47407 L
.4137 .47351 L
.41251 .47194 L
.4125 .47191 L
.41127 .4703 L
.41091 .47003 L
.40962 .4687 L
.4093 .46781 L
.40873 .46709 L
.4077 .46563 L
.4076 .46549 L
.40639 .46388 L
.40609 .4635 L
.40517 .46228 L
.40449 .46155 L
.40375 .46067 L
.40288 .45929 L
.40272 .45907 L
.40154 .45746 L
.40128 .45712 L
.40034 .45586 L
.39967 .45529 L
.39874 .45425 L
.39807 .45289 L
.39788 .45265 L
.39674 .45104 L
.39646 .45067 L
.39557 .44943 L
.39486 .44849 L
.39438 .44783 L
.39325 .44635 L
.39315 .44622 L
.39205 .44462 L
.39165 .44407 L
.39091 .44301 L
.39004 .44182 L
.38976 .44141 L
.38865 .4398 L
.38844 .43951 L
.38761 .4382 L
.38683 .43705 L
.38657 .43659 L
F
1 .55 0 r
.38683 .44219 m
.38757 .44301 L
.38844 .44388 L
.38906 .44462 L
.39004 .4457 L
.39047 .44622 L
.39165 .44758 L
.39185 .44783 L
.39319 .44943 L
.39325 .44951 L
.39448 .45104 L
.39486 .45147 L
.39578 .45265 L
.39646 .45345 L
.39709 .45425 L
.39807 .45515 L
.39839 .45586 L
.39967 .45744 L
.3997 .45746 L
.40094 .45907 L
.40128 .45948 L
.4022 .46067 L
.40288 .46152 L
.40347 .46228 L
.40449 .46341 L
.40505 .46388 L
.40599 .46549 L
.40609 .46561 L
.40722 .46709 L
.4077 .46768 L
.40847 .4687 L
.4093 .46934 L
.40972 .4703 L
.41091 .47179 L
.41102 .47191 L
.41218 .47351 L
.41251 .47393 L
.4134 .47512 L
.41412 .47603 L
.41464 .47672 L
.41572 .478 L
.41606 .47833 L
.41708 .47993 L
.41733 .48025 L
.41828 .48154 L
.41894 .48238 L
.41949 .48314 L
.42054 .48451 L
.42072 .48475 L
.4219 .48636 L
.42215 .48667 L
.42306 .48796 L
.42375 .48886 L
.42425 .48957 L
.42536 .49104 L
.42545 .49117 L
.42656 .49278 L
.42696 .4933 L
.42767 .49438 L
.42857 .49562 L
.4288 .49599 L
.42857 .49719 L
.42751 .49599 L
.42696 .49541 L
.42609 .49438 L
.42536 .49356 L
.4247 .49278 L
.42375 .49167 L
.42334 .49117 L
.42215 .48982 L
.42201 .48957 L
.4207 .48796 L
.42054 .48777 L
.41941 .48636 L
.41894 .48579 L
.41811 .48475 L
.41733 .4838 L
.41681 .48314 L
.41572 .48186 L
.41536 .48154 L
.41426 .47993 L
.41412 .47976 L
.413 .47833 L
.41251 .47773 L
.41173 .47672 L
.41091 .47594 L
.41047 .47512 L
.4093 .47365 L
.40917 .47351 L
.40798 .47191 L
.4077 .47156 L
.40674 .4703 L
.40609 .46949 L
.40549 .4687 L
.40449 .46751 L
.40407 .46709 L
.40302 .46549 L
.40288 .46531 L
.40181 .46388 L
.40128 .4632 L
.40058 .46228 L
.39967 .46136 L
.39935 .46067 L
.39814 .45907 L
.39807 .45898 L
.39695 .45746 L
.39646 .45683 L
.39575 .45586 L
.39486 .45468 L
.39454 .45425 L
.39335 .45265 L
.39325 .45252 L
.3922 .45104 L
.39165 .4503 L
.39104 .44943 L
.39004 .44809 L
.38986 .44783 L
.38876 .44622 L
.38844 .44579 L
.38769 .44462 L
.38683 .44339 L
.38661 .44301 L
F
0 .5 1 r
.38683 .44894 m
.38719 .44943 L
.38844 .45079 L
.38862 .45104 L
.38844 .45191 L
.38786 .45104 L
.38683 .44971 L
.38665 .44943 L
F
.001 .76 1 r
.38683 .43567 m
.38781 .43659 L
.38844 .43716 L
.38938 .4382 L
.39004 .43888 L
.39085 .4398 L
.39165 .44068 L
.39227 .44141 L
.39325 .44238 L
.39365 .44301 L
.39486 .44441 L
.39509 .44462 L
.39634 .44622 L
.39646 .44636 L
.39766 .44783 L
.39807 .44797 L
.39898 .44943 L
.39967 .45018 L
.40072 .45104 L
.40128 .45225 L
.40164 .45265 L
.40287 .45425 L
.40288 .45426 L
.40415 .45586 L
.40449 .45612 L
.40543 .45746 L
.40609 .45824 L
.40689 .45907 L
.4077 .46033 L
.40798 .46067 L
.40923 .46228 L
.4093 .46236 L
.41049 .46388 L
.41091 .46431 L
.41214 .46549 L
.41251 .46643 L
.41308 .46709 L
.41412 .46852 L
.41424 .4687 L
.41551 .4703 L
.41572 .47044 L
.41675 .47191 L
.41733 .47257 L
.41819 .47351 L
.41894 .4747 L
.41926 .47512 L
.42049 .47672 L
.42054 .47679 L
.42172 .47833 L
.42215 .47873 L
.42333 .47993 L
.42375 .4809 L
.42428 .48154 L
.42536 .48303 L
.42543 .48314 L
.42667 .48475 L
.42696 .4849 L
.4279 .48636 L
.42857 .4871 L
.42932 .48796 L
.43017 .48928 L
.43038 .48957 L
.43159 .49117 L
.43178 .4914 L
.43281 .49278 L
.43338 .4933 L
.4344 .49438 L
.43499 .49555 L
.43534 .49599 L
.4365 .49759 L
.43659 .49771 L
.4377 .4992 L
.4382 .49944 L
.43892 .5008 L
.4398 .50183 L
.44029 .50241 L
.44137 .50401 L
.44141 .50406 L
.44256 .50562 L
.44301 .50621 L
.44376 .50722 L
.44462 .50812 L
.44524 .50883 L
.4462 .51043 L
.44622 .51047 L
.44737 .51204 L
.44783 .51264 L
.44855 .51364 L
.44943 .51481 L
.44975 .51525 L
.45094 .51686 L
.45104 .51698 L
.45208 .51846 L
.45265 .51921 L
.45323 .52007 L
.45425 .52144 L
.45441 .52167 L
.45551 .52328 L
.45586 .52376 L
.45657 .52488 L
.45746 .52617 L
.45765 .52649 L
.45746 .52784 L
.45614 .52649 L
.45586 .52621 L
.45465 .52488 L
.45425 .52446 L
.45322 .52328 L
.45265 .52264 L
.45182 .52167 L
.45104 .52102 L
.45044 .52007 L
.44943 .51891 L
.4489 .51846 L
.44783 .51693 L
.44776 .51686 L
.44645 .51525 L
.44622 .51499 L
.44513 .51364 L
.44462 .51313 L
.4432 .51204 L
.44301 .51105 L
.44244 .51043 L
.44141 .50902 L
.44127 .50883 L
.43996 .50722 L
.4398 .50713 L
.43868 .50562 L
.4382 .50506 L
.43718 .50401 L
.43659 .50297 L
.43614 .50241 L
.43499 .50093 L
.43492 .5008 L
.43362 .4992 L
.43338 .49898 L
.43191 .49759 L
.43178 .49688 L
.43102 .49599 L
.43017 .49478 L
.42989 .49438 L
.4286 .49278 L
.42857 .49276 L
.42735 .49117 L
.42696 .49074 L
.4259 .48957 L
.42536 .48861 L
.42486 .48796 L
.42375 .48651 L
.42367 .48636 L
.42238 .48475 L
.42215 .48455 L
.42073 .48314 L
.42054 .48242 L
.41981 .48154 L
.41894 .48029 L
.4187 .47993 L
.41743 .47833 L
.41733 .47831 L
.41621 .47672 L
.41572 .47621 L
.41476 .47512 L
.41412 .47404 L
.41372 .47351 L
.41251 .47191 L
.41251 .47191 L
.4113 .4703 L
.41091 .47001 L
.40964 .4687 L
.4093 .46778 L
.40875 .46709 L
.4077 .4656 L
.40762 .46549 L
.40641 .46388 L
.40609 .46347 L
.4052 .46228 L
.40449 .46151 L
.40378 .46067 L
.40288 .45925 L
.40275 .45907 L
.40157 .45746 L
.40128 .45709 L
.40037 .45586 L
.39967 .45525 L
.39878 .45425 L
.39807 .45284 L
.39792 .45265 L
.39678 .45104 L
.39646 .45062 L
.39561 .44943 L
.39486 .44844 L
.39442 .44783 L
.39325 .44626 L
.39322 .44622 L
.39211 .44462 L
.39165 .444 L
.39097 .44301 L
.39004 .44173 L
.38982 .44141 L
.38874 .4398 L
.38844 .43937 L
.38772 .4382 L
.38683 .43683 L
.3867 .43659 L
F
1 .54 0 r
.38683 .44239 m
.38742 .44301 L
.38844 .44399 L
.38897 .44462 L
.39004 .44578 L
.39041 .44622 L
.39165 .44765 L
.39179 .44783 L
.39313 .44943 L
.39325 .44957 L
.39443 .45104 L
.39486 .45153 L
.39574 .45265 L
.39646 .4535 L
.39705 .45425 L
.39807 .45522 L
.39836 .45586 L
.39965 .45746 L
.39967 .45749 L
.4009 .45907 L
.40128 .45952 L
.40216 .46067 L
.40288 .46156 L
.40344 .46228 L
.40449 .46346 L
.40499 .46388 L
.40596 .46549 L
.40609 .46565 L
.40719 .46709 L
.4077 .46772 L
.40844 .4687 L
.4093 .46939 L
.40969 .4703 L
.41091 .47184 L
.41097 .47191 L
.41215 .47351 L
.41251 .47396 L
.41337 .47512 L
.41412 .47606 L
.41461 .47672 L
.41572 .47806 L
.416 .47833 L
.41705 .47993 L
.41733 .48029 L
.41824 .48154 L
.41894 .48243 L
.41946 .48314 L
.42054 .48455 L
.42068 .48475 L
.42186 .48636 L
.42215 .48672 L
.42302 .48796 L
.42375 .48891 L
.4242 .48957 L
.42536 .4911 L
.42541 .49117 L
.4265 .49278 L
.42696 .49339 L
.4276 .49438 L
.42857 .49573 L
.42872 .49599 L
.42857 .49705 L
.42762 .49599 L
.42696 .49532 L
.42617 .49438 L
.42536 .49349 L
.42477 .49278 L
.42375 .4916 L
.4234 .49117 L
.42215 .48973 L
.42206 .48957 L
.42075 .48796 L
.42054 .48772 L
.41945 .48636 L
.41894 .48574 L
.41815 .48475 L
.41733 .48375 L
.41685 .48314 L
.41572 .4818 L
.41542 .48154 L
.4143 .47993 L
.41412 .47972 L
.41304 .47833 L
.41251 .47768 L
.41177 .47672 L
.41091 .47589 L
.4105 .47512 L
.4093 .47361 L
.40922 .47351 L
.40801 .47191 L
.4077 .47152 L
.40677 .4703 L
.40609 .46945 L
.40552 .4687 L
.40449 .46746 L
.40412 .46709 L
.40306 .46549 L
.40288 .46527 L
.40184 .46388 L
.40128 .46316 L
.40061 .46228 L
.39967 .4613 L
.39939 .46067 L
.39817 .45907 L
.39807 .45893 L
.39699 .45746 L
.39646 .45678 L
.39579 .45586 L
.39486 .45463 L
.39458 .45425 L
.3934 .45265 L
.39325 .45246 L
.39225 .45104 L
.39165 .45024 L
.39109 .44943 L
.39004 .44801 L
.38991 .44783 L
.38883 .44622 L
.38844 .44568 L
.38778 .44462 L
.38683 .44322 L
.38672 .44301 L
F
1 .91 .061 r
.38683 .42919 m
.38805 .43017 L
.38844 .4305 L
.38969 .43178 L
.39004 .43212 L
.3912 .43338 L
.39165 .43385 L
.39266 .43499 L
.39325 .43546 L
.39407 .43659 L
.39486 .43748 L
.39579 .4382 L
.39646 .43942 L
.39683 .4398 L
.39807 .44133 L
.39812 .44141 L
.39948 .44301 L
.39967 .44322 L
.4008 .44462 L
.40128 .44522 L
.40221 .44622 L
.40288 .44725 L
.40334 .44783 L
.40449 .44926 L
.40456 .44943 L
.40597 .45104 L
.40609 .45118 L
.40744 .45265 L
.4077 .45324 L
.40852 .45425 L
.4093 .45532 L
.40964 .45586 L
.41091 .45736 L
.41107 .45746 L
.41232 .45907 L
.41251 .45932 L
.41364 .46067 L
.41412 .46141 L
.41475 .46228 L
.41572 .46353 L
.41585 .46388 L
.41733 .46549 L
.41734 .46549 L
.41872 .46709 L
.41894 .46756 L
.41982 .4687 L
.42054 .46968 L
.42091 .4703 L
.42215 .47177 L
.42233 .47191 L
.42375 .47351 L
.42375 .47375 L
.42487 .47512 L
.42536 .47586 L
.42596 .47672 L
.42696 .47798 L
.42706 .47833 L
.42852 .47993 L
.42857 .47998 L
.42991 .48154 L
.43017 .48207 L
.431 .48314 L
.43178 .4842 L
.43209 .48475 L
.43338 .48627 L
.43348 .48636 L
.43496 .48796 L
.43499 .4883 L
.43603 .48957 L
.43659 .49042 L
.43711 .49117 L
.4382 .49254 L
.43826 .49278 L
.43964 .49438 L
.4398 .49454 L
.44106 .49599 L
.44141 .49665 L
.44213 .49759 L
.44301 .49879 L
.44324 .4992 L
.44457 .5008 L
.44462 .50083 L
.44614 .50241 L
.44622 .50289 L
.44714 .50401 L
.44783 .50503 L
.44823 .50562 L
.44943 .50715 L
.44945 .50722 L
.45072 .50883 L
.45104 .50913 L
.45218 .51043 L
.45265 .51128 L
.45321 .51204 L
.45425 .51343 L
.45436 .51364 L
.45563 .51525 L
.45586 .51536 L
.45727 .51686 L
.45746 .51753 L
.45821 .51846 L
.45907 .51971 L
.4593 .52007 L
.46054 .52167 L
.46067 .52185 L
.46175 .52328 L
.46228 .52376 L
.46322 .52488 L
.46388 .526 L
.46424 .52649 L
.46543 .52809 L
.46549 .52817 L
.46663 .5297 L
.46709 .52994 L
.4683 .5313 L
.4687 .53229 L
.46918 .53291 L
.47029 .53451 L
.4703 .53453 L
.47148 .53612 L
.47191 .53668 L
.47268 .53772 L
.47351 .53859 L
.47409 .53933 L
.47511 .54093 L
.47512 .54094 L
.47628 .54254 L
.47672 .54312 L
.47746 .54414 L
.47833 .54529 L
.47895 .54575 L
.47985 .54735 L
.47993 .54747 L
.48098 .54896 L
.48154 .54971 L
.48213 .55057 L
.48314 .55196 L
.48329 .55217 L
.48437 .55378 L
.48475 .55431 L
.48542 .55538 L
.48636 .55679 L
.48646 .55699 L
.48636 .55843 L
.4848 .55699 L
.48475 .55694 L
.48326 .55538 L
.48314 .55527 L
.48179 .55378 L
.48154 .55351 L
.48036 .55217 L
.47993 .55193 L
.47896 .55057 L
.47833 .54987 L
.47709 .54896 L
.47672 .54791 L
.47619 .54735 L
.47512 .54596 L
.47495 .54575 L
.47358 .54414 L
.47351 .54408 L
.47226 .54254 L
.47191 .5421 L
.47082 .54093 L
.4703 .54007 L
.46972 .53933 L
.4687 .53803 L
.46854 .53772 L
.46709 .53612 L
.46709 .53612 L
.46562 .53451 L
.46549 .53408 L
.46453 .53291 L
.46388 .53199 L
.46342 .5313 L
.46228 .52991 L
.462 .5297 L
.46075 .52809 L
.46067 .52799 L
.45942 .52649 L
.45907 .5259 L
.45831 .52488 L
.45746 .52378 L
.45723 .52328 L
.45586 .52173 L
.45573 .52167 L
.45436 .52007 L
.45425 .51975 L
.45324 .51846 L
.45265 .51763 L
.45215 .51686 L
.45104 .51551 L
.45074 .51525 L
.44951 .51364 L
.44943 .51355 L
.44819 .51204 L
.44783 .51145 L
.44709 .51043 L
.44622 .50932 L
.44602 .50883 L
.44462 .50727 L
.44455 .50722 L
.44316 .50562 L
.44301 .50524 L
.44206 .50401 L
.44141 .50311 L
.44097 .50241 L
.4398 .501 L
.43959 .5008 L
.43837 .4992 L
.4382 .499 L
.43703 .49759 L
.43659 .49689 L
.43595 .49599 L
.43499 .49476 L
.43484 .49438 L
.43343 .49278 L
.43338 .49273 L
.432 .49117 L
.43178 .49065 L
.43093 .48957 L
.43017 .48852 L
.42984 .48796 L
.42857 .48643 L
.4285 .48636 L
.42728 .48475 L
.42696 .48441 L
.42592 .48314 L
.42536 .48227 L
.42484 .48154 L
.42375 .48015 L
.42368 .47993 L
.42236 .47833 L
.42215 .47816 L
.42087 .47672 L
.42054 .47603 L
.41985 .47512 L
.41894 .47387 L
.41873 .47351 L
.41744 .47191 L
.41733 .47188 L
.41623 .4703 L
.41572 .46978 L
.41484 .4687 L
.41412 .4676 L
.41377 .46709 L
.41254 .46549 L
.41251 .46545 L
.41133 .46388 L
.41091 .46355 L
.40981 .46228 L
.4093 .46132 L
.40882 .46067 L
.4077 .45913 L
.40766 .45907 L
.40646 .45746 L
.40609 .45699 L
.40469 .45586 L
.40449 .45503 L
.40388 .45425 L
.40288 .45277 L
.4028 .45265 L
.40161 .45104 L
.40128 .45061 L
.40042 .44943 L
.39967 .44875 L
.39894 .44783 L
.39807 .44635 L
.39798 .44622 L
.39682 .44462 L
.39646 .44414 L
.39565 .44301 L
.39486 .44196 L
.39406 .44141 L
.39327 .4398 L
.39325 .43977 L
.39215 .4382 L
.39165 .43751 L
.39102 .43659 L
.39004 .43523 L
.38988 .43499 L
.38881 .43338 L
.38844 .43284 L
.38781 .43178 L
.38683 .43021 L
.38681 .43017 L
F
0 .49 1 r
.38683 .44931 m
.38689 .44943 L
.38844 .45095 L
.3885 .45104 L
.38844 .45172 L
.38804 .45104 L
.38683 .44945 L
.38683 .44943 L
F
.289 .96 1 r
.38844 .38819 m
.38857 .38844 L
.39004 .38964 L
.39034 .39004 L
.39165 .39139 L
.39204 .39165 L
.39325 .39324 L
.39327 .39325 L
.3946 .39486 L
.39486 .39516 L
.39589 .39646 L
.39646 .39683 L
.39717 .39807 L
.39807 .39911 L
.39853 .39967 L
.39959 .40128 L
.39967 .40139 L
.4007 .40288 L
.40128 .40378 L
.40171 .40449 L
.40217 .40609 L
.40128 .40647 L
.40097 .40609 L
.39967 .40542 L
.399 .40449 L
.39807 .40365 L
.39751 .40288 L
.39646 .4017 L
.39599 .40128 L
.39486 .39967 L
.39486 .39967 L
.39363 .39807 L
.39325 .39758 L
.39242 .39646 L
.39165 .39588 L
.39085 .39486 L
.39008 .39325 L
.39004 .3932 L
.38902 .39165 L
.38844 .39074 L
.38802 .39004 L
.38732 .38844 L
F
0 .75 1 r
.38844 .43733 m
.38925 .4382 L
.39004 .439 L
.39075 .4398 L
.39165 .44078 L
.39219 .44141 L
.39325 .44248 L
.39358 .44301 L
.39486 .4445 L
.395 .44462 L
.39629 .44622 L
.39646 .44643 L
.39761 .44783 L
.39807 .448 L
.39893 .44943 L
.39967 .45023 L
.40067 .45104 L
.40128 .4523 L
.4016 .45265 L
.40284 .45425 L
.40288 .45431 L
.40411 .45586 L
.40449 .45615 L
.40539 .45746 L
.40609 .45828 L
.40686 .45907 L
.4077 .46036 L
.40795 .46067 L
.40921 .46228 L
.4093 .4624 L
.41046 .46388 L
.41091 .46433 L
.41212 .46549 L
.41251 .46646 L
.41306 .46709 L
.41412 .46855 L
.41422 .4687 L
.41548 .4703 L
.41572 .47046 L
.41673 .47191 L
.41733 .47259 L
.41816 .47351 L
.41894 .47473 L
.41924 .47512 L
.42047 .47672 L
.42054 .47681 L
.4217 .47833 L
.42215 .47875 L
.42331 .47993 L
.42375 .48092 L
.42426 .48154 L
.42536 .48305 L
.42542 .48314 L
.42665 .48475 L
.42696 .48491 L
.42788 .48636 L
.42857 .48713 L
.4293 .48796 L
.43017 .48931 L
.43036 .48957 L
.43157 .49117 L
.43178 .49143 L
.43279 .49278 L
.43338 .49332 L
.43438 .49438 L
.43499 .49558 L
.43532 .49599 L
.43648 .49759 L
.43659 .49774 L
.43768 .4992 L
.4382 .49946 L
.4389 .5008 L
.4398 .50186 L
.44026 .50241 L
.44134 .50401 L
.44141 .5041 L
.44253 .50562 L
.44301 .50624 L
.44374 .50722 L
.44462 .50816 L
.4452 .50883 L
.44616 .51043 L
.44622 .51051 L
.44733 .51204 L
.44783 .51269 L
.44852 .51364 L
.44943 .51486 L
.44972 .51525 L
.4509 .51686 L
.45104 .51704 L
.45203 .51846 L
.45265 .51928 L
.45318 .52007 L
.45425 .52152 L
.45435 .52167 L
.45543 .52328 L
.45586 .52387 L
.45648 .52488 L
.45746 .52635 L
.45754 .52649 L
.45746 .5276 L
.45631 .52649 L
.45586 .52607 L
.45477 .52488 L
.45425 .52434 L
.45331 .52328 L
.45265 .52254 L
.4519 .52167 L
.45104 .52093 L
.45051 .52007 L
.44943 .51883 L
.44898 .51846 L
.44783 .51687 L
.44782 .51686 L
.4465 .51525 L
.44622 .51493 L
.44518 .51364 L
.44462 .51308 L
.44324 .51204 L
.44301 .511 L
.44248 .51043 L
.44141 .50898 L
.4413 .50883 L
.44 .50722 L
.4398 .50711 L
.43872 .50562 L
.4382 .50502 L
.43721 .50401 L
.43659 .50294 L
.43617 .50241 L
.43499 .50089 L
.43494 .5008 L
.43365 .4992 L
.43338 .49895 L
.43192 .49759 L
.43178 .49685 L
.43104 .49599 L
.43017 .49475 L
.42992 .49438 L
.42862 .49278 L
.42857 .49275 L
.42738 .49117 L
.42696 .49071 L
.42592 .48957 L
.42536 .48858 L
.42488 .48796 L
.42375 .48649 L
.42368 .48636 L
.4224 .48475 L
.42215 .48453 L
.42074 .48314 L
.42054 .4824 L
.41984 .48154 L
.41894 .48026 L
.41872 .47993 L
.41746 .47833 L
.41733 .47831 L
.41623 .47672 L
.41572 .47619 L
.41478 .47512 L
.41412 .47401 L
.41375 .47351 L
.41253 .47191 L
.41251 .47188 L
.41132 .4703 L
.41091 .46999 L
.40965 .4687 L
.4093 .46775 L
.40878 .46709 L
.4077 .46557 L
.40765 .46549 L
.40644 .46388 L
.40609 .46344 L
.40522 .46228 L
.40449 .46147 L
.40381 .46067 L
.40288 .45921 L
.40278 .45907 L
.4016 .45746 L
.40128 .45705 L
.4004 .45586 L
.39967 .4552 L
.39882 .45425 L
.39807 .45278 L
.39796 .45265 L
.39682 .45104 L
.39646 .45057 L
.39565 .44943 L
.39486 .44838 L
.39446 .44783 L
.39328 .44622 L
.39325 .44619 L
.39216 .44462 L
.39165 .44392 L
.39103 .44301 L
.39004 .44164 L
.38989 .44141 L
.38884 .4398 L
.38844 .43922 L
.38784 .4382 L
F
1 .53 0 r
.38844 .4441 m
.38887 .44462 L
.39004 .44587 L
.39034 .44622 L
.39165 .44772 L
.39174 .44783 L
.39307 .44943 L
.39325 .44963 L
.39438 .45104 L
.39486 .45159 L
.3957 .45265 L
.39646 .45355 L
.39701 .45425 L
.39807 .45529 L
.39832 .45586 L
.39961 .45746 L
.39967 .45753 L
.40086 .45907 L
.40128 .45957 L
.40213 .46067 L
.40288 .4616 L
.4034 .46228 L
.40449 .46351 L
.40493 .46388 L
.40593 .46549 L
.40609 .46569 L
.40716 .46709 L
.4077 .46776 L
.40841 .4687 L
.4093 .46945 L
.40966 .4703 L
.41091 .47189 L
.41093 .47191 L
.41212 .47351 L
.41251 .474 L
.41334 .47512 L
.41412 .4761 L
.41458 .47672 L
.41572 .47812 L
.41594 .47833 L
.41702 .47993 L
.41733 .48033 L
.41821 .48154 L
.41894 .48247 L
.41942 .48314 L
.42054 .4846 L
.42065 .48475 L
.42182 .48636 L
.42215 .48678 L
.42298 .48796 L
.42375 .48897 L
.42416 .48957 L
.42536 .49116 L
.42536 .49117 L
.42644 .49278 L
.42696 .49348 L
.42752 .49438 L
.42857 .49586 L
.42864 .49599 L
.42857 .49688 L
.42775 .49599 L
.42696 .49521 L
.42625 .49438 L
.42536 .49341 L
.42483 .49278 L
.42375 .49153 L
.42345 .49117 L
.42215 .48964 L
.42211 .48957 L
.4208 .48796 L
.42054 .48766 L
.4195 .48636 L
.41894 .48569 L
.41819 .48475 L
.41733 .4837 L
.41689 .48314 L
.41572 .48175 L
.41549 .48154 L
.41433 .47993 L
.41412 .47967 L
.41307 .47833 L
.41251 .47764 L
.4118 .47672 L
.41091 .47583 L
.41053 .47512 L
.4093 .47356 L
.40926 .47351 L
.40804 .47191 L
.4077 .47148 L
.4068 .4703 L
.40609 .4694 L
.40555 .4687 L
.40449 .46741 L
.40417 .46709 L
.40309 .46549 L
.40288 .46523 L
.40187 .46388 L
.40128 .46312 L
.40065 .46228 L
.39967 .46123 L
.39942 .46067 L
.39821 .45907 L
.39807 .45888 L
.39703 .45746 L
.39646 .45673 L
.39583 .45586 L
.39486 .45458 L
.39462 .45425 L
.39345 .45265 L
.39325 .45239 L
.3923 .45104 L
.39165 .45017 L
.39114 .44943 L
.39004 .44794 L
.38997 .44783 L
.38892 .44622 L
.38844 .44556 L
.38788 .44462 L
F
0 .74 1 r
.38844 .43753 m
.38909 .4382 L
.39004 .43913 L
.39064 .4398 L
.39165 .44088 L
.3921 .44141 L
.39325 .44259 L
.39351 .44301 L
.39486 .44458 L
.39491 .44462 L
.39623 .44622 L
.39646 .44649 L
.39756 .44783 L
.39807 .44804 L
.39888 .44943 L
.39967 .45029 L
.40061 .45104 L
.40128 .45235 L
.40156 .45265 L
.4028 .45425 L
.40288 .45435 L
.40408 .45586 L
.40449 .45618 L
.40536 .45746 L
.40609 .45832 L
.40683 .45907 L
.4077 .4604 L
.40792 .46067 L
.40918 .46228 L
.4093 .46243 L
.41044 .46388 L
.41091 .46436 L
.4121 .46549 L
.41251 .46649 L
.41303 .46709 L
.41412 .46858 L
.4142 .4687 L
.41546 .4703 L
.41572 .47047 L
.41671 .47191 L
.41733 .47262 L
.41814 .47351 L
.41894 .47476 L
.41922 .47512 L
.42045 .47672 L
.42054 .47684 L
.42168 .47833 L
.42215 .47877 L
.4233 .47993 L
.42375 .48095 L
.42424 .48154 L
.42536 .48308 L
.4254 .48314 L
.42663 .48475 L
.42696 .48492 L
.42786 .48636 L
.42857 .48715 L
.42928 .48796 L
.43017 .48934 L
.43034 .48957 L
.43155 .49117 L
.43178 .49146 L
.43277 .49278 L
.43338 .49335 L
.43436 .49438 L
.43499 .49561 L
.43529 .49599 L
.43645 .49759 L
.43659 .49777 L
.43766 .4992 L
.4382 .49949 L
.43888 .5008 L
.4398 .5019 L
.44023 .50241 L
.44132 .50401 L
.44141 .50413 L
.44251 .50562 L
.44301 .50628 L
.44371 .50722 L
.44462 .50821 L
.44516 .50883 L
.44613 .51043 L
.44622 .51055 L
.4473 .51204 L
.44783 .51274 L
.44848 .51364 L
.44943 .51491 L
.44968 .51525 L
.45085 .51686 L
.45104 .51711 L
.45198 .51846 L
.45265 .51935 L
.45313 .52007 L
.45425 .52161 L
.45429 .52167 L
.45534 .52328 L
.45586 .52401 L
.45637 .52488 L
.45586 .52591 L
.45489 .52488 L
.45425 .52423 L
.45341 .52328 L
.45265 .52245 L
.45198 .52167 L
.45104 .52084 L
.45058 .52007 L
.44943 .51875 L
.44907 .51846 L
.44788 .51686 L
.44783 .5168 L
.44655 .51525 L
.44622 .51487 L
.44523 .51364 L
.44462 .51303 L
.44328 .51204 L
.44301 .51095 L
.44253 .51043 L
.44141 .50893 L
.44133 .50883 L
.44004 .50722 L
.4398 .50708 L
.43875 .50562 L
.4382 .50498 L
.43724 .50401 L
.43659 .5029 L
.43619 .50241 L
.43499 .50086 L
.43495 .5008 L
.43367 .4992 L
.43338 .49892 L
.43194 .49759 L
.43178 .49682 L
.43107 .49599 L
.43017 .49472 L
.42994 .49438 L
.42865 .49278 L
.42857 .49274 L
.4274 .49117 L
.42696 .49069 L
.42594 .48957 L
.42536 .48856 L
.4249 .48796 L
.42375 .48646 L
.42369 .48636 L
.42243 .48475 L
.42215 .48452 L
.42075 .48314 L
.42054 .48237 L
.41986 .48154 L
.41894 .48023 L
.41874 .47993 L
.41748 .47833 L
.41733 .4783 L
.41625 .47672 L
.41572 .47616 L
.4148 .47512 L
.41412 .47398 L
.41377 .47351 L
.41256 .47191 L
.41251 .47186 L
.41134 .4703 L
.41091 .46997 L
.40967 .4687 L
.4093 .46772 L
.4088 .46709 L
.4077 .46553 L
.40767 .46549 L
.40646 .46388 L
.40609 .4634 L
.40525 .46228 L
.40449 .46144 L
.40384 .46067 L
.40288 .45917 L
.40281 .45907 L
.40163 .45746 L
.40128 .45701 L
.40043 .45586 L
.39967 .45515 L
.39887 .45425 L
.39807 .45273 L
.39801 .45265 L
.39686 .45104 L
.39646 .45052 L
.39569 .44943 L
.39486 .44832 L
.3945 .44783 L
.39333 .44622 L
.39325 .44611 L
.39222 .44462 L
.39165 .44383 L
.39109 .44301 L
.39004 .44153 L
.38996 .44141 L
.38895 .4398 L
.38844 .43904 L
.38798 .4382 L
F
1 .52 0 r
.38844 .44424 m
.38876 .44462 L
.39004 .44596 L
.39026 .44622 L
.39165 .44779 L
.39168 .44783 L
.39301 .44943 L
.39325 .4497 L
.39433 .45104 L
.39486 .45164 L
.39565 .45265 L
.39646 .4536 L
.39697 .45425 L
.39807 .45537 L
.39828 .45586 L
.39957 .45746 L
.39967 .45758 L
.40083 .45907 L
.40128 .45961 L
.4021 .46067 L
.40288 .46164 L
.40337 .46228 L
.40449 .46357 L
.40486 .46388 L
.4059 .46549 L
.40609 .46573 L
.40713 .46709 L
.4077 .4678 L
.40838 .4687 L
.4093 .46951 L
.40964 .4703 L
.41089 .47191 L
.41091 .47193 L
.41209 .47351 L
.41251 .47404 L
.41331 .47512 L
.41412 .47614 L
.41455 .47672 L
.41572 .47818 L
.41588 .47833 L
.41698 .47993 L
.41733 .48037 L
.41818 .48154 L
.41894 .48251 L
.41939 .48314 L
.42054 .48464 L
.42062 .48475 L
.42177 .48636 L
.42215 .48683 L
.42293 .48796 L
.42375 .48903 L
.42412 .48957 L
.4253 .49117 L
.42536 .49124 L
.42636 .49278 L
.42696 .49359 L
.42744 .49438 L
.42696 .4951 L
.42634 .49438 L
.42536 .49332 L
.4249 .49278 L
.42375 .49146 L
.42351 .49117 L
.42216 .48957 L
.42215 .48955 L
.42085 .48796 L
.42054 .4876 L
.41954 .48636 L
.41894 .48563 L
.41823 .48475 L
.41733 .48365 L
.41693 .48314 L
.41572 .48169 L
.41556 .48154 L
.41437 .47993 L
.41412 .47963 L
.41311 .47833 L
.41251 .4776 L
.41184 .47672 L
.41091 .47578 L
.41057 .47512 L
.40931 .47351 L
.4093 .47351 L
.40808 .47191 L
.4077 .47144 L
.40683 .4703 L
.40609 .46936 L
.40559 .4687 L
.40449 .46735 L
.40422 .46709 L
.40312 .46549 L
.40288 .46518 L
.40191 .46388 L
.40128 .46307 L
.40068 .46228 L
.39967 .46116 L
.39945 .46067 L
.39825 .45907 L
.39807 .45883 L
.39707 .45746 L
.39646 .45668 L
.39586 .45586 L
.39486 .45452 L
.39466 .45425 L
.39349 .45265 L
.39325 .45233 L
.39235 .45104 L
.39165 .4501 L
.39119 .44943 L
.39004 .44785 L
.39002 .44783 L
.38901 .44622 L
.38844 .44542 L
.388 .44462 L
F
1 .9 .045 r
.38844 .431 m
.38929 .43178 L
.39004 .43245 L
.39093 .43338 L
.39165 .43411 L
.39244 .43499 L
.39325 .43566 L
.39389 .43659 L
.39486 .43766 L
.3956 .4382 L
.39646 .43957 L
.39669 .4398 L
.39803 .44141 L
.39807 .44145 L
.39937 .44301 L
.39967 .44332 L
.4007 .44462 L
.40128 .44533 L
.40213 .44622 L
.40288 .44735 L
.40327 .44783 L
.40449 .44933 L
.40453 .44943 L
.40591 .45104 L
.40609 .45126 L
.4074 .45265 L
.4077 .45331 L
.40847 .45425 L
.4093 .45539 L
.4096 .45586 L
.41091 .4574 L
.41101 .45746 L
.41228 .45907 L
.41251 .45937 L
.41361 .46067 L
.41412 .46147 L
.41471 .46228 L
.41572 .46356 L
.41583 .46388 L
.4173 .46549 L
.41733 .46552 L
.4187 .46709 L
.41894 .4676 L
.41979 .4687 L
.42054 .46972 L
.42089 .4703 L
.42215 .47179 L
.4223 .47191 L
.42375 .47351 L
.42375 .47378 L
.42485 .47512 L
.42536 .47589 L
.42594 .47672 L
.42696 .47801 L
.42706 .47833 L
.4285 .47993 L
.42857 .48001 L
.4299 .48154 L
.43017 .48209 L
.43098 .48314 L
.43178 .48422 L
.43208 .48475 L
.43338 .48629 L
.43346 .48636 L
.43495 .48796 L
.43499 .48832 L
.43601 .48957 L
.43659 .49044 L
.4371 .49117 L
.4382 .49256 L
.43825 .49278 L
.43962 .49438 L
.4398 .49456 L
.44105 .49599 L
.44141 .49667 L
.44211 .49759 L
.44301 .49881 L
.44323 .4992 L
.44456 .5008 L
.44462 .50084 L
.44613 .50241 L
.44622 .50291 L
.44712 .50401 L
.44783 .50506 L
.44821 .50562 L
.44943 .50717 L
.44945 .50722 L
.4507 .50883 L
.45104 .50915 L
.45216 .51043 L
.45265 .51131 L
.4532 .51204 L
.45425 .51346 L
.45435 .51364 L
.45561 .51525 L
.45586 .51538 L
.45726 .51686 L
.45746 .51755 L
.45819 .51846 L
.45907 .51974 L
.45928 .52007 L
.46051 .52167 L
.46067 .52188 L
.46172 .52328 L
.46228 .52379 L
.4632 .52488 L
.46388 .52603 L
.46421 .52649 L
.46539 .52809 L
.46549 .52821 L
.46659 .5297 L
.46709 .52997 L
.46827 .5313 L
.4687 .53234 L
.46914 .53291 L
.47025 .53451 L
.4703 .53458 L
.47143 .53612 L
.47191 .53673 L
.47264 .53772 L
.47351 .53867 L
.47403 .53933 L
.47505 .54093 L
.47512 .54102 L
.47622 .54254 L
.47672 .54321 L
.4774 .54414 L
.47833 .54539 L
.47883 .54575 L
.47975 .54735 L
.47993 .5476 L
.48088 .54896 L
.48154 .54986 L
.48201 .55057 L
.48314 .55214 L
.48316 .55217 L
.48418 .55378 L
.48475 .55462 L
.48518 .55538 L
.48475 .55652 L
.48358 .55538 L
.48314 .55497 L
.48203 .55378 L
.48154 .55327 L
.48055 .55217 L
.47993 .55178 L
.47912 .55057 L
.47833 .5497 L
.47723 .54896 L
.47672 .54776 L
.47632 .54735 L
.47512 .54585 L
.47504 .54575 L
.47368 .54414 L
.47351 .54398 L
.47235 .54254 L
.47191 .54199 L
.47089 .54093 L
.4703 .53997 L
.46979 .53933 L
.4687 .53795 L
.46858 .53772 L
.46716 .53612 L
.46709 .53604 L
.46564 .53451 L
.46549 .534 L
.46458 .53291 L
.46388 .53192 L
.46346 .5313 L
.46228 .52987 L
.46205 .5297 L
.4608 .52809 L
.46067 .52793 L
.45945 .52649 L
.45907 .52585 L
.45835 .52488 L
.45746 .52374 L
.45725 .52328 L
.45586 .52171 L
.45577 .52167 L
.45438 .52007 L
.45425 .51971 L
.45326 .51846 L
.45265 .51759 L
.45217 .51686 L
.45104 .51548 L
.45077 .51525 L
.44954 .51364 L
.44943 .51352 L
.44821 .51204 L
.44783 .51142 L
.44711 .51043 L
.44622 .50929 L
.44603 .50883 L
.44462 .50725 L
.44457 .50722 L
.44317 .50562 L
.44301 .50521 L
.44208 .50401 L
.44141 .50308 L
.44099 .50241 L
.4398 .50098 L
.43962 .5008 L
.43839 .4992 L
.4382 .49898 L
.43705 .49759 L
.43659 .49686 L
.43596 .49599 L
.43499 .49474 L
.43485 .49438 L
.43345 .49278 L
.43338 .49271 L
.43201 .49117 L
.43178 .49063 L
.43095 .48957 L
.43017 .4885 L
.42985 .48796 L
.42857 .48641 L
.42852 .48636 L
.42729 .48475 L
.42696 .48439 L
.42593 .48314 L
.42536 .48225 L
.42486 .48154 L
.42375 .48012 L
.42369 .47993 L
.42238 .47833 L
.42215 .47814 L
.42089 .47672 L
.42054 .476 L
.41986 .47512 L
.41894 .47385 L
.41874 .47351 L
.41747 .47191 L
.41733 .47187 L
.41625 .4703 L
.41572 .46976 L
.41487 .4687 L
.41412 .46756 L
.41379 .46709 L
.41257 .46549 L
.41251 .46542 L
.41136 .46388 L
.41091 .46353 L
.40984 .46228 L
.4093 .46128 L
.40885 .46067 L
.4077 .45908 L
.40769 .45907 L
.40649 .45746 L
.40609 .45695 L
.40472 .45586 L
.40449 .45498 L
.40392 .45425 L
.40288 .45271 L
.40284 .45265 L
.40166 .45104 L
.40128 .45054 L
.40047 .44943 L
.39967 .44866 L
.39901 .44783 L
.39807 .44625 L
.39805 .44622 L
.39689 .44462 L
.39646 .44405 L
.39572 .44301 L
.39486 .44185 L
.3942 .44141 L
.39338 .4398 L
.39325 .43963 L
.39227 .4382 L
.39165 .43734 L
.39115 .43659 L
.39004 .43502 L
.39002 .43499 L
.38904 .43338 L
.38844 .43243 L
.38811 .43178 L
F
1 .51 0 r
.38844 .44441 m
.38863 .44462 L
.39004 .44605 L
.39018 .44622 L
.39004 .44775 L
.38911 .44622 L
.38844 .44523 L
.38815 .44462 L
F
0 .73 1 r
.38844 .43777 m
.38888 .4382 L
.39004 .43927 L
.39053 .4398 L
.39165 .44099 L
.39201 .44141 L
.39325 .44271 L
.39344 .44301 L
.39482 .44462 L
.39486 .44466 L
.39617 .44622 L
.39646 .44656 L
.3975 .44783 L
.39807 .44808 L
.39884 .44943 L
.39967 .45034 L
.40055 .45104 L
.40128 .4524 L
.40151 .45265 L
.40276 .45425 L
.40288 .4544 L
.40404 .45586 L
.40449 .45622 L
.40533 .45746 L
.40609 .45836 L
.40679 .45907 L
.4077 .46043 L
.40789 .46067 L
.40915 .46228 L
.4093 .46247 L
.41041 .46388 L
.41091 .46439 L
.41207 .46549 L
.41251 .46652 L
.41301 .46709 L
.41412 .46861 L
.41418 .4687 L
.41544 .4703 L
.41572 .47049 L
.41668 .47191 L
.41733 .47265 L
.41812 .47351 L
.41894 .47478 L
.4192 .47512 L
.42043 .47672 L
.42054 .47687 L
.42166 .47833 L
.42215 .47879 L
.42328 .47993 L
.42375 .48098 L
.42422 .48154 L
.42536 .4831 L
.42538 .48314 L
.42661 .48475 L
.42696 .48494 L
.42784 .48636 L
.42857 .48718 L
.42925 .48796 L
.43017 .48936 L
.43033 .48957 L
.43153 .49117 L
.43178 .49148 L
.43275 .49278 L
.43338 .49337 L
.43433 .49438 L
.43499 .49564 L
.43527 .49599 L
.43643 .49759 L
.43659 .4978 L
.43763 .4992 L
.4382 .49951 L
.43885 .5008 L
.4398 .50193 L
.4402 .50241 L
.44129 .50401 L
.44141 .50416 L
.44248 .50562 L
.44301 .50631 L
.44368 .50722 L
.44462 .50826 L
.44511 .50883 L
.4461 .51043 L
.44622 .5106 L
.44726 .51204 L
.44783 .51278 L
.44845 .51364 L
.44943 .51496 L
.44964 .51525 L
.4508 .51686 L
.45104 .51717 L
.45193 .51846 L
.45265 .51943 L
.45308 .52007 L
.45423 .52167 L
.45425 .5217 L
.45525 .52328 L
.45586 .52416 L
.45626 .52488 L
.45586 .52573 L
.45504 .52488 L
.45425 .5241 L
.45351 .52328 L
.45265 .52235 L
.45206 .52167 L
.45104 .52073 L
.45065 .52007 L
.44943 .51867 L
.44917 .51846 L
.44794 .51686 L
.44783 .51673 L
.4466 .51525 L
.44622 .5148 L
.44527 .51364 L
.44462 .51297 L
.44333 .51204 L
.44301 .5109 L
.44257 .51043 L
.44141 .50889 L
.44136 .50883 L
.44007 .50722 L
.4398 .50706 L
.43878 .50562 L
.4382 .50495 L
.43727 .50401 L
.43659 .50286 L
.43622 .50241 L
.43499 .50083 L
.43497 .5008 L
.4337 .4992 L
.43338 .4989 L
.43195 .49759 L
.43178 .49678 L
.43109 .49599 L
.43017 .49469 L
.42996 .49438 L
.42867 .49278 L
.42857 .49273 L
.42742 .49117 L
.42696 .49066 L
.42596 .48957 L
.42536 .48853 L
.42492 .48796 L
.42375 .48644 L
.42371 .48636 L
.42245 .48475 L
.42215 .4845 L
.42077 .48314 L
.42054 .48234 L
.41988 .48154 L
.41894 .4802 L
.41875 .47993 L
.4175 .47833 L
.41733 .4783 L
.41627 .47672 L
.41572 .47614 L
.41482 .47512 L
.41412 .47395 L
.41379 .47351 L
.41258 .47191 L
.41251 .47183 L
.41136 .4703 L
.41091 .46994 L
.40969 .4687 L
.4093 .46769 L
.40883 .46709 L
.4077 .4655 L
.40769 .46549 L
.40649 .46388 L
.40609 .46337 L
.40528 .46228 L
.40449 .4614 L
.40387 .46067 L
.40288 .45913 L
.40284 .45907 L
.40166 .45746 L
.40128 .45697 L
.40046 .45586 L
.39967 .4551 L
.39892 .45425 L
.39807 .45267 L
.39805 .45265 L
.3969 .45104 L
.39646 .45046 L
.39573 .44943 L
.39486 .44826 L
.39455 .44783 L
.39339 .44622 L
.39325 .44604 L
.39228 .44462 L
.39165 .44374 L
.39116 .44301 L
.39004 .44142 L
.39003 .44141 L
.38907 .4398 L
.38844 .4388 L
.38816 .4382 L
F
.538 .98 1 r
.38844 .42455 m
.38953 .42536 L
.39004 .42577 L
.39124 .42696 L
.39165 .42736 L
.39278 .42857 L
.39325 .42875 L
.39425 .43017 L
.39486 .43083 L
.39567 .43178 L
.39646 .43273 L
.39715 .43338 L
.39807 .43464 L
.39836 .43499 L
.39967 .43653 L
.3997 .43659 L
.40111 .4382 L
.40128 .43842 L
.40256 .4398 L
.40288 .44042 L
.40367 .44141 L
.40449 .44249 L
.40479 .44301 L
.40609 .44429 L
.40636 .44462 L
.40769 .44622 L
.4077 .44631 L
.40891 .44783 L
.4093 .44841 L
.41002 .44943 L
.41091 .45057 L
.41149 .45104 L
.41251 .45236 L
.41275 .45265 L
.41402 .45425 L
.41412 .45443 L
.41518 .45586 L
.41572 .45659 L
.41622 .45746 L
.41733 .45882 L
.41778 .45907 L
.41894 .46057 L
.41901 .46067 L
.42025 .46228 L
.42054 .4627 L
.42135 .46388 L
.42215 .46491 L
.42228 .46549 L
.42375 .46677 L
.42401 .46709 L
.42525 .4687 L
.42536 .46888 L
.42641 .4703 L
.42696 .47105 L
.42743 .47191 L
.42857 .47326 L
.42897 .47351 L
.43017 .4751 L
.43019 .47512 L
.43142 .47672 L
.43178 .47723 L
.43251 .47833 L
.43338 .47942 L
.43392 .47993 L
.43499 .48134 L
.43514 .48154 L
.43641 .48314 L
.43659 .48345 L
.43754 .48475 L
.4382 .48561 L
.43857 .48636 L
.4398 .48777 L
.44009 .48796 L
.44136 .48957 L
.44141 .4897 L
.44255 .49117 L
.44301 .49183 L
.44363 .49278 L
.44462 .49398 L
.44502 .49438 L
.44622 .49598 L
.44624 .49599 L
.44755 .49759 L
.44783 .49806 L
.44865 .4992 L
.44943 .50021 L
.4497 .5008 L
.45104 .5023 L
.45118 .50241 L
.45254 .50401 L
.45265 .50431 L
.45366 .50562 L
.45425 .50644 L
.45475 .50722 L
.45586 .50856 L
.45611 .50883 L
.45733 .51043 L
.45746 .51057 L
.45867 .51204 L
.45907 .51268 L
.45976 .51364 L
.46067 .51481 L
.46085 .51525 L
.46226 .51686 L
.46228 .51687 L
.4637 .51846 L
.46388 .51892 L
.46477 .52007 L
.46549 .52106 L
.46586 .52167 L
.46709 .52317 L
.46719 .52328 L
.46841 .52488 L
.4687 .52517 L
.46979 .52649 L
.4703 .5273 L
.47086 .52809 L
.47191 .52944 L
.47201 .5297 L
.47334 .5313 L
.47351 .53142 L
.47483 .53291 L
.47512 .53354 L
.47586 .53451 L
.47672 .5357 L
.47697 .53612 L
.47826 .53772 L
.47833 .53781 L
.47948 .53933 L
.47993 .53977 L
.48088 .54093 L
.48154 .54195 L
.48195 .54254 L
.48314 .5441 L
.48316 .54414 L
.48439 .54575 L
.48475 .54597 L
.48593 .54735 L
.48636 .5482 L
.48692 .54896 L
.48796 .55039 L
.48806 .55057 L
.48929 .55217 L
.48957 .55252 L
.49051 .55378 L
.49117 .55443 L
.49191 .55538 L
.49278 .55668 L
.49298 .55699 L
.49418 .55859 L
.49438 .55885 L
.49539 .5602 L
.49599 .56062 L
.49692 .5618 L
.49759 .56299 L
.49789 .56341 L
.49905 .56501 L
.4992 .56521 L
.50023 .56662 L
.5008 .56736 L
.50144 .56822 L
.50241 .56933 L
.50277 .56983 L
.50385 .57143 L
.50401 .57164 L
.50502 .57304 L
.50562 .57383 L
.5062 .57464 L
.50722 .57601 L
.50752 .57625 L
.50854 .57785 L
.50883 .57824 L
.50966 .57946 L
.51043 .58052 L
.51079 .58106 L
.5119 .58267 L
.51204 .58287 L
.51287 .58428 L
.51364 .58553 L
.51381 .58588 L
.51364 .58678 L
.51252 .58588 L
.51204 .58548 L
.51082 .58428 L
.51043 .5839 L
.50927 .58267 L
.50883 .58254 L
.50779 .58106 L
.50722 .58047 L
.50635 .57946 L
.50562 .57857 L
.50485 .57785 L
.50401 .57665 L
.50366 .57625 L
.50241 .57474 L
.50236 .57464 L
.50091 .57304 L
.5008 .57291 L
.49942 .57143 L
.4992 .57091 L
.49831 .56983 L
.49759 .56884 L
.49717 .56822 L
.49599 .56677 L
.49567 .56662 L
.4944 .56501 L
.49438 .56498 L
.4931 .56341 L
.49278 .5629 L
.49197 .5618 L
.49117 .56075 L
.49094 .5602 L
.48957 .55891 L
.48931 .55859 L
.48803 .55699 L
.48796 .55684 L
.48685 .55538 L
.48636 .55469 L
.48578 .55378 L
.48475 .55249 L
.48428 .55217 L
.48314 .55068 L
.48305 .55057 L
.4818 .54896 L
.48154 .54856 L
.48069 .54735 L
.47993 .54637 L
.4797 .54575 L
.47833 .54447 L
.47807 .54414 L
.47681 .54254 L
.47672 .54237 L
.47564 .54093 L
.47512 .54021 L
.47459 .53933 L
.47351 .53802 L
.47311 .53772 L
.47191 .53614 L
.47189 .53612 L
.47063 .53451 L
.4703 .53402 L
.46953 .53291 L
.4687 .53184 L
.46853 .5313 L
.46709 .52974 L
.46694 .5297 L
.46564 .52809 L
.46549 .52779 L
.46451 .52649 L
.46388 .52564 L
.46345 .52488 L
.46228 .5235 L
.462 .52328 L
.46069 .52167 L
.46067 .52154 L
.4595 .52007 L
.45907 .51942 L
.45841 .51846 L
.45746 .51728 L
.45737 .51686 L
.45586 .51526 L
.45584 .51525 L
.45449 .51364 L
.45425 .51318 L
.45339 .51204 L
.45265 .51105 L
.45232 .51043 L
.45104 .50895 L
.4509 .50883 L
.44949 .50722 L
.44943 .50694 L
.44838 .50562 L
.44783 .50481 L
.44729 .50401 L
.44622 .50269 L
.44618 .50241 L
.44475 .5008 L
.44462 .50067 L
.44336 .4992 L
.44301 .49857 L
.44228 .49759 L
.44141 .49644 L
.44118 .49599 L
.43982 .49438 L
.4398 .49437 L
.43831 .49278 L
.4382 .49233 L
.43727 .49117 L
.43659 .49019 L
.43618 .48957 L
.43499 .48807 L
.43498 .48796 L
.43367 .48636 L
.43338 .48609 L
.43224 .48475 L
.43178 .48395 L
.43119 .48314 L
.43017 .4818 L
.43004 .48154 L
.42875 .47993 L
.42857 .47984 L
.42717 .47833 L
.42696 .47772 L
.42618 .47672 L
.42536 .47554 L
.42508 .47512 L
.42383 .47351 L
.42375 .47342 L
.42261 .47191 L
.42215 .4715 L
.42115 .4703 L
.42054 .46929 L
.42011 .4687 L
.41894 .46713 L
.41892 .46709 L
.4177 .46549 L
.41733 .46532 L
.41607 .46388 L
.41572 .46306 L
.41513 .46228 L
.41412 .46084 L
.41401 .46067 L
.4128 .45907 L
.41251 .45871 L
.41158 .45746 L
.41091 .45684 L
.41013 .45586 L
.4093 .45455 L
.40909 .45425 L
.4079 .45265 L
.4077 .45238 L
.4067 .45104 L
.40609 .45025 L
.40509 .44943 L
.40449 .44825 L
.40418 .44783 L
.40304 .44622 L
.40288 .44602 L
.40186 .44462 L
.40128 .44387 L
.40065 .44301 L
.39967 .44191 L
.3993 .44141 L
.39824 .4398 L
.39807 .43958 L
.39708 .4382 L
.39646 .43739 L
.3959 .43659 L
.39486 .4352 L
.39457 .43499 L
.39356 .43338 L
.39325 .43296 L
.39245 .43178 L
.39165 .43066 L
.39133 .43017 L
.39024 .42857 L
.39004 .42828 L
.38928 .42696 L
.38844 .42552 L
.38837 .42536 L
F
1 .98 .538 r
.39004 .38358 m
.39014 .38362 L
.39165 .38485 L
.39219 .38523 L
.39325 .38643 L
.39389 .38683 L
.39486 .38822 L
.39518 .38844 L
.39646 .38986 L
.3965 .39004 L
.39793 .39165 L
.39807 .39182 L
.39938 .39325 L
.39967 .39386 L
.40049 .39486 L
.40128 .39595 L
.4016 .39646 L
.40288 .39798 L
.40303 .39807 L
.40447 .39967 L
.40449 .39991 L
.40555 .40128 L
.40609 .402 L
.40661 .40288 L
.4077 .4042 L
.40774 .40449 L
.40899 .40609 L
.4093 .40665 L
.41008 .4077 L
.4093 .40852 L
.4077 .40853 L
.4062 .4077 L
.40609 .40756 L
.40463 .40609 L
.40449 .40593 L
.4033 .40449 L
.40288 .40399 L
.4017 .40288 L
.40128 .40194 L
.40069 .40128 L
.39967 .39987 L
.39954 .39967 L
.39829 .39807 L
.39807 .39778 L
.39708 .39646 L
.39646 .3959 L
.39569 .39486 L
.39486 .3936 L
.39463 .39325 L
.39346 .39165 L
.39325 .39136 L
.3923 .39004 L
.39165 .38913 L
.39086 .38844 L
.39005 .38683 L
.39004 .38681 L
.38913 .38523 L
.38854 .38362 L
F
0 .72 1 r
.39004 .43942 m
.39039 .4398 L
.39165 .4411 L
.39192 .44141 L
.39325 .44283 L
.39336 .44301 L
.39475 .44462 L
.39486 .44474 L
.3961 .44622 L
.39646 .44663 L
.39745 .44783 L
.39807 .44812 L
.39879 .44943 L
.39967 .4504 L
.40049 .45104 L
.40128 .45245 L
.40146 .45265 L
.40272 .45425 L
.40288 .45445 L
.40401 .45586 L
.40449 .45625 L
.4053 .45746 L
.40609 .4584 L
.40676 .45907 L
.4077 .46047 L
.40786 .46067 L
.40912 .46228 L
.4093 .4625 L
.41038 .46388 L
.41091 .46442 L
.41205 .46549 L
.41251 .46655 L
.41298 .46709 L
.41412 .46864 L
.41416 .4687 L
.41541 .4703 L
.41572 .47051 L
.41666 .47191 L
.41733 .47267 L
.4181 .47351 L
.41894 .47481 L
.41917 .47512 L
.42041 .47672 L
.42054 .47689 L
.42164 .47833 L
.42215 .47882 L
.42326 .47993 L
.42375 .481 L
.4242 .48154 L
.42536 .48313 L
.42537 .48314 L
.42659 .48475 L
.42696 .48495 L
.42782 .48636 L
.42857 .4872 L
.42923 .48796 L
.43017 .48939 L
.4303 .48957 L
.43151 .49117 L
.43178 .49151 L
.43273 .49278 L
.43338 .4934 L
.43431 .49438 L
.43499 .49567 L
.43524 .49599 L
.43641 .49759 L
.43659 .49783 L
.43761 .4992 L
.4382 .49954 L
.43883 .5008 L
.4398 .50197 L
.44017 .50241 L
.44126 .50401 L
.44141 .5042 L
.44245 .50562 L
.44301 .50635 L
.44366 .50722 L
.44462 .50831 L
.44507 .50883 L
.44606 .51043 L
.44622 .51064 L
.44723 .51204 L
.44783 .51283 L
.44841 .51364 L
.44943 .51501 L
.44961 .51525 L
.45075 .51686 L
.45104 .51724 L
.45188 .51846 L
.45265 .51951 L
.45302 .52007 L
.45415 .52167 L
.45425 .52181 L
.45514 .52328 L
.45586 .52436 L
.45612 .52488 L
.45586 .52551 L
.45521 .52488 L
.45425 .52397 L
.45362 .52328 L
.45265 .52224 L
.45214 .52167 L
.45104 .52062 L
.45073 .52007 L
.44943 .51858 L
.44928 .51846 L
.448 .51686 L
.44783 .51667 L
.44666 .51525 L
.44622 .51474 L
.44532 .51364 L
.44462 .51292 L
.44338 .51204 L
.44301 .51084 L
.44262 .51043 L
.44141 .50884 L
.4414 .50883 L
.44011 .50722 L
.4398 .50704 L
.43882 .50562 L
.4382 .50491 L
.4373 .50401 L
.43659 .50282 L
.43625 .50241 L
.43499 .5008 L
.43499 .5008 L
.43373 .4992 L
.43338 .49887 L
.43197 .49759 L
.43178 .49675 L
.43112 .49599 L
.43017 .49466 L
.42998 .49438 L
.4287 .49278 L
.42857 .49272 L
.42745 .49117 L
.42696 .49063 L
.42598 .48957 L
.42536 .4885 L
.42494 .48796 L
.42375 .48641 L
.42372 .48636 L
.42247 .48475 L
.42215 .48447 L
.42078 .48314 L
.42054 .48231 L
.4199 .48154 L
.41894 .48018 L
.41877 .47993 L
.41752 .47833 L
.41733 .47829 L
.41629 .47672 L
.41572 .47611 L
.41484 .47512 L
.41412 .47393 L
.41381 .47351 L
.4126 .47191 L
.41251 .4718 L
.41139 .4703 L
.41091 .46992 L
.40971 .4687 L
.4093 .46765 L
.40885 .46709 L
.40771 .46549 L
.4077 .46547 L
.40651 .46388 L
.40609 .46334 L
.4053 .46228 L
.40449 .46136 L
.4039 .46067 L
.40288 .45909 L
.40287 .45907 L
.40169 .45746 L
.40128 .45693 L
.40049 .45586 L
.39967 .45505 L
.39897 .45425 L
.39809 .45265 L
.39807 .45261 L
.39694 .45104 L
.39646 .45041 L
.39577 .44943 L
.39486 .4482 L
.39459 .44783 L
.39345 .44622 L
.39325 .44596 L
.39234 .44462 L
.39165 .44365 L
.39123 .44301 L
.39013 .44141 L
.39004 .44128 L
.38921 .4398 L
F
1 .5 0 r
.39004 .44616 m
.39009 .44622 L
.39004 .44763 L
.38924 .44622 L
F
1 .89 .033 r
.39004 .43284 m
.3906 .43338 L
.39165 .43439 L
.39221 .43499 L
.39325 .4359 L
.3937 .43659 L
.39486 .43786 L
.39536 .4382 L
.39646 .43973 L
.39654 .4398 L
.3979 .44141 L
.39807 .44159 L
.39926 .44301 L
.39967 .44343 L
.40061 .44462 L
.40128 .44544 L
.40205 .44622 L
.40288 .44744 L
.4032 .44783 L
.40449 .44939 L
.40451 .44943 L
.40584 .45104 L
.40609 .45134 L
.40736 .45265 L
.4077 .45338 L
.40842 .45425 L
.4093 .45545 L
.40957 .45586 L
.41091 .45743 L
.41096 .45746 L
.41223 .45907 L
.41251 .45943 L
.41357 .46067 L
.41412 .46152 L
.41468 .46228 L
.41572 .4636 L
.41582 .46388 L
.41727 .46549 L
.41733 .46556 L
.41868 .46709 L
.41894 .46764 L
.41977 .4687 L
.42054 .46975 L
.42087 .4703 L
.42215 .47181 L
.42227 .47191 L
.42375 .47351 L
.42375 .47381 L
.42483 .47512 L
.42536 .47592 L
.42592 .47672 L
.42696 .47803 L
.42705 .47833 L
.42848 .47993 L
.42857 .48003 L
.42988 .48154 L
.43017 .48212 L
.43096 .48314 L
.43178 .48425 L
.43207 .48475 L
.43338 .48631 L
.43344 .48636 L
.43495 .48796 L
.43499 .48834 L
.43599 .48957 L
.43659 .49047 L
.43708 .49117 L
.4382 .49258 L
.43825 .49278 L
.43961 .49438 L
.4398 .49458 L
.44104 .49599 L
.44141 .4967 L
.44209 .49759 L
.44301 .49883 L
.44322 .4992 L
.44454 .5008 L
.44462 .50085 L
.44613 .50241 L
.44622 .50293 L
.44711 .50401 L
.44783 .50508 L
.4482 .50562 L
.44943 .50719 L
.44944 .50722 L
.45068 .50883 L
.45104 .50916 L
.45215 .51043 L
.45265 .51133 L
.45318 .51204 L
.45425 .51348 L
.45434 .51364 L
.45559 .51525 L
.45586 .51539 L
.45725 .51686 L
.45746 .51758 L
.45816 .51846 L
.45907 .51977 L
.45926 .52007 L
.46049 .52167 L
.46067 .52191 L
.4617 .52328 L
.46228 .52382 L
.46317 .52488 L
.46388 .52607 L
.46419 .52649 L
.46536 .52809 L
.46549 .52825 L
.46656 .5297 L
.46709 .53001 L
.46823 .5313 L
.4687 .53239 L
.46909 .53291 L
.47021 .53451 L
.4703 .53463 L
.47139 .53612 L
.47191 .53679 L
.47259 .53772 L
.47351 .53876 L
.47396 .53933 L
.47499 .54093 L
.47512 .5411 L
.47615 .54254 L
.47672 .5433 L
.47733 .54414 L
.47833 .54549 L
.4787 .54575 L
.47966 .54735 L
.47993 .54773 L
.48077 .54896 L
.48154 .55003 L
.48189 .55057 L
.48299 .55217 L
.48314 .55239 L
.48395 .55378 L
.48475 .55513 L
.48485 .55538 L
.48475 .5559 L
.48405 .55538 L
.48314 .55463 L
.4823 .55378 L
.48154 .55301 L
.48076 .55217 L
.47993 .5516 L
.4793 .55057 L
.47833 .54952 L
.47744 .54896 L
.47672 .54761 L
.47646 .54735 L
.47513 .54575 L
.47512 .54573 L
.47378 .54414 L
.47351 .54389 L
.47244 .54254 L
.47191 .54189 L
.47097 .54093 L
.4703 .53987 L
.46985 .53933 L
.4687 .53789 L
.46861 .53772 L
.46722 .53612 L
.46709 .53597 L
.46567 .53451 L
.46549 .53393 L
.46463 .53291 L
.46388 .53186 L
.4635 .5313 L
.46228 .52983 L
.4621 .5297 L
.46084 .52809 L
.46067 .52788 L
.45948 .52649 L
.45907 .5258 L
.45838 .52488 L
.45746 .52369 L
.45727 .52328 L
.45586 .52169 L
.4558 .52167 L
.45439 .52007 L
.45425 .51967 L
.45329 .51846 L
.45265 .51756 L
.45219 .51686 L
.45104 .51546 L
.4508 .51525 L
.44956 .51364 L
.44943 .51349 L
.44823 .51204 L
.44783 .51139 L
.44714 .51043 L
.44622 .50926 L
.44604 .50883 L
.44462 .50724 L
.44459 .50722 L
.44319 .50562 L
.44301 .50518 L
.4421 .50401 L
.44141 .50306 L
.441 .50241 L
.4398 .50096 L
.43964 .5008 L
.43841 .4992 L
.4382 .49896 L
.43707 .49759 L
.43659 .49684 L
.43598 .49599 L
.43499 .49472 L
.43486 .49438 L
.43347 .49278 L
.43338 .4927 L
.43202 .49117 L
.43178 .49061 L
.43097 .48957 L
.43017 .48847 L
.42986 .48796 L
.42857 .48639 L
.42854 .48636 L
.42731 .48475 L
.42696 .48437 L
.42595 .48314 L
.42536 .48223 L
.42487 .48154 L
.42375 .4801 L
.42369 .47993 L
.4224 .47833 L
.42215 .47812 L
.4209 .47672 L
.42054 .47598 L
.41988 .47512 L
.41894 .47382 L
.41876 .47351 L
.41749 .47191 L
.41733 .47187 L
.41627 .4703 L
.41572 .46973 L
.41489 .4687 L
.41412 .46753 L
.41382 .46709 L
.41259 .46549 L
.41251 .46539 L
.41139 .46388 L
.41091 .4635 L
.40986 .46228 L
.4093 .46124 L
.40888 .46067 L
.40772 .45907 L
.4077 .45904 L
.40653 .45746 L
.40609 .4569 L
.40475 .45586 L
.40449 .45492 L
.40397 .45425 L
.40288 .45265 L
.40288 .45264 L
.40171 .45104 L
.40128 .45048 L
.40052 .44943 L
.39967 .44857 L
.39909 .44783 L
.39811 .44622 L
.39807 .44616 L
.39697 .44462 L
.39646 .44395 L
.3958 .44301 L
.39486 .44174 L
.39436 .44141 L
.39349 .4398 L
.39325 .43948 L
.39239 .4382 L
.39165 .43715 L
.39129 .43659 L
.39023 .43499 L
.39004 .43471 L
.38935 .43338 L
F
0 .71 1 r
.39004 .4396 m
.39024 .4398 L
.39165 .44122 L
.39182 .44141 L
.39325 .44297 L
.39328 .44301 L
.39467 .44462 L
.39486 .44482 L
.39604 .44622 L
.39646 .4467 L
.3974 .44783 L
.39807 .44818 L
.39874 .44943 L
.39967 .45046 L
.40042 .45104 L
.40128 .45251 L
.40141 .45265 L
.40268 .45425 L
.40288 .45449 L
.40397 .45586 L
.40449 .45628 L
.40526 .45746 L
.40609 .45844 L
.40672 .45907 L
.4077 .46051 L
.40783 .46067 L
.40909 .46228 L
.4093 .46254 L
.41036 .46388 L
.41091 .46445 L
.41202 .46549 L
.41251 .46659 L
.41295 .46709 L
.41412 .46866 L
.41414 .4687 L
.41539 .4703 L
.41572 .47053 L
.41664 .47191 L
.41733 .4727 L
.41808 .47351 L
.41894 .47484 L
.41915 .47512 L
.42038 .47672 L
.42054 .47692 L
.42162 .47833 L
.42215 .47884 L
.42324 .47993 L
.42375 .48103 L
.42418 .48154 L
.42535 .48314 L
.42536 .48316 L
.42657 .48475 L
.42696 .48497 L
.4278 .48636 L
.42857 .48723 L
.42921 .48796 L
.43017 .48942 L
.43028 .48957 L
.43149 .49117 L
.43178 .49154 L
.43271 .49278 L
.43338 .49343 L
.43428 .49438 L
.43499 .4957 L
.43522 .49599 L
.43638 .49759 L
.43659 .49786 L
.43759 .4992 L
.4382 .49957 L
.43881 .5008 L
.4398 .50201 L
.44014 .50241 L
.44124 .50401 L
.44141 .50423 L
.44242 .50562 L
.44301 .50638 L
.44363 .50722 L
.44462 .50837 L
.44502 .50883 L
.44603 .51043 L
.44622 .51069 L
.44719 .51204 L
.44783 .51288 L
.44837 .51364 L
.44943 .51506 L
.44957 .51525 L
.4507 .51686 L
.45104 .51731 L
.45182 .51846 L
.45265 .51959 L
.45296 .52007 L
.45406 .52167 L
.45425 .52194 L
.45502 .52328 L
.45586 .52465 L
.45594 .52488 L
.45586 .52518 L
.45546 .52488 L
.45425 .52382 L
.45374 .52328 L
.45265 .52213 L
.45224 .52167 L
.45104 .52049 L
.4508 .52007 L
.44943 .51849 L
.44939 .51846 L
.44806 .51686 L
.44783 .5166 L
.44671 .51525 L
.44622 .51468 L
.44537 .51364 L
.44462 .51287 L
.44343 .51204 L
.44301 .51079 L
.44266 .51043 L
.44143 .50883 L
.44141 .5088 L
.44014 .50722 L
.4398 .50701 L
.43885 .50562 L
.4382 .50487 L
.43733 .50401 L
.43659 .50278 L
.43628 .50241 L
.43502 .5008 L
.43499 .50076 L
.43376 .4992 L
.43338 .49884 L
.43198 .49759 L
.43178 .49672 L
.43114 .49599 L
.43017 .49463 L
.43 .49438 L
.42872 .49278 L
.42857 .49271 L
.42747 .49117 L
.42696 .4906 L
.426 .48957 L
.42536 .48847 L
.42496 .48796 L
.42375 .48638 L
.42374 .48636 L
.42249 .48475 L
.42215 .48445 L
.4208 .48314 L
.42054 .48229 L
.41992 .48154 L
.41894 .48015 L
.41879 .47993 L
.41754 .47833 L
.41733 .47828 L
.41631 .47672 L
.41572 .47609 L
.41486 .47512 L
.41412 .4739 L
.41383 .47351 L
.41262 .47191 L
.41251 .47177 L
.41141 .4703 L
.41091 .4699 L
.40974 .4687 L
.4093 .46762 L
.40888 .46709 L
.40774 .46549 L
.4077 .46544 L
.40654 .46388 L
.40609 .4633 L
.40533 .46228 L
.40449 .46132 L
.40394 .46067 L
.4029 .45907 L
.40288 .45905 L
.40172 .45746 L
.40128 .45688 L
.40052 .45586 L
.39967 .45499 L
.39902 .45425 L
.39813 .45265 L
.39807 .45256 L
.39698 .45104 L
.39646 .45035 L
.39581 .44943 L
.39486 .44814 L
.39464 .44783 L
.39351 .44622 L
.39325 .44588 L
.39241 .44462 L
.39165 .44355 L
.3913 .44301 L
.39024 .44141 L
.39004 .44111 L
.3894 .4398 L
F
.212 .95 1 r
.39004 .39033 m
.39142 .39165 L
.39165 .39186 L
.39291 .39325 L
.39325 .39361 L
.3943 .39486 L
.39486 .3955 L
.39563 .39646 L
.39646 .39714 L
.39692 .39807 L
.39807 .39951 L
.3982 .39967 L
.39931 .40128 L
.39967 .40179 L
.40039 .40288 L
.40128 .40448 L
.40128 .40449 L
.40128 .40531 L
.39967 .40485 L
.39944 .40449 L
.39807 .40326 L
.39781 .40288 L
.39646 .40136 L
.39637 .40128 L
.39512 .39967 L
.39486 .39936 L
.39388 .39807 L
.39325 .39726 L
.39266 .39646 L
.39165 .39531 L
.39131 .39486 L
.39041 .39325 L
.39004 .3927 L
.38942 .39165 L
F
1 1 1 r
.39004 .32952 m
.39165 .32972 L
.39254 .33065 L
.39325 .33099 L
.39467 .33225 L
.39486 .33239 L
.39646 .33383 L
.3965 .33386 L
.39807 .33541 L
.39813 .33546 L
.39953 .33707 L
.39967 .33721 L
.4009 .33867 L
.40128 .33917 L
.40213 .34028 L
.40288 .34133 L
.40329 .34188 L
.40442 .34349 L
.40449 .34361 L
.40536 .34509 L
.40609 .34576 L
.40679 .3467 L
.4077 .34794 L
.40797 .3483 L
.40917 .34991 L
.4093 .35016 L
.41027 .35152 L
.41091 .35249 L
.41122 .35312 L
.41251 .35434 L
.41281 .35473 L
.41406 .35633 L
.41412 .35648 L
.41524 .35794 L
.41572 .35868 L
.4163 .35954 L
.41733 .36093 L
.41772 .36115 L
.41894 .36274 L
.41894 .36275 L
.42023 .36436 L
.42054 .36489 L
.42133 .36596 L
.42215 .36709 L
.42236 .36757 L
.42375 .36901 L
.42388 .36917 L
.42521 .37078 L
.42536 .37112 L
.42634 .37238 L
.42696 .37329 L
.42742 .37399 L
.42857 .37544 L
.42882 .37559 L
.43004 .3772 L
.43017 .37737 L
.43135 .3788 L
.43178 .37951 L
.43244 .38041 L
.43338 .38166 L
.43352 .38201 L
.43497 .38362 L
.43499 .38364 L
.43637 .38523 L
.43659 .38575 L
.43745 .38683 L
.4382 .38789 L
.43854 .38844 L
.4398 .38997 L
.4399 .39004 L
.4414 .39165 L
.44141 .39199 L
.44247 .39325 L
.44301 .39412 L
.44355 .39486 L
.44462 .39624 L
.44469 .39646 L
.44605 .39807 L
.44622 .39825 L
.4475 .39967 L
.44783 .40036 L
.44856 .40128 L
.44943 .4025 L
.44967 .40288 L
.45099 .40449 L
.45104 .40453 L
.45258 .40609 L
.45265 .4066 L
.45358 .4077 L
.45425 .40874 L
.45466 .4093 L
.45586 .41084 L
.45588 .41091 L
.45714 .41251 L
.45746 .41284 L
.45862 .41412 L
.45907 .41498 L
.45966 .41572 L
.46067 .41711 L
.4608 .41733 L
.46207 .41894 L
.46228 .41909 L
.46373 .42054 L
.46388 .42121 L
.46467 .42215 L
.46549 .42337 L
.46577 .42375 L
.467 .42536 L
.46709 .42537 L
.46821 .42696 L
.4687 .42743 L
.46972 .42857 L
.4703 .42961 L
.47075 .43017 L
.47191 .43175 L
.47193 .43178 L
.47314 .43338 L
.47351 .43363 L
.47484 .43499 L
.47512 .43583 L
.47575 .43659 L
.47672 .43801 L
.47686 .4382 L
.47808 .4398 L
.47833 .44012 L
.47929 .44141 L
.47993 .44203 L
.4808 .44301 L
.48154 .44425 L
.48183 .44462 L
.48301 .44622 L
.48314 .44639 L
.48422 .44783 L
.48475 .44817 L
.48592 .44943 L
.48636 .45046 L
.48682 .45104 L
.48795 .45265 L
.48796 .45266 L
.48915 .45425 L
.48957 .45477 L
.49038 .45586 L
.49117 .45663 L
.49188 .45746 L
.49278 .4589 L
.4929 .45907 L
.49409 .46067 L
.49438 .46104 L
.49531 .46228 L
.49599 .46314 L
.49702 .46388 L
.49759 .46512 L
.49789 .46549 L
.49902 .46709 L
.4992 .46731 L
.50023 .4687 L
.5008 .46942 L
.50145 .4703 L
.50241 .47139 L
.50284 .47191 L
.50393 .47351 L
.50401 .47362 L
.50512 .47512 L
.50562 .47562 L
.50663 .47672 L
.50722 .47785 L
.50761 .47833 L
.50875 .47993 L
.50883 .48003 L
.51003 .48154 L
.51043 .4822 L
.51116 .48314 L
.51204 .48436 L
.51232 .48475 L
.51354 .48636 L
.51364 .48651 L
.51474 .48796 L
.51525 .48865 L
.51592 .48957 L
.51686 .49079 L
.51711 .49117 L
.51837 .49278 L
.51846 .49289 L
.51959 .49438 L
.52007 .49488 L
.52081 .49599 L
.52167 .49706 L
.52208 .49759 L
.52328 .49901 L
.52345 .4992 L
.52488 .50048 L
.5253 .5008 L
.52649 .50147 L
.52792 .50241 L
.52809 .50251 L
.5297 .50365 L
.53016 .50401 L
.5313 .50494 L
.5321 .50562 L
.53291 .50637 L
.5338 .50722 L
.53451 .50798 L
.53533 .50883 L
.53612 .50976 L
.53672 .51043 L
.53772 .51169 L
.53803 .51204 L
.53924 .51364 L
.53933 .5137 L
.54059 .51525 L
.54093 .5157 L
.54187 .51686 L
.54254 .51775 L
.54311 .51846 L
.54414 .51984 L
.54433 .52007 L
.54543 .52167 L
.54575 .52199 L
.54683 .52328 L
.54735 .52425 L
.54806 .52488 L
.54896 .52641 L
.54927 .52649 L
.55039 .52809 L
.55057 .52827 L
.5515 .5297 L
.55057 .53002 L
.54896 .53015 L
.54775 .5313 L
.54896 .5329 L
.54896 .53291 L
.55013 .53451 L
.55057 .53496 L
.55114 .53612 L
.55217 .53706 L
.55268 .53772 L
.55378 .53917 L
.5539 .53933 L
.55512 .54093 L
.55538 .54133 L
.5562 .54254 L
.55699 .54354 L
.55761 .54414 L
.55859 .54569 L
.55883 .54575 L
.56008 .54735 L
.5602 .54753 L
.56122 .54896 L
.5618 .54965 L
.56223 .55057 L
.56341 .55177 L
.56376 .55217 L
.565 .55378 L
.56501 .55382 L
.56621 .55538 L
.56662 .55593 L
.56729 .55699 L
.56822 .55805 L
.56869 .55859 L
.56983 .56016 L
.56988 .5602 L
.57143 .56046 L
.57304 .56041 L
.57464 .56037 L
.57526 .5602 L
.57464 .55961 L
.57373 .55859 L
.57304 .55743 L
.57268 .55699 L
.57149 .55538 L
.57143 .55533 L
.57027 .55378 L
.56983 .55328 L
.56863 .55217 L
.56822 .55116 L
.56768 .55057 L
.56662 .54904 L
.56656 .54896 L
.56534 .54735 L
.56501 .54693 L
.56412 .54575 L
.56341 .54506 L
.56266 .54414 L
.5618 .54281 L
.56161 .54254 L
.56041 .54093 L
.5602 .54066 L
.5592 .53933 L
.55859 .53855 L
.55761 .53772 L
.55699 .53646 L
.55664 .53612 L
.55549 .53451 L
.55538 .53437 L
.5543 .53291 L
.55378 .53219 L
.55297 .5313 L
.55378 .52978 L
.55391 .5297 L
.55419 .52809 L
.55378 .52735 L
.55331 .52649 L
.55217 .52492 L
.55214 .52488 L
.55093 .52328 L
.55057 .52287 L
.54961 .52167 L
.54896 .52097 L
.5482 .52007 L
.54735 .51915 L
.54674 .51846 L
.54575 .51759 L
.54524 .51686 L
.54414 .51539 L
.54369 .51525 L
.54254 .51407 L
.54211 .51364 L
.54093 .51246 L
.54049 .51204 L
.53933 .51087 L
.53886 .51043 L
.53772 .50928 L
.53724 .50883 L
.53612 .50765 L
.53566 .50722 L
.53451 .50594 L
.53419 .50562 L
.53291 .5041 L
.53283 .50401 L
.5317 .50241 L
.5313 .50218 L
.53016 .5008 L
.5297 .50019 L
.52889 .4992 L
.52809 .49814 L
.52765 .49759 L
.52649 .49605 L
.52644 .49599 L
.5253 .49438 L
.52488 .49383 L
.52429 .49278 L
.52328 .49188 L
.52271 .49117 L
.52167 .48977 L
.52151 .48957 L
.52035 .48796 L
.52007 .48759 L
.51935 .48636 L
.51846 .48529 L
.5178 .48475 L
.51686 .48348 L
.51659 .48314 L
.51541 .48154 L
.51525 .48133 L
.51438 .47993 L
.51364 .47905 L
.51289 .47833 L
.51204 .47719 L
.51167 .47672 L
.51047 .47512 L
.51043 .47507 L
.50937 .47351 L
.50883 .47285 L
.50797 .47191 L
.50722 .47091 L
.50674 .4703 L
.50562 .46881 L
.50553 .4687 L
.50437 .46709 L
.50401 .46664 L
.50339 .46549 L
.50241 .46437 L
.50181 .46388 L
.5008 .46254 L
.5006 .46228 L
.49939 .46067 L
.4992 .46041 L
.49832 .45907 L
.49759 .4582 L
.49689 .45746 L
.49599 .45597 L
.49566 .45586 L
.49444 .45425 L
.49438 .45416 L
.4933 .45265 L
.49278 .45199 L
.49232 .45104 L
.49117 .44979 L
.49073 .44943 L
.48957 .44789 L
.48952 .44783 L
.48831 .44622 L
.48796 .44576 L
.48724 .44462 L
.48636 .44359 L
.4858 .44301 L
.48475 .44148 L
.48459 .44141 L
.48333 .4398 L
.48314 .43951 L
.48221 .4382 L
.48154 .43737 L
.48121 .43659 L
.47993 .43523 L
.47965 .43499 L
.47839 .43338 L
.47833 .43325 L
.47721 .43178 L
.47672 .43113 L
.47615 .43017 L
.47512 .42899 L
.47473 .42857 L
.47351 .42697 L
.47351 .42696 L
.47222 .42536 L
.47191 .42489 L
.47112 .42375 L
.4703 .42275 L
.47008 .42215 L
.4687 .42066 L
.46858 .42054 L
.46723 .41894 L
.46709 .41864 L
.46611 .41733 L
.46549 .41651 L
.46503 .41572 L
.46388 .41439 L
.46365 .41412 L
.46242 .41251 L
.46228 .41238 L
.4611 .41091 L
.46067 .41027 L
.46001 .4093 L
.45907 .40814 L
.45893 .4077 L
.45749 .40609 L
.45746 .40608 L
.45609 .40449 L
.45586 .40404 L
.455 .40288 L
.45425 .40189 L
.45391 .40128 L
.45265 .39977 L
.45256 .39967 L
.45105 .39807 L
.45104 .39781 L
.44999 .39646 L
.44943 .39566 L
.44891 .39486 L
.44783 .39351 L
.44776 .39325 L
.44641 .39165 L
.44622 .39157 L
.44495 .39004 L
.44462 .38944 L
.4439 .38844 L
.44301 .38726 L
.44279 .38683 L
.44149 .38523 L
.44141 .38513 L
.43986 .38362 L
.4398 .38324 L
.43889 .38201 L
.4382 .38102 L
.43781 .38041 L
.43659 .37885 L
.43658 .3788 L
.43534 .3772 L
.43499 .37708 L
.43384 .37559 L
.43338 .37481 L
.43282 .37399 L
.43178 .37259 L
.43167 .37238 L
.43042 .37078 L
.43017 .37046 L
.42873 .36917 L
.42857 .36863 L
.42781 .36757 L
.42696 .36634 L
.42672 .36596 L
.4255 .36436 L
.42536 .36418 L
.42428 .36275 L
.42375 .36208 L
.42276 .36115 L
.42215 .36015 L
.42173 .35954 L
.42054 .35796 L
.42053 .35794 L
.41928 .35633 L
.41894 .3559 L
.41761 .35473 L
.41733 .3541 L
.41658 .35312 L
.41572 .352 L
.41539 .35152 L
.41412 .35002 L
.41409 .34991 L
.41254 .3483 L
.41251 .34821 L
.41118 .3467 L
.41091 .34638 L
.40985 .34509 L
.4093 .34455 L
.40856 .34349 L
.4077 .34273 L
.40698 .34188 L
.40609 .34087 L
.40558 .34028 L
.40449 .33889 L
.40427 .33867 L
.40321 .33707 L
.40288 .33653 L
.40268 .33546 L
.40288 .33387 L
.40291 .33386 L
.40449 .33369 L
.40557 .33386 L
.40609 .33393 L
.4077 .33416 L
.4093 .33424 L
.41091 .33417 L
.41251 .33408 L
.41412 .33405 L
.41572 .33406 L
.41733 .33408 L
.41894 .33409 L
.42054 .3341 L
.42215 .33412 L
.42375 .33415 L
.42536 .33418 L
.42696 .33423 L
.42857 .33429 L
.43017 .33437 L
.43178 .33449 L
.43338 .33464 L
.43499 .33484 L
.43659 .33511 L
.43819 .33546 L
.4382 .33547 L
.4398 .33595 L
.44141 .33655 L
.44257 .33707 L
.44301 .33729 L
.44462 .33815 L
.44548 .33867 L
.44622 .33915 L
.44783 .34025 L
.44786 .34028 L
.44943 .34146 L
.44996 .34188 L
.45104 .34278 L
.45187 .34349 L
.45265 .34419 L
.45362 .34509 L
.45425 .3457 L
.45524 .3467 L
.45586 .34734 L
.45674 .3483 L
.45746 .34913 L
.45811 .34991 L
.45907 .35113 L
.45934 .35152 L
.46041 .35312 L
.46067 .35352 L
.46127 .35473 L
.46185 .35633 L
.46204 .35794 L
.46154 .35954 L
.46067 .36061 L
.45958 .36115 L
.45907 .36138 L
.45746 .36189 L
.45586 .36222 L
.45425 .36242 L
.45265 .36254 L
.45104 .36267 L
.45033 .36275 L
.44943 .36289 L
.44783 .36314 L
.44622 .36304 L
.44514 .36275 L
.44462 .36259 L
.44301 .362 L
.44141 .36153 L
.44002 .36275 L
.44054 .36436 L
.44141 .36538 L
.44182 .36596 L
.44299 .36757 L
.44301 .36761 L
.44431 .36917 L
.44462 .36975 L
.44547 .37078 L
.44622 .37187 L
.4466 .37238 L
.44783 .3735 L
.44825 .37399 L
.44943 .37547 L
.44954 .37559 L
.45082 .3772 L
.45104 .37752 L
.45196 .3788 L
.45265 .37974 L
.45346 .38041 L
.45425 .38143 L
.45473 .38201 L
.45586 .38349 L
.45597 .38362 L
.45715 .38523 L
.45746 .38567 L
.45814 .38683 L
.45907 .38758 L
.45975 .38844 L
.46067 .38967 L
.46097 .39004 L
.46218 .39165 L
.46228 .3918 L
.46325 .39325 L
.46388 .39414 L
.4647 .39486 L
.46549 .39591 L
.46592 .39646 L
.46709 .39802 L
.46713 .39807 L
.46828 .39967 L
.4687 .40027 L
.46923 .40128 L
.4703 .40218 L
.47086 .40288 L
.47191 .40428 L
.47207 .40449 L
.47327 .40609 L
.47351 .40645 L
.47432 .4077 L
.47512 .40878 L
.47579 .4093 L
.47672 .41055 L
.47701 .41091 L
.47823 .41251 L
.47833 .41268 L
.47935 .41412 L
.47993 .41492 L
.48031 .41572 L
.48154 .41682 L
.48194 .41733 L
.48314 .41893 L
.48315 .41894 L
.48435 .42054 L
.48475 .42111 L
.4854 .42215 L
.48636 .42337 L
.48687 .42375 L
.48796 .42519 L
.48809 .42536 L
.48933 .42696 L
.48957 .42733 L
.49044 .42857 L
.49117 .42954 L
.49141 .43017 L
.49278 .43147 L
.49302 .43178 L
.49429 .43338 L
.49438 .43358 L
.49545 .43499 L
.49599 .43575 L
.4965 .43659 L
.49759 .43793 L
.49795 .4382 L
.49919 .4398 L
.4992 .43984 L
.50044 .44141 L
.5008 .44197 L
.50154 .44301 L
.50241 .44414 L
.50255 .44462 L
.50401 .4462 L
.5041 .44622 L
.50543 .44783 L
.50562 .44822 L
.50655 .44943 L
.50722 .45036 L
.50762 .45104 L
.50883 .45248 L
.50903 .45265 L
.51041 .45425 L
.51043 .45447 L
.51155 .45586 L
.51204 .4566 L
.51264 .45746 L
.51364 .45873 L
.51372 .45907 L
.51518 .46067 L
.51525 .46074 L
.51657 .46228 L
.51686 .46284 L
.51765 .46388 L
.51846 .46497 L
.51874 .46549 L
.52007 .46705 L
.52011 .46709 L
.5216 .4687 L
.52167 .46908 L
.52266 .4703 L
.52328 .47122 L
.52375 .47191 L
.52488 .47333 L
.52491 .47351 L
.52626 .47512 L
.52649 .47533 L
.52769 .47672 L
.52809 .47746 L
.52876 .47833 L
.5297 .47959 L
.52988 .47993 L
.53119 .48154 L
.5313 .48161 L
.53277 .48314 L
.53291 .48369 L
.53377 .48475 L
.53451 .48584 L
.53486 .48636 L
.53612 .48795 L
.53612 .48796 L
.53734 .48957 L
.53772 .48991 L
.53881 .49117 L
.53933 .49208 L
.53985 .49278 L
.54093 .49422 L
.54102 .49438 L
.54227 .49599 L
.54254 .49613 L
.5439 .49759 L
.54414 .4983 L
.54486 .4992 L
.54575 .50047 L
.54597 .5008 L
.5472 .50241 L
.54735 .5026 L
.54842 .50401 L
.54896 .50449 L
.5499 .50562 L
.55057 .50671 L
.55094 .50722 L
.55214 .50883 L
.55217 .50887 L
.55335 .51043 L
.55378 .51064 L
.555 .51204 L
.55538 .51292 L
.55594 .51364 L
.55699 .51513 L
.55707 .51525 L
.55828 .51686 L
.55859 .51725 L
.5595 .51846 L
.5602 .51909 L
.56098 .52007 L
.5618 .52137 L
.56202 .52167 L
.56321 .52328 L
.56341 .52352 L
.56443 .52488 L
.56501 .52562 L
.56607 .52649 L
.56662 .52758 L
.56701 .52809 L
.56815 .5297 L
.56822 .52979 L
.56936 .5313 L
.56983 .5319 L
.57058 .53291 L
.57143 .53377 L
.57201 .53451 L
.57304 .53606 L
.57308 .53612 L
.57428 .53772 L
.57464 .53818 L
.57549 .53933 L
.57625 .53998 L
.57699 .54093 L
.57785 .54232 L
.57801 .54254 L
.57919 .54414 L
.57946 .54448 L
.5804 .54575 L
.58106 .5463 L
.58187 .54735 L
.58267 .54862 L
.58292 .54896 L
.58409 .55057 L
.58428 .5508 L
.58529 .55217 L
.58588 .55292 L
.58674 .55378 L
.58749 .55487 L
.58783 .55538 L
.58901 .55699 L
.58909 .55709 L
.59023 .55859 L
.5907 .55916 L
.59149 .5602 L
.5923 .56117 L
.59279 .5618 L
.59391 .56308 L
.59418 .56341 L
.59551 .56483 L
.59567 .56501 L
.59712 .56644 L
.59729 .56662 L
.59872 .56797 L
.59898 .56822 L
.60033 .56924 L
.60068 .56983 L
.60193 .57105 L
.60237 .57143 L
.60354 .57258 L
.60402 .57304 L
.60514 .57418 L
.60562 .57464 L
.60675 .57584 L
.60716 .57625 L
.60835 .57757 L
.60864 .57785 L
.60996 .57938 L
.61004 .57946 L
.61141 .58106 L
.61156 .58153 L
.61277 .58267 L
.61317 .58322 L
.61406 .58428 L
.61477 .58528 L
.61527 .58588 L
.6163 .58749 L
.61638 .58764 L
.61706 .58909 L
.61638 .59006 L
.61477 .59042 L
.61318 .58909 L
.61317 .58908 L
.61196 .58749 L
.61156 .58692 L
.61073 .58588 L
.60996 .58495 L
.60902 .58428 L
.60835 .58285 L
.60816 .58267 L
.607 .58106 L
.60675 .58075 L
.60579 .57946 L
.60514 .57866 L
.60455 .57785 L
.60354 .57684 L
.60302 .57625 L
.60202 .57464 L
.60193 .57454 L
.6008 .57304 L
.60033 .57247 L
.59955 .57143 L
.59872 .57045 L
.59824 .56983 L
.59712 .56852 L
.59687 .56822 L
.59551 .56673 L
.59541 .56662 L
.59391 .56515 L
.59376 .56501 L
.5923 .56379 L
.59178 .56341 L
.5907 .56264 L
.58925 .5618 L
.58909 .56171 L
.58749 .56092 L
.58632 .5602 L
.58588 .55988 L
.58466 .55859 L
.58428 .55807 L
.58334 .55699 L
.58267 .55576 L
.58212 .55538 L
.58106 .55392 L
.58092 .55378 L
.57958 .55217 L
.57946 .55186 L
.57839 .55057 L
.57785 .54973 L
.57724 .54896 L
.57625 .5476 L
.57607 .54735 L
.57484 .54575 L
.57464 .54545 L
.57366 .54414 L
.57304 .54329 L
.5725 .54254 L
.57143 .54111 L
.57133 .54093 L
.57012 .53933 L
.56983 .53894 L
.56903 .53772 L
.56822 .53675 L
.56771 .53612 L
.56662 .53458 L
.56653 .53451 L
.56545 .53291 L
.56501 .53237 L
.56407 .5313 L
.56341 .53039 L
.56286 .5297 L
.5618 .52827 L
.56166 .52809 L
.56055 .52649 L
.5602 .52603 L
.55917 .52488 L
.55859 .5241 L
.55794 .52328 L
.55699 .522 L
.55672 .52167 L
.55555 .52007 L
.55538 .51984 L
.55458 .51846 L
.55378 .51783 L
.553 .51686 L
.55217 .51574 L
.55178 .51525 L
.55058 .51364 L
.55057 .51363 L
.54948 .51204 L
.54896 .51137 L
.54807 .51043 L
.54735 .50947 L
.54684 .50883 L
.54575 .50737 L
.54563 .50722 L
.54447 .50562 L
.54414 .50519 L
.54347 .50401 L
.54254 .50289 L
.54191 .50241 L
.54093 .5011 L
.5407 .5008 L
.53949 .4992 L
.53933 .49897 L
.53841 .49759 L
.53772 .49674 L
.53699 .49599 L
.53612 .49483 L
.53576 .49438 L
.53455 .49278 L
.53451 .49272 L
.53339 .49117 L
.53291 .49054 L
.5324 .48957 L
.5313 .48831 L
.53083 .48796 L
.5297 .48645 L
.52962 .48636 L
.5284 .48475 L
.52809 .48432 L
.52733 .48314 L
.52649 .48213 L
.52591 .48154 L
.52488 .47999 L
.52469 .47993 L
.52344 .47833 L
.52328 .47807 L
.52231 .47672 L
.52167 .47591 L
.5213 .47512 L
.52007 .47376 L
.51976 .47351 L
.5185 .47191 L
.51846 .47181 L
.51731 .4703 L
.51686 .46968 L
.51624 .4687 L
.51525 .46753 L
.51483 .46709 L
.51364 .4655 L
.51361 .46549 L
.51232 .46388 L
.51204 .46344 L
.51121 .46228 L
.51043 .4613 L
.51018 .46067 L
.50883 .4592 L
.50868 .45907 L
.50734 .45746 L
.50722 .45719 L
.50621 .45586 L
.50562 .45506 L
.50513 .45425 L
.50401 .45294 L
.50375 .45265 L
.50253 .45104 L
.50241 .45092 L
.5012 .44943 L
.5008 .44882 L
.50011 .44783 L
.4992 .44669 L
.49903 .44622 L
.4976 .44462 L
.49759 .44462 L
.49619 .44301 L
.49599 .44258 L
.4951 .44141 L
.49438 .44044 L
.49401 .4398 L
.49278 .43833 L
.49267 .4382 L
.49144 .43659 L
.49117 .43634 L
.49008 .43499 L
.48957 .4342 L
.489 .43338 L
.48796 .43206 L
.48787 .43178 L
.48652 .43017 L
.48636 .43009 L
.48504 .42857 L
.48475 .42798 L
.484 .42696 L
.48314 .42581 L
.48289 .42536 L
.48158 .42375 L
.48154 .42369 L
.48036 .42215 L
.47993 .42177 L
.47898 .42054 L
.47833 .41958 L
.4779 .41894 L
.47672 .41743 L
.4767 .41733 L
.47544 .41572 L
.47512 .41558 L
.47392 .41412 L
.47351 .41337 L
.4729 .41251 L
.47191 .41117 L
.47176 .41091 L
.47051 .4093 L
.4703 .40904 L
.4688 .4077 L
.4687 .40718 L
.46788 .40609 L
.46709 .40494 L
.4668 .40449 L
.46557 .40288 L
.46549 .40277 L
.46436 .40128 L
.46388 .40105 L
.46283 .39967 L
.46228 .39873 L
.46182 .39807 L
.46067 .3965 L
.46065 .39646 L
.45943 .39486 L
.45907 .39439 L
.4577 .39325 L
.45746 .39256 L
.45681 .39165 L
.45586 .39026 L
.45572 .39004 L
.45451 .38844 L
.45425 .38811 L
.4533 .38683 L
.45265 .386 L
.45177 .38523 L
.45104 .38402 L
.45077 .38362 L
.4496 .38201 L
.44943 .38181 L
.4484 .38041 L
.44783 .37968 L
.44668 .3788 L
.44622 .37778 L
.44583 .3772 L
.44473 .37559 L
.44462 .37546 L
.44355 .37399 L
.44301 .3733 L
.44235 .37238 L
.44141 .37116 L
.44093 .37078 L
.4399 .36917 L
.4398 .36904 L
.43872 .36757 L
.4382 .36691 L
.43749 .36596 L
.43659 .36486 L
.43584 .36436 L
.43499 .36299 L
.43477 .36275 L
.43341 .36115 L
.43338 .36112 L
.43189 .35954 L
.43178 .35946 L
.43018 .35794 L
.43017 .35788 L
.42857 .3564 L
.42846 .35633 L
.42696 .35481 L
.42644 .35473 L
.42536 .354 L
.42416 .35473 L
.42498 .35633 L
.42536 .35695 L
.42602 .35794 L
.42696 .35934 L
.42711 .35954 L
.42819 .36115 L
.42857 .36178 L
.42911 .36275 L
.43017 .36367 L
.43071 .36436 L
.43178 .36579 L
.43191 .36596 L
.43311 .36757 L
.43338 .36798 L
.43418 .36917 L
.43499 .37032 L
.43564 .37078 L
.43659 .37204 L
.43687 .37238 L
.4381 .37399 L
.4382 .37416 L
.43923 .37559 L
.4398 .37641 L
.44021 .3772 L
.44141 .37828 L
.44182 .3788 L
.44301 .38038 L
.44304 .38041 L
.44425 .38201 L
.44462 .38257 L
.4453 .38362 L
.44622 .38487 L
.44676 .38523 L
.44783 .38664 L
.44798 .38683 L
.44923 .38844 L
.44943 .38878 L
.45034 .39004 L
.45104 .39101 L
.45133 .39165 L
.45265 .39291 L
.45291 .39325 L
.45418 .39486 L
.45425 .39502 L
.45535 .39646 L
.45586 .3972 L
.45641 .39807 L
.45746 .39942 L
.45784 .39967 L
.45906 .40128 L
.45907 .40128 L
.46034 .40288 L
.46067 .40342 L
.46144 .40449 L
.46228 .40561 L
.46246 .40609 L
.46388 .40755 L
.464 .4077 L
.46532 .4093 L
.46549 .40966 L
.46645 .41091 L
.46709 .41182 L
.46752 .41251 L
.4687 .41396 L
.46893 .41412 L
.47029 .41572 L
.4703 .41592 L
.47145 .41733 L
.47191 .41805 L
.47254 .41894 L
.47351 .42019 L
.47362 .42054 L
.47508 .42215 L
.47512 .42219 L
.47647 .42375 L
.47672 .42429 L
.47755 .42536 L
.47833 .42643 L
.47864 .42696 L
.47993 .42851 L
.48001 .42857 L
.4815 .43017 L
.48154 .43054 L
.48257 .43178 L
.48314 .43267 L
.48365 .43338 L
.48475 .43478 L
.4848 .43499 L
.48616 .43659 L
.48636 .43679 L
.4876 .4382 L
.48796 .43891 L
.48866 .4398 L
.48957 .44104 L
.48978 .44141 L
.49109 .44301 L
.49117 .44307 L
.49268 .44462 L
.49278 .44515 L
.49367 .44622 L
.49438 .44729 L
.49476 .44783 L
.49599 .44939 L
.496 .44943 L
.49724 .45104 L
.49759 .45138 L
.49872 .45265 L
.4992 .45353 L
.49976 .45425 L
.5008 .45566 L
.50091 .45586 L
.50217 .45746 L
.50241 .45761 L
.50382 .45907 L
.50401 .45975 L
.50477 .46067 L
.50562 .46192 L
.50587 .46228 L
.5071 .46388 L
.50722 .46404 L
.50832 .46549 L
.50883 .46596 L
.50981 .46709 L
.51043 .46816 L
.51085 .4687 L
.51204 .4703 L
.51204 .47031 L
.51325 .47191 L
.51364 .47214 L
.51492 .47351 L
.51525 .47438 L
.51585 .47512 L
.51686 .47657 L
.51696 .47672 L
.51818 .47833 L
.51846 .47869 L
.5194 .47993 L
.52007 .48057 L
.52088 .48154 L
.52167 .48281 L
.52192 .48314 L
.52311 .48475 L
.52328 .48496 L
.52432 .48636 L
.52488 .48671 L
.52597 .48796 L
.52649 .48903 L
.52691 .48957 L
.52805 .49117 L
.52809 .49123 L
.52925 .49278 L
.5297 .49334 L
.53047 .49438 L
.5313 .49521 L
.53192 .49599 L
.53291 .49748 L
.53299 .49759 L
.53418 .4992 L
.53451 .49961 L
.5354 .5008 L
.53612 .50171 L
.53705 .50241 L
.53772 .50367 L
.53798 .50401 L
.53914 .50562 L
.53933 .50586 L
.54035 .50722 L
.54093 .50795 L
.54159 .50883 L
.54254 .51001 L
.54322 .51043 L
.54414 .51204 L
.54414 .51205 L
.54536 .51364 L
.54575 .51412 L
.5466 .51525 L
.54735 .51616 L
.54788 .51686 L
.54896 .51817 L
.54918 .51846 L
.55048 .52007 L
.55057 .52017 L
.55171 .52167 L
.55217 .52222 L
.55295 .52328 L
.55378 .52429 L
.55421 .52488 L
.55538 .52638 L
.55546 .52649 L
.55654 .52809 L
.55699 .52879 L
.5576 .5297 L
.55859 .53117 L
.55871 .5313 L
.55979 .53291 L
.5602 .53347 L
.56087 .53451 L
.5618 .53576 L
.56192 .53612 L
.56326 .53772 L
.56341 .53795 L
.56433 .53933 L
.56501 .54028 L
.56573 .54093 L
.56662 .54213 L
.56694 .54254 L
.56813 .54414 L
.56822 .54427 L
.5692 .54575 L
.56983 .5465 L
.57064 .54735 L
.57143 .54876 L
.57186 .54896 L
.57304 .55054 L
.57306 .55057 L
.57418 .55217 L
.57464 .55265 L
.5751 .55378 L
.57625 .55475 L
.57678 .55538 L
.57785 .55681 L
.57799 .55699 L
.57917 .55859 L
.57946 .55897 L
.58038 .5602 L
.57946 .56037 L
.57785 .5604 L
.57641 .5618 L
.57765 .56341 L
.57785 .56366 L
.57876 .56501 L
.57946 .56575 L
.57971 .56662 L
.58106 .56785 L
.58135 .56822 L
.5826 .56983 L
.58267 .56998 L
.58376 .57143 L
.58428 .57214 L
.58481 .57304 L
.58588 .57429 L
.58628 .57464 L
.58749 .57625 L
.58749 .57625 L
.58875 .57785 L
.58909 .57829 L
.58985 .57946 L
.5907 .58042 L
.59084 .58106 L
.5923 .58252 L
.59243 .58267 L
.59373 .58428 L
.59391 .58462 L
.59486 .58588 L
.59551 .58673 L
.59592 .58749 L
.59712 .58883 L
.59735 .58909 L
.59712 .59059 L
.59551 .59061 L
.59391 .59062 L
.59326 .5907 L
.59391 .59132 L
.59451 .5923 L
.59551 .59354 L
.59564 .59391 L
.597 .59551 L
.59712 .59566 L
.59847 .59712 L
.59872 .59777 L
.59952 .59872 L
.60033 .59988 L
.60063 .60033 L
.60193 .60193 L
.60193 .60193 L
.60315 .60354 L
.60354 .60384 L
.60455 .60514 L
.60514 .60602 L
.60562 .60675 L
.60675 .60819 L
.6068 .60835 L
.60808 .60996 L
.60835 .61032 L
.6096 .61156 L
.60996 .61242 L
.61062 .61317 L
.61156 .61433 L
.61174 .61477 L
.613 .61638 L
.61317 .61661 L
.6142 .61799 L
.61477 .61879 L
.61557 .61959 L
.61477 .62074 L
.61317 .62078 L
.61156 .62062 L
.61042 .61959 L
.60996 .61917 L
.60927 .61799 L
.60835 .61715 L
.60776 .61638 L
.60675 .61505 L
.60653 .61477 L
.6053 .61317 L
.60514 .61285 L
.60418 .61156 L
.60354 .6109 L
.60323 .60996 L
.60193 .6088 L
.60158 .60835 L
.60036 .60675 L
.60033 .60668 L
.59917 .60514 L
.59872 .60449 L
.59813 .60354 L
.59712 .60228 L
.59665 .60193 L
.59551 .60042 L
.59544 .60033 L
.59419 .59872 L
.59391 .59836 L
.59309 .59712 L
.5923 .59629 L
.59212 .59551 L
.5907 .59422 L
.59051 .59391 L
.58923 .5923 L
.58909 .59198 L
.58831 .5907 L
.58909 .59065 L
.5907 .59063 L
.59209 .58909 L
.59086 .58749 L
.5907 .5873 L
.58951 .58588 L
.58909 .58522 L
.58842 .58428 L
.58749 .58312 L
.58733 .58267 L
.58592 .58106 L
.58588 .58101 L
.58448 .57946 L
.58428 .5789 L
.58341 .57785 L
.58267 .57677 L
.58232 .57625 L
.58106 .5747 L
.58099 .57464 L
.57977 .57304 L
.57946 .57275 L
.57839 .57143 L
.57785 .57062 L
.57732 .56983 L
.57625 .56848 L
.57617 .56822 L
.57484 .56662 L
.57464 .56635 L
.57335 .56501 L
.57304 .56423 L
.57231 .56341 L
.57143 .56213 L
.5712 .5618 L
.56983 .56025 L
.56822 .5604 L
.56662 .56044 L
.56587 .5618 L
.56662 .56272 L
.56695 .56341 L
.56822 .56486 L
.56834 .56501 L
.56978 .56662 L
.56983 .56699 L
.57088 .56822 L
.57143 .56912 L
.57197 .56983 L
.57304 .57121 L
.57309 .57143 L
.57449 .57304 L
.57464 .57315 L
.5759 .57464 L
.57625 .57524 L
.57697 .57625 L
.57785 .57739 L
.57808 .57785 L
.57942 .57946 L
.57946 .57951 L
.58096 .58106 L
.58106 .58162 L
.58199 .58267 L
.58267 .5834 L
.58307 .58428 L
.58428 .58574 L
.58429 .58588 L
.58556 .58749 L
.58588 .58793 L
.58702 .58909 L
.58588 .59061 L
.58428 .59062 L
.58267 .59057 L
.58164 .58909 L
.58106 .58852 L
.58063 .58749 L
.57946 .5864 L
.57907 .58588 L
.57785 .58428 L
.57785 .58428 L
.57663 .58267 L
.57625 .58197 L
.57556 .58106 L
.57464 .58012 L
.57413 .57946 L
.57304 .57801 L
.57292 .57785 L
.57165 .57625 L
.57143 .57588 L
.57053 .57464 L
.56983 .57371 L
.56952 .57304 L
.56822 .57159 L
.56798 .57143 L
.56669 .56983 L
.56662 .56968 L
.56553 .56822 L
.56501 .56763 L
.56446 .56662 L
.56341 .56553 L
.56305 .56501 L
.56184 .56341 L
.5618 .56336 L
.56053 .5618 L
.5618 .56044 L
.56341 .56041 L
.56479 .5602 L
.56341 .55859 L
.56341 .55859 L
.56191 .55699 L
.5618 .55652 L
.56086 .55538 L
.5602 .55443 L
.55977 .55378 L
.55859 .55232 L
.55858 .55217 L
.55726 .55057 L
.55699 .55025 L
.55583 .54896 L
.55538 .54813 L
.55477 .54735 L
.55378 .54601 L
.55363 .54575 L
.55233 .54414 L
.55217 .54409 L
.55076 .54254 L
.55057 .54201 L
.54976 .54093 L
.54896 .53984 L
.54866 .53933 L
.54739 .53772 L
.54735 .53767 L
.54618 .53612 L
.54575 .53555 L
.54472 .53451 L
.54414 .53344 L
.54367 .53291 L
.54254 .53137 L
.54249 .5313 L
.54093 .53006 L
.53933 .53018 L
.53772 .53026 L
.53722 .5313 L
.53772 .53191 L
.5383 .53291 L
.53933 .53405 L
.53967 .53451 L
.54089 .53612 L
.54093 .53618 L
.54222 .53772 L
.54254 .53834 L
.54332 .53933 L
.54414 .54049 L
.54439 .54093 L
.54575 .54251 L
.54582 .54254 L
.54722 .54414 L
.54735 .54449 L
.54832 .54575 L
.54896 .54661 L
.54941 .54735 L
.55057 .54873 L
.55075 .54896 L
.55197 .55057 L
.55217 .55083 L
.55334 .55217 L
.55378 .55258 L
.55442 .55378 L
.55538 .55483 L
.55553 .55538 L
.5569 .55699 L
.55699 .5571 L
.55838 .55859 L
.55859 .55932 L
.55941 .5602 L
.55859 .56039 L
.55699 .56043 L
.55538 .56046 L
.55412 .5602 L
.55378 .55992 L
.553 .55859 L
.55217 .55774 L
.55203 .55699 L
.55057 .5556 L
.5504 .55538 L
.54911 .55378 L
.54896 .5534 L
.54798 .55217 L
.54735 .55112 L
.54693 .55057 L
.54575 .54933 L
.54547 .54896 L
.54417 .54735 L
.54414 .54722 L
.54298 .54575 L
.54254 .54509 L
.54189 .54414 L
.54093 .54295 L
.54087 .54254 L
.53933 .54094 L
.53932 .54093 L
.53798 .53933 L
.53772 .53897 L
.53688 .53772 L
.53612 .53687 L
.53581 .53612 L
.53451 .53471 L
.53439 .53451 L
.53298 .53291 L
.53291 .53254 L
.53187 .5313 L
.53291 .53025 L
.53451 .53019 L
.53606 .5297 L
.53474 .52809 L
.53451 .52783 L
.53325 .52649 L
.53291 .52574 L
.53222 .52488 L
.5313 .52363 L
.53109 .52328 L
.52981 .52167 L
.5297 .52157 L
.52815 .52007 L
.52809 .51949 L
.5272 .51846 L
.52649 .51736 L
.52611 .51686 L
.52488 .51526 L
.52488 .51525 L
.52366 .51364 L
.52328 .51345 L
.52214 .51204 L
.52167 .51123 L
.52112 .51043 L
.52007 .50901 L
.51997 .50883 L
.51873 .50722 L
.51846 .50687 L
.51701 .50562 L
.51686 .50476 L
.51611 .50401 L
.51525 .50267 L
.51502 .50241 L
.5138 .5008 L
.51525 .49997 L
.51686 .49994 L
.51775 .4992 L
.51686 .49792 L
.51658 .49759 L
.51539 .49599 L
.51525 .49586 L
.51418 .49438 L
.51364 .49383 L
.51249 .49278 L
.51204 .49169 L
.51157 .49117 L
.51046 .48957 L
.51043 .48954 L
.50925 .48796 L
.50883 .48742 L
.50804 .48636 L
.50722 .48552 L
.50662 .48475 L
.50562 .48325 L
.50554 .48314 L
.50436 .48154 L
.50401 .4811 L
.50286 .47993 L
.50241 .47911 L
.50186 .47833 L
.5008 .47683 L
.50074 .47672 L
.49954 .47512 L
.4992 .47456 L
.49844 .47351 L
.49759 .47229 L
.49744 .47191 L
.49629 .4703 L
.49599 .47 L
.49503 .4687 L
.49438 .46776 L
.49387 .46709 L
.49278 .46556 L
.49272 .46549 L
.49146 .46388 L
.49117 .46349 L
.49019 .46228 L
.48957 .46143 L
.48894 .46067 L
.48796 .45936 L
.48772 .45907 L
.48662 .45746 L
.48636 .45716 L
.48519 .45586 L
.48475 .45526 L
.48393 .45425 L
.48314 .4532 L
.4827 .45265 L
.48154 .45111 L
.48149 .45104 L
.48043 .44943 L
.47993 .44884 L
.47897 .44783 L
.47833 .44698 L
.47773 .44622 L
.47672 .44488 L
.47651 .44462 L
.47535 .44301 L
.47512 .44273 L
.47436 .44141 L
.47351 .44044 L
.47279 .4398 L
.47191 .43862 L
.47157 .4382 L
.47037 .43659 L
.4703 .4365 L
.46928 .43499 L
.4687 .43429 L
.46786 .43338 L
.46709 .432 L
.46664 .43178 L
.46549 .43024 L
.46543 .43017 L
.46427 .42857 L
.46388 .42808 L
.4633 .42696 L
.46228 .42585 L
.46171 .42536 L
.46067 .42397 L
.4605 .42375 L
.45929 .42215 L
.45907 .42185 L
.45823 .42054 L
.45746 .41966 L
.45678 .41894 L
.45586 .41747 L
.45556 .41733 L
.45434 .41572 L
.45425 .41559 L
.45321 .41412 L
.45265 .41344 L
.45223 .41251 L
.45104 .41127 L
.45063 .41091 L
.44943 .40932 L
.44942 .4093 L
.44821 .4077 L
.44783 .40721 L
.44715 .40609 L
.44622 .40505 L
.4457 .40449 L
.44462 .40296 L
.44449 .40288 L
.44323 .40128 L
.44301 .40096 L
.44212 .39967 L
.44141 .39882 L
.44113 .39807 L
.4398 .39669 L
.43955 .39646 L
.43828 .39486 L
.4382 .3947 L
.43712 .39325 L
.43659 .39258 L
.43606 .39165 L
.43499 .39045 L
.43463 .39004 L
.43341 .38844 L
.43338 .38841 L
.43212 .38683 L
.43178 .38634 L
.43103 .38523 L
.43017 .3842 L
.42999 .38362 L
.42857 .3821 L
.42848 .38201 L
.42713 .38041 L
.42696 .38009 L
.42602 .3788 L
.42536 .37796 L
.42494 .3772 L
.42375 .37583 L
.42355 .37559 L
.42215 .37399 L
.42215 .37383 L
.42101 .37238 L
.42054 .37172 L
.41993 .37078 L
.41894 .36957 L
.41883 .36917 L
.41741 .36757 L
.41733 .36754 L
.416 .36596 L
.41572 .36548 L
.41492 .36436 L
.41412 .36332 L
.41383 .36275 L
.41251 .36119 L
.41248 .36115 L
.41095 .35954 L
.41091 .35926 L
.40991 .35794 L
.4093 .35708 L
.40883 .35633 L
.4077 .35492 L
.40765 .35473 L
.40634 .35312 L
.40609 .35304 L
.40488 .35152 L
.40449 .35086 L
.40383 .34991 L
.40288 .34867 L
.4027 .3483 L
.4014 .3467 L
.40128 .34654 L
.39983 .34509 L
.39967 .34468 L
.39881 .34349 L
.39807 .34246 L
.39771 .34188 L
.39646 .34029 L
.39646 .34028 L
.39525 .33867 L
.39486 .33816 L
.39382 .33707 L
.39325 .33624 L
.39281 .33546 L
.39173 .33386 L
.39165 .33374 L
.39072 .33225 L
.39004 .33101 L
.38989 .33065 L
F
1 .91 .061 r
.39004 .39747 m
.39042 .39807 L
.39004 .3982 L
.38994 .39807 L
F
1 1 1 r
.39004 .37949 m
.39165 .37988 L
.39325 .37967 L
.39447 .38041 L
.39486 .38069 L
.39596 .38201 L
.39646 .38243 L
.39704 .38362 L
.39807 .38441 L
.39871 .38523 L
.39967 .38648 L
.39995 .38683 L
.40117 .38844 L
.40128 .38863 L
.40226 .39004 L
.40288 .39062 L
.40369 .39165 L
.40449 .3927 L
.40492 .39325 L
.40609 .39481 L
.40613 .39486 L
.40729 .39646 L
.4077 .39702 L
.40828 .39807 L
.4093 .39929 L
.40985 .39967 L
.41091 .40108 L
.41107 .40128 L
.41227 .40288 L
.41251 .40312 L
.41335 .40449 L
.41412 .40493 L
.41477 .40609 L
.41572 .40738 L
.41599 .4077 L
.41687 .4093 L
.41572 .40935 L
.41412 .40936 L
.41297 .41091 L
.41412 .41209 L
.41443 .41251 L
.41571 .41412 L
.41572 .41427 L
.41692 .41572 L
.41733 .4166 L
.41801 .41733 L
.41894 .41838 L
.41904 .41894 L
.42054 .42049 L
.42058 .42054 L
.42192 .42215 L
.42215 .42262 L
.42303 .42375 L
.42375 .42476 L
.4241 .42536 L
.42536 .42685 L
.42551 .42696 L
.42691 .42857 L
.42696 .42879 L
.42803 .43017 L
.42857 .43088 L
.42912 .43178 L
.43017 .43301 L
.43022 .43338 L
.43166 .43499 L
.43178 .43515 L
.43305 .43659 L
.43338 .43729 L
.43413 .4382 L
.43338 .43956 L
.43178 .43959 L
.43017 .4397 L
.42881 .4382 L
.42857 .43786 L
.42769 .43659 L
.42696 .43576 L
.42666 .43499 L
.42536 .43364 L
.42516 .43338 L
.42384 .43178 L
.42375 .43152 L
.42268 .43017 L
.42215 .42937 L
.42161 .42857 L
.42054 .42725 L
.42023 .42696 L
.41901 .42536 L
.41894 .42529 L
.41768 .42375 L
.41733 .42323 L
.41659 .42215 L
.41572 .4211 L
.41552 .42054 L
.41412 .41899 L
.41408 .41894 L
.41267 .41733 L
.41251 .41688 L
.41158 .41572 L
.41091 .41478 L
.41049 .41412 L
.4093 .41269 L
.40915 .41251 L
.40793 .41091 L
.4093 .40939 L
.41091 .40938 L
.41219 .4093 L
.41091 .40797 L
.41079 .4077 L
.40951 .40609 L
.4093 .40576 L
.40789 .40449 L
.4077 .4037 L
.40692 .40288 L
.40609 .40162 L
.40582 .40128 L
.40457 .39967 L
.40449 .39956 L
.40336 .39807 L
.40288 .39771 L
.40188 .39646 L
.40128 .39549 L
.40084 .39486 L
.39967 .3933 L
.39965 .39325 L
.39843 .39165 L
.39807 .39118 L
.39678 .39004 L
.39646 .38907 L
.39584 .38844 L
.39486 .38709 L
.39473 .38683 L
.39352 .38523 L
.39325 .38488 L
.39231 .38362 L
.39165 .38273 L
.39086 .38201 L
.39004 .3805 L
.38995 .38041 L
F
1 .69 0 r
.39004 .45918 m
.391 .46067 L
.39165 .46152 L
.39208 .46228 L
.39165 .46259 L
.39138 .46228 L
.39004 .46077 L
.38996 .46067 L
F
.156 .94 1 r
.39004 .39142 m
.39064 .39165 L
.39165 .39239 L
.39248 .39325 L
.39325 .39403 L
.39397 .39486 L
.39486 .39586 L
.39535 .39646 L
.39646 .39764 L
.39665 .39807 L
.39787 .39967 L
.39807 .39994 L
.39899 .40128 L
.39967 .40231 L
.40001 .40288 L
.39967 .40412 L
.39819 .40288 L
.39807 .40277 L
.39672 .40128 L
.39646 .40099 L
.3954 .39967 L
.39486 .39901 L
.39414 .39807 L
.39325 .3969 L
.39293 .39646 L
.39181 .39486 L
.39165 .39463 L
.39083 .39325 L
.39004 .39175 L
.39001 .39165 L
F
1 .98 .538 r
.39004 .41783 m
.39132 .41894 L
.39165 .41928 L
.39272 .42054 L
.39325 .42117 L
.394 .42215 L
.39486 .42323 L
.39523 .42375 L
.39644 .42536 L
.39646 .42539 L
.39755 .42696 L
.39807 .42768 L
.39866 .42857 L
.39967 .43001 L
.39978 .43017 L
.40094 .43178 L
.40128 .43214 L
.40214 .43338 L
.40288 .43434 L
.40362 .43499 L
.40449 .4364 L
.40464 .43659 L
.40593 .4382 L
.40609 .43838 L
.40726 .4398 L
.4077 .44038 L
.40862 .44141 L
.4093 .44242 L
.4096 .44301 L
.41091 .4445 L
.41126 .44462 L
.41251 .44616 L
.41257 .44622 L
.41395 .44783 L
.41412 .44818 L
.41505 .44943 L
.41572 .45032 L
.41656 .45104 L
.41733 .45202 L
.41786 .45265 L
.41894 .45402 L
.41913 .45425 L
.42039 .45586 L
.42054 .45608 L
.42152 .45746 L
.42215 .45829 L
.42245 .45907 L
.42375 .46006 L
.42425 .46067 L
.42536 .46212 L
.42549 .46228 L
.4267 .46388 L
.42696 .46425 L
.42777 .46549 L
.42857 .46652 L
.42927 .46709 L
.43017 .46828 L
.43051 .4687 L
.43173 .4703 L
.43178 .47038 L
.43287 .47191 L
.43338 .47258 L
.43384 .47351 L
.43499 .47449 L
.43548 .47512 L
.43659 .47659 L
.4367 .47672 L
.4379 .47833 L
.4382 .47874 L
.43896 .47993 L
.4398 .48099 L
.44044 .48154 L
.44141 .48283 L
.44166 .48314 L
.44288 .48475 L
.44301 .48495 L
.44401 .48636 L
.44462 .48714 L
.44496 .48796 L
.44622 .48939 L
.44661 .48957 L
.44782 .49117 L
.44783 .49119 L
.44902 .49278 L
.44943 .49334 L
.45006 .49438 L
.45104 .49555 L
.45154 .49599 L
.45265 .49744 L
.45276 .49759 L
.45401 .4992 L
.45425 .49957 L
.45511 .5008 L
.45586 .50174 L
.45608 .50241 L
.45746 .50389 L
.4577 .50401 L
.45897 .50562 L
.45907 .50581 L
.46012 .50722 L
.46067 .50796 L
.46117 .50883 L
.46228 .51011 L
.46263 .51043 L
.46388 .51204 L
.46388 .51208 L
.46512 .51364 L
.46549 .51419 L
.46621 .51525 L
.46709 .51634 L
.46722 .51686 L
.4687 .51841 L
.46878 .51846 L
.47011 .52007 L
.4703 .52044 L
.47122 .52167 L
.47191 .52257 L
.47229 .52328 L
.47351 .52469 L
.47372 .52488 L
.47508 .52649 L
.47512 .52669 L
.47623 .52809 L
.47672 .52881 L
.47732 .5297 L
.47833 .53094 L
.47839 .5313 L
.47987 .53291 L
.47993 .53297 L
.48124 .53451 L
.48154 .53505 L
.48233 .53612 L
.48314 .53719 L
.48342 .53772 L
.48475 .53928 L
.48479 .53933 L
.48627 .54093 L
.48636 .5413 L
.48734 .54254 L
.48796 .54344 L
.48842 .54414 L
.48957 .54556 L
.48959 .54575 L
.49094 .54735 L
.49117 .54754 L
.49236 .54896 L
.49278 .54968 L
.49342 .55057 L
.49438 .55183 L
.49455 .55217 L
.49586 .55378 L
.49599 .55381 L
.49743 .55538 L
.49759 .55591 L
.49843 .55699 L
.4992 .55808 L
.49952 .55859 L
.50079 .5602 L
.5008 .56022 L
.502 .5618 L
.50241 .56212 L
.50345 .56341 L
.50401 .56433 L
.5045 .56501 L
.50562 .56651 L
.50567 .56662 L
.50691 .56822 L
.50722 .56863 L
.50853 .56983 L
.50883 .57056 L
.50948 .57143 L
.51043 .57279 L
.51059 .57304 L
.51181 .57464 L
.51204 .57494 L
.51302 .57625 L
.51364 .57677 L
.51447 .57785 L
.51525 .57909 L
.51551 .57946 L
.51669 .58106 L
.51686 .58128 L
.51788 .58267 L
.51846 .58342 L
.5195 .58428 L
.52007 .58541 L
.5204 .58588 L
.52152 .58749 L
.52167 .58768 L
.5227 .58909 L
.52328 .58984 L
.52389 .5907 L
.52488 .59182 L
.52522 .5923 L
.52627 .59391 L
.52649 .59419 L
.52741 .59551 L
.52809 .59644 L
.52856 .59712 L
.5297 .59869 L
.52974 .59872 L
.53077 .60033 L
.5313 .60109 L
.53181 .60193 L
.5328 .60354 L
.5313 .60384 L
.5311 .60354 L
.5297 .60218 L
.52947 .60193 L
.52809 .60046 L
.52792 .60033 L
.52649 .59872 L
.52649 .59872 L
.52506 .59712 L
.52488 .59693 L
.52367 .59551 L
.52328 .59502 L
.52214 .59391 L
.52167 .59306 L
.52101 .5923 L
.52007 .59106 L
.51983 .5907 L
.51846 .58928 L
.5183 .58909 L
.51689 .58749 L
.51686 .58728 L
.51571 .58588 L
.51525 .5852 L
.51458 .58428 L
.51364 .58305 L
.51356 .58267 L
.51204 .58128 L
.51186 .58106 L
.51057 .57946 L
.51043 .57921 L
.50942 .57785 L
.50883 .57704 L
.50837 .57625 L
.50722 .57516 L
.50681 .57464 L
.50562 .57309 L
.50558 .57304 L
.50434 .57143 L
.50401 .57095 L
.50324 .56983 L
.50241 .56873 L
.50181 .56822 L
.5008 .5669 L
.50058 .56662 L
.49933 .56501 L
.4992 .56479 L
.49818 .56341 L
.49759 .5626 L
.49716 .5618 L
.49599 .56038 L
.49562 .5602 L
.49439 .55859 L
.49438 .55857 L
.49316 .55699 L
.49278 .55642 L
.49208 .55538 L
.49117 .55422 L
.49067 .55378 L
.48957 .55233 L
.48944 .55217 L
.48817 .55057 L
.48796 .55021 L
.48704 .54896 L
.48636 .54804 L
.48602 .54735 L
.48475 .54589 L
.4845 .54575 L
.48321 .54414 L
.48314 .54397 L
.48203 .54254 L
.48154 .54183 L
.48096 .54093 L
.47993 .53967 L
.47956 .53933 L
.47834 .53772 L
.47833 .53771 L
.47703 .53612 L
.47672 .5356 L
.47593 .53451 L
.47512 .53345 L
.47488 .53291 L
.47351 .53137 L
.47341 .5313 L
.47204 .5297 L
.47191 .52936 L
.47092 .52809 L
.4703 .52722 L
.46984 .52649 L
.4687 .5251 L
.46847 .52488 L
.46725 .52328 L
.46709 .5231 L
.46591 .52167 L
.46549 .52098 L
.46482 .52007 L
.46388 .51885 L
.46372 .51846 L
.46232 .51686 L
.46228 .51682 L
.46088 .51525 L
.46067 .51474 L
.45981 .51364 L
.45907 .51261 L
.45872 .51204 L
.45746 .51051 L
.45739 .51043 L
.45617 .50883 L
.45586 .5085 L
.45479 .50722 L
.45425 .50637 L
.45371 .50562 L
.45265 .50424 L
.45256 .50401 L
.45124 .50241 L
.45104 .50225 L
.44974 .5008 L
.44943 .50013 L
.44871 .4992 L
.44783 .49798 L
.44759 .49759 L
.44631 .49599 L
.44622 .49597 L
.44509 .49438 L
.44462 .49391 L
.44369 .49278 L
.44301 .49174 L
.44262 .49117 L
.44141 .4896 L
.4414 .48957 L
.44017 .48796 L
.4398 .4877 L
.43863 .48636 L
.4382 .4855 L
.43763 .48475 L
.43659 .48333 L
.43648 .48314 L
.43524 .48154 L
.43499 .48121 L
.43402 .47993 L
.43338 .47929 L
.43261 .47833 L
.43178 .47707 L
.43153 .47672 L
.43032 .47512 L
.43017 .47493 L
.42911 .47351 L
.42857 .47312 L
.42756 .47191 L
.42696 .47083 L
.42657 .4703 L
.4254 .4687 L
.42536 .46864 L
.4242 .46709 L
.42375 .46652 L
.42243 .46549 L
.42215 .46461 L
.42159 .46388 L
.42054 .46235 L
.42049 .46228 L
.4193 .46067 L
.41894 .46021 L
.41808 .45907 L
.41733 .45843 L
.41657 .45746 L
.41572 .45605 L
.41558 .45586 L
.41441 .45425 L
.41412 .45388 L
.41321 .45265 L
.41251 .45175 L
.412 .45104 L
.41091 .44973 L
.41069 .44943 L
.40957 .44783 L
.4093 .44749 L
.40839 .44622 L
.4077 .44532 L
.40719 .44462 L
.40609 .44317 L
.40589 .44301 L
.40482 .44141 L
.40449 .44097 L
.40368 .4398 L
.40288 .43873 L
.40252 .4382 L
.40136 .43659 L
.40128 .43648 L
.4003 .43499 L
.39967 .4341 L
.39922 .43338 L
.39814 .43178 L
.39807 .43167 L
.39716 .43017 L
.39646 .4291 L
.39615 .42857 L
.39512 .42696 L
.39486 .42656 L
.39408 .42536 L
.39325 .42409 L
.39304 .42375 L
.39197 .42215 L
.39165 .42165 L
.39093 .42054 L
.39004 .41894 L
.39004 .41894 L
F
.733 .99 1 r
.39165 .41239 m
.39196 .41251 L
.39325 .41351 L
.39375 .41412 L
.39486 .41525 L
.3952 .41572 L
.39646 .41721 L
.39661 .41733 L
.39783 .41894 L
.39807 .41923 L
.39907 .42054 L
.39967 .42129 L
.40031 .42215 L
.40128 .42319 L
.4018 .42375 L
.40279 .42536 L
.40288 .42547 L
.40397 .42696 L
.40449 .42765 L
.40514 .42857 L
.40609 .42985 L
.40632 .43017 L
.40742 .43178 L
.4077 .43219 L
.4084 .43338 L
.40916 .43499 L
.4077 .4355 L
.40713 .43499 L
.40609 .43404 L
.40548 .43338 L
.40449 .43229 L
.40393 .43178 L
.40288 .43042 L
.40267 .43017 L
.40135 .42857 L
.40128 .4285 L
.40004 .42696 L
.39967 .4265 L
.39868 .42536 L
.39807 .42444 L
.39757 .42375 L
.39646 .42235 L
.39636 .42215 L
.39507 .42054 L
.39486 .4204 L
.39371 .41894 L
.39325 .41818 L
.39276 .41733 L
.39168 .41572 L
.39165 .41567 L
.39072 .41412 L
.39024 .41251 L
F
0 .7 1 r
.39165 .44135 m
.3917 .44141 L
.39318 .44301 L
.39325 .44308 L
.39459 .44462 L
.39486 .4449 L
.39597 .44622 L
.39646 .44677 L
.39734 .44783 L
.39807 .44824 L
.39869 .44943 L
.39967 .45052 L
.40035 .45104 L
.40128 .45256 L
.40136 .45265 L
.40264 .45425 L
.40288 .45454 L
.40393 .45586 L
.40449 .45632 L
.40523 .45746 L
.40609 .45848 L
.40668 .45907 L
.4077 .46055 L
.4078 .46067 L
.40906 .46228 L
.4093 .46257 L
.41033 .46388 L
.41091 .46448 L
.412 .46549 L
.41251 .46662 L
.41293 .46709 L
.41412 .46869 L
.41412 .4687 L
.41537 .4703 L
.41572 .47055 L
.41662 .47191 L
.41733 .47273 L
.41805 .47351 L
.41894 .47487 L
.41913 .47512 L
.42036 .47672 L
.42054 .47695 L
.4216 .47833 L
.42215 .47886 L
.42322 .47993 L
.42375 .48106 L
.42415 .48154 L
.42533 .48314 L
.42536 .48318 L
.42655 .48475 L
.42696 .48498 L
.42778 .48636 L
.42857 .48726 L
.42919 .48796 L
.43017 .48944 L
.43026 .48957 L
.43147 .49117 L
.43178 .49156 L
.43269 .49278 L
.43338 .49345 L
.43426 .49438 L
.43499 .49573 L
.43519 .49599 L
.43636 .49759 L
.43659 .49789 L
.43757 .4992 L
.4382 .4996 L
.43878 .5008 L
.4398 .50205 L
.44011 .50241 L
.44121 .50401 L
.44141 .50427 L
.4424 .50562 L
.44301 .50642 L
.4436 .50722 L
.44462 .50842 L
.44497 .50883 L
.44599 .51043 L
.44622 .51073 L
.44715 .51204 L
.44783 .51293 L
.44834 .51364 L
.44943 .51512 L
.44953 .51525 L
.45065 .51686 L
.45104 .51738 L
.45176 .51846 L
.45265 .51968 L
.4529 .52007 L
.45396 .52167 L
.45425 .52209 L
.45488 .52328 L
.45425 .52366 L
.45388 .52328 L
.45265 .52202 L
.45233 .52167 L
.45104 .52035 L
.45088 .52007 L
.44948 .51846 L
.44943 .51841 L
.44812 .51686 L
.44783 .51653 L
.44676 .51525 L
.44622 .51462 L
.44542 .51364 L
.44462 .51281 L
.4435 .51204 L
.44301 .51074 L
.44271 .51043 L
.44148 .50883 L
.44141 .50875 L
.44018 .50722 L
.4398 .50698 L
.43889 .50562 L
.4382 .50483 L
.43737 .50401 L
.43659 .50275 L
.43631 .50241 L
.43505 .5008 L
.43499 .50072 L
.43379 .4992 L
.43338 .49881 L
.432 .49759 L
.43178 .49668 L
.43117 .49599 L
.43017 .4946 L
.43002 .49438 L
.42875 .49278 L
.42857 .4927 L
.4275 .49117 L
.42696 .49058 L
.42602 .48957 L
.42536 .48844 L
.42498 .48796 L
.42375 .48636 L
.42375 .48636 L
.42251 .48475 L
.42215 .48443 L
.42081 .48314 L
.42054 .48226 L
.41994 .48154 L
.41894 .48012 L
.41881 .47993 L
.41757 .47833 L
.41733 .47828 L
.41634 .47672 L
.41572 .47606 L
.41489 .47512 L
.41412 .47387 L
.41385 .47351 L
.41265 .47191 L
.41251 .47174 L
.41143 .4703 L
.41091 .46987 L
.40976 .4687 L
.4093 .46759 L
.4089 .46709 L
.40776 .46549 L
.4077 .4654 L
.40656 .46388 L
.40609 .46327 L
.40535 .46228 L
.40449 .46128 L
.40397 .46067 L
.40293 .45907 L
.40288 .45901 L
.40175 .45746 L
.40128 .45684 L
.40056 .45586 L
.39967 .45493 L
.39907 .45425 L
.39817 .45265 L
.39807 .45251 L
.39702 .45104 L
.39646 .45029 L
.39586 .44943 L
.39486 .44808 L
.39468 .44783 L
.39357 .44622 L
.39325 .44579 L
.39248 .44462 L
.39165 .44344 L
.39137 .44301 L
.39038 .44141 L
F
1 .88 .024 r
.39165 .4347 m
.39193 .43499 L
.39325 .4362 L
.39349 .43659 L
.39486 .43806 L
.39507 .4382 L
.39639 .4398 L
.39646 .43989 L
.39778 .44141 L
.39807 .44174 L
.39915 .44301 L
.39967 .44354 L
.40051 .44462 L
.40128 .44555 L
.40196 .44622 L
.40288 .44753 L
.40313 .44783 L
.40447 .44943 L
.40449 .44945 L
.40578 .45104 L
.40609 .45141 L
.40732 .45265 L
.4077 .45346 L
.40837 .45425 L
.4093 .4555 L
.40953 .45586 L
.41091 .45746 L
.41091 .45746 L
.41219 .45907 L
.41251 .45948 L
.41354 .46067 L
.41412 .46156 L
.41464 .46228 L
.41572 .46364 L
.41581 .46388 L
.41723 .46549 L
.41733 .4656 L
.41866 .46709 L
.41894 .46768 L
.41974 .4687 L
.42054 .46979 L
.42085 .4703 L
.42215 .47184 L
.42224 .47191 L
.42375 .47351 L
.42375 .47384 L
.42481 .47512 L
.42536 .47595 L
.4259 .47672 L
.42696 .47806 L
.42704 .47833 L
.42846 .47993 L
.42857 .48005 L
.42987 .48154 L
.43017 .48215 L
.43094 .48314 L
.43178 .48427 L
.43205 .48475 L
.43338 .48633 L
.43342 .48636 L
.43495 .48796 L
.43499 .48836 L
.43598 .48957 L
.43659 .49049 L
.43707 .49117 L
.4382 .4926 L
.43824 .49278 L
.43959 .49438 L
.4398 .4946 L
.44103 .49599 L
.44141 .49672 L
.44208 .49759 L
.44301 .49885 L
.44321 .4992 L
.44452 .5008 L
.44462 .50087 L
.44612 .50241 L
.44622 .50295 L
.44709 .50401 L
.44783 .5051 L
.44818 .50562 L
.44943 .50721 L
.44944 .50722 L
.45066 .50883 L
.45104 .50918 L
.45213 .51043 L
.45265 .51136 L
.45316 .51204 L
.45425 .51351 L
.45432 .51364 L
.45557 .51525 L
.45586 .51541 L
.45724 .51686 L
.45746 .51761 L
.45814 .51846 L
.45907 .5198 L
.45924 .52007 L
.46046 .52167 L
.46067 .52194 L
.46167 .52328 L
.46228 .52385 L
.46314 .52488 L
.46388 .52611 L
.46416 .52649 L
.46533 .52809 L
.46549 .52829 L
.46653 .5297 L
.46709 .53005 L
.46819 .5313 L
.4687 .53245 L
.46905 .53291 L
.47017 .53451 L
.4703 .53469 L
.47135 .53612 L
.47191 .53685 L
.47254 .53772 L
.47351 .53885 L
.47389 .53933 L
.47493 .54093 L
.47512 .54118 L
.47609 .54254 L
.47672 .54339 L
.47726 .54414 L
.47833 .54559 L
.47855 .54575 L
.47955 .54735 L
.47993 .54788 L
.48065 .54896 L
.48154 .55022 L
.48176 .55057 L
.48278 .55217 L
.48314 .55274 L
.48362 .55378 L
.48314 .55422 L
.48266 .55378 L
.48154 .55274 L
.481 .55217 L
.47993 .55134 L
.47948 .55057 L
.47833 .54933 L
.4777 .54896 L
.47672 .54746 L
.47661 .54735 L
.47525 .54575 L
.47512 .5456 L
.47389 .54414 L
.47351 .54379 L
.47254 .54254 L
.47191 .54178 L
.47104 .54093 L
.4703 .53978 L
.46992 .53933 L
.4687 .53782 L
.46865 .53772 L
.46729 .53612 L
.46709 .5359 L
.46569 .53451 L
.46549 .53386 L
.46468 .53291 L
.46388 .5318 L
.46354 .5313 L
.46228 .52979 L
.46215 .5297 L
.46088 .52809 L
.46067 .52783 L
.45951 .52649 L
.45907 .52575 L
.45842 .52488 L
.45746 .52365 L
.45729 .52328 L
.45586 .52168 L
.45584 .52167 L
.45441 .52007 L
.45425 .51963 L
.45332 .51846 L
.45265 .51752 L
.45222 .51686 L
.45104 .51543 L
.45083 .51525 L
.44959 .51364 L
.44943 .51346 L
.44825 .51204 L
.44783 .51135 L
.44716 .51043 L
.44622 .50923 L
.44605 .50883 L
.44462 .50723 L
.44462 .50722 L
.4432 .50562 L
.44301 .50516 L
.44212 .50401 L
.44141 .50303 L
.44102 .50241 L
.4398 .50094 L
.43966 .5008 L
.43843 .4992 L
.4382 .49894 L
.43708 .49759 L
.43659 .49682 L
.436 .49599 L
.43499 .4947 L
.43487 .49438 L
.43349 .49278 L
.43338 .49268 L
.43203 .49117 L
.43178 .49059 L
.43098 .48957 L
.43017 .48845 L
.42988 .48796 L
.42857 .48637 L
.42856 .48636 L
.42733 .48475 L
.42696 .48435 L
.42596 .48314 L
.42536 .4822 L
.42489 .48154 L
.42375 .48008 L
.4237 .47993 L
.42242 .47833 L
.42215 .47811 L
.42091 .47672 L
.42054 .47595 L
.4199 .47512 L
.41894 .47379 L
.41877 .47351 L
.41751 .47191 L
.41733 .47186 L
.41629 .4703 L
.41572 .4697 L
.41491 .4687 L
.41412 .4675 L
.41384 .46709 L
.41262 .46549 L
.41251 .46535 L
.41141 .46388 L
.41091 .46347 L
.40989 .46228 L
.4093 .46119 L
.40891 .46067 L
.40775 .45907 L
.4077 .459 L
.40656 .45746 L
.40609 .45685 L
.40478 .45586 L
.40449 .45486 L
.40401 .45425 L
.40293 .45265 L
.40288 .45259 L
.40176 .45104 L
.40128 .45041 L
.40057 .44943 L
.39967 .44848 L
.39917 .44783 L
.39818 .44622 L
.39807 .44607 L
.39704 .44462 L
.39646 .44385 L
.39588 .44301 L
.39486 .44162 L
.39453 .44141 L
.3936 .4398 L
.39325 .43931 L
.39253 .4382 L
.39165 .43692 L
.39144 .43659 L
.3905 .43499 L
F
1 .97 .395 r
.39165 .38615 m
.39265 .38683 L
.39325 .38727 L
.39448 .38844 L
.39486 .38855 L
.39602 .39004 L
.39646 .39045 L
.39746 .39165 L
.39807 .39235 L
.39908 .39325 L
.39967 .39431 L
.40016 .39486 L
.40128 .3963 L
.40139 .39646 L
.40271 .39807 L
.40288 .39816 L
.40442 .39967 L
.40449 .40023 L
.40528 .40128 L
.40609 .40244 L
.40634 .40288 L
.40749 .40449 L
.4077 .40482 L
.40847 .40609 L
.40858 .4077 L
.4077 .40781 L
.40734 .4077 L
.40609 .40684 L
.40509 .40609 L
.40449 .40551 L
.40362 .40449 L
.40288 .40366 L
.40196 .40288 L
.40128 .40164 L
.40094 .40128 L
.39975 .39967 L
.39967 .39958 L
.39853 .39807 L
.39807 .39746 L
.39732 .39646 L
.39646 .39552 L
.39598 .39486 L
.39494 .39325 L
.39486 .39313 L
.39383 .39165 L
.39325 .39082 L
.39274 .39004 L
.39172 .38844 L
.39165 .38832 L
.39101 .38683 L
F
1 .51 0 r
.39165 .44787 m
.39294 .44943 L
.39325 .44977 L
.39427 .45104 L
.39486 .4517 L
.3956 .45265 L
.39646 .45366 L
.39693 .45425 L
.39807 .45545 L
.39825 .45586 L
.39953 .45746 L
.39967 .45763 L
.40079 .45907 L
.40128 .45965 L
.40206 .46067 L
.40288 .46168 L
.40334 .46228 L
.40449 .46363 L
.40479 .46388 L
.40586 .46549 L
.40609 .46577 L
.4071 .46709 L
.4077 .46784 L
.40835 .4687 L
.4093 .46957 L
.40961 .4703 L
.41086 .47191 L
.41091 .47197 L
.41206 .47351 L
.41251 .47408 L
.41328 .47512 L
.41412 .47618 L
.41452 .47672 L
.41572 .47824 L
.41581 .47833 L
.41695 .47993 L
.41733 .48042 L
.41814 .48154 L
.41894 .48256 L
.41936 .48314 L
.42054 .48469 L
.42058 .48475 L
.42173 .48636 L
.42215 .48689 L
.42289 .48796 L
.42375 .4891 L
.42407 .48957 L
.42524 .49117 L
.42536 .49132 L
.42629 .49278 L
.42696 .49371 L
.42735 .49438 L
.42696 .49497 L
.42644 .49438 L
.42536 .49323 L
.42497 .49278 L
.42375 .49139 L
.42357 .49117 L
.42222 .48957 L
.42215 .48948 L
.42091 .48796 L
.42054 .48754 L
.41959 .48636 L
.41894 .48558 L
.41827 .48475 L
.41733 .4836 L
.41697 .48314 L
.41572 .48162 L
.41563 .48154 L
.41441 .47993 L
.41412 .47958 L
.41314 .47833 L
.41251 .47755 L
.41187 .47672 L
.41091 .47572 L
.4106 .47512 L
.40934 .47351 L
.4093 .47346 L
.40811 .47191 L
.4077 .47139 L
.40687 .4703 L
.40609 .46932 L
.40562 .4687 L
.40449 .4673 L
.40428 .46709 L
.40316 .46549 L
.40288 .46514 L
.40194 .46388 L
.40128 .46303 L
.40071 .46228 L
.39967 .46109 L
.39949 .46067 L
.39829 .45907 L
.39807 .45878 L
.39711 .45746 L
.39646 .45662 L
.3959 .45586 L
.39486 .45447 L
.3947 .45425 L
.39355 .45265 L
.39325 .45226 L
.39241 .45104 L
.39165 .45002 L
.39125 .44943 L
F
0 .51 1 r
.39165 .45467 m
.39251 .45586 L
.39325 .45673 L
.39378 .45746 L
.39486 .45878 L
.39506 .45907 L
.39486 .46048 L
.39381 .45907 L
.39325 .4584 L
.39256 .45746 L
.39165 .45633 L
.3913 .45586 L
F
1 .5 0 r
.39165 .44796 m
.39287 .44943 L
.39325 .44984 L
.39422 .45104 L
.39486 .45177 L
.39556 .45265 L
.39646 .45371 L
.39689 .45425 L
.39807 .45553 L
.39821 .45586 L
.39949 .45746 L
.39967 .45768 L
.40075 .45907 L
.40128 .4597 L
.40203 .46067 L
.40288 .46172 L
.40331 .46228 L
.40449 .46368 L
.40473 .46388 L
.40583 .46549 L
.40609 .46581 L
.40707 .46709 L
.4077 .46788 L
.40832 .4687 L
.4093 .46963 L
.40958 .4703 L
.41082 .47191 L
.41091 .47202 L
.41203 .47351 L
.41251 .47412 L
.41325 .47512 L
.41412 .47622 L
.41449 .47672 L
.41572 .47831 L
.41575 .47833 L
.41691 .47993 L
.41733 .48046 L
.41811 .48154 L
.41894 .48261 L
.41932 .48314 L
.42054 .48474 L
.42055 .48475 L
.42168 .48636 L
.42215 .48695 L
.42284 .48796 L
.42375 .48916 L
.42403 .48957 L
.42517 .49117 L
.42536 .49142 L
.4262 .49278 L
.42696 .49385 L
.42724 .49438 L
.42696 .49482 L
.42656 .49438 L
.42536 .49313 L
.42505 .49278 L
.42375 .49131 L
.42364 .49117 L
.42229 .48957 L
.42215 .48941 L
.42096 .48796 L
.42054 .48748 L
.41964 .48636 L
.41894 .48552 L
.41832 .48475 L
.41733 .48355 L
.41701 .48314 L
.41572 .48156 L
.4157 .48154 L
.41445 .47993 L
.41412 .47953 L
.41318 .47833 L
.41251 .47751 L
.41191 .47672 L
.41091 .47566 L
.41063 .47512 L
.40938 .47351 L
.4093 .47342 L
.40815 .47191 L
.4077 .47135 L
.4069 .4703 L
.40609 .46928 L
.40565 .4687 L
.40449 .46724 L
.40434 .46709 L
.4032 .46549 L
.40288 .46509 L
.40198 .46388 L
.40128 .46298 L
.40075 .46228 L
.39967 .46102 L
.39952 .46067 L
.39833 .45907 L
.39807 .45873 L
.39715 .45746 L
.39646 .45657 L
.39594 .45586 L
.39486 .45441 L
.39474 .45425 L
.3936 .45265 L
.39325 .45219 L
.39246 .45104 L
.39165 .44994 L
.3913 .44943 L
F
1 .49 0 r
.39165 .44806 m
.3928 .44943 L
.39325 .44992 L
.39416 .45104 L
.39486 .45183 L
.3955 .45265 L
.39646 .45377 L
.39684 .45425 L
.39807 .45562 L
.39817 .45586 L
.39944 .45746 L
.39967 .45773 L
.40071 .45907 L
.40128 .45974 L
.40199 .46067 L
.40288 .46176 L
.40328 .46228 L
.40449 .46374 L
.40465 .46388 L
.40579 .46549 L
.40609 .46585 L
.40703 .46709 L
.4077 .46792 L
.40829 .4687 L
.4093 .46969 L
.40955 .4703 L
.41079 .47191 L
.41091 .47206 L
.41199 .47351 L
.41251 .47416 L
.41322 .47512 L
.41412 .47626 L
.41446 .47672 L
.4157 .47833 L
.41572 .47836 L
.41687 .47993 L
.41733 .48051 L
.41807 .48154 L
.41894 .48265 L
.41929 .48314 L
.42051 .48475 L
.42054 .48479 L
.42164 .48636 L
.42215 .48701 L
.42279 .48796 L
.42375 .48923 L
.42398 .48957 L
.42509 .49117 L
.42536 .49153 L
.4261 .49278 L
.42696 .49405 L
.4271 .49438 L
.42696 .49462 L
.42673 .49438 L
.42536 .49303 L
.42514 .49278 L
.42375 .49123 L
.4237 .49117 L
.42235 .48957 L
.42215 .48934 L
.42102 .48796 L
.42054 .48741 L
.41969 .48636 L
.41894 .48547 L
.41836 .48475 L
.41733 .4835 L
.41705 .48314 L
.41576 .48154 L
.41572 .4815 L
.41449 .47993 L
.41412 .47948 L
.41322 .47833 L
.41251 .47746 L
.41194 .47672 L
.41091 .4756 L
.41067 .47512 L
.40942 .47351 L
.4093 .47337 L
.40818 .47191 L
.4077 .4713 L
.40693 .4703 L
.40609 .46924 L
.40568 .4687 L
.40449 .46718 L
.4044 .46709 L
.40323 .46549 L
.40288 .46505 L
.40201 .46388 L
.40128 .46294 L
.40078 .46228 L
.39967 .46094 L
.39956 .46067 L
.39837 .45907 L
.39807 .45868 L
.39719 .45746 L
.39646 .45652 L
.39599 .45586 L
.39486 .45435 L
.39478 .45425 L
.39365 .45265 L
.39325 .45212 L
.39252 .45104 L
.39165 .44986 L
.39137 .44943 L
F
0 .5 1 r
.39165 .45479 m
.39241 .45586 L
.39325 .45683 L
.3937 .45746 L
.39486 .45887 L
.39499 .45907 L
.39486 .46036 L
.39391 .45907 L
.39325 .45829 L
.39265 .45746 L
.39165 .45622 L
.39138 .45586 L
F
1 .48 0 r
.39165 .44817 m
.39271 .44943 L
.39325 .45 L
.39409 .45104 L
.39486 .4519 L
.39545 .45265 L
.39646 .45382 L
.3968 .45425 L
.39807 .45571 L
.39813 .45586 L
.3994 .45746 L
.39967 .45778 L
.40067 .45907 L
.40128 .45979 L
.40195 .46067 L
.40288 .46181 L
.40324 .46228 L
.40449 .46381 L
.40458 .46388 L
.40576 .46549 L
.40609 .46589 L
.407 .46709 L
.4077 .46796 L
.40826 .4687 L
.4093 .46976 L
.40952 .4703 L
.41075 .47191 L
.41091 .4721 L
.41196 .47351 L
.41251 .47421 L
.41319 .47512 L
.41412 .4763 L
.41443 .47672 L
.41566 .47833 L
.41572 .47841 L
.41684 .47993 L
.41733 .48056 L
.41803 .48154 L
.41894 .4827 L
.41925 .48314 L
.42046 .48475 L
.42054 .48485 L
.42159 .48636 L
.42215 .48708 L
.42274 .48796 L
.42375 .48931 L
.42392 .48957 L
.42375 .49114 L
.42243 .48957 L
.42215 .48926 L
.42108 .48796 L
.42054 .48735 L
.41974 .48636 L
.41894 .48541 L
.41841 .48475 L
.41733 .48344 L
.41709 .48314 L
.4158 .48154 L
.41572 .48145 L
.41453 .47993 L
.41412 .47943 L
.41326 .47833 L
.41251 .47741 L
.41198 .47672 L
.41091 .47553 L
.4107 .47512 L
.40946 .47351 L
.4093 .47333 L
.40822 .47191 L
.4077 .47126 L
.40697 .4703 L
.40609 .46919 L
.40572 .4687 L
.40449 .46712 L
.40446 .46709 L
.40327 .46549 L
.40288 .465 L
.40205 .46388 L
.40128 .46289 L
.40082 .46228 L
.39967 .46086 L
.39959 .46067 L
.39841 .45907 L
.39807 .45862 L
.39723 .45746 L
.39646 .45646 L
.39603 .45586 L
.39486 .45429 L
.39483 .45425 L
.39371 .45265 L
.39325 .45204 L
.39258 .45104 L
.39165 .44976 L
.39143 .44943 L
F
0 .69 1 r
.39165 .44149 m
.39307 .44301 L
.39325 .44319 L
.39451 .44462 L
.39486 .44499 L
.39591 .44622 L
.39646 .44685 L
.39728 .44783 L
.39807 .4483 L
.39864 .44943 L
.39967 .45059 L
.40028 .45104 L
.40128 .45261 L
.40131 .45265 L
.4026 .45425 L
.40288 .45459 L
.4039 .45586 L
.40449 .45636 L
.4052 .45746 L
.40609 .45852 L
.40665 .45907 L
.4077 .46058 L
.40777 .46067 L
.40903 .46228 L
.4093 .46261 L
.4103 .46388 L
.41091 .46451 L
.41197 .46549 L
.41251 .46665 L
.4129 .46709 L
.4141 .4687 L
.41412 .46872 L
.41534 .4703 L
.41572 .47056 L
.4166 .47191 L
.41733 .47276 L
.41803 .47351 L
.41894 .47489 L
.41911 .47512 L
.42034 .47672 L
.42054 .47697 L
.42158 .47833 L
.42215 .47889 L
.4232 .47993 L
.42375 .48108 L
.42413 .48154 L
.42531 .48314 L
.42536 .48321 L
.42653 .48475 L
.42696 .485 L
.42776 .48636 L
.42857 .48728 L
.42916 .48796 L
.43017 .48947 L
.43024 .48957 L
.43145 .49117 L
.43178 .49159 L
.43267 .49278 L
.43338 .49348 L
.43423 .49438 L
.43499 .49576 L
.43517 .49599 L
.43634 .49759 L
.43659 .49792 L
.43754 .4992 L
.4382 .49963 L
.43876 .5008 L
.4398 .50209 L
.44007 .50241 L
.44118 .50401 L
.44141 .5043 L
.44237 .50562 L
.44301 .50646 L
.44357 .50722 L
.44462 .50848 L
.44492 .50883 L
.44596 .51043 L
.44622 .51078 L
.44712 .51204 L
.44783 .51298 L
.4483 .51364 L
.44943 .51518 L
.44949 .51525 L
.45059 .51686 L
.45104 .51746 L
.4517 .51846 L
.45265 .51977 L
.45283 .52007 L
.45385 .52167 L
.45425 .52228 L
.45469 .52328 L
.45425 .52347 L
.45405 .52328 L
.45265 .5219 L
.45244 .52167 L
.45104 .5202 L
.45097 .52007 L
.44956 .51846 L
.44943 .51833 L
.44818 .51686 L
.44783 .51646 L
.44682 .51525 L
.44622 .51456 L
.44547 .51364 L
.44462 .51275 L
.44357 .51204 L
.44301 .51069 L
.44276 .51043 L
.44152 .50883 L
.44141 .5087 L
.44022 .50722 L
.4398 .50695 L
.43892 .50562 L
.4382 .50478 L
.4374 .50401 L
.43659 .50271 L
.43634 .50241 L
.43508 .5008 L
.43499 .50068 L
.43382 .4992 L
.43338 .49878 L
.43202 .49759 L
.43178 .49665 L
.4312 .49599 L
.43017 .49456 L
.43004 .49438 L
.42877 .49278 L
.42857 .49269 L
.42752 .49117 L
.42696 .49055 L
.42604 .48957 L
.42536 .48841 L
.42501 .48796 L
.42377 .48636 L
.42375 .48633 L
.42254 .48475 L
.42215 .48441 L
.42083 .48314 L
.42054 .48223 L
.41996 .48154 L
.41894 .48009 L
.41883 .47993 L
.41759 .47833 L
.41733 .47827 L
.41636 .47672 L
.41572 .47603 L
.41491 .47512 L
.41412 .47384 L
.41387 .47351 L
.41267 .47191 L
.41251 .47171 L
.41145 .4703 L
.41091 .46985 L
.40978 .4687 L
.4093 .46755 L
.40893 .46709 L
.40779 .46549 L
.4077 .46537 L
.40659 .46388 L
.40609 .46324 L
.40538 .46228 L
.40449 .46124 L
.40401 .46067 L
.40296 .45907 L
.40288 .45897 L
.40178 .45746 L
.40128 .4568 L
.40059 .45586 L
.39967 .45487 L
.39913 .45425 L
.39821 .45265 L
.39807 .45246 L
.39706 .45104 L
.39646 .45023 L
.3959 .44943 L
.39486 .44801 L
.39473 .44783 L
.39363 .44622 L
.39325 .4457 L
.39255 .44462 L
.39165 .44332 L
.39146 .44301 L
F
0 .49 1 r
.39165 .45493 m
.3923 .45586 L
.39325 .45695 L
.39361 .45746 L
.39486 .45898 L
.39492 .45907 L
.39486 .46022 L
.39403 .45907 L
.39325 .45816 L
.39275 .45746 L
.39165 .4561 L
.39147 .45586 L
F
1 .47 0 r
.39165 .44829 m
.39262 .44943 L
.39325 .45009 L
.39402 .45104 L
.39486 .45197 L
.3954 .45265 L
.39646 .45388 L
.39675 .45425 L
.39807 .45581 L
.39809 .45586 L
.39935 .45746 L
.39967 .45783 L
.40063 .45907 L
.40128 .45984 L
.40192 .46067 L
.40288 .46185 L
.40321 .46228 L
.40449 .46387 L
.4045 .46388 L
.40572 .46549 L
.40609 .46594 L
.40697 .46709 L
.4077 .468 L
.40822 .4687 L
.4093 .46983 L
.40949 .4703 L
.41072 .47191 L
.41091 .47214 L
.41193 .47351 L
.41251 .47425 L
.41315 .47512 L
.41412 .47635 L
.4144 .47672 L
.41562 .47833 L
.41572 .47846 L
.4168 .47993 L
.41733 .48061 L
.41799 .48154 L
.41894 .48275 L
.41921 .48314 L
.42041 .48475 L
.42054 .48492 L
.42153 .48636 L
.42215 .48715 L
.42269 .48796 L
.42375 .48939 L
.42387 .48957 L
.42375 .49103 L
.42251 .48957 L
.42215 .48918 L
.42115 .48796 L
.42054 .48728 L
.41979 .48636 L
.41894 .48535 L
.41846 .48475 L
.41733 .48339 L
.41714 .48314 L
.41585 .48154 L
.41572 .4814 L
.41458 .47993 L
.41412 .47938 L
.4133 .47833 L
.41251 .47737 L
.41201 .47672 L
.41091 .47546 L
.41074 .47512 L
.40949 .47351 L
.4093 .47328 L
.40826 .47191 L
.4077 .47121 L
.407 .4703 L
.40609 .46915 L
.40575 .4687 L
.40451 .46709 L
.40449 .46707 L
.40331 .46549 L
.40288 .46495 L
.40209 .46388 L
.40128 .46284 L
.40086 .46228 L
.39967 .46077 L
.39963 .46067 L
.39846 .45907 L
.39807 .45857 L
.39727 .45746 L
.39646 .4564 L
.39607 .45586 L
.39488 .45425 L
.39486 .45423 L
.39377 .45265 L
.39325 .45195 L
.39265 .45104 L
.39165 .44966 L
.3915 .44943 L
F
0 .68 1 r
.39165 .44167 m
.39295 .44301 L
.39325 .4433 L
.39442 .44462 L
.39486 .44508 L
.39584 .44622 L
.39646 .44692 L
.39722 .44783 L
.39807 .44838 L
.39859 .44943 L
.39967 .45065 L
.4002 .45104 L
.40126 .45265 L
.40128 .45267 L
.40256 .45425 L
.40288 .45464 L
.40386 .45586 L
.40449 .4564 L
.40516 .45746 L
.40609 .45856 L
.40661 .45907 L
.4077 .46062 L
.40774 .46067 L
.409 .46228 L
.4093 .46264 L
.41027 .46388 L
.41091 .46454 L
.41194 .46549 L
.41251 .46668 L
.41287 .46709 L
.41407 .4687 L
.41412 .46876 L
.41532 .4703 L
.41572 .47058 L
.41657 .47191 L
.41733 .47279 L
.41801 .47351 L
.41894 .47492 L
.41909 .47512 L
.42032 .47672 L
.42054 .477 L
.42156 .47833 L
.42215 .47891 L
.42318 .47993 L
.42375 .48111 L
.42411 .48154 L
.42529 .48314 L
.42536 .48323 L
.42651 .48475 L
.42696 .48502 L
.42774 .48636 L
.42857 .48731 L
.42914 .48796 L
.43017 .4895 L
.43022 .48957 L
.43143 .49117 L
.43178 .49162 L
.43265 .49278 L
.43338 .49351 L
.43421 .49438 L
.43499 .49579 L
.43514 .49599 L
.43631 .49759 L
.43659 .49795 L
.43752 .4992 L
.4382 .49966 L
.43874 .5008 L
.4398 .50213 L
.44004 .50241 L
.44116 .50401 L
.44141 .50434 L
.44234 .50562 L
.44301 .5065 L
.44354 .50722 L
.44462 .50854 L
.44487 .50883 L
.44592 .51043 L
.44622 .51083 L
.44708 .51204 L
.44783 .51303 L
.44826 .51364 L
.44943 .51523 L
.44945 .51525 L
.45054 .51686 L
.45104 .51754 L
.45164 .51846 L
.45265 .51987 L
.45277 .52007 L
.45371 .52167 L
.45265 .52176 L
.45256 .52167 L
.45106 .52007 L
.45104 .52005 L
.44964 .51846 L
.44943 .51824 L
.44825 .51686 L
.44783 .51639 L
.44688 .51525 L
.44622 .51449 L
.44552 .51364 L
.44462 .51269 L
.44364 .51204 L
.44301 .51063 L
.44282 .51043 L
.44156 .50883 L
.44141 .50865 L
.44026 .50722 L
.4398 .50692 L
.43896 .50562 L
.4382 .50474 L
.43744 .50401 L
.43659 .50267 L
.43637 .50241 L
.43511 .5008 L
.43499 .50065 L
.43384 .4992 L
.43338 .49875 L
.43204 .49759 L
.43178 .49662 L
.43122 .49599 L
.43017 .49453 L
.43006 .49438 L
.4288 .49278 L
.42857 .49267 L
.42754 .49117 L
.42696 .49052 L
.42607 .48957 L
.42536 .48838 L
.42503 .48796 L
.4238 .48636 L
.42375 .4863 L
.42256 .48475 L
.42215 .48439 L
.42084 .48314 L
.42054 .4822 L
.41999 .48154 L
.41894 .48006 L
.41885 .47993 L
.41761 .47833 L
.41733 .47826 L
.41638 .47672 L
.41572 .476 L
.41493 .47512 L
.41412 .47381 L
.4139 .47351 L
.41269 .47191 L
.41251 .47168 L
.41148 .4703 L
.41091 .46982 L
.40981 .4687 L
.4093 .46752 L
.40896 .46709 L
.40782 .46549 L
.4077 .46534 L
.40662 .46388 L
.40609 .4632 L
.40541 .46228 L
.40449 .4612 L
.40404 .46067 L
.40299 .45907 L
.40288 .45893 L
.40181 .45746 L
.40128 .45676 L
.40062 .45586 L
.39967 .4548 L
.39919 .45425 L
.39825 .45265 L
.39807 .4524 L
.39711 .45104 L
.39646 .45017 L
.39595 .44943 L
.39486 .44794 L
.39478 .44783 L
.3937 .44622 L
.39325 .4456 L
.39262 .44462 L
.39165 .44319 L
.39154 .44301 L
F
1 .46 0 r
.39165 .44844 m
.3925 .44943 L
.39325 .45018 L
.39395 .45104 L
.39486 .45204 L
.39534 .45265 L
.39646 .45394 L
.3967 .45425 L
.39804 .45586 L
.39807 .45589 L
.39931 .45746 L
.39967 .45789 L
.40059 .45907 L
.40128 .45989 L
.40188 .46067 L
.40288 .4619 L
.40317 .46228 L
.40446 .46388 L
.40449 .46392 L
.40568 .46549 L
.40609 .46598 L
.40693 .46709 L
.4077 .46804 L
.40819 .4687 L
.4093 .46991 L
.40946 .4703 L
.41068 .47191 L
.41091 .47219 L
.41189 .47351 L
.41251 .47429 L
.41312 .47512 L
.41412 .47639 L
.41437 .47672 L
.41558 .47833 L
.41572 .4785 L
.41676 .47993 L
.41733 .48066 L
.41796 .48154 L
.41894 .48281 L
.41918 .48314 L
.42036 .48475 L
.42054 .48498 L
.42148 .48636 L
.42215 .48723 L
.42263 .48796 L
.42375 .48947 L
.42381 .48957 L
.42375 .49092 L
.4226 .48957 L
.42215 .48909 L
.42121 .48796 L
.42054 .48721 L
.41985 .48636 L
.41894 .48529 L
.41851 .48475 L
.41733 .48333 L
.41718 .48314 L
.41589 .48154 L
.41572 .48134 L
.41462 .47993 L
.41412 .47933 L
.41334 .47833 L
.41251 .47732 L
.41205 .47672 L
.41091 .47539 L
.41078 .47512 L
.40953 .47351 L
.4093 .47323 L
.40829 .47191 L
.4077 .47117 L
.40704 .4703 L
.40609 .4691 L
.40579 .4687 L
.40455 .46709 L
.40449 .46702 L
.40334 .46549 L
.40288 .4649 L
.40212 .46388 L
.40128 .46279 L
.40089 .46228 L
.39967 .46069 L
.39967 .46067 L
.3985 .45907 L
.39807 .45851 L
.39732 .45746 L
.39646 .45634 L
.39612 .45586 L
.39494 .45425 L
.39486 .45415 L
.39384 .45265 L
.39325 .45186 L
.39272 .45104 L
.39165 .44954 L
.39158 .44943 L
F
0 .48 1 r
.39165 .45511 m
.39214 .45586 L
.39325 .4571 L
.3935 .45746 L
.39325 .458 L
.39288 .45746 L
.39165 .45595 L
.39158 .45586 L
F
1 .87 .018 r
.39165 .43509 m
.39325 .43659 L
.39326 .43659 L
.39478 .4382 L
.39486 .43828 L
.39623 .4398 L
.39646 .44005 L
.39765 .44141 L
.39807 .44188 L
.39904 .44301 L
.39967 .44366 L
.40041 .44462 L
.40128 .44566 L
.40187 .44622 L
.40288 .44762 L
.40306 .44783 L
.4044 .44943 L
.40449 .4495 L
.40571 .45104 L
.40609 .45149 L
.40728 .45265 L
.4077 .45353 L
.40831 .45425 L
.4093 .45556 L
.4095 .45586 L
.41087 .45746 L
.41091 .4575 L
.41214 .45907 L
.41251 .45953 L
.4135 .46067 L
.41412 .46161 L
.41461 .46228 L
.41572 .46368 L
.4158 .46388 L
.4172 .46549 L
.41733 .46564 L
.41864 .46709 L
.41894 .46772 L
.41971 .4687 L
.42054 .46982 L
.42083 .4703 L
.42215 .47186 L
.42222 .47191 L
.42375 .47351 L
.42375 .47387 L
.42479 .47512 L
.42536 .47598 L
.42588 .47672 L
.42696 .47808 L
.42703 .47833 L
.42844 .47993 L
.42857 .48008 L
.42986 .48154 L
.43017 .48217 L
.43093 .48314 L
.43178 .48429 L
.43204 .48475 L
.43338 .48634 L
.4334 .48636 L
.43495 .48796 L
.43499 .48838 L
.43596 .48957 L
.43659 .49051 L
.43705 .49117 L
.4382 .49262 L
.43824 .49278 L
.43957 .49438 L
.4398 .49462 L
.44101 .49599 L
.44141 .49674 L
.44206 .49759 L
.44301 .49887 L
.44319 .4992 L
.4445 .5008 L
.44462 .50088 L
.44612 .50241 L
.44622 .50297 L
.44707 .50401 L
.44783 .50513 L
.44817 .50562 L
.44943 .50722 L
.44943 .50724 L
.45064 .50883 L
.45104 .5092 L
.45211 .51043 L
.45265 .51138 L
.45314 .51204 L
.45425 .51353 L
.45431 .51364 L
.45555 .51525 L
.45586 .51542 L
.45722 .51686 L
.45746 .51764 L
.45812 .51846 L
.45907 .51984 L
.45922 .52007 L
.46044 .52167 L
.46067 .52197 L
.46164 .52328 L
.46228 .52388 L
.46311 .52488 L
.46388 .52616 L
.46413 .52649 L
.4653 .52809 L
.46549 .52833 L
.4665 .5297 L
.46709 .53009 L
.46815 .5313 L
.4687 .53251 L
.46901 .53291 L
.47012 .53451 L
.4703 .53475 L
.4713 .53612 L
.47191 .53691 L
.4725 .53772 L
.47351 .53894 L
.47381 .53933 L
.47487 .54093 L
.47512 .54126 L
.47602 .54254 L
.47672 .54349 L
.47718 .54414 L
.47833 .54571 L
.47839 .54575 L
.47944 .54735 L
.47993 .54804 L
.48052 .54896 L
.48154 .55044 L
.48162 .55057 L
.48249 .55217 L
.48154 .55242 L
.48128 .55217 L
.47993 .55101 L
.47969 .55057 L
.47833 .54912 L
.47804 .54896 L
.47677 .54735 L
.47672 .5473 L
.47538 .54575 L
.47512 .54546 L
.474 .54414 L
.47351 .54369 L
.47263 .54254 L
.47191 .54168 L
.47113 .54093 L
.4703 .53969 L
.46999 .53933 L
.4687 .53776 L
.46868 .53772 L
.46735 .53612 L
.46709 .53582 L
.46572 .53451 L
.46549 .53379 L
.46473 .53291 L
.46388 .53174 L
.46358 .5313 L
.46228 .52975 L
.4622 .5297 L
.46093 .52809 L
.46067 .52777 L
.45955 .52649 L
.45907 .5257 L
.45845 .52488 L
.45746 .52361 L
.45731 .52328 L
.45587 .52167 L
.45586 .52165 L
.45442 .52007 L
.45425 .51959 L
.45335 .51846 L
.45265 .51748 L
.45224 .51686 L
.45104 .51541 L
.45085 .51525 L
.44961 .51364 L
.44943 .51343 L
.44827 .51204 L
.44783 .51132 L
.44718 .51043 L
.44622 .50921 L
.44606 .50883 L
.44464 .50722 L
.44462 .5072 L
.44321 .50562 L
.44301 .50513 L
.44213 .50401 L
.44141 .50301 L
.44104 .50241 L
.4398 .50092 L
.43968 .5008 L
.43845 .4992 L
.4382 .49891 L
.4371 .49759 L
.43659 .49679 L
.43601 .49599 L
.43499 .49467 L
.43488 .49438 L
.43351 .49278 L
.43338 .49266 L
.43204 .49117 L
.43178 .49056 L
.431 .48957 L
.43017 .48843 L
.42989 .48796 L
.42857 .48636 L
.42857 .48635 L
.42735 .48475 L
.42696 .48433 L
.42598 .48314 L
.42536 .48218 L
.42491 .48154 L
.42375 .48005 L
.42371 .47993 L
.42244 .47833 L
.42215 .47809 L
.42093 .47672 L
.42054 .47592 L
.41992 .47512 L
.41894 .47376 L
.41879 .47351 L
.41753 .47191 L
.41733 .47185 L
.41632 .4703 L
.41572 .46967 L
.41493 .4687 L
.41412 .46747 L
.41386 .46709 L
.41265 .46549 L
.41251 .46532 L
.41144 .46388 L
.41091 .46344 L
.40992 .46228 L
.4093 .46115 L
.40895 .46067 L
.40779 .45907 L
.4077 .45895 L
.4066 .45746 L
.40609 .4568 L
.40482 .45586 L
.40449 .4548 L
.40406 .45425 L
.40298 .45265 L
.40288 .45253 L
.4018 .45104 L
.40128 .45035 L
.40062 .44943 L
.39967 .44837 L
.39925 .44783 L
.39825 .44622 L
.39807 .44598 L
.39711 .44462 L
.39646 .44374 L
.39596 .44301 L
.39486 .44149 L
.39473 .44141 L
.39373 .4398 L
.39325 .43912 L
.39268 .4382 L
.39165 .43664 L
.39162 .43659 L
F
0 .67 1 r
.39165 .44189 m
.3928 .44301 L
.39325 .44343 L
.39432 .44462 L
.39486 .44517 L
.39576 .44622 L
.39646 .447 L
.39716 .44783 L
.39807 .44846 L
.39854 .44943 L
.39967 .45072 L
.40011 .45104 L
.40121 .45265 L
.40128 .45272 L
.40252 .45425 L
.40288 .45468 L
.40382 .45586 L
.40449 .45644 L
.40513 .45746 L
.40609 .4586 L
.40657 .45907 L
.4077 .46066 L
.40771 .46067 L
.40897 .46228 L
.4093 .46268 L
.41025 .46388 L
.41091 .46458 L
.41191 .46549 L
.41251 .46672 L
.41285 .46709 L
.41405 .4687 L
.41412 .46879 L
.41529 .4703 L
.41572 .47061 L
.41655 .47191 L
.41733 .47282 L
.41798 .47351 L
.41894 .47495 L
.41907 .47512 L
.4203 .47672 L
.42054 .47703 L
.42154 .47833 L
.42215 .47894 L
.42316 .47993 L
.42375 .48114 L
.42409 .48154 L
.42526 .48314 L
.42536 .48326 L
.42649 .48475 L
.42696 .48504 L
.42772 .48636 L
.42857 .48734 L
.42912 .48796 L
.43017 .48953 L
.4302 .48957 L
.43141 .49117 L
.43178 .49164 L
.43263 .49278 L
.43338 .49354 L
.43418 .49438 L
.43499 .49583 L
.43512 .49599 L
.43629 .49759 L
.43659 .49798 L
.4375 .4992 L
.4382 .4997 L
.43871 .5008 L
.4398 .50217 L
.44001 .50241 L
.44113 .50401 L
.44141 .50438 L
.44231 .50562 L
.44301 .50653 L
.44351 .50722 L
.44462 .5086 L
.44482 .50883 L
.44589 .51043 L
.44622 .51088 L
.44704 .51204 L
.44783 .51309 L
.44822 .51364 L
.4494 .51525 L
.44943 .5153 L
.45048 .51686 L
.45104 .51763 L
.45158 .51846 L
.45265 .51999 L
.45269 .52007 L
.45265 .52161 L
.45117 .52007 L
.45104 .51994 L
.44972 .51846 L
.44943 .51815 L
.44832 .51686 L
.44783 .51631 L
.44693 .51525 L
.44622 .51443 L
.44557 .51364 L
.44462 .51262 L
.44373 .51204 L
.44301 .51058 L
.44287 .51043 L
.4416 .50883 L
.44141 .5086 L
.44029 .50722 L
.4398 .50689 L
.43899 .50562 L
.4382 .5047 L
.43748 .50401 L
.43659 .50263 L
.43641 .50241 L
.43514 .5008 L
.43499 .50061 L
.43387 .4992 L
.43338 .49872 L
.43206 .49759 L
.43178 .49658 L
.43125 .49599 L
.43017 .4945 L
.43009 .49438 L
.42882 .49278 L
.42857 .49266 L
.42757 .49117 L
.42696 .49049 L
.42609 .48957 L
.42536 .48835 L
.42505 .48796 L
.42382 .48636 L
.42375 .48627 L
.42258 .48475 L
.42215 .48437 L
.42086 .48314 L
.42054 .48217 L
.42001 .48154 L
.41894 .48004 L
.41887 .47993 L
.41763 .47833 L
.41733 .47825 L
.4164 .47672 L
.41572 .47598 L
.41496 .47512 L
.41412 .47378 L
.41392 .47351 L
.41272 .47191 L
.41251 .47165 L
.4115 .4703 L
.41091 .46979 L
.40984 .4687 L
.4093 .46748 L
.40899 .46709 L
.40784 .46549 L
.4077 .4653 L
.40664 .46388 L
.40609 .46317 L
.40543 .46228 L
.40449 .46115 L
.40408 .46067 L
.40302 .45907 L
.40288 .45889 L
.40185 .45746 L
.40128 .45671 L
.40065 .45586 L
.39967 .45473 L
.39925 .45425 L
.39829 .45265 L
.39807 .45235 L
.39715 .45104 L
.39646 .45011 L
.39599 .44943 L
.39486 .44787 L
.39483 .44783 L
.39377 .44622 L
.39325 .4455 L
.39271 .44462 L
.39165 .44303 L
.39164 .44301 L
F
.395 .97 1 r
.39325 .4301 m
.39329 .43017 L
.39486 .43168 L
.39494 .43178 L
.39645 .43338 L
.39646 .43339 L
.39791 .43499 L
.39807 .43516 L
.39934 .43659 L
.39967 .43691 L
.40074 .4382 L
.40128 .43885 L
.40232 .4398 L
.40288 .4408 L
.40341 .44141 L
.40449 .44277 L
.40463 .44301 L
.40609 .4446 L
.40611 .44462 L
.40766 .44622 L
.4077 .44659 L
.40874 .44783 L
.4093 .44865 L
.40987 .44943 L
.41091 .45074 L
.41134 .45104 L
.41251 .45254 L
.4126 .45265 L
.41392 .45425 L
.41412 .45461 L
.41507 .45586 L
.41572 .45674 L
.41613 .45746 L
.41733 .4589 L
.41769 .45907 L
.41893 .46067 L
.41894 .46069 L
.42018 .46228 L
.42054 .46281 L
.42127 .46388 L
.42215 .46499 L
.42224 .46549 L
.42375 .46685 L
.42394 .46709 L
.42521 .4687 L
.42536 .46895 L
.42635 .4703 L
.42696 .47111 L
.42739 .47191 L
.42857 .4733 L
.42893 .47351 L
.43016 .47512 L
.43017 .47515 L
.43139 .47672 L
.43178 .47728 L
.43247 .47833 L
.43338 .47946 L
.43389 .47993 L
.43499 .48138 L
.43511 .48154 L
.43639 .48314 L
.43659 .48349 L
.43751 .48475 L
.4382 .48565 L
.43855 .48636 L
.4398 .48779 L
.44006 .48796 L
.44135 .48957 L
.44141 .48973 L
.44253 .49117 L
.44301 .49186 L
.44361 .49278 L
.44462 .49401 L
.445 .49438 L
.44622 .49599 L
.44622 .49599 L
.44753 .49759 L
.44783 .49809 L
.44864 .4992 L
.44943 .50023 L
.44969 .5008 L
.45104 .50232 L
.45116 .50241 L
.45253 .50401 L
.45265 .50433 L
.45365 .50562 L
.45425 .50646 L
.45473 .50722 L
.45586 .50858 L
.45609 .50883 L
.45732 .51043 L
.45746 .51059 L
.45866 .51204 L
.45907 .5127 L
.45975 .51364 L
.46067 .51483 L
.46084 .51525 L
.46224 .51686 L
.46228 .51688 L
.46369 .51846 L
.46388 .51894 L
.46475 .52007 L
.46549 .52108 L
.46585 .52167 L
.46709 .52319 L
.46717 .52328 L
.46839 .52488 L
.4687 .52519 L
.46977 .52649 L
.4703 .52733 L
.47084 .52809 L
.47191 .52946 L
.472 .5297 L
.47331 .5313 L
.47351 .53144 L
.47482 .53291 L
.47512 .53357 L
.47584 .53451 L
.47672 .53573 L
.47695 .53612 L
.47823 .53772 L
.47833 .53785 L
.47945 .53933 L
.47993 .5398 L
.48085 .54093 L
.48154 .542 L
.48192 .54254 L
.48314 .54414 L
.48314 .54415 L
.48435 .54575 L
.48475 .546 L
.48589 .54735 L
.48636 .54825 L
.48688 .54896 L
.48796 .55046 L
.48802 .55057 L
.48924 .55217 L
.48957 .55259 L
.49045 .55378 L
.49117 .5545 L
.49185 .55538 L
.49278 .55678 L
.49292 .55699 L
.49411 .55859 L
.49438 .55894 L
.49531 .5602 L
.49599 .56073 L
.49682 .5618 L
.49759 .56314 L
.49778 .56341 L
.49893 .56501 L
.4992 .56536 L
.50011 .56662 L
.5008 .56753 L
.50131 .56822 L
.50241 .56961 L
.50256 .56983 L
.50367 .57143 L
.50401 .5719 L
.50481 .57304 L
.50562 .57413 L
.50597 .57464 L
.50711 .57625 L
.50722 .5764 L
.50817 .57785 L
.50883 .57881 L
.50922 .57946 L
.51019 .58106 L
.50883 .58148 L
.50862 .58106 L
.50722 .57971 L
.50701 .57946 L
.50562 .57797 L
.50546 .57785 L
.50406 .57625 L
.50401 .5762 L
.50264 .57464 L
.50241 .57444 L
.50125 .57304 L
.5008 .57251 L
.4996 .57143 L
.4992 .57055 L
.49855 .56983 L
.49759 .56857 L
.49735 .56822 L
.49599 .56665 L
.49589 .56662 L
.49459 .56501 L
.49438 .56474 L
.49324 .56341 L
.49278 .56268 L
.49212 .5618 L
.49117 .56058 L
.49102 .5602 L
.48957 .55874 L
.48944 .55859 L
.4881 .55699 L
.48796 .55668 L
.48695 .55538 L
.48636 .55456 L
.48586 .55378 L
.48475 .5524 L
.48437 .55217 L
.48314 .55058 L
.48314 .55057 L
.48186 .54896 L
.48154 .54846 L
.48075 .54735 L
.47993 .5463 L
.47974 .54575 L
.47833 .5444 L
.47813 .54414 L
.47684 .54254 L
.47672 .5423 L
.47569 .54093 L
.47512 .54015 L
.47463 .53933 L
.47351 .53798 L
.47315 .53772 L
.47191 .53612 L
.47191 .53609 L
.47066 .53451 L
.4703 .53397 L
.46956 .53291 L
.4687 .53181 L
.46855 .5313 L
.46709 .52973 L
.46697 .5297 L
.46566 .52809 L
.46549 .52776 L
.46453 .52649 L
.46388 .52561 L
.46347 .52488 L
.46228 .52348 L
.46202 .52328 L
.46069 .52167 L
.46067 .52151 L
.45952 .52007 L
.45907 .51939 L
.45843 .51846 L
.45746 .51725 L
.45737 .51686 L
.45586 .51525 L
.45586 .51525 L
.45451 .51364 L
.45425 .51316 L
.45341 .51204 L
.45265 .51102 L
.45233 .51043 L
.45104 .50893 L
.45092 .50883 L
.4495 .50722 L
.44943 .50691 L
.44839 .50562 L
.44783 .50479 L
.44731 .50401 L
.44622 .50267 L
.44619 .50241 L
.44477 .5008 L
.44462 .50065 L
.44337 .4992 L
.44301 .49855 L
.4423 .49759 L
.44141 .49641 L
.44119 .49599 L
.43984 .49438 L
.4398 .49436 L
.43832 .49278 L
.4382 .49231 L
.43729 .49117 L
.43659 .49017 L
.4362 .48957 L
.43499 .48805 L
.43498 .48796 L
.43369 .48636 L
.43338 .48607 L
.43226 .48475 L
.43178 .48392 L
.4312 .48314 L
.43017 .48177 L
.43006 .48154 L
.42877 .47993 L
.42857 .47983 L
.42718 .47833 L
.42696 .47769 L
.42621 .47672 L
.42536 .47551 L
.4251 .47512 L
.42386 .47351 L
.42375 .47338 L
.42264 .47191 L
.42215 .47147 L
.42118 .4703 L
.42054 .46925 L
.42014 .4687 L
.41894 .46709 L
.41894 .46708 L
.41774 .46549 L
.41733 .46529 L
.41611 .46388 L
.41572 .463 L
.41517 .46228 L
.41412 .46078 L
.41405 .46067 L
.41285 .45907 L
.41251 .45864 L
.41164 .45746 L
.41091 .45677 L
.4102 .45586 L
.4093 .45446 L
.40916 .45425 L
.40798 .45265 L
.4077 .45228 L
.40678 .45104 L
.40609 .45015 L
.4052 .44943 L
.40449 .4481 L
.40429 .44783 L
.40316 .44622 L
.40288 .44587 L
.40198 .44462 L
.40128 .44369 L
.40079 .44301 L
.39967 .44161 L
.39953 .44141 L
.39844 .4398 L
.39807 .43931 L
.3973 .4382 L
.39646 .43707 L
.39614 .43659 L
.39501 .43499 L
.39486 .43478 L
.39397 .43338 L
.39325 .43233 L
.39293 .43178 L
.39203 .43017 L
F
.114 .93 1 r
.39325 .39454 m
.39354 .39486 L
.39486 .39628 L
.39501 .39646 L
.39632 .39807 L
.39646 .39824 L
.3975 .39967 L
.39807 .40044 L
.3986 .40128 L
.39807 .40223 L
.39715 .40128 L
.39646 .40056 L
.39574 .39967 L
.39486 .3986 L
.39446 .39807 L
.39325 .39646 L
.39325 .39646 L
.39229 .39486 L
F
1 .45 0 r
.39325 .45029 m
.39387 .45104 L
.39486 .45212 L
.39528 .45265 L
.39646 .45401 L
.39665 .45425 L
.39798 .45586 L
.39807 .45595 L
.39926 .45746 L
.39967 .45794 L
.40054 .45907 L
.40128 .45994 L
.40184 .46067 L
.40288 .46194 L
.40314 .46228 L
.40442 .46388 L
.40449 .46397 L
.40565 .46549 L
.40609 .46603 L
.40689 .46709 L
.4077 .46809 L
.40816 .4687 L
.4093 .46999 L
.40943 .4703 L
.41064 .47191 L
.41091 .47223 L
.41185 .47351 L
.41251 .47434 L
.41309 .47512 L
.41412 .47643 L
.41433 .47672 L
.41554 .47833 L
.41572 .47856 L
.41672 .47993 L
.41733 .48071 L
.41792 .48154 L
.41894 .48286 L
.41914 .48314 L
.4203 .48475 L
.42054 .48505 L
.42142 .48636 L
.42215 .48731 L
.42257 .48796 L
.42215 .489 L
.42129 .48796 L
.42054 .48713 L
.41991 .48636 L
.41894 .48522 L
.41856 .48475 L
.41733 .48327 L
.41723 .48314 L
.41594 .48154 L
.41572 .48128 L
.41467 .47993 L
.41412 .47928 L
.41338 .47833 L
.41251 .47727 L
.41209 .47672 L
.41091 .47532 L
.41081 .47512 L
.40957 .47351 L
.4093 .47318 L
.40833 .47191 L
.4077 .47112 L
.40708 .4703 L
.40609 .46905 L
.40582 .4687 L
.40459 .46709 L
.40449 .46697 L
.40338 .46549 L
.40288 .46485 L
.40216 .46388 L
.40128 .46274 L
.40093 .46228 L
.39971 .46067 L
.39967 .46062 L
.39855 .45907 L
.39807 .45845 L
.39736 .45746 L
.39646 .45628 L
.39616 .45586 L
.395 .45425 L
.39486 .45407 L
.39391 .45265 L
.39325 .45176 L
.39279 .45104 L
F
0 .66 1 r
.39325 .44356 m
.39422 .44462 L
.39486 .44527 L
.39568 .44622 L
.39646 .44707 L
.3971 .44783 L
.39807 .44855 L
.39848 .44943 L
.39967 .45079 L
.40002 .45104 L
.40117 .45265 L
.40128 .45277 L
.40248 .45425 L
.40288 .45473 L
.40379 .45586 L
.40449 .45648 L
.40509 .45746 L
.40609 .45865 L
.40653 .45907 L
.40768 .46067 L
.4077 .4607 L
.40894 .46228 L
.4093 .46272 L
.41022 .46388 L
.41091 .46461 L
.41188 .46549 L
.41251 .46675 L
.41282 .46709 L
.41402 .4687 L
.41412 .46882 L
.41527 .4703 L
.41572 .47063 L
.41653 .47191 L
.41733 .47284 L
.41796 .47351 L
.41894 .47498 L
.41905 .47512 L
.42028 .47672 L
.42054 .47706 L
.42151 .47833 L
.42215 .47896 L
.42313 .47993 L
.42375 .48117 L
.42407 .48154 L
.42524 .48314 L
.42536 .48329 L
.42647 .48475 L
.42696 .48506 L
.4277 .48636 L
.42857 .48737 L
.42909 .48796 L
.43017 .48956 L
.43018 .48957 L
.43138 .49117 L
.43178 .49167 L
.43261 .49278 L
.43338 .49357 L
.43415 .49438 L
.43499 .49586 L
.43509 .49599 L
.43627 .49759 L
.43659 .49801 L
.43747 .4992 L
.4382 .49973 L
.43869 .5008 L
.4398 .50221 L
.43997 .50241 L
.4411 .50401 L
.44141 .50441 L
.44228 .50562 L
.44301 .50657 L
.44349 .50722 L
.44462 .50867 L
.44476 .50883 L
.44585 .51043 L
.44622 .51093 L
.447 .51204 L
.44783 .51314 L
.44818 .51364 L
.44934 .51525 L
.44943 .51537 L
.45042 .51686 L
.45104 .51772 L
.45151 .51846 L
.45104 .51982 L
.44981 .51846 L
.44943 .51807 L
.44839 .51686 L
.44783 .51624 L
.44699 .51525 L
.44622 .51436 L
.44562 .51364 L
.44462 .51256 L
.44382 .51204 L
.44301 .51052 L
.44293 .51043 L
.44164 .50883 L
.44141 .50856 L
.44033 .50722 L
.4398 .50686 L
.43903 .50562 L
.4382 .50466 L
.43752 .50401 L
.43659 .50259 L
.43644 .50241 L
.43518 .5008 L
.43499 .50057 L
.4339 .4992 L
.43338 .49869 L
.43209 .49759 L
.43178 .49655 L
.43128 .49599 L
.43017 .49447 L
.43011 .49438 L
.42885 .49278 L
.42857 .49265 L
.42759 .49117 L
.42696 .49046 L
.42611 .48957 L
.42536 .48832 L
.42507 .48796 L
.42384 .48636 L
.42375 .48624 L
.42261 .48475 L
.42215 .48434 L
.42088 .48314 L
.42054 .48214 L
.42003 .48154 L
.41894 .48001 L
.41888 .47993 L
.41766 .47833 L
.41733 .47824 L
.41642 .47672 L
.41572 .47595 L
.41498 .47512 L
.41412 .47375 L
.41394 .47351 L
.41274 .47191 L
.41251 .47162 L
.41152 .4703 L
.41091 .46976 L
.40986 .4687 L
.4093 .46745 L
.40901 .46709 L
.40787 .46549 L
.4077 .46527 L
.40667 .46388 L
.40609 .46313 L
.40546 .46228 L
.40449 .46111 L
.40412 .46067 L
.40305 .45907 L
.40288 .45884 L
.40188 .45746 L
.40128 .45667 L
.40069 .45586 L
.39967 .45466 L
.39932 .45425 L
.39834 .45265 L
.39807 .45229 L
.3972 .45104 L
.39646 .45005 L
.39604 .44943 L
.39489 .44783 L
.39486 .44779 L
.39384 .44622 L
.39325 .44538 L
.39279 .44462 L
F
1 .86 .013 r
.39325 .43688 m
.39455 .4382 L
.39486 .43849 L
.39606 .4398 L
.39646 .44022 L
.39751 .44141 L
.39807 .44202 L
.39892 .44301 L
.39967 .44378 L
.40031 .44462 L
.40128 .44576 L
.40177 .44622 L
.40288 .44771 L
.40299 .44783 L
.40432 .44943 L
.40449 .44955 L
.40564 .45104 L
.40609 .45156 L
.40723 .45265 L
.4077 .4536 L
.40826 .45425 L
.4093 .45562 L
.40946 .45586 L
.41082 .45746 L
.41091 .45755 L
.4121 .45907 L
.41251 .45959 L
.41347 .46067 L
.41412 .46166 L
.41458 .46228 L
.41572 .46371 L
.41578 .46388 L
.41717 .46549 L
.41733 .46568 L
.41862 .46709 L
.41894 .46776 L
.41968 .4687 L
.42054 .46985 L
.42081 .4703 L
.42215 .47188 L
.42219 .47191 L
.42375 .47351 L
.42375 .4739 L
.42477 .47512 L
.42536 .47601 L
.42586 .47672 L
.42696 .47811 L
.42703 .47833 L
.42841 .47993 L
.42857 .4801 L
.42984 .48154 L
.43017 .4822 L
.43091 .48314 L
.43178 .48432 L
.43203 .48475 L
.43338 .48636 L
.43338 .48636 L
.43494 .48796 L
.43499 .48841 L
.43595 .48957 L
.43659 .49054 L
.43704 .49117 L
.4382 .49264 L
.43823 .49278 L
.43955 .49438 L
.4398 .49463 L
.441 .49599 L
.44141 .49676 L
.44204 .49759 L
.44301 .49889 L
.44318 .4992 L
.44448 .5008 L
.44462 .50089 L
.44611 .50241 L
.44622 .50299 L
.44706 .50401 L
.44783 .50515 L
.44815 .50562 L
.44941 .50722 L
.44943 .50726 L
.45062 .50883 L
.45104 .50922 L
.4521 .51043 L
.45265 .51141 L
.45312 .51204 L
.45425 .51356 L
.4543 .51364 L
.45552 .51525 L
.45586 .51544 L
.45721 .51686 L
.45746 .51767 L
.45809 .51846 L
.45907 .51987 L
.4592 .52007 L
.46041 .52167 L
.46067 .52201 L
.46162 .52328 L
.46228 .52392 L
.46308 .52488 L
.46388 .5262 L
.4641 .52649 L
.46527 .52809 L
.46549 .52837 L
.46646 .5297 L
.46709 .53013 L
.46811 .5313 L
.4687 .53257 L
.46896 .53291 L
.47008 .53451 L
.4703 .5348 L
.47126 .53612 L
.47191 .53698 L
.47245 .53772 L
.47351 .53904 L
.47373 .53933 L
.4748 .54093 L
.47512 .54135 L
.47595 .54254 L
.47672 .54359 L
.47711 .54414 L
.47826 .54575 L
.47833 .54584 L
.47932 .54735 L
.47993 .54823 L
.48038 .54896 L
.48141 .55057 L
.47993 .55058 L
.47993 .55057 L
.47839 .54896 L
.47833 .5489 L
.47693 .54735 L
.47672 .54714 L
.4755 .54575 L
.47512 .54532 L
.47411 .54414 L
.47351 .54358 L
.47273 .54254 L
.47191 .54157 L
.47122 .54093 L
.4703 .5396 L
.47006 .53933 L
.46873 .53772 L
.4687 .53771 L
.46742 .53612 L
.46709 .53575 L
.46576 .53451 L
.46549 .53372 L
.46478 .53291 L
.46388 .53168 L
.46362 .5313 L
.46228 .52972 L
.46225 .5297 L
.46097 .52809 L
.46067 .52772 L
.45958 .52649 L
.45907 .52565 L
.45848 .52488 L
.45746 .52357 L
.45732 .52328 L
.45591 .52167 L
.45586 .52161 L
.45444 .52007 L
.45425 .51955 L
.45337 .51846 L
.45265 .51745 L
.45226 .51686 L
.45104 .51538 L
.45088 .51525 L
.44964 .51364 L
.44943 .5134 L
.44829 .51204 L
.44783 .51129 L
.4472 .51043 L
.44622 .50918 L
.44608 .50883 L
.44466 .50722 L
.44462 .50718 L
.44322 .50562 L
.44301 .50511 L
.44215 .50401 L
.44141 .50298 L
.44105 .50241 L
.4398 .5009 L
.4397 .5008 L
.43847 .4992 L
.4382 .49889 L
.43711 .49759 L
.43659 .49677 L
.43603 .49599 L
.43499 .49465 L
.43488 .49438 L
.43352 .49278 L
.43338 .49265 L
.43205 .49117 L
.43178 .49054 L
.43102 .48957 L
.43017 .48841 L
.4299 .48796 L
.42859 .48636 L
.42857 .48634 L
.42737 .48475 L
.42696 .48431 L
.426 .48314 L
.42536 .48215 L
.42492 .48154 L
.42375 .48003 L
.42372 .47993 L
.42246 .47833 L
.42215 .47807 L
.42094 .47672 L
.42054 .4759 L
.41994 .47512 L
.41894 .47374 L
.4188 .47351 L
.41756 .47191 L
.41733 .47184 L
.41634 .4703 L
.41572 .46964 L
.41496 .4687 L
.41412 .46743 L
.41388 .46709 L
.41267 .46549 L
.41251 .46528 L
.41147 .46388 L
.41091 .4634 L
.40995 .46228 L
.4093 .46111 L
.40898 .46067 L
.40782 .45907 L
.4077 .45891 L
.40663 .45746 L
.40609 .45676 L
.40487 .45586 L
.40449 .45474 L
.40411 .45425 L
.40302 .45265 L
.40288 .45246 L
.40185 .45104 L
.40128 .45028 L
.40067 .44943 L
.39967 .44826 L
.39934 .44783 L
.39832 .44622 L
.39807 .44588 L
.39719 .44462 L
.39646 .44362 L
.39604 .44301 L
.3949 .44141 L
.39486 .44135 L
.39387 .4398 L
.39325 .4389 L
.39284 .4382 L
F
1 .44 0 r
.39325 .4504 m
.39378 .45104 L
.39486 .4522 L
.39521 .45265 L
.39646 .45408 L
.3966 .45425 L
.39792 .45586 L
.39807 .45602 L
.39921 .45746 L
.39967 .458 L
.4005 .45907 L
.40128 .45999 L
.4018 .46067 L
.40288 .46199 L
.4031 .46228 L
.40437 .46388 L
.40449 .46402 L
.40561 .46549 L
.40609 .46608 L
.40686 .46709 L
.4077 .46813 L
.40812 .4687 L
.4093 .47007 L
.40939 .4703 L
.41061 .47191 L
.41091 .47228 L
.41182 .47351 L
.41251 .47438 L
.41305 .47512 L
.41412 .47648 L
.4143 .47672 L
.4155 .47833 L
.41572 .47861 L
.41667 .47993 L
.41733 .48077 L
.41787 .48154 L
.41894 .48292 L
.41909 .48314 L
.42025 .48475 L
.42054 .48513 L
.42136 .48636 L
.42215 .4874 L
.42251 .48796 L
.42215 .4889 L
.42137 .48796 L
.42054 .48706 L
.41997 .48636 L
.41894 .48515 L
.41861 .48475 L
.41733 .48321 L
.41727 .48314 L
.41599 .48154 L
.41572 .48123 L
.41471 .47993 L
.41412 .47923 L
.41342 .47833 L
.41251 .47722 L
.41213 .47672 L
.41091 .47524 L
.41085 .47512 L
.40961 .47351 L
.4093 .47313 L
.40837 .47191 L
.4077 .47107 L
.40711 .4703 L
.40609 .46901 L
.40586 .4687 L
.40463 .46709 L
.40449 .46692 L
.40342 .46549 L
.40288 .4648 L
.4022 .46388 L
.40128 .46269 L
.40097 .46228 L
.39976 .46067 L
.39967 .46056 L
.3986 .45907 L
.39807 .45839 L
.39741 .45746 L
.39646 .45621 L
.39621 .45586 L
.39507 .45425 L
.39486 .45398 L
.39399 .45265 L
.39325 .45165 L
.39288 .45104 L
F
0 .65 1 r
.39325 .44371 m
.3941 .44462 L
.39486 .44537 L
.3956 .44622 L
.39646 .44715 L
.39703 .44783 L
.39807 .44865 L
.39843 .44943 L
.39967 .45086 L
.39992 .45104 L
.40112 .45265 L
.40128 .45283 L
.40243 .45425 L
.40288 .45478 L
.40375 .45586 L
.40449 .45653 L
.40506 .45746 L
.40609 .45869 L
.40648 .45907 L
.40765 .46067 L
.4077 .46074 L
.40891 .46228 L
.4093 .46275 L
.41019 .46388 L
.41091 .46464 L
.41185 .46549 L
.41251 .46678 L
.41279 .46709 L
.414 .4687 L
.41412 .46885 L
.41525 .4703 L
.41572 .47065 L
.4165 .47191 L
.41733 .47287 L
.41793 .47351 L
.41894 .47501 L
.41902 .47512 L
.42025 .47672 L
.42054 .47708 L
.42149 .47833 L
.42215 .47899 L
.42311 .47993 L
.42375 .48119 L
.42404 .48154 L
.42522 .48314 L
.42536 .48331 L
.42644 .48475 L
.42696 .48508 L
.42768 .48636 L
.42857 .4874 L
.42907 .48796 L
.43016 .48957 L
.43017 .48959 L
.43136 .49117 L
.43178 .4917 L
.43258 .49278 L
.43338 .4936 L
.43412 .49438 L
.43499 .49589 L
.43506 .49599 L
.43624 .49759 L
.43659 .49804 L
.43745 .4992 L
.4382 .49977 L
.43867 .5008 L
.4398 .50225 L
.43993 .50241 L
.44107 .50401 L
.44141 .50445 L
.44225 .50562 L
.44301 .50661 L
.44346 .50722 L
.44462 .50873 L
.4447 .50883 L
.44581 .51043 L
.44622 .51098 L
.44696 .51204 L
.44783 .5132 L
.44814 .51364 L
.44928 .51525 L
.44943 .51545 L
.45035 .51686 L
.45104 .51782 L
.45143 .51846 L
.45104 .5197 L
.44991 .51846 L
.44943 .51797 L
.44846 .51686 L
.44783 .51616 L
.44706 .51525 L
.44622 .5143 L
.44568 .51364 L
.44462 .51249 L
.44391 .51204 L
.44301 .51046 L
.44298 .51043 L
.44168 .50883 L
.44141 .50851 L
.44037 .50722 L
.4398 .50682 L
.43906 .50562 L
.4382 .50461 L
.43756 .50401 L
.43659 .50255 L
.43647 .50241 L
.43521 .5008 L
.43499 .50053 L
.43393 .4992 L
.43338 .49866 L
.43211 .49759 L
.43178 .49651 L
.43131 .49599 L
.43017 .49444 L
.43013 .49438 L
.42887 .49278 L
.42857 .49263 L
.42762 .49117 L
.42696 .49043 L
.42614 .48957 L
.42536 .48829 L
.4251 .48796 L
.42387 .48636 L
.42375 .48621 L
.42263 .48475 L
.42215 .48432 L
.4209 .48314 L
.42054 .48211 L
.42006 .48154 L
.41894 .47998 L
.4189 .47993 L
.41768 .47833 L
.41733 .47822 L
.41645 .47672 L
.41572 .47592 L
.415 .47512 L
.41412 .47371 L
.41397 .47351 L
.41277 .47191 L
.41251 .47159 L
.41155 .4703 L
.41091 .46973 L
.40989 .4687 L
.4093 .46741 L
.40904 .46709 L
.4079 .46549 L
.4077 .46523 L
.4067 .46388 L
.40609 .4631 L
.40549 .46228 L
.40449 .46106 L
.40416 .46067 L
.40309 .45907 L
.40288 .4588 L
.40191 .45746 L
.40128 .45663 L
.40072 .45586 L
.39967 .45458 L
.39938 .45425 L
.39838 .45265 L
.39807 .45223 L
.39724 .45104 L
.39646 .44998 L
.39609 .44943 L
.39495 .44783 L
.39486 .4477 L
.39392 .44622 L
.39325 .44524 L
.39289 .44462 L
F
.538 .98 1 r
.39325 .41516 m
.39419 .41572 L
.39486 .41629 L
.39584 .41733 L
.39646 .41799 L
.39724 .41894 L
.39807 .41989 L
.39857 .42054 L
.39967 .42189 L
.39986 .42215 L
.40109 .42375 L
.40128 .42399 L
.40225 .42536 L
.40288 .4262 L
.4034 .42696 L
.40449 .42851 L
.40452 .42857 L
.40538 .43017 L
.40449 .43064 L
.40397 .43017 L
.40288 .42911 L
.40238 .42857 L
.40128 .42743 L
.40095 .42696 L
.39967 .42543 L
.39959 .42536 L
.39832 .42375 L
.39807 .42343 L
.39707 .42215 L
.39646 .42133 L
.39587 .42054 L
.39486 .41918 L
.3947 .41894 L
.39375 .41733 L
.39325 .41637 L
.39297 .41572 L
F
1 .43 0 r
.39325 .45054 m
.39367 .45104 L
.39486 .45229 L
.39514 .45265 L
.39646 .45415 L
.39655 .45425 L
.39786 .45586 L
.39807 .45608 L
.39915 .45746 L
.39967 .45806 L
.40045 .45907 L
.40128 .46004 L
.40176 .46067 L
.40288 .46204 L
.40306 .46228 L
.40433 .46388 L
.40449 .46407 L
.40557 .46549 L
.40609 .46612 L
.40682 .46709 L
.4077 .46818 L
.40809 .4687 L
.4093 .47015 L
.40936 .4703 L
.41057 .47191 L
.41091 .47233 L
.41178 .47351 L
.41251 .47443 L
.41302 .47512 L
.41412 .47653 L
.41426 .47672 L
.41546 .47833 L
.41572 .47866 L
.41663 .47993 L
.41733 .48083 L
.41783 .48154 L
.41894 .48298 L
.41905 .48314 L
.42018 .48475 L
.42054 .48521 L
.42129 .48636 L
.42215 .4875 L
.42243 .48796 L
.42215 .48879 L
.42146 .48796 L
.42054 .48697 L
.42004 .48636 L
.41894 .48508 L
.41867 .48475 L
.41733 .48315 L
.41732 .48314 L
.41605 .48154 L
.41572 .48117 L
.41476 .47993 L
.41412 .47917 L
.41346 .47833 L
.41251 .47717 L
.41217 .47672 L
.41091 .47516 L
.41089 .47512 L
.40966 .47351 L
.4093 .47308 L
.40841 .47191 L
.4077 .47102 L
.40715 .4703 L
.40609 .46896 L
.40589 .4687 L
.40467 .46709 L
.40449 .46687 L
.40347 .46549 L
.40288 .46475 L
.40224 .46388 L
.40128 .46264 L
.40101 .46228 L
.39981 .46067 L
.39967 .4605 L
.39865 .45907 L
.39807 .45832 L
.39746 .45746 L
.39646 .45614 L
.39626 .45586 L
.39514 .45425 L
.39486 .45388 L
.39407 .45265 L
.39325 .45151 L
.39298 .45104 L
F
0 .64 1 r
.39325 .44389 m
.39396 .44462 L
.39486 .44548 L
.39551 .44622 L
.39646 .44724 L
.39697 .44783 L
.39807 .44876 L
.39837 .44943 L
.39967 .45094 L
.39982 .45104 L
.40107 .45265 L
.40128 .45288 L
.40239 .45425 L
.40288 .45483 L
.40371 .45586 L
.40449 .45657 L
.40502 .45746 L
.40609 .45874 L
.40644 .45907 L
.40761 .46067 L
.4077 .46078 L
.40888 .46228 L
.4093 .46279 L
.41016 .46388 L
.41091 .46468 L
.41182 .46549 L
.41251 .46682 L
.41276 .46709 L
.41397 .4687 L
.41412 .46888 L
.41522 .4703 L
.41572 .47067 L
.41648 .47191 L
.41733 .4729 L
.4179 .47351 L
.41894 .47504 L
.419 .47512 L
.42023 .47672 L
.42054 .47711 L
.42147 .47833 L
.42215 .47901 L
.42308 .47993 L
.42375 .48122 L
.42402 .48154 L
.4252 .48314 L
.42536 .48334 L
.42642 .48475 L
.42696 .4851 L
.42766 .48636 L
.42857 .48743 L
.42904 .48796 L
.43013 .48957 L
.43017 .48961 L
.43134 .49117 L
.43178 .49173 L
.43256 .49278 L
.43338 .49364 L
.43409 .49438 L
.43499 .49593 L
.43504 .49599 L
.43622 .49759 L
.43659 .49807 L
.43742 .4992 L
.4382 .49981 L
.43864 .5008 L
.4398 .5023 L
.4399 .50241 L
.44104 .50401 L
.44141 .50449 L
.44222 .50562 L
.44301 .50665 L
.44343 .50722 L
.44462 .5088 L
.44465 .50883 L
.44577 .51043 L
.44622 .51103 L
.44692 .51204 L
.44783 .51326 L
.44809 .51364 L
.44922 .51525 L
.44943 .51554 L
.45028 .51686 L
.45104 .51794 L
.45135 .51846 L
.45104 .51956 L
.45002 .51846 L
.44943 .51787 L
.44854 .51686 L
.44783 .51608 L
.44712 .51525 L
.44622 .51423 L
.44573 .51364 L
.44462 .51242 L
.44402 .51204 L
.44304 .51043 L
.44301 .51041 L
.44172 .50883 L
.44141 .50846 L
.44041 .50722 L
.4398 .50678 L
.4391 .50562 L
.4382 .50457 L
.4376 .50401 L
.43659 .50251 L
.43651 .50241 L
.43524 .5008 L
.43499 .5005 L
.43396 .4992 L
.43338 .49863 L
.43214 .49759 L
.43178 .49648 L
.43134 .49599 L
.43017 .49441 L
.43015 .49438 L
.4289 .49278 L
.42857 .49262 L
.42764 .49117 L
.42696 .4904 L
.42616 .48957 L
.42536 .48826 L
.42512 .48796 L
.42389 .48636 L
.42375 .48618 L
.42265 .48475 L
.42215 .48429 L
.42092 .48314 L
.42054 .48208 L
.42008 .48154 L
.41894 .47995 L
.41892 .47993 L
.4177 .47833 L
.41733 .47821 L
.41647 .47672 L
.41572 .47589 L
.41503 .47512 L
.41412 .47368 L
.41399 .47351 L
.41279 .47191 L
.41251 .47156 L
.41157 .4703 L
.41091 .4697 L
.40992 .4687 L
.4093 .46738 L
.40907 .46709 L
.40792 .46549 L
.4077 .4652 L
.40672 .46388 L
.40609 .46306 L
.40551 .46228 L
.40449 .46101 L
.4042 .46067 L
.40312 .45907 L
.40288 .45876 L
.40194 .45746 L
.40128 .45658 L
.40076 .45586 L
.39967 .4545 L
.39945 .45425 L
.39843 .45265 L
.39807 .45217 L
.39729 .45104 L
.39646 .44991 L
.39614 .44943 L
.39503 .44783 L
.39486 .44759 L
.39401 .44622 L
.39325 .44509 L
.393 .44462 L
F
1 .85 .01 r
.39325 .43725 m
.39428 .4382 L
.39486 .43872 L
.39588 .4398 L
.39646 .4404 L
.39737 .44141 L
.39807 .44217 L
.3988 .44301 L
.39967 .44391 L
.4002 .44462 L
.40128 .44588 L
.40166 .44622 L
.40288 .44779 L
.40292 .44783 L
.40425 .44943 L
.40449 .4496 L
.40558 .45104 L
.40609 .45163 L
.40718 .45265 L
.4077 .45366 L
.40821 .45425 L
.4093 .45567 L
.40943 .45586 L
.41077 .45746 L
.41091 .4576 L
.41206 .45907 L
.41251 .45964 L
.41343 .46067 L
.41412 .46171 L
.41455 .46228 L
.41572 .46375 L
.41577 .46388 L
.41713 .46549 L
.41733 .46571 L
.4186 .46709 L
.41894 .46779 L
.41966 .4687 L
.42054 .46989 L
.42079 .4703 L
.42215 .4719 L
.42216 .47191 L
.42374 .47351 L
.42375 .47393 L
.42475 .47512 L
.42536 .47604 L
.42584 .47672 L
.42696 .47813 L
.42702 .47833 L
.42839 .47993 L
.42857 .48012 L
.42983 .48154 L
.43017 .48222 L
.43089 .48314 L
.43178 .48434 L
.43201 .48475 L
.43336 .48636 L
.43338 .48638 L
.43494 .48796 L
.43499 .48843 L
.43593 .48957 L
.43659 .49056 L
.43702 .49117 L
.4382 .49266 L
.43823 .49278 L
.43953 .49438 L
.4398 .49465 L
.44099 .49599 L
.44141 .49678 L
.44203 .49759 L
.44301 .49891 L
.44317 .4992 L
.44447 .5008 L
.44462 .5009 L
.4461 .50241 L
.44622 .50301 L
.44704 .50401 L
.44783 .50517 L
.44814 .50562 L
.44939 .50722 L
.44943 .50728 L
.4506 .50883 L
.45104 .50924 L
.45208 .51043 L
.45265 .51143 L
.4531 .51204 L
.45425 .51359 L
.45428 .51364 L
.4555 .51525 L
.45586 .51545 L
.45719 .51686 L
.45746 .5177 L
.45807 .51846 L
.45907 .5199 L
.45918 .52007 L
.46038 .52167 L
.46067 .52204 L
.46159 .52328 L
.46228 .52395 L
.46305 .52488 L
.46388 .52624 L
.46406 .52649 L
.46524 .52809 L
.46549 .52842 L
.46643 .5297 L
.46709 .53018 L
.46806 .5313 L
.4687 .53263 L
.46891 .53291 L
.47004 .53451 L
.4703 .53486 L
.47121 .53612 L
.47191 .53704 L
.4724 .53772 L
.47351 .53915 L
.47365 .53933 L
.47474 .54093 L
.47512 .54144 L
.47588 .54254 L
.47672 .5437 L
.47703 .54414 L
.47815 .54575 L
.47833 .54599 L
.47919 .54735 L
.47993 .54845 L
.48023 .54896 L
.47993 .55028 L
.47861 .54896 L
.47833 .5487 L
.47709 .54735 L
.47672 .54698 L
.47564 .54575 L
.47512 .54518 L
.47422 .54414 L
.47351 .54347 L
.47283 .54254 L
.47191 .54146 L
.47131 .54093 L
.4703 .53952 L
.47014 .53933 L
.4688 .53772 L
.4687 .53768 L
.46748 .53612 L
.46709 .53568 L
.46579 .53451 L
.46549 .53365 L
.46483 .53291 L
.46388 .53162 L
.46366 .5313 L
.4623 .5297 L
.46228 .52968 L
.46101 .52809 L
.46067 .52767 L
.45961 .52649 L
.45907 .5256 L
.45852 .52488 L
.45746 .52354 L
.45734 .52328 L
.45594 .52167 L
.45586 .52158 L
.45445 .52007 L
.45425 .51951 L
.4534 .51846 L
.45265 .51741 L
.45228 .51686 L
.45104 .51536 L
.45091 .51525 L
.44967 .51364 L
.44943 .51337 L
.44831 .51204 L
.44783 .51126 L
.44722 .51043 L
.44622 .50916 L
.44609 .50883 L
.44468 .50722 L
.44462 .50716 L
.44323 .50562 L
.44301 .50508 L
.44217 .50401 L
.44141 .50296 L
.44107 .50241 L
.4398 .50088 L
.43972 .5008 L
.43849 .4992 L
.4382 .49887 L
.43713 .49759 L
.43659 .49675 L
.43605 .49599 L
.43499 .49463 L
.43489 .49438 L
.43354 .49278 L
.43338 .49263 L
.43206 .49117 L
.43178 .49052 L
.43103 .48957 L
.43017 .48838 L
.42992 .48796 L
.42861 .48636 L
.42857 .48634 L
.42739 .48475 L
.42696 .48429 L
.42601 .48314 L
.42536 .48213 L
.42494 .48154 L
.42375 .48001 L
.42373 .47993 L
.42248 .47833 L
.42215 .47805 L
.42096 .47672 L
.42054 .47587 L
.41996 .47512 L
.41894 .47371 L
.41882 .47351 L
.41758 .47191 L
.41733 .47183 L
.41636 .4703 L
.41572 .46961 L
.41498 .4687 L
.41412 .4674 L
.41391 .46709 L
.4127 .46549 L
.41251 .46525 L
.4115 .46388 L
.41091 .46337 L
.40998 .46228 L
.4093 .46106 L
.40901 .46067 L
.40786 .45907 L
.4077 .45886 L
.40667 .45746 L
.40609 .45671 L
.40491 .45586 L
.40449 .45467 L
.40416 .45425 L
.40307 .45265 L
.40288 .4524 L
.4019 .45104 L
.40128 .45021 L
.40072 .44943 L
.39967 .44814 L
.39943 .44783 L
.3984 .44622 L
.39807 .44578 L
.39727 .44462 L
.39646 .4435 L
.39613 .44301 L
.39503 .44141 L
.39486 .44117 L
.39403 .4398 L
.39325 .4386 L
.39304 .4382 L
F
0 .47 1 r
.39325 .4573 m
.39335 .45746 L
.39325 .45777 L
.39305 .45746 L
F
1 .42 0 r
.39325 .45072 m
.39352 .45104 L
.39486 .45238 L
.39507 .45265 L
.39646 .45422 L
.39649 .45425 L
.39779 .45586 L
.39807 .45616 L
.39909 .45746 L
.39967 .45812 L
.4004 .45907 L
.40128 .4601 L
.40172 .46067 L
.40288 .46209 L
.40303 .46228 L
.40429 .46388 L
.40449 .46412 L
.40553 .46549 L
.40609 .46617 L
.40678 .46709 L
.4077 .46822 L
.40805 .4687 L
.4093 .47024 L
.40933 .4703 L
.41053 .47191 L
.41091 .47238 L
.41174 .47351 L
.41251 .47448 L
.41298 .47512 L
.41412 .47657 L
.41423 .47672 L
.41541 .47833 L
.41572 .47872 L
.41658 .47993 L
.41733 .48089 L
.41779 .48154 L
.41894 .48304 L
.41901 .48314 L
.42012 .48475 L
.42054 .4853 L
.42121 .48636 L
.42215 .48761 L
.42235 .48796 L
.42215 .48865 L
.42156 .48796 L
.42054 .48688 L
.42011 .48636 L
.41894 .48501 L
.41872 .48475 L
.41739 .48314 L
.41733 .48308 L
.4161 .48154 L
.41572 .4811 L
.41481 .47993 L
.41412 .47911 L
.41351 .47833 L
.41251 .47711 L
.41221 .47672 L
.41093 .47512 L
.41091 .47509 L
.4097 .47351 L
.4093 .47303 L
.40845 .47191 L
.4077 .47097 L
.40719 .4703 L
.40609 .46891 L
.40593 .4687 L
.40472 .46709 L
.40449 .46681 L
.40351 .46549 L
.40288 .4647 L
.40228 .46388 L
.40128 .46259 L
.40105 .46228 L
.39986 .46067 L
.39967 .46044 L
.3987 .45907 L
.39807 .45825 L
.39751 .45746 L
.39646 .45607 L
.39632 .45586 L
.39522 .45425 L
.39486 .45377 L
.39417 .45265 L
.39325 .45134 L
.3931 .45104 L
F
0 .63 1 r
.39325 .44413 m
.39378 .44462 L
.39486 .4456 L
.39542 .44622 L
.39646 .44732 L
.39689 .44783 L
.39807 .44888 L
.39831 .44943 L
.39967 .45101 L
.39971 .45104 L
.40102 .45265 L
.40128 .45294 L
.40235 .45425 L
.40288 .45488 L
.40367 .45586 L
.40449 .45662 L
.40499 .45746 L
.40609 .45878 L
.40639 .45907 L
.40758 .46067 L
.4077 .46081 L
.40885 .46228 L
.4093 .46283 L
.41013 .46388 L
.41091 .46471 L
.41178 .46549 L
.41251 .46685 L
.41273 .46709 L
.41395 .4687 L
.41412 .46891 L
.4152 .4703 L
.41572 .4707 L
.41646 .47191 L
.41733 .47293 L
.41788 .47351 L
.41894 .47506 L
.41898 .47512 L
.42021 .47672 L
.42054 .47714 L
.42145 .47833 L
.42215 .47904 L
.42306 .47993 L
.42375 .48125 L
.424 .48154 L
.42518 .48314 L
.42536 .48337 L
.4264 .48475 L
.42696 .48512 L
.42764 .48636 L
.42857 .48746 L
.42902 .48796 L
.43011 .48957 L
.43017 .48964 L
.43132 .49117 L
.43178 .49176 L
.43254 .49278 L
.43338 .49367 L
.43406 .49438 L
.43499 .49596 L
.43501 .49599 L
.43619 .49759 L
.43659 .4981 L
.4374 .4992 L
.4382 .49986 L
.43862 .5008 L
.4398 .50234 L
.43986 .50241 L
.44101 .50401 L
.44141 .50453 L
.44219 .50562 L
.44301 .50669 L
.4434 .50722 L
.4446 .50883 L
.44462 .50886 L
.44573 .51043 L
.44622 .51109 L
.44688 .51204 L
.44783 .51332 L
.44805 .51364 L
.44916 .51525 L
.44943 .51563 L
.4502 .51686 L
.45104 .51807 L
.45126 .51846 L
.45104 .5194 L
.45014 .51846 L
.44943 .51777 L
.44862 .51686 L
.44783 .516 L
.44719 .51525 L
.44622 .51416 L
.44579 .51364 L
.44462 .51234 L
.44413 .51204 L
.44309 .51043 L
.44301 .51035 L
.44177 .50883 L
.44141 .50841 L
.44045 .50722 L
.4398 .50674 L
.43914 .50562 L
.4382 .50452 L
.43764 .50401 L
.43659 .50247 L
.43654 .50241 L
.43527 .5008 L
.43499 .50046 L
.43399 .4992 L
.43338 .4986 L
.43217 .49759 L
.43178 .49644 L
.43137 .49599 L
.43018 .49438 L
.43017 .49438 L
.42893 .49278 L
.42857 .4926 L
.42767 .49117 L
.42696 .49037 L
.42619 .48957 L
.42536 .48823 L
.42514 .48796 L
.42391 .48636 L
.42375 .48615 L
.42267 .48475 L
.42215 .48427 L
.42094 .48314 L
.42054 .48205 L
.42011 .48154 L
.41895 .47993 L
.41894 .47992 L
.41772 .47833 L
.41733 .4782 L
.41649 .47672 L
.41572 .47586 L
.41506 .47512 L
.41412 .47365 L
.41401 .47351 L
.41281 .47191 L
.41251 .47153 L
.4116 .4703 L
.41091 .46967 L
.40995 .4687 L
.4093 .46734 L
.4091 .46709 L
.40795 .46549 L
.4077 .46516 L
.40675 .46388 L
.40609 .46302 L
.40554 .46228 L
.40449 .46096 L
.40424 .46067 L
.40315 .45907 L
.40288 .45872 L
.40198 .45746 L
.40128 .45653 L
.40079 .45586 L
.39967 .45442 L
.39953 .45425 L
.39847 .45265 L
.39807 .4521 L
.39734 .45104 L
.39646 .44983 L
.39619 .44943 L
.3951 .44783 L
.39486 .44748 L
.39411 .44622 L
.39325 .44488 L
.39313 .44462 L
F
1 .96 .289 r
.39486 .38919 m
.39535 .39004 L
.39646 .39103 L
.39695 .39165 L
.39807 .39285 L
.39861 .39325 L
.39967 .39473 L
.3998 .39486 L
.40111 .39646 L
.40128 .39666 L
.4024 .39807 L
.40288 .39839 L
.40425 .39967 L
.40449 .40063 L
.40496 .40128 L
.40603 .40288 L
.40609 .40298 L
.40707 .40449 L
.4077 .4057 L
.40786 .40609 L
.4077 .40679 L
.40609 .40644 L
.40565 .40609 L
.40449 .40511 L
.40398 .40449 L
.40288 .40331 L
.40234 .40288 L
.40128 .40132 L
.40124 .40128 L
.40001 .39967 L
.39967 .39925 L
.39879 .39807 L
.39807 .39712 L
.39758 .39646 L
.39646 .39499 L
.39637 .39486 L
.3953 .39325 L
.39486 .39261 L
.39425 .39165 L
.39327 .39004 L
F
1 .98 .538 r
.39486 .41059 m
.39606 .41091 L
.39646 .4111 L
.39807 .4125 L
.39808 .41251 L
.39949 .41412 L
.39967 .41429 L
.40079 .41572 L
.40128 .41626 L
.40207 .41733 L
.40288 .41832 L
.40351 .41894 L
.40449 .4204 L
.40461 .42054 L
.40583 .42215 L
.40609 .42248 L
.40705 .42375 L
.4077 .42434 L
.40861 .42536 L
.4093 .42659 L
.40959 .42696 L
.41074 .42857 L
.41091 .42878 L
.41193 .43017 L
.41251 .43094 L
.41313 .43178 L
.41412 .4331 L
.41442 .43338 L
.41544 .43499 L
.41572 .43542 L
.4164 .43659 L
.41572 .43806 L
.41412 .43707 L
.41302 .43659 L
.41251 .43598 L
.41113 .43499 L
.41091 .4343 L
.40998 .43338 L
.4093 .43236 L
.40879 .43178 L
.4077 .43066 L
.4073 .43017 L
.40609 .42863 L
.40604 .42857 L
.40476 .42696 L
.40449 .42655 L
.40365 .42536 L
.40288 .42441 L
.40263 .42375 L
.40128 .42231 L
.40104 .42215 L
.39978 .42054 L
.39967 .42036 L
.39867 .41894 L
.39807 .41822 L
.39765 .41733 L
.39646 .41599 L
.39627 .41572 L
.39517 .41412 L
.39486 .41359 L
.39412 .41251 L
.39397 .41091 L
F
1 .84 .007 r
.39486 .43898 m
.39567 .4398 L
.39646 .44059 L
.39721 .44141 L
.39807 .44232 L
.39868 .44301 L
.39967 .44404 L
.4001 .44462 L
.40128 .44599 L
.40155 .44622 L
.40283 .44783 L
.40288 .44789 L
.40417 .44943 L
.40449 .44965 L
.40551 .45104 L
.40609 .45171 L
.40713 .45265 L
.4077 .45373 L
.40816 .45425 L
.4093 .45572 L
.40939 .45586 L
.41072 .45746 L
.41091 .45765 L
.41201 .45907 L
.41251 .45969 L
.41339 .46067 L
.41412 .46176 L
.41451 .46228 L
.41572 .46378 L
.41576 .46388 L
.4171 .46549 L
.41733 .46575 L
.41858 .46709 L
.41894 .46783 L
.41963 .4687 L
.42054 .46992 L
.42077 .4703 L
.42213 .47191 L
.42215 .47192 L
.42374 .47351 L
.42375 .47396 L
.42473 .47512 L
.42536 .47607 L
.42582 .47672 L
.42696 .47816 L
.42701 .47833 L
.42837 .47993 L
.42857 .48015 L
.42981 .48154 L
.43017 .48225 L
.43087 .48314 L
.43178 .48437 L
.432 .48475 L
.43334 .48636 L
.43338 .48639 L
.43493 .48796 L
.43499 .48845 L
.43591 .48957 L
.43659 .49058 L
.43701 .49117 L
.4382 .49268 L
.43822 .49278 L
.43951 .49438 L
.4398 .49467 L
.44097 .49599 L
.44141 .49681 L
.44201 .49759 L
.44301 .49894 L
.44316 .4992 L
.44445 .5008 L
.44462 .50092 L
.44609 .50241 L
.44622 .50304 L
.44702 .50401 L
.44783 .5052 L
.44812 .50562 L
.44937 .50722 L
.44943 .50731 L
.45058 .50883 L
.45104 .50926 L
.45206 .51043 L
.45265 .51146 L
.45308 .51204 L
.45425 .51361 L
.45427 .51364 L
.45548 .51525 L
.45586 .51547 L
.45717 .51686 L
.45746 .51773 L
.45805 .51846 L
.45907 .51993 L
.45916 .52007 L
.46036 .52167 L
.46067 .52207 L
.46157 .52328 L
.46228 .52399 L
.46302 .52488 L
.46388 .52628 L
.46403 .52649 L
.4652 .52809 L
.46549 .52846 L
.4664 .5297 L
.46709 .53023 L
.46802 .5313 L
.4687 .53269 L
.46886 .53291 L
.46999 .53451 L
.4703 .53492 L
.47116 .53612 L
.47191 .53711 L
.47235 .53772 L
.47351 .53926 L
.47356 .53933 L
.47467 .54093 L
.47512 .54154 L
.4758 .54254 L
.47672 .54381 L
.47695 .54414 L
.47803 .54575 L
.47833 .54617 L
.47904 .54735 L
.47993 .54875 L
.48004 .54896 L
.47993 .54989 L
.47889 .54896 L
.47833 .54847 L
.47727 .54735 L
.47672 .5468 L
.47577 .54575 L
.47512 .54504 L
.47433 .54414 L
.47351 .54335 L
.47293 .54254 L
.47191 .54136 L
.47142 .54093 L
.4703 .53943 L
.47021 .53933 L
.46888 .53772 L
.4687 .53764 L
.46755 .53612 L
.46709 .53561 L
.46583 .53451 L
.46549 .53358 L
.46489 .53291 L
.46388 .53157 L
.46369 .5313 L
.46235 .5297 L
.46228 .52964 L
.46106 .52809 L
.46067 .52762 L
.45965 .52649 L
.45907 .52555 L
.45855 .52488 L
.45746 .5235 L
.45736 .52328 L
.45598 .52167 L
.45586 .52154 L
.45447 .52007 L
.45425 .51947 L
.45343 .51846 L
.45265 .51738 L
.45231 .51686 L
.45104 .51533 L
.45094 .51525 L
.44969 .51364 L
.44943 .51333 L
.44833 .51204 L
.44783 .51123 L
.44724 .51043 L
.44622 .50913 L
.4461 .50883 L
.44471 .50722 L
.44462 .50713 L
.44324 .50562 L
.44301 .50505 L
.44219 .50401 L
.44141 .50293 L
.44108 .50241 L
.4398 .50086 L
.43974 .5008 L
.43851 .4992 L
.4382 .49885 L
.43714 .49759 L
.43659 .49672 L
.43606 .49599 L
.43499 .49461 L
.4349 .49438 L
.43356 .49278 L
.43338 .49261 L
.43208 .49117 L
.43178 .4905 L
.43105 .48957 L
.43017 .48836 L
.42993 .48796 L
.42863 .48636 L
.42857 .48633 L
.42741 .48475 L
.42696 .48426 L
.42603 .48314 L
.42536 .48211 L
.42496 .48154 L
.42375 .47998 L
.42373 .47993 L
.4225 .47833 L
.42215 .47803 L
.42097 .47672 L
.42054 .47584 L
.41998 .47512 L
.41894 .47368 L
.41884 .47351 L
.4176 .47191 L
.41733 .47182 L
.41639 .4703 L
.41572 .46958 L
.41501 .4687 L
.41412 .46736 L
.41393 .46709 L
.41273 .46549 L
.41251 .46521 L
.41153 .46388 L
.41091 .46333 L
.41001 .46228 L
.4093 .46102 L
.40905 .46067 L
.40789 .45907 L
.4077 .45882 L
.40671 .45746 L
.40609 .45666 L
.40496 .45586 L
.40449 .4546 L
.40422 .45425 L
.40312 .45265 L
.40288 .45234 L
.40196 .45104 L
.40128 .45014 L
.40078 .44943 L
.39967 .44801 L
.39953 .44783 L
.39847 .44622 L
.39807 .44567 L
.39736 .44462 L
.39646 .44337 L
.39623 .44301 L
.39517 .44141 L
.39486 .44095 L
.39421 .4398 L
F
0 .62 1 r
.39486 .44572 m
.39531 .44622 L
.39646 .44742 L
.39682 .44783 L
.39807 .44902 L
.39825 .44943 L
.39963 .45104 L
.39967 .45109 L
.40097 .45265 L
.40128 .453 L
.4023 .45425 L
.40288 .45493 L
.40363 .45586 L
.40449 .45667 L
.40495 .45746 L
.40609 .45883 L
.40634 .45907 L
.40755 .46067 L
.4077 .46085 L
.40882 .46228 L
.4093 .46286 L
.41011 .46388 L
.41091 .46475 L
.41175 .46549 L
.41251 .46689 L
.4127 .46709 L
.41392 .4687 L
.41412 .46894 L
.41517 .4703 L
.41572 .47072 L
.41644 .47191 L
.41733 .47297 L
.41785 .47351 L
.41894 .47509 L
.41896 .47512 L
.42019 .47672 L
.42054 .47717 L
.42143 .47833 L
.42215 .47907 L
.42303 .47993 L
.42375 .48128 L
.42397 .48154 L
.42516 .48314 L
.42536 .4834 L
.42638 .48475 L
.42696 .48515 L
.42762 .48636 L
.42857 .48749 L
.42899 .48796 L
.43009 .48957 L
.43017 .48967 L
.4313 .49117 L
.43178 .49178 L
.43252 .49278 L
.43338 .4937 L
.43403 .49438 L
.43498 .49599 L
.43499 .496 L
.43617 .49759 L
.43659 .49814 L
.43737 .4992 L
.4382 .4999 L
.43859 .5008 L
.4398 .50239 L
.43982 .50241 L
.44098 .50401 L
.44141 .50457 L
.44216 .50562 L
.44301 .50673 L
.44336 .50722 L
.44456 .50883 L
.44462 .50891 L
.44569 .51043 L
.44622 .51115 L
.44684 .51204 L
.44783 .51339 L
.448 .51364 L
.44909 .51525 L
.44943 .51572 L
.45012 .51686 L
.45104 .51823 L
.45116 .51846 L
.45104 .5192 L
.45029 .51846 L
.44943 .51766 L
.44871 .51686 L
.44783 .51591 L
.44726 .51525 L
.44622 .51409 L
.44585 .51364 L
.44462 .51226 L
.44425 .51204 L
.44314 .51043 L
.44301 .51029 L
.44181 .50883 L
.44141 .50836 L
.44049 .50722 L
.4398 .5067 L
.43917 .50562 L
.4382 .50448 L
.43769 .50401 L
.43659 .50243 L
.43658 .50241 L
.4353 .5008 L
.43499 .50042 L
.43402 .4992 L
.43338 .49856 L
.4322 .49759 L
.43178 .49641 L
.4314 .49599 L
.4302 .49438 L
.43017 .49434 L
.42895 .49278 L
.42857 .49258 L
.42769 .49117 L
.42696 .49034 L
.42622 .48957 L
.42536 .4882 L
.42517 .48796 L
.42394 .48636 L
.42375 .48612 L
.4227 .48475 L
.42215 .48424 L
.42097 .48314 L
.42054 .48202 L
.42013 .48154 L
.41897 .47993 L
.41894 .47989 L
.41775 .47833 L
.41733 .47818 L
.41651 .47672 L
.41572 .47583 L
.41508 .47512 L
.41412 .47362 L
.41404 .47351 L
.41284 .47191 L
.41251 .47149 L
.41162 .4703 L
.41091 .46963 L
.40999 .4687 L
.4093 .4673 L
.40913 .46709 L
.40798 .46549 L
.4077 .46513 L
.40678 .46388 L
.40609 .46299 L
.40557 .46228 L
.40449 .46091 L
.40429 .46067 L
.40318 .45907 L
.40288 .45867 L
.40201 .45746 L
.40128 .45649 L
.40083 .45586 L
.39967 .45433 L
.3996 .45425 L
.39852 .45265 L
.39807 .45204 L
.39739 .45104 L
.39646 .44976 L
.39625 .44943 L
.39519 .44783 L
.39486 .44736 L
.39422 .44622 L
F
1 .41 0 r
.39486 .45249 m
.39498 .45265 L
.39486 .45364 L
.39429 .45265 L
F
0 .61 1 r
.39486 .44587 m
.39519 .44622 L
.39646 .44751 L
.39674 .44783 L
.39807 .44916 L
.39819 .44943 L
.39957 .45104 L
.39967 .45115 L
.40092 .45265 L
.40128 .45305 L
.40226 .45425 L
.40288 .45498 L
.40359 .45586 L
.40449 .45673 L
.40491 .45746 L
.40609 .45888 L
.40629 .45907 L
.40751 .46067 L
.4077 .4609 L
.40879 .46228 L
.4093 .4629 L
.41008 .46388 L
.41091 .46479 L
.41171 .46549 L
.41251 .46692 L
.41267 .46709 L
.41389 .4687 L
.41412 .46898 L
.41515 .4703 L
.41572 .47075 L
.41641 .47191 L
.41733 .473 L
.41782 .47351 L
.41893 .47512 L
.41894 .47512 L
.42016 .47672 L
.42054 .4772 L
.42141 .47833 L
.42215 .4791 L
.42301 .47993 L
.42375 .48131 L
.42395 .48154 L
.42514 .48314 L
.42536 .48342 L
.42636 .48475 L
.42696 .48517 L
.4276 .48636 L
.42857 .48752 L
.42896 .48796 L
.43007 .48957 L
.43017 .4897 L
.43128 .49117 L
.43178 .49181 L
.4325 .49278 L
.43338 .49374 L
.43399 .49438 L
.43496 .49599 L
.43499 .49603 L
.43614 .49759 L
.43659 .49817 L
.43735 .4992 L
.4382 .49995 L
.43857 .5008 L
.43979 .50241 L
.4398 .50243 L
.44095 .50401 L
.44141 .50461 L
.44213 .50562 L
.44301 .50678 L
.44333 .50722 L
.44452 .50883 L
.44462 .50896 L
.44564 .51043 L
.44622 .51121 L
.44679 .51204 L
.44783 .51346 L
.44796 .51364 L
.44902 .51525 L
.44943 .51583 L
.45003 .51686 L
.45104 .51845 L
.45104 .51846 L
.45104 .51889 L
.45049 .51846 L
.44943 .51754 L
.44881 .51686 L
.44783 .51583 L
.44733 .51525 L
.44622 .51402 L
.44591 .51364 L
.44462 .51218 L
.44439 .51204 L
.44319 .51043 L
.44301 .51024 L
.44186 .50883 L
.44141 .5083 L
.44053 .50722 L
.4398 .50665 L
.43921 .50562 L
.4382 .50443 L
.43774 .50401 L
.43661 .50241 L
.43659 .50239 L
.43533 .5008 L
.43499 .50038 L
.43405 .4992 L
.43338 .49853 L
.43224 .49759 L
.43178 .49637 L
.43143 .49599 L
.43023 .49438 L
.43017 .49431 L
.42898 .49278 L
.42857 .49256 L
.42772 .49117 L
.42696 .49031 L
.42624 .48957 L
.42536 .48817 L
.42519 .48796 L
.42396 .48636 L
.42375 .48609 L
.42272 .48475 L
.42215 .48422 L
.42099 .48314 L
.42054 .48199 L
.42016 .48154 L
.41899 .47993 L
.41894 .47986 L
.41777 .47833 L
.41733 .47816 L
.41654 .47672 L
.41572 .47579 L
.41511 .47512 L
.41412 .47359 L
.41406 .47351 L
.41286 .47191 L
.41251 .47146 L
.41164 .4703 L
.41091 .4696 L
.41002 .4687 L
.4093 .46726 L
.40917 .46709 L
.408 .46549 L
.4077 .46509 L
.40681 .46388 L
.40609 .46295 L
.4056 .46228 L
.40449 .46086 L
.40433 .46067 L
.40322 .45907 L
.40288 .45863 L
.40205 .45746 L
.40128 .45644 L
.40086 .45586 L
.39968 .45425 L
.39967 .45425 L
.39857 .45265 L
.39807 .45197 L
.39744 .45104 L
.39646 .44968 L
.3963 .44943 L
.39528 .44783 L
.39486 .44721 L
.39435 .44622 L
F
1 .83 .005 r
.39486 .43929 m
.3954 .4398 L
.39646 .44079 L
.39704 .44141 L
.39807 .44248 L
.39854 .44301 L
.39967 .44419 L
.39998 .44462 L
.40128 .4461 L
.40142 .44622 L
.40275 .44783 L
.40288 .44799 L
.4041 .44943 L
.40449 .44971 L
.40544 .45104 L
.40609 .45178 L
.40707 .45265 L
.4077 .4538 L
.4081 .45425 L
.4093 .45578 L
.40936 .45586 L
.41067 .45746 L
.41091 .45769 L
.41197 .45907 L
.41251 .45974 L
.41336 .46067 L
.41412 .4618 L
.41448 .46228 L
.41572 .46381 L
.41575 .46388 L
.41706 .46549 L
.41733 .46579 L
.41856 .46709 L
.41894 .46787 L
.4196 .4687 L
.42054 .46995 L
.42075 .4703 L
.4221 .47191 L
.42215 .47195 L
.42374 .47351 L
.42375 .474 L
.4247 .47512 L
.42536 .4761 L
.4258 .47672 L
.42696 .47818 L
.42701 .47833 L
.42835 .47993 L
.42857 .48017 L
.4298 .48154 L
.43017 .48228 L
.43085 .48314 L
.43178 .48439 L
.43199 .48475 L
.43332 .48636 L
.43338 .48641 L
.43493 .48796 L
.43499 .48847 L
.4359 .48957 L
.43659 .4906 L
.43699 .49117 L
.4382 .4927 L
.43822 .49278 L
.4395 .49438 L
.4398 .49469 L
.44096 .49599 L
.44141 .49683 L
.442 .49759 L
.44301 .49896 L
.44315 .4992 L
.44443 .5008 L
.44462 .50093 L
.44609 .50241 L
.44622 .50306 L
.44701 .50401 L
.44783 .50522 L
.4481 .50562 L
.44935 .50722 L
.44943 .50733 L
.45057 .50883 L
.45104 .50929 L
.45204 .51043 L
.45265 .51149 L
.45306 .51204 L
.45425 .51364 L
.45425 .51364 L
.45546 .51525 L
.45586 .51549 L
.45715 .51686 L
.45746 .51776 L
.45802 .51846 L
.45907 .51997 L
.45913 .52007 L
.46033 .52167 L
.46067 .52211 L
.46154 .52328 L
.46228 .52403 L
.46299 .52488 L
.46388 .52633 L
.464 .52649 L
.46517 .52809 L
.46549 .5285 L
.46636 .5297 L
.46709 .53029 L
.46797 .5313 L
.4687 .53276 L
.46881 .53291 L
.46995 .53451 L
.4703 .53498 L
.47112 .53612 L
.47191 .53717 L
.4723 .53772 L
.47349 .53933 L
.47351 .53937 L
.4746 .54093 L
.47512 .54164 L
.47572 .54254 L
.47672 .54394 L
.47686 .54414 L
.4779 .54575 L
.47833 .54638 L
.47887 .54735 L
.47833 .54821 L
.47748 .54735 L
.47672 .54662 L
.47592 .54575 L
.47512 .54489 L
.47446 .54414 L
.47351 .54322 L
.47303 .54254 L
.47191 .54124 L
.47154 .54093 L
.4703 .53934 L
.47029 .53933 L
.46895 .53772 L
.4687 .53761 L
.46761 .53612 L
.46709 .53554 L
.46588 .53451 L
.46549 .53351 L
.46494 .53291 L
.46388 .53151 L
.46373 .5313 L
.46239 .5297 L
.46228 .52959 L
.4611 .52809 L
.46067 .52757 L
.45968 .52649 L
.45907 .5255 L
.45858 .52488 L
.45746 .52346 L
.45738 .52328 L
.45601 .52167 L
.45586 .5215 L
.45448 .52007 L
.45425 .51943 L
.45345 .51846 L
.45265 .51734 L
.45233 .51686 L
.45104 .51531 L
.45097 .51525 L
.44972 .51364 L
.44943 .5133 L
.44835 .51204 L
.44783 .5112 L
.44726 .51043 L
.44622 .5091 L
.44611 .50883 L
.44473 .50722 L
.44462 .50711 L
.44325 .50562 L
.44301 .50503 L
.44221 .50401 L
.44141 .50291 L
.4411 .50241 L
.4398 .50085 L
.43976 .5008 L
.43852 .4992 L
.4382 .49882 L
.43716 .49759 L
.43659 .4967 L
.43608 .49599 L
.43499 .49459 L
.43491 .49438 L
.43358 .49278 L
.43338 .49259 L
.43209 .49117 L
.43178 .49047 L
.43107 .48957 L
.43017 .48834 L
.42994 .48796 L
.42865 .48636 L
.42857 .48632 L
.42742 .48475 L
.42696 .48424 L
.42605 .48314 L
.42536 .48208 L
.42497 .48154 L
.42375 .47996 L
.42374 .47993 L
.42252 .47833 L
.42215 .47801 L
.42099 .47672 L
.42054 .47582 L
.42 .47512 L
.41894 .47365 L
.41885 .47351 L
.41762 .47191 L
.41733 .47181 L
.41641 .4703 L
.41572 .46955 L
.41503 .4687 L
.41412 .46733 L
.41396 .46709 L
.41276 .46549 L
.41251 .46517 L
.41155 .46388 L
.41091 .4633 L
.41004 .46228 L
.4093 .46097 L
.40908 .46067 L
.40793 .45907 L
.4077 .45877 L
.40674 .45746 L
.40609 .45661 L
.40501 .45586 L
.40449 .45453 L
.40427 .45425 L
.40317 .45265 L
.40288 .45227 L
.40201 .45104 L
.40128 .45006 L
.40083 .44943 L
.39967 .44787 L
.39964 .44783 L
.39855 .44622 L
.39807 .44556 L
.39745 .44462 L
.39646 .44323 L
.39633 .44301 L
.39533 .44141 L
.39486 .44067 L
.39445 .4398 L
F
1 .4 0 r
.39486 .45262 m
.39488 .45265 L
.39486 .45347 L
.39447 .45265 L
F
0 .6 1 r
.39486 .44605 m
.39503 .44622 L
.39646 .44762 L
.39665 .44783 L
.39807 .44931 L
.39812 .44943 L
.3995 .45104 L
.39967 .45122 L
.40086 .45265 L
.40128 .45311 L
.40221 .45425 L
.40288 .45503 L
.40355 .45586 L
.40449 .45678 L
.40488 .45746 L
.40609 .45893 L
.40624 .45907 L
.40748 .46067 L
.4077 .46094 L
.40876 .46228 L
.4093 .46294 L
.41005 .46388 L
.41091 .46482 L
.41167 .46549 L
.41251 .46696 L
.41264 .46709 L
.41387 .4687 L
.41412 .46901 L
.41512 .4703 L
.41572 .47078 L
.41639 .47191 L
.41733 .47303 L
.41779 .47351 L
.41891 .47512 L
.41894 .47515 L
.42014 .47672 L
.42054 .47722 L
.42139 .47833 L
.42215 .47913 L
.42298 .47993 L
.42375 .48134 L
.42392 .48154 L
.42511 .48314 L
.42536 .48345 L
.42634 .48475 L
.42696 .4852 L
.42758 .48636 L
.42857 .48755 L
.42893 .48796 L
.43004 .48957 L
.43017 .48973 L
.43125 .49117 L
.43178 .49184 L
.43248 .49278 L
.43338 .49378 L
.43396 .49438 L
.43493 .49599 L
.43499 .49606 L
.43612 .49759 L
.43659 .4982 L
.43733 .4992 L
.4382 .5 L
.43854 .5008 L
.43976 .50241 L
.4398 .50247 L
.44092 .50401 L
.44141 .50465 L
.4421 .50562 L
.44301 .50682 L
.4433 .50722 L
.44448 .50883 L
.44462 .50901 L
.4456 .51043 L
.44622 .51127 L
.44675 .51204 L
.44783 .51353 L
.44791 .51364 L
.44894 .51525 L
.44943 .51596 L
.44993 .51686 L
.44943 .51741 L
.44892 .51686 L
.44783 .51573 L
.44741 .51525 L
.44622 .51394 L
.44597 .51364 L
.44462 .5121 L
.44453 .51204 L
.44324 .51043 L
.44301 .51018 L
.4419 .50883 L
.44141 .50825 L
.44057 .50722 L
.4398 .5066 L
.43925 .50562 L
.4382 .50438 L
.43779 .50401 L
.43665 .50241 L
.43659 .50235 L
.43536 .5008 L
.43499 .50034 L
.43408 .4992 L
.43338 .49849 L
.43227 .49759 L
.43178 .49634 L
.43146 .49599 L
.43026 .49438 L
.43017 .49427 L
.429 .49278 L
.42857 .49254 L
.42774 .49117 L
.42696 .49028 L
.42627 .48957 L
.42536 .48814 L
.42522 .48796 L
.42399 .48636 L
.42375 .48606 L
.42274 .48475 L
.42215 .48419 L
.42101 .48314 L
.42054 .48196 L
.42018 .48154 L
.41902 .47993 L
.41894 .47983 L
.41779 .47833 L
.41733 .47815 L
.41656 .47672 L
.41572 .47576 L
.41514 .47512 L
.41412 .47355 L
.41409 .47351 L
.41289 .47191 L
.41251 .47143 L
.41167 .4703 L
.41091 .46956 L
.41005 .4687 L
.4093 .46722 L
.4092 .46709 L
.40803 .46549 L
.4077 .46506 L
.40683 .46388 L
.40609 .46291 L
.40563 .46228 L
.40449 .4608 L
.40437 .46067 L
.40325 .45907 L
.40288 .45858 L
.40208 .45746 L
.40128 .45639 L
.4009 .45586 L
.39972 .45425 L
.39967 .45418 L
.39862 .45265 L
.39807 .4519 L
.3975 .45104 L
.39646 .44959 L
.39636 .44943 L
.39539 .44783 L
.39486 .44701 L
.39453 .44622 L
F
.289 .96 1 r
.39486 .43272 m
.39565 .43338 L
.39646 .43409 L
.39735 .43499 L
.39807 .43571 L
.39888 .43659 L
.39967 .43732 L
.40035 .4382 L
.40128 .43925 L
.402 .4398 L
.40288 .44113 L
.40315 .44141 L
.40449 .44298 L
.40451 .44301 L
.40589 .44462 L
.40609 .44486 L
.40764 .44622 L
.4077 .44684 L
.40858 .44783 L
.4093 .44886 L
.40973 .44943 L
.41091 .45087 L
.41118 .45104 L
.41246 .45265 L
.41251 .45271 L
.41384 .45425 L
.41412 .45476 L
.41496 .45586 L
.41572 .45687 L
.41605 .45746 L
.41733 .45897 L
.41759 .45907 L
.41891 .46067 L
.41894 .4608 L
.42011 .46228 L
.42054 .46291 L
.42121 .46388 L
.42215 .46506 L
.42221 .46549 L
.42375 .46693 L
.42388 .46709 L
.42517 .4687 L
.42536 .46902 L
.42631 .4703 L
.42696 .47118 L
.42735 .47191 L
.42857 .47333 L
.42888 .47351 L
.43015 .47512 L
.43017 .4752 L
.43135 .47672 L
.43178 .47733 L
.43244 .47833 L
.43338 .4795 L
.43385 .47993 L
.43499 .48143 L
.43508 .48154 L
.43637 .48314 L
.43659 .48353 L
.43749 .48475 L
.4382 .48568 L
.43853 .48636 L
.4398 .48781 L
.44003 .48796 L
.44134 .48957 L
.44141 .48976 L
.44251 .49117 L
.44301 .49189 L
.44359 .49278 L
.44462 .49403 L
.44498 .49438 L
.4462 .49599 L
.44622 .49601 L
.44752 .49759 L
.44783 .49811 L
.44862 .4992 L
.44943 .50025 L
.44968 .5008 L
.45104 .50233 L
.45114 .50241 L
.45252 .50401 L
.45265 .50435 L
.45363 .50562 L
.45425 .50648 L
.45472 .50722 L
.45586 .5086 L
.45607 .50883 L
.4573 .51043 L
.45746 .51061 L
.45864 .51204 L
.45907 .51272 L
.45973 .51364 L
.46067 .51485 L
.46083 .51525 L
.46223 .51686 L
.46228 .5169 L
.46368 .51846 L
.46388 .51896 L
.46474 .52007 L
.46549 .52111 L
.46583 .52167 L
.46709 .52321 L
.46715 .52328 L
.46837 .52488 L
.4687 .52521 L
.46975 .52649 L
.4703 .52736 L
.47082 .52809 L
.47191 .52949 L
.47199 .5297 L
.47329 .5313 L
.47351 .53146 L
.4748 .53291 L
.47512 .5336 L
.47582 .53451 L
.47672 .53577 L
.47693 .53612 L
.4782 .53772 L
.47833 .53789 L
.47942 .53933 L
.47993 .53983 L
.48082 .54093 L
.48154 .54204 L
.48189 .54254 L
.4831 .54414 L
.48314 .5442 L
.48431 .54575 L
.48475 .54604 L
.48586 .54735 L
.48636 .54831 L
.48684 .54896 L
.48796 .55052 L
.48799 .55057 L
.48919 .55217 L
.48957 .55266 L
.4904 .55378 L
.49117 .55458 L
.49178 .55538 L
.49278 .55688 L
.49285 .55699 L
.49403 .55859 L
.49438 .55904 L
.49523 .5602 L
.49599 .56086 L
.49671 .5618 L
.49759 .5633 L
.49767 .56341 L
.49882 .56501 L
.4992 .56552 L
.49998 .56662 L
.5008 .56771 L
.50117 .56822 L
.50235 .56983 L
.50241 .56991 L
.50346 .57143 L
.50401 .57219 L
.50458 .57304 L
.50562 .57451 L
.50571 .57464 L
.50672 .57625 L
.50722 .57703 L
.50765 .57785 L
.50722 .5788 L
.50619 .57785 L
.50562 .57733 L
.50457 .57625 L
.50401 .57568 L
.50306 .57464 L
.50241 .57409 L
.5016 .57304 L
.5008 .57214 L
.49986 .57143 L
.4992 .57023 L
.4988 .56983 L
.49759 .56834 L
.4975 .56822 L
.49611 .56662 L
.49599 .56648 L
.49477 .56501 L
.49438 .56451 L
.49339 .56341 L
.49278 .56248 L
.49225 .5618 L
.49117 .56044 L
.49108 .5602 L
.48957 .55859 L
.48957 .55858 L
.48817 .55699 L
.48796 .55654 L
.48704 .55538 L
.48636 .55444 L
.48594 .55378 L
.48475 .55233 L
.48446 .55217 L
.48321 .55057 L
.48314 .55048 L
.48192 .54896 L
.48154 .54837 L
.48081 .54735 L
.47993 .54623 L
.47977 .54575 L
.47833 .54433 L
.47818 .54414 L
.47687 .54254 L
.47672 .54224 L
.47573 .54093 L
.47512 .5401 L
.47466 .53933 L
.47351 .53795 L
.47319 .53772 L
.47191 .53612 L
.47191 .53605 L
.47069 .53451 L
.4703 .53393 L
.46959 .53291 L
.4687 .53177 L
.46856 .5313 L
.46709 .52972 L
.467 .5297 L
.46568 .52809 L
.46549 .52772 L
.46455 .52649 L
.46388 .52558 L
.46349 .52488 L
.46228 .52346 L
.46205 .52328 L
.4607 .52167 L
.46067 .52149 L
.45953 .52007 L
.45907 .51936 L
.45845 .51846 L
.45746 .51723 L
.45738 .51686 L
.45588 .51525 L
.45586 .51522 L
.45452 .51364 L
.45425 .51314 L
.45342 .51204 L
.45265 .511 L
.45234 .51043 L
.45104 .50892 L
.45094 .50883 L
.4495 .50722 L
.44943 .50689 L
.44841 .50562 L
.44783 .50477 L
.44732 .50401 L
.44622 .50265 L
.44619 .50241 L
.44479 .5008 L
.44462 .50064 L
.44338 .4992 L
.44301 .49853 L
.44231 .49759 L
.44141 .49639 L
.4412 .49599 L
.43986 .49438 L
.4398 .49435 L
.43833 .49278 L
.4382 .49229 L
.4373 .49117 L
.43659 .49014 L
.43621 .48957 L
.43499 .48803 L
.43498 .48796 L
.43371 .48636 L
.43338 .48605 L
.43227 .48475 L
.43178 .48389 L
.43122 .48314 L
.43017 .48175 L
.43007 .48154 L
.4288 .47993 L
.42857 .47982 L
.42719 .47833 L
.42696 .47766 L
.42623 .47672 L
.42536 .47547 L
.42512 .47512 L
.42388 .47351 L
.42375 .47334 L
.42267 .47191 L
.42215 .47144 L
.42121 .4703 L
.42054 .46921 L
.42017 .4687 L
.41898 .46709 L
.41894 .46704 L
.41778 .46549 L
.41733 .46526 L
.41614 .46388 L
.41572 .46294 L
.41522 .46228 L
.41412 .46071 L
.41409 .46067 L
.4129 .45907 L
.41251 .45857 L
.41169 .45746 L
.41091 .45668 L
.41027 .45586 L
.4093 .45436 L
.40923 .45425 L
.40806 .45265 L
.4077 .45218 L
.40686 .45104 L
.40609 .45003 L
.40532 .44943 L
.40449 .44792 L
.40442 .44783 L
.40328 .44622 L
.40288 .4457 L
.40211 .44462 L
.40128 .44351 L
.40093 .44301 L
.39975 .44141 L
.39967 .4413 L
.39865 .4398 L
.39807 .439 L
.39754 .4382 L
.39646 .43666 L
.39642 .43659 L
.39545 .43499 L
.39486 .43403 L
.39457 .43338 L
F
1 .95 .212 r
.39486 .39069 m
.39627 .39165 L
.39646 .3918 L
.39792 .39325 L
.39807 .3934 L
.39937 .39486 L
.39967 .39518 L
.40075 .39646 L
.40128 .39709 L
.40207 .39807 L
.40288 .39878 L
.40385 .39967 L
.40449 .40118 L
.40456 .40128 L
.40564 .40288 L
.40609 .40361 L
.40659 .40449 L
.40609 .40576 L
.40449 .40462 L
.40439 .40449 L
.40288 .40289 L
.40287 .40288 L
.40155 .40128 L
.40128 .40095 L
.40029 .39967 L
.39967 .39889 L
.39907 .39807 L
.39807 .39674 L
.39787 .39646 L
.39676 .39486 L
.39646 .39443 L
.39573 .39325 L
.39486 .39177 L
.3948 .39165 L
F
1 .97 .395 r
.39646 .41167 m
.3973 .41251 L
.39807 .41289 L
.39906 .41412 L
.39967 .41463 L
.40049 .41572 L
.40128 .41656 L
.40183 .41733 L
.40288 .41858 L
.40326 .41894 L
.40442 .42054 L
.40449 .42063 L
.40565 .42215 L
.40609 .4227 L
.40688 .42375 L
.4077 .42458 L
.40839 .42536 L
.4093 .42687 L
.40937 .42696 L
.41054 .42857 L
.41091 .42905 L
.41171 .43017 L
.41251 .43126 L
.41288 .43178 L
.41399 .43338 L
.41412 .43358 L
.4149 .43499 L
.41412 .43634 L
.41251 .43517 L
.41192 .43499 L
.41091 .43363 L
.41052 .43338 L
.4093 .43189 L
.40916 .43178 L
.40773 .43017 L
.4077 .43014 L
.40639 .42857 L
.40609 .42818 L
.40504 .42696 L
.40449 .42613 L
.40394 .42536 L
.40288 .42405 L
.40279 .42375 L
.40137 .42215 L
.40128 .42209 L
.39998 .42054 L
.39967 .41999 L
.39899 .41894 L
.39807 .41771 L
.39791 .41733 L
.39674 .41572 L
.39646 .41527 L
.39576 .41412 L
.39518 .41251 L
F
0 .59 1 r
.39646 .44773 m
.39655 .44783 L
.39804 .44943 L
.39807 .44946 L
.39944 .45104 L
.39967 .45129 L
.4008 .45265 L
.40128 .45317 L
.40216 .45425 L
.40288 .45509 L
.40351 .45586 L
.40449 .45684 L
.40484 .45746 L
.40609 .45898 L
.40619 .45907 L
.40744 .46067 L
.4077 .46098 L
.40873 .46228 L
.4093 .46297 L
.41002 .46388 L
.41091 .46486 L
.41163 .46549 L
.41251 .46699 L
.4126 .46709 L
.41384 .4687 L
.41412 .46904 L
.4151 .4703 L
.41572 .4708 L
.41637 .47191 L
.41733 .47306 L
.41776 .47351 L
.41888 .47512 L
.41894 .47518 L
.42012 .47672 L
.42054 .47725 L
.42136 .47833 L
.42215 .47915 L
.42295 .47993 L
.42375 .48137 L
.4239 .48154 L
.42509 .48314 L
.42536 .48348 L
.42632 .48475 L
.42696 .48522 L
.42756 .48636 L
.42857 .48758 L
.42891 .48796 L
.43002 .48957 L
.43017 .48976 L
.43123 .49117 L
.43178 .49187 L
.43245 .49278 L
.43338 .49381 L
.43392 .49438 L
.43491 .49599 L
.43499 .49609 L
.43609 .49759 L
.43659 .49823 L
.4373 .4992 L
.4382 .50005 L
.43852 .5008 L
.43973 .50241 L
.4398 .50251 L
.44089 .50401 L
.44141 .50469 L
.44207 .50562 L
.44301 .50686 L
.44327 .50722 L
.44444 .50883 L
.44462 .50907 L
.44556 .51043 L
.44622 .51133 L
.4467 .51204 L
.44783 .5136 L
.44786 .51364 L
.44885 .51525 L
.44943 .51611 L
.4498 .51686 L
.44943 .51725 L
.44905 .51686 L
.44783 .51564 L
.44749 .51525 L
.44622 .51386 L
.44604 .51364 L
.44464 .51204 L
.44462 .51201 L
.44329 .51043 L
.44301 .51012 L
.44195 .50883 L
.44141 .5082 L
.44061 .50722 L
.4398 .50655 L
.43928 .50562 L
.4382 .50433 L
.43784 .50401 L
.43668 .50241 L
.43659 .5023 L
.4354 .5008 L
.43499 .5003 L
.43411 .4992 L
.43338 .49846 L
.43231 .49759 L
.43178 .4963 L
.43149 .49599 L
.43029 .49438 L
.43017 .49424 L
.42903 .49278 L
.42857 .49252 L
.42776 .49117 L
.42696 .49024 L
.4263 .48957 L
.42536 .4881 L
.42524 .48796 L
.42401 .48636 L
.42375 .48603 L
.42277 .48475 L
.42215 .48416 L
.42104 .48314 L
.42054 .48193 L
.42021 .48154 L
.41904 .47993 L
.41894 .4798 L
.41782 .47833 L
.41733 .47813 L
.41658 .47672 L
.41572 .47573 L
.41517 .47512 L
.41412 .47352 L
.41411 .47351 L
.41291 .47191 L
.41251 .4714 L
.41169 .4703 L
.41091 .46953 L
.41009 .4687 L
.4093 .46718 L
.40923 .46709 L
.40806 .46549 L
.4077 .46502 L
.40686 .46388 L
.40609 .46287 L
.40565 .46228 L
.40449 .46075 L
.40442 .46067 L
.40329 .45907 L
.40288 .45853 L
.40212 .45746 L
.40128 .45634 L
.40094 .45586 L
.39977 .45425 L
.39967 .45412 L
.39867 .45265 L
.39807 .45182 L
.39755 .45104 L
.39646 .44949 L
.39643 .44943 L
.39551 .44783 L
F
1 .82 .004 r
.39646 .44101 m
.39685 .44141 L
.39807 .44265 L
.3984 .44301 L
.39967 .44435 L
.39987 .44462 L
.40128 .44622 L
.40128 .44622 L
.40266 .44783 L
.40288 .44809 L
.40402 .44943 L
.40449 .44977 L
.40537 .45104 L
.40609 .45186 L
.407 .45265 L
.4077 .45387 L
.40805 .45425 L
.4093 .45583 L
.40932 .45586 L
.41063 .45746 L
.41091 .45774 L
.41192 .45907 L
.41251 .45979 L
.41332 .46067 L
.41412 .46185 L
.41445 .46228 L
.41572 .46385 L
.41574 .46388 L
.41703 .46549 L
.41733 .46583 L
.41853 .46709 L
.41894 .46791 L
.41958 .4687 L
.42054 .46999 L
.42073 .4703 L
.42208 .47191 L
.42215 .47197 L
.42374 .47351 L
.42375 .47403 L
.42468 .47512 L
.42536 .47613 L
.42578 .47672 L
.42696 .4782 L
.427 .47833 L
.42833 .47993 L
.42857 .48019 L
.42979 .48154 L
.43017 .4823 L
.43083 .48314 L
.43178 .48441 L
.43197 .48475 L
.4333 .48636 L
.43338 .48642 L
.43492 .48796 L
.43499 .4885 L
.43588 .48957 L
.43659 .49063 L
.43697 .49117 L
.4382 .49272 L
.43821 .49278 L
.43948 .49438 L
.4398 .49471 L
.44095 .49599 L
.44141 .49685 L
.44198 .49759 L
.44301 .49898 L
.44314 .4992 L
.44441 .5008 L
.44462 .50094 L
.44608 .50241 L
.44622 .50308 L
.44699 .50401 L
.44783 .50524 L
.44809 .50562 L
.44933 .50722 L
.44943 .50736 L
.45055 .50883 L
.45104 .50931 L
.45203 .51043 L
.45265 .51151 L
.45304 .51204 L
.45423 .51364 L
.45425 .51367 L
.45544 .51525 L
.45586 .51551 L
.45714 .51686 L
.45746 .51779 L
.458 .51846 L
.45907 .52 L
.45911 .52007 L
.46031 .52167 L
.46067 .52214 L
.46151 .52328 L
.46228 .52407 L
.46295 .52488 L
.46388 .52637 L
.46397 .52649 L
.46514 .52809 L
.46549 .52855 L
.46633 .5297 L
.46709 .53034 L
.46791 .5313 L
.4687 .53283 L
.46876 .53291 L
.4699 .53451 L
.4703 .53504 L
.47107 .53612 L
.47191 .53724 L
.47225 .53772 L
.47342 .53933 L
.47351 .53946 L
.47452 .54093 L
.47512 .54175 L
.47564 .54254 L
.47672 .54407 L
.47677 .54414 L
.47775 .54575 L
.47833 .54667 L
.47865 .54735 L
.47833 .54789 L
.47774 .54735 L
.47672 .54642 L
.47609 .54575 L
.47512 .54474 L
.47458 .54414 L
.47351 .54308 L
.47314 .54254 L
.47191 .54113 L
.47167 .54093 L
.47038 .53933 L
.4703 .53924 L
.46902 .53772 L
.4687 .53757 L
.46768 .53612 L
.46709 .53547 L
.46593 .53451 L
.46549 .53345 L
.46499 .53291 L
.46388 .53146 L
.46377 .5313 L
.46244 .5297 L
.46228 .52955 L
.46115 .52809 L
.46067 .52752 L
.45972 .52649 L
.45907 .52546 L
.45862 .52488 L
.45746 .52342 L
.45739 .52328 L
.45604 .52167 L
.45586 .52147 L
.4545 .52007 L
.45425 .5194 L
.45348 .51846 L
.45265 .51731 L
.45235 .51686 L
.45104 .51529 L
.451 .51525 L
.44974 .51364 L
.44943 .51327 L
.44837 .51204 L
.44783 .51117 L
.44728 .51043 L
.44622 .50908 L
.44612 .50883 L
.44475 .50722 L
.44462 .50709 L
.44326 .50562 L
.44301 .505 L
.44223 .50401 L
.44141 .50288 L
.44111 .50241 L
.4398 .50083 L
.43978 .5008 L
.43854 .4992 L
.4382 .4988 L
.43718 .49759 L
.43659 .49667 L
.4361 .49599 L
.43499 .49457 L
.43492 .49438 L
.4336 .49278 L
.43338 .49257 L
.4321 .49117 L
.43178 .49045 L
.43108 .48957 L
.43017 .48831 L
.42996 .48796 L
.42867 .48636 L
.42857 .48631 L
.42744 .48475 L
.42696 .48422 L
.42606 .48314 L
.42536 .48206 L
.42499 .48154 L
.42375 .47994 L
.42375 .47993 L
.42254 .47833 L
.42215 .47799 L
.42101 .47672 L
.42054 .47579 L
.42002 .47512 L
.41894 .47362 L
.41887 .47351 L
.41765 .47191 L
.41733 .47179 L
.41643 .4703 L
.41572 .46952 L
.41506 .4687 L
.41412 .46729 L
.41398 .46709 L
.41278 .46549 L
.41251 .46514 L
.41158 .46388 L
.41091 .46326 L
.41008 .46228 L
.4093 .46092 L
.40912 .46067 L
.40796 .45907 L
.4077 .45872 L
.40678 .45746 L
.40609 .45656 L
.40507 .45586 L
.40449 .45446 L
.40433 .45425 L
.40322 .45265 L
.40288 .4522 L
.40206 .45104 L
.40128 .44999 L
.40089 .44943 L
.39972 .44783 L
.39967 .44776 L
.39864 .44622 L
.39807 .44543 L
.39754 .44462 L
.39646 .44306 L
.39643 .44301 L
.39553 .44141 L
F
1 .81 .003 r
.39646 .44128 m
.3966 .44141 L
.39807 .44283 L
.39824 .44301 L
.39967 .44452 L
.39974 .44462 L
.40117 .44622 L
.40128 .44634 L
.40256 .44783 L
.40288 .44819 L
.40394 .44943 L
.40449 .44984 L
.4053 .45104 L
.40609 .45194 L
.40693 .45265 L
.4077 .45394 L
.40799 .45425 L
.40927 .45586 L
.4093 .45589 L
.41058 .45746 L
.41091 .45779 L
.41188 .45907 L
.41251 .45985 L
.41328 .46067 L
.41412 .46189 L
.41441 .46228 L
.41572 .46388 L
.41573 .46388 L
.417 .46549 L
.41733 .46587 L
.41851 .46709 L
.41894 .46795 L
.41955 .4687 L
.42054 .47002 L
.42071 .4703 L
.42205 .47191 L
.42215 .472 L
.42373 .47351 L
.42375 .47406 L
.42466 .47512 L
.42536 .47616 L
.42576 .47672 L
.42696 .47823 L
.42699 .47833 L
.4283 .47993 L
.42857 .48022 L
.42977 .48154 L
.43017 .48233 L
.43081 .48314 L
.43178 .48444 L
.43196 .48475 L
.43328 .48636 L
.43338 .48644 L
.43492 .48796 L
.43499 .48852 L
.43586 .48957 L
.43659 .49065 L
.43696 .49117 L
.4382 .49274 L
.43821 .49278 L
.43946 .49438 L
.4398 .49473 L
.44093 .49599 L
.44141 .49687 L
.44196 .49759 L
.44301 .499 L
.44312 .4992 L
.44439 .5008 L
.44462 .50095 L
.44607 .50241 L
.44622 .5031 L
.44697 .50401 L
.44783 .50527 L
.44807 .50562 L
.44931 .50722 L
.44943 .50738 L
.45053 .50883 L
.45104 .50933 L
.45201 .51043 L
.45265 .51154 L
.45302 .51204 L
.45421 .51364 L
.45425 .51369 L
.45542 .51525 L
.45586 .51553 L
.45712 .51686 L
.45746 .51782 L
.45797 .51846 L
.45907 .52003 L
.45909 .52007 L
.46028 .52167 L
.46067 .52218 L
.46149 .52328 L
.46228 .52411 L
.46292 .52488 L
.46388 .52642 L
.46393 .52649 L
.4651 .52809 L
.46549 .52859 L
.46629 .5297 L
.46709 .53041 L
.46786 .5313 L
.4687 .5329 L
.46871 .53291 L
.46985 .53451 L
.4703 .53511 L
.47102 .53612 L
.47191 .53731 L
.4722 .53772 L
.47335 .53933 L
.47351 .53955 L
.47444 .54093 L
.47512 .54187 L
.47555 .54254 L
.47666 .54414 L
.47672 .54424 L
.47756 .54575 L
.47672 .5462 L
.47628 .54575 L
.47512 .54458 L
.47472 .54414 L
.47351 .54292 L
.47326 .54254 L
.47191 .54101 L
.47181 .54093 L
.47046 .53933 L
.4703 .53915 L
.4691 .53772 L
.4687 .53752 L
.46775 .53612 L
.46709 .5354 L
.46599 .53451 L
.46549 .53338 L
.46505 .53291 L
.46388 .5314 L
.46381 .5313 L
.46249 .5297 L
.46228 .52951 L
.46119 .52809 L
.46067 .52747 L
.45975 .52649 L
.45907 .52541 L
.45865 .52488 L
.45746 .52339 L
.45741 .52328 L
.45608 .52167 L
.45586 .52143 L
.45452 .52007 L
.45425 .51936 L
.45351 .51846 L
.45265 .51727 L
.45237 .51686 L
.45104 .51526 L
.45102 .51525 L
.44977 .51364 L
.44943 .51324 L
.44839 .51204 L
.44783 .51114 L
.44731 .51043 L
.44622 .50905 L
.44613 .50883 L
.44477 .50722 L
.44462 .50707 L
.44328 .50562 L
.44301 .50497 L
.44225 .50401 L
.44141 .50286 L
.44113 .50241 L
.4398 .50081 L
.4398 .5008 L
.43856 .4992 L
.4382 .49878 L
.43719 .49759 L
.43659 .49665 L
.43611 .49599 L
.43499 .49454 L
.43493 .49438 L
.43362 .49278 L
.43338 .49256 L
.43211 .49117 L
.43178 .49043 L
.4311 .48957 L
.43017 .48829 L
.42997 .48796 L
.42869 .48636 L
.42857 .4863 L
.42746 .48475 L
.42696 .4842 L
.42608 .48314 L
.42536 .48203 L
.42501 .48154 L
.42377 .47993 L
.42375 .47991 L
.42256 .47833 L
.42215 .47797 L
.42103 .47672 L
.42054 .47576 L
.42005 .47512 L
.41894 .47359 L
.41889 .47351 L
.41767 .47191 L
.41733 .47178 L
.41646 .4703 L
.41572 .46949 L
.41508 .4687 L
.41412 .46726 L
.41401 .46709 L
.41281 .46549 L
.41251 .4651 L
.41161 .46388 L
.41091 .46321 L
.41012 .46228 L
.4093 .46087 L
.40915 .46067 L
.408 .45907 L
.4077 .45867 L
.40682 .45746 L
.40609 .45651 L
.40513 .45586 L
.40449 .45438 L
.40439 .45425 L
.40327 .45265 L
.40288 .45213 L
.40212 .45104 L
.40128 .44991 L
.40095 .44943 L
.3998 .44783 L
.39967 .44765 L
.39873 .44622 L
.39807 .44529 L
.39764 .44462 L
.39658 .44301 L
.39646 .44283 L
.39582 .44141 L
F
.733 .99 1 r
.39646 .38607 m
.3978 .38683 L
.39807 .38701 L
.39967 .38843 L
.39967 .38844 L
.40124 .39004 L
.40128 .39006 L
.4027 .39165 L
.40288 .39184 L
.40409 .39325 L
.40449 .39375 L
.40556 .39486 L
.40609 .39575 L
.40668 .39646 L
.4077 .39777 L
.40785 .39807 L
.40927 .39967 L
.4093 .39969 L
.41074 .40128 L
.41091 .40168 L
.41173 .40288 L
.41251 .40385 L
.41278 .40449 L
.41391 .40609 L
.41412 .40653 L
.41451 .4077 L
.41412 .40812 L
.41251 .40808 L
.41184 .4077 L
.41091 .40698 L
.41008 .40609 L
.4093 .40514 L
.40826 .40449 L
.4077 .40326 L
.4073 .40288 L
.40613 .40128 L
.40609 .40123 L
.40492 .39967 L
.40449 .39912 L
.4037 .39807 L
.40288 .39725 L
.40228 .39646 L
.40128 .39487 L
.40127 .39486 L
.40013 .39325 L
.39967 .39263 L
.39899 .39165 L
.39807 .39033 L
.39769 .39004 L
.3969 .38844 L
.39646 .38766 L
.39614 .38683 L
F
0 .52 1 r
.39646 .46076 m
.39755 .46228 L
.39807 .46291 L
.39874 .46388 L
.39967 .46505 L
.39997 .46549 L
.39967 .46657 L
.39883 .46549 L
.39807 .4646 L
.39751 .46388 L
.39646 .46261 L
.39621 .46228 L
F
.084 .92 1 r
.39646 .39892 m
.39694 .39967 L
.39646 .39994 L
.39624 .39967 L
F
0 .51 1 r
.39646 .46086 m
.39746 .46228 L
.39807 .46302 L
.39865 .46388 L
.39967 .46516 L
.39989 .46549 L
.39967 .46644 L
.39894 .46549 L
.39807 .46449 L
.3976 .46388 L
.39646 .46251 L
.39628 .46228 L
F
1 .73 0 r
.39646 .46767 m
.39699 .4687 L
.39646 .46881 L
.39636 .4687 L
F
0 .5 1 r
.39646 .46098 m
.39735 .46228 L
.39807 .46314 L
.39855 .46388 L
.39967 .46529 L
.3998 .46549 L
.39967 .46628 L
.39907 .46549 L
.39807 .46436 L
.3977 .46388 L
.39646 .4624 L
.39637 .46228 L
F
1 .41 0 r
.39646 .45431 m
.39772 .45586 L
.39807 .45623 L
.39903 .45746 L
.39967 .45819 L
.40035 .45907 L
.40128 .46016 L
.40167 .46067 L
.40288 .46214 L
.40299 .46228 L
.40424 .46388 L
.40449 .46417 L
.40548 .46549 L
.40609 .46622 L
.40674 .46709 L
.4077 .46827 L
.40802 .4687 L
.40929 .4703 L
.4093 .47032 L
.41048 .47191 L
.41091 .47243 L
.4117 .47351 L
.41251 .47453 L
.41294 .47512 L
.41412 .47662 L
.41419 .47672 L
.41536 .47833 L
.41572 .47878 L
.41654 .47993 L
.41733 .48095 L
.41774 .48154 L
.41894 .48311 L
.41896 .48314 L
.42004 .48475 L
.42054 .4854 L
.42113 .48636 L
.42215 .48775 L
.42226 .48796 L
.42215 .48849 L
.42169 .48796 L
.42054 .48678 L
.42019 .48636 L
.41894 .48493 L
.41879 .48475 L
.41745 .48314 L
.41733 .48301 L
.41616 .48154 L
.41572 .48104 L
.41486 .47993 L
.41412 .47906 L
.41355 .47833 L
.41251 .47706 L
.41225 .47672 L
.41098 .47512 L
.41091 .47504 L
.40975 .47351 L
.4093 .47298 L
.40849 .47191 L
.4077 .47092 L
.40723 .4703 L
.40609 .46886 L
.40597 .4687 L
.40476 .46709 L
.40449 .46676 L
.40355 .46549 L
.40288 .46464 L
.40232 .46388 L
.40128 .46253 L
.40109 .46228 L
.39991 .46067 L
.39967 .46037 L
.39875 .45907 L
.39807 .45818 L
.39757 .45746 L
.39646 .45599 L
.39637 .45586 L
F
1 .94 .156 r
.39646 .39292 m
.39706 .39325 L
.39807 .39404 L
.39885 .39486 L
.39967 .3957 L
.40033 .39646 L
.40128 .39755 L
.40169 .39807 L
.40288 .39946 L
.40311 .39967 L
.40414 .40128 L
.40449 .40178 L
.40518 .40288 L
.40449 .404 L
.40333 .40288 L
.40288 .40242 L
.40192 .40128 L
.40128 .40053 L
.40062 .39967 L
.39967 .39847 L
.39938 .39807 L
.39823 .39646 L
.39807 .39623 L
.39724 .39486 L
.39646 .39346 L
.39639 .39325 L
F
1 .96 .289 r
.39646 .4133 m
.39807 .41347 L
.39853 .41412 L
.39967 .41503 L
.40016 .41572 L
.40128 .41689 L
.40158 .41733 L
.40288 .41886 L
.40296 .41894 L
.40421 .42054 L
.40449 .42088 L
.40545 .42215 L
.40609 .42294 L
.4067 .42375 L
.4077 .42487 L
.40813 .42536 L
.40916 .42696 L
.4093 .42715 L
.41032 .42857 L
.41091 .42936 L
.41147 .43017 L
.41251 .43165 L
.4126 .43178 L
.41352 .43338 L
.41251 .43449 L
.41118 .43338 L
.41091 .43314 L
.40957 .43178 L
.4093 .43172 L
.40812 .43017 L
.4077 .42976 L
.40674 .42857 L
.40609 .42778 L
.40533 .42696 L
.40449 .42576 L
.40419 .42536 L
.40289 .42375 L
.40288 .42374 L
.40166 .42215 L
.40128 .42187 L
.4002 .42054 L
.39967 .41955 L
.3993 .41894 L
.39821 .41733 L
.39807 .41711 L
.3972 .41572 L
.39646 .41419 L
.39643 .41412 L
F
1 .4 0 r
.39646 .45441 m
.39764 .45586 L
.39807 .45632 L
.39897 .45746 L
.39967 .45825 L
.4003 .45907 L
.40128 .46021 L
.40163 .46067 L
.40288 .46219 L
.40295 .46228 L
.40419 .46388 L
.40449 .46423 L
.40544 .46549 L
.40609 .46628 L
.4067 .46709 L
.4077 .46832 L
.40798 .4687 L
.40924 .4703 L
.4093 .47037 L
.41044 .47191 L
.41091 .47248 L
.41166 .47351 L
.41251 .47458 L
.4129 .47512 L
.41412 .47668 L
.41415 .47672 L
.41531 .47833 L
.41572 .47884 L
.41649 .47993 L
.41733 .48101 L
.41769 .48154 L
.41733 .48293 L
.41622 .48154 L
.41572 .48097 L
.41491 .47993 L
.41412 .479 L
.4136 .47833 L
.41251 .477 L
.4123 .47672 L
.41103 .47512 L
.41091 .47498 L
.40979 .47351 L
.4093 .47292 L
.40854 .47191 L
.4077 .47087 L
.40727 .4703 L
.40609 .46881 L
.40601 .4687 L
.40481 .46709 L
.40449 .4667 L
.4036 .46549 L
.40288 .46458 L
.40237 .46388 L
.40128 .46247 L
.40114 .46228 L
.39997 .46067 L
.39967 .4603 L
.39881 .45907 L
.39807 .4581 L
.39763 .45746 L
.39646 .4559 L
.39643 .45586 L
F
0 .49 1 r
.39646 .46113 m
.39721 .46228 L
.39807 .4633 L
.39843 .46388 L
.39967 .46546 L
.39969 .46549 L
.39967 .46605 L
.39926 .46549 L
.39807 .46421 L
.39782 .46388 L
.39646 .46228 L
.39646 .46228 L
F
.212 .95 1 r
.39807 .43635 m
.39832 .43659 L
.39967 .43786 L
.39992 .4382 L
.40128 .43965 L
.40151 .4398 L
.40286 .44141 L
.40288 .44143 L
.40427 .44301 L
.40449 .44312 L
.40566 .44462 L
.40609 .4451 L
.40758 .44622 L
.4077 .44706 L
.40842 .44783 L
.4093 .44904 L
.4096 .44943 L
.41091 .45097 L
.41103 .45104 L
.41234 .45265 L
.41251 .45287 L
.41375 .45425 L
.41412 .45491 L
.41486 .45586 L
.41572 .45699 L
.41599 .45746 L
.41733 .45901 L
.4175 .45907 L
.41889 .46067 L
.41894 .4609 L
.42004 .46228 L
.42054 .463 L
.42115 .46388 L
.42215 .46513 L
.42219 .46549 L
.42375 .46701 L
.42382 .46709 L
.42513 .4687 L
.42536 .46909 L
.42626 .4703 L
.42696 .47124 L
.42732 .47191 L
.42857 .47337 L
.42884 .47351 L
.43013 .47512 L
.43017 .47526 L
.43132 .47672 L
.43178 .47738 L
.43241 .47833 L
.43338 .47954 L
.43382 .47993 L
.43499 .48147 L
.43505 .48154 L
.43634 .48314 L
.43659 .48357 L
.43746 .48475 L
.4382 .48572 L
.43851 .48636 L
.4398 .48783 L
.44001 .48796 L
.44133 .48957 L
.44141 .48979 L
.44249 .49117 L
.44301 .49192 L
.44357 .49278 L
.44462 .49405 L
.44496 .49438 L
.44618 .49599 L
.44622 .49604 L
.4475 .49759 L
.44783 .49814 L
.4486 .4992 L
.44943 .50028 L
.44967 .5008 L
.45104 .50235 L
.45112 .50241 L
.45251 .50401 L
.45265 .50438 L
.45361 .50562 L
.45425 .50651 L
.4547 .50722 L
.45586 .50862 L
.45606 .50883 L
.45728 .51043 L
.45746 .51063 L
.45863 .51204 L
.45907 .51275 L
.45971 .51364 L
.46067 .51488 L
.46082 .51525 L
.46221 .51686 L
.46228 .51691 L
.46367 .51846 L
.46388 .51899 L
.46472 .52007 L
.46549 .52113 L
.46582 .52167 L
.46709 .52323 L
.46713 .52328 L
.46835 .52488 L
.4687 .52523 L
.46973 .52649 L
.4703 .52738 L
.4708 .52809 L
.47191 .52952 L
.47198 .5297 L
.47326 .5313 L
.47351 .53147 L
.47478 .53291 L
.47512 .53363 L
.47579 .53451 L
.47672 .5358 L
.47691 .53612 L
.47817 .53772 L
.47833 .53792 L
.47939 .53933 L
.47993 .53987 L
.48079 .54093 L
.48154 .54208 L
.48186 .54254 L
.48307 .54414 L
.48314 .54424 L
.48427 .54575 L
.48475 .54608 L
.48582 .54735 L
.48636 .54837 L
.48679 .54896 L
.48794 .55057 L
.48796 .55059 L
.48914 .55217 L
.48957 .55273 L
.49034 .55378 L
.49117 .55467 L
.49171 .55538 L
.49278 .55698 L
.49278 .55699 L
.49396 .55859 L
.49438 .55915 L
.49515 .5602 L
.49599 .56101 L
.49659 .5618 L
.49755 .56341 L
.49759 .56346 L
.49869 .56501 L
.4992 .56569 L
.49985 .56662 L
.5008 .56791 L
.50102 .56822 L
.50215 .56983 L
.50241 .57018 L
.50323 .57143 L
.50401 .57256 L
.50431 .57304 L
.50531 .57464 L
.50562 .57514 L
.50604 .57625 L
.50562 .5765 L
.50531 .57625 L
.50401 .57512 L
.50354 .57464 L
.50241 .57364 L
.50199 .57304 L
.5008 .57177 L
.50029 .57143 L
.4992 .56994 L
.49908 .56983 L
.49769 .56822 L
.49759 .5682 L
.49632 .56662 L
.49599 .56626 L
.49496 .56501 L
.49438 .56429 L
.49353 .56341 L
.49278 .5623 L
.49237 .5618 L
.49117 .56033 L
.49112 .5602 L
.48969 .55859 L
.48957 .55844 L
.48823 .55699 L
.48796 .5564 L
.48713 .55538 L
.48636 .55432 L
.48601 .55378 L
.48475 .55228 L
.48454 .55217 L
.48328 .55057 L
.48314 .55038 L
.48198 .54896 L
.48154 .54829 L
.48087 .54735 L
.47993 .54616 L
.4798 .54575 L
.47833 .54426 L
.47824 .54414 L
.4769 .54254 L
.47672 .54217 L
.47577 .54093 L
.47512 .54004 L
.47469 .53933 L
.47351 .53791 L
.47323 .53772 L
.47192 .53612 L
.47191 .536 L
.47072 .53451 L
.4703 .53388 L
.46962 .53291 L
.4687 .53174 L
.46858 .5313 L
.46709 .52971 L
.46703 .5297 L
.46569 .52809 L
.46549 .52768 L
.46458 .52649 L
.46388 .52555 L
.46351 .52488 L
.46228 .52344 L
.46207 .52328 L
.4607 .52167 L
.46067 .52146 L
.45955 .52007 L
.45907 .51934 L
.45846 .51846 L
.45746 .51721 L
.45739 .51686 L
.4559 .51525 L
.45586 .5152 L
.45453 .51364 L
.45425 .51311 L
.45344 .51204 L
.45265 .51098 L
.45235 .51043 L
.45104 .5089 L
.45096 .50883 L
.4495 .50722 L
.44943 .50687 L
.44842 .50562 L
.44783 .50474 L
.44734 .50401 L
.44622 .50263 L
.44619 .50241 L
.4448 .5008 L
.44462 .50062 L
.4434 .4992 L
.44301 .49851 L
.44233 .49759 L
.44141 .49637 L
.44121 .49599 L
.43988 .49438 L
.4398 .49434 L
.43833 .49278 L
.4382 .49227 L
.43732 .49117 L
.43659 .49012 L
.43623 .48957 L
.43499 .488 L
.43498 .48796 L
.43373 .48636 L
.43338 .48603 L
.43229 .48475 L
.43178 .48387 L
.43124 .48314 L
.43017 .48172 L
.43008 .48154 L
.42882 .47993 L
.42857 .4798 L
.42721 .47833 L
.42696 .47763 L
.42625 .47672 L
.42536 .47544 L
.42515 .47512 L
.42391 .47351 L
.42375 .47331 L
.4227 .47191 L
.42215 .4714 L
.42124 .4703 L
.42054 .46916 L
.42021 .4687 L
.41902 .46709 L
.41894 .46699 L
.41781 .46549 L
.41733 .46522 L
.41618 .46388 L
.41572 .46288 L
.41527 .46228 L
.41414 .46067 L
.41412 .46064 L
.41295 .45907 L
.41251 .4585 L
.41175 .45746 L
.41091 .45659 L
.41034 .45586 L
.4093 .45425 L
.4093 .45425 L
.40813 .45265 L
.4077 .45208 L
.40695 .45104 L
.40609 .44992 L
.40546 .44943 L
.40455 .44783 L
.40449 .44775 L
.40341 .44622 L
.40288 .44553 L
.40225 .44462 L
.40128 .4433 L
.40108 .44301 L
.39997 .44141 L
.39967 .441 L
.3989 .4398 L
.39807 .43859 L
.39783 .4382 L
.3969 .43659 L
F
0 .58 1 r
.39807 .44955 m
.39936 .45104 L
.39967 .45137 L
.40075 .45265 L
.40128 .45324 L
.40211 .45425 L
.40288 .45514 L
.40346 .45586 L
.40449 .4569 L
.4048 .45746 L
.40609 .45903 L
.40614 .45907 L
.40741 .46067 L
.4077 .46102 L
.4087 .46228 L
.4093 .46301 L
.40999 .46388 L
.41091 .4649 L
.41159 .46549 L
.41251 .46703 L
.41257 .46709 L
.41381 .4687 L
.41412 .46907 L
.41507 .4703 L
.41572 .47083 L
.41634 .47191 L
.41733 .47309 L
.41773 .47351 L
.41886 .47512 L
.41894 .47521 L
.4201 .47672 L
.42054 .47728 L
.42134 .47833 L
.42215 .47918 L
.42292 .47993 L
.42375 .4814 L
.42387 .48154 L
.42507 .48314 L
.42536 .48351 L
.4263 .48475 L
.42696 .48525 L
.42754 .48636 L
.42857 .48761 L
.42888 .48796 L
.43 .48957 L
.43017 .48978 L
.43121 .49117 L
.43178 .4919 L
.43243 .49278 L
.43338 .49385 L
.43389 .49438 L
.43488 .49599 L
.43499 .49612 L
.43607 .49759 L
.43659 .49827 L
.43727 .4992 L
.4382 .5001 L
.43849 .5008 L
.4397 .50241 L
.4398 .50255 L
.44086 .50401 L
.44141 .50473 L
.44204 .50562 L
.44301 .50691 L
.44324 .50722 L
.44439 .50883 L
.44462 .50913 L
.44551 .51043 L
.44622 .5114 L
.44665 .51204 L
.44779 .51364 L
.44783 .51369 L
.44875 .51525 L
.44943 .51632 L
.44964 .51686 L
.44943 .51705 L
.44922 .51686 L
.44783 .51553 L
.44758 .51525 L
.44622 .51378 L
.44611 .51364 L
.44471 .51204 L
.44462 .51194 L
.44335 .51043 L
.44301 .51006 L
.442 .50883 L
.44141 .50815 L
.44065 .50722 L
.4398 .50649 L
.43932 .50562 L
.4382 .50428 L
.43789 .50401 L
.43672 .50241 L
.43659 .50226 L
.43543 .5008 L
.43499 .50027 L
.43414 .4992 L
.43338 .49842 L
.43235 .49759 L
.43178 .49626 L
.43152 .49599 L
.43031 .49438 L
.43017 .49421 L
.42906 .49278 L
.42857 .4925 L
.42779 .49117 L
.42696 .49021 L
.42633 .48957 L
.42536 .48807 L
.42527 .48796 L
.42403 .48636 L
.42375 .486 L
.42279 .48475 L
.42215 .48413 L
.42107 .48314 L
.42054 .4819 L
.42023 .48154 L
.41906 .47993 L
.41894 .47977 L
.41784 .47833 L
.41733 .47811 L
.4166 .47672 L
.41572 .4757 L
.4152 .47512 L
.41414 .47351 L
.41412 .47349 L
.41294 .47191 L
.41251 .47137 L
.41172 .4703 L
.41091 .46949 L
.41013 .4687 L
.4093 .46714 L
.40926 .46709 L
.40809 .46549 L
.4077 .46498 L
.40689 .46388 L
.40609 .46284 L
.40568 .46228 L
.40449 .46069 L
.40447 .46067 L
.40332 .45907 L
.40288 .45849 L
.40216 .45746 L
.40128 .45629 L
.40097 .45586 L
.39982 .45425 L
.39967 .45405 L
.39872 .45265 L
.39807 .45174 L
.39761 .45104 L
F
0 .57 1 r
.39807 .44965 m
.39929 .45104 L
.39967 .45144 L
.40069 .45265 L
.40128 .4533 L
.40206 .45425 L
.40288 .45519 L
.40342 .45586 L
.40449 .45697 L
.40476 .45746 L
.40608 .45907 L
.40609 .45908 L
.40737 .46067 L
.4077 .46106 L
.40866 .46228 L
.4093 .46305 L
.40996 .46388 L
.41091 .46494 L
.41154 .46549 L
.41251 .46707 L
.41254 .46709 L
.41379 .4687 L
.41412 .46911 L
.41505 .4703 L
.41572 .47086 L
.41632 .47191 L
.41733 .47313 L
.4177 .47351 L
.41884 .47512 L
.41894 .47524 L
.42007 .47672 L
.42054 .47731 L
.42132 .47833 L
.42215 .47922 L
.42289 .47993 L
.42375 .48143 L
.42384 .48154 L
.42505 .48314 L
.42536 .48353 L
.42628 .48475 L
.42696 .48528 L
.42751 .48636 L
.42857 .48765 L
.42885 .48796 L
.42998 .48957 L
.43017 .48981 L
.43119 .49117 L
.43178 .49193 L
.43241 .49278 L
.43338 .49389 L
.43385 .49438 L
.43486 .49599 L
.43499 .49616 L
.43604 .49759 L
.43659 .4983 L
.43725 .4992 L
.4382 .50015 L
.43847 .5008 L
.43966 .50241 L
.4398 .50259 L
.44082 .50401 L
.44141 .50478 L
.44201 .50562 L
.44301 .50696 L
.4432 .50722 L
.44435 .50883 L
.44462 .50919 L
.44546 .51043 L
.44622 .51147 L
.4466 .51204 L
.44771 .51364 L
.44783 .51381 L
.44863 .51525 L
.44783 .51541 L
.44768 .51525 L
.44622 .5137 L
.44618 .51364 L
.44478 .51204 L
.44462 .51187 L
.4434 .51043 L
.44301 .51 L
.44204 .50883 L
.44141 .50809 L
.4407 .50722 L
.4398 .50644 L
.43936 .50562 L
.4382 .50423 L
.43795 .50401 L
.43675 .50241 L
.43659 .50222 L
.43546 .5008 L
.43499 .50023 L
.43417 .4992 L
.43338 .49838 L
.43239 .49759 L
.43178 .49622 L
.43156 .49599 L
.43034 .49438 L
.43017 .49417 L
.42908 .49278 L
.42857 .49248 L
.42782 .49117 L
.42696 .49018 L
.42636 .48957 L
.42536 .48804 L
.42529 .48796 L
.42406 .48636 L
.42375 .48597 L
.42281 .48475 L
.42215 .4841 L
.4211 .48314 L
.42054 .48187 L
.42026 .48154 L
.41909 .47993 L
.41894 .47974 L
.41786 .47833 L
.41733 .47808 L
.41663 .47672 L
.41572 .47566 L
.41523 .47512 L
.41416 .47351 L
.41412 .47346 L
.41296 .47191 L
.41251 .47134 L
.41174 .4703 L
.41091 .46945 L
.41017 .4687 L
.4093 .4671 L
.4093 .46709 L
.40812 .46549 L
.4077 .46495 L
.40692 .46388 L
.40609 .4628 L
.40571 .46228 L
.40451 .46067 L
.40449 .46064 L
.40336 .45907 L
.40288 .45844 L
.40219 .45746 L
.40128 .45623 L
.40101 .45586 L
.39987 .45425 L
.39967 .45398 L
.39878 .45265 L
.39807 .45165 L
.39767 .45104 L
F
1 .39 0 r
.39807 .4564 m
.3989 .45746 L
.39967 .45833 L
.40024 .45907 L
.40128 .46028 L
.40158 .46067 L
.40288 .46225 L
.4029 .46228 L
.40414 .46388 L
.40449 .46429 L
.40539 .46549 L
.40609 .46633 L
.40666 .46709 L
.4077 .46837 L
.40794 .4687 L
.4092 .4703 L
.4093 .47043 L
.41039 .47191 L
.41091 .47254 L
.41162 .47351 L
.41251 .47464 L
.41286 .47512 L
.41411 .47672 L
.41412 .47673 L
.41526 .47833 L
.41572 .47891 L
.41643 .47993 L
.41733 .48108 L
.41764 .48154 L
.41733 .48285 L
.41629 .48154 L
.41572 .4809 L
.41497 .47993 L
.41412 .47893 L
.41365 .47833 L
.41251 .47694 L
.41234 .47672 L
.41108 .47512 L
.41091 .47492 L
.40984 .47351 L
.4093 .47287 L
.40858 .47191 L
.4077 .47081 L
.40731 .4703 L
.40609 .46875 L
.40605 .4687 L
.40486 .46709 L
.40449 .46664 L
.40364 .46549 L
.40288 .46452 L
.40241 .46388 L
.40128 .46241 L
.40118 .46228 L
.40003 .46067 L
.39967 .46023 L
.39887 .45907 L
.39807 .45802 L
.39769 .45746 L
F
0 .56 1 r
.39807 .44976 m
.3992 .45104 L
.39967 .45152 L
.40062 .45265 L
.40128 .45336 L
.40201 .45425 L
.40288 .45525 L
.40338 .45586 L
.40449 .45703 L
.40472 .45746 L
.40604 .45907 L
.40609 .45912 L
.40733 .46067 L
.4077 .4611 L
.40863 .46228 L
.4093 .46309 L
.40993 .46388 L
.41091 .46499 L
.4115 .46549 L
.41251 .46709 L
.41251 .4671 L
.41376 .4687 L
.41412 .46914 L
.41502 .4703 L
.41572 .4709 L
.41629 .47191 L
.41733 .47316 L
.41767 .47351 L
.41881 .47512 L
.41894 .47527 L
.42005 .47672 L
.42054 .47734 L
.4213 .47833 L
.42215 .47925 L
.42286 .47993 L
.42375 .48146 L
.42382 .48154 L
.42502 .48314 L
.42536 .48356 L
.42625 .48475 L
.42696 .48531 L
.42749 .48636 L
.42857 .48768 L
.42882 .48796 L
.42995 .48957 L
.43017 .48984 L
.43116 .49117 L
.43178 .49196 L
.43239 .49278 L
.43338 .49393 L
.43381 .49438 L
.43483 .49599 L
.43499 .49619 L
.43602 .49759 L
.43659 .49833 L
.43722 .4992 L
.4382 .50021 L
.43844 .5008 L
.43963 .50241 L
.4398 .50263 L
.44079 .50401 L
.44141 .50482 L
.44197 .50562 L
.44301 .507 L
.44317 .50722 L
.4443 .50883 L
.44462 .50925 L
.44541 .51043 L
.44622 .51155 L
.44654 .51204 L
.44622 .5136 L
.44485 .51204 L
.44462 .5118 L
.44346 .51043 L
.44301 .50994 L
.44209 .50883 L
.44141 .50804 L
.44074 .50722 L
.4398 .50637 L
.4394 .50562 L
.4382 .50418 L
.43801 .50401 L
.43679 .50241 L
.43659 .50218 L
.4355 .5008 L
.43499 .50019 L
.4342 .4992 L
.43338 .49834 L
.43243 .49759 L
.43178 .49619 L
.43159 .49599 L
.43037 .49438 L
.43017 .49414 L
.42911 .49278 L
.42857 .49245 L
.42784 .49117 L
.42696 .49014 L
.42639 .48957 L
.42536 .48801 L
.42532 .48796 L
.42408 .48636 L
.42375 .48594 L
.42284 .48475 L
.42215 .48407 L
.42113 .48314 L
.42054 .48183 L
.42029 .48154 L
.41911 .47993 L
.41894 .47971 L
.41789 .47833 L
.41733 .47806 L
.41665 .47672 L
.41572 .47563 L
.41526 .47512 L
.41419 .47351 L
.41412 .47342 L
.41299 .47191 L
.41251 .4713 L
.41177 .4703 L
.41091 .46941 L
.41021 .4687 L
.40933 .46709 L
.4093 .46706 L
.40815 .46549 L
.4077 .46491 L
.40695 .46388 L
.40609 .46276 L
.40574 .46228 L
.40455 .46067 L
.40449 .4606 L
.4034 .45907 L
.40288 .45839 L
.40223 .45746 L
.40128 .45618 L
.40105 .45586 L
.39992 .45425 L
.39967 .45391 L
.39884 .45265 L
.39807 .45156 L
.39774 .45104 L
F
1 .95 .212 r
.39807 .41451 m
.39967 .4156 L
.39975 .41572 L
.40128 .41729 L
.4013 .41733 L
.40267 .41894 L
.40288 .41917 L
.40397 .42054 L
.40449 .42115 L
.40525 .42215 L
.40609 .42319 L
.40651 .42375 L
.4077 .42523 L
.40781 .42536 L
.40893 .42696 L
.4093 .42746 L
.41007 .42857 L
.41091 .42974 L
.4112 .43017 L
.41218 .43178 L
.41251 .4324 L
.41269 .43338 L
.41251 .43351 L
.41219 .43338 L
.41091 .43253 L
.4101 .43178 L
.4093 .4315 L
.40853 .43017 L
.4077 .42936 L
.4071 .42857 L
.40609 .42739 L
.40566 .42696 L
.40449 .4254 L
.40446 .42536 L
.40319 .42375 L
.40288 .42335 L
.40196 .42215 L
.40128 .42152 L
.40052 .42054 L
.39967 .41896 L
.39966 .41894 L
.39862 .41733 L
.39807 .41634 L
.39774 .41572 L
F
1 .8 .002 r
.39807 .44302 m
.3996 .44462 L
.39967 .44469 L
.40105 .44622 L
.40128 .44646 L
.40247 .44783 L
.40288 .44829 L
.40386 .44943 L
.40449 .44992 L
.40523 .45104 L
.40609 .45202 L
.40686 .45265 L
.4077 .45401 L
.40793 .45425 L
.40922 .45586 L
.4093 .45595 L
.41053 .45746 L
.41091 .45784 L
.41183 .45907 L
.41251 .4599 L
.41324 .46067 L
.41412 .46194 L
.41438 .46228 L
.41569 .46388 L
.41572 .4639 L
.41696 .46549 L
.41733 .4659 L
.41849 .46709 L
.41894 .46798 L
.41952 .4687 L
.42054 .47005 L
.4207 .4703 L
.42202 .47191 L
.42215 .47202 L
.42373 .47351 L
.42375 .47409 L
.42464 .47512 L
.42536 .47619 L
.42574 .47672 L
.42696 .47825 L
.42699 .47833 L
.42828 .47993 L
.42857 .48024 L
.42975 .48154 L
.43017 .48235 L
.4308 .48314 L
.43178 .48446 L
.43195 .48475 L
.43326 .48636 L
.43338 .48645 L
.43491 .48796 L
.43499 .48854 L
.43585 .48957 L
.43659 .49067 L
.43694 .49117 L
.4382 .49276 L
.4382 .49278 L
.43944 .49438 L
.4398 .49475 L
.44092 .49599 L
.44141 .4969 L
.44195 .49759 L
.44301 .49902 L
.44311 .4992 L
.44437 .5008 L
.44462 .50097 L
.44606 .50241 L
.44622 .50313 L
.44696 .50401 L
.44783 .50529 L
.44806 .50562 L
.44929 .50722 L
.44943 .50741 L
.45051 .50883 L
.45104 .50935 L
.45199 .51043 L
.45265 .51157 L
.453 .51204 L
.45419 .51364 L
.45425 .51372 L
.4554 .51525 L
.45586 .51555 L
.4571 .51686 L
.45746 .51785 L
.45795 .51846 L
.45906 .52007 L
.45907 .52007 L
.46026 .52167 L
.46067 .52221 L
.46146 .52328 L
.46228 .52415 L
.46288 .52488 L
.46388 .52646 L
.4639 .52649 L
.46507 .52809 L
.46549 .52864 L
.46626 .5297 L
.46709 .53047 L
.4678 .5313 L
.46866 .53291 L
.4687 .53296 L
.4698 .53451 L
.4703 .53517 L
.47097 .53612 L
.47191 .53739 L
.47214 .53772 L
.47328 .53933 L
.47351 .53965 L
.47436 .54093 L
.47512 .542 L
.47546 .54254 L
.47651 .54414 L
.47672 .54448 L
.4773 .54575 L
.47672 .54594 L
.47652 .54575 L
.47512 .5444 L
.47488 .54414 L
.47351 .54274 L
.47338 .54254 L
.47195 .54093 L
.47191 .54089 L
.47055 .53933 L
.4703 .53905 L
.46918 .53772 L
.4687 .53747 L
.46782 .53612 L
.46709 .53532 L
.46606 .53451 L
.46549 .53331 L
.46511 .53291 L
.46388 .53135 L
.46385 .5313 L
.46254 .5297 L
.46228 .52947 L
.46123 .52809 L
.46067 .52741 L
.45979 .52649 L
.45907 .52536 L
.45869 .52488 L
.45746 .52335 L
.45742 .52328 L
.45611 .52167 L
.45586 .52139 L
.45454 .52007 L
.45425 .51932 L
.45354 .51846 L
.45265 .51724 L
.45239 .51686 L
.45105 .51525 L
.45104 .51524 L
.4498 .51364 L
.44943 .51321 L
.44841 .51204 L
.44783 .51111 L
.44733 .51043 L
.44622 .50903 L
.44614 .50883 L
.4448 .50722 L
.44462 .50704 L
.44329 .50562 L
.44301 .50495 L
.44227 .50401 L
.44141 .50283 L
.44114 .50241 L
.43982 .5008 L
.4398 .50079 L
.43858 .4992 L
.4382 .49876 L
.43721 .49759 L
.43659 .49663 L
.43613 .49599 L
.43499 .49452 L
.43493 .49438 L
.43364 .49278 L
.43338 .49254 L
.43212 .49117 L
.43178 .49041 L
.43112 .48957 L
.43017 .48827 L
.42999 .48796 L
.42871 .48636 L
.42857 .48629 L
.42748 .48475 L
.42696 .48418 L
.4261 .48314 L
.42536 .48201 L
.42502 .48154 L
.42379 .47993 L
.42375 .47988 L
.42258 .47833 L
.42215 .47795 L
.42104 .47672 L
.42054 .47573 L
.42007 .47512 L
.41894 .47357 L
.4189 .47351 L
.41769 .47191 L
.41733 .47176 L
.41648 .4703 L
.41572 .46945 L
.41511 .4687 L
.41412 .46722 L
.41403 .46709 L
.41284 .46549 L
.41251 .46507 L
.41164 .46388 L
.41091 .46317 L
.41015 .46228 L
.4093 .46082 L
.40919 .46067 L
.40804 .45907 L
.4077 .45863 L
.40685 .45746 L
.40609 .45645 L
.4052 .45586 L
.40449 .4543 L
.40445 .45425 L
.40332 .45265 L
.40288 .45206 L
.40217 .45104 L
.40128 .44982 L
.40101 .44943 L
.39988 .44783 L
.39967 .44754 L
.39882 .44622 L
.39807 .44514 L
.39775 .44462 L
F
1 .38 0 r
.39807 .4565 m
.39882 .45746 L
.39967 .4584 L
.40018 .45907 L
.40128 .46034 L
.40153 .46067 L
.40285 .46228 L
.40288 .46231 L
.40409 .46388 L
.40449 .46435 L
.40534 .46549 L
.40609 .46639 L
.40662 .46709 L
.4077 .46842 L
.4079 .4687 L
.40915 .4703 L
.4093 .47049 L
.41035 .47191 L
.41091 .4726 L
.41157 .47351 L
.41251 .47469 L
.41282 .47512 L
.41406 .47672 L
.41412 .4768 L
.4152 .47833 L
.41572 .47898 L
.41638 .47993 L
.41733 .48116 L
.41759 .48154 L
.41733 .48276 L
.41636 .48154 L
.41572 .48082 L
.41503 .47993 L
.41412 .47887 L
.4137 .47833 L
.41251 .47688 L
.41239 .47672 L
.41114 .47512 L
.41091 .47485 L
.40989 .47351 L
.4093 .47281 L
.40863 .47191 L
.4077 .47076 L
.40736 .4703 L
.40609 .4687 L
.40609 .4687 L
.40491 .46709 L
.40449 .46658 L
.40369 .46549 L
.40288 .46446 L
.40246 .46388 L
.40128 .46235 L
.40123 .46228 L
.40009 .46067 L
.39967 .46014 L
.39894 .45907 L
.39807 .45793 L
.39775 .45746 L
F
0 .55 1 r
.39807 .44989 m
.39911 .45104 L
.39967 .45161 L
.40056 .45265 L
.40128 .45343 L
.40196 .45425 L
.40288 .45531 L
.40333 .45586 L
.40449 .4571 L
.40468 .45746 L
.406 .45907 L
.40609 .45917 L
.4073 .46067 L
.4077 .46114 L
.4086 .46228 L
.4093 .46313 L
.4099 .46388 L
.41091 .46503 L
.41145 .46549 L
.41248 .46709 L
.41251 .46714 L
.41373 .4687 L
.41412 .46917 L
.415 .4703 L
.41572 .47093 L
.41627 .47191 L
.41733 .4732 L
.41764 .47351 L
.41879 .47512 L
.41894 .4753 L
.42003 .47672 L
.42054 .47737 L
.42128 .47833 L
.42215 .47928 L
.42283 .47993 L
.42375 .48149 L
.42379 .48154 L
.425 .48314 L
.42536 .48359 L
.42623 .48475 L
.42696 .48534 L
.42747 .48636 L
.42857 .48771 L
.42879 .48796 L
.42993 .48957 L
.43017 .48987 L
.43114 .49117 L
.43178 .49199 L
.43236 .49278 L
.43338 .49397 L
.43377 .49438 L
.4348 .49599 L
.43499 .49622 L
.43599 .49759 L
.43659 .49837 L
.4372 .4992 L
.4382 .50027 L
.43841 .5008 L
.4396 .50241 L
.4398 .50267 L
.44076 .50401 L
.44141 .50487 L
.44194 .50562 L
.44301 .50705 L
.44313 .50722 L
.44425 .50883 L
.44462 .50932 L
.44536 .51043 L
.44622 .51163 L
.44649 .51204 L
.44622 .5135 L
.44493 .51204 L
.44462 .51172 L
.44352 .51043 L
.44301 .50987 L
.44215 .50883 L
.44141 .50798 L
.44078 .50722 L
.4398 .50631 L
.43944 .50562 L
.4382 .50413 L
.43807 .50401 L
.43683 .50241 L
.43659 .50213 L
.43553 .5008 L
.43499 .50015 L
.43423 .4992 L
.43338 .4983 L
.43248 .49759 L
.43178 .49615 L
.43163 .49599 L
.4304 .49438 L
.43017 .4941 L
.42914 .49278 L
.42857 .49242 L
.42787 .49117 L
.42696 .49011 L
.42643 .48957 L
.42536 .48797 L
.42535 .48796 L
.42411 .48636 L
.42375 .48591 L
.42286 .48475 L
.42215 .48404 L
.42116 .48314 L
.42054 .4818 L
.42032 .48154 L
.41914 .47993 L
.41894 .47968 L
.41791 .47833 L
.41733 .47803 L
.41667 .47672 L
.41572 .47559 L
.41529 .47512 L
.41422 .47351 L
.41412 .47339 L
.41301 .47191 L
.41251 .47127 L
.41179 .4703 L
.41091 .46936 L
.41025 .4687 L
.40935 .46709 L
.4093 .46703 L
.40817 .46549 L
.4077 .46487 L
.40698 .46388 L
.40609 .46272 L
.40577 .46228 L
.40458 .46067 L
.40449 .46055 L
.40343 .45907 L
.40288 .45834 L
.40227 .45746 L
.40128 .45612 L
.40109 .45586 L
.39998 .45425 L
.39967 .45383 L
.3989 .45265 L
.39807 .45146 L
.39781 .45104 L
F
1 .37 0 r
.39807 .45661 m
.39873 .45746 L
.39967 .45848 L
.40012 .45907 L
.40128 .46041 L
.40148 .46067 L
.40279 .46228 L
.40288 .46238 L
.40403 .46388 L
.40449 .46441 L
.40529 .46549 L
.40609 .46644 L
.40658 .46709 L
.4077 .46848 L
.40786 .4687 L
.4091 .4703 L
.4093 .47055 L
.4103 .47191 L
.41091 .47266 L
.41153 .47351 L
.41251 .47475 L
.41278 .47512 L
.414 .47672 L
.41412 .47687 L
.41514 .47833 L
.41572 .47906 L
.41632 .47993 L
.41733 .48124 L
.41753 .48154 L
.41733 .48266 L
.41644 .48154 L
.41572 .48074 L
.41509 .47993 L
.41412 .4788 L
.41375 .47833 L
.41251 .47682 L
.41244 .47672 L
.41119 .47512 L
.41091 .47479 L
.40994 .47351 L
.4093 .47274 L
.40867 .47191 L
.4077 .4707 L
.4074 .4703 L
.40615 .4687 L
.40609 .46863 L
.40496 .46709 L
.40449 .46651 L
.40374 .46549 L
.40288 .4644 L
.40251 .46388 L
.40128 .46228 L
.40128 .46228 L
.40016 .46067 L
.39967 .46006 L
.39901 .45907 L
.39807 .45783 L
.39782 .45746 L
F
1 .79 .001 r
.39807 .44326 m
.39943 .44462 L
.39967 .44485 L
.40093 .44622 L
.40128 .44659 L
.40237 .44783 L
.40288 .44839 L
.40378 .44943 L
.40449 .45 L
.40516 .45104 L
.40609 .4521 L
.40677 .45265 L
.4077 .45408 L
.40786 .45425 L
.40917 .45586 L
.4093 .45602 L
.41048 .45746 L
.41091 .45789 L
.41179 .45907 L
.41251 .45995 L
.4132 .46067 L
.41412 .46199 L
.41435 .46228 L
.41565 .46388 L
.41572 .46392 L
.41693 .46549 L
.41733 .46594 L
.41846 .46709 L
.41894 .46802 L
.41949 .4687 L
.42054 .47008 L
.42068 .4703 L
.42199 .47191 L
.42215 .47205 L
.42372 .47351 L
.42375 .47412 L
.42462 .47512 L
.42536 .47622 L
.42572 .47672 L
.42696 .47827 L
.42698 .47833 L
.42826 .47993 L
.42857 .48027 L
.42974 .48154 L
.43017 .48238 L
.43078 .48314 L
.43178 .48448 L
.43193 .48475 L
.43324 .48636 L
.43338 .48647 L
.43491 .48796 L
.43499 .48856 L
.43583 .48957 L
.43659 .4907 L
.43693 .49117 L
.4382 .49278 L
.4382 .49278 L
.43942 .49438 L
.4398 .49477 L
.4409 .49599 L
.44141 .49692 L
.44193 .49759 L
.44301 .49905 L
.4431 .4992 L
.44436 .5008 L
.44462 .50098 L
.44605 .50241 L
.44622 .50315 L
.44694 .50401 L
.44783 .50531 L
.44804 .50562 L
.44927 .50722 L
.44943 .50743 L
.45049 .50883 L
.45104 .50937 L
.45197 .51043 L
.45265 .51159 L
.45298 .51204 L
.45417 .51364 L
.45425 .51375 L
.45537 .51525 L
.45586 .51557 L
.45707 .51686 L
.45746 .51789 L
.45792 .51846 L
.45904 .52007 L
.45907 .5201 L
.46023 .52167 L
.46067 .52224 L
.46143 .52328 L
.46228 .52419 L
.46285 .52488 L
.46386 .52649 L
.46388 .52651 L
.46504 .52809 L
.46549 .52868 L
.46622 .5297 L
.46709 .53054 L
.46774 .5313 L
.46861 .53291 L
.4687 .53302 L
.46976 .53451 L
.4703 .53524 L
.47091 .53612 L
.47191 .53747 L
.47209 .53772 L
.4732 .53933 L
.47351 .53976 L
.47427 .54093 L
.47512 .54214 L
.47536 .54254 L
.47632 .54414 L
.47512 .54421 L
.47505 .54414 L
.47351 .54255 L
.47351 .54254 L
.47206 .54093 L
.47191 .54078 L
.47065 .53933 L
.4703 .53895 L
.46926 .53772 L
.4687 .53741 L
.46789 .53612 L
.46709 .53524 L
.46613 .53451 L
.46549 .53324 L
.46517 .53291 L
.46389 .5313 L
.46388 .53129 L
.46258 .5297 L
.46228 .52942 L
.46128 .52809 L
.46067 .52736 L
.45983 .52649 L
.45907 .52532 L
.45872 .52488 L
.45746 .52332 L
.45744 .52328 L
.45614 .52167 L
.45586 .52136 L
.45456 .52007 L
.45425 .51928 L
.45356 .51846 L
.45265 .51721 L
.45241 .51686 L
.45108 .51525 L
.45104 .51522 L
.44982 .51364 L
.44943 .51318 L
.44843 .51204 L
.44783 .51108 L
.44735 .51043 L
.44622 .509 L
.44615 .50883 L
.44482 .50722 L
.44462 .50702 L
.4433 .50562 L
.44301 .50492 L
.44229 .50401 L
.44141 .50281 L
.44116 .50241 L
.43984 .5008 L
.4398 .50078 L
.4386 .4992 L
.4382 .49873 L
.43722 .49759 L
.43659 .4966 L
.43615 .49599 L
.43499 .4945 L
.43494 .49438 L
.43366 .49278 L
.43338 .49252 L
.43214 .49117 L
.43178 .49038 L
.43114 .48957 L
.43017 .48825 L
.43 .48796 L
.42873 .48636 L
.42857 .48628 L
.4275 .48475 L
.42696 .48415 L
.42612 .48314 L
.42536 .48198 L
.42504 .48154 L
.42381 .47993 L
.42375 .47986 L
.4226 .47833 L
.42215 .47793 L
.42106 .47672 L
.42054 .47571 L
.42009 .47512 L
.41894 .47354 L
.41892 .47351 L
.41772 .47191 L
.41733 .47175 L
.4165 .4703 L
.41572 .46942 L
.41514 .4687 L
.41412 .46718 L
.41406 .46709 L
.41287 .46549 L
.41251 .46503 L
.41167 .46388 L
.41091 .46313 L
.41019 .46228 L
.4093 .46077 L
.40923 .46067 L
.40807 .45907 L
.4077 .45858 L
.40689 .45746 L
.40609 .4564 L
.40526 .45586 L
.40451 .45425 L
.40449 .45422 L
.40338 .45265 L
.40288 .45198 L
.40223 .45104 L
.40128 .44974 L
.40107 .44943 L
.39997 .44783 L
.39967 .44741 L
.39892 .44622 L
.39807 .44496 L
.39787 .44462 L
F
0 .54 1 r
.39807 .45002 m
.399 .45104 L
.39967 .4517 L
.40049 .45265 L
.40128 .4535 L
.4019 .45425 L
.40288 .45537 L
.40328 .45586 L
.40449 .45718 L
.40464 .45746 L
.40596 .45907 L
.40609 .45922 L
.40726 .46067 L
.4077 .46119 L
.40856 .46228 L
.4093 .46317 L
.40987 .46388 L
.41091 .46507 L
.4114 .46549 L
.41245 .46709 L
.41251 .46717 L
.4137 .4687 L
.41412 .46921 L
.41497 .4703 L
.41572 .47096 L
.41624 .47191 L
.41733 .47323 L
.4176 .47351 L
.41876 .47512 L
.41894 .47533 L
.42 .47672 L
.42054 .4774 L
.42125 .47833 L
.42215 .47931 L
.42279 .47993 L
.42375 .48153 L
.42376 .48154 L
.42498 .48314 L
.42536 .48362 L
.42621 .48475 L
.42696 .48537 L
.42745 .48636 L
.42857 .48775 L
.42876 .48796 L
.4299 .48957 L
.43017 .4899 L
.43112 .49117 L
.43178 .49202 L
.43234 .49278 L
.43338 .49401 L
.43373 .49438 L
.43478 .49599 L
.43499 .49626 L
.43596 .49759 L
.43659 .4984 L
.43717 .4992 L
.4382 .50033 L
.43839 .5008 L
.43957 .50241 L
.4398 .50271 L
.44072 .50401 L
.44141 .50491 L
.4419 .50562 L
.44301 .5071 L
.4431 .50722 L
.4442 .50883 L
.44462 .50939 L
.4453 .51043 L
.44622 .51171 L
.44643 .51204 L
.44622 .51339 L
.44501 .51204 L
.44462 .51164 L
.44359 .51043 L
.44301 .5098 L
.4422 .50883 L
.44141 .50792 L
.44083 .50722 L
.4398 .50624 L
.43948 .50562 L
.4382 .50407 L
.43813 .50401 L
.43686 .50241 L
.43659 .50209 L
.43556 .5008 L
.43499 .50011 L
.43426 .4992 L
.43338 .49826 L
.43253 .49759 L
.43178 .49611 L
.43166 .49599 L
.43043 .49438 L
.43017 .49407 L
.42916 .49278 L
.42857 .4924 L
.42789 .49117 L
.42696 .49007 L
.42646 .48957 L
.42537 .48796 L
.42536 .48794 L
.42413 .48636 L
.42375 .48588 L
.42289 .48475 L
.42215 .48401 L
.42119 .48314 L
.42054 .48177 L
.42034 .48154 L
.41916 .47993 L
.41894 .47965 L
.41793 .47833 L
.41733 .47801 L
.4167 .47672 L
.41572 .47556 L
.41532 .47512 L
.41424 .47351 L
.41412 .47336 L
.41304 .47191 L
.41251 .47124 L
.41182 .4703 L
.41091 .46932 L
.41029 .4687 L
.40938 .46709 L
.4093 .46699 L
.4082 .46549 L
.4077 .46483 L
.40701 .46388 L
.40609 .46268 L
.4058 .46228 L
.40462 .46067 L
.40449 .4605 L
.40347 .45907 L
.40288 .45828 L
.40231 .45746 L
.40128 .45606 L
.40113 .45586 L
.40004 .45425 L
.39967 .45375 L
.39897 .45265 L
.39807 .45135 L
.39789 .45104 L
F
1 .36 0 r
.39807 .45675 m
.39863 .45746 L
.39967 .45857 L
.40005 .45907 L
.40128 .46048 L
.40142 .46067 L
.40128 .46219 L
.40023 .46067 L
.39967 .45996 L
.39908 .45907 L
.39807 .45772 L
.3979 .45746 L
F
0 .53 1 r
.39807 .45019 m
.39888 .45104 L
.39967 .45179 L
.40041 .45265 L
.40128 .45357 L
.40184 .45425 L
.40288 .45543 L
.40324 .45586 L
.40449 .45725 L
.4046 .45746 L
.40592 .45907 L
.40609 .45927 L
.40722 .46067 L
.4077 .46123 L
.40853 .46228 L
.4093 .46321 L
.40984 .46388 L
.41091 .46512 L
.41135 .46549 L
.41242 .46709 L
.41251 .46721 L
.41368 .4687 L
.41412 .46924 L
.41495 .4703 L
.41572 .471 L
.41622 .47191 L
.41733 .47327 L
.41757 .47351 L
.41874 .47512 L
.41894 .47536 L
.41998 .47672 L
.42054 .47743 L
.42123 .47833 L
.42215 .47935 L
.42276 .47993 L
.42374 .48154 L
.42375 .48156 L
.42496 .48314 L
.42536 .48365 L
.42619 .48475 L
.42696 .48541 L
.42743 .48636 L
.42857 .48778 L
.42873 .48796 L
.42988 .48957 L
.43017 .48993 L
.43109 .49117 L
.43178 .49205 L
.43232 .49278 L
.43338 .49405 L
.43369 .49438 L
.43475 .49599 L
.43499 .49629 L
.43594 .49759 L
.43659 .49844 L
.43714 .4992 L
.4382 .5004 L
.43836 .5008 L
.43953 .50241 L
.4398 .50276 L
.44069 .50401 L
.44141 .50496 L
.44187 .50562 L
.44301 .50716 L
.44306 .50722 L
.44415 .50883 L
.44462 .50946 L
.44525 .51043 L
.44622 .51181 L
.44636 .51204 L
.44622 .51326 L
.44511 .51204 L
.44462 .51155 L
.44366 .51043 L
.44301 .50974 L
.44225 .50883 L
.44141 .50787 L
.44088 .50722 L
.4398 .50616 L
.43953 .50562 L
.4382 .50401 L
.4382 .50401 L
.4369 .50241 L
.43659 .50204 L
.4356 .5008 L
.43499 .50006 L
.4343 .4992 L
.43338 .49821 L
.43258 .49759 L
.43178 .49607 L
.4317 .49599 L
.43046 .49438 L
.43017 .49403 L
.42919 .49278 L
.42857 .49237 L
.42792 .49117 L
.42696 .49004 L
.42649 .48957 L
.4254 .48796 L
.42536 .48791 L
.42416 .48636 L
.42375 .48584 L
.42291 .48475 L
.42215 .48398 L
.42122 .48314 L
.42054 .48173 L
.42037 .48154 L
.41919 .47993 L
.41894 .47962 L
.41796 .47833 L
.41733 .47798 L
.41672 .47672 L
.41572 .47552 L
.41536 .47512 L
.41427 .47351 L
.41412 .47333 L
.41306 .47191 L
.41251 .4712 L
.41184 .4703 L
.41091 .46927 L
.41034 .4687 L
.40941 .46709 L
.4093 .46695 L
.40823 .46549 L
.4077 .46479 L
.40704 .46388 L
.40609 .46264 L
.40583 .46228 L
.40466 .46067 L
.40449 .46045 L
.40351 .45907 L
.40288 .45823 L
.40235 .45746 L
.40128 .456 L
.40118 .45586 L
.4001 .45425 L
.39967 .45366 L
.39904 .45265 L
.39807 .45121 L
.39797 .45104 L
F
0 .48 1 r
.39807 .46353 m
.39824 .46388 L
.39807 .46401 L
.39797 .46388 L
F
1 .35 0 r
.39807 .45692 m
.39849 .45746 L
.39967 .45867 L
.39997 .45907 L
.40128 .46056 L
.40136 .46067 L
.40128 .4621 L
.40032 .46067 L
.39967 .45985 L
.39917 .45907 L
.39807 .45758 L
.398 .45746 L
F
1 .78 .001 r
.39807 .44355 m
.39922 .44462 L
.39967 .44502 L
.4008 .44622 L
.40128 .44671 L
.40227 .44783 L
.40288 .4485 L
.40369 .44943 L
.40449 .45009 L
.40508 .45104 L
.40609 .45218 L
.40668 .45265 L
.4077 .45415 L
.4078 .45425 L
.40911 .45586 L
.4093 .45608 L
.41043 .45746 L
.41091 .45794 L
.41174 .45907 L
.41251 .46 L
.41316 .46067 L
.41412 .46203 L
.41431 .46228 L
.41561 .46388 L
.41572 .46394 L
.41689 .46549 L
.41733 .46598 L
.41843 .46709 L
.41894 .46806 L
.41946 .4687 L
.42054 .47012 L
.42066 .4703 L
.42197 .47191 L
.42215 .47207 L
.42371 .47351 L
.42375 .47415 L
.42459 .47512 L
.42536 .47625 L
.4257 .47672 L
.42696 .4783 L
.42697 .47833 L
.42824 .47993 L
.42857 .48029 L
.42972 .48154 L
.43017 .48241 L
.43076 .48314 L
.43178 .48451 L
.43192 .48475 L
.43322 .48636 L
.43338 .48649 L
.4349 .48796 L
.43499 .48859 L
.43581 .48957 L
.43659 .49072 L
.43691 .49117 L
.43818 .49278 L
.4382 .49278 L
.43941 .49438 L
.4398 .49479 L
.44089 .49599 L
.44141 .49694 L
.44191 .49759 L
.44301 .49907 L
.44309 .4992 L
.44434 .5008 L
.44462 .501 L
.44604 .50241 L
.44622 .50317 L
.44692 .50401 L
.44783 .50534 L
.44802 .50562 L
.44925 .50722 L
.44943 .50746 L
.45047 .50883 L
.45104 .5094 L
.45195 .51043 L
.45265 .51162 L
.45296 .51204 L
.45415 .51364 L
.45425 .51378 L
.45535 .51525 L
.45586 .51559 L
.45705 .51686 L
.45746 .51792 L
.45789 .51846 L
.45901 .52007 L
.45907 .52013 L
.4602 .52167 L
.46067 .52228 L
.46141 .52328 L
.46228 .52424 L
.46281 .52488 L
.46383 .52649 L
.46388 .52655 L
.465 .52809 L
.46549 .52873 L
.46619 .5297 L
.46709 .53062 L
.46767 .5313 L
.46857 .53291 L
.4687 .53308 L
.46971 .53451 L
.4703 .53531 L
.47086 .53612 L
.47191 .53755 L
.47203 .53772 L
.47312 .53933 L
.47351 .53988 L
.47418 .54093 L
.47512 .54231 L
.47525 .54254 L
.47512 .54399 L
.47367 .54254 L
.47351 .54239 L
.47218 .54093 L
.47191 .54066 L
.47074 .53933 L
.4703 .53885 L
.46934 .53772 L
.4687 .53735 L
.46796 .53612 L
.46709 .53516 L
.46621 .53451 L
.46549 .53317 L
.46523 .53291 L
.46394 .5313 L
.46388 .53123 L
.46263 .5297 L
.46228 .52938 L
.46132 .52809 L
.46067 .52731 L
.45987 .52649 L
.45907 .52527 L
.45875 .52488 L
.45746 .52328 L
.45746 .52328 L
.45618 .52167 L
.45586 .52132 L
.45458 .52007 L
.45425 .51924 L
.45359 .51846 L
.45265 .51717 L
.45243 .51686 L
.45111 .51525 L
.45104 .5152 L
.44985 .51364 L
.44943 .51315 L
.44845 .51204 L
.44783 .51105 L
.44737 .51043 L
.44622 .50898 L
.44616 .50883 L
.44484 .50722 L
.44462 .507 L
.44332 .50562 L
.44301 .5049 L
.4423 .50401 L
.44141 .50278 L
.44117 .50241 L
.43986 .5008 L
.4398 .50077 L
.43862 .4992 L
.4382 .49871 L
.43724 .49759 L
.43659 .49658 L
.43616 .49599 L
.43499 .49448 L
.43495 .49438 L
.43367 .49278 L
.43338 .4925 L
.43215 .49117 L
.43178 .49036 L
.43115 .48957 L
.43017 .48822 L
.43001 .48796 L
.42874 .48636 L
.42857 .48627 L
.42752 .48475 L
.42696 .48413 L
.42613 .48314 L
.42536 .48196 L
.42506 .48154 L
.42383 .47993 L
.42375 .47983 L
.42262 .47833 L
.42215 .47791 L
.42108 .47672 L
.42054 .47568 L
.42011 .47512 L
.41894 .47351 L
.41894 .47351 L
.41774 .47191 L
.41733 .47173 L
.41653 .4703 L
.41572 .46939 L
.41517 .4687 L
.41412 .46715 L
.41408 .46709 L
.4129 .46549 L
.41251 .46499 L
.4117 .46388 L
.41091 .46308 L
.41023 .46228 L
.4093 .46072 L
.40927 .46067 L
.40811 .45907 L
.4077 .45853 L
.40693 .45746 L
.40609 .45635 L
.40534 .45586 L
.40456 .45425 L
.40449 .45416 L
.40343 .45265 L
.40288 .4519 L
.40229 .45104 L
.40128 .44964 L
.40114 .44943 L
.40006 .44783 L
.39967 .44727 L
.39903 .44622 L
.39807 .44474 L
.398 .44462 L
F
.733 .99 1 r
.39967 .41017 m
.40128 .41052 L
.40183 .41091 L
.40288 .41179 L
.40375 .41251 L
.40449 .41362 L
.40491 .41412 L
.40609 .41562 L
.40615 .41572 L
.40743 .41733 L
.4077 .41764 L
.40909 .41894 L
.4093 .41973 L
.41005 .42054 L
.41091 .42183 L
.41116 .42215 L
.41241 .42375 L
.41251 .42376 L
.41363 .42536 L
.41412 .42581 L
.4151 .42696 L
.41572 .42799 L
.41614 .42857 L
.41733 .43017 L
.41733 .43018 L
.41852 .43178 L
.41894 .43232 L
.42017 .43338 L
.42054 .43448 L
.42103 .43499 L
.42206 .43659 L
.42215 .43673 L
.42287 .4382 L
.42215 .4389 L
.42054 .43875 L
.41946 .4382 L
.41894 .43786 L
.41743 .43659 L
.41733 .43629 L
.41622 .43499 L
.41572 .43443 L
.41506 .43338 L
.41412 .43244 L
.41359 .43178 L
.41251 .43039 L
.41234 .43017 L
.41107 .42857 L
.41091 .42829 L
.40994 .42696 L
.4093 .42614 L
.40891 .42536 L
.4077 .424 L
.40737 .42375 L
.40613 .42215 L
.40609 .42207 L
.40494 .42054 L
.40449 .41998 L
.40389 .41894 L
.40288 .41782 L
.4025 .41733 L
.40133 .41572 L
.40128 .41565 L
.40008 .41412 L
.39967 .41335 L
.39915 .41251 L
.39841 .41091 L
F
1 .93 .114 r
.39967 .39639 m
.39974 .39646 L
.39967 .39785 L
.39891 .39646 L
F
1 .94 .156 r
.39967 .41627 m
.40086 .41733 L
.40128 .41773 L
.40235 .41894 L
.40288 .41952 L
.40371 .42054 L
.40449 .42145 L
.40502 .42215 L
.40609 .42347 L
.4063 .42375 L
.40752 .42536 L
.4077 .42559 L
.40866 .42696 L
.4093 .42783 L
.40979 .42857 L
.41085 .43017 L
.4093 .43078 L
.40901 .43017 L
.4077 .42886 L
.40749 .42857 L
.4061 .42696 L
.40609 .42696 L
.40478 .42536 L
.40449 .425 L
.40351 .42375 L
.40288 .42294 L
.40228 .42215 L
.40128 .42091 L
.401 .42054 L
.40005 .41894 L
.39967 .41832 L
.39911 .41733 L
F
0 .52 1 r
.39967 .4519 m
.40033 .45265 L
.40128 .45365 L
.40178 .45425 L
.40288 .45549 L
.40319 .45586 L
.40449 .45733 L
.40456 .45746 L
.40587 .45907 L
.40609 .45932 L
.40718 .46067 L
.4077 .46128 L
.4085 .46228 L
.4093 .46325 L
.40981 .46388 L
.41091 .46516 L
.4113 .46549 L
.41239 .46709 L
.41251 .46725 L
.41365 .4687 L
.41412 .46927 L
.41492 .4703 L
.41572 .47103 L
.4162 .47191 L
.41733 .4733 L
.41754 .47351 L
.41871 .47512 L
.41894 .47539 L
.41995 .47672 L
.42054 .47746 L
.42121 .47833 L
.42215 .47938 L
.42273 .47993 L
.42371 .48154 L
.42375 .48159 L
.42493 .48314 L
.42536 .48368 L
.42616 .48475 L
.42696 .48544 L
.42741 .48636 L
.42857 .48782 L
.42869 .48796 L
.42986 .48957 L
.43017 .48996 L
.43107 .49117 L
.43178 .49208 L
.43229 .49278 L
.43338 .4941 L
.43365 .49438 L
.43472 .49599 L
.43499 .49633 L
.43591 .49759 L
.43659 .49848 L
.43712 .4992 L
.4382 .50046 L
.43833 .5008 L
.4395 .50241 L
.4398 .5028 L
.44065 .50401 L
.44141 .50501 L
.44183 .50562 L
.44301 .50721 L
.44302 .50722 L
.4441 .50883 L
.44462 .50954 L
.44518 .51043 L
.44622 .51192 L
.44629 .51204 L
.44622 .51312 L
.44521 .51204 L
.44462 .51146 L
.44373 .51043 L
.44301 .50967 L
.44231 .50883 L
.44141 .50781 L
.44093 .50722 L
.4398 .50608 L
.43957 .50562 L
.43824 .50401 L
.4382 .50396 L
.43694 .50241 L
.43659 .502 L
.43563 .5008 L
.43499 .50002 L
.43433 .4992 L
.43338 .49817 L
.43263 .49759 L
.43178 .49603 L
.43174 .49599 L
.43049 .49438 L
.43017 .494 L
.42922 .49278 L
.42857 .49233 L
.42794 .49117 L
.42696 .49 L
.42653 .48957 L
.42542 .48796 L
.42536 .48788 L
.42418 .48636 L
.42375 .48581 L
.42293 .48475 L
.42215 .48394 L
.42126 .48314 L
.42054 .4817 L
.4204 .48154 L
.41921 .47993 L
.41894 .47959 L
.41798 .47833 L
.41733 .47795 L
.41675 .47672 L
.41572 .47548 L
.41539 .47512 L
.41429 .47351 L
.41412 .47329 L
.41309 .47191 L
.41251 .47117 L
.41187 .4703 L
.41091 .46923 L
.41038 .4687 L
.40944 .46709 L
.4093 .46691 L
.40826 .46549 L
.4077 .46475 L
.40707 .46388 L
.40609 .46259 L
.40586 .46228 L
.40469 .46067 L
.40449 .4604 L
.40355 .45907 L
.40288 .45817 L
.40239 .45746 L
.40128 .45594 L
.40122 .45586 L
.40017 .45425 L
.39967 .45356 L
.39912 .45265 L
F
1 .77 .001 r
.39967 .44521 m
.40065 .44622 L
.40128 .44685 L
.40216 .44783 L
.40288 .44861 L
.4036 .44943 L
.40449 .45019 L
.40501 .45104 L
.40609 .45227 L
.40658 .45265 L
.4077 .45422 L
.40773 .45425 L
.40905 .45586 L
.4093 .45615 L
.41038 .45746 L
.41091 .45799 L
.4117 .45907 L
.41251 .46005 L
.41311 .46067 L
.41412 .46208 L
.41428 .46228 L
.41558 .46388 L
.41572 .46397 L
.41686 .46549 L
.41733 .46602 L
.41841 .46709 L
.41894 .4681 L
.41943 .4687 L
.42054 .47015 L
.42064 .4703 L
.42194 .47191 L
.42215 .47209 L
.42371 .47351 L
.42375 .47418 L
.42457 .47512 L
.42536 .47628 L
.42568 .47672 L
.42696 .47832 L
.42696 .47833 L
.42822 .47993 L
.42857 .48031 L
.42971 .48154 L
.43017 .48243 L
.43074 .48314 L
.43178 .48453 L
.43191 .48475 L
.4332 .48636 L
.43338 .4865 L
.43489 .48796 L
.43499 .48861 L
.43579 .48957 L
.43659 .49074 L
.4369 .49117 L
.43816 .49278 L
.4382 .49278 L
.43939 .49438 L
.4398 .49481 L
.44087 .49599 L
.44141 .49696 L
.4419 .49759 L
.44301 .49909 L
.44307 .4992 L
.44432 .5008 L
.44462 .50101 L
.44603 .50241 L
.44622 .50319 L
.4469 .50401 L
.44783 .50536 L
.44801 .50562 L
.44923 .50722 L
.44943 .50748 L
.45045 .50883 L
.45104 .50942 L
.45193 .51043 L
.45265 .51165 L
.45294 .51204 L
.45413 .51364 L
.45425 .51381 L
.45533 .51525 L
.45586 .51562 L
.45703 .51686 L
.45746 .51795 L
.45787 .51846 L
.45899 .52007 L
.45907 .52017 L
.46018 .52167 L
.46067 .52231 L
.46138 .52328 L
.46228 .52429 L
.46277 .52488 L
.4638 .52649 L
.46388 .5266 L
.46497 .52809 L
.46549 .52878 L
.46615 .5297 L
.46709 .5307 L
.4676 .5313 L
.46852 .53291 L
.4687 .53314 L
.46965 .53451 L
.4703 .53539 L
.47081 .53612 L
.47191 .53763 L
.47197 .53772 L
.47303 .53933 L
.47351 .54001 L
.47408 .54093 L
.47512 .54252 L
.47513 .54254 L
.47512 .5437 L
.47386 .54254 L
.47351 .54223 L
.47231 .54093 L
.47191 .54053 L
.47084 .53933 L
.4703 .53874 L
.46942 .53772 L
.4687 .53727 L
.46803 .53612 L
.46709 .53508 L
.4663 .53451 L
.46549 .5331 L
.46529 .53291 L
.464 .5313 L
.46388 .53116 L
.46268 .5297 L
.46228 .52934 L
.46137 .52809 L
.46067 .52726 L
.45991 .52649 L
.45907 .52522 L
.45879 .52488 L
.45749 .52328 L
.45746 .52327 L
.45621 .52167 L
.45586 .52129 L
.4546 .52007 L
.45425 .51921 L
.45362 .51846 L
.45265 .51714 L
.45246 .51686 L
.45114 .51525 L
.45104 .51517 L
.44987 .51364 L
.44943 .51312 L
.44848 .51204 L
.44783 .51102 L
.44739 .51043 L
.44622 .50895 L
.44617 .50883 L
.44486 .50722 L
.44462 .50698 L
.44333 .50562 L
.44301 .50487 L
.44232 .50401 L
.44141 .50276 L
.44119 .50241 L
.43988 .5008 L
.4398 .50075 L
.43864 .4992 L
.4382 .49869 L
.43726 .49759 L
.43659 .49655 L
.43618 .49599 L
.43499 .49446 L
.43496 .49438 L
.43369 .49278 L
.43338 .49248 L
.43216 .49117 L
.43178 .49034 L
.43117 .48957 L
.43017 .4882 L
.43003 .48796 L
.42876 .48636 L
.42857 .48626 L
.42754 .48475 L
.42696 .48411 L
.42615 .48314 L
.42536 .48193 L
.42508 .48154 L
.42385 .47993 L
.42375 .47981 L
.42264 .47833 L
.42215 .47788 L
.4211 .47672 L
.42054 .47565 L
.42013 .47512 L
.41896 .47351 L
.41894 .47348 L
.41776 .47191 L
.41733 .47171 L
.41655 .4703 L
.41572 .46935 L
.41519 .4687 L
.41412 .46711 L
.41411 .46709 L
.41292 .46549 L
.41251 .46495 L
.41173 .46388 L
.41091 .46303 L
.41027 .46228 L
.40931 .46067 L
.4093 .46066 L
.40815 .45907 L
.4077 .45847 L
.40697 .45746 L
.40609 .45629 L
.40542 .45586 L
.40461 .45425 L
.40449 .45409 L
.40349 .45265 L
.40288 .45182 L
.40235 .45104 L
.40128 .44955 L
.4012 .44943 L
.40017 .44783 L
.39967 .44711 L
.39916 .44622 L
F
0 .51 1 r
.39967 .45201 m
.40024 .45265 L
.40128 .45373 L
.40172 .45425 L
.40288 .45555 L
.40314 .45586 L
.40449 .45742 L
.40451 .45746 L
.40583 .45907 L
.40609 .45937 L
.40714 .46067 L
.4077 .46132 L
.40846 .46228 L
.4093 .46329 L
.40977 .46388 L
.41091 .46521 L
.41124 .46549 L
.41235 .46709 L
.41251 .46728 L
.41362 .4687 L
.41412 .46931 L
.41489 .4703 L
.41572 .47107 L
.41617 .47191 L
.41733 .47334 L
.4175 .47351 L
.41869 .47512 L
.41894 .47542 L
.41993 .47672 L
.42054 .47749 L
.42119 .47833 L
.42215 .47942 L
.42269 .47993 L
.42369 .48154 L
.42375 .48162 L
.42491 .48314 L
.42536 .48371 L
.42614 .48475 L
.42696 .48548 L
.42739 .48636 L
.42857 .48786 L
.42866 .48796 L
.42983 .48957 L
.43017 .49 L
.43104 .49117 L
.43178 .49211 L
.43227 .49278 L
.43338 .49414 L
.43361 .49438 L
.43469 .49599 L
.43499 .49636 L
.43588 .49759 L
.43659 .49851 L
.43709 .4992 L
.4382 .50053 L
.4383 .5008 L
.43946 .50241 L
.4398 .50285 L
.44062 .50401 L
.44141 .50506 L
.44179 .50562 L
.44297 .50722 L
.44301 .50728 L
.44404 .50883 L
.44462 .50963 L
.44512 .51043 L
.44462 .51137 L
.4438 .51043 L
.44301 .50959 L
.44237 .50883 L
.44141 .50774 L
.44098 .50722 L
.4398 .506 L
.43961 .50562 L
.43828 .50401 L
.4382 .50391 L
.43698 .50241 L
.43659 .50195 L
.43567 .5008 L
.43499 .49998 L
.43436 .4992 L
.43338 .49812 L
.43269 .49759 L
.43178 .49599 L
.43178 .49599 L
.43052 .49438 L
.43017 .49396 L
.42924 .49278 L
.42857 .4923 L
.42797 .49117 L
.42696 .48996 L
.42656 .48957 L
.42545 .48796 L
.42536 .48784 L
.42421 .48636 L
.42375 .48578 L
.42296 .48475 L
.42215 .48391 L
.42129 .48314 L
.42054 .48166 L
.42043 .48154 L
.41924 .47993 L
.41894 .47956 L
.41801 .47833 L
.41733 .47791 L
.41677 .47672 L
.41572 .47544 L
.41543 .47512 L
.41432 .47351 L
.41412 .47326 L
.41311 .47191 L
.41251 .47114 L
.41189 .4703 L
.41091 .46918 L
.41043 .4687 L
.40947 .46709 L
.4093 .46687 L
.40829 .46549 L
.4077 .46471 L
.4071 .46388 L
.40609 .46255 L
.4059 .46228 L
.40473 .46067 L
.40449 .46035 L
.40359 .45907 L
.40288 .45811 L
.40243 .45746 L
.40128 .45587 L
.40127 .45586 L
.40024 .45425 L
.39967 .45345 L
.3992 .45265 L
F
.156 .94 1 r
.39967 .43849 m
.401 .4398 L
.40128 .44007 L
.40254 .44141 L
.40288 .44177 L
.404 .44301 L
.40449 .44327 L
.40544 .44462 L
.40609 .44534 L
.40744 .44622 L
.4077 .44728 L
.40825 .44783 L
.4093 .44921 L
.40949 .44943 L
.41088 .45104 L
.41091 .45107 L
.41221 .45265 L
.41251 .45303 L
.41367 .45425 L
.41412 .45505 L
.41477 .45586 L
.41572 .4571 L
.41593 .45746 L
.41733 .45905 L
.41741 .45907 L
.41887 .46067 L
.41894 .46101 L
.41997 .46228 L
.42054 .46309 L
.42109 .46388 L
.42215 .4652 L
.42218 .46549 L
.42375 .46708 L
.42376 .46709 L
.42509 .4687 L
.42536 .46916 L
.42621 .4703 L
.42696 .4713 L
.42728 .47191 L
.42857 .4734 L
.42879 .47351 L
.43012 .47512 L
.43017 .47531 L
.43129 .47672 L
.43178 .47743 L
.43238 .47833 L
.43338 .47957 L
.43378 .47993 L
.43499 .48151 L
.43501 .48154 L
.43632 .48314 L
.43659 .48361 L
.43743 .48475 L
.4382 .48575 L
.43849 .48636 L
.4398 .48785 L
.43998 .48796 L
.44133 .48957 L
.44141 .48982 L
.44247 .49117 L
.44301 .49195 L
.44355 .49278 L
.44462 .49408 L
.44493 .49438 L
.44616 .49599 L
.44622 .49606 L
.44749 .49759 L
.44783 .49817 L
.44858 .4992 L
.44943 .5003 L
.44966 .5008 L
.45104 .50236 L
.4511 .50241 L
.4525 .50401 L
.45265 .5044 L
.4536 .50562 L
.45425 .50653 L
.45469 .50722 L
.45586 .50864 L
.45604 .50883 L
.45726 .51043 L
.45746 .51065 L
.45862 .51204 L
.45907 .51277 L
.4597 .51364 L
.46067 .5149 L
.46081 .51525 L
.46219 .51686 L
.46228 .51693 L
.46366 .51846 L
.46388 .51901 L
.4647 .52007 L
.46549 .52115 L
.4658 .52167 L
.46709 .52325 L
.46711 .52328 L
.46833 .52488 L
.4687 .52525 L
.46972 .52649 L
.4703 .52741 L
.47079 .52809 L
.47191 .52955 L
.47197 .5297 L
.47324 .5313 L
.47351 .53149 L
.47477 .53291 L
.47512 .53366 L
.47577 .53451 L
.47672 .53584 L
.47689 .53612 L
.47814 .53772 L
.47833 .53796 L
.47936 .53933 L
.47993 .53991 L
.48076 .54093 L
.48154 .54213 L
.48182 .54254 L
.48303 .54414 L
.48314 .54429 L
.48423 .54575 L
.48475 .54612 L
.48578 .54735 L
.48636 .54843 L
.48674 .54896 L
.48789 .55057 L
.48796 .55065 L
.48908 .55217 L
.48957 .5528 L
.49029 .55378 L
.49117 .55477 L
.49164 .55538 L
.49271 .55699 L
.49278 .55707 L
.49388 .55859 L
.49438 .55925 L
.49506 .5602 L
.49599 .56118 L
.49645 .5618 L
.49743 .56341 L
.49759 .56362 L
.49856 .56501 L
.4992 .56587 L
.49971 .56662 L
.5008 .56813 L
.50087 .56822 L
.50192 .56983 L
.50241 .57053 L
.50296 .57143 L
.50241 .57299 L
.50088 .57143 L
.5008 .57136 L
.49938 .56983 L
.4992 .56963 L
.49794 .56822 L
.49759 .56815 L
.49653 .56662 L
.49599 .56605 L
.49514 .56501 L
.49438 .56409 L
.49368 .56341 L
.49278 .56214 L
.4925 .5618 L
.49117 .56023 L
.49116 .5602 L
.48981 .55859 L
.48957 .5583 L
.4883 .55699 L
.48796 .55627 L
.48722 .55538 L
.48636 .55422 L
.48607 .55378 L
.48475 .55223 L
.48463 .55217 L
.48336 .55057 L
.48314 .55029 L
.48204 .54896 L
.48154 .5482 L
.48092 .54735 L
.47993 .5461 L
.47982 .54575 L
.47833 .54419 L
.4783 .54414 L
.47693 .54254 L
.47672 .54211 L
.47581 .54093 L
.47512 .53999 L
.47473 .53933 L
.47351 .53788 L
.47327 .53772 L
.47192 .53612 L
.47191 .53595 L
.47075 .53451 L
.4703 .53384 L
.46965 .53291 L
.4687 .5317 L
.46859 .5313 L
.46709 .5297 L
.46706 .5297 L
.46571 .52809 L
.46549 .52765 L
.4646 .52649 L
.46388 .52552 L
.46352 .52488 L
.46228 .52342 L
.46209 .52328 L
.4607 .52167 L
.46067 .52143 L
.45957 .52007 L
.45907 .51931 L
.45848 .51846 L
.45746 .51718 L
.45739 .51686 L
.45592 .51525 L
.45586 .51518 L
.45455 .51364 L
.45425 .51309 L
.45346 .51204 L
.45265 .51096 L
.45237 .51043 L
.45104 .50888 L
.45098 .50883 L
.44951 .50722 L
.44943 .50685 L
.44844 .50562 L
.44783 .50472 L
.44735 .50401 L
.44622 .50261 L
.44619 .50241 L
.44482 .5008 L
.44462 .5006 L
.44341 .4992 L
.44301 .49848 L
.44235 .49759 L
.44141 .49635 L
.44122 .49599 L
.43989 .49438 L
.4398 .49432 L
.43834 .49278 L
.4382 .49225 L
.43734 .49117 L
.43659 .49009 L
.43624 .48957 L
.43499 .48798 L
.43499 .48796 L
.43375 .48636 L
.43338 .48601 L
.43231 .48475 L
.43178 .48384 L
.43126 .48314 L
.43017 .48169 L
.4301 .48154 L
.42884 .47993 L
.42857 .47978 L
.42723 .47833 L
.42696 .4776 L
.42628 .47672 L
.42536 .47541 L
.42517 .47512 L
.42394 .47351 L
.42375 .47327 L
.42273 .47191 L
.42215 .47137 L
.42127 .4703 L
.42054 .46912 L
.42024 .4687 L
.41905 .46709 L
.41894 .46694 L
.41785 .46549 L
.41733 .46518 L
.41622 .46388 L
.41572 .46282 L
.41532 .46228 L
.41419 .46067 L
.41412 .46058 L
.413 .45907 L
.41251 .45843 L
.4118 .45746 L
.41091 .45649 L
.41042 .45586 L
.40938 .45425 L
.4093 .45415 L
.40821 .45265 L
.4077 .45197 L
.40703 .45104 L
.40609 .44979 L
.40561 .44943 L
.40467 .44783 L
.40449 .44759 L
.40354 .44622 L
.40288 .44533 L
.4024 .44462 L
.40128 .44306 L
.40125 .44301 L
.40021 .44141 L
.39967 .44061 L
.39921 .4398 L
F
1 .34 0 r
.39967 .45879 m
.39988 .45907 L
.40128 .46064 L
.4013 .46067 L
.40128 .462 L
.40042 .46067 L
.39967 .45972 L
.39928 .45907 L
F
1 .76 .001 r
.39967 .44543 m
.40047 .44622 L
.40128 .44699 L
.40204 .44783 L
.40288 .44872 L
.40351 .44943 L
.40449 .4503 L
.40493 .45104 L
.40609 .45236 L
.40647 .45265 L
.40766 .45425 L
.4077 .45429 L
.409 .45586 L
.4093 .45621 L
.41033 .45746 L
.41091 .45804 L
.41165 .45907 L
.41251 .46011 L
.41307 .46067 L
.41412 .46212 L
.41424 .46228 L
.41554 .46388 L
.41572 .46399 L
.41683 .46549 L
.41733 .46606 L
.41838 .46709 L
.41894 .46814 L
.41941 .4687 L
.42054 .47018 L
.42062 .4703 L
.42191 .47191 L
.42215 .47212 L
.4237 .47351 L
.42375 .47421 L
.42455 .47512 L
.42536 .47631 L
.42566 .47672 L
.42695 .47833 L
.42696 .47833 L
.42819 .47993 L
.42857 .48034 L
.42969 .48154 L
.43017 .48246 L
.43072 .48314 L
.43178 .48455 L
.43189 .48475 L
.43318 .48636 L
.43338 .48652 L
.43488 .48796 L
.43499 .48863 L
.43578 .48957 L
.43659 .49077 L
.43688 .49117 L
.43814 .49278 L
.4382 .49278 L
.43937 .49438 L
.4398 .49483 L
.44086 .49599 L
.44141 .49699 L
.44188 .49759 L
.44301 .49911 L
.44306 .4992 L
.4443 .5008 L
.44462 .50103 L
.44601 .50241 L
.44622 .50322 L
.44688 .50401 L
.44783 .50539 L
.44799 .50562 L
.44921 .50722 L
.44943 .50751 L
.45043 .50883 L
.45104 .50945 L
.45191 .51043 L
.45265 .51168 L
.45292 .51204 L
.4541 .51364 L
.45425 .51383 L
.45531 .51525 L
.45586 .51564 L
.457 .51686 L
.45746 .51799 L
.45784 .51846 L
.45896 .52007 L
.45907 .5202 L
.46015 .52167 L
.46067 .52235 L
.46135 .52328 L
.46228 .52433 L
.46273 .52488 L
.46376 .52649 L
.46388 .52664 L
.46493 .52809 L
.46549 .52882 L
.46611 .5297 L
.46709 .53078 L
.46753 .5313 L
.46847 .53291 L
.4687 .53321 L
.4696 .53451 L
.4703 .53546 L
.47075 .53612 L
.47191 .53772 L
.47191 .53773 L
.47294 .53933 L
.47351 .54016 L
.47397 .54093 L
.47351 .54205 L
.47245 .54093 L
.47191 .5404 L
.47095 .53933 L
.4703 .53864 L
.46951 .53772 L
.4687 .53718 L
.4681 .53612 L
.46709 .535 L
.4664 .53451 L
.46549 .53303 L
.46536 .53291 L
.46405 .5313 L
.46388 .5311 L
.46273 .5297 L
.46228 .52929 L
.46141 .52809 L
.46067 .52721 L
.45995 .52649 L
.45907 .52518 L
.45882 .52488 L
.45753 .52328 L
.45746 .52326 L
.45625 .52167 L
.45586 .52125 L
.45462 .52007 L
.45425 .51917 L
.45365 .51846 L
.45265 .51711 L
.45248 .51686 L
.45116 .51525 L
.45104 .51515 L
.4499 .51364 L
.44943 .51309 L
.4485 .51204 L
.44783 .51099 L
.44741 .51043 L
.44622 .50893 L
.44618 .50883 L
.44488 .50722 L
.44462 .50695 L
.44334 .50562 L
.44301 .50484 L
.44234 .50401 L
.44141 .50273 L
.4412 .50241 L
.4399 .5008 L
.4398 .50074 L
.43866 .4992 L
.4382 .49867 L
.43728 .49759 L
.43659 .49653 L
.4362 .49599 L
.43499 .49444 L
.43497 .49438 L
.43371 .49278 L
.43338 .49246 L
.43218 .49117 L
.43178 .49031 L
.43119 .48957 L
.43017 .48818 L
.43004 .48796 L
.42878 .48636 L
.42857 .48625 L
.42756 .48475 L
.42696 .48408 L
.42617 .48314 L
.42536 .48191 L
.4251 .48154 L
.42387 .47993 L
.42375 .47978 L
.42266 .47833 L
.42215 .47786 L
.42112 .47672 L
.42054 .47562 L
.42015 .47512 L
.41899 .47351 L
.41894 .47345 L
.41779 .47191 L
.41733 .47169 L
.41657 .4703 L
.41572 .46932 L
.41522 .4687 L
.41414 .46709 L
.41412 .46707 L
.41295 .46549 L
.41251 .46491 L
.41176 .46388 L
.41091 .46298 L
.41032 .46228 L
.40935 .46067 L
.4093 .46062 L
.40819 .45907 L
.4077 .45842 L
.40701 .45746 L
.40609 .45623 L
.4055 .45586 L
.40466 .45425 L
.40449 .45401 L
.40355 .45265 L
.40288 .45174 L
.40241 .45104 L
.40128 .44944 L
.40127 .44943 L
.40028 .44783 L
.39967 .44692 L
.3993 .44622 L
F
0 .5 1 r
.39967 .45214 m
.40013 .45265 L
.40128 .45381 L
.40165 .45425 L
.40288 .45562 L
.40308 .45586 L
.40446 .45746 L
.40449 .45749 L
.40578 .45907 L
.40609 .45942 L
.4071 .46067 L
.4077 .46137 L
.40842 .46228 L
.4093 .46333 L
.40974 .46388 L
.41091 .46526 L
.41118 .46549 L
.41232 .46709 L
.41251 .46732 L
.41359 .4687 L
.41412 .46934 L
.41487 .4703 L
.41572 .47111 L
.41615 .47191 L
.41733 .47338 L
.41746 .47351 L
.41866 .47512 L
.41894 .47546 L
.41991 .47672 L
.42054 .47752 L
.42116 .47833 L
.42215 .47945 L
.42265 .47993 L
.42367 .48154 L
.42375 .48165 L
.42488 .48314 L
.42536 .48374 L
.42612 .48475 L
.42696 .48552 L
.42736 .48636 L
.42857 .48789 L
.42863 .48796 L
.42981 .48957 L
.43017 .49003 L
.43102 .49117 L
.43178 .49214 L
.43225 .49278 L
.43338 .49419 L
.43357 .49438 L
.43467 .49599 L
.43499 .4964 L
.43585 .49759 L
.43659 .49855 L
.43706 .4992 L
.4382 .5006 L
.43828 .5008 L
.43943 .50241 L
.4398 .5029 L
.44058 .50401 L
.44141 .50511 L
.44176 .50562 L
.44292 .50722 L
.44301 .50735 L
.44398 .50883 L
.44462 .50972 L
.44505 .51043 L
.44462 .51126 L
.44389 .51043 L
.44301 .50952 L
.44243 .50883 L
.44141 .50768 L
.44103 .50722 L
.4398 .50591 L
.43966 .50562 L
.43833 .50401 L
.4382 .50386 L
.43702 .50241 L
.43659 .50191 L
.4357 .5008 L
.43499 .49994 L
.43439 .4992 L
.43338 .49807 L
.43275 .49759 L
.43181 .49599 L
.43178 .49595 L
.43055 .49438 L
.43017 .49393 L
.42927 .49278 L
.42857 .49227 L
.428 .49117 L
.42696 .48992 L
.4266 .48957 L
.42548 .48796 L
.42536 .48781 L
.42424 .48636 L
.42375 .48575 L
.42298 .48475 L
.42215 .48387 L
.42133 .48314 L
.42054 .48163 L
.42046 .48154 L
.41926 .47993 L
.41894 .47952 L
.41803 .47833 L
.41733 .47788 L
.41679 .47672 L
.41572 .4754 L
.41546 .47512 L
.41435 .47351 L
.41412 .47322 L
.41314 .47191 L
.41251 .4711 L
.41192 .4703 L
.41091 .46913 L
.41048 .4687 L
.4095 .46709 L
.4093 .46683 L
.40833 .46549 L
.4077 .46467 L
.40713 .46388 L
.40609 .46251 L
.40593 .46228 L
.40477 .46067 L
.40449 .4603 L
.40364 .45907 L
.40288 .45805 L
.40248 .45746 L
.40133 .45586 L
.40128 .45579 L
.40032 .45425 L
.39967 .45332 L
.3993 .45265 L
F
0 .49 1 r
.39967 .45229 m
.4 .45265 L
.40128 .4539 L
.40158 .45425 L
.40288 .45568 L
.40303 .45586 L
.4044 .45746 L
.40449 .45755 L
.40573 .45907 L
.40609 .45947 L
.40706 .46067 L
.4077 .46141 L
.40839 .46228 L
.4093 .46337 L
.40971 .46388 L
.41091 .46531 L
.41112 .46549 L
.41229 .46709 L
.41251 .46736 L
.41356 .4687 L
.41412 .46938 L
.41484 .4703 L
.41572 .47115 L
.41612 .47191 L
.41733 .47341 L
.41743 .47351 L
.41863 .47512 L
.41894 .47549 L
.41988 .47672 L
.42054 .47755 L
.42114 .47833 L
.42215 .47949 L
.42261 .47993 L
.42364 .48154 L
.42375 .48168 L
.42486 .48314 L
.42536 .48377 L
.4261 .48475 L
.42696 .48555 L
.42734 .48636 L
.42857 .48793 L
.42859 .48796 L
.42978 .48957 L
.43017 .49006 L
.431 .49117 L
.43178 .49217 L
.43222 .49278 L
.43338 .49424 L
.43352 .49438 L
.43464 .49599 L
.43499 .49644 L
.43582 .49759 L
.43659 .49859 L
.43703 .4992 L
.4382 .50068 L
.43825 .5008 L
.43939 .50241 L
.4398 .50295 L
.44054 .50401 L
.44141 .50517 L
.44172 .50562 L
.44287 .50722 L
.44301 .50742 L
.44391 .50883 L
.44462 .50983 L
.44497 .51043 L
.44462 .51114 L
.44398 .51043 L
.44301 .50944 L
.4425 .50883 L
.44141 .50762 L
.44108 .50722 L
.4398 .50582 L
.4397 .50562 L
.43838 .50401 L
.4382 .50381 L
.43706 .50241 L
.43659 .50186 L
.43574 .5008 L
.43499 .4999 L
.43443 .4992 L
.43338 .49802 L
.43281 .49759 L
.43184 .49599 L
.43178 .49591 L
.43058 .49438 L
.43017 .49389 L
.4293 .49278 L
.42857 .49223 L
.42802 .49117 L
.42696 .48989 L
.42664 .48957 L
.42551 .48796 L
.42536 .48778 L
.42426 .48636 L
.42375 .48572 L
.42301 .48475 L
.42215 .48384 L
.42137 .48314 L
.42054 .48159 L
.4205 .48154 L
.41929 .47993 L
.41894 .47949 L
.41806 .47833 L
.41733 .47784 L
.41682 .47672 L
.41572 .47536 L
.4155 .47512 L
.41437 .47351 L
.41412 .47319 L
.41317 .47191 L
.41251 .47107 L
.41195 .4703 L
.41091 .46908 L
.41053 .4687 L
.40954 .46709 L
.4093 .46679 L
.40836 .46549 L
.4077 .46463 L
.40716 .46388 L
.40609 .46246 L
.40596 .46228 L
.40482 .46067 L
.40449 .46024 L
.40368 .45907 L
.40288 .45799 L
.40252 .45746 L
.40139 .45586 L
.40128 .4557 L
.4004 .45425 L
.39967 .45316 L
.39942 .45265 L
F
1 .33 0 r
.39967 .45893 m
.39977 .45907 L
.39967 .45954 L
.39942 .45907 L
F
.395 .97 1 r
.39967 .42308 m
.40008 .42375 L
.39967 .42399 L
.39946 .42375 L
F
1 .75 0 r
.39967 .44571 m
.40025 .44622 L
.40128 .44715 L
.40191 .44783 L
.40288 .44884 L
.40341 .44943 L
.40449 .45042 L
.40485 .45104 L
.40609 .45245 L
.40635 .45265 L
.4076 .45425 L
.4077 .45436 L
.40894 .45586 L
.4093 .45628 L
.41028 .45746 L
.41091 .45809 L
.4116 .45907 L
.41251 .46016 L
.41302 .46067 L
.41412 .46217 L
.41421 .46228 L
.4155 .46388 L
.41572 .46401 L
.41679 .46549 L
.41733 .4661 L
.41835 .46709 L
.41894 .46817 L
.41938 .4687 L
.42054 .47021 L
.4206 .4703 L
.42188 .47191 L
.42215 .47215 L
.42369 .47351 L
.42375 .47424 L
.42453 .47512 L
.42536 .47634 L
.42564 .47672 L
.42692 .47833 L
.42696 .47834 L
.42817 .47993 L
.42857 .48036 L
.42967 .48154 L
.43017 .48248 L
.4307 .48314 L
.43178 .48458 L
.43188 .48475 L
.43316 .48636 L
.43338 .48653 L
.43488 .48796 L
.43499 .48866 L
.43576 .48957 L
.43659 .49079 L
.43686 .49117 L
.43812 .49278 L
.4382 .49279 L
.43935 .49438 L
.4398 .49485 L
.44084 .49599 L
.44141 .49701 L
.44186 .49759 L
.44301 .49913 L
.44305 .4992 L
.44428 .5008 L
.44462 .50104 L
.446 .50241 L
.44622 .50324 L
.44686 .50401 L
.44783 .50541 L
.44797 .50562 L
.44919 .50722 L
.44943 .50753 L
.45041 .50883 L
.45104 .50947 L
.45189 .51043 L
.45265 .51171 L
.4529 .51204 L
.45408 .51364 L
.45425 .51386 L
.45529 .51525 L
.45586 .51567 L
.45698 .51686 L
.45746 .51802 L
.45781 .51846 L
.45893 .52007 L
.45907 .52024 L
.46012 .52167 L
.46067 .52239 L
.46132 .52328 L
.46228 .52438 L
.46269 .52488 L
.46373 .52649 L
.46388 .52668 L
.46489 .52809 L
.46549 .52887 L
.46608 .5297 L
.46709 .53087 L
.46746 .5313 L
.46842 .53291 L
.4687 .53328 L
.46955 .53451 L
.4703 .53554 L
.47069 .53612 L
.47182 .53772 L
.47191 .53784 L
.47284 .53933 L
.47351 .54034 L
.47384 .54093 L
.47351 .54184 L
.47261 .54093 L
.47191 .54026 L
.47106 .53933 L
.4703 .53853 L
.4696 .53772 L
.4687 .53707 L
.46818 .53612 L
.46709 .53491 L
.46651 .53451 L
.46549 .53296 L
.46543 .53291 L
.46411 .5313 L
.46388 .53104 L
.46278 .5297 L
.46228 .52924 L
.46146 .52809 L
.46067 .52716 L
.45999 .52649 L
.45907 .52513 L
.45886 .52488 L
.45757 .52328 L
.45746 .52325 L
.45628 .52167 L
.45586 .52121 L
.45464 .52007 L
.45425 .51913 L
.45368 .51846 L
.45265 .51707 L
.4525 .51686 L
.45119 .51525 L
.45104 .51513 L
.44993 .51364 L
.44943 .51306 L
.44852 .51204 L
.44783 .51096 L
.44743 .51043 L
.44622 .5089 L
.44619 .50883 L
.44491 .50722 L
.44462 .50693 L
.44336 .50562 L
.44301 .50482 L
.44236 .50401 L
.44141 .50271 L
.44122 .50241 L
.43992 .5008 L
.4398 .50073 L
.43868 .4992 L
.4382 .49864 L
.43729 .49759 L
.43659 .49651 L
.43621 .49599 L
.43499 .49441 L
.43497 .49438 L
.43373 .49278 L
.43338 .49245 L
.43219 .49117 L
.43178 .49029 L
.43121 .48957 L
.43017 .48815 L
.43006 .48796 L
.4288 .48636 L
.42857 .48624 L
.42758 .48475 L
.42696 .48406 L
.42619 .48314 L
.42536 .48188 L
.42511 .48154 L
.42389 .47993 L
.42375 .47975 L
.42268 .47833 L
.42215 .47784 L
.42114 .47672 L
.42054 .47559 L
.42018 .47512 L
.41901 .47351 L
.41894 .47342 L
.41781 .47191 L
.41733 .47167 L
.4166 .4703 L
.41572 .46928 L
.41525 .4687 L
.41417 .46709 L
.41412 .46703 L
.41298 .46549 L
.41251 .46488 L
.41179 .46388 L
.41091 .46293 L
.41036 .46228 L
.40938 .46067 L
.4093 .46057 L
.40823 .45907 L
.4077 .45837 L
.40705 .45746 L
.40609 .45617 L
.40559 .45586 L
.40472 .45425 L
.40449 .45394 L
.40361 .45265 L
.40288 .45165 L
.40248 .45104 L
.40137 .44943 L
.40128 .44931 L
.4004 .44783 L
.39967 .44667 L
.39947 .44622 L
F
0 .48 1 r
.39967 .45252 m
.39981 .45265 L
.40128 .45399 L
.4015 .45425 L
.40288 .45576 L
.40297 .45586 L
.40434 .45746 L
.40449 .45762 L
.40568 .45907 L
.40609 .45953 L
.40702 .46067 L
.4077 .46146 L
.40835 .46228 L
.4093 .46342 L
.40967 .46388 L
.41091 .46536 L
.41106 .46549 L
.41226 .46709 L
.41251 .4674 L
.41353 .4687 L
.41412 .46941 L
.41481 .4703 L
.41572 .4712 L
.41609 .47191 L
.41733 .47345 L
.41739 .47351 L
.41861 .47512 L
.41894 .47552 L
.41986 .47672 L
.42054 .47758 L
.42112 .47833 L
.42215 .47953 L
.42258 .47993 L
.42362 .48154 L
.42375 .48171 L
.42484 .48314 L
.42536 .4838 L
.42607 .48475 L
.42696 .4856 L
.42732 .48636 L
.42856 .48796 L
.42857 .48797 L
.42976 .48957 L
.43017 .49009 L
.43097 .49117 L
.43178 .49221 L
.4322 .49278 L
.43338 .49429 L
.43347 .49438 L
.43461 .49599 L
.43499 .49647 L
.4358 .49759 L
.43659 .49863 L
.437 .4992 L
.4382 .50075 L
.43822 .5008 L
.43935 .50241 L
.4398 .503 L
.4405 .50401 L
.44141 .50522 L
.44168 .50562 L
.44281 .50722 L
.44301 .5075 L
.44384 .50883 L
.44462 .50995 L
.44488 .51043 L
.44462 .511 L
.44409 .51043 L
.44301 .50935 L
.44257 .50883 L
.44141 .50755 L
.44114 .50722 L
.4398 .50572 L
.43975 .50562 L
.43842 .50401 L
.4382 .50376 L
.4371 .50241 L
.43659 .50182 L
.43578 .5008 L
.43499 .49985 L
.43446 .4992 L
.43338 .49797 L
.43288 .49759 L
.43187 .49599 L
.43178 .49587 L
.43061 .49438 L
.43017 .49385 L
.42933 .49278 L
.42857 .49219 L
.42805 .49117 L
.42696 .48985 L
.42668 .48957 L
.42553 .48796 L
.42536 .48774 L
.42429 .48636 L
.42375 .48568 L
.42303 .48475 L
.42215 .4838 L
.42141 .48314 L
.42054 .48155 L
.42053 .48154 L
.41931 .47993 L
.41894 .47946 L
.41808 .47833 L
.41733 .4778 L
.41684 .47672 L
.41572 .47532 L
.41554 .47512 L
.4144 .47351 L
.41412 .47315 L
.41319 .47191 L
.41251 .47103 L
.41197 .4703 L
.41091 .46902 L
.41059 .4687 L
.40957 .46709 L
.4093 .46675 L
.40839 .46549 L
.4077 .46458 L
.40719 .46388 L
.40609 .46241 L
.40599 .46228 L
.40486 .46067 L
.40449 .46018 L
.40372 .45907 L
.40288 .45792 L
.40257 .45746 L
.40147 .45586 L
.40128 .4556 L
.4005 .45425 L
.39967 .45292 L
.39958 .45265 L
F
.538 .98 1 r
.39967 .41104 m
.40128 .41117 L
.40288 .41226 L
.40327 .41251 L
.40449 .41394 L
.40466 .41412 L
.40599 .41572 L
.40609 .41581 L
.40728 .41733 L
.4077 .41779 L
.409 .41894 L
.4093 .41986 L
.40994 .42054 L
.41091 .42194 L
.41107 .42215 L
.41231 .42375 L
.41251 .42379 L
.41353 .42536 L
.41412 .42591 L
.41501 .42696 L
.41572 .42813 L
.41604 .42857 L
.41721 .43017 L
.41733 .43033 L
.4184 .43178 L
.41894 .4325 L
.42001 .43338 L
.42054 .43473 L
.42079 .43499 L
.42171 .43659 L
.42054 .4381 L
.41894 .43729 L
.41767 .43659 L
.41733 .43585 L
.41652 .43499 L
.41572 .43408 L
.41528 .43338 L
.41412 .43216 L
.41381 .43178 L
.41254 .43017 L
.41251 .43014 L
.4112 .42857 L
.41091 .42807 L
.41009 .42696 L
.4093 .42595 L
.40902 .42536 L
.4077 .42388 L
.40753 .42375 L
.40619 .42215 L
.40609 .42191 L
.40509 .42054 L
.40449 .41977 L
.40404 .41894 L
.40288 .41756 L
.40271 .41733 L
.40157 .41572 L
.40128 .41528 L
.40034 .41412 L
.39967 .41266 L
.39959 .41251 L
F
.114 .93 1 r
.39967 .43941 m
.40035 .4398 L
.40128 .44053 L
.40215 .44141 L
.40288 .44212 L
.40371 .44301 L
.40449 .44349 L
.40519 .44462 L
.40609 .44558 L
.40721 .44622 L
.4077 .44748 L
.40807 .44783 L
.4093 .44936 L
.40937 .44943 L
.41074 .45104 L
.41091 .4512 L
.41208 .45265 L
.41251 .45318 L
.41358 .45425 L
.41412 .45518 L
.41468 .45586 L
.41572 .45719 L
.41588 .45746 L
.41732 .45907 L
.41733 .45908 L
.41885 .46067 L
.41894 .4611 L
.41991 .46228 L
.42054 .46318 L
.42103 .46388 L
.42215 .46526 L
.42216 .46549 L
.4237 .46709 L
.42375 .46715 L
.42505 .4687 L
.42536 .46923 L
.42617 .4703 L
.42696 .47135 L
.42725 .47191 L
.42857 .47342 L
.42875 .47351 L
.4301 .47512 L
.43017 .47536 L
.43125 .47672 L
.43178 .47748 L
.43235 .47833 L
.43338 .47961 L
.43375 .47993 L
.43498 .48154 L
.43499 .48155 L
.4363 .48314 L
.43659 .48364 L
.43741 .48475 L
.4382 .48578 L
.43848 .48636 L
.4398 .48786 L
.43996 .48796 L
.44132 .48957 L
.44141 .48985 L
.44245 .49117 L
.44301 .49198 L
.44353 .49278 L
.44462 .4941 L
.44491 .49438 L
.44614 .49599 L
.44622 .49609 L
.44747 .49759 L
.44783 .49819 L
.44856 .4992 L
.44943 .50032 L
.44965 .5008 L
.45104 .50238 L
.45108 .50241 L
.45249 .50401 L
.45265 .50442 L
.45358 .50562 L
.45425 .50655 L
.45467 .50722 L
.45586 .50866 L
.45602 .50883 L
.45724 .51043 L
.45746 .51067 L
.4586 .51204 L
.45907 .51279 L
.45968 .51364 L
.46067 .51492 L
.46081 .51525 L
.46217 .51686 L
.46228 .51694 L
.46364 .51846 L
.46388 .51903 L
.46468 .52007 L
.46549 .52118 L
.46579 .52167 L
.46709 .52328 L
.46709 .52328 L
.46831 .52488 L
.4687 .52528 L
.4697 .52649 L
.4703 .52744 L
.47077 .52809 L
.47191 .52958 L
.47195 .5297 L
.47322 .5313 L
.47351 .53151 L
.47475 .53291 L
.47512 .53369 L
.47574 .53451 L
.47672 .53587 L
.47687 .53612 L
.47811 .53772 L
.47833 .538 L
.47933 .53933 L
.47993 .53994 L
.48073 .54093 L
.48154 .54218 L
.48179 .54254 L
.48299 .54414 L
.48314 .54434 L
.4842 .54575 L
.48475 .54617 L
.48574 .54735 L
.48636 .5485 L
.4867 .54896 L
.48784 .55057 L
.48796 .55072 L
.48903 .55217 L
.48957 .55287 L
.49023 .55378 L
.49117 .55487 L
.49156 .55538 L
.49264 .55699 L
.49278 .55717 L
.4938 .55859 L
.49438 .55936 L
.49498 .5602 L
.49599 .56138 L
.4963 .5618 L
.49731 .56341 L
.49759 .56379 L
.49843 .56501 L
.4992 .56608 L
.49956 .56662 L
.50067 .56822 L
.5008 .56842 L
.50165 .56983 L
.50241 .57104 L
.5026 .57143 L
.50241 .57233 L
.50137 .57143 L
.5008 .57094 L
.49972 .56983 L
.4992 .5693 L
.49821 .56822 L
.49759 .56802 L
.49675 .56662 L
.49599 .56583 L
.49533 .56501 L
.49438 .56389 L
.49386 .56341 L
.49278 .56198 L
.49262 .5618 L
.49126 .5602 L
.49117 .56013 L
.48992 .55859 L
.48957 .55816 L
.48837 .55699 L
.48796 .55615 L
.48731 .55538 L
.48636 .55412 L
.48613 .55378 L
.48475 .55219 L
.48471 .55217 L
.48343 .55057 L
.48314 .5502 L
.48209 .54896 L
.48154 .54812 L
.48098 .54735 L
.47993 .54604 L
.47984 .54575 L
.47835 .54414 L
.47833 .54412 L
.47696 .54254 L
.47672 .54205 L
.47586 .54093 L
.47512 .53993 L
.47476 .53933 L
.47351 .53785 L
.47331 .53772 L
.47192 .53612 L
.47191 .53591 L
.47078 .53451 L
.4703 .53379 L
.46968 .53291 L
.4687 .53167 L
.4686 .5313 L
.46709 .5297 L
.46709 .5297 L
.46573 .52809 L
.46549 .52762 L
.46463 .52649 L
.46388 .52548 L
.46354 .52488 L
.46228 .5234 L
.46212 .52328 L
.46071 .52167 L
.46067 .5214 L
.45959 .52007 L
.45907 .51928 L
.4585 .51846 L
.45746 .51716 L
.4574 .51686 L
.45594 .51525 L
.45586 .51516 L
.45456 .51364 L
.45425 .51306 L
.45348 .51204 L
.45265 .51093 L
.45238 .51043 L
.45104 .50887 L
.451 .50883 L
.44951 .50722 L
.44943 .50683 L
.44846 .50562 L
.44783 .5047 L
.44737 .50401 L
.44622 .50259 L
.4462 .50241 L
.44484 .5008 L
.44462 .50058 L
.44342 .4992 L
.44301 .49846 L
.44236 .49759 L
.44141 .49633 L
.44123 .49599 L
.43991 .49438 L
.4398 .49431 L
.43835 .49278 L
.4382 .49222 L
.43735 .49117 L
.43659 .49007 L
.43626 .48957 L
.43499 .48796 L
.43499 .48796 L
.43377 .48636 L
.43338 .48599 L
.43233 .48475 L
.43178 .48381 L
.43128 .48314 L
.43017 .48166 L
.43011 .48154 L
.42887 .47993 L
.42857 .47977 L
.42724 .47833 L
.42696 .47756 L
.4263 .47672 L
.42536 .47537 L
.42519 .47512 L
.42397 .47351 L
.42375 .47323 L
.42276 .47191 L
.42215 .47133 L
.42131 .4703 L
.42054 .46907 L
.42027 .4687 L
.41909 .46709 L
.41894 .46689 L
.41789 .46549 L
.41733 .46513 L
.41627 .46388 L
.41572 .46275 L
.41537 .46228 L
.41424 .46067 L
.41412 .46051 L
.41306 .45907 L
.41251 .45836 L
.41186 .45746 L
.41091 .45638 L
.41051 .45586 L
.40945 .45425 L
.4093 .45405 L
.4083 .45265 L
.4077 .45186 L
.40712 .45104 L
.40609 .44966 L
.40578 .44943 L
.40479 .44783 L
.40449 .44742 L
.40369 .44622 L
.40288 .44511 L
.40256 .44462 L
.40148 .44301 L
.40128 .44273 L
.40053 .44141 L
.39967 .43988 L
.39965 .4398 L
F
.538 .98 1 r
.40128 .39099 m
.40167 .39165 L
.40288 .39277 L
.40328 .39325 L
.40449 .39457 L
.40486 .39486 L
.40609 .39643 L
.40612 .39646 L
.40745 .39807 L
.4077 .39837 L
.40874 .39967 L
.4093 .40008 L
.41039 .40128 L
.41091 .40242 L
.41119 .40288 L
.41221 .40449 L
.41251 .40505 L
.41299 .40609 L
.41251 .40692 L
.41091 .4062 L
.41079 .40609 L
.4093 .40464 L
.40903 .40449 L
.4078 .40288 L
.4077 .40277 L
.40653 .40128 L
.40609 .40073 L
.4053 .39967 L
.40449 .39863 L
.40408 .39807 L
.40288 .39647 L
.40287 .39646 L
.40178 .39486 L
.40128 .39413 L
.40072 .39325 L
.39973 .39165 L
F
.395 .97 1 r
.40128 .41175 m
.40264 .41251 L
.40288 .41269 L
.40438 .41412 L
.40449 .41416 L
.4058 .41572 L
.40609 .41597 L
.40713 .41733 L
.4077 .41795 L
.40889 .41894 L
.4093 .42 L
.40982 .42054 L
.41091 .42206 L
.41098 .42215 L
.41221 .42375 L
.41251 .42382 L
.41344 .42536 L
.41412 .42603 L
.41491 .42696 L
.41572 .42828 L
.41593 .42857 L
.41709 .43017 L
.41733 .43048 L
.41826 .43178 L
.41894 .4327 L
.41981 .43338 L
.42052 .43499 L
.42054 .43503 L
.4213 .43659 L
.42054 .43754 L
.41894 .4368 L
.41837 .43659 L
.41733 .43546 L
.41683 .43499 L
.41572 .43377 L
.41548 .43338 L
.41412 .43189 L
.41403 .43178 L
.41271 .43017 L
.41251 .42992 L
.41132 .42857 L
.41091 .42787 L
.41022 .42696 L
.4093 .42578 L
.40911 .42536 L
.4077 .42376 L
.40768 .42375 L
.40625 .42215 L
.40609 .42175 L
.40523 .42054 L
.40449 .41955 L
.40417 .41894 L
.40292 .41733 L
.40288 .41728 L
.40182 .41572 L
.40128 .41486 L
.40067 .41412 L
.40016 .41251 L
F
1 .74 0 r
.40128 .44732 m
.40176 .44783 L
.40288 .44896 L
.40331 .44943 L
.40449 .45056 L
.40476 .45104 L
.40609 .45255 L
.40623 .45265 L
.40753 .45425 L
.4077 .45444 L
.40888 .45586 L
.4093 .45634 L
.41022 .45746 L
.41091 .45815 L
.41156 .45907 L
.41251 .46022 L
.41297 .46067 L
.41412 .46221 L
.41417 .46228 L
.41546 .46388 L
.41572 .46403 L
.41676 .46549 L
.41733 .46613 L
.41832 .46709 L
.41894 .46821 L
.41935 .4687 L
.42054 .47024 L
.42058 .4703 L
.42186 .47191 L
.42215 .47217 L
.42368 .47351 L
.42375 .47427 L
.4245 .47512 L
.42536 .47636 L
.42562 .47672 L
.4269 .47833 L
.42696 .47835 L
.42815 .47993 L
.42857 .48039 L
.42965 .48154 L
.43017 .48251 L
.43068 .48314 L
.43178 .4846 L
.43186 .48475 L
.43314 .48636 L
.43338 .48655 L
.43487 .48796 L
.43499 .48868 L
.43574 .48957 L
.43659 .49081 L
.43685 .49117 L
.4381 .49278 L
.4382 .49279 L
.43933 .49438 L
.4398 .49487 L
.44082 .49599 L
.44141 .49703 L
.44184 .49759 L
.44301 .49916 L
.44304 .4992 L
.44426 .5008 L
.44462 .50106 L
.44599 .50241 L
.44622 .50327 L
.44684 .50401 L
.44783 .50544 L
.44796 .50562 L
.44917 .50722 L
.44943 .50756 L
.45039 .50883 L
.45104 .5095 L
.45187 .51043 L
.45265 .51173 L
.45288 .51204 L
.45406 .51364 L
.45425 .51389 L
.45526 .51525 L
.45586 .5157 L
.45695 .51686 L
.45746 .51806 L
.45778 .51846 L
.45891 .52007 L
.45907 .52027 L
.46009 .52167 L
.46067 .52242 L
.4613 .52328 L
.46228 .52443 L
.46265 .52488 L
.46369 .52649 L
.46388 .52673 L
.46486 .52809 L
.46549 .52892 L
.46604 .5297 L
.46709 .53096 L
.46738 .5313 L
.46837 .53291 L
.4687 .53335 L
.46949 .53451 L
.4703 .53563 L
.47063 .53612 L
.47174 .53772 L
.47191 .53797 L
.47272 .53933 L
.47351 .54057 L
.47369 .54093 L
.47351 .54157 L
.47282 .54093 L
.47191 .54011 L
.47118 .53933 L
.4703 .53841 L
.46969 .53772 L
.4687 .53695 L
.46826 .53612 L
.46709 .53482 L
.46664 .53451 L
.4655 .53291 L
.46549 .53289 L
.46417 .5313 L
.46388 .53097 L
.46283 .5297 L
.46228 .52919 L
.4615 .52809 L
.46067 .5271 L
.46004 .52649 L
.45907 .52509 L
.4589 .52488 L
.4576 .52328 L
.45746 .52324 L
.45632 .52167 L
.45586 .52117 L
.45467 .52007 L
.45425 .51909 L
.45371 .51846 L
.45265 .51704 L
.45252 .51686 L
.45122 .51525 L
.45104 .51511 L
.44995 .51364 L
.44943 .51303 L
.44854 .51204 L
.44783 .51093 L
.44745 .51043 L
.44622 .50888 L
.4462 .50883 L
.44493 .50722 L
.44462 .50691 L
.44337 .50562 L
.44301 .50479 L
.44238 .50401 L
.44141 .50268 L
.44123 .50241 L
.43994 .5008 L
.4398 .50071 L
.4387 .4992 L
.4382 .49862 L
.43731 .49759 L
.43659 .49648 L
.43623 .49599 L
.43499 .49439 L
.43498 .49438 L
.43375 .49278 L
.43338 .49243 L
.43221 .49117 L
.43178 .49026 L
.43122 .48957 L
.43017 .48813 L
.43007 .48796 L
.42882 .48636 L
.42857 .48623 L
.42759 .48475 L
.42696 .48404 L
.42621 .48314 L
.42536 .48185 L
.42513 .48154 L
.42391 .47993 L
.42375 .47973 L
.4227 .47833 L
.42215 .47781 L
.42116 .47672 L
.42054 .47556 L
.4202 .47512 L
.41903 .47351 L
.41894 .47339 L
.41783 .47191 L
.41733 .47164 L
.41662 .4703 L
.41572 .46924 L
.41528 .4687 L
.41419 .46709 L
.41412 .467 L
.41301 .46549 L
.41251 .46484 L
.41182 .46388 L
.41091 .46288 L
.41041 .46228 L
.40942 .46067 L
.4093 .46052 L
.40826 .45907 L
.4077 .45831 L
.40709 .45746 L
.40609 .45611 L
.40568 .45586 L
.40478 .45425 L
.40449 .45386 L
.40367 .45265 L
.40288 .45155 L
.40255 .45104 L
.40147 .44943 L
.40128 .44915 L
.40055 .44783 L
F
1 .93 .114 r
.40128 .41828 m
.40191 .41894 L
.40288 .41992 L
.40339 .42054 L
.40449 .4218 L
.40476 .42215 L
.40605 .42375 L
.40609 .4238 L
.40721 .42536 L
.4077 .42599 L
.40834 .42696 L
.4093 .42836 L
.40942 .42857 L
.4093 .42974 L
.40801 .42857 L
.4077 .42827 L
.40651 .42696 L
.40609 .4265 L
.40514 .42536 L
.40449 .42456 L
.40385 .42375 L
.40288 .42248 L
.40264 .42215 L
.40153 .42054 L
.40128 .42016 L
.40055 .41894 L
F
0 .47 1 r
.40128 .4541 m
.40141 .45425 L
.40288 .45583 L
.4029 .45586 L
.40428 .45746 L
.40449 .45768 L
.40563 .45907 L
.40609 .45958 L
.40698 .46067 L
.4077 .46151 L
.40831 .46228 L
.4093 .46346 L
.40964 .46388 L
.41091 .46541 L
.411 .46549 L
.41223 .46709 L
.41251 .46744 L
.4135 .4687 L
.41412 .46945 L
.41478 .4703 L
.41572 .47124 L
.41607 .47191 L
.41733 .47349 L
.41735 .47351 L
.41858 .47512 L
.41894 .47555 L
.41983 .47672 L
.42054 .47761 L
.42109 .47833 L
.42215 .47957 L
.42254 .47993 L
.42359 .48154 L
.42375 .48174 L
.42481 .48314 L
.42536 .48383 L
.42605 .48475 L
.42696 .48564 L
.4273 .48636 L
.42853 .48796 L
.42857 .488 L
.42973 .48957 L
.43017 .49012 L
.43095 .49117 L
.43178 .49224 L
.43217 .49278 L
.43338 .49433 L
.43343 .49438 L
.43458 .49599 L
.43499 .49651 L
.43577 .49759 L
.43659 .49867 L
.43697 .4992 L
.43818 .5008 L
.4382 .50082 L
.43931 .50241 L
.4398 .50305 L
.44046 .50401 L
.44141 .50528 L
.44164 .50562 L
.44274 .50722 L
.44301 .50759 L
.44375 .50883 L
.44462 .51012 L
.44477 .51043 L
.44462 .51083 L
.44423 .51043 L
.44301 .50926 L
.44264 .50883 L
.44141 .50748 L
.44119 .50722 L
.4398 .50562 L
.4398 .50562 L
.43847 .50401 L
.4382 .5037 L
.43714 .50241 L
.43659 .50177 L
.43582 .5008 L
.43499 .49981 L
.4345 .4992 L
.43338 .49792 L
.43294 .49759 L
.43191 .49599 L
.43178 .49583 L
.43064 .49438 L
.43017 .49382 L
.42936 .49278 L
.42857 .49215 L
.42808 .49117 L
.42696 .48981 L
.42672 .48957 L
.42556 .48796 L
.42536 .48771 L
.42431 .48636 L
.42375 .48565 L
.42306 .48475 L
.42215 .48376 L
.42145 .48314 L
.42056 .48154 L
.42054 .48152 L
.41934 .47993 L
.41894 .47943 L
.41811 .47833 L
.41733 .47776 L
.41687 .47672 L
.41572 .47528 L
.41558 .47512 L
.41443 .47351 L
.41412 .47312 L
.41322 .47191 L
.41251 .47099 L
.412 .4703 L
.41091 .46897 L
.41064 .4687 L
.4096 .46709 L
.4093 .46671 L
.40842 .46549 L
.4077 .46454 L
.40723 .46388 L
.40609 .46237 L
.40603 .46228 L
.4049 .46067 L
.40449 .46012 L
.40377 .45907 L
.40288 .45785 L
.40262 .45746 L
.40155 .45586 L
.40128 .45548 L
.40062 .45425 L
F
1 .73 0 r
.40128 .44752 m
.40159 .44783 L
.40288 .4491 L
.40319 .44943 L
.40449 .45071 L
.40467 .45104 L
.40609 .45265 L
.40609 .45265 L
.40746 .45425 L
.4077 .45451 L
.40882 .45586 L
.4093 .45641 L
.41017 .45746 L
.41091 .45821 L
.41151 .45907 L
.41251 .46027 L
.41292 .46067 L
.41412 .46226 L
.41413 .46228 L
.41543 .46388 L
.41572 .46406 L
.41672 .46549 L
.41733 .46617 L
.41829 .46709 L
.41894 .46825 L
.41932 .4687 L
.42054 .47028 L
.42056 .4703 L
.42183 .47191 L
.42215 .4722 L
.42366 .47351 L
.42375 .4743 L
.42448 .47512 L
.42536 .47639 L
.4256 .47672 L
.42688 .47833 L
.42696 .47836 L
.42813 .47993 L
.42857 .48041 L
.42964 .48154 L
.43017 .48254 L
.43066 .48314 L
.43178 .48463 L
.43185 .48475 L
.43312 .48636 L
.43338 .48657 L
.43486 .48796 L
.43499 .4887 L
.43572 .48957 L
.43659 .49084 L
.43683 .49117 L
.43808 .49278 L
.4382 .49279 L
.43931 .49438 L
.4398 .49489 L
.44081 .49599 L
.44141 .49706 L
.44183 .49759 L
.44301 .49918 L
.44302 .4992 L
.44425 .5008 L
.44462 .50107 L
.44597 .50241 L
.44622 .50329 L
.44682 .50401 L
.44783 .50546 L
.44794 .50562 L
.44915 .50722 L
.44943 .50758 L
.45037 .50883 L
.45104 .50952 L
.45184 .51043 L
.45265 .51176 L
.45285 .51204 L
.45404 .51364 L
.45425 .51392 L
.45524 .51525 L
.45586 .51572 L
.45692 .51686 L
.45746 .5181 L
.45775 .51846 L
.45888 .52007 L
.45907 .52031 L
.46007 .52167 L
.46067 .52246 L
.46127 .52328 L
.46228 .52449 L
.4626 .52488 L
.46366 .52649 L
.46388 .52678 L
.46482 .52809 L
.46549 .52897 L
.466 .5297 L
.46709 .53106 L
.4673 .5313 L
.46831 .53291 L
.4687 .53342 L
.46943 .53451 L
.4703 .53572 L
.47057 .53612 L
.47164 .53772 L
.47191 .53811 L
.47259 .53933 L
.47191 .53995 L
.47132 .53933 L
.4703 .5383 L
.46979 .53772 L
.4687 .53682 L
.46834 .53612 L
.46709 .53473 L
.46677 .53451 L
.46557 .53291 L
.46549 .53281 L
.46422 .5313 L
.46388 .53091 L
.46288 .5297 L
.46228 .52914 L
.46155 .52809 L
.46067 .52705 L
.46009 .52649 L
.45907 .52504 L
.45893 .52488 L
.45764 .52328 L
.45746 .52323 L
.45635 .52167 L
.45586 .52114 L
.4547 .52007 L
.45425 .51905 L
.45374 .51846 L
.45265 .51701 L
.45254 .51686 L
.45125 .51525 L
.45104 .51509 L
.44998 .51364 L
.44943 .513 L
.44857 .51204 L
.44783 .5109 L
.44747 .51043 L
.44622 .50885 L
.44621 .50883 L
.44495 .50722 L
.44462 .50688 L
.44339 .50562 L
.44301 .50476 L
.4424 .50401 L
.44141 .50266 L
.44125 .50241 L
.43996 .5008 L
.4398 .5007 L
.43872 .4992 L
.4382 .4986 L
.43733 .49759 L
.43659 .49646 L
.43625 .49599 L
.435 .49438 L
.43499 .49437 L
.43377 .49278 L
.43338 .49241 L
.43222 .49117 L
.43178 .49024 L
.43124 .48957 L
.43017 .4881 L
.43008 .48796 L
.42884 .48636 L
.42857 .48621 L
.42761 .48475 L
.42696 .48401 L
.42623 .48314 L
.42536 .48183 L
.42515 .48154 L
.42393 .47993 L
.42375 .4797 L
.42272 .47833 L
.42215 .47779 L
.42118 .47672 L
.42054 .47553 L
.42022 .47512 L
.41906 .47351 L
.41894 .47336 L
.41786 .47191 L
.41733 .47162 L
.41665 .4703 L
.41572 .4692 L
.41532 .4687 L
.41422 .46709 L
.41412 .46696 L
.41304 .46549 L
.41251 .4648 L
.41185 .46388 L
.41091 .46282 L
.41046 .46228 L
.40946 .46067 L
.4093 .46047 L
.40831 .45907 L
.4077 .45826 L
.40713 .45746 L
.40609 .45605 L
.40578 .45586 L
.40484 .45425 L
.40449 .45378 L
.40374 .45265 L
.40288 .45145 L
.40262 .45104 L
.40159 .44943 L
.40128 .44896 L
.40073 .44783 L
F
0 .46 1 r
.40128 .45422 m
.4013 .45425 L
.40128 .45534 L
.40078 .45425 L
F
.289 .96 1 r
.40128 .4124 m
.40178 .41251 L
.40288 .41308 L
.40406 .41412 L
.40449 .41426 L
.40559 .41572 L
.40609 .41614 L
.40698 .41733 L
.4077 .41811 L
.40875 .41894 L
.4093 .42014 L
.40969 .42054 L
.41088 .42215 L
.41091 .42219 L
.41211 .42375 L
.41251 .42388 L
.41334 .42536 L
.41412 .42617 L
.41479 .42696 L
.41572 .42844 L
.41581 .42857 L
.41697 .43017 L
.41733 .43065 L
.41813 .43178 L
.41894 .43291 L
.41955 .43338 L
.42025 .43499 L
.42054 .43558 L
.42075 .43659 L
.42054 .43685 L
.41941 .43659 L
.41894 .43636 L
.41733 .4351 L
.4172 .43499 L
.41572 .43347 L
.41566 .43338 L
.41423 .43178 L
.41412 .43167 L
.41288 .43017 L
.41251 .42972 L
.41145 .42857 L
.41091 .42768 L
.41036 .42696 L
.4093 .42562 L
.40919 .42536 L
.40783 .42375 L
.4077 .42369 L
.40632 .42215 L
.40609 .42158 L
.40537 .42054 L
.40449 .41931 L
.4043 .41894 L
.40312 .41733 L
.40288 .41697 L
.40206 .41572 L
.40128 .41433 L
.40111 .41412 L
.40101 .41251 L
F
1 .93 .114 r
.40128 .39814 m
.40246 .39967 L
.40288 .40021 L
.40358 .40128 L
.40288 .40181 L
.40241 .40128 L
.40128 .39999 L
.40103 .39967 L
F
1 .72 0 r
.40128 .44778 m
.40134 .44783 L
.40288 .44924 L
.40307 .44943 L
.40449 .45088 L
.40458 .45104 L
.406 .45265 L
.40609 .45274 L
.40739 .45425 L
.4077 .45459 L
.40876 .45586 L
.4093 .45648 L
.41012 .45746 L
.41091 .45827 L
.41146 .45907 L
.41251 .46033 L
.41287 .46067 L
.41409 .46228 L
.41412 .46231 L
.41539 .46388 L
.41572 .46408 L
.41669 .46549 L
.41733 .46621 L
.41826 .46709 L
.41894 .46829 L
.41929 .4687 L
.42054 .4703 L
.42054 .47031 L
.4218 .47191 L
.42215 .47222 L
.42365 .47351 L
.42375 .47433 L
.42445 .47512 L
.42536 .47642 L
.42558 .47672 L
.42685 .47833 L
.42696 .47837 L
.4281 .47993 L
.42857 .48044 L
.42962 .48154 L
.43017 .48256 L
.43064 .48314 L
.43178 .48465 L
.43184 .48475 L
.4331 .48636 L
.43338 .48659 L
.43485 .48796 L
.43499 .48873 L
.4357 .48957 L
.43659 .49086 L
.43682 .49117 L
.43807 .49278 L
.4382 .49279 L
.4393 .49438 L
.4398 .49491 L
.44079 .49599 L
.44141 .49708 L
.44181 .49759 L
.44301 .4992 L
.44301 .4992 L
.44423 .5008 L
.44462 .50109 L
.44596 .50241 L
.44622 .50331 L
.4468 .50401 L
.44783 .50549 L
.44792 .50562 L
.44913 .50722 L
.44943 .50761 L
.45035 .50883 L
.45104 .50955 L
.45182 .51043 L
.45265 .51179 L
.45283 .51204 L
.45401 .51364 L
.45425 .51395 L
.45522 .51525 L
.45586 .51575 L
.45689 .51686 L
.45746 .51813 L
.45772 .51846 L
.45885 .52007 L
.45907 .52034 L
.46004 .52167 L
.46067 .5225 L
.46124 .52328 L
.46228 .52454 L
.46256 .52488 L
.46362 .52649 L
.46388 .52683 L
.46478 .52809 L
.46549 .52903 L
.46596 .5297 L
.46709 .53116 L
.46721 .5313 L
.46826 .53291 L
.4687 .5335 L
.46937 .53451 L
.4703 .53581 L
.4705 .53612 L
.47153 .53772 L
.47191 .53829 L
.47243 .53933 L
.47191 .53976 L
.47148 .53933 L
.4703 .53817 L
.4699 .53772 L
.4687 .53666 L
.46843 .53612 L
.46709 .53463 L
.46692 .53451 L
.46564 .53291 L
.46549 .53274 L
.46428 .5313 L
.46388 .53084 L
.46293 .5297 L
.46228 .52909 L
.4616 .52809 L
.46067 .527 L
.46014 .52649 L
.45907 .52499 L
.45897 .52488 L
.45768 .52328 L
.45746 .52321 L
.45638 .52167 L
.45586 .5211 L
.45472 .52007 L
.45425 .51902 L
.45377 .51846 L
.45265 .51697 L
.45256 .51686 L
.45127 .51525 L
.45104 .51506 L
.45001 .51364 L
.44943 .51297 L
.44859 .51204 L
.44783 .51087 L
.4475 .51043 L
.44622 .50883 L
.44622 .50883 L
.44497 .50722 L
.44462 .50686 L
.4434 .50562 L
.44301 .50474 L
.44242 .50401 L
.44141 .50264 L
.44126 .50241 L
.43998 .5008 L
.4398 .50069 L
.43874 .4992 L
.4382 .49857 L
.43735 .49759 L
.43659 .49643 L
.43627 .49599 L
.43502 .49438 L
.43499 .49435 L
.43379 .49278 L
.43338 .49239 L
.43224 .49117 L
.43178 .49022 L
.43126 .48957 L
.43017 .48808 L
.4301 .48796 L
.42886 .48636 L
.42857 .4862 L
.42763 .48475 L
.42696 .48399 L
.42625 .48314 L
.42536 .4818 L
.42517 .48154 L
.42396 .47993 L
.42375 .47967 L
.42274 .47833 L
.42215 .47776 L
.42121 .47672 L
.42054 .4755 L
.42025 .47512 L
.41908 .47351 L
.41894 .47333 L
.41788 .47191 L
.41733 .47159 L
.41667 .4703 L
.41572 .46916 L
.41535 .4687 L
.41425 .46709 L
.41412 .46692 L
.41307 .46549 L
.41251 .46476 L
.41188 .46388 L
.41091 .46276 L
.41051 .46228 L
.4095 .46067 L
.4093 .46042 L
.40835 .45907 L
.4077 .4582 L
.40718 .45746 L
.40609 .45599 L
.40588 .45586 L
.4049 .45425 L
.40449 .45369 L
.4038 .45265 L
.40288 .45133 L
.4027 .45104 L
.40173 .44943 L
.40128 .44869 L
.40105 .44783 L
F
.084 .92 1 r
.40128 .4412 m
.40157 .44141 L
.40288 .44252 L
.40337 .44301 L
.40449 .44384 L
.40493 .44462 L
.40609 .44584 L
.40683 .44622 L
.4077 .44769 L
.40786 .44783 L
.40922 .44943 L
.4093 .44953 L
.41059 .45104 L
.41091 .45133 L
.41196 .45265 L
.41251 .45332 L
.41348 .45425 L
.41412 .45531 L
.41458 .45586 L
.41572 .45728 L
.41583 .45746 L
.41723 .45907 L
.41733 .45918 L
.41883 .46067 L
.41894 .4612 L
.41985 .46228 L
.42054 .46326 L
.42098 .46388 L
.42215 .46531 L
.42216 .46549 L
.42365 .46709 L
.42375 .46722 L
.42501 .4687 L
.42536 .4693 L
.42612 .4703 L
.42696 .47141 L
.42722 .47191 L
.42857 .47345 L
.4287 .47351 L
.43009 .47512 L
.43017 .47541 L
.43122 .47672 L
.43178 .47752 L
.43232 .47833 L
.43338 .47964 L
.43372 .47993 L
.43495 .48154 L
.43499 .48159 L
.43628 .48314 L
.43659 .48368 L
.43738 .48475 L
.4382 .48581 L
.43846 .48636 L
.4398 .48788 L
.43993 .48796 L
.44131 .48957 L
.44141 .48988 L
.44243 .49117 L
.44301 .492 L
.44351 .49278 L
.44462 .49412 L
.44489 .49438 L
.44612 .49599 L
.44622 .49611 L
.44745 .49759 L
.44783 .49822 L
.44855 .4992 L
.44943 .50035 L
.44964 .5008 L
.45104 .50239 L
.45106 .50241 L
.45249 .50401 L
.45265 .50445 L
.45357 .50562 L
.45425 .50658 L
.45466 .50722 L
.45586 .50868 L
.456 .50883 L
.45722 .51043 L
.45746 .51069 L
.45859 .51204 L
.45907 .51281 L
.45966 .51364 L
.46067 .51494 L
.4608 .51525 L
.46215 .51686 L
.46228 .51696 L
.46363 .51846 L
.46388 .51906 L
.46467 .52007 L
.46549 .5212 L
.46577 .52167 L
.46707 .52328 L
.46709 .52328 L
.46829 .52488 L
.4687 .5253 L
.46968 .52649 L
.4703 .52746 L
.47075 .52809 L
.47191 .5296 L
.47194 .5297 L
.47319 .5313 L
.47351 .53153 L
.47473 .53291 L
.47512 .53373 L
.47572 .53451 L
.47672 .53591 L
.47685 .53612 L
.47809 .53772 L
.47833 .53804 L
.4793 .53933 L
.47993 .53998 L
.4807 .54093 L
.48154 .54222 L
.48176 .54254 L
.48296 .54414 L
.48314 .54439 L
.48416 .54575 L
.48475 .54621 L
.48569 .54735 L
.48636 .54857 L
.48665 .54896 L
.48779 .55057 L
.48796 .55078 L
.48898 .55217 L
.48957 .55294 L
.49017 .55378 L
.49117 .55498 L
.49148 .55538 L
.49256 .55699 L
.49278 .55727 L
.49372 .55859 L
.49438 .55948 L
.49489 .5602 L
.49599 .5616 L
.49613 .5618 L
.49718 .56341 L
.49759 .56398 L
.49828 .56501 L
.4992 .56631 L
.49939 .56662 L
.5004 .56822 L
.5008 .56885 L
.50128 .56983 L
.5008 .57042 L
.50016 .56983 L
.4992 .56895 L
.49851 .56822 L
.49759 .56777 L
.49699 .56662 L
.49599 .56559 L
.49553 .56501 L
.49438 .56369 L
.49405 .56341 L
.49278 .56183 L
.49275 .5618 L
.49139 .5602 L
.49117 .56002 L
.49004 .55859 L
.48957 .55803 L
.48845 .55699 L
.48796 .55603 L
.4874 .55538 L
.48636 .55403 L
.48619 .55378 L
.4848 .55217 L
.48475 .55212 L
.4835 .55057 L
.48314 .55011 L
.48215 .54896 L
.48154 .54804 L
.48103 .54735 L
.47993 .54598 L
.47986 .54575 L
.4784 .54414 L
.47833 .54406 L
.47699 .54254 L
.47672 .54199 L
.4759 .54093 L
.47512 .53988 L
.47479 .53933 L
.47351 .53782 L
.47336 .53772 L
.47192 .53612 L
.47191 .53586 L
.47081 .53451 L
.4703 .53375 L
.46971 .53291 L
.4687 .53163 L
.46861 .5313 L
.46712 .5297 L
.46709 .52967 L
.46575 .52809 L
.46549 .52758 L
.46465 .52649 L
.46388 .52545 L
.46356 .52488 L
.46228 .52338 L
.46214 .52328 L
.46071 .52167 L
.46067 .52138 L
.45961 .52007 L
.45907 .51926 L
.45852 .51846 L
.45746 .51714 L
.4574 .51686 L
.45596 .51525 L
.45586 .51514 L
.45457 .51364 L
.45425 .51304 L
.45349 .51204 L
.45265 .51091 L
.45239 .51043 L
.45104 .50885 L
.45102 .50883 L
.44952 .50722 L
.44943 .50681 L
.44847 .50562 L
.44783 .50468 L
.44738 .50401 L
.44622 .50257 L
.4462 .50241 L
.44486 .5008 L
.44462 .50057 L
.44344 .4992 L
.44301 .49844 L
.44238 .49759 L
.44141 .49631 L
.44124 .49599 L
.43993 .49438 L
.4398 .4943 L
.43836 .49278 L
.4382 .4922 L
.43737 .49117 L
.43659 .49005 L
.43628 .48957 L
.43501 .48796 L
.43499 .48793 L
.43379 .48636 L
.43338 .48597 L
.43234 .48475 L
.43178 .48379 L
.4313 .48314 L
.43017 .48163 L
.43012 .48154 L
.42889 .47993 L
.42857 .47975 L
.42726 .47833 L
.42696 .47753 L
.42633 .47672 L
.42536 .47533 L
.42522 .47512 L
.424 .47351 L
.42375 .4732 L
.42279 .47191 L
.42215 .47129 L
.42134 .4703 L
.42054 .46902 L
.42031 .4687 L
.41913 .46709 L
.41894 .46685 L
.41793 .46549 L
.41733 .46508 L
.41631 .46388 L
.41572 .46268 L
.41542 .46228 L
.41429 .46067 L
.41412 .46045 L
.41311 .45907 L
.41251 .45828 L
.41192 .45746 L
.41091 .45627 L
.4106 .45586 L
.40953 .45425 L
.4093 .45395 L
.40838 .45265 L
.4077 .45173 L
.40721 .45104 L
.40609 .44952 L
.40597 .44943 L
.40493 .44783 L
.40449 .44722 L
.40384 .44622 L
.40288 .44485 L
.40274 .44462 L
.40178 .44301 L
.40128 .44215 L
.40105 .44141 L
F
1 .78 .001 r
.40128 .47367 m
.40209 .47512 L
.40128 .47518 L
.40122 .47512 L
F
.212 .95 1 r
.40288 .41349 m
.40369 .41412 L
.40449 .41441 L
.40537 .41572 L
.40609 .41632 L
.40681 .41733 L
.4077 .41828 L
.40858 .41894 L
.4093 .42029 L
.40955 .42054 L
.41076 .42215 L
.41091 .42233 L
.412 .42375 L
.41251 .42396 L
.41324 .42536 L
.41412 .42632 L
.41466 .42696 L
.41569 .42857 L
.41572 .42861 L
.41685 .43017 L
.41733 .43083 L
.41799 .43178 L
.41894 .43316 L
.41923 .43338 L
.41993 .43499 L
.41894 .43594 L
.41761 .43499 L
.41733 .43477 L
.41591 .43338 L
.41572 .43334 L
.41444 .43178 L
.41412 .43148 L
.41306 .43017 L
.41251 .42953 L
.41158 .42857 L
.41091 .4275 L
.41049 .42696 L
.4093 .42547 L
.40926 .42536 L
.40797 .42375 L
.4077 .42361 L
.4064 .42215 L
.40609 .42138 L
.40552 .42054 L
.40449 .41905 L
.40443 .41894 L
.40333 .41733 L
.40288 .41662 L
.40232 .41572 L
.40159 .41412 L
F
1 .71 0 r
.40288 .44939 m
.40292 .44943 L
.40447 .45104 L
.40449 .45105 L
.40591 .45265 L
.40609 .45283 L
.40732 .45425 L
.4077 .45467 L
.4087 .45586 L
.4093 .45655 L
.41006 .45746 L
.41091 .45833 L
.41141 .45907 L
.41251 .46038 L
.41281 .46067 L
.41405 .46228 L
.41412 .46236 L
.41535 .46388 L
.41572 .46411 L
.41665 .46549 L
.41733 .46626 L
.41822 .46709 L
.41894 .46833 L
.41925 .4687 L
.42051 .4703 L
.42054 .47035 L
.42177 .47191 L
.42215 .47225 L
.42364 .47351 L
.42375 .47437 L
.42443 .47512 L
.42536 .47645 L
.42556 .47672 L
.42683 .47833 L
.42696 .47838 L
.42808 .47993 L
.42857 .48046 L
.4296 .48154 L
.43017 .48259 L
.43062 .48314 L
.43178 .48467 L
.43182 .48475 L
.43308 .48636 L
.43338 .4866 L
.43484 .48796 L
.43499 .48875 L
.43569 .48957 L
.43659 .49088 L
.4368 .49117 L
.43805 .49278 L
.4382 .4928 L
.43928 .49438 L
.4398 .49493 L
.44077 .49599 L
.44141 .49711 L
.44179 .49759 L
.44299 .4992 L
.44301 .49923 L
.44421 .5008 L
.44462 .50111 L
.44594 .50241 L
.44622 .50334 L
.44678 .50401 L
.44783 .50551 L
.4479 .50562 L
.44911 .50722 L
.44943 .50763 L
.45033 .50883 L
.45104 .50957 L
.4518 .51043 L
.45265 .51182 L
.45281 .51204 L
.45399 .51364 L
.45425 .51398 L
.4552 .51525 L
.45586 .51579 L
.45686 .51686 L
.45746 .51817 L
.45769 .51846 L
.45883 .52007 L
.45907 .52038 L
.46001 .52167 L
.46067 .52254 L
.46121 .52328 L
.46228 .5246 L
.46251 .52488 L
.46359 .52649 L
.46388 .52687 L
.46475 .52809 L
.46549 .52908 L
.46592 .5297 L
.46709 .53127 L
.46712 .5313 L
.4682 .53291 L
.4687 .53359 L
.46931 .53451 L
.4703 .53592 L
.47043 .53612 L
.47141 .53772 L
.47191 .53853 L
.47221 .53933 L
.47191 .53952 L
.47169 .53933 L
.4703 .53803 L
.47002 .53772 L
.4687 .53649 L
.46852 .53612 L
.46709 .53452 L
.46708 .53451 L
.46571 .53291 L
.46549 .53267 L
.46434 .5313 L
.46388 .53078 L
.46298 .5297 L
.46228 .52903 L
.46164 .52809 L
.46067 .52694 L
.46019 .52649 L
.45907 .52495 L
.45901 .52488 L
.45772 .52328 L
.45746 .5232 L
.45642 .52167 L
.45586 .52106 L
.45475 .52007 L
.45425 .51898 L
.4538 .51846 L
.45265 .51694 L
.45259 .51686 L
.4513 .51525 L
.45104 .51504 L
.45003 .51364 L
.44943 .51294 L
.44861 .51204 L
.44783 .51084 L
.44752 .51043 L
.44625 .50883 L
.44622 .5088 L
.445 .50722 L
.44462 .50683 L
.44342 .50562 L
.44301 .50471 L
.44244 .50401 L
.44141 .50261 L
.44128 .50241 L
.44 .5008 L
.4398 .50067 L
.43876 .4992 L
.4382 .49855 L
.43736 .49759 L
.43659 .49641 L
.43628 .49599 L
.43504 .49438 L
.43499 .49432 L
.43381 .49278 L
.43338 .49237 L
.43225 .49117 L
.43178 .49019 L
.43128 .48957 L
.43017 .48806 L
.43011 .48796 L
.42888 .48636 L
.42857 .48619 L
.42765 .48475 L
.42696 .48396 L
.42627 .48314 L
.42536 .48177 L
.42519 .48154 L
.42398 .47993 L
.42375 .47965 L
.42276 .47833 L
.42215 .47774 L
.42123 .47672 L
.42054 .47547 L
.42027 .47512 L
.4191 .47351 L
.41894 .4733 L
.41791 .47191 L
.41733 .47156 L
.41669 .4703 L
.41572 .46912 L
.41538 .4687 L
.41428 .46709 L
.41412 .46688 L
.4131 .46549 L
.41251 .46472 L
.41191 .46388 L
.41091 .4627 L
.41056 .46228 L
.40954 .46067 L
.4093 .46036 L
.40839 .45907 L
.4077 .45814 L
.40722 .45746 L
.40609 .45592 L
.40599 .45586 L
.40496 .45425 L
.40449 .45359 L
.40388 .45265 L
.40288 .45121 L
.40278 .45104 L
.4019 .44943 L
F
1 .92 .084 r
.40288 .42047 m
.40294 .42054 L
.40288 .4218 L
.40217 .42054 L
F
.156 .94 1 r
.40288 .41396 m
.40316 .41412 L
.40449 .41468 L
.40512 .41572 L
.40609 .41653 L
.40664 .41733 L
.4077 .41846 L
.40836 .41894 L
.4093 .42045 L
.4094 .42054 L
.41064 .42215 L
.41091 .42247 L
.41189 .42375 L
.41251 .42407 L
.41314 .42536 L
.41412 .42649 L
.41452 .42696 L
.41557 .42857 L
.41572 .42877 L
.41671 .43017 L
.41733 .43103 L
.41784 .43178 L
.41888 .43338 L
.41894 .43347 L
.41952 .43499 L
.41894 .43546 L
.4181 .43499 L
.41733 .43445 L
.41618 .43338 L
.41572 .43328 L
.41465 .43178 L
.41412 .43129 L
.41323 .43017 L
.41251 .42933 L
.41173 .42857 L
.41091 .42732 L
.41062 .42696 L
.40935 .42536 L
.4093 .4253 L
.40811 .42375 L
.4077 .4235 L
.40651 .42215 L
.40609 .42116 L
.40568 .42054 L
.4046 .41894 L
.40449 .41877 L
.40354 .41733 L
.40288 .41621 L
.40261 .41572 L
.40222 .41412 L
F
.395 .97 1 r
.40288 .39404 m
.40381 .39486 L
.40449 .39548 L
.4054 .39646 L
.40609 .39721 L
.40682 .39807 L
.4077 .39911 L
.40815 .39967 L
.4093 .40108 L
.40948 .40128 L
.41048 .40288 L
.41091 .4036 L
.41135 .40449 L
.41091 .40514 L
.40995 .40449 L
.4093 .40392 L
.40836 .40288 L
.4077 .40215 L
.40701 .40128 L
.40609 .40015 L
.40574 .39967 L
.40454 .39807 L
.40449 .398 L
.40349 .39646 L
.40288 .39553 L
.40253 .39486 L
F
1 .36 0 r
.40288 .46246 m
.40397 .46388 L
.40449 .46448 L
.40524 .46549 L
.40609 .4665 L
.40653 .46709 L
.4077 .46853 L
.40782 .4687 L
.40904 .4703 L
.4093 .47061 L
.41025 .47191 L
.41091 .47272 L
.41148 .47351 L
.41251 .47481 L
.41273 .47512 L
.41394 .47672 L
.41412 .47694 L
.41508 .47833 L
.41572 .47914 L
.41625 .47993 L
.41733 .48133 L
.41747 .48154 L
.41733 .48254 L
.41653 .48154 L
.41572 .48066 L
.41516 .47993 L
.41412 .47872 L
.41381 .47833 L
.41251 .47675 L
.41249 .47672 L
.41125 .47512 L
.41091 .47472 L
.41 .47351 L
.4093 .47268 L
.40872 .47191 L
.4077 .47064 L
.40745 .4703 L
.40621 .4687 L
.40609 .46856 L
.40502 .46709 L
.40449 .46644 L
.4038 .46549 L
.40288 .46433 L
.40256 .46388 L
F
1 .35 0 r
.40288 .46254 m
.4039 .46388 L
.40449 .46455 L
.40518 .46549 L
.40609 .46657 L
.40648 .46709 L
.4077 .46859 L
.40778 .4687 L
.40899 .4703 L
.4093 .47068 L
.41019 .47191 L
.41091 .47278 L
.41143 .47351 L
.41251 .47488 L
.41269 .47512 L
.41251 .47668 L
.41132 .47512 L
.41091 .47465 L
.41005 .47351 L
.4093 .47261 L
.40877 .47191 L
.4077 .47057 L
.4075 .4703 L
.40627 .4687 L
.40609 .46849 L
.40508 .46709 L
.40449 .46637 L
.40385 .46549 L
.40288 .46426 L
.40261 .46388 L
F
0 .46 1 r
.40288 .45592 m
.40421 .45746 L
.40449 .45775 L
.40558 .45907 L
.40609 .45964 L
.40693 .46067 L
.4077 .46156 L
.40827 .46228 L
.4093 .4635 L
.40961 .46388 L
.41091 .46547 L
.41094 .46549 L
.41219 .46709 L
.41251 .46748 L
.41347 .4687 L
.41412 .46948 L
.41476 .4703 L
.41572 .47129 L
.41604 .47191 L
.41732 .47351 L
.41733 .47353 L
.41856 .47512 L
.41894 .47559 L
.41981 .47672 L
.42054 .47764 L
.42107 .47833 L
.42215 .47961 L
.42249 .47993 L
.42356 .48154 L
.42375 .48177 L
.42479 .48314 L
.42536 .48386 L
.42603 .48475 L
.42696 .48568 L
.42727 .48636 L
.42851 .48796 L
.42857 .48803 L
.42971 .48957 L
.43017 .49016 L
.43092 .49117 L
.43178 .49227 L
.43215 .49278 L
.43338 .49438 L
.43338 .49438 L
.43455 .49599 L
.43499 .49655 L
.43574 .49759 L
.43659 .49871 L
.43694 .4992 L
.43815 .5008 L
.4382 .50087 L
.43927 .50241 L
.4398 .50311 L
.44042 .50401 L
.44141 .50534 L
.44159 .50562 L
.44267 .50722 L
.44301 .50769 L
.44366 .50883 L
.44462 .5104 L
.44463 .51043 L
.44462 .51051 L
.44448 .51043 L
.44301 .50916 L
.44272 .50883 L
.44141 .50741 L
.44125 .50722 L
.43986 .50562 L
.4398 .50556 L
.43852 .50401 L
.4382 .50365 L
.43719 .50241 L
.43659 .50172 L
.43585 .5008 L
.43499 .49977 L
.43453 .4992 L
.43338 .49787 L
.43301 .49759 L
.43194 .49599 L
.43178 .49579 L
.43067 .49438 L
.43017 .49378 L
.42939 .49278 L
.42857 .49211 L
.42811 .49117 L
.42696 .48976 L
.42676 .48957 L
.42559 .48796 L
.42536 .48768 L
.42434 .48636 L
.42375 .48562 L
.42308 .48475 L
.42215 .48372 L
.4215 .48314 L
.42058 .48154 L
.42054 .48149 L
.41937 .47993 L
.41894 .47939 L
.41813 .47833 L
.41733 .47772 L
.41689 .47672 L
.41572 .47524 L
.41562 .47512 L
.41446 .47351 L
.41412 .47308 L
.41325 .47191 L
.41251 .47096 L
.41203 .4703 L
.41091 .46891 L
.4107 .4687 L
.40963 .46709 L
.4093 .46667 L
.40846 .46549 L
.4077 .46449 L
.40726 .46388 L
.40609 .46232 L
.40606 .46228 L
.40495 .46067 L
.40449 .46006 L
.40382 .45907 L
.40288 .45778 L
.40267 .45746 L
F
1 .34 0 r
.40288 .46262 m
.40383 .46388 L
.40449 .46463 L
.40512 .46549 L
.40609 .46664 L
.40643 .46709 L
.4077 .46865 L
.40773 .4687 L
.40892 .4703 L
.4093 .47075 L
.41013 .47191 L
.41091 .47285 L
.41137 .47351 L
.41251 .47495 L
.41264 .47512 L
.41251 .47659 L
.41139 .47512 L
.41091 .47457 L
.41012 .47351 L
.4093 .47254 L
.40883 .47191 L
.4077 .47051 L
.40755 .4703 L
.40633 .4687 L
.40609 .46841 L
.40514 .46709 L
.40449 .46629 L
.40391 .46549 L
.40288 .46418 L
.40267 .46388 L
F
.733 .99 1 r
.40288 .35807 m
.40425 .35954 L
.40449 .35978 L
.40567 .36115 L
.40609 .3616 L
.40705 .36275 L
.4077 .36348 L
.40841 .36436 L
.4093 .36539 L
.40976 .36596 L
.41091 .36725 L
.4111 .36757 L
.41241 .36917 L
.41251 .3693 L
.41368 .37078 L
.41412 .3713 L
.41497 .37238 L
.41572 .373 L
.41626 .37399 L
.41733 .37524 L
.4177 .37559 L
.41882 .3772 L
.41894 .37734 L
.42007 .3788 L
.42054 .37938 L
.42133 .38041 L
.42215 .38124 L
.42305 .38201 L
.42375 .38344 L
.42392 .38362 L
.42511 .38523 L
.42536 .38553 L
.42635 .38683 L
.42696 .38723 L
.4276 .38844 L
.42857 .38956 L
.42905 .39004 L
.43011 .39165 L
.43017 .39172 L
.43133 .39325 L
.43178 .39381 L
.43256 .39486 L
.43338 .39567 L
.43423 .39646 L
.43499 .39793 L
.43511 .39807 L
.43629 .39967 L
.43659 .40006 L
.4375 .40128 L
.4382 .40172 L
.43874 .40288 L
.4398 .40414 L
.44012 .40449 L
.44122 .40609 L
.44141 .40633 L
.44242 .4077 L
.44301 .40844 L
.44365 .4093 L
.44462 .41035 L
.44517 .41091 L
.44613 .41251 L
.44622 .41264 L
.44732 .41412 L
.44783 .41477 L
.44853 .41572 L
.44943 .41688 L
.44976 .41733 L
.451 .41894 L
.45104 .41899 L
.45218 .42054 L
.45265 .42114 L
.45337 .42215 L
.45425 .42328 L
.45459 .42375 L
.45582 .42536 L
.45586 .4254 L
.45698 .42696 L
.45746 .42758 L
.45816 .42857 L
.45907 .42975 L
.45936 .43017 L
.46056 .43178 L
.46067 .43192 L
.4617 .43338 L
.46228 .43416 L
.46284 .43499 L
.46388 .43642 L
.46399 .43659 L
.46503 .4382 L
.46388 .43865 L
.46333 .4382 L
.46228 .4372 L
.46164 .43659 L
.46067 .43571 L
.46013 .43499 L
.45907 .43378 L
.4586 .43338 L
.45746 .43182 L
.45742 .43178 L
.45613 .43017 L
.45586 .43 L
.45486 .42857 L
.45425 .42783 L
.45336 .42696 L
.45265 .42571 L
.45235 .42536 L
.45114 .42375 L
.45104 .42372 L
.44988 .42215 L
.44943 .42161 L
.44836 .42054 L
.44783 .41949 L
.44738 .41894 L
.44622 .41742 L
.44617 .41733 L
.44489 .41572 L
.44462 .41544 L
.44321 .41412 L
.44301 .41333 L
.44235 .41251 L
.44141 .41124 L
.44121 .41091 L
.43987 .4093 L
.4398 .40926 L
.43861 .4077 L
.4382 .4072 L
.43725 .40609 L
.43659 .40508 L
.43618 .40449 L
.43499 .40301 L
.43495 .40288 L
.43362 .40128 L
.43338 .40104 L
.43208 .39967 L
.43178 .39891 L
.43113 .39807 L
.43017 .39679 L
.42999 .39646 L
.42866 .39486 L
.42857 .39481 L
.42742 .39325 L
.42696 .39271 L
.42608 .39165 L
.42536 .39055 L
.42501 .39004 L
.42375 .38844 L
.42375 .38844 L
.42252 .38683 L
.42215 .38648 L
.42099 .38523 L
.42054 .38426 L
.42006 .38362 L
.41894 .38209 L
.41889 .38201 L
.41767 .38041 L
.41733 .38029 L
.41645 .3788 L
.41572 .37793 L
.41514 .3772 L
.41412 .37568 L
.41407 .37559 L
.41288 .37399 L
.41251 .3735 L
.41169 .37238 L
.41091 .37153 L
.41026 .37078 L
.40934 .36917 L
.4093 .36912 L
.40819 .36757 L
.4077 .36688 L
.40704 .36596 L
.40609 .36463 L
.4059 .36436 L
.40481 .36275 L
.40449 .3623 L
.40374 .36115 L
.40288 .35988 L
.40267 .35954 L
F
0 .53 1 r
.40288 .46935 m
.40347 .4703 L
.40449 .47166 L
.40462 .47191 L
.40449 .4723 L
.40416 .47191 L
.40288 .47055 L
.40268 .4703 L
F
0 .45 1 r
.40288 .45601 m
.40414 .45746 L
.40449 .45782 L
.40552 .45907 L
.40609 .4597 L
.40688 .46067 L
.4077 .46161 L
.40823 .46228 L
.4093 .46355 L
.40957 .46388 L
.41089 .46549 L
.41091 .46551 L
.41216 .46709 L
.41251 .46752 L
.41344 .4687 L
.41412 .46952 L
.41473 .4703 L
.41572 .47133 L
.41601 .47191 L
.41729 .47351 L
.41733 .47356 L
.41853 .47512 L
.41894 .47562 L
.41978 .47672 L
.42054 .47767 L
.42104 .47833 L
.42215 .47965 L
.42245 .47993 L
.42354 .48154 L
.42375 .4818 L
.42476 .48314 L
.42536 .48389 L
.426 .48475 L
.42696 .48573 L
.42725 .48636 L
.42848 .48796 L
.42857 .48807 L
.42968 .48957 L
.43017 .49019 L
.43089 .49117 L
.43178 .49231 L
.43212 .49278 L
.43335 .49438 L
.43338 .49442 L
.43452 .49599 L
.43499 .49659 L
.43571 .49759 L
.43659 .49875 L
.43691 .4992 L
.43811 .5008 L
.4382 .50092 L
.43923 .50241 L
.4398 .50316 L
.44038 .50401 L
.44141 .50541 L
.44155 .50562 L
.44259 .50722 L
.44301 .50781 L
.44355 .50883 L
.44301 .50905 L
.44282 .50883 L
.44141 .50733 L
.44132 .50722 L
.43993 .50562 L
.4398 .50549 L
.43858 .50401 L
.4382 .50359 L
.43723 .50241 L
.43659 .50167 L
.43589 .5008 L
.43499 .49972 L
.43457 .4992 L
.43338 .49781 L
.43309 .49759 L
.43198 .49599 L
.43178 .49575 L
.4307 .49438 L
.43017 .49374 L
.42942 .49278 L
.42857 .49206 L
.42813 .49117 L
.42696 .48972 L
.4268 .48957 L
.42562 .48796 L
.42536 .48764 L
.42437 .48636 L
.42375 .48558 L
.42311 .48475 L
.42215 .48368 L
.42154 .48314 L
.42061 .48154 L
.42054 .48145 L
.41939 .47993 L
.41894 .47936 L
.41816 .47833 L
.41733 .47768 L
.41692 .47672 L
.41572 .47519 L
.41566 .47512 L
.41449 .47351 L
.41412 .47305 L
.41328 .47191 L
.41251 .47092 L
.41206 .4703 L
.41091 .46885 L
.41076 .4687 L
.40967 .46709 L
.4093 .46662 L
.40849 .46549 L
.4077 .46445 L
.4073 .46388 L
.4061 .46228 L
.40609 .46227 L
.405 .46067 L
.40449 .45999 L
.40387 .45907 L
.40288 .4577 L
.40273 .45746 L
F
1 .33 0 r
.40288 .46272 m
.40375 .46388 L
.40449 .46471 L
.40506 .46549 L
.40609 .46671 L
.40637 .46709 L
.40609 .46833 L
.40521 .46709 L
.40449 .46621 L
.40398 .46549 L
.40288 .46409 L
.40273 .46388 L
F
0 .44 1 r
.40288 .45612 m
.40406 .45746 L
.40449 .4579 L
.40546 .45907 L
.40609 .45976 L
.40684 .46067 L
.4077 .46166 L
.40819 .46228 L
.4093 .46359 L
.40953 .46388 L
.41085 .46549 L
.41091 .46556 L
.41212 .46709 L
.41251 .46756 L
.41341 .4687 L
.41412 .46956 L
.4147 .4703 L
.41572 .47138 L
.41599 .47191 L
.41726 .47351 L
.41733 .4736 L
.4185 .47512 L
.41894 .47565 L
.41976 .47672 L
.42054 .4777 L
.42102 .47833 L
.42215 .47969 L
.42241 .47993 L
.42351 .48154 L
.42375 .48184 L
.42474 .48314 L
.42536 .48392 L
.42598 .48475 L
.42696 .48577 L
.42723 .48636 L
.42845 .48796 L
.42857 .4881 L
.42965 .48957 L
.43017 .49022 L
.43087 .49117 L
.43178 .49234 L
.4321 .49278 L
.43332 .49438 L
.43338 .49446 L
.43449 .49599 L
.43499 .49663 L
.43568 .49759 L
.43659 .49879 L
.43688 .4992 L
.43807 .5008 L
.4382 .50097 L
.43919 .50241 L
.4398 .50322 L
.44033 .50401 L
.44141 .50548 L
.4415 .50562 L
.44251 .50722 L
.44301 .50796 L
.44339 .50883 L
.44301 .50892 L
.44293 .50883 L
.44141 .50725 L
.44139 .50722 L
.44 .50562 L
.4398 .50542 L
.43863 .50401 L
.4382 .50353 L
.43728 .50241 L
.43659 .50162 L
.43593 .5008 L
.43499 .49967 L
.4346 .4992 L
.43338 .49775 L
.43317 .49759 L
.43201 .49599 L
.43178 .49571 L
.43073 .49438 L
.43017 .4937 L
.42945 .49278 L
.42857 .49201 L
.42816 .49117 L
.42696 .48968 L
.42684 .48957 L
.42564 .48796 L
.42536 .48761 L
.42439 .48636 L
.42375 .48555 L
.42314 .48475 L
.42215 .48363 L
.42159 .48314 L
.42064 .48154 L
.42054 .48142 L
.41942 .47993 L
.41894 .47933 L
.41818 .47833 L
.41733 .47763 L
.41694 .47672 L
.41572 .47515 L
.4157 .47512 L
.41451 .47351 L
.41412 .47301 L
.41331 .47191 L
.41251 .47088 L
.41209 .4703 L
.41091 .46879 L
.41082 .4687 L
.4097 .46709 L
.4093 .46658 L
.40852 .46549 L
.4077 .4644 L
.40733 .46388 L
.40615 .46228 L
.40609 .46221 L
.40505 .46067 L
.40449 .45992 L
.40392 .45907 L
.40288 .45762 L
.40278 .45746 L
F
1 .32 0 r
.40288 .46284 m
.40365 .46388 L
.40449 .4648 L
.40499 .46549 L
.40609 .46679 L
.40632 .46709 L
.40609 .46824 L
.40529 .46709 L
.40449 .46612 L
.40405 .46549 L
.40288 .464 L
.4028 .46388 L
F
0 .52 1 r
.40288 .46953 m
.40329 .4703 L
.40288 .47039 L
.40281 .4703 L
F
0 .43 1 r
.40288 .45625 m
.40397 .45746 L
.40449 .45798 L
.4054 .45907 L
.40609 .45982 L
.40679 .46067 L
.4077 .46171 L
.40815 .46228 L
.4093 .46364 L
.4095 .46388 L
.41081 .46549 L
.41091 .4656 L
.41209 .46709 L
.41251 .4676 L
.41338 .4687 L
.41412 .4696 L
.41467 .4703 L
.41572 .47143 L
.41596 .47191 L
.41723 .47351 L
.41733 .47363 L
.41847 .47512 L
.41894 .47569 L
.41973 .47672 L
.42054 .47773 L
.42099 .47833 L
.42215 .47973 L
.42236 .47993 L
.42349 .48154 L
.42375 .48187 L
.42471 .48314 L
.42536 .48395 L
.42595 .48475 L
.42696 .48582 L
.4272 .48636 L
.42843 .48796 L
.42857 .48813 L
.42963 .48957 L
.43017 .49026 L
.43084 .49117 L
.43178 .49237 L
.43207 .49278 L
.43329 .49438 L
.43338 .4945 L
.43445 .49599 L
.43499 .49667 L
.43564 .49759 L
.43659 .49883 L
.43685 .4992 L
.43803 .5008 L
.4382 .50103 L
.43914 .50241 L
.4398 .50329 L
.44029 .50401 L
.44141 .50555 L
.44145 .50562 L
.44141 .50715 L
.44007 .50562 L
.4398 .50534 L
.43869 .50401 L
.4382 .50347 L
.43733 .50241 L
.43659 .50157 L
.43598 .5008 L
.43499 .49963 L
.43464 .4992 L
.43338 .49769 L
.43324 .49759 L
.43205 .49599 L
.43178 .49567 L
.43076 .49438 L
.43017 .49366 L
.42948 .49278 L
.42857 .49196 L
.42819 .49117 L
.42696 .48964 L
.42689 .48957 L
.42567 .48796 L
.42536 .48757 L
.42442 .48636 L
.42375 .48552 L
.42316 .48475 L
.42215 .48359 L
.42164 .48314 L
.42067 .48154 L
.42054 .48138 L
.41945 .47993 L
.41894 .47929 L
.41821 .47833 L
.41733 .47758 L
.41697 .47672 L
.41574 .47512 L
.41572 .47511 L
.41454 .47351 L
.41412 .47297 L
.41333 .47191 L
.41251 .47085 L
.41211 .4703 L
.41091 .46873 L
.41088 .4687 L
.40974 .46709 L
.4093 .46653 L
.40856 .46549 L
.4077 .46435 L
.40737 .46388 L
.40619 .46228 L
.40609 .46215 L
.4051 .46067 L
.40449 .45985 L
.40398 .45907 L
.40288 .45752 L
.40285 .45746 L
F
1 .7 0 r
.40288 .44959 m
.40434 .45104 L
.40449 .45118 L
.40582 .45265 L
.40609 .45293 L
.40724 .45425 L
.4077 .45475 L
.40864 .45586 L
.4093 .45662 L
.41001 .45746 L
.41091 .4584 L
.41136 .45907 L
.41251 .46044 L
.41276 .46067 L
.41401 .46228 L
.41412 .46241 L
.41531 .46388 L
.41572 .46414 L
.41661 .46549 L
.41733 .4663 L
.41819 .46709 L
.41894 .46837 L
.41922 .4687 L
.42048 .4703 L
.42054 .47038 L
.42175 .47191 L
.42215 .47228 L
.42362 .47351 L
.42375 .4744 L
.4244 .47512 L
.42536 .47648 L
.42554 .47672 L
.42681 .47833 L
.42696 .47839 L
.42806 .47993 L
.42857 .48049 L
.42958 .48154 L
.43017 .48262 L
.4306 .48314 L
.43178 .4847 L
.43181 .48475 L
.43306 .48636 L
.43338 .48662 L
.43482 .48796 L
.43499 .48878 L
.43567 .48957 L
.43659 .49091 L
.43678 .49117 L
.43803 .49278 L
.4382 .4928 L
.43926 .49438 L
.4398 .49495 L
.44076 .49599 L
.44141 .49713 L
.44177 .49759 L
.44297 .4992 L
.44301 .49925 L
.44419 .5008 L
.44462 .50112 L
.44593 .50241 L
.44622 .50336 L
.44676 .50401 L
.44783 .50554 L
.44788 .50562 L
.44909 .50722 L
.44943 .50766 L
.45031 .50883 L
.45104 .5096 L
.45177 .51043 L
.45265 .51185 L
.45279 .51204 L
.45397 .51364 L
.45425 .51401 L
.45517 .51525 L
.45586 .51582 L
.45683 .51686 L
.45746 .51821 L
.45766 .51846 L
.4588 .52007 L
.45907 .52041 L
.45998 .52167 L
.46067 .52257 L
.46118 .52328 L
.46228 .52466 L
.46246 .52488 L
.46355 .52649 L
.46388 .52692 L
.46471 .52809 L
.46549 .52914 L
.46588 .5297 L
.46706 .5313 L
.46709 .53135 L
.46814 .53291 L
.4687 .53367 L
.46924 .53451 L
.4703 .53603 L
.47036 .53612 L
.47125 .53772 L
.4703 .53788 L
.47015 .53772 L
.4687 .5363 L
.46861 .53612 L
.46717 .53451 L
.46709 .53443 L
.46578 .53291 L
.46549 .53259 L
.4644 .5313 L
.46388 .53071 L
.46304 .5297 L
.46228 .52897 L
.46169 .52809 L
.46067 .52689 L
.46024 .52649 L
.45907 .5249 L
.45905 .52488 L
.45775 .52328 L
.45746 .52318 L
.45645 .52167 L
.45586 .52102 L
.45479 .52007 L
.45425 .51894 L
.45383 .51846 L
.45265 .51691 L
.45261 .51686 L
.45133 .51525 L
.45104 .51502 L
.45006 .51364 L
.44943 .51291 L
.44864 .51204 L
.44783 .51081 L
.44754 .51043 L
.44627 .50883 L
.44622 .50877 L
.44502 .50722 L
.44462 .50681 L
.44344 .50562 L
.44301 .50468 L
.44246 .50401 L
.44141 .50259 L
.44129 .50241 L
.44002 .5008 L
.4398 .50066 L
.43878 .4992 L
.4382 .49852 L
.43738 .49759 L
.43659 .49638 L
.4363 .49599 L
.43506 .49438 L
.43499 .4943 L
.43383 .49278 L
.43338 .49235 L
.43227 .49117 L
.43178 .49017 L
.4313 .48957 L
.43017 .48803 L
.43013 .48796 L
.4289 .48636 L
.42857 .48617 L
.42767 .48475 L
.42696 .48394 L
.42629 .48314 L
.42536 .48175 L
.42521 .48154 L
.424 .47993 L
.42375 .47962 L
.42278 .47833 L
.42215 .47771 L
.42125 .47672 L
.42054 .47544 L
.42029 .47512 L
.41913 .47351 L
.41894 .47326 L
.41793 .47191 L
.41733 .47153 L
.41672 .4703 L
.41572 .46908 L
.41541 .4687 L
.41431 .46709 L
.41412 .46685 L
.41313 .46549 L
.41251 .46468 L
.41194 .46388 L
.41091 .46263 L
.41061 .46228 L
.40958 .46067 L
.4093 .46031 L
.40843 .45907 L
.4077 .45808 L
.40727 .45746 L
.4061 .45586 L
.40609 .45585 L
.40503 .45425 L
.40449 .45349 L
.40395 .45265 L
.40288 .45107 L
.40287 .45104 L
F
1 .31 0 r
.40288 .46298 m
.40353 .46388 L
.40449 .46491 L
.40491 .46549 L
.40609 .46687 L
.40625 .46709 L
.40609 .46814 L
.40537 .46709 L
.40449 .46602 L
.40413 .46549 L
.40288 .46389 L
.40288 .46388 L
F
.114 .93 1 r
.40449 .41511 m
.40484 .41572 L
.40609 .41678 L
.40646 .41733 L
.4077 .41866 L
.4081 .41894 L
.40925 .42054 L
.4093 .42061 L
.41052 .42215 L
.41091 .42261 L
.41178 .42375 L
.41251 .42421 L
.41303 .42536 L
.41412 .42667 L
.41436 .42696 L
.41544 .42857 L
.41572 .42894 L
.41658 .43017 L
.41733 .43125 L
.41767 .43178 L
.41861 .43338 L
.41733 .43411 L
.41649 .43338 L
.41572 .43315 L
.41486 .43178 L
.41412 .43109 L
.41342 .43017 L
.41251 .42914 L
.4119 .42857 L
.41091 .42714 L
.41076 .42696 L
.40949 .42536 L
.4093 .42511 L
.40826 .42375 L
.4077 .42336 L
.40665 .42215 L
.40609 .42091 L
.40585 .42054 L
.40479 .41894 L
.40449 .41847 L
.40377 .41733 L
.40294 .41572 L
F
.061 .91 1 r
.40449 .44437 m
.40462 .44462 L
.40609 .44614 L
.40628 .44622 L
.40763 .44783 L
.4077 .44791 L
.40905 .44943 L
.4093 .44972 L
.41045 .45104 L
.41091 .45146 L
.41183 .45265 L
.41251 .45346 L
.41338 .45425 L
.41412 .45543 L
.41449 .45586 L
.41572 .45737 L
.41578 .45746 L
.41715 .45907 L
.41733 .45927 L
.4188 .46067 L
.41894 .46129 L
.41978 .46228 L
.42054 .46334 L
.42092 .46388 L
.42215 .46536 L
.42215 .46549 L
.42359 .46709 L
.42375 .46729 L
.42498 .4687 L
.42536 .46936 L
.42608 .4703 L
.42696 .47146 L
.42719 .47191 L
.42857 .47347 L
.42866 .47351 L
.43008 .47512 L
.43017 .47546 L
.43119 .47672 L
.43178 .47757 L
.43229 .47833 L
.43338 .47967 L
.43368 .47993 L
.43492 .48154 L
.43499 .48162 L
.43626 .48314 L
.43659 .48372 L
.43736 .48475 L
.4382 .48585 L
.43844 .48636 L
.4398 .4879 L
.4399 .48796 L
.4413 .48957 L
.44141 .48991 L
.4424 .49117 L
.44301 .49203 L
.44349 .49278 L
.44462 .49414 L
.44487 .49438 L
.4461 .49599 L
.44622 .49614 L
.44744 .49759 L
.44783 .49824 L
.44853 .4992 L
.44943 .50037 L
.44963 .5008 L
.45104 .50241 L
.45104 .50241 L
.45248 .50401 L
.45265 .50447 L
.45355 .50562 L
.45425 .5066 L
.45464 .50722 L
.45586 .5087 L
.45598 .50883 L
.45721 .51043 L
.45746 .51071 L
.45857 .51204 L
.45907 .51284 L
.45965 .51364 L
.46067 .51497 L
.46079 .51525 L
.46213 .51686 L
.46228 .51697 L
.46362 .51846 L
.46388 .51908 L
.46465 .52007 L
.46549 .52123 L
.46576 .52167 L
.46705 .52328 L
.46709 .52328 L
.46827 .52488 L
.4687 .52532 L
.46966 .52649 L
.4703 .52749 L
.47073 .52809 L
.47191 .52963 L
.47193 .5297 L
.47317 .5313 L
.47351 .53155 L
.47471 .53291 L
.47512 .53376 L
.47569 .53451 L
.47672 .53594 L
.47683 .53612 L
.47806 .53772 L
.47833 .53808 L
.47927 .53933 L
.47993 .54002 L
.48066 .54093 L
.48154 .54227 L
.48173 .54254 L
.48292 .54414 L
.48314 .54444 L
.48412 .54575 L
.48475 .54627 L
.48565 .54735 L
.48636 .54863 L
.48659 .54896 L
.48774 .55057 L
.48796 .55085 L
.48892 .55217 L
.48957 .55302 L
.49012 .55378 L
.49117 .55509 L
.49139 .55538 L
.49248 .55699 L
.49278 .55738 L
.49363 .55859 L
.49438 .5596 L
.4948 .5602 L
.49596 .5618 L
.49599 .56184 L
.49704 .56341 L
.49759 .56419 L
.49812 .56501 L
.4992 .5666 L
.49921 .56662 L
.50003 .56822 L
.4992 .56853 L
.49888 .56822 L
.49759 .56733 L
.49725 .56662 L
.49599 .56532 L
.49575 .56501 L
.49438 .56349 L
.49428 .56341 L
.49291 .5618 L
.49278 .56166 L
.49153 .5602 L
.49117 .55991 L
.49016 .55859 L
.48957 .5579 L
.48854 .55699 L
.48796 .55591 L
.48749 .55538 L
.48636 .55394 L
.48624 .55378 L
.48488 .55217 L
.48475 .55204 L
.48357 .55057 L
.48314 .55002 L
.48221 .54896 L
.48154 .54796 L
.48108 .54735 L
.47993 .54593 L
.47988 .54575 L
.47845 .54414 L
.47833 .544 L
.47702 .54254 L
.47672 .54193 L
.47594 .54093 L
.47512 .53983 L
.47482 .53933 L
.47351 .5378 L
.4734 .53772 L
.47193 .53612 L
.47191 .53582 L
.47084 .53451 L
.4703 .53371 L
.46973 .53291 L
.4687 .5316 L
.46862 .5313 L
.46715 .5297 L
.46709 .52963 L
.46577 .52809 L
.46549 .52755 L
.46467 .52649 L
.46388 .52542 L
.46358 .52488 L
.46228 .52336 L
.46217 .52328 L
.46072 .52167 L
.46067 .52135 L
.45963 .52007 L
.45907 .51923 L
.45854 .51846 L
.45746 .51712 L
.45741 .51686 L
.45598 .51525 L
.45586 .51512 L
.45459 .51364 L
.45425 .51302 L
.45351 .51204 L
.45265 .51089 L
.4524 .51043 L
.45104 .50883 L
.45103 .50883 L
.44952 .50722 L
.44943 .50679 L
.44849 .50562 L
.44783 .50466 L
.4474 .50401 L
.44622 .50255 L
.4462 .50241 L
.44487 .5008 L
.44462 .50055 L
.44345 .4992 L
.44301 .49842 L
.44239 .49759 L
.44141 .49628 L
.44126 .49599 L
.43995 .49438 L
.4398 .49429 L
.43837 .49278 L
.4382 .49218 L
.43739 .49117 L
.43659 .49002 L
.43629 .48957 L
.43503 .48796 L
.43499 .48791 L
.43381 .48636 L
.43338 .48595 L
.43236 .48475 L
.43178 .48376 L
.43132 .48314 L
.43017 .48161 L
.43014 .48154 L
.42891 .47993 L
.42857 .47973 L
.42728 .47833 L
.42696 .4775 L
.42635 .47672 L
.42536 .4753 L
.42524 .47512 L
.42403 .47351 L
.42375 .47316 L
.42282 .47191 L
.42215 .47125 L
.42137 .4703 L
.42054 .46897 L
.42034 .4687 L
.41916 .46709 L
.41894 .4668 L
.41797 .46549 L
.41733 .46503 L
.41636 .46388 L
.41572 .46261 L
.41548 .46228 L
.41435 .46067 L
.41412 .46038 L
.41317 .45907 L
.41251 .45821 L
.41198 .45746 L
.41091 .45614 L
.41069 .45586 L
.40961 .45425 L
.4093 .45384 L
.40847 .45265 L
.4077 .45161 L
.40731 .45104 L
.40615 .44943 L
.40609 .44936 L
.40509 .44783 L
.40449 .44698 L
.40402 .44622 L
.40297 .44462 L
F
1 .98 .538 r
.40449 .41001 m
.40609 .4102 L
.40722 .41091 L
.4077 .41127 L
.40883 .41251 L
.4093 .41302 L
.41033 .41412 L
.41091 .41499 L
.41145 .41572 L
.41251 .41704 L
.41262 .41733 L
.41398 .41894 L
.41412 .4191 L
.41547 .42054 L
.41572 .4212 L
.41652 .42215 L
.41733 .42332 L
.41763 .42375 L
.41894 .42535 L
.41894 .42536 L
.42016 .42696 L
.42054 .42732 L
.42155 .42857 L
.42215 .42946 L
.42262 .43017 L
.42375 .43163 L
.4238 .43178 L
.42506 .43338 L
.42536 .43378 L
.42657 .43499 L
.42696 .43596 L
.42751 .43659 L
.42847 .4382 L
.42696 .43923 L
.42536 .43901 L
.42415 .4382 L
.42375 .43787 L
.42258 .43659 L
.42215 .43606 L
.42142 .43499 L
.42054 .43406 L
.42037 .43338 L
.41894 .43199 L
.41877 .43178 L
.41747 .43017 L
.41733 .42989 L
.41632 .42857 L
.41572 .42774 L
.41527 .42696 L
.41412 .42562 L
.41381 .42536 L
.41252 .42375 L
.41251 .42367 L
.41132 .42215 L
.41091 .42159 L
.41024 .42054 L
.4093 .41945 L
.4092 .41894 L
.40771 .41733 L
.4077 .41731 L
.40637 .41572 L
.40609 .41514 L
.40534 .41412 L
.40449 .41289 L
.40431 .41251 L
.40338 .41091 L
F
.084 .92 1 r
.40449 .41575 m
.40609 .41709 L
.40625 .41733 L
.4077 .41887 L
.40779 .41894 L
.4091 .42054 L
.4093 .42078 L
.41039 .42215 L
.41091 .42277 L
.41167 .42375 L
.41251 .4244 L
.41292 .42536 L
.41412 .42689 L
.41418 .42696 L
.41531 .42857 L
.41572 .42913 L
.41643 .43017 L
.41733 .4315 L
.4175 .43178 L
.41824 .43338 L
.41733 .43374 L
.41686 .43338 L
.41572 .4329 L
.4151 .43178 L
.41412 .43087 L
.41361 .43017 L
.41251 .42893 L
.4121 .42857 L
.41091 .42696 L
.41091 .42696 L
.40964 .42536 L
.4093 .42492 L
.40841 .42375 L
.4077 .42316 L
.40684 .42215 L
.40609 .42061 L
.40605 .42054 L
.40499 .41894 L
.40449 .41813 L
.40402 .41733 L
F
1 .69 0 r
.40449 .45131 m
.40572 .45265 L
.40609 .45303 L
.40716 .45425 L
.4077 .45483 L
.40857 .45586 L
.4093 .45669 L
.40995 .45746 L
.41091 .45847 L
.41131 .45907 L
.41251 .4605 L
.4127 .46067 L
.41396 .46228 L
.41412 .46246 L
.41527 .46388 L
.41572 .46417 L
.41658 .46549 L
.41733 .46634 L
.41815 .46709 L
.41894 .46841 L
.41919 .4687 L
.42045 .4703 L
.42054 .47042 L
.42172 .47191 L
.42215 .47231 L
.4236 .47351 L
.42375 .47443 L
.42438 .47512 L
.42536 .47651 L
.42552 .47672 L
.42678 .47833 L
.42696 .4784 L
.42804 .47993 L
.42857 .48051 L
.42956 .48154 L
.43017 .48264 L
.43058 .48314 L
.43178 .48472 L
.43179 .48475 L
.43304 .48636 L
.43338 .48664 L
.43481 .48796 L
.43499 .4888 L
.43565 .48957 L
.43659 .49093 L
.43677 .49117 L
.43801 .49278 L
.4382 .49281 L
.43924 .49438 L
.4398 .49497 L
.44074 .49599 L
.44141 .49715 L
.44175 .49759 L
.44295 .4992 L
.44301 .49928 L
.44417 .5008 L
.44462 .50114 L
.44591 .50241 L
.44622 .50339 L
.44674 .50401 L
.44783 .50557 L
.44787 .50562 L
.44907 .50722 L
.44943 .50769 L
.45029 .50883 L
.45104 .50963 L
.45175 .51043 L
.45265 .51188 L
.45276 .51204 L
.45395 .51364 L
.45425 .51404 L
.45515 .51525 L
.45586 .51585 L
.4568 .51686 L
.45746 .51825 L
.45763 .51846 L
.45877 .52007 L
.45907 .52045 L
.45995 .52167 L
.46067 .52261 L
.46115 .52328 L
.46228 .52472 L
.46241 .52488 L
.46351 .52649 L
.46388 .52698 L
.46467 .52809 L
.46549 .52919 L
.46584 .5297 L
.467 .5313 L
.46709 .53143 L
.46808 .53291 L
.4687 .53377 L
.46917 .53451 L
.4687 .5361 L
.46726 .53451 L
.46709 .53434 L
.46585 .53291 L
.46549 .53251 L
.46446 .5313 L
.46388 .53064 L
.46309 .5297 L
.46228 .52891 L
.46174 .52809 L
.46067 .52683 L
.4603 .52649 L
.45909 .52488 L
.45907 .52485 L
.45779 .52328 L
.45746 .52316 L
.45649 .52167 L
.45586 .52098 L
.45482 .52007 L
.45425 .5189 L
.45386 .51846 L
.45265 .51688 L
.45263 .51686 L
.45136 .51525 L
.45104 .51499 L
.45008 .51364 L
.44943 .51287 L
.44866 .51204 L
.44783 .51078 L
.44756 .51043 L
.4463 .50883 L
.44622 .50874 L
.44504 .50722 L
.44462 .50679 L
.44345 .50562 L
.44301 .50466 L
.44248 .50401 L
.44141 .50256 L
.44131 .50241 L
.44004 .5008 L
.4398 .50064 L
.4388 .4992 L
.4382 .4985 L
.4374 .49759 L
.43659 .49636 L
.43632 .49599 L
.43508 .49438 L
.43499 .49427 L
.43385 .49278 L
.43338 .49233 L
.43229 .49117 L
.43178 .49014 L
.43132 .48957 L
.43017 .48801 L
.43014 .48796 L
.42892 .48636 L
.42857 .48616 L
.42769 .48475 L
.42696 .48391 L
.42631 .48314 L
.42536 .48172 L
.42523 .48154 L
.42402 .47993 L
.42375 .47959 L
.4228 .47833 L
.42215 .47768 L
.42128 .47672 L
.42054 .4754 L
.42032 .47512 L
.41915 .47351 L
.41894 .47323 L
.41795 .47191 L
.41733 .4715 L
.41674 .4703 L
.41572 .46904 L
.41545 .4687 L
.41434 .46709 L
.41412 .46681 L
.41316 .46549 L
.41251 .46463 L
.41197 .46388 L
.41091 .46257 L
.41067 .46228 L
.40962 .46067 L
.4093 .46025 L
.40847 .45907 L
.4077 .45802 L
.40731 .45746 L
.40616 .45586 L
.40609 .45577 L
.4051 .45425 L
.40449 .45338 L
.40403 .45265 L
F
0 .42 1 r
.40449 .45807 m
.40533 .45907 L
.40609 .45989 L
.40674 .46067 L
.4077 .46177 L
.40811 .46228 L
.4093 .46369 L
.40946 .46388 L
.41077 .46549 L
.41091 .46565 L
.41205 .46709 L
.41251 .46764 L
.41334 .4687 L
.41412 .46963 L
.41464 .4703 L
.41572 .47149 L
.41593 .47191 L
.4172 .47351 L
.41733 .47367 L
.41844 .47512 L
.41894 .47572 L
.4197 .47672 L
.42054 .47777 L
.42097 .47833 L
.42215 .47977 L
.42232 .47993 L
.42346 .48154 L
.42375 .4819 L
.42469 .48314 L
.42536 .48399 L
.42593 .48475 L
.42696 .48587 L
.42718 .48636 L
.4284 .48796 L
.42857 .48817 L
.4296 .48957 L
.43017 .49029 L
.43082 .49117 L
.43178 .49241 L
.43205 .49278 L
.43326 .49438 L
.43338 .49454 L
.43442 .49599 L
.43499 .49671 L
.43561 .49759 L
.43659 .49888 L
.43682 .4992 L
.43798 .5008 L
.4382 .50108 L
.43909 .50241 L
.4398 .50335 L
.44024 .50401 L
.4398 .50527 L
.43875 .50401 L
.4382 .50341 L
.43737 .50241 L
.43659 .50151 L
.43602 .5008 L
.43499 .49958 L
.43468 .4992 L
.43338 .49763 L
.43333 .49759 L
.43208 .49599 L
.43178 .49563 L
.4308 .49438 L
.43017 .49362 L
.42951 .49278 L
.42857 .49191 L
.42822 .49117 L
.42696 .48959 L
.42693 .48957 L
.4257 .48796 L
.42536 .48753 L
.42445 .48636 L
.42375 .48548 L
.42319 .48475 L
.42215 .48355 L
.42169 .48314 L
.4207 .48154 L
.42054 .48135 L
.41947 .47993 L
.41894 .47926 L
.41824 .47833 L
.41733 .47753 L
.417 .47672 L
.41577 .47512 L
.41572 .47507 L
.41457 .47351 L
.41412 .47294 L
.41336 .47191 L
.41251 .47081 L
.41214 .4703 L
.41093 .4687 L
.41091 .46867 L
.40977 .46709 L
.4093 .46649 L
.40859 .46549 L
.4077 .4643 L
.4074 .46388 L
.40624 .46228 L
.40609 .46208 L
.40515 .46067 L
.40449 .45977 L
.40404 .45907 L
F
0 .41 1 r
.40449 .45816 m
.40526 .45907 L
.40609 .45995 L
.40668 .46067 L
.4077 .46182 L
.40806 .46228 L
.4093 .46374 L
.40942 .46388 L
.41073 .46549 L
.41091 .4657 L
.41201 .46709 L
.41251 .46768 L
.41331 .4687 L
.41412 .46967 L
.41461 .4703 L
.41572 .47154 L
.4159 .47191 L
.41717 .47351 L
.41733 .47371 L
.41842 .47512 L
.41894 .47575 L
.41968 .47672 L
.42054 .4778 L
.42094 .47833 L
.42215 .47982 L
.42227 .47993 L
.42343 .48154 L
.42375 .48193 L
.42466 .48314 L
.42536 .48402 L
.4259 .48475 L
.42696 .48592 L
.42715 .48636 L
.42837 .48796 L
.42857 .48821 L
.42957 .48957 L
.43017 .49033 L
.43079 .49117 L
.43178 .49244 L
.43202 .49278 L
.43322 .49438 L
.43338 .49458 L
.43439 .49599 L
.43499 .49676 L
.43558 .49759 L
.43659 .49892 L
.43679 .4992 L
.43794 .5008 L
.4382 .50114 L
.43905 .50241 L
.4398 .50342 L
.44018 .50401 L
.4398 .50518 L
.43881 .50401 L
.4382 .50335 L
.43743 .50241 L
.43659 .50146 L
.43606 .5008 L
.43499 .49953 L
.43472 .4992 L
.4334 .49759 L
.43338 .49757 L
.43212 .49599 L
.43178 .49558 L
.43083 .49438 L
.43017 .49358 L
.42954 .49278 L
.42857 .49186 L
.42825 .49117 L
.42697 .48957 L
.42696 .48955 L
.42573 .48796 L
.42536 .4875 L
.42448 .48636 L
.42375 .48545 L
.42322 .48475 L
.42215 .4835 L
.42174 .48314 L
.42072 .48154 L
.42054 .48131 L
.4195 .47993 L
.41894 .47922 L
.41826 .47833 L
.41733 .47747 L
.41702 .47672 L
.4158 .47512 L
.41572 .47503 L
.4146 .47351 L
.41412 .4729 L
.41339 .47191 L
.41251 .47077 L
.41217 .4703 L
.41096 .4687 L
.41091 .46863 L
.40981 .46709 L
.4093 .46644 L
.40863 .46549 L
.4077 .46425 L
.40744 .46388 L
.40629 .46228 L
.40609 .46201 L
.40521 .46067 L
.40449 .45968 L
.4041 .45907 L
F
1 .68 0 r
.40449 .45146 m
.4056 .45265 L
.40609 .45313 L
.40708 .45425 L
.4077 .45492 L
.4085 .45586 L
.4093 .45676 L
.4099 .45746 L
.41091 .45854 L
.41126 .45907 L
.41251 .46056 L
.41264 .46067 L
.41392 .46228 L
.41412 .46251 L
.41523 .46388 L
.41572 .4642 L
.41654 .46549 L
.41733 .46638 L
.41811 .46709 L
.41894 .46844 L
.41916 .4687 L
.42041 .4703 L
.42054 .47046 L
.42169 .47191 L
.42215 .47233 L
.42358 .47351 L
.42375 .47446 L
.42435 .47512 L
.42536 .47654 L
.42549 .47672 L
.42676 .47833 L
.42696 .47841 L
.42802 .47993 L
.42857 .48054 L
.42954 .48154 L
.43017 .48267 L
.43056 .48314 L
.43178 .48475 L
.43178 .48475 L
.43302 .48636 L
.43338 .48666 L
.4348 .48796 L
.43499 .48882 L
.43563 .48957 L
.43659 .49096 L
.43675 .49117 L
.43799 .49278 L
.4382 .49281 L
.43922 .49438 L
.4398 .495 L
.44072 .49599 L
.44141 .49718 L
.44173 .49759 L
.44293 .4992 L
.44301 .4993 L
.44415 .5008 L
.44462 .50116 L
.4459 .50241 L
.44622 .50342 L
.44672 .50401 L
.44783 .50559 L
.44785 .50562 L
.44905 .50722 L
.44943 .50771 L
.45027 .50883 L
.45104 .50966 L
.45172 .51043 L
.45265 .51192 L
.45274 .51204 L
.45392 .51364 L
.45425 .51407 L
.45513 .51525 L
.45586 .51589 L
.45677 .51686 L
.45746 .51829 L
.4576 .51846 L
.45874 .52007 L
.45907 .52049 L
.45992 .52167 L
.46067 .52265 L
.46112 .52328 L
.46228 .52478 L
.46236 .52488 L
.46347 .52649 L
.46388 .52703 L
.46463 .52809 L
.46549 .52925 L
.4658 .5297 L
.46694 .5313 L
.46709 .5315 L
.46801 .53291 L
.4687 .53387 L
.4691 .53451 L
.4687 .53597 L
.46736 .53451 L
.46709 .53424 L
.46593 .53291 L
.46549 .53243 L
.46452 .5313 L
.46388 .53057 L
.46315 .5297 L
.46228 .52884 L
.46179 .52809 L
.46067 .52677 L
.46036 .52649 L
.45914 .52488 L
.45907 .5248 L
.45783 .52328 L
.45746 .52315 L
.45652 .52167 L
.45586 .52094 L
.45485 .52007 L
.45425 .51886 L
.45389 .51846 L
.45266 .51686 L
.45265 .51684 L
.45139 .51525 L
.45104 .51497 L
.45011 .51364 L
.44943 .51284 L
.44869 .51204 L
.44783 .51075 L
.44758 .51043 L
.44632 .50883 L
.44622 .50871 L
.44507 .50722 L
.44462 .50676 L
.44347 .50562 L
.44301 .50463 L
.44251 .50401 L
.44141 .50254 L
.44133 .50241 L
.44006 .5008 L
.4398 .50063 L
.43882 .4992 L
.4382 .49848 L
.43742 .49759 L
.43659 .49634 L
.43634 .49599 L
.4351 .49438 L
.43499 .49425 L
.43386 .49278 L
.43338 .4923 L
.4323 .49117 L
.43178 .49012 L
.43134 .48957 L
.43017 .48798 L
.43016 .48796 L
.42894 .48636 L
.42857 .48614 L
.42771 .48475 L
.42696 .48389 L
.42633 .48314 L
.42536 .48169 L
.42525 .48154 L
.42404 .47993 L
.42375 .47956 L
.42282 .47833 L
.42215 .47765 L
.4213 .47672 L
.42054 .47537 L
.42034 .47512 L
.41918 .47351 L
.41894 .4732 L
.41798 .47191 L
.41733 .47147 L
.41677 .4703 L
.41572 .469 L
.41548 .4687 L
.41437 .46709 L
.41412 .46677 L
.41319 .46549 L
.41251 .46459 L
.412 .46388 L
.41091 .4625 L
.41072 .46228 L
.40966 .46067 L
.4093 .4602 L
.40852 .45907 L
.4077 .45796 L
.40736 .45746 L
.40622 .45586 L
.40609 .45568 L
.40518 .45425 L
.40449 .45326 L
.40412 .45265 L
F
0 .4 1 r
.40449 .45826 m
.40517 .45907 L
.40609 .46003 L
.40662 .46067 L
.4077 .46188 L
.40802 .46228 L
.4093 .46379 L
.40938 .46388 L
.41068 .46549 L
.41091 .46574 L
.41198 .46709 L
.41251 .46772 L
.41328 .4687 L
.41412 .46971 L
.41458 .4703 L
.41572 .4716 L
.41588 .47191 L
.41714 .47351 L
.41733 .47374 L
.41839 .47512 L
.41894 .47579 L
.41965 .47672 L
.42054 .47783 L
.42092 .47833 L
.42215 .47986 L
.42222 .47993 L
.4234 .48154 L
.42375 .48197 L
.42463 .48314 L
.42536 .48405 L
.42588 .48475 L
.42696 .48597 L
.42713 .48636 L
.42834 .48796 L
.42857 .48824 L
.42954 .48957 L
.43017 .49037 L
.43076 .49117 L
.43178 .49248 L
.43199 .49278 L
.43319 .49438 L
.43338 .49463 L
.43436 .49599 L
.43499 .4968 L
.43554 .49759 L
.43659 .49897 L
.43675 .4992 L
.43789 .5008 L
.4382 .50121 L
.43899 .50241 L
.4398 .5035 L
.44013 .50401 L
.4398 .50509 L
.43889 .50401 L
.4382 .50328 L
.43748 .50241 L
.43659 .5014 L
.43611 .5008 L
.43499 .49948 L
.43476 .4992 L
.43344 .49759 L
.43338 .49753 L
.43216 .49599 L
.43178 .49554 L
.43086 .49438 L
.43017 .49354 L
.42957 .49278 L
.42857 .4918 L
.42828 .49117 L
.42701 .48957 L
.42696 .48951 L
.42576 .48796 L
.42536 .48746 L
.42451 .48636 L
.42375 .48541 L
.42324 .48475 L
.42215 .48345 L
.42179 .48314 L
.42075 .48154 L
.42054 .48128 L
.41953 .47993 L
.41894 .47919 L
.41829 .47833 L
.41733 .47741 L
.41705 .47672 L
.41583 .47512 L
.41572 .47499 L
.41463 .47351 L
.41412 .47286 L
.41342 .47191 L
.41251 .47073 L
.4122 .4703 L
.411 .4687 L
.41091 .46858 L
.40985 .46709 L
.4093 .46639 L
.40867 .46549 L
.4077 .4642 L
.40748 .46388 L
.40635 .46228 L
.40609 .46194 L
.40527 .46067 L
.40449 .45959 L
.40417 .45907 L
F
1 1 1 r
.40449 .38379 m
.40609 .385 L
.40637 .38523 L
.4077 .38631 L
.40828 .38683 L
.4093 .38773 L
.41006 .38844 L
.41091 .38924 L
.41173 .39004 L
.41251 .39084 L
.4133 .39165 L
.41412 .39255 L
.41478 .39325 L
.41572 .39437 L
.41617 .39486 L
.41733 .39628 L
.41749 .39646 L
.4188 .39807 L
.41894 .39824 L
.42011 .39967 L
.42054 .40023 L
.4214 .40128 L
.42215 .40228 L
.42263 .40288 L
.42375 .4044 L
.42382 .40449 L
.42503 .40609 L
.42536 .4066 L
.42611 .4077 L
.42536 .40908 L
.42375 .40925 L
.42215 .40876 L
.42134 .4077 L
.42054 .40673 L
.4198 .40609 L
.41894 .40465 L
.41879 .40449 L
.4176 .40288 L
.41733 .40254 L
.41639 .40128 L
.41572 .40086 L
.41466 .39967 L
.41412 .39849 L
.4138 .39807 L
.41267 .39646 L
.41251 .39627 L
.41146 .39486 L
.41091 .39415 L
.41024 .39325 L
.4093 .39206 L
.40872 .39165 L
.40775 .39004 L
.4077 .38998 L
.40657 .38844 L
.40609 .38783 L
.40538 .38683 L
.40449 .38567 L
.40417 .38523 L
F
1 .67 0 r
.40449 .45163 m
.40547 .45265 L
.40609 .45324 L
.40699 .45425 L
.4077 .455 L
.40843 .45586 L
.4093 .45683 L
.40984 .45746 L
.41091 .45861 L
.41121 .45907 L
.41251 .46062 L
.41257 .46067 L
.41388 .46228 L
.41412 .46256 L
.41519 .46388 L
.41572 .46424 L
.41651 .46549 L
.41733 .46642 L
.41807 .46709 L
.41894 .46848 L
.41912 .4687 L
.42038 .4703 L
.42054 .47049 L
.42166 .47191 L
.42215 .47236 L
.42356 .47351 L
.42375 .4745 L
.42432 .47512 L
.42536 .47657 L
.42547 .47672 L
.42674 .47833 L
.42696 .47842 L
.42799 .47993 L
.42857 .48056 L
.42952 .48154 L
.43017 .4827 L
.43054 .48314 L
.43176 .48475 L
.43178 .48477 L
.433 .48636 L
.43338 .48668 L
.43479 .48796 L
.43499 .48885 L
.43561 .48957 L
.43659 .49098 L
.43673 .49117 L
.43797 .49278 L
.4382 .49282 L
.4392 .49438 L
.4398 .49502 L
.4407 .49599 L
.44141 .4972 L
.44171 .49759 L
.44291 .4992 L
.44301 .49932 L
.44413 .5008 L
.44462 .50118 L
.44588 .50241 L
.44622 .50344 L
.4467 .50401 L
.44783 .50562 L
.44783 .50562 L
.44903 .50722 L
.44943 .50774 L
.45025 .50883 L
.45104 .50969 L
.4517 .51043 L
.45265 .51195 L
.45272 .51204 L
.4539 .51364 L
.45425 .5141 L
.4551 .51525 L
.45586 .51592 L
.45673 .51686 L
.45746 .51833 L
.45756 .51846 L
.45871 .52007 L
.45907 .52053 L
.4599 .52167 L
.46067 .52269 L
.46109 .52328 L
.46228 .52484 L
.46231 .52488 L
.46343 .52649 L
.46388 .52708 L
.46459 .52809 L
.46549 .52931 L
.46575 .5297 L
.46688 .5313 L
.46709 .53159 L
.46794 .53291 L
.4687 .53398 L
.46902 .53451 L
.4687 .53583 L
.46747 .53451 L
.46709 .53414 L
.46601 .53291 L
.46549 .53235 L
.46459 .5313 L
.46388 .5305 L
.4632 .5297 L
.46228 .52878 L
.46184 .52809 L
.46067 .52671 L
.46042 .52649 L
.45918 .52488 L
.45907 .52475 L
.45787 .52328 L
.45746 .52312 L
.45656 .52167 L
.45586 .5209 L
.45489 .52007 L
.45425 .51882 L
.45393 .51846 L
.45269 .51686 L
.45265 .5168 L
.45141 .51525 L
.45104 .51494 L
.45014 .51364 L
.44943 .51281 L
.44871 .51204 L
.44783 .51072 L
.44761 .51043 L
.44634 .50883 L
.44622 .50868 L
.44509 .50722 L
.44462 .50674 L
.44349 .50562 L
.44301 .5046 L
.44253 .50401 L
.44141 .50251 L
.44134 .50241 L
.44008 .5008 L
.4398 .50061 L
.43884 .4992 L
.4382 .49845 L
.43744 .49759 L
.43659 .49631 L
.43635 .49599 L
.43511 .49438 L
.43499 .49422 L
.43388 .49278 L
.43338 .49228 L
.43232 .49117 L
.43178 .49009 L
.43136 .48957 L
.43017 .48796 L
.43017 .48796 L
.42896 .48636 L
.42857 .48613 L
.42773 .48475 L
.42696 .48386 L
.42635 .48314 L
.42536 .48167 L
.42527 .48154 L
.42406 .47993 L
.42375 .47954 L
.42285 .47833 L
.42215 .47762 L
.42133 .47672 L
.42054 .47534 L
.42037 .47512 L
.4192 .47351 L
.41894 .47317 L
.418 .47191 L
.41733 .47143 L
.41679 .4703 L
.41572 .46895 L
.41552 .4687 L
.4144 .46709 L
.41412 .46673 L
.41322 .46549 L
.41251 .46455 L
.41203 .46388 L
.41091 .46243 L
.41078 .46228 L
.4097 .46067 L
.4093 .46014 L
.40856 .45907 L
.4077 .45789 L
.40741 .45746 L
.40629 .45586 L
.40609 .45558 L
.40526 .45425 L
.40449 .45312 L
.40422 .45265 L
F
1 .3 0 r
.40449 .46503 m
.40481 .46549 L
.40609 .46697 L
.40618 .46709 L
.40609 .46802 L
.40548 .46709 L
.40449 .4659 L
.40422 .46549 L
F
.045 .9 1 r
.40449 .44488 m
.40588 .44622 L
.40609 .44643 L
.40741 .44783 L
.4077 .44813 L
.40887 .44943 L
.4093 .4499 L
.4103 .45104 L
.41091 .4516 L
.4117 .45265 L
.41251 .4536 L
.41326 .45425 L
.41412 .45555 L
.4144 .45586 L
.41572 .45745 L
.41573 .45746 L
.41706 .45907 L
.41733 .45937 L
.41877 .46067 L
.41894 .46139 L
.41972 .46228 L
.42054 .46342 L
.42087 .46388 L
.42215 .46541 L
.42215 .46549 L
.42354 .46709 L
.42375 .46736 L
.42494 .4687 L
.42536 .46942 L
.42603 .4703 L
.42696 .47151 L
.42717 .47191 L
.42857 .47349 L
.42862 .47351 L
.43007 .47512 L
.43017 .47551 L
.43116 .47672 L
.43178 .47761 L
.43226 .47833 L
.43338 .4797 L
.43365 .47993 L
.43489 .48154 L
.43499 .48166 L
.43624 .48314 L
.43659 .48375 L
.43733 .48475 L
.4382 .48588 L
.43843 .48636 L
.4398 .48792 L
.43988 .48796 L
.44129 .48957 L
.44141 .48994 L
.44238 .49117 L
.44301 .49206 L
.44348 .49278 L
.44462 .49417 L
.44485 .49438 L
.44607 .49599 L
.44622 .49616 L
.44742 .49759 L
.44783 .49827 L
.44851 .4992 L
.44943 .50039 L
.44962 .5008 L
.45102 .50241 L
.45104 .50242 L
.45247 .50401 L
.45265 .50449 L
.45353 .50562 L
.45425 .50662 L
.45463 .50722 L
.45586 .50872 L
.45596 .50883 L
.45719 .51043 L
.45746 .51073 L
.45856 .51204 L
.45907 .51286 L
.45963 .51364 L
.46067 .51499 L
.46078 .51525 L
.46211 .51686 L
.46228 .51699 L
.46361 .51846 L
.46388 .5191 L
.46463 .52007 L
.46549 .52125 L
.46574 .52167 L
.46703 .52328 L
.46709 .52329 L
.46825 .52488 L
.4687 .52534 L
.46964 .52649 L
.4703 .52752 L
.47071 .52809 L
.47191 .52966 L
.47192 .5297 L
.47315 .5313 L
.47351 .53158 L
.47469 .53291 L
.47512 .53379 L
.47567 .53451 L
.47672 .53598 L
.47681 .53612 L
.47803 .53772 L
.47833 .53811 L
.47924 .53933 L
.47993 .54006 L
.48063 .54093 L
.48154 .54232 L
.48169 .54254 L
.48288 .54414 L
.48314 .54449 L
.48408 .54575 L
.48475 .54632 L
.4856 .54735 L
.48636 .54871 L
.48654 .54896 L
.48769 .55057 L
.48796 .55092 L
.48886 .55217 L
.48957 .5531 L
.49006 .55378 L
.49117 .55521 L
.4913 .55538 L
.4924 .55699 L
.49278 .55749 L
.49354 .55859 L
.49438 .55974 L
.4947 .5602 L
.49583 .5618 L
.49599 .56202 L
.49688 .56341 L
.49759 .56444 L
.49794 .56501 L
.49888 .56662 L
.49759 .56665 L
.49758 .56662 L
.49599 .56501 L
.49599 .56501 L
.49451 .56341 L
.49438 .56328 L
.49307 .5618 L
.49278 .56148 L
.49167 .5602 L
.49117 .55979 L
.49028 .55859 L
.48957 .55777 L
.48864 .55699 L
.48796 .5558 L
.48758 .55538 L
.48636 .55386 L
.4863 .55378 L
.48496 .55217 L
.48475 .55195 L
.48364 .55057 L
.48314 .54993 L
.48227 .54896 L
.48154 .54789 L
.48113 .54735 L
.47993 .54588 L
.47989 .54575 L
.4785 .54414 L
.47833 .54393 L
.47706 .54254 L
.47672 .54187 L
.47598 .54093 L
.47512 .53978 L
.47485 .53933 L
.47351 .53777 L
.47344 .53772 L
.47193 .53612 L
.47191 .53577 L
.47086 .53451 L
.4703 .53367 L
.46976 .53291 L
.4687 .53157 L
.46863 .5313 L
.46718 .5297 L
.46709 .5296 L
.46578 .52809 L
.46549 .52751 L
.4647 .52649 L
.46388 .52539 L
.46359 .52488 L
.46228 .52334 L
.46219 .52328 L
.46072 .52167 L
.46067 .52132 L
.45965 .52007 L
.45907 .5192 L
.45855 .51846 L
.45746 .51709 L
.45741 .51686 L
.456 .51525 L
.45586 .51509 L
.4546 .51364 L
.45425 .51299 L
.45353 .51204 L
.45265 .51087 L
.45241 .51043 L
.45105 .50883 L
.45104 .50882 L
.44953 .50722 L
.44943 .50677 L
.4485 .50562 L
.44783 .50463 L
.44741 .50401 L
.44622 .50253 L
.44621 .50241 L
.44489 .5008 L
.44462 .50053 L
.44346 .4992 L
.44301 .4984 L
.44241 .49759 L
.44141 .49626 L
.44127 .49599 L
.43997 .49438 L
.4398 .49427 L
.43838 .49278 L
.4382 .49216 L
.43741 .49117 L
.43659 .49 L
.43631 .48957 L
.43505 .48796 L
.43499 .48788 L
.43383 .48636 L
.43338 .48592 L
.43238 .48475 L
.43178 .48373 L
.43134 .48314 L
.43017 .48158 L
.43015 .48154 L
.42894 .47993 L
.42857 .47971 L
.4273 .47833 L
.42696 .47747 L
.42638 .47672 L
.42536 .47526 L
.42526 .47512 L
.42406 .47351 L
.42375 .47312 L
.42285 .47191 L
.42215 .47121 L
.42141 .4703 L
.42054 .46892 L
.42038 .4687 L
.4192 .46709 L
.41894 .46675 L
.41801 .46549 L
.41733 .46497 L
.41642 .46388 L
.41572 .46253 L
.41553 .46228 L
.4144 .46067 L
.41412 .46031 L
.41323 .45907 L
.41251 .45813 L
.41204 .45746 L
.41091 .45601 L
.41079 .45586 L
.4097 .45425 L
.4093 .45372 L
.40856 .45265 L
.4077 .45147 L
.40741 .45104 L
.40629 .44943 L
.40609 .44916 L
.40526 .44783 L
.40449 .44669 L
.40422 .44622 L
F
0 .39 1 r
.40449 .45838 m
.40508 .45907 L
.40609 .4601 L
.40656 .46067 L
.4077 .46194 L
.40797 .46228 L
.4093 .46384 L
.40934 .46388 L
.41064 .46549 L
.41091 .46579 L
.41194 .46709 L
.41251 .46777 L
.41324 .4687 L
.41412 .46975 L
.41455 .4703 L
.41572 .47165 L
.41585 .47191 L
.41711 .47351 L
.41733 .47378 L
.41836 .47512 L
.41894 .47582 L
.41962 .47672 L
.42054 .47787 L
.42089 .47833 L
.42215 .47991 L
.42217 .47993 L
.42338 .48154 L
.42375 .482 L
.42461 .48314 L
.42536 .48409 L
.42585 .48475 L
.42696 .48603 L
.4271 .48636 L
.42831 .48796 L
.42857 .48828 L
.42951 .48957 L
.43017 .4904 L
.43073 .49117 L
.43178 .49252 L
.43197 .49278 L
.43316 .49438 L
.43338 .49467 L
.43432 .49599 L
.43499 .49685 L
.43551 .49759 L
.43659 .49902 L
.43672 .4992 L
.43784 .5008 L
.4382 .50127 L
.43894 .50241 L
.4398 .50358 L
.44007 .50401 L
.4398 .505 L
.43896 .50401 L
.4382 .50321 L
.43754 .50241 L
.43659 .50134 L
.43615 .5008 L
.43499 .49943 L
.4348 .4992 L
.43348 .49759 L
.43338 .49748 L
.4322 .49599 L
.43178 .4955 L
.4309 .49438 L
.43017 .4935 L
.4296 .49278 L
.42857 .49174 L
.42831 .49117 L
.42704 .48957 L
.42696 .48947 L
.42579 .48796 L
.42536 .48742 L
.42453 .48636 L
.42375 .48538 L
.42327 .48475 L
.42215 .4834 L
.42185 .48314 L
.42078 .48154 L
.42054 .48124 L
.41956 .47993 L
.41894 .47915 L
.41832 .47833 L
.41733 .47736 L
.41708 .47672 L
.41586 .47512 L
.41572 .47495 L
.41466 .47351 L
.41412 .47282 L
.41345 .47191 L
.41251 .47069 L
.41223 .4703 L
.41104 .4687 L
.41091 .46854 L
.40988 .46709 L
.4093 .46634 L
.40871 .46549 L
.4077 .46414 L
.40752 .46388 L
.40641 .46228 L
.40609 .46186 L
.40534 .46067 L
.40449 .45948 L
.40424 .45907 L
F
1 .97 .395 r
.40449 .41074 m
.40609 .41079 L
.40636 .41091 L
.4077 .41172 L
.4085 .41251 L
.4093 .41332 L
.41014 .41412 L
.41091 .4152 L
.41132 .41572 L
.41251 .41719 L
.41257 .41733 L
.41388 .41894 L
.41412 .41922 L
.41542 .42054 L
.41572 .4213 L
.41645 .42215 L
.41733 .4234 L
.41758 .42375 L
.41887 .42536 L
.41894 .42538 L
.42009 .42696 L
.42054 .42739 L
.42149 .42857 L
.42215 .42956 L
.42255 .43017 L
.42375 .43175 L
.42376 .43178 L
.42496 .43338 L
.42536 .43392 L
.42646 .43499 L
.42696 .43618 L
.42732 .43659 L
.42801 .4382 L
.42696 .43886 L
.42536 .43856 L
.42473 .4382 L
.42375 .4375 L
.42281 .43659 L
.42215 .4358 L
.42158 .43499 L
.42054 .43386 L
.42043 .43338 L
.41894 .43183 L
.41889 .43178 L
.41753 .43017 L
.41733 .42975 L
.41641 .42857 L
.41572 .42763 L
.41533 .42696 L
.41412 .42554 L
.4139 .42536 L
.41253 .42375 L
.41251 .42359 L
.4114 .42215 L
.41091 .42147 L
.41033 .42054 L
.4093 .4193 L
.40924 .41894 L
.40785 .41733 L
.4077 .41712 L
.40649 .41572 L
.40609 .41487 L
.40554 .41412 L
.40457 .41251 L
.40449 .41233 L
.40427 .41091 L
F
1 .92 .084 r
.40449 .42225 m
.40563 .42375 L
.40609 .42433 L
.40678 .42536 L
.4077 .42666 L
.40786 .42696 L
.4077 .42749 L
.40714 .42696 L
.40609 .42592 L
.40561 .42536 L
.40449 .42401 L
.40429 .42375 L
F
.061 .91 1 r
.40449 .41628 m
.40598 .41733 L
.40609 .41742 L
.40755 .41894 L
.4077 .41909 L
.40894 .42054 L
.4093 .42096 L
.41026 .42215 L
.41091 .42293 L
.41154 .42375 L
.41251 .42463 L
.41281 .42536 L
.41403 .42696 L
.41412 .42708 L
.41516 .42857 L
.41572 .42935 L
.41626 .43017 L
.41729 .43178 L
.41572 .43248 L
.41537 .43178 L
.41412 .43061 L
.41381 .43017 L
.41251 .42871 L
.41234 .42857 L
.41108 .42696 L
.41091 .42676 L
.4098 .42536 L
.4093 .42472 L
.40856 .42375 L
.4077 .42289 L
.40708 .42215 L
.40624 .42054 L
.40609 .42032 L
.40521 .41894 L
.40449 .41767 L
.40431 .41733 L
F
1 .66 0 r
.40449 .45183 m
.40532 .45265 L
.40609 .45336 L
.4069 .45425 L
.4077 .45509 L
.40836 .45586 L
.4093 .45691 L
.40978 .45746 L
.41091 .45869 L
.41116 .45907 L
.41251 .46067 L
.41251 .46068 L
.41383 .46228 L
.41412 .46261 L
.41515 .46388 L
.41572 .46427 L
.41647 .46549 L
.41733 .46647 L
.41803 .46709 L
.41894 .46852 L
.41909 .4687 L
.42035 .4703 L
.42054 .47053 L
.42163 .47191 L
.42215 .47239 L
.42354 .47351 L
.42375 .47453 L
.4243 .47512 L
.42536 .4766 L
.42545 .47672 L
.42671 .47833 L
.42696 .47843 L
.42797 .47993 L
.42857 .48059 L
.4295 .48154 L
.43017 .48272 L
.43052 .48314 L
.43174 .48475 L
.43178 .4848 L
.43298 .48636 L
.43338 .4867 L
.43477 .48796 L
.43499 .48887 L
.43559 .48957 L
.43659 .491 L
.43671 .49117 L
.43795 .49278 L
.4382 .49282 L
.43919 .49438 L
.4398 .49504 L
.44068 .49599 L
.44141 .49723 L
.4417 .49759 L
.44289 .4992 L
.44301 .49935 L
.44411 .5008 L
.44462 .5012 L
.44586 .50241 L
.44622 .50347 L
.44668 .50401 L
.44781 .50562 L
.44783 .50564 L
.44901 .50722 L
.44943 .50776 L
.45023 .50883 L
.45104 .50972 L
.45167 .51043 L
.45265 .51198 L
.45269 .51204 L
.45388 .51364 L
.45425 .51413 L
.45508 .51525 L
.45586 .51596 L
.45669 .51686 L
.45746 .51837 L
.45753 .51846 L
.45868 .52007 L
.45907 .52056 L
.45987 .52167 L
.46067 .52273 L
.46106 .52328 L
.46226 .52488 L
.46228 .5249 L
.46339 .52649 L
.46388 .52714 L
.46454 .52809 L
.46549 .52937 L
.46571 .5297 L
.46682 .5313 L
.46709 .53168 L
.46787 .53291 L
.4687 .53411 L
.46894 .53451 L
.4687 .53567 L
.46758 .53451 L
.46709 .53403 L
.46609 .53291 L
.46549 .53227 L
.46466 .5313 L
.46388 .53043 L
.46326 .5297 L
.46228 .5287 L
.46189 .52809 L
.46067 .52665 L
.46049 .52649 L
.45922 .52488 L
.45907 .5247 L
.45791 .52328 L
.45746 .5231 L
.4566 .52167 L
.45586 .52086 L
.45493 .52007 L
.45425 .51878 L
.45396 .51846 L
.45272 .51686 L
.45265 .51677 L
.45144 .51525 L
.45104 .51492 L
.45016 .51364 L
.44943 .51278 L
.44874 .51204 L
.44783 .51069 L
.44763 .51043 L
.44637 .50883 L
.44622 .50865 L
.44511 .50722 L
.44462 .50671 L
.44351 .50562 L
.44301 .50457 L
.44255 .50401 L
.44141 .50249 L
.44136 .50241 L
.44011 .5008 L
.4398 .5006 L
.43886 .4992 L
.4382 .49843 L
.43746 .49759 L
.43659 .49629 L
.43637 .49599 L
.43513 .49438 L
.43499 .4942 L
.4339 .49278 L
.43338 .49226 L
.43234 .49117 L
.43178 .49007 L
.43138 .48957 L
.43019 .48796 L
.43017 .48793 L
.42898 .48636 L
.42857 .48611 L
.42775 .48475 L
.42696 .48383 L
.42638 .48314 L
.42536 .48164 L
.42529 .48154 L
.42408 .47993 L
.42375 .47951 L
.42287 .47833 L
.42215 .4776 L
.42136 .47672 L
.42054 .4753 L
.4204 .47512 L
.41923 .47351 L
.41894 .47314 L
.41803 .47191 L
.41733 .47139 L
.41682 .4703 L
.41572 .46891 L
.41555 .4687 L
.41443 .46709 L
.41412 .46669 L
.41326 .46549 L
.41251 .4645 L
.41207 .46388 L
.41091 .46235 L
.41085 .46228 L
.40975 .46067 L
.4093 .46008 L
.40861 .45907 L
.4077 .45782 L
.40746 .45746 L
.40636 .45586 L
.40609 .45548 L
.40534 .45425 L
.40449 .45295 L
.40433 .45265 L
F
0 .38 1 r
.40449 .45853 m
.40497 .45907 L
.40609 .46018 L
.4065 .46067 L
.4077 .462 L
.40792 .46228 L
.4093 .46388 L
.4093 .46389 L
.41059 .46549 L
.41091 .46584 L
.4119 .46709 L
.41251 .46781 L
.41321 .4687 L
.41412 .46979 L
.41452 .4703 L
.41572 .47171 L
.41582 .47191 L
.41707 .47351 L
.41733 .47382 L
.41833 .47512 L
.41894 .47586 L
.41959 .47672 L
.42054 .4779 L
.42087 .47833 L
.42213 .47993 L
.42215 .47995 L
.42335 .48154 L
.42375 .48204 L
.42458 .48314 L
.42536 .48412 L
.42583 .48475 L
.42696 .48608 L
.42708 .48636 L
.42828 .48796 L
.42857 .48832 L
.42948 .48957 L
.43017 .49044 L
.43071 .49117 L
.43178 .49256 L
.43194 .49278 L
.43312 .49438 L
.43338 .49471 L
.43428 .49599 L
.43499 .4969 L
.43547 .49759 L
.43659 .49907 L
.43668 .4992 L
.43779 .5008 L
.4382 .50134 L
.43888 .50241 L
.4398 .50368 L
.44001 .50401 L
.4398 .50488 L
.43905 .50401 L
.4382 .50313 L
.4376 .50241 L
.43659 .50128 L
.4362 .5008 L
.43499 .49938 L
.43484 .4992 L
.43353 .49759 L
.43338 .49743 L
.43223 .49599 L
.43178 .49545 L
.43093 .49438 L
.43017 .49346 L
.42963 .49278 L
.42857 .49168 L
.42834 .49117 L
.42707 .48957 L
.42696 .48943 L
.42582 .48796 L
.42536 .48739 L
.42456 .48636 L
.42375 .48534 L
.4233 .48475 L
.42215 .48335 L
.42191 .48314 L
.42081 .48154 L
.42054 .4812 L
.41959 .47993 L
.41894 .47911 L
.41835 .47833 L
.41733 .47729 L
.4171 .47672 L
.41589 .47512 L
.41572 .47491 L
.4147 .47351 L
.41412 .47278 L
.41348 .47191 L
.41251 .47065 L
.41226 .4703 L
.41107 .4687 L
.41091 .46849 L
.40992 .46709 L
.4093 .46628 L
.40875 .46549 L
.4077 .46408 L
.40756 .46388 L
.40647 .46228 L
.40609 .46178 L
.40541 .46067 L
.40449 .45935 L
.40433 .45907 L
F
1 .29 0 r
.40449 .46519 m
.40469 .46549 L
.40609 .46708 L
.4061 .46709 L
.40609 .46786 L
.40562 .46709 L
.40449 .46574 L
.40433 .46549 L
F
1 .97 .395 r
.40449 .43826 m
.40609 .43978 L
.40611 .4398 L
.40764 .44141 L
.4077 .44147 L
.40911 .44301 L
.4093 .44322 L
.41055 .44462 L
.41091 .44493 L
.41198 .44622 L
.41251 .44688 L
.41362 .44783 L
.41412 .44883 L
.41462 .44943 L
.41572 .45081 L
.41612 .45104 L
.41733 .4525 L
.41746 .45265 L
.41879 .45425 L
.41894 .45446 L
.42012 .45586 L
.42054 .4565 L
.42124 .45746 L
.42215 .45862 L
.42226 .45907 L
.42375 .46034 L
.42402 .46067 L
.42531 .46228 L
.42536 .46238 L
.42652 .46388 L
.42696 .4645 L
.4276 .46549 L
.42857 .4667 L
.42913 .46709 L
.43017 .46845 L
.43037 .4687 L
.43162 .4703 L
.43178 .47054 L
.43276 .47191 L
.43338 .47273 L
.43375 .47351 L
.43499 .47461 L
.43539 .47512 L
.43659 .47669 L
.43662 .47672 L
.43783 .47833 L
.4382 .47884 L
.43889 .47993 L
.4398 .48107 L
.44037 .48154 L
.44141 .48291 L
.4416 .48314 L
.44284 .48475 L
.44301 .48502 L
.44396 .48636 L
.44462 .48721 L
.44493 .48796 L
.44622 .48942 L
.44656 .48957 L
.4478 .49117 L
.44783 .49124 L
.44898 .49278 L
.44943 .49339 L
.45003 .49438 L
.45104 .49559 L
.45151 .49599 L
.45265 .49749 L
.45273 .49759 L
.45398 .4992 L
.45425 .49961 L
.45508 .5008 L
.45586 .50178 L
.45606 .50241 L
.45746 .50391 L
.45767 .50401 L
.45895 .50562 L
.45907 .50585 L
.4601 .50722 L
.46067 .50799 L
.46115 .50883 L
.46228 .51014 L
.46261 .51043 L
.46387 .51204 L
.46388 .51211 L
.4651 .51364 L
.46549 .51422 L
.46619 .51525 L
.46709 .51636 L
.46721 .51686 L
.4687 .51842 L
.46876 .51846 L
.47009 .52007 L
.4703 .52046 L
.47121 .52167 L
.47191 .5226 L
.47227 .52328 L
.47351 .52471 L
.47369 .52488 L
.47508 .52649 L
.47512 .52672 L
.47621 .52809 L
.47672 .52884 L
.4773 .5297 L
.47833 .53097 L
.47839 .5313 L
.47984 .53291 L
.47993 .53299 L
.48123 .53451 L
.48154 .53508 L
.48231 .53612 L
.48314 .53722 L
.4834 .53772 L
.48475 .53931 L
.48477 .53933 L
.48626 .54093 L
.48636 .54133 L
.48731 .54254 L
.48796 .54347 L
.4884 .54414 L
.48957 .5456 L
.48958 .54575 L
.49091 .54735 L
.49117 .54757 L
.49234 .54896 L
.49278 .54972 L
.49339 .55057 L
.49438 .55187 L
.49453 .55217 L
.49583 .55378 L
.49599 .55383 L
.49741 .55538 L
.49759 .55595 L
.49839 .55699 L
.4992 .55814 L
.49949 .55859 L
.50074 .5602 L
.5008 .56028 L
.50195 .5618 L
.50241 .56217 L
.50341 .56341 L
.50401 .56441 L
.50444 .56501 L
.50562 .56659 L
.50563 .56662 L
.50684 .56822 L
.50722 .56872 L
.50847 .56983 L
.50883 .57067 L
.50939 .57143 L
.51043 .57293 L
.5105 .57304 L
.5117 .57464 L
.51204 .57508 L
.5129 .57625 L
.51364 .57694 L
.51433 .57785 L
.51525 .5793 L
.51536 .57946 L
.51652 .58106 L
.51686 .5815 L
.5177 .58267 L
.51846 .58367 L
.51924 .58428 L
.52007 .58581 L
.52011 .58588 L
.52124 .58749 L
.52167 .58807 L
.52238 .58909 L
.52328 .59031 L
.52354 .5907 L
.52465 .5923 L
.52488 .59262 L
.52569 .59391 L
.52649 .59509 L
.52673 .59551 L
.52756 .59712 L
.52649 .59721 L
.52639 .59712 L
.52488 .59575 L
.52468 .59551 L
.52328 .59405 L
.52306 .59391 L
.52167 .5923 L
.52167 .5923 L
.52024 .5907 L
.52007 .59058 L
.51884 .58909 L
.51846 .58866 L
.51699 .58749 L
.51686 .58671 L
.51608 .58588 L
.51525 .58473 L
.51489 .58428 L
.51364 .58277 L
.51364 .58267 L
.51215 .58106 L
.51204 .58091 L
.51076 .57946 L
.51043 .57887 L
.50963 .57785 L
.50883 .57677 L
.50853 .57625 L
.50722 .57492 L
.507 .57464 L
.50566 .57304 L
.50562 .57287 L
.50447 .57143 L
.50401 .57076 L
.50337 .56983 L
.50241 .56859 L
.50193 .56822 L
.5008 .56675 L
.50069 .56662 L
.4994 .56501 L
.4992 .56466 L
.49827 .56341 L
.49759 .56249 L
.49722 .5618 L
.49599 .56032 L
.49569 .5602 L
.49442 .55859 L
.49438 .55848 L
.49322 .55699 L
.49278 .55634 L
.49213 .55538 L
.49117 .55417 L
.49072 .55378 L
.48957 .55226 L
.48949 .55217 L
.4882 .55057 L
.48796 .55015 L
.48708 .54896 L
.48636 .54799 L
.48604 .54735 L
.48475 .54586 L
.48454 .54575 L
.48322 .54414 L
.48314 .54393 L
.48206 .54254 L
.48154 .54179 L
.48098 .54093 L
.47993 .53964 L
.47959 .53933 L
.47837 .53772 L
.47833 .53768 L
.47705 .53612 L
.47672 .53557 L
.47595 .53451 L
.47512 .53342 L
.47489 .53291 L
.47351 .53136 L
.47343 .5313 L
.47205 .5297 L
.47191 .52933 L
.47094 .52809 L
.4703 .5272 L
.46985 .52649 L
.4687 .52508 L
.46849 .52488 L
.46727 .52328 L
.46709 .52308 L
.46592 .52167 L
.46549 .52096 L
.46484 .52007 L
.46388 .51883 L
.46373 .51846 L
.46234 .51686 L
.46228 .5168 L
.46089 .51525 L
.46067 .51472 L
.45983 .51364 L
.45907 .51259 L
.45873 .51204 L
.45746 .51049 L
.45741 .51043 L
.45619 .50883 L
.45586 .50848 L
.45481 .50722 L
.45425 .50634 L
.45373 .50562 L
.45265 .50422 L
.45257 .50401 L
.45126 .50241 L
.45104 .50224 L
.44976 .5008 L
.44943 .50011 L
.44873 .4992 L
.44783 .49796 L
.44761 .49759 L
.44633 .49599 L
.44622 .49596 L
.44511 .49438 L
.44462 .49388 L
.44371 .49278 L
.44301 .4917 L
.44264 .49117 L
.44141 .48957 L
.44141 .48957 L
.44019 .48796 L
.4398 .48767 L
.43866 .48636 L
.4382 .48547 L
.43765 .48475 L
.43659 .48329 L
.43651 .48314 L
.43528 .48154 L
.43499 .48117 L
.43406 .47993 L
.43338 .47925 L
.43265 .47833 L
.43178 .47702 L
.43157 .47672 L
.43037 .47512 L
.43017 .47487 L
.42916 .47351 L
.42857 .47306 L
.42762 .47191 L
.42696 .47075 L
.42663 .4703 L
.42546 .4687 L
.42536 .46856 L
.42426 .46709 L
.42375 .46644 L
.42251 .46549 L
.42215 .4645 L
.42168 .46388 L
.42058 .46228 L
.42054 .46222 L
.41939 .46067 L
.41894 .46008 L
.41819 .45907 L
.41733 .45824 L
.41673 .45746 L
.41574 .45586 L
.41572 .45584 L
.41457 .45425 L
.41412 .45367 L
.41339 .45265 L
.41251 .4515 L
.41218 .45104 L
.41098 .44943 L
.41091 .44934 L
.40985 .44783 L
.4093 .44711 L
.4087 .44622 L
.4077 .44486 L
.40753 .44462 L
.40644 .44301 L
.40609 .44253 L
.40541 .44141 L
.40449 .44003 L
.40436 .4398 L
F
0 .37 1 r
.40449 .45874 m
.4048 .45907 L
.40609 .46027 L
.40643 .46067 L
.4077 .46207 L
.40787 .46228 L
.40924 .46388 L
.4093 .46395 L
.41055 .46549 L
.41091 .4659 L
.41186 .46709 L
.41251 .46786 L
.41317 .4687 L
.41412 .46983 L
.41448 .4703 L
.41572 .47178 L
.41579 .47191 L
.41704 .47351 L
.41733 .47386 L
.4183 .47512 L
.41894 .4759 L
.41957 .47672 L
.42054 .47794 L
.42084 .47833 L
.4221 .47993 L
.42215 .47999 L
.42332 .48154 L
.42375 .48207 L
.42455 .48314 L
.42536 .48415 L
.4258 .48475 L
.42696 .48614 L
.42705 .48636 L
.42825 .48796 L
.42857 .48835 L
.42945 .48957 L
.43017 .49048 L
.43068 .49117 L
.43178 .4926 L
.43191 .49278 L
.43308 .49438 L
.43338 .49476 L
.43425 .49599 L
.43499 .49694 L
.43544 .49759 L
.43659 .49912 L
.43664 .4992 L
.43773 .5008 L
.4382 .50142 L
.43882 .50241 L
.4398 .50378 L
.43994 .50401 L
.4398 .50475 L
.43915 .50401 L
.4382 .50305 L
.43766 .50241 L
.43659 .50122 L
.43625 .5008 L
.43499 .49932 L
.43488 .4992 L
.43357 .49759 L
.43338 .49738 L
.43228 .49599 L
.43178 .4954 L
.43097 .49438 L
.43017 .49342 L
.42967 .49278 L
.42857 .49161 L
.42837 .49117 L
.42711 .48957 L
.42696 .48939 L
.42586 .48796 L
.42536 .48735 L
.42459 .48636 L
.42375 .4853 L
.42333 .48475 L
.42215 .4833 L
.42197 .48314 L
.42084 .48154 L
.42054 .48116 L
.41962 .47993 L
.41894 .47908 L
.41837 .47833 L
.41733 .47723 L
.41713 .47672 L
.41592 .47512 L
.41572 .47487 L
.41473 .47351 L
.41412 .47274 L
.41352 .47191 L
.41251 .4706 L
.41229 .4703 L
.41111 .4687 L
.41091 .46844 L
.40996 .46709 L
.4093 .46623 L
.40879 .46549 L
.4077 .46402 L
.4076 .46388 L
.40653 .46228 L
.40609 .46168 L
.40549 .46067 L
.40449 .45918 L
.40444 .45907 L
F
1 .98 .538 r
.40449 .36747 m
.40456 .36757 L
.40609 .36904 L
.40619 .36917 L
.40609 .37021 L
.40546 .36917 L
.40449 .36768 L
.40444 .36757 L
F
1 .65 0 r
.40449 .45214 m
.40511 .45265 L
.40609 .45349 L
.40679 .45425 L
.4077 .45519 L
.40828 .45586 L
.4093 .45698 L
.40971 .45746 L
.41091 .45877 L
.4111 .45907 L
.41246 .46067 L
.41251 .46074 L
.41378 .46228 L
.41412 .46267 L
.41511 .46388 L
.41572 .46431 L
.41643 .46549 L
.41733 .46651 L
.41798 .46709 L
.41894 .46856 L
.41905 .4687 L
.42032 .4703 L
.42054 .47057 L
.4216 .47191 L
.42215 .47242 L
.42351 .47351 L
.42375 .47456 L
.42427 .47512 L
.42536 .47663 L
.42543 .47672 L
.42669 .47833 L
.42696 .47845 L
.42795 .47993 L
.42857 .48062 L
.42947 .48154 L
.43017 .48275 L
.4305 .48314 L
.43172 .48475 L
.43178 .48483 L
.43296 .48636 L
.43338 .48672 L
.43476 .48796 L
.43499 .4889 L
.43557 .48957 L
.43659 .49103 L
.4367 .49117 L
.43793 .49278 L
.4382 .49283 L
.43917 .49438 L
.4398 .49506 L
.44066 .49599 L
.44141 .49725 L
.44168 .49759 L
.44288 .4992 L
.44301 .49937 L
.4441 .5008 L
.44462 .50122 L
.44584 .50241 L
.44622 .50349 L
.44666 .50401 L
.44779 .50562 L
.44783 .50567 L
.44899 .50722 L
.44943 .50779 L
.45021 .50883 L
.45104 .50975 L
.45165 .51043 L
.45265 .51201 L
.45267 .51204 L
.45385 .51364 L
.45425 .51416 L
.45506 .51525 L
.45586 .516 L
.45666 .51686 L
.45746 .51842 L
.4575 .51846 L
.45865 .52007 L
.45907 .5206 L
.45984 .52167 L
.46067 .52277 L
.46103 .52328 L
.46222 .52488 L
.46228 .52495 L
.46335 .52649 L
.46388 .52719 L
.4645 .52809 L
.46549 .52944 L
.46566 .5297 L
.46675 .5313 L
.46709 .53177 L
.46779 .53291 L
.4687 .53425 L
.46884 .53451 L
.4687 .53548 L
.46772 .53451 L
.46709 .53392 L
.46618 .53291 L
.46549 .53218 L
.46473 .5313 L
.46388 .53036 L
.46332 .5297 L
.46228 .52863 L
.46194 .52809 L
.46067 .52659 L
.46055 .52649 L
.45927 .52488 L
.45907 .52465 L
.45795 .52328 L
.45746 .52307 L
.45663 .52167 L
.45586 .52081 L
.45497 .52007 L
.45425 .51874 L
.454 .51846 L
.45275 .51686 L
.45265 .51673 L
.45147 .51525 L
.45104 .51489 L
.45019 .51364 L
.44943 .51275 L
.44877 .51204 L
.44783 .51066 L
.44765 .51043 L
.44639 .50883 L
.44622 .50862 L
.44513 .50722 L
.44462 .50669 L
.44353 .50562 L
.44301 .50455 L
.44257 .50401 L
.44141 .50246 L
.44137 .50241 L
.44013 .5008 L
.4398 .50058 L
.43888 .4992 L
.4382 .4984 L
.43748 .49759 L
.43659 .49626 L
.43639 .49599 L
.43515 .49438 L
.43499 .49417 L
.43392 .49278 L
.43338 .49224 L
.43236 .49117 L
.43178 .49004 L
.4314 .48957 L
.43021 .48796 L
.43017 .48791 L
.429 .48636 L
.42857 .48609 L
.42777 .48475 L
.42696 .4838 L
.4264 .48314 L
.42536 .48161 L
.42531 .48154 L
.4241 .47993 L
.42375 .47948 L
.42289 .47833 L
.42215 .47756 L
.42138 .47672 L
.42054 .47527 L
.42042 .47512 L
.41925 .47351 L
.41894 .47311 L
.41805 .47191 L
.41733 .47135 L
.41684 .4703 L
.41572 .46886 L
.41559 .4687 L
.41446 .46709 L
.41412 .46664 L
.41329 .46549 L
.41251 .46446 L
.4121 .46388 L
.41091 .46228 L
.41091 .46228 L
.40979 .46067 L
.4093 .46002 L
.40866 .45907 L
.4077 .45775 L
.40751 .45746 L
.40644 .45586 L
.40609 .45536 L
.40544 .45425 L
.40449 .45272 L
.40446 .45265 L
F
1 .98 .538 r
.40449 .35435 m
.40512 .35473 L
.40609 .35549 L
.40689 .35633 L
.4077 .35713 L
.40841 .35794 L
.4093 .3589 L
.40985 .35954 L
.41091 .36061 L
.41126 .36115 L
.41251 .3626 L
.41269 .36275 L
.41396 .36436 L
.41412 .36454 L
.41528 .36596 L
.41572 .36622 L
.41659 .36757 L
.41733 .36837 L
.4183 .36917 L
.41894 .37043 L
.41927 .37078 L
.42049 .37238 L
.42054 .37245 L
.42175 .37399 L
.42215 .37432 L
.42302 .37559 L
.42375 .37644 L
.4245 .3772 L
.42536 .37853 L
.42559 .3788 L
.42683 .38041 L
.42696 .38045 L
.42808 .38201 L
.42857 .38252 L
.42974 .38362 L
.43017 .38465 L
.43069 .38523 L
.43178 .38674 L
.43185 .38683 L
.43309 .38844 L
.43338 .38865 L
.43433 .39004 L
.43499 .39079 L
.43579 .39165 L
.43659 .39293 L
.43686 .39325 L
.43807 .39486 L
.4382 .39501 L
.4393 .39646 L
.4398 .39695 L
.44093 .39807 L
.44141 .39912 L
.44188 .39967 L
.44301 .40125 L
.44304 .40128 L
.44426 .40288 L
.44462 .40312 L
.44549 .40449 L
.44622 .40532 L
.44693 .40609 L
.44783 .40748 L
.448 .4077 L
.4492 .4093 L
.44943 .40959 L
.45042 .41091 L
.45104 .4115 L
.45203 .41251 L
.45265 .41372 L
.45298 .41412 L
.45414 .41572 L
.45425 .41586 L
.45535 .41733 L
.45586 .41764 L
.45658 .41894 L
.45746 .41994 L
.45799 .42054 L
.45907 .42214 L
.45907 .42215 L
.46027 .42375 L
.46067 .42425 L
.46149 .42536 L
.46228 .42614 L
.46303 .42696 L
.46388 .42841 L
.46401 .42857 L
.46518 .43017 L
.46549 .43056 L
.46639 .43178 L
.46709 .43229 L
.46762 .43338 L
.4687 .43469 L
.46895 .43499 L
.47008 .43659 L
.4703 .43688 L
.47128 .4382 L
.47191 .439 L
.47249 .4398 L
.47351 .44095 L
.47391 .44141 L
.47495 .44301 L
.47512 .44323 L
.47614 .44462 L
.47672 .44537 L
.47734 .44622 L
.47833 .44749 L
.47857 .44783 L
.47979 .44943 L
.47993 .44962 L
.48094 .45104 L
.48154 .4518 L
.48213 .45265 L
.48314 .45397 L
.48334 .45425 L
.48449 .45586 L
.48475 .45619 L
.48553 .45746 L
.48636 .45861 L
.48657 .45907 L
.48636 .45932 L
.48611 .45907 L
.48475 .45781 L
.48442 .45746 L
.48314 .4562 L
.48281 .45586 L
.48154 .4548 L
.48123 .45425 L
.47993 .45285 L
.47967 .45265 L
.47833 .45123 L
.47814 .45104 L
.47672 .44952 L
.47664 .44943 L
.47517 .44783 L
.47512 .44777 L
.47373 .44622 L
.47351 .44598 L
.47197 .44462 L
.47191 .44405 L
.47101 .44301 L
.4703 .44204 L
.46984 .44141 L
.4687 .44002 L
.46861 .4398 L
.46709 .43829 L
.46702 .4382 L
.46563 .43659 L
.46549 .43626 L
.46449 .43499 L
.46388 .43417 L
.46336 .43338 L
.46228 .43209 L
.46221 .43178 L
.46069 .43017 L
.46067 .43015 L
.45941 .42857 L
.45907 .42806 L
.45829 .42696 L
.45746 .42593 L
.45722 .42536 L
.45586 .42386 L
.45568 .42375 L
.45439 .42215 L
.45425 .42188 L
.45326 .42054 L
.45265 .41975 L
.45219 .41894 L
.45104 .41762 L
.4507 .41733 L
.44944 .41572 L
.44943 .41566 L
.44823 .41412 L
.44783 .41355 L
.44715 .41251 L
.44622 .41141 L
.44612 .41091 L
.44462 .40935 L
.44453 .4093 L
.44323 .4077 L
.44301 .40732 L
.44212 .40609 L
.44141 .40518 L
.44106 .40449 L
.4398 .40307 L
.43959 .40288 L
.43824 .40128 L
.4382 .40107 L
.43712 .39967 L
.43659 .39894 L
.43604 .39807 L
.43499 .3968 L
.43495 .39646 L
.43346 .39486 L
.43338 .39478 L
.43212 .39325 L
.43178 .39267 L
.43105 .39165 L
.43017 .39052 L
.42996 .39004 L
.42857 .38844 L
.42857 .38843 L
.42708 .38683 L
.42696 .38637 L
.42609 .38523 L
.42536 .3842 L
.42501 .38362 L
.42375 .38206 L
.42375 .38201 L
.4225 .38041 L
.42215 .38007 L
.42112 .3788 L
.42054 .37784 L
.4201 .3772 L
.41894 .37565 L
.41891 .37559 L
.41771 .37399 L
.41733 .3738 L
.4161 .37238 L
.41572 .37143 L
.41526 .37078 L
.41415 .36917 L
.41412 .36914 L
.41299 .36757 L
.41251 .36692 L
.41182 .36596 L
.41091 .36485 L
.41055 .36436 L
.40954 .36275 L
.4093 .36242 L
.40843 .36115 L
.4077 .36009 L
.40733 .35954 L
.40628 .35794 L
.40609 .35766 L
.40533 .35633 L
.40449 .3548 L
.40446 .35473 L
F
.033 .89 1 r
.40449 .44548 m
.40547 .44622 L
.40609 .44674 L
.40716 .44783 L
.4077 .44836 L
.40868 .44943 L
.4093 .45009 L
.41014 .45104 L
.41091 .45176 L
.41156 .45265 L
.41251 .45374 L
.41312 .45425 L
.41412 .45566 L
.4143 .45586 L
.41564 .45746 L
.41572 .45749 L
.41698 .45907 L
.41733 .45946 L
.41874 .46067 L
.41894 .46148 L
.41965 .46228 L
.42054 .4635 L
.42082 .46388 L
.42215 .46545 L
.42215 .46549 L
.42348 .46709 L
.42375 .46742 L
.4249 .4687 L
.42536 .46949 L
.42599 .4703 L
.42696 .47156 L
.42714 .47191 L
.42857 .47351 L
.42857 .47351 L
.43005 .47512 L
.43017 .47555 L
.43112 .47672 L
.43178 .47765 L
.43223 .47833 L
.43338 .47974 L
.43362 .47993 L
.43486 .48154 L
.43499 .4817 L
.43621 .48314 L
.43659 .48379 L
.43731 .48475 L
.4382 .48591 L
.43841 .48636 L
.4398 .48793 L
.43985 .48796 L
.44128 .48957 L
.44141 .48997 L
.44236 .49117 L
.44301 .49209 L
.44346 .49278 L
.44462 .49419 L
.44482 .49438 L
.44605 .49599 L
.44622 .49618 L
.44741 .49759 L
.44783 .49829 L
.44849 .4992 L
.44943 .50042 L
.4496 .5008 L
.451 .50241 L
.45104 .50244 L
.45246 .50401 L
.45265 .50451 L
.45352 .50562 L
.45425 .50665 L
.45461 .50722 L
.45586 .50874 L
.45594 .50883 L
.45717 .51043 L
.45746 .51075 L
.45854 .51204 L
.45907 .51288 L
.45962 .51364 L
.46067 .51501 L
.46077 .51525 L
.46209 .51686 L
.46228 .517 L
.4636 .51846 L
.46388 .51913 L
.46461 .52007 L
.46549 .52128 L
.46573 .52167 L
.46701 .52328 L
.46709 .52329 L
.46823 .52488 L
.4687 .52537 L
.46962 .52649 L
.4703 .52755 L
.47069 .52809 L
.47191 .52969 L
.47191 .5297 L
.47312 .5313 L
.47351 .5316 L
.47467 .53291 L
.47512 .53383 L
.47564 .53451 L
.47672 .53602 L
.47679 .53612 L
.478 .53772 L
.47833 .53815 L
.47921 .53933 L
.47993 .54011 L
.48059 .54093 L
.48154 .54237 L
.48166 .54254 L
.48284 .54414 L
.48314 .54454 L
.48404 .54575 L
.48475 .54638 L
.48554 .54735 L
.48636 .54878 L
.48649 .54896 L
.48763 .55057 L
.48796 .551 L
.48881 .55217 L
.48957 .55318 L
.49 .55378 L
.49117 .55535 L
.4912 .55538 L
.49231 .55699 L
.49278 .55761 L
.49345 .55859 L
.49438 .55988 L
.4946 .5602 L
.49569 .5618 L
.49599 .56223 L
.49671 .56341 L
.49759 .56477 L
.49772 .56501 L
.49759 .56619 L
.4963 .56501 L
.49599 .56473 L
.49473 .56341 L
.49438 .56306 L
.49325 .5618 L
.49278 .5613 L
.49181 .5602 L
.49117 .55966 L
.49041 .55859 L
.48957 .55763 L
.48876 .55699 L
.48796 .55568 L
.48768 .55538 L
.48636 .55378 L
.48636 .55378 L
.48504 .55217 L
.48475 .55187 L
.48372 .55057 L
.48314 .54985 L
.48232 .54896 L
.48154 .54782 L
.48118 .54735 L
.47993 .54583 L
.47991 .54575 L
.47856 .54414 L
.47833 .54387 L
.47709 .54254 L
.47672 .54181 L
.47602 .54093 L
.47512 .53973 L
.47487 .53933 L
.47351 .53775 L
.47348 .53772 L
.47193 .53612 L
.47191 .53573 L
.47089 .53451 L
.4703 .53363 L
.46979 .53291 L
.4687 .53154 L
.46864 .5313 L
.4672 .5297 L
.46709 .52957 L
.4658 .52809 L
.46549 .52748 L
.46472 .52649 L
.46388 .52536 L
.46361 .52488 L
.46228 .52332 L
.46222 .52328 L
.46072 .52167 L
.46067 .52129 L
.45967 .52007 L
.45907 .51918 L
.45857 .51846 L
.45746 .51707 L
.45742 .51686 L
.45602 .51525 L
.45586 .51507 L
.45461 .51364 L
.45425 .51297 L
.45354 .51204 L
.45265 .51084 L
.45243 .51043 L
.45107 .50883 L
.45104 .5088 L
.44954 .50722 L
.44943 .50675 L
.44852 .50562 L
.44783 .50461 L
.44742 .50401 L
.44622 .50251 L
.44621 .50241 L
.44491 .5008 L
.44462 .50051 L
.44348 .4992 L
.44301 .49837 L
.44243 .49759 L
.44141 .49624 L
.44128 .49599 L
.43999 .49438 L
.4398 .49426 L
.43839 .49278 L
.4382 .49213 L
.43742 .49117 L
.43659 .48997 L
.43632 .48957 L
.43507 .48796 L
.43499 .48786 L
.43385 .48636 L
.43338 .4859 L
.4324 .48475 L
.43178 .4837 L
.43136 .48314 L
.43017 .48155 L
.43017 .48154 L
.42896 .47993 L
.42857 .47969 L
.42732 .47833 L
.42696 .47743 L
.42641 .47672 L
.42536 .47522 L
.42529 .47512 L
.42408 .47351 L
.42375 .47308 L
.42288 .47191 L
.42215 .47116 L
.42144 .4703 L
.42054 .46887 L
.42042 .4687 L
.41924 .46709 L
.41894 .4667 L
.41805 .46549 L
.41733 .46491 L
.41647 .46388 L
.41572 .46246 L
.41559 .46228 L
.41446 .46067 L
.41412 .46023 L
.41328 .45907 L
.41251 .45804 L
.4121 .45746 L
.41091 .45587 L
.4109 .45586 L
.40979 .45425 L
.4093 .4536 L
.40866 .45265 L
.4077 .45132 L
.40751 .45104 L
.40645 .44943 L
.40609 .44893 L
.40545 .44783 L
.40449 .44625 L
.40448 .44622 L
F
1 .96 .289 r
.40609 .41129 m
.4077 .41211 L
.40815 .41251 L
.4093 .41359 L
.40992 .41412 L
.41091 .4154 L
.41118 .41572 L
.4125 .41733 L
.41251 .41734 L
.41378 .41894 L
.41412 .41933 L
.41536 .42054 L
.41572 .4214 L
.41638 .42215 L
.41733 .42348 L
.41752 .42375 L
.4188 .42536 L
.41894 .4254 L
.42002 .42696 L
.42054 .42747 L
.42142 .42857 L
.42215 .42966 L
.42248 .43017 L
.42369 .43178 L
.42375 .43186 L
.42486 .43338 L
.42536 .43408 L
.42633 .43499 L
.42696 .43644 L
.42709 .43659 L
.42743 .4382 L
.42696 .43846 L
.4254 .4382 L
.42536 .43818 L
.42375 .43718 L
.42305 .43659 L
.42215 .43557 L
.42173 .43499 L
.42054 .43368 L
.42048 .43338 L
.41901 .43178 L
.41894 .43169 L
.4176 .43017 L
.41733 .42963 L
.4165 .42857 L
.41572 .42752 L
.4154 .42696 L
.41412 .42546 L
.41399 .42536 L
.41254 .42375 L
.41251 .4235 L
.41148 .42215 L
.41091 .42135 L
.41042 .42054 L
.4093 .41915 L
.40927 .41894 L
.40798 .41733 L
.4077 .41693 L
.40662 .41572 L
.40609 .41458 L
.40576 .41412 L
.40496 .41251 L
F
1 .95 .212 r
.40609 .4118 m
.4077 .41248 L
.40774 .41251 L
.4093 .41385 L
.40965 .41412 L
.41091 .41559 L
.41103 .41572 L
.41238 .41733 L
.41251 .41745 L
.41368 .41894 L
.41412 .41944 L
.41529 .42054 L
.41572 .4215 L
.4163 .42215 L
.41733 .42356 L
.41746 .42375 L
.41873 .42536 L
.41894 .42543 L
.41995 .42696 L
.42054 .42755 L
.42135 .42857 L
.42215 .42977 L
.42241 .43017 L
.4236 .43178 L
.42375 .43199 L
.42476 .43338 L
.42536 .43424 L
.42618 .43499 L
.42685 .43659 L
.42536 .43788 L
.42375 .43689 L
.42334 .43659 L
.42215 .43535 L
.42187 .43499 L
.42054 .43351 L
.42051 .43338 L
.41912 .43178 L
.41894 .43155 L
.41766 .43017 L
.41733 .42951 L
.41658 .42857 L
.41572 .42742 L
.41546 .42696 L
.41412 .42539 L
.41408 .42536 L
.41256 .42375 L
.41251 .42341 L
.41156 .42215 L
.41091 .42123 L
.4105 .42054 L
.4093 .419 L
.40929 .41894 L
.40812 .41733 L
.4077 .41672 L
.40677 .41572 L
.40609 .41424 L
.40601 .41412 L
.40541 .41251 L
F
.045 .9 1 r
.40609 .41775 m
.40731 .41894 L
.4077 .41932 L
.40876 .42054 L
.4093 .42114 L
.41011 .42215 L
.41091 .42309 L
.41141 .42375 L
.41251 .42491 L
.41268 .42536 L
.41388 .42696 L
.41412 .42728 L
.415 .42857 L
.41572 .4296 L
.41608 .43017 L
.41693 .43178 L
.41572 .43183 L
.4157 .43178 L
.41412 .4303 L
.41403 .43017 L
.41259 .42857 L
.41251 .42848 L
.41125 .42696 L
.41091 .42655 L
.40996 .42536 L
.4093 .42451 L
.40872 .42375 L
.4077 .42254 L
.40738 .42215 L
.40645 .42054 L
.40609 .42 L
.40545 .41894 L
F
1 .98 .538 r
.40609 .39155 m
.40623 .39165 L
.4077 .39258 L
.40813 .39325 L
.4093 .39439 L
.40971 .39486 L
.41091 .3962 L
.41122 .39646 L
.41251 .39806 L
.41252 .39807 L
.41384 .39967 L
.41412 .40002 L
.41511 .40128 L
.41572 .40165 L
.41659 .40288 L
.41733 .40428 L
.4174 .40449 L
.41823 .40609 L
.41733 .40702 L
.41587 .40609 L
.41572 .40596 L
.41434 .40449 L
.41412 .40424 L
.41302 .40288 L
.41251 .40227 L
.41176 .40128 L
.41091 .4002 L
.41052 .39967 L
.4093 .39807 L
.4093 .39807 L
.40819 .39646 L
.4077 .39577 L
.40711 .39486 L
.40609 .39331 L
.40606 .39325 L
.4055 .39165 L
F
1 .64 0 r
.40609 .45363 m
.40668 .45425 L
.4077 .45528 L
.4082 .45586 L
.4093 .45706 L
.40965 .45746 L
.41091 .45885 L
.41105 .45907 L
.4124 .46067 L
.41251 .4608 L
.41374 .46228 L
.41412 .46272 L
.41507 .46388 L
.41572 .46436 L
.4164 .46549 L
.41733 .46656 L
.41793 .46709 L
.41894 .46861 L
.41902 .4687 L
.42029 .4703 L
.42054 .47061 L
.42157 .47191 L
.42215 .47245 L
.42349 .47351 L
.42375 .47459 L
.42424 .47512 L
.42536 .47666 L
.4254 .47672 L
.42666 .47833 L
.42696 .47846 L
.42792 .47993 L
.42857 .48065 L
.42945 .48154 L
.43017 .48278 L
.43047 .48314 L
.4317 .48475 L
.43178 .48485 L
.43294 .48636 L
.43338 .48674 L
.43474 .48796 L
.43499 .48892 L
.43555 .48957 L
.43659 .49105 L
.43668 .49117 L
.43791 .49278 L
.4382 .49284 L
.43915 .49438 L
.4398 .49509 L
.44064 .49599 L
.44141 .49728 L
.44166 .49759 L
.44286 .4992 L
.44301 .4994 L
.44408 .5008 L
.44462 .50124 L
.44582 .50241 L
.44622 .50352 L
.44664 .50401 L
.44777 .50562 L
.44783 .5057 L
.44897 .50722 L
.44943 .50782 L
.45019 .50883 L
.45104 .50978 L
.45162 .51043 L
.45264 .51204 L
.45265 .51204 L
.45383 .51364 L
.45425 .51419 L
.45503 .51525 L
.45586 .51604 L
.45662 .51686 L
.45746 .51846 L
.45746 .51846 L
.45862 .52007 L
.45907 .52064 L
.45981 .52167 L
.46067 .52282 L
.461 .52328 L
.46218 .52488 L
.46228 .525 L
.46331 .52649 L
.46388 .52725 L
.46446 .52809 L
.46549 .52951 L
.46562 .5297 L
.46668 .5313 L
.46709 .53188 L
.46771 .53291 L
.4687 .53444 L
.46873 .53451 L
.4687 .53523 L
.46789 .53451 L
.46709 .5338 L
.46628 .53291 L
.46549 .53209 L
.4648 .5313 L
.46388 .53029 L
.46338 .5297 L
.46228 .52855 L
.46199 .52809 L
.46067 .52653 L
.46062 .52649 L
.45931 .52488 L
.45907 .52459 L
.45799 .52328 L
.45746 .52304 L
.45667 .52167 L
.45586 .52077 L
.45501 .52007 L
.45425 .5187 L
.45403 .51846 L
.45278 .51686 L
.45265 .51669 L
.4515 .51525 L
.45104 .51486 L
.45022 .51364 L
.44943 .51271 L
.4488 .51204 L
.44783 .51063 L
.44768 .51043 L
.44642 .50883 L
.44622 .50859 L
.44516 .50722 L
.44462 .50666 L
.44355 .50562 L
.44301 .50452 L
.44259 .50401 L
.44141 .50243 L
.44139 .50241 L
.44015 .5008 L
.4398 .50056 L
.4389 .4992 L
.4382 .49838 L
.4375 .49759 L
.43659 .49623 L
.43641 .49599 L
.43517 .49438 L
.43499 .49415 L
.43394 .49278 L
.43338 .49222 L
.43238 .49117 L
.43178 .49001 L
.43142 .48957 L
.43023 .48796 L
.43017 .48788 L
.42902 .48636 L
.42857 .48608 L
.42779 .48475 L
.42696 .48378 L
.42642 .48314 L
.42536 .48158 L
.42533 .48154 L
.42412 .47993 L
.42375 .47945 L
.42291 .47833 L
.42215 .47753 L
.42141 .47672 L
.42054 .47524 L
.42045 .47512 L
.41928 .47351 L
.41894 .47307 L
.41808 .47191 L
.41733 .47131 L
.41687 .4703 L
.41572 .46881 L
.41563 .4687 L
.41449 .46709 L
.41412 .4666 L
.41332 .46549 L
.41251 .46441 L
.41213 .46388 L
.41095 .46228 L
.41091 .46222 L
.40984 .46067 L
.4093 .45995 L
.40871 .45907 L
.4077 .45767 L
.40756 .45746 L
.40652 .45586 L
.40609 .45523 L
.40555 .45425 L
F
0 .36 1 r
.40609 .46037 m
.40635 .46067 L
.4077 .46214 L
.40781 .46228 L
.40918 .46388 L
.4093 .46402 L
.4105 .46549 L
.41091 .46595 L
.41181 .46709 L
.41251 .46791 L
.41313 .4687 L
.41412 .46988 L
.41445 .4703 L
.41572 .47184 L
.41576 .47191 L
.41701 .47351 L
.41733 .4739 L
.41827 .47512 L
.41894 .47593 L
.41954 .47672 L
.42054 .47797 L
.42081 .47833 L
.42207 .47993 L
.42215 .48002 L
.42329 .48154 L
.42375 .48211 L
.42452 .48314 L
.42536 .48419 L
.42577 .48475 L
.42696 .4862 L
.42703 .48636 L
.42822 .48796 L
.42857 .48839 L
.42942 .48957 L
.43017 .49052 L
.43065 .49117 L
.43178 .49263 L
.43188 .49278 L
.43305 .49438 L
.43338 .49481 L
.43421 .49599 L
.43499 .497 L
.4354 .49759 L
.43659 .49918 L
.43661 .4992 L
.43767 .5008 L
.4382 .50151 L
.43875 .50241 L
.4398 .50391 L
.43986 .50401 L
.4398 .50458 L
.43928 .50401 L
.4382 .50297 L
.43773 .50241 L
.43659 .50115 L
.4363 .5008 L
.43499 .49927 L
.43493 .4992 L
.43362 .49759 L
.43338 .49732 L
.43232 .49599 L
.43178 .49536 L
.43101 .49438 L
.43017 .49338 L
.4297 .49278 L
.42857 .49154 L
.4284 .49117 L
.42714 .48957 L
.42696 .48935 L
.42589 .48796 L
.42536 .48731 L
.42462 .48636 L
.42375 .48527 L
.42335 .48475 L
.42215 .48325 L
.42203 .48314 L
.42087 .48154 L
.42054 .48113 L
.41964 .47993 L
.41894 .47904 L
.4184 .47833 L
.41733 .47716 L
.41716 .47672 L
.41595 .47512 L
.41572 .47483 L
.41476 .47351 L
.41412 .47269 L
.41355 .47191 L
.41251 .47056 L
.41233 .4703 L
.41115 .4687 L
.41091 .46838 L
.41001 .46709 L
.4093 .46617 L
.40883 .46549 L
.4077 .46396 L
.40765 .46388 L
.40661 .46228 L
.40609 .46157 L
.40558 .46067 L
F
1 .63 0 r
.40609 .45379 m
.40654 .45425 L
.4077 .45539 L
.40812 .45586 L
.4093 .45714 L
.40958 .45746 L
.41091 .45894 L
.41099 .45907 L
.41235 .46067 L
.41251 .46086 L
.41369 .46228 L
.41412 .46277 L
.41503 .46388 L
.41572 .4644 L
.41636 .46549 L
.41733 .46661 L
.41789 .46709 L
.41894 .46865 L
.41898 .4687 L
.42026 .4703 L
.42054 .47064 L
.42154 .47191 L
.42215 .47249 L
.42346 .47351 L
.42375 .47463 L
.42421 .47512 L
.42536 .47669 L
.42538 .47672 L
.42664 .47833 L
.42696 .47847 L
.4279 .47993 L
.42857 .48067 L
.42943 .48154 L
.43017 .48281 L
.43045 .48314 L
.43167 .48475 L
.43178 .48488 L
.43292 .48636 L
.43338 .48676 L
.43472 .48796 L
.43499 .48895 L
.43553 .48957 L
.43659 .49108 L
.43666 .49117 L
.43789 .49278 L
.4382 .49285 L
.43913 .49438 L
.4398 .49511 L
.44062 .49599 L
.44141 .4973 L
.44164 .49759 L
.44284 .4992 L
.44301 .49942 L
.44406 .5008 L
.44462 .50126 L
.4458 .50241 L
.44622 .50355 L
.44661 .50401 L
.44775 .50562 L
.44783 .50572 L
.44895 .50722 L
.44943 .50784 L
.45017 .50883 L
.45104 .50981 L
.45159 .51043 L
.45262 .51204 L
.45265 .51207 L
.45381 .51364 L
.45425 .51422 L
.45501 .51525 L
.45586 .51608 L
.45658 .51686 L
.45743 .51846 L
.45746 .5185 L
.4586 .52007 L
.45907 .52068 L
.45978 .52167 L
.46067 .52286 L
.46097 .52328 L
.46214 .52488 L
.46228 .52506 L
.46327 .52649 L
.46388 .52731 L
.46441 .52809 L
.46549 .52958 L
.46557 .5297 L
.46661 .5313 L
.46709 .532 L
.46761 .53291 L
.46709 .53367 L
.46638 .53291 L
.46549 .53199 L
.46488 .5313 L
.46388 .53021 L
.46344 .5297 L
.46228 .52846 L
.46205 .52809 L
.46069 .52649 L
.46067 .52647 L
.45936 .52488 L
.45907 .52454 L
.45803 .52328 L
.45746 .52301 L
.45671 .52167 L
.45586 .52073 L
.45506 .52007 L
.45425 .51866 L
.45407 .51846 L
.45281 .51686 L
.45265 .51665 L
.45153 .51525 L
.45104 .51484 L
.45025 .51364 L
.44943 .51268 L
.44882 .51204 L
.44783 .5106 L
.4477 .51043 L
.44644 .50883 L
.44622 .50856 L
.44518 .50722 L
.44462 .50663 L
.44357 .50562 L
.44301 .50449 L
.44261 .50401 L
.44141 .50241 L
.44141 .50241 L
.44017 .5008 L
.4398 .50054 L
.43892 .4992 L
.4382 .49835 L
.43752 .49759 L
.43659 .49621 L
.43643 .49599 L
.43519 .49438 L
.43499 .49412 L
.43396 .49278 L
.43338 .49219 L
.4324 .49117 L
.43178 .48999 L
.43144 .48957 L
.43025 .48796 L
.43017 .48786 L
.42904 .48636 L
.42857 .48606 L
.42781 .48475 L
.42696 .48375 L
.42645 .48314 L
.42536 .48155 L
.42535 .48154 L
.42415 .47993 L
.42375 .47943 L
.42293 .47833 L
.42215 .4775 L
.42144 .47672 L
.42054 .4752 L
.42048 .47512 L
.4193 .47351 L
.41894 .47304 L
.4181 .47191 L
.41733 .47127 L
.4169 .4703 L
.41572 .46877 L
.41567 .4687 L
.41453 .46709 L
.41412 .46656 L
.41335 .46549 L
.41251 .46437 L
.41217 .46388 L
.41099 .46228 L
.41091 .46216 L
.40988 .46067 L
.4093 .45988 L
.40876 .45907 L
.4077 .45759 L
.40762 .45746 L
.40662 .45586 L
.40609 .45507 L
.40568 .45425 L
F
0 .35 1 r
.40609 .46049 m
.40625 .46067 L
.4077 .46221 L
.40775 .46228 L
.40911 .46388 L
.4093 .46408 L
.41044 .46549 L
.41091 .46601 L
.41177 .46709 L
.41251 .46795 L
.4131 .4687 L
.41412 .46992 L
.41442 .4703 L
.41572 .47191 L
.41573 .47191 L
.41697 .47351 L
.41733 .47394 L
.41823 .47512 L
.41894 .47597 L
.41951 .47672 L
.42054 .47801 L
.42079 .47833 L
.42204 .47993 L
.42215 .48006 L
.42326 .48154 L
.42375 .48215 L
.4245 .48314 L
.42536 .48423 L
.42575 .48475 L
.42696 .48626 L
.427 .48636 L
.42819 .48796 L
.42857 .48843 L
.42939 .48957 L
.43017 .49056 L
.43062 .49117 L
.43178 .49268 L
.43185 .49278 L
.43301 .49438 L
.43338 .49486 L
.43417 .49599 L
.43499 .49705 L
.43536 .49759 L
.43656 .4992 L
.43659 .49925 L
.4376 .5008 L
.4382 .5016 L
.43867 .50241 L
.4382 .50287 L
.4378 .50241 L
.43659 .50108 L
.43636 .5008 L
.43499 .49921 L
.43498 .4992 L
.43367 .49759 L
.43338 .49727 L
.43236 .49599 L
.43178 .49531 L
.43105 .49438 L
.43017 .49333 L
.42974 .49278 L
.42857 .49147 L
.42844 .49117 L
.42717 .48957 L
.42696 .48931 L
.42592 .48796 L
.42536 .48727 L
.42465 .48636 L
.42375 .48523 L
.42338 .48475 L
.42215 .48319 L
.42209 .48314 L
.42091 .48154 L
.42054 .48109 L
.41967 .47993 L
.41894 .479 L
.41843 .47833 L
.41733 .47709 L
.41719 .47672 L
.41599 .47512 L
.41572 .47479 L
.41479 .47351 L
.41412 .47265 L
.41358 .47191 L
.41251 .47052 L
.41236 .4703 L
.4112 .4687 L
.41091 .46833 L
.41005 .46709 L
.4093 .46611 L
.40888 .46549 L
.4077 .46389 L
.40769 .46388 L
.40669 .46228 L
.40609 .46144 L
.4057 .46067 L
F
.024 .88 1 r
.40609 .44712 m
.40685 .44783 L
.4077 .44861 L
.40848 .44943 L
.4093 .45029 L
.40998 .45104 L
.41091 .45193 L
.41142 .45265 L
.41251 .45389 L
.41297 .45425 L
.41412 .45578 L
.41419 .45586 L
.41555 .45746 L
.41572 .45753 L
.41689 .45907 L
.41733 .45955 L
.41869 .46067 L
.41894 .46156 L
.41959 .46228 L
.42054 .46357 L
.42077 .46388 L
.42213 .46549 L
.42215 .4655 L
.42343 .46709 L
.42375 .46749 L
.42486 .4687 L
.42536 .46955 L
.42595 .4703 L
.42696 .47161 L
.42712 .47191 L
.42853 .47351 L
.42857 .47355 L
.43004 .47512 L
.43017 .4756 L
.43109 .47672 L
.43178 .4777 L
.4322 .47833 L
.43338 .47977 L
.43358 .47993 L
.43483 .48154 L
.43499 .48173 L
.43619 .48314 L
.43659 .48383 L
.43728 .48475 L
.4382 .48594 L
.4384 .48636 L
.4398 .48795 L
.43982 .48796 L
.44127 .48957 L
.44141 .49 L
.44234 .49117 L
.44301 .49212 L
.44344 .49278 L
.44462 .49421 L
.4448 .49438 L
.44603 .49599 L
.44622 .49621 L
.44739 .49759 L
.44783 .49832 L
.44847 .4992 L
.44943 .50044 L
.44959 .5008 L
.45098 .50241 L
.45104 .50246 L
.45245 .50401 L
.45265 .50454 L
.4535 .50562 L
.45425 .50667 L
.4546 .50722 L
.45586 .50876 L
.45593 .50883 L
.45715 .51043 L
.45746 .51077 L
.45853 .51204 L
.45907 .51291 L
.4596 .51364 L
.46067 .51503 L
.46076 .51525 L
.46207 .51686 L
.46228 .51702 L
.46359 .51846 L
.46388 .51915 L
.4646 .52007 L
.46549 .5213 L
.46571 .52167 L
.46699 .52328 L
.46709 .5233 L
.46821 .52488 L
.4687 .52539 L
.4696 .52649 L
.4703 .52758 L
.47067 .52809 L
.47189 .5297 L
.47191 .52972 L
.4731 .5313 L
.47351 .53162 L
.47465 .53291 L
.47512 .53386 L
.47561 .53451 L
.47672 .53605 L
.47676 .53612 L
.47797 .53772 L
.47833 .53819 L
.47918 .53933 L
.47993 .54015 L
.48056 .54093 L
.48154 .54242 L
.48162 .54254 L
.4828 .54414 L
.48314 .54459 L
.484 .54575 L
.48475 .54645 L
.48549 .54735 L
.48636 .54886 L
.48643 .54896 L
.48758 .55057 L
.48796 .55107 L
.48875 .55217 L
.48957 .55326 L
.48993 .55378 L
.49111 .55538 L
.49117 .55546 L
.49223 .55699 L
.49278 .55774 L
.49335 .55859 L
.49438 .56003 L
.49449 .5602 L
.49552 .5618 L
.49599 .56249 L
.4965 .56341 L
.49599 .56441 L
.49498 .56341 L
.49438 .56283 L
.49343 .5618 L
.49278 .56111 L
.49196 .5602 L
.49117 .55952 L
.49054 .55859 L
.48957 .5575 L
.4889 .55699 L
.48796 .55557 L
.48778 .55538 L
.48645 .55378 L
.48636 .55377 L
.48512 .55217 L
.48475 .55179 L
.48379 .55057 L
.48314 .54977 L
.48239 .54896 L
.48154 .54775 L
.48123 .54735 L
.47993 .54578 L
.47992 .54575 L
.47861 .54414 L
.47833 .54382 L
.47712 .54254 L
.47672 .54175 L
.47606 .54093 L
.47512 .53969 L
.4749 .53933 L
.47352 .53772 L
.47351 .53772 L
.47193 .53612 L
.47191 .53568 L
.47092 .53451 L
.4703 .53359 L
.46982 .53291 L
.4687 .53151 L
.46865 .5313 L
.46723 .5297 L
.46709 .52954 L
.46582 .52809 L
.46549 .52745 L
.46474 .52649 L
.46388 .52534 L
.46363 .52488 L
.46228 .5233 L
.46224 .52328 L
.46073 .52167 L
.46067 .52127 L
.45968 .52007 L
.45907 .51915 L
.45859 .51846 L
.45746 .51705 L
.45742 .51686 L
.45604 .51525 L
.45586 .51505 L
.45463 .51364 L
.45425 .51294 L
.45356 .51204 L
.45265 .51082 L
.45244 .51043 L
.45109 .50883 L
.45104 .50879 L
.44954 .50722 L
.44943 .50672 L
.44853 .50562 L
.44783 .50459 L
.44744 .50401 L
.44622 .50249 L
.44621 .50241 L
.44493 .5008 L
.44462 .50049 L
.44349 .4992 L
.44301 .49835 L
.44244 .49759 L
.44141 .49622 L
.44129 .49599 L
.44 .49438 L
.4398 .49425 L
.4384 .49278 L
.4382 .49211 L
.43744 .49117 L
.43659 .48995 L
.43634 .48957 L
.43509 .48796 L
.43499 .48783 L
.43387 .48636 L
.43338 .48588 L
.43242 .48475 L
.43178 .48367 L
.43139 .48314 L
.43019 .48154 L
.43017 .48152 L
.42898 .47993 L
.42857 .47967 L
.42734 .47833 L
.42696 .4774 L
.42643 .47672 L
.42536 .47519 L
.42531 .47512 L
.42411 .47351 L
.42375 .47304 L
.42291 .47191 L
.42215 .47112 L
.42148 .4703 L
.42054 .46882 L
.42045 .4687 L
.41928 .46709 L
.41894 .46665 L
.41809 .46549 L
.41733 .46484 L
.41653 .46388 L
.41572 .46237 L
.41565 .46228 L
.41451 .46067 L
.41412 .46016 L
.41334 .45907 L
.41251 .45796 L
.41216 .45746 L
.41099 .45586 L
.41091 .45575 L
.40988 .45425 L
.4093 .45346 L
.40876 .45265 L
.4077 .45115 L
.40763 .45104 L
.40663 .44943 L
.40609 .44861 L
.4057 .44783 L
F
.033 .89 1 r
.40609 .41818 m
.40699 .41894 L
.4077 .41958 L
.40856 .42054 L
.4093 .42135 L
.40995 .42215 L
.41091 .42327 L
.41127 .42375 L
.41251 .42525 L
.41255 .42536 L
.41371 .42696 L
.41412 .4275 L
.41482 .42857 L
.41572 .42991 L
.41588 .43017 L
.41572 .43138 L
.41432 .43017 L
.41412 .42999 L
.41281 .42857 L
.41251 .42825 L
.41144 .42696 L
.41091 .42633 L
.41014 .42536 L
.4093 .42429 L
.40889 .42375 L
.40772 .42215 L
.4077 .42211 L
.40668 .42054 L
.40609 .41958 L
.40575 .41894 L
F
1 .62 0 r
.40609 .45399 m
.40637 .45425 L
.4077 .4555 L
.40802 .45586 L
.4093 .45723 L
.40951 .45746 L
.41091 .45904 L
.41093 .45907 L
.41229 .46067 L
.41251 .46092 L
.41364 .46228 L
.41412 .46283 L
.41499 .46388 L
.41572 .46445 L
.41632 .46549 L
.41733 .46665 L
.41784 .46709 L
.41894 .46869 L
.41894 .4687 L
.42023 .4703 L
.42054 .47068 L
.42152 .47191 L
.42215 .47252 L
.42343 .47351 L
.42375 .47466 L
.42418 .47512 L
.42536 .47672 L
.42536 .47672 L
.42661 .47833 L
.42696 .47849 L
.42788 .47993 L
.42857 .4807 L
.4294 .48154 L
.43017 .48283 L
.43043 .48314 L
.43165 .48475 L
.43178 .48491 L
.4329 .48636 L
.43338 .48678 L
.43471 .48796 L
.43499 .48898 L
.4355 .48957 L
.43659 .4911 L
.43664 .49117 L
.43787 .49278 L
.4382 .49286 L
.43911 .49438 L
.4398 .49514 L
.4406 .49599 L
.44141 .49733 L
.44162 .49759 L
.44282 .4992 L
.44301 .49945 L
.44404 .5008 L
.44462 .50129 L
.44578 .50241 L
.44622 .50358 L
.44659 .50401 L
.44773 .50562 L
.44783 .50575 L
.44893 .50722 L
.44943 .50787 L
.45015 .50883 L
.45104 .50984 L
.45156 .51043 L
.4526 .51204 L
.45265 .5121 L
.45378 .51364 L
.45425 .51425 L
.45498 .51525 L
.45586 .51613 L
.45653 .51686 L
.4574 .51846 L
.45746 .51854 L
.45856 .52007 L
.45907 .52072 L
.45974 .52167 L
.46067 .5229 L
.46094 .52328 L
.4621 .52488 L
.46228 .52511 L
.46322 .52649 L
.46388 .52738 L
.46436 .52809 L
.46549 .52965 L
.46552 .5297 L
.46652 .5313 L
.46709 .53214 L
.4675 .53291 L
.46709 .53352 L
.46651 .53291 L
.46549 .5319 L
.46496 .5313 L
.46388 .53013 L
.46351 .5297 L
.46228 .52837 L
.46211 .52809 L
.46074 .52649 L
.46067 .52641 L
.45941 .52488 L
.45907 .52449 L
.45807 .52328 L
.45746 .52297 L
.45674 .52167 L
.45586 .52068 L
.45511 .52007 L
.45425 .51862 L
.45411 .51846 L
.45284 .51686 L
.45265 .51662 L
.45156 .51525 L
.45104 .51481 L
.45027 .51364 L
.44943 .51265 L
.44885 .51204 L
.44783 .51057 L
.44772 .51043 L
.44647 .50883 L
.44622 .50853 L
.4452 .50722 L
.44462 .50661 L
.4436 .50562 L
.44301 .50446 L
.44264 .50401 L
.44143 .50241 L
.44141 .50238 L
.44019 .5008 L
.4398 .50053 L
.43894 .4992 L
.4382 .49832 L
.43754 .49759 L
.43659 .49618 L
.43645 .49599 L
.43521 .49438 L
.43499 .49409 L
.43398 .49278 L
.43338 .49217 L
.43242 .49117 L
.43178 .48996 L
.43146 .48957 L
.43027 .48796 L
.43017 .48783 L
.42906 .48636 L
.42857 .48604 L
.42783 .48475 L
.42696 .48372 L
.42647 .48314 L
.42537 .48154 L
.42536 .48152 L
.42417 .47993 L
.42375 .4794 L
.42295 .47833 L
.42215 .47747 L
.42147 .47672 L
.42054 .47517 L
.4205 .47512 L
.41933 .47351 L
.41894 .47301 L
.41813 .47191 L
.41733 .47122 L
.41692 .4703 L
.41572 .46872 L
.41571 .4687 L
.41456 .46709 L
.41412 .46651 L
.41339 .46549 L
.41251 .46432 L
.4122 .46388 L
.41104 .46228 L
.41091 .4621 L
.40993 .46067 L
.4093 .45981 L
.40881 .45907 L
.4077 .4575 L
.40767 .45746 L
.40672 .45586 L
.40609 .45486 L
.40584 .45425 L
F
0 .34 1 r
.40609 .46062 m
.40614 .46067 L
.40609 .46126 L
.40588 .46067 L
F
1 .94 .156 r
.40609 .41245 m
.407 .41251 L
.4077 .41282 L
.4093 .41411 L
.40932 .41412 L
.41086 .41572 L
.41091 .41574 L
.41225 .41733 L
.41251 .41756 L
.41358 .41894 L
.41412 .41955 L
.41521 .42054 L
.41572 .42159 L
.41622 .42215 L
.41733 .42365 L
.41741 .42375 L
.41865 .42536 L
.41894 .42547 L
.41988 .42696 L
.42054 .42764 L
.42128 .42857 L
.42215 .42988 L
.42234 .43017 L
.42351 .43178 L
.42375 .43211 L
.42465 .43338 L
.42536 .43441 L
.426 .43499 L
.42659 .43659 L
.42536 .43758 L
.42375 .43663 L
.4237 .43659 L
.42215 .43514 L
.42202 .43499 L
.42058 .43338 L
.42054 .43335 L
.41923 .43178 L
.41894 .43142 L
.41773 .43017 L
.41733 .42939 L
.41666 .42857 L
.41572 .42732 L
.41552 .42696 L
.41417 .42536 L
.41412 .42534 L
.41257 .42375 L
.41251 .42331 L
.41165 .42215 L
.41091 .42109 L
.41059 .42054 L
.40938 .41894 L
.4093 .41883 L
.40825 .41733 L
.4077 .41649 L
.40696 .41572 L
.40628 .41412 L
.40609 .41363 L
.40603 .41251 L
F
1 .93 .114 r
.4077 .41317 m
.40902 .41412 L
.4093 .41435 L
.41068 .41572 L
.41091 .41579 L
.41212 .41733 L
.41251 .41768 L
.41347 .41894 L
.41412 .41966 L
.41513 .42054 L
.41572 .42169 L
.41614 .42215 L
.41733 .42373 L
.41735 .42375 L
.41858 .42536 L
.41894 .42551 L
.41981 .42696 L
.42054 .42773 L
.4212 .42857 L
.42215 .43 L
.42226 .43017 L
.42342 .43178 L
.42375 .43224 L
.42454 .43338 L
.42536 .43461 L
.42578 .43499 L
.42629 .43659 L
.42536 .43727 L
.42405 .43659 L
.42375 .43639 L
.4222 .43499 L
.42215 .43497 L
.42071 .43338 L
.42054 .43322 L
.41934 .43178 L
.41894 .4313 L
.4178 .43017 L
.41733 .42927 L
.41674 .42857 L
.41572 .42722 L
.41557 .42696 L
.41426 .42536 L
.41412 .42532 L
.4126 .42375 L
.41251 .42321 L
.41173 .42215 L
.41091 .42095 L
.41067 .42054 L
.4095 .41894 L
.4093 .41866 L
.40839 .41733 L
.4077 .41625 L
.40719 .41572 L
.40659 .41412 L
F
1 .61 0 r
.4077 .45562 m
.40792 .45586 L
.4093 .45731 L
.40943 .45746 L
.41086 .45907 L
.41091 .45912 L
.41223 .46067 L
.41251 .46098 L
.41359 .46228 L
.41412 .46288 L
.41494 .46388 L
.41572 .4645 L
.41628 .46549 L
.41733 .4667 L
.41778 .46709 L
.41891 .4687 L
.41894 .46873 L
.42019 .4703 L
.42054 .47072 L
.42149 .47191 L
.42215 .47255 L
.42339 .47351 L
.42375 .4747 L
.42415 .47512 L
.42533 .47672 L
.42536 .47675 L
.42659 .47833 L
.42696 .4785 L
.42786 .47993 L
.42857 .48073 L
.42938 .48154 L
.43017 .48286 L
.43041 .48314 L
.43163 .48475 L
.43178 .48493 L
.43288 .48636 L
.43338 .4868 L
.43469 .48796 L
.43499 .489 L
.43548 .48957 L
.43659 .49113 L
.43662 .49117 L
.43785 .49278 L
.4382 .49287 L
.43909 .49438 L
.4398 .49516 L
.44058 .49599 L
.44141 .49736 L
.4416 .49759 L
.4428 .4992 L
.44301 .49947 L
.44402 .5008 L
.44462 .50131 L
.44576 .50241 L
.44622 .50361 L
.44657 .50401 L
.44771 .50562 L
.44783 .50578 L
.44891 .50722 L
.44943 .5079 L
.45013 .50883 L
.45104 .50988 L
.45153 .51043 L
.45257 .51204 L
.45265 .51213 L
.45376 .51364 L
.45425 .51428 L
.45496 .51525 L
.45586 .51617 L
.45649 .51686 L
.45737 .51846 L
.45746 .51857 L
.45853 .52007 L
.45907 .52076 L
.45971 .52167 L
.46067 .52295 L
.46091 .52328 L
.46206 .52488 L
.46228 .52517 L
.46318 .52649 L
.46388 .52744 L
.46432 .52809 L
.46546 .5297 L
.46549 .52974 L
.46643 .5313 L
.46709 .53231 L
.46737 .53291 L
.46709 .53334 L
.46666 .53291 L
.46549 .53179 L
.46505 .5313 L
.46388 .53005 L
.46358 .5297 L
.46228 .52828 L
.46216 .52809 L
.4608 .52649 L
.46067 .52635 L
.45945 .52488 L
.45907 .52444 L
.45811 .52328 L
.45746 .52293 L
.45678 .52167 L
.45586 .52063 L
.45516 .52007 L
.45425 .51858 L
.45414 .51846 L
.45287 .51686 L
.45265 .51658 L
.45159 .51525 L
.45104 .51478 L
.4503 .51364 L
.44943 .51261 L
.44888 .51204 L
.44783 .51054 L
.44775 .51043 L
.44649 .50883 L
.44622 .5085 L
.44523 .50722 L
.44462 .50658 L
.44362 .50562 L
.44301 .50443 L
.44266 .50401 L
.44145 .50241 L
.44141 .50235 L
.44021 .5008 L
.4398 .50051 L
.43896 .4992 L
.4382 .4983 L
.43757 .49759 L
.43659 .49616 L
.43646 .49599 L
.43523 .49438 L
.43499 .49407 L
.434 .49278 L
.43338 .49215 L
.43244 .49117 L
.43178 .48994 L
.43148 .48957 L
.43029 .48796 L
.43017 .48781 L
.42908 .48636 L
.42857 .48602 L
.42785 .48475 L
.42696 .48369 L
.42649 .48314 L
.42539 .48154 L
.42536 .4815 L
.42419 .47993 L
.42375 .47937 L
.42298 .47833 L
.42215 .47743 L
.4215 .47672 L
.42054 .47513 L
.42053 .47512 L
.41935 .47351 L
.41894 .47297 L
.41816 .47191 L
.41733 .47117 L
.41695 .4703 L
.41574 .4687 L
.41572 .46867 L
.41459 .46709 L
.41412 .46647 L
.41342 .46549 L
.41251 .46427 L
.41224 .46388 L
.41109 .46228 L
.41091 .46204 L
.40998 .46067 L
.4093 .45974 L
.40886 .45907 L
.40775 .45746 L
.4077 .45739 L
.40684 .45586 L
F
.018 .87 1 r
.4077 .4489 m
.40823 .44943 L
.4093 .45051 L
.4098 .45104 L
.41091 .45212 L
.41127 .45265 L
.41251 .45404 L
.41279 .45425 L
.41408 .45586 L
.41412 .4559 L
.41545 .45746 L
.41572 .45757 L
.4168 .45907 L
.41733 .45964 L
.41864 .46067 L
.41894 .46165 L
.41952 .46228 L
.42054 .46364 L
.42072 .46388 L
.42207 .46549 L
.42215 .46555 L
.42337 .46709 L
.42375 .46755 L
.42482 .4687 L
.42536 .46961 L
.42591 .4703 L
.42696 .47165 L
.4271 .47191 L
.42849 .47351 L
.42857 .4736 L
.43002 .47512 L
.43017 .47565 L
.43106 .47672 L
.43178 .47774 L
.43218 .47833 L
.43338 .47979 L
.43355 .47993 L
.4348 .48154 L
.43499 .48177 L
.43617 .48314 L
.43659 .48386 L
.43726 .48475 L
.4382 .48597 L
.43838 .48636 L
.4398 .48796 L
.4398 .48797 L
.44126 .48957 L
.44141 .49003 L
.44232 .49117 L
.44301 .49215 L
.44342 .49278 L
.44462 .49423 L
.44478 .49438 L
.44601 .49599 L
.44622 .49623 L
.44738 .49759 L
.44783 .49834 L
.44846 .4992 L
.44943 .50046 L
.44958 .5008 L
.45096 .50241 L
.45104 .50248 L
.45244 .50401 L
.45265 .50456 L
.45348 .50562 L
.45425 .50669 L
.45459 .50722 L
.45586 .50878 L
.45591 .50883 L
.45713 .51043 L
.45746 .51079 L
.45851 .51204 L
.45907 .51293 L
.45958 .51364 L
.46067 .51505 L
.46075 .51525 L
.46205 .51686 L
.46228 .51704 L
.46358 .51846 L
.46388 .51917 L
.46458 .52007 L
.46549 .52133 L
.4657 .52167 L
.46697 .52328 L
.46709 .5233 L
.46819 .52488 L
.4687 .52542 L
.46958 .52649 L
.4703 .52761 L
.47065 .52809 L
.47187 .5297 L
.47191 .52975 L
.47307 .5313 L
.47351 .53165 L
.47463 .53291 L
.47512 .5339 L
.47559 .53451 L
.47672 .53609 L
.47674 .53612 L
.47794 .53772 L
.47833 .53823 L
.47915 .53933 L
.47993 .5402 L
.48052 .54093 L
.48154 .54247 L
.48159 .54254 L
.48277 .54414 L
.48314 .54464 L
.48396 .54575 L
.48475 .54652 L
.48543 .54735 L
.48636 .54894 L
.48637 .54896 L
.48752 .55057 L
.48796 .55115 L
.48869 .55217 L
.48957 .55335 L
.48987 .55378 L
.49103 .55538 L
.49117 .55557 L
.49213 .55699 L
.49278 .55787 L
.49325 .55859 L
.49438 .5602 L
.49438 .56021 L
.49533 .5618 L
.49599 .56286 L
.49623 .56341 L
.49599 .56398 L
.49532 .56341 L
.49438 .56258 L
.49364 .5618 L
.49278 .56092 L
.49212 .5602 L
.49117 .55935 L
.49067 .55859 L
.48957 .55735 L
.48907 .55699 L
.48796 .55546 L
.48789 .55538 L
.48654 .55378 L
.48636 .55377 L
.4852 .55217 L
.48475 .55171 L
.48386 .55057 L
.48314 .54968 L
.48245 .54896 L
.48154 .54768 L
.48128 .54735 L
.47995 .54575 L
.47993 .54574 L
.47866 .54414 L
.47833 .54376 L
.47716 .54254 L
.47672 .5417 L
.4761 .54093 L
.47512 .53964 L
.47493 .53933 L
.47356 .53772 L
.47351 .53768 L
.47194 .53612 L
.47191 .53564 L
.47095 .53451 L
.4703 .53355 L
.46984 .53291 L
.4687 .53148 L
.46865 .5313 L
.46726 .5297 L
.46709 .5295 L
.46584 .52809 L
.46549 .52741 L
.46477 .52649 L
.46388 .52531 L
.46364 .52488 L
.46228 .52328 L
.46227 .52328 L
.46073 .52167 L
.46067 .52124 L
.4597 .52007 L
.45907 .51912 L
.45861 .51846 L
.45746 .51703 L
.45743 .51686 L
.45606 .51525 L
.45586 .51503 L
.45464 .51364 L
.45425 .51292 L
.45358 .51204 L
.45265 .5108 L
.45245 .51043 L
.45111 .50883 L
.45104 .50877 L
.44955 .50722 L
.44943 .5067 L
.44855 .50562 L
.44783 .50457 L
.44745 .50401 L
.44622 .50247 L
.44621 .50241 L
.44495 .5008 L
.44462 .50047 L
.44351 .4992 L
.44301 .49833 L
.44246 .49759 L
.44141 .4962 L
.4413 .49599 L
.44002 .49438 L
.4398 .49423 L
.43841 .49278 L
.4382 .49209 L
.43746 .49117 L
.43659 .48992 L
.43636 .48957 L
.43511 .48796 L
.43499 .4878 L
.4339 .48636 L
.43338 .48586 L
.43244 .48475 L
.43178 .48365 L
.43141 .48314 L
.43021 .48154 L
.43017 .48149 L
.42901 .47993 L
.42857 .47965 L
.42736 .47833 L
.42696 .47736 L
.42646 .47672 L
.42536 .47515 L
.42534 .47512 L
.42414 .47351 L
.42375 .47301 L
.42294 .47191 L
.42215 .47107 L
.42152 .4703 L
.42054 .46877 L
.42049 .4687 L
.41932 .46709 L
.41894 .46659 L
.41813 .46549 L
.41733 .46477 L
.4166 .46388 L
.41572 .46229 L
.41571 .46228 L
.41457 .46067 L
.41412 .46008 L
.4134 .45907 L
.41251 .45787 L
.41223 .45746 L
.41107 .45586 L
.41091 .45564 L
.40998 .45425 L
.4093 .45332 L
.40887 .45265 L
.40777 .45104 L
.4077 .45094 L
.40686 .44943 L
F
1 .92 .084 r
.4077 .41355 m
.40866 .41412 L
.4093 .41459 L
.41049 .41572 L
.41091 .41585 L
.41198 .41733 L
.41251 .41779 L
.41337 .41894 L
.41412 .41977 L
.41503 .42054 L
.41572 .42179 L
.41606 .42215 L
.41727 .42375 L
.41733 .42382 L
.41851 .42536 L
.41894 .42556 L
.41974 .42696 L
.42054 .42784 L
.42112 .42857 L
.42215 .43012 L
.42218 .43017 L
.42332 .43178 L
.42375 .43238 L
.42443 .43338 L
.42536 .43483 L
.42553 .43499 L
.42592 .43659 L
.42536 .43693 L
.42449 .43659 L
.42375 .43617 L
.42239 .43499 L
.42215 .43491 L
.42085 .43338 L
.42054 .4331 L
.41946 .43178 L
.41894 .43118 L
.41789 .43017 L
.41733 .42916 L
.41683 .42857 L
.41572 .42712 L
.41563 .42696 L
.41435 .42536 L
.41412 .42529 L
.41263 .42375 L
.41251 .42309 L
.41182 .42215 L
.41091 .4208 L
.41076 .42054 L
.40962 .41894 L
.4093 .41847 L
.40854 .41733 L
.4077 .41596 L
.40747 .41572 L
.40695 .41412 L
F
.024 .88 1 r
.4077 .41989 m
.40831 .42054 L
.4093 .42158 L
.40977 .42215 L
.41091 .42347 L
.41112 .42375 L
.41238 .42536 L
.41251 .42552 L
.41352 .42696 L
.41412 .42778 L
.41462 .42857 L
.41412 .42967 L
.41307 .42857 L
.41251 .42799 L
.41165 .42696 L
.41091 .42609 L
.41033 .42536 L
.4093 .42405 L
.40908 .42375 L
.40795 .42215 L
.4077 .42178 L
.40695 .42054 L
F
1 .6 0 r
.4077 .45575 m
.4078 .45586 L
.4093 .45741 L
.40935 .45746 L
.41079 .45907 L
.41091 .4592 L
.41217 .46067 L
.41251 .46105 L
.41354 .46228 L
.41412 .46294 L
.4149 .46388 L
.41572 .46456 L
.41624 .46549 L
.41733 .46675 L
.41773 .46709 L
.41887 .4687 L
.41894 .46877 L
.42016 .4703 L
.42054 .47076 L
.42146 .47191 L
.42215 .47259 L
.42336 .47351 L
.42375 .47473 L
.42412 .47512 L
.42531 .47672 L
.42536 .47679 L
.42657 .47833 L
.42696 .47852 L
.42783 .47993 L
.42857 .48076 L
.42935 .48154 L
.43017 .48289 L
.43038 .48314 L
.43161 .48475 L
.43178 .48496 L
.43285 .48636 L
.43338 .48682 L
.43467 .48796 L
.43499 .48903 L
.43546 .48957 L
.43659 .49115 L
.43661 .49117 L
.43783 .49278 L
.4382 .49288 L
.43907 .49438 L
.4398 .49519 L
.44056 .49599 L
.44141 .49738 L
.44158 .49759 L
.44278 .4992 L
.44301 .4995 L
.444 .5008 L
.44462 .50133 L
.44573 .50241 L
.44622 .50363 L
.44654 .50401 L
.44768 .50562 L
.44783 .5058 L
.44889 .50722 L
.44943 .50793 L
.45011 .50883 L
.45104 .50991 L
.4515 .51043 L
.45255 .51204 L
.45265 .51217 L
.45373 .51364 L
.45425 .51432 L
.45493 .51525 L
.45586 .51622 L
.45645 .51686 L
.45734 .51846 L
.45746 .51861 L
.4585 .52007 L
.45907 .52081 L
.45968 .52167 L
.46067 .52299 L
.46087 .52328 L
.46202 .52488 L
.46228 .52523 L
.46313 .52649 L
.46388 .52751 L
.46427 .52809 L
.46538 .5297 L
.46549 .52985 L
.46633 .5313 L
.46709 .53258 L
.4672 .53291 L
.46709 .53308 L
.46687 .53291 L
.46549 .53168 L
.46514 .5313 L
.46388 .52996 L
.46365 .5297 L
.46228 .52818 L
.46222 .52809 L
.46085 .52649 L
.46067 .52628 L
.4595 .52488 L
.45907 .52438 L
.45816 .52328 L
.45746 .52289 L
.45682 .52167 L
.45586 .52058 L
.45521 .52007 L
.45425 .51853 L
.45418 .51846 L
.45291 .51686 L
.45265 .51654 L
.45162 .51525 L
.45104 .51475 L
.45033 .51364 L
.44943 .51258 L
.44891 .51204 L
.44783 .5105 L
.44777 .51043 L
.44651 .50883 L
.44622 .50847 L
.44525 .50722 L
.44462 .50655 L
.44364 .50562 L
.44301 .50441 L
.44268 .50401 L
.44147 .50241 L
.44141 .50233 L
.44023 .5008 L
.4398 .50049 L
.43898 .4992 L
.4382 .49827 L
.43759 .49759 L
.43659 .49613 L
.43648 .49599 L
.43526 .49438 L
.43499 .49404 L
.43402 .49278 L
.43338 .49212 L
.43246 .49117 L
.43178 .48991 L
.4315 .48957 L
.43031 .48796 L
.43017 .48778 L
.4291 .48636 L
.42857 .486 L
.42787 .48475 L
.42696 .48366 L
.42652 .48314 L
.42541 .48154 L
.42536 .48147 L
.42421 .47993 L
.42375 .47934 L
.423 .47833 L
.42215 .4774 L
.42153 .47672 L
.42056 .47512 L
.42054 .4751 L
.41938 .47351 L
.41894 .47294 L
.41818 .47191 L
.41733 .47112 L
.41698 .4703 L
.41578 .4687 L
.41572 .46863 L
.41463 .46709 L
.41412 .46642 L
.41346 .46549 L
.41251 .46422 L
.41227 .46388 L
.41113 .46228 L
.41091 .46198 L
.41004 .46067 L
.4093 .45966 L
.40892 .45907 L
.40784 .45746 L
.4077 .45726 L
.407 .45586 L
F
.013 .86 1 r
.4077 .44925 m
.40791 .44943 L
.4093 .45073 L
.4096 .45104 L
.41091 .45234 L
.41112 .45265 L
.41251 .45419 L
.41259 .45425 L
.41397 .45586 L
.41412 .45603 L
.41535 .45746 L
.41572 .45762 L
.41672 .45907 L
.41733 .45973 L
.41857 .46067 L
.41894 .46174 L
.41945 .46228 L
.42054 .46371 L
.42067 .46388 L
.42201 .46549 L
.42215 .4656 L
.42332 .46709 L
.42375 .46762 L
.42478 .4687 L
.42536 .46967 L
.42587 .4703 L
.42696 .4717 L
.42707 .47191 L
.42845 .47351 L
.42857 .47364 L
.43001 .47512 L
.43017 .47569 L
.43103 .47672 L
.43178 .47778 L
.43215 .47833 L
.43338 .47982 L
.43352 .47993 L
.43477 .48154 L
.43499 .4818 L
.43615 .48314 L
.43659 .4839 L
.43723 .48475 L
.4382 .486 L
.43837 .48636 L
.43977 .48796 L
.4398 .48799 L
.44125 .48957 L
.44141 .49006 L
.4423 .49117 L
.44301 .49217 L
.44341 .49278 L
.44462 .49425 L
.44476 .49438 L
.44599 .49599 L
.44622 .49625 L
.44736 .49759 L
.44783 .49837 L
.44844 .4992 L
.44943 .50048 L
.44957 .5008 L
.45095 .50241 L
.45104 .5025 L
.45243 .50401 L
.45265 .50458 L
.45347 .50562 L
.45425 .50671 L
.45457 .50722 L
.45586 .5088 L
.45589 .50883 L
.45711 .51043 L
.45746 .51081 L
.4585 .51204 L
.45907 .51295 L
.45957 .51364 L
.46067 .51508 L
.46074 .51525 L
.46204 .51686 L
.46228 .51705 L
.46356 .51846 L
.46388 .5192 L
.46456 .52007 L
.46549 .52135 L
.46568 .52167 L
.46695 .52328 L
.46709 .52331 L
.46816 .52488 L
.4687 .52544 L
.46956 .52649 L
.4703 .52764 L
.47063 .52809 L
.47184 .5297 L
.47191 .52978 L
.47305 .5313 L
.47351 .53167 L
.4746 .53291 L
.47512 .53393 L
.47556 .53451 L
.47672 .53612 L
.47672 .53613 L
.47791 .53772 L
.47833 .53827 L
.47912 .53933 L
.47993 .54024 L
.48048 .54093 L
.48154 .54252 L
.48155 .54254 L
.48273 .54414 L
.48314 .54469 L
.48392 .54575 L
.48475 .54659 L
.48537 .54735 L
.48632 .54896 L
.48636 .54901 L
.48747 .55057 L
.48796 .55122 L
.48863 .55217 L
.48957 .55344 L
.48981 .55378 L
.49094 .55538 L
.49117 .55569 L
.49204 .55699 L
.49278 .55802 L
.49314 .55859 L
.49421 .5602 L
.49438 .56045 L
.49509 .5618 L
.49438 .56228 L
.49389 .5618 L
.49278 .56071 L
.4923 .5602 L
.49117 .55915 L
.49082 .55859 L
.48957 .55721 L
.48926 .55699 L
.488 .55538 L
.48796 .55534 L
.48663 .55378 L
.48636 .55376 L
.48528 .55217 L
.48475 .55162 L
.48394 .55057 L
.48314 .5496 L
.48252 .54896 L
.48154 .54761 L
.48134 .54735 L
.48001 .54575 L
.47993 .5457 L
.47871 .54414 L
.47833 .5437 L
.47719 .54254 L
.47672 .54164 L
.47614 .54093 L
.47512 .5396 L
.47495 .53933 L
.47359 .53772 L
.47351 .53764 L
.47194 .53612 L
.47191 .5356 L
.47098 .53451 L
.4703 .53351 L
.46987 .53291 L
.4687 .53145 L
.46866 .5313 L
.46729 .5297 L
.46709 .52947 L
.46586 .52809 L
.46549 .52738 L
.46479 .52649 L
.46388 .52528 L
.46366 .52488 L
.46229 .52328 L
.46228 .52326 L
.46074 .52167 L
.46067 .52121 L
.45972 .52007 L
.45907 .5191 L
.45862 .51846 L
.45746 .51701 L
.45743 .51686 L
.45608 .51525 L
.45586 .51501 L
.45465 .51364 L
.45425 .5129 L
.45359 .51204 L
.45265 .51078 L
.45246 .51043 L
.45113 .50883 L
.45104 .50876 L
.44955 .50722 L
.44943 .50668 L
.44857 .50562 L
.44783 .50454 L
.44747 .50401 L
.44622 .50245 L
.44622 .50241 L
.44496 .5008 L
.44462 .50045 L
.44352 .4992 L
.44301 .49831 L
.44248 .49759 L
.44141 .49617 L
.44131 .49599 L
.44004 .49438 L
.4398 .49422 L
.43842 .49278 L
.4382 .49207 L
.43748 .49117 L
.43659 .4899 L
.43637 .48957 L
.43513 .48796 L
.43499 .48778 L
.43392 .48636 L
.43338 .48583 L
.43246 .48475 L
.43178 .48362 L
.43143 .48314 L
.43024 .48154 L
.43017 .48146 L
.42903 .47993 L
.42857 .47963 L
.42738 .47833 L
.42696 .47733 L
.42649 .47672 L
.42536 .47512 L
.42536 .47511 L
.42417 .47351 L
.42375 .47297 L
.42297 .47191 L
.42215 .47102 L
.42156 .4703 L
.42054 .46871 L
.42053 .4687 L
.41936 .46709 L
.41894 .46654 L
.41817 .46549 L
.41733 .46469 L
.41667 .46388 L
.41577 .46228 L
.41572 .46222 L
.41463 .46067 L
.41412 .46 L
.41347 .45907 L
.41251 .45778 L
.41229 .45746 L
.41116 .45586 L
.41091 .45551 L
.41008 .45425 L
.4093 .45315 L
.40898 .45265 L
.40796 .45104 L
.4077 .45063 L
.4072 .44943 L
F
1 .96 .289 r
.4077 .44274 m
.40804 .44301 L
.4093 .44412 L
.4098 .44462 L
.41091 .44559 L
.41137 .44622 L
.41251 .44747 L
.41309 .44783 L
.41412 .44928 L
.41427 .44943 L
.41571 .45104 L
.41572 .45104 L
.4171 .45265 L
.41733 .4529 L
.41849 .45425 L
.41894 .45484 L
.41988 .45586 L
.42054 .45683 L
.42102 .45746 L
.42215 .45885 L
.42218 .45907 L
.42375 .4606 L
.42381 .46067 L
.42521 .46228 L
.42536 .46262 L
.42636 .46388 L
.42696 .46471 L
.42746 .46549 L
.42857 .46684 L
.42899 .46709 L
.43017 .46861 L
.43024 .4687 L
.43153 .4703 L
.43178 .4707 L
.43266 .47191 L
.43338 .47285 L
.43368 .47351 L
.43499 .47472 L
.4353 .47512 L
.43656 .47672 L
.43659 .4768 L
.43775 .47833 L
.4382 .47894 L
.43882 .47993 L
.4398 .48114 L
.44031 .48154 L
.44141 .48298 L
.44154 .48314 L
.44279 .48475 L
.44301 .48509 L
.44391 .48636 L
.44462 .48727 L
.44489 .48796 L
.44622 .48945 L
.44652 .48957 L
.44777 .49117 L
.44783 .49129 L
.44894 .49278 L
.44943 .49344 L
.45 .49438 L
.45104 .49562 L
.45147 .49599 L
.45265 .49753 L
.45269 .49759 L
.45395 .4992 L
.45425 .49965 L
.45505 .5008 L
.45586 .50181 L
.45605 .50241 L
.45746 .50393 L
.45764 .50401 L
.45893 .50562 L
.45907 .50588 L
.46007 .50722 L
.46067 .50802 L
.46113 .50883 L
.46228 .51016 L
.46258 .51043 L
.46387 .51204 L
.46388 .51213 L
.46508 .51364 L
.46549 .51425 L
.46617 .51525 L
.46709 .51639 L
.46721 .51686 L
.4687 .51844 L
.46874 .51846 L
.47008 .52007 L
.4703 .52049 L
.47119 .52167 L
.47191 .52262 L
.47226 .52328 L
.47351 .52473 L
.47367 .52488 L
.47508 .52649 L
.47512 .52674 L
.47619 .52809 L
.47672 .52886 L
.47728 .5297 L
.47833 .53099 L
.47838 .5313 L
.47982 .53291 L
.47993 .53301 L
.48121 .53451 L
.48154 .53511 L
.48229 .53612 L
.48314 .53725 L
.48339 .53772 L
.48474 .53933 L
.48475 .53933 L
.48626 .54093 L
.48636 .54135 L
.48729 .54254 L
.48796 .5435 L
.48838 .54414 L
.48957 .54563 L
.48958 .54575 L
.49088 .54735 L
.49117 .5476 L
.49231 .54896 L
.49278 .54976 L
.49336 .55057 L
.49438 .55192 L
.49451 .55217 L
.49579 .55378 L
.49599 .55384 L
.49739 .55538 L
.49759 .556 L
.49835 .55699 L
.4992 .5582 L
.49945 .55859 L
.50069 .5602 L
.5008 .56034 L
.5019 .5618 L
.50241 .56223 L
.50335 .56341 L
.50401 .56449 L
.50438 .56501 L
.50557 .56662 L
.50562 .56668 L
.50676 .56822 L
.50722 .56882 L
.5084 .56983 L
.50883 .5708 L
.5093 .57143 L
.51041 .57304 L
.51043 .57306 L
.51159 .57464 L
.51204 .57523 L
.51279 .57625 L
.51364 .57714 L
.51417 .57785 L
.51519 .57946 L
.51525 .57953 L
.51634 .58106 L
.51686 .58174 L
.51751 .58267 L
.51846 .58396 L
.51889 .58428 L
.51982 .58588 L
.52007 .58621 L
.52091 .58749 L
.52167 .58856 L
.52201 .58909 L
.52306 .5907 L
.52328 .59103 L
.52392 .5923 L
.52328 .59295 L
.52257 .5923 L
.52167 .59148 L
.52092 .5907 L
.52007 .59008 L
.51939 .58909 L
.51846 .5881 L
.5174 .58749 L
.51686 .58623 L
.51647 .58588 L
.51525 .58437 L
.51516 .58428 L
.51378 .58267 L
.51364 .58254 L
.51242 .58106 L
.51204 .58058 L
.51094 .57946 L
.51043 .57858 L
.50983 .57785 L
.50883 .57656 L
.50865 .57625 L
.50722 .5747 L
.50718 .57464 L
.50571 .57304 L
.50562 .57267 L
.5046 .57143 L
.50401 .57058 L
.50348 .56983 L
.50241 .56848 L
.50205 .56822 L
.5008 .56662 L
.5008 .56662 L
.49947 .56501 L
.4992 .56453 L
.49835 .56341 L
.49759 .56239 L
.49728 .5618 L
.49599 .56028 L
.49576 .5602 L
.49444 .55859 L
.49438 .5584 L
.49327 .55699 L
.49278 .55627 L
.49218 .55538 L
.49117 .55411 L
.49077 .55378 L
.48957 .5522 L
.48954 .55217 L
.48823 .55057 L
.48796 .55009 L
.48712 .54896 L
.48636 .54794 L
.48607 .54735 L
.48475 .54584 L
.48457 .54575 L
.48323 .54414 L
.48314 .54388 L
.48209 .54254 L
.48154 .54175 L
.48101 .54093 L
.47993 .53961 L
.47962 .53933 L
.4784 .53772 L
.47833 .53764 L
.47707 .53612 L
.47672 .53553 L
.47598 .53451 L
.47512 .53339 L
.4749 .53291 L
.47351 .53134 L
.47345 .5313 L
.47206 .5297 L
.47191 .5293 L
.47096 .52809 L
.4703 .52717 L
.46987 .52649 L
.4687 .52506 L
.46851 .52488 L
.46729 .52328 L
.46709 .52305 L
.46594 .52167 L
.46549 .52094 L
.46485 .52007 L
.46388 .51881 L
.46374 .51846 L
.46236 .51686 L
.46228 .51678 L
.4609 .51525 L
.46067 .5147 L
.45984 .51364 L
.45907 .51256 L
.45874 .51204 L
.45746 .51047 L
.45743 .51043 L
.45621 .50883 L
.45586 .50846 L
.45482 .50722 L
.45425 .50632 L
.45375 .50562 L
.45265 .50419 L
.45258 .50401 L
.45128 .50241 L
.45104 .50222 L
.44977 .5008 L
.44943 .50008 L
.44875 .4992 L
.44783 .49793 L
.44763 .49759 L
.44636 .49599 L
.44622 .49596 L
.44514 .49438 L
.44462 .49385 L
.44373 .49278 L
.44301 .49167 L
.44266 .49117 L
.44143 .48957 L
.44141 .48954 L
.44022 .48796 L
.4398 .48765 L
.43868 .48636 L
.4382 .48543 L
.43768 .48475 L
.43659 .48325 L
.43653 .48314 L
.43531 .48154 L
.43499 .48113 L
.43409 .47993 L
.43338 .4792 L
.43269 .47833 L
.43178 .47696 L
.43161 .47672 L
.43041 .47512 L
.43017 .47481 L
.4292 .47351 L
.42857 .473 L
.42767 .47191 L
.42696 .47067 L
.42669 .4703 L
.42553 .4687 L
.42536 .46848 L
.42433 .46709 L
.42375 .46635 L
.42259 .46549 L
.42215 .46437 L
.42178 .46388 L
.42068 .46228 L
.42054 .4621 L
.4195 .46067 L
.41894 .45994 L
.4183 .45907 L
.41733 .45802 L
.41691 .45746 L
.41589 .45586 L
.41572 .45564 L
.41474 .45425 L
.41412 .45343 L
.41357 .45265 L
.41251 .45123 L
.41238 .45104 L
.41126 .44943 L
.41091 .44896 L
.41017 .44783 L
.4093 .4466 L
.40907 .44622 L
.40807 .44462 L
.4077 .44401 L
.40733 .44301 L
F
.018 .87 1 r
.4077 .4203 m
.40795 .42054 L
.4093 .42184 L
.40955 .42215 L
.41091 .4237 L
.41095 .42375 L
.41216 .42536 L
.41251 .4258 L
.41329 .42696 L
.41412 .42815 L
.41435 .42857 L
.41412 .42924 L
.41341 .42857 L
.41251 .42769 L
.41189 .42696 L
.41091 .42582 L
.41054 .42536 L
.4093 .42376 L
.4093 .42375 L
.40824 .42215 L
.4077 .42129 L
.40735 .42054 L
F
1 .91 .061 r
.4077 .41401 m
.40806 .41412 L
.4093 .41483 L
.41028 .41572 L
.41091 .41593 L
.41184 .41733 L
.41251 .41791 L
.41326 .41894 L
.41412 .41988 L
.41492 .42054 L
.41572 .42189 L
.41596 .42215 L
.41719 .42375 L
.41733 .42392 L
.41843 .42536 L
.41894 .42563 L
.41967 .42696 L
.42054 .42795 L
.42103 .42857 L
.42209 .43017 L
.42215 .43024 L
.42322 .43178 L
.42375 .43253 L
.42432 .43338 L
.42528 .43499 L
.42375 .43594 L
.4226 .43499 L
.42215 .43485 L
.421 .43338 L
.42054 .43298 L
.41957 .43178 L
.41894 .43105 L
.41798 .43017 L
.41733 .42905 L
.41692 .42857 L
.41572 .42702 L
.41569 .42696 L
.41444 .42536 L
.41412 .42524 L
.41268 .42375 L
.41251 .42297 L
.41192 .42215 L
.41091 .42063 L
.41086 .42054 L
.40974 .41894 L
.4093 .41828 L
.40869 .41733 L
.40777 .41572 L
.4077 .41557 L
.40749 .41412 L
F
0 .59 1 r
.4077 .47535 m
.40855 .47672 L
.4093 .47776 L
.4096 .47833 L
.4093 .47864 L
.40903 .47833 L
.4077 .47691 L
.40754 .47672 L
F
1 .98 .538 r
.4077 .3709 m
.40888 .37238 L
.4093 .37285 L
.41018 .37399 L
.41091 .37482 L
.41149 .37559 L
.41251 .37681 L
.4128 .3772 L
.41412 .3788 L
.41412 .3788 L
.41534 .38041 L
.41572 .38086 L
.41658 .38201 L
.41733 .38292 L
.41784 .38362 L
.41894 .38497 L
.41912 .38523 L
.42036 .38683 L
.42054 .38705 L
.42155 .38844 L
.42215 .38916 L
.42277 .39004 L
.42375 .39127 L
.42402 .39165 L
.42526 .39325 L
.42536 .39337 L
.4264 .39486 L
.42696 .39556 L
.42757 .39646 L
.42857 .39774 L
.42878 .39807 L
.42857 .39927 L
.42758 .39807 L
.42696 .39736 L
.42622 .39646 L
.42536 .39543 L
.42489 .39486 L
.42375 .39346 L
.42358 .39325 L
.4223 .39165 L
.42215 .39146 L
.42103 .39004 L
.42054 .38944 L
.41975 .38844 L
.41894 .3874 L
.41848 .38683 L
.41733 .38535 L
.41723 .38523 L
.41601 .38362 L
.41572 .38326 L
.41478 .38201 L
.41412 .38116 L
.41355 .38041 L
.41251 .37905 L
.41232 .3788 L
.41114 .3772 L
.41091 .3769 L
.40997 .37559 L
.4093 .37472 L
.40877 .37399 L
.4077 .37253 L
.40759 .37238 L
F
1 .33 0 r
.4077 .46872 m
.40885 .4703 L
.4093 .47083 L
.41007 .47191 L
.41091 .47293 L
.41132 .47351 L
.41251 .47502 L
.41258 .47512 L
.41251 .4765 L
.41147 .47512 L
.41091 .47449 L
.41018 .47351 L
.4093 .47247 L
.40889 .47191 L
.4077 .47043 L
.4076 .4703 L
F
1 .32 0 r
.4077 .46881 m
.40878 .4703 L
.4093 .47092 L
.41 .47191 L
.41091 .47301 L
.41126 .47351 L
.41251 .4751 L
.41253 .47512 L
.41251 .47639 L
.41156 .47512 L
.41091 .47439 L
.41026 .47351 L
.4093 .47239 L
.40895 .47191 L
.4077 .47036 L
.40766 .4703 L
F
0 .58 1 r
.4077 .4755 m
.40839 .47672 L
.4093 .47812 L
.40933 .47833 L
.4093 .47835 L
.40928 .47833 L
.4077 .47677 L
.40766 .47672 L
F
1 .9 .045 r
.4093 .4151 m
.41004 .41572 L
.41091 .41606 L
.41169 .41733 L
.41251 .41805 L
.41315 .41894 L
.41412 .42001 L
.41479 .42054 L
.41572 .422 L
.41587 .42215 L
.41711 .42375 L
.41733 .42402 L
.41836 .42536 L
.41894 .4257 L
.4196 .42696 L
.42054 .42807 L
.42093 .42857 L
.422 .43017 L
.42215 .43037 L
.42312 .43178 L
.42375 .43269 L
.4242 .43338 L
.42506 .43499 L
.42375 .4357 L
.42283 .43499 L
.42215 .43476 L
.42115 .43338 L
.42054 .43286 L
.41969 .43178 L
.41894 .43093 L
.41808 .43017 L
.41733 .42894 L
.41701 .42857 L
.41576 .42696 L
.41572 .42692 L
.41452 .42536 L
.41412 .42519 L
.41275 .42375 L
.41251 .42284 L
.41202 .42215 L
.41096 .42054 L
.41091 .42047 L
.40987 .41894 L
.4093 .41806 L
.40884 .41733 L
.40803 .41572 L
F
.01 .85 1 r
.4093 .45099 m
.40935 .45104 L
.41091 .4526 L
.41094 .45265 L
.41242 .45425 L
.41251 .45435 L
.41385 .45586 L
.41412 .45616 L
.41525 .45746 L
.41572 .45768 L
.41663 .45907 L
.41733 .45983 L
.41849 .46067 L
.41894 .46182 L
.41938 .46228 L
.42054 .46378 L
.42062 .46388 L
.42195 .46549 L
.42215 .46565 L
.42326 .46709 L
.42375 .46768 L
.42473 .4687 L
.42536 .46972 L
.42582 .4703 L
.42696 .47174 L
.42705 .47191 L
.42841 .47351 L
.42857 .47368 L
.42999 .47512 L
.43017 .47574 L
.43099 .47672 L
.43178 .47782 L
.43212 .47833 L
.43338 .47985 L
.43348 .47993 L
.43474 .48154 L
.43499 .48184 L
.43612 .48314 L
.43659 .48393 L
.43721 .48475 L
.4382 .48603 L
.43835 .48636 L
.43975 .48796 L
.4398 .48802 L
.44124 .48957 L
.44141 .49009 L
.44228 .49117 L
.44301 .4922 L
.44339 .49278 L
.44462 .49427 L
.44474 .49438 L
.44597 .49599 L
.44622 .49628 L
.44734 .49759 L
.44783 .49839 L
.44842 .4992 L
.44943 .50051 L
.44956 .5008 L
.45093 .50241 L
.45104 .50251 L
.45242 .50401 L
.45265 .50461 L
.45345 .50562 L
.45425 .50674 L
.45456 .50722 L
.45586 .50882 L
.45587 .50883 L
.45709 .51043 L
.45746 .51083 L
.45848 .51204 L
.45907 .51298 L
.45955 .51364 L
.46067 .5151 L
.46073 .51525 L
.46202 .51686 L
.46228 .51707 L
.46355 .51846 L
.46388 .51922 L
.46454 .52007 L
.46549 .52138 L
.46567 .52167 L
.46693 .52328 L
.46709 .52332 L
.46814 .52488 L
.4687 .52547 L
.46954 .52649 L
.4703 .52767 L
.4706 .52809 L
.47182 .5297 L
.47191 .52981 L
.47303 .5313 L
.47351 .5317 L
.47458 .53291 L
.47512 .53397 L
.47553 .53451 L
.47669 .53612 L
.47672 .53617 L
.47788 .53772 L
.47833 .53831 L
.47909 .53933 L
.47993 .54029 L
.48044 .54093 L
.48151 .54254 L
.48154 .54258 L
.48269 .54414 L
.48314 .54475 L
.48388 .54575 L
.48475 .54667 L
.4853 .54735 L
.48626 .54896 L
.48636 .54908 L
.48741 .55057 L
.48796 .55131 L
.48857 .55217 L
.48957 .55353 L
.48974 .55378 L
.49085 .55538 L
.49117 .55582 L
.49193 .55699 L
.49278 .55819 L
.49303 .55859 L
.49401 .5602 L
.49438 .56082 L
.49468 .5618 L
.49438 .5619 L
.49426 .5618 L
.49278 .56048 L
.4925 .5602 L
.49117 .55892 L
.49097 .55859 L
.48957 .55705 L
.48947 .55699 L
.48811 .55538 L
.48796 .55522 L
.48673 .55378 L
.48636 .55374 L
.48536 .55217 L
.48475 .55154 L
.48401 .55057 L
.48314 .54952 L
.48259 .54896 L
.48154 .54754 L
.48139 .54735 L
.48006 .54575 L
.47993 .54566 L
.47876 .54414 L
.47833 .54364 L
.47723 .54254 L
.47672 .54159 L
.47618 .54093 L
.47512 .53955 L
.47498 .53933 L
.47363 .53772 L
.47351 .5376 L
.47195 .53612 L
.47191 .53555 L
.47101 .53451 L
.4703 .53347 L
.4699 .53291 L
.4687 .53142 L
.46867 .5313 L
.46732 .5297 L
.46709 .52944 L
.46588 .52809 L
.46549 .52735 L
.46481 .52649 L
.46388 .52525 L
.46367 .52488 L
.46231 .52328 L
.46228 .52324 L
.46074 .52167 L
.46067 .52119 L
.45974 .52007 L
.45907 .51907 L
.45864 .51846 L
.45746 .51699 L
.45743 .51686 L
.4561 .51525 L
.45586 .51499 L
.45467 .51364 L
.45425 .51287 L
.45361 .51204 L
.45265 .51075 L
.45247 .51043 L
.45115 .50883 L
.45104 .50875 L
.44956 .50722 L
.44943 .50666 L
.44858 .50562 L
.44783 .50452 L
.44748 .50401 L
.44622 .50243 L
.44622 .50241 L
.44498 .5008 L
.44462 .50044 L
.44353 .4992 L
.44301 .49828 L
.44249 .49759 L
.44141 .49615 L
.44132 .49599 L
.44006 .49438 L
.4398 .49421 L
.43843 .49278 L
.4382 .49204 L
.4375 .49117 L
.43659 .48987 L
.43639 .48957 L
.43515 .48796 L
.43499 .48775 L
.43394 .48636 L
.43338 .48581 L
.43248 .48475 L
.43178 .48359 L
.43145 .48314 L
.43026 .48154 L
.43017 .48143 L
.42906 .47993 L
.42857 .4796 L
.42741 .47833 L
.42696 .47729 L
.42652 .47672 L
.42539 .47512 L
.42536 .47507 L
.4242 .47351 L
.42375 .47293 L
.423 .47191 L
.42215 .47097 L
.4216 .4703 L
.42057 .4687 L
.42054 .46866 L
.4194 .46709 L
.41894 .46649 L
.41821 .46549 L
.41733 .46461 L
.41674 .46388 L
.41583 .46228 L
.41572 .46214 L
.41469 .46067 L
.41412 .45991 L
.41353 .45907 L
.41251 .45768 L
.41236 .45746 L
.41126 .45586 L
.41091 .45537 L
.41019 .45425 L
.4093 .45296 L
.40911 .45265 L
.40822 .45104 L
F
1 .89 .033 r
.4093 .41538 m
.40975 .41572 L
.41091 .41625 L
.41153 .41733 L
.41251 .41819 L
.41303 .41894 L
.41412 .42013 L
.41464 .42054 L
.41572 .42211 L
.41576 .42215 L
.41703 .42375 L
.41733 .42412 L
.41828 .42536 L
.41894 .42579 L
.41952 .42696 L
.42054 .42819 L
.42083 .42857 L
.42191 .43017 L
.42215 .4305 L
.42302 .43178 L
.42375 .43287 L
.42407 .43338 L
.4248 .43499 L
.42375 .43545 L
.4231 .43499 L
.42215 .43464 L
.4213 .43338 L
.42054 .43273 L
.41981 .43178 L
.41894 .43081 L
.4182 .43017 L
.41733 .42882 L
.4171 .42857 L
.41585 .42696 L
.41572 .4268 L
.41462 .42536 L
.41412 .42511 L
.41283 .42375 L
.41251 .42269 L
.41213 .42215 L
.41107 .42054 L
.41091 .4203 L
.41 .41894 L
.4093 .41782 L
.40901 .41733 L
.40836 .41572 L
F
.733 .99 1 r
.4093 .41011 m
.41091 .41016 L
.41235 .41091 L
.41251 .41101 L
.41404 .41251 L
.41412 .41264 L
.41567 .41412 L
.41572 .41466 L
.41678 .41572 L
.41733 .41682 L
.4179 .41733 L
.41894 .41852 L
.419 .41894 L
.42049 .42054 L
.42054 .42061 L
.42186 .42215 L
.42215 .42271 L
.42296 .42375 L
.42375 .42484 L
.42405 .42536 L
.42536 .4269 L
.42544 .42696 L
.42689 .42857 L
.42696 .42886 L
.42798 .43017 L
.42857 .43097 L
.42906 .43178 L
.43017 .43312 L
.4302 .43338 L
.43155 .43499 L
.43178 .4353 L
.43294 .43659 L
.43338 .43758 L
.43384 .4382 L
.43338 .4392 L
.43178 .43931 L
.43017 .439 L
.4291 .4382 L
.42857 .43755 L
.42785 .43659 L
.42696 .43558 L
.42673 .43499 L
.42536 .43351 L
.42526 .43338 L
.42387 .43178 L
.42375 .43141 L
.42275 .43017 L
.42215 .42928 L
.42166 .42857 L
.42054 .42719 L
.4203 .42696 L
.41908 .42536 L
.41894 .42523 L
.41774 .42375 L
.41733 .42315 L
.41666 .42215 L
.41572 .421 L
.41556 .42054 L
.41418 .41894 L
.41412 .41886 L
.41273 .41733 L
.41251 .41671 L
.41171 .41572 L
.41091 .41454 L
.41065 .41412 L
.40948 .41251 L
.4093 .41222 L
.40865 .41091 L
F
0 .34 1 r
.4093 .46415 m
.41039 .46549 L
.41091 .46606 L
.41173 .46709 L
.41251 .468 L
.41306 .4687 L
.41412 .46996 L
.41438 .4703 L
.41569 .47191 L
.41572 .47195 L
.41694 .47351 L
.41733 .47398 L
.4182 .47512 L
.41894 .47601 L
.41948 .47672 L
.42054 .47804 L
.42076 .47833 L
.42201 .47993 L
.42215 .4801 L
.42323 .48154 L
.42375 .48218 L
.42447 .48314 L
.42536 .48426 L
.42572 .48475 L
.42696 .48633 L
.42697 .48636 L
.42816 .48796 L
.42857 .48847 L
.42936 .48957 L
.43017 .4906 L
.43059 .49117 L
.43178 .49272 L
.43182 .49278 L
.43297 .49438 L
.43338 .49491 L
.43413 .49599 L
.43499 .4971 L
.43532 .49759 L
.43499 .49915 L
.43372 .49759 L
.43338 .49721 L
.4324 .49599 L
.43178 .49526 L
.43108 .49438 L
.43017 .49329 L
.42977 .49278 L
.42857 .4914 L
.42847 .49117 L
.42721 .48957 L
.42696 .48927 L
.42595 .48796 L
.42536 .48723 L
.42468 .48636 L
.42375 .48519 L
.42341 .48475 L
.42215 .48314 L
.42215 .48314 L
.42094 .48154 L
.42054 .48105 L
.41971 .47993 L
.41894 .47896 L
.41846 .47833 L
.41733 .47702 L
.41722 .47672 L
.41602 .47512 L
.41572 .47474 L
.41483 .47351 L
.41412 .47261 L
.41361 .47191 L
.41251 .47047 L
.41239 .4703 L
.41124 .4687 L
.41091 .46827 L
.41009 .46709 L
.4093 .46605 L
.40892 .46549 L
F
0 .33 1 r
.4093 .46423 m
.41033 .46549 L
.41091 .46612 L
.41168 .46709 L
.41251 .46805 L
.41302 .4687 L
.41412 .47001 L
.41435 .4703 L
.41565 .47191 L
.41572 .472 L
.4169 .47351 L
.41733 .47402 L
.41817 .47512 L
.41894 .47605 L
.41945 .47672 L
.42054 .47808 L
.42073 .47833 L
.42198 .47993 L
.42215 .48014 L
.4232 .48154 L
.42375 .48222 L
.42444 .48314 L
.42536 .4843 L
.42569 .48475 L
.42694 .48636 L
.42696 .48638 L
.42812 .48796 L
.42857 .48851 L
.42933 .48957 L
.43017 .49064 L
.43056 .49117 L
.43178 .49276 L
.43179 .49278 L
.43293 .49438 L
.43338 .49496 L
.43409 .49599 L
.43499 .49716 L
.43528 .49759 L
.43499 .49908 L
.43378 .49759 L
.43338 .49715 L
.43245 .49599 L
.43178 .49521 L
.43112 .49438 L
.43017 .49324 L
.42981 .49278 L
.42857 .49132 L
.4285 .49117 L
.42725 .48957 L
.42696 .48923 L
.42599 .48796 L
.42536 .48719 L
.42472 .48636 L
.42375 .48515 L
.42344 .48475 L
.42218 .48314 L
.42215 .4831 L
.42097 .48154 L
.42054 .48101 L
.41974 .47993 L
.41894 .47892 L
.41849 .47833 L
.41733 .47694 L
.41725 .47672 L
.41606 .47512 L
.41572 .4747 L
.41486 .47351 L
.41412 .47256 L
.41365 .47191 L
.41251 .47042 L
.41243 .4703 L
.41129 .4687 L
.41091 .46821 L
.41014 .46709 L
.4093 .46598 L
.40897 .46549 L
F
1 .88 .024 r
.4093 .41572 m
.40932 .41572 L
.41091 .41651 L
.41136 .41733 L
.41251 .41836 L
.41291 .41894 L
.41412 .42026 L
.41448 .42054 L
.41566 .42215 L
.41572 .42222 L
.41694 .42375 L
.41733 .42423 L
.4182 .42536 L
.41894 .4259 L
.41944 .42696 L
.42054 .42833 L
.42072 .42857 L
.42181 .43017 L
.42215 .43063 L
.42291 .43178 L
.42375 .43307 L
.42393 .43338 L
.42444 .43499 L
.42375 .43518 L
.42343 .43499 L
.42215 .43447 L
.42147 .43338 L
.42054 .43258 L
.41994 .43178 L
.41894 .43068 L
.41833 .43017 L
.41733 .4287 L
.41721 .42857 L
.41595 .42696 L
.41572 .42668 L
.41471 .42536 L
.41412 .42502 L
.41293 .42375 L
.41251 .42252 L
.41225 .42215 L
.41119 .42054 L
.41091 .42012 L
.41014 .41894 L
.4093 .41754 L
.40919 .41733 L
.40897 .41572 L
F
1 .59 0 r
.4093 .45751 m
.41071 .45907 L
.41091 .45927 L
.41211 .46067 L
.41251 .46111 L
.41349 .46228 L
.41412 .46299 L
.41485 .46388 L
.41572 .46461 L
.4162 .46549 L
.41733 .4668 L
.41767 .46709 L
.41884 .4687 L
.41894 .46881 L
.42013 .4703 L
.42054 .4708 L
.42143 .47191 L
.42215 .47262 L
.42332 .47351 L
.42375 .47477 L
.42409 .47512 L
.42528 .47672 L
.42536 .47682 L
.42654 .47833 L
.42696 .47854 L
.42781 .47993 L
.42857 .48079 L
.42933 .48154 L
.43017 .48292 L
.43036 .48314 L
.43159 .48475 L
.43178 .48499 L
.43283 .48636 L
.43338 .48684 L
.43465 .48796 L
.43499 .48906 L
.43544 .48957 L
.43659 .49117 L
.43659 .49118 L
.43781 .49278 L
.4382 .49289 L
.43905 .49438 L
.4398 .49521 L
.44053 .49599 L
.44141 .49741 L
.44156 .49759 L
.44276 .4992 L
.44301 .49952 L
.44398 .5008 L
.44462 .50136 L
.44571 .50241 L
.44622 .50366 L
.44652 .50401 L
.44766 .50562 L
.44783 .50583 L
.44887 .50722 L
.44943 .50795 L
.45009 .50883 L
.45104 .50995 L
.45147 .51043 L
.45252 .51204 L
.45265 .5122 L
.45371 .51364 L
.45425 .51435 L
.45491 .51525 L
.45586 .51627 L
.4564 .51686 L
.45731 .51846 L
.45746 .51865 L
.45847 .52007 L
.45907 .52085 L
.45965 .52167 L
.46067 .52304 L
.46084 .52328 L
.46197 .52488 L
.46228 .52529 L
.46308 .52649 L
.46388 .52759 L
.46421 .52809 L
.4653 .5297 L
.46549 .52997 L
.4662 .5313 L
.46549 .53155 L
.46525 .5313 L
.46388 .52988 L
.46372 .5297 L
.46229 .52809 L
.46228 .52808 L
.46091 .52649 L
.46067 .52622 L
.45955 .52488 L
.45907 .52433 L
.4582 .52328 L
.45746 .52284 L
.45686 .52167 L
.45586 .52053 L
.45527 .52007 L
.45425 .51849 L
.45422 .51846 L
.45294 .51686 L
.45265 .5165 L
.45165 .51525 L
.45104 .51472 L
.45036 .51364 L
.44943 .51254 L
.44895 .51204 L
.44783 .51047 L
.4478 .51043 L
.44654 .50883 L
.44622 .50844 L
.44527 .50722 L
.44462 .50652 L
.44367 .50562 L
.44301 .50438 L
.44271 .50401 L
.4415 .50241 L
.44141 .5023 L
.44025 .5008 L
.4398 .50047 L
.439 .4992 L
.4382 .49825 L
.43761 .49759 L
.43659 .49611 L
.4365 .49599 L
.43528 .49438 L
.43499 .49402 L
.43404 .49278 L
.43338 .4921 L
.43248 .49117 L
.43178 .48988 L
.43152 .48957 L
.43034 .48796 L
.43017 .48775 L
.42912 .48636 L
.42857 .48597 L
.42789 .48475 L
.42696 .48363 L
.42654 .48314 L
.42543 .48154 L
.42536 .48144 L
.42423 .47993 L
.42375 .47931 L
.42302 .47833 L
.42215 .47736 L
.42157 .47672 L
.42058 .47512 L
.42054 .47506 L
.4194 .47351 L
.41894 .4729 L
.41821 .47191 L
.41733 .47107 L
.417 .4703 L
.41581 .4687 L
.41572 .46859 L
.41466 .46709 L
.41412 .46638 L
.41349 .46549 L
.41251 .46417 L
.41231 .46388 L
.41118 .46228 L
.41091 .46191 L
.41009 .46067 L
.4093 .45957 L
.40898 .45907 L
F
1 .31 0 r
.4093 .47101 m
.40992 .47191 L
.41091 .4731 L
.41119 .47351 L
.41091 .47429 L
.41034 .47351 L
.4093 .4723 L
.40902 .47191 L
F
0 .32 1 r
.4093 .46431 m
.41026 .46549 L
.41091 .46619 L
.41163 .46709 L
.41251 .46811 L
.41298 .4687 L
.41412 .47006 L
.41431 .4703 L
.41561 .47191 L
.41572 .47204 L
.41686 .47351 L
.41733 .47407 L
.41813 .47512 L
.41894 .47609 L
.41942 .47672 L
.42054 .47812 L
.4207 .47833 L
.42194 .47993 L
.42215 .48018 L
.42316 .48154 L
.42375 .48226 L
.42441 .48314 L
.42536 .48434 L
.42566 .48475 L
.42691 .48636 L
.42696 .48642 L
.42809 .48796 L
.42857 .48856 L
.4293 .48957 L
.43017 .49068 L
.43052 .49117 L
.43175 .49278 L
.43178 .49281 L
.43289 .49438 L
.43338 .49502 L
.43405 .49599 L
.43499 .49722 L
.43524 .49759 L
.43499 .499 L
.43384 .49759 L
.43338 .49709 L
.4325 .49599 L
.43178 .49516 L
.43117 .49438 L
.43017 .49319 L
.42984 .49278 L
.42857 .49124 L
.42854 .49117 L
.42728 .48957 L
.42696 .48918 L
.42602 .48796 L
.42536 .48715 L
.42475 .48636 L
.42375 .48511 L
.42347 .48475 L
.42222 .48314 L
.42215 .48306 L
.421 .48154 L
.42054 .48097 L
.41977 .47993 L
.41894 .47888 L
.41852 .47833 L
.41733 .47686 L
.41728 .47672 L
.41609 .47512 L
.41572 .47465 L
.4149 .47351 L
.41412 .47251 L
.41368 .47191 L
.41251 .47037 L
.41246 .4703 L
.41133 .4687 L
.41091 .46815 L
.41019 .46709 L
.4093 .46591 L
.40902 .46549 L
F
1 .58 0 r
.4093 .45762 m
.41062 .45907 L
.41091 .45936 L
.41205 .46067 L
.41251 .46118 L
.41344 .46228 L
.41412 .46305 L
.41481 .46388 L
.41572 .46468 L
.41616 .46549 L
.41733 .46686 L
.41761 .46709 L
.4188 .4687 L
.41894 .46886 L
.4201 .4703 L
.42054 .47084 L
.4214 .47191 L
.42215 .47266 L
.42328 .47351 L
.42375 .4748 L
.42405 .47512 L
.42525 .47672 L
.42536 .47685 L
.42652 .47833 L
.42696 .47856 L
.42779 .47993 L
.42857 .48082 L
.4293 .48154 L
.43017 .48295 L
.43034 .48314 L
.43157 .48475 L
.43178 .48501 L
.43281 .48636 L
.43338 .48687 L
.43463 .48796 L
.43499 .48908 L
.43541 .48957 L
.43657 .49117 L
.43659 .4912 L
.43779 .49278 L
.4382 .4929 L
.43903 .49438 L
.4398 .49524 L
.44051 .49599 L
.44141 .49743 L
.44153 .49759 L
.44274 .4992 L
.44301 .49955 L
.44396 .5008 L
.44462 .50138 L
.44568 .50241 L
.44622 .50369 L
.4465 .50401 L
.44764 .50562 L
.44783 .50586 L
.44885 .50722 L
.44943 .50798 L
.45007 .50883 L
.45104 .50998 L
.45144 .51043 L
.4525 .51204 L
.45265 .51223 L
.45368 .51364 L
.45425 .51438 L
.45489 .51525 L
.45586 .51632 L
.45635 .51686 L
.45728 .51846 L
.45746 .51869 L
.45844 .52007 L
.45907 .52089 L
.45962 .52167 L
.46067 .52309 L
.4608 .52328 L
.46193 .52488 L
.46228 .52535 L
.46303 .52649 L
.46388 .52766 L
.46416 .52809 L
.46521 .5297 L
.46549 .53011 L
.46604 .5313 L
.46549 .53141 L
.46538 .5313 L
.46388 .52978 L
.46381 .5297 L
.46236 .52809 L
.46228 .528 L
.46097 .52649 L
.46067 .52616 L
.4596 .52488 L
.45907 .52427 L
.45824 .52328 L
.45746 .52278 L
.4569 .52167 L
.45586 .52048 L
.45533 .52007 L
.45426 .51846 L
.45425 .51845 L
.45297 .51686 L
.45265 .51646 L
.45168 .51525 L
.45104 .51468 L
.45038 .51364 L
.44943 .51251 L
.44898 .51204 L
.44783 .51044 L
.44782 .51043 L
.44656 .50883 L
.44622 .50841 L
.4453 .50722 L
.44462 .5065 L
.44369 .50562 L
.44301 .50435 L
.44273 .50401 L
.44152 .50241 L
.44141 .50227 L
.44027 .5008 L
.4398 .50045 L
.43902 .4992 L
.4382 .49822 L
.43763 .49759 L
.43659 .49608 L
.43652 .49599 L
.4353 .49438 L
.43499 .49399 L
.43406 .49278 L
.43338 .49207 L
.4325 .49117 L
.43178 .48985 L
.43154 .48957 L
.43036 .48796 L
.43017 .48773 L
.42914 .48636 L
.42857 .48595 L
.42791 .48475 L
.42696 .4836 L
.42657 .48314 L
.42546 .48154 L
.42536 .48141 L
.42426 .47993 L
.42375 .47928 L
.42304 .47833 L
.42215 .47733 L
.4216 .47672 L
.42061 .47512 L
.42054 .47503 L
.41943 .47351 L
.41894 .47287 L
.41823 .47191 L
.41733 .47102 L
.41703 .4703 L
.41584 .4687 L
.41572 .46854 L
.41469 .46709 L
.41412 .46633 L
.41353 .46549 L
.41251 .46412 L
.41235 .46388 L
.41123 .46228 L
.41091 .46184 L
.41015 .46067 L
.4093 .45948 L
.40904 .45907 L
F
0 .31 1 r
.4093 .4644 m
.41019 .46549 L
.41091 .46625 L
.41158 .46709 L
.41251 .46816 L
.41293 .4687 L
.41412 .4701 L
.41427 .4703 L
.41557 .47191 L
.41572 .47209 L
.41682 .47351 L
.41733 .47411 L
.4181 .47512 L
.41894 .47613 L
.41939 .47672 L
.42054 .47816 L
.42067 .47833 L
.42191 .47993 L
.42215 .48022 L
.42313 .48154 L
.42375 .4823 L
.42438 .48314 L
.42536 .48438 L
.42563 .48475 L
.42687 .48636 L
.42696 .48646 L
.42806 .48796 L
.42857 .4886 L
.42926 .48957 L
.43017 .49073 L
.43049 .49117 L
.43171 .49278 L
.43178 .49286 L
.43284 .49438 L
.43338 .49508 L
.434 .49599 L
.43499 .49729 L
.43519 .49759 L
.43499 .49892 L
.4339 .49759 L
.43338 .49703 L
.43255 .49599 L
.43178 .4951 L
.43121 .49438 L
.43017 .49315 L
.42988 .49278 L
.42857 .49117 L
.42857 .49116 L
.42732 .48957 L
.42696 .48914 L
.42606 .48796 L
.42536 .48711 L
.42478 .48636 L
.42375 .48507 L
.4235 .48475 L
.42225 .48314 L
.42215 .48301 L
.42104 .48154 L
.42054 .48092 L
.4198 .47993 L
.41894 .47884 L
.41855 .47833 L
.41733 .47678 L
.41731 .47672 L
.41613 .47512 L
.41572 .47461 L
.41494 .47351 L
.41412 .47247 L
.41372 .47191 L
.41251 .47032 L
.4125 .4703 L
.41138 .4687 L
.41091 .46808 L
.41024 .46709 L
.4093 .46584 L
.40908 .46549 L
F
1 .3 0 r
.4093 .47113 m
.40983 .47191 L
.41091 .47321 L
.41111 .47351 L
.41091 .47417 L
.41043 .47351 L
.4093 .4722 L
.40909 .47191 L
F
1 .57 0 r
.4093 .45775 m
.41053 .45907 L
.41091 .45944 L
.41198 .46067 L
.41251 .46125 L
.41338 .46228 L
.41412 .46311 L
.41476 .46388 L
.41572 .46474 L
.41612 .46549 L
.41733 .46691 L
.41755 .46709 L
.41876 .4687 L
.41894 .4689 L
.42006 .4703 L
.42054 .47087 L
.42137 .47191 L
.42215 .4727 L
.42324 .47351 L
.42375 .47484 L
.42402 .47512 L
.42523 .47672 L
.42536 .47688 L
.42649 .47833 L
.42696 .47858 L
.42776 .47993 L
.42857 .48085 L
.42927 .48154 L
.43017 .48298 L
.43031 .48314 L
.43154 .48475 L
.43178 .48504 L
.43279 .48636 L
.43338 .48689 L
.4346 .48796 L
.43499 .48911 L
.43539 .48957 L
.43655 .49117 L
.43659 .49123 L
.43777 .49278 L
.4382 .49292 L
.43901 .49438 L
.4398 .49526 L
.44049 .49599 L
.44141 .49746 L
.44151 .49759 L
.44272 .4992 L
.44301 .49957 L
.44394 .5008 L
.44462 .50141 L
.44566 .50241 L
.44622 .50372 L
.44647 .50401 L
.44762 .50562 L
.44783 .50589 L
.44883 .50722 L
.44943 .50801 L
.45005 .50883 L
.45104 .51002 L
.45141 .51043 L
.45247 .51204 L
.45265 .51226 L
.45366 .51364 L
.45425 .51441 L
.45486 .51525 L
.45586 .51637 L
.4563 .51686 L
.45725 .51846 L
.45746 .51873 L
.45841 .52007 L
.45907 .52094 L
.45958 .52167 L
.46067 .52314 L
.46077 .52328 L
.46188 .52488 L
.46228 .52542 L
.46298 .52649 L
.46388 .52775 L
.4641 .52809 L
.46388 .52968 L
.46244 .52809 L
.46228 .52792 L
.46103 .52649 L
.46067 .52609 L
.45965 .52488 L
.45907 .52422 L
.45829 .52328 L
.45746 .52273 L
.45694 .52167 L
.45586 .52043 L
.45539 .52007 L
.4543 .51846 L
.45425 .51841 L
.453 .51686 L
.45265 .51642 L
.45171 .51525 L
.45104 .51465 L
.45041 .51364 L
.44943 .51247 L
.44901 .51204 L
.44785 .51043 L
.44783 .51041 L
.44659 .50883 L
.44622 .50838 L
.44532 .50722 L
.44462 .50647 L
.44372 .50562 L
.44301 .50432 L
.44275 .50401 L
.44154 .50241 L
.44141 .50224 L
.4403 .5008 L
.4398 .50043 L
.43904 .4992 L
.4382 .49819 L
.43766 .49759 L
.43659 .49605 L
.43654 .49599 L
.43532 .49438 L
.43499 .49397 L
.43408 .49278 L
.43338 .49205 L
.43253 .49117 L
.43178 .48983 L
.43157 .48957 L
.43038 .48796 L
.43017 .4877 L
.42916 .48636 L
.42857 .48593 L
.42793 .48475 L
.42696 .48357 L
.42659 .48314 L
.42548 .48154 L
.42536 .48138 L
.42428 .47993 L
.42375 .47925 L
.42306 .47833 L
.42215 .47729 L
.42163 .47672 L
.42064 .47512 L
.42054 .475 L
.41946 .47351 L
.41894 .47283 L
.41826 .47191 L
.41733 .47096 L
.41706 .4703 L
.41588 .4687 L
.41572 .4685 L
.41473 .46709 L
.41412 .46628 L
.41356 .46549 L
.41251 .46406 L
.41239 .46388 L
.41129 .46228 L
.41091 .46176 L
.41021 .46067 L
.4093 .45938 L
.40911 .45907 L
F
0 .3 1 r
.4093 .4645 m
.41011 .46549 L
.41091 .46632 L
.41152 .46709 L
.41251 .46822 L
.41289 .4687 L
.41412 .47015 L
.41424 .4703 L
.41552 .47191 L
.41572 .47214 L
.41678 .47351 L
.41733 .47416 L
.41806 .47512 L
.41894 .47617 L
.41935 .47672 L
.42054 .4782 L
.42064 .47833 L
.42187 .47993 L
.42215 .48026 L
.4231 .48154 L
.42375 .48234 L
.42435 .48314 L
.42536 .48441 L
.4256 .48475 L
.42684 .48636 L
.42696 .48651 L
.42802 .48796 L
.42857 .48864 L
.42923 .48957 L
.43017 .49077 L
.43046 .49117 L
.43167 .49278 L
.43178 .49292 L
.43279 .49438 L
.43338 .49514 L
.43395 .49599 L
.43499 .49736 L
.43514 .49759 L
.43499 .49884 L
.43397 .49759 L
.43338 .49696 L
.4326 .49599 L
.43178 .49505 L
.43125 .49438 L
.43017 .4931 L
.42992 .49278 L
.42862 .49117 L
.42857 .49111 L
.42736 .48957 L
.42696 .48909 L
.42609 .48796 L
.42536 .48706 L
.42481 .48636 L
.42375 .48503 L
.42354 .48475 L
.42229 .48314 L
.42215 .48297 L
.42107 .48154 L
.42054 .48088 L
.41983 .47993 L
.41894 .4788 L
.41859 .47833 L
.41734 .47672 L
.41733 .47671 L
.41617 .47512 L
.41572 .47456 L
.41497 .47351 L
.41412 .47242 L
.41376 .47191 L
.41254 .4703 L
.41251 .47026 L
.41144 .4687 L
.41091 .46801 L
.4103 .46709 L
.4093 .46575 L
.40913 .46549 L
F
1 .29 0 r
.4093 .47126 m
.40971 .47191 L
.41091 .47334 L
.41102 .47351 L
.41091 .47402 L
.41056 .47351 L
.4093 .47208 L
.40918 .47191 L
F
1 .56 0 r
.4093 .45789 m
.41042 .45907 L
.41091 .45954 L
.41191 .46067 L
.41251 .46132 L
.41333 .46228 L
.41412 .46317 L
.41471 .46388 L
.41572 .46481 L
.41608 .46549 L
.41733 .46697 L
.41748 .46709 L
.41873 .4687 L
.41894 .46894 L
.42003 .4703 L
.42054 .47091 L
.42134 .47191 L
.42215 .47274 L
.4232 .47351 L
.42375 .47488 L
.42398 .47512 L
.4252 .47672 L
.42536 .47692 L
.42647 .47833 L
.42696 .4786 L
.42774 .47993 L
.42857 .48088 L
.42924 .48154 L
.43017 .48301 L
.43029 .48314 L
.43152 .48475 L
.43178 .48507 L
.43277 .48636 L
.43338 .48692 L
.43458 .48796 L
.43499 .48914 L
.43537 .48957 L
.43652 .49117 L
.43659 .49126 L
.43775 .49278 L
.4382 .49293 L
.43899 .49438 L
.4398 .49529 L
.44046 .49599 L
.44141 .49749 L
.44149 .49759 L
.4427 .4992 L
.44301 .4996 L
.44392 .5008 L
.44462 .50144 L
.44563 .50241 L
.44622 .50375 L
.44645 .50401 L
.4476 .50562 L
.44783 .50591 L
.4488 .50722 L
.44943 .50804 L
.45002 .50883 L
.45104 .51005 L
.45138 .51043 L
.45245 .51204 L
.45265 .51229 L
.45363 .51364 L
.45425 .51445 L
.45483 .51525 L
.45586 .51643 L
.45625 .51686 L
.45722 .51846 L
.45746 .51878 L
.45837 .52007 L
.45907 .52098 L
.45955 .52167 L
.46067 .52319 L
.46073 .52328 L
.46183 .52488 L
.46228 .52549 L
.46293 .52649 L
.46388 .52784 L
.46404 .52809 L
.46388 .52956 L
.46253 .52809 L
.46228 .52784 L
.4611 .52649 L
.46067 .52603 L
.45971 .52488 L
.45907 .52416 L
.45833 .52328 L
.45746 .52266 L
.45698 .52167 L
.45586 .52038 L
.45545 .52007 L
.45433 .51846 L
.45425 .51836 L
.45304 .51686 L
.45265 .51639 L
.45174 .51525 L
.45104 .51461 L
.45044 .51364 L
.44943 .51243 L
.44904 .51204 L
.44788 .51043 L
.44783 .51038 L
.44661 .50883 L
.44622 .50835 L
.44535 .50722 L
.44462 .50644 L
.44375 .50562 L
.44301 .50429 L
.44278 .50401 L
.44156 .50241 L
.44141 .50222 L
.44032 .5008 L
.4398 .50041 L
.43906 .4992 L
.4382 .49816 L
.43768 .49759 L
.43659 .49603 L
.43656 .49599 L
.43534 .49438 L
.43499 .49394 L
.4341 .49278 L
.43338 .49202 L
.43255 .49117 L
.43178 .4898 L
.43159 .48957 L
.4304 .48796 L
.43017 .48767 L
.42918 .48636 L
.42857 .4859 L
.42795 .48475 L
.42696 .48354 L
.42662 .48314 L
.4255 .48154 L
.42536 .48135 L
.4243 .47993 L
.42375 .47922 L
.42309 .47833 L
.42215 .47725 L
.42167 .47672 L
.42066 .47512 L
.42054 .47496 L
.41948 .47351 L
.41894 .4728 L
.41829 .47191 L
.41733 .4709 L
.41709 .4703 L
.41591 .4687 L
.41572 .46846 L
.41476 .46709 L
.41412 .46623 L
.4136 .46549 L
.41251 .46401 L
.41243 .46388 L
.41134 .46228 L
.41091 .46168 L
.41027 .46067 L
.4093 .45927 L
.40918 .45907 L
F
0 .29 1 r
.4093 .46461 m
.41002 .46549 L
.41091 .4664 L
.41146 .46709 L
.41251 .46828 L
.41284 .4687 L
.41412 .47021 L
.4142 .4703 L
.41547 .47191 L
.41572 .47219 L
.41674 .47351 L
.41733 .4742 L
.41803 .47512 L
.41894 .47622 L
.41932 .47672 L
.42054 .47824 L
.42061 .47833 L
.42184 .47993 L
.42215 .48031 L
.42306 .48154 L
.42375 .48238 L
.42431 .48314 L
.42536 .48446 L
.42557 .48475 L
.4268 .48636 L
.42696 .48655 L
.42798 .48796 L
.42857 .48869 L
.42919 .48957 L
.43017 .49082 L
.43042 .49117 L
.43162 .49278 L
.43178 .49297 L
.43274 .49438 L
.43338 .4952 L
.4339 .49599 L
.43499 .49743 L
.43509 .49759 L
.43499 .49874 L
.43404 .49759 L
.43338 .49689 L
.43266 .49599 L
.43178 .49499 L
.4313 .49438 L
.43017 .49305 L
.42996 .49278 L
.42866 .49117 L
.42857 .49106 L
.4274 .48957 L
.42696 .48904 L
.42613 .48796 L
.42536 .48702 L
.42485 .48636 L
.42375 .48499 L
.42357 .48475 L
.42233 .48314 L
.42215 .48292 L
.42111 .48154 L
.42054 .48084 L
.41987 .47993 L
.41894 .47876 L
.41862 .47833 L
.41738 .47672 L
.41733 .47666 L
.41621 .47512 L
.41572 .47451 L
.41501 .47351 L
.41412 .47236 L
.41379 .47191 L
.4126 .4703 L
.41251 .4702 L
.41149 .4687 L
.41091 .46794 L
.41036 .46709 L
.4093 .46566 L
.4092 .46549 L
F
.007 .84 1 r
.4093 .45132 m
.41072 .45265 L
.41091 .45282 L
.41226 .45425 L
.41251 .45451 L
.41372 .45586 L
.41412 .45629 L
.41514 .45746 L
.41572 .45775 L
.41654 .45907 L
.41733 .45993 L
.4184 .46067 L
.41894 .46191 L
.4193 .46228 L
.42054 .46385 L
.42057 .46388 L
.42189 .46549 L
.42215 .46571 L
.42321 .46709 L
.42375 .46774 L
.42469 .4687 L
.42536 .46978 L
.42578 .4703 L
.42696 .47179 L
.42703 .47191 L
.42837 .47351 L
.42857 .47373 L
.42997 .47512 L
.43017 .47579 L
.43096 .47672 L
.43178 .47786 L
.4321 .47833 L
.43338 .47988 L
.43345 .47993 L
.43471 .48154 L
.43499 .48187 L
.4361 .48314 L
.43659 .48397 L
.43719 .48475 L
.4382 .48606 L
.43834 .48636 L
.43972 .48796 L
.4398 .48804 L
.44122 .48957 L
.44141 .49011 L
.44226 .49117 L
.44301 .49223 L
.44337 .49278 L
.44462 .49429 L
.44471 .49438 L
.44595 .49599 L
.44622 .4963 L
.44733 .49759 L
.44783 .49842 L
.4484 .4992 L
.44943 .50053 L
.44956 .5008 L
.45091 .50241 L
.45104 .50253 L
.45241 .50401 L
.45265 .50463 L
.45343 .50562 L
.45425 .50676 L
.45454 .50722 L
.45585 .50883 L
.45586 .50883 L
.45708 .51043 L
.45746 .51085 L
.45847 .51204 L
.45907 .513 L
.45953 .51364 L
.46067 .51512 L
.46072 .51525 L
.462 .51686 L
.46228 .51709 L
.46354 .51846 L
.46388 .51925 L
.46452 .52007 L
.46549 .5214 L
.46565 .52167 L
.46691 .52328 L
.46709 .52332 L
.46812 .52488 L
.4687 .52549 L
.46952 .52649 L
.4703 .5277 L
.47058 .52809 L
.47179 .5297 L
.47191 .52984 L
.473 .5313 L
.47351 .53172 L
.47456 .53291 L
.47512 .53401 L
.4755 .53451 L
.47666 .53612 L
.47672 .5362 L
.47785 .53772 L
.47833 .53835 L
.47905 .53933 L
.47993 .54034 L
.4804 .54093 L
.48147 .54254 L
.48154 .54263 L
.48265 .54414 L
.48314 .5448 L
.48383 .54575 L
.48475 .54675 L
.48523 .54735 L
.48621 .54896 L
.48636 .54916 L
.48735 .55057 L
.48796 .55139 L
.4885 .55217 L
.48957 .55363 L
.48967 .55378 L
.49076 .55538 L
.49117 .55596 L
.49182 .55699 L
.49278 .55839 L
.4929 .55859 L
.49372 .5602 L
.49278 .56022 L
.49275 .5602 L
.49117 .55865 L
.49114 .55859 L
.48965 .55699 L
.48957 .55689 L
.48823 .55538 L
.48796 .55509 L
.48683 .55378 L
.48636 .5537 L
.48545 .55217 L
.48475 .55145 L
.48409 .55057 L
.48314 .54944 L
.48266 .54896 L
.48154 .54747 L
.48144 .54735 L
.48012 .54575 L
.47993 .54561 L
.47881 .54414 L
.47833 .54358 L
.47727 .54254 L
.47672 .54153 L
.47622 .54093 L
.47512 .53951 L
.47501 .53933 L
.47367 .53772 L
.47351 .53757 L
.47196 .53612 L
.47191 .53551 L
.47104 .53451 L
.4703 .53343 L
.46992 .53291 L
.4687 .53139 L
.46867 .5313 L
.46735 .5297 L
.46709 .52941 L
.4659 .52809 L
.46549 .52731 L
.46484 .52649 L
.46388 .52522 L
.46369 .52488 L
.46234 .52328 L
.46228 .52322 L
.46075 .52167 L
.46067 .52116 L
.45976 .52007 L
.45907 .51904 L
.45866 .51846 L
.45746 .51697 L
.45744 .51686 L
.45612 .51525 L
.45586 .51497 L
.45468 .51364 L
.45425 .51285 L
.45363 .51204 L
.45265 .51073 L
.45248 .51043 L
.45116 .50883 L
.45104 .50873 L
.44957 .50722 L
.44943 .50664 L
.4486 .50562 L
.44783 .5045 L
.4475 .50401 L
.44622 .50241 L
.44622 .50241 L
.445 .5008 L
.44462 .50042 L
.44355 .4992 L
.44301 .49826 L
.44251 .49759 L
.44141 .49613 L
.44133 .49599 L
.44008 .49438 L
.4398 .49419 L
.43844 .49278 L
.4382 .49202 L
.43751 .49117 L
.43659 .48985 L
.43641 .48957 L
.43517 .48796 L
.43499 .48773 L
.43396 .48636 L
.43338 .48578 L
.4325 .48475 L
.43178 .48356 L
.43147 .48314 L
.43028 .48154 L
.43017 .4814 L
.42908 .47993 L
.42857 .47958 L
.42743 .47833 L
.42696 .47725 L
.42655 .47672 L
.42542 .47512 L
.42536 .47503 L
.42423 .47351 L
.42375 .47289 L
.42303 .47191 L
.42215 .47092 L
.42165 .4703 L
.42061 .4687 L
.42054 .46861 L
.41944 .46709 L
.41894 .46643 L
.41826 .46549 L
.41733 .46452 L
.41682 .46388 L
.41588 .46228 L
.41572 .46207 L
.41475 .46067 L
.41412 .45983 L
.4136 .45907 L
.41251 .45758 L
.41243 .45746 L
.41136 .45586 L
.41091 .45522 L
.41031 .45425 L
.4093 .45273 L
.40926 .45265 L
F
1 .55 0 r
.4093 .45806 m
.4103 .45907 L
.41091 .45963 L
.41183 .46067 L
.41251 .46139 L
.41327 .46228 L
.41412 .46323 L
.41466 .46388 L
.41572 .46489 L
.41603 .46549 L
.41733 .46702 L
.41742 .46709 L
.41869 .4687 L
.41894 .46899 L
.42 .4703 L
.42054 .47095 L
.4213 .47191 L
.42215 .47278 L
.42315 .47351 L
.42375 .47491 L
.42395 .47512 L
.42517 .47672 L
.42536 .47695 L
.42644 .47833 L
.42696 .47862 L
.42771 .47993 L
.42857 .48091 L
.42921 .48154 L
.43017 .48304 L
.43026 .48314 L
.4315 .48475 L
.43178 .4851 L
.43275 .48636 L
.43338 .48694 L
.43455 .48796 L
.43499 .48916 L
.43534 .48957 L
.4365 .49117 L
.43659 .49128 L
.43773 .49278 L
.4382 .49295 L
.43897 .49438 L
.4398 .49532 L
.44044 .49599 L
.44141 .49752 L
.44147 .49759 L
.44268 .4992 L
.44301 .49963 L
.4439 .5008 L
.44462 .50146 L
.4456 .50241 L
.44622 .50378 L
.44642 .50401 L
.44758 .50562 L
.44783 .50594 L
.44878 .50722 L
.44943 .50807 L
.45 .50883 L
.45104 .51009 L
.45134 .51043 L
.45242 .51204 L
.45265 .51233 L
.45361 .51364 L
.45425 .51448 L
.45481 .51525 L
.45586 .51649 L
.4562 .51686 L
.45719 .51846 L
.45746 .51882 L
.45834 .52007 L
.45907 .52103 L
.45951 .52167 L
.46067 .52324 L
.4607 .52328 L
.46178 .52488 L
.46228 .52556 L
.46287 .52649 L
.46388 .52794 L
.46398 .52809 L
.46388 .52943 L
.46262 .52809 L
.46228 .52775 L
.46117 .52649 L
.46067 .52596 L
.45976 .52488 L
.45907 .5241 L
.45838 .52328 L
.45746 .5226 L
.45702 .52167 L
.45586 .52032 L
.45552 .52007 L
.45437 .51846 L
.45425 .51832 L
.45307 .51686 L
.45265 .51635 L
.45177 .51525 L
.45104 .51458 L
.45047 .51364 L
.44943 .5124 L
.44908 .51204 L
.4479 .51043 L
.44783 .51034 L
.44664 .50883 L
.44622 .50832 L
.44537 .50722 L
.44462 .50641 L
.44377 .50562 L
.44301 .50426 L
.4428 .50401 L
.44159 .50241 L
.44141 .50219 L
.44034 .5008 L
.4398 .50038 L
.43908 .4992 L
.4382 .49814 L
.4377 .49759 L
.43659 .496 L
.43658 .49599 L
.43536 .49438 L
.43499 .49391 L
.43412 .49278 L
.43338 .49199 L
.43258 .49117 L
.43178 .48977 L
.43161 .48957 L
.43042 .48796 L
.43017 .48765 L
.4292 .48636 L
.42857 .48588 L
.42797 .48475 L
.42696 .48351 L
.42665 .48314 L
.42553 .48154 L
.42536 .48132 L
.42432 .47993 L
.42375 .47919 L
.42311 .47833 L
.42215 .47721 L
.4217 .47672 L
.42069 .47512 L
.42054 .47493 L
.41951 .47351 L
.41894 .47276 L
.41832 .47191 L
.41733 .47084 L
.41711 .4703 L
.41594 .4687 L
.41572 .46841 L
.4148 .46709 L
.41412 .46618 L
.41364 .46549 L
.41251 .46395 L
.41247 .46388 L
.4114 .46228 L
.41091 .46159 L
.41034 .46067 L
.4093 .45914 L
.40926 .45907 L
F
0 .28 1 r
.4093 .46476 m
.40991 .46549 L
.41091 .46648 L
.4114 .46709 L
.41251 .46834 L
.41279 .4687 L
.41412 .47026 L
.41415 .4703 L
.41543 .47191 L
.41572 .47225 L
.4167 .47351 L
.41733 .47425 L
.41799 .47512 L
.41894 .47626 L
.41929 .47672 L
.42054 .47828 L
.42058 .47833 L
.4218 .47993 L
.42215 .48035 L
.42303 .48154 L
.42375 .48243 L
.42428 .48314 L
.42536 .4845 L
.42554 .48475 L
.42676 .48636 L
.42696 .4866 L
.42794 .48796 L
.42857 .48874 L
.42916 .48957 L
.43017 .49087 L
.43039 .49117 L
.43157 .49278 L
.43178 .49304 L
.43269 .49438 L
.43338 .49527 L
.43385 .49599 L
.43499 .49751 L
.43504 .49759 L
.43499 .49863 L
.43413 .49759 L
.43338 .49682 L
.43272 .49599 L
.43178 .49493 L
.43135 .49438 L
.43017 .49299 L
.43 .49278 L
.42871 .49117 L
.42857 .49101 L
.42745 .48957 L
.42696 .48899 L
.42617 .48796 L
.42536 .48697 L
.42488 .48636 L
.42375 .48494 L
.4236 .48475 L
.42237 .48314 L
.42215 .48288 L
.42115 .48154 L
.42054 .48079 L
.4199 .47993 L
.41894 .47871 L
.41865 .47833 L
.41742 .47672 L
.41733 .47661 L
.41625 .47512 L
.41572 .47446 L
.41505 .47351 L
.41412 .47231 L
.41383 .47191 L
.41265 .4703 L
.41251 .47013 L
.41155 .4687 L
.41091 .46786 L
.41042 .46709 L
.4093 .46555 L
.40927 .46549 L
F
1 .28 0 r
.4093 .47147 m
.40952 .47191 L
.4093 .47193 L
.40929 .47191 L
F
1 .87 .018 r
.41091 .41686 m
.41116 .41733 L
.41251 .41854 L
.41277 .41894 L
.41412 .4204 L
.4143 .42054 L
.41556 .42215 L
.41572 .42234 L
.41685 .42375 L
.41733 .42433 L
.41812 .42536 L
.41894 .42603 L
.41936 .42696 L
.42054 .42849 L
.4206 .42857 L
.42172 .43017 L
.42215 .43078 L
.4228 .43178 L
.42375 .43332 L
.42379 .43338 L
.42375 .43483 L
.42215 .43423 L
.42165 .43338 L
.42054 .43243 L
.42007 .43178 L
.41894 .43054 L
.41848 .43017 L
.41733 .42858 L
.41731 .42857 L
.41605 .42696 L
.41572 .42656 L
.4148 .42536 L
.41412 .42489 L
.41306 .42375 L
.41251 .42234 L
.41238 .42215 L
.41132 .42054 L
.41091 .41993 L
.41028 .41894 L
.40941 .41733 L
F
.538 .98 1 r
.41091 .41077 m
.4113 .41091 L
.41251 .4115 L
.41367 .41251 L
.41412 .41318 L
.4156 .41412 L
.41572 .41497 L
.41664 .41572 L
.41733 .41699 L
.41779 .41733 L
.41894 .41866 L
.41898 .41894 L
.4204 .42054 L
.42054 .42071 L
.42181 .42215 L
.42215 .42281 L
.4229 .42375 L
.42375 .42492 L
.42401 .42536 L
.42536 .42695 L
.42538 .42696 L
.42688 .42857 L
.42696 .42892 L
.42792 .43017 L
.42857 .43106 L
.429 .43178 L
.43017 .43324 L
.43019 .43338 L
.43145 .43499 L
.43178 .43546 L
.43281 .43659 L
.43338 .43798 L
.4335 .4382 L
.43338 .43869 L
.43178 .43904 L
.43017 .43862 L
.42944 .4382 L
.42857 .43728 L
.42801 .43659 L
.42696 .43541 L
.4268 .43499 L
.42536 .43338 L
.42535 .43338 L
.42391 .43178 L
.42375 .43131 L
.42281 .43017 L
.42215 .4292 L
.42172 .42857 L
.42054 .42712 L
.42037 .42696 L
.41914 .42536 L
.41894 .42517 L
.41779 .42375 L
.41733 .42306 L
.41672 .42215 L
.41572 .42089 L
.4156 .42054 L
.41427 .41894 L
.41412 .41873 L
.4128 .41733 L
.41251 .41654 L
.41185 .41572 L
.41091 .41429 L
.41081 .41412 L
.40982 .41251 L
.40963 .41091 L
F
1 .86 .013 r
.41091 .41731 m
.41092 .41733 L
.41251 .41875 L
.41263 .41894 L
.41411 .42054 L
.41412 .42055 L
.41546 .42215 L
.41572 .42245 L
.41676 .42375 L
.41733 .42444 L
.41803 .42536 L
.41894 .42618 L
.41928 .42696 L
.42049 .42857 L
.42054 .42863 L
.42161 .43017 L
.42215 .43094 L
.42268 .43178 L
.42358 .43338 L
.42215 .43391 L
.42185 .43338 L
.42054 .43225 L
.4202 .43178 L
.41894 .4304 L
.41865 .43017 L
.41742 .42857 L
.41733 .42846 L
.41614 .42696 L
.41572 .42644 L
.4149 .42536 L
.41412 .42474 L
.41321 .42375 L
.41252 .42215 L
.41251 .42214 L
.41144 .42054 L
.41091 .41971 L
.41044 .41894 L
.40974 .41733 L
F
.395 .97 1 r
.41091 .41133 m
.41251 .41193 L
.41326 .41251 L
.41412 .41355 L
.41547 .41412 L
.41572 .41521 L
.41649 .41572 L
.41733 .41711 L
.41769 .41733 L
.41894 .4188 L
.41896 .41894 L
.42031 .42054 L
.42054 .42082 L
.42176 .42215 L
.42215 .4229 L
.42283 .42375 L
.42375 .425 L
.42396 .42536 L
.42531 .42696 L
.42536 .42698 L
.42686 .42857 L
.42696 .42899 L
.42786 .43017 L
.42857 .43115 L
.42894 .43178 L
.43017 .43337 L
.43017 .43338 L
.43134 .43499 L
.43178 .43564 L
.43266 .43659 L
.43311 .4382 L
.43178 .43878 L
.43017 .43831 L
.42992 .4382 L
.42857 .43705 L
.42817 .43659 L
.42696 .43525 L
.42686 .43499 L
.42545 .43338 L
.42536 .43327 L
.42395 .43178 L
.42375 .43121 L
.42288 .43017 L
.42215 .42912 L
.42177 .42857 L
.42054 .42706 L
.42043 .42696 L
.41921 .42536 L
.41894 .42511 L
.41785 .42375 L
.41733 .42297 L
.41679 .42215 L
.41572 .42078 L
.41564 .42054 L
.41437 .41894 L
.41412 .41859 L
.41288 .41733 L
.41251 .41635 L
.412 .41572 L
.411 .41412 L
.41091 .41396 L
.41019 .41251 L
F
1 .54 0 r
.41091 .45974 m
.41175 .46067 L
.41251 .46147 L
.4132 .46228 L
.41412 .46329 L
.41461 .46388 L
.41572 .46497 L
.41599 .46549 L
.41733 .46708 L
.41735 .46709 L
.41865 .4687 L
.41894 .46903 L
.41996 .4703 L
.42054 .47099 L
.42127 .47191 L
.42215 .47282 L
.4231 .47351 L
.42375 .47495 L
.42391 .47512 L
.42514 .47672 L
.42536 .47698 L
.42641 .47833 L
.42696 .47864 L
.42769 .47993 L
.42857 .48094 L
.42918 .48154 L
.43017 .48307 L
.43024 .48314 L
.43148 .48475 L
.43178 .48512 L
.43273 .48636 L
.43338 .48697 L
.43453 .48796 L
.43499 .48919 L
.43532 .48957 L
.43648 .49117 L
.43659 .49131 L
.43771 .49278 L
.4382 .49296 L
.43896 .49438 L
.4398 .49535 L
.44041 .49599 L
.44141 .49754 L
.44145 .49759 L
.44266 .4992 L
.44301 .49965 L
.44388 .5008 L
.44462 .50149 L
.44557 .50241 L
.44622 .50381 L
.44639 .50401 L
.44755 .50562 L
.44783 .50597 L
.44876 .50722 L
.44943 .50809 L
.44998 .50883 L
.45104 .51013 L
.45131 .51043 L
.4524 .51204 L
.45265 .51236 L
.45358 .51364 L
.45425 .51452 L
.45478 .51525 L
.45586 .51654 L
.45614 .51686 L
.45715 .51846 L
.45746 .51886 L
.45831 .52007 L
.45907 .52108 L
.45948 .52167 L
.46065 .52328 L
.46067 .5233 L
.46172 .52488 L
.46228 .52564 L
.46281 .52649 L
.46388 .52805 L
.46391 .52809 L
.46388 .52928 L
.46273 .52809 L
.46228 .52766 L
.46124 .52649 L
.46067 .52588 L
.45982 .52488 L
.45907 .52404 L
.45843 .52328 L
.45746 .52252 L
.45706 .52167 L
.45586 .52027 L
.45559 .52007 L
.45441 .51846 L
.45425 .51828 L
.4531 .51686 L
.45265 .51631 L
.4518 .51525 L
.45104 .51454 L
.4505 .51364 L
.44943 .51236 L
.44911 .51204 L
.44793 .51043 L
.44783 .51031 L
.44667 .50883 L
.44622 .50828 L
.44539 .50722 L
.44462 .50638 L
.4438 .50562 L
.44301 .50423 L
.44283 .50401 L
.44161 .50241 L
.44141 .50216 L
.44036 .5008 L
.4398 .50036 L
.4391 .4992 L
.4382 .49811 L
.43773 .49759 L
.43661 .49599 L
.43659 .49597 L
.43538 .49438 L
.43499 .49389 L
.43414 .49278 L
.43338 .49197 L
.4326 .49117 L
.43178 .48974 L
.43163 .48957 L
.43044 .48796 L
.43017 .48762 L
.42922 .48636 L
.42857 .48585 L
.42799 .48475 L
.42696 .48348 L
.42668 .48314 L
.42555 .48154 L
.42536 .48129 L
.42435 .47993 L
.42375 .47916 L
.42313 .47833 L
.42215 .47717 L
.42174 .47672 L
.42072 .47512 L
.42054 .47489 L
.41954 .47351 L
.41894 .47272 L
.41834 .47191 L
.41733 .47077 L
.41714 .4703 L
.41598 .4687 L
.41572 .46836 L
.41484 .46709 L
.41412 .46613 L
.41368 .46549 L
.41251 .46389 L
.41251 .46388 L
.41146 .46228 L
.41091 .4615 L
.41041 .46067 L
F
.005 .83 1 r
.41091 .45304 m
.41208 .45425 L
.41251 .45468 L
.41359 .45586 L
.41412 .45642 L
.41503 .45746 L
.41572 .45784 L
.41644 .45907 L
.41733 .46003 L
.41829 .46067 L
.41894 .462 L
.41922 .46228 L
.42051 .46388 L
.42054 .46392 L
.42183 .46549 L
.42215 .46576 L
.42315 .46709 L
.42375 .46781 L
.42464 .4687 L
.42536 .46984 L
.42574 .4703 L
.42696 .47183 L
.427 .47191 L
.42833 .47351 L
.42857 .47377 L
.42996 .47512 L
.43017 .47583 L
.43093 .47672 L
.43178 .4779 L
.43207 .47833 L
.43338 .47991 L
.43342 .47993 L
.43468 .48154 L
.43499 .48191 L
.43608 .48314 L
.43659 .484 L
.43716 .48475 L
.4382 .48608 L
.43833 .48636 L
.4397 .48796 L
.4398 .48807 L
.44121 .48957 L
.44141 .49014 L
.44224 .49117 L
.44301 .49226 L
.44335 .49278 L
.44462 .49431 L
.44469 .49438 L
.44593 .49599 L
.44622 .49633 L
.44731 .49759 L
.44783 .49844 L
.44839 .4992 L
.44943 .50055 L
.44955 .5008 L
.45089 .50241 L
.45104 .50255 L
.4524 .50401 L
.45265 .50465 L
.45341 .50562 L
.45425 .50678 L
.45453 .50722 L
.45583 .50883 L
.45586 .50884 L
.45706 .51043 L
.45746 .51087 L
.45845 .51204 L
.45907 .51302 L
.45952 .51364 L
.46067 .51514 L
.46072 .51525 L
.46198 .51686 L
.46228 .5171 L
.46352 .51846 L
.46388 .51927 L
.4645 .52007 L
.46549 .52143 L
.46564 .52167 L
.46688 .52328 L
.46709 .52333 L
.4681 .52488 L
.4687 .52552 L
.4695 .52649 L
.4703 .52773 L
.47056 .52809 L
.47177 .5297 L
.47191 .52987 L
.47298 .5313 L
.47351 .53175 L
.47453 .53291 L
.47512 .53404 L
.47548 .53451 L
.47663 .53612 L
.47672 .53624 L
.47782 .53772 L
.47833 .53839 L
.47902 .53933 L
.47993 .5404 L
.48036 .54093 L
.48143 .54254 L
.48154 .54268 L
.4826 .54414 L
.48314 .54486 L
.48379 .54575 L
.48475 .54684 L
.48516 .54735 L
.48615 .54896 L
.48636 .54923 L
.48729 .55057 L
.48796 .55148 L
.48844 .55217 L
.48957 .55373 L
.4896 .55378 L
.49065 .55538 L
.49117 .55612 L
.4917 .55699 L
.49117 .55842 L
.48981 .55699 L
.48957 .55674 L
.48835 .55538 L
.48796 .55496 L
.48693 .55378 L
.48636 .55365 L
.48554 .55217 L
.48475 .55135 L
.48417 .55057 L
.48314 .54935 L
.48274 .54896 L
.48154 .5474 L
.4815 .54735 L
.48018 .54575 L
.47993 .54557 L
.47887 .54414 L
.47833 .54352 L
.47731 .54254 L
.47672 .54148 L
.47626 .54093 L
.47512 .53946 L
.47503 .53933 L
.47371 .53772 L
.47351 .53753 L
.47197 .53612 L
.47191 .53547 L
.47107 .53451 L
.4703 .53339 L
.46995 .53291 L
.4687 .53136 L
.46868 .5313 L
.46737 .5297 L
.46709 .52938 L
.46592 .52809 L
.46549 .52728 L
.46486 .52649 L
.46388 .52519 L
.4637 .52488 L
.46236 .52328 L
.46228 .5232 L
.46076 .52167 L
.46067 .52113 L
.45978 .52007 L
.45907 .51902 L
.45868 .51846 L
.45746 .51694 L
.45744 .51686 L
.45614 .51525 L
.45586 .51494 L
.4547 .51364 L
.45425 .51282 L
.45365 .51204 L
.45265 .51071 L
.4525 .51043 L
.45118 .50883 L
.45104 .50872 L
.44958 .50722 L
.44943 .50662 L
.44861 .50562 L
.44783 .50448 L
.44751 .50401 L
.44624 .50241 L
.44622 .50241 L
.44502 .5008 L
.44462 .5004 L
.44356 .4992 L
.44301 .49824 L
.44253 .49759 L
.44141 .49611 L
.44135 .49599 L
.4401 .49438 L
.4398 .49418 L
.43845 .49278 L
.4382 .49199 L
.43753 .49117 L
.43659 .48982 L
.43642 .48957 L
.43519 .48796 L
.43499 .4877 L
.43398 .48636 L
.43338 .48576 L
.43252 .48475 L
.43178 .48353 L
.43149 .48314 L
.43031 .48154 L
.43017 .48137 L
.4291 .47993 L
.42857 .47955 L
.42746 .47833 L
.42696 .47721 L
.42658 .47672 L
.42545 .47512 L
.42536 .475 L
.42426 .47351 L
.42375 .47285 L
.42306 .47191 L
.42215 .47086 L
.42169 .4703 L
.42065 .4687 L
.42054 .46856 L
.41948 .46709 L
.41894 .46637 L
.4183 .46549 L
.41733 .46442 L
.4169 .46388 L
.41594 .46228 L
.41572 .46199 L
.41481 .46067 L
.41412 .45973 L
.41367 .45907 L
.41251 .45747 L
.41251 .45746 L
.41148 .45586 L
.41091 .45503 L
.41045 .45425 L
F
1 .53 0 r
.41091 .45985 m
.41165 .46067 L
.41251 .46155 L
.41314 .46228 L
.41412 .46336 L
.41456 .46388 L
.41572 .46505 L
.41595 .46549 L
.4173 .46709 L
.41733 .46713 L
.41861 .4687 L
.41894 .46908 L
.41993 .4703 L
.42054 .47103 L
.42124 .47191 L
.42215 .47286 L
.42305 .47351 L
.42375 .47499 L
.42388 .47512 L
.42512 .47672 L
.42536 .47702 L
.42639 .47833 L
.42696 .47867 L
.42767 .47993 L
.42857 .48097 L
.42915 .48154 L
.43017 .4831 L
.43021 .48314 L
.43145 .48475 L
.43178 .48515 L
.43271 .48636 L
.43338 .48699 L
.4345 .48796 L
.43499 .48922 L
.4353 .48957 L
.43646 .49117 L
.43659 .49133 L
.43769 .49278 L
.4382 .49298 L
.43894 .49438 L
.4398 .49537 L
.44039 .49599 L
.44141 .49757 L
.44143 .49759 L
.44264 .4992 L
.44301 .49968 L
.44386 .5008 L
.44462 .50152 L
.44554 .50241 L
.44622 .50384 L
.44637 .50401 L
.44753 .50562 L
.44783 .506 L
.44874 .50722 L
.44943 .50812 L
.44996 .50883 L
.45104 .51017 L
.45127 .51043 L
.45237 .51204 L
.45265 .51239 L
.45356 .51364 L
.45425 .51455 L
.45476 .51525 L
.45586 .5166 L
.45609 .51686 L
.45712 .51846 L
.45746 .51891 L
.45827 .52007 L
.45907 .52113 L
.45944 .52167 L
.46061 .52328 L
.46067 .52336 L
.46167 .52488 L
.46228 .52573 L
.46274 .52649 L
.46228 .52756 L
.46132 .52649 L
.46067 .52581 L
.45988 .52488 L
.45907 .52398 L
.45848 .52328 L
.45746 .52244 L
.45711 .52167 L
.45586 .52021 L
.45567 .52007 L
.45445 .51846 L
.45425 .51823 L
.45314 .51686 L
.45265 .51627 L
.45183 .51525 L
.45104 .5145 L
.45053 .51364 L
.44943 .51232 L
.44915 .51204 L
.44796 .51043 L
.44783 .51028 L
.44669 .50883 L
.44622 .50825 L
.44542 .50722 L
.44462 .50635 L
.44383 .50562 L
.44301 .5042 L
.44285 .50401 L
.44163 .50241 L
.44141 .50213 L
.44038 .5008 L
.4398 .50034 L
.43913 .4992 L
.4382 .49808 L
.43775 .49759 L
.43663 .49599 L
.43659 .49594 L
.4354 .49438 L
.43499 .49386 L
.43416 .49278 L
.43338 .49194 L
.43263 .49117 L
.43178 .48971 L
.43166 .48957 L
.43046 .48796 L
.43017 .48759 L
.42924 .48636 L
.42857 .48582 L
.42801 .48475 L
.42696 .48344 L
.4267 .48314 L
.42557 .48154 L
.42536 .48126 L
.42437 .47993 L
.42375 .47913 L
.42315 .47833 L
.42215 .47713 L
.42178 .47672 L
.42074 .47512 L
.42054 .47486 L
.41957 .47351 L
.41894 .47269 L
.41837 .47191 L
.41733 .4707 L
.41717 .4703 L
.41602 .4687 L
.41572 .46831 L
.41488 .46709 L
.41412 .46607 L
.41372 .46549 L
.41256 .46388 L
.41251 .46382 L
.41153 .46228 L
.41091 .4614 L
.41049 .46067 L
F
0 .27 1 r
.41091 .46657 m
.41132 .46709 L
.41251 .46841 L
.41274 .4687 L
.41251 .47006 L
.41162 .4687 L
.41091 .46776 L
.41049 .46709 L
F
1 .52 0 r
.41091 .45998 m
.41155 .46067 L
.41251 .46163 L
.41307 .46228 L
.41412 .46342 L
.41451 .46388 L
.41572 .46514 L
.4159 .46549 L
.41725 .46709 L
.41733 .46718 L
.41857 .4687 L
.41894 .46912 L
.41989 .4703 L
.42054 .47107 L
.42121 .47191 L
.42215 .4729 L
.42299 .47351 L
.42375 .47503 L
.42384 .47512 L
.42509 .47672 L
.42536 .47705 L
.42636 .47833 L
.42696 .47869 L
.42764 .47993 L
.42857 .48101 L
.42912 .48154 L
.43017 .48313 L
.43019 .48314 L
.43143 .48475 L
.43178 .48518 L
.43268 .48636 L
.43338 .48702 L
.43447 .48796 L
.43499 .48925 L
.43527 .48957 L
.43644 .49117 L
.43659 .49136 L
.43767 .49278 L
.4382 .493 L
.43892 .49438 L
.4398 .4954 L
.44036 .49599 L
.4414 .49759 L
.44141 .4976 L
.44261 .4992 L
.44301 .4997 L
.44384 .5008 L
.44462 .50155 L
.44551 .50241 L
.44622 .50388 L
.44634 .50401 L
.44751 .50562 L
.44783 .50603 L
.44872 .50722 L
.44943 .50815 L
.44994 .50883 L
.45104 .51021 L
.45124 .51043 L
.45234 .51204 L
.45265 .51243 L
.45353 .51364 L
.45425 .51459 L
.45473 .51525 L
.45586 .51667 L
.45603 .51686 L
.45708 .51846 L
.45746 .51896 L
.45823 .52007 L
.45907 .52118 L
.4594 .52167 L
.46055 .52328 L
.46067 .52343 L
.46161 .52488 L
.46228 .52582 L
.46267 .52649 L
.46228 .52745 L
.4614 .52649 L
.46067 .52573 L
.45994 .52488 L
.45907 .52392 L
.45853 .52328 L
.45746 .52236 L
.45715 .52167 L
.45586 .52015 L
.45574 .52007 L
.45449 .51846 L
.45425 .51819 L
.45317 .51686 L
.45265 .51623 L
.45186 .51525 L
.45104 .51446 L
.45056 .51364 L
.44943 .51228 L
.44919 .51204 L
.44799 .51043 L
.44783 .51024 L
.44672 .50883 L
.44622 .50822 L
.44544 .50722 L
.44462 .50631 L
.44387 .50562 L
.44301 .50417 L
.44288 .50401 L
.44165 .50241 L
.44141 .5021 L
.4404 .5008 L
.4398 .50031 L
.43915 .4992 L
.4382 .49805 L
.43778 .49759 L
.43665 .49599 L
.43659 .49592 L
.43542 .49438 L
.43499 .49383 L
.43418 .49278 L
.43338 .49191 L
.43265 .49117 L
.43178 .48968 L
.43168 .48957 L
.43048 .48796 L
.43017 .48757 L
.42926 .48636 L
.42857 .48579 L
.42803 .48475 L
.42696 .48341 L
.42673 .48314 L
.42559 .48154 L
.42536 .48123 L
.42439 .47993 L
.42375 .4791 L
.42318 .47833 L
.42215 .47708 L
.42182 .47672 L
.42077 .47512 L
.42054 .47482 L
.41959 .47351 L
.41894 .47265 L
.4184 .47191 L
.41733 .47063 L
.4172 .4703 L
.41605 .4687 L
.41572 .46826 L
.41492 .46709 L
.41412 .46602 L
.41376 .46549 L
.41262 .46388 L
.41251 .46374 L
.4116 .46228 L
.41091 .46128 L
.41057 .46067 L
F
0 .26 1 r
.41091 .46667 m
.41124 .46709 L
.41251 .46848 L
.41269 .4687 L
.41251 .46998 L
.41169 .4687 L
.41091 .46766 L
.41057 .46709 L
F
1 .95 .212 r
.41091 .44659 m
.41222 .44783 L
.41251 .44809 L
.4138 .44943 L
.41412 .44975 L
.4153 .45104 L
.41572 .45107 L
.41676 .45265 L
.41733 .45324 L
.41819 .45425 L
.41894 .45517 L
.41965 .45586 L
.42054 .4571 L
.42083 .45746 L
.42215 .459 L
.42215 .45907 L
.42361 .46067 L
.42375 .46084 L
.42512 .46228 L
.42536 .46284 L
.42621 .46388 L
.42696 .4649 L
.42735 .46549 L
.42857 .46695 L
.42885 .46709 L
.43012 .4687 L
.43017 .46877 L
.43143 .4703 L
.43178 .47084 L
.43256 .47191 L
.43338 .47297 L
.43362 .47351 L
.43499 .47483 L
.43522 .47512 L
.43651 .47672 L
.43659 .4769 L
.43769 .47833 L
.4382 .47903 L
.43876 .47993 L
.4398 .4812 L
.44025 .48154 L
.44141 .48305 L
.44148 .48314 L
.44275 .48475 L
.44301 .48516 L
.44386 .48636 L
.44462 .48733 L
.44486 .48796 L
.44622 .48948 L
.44647 .48957 L
.44774 .49117 L
.44783 .49135 L
.44891 .49278 L
.44943 .49349 L
.44997 .49438 L
.45104 .49566 L
.45144 .49599 L
.45265 .49757 L
.45266 .49759 L
.45393 .4992 L
.45425 .49969 L
.45502 .5008 L
.45586 .50185 L
.45603 .50241 L
.45746 .50394 L
.45762 .50401 L
.45892 .50562 L
.45907 .50591 L
.46005 .50722 L
.46067 .50805 L
.46111 .50883 L
.46228 .51018 L
.46256 .51043 L
.46387 .51204 L
.46388 .51216 L
.46506 .51364 L
.46549 .51428 L
.46615 .51525 L
.46709 .51642 L
.4672 .51686 L
.4687 .51845 L
.46872 .51846 L
.47007 .52007 L
.4703 .52051 L
.47117 .52167 L
.47191 .52265 L
.47224 .52328 L
.47351 .52475 L
.47365 .52488 L
.47507 .52649 L
.47512 .52677 L
.47618 .52809 L
.47672 .52889 L
.47726 .5297 L
.47833 .53102 L
.47838 .5313 L
.4798 .53291 L
.47993 .53303 L
.48119 .53451 L
.48154 .53514 L
.48226 .53612 L
.48314 .53728 L
.48337 .53772 L
.48472 .53933 L
.48475 .53934 L
.48625 .54093 L
.48636 .54138 L
.48727 .54254 L
.48796 .54354 L
.48836 .54414 L
.48957 .54567 L
.48958 .54575 L
.49085 .54735 L
.49117 .54763 L
.49229 .54896 L
.49278 .5498 L
.49333 .55057 L
.49438 .55196 L
.49449 .55217 L
.49575 .55378 L
.49599 .55386 L
.49737 .55538 L
.49759 .55605 L
.49831 .55699 L
.4992 .55826 L
.49941 .55859 L
.50064 .5602 L
.5008 .56041 L
.50184 .5618 L
.50241 .56229 L
.5033 .56341 L
.50401 .56458 L
.50432 .56501 L
.5055 .56662 L
.50562 .56677 L
.50669 .56822 L
.50722 .56892 L
.50832 .56983 L
.50883 .57093 L
.5092 .57143 L
.51031 .57304 L
.51043 .5732 L
.51148 .57464 L
.51204 .57538 L
.51267 .57625 L
.51364 .57739 L
.51398 .57785 L
.51502 .57946 L
.51525 .57976 L
.51616 .58106 L
.51686 .58202 L
.5173 .58267 L
.51845 .58428 L
.51846 .58429 L
.51949 .58588 L
.52007 .58673 L
.52051 .58749 L
.52007 .58906 L
.51847 .58749 L
.51846 .58748 L
.51696 .58588 L
.51686 .58577 L
.51551 .58428 L
.51525 .584 L
.51409 .58267 L
.51364 .58224 L
.5127 .58106 L
.51204 .58028 L
.51115 .57946 L
.51043 .57832 L
.51002 .57785 L
.50883 .57638 L
.50875 .57625 L
.50735 .57464 L
.50722 .57449 L
.50575 .57304 L
.50562 .57248 L
.50472 .57143 L
.50401 .57042 L
.50358 .56983 L
.50241 .56838 L
.50217 .56822 L
.5009 .56662 L
.5008 .56649 L
.49954 .56501 L
.4992 .56441 L
.49843 .56341 L
.49759 .5623 L
.49733 .5618 L
.49599 .56025 L
.49584 .5602 L
.49447 .55859 L
.49438 .55831 L
.49332 .55699 L
.49278 .55619 L
.49223 .55538 L
.49117 .55406 L
.49082 .55378 L
.48959 .55217 L
.48957 .55214 L
.48827 .55057 L
.48796 .55004 L
.48716 .54896 L
.48636 .5479 L
.48609 .54735 L
.48475 .54582 L
.48461 .54575 L
.48325 .54414 L
.48314 .54384 L
.48212 .54254 L
.48154 .54171 L
.48103 .54093 L
.47993 .53958 L
.47965 .53933 L
.47842 .53772 L
.47833 .53761 L
.47709 .53612 L
.47672 .5355 L
.476 .53451 L
.47512 .53337 L
.47492 .53291 L
.47351 .53133 L
.47348 .5313 L
.47207 .5297 L
.47191 .52927 L
.47098 .52809 L
.4703 .52714 L
.46989 .52649 L
.4687 .52504 L
.46854 .52488 L
.46731 .52328 L
.46709 .52303 L
.46595 .52167 L
.46549 .52091 L
.46487 .52007 L
.46388 .51879 L
.46375 .51846 L
.46238 .51686 L
.46228 .51677 L
.46091 .51525 L
.46067 .51468 L
.45986 .51364 L
.45907 .51254 L
.45876 .51204 L
.45746 .51045 L
.45744 .51043 L
.45622 .50883 L
.45586 .50844 L
.45484 .50722 L
.45425 .5063 L
.45376 .50562 L
.45265 .50417 L
.45259 .50401 L
.4513 .50241 L
.45104 .5022 L
.44978 .5008 L
.44943 .50006 L
.44877 .4992 L
.44783 .4979 L
.44764 .49759 L
.44638 .49599 L
.44622 .49595 L
.44516 .49438 L
.44462 .49383 L
.44376 .49278 L
.44301 .49164 L
.44268 .49117 L
.44146 .48957 L
.44141 .4895 L
.44025 .48796 L
.4398 .48762 L
.4387 .48636 L
.4382 .48539 L
.43771 .48475 L
.43659 .4832 L
.43656 .48314 L
.43535 .48154 L
.43499 .48108 L
.43413 .47993 L
.43338 .47915 L
.43273 .47833 L
.43178 .4769 L
.43165 .47672 L
.43046 .47512 L
.43017 .47475 L
.42925 .47351 L
.42857 .47293 L
.42773 .47191 L
.42696 .47059 L
.42675 .4703 L
.42559 .4687 L
.42536 .4684 L
.4244 .46709 L
.42375 .46625 L
.42268 .46549 L
.42215 .46423 L
.42188 .46388 L
.42077 .46228 L
.42054 .46198 L
.4196 .46067 L
.41894 .4598 L
.41841 .45907 L
.41733 .45776 L
.41711 .45746 L
.41605 .45586 L
.41572 .45542 L
.41492 .45425 L
.41412 .45316 L
.41377 .45265 L
.41263 .45104 L
.41251 .45088 L
.41161 .44943 L
.41091 .44839 L
.4106 .44783 L
F
.004 .82 1 r
.41091 .45331 m
.41187 .45425 L
.41251 .45485 L
.41344 .45586 L
.41412 .45656 L
.41492 .45746 L
.41572 .45796 L
.41635 .45907 L
.41733 .46014 L
.41816 .46067 L
.41894 .46209 L
.41913 .46228 L
.42044 .46388 L
.42054 .464 L
.42177 .46549 L
.42215 .46581 L
.4231 .46709 L
.42375 .46787 L
.42459 .4687 L
.42536 .46989 L
.4257 .4703 L
.42696 .47187 L
.42698 .47191 L
.42829 .47351 L
.42857 .47382 L
.42994 .47512 L
.43017 .47588 L
.4309 .47672 L
.43178 .47794 L
.43204 .47833 L
.43338 .47993 L
.43338 .47993 L
.43465 .48154 L
.43499 .48194 L
.43606 .48314 L
.43659 .48404 L
.43714 .48475 L
.4382 .48611 L
.43831 .48636 L
.43967 .48796 L
.4398 .48809 L
.4412 .48957 L
.44141 .49017 L
.44222 .49117 L
.44301 .49228 L
.44334 .49278 L
.44462 .49434 L
.44467 .49438 L
.44591 .49599 L
.44622 .49635 L
.44729 .49759 L
.44783 .49847 L
.44837 .4992 L
.44943 .50057 L
.44954 .5008 L
.45087 .50241 L
.45104 .50257 L
.45239 .50401 L
.45265 .50467 L
.4534 .50562 L
.45425 .50681 L
.45451 .50722 L
.45581 .50883 L
.45586 .50885 L
.45704 .51043 L
.45746 .51089 L
.45843 .51204 L
.45907 .51305 L
.4595 .51364 L
.46067 .51517 L
.46071 .51525 L
.46196 .51686 L
.46228 .51712 L
.46351 .51846 L
.46388 .5193 L
.46449 .52007 L
.46549 .52146 L
.46562 .52167 L
.46686 .52328 L
.46709 .52334 L
.46808 .52488 L
.4687 .52555 L
.46948 .52649 L
.4703 .52776 L
.47054 .52809 L
.47175 .5297 L
.47191 .52991 L
.47295 .5313 L
.47351 .53178 L
.4745 .53291 L
.47512 .53408 L
.47545 .53451 L
.4766 .53612 L
.47672 .53628 L
.47779 .53772 L
.47833 .53843 L
.47899 .53933 L
.47993 .54045 L
.48032 .54093 L
.48139 .54254 L
.48154 .54273 L
.48256 .54414 L
.48314 .54491 L
.48375 .54575 L
.48475 .54693 L
.48508 .54735 L
.48609 .54896 L
.48636 .54931 L
.48722 .55057 L
.48796 .55157 L
.48837 .55217 L
.48951 .55378 L
.48957 .55385 L
.49054 .55538 L
.49117 .55631 L
.49157 .55699 L
.49117 .55819 L
.48999 .55699 L
.48957 .55658 L
.48848 .55538 L
.48796 .55483 L
.48703 .55378 L
.48636 .55357 L
.48562 .55217 L
.48475 .55126 L
.48424 .55057 L
.48314 .54927 L
.48282 .54896 L
.48156 .54735 L
.48154 .54733 L
.48024 .54575 L
.47993 .54553 L
.47892 .54414 L
.47833 .54346 L
.47735 .54254 L
.47672 .54142 L
.4763 .54093 L
.47512 .53942 L
.47506 .53933 L
.47375 .53772 L
.47351 .53749 L
.47198 .53612 L
.47191 .53543 L
.4711 .53451 L
.4703 .53335 L
.46998 .53291 L
.4687 .53134 L
.46869 .5313 L
.4674 .5297 L
.46709 .52934 L
.46594 .52809 L
.46549 .52725 L
.46488 .52649 L
.46388 .52516 L
.46372 .52488 L
.46238 .52328 L
.46228 .52318 L
.46076 .52167 L
.46067 .5211 L
.4598 .52007 L
.45907 .51899 L
.45869 .51846 L
.45746 .51692 L
.45745 .51686 L
.45616 .51525 L
.45586 .51492 L
.45471 .51364 L
.45425 .5128 L
.45366 .51204 L
.45265 .51069 L
.45251 .51043 L
.4512 .50883 L
.45104 .5087 L
.44958 .50722 L
.44943 .50659 L
.44863 .50562 L
.44783 .50446 L
.44753 .50401 L
.44626 .50241 L
.44622 .5024 L
.44503 .5008 L
.44462 .50038 L
.44358 .4992 L
.44301 .49822 L
.44254 .49759 L
.44141 .49608 L
.44136 .49599 L
.44012 .49438 L
.4398 .49416 L
.43846 .49278 L
.4382 .49197 L
.43755 .49117 L
.43659 .4898 L
.43644 .48957 L
.43521 .48796 L
.43499 .48767 L
.434 .48636 L
.43338 .48573 L
.43254 .48475 L
.43178 .4835 L
.43152 .48314 L
.43033 .48154 L
.43017 .48134 L
.42913 .47993 L
.42857 .47952 L
.42749 .47833 L
.42696 .47717 L
.42661 .47672 L
.42548 .47512 L
.42536 .47496 L
.4243 .47351 L
.42375 .4728 L
.42309 .47191 L
.42215 .47081 L
.42174 .4703 L
.42069 .4687 L
.42054 .46851 L
.41952 .46709 L
.41894 .46632 L
.41834 .46549 L
.41733 .46432 L
.41698 .46388 L
.416 .46228 L
.41572 .46191 L
.41488 .46067 L
.41412 .45964 L
.41374 .45907 L
.41261 .45746 L
.41251 .45733 L
.4116 .45586 L
.41091 .45481 L
.41061 .45425 L
F
1 .85 .01 r
.41091 .41762 m
.41247 .41894 L
.41251 .41898 L
.41397 .42054 L
.41412 .4207 L
.41535 .42215 L
.41572 .42258 L
.41666 .42375 L
.41733 .42456 L
.41795 .42536 L
.41894 .42634 L
.4192 .42696 L
.42039 .42857 L
.42054 .42877 L
.4215 .43017 L
.42215 .43112 L
.42255 .43178 L
.42329 .43338 L
.42215 .43348 L
.42209 .43338 L
.42054 .43205 L
.42035 .43178 L
.41894 .43024 L
.41884 .43017 L
.41753 .42857 L
.41733 .42833 L
.41625 .42696 L
.41572 .42631 L
.415 .42536 L
.41412 .42456 L
.41339 .42375 L
.41264 .42215 L
.41251 .42197 L
.41158 .42054 L
.41091 .41946 L
.41061 .41894 L
F
.289 .96 1 r
.41091 .41198 m
.41251 .41233 L
.41279 .41251 L
.41412 .4138 L
.41522 .41412 L
.41572 .41539 L
.41632 .41572 L
.41733 .4172 L
.41758 .41733 L
.41894 .41893 L
.41894 .41894 L
.42022 .42054 L
.42054 .42092 L
.4217 .42215 L
.42215 .42299 L
.42277 .42375 L
.42375 .42507 L
.42392 .42536 L
.42525 .42696 L
.42536 .42701 L
.42683 .42857 L
.42696 .42907 L
.4278 .43017 L
.42857 .43125 L
.42887 .43178 L
.4301 .43338 L
.43017 .43349 L
.43123 .43499 L
.43178 .43583 L
.43249 .43659 L
.43265 .4382 L
.43178 .43851 L
.4305 .4382 L
.43017 .4381 L
.42857 .43684 L
.42834 .43659 L
.42696 .43509 L
.42692 .43499 L
.42555 .43338 L
.42536 .43316 L
.42399 .43178 L
.42375 .43112 L
.42294 .43017 L
.42215 .42904 L
.42182 .42857 L
.42054 .427 L
.4205 .42696 L
.41928 .42536 L
.41894 .42505 L
.41791 .42375 L
.41733 .42287 L
.41686 .42215 L
.41572 .42066 L
.41568 .42054 L
.41447 .41894 L
.41412 .41844 L
.41298 .41733 L
.41251 .41616 L
.41216 .41572 L
.41124 .41412 L
.41091 .41343 L
.41063 .41251 L
F
0 .25 1 r
.41091 .4668 m
.41115 .46709 L
.41251 .46855 L
.41263 .4687 L
.41251 .46989 L
.41178 .4687 L
.41091 .46753 L
.41067 .46709 L
F
1 .51 0 r
.41091 .46014 m
.41143 .46067 L
.41251 .46172 L
.413 .46228 L
.41412 .46349 L
.41445 .46388 L
.41572 .46523 L
.41585 .46549 L
.4172 .46709 L
.41733 .46724 L
.41853 .4687 L
.41894 .46917 L
.41985 .4703 L
.42054 .47112 L
.42118 .47191 L
.42215 .47295 L
.42294 .47351 L
.42375 .47507 L
.4238 .47512 L
.42506 .47672 L
.42536 .47708 L
.42634 .47833 L
.42696 .47872 L
.42762 .47993 L
.42857 .48104 L
.42909 .48154 L
.43016 .48314 L
.43017 .48316 L
.43141 .48475 L
.43178 .48521 L
.43266 .48636 L
.43338 .48705 L
.43445 .48796 L
.43499 .48928 L
.43524 .48957 L
.43642 .49117 L
.43659 .49139 L
.43765 .49278 L
.4382 .49302 L
.4389 .49438 L
.4398 .49543 L
.44033 .49599 L
.44138 .49759 L
.44141 .49763 L
.44259 .4992 L
.44301 .49973 L
.44382 .5008 L
.44462 .50158 L
.44548 .50241 L
.44622 .50391 L
.44631 .50401 L
.44749 .50562 L
.44783 .50606 L
.44869 .50722 L
.44943 .50818 L
.44991 .50883 L
.45104 .51025 L
.4512 .51043 L
.45232 .51204 L
.45265 .51246 L
.4535 .51364 L
.45425 .51462 L
.4547 .51525 L
.45586 .51673 L
.45597 .51686 L
.45705 .51846 L
.45746 .519 L
.4582 .52007 L
.45907 .52123 L
.45937 .52167 L
.4605 .52328 L
.46067 .52351 L
.46154 .52488 L
.46228 .52593 L
.4626 .52649 L
.46228 .52733 L
.4615 .52649 L
.46067 .52565 L
.46 .52488 L
.45907 .52385 L
.45858 .52328 L
.45746 .52227 L
.45719 .52167 L
.45586 .52009 L
.45582 .52007 L
.45452 .51846 L
.45425 .51814 L
.45321 .51686 L
.45265 .51619 L
.45189 .51525 L
.45104 .51442 L
.45059 .51364 L
.44943 .51224 L
.44923 .51204 L
.44802 .51043 L
.44783 .51021 L
.44674 .50883 L
.44622 .50819 L
.44547 .50722 L
.44462 .50628 L
.4439 .50562 L
.44301 .50414 L
.44291 .50401 L
.44168 .50241 L
.44141 .50207 L
.44043 .5008 L
.4398 .50029 L
.43917 .4992 L
.4382 .49802 L
.43781 .49759 L
.43667 .49599 L
.43659 .49589 L
.43544 .49438 L
.43499 .49381 L
.4342 .49278 L
.43338 .49188 L
.43268 .49117 L
.43178 .48965 L
.4317 .48957 L
.4305 .48796 L
.43017 .48754 L
.42928 .48636 L
.42857 .48576 L
.42805 .48475 L
.42696 .48338 L
.42676 .48314 L
.42562 .48154 L
.42536 .4812 L
.42442 .47993 L
.42375 .47907 L
.4232 .47833 L
.42215 .47704 L
.42186 .47672 L
.4208 .47512 L
.42054 .47478 L
.41962 .47351 L
.41894 .47261 L
.41843 .47191 L
.41733 .47056 L
.41723 .4703 L
.41609 .4687 L
.41572 .46821 L
.41496 .46709 L
.41412 .46596 L
.4138 .46549 L
.41268 .46388 L
.41251 .46365 L
.41168 .46228 L
.41091 .46113 L
.41067 .46067 L
F
1 .5 0 r
.41091 .46034 m
.41126 .46067 L
.41251 .46182 L
.41292 .46228 L
.41412 .46356 L
.41439 .46388 L
.41572 .46533 L
.4158 .46549 L
.41715 .46709 L
.41733 .46729 L
.41849 .4687 L
.41894 .46921 L
.41982 .4703 L
.42054 .47116 L
.42114 .47191 L
.42215 .47299 L
.42288 .47351 L
.42375 .47511 L
.42376 .47512 L
.42503 .47672 L
.42536 .47712 L
.42631 .47833 L
.42696 .47875 L
.42759 .47993 L
.42857 .48107 L
.42906 .48154 L
.43014 .48314 L
.43017 .48319 L
.43138 .48475 L
.43178 .48524 L
.43264 .48636 L
.43338 .48708 L
.43442 .48796 L
.43499 .48931 L
.43522 .48957 L
.4364 .49117 L
.43659 .49141 L
.43763 .49278 L
.4382 .49304 L
.43888 .49438 L
.4398 .49546 L
.44031 .49599 L
.44136 .49759 L
.44141 .49765 L
.44257 .4992 L
.44301 .49976 L
.4438 .5008 L
.44462 .50161 L
.44545 .50241 L
.44622 .50394 L
.44628 .50401 L
.44746 .50562 L
.44783 .50609 L
.44867 .50722 L
.44943 .50821 L
.44989 .50883 L
.45104 .51029 L
.45116 .51043 L
.45229 .51204 L
.45265 .5125 L
.45347 .51364 L
.45425 .51466 L
.45468 .51525 L
.45586 .5168 L
.45591 .51686 L
.45701 .51846 L
.45746 .51905 L
.45816 .52007 L
.45907 .52129 L
.45933 .52167 L
.46044 .52328 L
.46067 .52359 L
.46147 .52488 L
.46228 .52605 L
.46252 .52649 L
.46228 .52719 L
.46161 .52649 L
.46067 .52557 L
.46007 .52488 L
.45907 .52379 L
.45863 .52328 L
.45746 .52217 L
.45724 .52167 L
.45588 .52007 L
.45586 .52003 L
.45456 .51846 L
.45425 .5181 L
.45324 .51686 L
.45265 .51614 L
.45193 .51525 L
.45104 .51437 L
.45062 .51364 L
.44943 .51221 L
.44927 .51204 L
.44804 .51043 L
.44783 .51018 L
.44677 .50883 L
.44622 .50816 L
.44549 .50722 L
.44462 .50625 L
.44393 .50562 L
.44301 .5041 L
.44293 .50401 L
.4417 .50241 L
.44141 .50205 L
.44045 .5008 L
.4398 .50026 L
.43919 .4992 L
.4382 .49799 L
.43783 .49759 L
.43669 .49599 L
.43659 .49586 L
.43546 .49438 L
.43499 .49378 L
.43422 .49278 L
.43338 .49185 L
.43271 .49117 L
.43178 .48962 L
.43173 .48957 L
.43053 .48796 L
.43017 .48751 L
.4293 .48636 L
.42857 .48573 L
.42807 .48475 L
.42696 .48334 L
.42679 .48314 L
.42564 .48154 L
.42536 .48117 L
.42444 .47993 L
.42375 .47904 L
.42323 .47833 L
.42215 .477 L
.4219 .47672 L
.42083 .47512 L
.42054 .47475 L
.41965 .47351 L
.41894 .47257 L
.41846 .47191 L
.41733 .47048 L
.41726 .4703 L
.41613 .4687 L
.41572 .46816 L
.415 .46709 L
.41412 .4659 L
.41384 .46549 L
.41275 .46388 L
.41251 .46356 L
.41176 .46228 L
.41091 .46094 L
.41079 .46067 L
F
.003 .81 1 r
.41091 .45369 m
.41159 .45425 L
.41251 .45505 L
.41328 .45586 L
.41412 .45671 L
.4148 .45746 L
.41572 .45809 L
.41625 .45907 L
.41733 .46025 L
.41801 .46067 L
.41894 .46218 L
.41904 .46228 L
.42037 .46388 L
.42054 .46408 L
.42171 .46549 L
.42215 .46587 L
.42304 .46709 L
.42375 .46793 L
.42454 .4687 L
.42536 .46995 L
.42565 .4703 L
.42696 .47191 L
.42696 .47191 L
.42825 .47351 L
.42857 .47386 L
.42991 .47512 L
.43017 .47592 L
.43086 .47672 L
.43178 .47798 L
.43202 .47833 L
.43335 .47993 L
.43338 .47996 L
.43462 .48154 L
.43499 .48198 L
.43603 .48314 L
.43659 .48407 L
.43711 .48475 L
.4382 .48614 L
.4383 .48636 L
.43965 .48796 L
.4398 .48812 L
.44119 .48957 L
.44141 .4902 L
.4422 .49117 L
.44301 .49231 L
.44332 .49278 L
.44462 .49436 L
.44465 .49438 L
.44589 .49599 L
.44622 .49637 L
.44728 .49759 L
.44783 .49849 L
.44835 .4992 L
.44943 .5006 L
.44953 .5008 L
.45085 .50241 L
.45104 .50259 L
.45238 .50401 L
.45265 .5047 L
.45338 .50562 L
.45425 .50683 L
.4545 .50722 L
.45579 .50883 L
.45586 .50886 L
.45702 .51043 L
.45746 .51092 L
.45842 .51204 L
.45907 .51307 L
.45948 .51364 L
.46067 .51519 L
.4607 .51525 L
.46194 .51686 L
.46228 .51714 L
.4635 .51846 L
.46388 .51932 L
.46447 .52007 L
.46549 .52148 L
.4656 .52167 L
.46684 .52328 L
.46709 .52335 L
.46806 .52488 L
.4687 .52557 L
.46946 .52649 L
.4703 .52779 L
.47052 .52809 L
.47172 .5297 L
.47191 .52994 L
.47293 .5313 L
.47351 .53181 L
.47448 .53291 L
.47512 .53412 L
.47542 .53451 L
.47657 .53612 L
.47672 .53632 L
.47776 .53772 L
.47833 .53847 L
.47896 .53933 L
.47993 .54051 L
.48027 .54093 L
.48135 .54254 L
.48154 .54278 L
.48252 .54414 L
.48314 .54497 L
.4837 .54575 L
.48475 .54703 L
.485 .54735 L
.48603 .54896 L
.48636 .5494 L
.48716 .55057 L
.48796 .55167 L
.4883 .55217 L
.48941 .55378 L
.48957 .554 L
.49041 .55538 L
.49117 .55654 L
.49141 .55699 L
.49117 .55791 L
.4902 .55699 L
.48957 .5564 L
.48862 .55538 L
.48796 .5547 L
.48714 .55378 L
.48636 .55346 L
.48572 .55217 L
.48475 .55115 L
.48432 .55057 L
.48314 .54918 L
.48291 .54896 L
.48162 .54735 L
.48154 .54726 L
.4803 .54575 L
.47993 .54548 L
.47897 .54414 L
.47833 .5434 L
.4774 .54254 L
.47672 .54137 L
.47635 .54093 L
.47512 .53938 L
.47509 .53933 L
.47379 .53772 L
.47351 .53745 L
.47199 .53612 L
.47191 .53538 L
.47113 .53451 L
.4703 .53331 L
.47 .53291 L
.4687 .53131 L
.4687 .5313 L
.46743 .5297 L
.46709 .52931 L
.46596 .52809 L
.46549 .52722 L
.46491 .52649 L
.46388 .52514 L
.46374 .52488 L
.46241 .52328 L
.46228 .52316 L
.46077 .52167 L
.46067 .52108 L
.45982 .52007 L
.45907 .51897 L
.45871 .51846 L
.45746 .5169 L
.45745 .51686 L
.45618 .51525 L
.45586 .5149 L
.45473 .51364 L
.45425 .51278 L
.45368 .51204 L
.45265 .51067 L
.45252 .51043 L
.45122 .50883 L
.45104 .50868 L
.44959 .50722 L
.44943 .50657 L
.44865 .50562 L
.44783 .50443 L
.44754 .50401 L
.44628 .50241 L
.44622 .5024 L
.44505 .5008 L
.44462 .50036 L
.4436 .4992 L
.44301 .49819 L
.44256 .49759 L
.44141 .49606 L
.44137 .49599 L
.44013 .49438 L
.4398 .49415 L
.43848 .49278 L
.4382 .49195 L
.43757 .49117 L
.43659 .48977 L
.43646 .48957 L
.43523 .48796 L
.43499 .48765 L
.43402 .48636 L
.43338 .4857 L
.43257 .48475 L
.43178 .48346 L
.43154 .48314 L
.43036 .48154 L
.43017 .4813 L
.42915 .47993 L
.42857 .47949 L
.42751 .47833 L
.42696 .47713 L
.42664 .47672 L
.42551 .47512 L
.42536 .47492 L
.42433 .47351 L
.42375 .47276 L
.42312 .47191 L
.42215 .47075 L
.42179 .4703 L
.42073 .4687 L
.42054 .46845 L
.41957 .46709 L
.41894 .46626 L
.41839 .46549 L
.41733 .46421 L
.41707 .46388 L
.41606 .46228 L
.41572 .46182 L
.41495 .46067 L
.41412 .45953 L
.41381 .45907 L
.41272 .45746 L
.41251 .45717 L
.41174 .45586 L
.41091 .4545 L
.4108 .45425 L
F
.013 .86 1 r
.41091 .42404 m
.41186 .42536 L
.41251 .4262 L
.41296 .42696 L
.41251 .4273 L
.41221 .42696 L
.41091 .42549 L
.4108 .42536 L
F
0 .24 1 r
.41091 .46697 m
.41101 .46709 L
.41251 .46864 L
.41256 .4687 L
.41251 .46978 L
.41188 .4687 L
.41091 .46734 L
.41081 .46709 L
F
1 .84 .007 r
.41091 .41803 m
.41223 .41894 L
.41251 .41918 L
.41382 .42054 L
.41412 .42085 L
.41523 .42215 L
.41572 .4227 L
.41656 .42375 L
.41733 .42467 L
.41786 .42536 L
.41894 .42653 L
.41911 .42696 L
.42029 .42857 L
.42054 .42891 L
.42138 .43017 L
.42215 .43132 L
.42241 .43178 L
.42215 .43316 L
.42054 .43182 L
.42051 .43178 L
.41901 .43017 L
.41894 .43009 L
.41765 .42857 L
.41733 .42819 L
.41635 .42696 L
.41572 .42618 L
.4151 .42536 L
.41412 .42433 L
.4136 .42375 L
.41277 .42215 L
.41251 .42178 L
.41173 .42054 L
.41091 .41913 L
.41081 .41894 L
F
.212 .95 1 r
.41251 .41271 m
.41412 .41397 L
.41482 .41412 L
.41572 .41553 L
.41614 .41572 L
.41733 .41727 L
.41747 .41733 L
.41883 .41894 L
.41894 .41904 L
.42013 .42054 L
.42054 .42102 L
.42164 .42215 L
.42215 .42308 L
.4227 .42375 L
.42375 .42515 L
.42388 .42536 L
.42518 .42696 L
.42536 .42705 L
.4268 .42857 L
.42696 .42914 L
.42773 .43017 L
.42857 .43136 L
.42881 .43178 L
.43001 .43338 L
.43017 .43362 L
.43112 .43499 L
.43178 .43604 L
.43228 .43659 L
.43192 .4382 L
.43178 .43823 L
.43135 .4382 L
.43017 .43799 L
.42857 .43664 L
.42852 .43659 L
.427 .43499 L
.42696 .43495 L
.42564 .43338 L
.42536 .43305 L
.42403 .43178 L
.42375 .43102 L
.42301 .43017 L
.42215 .42896 L
.42188 .42857 L
.42057 .42696 L
.42054 .42692 L
.41935 .42536 L
.41894 .42498 L
.41797 .42375 L
.41733 .42277 L
.41692 .42215 L
.41573 .42054 L
.41572 .42054 L
.41457 .41894 L
.41412 .41829 L
.41309 .41733 L
.41251 .41594 L
.41234 .41572 L
.41149 .41412 L
F
.156 .94 1 r
.41251 .41311 m
.41412 .4141 L
.41423 .41412 L
.41572 .41564 L
.41592 .41572 L
.41733 .41732 L
.41735 .41733 L
.41872 .41894 L
.41894 .41914 L
.42004 .42054 L
.42054 .42112 L
.42157 .42215 L
.42215 .42317 L
.42264 .42375 L
.42375 .42522 L
.42384 .42536 L
.42511 .42696 L
.42536 .42709 L
.42677 .42857 L
.42696 .42922 L
.42767 .43017 L
.42857 .43147 L
.42875 .43178 L
.42992 .43338 L
.43017 .43375 L
.43101 .43499 L
.43178 .4363 L
.43202 .43659 L
.43178 .43785 L
.43017 .43791 L
.42872 .43659 L
.42857 .4365 L
.42713 .43499 L
.42696 .43483 L
.42574 .43338 L
.42536 .43295 L
.42409 .43178 L
.42375 .43093 L
.42308 .43017 L
.42215 .42888 L
.42193 .42857 L
.42064 .42696 L
.42054 .42684 L
.41941 .42536 L
.41894 .4249 L
.41803 .42375 L
.41733 .42267 L
.417 .42215 L
.41582 .42054 L
.41572 .42042 L
.41467 .41894 L
.41412 .41814 L
.41323 .41733 L
.41254 .41572 L
.41251 .41569 L
.41178 .41412 L
F
1 .49 0 r
.41251 .46192 m
.41283 .46228 L
.41412 .46364 L
.41433 .46388 L
.41572 .46543 L
.41575 .46549 L
.4171 .46709 L
.41733 .46734 L
.41844 .4687 L
.41894 .46926 L
.41978 .4703 L
.42054 .4712 L
.42111 .47191 L
.42215 .47304 L
.42281 .47351 L
.42373 .47512 L
.42375 .47515 L
.425 .47672 L
.42536 .47715 L
.42628 .47833 L
.42696 .47878 L
.42757 .47993 L
.42857 .48111 L
.42902 .48154 L
.43011 .48314 L
.43017 .48322 L
.43136 .48475 L
.43178 .48527 L
.43262 .48636 L
.43338 .48711 L
.43438 .48796 L
.43499 .48934 L
.43519 .48957 L
.43638 .49117 L
.43659 .49144 L
.43761 .49278 L
.4382 .49306 L
.43886 .49438 L
.4398 .49549 L
.44028 .49599 L
.44134 .49759 L
.44141 .49768 L
.44255 .4992 L
.44301 .49978 L
.44378 .5008 L
.44462 .50165 L
.44542 .50241 L
.44622 .50398 L
.44626 .50401 L
.44744 .50562 L
.44783 .50611 L
.44865 .50722 L
.44943 .50824 L
.44987 .50883 L
.45104 .51034 L
.45113 .51043 L
.45226 .51204 L
.45265 .51253 L
.45345 .51364 L
.45425 .5147 L
.45465 .51525 L
.45585 .51686 L
.45586 .51686 L
.45698 .51846 L
.45746 .5191 L
.45812 .52007 L
.45907 .52135 L
.45929 .52167 L
.46038 .52328 L
.46067 .52367 L
.4614 .52488 L
.46228 .5262 L
.46242 .52649 L
.46228 .52702 L
.46174 .52649 L
.46067 .52548 L
.46015 .52488 L
.45907 .52372 L
.45869 .52328 L
.45746 .52207 L
.45729 .52167 L
.45593 .52007 L
.45586 .51998 L
.45461 .51846 L
.45425 .51805 L
.45328 .51686 L
.45265 .5161 L
.45196 .51525 L
.45104 .51433 L
.45065 .51364 L
.44943 .51216 L
.44931 .51204 L
.44807 .51043 L
.44783 .51014 L
.4468 .50883 L
.44622 .50813 L
.44552 .50722 L
.44462 .50621 L
.44397 .50562 L
.44301 .50407 L
.44296 .50401 L
.44172 .50241 L
.44141 .50202 L
.44047 .5008 L
.4398 .50023 L
.43921 .4992 L
.4382 .49796 L
.43786 .49759 L
.43671 .49599 L
.43659 .49584 L
.43548 .49438 L
.43499 .49375 L
.43424 .49278 L
.43338 .49182 L
.43274 .49117 L
.43178 .48959 L
.43175 .48957 L
.43055 .48796 L
.43017 .48748 L
.42933 .48636 L
.42857 .4857 L
.42809 .48475 L
.42696 .48331 L
.42682 .48314 L
.42567 .48154 L
.42536 .48114 L
.42446 .47993 L
.42375 .47901 L
.42325 .47833 L
.42215 .47695 L
.42194 .47672 L
.42086 .47512 L
.42054 .47471 L
.41968 .47351 L
.41894 .47253 L
.41849 .47191 L
.41733 .4704 L
.41729 .4703 L
.41617 .4687 L
.41572 .4681 L
.41504 .46709 L
.41412 .46583 L
.41389 .46549 L
.41282 .46388 L
.41251 .46345 L
.41186 .46228 L
F
1 .83 .005 r
.41251 .4194 m
.41365 .42054 L
.41412 .42101 L
.4151 .42215 L
.41572 .42284 L
.41646 .42375 L
.41733 .4248 L
.41776 .42536 L
.41894 .42675 L
.41902 .42696 L
.42017 .42857 L
.42054 .42907 L
.42126 .43017 L
.42215 .43158 L
.42225 .43178 L
.42215 .43282 L
.42072 .43178 L
.42054 .43162 L
.41916 .43017 L
.41894 .42994 L
.41777 .42857 L
.41733 .42805 L
.41646 .42696 L
.41572 .42604 L
.4152 .42536 L
.41412 .42407 L
.41384 .42375 L
.4129 .42215 L
.41251 .42157 L
.41189 .42054 L
F
.002 .8 1 r
.41251 .45527 m
.4131 .45586 L
.41412 .45686 L
.41467 .45746 L
.41572 .45826 L
.41614 .45907 L
.41733 .46036 L
.41784 .46067 L
.41894 .46227 L
.41894 .46228 L
.4203 .46388 L
.42054 .46416 L
.42165 .46549 L
.42215 .46593 L
.42298 .46709 L
.42375 .468 L
.42449 .4687 L
.42536 .47001 L
.42561 .4703 L
.42691 .47191 L
.42696 .47192 L
.4282 .47351 L
.42857 .4739 L
.42989 .47512 L
.43017 .47597 L
.43083 .47672 L
.43178 .47802 L
.43199 .47833 L
.43332 .47993 L
.43338 .47998 L
.43459 .48154 L
.43499 .48201 L
.43601 .48314 L
.43659 .4841 L
.43709 .48475 L
.4382 .48617 L
.43829 .48636 L
.43962 .48796 L
.4398 .48814 L
.44118 .48957 L
.44141 .49023 L
.44218 .49117 L
.44301 .49234 L
.4433 .49278 L
.44462 .49438 L
.44462 .49438 L
.44587 .49599 L
.44622 .4964 L
.44726 .49759 L
.44783 .49852 L
.44833 .4992 L
.44943 .50062 L
.44952 .5008 L
.45083 .50241 L
.45104 .5026 L
.45237 .50401 L
.45265 .50472 L
.45336 .50562 L
.45425 .50685 L
.45449 .50722 L
.45577 .50883 L
.45586 .50886 L
.457 .51043 L
.45746 .51094 L
.4584 .51204 L
.45907 .51309 L
.45947 .51364 L
.46067 .51521 L
.46069 .51525 L
.46192 .51686 L
.46228 .51716 L
.46348 .51846 L
.46388 .51935 L
.46445 .52007 L
.46549 .52151 L
.46559 .52167 L
.46682 .52328 L
.46709 .52336 L
.46804 .52488 L
.4687 .5256 L
.46943 .52649 L
.4703 .52782 L
.4705 .52809 L
.4717 .5297 L
.47191 .52997 L
.4729 .5313 L
.47351 .53184 L
.47445 .53291 L
.47512 .53416 L
.47539 .53451 L
.47654 .53612 L
.47672 .53636 L
.47772 .53772 L
.47833 .53852 L
.47893 .53933 L
.47993 .54056 L
.48022 .54093 L
.48131 .54254 L
.48154 .54283 L
.48248 .54414 L
.48314 .54503 L
.48366 .54575 L
.48475 .54714 L
.48492 .54735 L
.48597 .54896 L
.48636 .54948 L
.48709 .55057 L
.48796 .55177 L
.48822 .55217 L
.4893 .55378 L
.48957 .55416 L
.49027 .55538 L
.49117 .55688 L
.49122 .55699 L
.49117 .55748 L
.4905 .55699 L
.48957 .55621 L
.48878 .55538 L
.48796 .55456 L
.48726 .55378 L
.48636 .55333 L
.48581 .55217 L
.48475 .55104 L
.48441 .55057 L
.48314 .54909 L
.483 .54896 L
.48169 .54735 L
.48154 .54718 L
.48036 .54575 L
.47993 .54544 L
.47903 .54414 L
.47833 .54334 L
.47745 .54254 L
.47672 .54131 L
.47639 .54093 L
.47512 .53933 L
.47511 .53933 L
.47383 .53772 L
.47351 .53741 L
.47201 .53612 L
.47191 .53534 L
.47117 .53451 L
.4703 .53328 L
.47003 .53291 L
.46872 .5313 L
.4687 .53129 L
.46746 .5297 L
.46709 .52928 L
.46598 .52809 L
.46549 .52718 L
.46493 .52649 L
.46388 .52511 L
.46375 .52488 L
.46243 .52328 L
.46228 .52313 L
.46078 .52167 L
.46067 .52105 L
.45984 .52007 L
.45907 .51894 L
.45873 .51846 L
.45746 .51688 L
.45746 .51686 L
.4562 .51525 L
.45586 .51488 L
.45474 .51364 L
.45425 .51275 L
.4537 .51204 L
.45265 .51064 L
.45253 .51043 L
.45124 .50883 L
.45104 .50867 L
.4496 .50722 L
.44943 .50655 L
.44866 .50562 L
.44783 .50441 L
.44756 .50401 L
.4463 .50241 L
.44622 .5024 L
.44507 .5008 L
.44462 .50034 L
.44361 .4992 L
.44301 .49817 L
.44258 .49759 L
.44141 .49604 L
.44138 .49599 L
.44015 .49438 L
.4398 .49413 L
.43849 .49278 L
.4382 .49192 L
.43759 .49117 L
.43659 .48974 L
.43647 .48957 L
.43525 .48796 L
.43499 .48762 L
.43404 .48636 L
.43338 .48568 L
.43259 .48475 L
.43178 .48343 L
.43156 .48314 L
.43038 .48154 L
.43017 .48127 L
.42918 .47993 L
.42857 .47946 L
.42754 .47833 L
.42696 .47709 L
.42667 .47672 L
.42554 .47512 L
.42536 .47488 L
.42436 .47351 L
.42375 .47272 L
.42316 .47191 L
.42215 .47069 L
.42184 .4703 L
.42077 .4687 L
.42054 .4684 L
.41961 .46709 L
.41894 .4662 L
.41843 .46549 L
.41733 .46409 L
.41716 .46388 L
.41613 .46228 L
.41572 .46173 L
.41502 .46067 L
.41412 .45942 L
.41389 .45907 L
.41284 .45746 L
.41251 .45698 L
.41192 .45586 L
F
1 .48 0 r
.41251 .46204 m
.41273 .46228 L
.41412 .46371 L
.41427 .46388 L
.41569 .46549 L
.41572 .46552 L
.41705 .46709 L
.41733 .4674 L
.4184 .4687 L
.41894 .46931 L
.41974 .4703 L
.42054 .47124 L
.42108 .47191 L
.42215 .47309 L
.42275 .47351 L
.4237 .47512 L
.42375 .47518 L
.42497 .47672 L
.42536 .47719 L
.42626 .47833 L
.42696 .47882 L
.42754 .47993 L
.42857 .48114 L
.42899 .48154 L
.43009 .48314 L
.43017 .48325 L
.43134 .48475 L
.43178 .48529 L
.4326 .48636 L
.43338 .48714 L
.43435 .48796 L
.43499 .48937 L
.43516 .48957 L
.43635 .49117 L
.43659 .49147 L
.43759 .49278 L
.4382 .49308 L
.43884 .49438 L
.4398 .49552 L
.44025 .49599 L
.44132 .49759 L
.44141 .49771 L
.44253 .4992 L
.44301 .49981 L
.44376 .5008 L
.44462 .50168 L
.44538 .50241 L
.44622 .50401 L
.44623 .50401 L
.44742 .50562 L
.44783 .50614 L
.44863 .50722 L
.44943 .50827 L
.44985 .50883 L
.45104 .51038 L
.45109 .51043 L
.45224 .51204 L
.45265 .51257 L
.45342 .51364 L
.45425 .51474 L
.45462 .51525 L
.45582 .51686 L
.45586 .51691 L
.45694 .51846 L
.45746 .51915 L
.45808 .52007 L
.45907 .5214 L
.45924 .52167 L
.46032 .52328 L
.46067 .52377 L
.46132 .52488 L
.46228 .52642 L
.4623 .52649 L
.46228 .52674 L
.46194 .52649 L
.46067 .52538 L
.46023 .52488 L
.45907 .52365 L
.45875 .52328 L
.45746 .52196 L
.45734 .52167 L
.45598 .52007 L
.45586 .51993 L
.45465 .51846 L
.45425 .518 L
.45332 .51686 L
.45265 .51606 L
.45199 .51525 L
.45104 .51428 L
.45068 .51364 L
.44943 .51212 L
.44935 .51204 L
.4481 .51043 L
.44783 .51011 L
.44682 .50883 L
.44622 .50809 L
.44554 .50722 L
.44462 .50618 L
.444 .50562 L
.44301 .50404 L
.44299 .50401 L
.44175 .50241 L
.44141 .50199 L
.44049 .5008 L
.4398 .50021 L
.43923 .4992 L
.4382 .49793 L
.43789 .49759 L
.43674 .49599 L
.43659 .49581 L
.43551 .49438 L
.43499 .49373 L
.43426 .49278 L
.43338 .49179 L
.43277 .49117 L
.43178 .48957 L
.43178 .48956 L
.43057 .48796 L
.43017 .48745 L
.42935 .48636 L
.42857 .48567 L
.42811 .48475 L
.42696 .48327 L
.42685 .48314 L
.42569 .48154 L
.42536 .48111 L
.42449 .47993 L
.42375 .47898 L
.42327 .47833 L
.42215 .4769 L
.42198 .47672 L
.42089 .47512 L
.42054 .47467 L
.41971 .47351 L
.41894 .47249 L
.41852 .47191 L
.41733 .47032 L
.41732 .4703 L
.41621 .4687 L
.41572 .46805 L
.41508 .46709 L
.41412 .46577 L
.41394 .46549 L
.4129 .46388 L
.41251 .46333 L
.41197 .46228 L
F
.733 .99 1 r
.41251 .3575 m
.41299 .35794 L
.41412 .35895 L
.41467 .35954 L
.41572 .36028 L
.41619 .36115 L
.41733 .36233 L
.41764 .36275 L
.41894 .36423 L
.41908 .36436 L
.4204 .36596 L
.42054 .36612 L
.42174 .36757 L
.42215 .3679 L
.42308 .36917 L
.42375 .36994 L
.4247 .37078 L
.42536 .37196 L
.42575 .37238 L
.42696 .37394 L
.427 .37399 L
.42828 .37559 L
.42857 .37588 L
.42957 .3772 L
.43017 .37794 L
.43098 .3788 L
.43178 .38001 L
.4321 .38041 L
.43338 .38201 L
.43338 .38201 L
.43464 .38362 L
.43499 .38402 L
.43616 .38523 L
.43659 .38611 L
.4372 .38683 L
.4382 .3882 L
.43836 .38844 L
.43966 .39004 L
.4398 .39018 L
.44135 .39165 L
.44141 .39226 L
.44229 .39325 L
.44301 .39437 L
.44338 .39486 L
.44462 .39643 L
.44463 .39646 L
.44588 .39807 L
.44622 .39844 L
.44738 .39967 L
.44783 .40057 L
.44841 .40128 L
.44943 .40267 L
.44957 .40288 L
.45084 .40449 L
.45104 .40466 L
.45253 .40609 L
.45265 .40677 L
.45346 .4077 L
.45425 .4089 L
.45455 .4093 L
.45579 .41091 L
.45586 .41093 L
.45701 .41251 L
.45746 .41298 L
.45853 .41412 L
.45907 .41513 L
.45955 .41572 L
.46067 .41725 L
.46072 .41733 L
.46195 .41894 L
.46228 .41918 L
.46366 .42054 L
.46388 .42135 L
.46457 .42215 L
.46549 .4235 L
.46567 .42375 L
.46689 .42536 L
.46709 .42539 L
.46811 .42696 L
.4687 .42755 L
.46962 .42857 L
.4703 .42975 L
.47064 .43017 L
.47182 .43178 L
.47191 .43189 L
.47303 .43338 L
.47351 .43373 L
.47474 .43499 L
.47512 .43598 L
.47563 .43659 L
.47672 .43816 L
.47675 .4382 L
.47795 .4398 L
.47833 .44028 L
.47917 .44141 L
.47993 .44219 L
.48066 .44301 L
.48154 .44443 L
.48169 .44462 L
.48287 .44622 L
.48314 .44657 L
.48408 .44783 L
.48475 .44834 L
.48576 .44943 L
.48636 .45069 L
.48664 .45104 L
.48778 .45265 L
.48796 .45287 L
.48898 .45425 L
.48957 .45499 L
.4902 .45586 L
.49117 .45692 L
.49163 .45746 L
.49268 .45907 L
.49278 .45919 L
.49387 .46067 L
.49438 .46132 L
.49508 .46228 L
.49599 .46344 L
.49664 .46388 L
.49754 .46549 L
.49759 .46555 L
.49872 .46709 L
.4992 .4677 L
.49991 .4687 L
.5008 .46985 L
.50113 .4703 L
.50235 .47191 L
.50241 .47198 L
.50351 .47351 L
.50401 .47417 L
.50468 .47512 L
.50562 .47626 L
.50605 .47672 L
.50708 .47833 L
.50722 .47851 L
.50824 .47993 L
.50883 .48071 L
.50953 .48154 L
.51043 .48288 L
.51064 .48314 L
.51193 .48475 L
.51204 .48502 L
.51309 .48636 L
.51364 .48717 L
.51425 .48796 L
.51525 .48932 L
.51543 .48957 L
.5167 .49117 L
.51686 .49143 L
.51786 .49278 L
.51846 .49357 L
.51899 .49438 L
.52007 .4959 L
.52011 .49599 L
.52148 .49759 L
.52007 .4992 L
.51846 .49867 L
.51715 .49759 L
.51686 .49733 L
.51574 .49599 L
.51525 .49557 L
.51445 .49438 L
.51364 .49353 L
.51279 .49278 L
.51204 .49138 L
.51185 .49117 L
.51069 .48957 L
.51043 .48924 L
.50949 .48796 L
.50883 .48711 L
.50828 .48636 L
.50722 .48509 L
.50696 .48475 L
.50587 .48314 L
.50562 .48281 L
.50472 .48154 L
.50401 .48058 L
.50334 .47993 L
.50243 .47833 L
.50241 .4783 L
.50105 .47672 L
.5008 .47581 L
.5003 .47512 L
.49932 .47351 L
.4992 .47333 L
.49819 .47191 L
.49759 .47097 L
.49728 .4703 L
.49599 .46872 L
.49597 .4687 L
.49459 .46709 L
.49438 .46657 L
.49382 .46549 L
.49278 .46434 L
.49216 .46388 L
.49117 .46263 L
.49088 .46228 L
.4896 .46067 L
.48957 .46062 L
.48837 .45907 L
.48796 .45852 L
.48742 .45746 L
.48636 .45625 L
.48568 .45586 L
.48475 .45467 L
.4844 .45425 L
.48315 .45265 L
.48314 .45263 L
.48194 .45104 L
.48154 .45051 L
.4809 .44943 L
.47993 .4483 L
.47931 .44783 L
.47833 .44654 L
.47807 .44622 L
.47683 .44462 L
.47672 .44446 L
.47568 .44301 L
.47512 .4423 L
.47467 .44141 L
.47351 .44011 L
.47306 .4398 L
.47191 .43828 L
.47184 .4382 L
.47063 .43659 L
.4703 .43616 L
.46955 .43499 L
.4687 .43398 L
.46809 .43338 L
.46709 .43184 L
.46687 .43178 L
.46563 .43017 L
.46549 .42995 L
.4645 .42857 L
.46388 .4278 L
.4635 .42696 L
.46228 .42563 L
.46192 .42536 L
.46069 .42375 L
.46067 .42371 L
.45949 .42215 L
.45907 .42158 L
.45843 .42054 L
.45746 .41942 L
.45698 .41894 L
.45586 .41736 L
.45576 .41733 L
.4545 .41572 L
.45425 .41534 L
.4534 .41412 L
.45265 .4132 L
.45238 .41251 L
.45104 .41108 L
.45083 .41091 L
.44954 .4093 L
.44943 .40908 L
.4484 .4077 L
.44783 .40695 L
.44733 .40609 L
.44622 .40481 L
.44592 .40449 L
.4447 .40288 L
.44462 .40279 L
.44341 .40128 L
.44301 .40068 L
.44233 .39967 L
.44141 .39854 L
.44126 .39807 L
.4398 .39646 L
.4398 .39646 L
.43842 .39486 L
.4382 .3944 L
.43735 .39325 L
.43659 .39225 L
.43627 .39165 L
.43499 .39012 L
.43492 .39004 L
.43371 .38844 L
.43338 .38811 L
.43238 .38683 L
.43178 .38593 L
.43132 .38523 L
.43017 .38376 L
.43013 .38362 L
.42886 .38201 L
.42857 .38182 L
.4274 .38041 L
.42696 .37958 L
.42642 .3788 L
.42536 .37735 L
.42528 .3772 L
.42407 .37559 L
.42375 .37517 L
.42231 .37399 L
.42215 .37317 L
.42158 .37238 L
.42054 .37081 L
.42052 .37078 L
.41937 .36917 L
.41894 .36857 L
.41822 .36757 L
.41733 .36657 L
.4169 .36596 L
.41596 .36436 L
.41572 .36403 L
.41488 .36275 L
.41412 .36163 L
.41381 .36115 L
.41283 .35954 L
.41251 .35903 L
.41202 .35794 L
F
1 .82 .004 r
.41251 .41966 m
.41345 .42054 L
.41412 .42118 L
.41497 .42215 L
.41572 .42298 L
.41635 .42375 L
.41733 .42492 L
.41766 .42536 L
.41892 .42696 L
.41894 .42698 L
.42005 .42857 L
.42054 .42925 L
.42112 .43017 L
.42054 .43141 L
.41932 .43017 L
.41894 .42977 L
.4179 .42857 L
.41733 .42791 L
.41658 .42696 L
.41572 .42589 L
.41532 .42536 L
.41412 .42375 L
.41412 .42375 L
.41305 .42215 L
.41251 .42132 L
.41208 .42054 L
F
.114 .93 1 r
.41251 .41357 m
.41376 .41412 L
.41412 .41434 L
.41569 .41572 L
.41572 .41576 L
.41721 .41733 L
.41733 .41737 L
.41861 .41894 L
.41894 .41924 L
.41995 .42054 L
.42054 .42122 L
.4215 .42215 L
.42215 .42326 L
.42257 .42375 L
.42375 .42529 L
.42379 .42536 L
.42505 .42696 L
.42536 .42713 L
.42673 .42857 L
.42696 .42931 L
.4276 .43017 L
.42857 .43158 L
.42868 .43178 L
.42982 .43338 L
.43017 .4339 L
.43089 .43499 L
.43174 .43659 L
.43017 .43781 L
.42894 .43659 L
.42857 .4364 L
.42726 .43499 L
.42696 .43472 L
.42583 .43338 L
.42536 .43284 L
.42415 .43178 L
.42375 .43084 L
.42315 .43017 L
.42215 .4288 L
.42198 .42857 L
.42071 .42696 L
.42054 .42675 L
.41948 .42536 L
.41894 .42482 L
.4181 .42375 L
.41733 .42256 L
.41707 .42215 L
.41591 .42054 L
.41572 .42029 L
.41478 .41894 L
.41412 .41797 L
.41339 .41733 L
.41273 .41572 L
.41251 .4153 L
.41212 .41412 L
F
1 .94 .156 r
.41251 .44887 m
.41316 .44943 L
.41412 .45029 L
.41485 .45104 L
.41572 .45132 L
.41639 .45265 L
.41733 .4536 L
.41787 .45425 L
.41894 .45548 L
.41938 .45586 L
.42054 .45733 L
.42066 .45746 L
.42206 .45907 L
.42215 .45913 L
.42343 .46067 L
.42375 .46106 L
.42503 .46228 L
.42536 .46305 L
.42607 .46388 L
.42696 .46506 L
.42725 .46549 L
.42857 .46703 L
.42872 .46709 L
.43001 .4687 L
.43017 .46891 L
.43135 .4703 L
.43178 .47098 L
.43247 .47191 L
.43338 .47308 L
.43356 .47351 L
.43499 .47494 L
.43513 .47512 L
.43647 .47672 L
.43659 .477 L
.43762 .47833 L
.4382 .47912 L
.43871 .47993 L
.4398 .48126 L
.44019 .48154 L
.44141 .48313 L
.44142 .48314 L
.4427 .48475 L
.44301 .48523 L
.44381 .48636 L
.44462 .48739 L
.44483 .48796 L
.44622 .4895 L
.44643 .48957 L
.44772 .49117 L
.44783 .4914 L
.44887 .49278 L
.44943 .49354 L
.44994 .49438 L
.45104 .49569 L
.45141 .49599 L
.45263 .49759 L
.45265 .49761 L
.4539 .4992 L
.45425 .49973 L
.455 .5008 L
.45586 .50188 L
.45602 .50241 L
.45746 .50396 L
.45759 .50401 L
.4589 .50562 L
.45907 .50594 L
.46003 .50722 L
.46067 .50808 L
.46109 .50883 L
.46228 .51021 L
.46254 .51043 L
.46387 .51204 L
.46388 .51219 L
.46504 .51364 L
.46549 .5143 L
.46613 .51525 L
.46709 .51644 L
.46719 .51686 L
.4687 .51846 L
.4687 .51846 L
.47005 .52007 L
.4703 .52054 L
.47115 .52167 L
.47191 .52268 L
.47223 .52328 L
.47351 .52477 L
.47363 .52488 L
.47507 .52649 L
.47512 .52679 L
.47616 .52809 L
.47672 .52892 L
.47724 .5297 L
.47833 .53104 L
.47837 .5313 L
.47978 .53291 L
.47993 .53305 L
.48118 .53451 L
.48154 .53517 L
.48224 .53612 L
.48314 .53731 L
.48336 .53772 L
.48469 .53933 L
.48475 .53936 L
.48624 .54093 L
.48636 .54141 L
.48724 .54254 L
.48796 .54357 L
.48833 .54414 L
.48957 .5457 L
.48957 .54575 L
.49082 .54735 L
.49117 .54765 L
.49226 .54896 L
.49278 .54984 L
.4933 .55057 L
.49438 .55201 L
.49446 .55217 L
.49571 .55378 L
.49599 .55388 L
.49734 .55538 L
.49759 .5561 L
.49827 .55699 L
.4992 .55832 L
.49937 .55859 L
.50059 .5602 L
.5008 .56047 L
.50179 .5618 L
.50241 .56236 L
.50324 .56341 L
.50401 .56466 L
.50426 .56501 L
.50543 .56662 L
.50562 .56686 L
.50662 .56822 L
.50722 .56902 L
.50823 .56983 L
.50883 .57107 L
.50909 .57143 L
.5102 .57304 L
.51043 .57334 L
.51137 .57464 L
.51204 .57554 L
.51254 .57625 L
.51364 .57767 L
.51377 .57785 L
.51484 .57946 L
.51525 .58002 L
.51595 .58106 L
.51686 .58234 L
.51707 .58267 L
.51811 .58428 L
.51846 .5848 L
.51904 .58588 L
.51846 .58679 L
.51751 .58588 L
.51686 .58527 L
.51592 .58428 L
.51525 .58359 L
.51442 .58267 L
.51364 .58192 L
.51298 .58106 L
.51204 .57999 L
.5114 .57946 L
.51043 .57809 L
.51021 .57785 L
.50886 .57625 L
.50883 .57623 L
.50752 .57464 L
.50722 .57431 L
.50582 .57304 L
.50562 .5723 L
.50484 .57143 L
.50401 .57028 L
.50368 .56983 L
.50241 .5683 L
.50228 .56822 L
.501 .56662 L
.5008 .56637 L
.49961 .56501 L
.4992 .5643 L
.4985 .56341 L
.49759 .56221 L
.49738 .5618 L
.49599 .56022 L
.49591 .5602 L
.49449 .55859 L
.49438 .55823 L
.49338 .55699 L
.49278 .55612 L
.49227 .55538 L
.49117 .55401 L
.49087 .55378 L
.48964 .55217 L
.48957 .55208 L
.4883 .55057 L
.48796 .54998 L
.4872 .54896 L
.48636 .54785 L
.48612 .54735 L
.48475 .5458 L
.48465 .54575 L
.48326 .54414 L
.48314 .5438 L
.48215 .54254 L
.48154 .54167 L
.48106 .54093 L
.47993 .53956 L
.47968 .53933 L
.47845 .53772 L
.47833 .53758 L
.47711 .53612 L
.47672 .53547 L
.47602 .53451 L
.47512 .53334 L
.47493 .53291 L
.47351 .53131 L
.4735 .5313 L
.47208 .5297 L
.47191 .52925 L
.47099 .52809 L
.4703 .52712 L
.4699 .52649 L
.4687 .52502 L
.46856 .52488 L
.46733 .52328 L
.46709 .52301 L
.46597 .52167 L
.46549 .52089 L
.46489 .52007 L
.46388 .51876 L
.46376 .51846 L
.4624 .51686 L
.46228 .51675 L
.46092 .51525 L
.46067 .51465 L
.45988 .51364 L
.45907 .51252 L
.45877 .51204 L
.45746 .51043 L
.45746 .51043 L
.45624 .50883 L
.45586 .50842 L
.45485 .50722 L
.45425 .50627 L
.45378 .50562 L
.45265 .50415 L
.4526 .50401 L
.45132 .50241 L
.45104 .50218 L
.4498 .5008 L
.44943 .50003 L
.44879 .4992 L
.44783 .49787 L
.44766 .49759 L
.4464 .49599 L
.44622 .49594 L
.44518 .49438 L
.44462 .4938 L
.44378 .49278 L
.44301 .49161 L
.44271 .49117 L
.44149 .48957 L
.44141 .48947 L
.44028 .48796 L
.4398 .48759 L
.43873 .48636 L
.4382 .48535 L
.43774 .48475 L
.43659 .48316 L
.43658 .48314 L
.43538 .48154 L
.43499 .48104 L
.43416 .47993 L
.43338 .47909 L
.43278 .47833 L
.43178 .47684 L
.43169 .47672 L
.4305 .47512 L
.43017 .47469 L
.4293 .47351 L
.42857 .47286 L
.42779 .47191 L
.42696 .4705 L
.42682 .4703 L
.42566 .4687 L
.42536 .46831 L
.42447 .46709 L
.42375 .46616 L
.42279 .46549 L
.42215 .46408 L
.42199 .46388 L
.42087 .46228 L
.42054 .46184 L
.41971 .46067 L
.41894 .45964 L
.41853 .45907 L
.41734 .45746 L
.41733 .45745 L
.41623 .45586 L
.41572 .45516 L
.41512 .45425 L
.41412 .45284 L
.414 .45265 L
.413 .45104 L
.41251 .45028 L
.41213 .44943 L
F
1 .47 0 r
.41251 .46217 m
.41261 .46228 L
.41412 .4638 L
.41419 .46388 L
.41563 .46549 L
.41572 .46559 L
.417 .46709 L
.41733 .46746 L
.41836 .4687 L
.41894 .46936 L
.4197 .4703 L
.42054 .47129 L
.42104 .47191 L
.42215 .47314 L
.42268 .47351 L
.42366 .47512 L
.42375 .47522 L
.42494 .47672 L
.42536 .47722 L
.42623 .47833 L
.42696 .47885 L
.42752 .47993 L
.42857 .48118 L
.42895 .48154 L
.43006 .48314 L
.43017 .48328 L
.43131 .48475 L
.43178 .48532 L
.43257 .48636 L
.43338 .48717 L
.43432 .48796 L
.43499 .4894 L
.43514 .48957 L
.43633 .49117 L
.43659 .4915 L
.43757 .49278 L
.4382 .49311 L
.43881 .49438 L
.4398 .49555 L
.44022 .49599 L
.44129 .49759 L
.44141 .49773 L
.44251 .4992 L
.44301 .49984 L
.44374 .5008 L
.44462 .50172 L
.44534 .50241 L
.4462 .50401 L
.44622 .50404 L
.44739 .50562 L
.44783 .50617 L
.4486 .50722 L
.44943 .5083 L
.44982 .50883 L
.45104 .51043 L
.45105 .51043 L
.45221 .51204 L
.45265 .5126 L
.45339 .51364 L
.45425 .51477 L
.45459 .51525 L
.45578 .51686 L
.45586 .51696 L
.4569 .51846 L
.45746 .51921 L
.45804 .52007 L
.45907 .52147 L
.4592 .52167 L
.46025 .52328 L
.46067 .52388 L
.46122 .52488 L
.46067 .52527 L
.46032 .52488 L
.45907 .52357 L
.45881 .52328 L
.45746 .52184 L
.45739 .52167 L
.45603 .52007 L
.45586 .51987 L
.45469 .51846 L
.45425 .51796 L
.45336 .51686 L
.45265 .51602 L
.45203 .51525 L
.45104 .51423 L
.45071 .51364 L
.44943 .51208 L
.44939 .51204 L
.44813 .51043 L
.44783 .51007 L
.44685 .50883 L
.44622 .50806 L
.44557 .50722 L
.44462 .50614 L
.44404 .50562 L
.44302 .50401 L
.44301 .50401 L
.44177 .50241 L
.44141 .50196 L
.44052 .5008 L
.4398 .50018 L
.43925 .4992 L
.4382 .4979 L
.43792 .49759 L
.43676 .49599 L
.43659 .49578 L
.43553 .49438 L
.43499 .4937 L
.43428 .49278 L
.43338 .49176 L
.4328 .49117 L
.4318 .48957 L
.43178 .48954 L
.43059 .48796 L
.43017 .48743 L
.42937 .48636 L
.42857 .48563 L
.42814 .48475 L
.42696 .48324 L
.42688 .48314 L
.42571 .48154 L
.42536 .48108 L
.42451 .47993 L
.42375 .47895 L
.4233 .47833 L
.42215 .47685 L
.42203 .47672 L
.42092 .47512 L
.42054 .47463 L
.41974 .47351 L
.41894 .47245 L
.41855 .47191 L
.41736 .4703 L
.41733 .47026 L
.41626 .4687 L
.41572 .46799 L
.41513 .46709 L
.41412 .4657 L
.41398 .46549 L
.41298 .46388 L
.41251 .46318 L
.41213 .46228 L
F
.001 .79 1 r
.41251 .45554 m
.41286 .45586 L
.41412 .45703 L
.41453 .45746 L
.41572 .45845 L
.41603 .45907 L
.41733 .46049 L
.41764 .46067 L
.41886 .46228 L
.41894 .46236 L
.42023 .46388 L
.42054 .46424 L
.42158 .46549 L
.42215 .46599 L
.42293 .46709 L
.42375 .46806 L
.42443 .4687 L
.42536 .47006 L
.42556 .4703 L
.42687 .47191 L
.42696 .47193 L
.42816 .47351 L
.42857 .47395 L
.42987 .47512 L
.43017 .47601 L
.43079 .47672 L
.43178 .47806 L
.43197 .47833 L
.43329 .47993 L
.43338 .48001 L
.43456 .48154 L
.43499 .48205 L
.43598 .48314 L
.43659 .48414 L
.43707 .48475 L
.4382 .4862 L
.43827 .48636 L
.4396 .48796 L
.4398 .48817 L
.44116 .48957 L
.44141 .49026 L
.44216 .49117 L
.44301 .49236 L
.44329 .49278 L
.4446 .49438 L
.44462 .49439 L
.44584 .49599 L
.44622 .49642 L
.44724 .49759 L
.44783 .49854 L
.44832 .4992 L
.44943 .50064 L
.44951 .5008 L
.45081 .50241 L
.45104 .50262 L
.45235 .50401 L
.45265 .50474 L
.45335 .50562 L
.45425 .50688 L
.45447 .50722 L
.45576 .50883 L
.45586 .50887 L
.45698 .51043 L
.45746 .51096 L
.45838 .51204 L
.45907 .51312 L
.45945 .51364 L
.46067 .51523 L
.46068 .51525 L
.4619 .51686 L
.46228 .51718 L
.46346 .51846 L
.46388 .51937 L
.46443 .52007 L
.46549 .52153 L
.46557 .52167 L
.4668 .52328 L
.46709 .52337 L
.46802 .52488 L
.4687 .52563 L
.46941 .52649 L
.4703 .52785 L
.47048 .52809 L
.47167 .5297 L
.47191 .53 L
.47288 .5313 L
.47351 .53188 L
.47442 .53291 L
.47512 .5342 L
.47536 .53451 L
.47651 .53612 L
.47672 .5364 L
.47769 .53772 L
.47833 .53856 L
.47889 .53933 L
.47993 .54062 L
.48018 .54093 L
.48127 .54254 L
.48154 .54289 L
.48243 .54414 L
.48314 .54509 L
.48361 .54575 L
.48475 .54725 L
.48483 .54735 L
.48591 .54896 L
.48636 .54957 L
.48702 .55057 L
.48796 .55189 L
.48815 .55217 L
.48918 .55378 L
.48957 .55436 L
.49011 .55538 L
.48957 .55599 L
.48896 .55538 L
.48796 .55441 L
.48739 .55378 L
.48636 .55316 L
.48591 .55217 L
.48475 .55093 L
.48449 .55057 L
.48314 .549 L
.4831 .54896 L
.48176 .54735 L
.48154 .5471 L
.48042 .54575 L
.47993 .54538 L
.47908 .54414 L
.47833 .54328 L
.4775 .54254 L
.47672 .54126 L
.47644 .54093 L
.47516 .53933 L
.47512 .53928 L
.47387 .53772 L
.47351 .53737 L
.47203 .53612 L
.47191 .5353 L
.4712 .53451 L
.4703 .53324 L
.47006 .53291 L
.46875 .5313 L
.4687 .53127 L
.46749 .5297 L
.46709 .52925 L
.466 .52809 L
.46549 .52715 L
.46495 .52649 L
.46388 .52508 L
.46377 .52488 L
.46246 .52328 L
.46228 .52311 L
.46079 .52167 L
.46067 .52102 L
.45986 .52007 L
.45907 .51891 L
.45875 .51846 L
.45746 .51686 L
.45746 .51686 L
.45622 .51525 L
.45586 .51486 L
.45476 .51364 L
.45425 .51273 L
.45372 .51204 L
.45265 .51062 L
.45254 .51043 L
.45126 .50883 L
.45104 .50865 L
.44961 .50722 L
.44943 .50653 L
.44868 .50562 L
.44783 .50439 L
.44757 .50401 L
.44631 .50241 L
.44622 .50239 L
.44509 .5008 L
.44462 .50032 L
.44363 .4992 L
.44301 .49815 L
.44259 .49759 L
.44141 .49602 L
.44139 .49599 L
.44017 .49438 L
.4398 .49411 L
.43851 .49278 L
.4382 .4919 L
.43761 .49117 L
.43659 .48972 L
.43649 .48957 L
.43528 .48796 L
.43499 .48759 L
.43406 .48636 L
.43338 .48565 L
.43261 .48475 L
.43178 .4834 L
.43159 .48314 L
.4304 .48154 L
.43017 .48124 L
.4292 .47993 L
.42857 .47943 L
.42757 .47833 L
.42696 .47705 L
.42671 .47672 L
.42557 .47512 L
.42536 .47484 L
.42439 .47351 L
.42375 .47268 L
.42319 .47191 L
.42215 .47063 L
.42189 .4703 L
.42081 .4687 L
.42054 .46834 L
.41965 .46709 L
.41894 .46613 L
.41848 .46549 L
.41733 .46397 L
.41726 .46388 L
.4162 .46228 L
.41572 .46163 L
.41509 .46067 L
.41412 .4593 L
.41397 .45907 L
.41298 .45746 L
.41251 .45672 L
.41214 .45586 L
F
1 .81 .003 r
.41251 .42002 m
.41317 .42054 L
.41412 .42137 L
.41481 .42215 L
.41572 .42313 L
.41623 .42375 L
.41733 .42506 L
.41755 .42536 L
.41879 .42696 L
.41894 .42714 L
.41991 .42857 L
.42054 .42946 L
.42096 .43017 L
.42054 .43117 L
.41952 .43017 L
.41894 .4296 L
.41804 .42857 L
.41733 .42775 L
.4167 .42696 L
.41572 .42574 L
.41544 .42536 L
.41426 .42375 L
.41412 .42355 L
.41322 .42215 L
.41251 .42097 L
.41231 .42054 L
F
.084 .92 1 r
.41412 .41461 m
.41546 .41572 L
.41572 .41595 L
.41706 .41733 L
.41733 .41742 L
.4185 .41894 L
.41894 .41934 L
.41986 .42054 L
.42054 .42132 L
.42142 .42215 L
.42215 .42335 L
.4225 .42375 L
.42374 .42536 L
.42375 .42537 L
.42498 .42696 L
.42536 .42718 L
.42668 .42857 L
.42696 .4294 L
.42753 .43017 L
.42857 .4317 L
.42861 .43178 L
.42973 .43338 L
.43017 .43405 L
.43077 .43499 L
.4315 .43659 L
.43017 .43765 L
.42918 .43659 L
.42857 .4363 L
.42739 .43499 L
.42696 .43461 L
.42593 .43338 L
.42536 .43274 L
.42422 .43178 L
.42375 .43075 L
.42322 .43017 L
.42215 .42872 L
.42204 .42857 L
.42078 .42696 L
.42054 .42666 L
.41955 .42536 L
.41894 .42474 L
.41817 .42375 L
.41733 .42244 L
.41714 .42215 L
.416 .42054 L
.41572 .42016 L
.41488 .41894 L
.41412 .41779 L
.41359 .41733 L
.41294 .41572 L
F
.001 .78 1 r
.41412 .45721 m
.41436 .45746 L
.41572 .45868 L
.41591 .45907 L
.41733 .46062 L
.41742 .46067 L
.41877 .46228 L
.41894 .46246 L
.42015 .46388 L
.42054 .46432 L
.42152 .46549 L
.42215 .46605 L
.42287 .46709 L
.42375 .46813 L
.42437 .4687 L
.42536 .47012 L
.42552 .4703 L
.42682 .47191 L
.42696 .47194 L
.42812 .47351 L
.42857 .47399 L
.42984 .47512 L
.43017 .47606 L
.43076 .47672 L
.43178 .4781 L
.43194 .47833 L
.43326 .47993 L
.43338 .48003 L
.43453 .48154 L
.43499 .48208 L
.43596 .48314 L
.43659 .48417 L
.43704 .48475 L
.4382 .48623 L
.43826 .48636 L
.43957 .48796 L
.4398 .48819 L
.44115 .48957 L
.44141 .49029 L
.44214 .49117 L
.44301 .49239 L
.44327 .49278 L
.44458 .49438 L
.44462 .49441 L
.44582 .49599 L
.44622 .49645 L
.44723 .49759 L
.44783 .49857 L
.4483 .4992 L
.44943 .50066 L
.4495 .5008 L
.45079 .50241 L
.45104 .50264 L
.45234 .50401 L
.45265 .50477 L
.45333 .50562 L
.45425 .5069 L
.45446 .50722 L
.45574 .50883 L
.45586 .50888 L
.45697 .51043 L
.45746 .51098 L
.45837 .51204 L
.45907 .51314 L
.45943 .51364 L
.46067 .51525 L
.46067 .51526 L
.46188 .51686 L
.46228 .5172 L
.46345 .51846 L
.46388 .5194 L
.46441 .52007 L
.46549 .52156 L
.46556 .52167 L
.46678 .52328 L
.46709 .52338 L
.468 .52488 L
.4687 .52566 L
.46939 .52649 L
.4703 .52788 L
.47045 .52809 L
.47165 .5297 L
.47191 .53003 L
.47285 .5313 L
.47351 .53191 L
.47439 .53291 L
.47512 .53424 L
.47532 .53451 L
.47648 .53612 L
.47672 .53644 L
.47766 .53772 L
.47833 .5386 L
.47886 .53933 L
.47993 .54069 L
.48013 .54093 L
.48123 .54254 L
.48154 .54295 L
.48239 .54414 L
.48314 .54515 L
.48357 .54575 L
.48474 .54735 L
.48475 .54736 L
.48584 .54896 L
.48636 .54967 L
.48695 .55057 L
.48796 .55201 L
.48807 .55217 L
.48904 .55378 L
.48957 .55462 L
.48988 .55538 L
.48957 .55571 L
.4892 .55538 L
.48796 .55424 L
.48753 .55378 L
.48636 .55296 L
.48602 .55217 L
.48475 .5508 L
.48458 .55057 L
.48319 .54896 L
.48314 .54891 L
.48183 .54735 L
.48154 .54703 L
.48048 .54575 L
.47993 .54533 L
.47913 .54414 L
.47833 .54322 L
.47756 .54254 L
.47672 .5412 L
.47648 .54093 L
.4752 .53933 L
.47512 .53923 L
.47391 .53772 L
.47351 .53733 L
.47205 .53612 L
.47191 .53525 L
.47123 .53451 L
.4703 .5332 L
.47008 .53291 L
.46878 .5313 L
.4687 .53125 L
.46752 .5297 L
.46709 .52921 L
.46602 .52809 L
.46549 .52712 L
.46498 .52649 L
.46388 .52505 L
.46378 .52488 L
.46248 .52328 L
.46228 .52309 L
.4608 .52167 L
.46067 .521 L
.45988 .52007 L
.45907 .51889 L
.45876 .51846 L
.45748 .51686 L
.45746 .51685 L
.45624 .51525 L
.45586 .51483 L
.45478 .51364 L
.45425 .5127 L
.45373 .51204 L
.45265 .5106 L
.45255 .51043 L
.45128 .50883 L
.45104 .50864 L
.44962 .50722 L
.44943 .50651 L
.4487 .50562 L
.44783 .50436 L
.44759 .50401 L
.44633 .50241 L
.44622 .50239 L
.44511 .5008 L
.44462 .5003 L
.44364 .4992 L
.44301 .49812 L
.44261 .49759 L
.44141 .49599 L
.44141 .49599 L
.44019 .49438 L
.4398 .4941 L
.43852 .49278 L
.4382 .49187 L
.43763 .49117 L
.43659 .48969 L
.43651 .48957 L
.4353 .48796 L
.43499 .48756 L
.43408 .48636 L
.43338 .48562 L
.43264 .48475 L
.43178 .48337 L
.43161 .48314 L
.43043 .48154 L
.43017 .48121 L
.42923 .47993 L
.42857 .47939 L
.42761 .47833 L
.42696 .47701 L
.42674 .47672 L
.4256 .47512 L
.42536 .4748 L
.42442 .47351 L
.42375 .47263 L
.42322 .47191 L
.42215 .47056 L
.42194 .4703 L
.42085 .4687 L
.42054 .46828 L
.4197 .46709 L
.41894 .46607 L
.41853 .46549 L
.41735 .46388 L
.41733 .46385 L
.41627 .46228 L
.41572 .46153 L
.41517 .46067 L
.41412 .45916 L
.41406 .45907 L
.41316 .45746 L
F
.061 .91 1 r
.41412 .4149 m
.41521 .41572 L
.41572 .41614 L
.41691 .41733 L
.41733 .41748 L
.41838 .41894 L
.41894 .41945 L
.41977 .42054 L
.42054 .42142 L
.42133 .42215 L
.42215 .42344 L
.42242 .42375 L
.42367 .42536 L
.42375 .42546 L
.42491 .42696 L
.42536 .42723 L
.42662 .42857 L
.42696 .4295 L
.42745 .43017 L
.42853 .43178 L
.42857 .43183 L
.42964 .43338 L
.43017 .43421 L
.43065 .43499 L
.43122 .43659 L
.43017 .43737 L
.42946 .43659 L
.42857 .43619 L
.42753 .43499 L
.42696 .43451 L
.42603 .43338 L
.42536 .43264 L
.4243 .43178 L
.42375 .43066 L
.4233 .43017 L
.42215 .42864 L
.42209 .42857 L
.42085 .42696 L
.42054 .42657 L
.41962 .42536 L
.41894 .42464 L
.41825 .42375 L
.41733 .42232 L
.41722 .42215 L
.41609 .42054 L
.41572 .42002 L
.41499 .41894 L
.41412 .41759 L
.41382 .41733 L
.41318 .41572 L
F
.001 .77 1 r
.41412 .45742 m
.41416 .45746 L
.41572 .45895 L
.41578 .45907 L
.41726 .46067 L
.41733 .46074 L
.41868 .46228 L
.41894 .46255 L
.42008 .46388 L
.42054 .46441 L
.42145 .46549 L
.42215 .46612 L
.42281 .46709 L
.42375 .46819 L
.42431 .4687 L
.42536 .47018 L
.42547 .4703 L
.42677 .47191 L
.42696 .47195 L
.42808 .47351 L
.42857 .47404 L
.42981 .47512 L
.43017 .4761 L
.43072 .47672 L
.43178 .47814 L
.43191 .47833 L
.43322 .47993 L
.43338 .48006 L
.4345 .48154 L
.43499 .48212 L
.43593 .48314 L
.43659 .48421 L
.43702 .48475 L
.4382 .48625 L
.43825 .48636 L
.43955 .48796 L
.4398 .48822 L
.44114 .48957 L
.44141 .49032 L
.44211 .49117 L
.44301 .49242 L
.44325 .49278 L
.44456 .49438 L
.44462 .49442 L
.4458 .49599 L
.44622 .49647 L
.44721 .49759 L
.44783 .49859 L
.44828 .4992 L
.44943 .50069 L
.44949 .5008 L
.45077 .50241 L
.45104 .50266 L
.45233 .50401 L
.45265 .50479 L
.45331 .50562 L
.45425 .50692 L
.45444 .50722 L
.45572 .50883 L
.45586 .50889 L
.45695 .51043 L
.45746 .511 L
.45835 .51204 L
.45907 .51317 L
.45941 .51364 L
.46065 .51525 L
.46067 .51528 L
.46186 .51686 L
.46228 .51722 L
.46343 .51846 L
.46388 .51942 L
.46439 .52007 L
.46549 .52159 L
.46554 .52167 L
.46676 .52328 L
.46709 .5234 L
.46797 .52488 L
.4687 .52569 L
.46936 .52649 L
.4703 .52792 L
.47043 .52809 L
.47162 .5297 L
.47191 .53007 L
.47283 .5313 L
.47351 .53195 L
.47436 .53291 L
.47512 .53429 L
.47529 .53451 L
.47644 .53612 L
.47672 .53648 L
.47763 .53772 L
.47833 .53864 L
.47883 .53933 L
.47993 .54075 L
.48008 .54093 L
.48119 .54254 L
.48154 .543 L
.48235 .54414 L
.48314 .54522 L
.48352 .54575 L
.48468 .54735 L
.48475 .54745 L
.48577 .54896 L
.48636 .54977 L
.48687 .55057 L
.48796 .55214 L
.48798 .55217 L
.48886 .55378 L
.48796 .55406 L
.48768 .55378 L
.48636 .55271 L
.48613 .55217 L
.48475 .55067 L
.48467 .55057 L
.48327 .54896 L
.48314 .54882 L
.4819 .54735 L
.48154 .54695 L
.48054 .54575 L
.47993 .54527 L
.47919 .54414 L
.47833 .54316 L
.47762 .54254 L
.47672 .54115 L
.47653 .54093 L
.47524 .53933 L
.47512 .53918 L
.47395 .53772 L
.47351 .53729 L
.47207 .53612 L
.47191 .53521 L
.47127 .53451 L
.4703 .53316 L
.47011 .53291 L
.46882 .5313 L
.4687 .53123 L
.46755 .5297 L
.46709 .52918 L
.46604 .52809 L
.46549 .52709 L
.465 .52649 L
.46388 .52502 L
.4638 .52488 L
.4625 .52328 L
.46228 .52307 L
.46081 .52167 L
.46067 .52097 L
.4599 .52007 L
.45907 .51886 L
.45878 .51846 L
.4575 .51686 L
.45746 .51684 L
.45626 .51525 L
.45586 .51481 L
.45479 .51364 L
.45425 .51268 L
.45375 .51204 L
.45265 .51058 L
.45257 .51043 L
.4513 .50883 L
.45104 .50862 L
.44963 .50722 L
.44943 .50648 L
.44872 .50562 L
.44783 .50434 L
.4476 .50401 L
.44635 .50241 L
.44622 .50239 L
.44512 .5008 L
.44462 .50028 L
.44366 .4992 L
.44301 .4981 L
.44263 .49759 L
.44142 .49599 L
.44141 .49597 L
.44021 .49438 L
.4398 .49408 L
.43854 .49278 L
.4382 .49184 L
.43765 .49117 L
.43659 .48966 L
.43653 .48957 L
.43532 .48796 L
.43499 .48754 L
.4341 .48636 L
.43338 .48559 L
.43266 .48475 L
.43178 .48334 L
.43163 .48314 L
.43045 .48154 L
.43017 .48118 L
.42925 .47993 L
.42857 .47936 L
.42764 .47833 L
.42696 .47696 L
.42677 .47672 L
.42563 .47512 L
.42536 .47476 L
.42445 .47351 L
.42375 .47259 L
.42326 .47191 L
.42215 .47049 L
.422 .4703 L
.4209 .4687 L
.42054 .46822 L
.41975 .46709 L
.41894 .466 L
.41858 .46549 L
.41742 .46388 L
.41733 .46376 L
.41634 .46228 L
.41572 .46141 L
.41525 .46067 L
.41417 .45907 L
.41412 .45899 L
.41341 .45746 L
F
1 .8 .002 r
.41412 .42159 m
.41463 .42215 L
.41572 .4233 L
.41609 .42375 L
.41733 .42521 L
.41744 .42536 L
.41865 .42696 L
.41894 .42733 L
.41976 .42857 L
.42054 .42973 L
.42077 .43017 L
.42054 .43086 L
.41976 .43017 L
.41894 .4294 L
.4182 .42857 L
.41733 .42758 L
.41684 .42696 L
.41572 .42557 L
.41556 .42536 L
.41443 .42375 L
.41412 .42331 L
.41342 .42215 L
F
.045 .9 1 r
.41412 .41522 m
.4149 .41572 L
.41572 .41634 L
.41674 .41733 L
.41733 .41756 L
.41826 .41894 L
.41894 .41955 L
.41967 .42054 L
.42054 .42152 L
.42124 .42215 L
.42215 .42353 L
.42235 .42375 L
.4236 .42536 L
.42375 .42555 L
.42484 .42696 L
.42536 .4273 L
.42656 .42857 L
.42696 .42961 L
.42737 .43017 L
.42845 .43178 L
.42857 .43194 L
.42954 .43338 L
.43017 .4344 L
.43052 .43499 L
.43082 .43659 L
.43017 .43693 L
.42983 .43659 L
.42857 .43607 L
.42767 .43499 L
.42696 .4344 L
.42614 .43338 L
.42536 .43254 L
.42439 .43178 L
.42375 .43057 L
.42338 .43017 L
.42215 .42857 L
.42215 .42856 L
.42092 .42696 L
.42054 .42648 L
.41969 .42536 L
.41894 .42454 L
.41833 .42375 L
.41733 .42219 L
.4173 .42215 L
.41619 .42054 L
.41572 .41987 L
.4151 .41894 L
.41412 .41735 L
.41409 .41733 L
.41348 .41572 L
F
1 .79 .001 r
.41412 .42187 m
.41439 .42215 L
.41572 .42349 L
.41594 .42375 L
.41731 .42536 L
.41733 .42538 L
.41848 .42696 L
.41894 .42755 L
.41958 .42857 L
.41894 .42918 L
.41839 .42857 L
.41733 .42739 L
.41699 .42696 L
.41572 .42538 L
.41571 .42536 L
.41463 .42375 L
.41412 .423 L
.41369 .42215 L
F
1 .93 .114 r
.41412 .45102 m
.41415 .45104 L
.41572 .4521 L
.41596 .45265 L
.41733 .45401 L
.41753 .45425 L
.41894 .45578 L
.41903 .45586 L
.42044 .45746 L
.42054 .45757 L
.42185 .45907 L
.42215 .45929 L
.42324 .46067 L
.42375 .46127 L
.42492 .46228 L
.42536 .46324 L
.42594 .46388 L
.42696 .46521 L
.42715 .46549 L
.42857 .46709 L
.42859 .46709 L
.4299 .4687 L
.43017 .46905 L
.43126 .4703 L
.43178 .4711 L
.43238 .47191 L
.43338 .47317 L
.43352 .47351 L
.43499 .47505 L
.43505 .47512 L
.43643 .47672 L
.43659 .4771 L
.43756 .47833 L
.4382 .47921 L
.43865 .47993 L
.4398 .48132 L
.44013 .48154 L
.44137 .48314 L
.44141 .4832 L
.44266 .48475 L
.44301 .4853 L
.44377 .48636 L
.44462 .48744 L
.44481 .48796 L
.44622 .48952 L
.44639 .48957 L
.4477 .49117 L
.44783 .49145 L
.44884 .49278 L
.44943 .49358 L
.44991 .49438 L
.45104 .49572 L
.45137 .49599 L
.4526 .49759 L
.45265 .49765 L
.45387 .4992 L
.45425 .49977 L
.45497 .5008 L
.45586 .50191 L
.456 .50241 L
.45746 .50397 L
.45756 .50401 L
.45888 .50562 L
.45907 .50598 L
.46001 .50722 L
.46067 .50811 L
.46107 .50883 L
.46228 .51023 L
.46251 .51043 L
.46386 .51204 L
.46388 .51221 L
.46502 .51364 L
.46549 .51433 L
.46611 .51525 L
.46709 .51647 L
.46718 .51686 L
.46867 .51846 L
.4687 .51849 L
.47004 .52007 L
.4703 .52057 L
.47113 .52167 L
.47191 .5227 L
.47222 .52328 L
.47351 .52479 L
.47361 .52488 L
.47506 .52649 L
.47512 .52681 L
.47614 .52809 L
.47672 .52895 L
.47723 .5297 L
.47833 .53107 L
.47837 .5313 L
.47975 .53291 L
.47993 .53308 L
.48116 .53451 L
.48154 .53519 L
.48222 .53612 L
.48314 .53734 L
.48334 .53772 L
.48467 .53933 L
.48475 .53937 L
.48623 .54093 L
.48636 .54144 L
.48722 .54254 L
.48796 .54361 L
.48831 .54414 L
.48957 .54574 L
.48957 .54575 L
.49079 .54735 L
.49117 .54769 L
.49224 .54896 L
.49278 .54988 L
.49327 .55057 L
.49438 .55205 L
.49444 .55217 L
.49568 .55378 L
.49599 .5539 L
.49731 .55538 L
.49759 .55616 L
.49823 .55699 L
.4992 .55838 L
.49933 .55859 L
.50054 .5602 L
.5008 .56054 L
.50174 .5618 L
.50241 .56243 L
.50318 .56341 L
.50401 .56476 L
.50419 .56501 L
.50536 .56662 L
.50562 .56696 L
.50654 .56822 L
.50722 .56913 L
.50812 .56983 L
.50883 .57123 L
.50898 .57143 L
.51009 .57304 L
.51043 .57349 L
.51125 .57464 L
.51204 .57572 L
.51241 .57625 L
.51357 .57785 L
.51364 .57796 L
.51464 .57946 L
.51525 .58032 L
.51572 .58106 L
.51679 .58267 L
.51686 .58277 L
.5176 .58428 L
.51686 .58465 L
.51645 .58428 L
.51525 .58314 L
.5148 .58267 L
.51364 .58155 L
.51329 .58106 L
.51204 .57969 L
.51173 .57946 L
.51043 .57786 L
.51043 .57785 L
.50905 .57625 L
.50883 .57611 L
.50769 .57464 L
.50722 .57412 L
.5059 .57304 L
.50562 .57213 L
.50497 .57143 L
.50401 .57014 L
.50377 .56983 L
.50241 .56823 L
.5024 .56822 L
.5011 .56662 L
.5008 .56625 L
.49968 .56501 L
.4992 .56419 L
.49857 .56341 L
.49759 .56213 L
.49742 .5618 L
.49599 .5602 L
.49598 .5602 L
.49451 .55859 L
.49438 .55815 L
.49343 .55699 L
.49278 .55605 L
.49232 .55538 L
.49117 .55397 L
.49093 .55378 L
.48968 .55217 L
.48957 .55203 L
.48833 .55057 L
.48796 .54993 L
.48723 .54896 L
.48636 .54781 L
.48614 .54735 L
.48475 .54578 L
.48468 .54575 L
.48328 .54414 L
.48314 .54376 L
.48217 .54254 L
.48154 .54163 L
.48108 .54093 L
.47993 .53953 L
.47971 .53933 L
.47848 .53772 L
.47833 .53755 L
.47713 .53612 L
.47672 .53544 L
.47604 .53451 L
.47512 .53331 L
.47494 .53291 L
.47352 .5313 L
.47351 .53129 L
.47209 .5297 L
.47191 .52922 L
.47101 .52809 L
.4703 .52709 L
.46992 .52649 L
.4687 .525 L
.46858 .52488 L
.46735 .52328 L
.46709 .52299 L
.46598 .52167 L
.46549 .52086 L
.4649 .52007 L
.46388 .51874 L
.46377 .51846 L
.46241 .51686 L
.46228 .51673 L
.46093 .51525 L
.46067 .51463 L
.45989 .51364 L
.45907 .51249 L
.45879 .51204 L
.45748 .51043 L
.45746 .51043 L
.45626 .50883 L
.45586 .5084 L
.45487 .50722 L
.45425 .50625 L
.4538 .50562 L
.45265 .50412 L
.4526 .50401 L
.45134 .50241 L
.45104 .50217 L
.44981 .5008 L
.44943 .5 L
.44881 .4992 L
.44783 .49785 L
.44768 .49759 L
.44642 .49599 L
.44622 .49593 L
.4452 .49438 L
.44462 .49377 L
.4438 .49278 L
.44301 .49157 L
.44273 .49117 L
.44151 .48957 L
.44141 .48943 L
.4403 .48796 L
.4398 .48756 L
.43876 .48636 L
.4382 .48531 L
.43778 .48475 L
.43661 .48314 L
.43659 .48312 L
.43541 .48154 L
.43499 .48099 L
.4342 .47993 L
.43338 .47904 L
.43282 .47833 L
.43178 .47678 L
.43174 .47672 L
.43055 .47512 L
.43017 .47463 L
.42935 .47351 L
.42857 .47278 L
.42786 .47191 L
.42696 .47041 L
.42689 .4703 L
.42572 .4687 L
.42536 .46822 L
.42454 .46709 L
.42375 .46606 L
.42291 .46549 L
.42215 .46392 L
.42211 .46388 L
.42098 .46228 L
.42054 .46169 L
.41983 .46067 L
.41894 .45947 L
.41865 .45907 L
.41751 .45746 L
.41733 .45722 L
.41644 .45586 L
.41572 .45485 L
.41535 .45425 L
.41433 .45265 L
.41412 .45231 L
.41373 .45104 L
F
1 .35 0 r
.41412 .47703 m
.415 .47833 L
.41572 .47923 L
.41618 .47993 L
.41733 .48143 L
.4174 .48154 L
.41733 .48241 L
.41664 .48154 L
.41572 .48056 L
.41523 .47993 L
.41412 .47865 L
.41387 .47833 L
F
0 .27 1 r
.41412 .47032 m
.41537 .47191 L
.41572 .4723 L
.41666 .47351 L
.41733 .4743 L
.41795 .47512 L
.41894 .47631 L
.41925 .47672 L
.42054 .47832 L
.42055 .47833 L
.42176 .47993 L
.42215 .4804 L
.42299 .48154 L
.42375 .48247 L
.42425 .48314 L
.42536 .48454 L
.42551 .48475 L
.42672 .48636 L
.42696 .48665 L
.4279 .48796 L
.42857 .48879 L
.42912 .48957 L
.43017 .49092 L
.43035 .49117 L
.43152 .49278 L
.43178 .4931 L
.43263 .49438 L
.43338 .49535 L
.43379 .49599 L
.43338 .49674 L
.43278 .49599 L
.43178 .49486 L
.4314 .49438 L
.43017 .49294 L
.43005 .49278 L
.42876 .49117 L
.42857 .49095 L
.42749 .48957 L
.42696 .48894 L
.42621 .48796 L
.42536 .48693 L
.42492 .48636 L
.42375 .4849 L
.42364 .48475 L
.42241 .48314 L
.42215 .48283 L
.42118 .48154 L
.42054 .48075 L
.41994 .47993 L
.41894 .47867 L
.41869 .47833 L
.41747 .47672 L
.41733 .47656 L
.41629 .47512 L
.41572 .4744 L
.41509 .47351 L
.41412 .47226 L
.41387 .47191 L
F
0 .26 1 r
.41412 .47038 m
.41532 .47191 L
.41572 .47236 L
.41661 .47351 L
.41733 .47435 L
.41791 .47512 L
.41894 .47635 L
.41922 .47672 L
.42051 .47833 L
.42054 .47837 L
.42172 .47993 L
.42215 .48045 L
.42296 .48154 L
.42375 .48252 L
.42421 .48314 L
.42536 .48458 L
.42548 .48475 L
.42668 .48636 L
.42696 .4867 L
.42786 .48796 L
.42857 .48884 L
.42908 .48957 L
.43017 .49097 L
.43031 .49117 L
.43146 .49278 L
.43178 .49317 L
.43257 .49438 L
.43338 .49544 L
.43373 .49599 L
.43338 .49665 L
.43285 .49599 L
.43178 .49479 L
.43145 .49438 L
.43017 .49288 L
.43009 .49278 L
.42881 .49117 L
.42857 .4909 L
.42754 .48957 L
.42696 .48889 L
.42625 .48796 L
.42536 .48688 L
.42496 .48636 L
.42375 .48486 L
.42367 .48475 L
.42245 .48314 L
.42215 .48278 L
.42122 .48154 L
.42054 .4807 L
.41997 .47993 L
.41894 .47862 L
.41872 .47833 L
.41751 .47672 L
.41733 .4765 L
.41634 .47512 L
.41572 .47435 L
.41514 .47351 L
.41412 .4722 L
.41392 .47191 L
F
.033 .89 1 r
.41412 .41561 m
.41442 .41572 L
.41572 .41654 L
.41656 .41733 L
.41733 .41766 L
.41814 .41894 L
.41894 .41967 L
.41957 .42054 L
.42054 .42163 L
.42114 .42215 L
.42215 .42362 L
.42227 .42375 L
.42352 .42536 L
.42375 .42564 L
.42477 .42696 L
.42536 .42737 L
.42649 .42857 L
.42696 .42972 L
.42728 .43017 L
.42836 .43178 L
.42857 .43207 L
.42944 .43338 L
.43017 .43461 L
.43038 .43499 L
.43017 .43646 L
.42857 .43592 L
.42783 .43499 L
.42696 .43428 L
.42624 .43338 L
.42536 .43244 L
.42449 .43178 L
.42375 .43048 L
.42346 .43017 L
.42223 .42857 L
.42215 .42846 L
.42099 .42696 L
.42054 .42638 L
.41976 .42536 L
.41894 .42443 L
.41842 .42375 L
.41739 .42215 L
.41733 .42206 L
.41629 .42054 L
.41572 .41971 L
.41522 .41894 L
.41429 .41733 L
.41412 .41697 L
.41392 .41572 L
F
1 .34 0 r
.41412 .47712 m
.41492 .47833 L
.41572 .47934 L
.4161 .47993 L
.41572 .48046 L
.41532 .47993 L
.41412 .47856 L
.41394 .47833 L
F
0 .25 1 r
.41412 .47046 m
.41526 .47191 L
.41572 .47242 L
.41656 .47351 L
.41733 .47441 L
.41787 .47512 L
.41894 .4764 L
.41918 .47672 L
.42046 .47833 L
.42054 .47842 L
.42168 .47993 L
.42215 .4805 L
.42292 .48154 L
.42375 .48256 L
.42418 .48314 L
.42536 .48463 L
.42545 .48475 L
.42663 .48636 L
.42696 .48676 L
.42782 .48796 L
.42857 .48889 L
.42904 .48957 L
.43017 .49102 L
.43027 .49117 L
.4314 .49278 L
.43178 .49325 L
.4325 .49438 L
.43338 .49553 L
.43366 .49599 L
.43338 .49654 L
.43293 .49599 L
.43178 .49472 L
.43151 .49438 L
.43017 .49282 L
.43014 .49278 L
.42887 .49117 L
.42857 .49084 L
.42759 .48957 L
.42696 .48884 L
.42629 .48796 L
.42536 .48683 L
.42499 .48636 L
.42375 .48481 L
.42371 .48475 L
.42249 .48314 L
.42215 .48273 L
.42126 .48154 L
.42054 .48065 L
.42001 .47993 L
.41894 .47857 L
.41876 .47833 L
.41756 .47672 L
.41733 .47645 L
.41638 .47512 L
.41572 .47429 L
.41518 .47351 L
.41412 .47213 L
.41396 .47191 L
F
0 .24 1 r
.41412 .47053 m
.4152 .47191 L
.41572 .47249 L
.41651 .47351 L
.41733 .47446 L
.41783 .47512 L
.41894 .47645 L
.41914 .47672 L
.42042 .47833 L
.42054 .47847 L
.42163 .47993 L
.42215 .48055 L
.42288 .48154 L
.42375 .48261 L
.42414 .48314 L
.42536 .48468 L
.42541 .48475 L
.42659 .48636 L
.42696 .48681 L
.42778 .48796 L
.42857 .48895 L
.429 .48957 L
.43017 .49108 L
.43023 .49117 L
.43017 .49275 L
.42893 .49117 L
.42857 .49077 L
.42764 .48957 L
.42696 .48878 L
.42633 .48796 L
.42536 .48678 L
.42503 .48636 L
.42375 .48476 L
.42374 .48475 L
.42254 .48314 L
.42215 .48268 L
.4213 .48154 L
.42054 .4806 L
.42005 .47993 L
.41894 .47852 L
.41879 .47833 L
.41761 .47672 L
.41733 .47639 L
.41643 .47512 L
.41572 .47423 L
.41523 .47351 L
.41412 .47207 L
.41401 .47191 L
F
1 .33 0 r
.41412 .47722 m
.41482 .47833 L
.41572 .47946 L
.41601 .47993 L
.41572 .48033 L
.41542 .47993 L
.41412 .47847 L
.41401 .47833 L
F
1 .46 0 r
.41412 .46388 m
.41555 .46549 L
.41572 .46566 L
.41694 .46709 L
.41733 .46751 L
.41831 .4687 L
.41894 .46941 L
.41967 .4703 L
.42054 .47133 L
.42101 .47191 L
.42215 .47319 L
.42261 .47351 L
.42363 .47512 L
.42375 .47526 L
.42491 .47672 L
.42536 .47726 L
.4262 .47833 L
.42696 .47889 L
.42749 .47993 L
.42857 .48121 L
.42891 .48154 L
.43004 .48314 L
.43017 .48331 L
.43129 .48475 L
.43178 .48535 L
.43255 .48636 L
.43338 .4872 L
.43428 .48796 L
.43499 .48943 L
.43511 .48957 L
.43631 .49117 L
.43659 .49152 L
.43755 .49278 L
.4382 .49314 L
.43879 .49438 L
.4398 .49559 L
.44019 .49599 L
.44127 .49759 L
.44141 .49776 L
.44249 .4992 L
.44301 .49987 L
.44372 .5008 L
.44462 .50175 L
.44531 .50241 L
.44618 .50401 L
.44622 .50407 L
.44737 .50562 L
.44783 .50621 L
.44858 .50722 L
.44943 .50833 L
.4498 .50883 L
.45102 .51043 L
.45104 .51046 L
.45218 .51204 L
.45265 .51264 L
.45336 .51364 L
.45425 .51481 L
.45456 .51525 L
.45574 .51686 L
.45586 .517 L
.45686 .51846 L
.45746 .51926 L
.458 .52007 L
.45907 .52153 L
.45916 .52167 L
.46017 .52328 L
.46067 .52401 L
.4611 .52488 L
.46067 .52515 L
.46042 .52488 L
.45907 .52349 L
.45888 .52328 L
.45746 .52171 L
.45744 .52167 L
.45608 .52007 L
.45586 .51982 L
.45473 .51846 L
.45425 .51791 L
.45339 .51686 L
.45265 .51597 L
.45206 .51525 L
.45104 .51418 L
.45074 .51364 L
.44943 .51204 L
.44943 .51204 L
.44816 .51043 L
.44783 .51004 L
.44688 .50883 L
.44622 .50803 L
.44559 .50722 L
.44462 .50611 L
.44408 .50562 L
.44304 .50401 L
.44301 .50398 L
.4418 .50241 L
.44141 .50193 L
.44054 .5008 L
.4398 .50015 L
.43928 .4992 L
.4382 .49787 L
.43794 .49759 L
.43678 .49599 L
.43659 .49575 L
.43555 .49438 L
.43499 .49367 L
.43431 .49278 L
.43338 .49173 L
.43283 .49117 L
.43182 .48957 L
.43178 .48951 L
.43061 .48796 L
.43017 .4874 L
.42939 .48636 L
.42857 .4856 L
.42816 .48475 L
.42696 .4832 L
.42691 .48314 L
.42574 .48154 L
.42536 .48105 L
.42454 .47993 L
.42375 .47891 L
.42332 .47833 L
.42215 .4768 L
.42207 .47672 L
.42095 .47512 L
.42054 .47459 L
.41977 .47351 L
.41894 .47241 L
.41858 .47191 L
.4174 .4703 L
.41733 .47021 L
.4163 .4687 L
.41572 .46792 L
.41517 .46709 L
.41412 .46562 L
.41403 .46549 L
F
0 .23 1 r
.41412 .47062 m
.41513 .47191 L
.41572 .47256 L
.41645 .47351 L
.41733 .47452 L
.41778 .47512 L
.41894 .4765 L
.4191 .47672 L
.42037 .47833 L
.42054 .47853 L
.42159 .47993 L
.42215 .4806 L
.42284 .48154 L
.42375 .48266 L
.4241 .48314 L
.42536 .48472 L
.42538 .48475 L
.42654 .48636 L
.42696 .48687 L
.42773 .48796 L
.42857 .48901 L
.42895 .48957 L
.43017 .49115 L
.43019 .49117 L
.43017 .49267 L
.42899 .49117 L
.42857 .49071 L
.42769 .48957 L
.42696 .48872 L
.42638 .48796 L
.42536 .48673 L
.42507 .48636 L
.42379 .48475 L
.42375 .4847 L
.42258 .48314 L
.42215 .48262 L
.42135 .48154 L
.42054 .48055 L
.42009 .47993 L
.41894 .47847 L
.41883 .47833 L
.41766 .47672 L
.41733 .47632 L
.41648 .47512 L
.41572 .47416 L
.41528 .47351 L
.41412 .472 L
.41406 .47191 L
F
1 .98 .538 r
.41412 .41075 m
.41572 .41032 L
.41721 .41091 L
.41733 .41102 L
.41894 .41229 L
.41903 .41251 L
.42054 .41407 L
.42058 .41412 L
.42204 .41572 L
.42215 .41611 L
.42321 .41733 L
.42375 .41829 L
.42431 .41894 L
.42536 .42004 L
.42574 .42054 L
.42696 .42213 L
.42698 .42215 L
.42828 .42375 L
.42857 .42424 L
.42939 .42536 L
.43017 .42639 L
.43043 .42696 L
.43178 .42847 L
.43194 .42857 L
.43327 .43017 L
.43338 .43039 L
.4344 .43178 L
.43499 .43248 L
.43547 .43338 L
.43659 .43463 L
.43683 .43499 L
.438 .43659 L
.4382 .4369 L
.43921 .4382 L
.4382 .43928 L
.43659 .43931 L
.43499 .43879 L
.43441 .4382 L
.43338 .43704 L
.43315 .43659 L
.43178 .435 L
.43177 .43499 L
.43023 .43338 L
.43017 .43291 L
.42918 .43178 L
.42857 .4308 L
.42809 .43017 L
.42696 .42873 L
.42692 .42857 L
.42558 .42696 L
.42536 .4268 L
.42414 .42536 L
.42375 .42468 L
.42309 .42375 L
.42215 .42251 L
.42197 .42215 L
.42067 .42054 L
.42054 .42037 L
.41908 .41894 L
.41894 .41823 L
.41813 .41733 L
.41733 .41633 L
.41707 .41572 L
.41589 .41412 L
.41572 .41388 L
.41482 .41251 L
.41412 .41101 L
.41408 .41091 L
F
1 .45 0 r
.41412 .46399 m
.41547 .46549 L
.41572 .46574 L
.41688 .46709 L
.41733 .46757 L
.41826 .4687 L
.41894 .46946 L
.41962 .4703 L
.42054 .47138 L
.42097 .47191 L
.42215 .47325 L
.42253 .47351 L
.4236 .47512 L
.42375 .4753 L
.42488 .47672 L
.42536 .47729 L
.42617 .47833 L
.42696 .47892 L
.42747 .47993 L
.42857 .48125 L
.42887 .48154 L
.43001 .48314 L
.43017 .48334 L
.43127 .48475 L
.43178 .48538 L
.43253 .48636 L
.43338 .48723 L
.43425 .48796 L
.43499 .48946 L
.43508 .48957 L
.43629 .49117 L
.43659 .49155 L
.43753 .49278 L
.4382 .49316 L
.43877 .49438 L
.4398 .49562 L
.44016 .49599 L
.44125 .49759 L
.44141 .49779 L
.44247 .4992 L
.44301 .49989 L
.44369 .5008 L
.44462 .50179 L
.44527 .50241 L
.44616 .50401 L
.44622 .5041 L
.44735 .50562 L
.44783 .50624 L
.44856 .50722 L
.44943 .50836 L
.44978 .50883 L
.45099 .51043 L
.45104 .5105 L
.45215 .51204 L
.45265 .51268 L
.45333 .51364 L
.45425 .51485 L
.45453 .51525 L
.4557 .51686 L
.45586 .51705 L
.45682 .51846 L
.45746 .51932 L
.45796 .52007 L
.45907 .5216 L
.45911 .52167 L
.46008 .52328 L
.46067 .52417 L
.46094 .52488 L
.46067 .525 L
.46055 .52488 L
.45907 .52341 L
.45895 .52328 L
.45751 .52167 L
.45746 .52162 L
.45614 .52007 L
.45586 .51976 L
.45478 .51846 L
.45425 .51786 L
.45343 .51686 L
.45265 .51593 L
.45209 .51525 L
.45104 .51413 L
.45077 .51364 L
.44947 .51204 L
.44943 .512 L
.44819 .51043 L
.44783 .51 L
.44691 .50883 L
.44622 .508 L
.44562 .50722 L
.44462 .50607 L
.44411 .50562 L
.44307 .50401 L
.44301 .50395 L
.44182 .50241 L
.44141 .5019 L
.44056 .5008 L
.4398 .50012 L
.4393 .4992 L
.4382 .49783 L
.43797 .49759 L
.4368 .49599 L
.43659 .49572 L
.43557 .49438 L
.43499 .49364 L
.43433 .49278 L
.43338 .49169 L
.43286 .49117 L
.43185 .48957 L
.43178 .48948 L
.43064 .48796 L
.43017 .48737 L
.42941 .48636 L
.42857 .48556 L
.42818 .48475 L
.42696 .48316 L
.42695 .48314 L
.42576 .48154 L
.42536 .48102 L
.42456 .47993 L
.42375 .47888 L
.42335 .47833 L
.42215 .47675 L
.42212 .47672 L
.42098 .47512 L
.42054 .47455 L
.4198 .47351 L
.41894 .47236 L
.41861 .47191 L
.41744 .4703 L
.41733 .47015 L
.41634 .4687 L
.41572 .46786 L
.41522 .46709 L
.41412 .46554 L
.41409 .46549 L
F
1 .32 0 r
.41412 .47735 m
.4147 .47833 L
.41572 .47963 L
.41589 .47993 L
.41572 .48017 L
.41554 .47993 L
.41412 .47837 L
.41409 .47833 L
F
0 .22 1 r
.41412 .47072 m
.41504 .47191 L
.41572 .47263 L
.4164 .47351 L
.41733 .47458 L
.41773 .47512 L
.41894 .47656 L
.41906 .47672 L
.42031 .47833 L
.42054 .47859 L
.42154 .47993 L
.42215 .48065 L
.42279 .48154 L
.42375 .48271 L
.42407 .48314 L
.42375 .48464 L
.42263 .48314 L
.42215 .48257 L
.42139 .48154 L
.42054 .48049 L
.42013 .47993 L
.41894 .47841 L
.41887 .47833 L
.41771 .47672 L
.41733 .47626 L
.41654 .47512 L
.41572 .47409 L
.41533 .47351 L
.41412 .47192 L
.41411 .47191 L
F
.024 .88 1 r
.41572 .41676 m
.41636 .41733 L
.41733 .4178 L
.41801 .41894 L
.41894 .41979 L
.41947 .42054 L
.42054 .42174 L
.42102 .42215 L
.42215 .42371 L
.42218 .42375 L
.42345 .42536 L
.42375 .42573 L
.4247 .42696 L
.42536 .42746 L
.4264 .42857 L
.42696 .42985 L
.42719 .43017 L
.42827 .43178 L
.42857 .4322 L
.42933 .43338 L
.43017 .43487 L
.43023 .43499 L
.43017 .43608 L
.42857 .43574 L
.42799 .43499 L
.42696 .43416 L
.42635 .43338 L
.42536 .43233 L
.42461 .43178 L
.42375 .43038 L
.42355 .43017 L
.4223 .42857 L
.42215 .42837 L
.42106 .42696 L
.42054 .42629 L
.41984 .42536 L
.41894 .42431 L
.41851 .42375 L
.41748 .42215 L
.41733 .42193 L
.41639 .42054 L
.41572 .41954 L
.41534 .41894 L
.4145 .41733 L
F
.018 .87 1 r
.41572 .417 m
.41613 .41733 L
.41733 .41798 L
.41787 .41894 L
.41894 .41993 L
.41937 .42054 L
.42054 .42185 L
.4209 .42215 L
.4221 .42375 L
.42215 .42381 L
.42337 .42536 L
.42375 .42582 L
.42463 .42696 L
.42536 .42756 L
.42631 .42857 L
.42696 .42998 L
.4271 .43017 L
.42818 .43178 L
.42857 .43234 L
.42922 .43338 L
.43004 .43499 L
.42857 .43551 L
.42818 .43499 L
.42696 .43403 L
.42646 .43338 L
.42536 .43222 L
.42474 .43178 L
.42375 .43028 L
.42364 .43017 L
.42238 .42857 L
.42215 .42827 L
.42114 .42696 L
.42054 .42619 L
.41991 .42536 L
.41894 .42418 L
.41862 .42375 L
.41757 .42215 L
.41733 .4218 L
.41649 .42054 L
.41572 .41935 L
.41547 .41894 L
.41477 .41733 L
F
1 .78 .001 r
.41572 .42371 m
.41576 .42375 L
.41572 .42511 L
.4149 .42375 L
F
.013 .86 1 r
.41572 .41727 m
.41581 .41733 L
.41733 .41821 L
.41772 .41894 L
.41894 .42007 L
.41926 .42054 L
.42054 .42197 L
.42076 .42215 L
.42201 .42375 L
.42215 .42391 L
.4233 .42536 L
.42375 .42592 L
.42456 .42696 L
.42536 .42767 L
.4262 .42857 L
.42696 .43012 L
.427 .43017 L
.42809 .43178 L
.42857 .4325 L
.42911 .43338 L
.42978 .43499 L
.42857 .43522 L
.42839 .43499 L
.42696 .43388 L
.42658 .43338 L
.42536 .4321 L
.42489 .43178 L
.42375 .43018 L
.42374 .43017 L
.42246 .42857 L
.42215 .42818 L
.42121 .42696 L
.42054 .4261 L
.41999 .42536 L
.41894 .42403 L
.41873 .42375 L
.41767 .42215 L
.41733 .42166 L
.4166 .42054 L
.41572 .41913 L
.41562 .41894 L
.41518 .41733 L
F
1 .97 .395 r
.41572 .36788 m
.41689 .36917 L
.41733 .36962 L
.41832 .37078 L
.41894 .37144 L
.41971 .37238 L
.42054 .37332 L
.42108 .37399 L
.42215 .3751 L
.42243 .37559 L
.42375 .37717 L
.42378 .3772 L
.42506 .3788 L
.42536 .37915 L
.42635 .38041 L
.42696 .38075 L
.42764 .38201 L
.42857 .38304 L
.42924 .38362 L
.43017 .38514 L
.43025 .38523 L
.43148 .38683 L
.43178 .38718 L
.43274 .38844 L
.43338 .38899 L
.43401 .39004 L
.43499 .39119 L
.43543 .39165 L
.43655 .39325 L
.43659 .3933 L
.43778 .39486 L
.4382 .39537 L
.43903 .39646 L
.4398 .39728 L
.44063 .39807 L
.44141 .39946 L
.4416 .39967 L
.44279 .40128 L
.44301 .40156 L
.44401 .40288 L
.44462 .40335 L
.44526 .40449 L
.44622 .40563 L
.44665 .40609 L
.44776 .4077 L
.44783 .40779 L
.44897 .4093 L
.44943 .40988 L
.4502 .41091 L
.45104 .41179 L
.45175 .41251 L
.45265 .41403 L
.45272 .41412 L
.45391 .41572 L
.45425 .41615 L
.45513 .41733 L
.45586 .41792 L
.45636 .41894 L
.45746 .42028 L
.45769 .42054 L
.45883 .42215 L
.45907 .42244 L
.46003 .42375 L
.46067 .42456 L
.46126 .42536 L
.46228 .42653 L
.46268 .42696 L
.46372 .42857 L
.46388 .42877 L
.46491 .43017 L
.46549 .43091 L
.46612 .43178 L
.46709 .43278 L
.46735 .43338 L
.46857 .43499 L
.4687 .43515 L
.46975 .43659 L
.4703 .43731 L
.47094 .4382 L
.47191 .43945 L
.47216 .4398 L
.47336 .44141 L
.47351 .44161 L
.4745 .44301 L
.47512 .44382 L
.47567 .44462 L
.47672 .44602 L
.47686 .44622 L
.47797 .44783 L
.47833 .44833 L
.47899 .44943 L
.47993 .45091 L
.47999 .45104 L
.47993 .4513 L
.47954 .45104 L
.47833 .45004 L
.47771 .44943 L
.47672 .44846 L
.47611 .44783 L
.47512 .44679 L
.47459 .44622 L
.47351 .44511 L
.47255 .44462 L
.47191 .44321 L
.4717 .44301 L
.47035 .44141 L
.4703 .44136 L
.46898 .4398 L
.4687 .4397 L
.46764 .4382 L
.46709 .43757 L
.466 .43659 L
.46549 .43553 L
.46502 .43499 L
.46388 .43353 L
.46378 .43338 L
.46246 .43178 L
.46228 .43161 L
.46117 .43017 L
.46067 .42954 L
.45982 .42857 L
.45907 .42747 L
.4587 .42696 L
.45746 .42543 L
.45743 .42536 L
.45612 .42375 L
.45586 .42345 L
.45466 .42215 L
.45425 .42135 L
.45364 .42054 L
.45265 .41926 L
.45248 .41894 L
.45111 .41733 L
.45104 .41727 L
.44945 .41572 L
.44943 .41519 L
.44857 .41412 L
.44783 .41307 L
.44747 .41251 L
.44622 .411 L
.44621 .41091 L
.4449 .4093 L
.44462 .409 L
.44348 .4077 L
.44301 .40686 L
.44245 .40609 L
.44141 .40474 L
.44129 .40449 L
.43997 .40288 L
.4398 .40276 L
.43832 .40128 L
.4382 .40062 L
.43745 .39967 L
.43659 .39846 L
.43635 .39807 L
.43507 .39646 L
.43499 .39635 L
.43385 .39486 L
.43338 .39436 L
.43244 .39325 L
.43178 .39214 L
.43143 .39165 L
.43022 .39004 L
.43017 .38998 L
.42901 .38844 L
.42857 .38812 L
.42734 .38683 L
.42696 .38577 L
.42655 .38523 L
.42542 .38362 L
.42536 .38353 L
.42424 .38201 L
.42375 .38135 L
.42306 .38041 L
.42215 .37929 L
.42176 .3788 L
.42073 .3772 L
.42054 .37694 L
.41959 .37559 L
.41894 .37469 L
.41845 .37399 L
.41733 .37243 L
.4173 .37238 L
.41626 .37078 L
.41572 .36999 L
.41521 .36917 L
F
.41572 .41116 m
.41733 .4119 L
.41857 .41251 L
.41894 .41291 L
.42024 .41412 L
.42054 .41452 L
.42193 .41572 L
.42215 .41643 L
.42305 .41733 L
.42375 .4185 L
.42419 .41894 L
.42536 .42021 L
.42562 .42054 L
.42687 .42215 L
.42696 .42226 L
.42821 .42375 L
.42857 .42436 L
.42931 .42536 L
.43017 .42649 L
.43039 .42696 L
.43178 .42852 L
.43185 .42857 L
.43323 .43017 L
.43338 .43048 L
.43432 .43178 L
.43499 .43259 L
.43539 .43338 L
.43659 .4348 L
.43671 .43499 L
.43784 .43659 L
.4382 .43721 L
.43889 .4382 L
.4382 .43896 L
.43659 .43905 L
.43499 .43841 L
.43472 .4382 L
.43338 .43683 L
.43325 .43659 L
.43188 .43499 L
.43178 .43486 L
.43026 .43338 L
.43017 .4328 L
.42925 .43178 L
.42857 .43072 L
.42815 .43017 L
.42696 .42866 L
.42694 .42857 L
.42564 .42696 L
.42536 .42674 L
.42419 .42536 L
.42375 .42459 L
.42316 .42375 L
.42215 .42241 L
.42202 .42215 L
.42076 .42054 L
.42054 .42024 L
.41914 .41894 L
.41894 .41807 L
.41826 .41733 L
.41733 .41598 L
.41722 .41572 L
.41615 .41412 L
.41572 .41341 L
.41525 .41251 L
F
1 .44 0 r
.41572 .46582 m
.41682 .46709 L
.41733 .46764 L
.41821 .4687 L
.41894 .46951 L
.41958 .4703 L
.42054 .47142 L
.42094 .47191 L
.42215 .4733 L
.42245 .47351 L
.42356 .47512 L
.42375 .47534 L
.42485 .47672 L
.42536 .47733 L
.42615 .47833 L
.42696 .47896 L
.42744 .47993 L
.42857 .48129 L
.42883 .48154 L
.42999 .48314 L
.43017 .48337 L
.43124 .48475 L
.43178 .48541 L
.43251 .48636 L
.43338 .48727 L
.43421 .48796 L
.43499 .4895 L
.43505 .48957 L
.43626 .49117 L
.43659 .49158 L
.4375 .49278 L
.4382 .49319 L
.43875 .49438 L
.4398 .49565 L
.44013 .49599 L
.44123 .49759 L
.44141 .49782 L
.44244 .4992 L
.44301 .49992 L
.44367 .5008 L
.44462 .50183 L
.44523 .50241 L
.44613 .50401 L
.44622 .50413 L
.44732 .50562 L
.44783 .50627 L
.44853 .50722 L
.44943 .5084 L
.44975 .50883 L
.45096 .51043 L
.45104 .51054 L
.45212 .51204 L
.45265 .51272 L
.4533 .51364 L
.45425 .5149 L
.4545 .51525 L
.45566 .51686 L
.45586 .51711 L
.45678 .51846 L
.45746 .51938 L
.45791 .52007 L
.45746 .52155 L
.45619 .52007 L
.45586 .5197 L
.45483 .51846 L
.45425 .51781 L
.45347 .51686 L
.45265 .51589 L
.45213 .51525 L
.45104 .51407 L
.4508 .51364 L
.4495 .51204 L
.44943 .51196 L
.44822 .51043 L
.44783 .50997 L
.44693 .50883 L
.44622 .50796 L
.44564 .50722 L
.44462 .50603 L
.44415 .50562 L
.44309 .50401 L
.44301 .50392 L
.44184 .50241 L
.44141 .50187 L
.44058 .5008 L
.4398 .50008 L
.43932 .4992 L
.4382 .4978 L
.438 .49759 L
.43683 .49599 L
.43659 .49569 L
.43559 .49438 L
.43499 .49362 L
.43435 .49278 L
.43338 .49166 L
.43289 .49117 L
.43187 .48957 L
.43178 .48945 L
.43066 .48796 L
.43017 .48734 L
.42943 .48636 L
.42857 .48552 L
.4282 .48475 L
.42697 .48314 L
.42696 .48313 L
.42579 .48154 L
.42536 .48098 L
.42459 .47993 L
.42375 .47885 L
.42337 .47833 L
.42216 .47672 L
.42215 .47671 L
.42101 .47512 L
.42054 .47451 L
.41983 .47351 L
.41894 .47232 L
.41865 .47191 L
.41749 .4703 L
.41733 .4701 L
.41639 .4687 L
.41572 .46779 L
.41527 .46709 L
F
1 .43 0 r
.41572 .4659 m
.41675 .46709 L
.41733 .4677 L
.41816 .4687 L
.41894 .46956 L
.41954 .4703 L
.42054 .47147 L
.4209 .47191 L
.42215 .47336 L
.42237 .47351 L
.42353 .47512 L
.42375 .47538 L
.42482 .47672 L
.42536 .47736 L
.42612 .47833 L
.42696 .47901 L
.42741 .47993 L
.42857 .48133 L
.42879 .48154 L
.42996 .48314 L
.43017 .4834 L
.43122 .48475 L
.43178 .48544 L
.43248 .48636 L
.43338 .4873 L
.43417 .48796 L
.43499 .48953 L
.43502 .48957 L
.43624 .49117 L
.43659 .49161 L
.43748 .49278 L
.4382 .49322 L
.43873 .49438 L
.4398 .49568 L
.4401 .49599 L
.44121 .49759 L
.44141 .49785 L
.44242 .4992 L
.44301 .49995 L
.44365 .5008 L
.44462 .50186 L
.44519 .50241 L
.44611 .50401 L
.44622 .50416 L
.4473 .50562 L
.44783 .5063 L
.44851 .50722 L
.44943 .50843 L
.44973 .50883 L
.45093 .51043 L
.45104 .51057 L
.45209 .51204 L
.45265 .51276 L
.45327 .51364 L
.45425 .51494 L
.45447 .51525 L
.45562 .51686 L
.45586 .51716 L
.45673 .51846 L
.45746 .51945 L
.45786 .52007 L
.45746 .52147 L
.45625 .52007 L
.45586 .51964 L
.45487 .51846 L
.45425 .51776 L
.45351 .51686 L
.45265 .51584 L
.45217 .51525 L
.45104 .51402 L
.45084 .51364 L
.44953 .51204 L
.44943 .51192 L
.44825 .51043 L
.44783 .50993 L
.44696 .50883 L
.44622 .50793 L
.44567 .50722 L
.44462 .506 L
.4442 .50562 L
.44312 .50401 L
.44301 .50388 L
.44187 .50241 L
.44141 .50184 L
.44061 .5008 L
.4398 .50005 L
.43934 .4992 L
.4382 .49777 L
.43803 .49759 L
.43685 .49599 L
.43659 .49567 L
.43562 .49438 L
.43499 .49359 L
.43437 .49278 L
.43338 .49162 L
.43293 .49117 L
.43189 .48957 L
.43178 .48942 L
.43068 .48796 L
.43017 .48731 L
.42946 .48636 L
.42857 .48548 L
.42822 .48475 L
.427 .48314 L
.42696 .4831 L
.42582 .48154 L
.42536 .48095 L
.42461 .47993 L
.42375 .47881 L
.4234 .47833 L
.42219 .47672 L
.42215 .47667 L
.42104 .47512 L
.42054 .47447 L
.41987 .47351 L
.41894 .47227 L
.41868 .47191 L
.41753 .4703 L
.41733 .47004 L
.41644 .4687 L
.41572 .46772 L
.41533 .46709 L
F
.001 .76 1 r
.41572 .45917 m
.41714 .46067 L
.41733 .46086 L
.41859 .46228 L
.41894 .46265 L
.42 .46388 L
.42054 .46449 L
.42138 .46549 L
.42215 .46619 L
.42275 .46709 L
.42375 .46826 L
.42424 .4687 L
.42536 .47023 L
.42542 .4703 L
.42673 .47191 L
.42696 .47196 L
.42804 .47351 L
.42857 .47408 L
.42977 .47512 L
.43017 .47615 L
.43069 .47672 L
.43178 .47818 L
.43189 .47833 L
.43319 .47993 L
.43338 .48008 L
.43447 .48154 L
.43499 .48215 L
.43591 .48314 L
.43659 .48424 L
.43699 .48475 L
.4382 .48628 L
.43823 .48636 L
.43952 .48796 L
.4398 .48825 L
.44112 .48957 L
.44141 .49035 L
.44209 .49117 L
.44301 .49244 L
.44323 .49278 L
.44454 .49438 L
.44462 .49443 L
.44578 .49599 L
.44622 .49649 L
.44719 .49759 L
.44783 .49862 L
.44826 .4992 L
.44943 .50071 L
.44948 .5008 L
.45075 .50241 L
.45104 .50268 L
.45232 .50401 L
.45265 .50482 L
.45329 .50562 L
.45425 .50695 L
.45443 .50722 L
.4557 .50883 L
.45586 .5089 L
.45693 .51043 L
.45746 .51103 L
.45833 .51204 L
.45907 .51319 L
.4594 .51364 L
.46063 .51525 L
.46067 .51531 L
.46184 .51686 L
.46228 .51724 L
.46342 .51846 L
.46388 .51945 L
.46437 .52007 L
.46549 .52161 L
.46552 .52167 L
.46674 .52328 L
.46709 .52341 L
.46795 .52488 L
.4687 .52572 L
.46934 .52649 L
.4703 .52795 L
.47041 .52809 L
.4716 .5297 L
.47191 .5301 L
.4728 .5313 L
.47351 .53198 L
.47432 .53291 L
.47512 .53433 L
.47526 .53451 L
.47641 .53612 L
.47672 .53652 L
.4776 .53772 L
.47833 .53869 L
.4788 .53933 L
.47993 .54082 L
.48003 .54093 L
.48114 .54254 L
.48154 .54306 L
.4823 .54414 L
.48314 .54529 L
.48347 .54575 L
.48462 .54735 L
.48475 .54753 L
.4857 .54896 L
.48636 .54989 L
.48679 .55057 L
.48785 .55217 L
.48796 .55233 L
.48862 .55378 L
.48796 .55386 L
.48788 .55378 L
.48636 .55241 L
.48626 .55217 L
.48478 .55057 L
.48475 .55054 L
.48336 .54896 L
.48314 .54873 L
.48197 .54735 L
.48154 .54687 L
.4806 .54575 L
.47993 .54521 L
.47925 .54414 L
.47833 .54309 L
.47768 .54254 L
.47672 .54109 L
.47658 .54093 L
.47529 .53933 L
.47512 .53913 L
.47399 .53772 L
.47351 .53725 L
.4721 .53612 L
.47191 .53517 L
.4713 .53451 L
.4703 .53312 L
.47014 .53291 L
.46885 .5313 L
.4687 .53121 L
.46758 .5297 L
.46709 .52915 L
.46607 .52809 L
.46549 .52705 L
.46503 .52649 L
.46388 .525 L
.46381 .52488 L
.46253 .52328 L
.46228 .52305 L
.46082 .52167 L
.46067 .52094 L
.45992 .52007 L
.45907 .51883 L
.4588 .51846 L
.45752 .51686 L
.45746 .51683 L
.45628 .51525 L
.45586 .51479 L
.45481 .51364 L
.45425 .51266 L
.45377 .51204 L
.45265 .51055 L
.45258 .51043 L
.45131 .50883 L
.45104 .50861 L
.44964 .50722 L
.44943 .50646 L
.44873 .50562 L
.44783 .50432 L
.44762 .50401 L
.44637 .50241 L
.44622 .50238 L
.44514 .5008 L
.44462 .50026 L
.44368 .4992 L
.44301 .49807 L
.44265 .49759 L
.44144 .49599 L
.44141 .49594 L
.44023 .49438 L
.4398 .49406 L
.43855 .49278 L
.4382 .49182 L
.43767 .49117 L
.43659 .48964 L
.43655 .48957 L
.43534 .48796 L
.43499 .48751 L
.43412 .48636 L
.43338 .48556 L
.43269 .48475 L
.43178 .4833 L
.43166 .48314 L
.43048 .48154 L
.43017 .48114 L
.42928 .47993 L
.42857 .47932 L
.42768 .47833 L
.42696 .47692 L
.42681 .47672 L
.42567 .47512 L
.42536 .47471 L
.42449 .47351 L
.42375 .47255 L
.42329 .47191 L
.42215 .47042 L
.42205 .4703 L
.42094 .4687 L
.42054 .46816 L
.41979 .46709 L
.41894 .46593 L
.41863 .46549 L
.41748 .46388 L
.41733 .46367 L
.41642 .46228 L
.41572 .46129 L
.41534 .46067 L
F
1 .42 0 r
.41572 .46599 m
.41668 .46709 L
.41733 .46777 L
.41811 .4687 L
.41894 .46962 L
.4195 .4703 L
.42054 .47151 L
.42086 .47191 L
.42215 .47342 L
.42228 .47351 L
.4235 .47512 L
.42375 .47542 L
.42479 .47672 L
.42536 .4774 L
.42609 .47833 L
.42696 .47905 L
.42739 .47993 L
.42857 .48137 L
.42875 .48154 L
.42994 .48314 L
.43017 .48343 L
.43119 .48475 L
.43178 .48547 L
.43246 .48636 L
.43338 .48734 L
.43413 .48796 L
.43499 .48956 L
.43499 .48957 L
.43622 .49117 L
.43659 .49164 L
.43746 .49278 L
.4382 .49326 L
.43871 .49438 L
.4398 .49572 L
.44006 .49599 L
.44118 .49759 L
.44141 .49788 L
.4424 .4992 L
.44301 .49998 L
.44363 .5008 L
.44462 .5019 L
.44515 .50241 L
.44608 .50401 L
.44622 .50419 L
.44727 .50562 L
.44783 .50633 L
.44848 .50722 L
.44943 .50846 L
.4497 .50883 L
.4509 .51043 L
.45104 .51061 L
.45206 .51204 L
.45265 .5128 L
.45324 .51364 L
.45425 .51498 L
.45444 .51525 L
.45558 .51686 L
.45586 .51722 L
.45669 .51846 L
.45746 .51952 L
.45782 .52007 L
.45746 .52139 L
.45632 .52007 L
.45586 .51958 L
.45492 .51846 L
.45425 .5177 L
.45355 .51686 L
.45265 .5158 L
.4522 .51525 L
.45104 .51396 L
.45087 .51364 L
.44957 .51204 L
.44943 .51188 L
.44828 .51043 L
.44783 .50989 L
.44699 .50883 L
.44622 .50789 L
.4457 .50722 L
.44462 .50596 L
.44424 .50562 L
.44315 .50401 L
.44301 .50385 L
.44189 .50241 L
.44141 .50181 L
.44063 .5008 L
.4398 .50002 L
.43937 .4992 L
.4382 .49773 L
.43806 .49759 L
.43687 .49599 L
.43659 .49564 L
.43564 .49438 L
.43499 .49356 L
.43439 .49278 L
.43338 .49159 L
.43296 .49117 L
.43192 .48957 L
.43178 .48939 L
.43071 .48796 L
.43017 .48728 L
.42948 .48636 L
.42857 .48544 L
.42825 .48475 L
.42703 .48314 L
.42696 .48306 L
.42584 .48154 L
.42536 .48092 L
.42464 .47993 L
.42375 .47878 L
.42342 .47833 L
.42222 .47672 L
.42215 .47663 L
.42107 .47512 L
.42054 .47443 L
.4199 .47351 L
.41894 .47223 L
.41871 .47191 L
.41758 .4703 L
.41733 .46997 L
.41649 .4687 L
.41572 .46764 L
.41538 .46709 L
F
0 .21 1 r
.41572 .47271 m
.41633 .47351 L
.41733 .47465 L
.41768 .47512 L
.41894 .47661 L
.41902 .47672 L
.42026 .47833 L
.42054 .47865 L
.42149 .47993 L
.42215 .48071 L
.42275 .48154 L
.42375 .48277 L
.42402 .48314 L
.42375 .48458 L
.42269 .48314 L
.42215 .4825 L
.42144 .48154 L
.42054 .48043 L
.42018 .47993 L
.41894 .47836 L
.41892 .47833 L
.41777 .47672 L
.41733 .47618 L
.4166 .47512 L
.41572 .47401 L
.41539 .47351 L
F
0 .75 1 r
.41572 .45934 m
.417 .46067 L
.41733 .46099 L
.41849 .46228 L
.41894 .46275 L
.41992 .46388 L
.42054 .46458 L
.42132 .46549 L
.42215 .46627 L
.42269 .46709 L
.42375 .46833 L
.42417 .4687 L
.42536 .47029 L
.42537 .4703 L
.42668 .47191 L
.42696 .47198 L
.42799 .47351 L
.42857 .47413 L
.42974 .47512 L
.43017 .47619 L
.43065 .47672 L
.43178 .47821 L
.43186 .47833 L
.43316 .47993 L
.43338 .48011 L
.43444 .48154 L
.43499 .48219 L
.43588 .48314 L
.43659 .48427 L
.43697 .48475 L
.4382 .48631 L
.43822 .48636 L
.4395 .48796 L
.4398 .48827 L
.44111 .48957 L
.44141 .49038 L
.44207 .49117 L
.44301 .49247 L
.44322 .49278 L
.44451 .49438 L
.44462 .49445 L
.44576 .49599 L
.44622 .49652 L
.44717 .49759 L
.44783 .49864 L
.44824 .4992 L
.44943 .50073 L
.44947 .5008 L
.45073 .50241 L
.45104 .5027 L
.4523 .50401 L
.45265 .50484 L
.45327 .50562 L
.45425 .50697 L
.45441 .50722 L
.45568 .50883 L
.45586 .50891 L
.45691 .51043 L
.45746 .51105 L
.45831 .51204 L
.45907 .51322 L
.45938 .51364 L
.46061 .51525 L
.46067 .51533 L
.46182 .51686 L
.46228 .51726 L
.4634 .51846 L
.46388 .51948 L
.46435 .52007 L
.46549 .52164 L
.46551 .52167 L
.46671 .52328 L
.46709 .52342 L
.46793 .52488 L
.4687 .52575 L
.46931 .52649 L
.4703 .52798 L
.47038 .52809 L
.47157 .5297 L
.47191 .53013 L
.47278 .5313 L
.47351 .53202 L
.47429 .53291 L
.47512 .53437 L
.47522 .53451 L
.47638 .53612 L
.47672 .53657 L
.47756 .53772 L
.47833 .53873 L
.47876 .53933 L
.47993 .54089 L
.47997 .54093 L
.4811 .54254 L
.48154 .54312 L
.48225 .54414 L
.48314 .54535 L
.48342 .54575 L
.48455 .54735 L
.48475 .54763 L
.48562 .54896 L
.48636 .55001 L
.4867 .55057 L
.48636 .55212 L
.48489 .55057 L
.48475 .55042 L
.48345 .54896 L
.48314 .54863 L
.48205 .54735 L
.48154 .54679 L
.48067 .54575 L
.47993 .54514 L
.4793 .54414 L
.47833 .54303 L
.47775 .54254 L
.47672 .54104 L
.47663 .54093 L
.47533 .53933 L
.47512 .53908 L
.47403 .53772 L
.47351 .53721 L
.47213 .53612 L
.47191 .53512 L
.47134 .53451 L
.4703 .53309 L
.47017 .53291 L
.46888 .5313 L
.4687 .5312 L
.4676 .5297 L
.46709 .52912 L
.46609 .52809 L
.46549 .52702 L
.46505 .52649 L
.46388 .52497 L
.46383 .52488 L
.46255 .52328 L
.46228 .52302 L
.46083 .52167 L
.46067 .52091 L
.45994 .52007 L
.45907 .51881 L
.45882 .51846 L
.45754 .51686 L
.45746 .51682 L
.4563 .51525 L
.45586 .51477 L
.45483 .51364 L
.45425 .51263 L
.45379 .51204 L
.45265 .51053 L
.45259 .51043 L
.45133 .50883 L
.45104 .50859 L
.44965 .50722 L
.44943 .50644 L
.44875 .50562 L
.44783 .5043 L
.44763 .50401 L
.44639 .50241 L
.44622 .50238 L
.44516 .5008 L
.44462 .50023 L
.4437 .4992 L
.44301 .49805 L
.44267 .49759 L
.44146 .49599 L
.44141 .49592 L
.44025 .49438 L
.4398 .49404 L
.43857 .49278 L
.4382 .49179 L
.43769 .49117 L
.43659 .48961 L
.43656 .48957 L
.43536 .48796 L
.43499 .48748 L
.43414 .48636 L
.43338 .48553 L
.43271 .48475 L
.43178 .48327 L
.43168 .48314 L
.4305 .48154 L
.43017 .48111 L
.4293 .47993 L
.42857 .47928 L
.42771 .47833 L
.42696 .47687 L
.42684 .47672 L
.4257 .47512 L
.42536 .47467 L
.42452 .47351 L
.42375 .4725 L
.42332 .47191 L
.42215 .47035 L
.42211 .4703 L
.42099 .4687 L
.42054 .4681 L
.41984 .46709 L
.41894 .46586 L
.41868 .46549 L
.41756 .46388 L
.41733 .46357 L
.4165 .46228 L
.41572 .46115 L
.41544 .46067 L
F
1 .41 0 r
.41572 .4661 m
.4166 .46709 L
.41733 .46784 L
.41805 .4687 L
.41894 .46967 L
.41945 .4703 L
.42054 .47156 L
.42082 .47191 L
.42215 .47348 L
.4222 .47351 L
.42346 .47512 L
.42375 .47546 L
.42476 .47672 L
.42536 .47744 L
.42606 .47833 L
.42696 .4791 L
.42736 .47993 L
.42857 .48141 L
.42871 .48154 L
.42991 .48314 L
.43017 .48346 L
.43117 .48475 L
.43178 .4855 L
.43244 .48636 L
.43338 .48737 L
.43409 .48796 L
.43497 .48957 L
.43499 .48959 L
.4362 .49117 L
.43659 .49166 L
.43744 .49278 L
.4382 .49329 L
.43869 .49438 L
.4398 .49575 L
.44003 .49599 L
.44116 .49759 L
.44141 .4979 L
.44238 .4992 L
.44301 .50001 L
.44361 .5008 L
.44462 .50194 L
.44511 .50241 L
.44606 .50401 L
.44622 .50422 L
.44725 .50562 L
.44783 .50636 L
.44846 .50722 L
.44943 .50849 L
.44968 .50883 L
.45087 .51043 L
.45104 .51065 L
.45203 .51204 L
.45265 .51284 L
.45321 .51364 L
.45425 .51503 L
.45441 .51525 L
.45554 .51686 L
.45586 .51728 L
.45664 .51846 L
.45746 .51959 L
.45776 .52007 L
.45746 .52131 L
.45638 .52007 L
.45586 .51951 L
.45498 .51846 L
.45425 .51765 L
.4536 .51686 L
.45265 .51575 L
.45224 .51525 L
.45104 .5139 L
.4509 .51364 L
.4496 .51204 L
.44943 .51184 L
.44831 .51043 L
.44783 .50986 L
.44702 .50883 L
.44622 .50786 L
.44572 .50722 L
.44462 .50592 L
.44428 .50562 L
.44317 .50401 L
.44301 .50382 L
.44192 .50241 L
.44141 .50178 L
.44065 .5008 L
.4398 .49998 L
.43939 .4992 L
.4382 .4977 L
.4381 .49759 L
.4369 .49599 L
.43659 .49561 L
.43566 .49438 L
.43499 .49353 L
.43441 .49278 L
.43338 .49155 L
.433 .49117 L
.43194 .48957 L
.43178 .48936 L
.43073 .48796 L
.43017 .48725 L
.4295 .48636 L
.42857 .4854 L
.42827 .48475 L
.42705 .48314 L
.42696 .48303 L
.42587 .48154 L
.42536 .48088 L
.42466 .47993 L
.42375 .47874 L
.42345 .47833 L
.42225 .47672 L
.42215 .47659 L
.4211 .47512 L
.42054 .47438 L
.41993 .47351 L
.41894 .47218 L
.41875 .47191 L
.41763 .4703 L
.41733 .46991 L
.41655 .4687 L
.41572 .46755 L
.41545 .46709 L
F
0 .2 1 r
.41572 .47281 m
.41626 .47351 L
.41733 .47472 L
.41763 .47512 L
.41894 .47667 L
.41897 .47672 L
.41894 .47829 L
.41784 .47672 L
.41733 .47611 L
.41666 .47512 L
.41572 .47393 L
.41545 .47351 L
F
.538 .98 1 r
.41572 .375 m
.41622 .37559 L
.41733 .37671 L
.41772 .3772 L
.41894 .37855 L
.41913 .3788 L
.4205 .38041 L
.42054 .38046 L
.42178 .38201 L
.42215 .38244 L
.42306 .38362 L
.42375 .38442 L
.42436 .38523 L
.42536 .38642 L
.42567 .38683 L
.42696 .3884 L
.42698 .38844 L
.42821 .39004 L
.42857 .39047 L
.42945 .39165 L
.43017 .39252 L
.43071 .39325 L
.43178 .39457 L
.43199 .39486 L
.43325 .39646 L
.43338 .39663 L
.43446 .39807 L
.43499 .39872 L
.43568 .39967 L
.43659 .4008 L
.43694 .40128 L
.4382 .40287 L
.4382 .40288 L
.43939 .40449 L
.4398 .40501 L
.44059 .40609 L
.44141 .40713 L
.44182 .4077 L
.44301 .40923 L
.44307 .4093 L
.44423 .41091 L
.44462 .4114 L
.4454 .41251 L
.44622 .41356 L
.44661 .41412 L
.44783 .41571 L
.44784 .41572 L
.44895 .41733 L
.44943 .41797 L
.45007 .41894 L
.45104 .42023 L
.45123 .42054 L
.45104 .42174 L
.45004 .42054 L
.44943 .41986 L
.44867 .41894 L
.44783 .41795 L
.44732 .41733 L
.44622 .416 L
.446 .41572 L
.4447 .41412 L
.44462 .41402 L
.44341 .41251 L
.44301 .41204 L
.44211 .41091 L
.44141 .41005 L
.44081 .4093 L
.4398 .40825 L
.43953 .4077 L
.43826 .40609 L
.4382 .40601 L
.437 .40449 L
.43659 .40398 L
.43573 .40288 L
.43499 .40194 L
.43447 .40128 L
.43338 .39995 L
.43306 .39967 L
.43198 .39807 L
.43178 .39781 L
.43074 .39646 L
.43017 .39573 L
.4295 .39486 L
.42857 .3939 L
.42827 .39325 L
.42706 .39165 L
.42696 .39152 L
.42585 .39004 L
.42536 .38939 L
.42464 .38844 L
.42375 .38726 L
.42343 .38683 L
.42225 .38523 L
.42215 .3851 L
.42108 .38362 L
.42054 .3829 L
.41991 .38201 L
.41894 .38068 L
.41874 .38041 L
.41764 .3788 L
.41733 .37838 L
.41657 .3772 L
.41572 .37598 L
.4155 .37559 L
F
1 .4 0 r
.41572 .46621 m
.41652 .46709 L
.41733 .46791 L
.41799 .4687 L
.41894 .46973 L
.41941 .4703 L
.42054 .47161 L
.42078 .47191 L
.42213 .47351 L
.42215 .47354 L
.42342 .47512 L
.42375 .4755 L
.42473 .47672 L
.42536 .47747 L
.42603 .47833 L
.42696 .47914 L
.42733 .47993 L
.42857 .48145 L
.42867 .48154 L
.42988 .48314 L
.43017 .4835 L
.43114 .48475 L
.43178 .48553 L
.43241 .48636 L
.43338 .48741 L
.43405 .48796 L
.43494 .48957 L
.43499 .48962 L
.43617 .49117 L
.43659 .49169 L
.43742 .49278 L
.4382 .49332 L
.43867 .49438 L
.4398 .49579 L
.44 .49599 L
.44114 .49759 L
.44141 .49793 L
.44235 .4992 L
.44301 .50004 L
.44359 .5008 L
.44462 .50199 L
.44506 .50241 L
.44603 .50401 L
.44622 .50426 L
.44722 .50562 L
.44783 .5064 L
.44843 .50722 L
.44943 .50853 L
.44965 .50883 L
.45084 .51043 L
.45104 .51069 L
.452 .51204 L
.45265 .51288 L
.45318 .51364 L
.45425 .51507 L
.45438 .51525 L
.45549 .51686 L
.45586 .51734 L
.45659 .51846 L
.45746 .51967 L
.45771 .52007 L
.45746 .52121 L
.45646 .52007 L
.45586 .51944 L
.45503 .51846 L
.45425 .5176 L
.45364 .51686 L
.45265 .5157 L
.45228 .51525 L
.45104 .51383 L
.45094 .51364 L
.44964 .51204 L
.44943 .5118 L
.44835 .51043 L
.44783 .50982 L
.44705 .50883 L
.44622 .50783 L
.44575 .50722 L
.44462 .50588 L
.44433 .50562 L
.4432 .50401 L
.44301 .50379 L
.44194 .50241 L
.44141 .50175 L
.44068 .5008 L
.4398 .49994 L
.43941 .4992 L
.4382 .49767 L
.43813 .49759 L
.43692 .49599 L
.43659 .49558 L
.43568 .49438 L
.43499 .4935 L
.43444 .49278 L
.43338 .49152 L
.43303 .49117 L
.43197 .48957 L
.43178 .48933 L
.43075 .48796 L
.43017 .48722 L
.42953 .48636 L
.42857 .48535 L
.42829 .48475 L
.42708 .48314 L
.42696 .483 L
.42589 .48154 L
.42536 .48085 L
.42469 .47993 L
.42375 .47871 L
.42348 .47833 L
.42229 .47672 L
.42215 .47654 L
.42114 .47512 L
.42054 .47434 L
.41997 .47351 L
.41894 .47213 L
.41878 .47191 L
.41768 .4703 L
.41733 .46984 L
.4166 .4687 L
.41572 .46745 L
.41551 .46709 L
F
0 .19 1 r
.41572 .47291 m
.41617 .47351 L
.41733 .47479 L
.41757 .47512 L
.41733 .47602 L
.41674 .47512 L
.41572 .47383 L
.41552 .47351 L
F
0 .74 1 r
.41572 .45955 m
.41685 .46067 L
.41733 .46112 L
.41838 .46228 L
.41894 .46286 L
.41983 .46388 L
.42054 .46466 L
.42125 .46549 L
.42215 .46635 L
.42263 .46709 L
.42375 .4684 L
.42409 .4687 L
.42531 .4703 L
.42536 .47035 L
.42663 .47191 L
.42696 .472 L
.42795 .47351 L
.42857 .47417 L
.4297 .47512 L
.43017 .47624 L
.43061 .47672 L
.43178 .47825 L
.43183 .47833 L
.43313 .47993 L
.43338 .48014 L
.43441 .48154 L
.43499 .48223 L
.43586 .48314 L
.43659 .48431 L
.43694 .48475 L
.4382 .48634 L
.43821 .48636 L
.43947 .48796 L
.4398 .4883 L
.44109 .48957 L
.44141 .4904 L
.44205 .49117 L
.44301 .4925 L
.4432 .49278 L
.44449 .49438 L
.44462 .49446 L
.44574 .49599 L
.44622 .49654 L
.44715 .49759 L
.44783 .49867 L
.44823 .4992 L
.44943 .50075 L
.44946 .5008 L
.45071 .50241 L
.45104 .50272 L
.45229 .50401 L
.45265 .50486 L
.45326 .50562 L
.45425 .50699 L
.4544 .50722 L
.45566 .50883 L
.45586 .50892 L
.45689 .51043 L
.45746 .51107 L
.4583 .51204 L
.45907 .51324 L
.45936 .51364 L
.46059 .51525 L
.46067 .51536 L
.4618 .51686 L
.46228 .51728 L
.46338 .51846 L
.46388 .5195 L
.46433 .52007 L
.46549 .52167 L
.46549 .52167 L
.46669 .52328 L
.46709 .52344 L
.46791 .52488 L
.4687 .52578 L
.46929 .52649 L
.4703 .52801 L
.47036 .52809 L
.47155 .5297 L
.47191 .53016 L
.47275 .5313 L
.47351 .53206 L
.47425 .53291 L
.47512 .53442 L
.47519 .53451 L
.47635 .53612 L
.47672 .53661 L
.47753 .53772 L
.47833 .53878 L
.47873 .53933 L
.47992 .54093 L
.47993 .54095 L
.48106 .54254 L
.48154 .54319 L
.48221 .54414 L
.48314 .54543 L
.48337 .54575 L
.48448 .54735 L
.48475 .54773 L
.48554 .54896 L
.48636 .55015 L
.48661 .55057 L
.48636 .55195 L
.48502 .55057 L
.48475 .5503 L
.48355 .54896 L
.48314 .54853 L
.48213 .54735 L
.48154 .5467 L
.48073 .54575 L
.47993 .54507 L
.47936 .54414 L
.47833 .54296 L
.47782 .54254 L
.47672 .54098 L
.47668 .54093 L
.47538 .53933 L
.47512 .53902 L
.47407 .53772 L
.47351 .53717 L
.47216 .53612 L
.47191 .53508 L
.47137 .53451 L
.4703 .53305 L
.47019 .53291 L
.46891 .5313 L
.4687 .53118 L
.46763 .5297 L
.46709 .52908 L
.46612 .52809 L
.46549 .52699 L
.46508 .52649 L
.46388 .52494 L
.46385 .52488 L
.46258 .52328 L
.46228 .523 L
.46084 .52167 L
.46067 .52089 L
.45996 .52007 L
.45907 .51878 L
.45884 .51846 L
.45756 .51686 L
.45746 .51681 L
.45632 .51525 L
.45586 .51474 L
.45484 .51364 L
.45425 .51261 L
.45381 .51204 L
.45265 .51051 L
.4526 .51043 L
.45135 .50883 L
.45104 .50857 L
.44966 .50722 L
.44943 .50641 L
.44877 .50562 L
.44783 .50427 L
.44765 .50401 L
.44641 .50241 L
.44622 .50237 L
.44518 .5008 L
.44462 .50021 L
.44371 .4992 L
.44301 .49803 L
.44268 .49759 L
.44148 .49599 L
.44141 .49589 L
.44027 .49438 L
.4398 .49402 L
.43859 .49278 L
.4382 .49177 L
.43771 .49117 L
.43659 .48958 L
.43658 .48957 L
.43538 .48796 L
.43499 .48746 L
.43417 .48636 L
.43338 .4855 L
.43274 .48475 L
.43178 .48324 L
.43171 .48314 L
.43053 .48154 L
.43017 .48108 L
.42933 .47993 L
.42857 .47924 L
.42775 .47833 L
.42696 .47683 L
.42688 .47672 L
.42573 .47512 L
.42536 .47463 L
.42455 .47351 L
.42375 .47245 L
.42336 .47191 L
.42216 .4703 L
.42215 .47028 L
.42104 .4687 L
.42054 .46804 L
.41989 .46709 L
.41894 .46579 L
.41873 .46549 L
.41763 .46388 L
.41733 .46346 L
.41659 .46228 L
.41572 .46099 L
.41555 .46067 L
F
1 .39 0 r
.41572 .46634 m
.41642 .46709 L
.41733 .46799 L
.41793 .4687 L
.41894 .46979 L
.41936 .4703 L
.42054 .47166 L
.42074 .47191 L
.42208 .47351 L
.42215 .47358 L
.42339 .47512 L
.42375 .47554 L
.42469 .47672 L
.42536 .47751 L
.426 .47833 L
.42696 .47919 L
.42731 .47993 L
.42857 .48149 L
.42862 .48154 L
.42985 .48314 L
.43017 .48353 L
.43112 .48475 L
.43178 .48556 L
.43239 .48636 L
.43338 .48745 L
.434 .48796 L
.43492 .48957 L
.43499 .48965 L
.43615 .49117 L
.43659 .49172 L
.43739 .49278 L
.4382 .49336 L
.43865 .49438 L
.4398 .49582 L
.43996 .49599 L
.44111 .49759 L
.44141 .49796 L
.44233 .4992 L
.44301 .50007 L
.44356 .5008 L
.44462 .50203 L
.44502 .50241 L
.44601 .50401 L
.44622 .50429 L
.4472 .50562 L
.44783 .50643 L
.44841 .50722 L
.44943 .50856 L
.44963 .50883 L
.45081 .51043 L
.45104 .51073 L
.45197 .51204 L
.45265 .51293 L
.45315 .51364 L
.45425 .51512 L
.45434 .51525 L
.45544 .51686 L
.45586 .51741 L
.45653 .51846 L
.45746 .51975 L
.45765 .52007 L
.45746 .5211 L
.45654 .52007 L
.45586 .51937 L
.45509 .51846 L
.45425 .51754 L
.45369 .51686 L
.45265 .51565 L
.45232 .51525 L
.45104 .51377 L
.45097 .51364 L
.44967 .51204 L
.44943 .51176 L
.44838 .51043 L
.44783 .50978 L
.44708 .50883 L
.44622 .50779 L
.44578 .50722 L
.44462 .50583 L
.44437 .50562 L
.44323 .50401 L
.44301 .50375 L
.44197 .50241 L
.44141 .50172 L
.4407 .5008 L
.4398 .49991 L
.43943 .4992 L
.4382 .49763 L
.43816 .49759 L
.43695 .49599 L
.43659 .49555 L
.43571 .49438 L
.43499 .49347 L
.43446 .49278 L
.43338 .49148 L
.43307 .49117 L
.43199 .48957 L
.43178 .4893 L
.43078 .48796 L
.43017 .48719 L
.42955 .48636 L
.42857 .48531 L
.42832 .48475 L
.42711 .48314 L
.42696 .48296 L
.42592 .48154 L
.42536 .48081 L
.42472 .47993 L
.42375 .47867 L
.4235 .47833 L
.42232 .47672 L
.42215 .4765 L
.42117 .47512 L
.42054 .47429 L
.42 .47351 L
.41894 .47208 L
.41882 .47191 L
.41773 .4703 L
.41733 .46976 L
.41667 .4687 L
.41572 .46734 L
.41558 .46709 L
F
0 .18 1 r
.41572 .47305 m
.41607 .47351 L
.41733 .47488 L
.41751 .47512 L
.41733 .47592 L
.41682 .47512 L
.41572 .47372 L
.4156 .47351 L
F
1 .92 .084 r
.41572 .45304 m
.41709 .45425 L
.41733 .45446 L
.41868 .45586 L
.41894 .45611 L
.42018 .45746 L
.42054 .45784 L
.42163 .45907 L
.42215 .45946 L
.42305 .46067 L
.42375 .46147 L
.42478 .46228 L
.42536 .46341 L
.4258 .46388 L
.42696 .46534 L
.42707 .46549 L
.42846 .46709 L
.42857 .4672 L
.42979 .4687 L
.43017 .46919 L
.43117 .4703 L
.43178 .47122 L
.4323 .47191 L
.43338 .47326 L
.43348 .47351 L
.43497 .47512 L
.43499 .47515 L
.43639 .47672 L
.43659 .47719 L
.43749 .47833 L
.4382 .47929 L
.4386 .47993 L
.4398 .48137 L
.44007 .48154 L
.44132 .48314 L
.44141 .48327 L
.44262 .48475 L
.44301 .48536 L
.44372 .48636 L
.44462 .48749 L
.44478 .48796 L
.44622 .48953 L
.44634 .48957 L
.44767 .49117 L
.44783 .4915 L
.4488 .49278 L
.44943 .49363 L
.44988 .49438 L
.45104 .49576 L
.45134 .49599 L
.45257 .49759 L
.45265 .49769 L
.45385 .4992 L
.45425 .4998 L
.45495 .5008 L
.45586 .50194 L
.45599 .50241 L
.45746 .50398 L
.45753 .50401 L
.45887 .50562 L
.45907 .50601 L
.45998 .50722 L
.46067 .50814 L
.46106 .50883 L
.46228 .51025 L
.46249 .51043 L
.46386 .51204 L
.46388 .51224 L
.465 .51364 L
.46549 .51436 L
.46609 .51525 L
.46709 .51649 L
.46718 .51686 L
.46865 .51846 L
.4687 .51851 L
.47002 .52007 L
.4703 .52059 L
.47111 .52167 L
.47191 .52273 L
.4722 .52328 L
.47351 .52481 L
.47359 .52488 L
.47506 .52649 L
.47512 .52684 L
.47612 .52809 L
.47672 .52897 L
.47721 .5297 L
.47833 .53109 L
.47837 .5313 L
.47973 .53291 L
.47993 .5331 L
.48115 .53451 L
.48154 .53522 L
.4822 .53612 L
.48314 .53737 L
.48333 .53772 L
.48464 .53933 L
.48475 .53938 L
.48622 .54093 L
.48636 .54147 L
.4872 .54254 L
.48796 .54364 L
.48829 .54414 L
.48955 .54575 L
.48957 .54577 L
.49076 .54735 L
.49117 .54772 L
.49221 .54896 L
.49278 .54992 L
.49324 .55057 L
.49438 .5521 L
.49442 .55217 L
.49564 .55378 L
.49599 .55393 L
.49728 .55538 L
.49759 .55621 L
.49818 .55699 L
.4992 .55845 L
.49929 .55859 L
.50049 .5602 L
.5008 .56061 L
.50169 .5618 L
.50241 .56251 L
.50311 .56341 L
.50401 .56486 L
.50412 .56501 L
.50528 .56662 L
.50562 .56706 L
.50646 .56822 L
.50722 .56924 L
.508 .56983 L
.50883 .5714 L
.50885 .57143 L
.50998 .57304 L
.51043 .57365 L
.51112 .57464 L
.51204 .57591 L
.51227 .57625 L
.51337 .57785 L
.51364 .57824 L
.51441 .57946 L
.51525 .58071 L
.51545 .58106 L
.51525 .5826 L
.51364 .58107 L
.51364 .58106 L
.51212 .57946 L
.51204 .57937 L
.51067 .57785 L
.51043 .5776 L
.50925 .57625 L
.50883 .57598 L
.50786 .57464 L
.50722 .57394 L
.50602 .57304 L
.50562 .57197 L
.5051 .57143 L
.50401 .57002 L
.50386 .56983 L
.50251 .56822 L
.50241 .56813 L
.5012 .56662 L
.5008 .56613 L
.49975 .56501 L
.4992 .56409 L
.49865 .56341 L
.49759 .56205 L
.49746 .5618 L
.49605 .5602 L
.49599 .56012 L
.49454 .55859 L
.49438 .55808 L
.49348 .55699 L
.49278 .55598 L
.49236 .55538 L
.49117 .55392 L
.49098 .55378 L
.48973 .55217 L
.48957 .55197 L
.48837 .55057 L
.48796 .54988 L
.48727 .54896 L
.48636 .54776 L
.48616 .54735 L
.48475 .54576 L
.48472 .54575 L
.48329 .54414 L
.48314 .54372 L
.4822 .54254 L
.48154 .5416 L
.4811 .54093 L
.47993 .5395 L
.47974 .53933 L
.4785 .53772 L
.47833 .53752 L
.47715 .53612 L
.47672 .53541 L
.47606 .53451 L
.47512 .53328 L
.47495 .53291 L
.47355 .5313 L
.47351 .53127 L
.4721 .5297 L
.47191 .52919 L
.47103 .52809 L
.4703 .52707 L
.46993 .52649 L
.4687 .52498 L
.4686 .52488 L
.46737 .52328 L
.46709 .52297 L
.466 .52167 L
.46549 .52084 L
.46492 .52007 L
.46388 .51872 L
.46378 .51846 L
.46243 .51686 L
.46228 .51671 L
.46094 .51525 L
.46067 .51461 L
.45991 .51364 L
.45907 .51247 L
.4588 .51204 L
.4575 .51043 L
.45746 .51042 L
.45628 .50883 L
.45586 .50838 L
.45489 .50722 L
.45425 .50622 L
.45382 .50562 L
.45265 .5041 L
.45261 .50401 L
.45136 .50241 L
.45104 .50215 L
.44983 .5008 L
.44943 .49998 L
.44883 .4992 L
.44783 .49782 L
.44769 .49759 L
.44645 .49599 L
.44622 .49592 L
.44523 .49438 L
.44462 .49374 L
.44382 .49278 L
.44301 .49154 L
.44275 .49117 L
.44154 .48957 L
.44141 .4894 L
.44033 .48796 L
.4398 .48753 L
.43879 .48636 L
.4382 .48526 L
.43781 .48475 L
.43665 .48314 L
.43659 .48307 L
.43545 .48154 L
.43499 .48095 L
.43424 .47993 L
.43338 .47898 L
.43287 .47833 L
.43178 .47672 L
.43178 .47672 L
.4306 .47512 L
.43017 .47457 L
.4294 .47351 L
.42857 .4727 L
.42793 .47191 L
.42696 .47031 L
.42696 .4703 L
.42579 .4687 L
.42536 .46813 L
.42461 .46709 L
.42375 .46596 L
.42305 .46549 L
.42222 .46388 L
.42215 .46378 L
.42109 .46228 L
.42054 .46154 L
.41995 .46067 L
.41894 .45929 L
.41879 .45907 L
.4177 .45746 L
.41733 .45694 L
.41667 .45586 L
.41572 .45441 L
.41564 .45425 L
F
1 .38 0 r
.41572 .46652 m
.41629 .46709 L
.41733 .46807 L
.41786 .4687 L
.41894 .46985 L
.41931 .4703 L
.42054 .47172 L
.4207 .47191 L
.42204 .47351 L
.42215 .47363 L
.42335 .47512 L
.42375 .47558 L
.42466 .47672 L
.42536 .47755 L
.42597 .47833 L
.42696 .47925 L
.42728 .47993 L
.42857 .48153 L
.42858 .48154 L
.42983 .48314 L
.43017 .48356 L
.43109 .48475 L
.43178 .48559 L
.43237 .48636 L
.43338 .48749 L
.43396 .48796 L
.43489 .48957 L
.43499 .48968 L
.43613 .49117 L
.43659 .49175 L
.43737 .49278 L
.4382 .4934 L
.43862 .49438 L
.4398 .49586 L
.43993 .49599 L
.44109 .49759 L
.44141 .49799 L
.44231 .4992 L
.44301 .5001 L
.44354 .5008 L
.44462 .50207 L
.44497 .50241 L
.44598 .50401 L
.44622 .50432 L
.44717 .50562 L
.44783 .50646 L
.44838 .50722 L
.44943 .5086 L
.4496 .50883 L
.45078 .51043 L
.45104 .51077 L
.45194 .51204 L
.45265 .51297 L
.45312 .51364 L
.45425 .51517 L
.45431 .51525 L
.45539 .51686 L
.45586 .51748 L
.45648 .51846 L
.45746 .51985 L
.45759 .52007 L
.45746 .52098 L
.45663 .52007 L
.45586 .5193 L
.45515 .51846 L
.45425 .51748 L
.45373 .51686 L
.45265 .5156 L
.45236 .51525 L
.45104 .5137 L
.45101 .51364 L
.44971 .51204 L
.44943 .51172 L
.44841 .51043 L
.44783 .50974 L
.44711 .50883 L
.44622 .50776 L
.44581 .50722 L
.44462 .50579 L
.44442 .50562 L
.44325 .50401 L
.44301 .50372 L
.44199 .50241 L
.44141 .50169 L
.44073 .5008 L
.4398 .49987 L
.43946 .4992 L
.4382 .4976 L
.43819 .49759 L
.43697 .49599 L
.43659 .49552 L
.43573 .49438 L
.43499 .49345 L
.43448 .49278 L
.43338 .49144 L
.43311 .49117 L
.43201 .48957 L
.43178 .48927 L
.4308 .48796 L
.43017 .48716 L
.42957 .48636 L
.42857 .48526 L
.42834 .48475 L
.42713 .48314 L
.42696 .48293 L
.42595 .48154 L
.42536 .48078 L
.42474 .47993 L
.42375 .47863 L
.42353 .47833 L
.42235 .47672 L
.42215 .47646 L
.42121 .47512 L
.42054 .47424 L
.42004 .47351 L
.41894 .47202 L
.41886 .47191 L
.41779 .4703 L
.41733 .46968 L
.41673 .4687 L
.41572 .46721 L
.41567 .46709 L
F
0 .73 1 r
.41572 .45983 m
.41666 .46067 L
.41733 .46127 L
.41827 .46228 L
.41894 .46296 L
.41975 .46388 L
.42054 .46475 L
.42117 .46549 L
.42215 .46644 L
.42256 .46709 L
.42375 .46847 L
.42401 .4687 L
.42526 .4703 L
.42536 .47041 L
.42659 .47191 L
.42696 .47202 L
.42791 .47351 L
.42857 .47422 L
.42966 .47512 L
.43017 .47629 L
.43057 .47672 L
.43178 .47829 L
.43181 .47833 L
.43309 .47993 L
.43338 .48016 L
.43438 .48154 L
.43499 .48226 L
.43583 .48314 L
.43659 .48434 L
.43692 .48475 L
.43819 .48636 L
.4382 .48637 L
.43945 .48796 L
.4398 .48832 L
.44107 .48957 L
.44141 .49043 L
.44203 .49117 L
.44301 .49252 L
.44318 .49278 L
.44447 .49438 L
.44462 .49448 L
.44572 .49599 L
.44622 .49657 L
.44713 .49759 L
.44783 .4987 L
.44821 .4992 L
.44943 .50078 L
.44945 .5008 L
.45069 .50241 L
.45104 .50274 L
.45228 .50401 L
.45265 .50489 L
.45324 .50562 L
.45425 .50702 L
.45438 .50722 L
.45564 .50883 L
.45586 .50893 L
.45687 .51043 L
.45746 .51109 L
.45828 .51204 L
.45907 .51327 L
.45934 .51364 L
.46057 .51525 L
.46067 .51538 L
.46178 .51686 L
.46228 .5173 L
.46336 .51846 L
.46388 .51953 L
.4643 .52007 L
.46547 .52167 L
.46549 .5217 L
.46667 .52328 L
.46709 .52346 L
.46789 .52488 L
.4687 .52581 L
.46926 .52649 L
.4703 .52805 L
.47033 .52809 L
.47152 .5297 L
.47191 .5302 L
.47272 .5313 L
.47351 .5321 L
.47422 .53291 L
.47512 .53446 L
.47516 .53451 L
.47632 .53612 L
.47672 .53665 L
.4775 .53772 L
.47833 .53883 L
.47869 .53933 L
.47988 .54093 L
.47993 .54101 L
.48101 .54254 L
.48154 .54325 L
.48216 .54414 L
.48314 .5455 L
.48332 .54575 L
.4844 .54735 L
.48475 .54784 L
.48545 .54896 L
.48636 .55031 L
.4865 .55057 L
.48636 .55174 L
.48517 .55057 L
.48475 .55017 L
.48365 .54896 L
.48314 .54843 L
.48221 .54735 L
.48154 .54662 L
.4808 .54575 L
.47993 .54499 L
.47942 .54414 L
.47833 .54289 L
.4779 .54254 L
.47673 .54093 L
.47672 .54092 L
.47542 .53933 L
.47512 .53897 L
.47411 .53772 L
.47351 .53712 L
.4722 .53612 L
.47191 .53504 L
.47141 .53451 L
.4703 .53301 L
.47022 .53291 L
.46894 .5313 L
.4687 .53116 L
.46766 .5297 L
.46709 .52905 L
.46614 .52809 L
.46549 .52696 L
.4651 .52649 L
.46388 .52491 L
.46386 .52488 L
.4626 .52328 L
.46228 .52298 L
.46085 .52167 L
.46067 .52086 L
.45998 .52007 L
.45907 .51876 L
.45885 .51846 L
.45758 .51686 L
.45746 .51681 L
.45634 .51525 L
.45586 .51472 L
.45486 .51364 L
.45425 .51258 L
.45382 .51204 L
.45265 .51049 L
.45262 .51043 L
.45137 .50883 L
.45104 .50855 L
.44968 .50722 L
.44943 .50639 L
.44879 .50562 L
.44783 .50425 L
.44767 .50401 L
.44642 .50241 L
.44622 .50237 L
.4452 .5008 L
.44462 .50019 L
.44373 .4992 L
.44301 .498 L
.4427 .49759 L
.4415 .49599 L
.44141 .49587 L
.44029 .49438 L
.4398 .494 L
.43861 .49278 L
.4382 .49174 L
.43774 .49117 L
.4366 .48957 L
.43659 .48955 L
.4354 .48796 L
.43499 .48743 L
.43419 .48636 L
.43338 .48547 L
.43277 .48475 L
.43178 .4832 L
.43174 .48314 L
.43055 .48154 L
.43017 .48105 L
.42935 .47993 L
.42857 .4792 L
.42779 .47833 L
.42696 .47678 L
.42692 .47672 L
.42576 .47512 L
.42536 .47459 L
.42459 .47351 L
.42375 .47241 L
.42339 .47191 L
.42221 .4703 L
.42215 .47022 L
.42108 .4687 L
.42054 .46797 L
.41994 .46709 L
.41894 .46571 L
.41879 .46549 L
.41771 .46388 L
.41733 .46334 L
.41669 .46228 L
.41572 .46078 L
.41567 .46067 L
F
0 .17 1 r
.41572 .47326 m
.4159 .47351 L
.41733 .47498 L
.41743 .47512 L
.41733 .4758 L
.41692 .47512 L
.41572 .47356 L
.4157 .47351 L
F
.01 .85 1 r
.41733 .41851 m
.41756 .41894 L
.41894 .42024 L
.41915 .42054 L
.42054 .42209 L
.42061 .42215 L
.42192 .42375 L
.42215 .42401 L
.42321 .42536 L
.42375 .42601 L
.42448 .42696 L
.42536 .42779 L
.42608 .42857 L
.4269 .43017 L
.42696 .43025 L
.42799 .43178 L
.42857 .43267 L
.42898 .43338 L
.42857 .43492 L
.42696 .43372 L
.42671 .43338 L
.42536 .43198 L
.42506 .43178 L
.42383 .43017 L
.42375 .43008 L
.42254 .42857 L
.42215 .42808 L
.42129 .42696 L
.42054 .426 L
.42006 .42536 L
.41894 .42388 L
.41884 .42375 L
.41777 .42215 L
.41733 .4215 L
.41672 .42054 L
.41578 .41894 L
F
1 .96 .289 r
.41733 .41231 m
.41791 .41251 L
.41894 .41338 L
.4199 .41412 L
.42054 .41489 L
.42179 .41572 L
.42215 .41669 L
.42289 .41733 L
.42375 .41865 L
.42408 .41894 L
.42536 .42036 L
.4255 .42054 L
.42677 .42215 L
.42696 .42239 L
.42813 .42375 L
.42857 .42448 L
.42924 .42536 L
.43017 .42658 L
.43034 .42696 L
.43177 .42857 L
.43178 .42857 L
.43319 .43017 L
.43338 .43056 L
.43425 .43178 L
.43499 .43271 L
.43532 .43338 L
.43659 .43499 L
.43659 .43499 L
.43767 .43659 L
.4382 .43765 L
.43846 .4382 L
.4382 .43854 L
.43659 .4388 L
.4351 .4382 L
.43499 .43807 L
.43338 .43663 L
.43336 .43659 L
.43198 .43499 L
.43178 .43473 L
.43029 .43338 L
.43017 .43271 L
.42931 .43178 L
.42857 .43063 L
.42821 .43017 L
.42696 .4286 L
.42695 .42857 L
.42571 .42696 L
.42536 .42668 L
.42425 .42536 L
.42375 .4245 L
.42322 .42375 L
.42215 .4223 L
.42207 .42215 L
.42086 .42054 L
.42054 .42011 L
.41921 .41894 L
.41894 .41791 L
.4184 .41733 L
.4174 .41572 L
.41733 .41562 L
.41643 .41412 L
.41579 .41251 L
F
.007 .84 1 r
.41733 .41887 m
.41736 .41894 L
.41894 .42041 L
.41902 .42054 L
.42048 .42215 L
.42054 .42221 L
.42183 .42375 L
.42215 .42412 L
.42313 .42536 L
.42375 .42611 L
.4244 .42696 L
.42536 .42794 L
.42594 .42857 L
.42681 .43017 L
.42696 .43038 L
.42789 .43178 L
.42857 .43287 L
.42885 .43338 L
.42857 .43467 L
.42696 .43354 L
.42685 .43338 L
.42536 .43185 L
.42525 .43178 L
.42392 .43017 L
.42375 .42997 L
.42263 .42857 L
.42215 .42798 L
.42137 .42696 L
.42054 .42589 L
.42014 .42536 L
.41896 .42375 L
.41894 .42372 L
.41788 .42215 L
.41733 .42133 L
.41684 .42054 L
.41603 .41894 L
F
1 .95 .212 r
.41733 .41274 m
.41894 .41373 L
.41953 .41412 L
.42054 .41517 L
.42158 .41572 L
.42215 .4169 L
.42272 .41733 L
.42375 .41877 L
.42398 .41894 L
.42536 .42052 L
.42538 .42054 L
.42667 .42215 L
.42696 .42251 L
.42806 .42375 L
.42857 .42458 L
.42916 .42536 L
.43017 .42667 L
.4303 .42696 L
.43169 .42857 L
.43178 .42861 L
.43315 .43017 L
.43338 .43065 L
.43417 .43178 L
.43499 .43284 L
.43525 .43338 L
.43647 .43499 L
.43659 .43518 L
.4375 .43659 L
.43796 .4382 L
.43659 .43856 L
.43552 .4382 L
.43499 .43772 L
.43351 .43659 L
.43338 .43645 L
.43209 .43499 L
.43178 .43461 L
.43033 .43338 L
.43017 .43261 L
.42938 .43178 L
.42857 .43055 L
.42826 .43017 L
.427 .42857 L
.42696 .42852 L
.42578 .42696 L
.42536 .42662 L
.42431 .42536 L
.42375 .42441 L
.4233 .42375 L
.42215 .42218 L
.42213 .42215 L
.42095 .42054 L
.42054 .41998 L
.41931 .41894 L
.41894 .41773 L
.41856 .41733 L
.4176 .41572 L
.41733 .41527 L
.41674 .41412 L
F
.733 .99 1 r
.41733 .44882 m
.41795 .44943 L
.41894 .45035 L
.4196 .45104 L
.42054 .45196 L
.4212 .45265 L
.42215 .45364 L
.42277 .45425 L
.42375 .45566 L
.42431 .45586 L
.42536 .45698 L
.42582 .45746 L
.42696 .45871 L
.4273 .45907 L
.42857 .4605 L
.42873 .46067 L
.43013 .46228 L
.43017 .46234 L
.43149 .46388 L
.43178 .46432 L
.43267 .46549 L
.43338 .46646 L
.43374 .46709 L
.43499 .46807 L
.43552 .4687 L
.43659 .47007 L
.43679 .4703 L
.43805 .47191 L
.4382 .47213 L
.4392 .47351 L
.4398 .47431 L
.44022 .47512 L
.44141 .47615 L
.44187 .47672 L
.44301 .47823 L
.4431 .47833 L
.4443 .47993 L
.44462 .48037 L
.44535 .48154 L
.44622 .48263 L
.44687 .48314 L
.44783 .48442 L
.4481 .48475 L
.44931 .48636 L
.44943 .48653 L
.45042 .48796 L
.45104 .48875 L
.45132 .48957 L
.45265 .49064 L
.45307 .49117 L
.45425 .49274 L
.45428 .49278 L
.45545 .49438 L
.45586 .49492 L
.45646 .49599 L
.45746 .49718 L
.45802 .49759 L
.45907 .49898 L
.45924 .4992 L
.46045 .5008 L
.46067 .50111 L
.46153 .50241 L
.46228 .50333 L
.46296 .50401 L
.46388 .50523 L
.46419 .50562 L
.46541 .50722 L
.46549 .50734 L
.46656 .50883 L
.46709 .50951 L
.46756 .51043 L
.4687 .51173 L
.46913 .51204 L
.4703 .5136 L
.47034 .51364 L
.47156 .51525 L
.47191 .51573 L
.47263 .51686 L
.47351 .51791 L
.47406 .51846 L
.47512 .52003 L
.47528 .52007 L
.47654 .52167 L
.47672 .52197 L
.47766 .52328 L
.47833 .52412 L
.47868 .52488 L
.47993 .52627 L
.48021 .52649 L
.48149 .52809 L
.48154 .52823 L
.48267 .5297 L
.48314 .53035 L
.48374 .5313 L
.48475 .5325 L
.48514 .53291 L
.48636 .53451 L
.48636 .53451 L
.48766 .53612 L
.48796 .53659 L
.48876 .53772 L
.48957 .53873 L
.48981 .53933 L
.49117 .54083 L
.49129 .54093 L
.49265 .54254 L
.49278 .54285 L
.49377 .54414 L
.49438 .54497 L
.49485 .54575 L
.49599 .5471 L
.49622 .54735 L
.49744 .54896 L
.49759 .54911 L
.49878 .55057 L
.4992 .55122 L
.49986 .55217 L
.5008 .55335 L
.50095 .55378 L
.50237 .55538 L
.50241 .55541 L
.50379 .55699 L
.50401 .55746 L
.50487 .55859 L
.50562 .55961 L
.50596 .5602 L
.50722 .56172 L
.50729 .5618 L
.50851 .56341 L
.50883 .5637 L
.50988 .56501 L
.51043 .56585 L
.51096 .56662 L
.51204 .568 L
.51211 .56822 L
.51343 .56983 L
.51364 .56995 L
.51492 .57143 L
.51525 .57209 L
.51595 .57304 L
.51686 .57427 L
.51706 .57464 L
.51834 .57625 L
.51846 .5764 L
.51956 .57785 L
.52007 .57832 L
.52095 .57946 L
.52167 .58054 L
.52202 .58106 L
.52325 .58267 L
.52328 .58271 L
.52445 .58428 L
.52488 .58451 L
.52598 .58588 L
.52649 .58681 L
.52697 .58749 L
.52809 .58904 L
.52812 .58909 L
.52932 .5907 L
.5297 .59118 L
.53108 .5923 L
.5313 .59309 L
.5319 .59391 L
.53291 .59541 L
.53297 .59551 L
.53415 .59712 L
.53451 .59759 L
.53534 .59872 L
.53612 .59938 L
.53679 .60033 L
.53772 .60189 L
.53775 .60193 L
.53889 .60354 L
.53933 .60413 L
.54004 .60514 L
.54093 .60636 L
.5415 .60675 L
.54233 .60835 L
.54254 .60864 L
.54339 .60996 L
.54414 .61106 L
.54445 .61156 L
.54539 .61317 L
.54414 .61361 L
.54368 .61317 L
.54254 .61219 L
.54206 .61156 L
.54093 .61038 L
.54023 .60996 L
.53933 .60858 L
.53907 .60835 L
.53772 .60678 L
.53769 .60675 L
.53629 .60514 L
.53612 .60495 L
.53493 .60354 L
.53451 .60301 L
.5335 .60193 L
.53291 .60101 L
.53235 .60033 L
.5313 .59898 L
.53118 .59872 L
.5297 .59717 L
.52965 .59712 L
.52825 .59551 L
.52809 .59514 L
.5271 .59391 L
.52649 .59303 L
.526 .5923 L
.52488 .59089 L
.52451 .5907 L
.52328 .58911 L
.52326 .58909 L
.52197 .58749 L
.52167 .587 L
.52085 .58588 L
.52007 .58482 L
.51983 .58428 L
.51846 .58296 L
.51823 .58267 L
.51694 .58106 L
.51686 .58087 L
.51577 .57946 L
.51525 .57871 L
.51471 .57785 L
.51364 .57651 L
.51324 .57625 L
.51204 .57467 L
.51201 .57464 L
.51074 .57304 L
.51043 .57255 L
.50964 .57143 L
.50883 .57036 L
.50863 .56983 L
.50722 .56844 L
.50705 .56822 L
.50575 .56662 L
.50562 .56634 L
.50461 .56501 L
.50401 .56418 L
.50354 .56341 L
.50241 .56202 L
.5021 .5618 L
.50081 .5602 L
.5008 .5601 L
.4996 .55859 L
.4992 .55797 L
.4985 .55699 L
.49759 .55582 L
.49746 .55538 L
.49599 .55379 L
.49594 .55378 L
.49459 .55217 L
.49438 .55174 L
.49348 .55057 L
.49278 .5496 L
.49241 .54896 L
.49117 .54749 L
.491 .54735 L
.4896 .54575 L
.48957 .54549 L
.48847 .54414 L
.48796 .54337 L
.48738 .54254 L
.48636 .54124 L
.48629 .54093 L
.48484 .53933 L
.48475 .53923 L
.48345 .53772 L
.48314 .53713 L
.48237 .53612 L
.48154 .535 L
.48127 .53451 L
.47993 .53293 L
.47991 .53291 L
.47841 .5313 L
.47833 .53089 L
.47735 .5297 L
.47672 .52876 L
.47627 .52809 L
.47512 .52664 L
.47509 .52649 L
.47376 .52488 L
.47351 .52464 L
.47232 .52328 L
.47191 .52252 L
.47126 .52167 L
.4703 .52038 L
.47013 .52007 L
.46883 .51846 L
.4687 .51838 L
.46724 .51686 L
.46709 .51629 L
.46625 .51525 L
.46549 .51413 L
.46516 .51364 L
.4639 .51204 L
.46388 .51202 L
.46268 .51043 L
.46228 .51006 L
.46121 .50883 L
.46067 .50789 L
.46017 .50722 L
.45907 .50574 L
.459 .50562 L
.45776 .50401 L
.45746 .50386 L
.45612 .50241 L
.45586 .50167 L
.45517 .5008 L
.45425 .49948 L
.45406 .4992 L
.45283 .49759 L
.45265 .49736 L
.45161 .49599 L
.45104 .49547 L
.45014 .49438 L
.44943 .49324 L
.4491 .49278 L
.44791 .49117 L
.44783 .49108 L
.4467 .48957 L
.44622 .48931 L
.44505 .48796 L
.44462 .48701 L
.44412 .48636 L
.44301 .48479 L
.44299 .48475 L
.44178 .48314 L
.44141 .48267 L
.44056 .48154 L
.4398 .4808 L
.43911 .47993 L
.4382 .47852 L
.43806 .47833 L
.43688 .47672 L
.43659 .47636 L
.43567 .47512 L
.43499 .47425 L
.43407 .47351 L
.43338 .47224 L
.43313 .47191 L
.43198 .4703 L
.43178 .47004 L
.43079 .4687 L
.43017 .46791 L
.42957 .46709 L
.42857 .46598 L
.4282 .46549 L
.42712 .46388 L
.42696 .46368 L
.42594 .46228 L
.42536 .46152 L
.42474 .46067 L
.42375 .45938 L
.42326 .45907 L
.42233 .45746 L
.42215 .45723 L
.42118 .45586 L
.42054 .45502 L
.42002 .45425 L
.41894 .4528 L
.41883 .45265 L
.41776 .45104 L
.41733 .45044 L
.41678 .44943 L
F
0 .72 1 r
.41733 .46142 m
.41814 .46228 L
.41894 .46308 L
.41965 .46388 L
.42054 .46485 L
.4211 .46549 L
.42215 .46653 L
.4225 .46709 L
.42375 .46855 L
.42393 .4687 L
.42521 .4703 L
.42536 .47047 L
.42654 .47191 L
.42696 .47204 L
.42787 .47351 L
.42857 .47427 L
.42962 .47512 L
.43017 .47633 L
.43054 .47672 L
.43178 .47833 L
.43178 .47833 L
.43306 .47993 L
.43338 .48019 L
.43435 .48154 L
.43499 .4823 L
.4358 .48314 L
.43659 .48438 L
.43689 .48475 L
.43816 .48636 L
.4382 .4864 L
.43942 .48796 L
.4398 .48835 L
.44106 .48957 L
.44141 .49046 L
.442 .49117 L
.44301 .49255 L
.44316 .49278 L
.44445 .49438 L
.44462 .49449 L
.4457 .49599 L
.44622 .49659 L
.44712 .49759 L
.44783 .49872 L
.44819 .4992 L
.44943 .5008 L
.44944 .5008 L
.45067 .50241 L
.45104 .50276 L
.45226 .50401 L
.45265 .50491 L
.45322 .50562 L
.45425 .50704 L
.45437 .50722 L
.45562 .50883 L
.45586 .50894 L
.45685 .51043 L
.45746 .51112 L
.45826 .51204 L
.45907 .51329 L
.45933 .51364 L
.46055 .51525 L
.46067 .51541 L
.46177 .51686 L
.46228 .51732 L
.46334 .51846 L
.46388 .51956 L
.46428 .52007 L
.46545 .52167 L
.46549 .52172 L
.46665 .52328 L
.46709 .52347 L
.46787 .52488 L
.4687 .52584 L
.46923 .52649 L
.4703 .52808 L
.47031 .52809 L
.4715 .5297 L
.47191 .53023 L
.4727 .5313 L
.47351 .53214 L
.47418 .53291 L
.47512 .53451 L
.47512 .53451 L
.47628 .53612 L
.47672 .5367 L
.47746 .53772 L
.47833 .53887 L
.47866 .53933 L
.47983 .54093 L
.47993 .54107 L
.48096 .54254 L
.48154 .54332 L
.48211 .54414 L
.48314 .54558 L
.48326 .54575 L
.48433 .54735 L
.48475 .54796 L
.48536 .54896 L
.48636 .55051 L
.48639 .55057 L
.48636 .55147 L
.48536 .55057 L
.48475 .55003 L
.48376 .54896 L
.48314 .54833 L
.48229 .54735 L
.48154 .54653 L
.48087 .54575 L
.47993 .5449 L
.47948 .54414 L
.47833 .54282 L
.47798 .54254 L
.47678 .54093 L
.47672 .54086 L
.47547 .53933 L
.47512 .53892 L
.47415 .53772 L
.47351 .53708 L
.47224 .53612 L
.47191 .53499 L
.47145 .53451 L
.4703 .53297 L
.47025 .53291 L
.46897 .5313 L
.4687 .53113 L
.46769 .5297 L
.46709 .52902 L
.46617 .52809 L
.46549 .52692 L
.46513 .52649 L
.46388 .52488 L
.46388 .52488 L
.46262 .52328 L
.46228 .52295 L
.46087 .52167 L
.46067 .52083 L
.46001 .52007 L
.45907 .51873 L
.45887 .51846 L
.45761 .51686 L
.45746 .5168 L
.45636 .51525 L
.45586 .5147 L
.45488 .51364 L
.45425 .51256 L
.45384 .51204 L
.45265 .51046 L
.45263 .51043 L
.45139 .50883 L
.45104 .50854 L
.44969 .50722 L
.44943 .50637 L
.44881 .50562 L
.44783 .50423 L
.44768 .50401 L
.44644 .50241 L
.44622 .50236 L
.44522 .5008 L
.44462 .50017 L
.44375 .4992 L
.44301 .49798 L
.44272 .49759 L
.44152 .49599 L
.44141 .49585 L
.44031 .49438 L
.4398 .49398 L
.43862 .49278 L
.4382 .49171 L
.43776 .49117 L
.43662 .48957 L
.43659 .48953 L
.43542 .48796 L
.43499 .4874 L
.43421 .48636 L
.43338 .48544 L
.4328 .48475 L
.43178 .48317 L
.43176 .48314 L
.43058 .48154 L
.43017 .48101 L
.42938 .47993 L
.42857 .47915 L
.42783 .47833 L
.42696 .47673 L
.42696 .47672 L
.4258 .47512 L
.42536 .47454 L
.42462 .47351 L
.42375 .47236 L
.42343 .47191 L
.42225 .4703 L
.42215 .47016 L
.42113 .4687 L
.42054 .4679 L
.41999 .46709 L
.41894 .46563 L
.41884 .46549 L
.4178 .46388 L
.41733 .4632 L
.4168 .46228 L
F
1 .37 0 r
.41733 .46816 m
.41779 .4687 L
.41894 .46992 L
.41925 .4703 L
.42054 .47177 L
.42066 .47191 L
.422 .47351 L
.42215 .47368 L
.42331 .47512 L
.42375 .47563 L
.42463 .47672 L
.42536 .47759 L
.42594 .47833 L
.42696 .4793 L
.42725 .47993 L
.42854 .48154 L
.42857 .48157 L
.4298 .48314 L
.43017 .4836 L
.43107 .48475 L
.43178 .48562 L
.43234 .48636 L
.43338 .48753 L
.43391 .48796 L
.43487 .48957 L
.43499 .48971 L
.4361 .49117 L
.43659 .49178 L
.43735 .49278 L
.4382 .49344 L
.4386 .49438 L
.4398 .4959 L
.43989 .49599 L
.44106 .49759 L
.44141 .49802 L
.44228 .4992 L
.44301 .50013 L
.44352 .5008 L
.44462 .50212 L
.44492 .50241 L
.44595 .50401 L
.44622 .50436 L
.44715 .50562 L
.44783 .5065 L
.44836 .50722 L
.44943 .50863 L
.44958 .50883 L
.45075 .51043 L
.45104 .51081 L
.4519 .51204 L
.45265 .51302 L
.45308 .51364 L
.45425 .51522 L
.45427 .51525 L
.45534 .51686 L
.45586 .51755 L
.45642 .51846 L
.45746 .51996 L
.45752 .52007 L
.45746 .52083 L
.45674 .52007 L
.45586 .51922 L
.45521 .51846 L
.45425 .51742 L
.45378 .51686 L
.45265 .51555 L
.4524 .51525 L
.45105 .51364 L
.45104 .51364 L
.44975 .51204 L
.44943 .51168 L
.44844 .51043 L
.44783 .5097 L
.44714 .50883 L
.44622 .50772 L
.44583 .50722 L
.44462 .50575 L
.44447 .50562 L
.44328 .50401 L
.44301 .50369 L
.44202 .50241 L
.44141 .50165 L
.44075 .5008 L
.4398 .49983 L
.43948 .4992 L
.43822 .49759 L
.4382 .49756 L
.43699 .49599 L
.43659 .49549 L
.43575 .49438 L
.43499 .49342 L
.4345 .49278 L
.43338 .4914 L
.43315 .49117 L
.43204 .48957 L
.43178 .48924 L
.43082 .48796 L
.43017 .48713 L
.4296 .48636 L
.42857 .48521 L
.42836 .48475 L
.42716 .48314 L
.42696 .48289 L
.42597 .48154 L
.42536 .48074 L
.42477 .47993 L
.42375 .4786 L
.42356 .47833 L
.42239 .47672 L
.42215 .47641 L
.42124 .47512 L
.42054 .47419 L
.42007 .47351 L
.41894 .47197 L
.41889 .47191 L
.41785 .4703 L
.41733 .46959 L
.41681 .4687 L
F
1 .36 0 r
.41733 .46826 m
.41771 .4687 L
.41894 .46999 L
.4192 .4703 L
.42054 .47182 L
.42061 .47191 L
.42195 .47351 L
.42215 .47373 L
.42327 .47512 L
.42375 .47567 L
.42459 .47672 L
.42536 .47763 L
.42591 .47833 L
.42696 .47936 L
.42722 .47993 L
.42851 .48154 L
.42857 .4816 L
.42977 .48314 L
.43017 .48363 L
.43104 .48475 L
.43178 .48566 L
.43232 .48636 L
.43338 .48757 L
.43386 .48796 L
.43484 .48957 L
.43499 .48974 L
.43608 .49117 L
.43659 .49181 L
.43733 .49278 L
.4382 .49348 L
.43858 .49438 L
.4398 .49594 L
.43985 .49599 L
.44104 .49759 L
.44141 .49805 L
.44226 .4992 L
.44301 .50016 L
.4435 .5008 L
.44462 .50217 L
.44487 .50241 L
.44593 .50401 L
.44622 .50439 L
.44712 .50562 L
.44783 .50653 L
.44833 .50722 L
.44943 .50867 L
.44955 .50883 L
.45071 .51043 L
.45104 .51086 L
.45187 .51204 L
.45265 .51306 L
.45305 .51364 L
.45423 .51525 L
.45425 .51527 L
.45528 .51686 L
.45586 .51764 L
.45635 .51846 L
.45586 .51913 L
.45528 .51846 L
.45425 .51736 L
.45383 .51686 L
.45265 .5155 L
.45244 .51525 L
.45109 .51364 L
.45104 .51359 L
.44979 .51204 L
.44943 .51163 L
.44848 .51043 L
.44783 .50967 L
.44717 .50883 L
.44622 .50768 L
.44586 .50722 L
.44462 .5057 L
.44452 .50562 L
.44331 .50401 L
.44301 .50365 L
.44205 .50241 L
.44141 .50162 L
.44078 .5008 L
.4398 .49979 L
.4395 .4992 L
.43825 .49759 L
.4382 .49753 L
.43702 .49599 L
.43659 .49546 L
.43578 .49438 L
.43499 .49339 L
.43453 .49278 L
.43338 .49136 L
.43319 .49117 L
.43206 .48957 L
.43178 .48921 L
.43085 .48796 L
.43017 .4871 L
.42962 .48636 L
.42857 .48516 L
.42839 .48475 L
.42719 .48314 L
.42696 .48286 L
.426 .48154 L
.42536 .48071 L
.4248 .47993 L
.42375 .47856 L
.42359 .47833 L
.42242 .47672 L
.42215 .47636 L
.42128 .47512 L
.42054 .47414 L
.42011 .47351 L
.41894 .47191 L
.41894 .47191 L
.41791 .4703 L
.41733 .46948 L
.41689 .4687 L
F
0 .71 1 r
.41733 .46161 m
.41799 .46228 L
.41894 .4632 L
.41955 .46388 L
.42054 .46494 L
.42102 .46549 L
.42215 .46663 L
.42243 .46709 L
.42375 .46863 L
.42384 .4687 L
.42515 .4703 L
.42536 .47054 L
.42649 .47191 L
.42696 .47207 L
.42782 .47351 L
.42857 .47432 L
.42957 .47512 L
.43017 .47638 L
.43049 .47672 L
.43174 .47833 L
.43178 .47837 L
.43303 .47993 L
.43338 .48022 L
.43431 .48154 L
.43499 .48233 L
.43577 .48314 L
.43659 .48441 L
.43687 .48475 L
.43813 .48636 L
.4382 .48643 L
.4394 .48796 L
.4398 .48838 L
.44104 .48957 L
.44141 .49049 L
.44198 .49117 L
.44301 .49258 L
.44315 .49278 L
.44443 .49438 L
.44462 .49451 L
.44568 .49599 L
.44622 .49662 L
.4471 .49759 L
.44783 .49875 L
.44817 .4992 L
.44942 .5008 L
.44943 .50082 L
.45065 .50241 L
.45104 .50278 L
.45225 .50401 L
.45265 .50494 L
.4532 .50562 L
.45425 .50706 L
.45435 .50722 L
.4556 .50883 L
.45586 .50895 L
.45683 .51043 L
.45746 .51114 L
.45824 .51204 L
.45907 .51332 L
.45931 .51364 L
.46053 .51525 L
.46067 .51543 L
.46175 .51686 L
.46228 .51734 L
.46332 .51846 L
.46388 .51959 L
.46426 .52007 L
.46542 .52167 L
.46549 .52175 L
.46663 .52328 L
.46709 .52349 L
.46784 .52488 L
.4687 .52588 L
.46921 .52649 L
.47028 .52809 L
.4703 .52812 L
.47147 .5297 L
.47191 .53027 L
.47267 .5313 L
.47351 .53219 L
.47414 .53291 L
.47509 .53451 L
.47512 .53455 L
.47625 .53612 L
.47672 .53674 L
.47743 .53772 L
.47833 .53892 L
.47862 .53933 L
.47979 .54093 L
.47993 .54113 L
.48091 .54254 L
.48154 .54339 L
.48205 .54414 L
.48314 .54566 L
.48321 .54575 L
.48424 .54735 L
.48475 .54809 L
.48525 .54896 L
.48475 .54987 L
.48389 .54896 L
.48314 .54822 L
.48238 .54735 L
.48154 .54644 L
.48094 .54575 L
.47993 .54481 L
.47954 .54414 L
.47833 .54275 L
.47807 .54254 L
.47684 .54093 L
.47672 .5408 L
.47551 .53933 L
.47512 .53887 L
.47419 .53772 L
.47351 .53703 L
.47228 .53612 L
.47191 .53495 L
.47149 .53451 L
.4703 .53293 L
.47028 .53291 L
.469 .5313 L
.4687 .53111 L
.46772 .5297 L
.46709 .52898 L
.4662 .52809 L
.46549 .52689 L
.46515 .52649 L
.46391 .52488 L
.46388 .52485 L
.46265 .52328 L
.46228 .52293 L
.46088 .52167 L
.46067 .5208 L
.46003 .52007 L
.45907 .5187 L
.45889 .51846 L
.45763 .51686 L
.45746 .51679 L
.45638 .51525 L
.45586 .51467 L
.4549 .51364 L
.45425 .51253 L
.45386 .51204 L
.45265 .51044 L
.45264 .51043 L
.45141 .50883 L
.45104 .50852 L
.4497 .50722 L
.44943 .50634 L
.44883 .50562 L
.44783 .5042 L
.4477 .50401 L
.44646 .50241 L
.44622 .50235 L
.44523 .5008 L
.44462 .50015 L
.44377 .4992 L
.44301 .49795 L
.44274 .49759 L
.44154 .49599 L
.44141 .49582 L
.44033 .49438 L
.4398 .49396 L
.43864 .49278 L
.4382 .49168 L
.43778 .49117 L
.43664 .48957 L
.43659 .4895 L
.43544 .48796 L
.43499 .48737 L
.43423 .48636 L
.43338 .4854 L
.43282 .48475 L
.43179 .48314 L
.43178 .48313 L
.43061 .48154 L
.43017 .48098 L
.42941 .47993 L
.42857 .4791 L
.42787 .47833 L
.42699 .47672 L
.42696 .47669 L
.42583 .47512 L
.42536 .4745 L
.42465 .47351 L
.42375 .47231 L
.42347 .47191 L
.4223 .4703 L
.42215 .4701 L
.42118 .4687 L
.42054 .46783 L
.42005 .46709 L
.41894 .46554 L
.4189 .46549 L
.4179 .46388 L
.41733 .46304 L
.41693 .46228 L
F
1 .91 .061 r
.41733 .45497 m
.41828 .45586 L
.41894 .45646 L
.4199 .45746 L
.42054 .45812 L
.4214 .45907 L
.42215 .45966 L
.42286 .46067 L
.42375 .46167 L
.42459 .46228 L
.42536 .46358 L
.42565 .46388 L
.42696 .46546 L
.42698 .46549 L
.42834 .46709 L
.42857 .46733 L
.42968 .4687 L
.43017 .46932 L
.43109 .4703 L
.43178 .47134 L
.43222 .47191 L
.43338 .47334 L
.43345 .47351 L
.43489 .47512 L
.43499 .47524 L
.43635 .47672 L
.43659 .47728 L
.43743 .47833 L
.4382 .47936 L
.43856 .47993 L
.4398 .48141 L
.44001 .48154 L
.44127 .48314 L
.44141 .48333 L
.44257 .48475 L
.44301 .48542 L
.44368 .48636 L
.44462 .48754 L
.44476 .48796 L
.44622 .48955 L
.4463 .48957 L
.44765 .49117 L
.44783 .49155 L
.44877 .49278 L
.44943 .49367 L
.44985 .49438 L
.45104 .49578 L
.4513 .49599 L
.45254 .49759 L
.45265 .49773 L
.45382 .4992 L
.45425 .49984 L
.45492 .5008 L
.45586 .50197 L
.45598 .50241 L
.45746 .50399 L
.45751 .50401 L
.45885 .50562 L
.45907 .50604 L
.45996 .50722 L
.46067 .50817 L
.46104 .50883 L
.46228 .51027 L
.46246 .51043 L
.46386 .51204 L
.46388 .51227 L
.46499 .51364 L
.46549 .51439 L
.46607 .51525 L
.46709 .51651 L
.46717 .51686 L
.46863 .51846 L
.4687 .51853 L
.47001 .52007 L
.4703 .52062 L
.47109 .52167 L
.47191 .52275 L
.47219 .52328 L
.47351 .52483 L
.47356 .52488 L
.47505 .52649 L
.47512 .52686 L
.4761 .52809 L
.47672 .529 L
.47719 .5297 L
.47833 .53112 L
.47836 .5313 L
.47971 .53291 L
.47993 .53312 L
.48113 .53451 L
.48154 .53525 L
.48218 .53612 L
.48314 .5374 L
.48331 .53772 L
.48462 .53933 L
.48475 .53939 L
.48621 .54093 L
.48636 .5415 L
.48717 .54254 L
.48796 .54368 L
.48826 .54414 L
.48952 .54575 L
.48957 .54581 L
.49073 .54735 L
.49117 .54775 L
.49218 .54896 L
.49278 .54997 L
.49321 .55057 L
.49438 .55215 L
.49439 .55217 L
.4956 .55378 L
.49599 .55396 L
.49725 .55538 L
.49759 .55627 L
.49814 .55699 L
.4992 .55852 L
.49925 .55859 L
.50044 .5602 L
.5008 .56068 L
.50163 .5618 L
.50241 .56259 L
.50304 .56341 L
.50401 .56496 L
.50405 .56501 L
.50521 .56662 L
.50562 .56716 L
.50638 .56822 L
.50722 .56935 L
.50787 .56983 L
.50874 .57143 L
.50883 .57155 L
.50986 .57304 L
.51043 .57383 L
.51099 .57464 L
.51204 .57612 L
.51212 .57625 L
.51315 .57785 L
.51364 .57859 L
.51414 .57946 L
.51364 .58062 L
.51247 .57946 L
.51204 .57905 L
.51093 .57785 L
.51043 .57734 L
.50947 .57625 L
.50883 .57582 L
.50804 .57464 L
.50722 .57375 L
.50619 .57304 L
.50562 .57181 L
.50524 .57143 L
.50401 .56989 L
.50396 .56983 L
.50262 .56822 L
.50241 .56802 L
.5013 .56662 L
.5008 .56602 L
.49983 .56501 L
.4992 .56399 L
.49872 .56341 L
.49759 .56198 L
.4975 .5618 L
.49612 .5602 L
.49599 .56005 L
.49457 .55859 L
.49438 .558 L
.49353 .55699 L
.49278 .55592 L
.4924 .55538 L
.49117 .55388 L
.49103 .55378 L
.48977 .55217 L
.48957 .55192 L
.4884 .55057 L
.48796 .54982 L
.4873 .54896 L
.48636 .54772 L
.48618 .54735 L
.48476 .54575 L
.48475 .54574 L
.48331 .54414 L
.48314 .54368 L
.48223 .54254 L
.48154 .54156 L
.48113 .54093 L
.47993 .53948 L
.47977 .53933 L
.47853 .53772 L
.47833 .53748 L
.47717 .53612 L
.47672 .53537 L
.47608 .53451 L
.47512 .53326 L
.47496 .53291 L
.47357 .5313 L
.47351 .53125 L
.47211 .5297 L
.47191 .52917 L
.47105 .52809 L
.4703 .52704 L
.46995 .52649 L
.4687 .52496 L
.46862 .52488 L
.46739 .52328 L
.46709 .52294 L
.46602 .52167 L
.46549 .52082 L
.46494 .52007 L
.46388 .5187 L
.46379 .51846 L
.46245 .51686 L
.46228 .5167 L
.46096 .51525 L
.46067 .51459 L
.45993 .51364 L
.45907 .51245 L
.45881 .51204 L
.45752 .51043 L
.45746 .51041 L
.4563 .50883 L
.45586 .50836 L
.4549 .50722 L
.45425 .5062 L
.45383 .50562 L
.45265 .50407 L
.45262 .50401 L
.45138 .50241 L
.45104 .50213 L
.44984 .5008 L
.44943 .49995 L
.44885 .4992 L
.44783 .49779 L
.44771 .49759 L
.44647 .49599 L
.44622 .49591 L
.44525 .49438 L
.44462 .49371 L
.44385 .49278 L
.44301 .49151 L
.44278 .49117 L
.44157 .48957 L
.44141 .48936 L
.44036 .48796 L
.4398 .4875 L
.43882 .48636 L
.4382 .48522 L
.43784 .48475 L
.43668 .48314 L
.43659 .48303 L
.43549 .48154 L
.43499 .4809 L
.43427 .47993 L
.43338 .47892 L
.43291 .47833 L
.43183 .47672 L
.43178 .47666 L
.43064 .47512 L
.43017 .47451 L
.42945 .47351 L
.42857 .47261 L
.42801 .47191 L
.42702 .4703 L
.42696 .47022 L
.42586 .4687 L
.42536 .46803 L
.42469 .46709 L
.42375 .46585 L
.4232 .46549 L
.42233 .46388 L
.42215 .46364 L
.42121 .46228 L
.42054 .46136 L
.42008 .46067 L
.41894 .45907 L
.41893 .45907 L
.41793 .45746 L
.41733 .45655 L
.41697 .45586 L
F
.005 .83 1 r
.41733 .41913 m
.41888 .42054 L
.41894 .42059 L
.42036 .42215 L
.42054 .42234 L
.42173 .42375 L
.42215 .42423 L
.42305 .42536 L
.42375 .42622 L
.42432 .42696 L
.42536 .4281 L
.42579 .42857 L
.42672 .43017 L
.42696 .43052 L
.42778 .43178 L
.42857 .4331 L
.42871 .43338 L
.42857 .43436 L
.42701 .43338 L
.42696 .43334 L
.42541 .43178 L
.42536 .43172 L
.42402 .43017 L
.42375 .42986 L
.42271 .42857 L
.42215 .42787 L
.42145 .42696 L
.42054 .42578 L
.42022 .42536 L
.41906 .42375 L
.41894 .42358 L
.41799 .42215 L
.41733 .42114 L
.41698 .42054 L
F
1 .35 0 r
.41733 .46838 m
.41761 .4687 L
.41894 .47006 L
.41914 .4703 L
.42054 .47188 L
.42056 .47191 L
.4219 .47351 L
.42215 .47378 L
.42323 .47512 L
.42375 .47572 L
.42456 .47672 L
.42536 .47767 L
.42588 .47833 L
.42696 .47942 L
.42719 .47993 L
.42848 .48154 L
.42857 .48164 L
.42974 .48314 L
.43017 .48366 L
.43101 .48475 L
.43178 .48569 L
.43229 .48636 L
.43338 .48761 L
.43381 .48796 L
.43482 .48957 L
.43499 .48977 L
.43605 .49117 L
.43659 .49184 L
.4373 .49278 L
.4382 .49353 L
.43856 .49438 L
.4398 .49598 L
.43981 .49599 L
.44101 .49759 L
.44141 .49809 L
.44224 .4992 L
.44301 .50019 L
.44347 .5008 L
.44462 .50221 L
.44482 .50241 L
.4459 .50401 L
.44622 .50442 L
.44709 .50562 L
.44783 .50657 L
.4483 .50722 L
.44943 .50871 L
.44952 .50883 L
.45068 .51043 L
.45104 .5109 L
.45183 .51204 L
.45265 .51311 L
.45301 .51364 L
.45418 .51525 L
.45425 .51534 L
.45522 .51686 L
.45586 .51773 L
.45628 .51846 L
.45586 .51903 L
.45536 .51846 L
.45425 .51729 L
.45389 .51686 L
.45265 .51544 L
.45249 .51525 L
.45114 .51364 L
.45104 .51354 L
.44983 .51204 L
.44943 .51159 L
.44851 .51043 L
.44783 .50963 L
.4472 .50883 L
.44622 .50765 L
.44589 .50722 L
.44462 .50566 L
.44457 .50562 L
.44334 .50401 L
.44301 .50362 L
.44207 .50241 L
.44141 .50159 L
.4408 .5008 L
.4398 .49974 L
.43953 .4992 L
.43827 .49759 L
.4382 .4975 L
.43704 .49599 L
.43659 .49543 L
.4358 .49438 L
.43499 .49336 L
.43455 .49278 L
.43338 .49132 L
.43323 .49117 L
.43209 .48957 L
.43178 .48917 L
.43087 .48796 L
.43017 .48707 L
.42964 .48636 L
.42857 .48511 L
.42841 .48475 L
.42722 .48314 L
.42696 .48282 L
.42603 .48154 L
.42536 .48067 L
.42483 .47993 L
.42375 .47852 L
.42361 .47833 L
.42246 .47672 L
.42215 .47632 L
.42132 .47512 L
.42054 .47409 L
.42015 .47351 L
.41899 .47191 L
.41894 .47183 L
.41799 .4703 L
.41733 .46936 L
.41699 .4687 L
F
0 .7 1 r
.41733 .46183 m
.41781 .46228 L
.41894 .46332 L
.41945 .46388 L
.42054 .46504 L
.42094 .46549 L
.42215 .46674 L
.42236 .46709 L
.42375 .4687 L
.42375 .4687 L
.4251 .4703 L
.42536 .4706 L
.42644 .47191 L
.42696 .4721 L
.42778 .47351 L
.42857 .47437 L
.42952 .47512 L
.43017 .47643 L
.43045 .47672 L
.4317 .47833 L
.43178 .47842 L
.43299 .47993 L
.43338 .48025 L
.43428 .48154 L
.43499 .48237 L
.43574 .48314 L
.43659 .48444 L
.43684 .48475 L
.43811 .48636 L
.4382 .48647 L
.43937 .48796 L
.4398 .4884 L
.44102 .48957 L
.44141 .49052 L
.44196 .49117 L
.44301 .49261 L
.44313 .49278 L
.4444 .49438 L
.44462 .49452 L
.44565 .49599 L
.44622 .49664 L
.44708 .49759 L
.44783 .49877 L
.44815 .4992 L
.4494 .5008 L
.44943 .50085 L
.45063 .50241 L
.45104 .5028 L
.45223 .50401 L
.45265 .50496 L
.45318 .50562 L
.45425 .50709 L
.45434 .50722 L
.45558 .50883 L
.45586 .50897 L
.45681 .51043 L
.45746 .51116 L
.45822 .51204 L
.45907 .51334 L
.45929 .51364 L
.46051 .51525 L
.46067 .51546 L
.46173 .51686 L
.46228 .51737 L
.4633 .51846 L
.46388 .51961 L
.46424 .52007 L
.4654 .52167 L
.46549 .52178 L
.46661 .52328 L
.46709 .52351 L
.46782 .52488 L
.4687 .52591 L
.46918 .52649 L
.47026 .52809 L
.4703 .52815 L
.47144 .5297 L
.47191 .5303 L
.47265 .5313 L
.47351 .53223 L
.4741 .53291 L
.47506 .53451 L
.47512 .53459 L
.47622 .53612 L
.47672 .53679 L
.4774 .53772 L
.47833 .53897 L
.47858 .53933 L
.47974 .54093 L
.47993 .54119 L
.48086 .54254 L
.48154 .54346 L
.482 .54414 L
.48314 .54575 L
.48315 .54575 L
.48415 .54735 L
.48475 .54825 L
.48513 .54896 L
.48475 .5497 L
.48403 .54896 L
.48314 .5481 L
.48248 .54735 L
.48154 .54635 L
.48102 .54575 L
.47993 .54471 L
.47961 .54414 L
.47833 .54267 L
.47816 .54254 L
.47689 .54093 L
.47672 .54074 L
.47556 .53933 L
.47512 .53881 L
.47423 .53772 L
.47351 .53698 L
.47233 .53612 L
.47191 .5349 L
.47153 .53451 L
.47032 .53291 L
.4703 .53289 L
.46904 .5313 L
.4687 .53109 L
.46775 .5297 L
.46709 .52895 L
.46623 .52809 L
.46549 .52686 L
.46518 .52649 L
.46393 .52488 L
.46388 .52482 L
.46267 .52328 L
.46228 .52291 L
.4609 .52167 L
.46067 .52077 L
.46005 .52007 L
.45907 .51868 L
.45891 .51846 L
.45765 .51686 L
.45746 .51678 L
.4564 .51525 L
.45586 .51465 L
.45492 .51364 L
.45425 .51251 L
.45388 .51204 L
.45266 .51043 L
.45265 .51042 L
.45143 .50883 L
.45104 .5085 L
.44972 .50722 L
.44943 .50632 L
.44884 .50562 L
.44783 .50418 L
.44771 .50401 L
.44648 .50241 L
.44622 .50235 L
.44525 .5008 L
.44462 .50012 L
.44379 .4992 L
.44301 .49793 L
.44276 .49759 L
.44156 .49599 L
.44141 .4958 L
.44034 .49438 L
.4398 .49394 L
.43866 .49278 L
.4382 .49166 L
.4378 .49117 L
.43667 .48957 L
.43659 .48947 L
.43547 .48796 L
.43499 .48734 L
.43425 .48636 L
.43338 .48537 L
.43285 .48475 L
.43181 .48314 L
.43178 .4831 L
.43063 .48154 L
.43017 .48094 L
.42943 .47993 L
.42857 .47906 L
.42792 .47833 L
.42702 .47672 L
.42696 .47665 L
.42586 .47512 L
.42536 .47445 L
.42469 .47351 L
.42375 .47226 L
.4235 .47191 L
.42235 .4703 L
.42215 .47004 L
.42123 .4687 L
.42054 .46775 L
.4201 .46709 L
.41897 .46549 L
.41894 .46544 L
.418 .46388 L
.41733 .46283 L
.41708 .46228 L
F
0 .16 1 r
.41733 .47509 m
.41735 .47512 L
.41733 .47563 L
.41709 .47512 L
F
1 .94 .156 r
.41733 .4134 m
.41894 .41402 L
.4191 .41412 L
.42054 .41541 L
.42128 .41572 L
.42215 .41707 L
.42254 .41733 L
.42375 .41886 L
.42387 .41894 L
.42526 .42054 L
.42536 .42065 L
.42657 .42215 L
.42696 .42263 L
.42799 .42375 L
.42857 .42469 L
.42909 .42536 L
.43017 .42675 L
.43027 .42696 L
.43162 .42857 L
.43178 .42866 L
.4331 .43017 L
.43338 .43074 L
.43409 .43178 L
.43499 .43298 L
.43518 .43338 L
.43635 .43499 L
.43659 .43538 L
.43733 .43659 L
.43734 .4382 L
.43659 .43831 L
.4361 .4382 L
.43499 .43747 L
.43368 .43659 L
.43338 .43628 L
.43221 .43499 L
.43178 .43449 L
.43038 .43338 L
.43017 .43251 L
.42946 .43178 L
.42857 .43048 L
.42832 .43017 L
.42707 .42857 L
.42696 .42843 L
.42584 .42696 L
.42536 .42655 L
.42437 .42536 L
.42375 .4243 L
.42337 .42375 L
.42221 .42215 L
.42215 .42206 L
.42105 .42054 L
.42054 .41984 L
.41943 .41894 L
.41894 .41754 L
.41874 .41733 L
.41782 .41572 L
.41733 .41476 L
.4171 .41412 L
F
1 .34 0 r
.41733 .46852 m
.41749 .4687 L
.41894 .47014 L
.41908 .4703 L
.41894 .47175 L
.41807 .4703 L
.41733 .4692 L
.41712 .4687 L
F
.004 .82 1 r
.41733 .41942 m
.41869 .42054 L
.41894 .42076 L
.42023 .42215 L
.42054 .42247 L
.42163 .42375 L
.42215 .42434 L
.42296 .42536 L
.42375 .42632 L
.42424 .42696 L
.42536 .42828 L
.42562 .42857 L
.42662 .43017 L
.42696 .43067 L
.42766 .43178 L
.42696 .43317 L
.42554 .43178 L
.42536 .43159 L
.42412 .43017 L
.42375 .42975 L
.4228 .42857 L
.42215 .42776 L
.42153 .42696 L
.42054 .42567 L
.42031 .42536 L
.41916 .42375 L
.41894 .42343 L
.4181 .42215 L
.41733 .42091 L
.41713 .42054 L
F
1 .78 .001 r
.41733 .42562 m
.41827 .42696 L
.41894 .42785 L
.41933 .42857 L
.41894 .42889 L
.41863 .42857 L
.41733 .42717 L
.41716 .42696 L
F
.003 .81 1 r
.41733 .41984 m
.41845 .42054 L
.41894 .42094 L
.42009 .42215 L
.42054 .4226 L
.42152 .42375 L
.42215 .42446 L
.42287 .42536 L
.42375 .42643 L
.42416 .42696 L
.42536 .42848 L
.42544 .42857 L
.42651 .43017 L
.42696 .43083 L
.42754 .43178 L
.42696 .43299 L
.42569 .43178 L
.42536 .43145 L
.42423 .43017 L
.42375 .42963 L
.4229 .42857 L
.42215 .42765 L
.42162 .42696 L
.42054 .42555 L
.4204 .42536 L
.41927 .42375 L
.41894 .42327 L
.41823 .42215 L
.41733 .42059 L
.41731 .42054 L
F
0 .69 1 r
.41733 .46221 m
.41747 .46228 L
.41894 .46346 L
.41933 .46388 L
.42054 .46514 L
.42085 .46549 L
.42215 .46686 L
.42229 .46709 L
.42368 .4687 L
.42375 .46878 L
.42504 .4703 L
.42536 .47066 L
.42639 .47191 L
.42696 .47214 L
.42773 .47351 L
.42857 .47443 L
.42946 .47512 L
.43017 .47647 L
.43041 .47672 L
.43167 .47833 L
.43178 .47846 L
.43296 .47993 L
.43338 .48028 L
.43425 .48154 L
.43499 .48241 L
.43571 .48314 L
.43659 .48448 L
.43681 .48475 L
.43808 .48636 L
.4382 .4865 L
.43935 .48796 L
.4398 .48843 L
.441 .48957 L
.44141 .49055 L
.44194 .49117 L
.44301 .49263 L
.44311 .49278 L
.44438 .49438 L
.44462 .49454 L
.44563 .49599 L
.44622 .49667 L
.44706 .49759 L
.44783 .4988 L
.44813 .4992 L
.44938 .5008 L
.44943 .50087 L
.45061 .50241 L
.45104 .50282 L
.45222 .50401 L
.45265 .50499 L
.45316 .50562 L
.45425 .50711 L
.45432 .50722 L
.45556 .50883 L
.45586 .50898 L
.4568 .51043 L
.45746 .51119 L
.4582 .51204 L
.45907 .51337 L
.45927 .51364 L
.46049 .51525 L
.46067 .51549 L
.46171 .51686 L
.46228 .51739 L
.46328 .51846 L
.46388 .51964 L
.46422 .52007 L
.46538 .52167 L
.46549 .52181 L
.46658 .52328 L
.46709 .52353 L
.4678 .52488 L
.4687 .52594 L
.46915 .52649 L
.47023 .52809 L
.4703 .52818 L
.47142 .5297 L
.47191 .53034 L
.47262 .5313 L
.47351 .53228 L
.47406 .53291 L
.47502 .53451 L
.47512 .53464 L
.47618 .53612 L
.47672 .53683 L
.47736 .53772 L
.47833 .53902 L
.47855 .53933 L
.4797 .54093 L
.47993 .54125 L
.48081 .54254 L
.48154 .54354 L
.48195 .54414 L
.48307 .54575 L
.48314 .54586 L
.48404 .54735 L
.48475 .54846 L
.48499 .54896 L
.48475 .54948 L
.48421 .54896 L
.48314 .54798 L
.48258 .54735 L
.48154 .54626 L
.4811 .54575 L
.47993 .54461 L
.47967 .54414 L
.47833 .54259 L
.47826 .54254 L
.47694 .54093 L
.47672 .54068 L
.47561 .53933 L
.47512 .53876 L
.47427 .53772 L
.47351 .53694 L
.47238 .53612 L
.47191 .53486 L
.47157 .53451 L
.47035 .53291 L
.4703 .53285 L
.46907 .5313 L
.4687 .53107 L
.46778 .5297 L
.46709 .52891 L
.46626 .52809 L
.46549 .52682 L
.4652 .52649 L
.46396 .52488 L
.46388 .52479 L
.4627 .52328 L
.46228 .52288 L
.46092 .52167 L
.46067 .52074 L
.46007 .52007 L
.45907 .51865 L
.45893 .51846 L
.45767 .51686 L
.45746 .51677 L
.45642 .51525 L
.45586 .51463 L
.45494 .51364 L
.45425 .51248 L
.4539 .51204 L
.45268 .51043 L
.45265 .51039 L
.45145 .50883 L
.45104 .50848 L
.44973 .50722 L
.44943 .5063 L
.44886 .50562 L
.44783 .50415 L
.44773 .50401 L
.4465 .50241 L
.44622 .50234 L
.44527 .5008 L
.44462 .5001 L
.44381 .4992 L
.44301 .4979 L
.44278 .49759 L
.44158 .49599 L
.44141 .49577 L
.44036 .49438 L
.4398 .49392 L
.43869 .49278 L
.4382 .49163 L
.43783 .49117 L
.43669 .48957 L
.43659 .48944 L
.43549 .48796 L
.43499 .48731 L
.43427 .48636 L
.43338 .48533 L
.43288 .48475 L
.43184 .48314 L
.43178 .48307 L
.43066 .48154 L
.43017 .48091 L
.42946 .47993 L
.42857 .47901 L
.42796 .47833 L
.42705 .47672 L
.42696 .4766 L
.4259 .47512 L
.42536 .4744 L
.42473 .47351 L
.42375 .47221 L
.42354 .47191 L
.4224 .4703 L
.42215 .46997 L
.42129 .4687 L
.42054 .46767 L
.42016 .46709 L
.41906 .46549 L
.41894 .46531 L
.41813 .46388 L
.41733 .46242 L
.41731 .46228 L
F
.733 .99 1 r
.41894 .44149 m
.42054 .44253 L
.42127 .44301 L
.42215 .44378 L
.42273 .44462 L
.42375 .44572 L
.42407 .44622 L
.42536 .44779 L
.4254 .44783 L
.42661 .44943 L
.42696 .44987 L
.42783 .45104 L
.42857 .45196 L
.42907 .45265 L
.43017 .4539 L
.43046 .45425 L
.43151 .45586 L
.43178 .45619 L
.43268 .45746 L
.43338 .45839 L
.43384 .45907 L
.43499 .46064 L
.43501 .46067 L
.43584 .46228 L
.43499 .46241 L
.43482 .46228 L
.43338 .46114 L
.43286 .46067 L
.43178 .45974 L
.43114 .45907 L
.43017 .45783 L
.42955 .45746 L
.42857 .4564 L
.42805 .45586 L
.42696 .4546 L
.42664 .45425 L
.42536 .4527 L
.42531 .45265 L
.42399 .45104 L
.42375 .45078 L
.42277 .44943 L
.42215 .44864 L
.42147 .44783 L
.42054 .44643 L
.42033 .44622 L
.41926 .44462 L
.41894 .44402 L
.41785 .44301 L
F
1 .93 .114 r
.41894 .41437 m
.42054 .41562 L
.42083 .41572 L
.42215 .41722 L
.42234 .41733 L
.42375 .41893 L
.42376 .41894 L
.42514 .42054 L
.42536 .42077 L
.42647 .42215 L
.42696 .42275 L
.42791 .42375 L
.42857 .42479 L
.42901 .42536 L
.43017 .42683 L
.43023 .42696 L
.43154 .42857 L
.43178 .42871 L
.43305 .43017 L
.43338 .43085 L
.43401 .43178 L
.43499 .43313 L
.4351 .43338 L
.43623 .43499 L
.43659 .4356 L
.43715 .43659 L
.43659 .43804 L
.43499 .43729 L
.43386 .43659 L
.43338 .43614 L
.43232 .43499 L
.43178 .43438 L
.43045 .43338 L
.43017 .43242 L
.42953 .43178 L
.42857 .4304 L
.42839 .43017 L
.42714 .42857 L
.42696 .42835 L
.42591 .42696 L
.42536 .42647 L
.42444 .42536 L
.42375 .4242 L
.42344 .42375 L
.4223 .42215 L
.42215 .42194 L
.42115 .42054 L
.42054 .41969 L
.41957 .41894 L
.41894 .41733 L
.41894 .41733 L
.41806 .41572 L
F
1 .33 0 r
.41894 .47022 m
.41901 .4703 L
.41894 .47166 L
.41817 .4703 L
F
1 .9 .045 r
.41894 .45686 m
.41955 .45746 L
.42054 .45842 L
.42115 .45907 L
.42215 .45991 L
.42265 .46067 L
.42375 .46188 L
.42434 .46228 L
.42536 .46375 L
.42549 .46388 L
.42686 .46549 L
.42696 .46561 L
.42822 .46709 L
.42857 .46745 L
.42957 .4687 L
.43017 .46945 L
.431 .4703 L
.43178 .47144 L
.43215 .47191 L
.43338 .47341 L
.43342 .47351 L
.43481 .47512 L
.43499 .47533 L
.4363 .47672 L
.43659 .47737 L
.43737 .47833 L
.4382 .47943 L
.43851 .47993 L
.4398 .48145 L
.43995 .48154 L
.44121 .48314 L
.44141 .4834 L
.44253 .48475 L
.44301 .48549 L
.44364 .48636 L
.44462 .48759 L
.44474 .48796 L
.44622 .48956 L
.44626 .48957 L
.44763 .49117 L
.44783 .4916 L
.44874 .49278 L
.44943 .49372 L
.44983 .49438 L
.45104 .49581 L
.45127 .49599 L
.45251 .49759 L
.45265 .49777 L
.4538 .4992 L
.45425 .49988 L
.45489 .5008 L
.45586 .50201 L
.45597 .50241 L
.45746 .50401 L
.45748 .50401 L
.45884 .50562 L
.45907 .50607 L
.45994 .50722 L
.46067 .5082 L
.46102 .50883 L
.46228 .51029 L
.46244 .51043 L
.46386 .51204 L
.46388 .5123 L
.46497 .51364 L
.46549 .51442 L
.46606 .51525 L
.46709 .51654 L
.46716 .51686 L
.46861 .51846 L
.4687 .51855 L
.47 .52007 L
.4703 .52065 L
.47107 .52167 L
.47191 .52278 L
.47217 .52328 L
.47351 .52485 L
.47354 .52488 L
.47505 .52649 L
.47512 .52689 L
.47608 .52809 L
.47672 .52903 L
.47717 .5297 L
.47833 .53114 L
.47836 .5313 L
.47969 .53291 L
.47993 .53314 L
.48111 .53451 L
.48154 .53528 L
.48216 .53612 L
.48314 .53743 L
.4833 .53772 L
.48459 .53933 L
.48475 .53941 L
.48619 .54093 L
.48636 .54153 L
.48715 .54254 L
.48796 .54371 L
.48824 .54414 L
.48949 .54575 L
.48957 .54585 L
.4907 .54735 L
.49117 .54778 L
.49215 .54896 L
.49278 .55001 L
.49317 .55057 L
.49436 .55217 L
.49438 .55219 L
.49556 .55378 L
.49599 .55399 L
.49722 .55538 L
.49759 .55633 L
.49809 .55699 L
.4992 .55858 L
.4992 .55859 L
.50038 .5602 L
.5008 .56075 L
.50158 .5618 L
.50241 .56269 L
.50297 .56341 L
.50398 .56501 L
.50401 .56506 L
.50513 .56662 L
.50562 .56726 L
.5063 .56822 L
.50722 .56947 L
.50772 .56983 L
.50863 .57143 L
.50883 .57171 L
.50973 .57304 L
.51043 .57402 L
.51084 .57464 L
.51194 .57625 L
.51204 .57639 L
.51288 .57785 L
.51364 .57917 L
.51376 .57946 L
.51364 .57994 L
.51299 .57946 L
.51204 .57868 L
.51124 .57785 L
.51043 .57706 L
.5097 .57625 L
.50883 .57561 L
.50823 .57464 L
.50722 .57356 L
.50642 .57304 L
.50562 .57164 L
.50539 .57143 L
.50407 .56983 L
.50401 .56976 L
.50273 .56822 L
.50241 .56792 L
.5014 .56662 L
.5008 .5659 L
.49991 .56501 L
.4992 .56389 L
.49879 .56341 L
.49759 .56191 L
.49753 .5618 L
.49619 .5602 L
.49599 .55997 L
.4946 .55859 L
.49438 .55792 L
.49358 .55699 L
.49278 .55586 L
.49244 .55538 L
.49117 .55384 L
.49108 .55378 L
.48982 .55217 L
.48957 .55186 L
.48843 .55057 L
.48796 .54977 L
.48734 .54896 L
.48636 .54768 L
.4862 .54735 L
.48479 .54575 L
.48475 .5457 L
.48332 .54414 L
.48314 .54364 L
.48226 .54254 L
.48154 .54152 L
.48115 .54093 L
.47993 .53945 L
.47979 .53933 L
.47856 .53772 L
.47833 .53745 L
.47719 .53612 L
.47672 .53534 L
.47611 .53451 L
.47512 .53323 L
.47498 .53291 L
.47359 .5313 L
.47351 .53122 L
.47212 .5297 L
.47191 .52914 L
.47107 .52809 L
.4703 .52702 L
.46997 .52649 L
.4687 .52494 L
.46864 .52488 L
.46741 .52328 L
.46709 .52292 L
.46603 .52167 L
.46549 .52079 L
.46496 .52007 L
.46388 .51868 L
.46379 .51846 L
.46247 .51686 L
.46228 .51668 L
.46097 .51525 L
.46067 .51456 L
.45994 .51364 L
.45907 .51242 L
.45883 .51204 L
.45754 .51043 L
.45746 .5104 L
.45632 .50883 L
.45586 .50833 L
.45492 .50722 L
.45425 .50617 L
.45385 .50562 L
.45265 .50405 L
.45263 .50401 L
.4514 .50241 L
.45104 .50211 L
.44986 .5008 L
.44943 .49993 L
.44887 .4992 L
.44783 .49776 L
.44773 .49759 L
.44649 .49599 L
.44622 .4959 L
.44527 .49438 L
.44462 .49368 L
.44387 .49278 L
.44301 .49147 L
.4428 .49117 L
.44159 .48957 L
.44141 .48933 L
.44039 .48796 L
.4398 .48747 L
.43885 .48636 L
.4382 .48518 L
.43787 .48475 L
.43672 .48314 L
.43659 .48299 L
.43552 .48154 L
.43499 .48085 L
.43431 .47993 L
.43338 .47886 L
.43296 .47833 L
.43187 .47672 L
.43178 .4766 L
.43069 .47512 L
.43017 .47444 L
.4295 .47351 L
.42857 .47251 L
.42809 .47191 L
.42709 .4703 L
.42696 .47014 L
.42594 .4687 L
.42536 .46793 L
.42476 .46709 L
.42375 .46573 L
.42337 .46549 L
.42244 .46388 L
.42215 .46349 L
.42134 .46228 L
.42054 .46117 L
.42022 .46067 L
.41914 .45907 L
.41894 .45876 L
.41824 .45746 L
F
0 .68 1 r
.41894 .46362 m
.41919 .46388 L
.42054 .46525 L
.42076 .46549 L
.42215 .46698 L
.42221 .46709 L
.42361 .4687 L
.42375 .46885 L
.42498 .4703 L
.42536 .47073 L
.42634 .47191 L
.42696 .47218 L
.42769 .47351 L
.42857 .47448 L
.4294 .47512 L
.43017 .47652 L
.43037 .47672 L
.43163 .47833 L
.43178 .4785 L
.43293 .47993 L
.43338 .48031 L
.43422 .48154 L
.43499 .48244 L
.43568 .48314 L
.43659 .48451 L
.43679 .48475 L
.43805 .48636 L
.4382 .48653 L
.43932 .48796 L
.4398 .48846 L
.44098 .48957 L
.44141 .49058 L
.44191 .49117 L
.44301 .49266 L
.44309 .49278 L
.44436 .49438 L
.44462 .49455 L
.44561 .49599 L
.44622 .4967 L
.44704 .49759 L
.44783 .49882 L
.44811 .4992 L
.44936 .5008 L
.44943 .5009 L
.45059 .50241 L
.45104 .50284 L
.4522 .50401 L
.45265 .50501 L
.45314 .50562 L
.45425 .50713 L
.45431 .50722 L
.45554 .50883 L
.45586 .50899 L
.45678 .51043 L
.45746 .51121 L
.45818 .51204 L
.45907 .51339 L
.45925 .51364 L
.46047 .51525 L
.46067 .51551 L
.46169 .51686 L
.46228 .51741 L
.46326 .51846 L
.46388 .51967 L
.46419 .52007 L
.46536 .52167 L
.46549 .52184 L
.46656 .52328 L
.46709 .52356 L
.46778 .52488 L
.4687 .52598 L
.46912 .52649 L
.47021 .52809 L
.4703 .52822 L
.47139 .5297 L
.47191 .53037 L
.47259 .5313 L
.47351 .53233 L
.47401 .53291 L
.47499 .53451 L
.47512 .53468 L
.47615 .53612 L
.47672 .53688 L
.47732 .53772 L
.47833 .53907 L
.47851 .53933 L
.47965 .54093 L
.47993 .54132 L
.48076 .54254 L
.48154 .54362 L
.48189 .54414 L
.48298 .54575 L
.48314 .54598 L
.48393 .54735 L
.48475 .5488 L
.4848 .54896 L
.48475 .54912 L
.48449 .54896 L
.48314 .54784 L
.48269 .54735 L
.48154 .54616 L
.48118 .54575 L
.47993 .54449 L
.47974 .54414 L
.47835 .54254 L
.47833 .54252 L
.477 .54093 L
.47672 .54062 L
.47565 .53933 L
.47512 .5387 L
.47432 .53772 L
.47351 .53688 L
.47243 .53612 L
.47191 .53481 L
.47162 .53451 L
.47039 .53291 L
.4703 .53281 L
.4691 .5313 L
.4687 .53104 L
.46781 .5297 L
.46709 .52888 L
.46629 .52809 L
.46549 .52679 L
.46523 .52649 L
.46398 .52488 L
.46388 .52476 L
.46272 .52328 L
.46228 .52286 L
.46093 .52167 L
.46067 .52072 L
.4601 .52007 L
.45907 .51862 L
.45895 .51846 L
.45769 .51686 L
.45746 .51675 L
.45644 .51525 L
.45586 .5146 L
.45495 .51364 L
.45425 .51246 L
.45392 .51204 L
.4527 .51043 L
.45265 .51037 L
.45147 .50883 L
.45104 .50846 L
.44975 .50722 L
.44943 .50627 L
.44888 .50562 L
.44783 .50413 L
.44775 .50401 L
.44652 .50241 L
.44622 .50233 L
.44529 .5008 L
.44462 .50008 L
.44383 .4992 L
.44301 .49787 L
.4428 .49759 L
.4416 .49599 L
.44141 .49574 L
.44038 .49438 L
.4398 .49389 L
.43871 .49278 L
.4382 .4916 L
.43785 .49117 L
.43671 .48957 L
.43659 .48942 L
.43551 .48796 L
.43499 .48729 L
.4343 .48636 L
.43338 .4853 L
.43291 .48475 L
.43186 .48314 L
.43178 .48303 L
.43068 .48154 L
.43017 .48087 L
.42949 .47993 L
.42857 .47895 L
.42801 .47833 L
.42709 .47672 L
.42696 .47656 L
.42593 .47512 L
.42536 .47435 L
.42476 .47351 L
.42375 .47215 L
.42358 .47191 L
.42245 .4703 L
.42215 .4699 L
.42134 .4687 L
.42054 .46758 L
.42022 .46709 L
.41916 .46549 L
.41894 .46516 L
.41828 .46388 L
F
1 .92 .084 r
.41894 .41478 m
.42037 .41572 L
.42054 .41585 L
.42211 .41733 L
.42215 .41736 L
.42361 .41894 L
.42375 .419 L
.42501 .42054 L
.42536 .42088 L
.42636 .42215 L
.42696 .42286 L
.42783 .42375 L
.42857 .42489 L
.42894 .42536 L
.43017 .42691 L
.43019 .42696 L
.43146 .42857 L
.43178 .42877 L
.433 .43017 L
.43338 .43096 L
.43393 .43178 L
.43499 .4333 L
.43503 .43338 L
.4361 .43499 L
.43659 .43586 L
.43696 .43659 L
.43659 .43772 L
.43499 .43715 L
.43405 .43659 L
.43338 .436 L
.43244 .43499 L
.43178 .43427 L
.43053 .43338 L
.43017 .43233 L
.42961 .43178 L
.42857 .43031 L
.42845 .43017 L
.42721 .42857 L
.42696 .42826 L
.42598 .42696 L
.42536 .42639 L
.42451 .42536 L
.42375 .42408 L
.42352 .42375 L
.42238 .42215 L
.42215 .42182 L
.42125 .42054 L
.42054 .41953 L
.41975 .41894 L
.41912 .41733 L
.41894 .41702 L
.41834 .41572 L
F
.002 .8 1 r
.41894 .42114 m
.41994 .42215 L
.42054 .42275 L
.42141 .42375 L
.42215 .42458 L
.42277 .42536 L
.42375 .42655 L
.42407 .42696 L
.4253 .42857 L
.42536 .42865 L
.42639 .43017 L
.42696 .43102 L
.4274 .43178 L
.42696 .43278 L
.42585 .43178 L
.42536 .43131 L
.42435 .43017 L
.42375 .42951 L
.42299 .42857 L
.42215 .42753 L
.42171 .42696 L
.42054 .42543 L
.42049 .42536 L
.41939 .42375 L
.41894 .42308 L
.41837 .42215 L
F
0 .67 1 r
.41894 .46381 m
.41901 .46388 L
.42054 .46536 L
.42065 .46549 L
.42213 .46709 L
.42215 .4671 L
.42354 .4687 L
.42375 .46893 L
.42492 .4703 L
.42536 .47079 L
.42629 .47191 L
.42696 .47223 L
.42764 .47351 L
.42857 .47454 L
.42934 .47512 L
.43017 .47657 L
.43032 .47672 L
.43159 .47833 L
.43178 .47855 L
.43289 .47993 L
.43338 .48034 L
.43419 .48154 L
.43499 .48248 L
.43564 .48314 L
.43659 .48455 L
.43676 .48475 L
.43803 .48636 L
.4382 .48657 L
.43929 .48796 L
.4398 .48849 L
.44096 .48957 L
.44141 .49061 L
.44189 .49117 L
.44301 .49269 L
.44308 .49278 L
.44434 .49438 L
.44462 .49457 L
.44559 .49599 L
.44622 .49672 L
.44702 .49759 L
.44783 .49885 L
.44809 .4992 L
.44934 .5008 L
.44943 .50093 L
.45057 .50241 L
.45104 .50286 L
.45218 .50401 L
.45265 .50504 L
.45312 .50562 L
.45425 .50716 L
.45429 .50722 L
.45553 .50883 L
.45586 .509 L
.45676 .51043 L
.45746 .51124 L
.45816 .51204 L
.45907 .51342 L
.45923 .51364 L
.46045 .51525 L
.46067 .51554 L
.46167 .51686 L
.46228 .51744 L
.46324 .51846 L
.46388 .5197 L
.46417 .52007 L
.46534 .52167 L
.46549 .52186 L
.46654 .52328 L
.46709 .52358 L
.46776 .52488 L
.4687 .52601 L
.46909 .52649 L
.47018 .52809 L
.4703 .52825 L
.47137 .5297 L
.47191 .53041 L
.47256 .5313 L
.47351 .53238 L
.47397 .53291 L
.47496 .53451 L
.47512 .53473 L
.47611 .53612 L
.47672 .53693 L
.47729 .53772 L
.47833 .53913 L
.47847 .53933 L
.4796 .54093 L
.47993 .54139 L
.4807 .54254 L
.48154 .5437 L
.48183 .54414 L
.48289 .54575 L
.48314 .54613 L
.48378 .54735 L
.48314 .54769 L
.48282 .54735 L
.48154 .54605 L
.48127 .54575 L
.47993 .54436 L
.47981 .54414 L
.47842 .54254 L
.47833 .54244 L
.47706 .54093 L
.47672 .54056 L
.4757 .53933 L
.47512 .53865 L
.47436 .53772 L
.47351 .53683 L
.47249 .53612 L
.47191 .53476 L
.47166 .53451 L
.47042 .53291 L
.4703 .53277 L
.46913 .5313 L
.4687 .53102 L
.46784 .5297 L
.46709 .52884 L
.46632 .52809 L
.46549 .52676 L
.46526 .52649 L
.46401 .52488 L
.46388 .52472 L
.46275 .52328 L
.46228 .52283 L
.46095 .52167 L
.46067 .52069 L
.46012 .52007 L
.45907 .5186 L
.45897 .51846 L
.45771 .51686 L
.45746 .51674 L
.45646 .51525 L
.45586 .51458 L
.45498 .51364 L
.45425 .51243 L
.45394 .51204 L
.45272 .51043 L
.45265 .51034 L
.45149 .50883 L
.45104 .50844 L
.44976 .50722 L
.44943 .50625 L
.4489 .50562 L
.44783 .50411 L
.44776 .50401 L
.44654 .50241 L
.44622 .50232 L
.44531 .5008 L
.44462 .50005 L
.44385 .4992 L
.44301 .49785 L
.44282 .49759 L
.44162 .49599 L
.44141 .49572 L
.4404 .49438 L
.4398 .49387 L
.43873 .49278 L
.4382 .49157 L
.43787 .49117 L
.43673 .48957 L
.43659 .48939 L
.43553 .48796 L
.43499 .48726 L
.43432 .48636 L
.43338 .48526 L
.43295 .48475 L
.43189 .48314 L
.43178 .483 L
.43071 .48154 L
.43017 .48084 L
.42951 .47993 L
.42857 .4789 L
.42806 .47833 L
.42712 .47672 L
.42696 .47651 L
.42597 .47512 L
.42536 .4743 L
.4248 .47351 L
.42375 .4721 L
.42362 .47191 L
.4225 .4703 L
.42215 .46982 L
.4214 .4687 L
.42054 .46749 L
.42029 .46709 L
.41927 .46549 L
.41894 .46497 L
.41851 .46388 L
F
.001 .79 1 r
.41894 .42137 m
.41975 .42215 L
.42054 .4229 L
.42128 .42375 L
.42215 .42471 L
.42267 .42536 L
.42375 .42667 L
.42397 .42696 L
.42518 .42857 L
.42536 .4288 L
.42627 .43017 L
.42696 .43125 L
.42724 .43178 L
.42696 .43252 L
.42605 .43178 L
.42536 .43115 L
.42447 .43017 L
.42375 .42937 L
.4231 .42857 L
.42215 .42741 L
.42181 .42696 L
.4206 .42536 L
.42054 .42528 L
.41953 .42375 L
.41894 .42286 L
.41854 .42215 L
F
1 .91 .061 r
.41894 .4153 m
.41992 .41572 L
.42054 .41612 L
.42189 .41733 L
.42215 .41756 L
.42346 .41894 L
.42375 .41907 L
.42489 .42054 L
.42536 .421 L
.42626 .42215 L
.42696 .42298 L
.42774 .42375 L
.42857 .42499 L
.42886 .42536 L
.43014 .42696 L
.43017 .427 L
.43138 .42857 L
.43178 .42883 L
.43293 .43017 L
.43338 .43107 L
.43384 .43178 L
.43494 .43338 L
.43499 .43346 L
.43597 .43499 L
.43659 .4362 L
.43675 .43659 L
.43659 .43731 L
.43499 .43702 L
.43426 .43659 L
.43338 .43587 L
.43256 .43499 L
.43178 .43416 L
.43062 .43338 L
.43017 .43223 L
.4297 .43178 L
.42857 .43023 L
.42852 .43017 L
.42728 .42857 L
.42696 .42817 L
.42605 .42696 L
.42536 .42629 L
.42459 .42536 L
.42375 .42396 L
.42361 .42375 L
.42248 .42215 L
.42215 .42169 L
.42135 .42054 L
.42054 .41936 L
.41997 .41894 L
.41931 .41733 L
.41894 .41656 L
.4187 .41572 L
F
.001 .78 1 r
.41894 .42169 m
.4195 .42215 L
.42054 .42307 L
.42114 .42375 L
.42215 .42485 L
.42256 .42536 L
.42375 .4268 L
.42387 .42696 L
.42506 .42857 L
.42536 .42897 L
.42613 .43017 L
.42696 .43159 L
.42704 .43178 L
.42696 .43213 L
.42633 .43178 L
.42536 .43098 L
.42461 .43017 L
.42375 .42923 L
.42321 .42857 L
.42215 .42727 L
.42191 .42696 L
.42072 .42536 L
.42054 .42511 L
.41967 .42375 L
.41894 .42256 L
.41874 .42215 L
F
1 .4 0 r
.41894 .48318 m
.41996 .48475 L
.42054 .48551 L
.42103 .48636 L
.42215 .48795 L
.42215 .48796 L
.42215 .48819 L
.42191 .48796 L
.42054 .48667 L
.42028 .48636 L
.41894 .48485 L
.41885 .48475 L
F
1 .39 0 r
.41894 .48328 m
.41986 .48475 L
.42054 .48566 L
.42091 .48636 L
.42054 .48655 L
.42038 .48636 L
.41894 .48476 L
.41893 .48475 L
F
1 .89 .033 r
.42054 .45876 m
.42085 .45907 L
.42215 .46024 L
.42242 .46067 L
.42375 .46211 L
.42402 .46228 L
.42532 .46388 L
.42536 .46392 L
.42672 .46549 L
.42696 .46577 L
.4281 .46709 L
.42857 .46757 L
.42946 .4687 L
.43017 .46957 L
.4309 .4703 L
.43178 .47155 L
.43207 .47191 L
.43338 .47348 L
.4334 .47351 L
.43474 .47512 L
.43499 .47542 L
.43626 .47672 L
.43659 .47745 L
.43732 .47833 L
.4382 .4795 L
.43847 .47993 L
.4398 .48149 L
.43989 .48154 L
.44116 .48314 L
.44141 .48346 L
.44249 .48475 L
.44301 .48554 L
.4436 .48636 L
.44462 .48763 L
.44473 .48796 L
.44622 .48957 L
.44622 .48958 L
.4476 .49117 L
.44783 .49165 L
.4487 .49278 L
.44943 .49376 L
.4498 .49438 L
.45104 .49584 L
.45124 .49599 L
.45248 .49759 L
.45265 .49781 L
.45377 .4992 L
.45425 .49992 L
.45487 .5008 L
.45586 .50204 L
.45596 .50241 L
.45745 .50401 L
.45746 .50402 L
.45882 .50562 L
.45907 .5061 L
.45992 .50722 L
.46067 .50823 L
.46101 .50883 L
.46228 .51032 L
.46242 .51043 L
.46385 .51204 L
.46388 .51232 L
.46495 .51364 L
.46549 .51444 L
.46604 .51525 L
.46709 .51656 L
.46716 .51686 L
.46859 .51846 L
.4687 .51857 L
.46998 .52007 L
.4703 .52067 L
.47105 .52167 L
.47191 .52281 L
.47216 .52328 L
.47351 .52487 L
.47352 .52488 L
.47504 .52649 L
.47512 .52691 L
.47607 .52809 L
.47672 .52905 L
.47715 .5297 L
.47833 .53117 L
.47835 .5313 L
.47966 .53291 L
.47993 .53316 L
.48109 .53451 L
.48154 .53531 L
.48214 .53612 L
.48314 .53746 L
.48328 .53772 L
.48457 .53933 L
.48475 .53942 L
.48618 .54093 L
.48636 .54157 L
.48712 .54254 L
.48796 .54375 L
.48822 .54414 L
.48946 .54575 L
.48957 .54589 L
.49067 .54735 L
.49117 .54782 L
.49212 .54896 L
.49278 .55006 L
.49314 .55057 L
.49433 .55217 L
.49438 .55224 L
.49552 .55378 L
.49599 .55403 L
.49718 .55538 L
.49759 .55639 L
.49804 .55699 L
.49915 .55859 L
.4992 .55865 L
.50033 .5602 L
.5008 .56082 L
.50152 .5618 L
.50241 .56279 L
.50289 .56341 L
.50391 .56501 L
.50401 .56515 L
.50505 .56662 L
.50562 .56737 L
.50622 .56822 L
.50722 .56959 L
.50755 .56983 L
.5085 .57143 L
.50883 .57188 L
.50959 .57304 L
.51043 .57424 L
.51069 .57464 L
.51169 .57625 L
.51204 .57681 L
.51249 .57785 L
.51204 .57821 L
.51165 .57785 L
.51043 .57675 L
.50996 .57625 L
.50883 .57532 L
.50843 .57464 L
.50722 .57334 L
.50672 .57304 L
.50562 .57148 L
.50557 .57143 L
.5042 .56983 L
.50401 .56961 L
.50284 .56822 L
.50241 .56781 L
.5015 .56662 L
.5008 .56579 L
.49999 .56501 L
.4992 .56379 L
.49887 .56341 L
.49759 .56184 L
.49757 .5618 L
.49626 .5602 L
.49599 .5599 L
.49463 .55859 L
.49438 .55785 L
.49364 .55699 L
.49278 .55579 L
.49249 .55538 L
.49117 .55381 L
.49113 .55378 L
.48986 .55217 L
.48957 .55181 L
.48847 .55057 L
.48796 .54972 L
.48738 .54896 L
.48636 .54764 L
.48622 .54735 L
.48483 .54575 L
.48475 .54567 L
.48334 .54414 L
.48314 .5436 L
.48229 .54254 L
.48154 .54149 L
.48117 .54093 L
.47993 .53943 L
.47982 .53933 L
.47858 .53772 L
.47833 .53742 L
.47721 .53612 L
.47672 .53531 L
.47613 .53451 L
.47512 .5332 L
.47499 .53291 L
.47361 .5313 L
.47351 .5312 L
.47214 .5297 L
.47191 .52911 L
.47109 .52809 L
.4703 .52699 L
.46998 .52649 L
.4687 .52492 L
.46866 .52488 L
.46743 .52328 L
.46709 .5229 L
.46605 .52167 L
.46549 .52077 L
.46497 .52007 L
.46388 .51865 L
.4638 .51846 L
.46249 .51686 L
.46228 .51666 L
.46098 .51525 L
.46067 .51454 L
.45996 .51364 L
.45907 .5124 L
.45884 .51204 L
.45756 .51043 L
.45746 .51039 L
.45634 .50883 L
.45586 .50831 L
.45494 .50722 L
.45425 .50615 L
.45387 .50562 L
.45265 .50403 L
.45264 .50401 L
.45142 .50241 L
.45104 .50209 L
.44988 .5008 L
.44943 .4999 L
.44889 .4992 L
.44783 .49773 L
.44774 .49759 L
.44651 .49599 L
.44622 .49589 L
.4453 .49438 L
.44462 .49365 L
.4439 .49278 L
.44301 .49144 L
.44282 .49117 L
.44162 .48957 L
.44141 .48929 L
.44041 .48796 L
.4398 .48743 L
.43888 .48636 L
.4382 .48513 L
.43791 .48475 L
.43675 .48314 L
.43659 .48294 L
.43556 .48154 L
.43499 .4808 L
.43435 .47993 L
.43338 .4788 L
.43301 .47833 L
.43192 .47672 L
.43178 .47654 L
.43074 .47512 L
.43017 .47438 L
.42955 .47351 L
.42857 .4724 L
.42818 .47191 L
.42716 .4703 L
.42696 .47004 L
.42601 .4687 L
.42536 .46783 L
.42484 .46709 L
.42375 .46561 L
.42356 .46549 L
.42256 .46388 L
.42215 .46331 L
.42148 .46228 L
.42054 .46094 L
.42037 .46067 L
.41943 .45907 L
F
1 .9 .045 r
.42054 .41641 m
.42165 .41733 L
.42215 .41776 L
.42329 .41894 L
.42375 .41915 L
.42476 .42054 L
.42536 .42112 L
.42615 .42215 L
.42696 .42309 L
.42764 .42375 L
.42857 .42509 L
.42878 .42536 L
.43006 .42696 L
.43017 .42711 L
.4313 .42857 L
.43178 .4289 L
.43286 .43017 L
.43338 .4312 L
.43375 .43178 L
.43483 .43338 L
.43499 .43362 L
.43584 .43499 L
.43651 .43659 L
.43499 .43689 L
.4345 .43659 L
.43338 .43574 L
.43268 .43499 L
.43178 .43405 L
.43074 .43338 L
.43017 .43214 L
.42979 .43178 L
.42859 .43017 L
.42857 .43015 L
.42735 .42857 L
.42696 .42807 L
.42612 .42696 L
.42536 .42619 L
.42468 .42536 L
.42375 .42383 L
.4237 .42375 L
.42257 .42215 L
.42215 .42155 L
.42146 .42054 L
.42054 .41917 L
.42022 .41894 L
.41954 .41733 L
F
1 .89 .033 r
.42054 .41672 m
.42135 .41733 L
.42215 .41797 L
.42312 .41894 L
.42375 .41925 L
.42463 .42054 L
.42536 .42125 L
.42605 .42215 L
.42696 .42321 L
.42754 .42375 L
.42857 .4252 L
.4287 .42536 L
.42997 .42696 L
.43017 .42721 L
.43122 .42857 L
.43178 .42899 L
.43278 .43017 L
.43338 .43135 L
.43366 .43178 L
.43472 .43338 L
.43499 .4338 L
.4357 .43499 L
.43616 .43659 L
.43499 .43672 L
.43478 .43659 L
.43338 .4356 L
.43281 .43499 L
.43178 .43394 L
.43088 .43338 L
.43017 .43204 L
.42989 .43178 L
.42867 .43017 L
.42857 .43005 L
.42742 .42857 L
.42696 .42798 L
.42619 .42696 L
.42536 .42608 L
.42477 .42536 L
.42379 .42375 L
.42375 .4237 L
.42267 .42215 L
.42215 .42141 L
.42157 .42054 L
.42054 .41895 L
.42052 .41894 L
.41981 .41733 L
F
.001 .77 1 r
.42054 .42326 m
.42098 .42375 L
.42215 .425 L
.42244 .42536 L
.42375 .42694 L
.42377 .42696 L
.42492 .42857 L
.42536 .42917 L
.42597 .43017 L
.42536 .43079 L
.42478 .43017 L
.42375 .42908 L
.42333 .42857 L
.42215 .42713 L
.42202 .42696 L
.42087 .42536 L
.42054 .4249 L
.41985 .42375 L
F
.001 .76 1 r
.42054 .4235 m
.42078 .42375 L
.42215 .42517 L
.4223 .42536 L
.42361 .42696 L
.42375 .42713 L
.42475 .42857 L
.42536 .42942 L
.42576 .43017 L
.42536 .43055 L
.42498 .43017 L
.42375 .42891 L
.42347 .42857 L
.42215 .42696 L
.42214 .42696 L
.42105 .42536 L
.42054 .42463 L
.42009 .42375 L
F
1 .34 0 r
.42054 .47194 m
.42185 .47351 L
.42215 .47384 L
.42319 .47512 L
.42375 .47576 L
.42452 .47672 L
.42536 .47771 L
.42585 .47833 L
.42696 .47948 L
.42716 .47993 L
.42845 .48154 L
.42857 .48168 L
.42971 .48314 L
.43017 .4837 L
.43099 .48475 L
.43178 .48572 L
.43227 .48636 L
.43338 .48765 L
.43376 .48796 L
.43479 .48957 L
.43499 .48981 L
.43603 .49117 L
.43659 .49187 L
.43728 .49278 L
.4382 .49357 L
.43854 .49438 L
.43979 .49599 L
.4398 .49601 L
.44099 .49759 L
.44141 .49812 L
.44221 .4992 L
.44301 .50022 L
.44345 .5008 L
.44462 .50226 L
.44477 .50241 L
.44587 .50401 L
.44622 .50446 L
.44707 .50562 L
.44783 .5066 L
.44828 .50722 L
.44943 .50874 L
.4495 .50883 L
.45064 .51043 L
.45104 .51095 L
.4518 .51204 L
.45265 .51316 L
.45297 .51364 L
.45413 .51525 L
.45425 .51541 L
.45516 .51686 L
.45586 .51784 L
.4562 .51846 L
.45586 .51893 L
.45544 .51846 L
.45425 .51722 L
.45395 .51686 L
.45265 .51539 L
.45253 .51525 L
.45119 .51364 L
.45104 .51348 L
.44987 .51204 L
.44943 .51154 L
.44855 .51043 L
.44783 .50958 L
.44723 .50883 L
.44622 .50761 L
.44592 .50722 L
.44462 .50562 L
.44462 .50561 L
.44337 .50401 L
.44301 .50359 L
.4421 .50241 L
.44141 .50156 L
.44083 .5008 L
.4398 .4997 L
.43955 .4992 L
.4383 .49759 L
.4382 .49747 L
.43707 .49599 L
.43659 .4954 L
.43582 .49438 L
.43499 .49333 L
.43457 .49278 L
.43338 .49128 L
.43327 .49117 L
.43212 .48957 L
.43178 .48914 L
.4309 .48796 L
.43017 .48703 L
.42967 .48636 L
.42857 .48505 L
.42843 .48475 L
.42725 .48314 L
.42696 .48278 L
.42606 .48154 L
.42536 .48063 L
.42486 .47993 L
.42375 .47848 L
.42364 .47833 L
.4225 .47672 L
.42215 .47627 L
.42136 .47512 L
.42054 .47403 L
.42019 .47351 L
F
1 .88 .024 r
.42054 .41711 m
.42094 .41733 L
.42215 .41818 L
.42293 .41894 L
.42375 .41938 L
.4245 .42054 L
.42536 .42138 L
.42594 .42215 L
.42696 .42333 L
.42742 .42375 L
.42857 .4253 L
.42862 .42536 L
.42989 .42696 L
.43017 .42732 L
.43113 .42857 L
.43178 .42909 L
.43269 .43017 L
.43338 .4315 L
.43356 .43178 L
.43461 .43338 L
.43499 .43399 L
.43556 .43499 L
.43499 .43649 L
.43338 .43546 L
.43295 .43499 L
.43178 .43382 L
.43104 .43338 L
.43017 .43194 L
.42999 .43178 L
.42875 .43017 L
.42857 .42995 L
.4275 .42857 L
.42696 .42789 L
.42626 .42696 L
.42536 .42596 L
.42488 .42536 L
.42388 .42375 L
.42375 .42358 L
.42277 .42215 L
.42215 .42125 L
.42169 .42054 L
.42072 .41894 L
.42054 .4186 L
.4202 .41733 L
F
.733 .99 1 r
.42054 .41105 m
.42215 .4114 L
.42375 .41241 L
.42385 .41251 L
.42536 .41393 L
.4254 .41412 L
.42696 .41572 L
.42696 .41573 L
.42839 .41733 L
.42857 .41774 L
.42957 .41894 L
.43017 .41989 L
.43067 .42054 L
.43178 .42163 L
.43218 .42215 L
.43338 .4237 L
.43342 .42375 L
.43468 .42536 L
.43499 .42582 L
.43578 .42696 L
.43659 .42799 L
.43677 .42857 L
.4382 .43008 L
.43839 .43017 L
.43966 .43178 L
.4398 .43196 L
.44079 .43338 L
.44141 .43397 L
.44182 .43499 L
.44301 .43607 L
.44321 .43659 L
.44454 .4382 L
.44301 .43923 L
.44141 .43919 L
.4398 .43827 L
.43975 .4382 L
.43834 .43659 L
.4382 .43635 L
.43707 .43499 L
.43659 .43432 L
.43563 .43338 L
.43499 .43227 L
.43456 .43178 L
.43338 .43023 L
.43335 .43017 L
.4321 .42857 L
.43178 .42835 L
.43055 .42696 L
.43017 .42618 L
.42956 .42536 L
.42857 .42399 L
.42843 .42375 L
.4272 .42215 L
.42696 .42183 L
.426 .42054 L
.42536 .41969 L
.4246 .41894 L
.42375 .41769 L
.42357 .41733 L
.42243 .41572 L
.42215 .41533 L
.42133 .41412 L
.42054 .41284 L
.42021 .41251 L
F
0 .2 1 r
.42054 .47872 m
.42143 .47993 L
.42215 .48077 L
.4227 .48154 L
.42375 .48282 L
.42398 .48314 L
.42375 .48451 L
.42274 .48314 L
.42215 .48244 L
.42149 .48154 L
.42054 .48037 L
.42022 .47993 L
F
1 .33 0 r
.42054 .47201 m
.42179 .47351 L
.42215 .47389 L
.42314 .47512 L
.42375 .47581 L
.42448 .47672 L
.42536 .47775 L
.42581 .47833 L
.42696 .47954 L
.42713 .47993 L
.42842 .48154 L
.42857 .48171 L
.42968 .48314 L
.43017 .48373 L
.43096 .48475 L
.43178 .48575 L
.43224 .48636 L
.43338 .4877 L
.4337 .48796 L
.43476 .48957 L
.43499 .48984 L
.436 .49117 L
.43659 .4919 L
.43725 .49278 L
.4382 .49362 L
.43851 .49438 L
.43976 .49599 L
.4398 .49604 L
.44096 .49759 L
.44141 .49815 L
.44219 .4992 L
.44301 .50025 L
.44343 .5008 L
.44462 .50231 L
.44472 .50241 L
.44584 .50401 L
.44622 .5045 L
.44704 .50562 L
.44783 .50664 L
.44825 .50722 L
.44943 .50878 L
.44947 .50883 L
.45061 .51043 L
.45104 .511 L
.45176 .51204 L
.45265 .51322 L
.45294 .51364 L
.45407 .51525 L
.45425 .51549 L
.45508 .51686 L
.45586 .51796 L
.4561 .51846 L
.45586 .5188 L
.45555 .51846 L
.45425 .51714 L
.45401 .51686 L
.45265 .51533 L
.45258 .51525 L
.45124 .51364 L
.45104 .51343 L
.44991 .51204 L
.44943 .5115 L
.44859 .51043 L
.44783 .50954 L
.44726 .50883 L
.44622 .50757 L
.44595 .50722 L
.44466 .50562 L
.44462 .50558 L
.4434 .50401 L
.44301 .50355 L
.44213 .50241 L
.44141 .50152 L
.44085 .5008 L
.4398 .49965 L
.43958 .4992 L
.43833 .49759 L
.4382 .49744 L
.43709 .49599 L
.43659 .49536 L
.43585 .49438 L
.43499 .49329 L
.43459 .49278 L
.43338 .49124 L
.43331 .49117 L
.43214 .48957 L
.43178 .48911 L
.43092 .48796 L
.43017 .487 L
.42969 .48636 L
.42857 .485 L
.42846 .48475 L
.42727 .48314 L
.42696 .48275 L
.42609 .48154 L
.42536 .48059 L
.42488 .47993 L
.42375 .47844 L
.42367 .47833 L
.42254 .47672 L
.42215 .47621 L
.4214 .47512 L
.42054 .47397 L
.42023 .47351 L
F
0 .19 1 r
.42054 .47879 m
.42137 .47993 L
.42215 .48084 L
.42265 .48154 L
.42375 .48289 L
.42394 .48314 L
.42375 .48444 L
.4228 .48314 L
.42215 .48237 L
.42154 .48154 L
.42054 .48031 L
.42027 .47993 L
F
1 .32 0 r
.42054 .47209 m
.42174 .47351 L
.42215 .47395 L
.4231 .47512 L
.42375 .47586 L
.42444 .47672 L
.42536 .4778 L
.42578 .47833 L
.42696 .47961 L
.4271 .47993 L
.42839 .48154 L
.42857 .48175 L
.42965 .48314 L
.43017 .48377 L
.43093 .48475 L
.43178 .48579 L
.43222 .48636 L
.43338 .48774 L
.43365 .48796 L
.43474 .48957 L
.43499 .48987 L
.43598 .49117 L
.43659 .49193 L
.43723 .49278 L
.4382 .49367 L
.43849 .49438 L
.43973 .49599 L
.4398 .49607 L
.44094 .49759 L
.44141 .49818 L
.44216 .4992 L
.44301 .50028 L
.4434 .5008 L
.44462 .50237 L
.44466 .50241 L
.44582 .50401 L
.44622 .50453 L
.44701 .50562 L
.44783 .50668 L
.44822 .50722 L
.44943 .50882 L
.44944 .50883 L
.45057 .51043 L
.45104 .51105 L
.45172 .51204 L
.45265 .51327 L
.4529 .51364 L
.45401 .51525 L
.45425 .51557 L
.455 .51686 L
.45586 .51814 L
.45598 .51846 L
.45586 .51863 L
.45569 .51846 L
.45425 .51706 L
.45407 .51686 L
.45265 .51527 L
.45263 .51525 L
.45129 .51364 L
.45104 .51338 L
.44995 .51204 L
.44943 .51145 L
.44862 .51043 L
.44783 .5095 L
.4473 .50883 L
.44622 .50753 L
.44598 .50722 L
.44469 .50562 L
.44462 .50554 L
.44343 .50401 L
.44301 .50352 L
.44216 .50241 L
.44141 .50149 L
.44088 .5008 L
.4398 .49961 L
.4396 .4992 L
.43835 .49759 L
.4382 .4974 L
.43712 .49599 L
.43659 .49533 L
.43587 .49438 L
.43499 .49326 L
.43462 .49278 L
.43338 .4912 L
.43336 .49117 L
.43217 .48957 L
.43178 .48908 L
.43095 .48796 L
.43017 .48697 L
.42972 .48636 L
.42857 .48494 L
.42848 .48475 L
.4273 .48314 L
.42696 .48271 L
.42612 .48154 L
.42536 .48055 L
.42491 .47993 L
.42375 .4784 L
.4237 .47833 L
.42258 .47672 L
.42215 .47616 L
.42144 .47512 L
.42054 .47391 L
.42028 .47351 L
F
0 .18 1 r
.42054 .47887 m
.42131 .47993 L
.42215 .48091 L
.42259 .48154 L
.42375 .48295 L
.42389 .48314 L
.42375 .48436 L
.42287 .48314 L
.42215 .4823 L
.4216 .48154 L
.42054 .48024 L
.42032 .47993 L
F
1 .31 0 r
.42054 .47217 m
.42168 .47351 L
.42215 .47401 L
.42305 .47512 L
.42375 .47591 L
.4244 .47672 L
.42536 .47784 L
.42575 .47833 L
.42696 .47968 L
.42707 .47993 L
.42835 .48154 L
.42857 .48179 L
.42962 .48314 L
.43017 .4838 L
.43091 .48475 L
.43178 .48582 L
.43219 .48636 L
.43338 .48779 L
.43359 .48796 L
.43471 .48957 L
.43499 .4899 L
.43595 .49117 L
.43659 .49197 L
.43721 .49278 L
.4382 .49372 L
.43847 .49438 L
.43971 .49599 L
.4398 .49611 L
.44091 .49759 L
.44141 .49821 L
.44214 .4992 L
.44301 .50031 L
.44338 .5008 L
.44461 .50241 L
.44462 .50242 L
.44579 .50401 L
.44622 .50457 L
.44698 .50562 L
.44783 .50672 L
.44819 .50722 L
.44941 .50883 L
.44943 .50887 L
.45053 .51043 L
.45104 .5111 L
.45168 .51204 L
.45265 .51333 L
.45286 .51364 L
.45265 .5152 L
.45134 .51364 L
.45104 .51332 L
.45 .51204 L
.44943 .5114 L
.44866 .51043 L
.44783 .50946 L
.44733 .50883 L
.44622 .50749 L
.44601 .50722 L
.44472 .50562 L
.44462 .5055 L
.44346 .50401 L
.44301 .50348 L
.44218 .50241 L
.44141 .50146 L
.4409 .5008 L
.4398 .49956 L
.43963 .4992 L
.43838 .49759 L
.4382 .49737 L
.43715 .49599 L
.43659 .4953 L
.4359 .49438 L
.43499 .49323 L
.43464 .49278 L
.43339 .49117 L
.43338 .49116 L
.43219 .48957 L
.43178 .48904 L
.43098 .48796 L
.43017 .48693 L
.42974 .48636 L
.42857 .48488 L
.42851 .48475 L
.42734 .48314 L
.42696 .48267 L
.42615 .48154 L
.42536 .48051 L
.42494 .47993 L
.42375 .47835 L
.42373 .47833 L
.42262 .47672 L
.42215 .4761 L
.42148 .47512 L
.42054 .47384 L
.42032 .47351 L
F
.538 .98 1 r
.42054 .44373 m
.42205 .44462 L
.42215 .4447 L
.42358 .44622 L
.42375 .44641 L
.42492 .44783 L
.42536 .44834 L
.4262 .44943 L
.42696 .45037 L
.42746 .45104 L
.42857 .45244 L
.42871 .45265 L
.42989 .45425 L
.43017 .45462 L
.431 .45586 L
.43178 .45694 L
.43209 .45746 L
.43178 .45861 L
.43048 .45746 L
.43017 .45719 L
.42887 .45586 L
.42857 .45555 L
.42739 .45425 L
.42696 .45377 L
.42599 .45265 L
.42536 .45188 L
.42466 .45104 L
.42375 .45 L
.42331 .44943 L
.42224 .44783 L
.42215 .44769 L
.42117 .44622 L
.42054 .44506 L
.42032 .44462 L
F
.42054 .36765 m
.42207 .36917 L
.42215 .36924 L
.42355 .37078 L
.42375 .37099 L
.42496 .37238 L
.42536 .37281 L
.42635 .37399 L
.42696 .37424 L
.42771 .37559 L
.42857 .37648 L
.42906 .3772 L
.43017 .37851 L
.43048 .3788 L
.43171 .38041 L
.43178 .38049 L
.433 .38201 L
.43338 .3823 L
.43429 .38362 L
.43499 .3844 L
.43587 .38523 L
.43659 .38647 L
.43691 .38683 L
.43815 .38844 L
.4382 .3885 L
.4394 .39004 L
.4398 .39042 L
.44123 .39165 L
.44141 .39253 L
.44207 .39325 L
.44301 .39462 L
.4432 .39486 L
.44445 .39646 L
.44462 .39656 L
.44569 .39807 L
.44622 .39864 L
.44723 .39967 L
.44783 .40077 L
.44826 .40128 L
.44943 .40285 L
.44945 .40288 L
.45069 .40449 L
.45104 .40479 L
.45245 .40609 L
.45265 .40694 L
.45332 .4077 L
.45425 .40907 L
.45443 .4093 L
.45566 .41091 L
.45586 .41098 L
.45689 .41251 L
.45746 .41312 L
.45841 .41412 L
.45907 .41528 L
.45943 .41572 L
.46062 .41733 L
.46067 .41739 L
.46184 .41894 L
.46228 .41929 L
.46358 .42054 L
.46388 .42149 L
.46445 .42215 L
.46549 .42365 L
.46556 .42375 L
.46678 .42536 L
.46709 .42544 L
.468 .42696 L
.4687 .42769 L
.4695 .42857 L
.4703 .4299 L
.47052 .43017 L
.47171 .43178 L
.47191 .43203 L
.47292 .43338 L
.47351 .43386 L
.47462 .43499 L
.47512 .43614 L
.4755 .43659 L
.47663 .4382 L
.47672 .43832 L
.47783 .4398 L
.47833 .44044 L
.47905 .44141 L
.47993 .44237 L
.48049 .44301 L
.48153 .44462 L
.48154 .44463 L
.48273 .44622 L
.48314 .44675 L
.48394 .44783 L
.48475 .44857 L
.48554 .44943 L
.48636 .45094 L
.48644 .45104 L
.4876 .45265 L
.48796 .4531 L
.4888 .45425 L
.48957 .45523 L
.49002 .45586 L
.49117 .45728 L
.49132 .45746 L
.49244 .45907 L
.49278 .45949 L
.49362 .46067 L
.49438 .46165 L
.49483 .46228 L
.49599 .46379 L
.49613 .46388 L
.49721 .46549 L
.49759 .46599 L
.49836 .46709 L
.4992 .4682 L
.49954 .4687 L
.50073 .4703 L
.5008 .4704 L
.50184 .47191 L
.50241 .47267 L
.50297 .47351 L
.50401 .47493 L
.50414 .47512 L
.50528 .47672 L
.50562 .47717 L
.50644 .47833 L
.50722 .47935 L
.50763 .47993 L
.50883 .48152 L
.50885 .48154 L
.51007 .48314 L
.51043 .4836 L
.51154 .48475 L
.51204 .48572 L
.51257 .48636 L
.51364 .48784 L
.51373 .48796 L
.51495 .48957 L
.51525 .48988 L
.51631 .49117 L
.51686 .49208 L
.51734 .49278 L
.51841 .49438 L
.51846 .49446 L
.51942 .49599 L
.51995 .49759 L
.51846 .49789 L
.51795 .49759 L
.51686 .49692 L
.51616 .49599 L
.51525 .4952 L
.51475 .49438 L
.51364 .49315 L
.51322 .49278 L
.51216 .49117 L
.51204 .49102 L
.51095 .48957 L
.51043 .48891 L
.50975 .48796 L
.50883 .48676 L
.50854 .48636 L
.50735 .48475 L
.50722 .48458 L
.50624 .48314 L
.50562 .48227 L
.50514 .48154 L
.50407 .47993 L
.50401 .47985 L
.50311 .47833 L
.50241 .47715 L
.50206 .47672 L
.50126 .47512 L
.5008 .47445 L
.50025 .47351 L
.4992 .47197 L
.49915 .47191 L
.49795 .4703 L
.49759 .47022 L
.49668 .4687 L
.49599 .46785 L
.49499 .46709 L
.49438 .46579 L
.49421 .46549 L
.49278 .46389 L
.49277 .46388 L
.49143 .46228 L
.49117 .46201 L
.49008 .46067 L
.48957 .45999 L
.48878 .45907 L
.48796 .45794 L
.48777 .45746 L
.48636 .45591 L
.48611 .45586 L
.48482 .45425 L
.48475 .45417 L
.48332 .45265 L
.48314 .45215 L
.48228 .45104 L
.48154 .45007 L
.48119 .44943 L
.47993 .44799 L
.47964 .44783 L
.47838 .44622 L
.47833 .44616 L
.47706 .44462 L
.47672 .44408 L
.47595 .44301 L
.47512 .44197 L
.47487 .44141 L
.47351 .4399 L
.47332 .4398 L
.47198 .4382 L
.47191 .43797 L
.47085 .43659 L
.4703 .43586 L
.46976 .43499 L
.4687 .43373 L
.46832 .43338 L
.46709 .43178 L
.46709 .43178 L
.4658 .43017 L
.46549 .42968 L
.4647 .42857 L
.46388 .42755 L
.46364 .42696 L
.46228 .42547 L
.46212 .42536 L
.46078 .42375 L
.46067 .42347 L
.45967 .42215 L
.45907 .42134 L
.45859 .42054 L
.45746 .41922 L
.45717 .41894 L
.45595 .41733 L
.45586 .41722 L
.45465 .41572 L
.45425 .41511 L
.45357 .41412 L
.45265 .41297 L
.45248 .41251 L
.45104 .41092 L
.45103 .41091 L
.44964 .4093 L
.44943 .40885 L
.44857 .4077 L
.44783 .4067 L
.44749 .40609 L
.44622 .40459 L
.44612 .40449 L
.44491 .40288 L
.44462 .40257 L
.44359 .40128 L
.44301 .40041 L
.44252 .39967 L
.44141 .39826 L
.44135 .39807 L
.44004 .39646 L
.4398 .39628 L
.43857 .39486 L
.4382 .3941 L
.43758 .39325 L
.43659 .3919 L
.43646 .39165 L
.43521 .39004 L
.43499 .38975 L
.43401 .38844 L
.43338 .38775 L
.43268 .38683 L
.43178 .38547 L
.43162 .38523 L
.43043 .38362 L
.43017 .38327 L
.42926 .38201 L
.42857 .38137 L
.42781 .38041 L
.42696 .3789 L
.4269 .3788 L
.42577 .3772 L
.42536 .37663 L
.42463 .37559 L
.42375 .37435 L
.42317 .37399 L
.42241 .37238 L
.42215 .372 L
.42137 .37078 L
.42054 .36952 L
.42034 .36917 L
F
0 .66 1 r
.42054 .46549 m
.42204 .46709 L
.42215 .4672 L
.42346 .4687 L
.42375 .469 L
.42486 .4703 L
.42536 .47086 L
.42624 .47191 L
.42696 .47229 L
.42759 .47351 L
.42857 .47459 L
.42927 .47512 L
.43017 .47662 L
.43027 .47672 L
.43156 .47833 L
.43178 .47859 L
.43286 .47993 L
.43338 .48037 L
.43416 .48154 L
.43499 .48252 L
.43561 .48314 L
.43659 .48458 L
.43673 .48475 L
.438 .48636 L
.4382 .4866 L
.43927 .48796 L
.4398 .48852 L
.44094 .48957 L
.44141 .49064 L
.44186 .49117 L
.44301 .49271 L
.44306 .49278 L
.44431 .49438 L
.44462 .49459 L
.44557 .49599 L
.44622 .49675 L
.44699 .49759 L
.44783 .49888 L
.44808 .4992 L
.44932 .5008 L
.44943 .50095 L
.45055 .50241 L
.45104 .50288 L
.45216 .50401 L
.45265 .50506 L
.4531 .50562 L
.45425 .50718 L
.45428 .50722 L
.45551 .50883 L
.45586 .50902 L
.45674 .51043 L
.45746 .51126 L
.45814 .51204 L
.45907 .51344 L
.45921 .51364 L
.46043 .51525 L
.46067 .51556 L
.46165 .51686 L
.46228 .51746 L
.46322 .51846 L
.46388 .51973 L
.46415 .52007 L
.46531 .52167 L
.46549 .52189 L
.46652 .52328 L
.46709 .52361 L
.46773 .52488 L
.4687 .52605 L
.46906 .52649 L
.47015 .52809 L
.4703 .52828 L
.47134 .5297 L
.47191 .53044 L
.47254 .5313 L
.47351 .53244 L
.47392 .53291 L
.47492 .53451 L
.47512 .53477 L
.47608 .53612 L
.47672 .53698 L
.47725 .53772 L
.47833 .53918 L
.47843 .53933 L
.47954 .54093 L
.47993 .54146 L
.48065 .54254 L
.48154 .54379 L
.48177 .54414 L
.48278 .54575 L
.48314 .54631 L
.48359 .54735 L
.48314 .54751 L
.48298 .54735 L
.48154 .54594 L
.48136 .54575 L
.47993 .54423 L
.47989 .54414 L
.47849 .54254 L
.47833 .54237 L
.47711 .54093 L
.47672 .5405 L
.47575 .53933 L
.47512 .53859 L
.47441 .53772 L
.47351 .53678 L
.47256 .53612 L
.47191 .53471 L
.47171 .53451 L
.47046 .53291 L
.4703 .53272 L
.46916 .5313 L
.4687 .53099 L
.46787 .5297 L
.46709 .5288 L
.46635 .52809 L
.46549 .52672 L
.46529 .52649 L
.46404 .52488 L
.46388 .52469 L
.46277 .52328 L
.46228 .5228 L
.46097 .52167 L
.46067 .52066 L
.46014 .52007 L
.45907 .51857 L
.45899 .51846 L
.45773 .51686 L
.45746 .51673 L
.45648 .51525 L
.45586 .51455 L
.455 .51364 L
.45425 .51241 L
.45396 .51204 L
.45274 .51043 L
.45265 .51032 L
.4515 .50883 L
.45104 .50842 L
.44978 .50722 L
.44943 .50622 L
.44892 .50562 L
.44783 .50408 L
.44778 .50401 L
.44656 .50241 L
.44622 .50231 L
.44533 .5008 L
.44462 .50003 L
.44387 .4992 L
.44301 .49782 L
.44284 .49759 L
.44164 .49599 L
.44141 .49569 L
.44042 .49438 L
.4398 .49385 L
.43875 .49278 L
.4382 .49154 L
.4379 .49117 L
.43675 .48957 L
.43659 .48936 L
.43555 .48796 L
.43499 .48723 L
.43434 .48636 L
.43338 .48522 L
.43298 .48475 L
.43192 .48314 L
.43178 .48296 L
.43074 .48154 L
.43017 .4808 L
.42954 .47993 L
.42857 .47884 L
.42811 .47833 L
.42716 .47672 L
.42696 .47647 L
.42601 .47512 L
.42536 .47425 L
.42484 .47351 L
.42375 .47204 L
.42366 .47191 L
.42255 .4703 L
.42215 .46975 L
.42146 .4687 L
.42054 .46739 L
.42035 .46709 L
F
1 .3 0 r
.42054 .47225 m
.42161 .47351 L
.42215 .47407 L
.423 .47512 L
.42375 .47596 L
.42436 .47672 L
.42536 .47788 L
.42571 .47833 L
.42696 .47975 L
.42704 .47993 L
.42832 .48154 L
.42857 .48183 L
.42959 .48314 L
.43017 .48384 L
.43088 .48475 L
.43178 .48585 L
.43216 .48636 L
.43338 .48784 L
.43353 .48796 L
.43468 .48957 L
.43499 .48994 L
.43593 .49117 L
.43659 .492 L
.43718 .49278 L
.4382 .49377 L
.43844 .49438 L
.43968 .49599 L
.4398 .49614 L
.44089 .49759 L
.44141 .49825 L
.44211 .4992 L
.44301 .50035 L
.44335 .5008 L
.44458 .50241 L
.44462 .50245 L
.44576 .50401 L
.44622 .50461 L
.44695 .50562 L
.44783 .50676 L
.44816 .50722 L
.44937 .50883 L
.44943 .50891 L
.45049 .51043 L
.45104 .51115 L
.45164 .51204 L
.45265 .51339 L
.45281 .51364 L
.45265 .51512 L
.4514 .51364 L
.45104 .51326 L
.45005 .51204 L
.44943 .51135 L
.4487 .51043 L
.44783 .50941 L
.44736 .50883 L
.44622 .50745 L
.44604 .50722 L
.44475 .50562 L
.44462 .50546 L
.44349 .50401 L
.44301 .50344 L
.44221 .50241 L
.44141 .50142 L
.44093 .5008 L
.4398 .49951 L
.43965 .4992 L
.43841 .49759 L
.4382 .49734 L
.43717 .49599 L
.43659 .49527 L
.43592 .49438 L
.43499 .4932 L
.43467 .49278 L
.43342 .49117 L
.43338 .49112 L
.43222 .48957 L
.43178 .48901 L
.431 .48796 L
.43017 .4869 L
.42977 .48636 L
.42857 .48482 L
.42854 .48475 L
.42737 .48314 L
.42696 .48263 L
.42618 .48154 L
.42536 .48047 L
.42497 .47993 L
.42377 .47833 L
.42375 .47831 L
.42266 .47672 L
.42215 .47605 L
.42153 .47512 L
.42054 .47377 L
.42037 .47351 L
F
0 .17 1 r
.42054 .47896 m
.42123 .47993 L
.42215 .48099 L
.42254 .48154 L
.42375 .48302 L
.42384 .48314 L
.42375 .48427 L
.42294 .48314 L
.42215 .48222 L
.42166 .48154 L
.42054 .48016 L
.42038 .47993 L
F
1 .29 0 r
.42054 .47235 m
.42154 .47351 L
.42215 .47414 L
.42295 .47512 L
.42375 .47601 L
.42432 .47672 L
.42536 .47793 L
.42567 .47833 L
.42696 .47983 L
.42701 .47993 L
.42828 .48154 L
.42857 .48187 L
.42956 .48314 L
.43017 .48388 L
.43085 .48475 L
.43178 .48589 L
.43214 .48636 L
.43338 .48789 L
.43347 .48796 L
.43465 .48957 L
.43499 .48997 L
.4359 .49117 L
.43659 .49203 L
.43716 .49278 L
.4382 .49383 L
.43842 .49438 L
.43965 .49599 L
.4398 .49617 L
.44086 .49759 L
.44141 .49828 L
.44209 .4992 L
.44301 .50038 L
.44333 .5008 L
.44455 .50241 L
.44462 .50249 L
.44573 .50401 L
.44622 .50465 L
.44692 .50562 L
.44783 .5068 L
.44814 .50722 L
.44933 .50883 L
.44943 .50896 L
.45045 .51043 L
.45104 .51121 L
.4516 .51204 L
.45265 .51346 L
.45277 .51364 L
.45265 .51504 L
.45147 .51364 L
.45104 .5132 L
.4501 .51204 L
.44943 .5113 L
.44874 .51043 L
.44783 .50937 L
.4474 .50883 L
.44622 .50741 L
.44607 .50722 L
.44479 .50562 L
.44462 .50542 L
.44352 .50401 L
.44301 .50341 L
.44224 .50241 L
.44141 .50139 L
.44096 .5008 L
.4398 .49946 L
.43968 .4992 L
.43844 .49759 L
.4382 .4973 L
.4372 .49599 L
.43659 .49523 L
.43595 .49438 L
.43499 .49317 L
.43469 .49278 L
.43345 .49117 L
.43338 .49109 L
.43225 .48957 L
.43178 .48897 L
.43103 .48796 L
.43017 .48687 L
.4298 .48636 L
.42857 .48476 L
.42856 .48475 L
.4274 .48314 L
.42696 .48259 L
.42621 .48154 L
.42536 .48043 L
.42501 .47993 L
.42381 .47833 L
.42375 .47825 L
.42271 .47672 L
.42215 .47598 L
.42158 .47512 L
.42054 .4737 L
.42042 .47351 L
F
0 .65 1 r
.42054 .46564 m
.42193 .46709 L
.42215 .4673 L
.42339 .4687 L
.42375 .46908 L
.4248 .4703 L
.42536 .47093 L
.42618 .47191 L
.42696 .47235 L
.42755 .47351 L
.42857 .47465 L
.4292 .47512 L
.43017 .47667 L
.43022 .47672 L
.43152 .47833 L
.43178 .47864 L
.43282 .47993 L
.43338 .48041 L
.43413 .48154 L
.43499 .48256 L
.43558 .48314 L
.43659 .48462 L
.4367 .48475 L
.43797 .48636 L
.4382 .48664 L
.43924 .48796 L
.4398 .48854 L
.44091 .48957 L
.44141 .49067 L
.44184 .49117 L
.44301 .49274 L
.44304 .49278 L
.44429 .49438 L
.44462 .4946 L
.44555 .49599 L
.44622 .49677 L
.44697 .49759 L
.44783 .4989 L
.44806 .4992 L
.4493 .5008 L
.44943 .50098 L
.45053 .50241 L
.45104 .5029 L
.45215 .50401 L
.45265 .50509 L
.45308 .50562 L
.45425 .50721 L
.45426 .50722 L
.45549 .50883 L
.45586 .50903 L
.45672 .51043 L
.45746 .51129 L
.45812 .51204 L
.45907 .51347 L
.4592 .51364 L
.46041 .51525 L
.46067 .51559 L
.46163 .51686 L
.46228 .51749 L
.46319 .51846 L
.46388 .51976 L
.46413 .52007 L
.46529 .52167 L
.46549 .52192 L
.46649 .52328 L
.46709 .52364 L
.46771 .52488 L
.4687 .52609 L
.46903 .52649 L
.47013 .52809 L
.4703 .52832 L
.47131 .5297 L
.47191 .53048 L
.47251 .5313 L
.47351 .53249 L
.47387 .53291 L
.47489 .53451 L
.47512 .53482 L
.47604 .53612 L
.47672 .53703 L
.47721 .53772 L
.47833 .53924 L
.47839 .53933 L
.47949 .54093 L
.47993 .54154 L
.48059 .54254 L
.48154 .54389 L
.4817 .54414 L
.48265 .54575 L
.48154 .54583 L
.48147 .54575 L
.47997 .54414 L
.47993 .54411 L
.47856 .54254 L
.47833 .54229 L
.47717 .54093 L
.47672 .54043 L
.4758 .53933 L
.47512 .53854 L
.47445 .53772 L
.47351 .53672 L
.47263 .53612 L
.47191 .53467 L
.47175 .53451 L
.47049 .53291 L
.4703 .53268 L
.4692 .5313 L
.4687 .53096 L
.4679 .5297 L
.46709 .52877 L
.46639 .52809 L
.46549 .52669 L
.46532 .52649 L
.46406 .52488 L
.46388 .52466 L
.4628 .52328 L
.46228 .52278 L
.461 .52167 L
.46067 .52063 L
.46017 .52007 L
.45907 .51854 L
.45901 .51846 L
.45776 .51686 L
.45746 .51672 L
.4565 .51525 L
.45586 .51453 L
.45502 .51364 L
.45425 .51238 L
.45398 .51204 L
.45276 .51043 L
.45265 .51029 L
.45152 .50883 L
.45104 .5084 L
.4498 .50722 L
.44943 .5062 L
.44894 .50562 L
.44783 .50406 L
.4478 .50401 L
.44658 .50241 L
.44622 .5023 L
.44535 .5008 L
.44462 .5 L
.44389 .4992 L
.44301 .4978 L
.44286 .49759 L
.44166 .49599 L
.44141 .49567 L
.44044 .49438 L
.4398 .49382 L
.43878 .49278 L
.4382 .49151 L
.43792 .49117 L
.43678 .48957 L
.43659 .48933 L
.43558 .48796 L
.43499 .4872 L
.43436 .48636 L
.43338 .48518 L
.43301 .48475 L
.43194 .48314 L
.43178 .48293 L
.43076 .48154 L
.43017 .48077 L
.42957 .47993 L
.42857 .47878 L
.42816 .47833 L
.42719 .47672 L
.42696 .47642 L
.42604 .47512 L
.42536 .4742 L
.42488 .47351 L
.42375 .47199 L
.4237 .47191 L
.42261 .4703 L
.42215 .46966 L
.42153 .4687 L
.42054 .46728 L
.42043 .46709 L
F
0 .16 1 r
.42054 .47906 m
.42115 .47993 L
.42215 .48107 L
.42247 .48154 L
.42375 .4831 L
.42378 .48314 L
.42375 .48417 L
.42303 .48314 L
.42215 .48213 L
.42173 .48154 L
.42054 .48008 L
.42044 .47993 L
F
1 .28 0 r
.42054 .47246 m
.42145 .47351 L
.42215 .47421 L
.42289 .47512 L
.42375 .47607 L
.42428 .47672 L
.42536 .47798 L
.42564 .47833 L
.42696 .47991 L
.42697 .47993 L
.42825 .48154 L
.42857 .48191 L
.42953 .48314 L
.43017 .48391 L
.43082 .48475 L
.43178 .48592 L
.43211 .48636 L
.43338 .48794 L
.43341 .48796 L
.43463 .48957 L
.43499 .49001 L
.43587 .49117 L
.43659 .49206 L
.43713 .49278 L
.4382 .49388 L
.43839 .49438 L
.43962 .49599 L
.4398 .49621 L
.44083 .49759 L
.44141 .49831 L
.44206 .4992 L
.44301 .50041 L
.4433 .5008 L
.44452 .50241 L
.44462 .50253 L
.4457 .50401 L
.44622 .50469 L
.44689 .50562 L
.44783 .50684 L
.4481 .50722 L
.44929 .50883 L
.44943 .50901 L
.45041 .51043 L
.45104 .51127 L
.45155 .51204 L
.45265 .51352 L
.45272 .51364 L
.45265 .51495 L
.45153 .51364 L
.45104 .51313 L
.45015 .51204 L
.44943 .51125 L
.44878 .51043 L
.44783 .50932 L
.44744 .50883 L
.44622 .50737 L
.44611 .50722 L
.44482 .50562 L
.44462 .50538 L
.44355 .50401 L
.44301 .50337 L
.44227 .50241 L
.44141 .50135 L
.44098 .5008 L
.4398 .4994 L
.4397 .4992 L
.43847 .49759 L
.4382 .49727 L
.43723 .49599 L
.43659 .4952 L
.43597 .49438 L
.43499 .49313 L
.43472 .49278 L
.43348 .49117 L
.43338 .49105 L
.43228 .48957 L
.43178 .48894 L
.43106 .48796 L
.43017 .48683 L
.42982 .48636 L
.42859 .48475 L
.42857 .48472 L
.42743 .48314 L
.42696 .48255 L
.42624 .48154 L
.42536 .48038 L
.42504 .47993 L
.42385 .47833 L
.42375 .4782 L
.42275 .47672 L
.42215 .47592 L
.42163 .47512 L
.42054 .47362 L
.42048 .47351 L
F
0 .64 1 r
.42054 .46581 m
.42181 .46709 L
.42215 .46741 L
.4233 .4687 L
.42375 .46917 L
.42473 .4703 L
.42536 .471 L
.42613 .47191 L
.42696 .47242 L
.4275 .47351 L
.42857 .47471 L
.42913 .47512 L
.43017 .47672 L
.43018 .47672 L
.43148 .47833 L
.43178 .47868 L
.43279 .47993 L
.43338 .48044 L
.43409 .48154 L
.43499 .4826 L
.43554 .48314 L
.43659 .48465 L
.43667 .48475 L
.43794 .48636 L
.4382 .48667 L
.43922 .48796 L
.4398 .48857 L
.44089 .48957 L
.44141 .4907 L
.44181 .49117 L
.44301 .49277 L
.44302 .49278 L
.44427 .49438 L
.44462 .49462 L
.44553 .49599 L
.44622 .4968 L
.44695 .49759 L
.44783 .49893 L
.44804 .4992 L
.44927 .5008 L
.44943 .501 L
.45051 .50241 L
.45104 .50293 L
.45213 .50401 L
.45265 .50511 L
.45306 .50562 L
.45424 .50722 L
.45425 .50723 L
.45547 .50883 L
.45586 .50905 L
.4567 .51043 L
.45746 .51131 L
.4581 .51204 L
.45907 .5135 L
.45918 .51364 L
.46039 .51525 L
.46067 .51562 L
.46161 .51686 L
.46228 .51752 L
.46317 .51846 L
.46388 .51979 L
.4641 .52007 L
.46527 .52167 L
.46549 .52195 L
.46647 .52328 L
.46709 .52366 L
.46769 .52488 L
.4687 .52613 L
.469 .52649 L
.4701 .52809 L
.4703 .52835 L
.47128 .5297 L
.47191 .53051 L
.47248 .5313 L
.47351 .53255 L
.47382 .53291 L
.47485 .53451 L
.47512 .53486 L
.47601 .53612 L
.47672 .53708 L
.47718 .53772 L
.47833 .5393 L
.47835 .53933 L
.47943 .54093 L
.47993 .54162 L
.48053 .54254 L
.48154 .544 L
.48163 .54414 L
.48154 .54569 L
.48007 .54414 L
.47993 .54401 L
.47863 .54254 L
.47833 .54222 L
.47723 .54093 L
.47672 .54037 L
.47586 .53933 L
.47512 .53848 L
.4745 .53772 L
.47351 .53667 L
.4727 .53612 L
.47191 .53462 L
.4718 .53451 L
.47053 .53291 L
.4703 .53264 L
.46923 .5313 L
.4687 .53093 L
.46793 .5297 L
.46709 .52873 L
.46642 .52809 L
.46549 .52665 L
.46534 .52649 L
.46409 .52488 L
.46388 .52463 L
.46282 .52328 L
.46228 .52275 L
.46102 .52167 L
.46067 .5206 L
.46019 .52007 L
.45907 .51851 L
.45903 .51846 L
.45778 .51686 L
.45746 .51671 L
.45653 .51525 L
.45586 .5145 L
.45504 .51364 L
.45425 .51235 L
.454 .51204 L
.45278 .51043 L
.45265 .51027 L
.45154 .50883 L
.45104 .50838 L
.44981 .50722 L
.44943 .50617 L
.44896 .50562 L
.44783 .50403 L
.44782 .50401 L
.4466 .50241 L
.44622 .50229 L
.44536 .5008 L
.44462 .49998 L
.44391 .4992 L
.44301 .49777 L
.44288 .49759 L
.44168 .49599 L
.44141 .49564 L
.44046 .49438 L
.4398 .49379 L
.4388 .49278 L
.4382 .49148 L
.43795 .49117 L
.4368 .48957 L
.43659 .4893 L
.4356 .48796 L
.43499 .48717 L
.43439 .48636 L
.43338 .48515 L
.43304 .48475 L
.43197 .48314 L
.43178 .4829 L
.43079 .48154 L
.43017 .48073 L
.4296 .47993 L
.42857 .47872 L
.42822 .47833 L
.42723 .47672 L
.42696 .47637 L
.42608 .47512 L
.42536 .47415 L
.42491 .47351 L
.42375 .47192 L
.42374 .47191 L
.42267 .4703 L
.42215 .46957 L
.4216 .4687 L
.42054 .46715 L
.42051 .46709 L
F
0 .15 1 r
.42054 .47918 m
.42104 .47993 L
.42215 .48117 L
.4224 .48154 L
.42215 .48202 L
.42182 .48154 L
.42054 .47998 L
.42051 .47993 L
F
1 .38 0 r
.42054 .48587 m
.42068 .48636 L
.42054 .48638 L
.42052 .48636 L
F
1 .27 0 r
.42054 .47259 m
.42136 .47351 L
.42215 .47429 L
.42283 .47512 L
.42375 .47613 L
.42423 .47672 L
.42536 .47802 L
.4256 .47833 L
.42693 .47993 L
.42696 .47997 L
.42821 .48154 L
.42857 .48196 L
.42949 .48314 L
.43017 .48395 L
.43079 .48475 L
.43178 .48596 L
.43208 .48636 L
.43337 .48796 L
.43338 .48798 L
.4346 .48957 L
.43499 .49004 L
.43585 .49117 L
.43659 .4921 L
.43711 .49278 L
.4382 .49394 L
.43837 .49438 L
.43959 .49599 L
.4398 .49624 L
.4408 .49759 L
.44141 .49835 L
.44203 .4992 L
.44301 .50045 L
.44328 .5008 L
.44449 .50241 L
.44462 .50257 L
.44566 .50401 L
.44622 .50473 L
.44686 .50562 L
.44783 .50688 L
.44807 .50722 L
.44925 .50883 L
.44943 .50907 L
.45036 .51043 L
.45104 .51133 L
.45151 .51204 L
.45265 .5136 L
.45267 .51364 L
.45265 .51485 L
.45161 .51364 L
.45104 .51306 L
.4502 .51204 L
.44943 .51119 L
.44883 .51043 L
.44783 .50928 L
.44747 .50883 L
.44622 .50733 L
.44614 .50722 L
.44486 .50562 L
.44462 .50534 L
.44359 .50401 L
.44301 .50333 L
.4423 .50241 L
.44141 .50132 L
.44101 .5008 L
.4398 .49935 L
.43973 .4992 L
.4385 .49759 L
.4382 .49723 L
.43725 .49599 L
.43659 .49517 L
.436 .49438 L
.43499 .4931 L
.43474 .49278 L
.43351 .49117 L
.43338 .49102 L
.43231 .48957 L
.43178 .4889 L
.43108 .48796 L
.43017 .48679 L
.42985 .48636 L
.42863 .48475 L
.42857 .48468 L
.42746 .48314 L
.42696 .4825 L
.42628 .48154 L
.42536 .48034 L
.42507 .47993 L
.4239 .47833 L
.42375 .47814 L
.4228 .47672 L
.42215 .47585 L
.42168 .47512 L
.42054 .47352 L
.42054 .47351 L
F
1 .88 .024 r
.42215 .46067 m
.42215 .46067 L
.42368 .46228 L
.42375 .46235 L
.42515 .46388 L
.42536 .46411 L
.42657 .46549 L
.42696 .46592 L
.42797 .46709 L
.42857 .4677 L
.42935 .4687 L
.43017 .46969 L
.4308 .4703 L
.43178 .47165 L
.43199 .47191 L
.43334 .47351 L
.43338 .47354 L
.43466 .47512 L
.43499 .4755 L
.43622 .47672 L
.43659 .47753 L
.43726 .47833 L
.4382 .47957 L
.43843 .47993 L
.4398 .48152 L
.43983 .48154 L
.44111 .48314 L
.44141 .48353 L
.44245 .48475 L
.44301 .4856 L
.44356 .48636 L
.44462 .48768 L
.44471 .48796 L
.44618 .48957 L
.44622 .48962 L
.44758 .49117 L
.44783 .49169 L
.44867 .49278 L
.44943 .4938 L
.44978 .49438 L
.45104 .49587 L
.4512 .49599 L
.45245 .49759 L
.45265 .49784 L
.45375 .4992 L
.45425 .49995 L
.45484 .5008 L
.45586 .50207 L
.45595 .50241 L
.45743 .50401 L
.45746 .50405 L
.4588 .50562 L
.45907 .50614 L
.45989 .50722 L
.46067 .50826 L
.46099 .50883 L
.46228 .51034 L
.46239 .51043 L
.46385 .51204 L
.46388 .51235 L
.46493 .51364 L
.46549 .51447 L
.46602 .51525 L
.46709 .51659 L
.46715 .51686 L
.46857 .51846 L
.4687 .51859 L
.46997 .52007 L
.4703 .5207 L
.47103 .52167 L
.47191 .52283 L
.47215 .52328 L
.4735 .52488 L
.47351 .52489 L
.47504 .52649 L
.47512 .52694 L
.47605 .52809 L
.47672 .52908 L
.47713 .5297 L
.47833 .5312 L
.47835 .5313 L
.47964 .53291 L
.47993 .53318 L
.48108 .53451 L
.48154 .53534 L
.48212 .53612 L
.48314 .53749 L
.48327 .53772 L
.48454 .53933 L
.48475 .53944 L
.48617 .54093 L
.48636 .5416 L
.4871 .54254 L
.48796 .54379 L
.48819 .54414 L
.48943 .54575 L
.48957 .54593 L
.49064 .54735 L
.49117 .54785 L
.49209 .54896 L
.49278 .55011 L
.49311 .55057 L
.49429 .55217 L
.49438 .55229 L
.49548 .55378 L
.49599 .55407 L
.49714 .55538 L
.49759 .55646 L
.49799 .55699 L
.4991 .55859 L
.4992 .55872 L
.50028 .5602 L
.5008 .56089 L
.50147 .5618 L
.50241 .56289 L
.5028 .56341 L
.50383 .56501 L
.50401 .56525 L
.50497 .56662 L
.50562 .56749 L
.50613 .56822 L
.50722 .56973 L
.50736 .56983 L
.50837 .57143 L
.50883 .57208 L
.50944 .57304 L
.51043 .57451 L
.51051 .57464 L
.51132 .57625 L
.51043 .57639 L
.51029 .57625 L
.50883 .57494 L
.50866 .57464 L
.50722 .57311 L
.50709 .57304 L
.50574 .57143 L
.50562 .57131 L
.50434 .56983 L
.50401 .56946 L
.50296 .56822 L
.50241 .5677 L
.5016 .56662 L
.5008 .56568 L
.50009 .56501 L
.4992 .5637 L
.49894 .56341 L
.49763 .5618 L
.49759 .56178 L
.49632 .5602 L
.49599 .55982 L
.49467 .55859 L
.49438 .55778 L
.49369 .55699 L
.49278 .55573 L
.49253 .55538 L
.49118 .55378 L
.49117 .55377 L
.48991 .55217 L
.48957 .55175 L
.4885 .55057 L
.48796 .54967 L
.48741 .54896 L
.48636 .5476 L
.48624 .54735 L
.48486 .54575 L
.48475 .54563 L
.48335 .54414 L
.48314 .54356 L
.48231 .54254 L
.48154 .54145 L
.4812 .54093 L
.47993 .5394 L
.47985 .53933 L
.47861 .53772 L
.47833 .53739 L
.47723 .53612 L
.47672 .53528 L
.47615 .53451 L
.47512 .53318 L
.475 .53291 L
.47364 .5313 L
.47351 .53118 L
.47215 .5297 L
.47191 .52909 L
.47111 .52809 L
.4703 .52696 L
.47 .52649 L
.4687 .5249 L
.46868 .52488 L
.46745 .52328 L
.46709 .52288 L
.46606 .52167 L
.46549 .52074 L
.46499 .52007 L
.46388 .51863 L
.46381 .51846 L
.46251 .51686 L
.46228 .51664 L
.46099 .51525 L
.46067 .51452 L
.45998 .51364 L
.45907 .51238 L
.45886 .51204 L
.45758 .51043 L
.45746 .51038 L
.45636 .50883 L
.45586 .50829 L
.45496 .50722 L
.45425 .50612 L
.45389 .50562 L
.45265 .50401 L
.45265 .504 L
.45144 .50241 L
.45104 .50207 L
.44989 .5008 L
.44943 .49987 L
.44891 .4992 L
.44783 .49771 L
.44776 .49759 L
.44654 .49599 L
.44622 .49588 L
.44532 .49438 L
.44462 .49362 L
.44392 .49278 L
.44301 .4914 L
.44285 .49117 L
.44165 .48957 L
.44141 .48926 L
.44044 .48796 L
.4398 .48739 L
.43891 .48636 L
.4382 .48509 L
.43794 .48475 L
.43679 .48314 L
.43659 .4829 L
.43559 .48154 L
.43499 .48076 L
.43438 .47993 L
.43338 .47873 L
.43307 .47833 L
.43197 .47672 L
.43178 .47648 L
.43079 .47512 L
.43017 .47431 L
.4296 .47351 L
.42857 .47229 L
.42827 .47191 L
.42723 .4703 L
.42696 .46995 L
.42609 .4687 L
.42536 .46772 L
.42493 .46709 L
.42375 .46549 L
.42375 .46548 L
.42269 .46388 L
.42215 .46311 L
.42163 .46228 L
.42056 .46067 L
F
1 .87 .018 r
.42215 .41842 m
.42272 .41894 L
.42375 .41955 L
.42435 .42054 L
.42536 .42152 L
.42582 .42215 L
.42696 .42345 L
.4273 .42375 L
.42852 .42536 L
.42857 .42541 L
.4298 .42696 L
.43017 .42743 L
.43105 .42857 L
.43178 .4292 L
.43258 .43017 L
.43338 .43167 L
.43345 .43178 L
.4345 .43338 L
.43499 .43421 L
.4354 .43499 L
.43499 .43623 L
.43338 .4353 L
.4331 .43499 L
.43178 .4337 L
.43123 .43338 L
.43017 .43184 L
.43011 .43178 L
.42883 .43017 L
.42857 .42985 L
.42757 .42857 L
.42696 .42779 L
.42634 .42696 L
.42536 .42582 L
.42499 .42536 L
.42397 .42375 L
.42375 .42345 L
.42287 .42215 L
.42215 .42107 L
.42181 .42054 L
.42093 .41894 L
F
1 .86 .013 r
.42215 .41867 m
.42246 .41894 L
.42375 .41977 L
.4242 .42054 L
.42536 .42167 L
.4257 .42215 L
.42696 .42358 L
.42716 .42375 L
.42843 .42536 L
.42857 .42552 L
.42971 .42696 L
.43017 .42754 L
.43097 .42857 L
.43178 .42934 L
.43247 .43017 L
.43334 .43178 L
.43338 .43184 L
.43438 .43338 L
.43499 .43448 L
.43523 .43499 L
.43499 .43591 L
.43338 .43512 L
.43326 .43499 L
.43178 .43357 L
.43144 .43338 L
.43021 .43178 L
.43017 .43173 L
.42891 .43017 L
.42857 .42975 L
.42765 .42857 L
.42696 .42769 L
.42642 .42696 L
.42536 .42567 L
.42511 .42536 L
.42407 .42375 L
.42375 .42331 L
.42298 .42215 L
.42215 .42088 L
.42194 .42054 L
.42122 .41894 L
F
.538 .98 1 r
.42215 .41236 m
.42247 .41251 L
.42375 .41323 L
.42488 .41412 L
.42536 .4146 L
.42653 .41572 L
.42696 .41627 L
.42818 .41733 L
.42857 .41815 L
.42934 .41894 L
.43017 .42018 L
.4305 .42054 L
.43178 .42187 L
.432 .42215 L
.43337 .42375 L
.43338 .42391 L
.43456 .42536 L
.43499 .42601 L
.43566 .42696 L
.43659 .42813 L
.43671 .42857 L
.4382 .43014 L
.43826 .43017 L
.43958 .43178 L
.4398 .43208 L
.44065 .43338 L
.44141 .43418 L
.44169 .43499 L
.44297 .43659 L
.44301 .43667 L
.44429 .4382 L
.44301 .43888 L
.44141 .43887 L
.44013 .4382 L
.4398 .43796 L
.43852 .43659 L
.4382 .43611 L
.43719 .43499 L
.43659 .43419 L
.43573 .43338 L
.43499 .43216 L
.43464 .43178 L
.4334 .43017 L
.43338 .43014 L
.43219 .42857 L
.43178 .42828 L
.43062 .42696 L
.43017 .42607 L
.42965 .42536 L
.42857 .42385 L
.42851 .42375 L
.42731 .42215 L
.42696 .42168 L
.42612 .42054 L
.42536 .4195 L
.42477 .41894 L
.42378 .41733 L
.42375 .41729 L
.42272 .41572 L
.42215 .41481 L
.42176 .41412 L
.42155 .41251 L
F
1 .98 .538 r
.42215 .36281 m
.4237 .36436 L
.42375 .3644 L
.4252 .36596 L
.42536 .36612 L
.42664 .36757 L
.42696 .36792 L
.42804 .36917 L
.42857 .36968 L
.42942 .37078 L
.43017 .37166 L
.43098 .37238 L
.43178 .37363 L
.43211 .37399 L
.43338 .37556 L
.43341 .37559 L
.43472 .3772 L
.43499 .3775 L
.43639 .3788 L
.43659 .37953 L
.43738 .38041 L
.4382 .38159 L
.43853 .38201 L
.4398 .38358 L
.43981 .38362 L
.44113 .38523 L
.44141 .38556 L
.44256 .38683 L
.44301 .38765 L
.44365 .38844 L
.44462 .38974 L
.44479 .39004 L
.44617 .39165 L
.44622 .3917 L
.44768 .39325 L
.44783 .39378 L
.44873 .39486 L
.44943 .39589 L
.44984 .39646 L
.45104 .39796 L
.45104 .39807 L
.45241 .39967 L
.45265 .39996 L
.4538 .40128 L
.45425 .40207 L
.45488 .40288 L
.45586 .40418 L
.45602 .40449 L
.45737 .40609 L
.45746 .40618 L
.45888 .4077 L
.45907 .40827 L
.45992 .4093 L
.46067 .4104 L
.46102 .41091 L
.46228 .41247 L
.46233 .41251 L
.46356 .41412 L
.46388 .41449 L
.46497 .41572 L
.46549 .41662 L
.46604 .41733 L
.46709 .41873 L
.46719 .41894 L
.4685 .42054 L
.4687 .42073 L
.47004 .42215 L
.4703 .42284 L
.47105 .42375 L
.47191 .42497 L
.47217 .42536 L
.47344 .42696 L
.47351 .427 L
.47466 .42857 L
.47512 .42907 L
.47609 .43017 L
.47672 .43121 L
.47715 .43178 L
.47833 .43333 L
.47835 .43338 L
.47959 .43499 L
.47993 .43529 L
.48117 .43659 L
.48154 .43745 L
.48215 .4382 L
.48314 .43959 L
.48328 .4398 L
.48452 .44141 L
.48475 .44151 L
.48574 .44301 L
.48636 .44366 L
.48718 .44462 L
.48796 .44584 L
.48825 .44622 L
.48945 .44783 L
.48957 .44797 L
.49067 .44943 L
.49117 .44986 L
.49225 .45104 L
.49278 .45208 L
.49323 .45265 L
.49438 .45425 L
.49438 .45425 L
.49559 .45586 L
.49599 .45602 L
.49681 .45746 L
.49759 .4583 L
.49823 .45907 L
.4992 .46052 L
.49931 .46067 L
.50051 .46228 L
.5008 .46265 L
.50172 .46388 L
.50241 .46449 L
.50328 .46549 L
.50401 .46678 L
.50426 .46709 L
.50542 .4687 L
.50562 .46894 L
.50663 .4703 L
.50722 .47106 L
.50785 .47191 L
.50883 .47303 L
.50922 .47351 L
.51033 .47512 L
.51043 .47526 L
.51152 .47672 L
.51204 .47738 L
.51274 .47833 L
.51364 .4793 L
.51417 .47993 L
.51521 .48154 L
.51525 .4816 L
.51639 .48314 L
.51686 .48374 L
.51759 .48475 L
.51846 .48563 L
.51905 .48636 L
.52004 .48796 L
.52007 .48799 L
.52122 .48957 L
.52167 .49015 L
.52241 .49117 L
.52328 .4923 L
.52385 .49278 L
.52483 .49438 L
.52488 .49445 L
.52599 .49599 L
.52649 .49664 L
.52715 .49759 L
.52809 .49885 L
.52833 .4992 L
.52946 .5008 L
.5297 .50114 L
.53032 .50241 L
.5297 .50253 L
.52949 .50241 L
.52809 .50147 L
.52709 .5008 L
.52649 .50036 L
.52492 .4992 L
.52488 .49917 L
.52328 .49775 L
.5231 .49759 L
.52167 .49606 L
.5216 .49599 L
.52024 .49438 L
.52007 .49417 L
.5188 .49278 L
.51846 .49216 L
.51763 .49117 L
.51686 .49009 L
.51644 .48957 L
.51525 .48798 L
.51524 .48796 L
.51396 .48636 L
.51364 .48586 L
.51279 .48475 L
.51204 .48372 L
.51162 .48314 L
.51043 .48158 L
.51041 .48154 L
.50917 .47993 L
.50883 .47946 L
.50804 .47833 L
.50722 .47732 L
.50697 .47672 L
.50562 .47522 L
.5055 .47512 L
.50429 .47351 L
.50401 .47314 L
.50322 .47191 L
.50241 .47094 L
.50174 .4703 L
.5008 .46906 L
.50051 .4687 L
.49929 .46709 L
.4992 .46696 L
.49818 .46549 L
.49759 .46476 L
.49728 .46388 L
.49599 .46286 L
.49552 .46228 L
.49438 .46078 L
.4943 .46067 L
.49311 .45907 L
.49278 .45863 L
.49208 .45746 L
.49117 .4564 L
.49054 .45586 L
.48957 .45456 L
.48932 .45425 L
.4881 .45265 L
.48796 .45245 L
.48699 .45104 L
.48636 .45027 L
.48606 .44943 L
.48475 .44804 L
.48436 .44783 L
.48314 .44623 L
.48314 .44622 L
.48196 .44462 L
.48154 .44408 L
.48092 .44301 L
.47993 .44189 L
.47941 .44141 L
.47833 .43998 L
.47819 .4398 L
.47696 .4382 L
.47672 .43786 L
.47587 .43659 L
.47512 .43569 L
.47492 .43499 L
.47351 .43354 L
.47325 .43338 L
.472 .43178 L
.47191 .43161 L
.47085 .43017 L
.4703 .42947 L
.46982 .42857 L
.4687 .42732 L
.46832 .42696 L
.4671 .42536 L
.46709 .42534 L
.46586 .42375 L
.46549 .42323 L
.46477 .42215 L
.46388 .42109 L
.46378 .42054 L
.46228 .41901 L
.46218 .41894 L
.46088 .41733 L
.46067 .41698 L
.45976 .41572 L
.45907 .41484 L
.45871 .41412 L
.45746 .41272 L
.45726 .41251 L
.45591 .41091 L
.45586 .41071 L
.45477 .4093 L
.45425 .40858 L
.45369 .4077 L
.45265 .40644 L
.45261 .40609 L
.45113 .40449 L
.45104 .40441 L
.44978 .40288 L
.44943 .40232 L
.4487 .40128 L
.44783 .40016 L
.44761 .39967 L
.44623 .39807 L
.44622 .39807 L
.44476 .39646 L
.44462 .39604 L
.44372 .39486 L
.44301 .39387 L
.44264 .39325 L
.44141 .39172 L
.44141 .39165 L
.44014 .39004 L
.4398 .38977 L
.43874 .38844 L
.4382 .38755 L
.43771 .38683 L
.43659 .38535 L
.43654 .38523 L
.43531 .38362 L
.43499 .3832 L
.43372 .38201 L
.43338 .3812 L
.43282 .38041 L
.43178 .37891 L
.43171 .3788 L
.43053 .3772 L
.43017 .37671 L
.42936 .37559 L
.42857 .37477 L
.42801 .37399 L
.42701 .37238 L
.42696 .37232 L
.42589 .37078 L
.42536 .37004 L
.42476 .36917 L
.42375 .36774 L
.42352 .36757 L
.42259 .36596 L
.42215 .3653 L
.42159 .36436 L
F
1 .96 .289 r
.42215 .37635 m
.42289 .3772 L
.42375 .37809 L
.42435 .3788 L
.42536 .37992 L
.42575 .38041 L
.42696 .38163 L
.42713 .38201 L
.42846 .38362 L
.42857 .38374 L
.42976 .38523 L
.43017 .38571 L
.43106 .38683 L
.43178 .38769 L
.43236 .38844 L
.43338 .38951 L
.43366 .39004 L
.43496 .39165 L
.43499 .39168 L
.43621 .39325 L
.43659 .39372 L
.43747 .39486 L
.4382 .39575 L
.43874 .39646 L
.4398 .39769 L
.44021 .39807 L
.44128 .39967 L
.44141 .39984 L
.44251 .40128 L
.44301 .4019 L
.44375 .40288 L
.44462 .40371 L
.44501 .40449 L
.44622 .406 L
.44631 .40609 L
.4475 .4077 L
.44783 .40811 L
.44872 .4093 L
.44943 .41019 L
.44997 .41091 L
.45104 .41217 L
.45138 .41251 L
.45245 .41412 L
.45265 .41436 L
.45366 .41572 L
.45425 .41647 L
.45489 .41733 L
.45586 .41833 L
.45613 .41894 L
.45737 .42054 L
.45746 .42066 L
.45856 .42215 L
.45907 .42279 L
.45977 .42375 L
.46067 .4249 L
.461 .42536 L
.46224 .42696 L
.46228 .42701 L
.46341 .42857 L
.46388 .42917 L
.4646 .43017 L
.46549 .43132 L
.46581 .43178 L
.46704 .43338 L
.46709 .43346 L
.46818 .43499 L
.4687 .43566 L
.46934 .43659 L
.4703 .43786 L
.47053 .4382 L
.47168 .4398 L
.47191 .44011 L
.47275 .44141 L
.47351 .44248 L
.47382 .44301 L
.47351 .44386 L
.47268 .44301 L
.47191 .44224 L
.47115 .44141 L
.4703 .44048 L
.4697 .4398 L
.4687 .43902 L
.4683 .4382 L
.46709 .43679 L
.46682 .43659 L
.46561 .43499 L
.46549 .43484 L
.46429 .43338 L
.46388 .43289 L
.46297 .43178 L
.46228 .4311 L
.46166 .43017 L
.46067 .42895 L
.4603 .42857 L
.4591 .42696 L
.45907 .42692 L
.45782 .42536 L
.45746 .42525 L
.45654 .42375 L
.45586 .42296 L
.45501 .42215 L
.45425 .42085 L
.45401 .42054 L
.45275 .41894 L
.45265 .4188 L
.45149 .41733 L
.45104 .41692 L
.44959 .41572 L
.44943 .41473 L
.44891 .41412 L
.44783 .41262 L
.44776 .41251 L
.4465 .41091 L
.44622 .41088 L
.44526 .4093 L
.44462 .40858 L
.4438 .4077 L
.44301 .4064 L
.44279 .40609 L
.44156 .40449 L
.44141 .40429 L
.44033 .40288 L
.4398 .40243 L
.43857 .40128 L
.4382 .40013 L
.43783 .39967 L
.43667 .39807 L
.43659 .39796 L
.43547 .39646 L
.43499 .39583 L
.43425 .39486 L
.43338 .39382 L
.43289 .39325 L
.43186 .39165 L
.43178 .39154 L
.43067 .39004 L
.43017 .38937 L
.42948 .38844 L
.42857 .38741 L
.42802 .38683 L
.42714 .38523 L
.42696 .38498 L
.426 .38362 L
.42536 .38273 L
.42485 .38201 L
.42375 .38046 L
.42372 .38041 L
.42267 .3788 L
.42215 .37804 L
.42163 .3772 L
F
0 .63 1 r
.42215 .46752 m
.42321 .4687 L
.42375 .46925 L
.42466 .4703 L
.42536 .47107 L
.42607 .47191 L
.42696 .47249 L
.42745 .47351 L
.42857 .47477 L
.42905 .47512 L
.43013 .47672 L
.43017 .47677 L
.43144 .47833 L
.43178 .47873 L
.43275 .47993 L
.43338 .48048 L
.43406 .48154 L
.43499 .48264 L
.4355 .48314 L
.43659 .48469 L
.43664 .48475 L
.43791 .48636 L
.4382 .4867 L
.43919 .48796 L
.4398 .4886 L
.44086 .48957 L
.44141 .49073 L
.44179 .49117 L
.443 .49278 L
.44301 .4928 L
.44425 .49438 L
.44462 .49464 L
.4455 .49599 L
.44622 .49683 L
.44693 .49759 L
.44783 .49896 L
.44802 .4992 L
.44925 .5008 L
.44943 .50103 L
.45049 .50241 L
.45104 .50295 L
.45211 .50401 L
.45265 .50514 L
.45304 .50562 L
.45422 .50722 L
.45425 .50726 L
.45545 .50883 L
.45586 .50906 L
.45668 .51043 L
.45746 .51134 L
.45807 .51204 L
.45907 .51352 L
.45916 .51364 L
.46037 .51525 L
.46067 .51564 L
.46159 .51686 L
.46228 .51754 L
.46314 .51846 L
.46388 .51982 L
.46408 .52007 L
.46525 .52167 L
.46549 .52198 L
.46645 .52328 L
.46709 .52369 L
.46766 .52488 L
.4687 .52616 L
.46897 .52649 L
.47007 .52809 L
.4703 .52839 L
.47126 .5297 L
.47191 .53055 L
.47245 .5313 L
.47351 .53261 L
.47377 .53291 L
.47482 .53451 L
.47512 .53491 L
.47597 .53612 L
.47672 .53713 L
.47714 .53772 L
.47831 .53933 L
.47833 .53936 L
.47938 .54093 L
.47993 .54171 L
.48046 .54254 L
.48154 .54412 L
.48156 .54414 L
.48154 .54552 L
.48019 .54414 L
.47993 .5439 L
.47872 .54254 L
.47833 .54214 L
.4773 .54093 L
.47672 .5403 L
.47591 .53933 L
.47512 .53842 L
.47454 .53772 L
.47351 .53661 L
.47278 .53612 L
.47191 .53457 L
.47185 .53451 L
.47057 .53291 L
.4703 .5326 L
.46926 .5313 L
.4687 .5309 L
.46796 .5297 L
.46709 .52869 L
.46646 .52809 L
.46549 .52662 L
.46537 .52649 L
.46412 .52488 L
.46388 .52459 L
.46285 .52328 L
.46228 .52272 L
.46104 .52167 L
.46067 .52057 L
.46022 .52007 L
.45907 .51849 L
.45905 .51846 L
.4578 .51686 L
.45746 .51669 L
.45655 .51525 L
.45586 .51448 L
.45506 .51364 L
.45425 .51233 L
.45402 .51204 L
.4528 .51043 L
.45265 .51024 L
.45156 .50883 L
.45104 .50836 L
.44983 .50722 L
.44943 .50615 L
.44898 .50562 L
.44783 .50401 L
.44783 .50401 L
.44661 .50241 L
.44622 .50228 L
.44538 .5008 L
.44462 .49995 L
.44394 .4992 L
.44301 .49774 L
.4429 .49759 L
.4417 .49599 L
.44141 .49562 L
.44048 .49438 L
.4398 .49377 L
.43883 .49278 L
.4382 .49145 L
.43797 .49117 L
.43682 .48957 L
.43659 .48927 L
.43562 .48796 L
.43499 .48714 L
.43441 .48636 L
.43338 .4851 L
.43308 .48475 L
.432 .48314 L
.43178 .48286 L
.43082 .48154 L
.43017 .48069 L
.42963 .47993 L
.42857 .47866 L
.42828 .47833 L
.42726 .47672 L
.42696 .47632 L
.42612 .47512 L
.42536 .47409 L
.42496 .47351 L
.42379 .47191 L
.42375 .47185 L
.42273 .4703 L
.42215 .46948 L
.42167 .4687 L
F
1 .26 0 r
.42215 .47437 m
.42277 .47512 L
.42375 .47619 L
.42418 .47672 L
.42536 .47807 L
.42556 .47833 L
.42689 .47993 L
.42696 .48001 L
.42817 .48154 L
.42857 .482 L
.42946 .48314 L
.43017 .48399 L
.43076 .48475 L
.43178 .486 L
.43206 .48636 L
.43334 .48796 L
.43338 .48802 L
.43457 .48957 L
.43499 .49008 L
.43582 .49117 L
.43659 .49213 L
.43708 .49278 L
.4382 .494 L
.43834 .49438 L
.43957 .49599 L
.4398 .49628 L
.44078 .49759 L
.44141 .49838 L
.44201 .4992 L
.44301 .50048 L
.44325 .5008 L
.44446 .50241 L
.44462 .50261 L
.44563 .50401 L
.44622 .50477 L
.44683 .50562 L
.44783 .50692 L
.44804 .50722 L
.4492 .50883 L
.44943 .50912 L
.45031 .51043 L
.45104 .51139 L
.45146 .51204 L
.45104 .51299 L
.45026 .51204 L
.44943 .51114 L
.44887 .51043 L
.44783 .50923 L
.44751 .50883 L
.44622 .50729 L
.44617 .50722 L
.4449 .50562 L
.44462 .50529 L
.44362 .50401 L
.44301 .50329 L
.44233 .50241 L
.44141 .50128 L
.44104 .5008 L
.4398 .49929 L
.43976 .4992 L
.43853 .49759 L
.4382 .4972 L
.43728 .49599 L
.43659 .49513 L
.43603 .49438 L
.43499 .49307 L
.43477 .49278 L
.43354 .49117 L
.43338 .49098 L
.43233 .48957 L
.43178 .48887 L
.43111 .48796 L
.43017 .48676 L
.42988 .48636 L
.42866 .48475 L
.42857 .48463 L
.4275 .48314 L
.42696 .48246 L
.42631 .48154 L
.42536 .48029 L
.42511 .47993 L
.42395 .47833 L
.42375 .47808 L
.42286 .47672 L
.42215 .47577 L
.42174 .47512 L
F
0 .62 1 r
.42215 .46765 m
.42311 .4687 L
.42375 .46934 L
.42459 .4703 L
.42536 .47114 L
.42601 .47191 L
.42696 .47258 L
.4274 .47351 L
.42857 .47484 L
.42896 .47512 L
.43009 .47672 L
.43017 .47682 L
.4314 .47833 L
.43178 .47877 L
.43272 .47993 L
.43338 .48052 L
.43403 .48154 L
.43499 .48268 L
.43547 .48314 L
.43659 .48472 L
.43661 .48475 L
.43789 .48636 L
.4382 .48674 L
.43916 .48796 L
.4398 .48863 L
.44083 .48957 L
.44141 .49077 L
.44176 .49117 L
.44297 .49278 L
.44301 .49283 L
.44422 .49438 L
.44462 .49466 L
.44548 .49599 L
.44622 .49685 L
.44691 .49759 L
.44783 .49898 L
.448 .4992 L
.44923 .5008 L
.44943 .50106 L
.45047 .50241 L
.45104 .50297 L
.45209 .50401 L
.45265 .50516 L
.45302 .50562 L
.4542 .50722 L
.45425 .50728 L
.45543 .50883 L
.45586 .50908 L
.45666 .51043 L
.45746 .51137 L
.45805 .51204 L
.45907 .51355 L
.45914 .51364 L
.46034 .51525 L
.46067 .51567 L
.46156 .51686 L
.46228 .51757 L
.46312 .51846 L
.46388 .51985 L
.46405 .52007 L
.46522 .52167 L
.46549 .52201 L
.46643 .52328 L
.46709 .52373 L
.46764 .52488 L
.4687 .5262 L
.46893 .52649 L
.47005 .52809 L
.4703 .52842 L
.47123 .5297 L
.47191 .53059 L
.47243 .5313 L
.47351 .53267 L
.47372 .53291 L
.47478 .53451 L
.47512 .53496 L
.47593 .53612 L
.47672 .53719 L
.4771 .53772 L
.47825 .53933 L
.47833 .53943 L
.47931 .54093 L
.47993 .5418 L
.48039 .54254 L
.47993 .54379 L
.4788 .54254 L
.47833 .54205 L
.47736 .54093 L
.47672 .54023 L
.47596 .53933 L
.47512 .53836 L
.47459 .53772 L
.47351 .53654 L
.47287 .53612 L
.47191 .53451 L
.47191 .53451 L
.4706 .53291 L
.4703 .53255 L
.4693 .5313 L
.4687 .53086 L
.46799 .5297 L
.46709 .52865 L
.46649 .52809 L
.46549 .52658 L
.4654 .52649 L
.46414 .52488 L
.46388 .52456 L
.46287 .52328 L
.46228 .5227 L
.46107 .52167 L
.46067 .52054 L
.46025 .52007 L
.45907 .51846 L
.45907 .51846 L
.45782 .51686 L
.45746 .51668 L
.45657 .51525 L
.45586 .51445 L
.45508 .51364 L
.45425 .5123 L
.45404 .51204 L
.45282 .51043 L
.45265 .51022 L
.45158 .50883 L
.45104 .50834 L
.44985 .50722 L
.44943 .50612 L
.44901 .50562 L
.44785 .50401 L
.44783 .50398 L
.44663 .50241 L
.44622 .50226 L
.4454 .5008 L
.44462 .49992 L
.44396 .4992 L
.44301 .49772 L
.44292 .49759 L
.44172 .49599 L
.44141 .49559 L
.4405 .49438 L
.4398 .49374 L
.43886 .49278 L
.4382 .49142 L
.438 .49117 L
.43684 .48957 L
.43659 .48924 L
.43564 .48796 L
.43499 .48711 L
.43443 .48636 L
.43338 .48506 L
.43311 .48475 L
.43203 .48314 L
.43178 .48282 L
.43085 .48154 L
.43017 .48065 L
.42965 .47993 L
.42857 .47859 L
.42833 .47833 L
.4273 .47672 L
.42696 .47627 L
.42616 .47512 L
.42536 .47404 L
.425 .47351 L
.42385 .47191 L
.42375 .47178 L
.4228 .4703 L
.42215 .46937 L
.42174 .4687 L
F
1 .98 .538 r
.42215 .44048 m
.42375 .44037 L
.42536 .44121 L
.42566 .44141 L
.42696 .44293 L
.42704 .44301 L
.42832 .44462 L
.42857 .44484 L
.42957 .44622 L
.43017 .44688 L
.43125 .44783 L
.43178 .44899 L
.43219 .44943 L
.43333 .45104 L
.43338 .4511 L
.43454 .45265 L
.43499 .45321 L
.43577 .45425 L
.43659 .45509 L
.43721 .45586 L
.4382 .45737 L
.43826 .45746 L
.43944 .45907 L
.4398 .45954 L
.44064 .46067 L
.44141 .46169 L
.44221 .46228 L
.44301 .46385 L
.44305 .46388 L
.44411 .46549 L
.44462 .4663 L
.445 .46709 L
.44462 .46792 L
.44301 .46736 L
.44259 .46709 L
.44141 .46629 L
.44047 .46549 L
.4398 .46485 L
.43919 .46388 L
.4382 .46316 L
.4374 .46228 L
.43659 .46132 L
.43604 .46067 L
.43499 .45937 L
.43474 .45907 L
.43346 .45746 L
.43338 .45733 L
.43231 .45586 L
.43178 .45517 L
.43134 .45425 L
.43017 .45294 L
.42966 .45265 L
.42857 .45119 L
.42845 .45104 L
.42725 .44943 L
.42696 .44908 L
.42621 .44783 L
.42536 .44693 L
.42479 .44622 L
.42375 .44475 L
.42365 .44462 L
.42249 .44301 L
.42215 .44227 L
.42177 .44141 L
F
.538 .98 1 r
.42215 .45473 m
.42337 .45586 L
.42375 .45619 L
.42503 .45746 L
.42536 .45777 L
.42661 .45907 L
.42696 .45943 L
.42813 .46067 L
.42857 .46112 L
.42962 .46228 L
.43017 .463 L
.4311 .46388 L
.43178 .46492 L
.43226 .46549 L
.43338 .46691 L
.43348 .46709 L
.43499 .46851 L
.43515 .4687 L
.43647 .4703 L
.43659 .47047 L
.43779 .47191 L
.4382 .47252 L
.43894 .47351 L
.4398 .47462 L
.44004 .47512 L
.44141 .47642 L
.44166 .47672 L
.44293 .47833 L
.44301 .47848 L
.44412 .47993 L
.44462 .48061 L
.4452 .48154 L
.44622 .4828 L
.44673 .48314 L
.44783 .48458 L
.44796 .48475 L
.4492 .48636 L
.44943 .4867 L
.45031 .48796 L
.45104 .48889 L
.45125 .48957 L
.45265 .49076 L
.45297 .49117 L
.45421 .49278 L
.45425 .49285 L
.45537 .49438 L
.45586 .49502 L
.45639 .49599 L
.45746 .49726 L
.45795 .49759 L
.45907 .49906 L
.45917 .4992 L
.46039 .5008 L
.46067 .50119 L
.46148 .50241 L
.46228 .5034 L
.46291 .50401 L
.46388 .5053 L
.46414 .50562 L
.46538 .50722 L
.46549 .50741 L
.46652 .50883 L
.46709 .50957 L
.46753 .51043 L
.4687 .51176 L
.46909 .51204 L
.4703 .51364 L
.4703 .51365 L
.47153 .51525 L
.47191 .51578 L
.4726 .51686 L
.47351 .51795 L
.47403 .51846 L
.47512 .52004 L
.47525 .52007 L
.47651 .52167 L
.47672 .52201 L
.47763 .52328 L
.47833 .52416 L
.47866 .52488 L
.47993 .52629 L
.48018 .52649 L
.48147 .52809 L
.48154 .52826 L
.48264 .5297 L
.48314 .53039 L
.48371 .5313 L
.48475 .53253 L
.48512 .53291 L
.48634 .53451 L
.48636 .53454 L
.48764 .53612 L
.48796 .53663 L
.48874 .53772 L
.48957 .53877 L
.48979 .53933 L
.49117 .54085 L
.49127 .54093 L
.49263 .54254 L
.49278 .54288 L
.49374 .54414 L
.49438 .54501 L
.49483 .54575 L
.49599 .54713 L
.49619 .54735 L
.49741 .54896 L
.49759 .54914 L
.49875 .55057 L
.4992 .55126 L
.49983 .55217 L
.5008 .55339 L
.50094 .55378 L
.50233 .55538 L
.50241 .55543 L
.50377 .55699 L
.50401 .5575 L
.50483 .55859 L
.50562 .55965 L
.50593 .5602 L
.50722 .56177 L
.50725 .5618 L
.50847 .56341 L
.50883 .56375 L
.50984 .56501 L
.51043 .56591 L
.51091 .56662 L
.51204 .56806 L
.51209 .56822 L
.51337 .56983 L
.51364 .56998 L
.51488 .57143 L
.51525 .57217 L
.51589 .57304 L
.51686 .57436 L
.51701 .57464 L
.51827 .57625 L
.51846 .5765 L
.51948 .57785 L
.52007 .57842 L
.52086 .57946 L
.52167 .58067 L
.52193 .58106 L
.52314 .58267 L
.52328 .58285 L
.52434 .58428 L
.52488 .58463 L
.52585 .58588 L
.52649 .58701 L
.52682 .58749 L
.52797 .58909 L
.52809 .58925 L
.52915 .5907 L
.5297 .59142 L
.53088 .5923 L
.5313 .59343 L
.53164 .59391 L
.53271 .59551 L
.53291 .59577 L
.53386 .59712 L
.53451 .59801 L
.53501 .59872 L
.53612 .60018 L
.53622 .60033 L
.53725 .60193 L
.53772 .6026 L
.53832 .60354 L
.53933 .60506 L
.53938 .60514 L
.54016 .60675 L
.53933 .60708 L
.53897 .60675 L
.53772 .60594 L
.53728 .60514 L
.53612 .60399 L
.53574 .60354 L
.53451 .60218 L
.5342 .60193 L
.53291 .60037 L
.53286 .60033 L
.53147 .59872 L
.5313 .59857 L
.5301 .59712 L
.5297 .59664 L
.52848 .59551 L
.52809 .59466 L
.52742 .59391 L
.52649 .59265 L
.52623 .5923 L
.52488 .59072 L
.5248 .5907 L
.52351 .58909 L
.52328 .58879 L
.52216 .58749 L
.52167 .58672 L
.52103 .58588 L
.52007 .58462 L
.51992 .58428 L
.51846 .58275 L
.51839 .58267 L
.51703 .58106 L
.51686 .58068 L
.51589 .57946 L
.51525 .57855 L
.5148 .57785 L
.51364 .57642 L
.51335 .57625 L
.51211 .57464 L
.51204 .57455 L
.51082 .57304 L
.51043 .57243 L
.50971 .57143 L
.50883 .57028 L
.50867 .56983 L
.50722 .56835 L
.50712 .56822 L
.50579 .56662 L
.50562 .56626 L
.50466 .56501 L
.50401 .56411 L
.50359 .56341 L
.50241 .56198 L
.50215 .5618 L
.50081 .5602 L
.5008 .56004 L
.49963 .55859 L
.4992 .55792 L
.49854 .55699 L
.49759 .55577 L
.49748 .55538 L
.49599 .55378 L
.49597 .55378 L
.49461 .55217 L
.49438 .5517 L
.49351 .55057 L
.49278 .54956 L
.49243 .54896 L
.49117 .54747 L
.49103 .54735 L
.4896 .54575 L
.48957 .54546 L
.48849 .54414 L
.48796 .54334 L
.4874 .54254 L
.48636 .54121 L
.48629 .54093 L
.48487 .53933 L
.48475 .5392 L
.48347 .53772 L
.48314 .5371 L
.48239 .53612 L
.48154 .53497 L
.48129 .53451 L
.47993 .53291 L
.47993 .53291 L
.47841 .5313 L
.47833 .53086 L
.47737 .5297 L
.47672 .52873 L
.47628 .52809 L
.47512 .52662 L
.4751 .52649 L
.47378 .52488 L
.47351 .52462 L
.47234 .52328 L
.47191 .52249 L
.47128 .52167 L
.4703 .52036 L
.47015 .52007 L
.46885 .51846 L
.4687 .51836 L
.46725 .51686 L
.46709 .51626 L
.46627 .51525 L
.46549 .5141 L
.46518 .51364 L
.46392 .51204 L
.46388 .51199 L
.46271 .51043 L
.46228 .51004 L
.46124 .50883 L
.46067 .50786 L
.4602 .50722 L
.45907 .50571 L
.45902 .50562 L
.45778 .50401 L
.45746 .50383 L
.45614 .50241 L
.45586 .50163 L
.4552 .5008 L
.45425 .49944 L
.45409 .4992 L
.45286 .49759 L
.45265 .49731 L
.45165 .49599 L
.45104 .49542 L
.45017 .49438 L
.44943 .49318 L
.44914 .49278 L
.44795 .49117 L
.44783 .49102 L
.44674 .48957 L
.44622 .48926 L
.4451 .48796 L
.44462 .48693 L
.44417 .48636 L
.44304 .48475 L
.44301 .48471 L
.44184 .48314 L
.44141 .48259 L
.44063 .48154 L
.4398 .4807 L
.4392 .47993 L
.4382 .4784 L
.43815 .47833 L
.43697 .47672 L
.43659 .47625 L
.43576 .47512 L
.43499 .47412 L
.43421 .47351 L
.43338 .47205 L
.43328 .47191 L
.43212 .4703 L
.43178 .46986 L
.43094 .4687 L
.43017 .4677 L
.42973 .46709 L
.42857 .46561 L
.42848 .46549 L
.42736 .46388 L
.42696 .46336 L
.42621 .46228 L
.42536 .46115 L
.42503 .46067 L
.42387 .45907 L
.42375 .4589 L
.42282 .45746 L
.42215 .4565 L
.42178 .45586 L
F
1 .25 0 r
.42215 .47446 m
.4227 .47512 L
.42375 .47625 L
.42413 .47672 L
.42536 .47813 L
.42552 .47833 L
.42685 .47993 L
.42696 .48006 L
.42813 .48154 L
.42857 .48204 L
.42943 .48314 L
.43017 .48403 L
.43073 .48475 L
.43178 .48603 L
.43203 .48636 L
.4333 .48796 L
.43338 .48806 L
.43454 .48957 L
.43499 .49011 L
.43579 .49117 L
.43659 .49217 L
.43705 .49278 L
.4382 .49407 L
.43832 .49438 L
.43954 .49599 L
.4398 .49632 L
.44075 .49759 L
.44141 .49842 L
.44198 .4992 L
.44301 .50052 L
.44322 .5008 L
.44443 .50241 L
.44462 .50265 L
.4456 .50401 L
.44622 .50481 L
.4468 .50562 L
.44783 .50697 L
.44801 .50722 L
.44916 .50883 L
.44943 .50918 L
.45026 .51043 L
.45104 .51147 L
.4514 .51204 L
.45104 .51291 L
.45032 .51204 L
.44943 .51108 L
.44892 .51043 L
.44783 .50918 L
.44755 .50883 L
.44622 .50724 L
.44621 .50722 L
.44494 .50562 L
.44462 .50525 L
.44365 .50401 L
.44301 .50325 L
.44236 .50241 L
.44141 .50124 L
.44107 .5008 L
.4398 .49924 L
.43978 .4992 L
.43856 .49759 L
.4382 .49716 L
.43731 .49599 L
.43659 .4951 L
.43605 .49438 L
.43499 .49303 L
.43479 .49278 L
.43357 .49117 L
.43338 .49094 L
.43236 .48957 L
.43178 .48883 L
.43114 .48796 L
.43017 .48672 L
.4299 .48636 L
.42869 .48475 L
.42857 .48459 L
.42753 .48314 L
.42696 .48241 L
.42635 .48154 L
.42536 .48024 L
.42514 .47993 L
.424 .47833 L
.42375 .47801 L
.42292 .47672 L
.42215 .47569 L
.4218 .47512 L
F
1 .87 .018 r
.42215 .46099 m
.42344 .46228 L
.42375 .46258 L
.42496 .46388 L
.42536 .4643 L
.42642 .46549 L
.42696 .46608 L
.42784 .46709 L
.42857 .46783 L
.42923 .4687 L
.43017 .46981 L
.4307 .4703 L
.43178 .47175 L
.43191 .47191 L
.43326 .47351 L
.43338 .4736 L
.43459 .47512 L
.43499 .47559 L
.43617 .47672 L
.43659 .47762 L
.4372 .47833 L
.4382 .47964 L
.43839 .47993 L
.43977 .48154 L
.4398 .48157 L
.44106 .48314 L
.44141 .48359 L
.44241 .48475 L
.44301 .48566 L
.44352 .48636 L
.44462 .48772 L
.4447 .48796 L
.44614 .48957 L
.44622 .48967 L
.44756 .49117 L
.44783 .49174 L
.44864 .49278 L
.44943 .49384 L
.44975 .49438 L
.45104 .49589 L
.45117 .49599 L
.45242 .49759 L
.45265 .49788 L
.45372 .4992 L
.45425 .49999 L
.45482 .5008 L
.45586 .5021 L
.45594 .50241 L
.4574 .50401 L
.45746 .50408 L
.45879 .50562 L
.45907 .50617 L
.45987 .50722 L
.46067 .50829 L
.46097 .50883 L
.46228 .51036 L
.46237 .51043 L
.46385 .51204 L
.46388 .51238 L
.46491 .51364 L
.46549 .5145 L
.466 .51525 L
.46709 .51661 L
.46715 .51686 L
.46855 .51846 L
.4687 .51862 L
.46995 .52007 L
.4703 .52072 L
.47101 .52167 L
.47191 .52286 L
.47213 .52328 L
.47348 .52488 L
.47351 .5249 L
.47503 .52649 L
.47512 .52696 L
.47603 .52809 L
.47672 .52911 L
.47712 .5297 L
.47833 .53122 L
.47834 .5313 L
.47962 .53291 L
.47993 .53321 L
.48106 .53451 L
.48154 .53537 L
.48209 .53612 L
.48314 .53752 L
.48325 .53772 L
.48452 .53933 L
.48475 .53945 L
.48615 .54093 L
.48636 .54163 L
.48707 .54254 L
.48796 .54382 L
.48817 .54414 L
.4894 .54575 L
.48957 .54597 L
.49061 .54735 L
.49117 .54789 L
.49206 .54896 L
.49278 .55015 L
.49307 .55057 L
.49425 .55217 L
.49438 .55234 L
.49544 .55378 L
.49599 .55411 L
.49709 .55538 L
.49759 .55653 L
.49794 .55699 L
.49905 .55859 L
.4992 .55878 L
.50022 .5602 L
.5008 .56097 L
.50141 .5618 L
.50241 .56301 L
.50271 .56341 L
.50376 .56501 L
.50401 .56536 L
.50489 .56662 L
.50562 .56761 L
.50604 .56822 L
.50719 .56983 L
.50722 .56988 L
.50823 .57143 L
.50883 .5723 L
.50927 .57304 L
.50883 .57453 L
.50738 .57304 L
.50722 .57288 L
.50591 .57143 L
.50562 .57113 L
.50448 .56983 L
.50401 .56931 L
.50308 .56822 L
.50241 .56758 L
.5017 .56662 L
.5008 .56557 L
.50019 .56501 L
.4992 .5636 L
.49902 .56341 L
.4977 .5618 L
.49759 .56175 L
.49639 .5602 L
.49599 .55975 L
.49471 .55859 L
.49438 .5577 L
.49374 .55699 L
.49278 .55567 L
.49257 .55538 L
.49123 .55378 L
.49117 .55372 L
.48996 .55217 L
.48957 .5517 L
.48854 .55057 L
.48796 .54962 L
.48745 .54896 L
.48636 .54756 L
.48626 .54735 L
.4849 .54575 L
.48475 .54559 L
.48337 .54414 L
.48314 .54352 L
.48234 .54254 L
.48154 .54141 L
.48122 .54093 L
.47993 .53937 L
.47988 .53933 L
.47864 .53772 L
.47833 .53736 L
.47725 .53612 L
.47672 .53525 L
.47617 .53451 L
.47512 .53315 L
.47501 .53291 L
.47366 .5313 L
.47351 .53116 L
.47216 .5297 L
.47191 .52906 L
.47113 .52809 L
.4703 .52694 L
.47001 .52649 L
.4687 .52488 L
.4687 .52488 L
.46747 .52328 L
.46709 .52285 L
.46608 .52167 L
.46549 .52072 L
.46501 .52007 L
.46388 .51861 L
.46382 .51846 L
.46253 .51686 L
.46228 .51663 L
.461 .51525 L
.46067 .51449 L
.46 .51364 L
.45907 .51235 L
.45887 .51204 L
.4576 .51043 L
.45746 .51037 L
.45637 .50883 L
.45586 .50827 L
.45497 .50722 L
.45425 .5061 L
.4539 .50562 L
.45268 .50401 L
.45265 .50398 L
.45146 .50241 L
.45104 .50205 L
.44991 .5008 L
.44943 .49984 L
.44893 .4992 L
.44783 .49768 L
.44778 .49759 L
.44656 .49599 L
.44622 .49586 L
.44534 .49438 L
.44462 .49359 L
.44395 .49278 L
.44301 .49137 L
.44287 .49117 L
.44168 .48957 L
.44141 .48922 L
.44047 .48796 L
.4398 .48736 L
.43895 .48636 L
.4382 .48504 L
.43798 .48475 L
.43682 .48314 L
.43659 .48285 L
.43563 .48154 L
.43499 .48071 L
.43442 .47993 L
.43338 .47866 L
.43312 .47833 L
.43202 .47672 L
.43178 .47642 L
.43084 .47512 L
.43017 .47424 L
.42965 .47351 L
.42857 .47217 L
.42836 .47191 L
.42731 .4703 L
.42696 .46985 L
.42617 .4687 L
.42536 .4676 L
.42501 .46709 L
.42388 .46549 L
.42375 .46532 L
.42284 .46388 L
.42215 .46287 L
.4218 .46228 L
F
0 .61 1 r
.42215 .46779 m
.42301 .4687 L
.42375 .46944 L
.42451 .4703 L
.42536 .47121 L
.42595 .47191 L
.42696 .47267 L
.42735 .47351 L
.42857 .47491 L
.42887 .47512 L
.43004 .47672 L
.43017 .47687 L
.43136 .47833 L
.43178 .47882 L
.43268 .47993 L
.43338 .48056 L
.434 .48154 L
.43499 .48272 L
.43543 .48314 L
.43658 .48475 L
.43659 .48476 L
.43786 .48636 L
.4382 .48677 L
.43914 .48796 L
.4398 .48867 L
.44081 .48957 L
.44141 .4908 L
.44174 .49117 L
.44295 .49278 L
.44301 .49286 L
.4442 .49438 L
.44462 .49468 L
.44546 .49599 L
.44622 .49688 L
.44688 .49759 L
.44783 .49901 L
.44798 .4992 L
.44921 .5008 L
.44943 .50108 L
.45045 .50241 L
.45104 .503 L
.45207 .50401 L
.45265 .50519 L
.453 .50562 L
.45418 .50722 L
.45425 .50731 L
.45541 .50883 L
.45586 .5091 L
.45664 .51043 L
.45746 .51139 L
.45803 .51204 L
.45907 .51358 L
.45912 .51364 L
.46032 .51525 L
.46067 .51569 L
.46154 .51686 L
.46228 .5176 L
.46309 .51846 L
.46388 .51988 L
.46403 .52007 L
.4652 .52167 L
.46549 .52204 L
.4664 .52328 L
.46709 .52376 L
.46762 .52488 L
.4687 .52624 L
.4689 .52649 L
.47002 .52809 L
.4703 .52846 L
.4712 .5297 L
.47191 .53063 L
.4724 .5313 L
.47351 .53273 L
.47367 .53291 L
.47474 .53451 L
.47512 .53501 L
.47589 .53612 L
.47672 .53724 L
.47706 .53772 L
.4782 .53933 L
.47833 .53951 L
.47925 .54093 L
.47993 .54191 L
.48032 .54254 L
.47993 .54367 L
.4789 .54254 L
.47833 .54197 L
.47743 .54093 L
.47672 .54016 L
.47602 .53933 L
.47512 .5383 L
.47464 .53772 L
.47351 .53648 L
.47296 .53612 L
.47195 .53451 L
.47191 .53447 L
.47064 .53291 L
.4703 .53251 L
.46933 .5313 L
.4687 .53083 L
.46803 .5297 L
.46709 .52861 L
.46653 .52809 L
.46549 .52655 L
.46543 .52649 L
.46417 .52488 L
.46388 .52453 L
.4629 .52328 L
.46228 .52267 L
.46109 .52167 L
.46067 .52051 L
.46027 .52007 L
.45909 .51846 L
.45907 .51843 L
.45784 .51686 L
.45746 .51666 L
.45659 .51525 L
.45586 .51442 L
.45511 .51364 L
.45425 .51228 L
.45406 .51204 L
.45284 .51043 L
.45265 .51019 L
.4516 .50883 L
.45104 .50832 L
.44987 .50722 L
.44943 .50609 L
.44903 .50562 L
.44787 .50401 L
.44783 .50396 L
.44665 .50241 L
.44622 .50225 L
.44542 .5008 L
.44462 .4999 L
.44398 .4992 L
.44301 .49769 L
.44294 .49759 L
.44174 .49599 L
.44141 .49556 L
.44052 .49438 L
.4398 .49371 L
.43888 .49278 L
.4382 .49138 L
.43802 .49117 L
.43687 .48957 L
.43659 .48921 L
.43567 .48796 L
.43499 .48708 L
.43445 .48636 L
.43338 .48502 L
.43315 .48475 L
.43205 .48314 L
.43178 .48279 L
.43088 .48154 L
.43017 .48061 L
.42968 .47993 L
.42857 .47853 L
.42839 .47833 L
.42734 .47672 L
.42696 .47622 L
.4262 .47512 L
.42536 .47398 L
.42504 .47351 L
.42391 .47191 L
.42375 .47169 L
.42287 .4703 L
.42215 .46925 L
.42183 .4687 L
F
1 .24 0 r
.42215 .47456 m
.42262 .47512 L
.42375 .47632 L
.42408 .47672 L
.42536 .47818 L
.42548 .47833 L
.4268 .47993 L
.42696 .48011 L
.42809 .48154 L
.42857 .48209 L
.42939 .48314 L
.43017 .48407 L
.4307 .48475 L
.43178 .48607 L
.432 .48636 L
.43327 .48796 L
.43338 .48809 L
.43451 .48957 L
.43499 .49015 L
.43576 .49117 L
.43659 .4922 L
.43703 .49278 L
.4382 .49413 L
.43829 .49438 L
.43951 .49599 L
.4398 .49635 L
.44072 .49759 L
.44141 .49846 L
.44195 .4992 L
.44301 .50056 L
.4432 .5008 L
.44439 .50241 L
.44462 .50269 L
.44556 .50401 L
.44622 .50486 L
.44676 .50562 L
.44783 .50701 L
.44798 .50722 L
.44911 .50883 L
.44943 .50925 L
.45021 .51043 L
.45104 .51154 L
.45135 .51204 L
.45104 .51282 L
.45039 .51204 L
.44943 .51101 L
.44897 .51043 L
.44783 .50913 L
.44759 .50883 L
.44625 .50722 L
.44622 .50719 L
.44498 .50562 L
.44462 .50521 L
.44369 .50401 L
.44301 .50321 L
.44239 .50241 L
.44141 .50121 L
.4411 .5008 L
.43981 .4992 L
.4398 .49918 L
.43859 .49759 L
.4382 .49712 L
.43734 .49599 L
.43659 .49506 L
.43608 .49438 L
.43499 .493 L
.43482 .49278 L
.4336 .49117 L
.43338 .4909 L
.43239 .48957 L
.43178 .48879 L
.43117 .48796 L
.43017 .48668 L
.42993 .48636 L
.42873 .48475 L
.42857 .48455 L
.42757 .48314 L
.42696 .48237 L
.42638 .48154 L
.42536 .48019 L
.42518 .47993 L
.42405 .47833 L
.42375 .47794 L
.42298 .47672 L
.42215 .47559 L
.42187 .47512 L
F
0 .14 1 r
.42215 .48129 m
.42231 .48154 L
.42215 .48189 L
.42192 .48154 L
F
0 .6 1 r
.42215 .46796 m
.42288 .4687 L
.42375 .46954 L
.42443 .4703 L
.42536 .47129 L
.42589 .47191 L
.42696 .47277 L
.42729 .47351 L
.42857 .47498 L
.42877 .47512 L
.43 .47672 L
.43017 .47692 L
.43132 .47833 L
.43178 .47886 L
.43265 .47993 L
.43338 .4806 L
.43396 .48154 L
.43499 .48276 L
.43539 .48314 L
.43655 .48475 L
.43659 .4848 L
.43783 .48636 L
.4382 .48681 L
.43911 .48796 L
.4398 .4887 L
.44078 .48957 L
.44141 .49083 L
.44171 .49117 L
.44292 .49278 L
.44301 .49289 L
.44418 .49438 L
.44462 .4947 L
.44544 .49599 L
.44622 .49691 L
.44686 .49759 L
.44783 .49904 L
.44795 .4992 L
.44919 .5008 L
.44943 .50111 L
.45043 .50241 L
.45104 .50302 L
.45205 .50401 L
.45265 .50522 L
.45298 .50562 L
.45416 .50722 L
.45425 .50734 L
.45539 .50883 L
.45586 .50912 L
.45662 .51043 L
.45746 .51142 L
.45801 .51204 L
.45907 .51361 L
.4591 .51364 L
.4603 .51525 L
.46067 .51572 L
.46152 .51686 L
.46228 .51763 L
.46306 .51846 L
.46388 .51992 L
.464 .52007 L
.46518 .52167 L
.46549 .52207 L
.46638 .52328 L
.46709 .5238 L
.46759 .52488 L
.4687 .52629 L
.46887 .52649 L
.46999 .52809 L
.4703 .5285 L
.47117 .5297 L
.47191 .53067 L
.47237 .5313 L
.47351 .53279 L
.47361 .53291 L
.4747 .53451 L
.47512 .53506 L
.47585 .53612 L
.47672 .5373 L
.47701 .53772 L
.47814 .53933 L
.47833 .53959 L
.47918 .54093 L
.47993 .54202 L
.48024 .54254 L
.47993 .54354 L
.479 .54254 L
.47833 .54187 L
.47751 .54093 L
.47672 .54009 L
.47608 .53933 L
.47512 .53824 L
.47469 .53772 L
.47351 .53641 L
.47306 .53612 L
.47199 .53451 L
.47191 .53442 L
.47068 .53291 L
.4703 .53246 L
.46937 .5313 L
.4687 .53079 L
.46806 .5297 L
.46709 .52857 L
.46657 .52809 L
.46549 .52651 L
.46547 .52649 L
.4642 .52488 L
.46388 .52449 L
.46292 .52328 L
.46228 .52264 L
.46112 .52167 L
.46067 .52048 L
.4603 .52007 L
.45911 .51846 L
.45907 .5184 L
.45787 .51686 L
.45746 .51665 L
.45661 .51525 L
.45586 .5144 L
.45513 .51364 L
.45425 .51225 L
.45408 .51204 L
.45286 .51043 L
.45265 .51017 L
.45162 .50883 L
.45104 .5083 L
.44989 .50722 L
.44943 .50607 L
.44905 .50562 L
.44789 .50401 L
.44783 .50393 L
.44667 .50241 L
.44622 .50224 L
.44544 .5008 L
.44462 .49987 L
.44401 .4992 L
.44301 .49766 L
.44296 .49759 L
.44176 .49599 L
.44141 .49554 L
.44054 .49438 L
.4398 .49368 L
.43891 .49278 L
.4382 .49135 L
.43805 .49117 L
.43689 .48957 L
.43659 .48918 L
.43569 .48796 L
.43499 .48705 L
.43448 .48636 L
.43338 .48498 L
.43319 .48475 L
.43208 .48314 L
.43178 .48275 L
.43091 .48154 L
.43017 .48058 L
.42971 .47993 L
.42857 .47846 L
.42845 .47833 L
.42738 .47672 L
.42696 .47617 L
.42624 .47512 L
.42536 .47392 L
.42508 .47351 L
.42397 .47191 L
.42375 .47161 L
.42295 .4703 L
.42215 .46911 L
.42193 .4687 L
F
1 .23 0 r
.42215 .47468 m
.42252 .47512 L
.42375 .47639 L
.42402 .47672 L
.42536 .47824 L
.42543 .47833 L
.42675 .47993 L
.42696 .48017 L
.42805 .48154 L
.42857 .48213 L
.42935 .48314 L
.43017 .48411 L
.43066 .48475 L
.43178 .48611 L
.43197 .48636 L
.43324 .48796 L
.43338 .48813 L
.43447 .48957 L
.43499 .49019 L
.43573 .49117 L
.43659 .49224 L
.437 .49278 L
.4382 .4942 L
.43827 .49438 L
.43947 .49599 L
.4398 .49639 L
.44069 .49759 L
.44141 .49849 L
.44192 .4992 L
.44301 .50059 L
.44317 .5008 L
.44436 .50241 L
.44462 .50274 L
.44553 .50401 L
.44622 .5049 L
.44673 .50562 L
.44783 .50706 L
.44794 .50722 L
.44906 .50883 L
.44943 .50932 L
.45015 .51043 L
.45104 .51163 L
.45129 .51204 L
.45104 .51273 L
.45047 .51204 L
.44943 .51095 L
.44902 .51043 L
.44783 .50907 L
.44763 .50883 L
.4463 .50722 L
.44622 .50714 L
.44502 .50562 L
.44462 .50516 L
.44372 .50401 L
.44301 .50317 L
.44242 .50241 L
.44141 .50117 L
.44113 .5008 L
.43985 .4992 L
.4398 .49914 L
.43862 .49759 L
.4382 .49708 L
.43737 .49599 L
.43659 .49502 L
.43611 .49438 L
.43499 .49296 L
.43485 .49278 L
.43363 .49117 L
.43338 .49086 L
.43243 .48957 L
.43178 .48875 L
.4312 .48796 L
.43017 .48664 L
.42996 .48636 L
.42877 .48475 L
.42857 .4845 L
.42761 .48314 L
.42696 .48232 L
.42642 .48154 L
.42536 .48014 L
.42521 .47993 L
.42411 .47833 L
.42375 .47786 L
.42305 .47672 L
.42215 .47548 L
.42195 .47512 L
F
1 .86 .013 r
.42215 .46142 m
.42312 .46228 L
.42375 .46283 L
.42475 .46388 L
.42536 .46449 L
.42626 .46549 L
.42696 .46625 L
.42771 .46709 L
.42857 .46797 L
.42911 .4687 L
.43017 .46994 L
.43058 .4703 L
.43178 .47185 L
.43183 .47191 L
.43318 .47351 L
.43338 .47365 L
.43451 .47512 L
.43499 .47567 L
.43611 .47672 L
.43659 .4777 L
.43714 .47833 L
.4382 .4797 L
.43835 .47993 L
.43972 .48154 L
.4398 .48162 L
.44101 .48314 L
.44141 .48365 L
.44237 .48475 L
.44301 .48572 L
.44348 .48636 L
.44462 .48776 L
.44468 .48796 L
.4461 .48957 L
.44622 .48971 L
.44753 .49117 L
.44783 .49179 L
.44861 .49278 L
.44943 .49388 L
.44973 .49438 L
.45104 .49592 L
.45114 .49599 L
.45239 .49759 L
.45265 .49792 L
.4537 .4992 L
.45425 .50002 L
.4548 .5008 L
.45586 .50212 L
.45593 .50241 L
.45737 .50401 L
.45746 .50411 L
.45877 .50562 L
.45907 .5062 L
.45985 .50722 L
.46067 .50832 L
.46096 .50883 L
.46228 .51038 L
.46234 .51043 L
.46385 .51204 L
.46388 .5124 L
.46489 .51364 L
.46549 .51453 L
.46598 .51525 L
.46709 .51663 L
.46714 .51686 L
.46852 .51846 L
.4687 .51864 L
.46994 .52007 L
.4703 .52075 L
.471 .52167 L
.47191 .52288 L
.47212 .52328 L
.47346 .52488 L
.47351 .52492 L
.47502 .52649 L
.47512 .52699 L
.47601 .52809 L
.47672 .52914 L
.4771 .5297 L
.47833 .53125 L
.47834 .5313 L
.4796 .53291 L
.47993 .53323 L
.48104 .53451 L
.48154 .5354 L
.48207 .53612 L
.48314 .53755 L
.48323 .53772 L
.48449 .53933 L
.48475 .53947 L
.48614 .54093 L
.48636 .54167 L
.48704 .54254 L
.48796 .54386 L
.48815 .54414 L
.48937 .54575 L
.48957 .54601 L
.49058 .54735 L
.49117 .54793 L
.49203 .54896 L
.49278 .5502 L
.49304 .55057 L
.49421 .55217 L
.49438 .55239 L
.4954 .55378 L
.49599 .55416 L
.49704 .55538 L
.49759 .5566 L
.49788 .55699 L
.499 .55859 L
.4992 .55885 L
.50017 .5602 L
.5008 .56104 L
.50135 .5618 L
.50241 .56313 L
.50262 .56341 L
.50368 .56501 L
.50401 .56547 L
.5048 .56662 L
.50562 .56774 L
.50595 .56822 L
.50705 .56983 L
.50722 .57007 L
.50807 .57143 L
.50883 .57259 L
.50908 .57304 L
.50883 .57417 L
.50765 .57304 L
.50722 .57265 L
.5061 .57143 L
.50562 .57094 L
.50463 .56983 L
.50401 .56916 L
.5032 .56822 L
.50241 .56745 L
.50181 .56662 L
.5008 .56545 L
.5003 .56501 L
.4992 .56351 L
.49911 .56341 L
.49778 .5618 L
.49759 .56171 L
.49646 .5602 L
.49599 .55967 L
.49475 .55859 L
.49438 .55763 L
.4938 .55699 L
.49278 .55561 L
.49261 .55538 L
.49128 .55378 L
.49117 .55368 L
.49 .55217 L
.48957 .55165 L
.48857 .55057 L
.48796 .54957 L
.48748 .54896 L
.48636 .54752 L
.48627 .54735 L
.48493 .54575 L
.48475 .54555 L
.48339 .54414 L
.48314 .54348 L
.48237 .54254 L
.48154 .54138 L
.48124 .54093 L
.47993 .53935 L
.47991 .53933 L
.47866 .53772 L
.47833 .53733 L
.47727 .53612 L
.47672 .53522 L
.47619 .53451 L
.47512 .53313 L
.47502 .53291 L
.47368 .5313 L
.47351 .53113 L
.47217 .5297 L
.47191 .52903 L
.47115 .52809 L
.4703 .52691 L
.47003 .52649 L
.46872 .52488 L
.4687 .52487 L
.46749 .52328 L
.46709 .52283 L
.4661 .52167 L
.46549 .5207 L
.46502 .52007 L
.46388 .51859 L
.46383 .51846 L
.46255 .51686 L
.46228 .51661 L
.46102 .51525 L
.46067 .51447 L
.46001 .51364 L
.45907 .51233 L
.45888 .51204 L
.45762 .51043 L
.45746 .51036 L
.45639 .50883 L
.45586 .50824 L
.45499 .50722 L
.45425 .50607 L
.45392 .50562 L
.4527 .50401 L
.45265 .50395 L
.45148 .50241 L
.45104 .50203 L
.44993 .5008 L
.44943 .49981 L
.44895 .4992 L
.44783 .49765 L
.4478 .49759 L
.44658 .49599 L
.44622 .49585 L
.44537 .49438 L
.44462 .49356 L
.44398 .49278 L
.44301 .49133 L
.4429 .49117 L
.4417 .48957 L
.44141 .48919 L
.4405 .48796 L
.4398 .48732 L
.43898 .48636 L
.4382 .48499 L
.43802 .48475 L
.43686 .48314 L
.43659 .4828 L
.43567 .48154 L
.43499 .48066 L
.43446 .47993 L
.43338 .47859 L
.43318 .47833 L
.43206 .47672 L
.43178 .47635 L
.4309 .47512 L
.43017 .47416 L
.42971 .47351 L
.42857 .47204 L
.42847 .47191 L
.42738 .4703 L
.42696 .46974 L
.42625 .4687 L
.42536 .46747 L
.42511 .46709 L
.42401 .46549 L
.42375 .46512 L
.42301 .46388 L
.42215 .46254 L
.42202 .46228 L
F
0 .59 1 r
.42215 .46817 m
.42272 .4687 L
.42375 .46964 L
.42435 .4703 L
.42536 .47137 L
.42582 .47191 L
.42696 .47288 L
.42724 .47351 L
.42857 .47505 L
.42867 .47512 L
.42995 .47672 L
.43017 .47697 L
.43128 .47833 L
.43178 .47891 L
.43261 .47993 L
.43338 .48064 L
.43393 .48154 L
.43499 .4828 L
.43534 .48314 L
.43652 .48475 L
.43659 .48483 L
.4378 .48636 L
.4382 .48684 L
.43908 .48796 L
.4398 .48873 L
.44075 .48957 L
.44141 .49086 L
.44168 .49117 L
.4429 .49278 L
.44301 .49292 L
.44415 .49438 L
.44462 .49472 L
.44542 .49599 L
.44622 .49694 L
.44683 .49759 L
.44783 .49906 L
.44793 .4992 L
.44917 .5008 L
.44943 .50114 L
.45041 .50241 L
.45104 .50304 L
.45202 .50401 L
.45265 .50524 L
.45296 .50562 L
.45414 .50722 L
.45425 .50736 L
.45537 .50883 L
.45586 .50914 L
.4566 .51043 L
.45746 .51145 L
.45798 .51204 L
.45907 .51363 L
.45907 .51364 L
.46028 .51525 L
.46067 .51575 L
.4615 .51686 L
.46228 .51766 L
.46304 .51846 L
.46388 .51995 L
.46398 .52007 L
.46515 .52167 L
.46549 .5221 L
.46636 .52328 L
.46709 .52383 L
.46757 .52488 L
.4687 .52633 L
.46883 .52649 L
.46996 .52809 L
.4703 .52853 L
.47114 .5297 L
.47191 .53071 L
.47234 .5313 L
.47351 .53286 L
.47355 .53291 L
.47467 .53451 L
.47512 .53512 L
.47581 .53612 L
.47672 .53736 L
.47697 .53772 L
.47808 .53933 L
.47833 .53968 L
.47911 .54093 L
.47993 .54216 L
.48015 .54254 L
.47993 .54338 L
.47912 .54254 L
.47833 .54178 L
.47758 .54093 L
.47672 .54001 L
.47614 .53933 L
.47512 .53818 L
.47474 .53772 L
.47351 .53634 L
.47316 .53612 L
.47204 .53451 L
.47191 .53437 L
.47072 .53291 L
.4703 .53242 L
.4694 .5313 L
.4687 .53075 L
.46809 .5297 L
.46709 .52853 L
.46661 .52809 L
.4655 .52649 L
.46549 .52648 L
.46423 .52488 L
.46388 .52446 L
.46295 .52328 L
.46228 .52261 L
.46115 .52167 L
.46067 .52045 L
.46033 .52007 L
.45914 .51846 L
.45907 .51837 L
.45789 .51686 L
.45746 .51663 L
.45663 .51525 L
.45586 .51437 L
.45515 .51364 L
.45425 .51222 L
.4541 .51204 L
.45288 .51043 L
.45265 .51014 L
.45164 .50883 L
.45104 .50827 L
.44991 .50722 L
.44943 .50604 L
.44907 .50562 L
.44791 .50401 L
.44783 .50391 L
.44669 .50241 L
.44622 .50222 L
.44546 .5008 L
.44462 .49984 L
.44403 .4992 L
.44301 .49763 L
.44298 .49759 L
.44178 .49599 L
.44141 .49551 L
.44056 .49438 L
.4398 .49365 L
.43894 .49278 L
.4382 .49132 L
.43808 .49117 L
.43691 .48957 L
.43659 .48915 L
.43571 .48796 L
.43499 .48702 L
.4345 .48636 L
.43338 .48493 L
.43322 .48475 L
.43211 .48314 L
.43178 .48271 L
.43093 .48154 L
.43017 .48054 L
.42974 .47993 L
.42857 .47838 L
.42852 .47833 L
.42742 .47672 L
.42696 .47611 L
.42628 .47512 L
.42536 .47385 L
.42513 .47351 L
.42404 .47191 L
.42375 .47151 L
.42304 .4703 L
.42215 .46893 L
.42204 .4687 L
F
1 .22 0 r
.42215 .47484 m
.42239 .47512 L
.42375 .47646 L
.42396 .47672 L
.42536 .47829 L
.42538 .47833 L
.4267 .47993 L
.42696 .48022 L
.428 .48154 L
.42857 .48218 L
.42932 .48314 L
.43017 .48416 L
.43063 .48475 L
.43178 .48615 L
.43194 .48636 L
.4332 .48796 L
.43338 .48817 L
.43444 .48957 L
.43499 .49022 L
.4357 .49117 L
.43659 .49227 L
.43697 .49278 L
.4382 .49427 L
.43824 .49438 L
.43944 .49599 L
.4398 .49643 L
.44066 .49759 L
.44141 .49853 L
.4419 .4992 L
.44301 .50063 L
.44314 .5008 L
.44432 .50241 L
.44462 .50278 L
.44549 .50401 L
.44622 .50495 L
.44669 .50562 L
.44783 .50711 L
.44791 .50722 L
.449 .50883 L
.44943 .50939 L
.45009 .51043 L
.45104 .51173 L
.45122 .51204 L
.45104 .51261 L
.45056 .51204 L
.44943 .51088 L
.44908 .51043 L
.44783 .50902 L
.44768 .50883 L
.44635 .50722 L
.44622 .50709 L
.44506 .50562 L
.44462 .50511 L
.44376 .50401 L
.44301 .50313 L
.44246 .50241 L
.44141 .50113 L
.44116 .5008 L
.43988 .4992 L
.4398 .4991 L
.43865 .49759 L
.4382 .49704 L
.4374 .49599 L
.43659 .49499 L
.43614 .49438 L
.43499 .49293 L
.43487 .49278 L
.43366 .49117 L
.43338 .49082 L
.43246 .48957 L
.43178 .48871 L
.43123 .48796 L
.43017 .4866 L
.42999 .48636 L
.4288 .48475 L
.42857 .48445 L
.42765 .48314 L
.42696 .48227 L
.42646 .48154 L
.42536 .48008 L
.42525 .47993 L
.42417 .47833 L
.42375 .47778 L
.42312 .47672 L
.42215 .47533 L
.42204 .47512 L
F
0 .13 1 r
.42215 .48147 m
.42218 .48154 L
.42215 .48168 L
.42207 .48154 L
F
1 .85 .01 r
.42215 .41898 m
.42375 .42004 L
.42403 .42054 L
.42536 .42184 L
.42558 .42215 L
.42696 .42371 L
.42701 .42375 L
.42833 .42536 L
.42857 .42564 L
.42962 .42696 L
.43017 .42765 L
.43088 .42857 L
.43178 .42949 L
.43233 .43017 L
.43323 .43178 L
.43338 .432 L
.43425 .43338 L
.43499 .43487 L
.43503 .43499 L
.43499 .4354 L
.43346 .43499 L
.43338 .43493 L
.43178 .43343 L
.43169 .43338 L
.43032 .43178 L
.43017 .43162 L
.429 .43017 L
.42857 .42965 L
.42773 .42857 L
.42696 .42759 L
.42649 .42696 L
.42536 .4255 L
.42524 .42536 L
.42417 .42375 L
.42375 .42316 L
.42309 .42215 L
.42215 .42065 L
.42209 .42054 L
F
1 .84 .007 r
.42375 .42038 m
.42384 .42054 L
.42536 .42203 L
.42544 .42215 L
.42688 .42375 L
.42696 .42384 L
.42823 .42536 L
.42857 .42576 L
.42953 .42696 L
.43017 .42776 L
.43079 .42857 L
.43178 .42967 L
.43218 .43017 L
.43312 .43178 L
.43338 .43217 L
.43412 .43338 L
.43338 .43474 L
.43187 .43338 L
.43178 .43329 L
.43042 .43178 L
.43017 .4315 L
.42909 .43017 L
.42857 .42954 L
.42782 .42857 L
.42696 .42748 L
.42657 .42696 L
.42537 .42536 L
.42536 .42533 L
.42428 .42375 L
.42375 .42299 L
.42322 .42215 L
.42229 .42054 L
F
.395 .97 1 r
.42375 .41387 m
.42412 .41412 L
.42536 .41511 L
.42609 .41572 L
.42696 .41669 L
.42793 .41733 L
.42857 .41847 L
.42911 .41894 L
.43017 .42036 L
.43037 .42054 L
.43178 .4221 L
.43181 .42215 L
.43337 .42375 L
.43338 .4241 L
.43444 .42536 L
.43499 .42618 L
.43555 .42696 L
.43659 .42827 L
.43666 .42857 L
.43813 .43017 L
.4382 .43021 L
.43949 .43178 L
.4398 .43221 L
.44053 .43338 L
.44141 .43442 L
.44159 .43499 L
.44274 .43659 L
.44301 .4372 L
.44355 .4382 L
.44301 .43844 L
.44141 .43857 L
.44057 .4382 L
.4398 .43769 L
.43871 .43659 L
.4382 .4359 L
.43732 .43499 L
.43659 .43406 L
.43583 .43338 L
.43499 .43206 L
.43472 .43178 L
.43349 .43017 L
.43338 .43003 L
.43227 .42857 L
.43178 .4282 L
.43069 .42696 L
.43017 .42594 L
.42974 .42536 L
.4286 .42375 L
.42857 .4237 L
.42743 .42215 L
.42696 .42151 L
.42626 .42054 L
.42536 .4193 L
.42498 .41894 L
.42401 .41733 L
.42375 .41694 L
.42304 .41572 L
.42236 .41412 L
F
1 .97 .395 r
.42375 .44102 m
.42482 .44141 L
.42536 .44165 L
.42671 .44301 L
.42696 .44317 L
.4281 .44462 L
.42857 .44503 L
.42941 .44622 L
.43017 .44706 L
.43108 .44783 L
.43178 .44916 L
.43204 .44943 L
.43321 .45104 L
.43338 .45126 L
.43442 .45265 L
.43499 .45336 L
.43565 .45425 L
.43659 .45529 L
.43705 .45586 L
.43811 .45746 L
.4382 .45758 L
.43928 .45907 L
.4398 .45976 L
.44045 .46067 L
.44141 .46197 L
.44183 .46228 L
.44269 .46388 L
.44301 .46439 L
.44355 .46549 L
.44301 .46642 L
.44141 .46551 L
.44135 .46549 L
.4398 .46419 L
.4396 .46388 L
.4382 .4626 L
.43789 .46228 L
.43659 .46082 L
.43646 .46067 L
.43509 .45907 L
.43499 .45893 L
.43371 .45746 L
.43338 .45691 L
.43259 .45586 L
.43178 .45482 L
.43156 .45425 L
.43017 .45274 L
.42992 .45265 L
.42861 .45104 L
.42857 .45088 L
.4275 .44943 L
.42696 .44875 L
.42647 .44783 L
.42536 .44655 L
.42511 .44622 L
.42402 .44462 L
.42375 .44418 L
.42289 .44301 L
.42269 .44141 L
F
0 .58 1 r
.42375 .46976 m
.42425 .4703 L
.42536 .47145 L
.42575 .47191 L
.42696 .47301 L
.42718 .47351 L
.42857 .47512 L
.42857 .47512 L
.42991 .47672 L
.43017 .47703 L
.43124 .47833 L
.43178 .47896 L
.43257 .47993 L
.43338 .48069 L
.43389 .48154 L
.43499 .48285 L
.4353 .48314 L
.43649 .48475 L
.43659 .48487 L
.43777 .48636 L
.4382 .48687 L
.43906 .48796 L
.4398 .48876 L
.44072 .48957 L
.44141 .49089 L
.44165 .49117 L
.44287 .49278 L
.44301 .49295 L
.44413 .49438 L
.44462 .49474 L
.44539 .49599 L
.44622 .49697 L
.44681 .49759 L
.44783 .49909 L
.44791 .4992 L
.44915 .5008 L
.44943 .50116 L
.45039 .50241 L
.45104 .50307 L
.452 .50401 L
.45265 .50527 L
.45293 .50562 L
.45412 .50722 L
.45425 .50739 L
.45535 .50883 L
.45586 .50916 L
.45658 .51043 L
.45746 .51148 L
.45796 .51204 L
.45905 .51364 L
.45907 .51366 L
.46026 .51525 L
.46067 .51578 L
.46148 .51686 L
.46228 .51769 L
.46301 .51846 L
.46388 .51998 L
.46395 .52007 L
.46513 .52167 L
.46549 .52213 L
.46633 .52328 L
.46709 .52387 L
.46755 .52488 L
.4687 .52637 L
.46879 .52649 L
.46993 .52809 L
.4703 .52857 L
.47111 .5297 L
.47191 .53075 L
.47231 .5313 L
.4735 .53291 L
.47351 .53292 L
.47463 .53451 L
.47512 .53517 L
.47577 .53612 L
.47672 .53742 L
.47693 .53772 L
.47801 .53933 L
.47833 .53977 L
.47903 .54093 L
.47993 .54232 L
.48005 .54254 L
.47993 .54318 L
.47927 .54254 L
.47833 .54168 L
.47767 .54093 L
.47672 .53994 L
.4762 .53933 L
.47512 .53811 L
.47479 .53772 L
.47351 .53627 L
.47327 .53612 L
.47208 .53451 L
.47191 .53432 L
.47076 .53291 L
.4703 .53237 L
.46944 .5313 L
.4687 .53071 L
.46812 .5297 L
.46709 .52849 L
.46666 .52809 L
.46553 .52649 L
.46549 .52644 L
.46425 .52488 L
.46388 .52443 L
.46298 .52328 L
.46228 .52258 L
.46118 .52167 L
.46067 .52041 L
.46035 .52007 L
.45916 .51846 L
.45907 .51834 L
.45791 .51686 L
.45746 .51661 L
.45665 .51525 L
.45586 .51434 L
.45518 .51364 L
.45425 .51219 L
.45412 .51204 L
.4529 .51043 L
.45265 .51011 L
.45166 .50883 L
.45104 .50825 L
.44994 .50722 L
.44943 .50601 L
.44909 .50562 L
.44793 .50401 L
.44783 .50388 L
.44671 .50241 L
.44622 .5022 L
.44548 .5008 L
.44462 .49982 L
.44405 .4992 L
.44301 .4976 L
.443 .49759 L
.4418 .49599 L
.44141 .49548 L
.44058 .49438 L
.4398 .49362 L
.43897 .49278 L
.4382 .49128 L
.43811 .49117 L
.43694 .48957 L
.43659 .48912 L
.43574 .48796 L
.43499 .48698 L
.43452 .48636 L
.43338 .48489 L
.43326 .48475 L
.43214 .48314 L
.43178 .48267 L
.43096 .48154 L
.43017 .48049 L
.42977 .47993 L
.42858 .47833 L
.42857 .47832 L
.42746 .47672 L
.42696 .47606 L
.42633 .47512 L
.42536 .47379 L
.42517 .47351 L
.42411 .47191 L
.42375 .4714 L
.42313 .4703 L
F
.395 .97 1 r
.42375 .44739 m
.42416 .44783 L
.42536 .44909 L
.42562 .44943 L
.42536 .45091 L
.42426 .44943 L
.42375 .44871 L
.4232 .44783 L
F
1 .85 .01 r
.42375 .46313 m
.42451 .46388 L
.42536 .4647 L
.42608 .46549 L
.42696 .46642 L
.42756 .46709 L
.42857 .46813 L
.42899 .4687 L
.43017 .47006 L
.43045 .4703 L
.43174 .47191 L
.43178 .47195 L
.43309 .47351 L
.43338 .47371 L
.43443 .47512 L
.43499 .47576 L
.43606 .47672 L
.43659 .47777 L
.43708 .47833 L
.4382 .47976 L
.43831 .47993 L
.43966 .48154 L
.4398 .48168 L
.44096 .48314 L
.44141 .48371 L
.44233 .48475 L
.44301 .48577 L
.44345 .48636 L
.44462 .4878 L
.44467 .48796 L
.44606 .48957 L
.44622 .48976 L
.44751 .49117 L
.44783 .49183 L
.44857 .49278 L
.44943 .49392 L
.4497 .49438 L
.45104 .49594 L
.4511 .49599 L
.45236 .49759 L
.45265 .49795 L
.45367 .4992 L
.45425 .50006 L
.45477 .5008 L
.45586 .50215 L
.45592 .50241 L
.45735 .50401 L
.45746 .50414 L
.45876 .50562 L
.45907 .50623 L
.45983 .50722 L
.46067 .50835 L
.46094 .50883 L
.46228 .5104 L
.46232 .51043 L
.46384 .51204 L
.46388 .51243 L
.46487 .51364 L
.46549 .51455 L
.46596 .51525 L
.46709 .51666 L
.46714 .51686 L
.4685 .51846 L
.4687 .51866 L
.46992 .52007 L
.4703 .52078 L
.47098 .52167 L
.47191 .52291 L
.4721 .52328 L
.47343 .52488 L
.47351 .52493 L
.47502 .52649 L
.47512 .52701 L
.47599 .52809 L
.47672 .52916 L
.47708 .5297 L
.47833 .53127 L
.47833 .5313 L
.47957 .53291 L
.47993 .53325 L
.48102 .53451 L
.48154 .53543 L
.48205 .53612 L
.48314 .53758 L
.48322 .53772 L
.48447 .53933 L
.48475 .53949 L
.48612 .54093 L
.48636 .5417 L
.48702 .54254 L
.48796 .5439 L
.48812 .54414 L
.48934 .54575 L
.48957 .54604 L
.49054 .54735 L
.49117 .54797 L
.49199 .54896 L
.49278 .55025 L
.493 .55057 L
.49417 .55217 L
.49438 .55244 L
.49536 .55378 L
.49599 .55421 L
.49699 .55538 L
.49759 .55667 L
.49783 .55699 L
.49895 .55859 L
.4992 .55892 L
.50011 .5602 L
.5008 .56112 L
.50129 .5618 L
.50241 .56327 L
.50251 .56341 L
.50359 .56501 L
.50401 .56558 L
.50471 .56662 L
.50562 .56788 L
.50585 .56822 L
.50691 .56983 L
.50722 .57029 L
.50788 .57143 L
.50722 .57238 L
.50631 .57143 L
.50562 .57075 L
.50479 .56983 L
.50401 .569 L
.50333 .56822 L
.50241 .56731 L
.50192 .56662 L
.5008 .56533 L
.50043 .56501 L
.4992 .56341 L
.49919 .56341 L
.49786 .5618 L
.49759 .56167 L
.49653 .5602 L
.49599 .5596 L
.49481 .55859 L
.49438 .55756 L
.49386 .55699 L
.49278 .55555 L
.49265 .55538 L
.49133 .55378 L
.49117 .55363 L
.49005 .55217 L
.48957 .55159 L
.48861 .55057 L
.48796 .54952 L
.48752 .54896 L
.48636 .54748 L
.48629 .54735 L
.48497 .54575 L
.48475 .54552 L
.48341 .54414 L
.48314 .54344 L
.4824 .54254 L
.48154 .54134 L
.48126 .54093 L
.47994 .53933 L
.47993 .53933 L
.47869 .53772 L
.47833 .5373 L
.4773 .53612 L
.47672 .53519 L
.47621 .53451 L
.47512 .5331 L
.47503 .53291 L
.47371 .5313 L
.47351 .53111 L
.47219 .5297 L
.47191 .52901 L
.47117 .52809 L
.4703 .52689 L
.47004 .52649 L
.46874 .52488 L
.4687 .52485 L
.46751 .52328 L
.46709 .52281 L
.46612 .52167 L
.46549 .52067 L
.46504 .52007 L
.46388 .51857 L
.46384 .51846 L
.46257 .51686 L
.46228 .51659 L
.46103 .51525 L
.46067 .51445 L
.46003 .51364 L
.45907 .51231 L
.4589 .51204 L
.45764 .51043 L
.45746 .51035 L
.45641 .50883 L
.45586 .50822 L
.45501 .50722 L
.45425 .50605 L
.45394 .50562 L
.45272 .50401 L
.45265 .50392 L
.4515 .50241 L
.45104 .50201 L
.44995 .5008 L
.44943 .49979 L
.44898 .4992 L
.44783 .49762 L
.44781 .49759 L
.44661 .49599 L
.44622 .49583 L
.44539 .49438 L
.44462 .49352 L
.444 .49278 L
.44301 .4913 L
.44293 .49117 L
.44173 .48957 L
.44141 .48915 L
.44053 .48796 L
.4398 .48727 L
.43902 .48636 L
.4382 .48494 L
.43805 .48475 L
.43689 .48314 L
.43659 .48276 L
.4357 .48154 L
.43499 .48061 L
.4345 .47993 L
.43338 .47852 L
.43324 .47833 L
.43212 .47672 L
.43178 .47628 L
.43095 .47512 L
.43017 .47409 L
.42976 .47351 L
.42857 .47191 L
.42857 .4719 L
.42746 .4703 L
.42696 .46962 L
.42634 .4687 L
.42536 .46733 L
.4252 .46709 L
.42416 .46549 L
.42375 .46488 L
.42321 .46388 L
F
1 .21 0 r
.42375 .47655 m
.42389 .47672 L
.42375 .47768 L
.42321 .47672 L
F
0 .57 1 r
.42375 .46989 m
.42414 .4703 L
.42536 .47154 L
.42568 .47191 L
.42696 .47314 L
.42712 .47351 L
.42851 .47512 L
.42857 .47518 L
.42986 .47672 L
.43017 .47708 L
.4312 .47833 L
.43178 .479 L
.43253 .47993 L
.43338 .48074 L
.43386 .48154 L
.43499 .48289 L
.43526 .48314 L
.43646 .48475 L
.43659 .48491 L
.43774 .48636 L
.4382 .48691 L
.43903 .48796 L
.4398 .4888 L
.44068 .48957 L
.44141 .49093 L
.44163 .49117 L
.44285 .49278 L
.44301 .49298 L
.44411 .49438 L
.44462 .49476 L
.44537 .49599 L
.44622 .497 L
.44678 .49759 L
.44783 .49912 L
.44789 .4992 L
.44913 .5008 L
.44943 .50119 L
.45037 .50241 L
.45104 .5031 L
.45198 .50401 L
.45265 .5053 L
.45291 .50562 L
.4541 .50722 L
.45425 .50741 L
.45533 .50883 L
.45586 .50918 L
.45656 .51043 L
.45746 .5115 L
.45793 .51204 L
.45903 .51364 L
.45907 .51369 L
.46024 .51525 L
.46067 .5158 L
.46146 .51686 L
.46228 .51772 L
.46298 .51846 L
.46388 .52001 L
.46392 .52007 L
.46511 .52167 L
.46549 .52216 L
.46631 .52328 L
.46709 .52391 L
.46752 .52488 L
.4687 .52642 L
.46876 .52649 L
.4699 .52809 L
.4703 .52861 L
.47108 .5297 L
.47191 .53079 L
.47228 .5313 L
.47346 .53291 L
.47351 .53297 L
.47459 .53451 L
.47512 .53523 L
.47573 .53612 L
.47672 .53749 L
.47688 .53772 L
.47794 .53933 L
.47833 .53988 L
.47894 .54093 L
.47833 .54156 L
.47776 .54093 L
.47672 .53986 L
.47627 .53933 L
.47512 .53805 L
.47484 .53772 L
.47351 .5362 L
.47339 .53612 L
.47213 .53451 L
.47191 .53427 L
.4708 .53291 L
.4703 .53233 L
.46947 .5313 L
.4687 .53067 L
.46815 .5297 L
.46709 .52845 L
.4667 .52809 L
.46556 .52649 L
.46549 .5264 L
.46428 .52488 L
.46388 .52439 L
.463 .52328 L
.46228 .52254 L
.46121 .52167 L
.46067 .52038 L
.46038 .52007 L
.45919 .51846 L
.45907 .51831 L
.45793 .51686 L
.45746 .51659 L
.45667 .51525 L
.45586 .51431 L
.4552 .51364 L
.45425 .51217 L
.45415 .51204 L
.45292 .51043 L
.45265 .51009 L
.45168 .50883 L
.45104 .50822 L
.44996 .50722 L
.44943 .50599 L
.44912 .50562 L
.44795 .50401 L
.44783 .50386 L
.44673 .50241 L
.44622 .50218 L
.4455 .5008 L
.44462 .49979 L
.44408 .4992 L
.44303 .49759 L
.44301 .49758 L
.44182 .49599 L
.44141 .49546 L
.4406 .49438 L
.4398 .49359 L
.439 .49278 L
.4382 .49125 L
.43813 .49117 L
.43696 .48957 L
.43659 .48909 L
.43576 .48796 L
.43499 .48695 L
.43455 .48636 L
.43338 .48484 L
.4333 .48475 L
.43217 .48314 L
.43178 .48264 L
.43099 .48154 L
.43017 .48045 L
.4298 .47993 L
.42862 .47833 L
.42857 .47826 L
.4275 .47672 L
.42696 .476 L
.42637 .47512 L
.42536 .47372 L
.42522 .47351 L
.42419 .47191 L
.42375 .47127 L
.42324 .4703 L
F
1 .2 0 r
.42375 .47664 m
.42382 .47672 L
.42375 .47756 L
.42333 .47672 L
F
1 .83 .005 r
.42375 .42068 m
.42529 .42215 L
.42536 .42221 L
.42675 .42375 L
.42696 .42398 L
.42812 .42536 L
.42857 .42588 L
.42943 .42696 L
.43017 .42788 L
.4307 .42857 L
.43178 .42987 L
.43202 .43017 L
.433 .43178 L
.43338 .43236 L
.43397 .43338 L
.43338 .43453 L
.43203 .43338 L
.43178 .43315 L
.43053 .43178 L
.43017 .43138 L
.42919 .43017 L
.42857 .42943 L
.4279 .42857 L
.42696 .42737 L
.42666 .42696 L
.42547 .42536 L
.42536 .4252 L
.42439 .42375 L
.42375 .42281 L
.42335 .42215 L
F
0 .56 1 r
.42375 .47004 m
.42401 .4703 L
.42536 .47163 L
.4256 .47191 L
.42696 .47328 L
.42706 .47351 L
.42845 .47512 L
.42857 .47525 L
.42981 .47672 L
.43017 .47714 L
.43116 .47833 L
.43178 .47905 L
.4325 .47993 L
.43338 .48079 L
.43383 .48154 L
.43499 .48294 L
.43521 .48314 L
.43643 .48475 L
.43659 .48495 L
.43771 .48636 L
.4382 .48695 L
.439 .48796 L
.4398 .48883 L
.44065 .48957 L
.44141 .49096 L
.4416 .49117 L
.44283 .49278 L
.44301 .49301 L
.44408 .49438 L
.44462 .49479 L
.44535 .49599 L
.44622 .49703 L
.44676 .49759 L
.44783 .49915 L
.44787 .4992 L
.44911 .5008 L
.44943 .50122 L
.45035 .50241 L
.45104 .50312 L
.45195 .50401 L
.45265 .50533 L
.45289 .50562 L
.45408 .50722 L
.45425 .50744 L
.45531 .50883 L
.45586 .5092 L
.45654 .51043 L
.45746 .51153 L
.45791 .51204 L
.45901 .51364 L
.45907 .51372 L
.46022 .51525 L
.46067 .51583 L
.46144 .51686 L
.46228 .51775 L
.46295 .51846 L
.46388 .52005 L
.4639 .52007 L
.46508 .52167 L
.46549 .52219 L
.46629 .52328 L
.46709 .52396 L
.4675 .52488 L
.4687 .52646 L
.46872 .52649 L
.46988 .52809 L
.4703 .52865 L
.47105 .5297 L
.47191 .53083 L
.47225 .5313 L
.47343 .53291 L
.47351 .53302 L
.47454 .53451 L
.47512 .53529 L
.47568 .53612 L
.47672 .53756 L
.47683 .53772 L
.47786 .53933 L
.47833 .54 L
.47884 .54093 L
.47833 .54144 L
.47786 .54093 L
.47672 .53977 L
.47634 .53933 L
.47512 .53798 L
.4749 .53772 L
.47351 .53612 L
.47351 .53612 L
.47217 .53451 L
.47191 .53421 L
.47084 .53291 L
.4703 .53228 L
.46951 .5313 L
.4687 .53062 L
.46819 .5297 L
.46709 .52841 L
.46675 .52809 L
.46559 .52649 L
.46549 .52637 L
.46431 .52488 L
.46388 .52436 L
.46303 .52328 L
.46228 .52251 L
.46125 .52167 L
.46067 .52035 L
.46041 .52007 L
.45921 .51846 L
.45907 .51828 L
.45796 .51686 L
.45746 .51657 L
.4567 .51525 L
.45586 .51428 L
.45523 .51364 L
.45425 .51214 L
.45417 .51204 L
.45294 .51043 L
.45265 .51006 L
.4517 .50883 L
.45104 .5082 L
.44998 .50722 L
.44943 .50596 L
.44914 .50562 L
.44797 .50401 L
.44783 .50383 L
.44675 .50241 L
.44622 .50217 L
.44552 .5008 L
.44462 .49976 L
.44411 .4992 L
.44305 .49759 L
.44301 .49755 L
.44184 .49599 L
.44141 .49543 L
.44063 .49438 L
.4398 .49356 L
.43904 .49278 L
.4382 .49122 L
.43816 .49117 L
.43698 .48957 L
.43659 .48906 L
.43579 .48796 L
.43499 .48692 L
.43457 .48636 L
.43338 .4848 L
.43334 .48475 L
.4322 .48314 L
.43178 .4826 L
.43102 .48154 L
.43017 .48041 L
.42983 .47993 L
.42866 .47833 L
.42857 .47821 L
.42755 .47672 L
.42696 .47593 L
.42642 .47512 L
.42536 .47364 L
.42527 .47351 L
.42428 .47191 L
.42375 .47111 L
.42338 .4703 L
F
.289 .96 1 r
.42375 .41463 m
.42536 .41555 L
.42559 .41572 L
.42696 .41702 L
.42756 .41733 L
.42857 .41871 L
.42888 .41894 L
.43017 .42049 L
.43024 .42054 L
.43164 .42215 L
.43178 .4223 L
.43335 .42375 L
.43338 .42428 L
.43432 .42536 L
.43499 .42634 L
.43544 .42696 L
.43659 .42839 L
.43663 .42857 L
.43801 .43017 L
.4382 .43028 L
.4394 .43178 L
.4398 .43236 L
.4404 .43338 L
.44141 .43472 L
.44149 .43499 L
.4425 .43659 L
.44253 .4382 L
.44141 .43828 L
.44117 .4382 L
.4398 .43745 L
.4389 .43659 L
.4382 .43573 L
.43745 .43499 L
.43659 .43394 L
.43594 .43338 L
.43499 .43196 L
.43482 .43178 L
.43358 .43017 L
.43338 .42992 L
.43236 .42857 L
.43178 .4281 L
.43078 .42696 L
.43017 .4258 L
.42984 .42536 L
.42871 .42375 L
.42857 .42356 L
.42755 .42215 L
.42696 .42134 L
.4264 .42054 L
.42536 .41907 L
.42522 .41894 L
.42427 .41733 L
.42375 .41643 L
.42343 .41572 L
F
1 .96 .289 r
.42375 .44187 m
.42536 .44188 L
.42633 .44301 L
.42696 .44336 L
.42787 .44462 L
.42857 .44523 L
.42924 .44622 L
.43017 .44725 L
.43088 .44783 L
.43178 .44934 L
.43187 .44943 L
.43308 .45104 L
.43338 .45142 L
.4343 .45265 L
.43499 .45352 L
.43553 .45425 L
.43659 .45551 L
.43687 .45586 L
.43795 .45746 L
.4382 .45779 L
.4391 .45907 L
.4398 .46002 L
.44025 .46067 L
.44137 .46228 L
.44141 .46233 L
.44224 .46388 L
.44141 .46483 L
.44013 .46388 L
.4398 .46363 L
.43837 .46228 L
.4382 .46227 L
.43683 .46067 L
.43659 .46043 L
.4354 .45907 L
.43499 .45855 L
.43392 .45746 L
.43338 .45657 L
.43283 .45586 L
.43178 .45455 L
.43168 .45425 L
.43018 .45265 L
.43017 .45264 L
.42866 .45104 L
.42857 .45062 L
.42772 .44943 L
.42696 .44843 L
.42667 .44783 L
.42542 .44622 L
.42536 .44613 L
.42437 .44462 L
.42375 .44341 L
.42348 .44301 L
F
1 .84 .007 r
.42375 .46352 m
.42418 .46388 L
.42536 .46493 L
.42589 .46549 L
.42696 .4666 L
.42741 .46709 L
.42857 .46829 L
.42886 .4687 L
.43017 .47019 L
.4303 .4703 L
.43164 .47191 L
.43178 .47206 L
.433 .47351 L
.43338 .47377 L
.43436 .47512 L
.43499 .47584 L
.43599 .47672 L
.43659 .47785 L
.43702 .47833 L
.4382 .47982 L
.43827 .47993 L
.43961 .48154 L
.4398 .48173 L
.44091 .48314 L
.44141 .48377 L
.44228 .48475 L
.44301 .48583 L
.44341 .48636 L
.44462 .48784 L
.44466 .48796 L
.44602 .48957 L
.44622 .4898 L
.44748 .49117 L
.44783 .49188 L
.44854 .49278 L
.44943 .49396 L
.44968 .49438 L
.45104 .49597 L
.45107 .49599 L
.45233 .49759 L
.45265 .49799 L
.45365 .4992 L
.45425 .50009 L
.45475 .5008 L
.45586 .50218 L
.45592 .50241 L
.45732 .50401 L
.45746 .50417 L
.45874 .50562 L
.45907 .50626 L
.45981 .50722 L
.46067 .50838 L
.46092 .50883 L
.46228 .51042 L
.4623 .51043 L
.46384 .51204 L
.46388 .51246 L
.46485 .51364 L
.46549 .51458 L
.46594 .51525 L
.46709 .51668 L
.46713 .51686 L
.46848 .51846 L
.4687 .51868 L
.46991 .52007 L
.4703 .5208 L
.47096 .52167 L
.47191 .52293 L
.47209 .52328 L
.47341 .52488 L
.47351 .52495 L
.47501 .52649 L
.47512 .52704 L
.47597 .52809 L
.47672 .52919 L
.47706 .5297 L
.47833 .5313 L
.47833 .5313 L
.47955 .53291 L
.47993 .53328 L
.481 .53451 L
.48154 .53546 L
.48203 .53612 L
.48314 .53761 L
.4832 .53772 L
.48444 .53933 L
.48475 .53951 L
.4861 .54093 L
.48636 .54173 L
.48699 .54254 L
.48796 .54394 L
.4881 .54414 L
.48931 .54575 L
.48957 .54608 L
.49051 .54735 L
.49117 .54801 L
.49195 .54896 L
.49278 .5503 L
.49296 .55057 L
.49413 .55217 L
.49438 .55249 L
.49532 .55378 L
.49599 .55427 L
.49694 .55538 L
.49759 .55675 L
.49777 .55699 L
.49889 .55859 L
.4992 .559 L
.50005 .5602 L
.5008 .5612 L
.50123 .5618 L
.50241 .56341 L
.50241 .56341 L
.50351 .56501 L
.50401 .56571 L
.50462 .56662 L
.50562 .56803 L
.50574 .56822 L
.50674 .56983 L
.50722 .57058 L
.50765 .57143 L
.50722 .57206 L
.50657 .57143 L
.50562 .57054 L
.50496 .56983 L
.50401 .56884 L
.50347 .56822 L
.50241 .56716 L
.50204 .56662 L
.5008 .56521 L
.50057 .56501 L
.49928 .56341 L
.4992 .56331 L
.49794 .5618 L
.49759 .56162 L
.4966 .5602 L
.49599 .55952 L
.49487 .55859 L
.49438 .55749 L
.49392 .55699 L
.49278 .55549 L
.49269 .55538 L
.49138 .55378 L
.49117 .55359 L
.49009 .55217 L
.48957 .55154 L
.48865 .55057 L
.48796 .54947 L
.48755 .54896 L
.48636 .54745 L
.48631 .54735 L
.485 .54575 L
.48475 .54548 L
.48343 .54414 L
.48314 .5434 L
.48243 .54254 L
.48154 .54131 L
.48129 .54093 L
.47997 .53933 L
.47993 .5393 L
.47872 .53772 L
.47833 .53727 L
.47732 .53612 L
.47672 .53516 L
.47624 .53451 L
.47512 .53307 L
.47504 .53291 L
.47373 .5313 L
.47351 .53109 L
.4722 .5297 L
.47191 .52898 L
.47119 .52809 L
.4703 .52686 L
.47006 .52649 L
.46876 .52488 L
.4687 .52484 L
.46753 .52328 L
.46709 .52278 L
.46613 .52167 L
.46549 .52065 L
.46506 .52007 L
.46388 .51854 L
.46385 .51846 L
.46259 .51686 L
.46228 .51657 L
.46104 .51525 L
.46067 .51442 L
.46005 .51364 L
.45907 .51228 L
.45891 .51204 L
.45766 .51043 L
.45746 .51034 L
.45643 .50883 L
.45586 .5082 L
.45503 .50722 L
.45425 .50602 L
.45396 .50562 L
.45274 .50401 L
.45265 .5039 L
.45152 .50241 L
.45104 .50198 L
.44997 .5008 L
.44943 .49976 L
.449 .4992 L
.44783 .49759 L
.44783 .49759 L
.44663 .49599 L
.44622 .49581 L
.44541 .49438 L
.44462 .49349 L
.44403 .49278 L
.44301 .49126 L
.44295 .49117 L
.44176 .48957 L
.44141 .48911 L
.44056 .48796 L
.4398 .48723 L
.43906 .48636 L
.4382 .48489 L
.43809 .48475 L
.43693 .48314 L
.43659 .48271 L
.43574 .48154 L
.43499 .48055 L
.43454 .47993 L
.43338 .47844 L
.4333 .47833 L
.43217 .47672 L
.43178 .47621 L
.431 .47512 L
.43017 .47401 L
.42982 .47351 L
.42865 .47191 L
.42857 .4718 L
.42755 .4703 L
.42696 .4695 L
.42644 .4687 L
.42536 .46717 L
.42531 .46709 L
.42435 .46549 L
.42375 .46452 L
.42349 .46388 L
F
1 .82 .004 r
.42375 .42096 m
.42509 .42215 L
.42536 .42239 L
.42661 .42375 L
.42696 .42412 L
.42801 .42536 L
.42857 .42601 L
.42933 .42696 L
.43017 .42801 L
.4306 .42857 L
.43178 .4301 L
.43183 .43017 L
.43288 .43178 L
.43338 .43259 L
.43381 .43338 L
.43338 .43428 L
.43221 .43338 L
.43178 .43299 L
.43065 .43178 L
.43017 .43125 L
.42928 .43017 L
.42857 .42931 L
.42799 .42857 L
.42696 .42725 L
.42675 .42696 L
.42558 .42536 L
.42536 .42504 L
.42451 .42375 L
.42375 .42259 L
.4235 .42215 L
F
0 .55 1 r
.42375 .47023 m
.42383 .4703 L
.42536 .47173 L
.42551 .47191 L
.42696 .47343 L
.427 .47351 L
.42839 .47512 L
.42857 .47531 L
.42976 .47672 L
.43017 .47719 L
.43111 .47833 L
.43178 .4791 L
.43246 .47993 L
.43338 .48084 L
.43379 .48154 L
.43499 .48298 L
.43516 .48314 L
.4364 .48475 L
.43659 .48499 L
.43768 .48636 L
.4382 .48698 L
.43898 .48796 L
.4398 .48887 L
.44061 .48957 L
.44141 .49099 L
.44157 .49117 L
.4428 .49278 L
.44301 .49304 L
.44406 .49438 L
.44462 .49481 L
.44533 .49599 L
.44622 .49706 L
.44673 .49759 L
.44783 .49918 L
.44785 .4992 L
.44908 .5008 L
.44943 .50124 L
.45033 .50241 L
.45104 .50315 L
.45193 .50401 L
.45265 .50535 L
.45287 .50562 L
.45406 .50722 L
.45425 .50747 L
.45529 .50883 L
.45586 .50922 L
.45652 .51043 L
.45746 .51156 L
.45788 .51204 L
.45899 .51364 L
.45907 .51374 L
.4602 .51525 L
.46067 .51586 L
.46142 .51686 L
.46228 .51779 L
.46292 .51846 L
.46387 .52007 L
.46388 .52008 L
.46506 .52167 L
.46549 .52223 L
.46626 .52328 L
.46709 .524 L
.46747 .52488 L
.46869 .52649 L
.4687 .5265 L
.46985 .52809 L
.4703 .52869 L
.47102 .5297 L
.47191 .53087 L
.47222 .5313 L
.47339 .53291 L
.47351 .53308 L
.4745 .53451 L
.47512 .53535 L
.47564 .53612 L
.47672 .53763 L
.47678 .53772 L
.47778 .53933 L
.47833 .54015 L
.47872 .54093 L
.47833 .5413 L
.47798 .54093 L
.47672 .53968 L
.47641 .53933 L
.47512 .53791 L
.47496 .53772 L
.47357 .53612 L
.47351 .53606 L
.47222 .53451 L
.47191 .53416 L
.47088 .53291 L
.4703 .53224 L
.46955 .5313 L
.4687 .53057 L
.46822 .5297 L
.46709 .52836 L
.46679 .52809 L
.46562 .52649 L
.46549 .52633 L
.46434 .52488 L
.46388 .52433 L
.46305 .52328 L
.46228 .52248 L
.46128 .52167 L
.46067 .52032 L
.46044 .52007 L
.45923 .51846 L
.45907 .51825 L
.45798 .51686 L
.45746 .51655 L
.45672 .51525 L
.45586 .51426 L
.45526 .51364 L
.45425 .51211 L
.45419 .51204 L
.45296 .51043 L
.45265 .51003 L
.45172 .50883 L
.45104 .50817 L
.45001 .50722 L
.44943 .50593 L
.44916 .50562 L
.448 .50401 L
.44783 .50381 L
.44677 .50241 L
.44622 .50215 L
.44554 .5008 L
.44462 .49973 L
.44413 .4992 L
.44307 .49759 L
.44301 .49752 L
.44187 .49599 L
.44141 .4954 L
.44065 .49438 L
.4398 .49352 L
.43907 .49278 L
.4382 .49118 L
.43819 .49117 L
.43701 .48957 L
.43659 .48903 L
.43581 .48796 L
.43499 .48689 L
.4346 .48636 L
.43338 .48475 L
.43338 .48475 L
.43223 .48314 L
.43178 .48256 L
.43106 .48154 L
.43017 .48037 L
.42987 .47993 L
.4287 .47833 L
.42857 .47816 L
.42759 .47672 L
.42696 .47587 L
.42647 .47512 L
.42536 .47356 L
.42532 .47351 L
.42438 .47191 L
.42375 .47089 L
.4236 .4703 L
F
0 .75 1 r
.42375 .42736 m
.42454 .42857 L
.42536 .42991 L
.42538 .43017 L
.42536 .43019 L
.42534 .43017 L
.42375 .42871 L
.42363 .42857 L
F
1 .81 .003 r
.42375 .42134 m
.42485 .42215 L
.42536 .42258 L
.42646 .42375 L
.42696 .42427 L
.42789 .42536 L
.42857 .42614 L
.42923 .42696 L
.43017 .42814 L
.4305 .42857 L
.43169 .43017 L
.43178 .43029 L
.43274 .43178 L
.43338 .43288 L
.43361 .43338 L
.43338 .43398 L
.43245 .43338 L
.43178 .43283 L
.43079 .43178 L
.43017 .43112 L
.42939 .43017 L
.42857 .42919 L
.42808 .42857 L
.42696 .42713 L
.42684 .42696 L
.4257 .42536 L
.42536 .42488 L
.42465 .42375 L
.42375 .42229 L
.42368 .42215 L
F
1 .95 .212 r
.42536 .44241 m
.42582 .44301 L
.42696 .44362 L
.42761 .44462 L
.42857 .44546 L
.42906 .44622 L
.43017 .44747 L
.43062 .44783 L
.4317 .44943 L
.43178 .44952 L
.43294 .45104 L
.43338 .4516 L
.43417 .45265 L
.43499 .45369 L
.4354 .45425 L
.43659 .45578 L
.43666 .45586 L
.43778 .45746 L
.4382 .45802 L
.43892 .45907 L
.4398 .46032 L
.44004 .46067 L
.441 .46228 L
.4398 .46309 L
.43886 .46228 L
.4382 .46221 L
.4372 .46067 L
.43659 .46011 L
.43571 .45907 L
.43499 .45822 L
.43415 .45746 L
.43338 .45628 L
.43304 .45586 L
.43178 .45433 L
.43175 .45425 L
.4304 .45265 L
.43017 .4525 L
.42874 .45104 L
.42857 .45034 L
.42793 .44943 L
.42696 .44807 L
.42685 .44783 L
.42571 .44622 L
.42536 .44564 L
.42474 .44462 L
.42422 .44301 L
F
.395 .97 1 r
.42536 .45862 m
.42585 .45907 L
.42696 .46011 L
.42753 .46067 L
.42857 .46166 L
.4291 .46228 L
.43017 .46349 L
.43071 .46388 L
.43178 .4653 L
.43197 .46549 L
.43338 .46708 L
.43339 .46709 L
.43483 .4687 L
.43499 .46888 L
.4362 .4703 L
.43659 .47083 L
.43756 .47191 L
.4382 .47283 L
.43873 .47351 L
.4398 .47485 L
.43993 .47512 L
.44141 .47667 L
.44145 .47672 L
.44281 .47833 L
.44301 .47871 L
.44396 .47993 L
.44462 .48081 L
.44507 .48154 L
.44622 .48293 L
.44659 .48314 L
.44783 .48474 L
.44784 .48475 L
.44909 .48636 L
.44943 .48685 L
.4502 .48796 L
.45104 .48902 L
.45118 .48957 L
.45265 .49088 L
.45288 .49117 L
.45414 .49278 L
.45425 .49296 L
.45529 .49438 L
.45586 .49512 L
.45632 .49599 L
.45746 .49732 L
.45789 .49759 L
.45907 .49914 L
.45911 .4992 L
.46034 .5008 L
.46067 .50127 L
.46142 .50241 L
.46228 .50346 L
.46286 .50401 L
.46388 .50536 L
.46409 .50562 L
.46534 .50722 L
.46549 .50746 L
.46648 .50883 L
.46709 .50962 L
.46749 .51043 L
.4687 .5118 L
.46905 .51204 L
.47029 .51364 L
.4703 .51369 L
.4715 .51525 L
.47191 .51582 L
.47257 .51686 L
.47351 .51799 L
.47399 .51846 L
.47512 .52005 L
.47521 .52007 L
.47649 .52167 L
.47672 .52205 L
.47761 .52328 L
.47833 .5242 L
.47864 .52488 L
.47993 .52632 L
.48016 .52649 L
.48146 .52809 L
.48154 .5283 L
.48262 .5297 L
.48314 .53042 L
.48369 .5313 L
.48475 .53256 L
.48509 .53291 L
.48631 .53451 L
.48636 .53456 L
.48762 .53612 L
.48796 .53666 L
.48871 .53772 L
.48957 .5388 L
.48978 .53933 L
.49117 .54088 L
.49124 .54093 L
.49262 .54254 L
.49278 .54291 L
.49372 .54414 L
.49438 .54505 L
.4948 .54575 L
.49599 .54716 L
.49616 .54735 L
.49738 .54896 L
.49759 .54917 L
.49873 .55057 L
.4992 .55129 L
.49981 .55217 L
.5008 .55343 L
.50092 .55378 L
.5023 .55538 L
.50241 .55545 L
.50375 .55699 L
.50401 .55755 L
.5048 .55859 L
.50562 .5597 L
.5059 .5602 L
.50721 .5618 L
.50722 .56182 L
.50843 .56341 L
.50883 .56379 L
.5098 .56501 L
.51043 .56597 L
.51087 .56662 L
.51204 .56813 L
.51207 .56822 L
.51332 .56983 L
.51364 .57003 L
.51483 .57143 L
.51525 .57225 L
.51583 .57304 L
.51686 .57445 L
.51696 .57464 L
.51819 .57625 L
.51846 .5766 L
.5194 .57785 L
.52007 .57852 L
.52078 .57946 L
.52167 .58081 L
.52184 .58106 L
.52303 .58267 L
.52328 .58299 L
.52422 .58428 L
.52488 .58479 L
.52571 .58588 L
.52649 .58723 L
.52666 .58749 L
.5278 .58909 L
.52809 .58948 L
.52896 .5907 L
.5297 .59168 L
.53059 .5923 L
.5313 .59388 L
.53132 .59391 L
.53242 .59551 L
.53291 .59619 L
.53353 .59712 L
.53451 .59853 L
.53464 .59872 L
.53563 .60033 L
.53612 .6011 L
.53654 .60193 L
.53612 .60277 L
.53519 .60193 L
.53451 .60133 L
.53354 .60033 L
.53291 .59969 L
.53202 .59872 L
.5313 .5981 L
.53056 .59712 L
.5297 .59615 L
.52884 .59551 L
.52809 .59425 L
.52775 .59391 L
.52649 .59236 L
.52644 .5923 L
.52507 .5907 L
.52488 .59049 L
.52374 .58909 L
.52328 .5885 L
.52234 .58749 L
.52167 .58647 L
.5212 .58588 L
.52007 .58445 L
.51999 .58428 L
.51855 .58267 L
.51846 .58256 L
.51711 .58106 L
.51686 .5805 L
.51601 .57946 L
.51525 .57841 L
.51489 .57785 L
.51364 .57635 L
.51346 .57625 L
.5122 .57464 L
.51204 .57443 L
.51089 .57304 L
.51043 .57232 L
.50978 .57143 L
.50883 .5702 L
.5087 .56983 L
.50722 .56827 L
.50719 .56822 L
.50583 .56662 L
.50562 .56618 L
.50471 .56501 L
.50401 .56404 L
.50363 .56341 L
.50241 .56194 L
.5022 .5618 L
.50081 .5602 L
.5008 .55998 L
.49967 .55859 L
.4992 .55786 L
.49857 .55699 L
.49759 .55573 L
.49749 .55538 L
.49601 .55378 L
.49599 .55375 L
.49464 .55217 L
.49438 .55166 L
.49354 .55057 L
.49278 .54952 L
.49245 .54896 L
.49117 .54744 L
.49106 .54735 L
.48961 .54575 L
.48957 .54543 L
.48851 .54414 L
.48796 .5433 L
.48743 .54254 L
.48636 .54119 L
.4863 .54093 L
.48489 .53933 L
.48475 .53918 L
.48348 .53772 L
.48314 .53707 L
.48241 .53612 L
.48154 .53494 L
.4813 .53451 L
.47996 .53291 L
.47993 .53289 L
.47842 .5313 L
.47833 .53084 L
.47739 .5297 L
.47672 .5287 L
.4763 .52809 L
.47512 .5266 L
.4751 .52649 L
.4738 .52488 L
.47351 .5246 L
.47235 .52328 L
.47191 .52246 L
.4713 .52167 L
.4703 .52033 L
.47016 .52007 L
.46887 .51846 L
.4687 .51835 L
.46727 .51686 L
.46709 .51623 L
.46629 .51525 L
.46549 .51407 L
.4652 .51364 L
.46395 .51204 L
.46388 .51196 L
.46273 .51043 L
.46228 .51001 L
.46126 .50883 L
.46067 .50782 L
.46022 .50722 L
.45907 .50568 L
.45904 .50562 L
.45781 .50401 L
.45746 .50381 L
.45616 .50241 L
.45586 .50159 L
.45523 .5008 L
.45425 .4994 L
.45412 .4992 L
.4529 .49759 L
.45265 .49727 L
.45168 .49599 L
.45104 .49538 L
.45021 .49438 L
.44943 .49312 L
.44918 .49278 L
.44799 .49117 L
.44783 .49096 L
.44679 .48957 L
.44622 .48921 L
.44515 .48796 L
.44462 .48685 L
.44423 .48636 L
.4431 .48475 L
.44301 .48464 L
.44191 .48314 L
.44141 .4825 L
.4407 .48154 L
.4398 .48058 L
.43929 .47993 L
.43824 .47833 L
.4382 .47828 L
.43706 .47672 L
.43659 .47612 L
.43586 .47512 L
.43499 .47398 L
.43437 .47351 L
.43343 .47191 L
.43338 .47185 L
.43227 .4703 L
.43178 .46966 L
.4311 .4687 L
.43017 .46747 L
.42991 .46709 L
.42874 .46549 L
.42857 .46526 L
.42763 .46388 L
.42696 .46297 L
.42651 .46228 L
.42539 .46067 L
.42536 .46063 L
.42449 .45907 L
F
0 .54 1 r
.42536 .47184 m
.42542 .47191 L
.42536 .47347 L
.42451 .47191 L
F
.212 .95 1 r
.42536 .41602 m
.42696 .41731 L
.42701 .41733 L
.42857 .41891 L
.42861 .41894 L
.43008 .42054 L
.43017 .4206 L
.43147 .42215 L
.43178 .42248 L
.43332 .42375 L
.43338 .42446 L
.4342 .42536 L
.43499 .42649 L
.43534 .42696 L
.43659 .4285 L
.43661 .42857 L
.43789 .43017 L
.4382 .43036 L
.43931 .43178 L
.4398 .43254 L
.44028 .43338 L
.44136 .43499 L
.44141 .43506 L
.44225 .43659 L
.44141 .43796 L
.4398 .43722 L
.43911 .43659 L
.4382 .43558 L
.43758 .43499 L
.43659 .43381 L
.43607 .43338 L
.43499 .43186 L
.43491 .43178 L
.43368 .43017 L
.43338 .4298 L
.43245 .42857 L
.43178 .42799 L
.43089 .42696 L
.43017 .42566 L
.42995 .42536 L
.42882 .42375 L
.42857 .42341 L
.42768 .42215 L
.42696 .42115 L
.42654 .42054 L
.42546 .41894 L
.42536 .41878 L
.42456 .41733 L
F
1 .83 .005 r
.42536 .4652 m
.42565 .46549 L
.42696 .46679 L
.42725 .46709 L
.42857 .46848 L
.42873 .4687 L
.43015 .4703 L
.43017 .47033 L
.43154 .47191 L
.43178 .47217 L
.43292 .47351 L
.43338 .47384 L
.43428 .47512 L
.43499 .47593 L
.43592 .47672 L
.43659 .47793 L
.43695 .47833 L
.4382 .47989 L
.43823 .47993 L
.43955 .48154 L
.4398 .48179 L
.44086 .48314 L
.44141 .48383 L
.44224 .48475 L
.44301 .48588 L
.44337 .48636 L
.44462 .48788 L
.44464 .48796 L
.44598 .48957 L
.44622 .48985 L
.44746 .49117 L
.44783 .49192 L
.44851 .49278 L
.44943 .494 L
.44966 .49438 L
.45104 .49599 L
.45104 .49599 L
.4523 .49759 L
.45265 .49803 L
.45363 .4992 L
.45425 .50013 L
.45473 .5008 L
.45586 .50221 L
.45591 .50241 L
.4573 .50401 L
.45746 .50419 L
.45872 .50562 L
.45907 .50629 L
.45978 .50722 L
.46067 .5084 L
.46091 .50883 L
.46227 .51043 L
.46228 .51044 L
.46383 .51204 L
.46388 .51248 L
.46483 .51364 L
.46549 .51461 L
.46593 .51525 L
.46709 .51671 L
.46712 .51686 L
.46846 .51846 L
.4687 .51871 L
.46989 .52007 L
.4703 .52083 L
.47094 .52167 L
.47191 .52296 L
.47208 .52328 L
.47339 .52488 L
.47351 .52496 L
.475 .52649 L
.47512 .52706 L
.47595 .52809 L
.47672 .52922 L
.47704 .5297 L
.47831 .5313 L
.47833 .53133 L
.47953 .53291 L
.47993 .5333 L
.48098 .53451 L
.48154 .53549 L
.48201 .53612 L
.48314 .53764 L
.48319 .53772 L
.48442 .53933 L
.48475 .53952 L
.48609 .54093 L
.48636 .54177 L
.48696 .54254 L
.48796 .54398 L
.48807 .54414 L
.48928 .54575 L
.48957 .54613 L
.49048 .54735 L
.49117 .54806 L
.49192 .54896 L
.49278 .55036 L
.49293 .55057 L
.4941 .55217 L
.49438 .55255 L
.49528 .55378 L
.49599 .55433 L
.49688 .55538 L
.49759 .55683 L
.49771 .55699 L
.49884 .55859 L
.4992 .55907 L
.5 .5602 L
.5008 .56129 L
.50117 .5618 L
.50233 .56341 L
.50241 .56352 L
.50342 .56501 L
.50401 .56584 L
.50452 .56662 L
.50562 .56821 L
.50563 .56822 L
.50654 .56983 L
.50722 .5711 L
.50729 .57143 L
.50722 .57155 L
.50703 .57143 L
.50562 .5703 L
.50516 .56983 L
.50401 .56866 L
.50362 .56822 L
.50241 .56699 L
.50216 .56662 L
.5008 .56508 L
.50072 .56501 L
.49938 .56341 L
.4992 .5632 L
.49802 .5618 L
.49759 .56157 L
.49668 .5602 L
.49599 .55944 L
.49493 .55859 L
.49438 .55742 L
.49398 .55699 L
.49278 .55544 L
.49273 .55538 L
.49143 .55378 L
.49117 .55355 L
.49014 .55217 L
.48957 .55149 L
.48869 .55057 L
.48796 .54942 L
.48759 .54896 L
.48636 .54741 L
.48633 .54735 L
.48504 .54575 L
.48475 .54544 L
.48345 .54414 L
.48314 .54336 L
.48246 .54254 L
.48154 .54127 L
.48131 .54093 L
.48 .53933 L
.47993 .53928 L
.47875 .53772 L
.47833 .53724 L
.47734 .53612 L
.47672 .53513 L
.47626 .53451 L
.47512 .53305 L
.47506 .53291 L
.47375 .5313 L
.47351 .53106 L
.47221 .5297 L
.47191 .52895 L
.47121 .52809 L
.4703 .52684 L
.47008 .52649 L
.46878 .52488 L
.4687 .52483 L
.46755 .52328 L
.46709 .52276 L
.46615 .52167 L
.46549 .52062 L
.46508 .52007 L
.46388 .51852 L
.46386 .51846 L
.46261 .51686 L
.46228 .51655 L
.46106 .51525 L
.46067 .5144 L
.46007 .51364 L
.45907 .51226 L
.45893 .51204 L
.45768 .51043 L
.45746 .51033 L
.45645 .50883 L
.45586 .50817 L
.45505 .50722 L
.45425 .506 L
.45398 .50562 L
.45276 .50401 L
.45265 .50387 L
.45154 .50241 L
.45104 .50196 L
.44999 .5008 L
.44943 .49973 L
.44902 .4992 L
.44786 .49759 L
.44783 .49756 L
.44665 .49599 L
.44622 .49579 L
.44544 .49438 L
.44462 .49346 L
.44406 .49278 L
.44301 .49122 L
.44298 .49117 L
.44179 .48957 L
.44141 .48908 L
.44059 .48796 L
.4398 .48718 L
.4391 .48636 L
.4382 .48484 L
.43813 .48475 L
.43697 .48314 L
.43659 .48266 L
.43578 .48154 L
.43499 .4805 L
.43458 .47993 L
.43338 .47836 L
.43336 .47833 L
.43222 .47672 L
.43178 .47614 L
.43106 .47512 L
.43017 .47393 L
.42988 .47351 L
.42873 .47191 L
.42857 .47169 L
.42764 .4703 L
.42696 .46936 L
.42654 .4687 L
.42544 .46709 L
.42536 .46696 L
.42459 .46549 L
F
.395 .97 1 r
.42536 .37398 m
.42536 .37399 L
.42696 .37555 L
.42698 .37559 L
.42844 .3772 L
.42857 .37733 L
.42984 .3788 L
.43017 .37916 L
.43122 .38041 L
.43178 .38104 L
.43257 .38201 L
.43338 .38272 L
.43392 .38362 L
.43499 .38485 L
.43543 .38523 L
.43657 .38683 L
.43659 .38686 L
.43785 .38844 L
.4382 .38885 L
.43914 .39004 L
.4398 .39071 L
.441 .39165 L
.44141 .39283 L
.44182 .39325 L
.44299 .39486 L
.44301 .39488 L
.44425 .39646 L
.44462 .39669 L
.44551 .39807 L
.44622 .39886 L
.44705 .39967 L
.44783 .40099 L
.44808 .40128 L
.44929 .40288 L
.44943 .40306 L
.45053 .40449 L
.45104 .40495 L
.45232 .40609 L
.45265 .40712 L
.45317 .4077 L
.45425 .40924 L
.4543 .4093 L
.45553 .41091 L
.45586 .41106 L
.45676 .41251 L
.45746 .41327 L
.45828 .41412 L
.45907 .41544 L
.4593 .41572 L
.4605 .41733 L
.46067 .41755 L
.46172 .41894 L
.46228 .41941 L
.46346 .42054 L
.46388 .42165 L
.46432 .42215 L
.46545 .42375 L
.46549 .4238 L
.46666 .42536 L
.46709 .42552 L
.46789 .42696 L
.4687 .42784 L
.46936 .42857 L
.4703 .43006 L
.47039 .43017 L
.47159 .43178 L
.47191 .43218 L
.4728 .43338 L
.47351 .43401 L
.47447 .43499 L
.47512 .43632 L
.47535 .43659 L
.4765 .4382 L
.47672 .43849 L
.4777 .4398 L
.47833 .4406 L
.47892 .44141 L
.47993 .44259 L
.48031 .44301 L
.48138 .44462 L
.48154 .44482 L
.48257 .44622 L
.48314 .44695 L
.48378 .44783 L
.48475 .44885 L
.48528 .44943 L
.48623 .45104 L
.48636 .45119 L
.48741 .45265 L
.48796 .45335 L
.4886 .45425 L
.48957 .4555 L
.48982 .45586 L
.49102 .45746 L
.49117 .45765 L
.49217 .45907 L
.49278 .45986 L
.49334 .46067 L
.49438 .46205 L
.49454 .46228 L
.49568 .46388 L
.49599 .4643 L
.49677 .46549 L
.49759 .46662 L
.49789 .46709 L
.49897 .4687 L
.4992 .46902 L
.49988 .4703 L
.4992 .47055 L
.49898 .4703 L
.49759 .46882 L
.49755 .4687 L
.49614 .46709 L
.49599 .46693 L
.49474 .46549 L
.49438 .46509 L
.49334 .46388 L
.49278 .46324 L
.49194 .46228 L
.49117 .46151 L
.49056 .46067 L
.48957 .45947 L
.48916 .45907 L
.48796 .45755 L
.48792 .45746 L
.48651 .45586 L
.48636 .45583 L
.48517 .45425 L
.48475 .45377 L
.48348 .45265 L
.48314 .45174 L
.48256 .45104 L
.48154 .44972 L
.48138 .44943 L
.47995 .44783 L
.47993 .44782 L
.47865 .44622 L
.47833 .44582 L
.47727 .44462 L
.47672 .44375 L
.47618 .44301 L
.47512 .44169 L
.475 .44141 L
.47357 .4398 L
.47351 .43974 L
.47207 .4382 L
.47191 .43769 L
.47104 .43659 L
.4703 .43559 L
.46993 .43499 L
.4687 .43353 L
.46853 .43338 L
.46729 .43178 L
.46709 .43154 L
.46595 .43017 L
.46549 .42944 L
.46487 .42857 L
.46388 .42733 L
.46374 .42696 L
.46231 .42536 L
.46228 .42532 L
.46087 .42375 L
.46067 .42324 L
.45983 .42215 L
.45907 .42112 L
.45873 .42054 L
.45746 .41903 L
.45736 .41894 L
.45613 .41733 L
.45586 .41702 L
.4548 .41572 L
.45425 .41488 L
.45373 .41412 L
.45265 .41276 L
.45256 .41251 L
.45121 .41091 L
.45104 .41075 L
.44974 .4093 L
.44943 .40862 L
.44874 .4077 L
.44783 .40646 L
.44762 .40609 L
.44633 .40449 L
.44622 .40446 L
.44511 .40288 L
.44462 .40234 L
.44377 .40128 L
.44301 .40013 L
.44271 .39967 L
.44148 .39807 L
.44141 .39798 L
.44027 .39646 L
.4398 .39605 L
.43877 .39486 L
.4382 .39375 L
.43784 .39325 L
.43668 .39165 L
.43659 .39153 L
.4355 .39004 L
.43499 .38935 L
.43431 .38844 L
.43338 .38727 L
.43305 .38683 L
.43198 .38523 L
.43178 .38495 L
.43083 .38362 L
.43017 .38271 L
.42968 .38201 L
.42857 .38046 L
.42853 .38041 L
.42748 .3788 L
.42696 .37806 L
.42641 .3772 L
.42536 .37559 L
.42536 .37559 L
.42464 .37399 L
F
1 .8 .002 r
.42536 .42279 m
.42629 .42375 L
.42696 .42443 L
.42776 .42536 L
.42857 .42628 L
.42911 .42696 L
.43017 .42827 L
.43039 .42857 L
.43156 .43017 L
.43178 .43047 L
.43259 .43178 L
.43178 .43265 L
.43093 .43178 L
.43017 .43098 L
.4295 .43017 L
.42857 .42907 L
.42818 .42857 L
.42696 .427 L
.42693 .42696 L
.42583 .42536 L
.42536 .42468 L
.4248 .42375 L
F
.156 .94 1 r
.42536 .41658 m
.42651 .41733 L
.42696 .41766 L
.42832 .41894 L
.42857 .41916 L
.42986 .42054 L
.43017 .42072 L
.4313 .42215 L
.43178 .42265 L
.43325 .42375 L
.43338 .42462 L
.43408 .42536 L
.43499 .42663 L
.43523 .42696 L
.43654 .42857 L
.43659 .42864 L
.43777 .43017 L
.4382 .43045 L
.43921 .43178 L
.4398 .43275 L
.44014 .43338 L
.44119 .43499 L
.44141 .43539 L
.44199 .43659 L
.44141 .4376 L
.4398 .43699 L
.43933 .43659 L
.4382 .43544 L
.43771 .43499 L
.43659 .43369 L
.4362 .43338 L
.43501 .43178 L
.43499 .43175 L
.43377 .43017 L
.43338 .42969 L
.43254 .42857 L
.43178 .42786 L
.431 .42696 L
.43017 .4255 L
.43007 .42536 L
.42894 .42375 L
.42857 .42324 L
.4278 .42215 L
.42696 .42095 L
.42669 .42054 L
.42569 .41894 L
.42536 .41834 L
.42493 .41733 L
F
1 .79 .001 r
.42536 .42305 m
.42608 .42375 L
.42696 .4246 L
.42762 .42536 L
.42857 .42643 L
.429 .42696 L
.43017 .42842 L
.43028 .42857 L
.43142 .43017 L
.43178 .43068 L
.43242 .43178 L
.43178 .43245 L
.4311 .43178 L
.43017 .43083 L
.42962 .43017 L
.42857 .42893 L
.42829 .42857 L
.42706 .42696 L
.42696 .42684 L
.42598 .42536 L
.42536 .42444 L
.42498 .42375 L
F
0 .22 1 r
.42536 .48478 m
.42649 .48636 L
.42696 .48693 L
.42768 .48796 L
.42857 .48907 L
.4289 .48957 L
.42857 .49063 L
.42775 .48957 L
.42696 .48866 L
.42643 .48796 L
.42536 .48667 L
.42512 .48636 L
F
1 .94 .156 r
.42536 .44338 m
.42696 .44404 L
.42731 .44462 L
.42857 .44575 L
.42886 .44622 L
.43017 .44771 L
.43033 .44783 L
.43154 .44943 L
.43178 .44972 L
.43279 .45104 L
.43338 .45178 L
.43403 .45265 L
.43499 .45387 L
.43526 .45425 L
.43647 .45586 L
.43659 .45602 L
.4376 .45746 L
.4382 .45829 L
.43871 .45907 L
.43978 .46067 L
.4398 .46072 L
.44036 .46228 L
.4398 .46245 L
.43954 .46228 L
.4382 .46184 L
.43761 .46067 L
.43659 .45976 L
.43603 .45907 L
.43499 .4579 L
.43444 .45746 L
.43338 .45601 L
.43324 .45586 L
.43191 .45425 L
.43178 .45408 L
.43063 .45265 L
.43017 .45232 L
.42887 .45104 L
.42857 .45003 L
.42816 .44943 L
.42706 .44783 L
.42696 .44767 L
.42601 .44622 L
.42536 .44502 L
.42515 .44462 L
F
0 .21 1 r
.42536 .48484 m
.42643 .48636 L
.42696 .487 L
.42763 .48796 L
.42857 .48914 L
.42885 .48957 L
.42857 .49055 L
.42781 .48957 L
.42696 .4886 L
.42648 .48796 L
.42536 .48661 L
.42516 .48636 L
F
0 .2 1 r
.42536 .48491 m
.42637 .48636 L
.42696 .48707 L
.42757 .48796 L
.42857 .48922 L
.4288 .48957 L
.42857 .49047 L
.42788 .48957 L
.42696 .48853 L
.42653 .48796 L
.42536 .48655 L
.42521 .48636 L
F
1 .78 .001 r
.42536 .42341 m
.42579 .42375 L
.42696 .4248 L
.42746 .42536 L
.42857 .42659 L
.42887 .42696 L
.43016 .42857 L
.43017 .42859 L
.43126 .43017 L
.43178 .43095 L
.43221 .43178 L
.43178 .4322 L
.43132 .43178 L
.43017 .43067 L
.42976 .43017 L
.42857 .42878 L
.4284 .42857 L
.4272 .42696 L
.42696 .42664 L
.42614 .42536 L
.42536 .42409 L
.42521 .42375 L
F
1 .48 0 r
.42536 .49165 m
.42597 .49278 L
.42536 .49291 L
.42524 .49278 L
F
0 .19 1 r
.42536 .48498 m
.4263 .48636 L
.42696 .48715 L
.4275 .48796 L
.42857 .4893 L
.42874 .48957 L
.42857 .49037 L
.42796 .48957 L
.42696 .48845 L
.42659 .48796 L
.42536 .48649 L
.42526 .48636 L
F
1 .21 0 r
.42536 .47836 m
.42664 .47993 L
.42696 .48028 L
.42796 .48154 L
.42857 .48223 L
.42928 .48314 L
.43017 .4842 L
.4306 .48475 L
.43178 .48619 L
.43191 .48636 L
.43317 .48796 L
.43338 .48822 L
.43441 .48957 L
.43499 .49026 L
.43567 .49117 L
.43659 .49231 L
.43694 .49278 L
.4382 .49434 L
.43821 .49438 L
.43941 .49599 L
.4398 .49647 L
.44063 .49759 L
.44141 .49857 L
.44187 .4992 L
.44301 .50067 L
.44311 .5008 L
.44428 .50241 L
.44462 .50283 L
.44545 .50401 L
.44622 .505 L
.44666 .50562 L
.44783 .50717 L
.44787 .50722 L
.44894 .50883 L
.44943 .50947 L
.45002 .51043 L
.45104 .51186 L
.45114 .51204 L
.45104 .51246 L
.45067 .51204 L
.44943 .5108 L
.44914 .51043 L
.44783 .50896 L
.44772 .50883 L
.4464 .50722 L
.44622 .50703 L
.4451 .50562 L
.44462 .50506 L
.4438 .50401 L
.44301 .50308 L
.44249 .50241 L
.44141 .50109 L
.44119 .5008 L
.43992 .4992 L
.4398 .49906 L
.43868 .49759 L
.4382 .497 L
.43743 .49599 L
.43659 .49495 L
.43617 .49438 L
.43499 .49289 L
.4349 .49278 L
.4337 .49117 L
.43338 .49078 L
.43249 .48957 L
.43178 .48867 L
.43126 .48796 L
.43017 .48656 L
.43002 .48636 L
.42884 .48475 L
.42857 .4844 L
.42769 .48314 L
.42696 .48221 L
.4265 .48154 L
.42536 .48003 L
.42529 .47993 L
F
0 .18 1 r
.42536 .48507 m
.42623 .48636 L
.42696 .48724 L
.42743 .48796 L
.42857 .48939 L
.42868 .48957 L
.42857 .49026 L
.42805 .48957 L
.42696 .48837 L
.42666 .48796 L
.42536 .48642 L
.42531 .48636 L
F
1 .2 0 r
.42536 .47844 m
.42658 .47993 L
.42696 .48034 L
.42791 .48154 L
.42857 .48228 L
.42924 .48314 L
.43017 .48425 L
.43056 .48475 L
.43178 .48623 L
.43188 .48636 L
.43313 .48796 L
.43338 .48826 L
.43438 .48957 L
.43499 .4903 L
.43564 .49117 L
.43659 .49235 L
.43691 .49278 L
.43818 .49438 L
.4382 .4944 L
.43938 .49599 L
.4398 .49651 L
.4406 .49759 L
.44141 .49861 L
.44184 .4992 L
.44301 .50071 L
.44308 .5008 L
.44424 .50241 L
.44462 .50288 L
.44542 .50401 L
.44622 .50505 L
.44662 .50562 L
.44783 .50722 L
.44783 .50722 L
.44888 .50883 L
.44943 .50956 L
.44994 .51043 L
.45104 .51204 L
.45104 .51204 L
.45104 .51218 L
.45088 .51204 L
.44943 .51072 L
.4492 .51043 L
.44783 .5089 L
.44777 .50883 L
.44645 .50722 L
.44622 .50697 L
.44515 .50562 L
.44462 .50501 L
.44384 .50401 L
.44301 .50304 L
.44253 .50241 L
.44141 .50105 L
.44122 .5008 L
.43995 .4992 L
.4398 .49902 L
.43872 .49759 L
.4382 .49696 L
.43746 .49599 L
.43659 .49491 L
.4362 .49438 L
.43499 .49285 L
.43493 .49278 L
.43373 .49117 L
.43338 .49074 L
.43252 .48957 L
.43178 .48863 L
.43129 .48796 L
.43017 .48652 L
.43005 .48636 L
.42888 .48475 L
.42857 .48435 L
.42773 .48314 L
.42696 .48216 L
.42654 .48154 L
.42536 .47997 L
.42534 .47993 L
F
1 .82 .004 r
.42696 .467 m
.42706 .46709 L
.42857 .46868 L
.42858 .4687 L
.43003 .4703 L
.43017 .47046 L
.43144 .47191 L
.43178 .47229 L
.43283 .47351 L
.43338 .47391 L
.4342 .47512 L
.43499 .47602 L
.43584 .47672 L
.43659 .47801 L
.43689 .47833 L
.43819 .47993 L
.4382 .47995 L
.4395 .48154 L
.4398 .48184 L
.44081 .48314 L
.44141 .48389 L
.4422 .48475 L
.44301 .48593 L
.44333 .48636 L
.44462 .48792 L
.44463 .48796 L
.44594 .48957 L
.44622 .48989 L
.44743 .49117 L
.44783 .49197 L
.44848 .49278 L
.44943 .49404 L
.44964 .49438 L
.451 .49599 L
.45104 .49602 L
.45227 .49759 L
.45265 .49806 L
.4536 .4992 L
.45425 .50016 L
.4547 .5008 L
.45586 .50224 L
.4559 .50241 L
.45727 .50401 L
.45746 .50422 L
.45871 .50562 L
.45907 .50632 L
.45976 .50722 L
.46067 .50843 L
.46089 .50883 L
.46225 .51043 L
.46228 .51046 L
.46383 .51204 L
.46388 .51251 L
.46481 .51364 L
.46549 .51464 L
.46591 .51525 L
.46709 .51673 L
.46712 .51686 L
.46844 .51846 L
.4687 .51873 L
.46988 .52007 L
.4703 .52086 L
.47092 .52167 L
.47191 .52298 L
.47206 .52328 L
.47337 .52488 L
.47351 .52498 L
.47499 .52649 L
.47512 .52709 L
.47593 .52809 L
.47672 .52925 L
.47703 .5297 L
.47829 .5313 L
.47833 .53136 L
.4795 .53291 L
.47993 .53333 L
.48096 .53451 L
.48154 .53552 L
.48198 .53612 L
.48314 .53767 L
.48317 .53772 L
.48439 .53933 L
.48475 .53955 L
.48607 .54093 L
.48636 .54181 L
.48693 .54254 L
.48796 .54402 L
.48804 .54414 L
.48925 .54575 L
.48957 .54617 L
.49045 .54735 L
.49117 .5481 L
.49188 .54896 L
.49278 .55041 L
.49289 .55057 L
.49406 .55217 L
.49438 .5526 L
.49524 .55378 L
.49599 .5544 L
.49682 .55538 L
.49759 .55691 L
.49765 .55699 L
.49878 .55859 L
.4992 .55915 L
.49994 .5602 L
.5008 .56137 L
.5011 .5618 L
.50224 .56341 L
.50241 .56363 L
.50332 .56501 L
.50401 .56599 L
.50441 .56662 L
.50546 .56822 L
.50562 .56846 L
.50625 .56983 L
.50562 .57002 L
.50541 .56983 L
.50401 .56847 L
.50378 .56822 L
.50241 .5668 L
.50229 .56662 L
.50086 .56501 L
.5008 .56495 L
.49948 .56341 L
.4992 .5631 L
.49811 .5618 L
.49759 .56151 L
.49675 .5602 L
.49599 .55936 L
.49501 .55859 L
.49438 .55734 L
.49404 .55699 L
.49278 .55538 L
.49278 .55538 L
.49148 .55378 L
.49117 .5535 L
.49019 .55217 L
.48957 .55143 L
.48873 .55057 L
.48796 .54937 L
.48762 .54896 L
.48636 .54737 L
.48635 .54735 L
.48507 .54575 L
.48475 .5454 L
.48347 .54414 L
.48314 .54332 L
.48249 .54254 L
.48154 .54124 L
.48133 .54093 L
.48002 .53933 L
.47993 .53926 L
.47877 .53772 L
.47833 .5372 L
.47736 .53612 L
.47672 .5351 L
.47628 .53451 L
.47512 .53302 L
.47507 .53291 L
.47378 .5313 L
.47351 .53104 L
.47223 .5297 L
.47191 .52893 L
.47123 .52809 L
.4703 .52681 L
.47009 .52649 L
.4688 .52488 L
.4687 .52482 L
.46757 .52328 L
.46709 .52274 L
.46617 .52167 L
.46549 .5206 L
.46509 .52007 L
.46388 .5185 L
.46387 .51846 L
.46263 .51686 L
.46228 .51653 L
.46107 .51525 L
.46067 .51438 L
.46009 .51364 L
.45907 .51224 L
.45894 .51204 L
.45769 .51043 L
.45746 .51032 L
.45647 .50883 L
.45586 .50815 L
.45507 .50722 L
.45425 .50597 L
.45399 .50562 L
.45278 .50401 L
.45265 .50384 L
.45156 .50241 L
.45104 .50194 L
.45001 .5008 L
.44943 .4997 L
.44904 .4992 L
.44788 .49759 L
.44783 .49753 L
.44668 .49599 L
.44622 .49577 L
.44546 .49438 L
.44462 .49342 L
.44409 .49278 L
.44301 .49118 L
.44301 .49117 L
.44182 .48957 L
.44141 .48904 L
.44061 .48796 L
.4398 .48714 L
.43914 .48636 L
.4382 .48479 L
.43817 .48475 L
.437 .48314 L
.43659 .48261 L
.43582 .48154 L
.43499 .48045 L
.43462 .47993 L
.43341 .47833 L
.43338 .47829 L
.43227 .47672 L
.43178 .47607 L
.43112 .47512 L
.43017 .47385 L
.42994 .47351 L
.42881 .47191 L
.42857 .47158 L
.42773 .4703 L
.42696 .46921 L
.42664 .4687 L
.42563 .46709 L
F
.114 .93 1 r
.42696 .41803 m
.428 .41894 L
.42857 .41944 L
.42964 .42054 L
.43017 .42086 L
.43112 .42215 L
.43178 .42283 L
.43313 .42375 L
.43338 .42479 L
.43394 .42536 L
.43499 .42678 L
.43513 .42696 L
.43641 .42857 L
.43659 .4288 L
.43765 .43017 L
.4382 .43058 L
.43909 .43178 L
.4398 .433 L
.44 .43338 L
.441 .43499 L
.44141 .43581 L
.44169 .43659 L
.44141 .43717 L
.4398 .43676 L
.43959 .43659 L
.4382 .4353 L
.43786 .43499 L
.43659 .43357 L
.43636 .43338 L
.43512 .43178 L
.43499 .43162 L
.43387 .43017 L
.43338 .42957 L
.43263 .42857 L
.43178 .42772 L
.43113 .42696 L
.43019 .42536 L
.43017 .42533 L
.42906 .42375 L
.42857 .42307 L
.42794 .42215 L
.42696 .42071 L
.42685 .42054 L
.42597 .41894 L
F
1 .93 .114 r
.42696 .44467 m
.42857 .44612 L
.42863 .44622 L
.43006 .44783 L
.43017 .44796 L
.43136 .44943 L
.43178 .44993 L
.43263 .45104 L
.43338 .45197 L
.43388 .45265 L
.43499 .45407 L
.43512 .45425 L
.43628 .45586 L
.43659 .45627 L
.43739 .45746 L
.4382 .45863 L
.43846 .45907 L
.43928 .46067 L
.4382 .46081 L
.43814 .46067 L
.43659 .45932 L
.43639 .45907 L
.43499 .45757 L
.43483 .45746 L
.43349 .45586 L
.43338 .45573 L
.43215 .45425 L
.43178 .45379 L
.43086 .45265 L
.43017 .45207 L
.42911 .45104 L
.42857 .44965 L
.42842 .44943 L
.42734 .44783 L
.42696 .44723 L
.42634 .44622 L
F
.084 .92 1 r
.42696 .41847 m
.42759 .41894 L
.42857 .41972 L
.42939 .42054 L
.43017 .42103 L
.43093 .42215 L
.43178 .42301 L
.43296 .42375 L
.43338 .42496 L
.43379 .42536 L
.43499 .42692 L
.43502 .42696 L
.43629 .42857 L
.43659 .42895 L
.43753 .43017 L
.4382 .43073 L
.43895 .43178 L
.4398 .43329 L
.43985 .43338 L
.44081 .43499 L
.4398 .43652 L
.4382 .43516 L
.43801 .43499 L
.43659 .43343 L
.43652 .43338 L
.43523 .43178 L
.43499 .43149 L
.43397 .43017 L
.43338 .42944 L
.43272 .42857 L
.43178 .42755 L
.43128 .42696 L
.43031 .42536 L
.43017 .42517 L
.42919 .42375 L
.42857 .42288 L
.42808 .42215 L
.42705 .42054 L
.42696 .42039 L
.42635 .41894 L
F
1 .77 .001 r
.42696 .42503 m
.42726 .42536 L
.42857 .42677 L
.42872 .42696 L
.42998 .42857 L
.43017 .42881 L
.43106 .43017 L
.43178 .4314 L
.43186 .43178 L
.43178 .43184 L
.43167 .43178 L
.43017 .43048 L
.42991 .43017 L
.42857 .42861 L
.42853 .42857 L
.42738 .42696 L
.42696 .4264 L
.42636 .42536 L
F
0 .54 1 r
.42696 .47356 m
.42832 .47512 L
.42857 .47538 L
.4297 .47672 L
.43017 .47725 L
.43107 .47833 L
.43178 .47915 L
.43242 .47993 L
.43338 .48089 L
.43375 .48154 L
.43499 .48303 L
.43511 .48314 L
.43636 .48475 L
.43659 .48502 L
.43765 .48636 L
.4382 .48702 L
.43895 .48796 L
.4398 .4889 L
.44057 .48957 L
.44141 .49103 L
.44154 .49117 L
.44278 .49278 L
.44301 .49307 L
.44404 .49438 L
.44462 .49484 L
.44531 .49599 L
.44622 .49709 L
.4467 .49759 L
.44782 .4992 L
.44783 .4992 L
.44906 .5008 L
.44943 .50127 L
.45031 .50241 L
.45104 .50318 L
.4519 .50401 L
.45265 .50538 L
.45284 .50562 L
.45404 .50722 L
.45425 .50749 L
.45527 .50883 L
.45586 .50924 L
.4565 .51043 L
.45746 .51159 L
.45786 .51204 L
.45897 .51364 L
.45907 .51377 L
.46018 .51525 L
.46067 .51589 L
.4614 .51686 L
.46228 .51782 L
.46288 .51846 L
.46385 .52007 L
.46388 .52011 L
.46503 .52167 L
.46549 .52226 L
.46624 .52328 L
.46709 .52405 L
.46745 .52488 L
.46866 .52649 L
.4687 .52654 L
.46982 .52809 L
.4703 .52873 L
.47099 .5297 L
.47191 .53092 L
.47218 .5313 L
.47335 .53291 L
.47351 .53313 L
.47446 .53451 L
.47512 .53541 L
.47559 .53612 L
.47672 .53771 L
.47673 .53772 L
.47768 .53933 L
.47833 .54034 L
.47856 .54093 L
.47833 .54112 L
.47814 .54093 L
.47672 .53959 L
.47649 .53933 L
.47512 .53784 L
.47502 .53772 L
.47363 .53612 L
.47351 .536 L
.47227 .53451 L
.47191 .53411 L
.47092 .53291 L
.4703 .53219 L
.46958 .5313 L
.4687 .53052 L
.46825 .5297 L
.46709 .52832 L
.46684 .52809 L
.46565 .52649 L
.46549 .52629 L
.46437 .52488 L
.46388 .52429 L
.46308 .52328 L
.46228 .52244 L
.46132 .52167 L
.46067 .52028 L
.46047 .52007 L
.45926 .51846 L
.45907 .51822 L
.458 .51686 L
.45746 .51653 L
.45674 .51525 L
.45586 .51423 L
.45528 .51364 L
.45425 .51208 L
.45421 .51204 L
.45299 .51043 L
.45265 .51001 L
.45174 .50883 L
.45104 .50815 L
.45003 .50722 L
.44943 .5059 L
.44919 .50562 L
.44802 .50401 L
.44783 .50378 L
.44679 .50241 L
.44622 .50212 L
.44556 .5008 L
.44462 .4997 L
.44416 .4992 L
.44309 .49759 L
.44301 .4975 L
.44189 .49599 L
.44141 .49538 L
.44067 .49438 L
.4398 .49349 L
.4391 .49278 L
.43822 .49117 L
.4382 .49115 L
.43703 .48957 L
.43659 .489 L
.43583 .48796 L
.43499 .48686 L
.43462 .48636 L
.43341 .48475 L
.43338 .48471 L
.43226 .48314 L
.43178 .48251 L
.43109 .48154 L
.43017 .48032 L
.4299 .47993 L
.42874 .47833 L
.42857 .4781 L
.42764 .47672 L
.42696 .4758 L
.42652 .47512 L
F
0 .53 1 r
.42696 .47364 m
.42826 .47512 L
.42857 .47545 L
.42965 .47672 L
.43017 .4773 L
.43102 .47833 L
.43178 .4792 L
.43238 .47993 L
.43338 .48095 L
.43372 .48154 L
.43499 .48307 L
.43506 .48314 L
.43633 .48475 L
.43659 .48506 L
.43762 .48636 L
.4382 .48705 L
.43892 .48796 L
.4398 .48894 L
.44054 .48957 L
.44141 .49106 L
.44151 .49117 L
.44275 .49278 L
.44301 .4931 L
.44401 .49438 L
.44462 .49486 L
.44528 .49599 L
.44622 .49712 L
.44668 .49759 L
.4478 .4992 L
.44783 .49923 L
.44904 .5008 L
.44943 .5013 L
.45029 .50241 L
.45104 .5032 L
.45188 .50401 L
.45265 .50541 L
.45282 .50562 L
.45402 .50722 L
.45425 .50752 L
.45524 .50883 L
.45586 .50927 L
.45648 .51043 L
.45746 .51162 L
.45783 .51204 L
.45894 .51364 L
.45907 .5138 L
.46015 .51525 L
.46067 .51591 L
.46138 .51686 L
.46228 .51786 L
.46285 .51846 L
.46382 .52007 L
.46388 .52014 L
.46501 .52167 L
.46549 .52229 L
.46621 .52328 L
.46709 .5241 L
.46742 .52488 L
.46863 .52649 L
.4687 .52658 L
.46978 .52809 L
.4703 .52877 L
.47096 .5297 L
.47191 .53096 L
.47215 .5313 L
.4733 .53291 L
.47351 .53319 L
.47441 .53451 L
.47512 .53548 L
.47554 .53612 L
.47666 .53772 L
.47672 .53781 L
.47757 .53933 L
.47672 .53949 L
.47658 .53933 L
.47512 .53776 L
.47509 .53772 L
.47369 .53612 L
.47351 .53593 L
.47232 .53451 L
.47191 .53405 L
.47097 .53291 L
.4703 .53214 L
.46962 .5313 L
.4687 .53047 L
.46829 .5297 L
.46709 .52827 L
.46689 .52809 L
.46568 .52649 L
.46549 .52626 L
.4644 .52488 L
.46388 .52426 L
.46311 .52328 L
.46228 .52241 L
.46136 .52167 L
.46067 .52025 L
.4605 .52007 L
.45928 .51846 L
.45907 .51819 L
.45803 .51686 L
.45746 .51651 L
.45676 .51525 L
.45586 .5142 L
.45531 .51364 L
.45425 .51205 L
.45424 .51204 L
.45301 .51043 L
.45265 .50998 L
.45176 .50883 L
.45104 .50812 L
.45006 .50722 L
.44943 .50588 L
.44921 .50562 L
.44804 .50401 L
.44783 .50375 L
.44681 .50241 L
.44622 .5021 L
.44558 .5008 L
.44462 .49967 L
.44419 .4992 L
.44311 .49759 L
.44301 .49747 L
.44191 .49599 L
.44141 .49535 L
.44069 .49438 L
.4398 .49345 L
.43914 .49278 L
.43824 .49117 L
.4382 .49112 L
.43706 .48957 L
.43659 .48897 L
.43586 .48796 L
.43499 .48682 L
.43465 .48636 L
.43344 .48475 L
.43338 .48467 L
.43229 .48314 L
.43178 .48247 L
.43112 .48154 L
.43017 .48028 L
.42993 .47993 L
.42878 .47833 L
.42857 .47804 L
.42769 .47672 L
.42696 .47573 L
.42657 .47512 L
F
1 .19 0 r
.42696 .48041 m
.42786 .48154 L
.42857 .48234 L
.4292 .48314 L
.43017 .48429 L
.43053 .48475 L
.43178 .48627 L
.43184 .48636 L
.43309 .48796 L
.43338 .4883 L
.43434 .48957 L
.43499 .49035 L
.43561 .49117 L
.43659 .49239 L
.43689 .49278 L
.43815 .49438 L
.4382 .49444 L
.43934 .49599 L
.4398 .49655 L
.44056 .49759 L
.44141 .49865 L
.4418 .4992 L
.44301 .50075 L
.44305 .5008 L
.4442 .50241 L
.44462 .50293 L
.44538 .50401 L
.44622 .5051 L
.44658 .50562 L
.44622 .50691 L
.4452 .50562 L
.44462 .50496 L
.44388 .50401 L
.44301 .50299 L
.44256 .50241 L
.44141 .501 L
.44125 .5008 L
.43999 .4992 L
.4398 .49898 L
.43875 .49759 L
.4382 .49692 L
.43749 .49599 L
.43659 .49487 L
.43623 .49438 L
.43499 .49281 L
.43496 .49278 L
.43377 .49117 L
.43338 .4907 L
.43256 .48957 L
.43178 .48859 L
.43132 .48796 L
.43017 .48648 L
.43008 .48636 L
.42893 .48475 L
.42857 .4843 L
.42777 .48314 L
.42696 .4821 L
.42658 .48154 L
F
0 .52 1 r
.42696 .47374 m
.42818 .47512 L
.42857 .47552 L
.42959 .47672 L
.43017 .47736 L
.43098 .47833 L
.43178 .47925 L
.43234 .47993 L
.43338 .48101 L
.43368 .48154 L
.43499 .48312 L
.43501 .48314 L
.4363 .48475 L
.43659 .4851 L
.43759 .48636 L
.4382 .48709 L
.43889 .48796 L
.4398 .48898 L
.4405 .48957 L
.44141 .4911 L
.44148 .49117 L
.44272 .49278 L
.44301 .49313 L
.44399 .49438 L
.44462 .49489 L
.44526 .49599 L
.44622 .49715 L
.44665 .49759 L
.44778 .4992 L
.44783 .49926 L
.44902 .5008 L
.44943 .50133 L
.45027 .50241 L
.45104 .50323 L
.45185 .50401 L
.45265 .50544 L
.4528 .50562 L
.45399 .50722 L
.45425 .50755 L
.45522 .50883 L
.45586 .50929 L
.45646 .51043 L
.45746 .51165 L
.4578 .51204 L
.45892 .51364 L
.45907 .51383 L
.46013 .51525 L
.46067 .51594 L
.46135 .51686 L
.46228 .51789 L
.46282 .51846 L
.4638 .52007 L
.46388 .52017 L
.46498 .52167 L
.46549 .52232 L
.46619 .52328 L
.46709 .52415 L
.4674 .52488 L
.4686 .52649 L
.4687 .52662 L
.46975 .52809 L
.4703 .52881 L
.47093 .5297 L
.47191 .531 L
.47212 .5313 L
.47326 .53291 L
.47351 .53325 L
.47436 .53451 L
.47512 .53555 L
.47549 .53612 L
.47512 .53768 L
.47375 .53612 L
.47351 .53586 L
.47237 .53451 L
.47191 .534 L
.47101 .53291 L
.4703 .53209 L
.46966 .5313 L
.4687 .53041 L
.46832 .5297 L
.46709 .52822 L
.46694 .52809 L
.46571 .52649 L
.46549 .52622 L
.46443 .52488 L
.46388 .52422 L
.46313 .52328 L
.46228 .52237 L
.4614 .52167 L
.46067 .52022 L
.46053 .52007 L
.45931 .51846 L
.45907 .51816 L
.45805 .51686 L
.45746 .51648 L
.45678 .51525 L
.45586 .51417 L
.45534 .51364 L
.45426 .51204 L
.45425 .51203 L
.45303 .51043 L
.45265 .50996 L
.45178 .50883 L
.45104 .50809 L
.45009 .50722 L
.44943 .50585 L
.44924 .50562 L
.44806 .50401 L
.44783 .50373 L
.44683 .50241 L
.44622 .50208 L
.4456 .5008 L
.44462 .49964 L
.44421 .4992 L
.44313 .49759 L
.44301 .49744 L
.44193 .49599 L
.44141 .49532 L
.44071 .49438 L
.4398 .49341 L
.43917 .49278 L
.43826 .49117 L
.4382 .49109 L
.43708 .48957 L
.43659 .48893 L
.43588 .48796 L
.43499 .48679 L
.43467 .48636 L
.43347 .48475 L
.43338 .48463 L
.43232 .48314 L
.43178 .48243 L
.43115 .48154 L
.43017 .48023 L
.42996 .47993 L
.42883 .47833 L
.42857 .47798 L
.42774 .47672 L
.42696 .47565 L
.42662 .47512 L
F
1 .18 0 r
.42696 .48048 m
.4278 .48154 L
.42857 .48239 L
.42915 .48314 L
.43017 .48434 L
.43049 .48475 L
.43178 .48631 L
.43181 .48636 L
.43305 .48796 L
.43338 .48835 L
.4343 .48957 L
.43499 .49039 L
.43558 .49117 L
.43659 .49243 L
.43685 .49278 L
.43811 .49438 L
.4382 .49449 L
.43931 .49599 L
.4398 .4966 L
.44053 .49759 L
.44141 .4987 L
.44177 .4992 L
.44301 .5008 L
.44302 .5008 L
.44416 .50241 L
.44462 .50298 L
.44533 .50401 L
.44622 .50516 L
.44654 .50562 L
.44622 .50685 L
.44525 .50562 L
.44462 .50491 L
.44392 .50401 L
.44301 .50295 L
.4426 .50241 L
.44141 .50096 L
.44129 .5008 L
.44003 .4992 L
.4398 .49893 L
.43879 .49759 L
.4382 .49688 L
.43753 .49599 L
.43659 .49483 L
.43626 .49438 L
.43499 .49278 L
.43499 .49277 L
.4338 .49117 L
.43338 .49065 L
.43259 .48957 L
.43178 .48854 L
.43136 .48796 L
.43017 .48643 L
.43012 .48636 L
.42897 .48475 L
.42857 .48424 L
.42782 .48314 L
.42696 .48204 L
.42663 .48154 L
F
.733 .99 1 r
.42696 .44007 m
.42857 .44001 L
.43017 .44054 L
.43101 .44141 L
.43178 .44222 L
.43256 .44301 L
.43338 .44422 L
.43369 .44462 L
.43493 .44622 L
.43499 .44627 L
.43616 .44783 L
.43659 .44831 L
.43772 .44943 L
.4382 .45043 L
.43872 .45104 L
.4398 .45253 L
.43988 .45265 L
.44111 .45425 L
.44141 .45433 L
.44233 .45586 L
.44301 .45653 L
.44374 .45746 L
.44462 .45877 L
.44482 .45907 L
.44602 .46067 L
.44622 .46094 L
.44722 .46228 L
.44783 .46308 L
.44874 .46388 L
.44943 .46522 L
.44969 .46549 L
.45075 .46709 L
.45104 .46756 L
.45149 .4687 L
.45104 .46913 L
.44943 .46906 L
.44848 .4687 L
.44783 .46838 L
.44636 .46709 L
.44622 .46697 L
.44489 .46549 L
.44462 .46519 L
.44369 .46388 L
.44301 .46324 L
.44269 .46228 L
.44141 .46121 L
.44098 .46067 L
.4398 .45914 L
.43974 .45907 L
.43854 .45746 L
.4382 .45699 L
.43749 .45586 L
.43659 .45478 L
.43599 .45425 L
.43499 .45292 L
.43477 .45265 L
.43355 .45104 L
.43338 .45082 L
.43245 .44943 L
.43178 .44869 L
.43149 .44783 L
.43017 .44655 L
.42988 .44622 L
.42866 .44462 L
.42857 .44443 L
.42757 .44301 L
.42696 .44211 L
.42667 .44141 L
F
1 .17 0 r
.42696 .48055 m
.42774 .48154 L
.42857 .48245 L
.42911 .48314 L
.43017 .48439 L
.43045 .48475 L
.43177 .48636 L
.43178 .48636 L
.43301 .48796 L
.43338 .4884 L
.43427 .48957 L
.43499 .49043 L
.43554 .49117 L
.43659 .49247 L
.43682 .49278 L
.43807 .49438 L
.4382 .49453 L
.43927 .49599 L
.4398 .49664 L
.4405 .49759 L
.44141 .49874 L
.44174 .4992 L
.44298 .5008 L
.44301 .50085 L
.44412 .50241 L
.44462 .50304 L
.44529 .50401 L
.44622 .50522 L
.44649 .50562 L
.44622 .50678 L
.44531 .50562 L
.44462 .50485 L
.44397 .50401 L
.44301 .5029 L
.44264 .50241 L
.44141 .50092 L
.44132 .5008 L
.44007 .4992 L
.4398 .49888 L
.43883 .49759 L
.4382 .49684 L
.43756 .49599 L
.43659 .49479 L
.43629 .49438 L
.43503 .49278 L
.43499 .49273 L
.43384 .49117 L
.43338 .49061 L
.43263 .48957 L
.43178 .4885 L
.43139 .48796 L
.43017 .48639 L
.43015 .48636 L
.42902 .48475 L
.42857 .48418 L
.42786 .48314 L
.42696 .48197 L
.42667 .48154 L
F
0 .51 1 r
.42696 .47384 m
.42811 .47512 L
.42857 .47559 L
.42954 .47672 L
.43017 .47742 L
.43093 .47833 L
.43178 .4793 L
.4323 .47993 L
.43338 .48107 L
.43364 .48154 L
.43497 .48314 L
.43499 .48317 L
.43626 .48475 L
.43659 .48514 L
.43756 .48636 L
.4382 .48712 L
.43886 .48796 L
.4398 .48901 L
.44045 .48957 L
.44141 .49113 L
.44145 .49117 L
.4427 .49278 L
.44301 .49316 L
.44397 .49438 L
.44462 .49492 L
.44524 .49599 L
.44622 .49718 L
.44662 .49759 L
.44776 .4992 L
.44783 .49929 L
.449 .5008 L
.44943 .50135 L
.45025 .50241 L
.45104 .50326 L
.45182 .50401 L
.45265 .50547 L
.45277 .50562 L
.45397 .50722 L
.45425 .50757 L
.4552 .50883 L
.45586 .50932 L
.45644 .51043 L
.45746 .51169 L
.45778 .51204 L
.4589 .51364 L
.45907 .51386 L
.46011 .51525 L
.46067 .51597 L
.46133 .51686 L
.46228 .51793 L
.46278 .51846 L
.46377 .52007 L
.46388 .52021 L
.46496 .52167 L
.46549 .52235 L
.46616 .52328 L
.46709 .5242 L
.46737 .52488 L
.46857 .52649 L
.4687 .52666 L
.46972 .52809 L
.4703 .52886 L
.4709 .5297 L
.47191 .53105 L
.47209 .5313 L
.47322 .53291 L
.47351 .53331 L
.47432 .53451 L
.47512 .53562 L
.47544 .53612 L
.47512 .53759 L
.47382 .53612 L
.47351 .5358 L
.47243 .53451 L
.47191 .53394 L
.47106 .53291 L
.4703 .53204 L
.4697 .5313 L
.4687 .53035 L
.46836 .5297 L
.46709 .52818 L
.467 .52809 L
.46575 .52649 L
.46549 .52618 L
.46446 .52488 L
.46388 .52419 L
.46316 .52328 L
.46228 .52233 L
.46144 .52167 L
.46067 .52018 L
.46056 .52007 L
.45933 .51846 L
.45907 .51813 L
.45807 .51686 L
.45746 .51646 L
.4568 .51525 L
.45586 .51413 L
.45537 .51364 L
.45428 .51204 L
.45425 .512 L
.45305 .51043 L
.45265 .50993 L
.4518 .50883 L
.45104 .50807 L
.45012 .50722 L
.44943 .50582 L
.44926 .50562 L
.44808 .50401 L
.44783 .5037 L
.44685 .50241 L
.44622 .50205 L
.44562 .5008 L
.44462 .49961 L
.44424 .4992 L
.44316 .49759 L
.44301 .49741 L
.44195 .49599 L
.44141 .49529 L
.44073 .49438 L
.4398 .49338 L
.43921 .49278 L
.43829 .49117 L
.4382 .49105 L
.43711 .48957 L
.43659 .4889 L
.43591 .48796 L
.43499 .48675 L
.4347 .48636 L
.4335 .48475 L
.43338 .48459 L
.43235 .48314 L
.43178 .48239 L
.43118 .48154 L
.43017 .48018 L
.43 .47993 L
.42888 .47833 L
.42857 .47791 L
.42779 .47672 L
.42696 .47557 L
.42668 .47512 L
F
1 .16 0 r
.42696 .48064 m
.42768 .48154 L
.42857 .48251 L
.42906 .48314 L
.43017 .48444 L
.43041 .48475 L
.43017 .48633 L
.42907 .48475 L
.42857 .48412 L
.42791 .48314 L
.42696 .4819 L
.42673 .48154 L
F
0 .17 1 r
.42696 .48734 m
.42735 .48796 L
.42857 .4895 L
.42861 .48957 L
.42857 .4901 L
.42818 .48957 L
.42696 .48827 L
.42673 .48796 L
F
0 .5 1 r
.42696 .47395 m
.42802 .47512 L
.42857 .47567 L
.42947 .47672 L
.43017 .47749 L
.43088 .47833 L
.43178 .47936 L
.43225 .47993 L
.43338 .48114 L
.43361 .48154 L
.43493 .48314 L
.43499 .48321 L
.43623 .48475 L
.43659 .48518 L
.43753 .48636 L
.4382 .48716 L
.43883 .48796 L
.4398 .48905 L
.44041 .48957 L
.44141 .49117 L
.44141 .49117 L
.44267 .49278 L
.44301 .49319 L
.44394 .49438 L
.44462 .49495 L
.44521 .49599 L
.44622 .49721 L
.44659 .49759 L
.44773 .4992 L
.44783 .49932 L
.44897 .5008 L
.44943 .50138 L
.45023 .50241 L
.45104 .50329 L
.45179 .50401 L
.45265 .5055 L
.45275 .50562 L
.45395 .50722 L
.45425 .5076 L
.45518 .50883 L
.45586 .50935 L
.45642 .51043 L
.45746 .51172 L
.45775 .51204 L
.45888 .51364 L
.45907 .51388 L
.46009 .51525 L
.46067 .516 L
.46131 .51686 L
.46228 .51797 L
.46275 .51846 L
.46375 .52007 L
.46388 .52024 L
.46493 .52167 L
.46549 .52239 L
.46614 .52328 L
.46709 .52426 L
.46735 .52488 L
.46853 .52649 L
.4687 .5267 L
.46969 .52809 L
.4703 .5289 L
.47087 .5297 L
.47191 .5311 L
.47205 .5313 L
.47317 .53291 L
.47351 .53337 L
.47426 .53451 L
.47512 .5357 L
.47538 .53612 L
.47512 .53749 L
.4739 .53612 L
.47351 .53572 L
.47249 .53451 L
.47191 .53388 L
.4711 .53291 L
.4703 .53199 L
.46974 .5313 L
.4687 .53029 L
.46839 .5297 L
.46709 .52813 L
.46705 .52809 L
.46578 .52649 L
.46549 .52614 L
.46449 .52488 L
.46388 .52415 L
.46319 .52328 L
.46228 .5223 L
.46149 .52167 L
.46067 .52015 L
.4606 .52007 L
.45936 .51846 L
.45907 .5181 L
.4581 .51686 L
.45746 .51643 L
.45683 .51525 L
.45586 .5141 L
.4554 .51364 L
.45431 .51204 L
.45425 .51197 L
.45307 .51043 L
.45265 .5099 L
.45182 .50883 L
.45104 .50804 L
.45015 .50722 L
.44943 .50579 L
.44929 .50562 L
.4481 .50401 L
.44783 .50367 L
.44687 .50241 L
.44622 .50203 L
.44564 .5008 L
.44462 .49957 L
.44427 .4992 L
.44318 .49759 L
.44301 .49738 L
.44197 .49599 L
.44141 .49526 L
.44075 .49438 L
.4398 .49334 L
.43925 .49278 L
.43831 .49117 L
.4382 .49102 L
.43713 .48957 L
.43659 .48887 L
.43593 .48796 L
.43499 .48672 L
.43472 .48636 L
.43354 .48475 L
.43338 .48455 L
.43239 .48314 L
.43178 .48234 L
.43122 .48154 L
.43017 .48013 L
.43003 .47993 L
.42893 .47833 L
.42857 .47784 L
.42784 .47672 L
.42696 .47548 L
.42674 .47512 L
F
1 .92 .084 r
.42696 .44531 m
.42827 .44622 L
.42857 .44649 L
.42981 .44783 L
.43017 .44823 L
.43116 .44943 L
.43178 .45016 L
.43245 .45104 L
.43338 .45219 L
.43372 .45265 L
.43496 .45425 L
.43499 .45429 L
.43607 .45586 L
.43659 .45659 L
.43714 .45746 L
.43659 .45884 L
.43523 .45746 L
.43499 .45722 L
.43377 .45586 L
.43338 .45541 L
.4324 .45425 L
.43178 .45349 L
.4311 .45265 L
.43017 .45169 L
.4295 .45104 L
.42871 .44943 L
.42857 .44923 L
.42764 .44783 L
.42696 .44664 L
.42674 .44622 L
F
1 .81 .003 r
.42696 .46723 m
.42841 .4687 L
.42857 .46885 L
.42989 .4703 L
.43017 .47059 L
.43133 .47191 L
.43178 .4724 L
.43273 .47351 L
.43338 .474 L
.43412 .47512 L
.43499 .47611 L
.43575 .47672 L
.43659 .47809 L
.43682 .47833 L
.43813 .47993 L
.4382 .48002 L
.43944 .48154 L
.4398 .4819 L
.44075 .48314 L
.44141 .48395 L
.44215 .48475 L
.44301 .48599 L
.4433 .48636 L
.44462 .48796 L
.44462 .48796 L
.4459 .48957 L
.44622 .48994 L
.44741 .49117 L
.44783 .49201 L
.44845 .49278 L
.44943 .49408 L
.44962 .49438 L
.45097 .49599 L
.45104 .49605 L
.45224 .49759 L
.45265 .4981 L
.45357 .4992 L
.45425 .5002 L
.45468 .5008 L
.45586 .50226 L
.45589 .50241 L
.45725 .50401 L
.45746 .50425 L
.45869 .50562 L
.45907 .50635 L
.45974 .50722 L
.46067 .50846 L
.46088 .50883 L
.46223 .51043 L
.46228 .51047 L
.46383 .51204 L
.46388 .51254 L
.4648 .51364 L
.46549 .51466 L
.46589 .51525 L
.46709 .51675 L
.46711 .51686 L
.46842 .51846 L
.4687 .51875 L
.46986 .52007 L
.4703 .52088 L
.4709 .52167 L
.47191 .52301 L
.47205 .52328 L
.47335 .52488 L
.47351 .52499 L
.47498 .52649 L
.47512 .52712 L
.47591 .52809 L
.47672 .52927 L
.47701 .5297 L
.47826 .5313 L
.47833 .53139 L
.47948 .53291 L
.47993 .53335 L
.48094 .53451 L
.48154 .53555 L
.48196 .53612 L
.48314 .53771 L
.48315 .53772 L
.48436 .53933 L
.48475 .53957 L
.48604 .54093 L
.48636 .54184 L
.4869 .54254 L
.48796 .54406 L
.48802 .54414 L
.48921 .54575 L
.48957 .54621 L
.49042 .54735 L
.49117 .54815 L
.49184 .54896 L
.49278 .55046 L
.49285 .55057 L
.49402 .55217 L
.49438 .55265 L
.4952 .55378 L
.49599 .55448 L
.49675 .55538 L
.49759 .55699 L
.49759 .55699 L
.49872 .55859 L
.4992 .55923 L
.49988 .5602 L
.5008 .56146 L
.50104 .5618 L
.50215 .56341 L
.50241 .56376 L
.50322 .56501 L
.50401 .56616 L
.5043 .56662 L
.50525 .56822 L
.50401 .56827 L
.50397 .56822 L
.50243 .56662 L
.50241 .5666 L
.50098 .56501 L
.5008 .56482 L
.49958 .56341 L
.4992 .56299 L
.49819 .5618 L
.49759 .56144 L
.49682 .5602 L
.49599 .55928 L
.49509 .55859 L
.49438 .55727 L
.49411 .55699 L
.49284 .55538 L
.49278 .55531 L
.49153 .55378 L
.49117 .55345 L
.49023 .55217 L
.48957 .55138 L
.48877 .55057 L
.48796 .54933 L
.48766 .54896 L
.48638 .54735 L
.48636 .54735 L
.48511 .54575 L
.48475 .54537 L
.48349 .54414 L
.48314 .54328 L
.48252 .54254 L
.48154 .5412 L
.48135 .54093 L
.48005 .53933 L
.47993 .53924 L
.4788 .53772 L
.47833 .53717 L
.47739 .53612 L
.47672 .53506 L
.4763 .53451 L
.47512 .53299 L
.47508 .53291 L
.4738 .5313 L
.47351 .53102 L
.47224 .5297 L
.47191 .5289 L
.47125 .52809 L
.4703 .52679 L
.47011 .52649 L
.46882 .52488 L
.4687 .5248 L
.46759 .52328 L
.46709 .52271 L
.46619 .52167 L
.46549 .52057 L
.46511 .52007 L
.46388 .51848 L
.46388 .51846 L
.46264 .51686 L
.46228 .51651 L
.46109 .51525 L
.46067 .51435 L
.46011 .51364 L
.45907 .51221 L
.45896 .51204 L
.45771 .51043 L
.45746 .51031 L
.45649 .50883 L
.45586 .50813 L
.45509 .50722 L
.45425 .50594 L
.45401 .50562 L
.4528 .50401 L
.45265 .50382 L
.45159 .50241 L
.45104 .50191 L
.45003 .5008 L
.44943 .49967 L
.44907 .4992 L
.4479 .49759 L
.44783 .4975 L
.4467 .49599 L
.44622 .49575 L
.44548 .49438 L
.44462 .49338 L
.44412 .49278 L
.44303 .49117 L
.44301 .49115 L
.44185 .48957 L
.44141 .489 L
.44064 .48796 L
.4398 .48709 L
.43918 .48636 L
.43821 .48475 L
.4382 .48474 L
.43704 .48314 L
.43659 .48256 L
.43586 .48154 L
.43499 .48039 L
.43466 .47993 L
.43347 .47833 L
.43338 .47822 L
.43233 .47672 L
.43178 .47599 L
.43117 .47512 L
.43017 .47376 L
.43 .47351 L
.4289 .47191 L
.42857 .47145 L
.42784 .4703 L
.42696 .46903 L
.42676 .4687 L
F
1 .76 .001 r
.42696 .42534 m
.42698 .42536 L
.42696 .426 L
.42678 .42536 L
F
1 .15 0 r
.42696 .48073 m
.4276 .48154 L
.42857 .48258 L
.42901 .48314 L
.43017 .4845 L
.43037 .48475 L
.43017 .48627 L
.42912 .48475 L
.42857 .48405 L
.42797 .48314 L
.42696 .48182 L
.42678 .48154 L
F
.395 .97 1 r
.42696 .45104 m
.42807 .45265 L
.42857 .45333 L
.42904 .45425 L
.42857 .45446 L
.42834 .45425 L
.42696 .45282 L
.4268 .45265 L
F
0 .49 1 r
.42696 .47408 m
.42793 .47512 L
.42857 .47575 L
.42941 .47672 L
.43017 .47755 L
.43083 .47833 L
.43178 .47941 L
.43221 .47993 L
.43338 .4812 L
.43357 .48154 L
.43489 .48314 L
.43499 .48326 L
.43619 .48475 L
.43659 .48522 L
.4375 .48636 L
.4382 .4872 L
.43881 .48796 L
.4398 .48909 L
.44037 .48957 L
.44139 .49117 L
.44141 .4912 L
.44265 .49278 L
.44301 .49323 L
.44392 .49438 L
.44462 .49498 L
.44519 .49599 L
.44622 .49724 L
.44656 .49759 L
.44771 .4992 L
.44783 .49935 L
.44895 .5008 L
.44943 .50141 L
.4502 .50241 L
.45104 .50332 L
.45176 .50401 L
.45265 .50553 L
.45272 .50562 L
.45393 .50722 L
.45425 .50763 L
.45516 .50883 L
.45586 .50938 L
.4564 .51043 L
.45746 .51175 L
.45772 .51204 L
.45885 .51364 L
.45907 .51391 L
.46007 .51525 L
.46067 .51603 L
.46129 .51686 L
.46228 .51801 L
.46271 .51846 L
.46372 .52007 L
.46388 .52027 L
.46491 .52167 L
.46549 .52242 L
.46611 .52328 L
.46709 .52431 L
.46732 .52488 L
.4685 .52649 L
.4687 .52674 L
.46966 .52809 L
.4703 .52894 L
.47083 .5297 L
.47191 .53115 L
.47202 .5313 L
.47312 .53291 L
.47351 .53344 L
.47421 .53451 L
.47512 .53579 L
.47532 .53612 L
.47512 .53738 L
.47398 .53612 L
.47351 .53565 L
.47255 .53451 L
.47191 .53382 L
.47115 .53291 L
.4703 .53194 L
.46978 .5313 L
.4687 .53022 L
.46843 .5297 L
.4671 .52809 L
.46709 .52808 L
.46581 .52649 L
.46549 .5261 L
.46452 .52488 L
.46388 .52412 L
.46322 .52328 L
.46228 .52226 L
.46153 .52167 L
.46067 .52011 L
.46063 .52007 L
.45938 .51846 L
.45907 .51807 L
.45812 .51686 L
.45746 .5164 L
.45685 .51525 L
.45586 .51407 L
.45543 .51364 L
.45433 .51204 L
.45425 .51194 L
.45309 .51043 L
.45265 .50987 L
.45185 .50883 L
.45104 .50801 L
.45018 .50722 L
.44943 .50576 L
.44931 .50562 L
.44812 .50401 L
.44783 .50365 L
.44689 .50241 L
.44622 .502 L
.44566 .5008 L
.44462 .49954 L
.4443 .4992 L
.4432 .49759 L
.44301 .49736 L
.442 .49599 L
.44141 .49524 L
.44077 .49438 L
.4398 .4933 L
.43929 .49278 L
.43834 .49117 L
.4382 .49099 L
.43716 .48957 L
.43659 .48883 L
.43596 .48796 L
.43499 .48668 L
.43475 .48636 L
.43357 .48475 L
.43338 .48451 L
.43242 .48314 L
.43178 .48229 L
.43125 .48154 L
.43017 .48008 L
.43007 .47993 L
.42898 .47833 L
.42857 .47777 L
.4279 .47672 L
.42696 .47538 L
.42681 .47512 L
F
0 .16 1 r
.42696 .48746 m
.42725 .48796 L
.42696 .48816 L
.42681 .48796 L
F
1 .14 0 r
.42696 .48084 m
.42751 .48154 L
.42857 .48265 L
.42895 .48314 L
.43017 .48455 L
.43032 .48475 L
.43017 .48621 L
.42918 .48475 L
.42857 .48397 L
.42803 .48314 L
.42696 .48173 L
.42684 .48154 L
F
1 .95 .212 r
.42696 .38305 m
.42749 .38362 L
.42857 .38463 L
.42906 .38523 L
.43017 .38643 L
.43049 .38683 L
.43178 .3883 L
.43188 .38844 L
.43321 .39004 L
.43338 .39024 L
.4345 .39165 L
.43499 .39221 L
.43579 .39325 L
.43659 .3942 L
.4371 .39486 L
.4382 .39619 L
.43841 .39646 L
.43969 .39807 L
.4398 .3982 L
.44093 .39967 L
.44141 .40025 L
.44219 .40128 L
.44301 .40229 L
.44346 .40288 L
.44462 .40422 L
.44474 .40449 L
.44598 .40609 L
.44622 .40639 L
.4472 .4077 L
.44783 .40847 L
.44845 .4093 L
.44943 .41054 L
.44971 .41091 L
.45096 .41251 L
.45104 .41261 L
.45216 .41412 L
.45265 .41473 L
.45338 .41572 L
.45425 .41683 L
.45462 .41733 L
.45586 .4189 L
.45587 .41894 L
.45705 .42054 L
.45746 .42106 L
.45824 .42215 L
.45907 .42319 L
.45946 .42375 L
.46067 .42531 L
.4607 .42536 L
.46186 .42696 L
.46228 .4275 L
.46302 .42857 L
.46388 .42968 L
.46421 .43017 L
.46542 .43178 L
.46549 .43187 L
.4665 .43338 L
.46709 .43418 L
.46759 .43499 L
.4687 .43655 L
.46872 .43659 L
.4687 .43744 L
.46787 .43659 L
.46709 .43582 L
.46636 .43499 L
.46549 .43402 L
.46494 .43338 L
.46388 .43215 L
.46356 .43178 L
.46228 .43026 L
.46222 .43017 L
.46091 .42857 L
.46067 .42829 L
.4596 .42696 L
.45907 .42632 L
.45829 .42536 L
.45746 .42479 L
.45699 .42375 L
.45586 .42237 L
.4556 .42215 L
.45444 .42054 L
.45425 .42031 L
.45317 .41894 L
.45265 .41828 L
.45189 .41733 L
.45104 .41643 L
.45008 .41572 L
.44943 .4142 L
.44936 .41412 L
.44813 .41251 L
.44783 .41213 L
.44688 .41091 L
.44622 .4106 L
.44563 .4093 L
.44462 .40805 L
.44427 .4077 L
.44318 .40609 L
.44301 .40589 L
.44195 .40449 L
.44141 .40378 L
.44072 .40288 L
.4398 .40187 L
.43914 .40128 L
.4383 .39967 L
.4382 .39955 L
.4371 .39807 L
.43659 .3974 L
.4359 .39646 L
.43499 .39525 L
.4347 .39486 L
.43353 .39325 L
.43338 .39306 L
.43237 .39165 L
.43178 .39084 L
.43121 .39004 L
.43017 .38861 L
.43005 .38844 L
.42898 .38683 L
.42857 .38626 L
.42792 .38523 L
.42696 .38377 L
.42688 .38362 L
F
0 .48 1 r
.42696 .47423 m
.42782 .47512 L
.42857 .47584 L
.42934 .47672 L
.43017 .47762 L
.43077 .47833 L
.43178 .47947 L
.43217 .47993 L
.43338 .48128 L
.43353 .48154 L
.43485 .48314 L
.43499 .4833 L
.43616 .48475 L
.43659 .48526 L
.43747 .48636 L
.4382 .48724 L
.43878 .48796 L
.4398 .48914 L
.44032 .48957 L
.44136 .49117 L
.44141 .49123 L
.44262 .49278 L
.44301 .49326 L
.44389 .49438 L
.44462 .49501 L
.44517 .49599 L
.44622 .49728 L
.44653 .49759 L
.44769 .4992 L
.44783 .49937 L
.44893 .5008 L
.44943 .50144 L
.45018 .50241 L
.45104 .50335 L
.45173 .50401 L
.45265 .50556 L
.4527 .50562 L
.45391 .50722 L
.45425 .50766 L
.45514 .50883 L
.45586 .5094 L
.45638 .51043 L
.45746 .51178 L
.45769 .51204 L
.45883 .51364 L
.45907 .51394 L
.46004 .51525 L
.46067 .51606 L
.46127 .51686 L
.46228 .51805 L
.46267 .51846 L
.4637 .52007 L
.46388 .5203 L
.46488 .52167 L
.46549 .52246 L
.46609 .52328 L
.46709 .52437 L
.4673 .52488 L
.46847 .52649 L
.4687 .52678 L
.46962 .52809 L
.4703 .52899 L
.4708 .5297 L
.47191 .5312 L
.47198 .5313 L
.47307 .53291 L
.47351 .53351 L
.47416 .53451 L
.47512 .53589 L
.47526 .53612 L
.47512 .53726 L
.47407 .53612 L
.47351 .53557 L
.47261 .53451 L
.47191 .53376 L
.4712 .53291 L
.4703 .53189 L
.46982 .5313 L
.4687 .53015 L
.46847 .5297 L
.46714 .52809 L
.46709 .52804 L
.46585 .52649 L
.46549 .52606 L
.46455 .52488 L
.46388 .52408 L
.46325 .52328 L
.46228 .52222 L
.46158 .52167 L
.46067 .52008 L
.46066 .52007 L
.45941 .51846 L
.45907 .51804 L
.45814 .51686 L
.45746 .51637 L
.45687 .51525 L
.45586 .51404 L
.45546 .51364 L
.45435 .51204 L
.45425 .51191 L
.45312 .51043 L
.45265 .50985 L
.45187 .50883 L
.45104 .50798 L
.45021 .50722 L
.44943 .50573 L
.44934 .50562 L
.44814 .50401 L
.44783 .50362 L
.44692 .50241 L
.44622 .50197 L
.44568 .5008 L
.44462 .49951 L
.44433 .4992 L
.44322 .49759 L
.44301 .49733 L
.44202 .49599 L
.44141 .49521 L
.4408 .49438 L
.4398 .49326 L
.43933 .49278 L
.43837 .49117 L
.4382 .49096 L
.43719 .48957 L
.43659 .4888 L
.43599 .48796 L
.43499 .48665 L
.43478 .48636 L
.4336 .48475 L
.43338 .48447 L
.43246 .48314 L
.43178 .48225 L
.43129 .48154 L
.43017 .48003 L
.43011 .47993 L
.42903 .47833 L
.42857 .47769 L
.42796 .47672 L
.42696 .47526 L
.42688 .47512 L
F
1 .8 .002 r
.42696 .46753 m
.4282 .4687 L
.42857 .46903 L
.42975 .4703 L
.43017 .47073 L
.43122 .47191 L
.43178 .47252 L
.43264 .47351 L
.43338 .47409 L
.43403 .47512 L
.43499 .4762 L
.43566 .47672 L
.43659 .47816 L
.43675 .47833 L
.43806 .47993 L
.4382 .48009 L
.43939 .48154 L
.4398 .48195 L
.4407 .48314 L
.44141 .48401 L
.44211 .48475 L
.44301 .48604 L
.44326 .48636 L
.44458 .48796 L
.44462 .48798 L
.44586 .48957 L
.44622 .48998 L
.44738 .49117 L
.44783 .49206 L
.44842 .49278 L
.44943 .49411 L
.44959 .49438 L
.45094 .49599 L
.45104 .49608 L
.45221 .49759 L
.45265 .49814 L
.45355 .4992 L
.45425 .50023 L
.45466 .5008 L
.45586 .50229 L
.45589 .50241 L
.45722 .50401 L
.45746 .50428 L
.45867 .50562 L
.45907 .50638 L
.45972 .50722 L
.46067 .50849 L
.46086 .50883 L
.4622 .51043 L
.46228 .51049 L
.46382 .51204 L
.46388 .51256 L
.46478 .51364 L
.46549 .51469 L
.46587 .51525 L
.46709 .51678 L
.46711 .51686 L
.4684 .51846 L
.4687 .51877 L
.46984 .52007 L
.4703 .52091 L
.47088 .52167 L
.47191 .52304 L
.47204 .52328 L
.47333 .52488 L
.47351 .52501 L
.47497 .52649 L
.47512 .52714 L
.47589 .52809 L
.47672 .5293 L
.47699 .5297 L
.47824 .5313 L
.47833 .53142 L
.47946 .53291 L
.47993 .53338 L
.48092 .53451 L
.48154 .53558 L
.48194 .53612 L
.48313 .53772 L
.48314 .53774 L
.48434 .53933 L
.48475 .53959 L
.48602 .54093 L
.48636 .54188 L
.48688 .54254 L
.48796 .5441 L
.48799 .54414 L
.48918 .54575 L
.48957 .54625 L
.49039 .54735 L
.49117 .5482 L
.4918 .54896 L
.49278 .55052 L
.49281 .55057 L
.49397 .55217 L
.49438 .55271 L
.49516 .55378 L
.49599 .55456 L
.49668 .55538 L
.49753 .55699 L
.49759 .55707 L
.49866 .55859 L
.4992 .55931 L
.49981 .5602 L
.5008 .56156 L
.50097 .5618 L
.50206 .56341 L
.50241 .5639 L
.50311 .56501 L
.50401 .56635 L
.50417 .56662 L
.50401 .56801 L
.50261 .56662 L
.50241 .56643 L
.50112 .56501 L
.5008 .56469 L
.49968 .56341 L
.4992 .56288 L
.49828 .5618 L
.49759 .56136 L
.4969 .5602 L
.49599 .55919 L
.49519 .55859 L
.49438 .55719 L
.49418 .55699 L
.49289 .55538 L
.49278 .55524 L
.49159 .55378 L
.49117 .55341 L
.49028 .55217 L
.48957 .55132 L
.48882 .55057 L
.48796 .54928 L
.4877 .54896 L
.48642 .54735 L
.48636 .54734 L
.48515 .54575 L
.48475 .54533 L
.48352 .54414 L
.48314 .54324 L
.48255 .54254 L
.48154 .54117 L
.48138 .54093 L
.48008 .53933 L
.47993 .53921 L
.47883 .53772 L
.47833 .53714 L
.47741 .53612 L
.47672 .53503 L
.47632 .53451 L
.47512 .53297 L
.47509 .53291 L
.47382 .5313 L
.47351 .53099 L
.47226 .5297 L
.47191 .52887 L
.47127 .52809 L
.4703 .52676 L
.47012 .52649 L
.46885 .52488 L
.4687 .52479 L
.46761 .52328 L
.46709 .52269 L
.4662 .52167 L
.46549 .52055 L
.46513 .52007 L
.46389 .51846 L
.46388 .51845 L
.46266 .51686 L
.46228 .51649 L
.4611 .51525 L
.46067 .51433 L
.46012 .51364 L
.45907 .51219 L
.45897 .51204 L
.45773 .51043 L
.45746 .5103 L
.45651 .50883 L
.45586 .5081 L
.45511 .50722 L
.45425 .50592 L
.45403 .50562 L
.45282 .50401 L
.45265 .50379 L
.45161 .50241 L
.45104 .50189 L
.45005 .5008 L
.44943 .49964 L
.44909 .4992 L
.44793 .49759 L
.44783 .49747 L
.44673 .49599 L
.44622 .49573 L
.44551 .49438 L
.44462 .49335 L
.44415 .49278 L
.44306 .49117 L
.44301 .49111 L
.44188 .48957 L
.44141 .48896 L
.44067 .48796 L
.4398 .48704 L
.43923 .48636 L
.43825 .48475 L
.4382 .48469 L
.43708 .48314 L
.43659 .48251 L
.4359 .48154 L
.43499 .48034 L
.4347 .47993 L
.43352 .47833 L
.43338 .47815 L
.43239 .47672 L
.43178 .47591 L
.43124 .47512 L
.43017 .47366 L
.43007 .47351 L
.42899 .47191 L
.42857 .47131 L
.42795 .4703 L
.42696 .46882 L
.4269 .4687 L
F
.289 .96 1 r
.42696 .46098 m
.42847 .46228 L
.42857 .46236 L
.43009 .46388 L
.43017 .46396 L
.43162 .46549 L
.43178 .46565 L
.43309 .46709 L
.43338 .46721 L
.43452 .4687 L
.43499 .46921 L
.43593 .4703 L
.43659 .47114 L
.43734 .47191 L
.4382 .47309 L
.43854 .47351 L
.4398 .47502 L
.43985 .47512 L
.44127 .47672 L
.44141 .4769 L
.4427 .47833 L
.44301 .47892 L
.44382 .47993 L
.44462 .48099 L
.44496 .48154 L
.44622 .48303 L
.44646 .48314 L
.44781 .48475 L
.44783 .4849 L
.44899 .48636 L
.44943 .48699 L
.45011 .48796 L
.45104 .48913 L
.45114 .48957 L
.45265 .49099 L
.45279 .49117 L
.45408 .49278 L
.45425 .49307 L
.45522 .49438 L
.45586 .49521 L
.45627 .49599 L
.45746 .49738 L
.45782 .49759 L
.45906 .4992 L
.45907 .49922 L
.46029 .5008 L
.46067 .50134 L
.46137 .50241 L
.46228 .50352 L
.46281 .50401 L
.46388 .50542 L
.46404 .50562 L
.46531 .50722 L
.46549 .50752 L
.46644 .50883 L
.46709 .50968 L
.46746 .51043 L
.4687 .51183 L
.46901 .51204 L
.47027 .51364 L
.4703 .51374 L
.47146 .51525 L
.47191 .51587 L
.47254 .51686 L
.47351 .51803 L
.47396 .51846 L
.47512 .52005 L
.47518 .52007 L
.47647 .52167 L
.47672 .52209 L
.47758 .52328 L
.47833 .52423 L
.47862 .52488 L
.47993 .52634 L
.48013 .52649 L
.48145 .52809 L
.48154 .52833 L
.48259 .5297 L
.48314 .53046 L
.48367 .5313 L
.48475 .53259 L
.48506 .53291 L
.48628 .53451 L
.48636 .53459 L
.4876 .53612 L
.48796 .5367 L
.48869 .53772 L
.48957 .53883 L
.48976 .53933 L
.49117 .5409 L
.49121 .54093 L
.49261 .54254 L
.49278 .54294 L
.49369 .54414 L
.49438 .54508 L
.49478 .54575 L
.49599 .54719 L
.49613 .54735 L
.49735 .54896 L
.49759 .5492 L
.4987 .55057 L
.4992 .55133 L
.49978 .55217 L
.5008 .55347 L
.50091 .55378 L
.50227 .55538 L
.50241 .55548 L
.50373 .55699 L
.50401 .55759 L
.50477 .55859 L
.50562 .55975 L
.50588 .5602 L
.50717 .5618 L
.50722 .56187 L
.50838 .56341 L
.50883 .56384 L
.50976 .56501 L
.51043 .56604 L
.51083 .56662 L
.51204 .5682 L
.51205 .56822 L
.51326 .56983 L
.51364 .57007 L
.51478 .57143 L
.51525 .57233 L
.51576 .57304 L
.51686 .57455 L
.51691 .57464 L
.51812 .57625 L
.51846 .5767 L
.51932 .57785 L
.52007 .57864 L
.52068 .57946 L
.52167 .58095 L
.52175 .58106 L
.52292 .58267 L
.52328 .58314 L
.5241 .58428 L
.52488 .58499 L
.52554 .58588 L
.52648 .58749 L
.52649 .58749 L
.52762 .58909 L
.52809 .58973 L
.52877 .5907 L
.5297 .59198 L
.53019 .5923 L
.53102 .59391 L
.5313 .5943 L
.53207 .59551 L
.53291 .59675 L
.53312 .59712 L
.53398 .59872 L
.53291 .59889 L
.53273 .59872 L
.5313 .59742 L
.53109 .59712 L
.5297 .59564 L
.52949 .59551 L
.52814 .59391 L
.52809 .59386 L
.52673 .5923 L
.52649 .59223 L
.52535 .5907 L
.52488 .59021 L
.52398 .58909 L
.52328 .58823 L
.52253 .58749 L
.52167 .58625 L
.52136 .58588 L
.52007 .58432 L
.52005 .58428 L
.5187 .58267 L
.51846 .58238 L
.51719 .58106 L
.51686 .58034 L
.51612 .57946 L
.51525 .57828 L
.51497 .57785 L
.51364 .57629 L
.51356 .57625 L
.5123 .57464 L
.51204 .57431 L
.51096 .57304 L
.51043 .57222 L
.50985 .57143 L
.50883 .57012 L
.50873 .56983 L
.50726 .56822 L
.50722 .56818 L
.50586 .56662 L
.50562 .5661 L
.50476 .56501 L
.50401 .56398 L
.50366 .56341 L
.50241 .5619 L
.50225 .5618 L
.50082 .5602 L
.5008 .55993 L
.4997 .55859 L
.4992 .55781 L
.49861 .55699 L
.49759 .55569 L
.4975 .55538 L
.49605 .55378 L
.49599 .55371 L
.49466 .55217 L
.49438 .55161 L
.49357 .55057 L
.49278 .54948 L
.49247 .54896 L
.49117 .54742 L
.49109 .54735 L
.48961 .54575 L
.48957 .54539 L
.48854 .54414 L
.48796 .54327 L
.48745 .54254 L
.48636 .54116 L
.4863 .54093 L
.48492 .53933 L
.48475 .53915 L
.4835 .53772 L
.48314 .53704 L
.48243 .53612 L
.48154 .53492 L
.48132 .53451 L
.47998 .53291 L
.47993 .53287 L
.47843 .5313 L
.47833 .53081 L
.47741 .5297 L
.47672 .52868 L
.47632 .52809 L
.47512 .52657 L
.4751 .52649 L
.47382 .52488 L
.47351 .52458 L
.47237 .52328 L
.47191 .52244 L
.47132 .52167 L
.4703 .5203 L
.47018 .52007 L
.4689 .51846 L
.4687 .51833 L
.46728 .51686 L
.46709 .5162 L
.46632 .51525 L
.46549 .51404 L
.46522 .51364 L
.46397 .51204 L
.46388 .51193 L
.46276 .51043 L
.46228 .50998 L
.46128 .50883 L
.46067 .50779 L
.46025 .50722 L
.45907 .50564 L
.45906 .50562 L
.45784 .50401 L
.45746 .50379 L
.45618 .50241 L
.45586 .50155 L
.45526 .5008 L
.45425 .49935 L
.45415 .4992 L
.45293 .49759 L
.45265 .49722 L
.45172 .49599 L
.45104 .49533 L
.45026 .49438 L
.44943 .49307 L
.44922 .49278 L
.44804 .49117 L
.44783 .4909 L
.44683 .48957 L
.44622 .48915 L
.4452 .48796 L
.44462 .48677 L
.4443 .48636 L
.44316 .48475 L
.44301 .48456 L
.44197 .48314 L
.44141 .48242 L
.44076 .48154 L
.4398 .48046 L
.43939 .47993 L
.43833 .47833 L
.4382 .47816 L
.43716 .47672 L
.43659 .47599 L
.43597 .47512 L
.43499 .47383 L
.43455 .47351 L
.43357 .47191 L
.43338 .47166 L
.43243 .4703 L
.43178 .46943 L
.43127 .4687 L
.43017 .4672 L
.4301 .46709 L
.42901 .46549 L
.42857 .46486 L
.42796 .46388 L
.42696 .46238 L
.4269 .46228 L
F
1 .13 0 r
.42696 .48098 m
.4274 .48154 L
.42857 .48273 L
.42889 .48314 L
.43017 .48461 L
.43028 .48475 L
.43017 .48614 L
.42925 .48475 L
.42857 .48389 L
.4281 .48314 L
.42696 .48163 L
.42691 .48154 L
F
0 .15 1 r
.42696 .48766 m
.42709 .48796 L
.42696 .48802 L
.42692 .48796 L
F
.538 .98 1 r
.42696 .44097 m
.42857 .44037 L
.43017 .44093 L
.4307 .44141 L
.43178 .44245 L
.43239 .44301 L
.43338 .44437 L
.43358 .44462 L
.43485 .44622 L
.43499 .44635 L
.43609 .44783 L
.43659 .44839 L
.43766 .44943 L
.4382 .4505 L
.43866 .45104 L
.4398 .4526 L
.43983 .45265 L
.44105 .45425 L
.44141 .45437 L
.44227 .45586 L
.44301 .45661 L
.44367 .45746 L
.44462 .45887 L
.44475 .45907 L
.44594 .46067 L
.44622 .46105 L
.44713 .46228 L
.44783 .46322 L
.4486 .46388 L
.44943 .46543 L
.44949 .46549 L
.45045 .46709 L
.44943 .4685 L
.44783 .46786 L
.44685 .46709 L
.44622 .46656 L
.44516 .46549 L
.44462 .46487 L
.44392 .46388 L
.44301 .46299 L
.44282 .46228 L
.44141 .461 L
.44114 .46067 L
.43985 .45907 L
.4398 .45896 L
.43866 .45746 L
.4382 .45682 L
.4376 .45586 L
.43659 .45465 L
.4361 .45425 L
.43499 .45277 L
.43489 .45265 L
.43365 .45104 L
.43338 .45068 L
.43256 .44943 L
.43178 .44854 L
.43158 .44783 L
.43017 .44639 L
.43003 .44622 L
.42876 .44462 L
.42857 .44416 L
.4278 .44301 L
.42696 .44145 L
.42695 .44141 L
F
0 .47 1 r
.42696 .47444 m
.42768 .47512 L
.42857 .47593 L
.42927 .47672 L
.43017 .47768 L
.43072 .47833 L
.43178 .47952 L
.43212 .47993 L
.43338 .48135 L
.43349 .48154 L
.43481 .48314 L
.43499 .48335 L
.43612 .48475 L
.43659 .4853 L
.43744 .48636 L
.4382 .48727 L
.43875 .48796 L
.4398 .48918 L
.44027 .48957 L
.44133 .49117 L
.44141 .49127 L
.44259 .49278 L
.44301 .49329 L
.44387 .49438 L
.44462 .49504 L
.44514 .49599 L
.44622 .49731 L
.4465 .49759 L
.44766 .4992 L
.44783 .4994 L
.44891 .5008 L
.44943 .50146 L
.45016 .50241 L
.45104 .50338 L
.4517 .50401 L
.45265 .50559 L
.45267 .50562 L
.45389 .50722 L
.45425 .50768 L
.45512 .50883 L
.45586 .50944 L
.45636 .51043 L
.45746 .51182 L
.45766 .51204 L
.45881 .51364 L
.45907 .51397 L
.46002 .51525 L
.46067 .51609 L
.46124 .51686 L
.46228 .51809 L
.46263 .51846 L
.46367 .52007 L
.46388 .52034 L
.46486 .52167 L
.46549 .52249 L
.46606 .52328 L
.46709 .52444 L
.46727 .52488 L
.46844 .52649 L
.4687 .52682 L
.46959 .52809 L
.4703 .52904 L
.47076 .5297 L
.47191 .53125 L
.47194 .5313 L
.47302 .53291 L
.47351 .53359 L
.4741 .53451 L
.47512 .536 L
.47519 .53612 L
.47512 .53712 L
.47417 .53612 L
.47351 .53548 L
.47267 .53451 L
.47191 .53369 L
.47125 .53291 L
.4703 .53183 L
.46987 .5313 L
.4687 .53008 L
.46851 .5297 L
.46718 .52809 L
.46709 .52799 L
.46588 .52649 L
.46549 .52602 L
.46458 .52488 L
.46388 .52404 L
.46327 .52328 L
.46228 .52218 L
.46163 .52167 L
.46069 .52007 L
.46067 .52004 L
.45943 .51846 L
.45907 .51801 L
.45817 .51686 L
.45746 .51634 L
.45689 .51525 L
.45586 .51401 L
.45549 .51364 L
.45438 .51204 L
.45425 .51189 L
.45314 .51043 L
.45265 .50982 L
.45189 .50883 L
.45104 .50795 L
.45024 .50722 L
.44943 .5057 L
.44937 .50562 L
.44816 .50401 L
.44783 .50359 L
.44694 .50241 L
.44622 .50194 L
.4457 .5008 L
.44462 .49947 L
.44436 .4992 L
.44325 .49759 L
.44301 .4973 L
.44204 .49599 L
.44141 .49518 L
.44082 .49438 L
.4398 .49321 L
.43937 .49278 L
.43839 .49117 L
.4382 .49092 L
.43721 .48957 L
.43659 .48876 L
.43601 .48796 L
.43499 .48661 L
.4348 .48636 L
.43363 .48475 L
.43338 .48442 L
.43249 .48314 L
.43178 .4822 L
.43132 .48154 L
.43017 .47998 L
.43014 .47993 L
.42909 .47833 L
.42857 .47761 L
.42803 .47672 L
.42696 .47512 L
.42696 .47512 L
F
1 .98 .538 r
.42857 .4128 m
.42993 .41412 L
.43017 .41432 L
.43166 .41572 L
.43178 .41587 L
.43316 .41733 L
.43338 .41763 L
.43465 .41894 L
.43499 .41957 L
.43583 .42054 L
.43659 .42164 L
.43695 .42215 L
.4382 .42335 L
.43852 .42375 L
.43979 .42536 L
.4398 .42539 L
.44102 .42696 L
.44141 .42751 L
.44211 .42857 L
.44301 .42966 L
.44355 .43017 L
.44462 .43171 L
.44476 .43178 L
.446 .43338 L
.44622 .43348 L
.44707 .43499 L
.44783 .43594 L
.44805 .43659 L
.44914 .4382 L
.44783 .43906 L
.44622 .4389 L
.44519 .4382 L
.44462 .43768 L
.4437 .43659 L
.44301 .43534 L
.44214 .43499 L
.44141 .43365 L
.44108 .43338 L
.43988 .43178 L
.4398 .43168 L
.43866 .43017 L
.4382 .42988 L
.43697 .42857 L
.43659 .42763 L
.43607 .42696 L
.43499 .4254 L
.43496 .42536 L
.43377 .42375 L
.43338 .42325 L
.43257 .42215 L
.43178 .4211 L
.43115 .42054 L
.43017 .41894 L
.43017 .41894 L
.42906 .41733 L
.42857 .41662 L
.42799 .41572 L
.42703 .41412 L
F
.061 .91 1 r
.42857 .42003 m
.42911 .42054 L
.43017 .42127 L
.43073 .42215 L
.43178 .42321 L
.4327 .42375 L
.43338 .42513 L
.43362 .42536 L
.43489 .42696 L
.43499 .42708 L
.43616 .42857 L
.43659 .42912 L
.4374 .43017 L
.4382 .43094 L
.43879 .43178 L
.43969 .43338 L
.4398 .43357 L
.44061 .43499 L
.4398 .43624 L
.4382 .43501 L
.43818 .43499 L
.43668 .43338 L
.43659 .43329 L
.43535 .43178 L
.43499 .43135 L
.43407 .43017 L
.43338 .42932 L
.43282 .42857 L
.43178 .42736 L
.43144 .42696 L
.43043 .42536 L
.43017 .42501 L
.42932 .42375 L
.42857 .42266 L
.42824 .42215 L
.42732 .42054 L
F
.395 .97 1 r
.42857 .44073 m
.43017 .44126 L
.43036 .44141 L
.43178 .44267 L
.43219 .44301 L
.43338 .44452 L
.43347 .44462 L
.43475 .44622 L
.43499 .44643 L
.43602 .44783 L
.43659 .44847 L
.4376 .44943 L
.4382 .45058 L
.4386 .45104 L
.43978 .45265 L
.4398 .45268 L
.44099 .45425 L
.44141 .45441 L
.44221 .45586 L
.44301 .4567 L
.4436 .45746 L
.44462 .45897 L
.44468 .45907 L
.44586 .46067 L
.44622 .46116 L
.44703 .46228 L
.44783 .46337 L
.44844 .46388 L
.44929 .46549 L
.44943 .46572 L
.45009 .46709 L
.44943 .46801 L
.44783 .46741 L
.44737 .46709 L
.44622 .4662 L
.44542 .46549 L
.44462 .46458 L
.44412 .46388 L
.44301 .46276 L
.44291 .46228 L
.44141 .46081 L
.44129 .46067 L
.43993 .45907 L
.4398 .45878 L
.43877 .45746 L
.4382 .45667 L
.4377 .45586 L
.43659 .45454 L
.43621 .45425 L
.43499 .45265 L
.43499 .45264 L
.43374 .45104 L
.43338 .45055 L
.43266 .44943 L
.43178 .44839 L
.43164 .44783 L
.43018 .44622 L
.43017 .44622 L
.42887 .44462 L
.42857 .44387 L
.42801 .44301 L
.42741 .44141 L
F
.045 .9 1 r
.42857 .42038 m
.42876 .42054 L
.43017 .42158 L
.43051 .42215 L
.43178 .42343 L
.43236 .42375 L
.43338 .42531 L
.43343 .42536 L
.43475 .42696 L
.43499 .42725 L
.43603 .42857 L
.43659 .42928 L
.43727 .43017 L
.4382 .43119 L
.4386 .43178 L
.43952 .43338 L
.4398 .43387 L
.44037 .43499 L
.4398 .43593 L
.43841 .43499 L
.4382 .43481 L
.43683 .43338 L
.43659 .43313 L
.43547 .43178 L
.43499 .43121 L
.43418 .43017 L
.43338 .42918 L
.43292 .42857 L
.43178 .42714 L
.43162 .42696 L
.43056 .42536 L
.43017 .42482 L
.42947 .42375 L
.42857 .4224 L
.42841 .42215 L
.42771 .42054 L
F
.289 .96 1 r
.42857 .44111 m
.42988 .44141 L
.43017 .44155 L
.43178 .44287 L
.43196 .44301 L
.43335 .44462 L
.43338 .44463 L
.43466 .44622 L
.43499 .44651 L
.43594 .44783 L
.43659 .44856 L
.43753 .44943 L
.4382 .45066 L
.43853 .45104 L
.43972 .45265 L
.4398 .45275 L
.44093 .45425 L
.44141 .45446 L
.44215 .45586 L
.44301 .45679 L
.44353 .45746 L
.44461 .45907 L
.44462 .45908 L
.44577 .46067 L
.44622 .46128 L
.44694 .46228 L
.44783 .46353 L
.44825 .46388 L
.44908 .46549 L
.44943 .46619 L
.44963 .46709 L
.44943 .4674 L
.44802 .46709 L
.44783 .46701 L
.44622 .46587 L
.44572 .46549 L
.44462 .46432 L
.4443 .46388 L
.44301 .46254 L
.44297 .46228 L
.44144 .46067 L
.44141 .46063 L
.44 .45907 L
.4398 .45862 L
.43888 .45746 L
.4382 .45653 L
.43778 .45586 L
.43659 .45445 L
.43632 .45425 L
.43509 .45265 L
.43499 .45253 L
.43382 .45104 L
.43338 .45043 L
.43276 .44943 L
.43178 .44825 L
.43169 .44783 L
.43031 .44622 L
.43017 .44602 L
.42898 .44462 L
.42857 .44355 L
.42824 .44301 L
.42797 .44141 L
F
1 .97 .395 r
.42857 .37126 m
.42969 .37238 L
.43017 .37284 L
.43122 .37399 L
.43178 .37457 L
.43267 .37559 L
.43338 .37611 L
.43409 .3772 L
.43499 .37818 L
.43588 .3788 L
.43659 .38013 L
.43688 .38041 L
.43816 .38201 L
.4382 .38206 L
.43947 .38362 L
.4398 .38393 L
.44078 .38523 L
.44141 .38597 L
.44228 .38683 L
.44301 .38801 L
.44338 .38844 L
.44462 .39 L
.44464 .39004 L
.44593 .39165 L
.44622 .39196 L
.44757 .39325 L
.44783 .39403 L
.44855 .39486 L
.44943 .39611 L
.44969 .39646 L
.451 .39807 L
.45104 .3981 L
.45225 .39967 L
.45265 .40014 L
.45369 .40128 L
.45425 .40224 L
.45476 .40288 L
.45586 .40432 L
.45595 .40449 L
.45725 .40609 L
.45746 .40631 L
.45882 .4077 L
.45907 .4084 L
.45983 .4093 L
.46067 .41052 L
.46095 .41091 L
.46223 .41251 L
.46228 .41255 L
.46347 .41412 L
.46388 .41459 L
.46489 .41572 L
.46549 .41672 L
.46596 .41733 L
.46709 .41882 L
.46715 .41894 L
.46842 .42054 L
.4687 .4208 L
.46999 .42215 L
.4703 .42293 L
.47099 .42375 L
.47191 .42506 L
.47211 .42536 L
.47337 .42696 L
.47351 .42705 L
.47459 .42857 L
.47512 .42914 L
.47603 .43017 L
.47672 .4313 L
.47709 .43178 L
.47831 .43338 L
.47833 .4334 L
.47953 .43499 L
.47993 .43535 L
.48112 .43659 L
.48154 .43753 L
.48209 .4382 L
.48314 .43967 L
.48323 .4398 L
.48446 .44141 L
.48475 .44155 L
.48568 .44301 L
.48636 .44374 L
.48711 .44462 L
.48796 .44593 L
.48818 .44622 L
.48939 .44783 L
.48957 .44806 L
.4906 .44943 L
.49117 .44994 L
.49218 .45104 L
.49278 .45218 L
.49315 .45265 L
.49431 .45425 L
.49438 .45434 L
.49551 .45586 L
.49599 .45608 L
.49674 .45746 L
.49759 .45841 L
.49814 .45907 L
.4992 .46064 L
.49922 .46067 L
.50042 .46228 L
.5008 .46276 L
.50163 .46388 L
.50241 .46462 L
.50316 .46549 L
.50401 .46693 L
.50414 .46709 L
.50531 .4687 L
.50562 .46909 L
.50651 .4703 L
.50722 .47121 L
.50774 .47191 L
.50883 .47324 L
.50905 .47351 L
.51018 .47512 L
.51043 .47545 L
.51137 .47672 L
.51204 .47759 L
.51258 .47833 L
.51364 .4796 L
.51391 .47993 L
.515 .48154 L
.51525 .48186 L
.51617 .48314 L
.51686 .48404 L
.51736 .48475 L
.51846 .4861 L
.51866 .48636 L
.51974 .48796 L
.52007 .48839 L
.52089 .48957 L
.52167 .49061 L
.52206 .49117 L
.52323 .49278 L
.52328 .49283 L
.52433 .49438 L
.52488 .49516 L
.5254 .49599 L
.52645 .49759 L
.52488 .498 L
.52432 .49759 L
.52328 .49685 L
.52253 .49599 L
.52167 .49515 L
.521 .49438 L
.52007 .49332 L
.51948 .49278 L
.51846 .49138 L
.51827 .49117 L
.51701 .48957 L
.51686 .48938 L
.51575 .48796 L
.51525 .48731 L
.51442 .48636 L
.51364 .48522 L
.51327 .48475 L
.51206 .48314 L
.51204 .48312 L
.51063 .48154 L
.51043 .48104 L
.50955 .47993 L
.50883 .47895 L
.50839 .47833 L
.50722 .47688 L
.50717 .47672 L
.50571 .47512 L
.50562 .47484 L
.50459 .47351 L
.50401 .47274 L
.5035 .47191 L
.50241 .47062 L
.50202 .4703 L
.5008 .46873 L
.50078 .4687 L
.49951 .46709 L
.4992 .46663 L
.49841 .46549 L
.49759 .46448 L
.49744 .46388 L
.49599 .46261 L
.49572 .46228 L
.49446 .46067 L
.49438 .46053 L
.49329 .45907 L
.49278 .45839 L
.49225 .45746 L
.49117 .45622 L
.4907 .45586 L
.48957 .45437 L
.48947 .45425 L
.48823 .45265 L
.48796 .45226 L
.48713 .45104 L
.48636 .45009 L
.48615 .44943 L
.48475 .44795 L
.48449 .44783 L
.48323 .44622 L
.48314 .44607 L
.48207 .44462 L
.48154 .44393 L
.48103 .44301 L
.47993 .44176 L
.47952 .44141 L
.47833 .43983 L
.47831 .4398 L
.47706 .4382 L
.47672 .43772 L
.47597 .43659 L
.47512 .43557 L
.47498 .43499 L
.47351 .43347 L
.47336 .43338 L
.47207 .43178 L
.47191 .43148 L
.47095 .43017 L
.4703 .42934 L
.4699 .42857 L
.4687 .42722 L
.46842 .42696 L
.46712 .42536 L
.46709 .42522 L
.46595 .42375 L
.46549 .4231 L
.46487 .42215 L
.46388 .42096 L
.46382 .42054 L
.46229 .41894 L
.46228 .41893 L
.46095 .41733 L
.46067 .41684 L
.45986 .41572 L
.45907 .4147 L
.45879 .41412 L
.45746 .4126 L
.45738 .41251 L
.45594 .41091 L
.45586 .41057 L
.45488 .4093 L
.45425 .40842 L
.4538 .4077 L
.45265 .40629 L
.45263 .40609 L
.45127 .40449 L
.45104 .40429 L
.44989 .40288 L
.44943 .40213 L
.44884 .40128 L
.44783 .39996 L
.4477 .39967 L
.44641 .39807 L
.44622 .398 L
.44484 .39646 L
.44462 .39582 L
.4439 .39486 L
.44301 .39359 L
.44281 .39325 L
.44158 .39165 L
.44141 .39142 L
.44039 .39004 L
.4398 .38949 L
.43899 .38844 L
.4382 .38715 L
.43798 .38683 L
.43683 .38523 L
.43659 .38491 L
.43566 .38362 L
.43499 .38271 L
.43412 .38201 L
.43338 .38052 L
.4333 .38041 L
.43221 .3788 L
.43178 .3782 L
.43109 .3772 L
.43017 .37588 L
.42998 .37559 L
.42895 .37399 L
.42857 .37341 L
.42798 .37238 L
F
1 .91 .061 r
.42857 .44693 m
.42948 .44783 L
.43017 .44853 L
.43092 .44943 L
.43178 .45042 L
.43225 .45104 L
.43338 .45243 L
.43354 .45265 L
.43472 .45425 L
.43499 .4546 L
.4358 .45586 L
.43659 .45703 L
.43682 .45746 L
.43659 .45827 L
.43567 .45746 L
.43499 .45682 L
.4341 .45586 L
.43338 .45507 L
.43268 .45425 L
.43178 .45315 L
.43137 .45265 L
.43017 .45112 L
.43009 .45104 L
.42901 .44943 L
.42857 .44876 L
.428 .44783 L
F
1 .79 .001 r
.42857 .46924 m
.42959 .4703 L
.43017 .47088 L
.4311 .47191 L
.43178 .47264 L
.43254 .47351 L
.43338 .4742 L
.43395 .47512 L
.43499 .4763 L
.43555 .47672 L
.43659 .47824 L
.43668 .47833 L
.438 .47993 L
.4382 .48017 L
.43933 .48154 L
.4398 .48201 L
.44065 .48314 L
.44141 .48407 L
.44206 .48475 L
.44301 .48609 L
.44322 .48636 L
.44454 .48796 L
.44462 .48801 L
.44582 .48957 L
.44622 .49003 L
.44735 .49117 L
.44783 .4921 L
.44838 .49278 L
.44943 .49415 L
.44957 .49438 L
.45091 .49599 L
.45104 .49611 L
.45218 .49759 L
.45265 .49817 L
.45352 .4992 L
.45425 .50027 L
.45463 .5008 L
.45586 .50232 L
.45588 .50241 L
.45719 .50401 L
.45746 .50431 L
.45865 .50562 L
.45907 .50641 L
.4597 .50722 L
.46067 .50852 L
.46085 .50883 L
.46218 .51043 L
.46228 .51051 L
.46381 .51204 L
.46388 .51259 L
.46476 .51364 L
.46549 .51472 L
.46585 .51525 L
.46709 .5168 L
.4671 .51686 L
.46837 .51846 L
.4687 .5188 L
.46983 .52007 L
.4703 .52094 L
.47086 .52167 L
.47191 .52306 L
.47202 .52328 L
.47331 .52488 L
.47351 .52502 L
.47496 .52649 L
.47512 .52717 L
.47587 .52809 L
.47672 .52933 L
.47697 .5297 L
.47822 .5313 L
.47833 .53144 L
.47944 .53291 L
.47993 .5334 L
.4809 .53451 L
.48154 .53561 L
.48191 .53612 L
.48311 .53772 L
.48314 .53777 L
.48431 .53933 L
.48475 .53961 L
.486 .54093 L
.48636 .54192 L
.48684 .54254 L
.48796 .54414 L
.48796 .54414 L
.48915 .54575 L
.48957 .54629 L
.49035 .54735 L
.49117 .54825 L
.49175 .54896 L
.49277 .55057 L
.49278 .55058 L
.49393 .55217 L
.49438 .55276 L
.49511 .55378 L
.49599 .55465 L
.4966 .55538 L
.49748 .55699 L
.49759 .55714 L
.4986 .55859 L
.4992 .5594 L
.49975 .5602 L
.5008 .56166 L
.5009 .5618 L
.50196 .56341 L
.50241 .56405 L
.50299 .56501 L
.50401 .5666 L
.50402 .56662 L
.50401 .56767 L
.50284 .56662 L
.50241 .56624 L
.50126 .56501 L
.5008 .56455 L
.49979 .56341 L
.4992 .56277 L
.49837 .5618 L
.49759 .56127 L
.49698 .5602 L
.49599 .5591 L
.49529 .55859 L
.49438 .55712 L
.49425 .55699 L
.49295 .55538 L
.49278 .55517 L
.49164 .55378 L
.49117 .55336 L
.49033 .55217 L
.48957 .55127 L
.48886 .55057 L
.48796 .54923 L
.48774 .54896 L
.48646 .54735 L
.48636 .54732 L
.48518 .54575 L
.48475 .54529 L
.48354 .54414 L
.48314 .5432 L
.48258 .54254 L
.48154 .54113 L
.4814 .54093 L
.48011 .53933 L
.47993 .53919 L
.47885 .53772 L
.47833 .53711 L
.47743 .53612 L
.47672 .535 L
.47635 .53451 L
.47512 .53294 L
.4751 .53291 L
.47385 .5313 L
.47351 .53097 L
.47227 .5297 L
.47191 .52885 L
.47129 .52809 L
.4703 .52673 L
.47014 .52649 L
.46887 .52488 L
.4687 .52477 L
.46763 .52328 L
.46709 .52267 L
.46622 .52167 L
.46549 .52052 L
.46515 .52007 L
.46391 .51846 L
.46388 .51843 L
.46268 .51686 L
.46228 .51647 L
.46112 .51525 L
.46067 .5143 L
.46014 .51364 L
.45907 .51216 L
.45899 .51204 L
.45775 .51043 L
.45746 .51028 L
.45653 .50883 L
.45586 .50808 L
.45513 .50722 L
.45425 .50589 L
.45405 .50562 L
.45284 .50401 L
.45265 .50376 L
.45163 .50241 L
.45104 .50186 L
.45008 .5008 L
.44943 .49961 L
.44911 .4992 L
.44795 .49759 L
.44783 .49744 L
.44675 .49599 L
.44622 .4957 L
.44553 .49438 L
.44462 .49331 L
.44418 .49278 L
.44309 .49117 L
.44301 .49107 L
.44191 .48957 L
.44141 .48892 L
.4407 .48796 L
.4398 .48698 L
.43927 .48636 L
.43828 .48475 L
.4382 .48464 L
.43712 .48314 L
.43659 .48246 L
.43594 .48154 L
.43499 .48028 L
.43474 .47993 L
.43357 .47833 L
.43338 .47808 L
.43245 .47672 L
.43178 .47582 L
.4313 .47512 L
.43017 .47356 L
.43014 .47351 L
.4291 .47191 L
.42857 .47114 L
.42808 .4703 L
F
0 .46 1 r
.42857 .47603 m
.42919 .47672 L
.43017 .47776 L
.43066 .47833 L
.43178 .47958 L
.43207 .47993 L
.43338 .48142 L
.43344 .48154 L
.43477 .48314 L
.43499 .48339 L
.43609 .48475 L
.43659 .48534 L
.4374 .48636 L
.4382 .48731 L
.43872 .48796 L
.4398 .48922 L
.44022 .48957 L
.4413 .49117 L
.44141 .4913 L
.44257 .49278 L
.44301 .49332 L
.44384 .49438 L
.44462 .49508 L
.44512 .49599 L
.44622 .49734 L
.44647 .49759 L
.44764 .4992 L
.44783 .49943 L
.44888 .5008 L
.44943 .50149 L
.45014 .50241 L
.45104 .50341 L
.45167 .50401 L
.45264 .50562 L
.45265 .50562 L
.45386 .50722 L
.45425 .50771 L
.4551 .50883 L
.45586 .50947 L
.45634 .51043 L
.45746 .51185 L
.45763 .51204 L
.45879 .51364 L
.45907 .514 L
.46 .51525 L
.46067 .51612 L
.46122 .51686 L
.46228 .51813 L
.46259 .51846 L
.46364 .52007 L
.46388 .52037 L
.46483 .52167 L
.46549 .52253 L
.46603 .52328 L
.46709 .5245 L
.46724 .52488 L
.4684 .52649 L
.4687 .52687 L
.46956 .52809 L
.4703 .52909 L
.47073 .5297 L
.4719 .5313 L
.47191 .53131 L
.47296 .53291 L
.47351 .53367 L
.47403 .53451 L
.47351 .53539 L
.47275 .53451 L
.47191 .53363 L
.47131 .53291 L
.4703 .53178 L
.46991 .5313 L
.4687 .53001 L
.46855 .5297 L
.46722 .52809 L
.46709 .52795 L
.46592 .52649 L
.46549 .52598 L
.46461 .52488 L
.46388 .52401 L
.4633 .52328 L
.46228 .52213 L
.46168 .52167 L
.46072 .52007 L
.46067 .52001 L
.45946 .51846 L
.45907 .51798 L
.45819 .51686 L
.45746 .51631 L
.45692 .51525 L
.45586 .51397 L
.45553 .51364 L
.4544 .51204 L
.45425 .51186 L
.45316 .51043 L
.45265 .50979 L
.45191 .50883 L
.45104 .50791 L
.45028 .50722 L
.44943 .50567 L
.44939 .50562 L
.44819 .50401 L
.44783 .50356 L
.44696 .50241 L
.44622 .50191 L
.44572 .5008 L
.44462 .49944 L
.44439 .4992 L
.44327 .49759 L
.44301 .49727 L
.44206 .49599 L
.44141 .49515 L
.44084 .49438 L
.4398 .49317 L
.43942 .49278 L
.43842 .49117 L
.4382 .49089 L
.43724 .48957 L
.43659 .48873 L
.43604 .48796 L
.43499 .48658 L
.43483 .48636 L
.43367 .48475 L
.43338 .48438 L
.43253 .48314 L
.43178 .48215 L
.43136 .48154 L
.43019 .47993 L
.43017 .47991 L
.42915 .47833 L
.42857 .47751 L
.4281 .47672 L
F
1 .12 0 r
.42857 .48281 m
.42882 .48314 L
.43017 .48468 L
.43023 .48475 L
.43017 .48606 L
.42932 .48475 L
.42857 .4838 L
.42817 .48314 L
F
0 .45 1 r
.42857 .47614 m
.4291 .47672 L
.43017 .47783 L
.4306 .47833 L
.43178 .47964 L
.43202 .47993 L
.43338 .4815 L
.4334 .48154 L
.43473 .48314 L
.43499 .48344 L
.43605 .48475 L
.43659 .48539 L
.43737 .48636 L
.4382 .48735 L
.43869 .48796 L
.4398 .48926 L
.44017 .48957 L
.44127 .49117 L
.44141 .49134 L
.44254 .49278 L
.44301 .49335 L
.44382 .49438 L
.44462 .49511 L
.4451 .49599 L
.44622 .49738 L
.44643 .49759 L
.44761 .4992 L
.44783 .49946 L
.44886 .5008 L
.44943 .50152 L
.45012 .50241 L
.45104 .50345 L
.45164 .50401 L
.45262 .50562 L
.45265 .50565 L
.45384 .50722 L
.45425 .50774 L
.45507 .50883 L
.45586 .5095 L
.45632 .51043 L
.45746 .51188 L
.4576 .51204 L
.45876 .51364 L
.45907 .51403 L
.45997 .51525 L
.46067 .51615 L
.4612 .51686 L
.46228 .51817 L
.46255 .51846 L
.46362 .52007 L
.46388 .52041 L
.4648 .52167 L
.46549 .52256 L
.46601 .52328 L
.46709 .52457 L
.46721 .52488 L
.46837 .52649 L
.4687 .52691 L
.46952 .52809 L
.4703 .52914 L
.47069 .5297 L
.47185 .5313 L
.47191 .53137 L
.4729 .53291 L
.47351 .53376 L
.47396 .53451 L
.47351 .5353 L
.47282 .53451 L
.47191 .53356 L
.47136 .53291 L
.4703 .53172 L
.46996 .5313 L
.4687 .52993 L
.46859 .5297 L
.46726 .52809 L
.46709 .5279 L
.46595 .52649 L
.46549 .52594 L
.46464 .52488 L
.46388 .52397 L
.46333 .52328 L
.46228 .52209 L
.46173 .52167 L
.46075 .52007 L
.46067 .51997 L
.45949 .51846 L
.45907 .51795 L
.45822 .51686 L
.45746 .51628 L
.45694 .51525 L
.45586 .51394 L
.45556 .51364 L
.45442 .51204 L
.45425 .51183 L
.45318 .51043 L
.45265 .50976 L
.45193 .50883 L
.45104 .50788 L
.45031 .50722 L
.44943 .50563 L
.44942 .50562 L
.44821 .50401 L
.44783 .50354 L
.44698 .50241 L
.44622 .50188 L
.44574 .5008 L
.44462 .49941 L
.44443 .4992 L
.44329 .49759 L
.44301 .49724 L
.44209 .49599 L
.44141 .49512 L
.44086 .49438 L
.4398 .49312 L
.43946 .49278 L
.43845 .49117 L
.4382 .49085 L
.43726 .48957 L
.43659 .48869 L
.43607 .48796 L
.43499 .48654 L
.43486 .48636 L
.4337 .48475 L
.43338 .48433 L
.43256 .48314 L
.43178 .4821 L
.4314 .48154 L
.43024 .47993 L
.43017 .47984 L
.42922 .47833 L
.42857 .47741 L
.42819 .47672 L
F
1 .78 .001 r
.42857 .46947 m
.4294 .4703 L
.43017 .47104 L
.43097 .47191 L
.43178 .47277 L
.43244 .47351 L
.43338 .47432 L
.43386 .47512 L
.43499 .4764 L
.43543 .47672 L
.43659 .47832 L
.4366 .47833 L
.43794 .47993 L
.4382 .48024 L
.43927 .48154 L
.4398 .48207 L
.4406 .48314 L
.44141 .48413 L
.44201 .48475 L
.44301 .48614 L
.44318 .48636 L
.44449 .48796 L
.44462 .48803 L
.44578 .48957 L
.44622 .49007 L
.44732 .49117 L
.44783 .49214 L
.44835 .49278 L
.44943 .49419 L
.44955 .49438 L
.45088 .49599 L
.45104 .49614 L
.45215 .49759 L
.45265 .49821 L
.4535 .4992 L
.45425 .5003 L
.45461 .5008 L
.45586 .50235 L
.45587 .50241 L
.45717 .50401 L
.45746 .50434 L
.45863 .50562 L
.45907 .50644 L
.45967 .50722 L
.46067 .50854 L
.46083 .50883 L
.46216 .51043 L
.46228 .51053 L
.46381 .51204 L
.46388 .51262 L
.46474 .51364 L
.46549 .51474 L
.46584 .51525 L
.46709 .51682 L
.4671 .51686 L
.46835 .51846 L
.4687 .51882 L
.46981 .52007 L
.4703 .52096 L
.47084 .52167 L
.47191 .52309 L
.47201 .52328 L
.47328 .52488 L
.47351 .52504 L
.47495 .52649 L
.47512 .5272 L
.47585 .52809 L
.47672 .52936 L
.47695 .5297 L
.4782 .5313 L
.47833 .53147 L
.47941 .53291 L
.47993 .53343 L
.48088 .53451 L
.48154 .53565 L
.48189 .53612 L
.48308 .53772 L
.48314 .5378 L
.48429 .53933 L
.48475 .53964 L
.48597 .54093 L
.48636 .54196 L
.48681 .54254 L
.48793 .54414 L
.48796 .54418 L
.48912 .54575 L
.48957 .54633 L
.49032 .54735 L
.49117 .5483 L
.49171 .54896 L
.49273 .55057 L
.49278 .55063 L
.49389 .55217 L
.49438 .55282 L
.49507 .55378 L
.49599 .55474 L
.49652 .55538 L
.49742 .55699 L
.49759 .55722 L
.49854 .55859 L
.4992 .55949 L
.49968 .5602 L
.5008 .56177 L
.50083 .5618 L
.50185 .56341 L
.50241 .56423 L
.50286 .56501 L
.50241 .56603 L
.50142 .56501 L
.5008 .5644 L
.49991 .56341 L
.4992 .56265 L
.49846 .5618 L
.49759 .56116 L
.49706 .5602 L
.49599 .55901 L
.49541 .55859 L
.49438 .55704 L
.49432 .55699 L
.49301 .55538 L
.49278 .55511 L
.49169 .55378 L
.49117 .55331 L
.49038 .55217 L
.48957 .55121 L
.48891 .55057 L
.48796 .54918 L
.48778 .54896 L
.4865 .54735 L
.48636 .54731 L
.48522 .54575 L
.48475 .54525 L
.48357 .54414 L
.48314 .54316 L
.48261 .54254 L
.48154 .5411 L
.48142 .54093 L
.48014 .53933 L
.47993 .53917 L
.47888 .53772 L
.47833 .53708 L
.47746 .53612 L
.47672 .53497 L
.47637 .53451 L
.47512 .53292 L
.47511 .53291 L
.47387 .5313 L
.47351 .53094 L
.47229 .5297 L
.47191 .52882 L
.47131 .52809 L
.4703 .52671 L
.47016 .52649 L
.46889 .52488 L
.4687 .52476 L
.46765 .52328 L
.46709 .52264 L
.46624 .52167 L
.46549 .5205 L
.46516 .52007 L
.46393 .51846 L
.46388 .5184 L
.4627 .51686 L
.46228 .51645 L
.46114 .51525 L
.46067 .51428 L
.46016 .51364 L
.45907 .51214 L
.459 .51204 L
.45777 .51043 L
.45746 .51027 L
.45655 .50883 L
.45586 .50805 L
.45515 .50722 L
.45425 .50586 L
.45407 .50562 L
.45286 .50401 L
.45265 .50374 L
.45165 .50241 L
.45104 .50184 L
.4501 .5008 L
.44943 .49958 L
.44914 .4992 L
.44797 .49759 L
.44783 .49741 L
.44677 .49599 L
.44622 .49568 L
.44556 .49438 L
.44462 .49327 L
.44421 .49278 L
.44312 .49117 L
.44301 .49103 L
.44194 .48957 L
.44141 .48888 L
.44073 .48796 L
.4398 .48693 L
.43932 .48636 L
.43832 .48475 L
.4382 .48459 L
.43716 .48314 L
.43659 .4824 L
.43598 .48154 L
.43499 .48022 L
.43478 .47993 L
.43363 .47833 L
.43338 .478 L
.43251 .47672 L
.43178 .47573 L
.43136 .47512 L
.43022 .47351 L
.43017 .47345 L
.42922 .47191 L
.42857 .47094 L
.42822 .4703 L
F
1 .11 0 r
.42857 .48292 m
.42874 .48314 L
.43017 .48475 L
.43017 .48475 L
.43017 .48598 L
.42941 .48475 L
.42857 .48368 L
.42826 .48314 L
F
0 .44 1 r
.42857 .47627 m
.42899 .47672 L
.43017 .47791 L
.43053 .47833 L
.43178 .4797 L
.43197 .47993 L
.43335 .48154 L
.43338 .48157 L
.43468 .48314 L
.43499 .48349 L
.43601 .48475 L
.43659 .48543 L
.43734 .48636 L
.4382 .48739 L
.43866 .48796 L
.4398 .48931 L
.44012 .48957 L
.44124 .49117 L
.44141 .49137 L
.44251 .49278 L
.44301 .49339 L
.44379 .49438 L
.44462 .49515 L
.44507 .49599 L
.44622 .49741 L
.4464 .49759 L
.44759 .4992 L
.44783 .49949 L
.44884 .5008 L
.44943 .50155 L
.45009 .50241 L
.45104 .50348 L
.4516 .50401 L
.4526 .50562 L
.45265 .50568 L
.45382 .50722 L
.45425 .50777 L
.45505 .50883 L
.45586 .50954 L
.4563 .51043 L
.45746 .51192 L
.45757 .51204 L
.45874 .51364 L
.45907 .51406 L
.45995 .51525 L
.46067 .51618 L
.46118 .51686 L
.46228 .51822 L
.46251 .51846 L
.46359 .52007 L
.46388 .52044 L
.46478 .52167 L
.46549 .5226 L
.46598 .52328 L
.46709 .52464 L
.46719 .52488 L
.46834 .52649 L
.4687 .52696 L
.46948 .52809 L
.4703 .52919 L
.47065 .5297 L
.4718 .5313 L
.47191 .53144 L
.47284 .53291 L
.47351 .53386 L
.47389 .53451 L
.47351 .53519 L
.47291 .53451 L
.47191 .53348 L
.47142 .53291 L
.4703 .53166 L
.47 .5313 L
.4687 .52984 L
.46863 .5297 L
.4673 .52809 L
.46709 .52785 L
.46599 .52649 L
.46549 .5259 L
.46467 .52488 L
.46388 .52393 L
.46336 .52328 L
.46228 .52205 L
.46179 .52167 L
.46078 .52007 L
.46067 .51994 L
.45951 .51846 L
.45907 .51792 L
.45824 .51686 L
.45746 .51624 L
.45696 .51525 L
.45586 .5139 L
.45559 .51364 L
.45445 .51204 L
.45425 .5118 L
.4532 .51043 L
.45265 .50974 L
.45195 .50883 L
.45104 .50785 L
.45035 .50722 L
.44945 .50562 L
.44943 .5056 L
.44823 .50401 L
.44783 .50351 L
.447 .50241 L
.44622 .50184 L
.44576 .5008 L
.44462 .49937 L
.44446 .4992 L
.44332 .49759 L
.44301 .49721 L
.44211 .49599 L
.44141 .49509 L
.44089 .49438 L
.4398 .49308 L
.43951 .49278 L
.43847 .49117 L
.4382 .49082 L
.43729 .48957 L
.43659 .48866 L
.43609 .48796 L
.43499 .4865 L
.43488 .48636 L
.43374 .48475 L
.43338 .48428 L
.4326 .48314 L
.43178 .48204 L
.43144 .48154 L
.4303 .47993 L
.43017 .47977 L
.42929 .47833 L
.42857 .47728 L
.42828 .47672 L
F
1 .1 0 r
.42857 .48304 m
.42865 .48314 L
.42857 .48353 L
.42839 .48314 L
F
0 .43 1 r
.42857 .47644 m
.42885 .47672 L
.43017 .47799 L
.43046 .47833 L
.43178 .47977 L
.43192 .47993 L
.4333 .48154 L
.43338 .48163 L
.43464 .48314 L
.43499 .48354 L
.43597 .48475 L
.43659 .48547 L
.4373 .48636 L
.4382 .48743 L
.43862 .48796 L
.4398 .48936 L
.44006 .48957 L
.44121 .49117 L
.44141 .49141 L
.44249 .49278 L
.44301 .49342 L
.44377 .49438 L
.44462 .49519 L
.44505 .49599 L
.44622 .49745 L
.44637 .49759 L
.44757 .4992 L
.44783 .49952 L
.44881 .5008 L
.44943 .50158 L
.45007 .50241 L
.45104 .50352 L
.45157 .50401 L
.45257 .50562 L
.45265 .50571 L
.4538 .50722 L
.45425 .5078 L
.45503 .50883 L
.45586 .50957 L
.45627 .51043 L
.45746 .51195 L
.45754 .51204 L
.45871 .51364 L
.45907 .51409 L
.45993 .51525 L
.46067 .51621 L
.46115 .51686 L
.46228 .51826 L
.46247 .51846 L
.46356 .52007 L
.46388 .52048 L
.46475 .52167 L
.46549 .52263 L
.46595 .52328 L
.46709 .52471 L
.46716 .52488 L
.4683 .52649 L
.4687 .52701 L
.46945 .52809 L
.4703 .52924 L
.47061 .5297 L
.47175 .5313 L
.47191 .53152 L
.47277 .53291 L
.47351 .53398 L
.4738 .53451 L
.47351 .53507 L
.47301 .53451 L
.47191 .53341 L
.47148 .53291 L
.4703 .5316 L
.47005 .5313 L
.4687 .52976 L
.46867 .5297 L
.46734 .52809 L
.46709 .52781 L
.46603 .52649 L
.46549 .52586 L
.46471 .52488 L
.46388 .52389 L
.46339 .52328 L
.46228 .522 L
.46185 .52167 L
.46081 .52007 L
.46067 .51991 L
.45954 .51846 L
.45907 .51788 L
.45827 .51686 L
.45746 .51621 L
.45699 .51525 L
.45586 .51387 L
.45563 .51364 L
.45447 .51204 L
.45425 .51177 L
.45323 .51043 L
.45265 .50971 L
.45197 .50883 L
.45104 .50781 L
.45038 .50722 L
.44947 .50562 L
.44943 .50558 L
.44825 .50401 L
.44783 .50348 L
.44702 .50241 L
.44622 .5018 L
.44578 .5008 L
.44462 .49933 L
.44449 .4992 L
.44334 .49759 L
.44301 .49718 L
.44213 .49599 L
.44141 .49506 L
.44091 .49438 L
.4398 .49303 L
.43955 .49278 L
.4385 .49117 L
.4382 .49078 L
.43732 .48957 L
.43659 .48862 L
.43612 .48796 L
.43499 .48646 L
.43491 .48636 L
.43378 .48475 L
.43338 .48423 L
.43264 .48314 L
.43178 .48199 L
.43148 .48154 L
.43036 .47993 L
.43017 .47968 L
.42937 .47833 L
.42857 .47711 L
.4284 .47672 L
F
1 .77 .001 r
.42857 .46979 m
.42916 .4703 L
.43017 .47121 L
.43083 .47191 L
.43178 .4729 L
.43233 .47351 L
.43338 .47446 L
.43377 .47512 L
.43499 .4765 L
.4353 .47672 L
.43652 .47833 L
.43659 .47841 L
.43787 .47993 L
.4382 .48031 L
.43921 .48154 L
.4398 .48213 L
.44054 .48314 L
.44141 .48419 L
.44196 .48475 L
.44301 .48619 L
.44314 .48636 L
.44445 .48796 L
.44462 .48805 L
.44574 .48957 L
.44622 .49011 L
.44729 .49117 L
.44783 .49219 L
.44832 .49278 L
.44943 .49423 L
.44953 .49438 L
.45085 .49599 L
.45104 .49617 L
.45212 .49759 L
.45265 .49824 L
.45347 .4992 L
.45425 .50034 L
.45459 .5008 L
.45586 .50237 L
.45587 .50241 L
.45714 .50401 L
.45746 .50436 L
.45862 .50562 L
.45907 .50647 L
.45965 .50722 L
.46067 .50857 L
.46082 .50883 L
.46213 .51043 L
.46228 .51055 L
.4638 .51204 L
.46388 .51264 L
.46472 .51364 L
.46549 .51477 L
.46582 .51525 L
.46709 .51685 L
.46709 .51686 L
.46833 .51846 L
.4687 .51884 L
.46979 .52007 L
.4703 .52099 L
.47082 .52167 L
.47191 .52311 L
.472 .52328 L
.47326 .52488 L
.47351 .52506 L
.47494 .52649 L
.47512 .52722 L
.47583 .52809 L
.47672 .52939 L
.47693 .5297 L
.47817 .5313 L
.47833 .5315 L
.47939 .53291 L
.47993 .53346 L
.48085 .53451 L
.48154 .53568 L
.48187 .53612 L
.48306 .53772 L
.48314 .53784 L
.48426 .53933 L
.48475 .53967 L
.48595 .54093 L
.48636 .542 L
.48678 .54254 L
.4879 .54414 L
.48796 .54422 L
.48909 .54575 L
.48957 .54637 L
.49029 .54735 L
.49117 .54836 L
.49166 .54896 L
.49269 .55057 L
.49278 .55068 L
.49385 .55217 L
.49438 .55288 L
.49503 .55378 L
.49599 .55484 L
.49643 .55538 L
.49736 .55699 L
.49759 .5573 L
.49848 .55859 L
.4992 .55958 L
.49961 .5602 L
.50073 .5618 L
.5008 .5619 L
.50173 .56341 L
.50241 .56445 L
.5027 .56501 L
.50241 .56578 L
.50162 .56501 L
.5008 .56425 L
.50004 .56341 L
.4992 .56253 L
.49856 .5618 L
.49759 .56103 L
.49714 .5602 L
.49599 .55891 L
.49553 .55859 L
.4944 .55699 L
.49438 .55696 L
.49307 .55538 L
.49278 .55504 L
.49175 .55378 L
.49117 .55325 L
.49042 .55217 L
.48957 .55116 L
.48896 .55057 L
.48796 .54913 L
.48782 .54896 L
.48654 .54735 L
.48636 .5473 L
.48525 .54575 L
.48475 .54521 L
.4836 .54414 L
.48314 .54312 L
.48264 .54254 L
.48154 .54106 L
.48145 .54093 L
.48017 .53933 L
.47993 .53915 L
.47891 .53772 L
.47833 .53705 L
.47748 .53612 L
.47672 .53494 L
.47639 .53451 L
.47514 .53291 L
.47512 .53291 L
.47389 .5313 L
.47351 .53092 L
.47231 .5297 L
.47191 .52879 L
.47133 .52809 L
.4703 .52668 L
.47017 .52649 L
.46891 .52488 L
.4687 .52475 L
.46767 .52328 L
.46709 .52262 L
.46626 .52167 L
.46549 .52047 L
.46518 .52007 L
.46395 .51846 L
.46388 .51838 L
.46272 .51686 L
.46228 .51643 L
.46115 .51525 L
.46067 .51425 L
.46018 .51364 L
.45907 .51211 L
.45902 .51204 L
.45779 .51043 L
.45746 .51026 L
.45657 .50883 L
.45586 .50803 L
.45517 .50722 L
.45425 .50584 L
.45409 .50562 L
.45288 .50401 L
.45265 .50371 L
.45167 .50241 L
.45104 .50181 L
.45012 .5008 L
.44943 .49954 L
.44916 .4992 L
.448 .49759 L
.44783 .49738 L
.4468 .49599 L
.44622 .49565 L
.44558 .49438 L
.44462 .49323 L
.44425 .49278 L
.44315 .49117 L
.44301 .491 L
.44197 .48957 L
.44141 .48884 L
.44076 .48796 L
.4398 .48687 L
.43937 .48636 L
.43836 .48475 L
.4382 .48454 L
.4372 .48314 L
.43659 .48235 L
.43602 .48154 L
.43499 .48016 L
.43483 .47993 L
.43369 .47833 L
.43338 .47792 L
.43257 .47672 L
.43178 .47564 L
.43143 .47512 L
.43032 .47351 L
.43017 .4733 L
.42935 .47191 L
.42857 .47067 L
.42841 .4703 L
F
.212 .95 1 r
.42857 .46323 m
.42941 .46388 L
.43017 .46452 L
.43115 .46549 L
.43178 .4661 L
.43272 .46709 L
.43338 .46741 L
.43421 .4687 L
.43499 .46953 L
.43565 .4703 L
.43659 .47143 L
.4371 .47191 L
.4382 .47332 L
.43837 .47351 L
.43975 .47512 L
.4398 .47516 L
.4411 .47672 L
.44141 .47711 L
.44258 .47833 L
.44301 .47912 L
.44369 .47993 L
.44462 .48114 L
.44486 .48154 L
.44622 .4831 L
.44633 .48314 L
.44779 .48475 L
.44783 .48504 L
.4489 .48636 L
.44943 .48712 L
.45002 .48796 L
.45104 .48922 L
.4511 .48957 L
.45265 .4911 L
.45271 .49117 L
.45402 .49278 L
.45425 .49317 L
.45515 .49438 L
.45586 .4953 L
.45621 .49599 L
.45746 .49743 L
.45776 .49759 L
.45904 .4992 L
.45907 .4993 L
.46024 .5008 L
.46067 .50142 L
.46133 .50241 L
.46228 .50357 L
.46276 .50401 L
.46388 .50548 L
.46399 .50562 L
.46527 .50722 L
.46549 .50758 L
.4664 .50883 L
.46709 .50973 L
.46743 .51043 L
.4687 .51186 L
.46897 .51204 L
.47025 .51364 L
.4703 .51379 L
.47143 .51525 L
.47191 .51591 L
.47251 .51686 L
.47351 .51806 L
.47393 .51846 L
.47512 .52006 L
.47515 .52007 L
.47644 .52167 L
.47672 .52213 L
.47755 .52328 L
.47833 .52427 L
.4786 .52488 L
.47993 .52637 L
.4801 .52649 L
.48143 .52809 L
.48154 .52836 L
.48257 .5297 L
.48314 .53049 L
.48365 .5313 L
.48475 .53262 L
.48503 .53291 L
.48625 .53451 L
.48636 .53462 L
.48758 .53612 L
.48796 .53673 L
.48866 .53772 L
.48957 .53886 L
.48975 .53933 L
.49117 .54092 L
.49118 .54093 L
.49259 .54254 L
.49278 .54298 L
.49367 .54414 L
.49438 .54512 L
.49476 .54575 L
.49599 .54723 L
.4961 .54735 L
.49732 .54896 L
.49759 .54923 L
.49868 .55057 L
.4992 .55137 L
.49975 .55217 L
.5008 .55351 L
.5009 .55378 L
.50223 .55538 L
.50241 .5555 L
.50371 .55699 L
.50401 .55763 L
.50473 .55859 L
.50562 .5598 L
.50585 .5602 L
.50713 .5618 L
.50722 .56193 L
.50834 .56341 L
.50883 .56389 L
.50972 .56501 L
.51043 .5661 L
.51078 .56662 L
.51201 .56822 L
.51204 .56827 L
.51321 .56983 L
.51364 .57013 L
.51473 .57143 L
.51525 .57242 L
.5157 .57304 L
.51685 .57464 L
.51686 .57465 L
.51804 .57625 L
.51846 .5768 L
.51924 .57785 L
.52007 .57878 L
.52058 .57946 L
.52164 .58106 L
.52167 .5811 L
.5228 .58267 L
.52328 .5833 L
.52398 .58428 L
.52488 .58525 L
.52535 .58588 L
.52631 .58749 L
.52649 .58772 L
.52743 .58909 L
.52809 .59001 L
.52855 .5907 L
.52967 .5923 L
.5297 .59233 L
.53066 .59391 L
.5313 .5949 L
.53163 .59551 L
.5313 .59656 L
.53017 .59551 L
.5297 .59509 L
.52857 .59391 L
.52809 .59343 L
.52708 .5923 L
.52649 .59206 L
.52563 .5907 L
.52488 .58992 L
.52423 .58909 L
.52328 .58797 L
.52275 .58749 L
.52167 .58604 L
.52152 .58588 L
.52018 .58428 L
.52007 .58418 L
.51885 .58267 L
.51846 .5822 L
.51729 .58106 L
.51686 .58018 L
.51623 .57946 L
.51525 .57815 L
.51505 .57785 L
.51367 .57625 L
.51364 .57622 L
.51239 .57464 L
.51204 .5742 L
.51103 .57304 L
.51043 .57212 L
.50992 .57143 L
.50883 .57005 L
.50875 .56983 L
.50732 .56822 L
.50722 .56811 L
.5059 .56662 L
.50562 .56603 L
.50481 .56501 L
.50401 .56392 L
.5037 .56341 L
.50241 .56187 L
.5023 .5618 L
.50082 .5602 L
.5008 .55987 L
.49974 .55859 L
.4992 .55776 L
.49864 .55699 L
.49759 .55565 L
.49752 .55538 L
.49608 .55378 L
.49599 .55367 L
.49468 .55217 L
.49438 .55157 L
.4936 .55057 L
.49278 .54945 L
.49249 .54896 L
.49117 .5474 L
.49112 .54735 L
.48962 .54575 L
.48957 .54536 L
.48856 .54414 L
.48796 .54324 L
.48747 .54254 L
.48636 .54113 L
.48631 .54093 L
.48494 .53933 L
.48475 .53913 L
.48352 .53772 L
.48314 .53701 L
.48245 .53612 L
.48154 .53489 L
.48133 .53451 L
.48 .53291 L
.47993 .53286 L
.47843 .5313 L
.47833 .53079 L
.47743 .5297 L
.47672 .52865 L
.47634 .52809 L
.47512 .52655 L
.47511 .52649 L
.47385 .52488 L
.47351 .52455 L
.47239 .52328 L
.47191 .52241 L
.47134 .52167 L
.4703 .52027 L
.47019 .52007 L
.46892 .51846 L
.4687 .51832 L
.46729 .51686 L
.46709 .51618 L
.46634 .51525 L
.46549 .51401 L
.46524 .51364 L
.464 .51204 L
.46388 .51189 L
.46278 .51043 L
.46228 .50996 L
.4613 .50883 L
.46067 .50776 L
.46027 .50722 L
.45908 .50562 L
.45907 .5056 L
.45787 .50401 L
.45746 .50376 L
.45621 .50241 L
.45586 .50151 L
.45529 .5008 L
.45425 .49931 L
.45418 .4992 L
.45297 .49759 L
.45265 .49718 L
.45176 .49599 L
.45104 .49528 L
.4503 .49438 L
.44943 .49301 L
.44927 .49278 L
.44808 .49117 L
.44783 .49085 L
.44688 .48957 L
.44622 .48909 L
.44527 .48796 L
.44462 .48669 L
.44436 .48636 L
.44323 .48475 L
.44301 .48448 L
.44204 .48314 L
.44141 .48233 L
.44083 .48154 L
.4398 .48032 L
.4395 .47993 L
.43842 .47833 L
.4382 .47804 L
.43726 .47672 L
.43659 .47585 L
.43607 .47512 L
.43499 .47368 L
.43476 .47351 L
.43373 .47191 L
.43338 .47145 L
.43261 .4703 L
.43178 .46917 L
.43146 .4687 L
.43035 .46709 L
.43017 .46684 L
.42937 .46549 L
.42857 .46419 L
.42843 .46388 L
F
.289 .96 1 r
.42857 .37865 m
.42877 .3788 L
.43017 .37999 L
.43055 .38041 L
.43178 .38169 L
.43205 .38201 L
.43338 .38343 L
.43349 .38362 L
.43486 .38523 L
.43499 .38537 L
.43619 .38683 L
.43659 .38728 L
.43752 .38844 L
.4382 .38922 L
.43885 .39004 L
.4398 .39106 L
.4406 .39165 L
.44141 .39315 L
.44151 .39325 L
.44276 .39486 L
.44301 .39516 L
.44403 .39646 L
.44462 .39688 L
.44531 .39807 L
.44622 .39911 L
.44682 .39967 L
.44783 .40122 L
.44788 .40128 L
.44912 .40288 L
.44943 .40327 L
.45037 .40449 L
.45104 .40513 L
.45215 .40609 L
.45265 .40732 L
.453 .4077 L
.45416 .4093 L
.45425 .40942 L
.45539 .41091 L
.45586 .41116 L
.45663 .41251 L
.45746 .41344 L
.45812 .41412 L
.45907 .41561 L
.45916 .41572 L
.46037 .41733 L
.46067 .41771 L
.4616 .41894 L
.46228 .41956 L
.46332 .42054 L
.46388 .42181 L
.46418 .42215 L
.46533 .42375 L
.46549 .42395 L
.46654 .42536 L
.46709 .42563 L
.46777 .42696 L
.4687 .42801 L
.46921 .42857 L
.47026 .43017 L
.4703 .43022 L
.47146 .43178 L
.47191 .43234 L
.47268 .43338 L
.47351 .43419 L
.47429 .43499 L
.47512 .43652 L
.47518 .43659 L
.47636 .4382 L
.47672 .43866 L
.47756 .4398 L
.47833 .44078 L
.47879 .44141 L
.47993 .44283 L
.48009 .44301 L
.48122 .44462 L
.48154 .44502 L
.48241 .44622 L
.48314 .44717 L
.48362 .44783 L
.48475 .4492 L
.48496 .44943 L
.48603 .45104 L
.48636 .45146 L
.48719 .45265 L
.48796 .45364 L
.48839 .45425 L
.48957 .45581 L
.4896 .45586 L
.49072 .45746 L
.49117 .45806 L
.49184 .45907 L
.49278 .46033 L
.493 .46067 L
.49408 .46228 L
.49438 .4627 L
.49501 .46388 L
.49438 .46418 L
.49409 .46388 L
.49278 .46251 L
.49256 .46228 L
.49117 .46078 L
.4911 .46067 L
.48969 .45907 L
.48957 .45893 L
.48829 .45746 L
.48796 .45709 L
.4869 .45586 L
.48636 .45571 L
.48553 .45425 L
.48475 .45338 L
.48377 .45265 L
.48314 .45136 L
.48285 .45104 L
.48155 .44943 L
.48154 .44943 L
.48023 .44783 L
.47993 .4476 L
.47892 .44622 L
.47833 .44551 L
.47749 .44462 L
.47672 .44345 L
.47639 .44301 L
.47512 .44145 L
.4751 .44141 L
.47379 .4398 L
.47351 .43951 L
.47217 .4382 L
.47191 .43742 L
.47124 .43659 L
.4703 .43534 L
.47008 .43499 L
.46874 .43338 L
.4687 .43335 L
.46748 .43178 L
.46709 .43131 L
.46611 .43017 L
.46549 .4292 L
.46503 .42857 L
.46388 .42712 L
.46382 .42696 L
.46249 .42536 L
.46228 .42514 L
.46096 .42375 L
.46067 .42302 L
.45999 .42215 L
.45907 .4209 L
.45886 .42054 L
.45754 .41894 L
.45746 .4189 L
.4563 .41733 L
.45586 .41681 L
.45495 .41572 L
.45425 .41465 L
.45388 .41412 L
.45265 .41255 L
.45264 .41251 L
.4514 .41091 L
.45104 .41058 L
.44987 .4093 L
.44943 .40838 L
.44892 .4077 L
.44783 .40621 L
.44776 .40609 L
.44653 .40449 L
.44622 .40438 L
.44531 .40288 L
.44462 .40207 L
.44398 .40128 L
.44301 .39983 L
.44291 .39967 L
.44171 .39807 L
.44141 .39766 L
.44052 .39646 L
.4398 .39573 L
.43905 .39486 L
.4382 .39335 L
.43813 .39325 L
.43698 .39165 L
.43659 .39112 L
.43581 .39004 L
.43499 .38891 L
.43465 .38844 L
.43351 .38683 L
.43338 .38666 L
.43241 .38523 L
.43178 .38434 L
.4313 .38362 L
.43021 .38201 L
.43017 .38196 L
.42929 .38041 L
.42857 .37913 L
.42847 .3788 L
F
.212 .95 1 r
.42857 .44159 m
.43017 .44183 L
.43172 .44301 L
.43178 .44307 L
.43322 .44462 L
.43338 .44468 L
.43457 .44622 L
.43499 .44659 L
.43586 .44783 L
.43659 .44864 L
.43745 .44943 L
.4382 .45074 L
.43846 .45104 L
.43965 .45265 L
.4398 .45283 L
.44087 .45425 L
.44141 .45452 L
.44209 .45586 L
.44301 .45689 L
.44345 .45746 L
.44453 .45907 L
.44462 .45918 L
.44569 .46067 L
.44622 .4614 L
.44683 .46228 L
.44783 .4637 L
.44804 .46388 L
.44884 .46549 L
.44783 .46665 L
.44622 .46556 L
.44611 .46549 L
.44462 .46407 L
.44447 .46388 L
.44301 .46233 L
.443 .46228 L
.44158 .46067 L
.44141 .46046 L
.44007 .45907 L
.4398 .45846 L
.43898 .45746 L
.4382 .4564 L
.43786 .45586 L
.43659 .45437 L
.43642 .45425 L
.43519 .45265 L
.43499 .45243 L
.43391 .45104 L
.43338 .4503 L
.43285 .44943 L
.43178 .4481 L
.43172 .44783 L
.43044 .44622 L
.43017 .44581 L
.42911 .44462 L
.42857 .44314 L
.4285 .44301 L
F
0 .42 1 r
.42857 .47672 m
.42858 .47672 L
.43017 .47809 L
.43039 .47833 L
.43178 .47984 L
.43186 .47993 L
.43324 .48154 L
.43338 .48169 L
.43459 .48314 L
.43499 .48359 L
.43593 .48475 L
.43659 .48552 L
.43727 .48636 L
.4382 .48747 L
.43859 .48796 L
.4398 .4894 L
.44 .48957 L
.44118 .49117 L
.44141 .49144 L
.44246 .49278 L
.44301 .49345 L
.44374 .49438 L
.44462 .49522 L
.44502 .49599 L
.44622 .49748 L
.44633 .49759 L
.44754 .4992 L
.44783 .49955 L
.44879 .5008 L
.44943 .50161 L
.45005 .50241 L
.45104 .50355 L
.45153 .50401 L
.45255 .50562 L
.45265 .50574 L
.45377 .50722 L
.45425 .50783 L
.45501 .50883 L
.45586 .50961 L
.45625 .51043 L
.45746 .51199 L
.45751 .51204 L
.45869 .51364 L
.45907 .51412 L
.4599 .51525 L
.46067 .51624 L
.46113 .51686 L
.46228 .51831 L
.46242 .51846 L
.46353 .52007 L
.46388 .52051 L
.46472 .52167 L
.46549 .52267 L
.46592 .52328 L
.46709 .52478 L
.46713 .52488 L
.46826 .52649 L
.4687 .52706 L
.46941 .52809 L
.4703 .5293 L
.47057 .5297 L
.47169 .5313 L
.47191 .5316 L
.4727 .53291 L
.47351 .53413 L
.4737 .53451 L
.47351 .53491 L
.47313 .53451 L
.47191 .53333 L
.47155 .53291 L
.4703 .53154 L
.4701 .5313 L
.46871 .5297 L
.4687 .52968 L
.46739 .52809 L
.46709 .52776 L
.46606 .52649 L
.46549 .52582 L
.46474 .52488 L
.46388 .52386 L
.46342 .52328 L
.46228 .52195 L
.46191 .52167 L
.46083 .52007 L
.46067 .51987 L
.45957 .51846 L
.45907 .51785 L
.45829 .51686 L
.45746 .51617 L
.45701 .51525 L
.45586 .51383 L
.45566 .51364 L
.45449 .51204 L
.45425 .51174 L
.45325 .51043 L
.45265 .50968 L
.452 .50883 L
.45104 .50778 L
.45042 .50722 L
.44949 .50562 L
.44943 .50555 L
.44828 .50401 L
.44783 .50345 L
.44704 .50241 L
.44622 .50177 L
.4458 .5008 L
.44462 .4993 L
.44453 .4992 L
.44336 .49759 L
.44301 .49715 L
.44216 .49599 L
.44141 .49503 L
.44093 .49438 L
.4398 .49298 L
.4396 .49278 L
.43853 .49117 L
.4382 .49075 L
.43735 .48957 L
.43659 .48858 L
.43615 .48796 L
.43499 .48642 L
.43494 .48636 L
.43382 .48475 L
.43338 .48418 L
.43268 .48314 L
.43178 .48193 L
.43152 .48154 L
.43042 .47993 L
.43017 .47959 L
.42946 .47833 L
.42857 .47675 L
.42856 .47672 L
F
.033 .89 1 r
.43017 .422 m
.43026 .42215 L
.43178 .42368 L
.43192 .42375 L
.43326 .42536 L
.43338 .4255 L
.4346 .42696 L
.43499 .42742 L
.4359 .42857 L
.43659 .42946 L
.43714 .43017 L
.4382 .43151 L
.43838 .43178 L
.43934 .43338 L
.4398 .43426 L
.4401 .43499 L
.4398 .43554 L
.43871 .43499 L
.4382 .4346 L
.437 .43338 L
.43659 .43296 L
.4356 .43178 L
.43499 .43107 L
.43429 .43017 L
.43338 .42904 L
.43303 .42857 L
.43181 .42696 L
.43178 .42692 L
.4307 .42536 L
.43017 .42461 L
.42962 .42375 L
.42863 .42215 L
F
1 .97 .395 r
.43017 .41542 m
.43054 .41572 L
.43178 .41676 L
.43243 .41733 L
.43338 .41837 L
.43418 .41894 L
.43499 .42015 L
.43542 .42054 L
.43659 .42202 L
.43671 .42215 L
.43818 .42375 L
.4382 .42378 L
.43968 .42536 L
.4398 .42577 L
.44077 .42696 L
.44141 .42785 L
.44188 .42857 L
.44301 .42992 L
.4433 .43017 L
.44451 .43178 L
.44462 .43181 L
.44579 .43338 L
.44622 .43367 L
.44679 .43499 L
.44783 .43653 L
.44785 .43659 L
.4483 .4382 L
.44783 .43851 L
.44622 .43841 L
.44582 .4382 L
.44462 .4373 L
.44397 .43659 L
.44301 .43518 L
.44236 .43499 L
.44141 .43351 L
.44125 .43338 L
.44003 .43178 L
.4398 .4315 L
.4388 .43017 L
.4382 .42973 L
.43712 .42857 L
.43659 .42741 L
.43624 .42696 L
.43513 .42536 L
.43499 .42517 L
.43396 .42375 L
.43338 .42299 L
.43278 .42215 L
.43178 .42078 L
.4315 .42054 L
.43053 .41894 L
.43017 .41841 L
.42954 .41733 L
.42876 .41572 L
F
.156 .94 1 r
.43017 .4421 m
.43148 .44301 L
.43178 .44326 L
.43309 .44462 L
.43338 .44473 L
.43447 .44622 L
.43499 .44667 L
.43579 .44783 L
.43659 .44873 L
.43737 .44943 L
.4382 .45082 L
.43839 .45104 L
.43959 .45265 L
.4398 .45291 L
.44081 .45425 L
.44141 .45458 L
.44203 .45586 L
.44301 .457 L
.44336 .45746 L
.44445 .45907 L
.44462 .45929 L
.4456 .46067 L
.44622 .46154 L
.44673 .46228 L
.44781 .46388 L
.44783 .46392 L
.44855 .46549 L
.44783 .46628 L
.44651 .46549 L
.44622 .46529 L
.44467 .46388 L
.44462 .46384 L
.44314 .46228 L
.44301 .46216 L
.44172 .46067 L
.44141 .4603 L
.44015 .45907 L
.4398 .45832 L
.43908 .45746 L
.4382 .45629 L
.43793 .45586 L
.43659 .4543 L
.43652 .45425 L
.43528 .45265 L
.43499 .45232 L
.43399 .45104 L
.43338 .45017 L
.43294 .44943 L
.43178 .44794 L
.43176 .44783 L
.43058 .44622 L
.43017 .44559 L
.42927 .44462 L
.42878 .44301 L
F
.114 .93 1 r
.43017 .44238 m
.43121 .44301 L
.43178 .44345 L
.43294 .44462 L
.43338 .44479 L
.43437 .44622 L
.43499 .44677 L
.43571 .44783 L
.43659 .44882 L
.43727 .44943 L
.4382 .45091 L
.43832 .45104 L
.43952 .45265 L
.4398 .453 L
.44075 .45425 L
.44141 .45467 L
.44197 .45586 L
.44301 .45711 L
.44328 .45746 L
.44437 .45907 L
.44462 .4594 L
.44551 .46067 L
.44622 .46168 L
.44662 .46228 L
.44763 .46388 L
.44783 .46426 L
.44817 .46549 L
.44783 .46583 L
.447 .46549 L
.44622 .46503 L
.4449 .46388 L
.44462 .46363 L
.44331 .46228 L
.44301 .46202 L
.44186 .46067 L
.44141 .46015 L
.44023 .45907 L
.4398 .45818 L
.43918 .45746 L
.4382 .45617 L
.438 .45586 L
.43663 .45425 L
.43659 .45424 L
.43538 .45265 L
.43499 .45222 L
.43408 .45104 L
.43338 .45003 L
.43303 .44943 L
.43181 .44783 L
.43178 .44778 L
.43071 .44622 L
.43017 .44535 L
.42947 .44462 L
.42908 .44301 L
F
1 .9 .045 r
.43017 .44892 m
.43061 .44943 L
.43178 .45072 L
.43202 .45104 L
.43331 .45265 L
.43338 .45274 L
.43441 .45425 L
.43499 .45506 L
.43541 .45586 L
.43499 .45631 L
.43453 .45586 L
.43338 .45467 L
.43302 .45425 L
.43178 .45277 L
.43168 .45265 L
.43048 .45104 L
.43017 .45063 L
.42939 .44943 L
F
.084 .92 1 r
.43017 .44268 m
.43086 .44301 L
.43178 .44364 L
.43279 .44462 L
.43338 .44486 L
.43426 .44622 L
.43499 .44686 L
.43563 .44783 L
.43659 .44892 L
.43718 .44943 L
.4382 .451 L
.43824 .45104 L
.43946 .45265 L
.4398 .45308 L
.44068 .45425 L
.44141 .45476 L
.44191 .45586 L
.44301 .45724 L
.44318 .45746 L
.44429 .45907 L
.44462 .45952 L
.44541 .46067 L
.44622 .46184 L
.44651 .46228 L
.44742 .46388 L
.44622 .46475 L
.44515 .46388 L
.44462 .46342 L
.44348 .46228 L
.44301 .46188 L
.442 .46067 L
.44141 .46 L
.44032 .45907 L
.4398 .45805 L
.43928 .45746 L
.4382 .45607 L
.43806 .45586 L
.43672 .45425 L
.43659 .45419 L
.43547 .45265 L
.43499 .45211 L
.43416 .45104 L
.43338 .44989 L
.43311 .44943 L
.43193 .44783 L
.43178 .4476 L
.43085 .44622 L
.43017 .44508 L
.42973 .44462 L
.42946 .44301 L
F
1 .76 .001 r
.43017 .4714 m
.43066 .47191 L
.43178 .47304 L
.43221 .47351 L
.43338 .47461 L
.43367 .47512 L
.43499 .47661 L
.43515 .47672 L
.43645 .47833 L
.43659 .47849 L
.43781 .47993 L
.4382 .48039 L
.43915 .48154 L
.4398 .48219 L
.44049 .48314 L
.44141 .48425 L
.4419 .48475 L
.44301 .48625 L
.4431 .48636 L
.44441 .48796 L
.44462 .48808 L
.4457 .48957 L
.44622 .49016 L
.44726 .49117 L
.44783 .49223 L
.44828 .49278 L
.44943 .49426 L
.44951 .49438 L
.45081 .49599 L
.45104 .4962 L
.45208 .49759 L
.45265 .49828 L
.45344 .4992 L
.45425 .50037 L
.45456 .5008 L
.45586 .5024 L
.45586 .50241 L
.45712 .50401 L
.45746 .50439 L
.4586 .50562 L
.45907 .5065 L
.45963 .50722 L
.46067 .5086 L
.4608 .50883 L
.46211 .51043 L
.46228 .51057 L
.46379 .51204 L
.46388 .51267 L
.4647 .51364 L
.46549 .5148 L
.4658 .51525 L
.46708 .51686 L
.46709 .51686 L
.46831 .51846 L
.4687 .51887 L
.46978 .52007 L
.4703 .52102 L
.4708 .52167 L
.47191 .52314 L
.47198 .52328 L
.47324 .52488 L
.47351 .52507 L
.47493 .52649 L
.47512 .52725 L
.47581 .52809 L
.47672 .52942 L
.47691 .5297 L
.47815 .5313 L
.47833 .53153 L
.47937 .53291 L
.47993 .53349 L
.48083 .53451 L
.48154 .53571 L
.48184 .53612 L
.48303 .53772 L
.48314 .53787 L
.48423 .53933 L
.48475 .53969 L
.48592 .54093 L
.48636 .54204 L
.48675 .54254 L
.48787 .54414 L
.48796 .54426 L
.48906 .54575 L
.48957 .54642 L
.49025 .54735 L
.49117 .54842 L
.49162 .54896 L
.49265 .55057 L
.49278 .55074 L
.49381 .55217 L
.49438 .55294 L
.49498 .55378 L
.49599 .55495 L
.49634 .55538 L
.4973 .55699 L
.49759 .55739 L
.49841 .55859 L
.4992 .55968 L
.49954 .5602 L
.50063 .5618 L
.5008 .56205 L
.50159 .56341 L
.50241 .56478 L
.5025 .56501 L
.50241 .5654 L
.50191 .56501 L
.5008 .56407 L
.50018 .56341 L
.4992 .5624 L
.49867 .5618 L
.49759 .56089 L
.49723 .5602 L
.49599 .55881 L
.49567 .55859 L
.49447 .55699 L
.49438 .55688 L
.49313 .55538 L
.49278 .55497 L
.4918 .55378 L
.49117 .5532 L
.49047 .55217 L
.48957 .5511 L
.48901 .55057 L
.48796 .54908 L
.48786 .54896 L
.48658 .54735 L
.48636 .54728 L
.48529 .54575 L
.48475 .54517 L
.48363 .54414 L
.48314 .54308 L
.48267 .54254 L
.48154 .54103 L
.48147 .54093 L
.4802 .53933 L
.47993 .53912 L
.47893 .53772 L
.47833 .53701 L
.47751 .53612 L
.47672 .53491 L
.47642 .53451 L
.47516 .53291 L
.47512 .53291 L
.47392 .5313 L
.47351 .5309 L
.47233 .5297 L
.47191 .52876 L
.47135 .52809 L
.4703 .52666 L
.47019 .52649 L
.46893 .52488 L
.4687 .52473 L
.46769 .52328 L
.46709 .52259 L
.46628 .52167 L
.46549 .52045 L
.4652 .52007 L
.46397 .51846 L
.46388 .51835 L
.46274 .51686 L
.46228 .51641 L
.46117 .51525 L
.46067 .51423 L
.4602 .51364 L
.45907 .51209 L
.45903 .51204 L
.45781 .51043 L
.45746 .51024 L
.45659 .50883 L
.45586 .508 L
.45519 .50722 L
.45425 .50581 L
.45411 .50562 L
.45291 .50401 L
.45265 .50368 L
.45169 .50241 L
.45104 .50178 L
.45015 .5008 L
.44943 .49951 L
.44919 .4992 L
.44802 .49759 L
.44783 .49734 L
.44682 .49599 L
.44622 .49562 L
.44561 .49438 L
.44462 .49319 L
.44428 .49278 L
.44318 .49117 L
.44301 .49096 L
.442 .48957 L
.44141 .4888 L
.4408 .48796 L
.4398 .48681 L
.43942 .48636 L
.4384 .48475 L
.4382 .48449 L
.43724 .48314 L
.43659 .48229 L
.43606 .48154 L
.43499 .4801 L
.43487 .47993 L
.43375 .47833 L
.43338 .47784 L
.43264 .47672 L
.43178 .47554 L
.4315 .47512 L
.43043 .47351 L
.43017 .47313 L
.4295 .47191 L
F
0 .41 1 r
.43017 .47819 m
.4303 .47833 L
.43178 .47991 L
.4318 .47993 L
.43319 .48154 L
.43338 .48175 L
.43454 .48314 L
.43499 .48364 L
.43589 .48475 L
.43659 .48556 L
.43723 .48636 L
.4382 .48751 L
.43856 .48796 L
.4398 .48945 L
.43994 .48957 L
.44115 .49117 L
.44141 .49148 L
.44243 .49278 L
.44301 .49349 L
.44371 .49438 L
.44462 .49526 L
.445 .49599 L
.44622 .49752 L
.4463 .49759 L
.44752 .4992 L
.44783 .49958 L
.44877 .5008 L
.44943 .50164 L
.45003 .50241 L
.45104 .50359 L
.45149 .50401 L
.45253 .50562 L
.45265 .50577 L
.45375 .50722 L
.45425 .50786 L
.45499 .50883 L
.45586 .50965 L
.45623 .51043 L
.45746 .51203 L
.45747 .51204 L
.45867 .51364 L
.45907 .51415 L
.45988 .51525 L
.46067 .51627 L
.46111 .51686 L
.46228 .51835 L
.46238 .51846 L
.46351 .52007 L
.46388 .52055 L
.46469 .52167 L
.46549 .52271 L
.46589 .52328 L
.46709 .52486 L
.4671 .52488 L
.46822 .52649 L
.4687 .52711 L
.46937 .52809 L
.4703 .52935 L
.47053 .5297 L
.47162 .5313 L
.47191 .5317 L
.47261 .53291 L
.47351 .53434 L
.47358 .53451 L
.47351 .53469 L
.47331 .53451 L
.47191 .53324 L
.47162 .53291 L
.4703 .53148 L
.47016 .5313 L
.46877 .5297 L
.4687 .52962 L
.46743 .52809 L
.46709 .52771 L
.4661 .52649 L
.46549 .52577 L
.46477 .52488 L
.46388 .52382 L
.46345 .52328 L
.46228 .52191 L
.46197 .52167 L
.46086 .52007 L
.46067 .51984 L
.45959 .51846 L
.45907 .51782 L
.45832 .51686 L
.45746 .51613 L
.45704 .51525 L
.45586 .5138 L
.4557 .51364 L
.45452 .51204 L
.45425 .51171 L
.45327 .51043 L
.45265 .50965 L
.45202 .50883 L
.45104 .50774 L
.45046 .50722 L
.44952 .50562 L
.44943 .50552 L
.4483 .50401 L
.44783 .50342 L
.44707 .50241 L
.44622 .50173 L
.44582 .5008 L
.44462 .49926 L
.44456 .4992 L
.44339 .49759 L
.44301 .49712 L
.44218 .49599 L
.44141 .49499 L
.44096 .49438 L
.4398 .49293 L
.43965 .49278 L
.43856 .49117 L
.4382 .49071 L
.43738 .48957 L
.43659 .48854 L
.43618 .48796 L
.43499 .48638 L
.43497 .48636 L
.43385 .48475 L
.43338 .48413 L
.43272 .48314 L
.43178 .48187 L
.43156 .48154 L
.4305 .47993 L
.43017 .47948 L
.42958 .47833 L
F
1 .75 0 r
.43017 .47163 m
.43046 .47191 L
.43178 .47318 L
.43208 .47351 L
.43338 .47478 L
.43357 .47512 L
.43499 .47672 L
.435 .47672 L
.43637 .47833 L
.43659 .47858 L
.43774 .47993 L
.4382 .48046 L
.4391 .48154 L
.4398 .48226 L
.44044 .48314 L
.44141 .48431 L
.44185 .48475 L
.44301 .4863 L
.44306 .48636 L
.44436 .48796 L
.44462 .48811 L
.44566 .48957 L
.44622 .49021 L
.44722 .49117 L
.44783 .49227 L
.44825 .49278 L
.44943 .4943 L
.44949 .49438 L
.45078 .49599 L
.45104 .49623 L
.45205 .49759 L
.45265 .49832 L
.45342 .4992 L
.45425 .5004 L
.45454 .5008 L
.45584 .50241 L
.45586 .50241 L
.45709 .50401 L
.45746 .50442 L
.45858 .50562 L
.45907 .50653 L
.45961 .50722 L
.46067 .50863 L
.46079 .50883 L
.46209 .51043 L
.46228 .51059 L
.46379 .51204 L
.46388 .5127 L
.46467 .51364 L
.46549 .51483 L
.46578 .51525 L
.46706 .51686 L
.46709 .51686 L
.46829 .51846 L
.4687 .51889 L
.46976 .52007 L
.4703 .52104 L
.47078 .52167 L
.47191 .52317 L
.47197 .52328 L
.47322 .52488 L
.47351 .52509 L
.47492 .52649 L
.47512 .52728 L
.47578 .52809 L
.47672 .52945 L
.47689 .5297 L
.47813 .5313 L
.47833 .53156 L
.47934 .53291 L
.47993 .53352 L
.4808 .53451 L
.48154 .53575 L
.48182 .53612 L
.483 .53772 L
.48314 .53791 L
.48421 .53933 L
.48475 .53972 L
.48589 .54093 L
.48636 .54208 L
.48672 .54254 L
.48784 .54414 L
.48796 .5443 L
.48902 .54575 L
.48957 .54646 L
.49022 .54735 L
.49117 .54848 L
.49157 .54896 L
.4926 .55057 L
.49278 .55079 L
.49376 .55217 L
.49438 .553 L
.49494 .55378 L
.49599 .55506 L
.49625 .55538 L
.49723 .55699 L
.49759 .55747 L
.49834 .55859 L
.4992 .55979 L
.49946 .5602 L
.50051 .5618 L
.5008 .56224 L
.50142 .56341 L
.5008 .56388 L
.50035 .56341 L
.4992 .56226 L
.49878 .5618 L
.49759 .56073 L
.49732 .5602 L
.49599 .5587 L
.49583 .55859 L
.49454 .55699 L
.49438 .55681 L
.4932 .55538 L
.49278 .5549 L
.49185 .55378 L
.49117 .55314 L
.49052 .55217 L
.48957 .55104 L
.48907 .55057 L
.48796 .54903 L
.4879 .54896 L
.48662 .54735 L
.48636 .54727 L
.48533 .54575 L
.48475 .54513 L
.48366 .54414 L
.48314 .54304 L
.4827 .54254 L
.48154 .54099 L
.4815 .54093 L
.48023 .53933 L
.47993 .5391 L
.47896 .53772 L
.47833 .53698 L
.47753 .53612 L
.47672 .53488 L
.47644 .53451 L
.47518 .53291 L
.47512 .53291 L
.47394 .5313 L
.47351 .53087 L
.47234 .5297 L
.47191 .52873 L
.47137 .52809 L
.4703 .52663 L
.47021 .52649 L
.46895 .52488 L
.4687 .52472 L
.46771 .52328 L
.46709 .52257 L
.4663 .52167 L
.46549 .52042 L
.46522 .52007 L
.46399 .51846 L
.46388 .51833 L
.46276 .51686 L
.46228 .51639 L
.46119 .51525 L
.46067 .5142 L
.46022 .51364 L
.45907 .51206 L
.45905 .51204 L
.45783 .51043 L
.45746 .51023 L
.45661 .50883 L
.45586 .50797 L
.45521 .50722 L
.45425 .50578 L
.45413 .50562 L
.45293 .50401 L
.45265 .50365 L
.45171 .50241 L
.45104 .50176 L
.45017 .5008 L
.44943 .49948 L
.44921 .4992 L
.44805 .49759 L
.44783 .49731 L
.44685 .49599 L
.44622 .49559 L
.44563 .49438 L
.44462 .49315 L
.44432 .49278 L
.44321 .49117 L
.44301 .49092 L
.44203 .48957 L
.44141 .48876 L
.44083 .48796 L
.4398 .48675 L
.43947 .48636 L
.43844 .48475 L
.4382 .48443 L
.43728 .48314 L
.43659 .48223 L
.43611 .48154 L
.43499 .48003 L
.43492 .47993 L
.43381 .47833 L
.43338 .47775 L
.4327 .47672 L
.43178 .47543 L
.43158 .47512 L
.43056 .47351 L
.43017 .47292 L
.42971 .47191 L
F
0 .4 1 r
.43017 .4783 m
.4302 .47833 L
.43017 .47934 L
.42974 .47833 L
F
.024 .88 1 r
.43017 .42237 m
.4316 .42375 L
.43178 .42392 L
.43308 .42536 L
.43338 .42569 L
.43445 .42696 L
.43499 .4276 L
.43575 .42857 L
.43659 .42964 L
.437 .43017 L
.43815 .43178 L
.4382 .43185 L
.43914 .43338 L
.4382 .43436 L
.43718 .43338 L
.43659 .43279 L
.43573 .43178 L
.43499 .43091 L
.43441 .43017 L
.43338 .42889 L
.43314 .42857 L
.43195 .42696 L
.43178 .42674 L
.43085 .42536 L
.43017 .42437 L
.4298 .42375 L
F
.018 .87 1 r
.43017 .42278 m
.43131 .42375 L
.43178 .42417 L
.43287 .42536 L
.43338 .4259 L
.43428 .42696 L
.43499 .42779 L
.4356 .42857 L
.43659 .42983 L
.43685 .43017 L
.43797 .43178 L
.4382 .43213 L
.4389 .43338 L
.4382 .4341 L
.4374 .43338 L
.43659 .4326 L
.43589 .43178 L
.43499 .43075 L
.43454 .43017 L
.43338 .42873 L
.43326 .42857 L
.4321 .42696 L
.43178 .42652 L
.43102 .42536 L
.43017 .42405 L
.43001 .42375 L
F
.156 .94 1 r
.43017 .46534 m
.4304 .46549 L
.43178 .46661 L
.43228 .46709 L
.43338 .46783 L
.43386 .4687 L
.43499 .46987 L
.43535 .4703 L
.43659 .47171 L
.43682 .47191 L
.43818 .47351 L
.4382 .47354 L
.43956 .47512 L
.4398 .47534 L
.44093 .47672 L
.44141 .47731 L
.44246 .47833 L
.44301 .4793 L
.44355 .47993 L
.44462 .48128 L
.44478 .48154 L
.4462 .48314 L
.44622 .48317 L
.44777 .48475 L
.44783 .48518 L
.44881 .48636 L
.44943 .48725 L
.44994 .48796 L
.45104 .48931 L
.45108 .48957 L
.45262 .49117 L
.45265 .4912 L
.45397 .49278 L
.45425 .49327 L
.45509 .49438 L
.45586 .49539 L
.45617 .49599 L
.45746 .49747 L
.45769 .49759 L
.45902 .4992 L
.45907 .49937 L
.46019 .5008 L
.46067 .50149 L
.46128 .50241 L
.46228 .50363 L
.46271 .50401 L
.46388 .50554 L
.46394 .50562 L
.46524 .50722 L
.46549 .50764 L
.46636 .50883 L
.46709 .50978 L
.46741 .51043 L
.4687 .51189 L
.46893 .51204 L
.47024 .51364 L
.4703 .51383 L
.4714 .51525 L
.47191 .51596 L
.47248 .51686 L
.47351 .5181 L
.47389 .51846 L
.47512 .52007 L
.47512 .52007 L
.47642 .52167 L
.47672 .52217 L
.47752 .52328 L
.47833 .5243 L
.47858 .52488 L
.47993 .52639 L
.48007 .52649 L
.48142 .52809 L
.48154 .5284 L
.48254 .5297 L
.48314 .53053 L
.48362 .5313 L
.48475 .53265 L
.48501 .53291 L
.48623 .53451 L
.48636 .53465 L
.48755 .53612 L
.48796 .53676 L
.48864 .53772 L
.48957 .5389 L
.48973 .53933 L
.49115 .54093 L
.49117 .54095 L
.49258 .54254 L
.49278 .54301 L
.49364 .54414 L
.49438 .54515 L
.49474 .54575 L
.49599 .54726 L
.49607 .54735 L
.49729 .54896 L
.49759 .54927 L
.49865 .55057 L
.4992 .55141 L
.49972 .55217 L
.5008 .55355 L
.50088 .55378 L
.5022 .55538 L
.50241 .55553 L
.50369 .55699 L
.50401 .55768 L
.5047 .55859 L
.50562 .55985 L
.50582 .5602 L
.50709 .5618 L
.50722 .56198 L
.5083 .56341 L
.50883 .56394 L
.50968 .56501 L
.51043 .56617 L
.51074 .56662 L
.51195 .56822 L
.51204 .56834 L
.51315 .56983 L
.51364 .57019 L
.51468 .57143 L
.51525 .57251 L
.51563 .57304 L
.51678 .57464 L
.51686 .57474 L
.51796 .57625 L
.51846 .57691 L
.51915 .57785 L
.52007 .57892 L
.52046 .57946 L
.52153 .58106 L
.52167 .58125 L
.52268 .58267 L
.52328 .58347 L
.52385 .58428 L
.52488 .58555 L
.52512 .58588 L
.52613 .58749 L
.52649 .58798 L
.52722 .58909 L
.52809 .59035 L
.52831 .5907 L
.52931 .5923 L
.5297 .59293 L
.53014 .59391 L
.5297 .59438 L
.52916 .59391 L
.52809 .59295 L
.52747 .5923 L
.52649 .59171 L
.52595 .5907 L
.52488 .5896 L
.52449 .58909 L
.52328 .58771 L
.52302 .58749 L
.52171 .58588 L
.52167 .58584 L
.52035 .58428 L
.52007 .58404 L
.51901 .58267 L
.51846 .58203 L
.5174 .58106 L
.51686 .58003 L
.51635 .57946 L
.51525 .57804 L
.51512 .57785 L
.51377 .57625 L
.51364 .57612 L
.51248 .57464 L
.51204 .57409 L
.51111 .57304 L
.51043 .57202 L
.50999 .57143 L
.50883 .56998 L
.50878 .56983 L
.50739 .56822 L
.50722 .56803 L
.50594 .56662 L
.50562 .56595 L
.50486 .56501 L
.50401 .56385 L
.50374 .56341 L
.50241 .56184 L
.50235 .5618 L
.50083 .5602 L
.5008 .55982 L
.49977 .55859 L
.4992 .55771 L
.49868 .55699 L
.49759 .55561 L
.49753 .55538 L
.49612 .55378 L
.49599 .55363 L
.4947 .55217 L
.49438 .55153 L
.49363 .55057 L
.49278 .54941 L
.49251 .54896 L
.49117 .54737 L
.49115 .54735 L
.48962 .54575 L
.48957 .54533 L
.48858 .54414 L
.48796 .5432 L
.48749 .54254 L
.48636 .5411 L
.48632 .54093 L
.48497 .53933 L
.48475 .5391 L
.48353 .53772 L
.48314 .53699 L
.48247 .53612 L
.48154 .53486 L
.48135 .53451 L
.48002 .53291 L
.47993 .53284 L
.47844 .5313 L
.47833 .53076 L
.47745 .5297 L
.47672 .52862 L
.47636 .52809 L
.47512 .52652 L
.47511 .52649 L
.47387 .52488 L
.47351 .52453 L
.47241 .52328 L
.47191 .52238 L
.47136 .52167 L
.4703 .52025 L
.4702 .52007 L
.46894 .51846 L
.4687 .5183 L
.4673 .51686 L
.46709 .51615 L
.46636 .51525 L
.46549 .51398 L
.46526 .51364 L
.46402 .51204 L
.46388 .51186 L
.4628 .51043 L
.46228 .50993 L
.46133 .50883 L
.46067 .50772 L
.4603 .50722 L
.45911 .50562 L
.45907 .50557 L
.4579 .50401 L
.45746 .50374 L
.45624 .50241 L
.45586 .50147 L
.45533 .5008 L
.45425 .49926 L
.45421 .4992 L
.45301 .49759 L
.45265 .49713 L
.45179 .49599 L
.45104 .49523 L
.45034 .49438 L
.44943 .49295 L
.44931 .49278 L
.44813 .49117 L
.44783 .49079 L
.44693 .48957 L
.44622 .48901 L
.44533 .48796 L
.44462 .4866 L
.44443 .48636 L
.44329 .48475 L
.44301 .48439 L
.44211 .48314 L
.44141 .48224 L
.4409 .48154 L
.4398 .48017 L
.43962 .47993 L
.43852 .47833 L
.4382 .47791 L
.43736 .47672 L
.43659 .4757 L
.43618 .47512 L
.43499 .47351 L
.43499 .47351 L
.4339 .47191 L
.43338 .4712 L
.4328 .4703 L
.43178 .46885 L
.43168 .4687 L
.43073 .46709 L
.43017 .46613 L
.43002 .46549 L
F
.061 .91 1 r
.43017 .44303 m
.43178 .44383 L
.43263 .44462 L
.43338 .44496 L
.43416 .44622 L
.43499 .44697 L
.43554 .44783 L
.43659 .44902 L
.43707 .44943 L
.43816 .45104 L
.4382 .45109 L
.43939 .45265 L
.4398 .45316 L
.44062 .45425 L
.44141 .45487 L
.44184 .45586 L
.44301 .45737 L
.44308 .45746 L
.4442 .45907 L
.44462 .45964 L
.44531 .46067 L
.44622 .46202 L
.44638 .46228 L
.44716 .46388 L
.44622 .46446 L
.44544 .46388 L
.44462 .46321 L
.44366 .46228 L
.44301 .46173 L
.44214 .46067 L
.44141 .45986 L
.44043 .45907 L
.4398 .45793 L
.43938 .45746 L
.4382 .45596 L
.43813 .45586 L
.43682 .45425 L
.43659 .45415 L
.43557 .45265 L
.43499 .45199 L
.43425 .45104 L
.43338 .44974 L
.4332 .44943 L
.43205 .44783 L
.43178 .44742 L
.43099 .44622 L
.43017 .44476 L
.43004 .44462 L
F
1 .58 0 r
.43017 .49763 m
.43108 .4992 L
.43178 .50031 L
.43182 .5008 L
.43178 .50081 L
.43177 .5008 L
.43017 .49929 L
.43009 .4992 L
F
1 .76 .001 r
.43017 .4291 m
.43079 .43017 L
.43017 .43025 L
.43011 .43017 L
F
.045 .9 1 r
.43178 .44404 m
.43244 .44462 L
.43338 .44509 L
.43404 .44622 L
.43499 .44709 L
.43546 .44783 L
.43659 .44912 L
.43695 .44943 L
.43809 .45104 L
.4382 .45118 L
.43932 .45265 L
.4398 .45325 L
.44055 .45425 L
.44141 .45499 L
.44178 .45586 L
.44299 .45746 L
.44301 .4575 L
.44411 .45907 L
.44462 .45978 L
.44521 .46067 L
.44622 .46223 L
.44625 .46228 L
.44681 .46388 L
.44622 .46413 L
.44582 .46388 L
.44462 .463 L
.44386 .46228 L
.44301 .46158 L
.44229 .46067 L
.44141 .45971 L
.44056 .45907 L
.4398 .4578 L
.43949 .45746 L
.4382 .45586 L
.43819 .45586 L
.43692 .45425 L
.43659 .45409 L
.43566 .45265 L
.43499 .45187 L
.43435 .45104 L
.43338 .44959 L
.43329 .44943 L
.43217 .44783 L
.43178 .44723 L
.43113 .44622 L
.43032 .44462 L
F
.033 .89 1 r
.43178 .44425 m
.43223 .44462 L
.43338 .44525 L
.43392 .44622 L
.43499 .44722 L
.43537 .44783 L
.43659 .44923 L
.43683 .44943 L
.43801 .45104 L
.4382 .45127 L
.43925 .45265 L
.4398 .45334 L
.44048 .45425 L
.44141 .45512 L
.44171 .45586 L
.4429 .45746 L
.44301 .45761 L
.44401 .45907 L
.44462 .45993 L
.4451 .46067 L
.44607 .46228 L
.44462 .46278 L
.44407 .46228 L
.44301 .46141 L
.44244 .46067 L
.44141 .45957 L
.44071 .45907 L
.4398 .45767 L
.4396 .45746 L
.4383 .45586 L
.4382 .45574 L
.43701 .45425 L
.43659 .45403 L
.43576 .45265 L
.43499 .45174 L
.43446 .45104 L
.43339 .44943 L
.43338 .44942 L
.43229 .44783 L
.43178 .44702 L
.43129 .44622 L
.43059 .44462 L
F
1 .74 0 r
.43178 .47334 m
.43194 .47351 L
.43338 .47498 L
.43346 .47512 L
.4349 .47672 L
.43499 .47682 L
.43629 .47833 L
.43659 .47866 L
.43767 .47993 L
.4382 .48054 L
.43903 .48154 L
.4398 .48232 L
.44038 .48314 L
.44141 .48438 L
.44179 .48475 L
.44301 .48635 L
.44302 .48636 L
.44432 .48796 L
.44462 .48813 L
.44562 .48957 L
.44622 .49025 L
.44719 .49117 L
.44783 .49232 L
.44822 .49278 L
.44943 .49434 L
.44946 .49438 L
.45075 .49599 L
.45104 .49626 L
.45202 .49759 L
.45265 .49835 L
.45339 .4992 L
.45425 .50044 L
.45452 .5008 L
.45581 .50241 L
.45586 .50242 L
.45706 .50401 L
.45746 .50445 L
.45856 .50562 L
.45907 .50657 L
.45959 .50722 L
.46067 .50865 L
.46077 .50883 L
.46206 .51043 L
.46228 .51061 L
.46378 .51204 L
.46388 .51273 L
.46465 .51364 L
.46549 .51485 L
.46576 .51525 L
.46703 .51686 L
.46709 .51686 L
.46827 .51846 L
.4687 .51891 L
.46974 .52007 L
.4703 .52107 L
.47076 .52167 L
.47191 .52319 L
.47195 .52328 L
.4732 .52488 L
.47351 .52511 L
.4749 .52649 L
.47512 .52731 L
.47576 .52809 L
.47672 .52948 L
.47687 .5297 L
.4781 .5313 L
.47833 .53159 L
.47932 .53291 L
.47993 .53354 L
.48078 .53451 L
.48154 .53578 L
.48179 .53612 L
.48298 .53772 L
.48314 .53794 L
.48418 .53933 L
.48475 .53976 L
.48586 .54093 L
.48636 .54212 L
.48668 .54254 L
.48781 .54414 L
.48796 .54434 L
.48899 .54575 L
.48957 .54651 L
.49019 .54735 L
.49117 .54854 L
.49151 .54896 L
.49256 .55057 L
.49278 .55085 L
.49372 .55217 L
.49438 .55306 L
.49489 .55378 L
.49599 .55518 L
.49615 .55538 L
.49717 .55699 L
.49759 .55757 L
.49827 .55859 L
.4992 .55991 L
.49938 .5602 L
.50037 .5618 L
.5008 .56248 L
.50119 .56341 L
.5008 .56364 L
.50056 .56341 L
.4992 .56212 L
.49891 .5618 L
.49759 .56055 L
.49742 .5602 L
.49599 .55859 L
.49599 .55859 L
.49462 .55699 L
.49438 .55672 L
.49326 .55538 L
.49278 .55483 L
.49191 .55378 L
.49117 .55307 L
.49057 .55217 L
.48957 .55098 L
.48912 .55057 L
.48796 .54898 L
.48794 .54896 L
.48666 .54735 L
.48636 .54725 L
.48536 .54575 L
.48475 .54509 L
.4837 .54414 L
.48314 .543 L
.48274 .54254 L
.48154 .54096 L
.48152 .54093 L
.48026 .53933 L
.47993 .53907 L
.47899 .53772 L
.47833 .53695 L
.47756 .53612 L
.47672 .53485 L
.47646 .53451 L
.47521 .53291 L
.47512 .5329 L
.47396 .5313 L
.47351 .53085 L
.47236 .5297 L
.47191 .52871 L
.4714 .52809 L
.4703 .52661 L
.47022 .52649 L
.46897 .52488 L
.4687 .5247 L
.46773 .52328 L
.46709 .52254 L
.46632 .52167 L
.46549 .5204 L
.46524 .52007 L
.46401 .51846 L
.46388 .5183 L
.46278 .51686 L
.46228 .51637 L
.46121 .51525 L
.46067 .51418 L
.46024 .51364 L
.45907 .51204 L
.45907 .51204 L
.45785 .51043 L
.45746 .51021 L
.45663 .50883 L
.45586 .50795 L
.45524 .50722 L
.45425 .50575 L
.45415 .50562 L
.45295 .50401 L
.45265 .50363 L
.45173 .50241 L
.45104 .50173 L
.4502 .5008 L
.44943 .49945 L
.44924 .4992 L
.44807 .49759 L
.44783 .49728 L
.44687 .49599 L
.44622 .49555 L
.44566 .49438 L
.44462 .4931 L
.44435 .49278 L
.44324 .49117 L
.44301 .49088 L
.44206 .48957 L
.44141 .48872 L
.44086 .48796 L
.4398 .48668 L
.43953 .48636 L
.43848 .48475 L
.4382 .48438 L
.43733 .48314 L
.43659 .48217 L
.43615 .48154 L
.43499 .47996 L
.43497 .47993 L
.43388 .47833 L
.43338 .47766 L
.43278 .47672 L
.43178 .47531 L
.43166 .47512 L
.43072 .47351 L
F
.024 .88 1 r
.43178 .44449 m
.43196 .44462 L
.43338 .44545 L
.43379 .44622 L
.43499 .44736 L
.43527 .44783 L
.43659 .44935 L
.43669 .44943 L
.43793 .45104 L
.4382 .45137 L
.43917 .45265 L
.4398 .45343 L
.44041 .45425 L
.44141 .45528 L
.44164 .45586 L
.44281 .45746 L
.44301 .45773 L
.44391 .45907 L
.44462 .46009 L
.44498 .46067 L
.44583 .46228 L
.44462 .46254 L
.44431 .46228 L
.44301 .46121 L
.4426 .46067 L
.44141 .45942 L
.4409 .45907 L
.4398 .45755 L
.43972 .45746 L
.4384 .45586 L
.4382 .45561 L
.43711 .45425 L
.43659 .45394 L
.43586 .45265 L
.43499 .45159 L
.43457 .45104 L
.43351 .44943 L
.43338 .44926 L
.43242 .44783 L
.43178 .44678 L
.43145 .44622 L
.43095 .44462 L
F
1 .96 .289 r
.43178 .41754 m
.43338 .41892 L
.43342 .41894 L
.43499 .42053 L
.435 .42054 L
.43647 .42215 L
.43659 .42224 L
.43786 .42375 L
.4382 .42413 L
.43957 .42536 L
.4398 .42611 L
.44054 .42696 L
.44141 .42814 L
.44169 .42857 L
.44301 .43015 L
.44304 .43017 L
.44427 .43178 L
.44462 .4319 L
.44558 .43338 L
.44622 .43411 L
.44652 .43499 L
.44745 .43659 L
.44622 .43794 L
.44462 .43695 L
.44427 .43659 L
.44301 .43508 L
.44263 .43499 L
.44144 .43338 L
.44141 .43335 L
.44019 .43178 L
.4398 .4313 L
.43895 .43017 L
.4382 .42954 L
.43731 .42857 L
.43659 .42717 L
.43644 .42696 L
.43531 .42536 L
.43499 .42493 L
.43415 .42375 L
.43338 .4227 L
.433 .42215 L
.4319 .42054 L
.43178 .42036 L
.43096 .41894 L
F
.733 .99 1 r
.43178 .36894 m
.43204 .36917 L
.43338 .37013 L
.43375 .37078 L
.43499 .37201 L
.4353 .37238 L
.43659 .3738 L
.43683 .37399 L
.43818 .37559 L
.4382 .37561 L
.43957 .3772 L
.4398 .37741 L
.44093 .3788 L
.44141 .37936 L
.44257 .38041 L
.44301 .38134 L
.44363 .38201 L
.44462 .38334 L
.44483 .38362 L
.44622 .38523 L
.44622 .38523 L
.44751 .38683 L
.44783 .38724 L
.44889 .38844 L
.44943 .38931 L
.45 .39004 L
.45104 .39139 L
.45115 .39165 L
.45261 .39325 L
.45265 .39329 L
.45403 .39486 L
.45425 .39537 L
.45513 .39646 L
.45586 .39749 L
.45623 .39807 L
.45746 .39957 L
.45765 .39967 L
.45889 .40128 L
.45907 .40151 L
.46021 .40288 L
.46067 .40363 L
.46131 .40449 L
.46228 .40576 L
.4624 .40609 L
.46387 .4077 L
.46388 .40771 L
.46526 .4093 L
.46549 .40981 L
.46636 .41091 L
.46709 .41194 L
.46745 .41251 L
.4687 .41403 L
.46884 .41412 L
.47029 .41572 L
.4703 .41602 L
.47139 .41733 L
.47191 .41815 L
.47248 .41894 L
.47351 .42027 L
.4736 .42054 L
.47501 .42215 L
.47512 .42226 L
.47643 .42375 L
.47672 .42437 L
.4775 .42536 L
.47833 .4265 L
.47861 .42696 L
.47993 .42855 L
.47995 .42857 L
.48149 .43017 L
.48154 .4306 L
.48253 .43178 L
.48314 .43273 L
.48361 .43338 L
.48475 .43483 L
.48479 .43499 L
.48611 .43659 L
.48636 .43684 L
.48757 .4382 L
.48796 .43896 L
.48862 .4398 L
.48957 .44109 L
.48975 .44141 L
.49105 .44301 L
.49117 .4431 L
.49266 .44462 L
.49278 .44519 L
.49364 .44622 L
.49438 .44734 L
.49473 .44783 L
.49598 .44943 L
.49599 .44944 L
.4972 .45104 L
.49759 .45142 L
.49868 .45265 L
.4992 .45358 L
.49972 .45425 L
.5008 .45571 L
.50088 .45586 L
.50213 .45746 L
.50241 .45764 L
.50379 .45907 L
.50401 .4598 L
.50473 .46067 L
.50562 .46197 L
.50583 .46228 L
.50706 .46388 L
.50722 .46409 L
.50827 .46549 L
.50883 .46601 L
.50977 .46709 L
.51043 .46822 L
.5108 .4687 L
.51199 .4703 L
.51204 .47037 L
.5132 .47191 L
.51364 .47219 L
.51487 .47351 L
.51525 .47445 L
.51579 .47512 L
.51686 .47665 L
.51691 .47672 L
.51812 .47833 L
.51846 .47877 L
.51933 .47993 L
.52007 .48065 L
.52081 .48154 L
.52167 .48291 L
.52184 .48314 L
.52303 .48475 L
.52328 .48506 L
.52424 .48636 L
.52488 .48682 L
.52587 .48796 L
.52649 .48917 L
.5268 .48957 L
.52794 .49117 L
.52809 .49136 L
.52914 .49278 L
.5297 .49349 L
.53036 .49438 L
.5313 .49541 L
.53176 .49599 L
.53283 .49759 L
.53291 .49769 L
.53402 .4992 L
.53451 .49982 L
.53523 .5008 L
.53612 .50194 L
.53677 .50241 L
.5377 .50401 L
.53772 .50404 L
.53888 .50562 L
.53933 .50619 L
.54007 .50722 L
.54093 .50832 L
.54129 .50883 L
.54253 .51043 L
.54254 .51044 L
.54367 .51204 L
.54414 .51264 L
.54482 .51364 L
.54575 .51485 L
.54601 .51525 L
.54575 .51643 L
.54456 .51525 L
.54414 .51489 L
.54289 .51364 L
.54254 .51332 L
.54125 .51204 L
.54093 .51174 L
.53962 .51043 L
.53933 .51015 L
.53801 .50883 L
.53772 .50856 L
.53644 .50722 L
.53612 .50677 L
.53501 .50562 L
.53451 .50489 L
.5338 .50401 L
.53291 .50339 L
.53256 .50241 L
.5313 .50153 L
.53067 .5008 L
.5297 .4996 L
.52936 .4992 L
.52809 .49761 L
.52808 .49759 L
.52682 .49599 L
.52649 .49552 L
.52566 .49438 L
.52488 .49337 L
.52458 .49278 L
.52328 .49152 L
.52299 .49117 L
.52176 .48957 L
.52167 .48943 L
.52061 .48796 L
.52007 .48726 L
.51958 .48636 L
.51846 .48504 L
.518 .48475 L
.51686 .48324 L
.51678 .48314 L
.5156 .48154 L
.51525 .48108 L
.51456 .47993 L
.51364 .47884 L
.51303 .47833 L
.51204 .47701 L
.51181 .47672 L
.5106 .47512 L
.51043 .47489 L
.50951 .47351 L
.50883 .47268 L
.50808 .47191 L
.50722 .47078 L
.50685 .4703 L
.50563 .4687 L
.50562 .46867 L
.50447 .46709 L
.50401 .4665 L
.50348 .46549 L
.50241 .46427 L
.5019 .46388 L
.5008 .46243 L
.50068 .46228 L
.49947 .46067 L
.4992 .4603 L
.4984 .45907 L
.49759 .4581 L
.49696 .45746 L
.49599 .45593 L
.49574 .45586 L
.4945 .45425 L
.49438 .45406 L
.49337 .45265 L
.49278 .45191 L
.49237 .45104 L
.49117 .44973 L
.4908 .44943 L
.48958 .44783 L
.48957 .44781 L
.48836 .44622 L
.48796 .44568 L
.4873 .44462 L
.48636 .44352 L
.48587 .44301 L
.48475 .44145 L
.48465 .44141 L
.48338 .4398 L
.48314 .43944 L
.48227 .4382 L
.48154 .43729 L
.48126 .43659 L
.47993 .43517 L
.47972 .43499 L
.47842 .43338 L
.47833 .43318 L
.47727 .43178 L
.47672 .43105 L
.4762 .43017 L
.47512 .42892 L
.47479 .42857 L
.47357 .42696 L
.47351 .4269 L
.47227 .42536 L
.47191 .42481 L
.47118 .42375 L
.4703 .42267 L
.47012 .42215 L
.4687 .42058 L
.46865 .42054 L
.46728 .41894 L
.46709 .41855 L
.46618 .41733 L
.46549 .41641 L
.4651 .41572 L
.46388 .41429 L
.46374 .41412 L
.46252 .41251 L
.46228 .41229 L
.46118 .41091 L
.46067 .41015 L
.4601 .4093 L
.45907 .408 L
.45898 .4077 L
.45761 .40609 L
.45746 .40601 L
.45616 .40449 L
.45586 .40389 L
.45513 .40288 L
.45425 .40171 L
.45402 .40128 L
.45272 .39967 L
.45265 .39957 L
.45108 .39807 L
.45104 .39763 L
.45015 .39646 L
.44943 .3954 L
.44908 .39486 L
.44786 .39325 L
.44783 .39321 L
.44666 .39165 L
.44622 .3914 L
.44516 .39004 L
.44462 .38906 L
.44419 .38844 L
.44304 .38683 L
.44301 .3868 L
.44186 .38523 L
.44141 .38462 L
.44012 .38362 L
.4398 .38264 L
.43937 .38201 L
.43831 .38041 L
.4382 .38026 L
.43717 .3788 L
.43659 .37802 L
.43602 .3772 L
.43499 .37589 L
.43479 .37559 L
.4338 .37399 L
.43338 .37339 L
.43275 .37238 L
.43178 .37088 L
.43172 .37078 L
.43098 .36917 L
F
.013 .86 1 r
.43178 .42446 m
.43264 .42536 L
.43338 .42612 L
.4341 .42696 L
.43499 .428 L
.43544 .42857 L
.43659 .43005 L
.43668 .43017 L
.43776 .43178 L
.4382 .4325 L
.4386 .43338 L
.4382 .43376 L
.4377 .43338 L
.43659 .43239 L
.43606 .43178 L
.43499 .43057 L
.43468 .43017 L
.43339 .42857 L
.43338 .42856 L
.43228 .42696 L
.43178 .42627 L
.43123 .42536 L
F
1 .16 0 r
.43178 .48641 m
.43297 .48796 L
.43338 .48844 L
.43423 .48957 L
.43499 .49048 L
.43551 .49117 L
.43659 .49251 L
.43679 .49278 L
.43803 .49438 L
.4382 .49458 L
.43923 .49599 L
.4398 .49669 L
.44046 .49759 L
.44141 .49879 L
.44171 .4992 L
.44293 .5008 L
.44301 .5009 L
.44407 .50241 L
.44462 .5031 L
.44524 .50401 L
.44622 .50528 L
.44645 .50562 L
.44622 .5067 L
.44537 .50562 L
.44462 .50479 L
.44401 .50401 L
.44301 .50285 L
.44268 .50241 L
.44141 .50087 L
.44136 .5008 L
.44011 .4992 L
.4398 .49884 L
.43887 .49759 L
.4382 .49679 L
.4376 .49599 L
.43659 .49475 L
.43632 .49438 L
.43507 .49278 L
.43499 .49268 L
.43388 .49117 L
.43338 .49056 L
.43266 .48957 L
.43178 .48845 L
.43143 .48796 L
F
1 .15 0 r
.43178 .48647 m
.43292 .48796 L
.43338 .48849 L
.43419 .48957 L
.43499 .49052 L
.43547 .49117 L
.43659 .49255 L
.43676 .49278 L
.43799 .49438 L
.4382 .49463 L
.43919 .49599 L
.4398 .49673 L
.44042 .49759 L
.44141 .49883 L
.44167 .4992 L
.44289 .5008 L
.44301 .50096 L
.44402 .50241 L
.44462 .50316 L
.44519 .50401 L
.44622 .50535 L
.4464 .50562 L
.44622 .50662 L
.44544 .50562 L
.44462 .50473 L
.44406 .50401 L
.44301 .50279 L
.44272 .50241 L
.44141 .50082 L
.44139 .5008 L
.44016 .4992 L
.4398 .49878 L
.43891 .49759 L
.4382 .49674 L
.43763 .49599 L
.43659 .4947 L
.43635 .49438 L
.43511 .49278 L
.43499 .49263 L
.43392 .49117 L
.43338 .49051 L
.4327 .48957 L
.43178 .4884 L
.43146 .48796 L
F
.01 .85 1 r
.43178 .42484 m
.43233 .42536 L
.43338 .42638 L
.43389 .42696 L
.43499 .42823 L
.43526 .42857 L
.43648 .43017 L
.43659 .43032 L
.43751 .43178 L
.43659 .43215 L
.43626 .43178 L
.43499 .43037 L
.43483 .43017 L
.43358 .42857 L
.43338 .42831 L
.43249 .42696 L
.43178 .42591 L
.43149 .42536 L
F
1 .14 0 r
.43178 .48653 m
.43287 .48796 L
.43338 .48855 L
.43415 .48957 L
.43499 .49057 L
.43544 .49117 L
.43659 .4926 L
.43673 .49278 L
.43795 .49438 L
.4382 .49468 L
.43915 .49599 L
.4398 .49678 L
.44038 .49759 L
.44141 .49888 L
.44164 .4992 L
.44141 .50077 L
.44021 .4992 L
.4398 .49873 L
.43895 .49759 L
.4382 .4967 L
.43767 .49599 L
.43659 .49466 L
.43639 .49438 L
.43515 .49278 L
.43499 .49258 L
.43396 .49117 L
.43338 .49046 L
.43274 .48957 L
.43178 .48835 L
.4315 .48796 L
F
1 .13 0 r
.43178 .48659 m
.43282 .48796 L
.43338 .4886 L
.43411 .48957 L
.43499 .49062 L
.4354 .49117 L
.43659 .49264 L
.43669 .49278 L
.4379 .49438 L
.4382 .49473 L
.43911 .49599 L
.4398 .49684 L
.44035 .49759 L
.44141 .49893 L
.4416 .4992 L
.44141 .50071 L
.44026 .4992 L
.4398 .49868 L
.43899 .49759 L
.4382 .49665 L
.43771 .49599 L
.43659 .49461 L
.43642 .49438 L
.4352 .49278 L
.43499 .49253 L
.43401 .49117 L
.43338 .49041 L
.43278 .48957 L
.43178 .4883 L
.43154 .48796 L
F
0 .24 1 r
.43178 .49334 m
.43243 .49438 L
.43338 .49565 L
.43358 .49599 L
.43338 .49642 L
.43303 .49599 L
.43178 .49464 L
.43157 .49438 L
F
1 .12 0 r
.43178 .48665 m
.43277 .48796 L
.43338 .48866 L
.43406 .48957 L
.43499 .49067 L
.43536 .49117 L
.43659 .49269 L
.43666 .49278 L
.43786 .49438 L
.4382 .49479 L
.43906 .49599 L
.4398 .49689 L
.4403 .49759 L
.44141 .49898 L
.44156 .4992 L
.44141 .50065 L
.44031 .4992 L
.4398 .49862 L
.43904 .49759 L
.4382 .49659 L
.43775 .49599 L
.43659 .49456 L
.43646 .49438 L
.43525 .49278 L
.43499 .49247 L
.43406 .49117 L
.43338 .49035 L
.43283 .48957 L
.43178 .48824 L
.43158 .48796 L
F
1 .98 .538 r
.43178 .43994 m
.43338 .43986 L
.43499 .44015 L
.43637 .44141 L
.43659 .44163 L
.43804 .44301 L
.4382 .4436 L
.43907 .44462 L
.4398 .44566 L
.44018 .44622 L
.44141 .44774 L
.44142 .44783 L
.4427 .44943 L
.44301 .4498 L
.44414 .45104 L
.44462 .45192 L
.4452 .45265 L
.44622 .45403 L
.44635 .45425 L
.44764 .45586 L
.44783 .45593 L
.44922 .45746 L
.44943 .45803 L
.45021 .45907 L
.45104 .46022 L
.45131 .46067 L
.45255 .46228 L
.45265 .4624 L
.45376 .46388 L
.45425 .46454 L
.4552 .46549 L
.45586 .4667 L
.4562 .46709 L
.45718 .4687 L
.45586 .46953 L
.45425 .46943 L
.45285 .4687 L
.45265 .46855 L
.45123 .46709 L
.45104 .46685 L
.45002 .46549 L
.44943 .46488 L
.44897 .46388 L
.44783 .46282 L
.4474 .46228 L
.44622 .46073 L
.44618 .46067 L
.44494 .45907 L
.44462 .45858 L
.44386 .45746 L
.44301 .45639 L
.44244 .45586 L
.44141 .45429 L
.44122 .45425 L
.43997 .45265 L
.4398 .4524 L
.43884 .45104 L
.4382 .45028 L
.43782 .44943 L
.43659 .44816 L
.43631 .44783 L
.43504 .44622 L
.43499 .44607 L
.43388 .44462 L
.43338 .44391 L
.43284 .44301 L
.43178 .44166 L
.43159 .44141 L
F
0 .4 1 r
.43178 .47999 m
.43312 .48154 L
.43338 .48181 L
.43449 .48314 L
.43499 .48369 L
.43585 .48475 L
.43659 .48561 L
.4372 .48636 L
.4382 .48755 L
.43853 .48796 L
.4398 .4895 L
.43988 .48957 L
.44112 .49117 L
.44141 .49152 L
.4424 .49278 L
.44301 .49352 L
.44369 .49438 L
.44462 .49531 L
.44497 .49599 L
.44622 .49756 L
.44626 .49759 L
.44749 .4992 L
.44783 .49961 L
.44874 .5008 L
.44943 .50167 L
.45 .50241 L
.45104 .50362 L
.45146 .50401 L
.4525 .50562 L
.45265 .5058 L
.45373 .50722 L
.45425 .50788 L
.45496 .50883 L
.45586 .50969 L
.45621 .51043 L
.45744 .51204 L
.45746 .51206 L
.45864 .51364 L
.45907 .51418 L
.45986 .51525 L
.46067 .5163 L
.46108 .51686 L
.46228 .5184 L
.46233 .51846 L
.46348 .52007 L
.46388 .52059 L
.46466 .52167 L
.46549 .52275 L
.46587 .52328 L
.46707 .52488 L
.46709 .52492 L
.46819 .52649 L
.4687 .52716 L
.46933 .52809 L
.4703 .52942 L
.47049 .5297 L
.47155 .5313 L
.47191 .5318 L
.47251 .53291 L
.47191 .53314 L
.4717 .53291 L
.4703 .53141 L
.47021 .5313 L
.46883 .5297 L
.4687 .52956 L
.46748 .52809 L
.46709 .52766 L
.46614 .52649 L
.46549 .52573 L
.46481 .52488 L
.46388 .52378 L
.46348 .52328 L
.46228 .52186 L
.46203 .52167 L
.46089 .52007 L
.46067 .5198 L
.45962 .51846 L
.45907 .51779 L
.45834 .51686 L
.45746 .51609 L
.45706 .51525 L
.45586 .51376 L
.45574 .51364 L
.45454 .51204 L
.45425 .51168 L
.4533 .51043 L
.45265 .50962 L
.45204 .50883 L
.45104 .50771 L
.4505 .50722 L
.44954 .50562 L
.44943 .50549 L
.44832 .50401 L
.44783 .50339 L
.44709 .50241 L
.44622 .50169 L
.44585 .5008 L
.44462 .49922 L
.4446 .4992 L
.44341 .49759 L
.44301 .49709 L
.4422 .49599 L
.44141 .49496 L
.44098 .49438 L
.4398 .49288 L
.4397 .49278 L
.43859 .49117 L
.4382 .49067 L
.43741 .48957 L
.43659 .4885 L
.43621 .48796 L
.43501 .48636 L
.43499 .48633 L
.4339 .48475 L
.43338 .48407 L
.43276 .48314 L
.43178 .4818 L
.43161 .48154 L
F
.018 .87 1 r
.43178 .4448 m
.43338 .44571 L
.43365 .44622 L
.43499 .44752 L
.43517 .44783 L
.43656 .44943 L
.43659 .44947 L
.43784 .45104 L
.4382 .45147 L
.4391 .45265 L
.4398 .45353 L
.44034 .45425 L
.44141 .45545 L
.44157 .45586 L
.44272 .45746 L
.44301 .45786 L
.44381 .45907 L
.44462 .46028 L
.44485 .46067 L
.44462 .46227 L
.44301 .46099 L
.44277 .46067 L
.44141 .45926 L
.44112 .45907 L
.43984 .45746 L
.4398 .45741 L
.43851 .45586 L
.4382 .45548 L
.43721 .45425 L
.43659 .45384 L
.43596 .45265 L
.43499 .45143 L
.43469 .45104 L
.43362 .44943 L
.43338 .44909 L
.43255 .44783 L
.43178 .44651 L
.43162 .44622 L
F
1 .11 0 r
.43178 .48672 m
.43271 .48796 L
.43338 .48872 L
.43401 .48957 L
.43499 .49072 L
.43532 .49117 L
.43659 .49274 L
.43662 .49278 L
.4378 .49438 L
.4382 .49485 L
.43902 .49599 L
.4398 .49695 L
.44026 .49759 L
.44141 .49904 L
.44152 .4992 L
.44141 .50058 L
.44037 .4992 L
.4398 .49856 L
.43908 .49759 L
.4382 .49654 L
.43779 .49599 L
.43659 .49451 L
.4365 .49438 L
.4353 .49278 L
.43499 .49241 L
.4341 .49117 L
.43338 .49029 L
.43287 .48957 L
.43178 .48818 L
.43162 .48796 L
F
1 .95 .212 r
.43178 .41861 m
.4325 .41894 L
.43338 .41953 L
.43449 .42054 L
.43499 .421 L
.43608 .42215 L
.43659 .4225 L
.43755 .42375 L
.4382 .42446 L
.43937 .42536 L
.4398 .42642 L
.4403 .42696 L
.44141 .42841 L
.44152 .42857 L
.44281 .43017 L
.44301 .43044 L
.44403 .43178 L
.44462 .43212 L
.44534 .43338 L
.44622 .43495 L
.44623 .43499 L
.44698 .43659 L
.44622 .43742 L
.44462 .43661 L
.4446 .43659 L
.44301 .435 L
.44297 .43499 L
.44163 .43338 L
.44141 .43312 L
.44035 .43178 L
.4398 .4311 L
.4391 .43017 L
.4382 .42929 L
.43754 .42857 L
.43664 .42696 L
.43659 .4269 L
.4355 .42536 L
.43499 .42466 L
.43437 .42375 L
.43338 .42235 L
.43325 .42215 L
.43231 .42054 L
.43178 .41951 L
.43163 .41894 L
F
0 .23 1 r
.43178 .49344 m
.43234 .49438 L
.43338 .4958 L
.43348 .49599 L
.43338 .49625 L
.43316 .49599 L
.43178 .49456 L
.43164 .49438 L
F
0 .39 1 r
.43178 .48008 m
.43305 .48154 L
.43338 .48188 L
.43444 .48314 L
.43499 .48375 L
.43581 .48475 L
.43659 .48566 L
.43716 .48636 L
.4382 .48759 L
.43849 .48796 L
.4398 .48955 L
.43982 .48957 L
.44109 .49117 L
.44141 .49155 L
.44237 .49278 L
.44301 .49356 L
.44366 .49438 L
.44462 .49535 L
.44495 .49599 L
.44622 .49759 L
.44622 .49759 L
.44746 .4992 L
.44783 .49965 L
.44872 .5008 L
.44943 .5017 L
.44998 .50241 L
.45104 .50366 L
.45142 .50401 L
.45248 .50562 L
.45265 .50583 L
.4537 .50722 L
.45425 .50791 L
.45494 .50883 L
.45586 .50973 L
.45619 .51043 L
.45742 .51204 L
.45746 .51209 L
.45862 .51364 L
.45907 .51422 L
.45983 .51525 L
.46067 .51633 L
.46106 .51686 L
.46228 .51845 L
.46229 .51846 L
.46345 .52007 L
.46388 .52062 L
.46463 .52167 L
.46549 .52279 L
.46584 .52328 L
.46703 .52488 L
.46709 .52496 L
.46815 .52649 L
.4687 .52722 L
.46929 .52809 L
.4703 .52948 L
.47045 .5297 L
.47147 .5313 L
.47191 .53192 L
.47239 .53291 L
.47191 .53303 L
.4718 .53291 L
.4703 .53134 L
.47027 .5313 L
.46889 .5297 L
.4687 .5295 L
.46753 .52809 L
.46709 .52761 L
.46618 .52649 L
.46549 .52568 L
.46484 .52488 L
.46388 .52374 L
.46351 .52328 L
.46228 .52181 L
.4621 .52167 L
.46093 .52007 L
.46067 .51976 L
.45965 .51846 L
.45907 .51775 L
.45837 .51686 L
.45746 .51604 L
.45708 .51525 L
.45586 .51372 L
.45578 .51364 L
.45457 .51204 L
.45425 .51165 L
.45332 .51043 L
.45265 .50959 L
.45206 .50883 L
.45104 .50767 L
.45054 .50722 L
.44956 .50562 L
.44943 .50546 L
.44835 .50401 L
.44783 .50337 L
.44711 .50241 L
.44622 .50164 L
.44587 .5008 L
.44463 .4992 L
.44462 .49918 L
.44344 .49759 L
.44301 .49705 L
.44223 .49599 L
.44141 .49493 L
.441 .49438 L
.4398 .49283 L
.43975 .49278 L
.43862 .49117 L
.4382 .49063 L
.43744 .48957 L
.43659 .48846 L
.43624 .48796 L
.43504 .48636 L
.43499 .48628 L
.43394 .48475 L
.43338 .48401 L
.43281 .48314 L
.43178 .48173 L
.43165 .48154 L
F
1 .1 0 r
.43178 .4868 m
.43264 .48796 L
.43338 .48879 L
.43396 .48957 L
.43499 .49078 L
.43528 .49117 L
.43499 .49234 L
.43416 .49117 L
.43338 .49023 L
.43292 .48957 L
.43178 .48811 L
.43167 .48796 L
F
0 .38 1 r
.43178 .48017 m
.43298 .48154 L
.43338 .48195 L
.43439 .48314 L
.43499 .4838 L
.43576 .48475 L
.43659 .4857 L
.43712 .48636 L
.4382 .48763 L
.43846 .48796 L
.43978 .48957 L
.4398 .4896 L
.44105 .49117 L
.44141 .49159 L
.44234 .49278 L
.44301 .49359 L
.44363 .49438 L
.44462 .49539 L
.44492 .49599 L
.4462 .49759 L
.44622 .49763 L
.44744 .4992 L
.44783 .49968 L
.44869 .5008 L
.44943 .50173 L
.44996 .50241 L
.45104 .5037 L
.45138 .50401 L
.45245 .50562 L
.45265 .50586 L
.45368 .50722 L
.45425 .50794 L
.45492 .50883 L
.45586 .50977 L
.45616 .51043 L
.45739 .51204 L
.45746 .51212 L
.45859 .51364 L
.45907 .51425 L
.45981 .51525 L
.46067 .51637 L
.46103 .51686 L
.46225 .51846 L
.46228 .51849 L
.46342 .52007 L
.46388 .52066 L
.46461 .52167 L
.46549 .52283 L
.46581 .52328 L
.46699 .52488 L
.46709 .52501 L
.4681 .52649 L
.4687 .52728 L
.46924 .52809 L
.4703 .52955 L
.4704 .5297 L
.4703 .53126 L
.46895 .5297 L
.4687 .52943 L
.46758 .52809 L
.46709 .52755 L
.46623 .52649 L
.46549 .52564 L
.46488 .52488 L
.46388 .5237 L
.46355 .52328 L
.46228 .52175 L
.46217 .52167 L
.46096 .52007 L
.46067 .51973 L
.45968 .51846 L
.45907 .51772 L
.45839 .51686 L
.45746 .516 L
.45711 .51525 L
.45586 .51368 L
.45582 .51364 L
.45459 .51204 L
.45425 .51162 L
.45334 .51043 L
.45265 .50956 L
.45208 .50883 L
.45104 .50763 L
.45059 .50722 L
.44959 .50562 L
.44943 .50543 L
.44837 .50401 L
.44783 .50334 L
.44713 .50241 L
.44622 .5016 L
.44589 .5008 L
.44465 .4992 L
.44462 .49915 L
.44346 .49759 L
.44301 .49702 L
.44225 .49599 L
.44141 .4949 L
.44103 .49438 L
.4398 .49278 L
.4398 .49278 L
.43865 .49117 L
.4382 .4906 L
.43747 .48957 L
.43659 .48842 L
.43627 .48796 L
.43508 .48636 L
.43499 .48623 L
.43398 .48475 L
.43338 .48395 L
.43285 .48314 L
.43178 .48166 L
.4317 .48154 L
F
0 .22 1 r
.43178 .49356 m
.43222 .49438 L
.43178 .49446 L
.43172 .49438 L
F
1 .09 0 r
.43178 .48689 m
.43257 .48796 L
.43338 .48886 L
.4339 .48957 L
.43499 .49084 L
.43523 .49117 L
.43499 .49228 L
.43422 .49117 L
.43338 .49016 L
.43297 .48957 L
.43178 .48805 L
.43172 .48796 L
F
1 .73 0 r
.43178 .47353 m
.43334 .47512 L
.43338 .47516 L
.4348 .47672 L
.43499 .47692 L
.43621 .47833 L
.43659 .47875 L
.4376 .47993 L
.4382 .48062 L
.43897 .48154 L
.4398 .48239 L
.44033 .48314 L
.44141 .48444 L
.44173 .48475 L
.44297 .48636 L
.44301 .48641 L
.44428 .48796 L
.44462 .48816 L
.44558 .48957 L
.44622 .4903 L
.44715 .49117 L
.44783 .49236 L
.44818 .49278 L
.44943 .49437 L
.44944 .49438 L
.45072 .49599 L
.45104 .49629 L
.45199 .49759 L
.45265 .49839 L
.45336 .4992 L
.45425 .50047 L
.45449 .5008 L
.45578 .50241 L
.45586 .50243 L
.45704 .50401 L
.45746 .50448 L
.45854 .50562 L
.45907 .5066 L
.45956 .50722 L
.46067 .50868 L
.46076 .50883 L
.46204 .51043 L
.46228 .51063 L
.46377 .51204 L
.46388 .51275 L
.46463 .51364 L
.46549 .51488 L
.46574 .51525 L
.46701 .51686 L
.46709 .51686 L
.46824 .51846 L
.4687 .51894 L
.46972 .52007 L
.4703 .5211 L
.47074 .52167 L
.47191 .52322 L
.47194 .52328 L
.47318 .52488 L
.47351 .52513 L
.47489 .52649 L
.47512 .52733 L
.47574 .52809 L
.47672 .5295 L
.47685 .5297 L
.47808 .5313 L
.47833 .53162 L
.4793 .53291 L
.47993 .53357 L
.48075 .53451 L
.48154 .53582 L
.48177 .53612 L
.48295 .53772 L
.48314 .53797 L
.48415 .53933 L
.48475 .53979 L
.48583 .54093 L
.48636 .54217 L
.48665 .54254 L
.48777 .54414 L
.48796 .54439 L
.48896 .54575 L
.48957 .54655 L
.49015 .54735 L
.49117 .54861 L
.49146 .54896 L
.49252 .55057 L
.49278 .55091 L
.49367 .55217 L
.49438 .55312 L
.49484 .55378 L
.49599 .55531 L
.49604 .55538 L
.4971 .55699 L
.49759 .55767 L
.49819 .55859 L
.4992 .56004 L
.4993 .5602 L
.5002 .5618 L
.4992 .56196 L
.49905 .5618 L
.49759 .56035 L
.49752 .5602 L
.49608 .55859 L
.49599 .55849 L
.49469 .55699 L
.49438 .55664 L
.49332 .55538 L
.49278 .55475 L
.49197 .55378 L
.49117 .55301 L
.49062 .55217 L
.48957 .55092 L
.48918 .55057 L
.48799 .54896 L
.48796 .54893 L
.4867 .54735 L
.48636 .54723 L
.4854 .54575 L
.48475 .54505 L
.48373 .54414 L
.48314 .54296 L
.48277 .54254 L
.48155 .54093 L
.48154 .54092 L
.48029 .53933 L
.47993 .53905 L
.47902 .53772 L
.47833 .53691 L
.47759 .53612 L
.47672 .53481 L
.47649 .53451 L
.47523 .53291 L
.47512 .5329 L
.47399 .5313 L
.47351 .53082 L
.47238 .5297 L
.47191 .52868 L
.47142 .52809 L
.4703 .52658 L
.47024 .52649 L
.46899 .52488 L
.4687 .52468 L
.46775 .52328 L
.46709 .52252 L
.46634 .52167 L
.46549 .52037 L
.46526 .52007 L
.46403 .51846 L
.46388 .51828 L
.4628 .51686 L
.46228 .51635 L
.46123 .51525 L
.46067 .51415 L
.46026 .51364 L
.45909 .51204 L
.45907 .51201 L
.45787 .51043 L
.45746 .51019 L
.45665 .50883 L
.45586 .50792 L
.45526 .50722 L
.45425 .50572 L
.45417 .50562 L
.45297 .50401 L
.45265 .5036 L
.45175 .50241 L
.45104 .5017 L
.45023 .5008 L
.44943 .49941 L
.44927 .4992 L
.4481 .49759 L
.44783 .49725 L
.4469 .49599 L
.44622 .49552 L
.44568 .49438 L
.44462 .49306 L
.44439 .49278 L
.44327 .49117 L
.44301 .49084 L
.44209 .48957 L
.44141 .48868 L
.44089 .48796 L
.4398 .48661 L
.43959 .48636 L
.43852 .48475 L
.4382 .48433 L
.43737 .48314 L
.43659 .48211 L
.4362 .48154 L
.43502 .47993 L
.43499 .47989 L
.43394 .47833 L
.43338 .47755 L
.43285 .47672 L
.43178 .47517 L
.43175 .47512 L
F
0 .37 1 r
.43178 .48029 m
.4329 .48154 L
.43338 .48202 L
.43433 .48314 L
.43499 .48386 L
.43572 .48475 L
.43659 .48575 L
.43708 .48636 L
.4382 .48768 L
.43843 .48796 L
.43974 .48957 L
.4398 .48964 L
.44102 .49117 L
.44141 .49163 L
.44231 .49278 L
.44301 .49363 L
.44361 .49438 L
.44462 .49544 L
.4449 .49599 L
.44617 .49759 L
.44622 .49766 L
.44741 .4992 L
.44783 .49971 L
.44867 .5008 L
.44943 .50176 L
.44993 .50241 L
.45104 .50374 L
.45134 .50401 L
.45243 .50562 L
.45265 .50589 L
.45365 .50722 L
.45425 .50797 L
.45489 .50883 L
.45586 .50981 L
.45614 .51043 L
.45737 .51204 L
.45746 .51216 L
.45857 .51364 L
.45907 .51428 L
.45978 .51525 L
.46067 .5164 L
.46101 .51686 L
.46222 .51846 L
.46228 .51853 L
.46339 .52007 L
.46388 .5207 L
.46458 .52167 L
.46549 .52287 L
.46578 .52328 L
.46695 .52488 L
.46709 .52507 L
.46806 .52649 L
.4687 .52734 L
.4692 .52809 L
.4703 .52962 L
.47035 .5297 L
.4703 .53116 L
.46902 .5297 L
.4687 .52937 L
.46763 .52809 L
.46709 .5275 L
.46627 .52649 L
.46549 .52559 L
.46492 .52488 L
.46388 .52365 L
.46358 .52328 L
.46228 .5217 L
.46224 .52167 L
.46099 .52007 L
.46067 .51969 L
.45971 .51846 L
.45907 .51768 L
.45842 .51686 L
.45746 .51595 L
.45713 .51525 L
.45586 .51364 L
.45586 .51364 L
.45462 .51204 L
.45425 .51159 L
.45337 .51043 L
.45265 .50953 L
.45211 .50883 L
.45104 .50759 L
.45063 .50722 L
.44961 .50562 L
.44943 .5054 L
.44839 .50401 L
.44783 .50331 L
.44716 .50241 L
.44622 .50155 L
.44591 .5008 L
.44468 .4992 L
.44462 .49912 L
.44349 .49759 L
.44301 .49699 L
.44228 .49599 L
.44141 .49487 L
.44105 .49438 L
.43983 .49278 L
.4398 .49274 L
.43868 .49117 L
.4382 .49056 L
.4375 .48957 L
.43659 .48838 L
.4363 .48796 L
.43513 .48636 L
.43499 .48618 L
.43403 .48475 L
.43338 .48389 L
.4329 .48314 L
.43178 .48157 L
.43176 .48154 L
F
1 .08 0 r
.43178 .487 m
.43248 .48796 L
.43338 .48893 L
.43384 .48957 L
.43499 .49091 L
.43518 .49117 L
.43499 .4922 L
.43428 .49117 L
.43338 .49008 L
.43303 .48957 L
.43178 .48797 L
.43177 .48796 L
F
.013 .86 1 r
.43338 .44601 m
.43349 .44622 L
.43499 .44769 L
.43507 .44783 L
.43646 .44943 L
.43659 .44959 L
.43776 .45104 L
.4382 .45157 L
.43902 .45265 L
.4398 .45363 L
.44026 .45425 L
.44141 .45564 L
.44149 .45586 L
.44262 .45746 L
.44301 .45801 L
.44369 .45907 L
.44462 .46051 L
.44471 .46067 L
.44462 .46193 L
.44301 .46073 L
.44297 .46067 L
.44141 .45909 L
.44138 .45907 L
.43997 .45746 L
.4398 .45727 L
.43862 .45586 L
.4382 .45535 L
.43732 .45425 L
.43659 .45371 L
.43606 .45265 L
.43499 .45125 L
.43483 .45104 L
.43374 .44943 L
.43338 .4489 L
.43269 .44783 L
.43183 .44622 L
F
1 .97 .395 r
.43338 .44012 m
.43499 .44046 L
.43614 .44141 L
.43659 .44183 L
.43798 .44301 L
.4382 .44372 L
.439 .44462 L
.4398 .44574 L
.44013 .44622 L
.44141 .44781 L
.44141 .44783 L
.44266 .44943 L
.44301 .44985 L
.44411 .45104 L
.44462 .45196 L
.44517 .45265 L
.44622 .45407 L
.44633 .45425 L
.4476 .45586 L
.44783 .45595 L
.4492 .45746 L
.44943 .45808 L
.45017 .45907 L
.45104 .46029 L
.45127 .46067 L
.4525 .46228 L
.45265 .46247 L
.45369 .46388 L
.45425 .46464 L
.45512 .46549 L
.45586 .46686 L
.45605 .46709 L
.45677 .4687 L
.45586 .46924 L
.45425 .46908 L
.45342 .4687 L
.45265 .46823 L
.4514 .46709 L
.45104 .46663 L
.45016 .46549 L
.44943 .46472 L
.44906 .46388 L
.44783 .4627 L
.44749 .46228 L
.44624 .46067 L
.44622 .46063 L
.445 .45907 L
.44462 .45849 L
.44392 .45746 L
.44301 .45632 L
.4425 .45586 L
.44141 .45427 L
.44128 .45425 L
.44001 .45265 L
.4398 .45233 L
.43889 .45104 L
.4382 .45021 L
.43787 .44943 L
.43659 .44808 L
.43638 .44783 L
.43507 .44622 L
.43499 .44596 L
.43397 .44462 L
.43338 .44375 L
.43296 .44301 L
.43187 .44141 L
F
.114 .93 1 r
.43338 .46861 m
.43343 .4687 L
.43499 .47027 L
.43502 .4703 L
.43651 .47191 L
.43659 .472 L
.43795 .47351 L
.4382 .47379 L
.43936 .47512 L
.4398 .47551 L
.44075 .47672 L
.44141 .47751 L
.44232 .47833 L
.44301 .47947 L
.44342 .47993 L
.44462 .48141 L
.4447 .48154 L
.44608 .48314 L
.44622 .48331 L
.44775 .48475 L
.44783 .48532 L
.44872 .48636 L
.44943 .48736 L
.44986 .48796 L
.45104 .48939 L
.45106 .48957 L
.45255 .49117 L
.45265 .4913 L
.45391 .49278 L
.45425 .49336 L
.45502 .49438 L
.45586 .49546 L
.45612 .49599 L
.45746 .49751 L
.45763 .49759 L
.459 .4992 L
.45907 .49944 L
.46014 .5008 L
.46067 .50155 L
.46123 .50241 L
.46228 .50368 L
.46266 .50401 L
.46388 .5056 L
.4639 .50562 L
.46521 .50722 L
.46549 .50769 L
.46632 .50883 L
.46709 .50983 L
.46738 .51043 L
.4687 .51192 L
.46889 .51204 L
.47022 .51364 L
.4703 .51388 L
.47137 .51525 L
.47191 .516 L
.47245 .51686 L
.47351 .51813 L
.47386 .51846 L
.47509 .52007 L
.47512 .5201 L
.4764 .52167 L
.47672 .5222 L
.4775 .52328 L
.47833 .52434 L
.47856 .52488 L
.47993 .52641 L
.48004 .52649 L
.48141 .52809 L
.48154 .52843 L
.48252 .5297 L
.48314 .53056 L
.4836 .5313 L
.48475 .53268 L
.48498 .53291 L
.4862 .53451 L
.48636 .53468 L
.48753 .53612 L
.48796 .5368 L
.48862 .53772 L
.48957 .53893 L
.48972 .53933 L
.49113 .54093 L
.49117 .54097 L
.49256 .54254 L
.49278 .54304 L
.49362 .54414 L
.49438 .54519 L
.49472 .54575 L
.49599 .54729 L
.49604 .54735 L
.49726 .54896 L
.49759 .5493 L
.49863 .55057 L
.4992 .55145 L
.4997 .55217 L
.5008 .55359 L
.50087 .55378 L
.50216 .55538 L
.50241 .55556 L
.50366 .55699 L
.50401 .55772 L
.50466 .55859 L
.50562 .5599 L
.50579 .5602 L
.50704 .5618 L
.50722 .56204 L
.50825 .56341 L
.50883 .564 L
.50963 .56501 L
.51043 .56623 L
.51069 .56662 L
.5119 .56822 L
.51204 .56841 L
.51309 .56983 L
.51364 .57025 L
.51461 .57143 L
.51525 .57261 L
.51556 .57304 L
.5167 .57464 L
.51686 .57484 L
.51788 .57625 L
.51846 .57702 L
.51907 .57785 L
.52007 .57908 L
.52034 .57946 L
.52142 .58106 L
.52167 .5814 L
.52256 .58267 L
.52328 .58365 L
.52371 .58428 L
.52486 .58588 L
.52488 .5859 L
.52592 .58749 L
.52649 .5883 L
.52698 .58909 L
.52801 .5907 L
.52809 .59083 L
.52862 .5923 L
.52809 .59233 L
.52806 .5923 L
.52649 .59104 L
.52632 .5907 L
.52488 .58922 L
.52478 .58909 L
.52333 .58749 L
.52328 .58743 L
.52192 .58588 L
.52167 .58561 L
.52053 .58428 L
.52007 .58389 L
.51917 .58267 L
.51846 .58186 L
.51753 .58106 L
.51686 .57988 L
.51647 .57946 L
.51525 .57793 L
.5152 .57785 L
.51387 .57625 L
.51364 .57601 L
.51257 .57464 L
.51204 .57398 L
.51118 .57304 L
.51043 .57193 L
.51005 .57143 L
.50883 .56992 L
.5088 .56983 L
.50745 .56822 L
.50722 .56795 L
.50598 .56662 L
.50562 .56588 L
.50491 .56501 L
.50401 .56379 L
.50377 .56341 L
.50241 .56181 L
.5024 .5618 L
.50083 .5602 L
.5008 .55976 L
.49981 .55859 L
.4992 .55766 L
.49871 .55699 L
.49759 .55557 L
.49754 .55538 L
.49615 .55378 L
.49599 .55359 L
.49472 .55217 L
.49438 .55149 L
.49366 .55057 L
.49278 .54937 L
.49253 .54896 L
.49118 .54735 L
.49117 .54735 L
.48963 .54575 L
.48957 .54529 L
.48861 .54414 L
.48796 .54317 L
.48751 .54254 L
.48636 .54108 L
.48632 .54093 L
.48499 .53933 L
.48475 .53907 L
.48355 .53772 L
.48314 .53696 L
.4825 .53612 L
.48154 .53483 L
.48136 .53451 L
.48005 .53291 L
.47993 .53282 L
.47845 .5313 L
.47833 .53073 L
.47747 .5297 L
.47672 .52859 L
.47638 .52809 L
.47512 .5265 L
.47512 .52649 L
.47389 .52488 L
.47351 .52451 L
.47242 .52328 L
.47191 .52235 L
.47138 .52167 L
.4703 .52022 L
.47022 .52007 L
.46896 .51846 L
.4687 .51828 L
.46732 .51686 L
.46709 .51612 L
.46638 .51525 L
.46549 .51395 L
.46528 .51364 L
.46405 .51204 L
.46388 .51183 L
.46283 .51043 L
.46228 .5099 L
.46135 .50883 L
.46067 .50769 L
.46032 .50722 L
.45913 .50562 L
.45907 .50553 L
.45793 .50401 L
.45746 .50371 L
.45626 .50241 L
.45586 .50142 L
.45536 .5008 L
.45425 .49922 L
.45424 .4992 L
.45304 .49759 L
.45265 .49709 L
.45183 .49599 L
.45104 .49517 L
.45039 .49438 L
.44943 .49288 L
.44936 .49278 L
.44818 .49117 L
.44783 .49072 L
.44698 .48957 L
.44622 .48894 L
.4454 .48796 L
.44462 .48651 L
.4445 .48636 L
.44336 .48475 L
.44301 .48431 L
.44218 .48314 L
.44141 .48214 L
.44098 .48154 L
.4398 .48001 L
.43974 .47993 L
.43862 .47833 L
.4382 .47777 L
.43747 .47672 L
.43659 .47554 L
.4363 .47512 L
.43516 .47351 L
.43499 .47328 L
.43409 .47191 L
.43338 .4709 L
.43302 .4703 L
.43202 .4687 L
F
1 .96 .289 r
.43338 .44038 m
.43499 .44073 L
.43589 .44141 L
.43659 .44201 L
.4379 .44301 L
.4382 .44383 L
.43892 .44462 L
.4398 .44582 L
.44008 .44622 L
.44137 .44783 L
.44141 .44786 L
.44261 .44943 L
.44301 .4499 L
.44408 .45104 L
.44462 .45201 L
.44513 .45265 L
.44622 .45411 L
.4463 .45425 L
.44756 .45586 L
.44783 .45597 L
.44918 .45746 L
.44943 .45813 L
.45013 .45907 L
.45104 .46035 L
.45123 .46067 L
.45245 .46228 L
.45265 .46254 L
.45363 .46388 L
.45425 .46474 L
.45502 .46549 L
.45586 .46705 L
.45589 .46709 L
.45626 .4687 L
.45586 .46892 L
.45425 .46877 L
.45406 .4687 L
.45265 .46795 L
.45157 .46709 L
.45104 .46643 L
.4503 .46549 L
.44943 .46458 L
.44913 .46388 L
.44783 .46259 L
.44758 .46228 L
.44626 .46067 L
.44622 .46053 L
.44506 .45907 L
.44462 .45841 L
.44397 .45746 L
.44301 .45626 L
.44256 .45586 L
.44141 .45426 L
.44134 .45425 L
.44005 .45265 L
.4398 .45227 L
.43895 .45104 L
.4382 .45013 L
.43791 .44943 L
.43659 .448 L
.43645 .44783 L
.4351 .44622 L
.43499 .44584 L
.43406 .44462 L
.43338 .44357 L
.43308 .44301 L
.43215 .44141 L
F
1 .95 .212 r
.43338 .44064 m
.43499 .44097 L
.43563 .44141 L
.43659 .44218 L
.4378 .44301 L
.4382 .44395 L
.43884 .44462 L
.4398 .44591 L
.44003 .44622 L
.44132 .44783 L
.44141 .44791 L
.44257 .44943 L
.44301 .44995 L
.44404 .45104 L
.44462 .45206 L
.4451 .45265 L
.44622 .45415 L
.44628 .45425 L
.44753 .45586 L
.44783 .45599 L
.44915 .45746 L
.44943 .45818 L
.45009 .45907 L
.45104 .46042 L
.45119 .46067 L
.45239 .46228 L
.45265 .46262 L
.45356 .46388 L
.45425 .46485 L
.45491 .46549 L
.45572 .46709 L
.45425 .46852 L
.45265 .46771 L
.45177 .46709 L
.45104 .46624 L
.45042 .46549 L
.44943 .46444 L
.4492 .46388 L
.44783 .46248 L
.44767 .46228 L
.44629 .46067 L
.44622 .46044 L
.44512 .45907 L
.44462 .45833 L
.44402 .45746 L
.44301 .4562 L
.44261 .45586 L
.44141 .45425 L
.44139 .45425 L
.44009 .45265 L
.4398 .4522 L
.439 .45104 L
.4382 .45006 L
.43795 .44943 L
.43659 .44792 L
.43652 .44783 L
.43513 .44622 L
.43499 .44572 L
.43415 .44462 L
.43338 .44338 L
.43319 .44301 L
.43245 .44141 L
F
1 .94 .156 r
.43338 .44092 m
.43499 .44119 L
.43534 .44141 L
.43659 .44234 L
.43766 .44301 L
.4382 .44406 L
.43876 .44462 L
.4398 .44599 L
.43997 .44622 L
.44127 .44783 L
.44141 .44796 L
.44252 .44943 L
.44301 .45 L
.444 .45104 L
.44462 .45211 L
.44506 .45265 L
.44622 .45419 L
.44626 .45425 L
.44749 .45586 L
.44783 .45601 L
.44912 .45746 L
.44943 .45823 L
.45005 .45907 L
.45104 .46049 L
.45115 .46067 L
.45233 .46228 L
.45265 .4627 L
.4535 .46388 L
.45425 .46496 L
.4548 .46549 L
.45554 .46709 L
.45425 .46829 L
.45265 .46749 L
.452 .46709 L
.45104 .46607 L
.45054 .46549 L
.44943 .4643 L
.44926 .46388 L
.44783 .46237 L
.44775 .46228 L
.44631 .46067 L
.44622 .46035 L
.44517 .45907 L
.44462 .45825 L
.44407 .45746 L
.44301 .45615 L
.44267 .45586 L
.44145 .45425 L
.44141 .45421 L
.44013 .45265 L
.4398 .45214 L
.43905 .45104 L
.4382 .44999 L
.43798 .44943 L
.43659 .44784 L
.43659 .44783 L
.43517 .44622 L
.43499 .4456 L
.43425 .44462 L
.43338 .44317 L
.4333 .44301 L
.43278 .44141 L
F
.007 .84 1 r
.43338 .4267 m
.43362 .42696 L
.43499 .4285 L
.43504 .42857 L
.43499 .43013 L
.43384 .42857 L
.43338 .42798 L
.43279 .42696 L
F
.01 .85 1 r
.43338 .44632 m
.43495 .44783 L
.43499 .44787 L
.43635 .44943 L
.43659 .44971 L
.43766 .45104 L
.4382 .45168 L
.43894 .45265 L
.4398 .45373 L
.44019 .45425 L
.44141 .45584 L
.44141 .45586 L
.44251 .45746 L
.44301 .45817 L
.44357 .45907 L
.44301 .4605 L
.44156 .45907 L
.44141 .45892 L
.4401 .45746 L
.4398 .45713 L
.43873 .45586 L
.4382 .45521 L
.43743 .45425 L
.43659 .45354 L
.43617 .45265 L
.43499 .45106 L
.43498 .45104 L
.43387 .44943 L
.43338 .4487 L
.43284 .44783 L
F
1 .96 .289 r
.43338 .37735 m
.43478 .3788 L
.43499 .37901 L
.43624 .38041 L
.43659 .38078 L
.43766 .38201 L
.4382 .38261 L
.43904 .38362 L
.4398 .38435 L
.44041 .38523 L
.44141 .38638 L
.44191 .38683 L
.44301 .38835 L
.44309 .38844 L
.44439 .39004 L
.44462 .39016 L
.44569 .39165 L
.44622 .39223 L
.4474 .39325 L
.44783 .39429 L
.44835 .39486 L
.44943 .39632 L
.44954 .39646 L
.45082 .39807 L
.45104 .39825 L
.45209 .39967 L
.45265 .40032 L
.45355 .40128 L
.45425 .40241 L
.45464 .40288 L
.45586 .40446 L
.45587 .40449 L
.45713 .40609 L
.45746 .40643 L
.45875 .4077 L
.45907 .40854 L
.45972 .4093 L
.46067 .41064 L
.46086 .41091 L
.46214 .41251 L
.46228 .41262 L
.46337 .41412 L
.46388 .4147 L
.46482 .41572 L
.46549 .41682 L
.46588 .41733 L
.46709 .41891 L
.46711 .41894 L
.46834 .42054 L
.4687 .42088 L
.46994 .42215 L
.4703 .42302 L
.47091 .42375 L
.47191 .42515 L
.47205 .42536 L
.4733 .42696 L
.47351 .42709 L
.47453 .42857 L
.47512 .42922 L
.47596 .43017 L
.47672 .43138 L
.47703 .43178 L
.47825 .43338 L
.47833 .43349 L
.47946 .43499 L
.47993 .43542 L
.48106 .43659 L
.48154 .43761 L
.48203 .4382 L
.48314 .43975 L
.48318 .4398 L
.48439 .44141 L
.48475 .44159 L
.48562 .44301 L
.48636 .44383 L
.48704 .44462 L
.48796 .44602 L
.48812 .44622 L
.48932 .44783 L
.48957 .44814 L
.49053 .44943 L
.49117 .45002 L
.49211 .45104 L
.49278 .45228 L
.49307 .45265 L
.49423 .45425 L
.49438 .45444 L
.49544 .45586 L
.49599 .45616 L
.49666 .45746 L
.49759 .45853 L
.49804 .45907 L
.49913 .46067 L
.4992 .46075 L
.50033 .46228 L
.5008 .46288 L
.50154 .46388 L
.50241 .46477 L
.50303 .46549 L
.50401 .46709 L
.50401 .4671 L
.50519 .4687 L
.50562 .46924 L
.50639 .4703 L
.50722 .47137 L
.50761 .47191 L
.50883 .47348 L
.50886 .47351 L
.51002 .47512 L
.51043 .47565 L
.5112 .47672 L
.51204 .47781 L
.51241 .47833 L
.51362 .47993 L
.51364 .47996 L
.51477 .48154 L
.51525 .48217 L
.51593 .48314 L
.51686 .48438 L
.51711 .48475 L
.51827 .48636 L
.51846 .48661 L
.51937 .48796 L
.52007 .48891 L
.52049 .48957 L
.52161 .49117 L
.52167 .49125 L
.52261 .49278 L
.52328 .49386 L
.52351 .49438 L
.52328 .49524 L
.52211 .49438 L
.52167 .49398 L
.52046 .49278 L
.52007 .49235 L
.51901 .49117 L
.51846 .49082 L
.51764 .48957 L
.51686 .48865 L
.51633 .48796 L
.51525 .4866 L
.51501 .48636 L
.51378 .48475 L
.51364 .48466 L
.51249 .48314 L
.51204 .4826 L
.51091 .48154 L
.51043 .48054 L
.50992 .47993 L
.50883 .4785 L
.5087 .47833 L
.5074 .47672 L
.50722 .47651 L
.50583 .47512 L
.50562 .47446 L
.50485 .47351 L
.50401 .4724 L
.50371 .47191 L
.50241 .4704 L
.50228 .4703 L
.501 .4687 L
.5008 .46843 L
.4997 .46709 L
.4992 .46635 L
.49861 .46549 L
.49759 .46425 L
.49753 .46388 L
.49599 .46236 L
.49592 .46228 L
.49457 .46067 L
.49438 .4603 L
.49345 .45907 L
.49278 .45818 L
.49238 .45746 L
.49117 .45607 L
.49086 .45586 L
.48962 .45425 L
.48957 .45418 L
.48835 .45265 L
.48796 .45208 L
.48726 .45104 L
.48636 .44994 L
.48623 .44943 L
.48475 .44788 L
.48461 .44783 L
.48331 .44622 L
.48314 .44591 L
.48218 .44462 L
.48154 .44378 L
.48112 .44301 L
.47993 .44166 L
.47964 .44141 L
.47834 .4398 L
.47833 .4397 L
.47715 .4382 L
.47672 .43758 L
.47606 .43659 L
.47512 .43545 L
.47502 .43499 L
.47351 .43341 L
.47346 .43338 L
.47214 .43178 L
.47191 .43136 L
.47104 .43017 L
.4703 .42922 L
.46997 .42857 L
.4687 .42712 L
.46852 .42696 L
.46714 .42536 L
.46709 .42511 L
.46603 .42375 L
.46549 .42298 L
.46495 .42215 L
.46388 .42085 L
.46384 .42054 L
.46239 .41894 L
.46228 .41882 L
.46103 .41733 L
.46067 .41671 L
.45996 .41572 L
.45907 .41456 L
.45886 .41412 L
.45749 .41251 L
.45746 .4125 L
.45598 .41091 L
.45586 .41043 L
.45499 .4093 L
.45425 .40826 L
.4539 .4077 L
.45265 .40613 L
.45264 .40609 L
.45141 .40449 L
.45104 .40415 L
.45001 .40288 L
.44943 .40193 L
.44898 .40128 L
.44783 .39974 L
.4478 .39967 L
.44658 .39807 L
.44622 .3979 L
.44497 .39646 L
.44462 .39556 L
.4441 .39486 L
.44301 .39329 L
.44299 .39325 L
.44182 .39165 L
.44141 .39109 L
.44064 .39004 L
.4398 .38909 L
.43931 .38844 L
.43831 .38683 L
.4382 .38668 L
.43718 .38523 L
.43659 .38441 L
.43605 .38362 L
.43499 .38212 L
.43484 .38201 L
.43387 .38041 L
.43338 .37969 L
.43285 .3788 L
F
1 .72 0 r
.43338 .4753 m
.43469 .47672 L
.43499 .47703 L
.43613 .47833 L
.43659 .47884 L
.43753 .47993 L
.4382 .48069 L
.43891 .48154 L
.4398 .48247 L
.44027 .48314 L
.44141 .48451 L
.44166 .48475 L
.44292 .48636 L
.44301 .48647 L
.44423 .48796 L
.44462 .48819 L
.44554 .48957 L
.44622 .49034 L
.44711 .49117 L
.44783 .49241 L
.44815 .49278 L
.44941 .49438 L
.44943 .49441 L
.45068 .49599 L
.45104 .49632 L
.45196 .49759 L
.45265 .49843 L
.45333 .4992 L
.45425 .5005 L
.45447 .5008 L
.45575 .50241 L
.45586 .50245 L
.45701 .50401 L
.45746 .50451 L
.45851 .50562 L
.45907 .50663 L
.45954 .50722 L
.46067 .50871 L
.46074 .50883 L
.46202 .51043 L
.46228 .51065 L
.46376 .51204 L
.46388 .51278 L
.46461 .51364 L
.46549 .51491 L
.46572 .51525 L
.46699 .51686 L
.46709 .51687 L
.46822 .51846 L
.4687 .51896 L
.4697 .52007 L
.4703 .52113 L
.47072 .52167 L
.47191 .52325 L
.47192 .52328 L
.47315 .52488 L
.47351 .52515 L
.47487 .52649 L
.47512 .52736 L
.47572 .52809 L
.47672 .52953 L
.47683 .5297 L
.47806 .5313 L
.47833 .53165 L
.47927 .53291 L
.47993 .53361 L
.48073 .53451 L
.48154 .53585 L
.48174 .53612 L
.48292 .53772 L
.48314 .53801 L
.48413 .53933 L
.48475 .53982 L
.48579 .54093 L
.48636 .54221 L
.48661 .54254 L
.48774 .54414 L
.48796 .54443 L
.48892 .54575 L
.48957 .5466 L
.49012 .54735 L
.49117 .54867 L
.49141 .54896 L
.49248 .55057 L
.49278 .55096 L
.49363 .55217 L
.49438 .55319 L
.49479 .55378 L
.49595 .55538 L
.49599 .55543 L
.49703 .55699 L
.49759 .55778 L
.49811 .55859 L
.4992 .56019 L
.4992 .5602 L
.4992 .56177 L
.49764 .5602 L
.49759 .56015 L
.49618 .55859 L
.49599 .55839 L
.49478 .55699 L
.49438 .55656 L
.49339 .55538 L
.49278 .55468 L
.49202 .55378 L
.49117 .55294 L
.49068 .55217 L
.48957 .55086 L
.48925 .55057 L
.48803 .54896 L
.48796 .54887 L
.48674 .54735 L
.48636 .54721 L
.48544 .54575 L
.48475 .545 L
.48377 .54414 L
.48314 .54291 L
.48281 .54254 L
.48158 .54093 L
.48154 .54088 L
.48032 .53933 L
.47993 .53902 L
.47905 .53772 L
.47833 .53688 L
.47761 .53612 L
.47672 .53478 L
.47651 .53451 L
.47526 .53291 L
.47512 .5329 L
.47401 .5313 L
.47351 .53079 L
.4724 .5297 L
.47191 .52865 L
.47144 .52809 L
.4703 .52655 L
.47026 .52649 L
.46902 .52488 L
.4687 .52467 L
.46777 .52328 L
.46709 .52249 L
.46636 .52167 L
.46549 .52034 L
.46528 .52007 L
.46405 .51846 L
.46388 .51825 L
.46282 .51686 L
.46228 .51632 L
.46124 .51525 L
.46067 .51412 L
.46028 .51364 L
.45911 .51204 L
.45907 .51199 L
.45789 .51043 L
.45746 .51018 L
.45667 .50883 L
.45586 .50789 L
.45528 .50722 L
.45425 .5057 L
.45419 .50562 L
.45299 .50401 L
.45265 .50357 L
.45178 .50241 L
.45104 .50167 L
.45025 .5008 L
.44943 .49938 L
.44929 .4992 L
.44812 .49759 L
.44783 .49722 L
.44692 .49599 L
.44622 .49548 L
.44571 .49438 L
.44462 .49301 L
.44442 .49278 L
.4433 .49117 L
.44301 .4908 L
.44212 .48957 L
.44141 .48863 L
.44092 .48796 L
.4398 .48654 L
.43965 .48636 L
.43856 .48475 L
.4382 .48427 L
.43741 .48314 L
.43659 .48204 L
.43624 .48154 L
.43508 .47993 L
.43499 .4798 L
.43402 .47833 L
.43338 .47744 L
.43294 .47672 L
F
0 .36 1 r
.43338 .4821 m
.43427 .48314 L
.43499 .48392 L
.43567 .48475 L
.43659 .4858 L
.43704 .48636 L
.4382 .48772 L
.43839 .48796 L
.4397 .48957 L
.4398 .48968 L
.44099 .49117 L
.44141 .49167 L
.44228 .49278 L
.44301 .49366 L
.44358 .49438 L
.44462 .49549 L
.44487 .49599 L
.44614 .49759 L
.44622 .49769 L
.44739 .4992 L
.44783 .49974 L
.44865 .5008 L
.44943 .50179 L
.44991 .50241 L
.45104 .50378 L
.45129 .50401 L
.4524 .50562 L
.45265 .50592 L
.45363 .50722 L
.45425 .50801 L
.45487 .50883 L
.45586 .50986 L
.45612 .51043 L
.45734 .51204 L
.45746 .51219 L
.45854 .51364 L
.45907 .51431 L
.45976 .51525 L
.46067 .51643 L
.46098 .51686 L
.46219 .51846 L
.46228 .51857 L
.46336 .52007 L
.46388 .52074 L
.46454 .52167 L
.46549 .52291 L
.46575 .52328 L
.46691 .52488 L
.46709 .52512 L
.46802 .52649 L
.4687 .5274 L
.46915 .52809 L
.4687 .52929 L
.46769 .52809 L
.46709 .52744 L
.46631 .52649 L
.46549 .52554 L
.46495 .52488 L
.46388 .52361 L
.46361 .52328 L
.46229 .52167 L
.46228 .52165 L
.46102 .52007 L
.46067 .51965 L
.45974 .51846 L
.45907 .51765 L
.45845 .51686 L
.45746 .51591 L
.45716 .51525 L
.45588 .51364 L
.45586 .51361 L
.45465 .51204 L
.45425 .51156 L
.45339 .51043 L
.45265 .5095 L
.45213 .50883 L
.45104 .50755 L
.45067 .50722 L
.44964 .50562 L
.44943 .50537 L
.44842 .50401 L
.44783 .50328 L
.44718 .50241 L
.44622 .50151 L
.44594 .5008 L
.44471 .4992 L
.44462 .49909 L
.44351 .49759 L
.44301 .49696 L
.4423 .49599 L
.44141 .49483 L
.44108 .49438 L
.43986 .49278 L
.4398 .4927 L
.43871 .49117 L
.4382 .49051 L
.43753 .48957 L
.43659 .48834 L
.43633 .48796 L
.43517 .48636 L
.43499 .48612 L
.43407 .48475 L
.43338 .48382 L
.43295 .48314 L
F
1 .94 .156 r
.43338 .42029 m
.43375 .42054 L
.43499 .42151 L
.43564 .42215 L
.43659 .42285 L
.4372 .42375 L
.4382 .4248 L
.43903 .42536 L
.4398 .42673 L
.44003 .42696 L
.44131 .42857 L
.44141 .42869 L
.44257 .43017 L
.44301 .43075 L
.44379 .43178 L
.44462 .43256 L
.44504 .43338 L
.44589 .43499 L
.44622 .43579 L
.44636 .43659 L
.44622 .43674 L
.44524 .43659 L
.44462 .43622 L
.44326 .43499 L
.44301 .43474 L
.44184 .43338 L
.44141 .43289 L
.44053 .43178 L
.4398 .43089 L
.43926 .43017 L
.4382 .42898 L
.43783 .42857 L
.43684 .42696 L
.43659 .42664 L
.43571 .42536 L
.43499 .42434 L
.43461 .42375 L
.43359 .42215 L
.43338 .42179 L
.43297 .42054 L
F
.212 .95 1 r
.43338 .38428 m
.43425 .38523 L
.43499 .38596 L
.43573 .38683 L
.43659 .38777 L
.43714 .38844 L
.4382 .38963 L
.43853 .39004 L
.4398 .3915 L
.44001 .39165 L
.4412 .39325 L
.44141 .39349 L
.4425 .39486 L
.44301 .39546 L
.4438 .39646 L
.44462 .39716 L
.44511 .39807 L
.44622 .39939 L
.44653 .39967 L
.44768 .40128 L
.44783 .40146 L
.44894 .40288 L
.44943 .40349 L
.45021 .40449 L
.45104 .40534 L
.45193 .40609 L
.45265 .40753 L
.4528 .4077 L
.454 .4093 L
.45425 .40961 L
.45524 .41091 L
.45586 .41131 L
.4565 .41251 L
.45746 .41363 L
.45795 .41412 L
.45902 .41572 L
.45907 .41579 L
.46024 .41733 L
.46067 .41787 L
.46147 .41894 L
.46228 .41973 L
.46314 .42054 L
.46388 .42199 L
.46402 .42215 L
.4652 .42375 L
.46549 .42411 L
.46642 .42536 L
.46709 .42578 L
.46765 .42696 L
.4687 .4282 L
.46904 .42857 L
.47013 .43017 L
.4703 .43039 L
.47133 .43178 L
.47191 .43251 L
.47256 .43338 L
.47351 .43441 L
.47408 .43499 L
.47503 .43659 L
.47512 .43671 L
.47621 .4382 L
.47672 .43885 L
.47742 .4398 L
.47833 .44097 L
.47865 .44141 L
.47988 .44301 L
.47993 .44309 L
.48105 .44462 L
.48154 .44525 L
.48223 .44622 L
.48314 .4474 L
.48345 .44783 L
.48465 .44943 L
.48475 .44956 L
.48579 .45104 L
.48636 .45178 L
.48695 .45265 L
.48796 .45399 L
.48814 .45425 L
.48926 .45586 L
.48957 .45627 L
.49031 .45746 L
.49117 .45869 L
.49138 .45907 L
.49117 .45991 L
.49034 .45907 L
.48957 .4583 L
.4888 .45746 L
.48796 .45655 L
.48734 .45586 L
.48636 .45522 L
.48593 .45425 L
.48475 .45292 L
.48433 .45265 L
.4832 .45104 L
.48314 .45098 L
.48186 .44943 L
.48154 .44906 L
.48052 .44783 L
.47993 .44734 L
.47919 .44622 L
.47833 .44519 L
.47775 .44462 L
.47672 .44316 L
.47661 .44301 L
.47531 .44141 L
.47512 .44118 L
.47402 .4398 L
.47351 .43927 L
.47232 .4382 L
.47191 .43715 L
.47143 .43659 L
.4703 .4351 L
.47023 .43499 L
.46894 .43338 L
.4687 .43322 L
.46767 .43178 L
.46709 .43108 L
.46628 .43017 L
.46549 .42897 L
.4652 .42857 L
.46392 .42696 L
.46388 .42691 L
.46267 .42536 L
.46228 .42496 L
.46108 .42375 L
.46067 .4228 L
.46016 .42215 L
.45907 .42068 L
.45898 .42054 L
.45772 .41894 L
.45746 .4188 L
.45648 .41733 L
.45586 .41659 L
.45512 .41572 L
.45425 .41442 L
.45404 .41412 L
.4528 .41251 L
.45265 .41231 L
.45158 .41091 L
.45104 .41038 L
.45003 .4093 L
.44943 .40812 L
.44911 .4077 L
.44794 .40609 L
.44783 .40595 L
.44673 .40449 L
.44622 .40422 L
.44553 .40288 L
.44462 .40176 L
.44423 .40128 L
.44314 .39967 L
.44301 .39951 L
.44196 .39807 L
.44141 .39733 L
.44077 .39646 L
.4398 .39528 L
.43944 .39486 L
.43845 .39325 L
.4382 .39291 L
.43731 .39165 L
.43659 .39066 L
.43616 .39004 L
.43504 .38844 L
.43499 .38836 L
.43401 .38683 L
.43338 .38591 L
.43297 .38523 L
F
.007 .84 1 r
.43338 .44656 m
.43478 .44783 L
.43499 .44803 L
.43623 .44943 L
.43659 .44983 L
.43757 .45104 L
.4382 .45179 L
.43885 .45265 L
.4398 .45384 L
.4401 .45425 L
.44131 .45586 L
.44141 .45599 L
.4424 .45746 L
.44301 .45836 L
.44343 .45907 L
.44301 .46026 L
.44174 .45907 L
.44141 .45875 L
.44024 .45746 L
.4398 .45698 L
.43885 .45586 L
.4382 .45507 L
.43754 .45425 L
.43659 .45335 L
.43628 .45265 L
.4351 .45104 L
.43499 .45088 L
.434 .44943 L
.43338 .44846 L
.433 .44783 L
F
0 .35 1 r
.43338 .48218 m
.4342 .48314 L
.43499 .48398 L
.43562 .48475 L
.43659 .48585 L
.437 .48636 L
.4382 .48777 L
.43835 .48796 L
.43967 .48957 L
.4398 .48972 L
.44095 .49117 L
.44141 .49171 L
.44225 .49278 L
.44301 .4937 L
.44355 .49438 L
.44462 .49554 L
.44484 .49599 L
.44611 .49759 L
.44622 .49773 L
.44736 .4992 L
.44783 .49977 L
.44862 .5008 L
.44943 .50182 L
.44989 .50241 L
.45104 .50382 L
.45125 .50401 L
.45238 .50562 L
.45265 .50595 L
.45361 .50722 L
.45425 .50804 L
.45485 .50883 L
.45586 .50991 L
.45609 .51043 L
.45732 .51204 L
.45746 .51222 L
.45851 .51364 L
.45907 .51435 L
.45973 .51525 L
.46067 .51647 L
.46096 .51686 L
.46216 .51846 L
.46228 .5186 L
.46333 .52007 L
.46388 .52078 L
.46451 .52167 L
.46549 .52296 L
.46571 .52328 L
.46687 .52488 L
.46709 .52518 L
.46797 .52649 L
.4687 .52747 L
.4691 .52809 L
.4687 .52922 L
.46775 .52809 L
.46709 .52738 L
.46636 .52649 L
.46549 .52549 L
.46499 .52488 L
.46388 .52357 L
.46365 .52328 L
.46233 .52167 L
.46228 .52161 L
.46105 .52007 L
.46067 .51962 L
.45977 .51846 L
.45907 .51761 L
.45847 .51686 L
.45746 .51586 L
.45718 .51525 L
.45591 .51364 L
.45586 .51358 L
.45467 .51204 L
.45425 .51152 L
.45342 .51043 L
.45265 .50947 L
.45215 .50883 L
.45104 .50751 L
.45072 .50722 L
.44966 .50562 L
.44943 .50534 L
.44844 .50401 L
.44783 .50324 L
.4472 .50241 L
.44622 .50146 L
.44596 .5008 L
.44473 .4992 L
.44462 .49905 L
.44354 .49759 L
.44301 .49692 L
.44233 .49599 L
.44141 .4948 L
.4411 .49438 L
.43989 .49278 L
.4398 .49266 L
.43874 .49117 L
.4382 .49047 L
.43756 .48957 L
.43659 .48829 L
.43636 .48796 L
.43521 .48636 L
.43499 .48606 L
.43412 .48475 L
.43338 .48374 L
.43301 .48314 L
F
1 .71 0 r
.43338 .47546 m
.43457 .47672 L
.43499 .47715 L
.43604 .47833 L
.43659 .47893 L
.43746 .47993 L
.4382 .48077 L
.43885 .48154 L
.4398 .48255 L
.44021 .48314 L
.44141 .48457 L
.4416 .48475 L
.44287 .48636 L
.44301 .48652 L
.44419 .48796 L
.44462 .48823 L
.4455 .48957 L
.44622 .49039 L
.44707 .49117 L
.44783 .49245 L
.44811 .49278 L
.44937 .49438 L
.44943 .49446 L
.45065 .49599 L
.45104 .49635 L
.45193 .49759 L
.45265 .49846 L
.4533 .4992 L
.45425 .50054 L
.45444 .5008 L
.45573 .50241 L
.45586 .50246 L
.45699 .50401 L
.45746 .50454 L
.45849 .50562 L
.45907 .50666 L
.45952 .50722 L
.46067 .50874 L
.46072 .50883 L
.46199 .51043 L
.46228 .51067 L
.46374 .51204 L
.46388 .51281 L
.46459 .51364 L
.46549 .51494 L
.46571 .51525 L
.46697 .51686 L
.46709 .51687 L
.4682 .51846 L
.4687 .51899 L
.46968 .52007 L
.4703 .52116 L
.4707 .52167 L
.47191 .52327 L
.47191 .52328 L
.47313 .52488 L
.47351 .52517 L
.47486 .52649 L
.47512 .52739 L
.47569 .52809 L
.47672 .52956 L
.47681 .5297 L
.47803 .5313 L
.47833 .53169 L
.47925 .53291 L
.47993 .53364 L
.4807 .53451 L
.48154 .53589 L
.48171 .53612 L
.4829 .53772 L
.48314 .53804 L
.4841 .53933 L
.48475 .53986 L
.48576 .54093 L
.48636 .54226 L
.48658 .54254 L
.48771 .54414 L
.48796 .54447 L
.48889 .54575 L
.48957 .54664 L
.49008 .54735 L
.49117 .54874 L
.49135 .54896 L
.49243 .55057 L
.49278 .55103 L
.49358 .55217 L
.49438 .55326 L
.49474 .55378 L
.49589 .55538 L
.49599 .55552 L
.49695 .55699 L
.49759 .55789 L
.49803 .55859 L
.49759 .56001 L
.49629 .55859 L
.49599 .55828 L
.49486 .55699 L
.49438 .55647 L
.49346 .55538 L
.49278 .55461 L
.49208 .55378 L
.49117 .55287 L
.49073 .55217 L
.48957 .5508 L
.48931 .55057 L
.48808 .54896 L
.48796 .54882 L
.48678 .54735 L
.48636 .54718 L
.48548 .54575 L
.48475 .54496 L
.48381 .54414 L
.48314 .54287 L
.48284 .54254 L
.48161 .54093 L
.48154 .54085 L
.48035 .53933 L
.47993 .53899 L
.47907 .53772 L
.47833 .53685 L
.47764 .53612 L
.47672 .53475 L
.47654 .53451 L
.47528 .53291 L
.47512 .5329 L
.47403 .5313 L
.47351 .53077 L
.47242 .5297 L
.47191 .52862 L
.47146 .52809 L
.4703 .52653 L
.47028 .52649 L
.46904 .52488 L
.4687 .52465 L
.46779 .52328 L
.46709 .52247 L
.46638 .52167 L
.46549 .52032 L
.4653 .52007 L
.46407 .51846 L
.46388 .51822 L
.46284 .51686 L
.46228 .5163 L
.46126 .51525 L
.46067 .5141 L
.4603 .51364 L
.45913 .51204 L
.45907 .51196 L
.45791 .51043 L
.45746 .51016 L
.45669 .50883 L
.45586 .50786 L
.45531 .50722 L
.45425 .50567 L
.45421 .50562 L
.45301 .50401 L
.45265 .50354 L
.4518 .50241 L
.45104 .50163 L
.45028 .5008 L
.44943 .49934 L
.44932 .4992 L
.44815 .49759 L
.44783 .49718 L
.44695 .49599 L
.44622 .49544 L
.44573 .49438 L
.44462 .49297 L
.44446 .49278 L
.44333 .49117 L
.44301 .49076 L
.44215 .48957 L
.44141 .48859 L
.44095 .48796 L
.4398 .48647 L
.43971 .48636 L
.43861 .48475 L
.4382 .48421 L
.43746 .48314 L
.43659 .48198 L
.43629 .48154 L
.43515 .47993 L
.43499 .47971 L
.43409 .47833 L
.43338 .47732 L
.43302 .47672 L
F
0 .34 1 r
.43338 .48227 m
.43413 .48314 L
.43499 .48405 L
.43557 .48475 L
.43659 .48591 L
.43696 .48636 L
.4382 .48781 L
.43832 .48796 L
.43963 .48957 L
.4398 .48977 L
.44092 .49117 L
.44141 .49175 L
.44222 .49278 L
.44301 .49373 L
.44352 .49438 L
.44462 .49559 L
.44482 .49599 L
.44608 .49759 L
.44622 .49776 L
.44733 .4992 L
.44783 .49981 L
.4486 .5008 L
.44943 .50185 L
.44986 .50241 L
.45104 .50386 L
.45121 .50401 L
.45235 .50562 L
.45265 .50598 L
.45358 .50722 L
.45425 .50807 L
.45482 .50883 L
.45586 .50995 L
.45607 .51043 L
.45729 .51204 L
.45746 .51226 L
.45849 .51364 L
.45907 .51438 L
.4597 .51525 L
.46067 .5165 L
.46093 .51686 L
.46213 .51846 L
.46228 .51864 L
.4633 .52007 L
.46388 .52083 L
.46448 .52167 L
.46549 .523 L
.46568 .52328 L
.46682 .52488 L
.46709 .52524 L
.46792 .52649 L
.4687 .52754 L
.46905 .52809 L
.4687 .52914 L
.46781 .52809 L
.46709 .52732 L
.46641 .52649 L
.46549 .52544 L
.46503 .52488 L
.46388 .52352 L
.46368 .52328 L
.46237 .52167 L
.46228 .52157 L
.46109 .52007 L
.46067 .51958 L
.4598 .51846 L
.45907 .51758 L
.4585 .51686 L
.45746 .5158 L
.45721 .51525 L
.45594 .51364 L
.45586 .51354 L
.4547 .51204 L
.45425 .51149 L
.45344 .51043 L
.45265 .50944 L
.45218 .50883 L
.45104 .50746 L
.45077 .50722 L
.44969 .50562 L
.44943 .5053 L
.44847 .50401 L
.44783 .50321 L
.44723 .50241 L
.44622 .50141 L
.44598 .5008 L
.44476 .4992 L
.44462 .49902 L
.44357 .49759 L
.44301 .49689 L
.44236 .49599 L
.44141 .49476 L
.44113 .49438 L
.43993 .49278 L
.4398 .49262 L
.43877 .49117 L
.4382 .49043 L
.43759 .48957 L
.43659 .48824 L
.4364 .48796 L
.43526 .48636 L
.43499 .486 L
.43418 .48475 L
.43338 .48366 L
.43306 .48314 L
F
1 .07 0 r
.43338 .48902 m
.43377 .48957 L
.43499 .49098 L
.43513 .49117 L
.43499 .49211 L
.43435 .49117 L
.43338 .49 L
.43309 .48957 L
F
1 .7 0 r
.43338 .47564 m
.43443 .47672 L
.43499 .47727 L
.43594 .47833 L
.43659 .47903 L
.43738 .47993 L
.4382 .48086 L
.43878 .48154 L
.4398 .48263 L
.44015 .48314 L
.44141 .48464 L
.44153 .48475 L
.44282 .48636 L
.44301 .48658 L
.44414 .48796 L
.44462 .48826 L
.44546 .48957 L
.44622 .49044 L
.44703 .49117 L
.44783 .4925 L
.44807 .49278 L
.44934 .49438 L
.44943 .4945 L
.45062 .49599 L
.45104 .49638 L
.4519 .49759 L
.45265 .4985 L
.45328 .4992 L
.45425 .50057 L
.45442 .5008 L
.4557 .50241 L
.45586 .50247 L
.45696 .50401 L
.45746 .50457 L
.45847 .50562 L
.45907 .50669 L
.45949 .50722 L
.46067 .50876 L
.46071 .50883 L
.46197 .51043 L
.46228 .51069 L
.46373 .51204 L
.46388 .51284 L
.46457 .51364 L
.46549 .51497 L
.46569 .51525 L
.46694 .51686 L
.46709 .51688 L
.46818 .51846 L
.4687 .51901 L
.46966 .52007 L
.4703 .52118 L
.47068 .52167 L
.47189 .52328 L
.47191 .5233 L
.47311 .52488 L
.47351 .52519 L
.47484 .52649 L
.47512 .52742 L
.47567 .52809 L
.47672 .52959 L
.47679 .5297 L
.47801 .5313 L
.47833 .53172 L
.47923 .53291 L
.47993 .53367 L
.48067 .53451 L
.48154 .53592 L
.48169 .53612 L
.48287 .53772 L
.48314 .53808 L
.48407 .53933 L
.48475 .5399 L
.48572 .54093 L
.48636 .54231 L
.48654 .54254 L
.48768 .54414 L
.48796 .54452 L
.48886 .54575 L
.48957 .54669 L
.49005 .54735 L
.49117 .54882 L
.49129 .54896 L
.49238 .55057 L
.49278 .55109 L
.49353 .55217 L
.49438 .55333 L
.49469 .55378 L
.49582 .55538 L
.49599 .55561 L
.49687 .55699 L
.49759 .55802 L
.49794 .55859 L
.49759 .55985 L
.49641 .55859 L
.49599 .55817 L
.49495 .55699 L
.49438 .55638 L
.49353 .55538 L
.49278 .55453 L
.49214 .55378 L
.49117 .55279 L
.49078 .55217 L
.48957 .55073 L
.48938 .55057 L
.48813 .54896 L
.48796 .54877 L
.48682 .54735 L
.48636 .54715 L
.48551 .54575 L
.48475 .54491 L
.48386 .54414 L
.48314 .54283 L
.48288 .54254 L
.48164 .54093 L
.48154 .54081 L
.48038 .53933 L
.47993 .53897 L
.4791 .53772 L
.47833 .53681 L
.47767 .53612 L
.47672 .53472 L
.47656 .53451 L
.47531 .53291 L
.47512 .53289 L
.47406 .5313 L
.47351 .53074 L
.47245 .5297 L
.47191 .52859 L
.47149 .52809 L
.4703 .5265 L
.47029 .52649 L
.46906 .52488 L
.4687 .52463 L
.46781 .52328 L
.46709 .52244 L
.4664 .52167 L
.46549 .52029 L
.46532 .52007 L
.46409 .51846 L
.46388 .5182 L
.46286 .51686 L
.46228 .51628 L
.46128 .51525 L
.46067 .51407 L
.46033 .51364 L
.45915 .51204 L
.45907 .51193 L
.45793 .51043 L
.45746 .51014 L
.45671 .50883 L
.45586 .50784 L
.45533 .50722 L
.45425 .50564 L
.45424 .50562 L
.45304 .50401 L
.45265 .50351 L
.45182 .50241 L
.45104 .5016 L
.45031 .5008 L
.44943 .49931 L
.44935 .4992 L
.44817 .49759 L
.44783 .49715 L
.44697 .49599 L
.44622 .4954 L
.44576 .49438 L
.44462 .49292 L
.4445 .49278 L
.44336 .49117 L
.44301 .49072 L
.44218 .48957 L
.44141 .48855 L
.44099 .48796 L
.4398 .4864 L
.43977 .48636 L
.43865 .48475 L
.4382 .48415 L
.43751 .48314 L
.43659 .48191 L
.43634 .48154 L
.43522 .47993 L
.43499 .47961 L
.43418 .47833 L
.43338 .47718 L
.43312 .47672 L
F
0 .33 1 r
.43338 .48238 m
.43405 .48314 L
.43499 .48412 L
.43551 .48475 L
.43659 .48596 L
.43691 .48636 L
.4382 .48786 L
.43828 .48796 L
.43959 .48957 L
.4398 .48981 L
.44088 .49117 L
.44141 .49179 L
.44219 .49278 L
.44301 .49377 L
.44349 .49438 L
.44462 .49564 L
.44479 .49599 L
.44605 .49759 L
.44622 .4978 L
.4473 .4992 L
.44783 .49984 L
.44857 .5008 L
.44943 .50188 L
.44984 .50241 L
.45104 .5039 L
.45116 .50401 L
.45232 .50562 L
.45265 .50602 L
.45356 .50722 L
.45425 .5081 L
.4548 .50883 L
.45586 .51 L
.45605 .51043 L
.45726 .51204 L
.45746 .51229 L
.45846 .51364 L
.45907 .51442 L
.45968 .51525 L
.46067 .51654 L
.46091 .51686 L
.4621 .51846 L
.46228 .51869 L
.46326 .52007 L
.46388 .52087 L
.46445 .52167 L
.46549 .52305 L
.46565 .52328 L
.46678 .52488 L
.46709 .5253 L
.46787 .52649 L
.4687 .52762 L
.46899 .52809 L
.4687 .52905 L
.46788 .52809 L
.46709 .52726 L
.46646 .52649 L
.46549 .52539 L
.46507 .52488 L
.46388 .52348 L
.46372 .52328 L
.46241 .52167 L
.46228 .52152 L
.46112 .52007 L
.46067 .51954 L
.45983 .51846 L
.45907 .51754 L
.45853 .51686 L
.45746 .51575 L
.45724 .51525 L
.45597 .51364 L
.45586 .51351 L
.45473 .51204 L
.45425 .51146 L
.45347 .51043 L
.45265 .50941 L
.4522 .50883 L
.45104 .50742 L
.45082 .50722 L
.44971 .50562 L
.44943 .50527 L
.44849 .50401 L
.44783 .50318 L
.44725 .50241 L
.44622 .50135 L
.446 .5008 L
.44479 .4992 L
.44462 .49899 L
.44359 .49759 L
.44301 .49685 L
.44238 .49599 L
.44141 .49473 L
.44116 .49438 L
.43996 .49278 L
.4398 .49258 L
.43881 .49117 L
.4382 .49038 L
.43763 .48957 L
.43659 .4882 L
.43643 .48796 L
.43531 .48636 L
.43499 .48593 L
.43423 .48475 L
.43338 .48357 L
.43313 .48314 L
F
1 .93 .114 r
.43338 .44123 m
.43499 .4414 L
.435 .44141 L
.43659 .4425 L
.4375 .44301 L
.4382 .44417 L
.43867 .44462 L
.4398 .44607 L
.43992 .44622 L
.44121 .44783 L
.44141 .44801 L
.44248 .44943 L
.44301 .45005 L
.44397 .45104 L
.44462 .45215 L
.44502 .45265 L
.44622 .45424 L
.44623 .45425 L
.44745 .45586 L
.44783 .45604 L
.44909 .45746 L
.44943 .45828 L
.45 .45907 L
.45104 .46056 L
.45111 .46067 L
.45228 .46228 L
.45265 .46278 L
.45343 .46388 L
.45425 .46508 L
.45467 .46549 L
.45535 .46709 L
.45425 .46806 L
.45265 .46728 L
.4523 .46709 L
.45104 .46591 L
.45067 .46549 L
.44943 .46417 L
.44931 .46388 L
.44784 .46228 L
.44783 .46227 L
.44633 .46067 L
.44622 .46026 L
.44523 .45907 L
.44462 .45818 L
.44412 .45746 L
.44301 .4561 L
.44272 .45586 L
.4415 .45425 L
.44141 .45416 L
.44017 .45265 L
.4398 .45207 L
.4391 .45104 L
.4382 .44991 L
.43801 .44943 L
.43666 .44783 L
.43659 .44774 L
.43521 .44622 L
.43499 .44547 L
.43434 .44462 L
.43344 .44301 L
.43338 .44289 L
.43316 .44141 L
F
1 .06 0 r
.43338 .48912 m
.43369 .48957 L
.43499 .49106 L
.43507 .49117 L
.43499 .49202 L
.43444 .49117 L
.43338 .4899 L
.43317 .48957 L
F
1 .98 .538 r
.43338 .46356 m
.43385 .46388 L
.43499 .4647 L
.43596 .46549 L
.43659 .466 L
.43787 .46709 L
.4382 .46738 L
.43967 .4687 L
.4398 .46877 L
.44132 .4703 L
.44141 .47039 L
.44285 .47191 L
.44301 .47211 L
.44437 .47351 L
.44462 .47396 L
.44566 .47512 L
.44622 .4759 L
.44693 .47672 L
.44783 .47789 L
.44819 .47833 L
.44943 .47989 L
.44947 .47993 L
.45075 .48154 L
.45104 .48196 L
.45194 .48314 L
.45265 .48406 L
.45311 .48475 L
.45425 .48614 L
.45429 .48636 L
.4557 .48796 L
.45586 .48818 L
.45685 .48957 L
.45746 .49035 L
.45787 .49117 L
.45907 .49255 L
.45945 .49278 L
.46067 .49438 L
.46067 .49438 L
.46183 .49599 L
.46228 .49656 L
.46281 .49759 L
.46388 .49885 L
.46444 .4992 L
.46549 .50059 L
.46566 .5008 L
.46686 .50241 L
.46709 .50273 L
.4679 .50401 L
.4687 .50498 L
.46941 .50562 L
.4703 .50681 L
.47063 .50722 L
.47185 .50883 L
.47191 .50891 L
.47298 .51043 L
.47351 .51111 L
.47391 .51204 L
.47512 .5134 L
.47559 .51364 L
.47672 .51514 L
.47681 .51525 L
.478 .51686 L
.47833 .51729 L
.47904 .51846 L
.47993 .51952 L
.48054 .52007 L
.48154 .52139 L
.48176 .52167 L
.48298 .52328 L
.48314 .52351 L
.48409 .52488 L
.48475 .5257 L
.48504 .52649 L
.48636 .5279 L
.4867 .52809 L
.48793 .5297 L
.48796 .52976 L
.48911 .5313 L
.48957 .5319 L
.49015 .53291 L
.49117 .53409 L
.49164 .53451 L
.49278 .53602 L
.49285 .53612 L
.4941 .53772 L
.49438 .53813 L
.49519 .53933 L
.49599 .5403 L
.49616 .54093 L
.49759 .54242 L
.49779 .54254 L
.49906 .54414 L
.4992 .54438 L
.50021 .54575 L
.5008 .54652 L
.50125 .54735 L
.50241 .54866 L
.50272 .54896 L
.504 .55057 L
.50401 .55065 L
.5052 .55217 L
.50562 .55276 L
.50629 .55378 L
.50722 .5549 L
.50731 .55538 L
.50883 .55696 L
.50887 .55699 L
.5102 .55859 L
.51043 .55901 L
.5113 .5602 L
.51204 .56114 L
.51237 .5618 L
.51364 .56325 L
.5138 .56341 L
.51519 .56501 L
.51525 .56527 L
.51631 .56662 L
.51686 .56739 L
.51739 .56822 L
.51846 .56952 L
.51849 .56983 L
.51994 .57143 L
.52007 .57154 L
.52132 .57304 L
.52167 .57364 L
.52239 .57464 L
.52328 .57579 L
.52349 .57625 L
.52486 .57785 L
.52488 .57786 L
.52635 .57946 L
.52649 .57988 L
.52739 .58106 L
.52809 .58205 L
.52848 .58267 L
.5297 .58419 L
.5297 .58428 L
.53098 .58588 L
.5313 .58612 L
.5324 .58749 L
.53291 .58831 L
.53345 .58909 L
.53451 .59049 L
.53461 .5907 L
.53588 .5923 L
.53612 .59261 L
.53746 .59391 L
.53772 .59456 L
.53842 .59551 L
.53933 .5968 L
.53952 .59712 L
.54075 .59872 L
.54093 .59896 L
.54195 .60033 L
.54254 .6008 L
.54339 .60193 L
.54414 .60314 L
.54441 .60354 L
.54559 .60514 L
.54575 .60536 L
.54677 .60675 L
.54735 .60752 L
.54835 .60835 L
.54896 .60957 L
.54923 .60996 L
.55034 .61156 L
.55057 .61187 L
.55149 .61317 L
.55217 .61409 L
.55265 .61477 L
.55378 .61628 L
.55384 .61638 L
.5549 .61799 L
.55538 .61867 L
.55597 .61959 L
.55699 .6211 L
.55705 .6212 L
.55791 .6228 L
.55699 .6234 L
.55635 .6228 L
.55538 .62189 L
.55472 .6212 L
.55378 .6203 L
.5532 .61959 L
.55217 .61845 L
.55156 .61799 L
.55057 .6166 L
.55034 .61638 L
.54896 .61477 L
.54896 .61477 L
.5476 .61317 L
.54735 .61288 L
.54587 .61156 L
.54575 .61091 L
.54489 .60996 L
.54414 .60888 L
.54373 .60835 L
.54254 .60687 L
.54252 .60675 L
.54103 .60514 L
.54093 .60502 L
.53965 .60354 L
.53933 .60295 L
.53852 .60193 L
.53772 .60084 L
.53742 .60033 L
.53612 .59876 L
.53593 .59872 L
.53457 .59712 L
.53451 .5969 L
.5334 .59551 L
.53291 .59477 L
.5323 .59391 L
.5313 .59261 L
.53127 .5923 L
.5297 .59074 L
.52966 .5907 L
.52834 .58909 L
.52809 .58864 L
.52722 .58749 L
.52649 .58648 L
.52616 .58588 L
.52488 .58435 L
.52467 .58428 L
.52334 .58267 L
.52328 .58245 L
.52218 .58106 L
.52167 .5803 L
.5211 .57946 L
.52007 .57815 L
.51971 .57785 L
.51849 .57625 L
.51846 .57621 L
.51716 .57464 L
.51686 .5741 L
.51606 .57304 L
.51525 .57195 L
.51499 .57143 L
.51364 .56988 L
.51354 .56983 L
.51215 .56822 L
.51204 .56787 L
.51104 .56662 L
.51043 .56574 L
.50995 .56501 L
.50883 .56362 L
.5086 .56341 L
.50737 .5618 L
.50722 .56163 L
.50602 .5602 L
.50562 .55951 L
.50493 .55859 L
.50401 .55738 L
.50383 .55699 L
.50244 .55538 L
.50241 .55535 L
.50099 .55378 L
.5008 .55327 L
.49992 .55217 L
.4992 .55114 L
.49882 .55057 L
.49759 .54905 L
.4975 .54896 L
.49628 .54735 L
.49599 .54703 L
.49489 .54575 L
.49438 .5449 L
.49382 .54414 L
.49278 .54278 L
.49267 .54254 L
.49135 .54093 L
.49117 .54078 L
.48984 .53933 L
.48957 .53867 L
.48881 .53772 L
.48796 .53653 L
.4877 .53612 L
.48642 .53451 L
.48636 .53449 L
.4852 .53291 L
.48475 .53244 L
.48379 .5313 L
.48314 .53028 L
.48272 .5297 L
.48154 .52816 L
.48151 .52809 L
.48027 .52649 L
.47993 .52622 L
.47872 .52488 L
.47833 .52405 L
.47772 .52328 L
.47672 .52189 L
.47659 .52167 L
.47535 .52007 L
.47512 .52 L
.47413 .51846 L
.47351 .51783 L
.4727 .51686 L
.47191 .51564 L
.47163 .51525 L
.47042 .51364 L
.4703 .5135 L
.46921 .51204 L
.4687 .51164 L
.46764 .51043 L
.46709 .5094 L
.46665 .50883 L
.46549 .50722 L
.46549 .50722 L
.46429 .50562 L
.46388 .50511 L
.46306 .50401 L
.46228 .50318 L
.46165 .50241 L
.46067 .50095 L
.46057 .5008 L
.45937 .4992 L
.45907 .49881 L
.45816 .49759 L
.45746 .497 L
.45662 .49599 L
.45586 .49468 L
.45563 .49438 L
.45446 .49278 L
.45425 .49251 L
.45326 .49117 L
.45265 .49039 L
.45154 .48957 L
.45104 .48842 L
.45069 .48796 L
.44957 .48636 L
.44943 .48619 L
.44837 .48475 L
.44783 .48405 L
.44716 .48314 L
.44622 .48214 L
.44576 .48154 L
.44471 .47993 L
.44462 .47982 L
.44353 .47833 L
.44301 .47767 L
.44233 .47672 L
.44141 .47553 L
.44087 .47512 L
.4399 .47351 L
.4398 .47339 L
.43874 .47191 L
.4382 .47121 L
.43757 .4703 L
.43659 .46902 L
.43637 .4687 L
.43522 .46709 L
.43499 .46678 L
.43417 .46549 L
.43338 .46432 L
.43319 .46388 L
F
.005 .83 1 r
.43338 .44689 m
.43458 .44783 L
.43499 .4482 L
.4361 .44943 L
.43659 .44997 L
.43746 .45104 L
.4382 .45191 L
.43876 .45265 L
.4398 .45396 L
.44002 .45425 L
.4412 .45586 L
.44141 .45614 L
.44227 .45746 L
.44301 .45859 L
.44327 .45907 L
.44301 .45998 L
.44196 .45907 L
.44141 .45856 L
.44039 .45746 L
.4398 .45683 L
.43898 .45586 L
.4382 .45493 L
.43765 .45425 L
.43659 .45311 L
.4364 .45265 L
.43523 .45104 L
.43499 .4507 L
.43414 .44943 L
.43338 .44818 L
.43319 .44783 L
F
0 .32 1 r
.43338 .48249 m
.43396 .48314 L
.43499 .48419 L
.43546 .48475 L
.43659 .48602 L
.43687 .48636 L
.4382 .48791 L
.43824 .48796 L
.43954 .48957 L
.4398 .48986 L
.44085 .49117 L
.44141 .49183 L
.44216 .49278 L
.44301 .49381 L
.44346 .49438 L
.44462 .4957 L
.44476 .49599 L
.44602 .49759 L
.44622 .49783 L
.44728 .4992 L
.44783 .49987 L
.44854 .5008 L
.44943 .50191 L
.44981 .50241 L
.45104 .50395 L
.45111 .50401 L
.4523 .50562 L
.45265 .50605 L
.45353 .50722 L
.45425 .50813 L
.45478 .50883 L
.45586 .51006 L
.45602 .51043 L
.45723 .51204 L
.45746 .51233 L
.45843 .51364 L
.45907 .51445 L
.45965 .51525 L
.46067 .51657 L
.46088 .51686 L
.46207 .51846 L
.46228 .51873 L
.46323 .52007 L
.46388 .52091 L
.46442 .52167 L
.46549 .5231 L
.46561 .52328 L
.46673 .52488 L
.46709 .52537 L
.46782 .52649 L
.4687 .5277 L
.46893 .52809 L
.4687 .52895 L
.46796 .52809 L
.46709 .52719 L
.46651 .52649 L
.46549 .52534 L
.46512 .52488 L
.46388 .52343 L
.46376 .52328 L
.46245 .52167 L
.46228 .52148 L
.46116 .52007 L
.46067 .5195 L
.45986 .51846 L
.45907 .51751 L
.45856 .51686 L
.45746 .51569 L
.45726 .51525 L
.456 .51364 L
.45586 .51347 L
.45475 .51204 L
.45425 .51143 L
.45349 .51043 L
.45265 .50938 L
.45223 .50883 L
.45104 .50738 L
.45087 .50722 L
.44974 .50562 L
.44943 .50524 L
.44852 .50401 L
.44783 .50315 L
.44727 .50241 L
.44622 .5013 L
.44603 .5008 L
.44482 .4992 L
.44462 .49895 L
.44362 .49759 L
.44301 .49682 L
.44241 .49599 L
.44141 .49469 L
.44118 .49438 L
.43999 .49278 L
.4398 .49254 L
.43884 .49117 L
.4382 .49034 L
.43766 .48957 L
.43659 .48815 L
.43646 .48796 L
.43536 .48636 L
.43499 .48586 L
.43429 .48475 L
.43338 .48347 L
.4332 .48314 L
F
1 .94 .156 r
.43338 .39129 m
.43367 .39165 L
.43499 .39298 L
.4352 .39325 L
.43659 .39483 L
.43661 .39486 L
.43791 .39646 L
.4382 .39679 L
.43919 .39807 L
.4398 .39877 L
.44049 .39967 L
.44141 .40075 L
.4418 .40128 L
.44301 .40275 L
.44311 .40288 L
.44436 .40449 L
.44462 .40479 L
.44559 .40609 L
.44622 .40686 L
.44685 .4077 L
.44783 .40891 L
.44812 .4093 L
.44939 .41091 L
.44943 .41096 L
.45058 .41251 L
.45104 .41308 L
.45179 .41412 L
.45265 .41518 L
.45303 .41572 L
.45425 .41727 L
.45429 .41733 L
.45546 .41894 L
.45586 .41943 L
.45663 .42054 L
.45746 .42159 L
.45784 .42215 L
.45907 .42374 L
.45907 .42375 L
.46016 .42536 L
.46067 .42602 L
.46125 .42696 L
.46228 .42834 L
.4624 .42857 L
.46228 .42918 L
.46173 .42857 L
.46067 .42744 L
.46027 .42696 L
.45907 .42557 L
.45888 .42536 L
.45756 .42375 L
.45746 .42364 L
.45626 .42215 L
.45586 .42168 L
.45495 .42054 L
.45425 .4197 L
.45364 .41894 L
.45265 .4177 L
.45235 .41733 L
.45109 .41572 L
.45104 .41567 L
.44984 .41412 L
.44943 .41362 L
.44858 .41251 L
.44783 .41157 L
.44732 .41091 L
.44622 .40974 L
.44607 .4093 L
.44485 .4077 L
.44462 .40741 L
.44363 .40609 L
.44301 .4053 L
.4424 .40449 L
.44141 .40319 L
.44118 .40288 L
.43999 .40128 L
.4398 .40104 L
.43882 .39967 L
.4382 .39886 L
.43763 .39807 L
.43659 .39667 L
.43644 .39646 L
.43535 .39486 L
.43499 .39438 L
.43427 .39325 L
.43338 .39197 L
.4332 .39165 L
F
1 .69 0 r
.43338 .47585 m
.43427 .47672 L
.43499 .47739 L
.43584 .47833 L
.43659 .47913 L
.4373 .47993 L
.4382 .48094 L
.43871 .48154 L
.4398 .48271 L
.44009 .48314 L
.44141 .48471 L
.44146 .48475 L
.44277 .48636 L
.44301 .48664 L
.4441 .48796 L
.44462 .4883 L
.44542 .48957 L
.44622 .49049 L
.44698 .49117 L
.44783 .49254 L
.44804 .49278 L
.4493 .49438 L
.44943 .49454 L
.45059 .49599 L
.45104 .49641 L
.45187 .49759 L
.45265 .49854 L
.45325 .4992 L
.45425 .50061 L
.4544 .5008 L
.45567 .50241 L
.45586 .50248 L
.45693 .50401 L
.45746 .5046 L
.45845 .50562 L
.45907 .50672 L
.45947 .50722 L
.46067 .50879 L
.46069 .50883 L
.46195 .51043 L
.46228 .51071 L
.46372 .51204 L
.46388 .51287 L
.46455 .51364 L
.46549 .51499 L
.46567 .51525 L
.46692 .51686 L
.46709 .51688 L
.46816 .51846 L
.4687 .51904 L
.46964 .52007 L
.4703 .52121 L
.47066 .52167 L
.47187 .52328 L
.47191 .52333 L
.47309 .52488 L
.47351 .52521 L
.47482 .52649 L
.47512 .52745 L
.47565 .52809 L
.47672 .52963 L
.47677 .5297 L
.47798 .5313 L
.47833 .53175 L
.4792 .53291 L
.47993 .5337 L
.48065 .53451 L
.48154 .53596 L
.48166 .53612 L
.48284 .53772 L
.48314 .53812 L
.48404 .53933 L
.48475 .53994 L
.48568 .54093 L
.48636 .54235 L
.4865 .54254 L
.48764 .54414 L
.48796 .54456 L
.48882 .54575 L
.48957 .54674 L
.49001 .54735 L
.49117 .54889 L
.49123 .54896 L
.49234 .55057 L
.49278 .55115 L
.49348 .55217 L
.49438 .5534 L
.49464 .55378 L
.49575 .55538 L
.49599 .55572 L
.49679 .55699 L
.49759 .55817 L
.49783 .55859 L
.49759 .55967 L
.49655 .55859 L
.49599 .55805 L
.49504 .55699 L
.49438 .55629 L
.49361 .55538 L
.49278 .55445 L
.49221 .55378 L
.49117 .55271 L
.49084 .55217 L
.48957 .55067 L
.48945 .55057 L
.48817 .54896 L
.48796 .54871 L
.48686 .54735 L
.48636 .54712 L
.48555 .54575 L
.48475 .54487 L
.4839 .54414 L
.48314 .54279 L
.48292 .54254 L
.48168 .54093 L
.48154 .54077 L
.48041 .53933 L
.47993 .53894 L
.47913 .53772 L
.47833 .53678 L
.4777 .53612 L
.47672 .53469 L
.47659 .53451 L
.47534 .53291 L
.47512 .53289 L
.47408 .5313 L
.47351 .53071 L
.47247 .5297 L
.47191 .52856 L
.47151 .52809 L
.47031 .52649 L
.4703 .52647 L
.46908 .52488 L
.4687 .52461 L
.46784 .52328 L
.46709 .52241 L
.46643 .52167 L
.46549 .52027 L
.46534 .52007 L
.46411 .51846 L
.46388 .51817 L
.46288 .51686 L
.46228 .51625 L
.46131 .51525 L
.46067 .51404 L
.46035 .51364 L
.45917 .51204 L
.45907 .51191 L
.45795 .51043 L
.45746 .51012 L
.45673 .50883 L
.45586 .50781 L
.45535 .50722 L
.45426 .50562 L
.45425 .50561 L
.45306 .50401 L
.45265 .50349 L
.45184 .50241 L
.45104 .50157 L
.45034 .5008 L
.44943 .49927 L
.44937 .4992 L
.4482 .49759 L
.44783 .49712 L
.447 .49599 L
.44622 .49536 L
.44578 .49438 L
.44462 .49287 L
.44454 .49278 L
.4434 .49117 L
.44301 .49067 L
.44222 .48957 L
.44141 .4885 L
.44102 .48796 L
.43982 .48636 L
.4398 .48633 L
.4387 .48475 L
.4382 .48408 L
.43755 .48314 L
.43659 .48184 L
.43639 .48154 L
.4353 .47993 L
.43499 .4795 L
.43427 .47833 L
.43338 .47701 L
.43323 .47672 L
F
1 .05 0 r
.43338 .48926 m
.43359 .48957 L
.43499 .49114 L
.43501 .49117 L
.43499 .49189 L
.43455 .49117 L
.43338 .48978 L
.43325 .48957 L
F
0 .31 1 r
.43338 .48264 m
.43384 .48314 L
.43499 .48427 L
.43539 .48475 L
.43659 .48608 L
.43682 .48636 L
.4382 .48796 L
.4382 .48796 L
.4395 .48957 L
.4398 .48991 L
.44081 .49117 L
.44141 .49187 L
.44212 .49278 L
.44301 .49385 L
.44343 .49438 L
.44462 .49575 L
.44473 .49599 L
.44599 .49759 L
.44622 .49787 L
.44725 .4992 L
.44783 .49991 L
.44852 .5008 L
.44943 .50195 L
.44979 .50241 L
.45104 .50399 L
.45106 .50401 L
.45227 .50562 L
.45265 .50608 L
.4535 .50722 L
.45425 .50816 L
.45475 .50883 L
.45586 .51011 L
.456 .51043 L
.4572 .51204 L
.45746 .51236 L
.45841 .51364 L
.45907 .51449 L
.45962 .51525 L
.46067 .51661 L
.46085 .51686 L
.46203 .51846 L
.46228 .51877 L
.4632 .52007 L
.46388 .52096 L
.46438 .52167 L
.46549 .52315 L
.46558 .52328 L
.46667 .52488 L
.46709 .52544 L
.46776 .52649 L
.4687 .5278 L
.46887 .52809 L
.4687 .52883 L
.46805 .52809 L
.46709 .52712 L
.46657 .52649 L
.46549 .52528 L
.46516 .52488 L
.46388 .52339 L
.46379 .52328 L
.46249 .52167 L
.46228 .52143 L
.46119 .52007 L
.46067 .51946 L
.45989 .51846 L
.45907 .51747 L
.45859 .51686 L
.45746 .51564 L
.45729 .51525 L
.45603 .51364 L
.45586 .51344 L
.45478 .51204 L
.45425 .51139 L
.45352 .51043 L
.45265 .50935 L
.45225 .50883 L
.45104 .50733 L
.45092 .50722 L
.44977 .50562 L
.44943 .50521 L
.44854 .50401 L
.44783 .50312 L
.4473 .50241 L
.44622 .50124 L
.44605 .5008 L
.44484 .4992 L
.44462 .49892 L
.44365 .49759 L
.44301 .49678 L
.44244 .49599 L
.44141 .49466 L
.44121 .49438 L
.44003 .49278 L
.4398 .49249 L
.43887 .49117 L
.4382 .49029 L
.4377 .48957 L
.43659 .4881 L
.4365 .48796 L
.43542 .48636 L
.43499 .48578 L
.43436 .48475 L
.43338 .48334 L
.43328 .48314 L
F
.084 .92 1 r
.43338 .46925 m
.43459 .4703 L
.43499 .47065 L
.4362 .47191 L
.43659 .4723 L
.43771 .47351 L
.4382 .47404 L
.43916 .47512 L
.4398 .4757 L
.44057 .47672 L
.44141 .4777 L
.44216 .47833 L
.44301 .47963 L
.44329 .47993 L
.44462 .48153 L
.44463 .48154 L
.44597 .48314 L
.44622 .48344 L
.44772 .48475 L
.44783 .48545 L
.44863 .48636 L
.44943 .48747 L
.44979 .48796 L
.45104 .48946 L
.45105 .48957 L
.45247 .49117 L
.45265 .49139 L
.45386 .49278 L
.45425 .49345 L
.45496 .49438 L
.45586 .49554 L
.45608 .49599 L
.45746 .49754 L
.45757 .49759 L
.45898 .4992 L
.45907 .49951 L
.46009 .5008 L
.46067 .50162 L
.46119 .50241 L
.46228 .50372 L
.46262 .50401 L
.46385 .50562 L
.46388 .50566 L
.46518 .50722 L
.46549 .50774 L
.46628 .50883 L
.46709 .50987 L
.46735 .51043 L
.4687 .51194 L
.46885 .51204 L
.47021 .51364 L
.4703 .51392 L
.47134 .51525 L
.47191 .51604 L
.47243 .51686 L
.47351 .51816 L
.47383 .51846 L
.47506 .52007 L
.47512 .52014 L
.47637 .52167 L
.47672 .52224 L
.47747 .52328 L
.47833 .52437 L
.47855 .52488 L
.47993 .52643 L
.48001 .52649 L
.4814 .52809 L
.48154 .52846 L
.48249 .5297 L
.48314 .53059 L
.48358 .5313 L
.48475 .5327 L
.48495 .53291 L
.48617 .53451 L
.48636 .53471 L
.48751 .53612 L
.48796 .53683 L
.48859 .53772 L
.48957 .53896 L
.48971 .53933 L
.4911 .54093 L
.49117 .54099 L
.49255 .54254 L
.49278 .54308 L
.49359 .54414 L
.49438 .54522 L
.49469 .54575 L
.49599 .54732 L
.49601 .54735 L
.49723 .54896 L
.49759 .54933 L
.4986 .55057 L
.4992 .55149 L
.49967 .55217 L
.5008 .55363 L
.50085 .55378 L
.50213 .55538 L
.50241 .55559 L
.50364 .55699 L
.50401 .55777 L
.50463 .55859 L
.50562 .55996 L
.50576 .5602 L
.507 .5618 L
.50722 .56209 L
.50821 .56341 L
.50883 .56405 L
.50958 .56501 L
.51043 .5663 L
.51065 .56662 L
.51184 .56822 L
.51204 .56848 L
.51304 .56983 L
.51364 .57033 L
.51455 .57143 L
.51525 .57271 L
.51549 .57304 L
.51663 .57464 L
.51686 .57494 L
.5178 .57625 L
.51846 .57713 L
.51898 .57785 L
.52007 .57926 L
.52021 .57946 L
.5213 .58106 L
.52167 .58157 L
.52243 .58267 L
.52328 .58384 L
.52357 .58428 L
.52467 .58588 L
.52488 .58619 L
.52568 .58749 L
.52649 .58872 L
.52669 .58909 L
.52649 .59033 L
.52517 .58909 L
.52488 .58883 L
.52361 .58749 L
.52328 .58714 L
.52215 .58588 L
.52167 .58537 L
.52072 .58428 L
.52007 .58372 L
.51933 .58267 L
.51846 .58169 L
.51769 .58106 L
.51686 .57973 L
.5166 .57946 L
.51529 .57785 L
.51525 .57785 L
.51398 .57625 L
.51364 .57591 L
.51266 .57464 L
.51204 .57387 L
.51126 .57304 L
.51043 .57184 L
.51012 .57143 L
.50883 .56986 L
.50882 .56983 L
.50752 .56822 L
.50722 .56788 L
.50602 .56662 L
.50562 .56581 L
.50497 .56501 L
.50401 .56373 L
.50381 .56341 L
.50245 .5618 L
.50241 .56176 L
.50084 .5602 L
.5008 .55971 L
.49985 .55859 L
.4992 .55761 L
.49874 .55699 L
.49759 .55554 L
.49755 .55538 L
.49619 .55378 L
.49599 .55355 L
.49475 .55217 L
.49438 .55145 L
.49368 .55057 L
.49278 .54934 L
.49255 .54896 L
.49121 .54735 L
.49117 .54732 L
.48964 .54575 L
.48957 .54526 L
.48863 .54414 L
.48796 .54314 L
.48754 .54254 L
.48636 .54105 L
.48633 .54093 L
.48502 .53933 L
.48475 .53905 L
.48357 .53772 L
.48314 .53693 L
.48252 .53612 L
.48154 .53481 L
.48138 .53451 L
.48007 .53291 L
.47993 .5328 L
.47846 .5313 L
.47833 .53071 L
.47749 .5297 L
.47672 .52857 L
.47639 .52809 L
.47513 .52649 L
.47512 .52648 L
.47391 .52488 L
.47351 .52449 L
.47244 .52328 L
.47191 .52233 L
.47141 .52167 L
.4703 .52019 L
.47023 .52007 L
.46899 .51846 L
.4687 .51827 L
.46733 .51686 L
.46709 .51609 L
.46641 .51525 L
.46549 .51392 L
.4653 .51364 L
.46407 .51204 L
.46388 .5118 L
.46285 .51043 L
.46228 .50987 L
.46138 .50883 L
.46067 .50765 L
.46035 .50722 L
.45916 .50562 L
.45907 .50549 L
.45796 .50401 L
.45746 .50368 L
.45629 .50241 L
.45586 .50138 L
.4554 .5008 L
.45427 .4992 L
.45425 .49917 L
.45308 .49759 L
.45265 .49704 L
.45187 .49599 L
.45104 .49511 L
.45044 .49438 L
.44943 .49282 L
.4494 .49278 L
.44823 .49117 L
.44783 .49066 L
.44703 .48957 L
.44622 .48885 L
.44548 .48796 L
.44462 .48641 L
.44458 .48636 L
.44343 .48475 L
.44301 .48422 L
.44225 .48314 L
.44141 .48204 L
.44105 .48154 L
.43986 .47993 L
.4398 .47987 L
.43873 .47833 L
.4382 .47762 L
.43759 .47672 L
.43659 .47536 L
.43643 .47512 L
.43534 .47351 L
.43499 .47301 L
.43432 .47191 L
.43338 .47046 L
.4333 .4703 L
F
1 .68 0 r
.43338 .47617 m
.43406 .47672 L
.43499 .47753 L
.43572 .47833 L
.43659 .47923 L
.43721 .47993 L
.4382 .48102 L
.43864 .48154 L
.4398 .4828 L
.44003 .48314 L
.44139 .48475 L
.44141 .48478 L
.44272 .48636 L
.44301 .4867 L
.44405 .48796 L
.44462 .48834 L
.44537 .48957 L
.44622 .49054 L
.44693 .49117 L
.44783 .49259 L
.448 .49278 L
.44927 .49438 L
.44943 .49458 L
.45055 .49599 L
.45104 .49645 L
.45184 .49759 L
.45265 .49857 L
.45321 .4992 L
.45425 .50064 L
.45437 .5008 L
.45564 .50241 L
.45586 .50249 L
.45691 .50401 L
.45746 .50463 L
.45842 .50562 L
.45907 .50675 L
.45945 .50722 L
.46067 .50882 L
.46068 .50883 L
.46192 .51043 L
.46228 .51073 L
.4637 .51204 L
.46388 .5129 L
.46452 .51364 L
.46549 .51502 L
.46565 .51525 L
.4669 .51686 L
.46709 .51689 L
.46814 .51846 L
.4687 .51906 L
.46962 .52007 L
.4703 .52124 L
.47064 .52167 L
.47184 .52328 L
.47191 .52336 L
.47306 .52488 L
.47351 .52523 L
.4748 .52649 L
.47512 .52748 L
.47562 .52809 L
.47672 .52966 L
.47675 .5297 L
.47796 .5313 L
.47833 .53178 L
.47918 .53291 L
.47993 .53374 L
.48062 .53451 L
.48154 .536 L
.48163 .53612 L
.48282 .53772 L
.48314 .53815 L
.48402 .53933 L
.48475 .53998 L
.48564 .54093 L
.48636 .5424 L
.48646 .54254 L
.48761 .54414 L
.48796 .54461 L
.48879 .54575 L
.48957 .54679 L
.48998 .54735 L
.49117 .54896 L
.49117 .54897 L
.49229 .55057 L
.49278 .55122 L
.49343 .55217 L
.49438 .55348 L
.49458 .55378 L
.49567 .55538 L
.49599 .55583 L
.49669 .55699 L
.49759 .55836 L
.49772 .55859 L
.49759 .55944 L
.49671 .55859 L
.49599 .55792 L
.49514 .55699 L
.49438 .55619 L
.49368 .55538 L
.49278 .55437 L
.49227 .55378 L
.49117 .55263 L
.49089 .55217 L
.48957 .5506 L
.48953 .55057 L
.48822 .54896 L
.48796 .54866 L
.48691 .54735 L
.48636 .54709 L
.48559 .54575 L
.48475 .54482 L
.48395 .54414 L
.48314 .54274 L
.48296 .54254 L
.48171 .54093 L
.48154 .54073 L
.48044 .53933 L
.47993 .53891 L
.47916 .53772 L
.47833 .53674 L
.47773 .53612 L
.47672 .53465 L
.47661 .53451 L
.47536 .53291 L
.47512 .53288 L
.47411 .5313 L
.47351 .53069 L
.47249 .5297 L
.47191 .52853 L
.47153 .52809 L
.47034 .52649 L
.4703 .52644 L
.4691 .52488 L
.4687 .5246 L
.46786 .52328 L
.46709 .52239 L
.46645 .52167 L
.46549 .52024 L
.46536 .52007 L
.46413 .51846 L
.46388 .51815 L
.4629 .51686 L
.46228 .51623 L
.46133 .51525 L
.46067 .51402 L
.46037 .51364 L
.45919 .51204 L
.45907 .51188 L
.45797 .51043 L
.45746 .5101 L
.45675 .50883 L
.45586 .50778 L
.45538 .50722 L
.45428 .50562 L
.45425 .50558 L
.45308 .50401 L
.45265 .50346 L
.45186 .50241 L
.45104 .50153 L
.45037 .5008 L
.44943 .49924 L
.4494 .4992 L
.44822 .49759 L
.44783 .49708 L
.44702 .49599 L
.44622 .49531 L
.44581 .49438 L
.44462 .49282 L
.44458 .49278 L
.44343 .49117 L
.44301 .49063 L
.44225 .48957 L
.44141 .48845 L
.44106 .48796 L
.43987 .48636 L
.4398 .48627 L
.43875 .48475 L
.4382 .48402 L
.4376 .48314 L
.43659 .48176 L
.43645 .48154 L
.43538 .47993 L
.43499 .47938 L
.43437 .47833 L
.43338 .47677 L
.43336 .47672 L
F
0 .3 1 r
.43338 .48289 m
.43366 .48314 L
.43499 .48435 L
.43533 .48475 L
.43659 .48614 L
.43677 .48636 L
.43815 .48796 L
.4382 .48802 L
.43946 .48957 L
.4398 .48996 L
.44077 .49117 L
.44141 .49191 L
.44209 .49278 L
.44301 .49389 L
.4434 .49438 L
.44462 .49581 L
.4447 .49599 L
.44596 .49759 L
.44622 .49791 L
.44722 .4992 L
.44783 .49994 L
.44849 .5008 L
.44943 .50198 L
.44976 .50241 L
.45103 .50401 L
.45104 .50403 L
.45224 .50562 L
.45265 .50612 L
.45348 .50722 L
.45425 .5082 L
.45473 .50883 L
.45586 .51016 L
.45597 .51043 L
.45718 .51204 L
.45746 .5124 L
.45838 .51364 L
.45907 .51452 L
.4596 .51525 L
.46067 .51665 L
.46082 .51686 L
.462 .51846 L
.46228 .51881 L
.46316 .52007 L
.46388 .52101 L
.46435 .52167 L
.46549 .5232 L
.46554 .52328 L
.46662 .52488 L
.46709 .52551 L
.4677 .52649 L
.4687 .52792 L
.4688 .52809 L
.4687 .52869 L
.46816 .52809 L
.46709 .52704 L
.46663 .52649 L
.46549 .52522 L
.46521 .52488 L
.46388 .52334 L
.46383 .52328 L
.46253 .52167 L
.46228 .52139 L
.46123 .52007 L
.46067 .51941 L
.45992 .51846 L
.45907 .51743 L
.45862 .51686 L
.45746 .51558 L
.45732 .51525 L
.45606 .51364 L
.45586 .5134 L
.45481 .51204 L
.45425 .51136 L
.45354 .51043 L
.45265 .50931 L
.45228 .50883 L
.45104 .50728 L
.45097 .50722 L
.4498 .50562 L
.44943 .50517 L
.44857 .50401 L
.44783 .50309 L
.44732 .50241 L
.44622 .50118 L
.44608 .5008 L
.44487 .4992 L
.44462 .49888 L
.44368 .49759 L
.44301 .49675 L
.44246 .49599 L
.44141 .49462 L
.44124 .49438 L
.44006 .49278 L
.4398 .49245 L
.43891 .49117 L
.4382 .49024 L
.43773 .48957 L
.43659 .48804 L
.43654 .48796 L
.43548 .48636 L
.43499 .48569 L
.43444 .48475 L
.43338 .48317 L
.43337 .48314 L
F
1 .04 0 r
.43338 .4895 m
.43341 .48957 L
.43338 .48959 L
.43337 .48957 L
F
1 .92 .084 r
.43499 .4416 m
.43659 .44265 L
.4373 .44301 L
.4382 .44427 L
.43857 .44462 L
.4398 .44615 L
.43986 .44622 L
.44116 .44783 L
.44141 .44806 L
.44243 .44943 L
.44301 .4501 L
.44393 .45104 L
.44462 .4522 L
.44498 .45265 L
.4462 .45425 L
.44622 .45429 L
.44741 .45586 L
.44783 .45607 L
.44906 .45746 L
.44943 .45834 L
.44996 .45907 L
.45104 .46063 L
.45106 .46067 L
.45222 .46228 L
.45265 .46286 L
.45336 .46388 L
.45425 .46522 L
.45453 .46549 L
.45513 .46709 L
.45425 .46783 L
.45267 .46709 L
.45265 .46708 L
.45104 .46575 L
.4508 .46549 L
.44943 .46405 L
.44936 .46388 L
.44792 .46228 L
.44783 .46217 L
.44636 .46067 L
.44622 .46018 L
.44528 .45907 L
.44462 .45811 L
.44417 .45746 L
.44301 .45605 L
.44278 .45586 L
.44155 .45425 L
.44141 .45411 L
.44021 .45265 L
.4398 .45201 L
.43915 .45104 L
.4382 .44984 L
.43805 .44943 L
.43672 .44783 L
.43659 .44765 L
.43525 .44622 L
.43499 .44534 L
.43444 .44462 L
.4336 .44301 L
F
1 .91 .061 r
.43499 .4418 m
.43659 .4428 L
.43705 .44301 L
.4382 .44438 L
.43847 .44462 L
.4398 .44622 L
.4398 .44623 L
.4411 .44783 L
.44141 .44811 L
.44239 .44943 L
.44301 .45016 L
.44389 .45104 L
.44462 .45225 L
.44495 .45265 L
.44616 .45425 L
.44622 .45434 L
.44737 .45586 L
.44783 .4561 L
.44902 .45746 L
.44943 .4584 L
.44991 .45907 L
.45102 .46067 L
.45104 .4607 L
.45216 .46228 L
.45265 .46295 L
.45329 .46388 L
.45425 .46536 L
.45438 .46549 L
.45488 .46709 L
.45425 .46758 L
.45298 .46709 L
.45265 .46691 L
.45104 .4656 L
.45093 .46549 L
.44943 .46393 L
.44941 .46388 L
.448 .46228 L
.44783 .46208 L
.44638 .46067 L
.44622 .46009 L
.44534 .45907 L
.44462 .45804 L
.44421 .45746 L
.44301 .456 L
.44283 .45586 L
.4416 .45425 L
.44141 .45406 L
.44025 .45265 L
.4398 .45194 L
.4392 .45104 L
.4382 .44976 L
.43808 .44943 L
.43679 .44783 L
.43659 .44755 L
.4353 .44622 L
.43499 .44521 L
.43454 .44462 L
.43377 .44301 L
F
1 .9 .045 r
.43499 .442 m
.43659 .44294 L
.43676 .44301 L
.4382 .44448 L
.43836 .44462 L
.43973 .44622 L
.4398 .44625 L
.44105 .44783 L
.44141 .44815 L
.44234 .44943 L
.44301 .45021 L
.44384 .45104 L
.44462 .4523 L
.44491 .45265 L
.44612 .45425 L
.44622 .45439 L
.44733 .45586 L
.44783 .45614 L
.44899 .45746 L
.44943 .45847 L
.44987 .45907 L
.45097 .46067 L
.45104 .46077 L
.45211 .46228 L
.45265 .46304 L
.45321 .46388 L
.45422 .46549 L
.45425 .46555 L
.45456 .46709 L
.45425 .4673 L
.45339 .46709 L
.45265 .46674 L
.45108 .46549 L
.45104 .46548 L
.4495 .46388 L
.44943 .46383 L
.44808 .46228 L
.44783 .46199 L
.44641 .46067 L
.44622 .46001 L
.44539 .45907 L
.44462 .45797 L
.44425 .45746 L
.44301 .45596 L
.44289 .45586 L
.44165 .45425 L
.44141 .45401 L
.44029 .45265 L
.4398 .45188 L
.43924 .45104 L
.4382 .44969 L
.43811 .44943 L
.43686 .44783 L
.43659 .44745 L
.43536 .44622 L
.43499 .44506 L
.43466 .44462 L
.43395 .44301 L
F
1 .89 .033 r
.43499 .44221 m
.43649 .44301 L
.43659 .44308 L
.4382 .44459 L
.43824 .44462 L
.43966 .44622 L
.4398 .44627 L
.44099 .44783 L
.44141 .44821 L
.44229 .44943 L
.44301 .45026 L
.4438 .45104 L
.44462 .45235 L
.44487 .45265 L
.44608 .45425 L
.44622 .45444 L
.4473 .45586 L
.44783 .45618 L
.44895 .45746 L
.44943 .45853 L
.44982 .45907 L
.45092 .46067 L
.45104 .46084 L
.45205 .46228 L
.45265 .46314 L
.45314 .46388 L
.45409 .46549 L
.45265 .46657 L
.45124 .46549 L
.45104 .46546 L
.4496 .46388 L
.44943 .46374 L
.44816 .46228 L
.44783 .4619 L
.44644 .46067 L
.44622 .45994 L
.44544 .45907 L
.44462 .45791 L
.4443 .45746 L
.44301 .45591 L
.44294 .45586 L
.4417 .45425 L
.44141 .45396 L
.44033 .45265 L
.4398 .45181 L
.43929 .45104 L
.4382 .44961 L
.43814 .44943 L
.43692 .44783 L
.43659 .44735 L
.43542 .44622 L
.43499 .4449 L
.43478 .44462 L
.43414 .44301 L
F
1 .93 .114 r
.43499 .42211 m
.43503 .42215 L
.43659 .4234 L
.43681 .42375 L
.4382 .4252 L
.43847 .42536 L
.43972 .42696 L
.4398 .42705 L
.44105 .42857 L
.44141 .42901 L
.44233 .43017 L
.44301 .43108 L
.44353 .43178 L
.44462 .43334 L
.44464 .43338 L
.4455 .43499 L
.44462 .43579 L
.44361 .43499 L
.44301 .43443 L
.44207 .43338 L
.44141 .43264 L
.44072 .43178 L
.4398 .43066 L
.43944 .43017 L
.4382 .42859 L
.43818 .42857 L
.43706 .42696 L
.43659 .42633 L
.43595 .42536 L
.43499 .42392 L
.43489 .42375 L
.43424 .42215 L
F
.004 .82 1 r
.43499 .44839 m
.43595 .44943 L
.43659 .45011 L
.43735 .45104 L
.4382 .45204 L
.43866 .45265 L
.4398 .45408 L
.43993 .45425 L
.44108 .45586 L
.44141 .45631 L
.44212 .45746 L
.44301 .45893 L
.44307 .45907 L
.44301 .45956 L
.44226 .45907 L
.44141 .45836 L
.44056 .45746 L
.4398 .45666 L
.43911 .45586 L
.4382 .45478 L
.43777 .45425 L
.43659 .45283 L
.43652 .45265 L
.43537 .45104 L
.43499 .4505 L
.4343 .44943 L
F
1 .88 .024 r
.43499 .44244 m
.43627 .44301 L
.43659 .44322 L
.43813 .44462 L
.4382 .44469 L
.43959 .44622 L
.4398 .4463 L
.44094 .44783 L
.44141 .44826 L
.44225 .44943 L
.44301 .45031 L
.44375 .45104 L
.44462 .4524 L
.44482 .45265 L
.44604 .45425 L
.44622 .45449 L
.44726 .45586 L
.44783 .45622 L
.4489 .45746 L
.44943 .4586 L
.44977 .45907 L
.45086 .46067 L
.45104 .46091 L
.45198 .46228 L
.45265 .46324 L
.45306 .46388 L
.45395 .46549 L
.45265 .4664 L
.4514 .46549 L
.45104 .46543 L
.44971 .46388 L
.44943 .46365 L
.44824 .46228 L
.44783 .46182 L
.44648 .46067 L
.44622 .45986 L
.4455 .45907 L
.44462 .45785 L
.44434 .45746 L
.44301 .45587 L
.443 .45586 L
.44175 .45425 L
.44141 .4539 L
.44037 .45265 L
.4398 .45174 L
.43934 .45104 L
.4382 .44952 L
.43817 .44943 L
.43699 .44783 L
.43659 .44724 L
.4355 .44622 L
.43499 .44473 L
.43491 .44462 L
.43435 .44301 L
F
.003 .81 1 r
.43499 .44862 m
.43578 .44943 L
.43659 .45027 L
.43722 .45104 L
.4382 .45217 L
.43855 .45265 L
.4398 .45421 L
.43983 .45425 L
.44093 .45586 L
.44141 .45652 L
.44195 .45746 L
.44141 .45813 L
.44075 .45746 L
.4398 .45648 L
.43926 .45586 L
.4382 .45461 L
.43791 .45425 L
.43666 .45265 L
.43659 .45257 L
.43552 .45104 L
.43499 .45026 L
.43448 .44943 L
F
1 .67 0 r
.43499 .47769 m
.4356 .47833 L
.43659 .47934 L
.43712 .47993 L
.4382 .48111 L
.43857 .48154 L
.4398 .4829 L
.43997 .48314 L
.44133 .48475 L
.44141 .48484 L
.44267 .48636 L
.44301 .48676 L
.444 .48796 L
.44462 .48839 L
.44533 .48957 L
.44622 .49059 L
.44688 .49117 L
.44783 .49263 L
.44796 .49278 L
.44923 .49438 L
.44943 .49463 L
.45052 .49599 L
.45104 .49648 L
.45181 .49759 L
.45265 .49861 L
.45318 .4992 L
.45425 .50068 L
.45435 .5008 L
.45562 .50241 L
.45586 .5025 L
.45688 .50401 L
.45746 .50466 L
.4584 .50562 L
.45907 .50678 L
.45942 .50722 L
.46065 .50883 L
.46067 .50885 L
.4619 .51043 L
.46228 .51076 L
.46369 .51204 L
.46388 .51292 L
.4645 .51364 L
.46549 .51505 L
.46563 .51525 L
.46688 .51686 L
.46709 .51689 L
.46811 .51846 L
.4687 .51909 L
.4696 .52007 L
.4703 .52127 L
.47061 .52167 L
.47182 .52328 L
.47191 .52339 L
.47304 .52488 L
.47351 .52525 L
.47478 .52649 L
.47512 .52751 L
.4756 .52809 L
.47672 .52969 L
.47673 .5297 L
.47794 .5313 L
.47833 .53181 L
.47915 .53291 L
.47993 .53377 L
.48059 .53451 L
.48154 .53603 L
.4816 .53612 L
.48279 .53772 L
.48314 .53819 L
.48399 .53933 L
.48475 .54003 L
.4856 .54093 L
.48636 .54245 L
.48642 .54254 L
.48757 .54414 L
.48796 .54465 L
.48875 .54575 L
.48957 .54684 L
.48994 .54735 L
.49112 .54896 L
.49117 .54903 L
.49224 .55057 L
.49278 .55129 L
.49338 .55217 L
.49438 .55356 L
.49453 .55378 L
.49558 .55538 L
.49599 .55596 L
.49659 .55699 L
.49599 .55778 L
.49526 .55699 L
.49438 .55609 L
.49377 .55538 L
.49278 .55429 L
.49234 .55378 L
.49117 .55254 L
.49095 .55217 L
.48959 .55057 L
.48957 .55053 L
.48827 .54896 L
.48796 .5486 L
.48695 .54735 L
.48636 .54705 L
.48563 .54575 L
.48475 .54477 L
.484 .54414 L
.48314 .5427 L
.483 .54254 L
.48174 .54093 L
.48154 .54069 L
.48047 .53933 L
.47993 .53888 L
.47919 .53772 L
.47833 .53671 L
.47776 .53612 L
.47672 .53462 L
.47664 .53451 L
.47539 .53291 L
.47512 .53288 L
.47413 .5313 L
.47351 .53066 L
.47252 .5297 L
.47191 .5285 L
.47156 .52809 L
.47036 .52649 L
.4703 .52642 L
.46912 .52488 L
.4687 .52458 L
.46788 .52328 L
.46709 .52236 L
.46647 .52167 L
.46549 .52021 L
.46538 .52007 L
.46415 .51846 L
.46388 .51812 L
.46292 .51686 L
.46228 .5162 L
.46135 .51525 L
.46067 .51399 L
.46039 .51364 L
.45921 .51204 L
.45907 .51185 L
.458 .51043 L
.45746 .51008 L
.45677 .50883 L
.45586 .50775 L
.4554 .50722 L
.4543 .50562 L
.45425 .50555 L
.4531 .50401 L
.45265 .50343 L
.45189 .50241 L
.45104 .5015 L
.4504 .5008 L
.44943 .4992 L
.44943 .4992 L
.44825 .49759 L
.44783 .49705 L
.44705 .49599 L
.44622 .49526 L
.44584 .49438 L
.44462 .49278 L
.44462 .49277 L
.44346 .49117 L
.44301 .49059 L
.44228 .48957 L
.44141 .48841 L
.44109 .48796 L
.43991 .48636 L
.4398 .48621 L
.43879 .48475 L
.4382 .48395 L
.43766 .48314 L
.43659 .48168 L
.4365 .48154 L
.43547 .47993 L
.43499 .47924 L
.43448 .47833 L
F
0 .29 1 r
.43499 .48444 m
.43525 .48475 L
.43659 .4862 L
.43672 .48636 L
.43809 .48796 L
.4382 .48808 L
.43941 .48957 L
.4398 .49001 L
.44073 .49117 L
.44141 .49196 L
.44206 .49278 L
.44301 .49393 L
.44337 .49438 L
.44462 .49587 L
.44467 .49599 L
.44593 .49759 L
.44622 .49794 L
.44719 .4992 L
.44783 .49998 L
.44846 .5008 L
.44943 .50201 L
.44974 .50241 L
.451 .50401 L
.45104 .50407 L
.45222 .50562 L
.45265 .50615 L
.45345 .50722 L
.45425 .50823 L
.4547 .50883 L
.45586 .51022 L
.45595 .51043 L
.45715 .51204 L
.45746 .51243 L
.45835 .51364 L
.45907 .51456 L
.45957 .51525 L
.46067 .51668 L
.4608 .51686 L
.46196 .51846 L
.46228 .51886 L
.46312 .52007 L
.46388 .52105 L
.46431 .52167 L
.46549 .52325 L
.4655 .52328 L
.46656 .52488 L
.46709 .5256 L
.46763 .52649 L
.4687 .52806 L
.46871 .52809 L
.4687 .52848 L
.46831 .52809 L
.46709 .52696 L
.4667 .52649 L
.46549 .52516 L
.46526 .52488 L
.46388 .52329 L
.46387 .52328 L
.46257 .52167 L
.46228 .52134 L
.46127 .52007 L
.46067 .51937 L
.45996 .51846 L
.45907 .51739 L
.45865 .51686 L
.45746 .51552 L
.45735 .51525 L
.45609 .51364 L
.45586 .51337 L
.45484 .51204 L
.45425 .51132 L
.45357 .51043 L
.45265 .50928 L
.4523 .50883 L
.45104 .50724 L
.45103 .50722 L
.44982 .50562 L
.44943 .50514 L
.44859 .50401 L
.44783 .50305 L
.44735 .50241 L
.44622 .50112 L
.4461 .5008 L
.4449 .4992 L
.44462 .49884 L
.44371 .49759 L
.44301 .49671 L
.44249 .49599 L
.44141 .49458 L
.44127 .49438 L
.4401 .49278 L
.4398 .4924 L
.43895 .49117 L
.4382 .49019 L
.43777 .48957 L
.43659 .48798 L
.43658 .48796 L
.43555 .48636 L
.43499 .48559 L
.43452 .48475 L
F
1 .87 .018 r
.43499 .44269 m
.43599 .44301 L
.43659 .44336 L
.43802 .44462 L
.4382 .44479 L
.43951 .44622 L
.4398 .44632 L
.44088 .44783 L
.44141 .44831 L
.4422 .44943 L
.44301 .45037 L
.4437 .45104 L
.44462 .45245 L
.44478 .45265 L
.446 .45425 L
.44622 .45454 L
.44722 .45586 L
.44783 .45627 L
.44885 .45746 L
.44943 .45867 L
.44971 .45907 L
.45081 .46067 L
.45104 .46099 L
.45192 .46228 L
.45265 .46335 L
.45298 .46388 L
.45379 .46549 L
.45265 .46623 L
.45158 .46549 L
.45104 .46541 L
.44981 .46388 L
.44943 .46357 L
.44832 .46228 L
.44783 .46173 L
.44652 .46067 L
.44622 .45979 L
.44555 .45907 L
.44462 .45779 L
.44438 .45746 L
.44305 .45586 L
.44301 .45585 L
.4418 .45425 L
.44141 .45385 L
.44042 .45265 L
.4398 .45167 L
.43939 .45104 L
.4382 .44944 L
.4382 .44943 L
.43706 .44783 L
.43659 .44714 L
.43559 .44622 L
.43504 .44462 L
.43499 .44451 L
.43461 .44301 L
F
.061 .91 1 r
.43499 .47113 m
.43582 .47191 L
.43659 .47263 L
.43744 .47351 L
.4382 .47431 L
.43894 .47512 L
.4398 .47592 L
.44038 .47672 L
.44141 .4779 L
.44196 .47833 L
.44301 .47979 L
.44315 .47993 L
.4445 .48154 L
.44462 .48157 L
.44585 .48314 L
.44622 .48356 L
.44767 .48475 L
.44783 .48557 L
.44854 .48636 L
.44943 .48758 L
.44971 .48796 L
.45104 .48953 L
.45104 .48957 L
.45239 .49117 L
.45265 .49149 L
.4538 .49278 L
.45425 .49354 L
.4549 .49438 L
.45586 .49561 L
.45605 .49599 L
.45746 .49757 L
.4575 .49759 L
.45896 .4992 L
.45907 .49958 L
.46005 .5008 L
.46067 .50168 L
.46115 .50241 L
.46228 .50377 L
.46257 .50401 L
.46381 .50562 L
.46388 .50571 L
.46514 .50722 L
.46549 .5078 L
.46625 .50883 L
.46709 .50992 L
.46733 .51043 L
.4687 .51197 L
.46882 .51204 L
.4702 .51364 L
.4703 .51396 L
.47131 .51525 L
.47191 .51608 L
.4724 .51686 L
.47351 .5182 L
.4738 .51846 L
.47503 .52007 L
.47512 .52018 L
.47635 .52167 L
.47672 .52228 L
.47744 .52328 L
.47833 .52441 L
.47853 .52488 L
.47993 .52645 L
.47998 .52649 L
.48138 .52809 L
.48154 .5285 L
.48247 .5297 L
.48314 .53063 L
.48356 .5313 L
.48475 .53273 L
.48492 .53291 L
.48615 .53451 L
.48636 .53474 L
.48749 .53612 L
.48796 .53686 L
.48857 .53772 L
.48957 .53899 L
.48969 .53933 L
.49107 .54093 L
.49117 .54102 L
.49253 .54254 L
.49278 .54311 L
.49357 .54414 L
.49438 .54526 L
.49467 .54575 L
.49598 .54735 L
.49599 .54735 L
.4972 .54896 L
.49759 .54937 L
.49857 .55057 L
.4992 .55153 L
.49964 .55217 L
.5008 .55368 L
.50084 .55378 L
.50209 .55538 L
.50241 .55562 L
.50361 .55699 L
.50401 .55782 L
.50459 .55859 L
.50562 .56001 L
.50573 .5602 L
.50696 .5618 L
.50722 .56215 L
.50817 .56341 L
.50883 .56411 L
.50954 .56501 L
.51043 .56637 L
.5106 .56662 L
.51179 .56822 L
.51204 .56855 L
.51298 .56983 L
.51364 .57041 L
.51447 .57143 L
.51525 .57282 L
.51541 .57304 L
.51655 .57464 L
.51686 .57505 L
.51771 .57625 L
.51846 .57725 L
.51889 .57785 L
.52007 .57946 L
.52007 .57946 L
.52117 .58106 L
.52167 .58175 L
.52229 .58267 L
.52328 .58406 L
.52342 .58428 L
.52444 .58588 L
.52488 .58656 L
.52539 .58749 L
.52488 .58839 L
.52396 .58749 L
.52328 .58683 L
.5224 .58588 L
.52167 .58512 L
.52092 .58428 L
.52007 .58352 L
.5195 .58267 L
.51846 .58151 L
.51788 .58106 L
.51686 .57958 L
.51673 .57946 L
.51541 .57785 L
.51525 .57784 L
.51408 .57625 L
.51364 .5758 L
.51276 .57464 L
.51204 .57377 L
.51134 .57304 L
.51043 .57175 L
.51018 .57143 L
.50887 .56983 L
.50883 .5698 L
.50758 .56822 L
.50722 .5678 L
.50607 .56662 L
.50562 .56574 L
.50502 .56501 L
.50401 .56368 L
.50384 .56341 L
.5025 .5618 L
.50241 .56171 L
.50085 .5602 L
.5008 .55965 L
.49988 .55859 L
.4992 .55756 L
.49878 .55699 L
.49759 .5555 L
.49756 .55538 L
.49623 .55378 L
.49599 .55351 L
.49477 .55217 L
.49438 .55141 L
.49371 .55057 L
.49278 .5493 L
.49257 .54896 L
.49124 .54735 L
.49117 .54729 L
.48964 .54575 L
.48957 .54523 L
.48865 .54414 L
.48796 .54311 L
.48756 .54254 L
.48636 .54102 L
.48633 .54093 L
.48504 .53933 L
.48475 .53902 L
.48359 .53772 L
.48314 .5369 L
.48254 .53612 L
.48154 .53478 L
.48139 .53451 L
.48009 .53291 L
.47993 .53278 L
.47847 .5313 L
.47833 .53068 L
.47751 .5297 L
.47672 .52854 L
.47641 .52809 L
.47515 .52649 L
.47512 .52648 L
.47393 .52488 L
.47351 .52446 L
.47246 .52328 L
.47191 .5223 L
.47143 .52167 L
.4703 .52016 L
.47025 .52007 L
.46901 .51846 L
.4687 .51825 L
.46735 .51686 L
.46709 .51606 L
.46643 .51525 L
.46549 .51389 L
.46532 .51364 L
.4641 .51204 L
.46388 .51177 L
.46288 .51043 L
.46228 .50984 L
.46141 .50883 L
.46067 .50761 L
.46038 .50722 L
.45919 .50562 L
.45907 .50546 L
.45799 .50401 L
.45746 .50365 L
.45632 .50241 L
.45586 .50133 L
.45543 .5008 L
.45431 .4992 L
.45425 .49913 L
.45311 .49759 L
.45265 .49699 L
.4519 .49599 L
.45104 .49505 L
.45049 .49438 L
.44945 .49278 L
.44943 .49275 L
.44827 .49117 L
.44783 .4906 L
.44708 .48957 L
.44622 .48876 L
.44556 .48796 L
.44465 .48636 L
.44462 .48631 L
.44349 .48475 L
.44301 .48412 L
.44232 .48314 L
.44141 .48193 L
.44113 .48154 L
.43996 .47993 L
.4398 .47973 L
.43884 .47833 L
.4382 .47745 L
.43771 .47672 L
.43659 .47516 L
.43657 .47512 L
.43557 .47351 L
.43499 .47264 L
.43462 .47191 L
F
1 .66 0 r
.43499 .47787 m
.43545 .47833 L
.43659 .47945 L
.43703 .47993 L
.4382 .4812 L
.43849 .48154 L
.4398 .483 L
.4399 .48314 L
.44127 .48475 L
.44141 .48491 L
.44261 .48636 L
.44301 .48682 L
.44396 .48796 L
.44462 .48843 L
.44529 .48957 L
.44622 .49064 L
.44683 .49117 L
.44783 .49268 L
.44792 .49278 L
.4492 .49438 L
.44943 .49467 L
.45049 .49599 L
.45104 .49652 L
.45178 .49759 L
.45265 .49865 L
.45315 .4992 L
.45425 .50071 L
.45432 .5008 L
.45559 .50241 L
.45586 .50252 L
.45685 .50401 L
.45746 .50469 L
.45837 .50562 L
.45907 .50682 L
.4594 .50722 L
.46063 .50883 L
.46067 .50888 L
.46187 .51043 L
.46228 .51078 L
.46367 .51204 L
.46388 .51295 L
.46448 .51364 L
.46549 .51508 L
.46561 .51525 L
.46685 .51686 L
.46709 .5169 L
.46809 .51846 L
.4687 .51912 L
.46957 .52007 L
.4703 .5213 L
.47059 .52167 L
.4718 .52328 L
.47191 .52342 L
.47302 .52488 L
.47351 .52528 L
.47476 .52649 L
.47512 .52754 L
.47557 .52809 L
.47671 .5297 L
.47672 .52972 L
.47791 .5313 L
.47833 .53184 L
.47913 .53291 L
.47993 .53381 L
.48056 .53451 L
.48154 .53607 L
.48158 .53612 L
.48276 .53772 L
.48314 .53822 L
.48396 .53933 L
.48475 .54007 L
.48555 .54093 L
.48636 .5425 L
.48638 .54254 L
.48754 .54414 L
.48796 .5447 L
.48871 .54575 L
.48957 .54689 L
.4899 .54735 L
.49107 .54896 L
.49117 .54909 L
.49219 .55057 L
.49278 .55136 L
.49333 .55217 L
.49438 .55364 L
.49447 .55378 L
.49549 .55538 L
.49599 .55611 L
.49647 .55699 L
.49599 .55763 L
.49538 .55699 L
.49438 .55598 L
.49385 .55538 L
.49278 .55421 L
.49241 .55378 L
.49117 .55244 L
.49101 .55217 L
.48965 .55057 L
.48957 .55047 L
.48832 .54896 L
.48796 .54854 L
.48699 .54735 L
.48636 .54701 L
.48567 .54575 L
.48475 .54472 L
.48405 .54414 L
.48314 .54266 L
.48304 .54254 L
.48178 .54093 L
.48154 .54065 L
.4805 .53933 L
.47993 .53884 L
.47921 .53772 L
.47833 .53667 L
.47779 .53612 L
.47672 .53459 L
.47666 .53451 L
.47541 .53291 L
.47512 .53287 L
.47415 .5313 L
.47351 .53063 L
.47254 .5297 L
.47191 .52847 L
.47158 .52809 L
.47038 .52649 L
.4703 .52639 L
.46915 .52488 L
.4687 .52456 L
.4679 .52328 L
.46709 .52233 L
.4665 .52167 L
.46549 .52018 L
.4654 .52007 L
.46417 .51846 L
.46388 .51809 L
.46294 .51686 L
.46228 .51618 L
.46137 .51525 L
.46067 .51396 L
.46041 .51364 L
.45923 .51204 L
.45907 .51183 L
.45802 .51043 L
.45746 .51005 L
.45679 .50883 L
.45586 .50772 L
.45543 .50722 L
.45433 .50562 L
.45425 .50552 L
.45312 .50401 L
.45265 .5034 L
.45191 .50241 L
.45104 .50146 L
.45044 .5008 L
.44946 .4992 L
.44943 .49917 L
.44828 .49759 L
.44783 .49702 L
.44708 .49599 L
.44622 .49521 L
.44586 .49438 L
.44465 .49278 L
.44462 .49273 L
.4435 .49117 L
.44301 .49054 L
.44232 .48957 L
.44141 .48836 L
.44113 .48796 L
.43996 .48636 L
.4398 .48615 L
.43884 .48475 L
.4382 .48388 L
.43771 .48314 L
.43659 .48159 L
.43656 .48154 L
.43556 .47993 L
.43499 .47907 L
.43462 .47833 L
F
0 .28 1 r
.43499 .48455 m
.43516 .48475 L
.43659 .48627 L
.43666 .48636 L
.43659 .48792 L
.43562 .48636 L
.43499 .48547 L
.43463 .48475 L
F
.002 .8 1 r
.43499 .44892 m
.43554 .44943 L
.43659 .45045 L
.43708 .45104 L
.4382 .45233 L
.43844 .45265 L
.43969 .45425 L
.4398 .45439 L
.44076 .45586 L
.44141 .45681 L
.44172 .45746 L
.44141 .45783 L
.441 .45746 L
.4398 .45629 L
.43943 .45586 L
.4382 .45443 L
.43805 .45425 L
.43682 .45265 L
.43659 .45235 L
.43569 .45104 L
.43499 .44996 L
.4347 .44943 L
F
0 .27 1 r
.43499 .48468 m
.43505 .48475 L
.43659 .48635 L
.4366 .48636 L
.43659 .48784 L
.43571 .48636 L
.43499 .48531 L
.43478 .48475 L
F
1 .65 0 r
.43499 .47811 m
.43524 .47833 L
.43659 .47958 L
.43692 .47993 L
.4382 .4813 L
.43841 .48154 L
.4398 .4831 L
.43983 .48314 L
.4412 .48475 L
.44141 .48498 L
.44256 .48636 L
.44301 .48688 L
.44391 .48796 L
.44462 .48849 L
.44525 .48957 L
.44622 .4907 L
.44677 .49117 L
.44783 .49273 L
.44788 .49278 L
.44916 .49438 L
.44943 .49471 L
.45045 .49599 L
.45104 .49655 L
.45175 .49759 L
.45265 .49869 L
.45312 .4992 L
.45425 .50074 L
.45429 .5008 L
.45556 .50241 L
.45586 .50253 L
.45683 .50401 L
.45746 .50472 L
.45835 .50562 L
.45907 .50685 L
.45937 .50722 L
.4606 .50883 L
.46067 .50891 L
.46185 .51043 L
.46228 .5108 L
.46366 .51204 L
.46388 .51298 L
.46445 .51364 L
.46549 .51511 L
.46559 .51525 L
.46683 .51686 L
.46709 .51691 L
.46807 .51846 L
.4687 .51914 L
.46955 .52007 L
.4703 .52133 L
.47057 .52167 L
.47177 .52328 L
.47191 .52345 L
.473 .52488 L
.47351 .5253 L
.47474 .52649 L
.47512 .52758 L
.47555 .52809 L
.47668 .5297 L
.47672 .52975 L
.47789 .5313 L
.47833 .53187 L
.47911 .53291 L
.47993 .53384 L
.48052 .53451 L
.48154 .53611 L
.48155 .53612 L
.48273 .53772 L
.48314 .53826 L
.48393 .53933 L
.48475 .54012 L
.48551 .54093 L
.48634 .54254 L
.48636 .54255 L
.4875 .54414 L
.48796 .54475 L
.48868 .54575 L
.48957 .54694 L
.48986 .54735 L
.49103 .54896 L
.49117 .54915 L
.49214 .55057 L
.49278 .55144 L
.49327 .55217 L
.49438 .55374 L
.49441 .55378 L
.49539 .55538 L
.49599 .55629 L
.49633 .55699 L
.49599 .55744 L
.49554 .55699 L
.49438 .55587 L
.49395 .55538 L
.49278 .55412 L
.49248 .55378 L
.49117 .55234 L
.49107 .55217 L
.48971 .55057 L
.48957 .5504 L
.48837 .54896 L
.48796 .54849 L
.48704 .54735 L
.48636 .54696 L
.48571 .54575 L
.48475 .54467 L
.48411 .54414 L
.48314 .54261 L
.48308 .54254 L
.48181 .54093 L
.48154 .54061 L
.48053 .53933 L
.47993 .53881 L
.47924 .53772 L
.47833 .53663 L
.47783 .53612 L
.47672 .53455 L
.47669 .53451 L
.47544 .53291 L
.47512 .53286 L
.47418 .5313 L
.47351 .5306 L
.47257 .5297 L
.47191 .52844 L
.47161 .52809 L
.47041 .52649 L
.4703 .52636 L
.46917 .52488 L
.4687 .52453 L
.46792 .52328 L
.46709 .5223 L
.46652 .52167 L
.46549 .52016 L
.46542 .52007 L
.46419 .51846 L
.46388 .51807 L
.46296 .51686 L
.46228 .51615 L
.4614 .51525 L
.46067 .51393 L
.46044 .51364 L
.45925 .51204 L
.45907 .5118 L
.45804 .51043 L
.45746 .51003 L
.45681 .50883 L
.45586 .50769 L
.45546 .50722 L
.45435 .50562 L
.45425 .50549 L
.45315 .50401 L
.45265 .50337 L
.45193 .50241 L
.45104 .50143 L
.45047 .5008 L
.44948 .4992 L
.44943 .49913 L
.4483 .49759 L
.44783 .49698 L
.4471 .49599 L
.44622 .49516 L
.44589 .49438 L
.44469 .49278 L
.44462 .49269 L
.44353 .49117 L
.44301 .4905 L
.44235 .48957 L
.44141 .48831 L
.44116 .48796 L
.44 .48636 L
.4398 .48609 L
.4389 .48475 L
.4382 .4838 L
.43776 .48314 L
.43663 .48154 L
.43659 .48149 L
.43568 .47993 L
.43499 .47883 L
.43481 .47833 L
F
1 .95 .212 r
.43499 .38028 m
.43517 .38041 L
.43659 .38158 L
.437 .38201 L
.4382 .38323 L
.43854 .38362 L
.4398 .38493 L
.43999 .38523 L
.4414 .38683 L
.44141 .38684 L
.44275 .38844 L
.44301 .38873 L
.44409 .39004 L
.44462 .39036 L
.44543 .39165 L
.44622 .39251 L
.44715 .39325 L
.44783 .39455 L
.44812 .39486 L
.44936 .39646 L
.44943 .39655 L
.45064 .39807 L
.45104 .39841 L
.45193 .39967 L
.45265 .40051 L
.4534 .40128 L
.45425 .40258 L
.4545 .40288 L
.45575 .40449 L
.45586 .40452 L
.45701 .40609 L
.45746 .40656 L
.45866 .4077 L
.45907 .40868 L
.45962 .4093 L
.46067 .41076 L
.46078 .41091 L
.46204 .41251 L
.46228 .41269 L
.46328 .41412 L
.46388 .41481 L
.46473 .41572 L
.46549 .41693 L
.4658 .41733 L
.46703 .41894 L
.46709 .41901 L
.46826 .42054 L
.4687 .42096 L
.46988 .42215 L
.4703 .42312 L
.47084 .42375 L
.47191 .42523 L
.47199 .42536 L
.47323 .42696 L
.47351 .42714 L
.47446 .42857 L
.47512 .4293 L
.4759 .43017 L
.47672 .43146 L
.47697 .43178 L
.47818 .43338 L
.47833 .43357 L
.4794 .43499 L
.47993 .43549 L
.481 .43659 L
.48154 .43769 L
.48196 .4382 L
.48312 .4398 L
.48314 .43984 L
.48433 .44141 L
.48475 .44165 L
.48555 .44301 L
.48636 .44391 L
.48697 .44462 L
.48796 .44611 L
.48805 .44622 L
.48925 .44783 L
.48957 .44823 L
.49046 .44943 L
.49117 .45011 L
.49202 .45104 L
.49278 .45238 L
.49299 .45265 L
.49415 .45425 L
.49438 .45454 L
.49536 .45586 L
.49599 .45626 L
.49658 .45746 L
.49759 .45866 L
.49793 .45907 L
.49904 .46067 L
.4992 .46087 L
.50023 .46228 L
.5008 .46301 L
.50144 .46388 L
.50241 .46494 L
.50288 .46549 L
.50389 .46709 L
.50401 .46725 L
.50507 .4687 L
.50562 .4694 L
.50627 .4703 L
.50722 .47154 L
.50749 .47191 L
.50869 .47351 L
.50883 .47369 L
.50985 .47512 L
.51043 .47588 L
.51102 .47672 L
.51204 .47807 L
.51222 .47833 L
.51338 .47993 L
.51364 .48028 L
.5145 .48154 L
.51525 .48255 L
.51564 .48314 L
.5168 .48475 L
.51686 .48483 L
.51784 .48636 L
.51846 .48726 L
.51887 .48796 L
.51846 .48947 L
.51706 .48796 L
.51686 .48773 L
.51566 .48636 L
.51525 .48588 L
.5143 .48475 L
.51364 .48422 L
.51296 .48314 L
.51204 .48205 L
.51139 .48154 L
.51043 .48004 L
.51033 .47993 L
.50903 .47833 L
.50883 .47825 L
.50772 .47672 L
.50722 .47615 L
.50601 .47512 L
.50562 .47411 L
.5051 .47351 L
.50401 .47211 L
.50389 .47191 L
.50252 .4703 L
.50241 .47018 L
.50122 .4687 L
.5008 .46816 L
.49988 .46709 L
.4992 .4661 L
.49877 .46549 L
.49759 .46407 L
.49757 .46388 L
.49609 .46228 L
.49599 .46215 L
.49467 .46067 L
.49438 .46009 L
.4936 .45907 L
.49278 .458 L
.49249 .45746 L
.49117 .45596 L
.49101 .45586 L
.48975 .45425 L
.48957 .45401 L
.48847 .45265 L
.48796 .45191 L
.48737 .45104 L
.48636 .4498 L
.48628 .44943 L
.48475 .44783 L
.48474 .44783 L
.48339 .44622 L
.48314 .44577 L
.48229 .44462 L
.48154 .44364 L
.4812 .44301 L
.47993 .44156 L
.47975 .44141 L
.47835 .4398 L
.47833 .43957 L
.47724 .4382 L
.47672 .43746 L
.47615 .43659 L
.47512 .43533 L
.47505 .43499 L
.47356 .43338 L
.47351 .43333 L
.47221 .43178 L
.47191 .43124 L
.47113 .43017 L
.4703 .4291 L
.47004 .42857 L
.4687 .42703 L
.46863 .42696 L
.46716 .42536 L
.46709 .42499 L
.46612 .42375 L
.46549 .42285 L
.46504 .42215 L
.46388 .42073 L
.46386 .42054 L
.46249 .41894 L
.46228 .41872 L
.46111 .41733 L
.46067 .41658 L
.46006 .41572 L
.45907 .41443 L
.45892 .41412 L
.45761 .41251 L
.45746 .41243 L
.45603 .41091 L
.45586 .41029 L
.4551 .4093 L
.45425 .4081 L
.454 .4077 L
.45275 .40609 L
.45265 .40595 L
.45155 .40449 L
.45104 .40399 L
.45014 .40288 L
.44943 .40172 L
.44913 .40128 L
.44795 .39967 L
.44783 .39952 L
.44677 .39807 L
.44622 .39772 L
.44515 .39646 L
.44462 .39525 L
.44433 .39486 L
.44323 .39325 L
.44301 .39297 L
.44207 .39165 L
.44141 .39074 L
.44091 .39004 L
.4398 .38852 L
.43974 .38844 L
.43868 .38683 L
.4382 .38615 L
.43759 .38523 L
.43659 .38376 L
.4365 .38362 L
.43559 .38201 L
.43499 .3809 L
.43487 .38041 L
F
1 .86 .013 r
.43499 .44299 m
.43553 .44301 L
.43659 .44351 L
.4379 .44462 L
.4382 .44489 L
.43944 .44622 L
.4398 .44635 L
.44082 .44783 L
.44141 .44837 L
.44215 .44943 L
.44301 .45043 L
.44365 .45104 L
.44462 .45251 L
.44474 .45265 L
.44596 .45425 L
.44622 .45459 L
.44718 .45586 L
.44783 .45632 L
.4488 .45746 L
.44943 .45875 L
.44966 .45907 L
.45076 .46067 L
.45104 .46107 L
.45186 .46228 L
.45265 .46347 L
.4529 .46388 L
.45361 .46549 L
.45265 .46604 L
.45178 .46549 L
.45104 .46537 L
.44992 .46388 L
.44943 .46349 L
.4484 .46228 L
.44783 .46165 L
.44657 .46067 L
.44622 .45971 L
.44561 .45907 L
.44462 .45772 L
.44442 .45746 L
.4431 .45586 L
.44301 .45584 L
.44186 .45425 L
.44141 .45379 L
.44046 .45265 L
.4398 .4516 L
.43944 .45104 L
.43826 .44943 L
.4382 .44935 L
.43713 .44783 L
.43659 .44702 L
.43569 .44622 L
.43517 .44462 L
.43499 .44416 L
.43496 .44301 L
F
.733 .99 1 r
.43659 .41679 m
.43712 .41733 L
.4382 .41825 L
.4389 .41894 L
.4398 .41991 L
.44064 .42054 L
.44141 .42169 L
.44187 .42215 L
.44301 .42355 L
.44319 .42375 L
.44457 .42536 L
.44462 .42541 L
.44606 .42696 L
.44622 .42741 L
.44716 .42857 L
.44783 .42947 L
.44829 .43017 L
.44943 .43155 L
.44948 .43178 L
.45086 .43338 L
.45104 .43365 L
.45208 .43499 L
.45265 .436 L
.45298 .43659 L
.45338 .4382 L
.45265 .43851 L
.45106 .4382 L
.45104 .43819 L
.44943 .43684 L
.44907 .43659 L
.44784 .43499 L
.44783 .43497 L
.44658 .43338 L
.44622 .43294 L
.44534 .43178 L
.44462 .43121 L
.4441 .43017 L
.44301 .42886 L
.44277 .42857 L
.44165 .42696 L
.44141 .42664 L
.44048 .42536 L
.4398 .42446 L
.4393 .42375 L
.4382 .42225 L
.43807 .42215 L
.43706 .42054 L
.43659 .41986 L
.43605 .41894 L
.43521 .41733 L
F
1 .85 .01 r
.43659 .44365 m
.43778 .44462 L
.4382 .44499 L
.43936 .44622 L
.4398 .44639 L
.44076 .44783 L
.44141 .44842 L
.4421 .44943 L
.44301 .45048 L
.44359 .45104 L
.44462 .45256 L
.44469 .45265 L
.44591 .45425 L
.44622 .45464 L
.44714 .45586 L
.44783 .45638 L
.44875 .45746 L
.44943 .45883 L
.4496 .45907 L
.4507 .46067 L
.45104 .46115 L
.45179 .46228 L
.45265 .46359 L
.45282 .46388 L
.45339 .46549 L
.45265 .46585 L
.45201 .46549 L
.45104 .46531 L
.45004 .46388 L
.44943 .4634 L
.44849 .46228 L
.44783 .46157 L
.44663 .46067 L
.44622 .45964 L
.44567 .45907 L
.44462 .45767 L
.44447 .45746 L
.44316 .45586 L
.44301 .45583 L
.44191 .45425 L
.44141 .45374 L
.44051 .45265 L
.4398 .45152 L
.43949 .45104 L
.43832 .44943 L
.4382 .44927 L
.4372 .44783 L
.43659 .44691 L
.4358 .44622 L
.4353 .44462 L
F
1 .84 .007 r
.43659 .4438 m
.43764 .44462 L
.4382 .44509 L
.43928 .44622 L
.4398 .44643 L
.4407 .44783 L
.44141 .44848 L
.44205 .44943 L
.44301 .45054 L
.44354 .45104 L
.44462 .45261 L
.44465 .45265 L
.44587 .45425 L
.44622 .4547 L
.44709 .45586 L
.44783 .45644 L
.44869 .45746 L
.44943 .45891 L
.44954 .45907 L
.45064 .46067 L
.45104 .46123 L
.45173 .46228 L
.45265 .46373 L
.45273 .46388 L
.45309 .46549 L
.45265 .46564 L
.45231 .46549 L
.45104 .46522 L
.45016 .46388 L
.44943 .46332 L
.44857 .46228 L
.44783 .46149 L
.4467 .46067 L
.44622 .45957 L
.44573 .45907 L
.44462 .45761 L
.44451 .45746 L
.44321 .45586 L
.44301 .45581 L
.44196 .45425 L
.44141 .45367 L
.44056 .45265 L
.4398 .45144 L
.43954 .45104 L
.43838 .44943 L
.4382 .44918 L
.43727 .44783 L
.43659 .44678 L
.43593 .44622 L
.43545 .44462 L
F
1 .83 .005 r
.43659 .44396 m
.43749 .44462 L
.4382 .4452 L
.43919 .44622 L
.4398 .44648 L
.44064 .44783 L
.44141 .44854 L
.442 .44943 L
.44301 .4506 L
.44348 .45104 L
.4446 .45265 L
.44462 .45267 L
.44583 .45425 L
.44622 .45475 L
.44705 .45586 L
.44783 .45651 L
.44863 .45746 L
.44943 .459 L
.44948 .45907 L
.45059 .46067 L
.45104 .46132 L
.45166 .46228 L
.45263 .46388 L
.45104 .4651 L
.45028 .46388 L
.44943 .46323 L
.44866 .46228 L
.44783 .4614 L
.44677 .46067 L
.44622 .4595 L
.44579 .45907 L
.44462 .45755 L
.44455 .45746 L
.44326 .45586 L
.44301 .4558 L
.44201 .45425 L
.44141 .45361 L
.44061 .45265 L
.4398 .45136 L
.43959 .45104 L
.43844 .44943 L
.4382 .44908 L
.43734 .44783 L
.43659 .44665 L
.43608 .44622 L
.4356 .44462 L
F
.156 .94 1 r
.43659 .38841 m
.43661 .38844 L
.43659 .39002 L
.43575 .38844 L
F
1 .82 .004 r
.43659 .44413 m
.43732 .44462 L
.4382 .4453 L
.4391 .44622 L
.4398 .44654 L
.44058 .44783 L
.44141 .44861 L
.44195 .44943 L
.44301 .45066 L
.44342 .45104 L
.44456 .45265 L
.44462 .45272 L
.44579 .45425 L
.44622 .4548 L
.44701 .45586 L
.44783 .45658 L
.44857 .45746 L
.44942 .45907 L
.44943 .45908 L
.45053 .46067 L
.45104 .46142 L
.45159 .46228 L
.45251 .46388 L
.45104 .46493 L
.45042 .46388 L
.44943 .46313 L
.44875 .46228 L
.44783 .46132 L
.44686 .46067 L
.44622 .45943 L
.44586 .45907 L
.44462 .45749 L
.4446 .45746 L
.44332 .45586 L
.44301 .45577 L
.44206 .45425 L
.44141 .45355 L
.44067 .45265 L
.4398 .45128 L
.43965 .45104 L
.43851 .44943 L
.4382 .44899 L
.43741 .44783 L
.43659 .44651 L
.43625 .44622 L
.43578 .44462 L
F
1 .64 0 r
.43659 .47971 m
.4368 .47993 L
.4382 .4814 L
.43832 .48154 L
.43976 .48314 L
.4398 .48319 L
.44114 .48475 L
.44141 .48505 L
.4425 .48636 L
.44301 .48694 L
.44386 .48796 L
.44462 .48854 L
.4452 .48957 L
.44622 .49075 L
.44672 .49117 L
.44783 .49277 L
.44783 .49278 L
.44912 .49438 L
.44943 .49476 L
.45042 .49599 L
.45104 .49659 L
.45171 .49759 L
.45265 .49873 L
.45308 .4992 L
.45425 .50078 L
.45427 .5008 L
.45553 .50241 L
.45586 .50255 L
.4568 .50401 L
.45746 .50475 L
.45832 .50562 L
.45907 .50688 L
.45935 .50722 L
.46058 .50883 L
.46067 .50894 L
.46183 .51043 L
.46228 .51083 L
.46364 .51204 L
.46388 .51301 L
.46443 .51364 L
.46549 .51514 L
.46557 .51525 L
.46681 .51686 L
.46709 .51692 L
.46805 .51846 L
.4687 .51917 L
.46953 .52007 L
.4703 .52136 L
.47055 .52167 L
.47175 .52328 L
.47191 .52348 L
.47297 .52488 L
.47351 .52533 L
.47472 .52649 L
.47512 .52761 L
.47552 .52809 L
.47666 .5297 L
.47672 .52978 L
.47786 .5313 L
.47833 .5319 L
.47908 .53291 L
.47993 .53388 L
.48049 .53451 L
.48152 .53612 L
.48154 .53615 L
.4827 .53772 L
.48314 .5383 L
.4839 .53933 L
.48475 .54017 L
.48546 .54093 L
.48631 .54254 L
.48636 .5426 L
.48747 .54414 L
.48796 .5448 L
.48864 .54575 L
.48957 .54699 L
.48983 .54735 L
.49098 .54896 L
.49117 .54922 L
.49209 .55057 L
.49278 .55151 L
.49321 .55217 L
.49433 .55378 L
.49438 .55385 L
.49527 .55538 L
.49599 .55655 L
.49614 .55699 L
.49599 .55719 L
.49575 .55699 L
.49438 .55575 L
.49405 .55538 L
.49278 .55403 L
.49256 .55378 L
.49117 .55223 L
.49113 .55217 L
.48977 .55057 L
.48957 .55034 L
.48842 .54896 L
.48796 .54843 L
.48708 .54735 L
.48636 .54691 L
.48575 .54575 L
.48475 .54462 L
.48417 .54414 L
.48314 .54256 L
.48312 .54254 L
.48185 .54093 L
.48154 .54057 L
.48056 .53933 L
.47993 .53878 L
.47927 .53772 L
.47833 .5366 L
.47786 .53612 L
.47672 .53452 L
.47672 .53451 L
.47546 .53291 L
.47512 .53285 L
.4742 .5313 L
.47351 .53057 L
.4726 .5297 L
.47191 .52841 L
.47163 .52809 L
.47043 .52649 L
.4703 .52633 L
.46919 .52488 L
.4687 .52451 L
.46794 .52328 L
.46709 .52227 L
.46654 .52167 L
.46549 .52013 L
.46544 .52007 L
.46422 .51846 L
.46388 .51804 L
.46298 .51686 L
.46228 .51613 L
.46142 .51525 L
.46067 .5139 L
.46046 .51364 L
.45928 .51204 L
.45907 .51177 L
.45806 .51043 L
.45746 .51001 L
.45683 .50883 L
.45586 .50765 L
.45548 .50722 L
.45437 .50562 L
.45425 .50547 L
.45317 .50401 L
.45265 .50334 L
.45195 .50241 L
.45104 .50139 L
.45051 .5008 L
.44951 .4992 L
.44943 .4991 L
.44833 .49759 L
.44783 .49695 L
.44713 .49599 L
.44622 .4951 L
.44592 .49438 L
.44472 .49278 L
.44462 .49265 L
.44356 .49117 L
.44301 .49045 L
.44239 .48957 L
.44141 .48826 L
.4412 .48796 L
.44005 .48636 L
.4398 .48602 L
.43895 .48475 L
.4382 .48372 L
.43782 .48314 L
.43672 .48154 L
.43659 .48136 L
.43582 .47993 L
F
.045 .9 1 r
.43659 .47301 m
.43711 .47351 L
.4382 .47459 L
.43869 .47512 L
.4398 .47618 L
.44018 .47672 L
.44141 .4781 L
.44172 .47833 L
.44299 .47993 L
.44301 .47996 L
.44437 .48154 L
.44462 .48161 L
.44573 .48314 L
.44622 .48369 L
.44761 .48475 L
.44783 .48569 L
.44845 .48636 L
.44943 .48768 L
.44965 .48796 L
.45101 .48957 L
.45104 .48959 L
.45232 .49117 L
.45265 .49158 L
.45375 .49278 L
.45425 .49363 L
.45484 .49438 L
.45586 .49568 L
.45601 .49599 L
.45744 .49759 L
.45746 .49761 L
.45894 .4992 L
.45907 .49965 L
.46 .5008 L
.46067 .50174 L
.46111 .50241 L
.46228 .50381 L
.46252 .50401 L
.46377 .50562 L
.46388 .50576 L
.46511 .50722 L
.46549 .50785 L
.46621 .50883 L
.46709 .50996 L
.46731 .51043 L
.4687 .51199 L
.46878 .51204 L
.47018 .51364 L
.4703 .51401 L
.47128 .51525 L
.47191 .51612 L
.47237 .51686 L
.47351 .51823 L
.47376 .51846 L
.475 .52007 L
.47512 .52021 L
.47633 .52167 L
.47672 .52232 L
.47742 .52328 L
.47833 .52444 L
.47852 .52488 L
.47993 .52647 L
.47995 .52649 L
.48137 .52809 L
.48154 .52853 L
.48245 .5297 L
.48314 .53066 L
.48354 .5313 L
.48475 .53276 L
.4849 .53291 L
.48612 .53451 L
.48636 .53477 L
.48747 .53612 L
.48796 .5369 L
.48855 .53772 L
.48957 .53903 L
.48968 .53933 L
.49104 .54093 L
.49117 .54104 L
.49252 .54254 L
.49278 .54315 L
.49354 .54414 L
.49438 .54529 L
.49465 .54575 L
.49595 .54735 L
.49599 .54736 L
.49717 .54896 L
.49759 .5494 L
.49855 .55057 L
.4992 .55157 L
.49961 .55217 L
.5008 .55372 L
.50082 .55378 L
.50206 .55538 L
.50241 .55565 L
.50358 .55699 L
.50401 .55787 L
.50456 .55859 L
.50562 .56006 L
.5057 .5602 L
.50692 .5618 L
.50722 .5622 L
.50812 .56341 L
.50883 .56418 L
.50949 .56501 L
.51043 .56645 L
.51055 .56662 L
.51173 .56822 L
.51204 .56863 L
.51292 .56983 L
.51364 .5705 L
.5144 .57143 L
.51525 .57293 L
.51533 .57304 L
.51647 .57464 L
.51686 .57516 L
.51763 .57625 L
.51846 .57738 L
.5188 .57785 L
.51995 .57946 L
.52007 .57962 L
.52104 .58106 L
.52167 .58195 L
.52214 .58267 L
.52324 .58428 L
.52328 .58433 L
.52414 .58588 L
.52488 .58727 L
.52493 .58749 L
.52488 .58764 L
.52457 .58749 L
.52328 .58648 L
.5227 .58588 L
.52167 .58486 L
.52114 .58428 L
.52007 .58328 L
.51968 .58267 L
.51846 .58132 L
.51812 .58106 L
.51688 .57946 L
.51686 .57943 L
.51553 .57785 L
.51525 .57781 L
.51419 .57625 L
.51364 .57569 L
.51285 .57464 L
.51204 .57366 L
.51143 .57304 L
.51043 .57166 L
.51025 .57143 L
.50894 .56983 L
.50883 .56975 L
.50765 .56822 L
.50722 .56773 L
.50612 .56662 L
.50562 .56567 L
.50507 .56501 L
.50401 .56362 L
.50388 .56341 L
.50255 .5618 L
.50241 .56166 L
.50086 .5602 L
.5008 .5596 L
.49992 .55859 L
.4992 .55751 L
.49881 .55699 L
.49759 .55546 L
.49757 .55538 L
.49626 .55378 L
.49599 .55347 L
.4948 .55217 L
.49438 .55137 L
.49374 .55057 L
.49278 .54927 L
.49259 .54896 L
.49127 .54735 L
.49117 .54727 L
.48965 .54575 L
.48957 .54519 L
.48868 .54414 L
.48796 .54307 L
.48758 .54254 L
.48636 .541 L
.48634 .54093 L
.48507 .53933 L
.48475 .53899 L
.4836 .53772 L
.48314 .53687 L
.48256 .53612 L
.48154 .53475 L
.48141 .53451 L
.48012 .53291 L
.47993 .53277 L
.47848 .5313 L
.47833 .53065 L
.47753 .5297 L
.47672 .52851 L
.47643 .52809 L
.47518 .52649 L
.47512 .52648 L
.47396 .52488 L
.47351 .52444 L
.47248 .52328 L
.47191 .52227 L
.47145 .52167 L
.4703 .52014 L
.47026 .52007 L
.46903 .51846 L
.4687 .51823 L
.46736 .51686 L
.46709 .51603 L
.46645 .51525 L
.46549 .51386 L
.46534 .51364 L
.46412 .51204 L
.46388 .51174 L
.4629 .51043 L
.46228 .50981 L
.46143 .50883 L
.46067 .50758 L
.46041 .50722 L
.45922 .50562 L
.45907 .50542 L
.45802 .50401 L
.45746 .50362 L
.45636 .50241 L
.45586 .50129 L
.45547 .5008 L
.45434 .4992 L
.45425 .49908 L
.45315 .49759 L
.45265 .49694 L
.45194 .49599 L
.45104 .49499 L
.45054 .49438 L
.4495 .49278 L
.44943 .49269 L
.44832 .49117 L
.44783 .49053 L
.44713 .48957 L
.44622 .48866 L
.44565 .48796 L
.44472 .48636 L
.44462 .48623 L
.44357 .48475 L
.44301 .48402 L
.4424 .48314 L
.44141 .48182 L
.44121 .48154 L
.44007 .47993 L
.4398 .47958 L
.43897 .47833 L
.4382 .47727 L
.43785 .47672 L
.43676 .47512 L
.43659 .47487 L
.43586 .47351 L
F
.001 .79 1 r
.43659 .45066 m
.43691 .45104 L
.4382 .4525 L
.43831 .45265 L
.4382 .45423 L
.43701 .45265 L
.43659 .4521 L
.4359 .45104 L
F
1 .81 .003 r
.43659 .44431 m
.43712 .44462 L
.4382 .44541 L
.43901 .44622 L
.4398 .4466 L
.44051 .44783 L
.44141 .44868 L
.4419 .44943 L
.44301 .45073 L
.44335 .45104 L
.44451 .45265 L
.44462 .45278 L
.44574 .45425 L
.44622 .45486 L
.44697 .45586 L
.44783 .45666 L
.4485 .45746 L
.44937 .45907 L
.44943 .45915 L
.45047 .46067 L
.45104 .46151 L
.45152 .46228 L
.45236 .46388 L
.45104 .46471 L
.45056 .46388 L
.44943 .46303 L
.44884 .46228 L
.44783 .46124 L
.44695 .46067 L
.44622 .45935 L
.44593 .45907 L
.44465 .45746 L
.44462 .45742 L
.44337 .45586 L
.44301 .45575 L
.44212 .45425 L
.44141 .45348 L
.44072 .45265 L
.4398 .45119 L
.4397 .45104 L
.43857 .44943 L
.4382 .44889 L
.43749 .44783 L
.43659 .44636 L
.43644 .44622 L
.436 .44462 L
F
1 .63 0 r
.43659 .47987 m
.43666 .47993 L
.4382 .4815 L
.43823 .48154 L
.43967 .48314 L
.4398 .48328 L
.44107 .48475 L
.44141 .48512 L
.44245 .48636 L
.44301 .487 L
.44381 .48796 L
.44462 .4886 L
.44516 .48957 L
.44622 .49081 L
.44665 .49117 L
.44779 .49278 L
.44783 .49282 L
.44909 .49438 L
.44943 .4948 L
.45039 .49599 L
.45104 .49663 L
.45168 .49759 L
.45265 .49877 L
.45305 .4992 L
.45424 .5008 L
.45425 .50082 L
.4555 .50241 L
.45586 .50257 L
.45677 .50401 L
.45746 .50479 L
.45829 .50562 L
.45907 .50691 L
.45932 .50722 L
.46055 .50883 L
.46067 .50898 L
.4618 .51043 L
.46228 .51085 L
.46362 .51204 L
.46388 .51304 L
.4644 .51364 L
.46549 .51516 L
.46555 .51525 L
.46679 .51686 L
.46709 .51693 L
.46802 .51846 L
.4687 .5192 L
.4695 .52007 L
.4703 .52139 L
.47052 .52167 L
.47173 .52328 L
.47191 .5235 L
.47295 .52488 L
.47351 .52535 L
.47469 .52649 L
.47512 .52764 L
.47549 .52809 L
.47663 .5297 L
.47672 .52981 L
.47784 .5313 L
.47833 .53194 L
.47906 .53291 L
.47993 .53392 L
.48046 .53451 L
.48149 .53612 L
.48154 .53618 L
.48267 .53772 L
.48314 .53834 L
.48387 .53933 L
.48475 .54023 L
.48541 .54093 L
.48627 .54254 L
.48636 .54264 L
.48743 .54414 L
.48796 .54485 L
.4886 .54575 L
.48957 .54705 L
.48979 .54735 L
.49092 .54896 L
.49117 .54929 L
.49203 .55057 L
.49278 .5516 L
.49315 .55217 L
.49424 .55378 L
.49438 .55398 L
.49513 .55538 L
.49438 .55561 L
.49417 .55538 L
.49278 .55393 L
.49264 .55378 L
.4912 .55217 L
.49117 .55214 L
.48983 .55057 L
.48957 .55027 L
.48848 .54896 L
.48796 .54837 L
.48713 .54735 L
.48636 .54685 L
.48579 .54575 L
.48475 .54457 L
.48423 .54414 L
.48316 .54254 L
.48314 .54252 L
.48188 .54093 L
.48154 .54053 L
.48059 .53933 L
.47993 .53874 L
.4793 .53772 L
.47833 .53656 L
.4779 .53612 L
.47675 .53451 L
.47672 .53449 L
.47549 .53291 L
.47512 .53284 L
.47423 .5313 L
.47351 .53054 L
.47262 .5297 L
.47191 .52838 L
.47166 .52809 L
.47045 .52649 L
.4703 .5263 L
.46921 .52488 L
.4687 .52449 L
.46796 .52328 L
.46709 .52225 L
.46657 .52167 L
.46549 .5201 L
.46546 .52007 L
.46424 .51846 L
.46388 .51801 L
.463 .51686 L
.46228 .5161 L
.46145 .51525 L
.46067 .51387 L
.46048 .51364 L
.4593 .51204 L
.45907 .51175 L
.45808 .51043 L
.45746 .50998 L
.45685 .50883 L
.45586 .50762 L
.45551 .50722 L
.45439 .50562 L
.45425 .50544 L
.45319 .50401 L
.45265 .50331 L
.45198 .50241 L
.45104 .50135 L
.45054 .5008 L
.44954 .4992 L
.44943 .49907 L
.44836 .49759 L
.44783 .49691 L
.44716 .49599 L
.44622 .49505 L
.44595 .49438 L
.44475 .49278 L
.44462 .4926 L
.4436 .49117 L
.44301 .4904 L
.44243 .48957 L
.44141 .48821 L
.44124 .48796 L
.4401 .48636 L
.4398 .48595 L
.439 .48475 L
.4382 .48364 L
.43788 .48314 L
.43682 .48154 L
.43659 .48121 L
.436 .47993 L
F
.001 .78 1 r
.43659 .45095 m
.43667 .45104 L
.43659 .45173 L
.43622 .45104 L
F
1 .92 .084 r
.43659 .42405 m
.43793 .42536 L
.4382 .42562 L
.4394 .42696 L
.4398 .42741 L
.44077 .42857 L
.44141 .42935 L
.44206 .43017 L
.44301 .43145 L
.44325 .43178 L
.44429 .43338 L
.44462 .43402 L
.44494 .43499 L
.44462 .43523 L
.44415 .43499 L
.44301 .43409 L
.44235 .43338 L
.44141 .43236 L
.44094 .43178 L
.4398 .43041 L
.43963 .43017 L
.43842 .42857 L
.4382 .42827 L
.43731 .42696 L
.43659 .42593 L
.43625 .42536 L
F
1 .8 .002 r
.43659 .44452 m
.43682 .44462 L
.4382 .44552 L
.43892 .44622 L
.4398 .44668 L
.44045 .44783 L
.44141 .44875 L
.44185 .44943 L
.44301 .45079 L
.44328 .45104 L
.44446 .45265 L
.44462 .45284 L
.4457 .45425 L
.44622 .45492 L
.44693 .45586 L
.44783 .45674 L
.44843 .45746 L
.44932 .45907 L
.44943 .45923 L
.4504 .46067 L
.45104 .46162 L
.45144 .46228 L
.45219 .46388 L
.45104 .46444 L
.45072 .46388 L
.44943 .46292 L
.44893 .46228 L
.44783 .46115 L
.44706 .46067 L
.44622 .45928 L
.446 .45907 L
.44471 .45746 L
.44462 .45735 L
.44343 .45586 L
.44301 .45572 L
.44217 .45425 L
.44141 .4534 L
.44078 .45265 L
.4398 .45111 L
.43976 .45104 L
.43863 .44943 L
.4382 .44879 L
.43756 .44783 L
.43662 .44622 L
.43659 .44616 L
.43631 .44462 L
F
0 .34 1 r
.43659 .49932 m
.43753 .5008 L
.4382 .50171 L
.43858 .50241 L
.4382 .50277 L
.43789 .50241 L
.43659 .50101 L
.43642 .5008 L
F
0 .33 1 r
.43659 .49941 m
.43745 .5008 L
.4382 .50185 L
.43847 .50241 L
.4382 .50264 L
.438 .50241 L
.43659 .50093 L
.43648 .5008 L
F
.007 .84 1 r
.43659 .43072 m
.43712 .43178 L
.43659 .43184 L
.43653 .43178 L
F
1 .1 0 r
.43659 .4928 m
.43775 .49438 L
.4382 .49491 L
.43896 .49599 L
.4398 .49701 L
.44021 .49759 L
.44141 .4991 L
.44148 .4992 L
.44141 .5005 L
.44043 .4992 L
.4398 .49849 L
.43914 .49759 L
.4382 .49648 L
.43783 .49599 L
.43659 .49446 L
.43654 .49438 L
F
0 .32 1 r
.43659 .4995 m
.43735 .5008 L
.4382 .50206 L
.4383 .50241 L
.4382 .50247 L
.43814 .50241 L
.43659 .50085 L
.43656 .5008 L
F
1 .09 0 r
.43659 .49287 m
.43769 .49438 L
.4382 .49497 L
.43891 .49599 L
.4398 .49707 L
.44017 .49759 L
.44141 .49917 L
.44143 .4992 L
.44141 .50042 L
.4405 .4992 L
.4398 .49842 L
.43919 .49759 L
.4382 .49642 L
.43788 .49599 L
.43659 .4944 L
.43658 .49438 L
F
1 .79 .001 r
.4382 .44564 m
.43881 .44622 L
.4398 .44677 L
.44038 .44783 L
.44141 .44883 L
.44179 .44943 L
.44301 .45086 L
.44321 .45104 L
.44441 .45265 L
.44462 .4529 L
.44565 .45425 L
.44622 .45497 L
.44688 .45586 L
.44783 .45683 L
.44835 .45746 L
.44926 .45907 L
.44943 .45931 L
.45034 .46067 L
.45104 .46174 L
.45136 .46228 L
.45196 .46388 L
.45104 .46409 L
.45092 .46388 L
.44943 .4628 L
.44903 .46228 L
.44783 .46106 L
.44719 .46067 L
.44622 .45921 L
.44607 .45907 L
.44477 .45746 L
.44462 .45728 L
.44348 .45586 L
.44301 .45568 L
.44222 .45425 L
.44141 .45333 L
.44085 .45265 L
.43982 .45104 L
.4398 .45102 L
.4387 .44943 L
.4382 .44869 L
.43764 .44783 L
.43675 .44622 L
F
.733 .99 1 r
.4382 .43983 m
.4398 .44 L
.44141 .44112 L
.44151 .44141 L
.44298 .44301 L
.44301 .44308 L
.44442 .44462 L
.44462 .44529 L
.44553 .44622 L
.44622 .44748 L
.44662 .44783 L
.44783 .44923 L
.44799 .44943 L
.44921 .45104 L
.44943 .45131 L
.45056 .45265 L
.45104 .45343 L
.45165 .45425 L
.45265 .45555 L
.45276 .45586 L
.45415 .45746 L
.45425 .45751 L
.4556 .45907 L
.45586 .45955 L
.45665 .46067 L
.45746 .46171 L
.45775 .46228 L
.45906 .46388 L
.45907 .46389 L
.46027 .46549 L
.46067 .46605 L
.46162 .46709 L
.46228 .46831 L
.46257 .4687 L
.46228 .46947 L
.46067 .46964 L
.45907 .46952 L
.45771 .4687 L
.45746 .46835 L
.45646 .46709 L
.45586 .46642 L
.45536 .46549 L
.45425 .46435 L
.45389 .46388 L
.45266 .46228 L
.45265 .46226 L
.45138 .46067 L
.45104 .4601 L
.45028 .45907 L
.44943 .45794 L
.44926 .45746 L
.44783 .4559 L
.44771 .45586 L
.44639 .45425 L
.44622 .45394 L
.44527 .45265 L
.44462 .45182 L
.4442 .45104 L
.44301 .4497 L
.44279 .44943 L
.44143 .44783 L
.44141 .44761 L
.44028 .44622 L
.4398 .44548 L
.43921 .44462 L
.4382 .44334 L
.43813 .44301 L
.43682 .44141 L
F
1 .78 .001 r
.4382 .44576 m
.4387 .44622 L
.4398 .44688 L
.44031 .44783 L
.44141 .44891 L
.44174 .44943 L
.44301 .45093 L
.44314 .45104 L
.44436 .45265 L
.44462 .45296 L
.44561 .45425 L
.44622 .45503 L
.44684 .45586 L
.44783 .45693 L
.44827 .45746 L
.4492 .45907 L
.44943 .45939 L
.45027 .46067 L
.45104 .46186 L
.45127 .46228 L
.45104 .46379 L
.44943 .46266 L
.44914 .46228 L
.44783 .46097 L
.44732 .46067 L
.44622 .45913 L
.44615 .45907 L
.44483 .45746 L
.44462 .45721 L
.44354 .45586 L
.44301 .45564 L
.44228 .45425 L
.44141 .45324 L
.44092 .45265 L
.43988 .45104 L
.4398 .45093 L
.43877 .44943 L
.4382 .44857 L
.43772 .44783 L
.43688 .44622 L
F
1 .77 .001 r
.4382 .44589 m
.43858 .44622 L
.4398 .44699 L
.44023 .44783 L
.44141 .44899 L
.44168 .44943 L
.44301 .451 L
.44306 .45104 L
.44431 .45265 L
.44462 .45302 L
.44556 .45425 L
.44622 .45509 L
.44679 .45586 L
.44783 .45703 L
.44818 .45746 L
.44914 .45907 L
.44943 .45948 L
.45021 .46067 L
.45104 .46201 L
.45118 .46228 L
.45104 .46359 L
.44943 .46252 L
.44925 .46228 L
.44783 .46087 L
.44748 .46067 L
.44623 .45907 L
.44622 .45906 L
.44489 .45746 L
.44462 .45713 L
.4436 .45586 L
.44301 .45558 L
.44233 .45425 L
.44141 .45316 L
.44099 .45265 L
.43995 .45104 L
.4398 .45084 L
.43884 .44943 L
.4382 .44846 L
.4378 .44783 L
.43703 .44622 L
F
.033 .89 1 r
.4382 .47491 m
.4384 .47512 L
.4398 .4765 L
.43996 .47672 L
.44141 .47832 L
.44143 .47833 L
.44284 .47993 L
.44301 .48013 L
.44423 .48154 L
.44462 .48166 L
.44561 .48314 L
.44622 .48382 L
.44753 .48475 L
.44783 .48581 L
.44835 .48636 L
.44943 .48778 L
.44958 .48796 L
.45093 .48957 L
.45104 .48966 L
.45224 .49117 L
.45265 .49167 L
.45369 .49278 L
.45425 .49371 L
.45478 .49438 L
.45586 .49574 L
.45598 .49599 L
.45739 .49759 L
.45746 .49768 L
.45892 .4992 L
.45907 .49972 L
.45995 .5008 L
.46067 .5018 L
.46107 .50241 L
.46228 .50386 L
.46247 .50401 L
.46372 .50562 L
.46388 .50581 L
.46508 .50722 L
.46549 .5079 L
.46617 .50883 L
.46709 .51001 L
.46729 .51043 L
.4687 .51201 L
.46874 .51204 L
.47017 .51364 L
.4703 .51405 L
.47125 .51525 L
.47191 .51617 L
.47235 .51686 L
.47351 .51826 L
.47373 .51846 L
.47497 .52007 L
.47512 .52025 L
.4763 .52167 L
.47672 .52235 L
.47739 .52328 L
.47833 .52447 L
.4785 .52488 L
.47992 .52649 L
.47993 .5265 L
.48136 .52809 L
.48154 .52856 L
.48242 .5297 L
.48314 .5307 L
.48352 .5313 L
.48475 .53279 L
.48487 .53291 L
.48609 .53451 L
.48636 .5348 L
.48745 .53612 L
.48796 .53693 L
.48852 .53772 L
.48957 .53906 L
.48967 .53933 L
.49102 .54093 L
.49117 .54106 L
.4925 .54254 L
.49278 .54318 L
.49352 .54414 L
.49438 .54533 L
.49463 .54575 L
.49592 .54735 L
.49599 .54737 L
.49714 .54896 L
.49759 .54943 L
.49852 .55057 L
.4992 .55162 L
.49958 .55217 L
.5008 .55376 L
.50081 .55378 L
.50202 .55538 L
.50241 .55568 L
.50355 .55699 L
.50401 .55792 L
.50452 .55859 L
.50562 .56012 L
.50567 .5602 L
.50687 .5618 L
.50722 .56226 L
.50808 .56341 L
.50883 .56424 L
.50943 .56501 L
.51043 .56652 L
.5105 .56662 L
.51167 .56822 L
.51204 .56871 L
.51286 .56983 L
.51364 .5706 L
.51431 .57143 L
.51524 .57304 L
.51525 .57305 L
.51639 .57464 L
.51686 .57528 L
.51754 .57625 L
.51846 .57751 L
.5187 .57785 L
.51982 .57946 L
.52007 .5798 L
.5209 .58106 L
.52167 .58218 L
.52198 .58267 L
.52297 .58428 L
.52328 .58478 L
.52367 .58588 L
.52328 .58601 L
.52313 .58588 L
.52167 .58456 L
.5214 .58428 L
.52007 .58298 L
.51987 .58267 L
.51846 .58111 L
.51839 .58106 L
.51703 .57946 L
.51686 .57927 L
.51565 .57785 L
.51525 .57777 L
.5143 .57625 L
.51364 .57558 L
.51295 .57464 L
.51204 .57355 L
.51152 .57304 L
.51043 .57157 L
.51032 .57143 L
.50901 .56983 L
.50883 .5697 L
.50772 .56822 L
.50722 .56766 L
.50617 .56662 L
.50562 .5656 L
.50512 .56501 L
.50401 .56356 L
.50391 .56341 L
.5026 .5618 L
.50241 .56161 L
.50087 .5602 L
.5008 .55955 L
.49996 .55859 L
.4992 .55746 L
.49884 .55699 L
.49759 .55543 L
.49758 .55538 L
.4963 .55378 L
.49599 .55343 L
.49482 .55217 L
.49438 .55133 L
.49377 .55057 L
.49278 .54923 L
.49262 .54896 L
.4913 .54735 L
.49117 .54724 L
.48966 .54575 L
.48957 .54516 L
.4887 .54414 L
.48796 .54304 L
.4876 .54254 L
.48636 .54097 L
.48635 .54093 L
.48509 .53933 L
.48475 .53897 L
.48362 .53772 L
.48314 .53684 L
.48258 .53612 L
.48154 .53472 L
.48142 .53451 L
.48014 .53291 L
.47993 .53275 L
.47849 .5313 L
.47833 .53063 L
.47755 .5297 L
.47672 .52848 L
.47645 .52809 L
.4752 .52649 L
.47512 .52648 L
.47398 .52488 L
.47351 .52441 L
.4725 .52328 L
.47191 .52224 L
.47147 .52167 L
.4703 .52011 L
.47028 .52007 L
.46906 .51846 L
.4687 .51821 L
.46738 .51686 L
.46709 .516 L
.46648 .51525 L
.46549 .51382 L
.46536 .51364 L
.46415 .51204 L
.46388 .5117 L
.46293 .51043 L
.46228 .50977 L
.46146 .50883 L
.46067 .50754 L
.46043 .50722 L
.45925 .50562 L
.45907 .50538 L
.45805 .50401 L
.45746 .50358 L
.45639 .50241 L
.45586 .50124 L
.45551 .5008 L
.45438 .4992 L
.45425 .49903 L
.45319 .49759 L
.45265 .49689 L
.45198 .49599 L
.45104 .49492 L
.4506 .49438 L
.44955 .49278 L
.44943 .49263 L
.44837 .49117 L
.44783 .49047 L
.44718 .48957 L
.44622 .48855 L
.44574 .48796 L
.44479 .48636 L
.44462 .48614 L
.44364 .48475 L
.44301 .48392 L
.44248 .48314 L
.44141 .48171 L
.44129 .48154 L
.44018 .47993 L
.4398 .47941 L
.4391 .47833 L
.4382 .47705 L
.438 .47672 L
.43704 .47512 L
F
.538 .98 1 r
.4382 .44007 m
.4398 .44027 L
.44141 .44141 L
.44141 .44141 L
.44286 .44301 L
.44301 .4433 L
.44438 .44462 L
.44462 .4454 L
.44547 .44622 L
.44622 .44753 L
.44659 .44783 L
.44783 .44928 L
.44795 .44943 L
.44918 .45104 L
.44943 .45135 L
.45054 .45265 L
.45104 .45347 L
.45162 .45425 L
.45265 .45558 L
.45275 .45586 L
.45412 .45746 L
.45425 .45753 L
.45558 .45907 L
.45586 .45958 L
.45662 .46067 L
.45746 .46176 L
.45772 .46228 L
.45901 .46388 L
.45907 .46395 L
.46021 .46549 L
.46067 .46615 L
.46153 .46709 L
.46228 .46861 L
.46233 .4687 L
.46228 .46904 L
.46067 .46946 L
.45907 .46924 L
.45793 .4687 L
.45746 .46813 L
.45658 .46709 L
.45586 .46629 L
.45542 .46549 L
.45425 .46427 L
.45395 .46388 L
.45271 .46228 L
.45265 .46219 L
.45142 .46067 L
.45104 .46005 L
.45032 .45907 L
.44943 .4579 L
.44928 .45746 L
.44783 .45588 L
.44775 .45586 L
.44641 .45425 L
.44622 .4539 L
.4453 .45265 L
.44462 .45178 L
.44423 .45104 L
.44301 .44965 L
.44283 .44943 L
.44143 .44783 L
.44141 .44754 L
.44033 .44622 L
.4398 .44539 L
.43928 .44462 L
.4382 .4432 L
.43816 .44301 L
.43704 .44141 L
F
.4382 .37709 m
.43831 .3772 L
.4398 .37857 L
.43996 .3788 L
.44141 .38033 L
.44153 .38041 L
.44292 .38201 L
.44301 .38212 L
.44432 .38362 L
.44462 .38373 L
.4457 .38523 L
.44622 .38577 L
.44706 .38683 L
.44783 .38776 L
.44852 .38844 L
.44943 .38974 L
.4497 .39004 L
.45103 .39165 L
.45104 .39166 L
.45233 .39325 L
.45265 .39363 L
.45387 .39486 L
.45425 .39568 L
.45492 .39646 L
.45586 .39773 L
.45609 .39807 L
.45745 .39967 L
.45746 .39968 L
.45872 .40128 L
.45907 .40172 L
.46008 .40288 L
.46067 .40381 L
.46118 .40449 L
.46228 .40589 L
.46235 .40609 L
.46375 .4077 L
.46388 .40786 L
.46519 .4093 L
.46549 .40994 L
.46626 .41091 L
.46709 .41206 L
.46738 .41251 L
.4687 .41409 L
.46874 .41412 L
.47028 .41572 L
.4703 .41612 L
.47132 .41733 L
.47191 .41824 L
.47242 .41894 L
.47351 .42034 L
.47358 .42054 L
.47495 .42215 L
.47512 .42234 L
.47639 .42375 L
.47672 .42444 L
.47745 .42536 L
.47833 .42656 L
.47857 .42696 L
.4799 .42857 L
.47993 .4286 L
.48148 .43017 L
.48154 .43066 L
.48248 .43178 L
.48314 .43279 L
.48357 .43338 L
.48475 .43488 L
.48478 .43499 L
.48607 .43659 L
.48636 .43689 L
.48754 .4382 L
.48796 .43902 L
.48858 .4398 L
.48957 .44114 L
.48972 .44141 L
.49101 .44301 L
.49117 .44314 L
.49264 .44462 L
.49278 .44524 L
.4936 .44622 L
.49438 .44739 L
.49469 .44783 L
.49594 .44943 L
.49599 .44944 L
.49716 .45104 L
.49759 .45146 L
.49865 .45265 L
.4992 .45363 L
.49968 .45425 L
.5008 .45576 L
.50085 .45586 L
.50209 .45746 L
.50241 .45767 L
.50376 .45907 L
.50401 .45986 L
.50469 .46067 L
.50562 .46203 L
.50579 .46228 L
.50701 .46388 L
.50722 .46415 L
.50823 .46549 L
.50883 .46607 L
.50972 .46709 L
.51043 .46828 L
.51075 .4687 L
.51194 .4703 L
.51204 .47043 L
.51314 .47191 L
.51364 .47224 L
.51482 .47351 L
.51525 .47453 L
.51573 .47512 L
.51685 .47672 L
.51686 .47673 L
.51805 .47833 L
.51846 .47885 L
.51927 .47993 L
.52007 .48075 L
.52072 .48154 L
.52167 .48302 L
.52176 .48314 L
.52295 .48475 L
.52328 .48517 L
.52416 .48636 L
.52488 .48694 L
.52575 .48796 L
.52649 .48932 L
.52668 .48957 L
.52783 .49117 L
.52809 .49151 L
.52902 .49278 L
.5297 .49364 L
.53024 .49438 L
.5313 .49564 L
.53157 .49599 L
.53267 .49759 L
.53291 .4979 L
.53385 .4992 L
.53451 .50005 L
.53505 .5008 L
.53612 .5022 L
.53642 .50241 L
.53744 .50401 L
.53772 .50438 L
.53859 .50562 L
.53933 .50659 L
.53976 .50722 L
.54093 .50881 L
.54094 .50883 L
.54196 .51043 L
.54254 .51129 L
.54287 .51204 L
.54254 .51232 L
.5422 .51204 L
.54093 .51097 L
.54036 .51043 L
.53933 .50948 L
.53866 .50883 L
.53772 .50806 L
.53703 .50722 L
.53612 .50617 L
.53537 .50562 L
.53451 .50431 L
.53422 .50401 L
.53291 .50283 L
.53285 .50241 L
.5313 .501 L
.53112 .5008 L
.52977 .4992 L
.5297 .49911 L
.52832 .49759 L
.52809 .49713 L
.52714 .49599 L
.52649 .4951 L
.52595 .49438 L
.52488 .49306 L
.52475 .49278 L
.52328 .49119 L
.52326 .49117 L
.52198 .48957 L
.52167 .48912 L
.52083 .48796 L
.52007 .48699 L
.51975 .48636 L
.51846 .48488 L
.51819 .48475 L
.51693 .48314 L
.51686 .48301 L
.51576 .48154 L
.51525 .48087 L
.51471 .47993 L
.51364 .47868 L
.51317 .47833 L
.51204 .47684 L
.51195 .47672 L
.51072 .47512 L
.51043 .47472 L
.50963 .47351 L
.50883 .47253 L
.50818 .47191 L
.50722 .47064 L
.50695 .4703 L
.50572 .4687 L
.50562 .46854 L
.50457 .46709 L
.50401 .46638 L
.50357 .46549 L
.50241 .46418 L
.50198 .46388 L
.5008 .46232 L
.50077 .46228 L
.49955 .46067 L
.4992 .46019 L
.49847 .45907 L
.49759 .45802 L
.49703 .45746 L
.49599 .4559 L
.49581 .45586 L
.49456 .45425 L
.49438 .45398 L
.49343 .45265 L
.49278 .45182 L
.49242 .45104 L
.49117 .44967 L
.49086 .44943 L
.48961 .44783 L
.48957 .44773 L
.48842 .44622 L
.48796 .4456 L
.48735 .44462 L
.48636 .44345 L
.48593 .44301 L
.48475 .44142 L
.48471 .44141 L
.48343 .4398 L
.48314 .43936 L
.48233 .4382 L
.48154 .43722 L
.48129 .43659 L
.47993 .43512 L
.47978 .43499 L
.47845 .43338 L
.47833 .43311 L
.47732 .43178 L
.47672 .43098 L
.47625 .43017 L
.47512 .42885 L
.47486 .42857 L
.47364 .42696 L
.47351 .42683 L
.47233 .42536 L
.47191 .42472 L
.47124 .42375 L
.4703 .42258 L
.47016 .42215 L
.46873 .42054 L
.4687 .42052 L
.46732 .41894 L
.46709 .41846 L
.46625 .41733 L
.46549 .4163 L
.46516 .41572 L
.46388 .41419 L
.46383 .41412 L
.46261 .41251 L
.46228 .41219 L
.46126 .41091 L
.46067 .41002 L
.4602 .4093 L
.45907 .40786 L
.45902 .4077 L
.45773 .40609 L
.45746 .40593 L
.45625 .40449 L
.45586 .40372 L
.45525 .40288 L
.45425 .40151 L
.45412 .40128 L
.45289 .39967 L
.45265 .39935 L
.45115 .39807 L
.45104 .39741 L
.45034 .39646 L
.44943 .39511 L
.44927 .39486 L
.44809 .39325 L
.44783 .3929 L
.44692 .39165 L
.44622 .39107 L
.44546 .39004 L
.44462 .38857 L
.44453 .38844 L
.44341 .38683 L
.44301 .38629 L
.44227 .38523 L
.44141 .38403 L
.4408 .38362 L
.44003 .38201 L
.4398 .3817 L
.43899 .38041 L
.4382 .37922 L
.43795 .3788 L
.43713 .3772 L
F
1 .76 .001 r
.4382 .44602 m
.43844 .44622 L
.4398 .44713 L
.44016 .44783 L
.44141 .44909 L
.44162 .44943 L
.44299 .45104 L
.44301 .45107 L
.44426 .45265 L
.44462 .45308 L
.44551 .45425 L
.44622 .45515 L
.44675 .45586 L
.44783 .45714 L
.44809 .45746 L
.44908 .45907 L
.44943 .45957 L
.45013 .46067 L
.45104 .46218 L
.45109 .46228 L
.45104 .46334 L
.44943 .46236 L
.44937 .46228 L
.44783 .46077 L
.44765 .46067 L
.44631 .45907 L
.44622 .45898 L
.44496 .45746 L
.44462 .45706 L
.44365 .45586 L
.44301 .45552 L
.44239 .45425 L
.44141 .45307 L
.44106 .45265 L
.44001 .45104 L
.4398 .45075 L
.43891 .44943 L
.4382 .44833 L
.43789 .44783 L
.43721 .44622 L
F
1 .97 .395 r
.4382 .46854 m
.43842 .4687 L
.4398 .46954 L
.44034 .4703 L
.44141 .47129 L
.44202 .47191 L
.44301 .47298 L
.44372 .47351 L
.44462 .47474 L
.44503 .47512 L
.44622 .47657 L
.44637 .47672 L
.44771 .47833 L
.44783 .47847 L
.44926 .47993 L
.44943 .48045 L
.45038 .48154 L
.45104 .48246 L
.45159 .48314 L
.45265 .48448 L
.45283 .48475 L
.45424 .48636 L
.45425 .48648 L
.45544 .48796 L
.45586 .48855 L
.45659 .48957 L
.45746 .49066 L
.45769 .49117 L
.45907 .49271 L
.45923 .49278 L
.4605 .49438 L
.46067 .49466 L
.46164 .49599 L
.46228 .49681 L
.46265 .49759 L
.46388 .49901 L
.46428 .4992 L
.46549 .50077 L
.46551 .5008 L
.46672 .50241 L
.46709 .50291 L
.46777 .50401 L
.4687 .50513 L
.4693 .50562 L
.4703 .50694 L
.47053 .50722 L
.47176 .50883 L
.47191 .50905 L
.47288 .51043 L
.47351 .51123 L
.47383 .51204 L
.47512 .51347 L
.47551 .51364 L
.47672 .51524 L
.47673 .51525 L
.47793 .51686 L
.47833 .51739 L
.47897 .51846 L
.47993 .5196 L
.48048 .52007 L
.48154 .52147 L
.4817 .52167 L
.48293 .52328 L
.48314 .52359 L
.48404 .52488 L
.48475 .52576 L
.485 .52649 L
.48636 .52794 L
.48665 .52809 L
.4879 .5297 L
.48796 .52982 L
.48906 .5313 L
.48957 .53196 L
.49011 .53291 L
.49117 .53413 L
.49159 .53451 L
.49278 .53607 L
.49281 .53612 L
.49406 .53772 L
.49438 .53819 L
.49515 .53933 L
.49599 .54034 L
.49614 .54093 L
.49759 .54244 L
.49775 .54254 L
.49904 .54414 L
.4992 .54443 L
.50017 .54575 L
.5008 .54657 L
.50122 .54735 L
.50241 .5487 L
.50268 .54896 L
.50399 .55057 L
.50401 .5507 L
.50517 .55217 L
.50562 .55281 L
.50626 .55378 L
.50722 .55495 L
.5073 .55538 L
.50883 .55699 L
.50883 .55699 L
.51017 .55859 L
.51043 .55906 L
.51127 .5602 L
.51204 .5612 L
.51234 .5618 L
.51364 .5633 L
.51375 .56341 L
.51517 .56501 L
.51525 .56532 L
.51627 .56662 L
.51686 .56745 L
.51735 .56822 L
.51846 .56958 L
.51849 .56983 L
.51988 .57143 L
.52007 .57159 L
.52128 .57304 L
.52167 .57371 L
.52234 .57464 L
.52328 .57586 L
.52346 .57625 L
.52479 .57785 L
.52488 .57788 L
.52632 .57946 L
.52649 .57996 L
.52733 .58106 L
.52809 .58215 L
.52842 .58267 L
.52968 .58428 L
.5297 .58429 L
.53089 .58588 L
.5313 .58621 L
.53232 .58749 L
.53291 .58845 L
.53336 .58909 L
.53451 .59064 L
.53454 .5907 L
.53575 .5923 L
.53612 .59279 L
.53736 .59391 L
.53772 .59476 L
.53827 .59551 L
.53933 .59704 L
.53938 .59712 L
.54056 .59872 L
.54093 .59922 L
.54175 .60033 L
.54254 .60113 L
.54312 .60193 L
.54413 .60354 L
.54414 .60355 L
.54528 .60514 L
.54575 .60578 L
.54643 .60675 L
.54735 .60802 L
.5478 .60835 L
.5487 .60996 L
.54896 .61032 L
.54977 .61156 L
.55057 .61273 L
.55084 .61317 L
.55178 .61477 L
.55217 .61547 L
.55241 .61638 L
.55217 .61653 L
.55195 .61638 L
.55057 .61527 L
.55007 .61477 L
.54896 .61388 L
.54849 .61317 L
.54735 .61198 L
.54661 .61156 L
.54575 .61015 L
.54553 .60996 L
.54418 .60835 L
.54414 .60831 L
.54281 .60675 L
.54254 .60648 L
.54145 .60514 L
.54093 .60451 L
.53994 .60354 L
.53933 .60251 L
.53882 .60193 L
.53772 .60052 L
.5376 .60033 L
.5362 .59872 L
.53612 .59863 L
.53464 .59712 L
.53451 .5966 L
.53359 .59551 L
.53291 .59452 L
.53246 .59391 L
.5313 .59246 L
.53129 .5923 L
.52982 .5907 L
.5297 .59054 L
.52845 .58909 L
.52809 .58846 L
.52734 .58749 L
.52649 .58633 L
.52624 .58588 L
.52488 .58431 L
.52479 .58428 L
.52338 .58267 L
.52328 .58232 L
.52226 .58106 L
.52167 .5802 L
.52117 .57946 L
.52007 .57808 L
.51979 .57785 L
.51856 .57625 L
.51846 .57613 L
.51721 .57464 L
.51686 .57402 L
.51611 .57304 L
.51525 .57188 L
.51502 .57143 L
.51364 .56985 L
.51359 .56983 L
.51217 .56822 L
.51204 .56781 L
.51108 .56662 L
.51043 .56568 L
.50999 .56501 L
.50883 .56358 L
.50864 .56341 L
.50741 .5618 L
.50722 .56158 L
.50605 .5602 L
.50562 .55946 L
.50497 .55859 L
.50401 .55734 L
.50385 .55699 L
.50247 .55538 L
.50241 .55532 L
.501 .55378 L
.5008 .55323 L
.49995 .55217 L
.4992 .5511 L
.49885 .55057 L
.49759 .54902 L
.49753 .54896 L
.49631 .54735 L
.49599 .547 L
.49492 .54575 L
.49438 .54487 L
.49385 .54414 L
.49278 .54275 L
.49269 .54254 L
.49138 .54093 L
.49117 .54075 L
.48986 .53933 L
.48957 .53863 L
.48884 .53772 L
.48796 .53649 L
.48772 .53612 L
.48645 .53451 L
.48636 .53447 L
.48523 .53291 L
.48475 .53241 L
.48381 .5313 L
.48314 .53024 L
.48274 .5297 L
.48154 .52812 L
.48153 .52809 L
.4803 .52649 L
.47993 .52619 L
.47875 .52488 L
.47833 .52401 L
.47775 .52328 L
.47672 .52185 L
.47661 .52167 L
.47538 .52007 L
.47512 .51999 L
.47416 .51846 L
.47351 .51779 L
.47274 .51686 L
.47191 .51559 L
.47167 .51525 L
.47046 .51364 L
.4703 .51345 L
.46925 .51204 L
.4687 .5116 L
.46768 .51043 L
.46709 .50934 L
.4667 .50883 L
.46554 .50722 L
.46549 .50716 L
.46434 .50562 L
.46388 .50504 L
.46312 .50401 L
.46228 .5031 L
.46172 .50241 L
.46067 .50086 L
.46063 .5008 L
.45944 .4992 L
.45907 .49873 L
.45822 .49759 L
.45746 .4969 L
.45671 .49599 L
.45586 .49456 L
.45572 .49438 L
.45455 .49278 L
.45425 .49239 L
.45336 .49117 L
.45265 .49026 L
.45169 .48957 L
.45104 .48822 L
.45084 .48796 L
.44971 .48636 L
.44943 .48601 L
.44852 .48475 L
.44783 .48385 L
.44732 .48314 L
.44622 .48181 L
.44602 .48154 L
.44493 .47993 L
.44462 .47953 L
.44377 .47833 L
.44301 .47733 L
.44259 .47672 L
.44141 .47514 L
.44139 .47512 L
.44029 .47351 L
.4398 .47284 L
.4392 .47191 L
.4382 .47047 L
.4381 .4703 L
.43725 .4687 L
F
.395 .97 1 r
.4382 .44032 m
.4398 .44051 L
.44117 .44141 L
.44141 .44159 L
.44274 .44301 L
.44301 .44348 L
.44434 .44462 L
.44462 .4455 L
.44542 .44622 L
.44622 .44758 L
.44655 .44783 L
.44783 .44933 L
.44791 .44943 L
.44914 .45104 L
.44943 .4514 L
.45051 .45265 L
.45104 .45351 L
.45159 .45425 L
.45265 .45561 L
.45274 .45586 L
.45409 .45746 L
.45425 .45754 L
.45556 .45907 L
.45586 .45962 L
.45659 .46067 L
.45746 .46181 L
.4577 .46228 L
.45897 .46388 L
.45907 .46402 L
.46014 .46549 L
.46067 .46625 L
.46143 .46709 L
.46205 .4687 L
.46067 .46929 L
.45907 .46901 L
.45823 .4687 L
.45746 .46794 L
.4567 .46709 L
.45586 .46617 L
.45549 .46549 L
.45425 .46418 L
.45402 .46388 L
.45276 .46228 L
.45265 .46212 L
.45145 .46067 L
.45104 .45999 L
.45035 .45907 L
.44943 .45786 L
.4493 .45746 L
.44783 .45587 L
.44779 .45586 L
.44644 .45425 L
.44622 .45386 L
.44533 .45265 L
.44462 .45173 L
.44426 .45104 L
.44301 .4496 L
.44288 .44943 L
.44144 .44783 L
.44141 .44747 L
.44038 .44622 L
.4398 .4453 L
.43935 .44462 L
.4382 .44305 L
.43819 .44301 L
.43727 .44141 L
F
1 .75 0 r
.4382 .44617 m
.43827 .44622 L
.4398 .44728 L
.44008 .44783 L
.44141 .44918 L
.44156 .44943 L
.44293 .45104 L
.44301 .45114 L
.44421 .45265 L
.44462 .45314 L
.44546 .45425 L
.44622 .45521 L
.4467 .45586 L
.44783 .45726 L
.448 .45746 L
.44902 .45907 L
.44943 .45967 L
.45006 .46067 L
.44943 .46221 L
.44783 .46067 L
.44783 .46067 L
.44638 .45907 L
.44622 .4589 L
.44502 .45746 L
.44462 .45699 L
.44371 .45586 L
.44301 .45545 L
.44245 .45425 L
.44141 .45297 L
.44114 .45265 L
.44008 .45104 L
.4398 .45066 L
.43898 .44943 L
.4382 .44819 L
.43798 .44783 L
.43746 .44622 L
F
.289 .96 1 r
.4382 .44057 m
.4398 .44073 L
.44092 .44141 L
.44141 .44176 L
.44262 .44301 L
.44301 .44365 L
.44429 .44462 L
.44462 .44559 L
.44537 .44622 L
.44622 .44762 L
.44652 .44783 L
.44783 .44939 L
.44787 .44943 L
.44911 .45104 L
.44943 .45144 L
.45048 .45265 L
.45104 .45355 L
.45157 .45425 L
.45265 .45565 L
.45273 .45586 L
.45406 .45746 L
.45425 .45756 L
.45553 .45907 L
.45586 .45966 L
.45656 .46067 L
.45746 .46187 L
.45767 .46228 L
.45892 .46388 L
.45907 .46409 L
.46008 .46549 L
.46067 .46636 L
.46132 .46709 L
.46174 .4687 L
.46067 .46911 L
.45907 .46881 L
.4587 .4687 L
.45746 .46777 L
.45681 .46709 L
.45586 .46606 L
.45554 .46549 L
.45425 .4641 L
.45408 .46388 L
.45281 .46228 L
.45265 .46205 L
.45149 .46067 L
.45104 .45994 L
.45039 .45907 L
.44943 .45782 L
.44931 .45746 L
.44783 .45586 L
.44782 .45586 L
.44646 .45425 L
.44622 .45382 L
.44537 .45265 L
.44462 .45168 L
.44429 .45104 L
.44301 .44955 L
.44292 .44943 L
.44144 .44783 L
.44141 .4474 L
.44044 .44622 L
.4398 .44521 L
.43941 .44462 L
.43829 .44301 L
.4382 .44285 L
.43751 .44141 L
F
1 .91 .061 r
.4382 .4261 m
.43901 .42696 L
.4398 .4278 L
.44045 .42857 L
.44141 .42973 L
.44175 .43017 L
.44292 .43178 L
.44301 .43192 L
.44382 .43338 L
.44301 .43368 L
.44271 .43338 L
.44141 .43205 L
.44119 .43178 L
.43986 .43017 L
.4398 .4301 L
.43872 .42857 L
.4382 .42786 L
.43764 .42696 L
F
.156 .94 1 r
.4382 .39014 m
.43949 .39165 L
.4398 .39198 L
.44085 .39325 L
.44141 .39387 L
.4422 .39486 L
.44301 .39579 L
.44355 .39646 L
.44462 .39754 L
.44488 .39807 L
.4462 .39967 L
.44622 .3997 L
.44747 .40128 L
.44783 .40171 L
.44874 .40288 L
.44943 .40372 L
.45003 .40449 L
.45104 .4056 L
.45164 .40609 L
.4526 .4077 L
.45265 .40776 L
.45384 .4093 L
.45425 .40981 L
.45509 .41091 L
.45586 .4115 L
.45636 .41251 L
.45746 .41384 L
.45774 .41412 L
.45887 .41572 L
.45907 .41597 L
.4601 .41733 L
.46067 .41804 L
.46134 .41894 L
.46228 .41993 L
.46293 .42054 L
.46385 .42215 L
.46388 .42218 L
.46506 .42375 L
.46549 .42428 L
.46629 .42536 L
.46709 .42597 L
.46753 .42696 L
.4687 .42841 L
.46884 .42857 L
.46999 .43017 L
.4703 .43057 L
.4712 .43178 L
.47191 .43268 L
.47242 .43338 L
.47351 .43466 L
.47383 .43499 L
.47487 .43659 L
.47512 .43691 L
.47606 .4382 L
.47672 .43905 L
.47727 .4398 L
.47833 .44117 L
.4785 .44141 L
.47969 .44301 L
.47993 .44333 L
.48085 .44462 L
.48154 .44551 L
.48204 .44622 L
.48314 .44768 L
.48325 .44783 L
.48439 .44943 L
.48475 .44991 L
.4855 .45104 L
.48636 .45219 L
.48665 .45265 L
.48636 .45417 L
.48499 .45265 L
.48475 .45239 L
.48358 .45104 L
.48314 .45055 L
.48219 .44943 L
.48154 .44867 L
.48083 .44783 L
.47993 .44698 L
.47948 .44622 L
.47833 .44484 L
.47809 .44462 L
.47686 .44301 L
.47672 .44285 L
.47555 .44141 L
.47512 .44088 L
.47425 .4398 L
.47351 .439 L
.47254 .4382 L
.47191 .43688 L
.47165 .43659 L
.47041 .43499 L
.4703 .43485 L
.46914 .43338 L
.4687 .43307 L
.46787 .43178 L
.46709 .43084 L
.46647 .43017 L
.46549 .42873 L
.46536 .42857 L
.46411 .42696 L
.46388 .42667 L
.46285 .42536 L
.46228 .42475 L
.46124 .42375 L
.46067 .42256 L
.46033 .42215 L
.45913 .42054 L
.45907 .42046 L
.4579 .41894 L
.45746 .41867 L
.45666 .41733 L
.45586 .41636 L
.45531 .41572 L
.45425 .41418 L
.45421 .41412 L
.45299 .41251 L
.45265 .41206 L
.45177 .41091 L
.45104 .41013 L
.45025 .4093 L
.44943 .40784 L
.44933 .4077 L
.44815 .40609 L
.44783 .40567 L
.44695 .40449 L
.44622 .40394 L
.44575 .40288 L
.44462 .40139 L
.44453 .40128 L
.4434 .39967 L
.44301 .39916 L
.44223 .39807 L
.44141 .39695 L
.44105 .39646 L
.43991 .39486 L
.4398 .39471 L
.43881 .39325 L
.4382 .39239 L
.4377 .39165 L
F
.212 .95 1 r
.4382 .44086 m
.4398 .44094 L
.44065 .44141 L
.44141 .44192 L
.4425 .44301 L
.44301 .4438 L
.44423 .44462 L
.44462 .44567 L
.44532 .44622 L
.44622 .44766 L
.44648 .44783 L
.44783 .44943 L
.44783 .44944 L
.44907 .45104 L
.44943 .45148 L
.45046 .45265 L
.45104 .45359 L
.45154 .45425 L
.45265 .45568 L
.45271 .45586 L
.45402 .45746 L
.45425 .45758 L
.45551 .45907 L
.45586 .4597 L
.45653 .46067 L
.45746 .46192 L
.45764 .46228 L
.45887 .46388 L
.45907 .46416 L
.46001 .46549 L
.46067 .46649 L
.46121 .46709 L
.46137 .4687 L
.46067 .46893 L
.45927 .4687 L
.45907 .46865 L
.45746 .46762 L
.45693 .46709 L
.45586 .46595 L
.4556 .46549 L
.45425 .46402 L
.45414 .46388 L
.45286 .46228 L
.45265 .46199 L
.45153 .46067 L
.45104 .45989 L
.45042 .45907 L
.44943 .45778 L
.44933 .45746 L
.44786 .45586 L
.44783 .45583 L
.44648 .45425 L
.44622 .45378 L
.4454 .45265 L
.44462 .45163 L
.44432 .45104 L
.44301 .4495 L
.44296 .44943 L
.44145 .44783 L
.44141 .44733 L
.44049 .44622 L
.4398 .44511 L
.43948 .44462 L
.43841 .44301 L
.4382 .4426 L
.43777 .44141 L
F
0 .28 1 r
.4382 .48814 m
.43936 .48957 L
.4398 .49006 L
.44069 .49117 L
.44141 .492 L
.44202 .49278 L
.44301 .49397 L
.44334 .49438 L
.44462 .49593 L
.44465 .49599 L
.4459 .49759 L
.44622 .49798 L
.44716 .4992 L
.44783 .50001 L
.44844 .5008 L
.44943 .50205 L
.44971 .50241 L
.45097 .50401 L
.45104 .5041 L
.45219 .50562 L
.45265 .50618 L
.45343 .50722 L
.45425 .50826 L
.45467 .50883 L
.45586 .51028 L
.45592 .51043 L
.45712 .51204 L
.45746 .51247 L
.45832 .51364 L
.45907 .5146 L
.45954 .51525 L
.46067 .51672 L
.46077 .51686 L
.46193 .51846 L
.46228 .51891 L
.46309 .52007 L
.46388 .52111 L
.46427 .52167 L
.46388 .52323 L
.46262 .52167 L
.46228 .52129 L
.46131 .52007 L
.46067 .51933 L
.45999 .51846 L
.45907 .51735 L
.45868 .51686 L
.45746 .51545 L
.45737 .51525 L
.45612 .51364 L
.45586 .51333 L
.45487 .51204 L
.45425 .51129 L
.4536 .51043 L
.45265 .50925 L
.45233 .50883 L
.45106 .50722 L
.45104 .5072 L
.44985 .50562 L
.44943 .50511 L
.44862 .50401 L
.44783 .50302 L
.44737 .50241 L
.44622 .50106 L
.44613 .5008 L
.44493 .4992 L
.44462 .49881 L
.44374 .49759 L
.44301 .49667 L
.44252 .49599 L
.44141 .49454 L
.44129 .49438 L
.44014 .49278 L
.4398 .49235 L
.43899 .49117 L
.4382 .49014 L
.43781 .48957 L
F
0 .27 1 r
.4382 .4882 m
.43931 .48957 L
.4398 .49011 L
.44065 .49117 L
.44141 .49205 L
.44198 .49278 L
.44301 .49401 L
.44331 .49438 L
.44461 .49599 L
.44462 .49599 L
.44587 .49759 L
.44622 .49802 L
.44713 .4992 L
.44783 .50005 L
.44841 .5008 L
.44943 .50208 L
.44968 .50241 L
.45094 .50401 L
.45104 .50414 L
.45216 .50562 L
.45265 .50622 L
.4534 .50722 L
.45425 .5083 L
.45465 .50883 L
.45586 .51034 L
.4559 .51043 L
.45709 .51204 L
.45746 .51251 L
.45829 .51364 L
.45907 .51464 L
.45951 .51525 L
.46067 .51676 L
.46074 .51686 L
.46189 .51846 L
.46228 .51896 L
.46305 .52007 L
.46388 .52116 L
.46423 .52167 L
.46388 .52317 L
.46267 .52167 L
.46228 .52124 L
.46135 .52007 L
.46067 .51928 L
.46003 .51846 L
.45907 .51731 L
.45871 .51686 L
.45746 .51538 L
.4574 .51525 L
.45615 .51364 L
.45586 .51329 L
.4549 .51204 L
.45425 .51125 L
.45363 .51043 L
.45265 .50921 L
.45235 .50883 L
.45109 .50722 L
.45104 .50716 L
.44988 .50562 L
.44943 .50507 L
.44865 .50401 L
.44783 .50299 L
.4474 .50241 L
.44622 .50099 L
.44615 .5008 L
.44496 .4992 L
.44462 .49877 L
.44377 .49759 L
.44301 .49663 L
.44255 .49599 L
.44141 .4945 L
.44132 .49438 L
.44017 .49278 L
.4398 .4923 L
.43903 .49117 L
.4382 .49008 L
.43785 .48957 L
F
0 .26 1 r
.4382 .48827 m
.43926 .48957 L
.4398 .49017 L
.44061 .49117 L
.44141 .4921 L
.44195 .49278 L
.44301 .49405 L
.44327 .49438 L
.44458 .49599 L
.44462 .49603 L
.44583 .49759 L
.44622 .49806 L
.4471 .4992 L
.44783 .50009 L
.44838 .5008 L
.44943 .50212 L
.44966 .50241 L
.45091 .50401 L
.45104 .50417 L
.45213 .50562 L
.45265 .50626 L
.45337 .50722 L
.45425 .50833 L
.45462 .50883 L
.45586 .5104 L
.45587 .51043 L
.45705 .51204 L
.45746 .51255 L
.45826 .51364 L
.45907 .51468 L
.45948 .51525 L
.46067 .5168 L
.46071 .51686 L
.46185 .51846 L
.46228 .51901 L
.46301 .52007 L
.46388 .52121 L
.46419 .52167 L
.46388 .5231 L
.46272 .52167 L
.46228 .52118 L
.46139 .52007 L
.46067 .51924 L
.46006 .51846 L
.45907 .51727 L
.45874 .51686 L
.45746 .51532 L
.45743 .51525 L
.45618 .51364 L
.45586 .51325 L
.45493 .51204 L
.45425 .51122 L
.45365 .51043 L
.45265 .50918 L
.45238 .50883 L
.45112 .50722 L
.45104 .50712 L
.44991 .50562 L
.44943 .50503 L
.44867 .50401 L
.44783 .50295 L
.44743 .50241 L
.44622 .50093 L
.44618 .5008 L
.44499 .4992 L
.44462 .49873 L
.4438 .49759 L
.44301 .49659 L
.44258 .49599 L
.44141 .49446 L
.44135 .49438 L
.44022 .49278 L
.4398 .49225 L
.43907 .49117 L
.4382 .49003 L
.43789 .48957 L
F
1 .08 0 r
.4382 .49505 m
.43885 .49599 L
.4398 .49714 L
.44011 .49759 L
.4398 .49835 L
.43925 .49759 L
.4382 .49635 L
.43793 .49599 L
F
0 .25 1 r
.4382 .48834 m
.4392 .48957 L
.4398 .49022 L
.44056 .49117 L
.44141 .49214 L
.44191 .49278 L
.44301 .49409 L
.44324 .49438 L
.44454 .49599 L
.44462 .49608 L
.4458 .49759 L
.44622 .4981 L
.44707 .4992 L
.44783 .50012 L
.44835 .5008 L
.44943 .50215 L
.44963 .50241 L
.45088 .50401 L
.45104 .50421 L
.4521 .50562 L
.45265 .50629 L
.45334 .50722 L
.45425 .50837 L
.45459 .50883 L
.45584 .51043 L
.45586 .51045 L
.45702 .51204 L
.45746 .51259 L
.45823 .51364 L
.45907 .51472 L
.45945 .51525 L
.46067 .51685 L
.46068 .51686 L
.46181 .51846 L
.46228 .51906 L
.46297 .52007 L
.46388 .52127 L
.46415 .52167 L
.46388 .52304 L
.46277 .52167 L
.46228 .52113 L
.46143 .52007 L
.46067 .51919 L
.4601 .51846 L
.45907 .51723 L
.45877 .51686 L
.45746 .51525 L
.45746 .51525 L
.45622 .51364 L
.45586 .51321 L
.45496 .51204 L
.45425 .51118 L
.45368 .51043 L
.45265 .50915 L
.4524 .50883 L
.45115 .50722 L
.45104 .50709 L
.44994 .50562 L
.44943 .505 L
.4487 .50401 L
.44783 .50291 L
.44745 .50241 L
.44622 .50086 L
.4462 .5008 L
.44503 .4992 L
.44462 .49869 L
.44383 .49759 L
.44301 .49655 L
.44261 .49599 L
.44141 .49442 L
.44138 .49438 L
.44026 .49278 L
.4398 .49219 L
.43911 .49117 L
.4382 .48996 L
.43793 .48957 L
F
1 .62 0 r
.4382 .48162 m
.43958 .48314 L
.4398 .48337 L
.441 .48475 L
.44141 .4852 L
.44239 .48636 L
.44301 .48707 L
.44376 .48796 L
.44462 .48867 L
.44511 .48957 L
.44622 .49087 L
.44659 .49117 L
.44775 .49278 L
.44783 .49287 L
.44905 .49438 L
.44943 .49484 L
.45035 .49599 L
.45104 .49667 L
.45165 .49759 L
.45265 .49881 L
.45301 .4992 L
.45421 .5008 L
.45425 .50085 L
.45548 .50241 L
.45586 .50258 L
.45675 .50401 L
.45746 .50482 L
.45826 .50562 L
.45907 .50694 L
.4593 .50722 L
.46053 .50883 L
.46067 .50901 L
.46178 .51043 L
.46228 .51088 L
.4636 .51204 L
.46388 .51307 L
.46438 .51364 L
.46549 .51519 L
.46553 .51525 L
.46676 .51686 L
.46709 .51694 L
.468 .51846 L
.4687 .51923 L
.46948 .52007 L
.4703 .52142 L
.4705 .52167 L
.47171 .52328 L
.47191 .52353 L
.47293 .52488 L
.47351 .52538 L
.47467 .52649 L
.47512 .52767 L
.47547 .52809 L
.47661 .5297 L
.47672 .52984 L
.47781 .5313 L
.47833 .53197 L
.47903 .53291 L
.47993 .53396 L
.48042 .53451 L
.48146 .53612 L
.48154 .53622 L
.48265 .53772 L
.48314 .53837 L
.48384 .53933 L
.48475 .54028 L
.48535 .54093 L
.48624 .54254 L
.48636 .54269 L
.48739 .54414 L
.48796 .5449 L
.48857 .54575 L
.48957 .5471 L
.48975 .54735 L
.49087 .54896 L
.49117 .54936 L
.49197 .55057 L
.49278 .55169 L
.49309 .55217 L
.49413 .55378 L
.49438 .55415 L
.49494 .55538 L
.49438 .55546 L
.49431 .55538 L
.49278 .55383 L
.49273 .55378 L
.49129 .55217 L
.49117 .55205 L
.4899 .55057 L
.48957 .5502 L
.48853 .54896 L
.48796 .54831 L
.48718 .54735 L
.48636 .54679 L
.48583 .54575 L
.48475 .54451 L
.48429 .54414 L
.4832 .54254 L
.48314 .54247 L
.48191 .54093 L
.48154 .54048 L
.48062 .53933 L
.47993 .53871 L
.47933 .53772 L
.47833 .53652 L
.47793 .53612 L
.47677 .53451 L
.47672 .53445 L
.47552 .53291 L
.47512 .53282 L
.47425 .5313 L
.47351 .53051 L
.47265 .5297 L
.47191 .52835 L
.47168 .52809 L
.47048 .52649 L
.4703 .52627 L
.46923 .52488 L
.4687 .52447 L
.46798 .52328 L
.46709 .52222 L
.46659 .52167 L
.46549 .52007 L
.46548 .52007 L
.46426 .51846 L
.46388 .51799 L
.46302 .51686 L
.46228 .51607 L
.46147 .51525 L
.46067 .51384 L
.46051 .51364 L
.45932 .51204 L
.45907 .51172 L
.4581 .51043 L
.45746 .50995 L
.45687 .50883 L
.45586 .50759 L
.45554 .50722 L
.45442 .50562 L
.45425 .50541 L
.45322 .50401 L
.45265 .50328 L
.452 .50241 L
.45104 .50131 L
.45058 .5008 L
.44957 .4992 L
.44943 .49903 L
.44838 .49759 L
.44783 .49687 L
.44719 .49599 L
.44622 .49499 L
.44597 .49438 L
.44479 .49278 L
.44462 .49256 L
.44364 .49117 L
.44301 .49035 L
.44246 .48957 L
.44141 .48815 L
.44128 .48796 L
.44016 .48636 L
.4398 .48588 L
.43906 .48475 L
.4382 .48355 L
.43795 .48314 L
F
0 .24 1 r
.4382 .48842 m
.43914 .48957 L
.4398 .49028 L
.44051 .49117 L
.44141 .49219 L
.44187 .49278 L
.44301 .49414 L
.44321 .49438 L
.4445 .49599 L
.44462 .49612 L
.44576 .49759 L
.44622 .49814 L
.44704 .4992 L
.44783 .50016 L
.44832 .5008 L
.44943 .50219 L
.4496 .50241 L
.45084 .50401 L
.45104 .50425 L
.45207 .50562 L
.45265 .50633 L
.45331 .50722 L
.45425 .50841 L
.45457 .50883 L
.45581 .51043 L
.45586 .51049 L
.45699 .51204 L
.45746 .51263 L
.4582 .51364 L
.45907 .51476 L
.45942 .51525 L
.46064 .51686 L
.46067 .51689 L
.46177 .51846 L
.46228 .51911 L
.46293 .52007 L
.46388 .52133 L
.46411 .52167 L
.46388 .52296 L
.46283 .52167 L
.46228 .52107 L
.46148 .52007 L
.46067 .51914 L
.46014 .51846 L
.45907 .51719 L
.45881 .51686 L
.4575 .51525 L
.45746 .5152 L
.45625 .51364 L
.45586 .51317 L
.45499 .51204 L
.45425 .51114 L
.45371 .51043 L
.45265 .50911 L
.45243 .50883 L
.45118 .50722 L
.45104 .50705 L
.44997 .50562 L
.44943 .50496 L
.44873 .50401 L
.44783 .50288 L
.44748 .50241 L
.44623 .5008 L
.44622 .50079 L
.44506 .4992 L
.44462 .49865 L
.44386 .49759 L
.44301 .49651 L
.44264 .49599 L
.44142 .49438 L
.44141 .49437 L
.4403 .49278 L
.4398 .49214 L
.43916 .49117 L
.4382 .4899 L
.43798 .48957 L
F
1 .07 0 r
.4382 .49513 m
.43878 .49599 L
.4398 .49722 L
.44006 .49759 L
.4398 .49826 L
.43932 .49759 L
.4382 .49628 L
.43798 .49599 L
F
1 .61 0 r
.4382 .48175 m
.43949 .48314 L
.4398 .48346 L
.44093 .48475 L
.44141 .48527 L
.44233 .48636 L
.44301 .48713 L
.44371 .48796 L
.44462 .48874 L
.44506 .48957 L
.44622 .49093 L
.44652 .49117 L
.44771 .49278 L
.44783 .49292 L
.44901 .49438 L
.44943 .49489 L
.45032 .49599 L
.45104 .49671 L
.45162 .49759 L
.45265 .49885 L
.45298 .4992 L
.45418 .5008 L
.45425 .50089 L
.45545 .50241 L
.45586 .5026 L
.45672 .50401 L
.45746 .50485 L
.45823 .50562 L
.45907 .50698 L
.45927 .50722 L
.4605 .50883 L
.46067 .50904 L
.46175 .51043 L
.46228 .5109 L
.46358 .51204 L
.46388 .5131 L
.46435 .51364 L
.46549 .51522 L
.46551 .51525 L
.46674 .51686 L
.46709 .51695 L
.46798 .51846 L
.4687 .51926 L
.46945 .52007 L
.4703 .52145 L
.47048 .52167 L
.47168 .52328 L
.47191 .52356 L
.47291 .52488 L
.47351 .52541 L
.47464 .52649 L
.47512 .52771 L
.47544 .52809 L
.47658 .5297 L
.47672 .52988 L
.47779 .5313 L
.47833 .532 L
.47901 .53291 L
.47993 .534 L
.48039 .53451 L
.48143 .53612 L
.48154 .53626 L
.48262 .53772 L
.48314 .53841 L
.48382 .53933 L
.48475 .54034 L
.4853 .54093 L
.4862 .54254 L
.48636 .54274 L
.48736 .54414 L
.48796 .54495 L
.48853 .54575 L
.48957 .54716 L
.4897 .54735 L
.49082 .54896 L
.49117 .54944 L
.49191 .55057 L
.49278 .55178 L
.49302 .55217 L
.49278 .55372 L
.49138 .55217 L
.49117 .55196 L
.48997 .55057 L
.48957 .55013 L
.48859 .54896 L
.48796 .54825 L
.48723 .54735 L
.48636 .54673 L
.48588 .54575 L
.48475 .54445 L
.48436 .54414 L
.48324 .54254 L
.48314 .54243 L
.48195 .54093 L
.48154 .54044 L
.48066 .53933 L
.47993 .53867 L
.47936 .53772 L
.47833 .53648 L
.47797 .53612 L
.4768 .53451 L
.47672 .53442 L
.47554 .53291 L
.47512 .53281 L
.47428 .5313 L
.47351 .53048 L
.47268 .5297 L
.47191 .52832 L
.47171 .52809 L
.4705 .52649 L
.4703 .52624 L
.46926 .52488 L
.4687 .52444 L
.468 .52328 L
.46709 .52219 L
.46662 .52167 L
.4655 .52007 L
.46549 .52005 L
.46428 .51846 L
.46388 .51796 L
.46304 .51686 L
.46228 .51604 L
.4615 .51525 L
.46067 .51382 L
.46053 .51364 L
.45934 .51204 L
.45907 .51169 L
.45812 .51043 L
.45746 .50993 L
.45689 .50883 L
.45586 .50756 L
.45557 .50722 L
.45444 .50562 L
.45425 .50538 L
.45324 .50401 L
.45265 .50325 L
.45202 .50241 L
.45104 .50127 L
.45062 .5008 L
.44959 .4992 L
.44943 .499 L
.44841 .49759 L
.44783 .49684 L
.44721 .49599 L
.44622 .49492 L
.446 .49438 L
.44482 .49278 L
.44462 .49251 L
.44367 .49117 L
.44301 .4903 L
.4425 .48957 L
.44141 .4881 L
.44132 .48796 L
.44021 .48636 L
.4398 .4858 L
.43912 .48475 L
.4382 .48344 L
.43801 .48314 L
F
0 .23 1 r
.4382 .48851 m
.43907 .48957 L
.4398 .49035 L
.44046 .49117 L
.44141 .49225 L
.44183 .49278 L
.44301 .49418 L
.44317 .49438 L
.44446 .49599 L
.44462 .49617 L
.44573 .49759 L
.44622 .49818 L
.447 .4992 L
.44783 .5002 L
.44829 .5008 L
.44943 .50223 L
.44957 .50241 L
.45081 .50401 L
.45104 .50429 L
.45204 .50562 L
.45265 .50637 L
.45328 .50722 L
.45425 .50844 L
.45454 .50883 L
.45577 .51043 L
.45586 .51053 L
.45696 .51204 L
.45746 .51267 L
.45816 .51364 L
.45907 .5148 L
.45939 .51525 L
.4606 .51686 L
.46067 .51695 L
.46172 .51846 L
.46228 .51917 L
.46288 .52007 L
.46388 .5214 L
.46406 .52167 L
.46388 .52288 L
.46289 .52167 L
.46228 .52101 L
.46153 .52007 L
.46067 .51909 L
.46018 .51846 L
.45907 .51714 L
.45884 .51686 L
.45754 .51525 L
.45746 .51516 L
.45629 .51364 L
.45586 .51313 L
.45502 .51204 L
.45425 .51111 L
.45374 .51043 L
.45265 .50907 L
.45246 .50883 L
.45122 .50722 L
.45104 .50701 L
.45 .50562 L
.44943 .50492 L
.44876 .50401 L
.44783 .50284 L
.44751 .50241 L
.44627 .5008 L
.44622 .50075 L
.44509 .4992 L
.44462 .4986 L
.44389 .49759 L
.44301 .49647 L
.44267 .49599 L
.44146 .49438 L
.44141 .49432 L
.44035 .49278 L
.4398 .49208 L
.4392 .49117 L
.4382 .48983 L
.43803 .48957 L
F
1 .06 0 r
.4382 .49522 m
.4387 .49599 L
.4398 .49731 L
.43999 .49759 L
.4398 .49816 L
.4394 .49759 L
.4382 .4962 L
.43804 .49599 L
F
.156 .94 1 r
.4382 .44121 m
.4398 .44114 L
.44035 .44141 L
.44141 .44208 L
.44238 .44301 L
.44301 .44393 L
.44417 .44462 L
.44462 .44575 L
.44526 .44622 L
.44622 .44769 L
.44645 .44783 L
.44779 .44943 L
.44783 .44948 L
.44904 .45104 L
.44943 .45152 L
.45043 .45265 L
.45104 .45362 L
.45151 .45425 L
.45265 .45571 L
.4527 .45586 L
.45399 .45746 L
.45425 .4576 L
.45549 .45907 L
.45586 .45974 L
.45649 .46067 L
.45746 .46198 L
.45761 .46228 L
.45882 .46388 L
.45907 .46423 L
.45995 .46549 L
.46067 .46662 L
.46108 .46709 L
.46084 .4687 L
.46067 .46874 L
.45993 .4687 L
.45907 .46857 L
.45746 .46747 L
.45706 .46709 L
.45586 .46584 L
.45566 .46549 L
.45425 .46394 L
.4542 .46388 L
.45291 .46228 L
.45265 .46192 L
.45156 .46067 L
.45104 .45983 L
.45046 .45907 L
.44943 .45775 L
.44934 .45746 L
.44789 .45586 L
.44783 .4558 L
.4465 .45425 L
.44622 .45373 L
.44543 .45265 L
.44462 .45159 L
.44434 .45104 L
.44301 .44944 L
.44301 .44943 L
.44146 .44783 L
.44141 .44726 L
.44054 .44622 L
.4398 .44501 L
.43955 .44462 L
.43853 .44301 L
.4382 .44222 L
.43806 .44141 L
F
1 .74 0 r
.4382 .44635 m
.4398 .44745 L
.43999 .44783 L
.44141 .44928 L
.4415 .44943 L
.44287 .45104 L
.44301 .45121 L
.44416 .45265 L
.44462 .4532 L
.44542 .45425 L
.44622 .45528 L
.44665 .45586 L
.44783 .45738 L
.4479 .45746 L
.44895 .45907 L
.44943 .45977 L
.44998 .46067 L
.44943 .46208 L
.44793 .46067 L
.44783 .46057 L
.44646 .45907 L
.44622 .45881 L
.44509 .45746 L
.44462 .45691 L
.44377 .45586 L
.44301 .45537 L
.4425 .45425 L
.44141 .45287 L
.44123 .45265 L
.44014 .45104 L
.4398 .45056 L
.43906 .44943 L
.4382 .44804 L
.43808 .44783 L
F
0 .22 1 r
.4382 .48861 m
.43899 .48957 L
.4398 .49041 L
.44041 .49117 L
.44141 .4923 L
.44179 .49278 L
.44301 .49423 L
.44313 .49438 L
.44442 .49599 L
.44462 .49622 L
.44569 .49759 L
.44622 .49823 L
.44697 .4992 L
.44783 .50024 L
.44826 .5008 L
.44943 .50226 L
.44955 .50241 L
.45078 .50401 L
.45104 .50433 L
.45201 .50562 L
.45265 .50641 L
.45325 .50722 L
.45425 .50848 L
.45451 .50883 L
.45574 .51043 L
.45586 .51058 L
.45692 .51204 L
.45746 .51271 L
.45813 .51364 L
.45907 .51485 L
.45936 .51525 L
.46056 .51686 L
.46067 .517 L
.46168 .51846 L
.46228 .51923 L
.46283 .52007 L
.46388 .52147 L
.46401 .52167 L
.46388 .5228 L
.46296 .52167 L
.46228 .52095 L
.46158 .52007 L
.46067 .51904 L
.46022 .51846 L
.45907 .5171 L
.45888 .51686 L
.45758 .51525 L
.45746 .51511 L
.45633 .51364 L
.45586 .51309 L
.45505 .51204 L
.45425 .51107 L
.45377 .51043 L
.45265 .50904 L
.45249 .50883 L
.45125 .50722 L
.45104 .50697 L
.45003 .50562 L
.44943 .50489 L
.44879 .50401 L
.44783 .5028 L
.44754 .50241 L
.4463 .5008 L
.44622 .50071 L
.44513 .4992 L
.44462 .49856 L
.44393 .49759 L
.44301 .49642 L
.44271 .49599 L
.4415 .49438 L
.44141 .49426 L
.4404 .49278 L
.4398 .49201 L
.43925 .49117 L
.4382 .48975 L
.43808 .48957 L
F
1 .6 0 r
.4382 .4819 m
.43938 .48314 L
.4398 .48356 L
.44085 .48475 L
.44141 .48535 L
.44227 .48636 L
.44301 .4872 L
.44365 .48796 L
.44462 .48881 L
.44502 .48957 L
.44622 .49099 L
.44645 .49117 L
.44767 .49278 L
.44783 .49297 L
.44898 .49438 L
.44943 .49493 L
.45028 .49599 L
.45104 .49675 L
.45158 .49759 L
.45265 .49889 L
.45294 .4992 L
.45415 .5008 L
.45425 .50093 L
.45542 .50241 L
.45586 .50262 L
.45669 .50401 L
.45746 .50489 L
.4582 .50562 L
.45907 .50701 L
.45924 .50722 L
.46048 .50883 L
.46067 .50907 L
.46173 .51043 L
.46228 .51093 L
.46355 .51204 L
.46388 .51314 L
.46433 .51364 L
.46548 .51525 L
.46549 .51525 L
.46672 .51686 L
.46709 .51696 L
.46796 .51846 L
.4687 .51929 L
.46943 .52007 L
.4703 .52148 L
.47045 .52167 L
.47166 .52328 L
.47191 .52359 L
.47288 .52488 L
.47351 .52543 L
.47461 .52649 L
.47512 .52774 L
.47541 .52809 L
.47656 .5297 L
.47672 .52991 L
.47776 .5313 L
.47833 .53203 L
.47898 .53291 L
.47993 .53404 L
.48035 .53451 L
.4814 .53612 L
.48154 .53629 L
.48259 .53772 L
.48314 .53845 L
.48379 .53933 L
.48475 .5404 L
.48524 .54093 L
.48617 .54254 L
.48636 .54279 L
.48732 .54414 L
.48796 .545 L
.48849 .54575 L
.48957 .54722 L
.48966 .54735 L
.49076 .54896 L
.49117 .54952 L
.49185 .55057 L
.49278 .55189 L
.49295 .55217 L
.49278 .55359 L
.49147 .55217 L
.49117 .55187 L
.49004 .55057 L
.48957 .55005 L
.48865 .54896 L
.48796 .54819 L
.48728 .54735 L
.48636 .54666 L
.48592 .54575 L
.48475 .5444 L
.48443 .54414 L
.48328 .54254 L
.48314 .54238 L
.48199 .54093 L
.48154 .5404 L
.48069 .53933 L
.47993 .53863 L
.47939 .53772 L
.47833 .53644 L
.47801 .53612 L
.47683 .53451 L
.47672 .53438 L
.47557 .53291 L
.47512 .53279 L
.4743 .5313 L
.47351 .53044 L
.47272 .5297 L
.47191 .52829 L
.47174 .52809 L
.47052 .52649 L
.4703 .52621 L
.46928 .52488 L
.4687 .52442 L
.46803 .52328 L
.46709 .52216 L
.46665 .52167 L
.46553 .52007 L
.46549 .52002 L
.4643 .51846 L
.46388 .51793 L
.46306 .51686 L
.46228 .51601 L
.46153 .51525 L
.46067 .51379 L
.46056 .51364 L
.45936 .51204 L
.45907 .51166 L
.45814 .51043 L
.45746 .5099 L
.45691 .50883 L
.45586 .50752 L
.4556 .50722 L
.45447 .50562 L
.45425 .50535 L
.45326 .50401 L
.45265 .50322 L
.45205 .50241 L
.45104 .50123 L
.45065 .5008 L
.44962 .4992 L
.44943 .49896 L
.44844 .49759 L
.44783 .4968 L
.44724 .49599 L
.44622 .49486 L
.44603 .49438 L
.44486 .49278 L
.44462 .49246 L
.44371 .49117 L
.44301 .49025 L
.44254 .48957 L
.44141 .48804 L
.44136 .48796 L
.44027 .48636 L
.4398 .48572 L
.43919 .48475 L
.4382 .48333 L
.43809 .48314 L
F
1 .05 0 r
.4382 .49533 m
.43861 .49599 L
.4398 .49741 L
.43992 .49759 L
.4398 .49804 L
.4395 .49759 L
.4382 .49611 L
.43811 .49599 L
F
1 .94 .156 r
.4382 .38419 m
.43934 .38523 L
.4398 .38564 L
.4409 .38683 L
.44141 .38735 L
.44236 .38844 L
.44301 .38915 L
.44377 .39004 L
.44462 .39069 L
.44515 .39165 L
.44622 .39284 L
.44678 .39325 L
.44783 .39483 L
.44786 .39486 L
.44915 .39646 L
.44943 .39679 L
.45046 .39807 L
.45104 .39859 L
.45176 .39967 L
.45265 .40071 L
.45323 .40128 L
.45425 .40276 L
.45436 .40288 L
.45562 .40449 L
.45586 .40457 L
.45688 .40609 L
.45746 .4067 L
.45855 .4077 L
.45907 .40882 L
.4595 .4093 L
.46067 .41088 L
.46069 .41091 L
.46194 .41251 L
.46228 .41277 L
.46319 .41412 L
.46388 .41492 L
.46464 .41572 L
.46549 .41704 L
.46572 .41733 L
.46695 .41894 L
.46709 .41911 L
.46818 .42054 L
.4687 .42105 L
.46981 .42215 L
.4703 .42321 L
.47076 .42375 L
.47191 .42532 L
.47193 .42536 L
.47316 .42696 L
.47351 .4272 L
.47439 .42857 L
.47512 .42939 L
.47582 .43017 L
.47672 .43155 L
.4769 .43178 L
.47811 .43338 L
.47833 .43366 L
.47933 .43499 L
.47993 .43557 L
.48093 .43659 L
.48154 .43778 L
.48189 .4382 L
.48305 .4398 L
.48314 .43992 L
.48426 .44141 L
.48475 .44171 L
.48549 .44301 L
.48636 .44401 L
.48689 .44462 L
.48796 .4462 L
.48798 .44622 L
.48918 .44783 L
.48957 .44832 L
.49039 .44943 L
.49117 .45021 L
.49193 .45104 L
.49278 .45249 L
.4929 .45265 L
.49407 .45425 L
.49438 .45464 L
.49528 .45586 L
.49599 .45637 L
.4965 .45746 L
.49759 .4588 L
.49782 .45907 L
.49894 .46067 L
.4992 .461 L
.50013 .46228 L
.5008 .46314 L
.50135 .46388 L
.50241 .46514 L
.50271 .46549 L
.50377 .46709 L
.50401 .46741 L
.50494 .4687 L
.50562 .46958 L
.50614 .4703 L
.50722 .47173 L
.50735 .47191 L
.50851 .47351 L
.50883 .47393 L
.50966 .47512 L
.51043 .47615 L
.51083 .47672 L
.51201 .47833 L
.51204 .47837 L
.51309 .47993 L
.51364 .4807 L
.51417 .48154 L
.51525 .48308 L
.51529 .48314 L
.51621 .48475 L
.51525 .48501 L
.515 .48475 L
.51364 .48334 L
.51354 .48314 L
.51214 .48154 L
.51204 .48143 L
.51076 .47993 L
.51043 .47956 L
.5094 .47833 L
.50883 .47804 L
.50804 .47672 L
.50722 .47578 L
.50632 .47512 L
.50562 .47378 L
.50537 .47351 L
.50408 .47191 L
.50401 .47183 L
.50275 .4703 L
.50241 .46996 L
.50143 .4687 L
.5008 .4679 L
.50006 .46709 L
.4992 .46587 L
.49892 .46549 L
.49759 .46391 L
.49759 .46388 L
.49626 .46228 L
.49599 .46195 L
.49478 .46067 L
.49438 .45989 L
.49374 .45907 L
.49278 .45783 L
.49258 .45746 L
.49117 .45586 L
.49116 .45586 L
.48988 .45425 L
.48957 .45384 L
.48858 .45265 L
.48796 .45175 L
.48748 .45104 L
.48636 .44967 L
.48631 .44943 L
.48485 .44783 L
.48475 .44771 L
.48346 .44622 L
.48314 .44563 L
.48239 .44462 L
.48154 .44351 L
.48128 .44301 L
.47993 .44147 L
.47986 .44141 L
.47836 .4398 L
.47833 .43945 L
.47733 .4382 L
.47672 .43733 L
.47624 .43659 L
.47512 .43523 L
.47508 .43499 L
.47366 .43338 L
.47351 .43323 L
.47227 .43178 L
.47191 .43112 L
.47122 .43017 L
.4703 .42899 L
.4701 .42857 L
.46873 .42696 L
.4687 .42694 L
.46718 .42536 L
.46709 .42488 L
.46621 .42375 L
.46549 .42273 L
.46512 .42215 L
.46388 .42062 L
.46387 .42054 L
.46259 .41894 L
.46228 .41862 L
.46119 .41733 L
.46067 .41644 L
.46016 .41572 L
.45907 .41429 L
.45899 .41412 L
.45772 .41251 L
.45746 .41236 L
.45609 .41091 L
.45586 .41013 L
.45522 .4093 L
.45425 .40792 L
.45411 .4077 L
.45289 .40609 L
.45265 .40577 L
.4517 .40449 L
.45104 .4038 L
.4503 .40288 L
.44943 .40149 L
.44929 .40128 L
.44813 .39967 L
.44783 .39927 L
.44695 .39807 L
.44622 .39745 L
.44541 .39646 L
.44462 .39488 L
.4446 .39486 L
.44348 .39325 L
.44301 .39261 L
.44235 .39165 L
.44141 .39032 L
.44121 .39004 L
.44015 .38844 L
.4398 .38793 L
.43913 .38683 L
.4382 .38535 L
.43813 .38523 L
F
0 .21 1 r
.4382 .48873 m
.4389 .48957 L
.4398 .49049 L
.44035 .49117 L
.44141 .49236 L
.44174 .49278 L
.44301 .49428 L
.44309 .49438 L
.44438 .49599 L
.44462 .49626 L
.44565 .49759 L
.44622 .49827 L
.44694 .4992 L
.44783 .50028 L
.44823 .5008 L
.44943 .5023 L
.44952 .50241 L
.45074 .50401 L
.45104 .50437 L
.45197 .50562 L
.45265 .50645 L
.45322 .50722 L
.45425 .50852 L
.45448 .50883 L
.4557 .51043 L
.45586 .51062 L
.45689 .51204 L
.45746 .51276 L
.4581 .51364 L
.45907 .51489 L
.45932 .51525 L
.46051 .51686 L
.46067 .51706 L
.46163 .51846 L
.46228 .5193 L
.46278 .52007 L
.46388 .52155 L
.46396 .52167 L
.46388 .5227 L
.46304 .52167 L
.46228 .52088 L
.46163 .52007 L
.46067 .51899 L
.46026 .51846 L
.45907 .51705 L
.45891 .51686 L
.45762 .51525 L
.45746 .51507 L
.45636 .51364 L
.45586 .51305 L
.45509 .51204 L
.45425 .51103 L
.4538 .51043 L
.45265 .509 L
.45252 .50883 L
.45128 .50722 L
.45104 .50693 L
.45006 .50562 L
.44943 .50485 L
.44882 .50401 L
.44783 .50277 L
.44757 .50241 L
.44634 .5008 L
.44622 .50067 L
.44516 .4992 L
.44462 .49852 L
.44396 .49759 L
.44301 .49637 L
.44274 .49599 L
.44155 .49438 L
.44141 .4942 L
.44045 .49278 L
.4398 .49194 L
.43931 .49117 L
.4382 .48966 L
.43814 .48957 L
F
1 .59 0 r
.4382 .48209 m
.43925 .48314 L
.4398 .48367 L
.44076 .48475 L
.44141 .48543 L
.4422 .48636 L
.44301 .48727 L
.4436 .48796 L
.44462 .48889 L
.44497 .48957 L
.44622 .49105 L
.44638 .49117 L
.44763 .49278 L
.44783 .49302 L
.44894 .49438 L
.44943 .49498 L
.45025 .49599 L
.45104 .4968 L
.45155 .49759 L
.45265 .49893 L
.4529 .4992 L
.45412 .5008 L
.45425 .50096 L
.45539 .50241 L
.45586 .50265 L
.45667 .50401 L
.45746 .50492 L
.45817 .50562 L
.45907 .50704 L
.45922 .50722 L
.46045 .50883 L
.46067 .5091 L
.46171 .51043 L
.46228 .51096 L
.46353 .51204 L
.46388 .51317 L
.4643 .51364 L
.46546 .51525 L
.46549 .51528 L
.46669 .51686 L
.46709 .51697 L
.46793 .51846 L
.4687 .51932 L
.4694 .52007 L
.4703 .52151 L
.47043 .52167 L
.47164 .52328 L
.47191 .52362 L
.47286 .52488 L
.47351 .52546 L
.47458 .52649 L
.47512 .52778 L
.47538 .52809 L
.47653 .5297 L
.47672 .52994 L
.47774 .5313 L
.47833 .53207 L
.47896 .53291 L
.47993 .53408 L
.48031 .53451 L
.48137 .53612 L
.48154 .53633 L
.48256 .53772 L
.48314 .53849 L
.48376 .53933 L
.48475 .54047 L
.48518 .54093 L
.48613 .54254 L
.48636 .54284 L
.48728 .54414 L
.48796 .54506 L
.48845 .54575 L
.48957 .54728 L
.48962 .54735 L
.4907 .54896 L
.49117 .54961 L
.49178 .55057 L
.49278 .55201 L
.49287 .55217 L
.49278 .55343 L
.49158 .55217 L
.49117 .55177 L
.49012 .55057 L
.48957 .54998 L
.48871 .54896 L
.48796 .54812 L
.48733 .54735 L
.48636 .54658 L
.48597 .54575 L
.48475 .54433 L
.48451 .54414 L
.48332 .54254 L
.48314 .54234 L
.48202 .54093 L
.48154 .54036 L
.48072 .53933 L
.47993 .53859 L
.47942 .53772 L
.47833 .5364 L
.47804 .53612 L
.47686 .53451 L
.47672 .53435 L
.4756 .53291 L
.47512 .53277 L
.47433 .5313 L
.47351 .53041 L
.47275 .5297 L
.47191 .52826 L
.47177 .52809 L
.47055 .52649 L
.4703 .52618 L
.4693 .52488 L
.4687 .52439 L
.46805 .52328 L
.46709 .52213 L
.46667 .52167 L
.46555 .52007 L
.46549 .51999 L
.46432 .51846 L
.46388 .5179 L
.46309 .51686 L
.46228 .51598 L
.46155 .51525 L
.46067 .51376 L
.46058 .51364 L
.45939 .51204 L
.45907 .51164 L
.45816 .51043 L
.45746 .50987 L
.45693 .50883 L
.45586 .50749 L
.45562 .50722 L
.45449 .50562 L
.45425 .50531 L
.45329 .50401 L
.45265 .50319 L
.45207 .50241 L
.45104 .50118 L
.45069 .5008 L
.44965 .4992 L
.44943 .49892 L
.44847 .49759 L
.44783 .49676 L
.44727 .49599 L
.44622 .49479 L
.44606 .49438 L
.4449 .49278 L
.44462 .49242 L
.44375 .49117 L
.44301 .4902 L
.44258 .48957 L
.44141 .48798 L
.4414 .48796 L
.44033 .48636 L
.4398 .48563 L
.43926 .48475 L
.4382 .4832 L
.43817 .48314 L
F
.024 .88 1 r
.4382 .47532 m
.43969 .47672 L
.4398 .47683 L
.44121 .47833 L
.44141 .47853 L
.44267 .47993 L
.44301 .48031 L
.44409 .48154 L
.44462 .48173 L
.44549 .48314 L
.44622 .48395 L
.44741 .48475 L
.44783 .48593 L
.44825 .48636 L
.44943 .48787 L
.4495 .48796 L
.45084 .48957 L
.45104 .48974 L
.45216 .49117 L
.45265 .49176 L
.45363 .49278 L
.45425 .49379 L
.45472 .49438 L
.45586 .4958 L
.45595 .49599 L
.45733 .49759 L
.45746 .49774 L
.4589 .4992 L
.45907 .49978 L
.45991 .5008 L
.46067 .50186 L
.46104 .50241 L
.46228 .5039 L
.46242 .50401 L
.46368 .50562 L
.46388 .50586 L
.46505 .50722 L
.46549 .50795 L
.46614 .50883 L
.46709 .51005 L
.46727 .51043 L
.4687 .51204 L
.4687 .51204 L
.47015 .51364 L
.4703 .51409 L
.47122 .51525 L
.47191 .51621 L
.47232 .51686 L
.47351 .51829 L
.4737 .51846 L
.47494 .52007 L
.47512 .52028 L
.47628 .52167 L
.47672 .52239 L
.47737 .52328 L
.47833 .52451 L
.47849 .52488 L
.47989 .52649 L
.47993 .52652 L
.48134 .52809 L
.48154 .5286 L
.4824 .5297 L
.48314 .53073 L
.4835 .5313 L
.48475 .53282 L
.48484 .53291 L
.48607 .53451 L
.48636 .53483 L
.48743 .53612 L
.48796 .53696 L
.4885 .53772 L
.48957 .53909 L
.48966 .53933 L
.49099 .54093 L
.49117 .54109 L
.49248 .54254 L
.49278 .54321 L
.49349 .54414 L
.49438 .54537 L
.49461 .54575 L
.49589 .54735 L
.49599 .54738 L
.49711 .54896 L
.49759 .54947 L
.49849 .55057 L
.4992 .55166 L
.49955 .55217 L
.50078 .55378 L
.5008 .5538 L
.50199 .55538 L
.50241 .55571 L
.50352 .55699 L
.50401 .55797 L
.50448 .55859 L
.50562 .56017 L
.50563 .5602 L
.50683 .5618 L
.50722 .56232 L
.50803 .56341 L
.50883 .56431 L
.50938 .56501 L
.51043 .5666 L
.51045 .56662 L
.51162 .56822 L
.51204 .56878 L
.5128 .56983 L
.51364 .57071 L
.51422 .57143 L
.51516 .57304 L
.51525 .57315 L
.5163 .57464 L
.51686 .5754 L
.51745 .57625 L
.51846 .57765 L
.5186 .57785 L
.51968 .57946 L
.52007 .58 L
.52074 .58106 L
.52167 .58246 L
.52179 .58267 L
.52167 .58421 L
.5201 .58267 L
.52007 .58264 L
.51861 .58106 L
.51846 .58091 L
.51718 .57946 L
.51686 .5791 L
.51578 .57785 L
.51525 .5777 L
.51441 .57625 L
.51364 .57546 L
.51305 .57464 L
.51204 .57344 L
.51162 .57304 L
.51043 .57148 L
.51039 .57143 L
.50909 .56983 L
.50883 .56964 L
.50778 .56822 L
.50722 .56758 L
.50622 .56662 L
.50562 .56553 L
.50518 .56501 L
.50401 .56351 L
.50395 .56341 L
.50265 .5618 L
.50241 .56157 L
.50089 .5602 L
.5008 .55949 L
.5 .55859 L
.4992 .55741 L
.49888 .55699 L
.49759 .55539 L
.49759 .55538 L
.49633 .55378 L
.49599 .55339 L
.49485 .55217 L
.49438 .55129 L
.4938 .55057 L
.49278 .5492 L
.49264 .54896 L
.49133 .54735 L
.49117 .54722 L
.48967 .54575 L
.48957 .54513 L
.48873 .54414 L
.48796 .54301 L
.48762 .54254 L
.48636 .54094 L
.48635 .54093 L
.48512 .53933 L
.48475 .53894 L
.48364 .53772 L
.48314 .53681 L
.4826 .53612 L
.48154 .53469 L
.48144 .53451 L
.48016 .53291 L
.47993 .53273 L
.4785 .5313 L
.47833 .5306 L
.47757 .5297 L
.47672 .52845 L
.47647 .52809 L
.47522 .52649 L
.47512 .52647 L
.474 .52488 L
.47351 .52439 L
.47252 .52328 L
.47191 .52221 L
.47149 .52167 L
.4703 .52008 L
.4703 .52007 L
.46908 .51846 L
.4687 .51819 L
.4674 .51686 L
.46709 .51597 L
.4665 .51525 L
.46549 .51379 L
.46539 .51364 L
.46417 .51204 L
.46388 .51167 L
.46296 .51043 L
.46228 .50974 L
.46149 .50883 L
.46067 .5075 L
.46046 .50722 L
.45928 .50562 L
.45907 .50534 L
.45808 .50401 L
.45746 .50354 L
.45643 .50241 L
.45586 .50119 L
.45555 .5008 L
.45442 .4992 L
.45425 .49899 L
.45323 .49759 L
.45265 .49684 L
.45202 .49599 L
.45104 .49485 L
.45066 .49438 L
.4496 .49278 L
.44943 .49257 L
.44842 .49117 L
.44783 .4904 L
.44723 .48957 L
.44622 .48843 L
.44584 .48796 L
.44486 .48636 L
.44462 .48604 L
.44372 .48475 L
.44301 .48381 L
.44256 .48314 L
.44141 .48158 L
.44138 .48154 L
.44031 .47993 L
.4398 .47922 L
.43925 .47833 L
.4382 .47677 L
.43818 .47672 L
F
1 .73 0 r
.4382 .44659 m
.4398 .44763 L
.4399 .44783 L
.44141 .44939 L
.44144 .44943 L
.44281 .45104 L
.44301 .45128 L
.4441 .45265 L
.44462 .45327 L
.44536 .45425 L
.44622 .45534 L
.4466 .45586 L
.44781 .45746 L
.44783 .45749 L
.44888 .45907 L
.44943 .45989 L
.44989 .46067 L
.44943 .46194 L
.44804 .46067 L
.44783 .46047 L
.44654 .45907 L
.44622 .45873 L
.44515 .45746 L
.44462 .45683 L
.44383 .45586 L
.44301 .45527 L
.44256 .45425 L
.44141 .45276 L
.44132 .45265 L
.44021 .45104 L
.4398 .45045 L
.43914 .44943 L
.4382 .44786 L
.43818 .44783 L
F
1 .04 0 r
.4382 .49549 m
.43846 .49599 L
.4398 .49755 L
.43983 .49759 L
.4398 .49784 L
.43966 .49759 L
.4382 .49601 L
.43818 .49599 L
F
.114 .93 1 r
.4398 .44134 m
.43997 .44141 L
.44141 .44222 L
.44226 .44301 L
.44301 .44404 L
.4441 .44462 L
.44462 .44581 L
.44521 .44622 L
.44622 .44772 L
.44641 .44783 L
.44774 .44943 L
.44783 .44952 L
.449 .45104 L
.44943 .45156 L
.4504 .45265 L
.45104 .45366 L
.45149 .45425 L
.45265 .45575 L
.45269 .45586 L
.45396 .45746 L
.45425 .45762 L
.45547 .45907 L
.45586 .45979 L
.45646 .46067 L
.45746 .46204 L
.45758 .46228 L
.45877 .46388 L
.45907 .46431 L
.45988 .46549 L
.46067 .46677 L
.46095 .46709 L
.46067 .46852 L
.45907 .46852 L
.45746 .46733 L
.45719 .46709 L
.45586 .46574 L
.45571 .46549 L
.45427 .46388 L
.45425 .46386 L
.45296 .46228 L
.45265 .46186 L
.4516 .46067 L
.45104 .45978 L
.45049 .45907 L
.44943 .45771 L
.44935 .45746 L
.44793 .45586 L
.44783 .45577 L
.44652 .45425 L
.44622 .45369 L
.44547 .45265 L
.44462 .45154 L
.44437 .45104 L
.44305 .44943 L
.44301 .44938 L
.44147 .44783 L
.44141 .44718 L
.4406 .44622 L
.4398 .4449 L
.43962 .44462 L
.43866 .44301 L
.43848 .44141 L
F
.084 .92 1 r
.4398 .44153 m
.44141 .44236 L
.44213 .44301 L
.44301 .44414 L
.44403 .44462 L
.44462 .44588 L
.44515 .44622 L
.44622 .44774 L
.44638 .44783 L
.4477 .44943 L
.44783 .44956 L
.44897 .45104 L
.44943 .4516 L
.45037 .45265 L
.45104 .4537 L
.45146 .45425 L
.45265 .45578 L
.45268 .45586 L
.45393 .45746 L
.45425 .45764 L
.45544 .45907 L
.45586 .45983 L
.45643 .46067 L
.45746 .4621 L
.45755 .46228 L
.45872 .46388 L
.45907 .46439 L
.45982 .46549 L
.46067 .46694 L
.46079 .46709 L
.46067 .46825 L
.45907 .46849 L
.45746 .4672 L
.45733 .46709 L
.45586 .46564 L
.45577 .46549 L
.45433 .46388 L
.45425 .46379 L
.453 .46228 L
.45265 .4618 L
.45163 .46067 L
.45104 .45974 L
.45052 .45907 L
.44943 .45768 L
.44936 .45746 L
.44796 .45586 L
.44783 .45574 L
.44655 .45425 L
.44622 .45365 L
.4455 .45265 L
.44462 .45149 L
.4444 .45104 L
.4431 .44943 L
.44301 .44932 L
.44149 .44783 L
.44141 .44711 L
.44066 .44622 L
.4398 .44479 L
.43969 .44462 L
.43879 .44301 L
F
.538 .98 1 r
.4398 .42131 m
.44074 .42215 L
.44141 .42277 L
.44236 .42375 L
.44301 .42423 L
.44384 .42536 L
.44462 .42621 L
.44559 .42696 L
.44622 .42818 L
.44658 .42857 L
.44783 .43017 L
.44783 .43017 L
.44907 .43178 L
.44943 .43228 L
.45025 .43338 L
.45104 .4346 L
.45136 .43499 L
.45198 .43659 L
.45104 .4372 L
.44997 .43659 L
.44943 .43615 L
.44832 .43499 L
.44783 .43445 L
.44696 .43338 L
.44622 .4325 L
.44567 .43178 L
.44462 .43065 L
.44441 .43017 L
.4432 .42857 L
.44301 .42832 L
.44206 .42696 L
.44141 .42608 L
.44092 .42536 L
.4398 .42376 L
.4398 .42375 L
.43891 .42215 L
F
.061 .91 1 r
.4398 .44172 m
.44141 .4425 L
.44199 .44301 L
.44301 .44422 L
.44394 .44462 L
.44462 .44593 L
.44509 .44622 L
.44622 .44777 L
.44634 .44783 L
.44766 .44943 L
.44783 .4496 L
.44893 .45104 L
.44943 .45164 L
.45034 .45265 L
.45104 .45374 L
.45143 .45425 L
.45265 .45581 L
.45266 .45586 L
.4539 .45746 L
.45425 .45766 L
.45542 .45907 L
.45586 .45988 L
.45639 .46067 L
.45746 .46217 L
.45751 .46228 L
.45867 .46388 L
.45907 .46447 L
.45975 .46549 L
.46064 .46709 L
.45907 .46845 L
.45749 .46709 L
.45746 .46708 L
.45586 .46554 L
.45582 .46549 L
.45439 .46388 L
.45425 .46372 L
.45305 .46228 L
.45265 .46174 L
.45167 .46067 L
.45104 .45969 L
.45055 .45907 L
.44943 .45764 L
.44938 .45746 L
.448 .45586 L
.44783 .45571 L
.44657 .45425 L
.44622 .45361 L
.44553 .45265 L
.44462 .45144 L
.44442 .45104 L
.44314 .44943 L
.44301 .44926 L
.44151 .44783 L
.44141 .44703 L
.44072 .44622 L
.4398 .44468 L
.43977 .44462 L
.43893 .44301 L
F
.045 .9 1 r
.4398 .44192 m
.44141 .44264 L
.44185 .44301 L
.44301 .4443 L
.44384 .44462 L
.44462 .44598 L
.44503 .44622 L
.44622 .44779 L
.44631 .44783 L
.44762 .44943 L
.44783 .44964 L
.44889 .45104 L
.44943 .45168 L
.45031 .45265 L
.45104 .45378 L
.4514 .45425 L
.45265 .45585 L
.45265 .45586 L
.45387 .45746 L
.45425 .45769 L
.45539 .45907 L
.45586 .45993 L
.45636 .46067 L
.45746 .46223 L
.45748 .46228 L
.45862 .46388 L
.45907 .46455 L
.45968 .46549 L
.4605 .46709 L
.45907 .4684 L
.45764 .46709 L
.45746 .467 L
.45589 .46549 L
.45586 .46546 L
.45445 .46388 L
.45425 .46365 L
.4531 .46228 L
.45265 .46169 L
.45171 .46067 L
.45104 .45964 L
.45059 .45907 L
.44943 .45761 L
.44939 .45746 L
.44803 .45586 L
.44783 .45568 L
.44659 .45425 L
.44622 .45356 L
.44556 .45265 L
.44462 .45139 L
.44445 .45104 L
.44318 .44943 L
.44301 .4492 L
.44153 .44783 L
.44141 .44696 L
.44078 .44622 L
.43985 .44462 L
.4398 .44454 L
.43908 .44301 L
F
1 .9 .045 r
.4398 .42833 m
.44001 .42857 L
.4398 .42958 L
.43917 .42857 L
F
1 .72 0 r
.4398 .44784 m
.44136 .44943 L
.44141 .44948 L
.44274 .45104 L
.44301 .45135 L
.44404 .45265 L
.44462 .45334 L
.44531 .45425 L
.44622 .45541 L
.44655 .45586 L
.44774 .45746 L
.44783 .45758 L
.44881 .45907 L
.44943 .46001 L
.4498 .46067 L
.44943 .46178 L
.44816 .46067 L
.44783 .46037 L
.44662 .45907 L
.44622 .45864 L
.44522 .45746 L
.44462 .45676 L
.44389 .45586 L
.44301 .45517 L
.44262 .45425 L
.44141 .45265 L
.44141 .45264 L
.44028 .45104 L
.4398 .45034 L
.43922 .44943 L
F
.033 .89 1 r
.4398 .44213 m
.44141 .44278 L
.4417 .44301 L
.44301 .44437 L
.44374 .44462 L
.44462 .44603 L
.44497 .44622 L
.44622 .44781 L
.44627 .44783 L
.44758 .44943 L
.44783 .44968 L
.44886 .45104 L
.44943 .45173 L
.45028 .45265 L
.45104 .45382 L
.45137 .45425 L
.45262 .45586 L
.45265 .45589 L
.45384 .45746 L
.45425 .45771 L
.45536 .45907 L
.45586 .45998 L
.45632 .46067 L
.45745 .46228 L
.45746 .4623 L
.45856 .46388 L
.45907 .46464 L
.45961 .46549 L
.46035 .46709 L
.45907 .46832 L
.45781 .46709 L
.45746 .46694 L
.45598 .46549 L
.45586 .46538 L
.45451 .46388 L
.45425 .46359 L
.45315 .46228 L
.45265 .46163 L
.45174 .46067 L
.45104 .4596 L
.45062 .45907 L
.44943 .45757 L
.4494 .45746 L
.44807 .45586 L
.44783 .45564 L
.44662 .45425 L
.44622 .45352 L
.4456 .45265 L
.44462 .45134 L
.44447 .45104 L
.44323 .44943 L
.44301 .44914 L
.44156 .44783 L
.44141 .44688 L
.44084 .44622 L
.43994 .44462 L
.4398 .44436 L
.43923 .44301 L
F
.114 .93 1 r
.4398 .39259 m
.44037 .39325 L
.44141 .39433 L
.44184 .39486 L
.44301 .39617 L
.44325 .39646 L
.44462 .39806 L
.44462 .39807 L
.44592 .39967 L
.44622 .40002 L
.44722 .40128 L
.44783 .40199 L
.44853 .40288 L
.44943 .40397 L
.44984 .40449 L
.45104 .4059 L
.45127 .40609 L
.45241 .4077 L
.45265 .40798 L
.45366 .4093 L
.45425 .41002 L
.45493 .41091 L
.45586 .41176 L
.45621 .41251 L
.45746 .41408 L
.4575 .41412 L
.45871 .41572 L
.45907 .41616 L
.45995 .41733 L
.46067 .41823 L
.4612 .41894 L
.46228 .42017 L
.46268 .42054 L
.4637 .42215 L
.46388 .42237 L
.46492 .42375 L
.46549 .42446 L
.46615 .42536 L
.46709 .42623 L
.4674 .42696 L
.46865 .42857 L
.4687 .42863 L
.46984 .43017 L
.4703 .43076 L
.47105 .43178 L
.47191 .43287 L
.47228 .43338 L
.47351 .43496 L
.47354 .43499 L
.4747 .43659 L
.47512 .43713 L
.47589 .4382 L
.47672 .43927 L
.4771 .4398 L
.47833 .4414 L
.47833 .44141 L
.47947 .44301 L
.47993 .44361 L
.48063 .44462 L
.48154 .44582 L
.48181 .44622 L
.48298 .44783 L
.48314 .44805 L
.48403 .44943 L
.48475 .45043 L
.4851 .45104 L
.48475 .45175 L
.48409 .45104 L
.48314 .45005 L
.4826 .44943 L
.48154 .44824 L
.48118 .44783 L
.47993 .44646 L
.47981 .44622 L
.47847 .44462 L
.47833 .44446 L
.47714 .44301 L
.47672 .44253 L
.47581 .44141 L
.47512 .44057 L
.47449 .4398 L
.47351 .43869 L
.47288 .4382 L
.47191 .43659 L
.47191 .43659 L
.47063 .43499 L
.4703 .43458 L
.46935 .43338 L
.4687 .43285 L
.46807 .43178 L
.46709 .43058 L
.4667 .43017 L
.46555 .42857 L
.46549 .42848 L
.4643 .42696 L
.46388 .42643 L
.46304 .42536 L
.46228 .42452 L
.46146 .42375 L
.46067 .42231 L
.46053 .42215 L
.45932 .42054 L
.45907 .42022 L
.45808 .41894 L
.45746 .41848 L
.45684 .41733 L
.45586 .41609 L
.45553 .41572 L
.4544 .41412 L
.45425 .41392 L
.45319 .41251 L
.45265 .4118 L
.45197 .41091 L
.45104 .40982 L
.45054 .4093 L
.44956 .4077 L
.44943 .40754 L
.44837 .40609 L
.44783 .40537 L
.44718 .40449 L
.44622 .40348 L
.44599 .40288 L
.44483 .40128 L
.44462 .401 L
.44368 .39967 L
.44301 .39876 L
.44253 .39807 L
.44141 .3965 L
.44138 .39646 L
.44034 .39486 L
.4398 .39409 L
.4393 .39325 L
F
1 .71 0 r
.4398 .44796 m
.44127 .44943 L
.44141 .44957 L
.44267 .45104 L
.44301 .45143 L
.44399 .45265 L
.44462 .45341 L
.44526 .45425 L
.44622 .45548 L
.4465 .45586 L
.44768 .45746 L
.44783 .45767 L
.44873 .45907 L
.44943 .46016 L
.4497 .46067 L
.44943 .4616 L
.44829 .46067 L
.44783 .46026 L
.44671 .45907 L
.44622 .45855 L
.44529 .45746 L
.44462 .45668 L
.44396 .45586 L
.44301 .45505 L
.44268 .45425 L
.44148 .45265 L
.44141 .45255 L
.44036 .45104 L
.4398 .45023 L
.4393 .44943 L
F
1 .58 0 r
.4398 .48378 m
.44067 .48475 L
.44141 .48551 L
.44213 .48636 L
.44301 .48734 L
.44354 .48796 L
.44462 .48898 L
.44492 .48957 L
.44622 .49111 L
.4463 .49117 L
.44758 .49278 L
.44783 .49306 L
.4489 .49438 L
.44943 .49502 L
.45021 .49599 L
.45104 .49684 L
.45152 .49759 L
.45265 .49897 L
.45286 .4992 L
.45409 .5008 L
.45425 .501 L
.45536 .50241 L
.45586 .50267 L
.45664 .50401 L
.45746 .50496 L
.45814 .50562 L
.45907 .50708 L
.45919 .50722 L
.46043 .50883 L
.46067 .50913 L
.46168 .51043 L
.46228 .51098 L
.4635 .51204 L
.46388 .5132 L
.46427 .51364 L
.46544 .51525 L
.46549 .51531 L
.46667 .51686 L
.46709 .51699 L
.46791 .51846 L
.4687 .51935 L
.46937 .52007 L
.4703 .52154 L
.4704 .52167 L
.47161 .52328 L
.47191 .52365 L
.47284 .52488 L
.47351 .52549 L
.47455 .52649 L
.47512 .52781 L
.47535 .52809 L
.47651 .5297 L
.47672 .52997 L
.47771 .5313 L
.47833 .5321 L
.47893 .53291 L
.47993 .53413 L
.48028 .53451 L
.48134 .53612 L
.48154 .53637 L
.48253 .53772 L
.48314 .53853 L
.48372 .53933 L
.48475 .54053 L
.48512 .54093 L
.48609 .54254 L
.48636 .54289 L
.48724 .54414 L
.48796 .54511 L
.4884 .54575 L
.48957 .54734 L
.48957 .54735 L
.49064 .54896 L
.49117 .5497 L
.49171 .55057 L
.49278 .55215 L
.49279 .55217 L
.49278 .55325 L
.49171 .55217 L
.49117 .55167 L
.4902 .55057 L
.48957 .5499 L
.48877 .54896 L
.48796 .54806 L
.48738 .54735 L
.48636 .54649 L
.48601 .54575 L
.48475 .54427 L
.48459 .54414 L
.48336 .54254 L
.48314 .54229 L
.48206 .54093 L
.48154 .54032 L
.48075 .53933 L
.47993 .53854 L
.47945 .53772 L
.47833 .53636 L
.47808 .53612 L
.47689 .53451 L
.47672 .53431 L
.47563 .53291 L
.47512 .53275 L
.47435 .5313 L
.47351 .53038 L
.47278 .5297 L
.47191 .52822 L
.47179 .52809 L
.47057 .52649 L
.4703 .52615 L
.46932 .52488 L
.4687 .52437 L
.46807 .52328 L
.46709 .5221 L
.4667 .52167 L
.46557 .52007 L
.46549 .51996 L
.46435 .51846 L
.46388 .51788 L
.46311 .51686 L
.46228 .51595 L
.46158 .51525 L
.46067 .51372 L
.46061 .51364 L
.45941 .51204 L
.45907 .51161 L
.45819 .51043 L
.45746 .50984 L
.45695 .50883 L
.45586 .50745 L
.45565 .50722 L
.45451 .50562 L
.45425 .50528 L
.45331 .50401 L
.45265 .50316 L
.45209 .50241 L
.45104 .50114 L
.45073 .5008 L
.44968 .4992 L
.44943 .49889 L
.4485 .49759 L
.44783 .49672 L
.4473 .49599 L
.44622 .49472 L
.44609 .49438 L
.44493 .49278 L
.44462 .49237 L
.44379 .49117 L
.44301 .49014 L
.44262 .48957 L
.44145 .48796 L
.44141 .48791 L
.4404 .48636 L
.4398 .48553 L
.43933 .48475 L
F
0 .2 1 r
.4398 .49056 m
.44029 .49117 L
.44141 .49242 L
.44169 .49278 L
.44301 .49433 L
.44305 .49438 L
.44433 .49599 L
.44462 .49631 L
.44561 .49759 L
.44622 .49831 L
.4469 .4992 L
.44783 .50032 L
.4482 .5008 L
.44943 .50234 L
.44949 .50241 L
.45071 .50401 L
.45104 .50441 L
.45194 .50562 L
.45265 .50649 L
.45319 .50722 L
.45425 .50856 L
.45445 .50883 L
.45567 .51043 L
.45586 .51066 L
.45685 .51204 L
.45746 .5128 L
.45806 .51364 L
.45907 .51494 L
.45929 .51525 L
.46046 .51686 L
.46067 .51712 L
.46158 .51846 L
.46228 .51937 L
.46273 .52007 L
.46388 .52163 L
.46391 .52167 L
.46388 .52258 L
.46313 .52167 L
.46228 .52081 L
.46169 .52007 L
.46067 .51893 L
.4603 .51846 L
.45907 .517 L
.45895 .51686 L
.45767 .51525 L
.45746 .51502 L
.4564 .51364 L
.45586 .513 L
.45512 .51204 L
.45425 .51099 L
.45383 .51043 L
.45265 .50896 L
.45255 .50883 L
.45132 .50722 L
.45104 .50689 L
.4501 .50562 L
.44943 .50481 L
.44885 .50401 L
.44783 .50273 L
.4476 .50241 L
.44637 .5008 L
.44622 .50062 L
.4452 .4992 L
.44462 .49847 L
.444 .49759 L
.44301 .49633 L
.44278 .49599 L
.4416 .49438 L
.44141 .49414 L
.4405 .49278 L
.4398 .49186 L
.43937 .49117 L
F
1 .7 0 r
.4398 .4481 m
.44117 .44943 L
.44141 .44967 L
.4426 .45104 L
.44301 .4515 L
.44392 .45265 L
.44462 .45348 L
.4452 .45425 L
.44622 .45555 L
.44645 .45586 L
.44761 .45746 L
.44783 .45777 L
.44865 .45907 L
.44943 .46034 L
.44959 .46067 L
.44943 .46138 L
.44845 .46067 L
.44783 .46015 L
.4468 .45907 L
.44622 .45846 L
.44537 .45746 L
.44462 .45659 L
.44402 .45586 L
.44301 .45491 L
.44275 .45425 L
.44155 .45265 L
.44141 .45246 L
.44043 .45104 L
.4398 .4501 L
.43939 .44943 L
F
.024 .88 1 r
.4398 .44236 m
.44141 .44292 L
.44154 .44301 L
.44301 .44443 L
.44361 .44462 L
.44462 .44607 L
.4449 .44622 L
.44622 .44783 L
.44623 .44783 L
.44754 .44943 L
.44783 .44972 L
.44882 .45104 L
.44943 .45177 L
.45025 .45265 L
.45104 .45385 L
.45135 .45425 L
.45259 .45586 L
.45265 .45593 L
.45381 .45746 L
.45425 .45774 L
.45533 .45907 L
.45586 .46003 L
.45628 .46067 L
.4574 .46228 L
.45746 .46236 L
.45851 .46388 L
.45907 .46473 L
.45954 .46549 L
.46018 .46709 L
.45907 .46818 L
.45798 .46709 L
.45746 .46688 L
.45607 .46549 L
.45586 .46531 L
.45457 .46388 L
.45425 .46352 L
.4532 .46228 L
.45265 .46157 L
.45178 .46067 L
.45104 .45955 L
.45065 .45907 L
.44943 .45754 L
.44941 .45746 L
.4481 .45586 L
.44783 .45561 L
.44665 .45425 L
.44622 .45347 L
.44563 .45265 L
.44462 .45128 L
.4445 .45104 L
.44327 .44943 L
.44301 .44908 L
.44159 .44783 L
.44141 .44679 L
.44091 .44622 L
.44003 .44462 L
.4398 .44416 L
.4394 .44301 L
F
1 .57 0 r
.4398 .48391 m
.44057 .48475 L
.44141 .4856 L
.44206 .48636 L
.44301 .48741 L
.44348 .48796 L
.44462 .48907 L
.44487 .48957 L
.44622 .49117 L
.44622 .49118 L
.44754 .49278 L
.44783 .49312 L
.44886 .49438 L
.44943 .49507 L
.45018 .49599 L
.45104 .49689 L
.45148 .49759 L
.45265 .49902 L
.45282 .4992 L
.45405 .5008 L
.45425 .50104 L
.45533 .50241 L
.45586 .5027 L
.45661 .50401 L
.45746 .50499 L
.45811 .50562 L
.45907 .50711 L
.45916 .50722 L
.4604 .50883 L
.46067 .50917 L
.46166 .51043 L
.46228 .51101 L
.46347 .51204 L
.46388 .51323 L
.46425 .51364 L
.46541 .51525 L
.46549 .51534 L
.46665 .51686 L
.46709 .51701 L
.46789 .51846 L
.4687 .51938 L
.46935 .52007 L
.4703 .52157 L
.47038 .52167 L
.47159 .52328 L
.47191 .52368 L
.47281 .52488 L
.47351 .52553 L
.47452 .52649 L
.47512 .52785 L
.47532 .52809 L
.47648 .5297 L
.47672 .53001 L
.47769 .5313 L
.47833 .53213 L
.47891 .53291 L
.47993 .53417 L
.48024 .53451 L
.48131 .53612 L
.48154 .53641 L
.4825 .53772 L
.48314 .53857 L
.48369 .53933 L
.48475 .5406 L
.48506 .54093 L
.48605 .54254 L
.48636 .54294 L
.4872 .54414 L
.48796 .54517 L
.48836 .54575 L
.48952 .54735 L
.48957 .54742 L
.49057 .54896 L
.49117 .54981 L
.49163 .55057 L
.49117 .55155 L
.49029 .55057 L
.48957 .54982 L
.48884 .54896 L
.48796 .54799 L
.48743 .54735 L
.48636 .5464 L
.48606 .54575 L
.48475 .54421 L
.48467 .54414 L
.4834 .54254 L
.48314 .54224 L
.48209 .54093 L
.48154 .54027 L
.48079 .53933 L
.47993 .5385 L
.47948 .53772 L
.47833 .53632 L
.47812 .53612 L
.47692 .53451 L
.47672 .53428 L
.47565 .53291 L
.47512 .53273 L
.47438 .5313 L
.47351 .53034 L
.47282 .5297 L
.47191 .52819 L
.47182 .52809 L
.4706 .52649 L
.4703 .52612 L
.46935 .52488 L
.4687 .52434 L
.46809 .52328 L
.46709 .52207 L
.46673 .52167 L
.46559 .52007 L
.46549 .51993 L
.46437 .51846 L
.46388 .51785 L
.46313 .51686 L
.46228 .51592 L
.46161 .51525 L
.46067 .51369 L
.46063 .51364 L
.45943 .51204 L
.45907 .51158 L
.45821 .51043 L
.45746 .5098 L
.45697 .50883 L
.45586 .50742 L
.45569 .50722 L
.45454 .50562 L
.45425 .50525 L
.45334 .50401 L
.45265 .50312 L
.45212 .50241 L
.45104 .50109 L
.45078 .5008 L
.44971 .4992 L
.44943 .49885 L
.44853 .49759 L
.44783 .49668 L
.44733 .49599 L
.44622 .49465 L
.44612 .49438 L
.44497 .49278 L
.44462 .49231 L
.44383 .49117 L
.44301 .49008 L
.44266 .48957 L
.44151 .48796 L
.44141 .48783 L
.44047 .48636 L
.4398 .48542 L
.43942 .48475 L
F
.018 .87 1 r
.4398 .47714 m
.44098 .47833 L
.44141 .47875 L
.44249 .47993 L
.44301 .48049 L
.44394 .48154 L
.44462 .48184 L
.44536 .48314 L
.44622 .48408 L
.44727 .48475 L
.44783 .48605 L
.44814 .48636 L
.44943 .48796 L
.44943 .48797 L
.45076 .48957 L
.45104 .48981 L
.45209 .49117 L
.45265 .49184 L
.45357 .49278 L
.45425 .49387 L
.45466 .49438 L
.45586 .49587 L
.45592 .49599 L
.45727 .49759 L
.45746 .4978 L
.45888 .4992 L
.45907 .49985 L
.45986 .5008 L
.46067 .50192 L
.461 .50241 L
.46228 .50393 L
.46238 .50401 L
.46364 .50562 L
.46388 .50591 L
.46502 .50722 L
.46549 .508 L
.4661 .50883 L
.46709 .51009 L
.46725 .51043 L
.46867 .51204 L
.4687 .51207 L
.47014 .51364 L
.4703 .51413 L
.47119 .51525 L
.47191 .51625 L
.4723 .51686 L
.47351 .51832 L
.47367 .51846 L
.47491 .52007 L
.47512 .52032 L
.47626 .52167 L
.47672 .52243 L
.47734 .52328 L
.47833 .52454 L
.47847 .52488 L
.47987 .52649 L
.47993 .52655 L
.48133 .52809 L
.48154 .52863 L
.48237 .5297 L
.48314 .53076 L
.48348 .5313 L
.48475 .53284 L
.48481 .53291 L
.48604 .53451 L
.48636 .53486 L
.4874 .53612 L
.48796 .537 L
.48848 .53772 L
.48957 .53912 L
.48965 .53933 L
.49096 .54093 L
.49117 .54111 L
.49247 .54254 L
.49278 .54325 L
.49347 .54414 L
.49438 .5454 L
.49459 .54575 L
.49586 .54735 L
.49599 .54738 L
.49708 .54896 L
.49759 .54951 L
.49846 .55057 L
.4992 .5517 L
.49952 .55217 L
.50075 .55378 L
.5008 .55385 L
.50195 .55538 L
.50241 .55575 L
.50349 .55699 L
.50401 .55802 L
.50444 .55859 L
.5056 .5602 L
.50562 .56023 L
.50678 .5618 L
.50722 .56238 L
.50799 .56341 L
.50883 .56438 L
.50932 .56501 L
.51039 .56662 L
.51043 .56668 L
.51156 .56822 L
.51204 .56886 L
.51274 .56983 L
.51364 .57083 L
.51412 .57143 L
.51508 .57304 L
.51525 .57326 L
.51621 .57464 L
.51686 .57553 L
.51735 .57625 L
.51846 .5778 L
.5185 .57785 L
.51953 .57946 L
.52007 .58024 L
.52056 .58106 L
.52007 .58235 L
.51884 .58106 L
.51846 .5807 L
.51735 .57946 L
.51686 .57893 L
.51592 .57785 L
.51525 .5776 L
.51452 .57625 L
.51364 .57533 L
.51315 .57464 L
.51204 .57333 L
.51173 .57304 L
.51047 .57143 L
.51043 .57139 L
.50916 .56983 L
.50883 .56958 L
.50785 .56822 L
.50722 .56751 L
.50628 .56662 L
.50562 .56546 L
.50523 .56501 L
.50401 .56345 L
.50398 .56341 L
.5027 .5618 L
.50241 .56152 L
.50091 .5602 L
.5008 .55944 L
.50004 .55859 L
.4992 .55736 L
.49891 .55699 L
.49762 .55538 L
.49759 .55536 L
.49637 .55378 L
.49599 .55335 L
.49487 .55217 L
.49438 .55124 L
.49383 .55057 L
.49278 .54916 L
.49266 .54896 L
.49136 .54735 L
.49117 .54719 L
.48968 .54575 L
.48957 .54509 L
.48875 .54414 L
.48796 .54298 L
.48765 .54254 L
.48637 .54093 L
.48636 .54093 L
.48514 .53933 L
.48475 .53891 L
.48366 .53772 L
.48314 .53678 L
.48263 .53612 L
.48154 .53467 L
.48145 .53451 L
.48019 .53291 L
.47993 .53271 L
.47852 .5313 L
.47833 .53057 L
.4776 .5297 L
.47672 .52843 L
.47649 .52809 L
.47524 .52649 L
.47512 .52647 L
.47402 .52488 L
.47351 .52436 L
.47254 .52328 L
.47191 .52218 L
.47151 .52167 L
.47031 .52007 L
.4703 .52005 L
.4691 .51846 L
.4687 .51817 L
.46742 .51686 L
.46709 .51594 L
.46653 .51525 L
.46549 .51376 L
.46541 .51364 L
.4642 .51204 L
.46388 .51164 L
.46298 .51043 L
.46228 .50971 L
.46152 .50883 L
.46067 .50746 L
.46049 .50722 L
.45931 .50562 L
.45907 .50531 L
.45811 .50401 L
.45746 .5035 L
.45647 .50241 L
.45586 .50114 L
.45559 .5008 L
.45445 .4992 L
.45425 .49894 L
.45326 .49759 L
.45265 .49679 L
.45206 .49599 L
.45104 .49478 L
.45072 .49438 L
.44964 .49278 L
.44943 .4925 L
.44848 .49117 L
.44783 .49033 L
.44729 .48957 L
.44622 .4883 L
.44595 .48796 L
.44493 .48636 L
.44462 .48594 L
.4438 .48475 L
.44301 .48369 L
.44264 .48314 L
.44149 .48154 L
.44141 .48142 L
.44046 .47993 L
.4398 .47899 L
.43942 .47833 L
F
0 .19 1 r
.4398 .49065 m
.44022 .49117 L
.44141 .49248 L
.44165 .49278 L
.44141 .49407 L
.44057 .49278 L
.4398 .49178 L
.43943 .49117 L
F
1 .69 0 r
.4398 .44826 m
.44106 .44943 L
.44141 .44977 L
.44252 .45104 L
.44301 .45159 L
.44386 .45265 L
.44462 .45355 L
.44515 .45425 L
.44622 .45562 L
.44639 .45586 L
.44753 .45746 L
.44783 .45787 L
.44856 .45907 L
.44943 .4606 L
.44946 .46067 L
.44943 .46104 L
.44866 .46067 L
.44783 .46003 L
.4469 .45907 L
.44622 .45837 L
.44544 .45746 L
.44462 .45651 L
.44409 .45586 L
.44301 .45477 L
.44281 .45425 L
.44162 .45265 L
.44141 .45235 L
.44051 .45104 L
.4398 .44996 L
.43949 .44943 L
F
0 .18 1 r
.4398 .49075 m
.44015 .49117 L
.44141 .49255 L
.44159 .49278 L
.44141 .494 L
.44063 .49278 L
.4398 .49168 L
.43951 .49117 L
F
1 .56 0 r
.4398 .48405 m
.44046 .48475 L
.44141 .4857 L
.44199 .48636 L
.44301 .48748 L
.44342 .48796 L
.44462 .48917 L
.44481 .48957 L
.44617 .49117 L
.44622 .49123 L
.44749 .49278 L
.44783 .49317 L
.44882 .49438 L
.44943 .49512 L
.45014 .49599 L
.45104 .49694 L
.45145 .49759 L
.45265 .49906 L
.45278 .4992 L
.45402 .5008 L
.45425 .50108 L
.4553 .50241 L
.45586 .50272 L
.45658 .50401 L
.45746 .50503 L
.45807 .50562 L
.45907 .50715 L
.45913 .50722 L
.46037 .50883 L
.46067 .5092 L
.46163 .51043 L
.46228 .51104 L
.46344 .51204 L
.46388 .51326 L
.46422 .51364 L
.46539 .51525 L
.46549 .51537 L
.46662 .51686 L
.46709 .51702 L
.46787 .51846 L
.4687 .51941 L
.46932 .52007 L
.4703 .52161 L
.47035 .52167 L
.47156 .52328 L
.47191 .52371 L
.47279 .52488 L
.47351 .52556 L
.47449 .52649 L
.47512 .52788 L
.47529 .52809 L
.47646 .5297 L
.47672 .53004 L
.47766 .5313 L
.47833 .53217 L
.47888 .53291 L
.47993 .53422 L
.4802 .53451 L
.48128 .53612 L
.48154 .53645 L
.48247 .53772 L
.48314 .53862 L
.48366 .53933 L
.48475 .54067 L
.48499 .54093 L
.48601 .54254 L
.48636 .543 L
.48716 .54414 L
.48796 .54523 L
.48832 .54575 L
.48946 .54735 L
.48957 .5475 L
.4905 .54896 L
.49117 .54992 L
.49155 .55057 L
.49117 .55143 L
.49039 .55057 L
.48957 .54973 L
.48891 .54896 L
.48796 .54792 L
.48749 .54735 L
.48636 .54631 L
.48611 .54575 L
.48475 .54414 L
.48475 .54414 L
.48344 .54254 L
.48314 .54219 L
.48213 .54093 L
.48154 .54023 L
.48082 .53933 L
.47993 .53845 L
.47951 .53772 L
.47833 .53628 L
.47817 .53612 L
.47695 .53451 L
.47672 .53424 L
.47568 .53291 L
.47512 .53271 L
.47441 .5313 L
.47351 .53031 L
.47285 .5297 L
.47191 .52816 L
.47185 .52809 L
.47062 .52649 L
.4703 .52609 L
.46937 .52488 L
.4687 .52431 L
.46811 .52328 L
.46709 .52203 L
.46676 .52167 L
.46562 .52007 L
.46549 .5199 L
.46439 .51846 L
.46388 .51782 L
.46315 .51686 L
.46228 .51589 L
.46164 .51525 L
.46067 .51366 L
.46066 .51364 L
.45945 .51204 L
.45907 .51155 L
.45823 .51043 L
.45746 .50977 L
.457 .50883 L
.45586 .50738 L
.45572 .50722 L
.45456 .50562 L
.45425 .50522 L
.45336 .50401 L
.45265 .50309 L
.45214 .50241 L
.45104 .50105 L
.45082 .5008 L
.44973 .4992 L
.44943 .49881 L
.44856 .49759 L
.44783 .49664 L
.44736 .49599 L
.44622 .49457 L
.44615 .49438 L
.44501 .49278 L
.44462 .49226 L
.44387 .49117 L
.44301 .49002 L
.4427 .48957 L
.44157 .48796 L
.44141 .48774 L
.44054 .48636 L
.4398 .48529 L
.43951 .48475 L
F
.018 .87 1 r
.4398 .44263 m
.44134 .44301 L
.44141 .44305 L
.44301 .44448 L
.44348 .44462 L
.44462 .44612 L
.44483 .44622 L
.44618 .44783 L
.44622 .44785 L
.4475 .44943 L
.44783 .44976 L
.44879 .45104 L
.44943 .45181 L
.45021 .45265 L
.45104 .45389 L
.45132 .45425 L
.45256 .45586 L
.45265 .45597 L
.45377 .45746 L
.45425 .45777 L
.4553 .45907 L
.45586 .46008 L
.45625 .46067 L
.45736 .46228 L
.45746 .46242 L
.45846 .46388 L
.45907 .46483 L
.45947 .46549 L
.45999 .46709 L
.45907 .46799 L
.45818 .46709 L
.45746 .46682 L
.45615 .46549 L
.45586 .46524 L
.45464 .46388 L
.45425 .46346 L
.45325 .46228 L
.45265 .46152 L
.45182 .46067 L
.45104 .45951 L
.45068 .45907 L
.44943 .45751 L
.44942 .45746 L
.44814 .45586 L
.44783 .45558 L
.44667 .45425 L
.44622 .45343 L
.44566 .45265 L
.44462 .45123 L
.44453 .45104 L
.44331 .44943 L
.44301 .44901 L
.44162 .44783 L
.44141 .44671 L
.44098 .44622 L
.44013 .44462 L
.4398 .44389 L
.43958 .44301 L
F
0 .17 1 r
.4398 .49086 m
.44005 .49117 L
.44141 .49262 L
.44154 .49278 L
.44141 .49392 L
.44071 .49278 L
.4398 .49156 L
.43959 .49117 L
F
1 .68 0 r
.4398 .44845 m
.44094 .44943 L
.44141 .44987 L
.44244 .45104 L
.44301 .45167 L
.44379 .45265 L
.44462 .45363 L
.44509 .45425 L
.44622 .4557 L
.44634 .45586 L
.44745 .45746 L
.44783 .45799 L
.44847 .45907 L
.44783 .4599 L
.44701 .45907 L
.44622 .45827 L
.44552 .45746 L
.44462 .45642 L
.44416 .45586 L
.44301 .4546 L
.44288 .45425 L
.4417 .45265 L
.44141 .45225 L
.4406 .45104 L
.4398 .44979 L
.4396 .44943 L
F
1 .55 0 r
.4398 .48423 m
.44032 .48475 L
.44141 .4858 L
.4419 .48636 L
.44301 .48756 L
.44336 .48796 L
.44462 .48928 L
.44476 .48957 L
.44612 .49117 L
.44622 .49129 L
.44745 .49278 L
.44783 .49322 L
.44878 .49438 L
.44943 .49516 L
.4501 .49599 L
.45104 .49699 L
.45142 .49759 L
.45265 .4991 L
.45274 .4992 L
.45399 .5008 L
.45425 .50112 L
.45527 .50241 L
.45586 .50275 L
.45655 .50401 L
.45746 .50507 L
.45803 .50562 L
.45907 .50718 L
.4591 .50722 L
.46035 .50883 L
.46067 .50923 L
.46161 .51043 L
.46228 .51107 L
.46341 .51204 L
.46388 .5133 L
.46419 .51364 L
.46536 .51525 L
.46549 .51541 L
.4666 .51686 L
.46709 .51704 L
.46784 .51846 L
.4687 .51945 L
.46929 .52007 L
.4703 .52164 L
.47033 .52167 L
.47154 .52328 L
.47191 .52375 L
.47277 .52488 L
.47351 .52559 L
.47445 .52649 L
.47512 .52792 L
.47526 .52809 L
.47643 .5297 L
.47672 .53007 L
.47764 .5313 L
.47833 .5322 L
.47885 .53291 L
.47993 .53426 L
.48015 .53451 L
.48125 .53612 L
.48154 .53649 L
.48244 .53772 L
.48314 .53866 L
.48363 .53933 L
.48475 .54075 L
.48492 .54093 L
.48597 .54254 L
.48636 .54305 L
.48711 .54414 L
.48796 .54529 L
.48827 .54575 L
.48939 .54735 L
.48957 .54759 L
.49042 .54896 L
.49117 .55005 L
.49146 .55057 L
.49117 .55128 L
.49051 .55057 L
.48957 .54964 L
.48898 .54896 L
.48796 .54785 L
.48755 .54735 L
.48636 .5462 L
.48615 .54575 L
.4848 .54414 L
.48475 .54409 L
.48349 .54254 L
.48314 .54214 L
.48217 .54093 L
.48154 .54019 L
.48086 .53933 L
.47993 .5384 L
.47955 .53772 L
.47833 .53624 L
.47821 .53612 L
.47698 .53451 L
.47672 .53421 L
.47571 .53291 L
.47512 .53268 L
.47443 .5313 L
.47351 .53027 L
.47289 .5297 L
.47191 .52812 L
.47188 .52809 L
.47065 .52649 L
.4703 .52606 L
.46939 .52488 L
.4687 .52428 L
.46814 .52328 L
.46709 .522 L
.46679 .52167 L
.46564 .52007 L
.46549 .51988 L
.46441 .51846 L
.46388 .51779 L
.46317 .51686 L
.46228 .51586 L
.46167 .51525 L
.46068 .51364 L
.46067 .51363 L
.45947 .51204 L
.45907 .51152 L
.45825 .51043 L
.45746 .50973 L
.45702 .50883 L
.45586 .50735 L
.45575 .50722 L
.45459 .50562 L
.45425 .50519 L
.45338 .50401 L
.45265 .50306 L
.45217 .50241 L
.45104 .501 L
.45086 .5008 L
.44976 .4992 L
.44943 .49877 L
.44859 .49759 L
.44783 .4966 L
.44739 .49599 L
.44622 .49449 L
.44618 .49438 L
.44505 .49278 L
.44462 .49221 L
.44391 .49117 L
.44301 .48996 L
.44275 .48957 L
.44163 .48796 L
.44141 .48765 L
.44063 .48636 L
.4398 .48513 L
.43962 .48475 L
F
.001 .79 1 r
.4398 .45463 m
.44054 .45586 L
.4398 .45605 L
.43963 .45586 L
F
.013 .86 1 r
.4398 .47754 m
.44068 .47833 L
.44141 .479 L
.44229 .47993 L
.44301 .48068 L
.44379 .48154 L
.44462 .482 L
.44522 .48314 L
.44622 .48423 L
.44708 .48475 L
.44783 .48617 L
.44802 .48636 L
.44933 .48796 L
.44943 .48808 L
.45068 .48957 L
.45104 .48988 L
.45201 .49117 L
.45265 .49193 L
.4535 .49278 L
.45425 .49395 L
.4546 .49438 L
.45586 .49593 L
.45589 .49599 L
.45721 .49759 L
.45746 .49786 L
.45886 .4992 L
.45907 .49991 L
.45982 .5008 L
.46067 .50198 L
.46096 .50241 L
.46228 .50397 L
.46233 .50401 L
.4636 .50562 L
.46388 .50596 L
.46498 .50722 L
.46549 .50805 L
.46607 .50883 L
.46709 .51013 L
.46723 .51043 L
.46863 .51204 L
.4687 .51211 L
.47012 .51364 L
.4703 .51418 L
.47116 .51525 L
.47191 .51628 L
.47227 .51686 L
.47351 .51835 L
.47364 .51846 L
.47488 .52007 L
.47512 .52035 L
.47624 .52167 L
.47672 .52246 L
.47732 .52328 L
.47833 .52457 L
.47846 .52488 L
.47984 .52649 L
.47993 .52658 L
.48132 .52809 L
.48154 .52866 L
.48235 .5297 L
.48314 .53079 L
.48346 .5313 L
.48475 .53287 L
.48479 .53291 L
.48601 .53451 L
.48636 .53489 L
.48738 .53612 L
.48796 .53703 L
.48845 .53772 L
.48957 .53915 L
.48963 .53933 L
.49093 .54093 L
.49117 .54114 L
.49245 .54254 L
.49278 .54328 L
.49344 .54414 L
.49438 .54544 L
.49457 .54575 L
.49583 .54735 L
.49599 .54739 L
.49705 .54896 L
.49759 .54954 L
.49843 .55057 L
.4992 .55174 L
.49949 .55217 L
.50071 .55378 L
.5008 .55389 L
.50192 .55538 L
.50241 .55579 L
.50345 .55699 L
.50401 .55808 L
.5044 .55859 L
.50555 .5602 L
.50562 .56028 L
.50674 .5618 L
.50722 .56244 L
.50794 .56341 L
.50883 .56446 L
.50926 .56501 L
.51033 .56662 L
.51043 .56675 L
.5115 .56822 L
.51204 .56895 L
.51267 .56983 L
.51364 .57097 L
.51401 .57143 L
.515 .57304 L
.51525 .57338 L
.51612 .57464 L
.51686 .57566 L
.51725 .57625 L
.51837 .57785 L
.51846 .57799 L
.51936 .57946 L
.52007 .58054 L
.52035 .58106 L
.52007 .58199 L
.51911 .58106 L
.51846 .58047 L
.51754 .57946 L
.51686 .57875 L
.51607 .57785 L
.51525 .57746 L
.51464 .57625 L
.51364 .57519 L
.51325 .57464 L
.51204 .57322 L
.51184 .57304 L
.51056 .57143 L
.51043 .57129 L
.50924 .56983 L
.50883 .56952 L
.50792 .56822 L
.50722 .56743 L
.50635 .56662 L
.50562 .56539 L
.50529 .56501 L
.50402 .56341 L
.50401 .56339 L
.50275 .5618 L
.50241 .56147 L
.50093 .5602 L
.5008 .55939 L
.50008 .55859 L
.4992 .55731 L
.49895 .55699 L
.49766 .55538 L
.49759 .55534 L
.49641 .55378 L
.49599 .55331 L
.4949 .55217 L
.49438 .5512 L
.49386 .55057 L
.49278 .54913 L
.49268 .54896 L
.49139 .54735 L
.49117 .54716 L
.4897 .54575 L
.48957 .54506 L
.48878 .54414 L
.48796 .54294 L
.48767 .54254 L
.4864 .54093 L
.48636 .54092 L
.48517 .53933 L
.48475 .53889 L
.48368 .53772 L
.48314 .53675 L
.48265 .53612 L
.48154 .53464 L
.48147 .53451 L
.48021 .53291 L
.47993 .53269 L
.47853 .5313 L
.47833 .53054 L
.47762 .5297 L
.47672 .5284 L
.47651 .52809 L
.47527 .52649 L
.47512 .52646 L
.47404 .52488 L
.47351 .52434 L
.47256 .52328 L
.47191 .52215 L
.47154 .52167 L
.47034 .52007 L
.4703 .52002 L
.46913 .51846 L
.4687 .51815 L
.46744 .51686 L
.46709 .51591 L
.46655 .51525 L
.46549 .51373 L
.46543 .51364 L
.46422 .51204 L
.46388 .5116 L
.46301 .51043 L
.46228 .50967 L
.46155 .50883 L
.46067 .50742 L
.46052 .50722 L
.45934 .50562 L
.45907 .50527 L
.45814 .50401 L
.45746 .50346 L
.45651 .50241 L
.45586 .50109 L
.45563 .5008 L
.45449 .4992 L
.45425 .49889 L
.4533 .49759 L
.45265 .49674 L
.4521 .49599 L
.45104 .4947 L
.45078 .49438 L
.4497 .49278 L
.44943 .49244 L
.44853 .49117 L
.44783 .49025 L
.44734 .48957 L
.44622 .48816 L
.44606 .48796 L
.44501 .48636 L
.44462 .48583 L
.44388 .48475 L
.44301 .48357 L
.44273 .48314 L
.44163 .48154 L
.44141 .48123 L
.44063 .47993 L
.4398 .47867 L
.43964 .47833 L
F
0 .16 1 r
.4398 .49102 m
.43993 .49117 L
.44141 .4927 L
.44147 .49278 L
.44141 .49382 L
.4408 .49278 L
.4398 .49139 L
.43971 .49117 L
F
1 .67 0 r
.4398 .4487 m
.44078 .44943 L
.44141 .44999 L
.44235 .45104 L
.44301 .45176 L
.44372 .45265 L
.44462 .45371 L
.44503 .45425 L
.44622 .45578 L
.44628 .45586 L
.44737 .45746 L
.44783 .45813 L
.44836 .45907 L
.44783 .45976 L
.44712 .45907 L
.44622 .45817 L
.44561 .45746 L
.44462 .45633 L
.44423 .45586 L
.44301 .45442 L
.44295 .45425 L
.44178 .45265 L
.44141 .45213 L
.44069 .45104 L
.4398 .44959 L
.43972 .44943 L
F
1 .54 0 r
.4398 .4845 m
.44011 .48475 L
.44141 .48591 L
.44181 .48636 L
.44301 .48764 L
.44329 .48796 L
.44462 .48939 L
.4447 .48957 L
.44606 .49117 L
.44622 .49135 L
.4474 .49278 L
.44783 .49327 L
.44874 .49438 L
.44943 .49521 L
.45006 .49599 L
.45104 .49704 L
.45138 .49759 L
.45265 .49915 L
.45269 .4992 L
.45396 .5008 L
.45425 .50116 L
.45524 .50241 L
.45586 .50278 L
.45653 .50401 L
.45746 .5051 L
.458 .50562 L
.45907 .50722 L
.45907 .50722 L
.46032 .50883 L
.46067 .50926 L
.46158 .51043 L
.46228 .5111 L
.46338 .51204 L
.46388 .51333 L
.46416 .51364 L
.46534 .51525 L
.46549 .51544 L
.46657 .51686 L
.46709 .51707 L
.46782 .51846 L
.4687 .51948 L
.46926 .52007 L
.4703 .52167 L
.4703 .52167 L
.47152 .52328 L
.47191 .52378 L
.47274 .52488 L
.47351 .52563 L
.47442 .52649 L
.47512 .52796 L
.47523 .52809 L
.4764 .5297 L
.47672 .53011 L
.47761 .5313 L
.47833 .53224 L
.47883 .53291 L
.47993 .53431 L
.48011 .53451 L
.48122 .53612 L
.48154 .53653 L
.4824 .53772 L
.48314 .5387 L
.4836 .53933 L
.48475 .54083 L
.48485 .54093 L
.48593 .54254 L
.48636 .54311 L
.48707 .54414 L
.48796 .54536 L
.48823 .54575 L
.48933 .54735 L
.48957 .54769 L
.49034 .54896 L
.49117 .55022 L
.49135 .55057 L
.49117 .5511 L
.49065 .55057 L
.48957 .54954 L
.48906 .54896 L
.48796 .54778 L
.48761 .54735 L
.48636 .54609 L
.48621 .54575 L
.48485 .54414 L
.48475 .54403 L
.48353 .54254 L
.48314 .5421 L
.48221 .54093 L
.48154 .54014 L
.48089 .53933 L
.47993 .53835 L
.47958 .53772 L
.47833 .53619 L
.47825 .53612 L
.47701 .53451 L
.47672 .53417 L
.47574 .53291 L
.47512 .53265 L
.47446 .5313 L
.47351 .53023 L
.47293 .5297 L
.47191 .52809 L
.47191 .52809 L
.47067 .52649 L
.4703 .52603 L
.46942 .52488 L
.4687 .52425 L
.46816 .52328 L
.46709 .52197 L
.46682 .52167 L
.46566 .52007 L
.46549 .51985 L
.46443 .51846 L
.46388 .51776 L
.46319 .51686 L
.46228 .51583 L
.46171 .51525 L
.46071 .51364 L
.46067 .5136 L
.4595 .51204 L
.45907 .51149 L
.45827 .51043 L
.45746 .5097 L
.45704 .50883 L
.45586 .50731 L
.45578 .50722 L
.45461 .50562 L
.45425 .50516 L
.45341 .50401 L
.45265 .50303 L
.45219 .50241 L
.45104 .50095 L
.45091 .5008 L
.44979 .4992 L
.44943 .49873 L
.44862 .49759 L
.44783 .49656 L
.44742 .49599 L
.44622 .49441 L
.44621 .49438 L
.44509 .49278 L
.44462 .49215 L
.44395 .49117 L
.44301 .4899 L
.44279 .48957 L
.44171 .48796 L
.44141 .48755 L
.44072 .48636 L
.4398 .48489 L
.43975 .48475 L
F
.013 .86 1 r
.44141 .44318 m
.44301 .44453 L
.44333 .44462 L
.44462 .44616 L
.44476 .44622 L
.44613 .44783 L
.44622 .44787 L
.44745 .44943 L
.44783 .4498 L
.44875 .45104 L
.44943 .45185 L
.45018 .45265 L
.45104 .45393 L
.45129 .45425 L
.45252 .45586 L
.45265 .45601 L
.45374 .45746 L
.45425 .45781 L
.45527 .45907 L
.45586 .46014 L
.45621 .46067 L
.45731 .46228 L
.45746 .46248 L
.45841 .46388 L
.45907 .46493 L
.45939 .46549 L
.45977 .46709 L
.45907 .46771 L
.45842 .46709 L
.45746 .46676 L
.45625 .46549 L
.45586 .46517 L
.4547 .46388 L
.45425 .46339 L
.4533 .46228 L
.45265 .46147 L
.45186 .46067 L
.45104 .45946 L
.45072 .45907 L
.44943 .45748 L
.44943 .45746 L
.44817 .45586 L
.44783 .45554 L
.4467 .45425 L
.44622 .45338 L
.4457 .45265 L
.44462 .45118 L
.44455 .45104 L
.44336 .44943 L
.44301 .44895 L
.44166 .44783 L
.44141 .44662 L
.44106 .44622 L
.44023 .44462 L
F
.01 .85 1 r
.44141 .44332 m
.44301 .44458 L
.44317 .44462 L
.44462 .44619 L
.44468 .44622 L
.44608 .44783 L
.44622 .44789 L
.44741 .44943 L
.44783 .44984 L
.44871 .45104 L
.44943 .45189 L
.45015 .45265 L
.45104 .45397 L
.45126 .45425 L
.45249 .45586 L
.45265 .45605 L
.45371 .45746 L
.45425 .45784 L
.45524 .45907 L
.45586 .46019 L
.45617 .46067 L
.45727 .46228 L
.45746 .46255 L
.45835 .46388 L
.45907 .46505 L
.45932 .46549 L
.45945 .46709 L
.45907 .46734 L
.45874 .46709 L
.45746 .46669 L
.45634 .46549 L
.45586 .4651 L
.45476 .46388 L
.45425 .46333 L
.45335 .46228 L
.45265 .46141 L
.4519 .46067 L
.45104 .45942 L
.45075 .45907 L
.44945 .45746 L
.44943 .45744 L
.44821 .45586 L
.44783 .45551 L
.44673 .45425 L
.44622 .45333 L
.44573 .45265 L
.44462 .45112 L
.44458 .45104 L
.4434 .44943 L
.44301 .44888 L
.44171 .44783 L
.44141 .44653 L
.44114 .44622 L
.44033 .44462 L
F
.007 .84 1 r
.44141 .44346 m
.443 .44462 L
.44301 .44463 L
.4446 .44622 L
.44462 .44624 L
.44602 .44783 L
.44622 .44791 L
.44737 .44943 L
.44783 .44988 L
.44868 .45104 L
.44943 .45193 L
.45011 .45265 L
.45104 .45401 L
.45123 .45425 L
.45246 .45586 L
.45265 .45609 L
.45368 .45746 L
.45425 .45788 L
.4552 .45907 L
.45586 .46025 L
.45613 .46067 L
.45722 .46228 L
.45746 .46262 L
.4583 .46388 L
.45907 .46517 L
.45924 .46549 L
.45907 .46701 L
.45746 .46662 L
.45644 .46549 L
.45586 .46503 L
.45483 .46388 L
.45425 .46327 L
.4534 .46228 L
.45265 .46136 L
.45194 .46067 L
.45104 .45938 L
.45078 .45907 L
.44949 .45746 L
.44943 .45739 L
.44825 .45586 L
.44783 .45547 L
.44676 .45425 L
.44622 .45328 L
.44577 .45265 L
.44462 .45106 L
.44461 .45104 L
.44345 .44943 L
.44301 .44882 L
.44176 .44783 L
.44141 .44643 L
.44123 .44622 L
.44044 .44462 L
F
.005 .83 1 r
.44141 .4436 m
.44287 .44462 L
.44301 .44473 L
.44453 .44622 L
.44462 .44631 L
.44597 .44783 L
.44622 .44794 L
.44732 .44943 L
.44783 .44992 L
.44864 .45104 L
.44943 .45198 L
.45007 .45265 L
.45104 .45405 L
.4512 .45425 L
.45243 .45586 L
.45265 .45613 L
.45365 .45746 L
.45425 .45792 L
.45517 .45907 L
.45586 .46032 L
.45609 .46067 L
.45718 .46228 L
.45746 .46269 L
.45824 .46388 L
.45907 .46531 L
.45916 .46549 L
.45907 .46679 L
.45746 .46653 L
.45654 .46549 L
.45586 .46497 L
.45489 .46388 L
.45425 .46321 L
.45345 .46228 L
.45265 .46131 L
.45199 .46067 L
.45104 .45933 L
.45082 .45907 L
.44953 .45746 L
.44943 .45735 L
.44828 .45586 L
.44783 .45544 L
.44679 .45425 L
.44622 .45324 L
.4458 .45265 L
.44464 .45104 L
.44462 .45101 L
.44349 .44943 L
.44301 .44875 L
.44182 .44783 L
.44141 .44633 L
.44131 .44622 L
.44055 .44462 L
F
.004 .82 1 r
.44141 .44375 m
.44274 .44462 L
.44301 .44483 L
.44446 .44622 L
.44462 .44638 L
.44591 .44783 L
.44622 .44796 L
.44728 .44943 L
.44783 .44997 L
.4486 .45104 L
.44943 .45202 L
.45004 .45265 L
.45104 .45409 L
.45116 .45425 L
.45239 .45586 L
.45265 .45618 L
.45361 .45746 L
.45425 .45796 L
.45513 .45907 L
.45586 .46038 L
.45604 .46067 L
.45713 .46228 L
.45746 .46276 L
.45818 .46388 L
.45907 .46548 L
.45907 .46549 L
.45907 .46651 L
.45746 .46644 L
.45664 .46549 L
.45586 .4649 L
.45496 .46388 L
.45425 .46315 L
.4535 .46228 L
.45265 .46126 L
.45203 .46067 L
.45104 .45929 L
.45085 .45907 L
.44957 .45746 L
.44943 .4573 L
.44832 .45586 L
.44783 .4554 L
.44682 .45425 L
.44622 .45318 L
.44584 .45265 L
.44468 .45104 L
.44462 .45095 L
.44354 .44943 L
.44301 .44868 L
.44189 .44783 L
.44141 .44622 L
.44141 .44622 L
.44067 .44462 L
F
1 .93 .114 r
.44141 .38799 m
.44183 .38844 L
.44301 .38962 L
.44338 .39004 L
.44462 .39121 L
.44484 .39165 L
.44622 .39322 L
.44626 .39325 L
.44759 .39486 L
.44783 .39512 L
.44893 .39646 L
.44943 .39705 L
.45026 .39807 L
.45104 .39881 L
.45159 .39967 L
.45265 .40092 L
.45302 .40128 L
.4542 .40288 L
.45425 .40294 L
.45547 .40449 L
.45586 .40464 L
.45675 .40609 L
.45746 .40685 L
.45842 .4077 L
.45907 .40896 L
.45938 .4093 L
.46058 .41091 L
.46067 .41102 L
.46183 .41251 L
.46228 .41287 L
.46309 .41412 L
.46388 .41504 L
.46454 .41572 L
.46549 .41715 L
.46563 .41733 L
.46686 .41894 L
.46709 .41922 L
.4681 .42054 L
.4687 .42114 L
.46973 .42215 L
.4703 .42331 L
.47068 .42375 L
.47186 .42536 L
.47191 .42542 L
.47308 .42696 L
.47351 .42726 L
.47432 .42857 L
.47512 .42948 L
.47575 .43017 L
.47672 .43164 L
.47683 .43178 L
.47804 .43338 L
.47833 .43374 L
.47927 .43499 L
.47993 .43565 L
.48086 .43659 L
.48154 .43787 L
.48181 .4382 L
.48298 .4398 L
.48314 .44001 L
.48419 .44141 L
.48475 .44178 L
.48542 .44301 L
.48636 .4441 L
.48681 .44462 L
.4879 .44622 L
.48796 .4463 L
.4891 .44783 L
.48957 .44842 L
.49032 .44943 L
.49117 .45032 L
.49183 .45104 L
.49278 .45261 L
.49281 .45265 L
.49399 .45425 L
.49438 .45475 L
.4952 .45586 L
.49599 .4565 L
.49642 .45746 L
.49759 .45895 L
.49769 .45907 L
.49884 .46067 L
.4992 .46113 L
.50003 .46228 L
.5008 .46327 L
.50124 .46388 L
.50241 .46535 L
.50252 .46549 L
.50363 .46709 L
.50401 .46758 L
.5048 .4687 L
.50562 .46977 L
.50599 .4703 L
.5072 .47191 L
.50722 .47194 L
.50831 .47351 L
.50883 .4742 L
.50944 .47512 L
.51043 .47647 L
.5106 .47672 L
.51168 .47833 L
.51204 .47884 L
.51268 .47993 L
.51364 .48145 L
.51368 .48154 L
.51364 .48226 L
.51285 .48154 L
.51204 .48078 L
.51127 .47993 L
.51043 .47904 L
.50981 .47833 L
.50883 .47757 L
.5084 .47672 L
.50722 .47537 L
.50684 .47512 L
.50568 .47351 L
.50562 .47344 L
.50433 .47191 L
.50401 .47153 L
.50299 .4703 L
.50241 .46972 L
.50165 .4687 L
.5008 .46765 L
.50026 .46709 L
.4992 .46566 L
.49907 .46549 L
.49773 .46388 L
.49759 .46381 L
.49643 .46228 L
.49599 .46176 L
.49489 .46067 L
.49438 .4597 L
.49387 .45907 L
.49278 .45767 L
.49267 .45746 L
.49129 .45586 L
.49117 .45574 L
.49001 .45425 L
.48957 .45368 L
.48869 .45265 L
.48796 .4516 L
.48758 .45104 L
.48636 .44956 L
.48633 .44943 L
.48497 .44783 L
.48475 .44758 L
.48353 .44622 L
.48314 .44549 L
.48249 .44462 L
.48154 .44339 L
.48134 .44301 L
.47996 .44141 L
.47993 .44138 L
.47837 .4398 L
.47833 .43933 L
.47741 .4382 L
.47672 .43721 L
.47632 .43659 L
.47512 .43512 L
.4751 .43499 L
.47375 .43338 L
.47351 .43312 L
.47234 .43178 L
.47191 .431 L
.4713 .43017 L
.4703 .42887 L
.47015 .42857 L
.46882 .42696 L
.4687 .42687 L
.46721 .42536 L
.46709 .42476 L
.46629 .42375 L
.46549 .4226 L
.4652 .42215 L
.46392 .42054 L
.46388 .42049 L
.4627 .41894 L
.46228 .4185 L
.46128 .41733 L
.46067 .4163 L
.46026 .41572 L
.45907 .41415 L
.45905 .41412 L
.45784 .41251 L
.45746 .41227 L
.45618 .41091 L
.45586 .40997 L
.45534 .4093 L
.45425 .40774 L
.45422 .4077 L
.45304 .40609 L
.45265 .40557 L
.45184 .40449 L
.45104 .40358 L
.45048 .40288 L
.44947 .40128 L
.44943 .40123 L
.44831 .39967 L
.44783 .39902 L
.44715 .39807 L
.44622 .39704 L
.44575 .39646 L
.44486 .39486 L
.44462 .39452 L
.44376 .39325 L
.44301 .39219 L
.44266 .39165 L
.44161 .39004 L
.44141 .38974 L
.44071 .38844 L
F
1 .66 0 r
.44141 .45011 m
.44225 .45104 L
.44301 .45185 L
.44365 .45265 L
.44462 .45379 L
.44496 .45425 L
.44621 .45586 L
.44622 .45587 L
.44728 .45746 L
.44783 .45828 L
.44823 .45907 L
.44783 .45959 L
.44726 .45907 L
.44622 .45806 L
.4457 .45746 L
.44462 .45623 L
.44431 .45586 L
.44303 .45425 L
.44301 .45423 L
.44187 .45265 L
.44141 .452 L
.44079 .45104 L
F
.003 .81 1 r
.44141 .44392 m
.4426 .44462 L
.44301 .44492 L
.44438 .44622 L
.44462 .44645 L
.44586 .44783 L
.44622 .44799 L
.44724 .44943 L
.44783 .45001 L
.44856 .45104 L
.44943 .45206 L
.45 .45265 L
.45104 .45413 L
.45113 .45425 L
.45236 .45586 L
.45265 .45622 L
.45358 .45746 L
.45425 .45801 L
.45509 .45907 L
.45586 .46045 L
.456 .46067 L
.45709 .46228 L
.45746 .46284 L
.45812 .46388 L
.45896 .46549 L
.45746 .46632 L
.45676 .46549 L
.45586 .46483 L
.45503 .46388 L
.45425 .46309 L
.45355 .46228 L
.45265 .4612 L
.45208 .46067 L
.45104 .45925 L
.45089 .45907 L
.4496 .45746 L
.44943 .45725 L
.44835 .45586 L
.44783 .45536 L
.44685 .45425 L
.44622 .45313 L
.44588 .45265 L
.44473 .45104 L
.44462 .45089 L
.44359 .44943 L
.44301 .44861 L
.44197 .44783 L
.44149 .44622 L
.44141 .44608 L
.4408 .44462 L
F
.01 .85 1 r
.44141 .47928 m
.44206 .47993 L
.44301 .48088 L
.44362 .48154 L
.44462 .4822 L
.44508 .48314 L
.44622 .48439 L
.44686 .48475 L
.44783 .4863 L
.44789 .48636 L
.44924 .48796 L
.44943 .48819 L
.45059 .48957 L
.45104 .48996 L
.45193 .49117 L
.45265 .49202 L
.45343 .49278 L
.45425 .49403 L
.45454 .49438 L
.45586 .49598 L
.45586 .49599 L
.45716 .49759 L
.45746 .49792 L
.45883 .4992 L
.45907 .49998 L
.45977 .5008 L
.46067 .50203 L
.46093 .50241 L
.46228 .50401 L
.46228 .50401 L
.46355 .50562 L
.46388 .50601 L
.46495 .50722 L
.46549 .5081 L
.46604 .50883 L
.46709 .51017 L
.46721 .51043 L
.4686 .51204 L
.4687 .51215 L
.47011 .51364 L
.4703 .51422 L
.47113 .51525 L
.47191 .51632 L
.47225 .51686 L
.47351 .51838 L
.4736 .51846 L
.47485 .52007 L
.47512 .52038 L
.47621 .52167 L
.47672 .5225 L
.47729 .52328 L
.47833 .5246 L
.47844 .52488 L
.47981 .52649 L
.47993 .5266 L
.4813 .52809 L
.48154 .5287 L
.48232 .5297 L
.48314 .53083 L
.48344 .5313 L
.48475 .5329 L
.48476 .53291 L
.48599 .53451 L
.48636 .53492 L
.48736 .53612 L
.48796 .53707 L
.48843 .53772 L
.48957 .53919 L
.48962 .53933 L
.49091 .54093 L
.49117 .54116 L
.49243 .54254 L
.49278 .54332 L
.49341 .54414 L
.49438 .54548 L
.49454 .54575 L
.4958 .54735 L
.49599 .5474 L
.49702 .54896 L
.49759 .54958 L
.4984 .55057 L
.4992 .55179 L
.49946 .55217 L
.50068 .55378 L
.5008 .55394 L
.50188 .55538 L
.50241 .55583 L
.50342 .55699 L
.50401 .55813 L
.50436 .55859 L
.50551 .5602 L
.50562 .56034 L
.5067 .5618 L
.50722 .5625 L
.50789 .56341 L
.50883 .56454 L
.5092 .56501 L
.51028 .56662 L
.51043 .56683 L
.51144 .56822 L
.51204 .56903 L
.51261 .56983 L
.51364 .57111 L
.51389 .57143 L
.51491 .57304 L
.51525 .5735 L
.51602 .57464 L
.51686 .57581 L
.51715 .57625 L
.51821 .57785 L
.51846 .57822 L
.51916 .57946 L
.51846 .5802 L
.51775 .57946 L
.51686 .57856 L
.51622 .57785 L
.51525 .57727 L
.51477 .57625 L
.51364 .57505 L
.51336 .57464 L
.51204 .5731 L
.51197 .57304 L
.51065 .57143 L
.51043 .57119 L
.50932 .56983 L
.50883 .56946 L
.50799 .56822 L
.50722 .56735 L
.50641 .56662 L
.50562 .56532 L
.50535 .56501 L
.50408 .56341 L
.50401 .56333 L
.5028 .5618 L
.50241 .56142 L
.50096 .5602 L
.5008 .55933 L
.50013 .55859 L
.4992 .55727 L
.49898 .55699 L
.4977 .55538 L
.49759 .55532 L
.49644 .55378 L
.49599 .55327 L
.49493 .55217 L
.49438 .55116 L
.49389 .55057 L
.49278 .54909 L
.4927 .54896 L
.49142 .54735 L
.49117 .54713 L
.48971 .54575 L
.48957 .54502 L
.48881 .54414 L
.48796 .54291 L
.48769 .54254 L
.48643 .54093 L
.48636 .54091 L
.48519 .53933 L
.48475 .53886 L
.48371 .53772 L
.48314 .53672 L
.48267 .53612 L
.48154 .53461 L
.48148 .53451 L
.48023 .53291 L
.47993 .53267 L
.47854 .5313 L
.47833 .53051 L
.47764 .5297 L
.47672 .52837 L
.47653 .52809 L
.47529 .52649 L
.47512 .52646 L
.47407 .52488 L
.47351 .52431 L
.47259 .52328 L
.47191 .52212 L
.47156 .52167 L
.47036 .52007 L
.4703 .51999 L
.46915 .51846 L
.4687 .51812 L
.46746 .51686 L
.46709 .51588 L
.46658 .51525 L
.46549 .51369 L
.46545 .51364 L
.46425 .51204 L
.46388 .51157 L
.46303 .51043 L
.46228 .50963 L
.46158 .50883 L
.46067 .50738 L
.46055 .50722 L
.45937 .50562 L
.45907 .50523 L
.45817 .50401 L
.45746 .50342 L
.45655 .50241 L
.45586 .50104 L
.45567 .5008 L
.45453 .4992 L
.45425 .49884 L
.45334 .49759 L
.45265 .49669 L
.45214 .49599 L
.45104 .49462 L
.45084 .49438 L
.44975 .49278 L
.44943 .49237 L
.44858 .49117 L
.44783 .49018 L
.4474 .48957 L
.44622 .48801 L
.44618 .48796 L
.44509 .48636 L
.44462 .48572 L
.44397 .48475 L
.44301 .48343 L
.44283 .48314 L
.44178 .48154 L
.44141 .481 L
.44083 .47993 L
F
1 .53 0 r
.44141 .48603 m
.44171 .48636 L
.44301 .48772 L
.44322 .48796 L
.44462 .48951 L
.44465 .48957 L
.446 .49117 L
.44622 .49141 L
.44735 .49278 L
.44783 .49332 L
.44869 .49438 L
.44943 .49526 L
.45003 .49599 L
.45104 .49709 L
.45135 .49759 L
.45265 .4992 L
.45265 .4992 L
.45393 .5008 L
.45425 .5012 L
.45521 .50241 L
.45586 .50282 L
.4565 .50401 L
.45746 .50514 L
.45796 .50562 L
.45904 .50722 L
.45907 .50725 L
.4603 .50883 L
.46067 .5093 L
.46156 .51043 L
.46228 .51114 L
.46335 .51204 L
.46388 .51337 L
.46413 .51364 L
.46531 .51525 L
.46549 .51547 L
.46655 .51686 L
.46709 .51709 L
.4678 .51846 L
.4687 .51951 L
.46922 .52007 L
.47028 .52167 L
.4703 .5217 L
.47149 .52328 L
.47191 .52381 L
.47272 .52488 L
.47351 .52566 L
.47438 .52649 L
.47512 .52799 L
.4752 .52809 L
.47638 .5297 L
.47672 .53014 L
.47758 .5313 L
.47833 .53227 L
.4788 .53291 L
.47993 .53436 L
.48007 .53451 L
.48119 .53612 L
.48154 .53657 L
.48237 .53772 L
.48314 .53874 L
.48357 .53933 L
.48475 .54091 L
.48477 .54093 L
.48588 .54254 L
.48636 .54317 L
.48702 .54414 L
.48796 .54543 L
.48818 .54575 L
.48925 .54735 L
.48957 .54779 L
.49024 .54896 L
.49117 .55046 L
.49121 .55057 L
.49117 .55081 L
.49086 .55057 L
.48957 .54943 L
.48915 .54896 L
.48796 .5477 L
.48767 .54735 L
.48636 .54598 L
.48626 .54575 L
.4849 .54414 L
.48475 .54397 L
.48358 .54254 L
.48314 .54204 L
.48225 .54093 L
.48154 .5401 L
.48093 .53933 L
.47993 .5383 L
.47961 .53772 L
.47833 .53615 L
.4783 .53612 L
.47704 .53451 L
.47672 .53413 L
.47577 .53291 L
.47512 .53262 L
.47448 .5313 L
.47351 .5302 L
.47297 .5297 L
.47194 .52809 L
.47191 .52806 L
.47069 .52649 L
.4703 .526 L
.46944 .52488 L
.4687 .52422 L
.46818 .52328 L
.46709 .52194 L
.46685 .52167 L
.46569 .52007 L
.46549 .51982 L
.46446 .51846 L
.46388 .51774 L
.46321 .51686 L
.46228 .51579 L
.46174 .51525 L
.46073 .51364 L
.46067 .51357 L
.45952 .51204 L
.45907 .51146 L
.4583 .51043 L
.45746 .50966 L
.45706 .50883 L
.45586 .50727 L
.45581 .50722 L
.45464 .50562 L
.45425 .50512 L
.45343 .50401 L
.45265 .50299 L
.45222 .50241 L
.45104 .5009 L
.45095 .5008 L
.44982 .4992 L
.44943 .49869 L
.44865 .49759 L
.44783 .49652 L
.44745 .49599 L
.44625 .49438 L
.44622 .49435 L
.44514 .49278 L
.44462 .49209 L
.444 .49117 L
.44301 .48983 L
.44284 .48957 L
.44179 .48796 L
.44141 .48743 L
.44083 .48636 L
F
1 .96 .289 r
.44141 .47234 m
.44271 .47351 L
.44301 .4738 L
.44431 .47512 L
.44462 .47544 L
.44581 .47672 L
.44622 .47706 L
.44723 .47833 L
.44783 .47901 L
.44897 .47993 L
.44943 .48095 L
.45 .48154 L
.45104 .4829 L
.45125 .48314 L
.45257 .48475 L
.45265 .48484 L
.4542 .48636 L
.45425 .48684 L
.45521 .48796 L
.45586 .48888 L
.45637 .48957 L
.45746 .49091 L
.45757 .49117 L
.45902 .49278 L
.45907 .49284 L
.46034 .49438 L
.46067 .4949 L
.46147 .49599 L
.46228 .49702 L
.46253 .49759 L
.46388 .49911 L
.46413 .4992 L
.46542 .5008 L
.46549 .50095 L
.4666 .50241 L
.46709 .50308 L
.46766 .50401 L
.4687 .50526 L
.46919 .50562 L
.4703 .50707 L
.47042 .50722 L
.47168 .50883 L
.47191 .50918 L
.47279 .51043 L
.47351 .51135 L
.47377 .51204 L
.47512 .51353 L
.47544 .51364 L
.47668 .51525 L
.47672 .51534 L
.47786 .51686 L
.47833 .51748 L
.47891 .51846 L
.47993 .51967 L
.48042 .52007 L
.48154 .52155 L
.48164 .52167 L
.48288 .52328 L
.48314 .52366 L
.48399 .52488 L
.48475 .52583 L
.48497 .52649 L
.48636 .52797 L
.4866 .52809 L
.48786 .5297 L
.48796 .52988 L
.48902 .5313 L
.48957 .53202 L
.49007 .53291 L
.49117 .53418 L
.49155 .53451 L
.49278 .53612 L
.49278 .53613 L
.49403 .53772 L
.49438 .53824 L
.49512 .53933 L
.49599 .54039 L
.49612 .54093 L
.49759 .54247 L
.49771 .54254 L
.49901 .54414 L
.4992 .54448 L
.50014 .54575 L
.5008 .54662 L
.50119 .54735 L
.50241 .54874 L
.50264 .54896 L
.50398 .55057 L
.50401 .55074 L
.50514 .55217 L
.50562 .55286 L
.50622 .55378 L
.50722 .55499 L
.50729 .55538 L
.50879 .55699 L
.50883 .55703 L
.51014 .55859 L
.51043 .55911 L
.51123 .5602 L
.51204 .56125 L
.51231 .5618 L
.51364 .56334 L
.51371 .56341 L
.51516 .56501 L
.51525 .56537 L
.51623 .56662 L
.51686 .56751 L
.51731 .56822 L
.51846 .56964 L
.51848 .56983 L
.51983 .57143 L
.52007 .57163 L
.52123 .57304 L
.52167 .57378 L
.52229 .57464 L
.52328 .57594 L
.52342 .57625 L
.52472 .57785 L
.52488 .57791 L
.52629 .57946 L
.52649 .58005 L
.52726 .58106 L
.52809 .58225 L
.52835 .58267 L
.52959 .58428 L
.5297 .58441 L
.5308 .58588 L
.5313 .58631 L
.53223 .58749 L
.53291 .58859 L
.53325 .58909 L
.53443 .5907 L
.53451 .5908 L
.53562 .5923 L
.53612 .59296 L
.53723 .59391 L
.53772 .59499 L
.53809 .59551 L
.5392 .59712 L
.53933 .59729 L
.54036 .59872 L
.54093 .5995 L
.54153 .60033 L
.54254 .60157 L
.54279 .60193 L
.54383 .60354 L
.54414 .60398 L
.54493 .60514 L
.54575 .60631 L
.54604 .60675 L
.54709 .60835 L
.54735 .60876 L
.54801 .60996 L
.54735 .6109 L
.54639 .60996 L
.54575 .60935 L
.54482 .60835 L
.54414 .60766 L
.54333 .60675 L
.54254 .60598 L
.5419 .60514 L
.54093 .60404 L
.54033 .60354 L
.53933 .60213 L
.53914 .60193 L
.53779 .60033 L
.53772 .60028 L
.53646 .59872 L
.53612 .59833 L
.53475 .59712 L
.53451 .59632 L
.53378 .59551 L
.53291 .59429 L
.53261 .59391 L
.5313 .59233 L
.5313 .5923 L
.52997 .5907 L
.5297 .59036 L
.52855 .58909 L
.52809 .58829 L
.52745 .58749 L
.52649 .58621 L
.52631 .58588 L
.52489 .58428 L
.52488 .58426 L
.52341 .58267 L
.52328 .5822 L
.52234 .58106 L
.52167 .58009 L
.52123 .57946 L
.52007 .57801 L
.51987 .57785 L
.51863 .57625 L
.51846 .57604 L
.51726 .57464 L
.51686 .57394 L
.51617 .57304 L
.51525 .57182 L
.51506 .57143 L
.51365 .56983 L
.51364 .56982 L
.5122 .56822 L
.51204 .56775 L
.51112 .56662 L
.51043 .56562 L
.51002 .56501 L
.50883 .56354 L
.50868 .56341 L
.50746 .5618 L
.50722 .56153 L
.50608 .5602 L
.50562 .55942 L
.505 .55859 L
.50401 .5573 L
.50387 .55699 L
.50251 .55538 L
.50241 .55528 L
.50102 .55378 L
.5008 .55319 L
.49998 .55217 L
.4992 .55106 L
.49887 .55057 L
.49759 .54899 L
.49756 .54896 L
.49634 .54735 L
.49599 .54696 L
.49494 .54575 L
.49438 .54483 L
.49387 .54414 L
.49278 .54271 L
.4927 .54254 L
.49141 .54093 L
.49117 .54073 L
.48988 .53933 L
.48957 .5386 L
.48886 .53772 L
.48796 .53646 L
.48774 .53612 L
.48648 .53451 L
.48636 .53446 L
.48526 .53291 L
.48475 .53237 L
.48384 .5313 L
.48314 .53021 L
.48277 .5297 L
.48155 .52809 L
.48154 .52808 L
.48033 .52649 L
.47993 .52616 L
.47877 .52488 L
.47833 .52397 L
.47778 .52328 L
.47672 .52181 L
.47664 .52167 L
.47541 .52007 L
.47512 .51997 L
.47419 .51846 L
.47351 .51774 L
.47278 .51686 L
.47191 .51554 L
.4717 .51525 L
.4705 .51364 L
.4703 .5134 L
.46929 .51204 L
.4687 .51155 L
.46773 .51043 L
.46709 .50927 L
.46675 .50883 L
.46559 .50722 L
.46549 .50709 L
.46439 .50562 L
.46388 .50497 L
.46317 .50401 L
.46228 .50302 L
.46179 .50241 L
.4607 .5008 L
.46067 .50077 L
.4595 .4992 L
.45907 .49864 L
.4583 .49759 L
.45746 .49678 L
.45682 .49599 L
.45586 .49442 L
.45583 .49438 L
.45465 .49278 L
.45425 .49226 L
.45346 .49117 L
.45265 .49012 L
.45186 .48957 L
.45104 .488 L
.45101 .48796 L
.44986 .48636 L
.44943 .48581 L
.44868 .48475 L
.44783 .48363 L
.44749 .48314 L
.4463 .48154 L
.44622 .48144 L
.44518 .47993 L
.44462 .47919 L
.44404 .47833 L
.44301 .47691 L
.44289 .47672 L
.44183 .47512 L
.44141 .4745 L
.44085 .47351 L
F
1 .65 0 r
.44141 .45025 m
.44214 .45104 L
.44301 .45195 L
.44357 .45265 L
.44462 .45388 L
.44489 .45425 L
.44612 .45586 L
.44622 .45599 L
.44717 .45746 L
.44783 .45849 L
.44808 .45907 L
.44783 .45939 L
.44744 .45907 L
.44622 .45794 L
.44579 .45746 L
.44462 .45613 L
.44439 .45586 L
.44312 .45425 L
.44301 .45412 L
.44197 .45265 L
.44141 .45186 L
.44089 .45104 L
F
.002 .8 1 r
.44141 .44409 m
.44243 .44462 L
.44301 .44502 L
.4443 .44622 L
.44462 .44653 L
.4458 .44783 L
.44622 .44802 L
.44719 .44943 L
.44783 .45006 L
.44853 .45104 L
.44943 .45211 L
.44996 .45265 L
.45104 .45418 L
.4511 .45425 L
.45233 .45586 L
.45265 .45626 L
.45355 .45746 L
.45425 .45805 L
.45504 .45907 L
.45586 .46052 L
.45596 .46067 L
.45704 .46228 L
.45746 .46291 L
.45806 .46388 L
.45883 .46549 L
.45746 .46619 L
.45688 .46549 L
.45586 .46476 L
.45509 .46388 L
.45425 .46303 L
.45361 .46228 L
.45265 .46115 L
.45213 .46067 L
.45104 .4592 L
.45092 .45907 L
.44964 .45746 L
.44943 .4572 L
.44839 .45586 L
.44783 .45532 L
.44689 .45425 L
.44622 .45308 L
.44592 .45265 L
.44477 .45104 L
.44462 .45083 L
.44363 .44943 L
.44301 .44853 L
.44205 .44783 L
.44157 .44622 L
.44141 .44591 L
.44095 .44462 L
F
.395 .97 1 r
.44141 .38159 m
.44189 .38201 L
.44301 .38302 L
.44359 .38362 L
.44462 .3843 L
.44511 .38523 L
.44622 .38637 L
.44657 .38683 L
.44783 .38826 L
.44803 .38844 L
.44935 .39004 L
.44943 .39014 L
.45069 .39165 L
.45104 .39193 L
.45203 .39325 L
.45265 .39395 L
.45365 .39486 L
.45425 .39597 L
.4547 .39646 L
.45586 .39795 L
.45594 .39807 L
.45726 .39967 L
.45746 .39988 L
.45854 .40128 L
.45907 .40192 L
.45994 .40288 L
.46067 .40399 L
.46106 .40449 L
.46228 .40601 L
.46231 .40609 L
.46363 .4077 L
.46388 .40799 L
.46511 .4093 L
.46549 .41008 L
.46617 .41091 L
.46709 .41217 L
.46731 .41251 L
.46865 .41412 L
.4687 .41416 L
.47027 .41572 L
.4703 .41622 L
.47126 .41733 L
.47191 .41833 L
.47236 .41894 L
.47351 .42041 L
.47355 .42054 L
.47488 .42215 L
.47512 .42241 L
.47634 .42375 L
.47672 .42452 L
.4774 .42536 L
.47833 .42663 L
.47853 .42696 L
.47985 .42857 L
.47993 .42864 L
.48146 .43017 L
.48154 .43072 L
.48244 .43178 L
.48314 .43285 L
.48353 .43338 L
.48475 .43493 L
.48476 .43499 L
.48602 .43659 L
.48636 .43694 L
.4875 .4382 L
.48796 .43907 L
.48854 .4398 L
.48957 .44119 L
.48969 .44141 L
.49097 .44301 L
.49117 .44317 L
.49262 .44462 L
.49278 .44529 L
.49356 .44622 L
.49438 .44744 L
.49466 .44783 L
.4959 .44943 L
.49599 .44945 L
.49712 .45104 L
.49759 .45151 L
.49861 .45265 L
.4992 .45368 L
.49964 .45425 L
.5008 .45582 L
.50083 .45586 L
.50205 .45746 L
.50241 .45771 L
.50373 .45907 L
.50401 .45991 L
.50464 .46067 L
.50562 .46209 L
.50575 .46228 L
.50697 .46388 L
.50722 .46421 L
.50818 .46549 L
.50883 .46612 L
.50967 .46709 L
.51043 .46835 L
.5107 .4687 L
.51188 .4703 L
.51204 .4705 L
.51309 .47191 L
.51364 .4723 L
.51476 .47351 L
.51525 .47461 L
.51566 .47512 L
.51679 .47672 L
.51686 .47681 L
.51799 .47833 L
.51846 .47893 L
.5192 .47993 L
.52007 .48085 L
.52063 .48154 L
.52167 .48313 L
.52168 .48314 L
.52287 .48475 L
.52328 .48527 L
.52407 .48636 L
.52488 .48708 L
.52562 .48796 L
.52649 .48949 L
.52655 .48957 L
.52771 .49117 L
.52809 .49166 L
.5289 .49278 L
.5297 .49381 L
.53011 .49438 L
.5313 .49591 L
.53136 .49599 L
.5325 .49759 L
.53291 .49813 L
.53366 .4992 L
.53451 .50032 L
.53485 .5008 L
.53604 .50241 L
.53612 .50252 L
.53713 .50401 L
.53772 .50482 L
.53823 .50562 L
.53933 .50719 L
.53935 .50722 L
.53933 .50861 L
.53772 .50724 L
.53771 .50722 L
.53612 .50568 L
.536 .50562 L
.53451 .50403 L
.53449 .50401 L
.53299 .50241 L
.53291 .50232 L
.53153 .5008 L
.5313 .50061 L
.53012 .4992 L
.5297 .49869 L
.52854 .49759 L
.52809 .49674 L
.52742 .49599 L
.52649 .49477 L
.52618 .49438 L
.52488 .49284 L
.52485 .49278 L
.52348 .49117 L
.52328 .49089 L
.52217 .48957 L
.52167 .48884 L
.52102 .48796 L
.52007 .48676 L
.51988 .48636 L
.51846 .48478 L
.51837 .48475 L
.51706 .48314 L
.51686 .48279 L
.51591 .48154 L
.51525 .48067 L
.51484 .47993 L
.51364 .47855 L
.51331 .47833 L
.51205 .47672 L
.51204 .47668 L
.51083 .47512 L
.51043 .47456 L
.50974 .47351 L
.50883 .47241 L
.50829 .47191 L
.50722 .47051 L
.50706 .4703 L
.50579 .4687 L
.50562 .46842 L
.50466 .46709 L
.50401 .46627 L
.50364 .46549 L
.50241 .46411 L
.50207 .46388 L
.50082 .46228 L
.5008 .46222 L
.49962 .46067 L
.4992 .4601 L
.49854 .45907 L
.49759 .45793 L
.4971 .45746 L
.49599 .45588 L
.49588 .45586 L
.49461 .45425 L
.49438 .45389 L
.49349 .45265 L
.49278 .45174 L
.49247 .45104 L
.49117 .44962 L
.49093 .44943 L
.48964 .44783 L
.48957 .44765 L
.48848 .44622 L
.48796 .44553 L
.48741 .44462 L
.48636 .44339 L
.48599 .44301 L
.48477 .44141 L
.48475 .44139 L
.48348 .4398 L
.48314 .43929 L
.48238 .4382 L
.48154 .43715 L
.48133 .43659 L
.47993 .43507 L
.47984 .43499 L
.47848 .43338 L
.47833 .43303 L
.47738 .43178 L
.47672 .4309 L
.4763 .43017 L
.47512 .42878 L
.47492 .42857 L
.4737 .42696 L
.47351 .42676 L
.47238 .42536 L
.47191 .42464 L
.4713 .42375 L
.4703 .42249 L
.47019 .42215 L
.4688 .42054 L
.4687 .42047 L
.46736 .41894 L
.46709 .41836 L
.46632 .41733 L
.46549 .4162 L
.46522 .41572 L
.46392 .41412 L
.46388 .41408 L
.4627 .41251 L
.46228 .41209 L
.46135 .41091 L
.46067 .40988 L
.46029 .4093 L
.45907 .40772 L
.45906 .4077 L
.45786 .40609 L
.45746 .40583 L
.45636 .40449 L
.45586 .40354 L
.45539 .40288 L
.45425 .4013 L
.45424 .40128 L
.45305 .39967 L
.45265 .39913 L
.45127 .39807 L
.45104 .39713 L
.45055 .39646 L
.44949 .39486 L
.44943 .39478 L
.44834 .39325 L
.44783 .39255 L
.44719 .39165 L
.44622 .39051 L
.44589 .39004 L
.44492 .38844 L
.44462 .38802 L
.44383 .38683 L
.44301 .38564 L
.44275 .38523 L
.44177 .38362 L
.44141 .38303 L
.44096 .38201 L
F
1 .52 0 r
.44141 .48616 m
.44159 .48636 L
.44301 .48781 L
.44314 .48796 L
.44458 .48957 L
.44462 .48961 L
.44595 .49117 L
.44622 .49148 L
.4473 .49278 L
.44783 .49338 L
.44865 .49438 L
.44943 .49531 L
.44999 .49599 L
.45104 .49715 L
.45131 .49759 L
.45261 .4992 L
.45265 .49924 L
.45389 .5008 L
.45425 .50123 L
.45518 .50241 L
.45586 .50285 L
.45647 .50401 L
.45746 .50518 L
.45792 .50562 L
.45902 .50722 L
.45907 .50729 L
.46027 .50883 L
.46067 .50933 L
.46153 .51043 L
.46228 .51117 L
.46331 .51204 L
.46388 .5134 L
.4641 .51364 L
.46529 .51525 L
.46549 .5155 L
.46653 .51686 L
.46709 .51711 L
.46777 .51846 L
.4687 .51955 L
.46919 .52007 L
.47025 .52167 L
.4703 .52174 L
.47147 .52328 L
.47191 .52384 L
.47269 .52488 L
.47351 .5257 L
.47434 .52649 L
.47512 .52803 L
.47517 .52809 L
.47635 .5297 L
.47672 .53018 L
.47756 .5313 L
.47833 .53231 L
.47877 .53291 L
.47993 .53441 L
.48002 .53451 L
.48116 .53612 L
.48154 .53661 L
.48234 .53772 L
.48314 .53879 L
.48353 .53933 L
.48472 .54093 L
.48475 .54097 L
.48584 .54254 L
.48636 .54323 L
.48698 .54414 L
.48796 .5455 L
.48813 .54575 L
.48917 .54735 L
.48957 .54792 L
.49013 .54896 L
.48957 .54931 L
.48925 .54896 L
.48796 .54762 L
.48774 .54735 L
.48636 .54585 L
.48631 .54575 L
.48496 .54414 L
.48475 .54391 L
.48362 .54254 L
.48314 .54199 L
.48229 .54093 L
.48154 .54005 L
.48096 .53933 L
.47993 .53825 L
.47964 .53772 L
.47834 .53612 L
.47833 .5361 L
.47707 .53451 L
.47672 .5341 L
.47579 .53291 L
.47512 .53259 L
.47451 .5313 L
.47351 .53016 L
.47301 .5297 L
.47196 .52809 L
.47191 .52802 L
.47072 .52649 L
.4703 .52597 L
.46947 .52488 L
.4687 .52419 L
.4682 .52328 L
.46709 .5219 L
.46688 .52167 L
.46571 .52007 L
.46549 .51979 L
.46448 .51846 L
.46388 .51771 L
.46324 .51686 L
.46228 .51576 L
.46177 .51525 L
.46075 .51364 L
.46067 .51354 L
.45954 .51204 L
.45907 .51143 L
.45832 .51043 L
.45746 .50962 L
.45708 .50883 L
.45586 .50723 L
.45585 .50722 L
.45466 .50562 L
.45425 .50509 L
.45346 .50401 L
.45265 .50296 L
.45224 .50241 L
.45104 .50085 L
.451 .5008 L
.44986 .4992 L
.44943 .49865 L
.44868 .49759 L
.44783 .49648 L
.44748 .49599 L
.44629 .49438 L
.44622 .49429 L
.44518 .49278 L
.44462 .49203 L
.44405 .49117 L
.44301 .48975 L
.44289 .48957 L
.44187 .48796 L
.44141 .48728 L
.44097 .48636 L
F
1 .64 0 r
.44141 .45041 m
.44201 .45104 L
.44301 .45206 L
.44348 .45265 L
.44462 .45398 L
.44482 .45425 L
.44603 .45586 L
.44622 .45612 L
.44705 .45746 L
.44783 .4589 L
.44784 .45907 L
.44783 .45908 L
.44779 .45907 L
.44622 .45782 L
.4459 .45746 L
.44462 .45603 L
.44448 .45586 L
.44322 .45425 L
.44301 .454 L
.44207 .45265 L
.44141 .4517 L
.44102 .45104 L
F
.001 .79 1 r
.44141 .4443 m
.44222 .44462 L
.44301 .44512 L
.44422 .44622 L
.44462 .4466 L
.44575 .44783 L
.44622 .44805 L
.44715 .44943 L
.44783 .4501 L
.44849 .45104 L
.44943 .45215 L
.44992 .45265 L
.45104 .45422 L
.45107 .45425 L
.45229 .45586 L
.45265 .4563 L
.45351 .45746 L
.45425 .4581 L
.455 .45907 L
.45586 .46059 L
.45591 .46067 L
.45699 .46228 L
.45746 .463 L
.458 .46388 L
.45869 .46549 L
.45746 .46604 L
.45701 .46549 L
.45586 .46469 L
.45517 .46388 L
.45425 .46297 L
.45366 .46228 L
.45265 .4611 L
.45218 .46067 L
.45104 .45916 L
.45096 .45907 L
.44968 .45746 L
.44943 .45716 L
.44843 .45586 L
.44783 .45528 L
.44693 .45425 L
.44622 .45302 L
.44596 .45265 L
.44481 .45104 L
.44462 .45077 L
.44368 .44943 L
.44301 .44845 L
.44214 .44783 L
.44165 .44622 L
.44141 .44571 L
.44113 .44462 L
F
.007 .84 1 r
.44141 .47965 m
.44173 .47993 L
.44301 .48111 L
.44342 .48154 L
.44462 .48248 L
.44493 .48314 L
.44622 .48455 L
.44658 .48475 L
.44777 .48636 L
.44783 .48643 L
.44914 .48796 L
.44943 .4883 L
.4505 .48957 L
.45104 .49004 L
.45185 .49117 L
.45265 .49211 L
.45336 .49278 L
.45425 .49411 L
.45448 .49438 L
.4558 .49599 L
.45586 .49599 L
.4571 .49759 L
.45746 .49798 L
.4588 .4992 L
.45907 .50004 L
.45972 .5008 L
.46067 .50209 L
.46089 .50241 L
.46224 .50401 L
.46228 .50405 L
.46351 .50562 L
.46388 .50606 L
.46492 .50722 L
.46549 .50815 L
.466 .50883 L
.46709 .51021 L
.46719 .51043 L
.46856 .51204 L
.4687 .51218 L
.47009 .51364 L
.4703 .51426 L
.4711 .51525 L
.47191 .51636 L
.47222 .51686 L
.47351 .51841 L
.47357 .51846 L
.47482 .52007 L
.47512 .52042 L
.47619 .52167 L
.47672 .52253 L
.47726 .52328 L
.47833 .52464 L
.47843 .52488 L
.47978 .52649 L
.47993 .52663 L
.48129 .52809 L
.48154 .52873 L
.4823 .5297 L
.48314 .53086 L
.48342 .5313 L
.48473 .53291 L
.48475 .53292 L
.48596 .53451 L
.48636 .53495 L
.48734 .53612 L
.48796 .5371 L
.4884 .53772 L
.48957 .53922 L
.48961 .53933 L
.49088 .54093 L
.49117 .54119 L
.49241 .54254 L
.49278 .54335 L
.49339 .54414 L
.49438 .54551 L
.49452 .54575 L
.49577 .54735 L
.49599 .54741 L
.49699 .54896 L
.49759 .54962 L
.49837 .55057 L
.4992 .55183 L
.49943 .55217 L
.50064 .55378 L
.5008 .55399 L
.50184 .55538 L
.50241 .55587 L
.50338 .55699 L
.50401 .55819 L
.50432 .55859 L
.50547 .5602 L
.50562 .5604 L
.50665 .5618 L
.50722 .56256 L
.50785 .56341 L
.50883 .56462 L
.50913 .56501 L
.51022 .56662 L
.51043 .56691 L
.51137 .56822 L
.51204 .56912 L
.51254 .56983 L
.51364 .57127 L
.51377 .57143 L
.51482 .57304 L
.51525 .57363 L
.51592 .57464 L
.51686 .57597 L
.51703 .57625 L
.51803 .57785 L
.51846 .57853 L
.5189 .57946 L
.51846 .57988 L
.51803 .57946 L
.51686 .57836 L
.5164 .57785 L
.51525 .57702 L
.5149 .57625 L
.51364 .57489 L
.51348 .57464 L
.51209 .57304 L
.51204 .57298 L
.51074 .57143 L
.51043 .57109 L
.50939 .56983 L
.50883 .56938 L
.50806 .56822 L
.50722 .56727 L
.50649 .56662 L
.50562 .56524 L
.50541 .56501 L
.50414 .56341 L
.50401 .56326 L
.50285 .5618 L
.50241 .56137 L
.50099 .5602 L
.5008 .55928 L
.50017 .55859 L
.4992 .55722 L
.49902 .55699 L
.49774 .55538 L
.49759 .55529 L
.49648 .55378 L
.49599 .55323 L
.49496 .55217 L
.49438 .55112 L
.49392 .55057 L
.49278 .54905 L
.49272 .54896 L
.49145 .54735 L
.49117 .54711 L
.48972 .54575 L
.48957 .54499 L
.48883 .54414 L
.48796 .54288 L
.48772 .54254 L
.48645 .54093 L
.48636 .5409 L
.48522 .53933 L
.48475 .53883 L
.48373 .53772 L
.48314 .53669 L
.48269 .53612 L
.48154 .53458 L
.4815 .53451 L
.48026 .53291 L
.47993 .53265 L
.47856 .5313 L
.47833 .53049 L
.47766 .5297 L
.47672 .52834 L
.47655 .52809 L
.47531 .52649 L
.47512 .52645 L
.47409 .52488 L
.47351 .52428 L
.47261 .52328 L
.47191 .52209 L
.47158 .52167 L
.47039 .52007 L
.4703 .51996 L
.46917 .51846 L
.4687 .5181 L
.46748 .51686 L
.46709 .51584 L
.4666 .51525 L
.46549 .51366 L
.46548 .51364 L
.46427 .51204 L
.46388 .51154 L
.46306 .51043 L
.46228 .5096 L
.46162 .50883 L
.46067 .50734 L
.46058 .50722 L
.4594 .50562 L
.45907 .50519 L
.4582 .50401 L
.45746 .50337 L
.45659 .50241 L
.45586 .50098 L
.45571 .5008 L
.45457 .4992 L
.45425 .49879 L
.45338 .49759 L
.45265 .49663 L
.45218 .49599 L
.45104 .49454 L
.45091 .49438 L
.4498 .49278 L
.44943 .4923 L
.44864 .49117 L
.44783 .4901 L
.44746 .48957 L
.44627 .48796 L
.44622 .48789 L
.44518 .48636 L
.44462 .4856 L
.44407 .48475 L
.44301 .48327 L
.44293 .48314 L
.44196 .48154 L
.44141 .48065 L
.44113 .47993 L
F
1 .63 0 r
.44141 .45061 m
.44185 .45104 L
.44301 .45218 L
.44339 .45265 L
.44462 .45408 L
.44474 .45425 L
.44591 .45586 L
.44622 .45627 L
.4469 .45746 L
.44622 .45767 L
.44603 .45746 L
.44462 .45591 L
.44457 .45586 L
.44333 .45425 L
.44301 .45386 L
.44218 .45265 L
.44141 .4515 L
.44116 .45104 L
F
1 .51 0 r
.44141 .48634 m
.44143 .48636 L
.44301 .48791 L
.44306 .48796 L
.4445 .48957 L
.44462 .48969 L
.44588 .49117 L
.44622 .49154 L
.44725 .49278 L
.44783 .49343 L
.44861 .49438 L
.44943 .49536 L
.44995 .49599 L
.45104 .4972 L
.45127 .49759 L
.45257 .4992 L
.45265 .49928 L
.45386 .5008 L
.45425 .50127 L
.45515 .50241 L
.45586 .50289 L
.45644 .50401 L
.45746 .50522 L
.45788 .50562 L
.45899 .50722 L
.45907 .50732 L
.46024 .50883 L
.46067 .50936 L
.4615 .51043 L
.46228 .51121 L
.46328 .51204 L
.46388 .51343 L
.46407 .51364 L
.46526 .51525 L
.46549 .51553 L
.4665 .51686 L
.46709 .51714 L
.46775 .51846 L
.4687 .51958 L
.46916 .52007 L
.47023 .52167 L
.4703 .52177 L
.47144 .52328 L
.47191 .52387 L
.47267 .52488 L
.47351 .52574 L
.4743 .52649 L
.47512 .52807 L
.47513 .52809 L
.47632 .5297 L
.47672 .53021 L
.47753 .5313 L
.47833 .53234 L
.47875 .53291 L
.47993 .53446 L
.47998 .53451 L
.48113 .53612 L
.48154 .53666 L
.48231 .53772 L
.48314 .53883 L
.4835 .53933 L
.48468 .54093 L
.48475 .54103 L
.48579 .54254 L
.48636 .5433 L
.48693 .54414 L
.48796 .54558 L
.48807 .54575 L
.48908 .54735 L
.48957 .54807 L
.49 .54896 L
.48957 .54918 L
.48937 .54896 L
.48796 .54753 L
.48781 .54735 L
.48637 .54575 L
.48636 .54573 L
.48502 .54414 L
.48475 .54385 L
.48367 .54254 L
.48314 .54194 L
.48233 .54093 L
.48154 .54 L
.481 .53933 L
.47993 .53819 L
.47968 .53772 L
.47837 .53612 L
.47833 .53606 L
.4771 .53451 L
.47672 .53406 L
.47582 .53291 L
.47512 .53255 L
.47454 .5313 L
.47351 .53012 L
.47305 .5297 L
.47199 .52809 L
.47191 .52799 L
.47075 .52649 L
.4703 .52594 L
.46949 .52488 L
.4687 .52415 L
.46823 .52328 L
.46709 .52187 L
.46691 .52167 L
.46573 .52007 L
.46549 .51976 L
.4645 .51846 L
.46388 .51768 L
.46326 .51686 L
.46228 .51572 L
.46181 .51525 L
.46078 .51364 L
.46067 .51351 L
.45957 .51204 L
.45907 .5114 L
.45834 .51043 L
.45746 .50958 L
.45711 .50883 L
.45588 .50722 L
.45586 .5072 L
.45469 .50562 L
.45425 .50506 L
.45349 .50401 L
.45265 .50293 L
.45227 .50241 L
.45104 .5008 L
.45104 .5008 L
.44989 .4992 L
.44943 .49861 L
.44871 .49759 L
.44783 .49643 L
.44751 .49599 L
.44633 .49438 L
.44622 .49424 L
.44523 .49278 L
.44462 .49196 L
.4441 .49117 L
.44301 .48968 L
.44294 .48957 L
.44198 .48796 L
.44141 .48708 L
.44122 .48636 L
F
.001 .78 1 r
.44141 .44455 m
.44191 .44462 L
.44301 .44522 L
.44413 .44622 L
.44462 .44667 L
.44569 .44783 L
.44622 .44808 L
.4471 .44943 L
.44783 .45015 L
.44845 .45104 L
.44943 .4522 L
.44987 .45265 L
.45103 .45425 L
.45104 .45426 L
.45226 .45586 L
.45265 .45635 L
.45348 .45746 L
.45425 .45816 L
.45495 .45907 L
.45586 .46066 L
.45586 .46067 L
.45694 .46228 L
.45746 .46308 L
.45794 .46388 L
.45853 .46549 L
.45746 .46585 L
.45715 .46549 L
.45586 .46461 L
.45524 .46388 L
.45425 .46291 L
.45371 .46228 L
.45265 .46105 L
.45223 .46067 L
.45104 .45912 L
.451 .45907 L
.44972 .45746 L
.44943 .45711 L
.44846 .45586 L
.44783 .45523 L
.44697 .45425 L
.44622 .45297 L
.446 .45265 L
.44485 .45104 L
.44462 .45071 L
.44373 .44943 L
.44301 .44838 L
.44224 .44783 L
.44174 .44622 L
.44141 .44541 L
.44135 .44462 L
F
1 .62 0 r
.44141 .45095 m
.44156 .45104 L
.44301 .45231 L
.44328 .45265 L
.44462 .4542 L
.44466 .45425 L
.44462 .45577 L
.44346 .45425 L
.44301 .4537 L
.44232 .45265 L
.44141 .45115 L
.44137 .45104 L
F
1 .98 .538 r
.44301 .43987 m
.44462 .43997 L
.44622 .44072 L
.44674 .44141 L
.44783 .4425 L
.44791 .44301 L
.44943 .44453 L
.4495 .44462 L
.45084 .44622 L
.45104 .44671 L
.45197 .44783 L
.45265 .44895 L
.45303 .44943 L
.45425 .45073 L
.45449 .45104 L
.45582 .45265 L
.45586 .45283 L
.45699 .45425 L
.45746 .45495 L
.45808 .45586 L
.45907 .45708 L
.45912 .45746 L
.46065 .45907 L
.46067 .45908 L
.46199 .46067 L
.46228 .46106 L
.46309 .46228 L
.46388 .46319 L
.46416 .46388 L
.46549 .46538 L
.46556 .46549 L
.46699 .46709 L
.46709 .46761 L
.46795 .4687 L
.46709 .46959 L
.46549 .46967 L
.46388 .4695 L
.46298 .4687 L
.46228 .46792 L
.46178 .46709 L
.46067 .46586 L
.46039 .46549 L
.45916 .46388 L
.45907 .46375 L
.45781 .46228 L
.45746 .46161 L
.45671 .46067 L
.45586 .45948 L
.45563 .45907 L
.45425 .45748 L
.45421 .45746 L
.45279 .45586 L
.45265 .45548 L
.4517 .45425 L
.45104 .45335 L
.45061 .45265 L
.44943 .45123 L
.44929 .45104 L
.44807 .44943 L
.44783 .44912 L
.4467 .44783 L
.44622 .44736 L
.44563 .44622 L
.44462 .44505 L
.4445 .44462 L
.44322 .44301 L
.44301 .44272 L
.44176 .44141 L
F
.001 .77 1 r
.44301 .44533 m
.44404 .44622 L
.44462 .44675 L
.44563 .44783 L
.44622 .44812 L
.44705 .44943 L
.44783 .4502 L
.44841 .45104 L
.44943 .45225 L
.44983 .45265 L
.451 .45425 L
.45104 .45431 L
.45223 .45586 L
.45265 .45639 L
.45345 .45746 L
.45425 .45822 L
.45491 .45907 L
.45582 .46067 L
.45586 .46072 L
.45689 .46228 L
.45746 .46318 L
.45787 .46388 L
.45831 .46549 L
.45746 .46564 L
.45732 .46549 L
.45586 .46452 L
.45531 .46388 L
.45425 .46284 L
.45377 .46228 L
.45265 .461 L
.45228 .46067 L
.45104 .45907 L
.45103 .45907 L
.44976 .45746 L
.44943 .45706 L
.4485 .45586 L
.44783 .45518 L
.44701 .45425 L
.44622 .45291 L
.44604 .45265 L
.4449 .45104 L
.44462 .45065 L
.44378 .44943 L
.44301 .44829 L
.44235 .44783 L
.44184 .44622 L
F
.001 .76 1 r
.44301 .44544 m
.44394 .44622 L
.44462 .44682 L
.44557 .44783 L
.44622 .44817 L
.44701 .44943 L
.44783 .45025 L
.44837 .45104 L
.44943 .4523 L
.44978 .45265 L
.45096 .45425 L
.45104 .45435 L
.45219 .45586 L
.45265 .45644 L
.45341 .45746 L
.45425 .45828 L
.45486 .45907 L
.45577 .46067 L
.45586 .46079 L
.45684 .46228 L
.45746 .46328 L
.4578 .46388 L
.45746 .46544 L
.45586 .46444 L
.45539 .46388 L
.45425 .46278 L
.45382 .46228 L
.45265 .46094 L
.45234 .46067 L
.45108 .45907 L
.45104 .45902 L
.44979 .45746 L
.44943 .45701 L
.44854 .45586 L
.44783 .45514 L
.44705 .45425 L
.44622 .45285 L
.44608 .45265 L
.44494 .45104 L
.44462 .45059 L
.44382 .44943 L
.44301 .44821 L
.44247 .44783 L
.44194 .44622 L
F
1 .97 .395 r
.44301 .44018 m
.44462 .44026 L
.44622 .4411 L
.4465 .44141 L
.44783 .44272 L
.44787 .44301 L
.4494 .44462 L
.44943 .44467 L
.45079 .44622 L
.45104 .44681 L
.45192 .44783 L
.45265 .44901 L
.453 .44943 L
.45425 .45078 L
.45445 .45104 L
.45581 .45265 L
.45586 .45287 L
.45696 .45425 L
.45746 .455 L
.45805 .45586 L
.45907 .45712 L
.45912 .45746 L
.46062 .45907 L
.46067 .4591 L
.46197 .46067 L
.46228 .4611 L
.46305 .46228 L
.46388 .46325 L
.46413 .46388 L
.46549 .46547 L
.4655 .46549 L
.46695 .46709 L
.46709 .46779 L
.46774 .4687 L
.46709 .4694 L
.46549 .46952 L
.46388 .46921 L
.46319 .4687 L
.46228 .46776 L
.46186 .46709 L
.46067 .46577 L
.46046 .46549 L
.4592 .46388 L
.45907 .46369 L
.45784 .46228 L
.45746 .46156 L
.45674 .46067 L
.45586 .45944 L
.45565 .45907 L
.45425 .45747 L
.45424 .45746 L
.4528 .45586 L
.45265 .45544 L
.45173 .45425 L
.45104 .45331 L
.45064 .45265 L
.44943 .45118 L
.44932 .45104 L
.44811 .44943 L
.44783 .44907 L
.44673 .44783 L
.44622 .44729 L
.44568 .44622 L
.44462 .44491 L
.44454 .44462 L
.44334 .44301 L
.44301 .44251 L
.44197 .44141 L
F
0 .75 1 r
.44301 .44555 m
.44384 .44622 L
.44462 .4469 L
.4455 .44783 L
.44622 .44822 L
.44696 .44943 L
.44783 .4503 L
.44833 .45104 L
.44943 .45234 L
.44974 .45265 L
.45092 .45425 L
.45104 .45439 L
.45216 .45586 L
.45265 .45648 L
.45338 .45746 L
.45425 .45834 L
.4548 .45907 L
.45573 .46067 L
.45586 .46085 L
.45678 .46228 L
.45746 .46338 L
.45773 .46388 L
.45746 .4653 L
.45586 .46434 L
.45547 .46388 L
.45425 .46271 L
.45388 .46228 L
.45265 .46089 L
.45239 .46067 L
.45112 .45907 L
.45104 .45897 L
.44983 .45746 L
.44943 .45697 L
.44857 .45586 L
.44783 .45509 L
.44709 .45425 L
.44622 .45279 L
.44612 .45265 L
.44499 .45104 L
.44462 .45052 L
.44387 .44943 L
.44301 .44812 L
.4426 .44783 L
.44205 .44622 L
F
1 .98 .538 r
.44301 .3766 m
.44365 .3772 L
.44462 .37811 L
.44528 .3788 L
.44622 .3797 L
.4468 .38041 L
.44783 .38155 L
.44844 .38201 L
.44943 .3834 L
.44966 .38362 L
.45104 .38523 L
.45104 .38523 L
.4524 .38683 L
.45265 .38712 L
.45413 .38844 L
.45425 .38909 L
.45511 .39004 L
.45586 .39112 L
.45627 .39165 L
.45746 .39313 L
.45748 .39325 L
.45897 .39486 L
.45907 .39498 L
.46035 .39646 L
.46067 .39705 L
.46148 .39807 L
.46228 .39916 L
.46258 .39967 L
.46388 .40124 L
.46407 .40128 L
.46543 .40288 L
.46549 .4031 L
.4666 .40449 L
.46709 .40523 L
.4677 .40609 L
.4687 .40739 L
.46873 .4077 L
.4703 .40926 L
.47034 .4093 L
.47166 .41091 L
.47191 .41136 L
.47278 .41251 L
.47351 .41352 L
.47384 .41412 L
.47512 .41565 L
.47533 .41572 L
.47666 .41733 L
.47672 .41755 L
.47782 .41894 L
.47833 .4197 L
.4789 .42054 L
.47993 .42185 L
.48029 .42215 L
.48151 .42375 L
.48154 .42379 L
.48284 .42536 L
.48314 .4259 L
.48394 .42696 L
.48475 .42805 L
.48501 .42857 L
.48636 .43012 L
.48646 .43017 L
.48785 .43178 L
.48796 .43213 L
.48896 .43338 L
.48957 .43426 L
.49005 .43499 L
.49117 .43638 L
.4914 .43659 L
.49263 .4382 L
.49278 .43837 L
.49398 .4398 L
.49438 .44049 L
.49507 .44141 L
.49599 .44262 L
.49617 .44301 L
.49756 .44462 L
.49759 .44465 L
.49901 .44622 L
.4992 .44673 L
.50008 .44783 L
.5008 .44886 L
.50118 .44943 L
.50241 .45095 L
.5025 .45104 L
.50372 .45265 L
.50401 .45297 L
.50511 .45425 L
.50562 .4551 L
.50618 .45586 L
.50722 .45722 L
.50733 .45746 L
.50865 .45907 L
.50883 .45922 L
.51016 .46067 L
.51043 .46133 L
.51119 .46228 L
.51204 .46347 L
.5123 .46388 L
.51358 .46549 L
.51364 .46551 L
.5148 .46709 L
.51525 .46756 L
.51621 .4687 L
.51686 .46972 L
.51728 .4703 L
.51846 .47184 L
.51849 .47191 L
.51973 .47351 L
.52007 .47378 L
.52128 .47512 L
.52167 .47595 L
.52228 .47672 L
.52328 .47811 L
.52341 .47833 L
.52465 .47993 L
.52488 .48 L
.52587 .48154 L
.52649 .48217 L
.5273 .48314 L
.52809 .48436 L
.52837 .48475 L
.52958 .48636 L
.5297 .4865 L
.53079 .48796 L
.5313 .48836 L
.53236 .48957 L
.53291 .4906 L
.53335 .49117 L
.53451 .49278 L
.53451 .49278 L
.53571 .49438 L
.53612 .49489 L
.53694 .49599 L
.53772 .49682 L
.53835 .49759 L
.53933 .49905 L
.53943 .4992 L
.54063 .5008 L
.54093 .50119 L
.54185 .50241 L
.54254 .50299 L
.54339 .50401 L
.54414 .50531 L
.54437 .50562 L
.54554 .50722 L
.54575 .50749 L
.54675 .50883 L
.54735 .5096 L
.54797 .51043 L
.54896 .51155 L
.54934 .51204 L
.55044 .51364 L
.55057 .5138 L
.55164 .51525 L
.55217 .51593 L
.55285 .51686 L
.55378 .51804 L
.55433 .51846 L
.55531 .52007 L
.55538 .52015 L
.55649 .52167 L
.55699 .5223 L
.55769 .52328 L
.55859 .52445 L
.55891 .52488 L
.56012 .52649 L
.5602 .52658 L
.56127 .52809 L
.5618 .52879 L
.56244 .5297 L
.56341 .53099 L
.56363 .5313 L
.56479 .53291 L
.56501 .53321 L
.56591 .53451 L
.56662 .53537 L
.56706 .53612 L
.56822 .53771 L
.56823 .53772 L
.56939 .53933 L
.56983 .53993 L
.57066 .54093 L
.57143 .54211 L
.57177 .54254 L
.57296 .54414 L
.57304 .54425 L
.57425 .54575 L
.57464 .54638 L
.57539 .54735 L
.57625 .54853 L
.57655 .54896 L
.57776 .55057 L
.57785 .55065 L
.57902 .55217 L
.57946 .55279 L
.58008 .55378 L
.58106 .55522 L
.58114 .55538 L
.58208 .55699 L
.58224 .55859 L
.58106 .55872 L
.58075 .55859 L
.57946 .55734 L
.57869 .55699 L
.57785 .55616 L
.57726 .55538 L
.57625 .55425 L
.57562 .55378 L
.57464 .55221 L
.57461 .55217 L
.57339 .55057 L
.57304 .55013 L
.57217 .54896 L
.57143 .5484 L
.57093 .54735 L
.56983 .54601 L
.56961 .54575 L
.5685 .54414 L
.56822 .54379 L
.56733 .54254 L
.56662 .54159 L
.56615 .54093 L
.56501 .5394 L
.56497 .53933 L
.56391 .53772 L
.56341 .53698 L
.56263 .53612 L
.56189 .53451 L
.5618 .53436 L
.56073 .53291 L
.5602 .53173 L
.55995 .5313 L
.55882 .5297 L
.55859 .52937 L
.55758 .52809 L
.55699 .52712 L
.55633 .52649 L
.55538 .52529 L
.55504 .52488 L
.55378 .52331 L
.55374 .52328 L
.55233 .52167 L
.55217 .52128 L
.55151 .52007 L
.55057 .51949 L
.54968 .51846 L
.54896 .51756 L
.54835 .51686 L
.54735 .51561 L
.54705 .51525 L
.54576 .51364 L
.54575 .51362 L
.5446 .51204 L
.54414 .51145 L
.54367 .51043 L
.54254 .50966 L
.54186 .50883 L
.54093 .50763 L
.5406 .50722 L
.53936 .50562 L
.53933 .50556 L
.53822 .50401 L
.53772 .50336 L
.53726 .50241 L
.53612 .50149 L
.53557 .5008 L
.53451 .49941 L
.53434 .4992 L
.53314 .49759 L
.53291 .49728 L
.53207 .49599 L
.5313 .49504 L
.53059 .49438 L
.5297 .4932 L
.52936 .49278 L
.52814 .49117 L
.52809 .49109 L
.52701 .48957 L
.52649 .4889 L
.52606 .48796 L
.52488 .48663 L
.5244 .48636 L
.52328 .48486 L
.52319 .48475 L
.522 .48314 L
.52167 .48271 L
.52095 .48154 L
.52007 .48048 L
.51946 .47993 L
.51846 .47861 L
.51824 .47833 L
.51702 .47672 L
.51686 .47649 L
.5159 .47512 L
.51525 .47431 L
.51496 .47351 L
.51364 .4721 L
.5133 .47191 L
.51207 .4703 L
.51204 .47024 L
.51089 .4687 L
.51043 .4681 L
.50985 .46709 L
.50883 .46591 L
.50836 .46549 L
.50722 .46398 L
.50715 .46388 L
.5059 .46228 L
.50562 .46187 L
.50481 .46067 L
.50401 .4597 L
.50384 .45907 L
.50241 .45758 L
.50221 .45746 L
.50094 .45586 L
.5008 .45562 L
.49979 .45425 L
.4992 .45348 L
.49875 .45265 L
.49759 .45134 L
.49728 .45104 L
.496 .44943 L
.49599 .44935 L
.4948 .44783 L
.49438 .44724 L
.49371 .44622 L
.49278 .4451 L
.49269 .44462 L
.49117 .44304 L
.49113 .44301 L
.4898 .44141 L
.48957 .44099 L
.4887 .4398 L
.48796 .43886 L
.48763 .4382 L
.48636 .43675 L
.4862 .43659 L
.48481 .43499 L
.48475 .43473 L
.48369 .43338 L
.48314 .43261 L
.48261 .43178 L
.48154 .43048 L
.48151 .43017 L
.48006 .42857 L
.47993 .42846 L
.47868 .42696 L
.47833 .42636 L
.47761 .42536 L
.47672 .42421 L
.47651 .42375 L
.47514 .42215 L
.47512 .42214 L
.47365 .42054 L
.47351 .42012 L
.47261 .41894 L
.47191 .41795 L
.47152 .41733 L
.4703 .41581 L
.4703 .41572 L
.46902 .41412 L
.4687 .41388 L
.4676 .41251 L
.46709 .41169 L
.46655 .41091 L
.46549 .40951 L
.46539 .4093 L
.46412 .4077 L
.46388 .40739 L
.46254 .40609 L
.46228 .40544 L
.46158 .40449 L
.46067 .4032 L
.46048 .40288 L
.45925 .40128 L
.45907 .40104 L
.45805 .39967 L
.45746 .3992 L
.45661 .39807 L
.45586 .39686 L
.45559 .39646 L
.45441 .39486 L
.45425 .39464 L
.45323 .39325 L
.45265 .39248 L
.45165 .39165 L
.45104 .39043 L
.45077 .39004 L
.44966 .38844 L
.44943 .38813 L
.44851 .38683 L
.44783 .38591 L
.44735 .38523 L
.44622 .38372 L
.44616 .38362 L
.4451 .38201 L
.44462 .38133 L
.44403 .38041 L
.44301 .3789 L
.44295 .3788 L
.44209 .3772 L
F
0 .74 1 r
.44301 .44567 m
.44372 .44622 L
.44462 .44698 L
.44544 .44783 L
.44622 .44827 L
.44691 .44943 L
.44783 .45035 L
.44829 .45104 L
.44943 .45239 L
.44969 .45265 L
.45089 .45425 L
.45104 .45444 L
.45212 .45586 L
.45265 .45653 L
.45334 .45746 L
.45425 .45841 L
.45475 .45907 L
.45568 .46067 L
.45586 .46092 L
.45673 .46228 L
.45746 .4635 L
.45766 .46388 L
.45746 .46513 L
.45586 .46424 L
.45555 .46388 L
.45425 .46265 L
.45394 .46228 L
.45265 .46084 L
.45245 .46067 L
.45116 .45907 L
.45104 .45892 L
.44987 .45746 L
.44943 .45692 L
.44861 .45586 L
.44783 .45503 L
.44714 .45425 L
.44622 .45273 L
.44617 .45265 L
.44503 .45104 L
.44462 .45046 L
.44393 .44943 L
.44301 .44802 L
.44274 .44783 L
.44216 .44622 L
F
.005 .83 1 r
.44301 .48137 m
.44319 .48154 L
.44462 .48282 L
.44477 .48314 L
.44622 .48474 L
.44625 .48475 L
.44765 .48636 L
.44783 .48655 L
.44904 .48796 L
.44943 .48841 L
.45041 .48957 L
.45104 .49013 L
.45177 .49117 L
.45265 .4922 L
.45328 .49278 L
.45425 .49419 L
.45442 .49438 L
.45573 .49599 L
.45586 .496 L
.45704 .49759 L
.45746 .49805 L
.45876 .4992 L
.45907 .5001 L
.45968 .5008 L
.46067 .50214 L
.46086 .50241 L
.46219 .50401 L
.46228 .50408 L
.46347 .50562 L
.46388 .50611 L
.46489 .50722 L
.46549 .5082 L
.46597 .50883 L
.46709 .51025 L
.46718 .51043 L
.46853 .51204 L
.4687 .51222 L
.47007 .51364 L
.4703 .5143 L
.47107 .51525 L
.47191 .5164 L
.4722 .51686 L
.47351 .51844 L
.47354 .51846 L
.47479 .52007 L
.47512 .52045 L
.47616 .52167 L
.47672 .52257 L
.47724 .52328 L
.47833 .52467 L
.47842 .52488 L
.47976 .52649 L
.47993 .52666 L
.48127 .52809 L
.48154 .52877 L
.48227 .5297 L
.48314 .53089 L
.4834 .5313 L
.4847 .53291 L
.48475 .53293 L
.48593 .53451 L
.48636 .53498 L
.48731 .53612 L
.48796 .53713 L
.48838 .53772 L
.48957 .53925 L
.4896 .53933 L
.49085 .54093 L
.49117 .54121 L
.49239 .54254 L
.49278 .54339 L
.49336 .54414 L
.49438 .54555 L
.4945 .54575 L
.49574 .54735 L
.49599 .54743 L
.49696 .54896 L
.49759 .54966 L
.49834 .55057 L
.4992 .55188 L
.4994 .55217 L
.50061 .55378 L
.5008 .55403 L
.50181 .55538 L
.50241 .55592 L
.50334 .55699 L
.50401 .55825 L
.50427 .55859 L
.50542 .5602 L
.50562 .56045 L
.5066 .5618 L
.50722 .56262 L
.5078 .56341 L
.50883 .56471 L
.50907 .56501 L
.51016 .56662 L
.51043 .56699 L
.51131 .56822 L
.51204 .56921 L
.51248 .56983 L
.51364 .57143 L
.51364 .57144 L
.51472 .57304 L
.51525 .57378 L
.51581 .57464 L
.51686 .57616 L
.51691 .57625 L
.5178 .57785 L
.51686 .57812 L
.5166 .57785 L
.51525 .57671 L
.51505 .57625 L
.51364 .57472 L
.5136 .57464 L
.5122 .57304 L
.51204 .57286 L
.51083 .57143 L
.51043 .57098 L
.50948 .56983 L
.50883 .5693 L
.50813 .56822 L
.50722 .56719 L
.50657 .56662 L
.50562 .56517 L
.50547 .56501 L
.50419 .56341 L
.50401 .56319 L
.5029 .5618 L
.50241 .56131 L
.50103 .5602 L
.5008 .55922 L
.50022 .55859 L
.4992 .55717 L
.49906 .55699 L
.49778 .55538 L
.49759 .55527 L
.49651 .55378 L
.49599 .55318 L
.49499 .55217 L
.49438 .55108 L
.49396 .55057 L
.49278 .54902 L
.49274 .54896 L
.49148 .54735 L
.49117 .54708 L
.48974 .54575 L
.48957 .54496 L
.48886 .54414 L
.48796 .54284 L
.48774 .54254 L
.48648 .54093 L
.48636 .54089 L
.48524 .53933 L
.48475 .5388 L
.48375 .53772 L
.48314 .53666 L
.48272 .53612 L
.48154 .53455 L
.48152 .53451 L
.48028 .53291 L
.47993 .53263 L
.47857 .5313 L
.47833 .53046 L
.47769 .5297 L
.47672 .52831 L
.47657 .52809 L
.47534 .52649 L
.47512 .52644 L
.47411 .52488 L
.47351 .52426 L
.47263 .52328 L
.47191 .52206 L
.4716 .52167 L
.47041 .52007 L
.4703 .51993 L
.4692 .51846 L
.4687 .51807 L
.46751 .51686 L
.46709 .51581 L
.46663 .51525 L
.4655 .51364 L
.46549 .51363 L
.4643 .51204 L
.46388 .5115 L
.46308 .51043 L
.46228 .50956 L
.46165 .50883 L
.46067 .5073 L
.46062 .50722 L
.45943 .50562 L
.45907 .50515 L
.45823 .50401 L
.45746 .50332 L
.45664 .50241 L
.45586 .50092 L
.45576 .5008 L
.45461 .4992 L
.45425 .49874 L
.45342 .49759 L
.45265 .49658 L
.45222 .49599 L
.45104 .49445 L
.45098 .49438 L
.44986 .49278 L
.44943 .49222 L
.4487 .49117 L
.44783 .49002 L
.44752 .48957 L
.44635 .48796 L
.44622 .48779 L
.44527 .48636 L
.44462 .48546 L
.44417 .48475 L
.44306 .48314 L
.44301 .48308 L
.44221 .48154 L
F
1 .96 .289 r
.44301 .44051 m
.44462 .44053 L
.44622 .44139 L
.44624 .44141 L
.44783 .44291 L
.44785 .44301 L
.44931 .44462 L
.44943 .44482 L
.45074 .44622 L
.45104 .44691 L
.45187 .44783 L
.45265 .44907 L
.45296 .44943 L
.45425 .45084 L
.45441 .45104 L
.4558 .45265 L
.45586 .45292 L
.45693 .45425 L
.45746 .45504 L
.45802 .45586 L
.45907 .45715 L
.45911 .45746 L
.46058 .45907 L
.46067 .45911 L
.46195 .46067 L
.46228 .46114 L
.46302 .46228 L
.46388 .46331 L
.46411 .46388 L
.46544 .46549 L
.46549 .46556 L
.46692 .46709 L
.46709 .46801 L
.46751 .4687 L
.46709 .46918 L
.46549 .46938 L
.46388 .46898 L
.46343 .4687 L
.46228 .46762 L
.46193 .46709 L
.46067 .46569 L
.46052 .46549 L
.45925 .46388 L
.45907 .46363 L
.45787 .46228 L
.45746 .46151 L
.45677 .46067 L
.45586 .45941 L
.45567 .45907 L
.45427 .45746 L
.45425 .45745 L
.45282 .45586 L
.45265 .45541 L
.45176 .45425 L
.45104 .45327 L
.45066 .45265 L
.44943 .45114 L
.44936 .45104 L
.44815 .44943 L
.44783 .44901 L
.44677 .44783 L
.44622 .44721 L
.44573 .44622 L
.44462 .44475 L
.44458 .44462 L
.44346 .44301 L
.44301 .44225 L
.44228 .44141 L
F
0 .73 1 r
.44301 .4458 m
.4436 .44622 L
.44462 .44706 L
.44537 .44783 L
.44622 .44833 L
.44686 .44943 L
.44783 .45041 L
.44825 .45104 L
.44943 .45244 L
.44964 .45265 L
.45085 .45425 L
.45104 .45449 L
.45209 .45586 L
.45265 .45657 L
.45331 .45746 L
.45425 .45848 L
.45469 .45907 L
.45564 .46067 L
.45586 .46099 L
.45668 .46228 L
.45746 .46364 L
.45758 .46388 L
.45746 .46495 L
.45586 .46414 L
.45564 .46388 L
.45425 .46258 L
.454 .46228 L
.45265 .46078 L
.45252 .46067 L
.45121 .45907 L
.45104 .45887 L
.44991 .45746 L
.44943 .45687 L
.44865 .45586 L
.44783 .45498 L
.44719 .45425 L
.44622 .45266 L
.44621 .45265 L
.44508 .45104 L
.44462 .45039 L
.44398 .44943 L
.44301 .44792 L
.44289 .44783 L
.4423 .44622 L
F
0 .72 1 r
.44301 .44594 m
.44345 .44622 L
.44462 .44714 L
.4453 .44783 L
.44622 .44839 L
.44681 .44943 L
.44783 .45047 L
.44821 .45104 L
.44943 .4525 L
.44959 .45265 L
.45081 .45425 L
.45104 .45453 L
.45205 .45586 L
.45265 .45662 L
.45327 .45746 L
.45425 .45856 L
.45463 .45907 L
.45559 .46067 L
.45586 .46106 L
.45662 .46228 L
.45746 .4638 L
.4575 .46388 L
.45746 .4647 L
.45586 .46402 L
.45574 .46388 L
.45425 .46251 L
.45406 .46228 L
.45265 .46072 L
.45258 .46067 L
.45125 .45907 L
.45104 .45882 L
.44995 .45746 L
.44943 .45682 L
.44869 .45586 L
.44783 .45492 L
.44724 .45425 L
.44625 .45265 L
.44622 .4526 L
.44512 .45104 L
.44462 .45032 L
.44403 .44943 L
.44303 .44783 L
.44301 .4478 L
.44246 .44622 L
F
1 .61 0 r
.44301 .45247 m
.44316 .45265 L
.44301 .4535 L
.44249 .45265 L
F
.395 .97 1 r
.44301 .42548 m
.44446 .42696 L
.44462 .42713 L
.44588 .42857 L
.44622 .42897 L
.44721 .43017 L
.44783 .43096 L
.44845 .43178 L
.44943 .4332 L
.44956 .43338 L
.45036 .43499 L
.44943 .43533 L
.44903 .43499 L
.44783 .43384 L
.44744 .43338 L
.44622 .43198 L
.44607 .43178 L
.44483 .43017 L
.44462 .4299 L
.44369 .42857 L
.44301 .42764 L
.44259 .42696 L
F
1 .95 .212 r
.44301 .47489 m
.44334 .47512 L
.44462 .47622 L
.44514 .47672 L
.44622 .47767 L
.44669 .47833 L
.44783 .47957 L
.44838 .47993 L
.44943 .48143 L
.44955 .48154 L
.4509 .48314 L
.45104 .4832 L
.45226 .48475 L
.45265 .48519 L
.45412 .48636 L
.45425 .48717 L
.45497 .48796 L
.45586 .48916 L
.45617 .48957 L
.45746 .49111 L
.45748 .49117 L
.45883 .49278 L
.45907 .49308 L
.46019 .49438 L
.46067 .49513 L
.46131 .49599 L
.46228 .4972 L
.46244 .49759 L
.46388 .49917 L
.46398 .4992 L
.46534 .5008 L
.46549 .50112 L
.46648 .50241 L
.46709 .50323 L
.46756 .50401 L
.4687 .50536 L
.46908 .50562 L
.4703 .5072 L
.47032 .50722 L
.4716 .50883 L
.47191 .5093 L
.47271 .51043 L
.47351 .51145 L
.47372 .51204 L
.47512 .51357 L
.47536 .51364 L
.47663 .51525 L
.47672 .51543 L
.4778 .51686 L
.47833 .51756 L
.47886 .51846 L
.47993 .51973 L
.48036 .52007 L
.48154 .52162 L
.48158 .52167 L
.48284 .52328 L
.48314 .52373 L
.48394 .52488 L
.48475 .52589 L
.48494 .52649 L
.48636 .528 L
.48655 .52809 L
.48783 .5297 L
.48796 .52994 L
.48898 .5313 L
.48957 .53208 L
.49003 .53291 L
.49117 .53422 L
.49151 .53451 L
.49277 .53612 L
.49278 .53618 L
.49399 .53772 L
.49438 .53829 L
.49508 .53933 L
.49599 .54044 L
.4961 .54093 L
.49759 .54249 L
.49767 .54254 L
.49899 .54414 L
.4992 .54453 L
.5001 .54575 L
.5008 .54666 L
.50117 .54735 L
.50241 .54878 L
.5026 .54896 L
.50397 .55057 L
.50401 .55078 L
.50511 .55217 L
.50562 .55291 L
.50619 .55378 L
.50722 .55504 L
.50728 .55538 L
.50875 .55699 L
.50883 .55706 L
.51011 .55859 L
.51043 .55916 L
.51119 .5602 L
.51204 .5613 L
.51229 .5618 L
.51364 .56339 L
.51366 .56341 L
.51515 .56501 L
.51525 .56542 L
.51618 .56662 L
.51686 .56757 L
.51727 .56822 L
.51846 .5697 L
.51847 .56983 L
.51978 .57143 L
.52007 .57168 L
.52119 .57304 L
.52167 .57385 L
.52223 .57464 L
.52328 .57602 L
.52338 .57625 L
.52466 .57785 L
.52488 .57794 L
.52625 .57946 L
.52649 .58014 L
.52719 .58106 L
.52809 .58236 L
.52828 .58267 L
.52951 .58428 L
.5297 .58453 L
.5307 .58588 L
.5313 .58643 L
.53213 .58749 L
.53291 .58875 L
.53314 .58909 L
.5343 .5907 L
.53451 .59097 L
.53548 .5923 L
.53612 .59315 L
.53706 .59391 L
.53772 .59526 L
.5379 .59551 L
.539 .59712 L
.53933 .59755 L
.54014 .59872 L
.54093 .59981 L
.54129 .60033 L
.54242 .60193 L
.54254 .6021 L
.54347 .60354 L
.54414 .60453 L
.54452 .60514 L
.54546 .60675 L
.54414 .6069 L
.54399 .60675 L
.54254 .60533 L
.54241 .60514 L
.54093 .60355 L
.54092 .60354 L
.5395 .60193 L
.53933 .60175 L
.53811 .60033 L
.53772 .60008 L
.53673 .59872 L
.53612 .59805 L
.53492 .59712 L
.53451 .59606 L
.53398 .59551 L
.53291 .59409 L
.53276 .59391 L
.53142 .5923 L
.5313 .59219 L
.53012 .5907 L
.5297 .59018 L
.52866 .58909 L
.52809 .58813 L
.52757 .58749 L
.52649 .58609 L
.52637 .58588 L
.525 .58428 L
.52488 .58414 L
.52346 .58267 L
.52328 .58208 L
.52242 .58106 L
.52167 .57999 L
.5213 .57946 L
.52007 .57795 L
.51995 .57785 L
.5187 .57625 L
.51846 .57596 L
.51731 .57464 L
.51686 .57386 L
.51622 .57304 L
.51525 .57176 L
.51509 .57143 L
.5137 .56983 L
.51364 .56977 L
.51222 .56822 L
.51204 .56769 L
.51116 .56662 L
.51043 .56557 L
.51006 .56501 L
.50883 .5635 L
.50873 .56341 L
.5075 .5618 L
.50722 .56149 L
.50611 .5602 L
.50562 .55937 L
.50503 .55859 L
.50401 .55726 L
.50389 .55699 L
.50254 .55538 L
.50241 .55525 L
.50104 .55378 L
.5008 .55315 L
.5 .55217 L
.4992 .55103 L
.4989 .55057 L
.4976 .54896 L
.49759 .54896 L
.49637 .54735 L
.49599 .54693 L
.49497 .54575 L
.49438 .54479 L
.4939 .54414 L
.49278 .54268 L
.49272 .54254 L
.49144 .54093 L
.49117 .5407 L
.48989 .53933 L
.48957 .53856 L
.48889 .53772 L
.48796 .53642 L
.48777 .53612 L
.4865 .53451 L
.48636 .53445 L
.48528 .53291 L
.48475 .53234 L
.48387 .5313 L
.48314 .53017 L
.4828 .5297 L
.48158 .52809 L
.48154 .52805 L
.48036 .52649 L
.47993 .52613 L
.4788 .52488 L
.47833 .52393 L
.47782 .52328 L
.47672 .52176 L
.47667 .52167 L
.47545 .52007 L
.47512 .51995 L
.47423 .51846 L
.47351 .5177 L
.47281 .51686 L
.47191 .51548 L
.47174 .51525 L
.47054 .51364 L
.4703 .51335 L
.46933 .51204 L
.4687 .5115 L
.46777 .51043 L
.46709 .50921 L
.4668 .50883 L
.46564 .50722 L
.46549 .50703 L
.46444 .50562 L
.46388 .5049 L
.46322 .50401 L
.46228 .50293 L
.46186 .50241 L
.46076 .5008 L
.46067 .50069 L
.45958 .4992 L
.45907 .49854 L
.45837 .49759 L
.45746 .49664 L
.45693 .49599 L
.45592 .49438 L
.45586 .49429 L
.45475 .49278 L
.45425 .49213 L
.45356 .49117 L
.45265 .48997 L
.45205 .48957 L
.45116 .48796 L
.45104 .48781 L
.45002 .48636 L
.44943 .48559 L
.44885 .48475 L
.44783 .48337 L
.44767 .48314 L
.44655 .48154 L
.44622 .48109 L
.44547 .47993 L
.44462 .47873 L
.44437 .47833 L
.44337 .47672 L
.44301 .47614 L
.44265 .47512 L
F
0 .71 1 r
.44301 .44609 m
.44325 .44622 L
.44462 .44722 L
.44523 .44783 L
.44622 .44847 L
.44676 .44943 L
.44783 .45053 L
.44816 .45104 L
.44943 .45255 L
.44953 .45265 L
.45077 .45425 L
.45104 .45458 L
.45201 .45586 L
.45265 .45667 L
.45324 .45746 L
.45425 .45864 L
.45457 .45907 L
.45554 .46067 L
.45586 .46113 L
.45656 .46228 L
.45738 .46388 L
.45586 .4639 L
.45584 .46388 L
.45425 .46243 L
.45412 .46228 L
.45265 .46067 L
.45265 .46067 L
.4513 .45907 L
.45104 .45877 L
.44999 .45746 L
.44943 .45677 L
.44872 .45586 L
.44783 .45486 L
.44729 .45425 L
.4463 .45265 L
.44622 .45255 L
.44517 .45104 L
.44462 .45024 L
.44408 .44943 L
.44311 .44783 L
.44301 .44763 L
.44267 .44622 L
F
1 .95 .212 r
.44301 .44094 m
.44462 .44078 L
.44592 .44141 L
.44622 .44172 L
.44777 .44301 L
.44783 .44309 L
.44921 .44462 L
.44943 .44496 L
.45069 .44622 L
.45104 .447 L
.45181 .44783 L
.45265 .44912 L
.45293 .44943 L
.45425 .45089 L
.45437 .45104 L
.45579 .45265 L
.45586 .45296 L
.4569 .45425 L
.45746 .45508 L
.458 .45586 L
.45907 .45719 L
.4591 .45746 L
.46055 .45907 L
.46067 .45913 L
.46192 .46067 L
.46228 .46118 L
.46298 .46228 L
.46388 .46337 L
.46408 .46388 L
.46538 .46549 L
.46549 .46565 L
.46687 .46709 L
.46709 .46832 L
.46724 .4687 L
.46709 .4689 L
.46549 .46925 L
.46388 .4688 L
.4637 .4687 L
.46228 .46749 L
.46201 .46709 L
.46067 .4656 L
.46058 .46549 L
.4593 .46388 L
.45907 .46356 L
.4579 .46228 L
.45746 .46147 L
.45681 .46067 L
.45586 .45938 L
.45568 .45907 L
.4543 .45746 L
.45425 .45742 L
.45283 .45586 L
.45265 .45538 L
.45178 .45425 L
.45104 .45323 L
.45069 .45265 L
.44943 .4511 L
.44939 .45104 L
.44819 .44943 L
.44783 .44895 L
.44681 .44783 L
.44622 .44713 L
.44579 .44622 L
.44464 .44462 L
.44462 .4446 L
.44358 .44301 L
.44301 .44188 L
.44271 .44141 L
F
1 .14 0 r
.44301 .50102 m
.44397 .50241 L
.44462 .50323 L
.44514 .50401 L
.44622 .50543 L
.44635 .50562 L
.44622 .50652 L
.44551 .50562 L
.44462 .50466 L
.44412 .50401 L
.44301 .50274 L
.44276 .50241 L
F
1 .13 0 r
.44301 .50108 m
.44391 .50241 L
.44462 .5033 L
.44508 .50401 L
.44622 .50551 L
.44629 .50562 L
.44622 .50641 L
.4456 .50562 L
.44462 .50459 L
.44417 .50401 L
.44301 .50268 L
.44281 .50241 L
F
0 .19 1 r
.44301 .49438 m
.44428 .49599 L
.44462 .49637 L
.44557 .49759 L
.44622 .49836 L
.44687 .4992 L
.44783 .50036 L
.44816 .5008 L
.44943 .50238 L
.44945 .50241 L
.45067 .50401 L
.45104 .50446 L
.45191 .50562 L
.45265 .50653 L
.45316 .50722 L
.45425 .5086 L
.45442 .50883 L
.45563 .51043 L
.45586 .51071 L
.45681 .51204 L
.45746 .51285 L
.45803 .51364 L
.45907 .51499 L
.45925 .51525 L
.46041 .51686 L
.46067 .51718 L
.46152 .51846 L
.46228 .51944 L
.46267 .52007 L
.46228 .52073 L
.46175 .52007 L
.46067 .51887 L
.46035 .51846 L
.45907 .51695 L
.45899 .51686 L
.45771 .51525 L
.45746 .51497 L
.45644 .51364 L
.45586 .51296 L
.45516 .51204 L
.45425 .51094 L
.45386 .51043 L
.45265 .50892 L
.45258 .50883 L
.45135 .50722 L
.45104 .50685 L
.45013 .50562 L
.44943 .50476 L
.44888 .50401 L
.44783 .50269 L
.44763 .50241 L
.44641 .5008 L
.44622 .50057 L
.44524 .4992 L
.44462 .49842 L
.44404 .49759 L
.44301 .49628 L
.44281 .49599 L
F
0 .18 1 r
.44301 .49445 m
.44423 .49599 L
.44462 .49642 L
.44552 .49759 L
.44622 .49841 L
.44683 .4992 L
.44783 .50041 L
.44813 .5008 L
.44942 .50241 L
.44943 .50243 L
.45063 .50401 L
.45104 .5045 L
.45187 .50562 L
.45265 .50657 L
.45313 .50722 L
.45425 .50864 L
.45439 .50883 L
.45559 .51043 L
.45586 .51076 L
.45677 .51204 L
.45746 .5129 L
.45799 .51364 L
.45907 .51504 L
.45922 .51525 L
.46036 .51686 L
.46067 .51725 L
.46146 .51846 L
.46228 .51953 L
.46261 .52007 L
.46228 .52064 L
.46182 .52007 L
.46067 .51881 L
.4604 .51846 L
.45907 .5169 L
.45903 .51686 L
.45776 .51525 L
.45746 .51491 L
.45649 .51364 L
.45586 .51291 L
.45519 .51204 L
.45425 .5109 L
.4539 .51043 L
.45265 .50888 L
.45261 .50883 L
.45139 .50722 L
.45104 .5068 L
.45016 .50562 L
.44943 .50472 L
.44892 .50401 L
.44783 .50264 L
.44766 .50241 L
.44645 .5008 L
.44622 .50052 L
.44528 .4992 L
.44462 .49837 L
.44407 .49759 L
.44301 .49622 L
.44285 .49599 L
F
1 .12 0 r
.44301 .50115 m
.44385 .50241 L
.44462 .50338 L
.44502 .50401 L
.44622 .50561 L
.44623 .50562 L
.44622 .50627 L
.44572 .50562 L
.44462 .50451 L
.44424 .50401 L
.44301 .50262 L
.44285 .50241 L
F
0 .17 1 r
.44301 .49451 m
.44418 .49599 L
.44462 .49648 L
.44548 .49759 L
.44622 .49846 L
.44679 .4992 L
.44783 .50045 L
.4481 .5008 L
.44938 .50241 L
.44943 .50247 L
.45059 .50401 L
.45104 .50455 L
.45184 .50562 L
.45265 .50661 L
.4531 .50722 L
.45425 .50868 L
.45436 .50883 L
.45555 .51043 L
.45586 .51081 L
.45673 .51204 L
.45746 .51295 L
.45795 .51364 L
.45907 .51509 L
.45918 .51525 L
.45907 .51684 L
.45781 .51525 L
.45746 .51486 L
.45653 .51364 L
.45586 .51286 L
.45523 .51204 L
.45425 .51086 L
.45393 .51043 L
.45265 .50884 L
.45264 .50883 L
.45143 .50722 L
.45104 .50676 L
.4502 .50562 L
.44943 .50468 L
.44895 .50401 L
.44783 .5026 L
.44769 .50241 L
.44649 .5008 L
.44622 .50047 L
.44532 .4992 L
.44462 .49832 L
.44411 .49759 L
.44301 .49617 L
.44289 .49599 L
F
.084 .92 1 r
.44301 .39671 m
.44419 .39807 L
.44462 .39851 L
.44557 .39967 L
.44622 .40038 L
.44694 .40128 L
.44783 .4023 L
.44828 .40288 L
.44943 .40424 L
.44962 .40449 L
.45093 .40609 L
.45104 .40622 L
.45219 .4077 L
.45265 .40823 L
.45347 .4093 L
.45425 .41025 L
.45475 .41091 L
.45586 .41208 L
.45605 .41251 L
.45731 .41412 L
.45746 .4143 L
.45854 .41572 L
.45907 .41636 L
.45979 .41733 L
.46067 .41842 L
.46106 .41894 L
.46228 .42044 L
.46239 .42054 L
.46354 .42215 L
.46388 .42256 L
.46476 .42375 L
.46549 .42465 L
.466 .42536 L
.46709 .42654 L
.46726 .42696 L
.46848 .42857 L
.4687 .42884 L
.46967 .43017 L
.4703 .43097 L
.47089 .43178 L
.47191 .43308 L
.47213 .43338 L
.47334 .43499 L
.47351 .43521 L
.47451 .43659 L
.47512 .43737 L
.4757 .4382 L
.47672 .43953 L
.47691 .4398 L
.47809 .44141 L
.47833 .44172 L
.4792 .44301 L
.47993 .44398 L
.48035 .44462 L
.47993 .4459 L
.47884 .44462 L
.47833 .44406 L
.47745 .44301 L
.47672 .44217 L
.4761 .44141 L
.47512 .44024 L
.47476 .4398 L
.47351 .4383 L
.47337 .4382 L
.47216 .43659 L
.47191 .4363 L
.47086 .43499 L
.4703 .4343 L
.46957 .43338 L
.4687 .43256 L
.46828 .43178 L
.46709 .43028 L
.46698 .43017 L
.46576 .42857 L
.46549 .42823 L
.4645 .42696 L
.46388 .42618 L
.46324 .42536 L
.46228 .42424 L
.46174 .42375 L
.46075 .42215 L
.46067 .42205 L
.45952 .42054 L
.45907 .41997 L
.45828 .41894 L
.45746 .4182 L
.45704 .41733 L
.45586 .41579 L
.4558 .41572 L
.45461 .41412 L
.45425 .41365 L
.4534 .41251 L
.45265 .41153 L
.45218 .41091 L
.45104 .40943 L
.45091 .4093 L
.4498 .4077 L
.44943 .40722 L
.44862 .40609 L
.44783 .40504 L
.44743 .40449 L
.44626 .40288 L
.44622 .40284 L
.44515 .40128 L
.44462 .40055 L
.44403 .39967 L
.44301 .39824 L
.4429 .39807 L
F
1 .11 0 r
.44301 .50123 m
.44378 .50241 L
.44462 .50347 L
.44495 .50401 L
.44462 .50442 L
.44431 .50401 L
.44301 .50255 L
.44291 .50241 L
F
0 .16 1 r
.44301 .49459 m
.44412 .49599 L
.44462 .49654 L
.44543 .49759 L
.44622 .49851 L
.44675 .4992 L
.44783 .5005 L
.44806 .5008 L
.44934 .50241 L
.44943 .50252 L
.45055 .50401 L
.45104 .50459 L
.4518 .50562 L
.45265 .50666 L
.45306 .50722 L
.45425 .50873 L
.45433 .50883 L
.45551 .51043 L
.45586 .51086 L
.45669 .51204 L
.45746 .51301 L
.45791 .51364 L
.45907 .51515 L
.45914 .51525 L
.45907 .51678 L
.45787 .51525 L
.45746 .5148 L
.45658 .51364 L
.45586 .51281 L
.45527 .51204 L
.45425 .51081 L
.45397 .51043 L
.45268 .50883 L
.45265 .50879 L
.45147 .50722 L
.45104 .50671 L
.45024 .50562 L
.44943 .50463 L
.44898 .50401 L
.44783 .50256 L
.44772 .50241 L
.44654 .5008 L
.44622 .50042 L
.44536 .4992 L
.44462 .49826 L
.44416 .49759 L
.44301 .49611 L
.44293 .49599 L
F
1 .1 0 r
.44301 .50132 m
.44369 .50241 L
.44462 .50358 L
.44487 .50401 L
.44462 .50431 L
.44439 .50401 L
.44301 .50248 L
.44296 .50241 L
F
0 .15 1 r
.44301 .49467 m
.44405 .49599 L
.44462 .4966 L
.44538 .49759 L
.44622 .49857 L
.44671 .4992 L
.44783 .50055 L
.44802 .5008 L
.44929 .50241 L
.44943 .50257 L
.45051 .50401 L
.45104 .50464 L
.45176 .50562 L
.45265 .50671 L
.45303 .50722 L
.45425 .50877 L
.45429 .50883 L
.45546 .51043 L
.45586 .51092 L
.45665 .51204 L
.45746 .51306 L
.45787 .51364 L
.45907 .5152 L
.4591 .51525 L
.45907 .5167 L
.45793 .51525 L
.45746 .51474 L
.45662 .51364 L
.45586 .51276 L
.45531 .51204 L
.45425 .51076 L
.454 .51043 L
.45272 .50883 L
.45265 .50874 L
.45151 .50722 L
.45104 .50666 L
.45028 .50562 L
.44943 .50458 L
.44902 .50401 L
.44783 .50251 L
.44775 .50241 L
.44658 .5008 L
.44622 .50036 L
.44541 .4992 L
.44462 .4982 L
.4442 .49759 L
.44301 .49605 L
.44297 .49599 L
F
1 .5 0 r
.44301 .48802 m
.44442 .48957 L
.44462 .48977 L
.44582 .49117 L
.44622 .49161 L
.4472 .49278 L
.44783 .49349 L
.44856 .49438 L
.44943 .49541 L
.44991 .49599 L
.45104 .49726 L
.45124 .49759 L
.45254 .4992 L
.45265 .49932 L
.45382 .5008 L
.45425 .50131 L
.45512 .50241 L
.45586 .50293 L
.45641 .50401 L
.45746 .50526 L
.45784 .50562 L
.45896 .50722 L
.45907 .50736 L
.46021 .50883 L
.46067 .5094 L
.46148 .51043 L
.46228 .51124 L
.46324 .51204 L
.46388 .51347 L
.46404 .51364 L
.46524 .51525 L
.46549 .51556 L
.46648 .51686 L
.46709 .51717 L
.46772 .51846 L
.4687 .51962 L
.46913 .52007 L
.4702 .52167 L
.4703 .5218 L
.47142 .52328 L
.47191 .5239 L
.47264 .52488 L
.47351 .52578 L
.47426 .52649 L
.4751 .52809 L
.47512 .52811 L
.4763 .5297 L
.47672 .53025 L
.4775 .5313 L
.47833 .53238 L
.47872 .53291 L
.47993 .53451 L
.47993 .53452 L
.48109 .53612 L
.48154 .5367 L
.48227 .53772 L
.48314 .53888 L
.48346 .53933 L
.48464 .54093 L
.48475 .54109 L
.48575 .54254 L
.48636 .54336 L
.48688 .54414 L
.48796 .54566 L
.48802 .54575 L
.48898 .54735 L
.48957 .54827 L
.48977 .54896 L
.48957 .54901 L
.48952 .54896 L
.48796 .54744 L
.48789 .54735 L
.48645 .54575 L
.48636 .54565 L
.48508 .54414 L
.48475 .54379 L
.48372 .54254 L
.48314 .54189 L
.48237 .54093 L
.48154 .53996 L
.48104 .53933 L
.47993 .53813 L
.47971 .53772 L
.47841 .53612 L
.47833 .53602 L
.47714 .53451 L
.47672 .53402 L
.47585 .53291 L
.47512 .53251 L
.47457 .5313 L
.47351 .53008 L
.47309 .5297 L
.47202 .52809 L
.47191 .52796 L
.47077 .52649 L
.4703 .52591 L
.46951 .52488 L
.4687 .52412 L
.46825 .52328 L
.46709 .52183 L
.46694 .52167 L
.46576 .52007 L
.46549 .51973 L
.46453 .51846 L
.46388 .51765 L
.46328 .51686 L
.46228 .51569 L
.46184 .51525 L
.4608 .51364 L
.46067 .51348 L
.45959 .51204 L
.45907 .51137 L
.45837 .51043 L
.45746 .50954 L
.45713 .50883 L
.4559 .50722 L
.45586 .50717 L
.45472 .50562 L
.45425 .50502 L
.45351 .50401 L
.45265 .50289 L
.45229 .50241 L
.45108 .5008 L
.45104 .50076 L
.44992 .4992 L
.44943 .49857 L
.44874 .49759 L
.44783 .49639 L
.44755 .49599 L
.44638 .49438 L
.44622 .49418 L
.44527 .49278 L
.44462 .49189 L
.44415 .49117 L
.44301 .48959 L
.443 .48957 L
F
1 .94 .156 r
.44462 .44102 m
.44554 .44141 L
.44622 .442 L
.44762 .44301 L
.44783 .44328 L
.44911 .44462 L
.44943 .44508 L
.45064 .44622 L
.45104 .44709 L
.45176 .44783 L
.45265 .44917 L
.4529 .44943 L
.45425 .45095 L
.45432 .45104 L
.45578 .45265 L
.45586 .45301 L
.45688 .45425 L
.45746 .45512 L
.45797 .45586 L
.45907 .45722 L
.4591 .45746 L
.46052 .45907 L
.46067 .45915 L
.4619 .46067 L
.46228 .46122 L
.46295 .46228 L
.46388 .46343 L
.46405 .46388 L
.46532 .46549 L
.46549 .46574 L
.46681 .46709 L
.46694 .4687 L
.46549 .46911 L
.46401 .4687 L
.46388 .46859 L
.46228 .46736 L
.46208 .46709 L
.46067 .46552 L
.46064 .46549 L
.45934 .46388 L
.45907 .46351 L
.45793 .46228 L
.45746 .46142 L
.45684 .46067 L
.45586 .45934 L
.4557 .45907 L
.45433 .45746 L
.45425 .4574 L
.45285 .45586 L
.45265 .45534 L
.45181 .45425 L
.45104 .45319 L
.45072 .45265 L
.44943 .45105 L
.44943 .45104 L
.44823 .44943 L
.44783 .4489 L
.44685 .44783 L
.44622 .44703 L
.44584 .44622 L
.44472 .44462 L
.44462 .44447 L
.44371 .44301 L
.44318 .44141 L
F
0 .7 1 r
.44462 .44731 m
.44515 .44783 L
.44622 .44855 L
.4467 .44943 L
.44783 .45059 L
.44812 .45104 L
.44943 .4526 L
.44948 .45265 L
.45073 .45425 L
.45104 .45463 L
.45198 .45586 L
.45265 .45671 L
.4532 .45746 L
.45425 .45873 L
.45451 .45907 L
.45549 .46067 L
.45586 .46121 L
.4565 .46228 L
.45586 .4638 L
.45425 .46236 L
.45418 .46228 L
.4527 .46067 L
.45265 .46061 L
.45134 .45907 L
.45104 .45871 L
.45004 .45746 L
.44943 .45672 L
.44876 .45586 L
.44783 .4548 L
.44735 .45425 L
.44634 .45265 L
.44622 .45248 L
.44522 .45104 L
.44462 .45017 L
.44414 .44943 L
.4432 .44783 L
F
0 .69 1 r
.44462 .4474 m
.44507 .44783 L
.44622 .44863 L
.44665 .44943 L
.44783 .45066 L
.44808 .45104 L
.44943 .45265 L
.44943 .45266 L
.45069 .45425 L
.45104 .45468 L
.45194 .45586 L
.45265 .45676 L
.45316 .45746 L
.45425 .45881 L
.45444 .45907 L
.45544 .46067 L
.45586 .4613 L
.45644 .46228 L
.45586 .46369 L
.45425 .46228 L
.45425 .46228 L
.45276 .46067 L
.45265 .46055 L
.45139 .45907 L
.45104 .45866 L
.45008 .45746 L
.44943 .45667 L
.4488 .45586 L
.44783 .45473 L
.4474 .45425 L
.44639 .45265 L
.44622 .45242 L
.44527 .45104 L
.44462 .45009 L
.44419 .44943 L
.4433 .44783 L
F
0 .68 1 r
.44462 .44749 m
.44498 .44783 L
.44622 .44873 L
.44659 .44943 L
.44783 .45072 L
.44803 .45104 L
.44938 .45265 L
.44943 .45271 L
.45065 .45425 L
.45104 .45472 L
.4519 .45586 L
.45265 .45681 L
.45313 .45746 L
.45425 .45891 L
.45437 .45907 L
.45539 .46067 L
.45586 .46139 L
.45637 .46228 L
.45586 .46359 L
.45433 .46228 L
.45425 .4622 L
.45282 .46067 L
.45265 .46049 L
.45144 .45907 L
.45104 .45861 L
.45012 .45746 L
.44943 .45662 L
.44884 .45586 L
.44783 .45466 L
.44746 .45425 L
.44643 .45265 L
.44622 .45236 L
.44532 .45104 L
.44462 .45001 L
.44425 .44943 L
.4434 .44783 L
F
0 .67 1 r
.44462 .44758 m
.44489 .44783 L
.44622 .44883 L
.44654 .44943 L
.44783 .45079 L
.44799 .45104 L
.44934 .45265 L
.44943 .45276 L
.45061 .45425 L
.45104 .45477 L
.45186 .45586 L
.45265 .45686 L
.45309 .45746 L
.45425 .45901 L
.45429 .45907 L
.45534 .46067 L
.45586 .46148 L
.4563 .46228 L
.45586 .46347 L
.45442 .46228 L
.45425 .46213 L
.45288 .46067 L
.45265 .46043 L
.45148 .45907 L
.45104 .45855 L
.45016 .45746 L
.44943 .45657 L
.44888 .45586 L
.44783 .45459 L
.44753 .45425 L
.44648 .45265 L
.44622 .45229 L
.44537 .45104 L
.44462 .44992 L
.44431 .44943 L
.44352 .44783 L
F
0 .66 1 r
.44462 .44769 m
.44478 .44783 L
.44622 .44894 L
.44647 .44943 L
.44783 .45087 L
.44794 .45104 L
.44929 .45265 L
.44943 .45281 L
.45057 .45425 L
.45104 .45482 L
.45182 .45586 L
.45265 .45691 L
.45305 .45746 L
.45423 .45907 L
.45425 .45909 L
.45528 .46067 L
.45586 .46159 L
.45623 .46228 L
.45586 .46335 L
.45451 .46228 L
.45425 .46205 L
.45294 .46067 L
.45265 .46037 L
.45153 .45907 L
.45104 .4585 L
.45021 .45746 L
.44943 .45651 L
.44892 .45586 L
.44783 .45452 L
.44759 .45425 L
.44653 .45265 L
.44622 .45223 L
.44542 .45104 L
.44462 .44983 L
.44438 .44943 L
.44366 .44783 L
F
1 .93 .114 r
.44462 .44126 m
.44507 .44141 L
.44622 .44223 L
.44746 .44301 L
.44783 .44345 L
.44901 .44462 L
.44943 .4452 L
.45059 .44622 L
.45104 .44717 L
.45171 .44783 L
.45265 .44921 L
.45287 .44943 L
.45425 .451 L
.45428 .45104 L
.45577 .45265 L
.45586 .45305 L
.45685 .45425 L
.45746 .45516 L
.45794 .45586 L
.45907 .45725 L
.45909 .45746 L
.46049 .45907 L
.46067 .45917 L
.46187 .46067 L
.46228 .46127 L
.46292 .46228 L
.46388 .4635 L
.46402 .46388 L
.46526 .46549 L
.46549 .46584 L
.46674 .46709 L
.46663 .4687 L
.46549 .46897 L
.46433 .4687 L
.46388 .46836 L
.46228 .46725 L
.46216 .46709 L
.46071 .46549 L
.46067 .46544 L
.45939 .46388 L
.45907 .46345 L
.45796 .46228 L
.45746 .46138 L
.45687 .46067 L
.45586 .45931 L
.45572 .45907 L
.45436 .45746 L
.45425 .45738 L
.45286 .45586 L
.45265 .45531 L
.45184 .45425 L
.45104 .45315 L
.45074 .45265 L
.44946 .45104 L
.44943 .451 L
.44827 .44943 L
.44783 .44884 L
.4469 .44783 L
.44622 .44693 L
.4459 .44622 L
.4448 .44462 L
.44462 .44433 L
.44384 .44301 L
.44367 .44141 L
F
0 .65 1 r
.44462 .4478 m
.44466 .44783 L
.44622 .44906 L
.44641 .44943 L
.44783 .45094 L
.44789 .45104 L
.44924 .45265 L
.44943 .45287 L
.45053 .45425 L
.45104 .45488 L
.45178 .45586 L
.45265 .45696 L
.45301 .45746 L
.45418 .45907 L
.45425 .45916 L
.45522 .46067 L
.45586 .4617 L
.45615 .46228 L
.45586 .46321 L
.45461 .46228 L
.45425 .46197 L
.453 .46067 L
.45265 .4603 L
.45158 .45907 L
.45104 .45844 L
.45025 .45746 L
.44943 .45646 L
.44897 .45586 L
.44783 .45444 L
.44766 .45425 L
.44658 .45265 L
.44622 .45216 L
.44547 .45104 L
.44462 .44973 L
.44444 .44943 L
.44385 .44783 L
F
1 .92 .084 r
.44462 .4415 m
.44622 .4424 L
.4473 .44301 L
.44783 .4436 L
.44892 .44462 L
.44943 .44531 L
.45053 .44622 L
.45104 .44724 L
.45166 .44783 L
.45265 .44925 L
.45284 .44943 L
.45424 .45104 L
.45425 .45105 L
.45576 .45265 L
.45586 .4531 L
.45682 .45425 L
.45746 .4552 L
.45791 .45586 L
.45907 .45729 L
.45909 .45746 L
.46045 .45907 L
.46067 .45919 L
.46184 .46067 L
.46228 .46131 L
.46288 .46228 L
.46388 .46357 L
.464 .46388 L
.46519 .46549 L
.46549 .46595 L
.46665 .46709 L
.46623 .4687 L
.46549 .46883 L
.46473 .4687 L
.46388 .46817 L
.46228 .46714 L
.46224 .46709 L
.46077 .46549 L
.46067 .46537 L
.45944 .46388 L
.45907 .46339 L
.45799 .46228 L
.45746 .46134 L
.4569 .46067 L
.45586 .45928 L
.45573 .45907 L
.45439 .45746 L
.45425 .45735 L
.45288 .45586 L
.45265 .45527 L
.45187 .45425 L
.45104 .45311 L
.45077 .45265 L
.4495 .45104 L
.44943 .45095 L
.44831 .44943 L
.44783 .44878 L
.44694 .44783 L
.44622 .44681 L
.44596 .44622 L
.44489 .44462 L
.44462 .44417 L
.44398 .44301 L
F
.44462 .39186 m
.44587 .39325 L
.44622 .39361 L
.44729 .39486 L
.44783 .39544 L
.44868 .39646 L
.44943 .39731 L
.45005 .39807 L
.45104 .39907 L
.4514 .39967 L
.45265 .40115 L
.45278 .40128 L
.45403 .40288 L
.45425 .40314 L
.45532 .40449 L
.45586 .40475 L
.45662 .40609 L
.45746 .40701 L
.45826 .4077 L
.45907 .40911 L
.45924 .4093 L
.46047 .41091 L
.46067 .41115 L
.46173 .41251 L
.46228 .41297 L
.463 .41412 L
.46388 .41516 L
.46443 .41572 L
.46549 .41727 L
.46554 .41733 L
.46677 .41894 L
.46709 .41933 L
.46802 .42054 L
.4687 .42124 L
.46964 .42215 L
.4703 .42341 L
.4706 .42375 L
.47178 .42536 L
.47191 .42552 L
.47301 .42696 L
.47351 .42733 L
.47425 .42857 L
.47512 .42958 L
.47566 .43017 L
.47672 .43174 L
.47676 .43178 L
.47797 .43338 L
.47833 .43383 L
.4792 .43499 L
.47993 .43574 L
.48077 .43659 L
.48154 .43797 L
.48173 .4382 L
.48291 .4398 L
.48314 .4401 L
.48413 .44141 L
.48475 .44186 L
.48536 .44301 L
.48636 .44421 L
.48672 .44462 L
.48783 .44622 L
.48796 .44639 L
.48903 .44783 L
.48957 .44851 L
.49025 .44943 L
.49117 .45044 L
.49172 .45104 L
.49272 .45265 L
.49278 .45272 L
.4939 .45425 L
.49438 .45486 L
.49511 .45586 L
.49599 .45666 L
.49634 .45746 L
.49757 .45907 L
.49759 .4591 L
.49874 .46067 L
.4992 .46126 L
.49992 .46228 L
.5008 .46342 L
.50113 .46388 L
.50235 .46549 L
.50241 .46557 L
.50349 .46709 L
.50401 .46778 L
.50465 .4687 L
.50562 .46998 L
.50584 .4703 L
.50699 .47191 L
.50722 .47222 L
.50807 .47351 L
.50883 .47455 L
.50918 .47512 L
.50883 .47669 L
.50741 .47512 L
.50722 .47492 L
.506 .47351 L
.50562 .47309 L
.50461 .47191 L
.50401 .47122 L
.50324 .4703 L
.50241 .46944 L
.50188 .4687 L
.5008 .4674 L
.50049 .46709 L
.49923 .46549 L
.4992 .46544 L
.49791 .46388 L
.49759 .46371 L
.49659 .46228 L
.49599 .46157 L
.49503 .46067 L
.49438 .45952 L
.49401 .45907 L
.49278 .45752 L
.49274 .45746 L
.49143 .45586 L
.49117 .45561 L
.49014 .45425 L
.48957 .45353 L
.4888 .45265 L
.48796 .45145 L
.48767 .45104 L
.48636 .44944 L
.48635 .44943 L
.48508 .44783 L
.48475 .44746 L
.48361 .44622 L
.48314 .44535 L
.48258 .44462 L
.48154 .44327 L
.48141 .44301 L
.48006 .44141 L
.47993 .4413 L
.47839 .4398 L
.47833 .43921 L
.4775 .4382 L
.47672 .43709 L
.4764 .43659 L
.47512 .43502 L
.47511 .43499 L
.47385 .43338 L
.47351 .43302 L
.47242 .43178 L
.47191 .43088 L
.47139 .43017 L
.4703 .42876 L
.47021 .42857 L
.46892 .42696 L
.4687 .4268 L
.46725 .42536 L
.46709 .42464 L
.46638 .42375 L
.46549 .42247 L
.46528 .42215 L
.46402 .42054 L
.46388 .42036 L
.4628 .41894 L
.46228 .41838 L
.46137 .41733 L
.46067 .41616 L
.46036 .41572 L
.45916 .41412 L
.45907 .41399 L
.45796 .41251 L
.45746 .41215 L
.45629 .41091 L
.45586 .40979 L
.45548 .4093 L
.45436 .4077 L
.45425 .40755 L
.45318 .40609 L
.45265 .40538 L
.45199 .40449 L
.45104 .40332 L
.45069 .40288 L
.44965 .40128 L
.44943 .40098 L
.44851 .39967 L
.44783 .39874 L
.44736 .39807 L
.44622 .39648 L
.44621 .39646 L
.44516 .39486 L
.44462 .39408 L
.4441 .39325 L
F
1 .91 .061 r
.44462 .44175 m
.44622 .44255 L
.44714 .44301 L
.44783 .44374 L
.44882 .44462 L
.44943 .44541 L
.45047 .44622 L
.45104 .44731 L
.45161 .44783 L
.45265 .44928 L
.45282 .44943 L
.4542 .45104 L
.45425 .45109 L
.45575 .45265 L
.45586 .45314 L
.45679 .45425 L
.45746 .45524 L
.45789 .45586 L
.45907 .45732 L
.45908 .45746 L
.46042 .45907 L
.46067 .45922 L
.46182 .46067 L
.46228 .46136 L
.46285 .46228 L
.46388 .46365 L
.46397 .46388 L
.46513 .46549 L
.46549 .46605 L
.46655 .46709 L
.46549 .46869 L
.46388 .46802 L
.46234 .46709 L
.46228 .46703 L
.46083 .46549 L
.46067 .46529 L
.45948 .46388 L
.45907 .46334 L
.45802 .46228 L
.45746 .46129 L
.45693 .46067 L
.45586 .45925 L
.45575 .45907 L
.45442 .45746 L
.45425 .45733 L
.45289 .45586 L
.45265 .45523 L
.45189 .45425 L
.45104 .45307 L
.45079 .45265 L
.44954 .45104 L
.44943 .4509 L
.44835 .44943 L
.44783 .44872 L
.44699 .44783 L
.44622 .44669 L
.44602 .44622 L
.44498 .44462 L
.44462 .444 L
.44412 .44301 L
F
1 .49 0 r
.44462 .48986 m
.44575 .49117 L
.44622 .49168 L
.44715 .49278 L
.44783 .49355 L
.44852 .49438 L
.44943 .49546 L
.44987 .49599 L
.45104 .49733 L
.4512 .49759 L
.4525 .4992 L
.45265 .49937 L
.45379 .5008 L
.45425 .50136 L
.45509 .50241 L
.45586 .50297 L
.45638 .50401 L
.45746 .50531 L
.45779 .50562 L
.45893 .50722 L
.45907 .50739 L
.46019 .50883 L
.46067 .50943 L
.46145 .51043 L
.46228 .51128 L
.4632 .51204 L
.46388 .51351 L
.46401 .51364 L
.46521 .51525 L
.46549 .51559 L
.46645 .51686 L
.46709 .5172 L
.4677 .51846 L
.4687 .51966 L
.46909 .52007 L
.47017 .52167 L
.4703 .52183 L
.47139 .52328 L
.47191 .52394 L
.47262 .52488 L
.47351 .52582 L
.47422 .52649 L
.47508 .52809 L
.47512 .52815 L
.47627 .5297 L
.47672 .53028 L
.47747 .5313 L
.47833 .53242 L
.47869 .53291 L
.4799 .53451 L
.47993 .53456 L
.48106 .53612 L
.48154 .53675 L
.48224 .53772 L
.48314 .53893 L
.48343 .53933 L
.48459 .54093 L
.48475 .54115 L
.4857 .54254 L
.48636 .54343 L
.48682 .54414 L
.48796 .54575 L
.48796 .54575 L
.48796 .54733 L
.48653 .54575 L
.48636 .54557 L
.48514 .54414 L
.48475 .54372 L
.48377 .54254 L
.48314 .54183 L
.48242 .54093 L
.48154 .53991 L
.48107 .53933 L
.47993 .53807 L
.47975 .53772 L
.47845 .53612 L
.47833 .53598 L
.47717 .53451 L
.47672 .53398 L
.47588 .53291 L
.47512 .53247 L
.47459 .5313 L
.47351 .53004 L
.47314 .5297 L
.47205 .52809 L
.47191 .52793 L
.4708 .52649 L
.4703 .52588 L
.46954 .52488 L
.4687 .52408 L
.46827 .52328 L
.46709 .5218 L
.46697 .52167 L
.46578 .52007 L
.46549 .5197 L
.46455 .51846 L
.46388 .51762 L
.4633 .51686 L
.46228 .51565 L
.46188 .51525 L
.46083 .51364 L
.46067 .51345 L
.45962 .51204 L
.45907 .51134 L
.45839 .51043 L
.45746 .5095 L
.45715 .50883 L
.45593 .50722 L
.45586 .50713 L
.45474 .50562 L
.45425 .50499 L
.45354 .50401 L
.45265 .50286 L
.45232 .50241 L
.45111 .5008 L
.45104 .50072 L
.44995 .4992 L
.44943 .49853 L
.44878 .49759 L
.44783 .49634 L
.44758 .49599 L
.44642 .49438 L
.44622 .49412 L
.44532 .49278 L
.44462 .49182 L
.4442 .49117 L
F
0 .14 1 r
.44462 .49667 m
.44533 .49759 L
.44622 .49862 L
.44666 .4992 L
.44783 .5006 L
.44798 .5008 L
.44924 .50241 L
.44943 .50263 L
.45047 .50401 L
.45104 .50469 L
.45172 .50562 L
.45265 .50675 L
.45299 .50722 L
.45425 .50882 L
.45426 .50883 L
.45541 .51043 L
.45586 .51098 L
.4566 .51204 L
.45746 .51312 L
.45782 .51364 L
.45746 .51467 L
.45668 .51364 L
.45586 .5127 L
.45536 .51204 L
.45425 .51071 L
.45404 .51043 L
.45277 .50883 L
.45265 .50869 L
.45156 .50722 L
.45104 .50661 L
.45032 .50562 L
.44943 .50454 L
.44906 .50401 L
.44783 .50246 L
.44779 .50241 L
.44663 .5008 L
.44622 .5003 L
.44546 .4992 L
.44462 .49814 L
.44425 .49759 L
F
1 .48 0 r
.44462 .48995 m
.44568 .49117 L
.44622 .49175 L
.44709 .49278 L
.44783 .49361 L
.44847 .49438 L
.44943 .49551 L
.44982 .49599 L
.45104 .49739 L
.45116 .49759 L
.45246 .4992 L
.45265 .49941 L
.45376 .5008 L
.45425 .5014 L
.45505 .50241 L
.45586 .50302 L
.45635 .50401 L
.45746 .50535 L
.45775 .50562 L
.4589 .50722 L
.45907 .50743 L
.46016 .50883 L
.46067 .50946 L
.46143 .51043 L
.46228 .51132 L
.46315 .51204 L
.46388 .51354 L
.46397 .51364 L
.46519 .51525 L
.46549 .51563 L
.46643 .51686 L
.46709 .51723 L
.46768 .51846 L
.4687 .51969 L
.46906 .52007 L
.47015 .52167 L
.4703 .52187 L
.47137 .52328 L
.47191 .52397 L
.4726 .52488 L
.47351 .52587 L
.47417 .52649 L
.47505 .52809 L
.47512 .52818 L
.47624 .5297 L
.47672 .53032 L
.47745 .5313 L
.47833 .53246 L
.47866 .53291 L
.47987 .53451 L
.47993 .5346 L
.48102 .53612 L
.48154 .53679 L
.4822 .53772 L
.48314 .53898 L
.48339 .53933 L
.48454 .54093 L
.48475 .54121 L
.48565 .54254 L
.48636 .54351 L
.48677 .54414 L
.48636 .54549 L
.48521 .54414 L
.48475 .54366 L
.48382 .54254 L
.48314 .54178 L
.48246 .54093 L
.48154 .53986 L
.48111 .53933 L
.47993 .53801 L
.47978 .53772 L
.47848 .53612 L
.47833 .53594 L
.4772 .53451 L
.47672 .53394 L
.47591 .53291 L
.47512 .53243 L
.47462 .5313 L
.47351 .52999 L
.47318 .5297 L
.47207 .52809 L
.47191 .52789 L
.47082 .52649 L
.4703 .52585 L
.46956 .52488 L
.4687 .52404 L
.4683 .52328 L
.46709 .52176 L
.46701 .52167 L
.46581 .52007 L
.46549 .51967 L
.46457 .51846 L
.46388 .51759 L
.46333 .51686 L
.46228 .51561 L
.46191 .51525 L
.46085 .51364 L
.46067 .51342 L
.45964 .51204 L
.45907 .51131 L
.45841 .51043 L
.45746 .50945 L
.45718 .50883 L
.45595 .50722 L
.45586 .5071 L
.45477 .50562 L
.45425 .50496 L
.45356 .50401 L
.45265 .50282 L
.45234 .50241 L
.45114 .5008 L
.45104 .50067 L
.44999 .4992 L
.44943 .49848 L
.44881 .49759 L
.44783 .49629 L
.44762 .49599 L
.44647 .49438 L
.44622 .49406 L
.44538 .49278 L
.44462 .49174 L
.44426 .49117 L
F
.004 .82 1 r
.44462 .4832 m
.44608 .48475 L
.44622 .4849 L
.44752 .48636 L
.44783 .48669 L
.44894 .48796 L
.44943 .48852 L
.45032 .48957 L
.45104 .49022 L
.45169 .49117 L
.45265 .49229 L
.45319 .49278 L
.45425 .49426 L
.45435 .49438 L
.45567 .49599 L
.45586 .49601 L
.45698 .49759 L
.45746 .49811 L
.45873 .4992 L
.45907 .50017 L
.45963 .5008 L
.46067 .50219 L
.46082 .50241 L
.46215 .50401 L
.46228 .50412 L
.46343 .50562 L
.46388 .50616 L
.46485 .50722 L
.46549 .50824 L
.46593 .50883 L
.46709 .51029 L
.46716 .51043 L
.46849 .51204 L
.4687 .51225 L
.47006 .51364 L
.4703 .51434 L
.47104 .51525 L
.47191 .51644 L
.47217 .51686 L
.47351 .51846 L
.47351 .51846 L
.47476 .52007 L
.47512 .52049 L
.47614 .52167 L
.47672 .52261 L
.47721 .52328 L
.47833 .5247 L
.47841 .52488 L
.47973 .52649 L
.47993 .52668 L
.48126 .52809 L
.48154 .5288 L
.48225 .5297 L
.48314 .53093 L
.48338 .5313 L
.48468 .53291 L
.48475 .53294 L
.48591 .53451 L
.48636 .53501 L
.48729 .53612 L
.48796 .53717 L
.48836 .53772 L
.48957 .53928 L
.48958 .53933 L
.49082 .54093 L
.49117 .54124 L
.49237 .54254 L
.49278 .54343 L
.49333 .54414 L
.49438 .54559 L
.49448 .54575 L
.49571 .54735 L
.49599 .54744 L
.49693 .54896 L
.49759 .5497 L
.4983 .55057 L
.4992 .55192 L
.49937 .55217 L
.50057 .55378 L
.5008 .55408 L
.50177 .55538 L
.50241 .55597 L
.50329 .55699 L
.50401 .55831 L
.50423 .55859 L
.50538 .5602 L
.50562 .56051 L
.50656 .5618 L
.50722 .56269 L
.50775 .56341 L
.50883 .5648 L
.50899 .56501 L
.51009 .56662 L
.51043 .56707 L
.51124 .56822 L
.51204 .56931 L
.51241 .56983 L
.51355 .57143 L
.51364 .57156 L
.51462 .57304 L
.51525 .57394 L
.5157 .57464 L
.51674 .57625 L
.51525 .57632 L
.51522 .57625 L
.51374 .57464 L
.51364 .57455 L
.51232 .57304 L
.51204 .57274 L
.51093 .57143 L
.51043 .57088 L
.50956 .56983 L
.50883 .56922 L
.5082 .56822 L
.50722 .5671 L
.50666 .56662 L
.50562 .5651 L
.50554 .56501 L
.50425 .56341 L
.50401 .56313 L
.50295 .5618 L
.50241 .56126 L
.50107 .5602 L
.5008 .55917 L
.50026 .55859 L
.4992 .55712 L
.49909 .55699 L
.49782 .55538 L
.49759 .55525 L
.49655 .55378 L
.49599 .55314 L
.49503 .55217 L
.49438 .55104 L
.49399 .55057 L
.49278 .54898 L
.49276 .54896 L
.49151 .54735 L
.49117 .54705 L
.48976 .54575 L
.48957 .54492 L
.48889 .54414 L
.48796 .54281 L
.48776 .54254 L
.48651 .54093 L
.48636 .54087 L
.48527 .53933 L
.48475 .53877 L
.48377 .53772 L
.48314 .53662 L
.48274 .53612 L
.48154 .53453 L
.48153 .53451 L
.4803 .53291 L
.47993 .5326 L
.47859 .5313 L
.47833 .53043 L
.47771 .5297 L
.47672 .52828 L
.47659 .52809 L
.47536 .52649 L
.47512 .52643 L
.47413 .52488 L
.47351 .52423 L
.47265 .52328 L
.47191 .52203 L
.47163 .52167 L
.47043 .52007 L
.4703 .5199 L
.46922 .51846 L
.4687 .51805 L
.46753 .51686 L
.46709 .51578 L
.46666 .51525 L
.46553 .51364 L
.46549 .51359 L
.46433 .51204 L
.46388 .51147 L
.46311 .51043 L
.46228 .50952 L
.46168 .50883 L
.46067 .50725 L
.46065 .50722 L
.45946 .50562 L
.45907 .50511 L
.45826 .50401 L
.45746 .50327 L
.45669 .50241 L
.45586 .50087 L
.4558 .5008 L
.45465 .4992 L
.45425 .49869 L
.45346 .49759 L
.45265 .49652 L
.45226 .49599 L
.45105 .49438 L
.45104 .49437 L
.44991 .49278 L
.44943 .49215 L
.44876 .49117 L
.44783 .48993 L
.44758 .48957 L
.44644 .48796 L
.44622 .48767 L
.44537 .48636 L
.44462 .48531 L
.44428 .48475 L
F
1 .9 .045 r
.44462 .44202 m
.44622 .44267 L
.44696 .44301 L
.44783 .44387 L
.44872 .44462 L
.44943 .44551 L
.45041 .44622 L
.45104 .44738 L
.45156 .44783 L
.45265 .44931 L
.45279 .44943 L
.45416 .45104 L
.45425 .45114 L
.45574 .45265 L
.45586 .45318 L
.45676 .45425 L
.45746 .45528 L
.45786 .45586 L
.45907 .45736 L
.45908 .45746 L
.46039 .45907 L
.46067 .45924 L
.46179 .46067 L
.46228 .46141 L
.46281 .46228 L
.46388 .46372 L
.46394 .46388 L
.46507 .46549 L
.46549 .46617 L
.46643 .46709 L
.46549 .46853 L
.46388 .46789 L
.46244 .46709 L
.46228 .46693 L
.4609 .46549 L
.46067 .46522 L
.45953 .46388 L
.45907 .46328 L
.45806 .46228 L
.45746 .46125 L
.45696 .46067 L
.45586 .45922 L
.45577 .45907 L
.45446 .45746 L
.45425 .45731 L
.45291 .45586 L
.45265 .4552 L
.45192 .45425 L
.45104 .45302 L
.45082 .45265 L
.44957 .45104 L
.44943 .45085 L
.44839 .44943 L
.44783 .44866 L
.44704 .44783 L
.44622 .44656 L
.44608 .44622 L
.44507 .44462 L
.44462 .44379 L
.44428 .44301 L
F
0 .13 1 r
.44462 .49674 m
.44527 .49759 L
.44622 .49868 L
.44662 .4992 L
.44783 .50065 L
.44794 .5008 L
.44919 .50241 L
.44943 .50269 L
.45042 .50401 L
.45104 .50475 L
.45168 .50562 L
.45265 .50681 L
.45295 .50722 L
.45265 .50863 L
.45161 .50722 L
.45104 .50655 L
.45036 .50562 L
.44943 .50448 L
.44909 .50401 L
.44783 .50241 L
.44783 .50241 L
.44669 .5008 L
.44622 .50024 L
.44551 .4992 L
.44462 .49807 L
.4443 .49759 L
F
1 .93 .114 r
.44462 .40561 m
.44495 .40609 L
.44622 .40756 L
.44632 .4077 L
.44622 .40864 L
.44556 .4077 L
.44462 .40653 L
.44431 .40609 L
F
1 .47 0 r
.44462 .49005 m
.4456 .49117 L
.44622 .49182 L
.44703 .49278 L
.44783 .49367 L
.44842 .49438 L
.44943 .49556 L
.44978 .49599 L
.45104 .49745 L
.45112 .49759 L
.45242 .4992 L
.45265 .49946 L
.45372 .5008 L
.45425 .50144 L
.45502 .50241 L
.45586 .50307 L
.45632 .50401 L
.45746 .50539 L
.4577 .50562 L
.45887 .50722 L
.45907 .50746 L
.46013 .50883 L
.46067 .5095 L
.4614 .51043 L
.46228 .51135 L
.46311 .51204 L
.46388 .51358 L
.46394 .51364 L
.46516 .51525 L
.46549 .51566 L
.4664 .51686 L
.46709 .51726 L
.46765 .51846 L
.4687 .51973 L
.46902 .52007 L
.47012 .52167 L
.4703 .5219 L
.47134 .52328 L
.47191 .524 L
.47257 .52488 L
.47351 .52591 L
.47412 .52649 L
.47502 .52809 L
.47512 .52822 L
.47621 .5297 L
.47672 .53036 L
.47742 .5313 L
.47833 .53249 L
.47863 .53291 L
.47983 .53451 L
.47993 .53465 L
.48099 .53612 L
.48154 .53684 L
.48217 .53772 L
.48314 .53903 L
.48336 .53933 L
.48449 .54093 L
.48475 .54128 L
.48559 .54254 L
.48636 .54359 L
.48671 .54414 L
.48636 .54539 L
.48528 .54414 L
.48475 .54359 L
.48388 .54254 L
.48314 .54172 L
.48251 .54093 L
.48154 .53981 L
.48115 .53933 L
.47993 .53795 L
.47982 .53772 L
.47852 .53612 L
.47833 .5359 L
.47723 .53451 L
.47672 .5339 L
.47594 .53291 L
.47512 .53238 L
.47465 .5313 L
.47351 .52995 L
.47323 .5297 L
.4721 .52809 L
.47191 .52786 L
.47085 .52649 L
.4703 .52581 L
.46959 .52488 L
.4687 .524 L
.46832 .52328 L
.46709 .52173 L
.46704 .52167 L
.46583 .52007 L
.46549 .51964 L
.4646 .51846 L
.46388 .51756 L
.46335 .51686 L
.46228 .51557 L
.46195 .51525 L
.46088 .51364 L
.46067 .51339 L
.45966 .51204 L
.45907 .51128 L
.45844 .51043 L
.45746 .50941 L
.4572 .50883 L
.45598 .50722 L
.45586 .50706 L
.4548 .50562 L
.45425 .50492 L
.45359 .50401 L
.45265 .50278 L
.45237 .50241 L
.45117 .5008 L
.45104 .50063 L
.45002 .4992 L
.44943 .49843 L
.44884 .49759 L
.44783 .49624 L
.44765 .49599 L
.44652 .49438 L
.44622 .49399 L
.44543 .49278 L
.44462 .49166 L
.44432 .49117 L
F
0 .12 1 r
.44462 .49683 m
.4452 .49759 L
.44622 .49875 L
.44657 .4992 L
.44783 .50071 L
.4479 .5008 L
.44783 .50235 L
.44674 .5008 L
.44622 .50017 L
.44557 .4992 L
.44462 .498 L
.44435 .49759 L
F
1 .46 0 r
.44462 .49017 m
.44551 .49117 L
.44622 .4919 L
.44697 .49278 L
.44783 .49373 L
.44837 .49438 L
.44943 .49562 L
.44974 .49599 L
.45104 .49752 L
.45108 .49759 L
.45238 .4992 L
.45265 .4995 L
.45368 .5008 L
.45425 .50148 L
.45499 .50241 L
.45586 .50312 L
.45629 .50401 L
.45746 .50544 L
.45766 .50562 L
.45884 .50722 L
.45907 .5075 L
.4601 .50883 L
.46067 .50953 L
.46137 .51043 L
.46228 .51139 L
.46306 .51204 L
.46388 .51362 L
.46391 .51364 L
.46513 .51525 L
.46549 .51569 L
.46638 .51686 L
.46709 .5173 L
.46763 .51846 L
.4687 .51977 L
.46898 .52007 L
.4701 .52167 L
.4703 .52193 L
.47131 .52328 L
.47191 .52403 L
.47254 .52488 L
.47351 .52596 L
.47408 .52649 L
.47499 .52809 L
.47512 .52825 L
.47618 .5297 L
.47672 .5304 L
.47739 .5313 L
.47833 .53253 L
.47861 .53291 L
.4798 .53451 L
.47993 .53469 L
.48095 .53612 L
.48154 .53689 L
.48213 .53772 L
.48314 .53908 L
.48332 .53933 L
.48444 .54093 L
.48475 .54134 L
.48554 .54254 L
.48636 .54368 L
.48665 .54414 L
.48636 .54529 L
.48536 .54414 L
.48475 .54351 L
.48394 .54254 L
.48314 .54166 L
.48255 .54093 L
.48154 .53976 L
.48119 .53933 L
.47993 .53788 L
.47985 .53772 L
.47856 .53612 L
.47833 .53585 L
.47727 .53451 L
.47672 .53386 L
.47597 .53291 L
.47512 .53233 L
.47468 .5313 L
.47351 .52991 L
.47328 .5297 L
.47213 .52809 L
.47191 .52782 L
.47088 .52649 L
.4703 .52578 L
.46961 .52488 L
.4687 .52396 L
.46834 .52328 L
.46709 .52169 L
.46707 .52167 L
.46586 .52007 L
.46549 .51961 L
.46462 .51846 L
.46388 .51753 L
.46337 .51686 L
.46228 .51553 L
.46199 .51525 L
.4609 .51364 L
.46067 .51336 L
.45969 .51204 L
.45907 .51125 L
.45846 .51043 L
.45746 .50936 L
.45722 .50883 L
.45601 .50722 L
.45586 .50703 L
.45482 .50562 L
.45425 .50488 L
.45362 .50401 L
.45265 .50275 L
.4524 .50241 L
.45121 .5008 L
.45104 .50059 L
.45006 .4992 L
.44943 .49839 L
.44888 .49759 L
.44783 .49619 L
.44769 .49599 L
.44657 .49438 L
.44622 .49392 L
.44549 .49278 L
.44462 .49157 L
.44438 .49117 L
F
.289 .96 1 r
.44462 .38563 m
.4459 .38683 L
.44622 .38713 L
.44745 .38844 L
.44783 .38882 L
.44892 .39004 L
.44943 .3906 L
.45034 .39165 L
.45104 .39225 L
.45173 .39325 L
.45265 .39429 L
.45335 .39486 L
.45425 .39625 L
.45446 .39646 L
.45575 .39807 L
.45586 .39808 L
.45706 .39967 L
.45746 .40008 L
.45837 .40128 L
.45907 .40213 L
.45979 .40288 L
.46067 .40416 L
.46093 .40449 L
.46223 .40609 L
.46228 .40612 L
.4635 .4077 L
.46388 .40813 L
.46503 .4093 L
.46549 .41021 L
.46607 .41091 L
.46709 .41228 L
.46725 .41251 L
.46856 .41412 L
.4687 .41425 L
.47025 .41572 L
.4703 .41632 L
.47119 .41733 L
.47191 .41842 L
.47229 .41894 L
.47351 .42048 L
.47353 .42054 L
.47481 .42215 L
.47512 .42248 L
.4763 .42375 L
.47672 .42459 L
.47734 .42536 L
.47833 .4267 L
.47849 .42696 L
.47979 .42857 L
.47993 .42869 L
.48144 .43017 L
.48154 .43078 L
.48239 .43178 L
.48314 .43291 L
.48349 .43338 L
.48475 .43498 L
.48475 .43499 L
.48598 .43659 L
.48636 .43698 L
.48747 .4382 L
.48796 .43912 L
.4885 .4398 L
.48957 .44124 L
.48966 .44141 L
.49092 .44301 L
.49117 .4432 L
.4926 .44462 L
.49278 .44534 L
.49352 .44622 L
.49438 .44749 L
.49462 .44783 L
.49586 .44943 L
.49599 .44945 L
.49708 .45104 L
.49759 .45155 L
.49858 .45265 L
.4992 .45373 L
.4996 .45425 L
.50079 .45586 L
.5008 .45587 L
.502 .45746 L
.50241 .45775 L
.5037 .45907 L
.50401 .45997 L
.5046 .46067 L
.50562 .46215 L
.50571 .46228 L
.50692 .46388 L
.50722 .46426 L
.50814 .46549 L
.50883 .46618 L
.50962 .46709 L
.51043 .46842 L
.51065 .4687 L
.51183 .4703 L
.51204 .47057 L
.51304 .47191 L
.51364 .47236 L
.5147 .47351 L
.51525 .47469 L
.51559 .47512 L
.51672 .47672 L
.51686 .47689 L
.51792 .47833 L
.51846 .47902 L
.51914 .47993 L
.52007 .48097 L
.52054 .48154 L
.5216 .48314 L
.52167 .48324 L
.52278 .48475 L
.52328 .48539 L
.52398 .48636 L
.52488 .48725 L
.52548 .48796 L
.52642 .48957 L
.52649 .48965 L
.52759 .49117 L
.52809 .49182 L
.52877 .49278 L
.5297 .49399 L
.52998 .49438 L
.53117 .49599 L
.5313 .49616 L
.5323 .49759 L
.53291 .49839 L
.53345 .4992 L
.53451 .50063 L
.53463 .5008 L
.53571 .50241 L
.53612 .50299 L
.53672 .50401 L
.53612 .50502 L
.53506 .50401 L
.53451 .50349 L
.53345 .50241 L
.53291 .50184 L
.53193 .5008 L
.5313 .50027 L
.53048 .4992 L
.5297 .4983 L
.52882 .49759 L
.52809 .49639 L
.5277 .49599 L
.52649 .49449 L
.52639 .49438 L
.52503 .49278 L
.52488 .49261 L
.5237 .49117 L
.52328 .49062 L
.52235 .48957 L
.52167 .48859 L
.52119 .48796 L
.52007 .48658 L
.51997 .48636 L
.51854 .48475 L
.51846 .48465 L
.51717 .48314 L
.51686 .48259 L
.51605 .48154 L
.51525 .4805 L
.51494 .47993 L
.51364 .47845 L
.51344 .47833 L
.51209 .47672 L
.51204 .47652 L
.51094 .47512 L
.51043 .47442 L
.50984 .47351 L
.50883 .47229 L
.50839 .47191 L
.50722 .47038 L
.50716 .4703 L
.50586 .4687 L
.50562 .4683 L
.50475 .46709 L
.50401 .46616 L
.5037 .46549 L
.50241 .46404 L
.50215 .46388 L
.50086 .46228 L
.5008 .46212 L
.49969 .46067 L
.4992 .46 L
.49861 .45907 L
.49759 .45786 L
.49717 .45746 L
.49599 .45586 L
.49595 .45586 L
.49466 .45425 L
.49438 .45381 L
.49356 .45265 L
.49278 .45166 L
.49251 .45104 L
.49117 .44957 L
.49099 .44943 L
.48967 .44783 L
.48957 .44758 L
.48853 .44622 L
.48796 .44545 L
.48746 .44462 L
.48636 .44332 L
.48605 .44301 L
.48483 .44141 L
.48475 .44132 L
.48352 .4398 L
.48314 .43922 L
.48243 .4382 L
.48154 .43708 L
.48136 .43659 L
.47993 .43502 L
.4799 .43499 L
.47851 .43338 L
.47833 .43296 L
.47743 .43178 L
.47672 .43082 L
.47635 .43017 L
.47512 .42871 L
.47499 .42857 L
.47377 .42696 L
.47351 .42669 L
.47243 .42536 L
.47191 .42455 L
.47136 .42375 L
.4703 .42241 L
.47022 .42215 L
.46888 .42054 L
.4687 .42041 L
.46741 .41894 L
.46709 .41827 L
.4664 .41733 L
.46549 .41609 L
.46528 .41572 L
.46401 .41412 L
.46388 .41396 L
.4628 .41251 L
.46228 .41198 L
.46144 .41091 L
.46067 .40974 L
.46038 .4093 L
.45917 .4077 L
.45907 .40756 L
.45798 .40609 L
.45746 .4057 L
.45648 .40449 L
.45586 .40334 L
.45553 .40288 L
.45439 .40128 L
.45425 .40109 L
.45323 .39967 L
.45265 .39889 L
.45148 .39807 L
.45104 .39679 L
.45081 .39646 L
.44974 .39486 L
.44943 .39444 L
.44861 .39325 L
.44783 .39216 L
.44748 .39165 L
.44639 .39004 L
.44622 .3898 L
.44538 .38844 L
.44462 .38725 L
.44439 .38683 L
F
.003 .81 1 r
.44462 .48343 m
.4459 .48475 L
.44622 .48507 L
.44739 .48636 L
.44783 .48682 L
.44883 .48796 L
.44943 .48864 L
.45023 .48957 L
.45104 .49032 L
.45161 .49117 L
.45265 .49239 L
.45309 .49278 L
.45425 .49434 L
.45429 .49438 L
.45561 .49599 L
.45586 .49603 L
.45693 .49759 L
.45746 .49817 L
.45868 .4992 L
.45907 .50023 L
.45958 .5008 L
.46067 .50225 L
.46078 .50241 L
.4621 .50401 L
.46228 .50415 L
.46338 .50562 L
.46388 .50621 L
.46482 .50722 L
.46549 .50829 L
.4659 .50883 L
.46709 .51033 L
.46714 .51043 L
.46845 .51204 L
.4687 .51229 L
.47004 .51364 L
.4703 .51438 L
.47101 .51525 L
.47191 .51648 L
.47215 .51686 L
.47348 .51846 L
.47351 .51848 L
.47473 .52007 L
.47512 .52052 L
.47611 .52167 L
.47672 .52264 L
.47719 .52328 L
.47833 .52473 L
.47839 .52488 L
.4797 .52649 L
.47993 .52671 L
.48124 .52809 L
.48154 .52883 L
.48222 .5297 L
.48314 .53096 L
.48336 .5313 L
.48465 .53291 L
.48475 .53295 L
.48588 .53451 L
.48636 .53505 L
.48726 .53612 L
.48796 .5372 L
.48833 .53772 L
.48957 .53932 L
.48957 .53933 L
.4908 .54093 L
.49117 .54127 L
.49234 .54254 L
.49278 .54346 L
.4933 .54414 L
.49438 .54563 L
.49445 .54575 L
.49568 .54735 L
.49599 .54746 L
.4969 .54896 L
.49759 .54974 L
.49827 .55057 L
.4992 .55197 L
.49934 .55217 L
.50053 .55378 L
.5008 .55413 L
.50174 .55538 L
.50241 .55602 L
.50325 .55699 L
.50401 .55837 L
.50418 .55859 L
.50533 .5602 L
.50562 .56057 L
.50651 .5618 L
.50722 .56275 L
.5077 .56341 L
.50883 .56489 L
.50892 .56501 L
.51003 .56662 L
.51043 .56716 L
.51118 .56822 L
.51204 .5694 L
.51233 .56983 L
.51345 .57143 L
.51364 .5717 L
.51451 .57304 L
.51525 .57412 L
.51557 .57464 L
.51525 .57606 L
.5139 .57464 L
.51364 .57439 L
.51244 .57304 L
.51204 .57261 L
.51103 .57143 L
.51043 .57077 L
.50964 .56983 L
.50883 .56912 L
.50828 .56822 L
.50722 .56701 L
.50675 .56662 L
.50562 .56502 L
.50561 .56501 L
.50431 .56341 L
.50401 .56306 L
.503 .5618 L
.50241 .5612 L
.50111 .5602 L
.5008 .55911 L
.50031 .55859 L
.4992 .55707 L
.49913 .55699 L
.49786 .55538 L
.49759 .55522 L
.49659 .55378 L
.49599 .5531 L
.49506 .55217 L
.49438 .551 L
.49402 .55057 L
.49279 .54896 L
.49278 .54895 L
.49154 .54735 L
.49117 .54702 L
.48978 .54575 L
.48957 .54488 L
.48891 .54414 L
.48796 .54278 L
.48779 .54254 L
.48653 .54093 L
.48636 .54086 L
.48529 .53933 L
.48475 .53874 L
.4838 .53772 L
.48314 .53659 L
.48276 .53612 L
.48155 .53451 L
.48154 .5345 L
.48033 .53291 L
.47993 .53258 L
.47861 .5313 L
.47833 .5304 L
.47773 .5297 L
.47672 .52825 L
.47661 .52809 L
.47538 .52649 L
.47512 .52642 L
.47416 .52488 L
.47351 .5242 L
.47268 .52328 L
.47191 .522 L
.47165 .52167 L
.47046 .52007 L
.4703 .51987 L
.46924 .51846 L
.4687 .51802 L
.46755 .51686 L
.46709 .51574 L
.46669 .51525 L
.46555 .51364 L
.46549 .51356 L
.46435 .51204 L
.46388 .51143 L
.46314 .51043 L
.46228 .50948 L
.46172 .50883 L
.46068 .50722 L
.46067 .50721 L
.4595 .50562 L
.45907 .50507 L
.45829 .50401 L
.45746 .50321 L
.45674 .50241 L
.45586 .50081 L
.45585 .5008 L
.45469 .4992 L
.45425 .49863 L
.4535 .49759 L
.45265 .49647 L
.4523 .49599 L
.4511 .49438 L
.45104 .4943 L
.44997 .49278 L
.44943 .49207 L
.44882 .49117 L
.44783 .48984 L
.44764 .48957 L
.44653 .48796 L
.44622 .48754 L
.44547 .48636 L
.44462 .48512 L
.4444 .48475 L
F
0 .11 1 r
.44462 .49692 m
.44513 .49759 L
.44622 .49881 L
.44651 .4992 L
.44783 .50076 L
.44786 .5008 L
.44783 .50228 L
.44681 .5008 L
.44622 .5001 L
.44563 .4992 L
.44462 .49792 L
.44441 .49759 L
F
1 .89 .033 r
.44462 .44235 m
.44622 .44278 L
.44677 .44301 L
.44783 .44398 L
.44862 .44462 L
.44943 .44559 L
.45034 .44622 L
.45104 .44744 L
.45151 .44783 L
.45265 .44934 L
.45276 .44943 L
.45412 .45104 L
.45425 .45118 L
.45573 .45265 L
.45586 .45322 L
.45673 .45425 L
.45746 .45532 L
.45784 .45586 L
.45907 .45739 L
.45908 .45746 L
.46035 .45907 L
.46067 .45926 L
.46176 .46067 L
.46228 .46146 L
.46277 .46228 L
.46388 .4638 L
.46391 .46388 L
.46501 .46549 L
.46549 .4663 L
.46629 .46709 L
.46549 .46837 L
.46388 .46778 L
.46255 .46709 L
.46228 .46683 L
.46096 .46549 L
.46067 .46515 L
.45958 .46388 L
.45907 .46323 L
.45809 .46228 L
.45746 .46121 L
.45699 .46067 L
.45586 .45919 L
.45578 .45907 L
.45449 .45746 L
.45425 .45728 L
.45293 .45586 L
.45265 .45516 L
.45195 .45425 L
.45104 .45298 L
.45084 .45265 L
.44961 .45104 L
.44943 .4508 L
.44843 .44943 L
.44783 .4486 L
.44709 .44783 L
.44622 .44641 L
.44614 .44622 L
.44516 .44462 L
.44462 .44352 L
.44444 .44301 L
F
1 .45 0 r
.44462 .49029 m
.44542 .49117 L
.44622 .49198 L
.4469 .49278 L
.44783 .4938 L
.44832 .49438 L
.44943 .49567 L
.44969 .49599 L
.45104 .49759 L
.45104 .49759 L
.45234 .4992 L
.45265 .49955 L
.45365 .5008 L
.45425 .50152 L
.45496 .50241 L
.45586 .50317 L
.45626 .50401 L
.45746 .50548 L
.45761 .50562 L
.45881 .50722 L
.45907 .50754 L
.46007 .50883 L
.46067 .50957 L
.46135 .51043 L
.46228 .51144 L
.46302 .51204 L
.46387 .51364 L
.46388 .51365 L
.46511 .51525 L
.46549 .51573 L
.46635 .51686 L
.46709 .51734 L
.4676 .51846 L
.4687 .51981 L
.46894 .52007 L
.47007 .52167 L
.4703 .52197 L
.47129 .52328 L
.47191 .52407 L
.47252 .52488 L
.47351 .526 L
.47403 .52649 L
.47496 .52809 L
.47512 .52829 L
.47615 .5297 L
.47672 .53043 L
.47736 .5313 L
.47833 .53257 L
.47858 .53291 L
.47976 .53451 L
.47993 .53474 L
.48092 .53612 L
.48154 .53694 L
.48209 .53772 L
.48314 .53914 L
.48328 .53933 L
.48439 .54093 L
.48475 .54142 L
.48548 .54254 L
.48636 .54377 L
.48658 .54414 L
.48636 .54518 L
.48545 .54414 L
.48475 .54344 L
.484 .54254 L
.48314 .5416 L
.4826 .54093 L
.48154 .53971 L
.48123 .53933 L
.47993 .53781 L
.47989 .53772 L
.4786 .53612 L
.47833 .53581 L
.4773 .53451 L
.47672 .53382 L
.476 .53291 L
.47512 .53228 L
.47471 .5313 L
.47351 .52986 L
.47333 .5297 L
.47216 .52809 L
.47191 .52779 L
.4709 .52649 L
.4703 .52575 L
.46964 .52488 L
.4687 .52392 L
.46837 .52328 L
.46711 .52167 L
.46709 .52165 L
.46588 .52007 L
.46549 .51958 L
.46464 .51846 L
.46388 .5175 L
.46339 .51686 L
.46228 .51549 L
.46203 .51525 L
.46093 .51364 L
.46067 .51333 L
.45971 .51204 L
.45907 .51122 L
.45848 .51043 L
.45746 .50931 L
.45725 .50883 L
.45604 .50722 L
.45586 .50699 L
.45485 .50562 L
.45425 .50485 L
.45365 .50401 L
.45265 .50271 L
.45243 .50241 L
.45124 .5008 L
.45104 .50054 L
.45009 .4992 L
.44943 .49834 L
.44892 .49759 L
.44783 .49614 L
.44772 .49599 L
.44663 .49438 L
.44622 .49384 L
.44555 .49278 L
.44462 .49146 L
.44445 .49117 L
F
0 .1 1 r
.44462 .49703 m
.44504 .49759 L
.44622 .49889 L
.44646 .4992 L
.44622 .50001 L
.4457 .4992 L
.44462 .49783 L
.44447 .49759 L
F
1 .09 0 r
.44462 .50374 m
.44476 .50401 L
.44462 .50417 L
.4445 .50401 L
F
0 .64 1 r
.44462 .44793 m
.44622 .44919 L
.44635 .44943 L
.44783 .45102 L
.44784 .45104 L
.44919 .45265 L
.44943 .45292 L
.45049 .45425 L
.45104 .45493 L
.45174 .45586 L
.45265 .45702 L
.45297 .45746 L
.45413 .45907 L
.45425 .45923 L
.45516 .46067 L
.45586 .46184 L
.45606 .46228 L
.45586 .46305 L
.45472 .46228 L
.45425 .46189 L
.45307 .46067 L
.45265 .46024 L
.45164 .45907 L
.45104 .45838 L
.45029 .45746 L
.44943 .45641 L
.44901 .45586 L
.44783 .45436 L
.44773 .45425 L
.44663 .45265 L
.44622 .45209 L
.44553 .45104 L
.44462 .44962 L
.44451 .44943 L
F
1 .44 0 r
.44462 .49045 m
.4453 .49117 L
.44622 .49207 L
.44683 .49278 L
.44783 .49387 L
.44826 .49438 L
.44943 .49573 L
.44965 .49599 L
.45099 .49759 L
.45104 .49765 L
.4523 .4992 L
.45265 .4996 L
.45361 .5008 L
.45425 .50157 L
.45492 .50241 L
.45586 .50322 L
.45623 .50401 L
.45746 .50553 L
.45756 .50562 L
.45878 .50722 L
.45907 .50757 L
.46005 .50883 L
.46067 .5096 L
.46132 .51043 L
.46228 .51148 L
.46297 .51204 L
.46385 .51364 L
.46388 .51369 L
.46508 .51525 L
.46549 .51576 L
.46632 .51686 L
.46709 .51738 L
.46758 .51846 L
.4687 .51985 L
.4689 .52007 L
.47004 .52167 L
.4703 .522 L
.47126 .52328 L
.47191 .5241 L
.47249 .52488 L
.47351 .52605 L
.47397 .52649 L
.47493 .52809 L
.47512 .52833 L
.47612 .5297 L
.47672 .53047 L
.47733 .5313 L
.47833 .53261 L
.47855 .53291 L
.47973 .53451 L
.47993 .53478 L
.48088 .53612 L
.48154 .53699 L
.48206 .53772 L
.48314 .53919 L
.48324 .53933 L
.48433 .54093 L
.48475 .5415 L
.48541 .54254 L
.48636 .54388 L
.48651 .54414 L
.48636 .54505 L
.48555 .54414 L
.48475 .54335 L
.48406 .54254 L
.48314 .54153 L
.48265 .54093 L
.48154 .53965 L
.48128 .53933 L
.47993 .53774 L
.47993 .53772 L
.47864 .53612 L
.47833 .53576 L
.47734 .53451 L
.47672 .53378 L
.47604 .53291 L
.47512 .53222 L
.47474 .5313 L
.47351 .52982 L
.47338 .5297 L
.47219 .52809 L
.47191 .52775 L
.47093 .52649 L
.4703 .52571 L
.46966 .52488 L
.4687 .52388 L
.46839 .52328 L
.46713 .52167 L
.46709 .52162 L
.46591 .52007 L
.46549 .51954 L
.46467 .51846 L
.46388 .51747 L
.46342 .51686 L
.46228 .51545 L
.46207 .51525 L
.46095 .51364 L
.46067 .51329 L
.45974 .51204 L
.45907 .51119 L
.45851 .51043 L
.45746 .50926 L
.45727 .50883 L
.45607 .50722 L
.45586 .50696 L
.45488 .50562 L
.45425 .50481 L
.45367 .50401 L
.45265 .50267 L
.45245 .50241 L
.45128 .5008 L
.45104 .5005 L
.45013 .4992 L
.44943 .49829 L
.44895 .49759 L
.44783 .49608 L
.44776 .49599 L
.44669 .49438 L
.44622 .49376 L
.44562 .49278 L
.44462 .49134 L
.44453 .49117 L
F
.002 .8 1 r
.44462 .48374 m
.44568 .48475 L
.44622 .48525 L
.44725 .48636 L
.44783 .48696 L
.44871 .48796 L
.44943 .48876 L
.45013 .48957 L
.45104 .49043 L
.45152 .49117 L
.45265 .49248 L
.45299 .49278 L
.45421 .49438 L
.45425 .49442 L
.45554 .49599 L
.45586 .49605 L
.45687 .49759 L
.45746 .49824 L
.45863 .4992 L
.45907 .50029 L
.45953 .5008 L
.46067 .5023 L
.46075 .50241 L
.46205 .50401 L
.46228 .50419 L
.46334 .50562 L
.46388 .50626 L
.46478 .50722 L
.46549 .50834 L
.46587 .50883 L
.46709 .51037 L
.46712 .51043 L
.46842 .51204 L
.4687 .51233 L
.47002 .51364 L
.4703 .51442 L
.47098 .51525 L
.47191 .51652 L
.47213 .51686 L
.47345 .51846 L
.47351 .5185 L
.4747 .52007 L
.47512 .52056 L
.47609 .52167 L
.47672 .52268 L
.47716 .52328 L
.47833 .52476 L
.47838 .52488 L
.47967 .52649 L
.47993 .52674 L
.48122 .52809 L
.48154 .52887 L
.4822 .5297 L
.48314 .53099 L
.48334 .5313 L
.48462 .53291 L
.48475 .53297 L
.48585 .53451 L
.48636 .53508 L
.48724 .53612 L
.48796 .53724 L
.48831 .53772 L
.48955 .53933 L
.48957 .53935 L
.49077 .54093 L
.49117 .54129 L
.49232 .54254 L
.49278 .5435 L
.49327 .54414 L
.49438 .54567 L
.49443 .54575 L
.49565 .54735 L
.49599 .54748 L
.49687 .54896 L
.49759 .54978 L
.49824 .55057 L
.4992 .55202 L
.49931 .55217 L
.5005 .55378 L
.5008 .55417 L
.5017 .55538 L
.50241 .55607 L
.5032 .55699 L
.50401 .55843 L
.50413 .55859 L
.50529 .5602 L
.50562 .56064 L
.50646 .5618 L
.50722 .56282 L
.50765 .56341 L
.50883 .565 L
.50884 .56501 L
.50997 .56662 L
.51043 .56725 L
.51111 .56822 L
.51204 .56951 L
.51226 .56983 L
.51335 .57143 L
.51364 .57185 L
.51439 .57304 L
.51525 .57434 L
.51543 .57464 L
.51525 .57579 L
.5141 .57464 L
.51364 .57422 L
.51258 .57304 L
.51204 .57248 L
.51114 .57143 L
.51043 .57066 L
.50973 .56983 L
.50883 .56902 L
.50836 .56822 L
.50722 .56692 L
.50686 .56662 L
.50567 .56501 L
.50562 .56495 L
.50437 .56341 L
.50401 .56299 L
.50306 .5618 L
.50241 .56115 L
.50117 .5602 L
.5008 .55905 L
.50036 .55859 L
.4992 .55702 L
.49917 .55699 L
.4979 .55538 L
.49759 .55519 L
.49663 .55378 L
.49599 .55306 L
.4951 .55217 L
.49438 .55096 L
.49405 .55057 L
.49282 .54896 L
.49278 .54891 L
.49157 .54735 L
.49117 .54699 L
.4898 .54575 L
.48957 .54485 L
.48894 .54414 L
.48796 .54274 L
.48781 .54254 L
.48656 .54093 L
.48636 .54085 L
.48532 .53933 L
.48475 .53871 L
.48382 .53772 L
.48314 .53656 L
.48279 .53612 L
.48158 .53451 L
.48154 .53446 L
.48035 .53291 L
.47993 .53256 L
.47863 .5313 L
.47833 .53037 L
.47776 .5297 L
.47672 .52822 L
.47663 .52809 L
.47541 .52649 L
.47512 .52641 L
.47418 .52488 L
.47351 .52417 L
.4727 .52328 L
.47191 .52197 L
.47168 .52167 L
.47048 .52007 L
.4703 .51984 L
.46927 .51846 L
.4687 .51799 L
.46758 .51686 L
.46709 .51571 L
.46672 .51525 L
.46558 .51364 L
.46549 .51352 L
.46438 .51204 L
.46388 .5114 L
.46316 .51043 L
.46228 .50943 L
.46175 .50883 L
.46071 .50722 L
.46067 .50717 L
.45953 .50562 L
.45907 .50503 L
.45832 .50401 L
.45746 .50315 L
.45679 .50241 L
.45589 .5008 L
.45586 .50076 L
.45473 .4992 L
.45425 .49858 L
.45354 .49759 L
.45265 .49641 L
.45234 .49599 L
.45116 .49438 L
.45104 .49423 L
.45003 .49278 L
.44943 .49198 L
.44888 .49117 L
.44783 .48974 L
.44771 .48957 L
.44663 .48796 L
.44622 .48739 L
.44559 .48636 L
.44462 .4849 L
.44454 .48475 L
F
0 .09 1 r
.44462 .49717 m
.44493 .49759 L
.44622 .49897 L
.44639 .4992 L
.44622 .49992 L
.44578 .4992 L
.44462 .49771 L
.44455 .49759 L
F
.061 .91 1 r
.44462 .39933 m
.44493 .39967 L
.44622 .40088 L
.44655 .40128 L
.44783 .40269 L
.44798 .40288 L
.44935 .40449 L
.44943 .40458 L
.45064 .40609 L
.45104 .40654 L
.45194 .4077 L
.45265 .40852 L
.45325 .4093 L
.45425 .4105 L
.45456 .41091 L
.45586 .41248 L
.45587 .41251 L
.45711 .41412 L
.45746 .41454 L
.45835 .41572 L
.45907 .41659 L
.45962 .41733 L
.46067 .41863 L
.4609 .41894 L
.46215 .42054 L
.46228 .42069 L
.46336 .42215 L
.46388 .42278 L
.46459 .42375 L
.46549 .42487 L
.46584 .42536 L
.46709 .42692 L
.46711 .42696 L
.46829 .42857 L
.4687 .42908 L
.46949 .43017 L
.4703 .4312 L
.47071 .43178 L
.47191 .43331 L
.47196 .43338 L
.47312 .43499 L
.47351 .43549 L
.47428 .43659 L
.47512 .43767 L
.47547 .4382 L
.47668 .4398 L
.47672 .43985 L
.47775 .44141 L
.47833 .44218 L
.47882 .44301 L
.47993 .44461 L
.47994 .44462 L
.47993 .44508 L
.47945 .44462 L
.47833 .44353 L
.47787 .44301 L
.47672 .44173 L
.47645 .44141 L
.47512 .43986 L
.47508 .4398 L
.47376 .4382 L
.47351 .43792 L
.47244 .43659 L
.47191 .43597 L
.47112 .43499 L
.4703 .434 L
.46981 .43338 L
.4687 .43215 L
.46852 .43178 L
.46725 .43017 L
.46709 .42998 L
.46599 .42857 L
.46549 .42795 L
.46471 .42696 L
.46388 .42591 L
.46345 .42536 L
.46228 .42389 L
.46212 .42375 L
.46097 .42215 L
.46067 .42178 L
.45973 .42054 L
.45907 .4197 L
.45848 .41894 L
.45746 .41781 L
.45725 .41733 L
.45604 .41572 L
.45586 .41549 L
.45484 .41412 L
.45425 .41336 L
.45362 .41251 L
.45265 .41122 L
.45241 .41091 L
.45124 .4093 L
.45104 .40905 L
.45008 .4077 L
.44943 .40685 L
.4489 .40609 L
.44783 .40463 L
.44773 .40449 L
.44666 .40288 L
.44622 .40229 L
.4456 .40128 L
.44462 .39979 L
.44456 .39967 L
F
1 .91 .061 r
.44462 .39271 m
.44526 .39325 L
.44622 .39409 L
.44692 .39486 L
.44783 .3958 L
.4484 .39646 L
.44943 .39761 L
.44982 .39807 L
.45104 .3994 L
.4512 .39967 L
.45254 .40128 L
.45265 .40139 L
.45386 .40288 L
.45425 .40334 L
.45517 .40449 L
.45586 .4049 L
.45648 .40609 L
.45746 .40719 L
.45806 .4077 L
.45907 .40927 L
.45909 .4093 L
.46035 .41091 L
.46067 .4113 L
.46162 .41251 L
.46228 .41309 L
.4629 .41412 L
.46388 .41529 L
.46431 .41572 L
.46544 .41733 L
.46549 .41738 L
.46668 .41894 L
.46709 .41944 L
.46794 .42054 L
.4687 .42135 L
.46954 .42215 L
.4703 .42352 L
.47051 .42375 L
.4717 .42536 L
.47191 .42561 L
.47293 .42696 L
.47351 .42741 L
.47418 .42857 L
.47512 .42968 L
.47558 .43017 L
.47668 .43178 L
.47672 .43183 L
.4779 .43338 L
.47833 .43392 L
.47913 .43499 L
.47993 .43583 L
.48068 .43659 L
.48154 .43807 L
.48165 .4382 L
.48284 .4398 L
.48314 .44019 L
.48406 .44141 L
.48475 .44195 L
.48529 .44301 L
.48636 .44431 L
.48662 .44462 L
.48775 .44622 L
.48796 .44649 L
.48895 .44783 L
.48957 .44861 L
.49017 .44943 L
.49117 .45057 L
.4916 .45104 L
.49263 .45265 L
.49278 .45283 L
.49382 .45425 L
.49438 .45497 L
.49502 .45586 L
.49599 .45684 L
.49625 .45746 L
.49746 .45907 L
.49759 .45924 L
.49862 .46067 L
.4992 .46141 L
.49981 .46228 L
.5008 .46357 L
.50102 .46388 L
.5022 .46549 L
.50241 .46576 L
.50333 .46709 L
.50401 .468 L
.50449 .4687 L
.50562 .47023 L
.50567 .4703 L
.50673 .47191 L
.50722 .4726 L
.50777 .47351 L
.50883 .47511 L
.50883 .47512 L
.50883 .47592 L
.50796 .47512 L
.50722 .47443 L
.50638 .47351 L
.50562 .4727 L
.50492 .47191 L
.50401 .47089 L
.50351 .4703 L
.50241 .46912 L
.50213 .4687 L
.5008 .46712 L
.50077 .46709 L
.49944 .46549 L
.4992 .46521 L
.4981 .46388 L
.49759 .46358 L
.49677 .46228 L
.49599 .46137 L
.49519 .46067 L
.49438 .45933 L
.49415 .45907 L
.49286 .45746 L
.49278 .45736 L
.49157 .45586 L
.49117 .45548 L
.49027 .45425 L
.48957 .45337 L
.48892 .45265 L
.48796 .45131 L
.48777 .45104 L
.48646 .44943 L
.48636 .4494 L
.48519 .44783 L
.48475 .44733 L
.4837 .44622 L
.48314 .44522 L
.48268 .44462 L
.48154 .44315 L
.48147 .44301 L
.48017 .44141 L
.47993 .44121 L
.47841 .4398 L
.47833 .43909 L
.47759 .4382 L
.47672 .43697 L
.47648 .43659 L
.47519 .43499 L
.47512 .43498 L
.47394 .43338 L
.47351 .43291 L
.47249 .43178 L
.47191 .43075 L
.47147 .43017 L
.4703 .42864 L
.47027 .42857 L
.46902 .42696 L
.4687 .42672 L
.46731 .42536 L
.46709 .42451 L
.46648 .42375 L
.46549 .42234 L
.46536 .42215 L
.46412 .42054 L
.46388 .42022 L
.46291 .41894 L
.46228 .41825 L
.46148 .41733 L
.46067 .416 L
.46047 .41572 L
.45928 .41412 L
.45907 .41384 L
.45808 .41251 L
.45746 .412 L
.45643 .41091 L
.45586 .40959 L
.45564 .4093 L
.45451 .4077 L
.45425 .40736 L
.45333 .40609 L
.45265 .40517 L
.45215 .40449 L
.45104 .403 L
.45095 .40288 L
.44986 .40128 L
.44943 .4007 L
.44873 .39967 L
.44783 .39841 L
.44759 .39807 L
.44653 .39646 L
.44622 .39602 L
.44553 .39486 L
.44462 .39336 L
.44457 .39325 L
F
0 .63 1 r
.44462 .44809 m
.44622 .44933 L
.44628 .44943 L
.44778 .45104 L
.44783 .45109 L
.44914 .45265 L
.44943 .45298 L
.45044 .45425 L
.45104 .45498 L
.4517 .45586 L
.45265 .45707 L
.45293 .45746 L
.45408 .45907 L
.45425 .45931 L
.4551 .46067 L
.45586 .46201 L
.45597 .46228 L
.45586 .46285 L
.45485 .46228 L
.45425 .46181 L
.45313 .46067 L
.45265 .46017 L
.45169 .45907 L
.45104 .45833 L
.45034 .45746 L
.44943 .45635 L
.44905 .45586 L
.44783 .45427 L
.44781 .45425 L
.44668 .45265 L
.44622 .45201 L
.44558 .45104 L
.44462 .4495 L
.44458 .44943 L
F
1 .43 0 r
.44462 .49069 m
.44513 .49117 L
.44622 .49217 L
.44675 .49278 L
.44783 .49394 L
.4482 .49438 L
.44943 .49579 L
.4496 .49599 L
.45094 .49759 L
.45104 .4977 L
.45226 .4992 L
.45265 .49965 L
.45357 .5008 L
.45425 .50161 L
.45489 .50241 L
.45586 .50328 L
.45619 .50401 L
.45746 .50558 L
.4575 .50562 L
.45875 .50722 L
.45907 .50761 L
.46002 .50883 L
.46067 .50964 L
.46129 .51043 L
.46228 .51152 L
.46291 .51204 L
.46382 .51364 L
.46388 .51372 L
.46505 .51525 L
.46549 .51579 L
.4663 .51686 L
.46709 .51742 L
.46755 .51846 L
.4687 .51989 L
.46886 .52007 L
.47001 .52167 L
.4703 .52203 L
.47123 .52328 L
.47191 .52414 L
.47247 .52488 L
.47351 .5261 L
.47392 .52649 L
.4749 .52809 L
.47512 .52837 L
.47609 .5297 L
.47672 .53051 L
.4773 .5313 L
.47833 .53265 L
.47852 .53291 L
.47969 .53451 L
.47993 .53483 L
.48084 .53612 L
.48154 .53704 L
.48202 .53772 L
.48314 .53925 L
.4832 .53933 L
.48427 .54093 L
.48475 .54158 L
.48534 .54254 L
.48636 .54401 L
.48643 .54414 L
.48636 .54488 L
.48567 .54414 L
.48475 .54327 L
.48413 .54254 L
.48314 .54147 L
.48271 .54093 L
.48154 .5396 L
.48132 .53933 L
.47997 .53772 L
.47993 .53768 L
.47868 .53612 L
.47833 .53572 L
.47738 .53451 L
.47672 .53374 L
.47607 .53291 L
.47512 .53216 L
.47477 .5313 L
.47351 .52977 L
.47343 .5297 L
.47222 .52809 L
.47191 .52772 L
.47096 .52649 L
.4703 .52568 L
.46969 .52488 L
.4687 .52384 L
.46842 .52328 L
.46716 .52167 L
.46709 .52159 L
.46593 .52007 L
.46549 .51951 L
.46469 .51846 L
.46388 .51744 L
.46344 .51686 L
.46228 .51541 L
.46211 .51525 L
.46098 .51364 L
.46067 .51326 L
.45976 .51204 L
.45907 .51115 L
.45853 .51043 L
.45746 .50921 L
.4573 .50883 L
.4561 .50722 L
.45586 .50692 L
.45491 .50562 L
.45425 .50477 L
.4537 .50401 L
.45265 .50263 L
.45248 .50241 L
.45131 .5008 L
.45104 .50045 L
.45017 .4992 L
.44943 .49824 L
.44899 .49759 L
.44783 .49603 L
.4478 .49599 L
.44675 .49438 L
.44622 .49367 L
.44569 .49278 L
.44462 .49117 L
.44462 .49117 L
F
1 .88 .024 r
.44622 .44288 m
.44655 .44301 L
.44783 .44409 L
.44851 .44462 L
.44943 .44568 L
.45027 .44622 L
.45104 .44749 L
.45146 .44783 L
.45265 .44937 L
.45273 .44943 L
.45408 .45104 L
.45425 .45122 L
.45571 .45265 L
.45586 .45327 L
.4567 .45425 L
.45746 .45536 L
.45781 .45586 L
.45907 .45742 L
.45907 .45746 L
.46032 .45907 L
.46067 .45929 L
.46173 .46067 L
.46228 .46151 L
.46274 .46228 L
.46388 .46388 L
.46388 .46388 L
.46495 .46549 L
.46549 .46644 L
.46612 .46709 L
.46549 .46818 L
.46388 .46769 L
.46266 .46709 L
.46228 .46674 L
.46102 .46549 L
.46067 .46509 L
.45963 .46388 L
.45907 .46318 L
.45812 .46228 L
.45746 .46117 L
.45702 .46067 L
.45586 .45916 L
.4558 .45907 L
.45452 .45746 L
.45425 .45726 L
.45295 .45586 L
.45265 .45512 L
.45198 .45425 L
.45104 .45293 L
.45087 .45265 L
.44965 .45104 L
.44943 .45075 L
.44847 .44943 L
.44783 .44854 L
.44714 .44783 L
.44622 .44626 L
.44621 .44622 L
.44526 .44462 L
.44463 .44301 L
F
1 .87 .018 r
.44622 .44298 m
.4463 .44301 L
.44783 .44419 L
.4484 .44462 L
.44943 .44576 L
.45019 .44622 L
.45104 .44755 L
.4514 .44783 L
.45265 .44939 L
.4527 .44943 L
.45404 .45104 L
.45425 .45127 L
.4557 .45265 L
.45586 .45331 L
.45667 .45425 L
.45746 .4554 L
.45778 .45586 L
.45907 .45746 L
.45907 .45746 L
.46029 .45907 L
.46067 .45932 L
.4617 .46067 L
.46228 .46157 L
.4627 .46228 L
.46383 .46388 L
.46388 .46396 L
.46488 .46549 L
.46549 .46661 L
.46593 .46709 L
.46549 .46797 L
.46388 .46762 L
.46278 .46709 L
.46228 .46666 L
.46109 .46549 L
.46067 .46502 L
.45967 .46388 L
.45907 .46313 L
.45816 .46228 L
.45746 .46113 L
.45705 .46067 L
.45586 .45913 L
.45582 .45907 L
.45455 .45746 L
.45425 .45723 L
.45297 .45586 L
.45265 .45508 L
.45201 .45425 L
.45104 .45289 L
.4509 .45265 L
.44969 .45104 L
.44943 .4507 L
.44852 .44943 L
.44783 .44848 L
.4472 .44783 L
.44628 .44622 L
.44622 .44614 L
.44536 .44462 L
.44493 .44301 L
F
1 .98 .538 r
.44622 .42212 m
.44625 .42215 L
.44778 .42375 L
.44783 .42381 L
.44917 .42536 L
.44943 .42566 L
.45051 .42696 L
.45104 .42734 L
.4518 .42857 L
.45265 .42957 L
.45326 .43017 L
.45424 .43178 L
.45425 .43179 L
.45539 .43338 L
.45586 .43411 L
.4564 .43499 L
.45682 .43659 L
.45586 .43663 L
.45583 .43659 L
.45425 .43573 L
.45391 .43499 L
.45265 .43374 L
.45248 .43338 L
.45119 .43178 L
.45104 .43159 L
.45 .43017 L
.44943 .42943 L
.44884 .42857 L
.44783 .42716 L
.4477 .42696 L
.44667 .42536 L
.44622 .42463 L
.44577 .42375 L
.44505 .42215 L
F
.733 .99 1 r
.44622 .47105 m
.44783 .47163 L
.44823 .47191 L
.44943 .47327 L
.44996 .47351 L
.45104 .4747 L
.45162 .47512 L
.45265 .47666 L
.45271 .47672 L
.45394 .47833 L
.45425 .47872 L
.45516 .47993 L
.45586 .48063 L
.45674 .48154 L
.45746 .48289 L
.45767 .48314 L
.45881 .48475 L
.45907 .485 L
.46031 .48636 L
.46067 .48727 L
.46123 .48796 L
.46228 .48953 L
.4623 .48957 L
.46355 .49117 L
.46388 .49178 L
.46461 .49278 L
.46549 .49402 L
.46573 .49438 L
.46696 .49599 L
.46709 .49622 L
.46807 .49759 L
.4687 .49838 L
.46901 .4992 L
.4703 .50056 L
.4706 .5008 L
.47184 .50241 L
.47191 .50252 L
.47294 .50401 L
.47351 .50472 L
.4744 .50562 L
.47512 .50656 L
.47566 .50722 L
.47672 .50861 L
.4769 .50883 L
.47811 .51043 L
.47833 .51073 L
.47914 .51204 L
.47993 .513 L
.48071 .51364 L
.48154 .51474 L
.48195 .51525 L
.48314 .51681 L
.48318 .51686 L
.48434 .51846 L
.48475 .51898 L
.48532 .52007 L
.48636 .52128 L
.48696 .52167 L
.48796 .523 L
.48818 .52328 L
.48939 .52488 L
.48957 .52512 L
.49048 .52649 L
.49117 .52734 L
.49192 .52809 L
.49278 .52923 L
.49315 .5297 L
.49437 .5313 L
.49438 .53133 L
.49553 .53291 L
.49599 .53349 L
.49652 .53451 L
.49759 .53573 L
.4981 .53612 L
.4992 .53757 L
.49932 .53772 L
.50053 .53933 L
.5008 .5397 L
.5016 .54093 L
.50241 .54189 L
.50304 .54254 L
.50401 .54407 L
.50426 .54414 L
.5055 .54575 L
.50562 .54594 L
.50663 .54735 L
.50722 .54809 L
.50763 .54896 L
.50883 .55027 L
.5092 .55057 L
.51042 .55217 L
.51043 .55219 L
.51164 .55378 L
.51204 .55432 L
.5127 .55538 L
.51364 .55648 L
.51413 .55699 L
.51525 .55855 L
.51535 .55859 L
.51662 .5602 L
.51686 .56056 L
.51773 .5618 L
.51846 .56271 L
.51874 .56341 L
.52007 .56483 L
.52028 .56501 L
.52158 .56662 L
.52167 .56682 L
.52273 .56822 L
.52328 .56895 L
.5238 .56983 L
.52488 .57108 L
.52521 .57143 L
.52643 .57304 L
.52649 .5731 L
.52773 .57464 L
.52809 .57519 L
.52882 .57625 L
.5297 .57733 L
.52988 .57785 L
.5313 .57942 L
.53135 .57946 L
.53272 .58106 L
.53291 .58145 L
.53382 .58267 L
.53451 .58359 L
.5349 .58428 L
.53612 .58571 L
.53626 .58588 L
.53748 .58749 L
.53772 .58771 L
.53882 .58909 L
.53933 .58985 L
.5399 .5907 L
.54093 .592 L
.54102 .5923 L
.54239 .59391 L
.54254 .59399 L
.54384 .59551 L
.54414 .59611 L
.54487 .59712 L
.54575 .59829 L
.54598 .59872 L
.54728 .60033 L
.54735 .60043 L
.54892 .60193 L
.54896 .60237 L
.54985 .60354 L
.55057 .6046 L
.55092 .60514 L
.55214 .60675 L
.55217 .60679 L
.55334 .60835 L
.55378 .6086 L
.55484 .60996 L
.55538 .61094 L
.55581 .61156 L
.55696 .61317 L
.55699 .6132 L
.55814 .61477 L
.55859 .61538 L
.55988 .61638 L
.5602 .61736 L
.56063 .61799 L
.56169 .61959 L
.5618 .61974 L
.56283 .6212 L
.56341 .62198 L
.56398 .6228 L
.56501 .62411 L
.56521 .62441 L
.5662 .62601 L
.56662 .62661 L
.56725 .62762 L
.56822 .62912 L
.56828 .62922 L
.56902 .63083 L
.56822 .63106 L
.56796 .63083 L
.56662 .62987 L
.56625 .62922 L
.56501 .62799 L
.5647 .62762 L
.56341 .6262 L
.56317 .62601 L
.56182 .62441 L
.5618 .62439 L
.56043 .6228 L
.5602 .62259 L
.55907 .6212 L
.55859 .62064 L
.55743 .61959 L
.55699 .61866 L
.55637 .61799 L
.55538 .61666 L
.55517 .61638 L
.55378 .61477 L
.55378 .61477 L
.55249 .61317 L
.55217 .61276 L
.55111 .61156 L
.55057 .61069 L
.55 .60996 L
.54896 .60861 L
.54885 .60835 L
.54739 .60675 L
.54735 .60671 L
.54597 .60514 L
.54575 .60463 L
.54487 .60354 L
.54414 .60251 L
.54377 .60193 L
.54254 .60043 L
.54235 .60033 L
.54111 .59872 L
.54093 .59849 L
.53979 .59712 L
.53933 .59637 L
.53869 .59551 L
.53772 .59424 L
.5376 .59391 L
.53613 .5923 L
.53612 .59229 L
.53474 .5907 L
.53451 .59019 L
.53364 .58909 L
.53291 .58806 L
.53255 .58749 L
.5313 .58597 L
.53116 .58588 L
.52971 .58428 L
.5297 .58398 L
.52861 .58267 L
.52809 .58185 L
.52752 .58106 L
.52649 .57973 L
.5264 .57946 L
.52499 .57785 L
.52488 .57774 L
.52357 .57625 L
.52328 .57563 L
.5225 .57464 L
.52167 .5735 L
.52139 .57304 L
.52007 .57145 L
.52005 .57143 L
.51851 .56983 L
.51846 .5694 L
.51747 .56822 L
.51686 .56727 L
.51639 .56662 L
.51525 .56517 L
.51521 .56501 L
.51389 .56341 L
.51364 .56316 L
.51243 .5618 L
.51204 .56104 L
.51138 .5602 L
.51043 .55891 L
.51025 .55859 L
.50895 .55699 L
.50883 .5569 L
.50734 .55538 L
.50722 .55481 L
.50636 .55378 L
.50562 .55266 L
.50527 .55217 L
.50402 .55057 L
.50401 .55056 L
.5028 .54896 L
.50241 .54858 L
.50132 .54735 L
.5008 .54642 L
.50028 .54575 L
.4992 .54429 L
.49912 .54414 L
.49787 .54254 L
.49759 .54236 L
.49621 .54093 L
.49599 .54019 L
.49527 .53933 L
.49438 .53803 L
.49417 .53772 L
.49294 .53612 L
.49278 .53591 L
.49173 .53451 L
.49117 .53399 L
.49023 .53291 L
.48957 .53178 L
.4892 .5313 L
.48801 .5297 L
.48796 .52963 L
.4868 .52809 L
.48636 .52781 L
.48513 .52649 L
.48475 .52555 L
.48421 .52488 L
.48314 .52335 L
.48309 .52328 L
.48188 .52167 L
.48154 .52123 L
.48067 .52007 L
.47993 .51935 L
.47919 .51846 L
.47833 .51709 L
.47815 .51686 L
.47697 .51525 L
.47672 .51494 L
.47576 .51364 L
.47512 .51321 L
.4741 .51204 L
.47351 .51084 L
.47319 .51043 L
.47206 .50883 L
.47191 .50864 L
.47086 .50722 L
.4703 .50652 L
.46964 .50562 L
.4687 .5046 L
.46822 .50401 L
.46716 .50241 L
.46709 .50232 L
.46598 .5008 L
.46549 .50018 L
.46477 .4992 L
.46388 .49833 L
.46328 .49759 L
.46231 .49599 L
.46228 .49594 L
.46114 .49438 L
.46067 .49378 L
.45995 .49278 L
.45907 .49184 L
.45851 .49117 L
.45753 .48957 L
.45746 .48948 L
.45637 .48796 L
.45586 .48751 L
.45482 .48636 L
.45425 .48516 L
.45393 .48475 L
.45283 .48314 L
.45265 .48298 L
.45142 .48154 L
.45104 .48077 L
.45042 .47993 L
.44943 .47849 L
.44933 .47833 L
.44818 .47672 L
.44783 .47622 L
.44691 .47512 L
.44622 .47386 L
.44596 .47351 L
.44513 .47191 L
F
1 .86 .013 r
.44622 .44314 m
.44783 .44428 L
.44829 .44462 L
.44943 .44583 L
.4501 .44622 L
.45104 .4476 L
.45135 .44783 L
.45265 .44941 L
.45267 .44943 L
.45399 .45104 L
.45425 .45131 L
.45568 .45265 L
.45586 .45335 L
.45663 .45425 L
.45746 .45544 L
.45776 .45586 L
.45904 .45746 L
.45907 .4575 L
.46025 .45907 L
.46067 .45935 L
.46167 .46067 L
.46228 .46162 L
.46266 .46228 L
.46378 .46388 L
.46388 .46403 L
.46482 .46549 L
.46549 .46682 L
.46571 .46709 L
.46549 .46771 L
.46388 .46755 L
.4629 .46709 L
.46228 .46658 L
.46116 .46549 L
.46067 .46496 L
.45972 .46388 L
.45907 .46308 L
.4582 .46228 L
.45746 .46109 L
.45708 .46067 L
.45586 .4591 L
.45584 .45907 L
.45458 .45746 L
.45425 .4572 L
.45299 .45586 L
.45265 .45504 L
.45204 .45425 L
.45104 .45284 L
.45092 .45265 L
.44972 .45104 L
.44943 .45065 L
.44856 .44943 L
.44783 .44841 L
.44726 .44783 L
.44635 .44622 L
.44622 .44602 L
.44546 .44462 L
F
1 .85 .01 r
.44622 .44331 m
.44783 .44437 L
.44818 .44462 L
.44943 .4459 L
.45001 .44622 L
.45104 .44765 L
.45129 .44783 L
.45264 .44943 L
.45265 .44944 L
.45395 .45104 L
.45425 .45135 L
.45566 .45265 L
.45586 .4534 L
.4566 .45425 L
.45746 .45548 L
.45773 .45586 L
.459 .45746 L
.45907 .45754 L
.46022 .45907 L
.46067 .45938 L
.46164 .46067 L
.46228 .46168 L
.46262 .46228 L
.46373 .46388 L
.46388 .46411 L
.46475 .46549 L
.46547 .46709 L
.46388 .46749 L
.46303 .46709 L
.46228 .4665 L
.46122 .46549 L
.46067 .4649 L
.45977 .46388 L
.45907 .46303 L
.45824 .46228 L
.45746 .46105 L
.45712 .46067 L
.45586 .45907 L
.45585 .45907 L
.45461 .45746 L
.45425 .45718 L
.45302 .45586 L
.45265 .455 L
.45207 .45425 L
.45104 .4528 L
.45095 .45265 L
.44976 .45104 L
.44943 .4506 L
.4486 .44943 L
.44783 .44834 L
.44732 .44783 L
.44642 .44622 L
.44622 .44589 L
.44557 .44462 L
F
0 .62 1 r
.44622 .44946 m
.44772 .45104 L
.44783 .45116 L
.44909 .45265 L
.44943 .45304 L
.4504 .45425 L
.45104 .45504 L
.45166 .45586 L
.45265 .45713 L
.45289 .45746 L
.45402 .45907 L
.45425 .45939 L
.45503 .46067 L
.45586 .46225 L
.45586 .46228 L
.45586 .46249 L
.45502 .46228 L
.45425 .46172 L
.45321 .46067 L
.45265 .46011 L
.45174 .45907 L
.45104 .45827 L
.45039 .45746 L
.44943 .45629 L
.4491 .45586 L
.44787 .45425 L
.44783 .4542 L
.44673 .45265 L
.44622 .45193 L
.44564 .45104 L
F
1 .84 .007 r
.44622 .44349 m
.44783 .44447 L
.44805 .44462 L
.44943 .44597 L
.44991 .44622 L
.45104 .4477 L
.45123 .44783 L
.45259 .44943 L
.45265 .44946 L
.45391 .45104 L
.45425 .45139 L
.45564 .45265 L
.45586 .45344 L
.45657 .45425 L
.45746 .45552 L
.4577 .45586 L
.45897 .45746 L
.45907 .45758 L
.46019 .45907 L
.46067 .45941 L
.46161 .46067 L
.46228 .46175 L
.46259 .46228 L
.46368 .46388 L
.46388 .46419 L
.46469 .46549 L
.46532 .46709 L
.46388 .46742 L
.46317 .46709 L
.46228 .46643 L
.46129 .46549 L
.46067 .46484 L
.45982 .46388 L
.45907 .46298 L
.45828 .46228 L
.45746 .46101 L
.45715 .46067 L
.45588 .45907 L
.45586 .45903 L
.45464 .45746 L
.45425 .45715 L
.45304 .45586 L
.45265 .45496 L
.45211 .45425 L
.45104 .45275 L
.45098 .45265 L
.4498 .45104 L
.44943 .45054 L
.44864 .44943 L
.44783 .44828 L
.44738 .44783 L
.4465 .44622 L
.44622 .44575 L
.44568 .44462 L
F
0 .61 1 r
.44622 .44955 m
.44765 .45104 L
.44783 .45122 L
.44904 .45265 L
.44943 .4531 L
.45035 .45425 L
.45104 .45509 L
.45162 .45586 L
.45265 .45719 L
.45284 .45746 L
.45397 .45907 L
.45425 .45948 L
.45496 .46067 L
.45425 .46163 L
.45328 .46067 L
.45265 .46004 L
.4518 .45907 L
.45104 .45821 L
.45044 .45746 L
.44943 .45624 L
.44914 .45586 L
.44792 .45425 L
.44783 .45414 L
.44678 .45265 L
.44622 .45185 L
.4457 .45104 L
F
.001 .79 1 r
.44622 .48546 m
.44708 .48636 L
.44783 .48711 L
.44859 .48796 L
.44943 .48888 L
.45003 .48957 L
.45104 .49056 L
.45143 .49117 L
.45265 .49258 L
.45288 .49278 L
.45414 .49438 L
.45425 .49451 L
.45548 .49599 L
.45586 .49607 L
.45681 .49759 L
.45746 .4983 L
.45858 .4992 L
.45907 .50036 L
.45947 .5008 L
.46067 .50235 L
.46071 .50241 L
.46201 .50401 L
.46228 .50422 L
.4633 .50562 L
.46388 .50631 L
.46474 .50722 L
.46549 .50839 L
.46583 .50883 L
.46709 .51041 L
.4671 .51043 L
.46838 .51204 L
.4687 .51237 L
.47 .51364 L
.4703 .51447 L
.47095 .51525 L
.47191 .51655 L
.4721 .51686 L
.47341 .51846 L
.47351 .51852 L
.47467 .52007 L
.47512 .52059 L
.47606 .52167 L
.47672 .52271 L
.47714 .52328 L
.47833 .52479 L
.47837 .52488 L
.47964 .52649 L
.47993 .52676 L
.4812 .52809 L
.48154 .5289 L
.48217 .5297 L
.48314 .53103 L
.48332 .5313 L
.4846 .53291 L
.48475 .53298 L
.48583 .53451 L
.48636 .53511 L
.48722 .53612 L
.48796 .53727 L
.48828 .53772 L
.48952 .53933 L
.48957 .53939 L
.49074 .54093 L
.49117 .54132 L
.4923 .54254 L
.49278 .54354 L
.49325 .54414 L
.49438 .54571 L
.49441 .54575 L
.49562 .54735 L
.49599 .5475 L
.49684 .54896 L
.49759 .54983 L
.4982 .55057 L
.4992 .55206 L
.49927 .55217 L
.50046 .55378 L
.5008 .55422 L
.50166 .55538 L
.50241 .55613 L
.50315 .55699 L
.50401 .5585 L
.50408 .55859 L
.50524 .5602 L
.50562 .5607 L
.50642 .5618 L
.50722 .56288 L
.5076 .56341 L
.50878 .56501 L
.50883 .56508 L
.5099 .56662 L
.51043 .56735 L
.51104 .56822 L
.51204 .56962 L
.51218 .56983 L
.51324 .57143 L
.51364 .57202 L
.51425 .57304 L
.51525 .57464 L
.51525 .57464 L
.51525 .57538 L
.51437 .57464 L
.51364 .57403 L
.51273 .57304 L
.51204 .57234 L
.51125 .57143 L
.51043 .57054 L
.50983 .56983 L
.50883 .5689 L
.50843 .56822 L
.50722 .56683 L
.50697 .56662 L
.50574 .56501 L
.50562 .56487 L
.50443 .56341 L
.50401 .56292 L
.50311 .5618 L
.50241 .56109 L
.50123 .5602 L
.5008 .55899 L
.50041 .55859 L
.49921 .55699 L
.4992 .55697 L
.49794 .55538 L
.49759 .55516 L
.49666 .55378 L
.49599 .55301 L
.49513 .55217 L
.49438 .55091 L
.49409 .55057 L
.49285 .54896 L
.49278 .54887 L
.4916 .54735 L
.49117 .54696 L
.48982 .54575 L
.48957 .54481 L
.48897 .54414 L
.48796 .54271 L
.48783 .54254 L
.48659 .54093 L
.48636 .54084 L
.48534 .53933 L
.48475 .53868 L
.48384 .53772 L
.48314 .53653 L
.48281 .53612 L
.4816 .53451 L
.48154 .53443 L
.48038 .53291 L
.47993 .53254 L
.47865 .5313 L
.47833 .53034 L
.47778 .5297 L
.47672 .52819 L
.47665 .52809 L
.47543 .52649 L
.47512 .5264 L
.4742 .52488 L
.47351 .52414 L
.47273 .52328 L
.47191 .52194 L
.4717 .52167 L
.47051 .52007 L
.4703 .51981 L
.46929 .51846 L
.4687 .51796 L
.46761 .51686 L
.46709 .51567 L
.46675 .51525 L
.46561 .51364 L
.46549 .51349 L
.46441 .51204 L
.46388 .51136 L
.46319 .51043 L
.46228 .50939 L
.46179 .50883 L
.46074 .50722 L
.46067 .50713 L
.45956 .50562 L
.45907 .50498 L
.45836 .50401 L
.45746 .50309 L
.45685 .50241 L
.45593 .5008 L
.45586 .50071 L
.45477 .4992 L
.45425 .49852 L
.45359 .49759 L
.45265 .49635 L
.45239 .49599 L
.45122 .49438 L
.45104 .49415 L
.45009 .49278 L
.44943 .4919 L
.44894 .49117 L
.44783 .48964 L
.44778 .48957 L
.44674 .48796 L
.44622 .48722 L
.44573 .48636 L
F
.289 .96 1 r
.44622 .43011 m
.44628 .43017 L
.44622 .43093 L
.44575 .43017 L
F
0 .6 1 r
.44622 .44965 m
.44758 .45104 L
.44783 .45129 L
.44898 .45265 L
.44943 .45316 L
.4503 .45425 L
.45104 .45515 L
.45157 .45586 L
.45265 .45725 L
.4528 .45746 L
.45391 .45907 L
.45425 .45957 L
.45489 .46067 L
.45425 .46153 L
.45336 .46067 L
.45265 .45997 L
.45186 .45907 L
.45104 .45815 L
.45048 .45746 L
.44943 .45618 L
.44919 .45586 L
.44797 .45425 L
.44783 .45407 L
.44684 .45265 L
.44622 .45176 L
.44577 .45104 L
F
1 .42 0 r
.44622 .49227 m
.44667 .49278 L
.44783 .49401 L
.44814 .49438 L
.44943 .49585 L
.44955 .49599 L
.45089 .49759 L
.45104 .49776 L
.45221 .4992 L
.45265 .4997 L
.45353 .5008 L
.45425 .50165 L
.45485 .50241 L
.45586 .50335 L
.45616 .50401 L
.45745 .50562 L
.45746 .50563 L
.45872 .50722 L
.45907 .50765 L
.45999 .50883 L
.46067 .50967 L
.46126 .51043 L
.46228 .51157 L
.46286 .51204 L
.46379 .51364 L
.46388 .51376 L
.46502 .51525 L
.46549 .51583 L
.46627 .51686 L
.46709 .51746 L
.46753 .51846 L
.4687 .51994 L
.46882 .52007 L
.46999 .52167 L
.4703 .52207 L
.47121 .52328 L
.47191 .52417 L
.47244 .52488 L
.47351 .52616 L
.47387 .52649 L
.47487 .52809 L
.47512 .52841 L
.47606 .5297 L
.47672 .53055 L
.47727 .5313 L
.47833 .53269 L
.47849 .53291 L
.47965 .53451 L
.47993 .53488 L
.4808 .53612 L
.48154 .53709 L
.48198 .53772 L
.48314 .53931 L
.48316 .53933 L
.48421 .54093 L
.48475 .54168 L
.48527 .54254 L
.48475 .54317 L
.48421 .54254 L
.48314 .5414 L
.48276 .54093 L
.48154 .53954 L
.48137 .53933 L
.48002 .53772 L
.47993 .53763 L
.47872 .53612 L
.47833 .53567 L
.47741 .53451 L
.47672 .5337 L
.4761 .53291 L
.47512 .5321 L
.4748 .5313 L
.47351 .52972 L
.47349 .5297 L
.47225 .52809 L
.47191 .52768 L
.47099 .52649 L
.4703 .52565 L
.46972 .52488 L
.4687 .52379 L
.46844 .52328 L
.46719 .52167 L
.46709 .52156 L
.46596 .52007 L
.46549 .51948 L
.46472 .51846 L
.46388 .51741 L
.46347 .51686 L
.46228 .51537 L
.46216 .51525 L
.46101 .51364 L
.46067 .51323 L
.45979 .51204 L
.45907 .51112 L
.45856 .51043 L
.45746 .50915 L
.45732 .50883 L
.45613 .50722 L
.45586 .50688 L
.45494 .50562 L
.45425 .50473 L
.45373 .50401 L
.45265 .50259 L
.45251 .50241 L
.45135 .5008 L
.45104 .5004 L
.4502 .4992 L
.44943 .49818 L
.44903 .49759 L
.44785 .49599 L
.44783 .49596 L
.44682 .49438 L
.44622 .49356 L
.44578 .49278 L
F
1 .83 .005 r
.44622 .44369 m
.44783 .44456 L
.44792 .44462 L
.44943 .44604 L
.4498 .44622 L
.45104 .44774 L
.45117 .44783 L
.45254 .44943 L
.45265 .44949 L
.45387 .45104 L
.45425 .45143 L
.45562 .45265 L
.45586 .45348 L
.45654 .45425 L
.45746 .45556 L
.45767 .45586 L
.45894 .45746 L
.45907 .45763 L
.46015 .45907 L
.46067 .45945 L
.46157 .46067 L
.46228 .46181 L
.46255 .46228 L
.46363 .46388 L
.46388 .46427 L
.46462 .46549 L
.46515 .46709 L
.46388 .46735 L
.46333 .46709 L
.46228 .46635 L
.46136 .46549 L
.46067 .46478 L
.45987 .46388 L
.45907 .46293 L
.45832 .46228 L
.45746 .46097 L
.45718 .46067 L
.45592 .45907 L
.45586 .45899 L
.45467 .45746 L
.45425 .45712 L
.45307 .45586 L
.45265 .45492 L
.45214 .45425 L
.45104 .4527 L
.45101 .45265 L
.44984 .45104 L
.44943 .45049 L
.44869 .44943 L
.44783 .44821 L
.44745 .44783 L
.44657 .44622 L
.44622 .44559 L
.4458 .44462 L
F
0 .59 1 r
.44622 .44976 m
.4475 .45104 L
.44783 .45137 L
.44892 .45265 L
.44943 .45322 L
.45025 .45425 L
.45104 .45521 L
.45153 .45586 L
.45265 .45731 L
.45276 .45746 L
.45384 .45907 L
.45425 .45967 L
.45481 .46067 L
.45425 .46142 L
.45345 .46067 L
.45265 .45989 L
.45192 .45907 L
.45104 .45808 L
.45053 .45746 L
.44943 .45612 L
.44923 .45586 L
.44802 .45425 L
.44783 .45399 L
.4469 .45265 L
.44622 .45167 L
.44583 .45104 L
F
1 .94 .156 r
.44622 .47859 m
.44758 .47993 L
.44783 .48018 L
.4491 .48154 L
.44943 .4819 L
.45054 .48314 L
.45104 .48339 L
.45195 .48475 L
.45265 .48553 L
.4539 .48636 L
.45425 .48748 L
.45472 .48796 L
.45586 .48942 L
.45597 .48957 L
.45732 .49117 L
.45746 .49132 L
.45865 .49278 L
.45907 .49331 L
.46005 .49438 L
.46067 .49533 L
.46117 .49599 L
.46228 .49735 L
.46237 .49759 L
.46384 .4992 L
.46388 .49925 L
.46527 .5008 L
.46549 .50128 L
.46637 .50241 L
.46709 .50337 L
.46748 .50401 L
.4687 .50545 L
.46898 .50562 L
.47023 .50722 L
.4703 .50732 L
.47152 .50883 L
.47191 .50941 L
.47263 .51043 L
.47351 .51154 L
.47367 .51204 L
.47512 .5136 L
.47528 .51364 L
.47659 .51525 L
.47672 .51552 L
.47774 .51686 L
.47833 .51765 L
.4788 .51846 L
.47993 .51979 L
.4803 .52007 L
.48152 .52167 L
.48154 .52169 L
.48279 .52328 L
.48314 .5238 L
.48389 .52488 L
.48475 .52595 L
.48491 .52649 L
.48636 .52803 L
.4865 .52809 L
.4878 .5297 L
.48796 .53 L
.48894 .5313 L
.48957 .53213 L
.49 .53291 L
.49117 .53426 L
.49146 .53451 L
.49276 .53612 L
.49278 .53623 L
.49396 .53772 L
.49438 .53834 L
.49504 .53933 L
.49599 .54048 L
.49609 .54093 L
.49759 .54252 L
.49763 .54254 L
.49896 .54414 L
.4992 .54457 L
.50007 .54575 L
.5008 .54671 L
.50114 .54735 L
.50241 .54881 L
.50257 .54896 L
.50397 .55057 L
.50401 .55083 L
.50507 .55217 L
.50562 .55295 L
.50616 .55378 L
.50722 .55508 L
.50727 .55538 L
.50871 .55699 L
.50883 .5571 L
.51008 .55859 L
.51043 .55921 L
.51115 .5602 L
.51204 .56135 L
.51226 .5618 L
.51362 .56341 L
.51364 .56342 L
.51513 .56501 L
.51525 .56547 L
.51614 .56662 L
.51686 .56763 L
.51723 .56822 L
.51846 .56977 L
.51847 .56983 L
.51972 .57143 L
.52007 .57173 L
.52115 .57304 L
.52167 .57393 L
.52218 .57464 L
.52328 .5761 L
.52335 .57625 L
.52459 .57785 L
.52488 .57797 L
.5262 .57946 L
.52649 .58024 L
.52711 .58106 L
.52809 .58247 L
.52821 .58267 L
.52942 .58428 L
.5297 .58465 L
.53061 .58588 L
.5313 .58656 L
.53201 .58749 L
.53291 .58892 L
.53302 .58909 L
.53417 .5907 L
.53451 .59115 L
.53534 .5923 L
.53612 .59335 L
.53685 .59391 L
.53769 .59551 L
.53772 .59556 L
.53879 .59712 L
.53933 .59786 L
.53991 .59872 L
.54093 .60018 L
.54103 .60033 L
.54204 .60193 L
.54254 .60269 L
.543 .60354 L
.54254 .60455 L
.54149 .60354 L
.54093 .60302 L
.53992 .60193 L
.53933 .60132 L
.53845 .60033 L
.53772 .59981 L
.53702 .59872 L
.53612 .59775 L
.53521 .59712 L
.53451 .5958 L
.53421 .59551 L
.53292 .59391 L
.53291 .59389 L
.5316 .5923 L
.5313 .59203 L
.53028 .5907 L
.5297 .59 L
.52879 .58909 L
.52809 .58797 L
.52768 .58749 L
.52649 .58598 L
.52643 .58588 L
.52511 .58428 L
.52488 .58403 L
.5235 .58267 L
.52328 .58197 L
.5225 .58106 L
.52167 .57989 L
.52136 .57946 L
.52007 .57789 L
.52002 .57785 L
.51877 .57625 L
.51846 .57588 L
.51736 .57464 L
.51686 .57378 L
.51628 .57304 L
.51525 .57169 L
.51512 .57143 L
.51376 .56983 L
.51364 .56971 L
.51224 .56822 L
.51204 .56763 L
.51121 .56662 L
.51043 .56551 L
.51009 .56501 L
.50883 .56346 L
.50877 .56341 L
.50754 .5618 L
.50722 .56144 L
.50614 .5602 L
.50562 .55932 L
.50506 .55859 L
.50401 .55722 L
.50391 .55699 L
.50258 .55538 L
.50241 .55522 L
.50106 .55378 L
.5008 .55311 L
.50003 .55217 L
.4992 .55099 L
.49892 .55057 L
.49763 .54896 L
.49759 .54894 L
.4964 .54735 L
.49599 .5469 L
.49499 .54575 L
.49438 .54476 L
.49392 .54414 L
.49278 .54265 L
.49273 .54254 L
.49147 .54093 L
.49117 .54067 L
.48991 .53933 L
.48957 .53853 L
.48892 .53772 L
.48796 .53639 L
.48779 .53612 L
.48653 .53451 L
.48636 .53443 L
.48531 .53291 L
.48475 .53231 L
.48389 .5313 L
.48314 .53013 L
.48282 .5297 L
.48161 .52809 L
.48154 .52801 L
.48039 .52649 L
.47993 .5261 L
.47882 .52488 L
.47833 .52389 L
.47785 .52328 L
.47672 .52172 L
.47669 .52167 L
.47548 .52007 L
.47512 .51993 L
.47426 .51846 L
.47351 .51765 L
.47285 .51686 L
.47191 .51543 L
.47178 .51525 L
.47058 .51364 L
.4703 .51329 L
.46937 .51204 L
.4687 .51144 L
.46782 .51043 L
.46709 .50914 L
.46685 .50883 L
.46569 .50722 L
.46549 .50696 L
.46449 .50562 L
.46388 .50484 L
.46327 .50401 L
.46228 .50284 L
.46194 .50241 L
.46083 .5008 L
.46067 .5006 L
.45965 .4992 L
.45907 .49845 L
.45844 .49759 L
.45746 .4965 L
.45705 .49599 L
.45602 .49438 L
.45586 .49417 L
.45486 .49278 L
.45425 .49198 L
.45368 .49117 L
.45265 .48981 L
.45228 .48957 L
.45131 .48796 L
.45104 .4876 L
.45019 .48636 L
.44943 .48534 L
.44904 .48475 L
.44789 .48314 L
.44783 .48306 L
.44686 .48154 L
.44622 .4806 L
.44585 .47993 L
F
1 .41 0 r
.44622 .49239 m
.44657 .49278 L
.44783 .49409 L
.44808 .49438 L
.44943 .49592 L
.44949 .49599 L
.45084 .49759 L
.45104 .49782 L
.45217 .4992 L
.45265 .49975 L
.45349 .5008 L
.45425 .5017 L
.45482 .50241 L
.45586 .50341 L
.45613 .50401 L
.45742 .50562 L
.45746 .50567 L
.45868 .50722 L
.45907 .50769 L
.45996 .50883 L
.46067 .50971 L
.46123 .51043 L
.46228 .51161 L
.4628 .51204 L
.46376 .51364 L
.46388 .51379 L
.465 .51525 L
.46549 .51586 L
.46625 .51686 L
.46709 .51751 L
.4675 .51846 L
.4687 .51998 L
.46878 .52007 L
.46996 .52167 L
.4703 .5221 L
.47118 .52328 L
.47191 .52421 L
.47241 .52488 L
.47351 .52621 L
.47381 .52649 L
.47484 .52809 L
.47512 .52845 L
.47603 .5297 L
.47672 .53059 L
.47724 .5313 L
.47833 .53274 L
.47845 .53291 L
.47961 .53451 L
.47993 .53493 L
.48076 .53612 L
.48154 .53715 L
.48194 .53772 L
.4831 .53933 L
.48314 .53938 L
.48414 .54093 L
.48475 .54179 L
.48519 .54254 L
.48475 .54307 L
.4843 .54254 L
.48314 .54133 L
.48282 .54093 L
.48154 .53948 L
.48141 .53933 L
.48007 .53772 L
.47993 .53757 L
.47876 .53612 L
.47833 .53562 L
.47745 .53451 L
.47672 .53366 L
.47614 .53291 L
.47512 .53203 L
.47483 .5313 L
.47353 .5297 L
.47351 .52968 L
.47228 .52809 L
.47191 .52765 L
.47102 .52649 L
.4703 .52561 L
.46974 .52488 L
.4687 .52374 L
.46847 .52328 L
.46721 .52167 L
.46709 .52152 L
.46599 .52007 L
.46549 .51945 L
.46474 .51846 L
.46388 .51738 L
.46349 .51686 L
.46228 .51532 L
.4622 .51525 L
.46103 .51364 L
.46067 .51319 L
.45982 .51204 L
.45907 .51109 L
.45858 .51043 L
.45746 .5091 L
.45735 .50883 L
.45616 .50722 L
.45586 .50684 L
.45497 .50562 L
.45425 .50469 L
.45376 .50401 L
.45265 .50255 L
.45254 .50241 L
.45139 .5008 L
.45104 .50035 L
.45024 .4992 L
.44943 .49813 L
.44907 .49759 L
.44791 .49599 L
.44783 .49588 L
.44689 .49438 L
.44622 .49344 L
.44587 .49278 L
F
0 .08 1 r
.44622 .49907 m
.44632 .4992 L
.44622 .4998 L
.44588 .4992 L
F
.001 .78 1 r
.44622 .4857 m
.44688 .48636 L
.44783 .48728 L
.44846 .48796 L
.44943 .48901 L
.44992 .48957 L
.45104 .49069 L
.45134 .49117 L
.45265 .49269 L
.45275 .49278 L
.45407 .49438 L
.45425 .49459 L
.45541 .49599 L
.45586 .4961 L
.45675 .49759 L
.45746 .49837 L
.45852 .4992 L
.45907 .50042 L
.45942 .5008 L
.46067 .50241 L
.46067 .50241 L
.46196 .50401 L
.46228 .50426 L
.46326 .50562 L
.46388 .50636 L
.4647 .50722 L
.46549 .50844 L
.4658 .50883 L
.46708 .51043 L
.46709 .51045 L
.46835 .51204 L
.4687 .5124 L
.46997 .51364 L
.4703 .51451 L
.47092 .51525 L
.47191 .51659 L
.47208 .51686 L
.47338 .51846 L
.47351 .51855 L
.47464 .52007 L
.47512 .52063 L
.47604 .52167 L
.47672 .52275 L
.47711 .52328 L
.47833 .52483 L
.47835 .52488 L
.47962 .52649 L
.47993 .52679 L
.48118 .52809 L
.48154 .52894 L
.48215 .5297 L
.48314 .53106 L
.4833 .5313 L
.48457 .53291 L
.48475 .533 L
.4858 .53451 L
.48636 .53514 L
.48719 .53612 L
.48796 .53731 L
.48826 .53772 L
.48949 .53933 L
.48957 .53942 L
.49071 .54093 L
.49117 .54135 L
.49227 .54254 L
.49278 .54358 L
.49322 .54414 L
.49438 .54574 L
.49438 .54575 L
.49559 .54735 L
.49599 .54752 L
.4968 .54896 L
.49759 .54987 L
.49816 .55057 L
.4992 .55211 L
.49924 .55217 L
.50042 .55378 L
.5008 .55427 L
.50162 .55538 L
.50241 .55619 L
.5031 .55699 L
.50401 .55856 L
.50403 .55859 L
.50519 .5602 L
.50562 .56076 L
.50637 .5618 L
.50722 .56295 L
.50755 .56341 L
.50871 .56501 L
.50883 .56517 L
.50983 .56662 L
.51043 .56745 L
.51096 .56822 L
.51204 .56974 L
.5121 .56983 L
.51311 .57143 L
.51364 .57223 L
.51409 .57304 L
.51364 .5738 L
.51291 .57304 L
.51204 .57218 L
.51137 .57143 L
.51043 .57043 L
.50992 .56983 L
.50883 .56877 L
.50852 .56822 L
.50722 .56673 L
.50709 .56662 L
.50581 .56501 L
.50562 .56479 L
.50449 .56341 L
.50401 .56285 L
.50316 .5618 L
.50241 .56102 L
.50129 .5602 L
.5008 .55893 L
.50047 .55859 L
.49926 .55699 L
.4992 .55692 L
.49798 .55538 L
.49759 .55513 L
.4967 .55378 L
.49599 .55297 L
.49517 .55217 L
.49438 .55087 L
.49412 .55057 L
.49289 .54896 L
.49278 .54882 L
.49163 .54735 L
.49117 .54693 L
.48985 .54575 L
.48957 .54478 L
.489 .54414 L
.48796 .54268 L
.48786 .54254 L
.48661 .54093 L
.48636 .54082 L
.48537 .53933 L
.48475 .53865 L
.48387 .53772 L
.48314 .5365 L
.48284 .53612 L
.48163 .53451 L
.48154 .5344 L
.4804 .53291 L
.47993 .53251 L
.47867 .5313 L
.47833 .53031 L
.47781 .5297 L
.47672 .52816 L
.47667 .52809 L
.47545 .52649 L
.47512 .52639 L
.47423 .52488 L
.47351 .52411 L
.47275 .52328 L
.47191 .5219 L
.47173 .52167 L
.47053 .52007 L
.4703 .51978 L
.46932 .51846 L
.4687 .51794 L
.46764 .51686 L
.46709 .51563 L
.46678 .51525 L
.46564 .51364 L
.46549 .51346 L
.46443 .51204 L
.46388 .51133 L
.46322 .51043 L
.46228 .50935 L
.46183 .50883 L
.46078 .50722 L
.46067 .50709 L
.45959 .50562 L
.45907 .50494 L
.45839 .50401 L
.45746 .50303 L
.4569 .50241 L
.45597 .5008 L
.45586 .50065 L
.45481 .4992 L
.45425 .49846 L
.45363 .49759 L
.45265 .49628 L
.45243 .49599 L
.45128 .49438 L
.45104 .49407 L
.45016 .49278 L
.44943 .4918 L
.44901 .49117 L
.44786 .48957 L
.44783 .48952 L
.44687 .48796 L
.44622 .487 L
.44589 .48636 L
F
0 .58 1 r
.44622 .44988 m
.44742 .45104 L
.44783 .45145 L
.44886 .45265 L
.44943 .45328 L
.4502 .45425 L
.45104 .45527 L
.45148 .45586 L
.45265 .45737 L
.45271 .45746 L
.45378 .45907 L
.45425 .45978 L
.45472 .46067 L
.45425 .4613 L
.45355 .46067 L
.45265 .45982 L
.45198 .45907 L
.45104 .45802 L
.45059 .45746 L
.44943 .45605 L
.44928 .45586 L
.44808 .45425 L
.44783 .45392 L
.44696 .45265 L
.44622 .45157 L
.4459 .45104 L
F
1 .82 .004 r
.44622 .44392 m
.44777 .44462 L
.44783 .44466 L
.44943 .44611 L
.44968 .44622 L
.45104 .44779 L
.4511 .44783 L
.45249 .44943 L
.45265 .44952 L
.45383 .45104 L
.45425 .45148 L
.45559 .45265 L
.45586 .45352 L
.4565 .45425 L
.45746 .4556 L
.45765 .45586 L
.4589 .45746 L
.45907 .45767 L
.46012 .45907 L
.46067 .45949 L
.46154 .46067 L
.46228 .46188 L
.46251 .46228 L
.46358 .46388 L
.46388 .46436 L
.46455 .46549 L
.46495 .46709 L
.46388 .46727 L
.4635 .46709 L
.46228 .46628 L
.46144 .46549 L
.46067 .46472 L
.45992 .46388 L
.45907 .46288 L
.45836 .46228 L
.45746 .46093 L
.45722 .46067 L
.45595 .45907 L
.45586 .45895 L
.45471 .45746 L
.45425 .45709 L
.45309 .45586 L
.45265 .45488 L
.45217 .45425 L
.45104 .45265 L
.45104 .45265 L
.44988 .45104 L
.44943 .45043 L
.44873 .44943 L
.44783 .44813 L
.44752 .44783 L
.44665 .44622 L
.44622 .44539 L
.44594 .44462 L
F
0 .57 1 r
.44622 .45001 m
.44732 .45104 L
.44783 .45153 L
.4488 .45265 L
.44943 .45335 L
.45015 .45425 L
.45104 .45533 L
.45143 .45586 L
.45265 .45744 L
.45266 .45746 L
.45371 .45907 L
.45425 .45991 L
.45462 .46067 L
.45425 .46117 L
.45366 .46067 L
.45265 .45974 L
.45205 .45907 L
.45104 .45795 L
.45064 .45746 L
.44943 .45599 L
.44933 .45586 L
.44814 .45425 L
.44783 .45384 L
.44702 .45265 L
.44622 .45145 L
.44598 .45104 L
F
1 .4 0 r
.44622 .49254 m
.44644 .49278 L
.44783 .49418 L
.44801 .49438 L
.44943 .49598 L
.44944 .49599 L
.45078 .49759 L
.45104 .49788 L
.45212 .4992 L
.45265 .4998 L
.45345 .5008 L
.45425 .50175 L
.45478 .50241 L
.45586 .50348 L
.45609 .50401 L
.45738 .50562 L
.45746 .50571 L
.45865 .50722 L
.45907 .50773 L
.45993 .50883 L
.46067 .50975 L
.46121 .51043 L
.46228 .51166 L
.46275 .51204 L
.46373 .51364 L
.46388 .51383 L
.46497 .51525 L
.46549 .5159 L
.46622 .51686 L
.46709 .51756 L
.46747 .51846 L
.4687 .52003 L
.46874 .52007 L
.46993 .52167 L
.4703 .52214 L
.47115 .52328 L
.47191 .52424 L
.47239 .52488 L
.47351 .52627 L
.47375 .52649 L
.47481 .52809 L
.47512 .52849 L
.476 .5297 L
.47672 .53063 L
.47721 .5313 L
.47833 .53278 L
.47842 .53291 L
.47957 .53451 L
.47993 .53499 L
.48072 .53612 L
.48154 .53721 L
.48189 .53772 L
.48304 .53933 L
.48314 .53946 L
.48406 .54093 L
.48475 .54191 L
.48509 .54254 L
.48475 .54294 L
.4844 .54254 L
.48314 .54125 L
.48288 .54093 L
.48154 .53942 L
.48146 .53933 L
.48012 .53772 L
.47993 .53751 L
.47881 .53612 L
.47833 .53557 L
.47749 .53451 L
.47672 .53361 L
.47617 .53291 L
.47512 .53196 L
.47486 .5313 L
.47356 .5297 L
.47351 .52964 L
.47231 .52809 L
.47191 .52761 L
.47104 .52649 L
.4703 .52558 L
.46977 .52488 L
.4687 .52369 L
.46849 .52328 L
.46724 .52167 L
.46709 .52149 L
.46601 .52007 L
.46549 .51941 L
.46477 .51846 L
.46388 .51734 L
.46351 .51686 L
.46228 .51528 L
.46225 .51525 L
.46106 .51364 L
.46067 .51316 L
.45984 .51204 L
.45907 .51105 L
.45861 .51043 L
.45746 .50904 L
.45737 .50883 L
.45619 .50722 L
.45586 .5068 L
.455 .50562 L
.45425 .50465 L
.45379 .50401 L
.45265 .50251 L
.45257 .50241 L
.45143 .5008 L
.45104 .5003 L
.45029 .4992 L
.44943 .49807 L
.44911 .49759 L
.44797 .49599 L
.44783 .4958 L
.44698 .49438 L
.44622 .49328 L
.446 .49278 L
F
0 .56 1 r
.44622 .45016 m
.44721 .45104 L
.44783 .45161 L
.44873 .45265 L
.44943 .45342 L
.4501 .45425 L
.45104 .4554 L
.45138 .45586 L
.4526 .45746 L
.45265 .45752 L
.45363 .45907 L
.45425 .46007 L
.4545 .46067 L
.45425 .46102 L
.4538 .46067 L
.45265 .45965 L
.45212 .45907 L
.45104 .45788 L
.4507 .45746 L
.44943 .45592 L
.44938 .45586 L
.4482 .45425 L
.44783 .45376 L
.44709 .45265 L
.44622 .45133 L
.44606 .45104 L
F
0 .07 1 r
.44622 .49919 m
.44623 .4992 L
.44622 .49962 L
.44607 .4992 L
F
1 .81 .003 r
.44622 .44421 m
.44756 .44462 L
.44783 .44478 L
.44943 .44617 L
.44955 .44622 L
.45104 .44783 L
.45104 .44783 L
.45244 .44943 L
.45265 .44955 L
.45379 .45104 L
.45425 .45152 L
.45556 .45265 L
.45586 .45357 L
.45647 .45425 L
.45746 .45564 L
.45762 .45586 L
.45887 .45746 L
.45907 .45771 L
.46009 .45907 L
.46067 .45953 L
.4615 .46067 L
.46228 .46195 L
.46246 .46228 L
.46353 .46388 L
.46388 .46445 L
.46448 .46549 L
.46469 .46709 L
.46388 .46717 L
.46371 .46709 L
.46228 .46621 L
.46151 .46549 L
.46067 .46466 L
.45997 .46388 L
.45907 .46284 L
.45841 .46228 L
.45746 .46089 L
.45725 .46067 L
.45598 .45907 L
.45586 .45891 L
.45474 .45746 L
.45425 .45705 L
.45312 .45586 L
.45265 .45483 L
.45221 .45425 L
.45107 .45265 L
.45104 .4526 L
.44991 .45104 L
.44943 .45038 L
.44877 .44943 L
.44783 .44806 L
.4476 .44783 L
.44673 .44622 L
.44622 .44512 L
.44609 .44462 L
F
.001 .77 1 r
.44622 .48606 m
.44659 .48636 L
.44783 .48745 L
.44831 .48796 L
.44943 .48915 L
.44981 .48957 L
.45104 .49084 L
.45124 .49117 L
.45263 .49278 L
.45265 .49279 L
.45399 .49438 L
.45425 .49468 L
.45534 .49599 L
.45586 .49614 L
.45669 .49759 L
.45746 .49844 L
.45845 .4992 L
.45907 .50049 L
.45936 .5008 L
.46062 .50241 L
.46067 .50247 L
.46192 .50401 L
.46228 .5043 L
.46321 .50562 L
.46388 .50642 L
.46466 .50722 L
.46549 .50848 L
.46576 .50883 L
.46704 .51043 L
.46709 .5105 L
.46831 .51204 L
.4687 .51244 L
.46995 .51364 L
.4703 .51455 L
.47089 .51525 L
.47191 .51663 L
.47206 .51686 L
.47335 .51846 L
.47351 .51857 L
.47461 .52007 L
.47512 .52066 L
.47601 .52167 L
.47672 .52279 L
.47709 .52328 L
.47833 .52486 L
.47834 .52488 L
.47959 .52649 L
.47993 .52682 L
.48116 .52809 L
.48154 .52897 L
.48212 .5297 L
.48314 .53109 L
.48328 .5313 L
.48454 .53291 L
.48475 .53301 L
.48577 .53451 L
.48636 .53517 L
.48716 .53612 L
.48796 .53734 L
.48823 .53772 L
.48946 .53933 L
.48957 .53946 L
.49068 .54093 L
.49117 .54138 L
.49225 .54254 L
.49278 .54362 L
.49319 .54414 L
.49435 .54575 L
.49438 .54578 L
.49556 .54735 L
.49599 .54754 L
.49677 .54896 L
.49759 .54992 L
.49813 .55057 L
.4992 .55216 L
.4992 .55217 L
.50039 .55378 L
.5008 .55432 L
.50159 .55538 L
.50241 .55625 L
.50304 .55699 L
.50399 .55859 L
.50401 .55863 L
.50514 .5602 L
.50562 .56083 L
.50632 .5618 L
.50722 .56303 L
.5075 .56341 L
.50865 .56501 L
.50883 .56526 L
.50976 .56662 L
.51043 .56755 L
.51088 .56822 L
.512 .56983 L
.51204 .56988 L
.51297 .57143 L
.51364 .5725 L
.5139 .57304 L
.51364 .57351 L
.51314 .57304 L
.51204 .57202 L
.51151 .57143 L
.51043 .5703 L
.51003 .56983 L
.50883 .56863 L
.5086 .56822 L
.50722 .56662 L
.50722 .56662 L
.50588 .56501 L
.50562 .56471 L
.50455 .56341 L
.50401 .56278 L
.50322 .5618 L
.50241 .56096 L
.50136 .5602 L
.5008 .55887 L
.50052 .55859 L
.4993 .55699 L
.4992 .55686 L
.49802 .55538 L
.49759 .5551 L
.49674 .55378 L
.49599 .55292 L
.49521 .55217 L
.49438 .55083 L
.49416 .55057 L
.49292 .54896 L
.49278 .54878 L
.49166 .54735 L
.49117 .54689 L
.48987 .54575 L
.48957 .54474 L
.48903 .54414 L
.48796 .54264 L
.48788 .54254 L
.48664 .54093 L
.48636 .54081 L
.4854 .53933 L
.48475 .53862 L
.4839 .53772 L
.48314 .53647 L
.48286 .53612 L
.48165 .53451 L
.48154 .53437 L
.48042 .53291 L
.47993 .53249 L
.47869 .5313 L
.47833 .53028 L
.47783 .5297 L
.47672 .52813 L
.4767 .52809 L
.47548 .52649 L
.47512 .52638 L
.47425 .52488 L
.47351 .52408 L
.47278 .52328 L
.47191 .52187 L
.47175 .52167 L
.47056 .52007 L
.4703 .51974 L
.46934 .51846 L
.4687 .5179 L
.46767 .51686 L
.46709 .5156 L
.46681 .51525 L
.46566 .51364 L
.46549 .51342 L
.46446 .51204 L
.46388 .51129 L
.46325 .51043 L
.46228 .5093 L
.46187 .50883 L
.46081 .50722 L
.46067 .50705 L
.45962 .50562 L
.45907 .5049 L
.45842 .50401 L
.45746 .50296 L
.45697 .50241 L
.45601 .5008 L
.45586 .5006 L
.45486 .4992 L
.45425 .4984 L
.45368 .49759 L
.45265 .49622 L
.45248 .49599 L
.45134 .49438 L
.45104 .49399 L
.45022 .49278 L
.44943 .4917 L
.44909 .49117 L
.44797 .48957 L
.44783 .48937 L
.44701 .48796 L
.44622 .48667 L
.44611 .48636 L
F
0 .55 1 r
.44622 .45036 m
.44708 .45104 L
.44783 .4517 L
.44866 .45265 L
.44943 .45349 L
.45004 .45425 L
.45104 .45546 L
.45133 .45586 L
.45254 .45746 L
.45265 .45761 L
.45355 .45907 L
.45425 .46031 L
.45435 .46067 L
.45425 .46082 L
.454 .46067 L
.45265 .45956 L
.45219 .45907 L
.45104 .45781 L
.45076 .45746 L
.44944 .45586 L
.44943 .45585 L
.44827 .45425 L
.44783 .45367 L
.44716 .45265 L
.44622 .45117 L
.44616 .45104 L
F
.212 .95 1 r
.44622 .38833 m
.44646 .38844 L
.44783 .38948 L
.44837 .39004 L
.44943 .3911 L
.44993 .39165 L
.45104 .3927 L
.45139 .39325 L
.45265 .39465 L
.45292 .39486 L
.45418 .39646 L
.45425 .39654 L
.45552 .39807 L
.45586 .39814 L
.45686 .39967 L
.45746 .40029 L
.45819 .40128 L
.45907 .40233 L
.45962 .40288 L
.46067 .40433 L
.4608 .40449 L
.4621 .40609 L
.46228 .40622 L
.46338 .4077 L
.46388 .40827 L
.46494 .4093 L
.46549 .41034 L
.46597 .41091 L
.46709 .41238 L
.46718 .41251 L
.46847 .41412 L
.4687 .41434 L
.47022 .41572 L
.4703 .41642 L
.47112 .41733 L
.47191 .41851 L
.47223 .41894 L
.47351 .42054 L
.47351 .42054 L
.47475 .42215 L
.47512 .42255 L
.47625 .42375 L
.47672 .42467 L
.47729 .42536 L
.47833 .42676 L
.47845 .42696 L
.47974 .42857 L
.47993 .42874 L
.48142 .43017 L
.48154 .43084 L
.48235 .43178 L
.48314 .43297 L
.48345 .43338 L
.48471 .43499 L
.48475 .435 L
.48593 .43659 L
.48636 .43703 L
.48743 .4382 L
.48796 .43918 L
.48846 .4398 L
.48957 .44129 L
.48963 .44141 L
.49088 .44301 L
.49117 .44324 L
.49257 .44462 L
.49278 .44539 L
.49348 .44622 L
.49438 .44754 L
.49459 .44783 L
.49582 .44943 L
.49599 .44946 L
.49704 .45104 L
.49759 .4516 L
.49854 .45265 L
.4992 .45379 L
.49956 .45425 L
.50075 .45586 L
.5008 .45592 L
.50196 .45746 L
.50241 .45778 L
.50366 .45907 L
.50401 .46002 L
.50455 .46067 L
.50562 .4622 L
.50567 .46228 L
.50688 .46388 L
.50722 .46432 L
.50809 .46549 L
.50883 .46625 L
.50957 .46709 L
.51043 .46849 L
.51059 .4687 L
.51178 .4703 L
.51204 .47064 L
.51298 .47191 L
.51364 .47243 L
.51463 .47351 L
.51525 .47478 L
.51552 .47512 L
.51666 .47672 L
.51686 .47697 L
.51785 .47833 L
.51846 .47911 L
.51907 .47993 L
.52007 .48109 L
.52044 .48154 L
.52151 .48314 L
.52167 .48335 L
.52269 .48475 L
.52328 .48551 L
.52389 .48636 L
.52488 .48744 L
.52531 .48796 L
.5263 .48957 L
.52649 .4898 L
.52746 .49117 L
.52809 .492 L
.52864 .49278 L
.5297 .49418 L
.52984 .49438 L
.53098 .49599 L
.5313 .49642 L
.53209 .49759 L
.53291 .49872 L
.53322 .4992 L
.53431 .5008 L
.53451 .5011 L
.5352 .50241 L
.53451 .50283 L
.53404 .50241 L
.53291 .50133 L
.53239 .5008 L
.5313 .49982 L
.53086 .4992 L
.5297 .49791 L
.52924 .49759 L
.52809 .49607 L
.528 .49599 L
.52663 .49438 L
.52649 .49421 L
.52527 .49278 L
.52488 .49236 L
.52392 .49117 L
.52328 .49036 L
.52253 .48957 L
.52167 .48837 L
.52135 .48796 L
.52007 .48641 L
.52004 .48636 L
.5187 .48475 L
.51846 .48445 L
.51728 .48314 L
.51686 .48241 L
.51618 .48154 L
.51525 .48035 L
.51503 .47993 L
.51364 .47837 L
.51357 .47833 L
.51212 .47672 L
.51204 .47637 L
.51104 .47512 L
.51043 .47428 L
.50993 .47351 L
.50883 .47219 L
.50849 .47191 L
.50725 .4703 L
.50722 .47026 L
.50593 .4687 L
.50562 .46818 L
.50483 .46709 L
.50401 .46606 L
.50376 .46549 L
.50241 .46399 L
.50223 .46388 L
.50089 .46228 L
.5008 .46203 L
.49975 .46067 L
.4992 .45991 L
.49867 .45907 L
.49759 .45778 L
.49724 .45746 L
.49602 .45586 L
.49599 .45582 L
.49471 .45425 L
.49438 .45372 L
.49361 .45265 L
.49278 .45159 L
.49255 .45104 L
.49117 .44952 L
.49105 .44943 L
.48969 .44783 L
.48957 .44751 L
.48858 .44622 L
.48796 .44538 L
.4875 .44462 L
.48636 .44326 L
.48611 .44301 L
.48488 .44141 L
.48475 .44126 L
.48357 .4398 L
.48314 .43914 L
.48249 .4382 L
.48154 .43701 L
.48139 .43659 L
.47996 .43499 L
.47993 .43496 L
.47854 .43338 L
.47833 .43289 L
.47749 .43178 L
.47672 .43075 L
.47639 .43017 L
.47512 .42864 L
.47505 .42857 L
.47383 .42696 L
.47351 .42662 L
.47249 .42536 L
.47191 .42447 L
.47142 .42375 L
.4703 .42232 L
.47025 .42215 L
.46895 .42054 L
.4687 .42035 L
.46746 .41894 L
.46709 .41817 L
.46647 .41733 L
.46549 .41598 L
.46534 .41572 L
.4641 .41412 L
.46388 .41384 L
.46289 .41251 L
.46228 .41186 L
.46154 .41091 L
.46067 .40959 L
.46048 .4093 L
.45929 .4077 L
.45907 .4074 L
.4581 .40609 L
.45746 .40553 L
.45662 .40449 L
.45586 .40311 L
.45569 .40288 L
.45456 .40128 L
.45425 .40086 L
.45341 .39967 L
.45265 .39863 L
.45178 .39807 L
.45109 .39646 L
.45104 .39639 L
.45001 .39486 L
.44943 .39404 L
.44891 .39325 L
.44783 .39165 L
.44783 .39165 L
.44693 .39004 L
.44622 .38867 L
.44618 .38844 L
F
1 .62 0 r
.44622 .45647 m
.44668 .45746 L
.44622 .4575 L
.44618 .45746 L
F
1 .39 0 r
.44622 .49276 m
.44624 .49278 L
.44783 .49427 L
.44793 .49438 L
.44783 .4957 L
.44708 .49438 L
.44622 .49299 L
.44621 .49278 L
F
1 .8 .002 r
.44783 .4449 m
.44941 .44622 L
.44943 .44624 L
.45097 .44783 L
.45104 .4479 L
.45239 .44943 L
.45265 .44957 L
.45374 .45104 L
.45425 .45156 L
.45553 .45265 L
.45586 .45361 L
.45643 .45425 L
.45746 .45568 L
.45759 .45586 L
.45884 .45746 L
.45907 .45776 L
.46005 .45907 L
.46067 .45957 L
.46146 .46067 L
.46228 .46202 L
.46242 .46228 L
.46348 .46388 L
.46388 .46455 L
.46441 .46549 L
.46388 .46704 L
.46228 .46614 L
.46158 .46549 L
.46067 .4646 L
.46002 .46388 L
.45907 .46279 L
.45845 .46228 L
.45746 .46086 L
.45729 .46067 L
.45602 .45907 L
.45586 .45887 L
.45477 .45746 L
.45425 .45702 L
.45315 .45586 L
.45265 .45479 L
.45224 .45425 L
.45111 .45265 L
.45104 .45255 L
.44995 .45104 L
.44943 .45032 L
.44882 .44943 L
.44783 .44798 L
.44768 .44783 L
.44682 .44622 L
F
1 .79 .001 r
.44783 .44502 m
.44931 .44622 L
.44943 .44633 L
.45091 .44783 L
.45104 .44797 L
.45234 .44943 L
.45265 .4496 L
.4537 .45104 L
.45425 .45161 L
.4555 .45265 L
.45586 .45365 L
.4564 .45425 L
.45746 .45572 L
.45756 .45586 L
.4588 .45746 L
.45907 .4578 L
.46002 .45907 L
.46067 .45962 L
.46142 .46067 L
.46228 .4621 L
.46238 .46228 L
.46342 .46388 L
.46388 .46465 L
.46433 .46549 L
.46388 .46691 L
.46228 .46607 L
.46166 .46549 L
.46067 .46455 L
.46007 .46388 L
.45907 .46274 L
.4585 .46228 L
.45746 .46082 L
.45732 .46067 L
.45605 .45907 L
.45586 .45882 L
.4548 .45746 L
.45425 .45699 L
.45318 .45586 L
.45265 .45474 L
.45228 .45425 L
.45115 .45265 L
.45104 .4525 L
.44999 .45104 L
.44943 .45026 L
.44886 .44943 L
.44783 .4479 L
.44776 .44783 L
.44691 .44622 L
F
1 .9 .045 r
.44783 .39624 m
.44802 .39646 L
.44943 .39794 L
.44954 .39807 L
.45096 .39967 L
.45104 .39976 L
.45232 .40128 L
.45265 .40164 L
.45366 .40288 L
.45425 .40355 L
.455 .40449 L
.45586 .40511 L
.45634 .40609 L
.45746 .40739 L
.45784 .4077 L
.45895 .4093 L
.45907 .40944 L
.46023 .41091 L
.46067 .41144 L
.46151 .41251 L
.46228 .41323 L
.4628 .41412 L
.46388 .41543 L
.46418 .41572 L
.46534 .41733 L
.46549 .4175 L
.46659 .41894 L
.46709 .41955 L
.46785 .42054 L
.4687 .42146 L
.46943 .42215 L
.4703 .42363 L
.47041 .42375 L
.47162 .42536 L
.47191 .42571 L
.47286 .42696 L
.47351 .4275 L
.47411 .42857 L
.47512 .42978 L
.47548 .43017 L
.47661 .43178 L
.47672 .43192 L
.47783 .43338 L
.47833 .43401 L
.47906 .43499 L
.47993 .43593 L
.48058 .43659 L
.48154 .43817 L
.48156 .4382 L
.48276 .4398 L
.48314 .44028 L
.48398 .44141 L
.48475 .44206 L
.48522 .44301 L
.48636 .44443 L
.48652 .44462 L
.48767 .44622 L
.48796 .44659 L
.48887 .44783 L
.48957 .44871 L
.4901 .44943 L
.49117 .45071 L
.49147 .45104 L
.49254 .45265 L
.49278 .45295 L
.49372 .45425 L
.49438 .45509 L
.49493 .45586 L
.49599 .45704 L
.49616 .45746 L
.49734 .45907 L
.49759 .45939 L
.4985 .46067 L
.4992 .46157 L
.49969 .46228 L
.5008 .46374 L
.5009 .46388 L
.50203 .46549 L
.50241 .46598 L
.50315 .46709 L
.50401 .46826 L
.5043 .4687 L
.50541 .4703 L
.50562 .4706 L
.50635 .47191 L
.50562 .47222 L
.50532 .47191 L
.50401 .47051 L
.50382 .4703 L
.50241 .46871 L
.5024 .4687 L
.50102 .46709 L
.5008 .46685 L
.49965 .46549 L
.4992 .46496 L
.49829 .46388 L
.49759 .4634 L
.49695 .46228 L
.49599 .46116 L
.4954 .46067 L
.49438 .45915 L
.49431 .45907 L
.49301 .45746 L
.49278 .45718 L
.49171 .45586 L
.49117 .45534 L
.49041 .45425 L
.48957 .45321 L
.48905 .45265 L
.48796 .45117 L
.48787 .45104 L
.48658 .44943 L
.48636 .44936 L
.4853 .44783 L
.48475 .4472 L
.4838 .44622 L
.48314 .44509 L
.48278 .44462 L
.48154 .44303 L
.48153 .44301 L
.48027 .44141 L
.47993 .44112 L
.47846 .4398 L
.47833 .43896 L
.47769 .4382 L
.47672 .43684 L
.47655 .43659 L
.47528 .43499 L
.47512 .43497 L
.47404 .43338 L
.47351 .4328 L
.47258 .43178 L
.47191 .43063 L
.47156 .43017 L
.47034 .42857 L
.4703 .42852 L
.46911 .42696 L
.4687 .42663 L
.46737 .42536 L
.46709 .42438 L
.46658 .42375 L
.46549 .42221 L
.46545 .42215 L
.46423 .42054 L
.46388 .42009 L
.46301 .41894 L
.46228 .41811 L
.4616 .41733 L
.46067 .41584 L
.46059 .41572 L
.4594 .41412 L
.45907 .41368 L
.45821 .41251 L
.45746 .41182 L
.4566 .41091 L
.45586 .40937 L
.4558 .4093 L
.45466 .4077 L
.45425 .40715 L
.45349 .40609 L
.45265 .40494 L
.45232 .40449 L
.45118 .40288 L
.45104 .40269 L
.45008 .40128 L
.44943 .40038 L
.44897 .39967 L
.44788 .39807 L
.44783 .398 L
.44698 .39646 L
F
1 .78 .001 r
.44783 .44515 m
.44921 .44622 L
.44943 .44642 L
.45084 .44783 L
.45104 .44803 L
.45229 .44943 L
.45265 .44963 L
.45366 .45104 L
.45425 .45165 L
.45547 .45265 L
.45586 .4537 L
.45636 .45425 L
.45746 .45576 L
.45753 .45586 L
.45877 .45746 L
.45907 .45785 L
.45998 .45907 L
.46067 .45967 L
.46138 .46067 L
.46228 .46218 L
.46233 .46228 L
.46337 .46388 L
.46388 .46476 L
.46425 .46549 L
.46388 .46676 L
.46228 .46599 L
.46174 .46549 L
.46067 .46449 L
.46012 .46388 L
.45907 .46269 L
.45855 .46228 L
.45746 .46078 L
.45736 .46067 L
.45609 .45907 L
.45586 .45878 L
.45483 .45746 L
.45425 .45695 L
.45322 .45586 L
.45265 .45469 L
.45231 .45425 L
.45118 .45265 L
.45104 .45245 L
.45003 .45104 L
.44943 .4502 L
.44891 .44943 L
.44784 .44783 L
.44783 .44781 L
.447 .44622 L
F
1 .77 .001 r
.44783 .44529 m
.44909 .44622 L
.44943 .4465 L
.45077 .44783 L
.45104 .4481 L
.45223 .44943 L
.45265 .44967 L
.45361 .45104 L
.45425 .4517 L
.45543 .45265 L
.45586 .45374 L
.45632 .45425 L
.45746 .4558 L
.4575 .45586 L
.45874 .45746 L
.45907 .45789 L
.45995 .45907 L
.46067 .45972 L
.46134 .46067 L
.46228 .46226 L
.46229 .46228 L
.46332 .46388 L
.46388 .46489 L
.46417 .46549 L
.46388 .46661 L
.46228 .46591 L
.46183 .46549 L
.46067 .46443 L
.46018 .46388 L
.45907 .46264 L
.45861 .46228 L
.45746 .46074 L
.4574 .46067 L
.45612 .45907 L
.45586 .45874 L
.45487 .45746 L
.45425 .45691 L
.45325 .45586 L
.45265 .45464 L
.45235 .45425 L
.45122 .45265 L
.45104 .4524 L
.45007 .45104 L
.44943 .45014 L
.44895 .44943 L
.44791 .44783 L
.44783 .44769 L
.44711 .44622 L
F
.001 .76 1 r
.44783 .48766 m
.44813 .48796 L
.44943 .48929 L
.44968 .48957 L
.45104 .49101 L
.45114 .49117 L
.45254 .49278 L
.45265 .49289 L
.45391 .49438 L
.45425 .49477 L
.45527 .49599 L
.45586 .49619 L
.45662 .49759 L
.45746 .49851 L
.45837 .4992 L
.45907 .50055 L
.4593 .5008 L
.46057 .50241 L
.46067 .50253 L
.46187 .50401 L
.46228 .50434 L
.46317 .50562 L
.46388 .50647 L
.46462 .50722 L
.46549 .50853 L
.46572 .50883 L
.467 .51043 L
.46709 .51054 L
.46828 .51204 L
.4687 .51248 L
.46992 .51364 L
.4703 .51459 L
.47086 .51525 L
.47191 .51667 L
.47203 .51686 L
.47332 .51846 L
.47351 .51859 L
.47458 .52007 L
.47512 .5207 L
.47598 .52167 L
.47672 .52282 L
.47706 .52328 L
.47832 .52488 L
.47833 .52489 L
.47956 .52649 L
.47993 .52685 L
.48114 .52809 L
.48154 .529 L
.4821 .5297 L
.48314 .53113 L
.48325 .5313 L
.48451 .53291 L
.48475 .53303 L
.48575 .53451 L
.48636 .53521 L
.48714 .53612 L
.48796 .53738 L
.48821 .53772 L
.48943 .53933 L
.48957 .5395 L
.49065 .54093 L
.49117 .54142 L
.49222 .54254 L
.49278 .54366 L
.49316 .54414 L
.49432 .54575 L
.49438 .54583 L
.49553 .54735 L
.49599 .54757 L
.49674 .54896 L
.49759 .54997 L
.49809 .55057 L
.49917 .55217 L
.4992 .55221 L
.50035 .55378 L
.5008 .55437 L
.50155 .55538 L
.50241 .55632 L
.50299 .55699 L
.50394 .55859 L
.50401 .55869 L
.50509 .5602 L
.50562 .56089 L
.50627 .5618 L
.50722 .5631 L
.50744 .56341 L
.50858 .56501 L
.50883 .56535 L
.50968 .56662 L
.51043 .56767 L
.5108 .56822 L
.51188 .56983 L
.51204 .57006 L
.5128 .57143 L
.51204 .57184 L
.51167 .57143 L
.51043 .57017 L
.51014 .56983 L
.50883 .56847 L
.50869 .56822 L
.5073 .56662 L
.50722 .56653 L
.50595 .56501 L
.50562 .56463 L
.50461 .56341 L
.50401 .56271 L
.50328 .5618 L
.50241 .56089 L
.50144 .5602 L
.5008 .55881 L
.50058 .55859 L
.49935 .55699 L
.4992 .55681 L
.49806 .55538 L
.49759 .55506 L
.49678 .55378 L
.49599 .55288 L
.49525 .55217 L
.49438 .55078 L
.49419 .55057 L
.49295 .54896 L
.49278 .54874 L
.4917 .54735 L
.49117 .54686 L
.4899 .54575 L
.48957 .5447 L
.48906 .54414 L
.48796 .54261 L
.48791 .54254 L
.48667 .54093 L
.48636 .54079 L
.48542 .53933 L
.48475 .53859 L
.48392 .53772 L
.48314 .53643 L
.48289 .53612 L
.48168 .53451 L
.48154 .53434 L
.48045 .53291 L
.47993 .53246 L
.47871 .5313 L
.47833 .53024 L
.47786 .5297 L
.47672 .5281 L
.47672 .52809 L
.4755 .52649 L
.47512 .52636 L
.47427 .52488 L
.47351 .52405 L
.47281 .52328 L
.47191 .52184 L
.47178 .52167 L
.47058 .52007 L
.4703 .51971 L
.46937 .51846 L
.4687 .51787 L
.4677 .51686 L
.46709 .51556 L
.46684 .51525 L
.46569 .51364 L
.46549 .51339 L
.46449 .51204 L
.46388 .51126 L
.46327 .51043 L
.46228 .50925 L
.46191 .50883 L
.46084 .50722 L
.46067 .50701 L
.45966 .50562 L
.45907 .50485 L
.45846 .50401 L
.45746 .50289 L
.45703 .50241 L
.45606 .5008 L
.45586 .50054 L
.4549 .4992 L
.45425 .49834 L
.45372 .49759 L
.45265 .49615 L
.45253 .49599 L
.4514 .49438 L
.45104 .4939 L
.45029 .49278 L
.44943 .49159 L
.44916 .49117 L
.44809 .48957 L
.44783 .48918 L
.4472 .48796 L
F
1 .38 0 r
.44783 .49437 m
.44784 .49438 L
.44783 .49559 L
.44721 .49438 L
F
1 .76 .001 r
.44783 .44543 m
.44897 .44622 L
.44943 .44659 L
.45069 .44783 L
.45104 .44817 L
.45218 .44943 L
.45265 .4497 L
.45357 .45104 L
.45425 .45174 L
.45539 .45265 L
.45586 .45379 L
.45628 .45425 L
.45746 .45584 L
.45747 .45586 L
.4587 .45746 L
.45907 .45793 L
.45991 .45907 L
.46067 .45978 L
.46129 .46067 L
.46224 .46228 L
.46228 .46233 L
.46326 .46388 L
.46388 .46503 L
.46409 .46549 L
.46388 .46643 L
.46228 .46583 L
.46191 .46549 L
.46067 .46437 L
.46023 .46388 L
.45907 .4626 L
.45866 .46228 L
.45746 .4607 L
.45744 .46067 L
.45616 .45907 L
.45586 .4587 L
.4549 .45746 L
.45425 .45687 L
.45329 .45586 L
.45265 .45459 L
.45239 .45425 L
.45126 .45265 L
.45104 .45235 L
.45011 .45104 L
.44943 .45007 L
.449 .44943 L
.44798 .44783 L
.44783 .44757 L
.44721 .44622 L
F
0 .54 1 r
.44783 .4518 m
.44858 .45265 L
.44943 .45357 L
.44998 .45425 L
.45104 .45553 L
.45128 .45586 L
.45246 .45746 L
.45265 .45771 L
.45346 .45907 L
.45265 .45947 L
.45227 .45907 L
.45104 .45773 L
.45082 .45746 L
.44951 .45586 L
.44943 .45577 L
.44834 .45425 L
.44783 .45357 L
.44723 .45265 L
F
1 .93 .114 r
.44783 .48087 m
.44854 .48154 L
.44943 .48241 L
.45013 .48314 L
.45104 .48376 L
.4516 .48475 L
.45265 .48589 L
.45347 .48636 L
.45425 .48779 L
.45443 .48796 L
.45576 .48957 L
.45586 .48967 L
.45712 .49117 L
.45746 .49152 L
.45847 .49278 L
.45907 .49352 L
.4599 .49438 L
.46067 .49552 L
.46104 .49599 L
.46228 .49748 L
.46232 .49759 L
.46371 .4992 L
.46388 .4994 L
.46521 .5008 L
.46549 .50144 L
.46627 .50241 L
.46709 .5035 L
.4674 .50401 L
.4687 .50552 L
.46887 .50562 L
.47014 .50722 L
.4703 .50744 L
.47145 .50883 L
.47191 .50952 L
.47255 .51043 L
.47351 .51163 L
.47364 .51204 L
.47512 .51363 L
.47521 .51364 L
.47655 .51525 L
.47672 .5156 L
.47767 .51686 L
.47833 .51773 L
.47875 .51846 L
.47993 .51984 L
.48024 .52007 L
.48147 .52167 L
.48154 .52176 L
.48275 .52328 L
.48314 .52387 L
.48384 .52488 L
.48475 .52601 L
.48489 .52649 L
.48636 .52805 L
.48646 .52809 L
.48778 .5297 L
.48796 .53005 L
.48889 .5313 L
.48957 .53219 L
.48996 .53291 L
.49117 .5343 L
.49142 .53451 L
.49276 .53612 L
.49278 .53628 L
.49392 .53772 L
.49438 .53839 L
.49501 .53933 L
.49599 .54053 L
.49607 .54093 L
.49759 .54254 L
.49759 .54254 L
.49894 .54414 L
.4992 .54462 L
.50003 .54575 L
.5008 .54676 L
.50111 .54735 L
.50241 .54885 L
.50253 .54896 L
.50396 .55057 L
.50401 .55087 L
.50504 .55217 L
.50562 .553 L
.50612 .55378 L
.50722 .55513 L
.50726 .55538 L
.50867 .55699 L
.50883 .55714 L
.51006 .55859 L
.51043 .55926 L
.51112 .5602 L
.51204 .56141 L
.51223 .5618 L
.51357 .56341 L
.51364 .56344 L
.51512 .56501 L
.51525 .56552 L
.5161 .56662 L
.51686 .5677 L
.51719 .56822 L
.51846 .56983 L
.51846 .56983 L
.51967 .57143 L
.52007 .57179 L
.5211 .57304 L
.52167 .574 L
.52212 .57464 L
.52328 .57619 L
.52331 .57625 L
.52452 .57785 L
.52488 .57802 L
.52615 .57946 L
.52649 .58034 L
.52703 .58106 L
.52809 .58259 L
.52814 .58267 L
.52932 .58428 L
.5297 .58477 L
.53051 .58588 L
.5313 .58672 L
.53189 .58749 L
.53289 .58909 L
.53291 .58911 L
.53404 .5907 L
.53451 .59133 L
.5352 .5923 L
.53612 .59356 L
.53658 .59391 L
.53748 .59551 L
.53772 .59585 L
.53856 .59712 L
.53933 .59822 L
.53965 .59872 L
.54066 .60033 L
.54093 .60075 L
.54148 .60193 L
.54093 .60233 L
.54051 .60193 L
.53933 .60084 L
.53885 .60033 L
.53772 .59938 L
.53733 .59872 L
.53612 .59741 L
.53564 .59712 L
.53451 .59554 L
.53448 .59551 L
.53313 .59391 L
.53291 .59366 L
.53178 .5923 L
.5313 .59186 L
.53043 .5907 L
.5297 .58983 L
.52893 .58909 L
.52809 .58782 L
.5278 .58749 L
.5265 .58588 L
.52649 .58587 L
.52521 .58428 L
.52488 .58391 L
.52356 .58267 L
.52328 .58185 L
.52258 .58106 L
.52167 .5798 L
.52142 .57946 L
.5201 .57785 L
.52007 .57782 L
.51884 .57625 L
.51846 .5758 L
.51742 .57464 L
.51686 .5737 L
.51633 .57304 L
.51525 .57163 L
.51515 .57143 L
.51381 .56983 L
.51364 .56965 L
.51227 .56822 L
.51204 .56757 L
.51125 .56662 L
.51043 .56546 L
.51013 .56501 L
.50883 .56342 L
.50881 .56341 L
.50758 .5618 L
.50722 .56139 L
.50617 .5602 L
.50562 .55928 L
.5051 .55859 L
.50401 .55718 L
.50392 .55699 L
.50261 .55538 L
.50241 .55518 L
.50108 .55378 L
.5008 .55307 L
.50006 .55217 L
.4992 .55095 L
.49894 .55057 L
.49766 .54896 L
.49759 .54892 L
.49643 .54735 L
.49599 .54686 L
.49502 .54575 L
.49438 .54472 L
.49395 .54414 L
.49278 .54261 L
.49274 .54254 L
.49149 .54093 L
.49117 .54065 L
.48994 .53933 L
.48957 .53849 L
.48894 .53772 L
.48796 .53635 L
.48781 .53612 L
.48656 .53451 L
.48636 .53442 L
.48534 .53291 L
.48475 .53227 L
.48392 .5313 L
.48314 .53009 L
.48285 .5297 L
.48164 .52809 L
.48154 .52797 L
.48042 .52649 L
.47993 .52607 L
.47885 .52488 L
.47833 .52384 L
.47788 .52328 L
.47672 .52168 L
.47672 .52167 L
.47552 .52007 L
.47512 .5199 L
.4743 .51846 L
.47351 .5176 L
.47289 .51686 L
.47191 .51538 L
.47182 .51525 L
.47062 .51364 L
.4703 .51324 L
.46941 .51204 L
.4687 .51138 L
.46788 .51043 L
.46709 .50907 L
.46691 .50883 L
.46574 .50722 L
.46549 .5069 L
.46455 .50562 L
.46388 .50476 L
.46333 .50401 L
.46228 .50274 L
.46202 .50241 L
.4609 .5008 L
.46067 .50051 L
.45972 .4992 L
.45907 .49835 L
.45852 .49759 L
.45746 .49633 L
.45718 .49599 L
.45613 .49438 L
.45586 .49403 L
.45497 .49278 L
.45425 .49183 L
.45379 .49117 L
.45265 .48963 L
.45254 .48957 L
.45149 .48796 L
.45104 .48735 L
.45038 .48636 L
.44943 .48503 L
.44926 .48475 L
.44822 .48314 L
.44783 .48255 L
.44731 .48154 L
F
0 .53 1 r
.44783 .4519 m
.4485 .45265 L
.44943 .45365 L
.44992 .45425 L
.45104 .45561 L
.45122 .45586 L
.45238 .45746 L
.45265 .45782 L
.45335 .45907 L
.45265 .45937 L
.45236 .45907 L
.45104 .45765 L
.45088 .45746 L
.44958 .45586 L
.44943 .45568 L
.44841 .45425 L
.44783 .45346 L
.44732 .45265 L
F
1 .75 0 r
.44783 .44559 m
.44883 .44622 L
.44943 .44668 L
.45062 .44783 L
.45104 .44824 L
.45212 .44943 L
.45265 .44974 L
.45353 .45104 L
.45425 .45179 L
.45534 .45265 L
.45586 .45383 L
.45624 .45425 L
.45744 .45586 L
.45746 .45589 L
.45867 .45746 L
.45907 .45798 L
.45988 .45907 L
.46067 .45984 L
.46125 .46067 L
.46219 .46228 L
.46228 .4624 L
.4632 .46388 L
.46388 .4652 L
.464 .46549 L
.46388 .46621 L
.46228 .46574 L
.46201 .46549 L
.46067 .46431 L
.46029 .46388 L
.45907 .46255 L
.45872 .46228 L
.45748 .46067 L
.45746 .46065 L
.45619 .45907 L
.45586 .45865 L
.45493 .45746 L
.45425 .45683 L
.45333 .45586 L
.45265 .45454 L
.45243 .45425 L
.4513 .45265 L
.45104 .4523 L
.45016 .45104 L
.44943 .45001 L
.44905 .44943 L
.44805 .44783 L
.44783 .44743 L
.44734 .44622 L
F
.733 .99 1 r
.44783 .44008 m
.44943 .44043 L
.45104 .44066 L
.45189 .44141 L
.45265 .44213 L
.4532 .44301 L
.45425 .44403 L
.45472 .44462 L
.45586 .44606 L
.45598 .44622 L
.45726 .44783 L
.45746 .44821 L
.4584 .44943 L
.45907 .45047 L
.45941 .45104 L
.46067 .45224 L
.46098 .45265 L
.46224 .45425 L
.46228 .45435 L
.46343 .45586 L
.46388 .45649 L
.46449 .45746 L
.46549 .45864 L
.46592 .45907 L
.46709 .46065 L
.46714 .46067 L
.46841 .46228 L
.4687 .46257 L
.46951 .46388 L
.4703 .46461 L
.47053 .46549 L
.47191 .4668 L
.47201 .46709 L
.47328 .4687 L
.47191 .4696 L
.4703 .46965 L
.46884 .4703 L
.4703 .47172 L
.47031 .47191 L
.4717 .47351 L
.47191 .4739 L
.47312 .47512 L
.47351 .47607 L
.4742 .47672 L
.47512 .47816 L
.47531 .47833 L
.47667 .47993 L
.47672 .47999 L
.47818 .48154 L
.47833 .48206 L
.47922 .48314 L
.47993 .48419 L
.48031 .48475 L
.48154 .48628 L
.4816 .48636 L
.48282 .48796 L
.48314 .48814 L
.48425 .48957 L
.48475 .49031 L
.4853 .49117 L
.48636 .49252 L
.48646 .49278 L
.48773 .49438 L
.48796 .49469 L
.4893 .49599 L
.48957 .49686 L
.49024 .49759 L
.49116 .4992 L
.48957 .49984 L
.48796 .49978 L
.48645 .4992 L
.48636 .49896 L
.48514 .49759 L
.48475 .49716 L
.48399 .49599 L
.48314 .49514 L
.48302 .49438 L
.48154 .49305 L
.48132 .49278 L
.48006 .49117 L
.47993 .49092 L
.47892 .48957 L
.47833 .48872 L
.47789 .48796 L
.47672 .48653 L
.47637 .48636 L
.47513 .48475 L
.47512 .48471 L
.47391 .48314 L
.47351 .4826 L
.47283 .48154 L
.47191 .48047 L
.47186 .47993 L
.4703 .4784 L
.47023 .47833 L
.46894 .47672 L
.4687 .47631 L
.46783 .47512 L
.46709 .47418 L
.4668 .47351 L
.46549 .47203 L
.46539 .47191 L
.46418 .4703 L
.46549 .46998 L
.46709 .46991 L
.46832 .4687 L
.46709 .46732 L
.46704 .46709 L
.46568 .46549 L
.46549 .4652 L
.46422 .46388 L
.46388 .46308 L
.46316 .46228 L
.46228 .46099 L
.46204 .46067 L
.46072 .45907 L
.46067 .45904 L
.45914 .45746 L
.45907 .45701 L
.45814 .45586 L
.45746 .45487 L
.45705 .45425 L
.45586 .45273 L
.45584 .45265 L
.45458 .45104 L
.45425 .45061 L
.45311 .44943 L
.45265 .44881 L
.45208 .44783 L
.45104 .44648 L
.45094 .44622 L
.44971 .44462 L
.44943 .44424 L
.44807 .44301 L
.44783 .44195 L
.44735 .44141 L
F
0 .52 1 r
.44783 .45202 m
.4484 .45265 L
.44943 .45373 L
.44985 .45425 L
.45104 .45569 L
.45116 .45586 L
.4523 .45746 L
.45265 .45795 L
.45323 .45907 L
.45265 .45925 L
.45246 .45907 L
.45104 .45757 L
.45095 .45746 L
.44966 .45586 L
.44943 .45559 L
.44849 .45425 L
.44783 .45334 L
.44741 .45265 L
F
1 .74 0 r
.44783 .44576 m
.44866 .44622 L
.44943 .44677 L
.45054 .44783 L
.45104 .44831 L
.45207 .44943 L
.45265 .44978 L
.45348 .45104 L
.45425 .45184 L
.45529 .45265 L
.45586 .45388 L
.4562 .45425 L
.4574 .45586 L
.45746 .45593 L
.45863 .45746 L
.45907 .45803 L
.45984 .45907 L
.46067 .45991 L
.4612 .46067 L
.46215 .46228 L
.46228 .46247 L
.46314 .46388 L
.46388 .46543 L
.4639 .46549 L
.46388 .46587 L
.46228 .46564 L
.46211 .46549 L
.46067 .46424 L
.46034 .46388 L
.45907 .4625 L
.45878 .46228 L
.45752 .46067 L
.45746 .46061 L
.45623 .45907 L
.45586 .45861 L
.45496 .45746 L
.45425 .45679 L
.45337 .45586 L
.45265 .45449 L
.45247 .45425 L
.45133 .45265 L
.45104 .45224 L
.4502 .45104 L
.44943 .44994 L
.4491 .44943 L
.44813 .44783 L
.44783 .44726 L
.44747 .44622 L
F
0 .51 1 r
.44783 .45216 m
.44829 .45265 L
.44943 .45382 L
.44978 .45425 L
.45104 .45577 L
.4511 .45586 L
.4522 .45746 L
.45265 .45811 L
.45304 .45907 L
.45265 .45912 L
.45259 .45907 L
.45104 .45748 L
.45102 .45746 L
.44975 .45586 L
.44943 .45548 L
.44858 .45425 L
.44783 .4532 L
.44751 .45265 L
F
0 .75 1 r
.44783 .48792 m
.44788 .48796 L
.44943 .48945 L
.44954 .48957 L
.45103 .49117 L
.45104 .49118 L
.45244 .49278 L
.45265 .493 L
.45383 .49438 L
.45425 .49485 L
.4552 .49599 L
.45586 .49625 L
.45656 .49759 L
.45746 .49859 L
.45829 .4992 L
.45907 .50062 L
.45924 .5008 L
.46052 .50241 L
.46067 .50259 L
.46182 .50401 L
.46228 .50438 L
.46312 .50562 L
.46388 .50652 L
.46458 .50722 L
.46549 .50858 L
.46569 .50883 L
.46697 .51043 L
.46709 .51059 L
.46824 .51204 L
.4687 .51252 L
.4699 .51364 L
.4703 .51463 L
.47082 .51525 L
.47191 .5167 L
.47201 .51686 L
.47329 .51846 L
.47351 .51861 L
.47455 .52007 L
.47512 .52074 L
.47596 .52167 L
.47672 .52286 L
.47704 .52328 L
.47829 .52488 L
.47833 .52493 L
.47953 .52649 L
.47993 .52688 L
.48112 .52809 L
.48154 .52904 L
.48207 .5297 L
.48314 .53116 L
.48323 .5313 L
.48449 .53291 L
.48475 .53304 L
.48572 .53451 L
.48636 .53524 L
.48711 .53612 L
.48796 .53742 L
.48818 .53772 L
.48941 .53933 L
.48957 .53953 L
.49063 .54093 L
.49117 .54145 L
.49219 .54254 L
.49278 .5437 L
.49312 .54414 L
.49429 .54575 L
.49438 .54587 L
.49549 .54735 L
.49599 .5476 L
.49671 .54896 L
.49759 .55002 L
.49805 .55057 L
.49913 .55217 L
.4992 .55226 L
.50031 .55378 L
.5008 .55442 L
.50151 .55538 L
.50241 .55639 L
.50292 .55699 L
.50389 .55859 L
.50401 .55875 L
.50504 .5602 L
.50562 .56096 L
.50621 .5618 L
.50722 .56318 L
.50739 .56341 L
.50851 .56501 L
.50883 .56545 L
.5096 .56662 L
.51043 .56779 L
.51072 .56822 L
.51174 .56983 L
.51204 .57029 L
.51257 .57143 L
.51204 .57162 L
.51186 .57143 L
.51043 .57003 L
.51026 .56983 L
.50883 .5683 L
.50879 .56822 L
.5074 .56662 L
.50722 .56643 L
.50603 .56501 L
.50562 .56455 L
.50468 .56341 L
.50401 .56264 L
.50333 .5618 L
.50241 .56082 L
.50153 .5602 L
.5008 .55875 L
.50064 .55859 L
.49939 .55699 L
.4992 .55675 L
.49811 .55538 L
.49759 .55503 L
.49682 .55378 L
.49599 .55283 L
.4953 .55217 L
.49438 .55074 L
.49423 .55057 L
.49299 .54896 L
.49278 .5487 L
.49173 .54735 L
.49117 .54683 L
.48993 .54575 L
.48957 .54466 L
.4891 .54414 L
.48796 .54257 L
.48794 .54254 L
.4867 .54093 L
.48636 .54077 L
.48545 .53933 L
.48475 .53856 L
.48395 .53772 L
.48314 .5364 L
.48292 .53612 L
.4817 .53451 L
.48154 .53431 L
.48047 .53291 L
.47993 .53243 L
.47874 .5313 L
.47833 .53021 L
.47789 .5297 L
.47674 .52809 L
.47672 .52807 L
.47553 .52649 L
.47512 .52634 L
.4743 .52488 L
.47351 .52402 L
.47284 .52328 L
.47191 .52181 L
.4718 .52167 L
.47061 .52007 L
.4703 .51968 L
.46939 .51846 L
.4687 .51784 L
.46773 .51686 L
.46709 .51552 L
.46687 .51525 L
.46572 .51364 L
.46549 .51335 L
.46452 .51204 L
.46388 .51122 L
.4633 .51043 L
.46228 .5092 L
.46195 .50883 L
.46087 .50722 L
.46067 .50696 L
.45969 .50562 L
.45907 .50481 L
.45849 .50401 L
.45746 .50282 L
.45709 .50241 L
.4561 .5008 L
.45586 .50048 L
.45494 .4992 L
.45425 .49828 L
.45377 .49759 L
.45265 .49608 L
.45258 .49599 L
.45147 .49438 L
.45104 .4938 L
.45037 .49278 L
.44943 .49148 L
.44924 .49117 L
.44824 .48957 L
.44783 .48892 L
.44752 .48796 L
F
.538 .98 1 r
.44783 .47327 m
.44878 .47351 L
.44943 .47398 L
.45069 .47512 L
.45104 .47548 L
.45213 .47672 L
.45265 .47733 L
.45344 .47833 L
.45425 .47932 L
.45471 .47993 L
.45586 .48133 L
.45605 .48154 L
.45715 .48314 L
.45746 .48356 L
.45831 .48475 L
.45907 .48569 L
.45969 .48636 L
.4606 .48796 L
.46067 .48805 L
.46173 .48957 L
.46228 .49035 L
.46298 .49117 L
.46388 .4926 L
.46402 .49278 L
.46521 .49438 L
.46549 .49475 L
.46658 .49599 L
.46709 .49687 L
.46762 .49759 L
.4687 .49894 L
.46877 .4992 L
.47019 .5008 L
.4703 .50095 L
.47154 .50241 L
.47191 .50302 L
.47258 .50401 L
.47351 .50515 L
.47409 .50562 L
.47512 .50693 L
.47536 .50722 L
.47668 .50883 L
.47672 .50896 L
.47786 .51043 L
.47833 .51107 L
.4789 .51204 L
.47993 .51327 L
.48051 .51364 L
.48154 .51498 L
.48176 .51525 L
.48302 .51686 L
.48314 .51705 L
.48417 .51846 L
.48475 .51921 L
.48517 .52007 L
.48636 .52143 L
.48681 .52167 L
.48796 .52317 L
.48805 .52328 L
.48927 .52488 L
.48957 .52529 L
.49036 .52649 L
.49117 .52748 L
.49182 .52809 L
.49278 .52936 L
.49305 .5297 L
.49429 .5313 L
.49438 .53146 L
.49543 .53291 L
.49599 .53362 L
.49644 .53451 L
.49759 .53581 L
.49802 .53612 L
.4992 .53768 L
.49924 .53772 L
.50046 .53933 L
.5008 .5398 L
.50153 .54093 L
.50241 .54198 L
.50297 .54254 L
.50401 .5441 L
.50419 .54414 L
.50544 .54575 L
.50562 .54602 L
.50657 .54735 L
.50722 .54818 L
.50758 .54896 L
.50883 .55033 L
.50914 .55057 L
.51039 .55217 L
.51043 .55227 L
.51158 .55378 L
.51204 .5544 L
.51265 .55538 L
.51364 .55655 L
.51407 .55699 L
.51525 .55858 L
.51529 .55859 L
.51657 .5602 L
.51686 .56064 L
.51767 .5618 L
.51846 .56278 L
.51871 .56341 L
.52007 .56488 L
.52022 .56501 L
.52155 .56662 L
.52167 .56689 L
.52268 .56822 L
.52328 .56902 L
.52375 .56983 L
.52488 .57115 L
.52514 .57143 L
.52636 .57304 L
.52649 .57317 L
.52767 .57464 L
.52809 .57528 L
.52876 .57625 L
.5297 .57742 L
.52984 .57785 L
.53127 .57946 L
.5313 .57948 L
.53268 .58106 L
.53291 .58154 L
.53375 .58267 L
.53451 .5837 L
.53484 .58428 L
.53612 .58581 L
.53617 .58588 L
.53739 .58749 L
.53772 .58781 L
.53874 .58909 L
.53933 .58998 L
.5398 .5907 L
.54093 .59214 L
.54098 .5923 L
.54227 .59391 L
.54254 .59407 L
.54375 .59551 L
.54414 .59628 L
.54475 .59712 L
.54575 .59849 L
.54588 .59872 L
.54711 .60033 L
.54735 .60065 L
.54885 .60193 L
.54896 .60259 L
.54966 .60354 L
.55057 .60489 L
.55073 .60514 L
.55191 .60675 L
.55217 .6071 L
.55308 .60835 L
.55378 .60893 L
.55454 .60996 L
.55538 .61143 L
.55547 .61156 L
.55659 .61317 L
.55699 .61371 L
.55773 .61477 L
.55859 .61597 L
.5592 .61638 L
.55997 .61799 L
.5602 .6183 L
.56101 .61959 L
.5618 .62078 L
.56205 .6212 L
.56287 .6228 L
.5618 .62291 L
.56169 .6228 L
.5602 .62143 L
.56004 .6212 L
.55859 .61967 L
.55847 .61959 L
.55708 .61799 L
.55699 .61788 L
.55568 .61638 L
.55538 .61627 L
.5543 .61477 L
.55378 .61423 L
.55294 .61317 L
.55217 .61224 L
.55148 .61156 L
.55057 .61026 L
.5503 .60996 L
.54897 .60835 L
.54896 .60834 L
.54767 .60675 L
.54735 .60637 L
.54613 .60514 L
.54575 .60432 L
.54508 .60354 L
.54414 .60227 L
.54391 .60193 L
.54255 .60033 L
.54254 .60032 L
.54128 .59872 L
.54093 .59828 L
.53992 .59712 L
.53933 .59619 L
.53882 .59551 L
.53772 .59411 L
.53765 .59391 L
.53625 .5923 L
.53612 .59214 L
.53481 .5907 L
.53451 .59006 L
.53374 .58909 L
.53291 .58794 L
.53262 .58749 L
.5313 .58591 L
.53126 .58588 L
.52972 .58428 L
.5297 .58388 L
.52868 .58267 L
.52809 .58176 L
.52758 .58106 L
.52649 .57966 L
.52642 .57946 L
.52505 .57785 L
.52488 .57766 L
.52361 .57625 L
.52328 .57556 L
.52255 .57464 L
.52167 .57344 L
.52143 .57304 L
.5201 .57143 L
.52007 .5714 L
.51852 .56983 L
.51846 .56934 L
.51752 .56822 L
.51686 .56721 L
.51643 .56662 L
.51525 .56512 L
.51522 .56501 L
.51393 .56341 L
.51364 .56311 L
.51246 .5618 L
.51204 .56098 L
.51142 .5602 L
.51043 .55886 L
.51028 .55859 L
.50899 .55699 L
.50883 .55686 L
.50736 .55538 L
.50722 .55476 L
.5064 .55378 L
.50562 .55261 L
.50531 .55217 L
.50406 .55057 L
.50401 .55056 L
.50284 .54896 L
.50241 .54854 L
.50135 .54735 L
.5008 .54637 L
.50032 .54575 L
.4992 .54424 L
.49915 .54414 L
.49791 .54254 L
.49759 .54233 L
.49624 .54093 L
.49599 .54014 L
.49531 .53933 L
.49438 .53797 L
.49421 .53772 L
.49299 .53612 L
.49278 .53585 L
.49177 .53451 L
.49117 .53393 L
.49028 .53291 L
.48957 .53172 L
.48925 .5313 L
.48806 .5297 L
.48796 .52957 L
.48686 .52809 L
.48636 .52776 L
.48518 .52649 L
.48475 .52547 L
.48427 .52488 L
.48315 .52328 L
.48314 .52327 L
.48195 .52167 L
.48154 .52115 L
.48073 .52007 L
.47993 .51926 L
.47927 .51846 L
.47833 .51698 L
.47823 .51686 L
.47705 .51525 L
.47672 .51484 L
.47584 .51364 L
.47512 .51309 L
.47422 .51204 L
.47351 .51069 L
.47332 .51043 L
.47217 .50883 L
.47191 .5085 L
.47097 .50722 L
.4703 .50636 L
.46976 .50562 L
.4687 .50437 L
.46842 .50401 L
.46733 .50241 L
.46709 .50211 L
.46615 .5008 L
.46549 .49994 L
.46495 .4992 L
.46388 .49794 L
.46361 .49759 L
.46256 .49599 L
.46228 .49562 L
.46141 .49438 L
.46067 .49341 L
.46024 .49278 L
.45907 .49123 L
.45902 .49117 L
.45792 .48957 L
.45746 .48895 L
.45679 .48796 L
.45586 .4868 L
.45548 .48636 L
.4545 .48475 L
.45425 .48441 L
.45338 .48314 L
.45265 .48222 L
.45208 .48154 L
.45113 .47993 L
.45104 .4798 L
.45003 .47833 L
.44943 .47742 L
.44899 .47672 L
.44805 .47512 L
.44783 .47463 L
.44753 .47351 L
F
1 .97 .395 r
.44783 .38347 m
.44805 .38362 L
.44943 .38473 L
.44993 .38523 L
.45104 .38612 L
.45151 .38683 L
.45265 .38802 L
.45339 .38844 L
.45425 .38985 L
.45447 .39004 L
.45582 .39165 L
.45586 .39169 L
.45719 .39325 L
.45746 .39352 L
.45855 .39486 L
.45907 .39549 L
.46006 .39646 L
.46067 .39749 L
.46118 .39807 L
.46228 .39948 L
.4624 .39967 L
.4638 .40128 L
.46388 .40137 L
.46536 .40288 L
.46549 .4034 L
.46641 .40449 L
.46709 .40548 L
.46754 .40609 L
.4687 .40754 L
.46871 .4077 L
.47018 .4093 L
.4703 .40946 L
.47155 .41091 L
.47191 .41154 L
.47266 .41251 L
.47351 .41367 L
.47376 .41412 L
.47512 .41569 L
.47521 .41572 L
.47662 .41733 L
.47672 .41768 L
.47774 .41894 L
.47833 .4198 L
.47883 .42054 L
.47993 .42192 L
.48021 .42215 L
.48144 .42375 L
.48154 .42387 L
.48279 .42536 L
.48314 .42598 L
.48389 .42696 L
.48475 .42812 L
.48498 .42857 L
.48636 .43015 L
.48641 .43017 L
.48783 .43178 L
.48796 .43219 L
.48892 .43338 L
.48957 .43432 L
.49001 .43499 L
.49117 .43642 L
.49136 .43659 L
.49259 .4382 L
.49278 .43842 L
.49395 .4398 L
.49438 .44054 L
.49503 .44141 L
.49599 .44266 L
.49615 .44301 L
.49753 .44462 L
.49759 .44468 L
.499 .44622 L
.4992 .44677 L
.50005 .44783 L
.5008 .4489 L
.50115 .44943 L
.50241 .45098 L
.50247 .45104 L
.50369 .45265 L
.50401 .453 L
.50508 .45425 L
.50562 .45513 L
.50615 .45586 L
.50722 .45725 L
.50731 .45746 L
.50862 .45907 L
.50883 .45925 L
.51014 .46067 L
.51043 .46137 L
.51116 .46228 L
.51204 .46351 L
.51228 .46388 L
.51355 .46549 L
.51364 .46553 L
.51477 .46709 L
.51525 .46759 L
.51619 .4687 L
.51686 .46976 L
.51726 .4703 L
.51846 .47188 L
.51847 .47191 L
.5197 .47351 L
.52007 .47381 L
.52125 .47512 L
.52167 .47599 L
.52225 .47672 L
.52328 .47815 L
.52339 .47833 L
.52462 .47993 L
.52488 .48001 L
.52584 .48154 L
.52649 .48221 L
.52726 .48314 L
.52809 .48441 L
.52833 .48475 L
.52954 .48636 L
.5297 .48655 L
.53075 .48796 L
.5313 .4884 L
.53232 .48957 L
.53291 .49066 L
.5333 .49117 L
.53446 .49278 L
.53451 .49284 L
.53566 .49438 L
.53612 .49496 L
.53688 .49599 L
.53772 .4969 L
.53828 .49759 L
.53933 .49914 L
.53937 .4992 L
.54056 .5008 L
.54093 .50127 L
.54178 .50241 L
.54254 .50309 L
.54329 .50401 L
.54414 .50544 L
.54428 .50562 L
.54545 .50722 L
.54575 .50761 L
.54665 .50883 L
.54735 .50974 L
.54787 .51043 L
.54896 .51176 L
.54918 .51204 L
.5503 .51364 L
.55057 .51398 L
.55148 .51525 L
.55217 .51614 L
.55269 .51686 L
.55378 .51828 L
.55403 .51846 L
.55508 .52007 L
.55538 .52045 L
.55623 .52167 L
.55699 .52266 L
.55741 .52328 L
.55859 .52486 L
.5586 .52488 L
.55968 .52649 L
.5602 .52719 L
.56077 .52809 L
.5618 .52955 L
.56189 .5297 L
.56287 .5313 L
.56341 .5321 L
.56384 .53291 L
.56489 .53451 L
.56501 .53468 L
.56597 .53612 L
.56662 .53686 L
.56717 .53772 L
.56822 .53907 L
.56842 .53933 L
.56969 .54093 L
.56983 .5411 L
.57097 .54254 L
.57143 .54305 L
.57223 .54414 L
.57304 .54517 L
.57357 .54575 L
.57464 .5473 L
.57469 .54735 L
.57591 .54896 L
.57625 .54943 L
.57709 .55057 L
.57785 .55148 L
.5783 .55217 L
.57925 .55378 L
.57946 .55414 L
.58013 .55538 L
.57946 .55661 L
.57786 .55538 L
.57785 .55538 L
.57638 .55378 L
.57625 .55363 L
.57505 .55217 L
.57464 .55169 L
.57377 .55057 L
.57304 .54966 L
.57252 .54896 L
.57143 .54776 L
.57127 .54735 L
.57007 .54575 L
.56983 .54543 L
.56893 .54414 L
.56822 .54318 L
.56779 .54254 L
.56668 .54093 L
.56662 .54085 L
.56572 .53933 L
.56501 .53809 L
.56484 .53772 L
.56411 .53612 L
.56341 .53457 L
.56338 .53451 L
.56235 .53291 L
.5618 .53221 L
.56113 .5313 L
.5602 .53033 L
.55982 .5297 L
.55859 .52823 L
.5584 .52809 L
.55711 .52649 L
.55699 .52636 L
.55571 .52488 L
.55538 .52472 L
.5543 .52328 L
.55378 .52263 L
.55248 .52167 L
.55217 .52063 L
.55192 .52007 L
.55057 .51896 L
.55012 .51846 L
.54896 .51707 L
.54877 .51686 L
.54742 .51525 L
.54735 .51516 L
.54603 .51364 L
.54575 .51315 L
.54493 .51204 L
.54414 .51103 L
.54394 .51043 L
.54254 .50935 L
.54211 .50883 L
.54093 .50734 L
.54083 .50722 L
.53956 .50562 L
.53933 .50527 L
.53842 .50401 L
.53772 .50311 L
.53742 .50241 L
.53612 .50129 L
.53572 .5008 L
.53451 .49923 L
.53449 .4992 L
.53327 .49759 L
.53291 .4971 L
.5322 .49599 L
.5313 .49489 L
.5307 .49438 L
.5297 .49306 L
.52947 .49278 L
.52823 .49117 L
.52809 .49096 L
.5271 .48957 L
.52649 .48878 L
.52613 .48796 L
.52488 .48655 L
.52448 .48636 L
.52328 .48476 L
.52327 .48475 L
.52207 .48314 L
.52167 .48262 L
.52102 .48154 L
.52007 .48041 L
.51952 .47993 L
.51846 .47853 L
.5183 .47833 L
.51707 .47672 L
.51686 .47641 L
.51596 .47512 L
.51525 .47424 L
.515 .47351 L
.51364 .47206 L
.51335 .47191 L
.5121 .4703 L
.51204 .47018 L
.51094 .4687 L
.51043 .46804 L
.50989 .46709 L
.50883 .46587 L
.50841 .46549 L
.50722 .46393 L
.50719 .46388 L
.50594 .46228 L
.50562 .46181 L
.50485 .46067 L
.50401 .45966 L
.50386 .45907 L
.50241 .45756 L
.50225 .45746 L
.50096 .45586 L
.5008 .45557 L
.49983 .45425 L
.4992 .45343 L
.49878 .45265 L
.49759 .4513 L
.49732 .45104 L
.49601 .44943 L
.49599 .4493 L
.49483 .44783 L
.49438 .44719 L
.49374 .44622 L
.49278 .44505 L
.4927 .44462 L
.49117 .44301 L
.49117 .44301 L
.48983 .44141 L
.48957 .44094 L
.48873 .4398 L
.48796 .4388 L
.48766 .4382 L
.48636 .4367 L
.48625 .43659 L
.48483 .43499 L
.48475 .43468 L
.48373 .43338 L
.48314 .43255 L
.48265 .43178 L
.48154 .43042 L
.48151 .43017 L
.48012 .42857 L
.47993 .42841 L
.47872 .42696 L
.47833 .42629 L
.47766 .42536 L
.47672 .42414 L
.47654 .42375 L
.47521 .42215 L
.47512 .42212 L
.47368 .42054 L
.47351 .42004 L
.47267 .41894 L
.47191 .41785 L
.47158 .41733 L
.47032 .41572 L
.4703 .41571 L
.46911 .41412 L
.4687 .41379 L
.46768 .41251 L
.46709 .41155 L
.46664 .41091 L
.46549 .40936 L
.46546 .4093 L
.46425 .4077 L
.46388 .40721 L
.46264 .40609 L
.46228 .40524 L
.46173 .40449 L
.46067 .40296 L
.46062 .40288 L
.45944 .40128 L
.45907 .40078 L
.45825 .39967 L
.45746 .39887 L
.45688 .39807 L
.45587 .39646 L
.45586 .39645 L
.45472 .39486 L
.45425 .39422 L
.45357 .39325 L
.45265 .39198 L
.4522 .39165 L
.4513 .39004 L
.45104 .38968 L
.45023 .38844 L
.44943 .38727 L
.44916 .38683 L
.44822 .38523 L
.44783 .38453 L
.44759 .38362 L
F
1 .73 0 r
.44783 .44597 m
.44845 .44622 L
.44943 .44687 L
.45046 .44783 L
.45104 .44838 L
.45201 .44943 L
.45265 .44982 L
.45343 .45104 L
.45425 .45189 L
.45524 .45265 L
.45586 .45393 L
.45616 .45425 L
.45737 .45586 L
.45746 .45598 L
.4586 .45746 L
.45907 .45807 L
.45981 .45907 L
.46067 .45998 L
.46115 .46067 L
.4621 .46228 L
.46228 .46255 L
.46308 .46388 L
.46377 .46549 L
.46228 .46554 L
.46222 .46549 L
.46067 .46418 L
.4604 .46388 L
.45907 .46245 L
.45884 .46228 L
.45756 .46067 L
.45746 .46056 L
.45626 .45907 L
.45586 .45857 L
.455 .45746 L
.45425 .45674 L
.45341 .45586 L
.45265 .45444 L
.45251 .45425 L
.45137 .45265 L
.45104 .45219 L
.45024 .45104 L
.44943 .44987 L
.44915 .44943 L
.44821 .44783 L
.44783 .44704 L
.44764 .44622 L
F
0 .5 1 r
.44783 .45233 m
.44814 .45265 L
.44943 .45392 L
.4497 .45425 L
.44943 .45537 L
.44868 .45425 L
.44783 .45302 L
.44764 .45265 L
F
.538 .98 1 r
.44783 .44079 m
.44943 .4409 L
.45104 .44115 L
.45142 .44141 L
.45265 .44247 L
.453 .44301 L
.45425 .44426 L
.45455 .44462 L
.45586 .44622 L
.45586 .44622 L
.45719 .44783 L
.45746 .44834 L
.45833 .44943 L
.45907 .45056 L
.45936 .45104 L
.46067 .45232 L
.46093 .45265 L
.46221 .45425 L
.46228 .45441 L
.46338 .45586 L
.46388 .45655 L
.46445 .45746 L
.46549 .45868 L
.46588 .45907 L
.46709 .46067 L
.46709 .46067 L
.46837 .46228 L
.4687 .46262 L
.46946 .46388 L
.4703 .4647 L
.47049 .46549 L
.4719 .46709 L
.47191 .46711 L
.47312 .4687 L
.47191 .46943 L
.4703 .46948 L
.4687 .4689 L
.46851 .4687 L
.46709 .46719 L
.46707 .46709 L
.46574 .46549 L
.46549 .46512 L
.46426 .46388 L
.46388 .46302 L
.46319 .46228 L
.46228 .46095 L
.46207 .46067 L
.46075 .45907 L
.46067 .45902 L
.45915 .45746 L
.45907 .45697 L
.45817 .45586 L
.45746 .45482 L
.45708 .45425 L
.45586 .45268 L
.45585 .45265 L
.45462 .45104 L
.45425 .45056 L
.45315 .44943 L
.45265 .44873 L
.45213 .44783 L
.45104 .44635 L
.45099 .44622 L
.44982 .44462 L
.44943 .44407 L
.44821 .44301 L
.44783 .44148 L
.44778 .44141 L
F
0 .56 1 r
.44783 .51394 m
.44847 .51525 L
.44783 .51528 L
.4478 .51525 L
F
1 .19 0 r
.44783 .50729 m
.4488 .50883 L
.44943 .50967 L
.44985 .51043 L
.44943 .51062 L
.44928 .51043 L
.44783 .50883 L
.44783 .50883 L
F
0 .49 1 r
.44783 .45264 m
.44783 .45265 L
.44943 .45403 L
.44961 .45425 L
.44943 .45523 L
.4488 .45425 L
.44783 .45265 L
.44783 .45265 L
F
.395 .97 1 r
.44943 .44108 m
.45084 .44141 L
.45104 .44154 L
.45265 .44276 L
.45282 .44301 L
.45425 .44446 L
.45439 .44462 L
.45575 .44622 L
.45586 .44638 L
.45712 .44783 L
.45746 .44847 L
.45826 .44943 L
.45907 .45064 L
.45932 .45104 L
.46067 .45239 L
.46087 .45265 L
.46219 .45425 L
.46228 .45448 L
.46334 .45586 L
.46388 .45661 L
.46442 .45746 L
.46549 .45873 L
.46583 .45907 L
.46705 .46067 L
.46709 .4607 L
.46833 .46228 L
.4687 .46267 L
.4694 .46388 L
.4703 .4648 L
.47045 .46549 L
.47179 .46709 L
.47191 .4673 L
.47291 .4687 L
.47191 .46926 L
.4703 .46933 L
.46873 .4687 L
.4687 .46868 L
.46711 .46709 L
.46709 .46706 L
.4658 .46549 L
.46549 .46504 L
.46429 .46388 L
.46388 .46297 L
.46323 .46228 L
.46228 .46092 L
.46209 .46067 L
.46079 .45907 L
.46067 .459 L
.45916 .45746 L
.45907 .45694 L
.4582 .45586 L
.45746 .45478 L
.45711 .45425 L
.45587 .45265 L
.45586 .45263 L
.45466 .45104 L
.45425 .4505 L
.45319 .44943 L
.45265 .44864 L
.45219 .44783 L
.45105 .44622 L
.45104 .44621 L
.44992 .44462 L
.44943 .44389 L
.44841 .44301 L
.44825 .44141 L
F
1 .72 0 r
.44943 .44697 m
.45038 .44783 L
.45104 .44845 L
.45195 .44943 L
.45265 .44987 L
.45339 .45104 L
.45425 .45194 L
.45519 .45265 L
.45586 .45397 L
.45612 .45425 L
.45733 .45586 L
.45746 .45602 L
.45856 .45746 L
.45907 .45812 L
.45977 .45907 L
.46067 .46005 L
.4611 .46067 L
.46205 .46228 L
.46228 .46263 L
.46302 .46388 L
.46228 .46544 L
.46067 .46411 L
.46046 .46388 L
.45907 .4624 L
.45891 .46228 L
.4576 .46067 L
.45746 .46051 L
.4563 .45907 L
.45586 .45852 L
.45503 .45746 L
.45425 .4567 L
.45345 .45586 L
.45265 .45438 L
.45255 .45425 L
.45141 .45265 L
.45104 .45213 L
.45028 .45104 L
.44943 .4498 L
.4492 .44943 L
.44829 .44783 L
F
1 .71 0 r
.44943 .44707 m
.45029 .44783 L
.45104 .44852 L
.45189 .44943 L
.45265 .44992 L
.45334 .45104 L
.45425 .45199 L
.45513 .45265 L
.45586 .45402 L
.45607 .45425 L
.45729 .45586 L
.45746 .45607 L
.45852 .45746 L
.45907 .45817 L
.45974 .45907 L
.46067 .46013 L
.46104 .46067 L
.462 .46228 L
.46228 .46271 L
.46296 .46388 L
.46228 .46534 L
.46067 .46405 L
.46052 .46388 L
.45907 .46234 L
.45898 .46228 L
.45764 .46067 L
.45746 .46047 L
.45634 .45907 L
.45586 .45848 L
.45507 .45746 L
.45425 .45665 L
.4535 .45586 L
.45265 .45432 L
.45259 .45425 L
.45145 .45265 L
.45104 .45208 L
.45033 .45104 L
.44943 .44972 L
.44925 .44943 L
.44838 .44783 L
F
1 .7 0 r
.44943 .44717 m
.45019 .44783 L
.45104 .44859 L
.45183 .44943 L
.45265 .44997 L
.45329 .45104 L
.45425 .45204 L
.45507 .45265 L
.45586 .45407 L
.45603 .45425 L
.45725 .45586 L
.45746 .45611 L
.45849 .45746 L
.45907 .45821 L
.4597 .45907 L
.46067 .46021 L
.46098 .46067 L
.46195 .46228 L
.46228 .4628 L
.46289 .46388 L
.46228 .46524 L
.46067 .46398 L
.46059 .46388 L
.45907 .46229 L
.45905 .46228 L
.45768 .46067 L
.45746 .46042 L
.45637 .45907 L
.45586 .45844 L
.4551 .45746 L
.45425 .45659 L
.45355 .45586 L
.45265 .45426 L
.45264 .45425 L
.45149 .45265 L
.45104 .45202 L
.45037 .45104 L
.44943 .44964 L
.4493 .44943 L
.44848 .44783 L
F
1 .69 0 r
.44943 .44728 m
.45009 .44783 L
.45104 .44866 L
.45177 .44943 L
.45265 .45003 L
.45325 .45104 L
.45425 .4521 L
.455 .45265 L
.45586 .45412 L
.45598 .45425 L
.45722 .45586 L
.45746 .45616 L
.45845 .45746 L
.45907 .45826 L
.45966 .45907 L
.46067 .46029 L
.46092 .46067 L
.4619 .46228 L
.46228 .46289 L
.46282 .46388 L
.46228 .46513 L
.46067 .4639 L
.46065 .46388 L
.45911 .46228 L
.45907 .46224 L
.45773 .46067 L
.45746 .46037 L
.45641 .45907 L
.45586 .45839 L
.45513 .45746 L
.45425 .45654 L
.4536 .45586 L
.45268 .45425 L
.45265 .45421 L
.45153 .45265 L
.45104 .45196 L
.45042 .45104 L
.44943 .44955 L
.44936 .44943 L
.44858 .44783 L
F
.289 .96 1 r
.44943 .44128 m
.45008 .44141 L
.45104 .44185 L
.45264 .44301 L
.45265 .44302 L
.45423 .44462 L
.45425 .44465 L
.45564 .44622 L
.45586 .44654 L
.45705 .44783 L
.45746 .44858 L
.45819 .44943 L
.45907 .45071 L
.45929 .45104 L
.46067 .45247 L
.46081 .45265 L
.46216 .45425 L
.46228 .45454 L
.4633 .45586 L
.46388 .45666 L
.46438 .45746 L
.46549 .45878 L
.46579 .45907 L
.467 .46067 L
.46709 .46072 L
.46829 .46228 L
.4687 .46272 L
.46935 .46388 L
.4703 .46491 L
.47042 .46549 L
.47168 .46709 L
.47191 .46753 L
.4726 .4687 L
.47191 .46906 L
.4703 .46919 L
.46898 .4687 L
.4687 .46853 L
.46721 .46709 L
.46709 .46691 L
.46586 .46549 L
.46549 .46496 L
.46433 .46388 L
.46388 .46292 L
.46327 .46228 L
.46228 .46088 L
.46211 .46067 L
.46082 .45907 L
.46067 .45897 L
.45918 .45746 L
.45907 .4569 L
.45823 .45586 L
.45746 .45473 L
.45714 .45425 L
.45591 .45265 L
.45586 .45258 L
.45471 .45104 L
.45425 .45044 L
.45323 .44943 L
.45265 .44854 L
.45225 .44783 L
.45113 .44622 L
.45104 .4461 L
.45003 .44462 L
.44943 .44367 L
.44867 .44301 L
.44892 .44141 L
F
1 .68 0 r
.44943 .4474 m
.44997 .44783 L
.45104 .44874 L
.45171 .44943 L
.45265 .4501 L
.4532 .45104 L
.45425 .45216 L
.45493 .45265 L
.45586 .45417 L
.45593 .45425 L
.45718 .45586 L
.45746 .45621 L
.45842 .45746 L
.45907 .45831 L
.45963 .45907 L
.46067 .46038 L
.46086 .46067 L
.46184 .46228 L
.46228 .46299 L
.46275 .46388 L
.46228 .46501 L
.46073 .46388 L
.46067 .46383 L
.45916 .46228 L
.45907 .46218 L
.45777 .46067 L
.45746 .46032 L
.45645 .45907 L
.45586 .45834 L
.45517 .45746 L
.45425 .45648 L
.45365 .45586 L
.45271 .45425 L
.45265 .45416 L
.45158 .45265 L
.45104 .4519 L
.45046 .45104 L
.44943 .44946 L
.44942 .44943 L
.4487 .44783 L
F
1 .92 .084 r
.44943 .48307 m
.44952 .48314 L
.45104 .48446 L
.45119 .48475 L
.45265 .48631 L
.45274 .48636 L
.45412 .48796 L
.45425 .4881 L
.45553 .48957 L
.45586 .48994 L
.45691 .49117 L
.45746 .49172 L
.45828 .49278 L
.45907 .49373 L
.45974 .49438 L
.46067 .49569 L
.46091 .49599 L
.46226 .49759 L
.46228 .4976 L
.46359 .4992 L
.46388 .49955 L
.46513 .5008 L
.46549 .50158 L
.46617 .50241 L
.46709 .50362 L
.46733 .50401 L
.4687 .50558 L
.46877 .50562 L
.47006 .50722 L
.4703 .50755 L
.47138 .50883 L
.47191 .50962 L
.47248 .51043 L
.47351 .51171 L
.47361 .51204 L
.47512 .51364 L
.47513 .51364 L
.47651 .51525 L
.47672 .51569 L
.47762 .51686 L
.47833 .5178 L
.47871 .51846 L
.47993 .51989 L
.48018 .52007 L
.48142 .52167 L
.48154 .52183 L
.4827 .52328 L
.48314 .52393 L
.4838 .52488 L
.48475 .52606 L
.48486 .52649 L
.48636 .52807 L
.48641 .52809 L
.48775 .5297 L
.48796 .53011 L
.48885 .5313 L
.48957 .53224 L
.48993 .53291 L
.49117 .53434 L
.49138 .53451 L
.49276 .53612 L
.49278 .53632 L
.49389 .53772 L
.49438 .53844 L
.49498 .53933 L
.49599 .54057 L
.49606 .54093 L
.49755 .54254 L
.49759 .54258 L
.49891 .54414 L
.4992 .54467 L
.5 .54575 L
.5008 .5468 L
.50109 .54735 L
.50241 .54889 L
.50249 .54896 L
.50395 .55057 L
.50401 .55091 L
.50501 .55217 L
.50562 .55305 L
.50609 .55378 L
.50722 .55517 L
.50725 .55538 L
.50863 .55699 L
.50883 .55718 L
.51003 .55859 L
.51043 .55931 L
.51108 .5602 L
.51204 .56146 L
.51221 .5618 L
.51353 .56341 L
.51364 .56347 L
.5151 .56501 L
.51525 .56558 L
.51606 .56662 L
.51686 .56776 L
.51715 .56822 L
.51841 .56983 L
.51846 .5699 L
.51962 .57143 L
.52007 .57185 L
.52105 .57304 L
.52167 .57408 L
.52207 .57464 L
.52326 .57625 L
.52328 .57627 L
.52445 .57785 L
.52488 .57808 L
.52609 .57946 L
.52649 .58045 L
.52695 .58106 L
.52806 .58267 L
.52809 .58271 L
.52923 .58428 L
.5297 .5849 L
.53041 .58588 L
.5313 .5869 L
.53175 .58749 L
.53276 .58909 L
.53291 .58928 L
.5339 .5907 L
.53451 .59154 L
.53504 .5923 L
.53612 .5938 L
.53627 .59391 L
.53725 .59551 L
.53772 .59619 L
.5383 .59712 L
.53933 .59871 L
.53934 .59872 L
.53933 .60021 L
.53772 .59874 L
.53771 .59872 L
.53619 .59712 L
.53612 .59704 L
.53475 .59551 L
.53451 .59526 L
.53334 .59391 L
.53291 .59342 L
.53196 .5923 L
.5313 .59167 L
.5306 .5907 L
.5297 .58965 L
.52908 .58909 L
.52809 .58767 L
.52792 .58749 L
.52662 .58588 L
.52649 .58581 L
.52532 .58428 L
.52488 .5838 L
.52363 .58267 L
.52328 .58174 L
.52267 .58106 L
.52167 .5797 L
.52149 .57946 L
.52018 .57785 L
.52007 .57776 L
.51891 .57625 L
.51846 .57571 L
.51747 .57464 L
.51686 .57363 L
.51639 .57304 L
.51525 .57157 L
.51518 .57143 L
.51386 .56983 L
.51364 .5696 L
.5123 .56822 L
.51204 .56751 L
.51129 .56662 L
.51043 .56541 L
.51016 .56501 L
.50886 .56341 L
.50883 .56339 L
.50762 .5618 L
.50722 .56135 L
.50621 .5602 L
.50562 .55923 L
.50513 .55859 L
.50401 .55714 L
.50394 .55699 L
.50265 .55538 L
.50241 .55515 L
.5011 .55378 L
.5008 .55303 L
.50009 .55217 L
.4992 .55091 L
.49897 .55057 L
.49769 .54896 L
.49759 .5489 L
.49646 .54735 L
.49599 .54683 L
.49505 .54575 L
.49438 .54468 L
.49398 .54414 L
.49278 .54258 L
.49276 .54254 L
.49152 .54093 L
.49117 .54062 L
.48996 .53933 L
.48957 .53846 L
.48897 .53772 L
.48796 .53631 L
.48783 .53612 L
.48659 .53451 L
.48636 .5344 L
.48537 .53291 L
.48475 .53224 L
.48395 .5313 L
.48314 .53006 L
.48288 .5297 L
.48167 .52809 L
.48154 .52793 L
.48045 .52649 L
.47993 .52603 L
.47888 .52488 L
.47833 .5238 L
.47791 .52328 L
.47675 .52167 L
.47672 .52163 L
.47555 .52007 L
.47512 .51987 L
.47433 .51846 L
.47351 .51755 L
.47294 .51686 L
.47191 .51532 L
.47185 .51525 L
.47066 .51364 L
.4703 .51319 L
.46945 .51204 L
.4687 .51132 L
.46793 .51043 L
.46709 .509 L
.46696 .50883 L
.4658 .50722 L
.46549 .50683 L
.4646 .50562 L
.46388 .50469 L
.46339 .50401 L
.46228 .50263 L
.4621 .50241 L
.46097 .5008 L
.46067 .50041 L
.4598 .4992 L
.45907 .49825 L
.4586 .49759 L
.45746 .49616 L
.45733 .49599 L
.45623 .49438 L
.45586 .49388 L
.45509 .49278 L
.45425 .49166 L
.45392 .49117 L
.45276 .48957 L
.45265 .48942 L
.45169 .48796 L
.45104 .48706 L
.45061 .48636 L
.44954 .48475 L
.44943 .48459 L
.4488 .48314 L
F
1 .67 0 r
.44943 .44753 m
.44984 .44783 L
.45104 .44882 L
.45164 .44943 L
.45265 .45017 L
.45315 .45104 L
.45425 .45222 L
.45485 .45265 L
.45586 .45423 L
.45588 .45425 L
.45714 .45586 L
.45746 .45626 L
.45838 .45746 L
.45907 .45836 L
.45959 .45907 L
.46067 .46048 L
.4608 .46067 L
.46179 .46228 L
.46228 .4631 L
.46267 .46388 L
.46228 .46489 L
.46082 .46388 L
.46067 .46376 L
.45922 .46228 L
.45907 .46212 L
.45781 .46067 L
.45746 .46027 L
.45649 .45907 L
.45586 .4583 L
.45521 .45746 L
.45425 .45643 L
.45371 .45586 L
.45275 .45425 L
.45265 .45411 L
.45162 .45265 L
.45104 .45183 L
.45051 .45104 L
.44949 .44943 L
.44943 .44935 L
.44884 .44783 L
F
0 .48 1 r
.44943 .45416 m
.4495 .45425 L
.44943 .45506 L
.44895 .45425 L
F
.212 .95 1 r
.44943 .44169 m
.45104 .4421 L
.45238 .44301 L
.45265 .44326 L
.45407 .44462 L
.45425 .44484 L
.45553 .44622 L
.45586 .44668 L
.45698 .44783 L
.45746 .44869 L
.45813 .44943 L
.45907 .45077 L
.45925 .45104 L
.46067 .45254 L
.46076 .45265 L
.46214 .45425 L
.46228 .4546 L
.46326 .45586 L
.46388 .45672 L
.46434 .45746 L
.46549 .45882 L
.46574 .45907 L
.46695 .46067 L
.46709 .46074 L
.46825 .46228 L
.4687 .46278 L
.4693 .46388 L
.4703 .46504 L
.47039 .46549 L
.47157 .46709 L
.47191 .46784 L
.47216 .4687 L
.47191 .46883 L
.4703 .46904 L
.46926 .4687 L
.4687 .4684 L
.4673 .46709 L
.46709 .46678 L
.46592 .46549 L
.46549 .46489 L
.46436 .46388 L
.46388 .46287 L
.4633 .46228 L
.46228 .46085 L
.46214 .46067 L
.46085 .45907 L
.46067 .45895 L
.45919 .45746 L
.45907 .45686 L
.45826 .45586 L
.45746 .45469 L
.45717 .45425 L
.45595 .45265 L
.45586 .45253 L
.45475 .45104 L
.45425 .45038 L
.45328 .44943 L
.45265 .44844 L
.45231 .44783 L
.45121 .44622 L
.45104 .44598 L
.45015 .44462 L
.44943 .44341 L
.449 .44301 L
F
1 .66 0 r
.44943 .44767 m
.44968 .44783 L
.45104 .4489 L
.45157 .44943 L
.45265 .45025 L
.45309 .45104 L
.45425 .45228 L
.45477 .45265 L
.45583 .45425 L
.45586 .45428 L
.4571 .45586 L
.45746 .45631 L
.45834 .45746 L
.45907 .45841 L
.45955 .45907 L
.46067 .46058 L
.46073 .46067 L
.46173 .46228 L
.46228 .46322 L
.46259 .46388 L
.46228 .46475 L
.46092 .46388 L
.46067 .46368 L
.45927 .46228 L
.45907 .46206 L
.45786 .46067 L
.45746 .46022 L
.45653 .45907 L
.45586 .45825 L
.45524 .45746 L
.45425 .45636 L
.45377 .45586 L
.4528 .45425 L
.45265 .45405 L
.45166 .45265 L
.45104 .45176 L
.45056 .45104 L
.44956 .44943 L
.44943 .4492 L
.44902 .44783 L
F
0 .12 1 r
.44943 .50275 m
.45037 .50401 L
.45104 .5048 L
.45163 .50562 L
.45265 .50686 L
.45291 .50722 L
.45265 .50857 L
.45166 .50722 L
.45104 .5065 L
.4504 .50562 L
.44943 .50443 L
.44913 .50401 L
F
1 .39 0 r
.44943 .49606 m
.45072 .49759 L
.45104 .49794 L
.45207 .4992 L
.45265 .49985 L
.45341 .5008 L
.45425 .50179 L
.45474 .50241 L
.45586 .50355 L
.45606 .50401 L
.45735 .50562 L
.45746 .50575 L
.45862 .50722 L
.45907 .50777 L
.4599 .50883 L
.46067 .50978 L
.46118 .51043 L
.46228 .51171 L
.46269 .51204 L
.4637 .51364 L
.46388 .51387 L
.46494 .51525 L
.46549 .51593 L
.46619 .51686 L
.46709 .51761 L
.46745 .51846 L
.46869 .52007 L
.4687 .52007 L
.4699 .52167 L
.4703 .52218 L
.47112 .52328 L
.47191 .52428 L
.47236 .52488 L
.47351 .52632 L
.47369 .52649 L
.47478 .52809 L
.47512 .52853 L
.47597 .5297 L
.47672 .53068 L
.47718 .5313 L
.47833 .53282 L
.47839 .53291 L
.47953 .53451 L
.47993 .53504 L
.48068 .53612 L
.48154 .53727 L
.48185 .53772 L
.48298 .53933 L
.48314 .53955 L
.48398 .54093 L
.48475 .54207 L
.48497 .54254 L
.48475 .54279 L
.48452 .54254 L
.48314 .54116 L
.48295 .54093 L
.48154 .53936 L
.48152 .53933 L
.48018 .53772 L
.47993 .53746 L
.47885 .53612 L
.47833 .53552 L
.47753 .53451 L
.47672 .53357 L
.4762 .53291 L
.47512 .53189 L
.47489 .5313 L
.4736 .5297 L
.47351 .5296 L
.47234 .52809 L
.47191 .52757 L
.47107 .52649 L
.4703 .52554 L
.4698 .52488 L
.4687 .52364 L
.46852 .52328 L
.46727 .52167 L
.46709 .52145 L
.46604 .52007 L
.46549 .51938 L
.46479 .51846 L
.46388 .51731 L
.46354 .51686 L
.46229 .51525 L
.46228 .51524 L
.46109 .51364 L
.46067 .51312 L
.45987 .51204 L
.45907 .51102 L
.45864 .51043 L
.45746 .50898 L
.4574 .50883 L
.45622 .50722 L
.45586 .50677 L
.45503 .50562 L
.45425 .50461 L
.45382 .50401 L
.45265 .50247 L
.4526 .50241 L
.45147 .5008 L
.45104 .50024 L
.45033 .4992 L
.44943 .49801 L
.44916 .49759 L
F
0 .11 1 r
.44943 .50281 m
.45032 .50401 L
.45104 .50486 L
.45159 .50562 L
.45265 .50691 L
.45287 .50722 L
.45265 .50851 L
.45171 .50722 L
.45104 .50644 L
.45045 .50562 L
.44943 .50438 L
.44918 .50401 L
F
1 .38 0 r
.44943 .49614 m
.45066 .49759 L
.45104 .498 L
.45202 .4992 L
.45265 .49991 L
.45337 .5008 L
.45425 .50184 L
.4547 .50241 L
.45586 .50363 L
.45603 .50401 L
.45731 .50562 L
.45746 .50579 L
.45858 .50722 L
.45907 .50781 L
.45986 .50883 L
.46067 .50982 L
.46115 .51043 L
.46228 .51176 L
.46262 .51204 L
.46367 .51364 L
.46388 .5139 L
.46491 .51525 L
.46549 .51597 L
.46616 .51686 L
.46709 .51766 L
.46742 .51846 L
.46866 .52007 L
.4687 .52011 L
.46987 .52167 L
.4703 .52221 L
.4711 .52328 L
.47191 .52432 L
.47233 .52488 L
.47351 .52638 L
.47363 .52649 L
.47474 .52809 L
.47512 .52857 L
.47594 .5297 L
.47672 .53072 L
.47715 .5313 L
.47833 .53287 L
.47836 .53291 L
.47949 .53451 L
.47993 .5351 L
.48063 .53612 L
.48154 .53733 L
.4818 .53772 L
.48154 .53928 L
.48024 .53772 L
.47993 .53739 L
.4789 .53612 L
.47833 .53547 L
.47757 .53451 L
.47672 .53352 L
.47624 .53291 L
.47512 .53181 L
.47492 .5313 L
.47363 .5297 L
.47351 .52956 L
.47237 .52809 L
.47191 .52753 L
.4711 .52649 L
.4703 .52551 L
.46982 .52488 L
.4687 .52359 L
.46854 .52328 L
.4673 .52167 L
.46709 .52142 L
.46607 .52007 L
.46549 .51935 L
.46482 .51846 L
.46388 .51728 L
.46356 .51686 L
.46232 .51525 L
.46228 .5152 L
.46112 .51364 L
.46067 .51309 L
.4599 .51204 L
.45907 .51098 L
.45866 .51043 L
.45746 .50892 L
.45742 .50883 L
.45625 .50722 L
.45586 .50672 L
.45506 .50562 L
.45425 .50457 L
.45385 .50401 L
.45265 .50242 L
.45264 .50241 L
.45152 .5008 L
.45104 .50018 L
.45037 .4992 L
.44943 .49794 L
.4492 .49759 L
F
1 .93 .114 r
.44943 .41174 m
.44994 .41251 L
.45104 .41383 L
.45122 .41412 L
.45104 .41478 L
.45054 .41412 L
.44943 .4128 L
.44922 .41251 L
F
0 .1 1 r
.44943 .50288 m
.45026 .50401 L
.45104 .50493 L
.45154 .50562 L
.45265 .50697 L
.45283 .50722 L
.45265 .50844 L
.45177 .50722 L
.45104 .50637 L
.4505 .50562 L
.44943 .50432 L
.44922 .50401 L
F
1 .37 0 r
.44943 .49623 m
.45059 .49759 L
.45104 .49807 L
.45197 .4992 L
.45265 .49996 L
.45332 .5008 L
.45425 .50189 L
.45467 .50241 L
.45586 .50371 L
.45599 .50401 L
.45727 .50562 L
.45746 .50584 L
.45855 .50722 L
.45907 .50785 L
.45983 .50883 L
.46067 .50986 L
.46112 .51043 L
.46228 .51182 L
.46256 .51204 L
.46364 .51364 L
.46388 .51394 L
.46488 .51525 L
.46549 .516 L
.46614 .51686 L
.46709 .51772 L
.46739 .51846 L
.46863 .52007 L
.4687 .52014 L
.46984 .52167 L
.4703 .52225 L
.47107 .52328 L
.47191 .52435 L
.4723 .52488 L
.47351 .52644 L
.47356 .52649 L
.47471 .52809 L
.47512 .52861 L
.4759 .5297 L
.47672 .53076 L
.47711 .5313 L
.47832 .53291 L
.47833 .53292 L
.47944 .53451 L
.47993 .53516 L
.48059 .53612 L
.48154 .5374 L
.48176 .53772 L
.48154 .5392 L
.4803 .53772 L
.47993 .53733 L
.47895 .53612 L
.47833 .53542 L
.47761 .53451 L
.47672 .53348 L
.47628 .53291 L
.47512 .53173 L
.47495 .5313 L
.47367 .5297 L
.47351 .52951 L
.47241 .52809 L
.47191 .52749 L
.47113 .52649 L
.4703 .52547 L
.46985 .52488 L
.4687 .52354 L
.46857 .52328 L
.46733 .52167 L
.46709 .52138 L
.4661 .52007 L
.46549 .51931 L
.46485 .51846 L
.46388 .51724 L
.46359 .51686 L
.46234 .51525 L
.46228 .51517 L
.46114 .51364 L
.46067 .51305 L
.45992 .51204 L
.45907 .51095 L
.45869 .51043 L
.45746 .50885 L
.45745 .50883 L
.45628 .50722 L
.45586 .50668 L
.45509 .50562 L
.45425 .50453 L
.45389 .50401 L
.45267 .50241 L
.45265 .50237 L
.45156 .5008 L
.45104 .50012 L
.45042 .4992 L
.44943 .49787 L
.44925 .49759 L
F
1 .89 .033 r
.44943 .39841 m
.4506 .39967 L
.45104 .4001 L
.45205 .40128 L
.45265 .40191 L
.45345 .40288 L
.45425 .40378 L
.45482 .40449 L
.45586 .40539 L
.45618 .40609 L
.45746 .40761 L
.45757 .4077 L
.45881 .4093 L
.45907 .4096 L
.4601 .41091 L
.46067 .41159 L
.46139 .41251 L
.46228 .41338 L
.46269 .41412 L
.46388 .41557 L
.46404 .41572 L
.46524 .41733 L
.46549 .41763 L
.4665 .41894 L
.46709 .41967 L
.46776 .42054 L
.4687 .42158 L
.4693 .42215 L
.4703 .42375 L
.47031 .42375 L
.47153 .42536 L
.47191 .42582 L
.47278 .42696 L
.47351 .4276 L
.47403 .42857 L
.47512 .42989 L
.47538 .43017 L
.47653 .43178 L
.47672 .43202 L
.47775 .43338 L
.47833 .43411 L
.47899 .43499 L
.47993 .43605 L
.48048 .43659 L
.48148 .4382 L
.48154 .43827 L
.48269 .4398 L
.48314 .44038 L
.48391 .44141 L
.48475 .44218 L
.48515 .44301 L
.48636 .44455 L
.48641 .44462 L
.48759 .44622 L
.48796 .4467 L
.48879 .44783 L
.48957 .44882 L
.49002 .44943 L
.49117 .45087 L
.49133 .45104 L
.49244 .45265 L
.49278 .45307 L
.49363 .45425 L
.49438 .45522 L
.49484 .45586 L
.49599 .45727 L
.49606 .45746 L
.49722 .45907 L
.49759 .45955 L
.49838 .46067 L
.4992 .46175 L
.49956 .46228 L
.50075 .46388 L
.5008 .46395 L
.50184 .46549 L
.50241 .46626 L
.50294 .46709 L
.50401 .4686 L
.50407 .4687 L
.50401 .47003 L
.50276 .4687 L
.50241 .46835 L
.5013 .46709 L
.5008 .46655 L
.49988 .46549 L
.4992 .46471 L
.4985 .46388 L
.49759 .46315 L
.49713 .46228 L
.49599 .46093 L
.49566 .46067 L
.49448 .45907 L
.49438 .45895 L
.49316 .45746 L
.49278 .45699 L
.49185 .45586 L
.49117 .45518 L
.49054 .45425 L
.48957 .45305 L
.48919 .45265 L
.48798 .45104 L
.48796 .45102 L
.4867 .44943 L
.48636 .4493 L
.48542 .44783 L
.48475 .44706 L
.48391 .44622 L
.48314 .44495 L
.48288 .44462 L
.48163 .44301 L
.48154 .4429 L
.48037 .44141 L
.47993 .44102 L
.47852 .4398 L
.47833 .43883 L
.47779 .4382 L
.47672 .43672 L
.47664 .43659 L
.47538 .43499 L
.47512 .43495 L
.47414 .43338 L
.47351 .43268 L
.47268 .43178 L
.47191 .4305 L
.47166 .43017 L
.47044 .42857 L
.4703 .42839 L
.46921 .42696 L
.4687 .42653 L
.46746 .42536 L
.46709 .42424 L
.46669 .42375 L
.46554 .42215 L
.46549 .42207 L
.46434 .42054 L
.46388 .41994 L
.46312 .41894 L
.46228 .41795 L
.46174 .41733 L
.46071 .41572 L
.46067 .41567 L
.45953 .41412 L
.45907 .41351 L
.45833 .41251 L
.45746 .41159 L
.45682 .41091 L
.45597 .4093 L
.45586 .40916 L
.45482 .4077 L
.45425 .40693 L
.45366 .40609 L
.45265 .40469 L
.4525 .40449 L
.45141 .40288 L
.45104 .40237 L
.45034 .40128 L
.44943 .39995 L
.44926 .39967 L
F
0 .09 1 r
.44943 .50296 m
.4502 .50401 L
.45104 .505 L
.45149 .50562 L
.45265 .50704 L
.45278 .50722 L
.45265 .50836 L
.45183 .50722 L
.45104 .50631 L
.45055 .50562 L
.44943 .50425 L
.44927 .50401 L
F
.045 .9 1 r
.44943 .40511 m
.45022 .40609 L
.45104 .40695 L
.45162 .4077 L
.45265 .40886 L
.45299 .4093 L
.45425 .4108 L
.45434 .41091 L
.45561 .41251 L
.45586 .4128 L
.45686 .41412 L
.45746 .41482 L
.45814 .41572 L
.45907 .41685 L
.45942 .41733 L
.46067 .41887 L
.46072 .41894 L
.46194 .42054 L
.46228 .42095 L
.46315 .42215 L
.46388 .42304 L
.4644 .42375 L
.46549 .42511 L
.46567 .42536 L
.46689 .42696 L
.46709 .42721 L
.46807 .42857 L
.4687 .42935 L
.46927 .43017 L
.4703 .43148 L
.47051 .43178 L
.47171 .43338 L
.47191 .43363 L
.47283 .43499 L
.47351 .43586 L
.47399 .43659 L
.47512 .43809 L
.47519 .4382 L
.47512 .43931 L
.47418 .4382 L
.47351 .43748 L
.47278 .43659 L
.47191 .43559 L
.47142 .43499 L
.4703 .43365 L
.47009 .43338 L
.46879 .43178 L
.4687 .43167 L
.46752 .43017 L
.46709 .42966 L
.46624 .42857 L
.46549 .42764 L
.46495 .42696 L
.46388 .42561 L
.46368 .42536 L
.46244 .42375 L
.46228 .42355 L
.46121 .42215 L
.46067 .42148 L
.45996 .42054 L
.45907 .4194 L
.45872 .41894 L
.45749 .41733 L
.45746 .4173 L
.4563 .41572 L
.45586 .41516 L
.4551 .41412 L
.45425 .41302 L
.45388 .41251 L
.45269 .41091 L
.45265 .41085 L
.45157 .4093 L
.45104 .40861 L
.45042 .4077 L
.44943 .40634 L
.44927 .40609 L
F
.156 .94 1 r
.44943 .39174 m
.45097 .39325 L
.45104 .39332 L
.45246 .39486 L
.45265 .39505 L
.45388 .39646 L
.45425 .39686 L
.45528 .39807 L
.45586 .39828 L
.45665 .39967 L
.45746 .40051 L
.458 .40128 L
.45907 .40254 L
.45943 .40288 L
.46066 .40449 L
.46067 .4045 L
.46195 .40609 L
.46228 .40633 L
.46325 .4077 L
.46388 .40841 L
.46483 .4093 L
.46549 .41047 L
.46587 .41091 L
.46709 .41249 L
.46711 .41251 L
.46838 .41412 L
.4687 .41443 L
.47018 .41572 L
.4703 .41652 L
.47104 .41733 L
.47191 .4186 L
.47216 .41894 L
.47343 .42054 L
.47351 .42059 L
.47468 .42215 L
.47512 .42263 L
.4762 .42375 L
.47672 .42474 L
.47723 .42536 L
.47833 .42683 L
.47841 .42696 L
.47968 .42857 L
.47993 .42879 L
.4814 .43017 L
.48154 .4309 L
.4823 .43178 L
.48314 .43303 L
.48341 .43338 L
.48466 .43499 L
.48475 .43502 L
.48589 .43659 L
.48636 .43709 L
.48739 .4382 L
.48796 .43923 L
.48842 .4398 L
.48957 .44135 L
.4896 .44141 L
.49084 .44301 L
.49117 .44328 L
.49255 .44462 L
.49278 .44544 L
.49344 .44622 L
.49438 .44759 L
.49455 .44783 L
.49578 .44943 L
.49599 .44948 L
.497 .45104 L
.49759 .45165 L
.4985 .45265 L
.4992 .45384 L
.49952 .45425 L
.50071 .45586 L
.5008 .45598 L
.50192 .45746 L
.50241 .45783 L
.50362 .45907 L
.50401 .46008 L
.5045 .46067 L
.50562 .46227 L
.50563 .46228 L
.50683 .46388 L
.50722 .46438 L
.50805 .46549 L
.50883 .46631 L
.50951 .46709 L
.51043 .46856 L
.51054 .4687 L
.51172 .4703 L
.51204 .47071 L
.51293 .47191 L
.51364 .47251 L
.51456 .47351 L
.51525 .47487 L
.51545 .47512 L
.51659 .47672 L
.51686 .47706 L
.51779 .47833 L
.51846 .4792 L
.519 .47993 L
.52007 .48122 L
.52033 .48154 L
.52142 .48314 L
.52167 .48347 L
.5226 .48475 L
.52328 .48563 L
.52379 .48636 L
.52488 .48766 L
.52513 .48796 L
.52617 .48957 L
.52649 .48997 L
.52732 .49117 L
.52809 .49219 L
.52849 .49278 L
.52968 .49438 L
.5297 .49441 L
.53075 .49599 L
.5313 .49675 L
.53183 .49759 L
.53291 .49917 L
.53293 .4992 L
.53291 .50066 L
.53133 .4992 L
.5313 .49917 L
.52979 .49759 L
.5297 .49749 L
.52833 .49599 L
.52809 .49573 L
.5269 .49438 L
.52649 .49391 L
.52551 .49278 L
.52488 .49211 L
.52414 .49117 L
.52328 .49011 L
.52273 .48957 L
.52167 .48816 L
.52151 .48796 L
.52017 .48636 L
.52007 .48627 L
.51885 .48475 L
.51846 .48427 L
.51739 .48314 L
.51686 .48223 L
.51631 .48154 L
.51525 .4802 L
.5151 .47993 L
.5137 .47833 L
.51364 .47827 L
.51216 .47672 L
.51204 .47623 L
.51113 .47512 L
.51043 .47415 L
.51002 .47351 L
.50883 .4721 L
.5086 .47191 L
.50734 .4703 L
.50722 .47015 L
.506 .4687 L
.50562 .46807 L
.5049 .46709 L
.50401 .46596 L
.5038 .46549 L
.50241 .46394 L
.50231 .46388 L
.50092 .46228 L
.5008 .46194 L
.49982 .46067 L
.4992 .45982 L
.49873 .45907 L
.49759 .45772 L
.49731 .45746 L
.49608 .45586 L
.49599 .45574 L
.49476 .45425 L
.49438 .45364 L
.49367 .45265 L
.49278 .45152 L
.49258 .45104 L
.49117 .44947 L
.49111 .44943 L
.48972 .44783 L
.48957 .44743 L
.48864 .44622 L
.48796 .4453 L
.48755 .44462 L
.48636 .4432 L
.48617 .44301 L
.48494 .44141 L
.48475 .44119 L
.48361 .4398 L
.48314 .43907 L
.48254 .4382 L
.48154 .43694 L
.48141 .43659 L
.48002 .43499 L
.47993 .43491 L
.47858 .43338 L
.47833 .43282 L
.47754 .43178 L
.47672 .43067 L
.47644 .43017 L
.47512 .42857 L
.47512 .42857 L
.4739 .42696 L
.47351 .42655 L
.47255 .42536 L
.47191 .42438 L
.47148 .42375 L
.4703 .42223 L
.47027 .42215 L
.46903 .42054 L
.4687 .42029 L
.46752 .41894 L
.46709 .41806 L
.46655 .41733 L
.46549 .41587 L
.46541 .41572 L
.46419 .41412 L
.46388 .41371 L
.46299 .41251 L
.46228 .41172 L
.46165 .41091 L
.46067 .40944 L
.46058 .4093 L
.45941 .4077 L
.45907 .40724 L
.45823 .40609 L
.45746 .40533 L
.4568 .40449 L
.45587 .40288 L
.45586 .40286 L
.45474 .40128 L
.45425 .40061 L
.4536 .39967 L
.45265 .39835 L
.4522 .39807 L
.45137 .39646 L
.45104 .39599 L
.45032 .39486 L
.44943 .39351 L
.44928 .39325 L
F
1 .36 0 r
.44943 .49632 m
.45052 .49759 L
.45104 .49814 L
.45191 .4992 L
.45265 .50002 L
.45328 .5008 L
.45425 .50194 L
.45463 .50241 L
.45586 .50379 L
.45595 .50401 L
.45724 .50562 L
.45746 .50588 L
.45851 .50722 L
.45907 .50789 L
.4598 .50883 L
.46067 .5099 L
.46109 .51043 L
.46228 .51187 L
.46249 .51204 L
.46361 .51364 L
.46388 .51398 L
.46485 .51525 L
.46549 .51604 L
.46611 .51686 L
.46709 .51778 L
.46737 .51846 L
.4686 .52007 L
.4687 .52018 L
.46981 .52167 L
.4703 .52229 L
.47104 .52328 L
.47191 .52439 L
.47227 .52488 L
.4735 .52649 L
.47351 .5265 L
.47468 .52809 L
.47512 .52866 L
.47587 .5297 L
.47672 .53081 L
.47708 .5313 L
.47828 .53291 L
.47833 .53297 L
.4794 .53451 L
.47993 .53522 L
.48054 .53612 L
.48154 .53747 L
.4817 .53772 L
.48154 .53912 L
.48037 .53772 L
.47993 .53726 L
.47901 .53612 L
.47833 .53536 L
.47765 .53451 L
.47672 .53343 L
.47631 .53291 L
.47512 .53165 L
.47499 .5313 L
.47371 .5297 L
.47351 .52947 L
.47244 .52809 L
.47191 .52745 L
.47116 .52649 L
.4703 .52543 L
.46988 .52488 L
.4687 .52349 L
.4686 .52328 L
.46736 .52167 L
.46709 .52134 L
.46613 .52007 L
.46549 .51928 L
.46487 .51846 L
.46388 .51721 L
.46362 .51686 L
.46237 .51525 L
.46228 .51513 L
.46117 .51364 L
.46067 .51302 L
.45995 .51204 L
.45907 .51091 L
.45872 .51043 L
.45748 .50883 L
.45746 .5088 L
.45632 .50722 L
.45586 .50664 L
.45513 .50562 L
.45425 .50448 L
.45392 .50401 L
.45272 .50241 L
.45265 .50232 L
.45161 .5008 L
.45104 .50006 L
.45047 .4992 L
.44943 .4978 L
.4493 .49759 L
F
0 .08 1 r
.44943 .50304 m
.45012 .50401 L
.45104 .50507 L
.45143 .50562 L
.45265 .50711 L
.45273 .50722 L
.45265 .50828 L
.4519 .50722 L
.45104 .50623 L
.45061 .50562 L
.44943 .50418 L
.44932 .50401 L
F
0 .74 1 r
.44943 .48963 m
.4509 .49117 L
.45104 .49131 L
.45234 .49278 L
.45265 .4931 L
.45375 .49438 L
.45425 .49495 L
.45513 .49599 L
.45586 .49632 L
.4565 .49759 L
.45746 .49867 L
.4582 .4992 L
.45907 .50069 L
.45918 .5008 L
.46047 .50241 L
.46067 .50265 L
.46178 .50401 L
.46228 .50443 L
.46308 .50562 L
.46388 .50657 L
.46453 .50722 L
.46549 .50863 L
.46565 .50883 L
.46693 .51043 L
.46709 .51064 L
.4682 .51204 L
.4687 .51256 L
.46987 .51364 L
.4703 .51468 L
.47079 .51525 L
.47191 .51674 L
.47198 .51686 L
.47326 .51846 L
.47351 .51863 L
.47452 .52007 L
.47512 .52077 L
.47593 .52167 L
.47672 .5229 L
.47701 .52328 L
.47826 .52488 L
.47833 .52496 L
.4795 .52649 L
.47993 .52691 L
.4811 .52809 L
.48154 .52908 L
.48204 .5297 L
.48314 .5312 L
.48321 .5313 L
.48446 .53291 L
.48475 .53306 L
.48569 .53451 L
.48636 .53528 L
.48708 .53612 L
.48796 .53745 L
.48816 .53772 L
.48938 .53933 L
.48957 .53957 L
.4906 .54093 L
.49117 .54148 L
.49216 .54254 L
.49278 .54374 L
.49309 .54414 L
.49426 .54575 L
.49438 .54591 L
.49546 .54735 L
.49599 .54763 L
.49668 .54896 L
.49759 .55007 L
.498 .55057 L
.49909 .55217 L
.4992 .55231 L
.50027 .55378 L
.5008 .55447 L
.50147 .55538 L
.50241 .55646 L
.50286 .55699 L
.50384 .55859 L
.50401 .55882 L
.50499 .5602 L
.50562 .56103 L
.50616 .5618 L
.50722 .56326 L
.50733 .56341 L
.50843 .56501 L
.50883 .56556 L
.50952 .56662 L
.51043 .56792 L
.51062 .56822 L
.51156 .56983 L
.51043 .56987 L
.5104 .56983 L
.5089 .56822 L
.50883 .56815 L
.50749 .56662 L
.50722 .56633 L
.50611 .56501 L
.50562 .56447 L
.50474 .56341 L
.50401 .56256 L
.50339 .5618 L
.50241 .56074 L
.50162 .5602 L
.5008 .55869 L
.50071 .55859 L
.49944 .55699 L
.4992 .5567 L
.49815 .55538 L
.49759 .55499 L
.49685 .55378 L
.49599 .55278 L
.49535 .55217 L
.49438 .55069 L
.49427 .55057 L
.49302 .54896 L
.49278 .54866 L
.49176 .54735 L
.49117 .54679 L
.48996 .54575 L
.48957 .54463 L
.48913 .54414 L
.48796 .54254 L
.48796 .54254 L
.48672 .54093 L
.48636 .54075 L
.48547 .53933 L
.48475 .53852 L
.48398 .53772 L
.48314 .53637 L
.48294 .53612 L
.48173 .53451 L
.48154 .53428 L
.4805 .53291 L
.47993 .53241 L
.47876 .5313 L
.47833 .53018 L
.47791 .5297 L
.47677 .52809 L
.47672 .52804 L
.47555 .52649 L
.47512 .52633 L
.47432 .52488 L
.47351 .52398 L
.47287 .52328 L
.47191 .52177 L
.47183 .52167 L
.47063 .52007 L
.4703 .51965 L
.46941 .51846 L
.4687 .5178 L
.46777 .51686 L
.46709 .51548 L
.4669 .51525 L
.46575 .51364 L
.46549 .51331 L
.46455 .51204 L
.46388 .51118 L
.46333 .51043 L
.46228 .50915 L
.462 .50883 L
.46091 .50722 L
.46067 .50692 L
.45973 .50562 L
.45907 .50476 L
.45853 .50401 L
.45746 .50275 L
.45716 .50241 L
.45614 .5008 L
.45586 .50043 L
.45499 .4992 L
.45425 .49822 L
.45382 .49759 L
.45265 .49601 L
.45263 .49599 L
.45154 .49438 L
.45104 .4937 L
.45045 .49278 L
.44943 .49134 L
.44933 .49117 L
F
1 .35 0 r
.44943 .49643 m
.45043 .49759 L
.45104 .49821 L
.45185 .4992 L
.45265 .50008 L
.45323 .5008 L
.45425 .50199 L
.45458 .50241 L
.45586 .50387 L
.45592 .50401 L
.4572 .50562 L
.45746 .50593 L
.45848 .50722 L
.45907 .50793 L
.45977 .50883 L
.46067 .50994 L
.46106 .51043 L
.46228 .51193 L
.46242 .51204 L
.46358 .51364 L
.46388 .51402 L
.46482 .51525 L
.46549 .51608 L
.46608 .51686 L
.46709 .51784 L
.46734 .51846 L
.46857 .52007 L
.4687 .52022 L
.46978 .52167 L
.4703 .52233 L
.47101 .52328 L
.47191 .52443 L
.47224 .52488 L
.47347 .52649 L
.47351 .52654 L
.47464 .52809 L
.47512 .5287 L
.47584 .5297 L
.47672 .53086 L
.47704 .5313 L
.47823 .53291 L
.47833 .53303 L
.47935 .53451 L
.47993 .53529 L
.48049 .53612 L
.48154 .53755 L
.48165 .53772 L
.48154 .53902 L
.48044 .53772 L
.47993 .53719 L
.47906 .53612 L
.47833 .5353 L
.4777 .53451 L
.47672 .53338 L
.47635 .53291 L
.47512 .53156 L
.47502 .5313 L
.47374 .5297 L
.47351 .52943 L
.47248 .52809 L
.47191 .52741 L
.47119 .52649 L
.4703 .5254 L
.46991 .52488 L
.4687 .52343 L
.46863 .52328 L
.46739 .52167 L
.46709 .52131 L
.46615 .52007 L
.46549 .51924 L
.4649 .51846 L
.46388 .51718 L
.46364 .51686 L
.4624 .51525 L
.46228 .51509 L
.4612 .51364 L
.46067 .51298 L
.45998 .51204 L
.45907 .51087 L
.45874 .51043 L
.45751 .50883 L
.45746 .50876 L
.45635 .50722 L
.45586 .5066 L
.45516 .50562 L
.45425 .50444 L
.45395 .50401 L
.45276 .50241 L
.45265 .50226 L
.45166 .5008 L
.45104 .49999 L
.45052 .4992 L
.44943 .49771 L
.44936 .49759 L
F
1 .18 0 r
.44943 .50981 m
.44971 .51043 L
.44943 .51051 L
.44937 .51043 L
F
0 .07 1 r
.44943 .50314 m
.45004 .50401 L
.45104 .50515 L
.45137 .50562 L
.45265 .50718 L
.45268 .50722 L
.45265 .50818 L
.45199 .50722 L
.45104 .50615 L
.45068 .50562 L
.44943 .50411 L
.44937 .50401 L
F
1 .34 0 r
.44943 .49656 m
.45034 .49759 L
.45104 .49829 L
.45179 .4992 L
.45265 .50014 L
.45318 .5008 L
.45425 .50205 L
.45454 .50241 L
.45586 .50396 L
.45588 .50401 L
.45715 .50562 L
.45746 .50598 L
.45844 .50722 L
.45907 .50797 L
.45973 .50883 L
.46067 .50998 L
.46103 .51043 L
.46228 .51198 L
.46235 .51204 L
.46354 .51364 L
.46388 .51406 L
.46479 .51525 L
.46549 .51612 L
.46605 .51686 L
.46709 .51791 L
.46731 .51846 L
.46854 .52007 L
.4687 .52026 L
.46975 .52167 L
.4703 .52237 L
.47098 .52328 L
.47191 .52447 L
.47221 .52488 L
.47343 .52649 L
.47351 .52659 L
.47461 .52809 L
.47512 .52875 L
.4758 .5297 L
.47672 .5309 L
.47701 .5313 L
.47819 .53291 L
.47833 .53309 L
.4793 .53451 L
.47993 .53536 L
.48044 .53612 L
.48154 .53764 L
.48159 .53772 L
.48154 .53891 L
.48053 .53772 L
.47993 .53712 L
.47912 .53612 L
.47833 .53524 L
.47775 .53451 L
.47672 .53333 L
.47639 .53291 L
.47512 .53147 L
.47506 .5313 L
.47378 .5297 L
.47351 .52938 L
.47251 .52809 L
.47191 .52737 L
.47123 .52649 L
.4703 .52536 L
.46994 .52488 L
.4687 .52337 L
.46865 .52328 L
.46742 .52167 L
.46709 .52127 L
.46618 .52007 L
.46549 .5192 L
.46493 .51846 L
.46388 .51714 L
.46367 .51686 L
.46244 .51525 L
.46228 .51505 L
.46123 .51364 L
.46067 .51294 L
.46001 .51204 L
.45907 .51084 L
.45877 .51043 L
.45755 .50883 L
.45746 .50872 L
.45639 .50722 L
.45586 .50655 L
.4552 .50562 L
.45425 .50439 L
.45399 .50401 L
.45281 .50241 L
.45265 .5022 L
.45171 .5008 L
.45104 .49992 L
.45058 .4992 L
.44943 .49762 L
.44942 .49759 L
F
0 .73 1 r
.44943 .48985 m
.45074 .49117 L
.45104 .49145 L
.45223 .49278 L
.45265 .49321 L
.45366 .49438 L
.45425 .49504 L
.45506 .49599 L
.45586 .49641 L
.45643 .49759 L
.45746 .49875 L
.4581 .4992 L
.45907 .50076 L
.45911 .5008 L
.46042 .50241 L
.46067 .50271 L
.46173 .50401 L
.46228 .50447 L
.46304 .50562 L
.46388 .50663 L
.46448 .50722 L
.46549 .50868 L
.46561 .50883 L
.46689 .51043 L
.46709 .51068 L
.46817 .51204 L
.4687 .5126 L
.46984 .51364 L
.4703 .51472 L
.47076 .51525 L
.47191 .51678 L
.47196 .51686 L
.47323 .51846 L
.47351 .51865 L
.47449 .52007 L
.47512 .52081 L
.4759 .52167 L
.47672 .52293 L
.47698 .52328 L
.47823 .52488 L
.47833 .525 L
.47948 .52649 L
.47993 .52694 L
.48108 .52809 L
.48154 .52911 L
.48201 .5297 L
.48314 .53123 L
.48319 .5313 L
.48443 .53291 L
.48475 .53308 L
.48566 .53451 L
.48636 .53531 L
.48705 .53612 L
.48796 .53749 L
.48813 .53772 L
.48935 .53933 L
.48957 .53961 L
.49057 .54093 L
.49117 .54152 L
.49213 .54254 L
.49278 .54378 L
.49306 .54414 L
.49423 .54575 L
.49438 .54595 L
.49543 .54735 L
.49599 .54767 L
.49664 .54896 L
.49759 .55012 L
.49796 .55057 L
.49905 .55217 L
.4992 .55236 L
.50023 .55378 L
.5008 .55452 L
.50143 .55538 L
.50241 .55654 L
.50279 .55699 L
.50379 .55859 L
.50401 .55888 L
.50494 .5602 L
.50562 .56111 L
.50611 .5618 L
.50722 .56334 L
.50727 .56341 L
.50835 .56501 L
.50883 .56568 L
.50943 .56662 L
.51043 .56808 L
.51052 .56822 L
.51043 .56967 L
.50904 .56822 L
.50883 .56802 L
.50759 .56662 L
.50722 .56623 L
.50619 .56501 L
.50562 .56438 L
.50481 .56341 L
.50401 .56249 L
.50345 .5618 L
.50241 .56067 L
.50173 .5602 L
.5008 .55862 L
.50077 .55859 L
.49949 .55699 L
.4992 .55664 L
.49819 .55538 L
.49759 .55494 L
.49689 .55378 L
.49599 .55273 L
.49539 .55217 L
.49438 .55065 L
.49431 .55057 L
.49306 .54896 L
.49278 .54862 L
.49179 .54735 L
.49117 .54675 L
.48999 .54575 L
.48957 .54459 L
.48916 .54414 L
.48799 .54254 L
.48796 .5425 L
.48675 .54093 L
.48636 .54073 L
.4855 .53933 L
.48475 .53849 L
.48401 .53772 L
.48314 .53633 L
.48297 .53612 L
.48176 .53451 L
.48154 .53424 L
.48052 .53291 L
.47993 .53238 L
.47879 .5313 L
.47833 .53015 L
.47794 .5297 L
.47679 .52809 L
.47672 .52801 L
.47557 .52649 L
.47512 .52631 L
.47434 .52488 L
.47351 .52395 L
.4729 .52328 L
.47191 .52174 L
.47186 .52167 L
.47066 .52007 L
.4703 .51962 L
.46944 .51846 L
.4687 .51777 L
.4678 .51686 L
.46709 .51544 L
.46693 .51525 L
.46578 .51364 L
.46549 .51328 L
.46457 .51204 L
.46388 .51115 L
.46336 .51043 L
.46228 .5091 L
.46204 .50883 L
.46094 .50722 L
.46067 .50688 L
.45976 .50562 L
.45907 .50471 L
.45856 .50401 L
.45746 .50267 L
.45723 .50241 L
.45619 .5008 L
.45586 .50037 L
.45504 .4992 L
.45425 .49815 L
.45387 .49759 L
.45269 .49599 L
.45265 .49593 L
.45162 .49438 L
.45104 .49359 L
.45053 .49278 L
.44943 .49119 L
.44943 .49117 L
F
.156 .94 1 r
.44943 .4423 m
.45104 .44232 L
.4521 .44301 L
.45265 .44347 L
.45392 .44462 L
.45425 .44501 L
.45542 .44622 L
.45586 .44682 L
.45691 .44783 L
.45746 .44879 L
.45806 .44943 L
.45907 .45083 L
.45922 .45104 L
.46067 .45261 L
.4607 .45265 L
.46211 .45425 L
.46228 .45466 L
.46322 .45586 L
.46388 .45677 L
.46431 .45746 L
.46549 .45887 L
.4657 .45907 L
.46691 .46067 L
.46709 .46077 L
.46821 .46228 L
.4687 .46285 L
.46925 .46388 L
.4703 .46517 L
.47036 .46549 L
.47147 .46709 L
.4717 .4687 L
.4703 .4689 L
.46959 .4687 L
.4687 .46827 L
.4674 .46709 L
.46709 .46665 L
.46598 .46549 L
.46549 .46482 L
.4644 .46388 L
.46388 .46283 L
.46334 .46228 L
.46228 .46082 L
.46216 .46067 L
.46089 .45907 L
.46067 .45893 L
.45921 .45746 L
.45907 .45682 L
.45829 .45586 L
.45746 .45464 L
.45721 .45425 L
.45598 .45265 L
.45586 .45248 L
.45479 .45104 L
.45425 .45032 L
.45333 .44943 L
.45265 .44833 L
.45238 .44783 L
.4513 .44622 L
.45104 .44584 L
.45026 .44462 L
.44943 .44302 L
.44943 .44301 L
F
0 .06 1 r
.44943 .50327 m
.44993 .50401 L
.45104 .50525 L
.45129 .50562 L
.45104 .50605 L
.45075 .50562 L
.44943 .50402 L
.44943 .50401 L
F
1 .65 0 r
.45104 .44898 m
.45149 .44943 L
.45265 .45033 L
.45304 .45104 L
.45425 .45234 L
.45469 .45265 L
.45579 .45425 L
.45586 .45433 L
.45706 .45586 L
.45746 .45635 L
.4583 .45746 L
.45907 .45846 L
.45951 .45907 L
.46067 .46067 L
.46067 .46068 L
.46168 .46228 L
.46228 .46336 L
.46251 .46388 L
.46228 .46459 L
.46103 .46388 L
.46067 .46361 L
.45933 .46228 L
.45907 .46201 L
.4579 .46067 L
.45746 .46017 L
.45657 .45907 L
.45586 .45821 L
.45528 .45746 L
.45425 .4563 L
.45383 .45586 L
.45284 .45425 L
.45265 .45399 L
.45171 .45265 L
.45104 .4517 L
.45061 .45104 L
.44964 .44943 L
F
.114 .93 1 r
.45104 .44254 m
.45179 .44301 L
.45265 .44365 L
.45375 .44462 L
.45425 .44516 L
.45531 .44622 L
.45586 .44694 L
.45684 .44783 L
.45746 .44888 L
.458 .44943 L
.45907 .45087 L
.45919 .45104 L
.46065 .45265 L
.46067 .45267 L
.46209 .45425 L
.46228 .45472 L
.46318 .45586 L
.46388 .45683 L
.46427 .45746 L
.46549 .45891 L
.46565 .45907 L
.46686 .46067 L
.46709 .4608 L
.46817 .46228 L
.4687 .46291 L
.4692 .46388 L
.4703 .46532 L
.47033 .46549 L
.47136 .46709 L
.47119 .4687 L
.4703 .46876 L
.47001 .4687 L
.4687 .46815 L
.4675 .46709 L
.46709 .46654 L
.46604 .46549 L
.46549 .46475 L
.46444 .46388 L
.46388 .46278 L
.46338 .46228 L
.46228 .46078 L
.46219 .46067 L
.46092 .45907 L
.46067 .45891 L
.45923 .45746 L
.45907 .45678 L
.45833 .45586 L
.45746 .45459 L
.45724 .45425 L
.45602 .45265 L
.45586 .45242 L
.45484 .45104 L
.45425 .45025 L
.45338 .44943 L
.45265 .44821 L
.45245 .44783 L
.45138 .44622 L
.45104 .4457 L
.45039 .44462 L
.44972 .44301 L
F
1 .64 0 r
.45104 .44906 m
.45142 .44943 L
.45265 .45042 L
.45299 .45104 L
.45425 .45241 L
.4546 .45265 L
.45575 .45425 L
.45586 .45438 L
.45702 .45586 L
.45746 .4564 L
.45826 .45746 L
.45907 .45851 L
.45947 .45907 L
.46062 .46067 L
.46067 .46075 L
.46162 .46228 L
.46228 .46353 L
.46241 .46388 L
.46228 .4644 L
.46116 .46388 L
.46067 .46353 L
.4594 .46228 L
.45907 .46195 L
.45795 .46067 L
.45746 .46012 L
.45661 .45907 L
.45586 .45816 L
.45531 .45746 L
.45425 .45623 L
.45389 .45586 L
.45288 .45425 L
.45265 .45394 L
.45175 .45265 L
.45104 .45162 L
.45066 .45104 L
.44973 .44943 L
F
1 .63 0 r
.45104 .44915 m
.45133 .44943 L
.45265 .45051 L
.45293 .45104 L
.45425 .45247 L
.4545 .45265 L
.4557 .45425 L
.45586 .45443 L
.45698 .45586 L
.45746 .45646 L
.45822 .45746 L
.45907 .45857 L
.45943 .45907 L
.46057 .46067 L
.46067 .46083 L
.46155 .46228 L
.46228 .46378 L
.4623 .46388 L
.46228 .4641 L
.46131 .46388 L
.46067 .46344 L
.45946 .46228 L
.45907 .46188 L
.458 .46067 L
.45746 .46007 L
.45665 .45907 L
.45586 .45811 L
.45535 .45746 L
.45425 .45616 L
.45396 .45586 L
.45292 .45425 L
.45265 .45388 L
.4518 .45265 L
.45104 .45155 L
.45071 .45104 L
.44983 .44943 L
F
1 .62 0 r
.45104 .44925 m
.45124 .44943 L
.45265 .45062 L
.45287 .45104 L
.45425 .45254 L
.4544 .45265 L
.45566 .45425 L
.45586 .45449 L
.45694 .45586 L
.45746 .45651 L
.45818 .45746 L
.45907 .45862 L
.45939 .45907 L
.46051 .46067 L
.46067 .46091 L
.46149 .46228 L
.46067 .46336 L
.45953 .46228 L
.45907 .46182 L
.45805 .46067 L
.45746 .46001 L
.45669 .45907 L
.45586 .45806 L
.45539 .45746 L
.45425 .45609 L
.45403 .45586 L
.45297 .45425 L
.45265 .45382 L
.45184 .45265 L
.45104 .45147 L
.45077 .45104 L
.44995 .44943 L
F
1 .61 0 r
.45104 .44934 m
.45114 .44943 L
.45265 .45073 L
.45281 .45104 L
.45425 .45262 L
.45429 .45265 L
.45561 .45425 L
.45586 .45454 L
.45689 .45586 L
.45746 .45656 L
.45814 .45746 L
.45907 .45868 L
.45935 .45907 L
.46046 .46067 L
.46067 .46099 L
.46142 .46228 L
.46067 .46327 L
.4596 .46228 L
.45907 .46176 L
.4581 .46067 L
.45746 .45996 L
.45673 .45907 L
.45586 .45801 L
.45543 .45746 L
.45425 .45601 L
.4541 .45586 L
.45301 .45425 L
.45265 .45375 L
.45189 .45265 L
.45104 .45138 L
.45083 .45104 L
.45008 .44943 L
F
.084 .92 1 r
.45104 .44281 m
.4514 .44301 L
.45265 .44383 L
.45359 .44462 L
.45425 .44531 L
.45519 .44622 L
.45586 .44705 L
.45676 .44783 L
.45746 .44896 L
.45794 .44943 L
.45907 .45091 L
.45917 .45104 L
.4606 .45265 L
.46067 .45273 L
.46206 .45425 L
.46228 .45478 L
.46314 .45586 L
.46388 .45688 L
.46424 .45746 L
.46549 .45895 L
.46561 .45907 L
.46682 .46067 L
.46709 .46083 L
.46813 .46228 L
.4687 .46299 L
.46915 .46388 L
.4703 .46548 L
.4703 .46549 L
.47124 .46709 L
.4703 .46862 L
.4687 .46803 L
.4676 .46709 L
.46709 .46644 L
.4661 .46549 L
.46549 .46469 L
.46449 .46388 L
.46388 .46273 L
.46342 .46228 L
.46228 .46075 L
.46222 .46067 L
.46096 .45907 L
.46067 .45888 L
.45925 .45746 L
.45907 .45673 L
.45836 .45586 L
.45746 .45454 L
.45727 .45425 L
.45607 .45265 L
.45586 .45237 L
.45488 .45104 L
.45425 .45019 L
.45344 .44943 L
.45265 .44808 L
.45252 .44783 L
.45147 .44622 L
.45104 .44554 L
.45051 .44462 L
.45012 .44301 L
F
1 .98 .538 r
.45104 .47042 m
.45265 .47064 L
.45425 .4718 L
.45439 .47191 L
.45573 .47351 L
.45586 .47361 L
.45699 .47512 L
.45746 .47555 L
.45825 .47672 L
.45907 .47766 L
.45975 .47833 L
.46067 .4798 L
.46079 .47993 L
.46198 .48154 L
.46228 .48192 L
.46319 .48314 L
.46388 .48364 L
.46483 .48475 L
.46549 .48603 L
.46573 .48636 L
.46686 .48796 L
.46709 .48826 L
.46804 .48957 L
.4687 .49043 L
.46923 .49117 L
.4703 .49262 L
.47047 .49278 L
.47151 .49438 L
.47191 .49498 L
.4725 .49599 L
.4733 .49759 L
.47351 .49816 L
.47379 .4992 L
.47443 .5008 L
.47512 .50204 L
.47542 .50241 L
.47658 .50401 L
.47672 .50418 L
.47788 .50562 L
.47833 .50588 L
.47924 .50722 L
.47993 .50822 L
.48064 .50883 L
.48154 .50985 L
.48206 .51043 L
.48314 .51167 L
.48349 .51204 L
.48475 .51349 L
.4849 .51364 L
.4863 .51525 L
.48636 .51533 L
.48769 .51686 L
.48796 .51729 L
.48864 .51846 L
.48957 .51901 L
.49048 .52007 L
.49117 .52092 L
.49182 .52167 L
.49278 .52288 L
.49312 .52328 L
.49438 .52487 L
.49439 .52488 L
.4956 .52649 L
.49599 .527 L
.49667 .52809 L
.49759 .52923 L
.49825 .5297 L
.4992 .53094 L
.49949 .5313 L
.50073 .53291 L
.5008 .53302 L
.50188 .53451 L
.50241 .53519 L
.50288 .53612 L
.50401 .53742 L
.5045 .53772 L
.50562 .5392 L
.50572 .53933 L
.50692 .54093 L
.50722 .54134 L
.50798 .54254 L
.50883 .54355 L
.50947 .54414 L
.51043 .54543 L
.51069 .54575 L
.51191 .54735 L
.51204 .54754 L
.51303 .54896 L
.51364 .54972 L
.51397 .55057 L
.51525 .55193 L
.51565 .55217 L
.51686 .55377 L
.51686 .55378 L
.51805 .55538 L
.51846 .55592 L
.51908 .55699 L
.52007 .55811 L
.52059 .55859 L
.52167 .56002 L
.52181 .5602 L
.52304 .5618 L
.52328 .56214 L
.52413 .56341 L
.52488 .56431 L
.52508 .56501 L
.52649 .56646 L
.52675 .56662 L
.528 .56822 L
.52809 .56839 L
.52915 .56983 L
.5297 .57053 L
.53018 .57143 L
.5313 .57268 L
.53168 .57304 L
.5329 .57464 L
.53291 .57466 L
.53414 .57625 L
.53451 .57677 L
.53523 .57785 L
.53612 .57891 L
.53622 .57946 L
.53772 .58099 L
.53782 .58106 L
.53912 .58267 L
.53933 .58302 L
.54024 .58428 L
.54093 .58516 L
.54129 .58588 L
.54254 .58728 L
.54274 .58749 L
.54409 .58909 L
.54414 .58929 L
.54523 .5907 L
.54575 .59142 L
.54631 .5923 L
.54735 .59356 L
.54739 .59391 L
.54887 .59551 L
.54896 .59559 L
.55022 .59712 L
.55057 .59768 L
.5513 .59872 L
.55217 .59984 L
.55239 .60033 L
.55377 .60193 L
.55378 .60193 L
.55524 .60354 L
.55538 .60396 L
.55628 .60514 L
.55699 .60613 L
.55736 .60675 L
.55859 .60828 L
.55859 .60835 L
.55986 .60996 L
.5602 .61023 L
.56126 .61156 L
.5618 .61245 L
.56229 .61317 L
.56341 .61465 L
.56346 .61477 L
.56469 .61638 L
.56501 .6168 L
.56628 .61799 L
.56662 .6188 L
.56718 .61959 L
.56822 .62109 L
.56829 .6212 L
.56947 .6228 L
.56983 .62329 L
.57064 .62441 L
.57143 .62523 L
.57199 .62601 L
.57299 .62762 L
.57304 .62768 L
.57411 .62922 L
.57464 .62996 L
.57524 .63083 L
.57625 .63226 L
.57648 .63243 L
.57741 .63404 L
.57785 .6347 L
.57841 .63564 L
.57785 .63719 L
.5763 .63564 L
.57625 .6356 L
.5748 .63404 L
.57464 .63388 L
.57336 .63243 L
.57304 .63208 L
.57196 .63083 L
.57143 .63032 L
.57058 .62922 L
.56983 .62834 L
.56902 .62762 L
.56822 .62637 L
.56789 .62601 L
.56662 .62444 L
.56659 .62441 L
.56528 .6228 L
.56501 .6225 L
.56361 .6212 L
.56341 .62047 L
.56262 .61959 L
.5618 .61841 L
.56147 .61799 L
.5602 .61642 L
.56019 .61638 L
.55887 .61477 L
.55859 .61444 L
.55744 .61317 L
.55699 .61235 L
.55635 .61156 L
.55538 .61026 L
.55521 .60996 L
.55383 .60835 L
.55378 .6083 L
.55232 .60675 L
.55217 .60622 L
.55127 .60514 L
.55057 .60411 L
.55016 .60354 L
.54896 .60204 L
.54896 .60193 L
.54759 .60033 L
.54735 .60004 L
.5462 .59872 L
.54575 .59793 L
.54512 .59712 L
.54414 .59582 L
.54398 .59551 L
.54263 .59391 L
.54254 .59382 L
.54112 .5923 L
.54093 .59173 L
.54008 .5907 L
.53933 .5896 L
.53898 .58909 L
.53772 .58753 L
.53767 .58749 L
.53644 .58588 L
.53612 .58551 L
.53503 .58428 L
.53451 .58338 L
.53396 .58267 L
.53291 .58127 L
.53281 .58106 L
.5315 .57946 L
.5313 .57927 L
.52996 .57785 L
.5297 .57716 L
.52895 .57625 L
.52809 .57503 L
.52783 .57464 L
.52656 .57304 L
.52649 .573 L
.52534 .57143 L
.52488 .57093 L
.52391 .56983 L
.52328 .56879 L
.52285 .56822 L
.52167 .56667 L
.52165 .56662 L
.52041 .56501 L
.52007 .56471 L
.51883 .56341 L
.51846 .56255 L
.51785 .5618 L
.51686 .56041 L
.51672 .5602 L
.51548 .55859 L
.51525 .55849 L
.51426 .55699 L
.51364 .55633 L
.51282 .55538 L
.51204 .55415 L
.51176 .55378 L
.51055 .55217 L
.51043 .55203 L
.50933 .55057 L
.50883 .55014 L
.50775 .54896 L
.50722 .54792 L
.50677 .54735 L
.50562 .54575 L
.50562 .54575 L
.50441 .54414 L
.50401 .54398 L
.50319 .54254 L
.50241 .5417 L
.50177 .54093 L
.5008 .53948 L
.50069 .53933 L
.49949 .53772 L
.4992 .53735 L
.49828 .53612 L
.49759 .53551 L
.49672 .53451 L
.49599 .53322 L
.49574 .53291 L
.49458 .5313 L
.49438 .53106 L
.49337 .5297 L
.49278 .52894 L
.49215 .52809 L
.49117 .52698 L
.49077 .52649 L
.48967 .52488 L
.48957 .52475 L
.48847 .52328 L
.48796 .52263 L
.48726 .52167 L
.48636 .5208 L
.48575 .52007 L
.48477 .51846 L
.48475 .51843 L
.48359 .51686 L
.48314 .51629 L
.48239 .51525 L
.48154 .51417 L
.48116 .51364 L
.47993 .51209 L
.47989 .51204 L
.47874 .51043 L
.47833 .50991 L
.47756 .50883 L
.47672 .50775 L
.47635 .50722 L
.47512 .50562 L
.47512 .50562 L
.474 .50401 L
.47351 .50338 L
.47286 .50241 L
.47191 .50115 L
.47168 .5008 L
.47052 .4992 L
.4703 .49889 L
.46938 .49759 L
.4687 .49665 L
.46798 .49599 L
.46709 .49453 L
.46697 .49438 L
.46563 .49278 L
.46549 .49244 L
.46448 .49117 L
.46388 .49036 L
.46329 .48957 L
.46228 .48826 L
.46209 .48796 L
.46079 .48636 L
.46067 .48617 L
.4596 .48475 L
.45907 .48405 L
.45847 .48314 L
.45746 .48193 L
.45736 .48154 L
.45588 .47993 L
.45586 .4799 L
.4547 .47833 L
.45425 .47778 L
.45362 .47672 L
.45265 .47562 L
.45254 .47512 L
.45108 .47351 L
.45104 .47332 L
.45013 .47191 L
F
.395 .97 1 r
.45104 .47672 m
.45104 .47672 L
.45265 .47825 L
.45271 .47833 L
.45407 .47993 L
.45425 .48015 L
.4553 .48154 L
.45586 .48227 L
.45648 .48314 L
.45746 .4845 L
.45763 .48475 L
.45875 .48636 L
.45907 .48679 L
.45987 .48796 L
.46067 .48905 L
.461 .48957 L
.46218 .49117 L
.46228 .4913 L
.46341 .49278 L
.46388 .49327 L
.46466 .49438 L
.46549 .49542 L
.46609 .49599 L
.46709 .49745 L
.4672 .49759 L
.46852 .4992 L
.4687 .49937 L
.46984 .5008 L
.4703 .50139 L
.47129 .50241 L
.47191 .50341 L
.47232 .50401 L
.47351 .50543 L
.47379 .50562 L
.47509 .50722 L
.47512 .50726 L
.47661 .50883 L
.47672 .50927 L
.47765 .51043 L
.47833 .51135 L
.47872 .51204 L
.47993 .51346 L
.48031 .51364 L
.48154 .51521 L
.48157 .51525 L
.48289 .51686 L
.48314 .51727 L
.48401 .51846 L
.48475 .5194 L
.48505 .52007 L
.48636 .52154 L
.48668 .52167 L
.48794 .52328 L
.48796 .52334 L
.48916 .52488 L
.48957 .52545 L
.49025 .52649 L
.49117 .52761 L
.49171 .52809 L
.49278 .52949 L
.49294 .5297 L
.49421 .5313 L
.49438 .53158 L
.49534 .53291 L
.49599 .53373 L
.49637 .53451 L
.49759 .53589 L
.49793 .53612 L
.49918 .53772 L
.4992 .53778 L
.50038 .53933 L
.5008 .5399 L
.50146 .54093 L
.50241 .54206 L
.5029 .54254 L
.50401 .54412 L
.50412 .54414 L
.50539 .54575 L
.50562 .54611 L
.50651 .54735 L
.50722 .54826 L
.50753 .54896 L
.50883 .55038 L
.50907 .55057 L
.51036 .55217 L
.51043 .55235 L
.51152 .55378 L
.51204 .55447 L
.51259 .55538 L
.51364 .55661 L
.51401 .55699 L
.51523 .55859 L
.51525 .55861 L
.51652 .5602 L
.51686 .56071 L
.51762 .5618 L
.51846 .56285 L
.51867 .56341 L
.52007 .56493 L
.52016 .56501 L
.52152 .56662 L
.52167 .56697 L
.52262 .56822 L
.52328 .5691 L
.5237 .56983 L
.52488 .57122 L
.52508 .57143 L
.5263 .57304 L
.52649 .57324 L
.52762 .57464 L
.52809 .57536 L
.5287 .57625 L
.5297 .57751 L
.52981 .57785 L
.5312 .57946 L
.5313 .57953 L
.53264 .58106 L
.53291 .58164 L
.53368 .58267 L
.53451 .5838 L
.53478 .58428 L
.53608 .58588 L
.53612 .58592 L
.5373 .58749 L
.53772 .58791 L
.53865 .58909 L
.53933 .59012 L
.53971 .5907 L
.54093 .59228 L
.54094 .5923 L
.54214 .59391 L
.54254 .59417 L
.54364 .59551 L
.54414 .59646 L
.54461 .59712 L
.54575 .5987 L
.54576 .59872 L
.54695 .60033 L
.54735 .60087 L
.54873 .60193 L
.54896 .60287 L
.54945 .60354 L
.55051 .60514 L
.55057 .60522 L
.55166 .60675 L
.55217 .60745 L
.55281 .60835 L
.55378 .60949 L
.55411 .60996 L
.55508 .61156 L
.55538 .61198 L
.55617 .61317 L
.55699 .61436 L
.55725 .61477 L
.55823 .61638 L
.55859 .61697 L
.55904 .61799 L
.55859 .61841 L
.55811 .61799 L
.55699 .61698 L
.55641 .61638 L
.55538 .6157 L
.55489 .61477 L
.55378 .61363 L
.55343 .61317 L
.55217 .61174 L
.55197 .61156 L
.55065 .60996 L
.55057 .60986 L
.54931 .60835 L
.54896 .60807 L
.54797 .60675 L
.54735 .60605 L
.54635 .60514 L
.54575 .60403 L
.5453 .60354 L
.54414 .60205 L
.54406 .60193 L
.54274 .60033 L
.54254 .60012 L
.54146 .59872 L
.54093 .59808 L
.54006 .59712 L
.53933 .59601 L
.53894 .59551 L
.53772 .59399 L
.53769 .59391 L
.53637 .5923 L
.53612 .59201 L
.53489 .5907 L
.53451 .58992 L
.53383 .58909 L
.53291 .58783 L
.53269 .58749 L
.53135 .58588 L
.5313 .58584 L
.52973 .58428 L
.5297 .58378 L
.52874 .58267 L
.52809 .58167 L
.52764 .58106 L
.52649 .57959 L
.52645 .57946 L
.52512 .57785 L
.52488 .57759 L
.52366 .57625 L
.52328 .57548 L
.5226 .57464 L
.52167 .57337 L
.52147 .57304 L
.52015 .57143 L
.52007 .57136 L
.51854 .56983 L
.51846 .56928 L
.51756 .56822 L
.51686 .56715 L
.51647 .56662 L
.51525 .56507 L
.51524 .56501 L
.51398 .56341 L
.51364 .56306 L
.5125 .5618 L
.51204 .56093 L
.51146 .5602 L
.51043 .55881 L
.51031 .55859 L
.50903 .55699 L
.50883 .55683 L
.50738 .55538 L
.50722 .55471 L
.50644 .55378 L
.50562 .55256 L
.50534 .55217 L
.5041 .55057 L
.50401 .55055 L
.50288 .54896 L
.50241 .54849 L
.50139 .54735 L
.5008 .54632 L
.50036 .54575 L
.4992 .54418 L
.49917 .54414 L
.49795 .54254 L
.49759 .54229 L
.49627 .54093 L
.49599 .54009 L
.49536 .53933 L
.49438 .53791 L
.49425 .53772 L
.49303 .53612 L
.49278 .53579 L
.49182 .53451 L
.49117 .53388 L
.49033 .53291 L
.48957 .53165 L
.4893 .5313 L
.48812 .5297 L
.48796 .5295 L
.48691 .52809 L
.48636 .5277 L
.48523 .52649 L
.48475 .52539 L
.48434 .52488 L
.48321 .52328 L
.48314 .52319 L
.48201 .52167 L
.48154 .52107 L
.4808 .52007 L
.47993 .51915 L
.47936 .51846 L
.47833 .51687 L
.47832 .51686 L
.47713 .51525 L
.47672 .51473 L
.47593 .51364 L
.47512 .51294 L
.47435 .51204 L
.47351 .51052 L
.47345 .51043 L
.47229 .50883 L
.47191 .50834 L
.4711 .50722 L
.4703 .5062 L
.46989 .50562 L
.4687 .50409 L
.46864 .50401 L
.4675 .50241 L
.46709 .50187 L
.46634 .5008 L
.46549 .49968 L
.46515 .4992 L
.46396 .49759 L
.46388 .49749 L
.46285 .49599 L
.46228 .49521 L
.46172 .49438 L
.46067 .49293 L
.46057 .49278 L
.45949 .49117 L
.45907 .49057 L
.45843 .48957 L
.45746 .48816 L
.45734 .48796 L
.45627 .48636 L
.45586 .48575 L
.45522 .48475 L
.45425 .48332 L
.45414 .48314 L
.45306 .48154 L
.45265 .48092 L
.45201 .47993 L
.45106 .47833 L
.45104 .47829 L
.45037 .47672 L
F
0 .72 1 r
.45104 .49161 m
.45211 .49278 L
.45265 .49333 L
.45357 .49438 L
.45425 .49513 L
.45498 .49599 L
.45586 .49651 L
.45636 .49759 L
.45746 .49883 L
.45799 .4992 L
.45905 .5008 L
.45907 .50082 L
.46036 .50241 L
.46067 .50277 L
.46168 .50401 L
.46228 .50452 L
.46299 .50562 L
.46388 .50668 L
.46443 .50722 L
.46549 .50872 L
.46557 .50883 L
.46685 .51043 L
.46709 .51073 L
.46813 .51204 L
.4687 .51264 L
.4698 .51364 L
.4703 .51476 L
.47072 .51525 L
.47191 .51682 L
.47193 .51686 L
.47319 .51846 L
.47351 .51868 L
.47445 .52007 L
.47512 .52085 L
.47587 .52167 L
.47672 .52297 L
.47696 .52328 L
.4782 .52488 L
.47833 .52504 L
.47945 .52649 L
.47993 .52697 L
.48105 .52809 L
.48154 .52915 L
.48199 .5297 L
.48314 .53126 L
.48317 .5313 L
.4844 .53291 L
.48475 .5331 L
.48564 .53451 L
.48636 .53535 L
.48702 .53612 L
.48796 .53753 L
.4881 .53772 L
.48932 .53933 L
.48957 .53965 L
.49054 .54093 L
.49117 .54155 L
.4921 .54254 L
.49278 .54383 L
.49303 .54414 L
.4942 .54575 L
.49438 .54599 L
.4954 .54735 L
.49599 .54771 L
.49661 .54896 L
.49759 .55017 L
.49792 .55057 L
.49902 .55217 L
.4992 .55241 L
.5002 .55378 L
.5008 .55458 L
.50139 .55538 L
.50241 .55662 L
.50272 .55699 L
.50374 .55859 L
.50401 .55895 L
.50489 .5602 L
.50562 .56118 L
.50605 .5618 L
.50721 .56341 L
.50722 .56343 L
.50827 .56501 L
.50883 .5658 L
.50934 .56662 L
.50883 .56787 L
.50771 .56662 L
.50722 .56612 L
.50628 .56501 L
.50562 .56429 L
.50488 .56341 L
.50401 .56241 L
.50351 .5618 L
.50241 .56059 L
.50184 .5602 L
.50083 .55859 L
.5008 .55856 L
.49954 .55699 L
.4992 .55659 L
.49824 .55538 L
.49759 .5549 L
.49693 .55378 L
.49599 .55268 L
.49544 .55217 L
.49438 .5506 L
.49435 .55057 L
.49309 .54896 L
.49278 .54858 L
.49182 .54735 L
.49117 .54672 L
.49003 .54575 L
.48957 .54455 L
.4892 .54414 L
.48802 .54254 L
.48796 .54246 L
.48678 .54093 L
.48636 .54071 L
.48553 .53933 L
.48475 .53845 L
.48404 .53772 L
.48314 .5363 L
.483 .53612 L
.48178 .53451 L
.48154 .53421 L
.48055 .53291 L
.47993 .53235 L
.47882 .5313 L
.47833 .53011 L
.47797 .5297 L
.47682 .52809 L
.47672 .52798 L
.4756 .52649 L
.47512 .52629 L
.47437 .52488 L
.47351 .52392 L
.47293 .52328 L
.47191 .5217 L
.47188 .52167 L
.47068 .52007 L
.4703 .51958 L
.46947 .51846 L
.4687 .51773 L
.46784 .51686 L
.46709 .5154 L
.46697 .51525 L
.4658 .51364 L
.46549 .51324 L
.4646 .51204 L
.46388 .51111 L
.46339 .51043 L
.46228 .50905 L
.46209 .50883 L
.46098 .50722 L
.46067 .50683 L
.4598 .50562 L
.45907 .50467 L
.4586 .50401 L
.45746 .50258 L
.45731 .50241 L
.45624 .5008 L
.45586 .5003 L
.45509 .4992 L
.45425 .49808 L
.45392 .49759 L
.45276 .49599 L
.45265 .49583 L
.4517 .49438 L
.45104 .49346 L
.45062 .49278 L
F
1 .33 0 r
.45104 .49838 m
.45172 .4992 L
.45265 .50021 L
.45313 .5008 L
.45425 .5021 L
.4545 .50241 L
.45583 .50401 L
.45586 .50404 L
.45711 .50562 L
.45746 .50602 L
.4584 .50722 L
.45907 .50802 L
.4597 .50883 L
.46067 .51002 L
.46099 .51043 L
.46228 .51204 L
.46228 .51204 L
.46351 .51364 L
.46388 .5141 L
.46476 .51525 L
.46549 .51615 L
.46602 .51686 L
.46709 .51798 L
.46728 .51846 L
.46851 .52007 L
.4687 .5203 L
.46972 .52167 L
.4703 .52241 L
.47095 .52328 L
.47191 .52451 L
.47218 .52488 L
.4734 .52649 L
.47351 .52663 L
.47457 .52809 L
.47512 .5288 L
.47576 .5297 L
.47672 .53095 L
.47697 .5313 L
.47814 .53291 L
.47833 .53316 L
.47924 .53451 L
.47993 .53543 L
.48038 .53612 L
.47993 .53704 L
.47918 .53612 L
.47833 .53518 L
.47779 .53451 L
.47672 .53328 L
.47643 .53291 L
.47512 .53137 L
.47509 .5313 L
.47382 .5297 L
.47351 .52934 L
.47255 .52809 L
.47191 .52733 L
.47126 .52649 L
.4703 .52532 L
.46997 .52488 L
.4687 .52331 L
.46868 .52328 L
.46746 .52167 L
.46709 .52123 L
.46621 .52007 L
.46549 .51917 L
.46496 .51846 L
.46388 .51711 L
.46369 .51686 L
.46247 .51525 L
.46228 .51501 L
.46126 .51364 L
.46067 .5129 L
.46004 .51204 L
.45907 .5108 L
.4588 .51043 L
.45758 .50883 L
.45746 .50867 L
.45642 .50722 L
.45586 .5065 L
.45523 .50562 L
.45425 .50434 L
.45402 .50401 L
.45286 .50241 L
.45265 .50213 L
.45176 .5008 L
.45104 .49984 L
.45063 .4992 L
F
.061 .91 1 r
.45104 .44312 m
.45265 .44399 L
.45342 .44462 L
.45425 .44544 L
.45508 .44622 L
.45586 .44716 L
.45668 .44783 L
.45746 .44904 L
.45788 .44943 L
.45907 .45095 L
.45914 .45104 L
.46054 .45265 L
.46067 .45279 L
.46204 .45425 L
.46228 .45484 L
.4631 .45586 L
.46388 .45693 L
.46421 .45746 L
.46549 .459 L
.46556 .45907 L
.46677 .46067 L
.46709 .46086 L
.46809 .46228 L
.4687 .46306 L
.46911 .46388 L
.47023 .46549 L
.4703 .46561 L
.47113 .46709 L
.4703 .46846 L
.4687 .46791 L
.46771 .46709 L
.46709 .46634 L
.46617 .46549 L
.46549 .46463 L
.46453 .46388 L
.46388 .46269 L
.46346 .46228 L
.46228 .46072 L
.46224 .46067 L
.46099 .45907 L
.46067 .45885 L
.45927 .45746 L
.45907 .45669 L
.45839 .45586 L
.45746 .45449 L
.4573 .45425 L
.45611 .45265 L
.45586 .45231 L
.45492 .45104 L
.45425 .45013 L
.4535 .44943 L
.45265 .44794 L
.45259 .44783 L
.45156 .44622 L
.45104 .44536 L
.45065 .44462 L
F
1 .88 .024 r
.45104 .40056 m
.45169 .40128 L
.45265 .40223 L
.45319 .40288 L
.45425 .40404 L
.45462 .40449 L
.45586 .40574 L
.45601 .40609 L
.45735 .4077 L
.45746 .40782 L
.45865 .4093 L
.45907 .40978 L
.45996 .41091 L
.46067 .41175 L
.46127 .41251 L
.46228 .41356 L
.46258 .41412 L
.46388 .41572 L
.46388 .41573 L
.46513 .41733 L
.46549 .41776 L
.4664 .41894 L
.46709 .41979 L
.46767 .42054 L
.4687 .42172 L
.46916 .42215 L
.47021 .42375 L
.4703 .42386 L
.47145 .42536 L
.47191 .42592 L
.4727 .42696 L
.47351 .42772 L
.47396 .42857 L
.47512 .43001 L
.47527 .43017 L
.47645 .43178 L
.47672 .43212 L
.47767 .43338 L
.47833 .43421 L
.47891 .43499 L
.47993 .43617 L
.48036 .43659 L
.4814 .4382 L
.48154 .43837 L
.48261 .4398 L
.48314 .44048 L
.48383 .44141 L
.48475 .44231 L
.48507 .44301 L
.48631 .44462 L
.48636 .44467 L
.4875 .44622 L
.48796 .4468 L
.48871 .44783 L
.48957 .44893 L
.48994 .44943 L
.49117 .45103 L
.49118 .45104 L
.49234 .45265 L
.49278 .4532 L
.49353 .45425 L
.49438 .45536 L
.49473 .45586 L
.49595 .45746 L
.49599 .45751 L
.49708 .45907 L
.49759 .45973 L
.49824 .46067 L
.4992 .46195 L
.49942 .46228 L
.50055 .46388 L
.5008 .46422 L
.5016 .46549 L
.50241 .46664 L
.50266 .46709 L
.50241 .46788 L
.50167 .46709 L
.5008 .46621 L
.50016 .46549 L
.4992 .46442 L
.49873 .46388 L
.49759 .46279 L
.49734 .46228 L
.49599 .46067 L
.49599 .46067 L
.49465 .45907 L
.49438 .45875 L
.49332 .45746 L
.49278 .45681 L
.492 .45586 L
.49117 .455 L
.49068 .45425 L
.48957 .45288 L
.48934 .45265 L
.48811 .45104 L
.48796 .45086 L
.48682 .44943 L
.48636 .44922 L
.48553 .44783 L
.48475 .44692 L
.48403 .44622 L
.48314 .44481 L
.48299 .44462 L
.48174 .44301 L
.48154 .44277 L
.48048 .44141 L
.47993 .44091 L
.47861 .4398 L
.47833 .4387 L
.47789 .4382 L
.47672 .4366 L
.47672 .43659 L
.47548 .43499 L
.47512 .43491 L
.47424 .43338 L
.47351 .43256 L
.47278 .43178 L
.47191 .43037 L
.47176 .43017 L
.47054 .42857 L
.4703 .42826 L
.46931 .42696 L
.4687 .42641 L
.46757 .42536 L
.46709 .4241 L
.46681 .42375 L
.46565 .42215 L
.46549 .42193 L
.46445 .42054 L
.46388 .4198 L
.46323 .41894 L
.46228 .41777 L
.46189 .41733 L
.46084 .41572 L
.46067 .41551 L
.45966 .41412 L
.45907 .41333 L
.45847 .41251 L
.45746 .41132 L
.45708 .41091 L
.45613 .4093 L
.45586 .40893 L
.45499 .4077 L
.45425 .40668 L
.45384 .40609 L
.45272 .40449 L
.45265 .40439 L
.45169 .40288 L
.45104 .40192 L
.45067 .40128 L
F
1 .32 0 r
.45104 .49847 m
.45165 .4992 L
.45265 .50028 L
.45307 .5008 L
.45425 .50216 L
.45445 .50241 L
.45578 .50401 L
.45586 .50409 L
.45707 .50562 L
.45746 .50607 L
.45836 .50722 L
.45907 .50806 L
.45966 .50883 L
.46067 .51006 L
.46096 .51043 L
.46224 .51204 L
.46228 .51208 L
.46348 .51364 L
.46388 .51414 L
.46473 .51525 L
.46549 .51619 L
.46599 .51686 L
.46709 .51805 L
.46725 .51846 L
.46847 .52007 L
.4687 .52034 L
.46969 .52167 L
.4703 .52245 L
.47092 .52328 L
.47191 .52455 L
.47215 .52488 L
.47336 .52649 L
.47351 .52668 L
.47453 .52809 L
.47512 .52884 L
.47573 .5297 L
.47672 .53101 L
.47693 .5313 L
.47808 .53291 L
.47833 .53322 L
.47919 .53451 L
.47993 .53551 L
.48032 .53612 L
.47993 .53695 L
.47925 .53612 L
.47833 .53512 L
.47785 .53451 L
.47672 .53322 L
.47648 .53291 L
.47513 .5313 L
.47512 .53128 L
.47387 .5297 L
.47351 .52929 L
.47258 .52809 L
.47191 .52729 L
.47129 .52649 L
.4703 .52528 L
.47 .52488 L
.46871 .52328 L
.4687 .52326 L
.46749 .52167 L
.46709 .52119 L
.46624 .52007 L
.46549 .51913 L
.46499 .51846 L
.46388 .51707 L
.46372 .51686 L
.4625 .51525 L
.46228 .51497 L
.4613 .51364 L
.46067 .51286 L
.46007 .51204 L
.45907 .51076 L
.45883 .51043 L
.45762 .50883 L
.45746 .50863 L
.45646 .50722 L
.45586 .50645 L
.45527 .50562 L
.45425 .50429 L
.45406 .50401 L
.45291 .50241 L
.45265 .50207 L
.45182 .5008 L
.45104 .49975 L
.4507 .4992 L
F
0 .71 1 r
.45104 .49179 m
.45197 .49278 L
.45265 .49345 L
.45347 .49438 L
.45425 .49523 L
.4549 .49599 L
.45586 .49663 L
.45629 .49759 L
.45746 .49892 L
.45786 .4992 L
.45899 .5008 L
.45907 .50089 L
.46031 .50241 L
.46067 .50284 L
.46163 .50401 L
.46228 .50458 L
.46295 .50562 L
.46388 .50674 L
.46438 .50722 L
.46549 .50877 L
.46553 .50883 L
.46681 .51043 L
.46709 .51078 L
.46809 .51204 L
.4687 .51268 L
.46977 .51364 L
.4703 .5148 L
.47069 .51525 L
.47191 .51686 L
.47191 .51686 L
.47316 .51846 L
.47351 .5187 L
.47442 .52007 L
.47512 .52088 L
.47584 .52167 L
.47672 .52301 L
.47693 .52328 L
.47818 .52488 L
.47833 .52508 L
.47942 .52649 L
.47993 .527 L
.48103 .52809 L
.48154 .52918 L
.48196 .5297 L
.48314 .5313 L
.48315 .5313 L
.48437 .53291 L
.48475 .53312 L
.48561 .53451 L
.48636 .53539 L
.48699 .53612 L
.48796 .53757 L
.48808 .53772 L
.48929 .53933 L
.48957 .53968 L
.49051 .54093 L
.49117 .54159 L
.49206 .54254 L
.49278 .54387 L
.49299 .54414 L
.49416 .54575 L
.49438 .54603 L
.49537 .54735 L
.49599 .54775 L
.49658 .54896 L
.49759 .55023 L
.49787 .55057 L
.49898 .55217 L
.4992 .55246 L
.50016 .55378 L
.5008 .55463 L
.50135 .55538 L
.50241 .55671 L
.50265 .55699 L
.50369 .55859 L
.50401 .55902 L
.50483 .5602 L
.50562 .56126 L
.50599 .5618 L
.50713 .56341 L
.50722 .56353 L
.50818 .56501 L
.50883 .56595 L
.50924 .56662 L
.50883 .56771 L
.50783 .56662 L
.50722 .566 L
.50637 .56501 L
.50562 .5642 L
.50496 .56341 L
.50401 .56233 L
.50357 .5618 L
.50241 .5605 L
.50196 .5602 L
.50089 .55859 L
.5008 .55849 L
.49959 .55699 L
.4992 .55653 L
.49828 .55538 L
.49759 .55485 L
.49697 .55378 L
.49599 .55263 L
.4955 .55217 L
.49439 .55057 L
.49438 .55056 L
.49313 .54896 L
.49278 .54853 L
.49186 .54735 L
.49117 .54668 L
.49007 .54575 L
.48957 .54451 L
.48923 .54414 L
.48805 .54254 L
.48796 .54243 L
.48681 .54093 L
.48636 .54069 L
.48555 .53933 L
.48475 .53842 L
.48407 .53772 L
.48314 .53627 L
.48302 .53612 L
.48181 .53451 L
.48154 .53418 L
.48057 .53291 L
.47993 .53232 L
.47885 .5313 L
.47833 .53008 L
.478 .5297 L
.47684 .52809 L
.47672 .52794 L
.47562 .52649 L
.47512 .52627 L
.47439 .52488 L
.47351 .52388 L
.47296 .52328 L
.47191 .52167 L
.47191 .52167 L
.47071 .52007 L
.4703 .51955 L
.46949 .51846 L
.4687 .51769 L
.46788 .51686 L
.46709 .51536 L
.467 .51525 L
.46583 .51364 L
.46549 .5132 L
.46463 .51204 L
.46388 .51107 L
.46341 .51043 L
.46228 .50899 L
.46213 .50883 L
.46101 .50722 L
.46067 .50678 L
.45983 .50562 L
.45907 .50462 L
.45863 .50401 L
.45746 .5025 L
.45738 .50241 L
.45629 .5008 L
.45586 .50024 L
.45514 .4992 L
.45425 .49801 L
.45397 .49759 L
.45283 .49599 L
.45265 .49573 L
.45179 .49438 L
.45104 .49332 L
.45073 .49278 L
F
.114 .93 1 r
.45104 .39396 m
.45196 .39486 L
.45265 .39549 L
.45353 .39646 L
.45425 .3972 L
.455 .39807 L
.45586 .39854 L
.45642 .39967 L
.45746 .40078 L
.45781 .40128 L
.45907 .40275 L
.45921 .40288 L
.46049 .40449 L
.46067 .40469 L
.46181 .40609 L
.46228 .40645 L
.46312 .4077 L
.46388 .40856 L
.4647 .4093 L
.46549 .41061 L
.46576 .41091 L
.46701 .41251 L
.46709 .41261 L
.46828 .41412 L
.4687 .41452 L
.47012 .41572 L
.4703 .41662 L
.47096 .41733 L
.47191 .4187 L
.4721 .41894 L
.47336 .42054 L
.47351 .42063 L
.47461 .42215 L
.47512 .4227 L
.47614 .42375 L
.47672 .42482 L
.47717 .42536 L
.47833 .42689 L
.47837 .42696 L
.47962 .42857 L
.47993 .42884 L
.48137 .43017 L
.48154 .43097 L
.48225 .43178 L
.48314 .43309 L
.48336 .43338 L
.48461 .43499 L
.48475 .43504 L
.48584 .43659 L
.48636 .43714 L
.48735 .4382 L
.48796 .43929 L
.48837 .4398 L
.48957 .4414 L
.48957 .44141 L
.49079 .44301 L
.49117 .44332 L
.49252 .44462 L
.49278 .4455 L
.4934 .44622 L
.49438 .44765 L
.49451 .44783 L
.49574 .44943 L
.49599 .44949 L
.49696 .45104 L
.49759 .4517 L
.49845 .45265 L
.4992 .4539 L
.49948 .45425 L
.50066 .45586 L
.5008 .45603 L
.50188 .45746 L
.50241 .45787 L
.50358 .45907 L
.50401 .46014 L
.50445 .46067 L
.50558 .46228 L
.50562 .46233 L
.50678 .46388 L
.50722 .46444 L
.508 .46549 L
.50883 .46638 L
.50945 .46709 L
.51043 .46864 L
.51048 .4687 L
.51167 .4703 L
.51204 .47078 L
.51287 .47191 L
.51364 .4726 L
.51448 .47351 L
.51525 .47497 L
.51537 .47512 L
.51652 .47672 L
.51686 .47715 L
.51772 .47833 L
.51846 .47929 L
.51893 .47993 L
.52007 .48136 L
.52021 .48154 L
.52133 .48314 L
.52167 .48359 L
.5225 .48475 L
.52328 .48576 L
.5237 .48636 L
.52488 .4879 L
.52493 .48796 L
.52604 .48957 L
.52649 .49016 L
.52717 .49117 L
.52809 .49241 L
.52833 .49278 L
.52945 .49438 L
.5297 .49472 L
.53047 .49599 L
.5313 .49723 L
.53149 .49759 L
.5313 .49854 L
.53028 .49759 L
.5297 .49705 L
.52868 .49599 L
.52809 .49537 L
.5272 .49438 L
.52649 .49359 L
.52577 .49278 L
.52488 .49183 L
.52437 .49117 L
.52328 .48987 L
.52296 .48957 L
.52168 .48796 L
.52167 .48795 L
.52034 .48636 L
.52007 .48613 L
.51901 .48475 L
.51846 .48409 L
.51751 .48314 L
.51686 .48206 L
.51643 .48154 L
.51525 .48007 L
.51517 .47993 L
.51382 .47833 L
.51364 .47814 L
.51219 .47672 L
.51204 .47609 L
.51123 .47512 L
.51043 .47403 L
.51009 .47351 L
.50883 .47201 L
.5087 .47191 L
.50743 .4703 L
.50722 .47004 L
.50607 .4687 L
.50562 .46796 L
.50498 .46709 L
.50401 .46587 L
.50385 .46549 L
.50241 .46389 L
.50239 .46388 L
.50095 .46228 L
.5008 .46184 L
.49988 .46067 L
.4992 .45973 L
.49878 .45907 L
.49759 .45765 L
.49738 .45746 L
.49614 .45586 L
.49599 .45567 L
.49481 .45425 L
.49438 .45357 L
.49373 .45265 L
.49278 .45145 L
.49261 .45104 L
.49118 .44943 L
.49117 .44943 L
.48975 .44783 L
.48957 .44736 L
.48869 .44622 L
.48796 .44523 L
.48759 .44462 L
.48636 .44314 L
.48622 .44301 L
.485 .44141 L
.48475 .44113 L
.48366 .4398 L
.48314 .439 L
.48259 .4382 L
.48154 .43687 L
.48144 .43659 L
.48008 .43499 L
.47993 .43486 L
.47861 .43338 L
.47833 .43274 L
.4776 .43178 L
.47672 .43059 L
.47648 .43017 L
.47518 .42857 L
.47512 .42855 L
.47396 .42696 L
.47351 .42648 L
.47261 .42536 L
.47191 .42429 L
.47154 .42375 L
.47031 .42215 L
.4703 .42214 L
.4691 .42054 L
.4687 .42021 L
.46759 .41894 L
.46709 .41796 L
.46663 .41733 L
.46549 .41575 L
.46547 .41572 L
.46428 .41412 L
.46388 .41359 L
.46309 .41251 L
.46228 .41158 L
.46176 .41091 L
.4607 .4093 L
.46067 .40927 L
.45954 .4077 L
.45907 .40707 L
.45836 .40609 L
.45746 .40508 L
.457 .40449 L
.45604 .40288 L
.45586 .40263 L
.45493 .40128 L
.45425 .40033 L
.4538 .39967 L
.45269 .39807 L
.45265 .398 L
.4517 .39646 L
.45104 .39543 L
.45073 .39486 L
F
1 .31 0 r
.45104 .49858 m
.45156 .4992 L
.45265 .50035 L
.45302 .5008 L
.45425 .50222 L
.4544 .50241 L
.45573 .50401 L
.45586 .50415 L
.45702 .50562 L
.45746 .50612 L
.45832 .50722 L
.45907 .50811 L
.45963 .50883 L
.46067 .5101 L
.46093 .51043 L
.4622 .51204 L
.46228 .51213 L
.46344 .51364 L
.46388 .51418 L
.4647 .51525 L
.46549 .51623 L
.46596 .51686 L
.46709 .51812 L
.46722 .51846 L
.46844 .52007 L
.4687 .52039 L
.46965 .52167 L
.4703 .52249 L
.47088 .52328 L
.47191 .52459 L
.47212 .52488 L
.47332 .52649 L
.47351 .52673 L
.47449 .52809 L
.47512 .5289 L
.47569 .5297 L
.47672 .53106 L
.4769 .5313 L
.47803 .53291 L
.47833 .5333 L
.47913 .53451 L
.47993 .5356 L
.48026 .53612 L
.47993 .53685 L
.47933 .53612 L
.47833 .53505 L
.4779 .53451 L
.47672 .53317 L
.47652 .53291 L
.47518 .5313 L
.47512 .53123 L
.47391 .5297 L
.47351 .52924 L
.47262 .52809 L
.47191 .52724 L
.47133 .52649 L
.4703 .52524 L
.47003 .52488 L
.46875 .52328 L
.4687 .52322 L
.46752 .52167 L
.46709 .52115 L
.46628 .52007 L
.46549 .51909 L
.46501 .51846 L
.46388 .51703 L
.46375 .51686 L
.46253 .51525 L
.46228 .51493 L
.46133 .51364 L
.46067 .51282 L
.4601 .51204 L
.45907 .51072 L
.45886 .51043 L
.45766 .50883 L
.45746 .50858 L
.4565 .50722 L
.45586 .5064 L
.45531 .50562 L
.45425 .50424 L
.4541 .50401 L
.45297 .50241 L
.45265 .50199 L
.45189 .5008 L
.45104 .49966 L
.45077 .4992 L
F
.045 .9 1 r
.45104 .44343 m
.45265 .44415 L
.45323 .44462 L
.45425 .44557 L
.45496 .44622 L
.45586 .44726 L
.4566 .44783 L
.45746 .44911 L
.45782 .44943 L
.45907 .45098 L
.45912 .45104 L
.46049 .45265 L
.46067 .45285 L
.46201 .45425 L
.46228 .4549 L
.46306 .45586 L
.46388 .45699 L
.46418 .45746 L
.46549 .45904 L
.46552 .45907 L
.46673 .46067 L
.46709 .46089 L
.46805 .46228 L
.4687 .46315 L
.46906 .46388 L
.47016 .46549 L
.4703 .46574 L
.47101 .46709 L
.4703 .46831 L
.4687 .4678 L
.46782 .46709 L
.46709 .46625 L
.46623 .46549 L
.46549 .46457 L
.46458 .46388 L
.46388 .46264 L
.4635 .46228 L
.46228 .46068 L
.46227 .46067 L
.46103 .45907 L
.46067 .45883 L
.45929 .45746 L
.45907 .45665 L
.45843 .45586 L
.45746 .45444 L
.45734 .45425 L
.45615 .45265 L
.45586 .45226 L
.45497 .45104 L
.45425 .45006 L
.45357 .44943 L
.45267 .44783 L
.45265 .4478 L
.45166 .44622 L
.45104 .44514 L
.4508 .44462 L
F
0 .7 1 r
.45104 .492 m
.45181 .49278 L
.45265 .49358 L
.45336 .49438 L
.45425 .49534 L
.45481 .49599 L
.45586 .49677 L
.45622 .49759 L
.45746 .49901 L
.45773 .4992 L
.45893 .5008 L
.45907 .50096 L
.46026 .50241 L
.46067 .5029 L
.46158 .50401 L
.46228 .50463 L
.4629 .50562 L
.46388 .50679 L
.46433 .50722 L
.46549 .50882 L
.46549 .50883 L
.46677 .51043 L
.46709 .51083 L
.46806 .51204 L
.4687 .51272 L
.46973 .51364 L
.4703 .51485 L
.47065 .51525 L
.47187 .51686 L
.47191 .5169 L
.47313 .51846 L
.47351 .51873 L
.47439 .52007 L
.47512 .52092 L
.47581 .52167 L
.47672 .52304 L
.4769 .52328 L
.47815 .52488 L
.47833 .52511 L
.47939 .52649 L
.47993 .52703 L
.481 .52809 L
.48154 .52922 L
.48193 .5297 L
.48312 .5313 L
.48314 .53134 L
.48435 .53291 L
.48475 .53314 L
.48558 .53451 L
.48636 .53542 L
.48696 .53612 L
.48796 .5376 L
.48805 .53772 L
.48926 .53933 L
.48957 .53972 L
.49048 .54093 L
.49117 .54163 L
.49203 .54254 L
.49278 .54391 L
.49296 .54414 L
.49413 .54575 L
.49438 .54607 L
.49533 .54735 L
.49599 .54779 L
.49654 .54896 L
.49759 .55028 L
.49782 .55057 L
.49894 .55217 L
.4992 .55251 L
.50012 .55378 L
.5008 .55469 L
.50131 .55538 L
.50241 .55679 L
.50257 .55699 L
.50364 .55859 L
.50401 .55909 L
.50478 .5602 L
.50562 .56135 L
.50593 .5618 L
.50705 .56341 L
.50722 .56365 L
.50808 .56501 L
.50883 .56611 L
.50912 .56662 L
.50883 .56752 L
.50798 .56662 L
.50722 .56588 L
.50647 .56501 L
.50562 .5641 L
.50503 .56341 L
.50401 .56225 L
.50364 .5618 L
.50241 .56041 L
.50209 .5602 L
.50095 .55859 L
.5008 .55843 L
.49964 .55699 L
.4992 .55647 L
.49832 .55538 L
.49759 .55479 L
.49702 .55378 L
.49599 .55257 L
.49555 .55217 L
.49443 .55057 L
.49438 .55051 L
.49316 .54896 L
.49278 .54849 L
.49189 .54735 L
.49117 .54664 L
.49011 .54575 L
.48957 .54447 L
.48927 .54414 L
.48808 .54254 L
.48796 .54239 L
.48684 .54093 L
.48636 .54066 L
.48558 .53933 L
.48475 .53838 L
.48411 .53772 L
.48314 .53623 L
.48305 .53612 L
.48183 .53451 L
.48154 .53415 L
.4806 .53291 L
.47993 .53229 L
.47888 .5313 L
.47833 .53005 L
.47803 .5297 L
.47687 .52809 L
.47672 .52791 L
.47565 .52649 L
.47512 .52624 L
.47441 .52488 L
.47351 .52385 L
.47299 .52328 L
.47194 .52167 L
.47191 .52163 L
.47073 .52007 L
.4703 .51952 L
.46952 .51846 L
.4687 .51765 L
.46791 .51686 L
.46709 .51532 L
.46704 .51525 L
.46586 .51364 L
.46549 .51317 L
.46466 .51204 L
.46388 .51103 L
.46344 .51043 L
.46228 .50894 L
.46218 .50883 L
.46105 .50722 L
.46067 .50674 L
.45987 .50562 L
.45907 .50457 L
.45867 .50401 L
.45746 .50241 L
.45746 .50241 L
.45634 .5008 L
.45586 .50017 L
.45519 .4992 L
.45425 .49793 L
.45402 .49759 L
.45291 .49599 L
.45265 .49562 L
.45189 .49438 L
.45104 .49314 L
.45085 .49278 L
F
0 .05 1 r
.45104 .50537 m
.4512 .50562 L
.45104 .50592 L
.45085 .50562 L
F
1 .3 0 r
.45104 .49871 m
.45146 .4992 L
.45265 .50043 L
.45295 .5008 L
.45425 .50228 L
.45435 .50241 L
.45568 .50401 L
.45586 .50421 L
.45698 .50562 L
.45746 .50617 L
.45828 .50722 L
.45907 .50815 L
.45959 .50883 L
.46067 .51015 L
.46089 .51043 L
.46217 .51204 L
.46228 .51217 L
.46341 .51364 L
.46388 .51422 L
.46466 .51525 L
.46549 .51627 L
.46593 .51686 L
.46709 .5182 L
.46719 .51846 L
.4684 .52007 L
.4687 .52043 L
.46962 .52167 L
.4703 .52253 L
.47085 .52328 L
.47191 .52463 L
.47209 .52488 L
.47328 .52649 L
.47351 .52678 L
.47445 .52809 L
.47512 .52895 L
.47565 .5297 L
.47672 .53111 L
.47686 .5313 L
.47797 .53291 L
.47833 .53337 L
.47906 .53451 L
.47993 .53571 L
.48018 .53612 L
.47993 .53674 L
.47942 .53612 L
.47833 .53498 L
.47796 .53451 L
.47672 .53311 L
.47657 .53291 L
.47523 .5313 L
.47512 .53117 L
.47395 .5297 L
.47351 .52919 L
.47266 .52809 L
.47191 .5272 L
.47136 .52649 L
.4703 .5252 L
.47006 .52488 L
.46878 .52328 L
.4687 .52317 L
.46756 .52167 L
.46709 .52111 L
.46631 .52007 L
.46549 .51905 L
.46504 .51846 L
.46388 .51699 L
.46378 .51686 L
.46257 .51525 L
.46228 .51489 L
.46136 .51364 L
.46067 .51278 L
.46013 .51204 L
.45907 .51068 L
.45889 .51043 L
.4577 .50883 L
.45746 .50853 L
.45654 .50722 L
.45586 .50635 L
.45535 .50562 L
.45425 .50418 L
.45413 .50401 L
.45303 .50241 L
.45265 .50191 L
.45196 .5008 L
.45104 .49954 L
.45085 .4992 L
F
1 .6 0 r
.45104 .44945 m
.45265 .45084 L
.45275 .45104 L
.45422 .45265 L
.45425 .45268 L
.45556 .45425 L
.45586 .45459 L
.45685 .45586 L
.45746 .45661 L
.4581 .45746 L
.45907 .45873 L
.45931 .45907 L
.4604 .46067 L
.46067 .46108 L
.46135 .46228 L
.46067 .46318 L
.45968 .46228 L
.45907 .46169 L
.45815 .46067 L
.45746 .45991 L
.45678 .45907 L
.45586 .45796 L
.45547 .45746 L
.45425 .45593 L
.45418 .45586 L
.45306 .45425 L
.45265 .45369 L
.45194 .45265 L
.45104 .45129 L
.45089 .45104 L
F
1 .91 .061 r
.45104 .48518 m
.45227 .48636 L
.45265 .48671 L
.45381 .48796 L
.45425 .48842 L
.45527 .48957 L
.45586 .49021 L
.4567 .49117 L
.45746 .49194 L
.45809 .49278 L
.45907 .49394 L
.45955 .49438 L
.46067 .49586 L
.46078 .49599 L
.46212 .49759 L
.46228 .49769 L
.46346 .4992 L
.46388 .4997 L
.46505 .5008 L
.46549 .50172 L
.46607 .50241 L
.46709 .50373 L
.46726 .50401 L
.46867 .50562 L
.4687 .50565 L
.46997 .50722 L
.4703 .50766 L
.47131 .50883 L
.47191 .50972 L
.47242 .51043 L
.47351 .51178 L
.47358 .51204 L
.47506 .51364 L
.47512 .51371 L
.47647 .51525 L
.47672 .51577 L
.47756 .51686 L
.47833 .51787 L
.47866 .51846 L
.47993 .51994 L
.48012 .52007 L
.48137 .52167 L
.48154 .52189 L
.48266 .52328 L
.48314 .524 L
.48375 .52488 L
.48475 .52611 L
.48485 .52649 L
.48636 .52809 L
.48636 .52809 L
.48772 .5297 L
.48796 .53017 L
.48882 .5313 L
.48957 .53229 L
.4899 .53291 L
.49117 .53438 L
.49134 .53451 L
.49275 .53612 L
.49278 .53637 L
.49385 .53772 L
.49438 .53849 L
.49494 .53933 L
.49599 .54061 L
.49605 .54093 L
.49752 .54254 L
.49759 .54262 L
.49889 .54414 L
.4992 .54472 L
.49996 .54575 L
.5008 .54685 L
.50106 .54735 L
.50241 .54892 L
.50245 .54896 L
.50394 .55057 L
.50401 .55096 L
.50497 .55217 L
.50562 .5531 L
.50606 .55378 L
.50722 .55522 L
.50725 .55538 L
.50859 .55699 L
.50883 .55722 L
.51 .55859 L
.51043 .55936 L
.51104 .5602 L
.51204 .56151 L
.51218 .5618 L
.51348 .56341 L
.51364 .56349 L
.51508 .56501 L
.51525 .56564 L
.51601 .56662 L
.51686 .56782 L
.51711 .56822 L
.51836 .56983 L
.51846 .56996 L
.51956 .57143 L
.52007 .57191 L
.52099 .57304 L
.52167 .57417 L
.52201 .57464 L
.52319 .57625 L
.52328 .57636 L
.52438 .57785 L
.52488 .57815 L
.52602 .57946 L
.52649 .58056 L
.52686 .58106 L
.52797 .58267 L
.52809 .58283 L
.52913 .58428 L
.5297 .58503 L
.53031 .58588 L
.5313 .5871 L
.53159 .58749 L
.53263 .58909 L
.53291 .58947 L
.53375 .5907 L
.53451 .59176 L
.53488 .5923 L
.53598 .59391 L
.53612 .5941 L
.53698 .59551 L
.53772 .59666 L
.53797 .59712 L
.53772 .59816 L
.53662 .59712 L
.53612 .59666 L
.53505 .59551 L
.53451 .59496 L
.53358 .59391 L
.53291 .59318 L
.53216 .5923 L
.5313 .59147 L
.53077 .5907 L
.5297 .58946 L
.52927 .58909 L
.52809 .58752 L
.52806 .58749 L
.52674 .58588 L
.52649 .58575 L
.52543 .58428 L
.52488 .58368 L
.52371 .58267 L
.52328 .58163 L
.52276 .58106 L
.52167 .57961 L
.52156 .57946 L
.52026 .57785 L
.52007 .57769 L
.51898 .57625 L
.51846 .57563 L
.51753 .57464 L
.51686 .57355 L
.51644 .57304 L
.51525 .57151 L
.51521 .57143 L
.51392 .56983 L
.51364 .56954 L
.51233 .56822 L
.51204 .56745 L
.51134 .56662 L
.51043 .56535 L
.5102 .56501 L
.5089 .56341 L
.50883 .56335 L
.50766 .5618 L
.50722 .5613 L
.50624 .5602 L
.50562 .55918 L
.50516 .55859 L
.50401 .5571 L
.50396 .55699 L
.50268 .55538 L
.50241 .55511 L
.50112 .55378 L
.5008 .55299 L
.50012 .55217 L
.4992 .55087 L
.49899 .55057 L
.49772 .54896 L
.49759 .54888 L
.49649 .54735 L
.49599 .54679 L
.49507 .54575 L
.49438 .54465 L
.494 .54414 L
.49278 .54255 L
.49277 .54254 L
.49155 .54093 L
.49117 .54059 L
.48998 .53933 L
.48957 .53842 L
.489 .53772 L
.48796 .53628 L
.48786 .53612 L
.48662 .53451 L
.48636 .53438 L
.4854 .53291 L
.48475 .5322 L
.48398 .5313 L
.48314 .53002 L
.48291 .5297 L
.4817 .52809 L
.48154 .52789 L
.48049 .52649 L
.47993 .526 L
.47892 .52488 L
.47833 .52376 L
.47795 .52328 L
.47679 .52167 L
.47672 .52159 L
.47559 .52007 L
.47512 .51984 L
.47437 .51846 L
.47351 .5175 L
.47298 .51686 L
.47191 .51527 L
.4719 .51525 L
.4707 .51364 L
.4703 .51313 L
.46949 .51204 L
.4687 .51125 L
.46799 .51043 L
.46709 .50892 L
.46702 .50883 L
.46585 .50722 L
.46549 .50676 L
.46466 .50562 L
.46388 .50462 L
.46344 .50401 L
.46228 .50252 L
.46219 .50241 L
.46105 .5008 L
.46067 .50031 L
.45987 .4992 L
.45907 .49814 L
.45868 .49759 L
.45747 .49599 L
.45746 .49597 L
.45635 .49438 L
.45586 .49372 L
.45521 .49278 L
.45425 .49147 L
.45405 .49117 L
.45295 .48957 L
.45265 .48914 L
.45192 .48796 L
.45104 .48664 L
.45089 .48636 L
F
1 .97 .395 r
.45104 .47156 m
.45265 .47122 L
.45384 .47191 L
.45425 .47215 L
.45545 .47351 L
.45586 .47378 L
.4568 .47512 L
.45746 .47574 L
.45809 .47672 L
.45907 .47785 L
.45956 .47833 L
.46063 .47993 L
.46067 .47998 L
.46184 .48154 L
.46228 .4821 L
.46305 .48314 L
.46388 .48386 L
.46462 .48475 L
.46549 .48631 L
.46552 .48636 L
.46667 .48796 L
.46709 .48852 L
.46782 .48957 L
.4687 .49077 L
.46897 .49117 L
.47005 .49278 L
.4703 .49316 L
.47097 .49438 L
.47161 .49599 L
.4703 .49713 L
.4692 .49599 L
.4687 .49548 L
.46775 .49438 L
.46709 .49364 L
.46613 .49278 L
.46549 .49173 L
.465 .49117 L
.46388 .48975 L
.46374 .48957 L
.46243 .48796 L
.46228 .48776 L
.46108 .48636 L
.46067 .48572 L
.45992 .48475 L
.45907 .48365 L
.45874 .48314 L
.45746 .4816 L
.45745 .48154 L
.4561 .47993 L
.45586 .47954 L
.455 .47833 L
.45425 .47738 L
.45391 .47672 L
.45266 .47512 L
.45265 .47509 L
.45126 .47351 L
.45104 .4722 L
.45094 .47191 L
F
1 .29 0 r
.45104 .49888 m
.45132 .4992 L
.45265 .50051 L
.45288 .5008 L
.45425 .50235 L
.4543 .50241 L
.45562 .50401 L
.45586 .50427 L
.45693 .50562 L
.45746 .50623 L
.45824 .50722 L
.45907 .5082 L
.45956 .50883 L
.46067 .51019 L
.46086 .51043 L
.46213 .51204 L
.46228 .51222 L
.46337 .51364 L
.46388 .51427 L
.46463 .51525 L
.46549 .51632 L
.4659 .51686 L
.46709 .51828 L
.46716 .51846 L
.46837 .52007 L
.4687 .52047 L
.46958 .52167 L
.4703 .52258 L
.47082 .52328 L
.47191 .52468 L
.47206 .52488 L
.47324 .52649 L
.47351 .52683 L
.47441 .52809 L
.47512 .529 L
.47561 .5297 L
.47672 .53117 L
.47681 .5313 L
.47791 .53291 L
.47833 .53346 L
.47899 .53451 L
.47993 .53583 L
.4801 .53612 L
.47993 .53661 L
.47952 .53612 L
.47833 .5349 L
.47802 .53451 L
.47672 .53305 L
.47661 .53291 L
.47529 .5313 L
.47512 .53111 L
.474 .5297 L
.47351 .52914 L
.4727 .52809 L
.47191 .52715 L
.4714 .52649 L
.4703 .52516 L
.47009 .52488 L
.46882 .52328 L
.4687 .52313 L
.46759 .52167 L
.46709 .52107 L
.46634 .52007 L
.46549 .51901 L
.46507 .51846 L
.46388 .51696 L
.46381 .51686 L
.4626 .51525 L
.46228 .51485 L
.4614 .51364 L
.46067 .51274 L
.46016 .51204 L
.45907 .51063 L
.45892 .51043 L
.45774 .50883 L
.45746 .50848 L
.45658 .50722 L
.45586 .5063 L
.45539 .50562 L
.45425 .50412 L
.45417 .50401 L
.4531 .50241 L
.45265 .50182 L
.45204 .5008 L
.45104 .49938 L
.45095 .4992 L
F
1 .59 0 r
.45104 .44958 m
.45265 .45097 L
.45268 .45104 L
.45416 .45265 L
.45425 .45275 L
.45551 .45425 L
.45586 .45465 L
.45681 .45586 L
.45746 .45667 L
.45806 .45746 L
.45907 .45879 L
.45926 .45907 L
.46035 .46067 L
.46067 .46117 L
.46127 .46228 L
.46067 .46308 L
.45976 .46228 L
.45907 .46163 L
.45821 .46067 L
.45746 .45985 L
.45682 .45907 L
.45586 .45791 L
.45551 .45746 L
.45425 .45586 L
.45425 .45585 L
.45311 .45425 L
.45265 .45362 L
.45199 .45265 L
.45104 .45119 L
.45095 .45104 L
F
.033 .89 1 r
.45104 .44384 m
.45265 .44433 L
.45303 .44462 L
.45425 .44569 L
.45484 .44622 L
.45586 .44736 L
.45651 .44783 L
.45746 .44917 L
.45776 .44943 L
.45907 .45101 L
.45909 .45104 L
.46044 .45265 L
.46067 .45291 L
.46198 .45425 L
.46228 .45495 L
.46301 .45586 L
.46388 .45704 L
.46414 .45746 L
.46547 .45907 L
.46549 .45909 L
.46668 .46067 L
.46709 .46093 L
.468 .46228 L
.4687 .46324 L
.46901 .46388 L
.47008 .46549 L
.4703 .46588 L
.47089 .46709 L
.4703 .46814 L
.4687 .46769 L
.46793 .46709 L
.46709 .46617 L
.4663 .46549 L
.46549 .46451 L
.46464 .46388 L
.46388 .4626 L
.46354 .46228 L
.4623 .46067 L
.46228 .46064 L
.46106 .45907 L
.46067 .4588 L
.45932 .45746 L
.45907 .4566 L
.45847 .45586 L
.45746 .45439 L
.45737 .45425 L
.45619 .45265 L
.45586 .4522 L
.45501 .45104 L
.45425 .44999 L
.45363 .44943 L
.45274 .44783 L
.45265 .44769 L
.45176 .44622 L
.45104 .44484 L
.45096 .44462 L
F
0 .04 1 r
.45104 .50555 m
.45108 .50562 L
.45104 .50572 L
.45099 .50562 L
F
0 .69 1 r
.45104 .49231 m
.45159 .49278 L
.45265 .49373 L
.45324 .49438 L
.45425 .49545 L
.45472 .49599 L
.45586 .49692 L
.45614 .49759 L
.45746 .49911 L
.45759 .4992 L
.45886 .5008 L
.45907 .50103 L
.4602 .50241 L
.46067 .50296 L
.46153 .50401 L
.46228 .50469 L
.46285 .50562 L
.46388 .50685 L
.46427 .50722 L
.46545 .50883 L
.46549 .50887 L
.46673 .51043 L
.46709 .51087 L
.46802 .51204 L
.4687 .51277 L
.46969 .51364 L
.4703 .51489 L
.47062 .51525 L
.47184 .51686 L
.47191 .51694 L
.4731 .51846 L
.47351 .51876 L
.47436 .52007 L
.47512 .52096 L
.47577 .52167 L
.47672 .52308 L
.47687 .52328 L
.47812 .52488 L
.47833 .52515 L
.47936 .52649 L
.47993 .52707 L
.48097 .52809 L
.48154 .52926 L
.4819 .5297 L
.48309 .5313 L
.48314 .53137 L
.48432 .53291 L
.48475 .53317 L
.48555 .53451 L
.48636 .53546 L
.48693 .53612 L
.48796 .53764 L
.48802 .53772 L
.48923 .53933 L
.48957 .53976 L
.49045 .54093 L
.49117 .54167 L
.49199 .54254 L
.49278 .54396 L
.49292 .54414 L
.4941 .54575 L
.49438 .54612 L
.4953 .54735 L
.49599 .54784 L
.49651 .54896 L
.49759 .55034 L
.49778 .55057 L
.4989 .55217 L
.4992 .55256 L
.50007 .55378 L
.5008 .55474 L
.50126 .55538 L
.50241 .55689 L
.50249 .55699 L
.50358 .55859 L
.50401 .55917 L
.50472 .5602 L
.50562 .56143 L
.50587 .5618 L
.50696 .56341 L
.50722 .56378 L
.50797 .56501 L
.50883 .56632 L
.50898 .56662 L
.50883 .56727 L
.50816 .56662 L
.50722 .56575 L
.50658 .56501 L
.50562 .564 L
.50512 .56341 L
.50401 .56217 L
.50371 .5618 L
.50241 .56032 L
.50222 .5602 L
.501 .55859 L
.5008 .55836 L
.49969 .55699 L
.4992 .55641 L
.49837 .55538 L
.49759 .55474 L
.49706 .55378 L
.49599 .55252 L
.49561 .55217 L
.49447 .55057 L
.49438 .55046 L
.4932 .54896 L
.49278 .54845 L
.49192 .54735 L
.49117 .5466 L
.49015 .54575 L
.48957 .54443 L
.4893 .54414 L
.48811 .54254 L
.48796 .54235 L
.48687 .54093 L
.48636 .54064 L
.48561 .53933 L
.48475 .53835 L
.48414 .53772 L
.48314 .5362 L
.48308 .53612 L
.48186 .53451 L
.48154 .53411 L
.48062 .53291 L
.47993 .53226 L
.47891 .5313 L
.47833 .53001 L
.47806 .5297 L
.47689 .52809 L
.47672 .52788 L
.47567 .52649 L
.47512 .52622 L
.47444 .52488 L
.47351 .52381 L
.47302 .52328 L
.47196 .52167 L
.47191 .5216 L
.47076 .52007 L
.4703 .51948 L
.46954 .51846 L
.4687 .51761 L
.46796 .51686 L
.46709 .51527 L
.46707 .51525 L
.46589 .51364 L
.46549 .51313 L
.46469 .51204 L
.46388 .51099 L
.46347 .51043 L
.46228 .50888 L
.46223 .50883 L
.46108 .50722 L
.46067 .50669 L
.45991 .50562 L
.45907 .50452 L
.45871 .50401 L
.45751 .50241 L
.45746 .50235 L
.45639 .5008 L
.45586 .5001 L
.45524 .4992 L
.45425 .49785 L
.45408 .49759 L
.453 .49599 L
.45265 .49549 L
.452 .49438 L
.45104 .49289 L
.45099 .49278 L
F
1 .58 0 r
.45104 .44974 m
.4526 .45104 L
.45265 .45108 L
.4541 .45265 L
.45425 .45281 L
.45546 .45425 L
.45586 .45471 L
.45676 .45586 L
.45746 .45672 L
.45802 .45746 L
.45907 .45885 L
.45922 .45907 L
.46029 .46067 L
.46067 .46128 L
.46119 .46228 L
.46067 .46297 L
.45985 .46228 L
.45907 .46156 L
.45826 .46067 L
.45746 .45979 L
.45686 .45907 L
.45586 .45786 L
.45555 .45746 L
.4543 .45586 L
.45425 .45579 L
.45315 .45425 L
.45265 .45355 L
.45205 .45265 L
.45104 .45108 L
.45102 .45104 L
F
.024 .88 1 r
.45265 .44451 m
.4528 .44462 L
.45425 .44581 L
.45472 .44622 L
.45586 .44745 L
.45641 .44783 L
.45746 .44924 L
.45769 .44943 L
.45907 .45104 L
.45907 .45104 L
.46038 .45265 L
.46067 .45296 L
.46195 .45425 L
.46228 .45501 L
.46297 .45586 L
.46388 .45709 L
.46411 .45746 L
.46543 .45907 L
.46549 .45915 L
.46664 .46067 L
.46709 .46098 L
.46796 .46228 L
.4687 .46333 L
.46895 .46388 L
.47001 .46549 L
.4703 .46605 L
.47076 .46709 L
.4703 .46796 L
.4687 .46758 L
.46805 .46709 L
.46709 .4661 L
.46636 .46549 L
.46549 .46445 L
.46469 .46388 L
.46388 .46256 L
.46359 .46228 L
.46234 .46067 L
.46228 .46059 L
.4611 .45907 L
.46067 .45877 L
.45935 .45746 L
.45907 .45655 L
.45851 .45586 L
.45746 .45433 L
.45741 .45425 L
.45623 .45265 L
.45586 .45214 L
.45506 .45104 L
.45425 .44992 L
.45371 .44943 L
.45281 .44783 L
.45265 .44757 L
.45186 .44622 L
.45118 .44462 L
F
1 .96 .289 r
.45265 .4718 m
.45299 .47191 L
.45425 .47237 L
.45514 .47351 L
.45586 .47398 L
.45659 .47512 L
.45746 .47596 L
.45793 .47672 L
.45907 .47806 L
.45935 .47833 L
.46048 .47993 L
.46067 .48017 L
.46169 .48154 L
.46228 .48228 L
.46291 .48314 L
.46388 .48415 L
.46437 .48475 L
.46533 .48636 L
.46549 .48656 L
.46646 .48796 L
.46709 .48883 L
.46758 .48957 L
.46868 .49117 L
.4687 .49119 L
.46955 .49278 L
.4687 .49419 L
.46711 .49278 L
.46709 .49276 L
.46559 .49117 L
.46549 .49112 L
.46417 .48957 L
.46388 .48925 L
.4628 .48796 L
.46228 .48731 L
.46138 .48636 L
.46067 .48532 L
.46021 .48475 L
.45907 .4833 L
.45897 .48314 L
.45767 .48154 L
.45746 .48131 L
.45631 .47993 L
.45586 .47919 L
.45527 .47833 L
.45425 .47695 L
.45414 .47672 L
.45301 .47512 L
.45265 .47448 L
.45166 .47351 L
.45201 .47191 L
F
.018 .87 1 r
.45265 .4447 m
.45425 .44593 L
.45459 .44622 L
.45586 .44753 L
.45631 .44783 L
.45746 .4493 L
.45763 .44943 L
.45901 .45104 L
.45907 .45108 L
.46033 .45265 L
.46067 .45302 L
.46192 .45425 L
.46228 .45507 L
.46293 .45586 L
.46388 .45714 L
.46408 .45746 L
.46538 .45907 L
.46549 .4592 L
.46659 .46067 L
.46709 .46102 L
.46791 .46228 L
.4687 .46344 L
.4689 .46388 L
.46993 .46549 L
.4703 .46624 L
.47063 .46709 L
.4703 .46776 L
.4687 .46747 L
.46817 .46709 L
.46709 .46603 L
.46643 .46549 L
.46549 .4644 L
.46475 .46388 L
.46388 .46251 L
.46363 .46228 L
.46238 .46067 L
.46228 .46054 L
.46114 .45907 L
.46067 .45873 L
.45938 .45746 L
.45907 .45651 L
.45854 .45586 L
.45746 .45428 L
.45744 .45425 L
.45627 .45265 L
.45586 .45208 L
.45511 .45104 L
.45425 .44985 L
.45378 .44943 L
.45289 .44783 L
.45265 .44744 L
.45197 .44622 L
F
1 .96 .289 r
.45265 .3891 m
.45361 .39004 L
.45425 .39065 L
.45518 .39165 L
.45586 .39234 L
.45667 .39325 L
.45746 .39402 L
.4581 .39486 L
.45907 .39596 L
.45967 .39646 L
.46067 .39787 L
.46086 .39807 L
.46221 .39967 L
.46228 .39972 L
.46354 .40128 L
.46388 .40167 L
.46525 .40288 L
.46549 .40368 L
.46622 .40449 L
.46709 .40571 L
.46739 .40609 L
.4687 .40767 L
.4687 .4077 L
.47003 .4093 L
.4703 .40964 L
.47145 .41091 L
.47191 .41171 L
.47255 .41251 L
.47351 .41379 L
.47369 .41412 L
.47511 .41572 L
.47512 .41574 L
.47659 .41733 L
.47672 .4178 L
.47766 .41894 L
.47833 .41991 L
.47877 .42054 L
.47993 .42199 L
.48013 .42215 L
.48137 .42375 L
.48154 .42396 L
.48274 .42536 L
.48314 .42606 L
.48383 .42696 L
.48475 .42818 L
.48494 .42857 L
.48635 .43017 L
.48636 .43018 L
.4878 .43178 L
.48796 .43225 L
.48888 .43338 L
.48957 .43438 L
.48998 .43499 L
.49117 .43646 L
.49132 .43659 L
.49254 .4382 L
.49278 .43847 L
.49392 .4398 L
.49438 .44058 L
.495 .44141 L
.49599 .4427 L
.49613 .44301 L
.49749 .44462 L
.49759 .44472 L
.49898 .44622 L
.4992 .44681 L
.50002 .44783 L
.5008 .44894 L
.50113 .44943 L
.50241 .45101 L
.50244 .45104 L
.50366 .45265 L
.50401 .45304 L
.50506 .45425 L
.50562 .45517 L
.50613 .45586 L
.50722 .45729 L
.5073 .45746 L
.50859 .45907 L
.50883 .45927 L
.51012 .46067 L
.51043 .4614 L
.51114 .46228 L
.51204 .46354 L
.51226 .46388 L
.51352 .46549 L
.51364 .46554 L
.51474 .46709 L
.51525 .46763 L
.51616 .4687 L
.51686 .46979 L
.51723 .4703 L
.51845 .47191 L
.51846 .47192 L
.51967 .47351 L
.52007 .47384 L
.52123 .47512 L
.52167 .47603 L
.52222 .47672 L
.52328 .47819 L
.52336 .47833 L
.52459 .47993 L
.52488 .48003 L
.52581 .48154 L
.52649 .48226 L
.52722 .48314 L
.52809 .48446 L
.5283 .48475 L
.5295 .48636 L
.5297 .4866 L
.53071 .48796 L
.5313 .48845 L
.53227 .48957 L
.53291 .49073 L
.53325 .49117 L
.53441 .49278 L
.53451 .49291 L
.53561 .49438 L
.53612 .49503 L
.53683 .49599 L
.53772 .49698 L
.53821 .49759 L
.5393 .4992 L
.53933 .49923 L
.5405 .5008 L
.54093 .50136 L
.5417 .50241 L
.54254 .50321 L
.54319 .50401 L
.54414 .50558 L
.54418 .50562 L
.54535 .50722 L
.54575 .50774 L
.54654 .50883 L
.54735 .50988 L
.54776 .51043 L
.54896 .51199 L
.549 .51204 L
.55015 .51364 L
.55057 .51419 L
.55132 .51525 L
.55217 .51637 L
.55251 .51686 L
.5537 .51846 L
.55378 .51855 L
.55481 .52007 L
.55538 .52083 L
.55593 .52167 L
.55699 .52314 L
.55707 .52328 L
.55807 .52488 L
.55859 .52568 L
.55896 .52649 L
.55859 .52702 L
.55804 .52649 L
.55699 .52549 L
.55641 .52488 L
.55538 .52419 L
.55488 .52328 L
.55378 .52207 L
.55294 .52167 L
.55217 .52022 L
.55207 .52007 L
.55057 .51848 L
.55055 .51846 L
.54914 .51686 L
.54896 .5167 L
.54774 .51525 L
.54735 .51476 L
.54622 .51364 L
.54575 .51278 L
.54518 .51204 L
.54414 .51074 L
.54408 .51043 L
.54254 .50906 L
.54234 .50883 L
.54104 .50722 L
.54093 .50708 L
.53972 .50562 L
.53933 .50502 L
.5386 .50401 L
.53772 .50291 L
.53753 .50241 L
.53612 .5011 L
.53587 .5008 L
.53458 .4992 L
.53451 .49905 L
.53339 .49759 L
.53291 .49693 L
.53231 .49599 L
.5313 .49476 L
.53081 .49438 L
.5297 .49293 L
.52957 .49278 L
.52831 .49117 L
.52809 .49083 L
.52719 .48957 L
.52649 .48867 L
.5262 .48796 L
.52488 .48649 L
.52456 .48636 L
.52332 .48475 L
.52328 .48467 L
.52213 .48314 L
.52167 .48253 L
.52108 .48154 L
.52007 .48034 L
.51958 .47993 L
.51846 .47846 L
.51836 .47833 L
.51711 .47672 L
.51686 .47634 L
.51601 .47512 L
.51525 .47417 L
.51503 .47351 L
.51364 .47203 L
.5134 .47191 L
.51214 .4703 L
.51204 .47012 L
.51098 .4687 L
.51043 .46798 L
.50993 .46709 L
.50883 .46582 L
.50845 .46549 L
.50722 .46388 L
.50722 .46387 L
.50597 .46228 L
.50562 .46176 L
.50488 .46067 L
.50401 .45961 L
.50388 .45907 L
.50241 .45753 L
.50229 .45746 L
.50099 .45586 L
.5008 .45552 L
.49987 .45425 L
.4992 .45338 L
.49881 .45265 L
.49759 .45126 L
.49736 .45104 L
.49602 .44943 L
.49599 .44926 L
.49486 .44783 L
.49438 .44714 L
.49378 .44622 L
.49278 .44501 L
.49271 .44462 L
.49121 .44301 L
.49117 .44297 L
.48986 .44141 L
.48957 .44089 L
.48877 .4398 L
.48796 .43875 L
.48769 .4382 L
.48636 .43666 L
.48629 .43659 L
.48484 .43499 L
.48475 .43463 L
.48377 .43338 L
.48314 .43249 L
.48269 .43178 L
.48154 .43036 L
.48152 .43017 L
.48017 .42857 L
.47993 .42837 L
.47877 .42696 L
.47833 .42622 L
.47771 .42536 L
.47672 .42406 L
.47658 .42375 L
.47528 .42215 L
.47512 .42209 L
.47371 .42054 L
.47351 .41995 L
.47274 .41894 L
.47191 .41775 L
.47165 .41733 L
.47041 .41572 L
.4703 .41559 L
.4692 .41412 L
.4687 .41369 L
.46777 .41251 L
.46709 .41141 L
.46675 .41091 L
.46557 .4093 L
.46549 .4092 L
.46438 .4077 L
.46388 .40704 L
.46277 .40609 L
.46228 .40501 L
.46191 .40449 L
.4608 .40288 L
.46067 .40271 L
.45964 .40128 L
.45907 .4005 L
.45847 .39967 L
.45746 .39843 L
.45721 .39807 L
.45617 .39646 L
.45586 .39602 L
.45507 .39486 L
.45425 .39369 L
.45396 .39325 L
.45291 .39165 L
.45265 .39124 L
.45199 .39004 L
F
.013 .86 1 r
.45265 .4449 m
.45425 .44605 L
.45446 .44622 L
.45586 .44762 L
.45619 .44783 L
.45746 .44936 L
.45756 .44943 L
.45894 .45104 L
.45907 .45112 L
.46028 .45265 L
.46067 .45308 L
.46189 .45425 L
.46228 .45512 L
.46289 .45586 L
.46388 .45719 L
.46405 .45746 L
.46534 .45907 L
.46549 .45926 L
.46655 .46067 L
.46709 .46108 L
.46787 .46228 L
.4687 .46355 L
.46885 .46388 L
.46985 .46549 L
.4703 .46648 L
.47049 .46709 L
.4703 .46752 L
.4687 .46736 L
.46831 .46709 L
.46709 .46597 L
.4665 .46549 L
.46549 .46434 L
.46481 .46388 L
.46388 .46247 L
.46367 .46228 L
.46242 .46067 L
.46228 .4605 L
.46117 .45907 L
.46067 .4587 L
.45941 .45746 L
.45907 .45646 L
.45858 .45586 L
.45748 .45425 L
.45746 .45422 L
.45631 .45265 L
.45586 .45202 L
.45515 .45104 L
.45425 .44977 L
.45387 .44943 L
.45297 .44783 L
.45265 .4473 L
.45208 .44622 L
F
1 .57 0 r
.45265 .45116 m
.45403 .45265 L
.45425 .45288 L
.45541 .45425 L
.45586 .45477 L
.45672 .45586 L
.45746 .45678 L
.45797 .45746 L
.45907 .45892 L
.45917 .45907 L
.46022 .46067 L
.46067 .4614 L
.4611 .46228 L
.46067 .46285 L
.45995 .46228 L
.45907 .46149 L
.45832 .46067 L
.45746 .45974 L
.45691 .45907 L
.45586 .4578 L
.45559 .45746 L
.45435 .45586 L
.45425 .45573 L
.4532 .45425 L
.45265 .45348 L
.4521 .45265 L
F
1 .87 .018 r
.45265 .40265 m
.45285 .40288 L
.45425 .40433 L
.45438 .40449 L
.4558 .40609 L
.45586 .40615 L
.45715 .4077 L
.45746 .40804 L
.45848 .4093 L
.45907 .40997 L
.45981 .41091 L
.46067 .41192 L
.46114 .41251 L
.46228 .41376 L
.46246 .41412 L
.46376 .41572 L
.46388 .41587 L
.46502 .41733 L
.46549 .41789 L
.46629 .41894 L
.46709 .41991 L
.46758 .42054 L
.4687 .42186 L
.46901 .42215 L
.47012 .42375 L
.4703 .42398 L
.47136 .42536 L
.47191 .42603 L
.47261 .42696 L
.47351 .42785 L
.47388 .42857 L
.47512 .43013 L
.47516 .43017 L
.47636 .43178 L
.47672 .43223 L
.47759 .43338 L
.47833 .43431 L
.47884 .43499 L
.47993 .43629 L
.48023 .43659 L
.48132 .4382 L
.48154 .43847 L
.48253 .4398 L
.48314 .44058 L
.48376 .44141 L
.48475 .44246 L
.485 .44301 L
.48623 .44462 L
.48636 .44478 L
.48741 .44622 L
.48796 .44692 L
.48862 .44783 L
.48957 .44904 L
.48985 .44943 L
.49107 .45104 L
.49117 .45117 L
.49223 .45265 L
.49278 .45334 L
.49342 .45425 L
.49438 .4555 L
.49463 .45586 L
.49581 .45746 L
.49599 .45769 L
.49693 .45907 L
.49759 .45994 L
.49808 .46067 L
.4992 .46218 L
.49926 .46228 L
.50028 .46388 L
.5008 .46463 L
.50123 .46549 L
.5008 .46577 L
.50053 .46549 L
.4992 .4641 L
.499 .46388 L
.49759 .46231 L
.49757 .46228 L
.4962 .46067 L
.49599 .46043 L
.49484 .45907 L
.49438 .45854 L
.49349 .45746 L
.49278 .45661 L
.49215 .45586 L
.49117 .4548 L
.49083 .45425 L
.48957 .45269 L
.48952 .45265 L
.48824 .45104 L
.48796 .4507 L
.48694 .44943 L
.48636 .44911 L
.48565 .44783 L
.48475 .44677 L
.48418 .44622 L
.48314 .44467 L
.48311 .44462 L
.48185 .44301 L
.48154 .44263 L
.48058 .44141 L
.47993 .44079 L
.47872 .4398 L
.47833 .43856 L
.47801 .4382 L
.47683 .43659 L
.47672 .43646 L
.47558 .43499 L
.47512 .43484 L
.47434 .43338 L
.47351 .43242 L
.4729 .43178 L
.47191 .43023 L
.47186 .43017 L
.47064 .42857 L
.4703 .42813 L
.46942 .42696 L
.4687 .42627 L
.46771 .42536 L
.46709 .42394 L
.46693 .42375 L
.46577 .42215 L
.46549 .42178 L
.46456 .42054 L
.46388 .41965 L
.46335 .41894 L
.46228 .41757 L
.46207 .41733 L
.46097 .41572 L
.46067 .41533 L
.45979 .41412 L
.45907 .41315 L
.45861 .41251 L
.45746 .41098 L
.4574 .41091 L
.45631 .4093 L
.45586 .40868 L
.45519 .4077 L
.45425 .40639 L
.45405 .40609 L
.45303 .40449 L
.45265 .40392 L
.4521 .40288 L
F
0 .68 1 r
.45265 .49389 m
.45311 .49438 L
.45425 .49556 L
.45463 .49599 L
.45586 .49709 L
.45606 .49759 L
.45745 .4992 L
.45746 .49921 L
.4588 .5008 L
.45907 .50111 L
.46014 .50241 L
.46067 .50303 L
.46148 .50401 L
.46228 .50475 L
.46281 .50562 L
.46388 .50691 L
.46421 .50722 L
.46541 .50883 L
.46549 .50893 L
.46669 .51043 L
.46709 .51092 L
.46798 .51204 L
.4687 .51281 L
.46965 .51364 L
.4703 .51494 L
.47058 .51525 L
.4718 .51686 L
.47191 .51698 L
.47307 .51846 L
.47351 .51879 L
.47433 .52007 L
.47512 .521 L
.47574 .52167 L
.47672 .52312 L
.47684 .52328 L
.47809 .52488 L
.47833 .52519 L
.47933 .52649 L
.47993 .5271 L
.48094 .52809 L
.48154 .5293 L
.48187 .5297 L
.48306 .5313 L
.48314 .53141 L
.48429 .53291 L
.48475 .53319 L
.48553 .53451 L
.48636 .5355 L
.4869 .53612 L
.48796 .53768 L
.48799 .53772 L
.4892 .53933 L
.48957 .5398 L
.49042 .54093 L
.49117 .54171 L
.49195 .54254 L
.49278 .544 L
.49289 .54414 L
.49406 .54575 L
.49438 .54616 L
.49527 .54735 L
.49599 .54789 L
.49648 .54896 L
.49759 .5504 L
.49773 .55057 L
.49886 .55217 L
.4992 .55262 L
.50003 .55378 L
.5008 .5548 L
.50122 .55538 L
.50241 .55699 L
.50241 .55699 L
.50353 .55859 L
.50401 .55925 L
.50466 .5602 L
.50562 .56152 L
.50581 .5618 L
.50686 .56341 L
.50722 .56393 L
.50785 .56501 L
.50722 .5656 L
.5067 .56501 L
.50562 .56389 L
.5052 .56341 L
.50401 .56208 L
.50378 .5618 L
.50241 .56022 L
.50237 .5602 L
.50106 .55859 L
.5008 .55829 L
.49974 .55699 L
.4992 .55635 L
.49842 .55538 L
.49759 .55468 L
.4971 .55378 L
.49599 .55246 L
.49567 .55217 L
.49451 .55057 L
.49438 .55042 L
.49323 .54896 L
.49278 .5484 L
.49196 .54735 L
.49117 .54655 L
.4902 .54575 L
.48957 .54438 L
.48934 .54414 L
.48814 .54254 L
.48796 .54231 L
.48689 .54093 L
.48636 .54061 L
.48563 .53933 L
.48475 .53831 L
.48417 .53772 L
.48314 .53616 L
.48311 .53612 L
.48189 .53451 L
.48154 .53408 L
.48065 .53291 L
.47993 .53222 L
.47894 .5313 L
.47833 .52998 L
.47809 .5297 L
.47692 .52809 L
.47672 .52785 L
.4757 .52649 L
.47512 .52619 L
.47446 .52488 L
.47351 .52377 L
.47306 .52328 L
.47199 .52167 L
.47191 .52157 L
.47079 .52007 L
.4703 .51945 L
.46957 .51846 L
.4687 .51757 L
.468 .51686 L
.46711 .51525 L
.46709 .51523 L
.46592 .51364 L
.46549 .51309 L
.46472 .51204 L
.46388 .51095 L
.4635 .51043 L
.46228 .50883 L
.46228 .50882 L
.46112 .50722 L
.46067 .50664 L
.45994 .50562 L
.45907 .50447 L
.45875 .50401 L
.45756 .50241 L
.45746 .50228 L
.45644 .5008 L
.45586 .50002 L
.4553 .4992 L
.45425 .49776 L
.45414 .49759 L
.4531 .49599 L
.45265 .49534 L
.45213 .49438 L
F
1 .28 0 r
.45265 .50061 m
.45281 .5008 L
.45265 .50171 L
.45214 .5008 L
F
1 .56 0 r
.45265 .45126 m
.45396 .45265 L
.45425 .45294 L
.45535 .45425 L
.45586 .45483 L
.45667 .45586 L
.45746 .45684 L
.45793 .45746 L
.45907 .45898 L
.45913 .45907 L
.46016 .46067 L
.46067 .46154 L
.461 .46228 L
.46067 .46272 L
.46007 .46228 L
.45907 .46142 L
.45838 .46067 L
.45746 .45968 L
.45696 .45907 L
.45586 .45775 L
.45563 .45746 L
.4544 .45586 L
.45425 .45567 L
.45326 .45425 L
.45265 .4534 L
.45216 .45265 L
F
.084 .92 1 r
.45265 .39607 m
.45305 .39646 L
.45425 .39759 L
.45468 .39807 L
.45586 .39898 L
.45617 .39967 L
.45746 .40108 L
.4576 .40128 L
.45897 .40288 L
.45907 .40298 L
.46032 .40449 L
.46067 .40489 L
.46166 .40609 L
.46228 .40659 L
.46299 .4077 L
.46388 .40871 L
.46455 .4093 L
.46549 .41074 L
.46564 .41091 L
.46691 .41251 L
.46709 .41274 L
.46819 .41412 L
.4687 .41462 L
.47005 .41572 L
.4703 .41673 L
.47087 .41733 L
.47191 .41879 L
.47203 .41894 L
.47329 .42054 L
.47351 .42067 L
.47455 .42215 L
.47512 .42278 L
.47608 .42375 L
.47672 .4249 L
.47711 .42536 L
.47833 .42696 L
.47833 .42696 L
.47957 .42857 L
.47993 .42889 L
.48133 .43017 L
.48154 .43103 L
.4822 .43178 L
.48314 .43315 L
.48332 .43338 L
.48456 .43499 L
.48475 .43506 L
.48579 .43659 L
.48636 .43719 L
.4873 .4382 L
.48796 .43935 L
.48833 .4398 L
.48953 .44141 L
.48957 .44145 L
.49075 .44301 L
.49117 .44336 L
.49248 .44462 L
.49278 .44555 L
.49335 .44622 L
.49438 .4477 L
.49447 .44783 L
.49569 .44943 L
.49599 .44951 L
.49692 .45104 L
.49759 .45175 L
.49841 .45265 L
.4992 .45395 L
.49943 .45425 L
.50062 .45586 L
.5008 .45609 L
.50183 .45746 L
.50241 .45792 L
.50353 .45907 L
.50401 .46021 L
.5044 .46067 L
.50553 .46228 L
.50562 .46239 L
.50673 .46388 L
.50722 .46451 L
.50795 .46549 L
.50883 .46646 L
.50938 .46709 L
.51042 .4687 L
.51043 .46871 L
.51161 .4703 L
.51204 .47085 L
.51282 .47191 L
.51364 .47269 L
.51439 .47351 L
.51525 .47507 L
.51529 .47512 L
.51645 .47672 L
.51686 .47724 L
.51764 .47833 L
.51846 .47939 L
.51886 .47993 L
.52007 .48151 L
.52009 .48154 L
.52123 .48314 L
.52167 .48372 L
.5224 .48475 L
.52328 .4859 L
.52359 .48636 L
.52477 .48796 L
.52488 .4881 L
.52588 .48957 L
.52649 .49038 L
.52701 .49117 L
.52809 .49268 L
.52816 .49278 L
.52916 .49438 L
.5297 .4952 L
.53007 .49599 L
.5297 .49647 L
.52917 .49599 L
.52809 .49496 L
.52754 .49438 L
.52649 .49326 L
.52605 .49278 L
.52488 .49152 L
.52462 .49117 L
.52328 .48961 L
.52323 .48957 L
.52187 .48796 L
.52167 .48773 L
.52051 .48636 L
.52007 .48598 L
.51917 .48475 L
.51846 .48391 L
.51765 .48314 L
.51686 .4819 L
.51655 .48154 L
.51525 .47995 L
.51524 .47993 L
.51393 .47833 L
.51364 .47801 L
.51224 .47672 L
.51204 .47596 L
.51132 .47512 L
.51043 .47391 L
.51017 .47351 L
.50883 .47193 L
.5088 .47191 L
.50752 .4703 L
.50722 .46994 L
.50613 .4687 L
.50562 .46786 L
.50505 .46709 L
.50401 .46579 L
.50389 .46549 L
.50247 .46388 L
.50241 .46382 L
.50098 .46228 L
.5008 .46176 L
.49994 .46067 L
.4992 .45965 L
.49883 .45907 L
.49759 .45759 L
.49745 .45746 L
.4962 .45586 L
.49599 .4556 L
.49486 .45425 L
.49438 .45349 L
.49378 .45265 L
.49278 .45138 L
.49264 .45104 L
.49123 .44943 L
.49117 .44937 L
.48978 .44783 L
.48957 .44729 L
.48874 .44622 L
.48796 .44516 L
.48764 .44462 L
.48636 .44308 L
.48628 .44301 L
.48505 .44141 L
.48475 .44106 L
.48371 .4398 L
.48314 .43893 L
.48264 .4382 L
.48154 .4368 L
.48146 .43659 L
.48014 .43499 L
.47993 .43481 L
.47865 .43338 L
.47833 .43267 L
.47765 .43178 L
.47672 .43051 L
.47653 .43017 L
.47524 .42857 L
.47512 .42854 L
.47403 .42696 L
.47351 .4264 L
.47267 .42536 L
.47191 .4242 L
.4716 .42375 L
.47038 .42215 L
.4703 .42205 L
.46918 .42054 L
.4687 .42013 L
.46766 .41894 L
.46709 .41784 L
.46672 .41733 L
.46556 .41572 L
.46549 .41563 L
.46438 .41412 L
.46388 .41346 L
.46318 .41251 L
.46228 .41141 L
.46189 .41091 L
.46082 .4093 L
.46067 .40911 L
.45966 .4077 L
.45907 .40689 L
.4585 .40609 L
.45746 .40477 L
.45724 .40449 L
.45623 .40288 L
.45586 .40236 L
.45513 .40128 L
.45425 .40001 L
.45403 .39967 L
.45304 .39807 L
.45265 .39744 L
.45218 .39646 L
F
.01 .85 1 r
.45265 .44512 m
.45425 .44617 L
.45431 .44622 L
.45586 .4477 L
.45607 .44783 L
.45746 .44941 L
.45749 .44943 L
.45888 .45104 L
.45907 .45116 L
.46023 .45265 L
.46067 .45313 L
.46185 .45425 L
.46228 .45518 L
.46285 .45586 L
.46388 .45724 L
.46402 .45746 L
.46529 .45907 L
.46549 .45932 L
.4665 .46067 L
.46709 .46113 L
.46782 .46228 L
.4687 .46367 L
.46879 .46388 L
.46977 .46549 L
.4703 .46689 L
.47033 .46709 L
.4703 .46717 L
.4687 .46725 L
.46846 .46709 L
.46709 .4659 L
.46657 .46549 L
.46549 .46429 L
.46488 .46388 L
.46388 .46242 L
.46372 .46228 L
.46246 .46067 L
.46228 .46045 L
.46121 .45907 L
.46067 .45866 L
.45944 .45746 L
.45907 .4564 L
.45863 .45586 L
.45752 .45425 L
.45746 .45417 L
.45636 .45265 L
.45586 .45196 L
.4552 .45104 L
.45425 .4497 L
.45395 .44943 L
.45305 .44783 L
.45265 .44713 L
.45221 .44622 L
F
1 .55 0 r
.45265 .45135 m
.45389 .45265 L
.45425 .45301 L
.4553 .45425 L
.45586 .45489 L
.45662 .45586 L
.45746 .4569 L
.45788 .45746 L
.45907 .45905 L
.45908 .45907 L
.46009 .46067 L
.46067 .46171 L
.46087 .46228 L
.46067 .46256 L
.46022 .46228 L
.45907 .46134 L
.45845 .46067 L
.45746 .45961 L
.45701 .45907 L
.45586 .45769 L
.45568 .45746 L
.45445 .45586 L
.45425 .4556 L
.45331 .45425 L
.45265 .45332 L
.45222 .45265 L
F
1 .9 .045 r
.45265 .4872 m
.45342 .48796 L
.45425 .48877 L
.45499 .48957 L
.45586 .49049 L
.45646 .49117 L
.45746 .4922 L
.45788 .49278 L
.45907 .49415 L
.45934 .49438 L
.46063 .49599 L
.46067 .49604 L
.46198 .49759 L
.46228 .49778 L
.46333 .4992 L
.46388 .49984 L
.46496 .5008 L
.46549 .50185 L
.46597 .50241 L
.46709 .50383 L
.4672 .50401 L
.46858 .50562 L
.4687 .50574 L
.46988 .50722 L
.4703 .50776 L
.47124 .50883 L
.47191 .50982 L
.47235 .51043 L
.47351 .51185 L
.47356 .51204 L
.475 .51364 L
.47512 .51379 L
.47643 .51525 L
.47672 .51585 L
.4775 .51686 L
.47833 .51795 L
.47862 .51846 L
.47993 .51998 L
.48006 .52007 L
.48131 .52167 L
.48154 .52196 L
.48261 .52328 L
.48314 .52406 L
.48371 .52488 L
.48475 .52616 L
.48483 .52649 L
.48631 .52809 L
.48636 .52814 L
.48769 .5297 L
.48796 .53022 L
.48878 .5313 L
.48957 .53234 L
.48987 .53291 L
.49117 .53441 L
.49129 .53451 L
.49275 .53612 L
.49278 .53642 L
.49382 .53772 L
.49438 .53854 L
.49491 .53933 L
.49599 .54065 L
.49604 .54093 L
.49748 .54254 L
.49759 .54266 L
.49886 .54414 L
.4992 .54476 L
.49993 .54575 L
.5008 .54689 L
.50104 .54735 L
.50241 .54896 L
.50241 .54896 L
.50393 .55057 L
.50401 .551 L
.50494 .55217 L
.50562 .55315 L
.50603 .55378 L
.50722 .55526 L
.50724 .55538 L
.50855 .55699 L
.50883 .55726 L
.50996 .55859 L
.51043 .55941 L
.511 .5602 L
.51204 .56156 L
.51216 .5618 L
.51344 .56341 L
.51364 .56352 L
.51505 .56501 L
.51525 .56569 L
.51597 .56662 L
.51686 .56789 L
.51707 .56822 L
.5183 .56983 L
.51846 .57003 L
.51951 .57143 L
.52007 .57198 L
.52094 .57304 L
.52167 .57425 L
.52195 .57464 L
.52312 .57625 L
.52328 .57645 L
.52431 .57785 L
.52488 .57823 L
.52594 .57946 L
.52649 .58069 L
.52677 .58106 L
.52788 .58267 L
.52809 .58296 L
.52904 .58428 L
.5297 .58517 L
.53021 .58588 L
.5313 .58733 L
.53142 .58749 L
.53248 .58909 L
.53291 .58968 L
.53359 .5907 L
.53451 .59201 L
.5347 .5923 L
.53572 .59391 L
.53612 .59452 L
.53663 .59551 L
.53612 .59619 L
.53544 .59551 L
.53451 .59463 L
.53385 .59391 L
.53291 .59292 L
.53237 .5923 L
.5313 .59123 L
.53094 .5907 L
.5297 .58927 L
.52948 .58909 L
.5282 .58749 L
.52809 .58736 L
.52687 .58588 L
.52649 .58567 L
.52554 .58428 L
.52488 .58356 L
.52381 .58267 L
.52328 .58152 L
.52285 .58106 L
.52167 .57952 L
.52162 .57946 L
.52033 .57785 L
.52007 .57762 L
.51905 .57625 L
.51846 .57555 L
.51759 .57464 L
.51686 .57348 L
.5165 .57304 L
.51525 .57145 L
.51524 .57143 L
.51397 .56983 L
.51364 .56948 L
.51236 .56822 L
.51204 .56739 L
.51138 .56662 L
.51043 .5653 L
.51023 .56501 L
.50894 .56341 L
.50883 .56332 L
.5077 .5618 L
.50722 .56125 L
.50627 .5602 L
.50562 .55913 L
.5052 .55859 L
.50401 .55706 L
.50398 .55699 L
.50272 .55538 L
.50241 .55508 L
.50114 .55378 L
.5008 .55295 L
.50016 .55217 L
.4992 .55083 L
.49902 .55057 L
.49775 .54896 L
.49759 .54886 L
.49652 .54735 L
.49599 .54676 L
.4951 .54575 L
.49438 .54461 L
.49403 .54414 L
.4928 .54254 L
.49278 .54251 L
.49158 .54093 L
.49117 .54056 L
.49 .53933 L
.48957 .53838 L
.48903 .53772 L
.48796 .53624 L
.48788 .53612 L
.48665 .53451 L
.48636 .53437 L
.48543 .53291 L
.48475 .53216 L
.48401 .5313 L
.48314 .52998 L
.48294 .5297 L
.48173 .52809 L
.48154 .52785 L
.48052 .52649 L
.47993 .52596 L
.47895 .52488 L
.47833 .52371 L
.47798 .52328 L
.47682 .52167 L
.47672 .52154 L
.47562 .52007 L
.47512 .51981 L
.4744 .51846 L
.47351 .51744 L
.47302 .51686 L
.47194 .51525 L
.47191 .51521 L
.47075 .51364 L
.4703 .51308 L
.46954 .51204 L
.4687 .51118 L
.46805 .51043 L
.46709 .50885 L
.46708 .50883 L
.46591 .50722 L
.46549 .50669 L
.46471 .50562 L
.46388 .50454 L
.4635 .50401 L
.46228 .50241 L
.46228 .5024 L
.46113 .5008 L
.46067 .50021 L
.45996 .4992 L
.45907 .49802 L
.45876 .49759 L
.45759 .49599 L
.45746 .49582 L
.45648 .49438 L
.45586 .49354 L
.45535 .49278 L
.45425 .49125 L
.4542 .49117 L
.45319 .48957 L
.45265 .48875 L
.45223 .48796 L
F
1 .27 0 r
.45265 .50072 m
.45272 .5008 L
.45265 .50158 L
.45227 .5008 L
F
1 .54 0 r
.45265 .45146 m
.45381 .45265 L
.45425 .45309 L
.45524 .45425 L
.45586 .45495 L
.45657 .45586 L
.45746 .45696 L
.45783 .45746 L
.45902 .45907 L
.45907 .45913 L
.46001 .46067 L
.46067 .46199 L
.46071 .46228 L
.46067 .46234 L
.46046 .46228 L
.45907 .46126 L
.45852 .46067 L
.45746 .45955 L
.45706 .45907 L
.45586 .45763 L
.45572 .45746 L
.4545 .45586 L
.45425 .45553 L
.45337 .45425 L
.45265 .45323 L
.45228 .45265 L
F
0 .67 1 r
.45265 .49409 m
.45294 .49438 L
.45425 .49568 L
.45452 .49599 L
.45586 .49729 L
.45598 .49759 L
.45737 .4992 L
.45746 .49929 L
.45873 .5008 L
.45907 .50118 L
.46009 .50241 L
.46067 .50309 L
.46143 .50401 L
.46228 .50482 L
.46276 .50562 L
.46388 .50697 L
.46415 .50722 L
.46536 .50883 L
.46549 .50898 L
.46665 .51043 L
.46709 .51097 L
.46794 .51204 L
.4687 .51286 L
.46961 .51364 L
.4703 .51498 L
.47054 .51525 L
.47177 .51686 L
.47191 .51703 L
.47303 .51846 L
.47351 .51882 L
.4743 .52007 L
.47512 .52104 L
.47571 .52167 L
.47672 .52316 L
.47681 .52328 L
.47806 .52488 L
.47833 .52523 L
.4793 .52649 L
.47993 .52714 L
.48091 .52809 L
.48154 .52933 L
.48184 .5297 L
.48303 .5313 L
.48314 .53145 L
.48426 .53291 L
.48475 .53322 L
.4855 .53451 L
.48636 .53554 L
.48686 .53612 L
.48796 .53772 L
.48796 .53772 L
.48917 .53933 L
.48957 .53984 L
.49039 .54093 L
.49117 .54176 L
.49191 .54254 L
.49278 .54405 L
.49285 .54414 L
.49403 .54575 L
.49438 .54621 L
.49523 .54735 L
.49599 .54795 L
.49644 .54896 L
.49759 .55047 L
.49767 .55057 L
.49881 .55217 L
.4992 .55267 L
.49999 .55378 L
.5008 .55486 L
.50118 .55538 L
.50235 .55699 L
.50241 .55706 L
.50347 .55859 L
.50401 .55933 L
.5046 .5602 L
.50562 .56162 L
.50574 .5618 L
.50675 .56341 L
.50722 .5641 L
.5077 .56501 L
.50722 .56542 L
.50684 .56501 L
.50562 .56378 L
.5053 .56341 L
.50401 .56199 L
.50385 .5618 L
.50247 .5602 L
.50241 .56013 L
.50113 .55859 L
.5008 .55823 L
.49979 .55699 L
.4992 .55629 L
.49846 .55538 L
.49759 .55461 L
.49714 .55378 L
.49599 .5524 L
.49573 .55217 L
.49455 .55057 L
.49438 .55037 L
.49327 .54896 L
.49278 .54836 L
.49199 .54735 L
.49117 .54651 L
.49025 .54575 L
.48957 .54434 L
.48938 .54414 L
.48817 .54254 L
.48796 .54228 L
.48692 .54093 L
.48636 .54058 L
.48566 .53933 L
.48475 .53827 L
.48421 .53772 L
.48314 .53612 L
.48314 .53612 L
.48191 .53451 L
.48154 .53405 L
.48067 .53291 L
.47993 .53219 L
.47897 .5313 L
.47833 .52994 L
.47812 .5297 L
.47695 .52809 L
.47672 .52781 L
.47572 .52649 L
.47512 .52616 L
.47449 .52488 L
.47351 .52373 L
.47309 .52328 L
.47202 .52167 L
.47191 .52153 L
.47081 .52007 L
.4703 .51941 L
.46959 .51846 L
.4687 .51752 L
.46804 .51686 L
.46714 .51525 L
.46709 .51519 L
.46595 .51364 L
.46549 .51305 L
.46475 .51204 L
.46388 .51091 L
.46353 .51043 L
.46232 .50883 L
.46228 .50878 L
.46116 .50722 L
.46067 .50659 L
.45998 .50562 L
.45907 .50441 L
.45878 .50401 L
.45761 .50241 L
.45746 .50221 L
.4565 .5008 L
.45586 .49994 L
.45536 .4992 L
.45425 .49767 L
.4542 .49759 L
.45321 .49599 L
.45265 .49514 L
.45229 .49438 L
F
.007 .84 1 r
.45265 .44536 m
.45414 .44622 L
.45425 .44631 L
.45586 .44779 L
.45593 .44783 L
.45742 .44943 L
.45746 .44948 L
.45882 .45104 L
.45907 .45121 L
.46017 .45265 L
.46067 .45319 L
.46181 .45425 L
.46228 .45523 L
.46281 .45586 L
.46388 .45729 L
.46399 .45746 L
.46525 .45907 L
.46549 .45938 L
.46646 .46067 L
.46709 .4612 L
.46776 .46228 L
.4687 .4638 L
.46873 .46388 L
.46968 .46549 L
.47011 .46709 L
.4687 .46713 L
.46863 .46709 L
.46709 .46584 L
.46664 .46549 L
.46549 .46423 L
.46495 .46388 L
.46388 .46238 L
.46377 .46228 L
.4625 .46067 L
.46228 .4604 L
.46125 .45907 L
.46067 .45862 L
.45948 .45746 L
.45907 .45635 L
.45867 .45586 L
.45756 .45425 L
.45746 .45412 L
.4564 .45265 L
.45586 .4519 L
.45525 .45104 L
.45425 .44962 L
.45404 .44943 L
.45314 .44783 L
.45265 .44694 L
.45234 .44622 L
F
1 .53 0 r
.45265 .45157 m
.45372 .45265 L
.45425 .45317 L
.45518 .45425 L
.45586 .45502 L
.45652 .45586 L
.45746 .45703 L
.45778 .45746 L
.45896 .45907 L
.45907 .45922 L
.45993 .46067 L
.45907 .46117 L
.45859 .46067 L
.45746 .45949 L
.45711 .45907 L
.45586 .45757 L
.45577 .45746 L
.45456 .45586 L
.45425 .45546 L
.45343 .45425 L
.45265 .45313 L
.45235 .45265 L
F
1 .52 0 r
.45265 .4517 m
.45363 .45265 L
.45425 .45325 L
.45511 .45425 L
.45586 .45509 L
.45646 .45586 L
.45746 .45709 L
.45773 .45746 L
.45889 .45907 L
.45907 .45932 L
.45984 .46067 L
.45907 .46108 L
.45867 .46067 L
.45746 .45942 L
.45717 .45907 L
.45586 .45751 L
.45582 .45746 L
.45462 .45586 L
.45425 .45538 L
.45349 .45425 L
.45265 .45302 L
.45243 .45265 L
F
.005 .83 1 r
.45265 .44567 m
.45392 .44622 L
.45425 .44644 L
.4558 .44783 L
.45586 .44788 L
.45734 .44943 L
.45746 .44956 L
.45876 .45104 L
.45907 .45125 L
.46012 .45265 L
.46067 .45325 L
.46177 .45425 L
.46228 .45529 L
.46276 .45586 L
.46388 .45735 L
.46396 .45746 L
.46521 .45907 L
.46549 .45944 L
.46641 .46067 L
.46709 .46127 L
.46771 .46228 L
.46867 .46388 L
.4687 .46392 L
.4696 .46549 L
.4687 .46701 L
.46709 .46578 L
.46671 .46549 L
.46549 .46418 L
.46503 .46388 L
.46388 .46233 L
.46382 .46228 L
.46254 .46067 L
.46228 .46035 L
.46128 .45907 L
.46067 .45858 L
.45952 .45746 L
.45907 .4563 L
.45871 .45586 L
.4576 .45425 L
.45746 .45406 L
.45645 .45265 L
.45586 .45184 L
.4553 .45104 L
.45425 .44953 L
.45414 .44943 L
.45323 .44783 L
.45265 .44667 L
.4525 .44622 L
F
1 .51 0 r
.45265 .45185 m
.45352 .45265 L
.45425 .45333 L
.45504 .45425 L
.45586 .45516 L
.45641 .45586 L
.45746 .45716 L
.45768 .45746 L
.45881 .45907 L
.45907 .45943 L
.45973 .46067 L
.45907 .46099 L
.45876 .46067 L
.45746 .45935 L
.45723 .45907 L
.45587 .45746 L
.45586 .45744 L
.45468 .45586 L
.45425 .45529 L
.45355 .45425 L
.45265 .45289 L
.45251 .45265 L
F
1 .5 0 r
.45265 .45206 m
.45338 .45265 L
.45425 .45342 L
.45497 .45425 L
.45586 .45523 L
.45635 .45586 L
.45746 .45724 L
.45763 .45746 L
.45873 .45907 L
.45907 .45956 L
.45961 .46067 L
.45907 .46088 L
.45886 .46067 L
.45746 .45927 L
.45729 .45907 L
.45594 .45746 L
.45586 .45736 L
.45475 .45586 L
.45425 .45521 L
.45362 .45425 L
.45265 .45274 L
.4526 .45265 L
F
1 .95 .212 r
.45265 .47294 m
.45425 .47275 L
.45476 .47351 L
.45586 .47426 L
.45636 .47512 L
.45746 .47622 L
.45776 .47672 L
.45907 .4783 L
.4591 .47833 L
.46032 .47993 L
.46067 .48037 L
.46154 .48154 L
.46228 .48248 L
.46276 .48314 L
.46388 .4845 L
.46408 .48475 L
.46512 .48636 L
.46549 .48685 L
.46623 .48796 L
.46709 .48922 L
.46731 .48957 L
.46821 .49117 L
.46709 .49198 L
.46621 .49117 L
.46549 .49077 L
.46463 .48957 L
.46388 .4888 L
.46319 .48796 L
.46228 .48689 L
.46172 .48636 L
.46067 .48494 L
.46051 .48475 L
.45921 .48314 L
.45907 .48311 L
.45794 .48154 L
.45746 .48102 L
.45653 .47993 L
.45586 .47881 L
.45554 .47833 L
.45441 .47672 L
.45425 .47647 L
.45338 .47512 L
.45265 .47356 L
.45261 .47351 L
F
0 .66 1 r
.45265 .49438 m
.45265 .49438 L
.45425 .49582 L
.4544 .49599 L
.45586 .49751 L
.45589 .49759 L
.45729 .4992 L
.45746 .49938 L
.45866 .5008 L
.45907 .50126 L
.46003 .50241 L
.46067 .50316 L
.46137 .50401 L
.46228 .50489 L
.46271 .50562 L
.46388 .50703 L
.46409 .50722 L
.46532 .50883 L
.46549 .50903 L
.46661 .51043 L
.46709 .51102 L
.46791 .51204 L
.4687 .51291 L
.46956 .51364 L
.4703 .51503 L
.4705 .51525 L
.47173 .51686 L
.47191 .51707 L
.473 .51846 L
.47351 .51885 L
.47427 .52007 L
.47512 .52108 L
.47567 .52167 L
.47672 .5232 L
.47678 .52328 L
.47803 .52488 L
.47833 .52526 L
.47927 .52649 L
.47993 .52717 L
.48088 .52809 L
.48154 .52937 L
.48181 .5297 L
.483 .5313 L
.48314 .53148 L
.48423 .53291 L
.48475 .53325 L
.48547 .53451 L
.48636 .53558 L
.48683 .53612 L
.48793 .53772 L
.48796 .53776 L
.48914 .53933 L
.48957 .53988 L
.49036 .54093 L
.49117 .5418 L
.49187 .54254 L
.49278 .5441 L
.49281 .54414 L
.494 .54575 L
.49438 .54625 L
.4952 .54735 L
.49599 .54801 L
.49641 .54896 L
.49759 .55053 L
.49762 .55057 L
.49877 .55217 L
.4992 .55273 L
.49995 .55378 L
.5008 .55492 L
.50113 .55538 L
.5023 .55699 L
.50241 .55713 L
.50341 .55859 L
.50401 .55942 L
.50453 .5602 L
.50562 .56173 L
.50567 .5618 L
.50663 .56341 L
.50722 .56434 L
.5075 .56501 L
.50722 .56521 L
.50703 .56501 L
.50562 .56366 L
.5054 .56341 L
.50401 .5619 L
.50393 .5618 L
.50254 .5602 L
.50241 .56005 L
.50119 .55859 L
.5008 .55815 L
.49985 .55699 L
.4992 .55623 L
.49851 .55538 L
.49759 .55455 L
.49718 .55378 L
.49599 .55235 L
.49579 .55217 L
.49459 .55057 L
.49438 .55032 L
.49331 .54896 L
.49278 .54832 L
.49202 .54735 L
.49117 .54646 L
.4903 .54575 L
.48957 .5443 L
.48942 .54414 L
.48821 .54254 L
.48796 .54224 L
.48695 .54093 L
.48636 .54055 L
.48569 .53933 L
.48475 .53823 L
.48424 .53772 L
.48317 .53612 L
.48314 .53609 L
.48194 .53451 L
.48154 .53401 L
.4807 .53291 L
.47993 .53215 L
.47901 .5313 L
.47833 .5299 L
.47815 .5297 L
.47697 .52809 L
.47672 .52778 L
.47575 .52649 L
.47512 .52613 L
.47451 .52488 L
.47351 .52369 L
.47313 .52328 L
.47205 .52167 L
.47191 .5215 L
.47084 .52007 L
.4703 .51938 L
.46962 .51846 L
.4687 .51748 L
.46809 .51686 L
.46717 .51525 L
.46709 .51516 L
.46598 .51364 L
.46549 .51301 L
.46478 .51204 L
.46388 .51087 L
.46356 .51043 L
.46235 .50883 L
.46228 .50873 L
.4612 .50722 L
.46067 .50654 L
.46002 .50562 L
.45907 .50436 L
.45882 .50401 L
.45766 .50241 L
.45746 .50214 L
.45655 .5008 L
.45586 .49986 L
.45542 .4992 L
.45428 .49759 L
.45425 .49756 L
.45335 .49599 L
.45265 .4948 L
.45263 .49438 L
F
1 .98 .538 r
.45425 .44045 m
.45586 .44095 L
.45677 .44141 L
.45746 .4421 L
.45828 .44301 L
.45907 .44376 L
.45951 .44462 L
.46067 .44565 L
.46114 .44622 L
.46228 .44766 L
.46242 .44783 L
.46368 .44943 L
.46388 .44978 L
.4648 .45104 L
.46549 .45205 L
.46574 .45265 L
.46709 .4538 L
.46745 .45425 L
.46868 .45586 L
.4687 .4559 L
.46986 .45746 L
.4703 .45805 L
.47088 .45907 L
.47191 .46021 L
.4724 .46067 L
.47351 .46224 L
.47361 .46228 L
.47483 .46388 L
.47512 .46394 L
.47589 .46549 L
.47672 .46644 L
.47683 .46709 L
.47824 .4687 L
.47672 .46956 L
.47512 .46956 L
.4736 .4687 L
.47351 .46862 L
.47223 .46709 L
.47191 .46629 L
.47062 .46549 L
.4703 .46444 L
.46962 .46388 L
.4687 .46247 L
.4685 .46228 L
.46724 .46067 L
.46709 .4606 L
.46602 .45907 L
.46549 .45853 L
.46458 .45746 L
.46388 .45636 L
.46352 .45586 L
.46231 .45425 L
.46228 .45421 L
.4611 .45265 L
.46067 .45209 L
.45952 .45104 L
.45907 .45026 L
.45855 .44943 L
.45746 .4479 L
.45742 .44783 L
.45624 .44622 L
.45586 .44571 L
.45506 .44462 L
.45425 .44348 L
.45377 .44301 L
.45302 .44141 L
F
.004 .82 1 r
.45425 .44658 m
.45568 .44783 L
.45586 .44798 L
.45726 .44943 L
.45746 .44965 L
.45869 .45104 L
.45907 .45129 L
.46006 .45265 L
.46067 .45331 L
.46173 .45425 L
.46228 .45535 L
.46272 .45586 L
.46388 .4574 L
.46392 .45746 L
.46516 .45907 L
.46549 .4595 L
.46636 .46067 L
.46709 .46135 L
.46765 .46228 L
.46861 .46388 L
.4687 .46403 L
.46951 .46549 L
.4687 .46689 L
.46709 .46572 L
.46679 .46549 L
.46549 .46412 L
.4651 .46388 L
.46388 .46229 L
.46387 .46228 L
.46258 .46067 L
.46228 .4603 L
.46132 .45907 L
.46067 .45854 L
.45957 .45746 L
.45907 .45624 L
.45876 .45586 L
.45765 .45425 L
.45746 .45401 L
.45649 .45265 L
.45586 .45177 L
.45535 .45104 L
.45425 .44944 L
.45424 .44943 L
.45333 .44783 L
F
.003 .81 1 r
.45425 .44673 m
.45556 .44783 L
.45586 .44808 L
.45717 .44943 L
.45746 .44973 L
.45863 .45104 L
.45907 .45134 L
.46001 .45265 L
.46067 .45336 L
.46168 .45425 L
.46228 .4554 L
.46267 .45586 L
.46388 .45745 L
.46389 .45746 L
.46512 .45907 L
.46549 .45956 L
.46632 .46067 L
.46709 .46143 L
.4676 .46228 L
.46854 .46388 L
.4687 .46414 L
.46942 .46549 L
.4687 .46676 L
.46709 .46566 L
.46687 .46549 L
.46549 .46407 L
.46519 .46388 L
.46392 .46228 L
.46388 .46223 L
.46262 .46067 L
.46228 .46025 L
.46136 .45907 L
.46067 .45849 L
.45962 .45746 L
.45907 .45618 L
.4588 .45586 L
.45769 .45425 L
.45746 .45395 L
.45654 .45265 L
.45586 .4517 L
.4554 .45104 L
.45432 .44943 L
.45425 .44933 L
.45343 .44783 L
F
1 .89 .033 r
.45425 .48919 m
.45463 .48957 L
.45586 .4908 L
.4562 .49117 L
.45746 .49249 L
.45766 .49278 L
.45907 .49437 L
.45908 .49438 L
.46046 .49599 L
.46067 .49622 L
.46184 .49759 L
.46228 .49788 L
.4632 .4992 L
.46388 .49998 L
.46485 .5008 L
.46549 .50198 L
.46587 .50241 L
.46709 .50393 L
.46714 .50401 L
.46849 .50562 L
.4687 .50583 L
.4698 .50722 L
.4703 .50786 L
.47116 .50883 L
.47191 .50991 L
.47229 .51043 L
.47351 .51192 L
.47354 .51204 L
.47493 .51364 L
.47512 .51387 L
.47639 .51525 L
.47672 .51593 L
.47745 .51686 L
.47833 .51801 L
.47858 .51846 L
.47993 .52002 L
.48 .52007 L
.48126 .52167 L
.48154 .52202 L
.48257 .52328 L
.48314 .52412 L
.48367 .52488 L
.48475 .52621 L
.48482 .52649 L
.48627 .52809 L
.48636 .52819 L
.48766 .5297 L
.48796 .53028 L
.48874 .5313 L
.48957 .53239 L
.48984 .53291 L
.49117 .53445 L
.49125 .53451 L
.49274 .53612 L
.49278 .53647 L
.49379 .53772 L
.49438 .53859 L
.49488 .53933 L
.49599 .5407 L
.49603 .54093 L
.49744 .54254 L
.49759 .5427 L
.49884 .54414 L
.4992 .54481 L
.4999 .54575 L
.5008 .54694 L
.50102 .54735 L
.50237 .54896 L
.50241 .54898 L
.50392 .55057 L
.50401 .55105 L
.50491 .55217 L
.50562 .55319 L
.506 .55378 L
.50722 .55531 L
.50723 .55538 L
.50851 .55699 L
.50883 .5573 L
.50993 .55859 L
.51043 .55947 L
.51097 .5602 L
.51204 .56162 L
.51213 .5618 L
.51339 .56341 L
.51364 .56355 L
.51503 .56501 L
.51525 .56575 L
.51592 .56662 L
.51686 .56796 L
.51703 .56822 L
.51825 .56983 L
.51846 .57011 L
.51945 .57143 L
.52007 .57205 L
.52088 .57304 L
.52167 .57434 L
.52189 .57464 L
.52306 .57625 L
.52328 .57654 L
.52424 .57785 L
.52488 .57832 L
.52585 .57946 L
.52649 .58082 L
.52667 .58106 L
.52778 .58267 L
.52809 .58309 L
.52893 .58428 L
.5297 .58531 L
.5301 .58588 L
.53125 .58749 L
.5313 .58756 L
.53233 .58909 L
.53291 .58991 L
.53342 .5907 L
.5345 .5923 L
.53451 .59232 L
.53535 .59391 L
.53451 .59424 L
.53418 .59391 L
.53291 .59263 L
.53261 .5923 L
.5313 .59095 L
.53114 .5907 L
.52972 .58909 L
.5297 .58906 L
.52835 .58749 L
.52809 .58719 L
.527 .58588 L
.52649 .58558 L
.52565 .58428 L
.52488 .58343 L
.52392 .58267 L
.52328 .5814 L
.52295 .58106 L
.5217 .57946 L
.52167 .57942 L
.52041 .57785 L
.52007 .57755 L
.51912 .57625 L
.51846 .57547 L
.51766 .57464 L
.51686 .5734 L
.51656 .57304 L
.51529 .57143 L
.51525 .57142 L
.51403 .56983 L
.51364 .56943 L
.5124 .56822 L
.51204 .56733 L
.51143 .56662 L
.51043 .56525 L
.51027 .56501 L
.50899 .56341 L
.50883 .56329 L
.50774 .5618 L
.50722 .5612 L
.50631 .5602 L
.50562 .55909 L
.50523 .55859 L
.50401 .55702 L
.504 .55699 L
.50275 .55538 L
.50241 .55504 L
.50117 .55378 L
.5008 .55291 L
.50019 .55217 L
.4992 .55079 L
.49904 .55057 L
.49778 .54896 L
.49759 .54884 L
.49655 .54735 L
.49599 .54672 L
.49513 .54575 L
.49438 .54457 L
.49406 .54414 L
.49283 .54254 L
.49278 .54247 L
.49161 .54093 L
.49117 .54053 L
.49003 .53933 L
.48957 .53835 L
.48906 .53772 L
.48796 .53621 L
.4879 .53612 L
.48668 .53451 L
.48636 .53435 L
.48546 .53291 L
.48475 .53213 L
.48404 .5313 L
.48314 .52994 L
.48297 .5297 L
.48176 .52809 L
.48154 .52781 L
.48055 .52649 L
.47993 .52592 L
.47898 .52488 L
.47833 .52366 L
.47802 .52328 L
.47686 .52167 L
.47672 .5215 L
.47566 .52007 L
.47512 .51977 L
.47444 .51846 L
.47351 .51739 L
.47307 .51686 L
.47198 .51525 L
.47191 .51516 L
.47079 .51364 L
.4703 .51302 L
.46958 .51204 L
.4687 .51111 L
.46812 .51043 L
.46713 .50883 L
.46709 .50877 L
.46596 .50722 L
.46549 .50661 L
.46477 .50562 L
.46388 .50446 L
.46356 .50401 L
.46235 .50241 L
.46228 .50231 L
.46121 .5008 L
.46067 .5001 L
.46004 .4992 L
.45907 .4979 L
.45885 .49759 L
.45771 .49599 L
.45746 .49566 L
.45661 .49438 L
.45586 .49334 L
.4555 .49278 L
.45441 .49117 L
.45425 .49094 L
.45352 .48957 L
F
0 .65 1 r
.45425 .49597 m
.45426 .49599 L
.45425 .49741 L
.45353 .49599 L
F
.002 .8 1 r
.45425 .44688 m
.45543 .44783 L
.45586 .44819 L
.45709 .44943 L
.45746 .44981 L
.45856 .45104 L
.45907 .45139 L
.45995 .45265 L
.46067 .45342 L
.46163 .45425 L
.46228 .45546 L
.46262 .45586 L
.46384 .45746 L
.46388 .45751 L
.46507 .45907 L
.46549 .45962 L
.46627 .46067 L
.46709 .46152 L
.46753 .46228 L
.46848 .46388 L
.4687 .46426 L
.46933 .46549 L
.4687 .46662 L
.46709 .46559 L
.46695 .46549 L
.46549 .46401 L
.46528 .46388 L
.46397 .46228 L
.46388 .46218 L
.46267 .46067 L
.46228 .4602 L
.4614 .45907 L
.46067 .45844 L
.45967 .45746 L
.45907 .45612 L
.45885 .45586 L
.45773 .45425 L
.45746 .45389 L
.45658 .45265 L
.45586 .45163 L
.45545 .45104 L
.45439 .44943 L
.45425 .44921 L
.45355 .44783 L
F
.001 .79 1 r
.45425 .44705 m
.45528 .44783 L
.45586 .44829 L
.457 .44943 L
.45746 .44989 L
.4585 .45104 L
.45907 .45144 L
.4599 .45265 L
.46067 .45349 L
.46157 .45425 L
.46228 .45552 L
.46257 .45586 L
.4638 .45746 L
.46388 .45757 L
.46502 .45907 L
.46549 .45968 L
.46622 .46067 L
.46709 .46163 L
.46747 .46228 L
.46841 .46388 L
.4687 .4644 L
.46923 .46549 L
.4687 .46648 L
.46709 .46553 L
.46704 .46549 L
.46549 .46395 L
.46537 .46388 L
.46402 .46228 L
.46388 .46212 L
.46271 .46067 L
.46228 .46015 L
.46143 .45907 L
.46067 .45839 L
.45972 .45746 L
.45907 .45606 L
.4589 .45586 L
.45777 .45425 L
.45746 .45383 L
.45663 .45265 L
.45586 .45156 L
.4555 .45104 L
.45447 .44943 L
.45425 .44907 L
.45367 .44783 L
F
1 .49 0 r
.45425 .45352 m
.45489 .45425 L
.45586 .45531 L
.45629 .45586 L
.45746 .45732 L
.45757 .45746 L
.45865 .45907 L
.45907 .45971 L
.45944 .46067 L
.45907 .46075 L
.45898 .46067 L
.45746 .45919 L
.45735 .45907 L
.45601 .45746 L
.45586 .45728 L
.45482 .45586 L
.45425 .45511 L
.4537 .45425 L
F
1 .94 .156 r
.45425 .47356 m
.45586 .47467 L
.4561 .47512 L
.45746 .47653 L
.45757 .47672 L
.45889 .47833 L
.45907 .47854 L
.46014 .47993 L
.46067 .48059 L
.46137 .48154 L
.46228 .4827 L
.4626 .48314 L
.4638 .48475 L
.46388 .48487 L
.46489 .48636 L
.46549 .48721 L
.46595 .48796 L
.46692 .48957 L
.46549 .49002 L
.4652 .48957 L
.46388 .48828 L
.46361 .48796 L
.46228 .48647 L
.46215 .48636 L
.46082 .48475 L
.46067 .48458 L
.45949 .48314 L
.45907 .483 L
.45821 .48154 L
.45746 .48068 L
.45682 .47993 L
.45586 .47837 L
.45583 .47833 L
.45473 .47672 L
.45425 .47593 L
.45377 .47512 L
F
1 .48 0 r
.45425 .45363 m
.4548 .45425 L
.45586 .4554 L
.45622 .45586 L
.45746 .4574 L
.45751 .45746 L
.45854 .45907 L
.45746 .45911 L
.45743 .45907 L
.45609 .45746 L
.45586 .45719 L
.4549 .45586 L
.45425 .455 L
.45379 .45425 L
F
.001 .78 1 r
.45425 .44724 m
.45512 .44783 L
.45586 .4484 L
.45691 .44943 L
.45746 .44998 L
.45843 .45104 L
.45907 .4515 L
.45984 .45265 L
.46067 .45355 L
.46151 .45425 L
.46228 .45558 L
.46252 .45586 L
.46375 .45746 L
.46388 .45763 L
.46498 .45907 L
.46549 .45974 L
.46618 .46067 L
.46709 .46174 L
.4674 .46228 L
.46834 .46388 L
.4687 .46454 L
.46912 .46549 L
.4687 .46632 L
.46715 .46549 L
.46709 .46545 L
.46549 .46389 L
.46547 .46388 L
.46407 .46228 L
.46388 .46207 L
.46275 .46067 L
.46228 .4601 L
.46147 .45907 L
.46067 .45833 L
.45978 .45746 L
.45907 .456 L
.45895 .45586 L
.45782 .45425 L
.45746 .45377 L
.45668 .45265 L
.45586 .45148 L
.45556 .45104 L
.45456 .44943 L
.45425 .4489 L
.45381 .44783 L
F
1 1 1 r
.45425 .46989 m
.45586 .46982 L
.45746 .46972 L
.45874 .4703 L
.45907 .47063 L
.46036 .47191 L
.46067 .47276 L
.46133 .47351 L
.46228 .47487 L
.46245 .47512 L
.46368 .47672 L
.46388 .4769 L
.4649 .47833 L
.46549 .47899 L
.46637 .47993 L
.46709 .48113 L
.46742 .48154 L
.46862 .48314 L
.4687 .48325 L
.46983 .48475 L
.4703 .48498 L
.47145 .48636 L
.47191 .48727 L
.47241 .48796 L
.47351 .48951 L
.47355 .48957 L
.47476 .49117 L
.47512 .49164 L
.47598 .49278 L
.47672 .49374 L
.47742 .49438 L
.47833 .49582 L
.47849 .49599 L
.47968 .49759 L
.47993 .49794 L
.48131 .4992 L
.47993 .50015 L
.47833 .50059 L
.47802 .5008 L
.47833 .50188 L
.47857 .50241 L
.47968 .50401 L
.47993 .50433 L
.48085 .50562 L
.48154 .50645 L
.48211 .50722 L
.48314 .50847 L
.48341 .50883 L
.48475 .51043 L
.48475 .51044 L
.48604 .51204 L
.48636 .51238 L
.4874 .51364 L
.48796 .51424 L
.48884 .51525 L
.48957 .51599 L
.49036 .51686 L
.49117 .51766 L
.49195 .51846 L
.49278 .51926 L
.49361 .52007 L
.49438 .52079 L
.49534 .52167 L
.49599 .52223 L
.49711 .52328 L
.49759 .52406 L
.49891 .52488 L
.4992 .52516 L
.50067 .52649 L
.5008 .52663 L
.50229 .52809 L
.50241 .52824 L
.50374 .5297 L
.50401 .53004 L
.5048 .5313 L
.50562 .532 L
.50611 .53291 L
.50722 .53404 L
.50738 .53451 L
.50882 .53612 L
.50883 .53613 L
.51001 .53772 L
.51043 .53829 L
.51114 .53933 L
.51204 .54045 L
.51223 .54093 L
.51364 .5425 L
.51371 .54254 L
.51486 .54414 L
.51525 .54463 L
.51588 .54575 L
.51686 .54686 L
.51739 .54735 L
.51846 .5488 L
.51859 .54896 L
.51973 .55057 L
.52007 .55098 L
.52067 .55217 L
.52167 .55327 L
.52229 .55378 L
.52328 .5551 L
.5235 .55538 L
.52467 .55699 L
.52488 .55725 L
.52566 .55859 L
.52649 .55953 L
.52721 .5602 L
.52809 .56138 L
.52843 .5618 L
.52963 .56341 L
.5297 .5635 L
.5307 .56501 L
.5313 .56572 L
.53213 .56662 L
.53291 .56802 L
.53336 .56822 L
.53451 .56976 L
.53457 .56983 L
.53572 .57143 L
.53612 .57192 L
.53668 .57304 L
.53772 .57416 L
.53829 .57464 L
.53933 .57603 L
.5395 .57625 L
.5407 .57785 L
.54093 .57816 L
.54177 .57946 L
.54254 .58034 L
.54322 .58106 L
.54414 .58253 L
.54444 .58267 L
.54566 .58428 L
.54575 .58441 L
.54679 .58588 L
.54735 .58656 L
.54777 .58749 L
.54896 .58873 L
.54937 .58909 L
.55057 .59068 L
.55058 .5907 L
.55179 .5923 L
.55217 .59279 L
.55285 .59391 L
.55378 .59495 L
.5543 .59551 L
.55538 .59704 L
.55551 .59712 L
.55677 .59872 L
.55699 .59904 L
.55788 .60033 L
.55859 .60118 L
.55887 .60193 L
.5602 .60331 L
.56045 .60354 L
.56172 .60514 L
.5618 .6053 L
.56288 .60675 L
.56341 .60742 L
.56394 .60835 L
.56501 .60955 L
.56537 .60996 L
.56659 .61156 L
.56662 .61159 L
.56788 .61317 L
.56822 .61366 L
.56897 .61477 L
.56983 .6158 L
.57001 .61638 L
.57143 .6179 L
.57152 .61799 L
.57287 .61959 L
.57304 .61991 L
.57398 .6212 L
.57464 .62204 L
.57506 .6228 L
.57625 .62417 L
.57645 .62441 L
.57785 .62601 L
.57785 .62617 L
.57899 .62762 L
.57946 .62828 L
.58007 .62922 L
.58106 .63043 L
.58117 .63083 L
.58259 .63243 L
.58267 .63246 L
.584 .63404 L
.58428 .63452 L
.58508 .63564 L
.58588 .63668 L
.58617 .63725 L
.58749 .63881 L
.58752 .63885 L
.58905 .64046 L
.58909 .64074 L
.59009 .64206 L
.5907 .64292 L
.59117 .64367 L
.5923 .64508 L
.59235 .64527 L
.59366 .64688 L
.59391 .64696 L
.59512 .64848 L
.59551 .64914 L
.59617 .65009 L
.59712 .65133 L
.5973 .6517 L
.5986 .6533 L
.59872 .65346 L
.60017 .65491 L
.60033 .65532 L
.60119 .65651 L
.60193 .65754 L
.60229 .65812 L
.60354 .65971 L
.60354 .65972 L
.60475 .66133 L
.60514 .66184 L
.60618 .66293 L
.60675 .66376 L
.60719 .66454 L
.60827 .66614 L
.60835 .66626 L
.60928 .66775 L
.60996 .66899 L
.61011 .66935 L
.60996 .67048 L
.60835 .67028 L
.60746 .66935 L
.60675 .66901 L
.60533 .66775 L
.60514 .66761 L
.60354 .66617 L
.6035 .66614 L
.60193 .66459 L
.60187 .66454 L
.60047 .66293 L
.60033 .66279 L
.5991 .66133 L
.59872 .66083 L
.59787 .65972 L
.59712 .65867 L
.59671 .65812 L
.59558 .65651 L
.59551 .65639 L
.59464 .65491 L
.59391 .65424 L
.59321 .6533 L
.5923 .65206 L
.59203 .6517 L
.59083 .65009 L
.5907 .64984 L
.58973 .64848 L
.58909 .64751 L
.58878 .64688 L
.58749 .64566 L
.58719 .64527 L
.58594 .64367 L
.58588 .64352 L
.58476 .64206 L
.58428 .64132 L
.5837 .64046 L
.58267 .63907 L
.58228 .63885 L
.58106 .63726 L
.58106 .63725 L
.57977 .63564 L
.57946 .63511 L
.57867 .63404 L
.57785 .63291 L
.57764 .63243 L
.57625 .63099 L
.57612 .63083 L
.57479 .62922 L
.57464 .62888 L
.57366 .62762 L
.57304 .62671 L
.57258 .62601 L
.57143 .62456 L
.57118 .62441 L
.56996 .6228 L
.56983 .62263 L
.56865 .6212 L
.56822 .62049 L
.56756 .61959 L
.56662 .61834 L
.56648 .61799 L
.56503 .61638 L
.56501 .61636 L
.56363 .61477 L
.56341 .61425 L
.56255 .61317 L
.5618 .61211 L
.56146 .61156 L
.5602 .61003 L
.5601 .60996 L
.5586 .60835 L
.55859 .60801 L
.55753 .60675 L
.55699 .60588 L
.55645 .60514 L
.55538 .60376 L
.55531 .60354 L
.55395 .60193 L
.55378 .60175 L
.5525 .60033 L
.55217 .59964 L
.55144 .59872 L
.55057 .5975 L
.55033 .59712 L
.54901 .59551 L
.54896 .59547 L
.54742 .59391 L
.54735 .5934 L
.54642 .5923 L
.54575 .59126 L
.54534 .5907 L
.54414 .58916 L
.54412 .58909 L
.54286 .58749 L
.54254 .58716 L
.54138 .58588 L
.54093 .58502 L
.54034 .58428 L
.53933 .58289 L
.5392 .58267 L
.53793 .58106 L
.53772 .58091 L
.53627 .57946 L
.53612 .57879 L
.53533 .57785 L
.53451 .57663 L
.53423 .57625 L
.533 .57464 L
.53291 .57463 L
.53179 .57304 L
.5313 .57257 L
.53028 .57143 L
.5297 .57039 L
.52925 .56983 L
.52809 .56825 L
.52807 .56822 L
.52686 .56662 L
.52649 .56637 L
.52516 .56501 L
.52488 .56417 L
.52425 .56341 L
.52328 .56199 L
.52314 .5618 L
.52192 .5602 L
.52167 .55988 L
.52071 .55859 L
.52007 .55797 L
.5192 .55699 L
.51846 .55575 L
.51818 .55538 L
.51699 .55378 L
.51686 .5536 L
.51578 .55217 L
.51525 .5518 L
.51411 .55057 L
.51364 .54952 L
.51319 .54896 L
.51206 .54735 L
.51204 .54733 L
.51085 .54575 L
.51043 .54522 L
.50963 .54414 L
.50883 .54332 L
.50818 .54254 L
.50722 .54107 L
.50712 .54093 L
.50592 .53933 L
.50562 .53894 L
.50471 .53772 L
.50401 .53716 L
.50313 .53612 L
.50241 .53484 L
.50215 .53451 L
.50099 .53291 L
.5008 .53267 L
.49978 .5313 L
.4992 .53057 L
.49854 .5297 L
.49759 .52875 L
.49708 .52809 L
.49602 .52649 L
.49599 .52645 L
.4948 .52488 L
.49438 .52437 L
.49356 .52328 L
.49278 .52233 L
.49228 .52167 L
.49117 .52034 L
.49096 .52007 L
.48964 .51846 L
.48957 .51838 L
.48834 .51686 L
.48796 .51644 L
.487 .51525 L
.48636 .51455 L
.48561 .51364 L
.48475 .51271 L
.48419 .51204 L
.48314 .51088 L
.48277 .51043 L
.48154 .50903 L
.48137 .50883 L
.48003 .50722 L
.47993 .50711 L
.4788 .50562 L
.47833 .505 L
.47764 .50401 L
.47672 .50257 L
.47663 .50241 L
.47607 .5008 L
.47531 .4992 L
.47512 .49883 L
.47436 .49759 L
.47351 .49651 L
.47312 .49599 L
.47194 .49438 L
.47191 .49432 L
.47085 .49278 L
.4703 .49226 L
.46946 .49117 L
.4687 .49015 L
.46824 .48957 L
.46709 .48803 L
.46704 .48796 L
.46591 .48636 L
.46549 .4858 L
.46499 .48475 L
.46388 .48347 L
.46332 .48314 L
.46228 .48175 L
.46211 .48154 L
.46093 .47993 L
.46067 .47963 L
.45991 .47833 L
.45907 .47748 L
.45839 .47672 L
.45746 .47539 L
.45718 .47512 L
.45597 .47351 L
.45586 .47337 L
.45486 .47191 L
.45425 .47121 L
.45387 .4703 L
F
1 .47 0 r
.45425 .45375 m
.4547 .45425 L
.45586 .45549 L
.45615 .45586 L
.45586 .45708 L
.45498 .45586 L
.45425 .45487 L
.45388 .45425 L
F
.001 .77 1 r
.45425 .44746 m
.45491 .44783 L
.45586 .44851 L
.45681 .44943 L
.45746 .45006 L
.45836 .45104 L
.45907 .45156 L
.45978 .45265 L
.46067 .45361 L
.46144 .45425 L
.46228 .45564 L
.46247 .45586 L
.4637 .45746 L
.46388 .45769 L
.46493 .45907 L
.46549 .45981 L
.46613 .46067 L
.46709 .46186 L
.46733 .46228 L
.46827 .46388 L
.4687 .46472 L
.469 .46549 L
.4687 .46614 L
.46728 .46549 L
.46709 .46535 L
.46554 .46388 L
.46549 .46383 L
.46412 .46228 L
.46388 .46201 L
.4628 .46067 L
.46228 .46005 L
.46151 .45907 L
.46067 .45827 L
.45984 .45746 L
.45907 .45593 L
.45901 .45586 L
.45786 .45425 L
.45746 .45371 L
.45673 .45265 L
.45586 .4514 L
.45561 .45104 L
.45465 .44943 L
.45425 .44869 L
.45398 .44783 L
F
1 .46 0 r
.45425 .4539 m
.45458 .45425 L
.45586 .45558 L
.45607 .45586 L
.45586 .45697 L
.45508 .45586 L
.45425 .45472 L
.454 .45425 L
F
1 .97 .395 r
.45425 .44128 m
.4552 .44141 L
.45586 .44162 L
.45746 .44268 L
.45782 .44301 L
.45907 .44419 L
.45927 .44462 L
.46067 .44597 L
.46089 .44622 L
.46227 .44783 L
.46228 .44791 L
.46354 .44943 L
.46388 .45 L
.46467 .45104 L
.46549 .4522 L
.46567 .45265 L
.46709 .45392 L
.46735 .45425 L
.46861 .45586 L
.4687 .45601 L
.46977 .45746 L
.4703 .45815 L
.47081 .45907 L
.47191 .4603 L
.47231 .46067 L
.47351 .46228 L
.47351 .46228 L
.47474 .46388 L
.47512 .46399 L
.47578 .46549 L
.47672 .46663 L
.47678 .46709 L
.47786 .4687 L
.47672 .46935 L
.47512 .46933 L
.47389 .4687 L
.47351 .46841 L
.47235 .46709 L
.47191 .4661 L
.47068 .46549 L
.4703 .46437 L
.46968 .46388 L
.4687 .46243 L
.46854 .46228 L
.46729 .46067 L
.46709 .46058 L
.46606 .45907 L
.46549 .45848 L
.46462 .45746 L
.46388 .4563 L
.46357 .45586 L
.46236 .45425 L
.46228 .45414 L
.46116 .45265 L
.46067 .45201 L
.45958 .45104 L
.45907 .45014 L
.45864 .44943 L
.45752 .44783 L
.45746 .44775 L
.45637 .44622 L
.45586 .4455 L
.45524 .44462 L
.45425 .44308 L
.45419 .44301 L
.45401 .44141 L
F
0 .13 1 r
.45425 .50888 m
.45536 .51043 L
.45586 .51104 L
.45655 .51204 L
.45746 .51319 L
.45778 .51364 L
.45746 .5146 L
.45673 .51364 L
.45586 .51264 L
.4554 .51204 L
.45425 .51066 L
.45408 .51043 L
F
0 .12 1 r
.45425 .50894 m
.45531 .51043 L
.45586 .5111 L
.4565 .51204 L
.45746 .51325 L
.45773 .51364 L
.45746 .51453 L
.4568 .51364 L
.45586 .51258 L
.45545 .51204 L
.45425 .51061 L
.45412 .51043 L
F
1 .31 0 r
.45425 .51567 m
.4549 .51686 L
.45425 .51698 L
.45415 .51686 L
F
1 .45 0 r
.45425 .45411 m
.45439 .45425 L
.45586 .4557 L
.45598 .45586 L
.45586 .45683 L
.4552 .45586 L
.45425 .45448 L
.45416 .45425 L
F
0 .11 1 r
.45425 .50901 m
.45524 .51043 L
.45586 .51117 L
.45644 .51204 L
.45746 .51333 L
.45767 .51364 L
.45746 .51444 L
.45686 .51364 L
.45586 .51252 L
.4555 .51204 L
.45425 .51055 L
.45416 .51043 L
F
0 .1 1 r
.45425 .50908 m
.45518 .51043 L
.45586 .51125 L
.45638 .51204 L
.45746 .51341 L
.45761 .51364 L
.45746 .51434 L
.45694 .51364 L
.45586 .51244 L
.45556 .51204 L
.45425 .51049 L
.45421 .51043 L
F
.001 .76 1 r
.45425 .44778 m
.45456 .44783 L
.45586 .44863 L
.45671 .44943 L
.45746 .45015 L
.45828 .45104 L
.45907 .45163 L
.45972 .45265 L
.46067 .45368 L
.46137 .45425 L
.46228 .4557 L
.46242 .45586 L
.46366 .45746 L
.46388 .45775 L
.46488 .45907 L
.46549 .45987 L
.46608 .46067 L
.46709 .46198 L
.46725 .46228 L
.46819 .46388 L
.4687 .46493 L
.46888 .46549 L
.4687 .46592 L
.46743 .46549 L
.46709 .46526 L
.46562 .46388 L
.46549 .46376 L
.46417 .46228 L
.46388 .46195 L
.46284 .46067 L
.46228 .46 L
.46155 .45907 L
.46067 .45821 L
.4599 .45746 L
.45907 .45586 L
.45906 .45586 L
.45791 .45425 L
.45746 .45364 L
.45677 .45265 L
.45586 .45132 L
.45567 .45104 L
.45474 .44943 L
.45425 .44834 L
.45421 .44783 L
F
.033 .89 1 r
.45425 .41126 m
.45522 .41251 L
.45586 .41321 L
.45654 .41412 L
.45746 .41518 L
.45786 .41572 L
.45907 .41716 L
.45919 .41733 L
.46045 .41894 L
.46067 .4192 L
.46166 .42054 L
.46228 .42128 L
.4629 .42215 L
.46388 .42334 L
.46417 .42375 L
.46388 .42525 L
.46275 .42375 L
.46228 .42319 L
.46149 .42215 L
.46067 .42112 L
.46024 .42054 L
.45907 .41904 L
.45899 .41894 L
.45782 .41733 L
.45746 .41689 L
.45663 .41572 L
.45586 .41474 L
.45542 .41412 L
.45425 .41257 L
.45421 .41251 L
F
1 .28 0 r
.45425 .50242 m
.45556 .50401 L
.45586 .50434 L
.45688 .50562 L
.45746 .50628 L
.4582 .50722 L
.45907 .50825 L
.45952 .50883 L
.46067 .51024 L
.46082 .51043 L
.46209 .51204 L
.46228 .51226 L
.46333 .51364 L
.46388 .51431 L
.46459 .51525 L
.46549 .51636 L
.46586 .51686 L
.46709 .51836 L
.46713 .51846 L
.46833 .52007 L
.4687 .52052 L
.46955 .52167 L
.4703 .52262 L
.47078 .52328 L
.47191 .52472 L
.47202 .52488 L
.4732 .52649 L
.47351 .52688 L
.47437 .52809 L
.47512 .52906 L
.47556 .5297 L
.47672 .53123 L
.47677 .5313 L
.47784 .53291 L
.47833 .53356 L
.4789 .53451 L
.47993 .53599 L
.48 .53612 L
.47993 .53642 L
.47967 .53612 L
.47833 .53481 L
.47809 .53451 L
.47672 .53298 L
.47666 .53291 L
.47535 .5313 L
.47512 .53105 L
.47405 .5297 L
.47351 .52909 L
.47274 .52809 L
.47191 .52711 L
.47143 .52649 L
.4703 .52511 L
.47013 .52488 L
.46886 .52328 L
.4687 .52308 L
.46763 .52167 L
.46709 .52103 L
.46637 .52007 L
.46549 .51897 L
.46511 .51846 L
.46388 .51692 L
.46384 .51686 L
.46264 .51525 L
.46228 .51481 L
.46143 .51364 L
.46067 .51269 L
.4602 .51204 L
.45907 .51059 L
.45895 .51043 L
.45778 .50883 L
.45746 .50843 L
.45662 .50722 L
.45586 .50624 L
.45543 .50562 L
.45425 .50406 L
.45422 .50401 L
F
1 .3 0 r
.45425 .51578 m
.45477 .51686 L
.45425 .51688 L
.45423 .51686 L
F
.061 .91 1 r
.45586 .39965 m
.45587 .39967 L
.45734 .40128 L
.45746 .4014 L
.45875 .40288 L
.45907 .40322 L
.46014 .40449 L
.46067 .40509 L
.4615 .40609 L
.46228 .40676 L
.46285 .4077 L
.46388 .40888 L
.46438 .4093 L
.46549 .41088 L
.46551 .41091 L
.4668 .41251 L
.46709 .41287 L
.46809 .41412 L
.4687 .41472 L
.46996 .41572 L
.4703 .41683 L
.47078 .41733 L
.47191 .41888 L
.47195 .41894 L
.47321 .42054 L
.47351 .42072 L
.47448 .42215 L
.47512 .42286 L
.47601 .42375 L
.47672 .42497 L
.47705 .42536 L
.47827 .42696 L
.47833 .42704 L
.47951 .42857 L
.47993 .42895 L
.48129 .43017 L
.48154 .4311 L
.48214 .43178 L
.48314 .43321 L
.48327 .43338 L
.48451 .43499 L
.48475 .43509 L
.48575 .43659 L
.48636 .43725 L
.48726 .4382 L
.48796 .43941 L
.48828 .4398 L
.48948 .44141 L
.48957 .44151 L
.49071 .44301 L
.49117 .4434 L
.49244 .44462 L
.49278 .44561 L
.49331 .44622 L
.49438 .44776 L
.49443 .44783 L
.49565 .44943 L
.49599 .44953 L
.49688 .45104 L
.49759 .4518 L
.49836 .45265 L
.4992 .45401 L
.49939 .45425 L
.50058 .45586 L
.5008 .45614 L
.50179 .45746 L
.50241 .45798 L
.50348 .45907 L
.50401 .46027 L
.50435 .46067 L
.50548 .46228 L
.50562 .46245 L
.50669 .46388 L
.50722 .46457 L
.50791 .46549 L
.50883 .46653 L
.50932 .46709 L
.51037 .4687 L
.51043 .46878 L
.51155 .4703 L
.51204 .47092 L
.51276 .47191 L
.51364 .47279 L
.51429 .47351 L
.51521 .47512 L
.51525 .47517 L
.51638 .47672 L
.51686 .47734 L
.51757 .47833 L
.51846 .47949 L
.51878 .47993 L
.51999 .48154 L
.52007 .48164 L
.52113 .48314 L
.52167 .48385 L
.52229 .48475 L
.52328 .48606 L
.52348 .48636 L
.52462 .48796 L
.52488 .48831 L
.52571 .48957 L
.52649 .49064 L
.52682 .49117 L
.52788 .49278 L
.52809 .4931 L
.52863 .49438 L
.52809 .49442 L
.52805 .49438 L
.52649 .49288 L
.52639 .49278 L
.5249 .49117 L
.52488 .49115 L
.52347 .48957 L
.52328 .48935 L
.52207 .48796 L
.52167 .4875 L
.52069 .48636 L
.52007 .48582 L
.51933 .48475 L
.51846 .48372 L
.51781 .48314 L
.51686 .48174 L
.51668 .48154 L
.51537 .47993 L
.51525 .4798 L
.51405 .47833 L
.51364 .47789 L
.5123 .47672 L
.51204 .47583 L
.51142 .47512 L
.51043 .4738 L
.51024 .47351 L
.50889 .47191 L
.50883 .47186 L
.50761 .4703 L
.50722 .46984 L
.5062 .4687 L
.50562 .46776 L
.50512 .46709 L
.50401 .4657 L
.50392 .46549 L
.50254 .46388 L
.50241 .46374 L
.50101 .46228 L
.5008 .46167 L
.50001 .46067 L
.4992 .45957 L
.49888 .45907 L
.49759 .45753 L
.49752 .45746 L
.49627 .45586 L
.49599 .45552 L
.49491 .45425 L
.49438 .45341 L
.49383 .45265 L
.49278 .45131 L
.49267 .45104 L
.49129 .44943 L
.49117 .44932 L
.48981 .44783 L
.48957 .44722 L
.48879 .44622 L
.48796 .44509 L
.48768 .44462 L
.48636 .44303 L
.48634 .44301 L
.48511 .44141 L
.48475 .441 L
.48375 .4398 L
.48314 .43885 L
.48269 .4382 L
.48154 .43674 L
.48149 .43659 L
.4802 .43499 L
.47993 .43476 L
.47869 .43338 L
.47833 .43259 L
.47771 .43178 L
.47672 .43044 L
.47657 .43017 L
.47531 .42857 L
.47512 .42851 L
.47409 .42696 L
.47351 .42632 L
.47273 .42536 L
.47191 .4241 L
.47167 .42375 L
.47045 .42215 L
.4703 .42195 L
.46925 .42054 L
.4687 .42004 L
.46774 .41894 L
.46709 .41772 L
.4668 .41733 L
.46565 .41572 L
.46549 .4155 L
.46447 .41412 L
.46388 .41333 L
.46329 .41251 L
.46228 .41123 L
.46203 .41091 L
.46095 .4093 L
.46067 .40893 L
.4598 .4077 L
.45907 .40669 L
.45865 .40609 L
.4575 .40449 L
.45746 .40443 L
.45644 .40288 L
.45586 .40205 L
.45537 .40128 L
.45433 .39967 L
F
1 .95 .212 r
.45586 .3931 m
.45601 .39325 L
.45746 .39467 L
.45759 .39486 L
.45907 .39645 L
.45908 .39646 L
.4605 .39807 L
.46067 .39825 L
.46189 .39967 L
.46228 .39992 L
.46327 .40128 L
.46388 .40195 L
.46508 .40288 L
.46549 .40394 L
.46602 .40449 L
.46709 .40591 L
.46724 .40609 L
.46858 .4077 L
.4687 .40781 L
.46988 .4093 L
.4703 .40982 L
.47134 .41091 L
.47191 .41187 L
.47243 .41251 L
.47351 .41391 L
.47363 .41412 L
.475 .41572 L
.47512 .41586 L
.47654 .41733 L
.47672 .41792 L
.47758 .41894 L
.47833 .42001 L
.4787 .42054 L
.47993 .42205 L
.48005 .42215 L
.4813 .42375 L
.48154 .42404 L
.48269 .42536 L
.48314 .42614 L
.48378 .42696 L
.48475 .42824 L
.48491 .42857 L
.4863 .43017 L
.48636 .43023 L
.48778 .43178 L
.48796 .43231 L
.48884 .43338 L
.48957 .43443 L
.48994 .43499 L
.49117 .4365 L
.49127 .43659 L
.4925 .4382 L
.49278 .43851 L
.49389 .4398 L
.49438 .44063 L
.49497 .44141 L
.49599 .44274 L
.49611 .44301 L
.49746 .44462 L
.49759 .44475 L
.49896 .44622 L
.4992 .44685 L
.5 .44783 L
.5008 .44897 L
.5011 .44943 L
.5024 .45104 L
.50241 .45104 L
.50363 .45265 L
.50401 .45307 L
.50503 .45425 L
.50562 .45521 L
.5061 .45586 L
.50722 .45732 L
.50728 .45746 L
.50856 .45907 L
.50883 .4593 L
.51011 .46067 L
.51043 .46144 L
.51111 .46228 L
.51204 .46358 L
.51223 .46388 L
.5135 .46549 L
.51364 .46555 L
.51472 .46709 L
.51525 .46766 L
.51613 .4687 L
.51686 .46983 L
.5172 .4703 L
.51842 .47191 L
.51846 .47195 L
.51964 .47351 L
.52007 .47387 L
.5212 .47512 L
.52167 .47607 L
.52218 .47672 L
.52328 .47824 L
.52333 .47833 L
.52455 .47993 L
.52488 .48005 L
.52577 .48154 L
.52649 .4823 L
.52719 .48314 L
.52809 .48452 L
.52826 .48475 L
.52946 .48636 L
.5297 .48665 L
.53067 .48796 L
.5313 .4885 L
.53222 .48957 L
.53291 .49079 L
.5332 .49117 L
.53436 .49278 L
.53451 .49297 L
.53556 .49438 L
.53612 .4951 L
.53678 .49599 L
.53772 .49707 L
.53814 .49759 L
.53924 .4992 L
.53933 .49931 L
.54042 .5008 L
.54093 .50146 L
.54163 .50241 L
.54254 .50335 L
.54308 .50401 L
.54408 .50562 L
.54414 .5057 L
.54525 .50722 L
.54575 .50787 L
.54644 .50883 L
.54735 .51003 L
.54765 .51043 L
.54884 .51204 L
.54896 .51219 L
.54998 .51364 L
.55057 .51441 L
.55114 .51525 L
.55217 .51664 L
.55232 .51686 L
.55343 .51846 L
.55378 .51894 L
.55448 .52007 L
.55538 .52138 L
.55554 .52167 L
.55538 .52297 L
.55402 .52167 L
.55378 .52144 L
.55245 .52007 L
.55217 .51978 L
.55095 .51846 L
.55057 .51805 L
.54948 .51686 L
.54896 .51641 L
.54805 .51525 L
.54735 .51443 L
.54643 .51364 L
.54575 .51249 L
.54537 .51204 L
.54414 .51056 L
.54413 .51043 L
.54257 .50883 L
.54254 .5088 L
.54123 .50722 L
.54093 .50683 L
.53988 .50562 L
.53933 .5048 L
.53875 .50401 L
.53772 .50274 L
.53761 .50241 L
.53612 .50092 L
.53602 .5008 L
.53465 .4992 L
.53451 .49888 L
.53351 .49759 L
.53291 .49678 L
.53241 .49599 L
.5313 .49466 L
.53091 .49438 L
.5297 .49281 L
.52967 .49278 L
.52839 .49117 L
.52809 .49071 L
.52728 .48957 L
.52649 .48857 L
.52625 .48796 L
.52488 .48645 L
.52464 .48636 L
.52336 .48475 L
.52328 .48458 L
.5222 .48314 L
.52167 .48244 L
.52114 .48154 L
.52007 .48028 L
.51964 .47993 L
.51846 .47838 L
.51842 .47833 L
.51716 .47672 L
.51686 .47627 L
.51606 .47512 L
.51525 .47411 L
.51506 .47351 L
.51364 .472 L
.51345 .47191 L
.51217 .4703 L
.51204 .47006 L
.51102 .4687 L
.51043 .46792 L
.50997 .46709 L
.50883 .46578 L
.50849 .46549 L
.50723 .46388 L
.50722 .46382 L
.50601 .46228 L
.50562 .46171 L
.50492 .46067 L
.50401 .45956 L
.5039 .45907 L
.50241 .45751 L
.50233 .45746 L
.50101 .45586 L
.5008 .45547 L
.4999 .45425 L
.4992 .45334 L
.49883 .45265 L
.49759 .45122 L
.4974 .45104 L
.49603 .44943 L
.49599 .44922 L
.49489 .44783 L
.49438 .44709 L
.49381 .44622 L
.49278 .44496 L
.49272 .44462 L
.49125 .44301 L
.49117 .44294 L
.48989 .44141 L
.48957 .44084 L
.48881 .4398 L
.48796 .4387 L
.48771 .4382 L
.48636 .43661 L
.48634 .43659 L
.48485 .43499 L
.48475 .43458 L
.48382 .43338 L
.48314 .43243 L
.48273 .43178 L
.48154 .4303 L
.48153 .43017 L
.48022 .42857 L
.47993 .42832 L
.47881 .42696 L
.47833 .42615 L
.47777 .42536 L
.47672 .42398 L
.47662 .42375 L
.47534 .42215 L
.47512 .42206 L
.47375 .42054 L
.47351 .41986 L
.47281 .41894 L
.47191 .41764 L
.47172 .41733 L
.47049 .41572 L
.4703 .41547 L
.4693 .41412 L
.4687 .41357 L
.46787 .41251 L
.46709 .41125 L
.46686 .41091 L
.4657 .4093 L
.46549 .40903 L
.46452 .4077 L
.46388 .40685 L
.46294 .40609 L
.46228 .40474 L
.4621 .40449 L
.461 .40288 L
.46067 .40245 L
.45986 .40128 L
.45907 .40019 L
.45871 .39967 L
.45758 .39807 L
.45746 .3979 L
.45653 .39646 L
.45586 .39547 L
.45548 .39486 L
.45454 .39325 L
F
.733 .99 1 r
.45586 .38639 m
.45632 .38683 L
.45746 .38781 L
.45794 .38844 L
.45907 .38962 L
.45977 .39004 L
.46067 .39142 L
.46093 .39165 L
.46228 .39322 L
.46231 .39325 L
.46371 .39486 L
.46388 .39505 L
.46507 .39646 L
.46549 .39699 L
.4665 .39807 L
.46709 .39899 L
.46765 .39967 L
.4687 .40102 L
.46882 .40128 L
.4703 .40283 L
.47035 .40288 L
.47175 .40449 L
.47191 .40486 L
.4729 .40609 L
.47351 .40697 L
.474 .4077 L
.47512 .40911 L
.47549 .4093 L
.47672 .41089 L
.47674 .41091 L
.47803 .41251 L
.47833 .413 L
.47915 .41412 L
.47993 .41518 L
.48017 .41572 L
.48154 .41704 L
.48177 .41733 L
.48306 .41894 L
.48314 .41913 L
.48423 .42054 L
.48475 .42129 L
.48529 .42215 L
.48636 .42349 L
.48676 .42375 L
.48796 .42533 L
.48799 .42536 L
.48926 .42696 L
.48957 .42745 L
.49036 .42857 L
.49117 .42964 L
.49137 .43017 L
.49278 .43156 L
.49295 .43178 L
.49425 .43338 L
.49438 .43366 L
.49539 .43499 L
.49599 .43582 L
.49646 .43659 L
.49759 .43798 L
.4979 .4382 L
.49919 .4398 L
.4992 .4399 L
.5004 .44141 L
.5008 .44203 L
.5015 .44301 L
.50241 .44418 L
.50254 .44462 L
.50401 .44621 L
.50406 .44622 L
.50541 .44783 L
.50562 .44826 L
.50652 .44943 L
.50722 .4504 L
.50759 .45104 L
.50883 .45251 L
.509 .45265 L
.5104 .45425 L
.51043 .45451 L
.51153 .45586 L
.51204 .45663 L
.51262 .45746 L
.51364 .45876 L
.51371 .45907 L
.51516 .46067 L
.51525 .46077 L
.51655 .46228 L
.51686 .46287 L
.51763 .46388 L
.51846 .465 L
.51873 .46549 L
.52007 .46707 L
.52009 .46709 L
.52159 .4687 L
.52167 .46911 L
.52265 .4703 L
.52328 .47124 L
.52373 .47191 L
.52488 .47336 L
.52491 .47351 L
.52624 .47512 L
.52649 .47536 L
.52768 .47672 L
.52809 .47748 L
.52874 .47833 L
.5297 .47962 L
.52987 .47993 L
.53117 .48154 L
.5313 .48162 L
.53276 .48314 L
.53291 .48371 L
.53375 .48475 L
.53451 .48587 L
.53484 .48636 L
.5361 .48796 L
.53612 .48798 L
.53732 .48957 L
.53772 .48994 L
.53879 .49117 L
.53933 .49211 L
.53983 .49278 L
.54093 .49426 L
.541 .49438 L
.54224 .49599 L
.54254 .49614 L
.54388 .49759 L
.54414 .49833 L
.54483 .4992 L
.54575 .50052 L
.54594 .5008 L
.54717 .50241 L
.54735 .50264 L
.54839 .50401 L
.54896 .50453 L
.54986 .50562 L
.55057 .50676 L
.5509 .50722 L
.5521 .50883 L
.55217 .50892 L
.5533 .51043 L
.55378 .51069 L
.55496 .51204 L
.55538 .51299 L
.55589 .51364 L
.55699 .51521 L
.55701 .51525 L
.55822 .51686 L
.55859 .51733 L
.55944 .51846 L
.5602 .51919 L
.56089 .52007 L
.5618 .52148 L
.56194 .52167 L
.56313 .52328 L
.56341 .52363 L
.56433 .52488 L
.56501 .52575 L
.56595 .52649 L
.56662 .52775 L
.56687 .52809 L
.56802 .5297 L
.56822 .52996 L
.56921 .5313 L
.56983 .53209 L
.57043 .53291 L
.57143 .53405 L
.57178 .53451 L
.57287 .53612 L
.57304 .53633 L
.57405 .53772 L
.57464 .53849 L
.57524 .53933 L
.57625 .54047 L
.5766 .54093 L
.57765 .54254 L
.57785 .54281 L
.5788 .54414 L
.57946 .54501 L
.57997 .54575 L
.58106 .54714 L
.58122 .54735 L
.58229 .54896 L
.58267 .54947 L
.58341 .55057 L
.58428 .55178 L
.58453 .55217 L
.58562 .55378 L
.58588 .55417 L
.5866 .55538 L
.58745 .55699 L
.58588 .55735 L
.58549 .55699 L
.58428 .55612 L
.5836 .55538 L
.58267 .55449 L
.58208 .55378 L
.58106 .55264 L
.58054 .55217 L
.57946 .55067 L
.57936 .55057 L
.57811 .54896 L
.57785 .54865 L
.57661 .54735 L
.57625 .54656 L
.57557 .54575 L
.57464 .54445 L
.5744 .54414 L
.57305 .54254 L
.57304 .54234 L
.5719 .54093 L
.57143 .54025 L
.57074 .53933 L
.56983 .53815 L
.56956 .53772 L
.56824 .53612 L
.56822 .53607 L
.56703 .53451 L
.56662 .53395 L
.56594 .53291 L
.56501 .53179 L
.56446 .5313 L
.56341 .52992 L
.56322 .5297 L
.56199 .52809 L
.5618 .52782 L
.5609 .52649 L
.5602 .52559 L
.55941 .52488 L
.55859 .5238 L
.55817 .52328 L
.55699 .52173 L
.55694 .52167 L
.55576 .52007 L
.55538 .51956 L
.55478 .51846 L
.55378 .51764 L
.55315 .51686 L
.55217 .51556 L
.55192 .51525 L
.5507 .51364 L
.55057 .51345 L
.54961 .51204 L
.54896 .51121 L
.54817 .51043 L
.54735 .50935 L
.54694 .50883 L
.54575 .50726 L
.54572 .50722 L
.54455 .50562 L
.54414 .50508 L
.54355 .50401 L
.54254 .50281 L
.54198 .50241 L
.54093 .50102 L
.54076 .5008 L
.53955 .4992 L
.53933 .49889 L
.53847 .49759 L
.53772 .49667 L
.53704 .49599 L
.53612 .49477 L
.53581 .49438 L
.53459 .49278 L
.53451 .49266 L
.53344 .49117 L
.53291 .49049 L
.53244 .48957 L
.5313 .48827 L
.53087 .48796 L
.5297 .4864 L
.52966 .48636 L
.52844 .48475 L
.52809 .48427 L
.52736 .48314 L
.52649 .48209 L
.52594 .48154 L
.52488 .47997 L
.52472 .47993 L
.52346 .47833 L
.52328 .47803 L
.52234 .47672 L
.52167 .47588 L
.52132 .47512 L
.52007 .47373 L
.51979 .47351 L
.51851 .47191 L
.51846 .47177 L
.51733 .4703 L
.51686 .46965 L
.51626 .4687 L
.51525 .4675 L
.51486 .46709 L
.51364 .46549 L
.51364 .46549 L
.51234 .46388 L
.51204 .46341 L
.51124 .46228 L
.51043 .46127 L
.51019 .46067 L
.50883 .45917 L
.50871 .45907 L
.50735 .45746 L
.50722 .45715 L
.50623 .45586 L
.50562 .45503 L
.50515 .45425 L
.50401 .4529 L
.50378 .45265 L
.50256 .45104 L
.50241 .45089 L
.50122 .44943 L
.5008 .44878 L
.50014 .44783 L
.4992 .44665 L
.49905 .44622 L
.49763 .44462 L
.49759 .44459 L
.49621 .44301 L
.49599 .44254 L
.49513 .44141 L
.49438 .44039 L
.49404 .4398 L
.49278 .43828 L
.49271 .4382 L
.49149 .43659 L
.49117 .4363 L
.49012 .43499 L
.48957 .43415 L
.48904 .43338 L
.48796 .432 L
.48789 .43178 L
.48657 .43017 L
.48636 .43005 L
.48508 .42857 L
.48475 .42791 L
.48405 .42696 L
.48314 .42573 L
.48294 .42536 L
.48166 .42375 L
.48154 .4236 L
.48044 .42215 L
.47993 .42168 L
.47905 .42054 L
.47833 .41946 L
.47798 .41894 L
.47675 .41733 L
.47672 .41729 L
.47555 .41572 L
.47512 .41549 L
.47402 .41412 L
.47351 .41319 L
.47303 .41251 L
.47191 .41096 L
.47188 .41091 L
.47068 .4093 L
.4703 .40882 L
.46892 .4077 L
.4687 .40691 L
.4681 .40609 L
.46709 .40459 L
.46703 .40449 L
.46585 .40288 L
.46549 .40241 L
.46466 .40128 L
.46388 .40062 L
.46321 .39967 L
.46228 .39811 L
.46225 .39807 L
.46111 .39646 L
.46067 .39587 L
.45996 .39486 L
.45907 .39364 L
.4585 .39325 L
.45767 .39165 L
.45746 .39136 L
.45661 .39004 L
.45586 .38894 L
.45555 .38844 L
.45461 .38683 L
F
1 .96 .289 r
.45586 .44215 m
.45729 .44301 L
.45746 .44311 L
.45907 .44455 L
.4591 .44462 L
.46065 .44622 L
.46067 .44625 L
.46227 .44783 L
.46228 .44815 L
.46341 .44943 L
.46388 .45019 L
.46456 .45104 L
.46549 .45233 L
.46561 .45265 L
.46709 .45405 L
.46725 .45425 L
.46855 .45586 L
.4687 .45613 L
.46969 .45746 L
.4703 .45826 L
.47074 .45907 L
.47191 .46038 L
.47223 .46067 L
.4735 .46228 L
.47351 .46229 L
.47466 .46388 L
.47512 .46406 L
.47568 .46549 L
.47672 .46685 L
.47674 .46709 L
.47748 .4687 L
.47672 .46913 L
.47512 .46912 L
.4742 .4687 L
.47351 .46822 L
.47246 .46709 L
.47191 .46595 L
.47075 .46549 L
.4703 .4643 L
.46974 .46388 L
.4687 .46239 L
.46858 .46228 L
.46734 .46067 L
.46709 .46055 L
.46611 .45907 L
.46549 .45842 L
.46467 .45746 L
.46388 .45623 L
.46361 .45586 L
.46242 .45425 L
.46228 .45407 L
.46122 .45265 L
.46067 .45193 L
.45965 .45104 L
.45907 .45 L
.45873 .44943 L
.45763 .44783 L
.45746 .4476 L
.45651 .44622 L
.45586 .44527 L
.45544 .44462 L
.45461 .44301 L
F
1 .88 .024 r
.45586 .49117 m
.45586 .49117 L
.45741 .49278 L
.45746 .49283 L
.45887 .49438 L
.45907 .49459 L
.46029 .49599 L
.46067 .49641 L
.46169 .49759 L
.46228 .498 L
.46307 .4992 L
.46388 .50013 L
.46472 .5008 L
.46549 .50211 L
.46576 .50241 L
.46707 .50401 L
.46709 .50404 L
.46839 .50562 L
.4687 .50592 L
.46971 .50722 L
.4703 .50797 L
.47109 .50883 L
.47191 .51 L
.47223 .51043 L
.47351 .51198 L
.47353 .51204 L
.47486 .51364 L
.47512 .51394 L
.47635 .51525 L
.47672 .51601 L
.47739 .51686 L
.47833 .51808 L
.47855 .51846 L
.47993 .52006 L
.47994 .52007 L
.48121 .52167 L
.48154 .52209 L
.48253 .52328 L
.48314 .52418 L
.48363 .52488 L
.48475 .52626 L
.4848 .52649 L
.48622 .52809 L
.48636 .52824 L
.48763 .5297 L
.48796 .53033 L
.4887 .5313 L
.48957 .53244 L
.48982 .53291 L
.49117 .53448 L
.49121 .53451 L
.49274 .53612 L
.49278 .53651 L
.49375 .53772 L
.49438 .53864 L
.49485 .53933 L
.49599 .54074 L
.49602 .54093 L
.4974 .54254 L
.49759 .54274 L
.49881 .54414 L
.4992 .54485 L
.49986 .54575 L
.5008 .54698 L
.50099 .54735 L
.50234 .54896 L
.50241 .54901 L
.50391 .55057 L
.50401 .55109 L
.50487 .55217 L
.50562 .55324 L
.50597 .55378 L
.50722 .55535 L
.50723 .55538 L
.50847 .55699 L
.50883 .55734 L
.5099 .55859 L
.51043 .55952 L
.51093 .5602 L
.51204 .56167 L
.5121 .5618 L
.51335 .56341 L
.51364 .56358 L
.515 .56501 L
.51525 .56581 L
.51588 .56662 L
.51686 .56802 L
.51698 .56822 L
.51819 .56983 L
.51846 .57018 L
.5194 .57143 L
.52007 .57212 L
.52081 .57304 L
.52167 .57443 L
.52182 .57464 L
.52299 .57625 L
.52328 .57663 L
.52417 .57785 L
.52488 .57844 L
.52574 .57946 L
.52649 .58096 L
.52656 .58106 L
.52768 .58267 L
.52809 .58322 L
.52883 .58428 L
.5297 .58547 L
.52998 .58588 L
.5311 .58749 L
.5313 .58777 L
.53216 .58909 L
.53291 .59019 L
.53322 .5907 L
.53416 .5923 L
.53291 .59231 L
.5329 .5923 L
.53136 .5907 L
.5313 .59064 L
.52992 .58909 L
.5297 .58886 L
.52852 .58749 L
.52809 .58702 L
.52713 .58588 L
.52649 .58546 L
.52577 .58428 L
.52488 .5833 L
.52406 .58267 L
.52328 .58129 L
.52306 .58106 L
.52179 .57946 L
.52167 .57932 L
.52049 .57785 L
.52007 .57748 L
.5192 .57625 L
.51846 .57538 L
.51773 .57464 L
.51686 .57333 L
.51661 .57304 L
.51535 .57143 L
.51525 .5714 L
.51408 .56983 L
.51364 .56937 L
.51244 .56822 L
.51204 .56727 L
.51148 .56662 L
.51043 .56519 L
.51031 .56501 L
.50903 .56341 L
.50883 .56325 L
.50778 .5618 L
.50722 .56116 L
.50635 .5602 L
.50562 .55904 L
.50527 .55859 L
.50402 .55699 L
.50401 .55697 L
.50279 .55538 L
.50241 .55501 L
.50119 .55378 L
.5008 .55287 L
.50022 .55217 L
.4992 .55076 L
.49907 .55057 L
.49782 .54896 L
.49759 .54882 L
.49658 .54735 L
.49599 .54668 L
.49516 .54575 L
.49438 .54453 L
.49409 .54414 L
.49286 .54254 L
.49278 .54243 L
.49164 .54093 L
.49117 .5405 L
.49005 .53933 L
.48957 .53831 L
.48909 .53772 L
.48796 .53617 L
.48793 .53612 L
.48671 .53451 L
.48636 .53432 L
.48548 .53291 L
.48475 .53209 L
.48407 .5313 L
.48314 .5299 L
.483 .5297 L
.48179 .52809 L
.48154 .52777 L
.48058 .52649 L
.47993 .52588 L
.47902 .52488 L
.47833 .52362 L
.47806 .52328 L
.4769 .52167 L
.47672 .52145 L
.47569 .52007 L
.47512 .51973 L
.47447 .51846 L
.47351 .51733 L
.47312 .51686 L
.47202 .51525 L
.47191 .5151 L
.47083 .51364 L
.4703 .51296 L
.46963 .51204 L
.4687 .51103 L
.46819 .51043 L
.46719 .50883 L
.46709 .5087 L
.46602 .50722 L
.46549 .50653 L
.46483 .50562 L
.46388 .50438 L
.46362 .50401 L
.46243 .50241 L
.46228 .5022 L
.46129 .5008 L
.46067 .49998 L
.46013 .4992 L
.45907 .49777 L
.45895 .49759 L
.45784 .49599 L
.45746 .49547 L
.45676 .49438 L
.45586 .49309 L
.45567 .49278 L
.45473 .49117 L
F
.733 .99 1 r
.45586 .47011 m
.45746 .47016 L
.4579 .4703 L
.45907 .47103 L
.4602 .47191 L
.46067 .47293 L
.46122 .47351 L
.46228 .47498 L
.46238 .47512 L
.46361 .47672 L
.46388 .47696 L
.46484 .47833 L
.46549 .47906 L
.46631 .47993 L
.46709 .4812 L
.46736 .48154 L
.46856 .48314 L
.4687 .48332 L
.46977 .48475 L
.4703 .48504 L
.47139 .48636 L
.47191 .48737 L
.47234 .48796 L
.47347 .48957 L
.47351 .48962 L
.47467 .49117 L
.47512 .49176 L
.47587 .49278 L
.47672 .49391 L
.47724 .49438 L
.47825 .49599 L
.47833 .4961 L
.47926 .49759 L
.47901 .4992 L
.47833 .49925 L
.47785 .4992 L
.47672 .49887 L
.47515 .49759 L
.47512 .49755 L
.47358 .49599 L
.47351 .49577 L
.47231 .49438 L
.47191 .4937 L
.47115 .49278 L
.4703 .49195 L
.46968 .49117 L
.4687 .4899 L
.46843 .48957 L
.4672 .48796 L
.46709 .4878 L
.46607 .48636 L
.46549 .48559 L
.46513 .48475 L
.46388 .48334 L
.46344 .48314 L
.46228 .48159 L
.46224 .48154 L
.46106 .47993 L
.46067 .47947 L
.46005 .47833 L
.45907 .47732 L
.45854 .47672 L
.45746 .47523 L
.45735 .47512 L
.45618 .47351 L
.45586 .47304 L
.45522 .47191 L
.4548 .4703 L
F
0 .75 1 r
.45586 .44875 m
.4566 .44943 L
.45746 .45024 L
.45821 .45104 L
.45907 .4517 L
.45966 .45265 L
.46067 .45375 L
.4613 .45425 L
.46228 .45576 L
.46236 .45586 L
.46361 .45746 L
.46388 .45781 L
.46484 .45907 L
.46549 .45993 L
.46603 .46067 L
.46709 .46212 L
.46718 .46228 L
.46811 .46388 L
.4687 .46529 L
.46873 .46549 L
.4687 .4656 L
.46762 .46549 L
.46709 .46516 L
.46569 .46388 L
.46549 .46369 L
.46423 .46228 L
.46388 .46189 L
.46289 .46067 L
.46228 .45994 L
.46159 .45907 L
.46067 .45815 L
.45997 .45746 L
.45911 .45586 L
.45907 .4558 L
.45796 .45425 L
.45746 .45357 L
.45683 .45265 L
.45586 .45123 L
.45573 .45104 L
.45485 .44943 L
F
0 .74 1 r
.45586 .44888 m
.45648 .44943 L
.45746 .45033 L
.45813 .45104 L
.45907 .45178 L
.4596 .45265 L
.46067 .45382 L
.46122 .45425 L
.46228 .45583 L
.4623 .45586 L
.46356 .45746 L
.46388 .45787 L
.46479 .45907 L
.46549 .46 L
.46598 .46067 L
.46709 .46227 L
.46709 .46228 L
.46803 .46388 L
.46709 .46506 L
.46577 .46388 L
.46549 .46361 L
.46429 .46228 L
.46388 .46183 L
.46293 .46067 L
.46228 .45989 L
.46163 .45907 L
.46067 .45808 L
.46004 .45746 L
.45915 .45586 L
.45907 .45574 L
.45801 .45425 L
.45746 .4535 L
.45688 .45265 L
.45586 .45114 L
.45579 .45104 L
.45497 .44943 L
F
1 .93 .114 r
.45586 .47522 m
.45732 .47672 L
.45746 .47688 L
.45867 .47833 L
.45907 .4788 L
.45994 .47993 L
.46067 .48084 L
.46119 .48154 L
.46228 .48295 L
.46242 .48314 L
.46355 .48475 L
.46388 .48521 L
.4646 .48636 L
.46549 .48775 L
.4656 .48796 L
.46549 .48904 L
.46416 .48796 L
.46388 .48772 L
.46258 .48636 L
.46228 .48604 L
.46115 .48475 L
.46067 .4842 L
.45979 .48314 L
.45907 .48272 L
.4585 .48154 L
.45746 .48024 L
.45719 .47993 L
.45613 .47833 L
.45586 .47792 L
.45507 .47672 L
F
0 .73 1 r
.45586 .44902 m
.45635 .44943 L
.45746 .45042 L
.45805 .45104 L
.45907 .45186 L
.45954 .45265 L
.46067 .45389 L
.46113 .45425 L
.46225 .45586 L
.46228 .45589 L
.46351 .45746 L
.46388 .45793 L
.46474 .45907 L
.46549 .46007 L
.46593 .46067 L
.46703 .46228 L
.46709 .46238 L
.46795 .46388 L
.46709 .46496 L
.46585 .46388 L
.46549 .46354 L
.46434 .46228 L
.46388 .46177 L
.46298 .46067 L
.46228 .45984 L
.46168 .45907 L
.46067 .458 L
.46012 .45746 L
.4592 .45586 L
.45907 .45568 L
.45805 .45425 L
.45746 .45343 L
.45693 .45265 L
.45586 .45104 L
.45586 .45104 L
.45511 .44943 L
F
1 .95 .212 r
.45586 .4427 m
.4566 .44301 L
.45746 .44339 L
.4588 .44462 L
.45907 .44486 L
.46043 .44622 L
.46067 .44652 L
.46226 .44783 L
.46228 .44837 L
.46329 .44943 L
.46388 .45036 L
.46445 .45104 L
.46549 .45243 L
.46557 .45265 L
.46709 .45417 L
.46716 .45425 L
.4685 .45586 L
.4687 .45623 L
.46962 .45746 L
.4703 .45836 L
.47068 .45907 L
.47191 .46046 L
.47215 .46067 L
.47348 .46228 L
.47351 .4623 L
.47458 .46388 L
.47512 .46416 L
.47559 .46549 L
.47672 .46709 L
.47672 .4671 L
.47706 .4687 L
.47672 .46889 L
.47512 .46892 L
.47455 .4687 L
.47351 .46805 L
.47258 .46709 L
.47191 .46582 L
.47082 .46549 L
.4703 .46424 L
.46981 .46388 L
.4687 .46234 L
.46863 .46228 L
.46739 .46067 L
.46709 .46052 L
.46616 .45907 L
.46549 .45836 L
.46472 .45746 L
.46388 .45616 L
.46366 .45586 L
.46247 .45425 L
.46228 .454 L
.46128 .45265 L
.46067 .45185 L
.45972 .45104 L
.45907 .44985 L
.45882 .44943 L
.45774 .44783 L
.45746 .44744 L
.45665 .44622 L
.45586 .44498 L
.45564 .44462 L
.45519 .44301 L
F
0 .72 1 r
.45586 .44917 m
.45619 .44943 L
.45746 .45051 L
.45797 .45104 L
.45907 .45196 L
.45948 .45265 L
.46067 .45397 L
.46104 .45425 L
.46219 .45586 L
.46228 .45595 L
.46346 .45746 L
.46388 .458 L
.46469 .45907 L
.46549 .46014 L
.46587 .46067 L
.46696 .46228 L
.46709 .46248 L
.46786 .46388 L
.46709 .46485 L
.46594 .46388 L
.46549 .46346 L
.4644 .46228 L
.46388 .46171 L
.46303 .46067 L
.46228 .45978 L
.46172 .45907 L
.46067 .45792 L
.4602 .45746 L
.45925 .45586 L
.45907 .45562 L
.4581 .45425 L
.45746 .45336 L
.45699 .45265 L
.45594 .45104 L
.45586 .4509 L
.45527 .44943 L
F
1 .44 0 r
.45586 .45583 m
.45588 .45586 L
.45586 .45666 L
.45537 .45586 L
F
1 .86 .013 r
.45586 .40646 m
.4569 .4077 L
.45746 .40829 L
.45829 .4093 L
.45907 .41017 L
.45965 .41091 L
.46067 .41209 L
.461 .41251 L
.46228 .414 L
.46234 .41412 L
.46362 .41572 L
.46388 .41603 L
.4649 .41733 L
.46549 .41803 L
.46619 .41894 L
.46709 .42004 L
.46748 .42054 L
.4687 .42202 L
.46884 .42215 L
.47002 .42375 L
.4703 .4241 L
.47126 .42536 L
.47191 .42615 L
.47253 .42696 L
.47351 .42799 L
.4738 .42857 L
.47506 .43017 L
.47512 .43025 L
.47627 .43178 L
.47672 .43233 L
.47751 .43338 L
.47833 .43441 L
.47876 .43499 L
.47993 .43643 L
.48009 .43659 L
.48123 .4382 L
.48154 .43858 L
.48244 .4398 L
.48314 .44069 L
.48367 .44141 L
.48475 .44262 L
.48492 .44301 L
.48613 .44462 L
.48636 .4449 L
.48732 .44622 L
.48796 .44704 L
.48853 .44783 L
.48957 .44916 L
.48976 .44943 L
.49096 .45104 L
.49117 .45131 L
.49212 .45265 L
.49278 .4535 L
.4933 .45425 L
.49438 .45567 L
.49451 .45586 L
.49565 .45746 L
.49599 .4579 L
.49676 .45907 L
.49759 .46019 L
.4979 .46067 L
.49759 .46197 L
.49646 .46067 L
.49599 .46017 L
.49505 .45907 L
.49438 .45831 L
.49367 .45746 L
.49278 .45641 L
.49232 .45586 L
.49117 .45456 L
.49098 .45425 L
.48968 .45265 L
.48957 .45251 L
.48838 .45104 L
.48796 .45054 L
.48707 .44943 L
.48636 .44897 L
.48578 .44783 L
.48475 .4466 L
.48434 .44622 L
.48323 .44462 L
.48314 .44452 L
.48196 .44301 L
.48154 .44249 L
.48069 .44141 L
.47993 .44065 L
.47887 .4398 L
.47833 .43842 L
.47813 .4382 L
.47693 .43659 L
.47672 .43633 L
.47569 .43499 L
.47512 .43475 L
.47444 .43338 L
.47351 .43227 L
.47303 .43178 L
.47197 .43017 L
.47191 .43009 L
.47075 .42857 L
.4703 .42799 L
.46952 .42696 L
.4687 .42612 L
.46787 .42536 L
.46709 .42377 L
.46707 .42375 L
.46588 .42215 L
.46549 .42163 L
.46468 .42054 L
.46388 .41949 L
.46347 .41894 L
.46228 .41734 L
.46227 .41733 L
.46111 .41572 L
.46067 .41514 L
.45994 .41412 L
.45907 .41294 L
.45876 .41251 L
.45762 .41091 L
.45746 .4107 L
.45652 .4093 L
.45586 .40838 L
.45541 .4077 L
F
1 .27 0 r
.45586 .50441 m
.45682 .50562 L
.45746 .50634 L
.45815 .50722 L
.45907 .5083 L
.45948 .50883 L
.46067 .51029 L
.46079 .51043 L
.46204 .51204 L
.46228 .51231 L
.46329 .51364 L
.46388 .51436 L
.46456 .51525 L
.46549 .5164 L
.46583 .51686 L
.46709 .51845 L
.4671 .51846 L
.46829 .52007 L
.4687 .52056 L
.46951 .52167 L
.4703 .52267 L
.47075 .52328 L
.47191 .52477 L
.47199 .52488 L
.47315 .52649 L
.47351 .52694 L
.47432 .52809 L
.47512 .52912 L
.47552 .5297 L
.47672 .5313 L
.47673 .5313 L
.47776 .53291 L
.47833 .53367 L
.47881 .53451 L
.47833 .53472 L
.47816 .53451 L
.47672 .53291 L
.47672 .53291 L
.47541 .5313 L
.47512 .53099 L
.4741 .5297 L
.47351 .52903 L
.47279 .52809 L
.47191 .52706 L
.47147 .52649 L
.4703 .52507 L
.47016 .52488 L
.4689 .52328 L
.4687 .52304 L
.46766 .52167 L
.46709 .52098 L
.46641 .52007 L
.46549 .51893 L
.46514 .51846 L
.46388 .51688 L
.46387 .51686 L
.46268 .51525 L
.46228 .51476 L
.46147 .51364 L
.46067 .51265 L
.46023 .51204 L
.45907 .51055 L
.45899 .51043 L
.45783 .50883 L
.45746 .50837 L
.45667 .50722 L
.45586 .50618 L
.45547 .50562 L
F
0 .65 1 r
.45586 .49767 m
.4572 .4992 L
.45746 .49947 L
.45859 .5008 L
.45907 .50133 L
.45996 .50241 L
.46067 .50323 L
.46132 .50401 L
.46228 .50496 L
.46266 .50562 L
.46388 .50709 L
.46402 .50722 L
.46527 .50883 L
.46549 .50908 L
.46657 .51043 L
.46709 .51107 L
.46787 .51204 L
.4687 .51295 L
.46951 .51364 L
.4703 .51507 L
.47046 .51525 L
.4717 .51686 L
.47191 .51711 L
.47297 .51846 L
.47351 .51888 L
.47424 .52007 L
.47512 .52112 L
.47563 .52167 L
.47672 .52324 L
.47675 .52328 L
.478 .52488 L
.47833 .5253 L
.47925 .52649 L
.47993 .52721 L
.48084 .52809 L
.48154 .52941 L
.48178 .5297 L
.48297 .5313 L
.48314 .53152 L
.4842 .53291 L
.48475 .53328 L
.48544 .53451 L
.48636 .53562 L
.48679 .53612 L
.4879 .53772 L
.48796 .5378 L
.48911 .53933 L
.48957 .53992 L
.49033 .54093 L
.49117 .54185 L
.49183 .54254 L
.49277 .54414 L
.49278 .54415 L
.49396 .54575 L
.49438 .5463 L
.49516 .54735 L
.49599 .54807 L
.49637 .54896 L
.49757 .55057 L
.49759 .55059 L
.49873 .55217 L
.4992 .55279 L
.4999 .55378 L
.5008 .55498 L
.50109 .55538 L
.50224 .55699 L
.50241 .55721 L
.50334 .55859 L
.50401 .55951 L
.50446 .5602 L
.50401 .5618 L
.50263 .5602 L
.50241 .55997 L
.50126 .55859 L
.5008 .55808 L
.49991 .55699 L
.4992 .55617 L
.49856 .55538 L
.49759 .55447 L
.49723 .55378 L
.49599 .55229 L
.49586 .55217 L
.49463 .55057 L
.49438 .55027 L
.49335 .54896 L
.49278 .54827 L
.49206 .54735 L
.49117 .54642 L
.49035 .54575 L
.48957 .54426 L
.48946 .54414 L
.48824 .54254 L
.48796 .5422 L
.48698 .54093 L
.48636 .54052 L
.48572 .53933 L
.48475 .53819 L
.48428 .53772 L
.4832 .53612 L
.48314 .53605 L
.48197 .53451 L
.48154 .53398 L
.48072 .53291 L
.47993 .53212 L
.47905 .5313 L
.47833 .52987 L
.47818 .5297 L
.477 .52809 L
.47672 .52775 L
.47577 .52649 L
.47512 .5261 L
.47454 .52488 L
.47351 .52365 L
.47316 .52328 L
.47207 .52167 L
.47191 .52146 L
.47087 .52007 L
.4703 .51934 L
.46965 .51846 L
.4687 .51743 L
.46813 .51686 L
.4672 .51525 L
.46709 .51512 L
.46601 .51364 L
.46549 .51297 L
.46481 .51204 L
.46388 .51083 L
.46359 .51043 L
.46239 .50883 L
.46228 .50868 L
.46124 .50722 L
.46067 .50649 L
.46006 .50562 L
.45907 .5043 L
.45887 .50401 L
.45772 .50241 L
.45746 .50207 L
.45661 .5008 L
.45586 .49977 L
.45549 .4992 L
F
.538 .98 1 r
.45586 .47046 m
.45746 .47049 L
.45907 .47133 L
.45997 .47191 L
.46067 .47309 L
.46109 .47351 L
.46228 .47509 L
.4623 .47512 L
.46354 .47672 L
.46388 .47703 L
.46478 .47833 L
.46549 .47913 L
.46625 .47993 L
.46709 .48127 L
.46731 .48154 L
.4685 .48314 L
.4687 .48339 L
.46971 .48475 L
.4703 .4851 L
.47133 .48636 L
.47191 .48747 L
.47226 .48796 L
.47339 .48957 L
.47351 .48972 L
.47457 .49117 L
.47512 .4919 L
.47575 .49278 L
.47672 .4941 L
.47704 .49438 L
.47799 .49599 L
.47833 .49655 L
.47876 .49759 L
.47833 .49844 L
.47672 .49809 L
.47595 .49759 L
.47512 .4967 L
.47382 .49599 L
.47351 .49516 L
.47262 .49438 L
.47191 .49328 L
.47139 .49278 L
.4703 .49167 L
.46989 .49117 L
.4687 .48967 L
.46861 .48957 L
.46734 .48796 L
.46709 .48758 L
.46622 .48636 L
.46549 .48541 L
.46523 .48475 L
.46388 .48325 L
.46357 .48314 L
.46234 .48154 L
.46228 .48144 L
.46118 .47993 L
.46067 .47932 L
.46017 .47833 L
.45907 .47717 L
.45867 .47672 L
.45748 .47512 L
.45746 .47505 L
.45636 .47351 L
.45586 .47268 L
.45549 .47191 L
F
1 .92 .084 r
.45586 .47579 m
.45694 .47672 L
.45746 .47724 L
.4584 .47833 L
.45907 .4791 L
.45971 .47993 L
.46067 .48112 L
.46098 .48154 L
.46219 .48314 L
.46228 .48326 L
.46324 .48475 L
.46388 .48573 L
.4642 .48636 L
.46388 .48706 L
.4631 .48636 L
.46228 .48556 L
.46153 .48475 L
.46067 .48379 L
.46012 .48314 L
.45907 .48215 L
.45882 .48154 L
.45761 .47993 L
.45746 .47974 L
.45648 .47833 L
.45586 .47734 L
.4555 .47672 L
F
1 .26 0 r
.45586 .50448 m
.45676 .50562 L
.45746 .5064 L
.4581 .50722 L
.45907 .50836 L
.45944 .50883 L
.46067 .51033 L
.46075 .51043 L
.462 .51204 L
.46228 .51236 L
.46325 .51364 L
.46388 .5144 L
.46452 .51525 L
.46549 .51645 L
.4658 .51686 L
.46706 .51846 L
.46709 .5185 L
.46825 .52007 L
.4687 .52061 L
.46948 .52167 L
.4703 .52271 L
.47071 .52328 L
.47191 .52482 L
.47195 .52488 L
.47311 .52649 L
.47351 .527 L
.47428 .52809 L
.47512 .52918 L
.47547 .5297 L
.47512 .53092 L
.47416 .5297 L
.47351 .52897 L
.47283 .52809 L
.47191 .52701 L
.47151 .52649 L
.4703 .52502 L
.47019 .52488 L
.46894 .52328 L
.4687 .52299 L
.4677 .52167 L
.46709 .52094 L
.46644 .52007 L
.46549 .51889 L
.46517 .51846 L
.4639 .51686 L
.46388 .51683 L
.46272 .51525 L
.46228 .51471 L
.4615 .51364 L
.46067 .5126 L
.46027 .51204 L
.45907 .5105 L
.45902 .51043 L
.45787 .50883 L
.45746 .50831 L
.45671 .50722 L
.45586 .50612 L
.45552 .50562 L
F
0 .71 1 r
.45586 .44935 m
.45599 .44943 L
.45746 .45061 L
.45788 .45104 L
.45907 .45206 L
.45941 .45265 L
.46067 .45404 L
.46094 .45425 L
.46214 .45586 L
.46228 .45602 L
.46341 .45746 L
.46388 .45806 L
.46464 .45907 L
.46549 .46021 L
.46582 .46067 L
.46689 .46228 L
.46709 .4626 L
.46777 .46388 L
.46709 .46473 L
.46604 .46388 L
.46549 .46339 L
.46446 .46228 L
.46388 .46165 L
.46308 .46067 L
.46228 .45973 L
.46176 .45907 L
.46067 .45784 L
.46028 .45746 L
.4593 .45586 L
.45907 .45555 L
.45816 .45425 L
.45746 .45328 L
.45704 .45265 L
.45604 .45104 L
.45586 .45072 L
.45552 .44943 L
F
0 .64 1 r
.45586 .49779 m
.45711 .4992 L
.45746 .49957 L
.45852 .5008 L
.45907 .50141 L
.4599 .50241 L
.46067 .5033 L
.46126 .50401 L
.46228 .50504 L
.46261 .50562 L
.46388 .50716 L
.46395 .50722 L
.46523 .50883 L
.46549 .50914 L
.46653 .51043 L
.46709 .51112 L
.46783 .51204 L
.4687 .513 L
.46946 .51364 L
.4703 .51512 L
.47042 .51525 L
.47166 .51686 L
.47191 .51715 L
.47293 .51846 L
.47351 .51892 L
.4742 .52007 L
.47512 .52117 L
.4756 .52167 L
.47672 .52328 L
.47672 .52328 L
.47796 .52488 L
.47833 .52534 L
.47922 .52649 L
.47993 .52725 L
.48081 .52809 L
.48154 .52945 L
.48174 .5297 L
.48294 .5313 L
.48314 .53156 L
.48417 .53291 L
.48475 .53331 L
.48541 .53451 L
.48636 .53566 L
.48676 .53612 L
.48787 .53772 L
.48796 .53784 L
.48908 .53933 L
.48957 .53996 L
.4903 .54093 L
.49117 .5419 L
.49178 .54254 L
.49274 .54414 L
.49278 .54419 L
.49393 .54575 L
.49438 .54634 L
.49513 .54735 L
.49599 .54814 L
.49634 .54896 L
.49753 .55057 L
.49759 .55064 L
.49869 .55217 L
.4992 .55285 L
.49986 .55378 L
.5008 .55505 L
.50104 .55538 L
.50218 .55699 L
.50241 .5573 L
.50328 .55859 L
.50401 .55961 L
.50439 .5602 L
.50401 .56168 L
.50271 .5602 L
.50241 .55988 L
.50133 .55859 L
.5008 .55801 L
.49996 .55699 L
.4992 .5561 L
.49861 .55538 L
.49759 .55439 L
.49727 .55378 L
.49599 .55222 L
.49593 .55217 L
.49467 .55057 L
.49438 .55022 L
.49338 .54896 L
.49278 .54823 L
.49209 .54735 L
.49117 .54637 L
.4904 .54575 L
.48957 .54421 L
.4895 .54414 L
.48827 .54254 L
.48796 .54216 L
.48701 .54093 L
.48636 .54048 L
.48575 .53933 L
.48475 .53815 L
.48432 .53772 L
.48323 .53612 L
.48314 .53602 L
.48199 .53451 L
.48154 .53395 L
.48075 .53291 L
.47993 .53208 L
.47909 .5313 L
.47833 .52983 L
.47821 .5297 L
.47703 .52809 L
.47672 .52771 L
.4758 .52649 L
.47512 .52606 L
.47456 .52488 L
.47351 .52361 L
.4732 .52328 L
.4721 .52167 L
.47191 .52143 L
.4709 .52007 L
.4703 .51931 L
.46967 .51846 L
.4687 .51738 L
.46818 .51686 L
.46723 .51525 L
.46709 .51508 L
.46605 .51364 L
.46549 .51293 L
.46484 .51204 L
.46388 .51079 L
.46363 .51043 L
.46243 .50883 L
.46228 .50863 L
.46128 .50722 L
.46067 .50643 L
.4601 .50562 L
.45907 .50424 L
.45891 .50401 L
.45778 .50241 L
.45746 .50199 L
.45668 .5008 L
.45586 .49967 L
.45556 .4992 L
F
1 .25 0 r
.45586 .50456 m
.4567 .50562 L
.45746 .50647 L
.45805 .50722 L
.45907 .50841 L
.45939 .50883 L
.46067 .51038 L
.46071 .51043 L
.46196 .51204 L
.46228 .51241 L
.46321 .51364 L
.46388 .51445 L
.46449 .51525 L
.46549 .51649 L
.46576 .51686 L
.46702 .51846 L
.46709 .51855 L
.46821 .52007 L
.4687 .52066 L
.46944 .52167 L
.4703 .52276 L
.47068 .52328 L
.47191 .52487 L
.47192 .52488 L
.47306 .52649 L
.47351 .52706 L
.47423 .52809 L
.47512 .52925 L
.47543 .5297 L
.47512 .53084 L
.47422 .5297 L
.47351 .52891 L
.47288 .52809 L
.47191 .52695 L
.47155 .52649 L
.4703 .52498 L
.47023 .52488 L
.46899 .52328 L
.4687 .52294 L
.46774 .52167 L
.46709 .52089 L
.46648 .52007 L
.46549 .51884 L
.4652 .51846 L
.46394 .51686 L
.46388 .51678 L
.46276 .51525 L
.46228 .51466 L
.46154 .51364 L
.46067 .51256 L
.4603 .51204 L
.45907 .51045 L
.45906 .51043 L
.45792 .50883 L
.45746 .50825 L
.45676 .50722 L
.45586 .50605 L
.45557 .50562 L
F
0 .09 1 r
.45586 .51134 m
.45631 .51204 L
.45746 .51351 L
.45755 .51364 L
.45746 .51422 L
.45704 .51364 L
.45586 .51236 L
.45562 .51204 L
F
1 .24 0 r
.45586 .50464 m
.45663 .50562 L
.45746 .50653 L
.458 .50722 L
.45907 .50847 L
.45935 .50883 L
.45907 .51039 L
.45798 .50883 L
.45746 .50818 L
.45682 .50722 L
.45586 .50598 L
.45562 .50562 L
F
0 .63 1 r
.45586 .49793 m
.457 .4992 L
.45746 .49967 L
.45844 .5008 L
.45907 .50149 L
.45984 .50241 L
.46067 .50337 L
.46121 .50401 L
.46228 .50512 L
.46256 .50562 L
.46388 .50722 L
.46388 .50723 L
.46518 .50883 L
.46549 .50919 L
.46649 .51043 L
.46709 .51117 L
.46779 .51204 L
.4687 .51306 L
.4694 .51364 L
.4703 .51517 L
.47038 .51525 L
.47163 .51686 L
.47191 .5172 L
.4729 .51846 L
.47351 .51895 L
.47417 .52007 L
.47512 .52121 L
.47556 .52167 L
.47669 .52328 L
.47672 .52332 L
.47793 .52488 L
.47833 .52538 L
.47919 .52649 L
.47993 .52729 L
.48077 .52809 L
.48154 .52949 L
.48171 .5297 L
.48291 .5313 L
.48314 .5316 L
.48414 .53291 L
.48475 .53334 L
.48538 .53451 L
.48636 .53571 L
.48672 .53612 L
.48784 .53772 L
.48796 .53788 L
.48905 .53933 L
.48957 .54 L
.49027 .54093 L
.49117 .54195 L
.49173 .54254 L
.4927 .54414 L
.49278 .54424 L
.49389 .54575 L
.49438 .54639 L
.49509 .54735 L
.49599 .54821 L
.4963 .54896 L
.49749 .55057 L
.49759 .5507 L
.49864 .55217 L
.4992 .55291 L
.49981 .55378 L
.5008 .55511 L
.50099 .55538 L
.50211 .55699 L
.50241 .55738 L
.50321 .55859 L
.50401 .55972 L
.50432 .5602 L
.50401 .56156 L
.50281 .5602 L
.50241 .55978 L
.5014 .55859 L
.5008 .55793 L
.50003 .55699 L
.4992 .55604 L
.49866 .55538 L
.49759 .55431 L
.49732 .55378 L
.496 .55217 L
.49599 .55216 L
.49471 .55057 L
.49438 .55017 L
.49342 .54896 L
.49278 .54818 L
.49213 .54735 L
.49117 .54632 L
.49046 .54575 L
.48957 .54417 L
.48955 .54414 L
.4883 .54254 L
.48796 .54212 L
.48704 .54093 L
.48636 .54045 L
.48577 .53933 L
.48475 .53811 L
.48436 .53772 L
.48325 .53612 L
.48314 .53598 L
.48202 .53451 L
.48154 .53391 L
.48078 .53291 L
.47993 .53204 L
.47913 .5313 L
.47833 .52979 L
.47825 .5297 L
.47705 .52809 L
.47672 .52768 L
.47583 .52649 L
.47512 .52602 L
.47459 .52488 L
.47351 .52357 L
.47324 .52328 L
.47213 .52167 L
.47191 .52139 L
.47092 .52007 L
.4703 .51927 L
.4697 .51846 L
.4687 .51733 L
.46823 .51686 L
.46726 .51525 L
.46709 .51504 L
.46608 .51364 L
.46549 .51288 L
.46488 .51204 L
.46388 .51074 L
.46366 .51043 L
.46247 .50883 L
.46228 .50858 L
.46132 .50722 L
.46067 .50637 L
.46014 .50562 L
.45907 .50418 L
.45895 .50401 L
.45784 .50241 L
.45746 .5019 L
.45675 .5008 L
.45586 .49956 L
.45563 .4992 L
F
.045 .9 1 r
.45586 .40015 m
.45698 .40128 L
.45746 .40173 L
.4585 .40288 L
.45907 .40348 L
.45993 .40449 L
.46067 .4053 L
.46133 .40609 L
.46228 .40696 L
.46271 .4077 L
.46388 .40905 L
.46418 .4093 L
.46538 .41091 L
.46549 .41103 L
.46669 .41251 L
.46709 .41299 L
.46799 .41412 L
.4687 .41484 L
.46986 .41572 L
.4703 .41694 L
.47068 .41733 L
.47187 .41894 L
.47191 .41898 L
.47314 .42054 L
.47351 .42078 L
.47441 .42215 L
.47512 .42294 L
.47594 .42375 L
.47672 .42505 L
.47698 .42536 L
.47821 .42696 L
.47833 .42711 L
.47945 .42857 L
.47993 .42901 L
.48124 .43017 L
.48154 .43117 L
.48209 .43178 L
.48314 .43328 L
.48323 .43338 L
.48446 .43499 L
.48475 .43512 L
.4857 .43659 L
.48636 .4373 L
.48721 .4382 L
.48796 .43947 L
.48824 .4398 L
.48944 .44141 L
.48957 .44157 L
.49066 .44301 L
.49117 .44345 L
.4924 .44462 L
.49278 .44566 L
.49326 .44622 L
.49438 .44781 L
.49439 .44783 L
.49561 .44943 L
.49599 .44956 L
.49683 .45104 L
.49759 .45186 L
.49831 .45265 L
.4992 .45407 L
.49934 .45425 L
.50053 .45586 L
.5008 .4562 L
.50175 .45746 L
.50241 .45803 L
.50342 .45907 L
.50401 .46034 L
.50429 .46067 L
.50543 .46228 L
.50562 .46251 L
.50664 .46388 L
.50722 .46463 L
.50786 .46549 L
.50883 .46661 L
.50925 .46709 L
.51031 .4687 L
.51043 .46886 L
.5115 .4703 L
.51204 .471 L
.5127 .47191 L
.51364 .4729 L
.51419 .47351 L
.51514 .47512 L
.51525 .47526 L
.51631 .47672 L
.51686 .47744 L
.51749 .47833 L
.51846 .4796 L
.5187 .47993 L
.51989 .48154 L
.52007 .48178 L
.52102 .48314 L
.52167 .484 L
.52218 .48475 L
.52328 .48623 L
.52336 .48636 L
.52445 .48796 L
.52488 .48856 L
.52551 .48957 L
.52649 .49099 L
.52659 .49117 L
.52649 .49239 L
.52525 .49117 L
.52488 .49082 L
.52373 .48957 L
.52328 .48908 L
.52229 .48796 L
.52167 .48727 L
.52088 .48636 L
.52007 .48562 L
.5195 .48475 L
.51846 .48353 L
.518 .48314 L
.51686 .48158 L
.51682 .48154 L
.51549 .47993 L
.51525 .47964 L
.51417 .47833 L
.51364 .47776 L
.51238 .47672 L
.51204 .4757 L
.51152 .47512 L
.51043 .47369 L
.51031 .47351 L
.50899 .47191 L
.50883 .47179 L
.50769 .4703 L
.50722 .46973 L
.50627 .4687 L
.50562 .46766 L
.50519 .46709 L
.50401 .46562 L
.50396 .46549 L
.50261 .46388 L
.50241 .46366 L
.50105 .46228 L
.5008 .46158 L
.50007 .46067 L
.4992 .45949 L
.49893 .45907 L
.49759 .45747 L
.49758 .45746 L
.49633 .45586 L
.49599 .45545 L
.49496 .45425 L
.49438 .45333 L
.49388 .45265 L
.49278 .45124 L
.4927 .45104 L
.49135 .44943 L
.49117 .44926 L
.48984 .44783 L
.48957 .44715 L
.48884 .44622 L
.48796 .44502 L
.48772 .44462 L
.4864 .44301 L
.48636 .44299 L
.48517 .44141 L
.48475 .44093 L
.4838 .4398 L
.48314 .43878 L
.48274 .4382 L
.48154 .43667 L
.48151 .43659 L
.48025 .43499 L
.47993 .4347 L
.47873 .43338 L
.47833 .43252 L
.47776 .43178 L
.47672 .43036 L
.47662 .43017 L
.47537 .42857 L
.47512 .42849 L
.47416 .42696 L
.47351 .42623 L
.4728 .42536 L
.47191 .42401 L
.47173 .42375 L
.47053 .42215 L
.4703 .42185 L
.46933 .42054 L
.4687 .41994 L
.46782 .41894 L
.46709 .41759 L
.4669 .41733 L
.46575 .41572 L
.46549 .41538 L
.46457 .41412 L
.46388 .41319 L
.46339 .41251 L
.46228 .41103 L
.46218 .41091 L
.46108 .4093 L
.46067 .40875 L
.45994 .4077 L
.45907 .40648 L
.4588 .40609 L
.45771 .40449 L
.45746 .40414 L
.45668 .40288 L
.45586 .40164 L
.45565 .40128 L
F
1 .23 0 r
.45586 .50474 m
.45655 .50562 L
.45746 .50661 L
.45795 .50722 L
.45907 .50853 L
.4593 .50883 L
.45907 .51033 L
.45803 .50883 L
.45746 .50811 L
.45687 .50722 L
.45586 .5059 L
.45568 .50562 L
F
0 .08 1 r
.45586 .51145 m
.45622 .51204 L
.45746 .51363 L
.45747 .51364 L
.45746 .51403 L
.4572 .51364 L
.45586 .51227 L
.45569 .51204 L
F
1 .85 .01 r
.45586 .40692 m
.45656 .4077 L
.45746 .40859 L
.45806 .4093 L
.45907 .4104 L
.45947 .41091 L
.46067 .41229 L
.46085 .41251 L
.46219 .41412 L
.46228 .41422 L
.46348 .41572 L
.46388 .41619 L
.46477 .41733 L
.46549 .41818 L
.46607 .41894 L
.46709 .42017 L
.46738 .42054 L
.46867 .42215 L
.4687 .42218 L
.46991 .42375 L
.4703 .42422 L
.47117 .42536 L
.47191 .42626 L
.47244 .42696 L
.47351 .42815 L
.47371 .42857 L
.47496 .43017 L
.47512 .43036 L
.47618 .43178 L
.47672 .43244 L
.47742 .43338 L
.47833 .43452 L
.47868 .43499 L
.47993 .43658 L
.47995 .43659 L
.48114 .4382 L
.48154 .4387 L
.48235 .4398 L
.48314 .4408 L
.48359 .44141 L
.48475 .44281 L
.48484 .44301 L
.48603 .44462 L
.48636 .44503 L
.48722 .44622 L
.48796 .44717 L
.48843 .44783 L
.48957 .44929 L
.48967 .44943 L
.49083 .45104 L
.49117 .45147 L
.49199 .45265 L
.49278 .45367 L
.49318 .45425 L
.49438 .45585 L
.49439 .45586 L
.49546 .45746 L
.49599 .45817 L
.49654 .45907 L
.49759 .46054 L
.49767 .46067 L
.49759 .46151 L
.4968 .46067 L
.49599 .45986 L
.4953 .45907 L
.49438 .45806 L
.49388 .45746 L
.49278 .45619 L
.4925 .45586 L
.49117 .45428 L
.49115 .45425 L
.48984 .45265 L
.48957 .45233 L
.48852 .45104 L
.48796 .45037 L
.48721 .44943 L
.48636 .44878 L
.48591 .44783 L
.48475 .44642 L
.48453 .44622 L
.48335 .44462 L
.48314 .44437 L
.48208 .44301 L
.48154 .44234 L
.4808 .44141 L
.47993 .44049 L
.47905 .4398 L
.47833 .43826 L
.47827 .4382 L
.47704 .43659 L
.47672 .43619 L
.47579 .43499 L
.47512 .43463 L
.47454 .43338 L
.47351 .43212 L
.47318 .43178 L
.47208 .43017 L
.47191 .42995 L
.47086 .42857 L
.4703 .42785 L
.46963 .42696 L
.4687 .42593 L
.46807 .42536 L
.4672 .42375 L
.46709 .42362 L
.466 .42215 L
.46549 .42147 L
.4648 .42054 L
.46388 .41932 L
.46359 .41894 L
.46242 .41733 L
.46228 .41715 L
.46126 .41572 L
.46067 .41494 L
.46009 .41412 L
.45907 .41271 L
.45893 .41251 L
.45784 .41091 L
.45746 .4104 L
.45677 .4093 L
.45586 .40798 L
.45569 .4077 L
F
0 .62 1 r
.45586 .49809 m
.45688 .4992 L
.45746 .49977 L
.45835 .5008 L
.45907 .50158 L
.45977 .50241 L
.46067 .50344 L
.46115 .50401 L
.46228 .50521 L
.4625 .50562 L
.46383 .50722 L
.46388 .50729 L
.46513 .50883 L
.46549 .50925 L
.46644 .51043 L
.46709 .51122 L
.46775 .51204 L
.4687 .51311 L
.46934 .51364 L
.4703 .51522 L
.47033 .51525 L
.47159 .51686 L
.47191 .51724 L
.47287 .51846 L
.47351 .51899 L
.47414 .52007 L
.47512 .52125 L
.47552 .52167 L
.47666 .52328 L
.47672 .52336 L
.4779 .52488 L
.47833 .52542 L
.47916 .52649 L
.47993 .52733 L
.48073 .52809 L
.48154 .52953 L
.48168 .5297 L
.48288 .5313 L
.48314 .53164 L
.48411 .53291 L
.48475 .53338 L
.48535 .53451 L
.48636 .53575 L
.48668 .53612 L
.48781 .53772 L
.48796 .53792 L
.48902 .53933 L
.48957 .54004 L
.49024 .54093 L
.49117 .542 L
.49168 .54254 L
.49267 .54414 L
.49278 .54428 L
.49386 .54575 L
.49438 .54643 L
.49506 .54735 L
.49599 .54829 L
.49626 .54896 L
.49744 .55057 L
.49759 .55076 L
.4986 .55217 L
.4992 .55297 L
.49977 .55378 L
.5008 .55518 L
.50094 .55538 L
.50205 .55699 L
.50241 .55748 L
.50313 .55859 L
.50401 .55984 L
.50423 .5602 L
.50401 .56141 L
.50292 .5602 L
.50241 .55968 L
.50148 .55859 L
.5008 .55785 L
.50009 .55699 L
.4992 .55597 L
.49872 .55538 L
.49759 .55422 L
.49737 .55378 L
.49604 .55217 L
.49599 .5521 L
.49476 .55057 L
.49438 .55012 L
.49346 .54896 L
.49278 .54813 L
.49216 .54735 L
.49117 .54627 L
.49053 .54575 L
.48958 .54414 L
.48957 .54412 L
.48833 .54254 L
.48796 .54208 L
.48707 .54093 L
.48636 .54041 L
.4858 .53933 L
.48475 .53807 L
.4844 .53772 L
.48328 .53612 L
.48314 .53595 L
.48205 .53451 L
.48154 .53388 L
.4808 .53291 L
.47993 .532 L
.47917 .5313 L
.47833 .52975 L
.47828 .5297 L
.47708 .52809 L
.47672 .52765 L
.47585 .52649 L
.47512 .52599 L
.47461 .52488 L
.47351 .52353 L
.47328 .52328 L
.47216 .52167 L
.47191 .52136 L
.47095 .52007 L
.4703 .51924 L
.46973 .51846 L
.4687 .51727 L
.46829 .51686 L
.46729 .51525 L
.46709 .51499 L
.46611 .51364 L
.46549 .51284 L
.46491 .51204 L
.46388 .5107 L
.46369 .51043 L
.46251 .50883 L
.46228 .50852 L
.46136 .50722 L
.46067 .50632 L
.46019 .50562 L
.45907 .50412 L
.459 .50401 L
.4579 .50241 L
.45746 .50181 L
.45682 .5008 L
.45586 .49944 L
.45571 .4992 L
F
1 .22 0 r
.45586 .50486 m
.45646 .50562 L
.45746 .50668 L
.45789 .50722 L
.45907 .50859 L
.45925 .50883 L
.45907 .51026 L
.45809 .50883 L
.45746 .50803 L
.45694 .50722 L
.45586 .5058 L
.45574 .50562 L
F
.395 .97 1 r
.45586 .47103 m
.45746 .47078 L
.45907 .47158 L
.45966 .47191 L
.46067 .47324 L
.46095 .47351 L
.46221 .47512 L
.46228 .47514 L
.46347 .47672 L
.46388 .47709 L
.46472 .47833 L
.46549 .47921 L
.46618 .47993 L
.46709 .48135 L
.46725 .48154 L
.46844 .48314 L
.4687 .48347 L
.46966 .48475 L
.4703 .48518 L
.47126 .48636 L
.47191 .48758 L
.47218 .48796 L
.47331 .48957 L
.47351 .48984 L
.47447 .49117 L
.47512 .49204 L
.47564 .49278 L
.47672 .49431 L
.4768 .49438 L
.4777 .49599 L
.47672 .49745 L
.47512 .49624 L
.47422 .49599 L
.47351 .49477 L
.47291 .49438 L
.47191 .49301 L
.47159 .49278 L
.4703 .49142 L
.47009 .49117 L
.46878 .48957 L
.4687 .48945 L
.46747 .48796 L
.46709 .48739 L
.46635 .48636 L
.46549 .48526 L
.46531 .48475 L
.46388 .4832 L
.46369 .48314 L
.46242 .48154 L
.46228 .4813 L
.4613 .47993 L
.46067 .47917 L
.46027 .47833 L
.45907 .47702 L
.45881 .47672 L
.45751 .47512 L
.45746 .47482 L
.45654 .47351 L
.45586 .47221 L
.45574 .47191 L
F
0 .07 1 r
.45586 .51158 m
.45611 .51204 L
.45586 .51216 L
.45577 .51204 L
F
0 .61 1 r
.45586 .49828 m
.45674 .4992 L
.45746 .49989 L
.45826 .5008 L
.45907 .50167 L
.4597 .50241 L
.46067 .50352 L
.46109 .50401 L
.46228 .50531 L
.46245 .50562 L
.46377 .50722 L
.46388 .50735 L
.46509 .50883 L
.46549 .5093 L
.4664 .51043 L
.46709 .51127 L
.46771 .51204 L
.4687 .51317 L
.46928 .51364 L
.47029 .51525 L
.4703 .51527 L
.47156 .51686 L
.47191 .51729 L
.47283 .51846 L
.47351 .51903 L
.47411 .52007 L
.47512 .5213 L
.47548 .52167 L
.47663 .52328 L
.47672 .5234 L
.47787 .52488 L
.47833 .52546 L
.47913 .52649 L
.47993 .52737 L
.48069 .52809 L
.48154 .52958 L
.48164 .5297 L
.48285 .5313 L
.48314 .53167 L
.48408 .53291 L
.48475 .53342 L
.48532 .53451 L
.48636 .53579 L
.48664 .53612 L
.48777 .53772 L
.48796 .53796 L
.48899 .53933 L
.48957 .54008 L
.49021 .54093 L
.49117 .54206 L
.49163 .54254 L
.49263 .54414 L
.49278 .54433 L
.49382 .54575 L
.49438 .54648 L
.49502 .54735 L
.49599 .54837 L
.49622 .54896 L
.4974 .55057 L
.49759 .55082 L
.49855 .55217 L
.4992 .55303 L
.49972 .55378 L
.5008 .55525 L
.50089 .55538 L
.50198 .55699 L
.50241 .55758 L
.50305 .55859 L
.50401 .55998 L
.50414 .5602 L
.50401 .56124 L
.50305 .5602 L
.50241 .55957 L
.50157 .55859 L
.5008 .55777 L
.50016 .55699 L
.4992 .5559 L
.49877 .55538 L
.49759 .55413 L
.49742 .55378 L
.49609 .55217 L
.49599 .55205 L
.4948 .55057 L
.49438 .55007 L
.4935 .54896 L
.49278 .54809 L
.4922 .54735 L
.49117 .54621 L
.49059 .54575 L
.48962 .54414 L
.48957 .54408 L
.48837 .54254 L
.48796 .54204 L
.4871 .54093 L
.48636 .54037 L
.48583 .53933 L
.48475 .53803 L
.48444 .53772 L
.48331 .53612 L
.48314 .53591 L
.48208 .53451 L
.48154 .53384 L
.48083 .53291 L
.47993 .53196 L
.47921 .5313 L
.47833 .52971 L
.47832 .5297 L
.47711 .52809 L
.47672 .52761 L
.47588 .52649 L
.47512 .52594 L
.47464 .52488 L
.47351 .52348 L
.47332 .52328 L
.47219 .52167 L
.47191 .52132 L
.47098 .52007 L
.4703 .5192 L
.46976 .51846 L
.4687 .51722 L
.46834 .51686 L
.46733 .51525 L
.46709 .51495 L
.46614 .51364 L
.46549 .5128 L
.46494 .51204 L
.46388 .51065 L
.46372 .51043 L
.46255 .50883 L
.46228 .50847 L
.46141 .50722 L
.46067 .50626 L
.46023 .50562 L
.45907 .50405 L
.45904 .50401 L
.45797 .50241 L
.45746 .50171 L
.4569 .5008 L
.45586 .49929 L
.4558 .4992 L
F
1 .21 0 r
.45586 .505 m
.45635 .50562 L
.45746 .50677 L
.45782 .50722 L
.45907 .50866 L
.4592 .50883 L
.45907 .51019 L
.45816 .50883 L
.45746 .50795 L
.45701 .50722 L
.45586 .5057 L
.45581 .50562 L
F
1 .94 .156 r
.45746 .44366 m
.45845 .44462 L
.45907 .44513 L
.4602 .44622 L
.46067 .44676 L
.46224 .44783 L
.46228 .44856 L
.46317 .44943 L
.46388 .45051 L
.46436 .45104 L
.46549 .4525 L
.46554 .45265 L
.46707 .45425 L
.46709 .45428 L
.46844 .45586 L
.4687 .45634 L
.46955 .45746 L
.4703 .45845 L
.47063 .45907 L
.47191 .46053 L
.47207 .46067 L
.47347 .46228 L
.47351 .46233 L
.4745 .46388 L
.47512 .46431 L
.4755 .46549 L
.47655 .46709 L
.47649 .4687 L
.47512 .46873 L
.47501 .4687 L
.47351 .46789 L
.47271 .46709 L
.47191 .46573 L
.47091 .46549 L
.4703 .46418 L
.46987 .46388 L
.4687 .4623 L
.46867 .46228 L
.46744 .46067 L
.46709 .46048 L
.4662 .45907 L
.46549 .4583 L
.46477 .45746 L
.46388 .45609 L
.46371 .45586 L
.46253 .45425 L
.46228 .45392 L
.46134 .45265 L
.46067 .45176 L
.45981 .45104 L
.45907 .44968 L
.45892 .44943 L
.45785 .44783 L
.45746 .44727 L
.4568 .44622 L
.45588 .44462 L
F
.289 .96 1 r
.45746 .47105 m
.45907 .47182 L
.45926 .47191 L
.46067 .4734 L
.4608 .47351 L
.46212 .47512 L
.46228 .47518 L
.46339 .47672 L
.46388 .47716 L
.46466 .47833 L
.46549 .47928 L
.46611 .47993 L
.46709 .48142 L
.46719 .48154 L
.46838 .48314 L
.4687 .48354 L
.4696 .48475 L
.4703 .48527 L
.47118 .48636 L
.47191 .4877 L
.47209 .48796 L
.47322 .48957 L
.47351 .48996 L
.47437 .49117 L
.47512 .4922 L
.47551 .49278 L
.47658 .49438 L
.47672 .49462 L
.47734 .49599 L
.47672 .4969 L
.47512 .496 L
.47502 .49599 L
.47351 .49452 L
.47321 .49438 L
.47191 .49285 L
.47176 .49278 L
.4703 .49118 L
.47029 .49117 L
.46893 .48957 L
.4687 .48925 L
.4676 .48796 L
.46709 .48721 L
.46646 .48636 L
.46549 .48513 L
.46537 .48475 L
.46388 .48316 L
.4638 .48314 L
.4625 .48154 L
.46228 .48117 L
.4614 .47993 L
.46067 .47903 L
.46035 .47833 L
.45907 .47687 L
.45894 .47672 L
.45754 .47512 L
.45746 .47459 L
.45671 .47351 L
.45605 .47191 L
F
0 .7 1 r
.45746 .45072 m
.45779 .45104 L
.45907 .45217 L
.45934 .45265 L
.46067 .45413 L
.46084 .45425 L
.46208 .45586 L
.46228 .45609 L
.46336 .45746 L
.46388 .45813 L
.46459 .45907 L
.46549 .46028 L
.46577 .46067 L
.46682 .46228 L
.46709 .46273 L
.46767 .46388 L
.46709 .4646 L
.46615 .46388 L
.46549 .46331 L
.46453 .46228 L
.46388 .46158 L
.46313 .46067 L
.46228 .45967 L
.46181 .45907 L
.46067 .45776 L
.46037 .45746 L
.45935 .45586 L
.45907 .45549 L
.45821 .45425 L
.45746 .4532 L
.4571 .45265 L
.45614 .45104 L
F
1 .93 .114 r
.45746 .44404 m
.45805 .44462 L
.45907 .44538 L
.45997 .44622 L
.46067 .44697 L
.46217 .44783 L
.46228 .44874 L
.46305 .44943 L
.46388 .45064 L
.46426 .45104 L
.46549 .45256 L
.46552 .45265 L
.46698 .45425 L
.46709 .45439 L
.46838 .45586 L
.4687 .45644 L
.46948 .45746 L
.4703 .45854 L
.47058 .45907 L
.47191 .4606 L
.47199 .46067 L
.47346 .46228 L
.47351 .46236 L
.47442 .46388 L
.47512 .4645 L
.47541 .46549 L
.47639 .46709 L
.47512 .46854 L
.47351 .46774 L
.47284 .46709 L
.47191 .46566 L
.471 .46549 L
.4703 .46413 L
.46994 .46388 L
.46873 .46228 L
.4687 .46224 L
.46749 .46067 L
.46709 .46044 L
.46625 .45907 L
.46549 .45824 L
.46483 .45746 L
.46388 .45602 L
.46377 .45586 L
.46259 .45425 L
.46228 .45385 L
.4614 .45265 L
.46067 .45167 L
.4599 .45104 L
.45907 .4495 L
.45903 .44943 L
.45797 .44783 L
.45746 .44706 L
.45696 .44622 L
.45624 .44462 L
F
0 .69 1 r
.45746 .45082 m
.45768 .45104 L
.45907 .45229 L
.45927 .45265 L
.46067 .45421 L
.46072 .45425 L
.46203 .45586 L
.46228 .45615 L
.4633 .45746 L
.46388 .4582 L
.46454 .45907 L
.46549 .46036 L
.46571 .46067 L
.46675 .46228 L
.46709 .46287 L
.46755 .46388 L
.46709 .46446 L
.46627 .46388 L
.46549 .46323 L
.4646 .46228 L
.46388 .46152 L
.46318 .46067 L
.46228 .45961 L
.46185 .45907 L
.46067 .45767 L
.46046 .45746 L
.4594 .45586 L
.45907 .45542 L
.45826 .45425 L
.45746 .45311 L
.45716 .45265 L
.45626 .45104 L
F
1 1 1 r
.45746 .4397 m
.45807 .4398 L
.45907 .43995 L
.46067 .4404 L
.46227 .44141 L
.46228 .44141 L
.46388 .44297 L
.46393 .44301 L
.46504 .44462 L
.46549 .44485 L
.4666 .44622 L
.46709 .44686 L
.46786 .44783 L
.4687 .44894 L
.46909 .44943 L
.4703 .45104 L
.4703 .45104 L
.47136 .45265 L
.47191 .45309 L
.47282 .45425 L
.47351 .45518 L
.47405 .45586 L
.47512 .45728 L
.47526 .45746 L
.47641 .45907 L
.47672 .45945 L
.47736 .46067 L
.47833 .46167 L
.47898 .46228 L
.47993 .46381 L
.4802 .46388 L
.48139 .46549 L
.48154 .46566 L
.48244 .46709 L
.48314 .46778 L
.48389 .4687 L
.48314 .46969 L
.48154 .46975 L
.47993 .46987 L
.47863 .4687 L
.47833 .46835 L
.47693 .46709 L
.47672 .46625 L
.47602 .46549 L
.47512 .46391 L
.47492 .46388 L
.4737 .46228 L
.47351 .46221 L
.47248 .46067 L
.47191 .46012 L
.47096 .45907 L
.4703 .45793 L
.46994 .45746 L
.46876 .45586 L
.4687 .45577 L
.46755 .45425 L
.46709 .45366 L
.46584 .45265 L
.46549 .45186 L
.46494 .45104 L
.46388 .44953 L
.46383 .44943 L
.46262 .44783 L
.46228 .44739 L
.4614 .44622 L
.46067 .44528 L
.45988 .44462 L
.45907 .44321 L
.45886 .44301 L
.45768 .44141 L
.45746 .44113 L
.45639 .4398 L
F
0 .68 1 r
.45746 .45094 m
.45757 .45104 L
.45907 .45242 L
.45919 .45265 L
.46063 .45425 L
.46067 .45429 L
.46197 .45586 L
.46228 .45622 L
.46325 .45746 L
.46388 .45826 L
.46448 .45907 L
.46549 .46044 L
.46565 .46067 L
.46667 .46228 L
.46709 .46304 L
.46743 .46388 L
.46709 .4643 L
.46641 .46388 L
.46549 .46314 L
.46467 .46228 L
.46388 .46145 L
.46323 .46067 L
.46228 .45955 L
.4619 .45907 L
.46067 .45757 L
.46056 .45746 L
.45945 .45586 L
.45907 .45534 L
.45832 .45425 L
.45746 .45301 L
.45723 .45265 L
.4564 .45104 L
F
.212 .95 1 r
.45746 .47133 m
.45888 .47191 L
.45907 .47203 L
.46064 .47351 L
.46067 .47355 L
.46202 .47512 L
.46228 .47522 L
.46332 .47672 L
.46388 .47724 L
.46459 .47833 L
.46549 .47936 L
.46604 .47993 L
.46709 .4815 L
.46712 .48154 L
.46832 .48314 L
.4687 .48362 L
.46954 .48475 L
.4703 .48537 L
.47109 .48636 L
.47191 .48783 L
.472 .48796 L
.47313 .48957 L
.47351 .49008 L
.47427 .49117 L
.47512 .49238 L
.47538 .49278 L
.47635 .49438 L
.47672 .49516 L
.47683 .49599 L
.47672 .49617 L
.47579 .49599 L
.47512 .49565 L
.47356 .49438 L
.47351 .49434 L
.47194 .49278 L
.47191 .49275 L
.47047 .49117 L
.4703 .49097 L
.46908 .48957 L
.4687 .48906 L
.46772 .48796 L
.46709 .48705 L
.46657 .48636 L
.46549 .48501 L
.46541 .48475 L
.46391 .48314 L
.46388 .48311 L
.46257 .48154 L
.46228 .48104 L
.4615 .47993 L
.46067 .47889 L
.46043 .47833 L
.45907 .47672 L
.45907 .47671 L
.45758 .47512 L
.45746 .47433 L
.4569 .47351 L
.45641 .47191 L
F
.156 .94 1 r
.45746 .47162 m
.45847 .47191 L
.45907 .47224 L
.46049 .47351 L
.46067 .47369 L
.46192 .47512 L
.46228 .47527 L
.46324 .47672 L
.46388 .47731 L
.46453 .47833 L
.46549 .47945 L
.46596 .47993 L
.46706 .48154 L
.46709 .48158 L
.46826 .48314 L
.4687 .4837 L
.46947 .48475 L
.4703 .48548 L
.47099 .48636 L
.47191 .48796 L
.47191 .48796 L
.47304 .48957 L
.47351 .49022 L
.47416 .49117 L
.47512 .49258 L
.47525 .49278 L
.47607 .49438 L
.47512 .49526 L
.47392 .49438 L
.47351 .49406 L
.47217 .49278 L
.47191 .49258 L
.47065 .49117 L
.4703 .49078 L
.46923 .48957 L
.4687 .48888 L
.46783 .48796 L
.46709 .4869 L
.46667 .48636 L
.46549 .48491 L
.46545 .48475 L
.46402 .48314 L
.46388 .483 L
.46265 .48154 L
.46228 .48091 L
.4616 .47993 L
.46067 .47875 L
.4605 .47833 L
.45919 .47672 L
.45907 .47653 L
.45764 .47512 L
.45746 .47405 L
.4571 .47351 L
.45685 .47191 L
F
1 .91 .061 r
.45746 .47773 m
.45801 .47833 L
.45907 .47947 L
.45942 .47993 L
.46067 .48147 L
.46072 .48154 L
.46181 .48314 L
.46228 .48383 L
.46269 .48475 L
.46228 .48491 L
.4621 .48475 L
.46067 .48329 L
.46055 .48314 L
.45922 .48154 L
.45907 .48136 L
.458 .47993 L
.45746 .47917 L
.45692 .47833 L
F
1 .87 .018 r
.45746 .49313 m
.45864 .49438 L
.45907 .49482 L
.46011 .49599 L
.46067 .49661 L
.46153 .49759 L
.46228 .49815 L
.46293 .4992 L
.46388 .50028 L
.46456 .5008 L
.46549 .50224 L
.46564 .50241 L
.46697 .50401 L
.46709 .50416 L
.4683 .50562 L
.4687 .50602 L
.46962 .50722 L
.4703 .50807 L
.47101 .50883 L
.47191 .51009 L
.47217 .51043 L
.47351 .51204 L
.47351 .51204 L
.4748 .51364 L
.47512 .51402 L
.4763 .51525 L
.47672 .51609 L
.47734 .51686 L
.47833 .51814 L
.47851 .51846 L
.47989 .52007 L
.47993 .52011 L
.48116 .52167 L
.48154 .52215 L
.48248 .52328 L
.48314 .52424 L
.48359 .52488 L
.48475 .52631 L
.48479 .52649 L
.48618 .52809 L
.48636 .52829 L
.4876 .5297 L
.48796 .53038 L
.48866 .5313 L
.48957 .53249 L
.48979 .53291 L
.49117 .53451 L
.49117 .53451 L
.49273 .53612 L
.49278 .53656 L
.49372 .53772 L
.49438 .53868 L
.49481 .53933 L
.49599 .54078 L
.49602 .54093 L
.49737 .54254 L
.49759 .54278 L
.49878 .54414 L
.4992 .5449 L
.49983 .54575 L
.5008 .54703 L
.50097 .54735 L
.5023 .54896 L
.50241 .54904 L
.5039 .55057 L
.50401 .55114 L
.50484 .55217 L
.50562 .55329 L
.50593 .55378 L
.50721 .55538 L
.50722 .5554 L
.50843 .55699 L
.50883 .55738 L
.50987 .55859 L
.51043 .55957 L
.51089 .5602 L
.51204 .56173 L
.51208 .5618 L
.5133 .56341 L
.51364 .56362 L
.51496 .56501 L
.51525 .56588 L
.51583 .56662 L
.51686 .56809 L
.51694 .56822 L
.51814 .56983 L
.51846 .57025 L
.51934 .57143 L
.52007 .5722 L
.52075 .57304 L
.52167 .57453 L
.52175 .57464 L
.52292 .57625 L
.52328 .57673 L
.52409 .57785 L
.52488 .57857 L
.52562 .57946 L
.52645 .58106 L
.52649 .58111 L
.52758 .58267 L
.52809 .58337 L
.52872 .58428 L
.5297 .58564 L
.52986 .58588 L
.53093 .58749 L
.5313 .58802 L
.53196 .58909 L
.53291 .59055 L
.53299 .5907 L
.53291 .59184 L
.53169 .5907 L
.5313 .59035 L
.53014 .58909 L
.5297 .58864 L
.52869 .58749 L
.52809 .58684 L
.52728 .58588 L
.52649 .58532 L
.52589 .58428 L
.52488 .58316 L
.52423 .58267 L
.52328 .58117 L
.52317 .58106 L
.52188 .57946 L
.52167 .57921 L
.52058 .57785 L
.52007 .5774 L
.51927 .57625 L
.51846 .5753 L
.5178 .57464 L
.51686 .57325 L
.51668 .57304 L
.51541 .57143 L
.51525 .57138 L
.51414 .56983 L
.51364 .56931 L
.51248 .56822 L
.51204 .5672 L
.51152 .56662 L
.51043 .56514 L
.51034 .56501 L
.50908 .56341 L
.50883 .56322 L
.50782 .5618 L
.50722 .56111 L
.50638 .5602 L
.50562 .55899 L
.5053 .55859 L
.50406 .55699 L
.50401 .55693 L
.50282 .55538 L
.50241 .55497 L
.50122 .55378 L
.5008 .55283 L
.50025 .55217 L
.4992 .55072 L
.4991 .55057 L
.49785 .54896 L
.49759 .5488 L
.49661 .54735 L
.49599 .54665 L
.49519 .54575 L
.49438 .5445 L
.49411 .54414 L
.49289 .54254 L
.49278 .54239 L
.49167 .54093 L
.49117 .54047 L
.49008 .53933 L
.48957 .53827 L
.48912 .53772 L
.48796 .53613 L
.48795 .53612 L
.48674 .53451 L
.48636 .5343 L
.48551 .53291 L
.48475 .53205 L
.48411 .5313 L
.48314 .52985 L
.48303 .5297 L
.48183 .52809 L
.48154 .52773 L
.48061 .52649 L
.47993 .52584 L
.47906 .52488 L
.47833 .52357 L
.4781 .52328 L
.47693 .52167 L
.47672 .52141 L
.47573 .52007 L
.47512 .51969 L
.47451 .51846 L
.47351 .51727 L
.47317 .51686 L
.47207 .51525 L
.47191 .51505 L
.47088 .51364 L
.4703 .5129 L
.46967 .51204 L
.4687 .51094 L
.46826 .51043 L
.46725 .50883 L
.46709 .50863 L
.46608 .50722 L
.46549 .50645 L
.46489 .50562 L
.46388 .50429 L
.46368 .50401 L
.46251 .50241 L
.46228 .5021 L
.46138 .5008 L
.46067 .49986 L
.46022 .4992 L
.45907 .49762 L
.45905 .49759 L
.45799 .49599 L
.45746 .49525 L
.45694 .49438 L
F
.033 .89 1 r
.45746 .40214 m
.45817 .40288 L
.45907 .40376 L
.4597 .40449 L
.46067 .40553 L
.46115 .40609 L
.46228 .4072 L
.46255 .4077 L
.46388 .40924 L
.46396 .4093 L
.46525 .41091 L
.46549 .41118 L
.46657 .41251 L
.46709 .41313 L
.46789 .41412 L
.4687 .41496 L
.46973 .41572 L
.4703 .41705 L
.47058 .41733 L
.47179 .41894 L
.47191 .41908 L
.47306 .42054 L
.47351 .42084 L
.47434 .42215 L
.47512 .42303 L
.47586 .42375 L
.47672 .42513 L
.47692 .42536 L
.47815 .42696 L
.47833 .42719 L
.4794 .42857 L
.47993 .42907 L
.48119 .43017 L
.48154 .43124 L
.48203 .43178 L
.48314 .43334 L
.48318 .43338 L
.48441 .43499 L
.48475 .43515 L
.48565 .43659 L
.48636 .43736 L
.48716 .4382 L
.48796 .43953 L
.48819 .4398 L
.48939 .44141 L
.48957 .44163 L
.49062 .44301 L
.49117 .44349 L
.49236 .44462 L
.49278 .44572 L
.49321 .44622 L
.49435 .44783 L
.49438 .44787 L
.49556 .44943 L
.49599 .44959 L
.49679 .45104 L
.49759 .45192 L
.49826 .45265 L
.4992 .45413 L
.49929 .45425 L
.50049 .45586 L
.5008 .45626 L
.5017 .45746 L
.50241 .45809 L
.50337 .45907 L
.50401 .46041 L
.50423 .46067 L
.50538 .46228 L
.50562 .46257 L
.50659 .46388 L
.50722 .4647 L
.50781 .46549 L
.50883 .4667 L
.50917 .46709 L
.51025 .4687 L
.51043 .46893 L
.51144 .4703 L
.51204 .47108 L
.51264 .47191 L
.51364 .47303 L
.51408 .47351 L
.51506 .47512 L
.51525 .47536 L
.51623 .47672 L
.51686 .47754 L
.51741 .47833 L
.51846 .47971 L
.51862 .47993 L
.51978 .48154 L
.52007 .48192 L
.52091 .48314 L
.52167 .48417 L
.52206 .48475 L
.52322 .48636 L
.52328 .48643 L
.52424 .48796 L
.52488 .48889 L
.52526 .48957 L
.52488 .4904 L
.52406 .48957 L
.52328 .48878 L
.52253 .48796 L
.52167 .48702 L
.52108 .48636 L
.52007 .48537 L
.51968 .48475 L
.51846 .48333 L
.51823 .48314 L
.51697 .48154 L
.51686 .48141 L
.51563 .47993 L
.51525 .47949 L
.51429 .47833 L
.51364 .47763 L
.51248 .47672 L
.51204 .47557 L
.51163 .47512 L
.51043 .47358 L
.51039 .47351 L
.50908 .47191 L
.50883 .47171 L
.50778 .4703 L
.50722 .46963 L
.50635 .4687 L
.50562 .46756 L
.50526 .46709 L
.50401 .46554 L
.50399 .46549 L
.50269 .46388 L
.50241 .46359 L
.50108 .46228 L
.5008 .46149 L
.50013 .46067 L
.4992 .45941 L
.49898 .45907 L
.49765 .45746 L
.49759 .45742 L
.49639 .45586 L
.49599 .45537 L
.49501 .45425 L
.49438 .45326 L
.49394 .45265 L
.49278 .45118 L
.49272 .45104 L
.49141 .44943 L
.49117 .4492 L
.48987 .44783 L
.48957 .44708 L
.4889 .44622 L
.48796 .44495 L
.48776 .44462 L
.48646 .44301 L
.48636 .44297 L
.48522 .44141 L
.48475 .44087 L
.48385 .4398 L
.48314 .43871 L
.48279 .4382 L
.48154 .4366 L
.48154 .43659 L
.48031 .43499 L
.47993 .43464 L
.47877 .43338 L
.47833 .43244 L
.47782 .43178 L
.47672 .43028 L
.47666 .43017 L
.47544 .42857 L
.47512 .42845 L
.47422 .42696 L
.47351 .42614 L
.47287 .42536 L
.47191 .42391 L
.4718 .42375 L
.47061 .42215 L
.4703 .42175 L
.46941 .42054 L
.4687 .41983 L
.46792 .41894 L
.46709 .41746 L
.467 .41733 L
.46585 .41572 L
.46549 .41524 L
.46467 .41412 L
.46388 .41305 L
.4635 .41251 L
.46233 .41091 L
.46228 .41083 L
.46122 .4093 L
.46067 .40855 L
.46009 .4077 L
.45907 .40624 L
.45897 .40609 L
.45795 .40449 L
.45746 .40375 L
.45698 .40288 L
F
0 .6 1 r
.45746 .50002 m
.45816 .5008 L
.45907 .50176 L
.45962 .50241 L
.46067 .50359 L
.46102 .50401 L
.46228 .50541 L
.46239 .50562 L
.46372 .50722 L
.46388 .50741 L
.46504 .50883 L
.46549 .50936 L
.46636 .51043 L
.46709 .51132 L
.46767 .51204 L
.4687 .51322 L
.46921 .51364 L
.47025 .51525 L
.4703 .51531 L
.47152 .51686 L
.47191 .51733 L
.4728 .51846 L
.47351 .51908 L
.47407 .52007 L
.47512 .52134 L
.47543 .52167 L
.47659 .52328 L
.47672 .52344 L
.47784 .52488 L
.47833 .5255 L
.4791 .52649 L
.47993 .52741 L
.48065 .52809 L
.48154 .52962 L
.48161 .5297 L
.48282 .5313 L
.48314 .53171 L
.48405 .53291 L
.48475 .53346 L
.48529 .53451 L
.48636 .53584 L
.4866 .53612 L
.48774 .53772 L
.48796 .538 L
.48895 .53933 L
.48957 .54012 L
.49018 .54093 L
.49117 .54211 L
.49158 .54254 L
.4926 .54414 L
.49278 .54437 L
.49378 .54575 L
.49438 .54653 L
.49498 .54735 L
.49599 .54846 L
.49619 .54896 L
.49735 .55057 L
.49759 .55088 L
.4985 .55217 L
.4992 .5531 L
.49967 .55378 L
.5008 .55533 L
.50084 .55538 L
.5019 .55699 L
.50241 .55769 L
.50297 .55859 L
.50401 .56016 L
.50404 .5602 L
.50401 .56101 L
.50321 .5602 L
.50241 .55946 L
.50166 .55859 L
.5008 .55768 L
.50022 .55699 L
.4992 .55583 L
.49883 .55538 L
.49759 .55403 L
.49747 .55378 L
.49615 .55217 L
.49599 .55199 L
.49485 .55057 L
.49438 .55002 L
.49354 .54896 L
.49278 .54804 L
.49224 .54735 L
.49117 .54616 L
.49066 .54575 L
.48966 .54414 L
.48957 .54404 L
.4884 .54254 L
.48796 .542 L
.48713 .54093 L
.48636 .54032 L
.48586 .53933 L
.48475 .53798 L
.48449 .53772 L
.48334 .53612 L
.48314 .53587 L
.48211 .53451 L
.48154 .53381 L
.48086 .53291 L
.47993 .53192 L
.47926 .5313 L
.47835 .5297 L
.47833 .52967 L
.47714 .52809 L
.47672 .52758 L
.47591 .52649 L
.47512 .5259 L
.47467 .52488 L
.47351 .52344 L
.47336 .52328 L
.47222 .52167 L
.47191 .52128 L
.47101 .52007 L
.4703 .51916 L
.46979 .51846 L
.4687 .51716 L
.4684 .51686 L
.46736 .51525 L
.46709 .51491 L
.46618 .51364 L
.46549 .51275 L
.46497 .51204 L
.46388 .51061 L
.46376 .51043 L
.4626 .50883 L
.46228 .50841 L
.46145 .50722 L
.46067 .50619 L
.46028 .50562 L
.4591 .50401 L
.45907 .50397 L
.45805 .50241 L
.45746 .5016 L
.45699 .5008 L
F
1 .94 .156 r
.45746 .39545 m
.45851 .39646 L
.45907 .39698 L
.46008 .39807 L
.46067 .39868 L
.46155 .39967 L
.46228 .40019 L
.46298 .40128 L
.46388 .40225 L
.46479 .40288 L
.46549 .4042 L
.46579 .40449 L
.46708 .40609 L
.46709 .40611 L
.4684 .4077 L
.4687 .40797 L
.46972 .4093 L
.4703 .41 L
.47121 .41091 L
.47191 .41203 L
.47232 .41251 L
.47351 .41402 L
.47357 .41412 L
.47489 .41572 L
.47512 .41597 L
.4765 .41733 L
.47672 .41803 L
.4775 .41894 L
.47833 .42011 L
.47864 .42054 L
.47993 .42211 L
.47998 .42215 L
.48123 .42375 L
.48154 .42412 L
.48264 .42536 L
.48314 .42622 L
.48372 .42696 L
.48475 .42831 L
.48488 .42857 L
.48624 .43017 L
.48636 .43029 L
.48776 .43178 L
.48796 .43237 L
.48879 .43338 L
.48957 .43449 L
.48991 .43499 L
.49117 .43654 L
.49123 .43659 L
.49246 .4382 L
.49278 .43856 L
.49386 .4398 L
.49438 .44068 L
.49494 .44141 L
.49599 .44278 L
.49609 .44301 L
.49742 .44462 L
.49759 .44478 L
.49894 .44622 L
.4992 .44689 L
.49997 .44783 L
.5008 .44901 L
.50108 .44943 L
.50237 .45104 L
.50241 .45106 L
.5036 .45265 L
.50401 .4531 L
.50501 .45425 L
.50562 .45524 L
.50608 .45586 L
.50722 .45735 L
.50727 .45746 L
.50853 .45907 L
.50883 .45933 L
.51009 .46067 L
.51043 .46147 L
.51108 .46228 L
.51204 .46361 L
.51221 .46388 L
.51347 .46549 L
.51364 .46557 L
.51469 .46709 L
.51525 .46769 L
.51611 .4687 L
.51686 .46987 L
.51718 .4703 L
.51839 .47191 L
.51846 .47199 L
.51961 .47351 L
.52007 .4739 L
.52118 .47512 L
.52167 .47611 L
.52215 .47672 L
.52328 .47828 L
.52331 .47833 L
.52452 .47993 L
.52488 .48007 L
.52574 .48154 L
.52649 .48235 L
.52715 .48314 L
.52809 .48457 L
.52822 .48475 L
.52942 .48636 L
.5297 .48671 L
.53063 .48796 L
.5313 .48856 L
.53217 .48957 L
.53291 .49086 L
.53315 .49117 L
.53431 .49278 L
.53451 .49304 L
.53551 .49438 L
.53612 .49516 L
.53673 .49599 L
.53772 .49716 L
.53806 .49759 L
.53917 .4992 L
.53933 .4994 L
.54035 .5008 L
.54093 .50155 L
.54156 .50241 L
.54254 .5035 L
.54295 .50401 L
.54398 .50562 L
.54414 .50583 L
.54514 .50722 L
.54575 .50802 L
.54632 .50883 L
.54735 .51019 L
.54753 .51043 L
.54868 .51204 L
.54896 .51241 L
.5498 .51364 L
.55057 .51468 L
.55094 .51525 L
.55208 .51686 L
.55217 .51698 L
.55305 .51846 L
.55378 .5196 L
.55398 .52007 L
.55378 .52062 L
.55313 .52007 L
.55217 .51923 L
.55141 .51846 L
.55057 .51761 L
.54986 .51686 L
.54896 .51607 L
.54837 .51525 L
.54735 .51411 L
.54671 .51364 L
.54575 .51224 L
.54557 .51204 L
.54414 .51043 L
.54414 .51043 L
.54277 .50883 L
.54254 .50858 L
.54141 .50722 L
.54093 .50661 L
.54002 .50562 L
.53933 .5046 L
.53888 .50401 L
.53772 .5026 L
.53766 .50241 L
.53616 .5008 L
.53612 .50075 L
.53472 .4992 L
.53451 .49872 L
.53362 .49759 L
.53291 .49664 L
.5325 .49599 L
.5313 .49457 L
.53102 .49438 L
.52976 .49278 L
.5297 .49269 L
.52847 .49117 L
.52809 .4906 L
.52736 .48957 L
.52649 .48847 L
.5263 .48796 L
.52488 .48641 L
.52471 .48636 L
.52341 .48475 L
.52328 .48449 L
.52226 .48314 L
.52167 .48236 L
.52119 .48154 L
.52007 .48022 L
.5197 .47993 L
.51848 .47833 L
.51846 .47831 L
.51721 .47672 L
.51686 .4762 L
.51611 .47512 L
.51525 .47405 L
.51509 .47351 L
.51364 .47197 L
.5135 .47191 L
.5122 .4703 L
.51204 .47 L
.51106 .4687 L
.51043 .46787 L
.51 .46709 L
.50883 .46574 L
.50854 .46549 L
.50724 .46388 L
.50722 .46377 L
.50604 .46228 L
.50562 .46166 L
.50496 .46067 L
.50401 .45952 L
.50391 .45907 L
.50241 .45748 L
.50237 .45746 L
.50104 .45586 L
.5008 .45543 L
.49993 .45425 L
.4992 .45329 L
.49886 .45265 L
.49759 .45119 L
.49743 .45104 L
.49603 .44943 L
.49599 .44917 L
.49493 .44783 L
.49438 .44705 L
.49384 .44622 L
.49278 .44492 L
.49273 .44462 L
.49129 .44301 L
.49117 .4429 L
.48992 .44141 L
.48957 .44079 L
.48885 .4398 L
.48796 .43865 L
.48774 .4382 L
.48638 .43659 L
.48636 .43658 L
.48487 .43499 L
.48475 .43453 L
.48386 .43338 L
.48314 .43237 L
.48277 .43178 L
.48154 .43023 L
.48153 .43017 L
.48028 .42857 L
.47993 .42827 L
.47885 .42696 L
.47833 .42607 L
.47782 .42536 L
.47672 .4239 L
.47665 .42375 L
.47541 .42215 L
.47512 .42203 L
.4738 .42054 L
.47351 .41976 L
.47289 .41894 L
.47191 .41753 L
.47179 .41733 L
.47058 .41572 L
.4703 .41535 L
.46939 .41412 L
.4687 .41344 L
.46799 .41251 L
.46709 .41108 L
.46698 .41091 L
.46583 .4093 L
.46549 .40885 L
.46466 .4077 L
.46388 .40665 L
.46315 .40609 L
.46231 .40449 L
.46228 .40444 L
.46121 .40288 L
.46067 .40214 L
.46009 .40128 L
.45907 .39982 L
.45897 .39967 L
.45796 .39807 L
.45746 .39731 L
.457 .39646 L
F
0 .59 1 r
.45746 .50016 m
.45805 .5008 L
.45907 .50186 L
.45954 .50241 L
.46067 .50367 L
.46096 .50401 L
.46228 .50551 L
.46233 .50562 L
.46366 .50722 L
.46388 .50747 L
.46499 .50883 L
.46549 .50942 L
.46631 .51043 L
.46709 .51138 L
.46763 .51204 L
.4687 .51328 L
.46915 .51364 L
.47021 .51525 L
.4703 .51536 L
.47148 .51686 L
.47191 .51738 L
.47276 .51846 L
.47351 .51912 L
.47404 .52007 L
.47512 .52139 L
.47539 .52167 L
.47656 .52328 L
.47672 .52348 L
.47781 .52488 L
.47833 .52554 L
.47906 .52649 L
.47993 .52746 L
.48061 .52809 L
.48154 .52966 L
.48157 .5297 L
.48279 .5313 L
.48314 .53175 L
.48402 .53291 L
.48475 .5335 L
.48526 .53451 L
.48636 .53589 L
.48656 .53612 L
.48771 .53772 L
.48796 .53804 L
.48892 .53933 L
.48957 .54016 L
.49014 .54093 L
.49117 .54217 L
.49152 .54254 L
.49256 .54414 L
.49278 .54442 L
.49375 .54575 L
.49438 .54658 L
.49495 .54735 L
.49599 .54855 L
.49615 .54896 L
.49731 .55057 L
.49759 .55094 L
.49845 .55217 L
.4992 .55317 L
.49962 .55378 L
.50078 .55538 L
.5008 .55541 L
.50182 .55699 L
.50241 .55782 L
.50287 .55859 L
.50241 .55932 L
.50177 .55859 L
.5008 .55759 L
.5003 .55699 L
.4992 .55576 L
.49889 .55538 L
.49759 .55393 L
.49752 .55378 L
.4962 .55217 L
.49599 .55193 L
.49489 .55057 L
.49438 .54997 L
.49358 .54896 L
.49278 .54799 L
.49227 .54735 L
.49117 .5461 L
.49073 .54575 L
.48969 .54414 L
.48957 .54399 L
.48844 .54254 L
.48796 .54196 L
.48717 .54093 L
.48636 .54028 L
.48589 .53933 L
.48475 .53794 L
.48453 .53772 L
.48337 .53612 L
.48314 .53584 L
.48214 .53451 L
.48154 .53377 L
.48088 .53291 L
.47993 .53187 L
.4793 .5313 L
.47838 .5297 L
.47833 .52964 L
.47716 .52809 L
.47672 .52754 L
.47593 .52649 L
.47512 .52585 L
.47469 .52488 L
.47351 .52339 L
.4734 .52328 L
.47225 .52167 L
.47191 .52124 L
.47104 .52007 L
.4703 .51912 L
.46981 .51846 L
.4687 .5171 L
.46845 .51686 L
.46739 .51525 L
.46709 .51486 L
.46621 .51364 L
.46549 .51271 L
.46501 .51204 L
.46388 .51056 L
.46379 .51043 L
.46264 .50883 L
.46228 .50835 L
.4615 .50722 L
.46067 .50613 L
.46033 .50562 L
.45916 .50401 L
.45907 .50388 L
.45813 .50241 L
.45746 .50147 L
.45709 .5008 L
F
1 .2 0 r
.45746 .50686 m
.45774 .50722 L
.45907 .50873 L
.45914 .50883 L
.45907 .5101 L
.45824 .50883 L
.45746 .50784 L
.45709 .50722 L
F
1 .84 .007 r
.45746 .409 m
.45772 .4093 L
.45907 .41068 L
.45925 .41091 L
.46067 .4125 L
.46068 .41251 L
.462 .41412 L
.46228 .41442 L
.46331 .41572 L
.46388 .41637 L
.46463 .41733 L
.46549 .41834 L
.46595 .41894 L
.46709 .42031 L
.46727 .42054 L
.46855 .42215 L
.4687 .42232 L
.4698 .42375 L
.4703 .42436 L
.47106 .42536 L
.47191 .42639 L
.47234 .42696 L
.47351 .42833 L
.47362 .42857 L
.47486 .43017 L
.47512 .43049 L
.47609 .43178 L
.47672 .43256 L
.47734 .43338 L
.47833 .43463 L
.4786 .43499 L
.47984 .43659 L
.47993 .43671 L
.48104 .4382 L
.48154 .43882 L
.48226 .4398 L
.48314 .44092 L
.4835 .44141 L
.48475 .44301 L
.48475 .44301 L
.48592 .44462 L
.48636 .44516 L
.48711 .44622 L
.48796 .44731 L
.48833 .44783 L
.48956 .44943 L
.48957 .44944 L
.4907 .45104 L
.49117 .45165 L
.49185 .45265 L
.49278 .45386 L
.49304 .45425 L
.49419 .45586 L
.49438 .45612 L
.49521 .45746 L
.49599 .45857 L
.49623 .45907 L
.49599 .45943 L
.49565 .45907 L
.49438 .45776 L
.49412 .45746 L
.49278 .45594 L
.4927 .45586 L
.49135 .45425 L
.49117 .45405 L
.49001 .45265 L
.48957 .45213 L
.48868 .45104 L
.48796 .45018 L
.48735 .44943 L
.48636 .44853 L
.48604 .44783 L
.48475 .44622 L
.48475 .44622 L
.48348 .44462 L
.48314 .44421 L
.4822 .44301 L
.48154 .44219 L
.48092 .44141 L
.47993 .44031 L
.47927 .4398 L
.4784 .4382 L
.47833 .43811 L
.47716 .43659 L
.47672 .43605 L
.4759 .43499 L
.47512 .43446 L
.47465 .43338 L
.47351 .43194 L
.47335 .43178 L
.4722 .43017 L
.47191 .4298 L
.47097 .42857 L
.4703 .4277 L
.46974 .42696 L
.4687 .42572 L
.4683 .42536 L
.46733 .42375 L
.46709 .42345 L
.46613 .42215 L
.46549 .4213 L
.46493 .42054 L
.46388 .41914 L
.46373 .41894 L
.46258 .41733 L
.46228 .41694 L
.46143 .41572 L
.46067 .4147 L
.46027 .41412 L
.45913 .41251 L
.45907 .41243 L
.45812 .41091 L
.45746 .40995 L
.45712 .4093 L
F
1 .92 .084 r
.45746 .44463 m
.45907 .44562 L
.45972 .44622 L
.46067 .44716 L
.46203 .44783 L
.46228 .44889 L
.46293 .44943 L
.46388 .45075 L
.46417 .45104 L
.46549 .45261 L
.4655 .45265 L
.46689 .45425 L
.46709 .45449 L
.46833 .45586 L
.4687 .45654 L
.46941 .45746 L
.4703 .45863 L
.47053 .45907 L
.47191 .46067 L
.47191 .46067 L
.47344 .46228 L
.47351 .46241 L
.47434 .46388 L
.47512 .46476 L
.47532 .46549 L
.47621 .46709 L
.47512 .46834 L
.47351 .46759 L
.47297 .46709 L
.47191 .4656 L
.47111 .46549 L
.4703 .46407 L
.47001 .46388 L
.46879 .46228 L
.4687 .46217 L
.46754 .46067 L
.46709 .4604 L
.4663 .45907 L
.46549 .45817 L
.46489 .45746 L
.46388 .45594 L
.46382 .45586 L
.46264 .45425 L
.46228 .45377 L
.46146 .45265 L
.46067 .45158 L
.46 .45104 L
.45913 .44943 L
.45907 .44934 L
.45809 .44783 L
.45746 .44682 L
.45714 .44622 L
F
1 .86 .013 r
.45746 .49349 m
.45836 .49438 L
.45907 .49507 L
.4599 .49599 L
.46067 .49681 L
.46137 .49759 L
.46228 .49834 L
.46278 .4992 L
.46388 .50044 L
.46437 .5008 L
.46549 .50237 L
.46552 .50241 L
.46686 .50401 L
.46709 .50428 L
.4682 .50562 L
.4687 .50611 L
.46953 .50722 L
.4703 .50817 L
.47093 .50883 L
.47191 .51018 L
.4721 .51043 L
.47343 .51204 L
.47351 .51208 L
.47473 .51364 L
.47512 .51409 L
.47626 .51525 L
.47672 .51616 L
.47728 .51686 L
.47833 .51821 L
.47847 .51846 L
.47983 .52007 L
.47993 .52016 L
.48111 .52167 L
.48154 .52221 L
.48244 .52328 L
.48314 .5243 L
.48355 .52488 L
.48475 .52636 L
.48478 .52649 L
.48614 .52809 L
.48636 .52834 L
.48757 .5297 L
.48796 .53044 L
.48862 .5313 L
.48957 .53254 L
.48976 .53291 L
.49113 .53451 L
.49117 .53455 L
.49272 .53612 L
.49278 .53661 L
.49369 .53772 L
.49438 .53873 L
.49478 .53933 L
.49599 .54082 L
.49601 .54093 L
.49733 .54254 L
.49759 .54282 L
.49876 .54414 L
.4992 .54495 L
.4998 .54575 L
.5008 .54707 L
.50095 .54735 L
.50226 .54896 L
.50241 .54906 L
.50388 .55057 L
.50401 .55118 L
.50481 .55217 L
.50562 .55334 L
.5059 .55378 L
.50717 .55538 L
.50722 .55545 L
.50839 .55699 L
.50883 .55743 L
.50983 .55859 L
.51043 .55963 L
.51085 .5602 L
.51204 .56178 L
.51205 .5618 L
.51326 .56341 L
.51364 .56365 L
.51493 .56501 L
.51525 .56594 L
.51578 .56662 L
.51686 .56816 L
.51689 .56822 L
.51808 .56983 L
.51846 .57032 L
.51928 .57143 L
.52007 .57229 L
.52067 .57304 L
.52167 .57463 L
.52168 .57464 L
.52284 .57625 L
.52328 .57682 L
.52402 .57785 L
.52488 .57872 L
.52549 .57946 L
.52635 .58106 L
.52649 .58124 L
.52747 .58267 L
.52809 .58352 L
.5286 .58428 L
.5297 .58583 L
.52973 .58588 L
.53074 .58749 L
.5313 .58832 L
.53173 .58909 L
.5313 .59 L
.53041 .58909 L
.5297 .5884 L
.52888 .58749 L
.52809 .58665 L
.52743 .58588 L
.52649 .58513 L
.52602 .58428 L
.52488 .583 L
.52442 .58267 L
.52329 .58106 L
.52328 .58104 L
.52198 .57946 L
.52167 .5791 L
.52066 .57785 L
.52007 .57731 L
.51934 .57625 L
.51846 .57521 L
.51788 .57464 L
.51686 .57317 L
.51674 .57304 L
.51547 .57143 L
.51525 .57136 L
.51419 .56983 L
.51364 .56925 L
.51253 .56822 L
.51204 .56714 L
.51158 .56662 L
.51043 .56508 L
.51038 .56501 L
.50912 .56341 L
.50883 .56318 L
.50787 .5618 L
.50722 .56106 L
.50642 .5602 L
.50562 .55894 L
.50534 .55859 L
.5041 .55699 L
.50401 .55688 L
.50286 .55538 L
.50241 .55493 L
.50125 .55378 L
.5008 .55278 L
.50029 .55217 L
.4992 .55068 L
.49912 .55057 L
.49788 .54896 L
.49759 .54877 L
.49664 .54735 L
.49599 .54661 L
.49522 .54575 L
.49438 .54446 L
.49414 .54414 L
.49292 .54254 L
.49278 .54236 L
.4917 .54093 L
.49117 .54043 L
.49011 .53933 L
.48957 .53823 L
.48915 .53772 L
.48798 .53612 L
.48796 .53609 L
.48677 .53451 L
.48636 .53428 L
.48554 .53291 L
.48475 .53201 L
.48414 .5313 L
.48314 .52981 L
.48306 .5297 L
.48186 .52809 L
.48154 .52769 L
.48064 .52649 L
.47993 .5258 L
.4791 .52488 L
.47833 .52352 L
.47813 .52328 L
.47697 .52167 L
.47672 .52136 L
.47576 .52007 L
.47512 .51964 L
.47455 .51846 L
.47351 .51721 L
.47322 .51686 L
.47211 .51525 L
.47191 .51499 L
.47092 .51364 L
.4703 .51285 L
.46972 .51204 L
.4687 .51085 L
.46834 .51043 L
.4673 .50883 L
.46709 .50856 L
.46614 .50722 L
.46549 .50637 L
.46495 .50562 L
.46388 .5042 L
.46375 .50401 L
.4626 .50241 L
.46228 .50198 L
.46147 .5008 L
.46067 .49972 L
.46032 .4992 L
.45918 .49759 L
.45907 .49744 L
.45816 .49599 L
.45746 .49496 L
.45715 .49438 L
F
1 .19 0 r
.45746 .50698 m
.45765 .50722 L
.45907 .50881 L
.45908 .50883 L
.45907 .51001 L
.45833 .50883 L
.45746 .50772 L
.45718 .50722 L
F
0 .58 1 r
.45746 .50033 m
.45791 .5008 L
.45907 .50197 L
.45945 .50241 L
.46067 .50376 L
.46089 .50401 L
.46227 .50562 L
.46228 .50562 L
.4636 .50722 L
.46388 .50754 L
.46494 .50883 L
.46549 .50947 L
.46626 .51043 L
.46709 .51143 L
.46758 .51204 L
.4687 .51334 L
.46907 .51364 L
.47017 .51525 L
.4703 .51541 L
.47145 .51686 L
.47191 .51742 L
.47273 .51846 L
.47351 .51917 L
.47401 .52007 L
.47512 .52144 L
.47535 .52167 L
.47653 .52328 L
.47672 .52352 L
.47778 .52488 L
.47833 .52558 L
.47903 .52649 L
.47993 .5275 L
.48056 .52809 L
.48153 .5297 L
.48154 .5297 L
.48276 .5313 L
.48314 .53179 L
.48399 .53291 L
.48475 .53355 L
.48523 .53451 L
.48636 .53593 L
.48652 .53612 L
.48768 .53772 L
.48796 .53809 L
.48889 .53933 L
.48957 .5402 L
.49011 .54093 L
.49117 .54223 L
.49147 .54254 L
.49252 .54414 L
.49278 .54447 L
.49371 .54575 L
.49438 .54663 L
.49491 .54735 L
.49599 .54865 L
.49611 .54896 L
.49726 .55057 L
.49759 .55101 L
.4984 .55217 L
.4992 .55324 L
.49956 .55378 L
.5007 .55538 L
.5008 .55552 L
.50173 .55699 L
.50241 .55797 L
.50276 .55859 L
.50241 .55917 L
.50189 .55859 L
.5008 .55749 L
.50038 .55699 L
.4992 .55568 L
.49895 .55538 L
.49759 .55382 L
.49757 .55378 L
.49626 .55217 L
.49599 .55187 L
.49494 .55057 L
.49438 .54991 L
.49363 .54896 L
.49278 .54794 L
.49231 .54735 L
.49117 .54604 L
.4908 .54575 L
.48973 .54414 L
.48957 .54395 L
.48847 .54254 L
.48796 .54192 L
.4872 .54093 L
.48636 .54023 L
.48592 .53933 L
.48475 .53789 L
.48458 .53772 L
.48341 .53612 L
.48314 .5358 L
.48216 .53451 L
.48154 .53373 L
.48091 .53291 L
.47993 .53183 L
.47935 .5313 L
.47841 .5297 L
.47833 .5296 L
.47719 .52809 L
.47672 .5275 L
.47596 .52649 L
.47512 .52581 L
.47472 .52488 L
.47351 .52335 L
.47345 .52328 L
.47228 .52167 L
.47191 .52121 L
.47107 .52007 L
.4703 .51909 L
.46984 .51846 L
.4687 .51704 L
.46851 .51686 L
.46743 .51525 L
.46709 .51482 L
.46625 .51364 L
.46549 .51266 L
.46504 .51204 L
.46388 .51051 L
.46383 .51043 L
.46269 .50883 L
.46228 .50829 L
.46155 .50722 L
.46067 .50606 L
.46038 .50562 L
.45924 .50401 L
.45907 .50378 L
.45822 .50241 L
.45746 .5013 L
.4572 .5008 L
F
0 .67 1 r
.45746 .45107 m
.45907 .45256 L
.45912 .45265 L
.46056 .45425 L
.46067 .45437 L
.46191 .45586 L
.46228 .45629 L
.46319 .45746 L
.46388 .45834 L
.46443 .45907 L
.46549 .46052 L
.46559 .46067 L
.46659 .46228 L
.46709 .46327 L
.46727 .46388 L
.46709 .46411 L
.4666 .46388 L
.46549 .46305 L
.46474 .46228 L
.46388 .46138 L
.46329 .46067 L
.46228 .45949 L
.46195 .45907 L
.46067 .45747 L
.46066 .45746 L
.45951 .45586 L
.45907 .45527 L
.45838 .45425 L
.45746 .45291 L
.4573 .45265 L
F
1 .18 0 r
.45746 .50712 m
.45754 .50722 L
.45746 .50754 L
.45732 .50722 L
F
.114 .93 1 r
.45746 .47198 m
.45907 .47245 L
.46033 .47351 L
.46067 .47384 L
.46182 .47512 L
.46228 .47532 L
.46316 .47672 L
.46388 .4774 L
.46446 .47833 L
.46549 .47953 L
.46588 .47993 L
.46699 .48154 L
.46709 .48166 L
.4682 .48314 L
.4687 .48378 L
.46941 .48475 L
.4703 .4856 L
.47089 .48636 L
.47182 .48796 L
.47191 .48808 L
.47294 .48957 L
.47351 .49037 L
.47404 .49117 L
.47509 .49278 L
.47512 .49282 L
.47571 .49438 L
.47512 .49483 L
.47436 .49438 L
.47351 .49378 L
.47241 .49278 L
.47191 .49241 L
.47083 .49117 L
.4703 .4906 L
.46938 .48957 L
.4687 .48872 L
.46795 .48796 L
.46709 .48677 L
.46677 .48636 L
.46549 .48482 L
.46547 .48475 L
.46412 .48314 L
.46388 .48289 L
.46272 .48154 L
.46228 .48078 L
.46169 .47993 L
.46067 .47861 L
.46056 .47833 L
.45931 .47672 L
.45907 .47635 L
.45773 .47512 L
.45746 .47372 L
.45733 .47351 L
F
1 .91 .061 r
.45746 .44509 m
.45907 .44588 L
.45945 .44622 L
.46067 .44735 L
.46181 .44783 L
.46228 .44904 L
.46279 .44943 L
.46388 .45085 L
.46408 .45104 L
.46548 .45265 L
.46549 .45265 L
.46681 .45425 L
.46709 .45459 L
.46827 .45586 L
.4687 .45663 L
.46934 .45746 L
.4703 .45871 L
.47048 .45907 L
.47183 .46067 L
.47191 .46077 L
.47342 .46228 L
.47351 .46248 L
.47425 .46388 L
.47512 .46507 L
.47522 .46549 L
.47603 .46709 L
.47512 .46814 L
.47351 .46745 L
.47311 .46709 L
.47191 .46557 L
.47123 .46549 L
.4703 .46402 L
.47009 .46388 L
.46884 .46228 L
.4687 .4621 L
.46759 .46067 L
.46709 .46035 L
.46635 .45907 L
.46549 .4581 L
.46495 .45746 L
.46388 .45586 L
.46388 .45586 L
.4627 .45425 L
.46228 .45369 L
.46153 .45265 L
.46067 .45148 L
.46011 .45104 L
.45923 .44943 L
.45907 .44919 L
.45823 .44783 L
.45746 .4465 L
.45734 .44622 L
F
0 .57 1 r
.45746 .50057 m
.45771 .5008 L
.45907 .50208 L
.45935 .50241 L
.46067 .50385 L
.46081 .50401 L
.4622 .50562 L
.46228 .5057 L
.46354 .50722 L
.46388 .50761 L
.46488 .50883 L
.46549 .50953 L
.46622 .51043 L
.46709 .51149 L
.46754 .51204 L
.4687 .51341 L
.469 .51364 L
.47013 .51525 L
.4703 .51546 L
.47141 .51686 L
.47191 .51747 L
.47269 .51846 L
.47351 .51922 L
.47397 .52007 L
.47512 .52149 L
.4753 .52167 L
.47649 .52328 L
.47672 .52356 L
.47774 .52488 L
.47833 .52562 L
.479 .52649 L
.47993 .52755 L
.48051 .52809 L
.4815 .5297 L
.48154 .52974 L
.48273 .5313 L
.48314 .53183 L
.48396 .53291 L
.48475 .53359 L
.4852 .53451 L
.48636 .53598 L
.48648 .53612 L
.48764 .53772 L
.48796 .53813 L
.48886 .53933 L
.48957 .54025 L
.49008 .54093 L
.49117 .54229 L
.49141 .54254 L
.49248 .54414 L
.49278 .54452 L
.49367 .54575 L
.49438 .54668 L
.49487 .54735 L
.49599 .54875 L
.49607 .54896 L
.49721 .55057 L
.49759 .55108 L
.49835 .55217 L
.4992 .55332 L
.49951 .55378 L
.50062 .55538 L
.5008 .55563 L
.50163 .55699 L
.50241 .55815 L
.50263 .55859 L
.50241 .55898 L
.50204 .55859 L
.5008 .55738 L
.50047 .55699 L
.4992 .5556 L
.49902 .55538 L
.49763 .55378 L
.49759 .55373 L
.49631 .55217 L
.49599 .5518 L
.49499 .55057 L
.49438 .54986 L
.49367 .54896 L
.49278 .54789 L
.49235 .54735 L
.49117 .54598 L
.49088 .54575 L
.48977 .54414 L
.48957 .5439 L
.4885 .54254 L
.48796 .54188 L
.48723 .54093 L
.48636 .54018 L
.48595 .53933 L
.48475 .53785 L
.48462 .53772 L
.48344 .53612 L
.48314 .53576 L
.48219 .53451 L
.48154 .5337 L
.48094 .53291 L
.47993 .53178 L
.4794 .5313 L
.47844 .5297 L
.47833 .52956 L
.47722 .52809 L
.47672 .52747 L
.47599 .52649 L
.47512 .52576 L
.47475 .52488 L
.47351 .5233 L
.47349 .52328 L
.47231 .52167 L
.47191 .52117 L
.4711 .52007 L
.4703 .51905 L
.46987 .51846 L
.4687 .51698 L
.46857 .51686 L
.46747 .51525 L
.46709 .51477 L
.46628 .51364 L
.46549 .51261 L
.46508 .51204 L
.46388 .51046 L
.46386 .51043 L
.46274 .50883 L
.46228 .50823 L
.4616 .50722 L
.46067 .50599 L
.46043 .50562 L
.45932 .50401 L
.45907 .50367 L
.45833 .50241 L
.45746 .50107 L
.45736 .5008 L
F
0 .66 1 r
.45746 .45122 m
.45902 .45265 L
.45907 .45268 L
.46049 .45425 L
.46067 .45445 L
.46184 .45586 L
.46228 .45637 L
.46314 .45746 L
.46388 .45841 L
.46437 .45907 L
.46549 .46061 L
.46553 .46067 L
.4665 .46228 L
.46549 .46296 L
.46482 .46228 L
.46388 .46131 L
.46334 .46067 L
.46228 .45943 L
.46199 .45907 L
.46072 .45746 L
.46067 .4574 L
.45956 .45586 L
.45907 .45519 L
.45844 .45425 L
.45746 .4528 L
.45737 .45265 L
F
0 .65 1 r
.45746 .45141 m
.45891 .45265 L
.45907 .45279 L
.46041 .45425 L
.46067 .45453 L
.46178 .45586 L
.46228 .45644 L
.46308 .45746 L
.46388 .45848 L
.46431 .45907 L
.46547 .46067 L
.46549 .4607 L
.46641 .46228 L
.46549 .46286 L
.4649 .46228 L
.46388 .46124 L
.4634 .46067 L
.46228 .45936 L
.46204 .45907 L
.46078 .45746 L
.46067 .45732 L
.45962 .45586 L
.45907 .4551 L
.4585 .45425 L
.45746 .45267 L
.45745 .45265 L
F
1 .85 .01 r
.45746 .49418 m
.45788 .49438 L
.45907 .49536 L
.45966 .49599 L
.46067 .49703 L
.46118 .49759 L
.46228 .49857 L
.46263 .4992 L
.46388 .50062 L
.46415 .5008 L
.4654 .50241 L
.46549 .50251 L
.46676 .50401 L
.46709 .50441 L
.46811 .50562 L
.4687 .50621 L
.46944 .50722 L
.4703 .50827 L
.47085 .50883 L
.47191 .51026 L
.47204 .51043 L
.47336 .51204 L
.47351 .51212 L
.47466 .51364 L
.47512 .51417 L
.47621 .51525 L
.47672 .51624 L
.47723 .51686 L
.47833 .51827 L
.47844 .51846 L
.47978 .52007 L
.47993 .52021 L
.48106 .52167 L
.48154 .52228 L
.4824 .52328 L
.48314 .52436 L
.48351 .52488 L
.48475 .5264 L
.48477 .52649 L
.48609 .52809 L
.48636 .52839 L
.48754 .5297 L
.48796 .53049 L
.48859 .5313 L
.48957 .53259 L
.48974 .53291 L
.49109 .53451 L
.49117 .53458 L
.49272 .53612 L
.49278 .53666 L
.49365 .53772 L
.49438 .53878 L
.49475 .53933 L
.49599 .54086 L
.496 .54093 L
.49729 .54254 L
.49759 .54286 L
.49873 .54414 L
.4992 .54499 L
.49976 .54575 L
.5008 .54712 L
.50092 .54735 L
.50222 .54896 L
.50241 .54909 L
.50387 .55057 L
.50401 .55123 L
.50477 .55217 L
.50562 .55339 L
.50587 .55378 L
.50713 .55538 L
.50722 .5555 L
.50835 .55699 L
.50883 .55747 L
.50979 .55859 L
.51043 .55968 L
.51081 .5602 L
.51201 .5618 L
.51204 .56184 L
.51321 .56341 L
.51364 .5637 L
.51489 .56501 L
.51525 .56601 L
.51572 .56662 L
.51684 .56822 L
.51686 .56824 L
.51803 .56983 L
.51846 .5704 L
.51923 .57143 L
.52007 .57238 L
.5206 .57304 L
.52161 .57464 L
.52167 .57472 L
.52277 .57625 L
.52328 .57693 L
.52394 .57785 L
.52488 .57889 L
.52535 .57946 L
.52625 .58106 L
.52649 .58138 L
.52736 .58267 L
.52809 .58369 L
.52848 .58428 L
.52957 .58588 L
.5297 .58607 L
.53052 .58749 L
.5313 .58881 L
.53141 .58909 L
.5313 .58947 L
.53083 .58909 L
.5297 .58813 L
.5291 .58749 L
.52809 .58645 L
.52759 .58588 L
.52649 .58491 L
.52616 .58428 L
.52488 .58284 L
.52464 .58267 L
.52341 .58106 L
.52328 .58092 L
.52207 .57946 L
.52167 .57899 L
.52074 .57785 L
.52007 .57722 L
.51942 .57625 L
.51846 .57512 L
.51796 .57464 L
.51686 .57309 L
.51681 .57304 L
.51553 .57143 L
.51525 .57133 L
.51425 .56983 L
.51364 .56918 L
.51258 .56822 L
.51204 .56708 L
.51163 .56662 L
.51043 .56503 L
.51042 .56501 L
.50917 .56341 L
.50883 .56314 L
.50791 .5618 L
.50722 .56101 L
.50647 .5602 L
.50562 .5589 L
.50538 .55859 L
.50414 .55699 L
.50401 .55683 L
.50289 .55538 L
.50241 .55489 L
.50128 .55378 L
.5008 .55274 L
.50032 .55217 L
.4992 .55064 L
.49915 .55057 L
.49791 .54896 L
.49759 .54875 L
.49667 .54735 L
.49599 .54657 L
.49525 .54575 L
.49438 .54442 L
.49417 .54414 L
.49295 .54254 L
.49278 .54232 L
.49173 .54093 L
.49117 .5404 L
.49014 .53933 L
.48957 .53819 L
.48918 .53772 L
.48801 .53612 L
.48796 .53605 L
.4868 .53451 L
.48636 .53425 L
.48557 .53291 L
.48475 .53197 L
.48418 .5313 L
.48314 .52977 L
.48309 .5297 L
.48189 .52809 L
.48154 .52765 L
.48067 .52649 L
.47993 .52575 L
.47914 .52488 L
.47833 .52347 L
.47817 .52328 L
.477 .52167 L
.47672 .52131 L
.4758 .52007 L
.47512 .51958 L
.47458 .51846 L
.47351 .51714 L
.47327 .51686 L
.47215 .51525 L
.47191 .51493 L
.47097 .51364 L
.4703 .51278 L
.46976 .51204 L
.4687 .51076 L
.46842 .51043 L
.46736 .50883 L
.46709 .50848 L
.4662 .50722 L
.46549 .50629 L
.46502 .50562 L
.46388 .50411 L
.46382 .50401 L
.46269 .50241 L
.46228 .50186 L
.46157 .5008 L
.46067 .49957 L
.46042 .4992 L
.45934 .49759 L
.45907 .4972 L
.45838 .49599 L
.45746 .4944 L
.45746 .49438 L
F
.084 .92 1 r
.45907 .47266 m
.46015 .47351 L
.46067 .47398 L
.46171 .47512 L
.46228 .47539 L
.46308 .47672 L
.46388 .47749 L
.46439 .47833 L
.46549 .47963 L
.46579 .47993 L
.46693 .48154 L
.46709 .48175 L
.46813 .48314 L
.4687 .48387 L
.46935 .48475 L
.4703 .48574 L
.47078 .48636 L
.47174 .48796 L
.47191 .48819 L
.47284 .48957 L
.47351 .49053 L
.47392 .49117 L
.47487 .49278 L
.47351 .4935 L
.47268 .49278 L
.47191 .49223 L
.47102 .49117 L
.4703 .49042 L
.46953 .48957 L
.4687 .48856 L
.46808 .48796 L
.46709 .48664 L
.46686 .48636 L
.4655 .48475 L
.46549 .48475 L
.46422 .48314 L
.46388 .48278 L
.4628 .48154 L
.46228 .48065 L
.46178 .47993 L
.46067 .47846 L
.46062 .47833 L
.45944 .47672 L
.45907 .47616 L
.45786 .47512 L
.45758 .47351 L
F
1 .9 .045 r
.45907 .44617 m
.45913 .44622 L
.46067 .44753 L
.46148 .44783 L
.46228 .44917 L
.46264 .44943 L
.46388 .45094 L
.46399 .45104 L
.46539 .45265 L
.46549 .45273 L
.46672 .45425 L
.46709 .45468 L
.46821 .45586 L
.4687 .45673 L
.46927 .45746 L
.4703 .4588 L
.47044 .45907 L
.47176 .46067 L
.47191 .46087 L
.47339 .46228 L
.47351 .46257 L
.47417 .46388 L
.47512 .46546 L
.47513 .46549 L
.47584 .46709 L
.47512 .46793 L
.47351 .4673 L
.47326 .46709 L
.47191 .46554 L
.47136 .46549 L
.4703 .46397 L
.47017 .46388 L
.4689 .46228 L
.4687 .46203 L
.46765 .46067 L
.46709 .4603 L
.4664 .45907 L
.46549 .45803 L
.46501 .45746 L
.46393 .45586 L
.46388 .45579 L
.46276 .45425 L
.46228 .4536 L
.46159 .45265 L
.46067 .45138 L
.46023 .45104 L
.45934 .44943 L
.45907 .44902 L
.45837 .44783 L
.45761 .44622 L
F
.061 .91 1 r
.45907 .47288 m
.45995 .47351 L
.46067 .47413 L
.46159 .47512 L
.46228 .47547 L
.463 .47672 L
.46388 .47759 L
.46432 .47833 L
.46549 .47972 L
.4657 .47993 L
.46686 .48154 L
.46709 .48183 L
.46807 .48314 L
.4687 .48395 L
.46928 .48475 L
.4703 .48589 L
.47066 .48636 L
.47164 .48796 L
.47191 .48832 L
.47273 .48957 L
.47351 .49071 L
.47379 .49117 L
.4746 .49278 L
.47351 .49319 L
.47299 .49278 L
.47191 .49203 L
.47122 .49117 L
.4703 .49025 L
.46969 .48957 L
.4687 .48841 L
.46821 .48796 L
.46709 .48652 L
.46695 .48636 L
.46561 .48475 L
.46549 .48471 L
.46432 .48314 L
.46388 .48267 L
.46288 .48154 L
.46228 .48052 L
.46187 .47993 L
.46068 .47833 L
.46067 .47831 L
.45956 .47672 L
.45907 .47595 L
.45804 .47512 L
.45783 .47351 L
F
.045 .9 1 r
.45907 .47311 m
.4597 .47351 L
.46067 .47428 L
.46147 .47512 L
.46228 .47557 L
.46291 .47672 L
.46388 .47769 L
.46425 .47833 L
.46549 .47982 L
.4656 .47993 L
.46679 .48154 L
.46709 .48192 L
.468 .48314 L
.4687 .48404 L
.46921 .48475 L
.4703 .48606 L
.47053 .48636 L
.47155 .48796 L
.47191 .48846 L
.47262 .48957 L
.47351 .49093 L
.47365 .49117 L
.47414 .49278 L
.47351 .49284 L
.47342 .49278 L
.47191 .49178 L
.47143 .49117 L
.4703 .49007 L
.46985 .48957 L
.4687 .48826 L
.46835 .48796 L
.46709 .4864 L
.46705 .48636 L
.46572 .48475 L
.46549 .48468 L
.46442 .48314 L
.46388 .48256 L
.46297 .48154 L
.46228 .48038 L
.46197 .47993 L
.46079 .47833 L
.46067 .47815 L
.45968 .47672 L
.45907 .47573 L
.45829 .47512 L
.45811 .47351 L
F
.024 .88 1 r
.45907 .4041 m
.45942 .40449 L
.46067 .40578 L
.46094 .40609 L
.46228 .4075 L
.46239 .4077 L
.46377 .4093 L
.46388 .40943 L
.46511 .41091 L
.46549 .41133 L
.46645 .41251 L
.46709 .41326 L
.46778 .41412 L
.4687 .41509 L
.46957 .41572 L
.4703 .41717 L
.47046 .41733 L
.4717 .41894 L
.47191 .41918 L
.47298 .42054 L
.47351 .42091 L
.47426 .42215 L
.47512 .42312 L
.47578 .42375 L
.47672 .42522 L
.47684 .42536 L
.47808 .42696 L
.47833 .42726 L
.47934 .42857 L
.47993 .42913 L
.48113 .43017 L
.48154 .43131 L
.48197 .43178 L
.48312 .43338 L
.48314 .43341 L
.48436 .43499 L
.48475 .43518 L
.4856 .43659 L
.48636 .43743 L
.4871 .4382 L
.48796 .43959 L
.48814 .4398 L
.48934 .44141 L
.48957 .44169 L
.49057 .44301 L
.49117 .44355 L
.49231 .44462 L
.49278 .44578 L
.49316 .44622 L
.4943 .44783 L
.49438 .44793 L
.49552 .44943 L
.49599 .44962 L
.49675 .45104 L
.49759 .45198 L
.4982 .45265 L
.4992 .45419 L
.49924 .45425 L
.50044 .45586 L
.5008 .45632 L
.50166 .45746 L
.50241 .45816 L
.5033 .45907 L
.50401 .46048 L
.50417 .46067 L
.50533 .46228 L
.50562 .46264 L
.50654 .46388 L
.50722 .46476 L
.50776 .46549 L
.50883 .46679 L
.50909 .46709 L
.51019 .4687 L
.51043 .46901 L
.51137 .4703 L
.51204 .47116 L
.51258 .47191 L
.51364 .47316 L
.51396 .47351 L
.51498 .47512 L
.51525 .47546 L
.51615 .47672 L
.51686 .47765 L
.51733 .47833 L
.51846 .47983 L
.51853 .47993 L
.51966 .48154 L
.52007 .48208 L
.52078 .48314 L
.52167 .48436 L
.52192 .48475 L
.52302 .48636 L
.52328 .48673 L
.52396 .48796 L
.52328 .48842 L
.52283 .48796 L
.52167 .48675 L
.52131 .48636 L
.52007 .48507 L
.51988 .48475 L
.51849 .48314 L
.51846 .48312 L
.51712 .48154 L
.51686 .48124 L
.51576 .47993 L
.51525 .47933 L
.51441 .47833 L
.51364 .47749 L
.51261 .47672 L
.51204 .47544 L
.51174 .47512 L
.51047 .47351 L
.51043 .47346 L
.50917 .47191 L
.50883 .47164 L
.50787 .4703 L
.50722 .46952 L
.50643 .4687 L
.50562 .46746 L
.50533 .46709 L
.50404 .46549 L
.50401 .46546 L
.50276 .46388 L
.50241 .46351 L
.50113 .46228 L
.5008 .46141 L
.50019 .46067 L
.4992 .45933 L
.49903 .45907 L
.49771 .45746 L
.49759 .45738 L
.49645 .45586 L
.49599 .4553 L
.49507 .45425 L
.49438 .45318 L
.49399 .45265 L
.49278 .45111 L
.49275 .45104 L
.49147 .44943 L
.49117 .44914 L
.48991 .44783 L
.48957 .44701 L
.48895 .44622 L
.48796 .44488 L
.4878 .44462 L
.48652 .44301 L
.48636 .44294 L
.48528 .44141 L
.48475 .4408 L
.48391 .4398 L
.48314 .43863 L
.48284 .4382 L
.48159 .43659 L
.48154 .43652 L
.48037 .43499 L
.47993 .43458 L
.47882 .43338 L
.47833 .43236 L
.47788 .43178 L
.47672 .43019 L
.47671 .43017 L
.4755 .42857 L
.47512 .42841 L
.47429 .42696 L
.47351 .42605 L
.47295 .42536 L
.47191 .42381 L
.47187 .42375 L
.47068 .42215 L
.4703 .42164 L
.46949 .42054 L
.4687 .41971 L
.46803 .41894 L
.4671 .41733 L
.46709 .41732 L
.46595 .41572 L
.46549 .41511 L
.46478 .41412 L
.46388 .41289 L
.46361 .41251 L
.46247 .41091 L
.46228 .41064 L
.46137 .4093 L
.46067 .40832 L
.46026 .4077 L
.45918 .40609 L
.45907 .40592 L
.45827 .40449 L
F
0 .56 1 r
.45907 .50221 m
.45924 .50241 L
.46067 .50394 L
.46073 .50401 L
.46212 .50562 L
.46228 .50578 L
.46348 .50722 L
.46388 .50767 L
.46483 .50883 L
.46549 .5096 L
.46617 .51043 L
.46709 .51154 L
.4675 .51204 L
.4687 .51347 L
.46892 .51364 L
.47009 .51525 L
.4703 .51551 L
.47137 .51686 L
.47191 .51751 L
.47266 .51846 L
.47351 .51927 L
.47394 .52007 L
.47512 .52154 L
.47525 .52167 L
.47646 .52328 L
.47672 .5236 L
.47771 .52488 L
.47833 .52566 L
.47897 .52649 L
.47993 .5276 L
.48046 .52809 L
.48147 .5297 L
.48154 .52979 L
.48269 .5313 L
.48314 .53187 L
.48393 .53291 L
.48475 .53364 L
.48517 .53451 L
.48636 .53603 L
.48643 .53612 L
.48761 .53772 L
.48796 .53817 L
.48882 .53933 L
.48957 .54029 L
.49005 .54093 L
.49117 .54236 L
.49135 .54254 L
.49244 .54414 L
.49278 .54457 L
.49363 .54575 L
.49438 .54674 L
.49483 .54735 L
.49599 .54886 L
.49603 .54896 L
.49715 .55057 L
.49759 .55115 L
.49829 .55217 L
.4992 .5534 L
.49945 .55378 L
.50053 .55538 L
.5008 .55575 L
.50151 .55699 L
.50241 .5585 L
.50243 .55859 L
.50241 .55866 L
.50232 .55859 L
.5008 .55727 L
.50056 .55699 L
.4992 .55551 L
.49909 .55538 L
.49771 .55378 L
.49759 .55365 L
.49637 .55217 L
.49599 .55174 L
.49504 .55057 L
.49438 .5498 L
.49371 .54896 L
.49278 .54784 L
.49239 .54735 L
.49117 .54591 L
.49096 .54575 L
.48981 .54414 L
.48957 .54386 L
.48854 .54254 L
.48796 .54184 L
.48726 .54093 L
.48636 .54012 L
.48598 .53933 L
.48475 .5378 L
.48467 .53772 L
.48347 .53612 L
.48314 .53572 L
.48222 .53451 L
.48154 .53366 L
.48097 .53291 L
.47993 .53174 L
.47946 .5313 L
.47847 .5297 L
.47833 .52953 L
.47725 .52809 L
.47672 .52743 L
.47602 .52649 L
.47512 .5257 L
.47477 .52488 L
.47353 .52328 L
.47351 .52326 L
.47234 .52167 L
.47191 .52113 L
.47113 .52007 L
.4703 .51901 L
.4699 .51846 L
.4687 .51692 L
.46864 .51686 L
.4675 .51525 L
.46709 .51473 L
.46632 .51364 L
.46549 .51256 L
.46511 .51204 L
.46391 .51043 L
.46388 .5104 L
.46279 .50883 L
.46228 .50816 L
.46165 .50722 L
.46067 .50591 L
.46048 .50562 L
.45941 .50401 L
.45907 .50353 L
.45846 .50241 L
F
.033 .89 1 r
.45907 .47336 m
.45937 .47351 L
.46067 .47444 L
.46134 .47512 L
.46228 .47569 L
.46282 .47672 L
.46388 .47781 L
.46418 .47833 L
.46549 .47993 L
.46549 .47993 L
.46672 .48154 L
.46709 .48201 L
.46793 .48314 L
.4687 .48413 L
.46914 .48475 L
.4703 .48624 L
.47039 .48636 L
.47145 .48796 L
.47191 .48862 L
.4725 .48957 L
.47348 .49117 L
.47191 .49148 L
.47167 .49117 L
.4703 .48988 L
.47002 .48957 L
.4687 .48812 L
.46851 .48796 L
.46716 .48636 L
.46709 .48627 L
.46583 .48475 L
.46549 .48463 L
.46453 .48314 L
.46388 .48244 L
.46307 .48154 L
.46228 .48024 L
.46207 .47993 L
.46091 .47833 L
.46067 .47799 L
.45981 .47672 L
.45907 .47547 L
.45861 .47512 L
.45851 .47351 L
F
1 .93 .114 r
.45907 .39767 m
.45949 .39807 L
.46067 .39916 L
.46115 .39967 L
.46228 .40062 L
.46267 .40128 L
.46388 .40259 L
.46436 .40288 L
.46549 .40446 L
.46552 .40449 L
.46687 .40609 L
.46709 .40634 L
.46822 .4077 L
.4687 .40814 L
.46957 .4093 L
.4703 .41017 L
.47107 .41091 L
.47191 .41218 L
.4722 .41251 L
.4735 .41412 L
.47351 .41413 L
.47479 .41572 L
.47512 .41609 L
.47644 .41733 L
.47672 .41815 L
.47742 .41894 L
.47833 .4202 L
.47858 .42054 L
.4799 .42215 L
.47993 .42218 L
.48116 .42375 L
.48154 .4242 L
.48258 .42536 L
.48314 .4263 L
.48367 .42696 L
.48475 .42837 L
.48485 .42857 L
.48619 .43017 L
.48636 .43035 L
.48773 .43178 L
.48796 .43243 L
.48875 .43338 L
.48957 .43454 L
.48987 .43499 L
.49117 .43658 L
.49119 .43659 L
.49242 .4382 L
.49278 .43861 L
.49383 .4398 L
.49438 .44072 L
.4949 .44141 L
.49599 .44282 L
.49608 .44301 L
.49739 .44462 L
.49759 .44482 L
.49892 .44622 L
.4992 .44693 L
.49994 .44783 L
.5008 .44905 L
.50106 .44943 L
.50234 .45104 L
.50241 .45108 L
.50357 .45265 L
.50401 .45314 L
.50498 .45425 L
.50562 .45528 L
.50605 .45586 L
.50722 .45739 L
.50726 .45746 L
.50851 .45907 L
.50883 .45935 L
.51006 .46067 L
.51043 .46151 L
.51106 .46228 L
.51204 .46365 L
.51219 .46388 L
.51344 .46549 L
.51364 .46558 L
.51466 .46709 L
.51525 .46773 L
.51608 .4687 L
.51686 .46991 L
.51715 .4703 L
.51836 .47191 L
.51846 .47203 L
.51958 .47351 L
.52007 .47393 L
.52115 .47512 L
.52167 .47616 L
.52212 .47672 L
.52328 .47832 L
.52328 .47833 L
.52448 .47993 L
.52488 .4801 L
.5257 .48154 L
.52649 .4824 L
.52711 .48314 L
.52809 .48462 L
.52818 .48475 L
.52938 .48636 L
.5297 .48676 L
.53059 .48796 L
.5313 .48862 L
.53212 .48957 L
.53291 .49093 L
.53309 .49117 L
.53426 .49278 L
.53451 .4931 L
.53545 .49438 L
.53612 .49524 L
.53667 .49599 L
.53772 .49726 L
.53798 .49759 L
.5391 .4992 L
.53933 .49949 L
.54028 .5008 L
.54093 .50165 L
.54148 .50241 L
.54254 .50366 L
.54282 .50401 L
.54387 .50562 L
.54414 .50597 L
.54503 .50722 L
.54575 .50817 L
.54621 .50883 L
.54735 .51037 L
.5474 .51043 L
.5485 .51204 L
.54896 .51266 L
.5496 .51364 L
.55057 .51501 L
.55071 .51525 L
.55167 .51686 L
.55057 .5171 L
.55032 .51686 L
.54896 .51559 L
.54873 .51525 L
.54735 .51377 L
.54715 .51364 L
.54579 .51204 L
.54575 .51199 L
.54437 .51043 L
.54414 .51018 L
.54297 .50883 L
.54254 .50838 L
.5416 .50722 L
.54093 .5064 L
.54017 .50562 L
.53933 .50442 L
.53901 .50401 L
.53772 .50249 L
.5377 .50241 L
.53629 .5008 L
.53612 .50059 L
.53479 .4992 L
.53451 .49857 L
.53372 .49759 L
.53291 .49651 L
.53258 .49599 L
.5313 .49449 L
.53112 .49438 L
.52985 .49278 L
.5297 .49257 L
.52854 .49117 L
.52809 .49049 L
.52743 .48957 L
.52649 .48839 L
.52634 .48796 L
.52488 .48638 L
.52479 .48636 L
.52345 .48475 L
.52328 .4844 L
.52232 .48314 L
.52167 .48228 L
.52124 .48154 L
.52007 .48017 L
.51976 .47993 L
.51853 .47833 L
.51846 .47824 L
.51725 .47672 L
.51686 .47613 L
.51616 .47512 L
.51525 .474 L
.51511 .47351 L
.51364 .47195 L
.51354 .47191 L
.51222 .4703 L
.51204 .46995 L
.51111 .4687 L
.51043 .46781 L
.51004 .46709 L
.50883 .4657 L
.50858 .46549 L
.50724 .46388 L
.50722 .46372 L
.50608 .46228 L
.50562 .46161 L
.50499 .46067 L
.50401 .45947 L
.50393 .45907 L
.50241 .45746 L
.50241 .45746 L
.50106 .45586 L
.5008 .45538 L
.49997 .45425 L
.4992 .45324 L
.49889 .45265 L
.49759 .45115 L
.49747 .45104 L
.49604 .44943 L
.49599 .44913 L
.49496 .44783 L
.49438 .447 L
.49388 .44622 L
.49278 .44487 L
.49274 .44462 L
.49133 .44301 L
.49117 .44286 L
.48994 .44141 L
.48957 .44074 L
.48888 .4398 L
.48796 .43859 L
.48777 .4382 L
.48643 .43659 L
.48636 .43656 L
.48488 .43499 L
.48475 .43448 L
.4839 .43338 L
.48314 .4323 L
.48281 .43178 L
.48154 .43017 L
.48154 .43017 L
.48033 .42857 L
.47993 .42821 L
.4789 .42696 L
.47833 .426 L
.47788 .42536 L
.47672 .42381 L
.47669 .42375 L
.47548 .42215 L
.47512 .42198 L
.47385 .42054 L
.47351 .41966 L
.47297 .41894 L
.47191 .41741 L
.47186 .41733 L
.47068 .41572 L
.4703 .41523 L
.46949 .41412 L
.4687 .41328 L
.46811 .41251 L
.46711 .41091 L
.46709 .41089 L
.46596 .4093 L
.46549 .40867 L
.4648 .4077 L
.46388 .40644 L
.46342 .40609 L
.46252 .40449 L
.46228 .40415 L
.46144 .40288 L
.46067 .40178 L
.46035 .40128 L
.45934 .39967 L
.45907 .39925 L
.45852 .39807 L
F
1 .89 .033 r
.45907 .44646 m
.46067 .44771 L
.46103 .44783 L
.46228 .4493 L
.46247 .44943 L
.46388 .45103 L
.4639 .45104 L
.46529 .45265 L
.46549 .4528 L
.46664 .45425 L
.46709 .45478 L
.46815 .45586 L
.4687 .45682 L
.4692 .45746 L
.4703 .45888 L
.4704 .45907 L
.47168 .46067 L
.47191 .46098 L
.47336 .46228 L
.47351 .46269 L
.47408 .46388 L
.47501 .46549 L
.47512 .46571 L
.47563 .46709 L
.47512 .46769 L
.47351 .46716 L
.47343 .46709 L
.47191 .46552 L
.47151 .46549 L
.4703 .46391 L
.47026 .46388 L
.46897 .46228 L
.4687 .46195 L
.4677 .46067 L
.46709 .46024 L
.46645 .45907 L
.46549 .45795 L
.46508 .45746 L
.46399 .45586 L
.46388 .45571 L
.46282 .45425 L
.46228 .45352 L
.46166 .45265 L
.46067 .45128 L
.46036 .45104 L
.45946 .44943 L
.45907 .44883 L
.45853 .44783 L
F
0 .64 1 r
.45907 .45289 m
.46033 .45425 L
.46067 .45461 L
.46171 .45586 L
.46228 .45652 L
.46302 .45746 L
.46388 .45856 L
.46426 .45907 L
.46539 .46067 L
.46549 .46082 L
.4663 .46228 L
.46549 .46276 L
.465 .46228 L
.46388 .46116 L
.46347 .46067 L
.46228 .4593 L
.4621 .45907 L
.46084 .45746 L
.46067 .45725 L
.45969 .45586 L
.45907 .45501 L
.45857 .45425 L
F
0 .63 1 r
.45907 .45301 m
.46024 .45425 L
.46067 .4547 L
.46164 .45586 L
.46228 .4566 L
.46295 .45746 L
.46388 .45865 L
.46419 .45907 L
.46531 .46067 L
.46549 .46094 L
.46618 .46228 L
.46549 .46264 L
.4651 .46228 L
.46388 .46109 L
.46353 .46067 L
.46228 .45923 L
.46215 .45907 L
.46091 .45746 L
.46067 .45717 L
.45975 .45586 L
.45907 .45491 L
.45864 .45425 L
F
0 .55 1 r
.45907 .50237 m
.4591 .50241 L
.45907 .50336 L
.45866 .50241 L
F
1 .84 .007 r
.45907 .49574 m
.45934 .49599 L
.46067 .49727 L
.46097 .49759 L
.46228 .49886 L
.46246 .4992 L
.46388 .5008 L
.46389 .5008 L
.46527 .50241 L
.46549 .50265 L
.46665 .50401 L
.46709 .50453 L
.46801 .50562 L
.4687 .50632 L
.46935 .50722 L
.4703 .50837 L
.47076 .50883 L
.47191 .51035 L
.47197 .51043 L
.47329 .51204 L
.47351 .51216 L
.4746 .51364 L
.47512 .51425 L
.47615 .51525 L
.47672 .51631 L
.47717 .51686 L
.47833 .51833 L
.4784 .51846 L
.47973 .52007 L
.47993 .52026 L
.481 .52167 L
.48154 .52234 L
.48235 .52328 L
.48314 .52442 L
.48347 .52488 L
.48475 .52645 L
.48476 .52649 L
.48605 .52809 L
.48636 .52844 L
.48751 .5297 L
.48796 .53054 L
.48855 .5313 L
.48957 .53263 L
.48971 .53291 L
.49105 .53451 L
.49117 .53462 L
.49271 .53612 L
.49278 .5367 L
.49362 .53772 L
.49438 .53883 L
.49472 .53933 L
.49599 .5409 L
.49599 .54093 L
.49725 .54254 L
.49759 .5429 L
.4987 .54414 L
.4992 .54504 L
.49973 .54575 L
.5008 .54716 L
.5009 .54735 L
.50219 .54896 L
.50241 .54912 L
.50385 .55057 L
.50401 .55128 L
.50473 .55217 L
.50562 .55344 L
.50584 .55378 L
.50709 .55538 L
.50722 .55555 L
.50831 .55699 L
.50883 .55752 L
.50975 .55859 L
.51043 .55974 L
.51077 .5602 L
.51196 .5618 L
.51204 .5619 L
.51317 .56341 L
.51364 .56374 L
.51484 .56501 L
.51525 .56608 L
.51567 .56662 L
.51679 .56822 L
.51686 .56831 L
.51797 .56983 L
.51846 .57047 L
.51917 .57143 L
.52007 .57248 L
.52051 .57304 L
.52154 .57464 L
.52167 .57482 L
.52269 .57625 L
.52328 .57703 L
.52386 .57785 L
.52488 .57909 L
.52518 .57946 L
.52614 .58106 L
.52649 .58154 L
.52724 .58267 L
.52809 .58388 L
.52835 .58428 L
.52936 .58588 L
.5297 .58641 L
.53021 .58749 L
.5297 .58779 L
.52939 .58749 L
.52809 .58623 L
.52778 .58588 L
.52649 .58464 L
.5263 .58428 L
.52488 .58267 L
.52488 .58267 L
.52352 .58106 L
.52328 .58079 L
.52217 .57946 L
.52167 .57888 L
.52083 .57785 L
.52007 .57712 L
.5195 .57625 L
.51846 .57502 L
.51806 .57464 L
.51688 .57304 L
.51686 .57301 L
.51559 .57143 L
.51525 .5713 L
.51431 .56983 L
.51364 .56912 L
.51264 .56822 L
.51204 .56702 L
.51168 .56662 L
.51047 .56501 L
.51043 .56497 L
.50921 .56341 L
.50883 .5631 L
.50795 .5618 L
.50722 .56096 L
.50651 .5602 L
.50562 .55885 L
.50541 .55859 L
.50417 .55699 L
.50401 .55679 L
.50293 .55538 L
.50241 .55485 L
.50131 .55378 L
.5008 .5527 L
.50035 .55217 L
.4992 .5506 L
.49918 .55057 L
.49795 .54896 L
.49759 .54872 L
.49671 .54735 L
.49599 .54653 L
.49528 .54575 L
.49438 .54438 L
.4942 .54414 L
.49298 .54254 L
.49278 .54228 L
.49176 .54093 L
.49117 .54036 L
.49017 .53933 L
.48957 .53815 L
.48921 .53772 L
.48804 .53612 L
.48796 .53601 L
.48683 .53451 L
.48636 .53422 L
.4856 .53291 L
.48475 .53192 L
.48421 .5313 L
.48314 .52973 L
.48312 .5297 L
.48192 .52809 L
.48154 .5276 L
.48071 .52649 L
.47993 .52571 L
.47918 .52488 L
.47833 .52342 L
.47822 .52328 L
.47704 .52167 L
.47672 .52126 L
.47584 .52007 L
.47512 .51953 L
.47462 .51846 L
.47351 .51708 L
.47333 .51686 L
.4722 .51525 L
.47191 .51487 L
.47101 .51364 L
.4703 .51272 L
.46981 .51204 L
.4687 .51066 L
.46851 .51043 L
.46743 .50883 L
.46709 .5084 L
.46626 .50722 L
.46549 .5062 L
.46508 .50562 L
.46389 .50401 L
.46388 .50401 L
.46279 .50241 L
.46228 .50172 L
.46168 .5008 L
.46067 .49941 L
.46054 .4992 L
.45954 .49759 L
.45907 .49686 L
.4587 .49599 L
F
1 .88 .024 r
.45907 .44678 m
.46057 .44783 L
.46067 .44791 L
.46228 .44943 L
.46228 .44943 L
.46378 .45104 L
.46388 .45115 L
.46519 .45265 L
.46549 .45288 L
.46655 .45425 L
.46709 .45487 L
.46808 .45586 L
.4687 .45691 L
.46913 .45746 L
.4703 .45897 L
.47035 .45907 L
.47161 .46067 L
.47191 .46108 L
.47331 .46228 L
.47351 .46284 L
.47398 .46388 L
.47488 .46549 L
.47512 .46602 L
.4754 .46709 L
.47512 .46743 L
.47365 .46709 L
.47351 .46701 L
.47191 .46551 L
.47167 .46549 L
.47034 .46388 L
.4703 .46384 L
.46903 .46228 L
.4687 .46188 L
.46776 .46067 L
.46709 .46018 L
.4665 .45907 L
.46549 .45787 L
.46514 .45746 L
.46405 .45586 L
.46388 .45563 L
.46289 .45425 L
.46228 .45343 L
.46173 .45265 L
.46067 .45117 L
.46051 .45104 L
.45958 .44943 L
.45907 .44859 L
.4587 .44783 L
F
0 .62 1 r
.45907 .45314 m
.46014 .45425 L
.46067 .45479 L
.46157 .45586 L
.46228 .45668 L
.46289 .45746 L
.46388 .45873 L
.46413 .45907 L
.46522 .46067 L
.46549 .46109 L
.46604 .46228 L
.46549 .46252 L
.46522 .46228 L
.46388 .461 L
.4636 .46067 L
.46228 .45916 L
.46221 .45907 L
.46097 .45746 L
.46067 .45708 L
.45982 .45586 L
.45907 .45481 L
.45872 .45425 L
F
0 .61 1 r
.45907 .45328 m
.46003 .45425 L
.46067 .45489 L
.46149 .45586 L
.46228 .45677 L
.46282 .45746 L
.46388 .45882 L
.46406 .45907 L
.46512 .46067 L
.46549 .46128 L
.46584 .46228 L
.46549 .46237 L
.46537 .46228 L
.46388 .46092 L
.46367 .46067 L
.46228 .45908 L
.46227 .45907 L
.46105 .45746 L
.46067 .45699 L
.4599 .45586 L
.45907 .45469 L
.4588 .45425 L
F
0 .6 1 r
.45907 .45345 m
.4599 .45425 L
.46067 .455 L
.4614 .45586 L
.46228 .45686 L
.46275 .45746 L
.46388 .45892 L
.46399 .45907 L
.46501 .46067 L
.46388 .46082 L
.46375 .46067 L
.46234 .45907 L
.46228 .45899 L
.46112 .45746 L
.46067 .45689 L
.45998 .45586 L
.45907 .45455 L
.4589 .45425 L
F
1 .87 .018 r
.45907 .44719 m
.46027 .44783 L
.46067 .44811 L
.46211 .44943 L
.46228 .44959 L
.46366 .45104 L
.46388 .45128 L
.46509 .45265 L
.46549 .45296 L
.46646 .45425 L
.46709 .45497 L
.46801 .45586 L
.4687 .45701 L
.46906 .45746 L
.4703 .45905 L
.47031 .45907 L
.47153 .46067 L
.47191 .46118 L
.47325 .46228 L
.47351 .46303 L
.47388 .46388 L
.47475 .46549 L
.47351 .46686 L
.47191 .46549 L
.47185 .46549 L
.47042 .46388 L
.4703 .46375 L
.46909 .46228 L
.4687 .46181 L
.46781 .46067 L
.46709 .46011 L
.46655 .45907 L
.46549 .45778 L
.46522 .45746 L
.46411 .45586 L
.46388 .45555 L
.46295 .45425 L
.46228 .45334 L
.4618 .45265 L
.46067 .45105 L
.46066 .45104 L
.45971 .44943 L
.45907 .44825 L
.45891 .44783 L
F
0 .59 1 r
.45907 .45368 m
.45974 .45425 L
.46067 .45511 L
.46131 .45586 L
.46228 .45696 L
.46267 .45746 L
.46388 .45902 L
.46391 .45907 L
.46488 .46067 L
.46388 .46072 L
.46384 .46067 L
.46244 .45907 L
.46228 .45889 L
.46121 .45746 L
.46067 .45678 L
.46006 .45586 L
.45907 .45437 L
.459 .45425 L
F
.024 .88 1 r
.45907 .47372 m
.46067 .4746 L
.4612 .47512 L
.46228 .47584 L
.46272 .47672 L
.46388 .47794 L
.4641 .47833 L
.46541 .47993 L
.46549 .48002 L
.46664 .48154 L
.46709 .4821 L
.46786 .48314 L
.4687 .48423 L
.46907 .48475 L
.47027 .48636 L
.4703 .48641 L
.47134 .48796 L
.47191 .48879 L
.47237 .48957 L
.47191 .49112 L
.4703 .48967 L
.47021 .48957 L
.4687 .48796 L
.4687 .48796 L
.46729 .48636 L
.46709 .48613 L
.46594 .48475 L
.46549 .48457 L
.46463 .48314 L
.46388 .48231 L
.46318 .48154 L
.46228 .48009 L
.46217 .47993 L
.46102 .47833 L
.46067 .47781 L
.45994 .47672 L
.45907 .47516 L
.45901 .47512 L
F
1 .44 0 r
.45907 .52168 m
.45998 .52328 L
.45907 .52332 L
.45903 .52328 L
F
.018 .87 1 r
.46067 .47477 m
.46104 .47512 L
.46228 .47602 L
.46262 .47672 L
.46388 .47807 L
.46403 .47833 L
.46533 .47993 L
.46549 .48013 L
.46656 .48154 L
.46709 .4822 L
.46778 .48314 L
.4687 .48433 L
.469 .48475 L
.47017 .48636 L
.4703 .48654 L
.47122 .48796 L
.47191 .489 L
.47222 .48957 L
.47191 .49084 L
.47042 .48957 L
.4703 .48947 L
.46885 .48796 L
.4687 .4878 L
.46742 .48636 L
.46709 .48599 L
.46605 .48475 L
.46549 .48449 L
.46474 .48314 L
.46388 .48216 L
.4633 .48154 L
.46228 .47993 L
.46228 .47993 L
.46114 .47833 L
.46067 .47763 L
.46008 .47672 L
.45926 .47512 L
F
1 .98 .538 r
.46067 .47 m
.46228 .46997 L
.46351 .4703 L
.46388 .47051 L
.46514 .47191 L
.46549 .4723 L
.4667 .47351 L
.46709 .47434 L
.46774 .47512 L
.4687 .47642 L
.46888 .47672 L
.47015 .47833 L
.4703 .47847 L
.47184 .47993 L
.47191 .48055 L
.47278 .48154 L
.47351 .48268 L
.47386 .48314 L
.47509 .48475 L
.47512 .48478 L
.47631 .48636 L
.47672 .48658 L
.47783 .48796 L
.47833 .48882 L
.47884 .48957 L
.47993 .49105 L
.48 .49117 L
.48121 .49278 L
.48154 .49321 L
.48294 .49438 L
.48314 .49535 L
.48379 .49599 L
.48475 .49752 L
.48481 .49759 L
.4856 .4992 L
.48475 .49967 L
.48314 .49962 L
.48193 .4992 L
.48154 .49901 L
.47999 .49759 L
.47993 .49749 L
.4787 .49599 L
.47833 .4956 L
.47758 .49438 L
.47672 .49358 L
.47609 .49278 L
.47512 .49151 L
.47485 .49117 L
.47362 .48957 L
.47351 .4894 L
.47248 .48796 L
.47191 .48718 L
.47151 .48636 L
.4703 .48493 L
.46989 .48475 L
.4687 .48318 L
.46867 .48314 L
.46747 .48154 L
.46709 .48106 L
.46642 .47993 L
.46549 .47892 L
.46496 .47833 L
.46388 .47684 L
.46375 .47672 L
.46252 .47512 L
.46228 .47476 L
.46144 .47351 L
.46067 .47258 L
.46048 .47191 L
.45946 .4703 L
F
.018 .87 1 r
.46067 .40607 m
.46069 .40609 L
.46218 .4077 L
.46228 .4078 L
.46358 .4093 L
.46388 .40962 L
.46496 .41091 L
.46549 .4115 L
.46632 .41251 L
.46709 .4134 L
.46767 .41412 L
.4687 .41523 L
.46939 .41572 L
.4703 .4173 L
.47034 .41733 L
.47161 .41894 L
.47191 .41929 L
.4729 .42054 L
.47351 .42099 L
.47419 .42215 L
.47512 .42321 L
.47569 .42375 L
.47672 .4253 L
.47677 .42536 L
.47802 .42696 L
.47833 .42734 L
.47928 .42857 L
.47993 .4292 L
.48106 .43017 L
.48154 .43138 L
.4819 .43178 L
.48307 .43338 L
.48314 .43347 L
.48431 .43499 L
.48475 .43522 L
.48556 .43659 L
.48636 .43749 L
.48705 .4382 L
.48796 .43965 L
.48809 .4398 L
.4893 .44141 L
.48957 .44174 L
.49053 .44301 L
.49117 .4436 L
.49226 .44462 L
.49278 .44584 L
.49311 .44622 L
.49426 .44783 L
.49438 .44798 L
.49547 .44943 L
.49599 .44966 L
.49671 .45104 L
.49759 .45204 L
.49815 .45265 L
.49919 .45425 L
.4992 .45426 L
.50039 .45586 L
.5008 .45637 L
.50161 .45746 L
.50241 .45823 L
.50323 .45907 L
.50401 .46055 L
.50411 .46067 L
.50528 .46228 L
.50562 .46271 L
.50648 .46388 L
.50722 .46483 L
.50771 .46549 L
.50883 .46688 L
.50901 .46709 L
.51013 .4687 L
.51043 .46909 L
.51131 .4703 L
.51204 .47124 L
.51252 .47191 L
.51364 .4733 L
.51384 .47351 L
.5149 .47512 L
.51525 .47557 L
.51606 .47672 L
.51686 .47777 L
.51724 .47833 L
.51844 .47993 L
.51846 .47996 L
.51953 .48154 L
.52007 .48226 L
.52064 .48314 L
.52167 .48458 L
.52177 .48475 L
.52274 .48636 L
.52167 .48643 L
.5216 .48636 L
.5201 .48475 L
.52007 .48472 L
.51868 .48314 L
.51846 .48291 L
.51728 .48154 L
.51686 .48106 L
.5159 .47993 L
.51525 .47917 L
.51454 .47833 L
.51364 .47733 L
.51278 .47672 L
.51204 .47531 L
.51186 .47512 L
.51058 .47351 L
.51043 .47334 L
.50927 .47191 L
.50883 .47155 L
.50796 .4703 L
.50722 .46942 L
.50651 .4687 L
.50562 .46736 L
.50541 .46709 L
.50411 .46549 L
.50401 .46536 L
.50284 .46388 L
.50241 .46343 L
.50118 .46228 L
.5008 .46132 L
.50026 .46067 L
.4992 .45925 L
.49908 .45907 L
.49778 .45746 L
.49759 .45734 L
.49652 .45586 L
.49599 .45523 L
.49512 .45425 L
.49438 .45311 L
.49404 .45265 L
.49278 .45105 L
.49277 .45104 L
.49153 .44943 L
.49117 .44908 L
.48995 .44783 L
.48957 .44693 L
.489 .44622 L
.48796 .44481 L
.48784 .44462 L
.48657 .44301 L
.48636 .4429 L
.48534 .44141 L
.48475 .44073 L
.48396 .4398 L
.48314 .43856 L
.48289 .4382 L
.48165 .43659 L
.48154 .43645 L
.48043 .43499 L
.47993 .43452 L
.47888 .43338 L
.47833 .43227 L
.47795 .43178 L
.47677 .43017 L
.47672 .43011 L
.47557 .42857 L
.47512 .42836 L
.47436 .42696 L
.47351 .42595 L
.47303 .42536 L
.47195 .42375 L
.47191 .4237 L
.47076 .42215 L
.4703 .42154 L
.46957 .42054 L
.4687 .41956 L
.46816 .41894 L
.4672 .41733 L
.46709 .41718 L
.46605 .41572 L
.46549 .41496 L
.46489 .41412 L
.46388 .41273 L
.46373 .41251 L
.46262 .41091 L
.46228 .41043 L
.46154 .4093 L
.46067 .40805 L
.46045 .4077 L
.4595 .40609 L
F
.013 .86 1 r
.46067 .47496 m
.46085 .47512 L
.46228 .47622 L
.46251 .47672 L
.46388 .47822 L
.46394 .47833 L
.46524 .47993 L
.46549 .48023 L
.46648 .48154 L
.46709 .4823 L
.46771 .48314 L
.4687 .48444 L
.46892 .48475 L
.47006 .48636 L
.4703 .48669 L
.47109 .48796 L
.47191 .48928 L
.47205 .48957 L
.47191 .49048 L
.47067 .48957 L
.4703 .48926 L
.46902 .48796 L
.4687 .48764 L
.46755 .48636 L
.46709 .48584 L
.46617 .48475 L
.46549 .48438 L
.46485 .48314 L
.46388 .48201 L
.46345 .48154 L
.4624 .47993 L
.46228 .47977 L
.46126 .47833 L
.46067 .47742 L
.46023 .47672 L
.45953 .47512 L
F
.733 .99 1 r
.46067 .442 m
.46228 .4429 L
.46241 .44301 L
.46388 .44418 L
.46398 .44462 L
.46549 .44578 L
.46591 .44622 L
.46709 .44757 L
.46732 .44783 L
.46868 .44943 L
.4687 .44949 L
.46993 .45104 L
.4703 .4516 L
.47102 .45265 L
.47191 .45342 L
.47257 .45425 L
.47351 .45547 L
.47382 .45586 L
.47505 .45746 L
.47512 .45756 L
.47619 .45907 L
.47672 .45972 L
.47715 .46067 L
.47833 .46189 L
.47878 .46228 L
.47993 .46387 L
.47997 .46388 L
.48113 .46549 L
.48154 .46603 L
.48207 .46709 L
.48311 .4687 L
.48154 .4694 L
.47993 .46928 L
.47907 .4687 L
.47833 .46802 L
.47708 .46709 L
.47672 .46607 L
.47615 .46549 L
.47512 .4639 L
.47501 .46388 L
.47379 .46228 L
.47351 .46216 L
.47257 .46067 L
.47191 .46002 L
.47105 .45907 L
.4703 .45781 L
.47004 .45746 L
.46886 .45586 L
.4687 .45565 L
.46766 .45425 L
.46709 .45352 L
.46596 .45265 L
.46549 .45164 L
.4651 .45104 L
.464 .44943 L
.46388 .44928 L
.46284 .44783 L
.46228 .44707 L
.46168 .44622 L
.46067 .44479 L
.46046 .44462 L
.45968 .44301 L
F
1 .83 .005 r
.46067 .49755 m
.46071 .49759 L
.46227 .4992 L
.46228 .4992 L
.46373 .5008 L
.46388 .50097 L
.46514 .50241 L
.46549 .50279 L
.46653 .50401 L
.46709 .50466 L
.46791 .50562 L
.4687 .50643 L
.46926 .50722 L
.4703 .50848 L
.47066 .50883 L
.47191 .51043 L
.47191 .51044 L
.47322 .51204 L
.47351 .5122 L
.47453 .51364 L
.47512 .51432 L
.47609 .51525 L
.47672 .51638 L
.47712 .51686 L
.47833 .51839 L
.47837 .51846 L
.47967 .52007 L
.47993 .52031 L
.48095 .52167 L
.48154 .5224 L
.4823 .52328 L
.48314 .52448 L
.48343 .52488 L
.48474 .52649 L
.48475 .52649 L
.486 .52809 L
.48636 .52849 L
.48748 .5297 L
.48796 .5306 L
.48851 .5313 L
.48957 .53268 L
.48969 .53291 L
.49101 .53451 L
.49117 .53465 L
.4927 .53612 L
.49278 .53675 L
.49358 .53772 L
.49438 .53887 L
.49469 .53933 L
.49598 .54093 L
.49599 .54093 L
.49722 .54254 L
.49759 .54294 L
.49867 .54414 L
.4992 .54509 L
.49969 .54575 L
.5008 .54721 L
.50088 .54735 L
.50215 .54896 L
.50241 .54915 L
.50383 .55057 L
.50401 .55132 L
.5047 .55217 L
.50562 .55349 L
.50581 .55378 L
.50705 .55538 L
.50722 .55561 L
.50827 .55699 L
.50883 .55757 L
.50971 .55859 L
.51043 .5598 L
.51073 .5602 L
.51192 .5618 L
.51204 .56196 L
.51312 .56341 L
.51364 .56379 L
.5148 .56501 L
.51525 .56615 L
.51561 .56662 L
.51673 .56822 L
.51686 .56838 L
.51792 .56983 L
.51846 .57055 L
.51911 .57143 L
.52007 .57259 L
.52043 .57304 L
.52147 .57464 L
.52167 .57491 L
.52262 .57625 L
.52328 .57714 L
.52378 .57785 L
.52488 .57931 L
.525 .57946 L
.52603 .58106 L
.52649 .58171 L
.52711 .58267 L
.52809 .5841 L
.5282 .58428 L
.52907 .58588 L
.52809 .58597 L
.52801 .58588 L
.52649 .58432 L
.52647 .58428 L
.52504 .58267 L
.52488 .58251 L
.52365 .58106 L
.52328 .58066 L
.52228 .57946 L
.52167 .57877 L
.52092 .57785 L
.52007 .57702 L
.51958 .57625 L
.51846 .57493 L
.51815 .57464 L
.51695 .57304 L
.51686 .57293 L
.51566 .57143 L
.51525 .57126 L
.51437 .56983 L
.51364 .56905 L
.5127 .56822 L
.51204 .56695 L
.51174 .56662 L
.51052 .56501 L
.51043 .56491 L
.50926 .56341 L
.50883 .56306 L
.50799 .5618 L
.50722 .5609 L
.50655 .5602 L
.50562 .5588 L
.50545 .55859 L
.50421 .55699 L
.50401 .55674 L
.50297 .55538 L
.50241 .55481 L
.50135 .55378 L
.5008 .55265 L
.50039 .55217 L
.49921 .55057 L
.4992 .55055 L
.49798 .54896 L
.49759 .5487 L
.49674 .54735 L
.49599 .54649 L
.49532 .54575 L
.49438 .54434 L
.49423 .54414 L
.49302 .54254 L
.49278 .54224 L
.49179 .54093 L
.49117 .54033 L
.4902 .53933 L
.48957 .53811 L
.48925 .53772 L
.48807 .53612 L
.48796 .53597 L
.48686 .53451 L
.48636 .53419 L
.48563 .53291 L
.48475 .53188 L
.48425 .5313 L
.48316 .5297 L
.48314 .52968 L
.48196 .52809 L
.48154 .52756 L
.48074 .52649 L
.47993 .52566 L
.47923 .52488 L
.47833 .52337 L
.47826 .52328 L
.47708 .52167 L
.47672 .52122 L
.47588 .52007 L
.47512 .51947 L
.47466 .51846 L
.47351 .51701 L
.47339 .51686 L
.47225 .51525 L
.47191 .51481 L
.47106 .51364 L
.4703 .51266 L
.46986 .51204 L
.4687 .51056 L
.4686 .51043 L
.46749 .50883 L
.46709 .50831 L
.46633 .50722 L
.46549 .5061 L
.46515 .50562 L
.46398 .50401 L
.46388 .50389 L
.46289 .50241 L
.46228 .50156 L
.46179 .5008 L
.46067 .4992 L
.46067 .4992 L
.45983 .49759 L
F
.538 .98 1 r
.46067 .39292 m
.46103 .39325 L
.46228 .39406 L
.46272 .39486 L
.46388 .39601 L
.46426 .39646 L
.46549 .39782 L
.4658 .39807 L
.46709 .39963 L
.46714 .39967 L
.46853 .40128 L
.4687 .40143 L
.4699 .40288 L
.4703 .40336 L
.47152 .40449 L
.47191 .40534 L
.47258 .40609 L
.47351 .40735 L
.47377 .4077 L
.47512 .40928 L
.4752 .4093 L
.47649 .41091 L
.47672 .41121 L
.47784 .41251 L
.47833 .41328 L
.47897 .41412 L
.47993 .41538 L
.48008 .41572 L
.48154 .41725 L
.48161 .41733 L
.48297 .41894 L
.48314 .41932 L
.48411 .42054 L
.48475 .42145 L
.4852 .42215 L
.48636 .42358 L
.48665 .42375 L
.48789 .42536 L
.48796 .42545 L
.48918 .42696 L
.48957 .42757 L
.49029 .42857 L
.49117 .42972 L
.49133 .43017 L
.49278 .43165 L
.49288 .43178 L
.49421 .43338 L
.49438 .43374 L
.49534 .43499 L
.49599 .43589 L
.49641 .43659 L
.49759 .43802 L
.49785 .4382 L
.49919 .4398 L
.4992 .43996 L
.50037 .44141 L
.5008 .44208 L
.50146 .44301 L
.50241 .44423 L
.50252 .44462 L
.50401 .44622 L
.50403 .44622 L
.50539 .44783 L
.50562 .4483 L
.50649 .44943 L
.50722 .45044 L
.50757 .45104 L
.50883 .45253 L
.50897 .45265 L
.5104 .45425 L
.51043 .45454 L
.51151 .45586 L
.51204 .45666 L
.5126 .45746 L
.51364 .45879 L
.51371 .45907 L
.51513 .46067 L
.51525 .4608 L
.51653 .46228 L
.51686 .4629 L
.51761 .46388 L
.51846 .46503 L
.51871 .46549 L
.52007 .46709 L
.52007 .46709 L
.52159 .4687 L
.52167 .46914 L
.52263 .4703 L
.52328 .47127 L
.52372 .47191 L
.52488 .47338 L
.5249 .47351 L
.52622 .47512 L
.52649 .47538 L
.52766 .47672 L
.52809 .47751 L
.52872 .47833 L
.5297 .47964 L
.52985 .47993 L
.53115 .48154 L
.5313 .48164 L
.53275 .48314 L
.53291 .48374 L
.53373 .48475 L
.53451 .4859 L
.53482 .48636 L
.53608 .48796 L
.53612 .48801 L
.53729 .48957 L
.53772 .48996 L
.53876 .49117 L
.53933 .49214 L
.5398 .49278 L
.54093 .49429 L
.54098 .49438 L
.54222 .49599 L
.54254 .49617 L
.54386 .49759 L
.54414 .49837 L
.5448 .4992 L
.54575 .50056 L
.54591 .5008 L
.54714 .50241 L
.54735 .50269 L
.54835 .50401 L
.54896 .50458 L
.54983 .50562 L
.55057 .50682 L
.55086 .50722 L
.55205 .50883 L
.55217 .50898 L
.55326 .51043 L
.55378 .51073 L
.55491 .51204 L
.55538 .51307 L
.55583 .51364 L
.55696 .51525 L
.55699 .51529 L
.55816 .51686 L
.55859 .51741 L
.55937 .51846 L
.5602 .51929 L
.56081 .52007 L
.5618 .5216 L
.56185 .52167 L
.56303 .52328 L
.56341 .52375 L
.56424 .52488 L
.56501 .52588 L
.5658 .52649 L
.56662 .52795 L
.56672 .52809 L
.56788 .5297 L
.56822 .53014 L
.56906 .5313 L
.56983 .5323 L
.57026 .53291 L
.57143 .5344 L
.57151 .53451 L
.57264 .53612 L
.57304 .53664 L
.57379 .53772 L
.57464 .53886 L
.57497 .53933 L
.57614 .54093 L
.57625 .54108 L
.57723 .54254 L
.57785 .5434 L
.57833 .54414 L
.57945 .54575 L
.57946 .54576 L
.58045 .54735 L
.58106 .54832 L
.5814 .54896 L
.58222 .55057 L
.58106 .5507 L
.5809 .55057 L
.57946 .54915 L
.57931 .54896 L
.5779 .54735 L
.57785 .54731 L
.57653 .54575 L
.57625 .54555 L
.5752 .54414 L
.57464 .54348 L
.57339 .54254 L
.57304 .54147 L
.57254 .54093 L
.57143 .53947 L
.57132 .53933 L
.57002 .53772 L
.56983 .53749 L
.56845 .53612 L
.56822 .53547 L
.56742 .53451 L
.56662 .53344 L
.56627 .53291 L
.56501 .53143 L
.56482 .5313 L
.56353 .5297 L
.56341 .52952 L
.56226 .52809 L
.5618 .52744 L
.56117 .52649 L
.5602 .52529 L
.55964 .52488 L
.55859 .52353 L
.55838 .52328 L
.5571 .52167 L
.55699 .52147 L
.55595 .52007 L
.55538 .51932 L
.55494 .51846 L
.55378 .51745 L
.55329 .51686 L
.55217 .51539 L
.55205 .51525 L
.55082 .51364 L
.55057 .51328 L
.54973 .51204 L
.54896 .51107 L
.54827 .51043 L
.54735 .50923 L
.54703 .50883 L
.5458 .50722 L
.54575 .50714 L
.54463 .50562 L
.54414 .50497 L
.54362 .50401 L
.54254 .50273 L
.54205 .50241 L
.54093 .50094 L
.54083 .5008 L
.53961 .4992 L
.53933 .49881 L
.53852 .49759 L
.53772 .49661 L
.53709 .49599 L
.53612 .4947 L
.53586 .49438 L
.53462 .49278 L
.53451 .4926 L
.53348 .49117 L
.53291 .49043 L
.53247 .48957 L
.5313 .48824 L
.53091 .48796 L
.5297 .48636 L
.5297 .48635 L
.52847 .48475 L
.52809 .48422 L
.5274 .48314 L
.52649 .48205 L
.52597 .48154 L
.52488 .47996 L
.52475 .47993 L
.52349 .47833 L
.52328 .47799 L
.52237 .47672 L
.52167 .47584 L
.52134 .47512 L
.52007 .47371 L
.51982 .47351 L
.51853 .47191 L
.51846 .47174 L
.51736 .4703 L
.51686 .46961 L
.51629 .4687 L
.51525 .46747 L
.51488 .46709 L
.51366 .46549 L
.51364 .46546 L
.51236 .46388 L
.51204 .46337 L
.51126 .46228 L
.51043 .46123 L
.51021 .46067 L
.50883 .45915 L
.50873 .45907 L
.50737 .45746 L
.50722 .45712 L
.50626 .45586 L
.50562 .45499 L
.50517 .45425 L
.50401 .45287 L
.50381 .45265 L
.50259 .45104 L
.50241 .45086 L
.50125 .44943 L
.5008 .44874 L
.50017 .44783 L
.4992 .44661 L
.49906 .44622 L
.49767 .44462 L
.49759 .44457 L
.49623 .44301 L
.49599 .4425 L
.49517 .44141 L
.49438 .44035 L
.49407 .4398 L
.49278 .43823 L
.49275 .4382 L
.49153 .43659 L
.49117 .43625 L
.49016 .43499 L
.48957 .43409 L
.48909 .43338 L
.48796 .43194 L
.48791 .43178 L
.48663 .43017 L
.48636 .43002 L
.48512 .42857 L
.48475 .42783 L
.48411 .42696 L
.48314 .42564 L
.48299 .42536 L
.48173 .42375 L
.48154 .4235 L
.48052 .42215 L
.47993 .42158 L
.47914 .42054 L
.47833 .41933 L
.47807 .41894 L
.47686 .41733 L
.47672 .41715 L
.47566 .41572 L
.47512 .41537 L
.47415 .41412 L
.47351 .41299 L
.47318 .41251 L
.47203 .41091 L
.47191 .41075 L
.47085 .4093 L
.4703 .40858 L
.46912 .4077 L
.4687 .40657 L
.46836 .40609 L
.46729 .40449 L
.46709 .40423 L
.46614 .40288 L
.46549 .40199 L
.46499 .40128 L
.46388 .39982 L
.46378 .39967 L
.46275 .39807 L
.46228 .3974 L
.46168 .39646 L
.46067 .39494 L
.46062 .39486 L
.45984 .39325 L
F
1 .86 .013 r
.46067 .44832 m
.46193 .44943 L
.46228 .44974 L
.46353 .45104 L
.46388 .4514 L
.46499 .45265 L
.46549 .45304 L
.46637 .45425 L
.46709 .45507 L
.46793 .45586 L
.4687 .4571 L
.46899 .45746 L
.47024 .45907 L
.4703 .45915 L
.47146 .46067 L
.47191 .46129 L
.47318 .46228 L
.47351 .46326 L
.47377 .46388 L
.47462 .46549 L
.47351 .4667 L
.47199 .46549 L
.47191 .46541 L
.4705 .46388 L
.4703 .46367 L
.46916 .46228 L
.4687 .46173 L
.46787 .46067 L
.46709 .46003 L
.46661 .45907 L
.46549 .45769 L
.46529 .45746 L
.46417 .45586 L
.46388 .45547 L
.46302 .45425 L
.46228 .45324 L
.46187 .45265 L
.46077 .45104 L
.46067 .45089 L
.45985 .44943 L
F
1 .85 .01 r
.46067 .44855 m
.46174 .44943 L
.46228 .4499 L
.4634 .45104 L
.46388 .45153 L
.46488 .45265 L
.46549 .45313 L
.46628 .45425 L
.46709 .45517 L
.46784 .45586 L
.4687 .45719 L
.46892 .45746 L
.47016 .45907 L
.4703 .45925 L
.47138 .46067 L
.47191 .4614 L
.47309 .46228 L
.47351 .46354 L
.47365 .46388 L
.47448 .46549 L
.47351 .46653 L
.47212 .46549 L
.47191 .4653 L
.47058 .46388 L
.4703 .46358 L
.46923 .46228 L
.4687 .46166 L
.46793 .46067 L
.46709 .45995 L
.46666 .45907 L
.46549 .4576 L
.46537 .45746 L
.46424 .45586 L
.46388 .45538 L
.46308 .45425 L
.46228 .45314 L
.46194 .45265 L
.46088 .45104 L
.46067 .45071 L
.46002 .44943 L
F
0 .58 1 r
.46067 .45524 m
.46121 .45586 L
.46228 .45706 L
.46259 .45746 L
.46228 .45877 L
.46131 .45746 L
.46067 .45665 L
.46016 .45586 L
F
1 .97 .395 r
.46067 .4702 m
.46228 .47017 L
.46289 .4703 L
.46388 .47074 L
.46501 .47191 L
.46549 .47242 L
.46664 .47351 L
.46709 .47441 L
.46769 .47512 L
.4687 .47648 L
.46885 .47672 L
.47012 .47833 L
.4703 .4785 L
.47183 .47993 L
.47191 .48058 L
.47275 .48154 L
.47351 .48272 L
.47383 .48314 L
.47506 .48475 L
.47512 .48482 L
.47627 .48636 L
.47672 .48661 L
.4778 .48796 L
.47833 .48887 L
.4788 .48957 L
.47993 .49112 L
.47996 .49117 L
.48116 .49278 L
.48154 .49328 L
.48288 .49438 L
.48314 .49547 L
.48367 .49599 L
.48462 .49759 L
.48475 .49783 L
.48478 .4992 L
.48475 .49921 L
.48314 .49921 L
.48308 .4992 L
.48154 .49861 L
.48015 .49759 L
.47993 .4972 L
.47888 .49599 L
.47833 .4954 L
.47771 .49438 L
.47672 .49344 L
.47619 .49278 L
.47512 .4914 L
.47494 .49117 L
.47368 .48957 L
.47351 .48929 L
.47255 .48796 L
.47191 .48709 L
.47156 .48636 L
.4703 .48489 L
.46994 .48475 L
.46872 .48314 L
.4687 .48311 L
.46752 .48154 L
.46709 .48099 L
.46647 .47993 L
.46549 .47885 L
.46502 .47833 L
.46388 .47678 L
.46382 .47672 L
.46259 .47512 L
.46228 .47464 L
.46154 .47351 L
.46067 .47238 L
.46056 .47191 L
.4602 .4703 L
F
1 .84 .007 r
.46067 .44882 m
.4615 .44943 L
.46228 .45007 L
.46326 .45104 L
.46388 .45166 L
.46477 .45265 L
.46549 .45323 L
.46619 .45425 L
.46709 .45527 L
.46775 .45586 L
.4687 .45729 L
.46884 .45746 L
.47009 .45907 L
.4703 .45935 L
.4713 .46067 L
.47191 .46151 L
.47299 .46228 L
.47351 .46386 L
.47352 .46388 L
.47432 .46549 L
.47351 .46635 L
.47227 .46549 L
.47191 .46518 L
.47067 .46388 L
.4703 .46349 L
.46929 .46228 L
.4687 .46158 L
.46799 .46067 L
.46709 .45986 L
.46672 .45907 L
.46549 .4575 L
.46546 .45746 L
.4643 .45586 L
.46388 .45529 L
.46315 .45425 L
.46228 .45303 L
.46202 .45265 L
.461 .45104 L
.46067 .45049 L
.46021 .44943 L
F
0 .57 1 r
.46067 .45539 m
.46109 .45586 L
.46228 .45718 L
.4625 .45746 L
.46228 .45864 L
.46142 .45746 L
.46067 .45651 L
.46028 .45586 L
F
.289 .96 1 r
.46067 .49061 m
.46118 .49117 L
.46228 .49237 L
.46262 .49278 L
.46388 .49419 L
.46401 .49438 L
.46537 .49599 L
.46549 .49611 L
.46674 .49759 L
.46709 .49799 L
.46812 .4992 L
.4687 .49974 L
.46948 .5008 L
.4703 .50179 L
.471 .50241 L
.47191 .50375 L
.47211 .50401 L
.47351 .50562 L
.47351 .50562 L
.47485 .50722 L
.47512 .50754 L
.47654 .50883 L
.47672 .50955 L
.47746 .51043 L
.47833 .51158 L
.47858 .51204 L
.47993 .51357 L
.48012 .51364 L
.48141 .51525 L
.48154 .51542 L
.48277 .51686 L
.48314 .51748 L
.48387 .51846 L
.48475 .51957 L
.48496 .52007 L
.48636 .52161 L
.48654 .52167 L
.4879 .52328 L
.48796 .52349 L
.48905 .52488 L
.48957 .5256 L
.49015 .52649 L
.49117 .52772 L
.49161 .52809 L
.49278 .52962 L
.49284 .5297 L
.49414 .5313 L
.49438 .5317 L
.49526 .53291 L
.49599 .53384 L
.49631 .53451 L
.49759 .53595 L
.49785 .53612 L
.49914 .53772 L
.4992 .53788 L
.50032 .53933 L
.5008 .54 L
.50139 .54093 L
.50241 .54214 L
.50283 .54254 L
.50401 .54414 L
.50405 .54414 L
.50534 .54575 L
.50562 .54619 L
.50645 .54735 L
.50722 .54833 L
.50749 .54896 L
.50883 .55043 L
.50901 .55057 L
.51033 .55217 L
.51043 .55242 L
.51147 .55378 L
.51204 .55455 L
.51254 .55538 L
.51364 .55668 L
.51395 .55699 L
.51517 .55859 L
.51525 .55868 L
.51648 .5602 L
.51686 .56078 L
.51757 .5618 L
.51846 .56292 L
.51864 .56341 L
.52007 .56498 L
.5201 .56501 L
.52149 .56662 L
.52167 .56704 L
.52257 .56822 L
.52328 .56918 L
.52365 .56983 L
.52488 .57129 L
.52501 .57143 L
.52623 .57304 L
.52649 .57331 L
.52757 .57464 L
.52809 .57545 L
.52864 .57625 L
.5297 .57759 L
.52978 .57785 L
.53112 .57946 L
.5313 .57959 L
.53259 .58106 L
.53291 .58173 L
.5336 .58267 L
.53451 .58391 L
.53472 .58428 L
.53599 .58588 L
.53612 .58604 L
.5372 .58749 L
.53772 .58802 L
.53856 .58909 L
.53933 .59026 L
.53962 .5907 L
.54083 .5923 L
.54093 .59244 L
.54202 .59391 L
.54254 .5943 L
.54352 .59551 L
.54414 .59666 L
.54447 .59712 L
.54561 .59872 L
.54575 .59891 L
.54677 .60033 L
.54735 .60111 L
.54852 .60193 L
.54896 .60321 L
.54919 .60354 L
.55026 .60514 L
.55057 .60556 L
.55139 .60675 L
.55217 .60784 L
.55252 .60835 L
.55361 .60996 L
.55378 .6102 L
.55462 .61156 L
.55538 .61275 L
.55561 .61317 L
.55538 .61437 L
.5541 .61317 L
.55378 .61287 L
.55255 .61156 L
.55217 .61118 L
.55108 .60996 L
.55057 .6094 L
.54966 .60835 L
.54896 .60775 L
.54827 .60675 L
.54735 .60571 L
.54665 .60514 L
.54575 .60375 L
.54554 .60354 L
.54425 .60193 L
.54414 .60192 L
.54294 .60033 L
.54254 .59992 L
.54163 .59872 L
.54093 .59787 L
.54021 .59712 L
.53933 .59584 L
.53907 .59551 L
.53777 .59391 L
.53772 .59388 L
.5365 .5923 L
.53612 .59187 L
.53497 .5907 L
.53451 .58979 L
.53393 .58909 L
.53291 .58772 L
.53275 .58749 L
.53144 .58588 L
.5313 .58575 L
.52975 .58428 L
.5297 .58368 L
.52881 .58267 L
.52809 .58158 L
.52771 .58106 L
.52649 .57952 L
.52647 .57946 L
.52519 .57785 L
.52488 .57752 L
.5237 .57625 L
.52328 .57541 L
.52266 .57464 L
.52167 .5733 L
.52151 .57304 L
.52021 .57143 L
.52007 .57131 L
.51856 .56983 L
.51846 .56922 L
.51761 .56822 L
.51686 .56709 L
.51651 .56662 L
.51525 .56502 L
.51525 .56501 L
.51402 .56341 L
.51364 .56302 L
.51253 .5618 L
.51204 .56088 L
.5115 .5602 L
.51043 .55876 L
.51034 .55859 L
.50908 .55699 L
.50883 .5568 L
.5074 .55538 L
.50722 .55466 L
.50648 .55378 L
.50562 .55251 L
.50538 .55217 L
.50414 .55057 L
.50401 .55055 L
.50292 .54896 L
.50241 .54845 L
.50142 .54735 L
.5008 .54627 L
.5004 .54575 L
.49921 .54414 L
.4992 .54413 L
.498 .54254 L
.49759 .54225 L
.4963 .54093 L
.49599 .54003 L
.4954 .53933 L
.49438 .53785 L
.49429 .53772 L
.49308 .53612 L
.49278 .53574 L
.49186 .53451 L
.49117 .53382 L
.49038 .53291 L
.48957 .53158 L
.48935 .5313 L
.48817 .5297 L
.48796 .52943 L
.48696 .52809 L
.48636 .52764 L
.4853 .52649 L
.48475 .52531 L
.48441 .52488 L
.48327 .52328 L
.48314 .52311 L
.48208 .52167 L
.48154 .52098 L
.48086 .52007 L
.47993 .51904 L
.47945 .51846 L
.4784 .51686 L
.47833 .51676 L
.47722 .51525 L
.47672 .51461 L
.47602 .51364 L
.47512 .51277 L
.4745 .51204 L
.47357 .51043 L
.47351 .51036 L
.47241 .50883 L
.47191 .50818 L
.47123 .50722 L
.4703 .50601 L
.47002 .50562 L
.46883 .50401 L
.4687 .50384 L
.4677 .50241 L
.46709 .5016 L
.46655 .5008 L
.46549 .49937 L
.46537 .4992 L
.46428 .49759 L
.46388 .49705 L
.46322 .49599 L
.46228 .49464 L
.46213 .49438 L
.46115 .49278 L
.46067 .492 L
.46031 .49117 L
F
1 .24 0 r
.46067 .51044 m
.46191 .51204 L
.46228 .51247 L
.46317 .51364 L
.46388 .5145 L
.46445 .51525 L
.46549 .51654 L
.46573 .51686 L
.46697 .51846 L
.46709 .51861 L
.46817 .52007 L
.4687 .52071 L
.4694 .52167 L
.4703 .52281 L
.47064 .52328 L
.47187 .52488 L
.47191 .52493 L
.47301 .52649 L
.47351 .52712 L
.47418 .52809 L
.47512 .52932 L
.47537 .5297 L
.47512 .53076 L
.47428 .5297 L
.47351 .52885 L
.47293 .52809 L
.47191 .5269 L
.47159 .52649 L
.4703 .52493 L
.47027 .52488 L
.46903 .52328 L
.4687 .52289 L
.46778 .52167 L
.46709 .52084 L
.46651 .52007 L
.46549 .5188 L
.46524 .51846 L
.46398 .51686 L
.46388 .51673 L
.4628 .51525 L
.46228 .51461 L
.46158 .51364 L
.46067 .51251 L
.46034 .51204 L
F
1 .23 0 r
.46067 .5105 m
.46186 .51204 L
.46228 .51252 L
.46313 .51364 L
.46388 .51455 L
.46441 .51525 L
.46549 .51659 L
.46569 .51686 L
.46693 .51846 L
.46709 .51866 L
.46813 .52007 L
.4687 .52077 L
.46936 .52167 L
.4703 .52287 L
.4706 .52328 L
.4703 .52488 L
.46908 .52328 L
.4687 .52283 L
.46783 .52167 L
.46709 .52079 L
.46655 .52007 L
.46549 .51875 L
.46527 .51846 L
.46403 .51686 L
.46388 .51668 L
.46284 .51525 L
.46228 .51456 L
.46162 .51364 L
.46067 .51245 L
.46038 .51204 L
F
.01 .85 1 r
.46067 .47518 m
.46228 .47646 L
.4624 .47672 L
.46385 .47833 L
.46388 .47837 L
.46515 .47993 L
.46549 .48034 L
.4664 .48154 L
.46709 .48241 L
.46763 .48314 L
.4687 .48455 L
.46884 .48475 L
.46994 .48636 L
.4703 .48687 L
.47095 .48796 L
.4703 .48904 L
.4692 .48796 L
.4687 .48747 L
.46769 .48636 L
.46709 .48569 L
.46629 .48475 L
.46549 .48423 L
.46496 .48314 L
.46388 .48183 L
.4636 .48154 L
.46251 .47993 L
.46228 .47961 L
.46139 .47833 L
.46067 .4772 L
.46038 .47672 L
F
1 1 1 r
.46067 .38024 m
.46108 .38041 L
.46228 .38118 L
.46328 .38201 L
.46388 .38248 L
.46506 .38362 L
.46549 .38408 L
.46706 .38523 L
.46709 .38573 L
.46817 .38683 L
.4687 .38749 L
.46946 .38844 L
.4703 .38942 L
.47111 .39004 L
.47191 .39101 L
.47247 .39165 L
.47351 .39295 L
.47377 .39325 L
.47502 .39486 L
.47512 .39499 L
.47608 .39646 L
.47672 .39695 L
.47763 .39807 L
.47833 .399 L
.47888 .39967 L
.47993 .40108 L
.4801 .40128 L
.48123 .40288 L
.48154 .40314 L
.48261 .40449 L
.48314 .40521 L
.48385 .40609 L
.48475 .40731 L
.48506 .4077 L
.48625 .4093 L
.48636 .40946 L
.48723 .41091 L
.48796 .41147 L
.48879 .41251 L
.48957 .41356 L
.49001 .41412 L
.49117 .41567 L
.49122 .41572 L
.4923 .41733 L
.49278 .41799 L
.49372 .41894 L
.49438 .41982 L
.49495 .42054 L
.49599 .42193 L
.49616 .42215 L
.49732 .42375 L
.49759 .42414 L
.49827 .42536 L
.4992 .42609 L
.49988 .42696 L
.5008 .42819 L
.5011 .42857 L
.50229 .43017 L
.50241 .43033 L
.50335 .43178 L
.50401 .43267 L
.50481 .43338 L
.50562 .43446 L
.50603 .43499 L
.50722 .43657 L
.50724 .43659 L
.50838 .4382 L
.50883 .43881 L
.50932 .4398 L
.51043 .44073 L
.51097 .44141 L
.51204 .44284 L
.51218 .44301 L
.51337 .44462 L
.51364 .44501 L
.51441 .44622 L
.51525 .4473 L
.51589 .44783 L
.51686 .44911 L
.51711 .44943 L
.51833 .45104 L
.51846 .45124 L
.51945 .45265 L
.52007 .45346 L
.52039 .45425 L
.52167 .45538 L
.52205 .45586 L
.52326 .45746 L
.52328 .45749 L
.52445 .45907 L
.52488 .45966 L
.52549 .46067 L
.52649 .46189 L
.52697 .46228 L
.52809 .46376 L
.52819 .46388 L
.52943 .46549 L
.5297 .46589 L
.53053 .46709 L
.5313 .46808 L
.5315 .4687 L
.53291 .47023 L
.53312 .4703 L
.5344 .47191 L
.53451 .47214 L
.53554 .47351 L
.53612 .47429 L
.53659 .47512 L
.53772 .47645 L
.53805 .47672 L
.53932 .47833 L
.53933 .4784 L
.54054 .47993 L
.54093 .48052 L
.54163 .48154 L
.54254 .48268 L
.54265 .48314 L
.54414 .48472 L
.5442 .48475 L
.54553 .48636 L
.54575 .48677 L
.54664 .48796 L
.54735 .48891 L
.54771 .48957 L
.54896 .49102 L
.54913 .49117 L
.55052 .49278 L
.55057 .49302 L
.55165 .49438 L
.55217 .49515 L
.55274 .49599 L
.55378 .49727 L
.55382 .49759 L
.55528 .4992 L
.55538 .49929 L
.55666 .5008 L
.55699 .50139 L
.55775 .50241 L
.55859 .50352 L
.55884 .50401 L
.5602 .5056 L
.56022 .50562 L
.5617 .50722 L
.5618 .50763 L
.56276 .50883 L
.56341 .50976 L
.56385 .51043 L
.56501 .51188 L
.56503 .51204 L
.56637 .51364 L
.56662 .51387 L
.56779 .51525 L
.56822 .516 L
.56885 .51686 L
.56983 .51814 L
.56998 .51846 L
.5713 .52007 L
.57143 .52013 L
.57286 .52167 L
.57304 .52223 L
.57386 .52328 L
.57464 .52439 L
.57496 .52488 L
.57623 .52649 L
.57625 .52651 L
.57745 .52809 L
.57785 .52844 L
.5789 .5297 L
.57946 .53062 L
.57995 .5313 L
.58106 .53278 L
.58112 .53291 L
.58237 .53451 L
.58267 .53463 L
.58399 .53612 L
.58428 .53684 L
.58496 .53772 L
.58588 .53903 L
.58607 .53933 L
.58731 .54093 L
.58749 .54116 L
.58852 .54254 L
.58909 .54302 L
.58999 .54414 L
.5907 .54526 L
.59104 .54575 L
.59224 .54735 L
.5923 .54743 L
.59345 .54896 L
.59391 .54954 L
.59508 .55057 L
.59551 .55147 L
.59603 .55217 L
.59712 .55369 L
.59717 .55378 L
.59838 .55538 L
.59872 .55581 L
.5996 .55699 L
.60033 .55763 L
.60106 .55859 L
.60193 .55993 L
.60212 .5602 L
.60331 .5618 L
.60354 .56208 L
.60453 .56341 L
.60514 .56419 L
.60615 .56501 L
.60675 .56613 L
.6071 .56662 L
.60825 .56822 L
.60835 .56835 L
.60946 .56983 L
.60996 .57046 L
.61069 .57143 L
.61156 .57225 L
.61214 .57304 L
.61317 .57461 L
.6132 .57464 L
.6144 .57625 L
.61477 .57672 L
.61562 .57785 L
.61638 .57882 L
.61731 .57946 L
.61799 .58079 L
.61818 .58106 L
.61934 .58267 L
.61959 .58299 L
.62054 .58428 L
.6212 .5851 L
.62177 .58588 L
.6228 .58719 L
.62319 .58749 L
.62425 .58909 L
.62441 .58929 L
.62543 .5907 L
.62601 .59144 L
.62663 .5923 L
.62762 .59351 L
.62793 .59391 L
.62904 .59551 L
.62922 .59576 L
.63032 .59712 L
.63083 .59798 L
.6314 .59872 L
.63243 .60016 L
.63255 .60033 L
.63375 .60193 L
.63404 .60233 L
.63491 .60354 L
.63564 .60449 L
.63605 .60514 L
.63725 .60665 L
.63727 .60675 L
.6385 .60835 L
.63885 .60879 L
.63962 .60996 L
.64046 .61093 L
.6407 .61156 L
.64206 .61305 L
.64217 .61317 L
.64335 .61477 L
.64367 .61497 L
.64447 .61638 L
.64527 .61731 L
.64562 .61799 L
.64687 .61959 L
.64527 .62064 L
.64367 .62059 L
.64216 .6212 L
.64367 .62211 L
.6442 .6228 L
.64527 .62415 L
.64547 .62441 L
.64671 .62601 L
.64688 .62633 L
.64782 .62762 L
.64848 .62864 L
.64874 .62922 L
.65009 .63037 L
.65044 .63083 L
.65167 .63243 L
.6517 .63248 L
.65284 .63404 L
.6533 .63461 L
.65387 .63564 L
.65491 .63676 L
.65537 .63725 L
.65651 .63881 L
.65659 .63885 L
.65782 .64046 L
.65812 .64078 L
.6589 .64206 L
.65972 .6429 L
.65985 .64367 L
.66133 .64506 L
.66148 .64527 L
.66274 .64688 L
.66293 .64726 L
.6638 .64848 L
.66454 .64969 L
.66467 .65009 L
.66454 .65051 L
.66293 .65081 L
.66133 .6507 L
.66038 .65009 L
.65972 .64954 L
.65869 .64848 L
.65812 .6476 L
.65758 .64688 L
.65651 .64553 L
.65641 .64527 L
.65509 .64367 L
.65491 .64343 L
.65355 .64206 L
.6533 .6413 L
.65253 .64046 L
.6517 .63918 L
.65142 .63885 L
.65014 .63725 L
.65009 .63721 L
.64892 .63564 L
.64848 .63517 L
.64749 .63404 L
.64688 .63304 L
.64643 .63243 L
.64527 .63092 L
.64523 .63083 L
.64399 .62922 L
.64367 .62881 L
.64242 .62762 L
.64206 .6267 L
.64143 .62601 L
.64046 .62461 L
.64031 .62441 L
.6391 .6228 L
.63885 .62242 L
.63814 .6212 L
.63885 .62095 L
.64046 .6209 L
.64202 .61959 L
.6407 .61799 L
.64046 .61754 L
.63946 .61638 L
.63885 .61557 L
.6378 .61477 L
.63725 .61353 L
.63686 .61317 L
.63571 .61156 L
.63564 .61148 L
.6345 .60996 L
.63404 .60961 L
.63328 .60835 L
.63243 .6074 L
.63185 .60675 L
.63083 .60521 L
.63077 .60514 L
.62958 .60354 L
.62922 .60308 L
.62837 .60193 L
.62762 .60126 L
.6269 .60033 L
.62601 .59893 L
.62587 .59872 L
.6247 .59712 L
.62441 .59672 L
.6233 .59551 L
.6228 .59462 L
.62234 .59391 L
.62128 .5923 L
.6212 .59216 L
.62031 .5907 L
.61959 .58931 L
.61946 .58909 L
.61841 .58749 L
.61799 .58686 L
.61724 .58588 L
.61638 .58469 L
.61603 .58428 L
.61479 .58267 L
.61477 .58265 L
.61344 .58106 L
.61317 .58073 L
.61207 .57946 L
.61156 .57882 L
.61073 .57785 L
.60996 .57688 L
.60941 .57625 L
.60835 .57489 L
.60814 .57464 L
.60703 .57304 L
.60675 .5729 L
.60555 .57143 L
.60514 .5709 L
.60426 .56983 L
.60354 .56887 L
.60301 .56822 L
.60193 .56679 L
.60179 .56662 L
.60066 .56501 L
.60033 .56454 L
.59927 .56341 L
.59872 .56267 L
.59803 .5618 L
.59712 .56058 L
.59681 .5602 L
.59562 .55859 L
.59551 .55844 L
.59458 .55699 L
.59391 .55608 L
.5931 .55538 L
.5923 .55432 L
.59187 .55378 L
.5907 .5522 L
.59067 .55217 L
.58955 .55057 L
.58909 .54995 L
.58864 .54896 L
.58749 .54804 L
.58694 .54735 L
.58588 .54593 L
.58573 .54575 L
.58456 .54414 L
.58428 .54376 L
.58354 .54254 L
.58267 .54143 L
.58202 .54093 L
.58106 .53966 L
.5808 .53933 L
.57959 .53772 L
.57946 .53753 L
.5785 .53612 L
.57785 .53528 L
.57762 .53451 L
.57625 .53339 L
.57587 .53291 L
.57466 .5313 L
.57464 .53128 L
.57349 .5297 L
.57304 .52909 L
.57248 .52809 L
.57143 .52683 L
.57094 .52649 L
.56983 .52501 L
.56972 .52488 L
.5685 .52328 L
.56822 .52287 L
.56742 .52167 L
.56662 .52066 L
.56601 .52007 L
.56501 .51874 L
.56479 .51846 L
.56354 .51686 L
.56341 .51663 L
.5624 .51525 L
.5618 .51446 L
.56139 .51364 L
.5602 .51228 L
.55986 .51204 L
.55861 .51043 L
.55859 .51037 L
.55741 .50883 L
.55699 .50823 L
.55633 .50722 L
.55538 .50607 L
.55493 .50562 L
.55378 .50403 L
.55371 .50401 L
.55242 .50241 L
.55217 .50199 L
.55131 .5008 L
.55057 .49984 L
.55027 .4992 L
.54896 .49773 L
.54878 .49759 L
.54745 .49599 L
.54735 .49574 L
.5463 .49438 L
.54575 .49361 L
.54522 .49278 L
.54414 .49148 L
.54385 .49117 L
.54263 .48957 L
.54254 .48947 L
.5413 .48796 L
.54093 .48737 L
.54021 .48636 L
.53933 .48523 L
.53913 .48475 L
.53772 .48317 L
.5377 .48314 L
.53629 .48154 L
.53612 .48112 L
.5352 .47993 L
.53451 .47899 L
.53411 .47833 L
.53291 .47688 L
.53277 .47672 L
.53155 .47512 L
.5313 .47488 L
.53018 .47351 L
.5297 .47275 L
.5291 .47191 L
.52809 .47062 L
.52797 .4703 L
.52662 .4687 L
.52649 .46861 L
.52514 .46709 L
.52488 .46652 L
.52409 .46549 L
.52328 .46437 L
.52299 .46388 L
.52169 .46228 L
.52167 .46226 L
.52047 .46067 L
.52007 .4603 L
.51907 .45907 L
.51846 .45813 L
.518 .45746 L
.51686 .45599 L
.51681 .45586 L
.51554 .45425 L
.51525 .45409 L
.51401 .45265 L
.51364 .45191 L
.51299 .45104 L
.51204 .44973 L
.51187 .44943 L
.51061 .44783 L
.51043 .44761 L
.50939 .44622 L
.50883 .44571 L
.50797 .44462 L
.50722 .44349 L
.5069 .44301 L
.50567 .44141 L
.50562 .44134 L
.50446 .4398 L
.50401 .43956 L
.50291 .4382 L
.50241 .43728 L
.50191 .43659 L
.5008 .43508 L
.50075 .43499 L
.49953 .43338 L
.4992 .43296 L
.49831 .43178 L
.49759 .4311 L
.49689 .43017 L
.49599 .42883 L
.49581 .42857 L
.4946 .42696 L
.49438 .42669 L
.49338 .42536 L
.49278 .42458 L
.49184 .42375 L
.49117 .42262 L
.49084 .42215 L
.48967 .42054 L
.48957 .42041 L
.48846 .41894 L
.48796 .4183 L
.4867 .41733 L
.48636 .41644 L
.48584 .41572 L
.48475 .41415 L
.48473 .41412 L
.48353 .41251 L
.48314 .41203 L
.48231 .41091 L
.48154 .40993 L
.4808 .4093 L
.47993 .40792 L
.47978 .4077 L
.4786 .40609 L
.47833 .40575 L
.47739 .40449 L
.47672 .40365 L
.47569 .40288 L
.47512 .40172 L
.47481 .40128 L
.47367 .39967 L
.47351 .39947 L
.47247 .39807 L
.47191 .39735 L
.47125 .39646 L
.4703 .39525 L
.46982 .39486 L
.46878 .39325 L
.4687 .39315 L
.4676 .39165 L
.46709 .391 L
.46641 .39004 L
.46549 .38883 L
.46493 .38844 L
.46403 .38683 L
.46388 .38663 L
.46294 .38523 L
.46228 .38428 L
.46187 .38362 L
.46089 .38201 L
.46067 .38163 L
.46041 .38041 L
F
1 .22 0 r
.46067 .51056 m
.46181 .51204 L
.46228 .51258 L
.46308 .51364 L
.46388 .51461 L
.46437 .51525 L
.46549 .51664 L
.46565 .51686 L
.46688 .51846 L
.46709 .51872 L
.46808 .52007 L
.4687 .52082 L
.46931 .52167 L
.4703 .52292 L
.47056 .52328 L
.4703 .52481 L
.46913 .52328 L
.4687 .52278 L
.46787 .52167 L
.46709 .52074 L
.46659 .52007 L
.46549 .5187 L
.46531 .51846 L
.46408 .51686 L
.46388 .51662 L
.46289 .51525 L
.46228 .51451 L
.46166 .51364 L
.46067 .5124 L
.46042 .51204 L
F
0 .56 1 r
.46067 .45557 m
.46093 .45586 L
.46228 .45731 L
.46239 .45746 L
.46228 .45848 L
.46155 .45746 L
.46067 .45631 L
.46043 .45586 L
F
0 .17 1 r
.46067 .51732 m
.4614 .51846 L
.46228 .51962 L
.46254 .52007 L
.46228 .52054 L
.4619 .52007 L
.46067 .51874 L
.46045 .51846 L
F
1 .21 0 r
.46067 .51063 m
.46175 .51204 L
.46228 .51264 L
.46303 .51364 L
.46388 .51466 L
.46432 .51525 L
.46549 .51669 L
.46561 .51686 L
.46683 .51846 L
.46709 .51877 L
.46803 .52007 L
.4687 .52088 L
.46927 .52167 L
.4703 .52298 L
.47052 .52328 L
.4703 .52475 L
.46918 .52328 L
.4687 .52272 L
.46792 .52167 L
.46709 .52069 L
.46663 .52007 L
.46549 .51865 L
.46535 .51846 L
.46412 .51686 L
.46388 .51657 L
.46293 .51525 L
.46228 .51445 L
.46171 .51364 L
.46067 .51234 L
.46046 .51204 L
F
1 .83 .005 r
.46067 .41281 m
.46176 .41412 L
.46228 .41466 L
.46313 .41572 L
.46388 .41657 L
.46448 .41733 L
.46549 .41851 L
.46582 .41894 L
.46709 .42047 L
.46715 .42054 L
.46842 .42215 L
.4687 .42248 L
.46968 .42375 L
.4703 .4245 L
.47096 .42536 L
.47191 .42652 L
.47224 .42696 L
.47351 .42853 L
.47353 .42857 L
.47475 .43017 L
.47512 .43062 L
.47599 .43178 L
.47672 .43269 L
.47724 .43338 L
.47833 .43475 L
.47851 .43499 L
.47974 .43659 L
.47993 .43684 L
.48094 .4382 L
.48154 .43895 L
.48216 .4398 L
.48314 .44105 L
.48341 .44141 L
.48464 .44301 L
.48475 .44315 L
.48581 .44462 L
.48636 .44531 L
.487 .44622 L
.48796 .44746 L
.48822 .44783 L
.48942 .44943 L
.48957 .44962 L
.49054 .45104 L
.49117 .45186 L
.49169 .45265 L
.49278 .4541 L
.49287 .45425 L
.49278 .45563 L
.4916 .45425 L
.49117 .4538 L
.49021 .45265 L
.48957 .45191 L
.48885 .45104 L
.48796 .44999 L
.48751 .44943 L
.48636 .44822 L
.48619 .44783 L
.4849 .44622 L
.48475 .44605 L
.48362 .44462 L
.48314 .44405 L
.48233 .44301 L
.48154 .44204 L
.48104 .44141 L
.47993 .4401 L
.47953 .4398 L
.47852 .4382 L
.47833 .43796 L
.47728 .43659 L
.47672 .4359 L
.47602 .43499 L
.47512 .43425 L
.47477 .43338 L
.47353 .43178 L
.47351 .43176 L
.47232 .43017 L
.47191 .42965 L
.47109 .42857 L
.4703 .42755 L
.46986 .42696 L
.4687 .42547 L
.46857 .42536 L
.46746 .42375 L
.46709 .42328 L
.46627 .42215 L
.46549 .42112 L
.46507 .42054 L
.46388 .41895 L
.46388 .41894 L
.46276 .41733 L
.46228 .41669 L
.46162 .41572 L
.46067 .41442 L
.46047 .41412 L
F
.46067 .44917 m
.46117 .44943 L
.46228 .45024 L
.46311 .45104 L
.46388 .4518 L
.46466 .45265 L
.46549 .45334 L
.4661 .45425 L
.46709 .45537 L
.46764 .45586 L
.4687 .45739 L
.46876 .45746 L
.47001 .45907 L
.4703 .45945 L
.47122 .46067 L
.47191 .46162 L
.47286 .46228 L
.47341 .46388 L
.47351 .46407 L
.47416 .46549 L
.47351 .46616 L
.47244 .46549 L
.47191 .46506 L
.47077 .46388 L
.4703 .46339 L
.46937 .46228 L
.4687 .4615 L
.46805 .46067 L
.46709 .45975 L
.46677 .45907 L
.46553 .45746 L
.46549 .45741 L
.46437 .45586 L
.46388 .4552 L
.46323 .45425 L
.46228 .45291 L
.4621 .45265 L
.46114 .45104 L
.46067 .45016 L
.46047 .44943 L
F
1 .2 0 r
.46067 .5107 m
.46169 .51204 L
.46228 .51271 L
.46298 .51364 L
.46388 .51472 L
.46428 .51525 L
.46549 .51674 L
.46557 .51686 L
.46677 .51846 L
.46709 .51884 L
.46798 .52007 L
.4687 .52094 L
.46922 .52167 L
.4703 .52304 L
.47047 .52328 L
.4703 .52468 L
.46924 .52328 L
.4687 .52265 L
.46797 .52167 L
.46709 .52063 L
.46668 .52007 L
.46549 .5186 L
.46538 .51846 L
.46418 .51686 L
.46388 .5165 L
.46298 .51525 L
.46228 .51439 L
.46175 .51364 L
.46067 .51228 L
.4605 .51204 L
F
0 .16 1 r
.46067 .51741 m
.46132 .51846 L
.46228 .51974 L
.46246 .52007 L
.46228 .52042 L
.46199 .52007 L
.46067 .51867 L
.46051 .51846 L
F
0 .55 1 r
.46067 .50405 m
.46204 .50562 L
.46228 .50587 L
.46341 .50722 L
.46388 .50775 L
.46477 .50883 L
.46549 .50966 L
.46612 .51043 L
.46709 .5116 L
.46745 .51204 L
.4687 .51354 L
.46883 .51364 L
.47005 .51525 L
.4703 .51556 L
.47133 .51686 L
.47191 .51756 L
.47262 .51846 L
.47351 .51933 L
.4739 .52007 L
.47512 .52159 L
.4752 .52167 L
.47642 .52328 L
.47672 .52365 L
.47768 .52488 L
.47833 .5257 L
.47894 .52649 L
.47993 .52765 L
.48041 .52809 L
.48144 .5297 L
.48154 .52983 L
.48266 .5313 L
.48314 .53191 L
.4839 .53291 L
.48475 .5337 L
.48514 .53451 L
.48636 .53609 L
.48638 .53612 L
.48758 .53772 L
.48796 .53822 L
.48879 .53933 L
.48957 .54034 L
.49001 .54093 L
.49117 .54242 L
.49128 .54254 L
.4924 .54414 L
.49278 .54462 L
.49359 .54575 L
.49438 .54679 L
.49479 .54735 L
.49598 .54896 L
.49599 .54897 L
.4971 .55057 L
.49759 .55122 L
.49824 .55217 L
.4992 .55349 L
.49939 .55378 L
.50043 .55538 L
.5008 .55591 L
.50136 .55699 L
.5008 .55713 L
.50067 .55699 L
.4992 .55542 L
.49916 .55538 L
.49778 .55378 L
.49759 .55357 L
.49644 .55217 L
.49599 .55167 L
.4951 .55057 L
.49438 .54974 L
.49376 .54896 L
.49278 .54779 L
.49243 .54735 L
.49117 .54585 L
.49105 .54575 L
.48985 .54414 L
.48957 .54381 L
.48858 .54254 L
.48796 .54179 L
.4873 .54093 L
.48636 .54007 L
.48601 .53933 L
.48475 .53775 L
.48472 .53772 L
.4835 .53612 L
.48314 .53568 L
.48225 .53451 L
.48154 .53362 L
.481 .53291 L
.47993 .53169 L
.47951 .5313 L
.4785 .5297 L
.47833 .52949 L
.47728 .52809 L
.47672 .52739 L
.47605 .52649 L
.47512 .52565 L
.4748 .52488 L
.47356 .52328 L
.47351 .52322 L
.47237 .52167 L
.47191 .52109 L
.47116 .52007 L
.4703 .51897 L
.46993 .51846 L
.4687 .51686 L
.4687 .51685 L
.46754 .51525 L
.46709 .51468 L
.46636 .51364 L
.46549 .51251 L
.46515 .51204 L
.46395 .51043 L
.46388 .51034 L
.46284 .50883 L
.46228 .50809 L
.4617 .50722 L
.46067 .50582 L
.46054 .50562 L
F
1 .19 0 r
.46067 .51078 m
.46163 .51204 L
.46228 .51278 L
.46293 .51364 L
.46388 .51478 L
.46423 .51525 L
.46549 .5168 L
.46553 .51686 L
.46672 .51846 L
.46709 .5189 L
.46793 .52007 L
.4687 .52101 L
.46917 .52167 L
.4703 .52311 L
.47042 .52328 L
.4703 .5246 L
.46931 .52328 L
.4687 .52259 L
.46802 .52167 L
.46709 .52057 L
.46672 .52007 L
.46549 .51855 L
.46542 .51846 L
.46423 .51686 L
.46388 .51644 L
.46304 .51525 L
.46228 .51432 L
.4618 .51364 L
.46067 .51222 L
.46055 .51204 L
F
.007 .84 1 r
.46067 .4755 m
.46227 .47672 L
.46228 .47673 L
.46373 .47833 L
.46388 .4785 L
.46505 .47993 L
.46549 .48046 L
.46631 .48154 L
.46709 .48252 L
.46754 .48314 L
.4687 .48467 L
.46875 .48475 L
.46981 .48636 L
.4703 .48708 L
.47078 .48796 L
.4703 .48878 L
.46941 .48796 L
.4687 .48729 L
.46784 .48636 L
.46709 .48554 L
.46642 .48475 L
.46549 .48404 L
.46508 .48314 L
.46388 .48164 L
.46378 .48154 L
.46264 .47993 L
.46228 .47943 L
.46152 .47833 L
.46067 .47692 L
.46056 .47672 L
F
0 .15 1 r
.46067 .5175 m
.46123 .51846 L
.46228 .5199 L
.46235 .52007 L
.46228 .52025 L
.46213 .52007 L
.46067 .51859 L
.46057 .51846 L
F
1 .18 0 r
.46067 .51087 m
.46155 .51204 L
.46228 .51285 L
.46287 .51364 L
.46388 .51485 L
.46418 .51525 L
.46388 .51637 L
.4631 .51525 L
.46228 .51425 L
.46186 .51364 L
.46067 .51215 L
.4606 .51204 L
F
0 .54 1 r
.46067 .50417 m
.46195 .50562 L
.46228 .50596 L
.46334 .50722 L
.46388 .50782 L
.46471 .50883 L
.46549 .50972 L
.46607 .51043 L
.46709 .51166 L
.4674 .51204 L
.4687 .51361 L
.46874 .51364 L
.47 .51525 L
.4703 .51561 L
.47129 .51686 L
.47191 .51761 L
.47258 .51846 L
.47351 .51939 L
.47387 .52007 L
.47512 .52164 L
.47515 .52167 L
.47639 .52328 L
.47672 .52369 L
.47764 .52488 L
.47833 .52574 L
.47891 .52649 L
.47993 .5277 L
.48036 .52809 L
.4814 .5297 L
.48154 .52987 L
.48263 .5313 L
.48314 .53196 L
.48387 .53291 L
.48475 .53375 L
.48511 .53451 L
.48634 .53612 L
.48636 .53614 L
.48754 .53772 L
.48796 .53826 L
.48875 .53933 L
.48957 .54038 L
.48998 .54093 L
.49117 .54249 L
.49122 .54254 L
.49236 .54414 L
.49278 .54468 L
.49355 .54575 L
.49438 .54685 L
.49475 .54735 L
.49593 .54896 L
.49599 .54903 L
.49704 .55057 L
.49759 .5513 L
.49818 .55217 L
.4992 .55358 L
.49933 .55378 L
.4992 .55531 L
.49787 .55378 L
.49759 .55349 L
.4965 .55217 L
.49599 .5516 L
.49515 .55057 L
.49438 .54968 L
.49381 .54896 L
.49278 .54774 L
.49247 .54735 L
.49117 .54578 L
.49113 .54575 L
.48989 .54414 L
.48957 .54376 L
.48861 .54254 L
.48796 .54175 L
.48733 .54093 L
.48636 .54001 L
.48604 .53933 L
.48477 .53772 L
.48475 .5377 L
.48353 .53612 L
.48314 .53564 L
.48228 .53451 L
.48154 .53359 L
.48102 .53291 L
.47993 .53164 L
.47957 .5313 L
.47853 .5297 L
.47833 .52945 L
.47731 .52809 L
.47672 .52736 L
.47607 .52649 L
.47512 .52559 L
.47483 .52488 L
.47359 .52328 L
.47351 .52318 L
.4724 .52167 L
.47191 .52105 L
.47119 .52007 L
.4703 .51893 L
.46996 .51846 L
.46874 .51686 L
.4687 .5168 L
.46758 .51525 L
.46709 .51463 L
.46639 .51364 L
.46549 .51246 L
.46519 .51204 L
.464 .51043 L
.46388 .51028 L
.4629 .50883 L
.46228 .50801 L
.46176 .50722 L
.46067 .50573 L
.4606 .50562 L
F
1 .96 .289 r
.46067 .47046 m
.46228 .47036 L
.46388 .47093 L
.46488 .47191 L
.46549 .47253 L
.46658 .47351 L
.46709 .47449 L
.46764 .47512 L
.4687 .47653 L
.46881 .47672 L
.47008 .47833 L
.4703 .47853 L
.47181 .47993 L
.47191 .48062 L
.47272 .48154 L
.47351 .48276 L
.4738 .48314 L
.47503 .48475 L
.47512 .48486 L
.47624 .48636 L
.47672 .48664 L
.47777 .48796 L
.47833 .48893 L
.47876 .48957 L
.47992 .49117 L
.47993 .49119 L
.4811 .49278 L
.48154 .49337 L
.48281 .49438 L
.48314 .49559 L
.48355 .49599 L
.48441 .49759 L
.48314 .49892 L
.48154 .49828 L
.48034 .49759 L
.47993 .49695 L
.47906 .49599 L
.47833 .49522 L
.47783 .49438 L
.47672 .4933 L
.4763 .49278 L
.47512 .49129 L
.47502 .49117 L
.47374 .48957 L
.47351 .48919 L
.47261 .48796 L
.47191 .48701 L
.4716 .48636 L
.4703 .48486 L
.47 .48475 L
.46875 .48314 L
.4687 .48304 L
.46757 .48154 L
.46709 .48093 L
.46652 .47993 L
.46549 .47879 L
.46508 .47833 L
.46389 .47672 L
.46388 .47671 L
.46265 .47512 L
.46228 .47452 L
.46163 .47351 L
.46067 .47215 L
.46062 .47191 L
F
.024 .88 1 r
.46067 .41975 m
.46119 .42054 L
.46228 .42176 L
.46253 .42215 L
.46228 .42265 L
.46191 .42215 L
.46067 .42061 L
.46062 .42054 L
F
0 .14 1 r
.46067 .51762 m
.46111 .51846 L
.46067 .5185 L
.46064 .51846 L
F
1 .17 0 r
.46067 .51097 m
.46147 .51204 L
.46228 .51293 L
.46281 .51364 L
.46388 .51491 L
.46413 .51525 L
.46388 .51629 L
.46316 .51525 L
.46228 .51418 L
.46191 .51364 L
.46067 .51207 L
.46065 .51204 L
F
1 .92 .084 r
.46067 .39979 m
.46228 .40126 L
.46229 .40128 L
.46381 .40288 L
.46388 .40296 L
.46525 .40449 L
.46549 .40474 L
.46666 .40609 L
.46709 .40658 L
.46804 .4077 L
.4687 .40833 L
.4694 .4093 L
.4703 .41035 L
.47092 .41091 L
.47191 .41233 L
.47208 .41251 L
.47338 .41412 L
.47351 .41419 L
.47468 .41572 L
.47512 .4162 L
.47637 .41733 L
.47672 .41826 L
.47733 .41894 L
.47833 .4203 L
.47851 .42054 L
.47982 .42215 L
.47993 .42224 L
.48109 .42375 L
.48154 .42429 L
.48253 .42536 L
.48314 .42637 L
.48361 .42696 L
.48475 .42843 L
.48482 .42857 L
.48614 .43017 L
.48636 .4304 L
.4877 .43178 L
.48796 .43249 L
.48871 .43338 L
.48957 .43459 L
.48984 .43499 L
.49114 .43659 L
.49117 .43661 L
.49238 .4382 L
.49278 .43865 L
.49379 .4398 L
.49438 .44077 L
.49487 .44141 L
.49599 .44286 L
.49606 .44301 L
.49735 .44462 L
.49759 .44485 L
.4989 .44622 L
.4992 .44697 L
.49991 .44783 L
.5008 .44909 L
.50103 .44943 L
.50231 .45104 L
.50241 .4511 L
.50354 .45265 L
.50401 .45317 L
.50495 .45425 L
.50562 .45532 L
.50602 .45586 L
.50722 .45742 L
.50724 .45746 L
.50848 .45907 L
.50883 .45938 L
.51004 .46067 L
.51043 .46154 L
.51103 .46228 L
.51204 .46369 L
.51217 .46388 L
.51341 .46549 L
.51364 .4656 L
.51463 .46709 L
.51525 .46776 L
.51605 .4687 L
.51686 .46994 L
.51712 .4703 L
.51833 .47191 L
.51846 .47207 L
.51955 .47351 L
.52007 .47397 L
.52112 .47512 L
.52167 .4762 L
.52209 .47672 L
.52325 .47833 L
.52328 .47837 L
.52445 .47993 L
.52488 .48013 L
.52567 .48154 L
.52649 .48245 L
.52706 .48314 L
.52809 .48468 L
.52815 .48475 L
.52934 .48636 L
.5297 .48681 L
.53055 .48796 L
.5313 .48868 L
.53207 .48957 L
.53291 .491 L
.53304 .49117 L
.5342 .49278 L
.53451 .49317 L
.5354 .49438 L
.53612 .49531 L
.53661 .49599 L
.53772 .49737 L
.5379 .49759 L
.53903 .4992 L
.53933 .49959 L
.5402 .5008 L
.54093 .50175 L
.5414 .50241 L
.54254 .50384 L
.54268 .50401 L
.54376 .50562 L
.54414 .50612 L
.54491 .50722 L
.54575 .50835 L
.54608 .50883 L
.54724 .51043 L
.54735 .51059 L
.54829 .51204 L
.54896 .51298 L
.54936 .51364 L
.54896 .51503 L
.54759 .51364 L
.54735 .51342 L
.54607 .51204 L
.54575 .5117 L
.54461 .51043 L
.54414 .50992 L
.54318 .50883 L
.54254 .50817 L
.54178 .50722 L
.54093 .5062 L
.54033 .50562 L
.53933 .50426 L
.53913 .50401 L
.53775 .50241 L
.53772 .50239 L
.53642 .5008 L
.53612 .50045 L
.53486 .4992 L
.53451 .49842 L
.53382 .49759 L
.53291 .49639 L
.53265 .49599 L
.5313 .49443 L
.53122 .49438 L
.52994 .49278 L
.5297 .49246 L
.52861 .49117 L
.52809 .49039 L
.5275 .48957 L
.52649 .48831 L
.52637 .48796 L
.52488 .48636 L
.52486 .48636 L
.52349 .48475 L
.52328 .48431 L
.52238 .48314 L
.52167 .4822 L
.52129 .48154 L
.52007 .48011 L
.51982 .47993 L
.51858 .47833 L
.51846 .47817 L
.5173 .47672 L
.51686 .47607 L
.5162 .47512 L
.51525 .47394 L
.51513 .47351 L
.51364 .47193 L
.51359 .47191 L
.51225 .4703 L
.51204 .46989 L
.51115 .4687 L
.51043 .46776 L
.51007 .46709 L
.50883 .46566 L
.50862 .46549 L
.50724 .46388 L
.50722 .46368 L
.50611 .46228 L
.50562 .46156 L
.50502 .46067 L
.50401 .45943 L
.50394 .45907 L
.50245 .45746 L
.50241 .45742 L
.50109 .45586 L
.5008 .45533 L
.5 .45425 L
.4992 .4532 L
.49891 .45265 L
.49759 .45111 L
.49751 .45104 L
.49605 .44943 L
.49599 .44909 L
.49499 .44783 L
.49438 .44695 L
.49391 .44622 L
.49278 .44483 L
.49275 .44462 L
.49137 .44301 L
.49117 .44282 L
.48997 .44141 L
.48957 .44069 L
.48892 .4398 L
.48796 .43854 L
.48779 .4382 L
.48647 .43659 L
.48636 .43653 L
.4849 .43499 L
.48475 .43442 L
.48394 .43338 L
.48314 .43224 L
.48285 .43178 L
.48159 .43017 L
.48154 .4301 L
.48038 .42857 L
.47993 .42815 L
.47895 .42696 L
.47833 .42592 L
.47793 .42536 L
.47674 .42375 L
.47672 .42373 L
.47555 .42215 L
.47512 .42192 L
.47391 .42054 L
.47351 .41955 L
.47305 .41894 L
.47194 .41733 L
.47191 .41729 L
.47077 .41572 L
.4703 .4151 L
.46959 .41412 L
.4687 .4131 L
.46825 .41251 L
.46724 .41091 L
.46709 .41072 L
.4661 .4093 L
.46549 .40846 L
.46496 .4077 L
.46388 .4062 L
.46373 .40609 L
.46275 .40449 L
.46228 .40381 L
.4617 .40288 L
.46067 .40129 L
.46066 .40128 L
F
0 .53 1 r
.46067 .50431 m
.46184 .50562 L
.46228 .50605 L
.46327 .50722 L
.46388 .5079 L
.46465 .50883 L
.46549 .50979 L
.46602 .51043 L
.46709 .51171 L
.46736 .51204 L
.46867 .51364 L
.4687 .51367 L
.46996 .51525 L
.4703 .51566 L
.47125 .51686 L
.47191 .51766 L
.47254 .51846 L
.47351 .51945 L
.47383 .52007 L
.4751 .52167 L
.47512 .52169 L
.47635 .52328 L
.47672 .52373 L
.47761 .52488 L
.47833 .52578 L
.47887 .52649 L
.47993 .52775 L
.4803 .52809 L
.48137 .5297 L
.48154 .52991 L
.4826 .5313 L
.48314 .532 L
.48384 .53291 L
.48475 .53381 L
.48508 .53451 L
.48631 .53612 L
.48636 .53618 L
.4875 .53772 L
.48796 .53831 L
.48872 .53933 L
.48957 .54043 L
.48994 .54093 L
.49116 .54254 L
.49117 .54256 L
.49232 .54414 L
.49278 .54473 L
.49351 .54575 L
.49438 .54691 L
.4947 .54735 L
.49587 .54896 L
.49599 .54911 L
.49698 .55057 L
.49759 .55138 L
.49812 .55217 L
.4992 .55368 L
.49926 .55378 L
.4992 .55518 L
.49797 .55378 L
.49759 .5534 L
.49657 .55217 L
.49599 .55153 L
.49521 .55057 L
.49438 .54962 L
.49385 .54896 L
.49278 .54768 L
.49252 .54735 L
.4912 .54575 L
.49117 .54572 L
.48993 .54414 L
.48957 .54371 L
.48865 .54254 L
.48796 .54171 L
.48736 .54093 L
.48636 .53994 L
.48608 .53933 L
.4848 .53772 L
.48475 .53766 L
.48357 .53612 L
.48314 .5356 L
.48232 .53451 L
.48154 .53355 L
.48105 .53291 L
.47993 .53158 L
.47962 .5313 L
.47856 .5297 L
.47833 .52941 L
.47734 .52809 L
.47672 .52732 L
.4761 .52649 L
.47512 .52553 L
.47486 .52488 L
.47363 .52328 L
.47351 .52313 L
.47244 .52167 L
.47191 .521 L
.47122 .52007 L
.4703 .51888 L
.46999 .51846 L
.46878 .51686 L
.4687 .51676 L
.46762 .51525 L
.46709 .51458 L
.46643 .51364 L
.46549 .51241 L
.46523 .51204 L
.46406 .51043 L
.46388 .51021 L
.46295 .50883 L
.46228 .50793 L
.46182 .50722 L
.46067 .50563 L
.46066 .50562 L
F
.013 .86 1 r
.46067 .40651 m
.46187 .4077 L
.46228 .40807 L
.46337 .4093 L
.46388 .40983 L
.4648 .41091 L
.46549 .41167 L
.46619 .41251 L
.46709 .41355 L
.46756 .41412 L
.4687 .41539 L
.46918 .41572 L
.47023 .41733 L
.4703 .41742 L
.47152 .41894 L
.47191 .41939 L
.47282 .42054 L
.47351 .42108 L
.47412 .42215 L
.47512 .42331 L
.47559 .42375 L
.4767 .42536 L
.47672 .42539 L
.47795 .42696 L
.47833 .42742 L
.47922 .42857 L
.47993 .42928 L
.48099 .43017 L
.48154 .43146 L
.48184 .43178 L
.48301 .43338 L
.48314 .43354 L
.48425 .43499 L
.48475 .43527 L
.48551 .43659 L
.48636 .43755 L
.48698 .4382 L
.48796 .43972 L
.48803 .4398 L
.48925 .44141 L
.48957 .4418 L
.49048 .44301 L
.49117 .44366 L
.4922 .44462 L
.49278 .44591 L
.49305 .44622 L
.49421 .44783 L
.49438 .44804 L
.49543 .44943 L
.49599 .44971 L
.49666 .45104 L
.49759 .45211 L
.49809 .45265 L
.49914 .45425 L
.4992 .45432 L
.50035 .45586 L
.5008 .45644 L
.50156 .45746 L
.50241 .4583 L
.50316 .45907 L
.50401 .46063 L
.50405 .46067 L
.50523 .46228 L
.50562 .46277 L
.50643 .46388 L
.50722 .4649 L
.50765 .46549 L
.50883 .46698 L
.50892 .46709 L
.51006 .4687 L
.51043 .46917 L
.51125 .4703 L
.51204 .47133 L
.51245 .47191 L
.51364 .47345 L
.5137 .47351 L
.51482 .47512 L
.51525 .47569 L
.51597 .47672 L
.51686 .4779 L
.51715 .47833 L
.51832 .47993 L
.51846 .48013 L
.51939 .48154 L
.52007 .48247 L
.52048 .48314 L
.52007 .48444 L
.51889 .48314 L
.51846 .48269 L
.51745 .48154 L
.51686 .48087 L
.51605 .47993 L
.51525 .47901 L
.51468 .47833 L
.51364 .47717 L
.51298 .47672 L
.51204 .47517 L
.51199 .47512 L
.51068 .47351 L
.51043 .47322 L
.50936 .47191 L
.50883 .47146 L
.50805 .4703 L
.50722 .46931 L
.50661 .4687 L
.50562 .46726 L
.50548 .46709 L
.50419 .46549 L
.50401 .46526 L
.50291 .46388 L
.50241 .46335 L
.50124 .46228 L
.5008 .46123 L
.50033 .46067 L
.4992 .45917 L
.49913 .45907 L
.49784 .45746 L
.49759 .45729 L
.49658 .45586 L
.49599 .45515 L
.49518 .45425 L
.49438 .45303 L
.4941 .45265 L
.49283 .45104 L
.49278 .45097 L
.49159 .44943 L
.49117 .44902 L
.49 .44783 L
.48957 .44686 L
.48906 .44622 L
.48796 .44474 L
.48789 .44462 L
.48663 .44301 L
.48636 .44287 L
.48539 .44141 L
.48475 .44066 L
.48402 .4398 L
.48314 .43848 L
.48294 .4382 L
.48171 .43659 L
.48154 .43637 L
.48049 .43499 L
.47993 .43445 L
.47894 .43338 L
.47833 .43219 L
.47801 .43178 L
.47684 .43017 L
.47672 .43002 L
.47564 .42857 L
.47512 .42829 L
.47443 .42696 L
.47351 .42584 L
.47311 .42536 L
.47203 .42375 L
.47191 .4236 L
.47085 .42215 L
.4703 .42143 L
.46965 .42054 L
.4687 .41941 L
.46829 .41894 L
.46731 .41733 L
.46709 .41705 L
.46616 .41572 L
.46549 .41481 L
.46501 .41412 L
.46388 .41256 L
.46385 .41251 L
.46279 .41091 L
.46228 .41018 L
.46173 .4093 L
.46067 .4077 L
.46067 .4077 L
F
1 .95 .212 r
.46228 .47053 m
.46388 .47111 L
.46475 .47191 L
.46549 .47264 L
.46651 .47351 L
.46709 .47456 L
.46758 .47512 L
.4687 .47659 L
.46878 .47672 L
.47004 .47833 L
.4703 .47857 L
.4718 .47993 L
.47191 .48066 L
.47269 .48154 L
.47351 .48279 L
.47377 .48314 L
.475 .48475 L
.47512 .48491 L
.47621 .48636 L
.47672 .48667 L
.47773 .48796 L
.47833 .48898 L
.47872 .48957 L
.47987 .49117 L
.47993 .49125 L
.48104 .49278 L
.48154 .49345 L
.48273 .49438 L
.48314 .49573 L
.48341 .49599 L
.48418 .49759 L
.48314 .49863 L
.48154 .49799 L
.48064 .49759 L
.47993 .49673 L
.47922 .49599 L
.47833 .49505 L
.47793 .49438 L
.47672 .49317 L
.4764 .49278 L
.47512 .49118 L
.47511 .49117 L
.4738 .48957 L
.47351 .48909 L
.47267 .48796 L
.47191 .48694 L
.47164 .48636 L
.4703 .48483 L
.47005 .48475 L
.46878 .48314 L
.4687 .48298 L
.46762 .48154 L
.46709 .48086 L
.46657 .47993 L
.46549 .47872 L
.46514 .47833 L
.46395 .47672 L
.46388 .47663 L
.46272 .47512 L
.46228 .4744 L
.46172 .47351 L
.46069 .47191 L
F
1 .94 .156 r
.46228 .4707 m
.46388 .47127 L
.46461 .47191 L
.46549 .47275 L
.46643 .47351 L
.46709 .47463 L
.46753 .47512 L
.4687 .47664 L
.46875 .47672 L
.47 .47833 L
.4703 .4786 L
.47178 .47993 L
.47191 .4807 L
.47265 .48154 L
.47351 .48283 L
.47375 .48314 L
.47496 .48475 L
.47512 .48495 L
.47618 .48636 L
.47672 .48671 L
.4777 .48796 L
.47833 .48904 L
.47868 .48957 L
.47982 .49117 L
.47993 .49132 L
.48099 .49278 L
.48154 .49354 L
.48264 .49438 L
.48314 .49588 L
.48325 .49599 L
.48392 .49759 L
.48314 .49833 L
.48154 .49773 L
.48115 .49759 L
.47993 .49652 L
.47938 .49599 L
.47833 .49489 L
.47803 .49438 L
.47672 .49304 L
.4765 .49278 L
.47519 .49117 L
.47512 .49107 L
.47386 .48957 L
.47351 .489 L
.47273 .48796 L
.47191 .48687 L
.47168 .48636 L
.4703 .4848 L
.47011 .48475 L
.46881 .48314 L
.4687 .48292 L
.46767 .48154 L
.46709 .4808 L
.46661 .47993 L
.46549 .47866 L
.4652 .47833 L
.46401 .47672 L
.46388 .47654 L
.46278 .47512 L
.46228 .47428 L
.46181 .47351 L
.46087 .47191 L
F
1 .93 .114 r
.46228 .47087 m
.46388 .47142 L
.46447 .47191 L
.46549 .47285 L
.46635 .47351 L
.46709 .4747 L
.46747 .47512 L
.4687 .4767 L
.46871 .47672 L
.46997 .47833 L
.4703 .47864 L
.47175 .47993 L
.47191 .48074 L
.47262 .48154 L
.47351 .48287 L
.47372 .48314 L
.47493 .48475 L
.47512 .48499 L
.47614 .48636 L
.47672 .48675 L
.47766 .48796 L
.47833 .48911 L
.47864 .48957 L
.47977 .49117 L
.47993 .49139 L
.48093 .49278 L
.48154 .49364 L
.48253 .49438 L
.4831 .49599 L
.48314 .49607 L
.4836 .49759 L
.48314 .49801 L
.48175 .49759 L
.48154 .4975 L
.47993 .49632 L
.47956 .49599 L
.47833 .49473 L
.47811 .49438 L
.47672 .49292 L
.4766 .49278 L
.47527 .49117 L
.47512 .49097 L
.47391 .48957 L
.47351 .48892 L
.47278 .48796 L
.47191 .48681 L
.47171 .48636 L
.4703 .48478 L
.47016 .48475 L
.46884 .48314 L
.4687 .48286 L
.46772 .48154 L
.46709 .48073 L
.46666 .47993 L
.46549 .4786 L
.46525 .47833 L
.46407 .47672 L
.46388 .47645 L
.46284 .47512 L
.46228 .47415 L
.4619 .47351 L
.46105 .47191 L
F
.538 .98 1 r
.46228 .44381 m
.46345 .44462 L
.46388 .44483 L
.46529 .44622 L
.46549 .44642 L
.46687 .44783 L
.46709 .44812 L
.46851 .44943 L
.4687 .44999 L
.46964 .45104 L
.4703 .45201 L
.47077 .45265 L
.47191 .45372 L
.47234 .45425 L
.47351 .45574 L
.47361 .45586 L
.47489 .45746 L
.47512 .45782 L
.476 .45907 L
.47672 .45995 L
.477 .46067 L
.47833 .46207 L
.47859 .46228 L
.47985 .46388 L
.47993 .46411 L
.4809 .46549 L
.48154 .46642 L
.48182 .46709 L
.48237 .4687 L
.48154 .46904 L
.47993 .46889 L
.47958 .4687 L
.47833 .46773 L
.47731 .46709 L
.47672 .46589 L
.4763 .46549 L
.47512 .46388 L
.47512 .46388 L
.47389 .46228 L
.47351 .4621 L
.47265 .46067 L
.47191 .45991 L
.47115 .45907 L
.4703 .45768 L
.47013 .45746 L
.46896 .45586 L
.4687 .45552 L
.46776 .45425 L
.46709 .45338 L
.46611 .45265 L
.46549 .45137 L
.46528 .45104 L
.46418 .44943 L
.46388 .44902 L
.46307 .44783 L
.46228 .44668 L
.46199 .44622 L
.46113 .44462 L
F
1 .92 .084 r
.46228 .47105 m
.46388 .47156 L
.46432 .47191 L
.46549 .47295 L
.46625 .47351 L
.46709 .47477 L
.46742 .47512 L
.46867 .47672 L
.4687 .47673 L
.46993 .47833 L
.4703 .47867 L
.47173 .47993 L
.47191 .48078 L
.47259 .48154 L
.47351 .48292 L
.47369 .48314 L
.4749 .48475 L
.47512 .48503 L
.47611 .48636 L
.47672 .48679 L
.47762 .48796 L
.47833 .48917 L
.47859 .48957 L
.47972 .49117 L
.47993 .49146 L
.48087 .49278 L
.48154 .49373 L
.48241 .49438 L
.48296 .49599 L
.48314 .49638 L
.48316 .49759 L
.48314 .4976 L
.48241 .49759 L
.48154 .49729 L
.47993 .49614 L
.47975 .49599 L
.47833 .49459 L
.4782 .49438 L
.47672 .4928 L
.4767 .49278 L
.47534 .49117 L
.47512 .49087 L
.47397 .48957 L
.47351 .48883 L
.47284 .48796 L
.47191 .48675 L
.47174 .48636 L
.4703 .48477 L
.47021 .48475 L
.46886 .48314 L
.4687 .4828 L
.46776 .48154 L
.46709 .48067 L
.4667 .47993 L
.46549 .47853 L
.46531 .47833 L
.46414 .47672 L
.46388 .47636 L
.46291 .47512 L
.46228 .47401 L
.46198 .47351 L
.46124 .47191 L
F
1 .82 .004 r
.46228 .45042 m
.46294 .45104 L
.46388 .45193 L
.46455 .45265 L
.46549 .45346 L
.466 .45425 L
.46709 .45549 L
.46752 .45586 L
.46867 .45746 L
.4687 .45749 L
.46993 .45907 L
.4703 .45956 L
.47114 .46067 L
.47191 .46174 L
.47272 .46228 L
.47329 .46388 L
.47351 .46431 L
.47396 .46549 L
.47351 .46595 L
.47264 .46549 L
.47191 .46493 L
.47087 .46388 L
.4703 .4633 L
.46944 .46228 L
.4687 .46142 L
.46811 .46067 L
.46709 .45964 L
.46683 .45907 L
.4656 .45746 L
.46549 .45732 L
.46444 .45586 L
.46388 .4551 L
.4633 .45425 L
.46228 .45278 L
.46219 .45265 L
.4613 .45104 L
F
1 .91 .061 r
.46228 .47123 m
.46388 .4717 L
.46416 .47191 L
.46549 .47305 L
.46615 .47351 L
.46709 .47484 L
.46735 .47512 L
.46863 .47672 L
.4687 .47675 L
.46989 .47833 L
.4703 .47871 L
.4717 .47993 L
.47191 .48082 L
.47255 .48154 L
.47351 .48296 L
.47365 .48314 L
.47487 .48475 L
.47512 .48507 L
.47608 .48636 L
.47672 .48684 L
.47758 .48796 L
.47833 .48924 L
.47855 .48957 L
.47967 .49117 L
.47993 .49153 L
.48081 .49278 L
.48154 .49384 L
.48228 .49438 L
.48281 .49599 L
.48154 .49708 L
.47997 .49599 L
.47993 .49596 L
.47833 .49445 L
.47829 .49438 L
.4768 .49278 L
.47672 .49269 L
.47542 .49117 L
.47512 .49077 L
.47402 .48957 L
.47351 .48875 L
.47289 .48796 L
.47191 .48669 L
.47176 .48636 L
.4703 .48476 L
.47027 .48475 L
.46889 .48314 L
.4687 .48274 L
.46781 .48154 L
.46709 .48061 L
.46673 .47993 L
.46549 .47847 L
.46537 .47833 L
.4642 .47672 L
.46388 .47627 L
.46297 .47512 L
.46228 .47387 L
.46207 .47351 L
.46144 .47191 L
F
1 .81 .003 r
.46228 .45063 m
.46275 .45104 L
.46388 .45208 L
.46442 .45265 L
.46549 .4536 L
.4659 .45425 L
.46709 .4556 L
.46739 .45586 L
.46859 .45746 L
.4687 .4576 L
.46985 .45907 L
.4703 .45966 L
.47106 .46067 L
.47191 .46187 L
.47255 .46228 L
.47317 .46388 L
.47351 .46463 L
.47371 .46549 L
.47351 .46568 L
.47292 .46549 L
.47191 .4648 L
.47097 .46388 L
.4703 .4632 L
.46952 .46228 L
.4687 .46133 L
.46818 .46067 L
.46709 .45952 L
.46689 .45907 L
.46567 .45746 L
.46549 .45723 L
.46452 .45586 L
.46388 .455 L
.46338 .45425 L
.46228 .45265 L
.46228 .45264 L
.46149 .45104 L
F
1 .9 .045 r
.46228 .47141 m
.46388 .47184 L
.46398 .47191 L
.46549 .47314 L
.46604 .47351 L
.46709 .47491 L
.46729 .47512 L
.46858 .47672 L
.4687 .47677 L
.46985 .47833 L
.4703 .47875 L
.47168 .47993 L
.47191 .48087 L
.47252 .48154 L
.47351 .483 L
.47362 .48314 L
.47483 .48475 L
.47512 .48512 L
.47604 .48636 L
.47672 .48689 L
.47754 .48796 L
.47833 .48931 L
.4785 .48957 L
.47962 .49117 L
.47993 .4916 L
.48074 .49278 L
.48154 .49395 L
.48213 .49438 L
.48264 .49599 L
.48154 .49688 L
.48018 .49599 L
.47993 .49581 L
.4784 .49438 L
.47833 .49433 L
.47689 .49278 L
.47672 .49259 L
.47549 .49117 L
.47512 .49068 L
.47407 .48957 L
.47351 .48868 L
.47294 .48796 L
.47191 .48664 L
.47179 .48636 L
.47032 .48475 L
.4703 .48473 L
.46892 .48314 L
.4687 .48268 L
.46785 .48154 L
.46709 .48055 L
.46677 .47993 L
.46549 .4784 L
.46543 .47833 L
.46426 .47672 L
.46388 .47617 L
.46304 .47512 L
.46228 .47371 L
.46217 .47351 L
.46165 .47191 L
F
.005 .83 1 r
.46228 .47692 m
.4636 .47833 L
.46388 .47864 L
.46494 .47993 L
.46549 .48058 L
.46621 .48154 L
.46709 .48265 L
.46745 .48314 L
.46865 .48475 L
.4687 .48482 L
.46967 .48636 L
.4703 .48737 L
.47056 .48796 L
.4703 .48846 L
.46968 .48796 L
.4687 .48709 L
.468 .48636 L
.46709 .48537 L
.46655 .48475 L
.46549 .4838 L
.46521 .48314 L
.46395 .48154 L
.46388 .48146 L
.46277 .47993 L
.46228 .47924 L
.46167 .47833 L
F
1 .8 .002 r
.46228 .45087 m
.4625 .45104 L
.46388 .45223 L
.46429 .45265 L
.46549 .45375 L
.46579 .45425 L
.46709 .45573 L
.46725 .45586 L
.4685 .45746 L
.4687 .4577 L
.46976 .45907 L
.4703 .45977 L
.47097 .46067 L
.47191 .462 L
.47235 .46228 L
.47304 .46388 L
.47191 .46467 L
.47109 .46388 L
.4703 .4631 L
.4696 .46228 L
.4687 .46125 L
.46824 .46067 L
.46709 .45939 L
.46695 .45907 L
.46574 .45746 L
.46549 .45713 L
.46459 .45586 L
.46388 .45488 L
.46346 .45425 L
.46241 .45265 L
.46228 .45243 L
.46175 .45104 L
F
.004 .82 1 r
.46228 .47714 m
.46344 .47833 L
.46388 .47879 L
.46482 .47993 L
.46549 .48072 L
.46611 .48154 L
.46709 .48278 L
.46735 .48314 L
.46851 .48475 L
.4687 .48501 L
.46949 .48636 L
.4687 .48687 L
.46819 .48636 L
.46709 .4852 L
.4667 .48475 L
.46549 .48351 L
.46534 .48314 L
.46408 .48154 L
.46388 .48128 L
.46291 .47993 L
.46228 .47902 L
.46183 .47833 L
F
1 .82 .004 r
.46228 .41497 m
.46289 .41572 L
.46388 .4168 L
.4643 .41733 L
.46549 .4187 L
.46567 .41894 L
.467 .42054 L
.46709 .42064 L
.46827 .42215 L
.4687 .42264 L
.46955 .42375 L
.4703 .42465 L
.47084 .42536 L
.47191 .42666 L
.47214 .42696 L
.47341 .42857 L
.47351 .42869 L
.47464 .43017 L
.47512 .43076 L
.47588 .43178 L
.47672 .43282 L
.47714 .43338 L
.47833 .43487 L
.47841 .43499 L
.47962 .43659 L
.47993 .43698 L
.48083 .4382 L
.48154 .43908 L
.48206 .4398 L
.48314 .44118 L
.48331 .44141 L
.48451 .44301 L
.48475 .44331 L
.48568 .44462 L
.48636 .44548 L
.48687 .44622 L
.48796 .44763 L
.4881 .44783 L
.48925 .44943 L
.48957 .44985 L
.49035 .45104 L
.49117 .45213 L
.49149 .45265 L
.49117 .45348 L
.49046 .45265 L
.48957 .45166 L
.48905 .45104 L
.48796 .44977 L
.48768 .44943 L
.48636 .44785 L
.48635 .44783 L
.48506 .44622 L
.48475 .44586 L
.48376 .44462 L
.48314 .44387 L
.48246 .44301 L
.48154 .44187 L
.48117 .44141 L
.47993 .43987 L
.47984 .4398 L
.47866 .4382 L
.47833 .4378 L
.4774 .43659 L
.47672 .43574 L
.47614 .43499 L
.47512 .43398 L
.47489 .43338 L
.47366 .43178 L
.47351 .43159 L
.47245 .43017 L
.47191 .42949 L
.47122 .42857 L
.4703 .42738 L
.46999 .42696 L
.46878 .42536 L
.4687 .42525 L
.46761 .42375 L
.46709 .42308 L
.46642 .42215 L
.46549 .42091 L
.46522 .42054 L
.46407 .41894 L
.46388 .41869 L
.46297 .41733 L
.46228 .41639 L
.46185 .41572 L
F
0 .52 1 r
.46228 .50616 m
.46318 .50722 L
.46388 .50798 L
.46459 .50883 L
.46549 .50986 L
.46596 .51043 L
.46709 .51177 L
.46731 .51204 L
.46862 .51364 L
.4687 .51373 L
.46991 .51525 L
.4703 .51571 L
.47121 .51686 L
.47191 .5177 L
.4725 .51846 L
.47351 .51951 L
.47379 .52007 L
.47507 .52167 L
.47512 .52173 L
.47632 .52328 L
.47672 .52378 L
.47758 .52488 L
.47833 .52582 L
.47884 .52649 L
.47993 .5278 L
.48025 .52809 L
.48133 .5297 L
.48154 .52996 L
.48256 .5313 L
.48314 .53204 L
.4838 .53291 L
.48475 .53387 L
.48504 .53451 L
.48627 .53612 L
.48636 .53623 L
.48747 .53772 L
.48796 .53835 L
.48868 .53933 L
.48957 .54047 L
.48991 .54093 L
.49112 .54254 L
.49117 .54261 L
.49228 .54414 L
.49278 .54479 L
.49346 .54575 L
.49438 .54697 L
.49466 .54735 L
.49582 .54896 L
.49599 .54918 L
.49692 .55057 L
.49759 .55147 L
.49805 .55217 L
.49759 .5533 L
.49665 .55217 L
.49599 .55145 L
.49527 .55057 L
.49438 .54956 L
.4939 .54896 L
.49278 .54763 L
.49256 .54735 L
.49125 .54575 L
.49117 .54566 L
.48997 .54414 L
.48957 .54366 L
.48869 .54254 L
.48796 .54166 L
.4874 .54093 L
.48636 .53988 L
.48611 .53933 L
.48484 .53772 L
.48475 .53762 L
.4836 .53612 L
.48314 .53556 L
.48235 .53451 L
.48154 .53351 L
.48108 .53291 L
.47993 .53153 L
.47968 .5313 L
.47859 .5297 L
.47833 .52937 L
.47737 .52809 L
.47672 .52728 L
.47613 .52649 L
.47512 .52546 L
.47489 .52488 L
.47366 .52328 L
.47351 .52309 L
.47247 .52167 L
.47191 .52096 L
.47126 .52007 L
.4703 .51884 L
.47003 .51846 L
.46882 .51686 L
.4687 .51671 L
.46766 .51525 L
.46709 .51452 L
.46647 .51364 L
.46549 .51235 L
.46527 .51204 L
.46411 .51043 L
.46388 .51013 L
.46302 .50883 L
.46228 .50784 L
.46189 .50722 L
F
1 .89 .033 r
.46228 .47162 m
.46375 .47191 L
.46388 .47197 L
.46549 .47324 L
.46591 .47351 L
.46709 .47498 L
.46723 .47512 L
.46853 .47672 L
.4687 .47678 L
.46981 .47833 L
.4703 .47879 L
.47165 .47993 L
.47191 .48091 L
.47248 .48154 L
.47351 .48304 L
.47359 .48314 L
.4748 .48475 L
.47512 .48516 L
.47601 .48636 L
.47672 .48694 L
.47749 .48796 L
.47833 .48938 L
.47845 .48957 L
.47957 .49117 L
.47993 .49168 L
.48068 .49278 L
.48154 .49407 L
.48196 .49438 L
.48244 .49599 L
.48154 .49666 L
.48041 .49599 L
.47993 .49566 L
.47853 .49438 L
.47833 .49423 L
.47699 .49278 L
.47672 .49249 L
.47557 .49117 L
.47512 .4906 L
.47413 .48957 L
.47351 .48861 L
.47299 .48796 L
.47191 .48659 L
.47181 .48636 L
.47037 .48475 L
.4703 .48468 L
.46895 .48314 L
.4687 .48262 L
.4679 .48154 L
.46709 .48048 L
.46681 .47993 L
.46549 .47834 L
.46548 .47833 L
.46432 .47672 L
.46388 .47608 L
.46311 .47512 L
.46228 .47354 L
.46226 .47351 L
.4619 .47191 L
F
1 .82 .004 r
.46228 .49944 m
.46355 .5008 L
.46388 .50115 L
.465 .50241 L
.46549 .50294 L
.46641 .50401 L
.46709 .50479 L
.4678 .50562 L
.4687 .50655 L
.46917 .50722 L
.4703 .50858 L
.47056 .50883 L
.47182 .51043 L
.47191 .51053 L
.47314 .51204 L
.47351 .51225 L
.47446 .51364 L
.47512 .5144 L
.47603 .51525 L
.47672 .51646 L
.47706 .51686 L
.47833 .51845 L
.47833 .51846 L
.47962 .52007 L
.47993 .52036 L
.4809 .52167 L
.48154 .52246 L
.48226 .52328 L
.48314 .52454 L
.48339 .52488 L
.4847 .52649 L
.48475 .52651 L
.48596 .52809 L
.48636 .52854 L
.48744 .5297 L
.48796 .53065 L
.48847 .5313 L
.48957 .53273 L
.48966 .53291 L
.49097 .53451 L
.49117 .53468 L
.49268 .53612 L
.49278 .5368 L
.49355 .53772 L
.49438 .53892 L
.49466 .53933 L
.49594 .54093 L
.49599 .54094 L
.49718 .54254 L
.49759 .54298 L
.49864 .54414 L
.4992 .54514 L
.49966 .54575 L
.5008 .54725 L
.50085 .54735 L
.50211 .54896 L
.50241 .54918 L
.50381 .55057 L
.50401 .55137 L
.50466 .55217 L
.50562 .55354 L
.50577 .55378 L
.50701 .55538 L
.50722 .55566 L
.50823 .55699 L
.50883 .55762 L
.50967 .55859 L
.51043 .55986 L
.51068 .5602 L
.51187 .5618 L
.51204 .56202 L
.51307 .56341 L
.51364 .56385 L
.51474 .56501 L
.51525 .56623 L
.51555 .56662 L
.51668 .56822 L
.51686 .56846 L
.51786 .56983 L
.51846 .57063 L
.51905 .57143 L
.52007 .57271 L
.52033 .57304 L
.52139 .57464 L
.52167 .57502 L
.52254 .57625 L
.52328 .57726 L
.52369 .57785 L
.52484 .57946 L
.52488 .57952 L
.5259 .58106 L
.52649 .5819 L
.52697 .58267 L
.52649 .58408 L
.52521 .58267 L
.52488 .58234 L
.52378 .58106 L
.52328 .58052 L
.52239 .57946 L
.52167 .57865 L
.52101 .57785 L
.52007 .5769 L
.51966 .57625 L
.51846 .57483 L
.51826 .57464 L
.51702 .57304 L
.51686 .57285 L
.51572 .57143 L
.51525 .57122 L
.51442 .56983 L
.51364 .56898 L
.51277 .56822 L
.51204 .56688 L
.51179 .56662 L
.51057 .56501 L
.51043 .56485 L
.50931 .56341 L
.50883 .56302 L
.50804 .5618 L
.50722 .56085 L
.5066 .5602 L
.50562 .55875 L
.50549 .55859 L
.50425 .55699 L
.50401 .55669 L
.503 .55538 L
.50241 .55477 L
.50138 .55378 L
.5008 .55261 L
.50043 .55217 L
.49924 .55057 L
.4992 .55051 L
.49801 .54896 L
.49759 .54867 L
.49677 .54735 L
.49599 .54645 L
.49535 .54575 L
.49438 .5443 L
.49426 .54414 L
.49305 .54254 L
.49278 .5422 L
.49182 .54093 L
.49117 .54029 L
.49024 .53933 L
.48957 .53807 L
.48928 .53772 L
.48811 .53612 L
.48796 .53593 L
.48689 .53451 L
.48636 .53416 L
.48566 .53291 L
.48475 .53184 L
.48429 .5313 L
.48319 .5297 L
.48314 .52964 L
.48199 .52809 L
.48154 .52752 L
.48077 .52649 L
.47993 .52561 L
.47927 .52488 L
.47833 .52331 L
.4783 .52328 L
.47712 .52167 L
.47672 .52117 L
.47592 .52007 L
.47512 .5194 L
.4747 .51846 L
.47351 .51694 L
.47345 .51686 L
.47229 .51525 L
.47191 .51475 L
.47111 .51364 L
.4703 .51259 L
.46991 .51204 L
.4687 .51044 L
.46869 .51043 L
.46755 .50883 L
.46709 .50822 L
.4664 .50722 L
.46549 .506 L
.46522 .50562 L
.46408 .50401 L
.46388 .50375 L
.46301 .50241 L
.46228 .50139 L
.46192 .5008 L
F
.01 .85 1 r
.46228 .40842 m
.46311 .4093 L
.46388 .41006 L
.46461 .41091 L
.46549 .41185 L
.46604 .41251 L
.46709 .4137 L
.46743 .41412 L
.4687 .41556 L
.46894 .41572 L
.47012 .41733 L
.4703 .41754 L
.47142 .41894 L
.47191 .4195 L
.47273 .42054 L
.47351 .42119 L
.47404 .42215 L
.47512 .42341 L
.47549 .42375 L
.47662 .42536 L
.47672 .42548 L
.47788 .42696 L
.47833 .4275 L
.47916 .42857 L
.47993 .42935 L
.48091 .43017 L
.48154 .43153 L
.48177 .43178 L
.48296 .43338 L
.48314 .43361 L
.4842 .43499 L
.48475 .43532 L
.48546 .43659 L
.48636 .43762 L
.48692 .4382 L
.48796 .43978 L
.48798 .4398 L
.4892 .44141 L
.48957 .44187 L
.49044 .44301 L
.49117 .44372 L
.49214 .44462 L
.49278 .44597 L
.493 .44622 L
.49416 .44783 L
.49438 .4481 L
.49538 .44943 L
.49599 .44976 L
.49662 .45104 L
.49759 .45218 L
.49802 .45265 L
.49909 .45425 L
.4992 .45438 L
.5003 .45586 L
.5008 .4565 L
.50152 .45746 L
.50241 .45838 L
.50308 .45907 L
.50399 .46067 L
.50401 .4607 L
.50517 .46228 L
.50562 .46284 L
.50638 .46388 L
.50722 .46497 L
.5076 .46549 L
.50883 .46709 L
.50883 .46709 L
.51 .4687 L
.51043 .46926 L
.51118 .4703 L
.51204 .47142 L
.51239 .47191 L
.51359 .47351 L
.51364 .47358 L
.51472 .47512 L
.51525 .47581 L
.51588 .47672 L
.51686 .47803 L
.51705 .47833 L
.51817 .47993 L
.51846 .48032 L
.51922 .48154 L
.52007 .48275 L
.52029 .48314 L
.52007 .48409 L
.51916 .48314 L
.51846 .48245 L
.51765 .48154 L
.51686 .48067 L
.51621 .47993 L
.51525 .47883 L
.51482 .47833 L
.51364 .47699 L
.51323 .47672 L
.51212 .47512 L
.51204 .47503 L
.51079 .47351 L
.51043 .47309 L
.50946 .47191 L
.50883 .47136 L
.50815 .4703 L
.50722 .4692 L
.50671 .4687 L
.50562 .46717 L
.50556 .46709 L
.50427 .46549 L
.50401 .46517 L
.50299 .46388 L
.50241 .46327 L
.5013 .46228 L
.5008 .46115 L
.5004 .46067 L
.4992 .4591 L
.49918 .45907 L
.49791 .45746 L
.49759 .45724 L
.49664 .45586 L
.49599 .45507 L
.49524 .45425 L
.49438 .45296 L
.49415 .45265 L
.49289 .45104 L
.49278 .45089 L
.49164 .44943 L
.49117 .44896 L
.49004 .44783 L
.48957 .44678 L
.48912 .44622 L
.48796 .44467 L
.48793 .44462 L
.48669 .44301 L
.48636 .44283 L
.48545 .44141 L
.48475 .44058 L
.48408 .4398 L
.48314 .43841 L
.483 .4382 L
.48177 .43659 L
.48154 .43629 L
.48055 .43499 L
.47993 .43437 L
.47901 .43338 L
.47833 .4321 L
.47808 .43178 L
.47691 .43017 L
.47672 .42993 L
.47571 .42857 L
.47512 .42822 L
.4745 .42696 L
.47351 .42573 L
.47321 .42536 L
.47211 .42375 L
.47191 .42349 L
.47093 .42215 L
.4703 .42131 L
.46974 .42054 L
.4687 .41923 L
.46845 .41894 L
.46741 .41733 L
.46709 .4169 L
.46628 .41572 L
.46549 .41464 L
.46513 .41412 L
.46401 .41251 L
.46388 .41234 L
.46298 .41091 L
.46228 .40987 L
.46195 .4093 L
F
0 .51 1 r
.46228 .50627 m
.46309 .50722 L
.46388 .50806 L
.46452 .50883 L
.46549 .50993 L
.4659 .51043 L
.46709 .51184 L
.46726 .51204 L
.46857 .51364 L
.4687 .51379 L
.46987 .51525 L
.4703 .51577 L
.47117 .51686 L
.47191 .51775 L
.47247 .51846 L
.47351 .51958 L
.47376 .52007 L
.47503 .52167 L
.47512 .52178 L
.47628 .52328 L
.47672 .52382 L
.47754 .52488 L
.47833 .52587 L
.47881 .52649 L
.47993 .52786 L
.48019 .52809 L
.4813 .5297 L
.48154 .53 L
.48253 .5313 L
.48314 .53208 L
.48377 .53291 L
.48475 .53394 L
.48501 .53451 L
.48623 .53612 L
.48636 .53627 L
.48743 .53772 L
.48796 .5384 L
.48865 .53933 L
.48957 .54052 L
.48987 .54093 L
.49107 .54254 L
.49117 .54266 L
.49224 .54414 L
.49278 .54485 L
.49342 .54575 L
.49438 .54703 L
.49461 .54735 L
.49576 .54896 L
.49599 .54926 L
.49685 .55057 L
.49759 .55157 L
.49798 .55217 L
.49759 .55319 L
.49674 .55217 L
.49599 .55137 L
.49533 .55057 L
.49438 .54949 L
.49396 .54896 L
.49278 .54757 L
.49261 .54735 L
.49129 .54575 L
.49117 .54561 L
.49002 .54414 L
.48957 .54361 L
.48873 .54254 L
.48796 .54161 L
.48743 .54093 L
.48636 .53981 L
.48614 .53933 L
.48487 .53772 L
.48475 .53758 L
.48363 .53612 L
.48314 .53552 L
.48238 .53451 L
.48154 .53347 L
.48111 .53291 L
.47993 .53147 L
.47974 .5313 L
.47863 .5297 L
.47833 .52933 L
.4774 .52809 L
.47672 .52724 L
.47616 .52649 L
.47512 .52539 L
.47491 .52488 L
.4737 .52328 L
.47351 .52305 L
.4725 .52167 L
.47191 .52092 L
.47129 .52007 L
.4703 .5188 L
.47006 .51846 L
.46886 .51686 L
.4687 .51665 L
.4677 .51525 L
.46709 .51447 L
.46652 .51364 L
.46549 .51229 L
.46531 .51204 L
.46417 .51043 L
.46388 .51005 L
.46308 .50883 L
.46228 .50774 L
.46196 .50722 L
F
1 .16 0 r
.46228 .51302 m
.46273 .51364 L
.46388 .51499 L
.46407 .51525 L
.46388 .5162 L
.46324 .51525 L
.46228 .51409 L
.46198 .51364 L
F
.003 .81 1 r
.46228 .47741 m
.46325 .47833 L
.46388 .47896 L
.46468 .47993 L
.46549 .48086 L
.46599 .48154 L
.46709 .48292 L
.46725 .48314 L
.46835 .48475 L
.4687 .48525 L
.46924 .48636 L
.4687 .48661 L
.46843 .48636 L
.46709 .48501 L
.46686 .48475 L
.46549 .48316 L
.46548 .48314 L
.46423 .48154 L
.46388 .48109 L
.46306 .47993 L
.46228 .47876 L
.46201 .47833 L
F
1 .91 .061 r
.46228 .40184 m
.46338 .40288 L
.46388 .40334 L
.46495 .40449 L
.46549 .40504 L
.46642 .40609 L
.46709 .40682 L
.46784 .4077 L
.4687 .40853 L
.46923 .4093 L
.4703 .41054 L
.47073 .41091 L
.47191 .41248 L
.47194 .41251 L
.47326 .41412 L
.47351 .41425 L
.47457 .41572 L
.47512 .41632 L
.47629 .41733 L
.47672 .41837 L
.47724 .41894 L
.47833 .42039 L
.47844 .42054 L
.47974 .42215 L
.47993 .42231 L
.48102 .42375 L
.48154 .42437 L
.48247 .42536 L
.48314 .42645 L
.48356 .42696 L
.48475 .42849 L
.48479 .42857 L
.48608 .43017 L
.48636 .43046 L
.48767 .43178 L
.48796 .43255 L
.48866 .43338 L
.48957 .43465 L
.4898 .43499 L
.4911 .43659 L
.49117 .43665 L
.49234 .4382 L
.49278 .4387 L
.49376 .4398 L
.49438 .44082 L
.49484 .44141 L
.49599 .4429 L
.49604 .44301 L
.49732 .44462 L
.49759 .44489 L
.49888 .44622 L
.4992 .44701 L
.49988 .44783 L
.5008 .44913 L
.50101 .44943 L
.50228 .45104 L
.50241 .45112 L
.50351 .45265 L
.50401 .45321 L
.50493 .45425 L
.50562 .45535 L
.506 .45586 L
.50722 .45745 L
.50723 .45746 L
.50845 .45907 L
.50883 .45941 L
.51002 .46067 L
.51043 .46158 L
.511 .46228 L
.51204 .46372 L
.51214 .46388 L
.51338 .46549 L
.51364 .46562 L
.5146 .46709 L
.51525 .4678 L
.51602 .4687 L
.51686 .46998 L
.51709 .4703 L
.5183 .47191 L
.51846 .47211 L
.51951 .47351 L
.52007 .474 L
.52108 .47512 L
.52167 .47624 L
.52205 .47672 L
.52321 .47833 L
.52328 .47841 L
.52441 .47993 L
.52488 .48016 L
.52563 .48154 L
.52649 .4825 L
.52702 .48314 L
.52809 .48473 L
.5281 .48475 L
.5293 .48636 L
.5297 .48687 L
.53051 .48796 L
.5313 .48875 L
.53201 .48957 L
.53291 .49108 L
.53298 .49117 L
.53415 .49278 L
.53451 .49324 L
.53534 .49438 L
.53612 .49538 L
.53656 .49599 L
.53772 .49748 L
.53781 .49759 L
.53895 .4992 L
.53933 .49969 L
.54013 .5008 L
.54093 .50186 L
.54132 .50241 L
.54253 .50401 L
.54254 .50403 L
.54365 .50562 L
.54414 .50628 L
.54478 .50722 L
.54575 .50854 L
.54594 .50883 L
.54703 .51043 L
.54735 .51089 L
.54804 .51204 L
.54896 .51349 L
.54903 .51364 L
.54896 .51437 L
.54808 .51364 L
.54735 .51302 L
.5464 .51204 L
.54575 .51139 L
.54487 .51043 L
.54414 .50965 L
.5434 .50883 L
.54254 .50795 L
.54198 .50722 L
.54093 .506 L
.54051 .50562 L
.53933 .5041 L
.53925 .50401 L
.53789 .50241 L
.53772 .5023 L
.53654 .5008 L
.53612 .5003 L
.53494 .4992 L
.53451 .49829 L
.53392 .49759 L
.53291 .49628 L
.53272 .49599 L
.53132 .49438 L
.5313 .49436 L
.53002 .49278 L
.5297 .49235 L
.52868 .49117 L
.52809 .49029 L
.52757 .48957 L
.52649 .48823 L
.5264 .48796 L
.52493 .48636 L
.52488 .4863 L
.52353 .48475 L
.52328 .48423 L
.52244 .48314 L
.52167 .48213 L
.52133 .48154 L
.52007 .48007 L
.51988 .47993 L
.51863 .47833 L
.51846 .47811 L
.51734 .47672 L
.51686 .476 L
.51625 .47512 L
.51525 .47389 L
.51515 .47351 L
.51364 .47191 L
.51364 .47191 L
.51228 .4703 L
.51204 .46983 L
.51118 .4687 L
.51043 .46771 L
.5101 .46709 L
.50883 .46562 L
.50866 .46549 L
.50725 .46388 L
.50722 .46363 L
.50615 .46228 L
.50562 .46151 L
.50506 .46067 L
.50401 .45939 L
.50395 .45907 L
.50248 .45746 L
.50241 .45738 L
.50111 .45586 L
.5008 .45528 L
.50004 .45425 L
.4992 .45315 L
.49894 .45265 L
.49759 .45108 L
.49755 .45104 L
.49606 .44943 L
.49599 .44904 L
.49503 .44783 L
.49438 .4469 L
.49394 .44622 L
.49278 .44478 L
.49275 .44462 L
.49141 .44301 L
.49117 .44278 L
.49 .44141 L
.48957 .44064 L
.48896 .4398 L
.48796 .43849 L
.48782 .4382 L
.48652 .43659 L
.48636 .43651 L
.48492 .43499 L
.48475 .43436 L
.48399 .43338 L
.48314 .43218 L
.48289 .43178 L
.48164 .43017 L
.48154 .43004 L
.48044 .42857 L
.47993 .42809 L
.47901 .42696 L
.47833 .42583 L
.47799 .42536 L
.47681 .42375 L
.47672 .42364 L
.47562 .42215 L
.47512 .42185 L
.47398 .42054 L
.47351 .41944 L
.47314 .41894 L
.47203 .41733 L
.47191 .41717 L
.47087 .41572 L
.4703 .41497 L
.46969 .41412 L
.4687 .4129 L
.46841 .41251 L
.46737 .41091 L
.46709 .41053 L
.46625 .4093 L
.46549 .40824 L
.46512 .4077 L
.46402 .40609 L
.46388 .4059 L
.46302 .40449 L
.46228 .40334 L
.46203 .40288 L
F
0 .5 1 r
.46228 .5064 m
.46299 .50722 L
.46388 .50815 L
.46445 .50883 L
.46549 .51 L
.46585 .51043 L
.46709 .5119 L
.46721 .51204 L
.46852 .51364 L
.4687 .51385 L
.46982 .51525 L
.4703 .51582 L
.47112 .51686 L
.47191 .51781 L
.47243 .51846 L
.47351 .51965 L
.47372 .52007 L
.47499 .52167 L
.47512 .52183 L
.47624 .52328 L
.47672 .52387 L
.47751 .52488 L
.47833 .52591 L
.47877 .52649 L
.47993 .52792 L
.48012 .52809 L
.48126 .5297 L
.48154 .53004 L
.48249 .5313 L
.48314 .53213 L
.48374 .53291 L
.48475 .534 L
.48498 .53451 L
.4862 .53612 L
.48636 .53632 L
.4874 .53772 L
.48796 .53845 L
.48861 .53933 L
.48957 .54057 L
.48983 .54093 L
.49103 .54254 L
.49117 .54272 L
.49219 .54414 L
.49278 .54491 L
.49337 .54575 L
.49438 .54709 L
.49457 .54735 L
.49569 .54896 L
.49599 .54935 L
.49678 .55057 L
.49759 .55168 L
.4979 .55217 L
.49759 .55307 L
.49683 .55217 L
.49599 .55129 L
.4954 .55057 L
.49438 .54942 L
.49401 .54896 L
.49278 .54751 L
.49265 .54735 L
.49134 .54575 L
.49117 .54555 L
.49006 .54414 L
.48957 .54356 L
.48877 .54254 L
.48796 .54157 L
.48747 .54093 L
.48636 .53974 L
.48617 .53933 L
.48491 .53772 L
.48475 .53753 L
.48367 .53612 L
.48314 .53548 L
.48241 .53451 L
.48154 .53343 L
.48114 .53291 L
.47993 .53142 L
.47981 .5313 L
.47866 .5297 L
.47833 .52929 L
.47744 .52809 L
.47672 .5272 L
.47619 .52649 L
.47512 .52532 L
.47494 .52488 L
.47373 .52328 L
.47351 .523 L
.47254 .52167 L
.47191 .52087 L
.47132 .52007 L
.4703 .51875 L
.47009 .51846 L
.4689 .51686 L
.4687 .5166 L
.46774 .51525 L
.46709 .51441 L
.46656 .51364 L
.46549 .51223 L
.46535 .51204 L
.46424 .51043 L
.46388 .50997 L
.46315 .50883 L
.46228 .50763 L
.46204 .50722 L
F
1 .15 0 r
.46228 .51313 m
.46265 .51364 L
.46388 .51507 L
.46401 .51525 L
.46388 .51611 L
.46332 .51525 L
.46228 .514 L
.46205 .51364 L
F
1 .81 .003 r
.46228 .49971 m
.46334 .5008 L
.46388 .50134 L
.46485 .50241 L
.46549 .5031 L
.46629 .50401 L
.46709 .50492 L
.46769 .50562 L
.4687 .50668 L
.46907 .50722 L
.4703 .50869 L
.47045 .50883 L
.47174 .51043 L
.47191 .51063 L
.47307 .51204 L
.47351 .5123 L
.47439 .51364 L
.47512 .51448 L
.47596 .51525 L
.47672 .51653 L
.477 .51686 L
.47828 .51846 L
.47833 .51853 L
.47956 .52007 L
.47993 .52042 L
.48085 .52167 L
.48154 .52252 L
.48221 .52328 L
.48314 .52459 L
.48335 .52488 L
.48465 .52649 L
.48475 .52652 L
.48591 .52809 L
.48636 .52859 L
.48741 .5297 L
.48796 .5307 L
.48843 .5313 L
.48957 .53278 L
.48964 .53291 L
.49093 .53451 L
.49117 .53472 L
.49267 .53612 L
.49278 .53685 L
.49351 .53772 L
.49438 .53897 L
.49463 .53933 L
.4959 .54093 L
.49599 .54094 L
.49714 .54254 L
.49759 .54302 L
.4986 .54414 L
.4992 .54518 L
.49963 .54575 L
.5008 .5473 L
.50083 .54735 L
.50207 .54896 L
.50241 .54921 L
.50378 .55057 L
.50401 .55142 L
.50462 .55217 L
.50562 .55359 L
.50574 .55378 L
.50697 .55538 L
.50722 .55571 L
.50819 .55699 L
.50883 .55767 L
.50963 .55859 L
.51043 .55992 L
.51064 .5602 L
.51182 .5618 L
.51204 .56208 L
.51302 .56341 L
.51364 .56391 L
.51468 .56501 L
.51525 .56631 L
.51549 .56662 L
.51662 .56822 L
.51686 .56853 L
.5178 .56983 L
.51846 .57071 L
.51899 .57143 L
.52007 .57283 L
.52023 .57304 L
.52131 .57464 L
.52167 .57513 L
.52245 .57625 L
.52328 .57738 L
.52361 .57785 L
.52472 .57946 L
.52488 .57968 L
.52576 .58106 L
.52649 .58213 L
.52681 .58267 L
.52649 .58381 L
.52541 .58267 L
.52488 .58216 L
.52392 .58106 L
.52328 .58037 L
.5225 .57946 L
.52167 .57853 L
.52111 .57785 L
.52007 .57678 L
.51974 .57625 L
.51846 .57472 L
.51837 .57464 L
.51709 .57304 L
.51686 .57276 L
.51579 .57143 L
.51525 .57117 L
.51448 .56983 L
.51364 .56891 L
.51284 .56822 L
.51204 .56682 L
.51185 .56662 L
.51062 .56501 L
.51043 .56479 L
.50935 .56341 L
.50883 .56297 L
.50808 .5618 L
.50722 .5608 L
.50665 .5602 L
.50562 .5587 L
.50553 .55859 L
.50429 .55699 L
.50401 .55664 L
.50304 .55538 L
.50241 .55473 L
.50142 .55378 L
.5008 .55256 L
.50046 .55217 L
.49928 .55057 L
.4992 .55047 L
.49804 .54896 L
.49759 .54864 L
.4968 .54735 L
.49599 .54641 L
.49539 .54575 L
.49438 .54426 L
.49429 .54414 L
.49308 .54254 L
.49278 .54216 L
.49185 .54093 L
.49117 .54025 L
.49027 .53933 L
.48957 .53803 L
.48931 .53772 L
.48814 .53612 L
.48796 .53589 L
.48692 .53451 L
.48636 .53413 L
.48569 .53291 L
.48475 .53179 L
.48432 .5313 L
.48322 .5297 L
.48314 .5296 L
.48202 .52809 L
.48154 .52748 L
.4808 .52649 L
.47993 .52555 L
.47932 .52488 L
.47834 .52328 L
.47833 .52326 L
.47716 .52167 L
.47672 .52112 L
.47595 .52007 L
.47512 .51933 L
.47474 .51846 L
.47351 .51686 L
.47351 .51686 L
.47234 .51525 L
.47191 .51469 L
.47116 .51364 L
.4703 .51252 L
.46996 .51204 L
.46876 .51043 L
.4687 .51036 L
.46762 .50883 L
.46709 .50813 L
.46647 .50722 L
.46549 .5059 L
.4653 .50562 L
.46418 .50401 L
.46388 .5036 L
.46313 .50241 L
.46228 .50117 L
.46207 .5008 L
F
0 .49 1 r
.46228 .50656 m
.46287 .50722 L
.46388 .50825 L
.46437 .50883 L
.46549 .51008 L
.46578 .51043 L
.46709 .51197 L
.46715 .51204 L
.46846 .51364 L
.4687 .51391 L
.46977 .51525 L
.4703 .51588 L
.47108 .51686 L
.47191 .51786 L
.47239 .51846 L
.47351 .51973 L
.47368 .52007 L
.47495 .52167 L
.47512 .52188 L
.4762 .52328 L
.47672 .52392 L
.47747 .52488 L
.47833 .52596 L
.47874 .52649 L
.47993 .52798 L
.48006 .52809 L
.48122 .5297 L
.48154 .53009 L
.48246 .5313 L
.48314 .53217 L
.4837 .53291 L
.48475 .53407 L
.48494 .53451 L
.48616 .53612 L
.48636 .53637 L
.48736 .53772 L
.48796 .5385 L
.48857 .53933 L
.48957 .54062 L
.4898 .54093 L
.49098 .54254 L
.49117 .54278 L
.49214 .54414 L
.49278 .54497 L
.49333 .54575 L
.49438 .54716 L
.49452 .54735 L
.49562 .54896 L
.49599 .54944 L
.49671 .55057 L
.49759 .55181 L
.49781 .55217 L
.49759 .55293 L
.49694 .55217 L
.49599 .5512 L
.49547 .55057 L
.49438 .54935 L
.49407 .54896 L
.49278 .54745 L
.4927 .54735 L
.4914 .54575 L
.49117 .54549 L
.49011 .54414 L
.48957 .54351 L
.48881 .54254 L
.48796 .54152 L
.48751 .54093 L
.48636 .53966 L
.48621 .53933 L
.48495 .53772 L
.48475 .53748 L
.4837 .53612 L
.48314 .53544 L
.48244 .53451 L
.48154 .53339 L
.48118 .53291 L
.47993 .53136 L
.47987 .5313 L
.47869 .5297 L
.47833 .52925 L
.47747 .52809 L
.47672 .52716 L
.47623 .52649 L
.47512 .52525 L
.47497 .52488 L
.47377 .52328 L
.47351 .52296 L
.47257 .52167 L
.47191 .52083 L
.47136 .52007 L
.4703 .51871 L
.47013 .51846 L
.46894 .51686 L
.4687 .51655 L
.46779 .51525 L
.46709 .51435 L
.4666 .51364 L
.46549 .51217 L
.4654 .51204 L
.4643 .51043 L
.46388 .50987 L
.46323 .50883 L
.46228 .50749 L
.46212 .50722 L
F
1 .14 0 r
.46228 .51326 m
.46255 .51364 L
.46388 .51517 L
.46394 .51525 L
.46388 .51598 L
.46343 .51525 L
.46228 .51388 L
.46213 .51364 L
F
1 .81 .003 r
.46228 .41549 m
.46248 .41572 L
.46388 .41709 L
.46407 .41733 L
.46549 .41892 L
.4655 .41894 L
.4668 .42054 L
.46709 .42086 L
.46809 .42215 L
.4687 .42284 L
.4694 .42375 L
.4703 .42482 L
.47071 .42536 L
.47191 .42681 L
.47202 .42696 L
.47328 .42857 L
.47351 .42885 L
.47451 .43017 L
.47512 .43091 L
.47576 .43178 L
.47672 .43296 L
.47703 .43338 L
.47831 .43499 L
.47833 .43501 L
.4795 .43659 L
.47993 .43713 L
.48071 .4382 L
.48154 .43924 L
.48195 .4398 L
.48314 .44133 L
.4832 .44141 L
.48437 .44301 L
.48475 .4435 L
.48553 .44462 L
.48636 .44567 L
.48673 .44622 L
.48796 .44783 L
.48796 .44783 L
.48902 .44943 L
.48957 .45015 L
.49008 .45104 L
.49117 .45258 L
.4912 .45265 L
.49117 .45293 L
.49088 .45265 L
.48957 .45135 L
.4893 .45104 L
.48796 .44952 L
.48789 .44943 L
.48656 .44783 L
.48636 .4476 L
.48525 .44622 L
.48475 .44565 L
.48393 .44462 L
.48314 .44368 L
.48261 .44301 L
.48154 .44169 L
.48131 .44141 L
.48005 .4398 L
.47993 .43967 L
.4788 .4382 L
.47833 .43762 L
.47754 .43659 L
.47672 .43558 L
.47627 .43499 L
.47512 .43366 L
.47502 .43338 L
.47381 .43178 L
.47351 .43141 L
.47259 .43017 L
.47191 .42931 L
.47135 .42857 L
.4703 .4272 L
.47013 .42696 L
.46895 .42536 L
.4687 .42504 L
.46778 .42375 L
.46709 .42286 L
.46658 .42215 L
.46549 .42067 L
.46539 .42054 L
.46432 .41894 L
.46388 .41835 L
.46326 .41733 L
.46228 .41589 L
.4622 .41572 L
F
1 .88 .024 r
.46228 .47185 m
.46341 .47191 L
.46388 .4721 L
.46549 .47334 L
.46578 .47351 L
.46709 .47505 L
.46716 .47512 L
.46848 .47672 L
.4687 .4768 L
.46977 .47833 L
.4703 .47883 L
.47161 .47993 L
.47191 .48095 L
.47244 .48154 L
.47351 .48308 L
.47356 .48314 L
.47476 .48475 L
.47512 .48521 L
.47597 .48636 L
.47672 .487 L
.47745 .48796 L
.47833 .48946 L
.4784 .48957 L
.47952 .49117 L
.47993 .49176 L
.48061 .49278 L
.48154 .49421 L
.48177 .49438 L
.48221 .49599 L
.48154 .49643 L
.48068 .49599 L
.47993 .49551 L
.47866 .49438 L
.47833 .49414 L
.47708 .49278 L
.47672 .49239 L
.47564 .49117 L
.47512 .49051 L
.47418 .48957 L
.47351 .48854 L
.47304 .48796 L
.47191 .48654 L
.47183 .48636 L
.47042 .48475 L
.4703 .48464 L
.46897 .48314 L
.4687 .48256 L
.46794 .48154 L
.46709 .48042 L
.46684 .47993 L
.46554 .47833 L
.46549 .47826 L
.46438 .47672 L
.46388 .47598 L
.46318 .47512 L
.46237 .47351 L
.46228 .47326 L
.4622 .47191 L
F
0 .48 1 r
.46228 .50679 m
.4627 .50722 L
.46388 .50836 L
.46428 .50883 L
.46549 .51016 L
.46572 .51043 L
.46709 .51204 L
.46709 .51204 L
.4684 .51364 L
.4687 .51398 L
.46972 .51525 L
.4703 .51594 L
.47103 .51686 L
.47191 .51791 L
.47234 .51846 L
.47351 .5198 L
.47364 .52007 L
.4749 .52167 L
.47512 .52193 L
.47616 .52328 L
.47672 .52396 L
.47743 .52488 L
.47833 .526 L
.4787 .52649 L
.47993 .52804 L
.47999 .52809 L
.48119 .5297 L
.48154 .53014 L
.48242 .5313 L
.48314 .53222 L
.48367 .53291 L
.48475 .53415 L
.48491 .53451 L
.48612 .53612 L
.48636 .53642 L
.48732 .53772 L
.48796 .53855 L
.48854 .53933 L
.48957 .54067 L
.48976 .54093 L
.49094 .54254 L
.49117 .54284 L
.4921 .54414 L
.49278 .54503 L
.49328 .54575 L
.49438 .54723 L
.49447 .54735 L
.49555 .54896 L
.49599 .54955 L
.49662 .55057 L
.49759 .55196 L
.49771 .55217 L
.49759 .55275 L
.49708 .55217 L
.49599 .5511 L
.49555 .55057 L
.49438 .54928 L
.49413 .54896 L
.49278 .54739 L
.49275 .54735 L
.49145 .54575 L
.49117 .54543 L
.49016 .54414 L
.48957 .54346 L
.48885 .54254 L
.48796 .54147 L
.48755 .54093 L
.48636 .53959 L
.48624 .53933 L
.48499 .53772 L
.48475 .53744 L
.48374 .53612 L
.48314 .53539 L
.48248 .53451 L
.48154 .53335 L
.48121 .53291 L
.47994 .5313 L
.47993 .5313 L
.47873 .5297 L
.47833 .5292 L
.4775 .52809 L
.47672 .52712 L
.47626 .52649 L
.47512 .52518 L
.475 .52488 L
.4738 .52328 L
.47351 .52291 L
.47261 .52167 L
.47191 .52078 L
.47139 .52007 L
.4703 .51866 L
.47016 .51846 L
.46899 .51686 L
.4687 .51649 L
.46783 .51525 L
.46709 .51429 L
.46665 .51364 L
.46549 .5121 L
.46544 .51204 L
.46438 .51043 L
.46388 .50977 L
.46332 .50883 L
.46228 .50732 L
.46223 .50722 L
F
1 .13 0 r
.46228 .51347 m
.46238 .51364 L
.46228 .51371 L
.46224 .51364 L
F
.002 .8 1 r
.46228 .47788 m
.46296 .47833 L
.46388 .47916 L
.46453 .47993 L
.46549 .48103 L
.46587 .48154 L
.46709 .48309 L
.46713 .48314 L
.46814 .48475 L
.46709 .48479 L
.46706 .48475 L
.46567 .48314 L
.46549 .48294 L
.4644 .48154 L
.46388 .48087 L
.46323 .47993 L
.46228 .47839 L
.46225 .47833 L
F
1 .8 .002 r
.46228 .50012 m
.46305 .5008 L
.46388 .50155 L
.46467 .50241 L
.46549 .50326 L
.46615 .50401 L
.46709 .50506 L
.46758 .50562 L
.4687 .50683 L
.46897 .50722 L
.4703 .50881 L
.47033 .50883 L
.47166 .51043 L
.47191 .51073 L
.47299 .51204 L
.47351 .51237 L
.47432 .51364 L
.47512 .51456 L
.47589 .51525 L
.47672 .51661 L
.47694 .51686 L
.47822 .51846 L
.47833 .5186 L
.47951 .52007 L
.47993 .52047 L
.48079 .52167 L
.48154 .52259 L
.48216 .52328 L
.48314 .52465 L
.48331 .52488 L
.4846 .52649 L
.48475 .52654 L
.48587 .52809 L
.48636 .52864 L
.48737 .5297 L
.48796 .53075 L
.48839 .5313 L
.48957 .53282 L
.48961 .53291 L
.49089 .53451 L
.49117 .53475 L
.49265 .53612 L
.49278 .53689 L
.49347 .53772 L
.49438 .53902 L
.49459 .53933 L
.49587 .54093 L
.49599 .54095 L
.4971 .54254 L
.49759 .54307 L
.49857 .54414 L
.4992 .54523 L
.49959 .54575 L
.5008 .54735 L
.50081 .54735 L
.50203 .54896 L
.50241 .54925 L
.50376 .55057 L
.50401 .55147 L
.50458 .55217 L
.50562 .55364 L
.50571 .55378 L
.50693 .55538 L
.50722 .55577 L
.50814 .55699 L
.50883 .55773 L
.50958 .55859 L
.51043 .55998 L
.51059 .5602 L
.51178 .5618 L
.51204 .56214 L
.51298 .56341 L
.51364 .56397 L
.51462 .56501 L
.51525 .56639 L
.51543 .56662 L
.51656 .56822 L
.51686 .56861 L
.51774 .56983 L
.51846 .57079 L
.51892 .57143 L
.52007 .57296 L
.52013 .57304 L
.52123 .57464 L
.52167 .57524 L
.52237 .57625 L
.52328 .57751 L
.52351 .57785 L
.52459 .57946 L
.52488 .57987 L
.52561 .58106 L
.52649 .58243 L
.52661 .58267 L
.52649 .58345 L
.52567 .58267 L
.52488 .58195 L
.52409 .58106 L
.52328 .58022 L
.52262 .57946 L
.52167 .5784 L
.52121 .57785 L
.52007 .57664 L
.51983 .57625 L
.51848 .57464 L
.51846 .57462 L
.51717 .57304 L
.51686 .57267 L
.51586 .57143 L
.51525 .57111 L
.51454 .56983 L
.51364 .56883 L
.51292 .56822 L
.51204 .56675 L
.51192 .56662 L
.51067 .56501 L
.51043 .56473 L
.5094 .56341 L
.50883 .56292 L
.50812 .5618 L
.50722 .56074 L
.5067 .5602 L
.50562 .55865 L
.50557 .55859 L
.50433 .55699 L
.50401 .55659 L
.50308 .55538 L
.50241 .55468 L
.50146 .55378 L
.5008 .55252 L
.5005 .55217 L
.49931 .55057 L
.4992 .55042 L
.49808 .54896 L
.49759 .54861 L
.49683 .54735 L
.49599 .54637 L
.49542 .54575 L
.49438 .54421 L
.49433 .54414 L
.49311 .54254 L
.49278 .54212 L
.49188 .54093 L
.49117 .54021 L
.49031 .53933 L
.48957 .53799 L
.48935 .53772 L
.48817 .53612 L
.48796 .53585 L
.48695 .53451 L
.48636 .53409 L
.48572 .53291 L
.48475 .53174 L
.48437 .5313 L
.48326 .5297 L
.48314 .52955 L
.48206 .52809 L
.48154 .52743 L
.48084 .52649 L
.47993 .5255 L
.47937 .52488 L
.47838 .52328 L
.47833 .52321 L
.4772 .52167 L
.47672 .52106 L
.47599 .52007 L
.47512 .51926 L
.47477 .51846 L
.47356 .51686 L
.47351 .5168 L
.47239 .51525 L
.47191 .51462 L
.47121 .51364 L
.4703 .51245 L
.47001 .51204 L
.46882 .51043 L
.4687 .51027 L
.46769 .50883 L
.46709 .50803 L
.46655 .50722 L
.46549 .50578 L
.46538 .50562 L
.46431 .50401 L
.46388 .50342 L
.46328 .50241 L
.46228 .50086 L
.46225 .5008 L
F
.007 .84 1 r
.46228 .40911 m
.46262 .4093 L
.46388 .41034 L
.46439 .41091 L
.46549 .41205 L
.46588 .41251 L
.46709 .41387 L
.4673 .41412 L
.46868 .41572 L
.4687 .41574 L
.47 .41733 L
.4703 .41767 L
.47133 .41894 L
.47191 .41962 L
.47264 .42054 L
.47351 .4213 L
.47396 .42215 L
.47512 .42352 L
.47537 .42375 L
.47655 .42536 L
.47672 .42557 L
.47782 .42696 L
.47833 .42758 L
.47909 .42857 L
.47993 .42944 L
.48082 .43017 L
.48154 .43161 L
.48169 .43178 L
.4829 .43338 L
.48314 .43368 L
.48415 .43499 L
.48475 .43538 L
.48541 .43659 L
.48636 .43769 L
.48685 .4382 L
.48793 .4398 L
.48796 .43985 L
.48915 .44141 L
.48957 .44193 L
.49039 .44301 L
.49117 .44378 L
.49207 .44462 L
.49278 .44604 L
.49294 .44622 L
.49411 .44783 L
.49438 .44816 L
.49534 .44943 L
.49599 .44982 L
.49657 .45104 L
.49759 .45225 L
.49796 .45265 L
.49904 .45425 L
.4992 .45444 L
.50025 .45586 L
.5008 .45656 L
.50147 .45746 L
.50241 .45846 L
.503 .45907 L
.50393 .46067 L
.50401 .46077 L
.50512 .46228 L
.50562 .46292 L
.50632 .46388 L
.50722 .46504 L
.50755 .46549 L
.50877 .46709 L
.50883 .46717 L
.50993 .4687 L
.51043 .46935 L
.51111 .4703 L
.51204 .47152 L
.51232 .47191 L
.5135 .47351 L
.51364 .4737 L
.51463 .47512 L
.51525 .47594 L
.51578 .47672 L
.51686 .47819 L
.51695 .47833 L
.51801 .47993 L
.51846 .48057 L
.51901 .48154 L
.51846 .48216 L
.51788 .48154 L
.51686 .48046 L
.51639 .47993 L
.51525 .47865 L
.51497 .47833 L
.51364 .4768 L
.51352 .47672 L
.51224 .47512 L
.51204 .47488 L
.5109 .47351 L
.51043 .47296 L
.50957 .47191 L
.50883 .47125 L
.50824 .4703 L
.50722 .46908 L
.50682 .4687 L
.50564 .46709 L
.50562 .46706 L
.50435 .46549 L
.50401 .46507 L
.50306 .46388 L
.50241 .46318 L
.50138 .46228 L
.5008 .46106 L
.50047 .46067 L
.49924 .45907 L
.4992 .45901 L
.49798 .45746 L
.49759 .45719 L
.49671 .45586 L
.49599 .45499 L
.4953 .45425 L
.49438 .45288 L
.49421 .45265 L
.49295 .45104 L
.49278 .45082 L
.4917 .44943 L
.49117 .44889 L
.4901 .44783 L
.48957 .44671 L
.48918 .44622 L
.48798 .44462 L
.48796 .4446 L
.48675 .44301 L
.48636 .44279 L
.48551 .44141 L
.48475 .44051 L
.48414 .4398 L
.48314 .43833 L
.48305 .4382 L
.48184 .43659 L
.48154 .43621 L
.48062 .43499 L
.47993 .43429 L
.47908 .43338 L
.47833 .43201 L
.47815 .43178 L
.47698 .43017 L
.47672 .42984 L
.47577 .42857 L
.47512 .42812 L
.47457 .42696 L
.47351 .42561 L
.4733 .42536 L
.47219 .42375 L
.47191 .42338 L
.47101 .42215 L
.4703 .42119 L
.46983 .42054 L
.4687 .41904 L
.46861 .41894 L
.46753 .41733 L
.46709 .41674 L
.4664 .41572 L
.46549 .41446 L
.46526 .41412 L
.4642 .41251 L
.46388 .41206 L
.46321 .41091 L
.46228 .40931 L
.46227 .4093 L
F
.395 .97 1 r
.46388 .4453 m
.46468 .44622 L
.46549 .44691 L
.46644 .44783 L
.46709 .44857 L
.46834 .44943 L
.4687 .45037 L
.46939 .45104 L
.4703 .45229 L
.47059 .45265 L
.47191 .454 L
.47212 .45425 L
.47341 .45586 L
.47351 .45599 L
.47474 .45746 L
.47512 .45805 L
.47584 .45907 L
.47672 .46016 L
.4769 .46067 L
.47833 .46222 L
.4784 .46228 L
.47976 .46388 L
.47993 .46439 L
.48069 .46549 L
.48154 .4669 L
.48161 .46709 L
.48154 .4686 L
.47993 .46855 L
.47833 .46748 L
.47762 .46709 L
.47672 .46572 L
.47646 .46549 L
.47523 .46388 L
.47512 .46374 L
.47399 .46228 L
.47351 .46203 L
.47274 .46067 L
.47191 .45978 L
.47127 .45907 L
.4703 .45754 L
.47024 .45746 L
.46906 .45586 L
.4687 .45538 L
.46787 .45425 L
.46709 .45322 L
.46629 .45265 L
.46549 .45106 L
.46548 .45104 L
.46439 .44943 L
.46388 .44871 L
.46333 .44783 L
.46238 .44622 L
F
1 .87 .018 r
.46388 .47223 m
.46549 .47343 L
.46563 .47351 L
.46709 .47512 L
.46709 .47512 L
.46844 .47672 L
.4687 .47682 L
.46973 .47833 L
.4703 .47887 L
.47157 .47993 L
.47191 .481 L
.4724 .48154 L
.47351 .48313 L
.47353 .48314 L
.47473 .48475 L
.47512 .48525 L
.47594 .48636 L
.47672 .48705 L
.4774 .48796 L
.47833 .48954 L
.47835 .48957 L
.47946 .49117 L
.47993 .49184 L
.48055 .49278 L
.48154 .49436 L
.48156 .49438 L
.48189 .49599 L
.48154 .49617 L
.48104 .49599 L
.47993 .49536 L
.4788 .49438 L
.47833 .49405 L
.47718 .49278 L
.47672 .4923 L
.47572 .49117 L
.47512 .49043 L
.47424 .48957 L
.47351 .48847 L
.47309 .48796 L
.47191 .48649 L
.47185 .48636 L
.47047 .48475 L
.4703 .48459 L
.469 .48314 L
.4687 .48251 L
.46798 .48154 L
.46709 .48036 L
.46688 .47993 L
.46559 .47833 L
.46549 .47818 L
.46444 .47672 L
.46388 .47588 L
.46326 .47512 L
.46249 .47351 L
F
1 .79 .001 r
.46388 .45239 m
.46414 .45265 L
.46549 .45393 L
.46568 .45425 L
.46709 .45586 L
.46709 .45586 L
.46841 .45746 L
.4687 .45781 L
.46968 .45907 L
.4703 .45989 L
.47088 .46067 L
.47191 .46214 L
.47213 .46228 L
.47289 .46388 L
.47191 .46452 L
.47121 .46388 L
.4703 .463 L
.46968 .46228 L
.4687 .46116 L
.46831 .46067 L
.46709 .45925 L
.46701 .45907 L
.46582 .45746 L
.46549 .45703 L
.46467 .45586 L
.46388 .45476 L
.46355 .45425 L
.46256 .45265 L
F
1 .86 .013 r
.46388 .47237 m
.46547 .47351 L
.46549 .47352 L
.46702 .47512 L
.46709 .47519 L
.46839 .47672 L
.4687 .47684 L
.46969 .47833 L
.4703 .47891 L
.47153 .47993 L
.47191 .48104 L
.47236 .48154 L
.47349 .48314 L
.47351 .48317 L
.4747 .48475 L
.47512 .4853 L
.4759 .48636 L
.47672 .48712 L
.47735 .48796 L
.4783 .48957 L
.47833 .48961 L
.47941 .49117 L
.47993 .49193 L
.48048 .49278 L
.48143 .49438 L
.47993 .49521 L
.47894 .49438 L
.47833 .49396 L
.47727 .49278 L
.47672 .4922 L
.4758 .49117 L
.47512 .49035 L
.4743 .48957 L
.47351 .4884 L
.47314 .48796 L
.47191 .48645 L
.47187 .48636 L
.47052 .48475 L
.4703 .48454 L
.46903 .48314 L
.4687 .48245 L
.46803 .48154 L
.46709 .48029 L
.46691 .47993 L
.46565 .47833 L
.46549 .47811 L
.4645 .47672 L
.46388 .47577 L
.46334 .47512 L
.46261 .47351 L
F
1 .85 .01 r
.46388 .4725 m
.46536 .47351 L
.46549 .47362 L
.46696 .47512 L
.46709 .47526 L
.46834 .47672 L
.4687 .47687 L
.46965 .47833 L
.4703 .47895 L
.47149 .47993 L
.47191 .48109 L
.47232 .48154 L
.47346 .48314 L
.47351 .48322 L
.47466 .48475 L
.47512 .48534 L
.47587 .48636 L
.47672 .48719 L
.47729 .48796 L
.47825 .48957 L
.47833 .48967 L
.47935 .49117 L
.47993 .49203 L
.48041 .49278 L
.48129 .49438 L
.47993 .49505 L
.47909 .49438 L
.47833 .49386 L
.47737 .49278 L
.47672 .49211 L
.47587 .49117 L
.47512 .49027 L
.47436 .48957 L
.47351 .48834 L
.47319 .48796 L
.47191 .48641 L
.47189 .48636 L
.47056 .48475 L
.4703 .48449 L
.46906 .48314 L
.4687 .48239 L
.46807 .48154 L
.46709 .48023 L
.46694 .47993 L
.4657 .47833 L
.46549 .47803 L
.46457 .47672 L
.46388 .47567 L
.46343 .47512 L
.46273 .47351 L
F
1 .78 .001 r
.46388 .45256 m
.46397 .45265 L
.46549 .45412 L
.46557 .45425 L
.46698 .45586 L
.46709 .45598 L
.46831 .45746 L
.4687 .45793 L
.46959 .45907 L
.4703 .46001 L
.47079 .46067 L
.47189 .46228 L
.47191 .4623 L
.47273 .46388 L
.47191 .46436 L
.47136 .46388 L
.4703 .46289 L
.46977 .46228 L
.4687 .46107 L
.46839 .46067 L
.46709 .4591 L
.46708 .45907 L
.4659 .45746 L
.46549 .45692 L
.46476 .45586 L
.46388 .45463 L
.46364 .45425 L
.46275 .45265 L
F
1 .84 .007 r
.46388 .47264 m
.46524 .47351 L
.46549 .47371 L
.46689 .47512 L
.46709 .47533 L
.46829 .47672 L
.4687 .4769 L
.46961 .47833 L
.4703 .479 L
.47145 .47993 L
.47191 .48114 L
.47228 .48154 L
.47342 .48314 L
.47351 .48326 L
.47462 .48475 L
.47512 .48539 L
.47583 .48636 L
.47672 .48726 L
.47724 .48796 L
.4782 .48957 L
.47833 .48974 L
.47929 .49117 L
.47993 .49213 L
.48033 .49278 L
.48114 .49438 L
.47993 .49489 L
.47926 .49438 L
.47833 .49376 L
.47748 .49278 L
.47672 .49203 L
.47595 .49117 L
.47512 .49019 L
.47443 .48957 L
.47351 .48828 L
.47323 .48796 L
.47191 .48637 L
.4719 .48636 L
.47061 .48475 L
.4703 .48444 L
.4691 .48314 L
.4687 .48233 L
.46811 .48154 L
.46709 .48016 L
.46698 .47993 L
.46575 .47833 L
.46549 .47795 L
.46463 .47672 L
.46388 .47555 L
.46352 .47512 L
.46287 .47351 L
F
1 .83 .005 r
.46388 .47279 m
.4651 .47351 L
.46549 .47381 L
.46681 .47512 L
.46709 .4754 L
.46823 .47672 L
.4687 .47693 L
.46957 .47833 L
.4703 .47905 L
.4714 .47993 L
.47191 .48118 L
.47224 .48154 L
.47338 .48314 L
.47351 .48331 L
.47459 .48475 L
.47512 .48543 L
.4758 .48636 L
.47672 .48733 L
.47718 .48796 L
.47815 .48957 L
.47833 .48981 L
.47923 .49117 L
.47993 .49224 L
.48026 .49278 L
.48095 .49438 L
.47993 .49472 L
.47945 .49438 L
.47833 .49366 L
.47758 .49278 L
.47672 .49194 L
.47603 .49117 L
.47512 .49012 L
.47449 .48957 L
.47351 .48822 L
.47328 .48796 L
.47195 .48636 L
.47191 .48635 L
.47066 .48475 L
.4703 .48439 L
.46913 .48314 L
.4687 .48227 L
.46816 .48154 L
.46709 .4801 L
.46701 .47993 L
.46581 .47833 L
.46549 .47786 L
.46469 .47672 L
.46388 .47543 L
.46362 .47512 L
.46301 .47351 L
F
1 .82 .004 r
.46388 .47294 m
.46495 .47351 L
.46549 .4739 L
.46674 .47512 L
.46709 .47547 L
.46818 .47672 L
.4687 .47696 L
.46953 .47833 L
.4703 .4791 L
.47134 .47993 L
.47191 .48123 L
.47219 .48154 L
.47335 .48314 L
.47351 .48335 L
.47455 .48475 L
.47512 .48548 L
.47576 .48636 L
.47672 .48741 L
.47712 .48796 L
.4781 .48957 L
.47833 .48989 L
.47917 .49117 L
.47993 .49236 L
.48018 .49278 L
.48071 .49438 L
.47993 .49454 L
.47968 .49438 L
.47833 .49354 L
.47769 .49278 L
.47672 .49185 L
.47611 .49117 L
.47512 .49004 L
.47456 .48957 L
.47351 .48816 L
.47333 .48796 L
.472 .48636 L
.47191 .48635 L
.47071 .48475 L
.4703 .48434 L
.46917 .48314 L
.4687 .48221 L
.4682 .48154 L
.46709 .48003 L
.46705 .47993 L
.46587 .47833 L
.46549 .47778 L
.46476 .47672 L
.46388 .4753 L
.46373 .47512 L
.46316 .47351 L
F
1 .81 .003 r
.46388 .4731 m
.46478 .47351 L
.46549 .474 L
.46666 .47512 L
.46709 .47554 L
.46813 .47672 L
.4687 .477 L
.46948 .47833 L
.4703 .47915 L
.47129 .47993 L
.47191 .48128 L
.47215 .48154 L
.47331 .48314 L
.47351 .4834 L
.47452 .48475 L
.47512 .48553 L
.47572 .48636 L
.47672 .4875 L
.47706 .48796 L
.47805 .48957 L
.47833 .48996 L
.47911 .49117 L
.47993 .49249 L
.48009 .49278 L
.47993 .49434 L
.47833 .49341 L
.4778 .49278 L
.47672 .49176 L
.47619 .49117 L
.47512 .48997 L
.47464 .48957 L
.47351 .4881 L
.47339 .48796 L
.47205 .48636 L
.47191 .48635 L
.47076 .48475 L
.4703 .48429 L
.46921 .48314 L
.4687 .48214 L
.46825 .48154 L
.46709 .47996 L
.46708 .47993 L
.46592 .47833 L
.46549 .4777 L
.46482 .47672 L
.46388 .47516 L
.46385 .47512 L
.46333 .47351 L
F
1 .9 .045 r
.46388 .40381 m
.46456 .40449 L
.46549 .40537 L
.46615 .40609 L
.46709 .40708 L
.46763 .4077 L
.4687 .40877 L
.46906 .4093 L
.4703 .41073 L
.47052 .41091 L
.4718 .41251 L
.47191 .41264 L
.47313 .41412 L
.47351 .41433 L
.47446 .41572 L
.47512 .41644 L
.47619 .41733 L
.47672 .41848 L
.47715 .41894 L
.47833 .42048 L
.47838 .42054 L
.47967 .42215 L
.47993 .42238 L
.48095 .42375 L
.48154 .42445 L
.48241 .42536 L
.48314 .42652 L
.4835 .42696 L
.48475 .42855 L
.48476 .42857 L
.48603 .43017 L
.48636 .43052 L
.48764 .43178 L
.48796 .43261 L
.48862 .43338 L
.48957 .4347 L
.48977 .43499 L
.49106 .43659 L
.49117 .43668 L
.4923 .4382 L
.49278 .43875 L
.49373 .4398 L
.49438 .44087 L
.4948 .44141 L
.49599 .44294 L
.49602 .44301 L
.49728 .44462 L
.49759 .44492 L
.49886 .44622 L
.4992 .44705 L
.49984 .44783 L
.5008 .44917 L
.50098 .44943 L
.50225 .45104 L
.50241 .45114 L
.50348 .45265 L
.50401 .45324 L
.5049 .45425 L
.50562 .45539 L
.50597 .45586 L
.5072 .45746 L
.50722 .45749 L
.50842 .45907 L
.50883 .45944 L
.51 .46067 L
.51043 .46162 L
.51097 .46228 L
.51204 .46376 L
.51212 .46388 L
.51335 .46549 L
.51364 .46563 L
.51457 .46709 L
.51525 .46784 L
.51599 .4687 L
.51686 .47002 L
.51706 .4703 L
.51827 .47191 L
.51846 .47215 L
.51948 .47351 L
.52007 .47404 L
.52105 .47512 L
.52167 .47629 L
.52202 .47672 L
.52318 .47833 L
.52328 .47846 L
.52438 .47993 L
.52488 .48019 L
.5256 .48154 L
.52649 .48256 L
.52698 .48314 L
.52806 .48475 L
.52809 .48479 L
.52925 .48636 L
.5297 .48692 L
.53046 .48796 L
.5313 .48882 L
.53194 .48957 L
.53291 .49115 L
.53292 .49117 L
.53409 .49278 L
.53451 .49331 L
.53529 .49438 L
.53612 .49546 L
.5365 .49599 L
.53772 .49759 L
.53772 .4976 L
.53887 .4992 L
.53933 .49979 L
.54004 .5008 L
.54093 .50198 L
.54124 .50241 L
.54241 .50401 L
.54254 .50418 L
.54352 .50562 L
.54414 .50646 L
.54465 .50722 L
.54575 .50876 L
.54579 .50883 L
.54678 .51043 L
.54735 .51133 L
.54767 .51204 L
.54735 .5125 L
.54684 .51204 L
.54575 .51104 L
.54516 .51043 L
.54414 .50938 L
.54364 .50883 L
.54254 .50769 L
.54218 .50722 L
.54093 .50579 L
.54073 .50562 L
.5394 .50401 L
.53933 .50394 L
.53803 .50241 L
.53772 .50221 L
.53667 .5008 L
.53612 .50016 L
.53503 .4992 L
.53451 .49815 L
.53402 .49759 L
.53291 .49617 L
.53279 .49599 L
.53141 .49438 L
.5313 .49427 L
.53011 .49278 L
.5297 .49225 L
.52875 .49117 L
.52809 .49019 L
.52763 .48957 L
.52649 .48816 L
.52642 .48796 L
.525 .48636 L
.52488 .48622 L
.52357 .48475 L
.52328 .48415 L
.52249 .48314 L
.52167 .48206 L
.52137 .48154 L
.52007 .48002 L
.51994 .47993 L
.51869 .47833 L
.51846 .47804 L
.51739 .47672 L
.51686 .47594 L
.51629 .47512 L
.51525 .47384 L
.51517 .47351 L
.51369 .47191 L
.51364 .47186 L
.51231 .4703 L
.51204 .46978 L
.51122 .4687 L
.51043 .46766 L
.51013 .46709 L
.50883 .46559 L
.50871 .46549 L
.50725 .46388 L
.50722 .46358 L
.50618 .46228 L
.50562 .46146 L
.50509 .46067 L
.50401 .45935 L
.50396 .45907 L
.50252 .45746 L
.50241 .45734 L
.50114 .45586 L
.5008 .45524 L
.50007 .45425 L
.4992 .45311 L
.49896 .45265 L
.49759 .45104 L
.49759 .45104 L
.49607 .44943 L
.49599 .449 L
.49506 .44783 L
.49438 .44685 L
.49397 .44622 L
.49278 .44474 L
.49276 .44462 L
.49145 .44301 L
.49117 .44274 L
.49004 .44141 L
.48957 .44059 L
.489 .4398 L
.48796 .43844 L
.48784 .4382 L
.48656 .43659 L
.48636 .43648 L
.48495 .43499 L
.48475 .43431 L
.48403 .43338 L
.48314 .43211 L
.48293 .43178 L
.4817 .43017 L
.48154 .42997 L
.48049 .42857 L
.47993 .42802 L
.47906 .42696 L
.47833 .42575 L
.47805 .42536 L
.47688 .42375 L
.47672 .42355 L
.47569 .42215 L
.47512 .42177 L
.47406 .42054 L
.47351 .41931 L
.47323 .41894 L
.47212 .41733 L
.47191 .41704 L
.47096 .41572 L
.4703 .41483 L
.46979 .41412 L
.4687 .41267 L
.46858 .41251 L
.46752 .41091 L
.46709 .41032 L
.46641 .4093 L
.46549 .40799 L
.4653 .4077 L
.46428 .40609 L
.46388 .40548 L
.46337 .40449 L
F
0 .47 1 r
.46388 .50848 m
.46418 .50883 L
.46549 .51025 L
.46564 .51043 L
.46549 .51203 L
.46446 .51043 L
.46388 .50964 L
.46343 .50883 L
F
.001 .79 1 r
.46388 .47942 m
.46433 .47993 L
.46549 .48122 L
.46572 .48154 L
.46549 .48269 L
.4646 .48154 L
.46388 .48059 L
.46345 .47993 L
F
1 .79 .001 r
.46388 .50181 m
.46446 .50241 L
.46549 .50344 L
.46601 .50401 L
.46709 .5052 L
.46746 .50562 L
.4687 .50698 L
.46886 .50722 L
.47022 .50883 L
.4703 .50892 L
.47157 .51043 L
.47191 .51082 L
.47291 .51204 L
.47351 .51243 L
.47425 .51364 L
.47512 .51465 L
.47581 .51525 L
.47672 .51668 L
.47687 .51686 L
.47816 .51846 L
.47833 .51867 L
.47945 .52007 L
.47993 .52053 L
.48074 .52167 L
.48154 .52265 L
.48211 .52328 L
.48314 .52471 L
.48327 .52488 L
.48455 .52649 L
.48475 .52656 L
.48582 .52809 L
.48636 .52869 L
.48733 .5297 L
.48796 .53081 L
.48835 .5313 L
.48957 .53287 L
.48959 .53291 L
.49085 .53451 L
.49117 .53479 L
.49263 .53612 L
.49278 .53694 L
.49344 .53772 L
.49438 .53907 L
.49456 .53933 L
.49583 .54093 L
.49599 .54096 L
.49707 .54254 L
.49759 .54311 L
.49854 .54414 L
.4992 .54528 L
.49955 .54575 L
.50077 .54735 L
.5008 .5474 L
.50199 .54896 L
.50241 .54928 L
.50373 .55057 L
.50401 .55152 L
.50454 .55217 L
.50562 .5537 L
.50567 .55378 L
.50689 .55538 L
.50722 .55582 L
.5081 .55699 L
.50883 .55779 L
.50953 .55859 L
.51043 .56005 L
.51055 .5602 L
.51173 .5618 L
.51204 .56221 L
.51293 .56341 L
.51364 .56404 L
.51455 .56501 L
.51525 .56647 L
.51536 .56662 L
.5165 .56822 L
.51686 .56869 L
.51768 .56983 L
.51846 .57088 L
.51886 .57143 L
.52003 .57304 L
.52007 .57308 L
.52115 .57464 L
.52167 .57536 L
.52228 .57625 L
.52328 .57765 L
.52341 .57785 L
.52444 .57946 L
.52488 .5801 L
.52542 .58106 L
.52488 .58171 L
.52428 .58106 L
.52328 .58005 L
.52276 .57946 L
.52167 .57827 L
.52132 .57785 L
.52007 .57649 L
.51992 .57625 L
.51857 .57464 L
.51846 .57452 L
.51725 .57304 L
.51686 .57258 L
.51593 .57143 L
.51525 .57104 L
.51461 .56983 L
.51364 .56875 L
.51301 .56822 L
.51204 .56668 L
.51198 .56662 L
.51072 .56501 L
.51043 .56466 L
.50945 .56341 L
.50883 .56287 L
.50817 .5618 L
.50722 .56068 L
.50675 .5602 L
.50562 .55859 L
.50562 .55859 L
.50437 .55699 L
.50401 .55654 L
.50311 .55538 L
.50241 .55464 L
.50151 .55378 L
.5008 .55247 L
.50054 .55217 L
.49935 .55057 L
.4992 .55038 L
.49811 .54896 L
.49759 .54857 L
.49686 .54735 L
.49599 .54632 L
.49546 .54575 L
.49438 .54417 L
.49436 .54414 L
.49314 .54254 L
.49278 .54208 L
.49191 .54093 L
.49117 .54017 L
.49035 .53933 L
.48957 .53794 L
.48938 .53772 L
.4882 .53612 L
.48796 .53581 L
.48699 .53451 L
.48636 .53405 L
.48575 .53291 L
.48475 .5317 L
.48441 .5313 L
.48329 .5297 L
.48314 .52951 L
.48209 .52809 L
.48154 .52739 L
.48087 .52649 L
.47993 .52544 L
.47942 .52488 L
.47842 .52328 L
.47833 .52316 L
.47724 .52167 L
.47672 .52101 L
.47603 .52007 L
.47512 .51918 L
.47481 .51846 L
.47361 .51686 L
.47351 .51674 L
.47244 .51525 L
.47191 .51455 L
.47126 .51364 L
.4703 .51238 L
.47006 .51204 L
.46889 .51043 L
.4687 .51018 L
.46777 .50883 L
.46709 .50792 L
.46663 .50722 L
.46549 .50566 L
.46546 .50562 L
.46445 .50401 L
.46388 .50319 L
.46346 .50241 L
F
.395 .97 1 r
.46388 .39723 m
.46481 .39807 L
.46549 .39867 L
.46646 .39967 L
.46709 .40031 L
.46798 .40128 L
.4687 .4019 L
.46944 .40288 L
.4703 .40385 L
.47116 .40449 L
.47191 .40575 L
.47225 .40609 L
.47351 .40764 L
.47356 .4077 L
.47493 .4093 L
.47512 .40951 L
.47626 .41091 L
.47672 .4115 L
.47766 .41251 L
.47833 .41353 L
.4788 .41412 L
.47993 .41555 L
.48001 .41572 L
.48145 .41733 L
.48154 .41744 L
.48289 .41894 L
.48314 .4195 L
.48399 .42054 L
.48475 .42159 L
.48511 .42215 L
.48636 .42365 L
.48654 .42375 L
.4878 .42536 L
.48796 .42557 L
.48911 .42696 L
.48957 .42768 L
.49022 .42857 L
.49117 .4298 L
.4913 .43017 L
.49278 .43173 L
.49281 .43178 L
.49417 .43338 L
.49438 .43382 L
.49529 .43499 L
.49599 .43596 L
.49637 .43659 L
.49759 .43806 L
.4978 .4382 L
.49919 .4398 L
.4992 .44002 L
.50033 .44141 L
.5008 .44214 L
.50143 .44301 L
.50241 .44427 L
.50251 .44462 L
.50399 .44622 L
.50401 .44625 L
.50536 .44783 L
.50562 .44834 L
.50646 .44943 L
.50722 .45048 L
.50755 .45104 L
.50883 .45256 L
.50894 .45265 L
.51039 .45425 L
.51043 .45457 L
.51149 .45586 L
.51204 .4567 L
.51257 .45746 L
.51364 .45881 L
.5137 .45907 L
.51511 .46067 L
.51525 .46082 L
.51652 .46228 L
.51686 .46293 L
.51759 .46388 L
.51846 .46506 L
.5187 .46549 L
.52004 .46709 L
.52007 .46711 L
.52158 .4687 L
.52167 .46916 L
.52261 .4703 L
.52328 .4713 L
.5237 .47191 L
.52488 .4734 L
.5249 .47351 L
.5262 .47512 L
.52649 .4754 L
.52765 .47672 L
.52809 .47754 L
.5287 .47833 L
.5297 .47967 L
.52984 .47993 L
.53113 .48154 L
.5313 .48165 L
.53273 .48314 L
.53291 .48377 L
.53371 .48475 L
.53451 .48593 L
.5348 .48636 L
.53605 .48796 L
.53612 .48804 L
.53727 .48957 L
.53772 .48999 L
.53874 .49117 L
.53933 .49218 L
.53978 .49278 L
.54093 .49432 L
.54096 .49438 L
.54219 .49599 L
.54254 .49619 L
.54384 .49759 L
.54414 .49841 L
.54477 .4992 L
.54575 .5006 L
.54588 .5008 L
.5471 .50241 L
.54735 .50273 L
.54832 .50401 L
.54896 .50462 L
.54979 .50562 L
.55057 .50688 L
.55082 .50722 L
.55201 .50883 L
.55217 .50904 L
.55321 .51043 L
.55378 .51079 L
.55486 .51204 L
.55538 .51314 L
.55577 .51364 L
.5569 .51525 L
.55699 .51536 L
.55809 .51686 L
.55859 .51749 L
.5593 .51846 L
.5602 .51941 L
.56071 .52007 L
.56176 .52167 L
.5618 .52172 L
.56294 .52328 L
.56341 .52388 L
.56414 .52488 L
.56501 .52602 L
.56564 .52649 L
.56657 .52809 L
.56662 .52815 L
.56773 .5297 L
.56822 .53034 L
.5689 .5313 L
.56983 .53253 L
.57009 .53291 L
.57126 .53451 L
.57143 .53474 L
.57238 .53612 L
.57304 .53702 L
.5735 .53772 L
.57464 .53932 L
.57465 .53933 L
.57566 .54093 L
.57625 .54181 L
.57665 .54254 L
.57625 .54406 L
.57477 .54254 L
.57464 .54241 L
.57332 .54093 L
.57304 .54063 L
.57191 .53933 L
.57143 .53895 L
.57052 .53772 L
.56983 .53692 L
.56878 .53612 L
.56822 .53497 L
.5678 .53451 L
.56662 .53304 L
.56653 .53291 L
.56515 .5313 L
.56501 .53114 L
.56381 .5297 L
.56341 .52915 L
.56249 .52809 L
.5618 .52712 L
.56137 .52649 L
.5602 .52508 L
.55987 .52488 L
.55859 .52328 L
.55859 .52328 L
.55724 .52167 L
.55699 .52123 L
.55611 .52007 L
.55538 .51911 L
.55506 .51846 L
.55378 .51728 L
.55343 .51686 L
.55217 .51525 L
.55217 .51523 L
.55093 .51364 L
.55057 .51313 L
.54983 .51204 L
.54896 .51095 L
.54836 .51043 L
.54735 .50912 L
.54712 .50883 L
.54586 .50722 L
.54575 .50703 L
.54471 .50562 L
.54414 .50487 L
.54368 .50401 L
.54254 .50267 L
.54211 .50241 L
.54093 .50086 L
.54089 .5008 L
.53966 .4992 L
.53933 .49873 L
.53857 .49759 L
.53772 .49654 L
.53714 .49599 L
.53612 .49464 L
.53591 .49438 L
.53466 .49278 L
.53451 .49254 L
.53352 .49117 L
.53291 .49038 L
.5325 .48957 L
.5313 .4882 L
.53095 .48796 L
.52971 .48636 L
.5297 .48631 L
.5285 .48475 L
.52809 .48418 L
.52743 .48314 L
.52649 .48201 L
.52601 .48154 L
.52488 .47995 L
.52479 .47993 L
.52351 .47833 L
.52328 .47795 L
.52239 .47672 L
.52167 .4758 L
.52136 .47512 L
.52007 .47368 L
.51984 .47351 L
.51854 .47191 L
.51846 .4717 L
.51738 .4703 L
.51686 .46958 L
.51631 .4687 L
.51525 .46744 L
.51491 .46709 L
.51369 .46549 L
.51364 .46544 L
.51238 .46388 L
.51204 .46334 L
.51129 .46228 L
.51043 .4612 L
.51022 .46067 L
.50883 .45912 L
.50876 .45907 L
.50738 .45746 L
.50722 .45709 L
.50628 .45586 L
.50562 .45495 L
.5052 .45425 L
.50401 .45284 L
.50384 .45265 L
.50262 .45104 L
.50241 .45083 L
.50127 .44943 L
.5008 .44871 L
.50019 .44783 L
.4992 .44657 L
.49908 .44622 L
.4977 .44462 L
.49759 .44455 L
.49625 .44301 L
.49599 .44245 L
.4952 .44141 L
.49438 .4403 L
.4941 .4398 L
.49279 .4382 L
.49278 .43818 L
.49157 .43659 L
.49117 .43621 L
.4902 .43499 L
.48957 .43403 L
.48913 .43338 L
.48796 .43187 L
.48793 .43178 L
.48668 .43017 L
.48636 .42997 L
.48517 .42857 L
.48475 .42775 L
.48417 .42696 L
.48314 .42555 L
.48304 .42536 L
.48181 .42375 L
.48154 .4234 L
.4806 .42215 L
.47993 .42148 L
.47922 .42054 L
.47833 .41919 L
.47816 .41894 L
.47697 .41733 L
.47672 .41701 L
.47578 .41572 L
.47512 .41521 L
.47429 .41412 L
.47351 .41277 L
.47334 .41251 L
.4722 .41091 L
.47191 .41052 L
.47104 .4093 L
.4703 .40832 L
.46941 .4077 L
.4687 .40612 L
.46868 .40609 L
.46758 .40449 L
.46709 .40381 L
.46647 .40288 L
.46549 .40147 L
.46536 .40128 L
.46437 .39967 L
.46388 .3989 L
.46346 .39807 L
F
1 .8 .002 r
.46388 .47328 m
.46455 .47351 L
.46549 .4741 L
.46658 .47512 L
.46709 .47561 L
.46807 .47672 L
.4687 .47704 L
.46944 .47833 L
.4703 .4792 L
.47123 .47993 L
.47191 .48134 L
.4721 .48154 L
.47327 .48314 L
.47351 .48345 L
.47448 .48475 L
.47512 .48558 L
.47568 .48636 L
.47672 .48759 L
.47699 .48796 L
.47799 .48957 L
.47833 .49005 L
.47904 .49117 L
.47993 .49264 L
.48 .49278 L
.47993 .49411 L
.47833 .49327 L
.47793 .49278 L
.47672 .49166 L
.47628 .49117 L
.47512 .48989 L
.47472 .48957 L
.47351 .48804 L
.47344 .48796 L
.47211 .48636 L
.47191 .48634 L
.47081 .48475 L
.4703 .48424 L
.46925 .48314 L
.4687 .48208 L
.4683 .48154 L
.46713 .47993 L
.46709 .47989 L
.46598 .47833 L
.46549 .47761 L
.46489 .47672 L
.46395 .47512 L
.46388 .47497 L
.46354 .47351 L
F
0 .46 1 r
.46388 .50862 m
.46406 .50883 L
.46549 .51034 L
.46557 .51043 L
.46549 .51193 L
.46456 .51043 L
.46388 .50949 L
.46356 .50883 L
F
.005 .83 1 r
.46388 .41071 m
.46407 .41091 L
.46549 .41228 L
.46569 .41251 L
.46709 .41404 L
.46716 .41412 L
.46854 .41572 L
.4687 .4159 L
.46988 .41733 L
.4703 .4178 L
.47122 .41894 L
.47191 .41973 L
.47255 .42054 L
.47351 .42144 L
.47388 .42215 L
.47512 .42363 L
.47525 .42375 L
.47647 .42536 L
.47672 .42566 L
.47775 .42696 L
.47833 .42767 L
.47903 .42857 L
.47993 .42953 L
.48072 .43017 L
.48154 .4317 L
.48162 .43178 L
.48284 .43338 L
.48314 .43375 L
.48409 .43499 L
.48475 .43544 L
.48535 .43659 L
.48636 .43777 L
.48678 .4382 L
.48787 .4398 L
.48796 .43991 L
.4891 .44141 L
.48957 .44199 L
.49034 .44301 L
.49117 .44385 L
.492 .44462 L
.49278 .44611 L
.49288 .44622 L
.49407 .44783 L
.49438 .44822 L
.49529 .44943 L
.49599 .44988 L
.49653 .45104 L
.49759 .45233 L
.49789 .45265 L
.49899 .45425 L
.4992 .45451 L
.5002 .45586 L
.5008 .45662 L
.50142 .45746 L
.50241 .45855 L
.50291 .45907 L
.50388 .46067 L
.50401 .46085 L
.50506 .46228 L
.50562 .46299 L
.50627 .46388 L
.50722 .46512 L
.50749 .46549 L
.5087 .46709 L
.50883 .46726 L
.50986 .4687 L
.51043 .46945 L
.51104 .4703 L
.51204 .47162 L
.51224 .47191 L
.51341 .47351 L
.51364 .47383 L
.51452 .47512 L
.51525 .47609 L
.51567 .47672 L
.51682 .47833 L
.51686 .47837 L
.51779 .47993 L
.51846 .48096 L
.51869 .48154 L
.51846 .48176 L
.51822 .48154 L
.51686 .48021 L
.5166 .47993 L
.51525 .47845 L
.51514 .47833 L
.51374 .47672 L
.51364 .47662 L
.51238 .47512 L
.51204 .47474 L
.51102 .47351 L
.51043 .47283 L
.50967 .47191 L
.50883 .47112 L
.50834 .4703 L
.50722 .46896 L
.50694 .4687 L
.50573 .46709 L
.50562 .46696 L
.50444 .46549 L
.50401 .46497 L
.50314 .46388 L
.50241 .46308 L
.50146 .46228 L
.5008 .46096 L
.50055 .46067 L
.49931 .45907 L
.4992 .45893 L
.49804 .45746 L
.49759 .45713 L
.49677 .45586 L
.49599 .45491 L
.49537 .45425 L
.49438 .4528 L
.49427 .45265 L
.49302 .45104 L
.49278 .45074 L
.49176 .44943 L
.49117 .44882 L
.49016 .44783 L
.48957 .44663 L
.48924 .44622 L
.48804 .44462 L
.48796 .44452 L
.48681 .44301 L
.48636 .44274 L
.48557 .44141 L
.48475 .44043 L
.48421 .4398 L
.48314 .43824 L
.48311 .4382 L
.4819 .43659 L
.48154 .43613 L
.48068 .43499 L
.47993 .4342 L
.47916 .43338 L
.47833 .43191 L
.47822 .43178 L
.47705 .43017 L
.47672 .42975 L
.47585 .42857 L
.47512 .42802 L
.47464 .42696 L
.47351 .42548 L
.47341 .42536 L
.47227 .42375 L
.47191 .42327 L
.4711 .42215 L
.4703 .42107 L
.46992 .42054 L
.46876 .41894 L
.4687 .41886 L
.46765 .41733 L
.46709 .41656 L
.46653 .41572 L
.46549 .41425 L
.4654 .41412 L
.46443 .41251 L
.46388 .41165 L
.46356 .41091 L
F
.289 .96 1 r
.46388 .44629 m
.46549 .44737 L
.46598 .44783 L
.46709 .44894 L
.46804 .44943 L
.4687 .45067 L
.46914 .45104 L
.4703 .45249 L
.47045 .45265 L
.4719 .45425 L
.47191 .45426 L
.47323 .45586 L
.47351 .45621 L
.47461 .45746 L
.47512 .45826 L
.47569 .45907 L
.47672 .46035 L
.47682 .46067 L
.47823 .46228 L
.47833 .46242 L
.47967 .46388 L
.47993 .46468 L
.48049 .46549 L
.48131 .46709 L
.47993 .46821 L
.47833 .46723 L
.47803 .46709 L
.47672 .46555 L
.47665 .46549 L
.47535 .46388 L
.47512 .4636 L
.47409 .46228 L
.47351 .46194 L
.47283 .46067 L
.47191 .45965 L
.47139 .45907 L
.47035 .45746 L
.4703 .4574 L
.46917 .45586 L
.4687 .45524 L
.46798 .45425 L
.46709 .45306 L
.4665 .45265 L
.46565 .45104 L
.46549 .45081 L
.46461 .44943 L
.46388 .4483 L
.46363 .44783 L
F
1 .78 .001 r
.46388 .50217 m
.46416 .50241 L
.46549 .50364 L
.46584 .50401 L
.46709 .50536 L
.46733 .50562 L
.4687 .50715 L
.46875 .50722 L
.47012 .50883 L
.4703 .50903 L
.47148 .51043 L
.47191 .51093 L
.47284 .51204 L
.47351 .51251 L
.47418 .51364 L
.47512 .51474 L
.47572 .51525 L
.47672 .51676 L
.47681 .51686 L
.4781 .51846 L
.47833 .51874 L
.47939 .52007 L
.47993 .52059 L
.48069 .52167 L
.48154 .52272 L
.48205 .52328 L
.48314 .52477 L
.48323 .52488 L
.48451 .52649 L
.48475 .52658 L
.48578 .52809 L
.48636 .52874 L
.48729 .5297 L
.48796 .53086 L
.48831 .5313 L
.48956 .53291 L
.48957 .53292 L
.49081 .53451 L
.49117 .53483 L
.4926 .53612 L
.49278 .53699 L
.4934 .53772 L
.49438 .53911 L
.49453 .53933 L
.49579 .54093 L
.49599 .54096 L
.49703 .54254 L
.49759 .54316 L
.4985 .54414 L
.4992 .54533 L
.49952 .54575 L
.50073 .54735 L
.5008 .54745 L
.50196 .54896 L
.50241 .54932 L
.50369 .55057 L
.50401 .55158 L
.5045 .55217 L
.50562 .55375 L
.50563 .55378 L
.50684 .55538 L
.50722 .55587 L
.50806 .55699 L
.50883 .55785 L
.50948 .55859 L
.51043 .56011 L
.5105 .5602 L
.51168 .5618 L
.51204 .56227 L
.51288 .56341 L
.51364 .56412 L
.51448 .56501 L
.51525 .56656 L
.51529 .56662 L
.51644 .56822 L
.51686 .56877 L
.51761 .56983 L
.51846 .57097 L
.51879 .57143 L
.51995 .57304 L
.52007 .57319 L
.52106 .57464 L
.52167 .57549 L
.52218 .57625 L
.52328 .57781 L
.52331 .57785 L
.52427 .57946 L
.52488 .58042 L
.52517 .58106 L
.52488 .5814 L
.52454 .58106 L
.52328 .57987 L
.52291 .57946 L
.52167 .57813 L
.52144 .57785 L
.52007 .57632 L
.52002 .57625 L
.51867 .57464 L
.51846 .57441 L
.51733 .57304 L
.51686 .57249 L
.516 .57143 L
.51525 .57095 L
.51467 .56983 L
.51364 .56867 L
.5131 .56822 L
.51205 .56662 L
.51204 .56661 L
.51078 .56501 L
.51043 .5646 L
.5095 .56341 L
.50883 .56281 L
.50821 .5618 L
.50722 .56062 L
.5068 .5602 L
.50566 .55859 L
.50562 .55854 L
.50441 .55699 L
.50401 .5565 L
.50315 .55538 L
.50241 .55459 L
.50155 .55378 L
.5008 .55242 L
.50058 .55217 L
.49938 .55057 L
.4992 .55034 L
.49815 .54896 L
.49759 .54854 L
.4969 .54735 L
.49599 .54628 L
.4955 .54575 L
.49439 .54414 L
.49438 .54413 L
.49317 .54254 L
.49278 .54204 L
.49194 .54093 L
.49117 .54013 L
.49039 .53933 L
.48957 .5379 L
.48942 .53772 L
.48824 .53612 L
.48796 .53577 L
.48702 .53451 L
.48636 .53401 L
.48578 .53291 L
.48475 .53165 L
.48445 .5313 L
.48333 .5297 L
.48314 .52947 L
.48213 .52809 L
.48154 .52734 L
.48091 .52649 L
.47993 .52538 L
.47948 .52488 L
.47846 .52328 L
.47833 .52311 L
.47728 .52167 L
.47672 .52096 L
.47607 .52007 L
.47512 .51909 L
.47486 .51846 L
.47366 .51686 L
.47351 .51667 L
.4725 .51525 L
.47191 .51448 L
.47132 .51364 L
.4703 .5123 L
.47012 .51204 L
.46896 .51043 L
.4687 .51008 L
.46785 .50883 L
.46709 .50781 L
.46671 .50722 L
.46557 .50562 L
.46549 .5055 L
.46462 .50401 L
.46388 .50284 L
.46373 .50241 L
F
1 .77 .001 r
.46388 .45277 m
.46543 .45425 L
.46549 .45431 L
.46687 .45586 L
.46709 .4561 L
.46822 .45746 L
.4687 .45804 L
.46949 .45907 L
.4703 .46013 L
.4707 .46067 L
.47177 .46228 L
.47191 .46251 L
.47253 .46388 L
.47191 .46419 L
.47153 .46388 L
.4703 .46277 L
.46987 .46228 L
.4687 .46097 L
.46846 .46067 L
.46716 .45907 L
.46709 .45898 L
.46599 .45746 L
.46549 .45681 L
.46485 .45586 L
.46388 .45448 L
.46374 .45425 L
F
.212 .95 1 r
.46388 .49536 m
.46458 .49599 L
.46549 .49683 L
.46619 .49759 L
.46709 .49855 L
.46767 .4992 L
.4687 .50022 L
.46909 .5008 L
.4703 .50219 L
.47058 .50241 L
.47187 .50401 L
.47191 .50406 L
.47324 .50562 L
.47351 .50571 L
.47461 .50722 L
.47512 .5078 L
.47643 .50883 L
.47672 .5098 L
.47728 .51043 L
.47833 .51178 L
.47848 .51204 L
.47993 .51364 L
.47993 .51365 L
.48125 .51525 L
.48154 .51562 L
.48265 .51686 L
.48314 .51766 L
.48375 .51846 L
.48475 .51972 L
.48489 .52007 L
.48636 .52166 L
.48641 .52167 L
.48786 .52328 L
.48796 .52364 L
.48895 .52488 L
.48957 .52573 L
.49006 .52649 L
.49117 .52782 L
.4915 .52809 L
.49275 .5297 L
.49278 .52974 L
.49407 .5313 L
.49438 .53182 L
.49518 .53291 L
.49599 .53394 L
.49625 .53451 L
.49759 .53601 L
.49777 .53612 L
.49911 .53772 L
.4992 .53797 L
.50025 .53933 L
.5008 .54009 L
.50133 .54093 L
.50241 .54221 L
.50276 .54254 L
.50399 .54414 L
.50401 .54418 L
.50529 .54575 L
.50562 .54627 L
.50639 .54735 L
.50722 .54841 L
.50745 .54896 L
.50883 .55048 L
.50895 .55057 L
.51031 .55217 L
.51043 .55249 L
.51142 .55378 L
.51204 .55462 L
.5125 .55538 L
.51364 .55674 L
.51389 .55699 L
.51512 .55859 L
.51525 .55874 L
.51643 .5602 L
.51686 .56086 L
.51751 .5618 L
.51846 .56299 L
.51861 .56341 L
.52004 .56501 L
.52007 .56504 L
.52146 .56662 L
.52167 .56711 L
.52251 .56822 L
.52328 .56925 L
.52361 .56983 L
.52488 .57136 L
.52495 .57143 L
.52617 .57304 L
.52649 .57338 L
.52751 .57464 L
.52809 .57553 L
.52858 .57625 L
.5297 .57768 L
.52975 .57785 L
.53105 .57946 L
.5313 .57965 L
.53254 .58106 L
.53291 .58183 L
.53353 .58267 L
.53451 .58402 L
.53466 .58428 L
.5359 .58588 L
.53612 .58616 L
.53711 .58749 L
.53772 .58814 L
.53846 .58909 L
.53933 .59041 L
.53952 .5907 L
.54071 .5923 L
.54093 .5926 L
.5419 .59391 L
.54254 .59447 L
.54338 .59551 L
.54414 .59689 L
.54431 .59712 L
.54544 .59872 L
.54575 .59914 L
.54659 .60033 L
.54735 .60137 L
.54822 .60193 L
.54891 .60354 L
.54896 .60361 L
.54999 .60514 L
.55057 .60596 L
.55109 .60675 L
.55217 .60835 L
.55217 .60835 L
.55307 .60996 L
.55378 .61133 L
.55382 .61156 L
.55378 .61167 L
.55354 .61156 L
.55217 .61052 L
.55163 .60996 L
.55057 .6089 L
.55007 .60835 L
.54896 .6073 L
.54861 .60675 L
.54735 .60535 L
.54708 .60514 L
.54582 .60354 L
.54575 .60346 L
.54448 .60193 L
.54414 .60186 L
.54314 .60033 L
.54254 .59971 L
.54181 .59872 L
.54093 .59767 L
.54038 .59712 L
.53933 .59567 L
.5392 .59551 L
.5379 .59391 L
.53772 .59378 L
.53662 .5923 L
.53612 .59173 L
.53506 .5907 L
.53451 .58966 L
.53403 .58909 L
.53291 .58762 L
.53282 .58749 L
.53153 .58588 L
.5313 .58566 L
.52978 .58428 L
.5297 .58358 L
.52888 .58267 L
.52809 .58149 L
.52777 .58106 L
.52649 .57946 L
.52649 .57946 L
.52525 .57785 L
.52488 .57745 L
.52375 .57625 L
.52328 .57533 L
.52271 .57464 L
.52167 .57324 L
.52155 .57304 L
.52026 .57143 L
.52007 .57126 L
.51858 .56983 L
.51846 .56916 L
.51765 .56822 L
.51686 .56703 L
.51655 .56662 L
.51529 .56501 L
.51525 .565 L
.51407 .56341 L
.51364 .56297 L
.51257 .5618 L
.51204 .56082 L
.51154 .5602 L
.51043 .55871 L
.51037 .55859 L
.50912 .55699 L
.50883 .55676 L
.50743 .55538 L
.50722 .55461 L
.50652 .55378 L
.50562 .55246 L
.50541 .55217 L
.50418 .55057 L
.50401 .55054 L
.50296 .54896 L
.50241 .5484 L
.50146 .54735 L
.5008 .54621 L
.50044 .54575 L
.49925 .54414 L
.4992 .54408 L
.49804 .54254 L
.49759 .54221 L
.49634 .54093 L
.49599 .53998 L
.49545 .53933 L
.49438 .5378 L
.49433 .53772 L
.49312 .53612 L
.49278 .53568 L
.49191 .53451 L
.49117 .53375 L
.49043 .53291 L
.48957 .53151 L
.48941 .5313 L
.48822 .5297 L
.48796 .52936 L
.48702 .52809 L
.48636 .52757 L
.48536 .52649 L
.48475 .52522 L
.48448 .52488 L
.48334 .52328 L
.48314 .52303 L
.48214 .52167 L
.48154 .5209 L
.48093 .52007 L
.47993 .51892 L
.47956 .51846 L
.47849 .51686 L
.47833 .51665 L
.47731 .51525 L
.47672 .51449 L
.47611 .51364 L
.47512 .51258 L
.47467 .51204 L
.4737 .51043 L
.47351 .5102 L
.47254 .50883 L
.47191 .508 L
.47136 .50722 L
.4703 .50582 L
.47017 .50562 L
.46903 .50401 L
.4687 .50357 L
.46792 .50241 L
.46709 .50128 L
.46679 .5008 L
.46568 .4992 L
.46549 .49892 L
.46472 .49759 L
.46388 .49623 L
.46378 .49599 L
F
.001 .78 1 r
.46388 .47984 m
.46398 .47993 L
.46549 .48147 L
.46553 .48154 L
.46549 .48235 L
.46489 .48154 L
.46388 .48012 L
.4638 .47993 L
F
0 .45 1 r
.46388 .50882 m
.46389 .50883 L
.46388 .50923 L
.46383 .50883 L
F
1 .79 .001 r
.46388 .47349 m
.46415 .47351 L
.46549 .4742 L
.4665 .47512 L
.46709 .47568 L
.46802 .47672 L
.4687 .47709 L
.4694 .47833 L
.4703 .47925 L
.47116 .47993 L
.47191 .48139 L
.47205 .48154 L
.47323 .48314 L
.47351 .4835 L
.47444 .48475 L
.47512 .48563 L
.47565 .48636 L
.47672 .48768 L
.47692 .48796 L
.47794 .48957 L
.47833 .49013 L
.47897 .49117 L
.4799 .49278 L
.47833 .49311 L
.47806 .49278 L
.47672 .49157 L
.47636 .49117 L
.47512 .48982 L
.4748 .48957 L
.47351 .48798 L
.47349 .48796 L
.47216 .48636 L
.47191 .48633 L
.47086 .48475 L
.4703 .48418 L
.46929 .48314 L
.4687 .48201 L
.46835 .48154 L
.46718 .47993 L
.46709 .47981 L
.46603 .47833 L
.46549 .47752 L
.46495 .47672 L
.46405 .47512 L
.46388 .47471 L
.46384 .47351 L
F
1 .76 .001 r
.46388 .45303 m
.46526 .45425 L
.46549 .45446 L
.46675 .45586 L
.46709 .45623 L
.46811 .45746 L
.4687 .45817 L
.4694 .45907 L
.4703 .46027 L
.4706 .46067 L
.47163 .46228 L
.47191 .46278 L
.47223 .46388 L
.47191 .46397 L
.47177 .46388 L
.4703 .46265 L
.46997 .46228 L
.4687 .46087 L
.46854 .46067 L
.46725 .45907 L
.46709 .45887 L
.46608 .45746 L
.46549 .45668 L
.46494 .45586 L
.46388 .4543 L
.46386 .45425 L
F
1 .78 .001 r
.46549 .4743 m
.46641 .47512 L
.46709 .47576 L
.46796 .47672 L
.4687 .47714 L
.46935 .47833 L
.4703 .47931 L
.4711 .47993 L
.47191 .48144 L
.472 .48154 L
.4732 .48314 L
.47351 .48355 L
.4744 .48475 L
.47512 .48568 L
.47561 .48636 L
.47672 .48778 L
.47685 .48796 L
.47788 .48957 L
.47833 .49022 L
.4789 .49117 L
.47975 .49278 L
.47833 .49293 L
.4782 .49278 L
.47672 .49147 L
.47645 .49117 L
.47512 .48974 L
.47489 .48957 L
.47355 .48796 L
.47351 .48792 L
.47221 .48636 L
.47191 .48632 L
.47091 .48475 L
.4703 .48413 L
.46934 .48314 L
.4687 .48195 L
.4684 .48154 L
.46723 .47993 L
.46709 .47974 L
.46609 .47833 L
.46549 .47742 L
.46502 .47672 L
.46415 .47512 L
F
1 .77 .001 r
.46549 .4744 m
.46632 .47512 L
.46709 .47583 L
.4679 .47672 L
.4687 .47719 L
.4693 .47833 L
.4703 .47937 L
.47103 .47993 L
.47191 .4815 L
.47195 .48154 L
.47316 .48314 L
.47351 .4836 L
.47437 .48475 L
.47512 .48573 L
.47557 .48636 L
.47672 .48789 L
.47678 .48796 L
.47782 .48957 L
.47833 .49032 L
.47883 .49117 L
.47833 .49274 L
.47672 .49136 L
.47655 .49117 L
.47512 .48967 L
.47499 .48957 L
.47361 .48796 L
.47351 .48785 L
.47227 .48636 L
.47191 .4863 L
.47096 .48475 L
.4703 .48407 L
.46939 .48314 L
.4687 .48188 L
.46845 .48154 L
.46729 .47993 L
.46709 .47967 L
.46615 .47833 L
.46549 .47733 L
.46509 .47672 L
.46426 .47512 L
F
1 .76 .001 r
.46549 .47451 m
.46621 .47512 L
.46709 .47591 L
.46784 .47672 L
.4687 .47726 L
.46926 .47833 L
.4703 .47943 L
.47095 .47993 L
.4719 .48154 L
.47191 .48155 L
.47312 .48314 L
.47351 .48365 L
.47433 .48475 L
.47512 .48579 L
.47553 .48636 L
.47671 .48796 L
.47672 .48798 L
.47776 .48957 L
.47833 .49043 L
.47875 .49117 L
.47833 .4926 L
.47672 .49125 L
.47665 .49117 L
.47512 .48959 L
.47509 .48957 L
.47368 .48796 L
.47351 .48778 L
.47232 .48636 L
.47191 .48628 L
.47101 .48475 L
.4703 .48401 L
.46945 .48314 L
.4687 .4818 L
.4685 .48154 L
.46734 .47993 L
.46709 .47959 L
.46621 .47833 L
.46549 .47723 L
.46516 .47672 L
.46438 .47512 L
F
1 .75 0 r
.46549 .47463 m
.4661 .47512 L
.46709 .47598 L
.46778 .47672 L
.4687 .47733 L
.46921 .47833 L
.4703 .47949 L
.47087 .47993 L
.47185 .48154 L
.47191 .48161 L
.47308 .48314 L
.47351 .4837 L
.47429 .48475 L
.47512 .48584 L
.47549 .48636 L
.47665 .48796 L
.47672 .48806 L
.4777 .48957 L
.47833 .49055 L
.47867 .49117 L
.47833 .49244 L
.47676 .49117 L
.47672 .49114 L
.47518 .48957 L
.47512 .48951 L
.47374 .48796 L
.47351 .4877 L
.47238 .48636 L
.47191 .48625 L
.47107 .48475 L
.4703 .48394 L
.46951 .48314 L
.4687 .48173 L
.46855 .48154 L
.46739 .47993 L
.46709 .47951 L
.46627 .47833 L
.46549 .47712 L
.46524 .47672 L
.46451 .47512 L
F
1 .89 .033 r
.46549 .40576 m
.46582 .40609 L
.46709 .40737 L
.46739 .4077 L
.4687 .40905 L
.46886 .4093 L
.47028 .41091 L
.4703 .41094 L
.47165 .41251 L
.47191 .41281 L
.473 .41412 L
.47351 .41442 L
.47435 .41572 L
.47512 .41657 L
.47608 .41733 L
.47672 .4186 L
.47705 .41894 L
.4783 .42054 L
.47833 .42058 L
.47959 .42215 L
.47993 .42245 L
.48088 .42375 L
.48154 .42453 L
.48234 .42536 L
.48314 .4266 L
.48344 .42696 L
.48471 .42857 L
.48475 .42858 L
.48597 .43017 L
.48636 .43057 L
.4876 .43178 L
.48796 .43267 L
.48857 .43338 L
.48957 .43475 L
.48973 .43499 L
.49101 .43659 L
.49117 .43671 L
.49226 .4382 L
.49278 .4388 L
.49369 .4398 L
.49438 .44091 L
.49477 .44141 L
.49599 .44298 L
.496 .44301 L
.49725 .44462 L
.49759 .44496 L
.49883 .44622 L
.4992 .44709 L
.49981 .44783 L
.5008 .44921 L
.50096 .44943 L
.50222 .45104 L
.50241 .45116 L
.50345 .45265 L
.50401 .45328 L
.50487 .45425 L
.50562 .45543 L
.50594 .45586 L
.50717 .45746 L
.50722 .45753 L
.50839 .45907 L
.50883 .45947 L
.50997 .46067 L
.51043 .46165 L
.51094 .46228 L
.51204 .46379 L
.5121 .46388 L
.51332 .46549 L
.51364 .46565 L
.51454 .46709 L
.51525 .46787 L
.51596 .4687 L
.51686 .47006 L
.51703 .4703 L
.51824 .47191 L
.51846 .47219 L
.51945 .47351 L
.52007 .47408 L
.52102 .47512 L
.52167 .47634 L
.52198 .47672 L
.52314 .47833 L
.52328 .4785 L
.52434 .47993 L
.52488 .48023 L
.52556 .48154 L
.52649 .48261 L
.52693 .48314 L
.52802 .48475 L
.52809 .48484 L
.52921 .48636 L
.5297 .48698 L
.53042 .48796 L
.5313 .48889 L
.53188 .48957 L
.53286 .49117 L
.53291 .49123 L
.53404 .49278 L
.53451 .49339 L
.53523 .49438 L
.53612 .49554 L
.53644 .49599 L
.53765 .49759 L
.53772 .49769 L
.53879 .4992 L
.53933 .4999 L
.53996 .5008 L
.54093 .5021 L
.54115 .50241 L
.54229 .50401 L
.54254 .50435 L
.54338 .50562 L
.54414 .50667 L
.54449 .50722 L
.54557 .50883 L
.54575 .5091 L
.54639 .51043 L
.54575 .51061 L
.54555 .51043 L
.54414 .50907 L
.54391 .50883 L
.54254 .5074 L
.54241 .50722 L
.54097 .50562 L
.54093 .50558 L
.53956 .50401 L
.53933 .50375 L
.53817 .50241 L
.53772 .50211 L
.5368 .5008 L
.53612 .50002 L
.53514 .4992 L
.53451 .49802 L
.53412 .49759 L
.53291 .49607 L
.53285 .49599 L
.53151 .49438 L
.5313 .49418 L
.5302 .49278 L
.5297 .49215 L
.52882 .49117 L
.52809 .4901 L
.5277 .48957 L
.52649 .48809 L
.52645 .48796 L
.52507 .48636 L
.52488 .48614 L
.52361 .48475 L
.52328 .48407 L
.52255 .48314 L
.52167 .48199 L
.52141 .48154 L
.52007 .47998 L
.52 .47993 L
.51874 .47833 L
.51846 .47798 L
.51743 .47672 L
.51686 .47588 L
.51633 .47512 L
.51525 .47379 L
.51518 .47351 L
.51373 .47191 L
.51364 .47181 L
.51234 .4703 L
.51204 .46972 L
.51126 .4687 L
.51043 .46761 L
.51016 .46709 L
.50883 .46555 L
.50875 .46549 L
.50726 .46388 L
.50722 .46353 L
.50621 .46228 L
.50562 .46141 L
.50512 .46067 L
.50401 .4593 L
.50397 .45907 L
.50256 .45746 L
.50241 .4573 L
.50116 .45586 L
.5008 .45519 L
.5001 .45425 L
.4992 .45306 L
.49898 .45265 L
.49763 .45104 L
.49759 .45102 L
.49608 .44943 L
.49599 .44895 L
.49509 .44783 L
.49438 .44681 L
.494 .44622 L
.49278 .44469 L
.49277 .44462 L
.49149 .44301 L
.49117 .4427 L
.49007 .44141 L
.48957 .44053 L
.48903 .4398 L
.48796 .43838 L
.48787 .4382 L
.48661 .43659 L
.48636 .43645 L
.48497 .43499 L
.48475 .43425 L
.48408 .43338 L
.48314 .43204 L
.48297 .43178 L
.48175 .43017 L
.48154 .42989 L
.48055 .42857 L
.47993 .42795 L
.47912 .42696 L
.47833 .42566 L
.47811 .42536 L
.47694 .42375 L
.47672 .42346 L
.47576 .42215 L
.47512 .42168 L
.47415 .42054 L
.47351 .41918 L
.47333 .41894 L
.47222 .41733 L
.47191 .41691 L
.47107 .41572 L
.4703 .41469 L
.4699 .41412 L
.46875 .41251 L
.4687 .41244 L
.46767 .41091 L
.46709 .41009 L
.46658 .4093 L
.4655 .4077 L
.46549 .40768 L
.46465 .40609 L
F
1 .74 0 r
.46549 .47475 m
.46598 .47512 L
.46709 .47606 L
.46771 .47672 L
.4687 .4774 L
.46916 .47833 L
.4703 .47956 L
.47079 .47993 L
.47181 .48154 L
.47191 .48166 L
.47303 .48314 L
.47351 .48375 L
.47425 .48475 L
.47512 .4859 L
.47545 .48636 L
.4766 .48796 L
.47672 .48814 L
.47763 .48957 L
.47833 .49069 L
.47858 .49117 L
.47833 .49226 L
.47688 .49117 L
.47672 .49104 L
.47526 .48957 L
.47512 .48943 L
.47381 .48796 L
.47351 .48763 L
.47244 .48636 L
.47191 .48622 L
.47112 .48475 L
.4703 .48387 L
.46957 .48314 L
.4687 .48166 L
.46861 .48154 L
.46745 .47993 L
.46709 .47943 L
.46633 .47833 L
.46549 .477 L
.46531 .47672 L
.46465 .47512 L
F
.538 .98 1 r
.46549 .47016 m
.46709 .47006 L
.46836 .4703 L
.4687 .47042 L
.4703 .47187 L
.47031 .47191 L
.47164 .47351 L
.47191 .474 L
.47308 .47512 L
.47351 .47612 L
.47417 .47672 L
.47512 .47818 L
.4753 .47833 L
.47665 .47993 L
.47672 .48001 L
.47817 .48154 L
.47833 .48209 L
.4792 .48314 L
.47993 .48421 L
.4803 .48475 L
.48154 .48631 L
.48158 .48636 L
.4828 .48796 L
.48314 .48816 L
.48422 .48957 L
.48475 .49034 L
.48528 .49117 L
.48636 .49257 L
.48644 .49278 L
.48769 .49438 L
.48796 .49475 L
.48925 .49599 L
.48957 .49697 L
.49013 .49759 L
.49079 .4992 L
.48957 .49965 L
.48796 .49951 L
.4867 .4992 L
.48636 .4987 L
.48528 .49759 L
.48475 .49701 L
.48408 .49599 L
.48314 .49504 L
.48306 .49438 L
.48154 .49298 L
.48138 .49278 L
.48009 .49117 L
.47993 .49086 L
.47895 .48957 L
.47833 .48867 L
.47792 .48796 L
.47672 .4865 L
.4764 .48636 L
.47514 .48475 L
.47512 .48467 L
.47394 .48314 L
.47351 .48256 L
.47286 .48154 L
.47191 .48043 L
.47187 .47993 L
.4703 .47836 L
.47027 .47833 L
.46897 .47672 L
.4687 .47625 L
.46788 .47512 L
.46709 .47411 L
.46684 .47351 L
.46551 .47191 L
.46549 .47187 L
.4647 .4703 L
F
1 .73 0 r
.46549 .47488 m
.46583 .47512 L
.46709 .47614 L
.46764 .47672 L
.4687 .47749 L
.46911 .47833 L
.4703 .47963 L
.4707 .47993 L
.47177 .48154 L
.47191 .48171 L
.47299 .48314 L
.47351 .48381 L
.4742 .48475 L
.47512 .48595 L
.4754 .48636 L
.47654 .48796 L
.47672 .48822 L
.47756 .48957 L
.47833 .49085 L
.47848 .49117 L
.47833 .49206 L
.47702 .49117 L
.47672 .49093 L
.47534 .48957 L
.47512 .48934 L
.47388 .48796 L
.47351 .48756 L
.47249 .48636 L
.47191 .48617 L
.47117 .48475 L
.4703 .4838 L
.46964 .48314 L
.4687 .48158 L
.46867 .48154 L
.46751 .47993 L
.46709 .47935 L
.46639 .47833 L
.46549 .47688 L
.46539 .47672 L
.46483 .47512 L
F
1 .77 .001 r
.46549 .50387 m
.46563 .50401 L
.46709 .50552 L
.46718 .50562 L
.46862 .50722 L
.4687 .50731 L
.47001 .50883 L
.4703 .50915 L
.47139 .51043 L
.47191 .51103 L
.47275 .51204 L
.47351 .51261 L
.4741 .51364 L
.47512 .51483 L
.47562 .51525 L
.47672 .51684 L
.47674 .51686 L
.47804 .51846 L
.47833 .51882 L
.47934 .52007 L
.47993 .52065 L
.48063 .52167 L
.48154 .52278 L
.482 .52328 L
.48314 .52483 L
.48319 .52488 L
.48446 .52649 L
.48475 .5266 L
.48573 .52809 L
.48636 .5288 L
.48725 .5297 L
.48796 .53092 L
.48827 .5313 L
.48951 .53291 L
.48957 .53297 L
.49076 .53451 L
.49117 .53487 L
.49258 .53612 L
.49278 .53704 L
.49336 .53772 L
.49438 .53916 L
.4945 .53933 L
.49575 .54093 L
.49599 .54097 L
.49699 .54254 L
.49759 .5432 L
.49846 .54414 L
.4992 .54538 L
.49948 .54575 L
.50069 .54735 L
.5008 .5475 L
.50192 .54896 L
.50241 .54936 L
.50366 .55057 L
.50401 .55163 L
.50446 .55217 L
.5056 .55378 L
.50562 .5538 L
.5068 .55538 L
.50722 .55593 L
.50802 .55699 L
.50883 .55791 L
.50943 .55859 L
.51043 .56018 L
.51045 .5602 L
.51163 .5618 L
.51204 .56233 L
.51283 .56341 L
.51364 .56421 L
.5144 .56501 L
.51523 .56662 L
.51525 .56665 L
.51638 .56822 L
.51686 .56886 L
.51755 .56983 L
.51846 .57106 L
.51873 .57143 L
.51986 .57304 L
.52007 .57331 L
.52097 .57464 L
.52167 .57563 L
.52208 .57625 L
.52316 .57785 L
.52328 .57802 L
.52404 .57946 L
.52328 .57966 L
.52309 .57946 L
.52167 .57798 L
.52156 .57785 L
.52014 .57625 L
.52007 .57617 L
.51877 .57464 L
.51846 .5743 L
.51742 .57304 L
.51686 .5724 L
.51607 .57143 L
.51525 .57086 L
.51473 .56983 L
.51364 .56858 L
.5132 .56822 L
.51211 .56662 L
.51204 .56654 L
.51083 .56501 L
.51043 .56454 L
.50954 .56341 L
.50883 .56276 L
.50826 .5618 L
.50722 .56056 L
.50686 .5602 L
.5057 .55859 L
.50562 .55849 L
.50445 .55699 L
.50401 .55645 L
.50319 .55538 L
.50241 .55454 L
.5016 .55378 L
.5008 .55237 L
.50062 .55217 L
.49942 .55057 L
.4992 .55029 L
.49818 .54896 L
.49759 .5485 L
.49693 .54735 L
.49599 .54623 L
.49554 .54575 L
.49443 .54414 L
.49438 .54409 L
.49321 .54254 L
.49278 .542 L
.49197 .54093 L
.49117 .54008 L
.49043 .53933 L
.48957 .53785 L
.48946 .53772 L
.48827 .53612 L
.48796 .53573 L
.48705 .53451 L
.48636 .53397 L
.48582 .53291 L
.48475 .5316 L
.48449 .5313 L
.48336 .5297 L
.48314 .52942 L
.48216 .52809 L
.48154 .5273 L
.48094 .52649 L
.47993 .52532 L
.47954 .52488 L
.4785 .52328 L
.47833 .52306 L
.47732 .52167 L
.47672 .5209 L
.47612 .52007 L
.47512 .519 L
.4749 .51846 L
.47371 .51686 L
.47351 .5166 L
.47255 .51525 L
.47191 .51441 L
.47137 .51364 L
.4703 .51223 L
.47017 .51204 L
.46904 .51043 L
.4687 .50998 L
.46793 .50883 L
.46709 .50768 L
.4668 .50722 L
.46572 .50562 L
.46549 .50528 L
.46485 .50401 L
F
.212 .95 1 r
.46549 .4479 m
.46709 .44928 L
.46746 .44943 L
.4687 .45092 L
.46887 .45104 L
.4703 .45264 L
.47031 .45265 L
.4717 .45425 L
.47191 .45444 L
.47305 .45586 L
.47351 .45642 L
.47447 .45746 L
.47512 .45846 L
.47555 .45907 L
.47672 .46052 L
.47677 .46067 L
.47806 .46228 L
.47833 .46265 L
.47956 .46388 L
.47993 .46499 L
.48027 .46549 L
.48095 .46709 L
.47993 .46787 L
.47846 .46709 L
.47833 .46699 L
.47683 .46549 L
.47672 .46537 L
.47548 .46388 L
.47512 .46346 L
.47419 .46228 L
.47351 .46182 L
.47293 .46067 L
.47191 .4595 L
.47152 .45907 L
.47045 .45746 L
.4703 .45727 L
.46928 .45586 L
.4687 .45509 L
.4681 .45425 L
.46709 .45288 L
.46675 .45265 L
.46585 .45104 L
.46549 .45051 L
.46486 .44943 L
F
1 .75 0 r
.46549 .45463 m
.46661 .45586 L
.46709 .45637 L
.468 .45746 L
.4687 .4583 L
.46929 .45907 L
.4703 .46041 L
.47049 .46067 L
.47147 .46228 L
.4703 .46252 L
.47009 .46228 L
.4687 .46076 L
.46863 .46067 L
.46735 .45907 L
.46709 .45875 L
.46618 .45746 L
.46549 .45654 L
.46505 .45586 L
F
1 .72 0 r
.46549 .47503 m
.46564 .47512 L
.46709 .47623 L
.46757 .47672 L
.4687 .47758 L
.46906 .47833 L
.4703 .4797 L
.4706 .47993 L
.47172 .48154 L
.47191 .48177 L
.47295 .48314 L
.47351 .48386 L
.47416 .48475 L
.47512 .48601 L
.47536 .48636 L
.47648 .48796 L
.47672 .48831 L
.47749 .48957 L
.47833 .49107 L
.47837 .49117 L
.47833 .49177 L
.47719 .49117 L
.47672 .49082 L
.47543 .48957 L
.47512 .48926 L
.47394 .48796 L
.47351 .48749 L
.47255 .48636 L
.47191 .48612 L
.47122 .48475 L
.4703 .48373 L
.46971 .48314 L
.46873 .48154 L
.4687 .4815 L
.46756 .47993 L
.46709 .47926 L
.46646 .47833 L
.46549 .47674 L
.46548 .47672 L
.46507 .47512 L
F
1 .74 0 r
.46549 .45483 m
.46646 .45586 L
.46709 .45652 L
.46788 .45746 L
.4687 .45844 L
.46918 .45907 L
.4703 .46057 L
.47037 .46067 L
.47128 .46228 L
.4703 .46237 L
.47022 .46228 L
.46872 .46067 L
.4687 .46064 L
.46746 .45907 L
.46709 .45861 L
.46629 .45746 L
.46549 .45637 L
.46517 .45586 L
F
.156 .94 1 r
.46549 .44848 m
.46682 .44943 L
.46709 .44964 L
.46855 .45104 L
.4687 .45118 L
.47007 .45265 L
.4703 .45289 L
.4715 .45425 L
.47191 .45462 L
.47287 .45586 L
.47351 .45662 L
.47432 .45746 L
.47512 .45866 L
.47542 .45907 L
.4767 .46067 L
.47672 .46071 L
.4779 .46228 L
.47833 .46289 L
.4794 .46388 L
.47993 .46536 L
.48002 .46549 L
.48052 .46709 L
.47993 .4675 L
.47885 .46709 L
.47833 .46674 L
.47701 .46549 L
.47672 .46519 L
.47561 .46388 L
.47512 .46332 L
.4743 .46228 L
.47351 .46168 L
.47303 .46067 L
.47191 .45933 L
.47167 .45907 L
.47056 .45746 L
.4703 .45712 L
.4694 .45586 L
.4687 .45492 L
.46823 .45425 L
.46709 .45268 L
.46705 .45265 L
.46607 .45104 L
.46549 .45009 L
.46518 .44943 L
F
.033 .89 1 r
.46549 .42541 m
.4666 .42696 L
.46709 .42757 L
.46778 .42857 L
.4687 .42971 L
.469 .43017 L
.4687 .43123 L
.46787 .43017 L
.46709 .42927 L
.46654 .42857 L
.46549 .42728 L
.46524 .42696 L
F
1 .73 0 r
.46549 .45508 m
.46627 .45586 L
.46709 .45668 L
.46775 .45746 L
.4687 .45859 L
.46906 .45907 L
.4687 .46049 L
.46759 .45907 L
.46709 .45846 L
.46641 .45746 L
.46549 .45617 L
.4653 .45586 L
F
0 .28 1 r
.46549 .52331 m
.46649 .52488 L
.46709 .52569 L
.46755 .52649 L
.46709 .52687 L
.46677 .52649 L
.46549 .5251 L
.46531 .52488 L
F
0 .27 1 r
.46549 .52339 m
.46642 .52488 L
.46709 .52581 L
.46745 .52649 L
.46709 .52677 L
.46685 .52649 L
.46549 .52503 L
.46536 .52488 L
F
0 .26 1 r
.46549 .52347 m
.46634 .52488 L
.46709 .52595 L
.46733 .52649 L
.46709 .52664 L
.46695 .52649 L
.46549 .52496 L
.46542 .52488 L
F
1 .18 0 r
.46549 .51686 m
.46665 .51846 L
.46709 .51897 L
.46787 .52007 L
.4687 .52108 L
.46912 .52167 L
.4703 .52318 L
.47037 .52328 L
.4703 .52452 L
.46938 .52328 L
.4687 .52252 L
.46808 .52167 L
.46709 .52051 L
.46677 .52007 L
.46549 .51849 L
.46547 .51846 L
F
1 .72 0 r
.46549 .45549 m
.46599 .45586 L
.46709 .45687 L
.46759 .45746 L
.4687 .45876 L
.46893 .45907 L
.4687 .4603 L
.46774 .45907 L
.46709 .45827 L
.46656 .45746 L
.46549 .45588 L
.46548 .45586 L
F
0 .25 1 r
.46549 .52356 m
.46624 .52488 L
.46549 .52488 L
.46549 .52488 L
F
1 .71 0 r
.46709 .47631 m
.46749 .47672 L
.4687 .47768 L
.46901 .47833 L
.4703 .47978 L
.47051 .47993 L
.47167 .48154 L
.47191 .48183 L
.4729 .48314 L
.47351 .48392 L
.47412 .48475 L
.47512 .48607 L
.47532 .48636 L
.47642 .48796 L
.47672 .4884 L
.47741 .48957 L
.47672 .4907 L
.47553 .48957 L
.47512 .48917 L
.47401 .48796 L
.47351 .48741 L
.47261 .48636 L
.47191 .48606 L
.47128 .48475 L
.4703 .48365 L
.46979 .48314 L
.46878 .48154 L
.4687 .48143 L
.46762 .47993 L
.46709 .47917 L
.46652 .47833 L
.46557 .47672 L
F
.395 .97 1 r
.46709 .47021 m
.46774 .4703 L
.4687 .47059 L
.47022 .47191 L
.4703 .47199 L
.47158 .47351 L
.47191 .4741 L
.47305 .47512 L
.47351 .47617 L
.47414 .47672 L
.47512 .4782 L
.47528 .47833 L
.47662 .47993 L
.47672 .48004 L
.47816 .48154 L
.47833 .48212 L
.47918 .48314 L
.47993 .48424 L
.48028 .48475 L
.48154 .48633 L
.48156 .48636 L
.48278 .48796 L
.48314 .48818 L
.4842 .48957 L
.48475 .49038 L
.48525 .49117 L
.48636 .49262 L
.48641 .49278 L
.48764 .49438 L
.48796 .49482 L
.48921 .49599 L
.48957 .49708 L
.49002 .49759 L
.49035 .4992 L
.48957 .49945 L
.48796 .49928 L
.48745 .4992 L
.48636 .49849 L
.48542 .49759 L
.48475 .49687 L
.48416 .49599 L
.48314 .49494 L
.48308 .49438 L
.48154 .49291 L
.48143 .49278 L
.48013 .49117 L
.47993 .4908 L
.47899 .48957 L
.47833 .48862 L
.47794 .48796 L
.47672 .48648 L
.47644 .48636 L
.47515 .48475 L
.47512 .48463 L
.47397 .48314 L
.47351 .48253 L
.47289 .48154 L
.47191 .4804 L
.47188 .47993 L
.4703 .47833 L
.4703 .47833 L
.469 .47672 L
.4687 .47619 L
.46793 .47512 L
.46709 .47402 L
.46688 .47351 L
.46563 .47191 L
.46569 .4703 L
F
1 .7 0 r
.46709 .4764 m
.46741 .47672 L
.4687 .47778 L
.46895 .47833 L
.4703 .47986 L
.4704 .47993 L
.47162 .48154 L
.47191 .48188 L
.47286 .48314 L
.47351 .48397 L
.47408 .48475 L
.47512 .48614 L
.47527 .48636 L
.47636 .48796 L
.47672 .48851 L
.47733 .48957 L
.47672 .49058 L
.47563 .48957 L
.47512 .48908 L
.47409 .48796 L
.47351 .48734 L
.47267 .48636 L
.47191 .48599 L
.47133 .48475 L
.4703 .48356 L
.46987 .48314 L
.46884 .48154 L
.4687 .48135 L
.46768 .47993 L
.46709 .47908 L
.46659 .47833 L
.46568 .47672 L
F
.289 .96 1 r
.46709 .47035 m
.4687 .47073 L
.47011 .47191 L
.4703 .47209 L
.47152 .47351 L
.47191 .47419 L
.47302 .47512 L
.47351 .47621 L
.47411 .47672 L
.47512 .47822 L
.47526 .47833 L
.47659 .47993 L
.47672 .48006 L
.47814 .48154 L
.47833 .48214 L
.47916 .48314 L
.47993 .48427 L
.48026 .48475 L
.48154 .48636 L
.48154 .48636 L
.48275 .48796 L
.48314 .4882 L
.48418 .48957 L
.48475 .49042 L
.48522 .49117 L
.48636 .49268 L
.48639 .49278 L
.4876 .49438 L
.48796 .49489 L
.48915 .49599 L
.48957 .49721 L
.48989 .49759 L
.48975 .4992 L
.48957 .49924 L
.48849 .4992 L
.48796 .4991 L
.48636 .4983 L
.48556 .49759 L
.48475 .49674 L
.48424 .49599 L
.48314 .49485 L
.4831 .49438 L
.48154 .49284 L
.48149 .49278 L
.48016 .49117 L
.47993 .49074 L
.47902 .48957 L
.47833 .48858 L
.47797 .48796 L
.47672 .48646 L
.47647 .48636 L
.47516 .48475 L
.47512 .4846 L
.47399 .48314 L
.47351 .48249 L
.47291 .48154 L
.47191 .48036 L
.47189 .47993 L
.47034 .47833 L
.4703 .47828 L
.46903 .47672 L
.4687 .47614 L
.46797 .47512 L
.46709 .47394 L
.46692 .47351 L
.46575 .47191 L
F
1 .69 0 r
.46709 .47649 m
.46733 .47672 L
.4687 .4779 L
.4689 .47833 L
.4703 .47993 L
.4703 .47994 L
.47158 .48154 L
.47191 .48194 L
.47281 .48314 L
.47351 .48403 L
.47403 .48475 L
.47512 .4862 L
.47523 .48636 L
.47629 .48796 L
.47672 .48862 L
.47723 .48957 L
.47672 .49044 L
.47574 .48957 L
.47512 .48899 L
.47416 .48796 L
.47351 .48726 L
.47274 .48636 L
.47191 .48591 L
.47139 .48475 L
.4703 .48347 L
.46996 .48314 L
.4689 .48154 L
.4687 .48127 L
.46774 .47993 L
.46709 .47899 L
.46666 .47833 L
.4658 .47672 L
F
1 .88 .024 r
.46709 .40769 m
.4671 .4077 L
.46864 .4093 L
.4687 .40936 L
.47008 .41091 L
.4703 .41114 L
.47148 .41251 L
.47191 .41298 L
.47287 .41412 L
.47351 .41454 L
.47423 .41572 L
.47512 .4167 L
.47594 .41733 L
.47672 .41871 L
.47694 .41894 L
.47821 .42054 L
.47833 .42068 L
.47951 .42215 L
.47993 .42252 L
.4808 .42375 L
.48154 .42462 L
.48227 .42536 L
.48314 .42667 L
.48339 .42696 L
.48465 .42857 L
.48475 .4286 L
.48592 .43017 L
.48636 .43063 L
.48756 .43178 L
.48796 .43273 L
.48852 .43338 L
.48957 .43481 L
.48969 .43499 L
.49097 .43659 L
.49117 .43675 L
.49222 .4382 L
.49278 .43884 L
.49365 .4398 L
.49438 .44096 L
.49473 .44141 L
.49598 .44301 L
.49599 .44303 L
.49721 .44462 L
.49759 .44499 L
.49881 .44622 L
.4992 .44713 L
.49978 .44783 L
.5008 .44924 L
.50093 .44943 L
.50218 .45104 L
.50241 .45118 L
.50342 .45265 L
.50401 .45332 L
.50484 .45425 L
.50562 .45547 L
.50591 .45586 L
.50714 .45746 L
.50722 .45757 L
.50836 .45907 L
.50883 .4595 L
.50995 .46067 L
.51043 .46169 L
.51091 .46228 L
.51204 .46383 L
.51207 .46388 L
.51329 .46549 L
.51364 .46568 L
.51452 .46709 L
.51525 .46791 L
.51593 .4687 L
.51686 .4701 L
.517 .4703 L
.51821 .47191 L
.51846 .47223 L
.51942 .47351 L
.52007 .47412 L
.52098 .47512 L
.52167 .47638 L
.52194 .47672 L
.5231 .47833 L
.52328 .47855 L
.52431 .47993 L
.52488 .48027 L
.52553 .48154 L
.52649 .48267 L
.52688 .48314 L
.52798 .48475 L
.52809 .4849 L
.52917 .48636 L
.5297 .48704 L
.53037 .48796 L
.5313 .48897 L
.53181 .48957 L
.53281 .49117 L
.53291 .4913 L
.53398 .49278 L
.53451 .49347 L
.53517 .49438 L
.53612 .49562 L
.53638 .49599 L
.53757 .49759 L
.53772 .49779 L
.53871 .4992 L
.53933 .50002 L
.53987 .5008 L
.54093 .50223 L
.54105 .50241 L
.54216 .50401 L
.54254 .50453 L
.54323 .50562 L
.54414 .50693 L
.54432 .50722 L
.54414 .50871 L
.54267 .50722 L
.54254 .5071 L
.54118 .50562 L
.54093 .50536 L
.53973 .50401 L
.53933 .50357 L
.53832 .50241 L
.53772 .50199 L
.53694 .5008 L
.53612 .49987 L
.53527 .4992 L
.53451 .49789 L
.53423 .49759 L
.53292 .49599 L
.53291 .49597 L
.5316 .49438 L
.5313 .49409 L
.53028 .49278 L
.5297 .49204 L
.5289 .49117 L
.52809 .49001 L
.52776 .48957 L
.52649 .48802 L
.52647 .48796 L
.52513 .48636 L
.52488 .48606 L
.52365 .48475 L
.52328 .484 L
.5226 .48314 L
.52167 .48192 L
.52145 .48154 L
.52007 .47994 L
.52006 .47993 L
.51879 .47833 L
.51846 .47791 L
.51747 .47672 L
.51686 .47582 L
.51637 .47512 L
.51525 .47374 L
.5152 .47351 L
.51378 .47191 L
.51364 .47176 L
.51237 .4703 L
.51204 .46967 L
.5113 .4687 L
.51043 .46756 L
.51018 .46709 L
.50883 .46552 L
.50879 .46549 L
.50726 .46388 L
.50722 .46349 L
.50625 .46228 L
.50562 .46136 L
.50515 .46067 L
.50401 .45926 L
.50398 .45907 L
.5026 .45746 L
.50241 .45726 L
.50119 .45586 L
.5008 .45515 L
.50014 .45425 L
.4992 .45302 L
.49901 .45265 L
.49766 .45104 L
.49759 .45099 L
.49609 .44943 L
.49599 .44891 L
.49513 .44783 L
.49438 .44676 L
.49403 .44622 L
.49278 .44465 L
.49277 .44462 L
.49153 .44301 L
.49117 .44266 L
.4901 .44141 L
.48957 .44048 L
.48907 .4398 L
.48796 .43833 L
.4879 .4382 L
.48665 .43659 L
.48636 .43642 L
.485 .43499 L
.48475 .43419 L
.48412 .43338 L
.48314 .43198 L
.48302 .43178 L
.48181 .43017 L
.48154 .42982 L
.4806 .42857 L
.47993 .42788 L
.47919 .42696 L
.47833 .42557 L
.47818 .42536 L
.47701 .42375 L
.47672 .42337 L
.47583 .42215 L
.47512 .42156 L
.47426 .42054 L
.47351 .41904 L
.47344 .41894 L
.47232 .41733 L
.47191 .41678 L
.47117 .41572 L
.4703 .41453 L
.47002 .41412 L
.4689 .41251 L
.4687 .41223 L
.46784 .41091 L
.46709 .40981 L
.46678 .4093 L
.46584 .4077 L
F
.212 .95 1 r
.46709 .47049 m
.4687 .47087 L
.46999 .47191 L
.4703 .47219 L
.47146 .47351 L
.47191 .47427 L
.47298 .47512 L
.47351 .47625 L
.47408 .47672 L
.47512 .47823 L
.47525 .47833 L
.47657 .47993 L
.47672 .48009 L
.47813 .48154 L
.47833 .48217 L
.47914 .48314 L
.47993 .4843 L
.48024 .48475 L
.48151 .48636 L
.48154 .48639 L
.48273 .48796 L
.48314 .48822 L
.48416 .48957 L
.48475 .49046 L
.4852 .49117 L
.48636 .49273 L
.48637 .49278 L
.48755 .49438 L
.48796 .49496 L
.48909 .49599 L
.48957 .49736 L
.48976 .49759 L
.48957 .49901 L
.48796 .49894 L
.48636 .49813 L
.4857 .49759 L
.48475 .49662 L
.48432 .49599 L
.48314 .49476 L
.48311 .49438 L
.48154 .49278 L
.48154 .49278 L
.48019 .49117 L
.47993 .49068 L
.47906 .48957 L
.47833 .48854 L
.47799 .48796 L
.47672 .48645 L
.4765 .48636 L
.47517 .48475 L
.47512 .48457 L
.47402 .48314 L
.47351 .48245 L
.47294 .48154 L
.47191 .48032 L
.47189 .47993 L
.47037 .47833 L
.4703 .47824 L
.46906 .47672 L
.4687 .47608 L
.46802 .47512 L
.46709 .47385 L
.46696 .47351 L
.46587 .47191 L
F
1 .68 0 r
.46709 .47659 m
.46723 .47672 L
.4687 .47802 L
.46884 .47833 L
.47024 .47993 L
.4703 .48 L
.47152 .48154 L
.47191 .482 L
.47277 .48314 L
.47351 .4841 L
.47398 .48475 L
.47512 .48627 L
.47518 .48636 L
.47621 .48796 L
.47672 .48875 L
.47713 .48957 L
.47672 .49029 L
.47587 .48957 L
.47512 .48889 L
.47424 .48796 L
.47351 .48718 L
.4728 .48636 L
.47191 .48581 L
.47145 .48475 L
.4703 .48338 L
.47006 .48314 L
.46896 .48154 L
.4687 .48119 L
.46781 .47993 L
.46709 .47888 L
.46673 .47833 L
.46594 .47672 L
F
.156 .94 1 r
.46709 .47062 m
.4687 .471 L
.46988 .47191 L
.4703 .47228 L
.4714 .47351 L
.47191 .47434 L
.47294 .47512 L
.47351 .47629 L
.47404 .47672 L
.47512 .47825 L
.47523 .47833 L
.47654 .47993 L
.47672 .48011 L
.47812 .48154 L
.47833 .4822 L
.47912 .48314 L
.47993 .48432 L
.48022 .48475 L
.48149 .48636 L
.48154 .48642 L
.4827 .48796 L
.48314 .48824 L
.48414 .48957 L
.48475 .4905 L
.48517 .49117 L
.48635 .49278 L
.48636 .49279 L
.4875 .49438 L
.48796 .49503 L
.48903 .49599 L
.48957 .49753 L
.48961 .49759 L
.48957 .49871 L
.48796 .49879 L
.48636 .49797 L
.48586 .49759 L
.48475 .4965 L
.48439 .49599 L
.48314 .49468 L
.48312 .49438 L
.48159 .49278 L
.48154 .49271 L
.48022 .49117 L
.47993 .49063 L
.47909 .48957 L
.47833 .4885 L
.47801 .48796 L
.47672 .48643 L
.47653 .48636 L
.47518 .48475 L
.47512 .48453 L
.47404 .48314 L
.47351 .48242 L
.47297 .48154 L
.47191 .48029 L
.4719 .47993 L
.47041 .47833 L
.4703 .47819 L
.46909 .47672 L
.4687 .47602 L
.46806 .47512 L
.46709 .47377 L
.46699 .47351 L
.466 .47191 L
F
.289 .96 1 r
.46709 .40111 m
.46727 .40128 L
.4687 .40258 L
.46891 .40288 L
.4703 .40436 L
.47051 .40449 L
.47186 .40609 L
.47191 .40614 L
.47327 .4077 L
.47351 .40777 L
.47465 .4093 L
.47512 .40979 L
.47602 .41091 L
.47672 .41177 L
.47747 .41251 L
.47833 .41375 L
.47864 .41412 L
.47993 .41568 L
.47995 .41572 L
.4813 .41733 L
.48154 .41762 L
.48281 .41894 L
.48314 .41966 L
.48388 .42054 L
.48475 .42172 L
.48503 .42215 L
.48636 .42371 L
.48644 .42375 L
.4877 .42536 L
.48796 .42569 L
.48904 .42696 L
.48957 .42778 L
.49015 .42857 L
.49117 .42988 L
.49127 .43017 L
.49274 .43178 L
.49278 .43182 L
.49414 .43338 L
.49438 .4339 L
.49524 .43499 L
.49599 .43602 L
.49634 .43659 L
.49759 .4381 L
.49775 .4382 L
.49918 .4398 L
.4992 .44007 L
.5003 .44141 L
.5008 .44219 L
.50139 .44301 L
.50241 .44431 L
.5025 .44462 L
.50395 .44622 L
.50401 .44629 L
.50534 .44783 L
.50562 .44839 L
.50643 .44943 L
.50722 .45052 L
.50753 .45104 L
.50883 .45258 L
.50891 .45265 L
.51039 .45425 L
.51043 .45461 L
.51146 .45586 L
.51204 .45673 L
.51255 .45746 L
.51364 .45884 L
.5137 .45907 L
.51508 .46067 L
.51525 .46085 L
.5165 .46228 L
.51686 .46296 L
.51757 .46388 L
.51846 .46508 L
.51868 .46549 L
.52002 .46709 L
.52007 .46713 L
.52157 .4687 L
.52167 .46919 L
.52259 .4703 L
.52328 .47132 L
.52368 .47191 L
.52488 .47343 L
.5249 .47351 L
.52618 .47512 L
.52649 .47542 L
.52763 .47672 L
.52809 .47756 L
.52868 .47833 L
.5297 .4797 L
.52982 .47993 L
.5311 .48154 L
.5313 .48167 L
.53272 .48314 L
.53291 .4838 L
.53368 .48475 L
.53451 .48596 L
.53478 .48636 L
.53603 .48796 L
.53612 .48807 L
.53724 .48957 L
.53772 .49002 L
.53872 .49117 L
.53933 .49221 L
.53975 .49278 L
.54093 .49436 L
.54094 .49438 L
.54216 .49599 L
.54254 .49621 L
.54382 .49759 L
.54414 .49845 L
.54474 .4992 L
.54575 .50065 L
.54585 .5008 L
.54707 .50241 L
.54735 .50278 L
.54828 .50401 L
.54896 .50467 L
.54975 .50562 L
.55057 .50693 L
.55078 .50722 L
.55196 .50883 L
.55217 .5091 L
.55317 .51043 L
.55378 .51084 L
.5548 .51204 L
.55538 .51322 L
.5557 .51364 L
.55684 .51525 L
.55699 .51544 L
.55803 .51686 L
.55859 .51758 L
.55924 .51846 L
.5602 .51954 L
.56061 .52007 L
.56167 .52167 L
.5618 .52184 L
.56284 .52328 L
.56341 .52401 L
.56404 .52488 L
.56501 .52616 L
.56545 .52649 L
.56643 .52809 L
.56662 .52834 L
.56757 .5297 L
.56822 .53057 L
.56873 .5313 L
.56983 .53279 L
.56991 .53291 L
.571 .53451 L
.57143 .53512 L
.57206 .53612 L
.57304 .53754 L
.57315 .53772 L
.57406 .53933 L
.57304 .53972 L
.57265 .53933 L
.57143 .53823 L
.5711 .53772 L
.56983 .53633 L
.56948 .53612 L
.56824 .53451 L
.56822 .5345 L
.56684 .53291 L
.56662 .53283 L
.56545 .5313 L
.56501 .53081 L
.56408 .5297 L
.56341 .52884 L
.56271 .52809 L
.5618 .52686 L
.56154 .52649 L
.5602 .52494 L
.56008 .52488 L
.55877 .52328 L
.55859 .52305 L
.55736 .52167 L
.55699 .52102 L
.55625 .52007 L
.55538 .51894 L
.55516 .51846 L
.55378 .51711 L
.55356 .51686 L
.55221 .51525 L
.55217 .51508 L
.55103 .51364 L
.55057 .51298 L
.54993 .51204 L
.54896 .51084 L
.54846 .51043 L
.54735 .50901 L
.54721 .50883 L
.54592 .50722 L
.54575 .50692 L
.54478 .50562 L
.54414 .50478 L
.54374 .50401 L
.54254 .50261 L
.54218 .50241 L
.54094 .5008 L
.54093 .50078 L
.53971 .4992 L
.53933 .49866 L
.53863 .49759 L
.53772 .49648 L
.53719 .49599 L
.53612 .49458 L
.53596 .49438 L
.53469 .49278 L
.53451 .49248 L
.53356 .49117 L
.53291 .49032 L
.53254 .48957 L
.5313 .48817 L
.53099 .48796 L
.52973 .48636 L
.5297 .48626 L
.52854 .48475 L
.52809 .48413 L
.52746 .48314 L
.52649 .48197 L
.52604 .48154 L
.52488 .47995 L
.52482 .47993 L
.52353 .47833 L
.52328 .47791 L
.52242 .47672 L
.52167 .47577 L
.52138 .47512 L
.52007 .47366 L
.51987 .47351 L
.51855 .47191 L
.51846 .47167 L
.51741 .4703 L
.51686 .46954 L
.51633 .4687 L
.51525 .46741 L
.51494 .46709 L
.51372 .46549 L
.51364 .46541 L
.5124 .46388 L
.51204 .4633 L
.51131 .46228 L
.51043 .46117 L
.51024 .46067 L
.50883 .4591 L
.50879 .45907 L
.50739 .45746 L
.50722 .45706 L
.50631 .45586 L
.50562 .45492 L
.50522 .45425 L
.50401 .45281 L
.50387 .45265 L
.50265 .45104 L
.50241 .4508 L
.5013 .44943 L
.5008 .44867 L
.50022 .44783 L
.4992 .44653 L
.49909 .44622 L
.49773 .44462 L
.49759 .44452 L
.49627 .44301 L
.49599 .44241 L
.49523 .44141 L
.49438 .44025 L
.49412 .4398 L
.49283 .4382 L
.49278 .43813 L
.49162 .43659 L
.49117 .43616 L
.49024 .43499 L
.48957 .43396 L
.48917 .43338 L
.48796 .4318 L
.48795 .43178 L
.48674 .43017 L
.48636 .42993 L
.48522 .42857 L
.48475 .42767 L
.48424 .42696 L
.48314 .42545 L
.48309 .42536 L
.48188 .42375 L
.48154 .4233 L
.48068 .42215 L
.47993 .42136 L
.47932 .42054 L
.47833 .41905 L
.47825 .41894 L
.47708 .41733 L
.47672 .41686 L
.4759 .41572 L
.47512 .41501 L
.47446 .41412 L
.47352 .41251 L
.47351 .41251 L
.47238 .41091 L
.47191 .41027 L
.47123 .4093 L
.4703 .40802 L
.46981 .4077 L
.46898 .40609 L
.4687 .4057 L
.46793 .40449 L
.46709 .40325 L
.46688 .40288 L
.46602 .40128 L
F
1 .67 0 r
.46709 .4767 m
.46712 .47672 L
.4687 .47816 L
.46878 .47833 L
.47018 .47993 L
.4703 .48007 L
.47147 .48154 L
.47191 .48207 L
.47272 .48314 L
.47351 .48416 L
.47394 .48475 L
.47512 .48634 L
.47513 .48636 L
.47614 .48796 L
.47672 .48891 L
.47702 .48957 L
.47672 .49012 L
.47601 .48957 L
.47512 .48879 L
.47433 .48796 L
.47351 .4871 L
.47287 .48636 L
.47191 .4857 L
.47151 .48475 L
.4703 .48328 L
.47016 .48314 L
.46902 .48154 L
.4687 .48111 L
.46787 .47993 L
.46709 .47877 L
.46681 .47833 L
.4661 .47672 L
F
.114 .93 1 r
.46709 .47076 m
.4687 .47112 L
.46976 .47191 L
.4703 .47237 L
.47134 .47351 L
.47191 .47441 L
.47291 .47512 L
.47351 .47633 L
.47401 .47672 L
.47512 .47826 L
.47521 .47833 L
.47652 .47993 L
.47672 .48014 L
.47811 .48154 L
.47833 .48223 L
.4791 .48314 L
.47993 .48435 L
.48021 .48475 L
.48147 .48636 L
.48154 .48645 L
.48268 .48796 L
.48314 .48827 L
.48411 .48957 L
.48475 .49054 L
.48514 .49117 L
.48631 .49278 L
.48636 .49284 L
.48746 .49438 L
.48796 .49511 L
.48895 .49599 L
.48947 .49759 L
.48796 .49864 L
.48636 .49782 L
.48603 .49759 L
.48475 .49639 L
.48446 .49599 L
.48314 .4946 L
.48313 .49438 L
.48164 .49278 L
.48154 .49264 L
.48025 .49117 L
.47993 .49057 L
.47912 .48957 L
.47833 .48846 L
.47804 .48796 L
.47672 .48642 L
.47656 .48636 L
.47519 .48475 L
.47512 .4845 L
.47407 .48314 L
.47351 .48238 L
.47299 .48154 L
.47191 .48025 L
.4719 .47993 L
.47044 .47833 L
.4703 .47814 L
.46912 .47672 L
.4687 .47596 L
.4681 .47512 L
.46709 .47367 L
.46703 .47351 L
.46612 .47191 L
F
.084 .92 1 r
.46709 .47091 m
.4687 .47124 L
.46964 .47191 L
.4703 .47246 L
.47127 .47351 L
.47191 .47448 L
.47287 .47512 L
.47351 .47637 L
.47398 .47672 L
.47512 .47828 L
.4752 .47833 L
.47649 .47993 L
.47672 .48017 L
.47809 .48154 L
.47833 .48225 L
.47908 .48314 L
.47993 .48438 L
.48019 .48475 L
.48144 .48636 L
.48154 .48648 L
.48266 .48796 L
.48314 .48829 L
.48409 .48957 L
.48475 .49059 L
.48511 .49117 L
.48627 .49278 L
.48636 .49289 L
.48741 .49438 L
.48796 .49519 L
.48887 .49599 L
.48933 .49759 L
.48796 .49849 L
.48636 .49767 L
.48623 .49759 L
.48475 .49628 L
.48453 .49599 L
.48314 .49451 L
.48314 .49438 L
.48169 .49278 L
.48154 .49257 L
.48028 .49117 L
.47993 .49052 L
.47916 .48957 L
.47833 .48842 L
.47806 .48796 L
.47672 .4864 L
.47659 .48636 L
.4752 .48475 L
.47512 .48446 L
.47409 .48314 L
.47351 .48234 L
.47302 .48154 L
.47191 .48021 L
.4719 .47993 L
.47048 .47833 L
.4703 .47809 L
.46915 .47672 L
.4687 .4759 L
.46815 .47512 L
.46709 .47357 L
.46707 .47351 L
.46625 .47191 L
F
.114 .93 1 r
.46709 .45005 m
.46821 .45104 L
.4687 .45148 L
.46982 .45265 L
.4703 .45315 L
.4713 .45425 L
.47191 .4548 L
.47269 .45586 L
.47351 .45682 L
.47415 .45746 L
.47512 .45885 L
.47528 .45907 L
.47654 .46067 L
.47672 .46092 L
.47773 .46228 L
.47833 .46315 L
.47919 .46388 L
.47976 .46549 L
.47833 .46648 L
.47721 .46549 L
.47672 .465 L
.47575 .46388 L
.47512 .46317 L
.47441 .46228 L
.47351 .46151 L
.47313 .46067 L
.47191 .45915 L
.47183 .45907 L
.47068 .45746 L
.4703 .45697 L
.46952 .45586 L
.4687 .45474 L
.46836 .45425 L
.46726 .45265 L
.46709 .4524 L
.46634 .45104 L
F
.061 .91 1 r
.46709 .47105 m
.4687 .47135 L
.46951 .47191 L
.4703 .47254 L
.47121 .47351 L
.47191 .47454 L
.47283 .47512 L
.47351 .4764 L
.47395 .47672 L
.47512 .47829 L
.47518 .47833 L
.47646 .47993 L
.47672 .48019 L
.47808 .48154 L
.47833 .48228 L
.47905 .48314 L
.47993 .48441 L
.48017 .48475 L
.48142 .48636 L
.48154 .48651 L
.48263 .48796 L
.48314 .48832 L
.48406 .48957 L
.48475 .49063 L
.48508 .49117 L
.48624 .49278 L
.48636 .49294 L
.48736 .49438 L
.48796 .49527 L
.48878 .49599 L
.48917 .49759 L
.48796 .49834 L
.48643 .49759 L
.48636 .49756 L
.48475 .49618 L
.48461 .49599 L
.48314 .49444 L
.48314 .49438 L
.48174 .49278 L
.48154 .49251 L
.48031 .49117 L
.47993 .49047 L
.47919 .48957 L
.47833 .48838 L
.47808 .48796 L
.47672 .48639 L
.47663 .48636 L
.47521 .48475 L
.47512 .48443 L
.47412 .48314 L
.47351 .48231 L
.47304 .48154 L
.47191 .48018 L
.4719 .47993 L
.47051 .47833 L
.4703 .47805 L
.46918 .47672 L
.4687 .47583 L
.46819 .47512 L
.46712 .47351 L
.46709 .47346 L
.46639 .47191 L
F
.045 .9 1 r
.46709 .47121 m
.4687 .47146 L
.46938 .47191 L
.4703 .47262 L
.47115 .47351 L
.47191 .4746 L
.47278 .47512 L
.47351 .47643 L
.47392 .47672 L
.47512 .4783 L
.47516 .47833 L
.47644 .47993 L
.47672 .48022 L
.47806 .48154 L
.47833 .48231 L
.47903 .48314 L
.47993 .48443 L
.48015 .48475 L
.4814 .48636 L
.48154 .48654 L
.48261 .48796 L
.48314 .48835 L
.48404 .48957 L
.48475 .49068 L
.48505 .49117 L
.4862 .49278 L
.48636 .493 L
.48732 .49438 L
.48796 .49536 L
.48868 .49599 L
.489 .49759 L
.48796 .49819 L
.48663 .49759 L
.48636 .4975 L
.48475 .49607 L
.48468 .49599 L
.48316 .49438 L
.48314 .49436 L
.48179 .49278 L
.48154 .49245 L
.48034 .49117 L
.47993 .49042 L
.47922 .48957 L
.47833 .48835 L
.4781 .48796 L
.47672 .48638 L
.47666 .48636 L
.47522 .48475 L
.47512 .48439 L
.47415 .48314 L
.47351 .48227 L
.47306 .48154 L
.47191 .48014 L
.4719 .47993 L
.47054 .47833 L
.4703 .478 L
.46921 .47672 L
.4687 .47577 L
.46824 .47512 L
.4672 .47351 L
.46709 .47332 L
.46653 .47191 L
F
.004 .82 1 r
.46709 .41425 m
.46837 .41572 L
.4687 .41607 L
.46975 .41733 L
.4703 .41794 L
.47111 .41894 L
.47191 .41985 L
.47246 .42054 L
.47351 .42159 L
.4738 .42215 L
.47512 .42375 L
.47512 .42375 L
.47639 .42536 L
.47672 .42575 L
.47767 .42696 L
.47833 .42775 L
.47896 .42857 L
.47993 .42962 L
.48061 .43017 L
.48154 .43178 L
.48154 .43178 L
.48278 .43338 L
.48314 .43383 L
.48404 .43499 L
.48475 .43551 L
.4853 .43659 L
.48636 .43785 L
.48671 .4382 L
.48782 .4398 L
.48796 .43998 L
.48905 .44141 L
.48957 .44205 L
.49029 .44301 L
.49117 .44393 L
.49192 .44462 L
.49278 .44618 L
.49281 .44622 L
.49402 .44783 L
.49438 .44829 L
.49524 .44943 L
.49599 .44996 L
.49648 .45104 L
.49759 .4524 L
.49782 .45265 L
.49894 .45425 L
.4992 .45457 L
.50015 .45586 L
.5008 .45669 L
.50137 .45746 L
.50241 .45865 L
.50282 .45907 L
.50382 .46067 L
.50401 .46092 L
.505 .46228 L
.50562 .46307 L
.50621 .46388 L
.50722 .4652 L
.50743 .46549 L
.50862 .46709 L
.50883 .46736 L
.50978 .4687 L
.51043 .46955 L
.51096 .4703 L
.51204 .47172 L
.51217 .47191 L
.5133 .47351 L
.51364 .47397 L
.51441 .47512 L
.51525 .47626 L
.51554 .47672 L
.51525 .47823 L
.51392 .47672 L
.51364 .47644 L
.51252 .47512 L
.51204 .47458 L
.51114 .47351 L
.51043 .47269 L
.50978 .47191 L
.50883 .47097 L
.50844 .4703 L
.50722 .46883 L
.50707 .4687 L
.50582 .46709 L
.50562 .46685 L
.50452 .46549 L
.50401 .46487 L
.50322 .46388 L
.50241 .46299 L
.50156 .46228 L
.5008 .46087 L
.50063 .46067 L
.49938 .45907 L
.4992 .45884 L
.49811 .45746 L
.49759 .45707 L
.49684 .45586 L
.49599 .45483 L
.49544 .45425 L
.49438 .45272 L
.49433 .45265 L
.49308 .45104 L
.49278 .45066 L
.49182 .44943 L
.49117 .44875 L
.49022 .44783 L
.48957 .44655 L
.4893 .44622 L
.4881 .44462 L
.48796 .44444 L
.48687 .44301 L
.48636 .44268 L
.48563 .44141 L
.48475 .44034 L
.48428 .4398 L
.48317 .4382 L
.48314 .43816 L
.48196 .43659 L
.48154 .43605 L
.48074 .43499 L
.47993 .43411 L
.47924 .43338 L
.47833 .43181 L
.4783 .43178 L
.47712 .43017 L
.47672 .42966 L
.47592 .42857 L
.47512 .42789 L
.47471 .42696 L
.47352 .42536 L
.47351 .42535 L
.47236 .42375 L
.47191 .42315 L
.47119 .42215 L
.4703 .42094 L
.47002 .42054 L
.46888 .41894 L
.4687 .41869 L
.46778 .41733 L
.46709 .41637 L
.46667 .41572 L
F
.033 .89 1 r
.46709 .47137 m
.4687 .47157 L
.46924 .47191 L
.4703 .47271 L
.47108 .47351 L
.47191 .47465 L
.47274 .47512 L
.47351 .47646 L
.47388 .47672 L
.47512 .47831 L
.47514 .47833 L
.47641 .47993 L
.47672 .48024 L
.47805 .48154 L
.47833 .48234 L
.47901 .48314 L
.47993 .48446 L
.48013 .48475 L
.48137 .48636 L
.48154 .48657 L
.48258 .48796 L
.48314 .48837 L
.48401 .48957 L
.48475 .49073 L
.48502 .49117 L
.48616 .49278 L
.48636 .49305 L
.48727 .49438 L
.48796 .49545 L
.48857 .49599 L
.48881 .49759 L
.48796 .49803 L
.48685 .49759 L
.48636 .49744 L
.48476 .49599 L
.48475 .49598 L
.48323 .49438 L
.48314 .49429 L
.48184 .49278 L
.48154 .49239 L
.48037 .49117 L
.47993 .49037 L
.47925 .48957 L
.47833 .48831 L
.47812 .48796 L
.47672 .48637 L
.47669 .48636 L
.47523 .48475 L
.47512 .48436 L
.47417 .48314 L
.47351 .48223 L
.47309 .48154 L
.47191 .4801 L
.47191 .47993 L
.47058 .47833 L
.4703 .47795 L
.46924 .47672 L
.4687 .47571 L
.46828 .47512 L
.46727 .47351 L
.46709 .47315 L
.46667 .47191 L
F
0 .47 1 r
.46709 .51212 m
.46834 .51364 L
.4687 .51404 L
.46966 .51525 L
.4703 .516 L
.47099 .51686 L
.47191 .51796 L
.4723 .51846 L
.47351 .51988 L
.4736 .52007 L
.47486 .52167 L
.47512 .52198 L
.47612 .52328 L
.47672 .52401 L
.4774 .52488 L
.47833 .52605 L
.47867 .52649 L
.47993 .52809 L
.47993 .5281 L
.48115 .5297 L
.48154 .53018 L
.48239 .5313 L
.48314 .53226 L
.48363 .53291 L
.48475 .53423 L
.48487 .53451 L
.48608 .53612 L
.48636 .53647 L
.48728 .53772 L
.48796 .5386 L
.4885 .53933 L
.48957 .54073 L
.48972 .54093 L
.49089 .54254 L
.49117 .5429 L
.49205 .54414 L
.49278 .5451 L
.49323 .54575 L
.49438 .54731 L
.49441 .54735 L
.49547 .54896 L
.49599 .54967 L
.49652 .55057 L
.49599 .55099 L
.49564 .55057 L
.49438 .5492 L
.49419 .54896 L
.49281 .54735 L
.49278 .54732 L
.49151 .54575 L
.49117 .54537 L
.49021 .54414 L
.48957 .5434 L
.4889 .54254 L
.48796 .54142 L
.48758 .54093 L
.48636 .5395 L
.48628 .53933 L
.48503 .53772 L
.48475 .53739 L
.48378 .53612 L
.48314 .53535 L
.48251 .53451 L
.48154 .53331 L
.48124 .53291 L
.47997 .5313 L
.47993 .53125 L
.47877 .5297 L
.47833 .52916 L
.47754 .52809 L
.47672 .52707 L
.47629 .52649 L
.47512 .5251 L
.47504 .52488 L
.47384 .52328 L
.47351 .52287 L
.47265 .52167 L
.47191 .52073 L
.47143 .52007 L
.4703 .51861 L
.4702 .51846 L
.46903 .51686 L
.4687 .51643 L
.46788 .51525 L
.46709 .51423 L
.4667 .51364 L
F
.084 .92 1 r
.46709 .45055 m
.46776 .45104 L
.4687 .4518 L
.46955 .45265 L
.4703 .45341 L
.47108 .45425 L
.47191 .45502 L
.4725 .45586 L
.47351 .45704 L
.47396 .45746 L
.47512 .45905 L
.47513 .45907 L
.47637 .46067 L
.47672 .46115 L
.47756 .46228 L
.47833 .46342 L
.4789 .46388 L
.47947 .46549 L
.47833 .46621 L
.47745 .46549 L
.47672 .46481 L
.4759 .46388 L
.47512 .46301 L
.47453 .46228 L
.47351 .46131 L
.47323 .46067 L
.47198 .45907 L
.47191 .45898 L
.47081 .45746 L
.4703 .4568 L
.46965 .45586 L
.4687 .45454 L
.4685 .45425 L
.46749 .45265 L
.46709 .45199 L
.4667 .45104 L
F
0 .46 1 r
.46709 .5122 m
.46828 .51364 L
.4687 .51411 L
.46961 .51525 L
.4703 .51606 L
.47094 .51686 L
.47191 .51802 L
.47226 .51846 L
.47351 .51997 L
.47356 .52007 L
.47482 .52167 L
.47512 .52203 L
.47608 .52328 L
.47672 .52406 L
.47736 .52488 L
.47833 .5261 L
.47863 .52649 L
.47989 .52809 L
.47993 .52815 L
.48111 .5297 L
.48154 .53023 L
.48235 .5313 L
.48314 .53231 L
.4836 .53291 L
.48475 .53431 L
.48484 .53451 L
.48604 .53612 L
.48636 .53652 L
.48724 .53772 L
.48796 .53865 L
.48846 .53933 L
.48957 .54078 L
.48968 .54093 L
.49084 .54254 L
.49117 .54297 L
.492 .54414 L
.49278 .54517 L
.49318 .54575 L
.49278 .54724 L
.49157 .54575 L
.49117 .5453 L
.49026 .54414 L
.48957 .54334 L
.48894 .54254 L
.48796 .54137 L
.48762 .54093 L
.48636 .53942 L
.48632 .53933 L
.48507 .53772 L
.48475 .53734 L
.48382 .53612 L
.48314 .5353 L
.48255 .53451 L
.48154 .53326 L
.48127 .53291 L
.48001 .5313 L
.47993 .53121 L
.4788 .5297 L
.47833 .52912 L
.47757 .52809 L
.47672 .52703 L
.47632 .52649 L
.47512 .52501 L
.47507 .52488 L
.47388 .52328 L
.47351 .52282 L
.47268 .52167 L
.47191 .52068 L
.47146 .52007 L
.4703 .51856 L
.47023 .51846 L
.46908 .51686 L
.4687 .51637 L
.46793 .51525 L
.46709 .51416 L
.46675 .51364 L
F
1 .71 0 r
.46709 .45711 m
.4674 .45746 L
.4687 .45897 L
.46877 .45907 L
.4687 .46005 L
.46795 .45907 L
.46709 .45803 L
.46676 .45746 L
F
1 .8 .002 r
.46709 .42114 m
.46787 .42215 L
.4687 .42306 L
.46922 .42375 L
.4703 .42501 L
.47056 .42536 L
.47189 .42696 L
.47191 .42698 L
.47312 .42857 L
.47351 .42903 L
.47436 .43017 L
.47512 .43108 L
.47563 .43178 L
.47672 .43312 L
.47692 .43338 L
.47816 .43499 L
.47833 .43519 L
.47935 .43659 L
.47993 .4373 L
.48057 .4382 L
.48154 .43941 L
.48182 .4398 L
.48306 .44141 L
.48314 .44152 L
.48419 .44301 L
.48475 .44371 L
.48536 .44462 L
.48636 .4459 L
.48657 .44622 L
.48636 .44732 L
.48547 .44622 L
.48475 .44541 L
.48412 .44462 L
.48314 .44347 L
.48278 .44301 L
.48154 .44149 L
.48147 .44141 L
.48022 .4398 L
.47993 .43947 L
.47896 .4382 L
.47833 .43743 L
.47768 .43659 L
.47672 .43539 L
.47641 .43499 L
.47516 .43338 L
.47512 .43333 L
.47396 .43178 L
.47351 .43122 L
.47274 .43017 L
.47191 .42911 L
.4715 .42857 L
.4703 .427 L
.47028 .42696 L
.46914 .42536 L
.4687 .4248 L
.46797 .42375 L
.46709 .4226 L
.46678 .42215 L
F
0 .45 1 r
.46709 .51229 m
.46821 .51364 L
.4687 .51419 L
.46955 .51525 L
.4703 .51612 L
.47089 .51686 L
.47191 .51808 L
.47221 .51846 L
.47351 .52006 L
.47352 .52007 L
.47477 .52167 L
.47512 .52208 L
.47604 .52328 L
.47672 .52411 L
.47732 .52488 L
.47833 .52614 L
.47859 .52649 L
.47985 .52809 L
.47993 .5282 L
.48107 .5297 L
.48154 .53028 L
.48231 .5313 L
.48314 .53236 L
.48356 .53291 L
.48475 .53439 L
.4848 .53451 L
.48599 .53612 L
.48636 .53657 L
.4872 .53772 L
.48796 .5387 L
.48842 .53933 L
.48957 .54084 L
.48964 .54093 L
.49078 .54254 L
.49117 .54304 L
.49194 .54414 L
.49278 .54525 L
.49312 .54575 L
.49278 .54715 L
.49164 .54575 L
.49117 .54523 L
.49031 .54414 L
.48957 .54328 L
.48899 .54254 L
.48796 .54132 L
.48767 .54093 L
.48636 .53933 L
.48635 .53933 L
.48511 .53772 L
.48475 .53729 L
.48386 .53612 L
.48314 .53526 L
.48258 .53451 L
.48154 .53322 L
.48131 .53291 L
.48005 .5313 L
.47993 .53116 L
.47884 .5297 L
.47833 .52907 L
.47761 .52809 L
.47672 .52699 L
.47636 .52649 L
.47512 .52493 L
.4751 .52488 L
.47392 .52328 L
.47351 .52277 L
.47272 .52167 L
.47191 .52063 L
.4715 .52007 L
.4703 .51851 L
.47027 .51846 L
.46913 .51686 L
.4687 .5163 L
.46798 .51525 L
.46709 .51409 L
.4668 .51364 L
F
1 .17 0 r
.46709 .51905 m
.46781 .52007 L
.4687 .52115 L
.46906 .52167 L
.4703 .52325 L
.47032 .52328 L
.4703 .52442 L
.46946 .52328 L
.4687 .52244 L
.46814 .52167 L
.46709 .52044 L
.46682 .52007 L
F
.024 .88 1 r
.46709 .47156 m
.4687 .47168 L
.46908 .47191 L
.4703 .47279 L
.47101 .47351 L
.47191 .4747 L
.47269 .47512 L
.47351 .47649 L
.47385 .47672 L
.47512 .47833 L
.47512 .47833 L
.47639 .47993 L
.47672 .48027 L
.47803 .48154 L
.47833 .48237 L
.47899 .48314 L
.47993 .48449 L
.48011 .48475 L
.48135 .48636 L
.48154 .4866 L
.48256 .48796 L
.48314 .4884 L
.48398 .48957 L
.48475 .49078 L
.48499 .49117 L
.48612 .49278 L
.48636 .49311 L
.48722 .49438 L
.48796 .49555 L
.48845 .49599 L
.48858 .49759 L
.48796 .49787 L
.48711 .49759 L
.48636 .49739 L
.48486 .49599 L
.48475 .4959 L
.48329 .49438 L
.48314 .49422 L
.48189 .49278 L
.48154 .49233 L
.4804 .49117 L
.47993 .49033 L
.47929 .48957 L
.47833 .48828 L
.47813 .48796 L
.47672 .48636 L
.47672 .48636 L
.47524 .48475 L
.47512 .48433 L
.4742 .48314 L
.47351 .4822 L
.47311 .48154 L
.47191 .48006 L
.47191 .47993 L
.47061 .47833 L
.4703 .4779 L
.46928 .47672 L
.4687 .47564 L
.46833 .47512 L
.46734 .47351 L
.46709 .47295 L
.46683 .47191 L
F
.003 .81 1 r
.46709 .41452 m
.46817 .41572 L
.4687 .41626 L
.4696 .41733 L
.4703 .4181 L
.47099 .41894 L
.47191 .41998 L
.47236 .42054 L
.47351 .42175 L
.47371 .42215 L
.47502 .42375 L
.47512 .42386 L
.47631 .42536 L
.47672 .42585 L
.4776 .42696 L
.47833 .42784 L
.4789 .42857 L
.47993 .42972 L
.48049 .43017 L
.48147 .43178 L
.48154 .43186 L
.48272 .43338 L
.48314 .4339 L
.48398 .43499 L
.48475 .43559 L
.48525 .43659 L
.48636 .43793 L
.48663 .4382 L
.48776 .4398 L
.48796 .44005 L
.489 .44141 L
.48957 .44212 L
.49024 .44301 L
.49117 .444 L
.49184 .44462 L
.49275 .44622 L
.49278 .44625 L
.49396 .44783 L
.49438 .44835 L
.49519 .44943 L
.49599 .45003 L
.49643 .45104 L
.49759 .45248 L
.49774 .45265 L
.49889 .45425 L
.4992 .45464 L
.50009 .45586 L
.5008 .45676 L
.50132 .45746 L
.50241 .45875 L
.50272 .45907 L
.50376 .46067 L
.50401 .461 L
.50494 .46228 L
.50562 .46314 L
.50615 .46388 L
.50722 .46528 L
.50737 .46549 L
.50855 .46709 L
.50883 .46745 L
.5097 .4687 L
.51043 .46965 L
.51088 .4703 L
.51204 .47184 L
.51209 .47191 L
.51318 .47351 L
.51364 .47413 L
.51428 .47512 L
.51525 .47647 L
.51541 .47672 L
.51525 .47796 L
.51412 .47672 L
.51364 .47624 L
.51267 .47512 L
.51204 .47442 L
.51127 .47351 L
.51043 .47255 L
.5099 .47191 L
.50883 .4708 L
.50855 .4703 L
.50722 .4687 L
.50722 .4687 L
.50591 .46709 L
.50562 .46674 L
.5046 .46549 L
.50401 .46477 L
.5033 .46388 L
.50241 .46288 L
.50167 .46228 L
.5008 .46077 L
.50071 .46067 L
.49945 .45907 L
.4992 .45875 L
.49818 .45746 L
.49759 .457 L
.49691 .45586 L
.49599 .45474 L
.49552 .45425 L
.49439 .45265 L
.49438 .45264 L
.49314 .45104 L
.49278 .45058 L
.49189 .44943 L
.49117 .44867 L
.49029 .44783 L
.48957 .44647 L
.48937 .44622 L
.48816 .44462 L
.48796 .44436 L
.48693 .44301 L
.48636 .44261 L
.48569 .44141 L
.48475 .44025 L
.48435 .4398 L
.48324 .4382 L
.48314 .43808 L
.48203 .43659 L
.48154 .43596 L
.4808 .43499 L
.47993 .43401 L
.47934 .43338 L
.47838 .43178 L
.47833 .43172 L
.47719 .43017 L
.47672 .42956 L
.47599 .42857 L
.47512 .42774 L
.47479 .42696 L
.47361 .42536 L
.47351 .42523 L
.47246 .42375 L
.47191 .42302 L
.47129 .42215 L
.4703 .4208 L
.47012 .42054 L
.46901 .41894 L
.4687 .41851 L
.46793 .41733 L
.46709 .41614 L
.46683 .41572 L
F
0 .44 1 r
.46709 .51238 m
.46813 .51364 L
.4687 .51426 L
.46949 .51525 L
.4703 .51619 L
.47084 .51686 L
.47191 .51814 L
.47217 .51846 L
.47347 .52007 L
.47351 .52012 L
.47473 .52167 L
.47512 .52214 L
.476 .52328 L
.47672 .52416 L
.47728 .52488 L
.47833 .52619 L
.47856 .52649 L
.4798 .52809 L
.47993 .52825 L
.48103 .5297 L
.48154 .53033 L
.48227 .5313 L
.48314 .53241 L
.48352 .53291 L
.48475 .53448 L
.48476 .53451 L
.48595 .53612 L
.48636 .53663 L
.48715 .53772 L
.48796 .53876 L
.48837 .53933 L
.48957 .5409 L
.48959 .54093 L
.49073 .54254 L
.49117 .54311 L
.49188 .54414 L
.49278 .54533 L
.49306 .54575 L
.49278 .54706 L
.49171 .54575 L
.49117 .54516 L
.49037 .54414 L
.48957 .54322 L
.48904 .54254 L
.48796 .54126 L
.48771 .54093 L
.4864 .53933 L
.48636 .53927 L
.48516 .53772 L
.48475 .53724 L
.4839 .53612 L
.48314 .53521 L
.48262 .53451 L
.48154 .53317 L
.48134 .53291 L
.48009 .5313 L
.47993 .53111 L
.47888 .5297 L
.47833 .52902 L
.47764 .52809 L
.47672 .52694 L
.47639 .52649 L
.47514 .52488 L
.47512 .52486 L
.47396 .52328 L
.47351 .52271 L
.47276 .52167 L
.47191 .52058 L
.47154 .52007 L
.47031 .51846 L
.4703 .51845 L
.46919 .51686 L
.4687 .51623 L
.46804 .51525 L
.46709 .51401 L
.46685 .51364 L
F
1 .16 0 r
.46709 .51914 m
.46774 .52007 L
.4687 .52123 L
.469 .52167 L
.4687 .52235 L
.46821 .52167 L
.46709 .52037 L
.46688 .52007 L
F
1 .66 0 r
.46709 .47683 m
.4687 .4783 L
.46871 .47833 L
.47012 .47993 L
.4703 .48014 L
.47142 .48154 L
.47191 .48213 L
.47267 .48314 L
.47351 .48422 L
.47389 .48475 L
.47506 .48636 L
.47512 .48643 L
.47605 .48796 L
.47672 .48913 L
.47688 .48957 L
.47672 .4899 L
.4762 .48957 L
.47512 .48869 L
.47442 .48796 L
.47351 .48702 L
.47294 .48636 L
.47191 .48558 L
.47157 .48475 L
.4703 .48318 L
.47027 .48314 L
.46908 .48154 L
.4687 .48102 L
.46794 .47993 L
.46709 .47865 L
.46689 .47833 L
F
1 .76 .001 r
.46709 .50571 m
.46847 .50722 L
.4687 .50745 L
.4699 .50883 L
.4703 .50927 L
.4713 .51043 L
.47191 .51113 L
.47267 .51204 L
.47351 .51271 L
.47402 .51364 L
.47512 .51492 L
.47552 .51525 L
.47667 .51686 L
.47672 .51692 L
.47797 .51846 L
.47833 .51889 L
.47928 .52007 L
.47993 .52071 L
.48058 .52167 L
.48154 .52285 L
.48194 .52328 L
.48314 .52488 L
.48314 .52489 L
.48441 .52649 L
.48475 .52663 L
.48569 .52809 L
.48636 .52885 L
.4872 .5297 L
.48796 .53097 L
.48823 .5313 L
.48947 .53291 L
.48957 .53303 L
.49072 .53451 L
.49117 .53491 L
.49255 .53612 L
.49278 .53709 L
.49332 .53772 L
.49438 .53921 L
.49446 .53933 L
.49571 .54093 L
.49599 .54099 L
.49695 .54254 L
.49759 .54325 L
.49842 .54414 L
.4992 .54543 L
.49944 .54575 L
.50065 .54735 L
.5008 .54755 L
.50188 .54896 L
.50241 .5494 L
.50362 .55057 L
.50401 .55169 L
.50441 .55217 L
.50555 .55378 L
.50562 .55386 L
.50676 .55538 L
.50722 .55598 L
.50798 .55699 L
.50883 .55797 L
.50937 .55859 L
.5104 .5602 L
.51043 .56024 L
.51158 .5618 L
.51204 .5624 L
.51278 .56341 L
.51364 .5643 L
.51431 .56501 L
.51516 .56662 L
.51525 .56673 L
.51632 .56822 L
.51686 .56894 L
.51748 .56983 L
.51846 .57116 L
.51866 .57143 L
.51977 .57304 L
.52007 .57344 L
.52087 .57464 L
.52167 .57578 L
.52197 .57625 L
.52167 .57781 L
.52027 .57625 L
.52007 .57604 L
.51888 .57464 L
.51846 .57419 L
.5175 .57304 L
.51686 .5723 L
.51615 .57143 L
.51525 .57076 L
.5148 .56983 L
.51364 .56849 L
.51331 .56822 L
.51217 .56662 L
.51204 .56647 L
.51088 .56501 L
.51043 .56447 L
.50959 .56341 L
.50883 .56269 L
.5083 .5618 L
.50722 .5605 L
.50692 .5602 L
.50575 .55859 L
.50562 .55843 L
.50449 .55699 L
.50401 .5564 L
.50323 .55538 L
.50241 .55449 L
.50165 .55378 L
.5008 .55233 L
.50067 .55217 L
.49946 .55057 L
.4992 .55025 L
.49821 .54896 L
.49759 .54846 L
.49696 .54735 L
.49599 .54619 L
.49558 .54575 L
.49446 .54414 L
.49438 .54404 L
.49324 .54254 L
.49278 .54196 L
.492 .54093 L
.49117 .54004 L
.49047 .53933 L
.48957 .53781 L
.4895 .53772 L
.4883 .53612 L
.48796 .53569 L
.48708 .53451 L
.48636 .53392 L
.48585 .53291 L
.48475 .53154 L
.48454 .5313 L
.4834 .5297 L
.48314 .52937 L
.4822 .52809 L
.48154 .52725 L
.48098 .52649 L
.47993 .52525 L
.47959 .52488 L
.47854 .52328 L
.47833 .523 L
.47736 .52167 L
.47672 .52085 L
.47616 .52007 L
.47512 .5189 L
.47494 .51846 L
.47376 .51686 L
.47351 .51653 L
.47261 .51525 L
.47191 .51433 L
.47143 .51364 L
.4703 .51214 L
.47023 .51204 L
.46912 .51043 L
.4687 .50986 L
.46802 .50883 L
.46709 .50754 L
.4669 .50722 L
F
0 .43 1 r
.46709 .51249 m
.46805 .51364 L
.4687 .51435 L
.46943 .51525 L
.4703 .51625 L
.47078 .51686 L
.47191 .5182 L
.47212 .51846 L
.47341 .52007 L
.47351 .52018 L
.47468 .52167 L
.47512 .52219 L
.47596 .52328 L
.47672 .52421 L
.47724 .52488 L
.47833 .52624 L
.47852 .52649 L
.47976 .52809 L
.47993 .5283 L
.48099 .5297 L
.48154 .53038 L
.48223 .5313 L
.48314 .53246 L
.48348 .53291 L
.48472 .53451 L
.48475 .53455 L
.4859 .53612 L
.48636 .53669 L
.48711 .53772 L
.48796 .53882 L
.48833 .53933 L
.48955 .54093 L
.48957 .54096 L
.49067 .54254 L
.49117 .54319 L
.49183 .54414 L
.49278 .54542 L
.493 .54575 L
.49278 .54696 L
.49179 .54575 L
.49117 .54508 L
.49043 .54414 L
.48957 .54316 L
.48909 .54254 L
.48796 .5412 L
.48775 .54093 L
.48645 .53933 L
.48636 .53922 L
.4852 .53772 L
.48475 .53719 L
.48394 .53612 L
.48314 .53516 L
.48266 .53451 L
.48154 .53313 L
.48137 .53291 L
.48013 .5313 L
.47993 .53106 L
.47892 .5297 L
.47833 .52897 L
.47768 .52809 L
.47672 .52689 L
.47642 .52649 L
.47518 .52488 L
.47512 .52481 L
.47401 .52328 L
.47351 .52266 L
.47281 .52167 L
.47191 .52053 L
.47158 .52007 L
.47036 .51846 L
.4703 .51839 L
.46924 .51686 L
.4687 .51615 L
.4681 .51525 L
.46709 .51392 L
.46691 .51364 L
F
1 .15 0 r
.46709 .51923 m
.46765 .52007 L
.4687 .52133 L
.46893 .52167 L
.4687 .52225 L
.46829 .52167 L
.46709 .52028 L
.46694 .52007 L
F
1 .65 0 r
.46709 .47699 m
.46862 .47833 L
.4687 .4784 L
.47005 .47993 L
.4703 .48022 L
.47136 .48154 L
.47191 .4822 L
.47261 .48314 L
.47351 .48429 L
.47384 .48475 L
.47499 .48636 L
.47512 .48653 L
.47596 .48796 L
.47512 .48858 L
.47451 .48796 L
.47351 .48693 L
.47301 .48636 L
.47191 .48545 L
.47163 .48475 L
.47035 .48314 L
.4703 .48309 L
.46915 .48154 L
.4687 .48093 L
.46801 .47993 L
.46709 .47852 L
.46698 .47833 L
F
0 .42 1 r
.46709 .51261 m
.46795 .51364 L
.4687 .51443 L
.46936 .51525 L
.4703 .51633 L
.47073 .51686 L
.47191 .51826 L
.47207 .51846 L
.47336 .52007 L
.47351 .52024 L
.47463 .52167 L
.47512 .52225 L
.47591 .52328 L
.47672 .52427 L
.4772 .52488 L
.47833 .52629 L
.47848 .52649 L
.47972 .52809 L
.47993 .52836 L
.48094 .5297 L
.48154 .53043 L
.48219 .5313 L
.48314 .53251 L
.48344 .53291 L
.48468 .53451 L
.48475 .5346 L
.48586 .53612 L
.48636 .53674 L
.48707 .53772 L
.48796 .53888 L
.48829 .53933 L
.48949 .54093 L
.48957 .54103 L
.49061 .54254 L
.49117 .54327 L
.49176 .54414 L
.49278 .54551 L
.49293 .54575 L
.49278 .54685 L
.49188 .54575 L
.49117 .545 L
.4905 .54414 L
.48957 .54309 L
.48914 .54254 L
.48796 .54115 L
.4878 .54093 L
.4865 .53933 L
.48636 .53916 L
.48525 .53772 L
.48475 .53713 L
.48398 .53612 L
.48314 .53511 L
.4827 .53451 L
.48154 .53308 L
.48141 .53291 L
.48018 .5313 L
.47993 .53101 L
.47896 .5297 L
.47833 .52892 L
.47772 .52809 L
.47672 .52685 L
.47646 .52649 L
.47522 .52488 L
.47512 .52475 L
.47405 .52328 L
.47351 .5226 L
.47285 .52167 L
.47191 .52047 L
.47162 .52007 L
.47042 .51846 L
.4703 .51831 L
.46931 .51686 L
.4687 .51607 L
.46816 .51525 L
.46709 .51383 L
.46698 .51364 L
F
1 .14 0 r
.46709 .51935 m
.46755 .52007 L
.4687 .52144 L
.46885 .52167 L
.4687 .52212 L
.46839 .52167 L
.46709 .52019 L
.467 .52007 L
F
1 .75 0 r
.46709 .50594 m
.46831 .50722 L
.4687 .50761 L
.46978 .50883 L
.4703 .5094 L
.47119 .51043 L
.47191 .51124 L
.47258 .51204 L
.47351 .51283 L
.47395 .51364 L
.47512 .51502 L
.4754 .51525 L
.4766 .51686 L
.47672 .517 L
.47791 .51846 L
.47833 .51896 L
.47922 .52007 L
.47993 .52078 L
.48052 .52167 L
.48154 .52292 L
.48188 .52328 L
.48309 .52488 L
.48314 .52495 L
.48436 .52649 L
.48475 .52666 L
.48564 .52809 L
.48636 .52891 L
.48715 .5297 L
.48796 .53103 L
.48819 .5313 L
.48943 .53291 L
.48957 .53308 L
.49068 .53451 L
.49117 .53495 L
.49252 .53612 L
.49278 .53715 L
.49327 .53772 L
.49438 .53926 L
.49443 .53933 L
.49567 .54093 L
.49599 .541 L
.49691 .54254 L
.49759 .5433 L
.49838 .54414 L
.4992 .54548 L
.4994 .54575 L
.50061 .54735 L
.5008 .5476 L
.50184 .54896 L
.50241 .54945 L
.50358 .55057 L
.50401 .55174 L
.50437 .55217 L
.50551 .55378 L
.50562 .55391 L
.50672 .55538 L
.50722 .55604 L
.50793 .55699 L
.50883 .55804 L
.50931 .55859 L
.51035 .5602 L
.51043 .56031 L
.51153 .5618 L
.51204 .56247 L
.51273 .56341 L
.51364 .5644 L
.51422 .56501 L
.5151 .56662 L
.51525 .56681 L
.51625 .56822 L
.51686 .56903 L
.51742 .56983 L
.51846 .57126 L
.51858 .57143 L
.51968 .57304 L
.52007 .57357 L
.52076 .57464 L
.52167 .57596 L
.52185 .57625 L
.52167 .57759 L
.52043 .57625 L
.52007 .57589 L
.51899 .57464 L
.51846 .57407 L
.5176 .57304 L
.51686 .5722 L
.51622 .57143 L
.51525 .57064 L
.51487 .56983 L
.51364 .5684 L
.51343 .56822 L
.51223 .56662 L
.51204 .56639 L
.51094 .56501 L
.51043 .56441 L
.50965 .56341 L
.50883 .56263 L
.50835 .5618 L
.50722 .56044 L
.50698 .5602 L
.50579 .55859 L
.50562 .55838 L
.50454 .55699 L
.50401 .55634 L
.50327 .55538 L
.50241 .55444 L
.5017 .55378 L
.5008 .55227 L
.50071 .55217 L
.49949 .55057 L
.4992 .5502 L
.49825 .54896 L
.49759 .54842 L
.497 .54735 L
.49599 .54614 L
.49563 .54575 L
.4945 .54414 L
.49438 .544 L
.49327 .54254 L
.49278 .54191 L
.49204 .54093 L
.49117 .53999 L
.49052 .53933 L
.48957 .53776 L
.48954 .53772 L
.48834 .53612 L
.48796 .53565 L
.48711 .53451 L
.48636 .53387 L
.48588 .53291 L
.48475 .53149 L
.48458 .5313 L
.48344 .5297 L
.48314 .52933 L
.48223 .52809 L
.48154 .5272 L
.48101 .52649 L
.47993 .52519 L
.47966 .52488 L
.47859 .52328 L
.47833 .52295 L
.4774 .52167 L
.47672 .52079 L
.4762 .52007 L
.47512 .5188 L
.47498 .51846 L
.47382 .51686 L
.47351 .51646 L
.47266 .51525 L
.47191 .51425 L
.47149 .51364 L
.4703 .51205 L
.47029 .51204 L
.46921 .51043 L
.4687 .50973 L
.46812 .50883 L
.46709 .50737 L
.46701 .50722 L
F
.018 .87 1 r
.46709 .47179 m
.4687 .47179 L
.46891 .47191 L
.4703 .47287 L
.47095 .47351 L
.47191 .47474 L
.47264 .47512 L
.47351 .47652 L
.47382 .47672 L
.4751 .47833 L
.47512 .47834 L
.47636 .47993 L
.47672 .48029 L
.47801 .48154 L
.47833 .4824 L
.47896 .48314 L
.47993 .48452 L
.48009 .48475 L
.48133 .48636 L
.48154 .48663 L
.48253 .48796 L
.48314 .48844 L
.48395 .48957 L
.48475 .49083 L
.48496 .49117 L
.48608 .49278 L
.48636 .49317 L
.48717 .49438 L
.48796 .49566 L
.48832 .49599 L
.48827 .49759 L
.48796 .4977 L
.48746 .49759 L
.48636 .49733 L
.48496 .49599 L
.48475 .49582 L
.48336 .49438 L
.48314 .49415 L
.48194 .49278 L
.48154 .49227 L
.48043 .49117 L
.47993 .49028 L
.47932 .48957 L
.47833 .48825 L
.47815 .48796 L
.47675 .48636 L
.47672 .48633 L
.47525 .48475 L
.47512 .48429 L
.47422 .48314 L
.47351 .48216 L
.47313 .48154 L
.47191 .48003 L
.47191 .47993 L
.47065 .47833 L
.4703 .47785 L
.46931 .47672 L
.4687 .47558 L
.46838 .47512 L
.46742 .47351 L
.46709 .47268 L
.46701 .47191 L
F
1 .87 .018 r
.46709 .40816 m
.46831 .4093 L
.4687 .40965 L
.46986 .41091 L
.4703 .41136 L
.47131 .41251 L
.47191 .41316 L
.47272 .41412 L
.47351 .41468 L
.47411 .41572 L
.47512 .41684 L
.47577 .41733 L
.47672 .41883 L
.47683 .41894 L
.47812 .42054 L
.47833 .42079 L
.47942 .42215 L
.47993 .4226 L
.48073 .42375 L
.48154 .4247 L
.4822 .42536 L
.48314 .42675 L
.48332 .42696 L
.48459 .42857 L
.48475 .42862 L
.48586 .43017 L
.48636 .43069 L
.48752 .43178 L
.48796 .4328 L
.48848 .43338 L
.48957 .43486 L
.48966 .43499 L
.49092 .43659 L
.49117 .43678 L
.49218 .4382 L
.49278 .43889 L
.49362 .4398 L
.49438 .44101 L
.4947 .44141 L
.49594 .44301 L
.49599 .44307 L
.49718 .44462 L
.49759 .44503 L
.49878 .44622 L
.4992 .44717 L
.49975 .44783 L
.5008 .44928 L
.5009 .44943 L
.50215 .45104 L
.50241 .4512 L
.50339 .45265 L
.50401 .45335 L
.50481 .45425 L
.50562 .4555 L
.50589 .45586 L
.50711 .45746 L
.50722 .45761 L
.50833 .45907 L
.50883 .45953 L
.50992 .46067 L
.51043 .46173 L
.51088 .46228 L
.51204 .46387 L
.51205 .46388 L
.51326 .46549 L
.51364 .4657 L
.51449 .46709 L
.51525 .46795 L
.51589 .4687 L
.51686 .47015 L
.51697 .4703 L
.51817 .47191 L
.51846 .47227 L
.51939 .47351 L
.52007 .47416 L
.52094 .47512 L
.52167 .47643 L
.5219 .47672 L
.52307 .47833 L
.52328 .47859 L
.52427 .47993 L
.52488 .48032 L
.52549 .48154 L
.52649 .48273 L
.52683 .48314 L
.52793 .48475 L
.52809 .48495 L
.52912 .48636 L
.5297 .4871 L
.53033 .48796 L
.5313 .48906 L
.53174 .48957 L
.53275 .49117 L
.53291 .49137 L
.53392 .49278 L
.53451 .49354 L
.53511 .49438 L
.53612 .49571 L
.53632 .49599 L
.53749 .49759 L
.53772 .4979 L
.53862 .4992 L
.53933 .50014 L
.53978 .5008 L
.54093 .50238 L
.54095 .50241 L
.54201 .50401 L
.54254 .50476 L
.54305 .50562 L
.54254 .5068 L
.54141 .50562 L
.54093 .50513 L
.53992 .50401 L
.53933 .50337 L
.53848 .50241 L
.53772 .50184 L
.53708 .5008 L
.53612 .49972 L
.53543 .4992 L
.53451 .49777 L
.53435 .49759 L
.53302 .49599 L
.53291 .49585 L
.53169 .49438 L
.5313 .49399 L
.53037 .49278 L
.5297 .49194 L
.52897 .49117 L
.52809 .48992 L
.52782 .48957 L
.52649 .48796 L
.52649 .48796 L
.5252 .48636 L
.52488 .48599 L
.52369 .48475 L
.52328 .48392 L
.52266 .48314 L
.52167 .48186 L
.52149 .48154 L
.52011 .47993 L
.52007 .47989 L
.51884 .47833 L
.51846 .47785 L
.51752 .47672 L
.51686 .47576 L
.51641 .47512 L
.51525 .47369 L
.51521 .47351 L
.51382 .47191 L
.51364 .47171 L
.5124 .4703 L
.51204 .46962 L
.51134 .4687 L
.51043 .46751 L
.51021 .46709 L
.50883 .46549 L
.50883 .46548 L
.50727 .46388 L
.50722 .46344 L
.50628 .46228 L
.50562 .46132 L
.50519 .46067 L
.50401 .45922 L
.50398 .45907 L
.50263 .45746 L
.50241 .45722 L
.50122 .45586 L
.5008 .4551 L
.50017 .45425 L
.4992 .45297 L
.49903 .45265 L
.4977 .45104 L
.49759 .45096 L
.4961 .44943 L
.49599 .44886 L
.49516 .44783 L
.49438 .44671 L
.49407 .44622 L
.49279 .44462 L
.49278 .4446 L
.49157 .44301 L
.49117 .44262 L
.49014 .44141 L
.48957 .44043 L
.48911 .4398 L
.48796 .43827 L
.48792 .4382 L
.4867 .43659 L
.48636 .43638 L
.48504 .43499 L
.48475 .43412 L
.48417 .43338 L
.48314 .43191 L
.48306 .43178 L
.48186 .43017 L
.48154 .42975 L
.48066 .42857 L
.47993 .4278 L
.47925 .42696 L
.47833 .42547 L
.47825 .42536 L
.47708 .42375 L
.47672 .42327 L
.47591 .42215 L
.47512 .42143 L
.47438 .42054 L
.47355 .41894 L
.47351 .41889 L
.47242 .41733 L
.47191 .41663 L
.47128 .41572 L
.4703 .41436 L
.47014 .41412 L
.46907 .41251 L
.4687 .41198 L
.46804 .41091 L
.46709 .40945 L
.46701 .4093 L
F
.002 .8 1 r
.46709 .4149 m
.46789 .41572 L
.4687 .41648 L
.46943 .41733 L
.4703 .41826 L
.47086 .41894 L
.47191 .42012 L
.47225 .42054 L
.47351 .42194 L
.47361 .42215 L
.47493 .42375 L
.47512 .42397 L
.47622 .42536 L
.47672 .42594 L
.47752 .42696 L
.47833 .42793 L
.47883 .42857 L
.47993 .42983 L
.48036 .43017 L
.4814 .43178 L
.48154 .43194 L
.48265 .43338 L
.48314 .43398 L
.48392 .43499 L
.48475 .43568 L
.48519 .43659 L
.48636 .43801 L
.48654 .4382 L
.48771 .4398 L
.48796 .44012 L
.48894 .44141 L
.48957 .44218 L
.49019 .44301 L
.49117 .44409 L
.49175 .44462 L
.4927 .44622 L
.49278 .44632 L
.49391 .44783 L
.49438 .44842 L
.49514 .44943 L
.49599 .45012 L
.49639 .45104 L
.49759 .45257 L
.49766 .45265 L
.49883 .45425 L
.4992 .45471 L
.50004 .45586 L
.5008 .45683 L
.50127 .45746 L
.50241 .45885 L
.50262 .45907 L
.50369 .46067 L
.50401 .46108 L
.50488 .46228 L
.50562 .46323 L
.50609 .46388 L
.50722 .46537 L
.50731 .46549 L
.50847 .46709 L
.50883 .46756 L
.50962 .4687 L
.51043 .46977 L
.5108 .4703 L
.51199 .47191 L
.51204 .47198 L
.51305 .47351 L
.51364 .47432 L
.51413 .47512 L
.51364 .47601 L
.51285 .47512 L
.51204 .47424 L
.51141 .47351 L
.51043 .4724 L
.51002 .47191 L
.50883 .47061 L
.50866 .4703 L
.50733 .4687 L
.50722 .46858 L
.50601 .46709 L
.50562 .46663 L
.50469 .46549 L
.50401 .46466 L
.50338 .46388 L
.50241 .46277 L
.50179 .46228 L
.5008 .46067 L
.5008 .46067 L
.49953 .45907 L
.4992 .45866 L
.49825 .45746 L
.49759 .45692 L
.49697 .45586 L
.49599 .45465 L
.4956 .45425 L
.49445 .45265 L
.49438 .45255 L
.4932 .45104 L
.49278 .4505 L
.49195 .44943 L
.49117 .44859 L
.49037 .44783 L
.48957 .44638 L
.48943 .44622 L
.48822 .44462 L
.48796 .44428 L
.48699 .44301 L
.48636 .44254 L
.48575 .44141 L
.48475 .44016 L
.48443 .4398 L
.4833 .4382 L
.48314 .438 L
.48209 .43659 L
.48154 .43588 L
.48087 .43499 L
.47993 .4339 L
.47944 .43338 L
.47845 .43178 L
.47833 .43162 L
.47727 .43017 L
.47672 .42946 L
.47607 .42857 L
.47512 .42758 L
.47487 .42696 L
.4737 .42536 L
.47351 .42511 L
.47255 .42375 L
.47191 .42288 L
.47139 .42215 L
.4703 .42065 L
.47023 .42054 L
.46916 .41894 L
.4687 .41829 L
.4681 .41733 L
.46709 .41583 L
.46703 .41572 L
F
0 .41 1 r
.46709 .51276 m
.46784 .51364 L
.4687 .51453 L
.46928 .51525 L
.4703 .5164 L
.47067 .51686 L
.47191 .51833 L
.47201 .51846 L
.4733 .52007 L
.47351 .52031 L
.47458 .52167 L
.47512 .52231 L
.47586 .52328 L
.47672 .52432 L
.47715 .52488 L
.47833 .52635 L
.47844 .52649 L
.47967 .52809 L
.47993 .52841 L
.4809 .5297 L
.48154 .53049 L
.48215 .5313 L
.48314 .53256 L
.4834 .53291 L
.48463 .53451 L
.48475 .53466 L
.48581 .53612 L
.48636 .53681 L
.48702 .53772 L
.48796 .53894 L
.48824 .53933 L
.48943 .54093 L
.48957 .54111 L
.49054 .54254 L
.49117 .54336 L
.49169 .54414 L
.49278 .54562 L
.49286 .54575 L
.49278 .54672 L
.49199 .54575 L
.49117 .54491 L
.49057 .54414 L
.48957 .54302 L
.48919 .54254 L
.48796 .54109 L
.48784 .54093 L
.48656 .53933 L
.48636 .5391 L
.4853 .53772 L
.48475 .53708 L
.48402 .53612 L
.48314 .53506 L
.48274 .53451 L
.48154 .53303 L
.48145 .53291 L
.48022 .5313 L
.47993 .53096 L
.479 .5297 L
.47833 .52887 L
.47776 .52809 L
.47672 .5268 L
.4765 .52649 L
.47527 .52488 L
.47512 .52469 L
.4741 .52328 L
.47351 .52255 L
.47289 .52167 L
.47191 .52041 L
.47167 .52007 L
.47048 .51846 L
.4703 .51824 L
.46937 .51686 L
.4687 .51598 L
.46823 .51525 L
.46709 .51372 L
.46705 .51364 L
F
1 .79 .001 r
.46709 .42159 m
.46751 .42215 L
.4687 .42335 L
.469 .42375 L
.4703 .42523 L
.47039 .42536 L
.4703 .42672 L
.46938 .42536 L
.4687 .42448 L
.46822 .42375 L
.46709 .42222 L
.46705 .42215 L
F
.024 .88 1 r
.46709 .42828 m
.46719 .42857 L
.46709 .42861 L
.46706 .42857 L
F
1 .64 0 r
.46709 .47718 m
.46852 .47833 L
.4687 .4785 L
.46998 .47993 L
.4703 .48029 L
.4713 .48154 L
.47191 .48227 L
.47256 .48314 L
.47351 .48436 L
.47379 .48475 L
.47492 .48636 L
.47512 .48664 L
.47585 .48796 L
.47512 .48846 L
.47462 .48796 L
.47351 .48684 L
.47308 .48636 L
.47191 .48529 L
.4717 .48475 L
.47042 .48314 L
.4703 .48301 L
.46922 .48154 L
.4687 .48084 L
.46808 .47993 L
.46709 .47837 L
.46707 .47833 L
F
.156 .94 1 r
.46709 .49928 m
.46862 .5008 L
.4687 .50088 L
.4701 .50241 L
.4703 .50261 L
.47155 .50401 L
.47191 .50441 L
.47297 .50562 L
.47351 .50584 L
.47437 .50722 L
.47512 .50806 L
.47624 .50883 L
.47672 .51003 L
.4771 .51043 L
.47833 .51195 L
.47838 .51204 L
.47976 .51364 L
.47993 .5138 L
.48109 .51525 L
.48154 .5158 L
.48253 .51686 L
.48314 .51783 L
.48363 .51846 L
.48475 .51985 L
.48484 .52007 L
.48629 .52167 L
.48636 .52175 L
.48783 .52328 L
.48796 .52378 L
.48885 .52488 L
.48957 .52586 L
.48997 .52649 L
.49117 .52791 L
.4914 .52809 L
.49266 .5297 L
.49278 .52985 L
.494 .5313 L
.49438 .53193 L
.4951 .53291 L
.49599 .53404 L
.4962 .53451 L
.49759 .53606 L
.49769 .53612 L
.49908 .53772 L
.4992 .53806 L
.50018 .53933 L
.5008 .54018 L
.50128 .54093 L
.50241 .54228 L
.50269 .54254 L
.50392 .54414 L
.50401 .54425 L
.50524 .54575 L
.50562 .54636 L
.50633 .54735 L
.50722 .54848 L
.50742 .54896 L
.50883 .55053 L
.50889 .55057 L
.51028 .55217 L
.51043 .55257 L
.51136 .55378 L
.51204 .55469 L
.51245 .55538 L
.51364 .5568 L
.51383 .55699 L
.51506 .55859 L
.51525 .55881 L
.51639 .5602 L
.51686 .56093 L
.51746 .5618 L
.51846 .56306 L
.51859 .56341 L
.51998 .56501 L
.52007 .56509 L
.52142 .56662 L
.52167 .56718 L
.52246 .56822 L
.52328 .56933 L
.52356 .56983 L
.52488 .57143 L
.52488 .57143 L
.5261 .57304 L
.52649 .57345 L
.52745 .57464 L
.52809 .57562 L
.52852 .57625 L
.5297 .57777 L
.52973 .57785 L
.53097 .57946 L
.5313 .57971 L
.53248 .58106 L
.53291 .58194 L
.53345 .58267 L
.53451 .58413 L
.53459 .58428 L
.53581 .58588 L
.53612 .58629 L
.53701 .58749 L
.53772 .58828 L
.53835 .58909 L
.53933 .59056 L
.53942 .5907 L
.54059 .5923 L
.54093 .59276 L
.54177 .59391 L
.54254 .59467 L
.5432 .59551 L
.54413 .59712 L
.54414 .59714 L
.54526 .59872 L
.54575 .59939 L
.5464 .60033 L
.54735 .60165 L
.5478 .60193 L
.54863 .60354 L
.54896 .60401 L
.54968 .60514 L
.55057 .60649 L
.55072 .60675 L
.55057 .60826 L
.54903 .60675 L
.54896 .60668 L
.54754 .60514 L
.54735 .60495 L
.54612 .60354 L
.54575 .60314 L
.54472 .60193 L
.54414 .60172 L
.54335 .60033 L
.54254 .59949 L
.542 .59872 L
.54093 .59746 L
.54057 .59712 L
.53934 .59551 L
.53933 .5955 L
.53805 .59391 L
.53772 .59367 L
.53675 .5923 L
.53612 .59159 L
.53517 .5907 L
.53451 .58953 L
.53413 .58909 L
.53291 .58751 L
.53289 .58749 L
.53162 .58588 L
.5313 .58557 L
.52982 .58428 L
.5297 .58348 L
.52896 .58267 L
.52809 .5814 L
.52784 .58106 L
.52657 .57946 L
.52649 .57941 L
.52532 .57785 L
.52488 .57737 L
.5238 .57625 L
.52328 .57526 L
.52277 .57464 L
.52167 .57317 L
.52159 .57304 L
.52032 .57143 L
.52007 .57121 L
.5186 .56983 L
.51846 .5691 L
.5177 .56822 L
.51686 .56697 L
.51659 .56662 L
.51534 .56501 L
.51525 .56498 L
.51411 .56341 L
.51364 .56291 L
.51261 .5618 L
.51204 .56077 L
.51158 .5602 L
.51043 .55865 L
.5104 .55859 L
.50916 .55699 L
.50883 .55672 L
.50745 .55538 L
.50722 .55456 L
.50656 .55378 L
.50562 .55241 L
.50545 .55217 L
.50422 .55057 L
.50401 .55052 L
.503 .54896 L
.50241 .54835 L
.5015 .54735 L
.5008 .54616 L
.50048 .54575 L
.49929 .54414 L
.4992 .54402 L
.49808 .54254 L
.49759 .54217 L
.49638 .54093 L
.49599 .53992 L
.4955 .53933 L
.49438 .53773 L
.49437 .53772 L
.49317 .53612 L
.49278 .53562 L
.49195 .53451 L
.49117 .53369 L
.49049 .53291 L
.48957 .53144 L
.48946 .5313 L
.48828 .5297 L
.48796 .52929 L
.48707 .52809 L
.48636 .52749 L
.48544 .52649 L
.48475 .52513 L
.48455 .52488 L
.48341 .52328 L
.48314 .52294 L
.48221 .52167 L
.48154 .5208 L
.481 .52007 L
.47993 .51878 L
.47967 .51846 L
.47858 .51686 L
.47833 .51654 L
.4774 .51525 L
.47672 .51437 L
.47621 .51364 L
.47512 .51235 L
.47486 .51204 L
.47383 .51043 L
.47351 .51002 L
.47268 .50883 L
.47191 .5078 L
.47151 .50722 L
.47033 .50562 L
.4703 .50558 L
.46926 .50401 L
.4687 .50324 L
.46818 .50241 L
.46709 .50082 L
.46708 .5008 L
F
1 .13 0 r
.46709 .51951 m
.4674 .52007 L
.4687 .52159 L
.46875 .52167 L
.4687 .52193 L
.46854 .52167 L
.46709 .52008 L
.46708 .52007 L
F
1 .98 .538 r
.4687 .39616 m
.4689 .39646 L
.4703 .39782 L
.47053 .39807 L
.47191 .39954 L
.47208 .39967 L
.47351 .40128 L
.47351 .40128 L
.47494 .40288 L
.47512 .40307 L
.47633 .40449 L
.47672 .40498 L
.47786 .40609 L
.47833 .40694 L
.47899 .4077 L
.47993 .40894 L
.48017 .4093 L
.48154 .41072 L
.4817 .41091 L
.48311 .41251 L
.48314 .41272 L
.48429 .41412 L
.48475 .4148 L
.48542 .41572 L
.48636 .41695 L
.48644 .41733 L
.48796 .41872 L
.48814 .41894 L
.48943 .42054 L
.48957 .42079 L
.49058 .42215 L
.49117 .42296 L
.49163 .42375 L
.49278 .42484 L
.49319 .42536 L
.49438 .42691 L
.49442 .42696 L
.49566 .42857 L
.49599 .42905 L
.49676 .43017 L
.49759 .43127 L
.49819 .43178 L
.4992 .4331 L
.49942 .43338 L
.50067 .43499 L
.5008 .43521 L
.50182 .43659 L
.50241 .4374 L
.50284 .4382 L
.50401 .43962 L
.50438 .4398 L
.50561 .44141 L
.50562 .44143 L
.50684 .44301 L
.50722 .44358 L
.50792 .44462 L
.50883 .44578 L
.50933 .44622 L
.51043 .44767 L
.51056 .44783 L
.51183 .44943 L
.51204 .44979 L
.51296 .45104 L
.51364 .45196 L
.51398 .45265 L
.51525 .45411 L
.5155 .45425 L
.51679 .45586 L
.51686 .45603 L
.51797 .45746 L
.51846 .45817 L
.51904 .45907 L
.52007 .46033 L
.52044 .46067 L
.52166 .46228 L
.52167 .46229 L
.52297 .46388 L
.52328 .4644 L
.52407 .46549 L
.52488 .46655 L
.52512 .46709 L
.52649 .46863 L
.52659 .4687 L
.52796 .4703 L
.52809 .47064 L
.52908 .47191 L
.5297 .47278 L
.53016 .47351 L
.5313 .4749 L
.53153 .47512 L
.53275 .47672 L
.53291 .4769 L
.53409 .47833 L
.53451 .47902 L
.53518 .47993 L
.53612 .48115 L
.53628 .48154 L
.53768 .48314 L
.53772 .48318 L
.53912 .48475 L
.53933 .48526 L
.54019 .48636 L
.54093 .48739 L
.54128 .48796 L
.54254 .48949 L
.54261 .48957 L
.54383 .49117 L
.54414 .4915 L
.54521 .49278 L
.54575 .49363 L
.54629 .49438 L
.54735 .49576 L
.54744 .49599 L
.54876 .49759 L
.54896 .49775 L
.55026 .4992 L
.55057 .49987 L
.55129 .5008 L
.55217 .50202 L
.55241 .50241 L
.55369 .50401 L
.55378 .50403 L
.55491 .50562 L
.55538 .50609 L
.55631 .50722 L
.55699 .50826 L
.55738 .50883 L
.55859 .5104 L
.5586 .51043 L
.55983 .51204 L
.5602 .5123 L
.56137 .51364 L
.5618 .5145 L
.56237 .51525 L
.56341 .51667 L
.56352 .51686 L
.56476 .51846 L
.56501 .51879 L
.56598 .52007 L
.56662 .52071 L
.56739 .52167 L
.56822 .52293 L
.56847 .52328 L
.56968 .52488 L
.56983 .52507 L
.57089 .52649 L
.57143 .52688 L
.57244 .52809 L
.57304 .52917 L
.57343 .5297 L
.5746 .5313 L
.57464 .53136 L
.5758 .53291 L
.57625 .53348 L
.57756 .53451 L
.57785 .53539 L
.57841 .53612 L
.57946 .53765 L
.57951 .53772 L
.5807 .53933 L
.58106 .53979 L
.58191 .54093 L
.58267 .54159 L
.58341 .54254 L
.58428 .54395 L
.58441 .54414 L
.58558 .54575 L
.58588 .54613 L
.58678 .54735 L
.58749 .54826 L
.58842 .54896 L
.58909 .55029 L
.58929 .55057 L
.59042 .55217 L
.5907 .55252 L
.5916 .55378 L
.5923 .55468 L
.5928 .55538 L
.59391 .55673 L
.59409 .55699 L
.59518 .55859 L
.59551 .55903 L
.59632 .5602 L
.59712 .56127 L
.59748 .5618 L
.59863 .56341 L
.59872 .56353 L
.59965 .56501 L
.60033 .56604 L
.60061 .56662 L
.60033 .56734 L
.59938 .56662 L
.59872 .5661 L
.59751 .56501 L
.59712 .56466 L
.59582 .56341 L
.59551 .5631 L
.59423 .5618 L
.59391 .56147 L
.59272 .5602 L
.5923 .55968 L
.59113 .55859 L
.5907 .55781 L
.58991 .55699 L
.58909 .55589 L
.58862 .55538 L
.58749 .55396 L
.58732 .55378 L
.58588 .55217 L
.58588 .55213 L
.5846 .55057 L
.58428 .55009 L
.58341 .54896 L
.58267 .54798 L
.58228 .54735 L
.58106 .54588 L
.58077 .54575 L
.57952 .54414 L
.57946 .54405 L
.57833 .54254 L
.57785 .54189 L
.57728 .54093 L
.57625 .53966 L
.57573 .53933 L
.57464 .53791 L
.57449 .53772 L
.57328 .53612 L
.57304 .53578 L
.5722 .53451 L
.57143 .53353 L
.57073 .53291 L
.56983 .53172 L
.56949 .5313 L
.56827 .5297 L
.56822 .52962 L
.56713 .52809 L
.56662 .52742 L
.56617 .52649 L
.56501 .5255 L
.56452 .52488 L
.56341 .52341 L
.5633 .52328 L
.5621 .52167 L
.5618 .52126 L
.56105 .52007 L
.5602 .519 L
.55956 .51846 L
.55859 .51717 L
.55834 .51686 L
.55712 .51525 L
.55699 .51505 L
.556 .51364 L
.55538 .51285 L
.55504 .51204 L
.55378 .51061 L
.55339 .51043 L
.55218 .50883 L
.55217 .50881 L
.55098 .50722 L
.55057 .50666 L
.54994 .50562 L
.54896 .50445 L
.54846 .50401 L
.54735 .50256 L
.54724 .50241 L
.54599 .5008 L
.54575 .50043 L
.54489 .4992 L
.54414 .49826 L
.54392 .49759 L
.54254 .49611 L
.5423 .49599 L
.54103 .49438 L
.54093 .49419 L
.53988 .49278 L
.53933 .49204 L
.53883 .49117 L
.53772 .48989 L
.53737 .48957 L
.53612 .48796 L
.53612 .48792 L
.53488 .48636 L
.53451 .48581 L
.53379 .48475 L
.53291 .48366 L
.53278 .48314 L
.5313 .48159 L
.53122 .48154 L
.52989 .47993 L
.5297 .47956 L
.52878 .47833 L
.52809 .47743 L
.52771 .47672 L
.52649 .47531 L
.52628 .47512 L
.52492 .47351 L
.52488 .47331 L
.52377 .47191 L
.52328 .47119 L
.52268 .4703 L
.52167 .46906 L
.52161 .4687 L
.52013 .46709 L
.52007 .46703 L
.51876 .46549 L
.51846 .46495 L
.51767 .46388 L
.51686 .46281 L
.51658 .46228 L
.51525 .46072 L
.51521 .46067 L
.51373 .45907 L
.51364 .4587 L
.51266 .45746 L
.51204 .45656 L
.51158 .45586 L
.51043 .45444 L
.51041 .45425 L
.50906 .45265 L
.50883 .45246 L
.50764 .45104 L
.50722 .45032 L
.50658 .44943 L
.50562 .44817 L
.50545 .44783 L
.50414 .44622 L
.50401 .44619 L
.50257 .44462 L
.50241 .44409 L
.50157 .44301 L
.5008 .44192 L
.50048 .44141 L
.49921 .4398 L
.4992 .43978 L
.498 .4382 L
.49759 .43788 L
.49655 .43659 L
.49599 .43567 L
.4955 .43499 L
.49438 .43349 L
.49433 .43338 L
.49309 .43178 L
.49278 .43137 L
.49147 .43017 L
.49117 .42944 L
.49052 .42857 L
.48957 .42721 L
.48941 .42696 L
.48819 .42536 L
.48796 .42506 L
.48698 .42375 L
.48636 .42323 L
.48553 .42215 L
.48475 .42091 L
.48449 .42054 L
.48331 .41894 L
.48314 .41872 L
.48212 .41733 L
.48154 .41658 L
.4805 .41572 L
.47993 .41459 L
.4796 .41412 L
.47848 .41251 L
.47833 .41232 L
.4773 .41091 L
.47672 .41016 L
.47611 .4093 L
.47512 .40818 L
.47478 .4077 L
.47373 .40609 L
.47351 .40581 L
.47259 .40449 L
.47191 .40356 L
.47144 .40288 L
.4703 .40131 L
.47026 .40128 L
.46923 .39967 L
.4687 .39891 L
.46819 .39807 L
.4672 .39646 L
F
.013 .86 1 r
.4687 .4719 m
.46872 .47191 L
.4703 .47294 L
.47088 .47351 L
.47191 .47479 L
.47259 .47512 L
.47351 .47655 L
.47378 .47672 L
.47507 .47833 L
.47512 .47835 L
.47633 .47993 L
.47672 .48032 L
.478 .48154 L
.47833 .48243 L
.47894 .48314 L
.47993 .48455 L
.48007 .48475 L
.4813 .48636 L
.48154 .48666 L
.48251 .48796 L
.48314 .48847 L
.48393 .48957 L
.48475 .49088 L
.48493 .49117 L
.48604 .49278 L
.48636 .49323 L
.48712 .49438 L
.48796 .49579 L
.48818 .49599 L
.48796 .4975 L
.48636 .49728 L
.48506 .49599 L
.48475 .49575 L
.48342 .49438 L
.48314 .49408 L
.48199 .49278 L
.48154 .49222 L
.48047 .49117 L
.47993 .49023 L
.47935 .48957 L
.47833 .48822 L
.47817 .48796 L
.47678 .48636 L
.47672 .48631 L
.47526 .48475 L
.47512 .48426 L
.47425 .48314 L
.47351 .48212 L
.47316 .48154 L
.47191 .47999 L
.47191 .47993 L
.47068 .47833 L
.4703 .4778 L
.46935 .47672 L
.4687 .47551 L
.46843 .47512 L
.4675 .47351 L
.46725 .47191 L
F
.01 .85 1 r
.4687 .47201 m
.4703 .47302 L
.47081 .47351 L
.47191 .47483 L
.47253 .47512 L
.47351 .47658 L
.47374 .47672 L
.47504 .47833 L
.47512 .47837 L
.47631 .47993 L
.47672 .48035 L
.47798 .48154 L
.47833 .48245 L
.47892 .48314 L
.47993 .48458 L
.48005 .48475 L
.48128 .48636 L
.48154 .4867 L
.48248 .48796 L
.48314 .48851 L
.4839 .48957 L
.48475 .49093 L
.48489 .49117 L
.486 .49278 L
.48636 .49329 L
.48707 .49438 L
.48796 .49593 L
.48802 .49599 L
.48796 .49728 L
.48636 .49722 L
.48516 .49599 L
.48475 .49568 L
.48349 .49438 L
.48314 .49402 L
.48204 .49278 L
.48154 .49216 L
.4805 .49117 L
.47993 .49019 L
.47938 .48957 L
.47833 .48819 L
.47819 .48796 L
.47681 .48636 L
.47672 .48628 L
.47528 .48475 L
.47512 .48422 L
.47427 .48314 L
.47351 .48209 L
.47318 .48154 L
.47191 .47995 L
.47191 .47993 L
.47072 .47833 L
.4703 .47775 L
.46938 .47672 L
.4687 .47544 L
.46848 .47512 L
.46758 .47351 L
F
.007 .84 1 r
.4687 .47211 m
.4703 .4731 L
.47074 .47351 L
.47191 .47486 L
.47248 .47512 L
.47351 .4766 L
.47371 .47672 L
.47501 .47833 L
.47512 .47838 L
.47628 .47993 L
.47672 .48037 L
.47796 .48154 L
.47833 .48248 L
.47889 .48314 L
.47993 .48461 L
.48003 .48475 L
.48125 .48636 L
.48154 .48673 L
.48246 .48796 L
.48314 .48854 L
.48387 .48957 L
.48475 .49099 L
.48486 .49117 L
.48596 .49278 L
.48636 .49336 L
.48702 .49438 L
.4879 .49599 L
.48636 .49714 L
.48527 .49599 L
.48475 .49562 L
.48356 .49438 L
.48314 .49395 L
.48209 .49278 L
.48154 .49211 L
.48053 .49117 L
.47993 .49015 L
.47941 .48957 L
.47833 .48816 L
.47821 .48796 L
.47684 .48636 L
.47672 .48625 L
.47529 .48475 L
.47512 .48419 L
.4743 .48314 L
.47351 .48205 L
.4732 .48154 L
.47193 .47993 L
.47191 .47991 L
.47075 .47833 L
.4703 .4777 L
.46942 .47672 L
.4687 .47536 L
.46853 .47512 L
.46766 .47351 L
F
.005 .83 1 r
.4687 .47222 m
.4703 .47318 L
.47066 .47351 L
.47191 .4749 L
.47242 .47512 L
.47351 .47663 L
.47367 .47672 L
.47497 .47833 L
.47512 .47839 L
.47625 .47993 L
.47672 .4804 L
.47794 .48154 L
.47833 .48251 L
.47887 .48314 L
.47993 .48464 L
.48001 .48475 L
.48123 .48636 L
.48154 .48676 L
.48243 .48796 L
.48314 .48858 L
.48383 .48957 L
.48475 .49104 L
.48483 .49117 L
.48592 .49278 L
.48636 .49342 L
.48696 .49438 L
.48779 .49599 L
.48636 .49705 L
.48539 .49599 L
.48475 .49555 L
.48363 .49438 L
.48314 .49389 L
.48214 .49278 L
.48154 .49206 L
.48057 .49117 L
.47993 .49011 L
.47945 .48957 L
.47833 .48813 L
.47822 .48796 L
.47687 .48636 L
.47672 .48623 L
.4753 .48475 L
.47512 .48416 L
.47432 .48314 L
.47351 .48201 L
.47323 .48154 L
.47196 .47993 L
.47191 .47986 L
.47079 .47833 L
.4703 .47764 L
.46946 .47672 L
.4687 .47529 L
.46858 .47512 L
.46774 .47351 L
F
.061 .91 1 r
.4687 .45217 m
.46922 .45265 L
.4703 .45368 L
.47084 .45425 L
.47191 .45527 L
.4723 .45586 L
.47351 .45727 L
.47372 .45746 L
.47496 .45907 L
.47512 .45927 L
.4762 .46067 L
.47672 .46138 L
.47738 .46228 L
.47833 .46374 L
.47851 .46388 L
.47912 .46549 L
.47833 .4659 L
.47775 .46549 L
.47672 .4646 L
.47607 .46388 L
.47512 .46284 L
.47466 .46228 L
.47351 .46107 L
.47334 .46067 L
.47211 .45907 L
.47191 .45881 L
.47094 .45746 L
.4703 .45661 L
.46979 .45586 L
.4687 .45431 L
.46866 .45425 L
.46779 .45265 L
F
.004 .82 1 r
.4687 .47233 m
.4703 .47325 L
.47059 .47351 L
.47191 .47493 L
.47235 .47512 L
.47351 .47665 L
.47363 .47672 L
.47494 .47833 L
.47512 .47841 L
.47623 .47993 L
.47672 .48043 L
.47791 .48154 L
.47833 .48254 L
.47885 .48314 L
.47993 .48467 L
.47999 .48475 L
.4812 .48636 L
.48154 .48679 L
.48241 .48796 L
.48314 .48862 L
.4838 .48957 L
.48475 .4911 L
.48479 .49117 L
.48588 .49278 L
.48636 .49349 L
.48691 .49438 L
.48768 .49599 L
.48636 .49694 L
.48551 .49599 L
.48475 .49548 L
.48369 .49438 L
.48314 .49383 L
.48219 .49278 L
.48154 .492 L
.48061 .49117 L
.47993 .49006 L
.47948 .48957 L
.47833 .4881 L
.47824 .48796 L
.4769 .48636 L
.47672 .4862 L
.47531 .48475 L
.47512 .48412 L
.47435 .48314 L
.47351 .48198 L
.47325 .48154 L
.47199 .47993 L
.47191 .47982 L
.47082 .47833 L
.4703 .47759 L
.4695 .47672 L
.4687 .47521 L
.46863 .47512 L
.46783 .47351 L
F
.003 .81 1 r
.4687 .47245 m
.4703 .47333 L
.47051 .47351 L
.47191 .47497 L
.47229 .47512 L
.47351 .47668 L
.47359 .47672 L
.47491 .47833 L
.47512 .47842 L
.4762 .47993 L
.47672 .48046 L
.47789 .48154 L
.47833 .48257 L
.47882 .48314 L
.47993 .4847 L
.47997 .48475 L
.48118 .48636 L
.48154 .48682 L
.48238 .48796 L
.48314 .48867 L
.48377 .48957 L
.48475 .49116 L
.48475 .49117 L
.48584 .49278 L
.48636 .49357 L
.48685 .49438 L
.48755 .49599 L
.48636 .4968 L
.48564 .49599 L
.48475 .49542 L
.48376 .49438 L
.48314 .49377 L
.48224 .49278 L
.48154 .49195 L
.48064 .49117 L
.47993 .49002 L
.47951 .48957 L
.47833 .48807 L
.47826 .48796 L
.47693 .48636 L
.47672 .48617 L
.47533 .48475 L
.47512 .48409 L
.47438 .48314 L
.47351 .48194 L
.47327 .48154 L
.47202 .47993 L
.47191 .47978 L
.47086 .47833 L
.4703 .47754 L
.46954 .47672 L
.4687 .47513 L
.46869 .47512 L
.46791 .47351 L
F
.002 .8 1 r
.4687 .47257 m
.4703 .47341 L
.47042 .47351 L
.47191 .475 L
.47222 .47512 L
.47351 .4767 L
.47355 .47672 L
.47488 .47833 L
.47512 .47844 L
.47617 .47993 L
.47672 .48049 L
.47787 .48154 L
.47833 .48261 L
.47879 .48314 L
.47993 .48473 L
.47995 .48475 L
.48116 .48636 L
.48154 .48686 L
.48236 .48796 L
.48314 .48871 L
.48374 .48957 L
.48472 .49117 L
.48475 .49121 L
.4858 .49278 L
.48636 .49364 L
.4868 .49438 L
.48741 .49599 L
.48636 .49664 L
.48578 .49599 L
.48475 .49535 L
.48383 .49438 L
.48314 .49371 L
.48229 .49278 L
.48154 .4919 L
.48068 .49117 L
.47993 .48998 L
.47954 .48957 L
.47833 .48804 L
.47828 .48796 L
.47696 .48636 L
.47672 .48615 L
.47534 .48475 L
.47512 .48405 L
.4744 .48314 L
.47351 .4819 L
.4733 .48154 L
.47206 .47993 L
.47191 .47973 L
.47089 .47833 L
.4703 .47748 L
.46959 .47672 L
.46875 .47512 L
.4687 .47503 L
.46801 .47351 L
F
.001 .79 1 r
.4687 .47269 m
.4703 .47348 L
.47034 .47351 L
.47191 .47503 L
.47215 .47512 L
.47351 .47672 L
.47351 .47673 L
.47485 .47833 L
.47512 .47846 L
.47614 .47993 L
.47672 .48052 L
.47784 .48154 L
.47833 .48264 L
.47877 .48314 L
.47993 .48475 L
.47993 .48476 L
.48113 .48636 L
.48154 .48689 L
.48233 .48796 L
.48314 .48876 L
.4837 .48957 L
.48468 .49117 L
.48475 .49126 L
.48575 .49278 L
.48636 .49372 L
.48674 .49438 L
.48724 .49599 L
.48636 .49644 L
.48595 .49599 L
.48475 .49528 L
.48391 .49438 L
.48314 .49365 L
.48234 .49278 L
.48154 .49185 L
.48073 .49117 L
.47993 .48994 L
.47958 .48957 L
.47833 .48801 L
.47829 .48796 L
.47699 .48636 L
.47672 .48612 L
.47536 .48475 L
.47512 .48402 L
.47443 .48314 L
.47351 .48186 L
.47332 .48154 L
.47209 .47993 L
.47191 .47969 L
.47093 .47833 L
.4703 .47743 L
.46964 .47672 L
.46881 .47512 L
.4687 .47492 L
.4681 .47351 L
F
1 .63 0 r
.4687 .4786 m
.4699 .47993 L
.4703 .48037 L
.47124 .48154 L
.47191 .48234 L
.4725 .48314 L
.47351 .48444 L
.47373 .48475 L
.47484 .48636 L
.47512 .48677 L
.47573 .48796 L
.47512 .48833 L
.47474 .48796 L
.47351 .48675 L
.47316 .48636 L
.47191 .48512 L
.47177 .48475 L
.47049 .48314 L
.4703 .48292 L
.46929 .48154 L
.4687 .48073 L
.46815 .47993 L
F
.001 .78 1 r
.4687 .47283 m
.47023 .47351 L
.4703 .47356 L
.47191 .47506 L
.47207 .47512 L
.47347 .47672 L
.47351 .47677 L
.47482 .47833 L
.47512 .47847 L
.47612 .47993 L
.47672 .48054 L
.47782 .48154 L
.47833 .48267 L
.47874 .48314 L
.4799 .48475 L
.47993 .48479 L
.48111 .48636 L
.48154 .48692 L
.48231 .48796 L
.48314 .4888 L
.48366 .48957 L
.48465 .49117 L
.48475 .49132 L
.48571 .49278 L
.48636 .49381 L
.48668 .49438 L
.48701 .49599 L
.48636 .4962 L
.48614 .49599 L
.48475 .4952 L
.48398 .49438 L
.48314 .49359 L
.48239 .49278 L
.48154 .49181 L
.48077 .49117 L
.47993 .48991 L
.47961 .48957 L
.47833 .48799 L
.47831 .48796 L
.47702 .48636 L
.47672 .48609 L
.47538 .48475 L
.47512 .48398 L
.47446 .48314 L
.47351 .48182 L
.47334 .48154 L
.47212 .47993 L
.47191 .47964 L
.47096 .47833 L
.4703 .47737 L
.46968 .47672 L
.46887 .47512 L
.4687 .47479 L
.46821 .47351 L
F
1 .74 0 r
.4687 .50778 m
.46964 .50883 L
.4703 .50953 L
.47109 .51043 L
.47191 .51135 L
.47249 .51204 L
.47351 .51296 L
.47386 .51364 L
.47512 .51512 L
.47528 .51525 L
.47653 .51686 L
.47672 .51708 L
.47785 .51846 L
.47833 .51904 L
.47916 .52007 L
.47993 .52085 L
.48047 .52167 L
.48154 .52298 L
.48182 .52328 L
.48304 .52488 L
.48314 .52501 L
.48431 .52649 L
.48475 .52669 L
.48559 .52809 L
.48636 .52897 L
.4871 .5297 L
.48796 .53108 L
.48814 .5313 L
.48938 .53291 L
.48957 .53314 L
.49064 .53451 L
.49117 .535 L
.49248 .53612 L
.49278 .5372 L
.49323 .53772 L
.49438 .53931 L
.49439 .53933 L
.49563 .54093 L
.49599 .54102 L
.49687 .54254 L
.49759 .54335 L
.49834 .54414 L
.4992 .54554 L
.49936 .54575 L
.50057 .54735 L
.5008 .54765 L
.5018 .54896 L
.50241 .5495 L
.50353 .55057 L
.50401 .5518 L
.50432 .55217 L
.50547 .55378 L
.50562 .55397 L
.50667 .55538 L
.50722 .5561 L
.50789 .55699 L
.50883 .55811 L
.50925 .55859 L
.5103 .5602 L
.51043 .56037 L
.51148 .5618 L
.51204 .56254 L
.51268 .56341 L
.51364 .56451 L
.51412 .56501 L
.51504 .56662 L
.51525 .5669 L
.51618 .56822 L
.51686 .56913 L
.51735 .56983 L
.51846 .57137 L
.51851 .57143 L
.51957 .57304 L
.52007 .57373 L
.52064 .57464 L
.52167 .57618 L
.52171 .57625 L
.52167 .5773 L
.52063 .57625 L
.52007 .57572 L
.51912 .57464 L
.51846 .57395 L
.5177 .57304 L
.51686 .5721 L
.51631 .57143 L
.51525 .5705 L
.51494 .56983 L
.51364 .5683 L
.51355 .56822 L
.5123 .56662 L
.51204 .56632 L
.511 .56501 L
.51043 .56434 L
.5097 .56341 L
.50883 .56256 L
.5084 .5618 L
.50722 .56038 L
.50704 .5602 L
.50584 .55859 L
.50562 .55833 L
.50458 .55699 L
.50401 .55629 L
.50331 .55538 L
.50241 .55438 L
.50175 .55378 L
.5008 .55222 L
.50076 .55217 L
.49953 .55057 L
.4992 .55015 L
.49828 .54896 L
.49759 .54837 L
.49703 .54735 L
.49599 .54609 L
.49567 .54575 L
.49453 .54414 L
.49438 .54396 L
.49331 .54254 L
.49278 .54187 L
.49207 .54093 L
.49117 .53994 L
.49056 .53933 L
.48957 .53772 L
.48957 .53771 L
.48837 .53612 L
.48796 .5356 L
.48715 .53451 L
.48636 .53382 L
.48591 .53291 L
.48475 .53144 L
.48463 .5313 L
.48347 .5297 L
.48314 .52928 L
.48227 .52809 L
.48154 .52716 L
.48105 .52649 L
.47993 .52512 L
.47972 .52488 L
.47863 .52328 L
.47833 .52289 L
.47745 .52167 L
.47672 .52073 L
.47624 .52007 L
.47512 .51869 L
.47503 .51846 L
.47387 .51686 L
.47351 .51639 L
.47272 .51525 L
.47191 .51417 L
.47155 .51364 L
.47037 .51204 L
.4703 .51195 L
.46931 .51043 L
.4687 .50959 L
.46823 .50883 L
F
1 .62 0 r
.4687 .47871 m
.46982 .47993 L
.4703 .48046 L
.47117 .48154 L
.47191 .48242 L
.47244 .48314 L
.47351 .48452 L
.47367 .48475 L
.47475 .48636 L
.47512 .48692 L
.47558 .48796 L
.47512 .48818 L
.47488 .48796 L
.47351 .48665 L
.47325 .48636 L
.47191 .48494 L
.47184 .48475 L
.47056 .48314 L
.4703 .48282 L
.46936 .48154 L
.4687 .48063 L
.46824 .47993 L
F
1 .86 .013 r
.4687 .41 m
.46959 .41091 L
.4703 .4116 L
.47112 .41251 L
.47191 .41335 L
.47257 .41412 L
.47351 .41487 L
.47398 .41572 L
.47512 .417 L
.47558 .41733 L
.47671 .41894 L
.47672 .41896 L
.47802 .42054 L
.47833 .4209 L
.47934 .42215 L
.47993 .42269 L
.48066 .42375 L
.48154 .42479 L
.48212 .42536 L
.48314 .42683 L
.48326 .42696 L
.48453 .42857 L
.48475 .42864 L
.48581 .43017 L
.48636 .43075 L
.48747 .43178 L
.48796 .43286 L
.48842 .43338 L
.48957 .43492 L
.48962 .43499 L
.49088 .43659 L
.49117 .43682 L
.49213 .4382 L
.49278 .43894 L
.49358 .4398 L
.49438 .44106 L
.49466 .44141 L
.4959 .44301 L
.49599 .44312 L
.49714 .44462 L
.49759 .44507 L
.49875 .44622 L
.4992 .44722 L
.49971 .44783 L
.5008 .44932 L
.50088 .44943 L
.50212 .45104 L
.50241 .45123 L
.50336 .45265 L
.50401 .45339 L
.50478 .45425 L
.50562 .45554 L
.50586 .45586 L
.50708 .45746 L
.50722 .45764 L
.5083 .45907 L
.50883 .45957 L
.50989 .46067 L
.51043 .46177 L
.51085 .46228 L
.51202 .46388 L
.51204 .46391 L
.51323 .46549 L
.51364 .46572 L
.51446 .46709 L
.51525 .46799 L
.51586 .4687 L
.51686 .47019 L
.51694 .4703 L
.51814 .47191 L
.51846 .47231 L
.51936 .47351 L
.52007 .4742 L
.5209 .47512 L
.52167 .47648 L
.52187 .47672 L
.52303 .47833 L
.52328 .47864 L
.52424 .47993 L
.52488 .48036 L
.52545 .48154 L
.52649 .48279 L
.52678 .48314 L
.52789 .48475 L
.52809 .48501 L
.52908 .48636 L
.5297 .48715 L
.53028 .48796 L
.5313 .48915 L
.53166 .48957 L
.5327 .49117 L
.53291 .49144 L
.53386 .49278 L
.53451 .49363 L
.53505 .49438 L
.53612 .4958 L
.53625 .49599 L
.5374 .49759 L
.53772 .49802 L
.53853 .4992 L
.53933 .50028 L
.53968 .5008 L
.54082 .50241 L
.54093 .50256 L
.54183 .50401 L
.54254 .50506 L
.54283 .50562 L
.54254 .50643 L
.5417 .50562 L
.54093 .50488 L
.54012 .50401 L
.53933 .50317 L
.53865 .50241 L
.53772 .50165 L
.53722 .5008 L
.53612 .49956 L
.53562 .4992 L
.53451 .49763 L
.53447 .49759 L
.53313 .49599 L
.53291 .49573 L
.53179 .49438 L
.5313 .4939 L
.53046 .49278 L
.5297 .49184 L
.52905 .49117 L
.52809 .48983 L
.52789 .48957 L
.52656 .48796 L
.52649 .48792 L
.52527 .48636 L
.52488 .48591 L
.52374 .48475 L
.52328 .48384 L
.52271 .48314 L
.52167 .4818 L
.52152 .48154 L
.52016 .47993 L
.52007 .47984 L
.51889 .47833 L
.51846 .47779 L
.51756 .47672 L
.51686 .4757 L
.51645 .47512 L
.51525 .47364 L
.51522 .47351 L
.51386 .47191 L
.51364 .47166 L
.51243 .4703 L
.51204 .46956 L
.51138 .4687 L
.51043 .46746 L
.51024 .46709 L
.50887 .46549 L
.50883 .46545 L
.50728 .46388 L
.50722 .46339 L
.50631 .46228 L
.50562 .46127 L
.50522 .46067 L
.50401 .45918 L
.50399 .45907 L
.50267 .45746 L
.50241 .45718 L
.50125 .45586 L
.5008 .45505 L
.5002 .45425 L
.4992 .45293 L
.49905 .45265 L
.49774 .45104 L
.49759 .45094 L
.49612 .44943 L
.49599 .44882 L
.49519 .44783 L
.49438 .44666 L
.4941 .44622 L
.49283 .44462 L
.49278 .44455 L
.49161 .44301 L
.49117 .44257 L
.49017 .44141 L
.48957 .44037 L
.48915 .4398 L
.48796 .43822 L
.48795 .4382 L
.48674 .43659 L
.48636 .43635 L
.48507 .43499 L
.48475 .43406 L
.48422 .43338 L
.48314 .43184 L
.48311 .43178 L
.48192 .43017 L
.48154 .42968 L
.48072 .42857 L
.47993 .42771 L
.47933 .42696 L
.47833 .42537 L
.47832 .42536 L
.47716 .42375 L
.47672 .42318 L
.47598 .42215 L
.47512 .42128 L
.47451 .42054 L
.47365 .41894 L
.47351 .41876 L
.47253 .41733 L
.47191 .41648 L
.4714 .41572 L
.4703 .41417 L
.47027 .41412 L
.46926 .41251 L
.4687 .41168 L
.46827 .41091 L
F
.001 .79 1 r
.4687 .41675 m
.46921 .41733 L
.4703 .41844 L
.47071 .41894 L
.47191 .42026 L
.47213 .42054 L
.47351 .42214 L
.47351 .42215 L
.47482 .42375 L
.47512 .42409 L
.47613 .42536 L
.47672 .42605 L
.47744 .42696 L
.47833 .42802 L
.47876 .42857 L
.47993 .42994 L
.48022 .43017 L
.48133 .43178 L
.48154 .43203 L
.48259 .43338 L
.48314 .43406 L
.48386 .43499 L
.48475 .43577 L
.48514 .43659 L
.48636 .4381 L
.48646 .4382 L
.48765 .4398 L
.48796 .44019 L
.48889 .44141 L
.48957 .44225 L
.49014 .44301 L
.49117 .44417 L
.49166 .44462 L
.49264 .44622 L
.49278 .44639 L
.49386 .44783 L
.49438 .44848 L
.49509 .44943 L
.49599 .45022 L
.49634 .45104 L
.49758 .45265 L
.49759 .45265 L
.49878 .45425 L
.4992 .45478 L
.49999 .45586 L
.5008 .4569 L
.50121 .45746 L
.50241 .45897 L
.5025 .45907 L
.50363 .46067 L
.50401 .46116 L
.50481 .46228 L
.50562 .46331 L
.50602 .46388 L
.50722 .46545 L
.50725 .46549 L
.50838 .46709 L
.50883 .46767 L
.50953 .4687 L
.51043 .46989 L
.51071 .4703 L
.51186 .47191 L
.51204 .47215 L
.51289 .47351 L
.51364 .47457 L
.51394 .47512 L
.51364 .47573 L
.51308 .47512 L
.51204 .47405 L
.51157 .47351 L
.51043 .47224 L
.51015 .47191 L
.50883 .4704 L
.50878 .4703 L
.50744 .4687 L
.50722 .46845 L
.50611 .46709 L
.50562 .46651 L
.50478 .46549 L
.50401 .46456 L
.50347 .46388 L
.50241 .46265 L
.50193 .46228 L
.50088 .46067 L
.5008 .46058 L
.4996 .45907 L
.4992 .45857 L
.49832 .45746 L
.49759 .45683 L
.49704 .45586 L
.49599 .45456 L
.49569 .45425 L
.49452 .45265 L
.49438 .45247 L
.49327 .45104 L
.49278 .45042 L
.49201 .44943 L
.49117 .4485 L
.49046 .44783 L
.48957 .4463 L
.48951 .44622 L
.48829 .44462 L
.48796 .4442 L
.48705 .44301 L
.48636 .44246 L
.48581 .44141 L
.48475 .44007 L
.48451 .4398 L
.48337 .4382 L
.48314 .43791 L
.48216 .43659 L
.48154 .43579 L
.48094 .43499 L
.47993 .43378 L
.47955 .43338 L
.47853 .43178 L
.47833 .43152 L
.47734 .43017 L
.47672 .42936 L
.47615 .42857 L
.47512 .42739 L
.47495 .42696 L
.4738 .42536 L
.47351 .42498 L
.47265 .42375 L
.47191 .42274 L
.4715 .42215 L
.47035 .42054 L
.4703 .42047 L
.46933 .41894 L
.4687 .41802 L
.4683 .41733 L
F
0 .4 1 r
.4687 .51464 m
.4692 .51525 L
.4703 .51648 L
.4706 .51686 L
.47191 .5184 L
.47196 .51846 L
.47324 .52007 L
.47351 .52038 L
.47452 .52167 L
.47512 .52237 L
.47582 .52328 L
.47672 .52438 L
.47711 .52488 L
.47833 .5264 L
.47839 .52649 L
.47962 .52809 L
.47993 .52847 L
.48086 .5297 L
.48154 .53054 L
.48211 .5313 L
.48314 .53262 L
.48336 .53291 L
.48458 .53451 L
.48475 .53473 L
.48576 .53612 L
.48636 .53687 L
.48697 .53772 L
.48796 .53901 L
.48819 .53933 L
.48936 .54093 L
.48957 .54119 L
.49047 .54254 L
.49117 .54346 L
.49162 .54414 L
.49278 .54575 L
.49278 .54575 L
.49278 .54654 L
.49212 .54575 L
.49117 .54481 L
.49065 .54414 L
.48957 .54294 L
.48925 .54254 L
.48796 .54102 L
.48789 .54093 L
.48662 .53933 L
.48636 .53903 L
.48535 .53772 L
.48475 .53702 L
.48407 .53612 L
.48314 .535 L
.48278 .53451 L
.48154 .53298 L
.48148 .53291 L
.48027 .5313 L
.47993 .5309 L
.47904 .5297 L
.47833 .52882 L
.4778 .52809 L
.47672 .52675 L
.47654 .52649 L
.47532 .52488 L
.47512 .52463 L
.47415 .52328 L
.47351 .52248 L
.47294 .52167 L
.47191 .52035 L
.47171 .52007 L
.47054 .51846 L
.4703 .51816 L
.46945 .51686 L
.4687 .51588 L
.46831 .51525 L
F
.001 .77 1 r
.4687 .47297 m
.47011 .47351 L
.4703 .47364 L
.47191 .47509 L
.47199 .47512 L
.47343 .47672 L
.47351 .47681 L
.47478 .47833 L
.47512 .47849 L
.47609 .47993 L
.47672 .48058 L
.47779 .48154 L
.47833 .4827 L
.47872 .48314 L
.47988 .48475 L
.47993 .48482 L
.48108 .48636 L
.48154 .48696 L
.48228 .48796 L
.48314 .48886 L
.48363 .48957 L
.48461 .49117 L
.48475 .49137 L
.48567 .49278 L
.48636 .4939 L
.48662 .49438 L
.48636 .49596 L
.48475 .49513 L
.48406 .49438 L
.48314 .49354 L
.48244 .49278 L
.48154 .49176 L
.48081 .49117 L
.47993 .48987 L
.47964 .48957 L
.47833 .48796 L
.47833 .48796 L
.47705 .48636 L
.47672 .48606 L
.4754 .48475 L
.47512 .48394 L
.47449 .48314 L
.47351 .48178 L
.47337 .48154 L
.47215 .47993 L
.47191 .4796 L
.471 .47833 L
.4703 .47732 L
.46973 .47672 L
.46893 .47512 L
.4687 .47465 L
.46832 .47351 L
F
1 .61 0 r
.4687 .47884 m
.46972 .47993 L
.4703 .48055 L
.4711 .48154 L
.47191 .4825 L
.47238 .48314 L
.47351 .4846 L
.47361 .48475 L
.47464 .48636 L
.47512 .48713 L
.47531 .48796 L
.47512 .48799 L
.47508 .48796 L
.47351 .48654 L
.47334 .48636 L
.47192 .48475 L
.47191 .48474 L
.47064 .48314 L
.4703 .48273 L
.46944 .48154 L
.4687 .48051 L
.46832 .47993 L
F
1 .73 0 r
.4687 .50799 m
.46948 .50883 L
.4703 .50967 L
.47097 .51043 L
.47191 .51147 L
.47239 .51204 L
.47351 .51311 L
.47378 .51364 L
.47512 .51523 L
.47514 .51525 L
.47646 .51686 L
.47672 .51717 L
.47778 .51846 L
.47833 .51912 L
.4791 .52007 L
.47993 .52093 L
.48041 .52167 L
.48154 .52306 L
.48175 .52328 L
.48298 .52488 L
.48314 .52508 L
.48427 .52649 L
.48475 .52673 L
.48555 .52809 L
.48636 .52902 L
.48705 .5297 L
.48796 .53114 L
.48809 .5313 L
.48934 .53291 L
.48957 .53319 L
.4906 .53451 L
.49117 .53504 L
.49244 .53612 L
.49278 .53725 L
.49319 .53772 L
.49435 .53933 L
.49438 .53936 L
.49559 .54093 L
.49599 .54104 L
.49683 .54254 L
.49759 .5434 L
.49829 .54414 L
.4992 .54559 L
.49932 .54575 L
.50053 .54735 L
.5008 .5477 L
.50176 .54896 L
.50241 .54955 L
.50348 .55057 L
.50401 .55186 L
.50427 .55217 L
.50542 .55378 L
.50562 .55403 L
.50663 .55538 L
.50722 .55616 L
.50784 .55699 L
.50883 .55819 L
.50918 .55859 L
.51025 .5602 L
.51043 .56044 L
.51143 .5618 L
.51204 .56261 L
.51262 .56341 L
.51364 .56462 L
.51401 .56501 L
.51497 .56662 L
.51525 .56699 L
.51611 .56822 L
.51686 .56923 L
.51727 .56983 L
.51842 .57143 L
.51846 .57149 L
.51946 .57304 L
.52007 .57391 L
.52051 .57464 L
.52007 .57553 L
.51928 .57464 L
.51846 .57381 L
.51781 .57304 L
.51686 .57199 L
.51639 .57143 L
.51525 .57035 L
.51501 .56983 L
.51366 .56822 L
.51364 .5682 L
.51236 .56662 L
.51204 .56624 L
.51106 .56501 L
.51043 .56427 L
.50975 .56341 L
.50883 .56248 L
.50844 .5618 L
.50722 .56031 L
.50711 .5602 L
.50588 .55859 L
.50562 .55827 L
.50462 .55699 L
.50401 .55624 L
.50335 .55538 L
.50241 .55433 L
.50181 .55378 L
.5008 .55217 L
.5008 .55217 L
.49957 .55057 L
.4992 .55011 L
.49832 .54896 L
.49759 .54833 L
.49706 .54735 L
.49599 .54604 L
.49572 .54575 L
.49457 .54414 L
.49438 .54391 L
.49334 .54254 L
.49278 .54183 L
.4921 .54093 L
.49117 .53989 L
.49061 .53933 L
.48961 .53772 L
.48957 .53767 L
.4884 .53612 L
.48796 .53556 L
.48718 .53451 L
.48636 .53376 L
.48595 .53291 L
.48475 .53138 L
.48468 .5313 L
.48351 .5297 L
.48314 .52923 L
.48231 .52809 L
.48154 .52711 L
.48108 .52649 L
.47993 .52504 L
.47979 .52488 L
.47867 .52328 L
.47833 .52283 L
.47749 .52167 L
.47672 .52067 L
.47629 .52007 L
.47512 .51858 L
.47507 .51846 L
.47393 .51686 L
.47351 .51631 L
.47279 .51525 L
.47191 .51408 L
.47161 .51364 L
.47046 .51204 L
.4703 .51182 L
.46942 .51043 L
.4687 .50942 L
.46836 .50883 L
F
.212 .95 1 r
.4687 .40344 m
.46983 .40449 L
.4703 .40491 L
.47143 .40609 L
.47191 .40657 L
.47292 .4077 L
.47351 .40794 L
.47437 .4093 L
.47512 .41008 L
.47577 .41091 L
.47672 .41203 L
.47725 .41251 L
.47833 .41396 L
.47848 .41412 L
.47982 .41572 L
.47993 .41582 L
.48115 .41733 L
.48154 .4178 L
.48271 .41894 L
.48314 .41982 L
.48377 .42054 L
.48475 .42185 L
.48495 .42215 L
.48633 .42375 L
.48636 .42378 L
.48761 .42536 L
.48796 .4258 L
.48897 .42696 L
.48957 .42788 L
.49008 .42857 L
.49117 .42995 L
.49125 .43017 L
.49268 .43178 L
.49278 .43189 L
.4941 .43338 L
.49438 .43397 L
.49519 .43499 L
.49599 .43608 L
.4963 .43659 L
.49759 .43813 L
.4977 .4382 L
.49918 .4398 L
.4992 .44013 L
.50026 .44141 L
.5008 .44224 L
.50136 .44301 L
.50241 .44435 L
.50248 .44462 L
.50392 .44622 L
.50401 .44633 L
.50532 .44783 L
.50562 .44843 L
.5064 .44943 L
.50722 .45055 L
.50751 .45104 L
.50883 .4526 L
.50888 .45265 L
.51038 .45425 L
.51043 .45464 L
.51144 .45586 L
.51204 .45676 L
.51253 .45746 L
.51364 .45887 L
.51369 .45907 L
.51506 .46067 L
.51525 .46087 L
.51648 .46228 L
.51686 .46299 L
.51755 .46388 L
.51846 .46511 L
.51867 .46549 L
.52 .46709 L
.52007 .46714 L
.52157 .4687 L
.52167 .46921 L
.52257 .4703 L
.52328 .47135 L
.52366 .47191 L
.52488 .47345 L
.52489 .47351 L
.52615 .47512 L
.52649 .47545 L
.52761 .47672 L
.52809 .47759 L
.52866 .47833 L
.5297 .47973 L
.52981 .47993 L
.53108 .48154 L
.5313 .48168 L
.53271 .48314 L
.53291 .48382 L
.53366 .48475 L
.53451 .48599 L
.53476 .48636 L
.536 .48796 L
.53612 .48811 L
.53722 .48957 L
.53772 .49004 L
.5387 .49117 L
.53933 .49224 L
.53973 .49278 L
.54092 .49438 L
.54093 .4944 L
.54213 .49599 L
.54254 .49624 L
.54379 .49759 L
.54414 .49849 L
.54471 .4992 L
.54575 .50069 L
.54582 .5008 L
.54703 .50241 L
.54735 .50282 L
.54824 .50401 L
.54896 .50472 L
.5497 .50562 L
.55057 .50699 L
.55073 .50722 L
.55192 .50883 L
.55217 .50915 L
.55312 .51043 L
.55378 .51091 L
.55474 .51204 L
.55538 .51331 L
.55564 .51364 L
.55677 .51525 L
.55699 .51552 L
.55796 .51686 L
.55859 .51767 L
.55917 .51846 L
.5602 .51967 L
.5605 .52007 L
.56158 .52167 L
.5618 .52196 L
.56274 .52328 L
.56341 .52415 L
.56393 .52488 L
.56501 .52632 L
.56524 .52649 L
.56627 .52809 L
.56662 .52855 L
.56739 .5297 L
.56822 .53083 L
.56854 .5313 L
.56966 .53291 L
.56983 .53315 L
.57066 .53451 L
.57143 .5357 L
.57165 .53612 L
.57143 .53722 L
.57026 .53612 L
.56983 .53572 L
.56869 .53451 L
.56822 .53403 L
.56721 .53291 L
.56662 .53265 L
.56577 .5313 L
.56501 .53048 L
.56436 .5297 L
.56341 .52854 L
.56295 .52809 L
.5618 .52664 L
.56169 .52649 L
.56029 .52488 L
.5602 .5248 L
.55894 .52328 L
.55859 .52284 L
.55748 .52167 L
.55699 .52082 L
.55639 .52007 L
.55538 .51879 L
.55523 .51846 L
.55378 .51695 L
.5537 .51686 L
.55223 .51525 L
.55217 .51493 L
.55113 .51364 L
.55057 .51285 L
.55002 .51204 L
.54896 .51074 L
.54855 .51043 L
.54735 .5089 L
.5473 .50883 L
.54598 .50722 L
.54575 .50682 L
.54485 .50562 L
.54414 .50469 L
.54379 .50401 L
.54254 .50256 L
.54224 .50241 L
.54096 .5008 L
.54093 .5007 L
.53976 .4992 L
.53933 .49858 L
.53867 .49759 L
.53772 .49643 L
.53724 .49599 L
.53612 .49452 L
.53601 .49438 L
.53473 .49278 L
.53451 .49242 L
.5336 .49117 L
.53291 .49027 L
.53256 .48957 L
.5313 .48814 L
.53103 .48796 L
.52975 .48636 L
.5297 .48621 L
.52857 .48475 L
.52809 .48409 L
.52749 .48314 L
.52649 .48194 L
.52607 .48154 L
.52488 .47994 L
.52485 .47993 L
.52356 .47833 L
.52328 .47787 L
.52245 .47672 L
.52167 .47573 L
.5214 .47512 L
.52007 .47363 L
.5199 .47351 L
.51857 .47191 L
.51846 .47164 L
.51743 .4703 L
.51686 .46951 L
.51635 .4687 L
.51525 .46738 L
.51497 .46709 L
.51375 .46549 L
.51364 .46538 L
.51242 .46388 L
.51204 .46327 L
.51134 .46228 L
.51043 .46114 L
.51025 .46067 L
.50883 .45908 L
.50882 .45907 L
.50741 .45746 L
.50722 .45702 L
.50633 .45586 L
.50562 .45488 L
.50524 .45425 L
.50401 .45277 L
.5039 .45265 L
.50268 .45104 L
.50241 .45077 L
.50132 .44943 L
.5008 .44863 L
.50025 .44783 L
.4992 .44649 L
.4991 .44622 L
.49777 .44462 L
.49759 .4445 L
.49629 .44301 L
.49599 .44237 L
.49527 .44141 L
.49438 .4402 L
.49415 .4398 L
.49287 .4382 L
.49278 .43807 L
.49166 .43659 L
.49117 .43611 L
.49028 .43499 L
.48957 .4339 L
.48922 .43338 L
.48799 .43178 L
.48796 .43173 L
.48679 .43017 L
.48636 .42987 L
.48527 .42857 L
.48475 .42758 L
.4843 .42696 L
.48315 .42536 L
.48314 .42535 L
.48196 .42375 L
.48154 .4232 L
.48076 .42215 L
.47993 .42122 L
.47942 .42054 L
.47836 .41894 L
.47833 .4189 L
.4772 .41733 L
.47672 .4167 L
.47602 .41572 L
.47512 .41475 L
.47465 .41412 L
.47369 .41251 L
.47351 .41228 L
.47257 .41091 L
.47191 .40999 L
.47145 .4093 L
.47033 .4077 L
.4703 .40767 L
.46934 .40609 L
.4687 .4051 L
.46837 .40449 L
F
.045 .9 1 r
.4687 .45263 m
.46872 .45265 L
.4703 .45398 L
.47057 .45425 L
.47191 .45559 L
.47208 .45586 L
.47347 .45746 L
.47351 .45751 L
.47477 .45907 L
.47512 .4595 L
.47602 .46067 L
.47672 .46164 L
.47718 .46228 L
.47817 .46388 L
.47833 .46422 L
.4785 .46549 L
.47833 .46552 L
.47826 .46549 L
.47672 .46438 L
.47625 .46388 L
.47512 .46267 L
.4748 .46228 L
.47351 .46079 L
.47346 .46067 L
.47225 .45907 L
.47191 .45863 L
.47109 .45746 L
.4703 .4564 L
.46995 .45586 L
.4689 .45425 L
.4687 .45392 L
.46838 .45265 L
F
0 .39 1 r
.4687 .51476 m
.4691 .51525 L
.4703 .51657 L
.47053 .51686 L
.4703 .51806 L
.46953 .51686 L
.4687 .51576 L
.46839 .51525 L
F
1 .6 0 r
.4687 .47898 m
.46962 .47993 L
.4703 .48064 L
.47102 .48154 L
.47191 .48259 L
.47232 .48314 L
.47351 .4847 L
.47355 .48475 L
.47452 .48636 L
.47351 .48643 L
.47344 .48636 L
.47201 .48475 L
.47191 .48464 L
.47073 .48314 L
.4703 .48262 L
.46952 .48154 L
.4687 .48038 L
.46842 .47993 L
F
.001 .76 1 r
.4687 .47313 m
.46996 .47351 L
.4703 .47372 L
.47191 .47512 L
.47191 .47512 L
.47339 .47672 L
.47351 .47686 L
.47475 .47833 L
.47512 .47851 L
.47606 .47993 L
.47672 .48061 L
.47776 .48154 L
.47833 .48273 L
.47869 .48314 L
.47985 .48475 L
.47993 .48485 L
.48106 .48636 L
.48154 .48699 L
.48226 .48796 L
.48314 .48891 L
.48359 .48957 L
.48458 .49117 L
.48475 .49142 L
.48562 .49278 L
.48636 .49401 L
.48655 .49438 L
.48636 .49581 L
.48475 .49504 L
.48414 .49438 L
.48314 .49348 L
.4825 .49278 L
.48154 .49171 L
.48086 .49117 L
.47993 .48983 L
.47968 .48957 L
.47836 .48796 L
.47833 .48792 L
.47708 .48636 L
.47672 .48604 L
.47541 .48475 L
.47512 .48391 L
.47451 .48314 L
.47351 .48174 L
.47339 .48154 L
.47219 .47993 L
.47191 .47955 L
.47103 .47833 L
.4703 .47726 L
.46979 .47672 L
.46899 .47512 L
.4687 .47448 L
.46844 .47351 L
F
0 .38 1 r
.4687 .51491 m
.46898 .51525 L
.4703 .51667 L
.47046 .51686 L
.4703 .51796 L
.46963 .51686 L
.4687 .51561 L
.4685 .51525 L
F
1 .72 0 r
.4687 .50825 m
.46928 .50883 L
.4703 .50983 L
.47084 .51043 L
.47191 .5116 L
.47229 .51204 L
.47351 .51328 L
.47369 .51364 L
.47505 .51525 L
.47512 .51533 L
.47638 .51686 L
.47672 .51725 L
.47771 .51846 L
.47833 .51919 L
.47904 .52007 L
.47993 .52101 L
.48035 .52167 L
.48154 .52313 L
.48168 .52328 L
.48293 .52488 L
.48314 .52514 L
.48422 .52649 L
.48475 .52677 L
.4855 .52809 L
.48636 .52909 L
.48699 .5297 L
.48796 .5312 L
.48805 .5313 L
.4893 .53291 L
.48957 .53324 L
.49056 .53451 L
.49117 .53509 L
.49239 .53612 L
.49278 .53731 L
.49314 .53772 L
.49431 .53933 L
.49438 .53942 L
.49555 .54093 L
.49599 .54107 L
.49679 .54254 L
.49759 .54345 L
.49824 .54414 L
.4992 .54565 L
.49928 .54575 L
.50049 .54735 L
.5008 .54775 L
.50172 .54896 L
.50241 .5496 L
.50343 .55057 L
.50401 .55192 L
.50422 .55217 L
.50538 .55378 L
.50562 .55408 L
.50659 .55538 L
.50722 .55621 L
.5078 .55699 L
.50883 .55826 L
.50912 .55859 L
.5102 .5602 L
.51043 .56051 L
.51138 .5618 L
.51204 .56268 L
.51257 .56341 L
.51364 .56475 L
.51389 .56501 L
.5149 .56662 L
.51525 .56708 L
.51604 .56822 L
.51686 .56933 L
.51719 .56983 L
.51831 .57143 L
.51846 .57164 L
.51933 .57304 L
.52007 .57413 L
.52035 .57464 L
.52007 .57529 L
.51946 .57464 L
.51846 .57366 L
.51792 .57304 L
.51686 .57188 L
.51649 .57143 L
.51525 .57019 L
.51509 .56983 L
.51374 .56822 L
.51364 .56811 L
.51243 .56662 L
.51204 .56617 L
.51112 .56501 L
.51043 .5642 L
.5098 .56341 L
.50883 .56241 L
.50849 .5618 L
.50722 .56024 L
.50718 .5602 L
.50593 .55859 L
.50562 .55821 L
.50466 .55699 L
.50401 .55619 L
.50339 .55538 L
.50241 .55427 L
.50187 .55378 L
.50084 .55217 L
.5008 .55212 L
.49961 .55057 L
.4992 .55006 L
.49836 .54896 L
.49759 .54828 L
.4971 .54735 L
.49599 .54599 L
.49576 .54575 L
.4946 .54414 L
.49438 .54387 L
.49338 .54254 L
.49278 .54179 L
.49213 .54093 L
.49117 .53984 L
.49066 .53933 L
.48965 .53772 L
.48957 .53762 L
.48844 .53612 L
.48796 .53551 L
.48722 .53451 L
.48636 .53371 L
.48598 .53291 L
.48475 .53132 L
.48473 .5313 L
.48355 .5297 L
.48314 .52918 L
.48234 .52809 L
.48154 .52706 L
.48112 .52649 L
.47993 .52497 L
.47985 .52488 L
.47872 .52328 L
.47833 .52277 L
.47754 .52167 L
.47672 .52061 L
.47634 .52007 L
.47512 .51846 L
.47512 .51846 L
.474 .51686 L
.47351 .51622 L
.47285 .51525 L
.47191 .51399 L
.47168 .51364 L
.47056 .51204 L
.4703 .51168 L
.46954 .51043 L
.4687 .50919 L
.46851 .50883 L
F
1 .59 0 r
.4687 .47916 m
.46949 .47993 L
.4703 .48075 L
.47094 .48154 L
.47191 .48268 L
.47225 .48314 L
.47191 .48452 L
.47082 .48314 L
.4703 .48251 L
.46961 .48154 L
.4687 .48022 L
.46852 .47993 L
F
.114 .93 1 r
.4687 .50156 m
.46959 .50241 L
.4703 .50307 L
.47118 .50401 L
.47191 .50478 L
.47267 .50562 L
.47351 .50611 L
.47411 .50722 L
.47512 .50834 L
.47593 .50883 L
.47672 .51027 L
.47689 .51043 L
.47824 .51204 L
.47833 .51215 L
.47959 .51364 L
.47993 .51395 L
.48094 .51525 L
.48154 .51598 L
.48241 .51686 L
.48314 .518 L
.48351 .51846 L
.48475 .51996 L
.48479 .52007 L
.48617 .52167 L
.48636 .52188 L
.48779 .52328 L
.48796 .52392 L
.48876 .52488 L
.48957 .52598 L
.4899 .52649 L
.49117 .52799 L
.4913 .52809 L
.49257 .5297 L
.49278 .52996 L
.49393 .5313 L
.49438 .53204 L
.49502 .53291 L
.49599 .53413 L
.49616 .53451 L
.49759 .53611 L
.49761 .53612 L
.49905 .53772 L
.4992 .53815 L
.50012 .53933 L
.5008 .54026 L
.50122 .54093 L
.50241 .54235 L
.50262 .54254 L
.50386 .54414 L
.50401 .54433 L
.50519 .54575 L
.50562 .54643 L
.50628 .54735 L
.50722 .54855 L
.50739 .54896 L
.50882 .55057 L
.50883 .55057 L
.51025 .55217 L
.51043 .55264 L
.51131 .55378 L
.51204 .55477 L
.51241 .55538 L
.51364 .55686 L
.51378 .55699 L
.515 .55859 L
.51525 .55887 L
.51634 .5602 L
.51686 .561 L
.51741 .5618 L
.51846 .56313 L
.51856 .56341 L
.51992 .56501 L
.52007 .56514 L
.52139 .56662 L
.52167 .56726 L
.5224 .56822 L
.52328 .56941 L
.52352 .56983 L
.52482 .57143 L
.52488 .57145 L
.52604 .57304 L
.52649 .57352 L
.52739 .57464 L
.52809 .57571 L
.52846 .57625 L
.52969 .57785 L
.5297 .57786 L
.5309 .57946 L
.5313 .57979 L
.53241 .58106 L
.53291 .58204 L
.53337 .58267 L
.53451 .58425 L
.53453 .58428 L
.53572 .58588 L
.53612 .58641 L
.53691 .58749 L
.53772 .58842 L
.53824 .58909 L
.5393 .5907 L
.53933 .59073 L
.54046 .5923 L
.54093 .59293 L
.54164 .59391 L
.54254 .59492 L
.543 .59551 L
.54396 .59712 L
.54414 .59737 L
.54507 .59872 L
.54575 .59967 L
.5462 .60033 L
.54731 .60193 L
.54735 .602 L
.5483 .60354 L
.54896 .60457 L
.54927 .60514 L
.54896 .60604 L
.54804 .60514 L
.54735 .60451 L
.54647 .60354 L
.54575 .6028 L
.545 .60193 L
.54414 .60146 L
.54358 .60033 L
.54254 .59922 L
.54219 .59872 L
.54093 .59725 L
.54079 .59712 L
.53951 .59551 L
.53933 .59531 L
.53819 .59391 L
.53772 .59355 L
.53688 .5923 L
.53612 .59144 L
.5353 .5907 L
.53451 .58939 L
.53424 .58909 L
.53299 .58749 L
.53291 .58739 L
.53172 .58588 L
.5313 .58548 L
.52988 .58428 L
.5297 .58338 L
.52904 .58267 L
.52809 .5813 L
.5279 .58106 L
.52664 .57946 L
.52649 .57937 L
.52539 .57785 L
.52488 .5773 L
.52386 .57625 L
.52328 .57518 L
.52283 .57464 L
.52167 .57311 L
.52163 .57304 L
.52038 .57143 L
.52007 .57116 L
.51863 .56983 L
.51846 .56903 L
.51775 .56822 L
.51686 .56691 L
.51664 .56662 L
.51539 .56501 L
.51525 .56496 L
.51416 .56341 L
.51364 .56286 L
.51265 .5618 L
.51204 .56071 L
.51163 .5602 L
.51043 .5586 L
.51043 .55859 L
.50921 .55699 L
.50883 .55668 L
.50748 .55538 L
.50722 .5545 L
.5066 .55378 L
.50562 .55235 L
.50549 .55217 L
.50426 .55057 L
.50401 .55051 L
.50304 .54896 L
.50241 .5483 L
.50155 .54735 L
.5008 .5461 L
.50052 .54575 L
.49934 .54414 L
.4992 .54397 L
.49812 .54254 L
.49759 .54213 L
.49642 .54093 L
.49599 .53986 L
.49555 .53933 L
.49442 .53772 L
.49438 .53767 L
.49322 .53612 L
.49278 .53556 L
.492 .53451 L
.49117 .53362 L
.49055 .53291 L
.48957 .53136 L
.48952 .5313 L
.48833 .5297 L
.48796 .52922 L
.48713 .52809 L
.48636 .52741 L
.48552 .52649 L
.48475 .52503 L
.48463 .52488 L
.48348 .52328 L
.48314 .52285 L
.48228 .52167 L
.48154 .52071 L
.48107 .52007 L
.47993 .51864 L
.47979 .51846 L
.47867 .51686 L
.47833 .51641 L
.4775 .51525 L
.47672 .51424 L
.47631 .51364 L
.47512 .5121 L
.47507 .51204 L
.47397 .51043 L
.47351 .50983 L
.47283 .50883 L
.47191 .50758 L
.47167 .50722 L
.47056 .50562 L
.4703 .50525 L
.46955 .50401 L
.4687 .50272 L
.46854 .50241 L
F
1 .98 .538 r
.4687 .44632 m
.4703 .4474 L
.47077 .44783 L
.47191 .44906 L
.47256 .44943 L
.47351 .45037 L
.47418 .45104 L
.47512 .45204 L
.47569 .45265 L
.47672 .45383 L
.47711 .45425 L
.47833 .4557 L
.47846 .45586 L
.47986 .45746 L
.47993 .45768 L
.48093 .45907 L
.48154 .45981 L
.48239 .46067 L
.48314 .46205 L
.48362 .46228 L
.48475 .46383 L
.48479 .46388 L
.48595 .46549 L
.48636 .46617 L
.48658 .46709 L
.48702 .4687 L
.48636 .46891 L
.48495 .4687 L
.48475 .4686 L
.48314 .46721 L
.48298 .46709 L
.4817 .46549 L
.48154 .4653 L
.48044 .46388 L
.47993 .46366 L
.47919 .46228 L
.47833 .46139 L
.47763 .46067 L
.47672 .45913 L
.47667 .45907 L
.47549 .45746 L
.47512 .45699 L
.47429 .45586 L
.47351 .45485 L
.47308 .45425 L
.47191 .45271 L
.47183 .45265 L
.47073 .45104 L
.4703 .45047 L
.46962 .44943 L
.4687 .44809 L
.46854 .44783 L
F
0 .75 1 r
.4687 .47332 m
.46979 .47351 L
.4703 .47379 L
.47184 .47512 L
.47191 .47518 L
.47335 .47672 L
.47351 .4769 L
.47472 .47833 L
.47512 .47853 L
.47603 .47993 L
.47672 .48064 L
.47773 .48154 L
.47833 .48277 L
.47866 .48314 L
.47983 .48475 L
.47993 .48489 L
.48103 .48636 L
.48154 .48702 L
.48223 .48796 L
.48314 .48896 L
.48355 .48957 L
.48454 .49117 L
.48475 .49148 L
.48557 .49278 L
.48636 .49412 L
.48649 .49438 L
.48636 .49565 L
.48475 .49496 L
.48422 .49438 L
.48314 .49342 L
.48255 .49278 L
.48154 .49166 L
.48091 .49117 L
.47993 .48979 L
.47971 .48957 L
.4784 .48796 L
.47833 .48788 L
.47711 .48636 L
.47672 .48601 L
.47544 .48475 L
.47512 .48387 L
.47454 .48314 L
.47351 .4817 L
.47342 .48154 L
.47222 .47993 L
.47191 .4795 L
.47107 .47833 L
.4703 .4772 L
.46984 .47672 L
.46905 .47512 L
.4687 .47426 L
.46858 .47351 L
F
1 .85 .01 r
.4687 .41053 m
.46917 .41091 L
.4703 .41187 L
.4709 .41251 L
.47191 .41355 L
.47241 .41412 L
.47351 .41509 L
.47384 .41572 L
.47512 .41716 L
.47536 .41733 L
.47659 .41894 L
.47672 .41908 L
.47793 .42054 L
.47833 .42101 L
.47926 .42215 L
.47993 .42278 L
.48058 .42375 L
.48154 .42488 L
.48204 .42536 L
.48314 .42691 L
.48319 .42696 L
.48447 .42857 L
.48475 .42867 L
.48575 .43017 L
.48636 .43082 L
.48742 .43178 L
.48796 .43292 L
.48837 .43338 L
.48957 .43497 L
.48958 .43499 L
.49083 .43659 L
.49117 .43686 L
.49209 .4382 L
.49278 .43899 L
.49353 .4398 L
.49438 .4411 L
.49462 .44141 L
.49586 .44301 L
.49599 .44317 L
.49711 .44462 L
.49759 .44511 L
.49872 .44622 L
.4992 .44726 L
.49968 .44783 L
.5008 .44936 L
.50085 .44943 L
.50209 .45104 L
.50241 .45125 L
.50333 .45265 L
.50401 .45343 L
.50475 .45425 L
.50562 .45558 L
.50583 .45586 L
.50705 .45746 L
.50722 .45768 L
.50827 .45907 L
.50883 .4596 L
.50986 .46067 L
.51043 .46181 L
.51082 .46228 L
.51199 .46388 L
.51204 .46395 L
.5132 .46549 L
.51364 .46575 L
.51443 .46709 L
.51525 .46803 L
.51582 .4687 L
.51686 .47023 L
.51691 .4703 L
.51811 .47191 L
.51846 .47235 L
.51933 .47351 L
.52007 .47425 L
.52086 .47512 L
.52167 .47653 L
.52183 .47672 L
.523 .47833 L
.52328 .47869 L
.5242 .47993 L
.52488 .48042 L
.52542 .48154 L
.52649 .48286 L
.52673 .48314 L
.52785 .48475 L
.52809 .48507 L
.52903 .48636 L
.5297 .48722 L
.53024 .48796 L
.5313 .48924 L
.53158 .48957 L
.53264 .49117 L
.53291 .49152 L
.5338 .49278 L
.53451 .49371 L
.53498 .49438 L
.53612 .49589 L
.53618 .49599 L
.53731 .49759 L
.53772 .49814 L
.53843 .4992 L
.53933 .50043 L
.53957 .5008 L
.54066 .50241 L
.54093 .5028 L
.54161 .50401 L
.54093 .5046 L
.54037 .50401 L
.53933 .50295 L
.53883 .50241 L
.53772 .50142 L
.53737 .5008 L
.53612 .49939 L
.53584 .4992 L
.5346 .49759 L
.53451 .4975 L
.53324 .49599 L
.53291 .4956 L
.53189 .49438 L
.5313 .4938 L
.53055 .49278 L
.5297 .49174 L
.52914 .49117 L
.52809 .48974 L
.52795 .48957 L
.52663 .48796 L
.52649 .48788 L
.52533 .48636 L
.52488 .48583 L
.52379 .48475 L
.52328 .48377 L
.52277 .48314 L
.52167 .48173 L
.52156 .48154 L
.52022 .47993 L
.52007 .47979 L
.51894 .47833 L
.51846 .47773 L
.5176 .47672 L
.51686 .47564 L
.51649 .47512 L
.51525 .4736 L
.51523 .47351 L
.51391 .47191 L
.51364 .47161 L
.51246 .4703 L
.51204 .46951 L
.51141 .4687 L
.51043 .46741 L
.51026 .46709 L
.50891 .46549 L
.50883 .46542 L
.50728 .46388 L
.50722 .46334 L
.50635 .46228 L
.50562 .46122 L
.50525 .46067 L
.50401 .45914 L
.504 .45907 L
.50271 .45746 L
.50241 .45714 L
.50127 .45586 L
.5008 .45501 L
.50024 .45425 L
.4992 .45288 L
.49908 .45265 L
.49778 .45104 L
.49759 .45091 L
.49613 .44943 L
.49599 .44877 L
.49523 .44783 L
.49438 .44661 L
.49413 .44622 L
.49287 .44462 L
.49278 .4445 L
.49165 .44301 L
.49117 .44253 L
.49021 .44141 L
.48957 .44032 L
.48919 .4398 L
.48799 .4382 L
.48796 .43816 L
.48679 .43659 L
.48636 .4363 L
.48511 .43499 L
.48475 .43399 L
.48428 .43338 L
.48316 .43178 L
.48314 .43176 L
.48197 .43017 L
.48154 .4296 L
.48077 .42857 L
.47993 .42762 L
.4794 .42696 L
.47839 .42536 L
.47833 .42528 L
.47723 .42375 L
.47672 .42307 L
.47606 .42215 L
.47512 .42111 L
.47465 .42054 L
.47375 .41894 L
.47351 .41862 L
.47264 .41733 L
.47191 .41631 L
.47152 .41572 L
.47043 .41412 L
.4703 .41393 L
.46948 .41251 L
.4687 .41119 L
.46859 .41091 L
F
.001 .78 1 r
.4687 .41719 m
.46884 .41733 L
.4703 .41866 L
.47054 .41894 L
.47191 .42042 L
.472 .42054 L
.47338 .42215 L
.47351 .42229 L
.47471 .42375 L
.47512 .42421 L
.47603 .42536 L
.47672 .42616 L
.47736 .42696 L
.47833 .42812 L
.47868 .42857 L
.47993 .43006 L
.48007 .43017 L
.48126 .43178 L
.48154 .43211 L
.48252 .43338 L
.48314 .43414 L
.4838 .43499 L
.48475 .43588 L
.48508 .43659 L
.48636 .43819 L
.48636 .4382 L
.48759 .4398 L
.48796 .44026 L
.48883 .44141 L
.48957 .44232 L
.49009 .44301 L
.49117 .44427 L
.49156 .44462 L
.49259 .44622 L
.49278 .44646 L
.4938 .44783 L
.49438 .44855 L
.49504 .44943 L
.49599 .45032 L
.49629 .45104 L
.49753 .45265 L
.49759 .45273 L
.49872 .45425 L
.4992 .45486 L
.49993 .45586 L
.5008 .45697 L
.50116 .45746 L
.5024 .45907 L
.50241 .45908 L
.50356 .46067 L
.50401 .46125 L
.50475 .46228 L
.50562 .4634 L
.50596 .46388 L
.50717 .46549 L
.50722 .46556 L
.50829 .46709 L
.50883 .46779 L
.50944 .4687 L
.51043 .47003 L
.51062 .4703 L
.51171 .47191 L
.51204 .47237 L
.51269 .47351 L
.51364 .47508 L
.51366 .47512 L
.51364 .47518 L
.51351 .47512 L
.51204 .47382 L
.51177 .47351 L
.51043 .47206 L
.5103 .47191 L
.50891 .4703 L
.50883 .47021 L
.50756 .4687 L
.50722 .46832 L
.50622 .46709 L
.50562 .46639 L
.50488 .46549 L
.50401 .46445 L
.50355 .46388 L
.50241 .46253 L
.50208 .46228 L
.50096 .46067 L
.5008 .46048 L
.49968 .45907 L
.4992 .45848 L
.49839 .45746 L
.49759 .45673 L
.49711 .45586 L
.49599 .45446 L
.49578 .45425 L
.49459 .45265 L
.49438 .45239 L
.49334 .45104 L
.49278 .45033 L
.49208 .44943 L
.49117 .44841 L
.49055 .44783 L
.48958 .44622 L
.48957 .44621 L
.48835 .44462 L
.48796 .44412 L
.48712 .44301 L
.48636 .44237 L
.48588 .44141 L
.48475 .43997 L
.4846 .4398 L
.48344 .4382 L
.48314 .43782 L
.48223 .43659 L
.48154 .4357 L
.481 .43499 L
.47993 .43366 L
.47967 .43338 L
.47861 .43178 L
.47833 .43142 L
.47742 .43017 L
.47672 .42925 L
.47623 .42857 L
.47512 .42718 L
.47504 .42696 L
.4739 .42536 L
.47351 .42484 L
.47276 .42375 L
.47191 .42258 L
.47161 .42215 L
.47052 .42054 L
.4703 .42023 L
.46955 .41894 L
.4687 .41756 L
.46862 .41733 L
F
1 .58 0 r
.4687 .47941 m
.46931 .47993 L
.4703 .48086 L
.47085 .48154 L
.47191 .48278 L
.47217 .48314 L
.47191 .4844 L
.47092 .48314 L
.4703 .48238 L
.46971 .48154 L
.4687 .48002 L
.46865 .47993 L
F
0 .37 1 r
.4687 .51515 m
.46879 .51525 L
.4703 .51678 L
.47037 .51686 L
.4703 .51783 L
.46975 .51686 L
.4687 .51537 L
.46865 .51525 L
F
0 .74 1 r
.4703 .47388 m
.47178 .47512 L
.47191 .47523 L
.4733 .47672 L
.47351 .47695 L
.47468 .47833 L
.47512 .47855 L
.47601 .47993 L
.47672 .48067 L
.4777 .48154 L
.47833 .4828 L
.47863 .48314 L
.4798 .48475 L
.47993 .48492 L
.481 .48636 L
.48154 .48706 L
.4822 .48796 L
.48314 .48902 L
.48351 .48957 L
.4845 .49117 L
.48475 .49154 L
.48553 .49278 L
.48636 .49425 L
.48642 .49438 L
.48636 .49545 L
.48475 .49486 L
.48431 .49438 L
.48314 .49336 L
.48261 .49278 L
.48154 .49161 L
.48096 .49117 L
.47993 .48975 L
.47975 .48957 L
.47843 .48796 L
.47833 .48784 L
.47714 .48636 L
.47672 .48598 L
.47546 .48475 L
.47512 .48383 L
.47457 .48314 L
.47351 .48166 L
.47344 .48154 L
.47225 .47993 L
.47191 .47946 L
.47111 .47833 L
.4703 .47714 L
.4699 .47672 L
.46912 .47512 L
F
0 .73 1 r
.4703 .47396 m
.47172 .47512 L
.47191 .47529 L
.47326 .47672 L
.47351 .47699 L
.47465 .47833 L
.47512 .47857 L
.47598 .47993 L
.47672 .4807 L
.47767 .48154 L
.47833 .48283 L
.4786 .48314 L
.47978 .48475 L
.47993 .48495 L
.48098 .48636 L
.48154 .48709 L
.48218 .48796 L
.48314 .48908 L
.48347 .48957 L
.48446 .49117 L
.48475 .4916 L
.48548 .49278 L
.48634 .49438 L
.48475 .49476 L
.4844 .49438 L
.48314 .4933 L
.48266 .49278 L
.48154 .49156 L
.48102 .49117 L
.47993 .48971 L
.47978 .48957 L
.47846 .48796 L
.47833 .4878 L
.47717 .48636 L
.47672 .48595 L
.47548 .48475 L
.47512 .4838 L
.4746 .48314 L
.47351 .48162 L
.47346 .48154 L
.47228 .47993 L
.47191 .47941 L
.47114 .47833 L
.4703 .47707 L
.46996 .47672 L
.46918 .47512 L
F
0 .72 1 r
.4703 .47404 m
.47165 .47512 L
.47191 .47535 L
.47322 .47672 L
.47351 .47704 L
.47462 .47833 L
.47512 .4786 L
.47595 .47993 L
.47672 .48074 L
.47763 .48154 L
.47833 .48287 L
.47857 .48314 L
.47975 .48475 L
.47993 .48499 L
.48095 .48636 L
.48154 .48713 L
.48215 .48796 L
.48314 .48914 L
.48343 .48957 L
.48442 .49117 L
.48475 .49166 L
.48543 .49278 L
.48624 .49438 L
.48475 .49466 L
.4845 .49438 L
.48314 .49323 L
.48272 .49278 L
.48154 .49152 L
.48107 .49117 L
.47993 .48968 L
.47982 .48957 L
.4785 .48796 L
.47833 .48776 L
.4772 .48636 L
.47672 .48592 L
.4755 .48475 L
.47512 .48376 L
.47463 .48314 L
.47351 .48158 L
.47349 .48154 L
.47232 .47993 L
.47191 .47936 L
.47118 .47833 L
.4703 .47701 L
.47002 .47672 L
.46925 .47512 L
F
0 .71 1 r
.4703 .47413 m
.47157 .47512 L
.47191 .47541 L
.47317 .47672 L
.47351 .47708 L
.47458 .47833 L
.47512 .47862 L
.47592 .47993 L
.47672 .48077 L
.4776 .48154 L
.47833 .4829 L
.47854 .48314 L
.47972 .48475 L
.47993 .48502 L
.48093 .48636 L
.48154 .48716 L
.48212 .48796 L
.48314 .48921 L
.48338 .48957 L
.48438 .49117 L
.48475 .49173 L
.48538 .49278 L
.48612 .49438 L
.48475 .49454 L
.4846 .49438 L
.48314 .49317 L
.48278 .49278 L
.48154 .49147 L
.48113 .49117 L
.47993 .48964 L
.47986 .48957 L
.47853 .48796 L
.47833 .48772 L
.47724 .48636 L
.47672 .48588 L
.47553 .48475 L
.47512 .48372 L
.47466 .48314 L
.47352 .48154 L
.47351 .48154 L
.47235 .47993 L
.47191 .47931 L
.47122 .47833 L
.4703 .47694 L
.47009 .47672 L
.46933 .47512 L
F
0 .7 1 r
.4703 .47421 m
.4715 .47512 L
.47191 .47546 L
.47312 .47672 L
.47351 .47713 L
.47455 .47833 L
.47512 .47865 L
.47589 .47993 L
.47672 .48081 L
.47756 .48154 L
.47833 .48294 L
.47851 .48314 L
.4797 .48475 L
.47993 .48505 L
.4809 .48636 L
.48154 .4872 L
.4821 .48796 L
.48314 .48927 L
.48334 .48957 L
.48434 .49117 L
.48475 .49179 L
.48533 .49278 L
.48598 .49438 L
.48475 .49441 L
.48472 .49438 L
.48314 .4931 L
.48284 .49278 L
.48154 .49142 L
.48119 .49117 L
.47993 .4896 L
.4799 .48957 L
.47857 .48796 L
.47833 .48768 L
.47727 .48636 L
.47672 .48585 L
.47556 .48475 L
.47512 .48368 L
.47469 .48314 L
.47355 .48154 L
.47351 .48149 L
.47238 .47993 L
.47191 .47926 L
.47125 .47833 L
.4703 .47687 L
.47016 .47672 L
.4694 .47512 L
F
0 .69 1 r
.4703 .47431 m
.47142 .47512 L
.47191 .47552 L
.47308 .47672 L
.47351 .47717 L
.47451 .47833 L
.47512 .47868 L
.47586 .47993 L
.47672 .48084 L
.47752 .48154 L
.47833 .48297 L
.47848 .48314 L
.47967 .48475 L
.47993 .48509 L
.48087 .48636 L
.48154 .48723 L
.48207 .48796 L
.48314 .48934 L
.48329 .48957 L
.4843 .49117 L
.48475 .49187 L
.48527 .49278 L
.48475 .49431 L
.48314 .49304 L
.4829 .49278 L
.48154 .49137 L
.48126 .49117 L
.47994 .48957 L
.47993 .48956 L
.4786 .48796 L
.47833 .48764 L
.4773 .48636 L
.47672 .48582 L
.47559 .48475 L
.47512 .48364 L
.47473 .48314 L
.47358 .48154 L
.47351 .48145 L
.47242 .47993 L
.47191 .47921 L
.47129 .47833 L
.4703 .4768 L
.47023 .47672 L
.46948 .47512 L
F
0 .68 1 r
.4703 .4744 m
.47133 .47512 L
.47191 .47558 L
.47303 .47672 L
.47351 .47722 L
.47447 .47833 L
.47512 .47871 L
.47583 .47993 L
.47672 .48088 L
.47749 .48154 L
.47833 .48301 L
.47845 .48314 L
.47964 .48475 L
.47993 .48512 L
.48085 .48636 L
.48154 .48727 L
.48204 .48796 L
.48314 .48942 L
.48324 .48957 L
.48426 .49117 L
.48475 .49194 L
.48522 .49278 L
.48475 .49421 L
.48314 .49297 L
.48297 .49278 L
.48154 .49132 L
.48133 .49117 L
.47998 .48957 L
.47993 .48952 L
.47864 .48796 L
.47833 .4876 L
.47733 .48636 L
.47672 .48578 L
.47562 .48475 L
.47512 .4836 L
.47476 .48314 L
.47361 .48154 L
.47351 .48141 L
.47245 .47993 L
.47191 .47916 L
.47133 .47833 L
.4703 .47672 L
.4703 .47672 L
.46957 .47512 L
F
1 .98 .538 r
.4703 .47002 m
.47191 .46991 L
.47351 .47002 L
.47412 .4703 L
.47512 .47114 L
.47554 .47191 L
.47672 .47317 L
.47698 .47351 L
.47822 .47512 L
.47833 .47529 L
.47954 .47672 L
.47993 .47749 L
.48064 .47833 L
.48154 .47967 L
.4817 .47993 L
.48314 .4815 L
.48318 .48154 L
.48456 .48314 L
.48475 .48358 L
.48566 .48475 L
.48636 .48571 L
.48674 .48636 L
.48796 .4878 L
.48811 .48796 L
.48933 .48957 L
.48957 .4897 L
.49067 .49117 L
.49117 .4918 L
.49175 .49278 L
.49278 .49399 L
.49287 .49438 L
.49423 .49599 L
.49438 .49619 L
.49566 .49759 L
.49599 .49846 L
.49656 .4992 L
.49599 .49978 L
.49438 .49991 L
.49278 .49984 L
.49169 .4992 L
.49117 .49866 L
.49043 .49759 L
.48957 .49666 L
.48937 .49599 L
.48796 .49457 L
.48782 .49438 L
.48649 .49278 L
.48636 .49242 L
.48536 .49117 L
.48475 .49024 L
.48429 .48957 L
.48314 .48811 L
.48287 .48796 L
.48165 .48636 L
.48154 .48623 L
.48035 .48475 L
.47993 .48413 L
.47926 .48314 L
.47833 .48201 L
.4782 .48154 L
.47672 .47994 L
.47672 .47993 L
.47535 .47833 L
.47512 .47812 L
.47426 .47672 L
.47351 .47597 L
.47318 .47512 L
.47191 .47368 L
.47183 .47351 L
.47034 .47191 L
.4703 .47133 L
.46962 .4703 L
F
0 .67 1 r
.4703 .4745 m
.47124 .47512 L
.47191 .47564 L
.47298 .47672 L
.47351 .47726 L
.47444 .47833 L
.47512 .47875 L
.4758 .47993 L
.47672 .48092 L
.47745 .48154 L
.47833 .48305 L
.47842 .48314 L
.47962 .48475 L
.47993 .48516 L
.48082 .48636 L
.48154 .48731 L
.48201 .48796 L
.48314 .48949 L
.48319 .48957 L
.48422 .49117 L
.48475 .49202 L
.48516 .49278 L
.48475 .4941 L
.48314 .49289 L
.48303 .49278 L
.48154 .49127 L
.4814 .49117 L
.48002 .48957 L
.47993 .48947 L
.47867 .48796 L
.47833 .48756 L
.47736 .48636 L
.47672 .48575 L
.47565 .48475 L
.47512 .48355 L
.47479 .48314 L
.47365 .48154 L
.47351 .48136 L
.47249 .47993 L
.47191 .47911 L
.47137 .47833 L
.47036 .47672 L
.4703 .47663 L
.46966 .47512 L
F
1 .71 0 r
.4703 .51001 m
.47069 .51043 L
.47191 .51173 L
.47218 .51204 L
.47351 .51347 L
.4736 .51364 L
.47496 .51525 L
.47512 .51543 L
.47631 .51686 L
.47672 .51734 L
.47765 .51846 L
.47833 .51927 L
.47898 .52007 L
.47993 .52109 L
.4803 .52167 L
.48154 .5232 L
.48161 .52328 L
.48288 .52488 L
.48314 .52521 L
.48416 .52649 L
.48475 .52682 L
.48545 .52809 L
.48636 .52915 L
.48693 .5297 L
.48796 .53126 L
.488 .5313 L
.48925 .53291 L
.48957 .5333 L
.49051 .53451 L
.49117 .53514 L
.49234 .53612 L
.49278 .53736 L
.49309 .53772 L
.49427 .53933 L
.49438 .53947 L
.49551 .54093 L
.49599 .5411 L
.49675 .54254 L
.49759 .54351 L
.49819 .54414 L
.4992 .5457 L
.49924 .54575 L
.50045 .54735 L
.5008 .54781 L
.50168 .54896 L
.50241 .54966 L
.50337 .55057 L
.50401 .55199 L
.50417 .55217 L
.50533 .55378 L
.50562 .55414 L
.50654 .55538 L
.50722 .55627 L
.50775 .55699 L
.50883 .55835 L
.50905 .55859 L
.51014 .5602 L
.51043 .56058 L
.51132 .5618 L
.51204 .56275 L
.51251 .56341 L
.51364 .56488 L
.51377 .56501 L
.51483 .56662 L
.51525 .56718 L
.51597 .56822 L
.51686 .56945 L
.51711 .56983 L
.51819 .57143 L
.51846 .57181 L
.51918 .57304 L
.52007 .57447 L
.52014 .57464 L
.52007 .57492 L
.51975 .57464 L
.51846 .5735 L
.51806 .57304 L
.51686 .57176 L
.51658 .57143 L
.51525 .57001 L
.51517 .56983 L
.51383 .56822 L
.51364 .56802 L
.5125 .56662 L
.51204 .56609 L
.51118 .56501 L
.51043 .56413 L
.50986 .56341 L
.50883 .56232 L
.50854 .5618 L
.50724 .5602 L
.50722 .56017 L
.50598 .55859 L
.50562 .55816 L
.50471 .55699 L
.50401 .55614 L
.50343 .55538 L
.50241 .55421 L
.50194 .55378 L
.50088 .55217 L
.5008 .55207 L
.49964 .55057 L
.4992 .55001 L
.49839 .54896 L
.49759 .54822 L
.49713 .54735 L
.49599 .54594 L
.49581 .54575 L
.49464 .54414 L
.49438 .54382 L
.49341 .54254 L
.49278 .54174 L
.49217 .54093 L
.49117 .53979 L
.49072 .53933 L
.48968 .53772 L
.48957 .53758 L
.48847 .53612 L
.48796 .53547 L
.48725 .53451 L
.48636 .53364 L
.48601 .53291 L
.48477 .5313 L
.48475 .53127 L
.48359 .5297 L
.48314 .52913 L
.48238 .52809 L
.48154 .52701 L
.48116 .52649 L
.47993 .52489 L
.47993 .52488 L
.47877 .52328 L
.47833 .52271 L
.47759 .52167 L
.47672 .52055 L
.47638 .52007 L
.47518 .51846 L
.47512 .51838 L
.47406 .51686 L
.47351 .51613 L
.47292 .51525 L
.47191 .51389 L
.47175 .51364 L
.47068 .51204 L
.4703 .51152 L
.46969 .51043 L
F
0 .66 1 r
.4703 .47461 m
.47113 .47512 L
.47191 .47571 L
.47293 .47672 L
.47351 .47731 L
.4744 .47833 L
.47512 .47878 L
.47577 .47993 L
.47672 .48096 L
.4774 .48154 L
.47833 .48308 L
.47838 .48314 L
.47959 .48475 L
.47993 .48519 L
.48079 .48636 L
.48154 .48734 L
.48198 .48796 L
.48314 .48957 L
.48314 .48957 L
.48417 .49117 L
.48475 .49211 L
.4851 .49278 L
.48475 .49399 L
.48314 .49282 L
.4831 .49278 L
.48154 .49122 L
.48147 .49117 L
.48006 .48957 L
.47993 .48943 L
.47871 .48796 L
.47833 .48752 L
.47739 .48636 L
.47672 .48571 L
.47569 .48475 L
.47512 .48351 L
.47483 .48314 L
.47368 .48154 L
.47351 .48132 L
.47252 .47993 L
.47191 .47906 L
.47141 .47833 L
.47041 .47672 L
.4703 .47652 L
.46975 .47512 L
F
1 .84 .007 r
.4703 .41221 m
.47061 .41251 L
.47191 .41377 L
.47222 .41412 L
.47351 .41536 L
.4737 .41572 L
.47512 .41733 L
.47512 .41733 L
.47648 .41894 L
.47672 .41921 L
.47783 .42054 L
.47833 .42112 L
.47917 .42215 L
.47993 .42288 L
.4805 .42375 L
.48154 .42498 L
.48194 .42536 L
.48312 .42696 L
.48314 .42699 L
.48441 .42857 L
.48475 .4287 L
.48569 .43017 L
.48636 .43088 L
.48736 .43178 L
.48796 .43298 L
.48832 .43338 L
.48953 .43499 L
.48957 .43503 L
.49079 .43659 L
.49117 .4369 L
.49205 .4382 L
.49278 .43904 L
.49349 .4398 L
.49438 .44115 L
.49459 .44141 L
.49583 .44301 L
.49599 .44321 L
.49707 .44462 L
.49759 .44515 L
.49869 .44622 L
.4992 .4473 L
.49965 .44783 L
.5008 .4494 L
.50082 .44943 L
.50205 .45104 L
.50241 .45128 L
.50329 .45265 L
.50401 .45347 L
.50472 .45425 L
.50562 .45562 L
.5058 .45586 L
.50702 .45746 L
.50722 .45772 L
.50824 .45907 L
.50883 .45964 L
.50983 .46067 L
.51043 .46185 L
.51079 .46228 L
.51196 .46388 L
.51204 .46399 L
.51317 .46549 L
.51364 .46578 L
.5144 .46709 L
.51525 .46808 L
.51579 .4687 L
.51686 .47027 L
.51688 .4703 L
.51808 .47191 L
.51846 .4724 L
.51929 .47351 L
.52007 .47429 L
.52082 .47512 L
.52167 .47658 L
.52178 .47672 L
.52296 .47833 L
.52328 .47874 L
.52416 .47993 L
.52488 .48047 L
.52538 .48154 L
.52649 .48292 L
.52667 .48314 L
.5278 .48475 L
.52809 .48513 L
.52899 .48636 L
.5297 .48728 L
.53019 .48796 L
.5313 .48934 L
.53149 .48957 L
.53257 .49117 L
.53291 .4916 L
.53374 .49278 L
.53451 .4938 L
.53492 .49438 L
.53611 .49599 L
.53612 .49599 L
.53721 .49759 L
.53772 .49828 L
.53832 .4992 L
.53933 .5006 L
.53946 .5008 L
.54046 .50241 L
.54093 .50315 L
.54128 .50401 L
.54093 .50422 L
.5407 .50401 L
.53933 .50271 L
.53904 .50241 L
.53772 .50114 L
.53754 .5008 L
.53612 .4992 L
.53611 .4992 L
.53472 .49759 L
.53451 .49736 L
.53335 .49599 L
.53291 .49548 L
.53198 .49438 L
.5313 .49369 L
.53064 .49278 L
.5297 .49164 L
.52923 .49117 L
.52809 .48966 L
.52802 .48957 L
.5267 .48796 L
.52649 .48784 L
.5254 .48636 L
.52488 .48576 L
.52384 .48475 L
.52328 .48369 L
.52282 .48314 L
.52167 .48167 L
.52159 .48154 L
.52027 .47993 L
.52007 .47974 L
.519 .47833 L
.51846 .47766 L
.51765 .47672 L
.51686 .47558 L
.51653 .47512 L
.51525 .47355 L
.51524 .47351 L
.51395 .47191 L
.51364 .47156 L
.51249 .4703 L
.51204 .46946 L
.51145 .4687 L
.51043 .46737 L
.51029 .46709 L
.50895 .46549 L
.50883 .46538 L
.50729 .46388 L
.50722 .4633 L
.50638 .46228 L
.50562 .46117 L
.50528 .46067 L
.50401 .4591 L
.50401 .45907 L
.50275 .45746 L
.50241 .4571 L
.5013 .45586 L
.5008 .45496 L
.50027 .45425 L
.4992 .45284 L
.4991 .45265 L
.49782 .45104 L
.49759 .45088 L
.49615 .44943 L
.49599 .44872 L
.49527 .44783 L
.49438 .44656 L
.49416 .44622 L
.49291 .44462 L
.49278 .44445 L
.49169 .44301 L
.49117 .44248 L
.49025 .44141 L
.48957 .44026 L
.48923 .4398 L
.48804 .4382 L
.48796 .4381 L
.48683 .43659 L
.48636 .43626 L
.48516 .43499 L
.48475 .43392 L
.48433 .43338 L
.48321 .43178 L
.48314 .43169 L
.48203 .43017 L
.48154 .42953 L
.48083 .42857 L
.47993 .42752 L
.47949 .42696 L
.47846 .42536 L
.47833 .42518 L
.47731 .42375 L
.47672 .42297 L
.47614 .42215 L
.47512 .42091 L
.47482 .42054 L
.47386 .41894 L
.47351 .41846 L
.47276 .41733 L
.47191 .41612 L
.47165 .41572 L
.47064 .41412 L
.4703 .41359 L
.46979 .41251 L
F
1 .57 0 r
.4703 .481 m
.47074 .48154 L
.47191 .48289 L
.47209 .48314 L
.47191 .48425 L
.47104 .48314 L
.4703 .48224 L
.46982 .48154 L
F
0 .65 1 r
.4703 .47472 m
.47102 .47512 L
.47191 .47577 L
.47288 .47672 L
.47351 .47736 L
.47436 .47833 L
.47512 .47882 L
.47574 .47993 L
.47672 .48099 L
.47736 .48154 L
.47833 .48312 L
.47835 .48314 L
.47956 .48475 L
.47993 .48523 L
.48077 .48636 L
.48154 .48738 L
.48196 .48796 L
.48311 .48957 L
.48314 .48962 L
.48413 .49117 L
.48475 .49221 L
.48504 .49278 L
.48475 .49387 L
.48318 .49278 L
.48314 .49275 L
.48155 .49117 L
.48154 .49116 L
.4801 .48957 L
.47993 .48938 L
.47874 .48796 L
.47833 .48748 L
.47743 .48636 L
.47672 .48567 L
.47572 .48475 L
.47512 .48347 L
.47486 .48314 L
.47371 .48154 L
.47351 .48127 L
.47256 .47993 L
.47191 .479 L
.47145 .47833 L
.47047 .47672 L
.4703 .4764 L
.46986 .47512 L
F
.156 .94 1 r
.4703 .40562 m
.47084 .40609 L
.47191 .40705 L
.47253 .4077 L
.47351 .40829 L
.47405 .4093 L
.47512 .4104 L
.47551 .41091 L
.47672 .41229 L
.47698 .41251 L
.47829 .41412 L
.47833 .41416 L
.47965 .41572 L
.47993 .41596 L
.48099 .41733 L
.48154 .41797 L
.4826 .41894 L
.48314 .41997 L
.48365 .42054 L
.48475 .42196 L
.48488 .42215 L
.48623 .42375 L
.48636 .42388 L
.48752 .42536 L
.48796 .42591 L
.48889 .42696 L
.48957 .42798 L
.49001 .42857 L
.49117 .43002 L
.49122 .43017 L
.49261 .43178 L
.49278 .43197 L
.49406 .43338 L
.49438 .43405 L
.49514 .43499 L
.49599 .43615 L
.49626 .43659 L
.49759 .43816 L
.49765 .4382 L
.49917 .4398 L
.4992 .44018 L
.50023 .44141 L
.5008 .44229 L
.50132 .44301 L
.50241 .44439 L
.50247 .44462 L
.50388 .44622 L
.50401 .44637 L
.5053 .44783 L
.50562 .44847 L
.50637 .44943 L
.50722 .45059 L
.50749 .45104 L
.50883 .45263 L
.50885 .45265 L
.51038 .45425 L
.51043 .45467 L
.51142 .45586 L
.51204 .4568 L
.51251 .45746 L
.51364 .4589 L
.51368 .45907 L
.51503 .46067 L
.51525 .4609 L
.51647 .46228 L
.51686 .46301 L
.51753 .46388 L
.51846 .46514 L
.51865 .46549 L
.51998 .46709 L
.52007 .46716 L
.52156 .4687 L
.52167 .46924 L
.52255 .4703 L
.52328 .47138 L
.52364 .47191 L
.52488 .47348 L
.52489 .47351 L
.52613 .47512 L
.52649 .47547 L
.52759 .47672 L
.52809 .47762 L
.52864 .47833 L
.5297 .47975 L
.5298 .47993 L
.53106 .48154 L
.5313 .4817 L
.5327 .48314 L
.53291 .48385 L
.53364 .48475 L
.53451 .48602 L
.53474 .48636 L
.53598 .48796 L
.53612 .48814 L
.5372 .48957 L
.53772 .49007 L
.53867 .49117 L
.53933 .49228 L
.5397 .49278 L
.54089 .49438 L
.54093 .49443 L
.5421 .49599 L
.54254 .49626 L
.54376 .49759 L
.54414 .49853 L
.54467 .4992 L
.54575 .50074 L
.54579 .5008 L
.54699 .50241 L
.54735 .50287 L
.54821 .50401 L
.54896 .50477 L
.54966 .50562 L
.55057 .50705 L
.55069 .50722 L
.55187 .50883 L
.55217 .50921 L
.55307 .51043 L
.55378 .51098 L
.55467 .51204 L
.55538 .5134 L
.55557 .51364 L
.55671 .51525 L
.55699 .51561 L
.55789 .51686 L
.55859 .51776 L
.5591 .51846 L
.5602 .51982 L
.56038 .52007 L
.56148 .52167 L
.5618 .52209 L
.56264 .52328 L
.56341 .5243 L
.56382 .52488 L
.56501 .52649 L
.56501 .52649 L
.5661 .52809 L
.56662 .5288 L
.5672 .5297 L
.56822 .53114 L
.56832 .5313 L
.56929 .53291 L
.56983 .53377 L
.57012 .53451 L
.56983 .53492 L
.56934 .53451 L
.56822 .53351 L
.56764 .53291 L
.56662 .53225 L
.56612 .5313 L
.56501 .53013 L
.56466 .5297 L
.56341 .52826 L
.56322 .52809 L
.56186 .52649 L
.5618 .52642 L
.56048 .52488 L
.5602 .52462 L
.55911 .52328 L
.55859 .52263 L
.55761 .52167 L
.55699 .52065 L
.55651 .52007 L
.55538 .51867 L
.55529 .51846 L
.55382 .51686 L
.55378 .5168 L
.55226 .51525 L
.55217 .51479 L
.55122 .51364 L
.55057 .51273 L
.5501 .51204 L
.54896 .51066 L
.54864 .51043 L
.54738 .50883 L
.54735 .50879 L
.54604 .50722 L
.54575 .50672 L
.54492 .50562 L
.54414 .50461 L
.54384 .50401 L
.54254 .50252 L
.54231 .50241 L
.54098 .5008 L
.54093 .50063 L
.53981 .4992 L
.53933 .49851 L
.53872 .49759 L
.53772 .49637 L
.53729 .49599 L
.53612 .49446 L
.53606 .49438 L
.53476 .49278 L
.53451 .49237 L
.53364 .49117 L
.53291 .49022 L
.53259 .48957 L
.5313 .48811 L
.53107 .48796 L
.52976 .48636 L
.5297 .48617 L
.5286 .48475 L
.52809 .48404 L
.52752 .48314 L
.52649 .4819 L
.52611 .48154 L
.52488 .47993 L
.52488 .47993 L
.52358 .47833 L
.52328 .47784 L
.52248 .47672 L
.52167 .4757 L
.52142 .47512 L
.52007 .47361 L
.51993 .47351 L
.51858 .47191 L
.51846 .4716 L
.51746 .4703 L
.51686 .46947 L
.51638 .4687 L
.51525 .46735 L
.51499 .46709 L
.51377 .46549 L
.51364 .46535 L
.51245 .46388 L
.51204 .46324 L
.51136 .46228 L
.51043 .4611 L
.51027 .46067 L
.50885 .45907 L
.50883 .45905 L
.50742 .45746 L
.50722 .45699 L
.50636 .45586 L
.50562 .45485 L
.50526 .45425 L
.50401 .45274 L
.50393 .45265 L
.50271 .45104 L
.50241 .45073 L
.50135 .44943 L
.5008 .44859 L
.50028 .44783 L
.4992 .44645 L
.49912 .44622 L
.4978 .44462 L
.49759 .44447 L
.49631 .44301 L
.49599 .44232 L
.4953 .44141 L
.49438 .44015 L
.49418 .4398 L
.49291 .4382 L
.49278 .43802 L
.4917 .43659 L
.49117 .43606 L
.49032 .43499 L
.48957 .43383 L
.48926 .43338 L
.48805 .43178 L
.48796 .43166 L
.48685 .43017 L
.48636 .42981 L
.48532 .42857 L
.48475 .42749 L
.48437 .42696 L
.48322 .42536 L
.48314 .42526 L
.48204 .42375 L
.48154 .42309 L
.48085 .42215 L
.47993 .42108 L
.47954 .42054 L
.47847 .41894 L
.47833 .41875 L
.47732 .41733 L
.47672 .41653 L
.47615 .41572 L
.47512 .41445 L
.47488 .41412 L
.47387 .41251 L
.47351 .41202 L
.47278 .41091 L
.47191 .40965 L
.47169 .4093 L
.47069 .4077 L
.4703 .40707 L
.46986 .40609 L
F
1 .7 0 r
.4703 .51023 m
.4705 .51043 L
.47191 .51187 L
.47206 .51204 L
.47349 .51364 L
.47351 .51367 L
.47486 .51525 L
.47512 .51553 L
.47622 .51686 L
.47672 .51743 L
.47758 .51846 L
.47833 .51935 L
.47891 .52007 L
.47993 .52118 L
.48023 .52167 L
.48154 .52328 L
.48154 .52328 L
.48282 .52488 L
.48314 .52527 L
.48411 .52649 L
.48475 .52688 L
.4854 .52809 L
.48636 .52921 L
.48687 .5297 L
.48795 .5313 L
.48796 .53132 L
.48921 .53291 L
.48957 .53336 L
.49047 .53451 L
.49117 .5352 L
.49229 .53612 L
.49278 .53742 L
.49304 .53772 L
.49423 .53933 L
.49438 .53952 L
.49547 .54093 L
.49599 .54114 L
.49671 .54254 L
.49759 .54357 L
.49814 .54414 L
.49919 .54575 L
.4992 .54576 L
.50041 .54735 L
.5008 .54786 L
.50164 .54896 L
.50241 .54972 L
.50331 .55057 L
.50401 .55205 L
.50411 .55217 L
.50529 .55378 L
.50562 .5542 L
.50649 .55538 L
.50722 .55634 L
.50771 .55699 L
.50883 .55843 L
.50897 .55859 L
.51009 .5602 L
.51043 .56065 L
.51127 .5618 L
.51204 .56283 L
.51246 .56341 L
.51364 .56501 L
.51364 .56502 L
.51475 .56662 L
.51525 .56729 L
.51589 .56822 L
.51686 .56957 L
.51703 .56983 L
.51805 .57143 L
.51846 .57203 L
.51899 .57304 L
.51846 .5733 L
.51822 .57304 L
.51686 .57162 L
.51669 .57143 L
.51526 .56983 L
.51525 .56981 L
.51392 .56822 L
.51364 .56792 L
.51258 .56662 L
.51204 .566 L
.51124 .56501 L
.51043 .56406 L
.50992 .56341 L
.50883 .56223 L
.5086 .5618 L
.5073 .5602 L
.50722 .56011 L
.50603 .55859 L
.50562 .5581 L
.50475 .55699 L
.50401 .55608 L
.50347 .55538 L
.50241 .55415 L
.502 .55378 L
.50093 .55217 L
.5008 .55202 L
.49968 .55057 L
.4992 .54997 L
.49843 .54896 L
.49759 .54817 L
.49717 .54735 L
.49599 .54588 L
.49586 .54575 L
.49468 .54414 L
.49438 .54378 L
.49345 .54254 L
.49278 .5417 L
.4922 .54093 L
.49117 .53973 L
.49077 .53933 L
.48972 .53772 L
.48957 .53753 L
.48851 .53612 L
.48796 .53542 L
.48728 .53451 L
.48636 .53358 L
.48605 .53291 L
.48481 .5313 L
.48475 .53122 L
.48363 .5297 L
.48314 .52908 L
.48242 .52809 L
.48154 .52696 L
.4812 .52649 L
.47998 .52488 L
.47993 .52483 L
.47882 .52328 L
.47833 .52265 L
.47763 .52167 L
.47672 .52048 L
.47643 .52007 L
.47525 .51846 L
.47512 .5183 L
.47413 .51686 L
.47351 .51604 L
.47299 .51525 L
.47191 .51377 L
.47182 .51364 L
.47081 .51204 L
.4703 .5113 L
.4699 .51043 L
F
.001 .77 1 r
.4703 .41893 m
.4703 .41894 L
.4703 .4199 L
.46992 .41894 L
F
1 .56 0 r
.4703 .48116 m
.47061 .48154 L
.47191 .48302 L
.47199 .48314 L
.47191 .48408 L
.47118 .48314 L
.4703 .48206 L
.46996 .48154 L
F
0 .64 1 r
.4703 .47485 m
.47088 .47512 L
.47191 .47583 L
.47282 .47672 L
.47351 .4774 L
.47433 .47833 L
.47512 .47886 L
.47571 .47993 L
.47672 .48104 L
.47731 .48154 L
.47832 .48314 L
.47833 .48316 L
.47953 .48475 L
.47993 .48526 L
.48074 .48636 L
.48154 .48742 L
.48193 .48796 L
.48307 .48957 L
.48314 .48968 L
.48408 .49117 L
.48475 .49232 L
.48497 .49278 L
.48475 .49373 L
.48327 .49278 L
.48314 .49268 L
.4816 .49117 L
.48154 .49111 L
.48015 .48957 L
.47993 .48933 L
.47878 .48796 L
.47833 .48743 L
.47746 .48636 L
.47672 .48563 L
.47576 .48475 L
.47512 .48342 L
.4749 .48314 L
.47374 .48154 L
.47351 .48123 L
.47259 .47993 L
.47191 .47895 L
.47149 .47833 L
.47053 .47672 L
.4703 .47626 L
.46999 .47512 L
F
.084 .92 1 r
.4703 .50371 m
.47064 .50401 L
.47191 .5052 L
.47231 .50562 L
.47351 .50658 L
.47382 .50722 L
.47512 .50865 L
.47544 .50883 L
.47666 .51043 L
.47672 .51051 L
.47804 .51204 L
.47833 .51237 L
.47942 .51364 L
.47993 .5141 L
.48078 .51525 L
.48154 .51616 L
.48227 .51686 L
.48314 .51815 L
.4834 .51846 L
.48474 .52007 L
.48475 .52007 L
.48605 .52167 L
.48636 .52201 L
.48774 .52328 L
.48796 .52405 L
.48866 .52488 L
.48957 .5261 L
.48982 .52649 L
.49117 .52807 L
.4912 .52809 L
.49248 .5297 L
.49278 .53006 L
.49387 .5313 L
.49438 .53214 L
.49495 .53291 L
.49599 .53421 L
.49612 .53451 L
.49753 .53612 L
.49759 .53618 L
.49902 .53772 L
.4992 .53824 L
.50006 .53933 L
.5008 .54035 L
.50117 .54093 L
.50241 .54241 L
.50255 .54254 L
.5038 .54414 L
.50401 .5444 L
.50514 .54575 L
.50562 .54651 L
.50622 .54735 L
.50722 .54862 L
.50736 .54896 L
.50877 .55057 L
.50883 .55063 L
.51022 .55217 L
.51043 .55271 L
.51126 .55378 L
.51204 .55484 L
.51236 .55538 L
.51364 .55692 L
.51372 .55699 L
.51495 .55859 L
.51525 .55894 L
.51629 .5602 L
.51686 .56107 L
.51736 .5618 L
.51846 .5632 L
.51854 .56341 L
.51986 .56501 L
.52007 .56519 L
.52135 .56662 L
.52167 .56733 L
.52235 .56822 L
.52328 .56949 L
.52347 .56983 L
.52476 .57143 L
.52488 .57146 L
.52597 .57304 L
.52649 .5736 L
.52733 .57464 L
.52809 .5758 L
.5284 .57625 L
.52962 .57785 L
.5297 .57795 L
.53082 .57946 L
.5313 .57987 L
.53234 .58106 L
.53291 .58216 L
.53328 .58267 L
.53444 .58428 L
.53451 .58437 L
.53562 .58588 L
.53612 .58654 L
.53682 .58749 L
.53772 .58859 L
.53811 .58909 L
.53918 .5907 L
.53933 .59089 L
.54034 .5923 L
.54093 .59311 L
.5415 .59391 L
.54254 .59523 L
.54276 .59551 L
.54377 .59712 L
.54414 .59764 L
.54487 .59872 L
.54575 .59999 L
.54597 .60033 L
.54696 .60193 L
.54735 .60256 L
.54782 .60354 L
.54735 .60393 L
.54695 .60354 L
.54575 .60241 L
.54532 .60193 L
.54414 .60102 L
.54383 .60033 L
.54254 .59892 L
.5424 .59872 L
.54103 .59712 L
.54093 .59702 L
.53968 .59551 L
.53933 .59511 L
.53834 .59391 L
.53772 .59341 L
.53701 .5923 L
.53612 .59129 L
.53545 .5907 L
.53451 .58926 L
.53436 .58909 L
.53309 .58749 L
.53291 .58726 L
.53181 .58588 L
.5313 .58538 L
.52995 .58428 L
.5297 .58327 L
.52913 .58267 L
.52809 .58121 L
.52797 .58106 L
.52671 .57946 L
.52649 .57933 L
.52545 .57785 L
.52488 .57722 L
.52392 .57625 L
.52328 .5751 L
.52289 .57464 L
.52167 .57304 L
.52167 .57304 L
.52043 .57143 L
.52007 .57111 L
.51867 .56983 L
.51846 .56897 L
.5178 .56822 L
.51686 .56685 L
.51668 .56662 L
.51544 .56501 L
.51525 .56494 L
.51421 .56341 L
.51364 .56281 L
.5127 .5618 L
.51204 .56065 L
.51167 .5602 L
.51047 .55859 L
.51043 .55855 L
.50925 .55699 L
.50883 .55664 L
.50752 .55538 L
.50722 .55445 L
.50665 .55378 L
.50562 .5523 L
.50553 .55217 L
.50431 .55057 L
.50401 .55049 L
.50308 .54896 L
.50241 .54825 L
.50159 .54735 L
.5008 .54605 L
.50057 .54575 L
.49938 .54414 L
.4992 .54391 L
.49817 .54254 L
.49759 .54208 L
.49647 .54093 L
.49599 .53979 L
.4956 .53933 L
.49447 .53772 L
.49438 .53761 L
.49327 .53612 L
.49278 .53549 L
.49205 .53451 L
.49117 .53354 L
.49062 .53291 L
.48958 .5313 L
.48957 .53129 L
.48839 .5297 L
.48796 .52915 L
.48718 .52809 L
.48636 .52731 L
.48561 .52649 L
.48475 .52493 L
.48471 .52488 L
.48355 .52328 L
.48314 .52276 L
.48236 .52167 L
.48154 .52061 L
.48114 .52007 L
.47993 .51849 L
.47991 .51846 L
.47877 .51686 L
.47833 .51628 L
.4776 .51525 L
.47672 .51409 L
.47641 .51364 L
.47523 .51204 L
.47512 .51189 L
.47413 .51043 L
.47351 .50961 L
.473 .50883 L
.47191 .5073 L
.47186 .50722 L
.47088 .50562 L
.4703 .50471 L
.47002 .50401 L
F
.033 .89 1 r
.4703 .45434 m
.47183 .45586 L
.47191 .45594 L
.47325 .45746 L
.47351 .45776 L
.47458 .45907 L
.47512 .45974 L
.47583 .46067 L
.47672 .46192 L
.47697 .46228 L
.47786 .46388 L
.47672 .46413 L
.47648 .46388 L
.47512 .46248 L
.47495 .46228 L
.47362 .46067 L
.47351 .46055 L
.47241 .45907 L
.47191 .45842 L
.47125 .45746 L
.4703 .45614 L
.47013 .45586 L
F
0 .63 1 r
.4703 .47499 m
.47069 .47512 L
.47191 .4759 L
.47277 .47672 L
.47351 .47745 L
.47429 .47833 L
.47512 .4789 L
.47568 .47993 L
.47672 .48108 L
.47727 .48154 L
.47829 .48314 L
.47833 .48319 L
.47951 .48475 L
.47993 .4853 L
.48071 .48636 L
.48154 .48746 L
.4819 .48796 L
.48303 .48957 L
.48314 .48973 L
.48403 .49117 L
.48475 .49244 L
.4849 .49278 L
.48475 .49358 L
.48337 .49278 L
.48314 .49261 L
.48166 .49117 L
.48154 .49106 L
.48019 .48957 L
.47993 .48929 L
.47881 .48796 L
.47833 .48739 L
.47749 .48636 L
.47672 .48559 L
.4758 .48475 L
.47512 .48338 L
.47493 .48314 L
.47378 .48154 L
.47351 .48118 L
.47263 .47993 L
.47191 .47889 L
.47153 .47833 L
.47059 .47672 L
.4703 .47608 L
.47014 .47512 L
F
1 .55 0 r
.4703 .48139 m
.47043 .48154 L
.4703 .4818 L
.47016 .48154 L
F
1 .97 .395 r
.4703 .47026 m
.47191 .47005 L
.47351 .47029 L
.47356 .4703 L
.47512 .47134 L
.47545 .47191 L
.47672 .47326 L
.47692 .47351 L
.47818 .47512 L
.47833 .47536 L
.47951 .47672 L
.47993 .47754 L
.48061 .47833 L
.48154 .47969 L
.48169 .47993 L
.48314 .48153 L
.48315 .48154 L
.48454 .48314 L
.48475 .48361 L
.48564 .48475 L
.48636 .48573 L
.48673 .48636 L
.48796 .48783 L
.48809 .48796 L
.48931 .48957 L
.48957 .48971 L
.49065 .49117 L
.49117 .49183 L
.49172 .49278 L
.49278 .49404 L
.49285 .49438 L
.49418 .49599 L
.49438 .49627 L
.4956 .49759 L
.49599 .49868 L
.49631 .4992 L
.49599 .49956 L
.49438 .49978 L
.49278 .49959 L
.49195 .4992 L
.49117 .49848 L
.49052 .49759 L
.48957 .49657 L
.4894 .49599 L
.48796 .49451 L
.48786 .49438 L
.48651 .49278 L
.48636 .49237 L
.48538 .49117 L
.48475 .4902 L
.48431 .48957 L
.48314 .48809 L
.48289 .48796 L
.48167 .48636 L
.48154 .48621 L
.48037 .48475 L
.47993 .48411 L
.47928 .48314 L
.47833 .48198 L
.47821 .48154 L
.47675 .47993 L
.47672 .4799 L
.47536 .47833 L
.47512 .47809 L
.47429 .47672 L
.47351 .47591 L
.47321 .47512 L
.47191 .47356 L
.47189 .47351 L
.47036 .47191 L
.4703 .471 L
.4702 .4703 L
F
1 .96 .289 r
.47191 .4702 m
.47286 .4703 L
.47351 .47045 L
.47512 .47152 L
.47537 .47191 L
.47672 .47336 L
.47685 .47351 L
.47813 .47512 L
.47833 .47543 L
.47948 .47672 L
.47993 .47758 L
.48059 .47833 L
.48154 .47971 L
.48168 .47993 L
.48313 .48154 L
.48314 .48156 L
.48453 .48314 L
.48475 .48363 L
.48562 .48475 L
.48636 .48576 L
.48671 .48636 L
.48796 .48785 L
.48807 .48796 L
.48929 .48957 L
.48957 .48973 L
.49062 .49117 L
.49117 .49186 L
.4917 .49278 L
.49278 .49409 L
.49284 .49438 L
.49413 .49599 L
.49438 .49635 L
.49554 .49759 L
.49599 .49909 L
.49601 .4992 L
.49599 .49923 L
.49438 .49965 L
.49278 .4994 L
.49227 .4992 L
.49117 .49833 L
.49061 .49759 L
.48957 .49648 L
.48943 .49599 L
.48796 .49445 L
.48791 .49438 L
.48653 .49278 L
.48636 .49233 L
.48541 .49117 L
.48475 .49017 L
.48433 .48957 L
.48314 .48808 L
.48292 .48796 L
.48169 .48636 L
.48154 .48618 L
.48038 .48475 L
.47993 .48408 L
.4793 .48314 L
.47833 .48195 L
.47821 .48154 L
.47677 .47993 L
.47672 .47987 L
.47538 .47833 L
.47512 .47807 L
.47432 .47672 L
.47351 .47585 L
.47324 .47512 L
.47195 .47351 L
.47191 .47345 L
.4704 .47191 L
.47089 .4703 L
F
1 .95 .212 r
.47191 .47035 m
.47351 .47059 L
.47512 .47167 L
.47528 .47191 L
.47672 .47344 L
.47678 .47351 L
.47809 .47512 L
.47833 .4755 L
.47946 .47672 L
.47993 .47762 L
.48056 .47833 L
.48154 .47973 L
.48167 .47993 L
.48311 .48154 L
.48314 .48158 L
.48452 .48314 L
.48475 .48366 L
.4856 .48475 L
.48636 .48578 L
.4867 .48636 L
.48796 .48787 L
.48805 .48796 L
.48926 .48957 L
.48957 .48975 L
.4906 .49117 L
.49117 .4919 L
.49167 .49278 L
.49278 .49415 L
.49283 .49438 L
.49408 .49599 L
.49438 .49643 L
.49547 .49759 L
.49569 .4992 L
.49438 .49952 L
.49278 .49923 L
.49269 .4992 L
.49117 .49819 L
.49069 .49759 L
.48957 .4964 L
.48945 .49599 L
.48796 .49439 L
.48795 .49438 L
.48655 .49278 L
.48636 .49228 L
.48543 .49117 L
.48475 .49014 L
.48435 .48957 L
.48314 .48806 L
.48294 .48796 L
.48171 .48636 L
.48154 .48616 L
.4804 .48475 L
.47993 .48405 L
.47932 .48314 L
.47833 .48192 L
.47822 .48154 L
.4768 .47993 L
.47672 .47984 L
.4754 .47833 L
.47512 .47804 L
.47435 .47672 L
.47351 .47578 L
.47327 .47512 L
.47201 .47351 L
.47191 .47336 L
.47045 .47191 L
F
1 .94 .156 r
.47191 .47049 m
.47351 .47072 L
.47512 .4718 L
.4752 .47191 L
.47671 .47351 L
.47672 .47353 L
.47804 .47512 L
.47833 .47556 L
.47943 .47672 L
.47993 .47767 L
.48054 .47833 L
.48154 .47975 L
.48166 .47993 L
.48308 .48154 L
.48314 .48161 L
.48451 .48314 L
.48475 .48368 L
.48558 .48475 L
.48636 .48581 L
.48668 .48636 L
.48796 .48789 L
.48802 .48796 L
.48924 .48957 L
.48957 .48976 L
.49058 .49117 L
.49117 .49194 L
.49165 .49278 L
.49278 .49421 L
.49281 .49438 L
.49403 .49599 L
.49438 .49651 L
.4954 .49759 L
.49532 .4992 L
.49438 .49939 L
.49312 .4992 L
.49278 .499 L
.49117 .49806 L
.49078 .49759 L
.48957 .49632 L
.48947 .49599 L
.488 .49438 L
.48796 .49433 L
.48657 .49278 L
.48636 .49224 L
.48546 .49117 L
.48475 .49011 L
.48436 .48957 L
.48314 .48805 L
.48297 .48796 L
.48174 .48636 L
.48154 .48613 L
.48042 .48475 L
.47993 .48402 L
.47934 .48314 L
.47833 .4819 L
.47823 .48154 L
.47682 .47993 L
.47672 .4798 L
.47542 .47833 L
.47512 .47801 L
.47438 .47672 L
.47351 .47572 L
.4733 .47512 L
.47207 .47351 L
.47191 .47326 L
.47053 .47191 L
F
1 .93 .114 r
.47191 .47064 m
.47351 .47085 L
.4751 .47191 L
.47512 .47194 L
.47665 .47351 L
.47672 .47363 L
.478 .47512 L
.47833 .47562 L
.4794 .47672 L
.47993 .4777 L
.48051 .47833 L
.48154 .47977 L
.48165 .47993 L
.48306 .48154 L
.48314 .48163 L
.48449 .48314 L
.48475 .48371 L
.48556 .48475 L
.48636 .48583 L
.48667 .48636 L
.48796 .48792 L
.488 .48796 L
.48922 .48957 L
.48957 .48978 L
.49056 .49117 L
.49117 .49197 L
.49162 .49278 L
.49278 .49427 L
.4928 .49438 L
.49398 .49599 L
.49438 .4966 L
.49531 .49759 L
.49481 .4992 L
.49438 .49926 L
.49368 .4992 L
.49278 .49879 L
.49117 .49794 L
.49086 .49759 L
.48957 .49624 L
.48949 .49599 L
.48804 .49438 L
.48796 .49427 L
.48659 .49278 L
.48636 .49219 L
.48549 .49117 L
.48475 .49008 L
.48438 .48957 L
.48314 .48804 L
.48299 .48796 L
.48176 .48636 L
.48154 .48611 L
.48044 .48475 L
.47993 .484 L
.47935 .48314 L
.47833 .48187 L
.47824 .48154 L
.47685 .47993 L
.47672 .47977 L
.47544 .47833 L
.47512 .47797 L
.47441 .47672 L
.47351 .47564 L
.47332 .47512 L
.47213 .47351 L
.47191 .47315 L
.47063 .47191 L
F
0 .62 1 r
.47191 .47596 m
.47271 .47672 L
.47351 .4775 L
.47425 .47833 L
.47512 .47894 L
.47565 .47993 L
.47672 .48112 L
.47722 .48154 L
.47826 .48314 L
.47833 .48323 L
.47948 .48475 L
.47993 .48534 L
.48068 .48636 L
.48154 .4875 L
.48187 .48796 L
.48299 .48957 L
.48314 .48979 L
.48398 .49117 L
.48475 .49259 L
.48482 .49278 L
.48475 .49338 L
.48348 .49278 L
.48314 .49253 L
.48172 .49117 L
.48154 .491 L
.48023 .48957 L
.47993 .48924 L
.47885 .48796 L
.47833 .48735 L
.47752 .48636 L
.47672 .48555 L
.47584 .48475 L
.47512 .48333 L
.47497 .48314 L
.47381 .48154 L
.47351 .48113 L
.47266 .47993 L
.47191 .47883 L
.47157 .47833 L
.47066 .47672 L
F
0 .61 1 r
.47191 .47603 m
.47265 .47672 L
.47351 .47755 L
.47421 .47833 L
.47512 .47899 L
.47561 .47993 L
.47672 .48116 L
.47717 .48154 L
.47823 .48314 L
.47833 .48327 L
.47945 .48475 L
.47993 .48537 L
.48065 .48636 L
.48154 .48754 L
.48184 .48796 L
.48295 .48957 L
.48314 .48985 L
.48393 .49117 L
.48314 .49246 L
.48178 .49117 L
.48154 .49095 L
.48028 .48957 L
.47993 .4892 L
.47889 .48796 L
.47833 .48731 L
.47756 .48636 L
.47672 .48551 L
.47589 .48475 L
.47512 .48328 L
.47501 .48314 L
.47385 .48154 L
.47351 .48109 L
.4727 .47993 L
.47191 .47877 L
.47162 .47833 L
.47073 .47672 L
F
1 .92 .084 r
.47191 .47079 m
.47351 .47097 L
.47497 .47191 L
.47512 .4721 L
.47658 .47351 L
.47672 .47372 L
.47795 .47512 L
.47833 .47568 L
.47937 .47672 L
.47993 .47774 L
.48049 .47833 L
.48154 .47979 L
.48164 .47993 L
.48304 .48154 L
.48314 .48165 L
.48448 .48314 L
.48475 .48373 L
.48555 .48475 L
.48636 .48586 L
.48665 .48636 L
.48796 .48794 L
.48798 .48796 L
.4892 .48957 L
.48957 .4898 L
.49054 .49117 L
.49117 .49201 L
.4916 .49278 L
.49278 .49433 L
.49279 .49438 L
.49393 .49599 L
.49438 .4967 L
.49522 .49759 L
.49438 .49912 L
.49278 .49861 L
.49117 .49783 L
.49095 .49759 L
.48957 .49616 L
.48952 .49599 L
.48808 .49438 L
.48796 .49422 L
.48661 .49278 L
.48636 .49215 L
.48551 .49117 L
.48475 .49005 L
.4844 .48957 L
.48314 .48802 L
.48301 .48796 L
.48178 .48636 L
.48154 .48608 L
.48046 .48475 L
.47993 .48397 L
.47937 .48314 L
.47833 .48184 L
.47825 .48154 L
.47687 .47993 L
.47672 .47974 L
.47545 .47833 L
.47512 .47794 L
.47444 .47672 L
.47351 .47557 L
.47335 .47512 L
.4722 .47351 L
.47191 .47303 L
.47076 .47191 L
F
0 .6 1 r
.47191 .4761 m
.47259 .47672 L
.47351 .4776 L
.47417 .47833 L
.47512 .47904 L
.47558 .47993 L
.47672 .48121 L
.47712 .48154 L
.4782 .48314 L
.47833 .4833 L
.47942 .48475 L
.47993 .48541 L
.48062 .48636 L
.48154 .48758 L
.48181 .48796 L
.48291 .48957 L
.48314 .48992 L
.48388 .49117 L
.48314 .49238 L
.48184 .49117 L
.48154 .49089 L
.48032 .48957 L
.47993 .48915 L
.47892 .48796 L
.47833 .48727 L
.47759 .48636 L
.47672 .48546 L
.47594 .48475 L
.47512 .48323 L
.47505 .48314 L
.47388 .48154 L
.47351 .48104 L
.47274 .47993 L
.47191 .47871 L
.47166 .47833 L
.4708 .47672 L
F
0 .59 1 r
.47191 .47618 m
.47252 .47672 L
.47351 .47765 L
.47412 .47833 L
.47512 .47909 L
.47555 .47993 L
.47672 .48126 L
.47706 .48154 L
.47817 .48314 L
.47833 .48334 L
.47939 .48475 L
.47993 .48545 L
.4806 .48636 L
.48154 .48762 L
.48178 .48796 L
.48287 .48957 L
.48314 .48999 L
.48382 .49117 L
.48314 .4923 L
.4819 .49117 L
.48154 .49083 L
.48037 .48957 L
.47993 .4891 L
.47896 .48796 L
.47833 .48722 L
.47762 .48636 L
.47672 .48541 L
.47599 .48475 L
.47512 .48318 L
.47509 .48314 L
.47392 .48154 L
.47351 .48099 L
.47277 .47993 L
.47191 .47865 L
.4717 .47833 L
.47087 .47672 L
F
1 .83 .005 r
.47191 .41403 m
.47199 .41412 L
.47351 .41568 L
.47353 .41572 L
.47496 .41733 L
.47512 .41749 L
.47635 .41894 L
.47672 .41934 L
.47772 .42054 L
.47833 .42123 L
.47908 .42215 L
.47993 .42298 L
.48042 .42375 L
.48154 .42507 L
.48185 .42536 L
.48305 .42696 L
.48314 .42707 L
.48434 .42857 L
.48475 .42874 L
.48563 .43017 L
.48636 .43095 L
.4873 .43178 L
.48796 .43305 L
.48826 .43338 L
.48948 .43499 L
.48957 .43509 L
.49074 .43659 L
.49117 .43694 L
.49201 .4382 L
.49278 .4391 L
.49345 .4398 L
.49438 .4412 L
.49455 .44141 L
.49579 .44301 L
.49599 .44326 L
.49703 .44462 L
.49759 .44519 L
.49865 .44622 L
.4992 .44735 L
.49961 .44783 L
.50079 .44943 L
.5008 .44945 L
.50202 .45104 L
.50241 .4513 L
.50326 .45265 L
.50401 .45351 L
.50468 .45425 L
.50562 .45566 L
.50577 .45586 L
.50698 .45746 L
.50722 .45776 L
.50821 .45907 L
.50883 .45967 L
.5098 .46067 L
.51043 .46189 L
.51075 .46228 L
.51193 .46388 L
.51204 .46403 L
.51314 .46549 L
.51364 .46581 L
.51437 .46709 L
.51525 .46812 L
.51575 .4687 L
.51684 .4703 L
.51686 .47032 L
.51804 .47191 L
.51846 .47244 L
.51926 .47351 L
.52007 .47434 L
.52077 .47512 L
.52167 .47663 L
.52174 .47672 L
.52292 .47833 L
.52328 .47878 L
.52412 .47993 L
.52488 .48053 L
.52534 .48154 L
.52649 .48299 L
.52661 .48314 L
.52775 .48475 L
.52809 .48519 L
.52894 .48636 L
.5297 .48734 L
.53014 .48796 L
.5313 .48944 L
.5314 .48957 L
.53251 .49117 L
.53291 .49169 L
.53367 .49278 L
.53451 .4939 L
.53485 .49438 L
.53602 .49599 L
.53612 .49611 L
.53711 .49759 L
.53772 .49843 L
.53821 .4992 L
.53933 .5008 L
.53933 .5008 L
.54016 .50241 L
.53933 .50243 L
.53931 .50241 L
.53773 .5008 L
.53772 .50079 L
.53627 .4992 L
.53612 .49904 L
.53485 .49759 L
.53451 .49722 L
.53346 .49599 L
.53291 .49535 L
.53209 .49438 L
.5313 .49358 L
.53073 .49278 L
.5297 .49153 L
.52933 .49117 L
.52809 .48957 L
.52809 .48957 L
.52678 .48796 L
.52649 .4878 L
.52547 .48636 L
.52488 .48568 L
.5239 .48475 L
.52328 .48362 L
.52288 .48314 L
.52167 .48161 L
.52163 .48154 L
.52033 .47993 L
.52007 .47969 L
.51905 .47833 L
.51846 .4776 L
.51769 .47672 L
.51686 .47552 L
.51657 .47512 L
.51526 .47351 L
.51525 .47351 L
.514 .47191 L
.51364 .47151 L
.51252 .4703 L
.51204 .4694 L
.51149 .4687 L
.51043 .46732 L
.51031 .46709 L
.50899 .46549 L
.50883 .46535 L
.5073 .46388 L
.50722 .46325 L
.50642 .46228 L
.50562 .46113 L
.50531 .46067 L
.50402 .45907 L
.50401 .45907 L
.50278 .45746 L
.50241 .45706 L
.50133 .45586 L
.5008 .45491 L
.50031 .45425 L
.4992 .45279 L
.49912 .45265 L
.49785 .45104 L
.49759 .45085 L
.49617 .44943 L
.49599 .44868 L
.4953 .44783 L
.49438 .44651 L
.49419 .44622 L
.49295 .44462 L
.49278 .44439 L
.49173 .44301 L
.49117 .44243 L
.49029 .44141 L
.48957 .4402 L
.48927 .4398 L
.48808 .4382 L
.48796 .43804 L
.48688 .43659 L
.48636 .43621 L
.4852 .43499 L
.48475 .43385 L
.48439 .43338 L
.48327 .43178 L
.48314 .43162 L
.48208 .43017 L
.48154 .42945 L
.48089 .42857 L
.47993 .42741 L
.47957 .42696 L
.47853 .42536 L
.47833 .42509 L
.47738 .42375 L
.47672 .42286 L
.47622 .42215 L
.47512 .42069 L
.475 .42054 L
.47397 .41894 L
.47351 .41829 L
.47289 .41733 L
.47191 .4159 L
.4718 .41572 L
.47093 .41412 L
F
1 .91 .061 r
.47191 .47096 m
.47351 .47109 L
.47484 .47191 L
.47512 .47225 L
.47651 .47351 L
.47672 .47381 L
.4779 .47512 L
.47833 .47574 L
.47934 .47672 L
.47993 .47778 L
.48046 .47833 L
.48154 .47981 L
.48163 .47993 L
.48302 .48154 L
.48314 .48168 L
.48447 .48314 L
.48475 .48376 L
.48553 .48475 L
.48636 .48588 L
.48664 .48636 L
.48796 .48796 L
.48796 .48796 L
.48917 .48957 L
.48957 .48982 L
.49052 .49117 L
.49117 .49205 L
.49157 .49278 L
.49277 .49438 L
.49278 .49439 L
.49388 .49599 L
.49438 .4968 L
.49511 .49759 L
.49438 .49898 L
.49278 .49846 L
.49117 .49773 L
.49104 .49759 L
.48957 .49609 L
.48954 .49599 L
.48812 .49438 L
.48796 .49416 L
.48663 .49278 L
.48636 .49211 L
.48554 .49117 L
.48475 .49002 L
.48442 .48957 L
.48314 .48801 L
.48304 .48796 L
.4818 .48636 L
.48154 .48606 L
.48047 .48475 L
.47993 .48394 L
.47939 .48314 L
.47833 .48181 L
.47826 .48154 L
.4769 .47993 L
.47672 .4797 L
.47547 .47833 L
.47512 .4779 L
.47447 .47672 L
.47351 .47549 L
.47338 .47512 L
.47226 .47351 L
.47191 .47289 L
.47093 .47191 L
F
0 .58 1 r
.47191 .47625 m
.47245 .47672 L
.47351 .4777 L
.47408 .47833 L
.47512 .47915 L
.47552 .47993 L
.47672 .4813 L
.47701 .48154 L
.47814 .48314 L
.47833 .48338 L
.47936 .48475 L
.47993 .48549 L
.48057 .48636 L
.48154 .48767 L
.48175 .48796 L
.48282 .48957 L
.48314 .49006 L
.48377 .49117 L
.48314 .49221 L
.48197 .49117 L
.48154 .49077 L
.48042 .48957 L
.47993 .48905 L
.479 .48796 L
.47833 .48718 L
.47766 .48636 L
.47672 .48536 L
.47604 .48475 L
.47513 .48314 L
.47512 .48313 L
.47395 .48154 L
.47351 .48094 L
.47281 .47993 L
.47191 .47858 L
.47175 .47833 L
.47095 .47672 L
F
1 .69 0 r
.47191 .51204 m
.47191 .51204 L
.47336 .51364 L
.47351 .5138 L
.47476 .51525 L
.47512 .51564 L
.47614 .51686 L
.47672 .51752 L
.4775 .51846 L
.47833 .51944 L
.47885 .52007 L
.47993 .52128 L
.48017 .52167 L
.48148 .52328 L
.48154 .52335 L
.48277 .52488 L
.48314 .52534 L
.48406 .52649 L
.48475 .52694 L
.48535 .52809 L
.48636 .52928 L
.4868 .5297 L
.4879 .5313 L
.48796 .53137 L
.48916 .53291 L
.48957 .53341 L
.49043 .53451 L
.49117 .53525 L
.49223 .53612 L
.49278 .53748 L
.49299 .53772 L
.49419 .53933 L
.49438 .53957 L
.49543 .54093 L
.49599 .54118 L
.49667 .54254 L
.49759 .54363 L
.49809 .54414 L
.49915 .54575 L
.4992 .54581 L
.50037 .54735 L
.5008 .54791 L
.50159 .54896 L
.50241 .54978 L
.50324 .55057 L
.50401 .55212 L
.50406 .55217 L
.50524 .55378 L
.50562 .55426 L
.50645 .55538 L
.50722 .5564 L
.50766 .55699 L
.50883 .55852 L
.50889 .55859 L
.51003 .5602 L
.51043 .56072 L
.51121 .5618 L
.51204 .56291 L
.5124 .56341 L
.51357 .56501 L
.51364 .56511 L
.51467 .56662 L
.51525 .5674 L
.5158 .56822 L
.51686 .56971 L
.51693 .56983 L
.51788 .57143 L
.51846 .57235 L
.5186 .57304 L
.51846 .57304 L
.51846 .57304 L
.51686 .57148 L
.51682 .57143 L
.51538 .56983 L
.51525 .56969 L
.51401 .56822 L
.51364 .56782 L
.51266 .56662 L
.51204 .56592 L
.51131 .56501 L
.51043 .56399 L
.50997 .56341 L
.50883 .56214 L
.50865 .5618 L
.50735 .5602 L
.50722 .56004 L
.50608 .55859 L
.50562 .55804 L
.5048 .55699 L
.50401 .55603 L
.50351 .55538 L
.50241 .55408 L
.50207 .55378 L
.50097 .55217 L
.5008 .55197 L
.49972 .55057 L
.4992 .54992 L
.49847 .54896 L
.49759 .54811 L
.4972 .54735 L
.49599 .54583 L
.49591 .54575 L
.49471 .54414 L
.49438 .54373 L
.49348 .54254 L
.49278 .54165 L
.49224 .54093 L
.49117 .53967 L
.49083 .53933 L
.48976 .53772 L
.48957 .53748 L
.48855 .53612 L
.48796 .53538 L
.48732 .53451 L
.48636 .53351 L
.48608 .53291 L
.48486 .5313 L
.48475 .53117 L
.48367 .5297 L
.48314 .52903 L
.48246 .52809 L
.48154 .5269 L
.48124 .52649 L
.48002 .52488 L
.47993 .52477 L
.47887 .52328 L
.47833 .52258 L
.47768 .52167 L
.47672 .52041 L
.47648 .52007 L
.47531 .51846 L
.47512 .51821 L
.4742 .51686 L
.47351 .51593 L
.47307 .51525 L
.47191 .51365 L
.47191 .51364 L
.47099 .51204 L
F
0 .57 1 r
.47191 .47633 m
.47237 .47672 L
.47351 .47775 L
.47404 .47833 L
.47512 .47921 L
.47548 .47993 L
.47672 .48135 L
.47695 .48154 L
.47811 .48314 L
.47833 .48342 L
.47933 .48475 L
.47993 .48553 L
.48054 .48636 L
.48154 .48771 L
.48171 .48796 L
.48278 .48957 L
.48314 .49014 L
.4837 .49117 L
.48314 .49213 L
.48204 .49117 L
.48154 .49072 L
.48046 .48957 L
.47993 .489 L
.47904 .48796 L
.47833 .48714 L
.47769 .48636 L
.47672 .48531 L
.47609 .48475 L
.47516 .48314 L
.47512 .48309 L
.47399 .48154 L
.47351 .48089 L
.47285 .47993 L
.47191 .47851 L
.4718 .47833 L
.47104 .47672 L
F
1 .9 .045 r
.47191 .47114 m
.47351 .47121 L
.4747 .47191 L
.47512 .47238 L
.47644 .47351 L
.47672 .47389 L
.47786 .47512 L
.47833 .47579 L
.47931 .47672 L
.47993 .47782 L
.48044 .47833 L
.48154 .47982 L
.48162 .47993 L
.48299 .48154 L
.48314 .4817 L
.48445 .48314 L
.48475 .48379 L
.48551 .48475 L
.48636 .48591 L
.48662 .48636 L
.48794 .48796 L
.48796 .48799 L
.48915 .48957 L
.48957 .48984 L
.4905 .49117 L
.49117 .49209 L
.49155 .49278 L
.49273 .49438 L
.49278 .49444 L
.49383 .49599 L
.49438 .49691 L
.49499 .49759 L
.49438 .49883 L
.49278 .49834 L
.49117 .49762 L
.49114 .49759 L
.48957 .49602 L
.48956 .49599 L
.48816 .49438 L
.48796 .49411 L
.48665 .49278 L
.48636 .49207 L
.48556 .49117 L
.48475 .48999 L
.48444 .48957 L
.48314 .488 L
.48306 .48796 L
.48182 .48636 L
.48154 .48603 L
.48049 .48475 L
.47993 .48392 L
.47941 .48314 L
.47833 .48179 L
.47826 .48154 L
.47692 .47993 L
.47672 .47967 L
.47549 .47833 L
.47512 .47786 L
.4745 .47672 L
.47351 .47541 L
.47341 .47512 L
.47232 .47351 L
.47191 .47274 L
.47113 .47191 L
F
0 .56 1 r
.47191 .47641 m
.47229 .47672 L
.47351 .47781 L
.47399 .47833 L
.47512 .47927 L
.47545 .47993 L
.47672 .4814 L
.47689 .48154 L
.47807 .48314 L
.47833 .48346 L
.4793 .48475 L
.47993 .48557 L
.48051 .48636 L
.48154 .48776 L
.48168 .48796 L
.48273 .48957 L
.48314 .49022 L
.48364 .49117 L
.48314 .49203 L
.48212 .49117 L
.48154 .49065 L
.48051 .48957 L
.47993 .48895 L
.47908 .48796 L
.47833 .48709 L
.47773 .48636 L
.47672 .48526 L
.47615 .48475 L
.4752 .48314 L
.47512 .48304 L
.47402 .48154 L
.47351 .48084 L
.47289 .47993 L
.47191 .47843 L
.47184 .47833 L
.47114 .47672 L
F
0 .55 1 r
.47191 .4765 m
.47219 .47672 L
.47351 .47786 L
.47394 .47833 L
.47512 .47934 L
.47541 .47993 L
.47672 .48145 L
.47683 .48154 L
.47804 .48314 L
.47833 .4835 L
.47927 .48475 L
.47993 .48561 L
.48047 .48636 L
.48154 .4878 L
.48165 .48796 L
.48268 .48957 L
.48314 .49031 L
.48357 .49117 L
.48314 .49193 L
.48221 .49117 L
.48154 .49059 L
.48056 .48957 L
.47993 .48891 L
.47912 .48796 L
.47833 .48705 L
.47776 .48636 L
.47672 .48521 L
.47621 .48475 L
.47523 .48314 L
.47512 .483 L
.47406 .48154 L
.47351 .48078 L
.47293 .47993 L
.47191 .47835 L
.47189 .47833 L
.47125 .47672 L
F
1 .97 .395 r
.47191 .44986 m
.47329 .45104 L
.47351 .45123 L
.47495 .45265 L
.47512 .45281 L
.47647 .45425 L
.47672 .45432 L
.47792 .45586 L
.47833 .45631 L
.47971 .45746 L
.47993 .4583 L
.4805 .45907 L
.48154 .46035 L
.48191 .46067 L
.48312 .46228 L
.48314 .46232 L
.4843 .46388 L
.48475 .46458 L
.48548 .46549 L
.48607 .46709 L
.48475 .46784 L
.4836 .46709 L
.48314 .46669 L
.48204 .46549 L
.48154 .46492 L
.48071 .46388 L
.47993 .46339 L
.47942 .46228 L
.47833 .46103 L
.47799 .46067 L
.47693 .45907 L
.47672 .45881 L
.47575 .45746 L
.47512 .45664 L
.47456 .45586 L
.47351 .45445 L
.47337 .45425 L
.47228 .45265 L
.47191 .45211 L
.47129 .45104 L
F
.114 .93 1 r
.47191 .40767 m
.47194 .4077 L
.47351 .40896 L
.47368 .4093 L
.47512 .41078 L
.47522 .41091 L
.47667 .41251 L
.47672 .41257 L
.47808 .41412 L
.47833 .41439 L
.47947 .41572 L
.47993 .41611 L
.48083 .41733 L
.48154 .41814 L
.48247 .41894 L
.48314 .42012 L
.48353 .42054 L
.48475 .42207 L
.4848 .42215 L
.48613 .42375 L
.48636 .42399 L
.48743 .42536 L
.48796 .42602 L
.48882 .42696 L
.48957 .42807 L
.48995 .42857 L
.49117 .43008 L
.4912 .43017 L
.49255 .43178 L
.49278 .43205 L
.49402 .43338 L
.49438 .43412 L
.49509 .43499 L
.49599 .43621 L
.49623 .43659 L
.49759 .43819 L
.4976 .4382 L
.49917 .4398 L
.4992 .44024 L
.50019 .44141 L
.5008 .44234 L
.50129 .44301 L
.50241 .44443 L
.50246 .44462 L
.50385 .44622 L
.50401 .44641 L
.50528 .44783 L
.50562 .44851 L
.50634 .44943 L
.50722 .45063 L
.50747 .45104 L
.50882 .45265 L
.50883 .45265 L
.51037 .45425 L
.51043 .45471 L
.51139 .45586 L
.51204 .45683 L
.51249 .45746 L
.51364 .45892 L
.51368 .45907 L
.51501 .46067 L
.51525 .46093 L
.51645 .46228 L
.51686 .46304 L
.5175 .46388 L
.51846 .46517 L
.51864 .46549 L
.51995 .46709 L
.52007 .46718 L
.52155 .4687 L
.52167 .46927 L
.52253 .4703 L
.52328 .47141 L
.52362 .47191 L
.52488 .4735 L
.52488 .47351 L
.52611 .47512 L
.52649 .47549 L
.52758 .47672 L
.52809 .47765 L
.52862 .47833 L
.5297 .47978 L
.52978 .47993 L
.53104 .48154 L
.5313 .48172 L
.53268 .48314 L
.53291 .48388 L
.53362 .48475 L
.53451 .48605 L
.53472 .48636 L
.53595 .48796 L
.53612 .48817 L
.53717 .48957 L
.53772 .4901 L
.53865 .49117 L
.53933 .49231 L
.53968 .49278 L
.54087 .49438 L
.54093 .49447 L
.54207 .49599 L
.54254 .49629 L
.54374 .49759 L
.54414 .49858 L
.54464 .4992 L
.54575 .50078 L
.54576 .5008 L
.54696 .50241 L
.54735 .50291 L
.54817 .50401 L
.54896 .50483 L
.54961 .50562 L
.55057 .50712 L
.55064 .50722 L
.55182 .50883 L
.55217 .50928 L
.55302 .51043 L
.55378 .51106 L
.5546 .51204 L
.55538 .51349 L
.5555 .51364 L
.55664 .51525 L
.55699 .51569 L
.55782 .51686 L
.55859 .51786 L
.55902 .51846 L
.5602 .51998 L
.56026 .52007 L
.56138 .52167 L
.5618 .52223 L
.56253 .52328 L
.56341 .52446 L
.5637 .52488 L
.56484 .52649 L
.56501 .52672 L
.5659 .52809 L
.56662 .5291 L
.56698 .5297 L
.56799 .5313 L
.56662 .53146 L
.56654 .5313 L
.56501 .52972 L
.56499 .5297 L
.56352 .52809 L
.56341 .52797 L
.56209 .52649 L
.5618 .52617 L
.56068 .52488 L
.5602 .52444 L
.55929 .52328 L
.55859 .52244 L
.55775 .52167 L
.55699 .52048 L
.55663 .52007 L
.55538 .51855 L
.55534 .51846 L
.55394 .51686 L
.55378 .51667 L
.55229 .51525 L
.55217 .51466 L
.55131 .51364 L
.55057 .51261 L
.55017 .51204 L
.54896 .51059 L
.54873 .51043 L
.54746 .50883 L
.54735 .50869 L
.54609 .50722 L
.54575 .50663 L
.54498 .50562 L
.54414 .50453 L
.54388 .50401 L
.54254 .50249 L
.54237 .50241 L
.541 .5008 L
.54093 .50056 L
.53986 .4992 L
.53933 .49845 L
.53876 .49759 L
.53772 .49632 L
.53733 .49599 L
.53612 .4944 L
.5361 .49438 L
.53479 .49278 L
.53451 .49231 L
.53368 .49117 L
.53291 .49018 L
.53262 .48957 L
.5313 .48808 L
.53111 .48796 L
.52978 .48636 L
.5297 .48612 L
.52863 .48475 L
.52809 .484 L
.52755 .48314 L
.52649 .48187 L
.52614 .48154 L
.52491 .47993 L
.52488 .4799 L
.5236 .47833 L
.52328 .4778 L
.5225 .47672 L
.52167 .47566 L
.52144 .47512 L
.52007 .47359 L
.51996 .47351 L
.51859 .47191 L
.51846 .47157 L
.51748 .4703 L
.51686 .46944 L
.5164 .4687 L
.51525 .46732 L
.51502 .46709 L
.5138 .46549 L
.51364 .46532 L
.51247 .46388 L
.51204 .4632 L
.51138 .46228 L
.51043 .46107 L
.51028 .46067 L
.50887 .45907 L
.50883 .45903 L
.50744 .45746 L
.50722 .45696 L
.50638 .45586 L
.50562 .45481 L
.50528 .45425 L
.50401 .45271 L
.50396 .45265 L
.50274 .45104 L
.50241 .4507 L
.50137 .44943 L
.5008 .44855 L
.5003 .44783 L
.4992 .44641 L
.49913 .44622 L
.49784 .44462 L
.49759 .44444 L
.49634 .44301 L
.49599 .44228 L
.49534 .44141 L
.49438 .4401 L
.49421 .4398 L
.49296 .4382 L
.49278 .43796 L
.49175 .43659 L
.49117 .436 L
.49037 .43499 L
.48957 .43377 L
.48931 .43338 L
.4881 .43178 L
.48796 .43159 L
.48691 .43017 L
.48636 .42975 L
.48539 .42857 L
.48475 .42739 L
.48444 .42696 L
.4833 .42536 L
.48314 .42516 L
.48212 .42375 L
.48154 .42298 L
.48093 .42215 L
.47993 .42092 L
.47966 .42054 L
.47858 .41894 L
.47833 .4186 L
.47744 .41733 L
.47672 .41635 L
.47629 .41572 L
.47514 .41412 L
.47512 .4141 L
.47408 .41251 L
.47351 .4117 L
.47302 .41091 L
.47199 .4093 L
.47191 .40917 L
.47138 .4077 L
F
1 .89 .033 r
.47191 .47134 m
.47351 .47132 L
.47455 .47191 L
.47512 .4725 L
.47637 .47351 L
.47672 .47397 L
.47781 .47512 L
.47833 .47584 L
.47928 .47672 L
.47993 .47785 L
.48041 .47833 L
.48154 .47984 L
.48161 .47993 L
.48297 .48154 L
.48314 .48173 L
.48444 .48314 L
.48475 .48381 L
.48549 .48475 L
.48636 .48593 L
.48661 .48636 L
.48792 .48796 L
.48796 .48802 L
.48913 .48957 L
.48957 .48986 L
.49047 .49117 L
.49117 .49214 L
.49152 .49278 L
.4927 .49438 L
.49278 .4945 L
.49378 .49599 L
.49438 .49703 L
.49486 .49759 L
.49438 .49866 L
.49278 .49825 L
.49124 .49759 L
.49117 .49752 L
.4896 .49599 L
.48957 .49594 L
.48821 .49438 L
.48796 .49405 L
.48667 .49278 L
.48636 .49203 L
.48559 .49117 L
.48475 .48996 L
.48446 .48957 L
.48314 .48799 L
.48308 .48796 L
.48185 .48636 L
.48154 .48601 L
.48051 .48475 L
.47993 .48389 L
.47943 .48314 L
.47833 .48176 L
.47827 .48154 L
.47695 .47993 L
.47672 .47963 L
.47551 .47833 L
.47512 .47782 L
.47453 .47672 L
.47351 .47532 L
.47345 .47512 L
.47239 .47351 L
.47191 .47255 L
.47138 .47191 L
F
0 .54 1 r
.47191 .4766 m
.47208 .47672 L
.47351 .47792 L
.4739 .47833 L
.47512 .4794 L
.47537 .47993 L
.47672 .48151 L
.47677 .48154 L
.47801 .48314 L
.47833 .48354 L
.47924 .48475 L
.47993 .48565 L
.48044 .48636 L
.48154 .48785 L
.48161 .48796 L
.48263 .48957 L
.48314 .49041 L
.4835 .49117 L
.48314 .49182 L
.4823 .49117 L
.48154 .49053 L
.48062 .48957 L
.47993 .48885 L
.47916 .48796 L
.47833 .487 L
.4778 .48636 L
.47672 .48515 L
.47627 .48475 L
.47527 .48314 L
.47512 .48295 L
.4741 .48154 L
.47351 .48073 L
.47297 .47993 L
.47195 .47833 L
.47191 .47825 L
.4714 .47672 L
F
.024 .88 1 r
.47191 .45626 m
.473 .45746 L
.47351 .45803 L
.47436 .45907 L
.47512 .46002 L
.47562 .46067 L
.47672 .46227 L
.47673 .46228 L
.47672 .46381 L
.47513 .46228 L
.47512 .46226 L
.47381 .46067 L
.47351 .46031 L
.4726 .45907 L
.47191 .45816 L
.47145 .45746 L
F
0 .53 1 r
.47191 .4767 m
.47195 .47672 L
.47351 .47798 L
.47385 .47833 L
.47512 .47948 L
.47534 .47993 L
.47671 .48154 L
.47672 .48156 L
.47797 .48314 L
.47833 .48358 L
.47921 .48475 L
.47993 .48569 L
.48041 .48636 L
.48154 .4879 L
.48158 .48796 L
.48258 .48957 L
.48314 .49053 L
.48342 .49117 L
.48314 .49169 L
.4824 .49117 L
.48154 .49046 L
.48067 .48957 L
.47993 .4888 L
.4792 .48796 L
.47833 .48696 L
.47784 .48636 L
.47672 .48509 L
.47634 .48475 L
.47531 .48314 L
.47512 .4829 L
.47414 .48154 L
.47351 .48067 L
.47301 .47993 L
.47201 .47833 L
.47191 .47813 L
.47161 .47672 L
F
1 .23 0 r
.47191 .52499 m
.47295 .52649 L
.47351 .52719 L
.47412 .52809 L
.47512 .5294 L
.47532 .5297 L
.47512 .53067 L
.47436 .5297 L
.47351 .52878 L
.47299 .52809 L
.47191 .52684 L
.47164 .52649 L
F
1 .79 .001 r
.47191 .42722 m
.47292 .42857 L
.47351 .42924 L
.47419 .43017 L
.47512 .43127 L
.47549 .43178 L
.47672 .43329 L
.47679 .43338 L
.47799 .43499 L
.47833 .43539 L
.47918 .43659 L
.47993 .43751 L
.48042 .4382 L
.48154 .4396 L
.48168 .4398 L
.48154 .44125 L
.48042 .4398 L
.47993 .43924 L
.47914 .4382 L
.47833 .43722 L
.47785 .43659 L
.47672 .43518 L
.47657 .43499 L
.47536 .43338 L
.47512 .4331 L
.47415 .43178 L
.47351 .43099 L
.47292 .43017 L
.47191 .42888 L
.47168 .42857 L
F
1 .88 .024 r
.47191 .4716 m
.47351 .47143 L
.4744 .47191 L
.47512 .47261 L
.4763 .47351 L
.47672 .47404 L
.47777 .47512 L
.47833 .47589 L
.47925 .47672 L
.47993 .47788 L
.48038 .47833 L
.48154 .47985 L
.4816 .47993 L
.48295 .48154 L
.48314 .48175 L
.48443 .48314 L
.48475 .48384 L
.48547 .48475 L
.48636 .48596 L
.48659 .48636 L
.48789 .48796 L
.48796 .48805 L
.4891 .48957 L
.48957 .48989 L
.49045 .49117 L
.49117 .49218 L
.49149 .49278 L
.49266 .49438 L
.49278 .49456 L
.49373 .49599 L
.49438 .49718 L
.49472 .49759 L
.49438 .49847 L
.49278 .49816 L
.49136 .49759 L
.49117 .49743 L
.48966 .49599 L
.48957 .49587 L
.48825 .49438 L
.48796 .494 L
.4867 .49278 L
.48636 .49199 L
.48561 .49117 L
.48475 .48994 L
.48447 .48957 L
.48314 .48798 L
.48311 .48796 L
.48187 .48636 L
.48154 .48598 L
.48053 .48475 L
.47993 .48386 L
.47945 .48314 L
.47833 .48173 L
.47828 .48154 L
.47697 .47993 L
.47672 .4796 L
.47553 .47833 L
.47512 .47778 L
.47456 .47672 L
.47351 .47523 L
.47348 .47512 L
.47245 .47351 L
.47191 .4723 L
.47168 .47191 L
F
1 .22 0 r
.47191 .52506 m
.47289 .52649 L
.47351 .52727 L
.47406 .52809 L
.47512 .52948 L
.47526 .5297 L
.47512 .53057 L
.47444 .5297 L
.47351 .52871 L
.47304 .52809 L
.47191 .52678 L
.47168 .52649 L
F
.018 .87 1 r
.47191 .45667 m
.47267 .45746 L
.47351 .45836 L
.4741 .45907 L
.47512 .46034 L
.47536 .46067 L
.47512 .46193 L
.47407 .46067 L
.47351 .46002 L
.47284 .45907 L
.47191 .45782 L
.47169 .45746 L
F
1 .21 0 r
.47191 .52513 m
.47283 .52649 L
.47351 .52735 L
.474 .52809 L
.47512 .52958 L
.47519 .5297 L
.47512 .53044 L
.47454 .5297 L
.47351 .52863 L
.47311 .52809 L
.47191 .52672 L
.47173 .52649 L
F
.001 .77 1 r
.47191 .42061 m
.47322 .42215 L
.47351 .42245 L
.47458 .42375 L
.47512 .42434 L
.47593 .42536 L
.47672 .42627 L
.47727 .42696 L
.47833 .42822 L
.4786 .42857 L
.47992 .43017 L
.47993 .43019 L
.48118 .43178 L
.48154 .4322 L
.48245 .43338 L
.48314 .43422 L
.48374 .43499 L
.48475 .43599 L
.48502 .43659 L
.4863 .4382 L
.48636 .43827 L
.48753 .4398 L
.48796 .44033 L
.48877 .44141 L
.48957 .44239 L
.49004 .44301 L
.49117 .44436 L
.49145 .44462 L
.49253 .44622 L
.49278 .44653 L
.49375 .44783 L
.49438 .44862 L
.49498 .44943 L
.49599 .45043 L
.49623 .45104 L
.49747 .45265 L
.49759 .4528 L
.49866 .45425 L
.4992 .45493 L
.49987 .45586 L
.5008 .45705 L
.5011 .45746 L
.50233 .45907 L
.50241 .45917 L
.50349 .46067 L
.50401 .46134 L
.50468 .46228 L
.50562 .4635 L
.50589 .46388 L
.50708 .46549 L
.50722 .46568 L
.50819 .46709 L
.50883 .46793 L
.50934 .4687 L
.51043 .47019 L
.51051 .4703 L
.51043 .47186 L
.50908 .4703 L
.50883 .47004 L
.50769 .4687 L
.50722 .46817 L
.50633 .46709 L
.50562 .46627 L
.50498 .46549 L
.50401 .46433 L
.50365 .46388 L
.50241 .46239 L
.50225 .46228 L
.50105 .46067 L
.5008 .46038 L
.49976 .45907 L
.4992 .45838 L
.49847 .45746 L
.49759 .45662 L
.49718 .45586 L
.49599 .45436 L
.49588 .45425 L
.49466 .45265 L
.49438 .4523 L
.4934 .45104 L
.49278 .45025 L
.49214 .44943 L
.49117 .44831 L
.49065 .44783 L
.48965 .44622 L
.48957 .44612 L
.48842 .44462 L
.48796 .44404 L
.48718 .44301 L
.48636 .44226 L
.48594 .44141 L
.48475 .43987 L
.48469 .4398 L
.48351 .4382 L
.48314 .43773 L
.48229 .43659 L
.48154 .43561 L
.48108 .43499 L
.47993 .43352 L
.4798 .43338 L
.47869 .43178 L
.47833 .43131 L
.4775 .43017 L
.47672 .42914 L
.47631 .42857 L
.47513 .42696 L
.47512 .42695 L
.47401 .42536 L
.47351 .42468 L
.47288 .42375 L
.47191 .4224 L
.47174 .42215 L
F
0 .39 1 r
.47191 .51847 m
.47317 .52007 L
.47351 .52045 L
.47446 .52167 L
.47512 .52244 L
.47576 .52328 L
.47672 .52444 L
.47706 .52488 L
.47833 .52646 L
.47835 .52649 L
.47957 .52809 L
.47993 .52853 L
.48081 .5297 L
.48154 .5306 L
.48206 .5313 L
.48314 .53268 L
.48332 .53291 L
.48452 .53451 L
.48475 .53479 L
.48571 .53612 L
.48636 .53694 L
.48692 .53772 L
.48796 .53908 L
.48814 .53933 L
.48929 .54093 L
.48957 .54129 L
.49039 .54254 L
.49117 .54357 L
.49153 .54414 L
.49117 .5447 L
.49074 .54414 L
.48957 .54286 L
.48932 .54254 L
.48796 .54095 L
.48795 .54093 L
.48668 .53933 L
.48636 .53896 L
.48541 .53772 L
.48475 .53696 L
.48412 .53612 L
.48314 .53495 L
.48282 .53451 L
.48154 .53293 L
.48152 .53291 L
.48032 .5313 L
.47993 .53085 L
.47909 .5297 L
.47833 .52877 L
.47784 .52809 L
.47672 .52669 L
.47657 .52649 L
.47537 .52488 L
.47512 .52457 L
.4742 .52328 L
.47351 .52242 L
.47299 .52167 L
.47191 .52028 L
.47176 .52007 L
F
1 .2 0 r
.47191 .52521 m
.47275 .52649 L
.47351 .52745 L
.47392 .52809 L
.47351 .52854 L
.47317 .52809 L
.47191 .52665 L
.47178 .52649 L
F
0 .38 1 r
.47191 .51856 m
.4731 .52007 L
.47351 .52053 L
.4744 .52167 L
.47512 .52251 L
.47571 .52328 L
.47672 .5245 L
.47702 .52488 L
.4783 .52649 L
.47833 .52652 L
.47952 .52809 L
.47993 .52859 L
.48076 .5297 L
.48154 .53066 L
.48202 .5313 L
.48314 .53273 L
.48327 .53291 L
.48447 .53451 L
.48475 .53486 L
.48565 .53612 L
.48636 .53701 L
.48686 .53772 L
.48796 .53915 L
.48809 .53933 L
.48796 .54087 L
.48675 .53933 L
.48636 .53889 L
.48547 .53772 L
.48475 .53689 L
.48417 .53612 L
.48314 .53489 L
.48286 .53451 L
.48157 .53291 L
.48154 .53287 L
.48037 .5313 L
.47993 .53079 L
.47914 .5297 L
.47833 .52871 L
.47788 .52809 L
.47672 .52664 L
.47662 .52649 L
.47543 .52488 L
.47512 .5245 L
.47425 .52328 L
.47351 .52235 L
.47304 .52167 L
.47191 .52021 L
.47181 .52007 L
F
1 .19 0 r
.47191 .5253 m
.47267 .52649 L
.47351 .52756 L
.47384 .52809 L
.47351 .52843 L
.47325 .52809 L
.47191 .52658 L
.47184 .52649 L
F
0 .37 1 r
.47191 .51866 m
.47302 .52007 L
.47351 .52061 L
.47434 .52167 L
.47512 .52258 L
.47566 .52328 L
.47672 .52457 L
.47697 .52488 L
.47824 .52649 L
.47833 .52659 L
.47946 .52809 L
.47993 .52866 L
.48071 .5297 L
.48154 .53072 L
.48197 .5313 L
.48314 .5328 L
.48323 .53291 L
.48441 .53451 L
.48475 .53493 L
.48559 .53612 L
.48636 .53708 L
.48681 .53772 L
.48796 .53923 L
.48803 .53933 L
.48796 .54078 L
.48683 .53933 L
.48636 .53881 L
.48553 .53772 L
.48475 .53682 L
.48422 .53612 L
.48314 .53483 L
.48291 .53451 L
.48163 .53291 L
.48154 .5328 L
.48042 .5313 L
.47993 .53072 L
.47919 .5297 L
.47833 .52865 L
.47793 .52809 L
.47672 .52658 L
.47666 .52649 L
.47548 .52488 L
.47512 .52443 L
.47431 .52328 L
.47351 .52228 L
.4731 .52167 L
.47191 .52014 L
.47186 .52007 L
F
.033 .89 1 r
.47191 .4342 m
.4723 .43499 L
.47191 .43503 L
.47187 .43499 L
F
.001 .76 1 r
.47191 .42088 m
.47303 .42215 L
.47351 .42263 L
.47444 .42375 L
.47512 .42449 L
.47582 .42536 L
.47672 .42639 L
.47718 .42696 L
.47833 .42832 L
.47852 .42857 L
.47983 .43017 L
.47993 .43029 L
.4811 .43178 L
.48154 .4323 L
.48238 .43338 L
.48314 .4343 L
.48367 .43499 L
.48475 .43611 L
.48496 .43659 L
.48623 .4382 L
.48636 .43835 L
.48746 .4398 L
.48796 .44041 L
.48872 .44141 L
.48957 .44246 L
.48998 .44301 L
.49117 .44446 L
.49134 .44462 L
.49247 .44622 L
.49278 .4466 L
.49369 .44783 L
.49438 .4487 L
.49493 .44943 L
.49599 .45055 L
.49618 .45104 L
.4974 .45265 L
.49759 .45288 L
.4986 .45425 L
.4992 .45501 L
.49981 .45586 L
.5008 .45713 L
.50104 .45746 L
.50226 .45907 L
.50241 .45926 L
.50342 .46067 L
.50401 .46144 L
.5046 .46228 L
.50562 .4636 L
.50581 .46388 L
.50698 .46549 L
.50722 .46581 L
.50808 .46709 L
.50883 .46809 L
.50922 .4687 L
.50883 .46985 L
.50784 .4687 L
.50722 .46802 L
.50645 .46709 L
.50562 .46614 L
.50508 .46549 L
.50401 .46421 L
.50374 .46388 L
.50243 .46228 L
.50241 .46226 L
.50114 .46067 L
.5008 .46027 L
.49984 .45907 L
.4992 .45828 L
.49854 .45746 L
.49759 .4565 L
.49726 .45586 L
.49599 .45425 L
.49599 .45425 L
.49473 .45265 L
.49438 .45221 L
.49347 .45104 L
.49278 .45016 L
.49221 .44943 L
.49117 .4482 L
.49077 .44783 L
.48972 .44622 L
.48957 .44603 L
.48849 .44462 L
.48796 .44395 L
.48725 .44301 L
.48636 .44215 L
.48601 .44141 L
.48478 .4398 L
.48475 .43976 L
.48358 .4382 L
.48314 .43764 L
.48237 .43659 L
.48154 .43551 L
.48115 .43499 L
.47994 .43338 L
.47993 .43338 L
.47877 .43178 L
.47833 .4312 L
.47759 .43017 L
.47672 .42902 L
.4764 .42857 L
.47524 .42696 L
.47512 .4268 L
.47414 .42536 L
.47351 .42451 L
.47301 .42375 L
.47191 .42218 L
.47189 .42215 L
F
1 .78 .001 r
.47191 .42756 m
.47264 .42857 L
.47351 .42952 L
.47397 .43017 L
.47512 .43151 L
.47531 .43178 L
.47512 .43281 L
.47438 .43178 L
.47351 .43071 L
.47313 .43017 L
.47191 .42859 L
.47189 .42857 L
F
1 .18 0 r
.47191 .52541 m
.47257 .52649 L
.47351 .5277 L
.47373 .52809 L
.47351 .52831 L
.47335 .52809 L
.47191 .5265 L
.4719 .52649 L
F
1 .87 .018 r
.47351 .47155 m
.47424 .47191 L
.47512 .47271 L
.47623 .47351 L
.47672 .47412 L
.47772 .47512 L
.47833 .47594 L
.47921 .47672 L
.47993 .47792 L
.48036 .47833 L
.48154 .47987 L
.48159 .47993 L
.48292 .48154 L
.48314 .48178 L
.48441 .48314 L
.48475 .48386 L
.48545 .48475 L
.48636 .48598 L
.48658 .48636 L
.48787 .48796 L
.48796 .48808 L
.48908 .48957 L
.48957 .48991 L
.49043 .49117 L
.49117 .49222 L
.49147 .49278 L
.49262 .49438 L
.49278 .49462 L
.49367 .49599 L
.49438 .49735 L
.49456 .49759 L
.49438 .49824 L
.49278 .4981 L
.49147 .49759 L
.49117 .49734 L
.48972 .49599 L
.48957 .49581 L
.48829 .49438 L
.48796 .49395 L
.48672 .49278 L
.48636 .49195 L
.48564 .49117 L
.48475 .48991 L
.48449 .48957 L
.48314 .48797 L
.48313 .48796 L
.48189 .48636 L
.48154 .48596 L
.48055 .48475 L
.47993 .48384 L
.47947 .48314 L
.47833 .4817 L
.47829 .48154 L
.477 .47993 L
.47672 .47956 L
.47556 .47833 L
.47512 .47773 L
.4746 .47672 L
.47351 .47513 L
.47351 .47512 L
.47252 .47351 L
.47197 .47191 L
F
0 .52 1 r
.47351 .47803 m
.47379 .47833 L
.47512 .47955 L
.4753 .47993 L
.47667 .48154 L
.47672 .4816 L
.47794 .48314 L
.47833 .48362 L
.47917 .48475 L
.47993 .48574 L
.48038 .48636 L
.48154 .48795 L
.48155 .48796 L
.48252 .48957 L
.48314 .49068 L
.48332 .49117 L
.48314 .49155 L
.48253 .49117 L
.48154 .4904 L
.48073 .48957 L
.47993 .48875 L
.47925 .48796 L
.47833 .48691 L
.47787 .48636 L
.47672 .48503 L
.47641 .48475 L
.47535 .48314 L
.47512 .48285 L
.47417 .48154 L
.47351 .48061 L
.47306 .47993 L
.47208 .47833 L
F
0 .51 1 r
.47351 .4781 m
.47374 .47833 L
.47512 .47963 L
.47526 .47993 L
.47663 .48154 L
.47672 .48164 L
.4779 .48314 L
.47833 .48366 L
.47914 .48475 L
.47993 .48578 L
.48035 .48636 L
.4815 .48796 L
.48154 .48801 L
.48247 .48957 L
.48314 .49089 L
.48321 .49117 L
.48314 .49135 L
.48269 .49117 L
.48154 .49033 L
.48079 .48957 L
.47993 .4887 L
.47929 .48796 L
.47833 .48686 L
.47791 .48636 L
.47672 .48497 L
.47648 .48475 L
.47538 .48314 L
.47512 .4828 L
.47421 .48154 L
.47351 .48055 L
.4731 .47993 L
.47215 .47833 L
F
1 .86 .013 r
.47351 .47166 m
.47405 .47191 L
.47512 .4728 L
.47616 .47351 L
.47672 .47418 L
.47767 .47512 L
.47833 .47599 L
.47918 .47672 L
.47993 .47795 L
.48033 .47833 L
.48154 .47988 L
.48158 .47993 L
.4829 .48154 L
.48314 .4818 L
.4844 .48314 L
.48475 .48389 L
.48543 .48475 L
.48636 .48601 L
.48656 .48636 L
.48785 .48796 L
.48796 .4881 L
.48906 .48957 L
.48957 .48994 L
.4904 .49117 L
.49117 .49227 L
.49144 .49278 L
.49258 .49438 L
.49278 .49468 L
.49362 .49599 L
.49438 .49759 L
.49278 .49804 L
.4916 .49759 L
.49117 .49725 L
.48979 .49599 L
.48957 .49574 L
.48833 .49438 L
.48796 .4939 L
.48674 .49278 L
.48636 .49192 L
.48566 .49117 L
.48475 .48988 L
.48451 .48957 L
.48315 .48796 L
.48314 .48795 L
.48191 .48636 L
.48154 .48594 L
.48057 .48475 L
.47993 .48381 L
.47949 .48314 L
.47833 .48167 L
.47829 .48154 L
.47702 .47993 L
.47672 .47953 L
.47558 .47833 L
.47512 .47768 L
.47463 .47672 L
.47355 .47512 L
.47351 .47506 L
.47259 .47351 L
.47216 .47191 L
F
0 .5 1 r
.47351 .47816 m
.47368 .47833 L
.47512 .47971 L
.47522 .47993 L
.47659 .48154 L
.47672 .48169 L
.47787 .48314 L
.47833 .48371 L
.47911 .48475 L
.47993 .48583 L
.48031 .48636 L
.48146 .48796 L
.48154 .48808 L
.48241 .48957 L
.48154 .49026 L
.48085 .48957 L
.47993 .48864 L
.47934 .48796 L
.47833 .48682 L
.47795 .48636 L
.47672 .4849 L
.47655 .48475 L
.47542 .48314 L
.47512 .48275 L
.47425 .48154 L
.47351 .48049 L
.47314 .47993 L
.47223 .47833 L
F
0 .49 1 r
.47351 .47822 m
.47362 .47833 L
.47512 .4798 L
.47518 .47993 L
.47655 .48154 L
.47672 .48174 L
.47783 .48314 L
.47833 .48375 L
.47907 .48475 L
.47993 .48587 L
.48028 .48636 L
.48141 .48796 L
.48154 .48815 L
.48234 .48957 L
.48154 .49018 L
.48092 .48957 L
.47993 .48859 L
.47938 .48796 L
.47833 .48677 L
.47799 .48636 L
.47672 .48483 L
.47663 .48475 L
.47546 .48314 L
.47512 .4827 L
.4743 .48154 L
.47351 .48042 L
.47319 .47993 L
.47232 .47833 L
F
1 .85 .01 r
.47351 .47177 m
.47384 .47191 L
.47512 .47288 L
.47609 .47351 L
.47672 .47425 L
.47763 .47512 L
.47833 .47604 L
.47915 .47672 L
.47993 .47798 L
.48031 .47833 L
.48154 .4799 L
.48157 .47993 L
.48288 .48154 L
.48314 .48182 L
.48438 .48314 L
.48475 .48391 L
.48541 .48475 L
.48636 .48603 L
.48655 .48636 L
.48783 .48796 L
.48796 .48813 L
.48904 .48957 L
.48957 .48996 L
.49038 .49117 L
.49117 .49232 L
.49141 .49278 L
.49254 .49438 L
.49278 .49474 L
.49357 .49599 L
.49426 .49759 L
.49278 .49798 L
.49173 .49759 L
.49117 .49717 L
.48985 .49599 L
.48957 .49568 L
.48838 .49438 L
.48796 .49386 L
.48677 .49278 L
.48636 .49188 L
.48569 .49117 L
.48475 .48986 L
.48453 .48957 L
.48318 .48796 L
.48314 .48794 L
.48193 .48636 L
.48154 .48591 L
.48058 .48475 L
.47993 .48378 L
.4795 .48314 L
.47833 .48164 L
.4783 .48154 L
.47705 .47993 L
.47672 .47949 L
.4756 .47833 L
.47512 .47763 L
.47466 .47672 L
.4736 .47512 L
.47351 .47498 L
.47266 .47351 L
.47241 .47191 L
F
0 .48 1 r
.47351 .47829 m
.47355 .47833 L
.47512 .47989 L
.47514 .47993 L
.47651 .48154 L
.47672 .48178 L
.47779 .48314 L
.47833 .4838 L
.47904 .48475 L
.47993 .48592 L
.48024 .48636 L
.48136 .48796 L
.48154 .48823 L
.48227 .48957 L
.48154 .4901 L
.48099 .48957 L
.47993 .48853 L
.47943 .48796 L
.47833 .48672 L
.47803 .48636 L
.47672 .48476 L
.47671 .48475 L
.4755 .48314 L
.47512 .48264 L
.47434 .48154 L
.47351 .48036 L
.47324 .47993 L
.47242 .47833 L
F
1 .97 .395 r
.47351 .40279 m
.47361 .40288 L
.47512 .40425 L
.47532 .40449 L
.47672 .40595 L
.47694 .40609 L
.47833 .4077 L
.47833 .4077 L
.47976 .4093 L
.47993 .40942 L
.48116 .41091 L
.48154 .41134 L
.48301 .41251 L
.48314 .41329 L
.48392 .41412 L
.48475 .41527 L
.48511 .41572 L
.48636 .41723 L
.48636 .41733 L
.48785 .41894 L
.48796 .41909 L
.48924 .42054 L
.48957 .42113 L
.49037 .42215 L
.49117 .42323 L
.49147 .42375 L
.49278 .42508 L
.493 .42536 L
.49434 .42696 L
.49438 .42713 L
.49553 .42857 L
.49599 .42924 L
.49663 .43017 L
.49759 .43141 L
.49807 .43178 L
.4992 .43325 L
.49931 .43338 L
.5006 .43499 L
.5008 .43534 L
.50173 .43659 L
.50241 .43751 L
.50278 .4382 L
.50401 .43968 L
.50431 .4398 L
.50558 .44141 L
.50562 .44152 L
.50678 .44301 L
.50722 .44366 L
.50787 .44462 L
.50883 .44583 L
.50928 .44622 L
.51043 .44774 L
.51051 .44783 L
.5118 .44943 L
.51204 .44985 L
.51292 .45104 L
.51364 .45201 L
.51396 .45265 L
.51525 .45414 L
.51546 .45425 L
.51678 .45586 L
.51686 .45607 L
.51794 .45746 L
.51846 .45821 L
.51902 .45907 L
.52007 .46036 L
.52041 .46067 L
.52163 .46228 L
.52167 .46232 L
.52295 .46388 L
.52328 .46443 L
.52405 .46549 L
.52488 .46658 L
.52511 .46709 L
.52649 .46864 L
.52657 .4687 L
.52795 .4703 L
.52809 .47067 L
.52906 .47191 L
.5297 .4728 L
.53015 .47351 L
.5313 .47492 L
.53151 .47512 L
.53273 .47672 L
.53291 .47692 L
.53408 .47833 L
.53451 .47904 L
.53516 .47993 L
.53612 .48117 L
.53627 .48154 L
.53766 .48314 L
.53772 .4832 L
.53911 .48475 L
.53933 .48528 L
.54017 .48636 L
.54093 .48741 L
.54127 .48796 L
.54254 .48951 L
.54259 .48957 L
.54381 .49117 L
.54414 .49152 L
.54519 .49278 L
.54575 .49366 L
.54627 .49438 L
.54735 .49578 L
.54743 .49599 L
.54874 .49759 L
.54896 .49776 L
.55024 .4992 L
.55057 .49989 L
.55127 .5008 L
.55217 .50204 L
.55239 .50241 L
.55367 .50401 L
.55378 .50404 L
.55489 .50562 L
.55538 .50612 L
.55629 .50722 L
.55699 .5083 L
.55736 .50883 L
.55859 .51043 L
.55859 .51043 L
.55981 .51204 L
.5602 .51233 L
.56134 .51364 L
.5618 .51453 L
.56235 .51525 L
.56341 .51671 L
.56349 .51686 L
.56472 .51846 L
.56501 .51883 L
.56594 .52007 L
.56662 .52075 L
.56735 .52167 L
.56822 .52298 L
.56843 .52328 L
.56963 .52488 L
.56983 .52513 L
.57085 .52649 L
.57143 .52694 L
.57238 .52809 L
.57304 .52925 L
.57337 .5297 L
.57454 .5313 L
.57464 .53144 L
.57574 .53291 L
.57625 .53356 L
.57749 .53451 L
.57785 .53551 L
.57832 .53612 L
.57942 .53772 L
.57946 .53778 L
.58061 .53933 L
.58106 .53992 L
.58181 .54093 L
.58267 .54177 L
.58326 .54254 L
.58426 .54414 L
.58428 .54417 L
.58543 .54575 L
.58588 .54634 L
.58661 .54735 L
.58749 .5485 L
.58813 .54896 L
.58902 .55057 L
.58909 .55066 L
.59015 .55217 L
.5907 .55289 L
.5913 .55378 L
.5923 .55513 L
.59247 .55538 L
.59357 .55699 L
.59391 .55746 L
.59461 .55859 L
.59551 .55996 L
.59564 .5602 L
.59551 .56157 L
.59391 .56024 L
.59387 .5602 L
.5923 .55867 L
.59217 .55859 L
.5907 .55699 L
.59069 .55699 L
.58923 .55538 L
.58909 .55529 L
.5878 .55378 L
.58749 .55341 L
.58593 .55217 L
.58588 .55149 L
.58501 .55057 L
.58428 .54953 L
.5838 .54896 L
.58267 .54757 L
.58254 .54735 L
.58111 .54575 L
.58106 .54568 L
.57975 .54414 L
.57946 .54365 L
.5786 .54254 L
.57785 .54156 L
.57749 .54093 L
.57625 .53946 L
.57595 .53933 L
.57467 .53772 L
.57464 .53765 L
.57345 .53612 L
.57304 .53554 L
.57237 .53451 L
.57143 .53334 L
.57087 .53291 L
.56983 .53155 L
.56963 .5313 L
.56838 .5297 L
.56822 .52946 L
.56724 .52809 L
.56662 .52727 L
.56626 .52649 L
.56501 .52539 L
.56461 .52488 L
.56341 .5233 L
.56339 .52328 L
.56218 .52167 L
.5618 .52115 L
.56112 .52007 L
.5602 .51893 L
.55963 .51846 L
.55859 .51709 L
.5584 .51686 L
.55716 .51525 L
.55699 .51498 L
.55605 .51364 L
.55538 .51279 L
.55508 .51204 L
.55378 .51057 L
.55344 .51043 L
.5522 .50883 L
.55217 .50876 L
.55102 .50722 L
.55057 .50661 L
.54997 .50562 L
.54896 .50441 L
.54849 .50401 L
.54735 .50251 L
.54727 .50241 L
.54602 .5008 L
.54575 .50039 L
.54492 .4992 L
.54414 .49822 L
.54394 .49759 L
.54254 .49609 L
.54233 .49599 L
.54105 .49438 L
.54093 .49415 L
.5399 .49278 L
.53933 .49201 L
.53885 .49117 L
.53772 .48986 L
.53739 .48957 L
.53613 .48796 L
.53612 .48789 L
.5349 .48636 L
.53451 .48578 L
.53381 .48475 L
.53291 .48364 L
.53279 .48314 L
.5313 .48158 L
.53124 .48154 L
.52991 .47993 L
.5297 .47954 L
.52879 .47833 L
.52809 .4774 L
.52773 .47672 L
.52649 .47529 L
.52631 .47512 L
.52492 .47351 L
.52488 .47328 L
.52379 .47191 L
.52328 .47116 L
.5227 .4703 L
.52167 .46903 L
.52161 .4687 L
.52016 .46709 L
.52007 .46701 L
.51877 .46549 L
.51846 .46492 L
.51769 .46388 L
.51686 .46278 L
.5166 .46228 L
.51525 .46069 L
.51523 .46067 L
.51374 .45907 L
.51364 .45867 L
.51269 .45746 L
.51204 .45653 L
.5116 .45586 L
.51043 .4544 L
.51042 .45425 L
.50909 .45265 L
.50883 .45243 L
.50766 .45104 L
.50722 .45028 L
.50661 .44943 L
.50562 .44813 L
.50547 .44783 L
.50417 .44622 L
.50401 .44617 L
.50259 .44462 L
.50241 .44405 L
.50161 .44301 L
.5008 .44186 L
.50051 .44141 L
.49926 .4398 L
.4992 .43972 L
.49805 .4382 L
.49759 .43783 L
.49659 .43659 L
.49599 .43559 L
.49556 .43499 L
.49438 .43341 L
.49437 .43338 L
.49316 .43178 L
.49278 .43128 L
.49153 .43017 L
.49117 .42933 L
.49061 .42857 L
.48957 .42707 L
.4895 .42696 L
.4883 .42536 L
.48796 .42492 L
.4871 .42375 L
.48636 .42306 L
.48567 .42215 L
.48475 .4207 L
.48464 .42054 L
.48348 .41894 L
.48314 .4185 L
.4823 .41733 L
.48154 .41633 L
.48076 .41572 L
.47993 .41419 L
.47989 .41412 L
.47876 .41251 L
.47833 .41193 L
.47762 .41091 L
.47672 .40969 L
.47646 .4093 L
.47535 .4077 L
.47512 .40738 L
.47431 .40609 L
.47351 .40491 L
.47327 .40449 L
.47244 .40288 L
F
1 .84 .007 r
.47351 .47189 m
.47357 .47191 L
.47512 .47295 L
.47601 .47351 L
.47672 .47431 L
.47758 .47512 L
.47833 .47608 L
.47911 .47672 L
.47993 .47801 L
.48028 .47833 L
.48154 .47991 L
.48156 .47993 L
.48285 .48154 L
.48314 .48185 L
.48437 .48314 L
.48475 .48394 L
.48539 .48475 L
.48636 .48606 L
.48653 .48636 L
.48781 .48796 L
.48796 .48816 L
.48901 .48957 L
.48957 .48999 L
.49035 .49117 L
.49117 .49237 L
.49138 .49278 L
.4925 .49438 L
.49278 .4948 L
.49351 .49599 L
.49412 .49759 L
.49278 .49793 L
.49186 .49759 L
.49117 .4971 L
.48991 .49599 L
.48957 .49562 L
.48842 .49438 L
.48796 .49381 L
.48679 .49278 L
.48636 .49184 L
.48572 .49117 L
.48475 .48983 L
.48454 .48957 L
.4832 .48796 L
.48314 .48792 L
.48196 .48636 L
.48154 .48589 L
.4806 .48475 L
.47993 .48375 L
.47952 .48314 L
.47833 .48162 L
.47831 .48154 L
.47707 .47993 L
.47672 .47946 L
.47562 .47833 L
.47512 .47757 L
.4747 .47672 L
.47365 .47512 L
.47351 .4749 L
.47273 .47351 L
.47277 .47191 L
F
1 .83 .005 r
.47351 .472 m
.47512 .47302 L
.47594 .47351 L
.47672 .47437 L
.47753 .47512 L
.47833 .47613 L
.47908 .47672 L
.47993 .47804 L
.48026 .47833 L
.48154 .47992 L
.48155 .47993 L
.48283 .48154 L
.48314 .48187 L
.48435 .48314 L
.48475 .48397 L
.48538 .48475 L
.48636 .48608 L
.48652 .48636 L
.48779 .48796 L
.48796 .48819 L
.48899 .48957 L
.48957 .49002 L
.49033 .49117 L
.49117 .49242 L
.49136 .49278 L
.49246 .49438 L
.49278 .49487 L
.49346 .49599 L
.49397 .49759 L
.49278 .49787 L
.49201 .49759 L
.49117 .49703 L
.48997 .49599 L
.48957 .49556 L
.48846 .49438 L
.48796 .49376 L
.48682 .49278 L
.48636 .49181 L
.48574 .49117 L
.48475 .48981 L
.48456 .48957 L
.48322 .48796 L
.48314 .4879 L
.48198 .48636 L
.48154 .48586 L
.48062 .48475 L
.47993 .48372 L
.47954 .48314 L
.47833 .48159 L
.47832 .48154 L
.4771 .47993 L
.47672 .47942 L
.47565 .47833 L
.47512 .47751 L
.47473 .47672 L
.47369 .47512 L
.47351 .47482 L
.4728 .47351 L
F
1 .82 .004 r
.47351 .47212 m
.47512 .47308 L
.47586 .47351 L
.47672 .47443 L
.47748 .47512 L
.47833 .47617 L
.47904 .47672 L
.47993 .47806 L
.48023 .47833 L
.48154 .47993 L
.48154 .47993 L
.48281 .48154 L
.48314 .4819 L
.48434 .48314 L
.48475 .48399 L
.48536 .48475 L
.48636 .48611 L
.4865 .48636 L
.48776 .48796 L
.48796 .48822 L
.48897 .48957 L
.48957 .49005 L
.4903 .49117 L
.49117 .49247 L
.49133 .49278 L
.49242 .49438 L
.49278 .49494 L
.4934 .49599 L
.4938 .49759 L
.49278 .49781 L
.49218 .49759 L
.49117 .49696 L
.49004 .49599 L
.48957 .4955 L
.48851 .49438 L
.48796 .49372 L
.48685 .49278 L
.48636 .49178 L
.48577 .49117 L
.48475 .48978 L
.48458 .48957 L
.48325 .48796 L
.48314 .48788 L
.482 .48636 L
.48154 .48583 L
.48064 .48475 L
.47993 .4837 L
.47956 .48314 L
.47833 .48156 L
.47832 .48154 L
.47713 .47993 L
.47672 .47939 L
.47567 .47833 L
.47512 .47745 L
.47477 .47672 L
.47374 .47512 L
.47351 .47473 L
.47287 .47351 L
F
1 .81 .003 r
.47351 .47224 m
.47512 .47314 L
.47578 .47351 L
.47672 .47448 L
.47743 .47512 L
.47833 .47621 L
.479 .47672 L
.47993 .47809 L
.4802 .47833 L
.48151 .47993 L
.48154 .47995 L
.48278 .48154 L
.48314 .48192 L
.48432 .48314 L
.48475 .48402 L
.48534 .48475 L
.48636 .48614 L
.48649 .48636 L
.48774 .48796 L
.48796 .48825 L
.48894 .48957 L
.48957 .49008 L
.49028 .49117 L
.49117 .49253 L
.4913 .49278 L
.49238 .49438 L
.49278 .49501 L
.49334 .49599 L
.49358 .49759 L
.49278 .49773 L
.49237 .49759 L
.49117 .49689 L
.49011 .49599 L
.48957 .49545 L
.48855 .49438 L
.48796 .49367 L
.48687 .49278 L
.48636 .49174 L
.48579 .49117 L
.48475 .48976 L
.4846 .48957 L
.48327 .48796 L
.48314 .48787 L
.48202 .48636 L
.48154 .48581 L
.48066 .48475 L
.47993 .48367 L
.47958 .48314 L
.47834 .48154 L
.47833 .48153 L
.47715 .47993 L
.47672 .47935 L
.4757 .47833 L
.47512 .47738 L
.4748 .47672 L
.47379 .47512 L
.47351 .47464 L
.47295 .47351 L
F
1 .96 .289 r
.47351 .45218 m
.47409 .45265 L
.47512 .45353 L
.47584 .45425 L
.47672 .45465 L
.47738 .45586 L
.47833 .45684 L
.47933 .45746 L
.47993 .45881 L
.48014 .45907 L
.48144 .46067 L
.48154 .4608 L
.48267 .46228 L
.48314 .46295 L
.4838 .46388 L
.48472 .46549 L
.48314 .46614 L
.48247 .46549 L
.48154 .46452 L
.48101 .46388 L
.47993 .46291 L
.47967 .46228 L
.47839 .46067 L
.47833 .46059 L
.47721 .45907 L
.47672 .45843 L
.47604 .45746 L
.47512 .45622 L
.47488 .45586 L
.47381 .45425 L
.47351 .4538 L
.47297 .45265 L
F
1 .8 .002 r
.47351 .47237 m
.47512 .47319 L
.4757 .47351 L
.47672 .47454 L
.47739 .47512 L
.47833 .47625 L
.47897 .47672 L
.47993 .47812 L
.48018 .47833 L
.48149 .47993 L
.48154 .47996 L
.48276 .48154 L
.48314 .48195 L
.4843 .48314 L
.48475 .48405 L
.48532 .48475 L
.48636 .48616 L
.48647 .48636 L
.48772 .48796 L
.48796 .48828 L
.48892 .48957 L
.48957 .49012 L
.49025 .49117 L
.49117 .49258 L
.49127 .49278 L
.49234 .49438 L
.49278 .49509 L
.49328 .49599 L
.49328 .49759 L
.49278 .49764 L
.49262 .49759 L
.49117 .49683 L
.49017 .49599 L
.48957 .49539 L
.4886 .49438 L
.48796 .49363 L
.4869 .49278 L
.48636 .49171 L
.48582 .49117 L
.48475 .48974 L
.48461 .48957 L
.4833 .48796 L
.48314 .48785 L
.48204 .48636 L
.48154 .48578 L
.48068 .48475 L
.47993 .48364 L
.4796 .48314 L
.47836 .48154 L
.47833 .48149 L
.47718 .47993 L
.47672 .47931 L
.47573 .47833 L
.47512 .47731 L
.47484 .47672 L
.47384 .47512 L
.47351 .47454 L
.47302 .47351 L
F
1 .82 .004 r
.47351 .41592 m
.47479 .41733 L
.47512 .41766 L
.47622 .41894 L
.47672 .41948 L
.47761 .42054 L
.47833 .42135 L
.47899 .42215 L
.47993 .4231 L
.48034 .42375 L
.48154 .42517 L
.48174 .42536 L
.48298 .42696 L
.48314 .42715 L
.48428 .42857 L
.48475 .42878 L
.48558 .43017 L
.48636 .43102 L
.48723 .43178 L
.48796 .43312 L
.48821 .43338 L
.48943 .43499 L
.48957 .43515 L
.49069 .43659 L
.49117 .43698 L
.49196 .4382 L
.49278 .43915 L
.4934 .4398 L
.49438 .44125 L
.49451 .44141 L
.49575 .44301 L
.49599 .44331 L
.497 .44462 L
.49759 .44523 L
.49862 .44622 L
.4992 .44739 L
.49957 .44783 L
.50076 .44943 L
.5008 .44949 L
.50199 .45104 L
.50241 .45133 L
.50323 .45265 L
.50401 .45355 L
.50465 .45425 L
.50562 .4557 L
.50574 .45586 L
.50695 .45746 L
.50722 .4578 L
.50818 .45907 L
.50883 .45971 L
.50976 .46067 L
.51043 .46193 L
.51072 .46228 L
.51189 .46388 L
.51204 .46407 L
.51311 .46549 L
.51364 .46584 L
.51434 .46709 L
.51525 .46816 L
.51571 .4687 L
.51681 .4703 L
.51686 .47036 L
.51801 .47191 L
.51846 .47248 L
.51923 .47351 L
.52007 .47439 L
.52073 .47512 L
.52167 .47669 L
.5217 .47672 L
.52288 .47833 L
.52328 .47883 L
.52408 .47993 L
.52488 .4806 L
.5253 .48154 L
.52649 .48306 L
.52655 .48314 L
.52771 .48475 L
.52809 .48525 L
.52889 .48636 L
.5297 .48741 L
.53009 .48796 L
.5313 .48955 L
.53131 .48957 L
.53245 .49117 L
.53291 .49178 L
.5336 .49278 L
.53451 .49399 L
.53478 .49438 L
.53592 .49599 L
.53612 .49625 L
.53699 .49759 L
.53772 .49861 L
.53808 .4992 L
.53772 .50056 L
.53645 .4992 L
.53612 .49886 L
.53499 .49759 L
.53451 .49707 L
.53358 .49599 L
.53291 .49522 L
.53219 .49438 L
.5313 .49346 L
.53083 .49278 L
.5297 .49143 L
.52943 .49117 L
.52817 .48957 L
.52809 .48947 L
.52685 .48796 L
.52649 .48776 L
.52554 .48636 L
.52488 .4856 L
.52396 .48475 L
.52328 .48355 L
.52294 .48314 L
.52167 .48155 L
.52167 .48154 L
.52038 .47993 L
.52007 .47964 L
.5191 .47833 L
.51846 .47754 L
.51774 .47672 L
.51686 .47546 L
.51661 .47512 L
.5153 .47351 L
.51525 .47349 L
.51404 .47191 L
.51364 .47146 L
.51256 .4703 L
.51204 .46935 L
.51153 .4687 L
.51043 .46727 L
.51034 .46709 L
.50903 .46549 L
.50883 .46532 L
.50732 .46388 L
.50722 .4632 L
.50645 .46228 L
.50562 .46108 L
.50534 .46067 L
.50406 .45907 L
.50401 .45906 L
.50282 .45746 L
.50241 .45702 L
.50136 .45586 L
.5008 .45486 L
.50034 .45425 L
.4992 .45275 L
.49915 .45265 L
.49789 .45104 L
.49759 .45082 L
.49619 .44943 L
.49599 .44863 L
.49534 .44783 L
.49438 .44646 L
.49423 .44622 L
.49299 .44462 L
.49278 .44434 L
.49177 .44301 L
.49117 .44238 L
.49033 .44141 L
.48957 .44014 L
.48932 .4398 L
.48813 .4382 L
.48796 .43798 L
.48693 .43659 L
.48636 .43615 L
.48526 .43499 L
.48475 .43377 L
.48445 .43338 L
.48332 .43178 L
.48314 .43154 L
.48214 .43017 L
.48154 .42937 L
.48095 .42857 L
.47993 .42729 L
.47967 .42696 L
.47861 .42536 L
.47833 .42498 L
.47746 .42375 L
.47672 .42274 L
.47631 .42215 L
.47516 .42054 L
.47512 .42048 L
.4741 .41894 L
.47351 .4181 L
.47303 .41733 L
F
1 .79 .001 r
.47351 .47251 m
.47512 .47325 L
.47561 .47351 L
.47672 .47459 L
.47734 .47512 L
.47833 .47629 L
.47893 .47672 L
.47993 .47814 L
.48015 .47833 L
.48146 .47993 L
.48154 .47998 L
.48274 .48154 L
.48314 .48197 L
.48429 .48314 L
.48475 .48407 L
.4853 .48475 L
.48636 .48619 L
.48646 .48636 L
.4877 .48796 L
.48796 .48831 L
.4889 .48957 L
.48957 .49015 L
.49022 .49117 L
.49117 .49264 L
.49124 .49278 L
.4923 .49438 L
.49278 .49517 L
.49322 .49599 L
.49278 .49753 L
.49117 .49676 L
.49024 .49599 L
.48957 .49534 L
.48864 .49438 L
.48796 .49359 L
.48694 .49278 L
.48636 .49167 L
.48585 .49117 L
.48475 .48971 L
.48463 .48957 L
.48332 .48796 L
.48314 .48783 L
.48207 .48636 L
.48154 .48576 L
.4807 .48475 L
.47993 .48361 L
.47962 .48314 L
.47839 .48154 L
.47833 .48146 L
.4772 .47993 L
.47672 .47928 L
.47576 .47833 L
.47512 .47724 L
.47488 .47672 L
.47389 .47512 L
.47351 .47442 L
.4731 .47351 L
F
1 .68 0 r
.47351 .51394 m
.47465 .51525 L
.47512 .51575 L
.47605 .51686 L
.47672 .51762 L
.47743 .51846 L
.47833 .51952 L
.47878 .52007 L
.47993 .52138 L
.48011 .52167 L
.48141 .52328 L
.48154 .52342 L
.48271 .52488 L
.48314 .52541 L
.48401 .52649 L
.48475 .527 L
.4853 .52809 L
.48636 .52935 L
.48673 .5297 L
.48785 .5313 L
.48796 .53143 L
.48911 .53291 L
.48957 .53347 L
.49038 .53451 L
.49117 .53531 L
.49216 .53612 L
.49278 .53754 L
.49294 .53772 L
.49414 .53933 L
.49438 .53963 L
.49538 .54093 L
.49599 .54122 L
.49663 .54254 L
.49759 .54369 L
.49803 .54414 L
.4991 .54575 L
.4992 .54587 L
.50032 .54735 L
.5008 .54797 L
.50155 .54896 L
.50241 .54985 L
.50317 .55057 L
.504 .55217 L
.50401 .55218 L
.50519 .55378 L
.50562 .55432 L
.5064 .55538 L
.50722 .55646 L
.50761 .55699 L
.50882 .55859 L
.50883 .55861 L
.50998 .5602 L
.51043 .5608 L
.51115 .5618 L
.51204 .56299 L
.51234 .56341 L
.51349 .56501 L
.51364 .56522 L
.51459 .56662 L
.51525 .56752 L
.51571 .56822 L
.51525 .56956 L
.51412 .56822 L
.51364 .56772 L
.51274 .56662 L
.51204 .56583 L
.51138 .56501 L
.51043 .56391 L
.51003 .56341 L
.50883 .56204 L
.5087 .5618 L
.50741 .5602 L
.50722 .55998 L
.50613 .55859 L
.50562 .55798 L
.50485 .55699 L
.50401 .55597 L
.50356 .55538 L
.50241 .55401 L
.50214 .55378 L
.50101 .55217 L
.5008 .55192 L
.49976 .55057 L
.4992 .54987 L
.4985 .54896 L
.49759 .54805 L
.49724 .54735 L
.49599 .54577 L
.49596 .54575 L
.49475 .54414 L
.49438 .54369 L
.49352 .54254 L
.49278 .54161 L
.49227 .54093 L
.49117 .53961 L
.49089 .53933 L
.4898 .53772 L
.48957 .53744 L
.48858 .53612 L
.48796 .53533 L
.48736 .53451 L
.48636 .53344 L
.48612 .53291 L
.4849 .5313 L
.48475 .53112 L
.48371 .5297 L
.48314 .52898 L
.4825 .52809 L
.48154 .52685 L
.48128 .52649 L
.48007 .52488 L
.47993 .5247 L
.47892 .52328 L
.47833 .52252 L
.47774 .52167 L
.47672 .52034 L
.47653 .52007 L
.47538 .51846 L
.47512 .51811 L
.47428 .51686 L
.47351 .51582 L
.47315 .51525 L
F
0 .36 1 r
.47351 .5207 m
.47427 .52167 L
.47512 .52265 L
.4756 .52328 L
.47672 .52463 L
.47691 .52488 L
.47818 .52649 L
.47833 .52666 L
.4794 .52809 L
.47993 .52873 L
.48065 .5297 L
.48154 .53079 L
.48192 .5313 L
.48314 .53286 L
.48318 .53291 L
.48434 .53451 L
.48475 .53501 L
.48553 .53612 L
.48636 .53716 L
.48675 .53772 L
.48796 .53931 L
.48797 .53933 L
.48796 .54067 L
.48691 .53933 L
.48636 .53872 L
.4856 .53772 L
.48475 .53675 L
.48428 .53612 L
.48314 .53477 L
.48296 .53451 L
.48169 .53291 L
.48154 .53274 L
.48048 .5313 L
.47993 .53066 L
.47924 .5297 L
.47833 .52859 L
.47797 .52809 L
.47672 .52652 L
.4767 .52649 L
.47555 .52488 L
.47512 .52436 L
.47437 .52328 L
.47351 .5222 L
.47316 .52167 L
F
0 .75 1 r
.47351 .42285 m
.47427 .42375 L
.47512 .42464 L
.47569 .42536 L
.47672 .42652 L
.47708 .42696 L
.47833 .42843 L
.47844 .42857 L
.47974 .43017 L
.47993 .4304 L
.48101 .43178 L
.48154 .43239 L
.4823 .43338 L
.48314 .43439 L
.4836 .43499 L
.48475 .43625 L
.4849 .43659 L
.48616 .4382 L
.48636 .43843 L
.4874 .4398 L
.48796 .44049 L
.48865 .44141 L
.48957 .44254 L
.48992 .44301 L
.49117 .44457 L
.49122 .44462 L
.49241 .44622 L
.49278 .44668 L
.49363 .44783 L
.49438 .44877 L
.49487 .44943 L
.49599 .45068 L
.49613 .45104 L
.49734 .45265 L
.49759 .45296 L
.49853 .45425 L
.4992 .45509 L
.49975 .45586 L
.5008 .45721 L
.50098 .45746 L
.50218 .45907 L
.50241 .45936 L
.50334 .46067 L
.50401 .46154 L
.50453 .46228 L
.50562 .46371 L
.50574 .46388 L
.50686 .46549 L
.50722 .46596 L
.50796 .46709 L
.50883 .46827 L
.50909 .4687 L
.50883 .46963 L
.50802 .4687 L
.50722 .46785 L
.50658 .46709 L
.50562 .46599 L
.5052 .46549 L
.50401 .46409 L
.50384 .46388 L
.50253 .46228 L
.50241 .46214 L
.50123 .46067 L
.5008 .46017 L
.49993 .45907 L
.4992 .45818 L
.49862 .45746 L
.49759 .45637 L
.49733 .45586 L
.49606 .45425 L
.49599 .45416 L
.49481 .45265 L
.49438 .45212 L
.49354 .45104 L
.49278 .45008 L
.49228 .44943 L
.49117 .44809 L
.49089 .44783 L
.48979 .44622 L
.48957 .44594 L
.48856 .44462 L
.48796 .44386 L
.48731 .44301 L
.48636 .44202 L
.48608 .44141 L
.48486 .4398 L
.48475 .43967 L
.48366 .4382 L
.48314 .43754 L
.48244 .43659 L
.48154 .43541 L
.48122 .43499 L
.48002 .43338 L
.47993 .43327 L
.47886 .43178 L
.47833 .43108 L
.47768 .43017 L
.47672 .42889 L
.47649 .42857 L
.47536 .42696 L
.47512 .42664 L
.47427 .42536 L
.47351 .42431 L
.47316 .42375 L
F
1 .78 .001 r
.47351 .47266 m
.47512 .4733 L
.47553 .47351 L
.47672 .47464 L
.47729 .47512 L
.47833 .47633 L
.47888 .47672 L
.47993 .47817 L
.48012 .47833 L
.48144 .47993 L
.48154 .48 L
.48271 .48154 L
.48314 .482 L
.48427 .48314 L
.48475 .4841 L
.48528 .48475 L
.48636 .48621 L
.48644 .48636 L
.48767 .48796 L
.48796 .48834 L
.48887 .48957 L
.48957 .49019 L
.4902 .49117 L
.49117 .4927 L
.49121 .49278 L
.49226 .49438 L
.49278 .49526 L
.49316 .49599 L
.49278 .49741 L
.49117 .4967 L
.49031 .49599 L
.48957 .49529 L
.48868 .49438 L
.48796 .49355 L
.48697 .49278 L
.48636 .49164 L
.48588 .49117 L
.48475 .48969 L
.48465 .48957 L
.48334 .48796 L
.48314 .48781 L
.48209 .48636 L
.48154 .48573 L
.48072 .48475 L
.47993 .48358 L
.47964 .48314 L
.47841 .48154 L
.47833 .48143 L
.47723 .47993 L
.47672 .47924 L
.47579 .47833 L
.47512 .47716 L
.47492 .47672 L
.47394 .47512 L
.47351 .4743 L
.47319 .47351 L
F
1 .81 .003 r
.47351 .41619 m
.47459 .41733 L
.47512 .41784 L
.47608 .41894 L
.47672 .41963 L
.4775 .42054 L
.47833 .42147 L
.47889 .42215 L
.47993 .42322 L
.48026 .42375 L
.48154 .42528 L
.48163 .42536 L
.48291 .42696 L
.48314 .42724 L
.48421 .42857 L
.48475 .42883 L
.48552 .43017 L
.48636 .43109 L
.48716 .43178 L
.48796 .43318 L
.48815 .43338 L
.48938 .43499 L
.48957 .43521 L
.49065 .43659 L
.49117 .43703 L
.49192 .4382 L
.49278 .4392 L
.49335 .4398 L
.49438 .4413 L
.49447 .44141 L
.49571 .44301 L
.49599 .44336 L
.49696 .44462 L
.49759 .44527 L
.49858 .44622 L
.4992 .44744 L
.49954 .44783 L
.50072 .44943 L
.5008 .44953 L
.50196 .45104 L
.50241 .45136 L
.5032 .45265 L
.50401 .45359 L
.50461 .45425 L
.50562 .45574 L
.50571 .45586 L
.50692 .45746 L
.50722 .45784 L
.50815 .45907 L
.50883 .45975 L
.50973 .46067 L
.51043 .46197 L
.51069 .46228 L
.51186 .46388 L
.51204 .46411 L
.51308 .46549 L
.51364 .46587 L
.51431 .46709 L
.51525 .46821 L
.51568 .4687 L
.51678 .4703 L
.51686 .4704 L
.51798 .47191 L
.51846 .47252 L
.5192 .47351 L
.52007 .47445 L
.52068 .47512 L
.52166 .47672 L
.52167 .47674 L
.52284 .47833 L
.52328 .47888 L
.52405 .47993 L
.52488 .48067 L
.52527 .48154 L
.52649 .48314 L
.52649 .48314 L
.52766 .48475 L
.52809 .48531 L
.52884 .48636 L
.5297 .48748 L
.53004 .48796 L
.53124 .48957 L
.5313 .48964 L
.53238 .49117 L
.53291 .49187 L
.53353 .49278 L
.53451 .4941 L
.5347 .49438 L
.53582 .49599 L
.53612 .4964 L
.53687 .49759 L
.53772 .49883 L
.53793 .4992 L
.53772 .50028 L
.53666 .4992 L
.53612 .49867 L
.53515 .49759 L
.53451 .49691 L
.5337 .49599 L
.53291 .49509 L
.5323 .49438 L
.5313 .49333 L
.53093 .49278 L
.5297 .49132 L
.52954 .49117 L
.52825 .48957 L
.52809 .48938 L
.52693 .48796 L
.52649 .4877 L
.52561 .48636 L
.52488 .48552 L
.52403 .48475 L
.52328 .48347 L
.523 .48314 L
.52172 .48154 L
.52167 .48148 L
.52044 .47993 L
.52007 .47958 L
.51915 .47833 L
.51846 .47748 L
.51779 .47672 L
.51686 .47541 L
.51665 .47512 L
.51535 .47351 L
.51525 .47348 L
.51409 .47191 L
.51364 .47141 L
.51259 .4703 L
.51204 .4693 L
.51157 .4687 L
.51043 .46722 L
.51036 .46709 L
.50907 .46549 L
.50883 .46528 L
.50733 .46388 L
.50722 .46315 L
.50649 .46228 L
.50562 .46103 L
.50537 .46067 L
.5041 .45907 L
.50401 .45906 L
.50286 .45746 L
.50241 .45698 L
.5014 .45586 L
.5008 .45482 L
.50037 .45425 L
.4992 .4527 L
.49917 .45265 L
.49793 .45104 L
.49759 .45079 L
.49622 .44943 L
.49599 .44858 L
.49538 .44783 L
.49438 .44641 L
.49426 .44622 L
.49303 .44462 L
.49278 .44429 L
.49181 .44301 L
.49117 .44233 L
.49037 .44141 L
.48957 .44008 L
.48936 .4398 L
.48818 .4382 L
.48796 .43792 L
.48698 .43659 L
.48636 .43609 L
.48532 .43499 L
.48475 .43369 L
.48451 .43338 L
.48338 .43178 L
.48314 .43147 L
.4822 .43017 L
.48154 .42929 L
.48101 .42857 L
.47993 .42717 L
.47977 .42696 L
.47869 .42536 L
.47833 .42487 L
.47755 .42375 L
.47672 .42262 L
.47639 .42215 L
.47528 .42054 L
.47512 .42032 L
.47424 .41894 L
.47351 .41787 L
.47319 .41733 L
F
.061 .91 1 r
.47351 .50728 m
.47497 .50883 L
.47512 .50898 L
.47642 .51043 L
.47672 .51076 L
.47784 .51204 L
.47833 .51259 L
.47924 .51364 L
.47993 .51428 L
.48061 .51525 L
.48154 .51634 L
.48211 .51686 L
.48314 .5183 L
.48328 .51846 L
.48461 .52007 L
.48475 .52007 L
.48593 .52167 L
.48636 .52213 L
.48768 .52328 L
.48796 .52418 L
.48857 .52488 L
.48957 .52621 L
.48975 .52649 L
.49111 .52809 L
.49117 .52814 L
.49239 .5297 L
.49278 .53017 L
.4938 .5313 L
.49438 .53224 L
.49488 .53291 L
.49599 .5343 L
.49608 .53451 L
.49746 .53612 L
.49759 .53626 L
.49899 .53772 L
.4992 .53833 L
.5 .53933 L
.5008 .54043 L
.50112 .54093 L
.50241 .54247 L
.50248 .54254 L
.50373 .54414 L
.50401 .54448 L
.50509 .54575 L
.50562 .54659 L
.50617 .54735 L
.50722 .54869 L
.50733 .54896 L
.50871 .55057 L
.50883 .55068 L
.51019 .55217 L
.51043 .55278 L
.51121 .55378 L
.51204 .55491 L
.51232 .55538 L
.51364 .55697 L
.51366 .55699 L
.51489 .55859 L
.51525 .559 L
.51625 .5602 L
.51686 .56115 L
.51731 .5618 L
.51846 .56326 L
.51851 .56341 L
.5198 .56501 L
.52007 .56524 L
.52131 .56662 L
.52167 .56741 L
.52229 .56822 L
.52328 .56956 L
.52343 .56983 L
.52469 .57143 L
.52488 .57149 L
.52591 .57304 L
.52649 .57368 L
.52727 .57464 L
.52809 .5759 L
.52833 .57625 L
.52955 .57785 L
.5297 .57805 L
.53075 .57946 L
.5313 .57996 L
.53226 .58106 L
.53291 .58228 L
.5332 .58267 L
.53435 .58428 L
.53451 .5845 L
.53553 .58588 L
.53612 .58667 L
.53671 .58749 L
.53772 .58877 L
.53797 .58909 L
.53905 .5907 L
.53933 .59107 L
.5402 .5923 L
.54093 .59331 L
.54135 .59391 L
.5425 .59551 L
.54254 .59557 L
.54356 .59712 L
.54414 .59795 L
.54463 .59872 L
.54567 .60033 L
.54414 .60035 L
.54413 .60033 L
.54266 .59872 L
.54254 .5986 L
.54125 .59712 L
.54093 .59678 L
.53986 .59551 L
.53933 .59491 L
.5385 .59391 L
.53772 .59324 L
.53715 .5923 L
.53612 .59112 L
.53562 .5907 L
.53451 .58912 L
.53449 .58909 L
.5332 .58749 L
.53291 .58713 L
.53191 .58588 L
.5313 .58528 L
.53004 .58428 L
.5297 .58317 L
.52922 .58267 L
.52809 .58112 L
.52805 .58106 L
.52679 .57946 L
.52649 .57928 L
.52552 .57785 L
.52488 .57714 L
.52399 .57625 L
.52328 .57503 L
.52295 .57464 L
.52173 .57304 L
.52167 .57296 L
.52049 .57143 L
.52007 .57105 L
.51871 .56983 L
.51846 .5689 L
.51786 .56822 L
.51686 .56679 L
.51673 .56662 L
.51549 .56501 L
.51525 .56491 L
.51425 .56341 L
.51364 .56275 L
.51274 .5618 L
.51204 .56059 L
.51172 .5602 L
.51052 .55859 L
.51043 .55849 L
.50929 .55699 L
.50883 .5566 L
.50756 .55538 L
.50722 .55439 L
.50669 .55378 L
.50562 .55224 L
.50557 .55217 L
.50435 .55057 L
.50401 .55047 L
.50312 .54896 L
.50241 .5482 L
.50164 .54735 L
.5008 .54599 L
.50061 .54575 L
.49942 .54414 L
.4992 .54386 L
.49821 .54254 L
.49759 .54202 L
.49652 .54093 L
.49599 .53973 L
.49565 .53933 L
.49452 .53772 L
.49438 .53755 L
.49331 .53612 L
.49278 .53543 L
.49209 .53451 L
.49117 .53347 L
.49068 .53291 L
.48963 .5313 L
.48957 .53122 L
.48845 .5297 L
.48796 .52908 L
.48724 .52809 L
.48636 .52721 L
.4857 .52649 L
.48479 .52488 L
.48475 .52483 L
.48362 .52328 L
.48314 .52266 L
.48243 .52167 L
.48154 .52051 L
.48122 .52007 L
.48001 .51846 L
.47993 .51836 L
.47887 .51686 L
.47833 .51614 L
.47771 .51525 L
.47672 .51394 L
.47652 .51364 L
.47538 .51204 L
.47512 .51168 L
.4743 .51043 L
.47351 .50934 L
.4732 .50883 L
F
.013 .86 1 r
.47351 .45881 m
.47373 .45907 L
.47351 .45956 L
.47321 .45907 L
F
0 .35 1 r
.47351 .5208 m
.47419 .52167 L
.47512 .52273 L
.47553 .52328 L
.47672 .52471 L
.47686 .52488 L
.47672 .52645 L
.47562 .52488 L
.47512 .52428 L
.47444 .52328 L
.47351 .52211 L
.47322 .52167 L
F
1 .67 0 r
.47351 .5141 m
.47453 .51525 L
.47512 .51587 L
.47596 .51686 L
.47672 .51772 L
.47735 .51846 L
.47833 .51961 L
.47871 .52007 L
.47993 .52149 L
.48004 .52167 L
.48135 .52328 L
.48154 .5235 L
.48265 .52488 L
.48314 .52547 L
.48395 .52649 L
.48475 .52708 L
.48525 .52809 L
.48636 .52942 L
.48665 .5297 L
.4878 .5313 L
.48796 .53149 L
.48907 .53291 L
.48957 .53353 L
.49034 .53451 L
.49117 .53538 L
.49209 .53612 L
.49278 .5376 L
.49289 .53772 L
.4941 .53933 L
.49438 .53968 L
.49534 .54093 L
.49599 .54127 L
.49659 .54254 L
.49759 .54375 L
.49797 .54414 L
.49906 .54575 L
.4992 .54592 L
.50028 .54735 L
.5008 .54803 L
.50151 .54896 L
.50241 .54992 L
.5031 .55057 L
.50395 .55217 L
.50401 .55224 L
.50515 .55378 L
.50562 .55439 L
.50635 .55538 L
.50722 .55653 L
.50756 .55699 L
.50876 .55859 L
.50883 .55868 L
.50992 .5602 L
.51043 .56088 L
.51109 .5618 L
.51204 .56308 L
.51227 .56341 L
.51341 .56501 L
.51364 .56533 L
.5145 .56662 L
.51525 .56766 L
.51561 .56822 L
.51525 .5694 L
.51423 .56822 L
.51364 .56761 L
.51283 .56662 L
.51204 .56574 L
.51145 .56501 L
.51043 .56383 L
.5101 .56341 L
.50883 .56194 L
.50876 .5618 L
.50747 .5602 L
.50722 .55991 L
.50619 .55859 L
.50562 .55792 L
.50489 .55699 L
.50401 .55591 L
.5036 .55538 L
.50241 .55395 L
.50222 .55378 L
.50106 .55217 L
.5008 .55186 L
.49981 .55057 L
.4992 .54982 L
.49854 .54896 L
.49759 .54799 L
.49727 .54735 L
.49601 .54575 L
.49599 .54572 L
.49479 .54414 L
.49438 .54364 L
.49355 .54254 L
.49278 .54156 L
.49231 .54093 L
.49117 .53955 L
.49095 .53933 L
.48983 .53772 L
.48957 .53739 L
.48862 .53612 L
.48796 .53528 L
.48739 .53451 L
.48636 .53337 L
.48615 .53291 L
.48494 .5313 L
.48475 .53106 L
.48375 .5297 L
.48314 .52892 L
.48254 .52809 L
.48154 .52679 L
.48132 .52649 L
.48012 .52488 L
.47993 .52464 L
.47897 .52328 L
.47833 .52245 L
.47779 .52167 L
.47672 .52026 L
.47659 .52007 L
.47546 .51846 L
.47512 .51801 L
.47437 .51686 L
.47351 .51569 L
.47324 .51525 L
F
1 .77 .001 r
.47351 .47282 m
.47512 .47335 L
.47543 .47351 L
.47672 .47469 L
.47723 .47512 L
.47833 .47636 L
.47884 .47672 L
.47993 .4782 L
.48009 .47833 L
.48141 .47993 L
.48154 .48001 L
.48269 .48154 L
.48314 .48202 L
.48425 .48314 L
.48475 .48413 L
.48525 .48475 L
.48636 .48624 L
.48642 .48636 L
.48765 .48796 L
.48796 .48837 L
.48885 .48957 L
.48957 .49022 L
.49017 .49117 L
.49117 .49276 L
.49118 .49278 L
.49222 .49438 L
.49278 .49536 L
.4931 .49599 L
.49278 .49728 L
.49117 .49664 L
.49038 .49599 L
.48957 .49524 L
.48873 .49438 L
.48796 .4935 L
.487 .49278 L
.48636 .49161 L
.48591 .49117 L
.48475 .48967 L
.48467 .48957 L
.48337 .48796 L
.48314 .48779 L
.48211 .48636 L
.48154 .48571 L
.48074 .48475 L
.47993 .48355 L
.47966 .48314 L
.47844 .48154 L
.47833 .4814 L
.47725 .47993 L
.47672 .4792 L
.47582 .47833 L
.47512 .47708 L
.47495 .47672 L
.47399 .47512 L
.47351 .47415 L
.47328 .47351 L
F
0 .34 1 r
.47351 .52091 m
.4741 .52167 L
.47512 .52282 L
.47547 .52328 L
.47672 .52478 L
.4768 .52488 L
.47672 .52636 L
.47569 .52488 L
.47512 .52418 L
.47451 .52328 L
.47351 .52202 L
.47329 .52167 L
F
0 .47 1 r
.47351 .47837 m
.47509 .47993 L
.47512 .47997 L
.47646 .48154 L
.47672 .48183 L
.47775 .48314 L
.47833 .48385 L
.479 .48475 L
.47993 .48597 L
.48021 .48636 L
.48131 .48796 L
.48154 .48831 L
.48219 .48957 L
.48154 .49002 L
.48106 .48957 L
.47993 .48847 L
.47948 .48796 L
.47833 .48667 L
.47807 .48636 L
.47676 .48475 L
.47672 .48471 L
.47555 .48314 L
.47512 .48259 L
.47438 .48154 L
.47351 .48028 L
.47329 .47993 L
F
.084 .92 1 r
.47351 .40967 m
.47483 .41091 L
.47512 .41117 L
.47639 .41251 L
.47672 .41286 L
.47785 .41412 L
.47833 .41463 L
.47928 .41572 L
.47993 .41628 L
.48067 .41733 L
.48154 .41831 L
.48231 .41894 L
.48314 .42027 L
.4834 .42054 L
.48471 .42215 L
.48475 .42215 L
.48602 .42375 L
.48636 .42409 L
.48734 .42536 L
.48796 .42613 L
.48874 .42696 L
.48957 .42816 L
.48988 .42857 L
.49117 .43014 L
.49118 .43017 L
.49248 .43178 L
.49278 .43212 L
.49398 .43338 L
.49438 .43419 L
.49503 .43499 L
.49599 .43627 L
.49619 .43659 L
.49755 .4382 L
.49759 .43824 L
.49916 .4398 L
.4992 .44029 L
.50015 .44141 L
.5008 .44239 L
.50126 .44301 L
.50241 .44446 L
.50245 .44462 L
.50381 .44622 L
.50401 .44645 L
.50525 .44783 L
.50562 .44855 L
.50632 .44943 L
.50722 .45066 L
.50745 .45104 L
.50879 .45265 L
.50883 .45268 L
.51036 .45425 L
.51043 .45474 L
.51137 .45586 L
.51204 .45686 L
.51246 .45746 L
.51364 .45895 L
.51367 .45907 L
.51498 .46067 L
.51525 .46095 L
.51643 .46228 L
.51686 .46307 L
.51748 .46388 L
.51846 .46519 L
.51862 .46549 L
.51993 .46709 L
.52007 .4672 L
.52154 .4687 L
.52167 .46929 L
.52251 .4703 L
.52328 .47143 L
.52361 .47191 L
.52487 .47351 L
.52488 .47352 L
.52609 .47512 L
.52649 .47551 L
.52756 .47672 L
.52809 .47767 L
.52859 .47833 L
.5297 .47981 L
.52977 .47993 L
.53101 .48154 L
.5313 .48173 L
.53267 .48314 L
.53291 .48391 L
.53359 .48475 L
.53451 .48608 L
.5347 .48636 L
.53593 .48796 L
.53612 .4882 L
.53715 .48957 L
.53772 .49013 L
.53862 .49117 L
.53933 .49235 L
.53965 .49278 L
.54084 .49438 L
.54093 .49451 L
.54204 .49599 L
.54254 .49632 L
.54371 .49759 L
.54414 .49862 L
.5446 .4992 L
.54573 .5008 L
.54575 .50083 L
.54692 .50241 L
.54735 .50296 L
.54813 .50401 L
.54896 .50489 L
.54956 .50562 L
.55057 .50718 L
.5506 .50722 L
.55177 .50883 L
.55217 .50934 L
.55297 .51043 L
.55378 .51115 L
.55452 .51204 L
.55538 .51359 L
.55542 .51364 L
.55657 .51525 L
.55699 .51578 L
.55775 .51686 L
.55859 .51796 L
.55895 .51846 L
.56014 .52007 L
.5602 .52013 L
.56127 .52167 L
.5618 .52238 L
.56241 .52328 L
.56341 .52464 L
.56357 .52488 L
.56465 .52649 L
.56501 .52699 L
.56567 .52809 L
.56662 .52954 L
.5667 .5297 L
.56662 .53077 L
.56542 .5297 L
.56501 .52933 L
.56383 .52809 L
.56341 .52767 L
.56233 .52649 L
.5618 .52591 L
.56089 .52488 L
.5602 .52424 L
.55947 .52328 L
.55859 .52225 L
.55791 .52167 L
.55699 .52032 L
.55676 .52007 L
.5554 .51846 L
.55538 .51846 L
.55406 .51686 L
.55378 .51654 L
.55232 .51525 L
.55217 .51453 L
.5514 .51364 L
.55057 .5125 L
.55024 .51204 L
.54896 .51052 L
.54882 .51043 L
.54754 .50883 L
.54735 .5086 L
.54615 .50722 L
.54575 .50654 L
.54505 .50562 L
.54414 .50446 L
.54392 .50401 L
.54254 .50245 L
.54243 .50241 L
.54102 .5008 L
.54093 .50049 L
.53991 .4992 L
.53933 .49838 L
.53881 .49759 L
.53772 .49628 L
.53738 .49599 L
.53615 .49438 L
.53612 .49435 L
.53482 .49278 L
.53451 .49226 L
.53372 .49117 L
.53291 .49013 L
.53264 .48957 L
.5313 .48806 L
.53115 .48796 L
.52979 .48636 L
.5297 .48608 L
.52866 .48475 L
.52809 .48396 L
.52757 .48314 L
.52649 .48184 L
.52617 .48154 L
.52494 .47993 L
.52488 .47986 L
.52363 .47833 L
.52328 .47776 L
.52253 .47672 L
.52167 .47563 L
.52145 .47512 L
.52007 .47357 L
.51999 .47351 L
.5186 .47191 L
.51846 .47154 L
.51751 .4703 L
.51686 .46941 L
.51642 .4687 L
.51525 .4673 L
.51505 .46709 L
.51383 .46549 L
.51364 .46529 L
.51249 .46388 L
.51204 .46317 L
.51141 .46228 L
.51043 .46104 L
.51029 .46067 L
.5089 .45907 L
.50883 .45901 L
.50745 .45746 L
.50722 .45692 L
.50641 .45586 L
.50562 .45478 L
.50531 .45425 L
.50401 .45268 L
.50399 .45265 L
.50277 .45104 L
.50241 .45067 L
.5014 .44943 L
.5008 .44851 L
.50033 .44783 L
.4992 .44637 L
.49915 .44622 L
.49787 .44462 L
.49759 .44441 L
.49636 .44301 L
.49599 .44223 L
.49537 .44141 L
.49438 .44004 L
.49424 .4398 L
.493 .4382 L
.49278 .43791 L
.49179 .43659 L
.49117 .43595 L
.49042 .43499 L
.48957 .4337 L
.48935 .43338 L
.48816 .43178 L
.48796 .43152 L
.48696 .43017 L
.48636 .42967 L
.48545 .42857 L
.48475 .42729 L
.48451 .42696 L
.48337 .42536 L
.48314 .42506 L
.4822 .42375 L
.48154 .42287 L
.48102 .42215 L
.47993 .42074 L
.47979 .42054 L
.4787 .41894 L
.47833 .41843 L
.47757 .41733 L
.47672 .41616 L
.47643 .41572 L
.47533 .41412 L
.47512 .41381 L
.47432 .41251 L
.47351 .41128 L
.47331 .41091 L
F
0 .46 1 r
.47351 .47846 m
.47503 .47993 L
.47512 .48003 L
.47642 .48154 L
.47672 .48188 L
.47771 .48314 L
.47833 .48389 L
.47896 .48475 L
.47993 .48602 L
.48017 .48636 L
.48125 .48796 L
.48154 .48841 L
.4821 .48957 L
.48154 .48993 L
.48115 .48957 L
.47993 .48841 L
.47953 .48796 L
.47833 .48662 L
.47811 .48636 L
.4768 .48475 L
.47672 .48465 L
.47559 .48314 L
.47512 .48253 L
.47442 .48154 L
.47351 .48021 L
.47334 .47993 L
F
1 .66 0 r
.47351 .51429 m
.47438 .51525 L
.47512 .516 L
.47585 .51686 L
.47672 .51782 L
.47726 .51846 L
.47833 .5197 L
.47863 .52007 L
.47993 .5216 L
.47998 .52167 L
.48128 .52328 L
.48154 .52358 L
.48259 .52488 L
.48314 .52554 L
.4839 .52649 L
.48475 .52716 L
.4852 .52809 L
.48636 .5295 L
.48658 .5297 L
.48775 .5313 L
.48796 .53155 L
.48902 .53291 L
.48957 .53358 L
.49029 .53451 L
.49117 .53544 L
.49202 .53612 L
.49278 .53766 L
.49283 .53772 L
.49405 .53933 L
.49438 .53974 L
.4953 .54093 L
.49599 .54133 L
.49655 .54254 L
.49759 .54382 L
.49791 .54414 L
.49902 .54575 L
.4992 .54598 L
.50024 .54735 L
.5008 .54808 L
.50147 .54896 L
.50241 .55 L
.50302 .55057 L
.50391 .55217 L
.50401 .55231 L
.5051 .55378 L
.50562 .55445 L
.5063 .55538 L
.50722 .55659 L
.50751 .55699 L
.5087 .55859 L
.50883 .55876 L
.50986 .5602 L
.51043 .56096 L
.51103 .5618 L
.51204 .56317 L
.51221 .56341 L
.51332 .56501 L
.51364 .56545 L
.5144 .56662 L
.51525 .56782 L
.5155 .56822 L
.51525 .56923 L
.51437 .56822 L
.51364 .56748 L
.51293 .56662 L
.51204 .56564 L
.51153 .56501 L
.51043 .56375 L
.51016 .56341 L
.50883 .56183 L
.50882 .5618 L
.50753 .5602 L
.50722 .55984 L
.50624 .55859 L
.50562 .55785 L
.50494 .55699 L
.50401 .55586 L
.50364 .55538 L
.50241 .55387 L
.5023 .55378 L
.5011 .55217 L
.5008 .55181 L
.49985 .55057 L
.4992 .54977 L
.49858 .54896 L
.49759 .54792 L
.49731 .54735 L
.49605 .54575 L
.49599 .54567 L
.49483 .54414 L
.49438 .54359 L
.49359 .54254 L
.49278 .54151 L
.49234 .54093 L
.49117 .53949 L
.49101 .53933 L
.48987 .53772 L
.48957 .53734 L
.48866 .53612 L
.48796 .53523 L
.48743 .53451 L
.48636 .53329 L
.48619 .53291 L
.48498 .5313 L
.48475 .53101 L
.4838 .5297 L
.48314 .52887 L
.48259 .52809 L
.48154 .52673 L
.48136 .52649 L
.48018 .52488 L
.47993 .52457 L
.47902 .52328 L
.47833 .52237 L
.47784 .52167 L
.47672 .52018 L
.47664 .52007 L
.47554 .51846 L
.47512 .51789 L
.47446 .51686 L
.47351 .51554 L
.47334 .51525 L
F
0 .74 1 r
.47351 .42315 m
.47404 .42375 L
.47512 .42483 L
.47555 .42536 L
.47672 .42666 L
.47697 .42696 L
.47833 .42855 L
.47834 .42857 L
.47963 .43017 L
.47993 .43051 L
.48092 .43178 L
.48154 .43249 L
.48223 .43338 L
.48314 .43448 L
.48353 .43499 L
.48475 .4364 L
.48483 .43659 L
.48608 .4382 L
.48636 .43852 L
.48733 .4398 L
.48796 .44057 L
.48859 .44141 L
.48957 .44262 L
.48986 .44301 L
.49113 .44462 L
.49117 .44467 L
.49234 .44622 L
.49278 .44676 L
.49357 .44783 L
.49438 .44885 L
.49481 .44943 L
.49599 .45082 L
.49607 .45104 L
.49727 .45265 L
.49759 .45305 L
.49846 .45425 L
.4992 .45518 L
.49968 .45586 L
.5008 .4573 L
.50092 .45746 L
.5021 .45907 L
.50241 .45946 L
.50325 .46067 L
.50401 .46165 L
.50444 .46228 L
.50562 .46383 L
.50565 .46388 L
.50673 .46549 L
.50722 .46614 L
.50781 .46709 L
.50883 .46852 L
.50892 .4687 L
.50883 .46932 L
.50825 .4687 L
.50722 .46766 L
.50674 .46709 L
.50562 .46584 L
.50532 .46549 L
.50401 .46395 L
.50395 .46388 L
.50264 .46228 L
.50241 .46201 L
.50133 .46067 L
.5008 .46005 L
.50001 .45907 L
.4992 .45808 L
.49871 .45746 L
.49759 .45622 L
.49741 .45586 L
.49615 .45425 L
.49599 .45406 L
.49489 .45265 L
.49438 .45202 L
.49362 .45104 L
.49278 .44998 L
.49235 .44943 L
.49117 .44797 L
.49102 .44783 L
.48986 .44622 L
.48957 .44585 L
.48863 .44462 L
.48796 .44377 L
.48739 .44301 L
.48636 .44188 L
.48615 .44141 L
.48494 .4398 L
.48475 .43957 L
.48373 .4382 L
.48314 .43744 L
.48252 .43659 L
.48154 .43531 L
.4813 .43499 L
.48012 .43338 L
.47993 .43315 L
.47896 .43178 L
.47833 .43095 L
.47778 .43017 L
.47672 .42875 L
.4766 .42857 L
.4755 .42696 L
.47512 .42644 L
.47443 .42536 L
.47351 .42404 L
.47335 .42375 L
F
0 .33 1 r
.47351 .52104 m
.47399 .52167 L
.47512 .52292 L
.47539 .52328 L
.47672 .52487 L
.47674 .52488 L
.47672 .52627 L
.47578 .52488 L
.47512 .52408 L
.4746 .52328 L
.47351 .5219 L
.47337 .52167 L
F
1 .76 .001 r
.47351 .47302 m
.47512 .4734 L
.47533 .47351 L
.47672 .47474 L
.47718 .47512 L
.47833 .4764 L
.4788 .47672 L
.47993 .47822 L
.48006 .47833 L
.48138 .47993 L
.48154 .48003 L
.48267 .48154 L
.48314 .48205 L
.48423 .48314 L
.48475 .48415 L
.48523 .48475 L
.48636 .48627 L
.48641 .48636 L
.48763 .48796 L
.48796 .4884 L
.48883 .48957 L
.48957 .49026 L
.49014 .49117 L
.49115 .49278 L
.49117 .49281 L
.49217 .49438 L
.49278 .49546 L
.49303 .49599 L
.49278 .49714 L
.49117 .49657 L
.49046 .49599 L
.48957 .49518 L
.48878 .49438 L
.48796 .49346 L
.48704 .49278 L
.48636 .49158 L
.48593 .49117 L
.48475 .48965 L
.48468 .48957 L
.48339 .48796 L
.48314 .48777 L
.48213 .48636 L
.48154 .48568 L
.48076 .48475 L
.47993 .48352 L
.47968 .48314 L
.47846 .48154 L
.47833 .48137 L
.47728 .47993 L
.47672 .47917 L
.47585 .47833 L
.47512 .477 L
.475 .47672 L
.47404 .47512 L
.47351 .47397 L
.47337 .47351 L
F
1 .8 .002 r
.47351 .41655 m
.47433 .41733 L
.47512 .41805 L
.47591 .41894 L
.47672 .41978 L
.47738 .42054 L
.47833 .4216 L
.47879 .42215 L
.47993 .42336 L
.48017 .42375 L
.48152 .42536 L
.48154 .42538 L
.48283 .42696 L
.48314 .42733 L
.48414 .42857 L
.48475 .42889 L
.48546 .43017 L
.48636 .43117 L
.48708 .43178 L
.48796 .43325 L
.48808 .43338 L
.48933 .43499 L
.48957 .43527 L
.4906 .43659 L
.49117 .43708 L
.49188 .4382 L
.49278 .43926 L
.4933 .4398 L
.49438 .44135 L
.49443 .44141 L
.49567 .44301 L
.49599 .44341 L
.49692 .44462 L
.49759 .44532 L
.49854 .44622 L
.4992 .44748 L
.4995 .44783 L
.50069 .44943 L
.5008 .44958 L
.50192 .45104 L
.50241 .45139 L
.50317 .45265 L
.50401 .45363 L
.50458 .45425 L
.50562 .45579 L
.50567 .45586 L
.50689 .45746 L
.50722 .45788 L
.50812 .45907 L
.50883 .45979 L
.50969 .46067 L
.51043 .46201 L
.51065 .46228 L
.51183 .46388 L
.51204 .46415 L
.51305 .46549 L
.51364 .46591 L
.51428 .46709 L
.51525 .46826 L
.51563 .4687 L
.51674 .4703 L
.51686 .47045 L
.51794 .47191 L
.51846 .47257 L
.51916 .47351 L
.52007 .4745 L
.52063 .47512 L
.52162 .47672 L
.52167 .47679 L
.5228 .47833 L
.52328 .47894 L
.52401 .47993 L
.52488 .48075 L
.52523 .48154 L
.52644 .48314 L
.52649 .4832 L
.52761 .48475 L
.52809 .48538 L
.52879 .48636 L
.5297 .48755 L
.52999 .48796 L
.53118 .48957 L
.5313 .48973 L
.53231 .49117 L
.53291 .49197 L
.53345 .49278 L
.53451 .49421 L
.53462 .49438 L
.5357 .49599 L
.53612 .49658 L
.53672 .49759 L
.53772 .49914 L
.53775 .4992 L
.53772 .49988 L
.53695 .4992 L
.53612 .49845 L
.53532 .49759 L
.53451 .49675 L
.53384 .49599 L
.53291 .49495 L
.53241 .49438 L
.5313 .49319 L
.53103 .49278 L
.5297 .4912 L
.52966 .49117 L
.52834 .48957 L
.52809 .48928 L
.527 .48796 L
.52649 .48764 L
.52568 .48636 L
.52488 .48544 L
.5241 .48475 L
.52328 .4834 L
.52306 .48314 L
.52178 .48154 L
.52167 .4814 L
.52049 .47993 L
.52007 .47953 L
.5192 .47833 L
.51846 .47741 L
.51784 .47672 L
.51686 .47535 L
.51669 .47512 L
.5154 .47351 L
.51525 .47346 L
.51413 .47191 L
.51364 .47136 L
.51263 .4703 L
.51204 .46925 L
.51161 .4687 L
.51043 .46718 L
.51039 .46709 L
.50911 .46549 L
.50883 .46525 L
.50735 .46388 L
.50722 .46311 L
.50653 .46228 L
.50562 .46098 L
.50541 .46067 L
.50413 .45907 L
.50401 .45905 L
.5029 .45746 L
.50241 .45693 L
.50143 .45586 L
.5008 .45477 L
.50041 .45425 L
.4992 .45265 L
.49919 .45265 L
.49797 .45104 L
.49759 .45075 L
.49624 .44943 L
.49599 .44853 L
.49542 .44783 L
.49438 .44636 L
.49429 .44622 L
.49307 .44462 L
.49278 .44423 L
.49186 .44301 L
.49117 .44227 L
.49042 .44141 L
.48957 .44002 L
.48941 .4398 L
.48822 .4382 L
.48796 .43786 L
.48702 .43659 L
.48636 .43603 L
.48538 .43499 L
.48475 .43361 L
.48457 .43338 L
.48344 .43178 L
.48314 .43139 L
.48226 .43017 L
.48154 .42921 L
.48108 .42857 L
.47993 .42704 L
.47987 .42696 L
.47877 .42536 L
.47833 .42476 L
.47763 .42375 L
.47672 .42249 L
.47649 .42215 L
.47541 .42054 L
.47512 .42013 L
.47439 .41894 L
.47351 .41757 L
.47339 .41733 L
F
0 .45 1 r
.47351 .47856 m
.47496 .47993 L
.47512 .48009 L
.47637 .48154 L
.47672 .48194 L
.47767 .48314 L
.47833 .48394 L
.47892 .48475 L
.47993 .48607 L
.48013 .48636 L
.48119 .48796 L
.48154 .48851 L
.482 .48957 L
.48154 .48983 L
.48124 .48957 L
.47993 .48835 L
.47958 .48796 L
.47833 .48656 L
.47816 .48636 L
.47685 .48475 L
.47672 .4846 L
.47563 .48314 L
.47512 .48247 L
.47447 .48154 L
.47351 .48013 L
.47339 .47993 L
F
.045 .9 1 r
.47351 .5078 m
.47459 .50883 L
.47512 .50932 L
.47615 .51043 L
.47672 .51103 L
.47762 .51204 L
.47833 .51282 L
.47905 .51364 L
.47993 .51449 L
.48044 .51525 L
.48154 .51653 L
.48192 .51686 L
.48314 .51846 L
.48315 .51846 L
.48448 .52007 L
.48475 .52009 L
.48581 .52167 L
.48636 .52226 L
.4876 .52328 L
.48796 .52431 L
.48847 .52488 L
.48957 .52632 L
.48968 .52649 L
.49101 .52809 L
.49117 .52821 L
.49231 .5297 L
.49278 .53027 L
.49373 .5313 L
.49438 .53234 L
.49481 .53291 L
.49599 .53438 L
.49605 .53451 L
.49739 .53612 L
.49759 .53633 L
.49896 .53772 L
.4992 .53842 L
.49993 .53933 L
.5008 .54051 L
.50107 .54093 L
.50241 .54253 L
.50242 .54254 L
.50367 .54414 L
.50401 .54455 L
.50504 .54575 L
.50562 .54666 L
.50612 .54735 L
.50722 .54876 L
.5073 .54896 L
.50865 .55057 L
.50883 .55074 L
.51016 .55217 L
.51043 .55285 L
.51116 .55378 L
.51204 .55498 L
.51228 .55538 L
.5136 .55699 L
.51364 .55701 L
.51483 .55859 L
.51525 .55907 L
.5162 .5602 L
.51686 .56122 L
.51726 .5618 L
.51846 .56333 L
.51849 .56341 L
.51975 .56501 L
.52007 .5653 L
.52127 .56662 L
.52167 .56748 L
.52224 .56822 L
.52328 .56964 L
.52338 .56983 L
.52463 .57143 L
.52488 .57151 L
.52584 .57304 L
.52649 .57377 L
.5272 .57464 L
.52809 .57599 L
.52827 .57625 L
.52947 .57785 L
.5297 .57815 L
.53067 .57946 L
.5313 .58006 L
.53218 .58106 L
.53291 .58241 L
.5331 .58267 L
.53425 .58428 L
.53451 .58462 L
.53543 .58588 L
.53612 .58681 L
.53661 .58749 L
.53772 .58897 L
.53782 .58909 L
.53892 .5907 L
.53933 .59125 L
.54006 .5923 L
.54093 .59352 L
.5412 .59391 L
.54229 .59551 L
.54254 .59586 L
.54332 .59712 L
.54414 .59836 L
.54435 .59872 L
.54414 .59985 L
.54302 .59872 L
.54254 .59827 L
.5415 .59712 L
.54093 .59652 L
.54007 .59551 L
.53933 .5947 L
.53867 .59391 L
.53772 .59304 L
.53729 .5923 L
.53612 .59095 L
.53582 .5907 L
.53462 .58909 L
.53451 .58897 L
.53331 .58749 L
.53291 .58701 L
.53201 .58588 L
.5313 .58516 L
.53014 .58428 L
.5297 .58306 L
.52932 .58267 L
.52813 .58106 L
.52809 .58102 L
.52686 .57946 L
.52649 .57922 L
.52559 .57785 L
.52488 .57706 L
.52406 .57625 L
.52328 .57495 L
.52302 .57464 L
.52179 .57304 L
.52167 .57289 L
.52055 .57143 L
.52007 .57099 L
.51876 .56983 L
.51846 .56883 L
.51791 .56822 L
.51686 .56672 L
.51677 .56662 L
.51554 .56501 L
.51525 .56488 L
.5143 .56341 L
.51364 .5627 L
.51279 .5618 L
.51204 .56053 L
.51176 .5602 L
.51056 .55859 L
.51043 .55843 L
.50934 .55699 L
.50883 .55655 L
.5076 .55538 L
.50722 .55434 L
.50674 .55378 L
.50562 .55219 L
.50561 .55217 L
.50439 .55057 L
.50401 .55044 L
.50317 .54896 L
.50241 .54814 L
.50169 .54735 L
.5008 .54593 L
.50066 .54575 L
.49947 .54414 L
.4992 .5438 L
.49825 .54254 L
.49759 .54197 L
.49658 .54093 L
.49599 .53966 L
.49571 .53933 L
.49457 .53772 L
.49438 .53749 L
.49336 .53612 L
.49278 .53537 L
.49214 .53451 L
.49117 .53339 L
.49076 .53291 L
.48969 .5313 L
.48957 .53114 L
.4885 .5297 L
.48796 .529 L
.4873 .52809 L
.48636 .5271 L
.48581 .52649 L
.48486 .52488 L
.48475 .52474 L
.4837 .52328 L
.48314 .52256 L
.48251 .52167 L
.48154 .5204 L
.4813 .52007 L
.48012 .51846 L
.47993 .51822 L
.47898 .51686 L
.47833 .51599 L
.47782 .51525 L
.47672 .51377 L
.47664 .51364 L
.47556 .51204 L
.47512 .51142 L
.47451 .51043 L
.47351 .50896 L
.47344 .50883 L
F
0 .44 1 r
.47351 .47868 m
.47489 .47993 L
.47512 .48015 L
.47632 .48154 L
.47672 .48199 L
.47763 .48314 L
.47833 .48399 L
.47889 .48475 L
.47993 .48613 L
.48009 .48636 L
.48113 .48796 L
.48154 .48864 L
.48187 .48957 L
.48154 .48972 L
.48136 .48957 L
.47993 .48828 L
.47964 .48796 L
.47833 .48651 L
.4782 .48636 L
.4769 .48475 L
.47672 .48454 L
.47568 .48314 L
.47512 .48241 L
.47452 .48154 L
.47351 .48004 L
.47345 .47993 L
F
1 .65 0 r
.47351 .51454 m
.4742 .51525 L
.47512 .51614 L
.47574 .51686 L
.47672 .51793 L
.47717 .51846 L
.47833 .51979 L
.47856 .52007 L
.4799 .52167 L
.47993 .52171 L
.48121 .52328 L
.48154 .52365 L
.48253 .52488 L
.48314 .52562 L
.48384 .52649 L
.48475 .52725 L
.48515 .52809 L
.48636 .52957 L
.48649 .5297 L
.4877 .5313 L
.48796 .53162 L
.48897 .53291 L
.48957 .53364 L
.49025 .53451 L
.49117 .53551 L
.49193 .53612 L
.49277 .53772 L
.49278 .53773 L
.49401 .53933 L
.49438 .5398 L
.49526 .54093 L
.49599 .54139 L
.49651 .54254 L
.49759 .54388 L
.49785 .54414 L
.49897 .54575 L
.4992 .54604 L
.50019 .54735 L
.5008 .54814 L
.50142 .54896 L
.50241 .55008 L
.50293 .55057 L
.50386 .55217 L
.50401 .55237 L
.50505 .55378 L
.50562 .55452 L
.50625 .55538 L
.50722 .55666 L
.50746 .55699 L
.50864 .55859 L
.50883 .55884 L
.50979 .5602 L
.51043 .56105 L
.51097 .5618 L
.51204 .56326 L
.51214 .56341 L
.51322 .56501 L
.51364 .56559 L
.51429 .56662 L
.51525 .56801 L
.51537 .56822 L
.51525 .569 L
.51455 .56822 L
.51364 .56735 L
.51303 .56662 L
.51204 .56554 L
.51161 .56501 L
.51043 .56366 L
.51023 .56341 L
.50889 .5618 L
.50883 .56174 L
.5076 .5602 L
.50722 .55977 L
.5063 .55859 L
.50562 .55779 L
.50499 .55699 L
.50401 .5558 L
.50369 .55538 L
.50241 .5538 L
.50238 .55378 L
.50115 .55217 L
.5008 .55175 L
.49989 .55057 L
.4992 .54971 L
.49862 .54896 L
.49759 .54785 L
.49735 .54735 L
.49609 .54575 L
.49599 .54562 L
.49487 .54414 L
.49438 .54354 L
.49363 .54254 L
.49278 .54147 L
.49238 .54093 L
.49117 .53942 L
.49108 .53933 L
.48992 .53772 L
.48957 .53729 L
.4887 .53612 L
.48796 .53518 L
.48747 .53451 L
.48636 .53321 L
.48623 .53291 L
.48503 .5313 L
.48475 .53095 L
.48384 .5297 L
.48314 .52881 L
.48263 .52809 L
.48154 .52668 L
.4814 .52649 L
.48023 .52488 L
.47993 .5245 L
.47908 .52328 L
.47833 .52229 L
.4779 .52167 L
.47672 .5201 L
.4767 .52007 L
.47563 .51846 L
.47512 .51776 L
.47456 .51686 L
.47351 .51535 L
.47346 .51525 L
F
0 .32 1 r
.47351 .52123 m
.47384 .52167 L
.47512 .52303 L
.4753 .52328 L
.47512 .52395 L
.47471 .52328 L
.47351 .52176 L
.47346 .52167 L
F
1 .75 0 r
.47351 .47331 m
.47512 .47346 L
.47522 .47351 L
.47672 .47478 L
.47713 .47512 L
.47833 .47644 L
.47875 .47672 L
.47993 .47825 L
.48003 .47833 L
.48135 .47993 L
.48154 .48004 L
.48264 .48154 L
.48314 .48207 L
.48421 .48314 L
.48475 .48418 L
.48521 .48475 L
.48636 .48629 L
.48639 .48636 L
.48761 .48796 L
.48796 .48843 L
.4888 .48957 L
.48957 .49031 L
.49011 .49117 L
.49111 .49278 L
.49117 .49286 L
.49213 .49438 L
.49278 .49557 L
.49296 .49599 L
.49278 .49699 L
.49117 .49651 L
.49053 .49599 L
.48957 .49513 L
.48882 .49438 L
.48796 .49342 L
.48708 .49278 L
.48636 .49155 L
.48596 .49117 L
.48475 .48962 L
.4847 .48957 L
.48341 .48796 L
.48314 .48776 L
.48216 .48636 L
.48154 .48565 L
.48079 .48475 L
.47993 .48349 L
.4797 .48314 L
.47848 .48154 L
.47833 .48133 L
.47731 .47993 L
.47672 .47913 L
.47588 .47833 L
.47512 .47691 L
.47504 .47672 L
.4741 .47512 L
.47351 .47371 L
.47348 .47351 L
F
1 .17 0 r
.47351 .52794 m
.47356 .52809 L
.47351 .52813 L
.47349 .52809 L
F
0 .43 1 r
.47351 .47882 m
.47481 .47993 L
.47512 .48022 L
.47627 .48154 L
.47672 .48204 L
.47759 .48314 L
.47833 .48405 L
.47885 .48475 L
.47993 .48619 L
.48005 .48636 L
.48106 .48796 L
.48154 .4888 L
.48163 .48957 L
.48154 .48958 L
.48151 .48957 L
.47993 .48822 L
.4797 .48796 L
.47833 .48645 L
.47825 .48636 L
.47695 .48475 L
.47672 .48448 L
.47573 .48314 L
.47512 .48234 L
.47457 .48154 L
.47351 .47994 L
.47351 .47993 L
F
1 .77 .001 r
.47351 .43017 m
.47351 .43017 L
.47351 .43017 L
.47351 .43017 L
F
1 .74 0 r
.47512 .47352 m
.47672 .47483 L
.47708 .47512 L
.47833 .47647 L
.47871 .47672 L
.47993 .47827 L
.48 .47833 L
.48133 .47993 L
.48154 .48006 L
.48262 .48154 L
.48314 .4821 L
.48419 .48314 L
.48475 .48421 L
.48519 .48475 L
.48636 .48632 L
.48638 .48636 L
.48759 .48796 L
.48796 .48846 L
.48878 .48957 L
.48957 .49035 L
.49008 .49117 L
.49108 .49278 L
.49117 .49292 L
.49209 .49438 L
.49278 .49571 L
.49289 .49599 L
.49278 .49681 L
.49117 .49644 L
.49061 .49599 L
.48957 .49508 L
.48887 .49438 L
.48796 .49338 L
.48711 .49278 L
.48636 .49151 L
.48599 .49117 L
.48475 .4896 L
.48472 .48957 L
.48344 .48796 L
.48314 .48774 L
.48218 .48636 L
.48154 .48562 L
.48081 .48475 L
.47993 .48346 L
.47972 .48314 L
.47851 .48154 L
.47833 .4813 L
.47733 .47993 L
.47672 .47909 L
.47592 .47833 L
.47512 .47681 L
.47508 .47672 L
.47415 .47512 L
F
1 .73 0 r
.47512 .47361 m
.47672 .47488 L
.47702 .47512 L
.47833 .47651 L
.47866 .47672 L
.47993 .4783 L
.47997 .47833 L
.4813 .47993 L
.48154 .48008 L
.48259 .48154 L
.48314 .48212 L
.48417 .48314 L
.48475 .48423 L
.48517 .48475 L
.48636 .48635 L
.48636 .48636 L
.48756 .48796 L
.48796 .48849 L
.48876 .48957 L
.48957 .49039 L
.49005 .49117 L
.49104 .49278 L
.49117 .49297 L
.49204 .49438 L
.49278 .49587 L
.49282 .49599 L
.49278 .49657 L
.49117 .49637 L
.4907 .49599 L
.48957 .49503 L
.48892 .49438 L
.48796 .49334 L
.48716 .49278 L
.48636 .49148 L
.48602 .49117 L
.48475 .48958 L
.48474 .48957 L
.48346 .48796 L
.48314 .48772 L
.4822 .48636 L
.48154 .4856 L
.48083 .48475 L
.47993 .48343 L
.47974 .48314 L
.47853 .48154 L
.47833 .48127 L
.47736 .47993 L
.47672 .47905 L
.47595 .47833 L
.47512 .47672 L
.47512 .47672 L
.47421 .47512 L
F
1 .72 0 r
.47512 .47369 m
.47672 .47493 L
.47696 .47512 L
.47833 .47655 L
.47861 .47672 L
.47993 .47832 L
.47994 .47833 L
.48127 .47993 L
.48154 .48009 L
.48257 .48154 L
.48314 .48215 L
.48415 .48314 L
.48475 .48426 L
.48515 .48475 L
.48634 .48636 L
.48636 .48638 L
.48754 .48796 L
.48796 .48852 L
.48873 .48957 L
.48957 .49044 L
.49001 .49117 L
.49101 .49278 L
.49117 .49302 L
.492 .49438 L
.49273 .49599 L
.49117 .4963 L
.49079 .49599 L
.48957 .49498 L
.48896 .49438 L
.48796 .4933 L
.4872 .49278 L
.48636 .49145 L
.48605 .49117 L
.48476 .48957 L
.48475 .48955 L
.48349 .48796 L
.48314 .4877 L
.48222 .48636 L
.48154 .48557 L
.48085 .48475 L
.47993 .4834 L
.47976 .48314 L
.47856 .48154 L
.47833 .48123 L
.47739 .47993 L
.47672 .47901 L
.47599 .47833 L
.47516 .47672 L
.47512 .47665 L
.47427 .47512 L
F
1 .71 0 r
.47512 .47378 m
.47672 .47497 L
.47691 .47512 L
.47833 .47658 L
.47856 .47672 L
.47991 .47833 L
.47993 .47836 L
.48125 .47993 L
.48154 .48011 L
.48255 .48154 L
.48314 .48218 L
.48412 .48314 L
.48475 .48429 L
.48513 .48475 L
.48632 .48636 L
.48636 .48641 L
.48752 .48796 L
.48796 .48855 L
.48871 .48957 L
.48957 .49049 L
.48998 .49117 L
.49097 .49278 L
.49117 .49308 L
.49195 .49438 L
.49262 .49599 L
.49117 .49622 L
.49088 .49599 L
.48957 .49493 L
.48901 .49438 L
.48796 .49326 L
.48724 .49278 L
.48636 .49142 L
.48608 .49117 L
.48479 .48957 L
.48475 .48952 L
.48351 .48796 L
.48314 .48768 L
.48225 .48636 L
.48154 .48554 L
.48087 .48475 L
.47993 .48337 L
.47978 .48314 L
.47858 .48154 L
.47833 .4812 L
.47741 .47993 L
.47672 .47897 L
.47603 .47833 L
.47521 .47672 L
.47512 .47658 L
.47432 .47512 L
F
1 .7 0 r
.47512 .47387 m
.47672 .47502 L
.47685 .47512 L
.47833 .47662 L
.4785 .47672 L
.47988 .47833 L
.47993 .47839 L
.48122 .47993 L
.48154 .48013 L
.48252 .48154 L
.48314 .4822 L
.4841 .48314 L
.48475 .48432 L
.4851 .48475 L
.48629 .48636 L
.48636 .48644 L
.48749 .48796 L
.48796 .48858 L
.48868 .48957 L
.48957 .49054 L
.48995 .49117 L
.49094 .49278 L
.49117 .49314 L
.4919 .49438 L
.4925 .49599 L
.49117 .49613 L
.49098 .49599 L
.48957 .49488 L
.48906 .49438 L
.48796 .49322 L
.48729 .49278 L
.48636 .49139 L
.48611 .49117 L
.48482 .48957 L
.48475 .48949 L
.48353 .48796 L
.48314 .48766 L
.48227 .48636 L
.48154 .48551 L
.4809 .48475 L
.47993 .48334 L
.4798 .48314 L
.47861 .48154 L
.47833 .48117 L
.47744 .47993 L
.47672 .47893 L
.47607 .47833 L
.47525 .47672 L
.47512 .47651 L
.47438 .47512 L
F
1 .69 0 r
.47512 .47396 m
.47672 .47507 L
.47679 .47512 L
.47833 .47665 L
.47845 .47672 L
.47984 .47833 L
.47993 .47843 L
.48119 .47993 L
.48154 .48015 L
.4825 .48154 L
.48314 .48223 L
.48408 .48314 L
.48475 .48435 L
.48508 .48475 L
.48627 .48636 L
.48636 .48646 L
.48747 .48796 L
.48796 .48861 L
.48866 .48957 L
.48957 .49059 L
.48991 .49117 L
.4909 .49278 L
.49117 .4932 L
.49186 .49438 L
.49235 .49599 L
.49117 .49604 L
.4911 .49599 L
.48957 .49483 L
.48911 .49438 L
.48796 .49318 L
.48734 .49278 L
.48636 .49136 L
.48615 .49117 L
.48484 .48957 L
.48475 .48945 L
.48356 .48796 L
.48314 .48763 L
.48229 .48636 L
.48154 .48548 L
.48092 .48475 L
.47993 .48331 L
.47982 .48314 L
.47863 .48154 L
.47833 .48113 L
.47747 .47993 L
.47672 .47889 L
.47611 .47833 L
.47529 .47672 L
.47512 .47644 L
.47445 .47512 L
F
1 .68 0 r
.47512 .47405 m
.47672 .47512 L
.47672 .47512 L
.47833 .47669 L
.47839 .47672 L
.47981 .47833 L
.47993 .47847 L
.48116 .47993 L
.48154 .48017 L
.48247 .48154 L
.48314 .48226 L
.48405 .48314 L
.48475 .48438 L
.48506 .48475 L
.48625 .48636 L
.48636 .48649 L
.48745 .48796 L
.48796 .48864 L
.48864 .48957 L
.48957 .49065 L
.48988 .49117 L
.49087 .49278 L
.49117 .49326 L
.49181 .49438 L
.49117 .49595 L
.48957 .49478 L
.48916 .49438 L
.48796 .49314 L
.48739 .49278 L
.48636 .49133 L
.48618 .49117 L
.48487 .48957 L
.48475 .48942 L
.48358 .48796 L
.48314 .48761 L
.48231 .48636 L
.48154 .48545 L
.48094 .48475 L
.47993 .48328 L
.47984 .48314 L
.47866 .48154 L
.47833 .4811 L
.47749 .47993 L
.47672 .47885 L
.47615 .47833 L
.47533 .47672 L
.47512 .47636 L
.47451 .47512 L
F
1 .79 .001 r
.47512 .41829 m
.47572 .41894 L
.47672 .41995 L
.47724 .42054 L
.47833 .42173 L
.47868 .42215 L
.47993 .42351 L
.48008 .42375 L
.48143 .42536 L
.48154 .42548 L
.48275 .42696 L
.48314 .42742 L
.48407 .42857 L
.48475 .42896 L
.48539 .43017 L
.48636 .43125 L
.48699 .43178 L
.48796 .43332 L
.48802 .43338 L
.48928 .43499 L
.48957 .43534 L
.49055 .43659 L
.49117 .43713 L
.49183 .4382 L
.49278 .43932 L
.49325 .4398 L
.49438 .44141 L
.49438 .44141 L
.49563 .44301 L
.49599 .44346 L
.49689 .44462 L
.49759 .44536 L
.49849 .44622 L
.4992 .44753 L
.49946 .44783 L
.50065 .44943 L
.5008 .44962 L
.50189 .45104 L
.50241 .45143 L
.50314 .45265 L
.50401 .45368 L
.50454 .45425 L
.50562 .45583 L
.50564 .45586 L
.50686 .45746 L
.50722 .45792 L
.50809 .45907 L
.50883 .45983 L
.50965 .46067 L
.51043 .46206 L
.51062 .46228 L
.5118 .46388 L
.51204 .46419 L
.51301 .46549 L
.51364 .46595 L
.51425 .46709 L
.51525 .4683 L
.51559 .4687 L
.51671 .4703 L
.51686 .47049 L
.51791 .47191 L
.51846 .47261 L
.51913 .47351 L
.52007 .47456 L
.52058 .47512 L
.52158 .47672 L
.52167 .47684 L
.52276 .47833 L
.52328 .47899 L
.52397 .47993 L
.52488 .48083 L
.52519 .48154 L
.5264 .48314 L
.52649 .48326 L
.52756 .48475 L
.52809 .48545 L
.52874 .48636 L
.5297 .48762 L
.52994 .48796 L
.53111 .48957 L
.5313 .48982 L
.53223 .49117 L
.53291 .49208 L
.53338 .49278 L
.53451 .49434 L
.53454 .49438 L
.53556 .49599 L
.53612 .4968 L
.53654 .49759 L
.53612 .4982 L
.53553 .49759 L
.53451 .49657 L
.53399 .49599 L
.53291 .49481 L
.53253 .49438 L
.5313 .49303 L
.53113 .49278 L
.52977 .49117 L
.5297 .49109 L
.52842 .48957 L
.52809 .48918 L
.52708 .48796 L
.52649 .48757 L
.52575 .48636 L
.52488 .48536 L
.52419 .48475 L
.52328 .48332 L
.52312 .48314 L
.52184 .48154 L
.52167 .48133 L
.52055 .47993 L
.52007 .47947 L
.51926 .47833 L
.51846 .47735 L
.51789 .47672 L
.51686 .47529 L
.51673 .47512 L
.51544 .47351 L
.51525 .47344 L
.51418 .47191 L
.51364 .47131 L
.51267 .4703 L
.51204 .46919 L
.51165 .4687 L
.51043 .46713 L
.51041 .46709 L
.50915 .46549 L
.50883 .46521 L
.50737 .46388 L
.50722 .46306 L
.50656 .46228 L
.50562 .46093 L
.50544 .46067 L
.50417 .45907 L
.50401 .45904 L
.50293 .45746 L
.50241 .45689 L
.50146 .45586 L
.5008 .45472 L
.50045 .45425 L
.49923 .45265 L
.4992 .4526 L
.49801 .45104 L
.49759 .45072 L
.49627 .44943 L
.49599 .44848 L
.49546 .44783 L
.49438 .4463 L
.49433 .44622 L
.49311 .44462 L
.49278 .44418 L
.4919 .44301 L
.49117 .44221 L
.49047 .44141 L
.48957 .43995 L
.48945 .4398 L
.48827 .4382 L
.48796 .43779 L
.48707 .43659 L
.48636 .43596 L
.48545 .43499 L
.48475 .43353 L
.48464 .43338 L
.4835 .43178 L
.48314 .43131 L
.48232 .43017 L
.48154 .42912 L
.48114 .42857 L
.47997 .42696 L
.47993 .42692 L
.47885 .42536 L
.47833 .42464 L
.47772 .42375 L
.47672 .42235 L
.47659 .42215 L
.47556 .42054 L
.47512 .4199 L
.47458 .41894 L
F
1 .67 0 r
.47512 .47415 m
.47664 .47512 L
.47672 .47518 L
.47833 .47672 L
.47833 .47672 L
.47978 .47833 L
.47993 .4785 L
.48113 .47993 L
.48154 .48019 L
.48245 .48154 L
.48314 .48229 L
.48403 .48314 L
.48475 .48441 L
.48503 .48475 L
.48623 .48636 L
.48636 .48652 L
.48742 .48796 L
.48796 .48868 L
.48861 .48957 L
.48957 .49071 L
.48984 .49117 L
.49083 .49278 L
.49117 .49333 L
.49176 .49438 L
.49117 .49587 L
.48957 .49472 L
.48922 .49438 L
.48796 .4931 L
.48744 .49278 L
.48636 .4913 L
.48621 .49117 L
.4849 .48957 L
.48475 .48939 L
.48361 .48796 L
.48314 .48759 L
.48234 .48636 L
.48154 .48542 L
.48097 .48475 L
.47993 .48325 L
.47987 .48314 L
.47868 .48154 L
.47833 .48106 L
.47752 .47993 L
.47672 .4788 L
.47619 .47833 L
.47538 .47672 L
.47512 .47627 L
.47458 .47512 L
F
.061 .91 1 r
.47512 .41161 m
.47604 .41251 L
.47672 .41317 L
.4776 .41412 L
.47833 .41488 L
.47908 .41572 L
.47993 .41648 L
.4805 .41733 L
.48154 .41849 L
.48212 .41894 L
.48314 .42042 L
.48327 .42054 L
.48459 .42215 L
.48475 .42216 L
.48592 .42375 L
.48636 .4242 L
.48724 .42536 L
.48796 .42623 L
.48866 .42696 L
.48957 .42825 L
.48982 .42857 L
.49113 .43017 L
.49117 .4302 L
.49242 .43178 L
.49278 .4322 L
.49393 .43338 L
.49438 .43426 L
.49498 .43499 L
.49599 .43632 L
.49616 .43659 L
.4975 .4382 L
.49759 .43829 L
.49915 .4398 L
.4992 .44035 L
.50012 .44141 L
.5008 .44244 L
.50122 .44301 L
.50241 .4445 L
.50244 .44462 L
.50377 .44622 L
.50401 .44649 L
.50523 .44783 L
.50562 .44859 L
.50629 .44943 L
.50722 .4507 L
.50743 .45104 L
.50876 .45265 L
.50883 .45271 L
.51036 .45425 L
.51043 .45477 L
.51135 .45586 L
.51204 .45689 L
.51244 .45746 L
.51364 .45898 L
.51367 .45907 L
.51496 .46067 L
.51525 .46098 L
.51641 .46228 L
.51686 .4631 L
.51746 .46388 L
.51846 .46522 L
.51861 .46549 L
.51991 .46709 L
.52007 .46722 L
.52153 .4687 L
.52167 .46932 L
.52249 .4703 L
.52328 .47146 L
.52359 .47191 L
.52485 .47351 L
.52488 .47352 L
.52607 .47512 L
.52649 .47554 L
.52754 .47672 L
.52809 .4777 L
.52857 .47833 L
.5297 .47984 L
.52975 .47993 L
.53099 .48154 L
.5313 .48175 L
.53265 .48314 L
.53291 .48394 L
.53357 .48475 L
.53451 .48611 L
.53468 .48636 L
.5359 .48796 L
.53612 .48823 L
.53712 .48957 L
.53772 .49016 L
.53859 .49117 L
.53933 .49239 L
.53962 .49278 L
.54081 .49438 L
.54093 .49454 L
.54201 .49599 L
.54254 .49635 L
.54368 .49759 L
.54414 .49867 L
.54457 .4992 L
.54569 .5008 L
.54575 .50087 L
.54689 .50241 L
.54735 .50301 L
.5481 .50401 L
.54896 .50495 L
.54951 .50562 L
.55055 .50722 L
.55057 .50725 L
.55173 .50883 L
.55217 .5094 L
.55292 .51043 L
.55378 .51124 L
.55444 .51204 L
.55535 .51364 L
.55538 .51369 L
.55651 .51525 L
.55699 .51588 L
.55768 .51686 L
.55859 .51807 L
.55887 .51846 L
.56004 .52007 L
.5602 .52027 L
.56115 .52167 L
.5618 .52255 L
.56228 .52328 L
.56341 .52485 L
.56343 .52488 L
.56443 .52649 L
.56501 .52738 L
.56537 .52809 L
.56501 .52885 L
.56421 .52809 L
.56341 .52734 L
.5626 .52649 L
.5618 .52565 L
.56111 .52488 L
.5602 .52402 L
.55966 .52328 L
.55859 .52205 L
.55811 .52167 L
.55699 .52017 L
.55689 .52007 L
.55553 .51846 L
.55538 .51841 L
.55417 .51686 L
.55378 .51641 L
.55237 .51525 L
.55217 .5144 L
.55149 .51364 L
.55057 .5124 L
.55031 .51204 L
.54896 .51046 L
.54891 .51043 L
.54761 .50883 L
.54735 .50851 L
.5462 .50722 L
.54575 .50645 L
.54511 .50562 L
.54414 .50439 L
.54396 .50401 L
.54254 .50243 L
.5425 .50241 L
.54104 .5008 L
.54093 .50042 L
.53995 .4992 L
.53933 .49832 L
.53885 .49759 L
.53772 .49623 L
.53743 .49599 L
.53619 .49438 L
.53612 .49429 L
.53486 .49278 L
.53451 .4922 L
.53375 .49117 L
.53291 .49008 L
.53267 .48957 L
.5313 .48803 L
.53118 .48796 L
.5298 .48636 L
.5297 .48604 L
.52869 .48475 L
.52809 .48392 L
.5276 .48314 L
.52649 .4818 L
.5262 .48154 L
.52497 .47993 L
.52488 .47982 L
.52365 .47833 L
.52328 .47772 L
.52256 .47672 L
.52167 .47559 L
.52147 .47512 L
.52007 .47355 L
.52002 .47351 L
.51862 .47191 L
.51846 .4715 L
.51753 .4703 L
.51686 .46937 L
.51644 .4687 L
.51525 .46727 L
.51508 .46709 L
.51385 .46549 L
.51364 .46526 L
.51251 .46388 L
.51204 .46314 L
.51143 .46228 L
.51043 .46101 L
.51031 .46067 L
.50893 .45907 L
.50883 .45898 L
.50747 .45746 L
.50722 .45689 L
.50643 .45586 L
.50562 .45474 L
.50533 .45425 L
.50402 .45265 L
.50401 .45265 L
.5028 .45104 L
.50241 .45063 L
.50143 .44943 L
.5008 .44847 L
.50036 .44783 L
.4992 .44632 L
.49916 .44622 L
.49791 .44462 L
.49759 .44438 L
.49639 .44301 L
.49599 .44218 L
.49541 .44141 L
.49438 .43999 L
.49427 .4398 L
.49304 .4382 L
.49278 .43785 L
.49183 .43659 L
.49117 .43589 L
.49046 .43499 L
.48957 .43363 L
.4894 .43338 L
.48821 .43178 L
.48796 .43145 L
.48702 .43017 L
.48636 .42959 L
.48553 .42857 L
.48475 .42718 L
.48459 .42696 L
.48345 .42536 L
.48314 .42495 L
.48229 .42375 L
.48154 .42275 L
.48111 .42215 L
.47993 .42054 L
.47993 .42054 L
.47883 .41894 L
.47833 .41825 L
.47771 .41733 L
.47672 .41594 L
.47658 .41572 L
.47556 .41412 L
.47512 .41344 L
.47461 .41251 L
F
0 .42 1 r
.47512 .48029 m
.47621 .48154 L
.47672 .4821 L
.47754 .48314 L
.47833 .4841 L
.4788 .48475 L
.47993 .48625 L
.48001 .48636 L
.48098 .48796 L
.47993 .48815 L
.47976 .48796 L
.47833 .4864 L
.4783 .48636 L
.477 .48475 L
.47672 .48442 L
.47578 .48314 L
.47512 .48227 L
.47462 .48154 L
F
0 .73 1 r
.47512 .42505 m
.47537 .42536 L
.47672 .42681 L
.47684 .42696 L
.47821 .42857 L
.47833 .42869 L
.47952 .43017 L
.47993 .43064 L
.48083 .43178 L
.48154 .4326 L
.48214 .43338 L
.48314 .43458 L
.48346 .43499 L
.48475 .43655 L
.48477 .43659 L
.48601 .4382 L
.48636 .43861 L
.48726 .4398 L
.48796 .44066 L
.48853 .44141 L
.48957 .4427 L
.4898 .44301 L
.49106 .44462 L
.49117 .44475 L
.49227 .44622 L
.49278 .44685 L
.4935 .44783 L
.49438 .44893 L
.49475 .44943 L
.49599 .45097 L
.49601 .45104 L
.49719 .45265 L
.49759 .45314 L
.49839 .45425 L
.4992 .45527 L
.49962 .45586 L
.5008 .45739 L
.50085 .45746 L
.50201 .45907 L
.50241 .45958 L
.50316 .46067 L
.50401 .46177 L
.50435 .46228 L
.50401 .4638 L
.50276 .46228 L
.50241 .46188 L
.50143 .46067 L
.5008 .45993 L
.50011 .45907 L
.4992 .45797 L
.49879 .45746 L
.49759 .45606 L
.4975 .45586 L
.49623 .45425 L
.49599 .45396 L
.49497 .45265 L
.49438 .45193 L
.49369 .45104 L
.49278 .44989 L
.49242 .44943 L
.49117 .44784 L
.49116 .44783 L
.48994 .44622 L
.48957 .44576 L
.4887 .44462 L
.48796 .44368 L
.48746 .44301 L
.48636 .44172 L
.48622 .44141 L
.48502 .4398 L
.48475 .43947 L
.48381 .4382 L
.48314 .43734 L
.4826 .43659 L
.48154 .4352 L
.48138 .43499 L
.48022 .43338 L
.47993 .43302 L
.47906 .43178 L
.47833 .43081 L
.47788 .43017 L
.47672 .42859 L
.47671 .42857 L
.47567 .42696 L
.47512 .42619 L
.47464 .42536 L
F
1 .66 0 r
.47512 .47426 m
.47656 .47512 L
.47672 .47524 L
.47828 .47672 L
.47833 .47677 L
.47974 .47833 L
.47993 .47854 L
.48111 .47993 L
.48154 .48021 L
.48242 .48154 L
.48314 .48232 L
.484 .48314 L
.48475 .48443 L
.48501 .48475 L
.4862 .48636 L
.48636 .48655 L
.4874 .48796 L
.48796 .48871 L
.48859 .48957 L
.48957 .49077 L
.48981 .49117 L
.49079 .49278 L
.49117 .4934 L
.49171 .49438 L
.49117 .49578 L
.48957 .49467 L
.48927 .49438 L
.48796 .49306 L
.4875 .49278 L
.48636 .49127 L
.48625 .49117 L
.48493 .48957 L
.48475 .48936 L
.48363 .48796 L
.48314 .48757 L
.48236 .48636 L
.48154 .48539 L
.48099 .48475 L
.47993 .48321 L
.47989 .48314 L
.47871 .48154 L
.47833 .48103 L
.47755 .47993 L
.47672 .47876 L
.47624 .47833 L
.47542 .47672 L
.47512 .47618 L
.47465 .47512 L
F
0 .41 1 r
.47512 .48037 m
.47615 .48154 L
.47672 .48216 L
.47749 .48314 L
.47833 .48416 L
.47876 .48475 L
.47993 .48631 L
.47997 .48636 L
.48089 .48796 L
.47993 .48807 L
.47983 .48796 L
.47835 .48636 L
.47833 .48633 L
.47705 .48475 L
.47672 .48436 L
.47583 .48314 L
.47512 .4822 L
.47467 .48154 L
F
1 .64 0 r
.47512 .51631 m
.47561 .51686 L
.47672 .51805 L
.47707 .51846 L
.47833 .51989 L
.47847 .52007 L
.47982 .52167 L
.47993 .5218 L
.48114 .52328 L
.48154 .52373 L
.48247 .52488 L
.48314 .52569 L
.48379 .52649 L
.48475 .52735 L
.48509 .52809 L
.48636 .52965 L
.4864 .5297 L
.48765 .5313 L
.48796 .53168 L
.48892 .53291 L
.48957 .5337 L
.4902 .53451 L
.49117 .53558 L
.49185 .53612 L
.49272 .53772 L
.49278 .53779 L
.49396 .53933 L
.49438 .53985 L
.49521 .54093 L
.49599 .54146 L
.49646 .54254 L
.49759 .54395 L
.49778 .54414 L
.49892 .54575 L
.4992 .5461 L
.50015 .54735 L
.5008 .5482 L
.50138 .54896 L
.50241 .55016 L
.50284 .55057 L
.5038 .55217 L
.50401 .55244 L
.505 .55378 L
.50562 .55458 L
.5062 .55538 L
.50722 .55673 L
.50741 .55699 L
.50858 .55859 L
.50883 .55892 L
.50973 .5602 L
.51043 .56114 L
.5109 .5618 L
.51204 .56337 L
.51207 .56341 L
.51312 .56501 L
.51364 .56575 L
.51417 .56662 L
.51364 .56719 L
.51316 .56662 L
.51204 .56543 L
.5117 .56501 L
.51043 .56357 L
.5103 .56341 L
.50896 .5618 L
.50883 .56165 L
.50766 .5602 L
.50722 .55969 L
.50636 .55859 L
.50562 .55772 L
.50505 .55699 L
.50401 .55574 L
.50374 .55538 L
.50244 .55378 L
.50241 .55373 L
.5012 .55217 L
.5008 .5517 L
.49994 .55057 L
.4992 .54966 L
.49866 .54896 L
.49759 .54778 L
.49739 .54735 L
.49614 .54575 L
.49599 .54557 L
.49491 .54414 L
.49438 .54349 L
.49367 .54254 L
.49278 .54142 L
.49241 .54093 L
.49117 .53936 L
.49114 .53933 L
.48996 .53772 L
.48957 .53724 L
.48874 .53612 L
.48796 .53513 L
.48751 .53451 L
.48636 .53312 L
.48626 .53291 L
.48507 .5313 L
.48475 .53089 L
.48389 .5297 L
.48314 .52875 L
.48267 .52809 L
.48154 .52661 L
.48145 .52649 L
.48029 .52488 L
.47993 .52442 L
.47914 .52328 L
.47833 .52221 L
.47796 .52167 L
.47678 .52007 L
.47672 .51999 L
.47574 .51846 L
.47512 .51761 L
.47469 .51686 L
F
1 .65 0 r
.47512 .47437 m
.47647 .47512 L
.47672 .4753 L
.47823 .47672 L
.47833 .47682 L
.47971 .47833 L
.47993 .47858 L
.48108 .47993 L
.48154 .48023 L
.4824 .48154 L
.48314 .48235 L
.48398 .48314 L
.48475 .48446 L
.48499 .48475 L
.48618 .48636 L
.48636 .48658 L
.48738 .48796 L
.48796 .48874 L
.48856 .48957 L
.48957 .49083 L
.48977 .49117 L
.49075 .49278 L
.49117 .49347 L
.49165 .49438 L
.49117 .49569 L
.48957 .49461 L
.48933 .49438 L
.48796 .49302 L
.48756 .49278 L
.48636 .49123 L
.48628 .49117 L
.48495 .48957 L
.48475 .48933 L
.48366 .48796 L
.48314 .48754 L
.48238 .48636 L
.48154 .48536 L
.48102 .48475 L
.47993 .48318 L
.47991 .48314 L
.47873 .48154 L
.47833 .48099 L
.47757 .47993 L
.47672 .47871 L
.47629 .47833 L
.47547 .47672 L
.47512 .47607 L
.47473 .47512 L
F
0 .4 1 r
.47512 .48045 m
.47609 .48154 L
.47672 .48222 L
.47745 .48314 L
.47833 .48422 L
.47872 .48475 L
.47833 .48626 L
.47711 .48475 L
.47672 .48429 L
.47588 .48314 L
.47512 .48213 L
.47473 .48154 L
F
0 .39 1 r
.47512 .48054 m
.47602 .48154 L
.47672 .48229 L
.47739 .48314 L
.47833 .48428 L
.47867 .48475 L
.47833 .48619 L
.47717 .48475 L
.47672 .48422 L
.47593 .48314 L
.47512 .48204 L
.47479 .48154 L
F
.033 .89 1 r
.47512 .50976 m
.4758 .51043 L
.47672 .51134 L
.47737 .51204 L
.47833 .51307 L
.47884 .51364 L
.47993 .51474 L
.48026 .51525 L
.48154 .51673 L
.48169 .51686 L
.483 .51846 L
.48314 .51863 L
.48435 .52007 L
.48475 .52012 L
.48569 .52167 L
.48636 .52239 L
.48749 .52328 L
.48796 .52444 L
.48836 .52488 L
.48957 .52643 L
.48961 .52649 L
.49092 .52809 L
.49117 .52829 L
.49222 .5297 L
.49278 .53037 L
.49365 .5313 L
.49438 .53244 L
.49474 .53291 L
.49599 .53446 L
.49601 .53451 L
.49731 .53612 L
.49759 .53641 L
.49892 .53772 L
.4992 .5385 L
.49987 .53933 L
.5008 .54059 L
.50102 .54093 L
.50235 .54254 L
.50241 .54258 L
.50361 .54414 L
.50401 .54462 L
.50499 .54575 L
.50562 .54674 L
.50606 .54735 L
.50722 .54882 L
.50728 .54896 L
.50859 .55057 L
.50883 .5508 L
.51013 .55217 L
.51043 .55292 L
.5111 .55378 L
.51204 .55505 L
.51224 .55538 L
.51354 .55699 L
.51364 .55703 L
.51478 .55859 L
.51525 .55913 L
.51615 .5602 L
.51686 .56129 L
.51721 .5618 L
.51846 .5634 L
.51846 .56341 L
.51969 .56501 L
.52007 .56536 L
.52123 .56662 L
.52167 .56756 L
.52218 .56822 L
.52328 .56972 L
.52334 .56983 L
.52456 .57143 L
.52488 .57155 L
.52578 .57304 L
.52649 .57386 L
.52713 .57464 L
.52809 .57609 L
.5282 .57625 L
.52939 .57785 L
.5297 .57825 L
.53059 .57946 L
.5313 .58017 L
.53208 .58106 L
.53291 .58254 L
.533 .58267 L
.53415 .58428 L
.53451 .58476 L
.53533 .58588 L
.53612 .58695 L
.5365 .58749 L
.53767 .58909 L
.53772 .58917 L
.53878 .5907 L
.53933 .59145 L
.53991 .5923 L
.54093 .59376 L
.54103 .59391 L
.54205 .59551 L
.54254 .59625 L
.54302 .59712 L
.54254 .59786 L
.54183 .59712 L
.54093 .59624 L
.5403 .59551 L
.53933 .59447 L
.53885 .59391 L
.53772 .5928 L
.53745 .5923 L
.53612 .59076 L
.53604 .5907 L
.53475 .58909 L
.53451 .58882 L
.53343 .58749 L
.53291 .58687 L
.53211 .58588 L
.5313 .58504 L
.53027 .58428 L
.5297 .58295 L
.52942 .58267 L
.52821 .58106 L
.52809 .58092 L
.52694 .57946 L
.52649 .57916 L
.52566 .57785 L
.52488 .57697 L
.52414 .57625 L
.52328 .57487 L
.52308 .57464 L
.52185 .57304 L
.52167 .57281 L
.5206 .57143 L
.52007 .57093 L
.51881 .56983 L
.51846 .56876 L
.51797 .56822 L
.51686 .56666 L
.51682 .56662 L
.51559 .56501 L
.51525 .56485 L
.51435 .56341 L
.51364 .56264 L
.51284 .5618 L
.51204 .56047 L
.51181 .5602 L
.51061 .55859 L
.51043 .55837 L
.50938 .55699 L
.50883 .55651 L
.50764 .55538 L
.50722 .55428 L
.50679 .55378 L
.50565 .55217 L
.50562 .55213 L
.50444 .55057 L
.50401 .55041 L
.50321 .54896 L
.50241 .54808 L
.50174 .54735 L
.5008 .54587 L
.50071 .54575 L
.49951 .54414 L
.4992 .54374 L
.4983 .54254 L
.49759 .54191 L
.49664 .54093 L
.49599 .53959 L
.49577 .53933 L
.49462 .53772 L
.49438 .53743 L
.49341 .53612 L
.49278 .5353 L
.49219 .53451 L
.49117 .5333 L
.49083 .53291 L
.48975 .5313 L
.48957 .53107 L
.48856 .5297 L
.48796 .52892 L
.48736 .52809 L
.48636 .52698 L
.48592 .52649 L
.48494 .52488 L
.48475 .52464 L
.48377 .52328 L
.48314 .52246 L
.48259 .52167 L
.48154 .52029 L
.48138 .52007 L
.48022 .51846 L
.47993 .51808 L
.4791 .51686 L
.47833 .51582 L
.47795 .51525 L
.47679 .51364 L
.47672 .51355 L
.47578 .51204 L
.47512 .51106 L
.47479 .51043 L
F
1 .64 0 r
.47512 .4745 m
.47637 .47512 L
.47672 .47536 L
.47819 .47672 L
.47833 .47686 L
.47967 .47833 L
.47993 .47861 L
.48105 .47993 L
.48154 .48025 L
.48237 .48154 L
.48314 .48237 L
.48395 .48314 L
.48475 .48449 L
.48496 .48475 L
.48616 .48636 L
.48636 .48661 L
.48735 .48796 L
.48796 .48877 L
.48854 .48957 L
.48957 .49089 L
.48973 .49117 L
.49071 .49278 L
.49117 .49355 L
.4916 .49438 L
.49117 .49559 L
.48957 .49456 L
.48939 .49438 L
.48796 .49298 L
.48762 .49278 L
.48636 .4912 L
.48632 .49117 L
.48498 .48957 L
.48475 .48929 L
.48368 .48796 L
.48314 .48752 L
.48241 .48636 L
.48154 .48533 L
.48105 .48475 L
.47993 .48315 L
.47993 .48314 L
.47876 .48154 L
.47833 .48095 L
.4776 .47993 L
.47672 .47867 L
.47634 .47833 L
.47552 .47672 L
.47512 .47596 L
.47481 .47512 L
F
1 .78 .001 r
.47512 .4186 m
.47546 .41894 L
.47672 .42013 L
.47709 .42054 L
.47833 .42187 L
.47856 .42215 L
.47993 .42368 L
.47998 .42375 L
.48133 .42536 L
.48154 .42559 L
.48267 .42696 L
.48314 .42751 L
.484 .42857 L
.48475 .42905 L
.48533 .43017 L
.48636 .43133 L
.4869 .43178 L
.48795 .43338 L
.48796 .43339 L
.48922 .43499 L
.48957 .4354 L
.4905 .43659 L
.49117 .43719 L
.49179 .4382 L
.49278 .43938 L
.4932 .4398 L
.49434 .44141 L
.49438 .44146 L
.49559 .44301 L
.49599 .4435 L
.49685 .44462 L
.49759 .44541 L
.49845 .44622 L
.4992 .44758 L
.49942 .44783 L
.50062 .44943 L
.5008 .44966 L
.50185 .45104 L
.50241 .45146 L
.5031 .45265 L
.50401 .45372 L
.5045 .45425 L
.50561 .45586 L
.50562 .45587 L
.50683 .45746 L
.50722 .45796 L
.50806 .45907 L
.50883 .45987 L
.50961 .46067 L
.51043 .4621 L
.51058 .46228 L
.51176 .46388 L
.51204 .46423 L
.51298 .46549 L
.51364 .46599 L
.51422 .46709 L
.51525 .46835 L
.51555 .4687 L
.51667 .4703 L
.51686 .47053 L
.51787 .47191 L
.51846 .47266 L
.51909 .47351 L
.52007 .47462 L
.52052 .47512 L
.52154 .47672 L
.52167 .47689 L
.52272 .47833 L
.52328 .47904 L
.52393 .47993 L
.52488 .48091 L
.52514 .48154 L
.52634 .48314 L
.52649 .48333 L
.5275 .48475 L
.52809 .48552 L
.52868 .48636 L
.5297 .4877 L
.52988 .48796 L
.53104 .48957 L
.5313 .48992 L
.53215 .49117 L
.53291 .49219 L
.53329 .49278 L
.53443 .49438 L
.53451 .4945 L
.53539 .49599 L
.53612 .49715 L
.53628 .49759 L
.53612 .49784 L
.53583 .49759 L
.53451 .49637 L
.53415 .49599 L
.53291 .49465 L
.53267 .49438 L
.5313 .49286 L
.53125 .49278 L
.52987 .49117 L
.5297 .49098 L
.52851 .48957 L
.52809 .48908 L
.52716 .48796 L
.52649 .48749 L
.52582 .48636 L
.52488 .48527 L
.52427 .48475 L
.52328 .48324 L
.52319 .48314 L
.5219 .48154 L
.52167 .48126 L
.5206 .47993 L
.52007 .47941 L
.51931 .47833 L
.51846 .47729 L
.51794 .47672 L
.51686 .47523 L
.51677 .47512 L
.51549 .47351 L
.51525 .47342 L
.51422 .47191 L
.51364 .47126 L
.51271 .4703 L
.51204 .46914 L
.51169 .4687 L
.51044 .46709 L
.51043 .46708 L
.50919 .46549 L
.50883 .46517 L
.5074 .46388 L
.50722 .46301 L
.5066 .46228 L
.50562 .46089 L
.50547 .46067 L
.50421 .45907 L
.50401 .45904 L
.50297 .45746 L
.50241 .45684 L
.5015 .45586 L
.5008 .45467 L
.50048 .45425 L
.49927 .45265 L
.4992 .45255 L
.49804 .45104 L
.49759 .45068 L
.49631 .44943 L
.49599 .44842 L
.4955 .44783 L
.49438 .44625 L
.49437 .44622 L
.49316 .44462 L
.49278 .44413 L
.49194 .44301 L
.49117 .44215 L
.49052 .44141 L
.48957 .43989 L
.4895 .4398 L
.48832 .4382 L
.48796 .43773 L
.48712 .43659 L
.48636 .43588 L
.48552 .43499 L
.48475 .43344 L
.48471 .43338 L
.48356 .43178 L
.48314 .43123 L
.48239 .43017 L
.48154 .42903 L
.48121 .42857 L
.48005 .42696 L
.47993 .42681 L
.47894 .42536 L
.47833 .42451 L
.47782 .42375 L
.47672 .42219 L
.47669 .42215 L
.47573 .42054 L
.47512 .41958 L
.47483 .41894 L
F
1 .63 0 r
.47512 .51651 m
.47544 .51686 L
.47672 .51818 L
.47696 .51846 L
.47833 .52 L
.47838 .52007 L
.47973 .52167 L
.47993 .52189 L
.48107 .52328 L
.48154 .52382 L
.4824 .52488 L
.48314 .52577 L
.48373 .52649 L
.48475 .52745 L
.48504 .52809 L
.48633 .5297 L
.48636 .52973 L
.4876 .5313 L
.48796 .53174 L
.48887 .53291 L
.48957 .53377 L
.49015 .53451 L
.49117 .53566 L
.49175 .53612 L
.49268 .53772 L
.49278 .53785 L
.49392 .53933 L
.49438 .53991 L
.49517 .54093 L
.49599 .54153 L
.49642 .54254 L
.49759 .54403 L
.49771 .54414 L
.49888 .54575 L
.4992 .54616 L
.5001 .54735 L
.5008 .54826 L
.50133 .54896 L
.50241 .55025 L
.50274 .55057 L
.50375 .55217 L
.50401 .5525 L
.50494 .55378 L
.50562 .55465 L
.50615 .55538 L
.50722 .5568 L
.50736 .55699 L
.50851 .55859 L
.50883 .55901 L
.50966 .5602 L
.51043 .56123 L
.51083 .5618 L
.51198 .56341 L
.51204 .56349 L
.51299 .56501 L
.51364 .56594 L
.51402 .56662 L
.51364 .56701 L
.51331 .56662 L
.51204 .56531 L
.5118 .56501 L
.51043 .56348 L
.51038 .56341 L
.50905 .5618 L
.50883 .56156 L
.50773 .5602 L
.50722 .55962 L
.50642 .55859 L
.50562 .55765 L
.5051 .55699 L
.50401 .55567 L
.50379 .55538 L
.5025 .55378 L
.50241 .55367 L
.50125 .55217 L
.5008 .55164 L
.49998 .55057 L
.4992 .54961 L
.4987 .54896 L
.49759 .5477 L
.49743 .54735 L
.49618 .54575 L
.49599 .54551 L
.49495 .54414 L
.49438 .54344 L
.49371 .54254 L
.49278 .54137 L
.49245 .54093 L
.4912 .53933 L
.49117 .5393 L
.49 .53772 L
.48957 .53718 L
.48878 .53612 L
.48796 .53508 L
.48755 .53451 L
.48636 .53303 L
.4863 .53291 L
.48512 .5313 L
.48475 .53083 L
.48393 .5297 L
.48314 .52869 L
.48272 .52809 L
.48154 .52655 L
.48149 .52649 L
.48035 .52488 L
.47993 .52434 L
.4792 .52328 L
.47833 .52212 L
.47803 .52167 L
.47687 .52007 L
.47672 .51987 L
.47586 .51846 L
.47512 .51741 L
.47484 .51686 L
F
0 .38 1 r
.47512 .48064 m
.47594 .48154 L
.47672 .48236 L
.47734 .48314 L
.47833 .48434 L
.47862 .48475 L
.47833 .48611 L
.47723 .48475 L
.47672 .48415 L
.47599 .48314 L
.47512 .48195 L
.47485 .48154 L
F
0 .31 1 r
.47512 .52317 m
.4752 .52328 L
.47512 .52378 L
.47485 .52328 L
F
1 .63 0 r
.47512 .47464 m
.47626 .47512 L
.47672 .47543 L
.47814 .47672 L
.47833 .47691 L
.47963 .47833 L
.47993 .47865 L
.48102 .47993 L
.48154 .48028 L
.48235 .48154 L
.48314 .4824 L
.48392 .48314 L
.48475 .48453 L
.48494 .48475 L
.48613 .48636 L
.48636 .48664 L
.48733 .48796 L
.48796 .48881 L
.48851 .48957 L
.48957 .49096 L
.48969 .49117 L
.49068 .49278 L
.49117 .49363 L
.49154 .49438 L
.49117 .49549 L
.48957 .4945 L
.48945 .49438 L
.48796 .49294 L
.48768 .49278 L
.48636 .49117 L
.48636 .49117 L
.48501 .48957 L
.48475 .48926 L
.48371 .48796 L
.48314 .48749 L
.48243 .48636 L
.48154 .4853 L
.48107 .48475 L
.47996 .48314 L
.47993 .48311 L
.47878 .48154 L
.47833 .48092 L
.47763 .47993 L
.47672 .47862 L
.47639 .47833 L
.47556 .47672 L
.47512 .47582 L
.47489 .47512 L
F
0 .37 1 r
.47512 .48075 m
.47586 .48154 L
.47672 .48243 L
.47728 .48314 L
.47833 .48441 L
.47857 .48475 L
.47833 .48603 L
.4773 .48475 L
.47672 .48407 L
.47606 .48314 L
.47512 .48186 L
.47492 .48154 L
F
1 .62 0 r
.47512 .47481 m
.47613 .47512 L
.47672 .47549 L
.47808 .47672 L
.47833 .47695 L
.4796 .47833 L
.47993 .47869 L
.48099 .47993 L
.48154 .4803 L
.48232 .48154 L
.48314 .48244 L
.48389 .48314 L
.48475 .48456 L
.48491 .48475 L
.48611 .48636 L
.48636 .48667 L
.48731 .48796 L
.48796 .48884 L
.48849 .48957 L
.48957 .49103 L
.48965 .49117 L
.49064 .49278 L
.49117 .49372 L
.49148 .49438 L
.49117 .49538 L
.48957 .49444 L
.48951 .49438 L
.48796 .4929 L
.48775 .49278 L
.48639 .49117 L
.48636 .49113 L
.48504 .48957 L
.48475 .48923 L
.48373 .48796 L
.48314 .48747 L
.48245 .48636 L
.48154 .48527 L
.4811 .48475 L
.47998 .48314 L
.47993 .48308 L
.47881 .48154 L
.47833 .48088 L
.47766 .47993 L
.47672 .47858 L
.47644 .47833 L
.47561 .47672 L
.47512 .47565 L
.47499 .47512 L
F
0 .36 1 r
.47512 .48089 m
.47575 .48154 L
.47672 .48251 L
.47722 .48314 L
.47833 .48449 L
.47851 .48475 L
.47833 .48593 L
.47737 .48475 L
.47672 .48398 L
.47612 .48314 L
.47512 .48174 L
.475 .48154 L
F
.045 .9 1 r
.47512 .41236 m
.47543 .41251 L
.47672 .41352 L
.4773 .41412 L
.47833 .41514 L
.47886 .41572 L
.47993 .41672 L
.48032 .41733 L
.48154 .41868 L
.48188 .41894 L
.48312 .42054 L
.48314 .42057 L
.48447 .42215 L
.48475 .42219 L
.48581 .42375 L
.48636 .42431 L
.48715 .42536 L
.48796 .42634 L
.48857 .42696 L
.48957 .42834 L
.48975 .42857 L
.49106 .43017 L
.49117 .43025 L
.49235 .43178 L
.49278 .43227 L
.49388 .43338 L
.49438 .43433 L
.49493 .43499 L
.49599 .43638 L
.49612 .43659 L
.49745 .4382 L
.49759 .43834 L
.49914 .4398 L
.4992 .4404 L
.50008 .44141 L
.5008 .44249 L
.50119 .44301 L
.50241 .44454 L
.50243 .44462 L
.50374 .44622 L
.50401 .44653 L
.5052 .44783 L
.50562 .44863 L
.50626 .44943 L
.50722 .45073 L
.50741 .45104 L
.50873 .45265 L
.50883 .45273 L
.51035 .45425 L
.51043 .45481 L
.51132 .45586 L
.51204 .45693 L
.51242 .45746 L
.51364 .459 L
.51366 .45907 L
.51493 .46067 L
.51525 .46101 L
.5164 .46228 L
.51686 .46313 L
.51744 .46388 L
.51846 .46525 L
.51859 .46549 L
.51988 .46709 L
.52007 .46723 L
.52152 .4687 L
.52167 .46935 L
.52247 .4703 L
.52328 .47149 L
.52357 .47191 L
.52482 .47351 L
.52488 .47352 L
.52604 .47512 L
.52649 .47556 L
.52752 .47672 L
.52809 .47773 L
.52855 .47833 L
.5297 .47986 L
.52974 .47993 L
.53097 .48154 L
.5313 .48177 L
.53264 .48314 L
.53291 .48397 L
.53355 .48475 L
.53451 .48614 L
.53466 .48636 L
.53588 .48796 L
.53612 .48826 L
.5371 .48957 L
.53772 .49019 L
.53857 .49117 L
.53933 .49242 L
.53959 .49278 L
.54078 .49438 L
.54093 .49458 L
.54198 .49599 L
.54254 .49638 L
.54364 .49759 L
.54414 .49871 L
.54453 .4992 L
.54566 .5008 L
.54575 .50092 L
.54685 .50241 L
.54735 .50306 L
.54806 .50401 L
.54896 .50501 L
.54946 .50562 L
.5505 .50722 L
.55057 .50731 L
.55168 .50883 L
.55217 .50947 L
.55287 .51043 L
.55378 .51134 L
.55435 .51204 L
.55528 .51364 L
.55538 .51377 L
.55643 .51525 L
.55699 .51598 L
.5576 .51686 L
.55859 .51818 L
.55879 .51846 L
.55993 .52007 L
.5602 .52042 L
.56103 .52167 L
.5618 .52274 L
.56215 .52328 L
.56323 .52488 L
.56341 .52514 L
.56412 .52649 L
.56341 .52694 L
.56294 .52649 L
.5618 .52536 L
.56135 .52488 L
.5602 .52375 L
.55986 .52328 L
.55859 .52185 L
.55835 .52167 L
.55704 .52007 L
.55699 .52001 L
.55566 .51846 L
.55538 .51837 L
.55429 .51686 L
.55378 .51628 L
.55244 .51525 L
.55217 .51428 L
.55158 .51364 L
.55057 .5123 L
.55037 .51204 L
.549 .51043 L
.54896 .5104 L
.54769 .50883 L
.54735 .50841 L
.54626 .50722 L
.54575 .50637 L
.54517 .50562 L
.54414 .50432 L
.54399 .50401 L
.54256 .50241 L
.54254 .50239 L
.54106 .5008 L
.54093 .50035 L
.54 .4992 L
.53933 .49826 L
.53889 .49759 L
.53772 .49619 L
.53748 .49599 L
.53623 .49438 L
.53612 .49424 L
.53489 .49278 L
.53451 .49215 L
.53379 .49117 L
.53291 .49004 L
.53269 .48957 L
.5313 .48801 L
.53122 .48796 L
.52982 .48636 L
.5297 .48599 L
.52872 .48475 L
.52809 .48388 L
.52763 .48314 L
.52649 .48177 L
.52623 .48154 L
.525 .47993 L
.52488 .47979 L
.52367 .47833 L
.52328 .47769 L
.52258 .47672 L
.52167 .47556 L
.52148 .47512 L
.52007 .47353 L
.52005 .47351 L
.51863 .47191 L
.51846 .47147 L
.51755 .4703 L
.51686 .46934 L
.51646 .4687 L
.51525 .46724 L
.5151 .46709 L
.51388 .46549 L
.51364 .46523 L
.51253 .46388 L
.51204 .4631 L
.51145 .46228 L
.51043 .46097 L
.51032 .46067 L
.50896 .45907 L
.50883 .45896 L
.50748 .45746 L
.50722 .45685 L
.50646 .45586 L
.50562 .45471 L
.50535 .45425 L
.50405 .45265 L
.50401 .45264 L
.50283 .45104 L
.50241 .4506 L
.50145 .44943 L
.5008 .44843 L
.50039 .44783 L
.4992 .44628 L
.49918 .44622 L
.49794 .44462 L
.49759 .44435 L
.49642 .44301 L
.49599 .44213 L
.49544 .44141 L
.49438 .43994 L
.4943 .4398 L
.49308 .4382 L
.49278 .4378 L
.49188 .43659 L
.49117 .43582 L
.49051 .43499 L
.48957 .43355 L
.48945 .43338 L
.48827 .43178 L
.48796 .43137 L
.48708 .43017 L
.48636 .4295 L
.4856 .42857 L
.48475 .42707 L
.48467 .42696 L
.48353 .42536 L
.48314 .42484 L
.48237 .42375 L
.48154 .42262 L
.4812 .42215 L
.48005 .42054 L
.47993 .42038 L
.47896 .41894 L
.47833 .41805 L
.47786 .41733 L
.47676 .41572 L
.47672 .41567 L
.47586 .41412 L
.47512 .41273 L
.47507 .41251 L
F
0 .35 1 r
.47512 .48109 m
.47561 .48154 L
.47672 .4826 L
.47715 .48314 L
.47833 .48457 L
.47846 .48475 L
.47833 .48583 L
.47746 .48475 L
.47672 .48389 L
.4762 .48314 L
.47512 .4816 L
.47509 .48154 L
F
1 .61 0 r
.47512 .47505 m
.47597 .47512 L
.47672 .47556 L
.47803 .47672 L
.47833 .477 L
.47956 .47833 L
.47993 .47873 L
.48096 .47993 L
.48154 .48033 L
.4823 .48154 L
.48314 .48247 L
.48386 .48314 L
.48475 .48459 L
.48489 .48475 L
.48608 .48636 L
.48636 .48671 L
.48728 .48796 L
.48796 .48887 L
.48846 .48957 L
.48957 .4911 L
.48961 .49117 L
.49059 .49278 L
.49117 .49382 L
.49142 .49438 L
.49117 .49526 L
.48958 .49438 L
.48957 .49437 L
.48796 .49286 L
.48782 .49278 L
.48642 .49117 L
.48636 .4911 L
.48507 .48957 L
.48475 .4892 L
.48376 .48796 L
.48314 .48744 L
.48248 .48636 L
.48154 .48524 L
.48113 .48475 L
.48001 .48314 L
.47993 .48305 L
.47884 .48154 L
.47833 .48084 L
.47769 .47993 L
.47672 .47853 L
.4765 .47833 L
.47566 .47672 L
.47512 .47536 L
.4751 .47512 L
F
1 .62 0 r
.47512 .51685 m
.47512 .51686 L
.47672 .51833 L
.47684 .51846 L
.47672 .51972 L
.47601 .51846 L
.47512 .51697 L
.47512 .51686 L
F
.733 .99 1 r
.47672 .46996 m
.47833 .47005 L
.47929 .4703 L
.47993 .47079 L
.48085 .47191 L
.48154 .47262 L
.48197 .47351 L
.48314 .47467 L
.48349 .47512 L
.48474 .47672 L
.48475 .47677 L
.48598 .47833 L
.48636 .47898 L
.48707 .47993 L
.48796 .48121 L
.48805 .48154 L
.48957 .483 L
.48968 .48314 L
.49097 .48475 L
.49117 .4851 L
.49209 .48636 L
.49278 .48724 L
.49314 .48796 L
.49438 .48934 L
.49461 .48957 L
.49593 .49117 L
.49599 .49125 L
.49709 .49278 L
.49759 .49326 L
.49817 .49438 L
.4992 .49539 L
.49922 .49599 L
.5007 .49759 L
.5008 .49775 L
.50194 .4992 L
.5008 .49983 L
.4992 .49991 L
.4977 .5008 L
.49913 .50241 L
.4992 .5026 L
.50076 .50401 L
.5008 .50476 L
.50176 .50562 L
.50241 .50682 L
.50285 .50722 L
.50401 .50878 L
.50405 .50883 L
.50534 .51043 L
.50562 .51071 L
.50682 .51204 L
.50722 .51283 L
.50786 .51364 L
.50883 .51496 L
.50899 .51525 L
.51026 .51686 L
.51043 .51707 L
.51193 .51846 L
.51204 .51886 L
.51287 .52007 L
.51364 .52114 L
.51395 .52167 L
.51517 .52328 L
.51525 .52338 L
.51637 .52488 L
.51686 .52553 L
.51786 .52649 L
.51846 .52774 L
.51878 .52809 L
.51917 .5297 L
.51846 .52988 L
.51686 .52981 L
.51638 .5297 L
.51525 .52927 L
.51396 .52809 L
.51364 .52774 L
.51271 .52649 L
.51204 .52583 L
.51166 .52488 L
.51043 .52379 L
.51003 .52328 L
.50883 .52171 L
.5088 .52167 L
.50758 .52007 L
.50722 .51951 L
.50651 .51846 L
.50562 .51723 L
.50505 .51686 L
.50401 .51548 L
.50383 .51525 L
.50259 .51364 L
.50241 .51337 L
.50147 .51204 L
.5008 .51122 L
.50049 .51043 L
.4992 .5091 L
.4989 .50883 L
.49765 .50722 L
.49759 .50722 L
.49648 .50562 L
.49599 .50498 L
.49544 .50401 L
.49438 .50283 L
.49404 .50241 L
.49303 .5008 L
.49438 .50017 L
.49599 .50012 L
.497 .4992 L
.49599 .49814 L
.49576 .49759 L
.49438 .49605 L
.49433 .49599 L
.49289 .49438 L
.49278 .49388 L
.4918 .49278 L
.49117 .49173 L
.49071 .49117 L
.48957 .48967 L
.48938 .48957 L
.48815 .48796 L
.48796 .48776 L
.48677 .48636 L
.48636 .48566 L
.48569 .48475 L
.48475 .48353 L
.48458 .48314 L
.48322 .48154 L
.48314 .48144 L
.48173 .47993 L
.48154 .47962 L
.48069 .47833 L
.47993 .4774 L
.4796 .47672 L
.47833 .47514 L
.47832 .47512 L
.47712 .47351 L
.47672 .47295 L
.47575 .47191 L
.47512 .4703 L
F
1 .6 0 r
.47672 .47562 m
.47798 .47672 L
.47833 .47705 L
.47952 .47833 L
.47993 .47877 L
.48093 .47993 L
.48154 .48035 L
.48227 .48154 L
.48314 .4825 L
.48383 .48314 L
.48475 .48462 L
.48486 .48475 L
.48606 .48636 L
.48636 .48674 L
.48726 .48796 L
.48796 .48891 L
.48844 .48957 L
.48957 .49117 L
.48957 .49117 L
.49055 .49278 L
.49117 .49394 L
.49135 .49438 L
.49117 .49512 L
.48966 .49438 L
.48957 .49431 L
.48796 .49282 L
.48789 .49278 L
.48646 .49117 L
.48636 .49106 L
.4851 .48957 L
.48475 .48916 L
.48378 .48796 L
.48314 .48741 L
.4825 .48636 L
.48154 .4852 L
.48115 .48475 L
.48003 .48314 L
.47993 .48301 L
.47886 .48154 L
.47833 .48081 L
.47772 .47993 L
.47672 .47848 L
.47655 .47833 L
.47572 .47672 L
F
1 .59 0 r
.47672 .47569 m
.47792 .47672 L
.47833 .47709 L
.47949 .47833 L
.47993 .4788 L
.4809 .47993 L
.48154 .48038 L
.48225 .48154 L
.48314 .48253 L
.4838 .48314 L
.48475 .48465 L
.48483 .48475 L
.48604 .48636 L
.48636 .48677 L
.48723 .48796 L
.48796 .48894 L
.48841 .48957 L
.48953 .49117 L
.48957 .49122 L
.49051 .49278 L
.49117 .49407 L
.49128 .49438 L
.49117 .49496 L
.48975 .49438 L
.48957 .49425 L
.48797 .49278 L
.48796 .49277 L
.48649 .49117 L
.48636 .49102 L
.48512 .48957 L
.48475 .48913 L
.48381 .48796 L
.48314 .48738 L
.48252 .48636 L
.48154 .48517 L
.48118 .48475 L
.48006 .48314 L
.47993 .48298 L
.47889 .48154 L
.47833 .48077 L
.47774 .47993 L
.47672 .47843 L
.47661 .47833 L
.47577 .47672 L
F
1 .58 0 r
.47672 .47576 m
.47786 .47672 L
.47833 .47714 L
.47945 .47833 L
.47993 .47884 L
.48087 .47993 L
.48154 .48041 L
.48222 .48154 L
.48314 .48256 L
.48377 .48314 L
.48475 .48468 L
.48481 .48475 L
.48601 .48636 L
.48636 .4868 L
.48721 .48796 L
.48796 .48898 L
.48838 .48957 L
.4895 .49117 L
.48957 .49127 L
.49047 .49278 L
.49117 .49425 L
.49121 .49438 L
.49117 .49473 L
.48986 .49438 L
.48957 .49419 L
.48801 .49278 L
.48796 .49273 L
.48653 .49117 L
.48636 .49099 L
.48515 .48957 L
.48475 .4891 L
.48383 .48796 L
.48314 .48735 L
.48255 .48636 L
.48154 .48513 L
.48121 .48475 L
.48008 .48314 L
.47993 .48295 L
.47892 .48154 L
.47833 .48073 L
.47777 .47993 L
.47672 .47837 L
.47667 .47833 L
.47583 .47672 L
F
.538 .98 1 r
.47672 .47016 m
.47827 .4703 L
.47833 .47033 L
.47993 .47107 L
.48069 .47191 L
.48154 .47277 L
.4819 .47351 L
.48314 .47476 L
.48342 .47512 L
.48473 .47672 L
.48475 .47684 L
.48594 .47833 L
.48636 .47903 L
.48704 .47993 L
.48796 .48124 L
.48804 .48154 L
.48957 .48304 L
.48965 .48314 L
.49095 .48475 L
.49117 .48513 L
.49207 .48636 L
.49278 .48727 L
.49312 .48796 L
.49438 .48937 L
.49458 .48957 L
.49593 .49117 L
.49599 .49126 L
.49706 .49278 L
.49759 .4933 L
.49814 .49438 L
.4992 .49548 L
.49921 .49599 L
.50062 .49759 L
.5008 .4979 L
.50173 .4992 L
.5008 .49969 L
.4992 .49979 L
.49759 .49948 L
.49722 .4992 L
.49599 .49801 L
.49581 .49759 L
.49438 .49599 L
.49438 .49599 L
.49291 .49438 L
.49278 .49384 L
.49182 .49278 L
.49117 .4917 L
.49073 .49117 L
.48957 .48966 L
.4894 .48957 L
.48817 .48796 L
.48796 .48774 L
.48679 .48636 L
.48636 .48563 L
.48571 .48475 L
.48475 .4835 L
.48459 .48314 L
.48325 .48154 L
.48314 .48141 L
.48174 .47993 L
.48154 .47959 L
.48072 .47833 L
.47993 .47735 L
.47963 .47672 L
.47836 .47512 L
.47833 .47507 L
.47719 .47351 L
.47672 .47284 L
.47586 .47191 L
.47583 .4703 L
F
1 .57 0 r
.47672 .47583 m
.4778 .47672 L
.47833 .47719 L
.47941 .47833 L
.47993 .47888 L
.48084 .47993 L
.48154 .48044 L
.4822 .48154 L
.48314 .4826 L
.48373 .48314 L
.48475 .48472 L
.48478 .48475 L
.48599 .48636 L
.48636 .48683 L
.48719 .48796 L
.48796 .48901 L
.48836 .48957 L
.48946 .49117 L
.48957 .49132 L
.49042 .49278 L
.48957 .49413 L
.48806 .49278 L
.48796 .49268 L
.48656 .49117 L
.48636 .49095 L
.48518 .48957 L
.48475 .48906 L
.48386 .48796 L
.48314 .48732 L
.48257 .48636 L
.48154 .4851 L
.48124 .48475 L
.48011 .48314 L
.47993 .48291 L
.47894 .48154 L
.47833 .48069 L
.4778 .47993 L
.47673 .47833 L
.47672 .47832 L
.47589 .47672 L
F
1 .56 0 r
.47672 .47591 m
.47773 .47672 L
.47833 .47724 L
.47937 .47833 L
.47993 .47892 L
.48081 .47993 L
.48154 .48047 L
.48217 .48154 L
.48314 .48263 L
.4837 .48314 L
.48475 .48475 L
.48475 .48475 L
.48596 .48636 L
.48636 .48686 L
.48716 .48796 L
.48796 .48905 L
.48833 .48957 L
.48943 .49117 L
.48957 .49138 L
.49038 .49278 L
.48957 .49406 L
.48812 .49278 L
.48796 .49263 L
.4866 .49117 L
.48636 .49091 L
.48521 .48957 L
.48475 .48903 L
.48388 .48796 L
.48314 .48729 L
.4826 .48636 L
.48154 .48506 L
.48127 .48475 L
.48014 .48314 L
.47993 .48288 L
.47897 .48154 L
.47833 .48065 L
.47783 .47993 L
.47677 .47833 L
.47672 .47825 L
.47595 .47672 L
F
1 .77 .001 r
.47672 .42034 m
.47691 .42054 L
.47833 .42202 L
.47844 .42215 L
.47986 .42375 L
.47993 .42383 L
.48123 .42536 L
.48154 .4257 L
.48258 .42696 L
.48314 .4276 L
.48393 .42857 L
.48475 .42914 L
.48527 .43017 L
.48636 .43142 L
.4868 .43178 L
.48789 .43338 L
.48796 .43346 L
.48917 .43499 L
.48957 .43546 L
.49046 .43659 L
.49117 .43724 L
.49174 .4382 L
.49278 .43944 L
.49314 .4398 L
.4943 .44141 L
.49438 .44151 L
.49555 .44301 L
.49599 .44355 L
.49681 .44462 L
.49759 .44546 L
.4984 .44622 L
.4992 .44763 L
.49938 .44783 L
.50058 .44943 L
.5008 .44971 L
.50182 .45104 L
.50241 .4515 L
.50307 .45265 L
.50401 .45377 L
.50446 .45425 L
.50557 .45586 L
.50562 .45591 L
.50679 .45746 L
.50722 .458 L
.50803 .45907 L
.50883 .45992 L
.50957 .46067 L
.51043 .46215 L
.51054 .46228 L
.51173 .46388 L
.51204 .46427 L
.51295 .46549 L
.51364 .46603 L
.51418 .46709 L
.51525 .4684 L
.51551 .4687 L
.51664 .4703 L
.51686 .47058 L
.51784 .47191 L
.51846 .4727 L
.51906 .47351 L
.52007 .47468 L
.52046 .47512 L
.5215 .47672 L
.52167 .47694 L
.52268 .47833 L
.52328 .4791 L
.52388 .47993 L
.52488 .481 L
.5251 .48154 L
.52629 .48314 L
.52649 .4834 L
.52745 .48475 L
.52809 .48559 L
.52863 .48636 L
.5297 .48777 L
.52983 .48796 L
.53096 .48957 L
.5313 .49002 L
.53207 .49117 L
.53291 .49232 L
.5332 .49278 L
.53428 .49438 L
.53451 .49472 L
.53515 .49599 L
.53451 .49614 L
.53436 .49599 L
.53291 .49449 L
.53281 .49438 L
.53137 .49278 L
.5313 .4927 L
.52998 .49117 L
.5297 .49086 L
.5286 .48957 L
.52809 .48898 L
.52724 .48796 L
.52649 .4874 L
.5259 .48636 L
.52488 .48518 L
.52437 .48475 L
.52328 .48316 L
.52326 .48314 L
.52196 .48154 L
.52167 .48119 L
.52066 .47993 L
.52007 .47935 L
.51936 .47833 L
.51846 .47722 L
.518 .47672 L
.51686 .47517 L
.51681 .47512 L
.51554 .47351 L
.51525 .4734 L
.51427 .47191 L
.51364 .4712 L
.51275 .4703 L
.51204 .46908 L
.51173 .4687 L
.51049 .46709 L
.51043 .46703 L
.50924 .46549 L
.50883 .46513 L
.50742 .46388 L
.50722 .46296 L
.50664 .46228 L
.50562 .46084 L
.5055 .46067 L
.50425 .45907 L
.50401 .45903 L
.50301 .45746 L
.50241 .4568 L
.50154 .45586 L
.5008 .45462 L
.50052 .45425 L
.49931 .45265 L
.4992 .4525 L
.49808 .45104 L
.49759 .45064 L
.49634 .44943 L
.49599 .44837 L
.49554 .44783 L
.4944 .44622 L
.49438 .4462 L
.4932 .44462 L
.49278 .44407 L
.49198 .44301 L
.49117 .44209 L
.49057 .44141 L
.48957 .43982 L
.48955 .4398 L
.48837 .4382 L
.48796 .43767 L
.48717 .43659 L
.48636 .43579 L
.4856 .43499 L
.48477 .43338 L
.48475 .43335 L
.48362 .43178 L
.48314 .43114 L
.48245 .43017 L
.48154 .42894 L
.48127 .42857 L
.48014 .42696 L
.47993 .42669 L
.47903 .42536 L
.47833 .42437 L
.47792 .42375 L
.47684 .42215 L
.47672 .42198 L
.47596 .42054 L
F
1 .97 .395 r
.47672 .50545 m
.47688 .50562 L
.47833 .507 L
.47842 .50722 L
.47992 .50883 L
.47993 .50885 L
.4814 .51043 L
.48154 .51058 L
.48288 .51204 L
.48314 .51232 L
.48435 .51364 L
.48475 .51386 L
.48581 .51525 L
.48636 .51591 L
.48744 .51686 L
.48796 .5179 L
.48822 .51846 L
.48957 .51951 L
.49006 .52007 L
.49117 .5214 L
.49141 .52167 L
.49274 .52328 L
.49278 .52333 L
.49415 .52488 L
.49438 .52533 L
.49528 .52649 L
.49599 .52741 L
.49639 .52809 L
.49759 .52951 L
.49798 .5297 L
.4992 .53126 L
.49923 .5313 L
.50052 .53291 L
.5008 .53334 L
.50165 .53451 L
.50241 .53547 L
.5027 .53612 L
.50401 .53759 L
.5043 .53772 L
.50556 .53933 L
.50562 .53944 L
.50674 .54093 L
.50722 .54157 L
.50781 .54254 L
.50883 .54373 L
.50931 .54414 L
.51043 .54562 L
.51053 .54575 L
.51178 .54735 L
.51204 .54773 L
.51289 .54896 L
.51364 .54989 L
.51387 .55057 L
.51525 .55203 L
.51552 .55217 L
.51677 .55378 L
.51686 .55393 L
.51793 .55538 L
.51846 .55607 L
.51897 .55699 L
.52007 .55823 L
.52048 .55859 L
.52167 .56017 L
.52169 .5602 L
.52294 .5618 L
.52328 .56228 L
.52403 .56341 L
.52488 .56443 L
.52502 .56501 L
.52649 .56653 L
.52664 .56662 L
.52793 .56822 L
.52809 .56852 L
.52905 .56983 L
.5297 .57066 L
.5301 .57143 L
.5313 .57279 L
.53158 .57304 L
.53288 .57464 L
.53291 .57478 L
.53405 .57625 L
.53451 .5769 L
.53513 .57785 L
.53612 .57904 L
.53618 .57946 L
.53771 .58106 L
.53772 .58107 L
.53905 .58267 L
.53933 .58316 L
.54014 .58428 L
.54093 .5853 L
.54121 .58588 L
.54254 .5874 L
.54262 .58749 L
.54406 .58909 L
.54414 .58943 L
.54512 .5907 L
.54575 .59158 L
.5462 .5923 L
.54735 .59371 L
.54737 .59391 L
.54873 .59551 L
.54896 .59571 L
.55011 .59712 L
.55057 .59787 L
.55116 .59872 L
.55217 .60004 L
.5523 .60033 L
.55359 .60193 L
.55378 .602 L
.55516 .60354 L
.55538 .60418 L
.5561 .60514 L
.55699 .60641 L
.55719 .60675 L
.55842 .60835 L
.55859 .60858 L
.55961 .60996 L
.5602 .61051 L
.56101 .61156 L
.5618 .61285 L
.56202 .61317 L
.56317 .61477 L
.56341 .61509 L
.56434 .61638 L
.56501 .61729 L
.56588 .61799 L
.56662 .61948 L
.5667 .61959 L
.56779 .6212 L
.56822 .6218 L
.56891 .6228 L
.56983 .62412 L
.57002 .62441 L
.57105 .62601 L
.57143 .62659 L
.57202 .62762 L
.57143 .62874 L
.57031 .62762 L
.56983 .62716 L
.56878 .62601 L
.56822 .62543 L
.56733 .62441 L
.56662 .62389 L
.56591 .6228 L
.56501 .62182 L
.56412 .6212 L
.56341 .61987 L
.56312 .61959 L
.56184 .61799 L
.5618 .61794 L
.56053 .61638 L
.5602 .61607 L
.55922 .61477 L
.55859 .61403 L
.55772 .61317 L
.55699 .61199 L
.55662 .61156 L
.55538 .61 L
.55536 .60996 L
.55407 .60835 L
.55378 .60804 L
.55243 .60675 L
.55217 .60597 L
.55145 .60514 L
.55057 .60389 L
.55031 .60354 L
.549 .60193 L
.54896 .6019 L
.54775 .60033 L
.54735 .59986 L
.54631 .59872 L
.54575 .59776 L
.54524 .59712 L
.54414 .59568 L
.54405 .59551 L
.54275 .59391 L
.54254 .59369 L
.54118 .5923 L
.54093 .5916 L
.54017 .5907 L
.53933 .58948 L
.53905 .58909 L
.53777 .58749 L
.53772 .58745 L
.53653 .58588 L
.53612 .58541 L
.53511 .58428 L
.53451 .58328 L
.53404 .58267 L
.53291 .58118 L
.53285 .58106 L
.53158 .57946 L
.5313 .5792 L
.53001 .57785 L
.5297 .57707 L
.52901 .57625 L
.52809 .57494 L
.52789 .57464 L
.52663 .57304 L
.52649 .57295 L
.52541 .57143 L
.52488 .57086 L
.52397 .56983 L
.52328 .5687 L
.52291 .56822 L
.52169 .56662 L
.52167 .5666 L
.52047 .56501 L
.52007 .56465 L
.51888 .56341 L
.51846 .56247 L
.51791 .5618 L
.51686 .56033 L
.51677 .5602 L
.51554 .55859 L
.51525 .55845 L
.51432 .55699 L
.51364 .55626 L
.51289 .55538 L
.51204 .55407 L
.51182 .55378 L
.51061 .55217 L
.51043 .55194 L
.5094 .55057 L
.50883 .55006 L
.50782 .54896 L
.50722 .54782 L
.50685 .54735 L
.50569 .54575 L
.50562 .54566 L
.50449 .54414 L
.50401 .54391 L
.50326 .54254 L
.50241 .54158 L
.50186 .54093 L
.5008 .53936 L
.50078 .53933 L
.49958 .53772 L
.4992 .53724 L
.49837 .53612 L
.49759 .53538 L
.49684 .53451 L
.49599 .53307 L
.49586 .53291 L
.49469 .5313 L
.49438 .53091 L
.49349 .5297 L
.49278 .52879 L
.49226 .52809 L
.49117 .52677 L
.49095 .52649 L
.48982 .52488 L
.48957 .52456 L
.48863 .52328 L
.48796 .52242 L
.48742 .52167 L
.48636 .52046 L
.48604 .52007 L
.48499 .51846 L
.48475 .51815 L
.48382 .51686 L
.48314 .51598 L
.48263 .51525 L
.48154 .51382 L
.48142 .51364 L
.48027 .51204 L
.47993 .5116 L
.47915 .51043 L
.47833 .50933 L
.478 .50883 L
.47688 .50722 L
.47672 .507 L
.47599 .50562 L
F
.395 .97 1 r
.47672 .47036 m
.47833 .4707 L
.47993 .47129 L
.48054 .47191 L
.48154 .47291 L
.48183 .47351 L
.48314 .47485 L
.48336 .47512 L
.48471 .47672 L
.48475 .47692 L
.48591 .47833 L
.48636 .47908 L
.48701 .47993 L
.48796 .48127 L
.48803 .48154 L
.48957 .48307 L
.48962 .48314 L
.49094 .48475 L
.49117 .48517 L
.49205 .48636 L
.49278 .4873 L
.49311 .48796 L
.49438 .48939 L
.49456 .48957 L
.49592 .49117 L
.49599 .49128 L
.49704 .49278 L
.49759 .49334 L
.4981 .49438 L
.4992 .49557 L
.49921 .49599 L
.50054 .49759 L
.5008 .49807 L
.50147 .4992 L
.5008 .49954 L
.4992 .49968 L
.49759 .49928 L
.49746 .4992 L
.49599 .49789 L
.49585 .49759 L
.49443 .49599 L
.49438 .49591 L
.49292 .49438 L
.49278 .49379 L
.49185 .49278 L
.49117 .49167 L
.49075 .49117 L
.48957 .48964 L
.48942 .48957 L
.4882 .48796 L
.48796 .48771 L
.4868 .48636 L
.48636 .4856 L
.48573 .48475 L
.48475 .48347 L
.4846 .48314 L
.48327 .48154 L
.48314 .48137 L
.48176 .47993 L
.48154 .47956 L
.48075 .47833 L
.47993 .47729 L
.47966 .47672 L
.47841 .47512 L
.47833 .475 L
.47726 .47351 L
.47672 .47271 L
.476 .47191 L
F
1 .55 0 r
.47672 .47598 m
.47766 .47672 L
.47833 .47729 L
.47933 .47833 L
.47993 .47896 L
.48078 .47993 L
.48154 .4805 L
.48214 .48154 L
.48314 .48267 L
.48366 .48314 L
.48473 .48475 L
.48475 .48478 L
.48594 .48636 L
.48636 .4869 L
.48714 .48796 L
.48796 .48908 L
.4883 .48957 L
.48939 .49117 L
.48957 .49144 L
.49033 .49278 L
.48957 .49399 L
.48817 .49278 L
.48796 .49259 L
.48664 .49117 L
.48636 .49087 L
.48524 .48957 L
.48475 .489 L
.48391 .48796 L
.48314 .48726 L
.48262 .48636 L
.48154 .48503 L
.4813 .48475 L
.48016 .48314 L
.47993 .48284 L
.479 .48154 L
.47833 .48061 L
.47786 .47993 L
.47681 .47833 L
.47672 .47818 L
.47601 .47672 L
F
1 .54 0 r
.47672 .47606 m
.47759 .47672 L
.47833 .47734 L
.47928 .47833 L
.47993 .479 L
.48075 .47993 L
.48154 .48054 L
.48212 .48154 L
.48314 .4827 L
.48363 .48314 L
.4847 .48475 L
.48475 .48481 L
.48591 .48636 L
.48636 .48693 L
.48711 .48796 L
.48796 .48912 L
.48828 .48957 L
.48936 .49117 L
.48957 .4915 L
.49028 .49278 L
.48957 .49392 L
.48822 .49278 L
.48796 .49254 L
.48668 .49117 L
.48636 .49083 L
.48527 .48957 L
.48475 .48896 L
.48394 .48796 L
.48314 .48723 L
.48264 .48636 L
.48154 .48499 L
.48133 .48475 L
.48019 .48314 L
.47993 .48281 L
.47902 .48154 L
.47833 .48057 L
.47789 .47993 L
.47686 .47833 L
.47672 .4781 L
.47608 .47672 L
F
1 .96 .289 r
.47672 .40705 m
.47743 .4077 L
.47833 .40852 L
.47908 .4093 L
.47993 .40992 L
.48061 .41091 L
.48154 .4119 L
.4826 .41251 L
.48314 .41377 L
.48353 .41412 L
.48475 .41563 L
.48484 .41572 L
.48622 .41733 L
.48636 .41746 L
.48758 .41894 L
.48796 .41942 L
.48906 .42054 L
.48957 .42142 L
.49017 .42215 L
.49117 .42344 L
.49135 .42375 L
.49278 .4253 L
.49282 .42536 L
.49429 .42696 L
.49438 .42733 L
.4954 .42857 L
.49599 .42942 L
.49652 .43017 L
.49759 .43152 L
.49795 .43178 L
.4992 .43338 L
.4992 .43338 L
.50053 .43499 L
.5008 .43547 L
.50165 .43659 L
.50241 .43761 L
.50272 .4382 L
.50401 .43972 L
.50424 .4398 L
.50556 .44141 L
.50562 .4416 L
.50673 .44301 L
.50722 .44373 L
.50782 .44462 L
.50883 .44589 L
.50923 .44622 L
.51043 .4478 L
.51046 .44783 L
.51177 .44943 L
.51204 .44991 L
.51288 .45104 L
.51364 .45206 L
.51393 .45265 L
.51525 .45416 L
.51543 .45425 L
.51677 .45586 L
.51686 .45612 L
.51791 .45746 L
.51846 .45825 L
.51899 .45907 L
.52007 .46039 L
.52038 .46067 L
.5216 .46228 L
.52167 .46236 L
.52293 .46388 L
.52328 .46447 L
.52402 .46549 L
.52488 .46661 L
.5251 .46709 L
.52649 .46866 L
.52655 .4687 L
.52794 .4703 L
.52809 .4707 L
.52904 .47191 L
.5297 .47283 L
.53013 .47351 L
.5313 .47494 L
.53149 .47512 L
.53271 .47672 L
.53291 .47695 L
.53406 .47833 L
.53451 .47906 L
.53515 .47993 L
.53612 .48119 L
.53626 .48154 L
.53764 .48314 L
.53772 .48322 L
.5391 .48475 L
.53933 .4853 L
.54016 .48636 L
.54093 .48744 L
.54126 .48796 L
.54254 .48953 L
.54257 .48957 L
.54379 .49117 L
.54414 .49154 L
.54518 .49278 L
.54575 .49368 L
.54625 .49438 L
.54735 .49581 L
.54742 .49599 L
.54872 .49759 L
.54896 .49778 L
.55023 .4992 L
.55057 .49992 L
.55125 .5008 L
.55217 .50207 L
.55237 .50241 L
.55364 .50401 L
.55378 .50404 L
.55486 .50562 L
.55538 .50615 L
.55627 .50722 L
.55699 .50833 L
.55734 .50883 L
.55857 .51043 L
.55859 .51046 L
.55978 .51204 L
.5602 .51235 L
.56132 .51364 L
.5618 .51457 L
.56232 .51525 L
.56341 .51675 L
.56347 .51686 L
.56469 .51846 L
.56501 .51887 L
.56591 .52007 L
.56662 .5208 L
.56731 .52167 L
.56822 .52304 L
.56839 .52328 L
.56959 .52488 L
.56983 .52519 L
.5708 .52649 L
.57143 .527 L
.57233 .52809 L
.57304 .52933 L
.57331 .5297 L
.57447 .5313 L
.57464 .53152 L
.57567 .53291 L
.57625 .53365 L
.57741 .53451 L
.57785 .53563 L
.57822 .53612 L
.57932 .53772 L
.57946 .5379 L
.5805 .53933 L
.58106 .54006 L
.5817 .54093 L
.58267 .54199 L
.58308 .54254 L
.58411 .54414 L
.58428 .54436 L
.58526 .54575 L
.58588 .54657 L
.58643 .54735 L
.58749 .54877 L
.58776 .54896 L
.58874 .55057 L
.58909 .55104 L
.58984 .55217 L
.5907 .55338 L
.59094 .55378 L
.59197 .55538 L
.5923 .5559 L
.5928 .55699 L
.5923 .5575 L
.59168 .55699 L
.5907 .55611 L
.58996 .55538 L
.58909 .55478 L
.5884 .55378 L
.58749 .5528 L
.58633 .55217 L
.58588 .55095 L
.58545 .55057 L
.58428 .5491 L
.58415 .54896 L
.58277 .54735 L
.58267 .54725 L
.58141 .54575 L
.58106 .54531 L
.57997 .54414 L
.57946 .54331 L
.57883 .54254 L
.57785 .54129 L
.57764 .54093 L
.57625 .53935 L
.57616 .53933 L
.57476 .53772 L
.57464 .53741 L
.57361 .53612 L
.57304 .53532 L
.57251 .53451 L
.57143 .5332 L
.57101 .53291 L
.56983 .53139 L
.56976 .5313 L
.56848 .5297 L
.56822 .5293 L
.56735 .52809 L
.56662 .52714 L
.56634 .52649 L
.56501 .52527 L
.5647 .52488 L
.56344 .52328 L
.56341 .5232 L
.56225 .52167 L
.5618 .52105 L
.56119 .52007 L
.5602 .51885 L
.55969 .51846 L
.55859 .51702 L
.55846 .51686 L
.55721 .51525 L
.55699 .5149 L
.5561 .51364 L
.55538 .51273 L
.55511 .51204 L
.55378 .51055 L
.55348 .51043 L
.55223 .50883 L
.55217 .50871 L
.55106 .50722 L
.55057 .50656 L
.55 .50562 L
.54896 .50437 L
.54853 .50401 L
.54735 .50247 L
.54731 .50241 L
.54605 .5008 L
.54575 .50035 L
.54495 .4992 L
.54414 .49819 L
.54395 .49759 L
.54254 .49607 L
.54236 .49599 L
.54107 .49438 L
.54093 .49412 L
.53992 .49278 L
.53933 .49198 L
.53887 .49117 L
.53772 .48984 L
.53742 .48957 L
.53613 .48796 L
.53612 .48787 L
.53492 .48636 L
.53451 .48575 L
.53383 .48475 L
.53291 .48361 L
.53279 .48314 L
.5313 .48156 L
.53126 .48154 L
.52992 .47993 L
.5297 .47951 L
.52881 .47833 L
.52809 .47738 L
.52774 .47672 L
.52649 .47527 L
.52633 .47512 L
.52492 .47351 L
.52488 .47326 L
.52381 .47191 L
.52328 .47114 L
.52272 .4703 L
.52167 .46901 L
.52162 .4687 L
.52018 .46709 L
.52007 .46699 L
.51879 .46549 L
.51846 .46489 L
.51771 .46388 L
.51686 .46275 L
.51661 .46228 L
.51526 .46067 L
.51525 .46067 L
.51374 .45907 L
.51364 .45865 L
.51271 .45746 L
.51204 .4565 L
.51162 .45586 L
.51043 .45437 L
.51042 .45425 L
.50912 .45265 L
.50883 .4524 L
.50769 .45104 L
.50722 .45024 L
.50664 .44943 L
.50562 .44808 L
.50549 .44783 L
.50421 .44622 L
.50401 .44616 L
.50261 .44462 L
.50241 .444 L
.50165 .44301 L
.5008 .4418 L
.50055 .44141 L
.49931 .4398 L
.4992 .43966 L
.4981 .4382 L
.49759 .43777 L
.49665 .43659 L
.49599 .43551 L
.49562 .43499 L
.49443 .43338 L
.49438 .43332 L
.49324 .43178 L
.49278 .43118 L
.4916 .43017 L
.49117 .4292 L
.4907 .42857 L
.48959 .42696 L
.48957 .42694 L
.48841 .42536 L
.48796 .42477 L
.48721 .42375 L
.48636 .42286 L
.48583 .42215 L
.48481 .42054 L
.48475 .42047 L
.48366 .41894 L
.48314 .41826 L
.48249 .41733 L
.48154 .41604 L
.48111 .41572 L
.48018 .41412 L
.47993 .41379 L
.47909 .41251 L
.47833 .41144 L
.47799 .41091 L
.47694 .4093 L
.47672 .40897 L
.47608 .4077 L
F
.024 .88 1 r
.47672 .5117 m
.47706 .51204 L
.47833 .51334 L
.47861 .51364 L
.47993 .51504 L
.48006 .51525 L
.48147 .51686 L
.48154 .51693 L
.48285 .51846 L
.48314 .5188 L
.48422 .52007 L
.48475 .52019 L
.48557 .52167 L
.48636 .52253 L
.48736 .52328 L
.48796 .52457 L
.48825 .52488 L
.48952 .52649 L
.48957 .52654 L
.49083 .52809 L
.49117 .52836 L
.49213 .5297 L
.49278 .53048 L
.49357 .5313 L
.49438 .53254 L
.49467 .53291 L
.49596 .53451 L
.49599 .53454 L
.49724 .53612 L
.49759 .53649 L
.49887 .53772 L
.4992 .53859 L
.49981 .53933 L
.5008 .54067 L
.50097 .54093 L
.50229 .54254 L
.50241 .54262 L
.50355 .54414 L
.50401 .5447 L
.50494 .54575 L
.50562 .54682 L
.50601 .54735 L
.50722 .54889 L
.50725 .54896 L
.50853 .55057 L
.50883 .55086 L
.51009 .55217 L
.51043 .55299 L
.51105 .55378 L
.51204 .55512 L
.5122 .55538 L
.51348 .55699 L
.51364 .55706 L
.51472 .55859 L
.51525 .5592 L
.51609 .5602 L
.51686 .56137 L
.51716 .5618 L
.51841 .56341 L
.51846 .56348 L
.51963 .56501 L
.52007 .56542 L
.52118 .56662 L
.52167 .56764 L
.52212 .56822 L
.52328 .56981 L
.52329 .56983 L
.5245 .57143 L
.52488 .57159 L
.52571 .57304 L
.52649 .57395 L
.52705 .57464 L
.52809 .57619 L
.52813 .57625 L
.52932 .57785 L
.5297 .57836 L
.53051 .57946 L
.5313 .58029 L
.53197 .58106 L
.5329 .58267 L
.53291 .58268 L
.53405 .58428 L
.53451 .58489 L
.53522 .58588 L
.53612 .58711 L
.53639 .58749 L
.53753 .58909 L
.53772 .58936 L
.53863 .5907 L
.53933 .59168 L
.53974 .5923 L
.54082 .59391 L
.54093 .59408 L
.54173 .59551 L
.54093 .5959 L
.54058 .59551 L
.53933 .59422 L
.53906 .59391 L
.53772 .5925 L
.53761 .5923 L
.53623 .5907 L
.53612 .59057 L
.53489 .58909 L
.53451 .58867 L
.53355 .58749 L
.53291 .58674 L
.53222 .58588 L
.5313 .58491 L
.53043 .58428 L
.5297 .58283 L
.52954 .58267 L
.5283 .58106 L
.52809 .58082 L
.52702 .57946 L
.52649 .57909 L
.52574 .57785 L
.52488 .57688 L
.52422 .57625 L
.52328 .57478 L
.52316 .57464 L
.52192 .57304 L
.52167 .57274 L
.52066 .57143 L
.52007 .57087 L
.51887 .56983 L
.51846 .56869 L
.51803 .56822 L
.51688 .56662 L
.51686 .56659 L
.51564 .56501 L
.51525 .56482 L
.5144 .56341 L
.51364 .56257 L
.5129 .5618 L
.51204 .56041 L
.51186 .5602 L
.51066 .55859 L
.51043 .55831 L
.50943 .55699 L
.50883 .55645 L
.50769 .55538 L
.50722 .55422 L
.50684 .55378 L
.5057 .55217 L
.50562 .55207 L
.50448 .55057 L
.50401 .55038 L
.50325 .54896 L
.50241 .54802 L
.5018 .54735 L
.5008 .54581 L
.50076 .54575 L
.49956 .54414 L
.4992 .54368 L
.49834 .54254 L
.49759 .54184 L
.4967 .54093 L
.49599 .53952 L
.49583 .53933 L
.49467 .53772 L
.49438 .53736 L
.49346 .53612 L
.49278 .53524 L
.49224 .53451 L
.49117 .53321 L
.49091 .53291 L
.48981 .5313 L
.48957 .53099 L
.48863 .5297 L
.48796 .52884 L
.48742 .52809 L
.48636 .52684 L
.48604 .52649 L
.48502 .52488 L
.48475 .52454 L
.48385 .52328 L
.48314 .52235 L
.48267 .52167 L
.48154 .52017 L
.48147 .52007 L
.48034 .51846 L
.47993 .51792 L
.47923 .51686 L
.47833 .51563 L
.47808 .51525 L
.477 .51364 L
.47672 .51324 L
.47609 .51204 L
F
.289 .96 1 r
.47672 .47057 m
.47833 .47098 L
.47993 .47148 L
.48039 .47191 L
.48154 .47304 L
.48177 .47351 L
.48314 .47494 L
.48329 .47512 L
.4847 .47672 L
.48475 .47699 L
.48587 .47833 L
.48636 .47913 L
.48698 .47993 L
.48796 .48129 L
.48802 .48154 L
.48957 .48311 L
.48959 .48314 L
.49092 .48475 L
.49117 .4852 L
.49203 .48636 L
.49278 .48733 L
.49309 .48796 L
.49438 .48942 L
.49453 .48957 L
.49591 .49117 L
.49599 .4913 L
.49701 .49278 L
.49759 .49338 L
.49807 .49438 L
.4992 .49566 L
.49921 .49599 L
.50045 .49759 L
.5008 .49829 L
.50113 .4992 L
.5008 .49936 L
.4992 .49956 L
.49775 .4992 L
.49759 .49913 L
.49599 .49778 L
.4959 .49759 L
.49448 .49599 L
.49438 .49584 L
.49294 .49438 L
.49278 .49374 L
.49187 .49278 L
.49117 .49164 L
.49077 .49117 L
.48957 .48963 L
.48944 .48957 L
.48822 .48796 L
.48796 .48769 L
.48682 .48636 L
.48636 .48558 L
.48575 .48475 L
.48475 .48345 L
.48462 .48314 L
.4833 .48154 L
.48314 .48134 L
.48177 .47993 L
.48154 .47953 L
.48077 .47833 L
.47993 .47724 L
.47969 .47672 L
.47846 .47512 L
.47833 .47493 L
.47733 .47351 L
.47672 .47256 L
.47615 .47191 L
F
1 .53 0 r
.47672 .47615 m
.47751 .47672 L
.47833 .47739 L
.47924 .47833 L
.47993 .47904 L
.48071 .47993 L
.48154 .48057 L
.48209 .48154 L
.48314 .48274 L
.48359 .48314 L
.48467 .48475 L
.48475 .48484 L
.48589 .48636 L
.48636 .48696 L
.48708 .48796 L
.48796 .48916 L
.48825 .48957 L
.48932 .49117 L
.48957 .49156 L
.49023 .49278 L
.48957 .49385 L
.48828 .49278 L
.48796 .49249 L
.48671 .49117 L
.48636 .49079 L
.4853 .48957 L
.48475 .48893 L
.48396 .48796 L
.48314 .48719 L
.48267 .48636 L
.48154 .48495 L
.48137 .48475 L
.48022 .48314 L
.47993 .48277 L
.47905 .48154 L
.47833 .48052 L
.47793 .47993 L
.4769 .47833 L
.47672 .47802 L
.47616 .47672 L
F
1 .52 0 r
.47672 .47624 m
.47743 .47672 L
.47833 .47744 L
.4792 .47833 L
.47993 .47908 L
.48068 .47993 L
.48154 .48061 L
.48206 .48154 L
.48314 .48277 L
.48355 .48314 L
.48465 .48475 L
.48475 .48488 L
.48586 .48636 L
.48636 .487 L
.48706 .48796 L
.48796 .4892 L
.48822 .48957 L
.48928 .49117 L
.48957 .49163 L
.49018 .49278 L
.48957 .49378 L
.48834 .49278 L
.48796 .49244 L
.48675 .49117 L
.48636 .49075 L
.48534 .48957 L
.48475 .4889 L
.48399 .48796 L
.48314 .48715 L
.48269 .48636 L
.48154 .48491 L
.4814 .48475 L
.48024 .48314 L
.47993 .48273 L
.47908 .48154 L
.47833 .48048 L
.47796 .47993 L
.47695 .47833 L
.47672 .47793 L
.47624 .47672 L
F
0 .34 1 r
.47672 .4827 m
.47707 .48314 L
.47833 .48466 L
.47839 .48475 L
.47833 .4857 L
.47756 .48475 L
.47672 .48378 L
.47628 .48314 L
F
.212 .95 1 r
.47672 .47081 m
.47833 .47119 L
.47993 .47166 L
.48022 .47191 L
.48154 .47316 L
.48171 .47351 L
.48314 .47502 L
.48322 .47512 L
.48469 .47672 L
.48475 .47706 L
.48584 .47833 L
.48636 .47918 L
.48695 .47993 L
.48796 .48132 L
.48801 .48154 L
.48957 .48314 L
.48957 .48315 L
.4909 .48475 L
.49117 .48523 L
.492 .48636 L
.49278 .48736 L
.49307 .48796 L
.49438 .48945 L
.4945 .48957 L
.4959 .49117 L
.49599 .49131 L
.49698 .49278 L
.49759 .49343 L
.49804 .49438 L
.4992 .49576 L
.4992 .49599 L
.50037 .49759 L
.50072 .4992 L
.4992 .49945 L
.49806 .4992 L
.49759 .49902 L
.49599 .49768 L
.49594 .49759 L
.49453 .49599 L
.49438 .49576 L
.49295 .49438 L
.49278 .4937 L
.4919 .49278 L
.49117 .49161 L
.49079 .49117 L
.48957 .48962 L
.48947 .48957 L
.48824 .48796 L
.48796 .48767 L
.48684 .48636 L
.48636 .48555 L
.48577 .48475 L
.48475 .48342 L
.48463 .48314 L
.48332 .48154 L
.48314 .48131 L
.48178 .47993 L
.48154 .4795 L
.4808 .47833 L
.47993 .47718 L
.47971 .47672 L
.47851 .47512 L
.47833 .47486 L
.4774 .47351 L
.47672 .4724 L
.47632 .47191 L
F
1 .51 0 r
.47672 .47634 m
.47733 .47672 L
.47833 .4775 L
.47915 .47833 L
.47993 .47912 L
.48065 .47993 L
.48154 .48065 L
.48203 .48154 L
.48314 .48281 L
.48351 .48314 L
.48462 .48475 L
.48475 .48491 L
.48584 .48636 L
.48636 .48703 L
.48703 .48796 L
.48796 .48924 L
.48819 .48957 L
.48924 .49117 L
.48957 .4917 L
.49012 .49278 L
.48957 .4937 L
.48841 .49278 L
.48796 .49239 L
.48679 .49117 L
.48636 .49072 L
.48537 .48957 L
.48475 .48886 L
.48402 .48796 L
.48314 .48712 L
.48272 .48636 L
.48154 .48487 L
.48143 .48475 L
.48027 .48314 L
.47993 .4827 L
.47911 .48154 L
.47833 .48044 L
.47799 .47993 L
.477 .47833 L
.47672 .47783 L
.47632 .47672 L
F
.033 .89 1 r
.47672 .41399 m
.47687 .41412 L
.47833 .41544 L
.4786 .41572 L
.47993 .41702 L
.48013 .41733 L
.48154 .41889 L
.48161 .41894 L
.48297 .42054 L
.48314 .42073 L
.48435 .42215 L
.48475 .42223 L
.4857 .42375 L
.48636 .42442 L
.48705 .42536 L
.48796 .42645 L
.48848 .42696 L
.48957 .42843 L
.48968 .42857 L
.49099 .43017 L
.49117 .4303 L
.49228 .43178 L
.49278 .43234 L
.49383 .43338 L
.49438 .4344 L
.49488 .43499 L
.49599 .43644 L
.49609 .43659 L
.4974 .4382 L
.49759 .43839 L
.49913 .4398 L
.4992 .44045 L
.50004 .44141 L
.5008 .44254 L
.50116 .44301 L
.50241 .44457 L
.50242 .44462 L
.5037 .44622 L
.50401 .44657 L
.50518 .44783 L
.50562 .44867 L
.50623 .44943 L
.50722 .45077 L
.50738 .45104 L
.5087 .45265 L
.50883 .45276 L
.51034 .45425 L
.51043 .45484 L
.5113 .45586 L
.51204 .45696 L
.5124 .45746 L
.51364 .45903 L
.51365 .45907 L
.51491 .46067 L
.51525 .46103 L
.51638 .46228 L
.51686 .46316 L
.51742 .46388 L
.51846 .46528 L
.51858 .46549 L
.51986 .46709 L
.52007 .46725 L
.52151 .4687 L
.52167 .46937 L
.52245 .4703 L
.52328 .47152 L
.52355 .47191 L
.5248 .47351 L
.52488 .47352 L
.52602 .47512 L
.52649 .47559 L
.5275 .47672 L
.52809 .47776 L
.52853 .47833 L
.5297 .47989 L
.52972 .47993 L
.53094 .48154 L
.5313 .48179 L
.53262 .48314 L
.53291 .484 L
.53352 .48475 L
.53451 .48618 L
.53464 .48636 L
.53585 .48796 L
.53612 .4883 L
.53707 .48957 L
.53772 .49023 L
.53854 .49117 L
.53933 .49246 L
.53957 .49278 L
.54075 .49438 L
.54093 .49462 L
.54195 .49599 L
.54254 .49642 L
.54361 .49759 L
.54414 .49876 L
.54449 .4992 L
.54562 .5008 L
.54575 .50097 L
.54681 .50241 L
.54735 .50311 L
.54802 .50401 L
.54896 .50508 L
.5494 .50562 L
.55045 .50722 L
.55057 .50737 L
.55163 .50883 L
.55217 .50953 L
.55282 .51043 L
.55378 .51145 L
.55426 .51204 L
.55521 .51364 L
.55538 .51386 L
.55636 .51525 L
.55699 .51608 L
.55752 .51686 L
.55859 .5183 L
.55871 .51846 L
.55981 .52007 L
.5602 .52059 L
.56089 .52167 L
.5618 .52296 L
.56199 .52328 L
.56295 .52488 L
.5618 .52504 L
.56165 .52488 L
.5602 .52343 L
.56009 .52328 L
.55862 .52167 L
.55859 .52164 L
.5572 .52007 L
.55699 .51983 L
.5558 .51846 L
.55538 .51831 L
.55441 .51686 L
.55378 .51616 L
.55252 .51525 L
.55217 .51416 L
.55168 .51364 L
.55057 .51221 L
.55044 .51204 L
.54908 .51043 L
.54896 .51033 L
.54777 .50883 L
.54735 .50832 L
.54632 .50722 L
.54575 .50628 L
.54523 .50562 L
.54414 .50425 L
.54402 .50401 L
.54261 .50241 L
.54254 .50232 L
.54108 .5008 L
.54093 .50028 L
.54005 .4992 L
.53933 .4982 L
.53893 .49759 L
.53772 .49615 L
.53753 .49599 L
.53628 .49438 L
.53612 .49419 L
.53492 .49278 L
.53451 .4921 L
.53382 .49117 L
.53291 .48999 L
.53271 .48957 L
.5313 .48799 L
.53126 .48796 L
.52983 .48636 L
.5297 .48595 L
.52875 .48475 L
.52809 .48383 L
.52765 .48314 L
.52649 .48174 L
.52627 .48154 L
.52503 .47993 L
.52488 .47975 L
.5237 .47833 L
.52328 .47765 L
.52261 .47672 L
.52167 .47553 L
.5215 .47512 L
.52008 .47351 L
.52007 .4735 L
.51864 .47191 L
.51846 .47144 L
.51758 .4703 L
.51686 .4693 L
.51648 .4687 L
.51525 .46721 L
.51513 .46709 L
.51391 .46549 L
.51364 .4652 L
.51255 .46388 L
.51204 .46307 L
.51148 .46228 L
.51043 .46094 L
.51033 .46067 L
.50898 .45907 L
.50883 .45894 L
.5075 .45746 L
.50722 .45682 L
.50648 .45586 L
.50562 .45467 L
.50537 .45425 L
.50408 .45265 L
.50401 .45263 L
.50286 .45104 L
.50241 .45057 L
.50148 .44943 L
.5008 .44838 L
.50042 .44783 L
.4992 .44624 L
.49919 .44622 L
.49798 .44462 L
.49759 .44432 L
.49645 .44301 L
.49599 .44208 L
.49548 .44141 L
.49438 .43988 L
.49433 .4398 L
.49313 .4382 L
.49278 .43774 L
.49192 .43659 L
.49117 .43576 L
.49057 .43499 L
.48957 .43348 L
.4895 .43338 L
.48833 .43178 L
.48796 .43129 L
.48714 .43017 L
.48636 .4294 L
.48569 .42857 L
.48476 .42696 L
.48475 .42695 L
.48361 .42536 L
.48314 .42472 L
.48246 .42375 L
.48154 .42249 L
.4813 .42215 L
.48018 .42054 L
.47993 .4202 L
.4791 .41894 L
.47833 .41782 L
.47802 .41733 L
.47703 .41572 L
.47672 .41522 L
.47633 .41412 L
F
0 .33 1 r
.47672 .48281 m
.47698 .48314 L
.47672 .48366 L
.47638 .48314 L
F
1 .95 .212 r
.47672 .45586 m
.47826 .45746 L
.47833 .45754 L
.47966 .45907 L
.47993 .45939 L
.48097 .46067 L
.48154 .46142 L
.48218 .46228 L
.48314 .46374 L
.48323 .46388 L
.48314 .46546 L
.48154 .46406 L
.48139 .46388 L
.47998 .46228 L
.47993 .46222 L
.47875 .46067 L
.47833 .46015 L
.47757 .45907 L
.47672 .45794 L
.47641 .45746 L
F
1 .5 0 r
.47672 .47645 m
.47721 .47672 L
.47833 .47755 L
.47911 .47833 L
.47993 .47916 L
.48061 .47993 L
.48154 .48069 L
.48201 .48154 L
.48314 .48285 L
.48347 .48314 L
.4846 .48475 L
.48475 .48494 L
.48581 .48636 L
.48636 .48706 L
.48701 .48796 L
.48796 .48927 L
.48816 .48957 L
.4892 .49117 L
.48957 .49177 L
.49006 .49278 L
.48957 .49362 L
.48847 .49278 L
.48796 .49234 L
.48683 .49117 L
.48636 .49068 L
.4854 .48957 L
.48475 .48883 L
.48405 .48796 L
.48314 .48708 L
.48274 .48636 L
.48154 .48483 L
.48147 .48475 L
.4803 .48314 L
.47993 .48266 L
.47914 .48154 L
.47833 .48039 L
.47802 .47993 L
.47705 .47833 L
.47672 .47771 L
.47642 .47672 L
F
.156 .94 1 r
.47672 .47109 m
.47833 .47133 L
.47993 .47182 L
.48005 .47191 L
.48154 .47328 L
.48166 .47351 L
.48314 .4751 L
.48316 .47512 L
.48468 .47672 L
.48475 .47712 L
.48581 .47833 L
.48636 .47923 L
.48692 .47993 L
.48796 .48134 L
.488 .48154 L
.48954 .48314 L
.48957 .48318 L
.49088 .48475 L
.49117 .48526 L
.49198 .48636 L
.49278 .48739 L
.49306 .48796 L
.49438 .48947 L
.49448 .48957 L
.49589 .49117 L
.49599 .49133 L
.49695 .49278 L
.49759 .49347 L
.49801 .49438 L
.4992 .49587 L
.4992 .49599 L
.50029 .49759 L
.50033 .4992 L
.4992 .49934 L
.49843 .4992 L
.49759 .49891 L
.49599 .49759 L
.49599 .49758 L
.49458 .49599 L
.49438 .4957 L
.49297 .49438 L
.49278 .49366 L
.49192 .49278 L
.49117 .49159 L
.49081 .49117 L
.48957 .48961 L
.48949 .48957 L
.48826 .48796 L
.48796 .48765 L
.48685 .48636 L
.48636 .48553 L
.48579 .48475 L
.48475 .48339 L
.48464 .48314 L
.48334 .48154 L
.48314 .48128 L
.4818 .47993 L
.48154 .47947 L
.48083 .47833 L
.47993 .47712 L
.47974 .47672 L
.47856 .47512 L
.47833 .47478 L
.47747 .47351 L
.47672 .47219 L
.47651 .47191 L
F
0 .32 1 r
.47672 .48296 m
.47686 .48314 L
.47672 .48349 L
.47651 .48314 L
F
1 .49 0 r
.47672 .47657 m
.47707 .47672 L
.47833 .47761 L
.47906 .47833 L
.47993 .4792 L
.48058 .47993 L
.48154 .48074 L
.48198 .48154 L
.48314 .48289 L
.48343 .48314 L
.48457 .48475 L
.48475 .48498 L
.48579 .48636 L
.48636 .4871 L
.48698 .48796 L
.48796 .48932 L
.48814 .48957 L
.48916 .49117 L
.48957 .49185 L
.49 .49278 L
.48957 .49353 L
.48854 .49278 L
.48796 .49229 L
.48688 .49117 L
.48636 .49064 L
.48543 .48957 L
.48475 .48879 L
.48407 .48796 L
.48314 .48704 L
.48277 .48636 L
.48154 .48479 L
.4815 .48475 L
.48033 .48314 L
.47993 .48262 L
.47917 .48154 L
.47833 .48034 L
.47805 .47993 L
.4771 .47833 L
.47672 .47756 L
.47655 .47672 L
F
0 .52 1 r
.47672 .53793 m
.47743 .53933 L
.47672 .53937 L
.47668 .53933 L
F
1 .48 0 r
.47672 .47672 m
.47674 .47672 L
.47833 .47766 L
.47901 .47833 L
.47993 .47924 L
.48054 .47993 L
.48154 .48078 L
.48195 .48154 L
.48314 .48293 L
.48338 .48314 L
.48454 .48475 L
.48475 .48501 L
.48576 .48636 L
.48636 .48713 L
.48695 .48796 L
.48796 .48936 L
.48811 .48957 L
.48912 .49117 L
.48957 .49194 L
.48994 .49278 L
.48957 .49344 L
.48862 .49278 L
.48796 .49224 L
.48692 .49117 L
.48636 .49059 L
.48546 .48957 L
.48475 .48876 L
.4841 .48796 L
.48314 .487 L
.4828 .48636 L
.48154 .48475 L
.48154 .48475 L
.48035 .48314 L
.47993 .48258 L
.4792 .48154 L
.47833 .4803 L
.47809 .47993 L
.47715 .47833 L
.47672 .47736 L
.47672 .47672 L
F
.114 .93 1 r
.47833 .47144 m
.47985 .47191 L
.47993 .47197 L
.48154 .47339 L
.48161 .47351 L
.48309 .47512 L
.48314 .47519 L
.48466 .47672 L
.48475 .47718 L
.48577 .47833 L
.48636 .47927 L
.48689 .47993 L
.48796 .48137 L
.488 .48154 L
.48951 .48314 L
.48957 .48321 L
.49086 .48475 L
.49117 .48529 L
.49196 .48636 L
.49278 .48742 L
.49304 .48796 L
.49438 .4895 L
.49445 .48957 L
.49588 .49117 L
.49599 .49135 L
.49693 .49278 L
.49759 .49353 L
.49798 .49438 L
.4992 .49598 L
.4992 .49599 L
.5002 .49759 L
.49974 .4992 L
.4992 .49923 L
.49896 .4992 L
.49759 .49881 L
.49608 .49759 L
.49599 .49746 L
.49463 .49599 L
.49438 .49563 L
.49299 .49438 L
.49278 .49361 L
.49195 .49278 L
.49117 .49156 L
.49083 .49117 L
.48957 .48959 L
.48951 .48957 L
.48828 .48796 L
.48796 .48762 L
.48687 .48636 L
.48636 .4855 L
.48581 .48475 L
.48475 .48337 L
.48465 .48314 L
.48337 .48154 L
.48314 .48125 L
.48182 .47993 L
.48154 .47943 L
.48086 .47833 L
.47993 .47706 L
.47977 .47672 L
.47861 .47512 L
.47833 .4747 L
.47754 .47351 L
.47673 .47191 L
F
.084 .92 1 r
.47833 .47152 m
.47965 .47191 L
.47993 .47212 L
.48154 .47349 L
.48155 .47351 L
.48303 .47512 L
.48314 .47527 L
.48465 .47672 L
.48475 .47725 L
.48574 .47833 L
.48636 .47932 L
.48687 .47993 L
.48796 .48139 L
.48799 .48154 L
.48949 .48314 L
.48957 .48324 L
.49085 .48475 L
.49117 .48532 L
.49194 .48636 L
.49278 .48745 L
.49303 .48796 L
.49438 .48952 L
.49442 .48957 L
.49587 .49117 L
.49599 .49137 L
.4969 .49278 L
.49759 .49358 L
.49795 .49438 L
.49915 .49599 L
.4992 .49607 L
.50012 .49759 L
.4992 .49911 L
.49759 .49871 L
.49617 .49759 L
.49599 .49734 L
.49468 .49599 L
.49438 .49557 L
.49301 .49438 L
.49278 .49357 L
.49198 .49278 L
.49117 .49153 L
.49085 .49117 L
.48957 .48958 L
.48954 .48957 L
.4883 .48796 L
.48796 .4876 L
.48689 .48636 L
.48636 .48548 L
.48583 .48475 L
.48475 .48334 L
.48466 .48314 L
.48339 .48154 L
.48314 .48122 L
.48183 .47993 L
.48154 .47939 L
.48089 .47833 L
.47993 .477 L
.47981 .47672 L
.47866 .47512 L
.47833 .47462 L
.47761 .47351 L
.47691 .47191 L
F
.061 .91 1 r
.47833 .47159 m
.47943 .47191 L
.47993 .47225 L
.48146 .47351 L
.48154 .4736 L
.48297 .47512 L
.48314 .47535 L
.48464 .47672 L
.48475 .4773 L
.48571 .47833 L
.48636 .47936 L
.48684 .47993 L
.48796 .48141 L
.48799 .48154 L
.48946 .48314 L
.48957 .48327 L
.49083 .48475 L
.49117 .48535 L
.49191 .48636 L
.49278 .48748 L
.49301 .48796 L
.49438 .48955 L
.4944 .48957 L
.49586 .49117 L
.49599 .4914 L
.49687 .49278 L
.49759 .49363 L
.49792 .49438 L
.4991 .49599 L
.4992 .49615 L
.50003 .49759 L
.4992 .499 L
.49759 .49861 L
.49625 .49759 L
.49599 .49723 L
.49473 .49599 L
.49438 .49551 L
.49303 .49438 L
.49278 .49353 L
.492 .49278 L
.49117 .49151 L
.49087 .49117 L
.48957 .48957 L
.48956 .48957 L
.48832 .48796 L
.48796 .48758 L
.4869 .48636 L
.48636 .48545 L
.48584 .48475 L
.48475 .48331 L
.48468 .48314 L
.48341 .48154 L
.48314 .48119 L
.48185 .47993 L
.48154 .47935 L
.48092 .47833 L
.47993 .47693 L
.47984 .47672 L
.47871 .47512 L
.47833 .47453 L
.47769 .47351 L
.47712 .47191 L
F
1 .47 0 r
.47833 .47772 m
.47896 .47833 L
.47993 .47929 L
.48051 .47993 L
.48154 .48083 L
.48192 .48154 L
.48314 .48297 L
.48334 .48314 L
.48451 .48475 L
.48475 .48504 L
.48573 .48636 L
.48636 .48717 L
.48693 .48796 L
.48796 .4894 L
.48808 .48957 L
.48907 .49117 L
.48957 .49204 L
.48987 .49278 L
.48957 .49333 L
.48871 .49278 L
.48796 .49219 L
.48696 .49117 L
.48636 .49055 L
.4855 .48957 L
.48475 .48872 L
.48413 .48796 L
.48314 .48695 L
.48282 .48636 L
.48157 .48475 L
.48154 .48472 L
.48038 .48314 L
.47993 .48254 L
.47923 .48154 L
.47833 .48025 L
.47812 .47993 L
.47721 .47833 L
F
1 .46 0 r
.47833 .47778 m
.4789 .47833 L
.47993 .47933 L
.48047 .47993 L
.48154 .48088 L
.48189 .48154 L
.48314 .48301 L
.48329 .48314 L
.48449 .48475 L
.48475 .48508 L
.48571 .48636 L
.48636 .48721 L
.4869 .48796 L
.48796 .48944 L
.48805 .48957 L
.48903 .49117 L
.48957 .49216 L
.48979 .49278 L
.48957 .49322 L
.48881 .49278 L
.48796 .49213 L
.48701 .49117 L
.48636 .49051 L
.48553 .48957 L
.48475 .48868 L
.48416 .48796 L
.48314 .48691 L
.48285 .48636 L
.48159 .48475 L
.48154 .48468 L
.48041 .48314 L
.47993 .4825 L
.47926 .48154 L
.47833 .4802 L
.47816 .47993 L
.47727 .47833 L
F
1 .45 0 r
.47833 .47784 m
.47885 .47833 L
.47993 .47937 L
.48044 .47993 L
.48154 .48093 L
.48186 .48154 L
.48314 .48305 L
.48325 .48314 L
.48446 .48475 L
.48475 .48511 L
.48568 .48636 L
.48636 .48724 L
.48687 .48796 L
.48796 .48949 L
.48802 .48957 L
.48898 .49117 L
.48957 .4923 L
.48971 .49278 L
.48957 .49308 L
.48892 .49278 L
.48796 .49208 L
.48705 .49117 L
.48636 .49047 L
.48556 .48957 L
.48475 .48865 L
.48419 .48796 L
.48314 .48686 L
.48288 .48636 L
.48162 .48475 L
.48154 .48464 L
.48044 .48314 L
.47993 .48246 L
.47929 .48154 L
.47833 .48015 L
.47819 .47993 L
.47733 .47833 L
F
.045 .9 1 r
.47833 .47167 m
.47918 .47191 L
.47993 .47237 L
.48137 .47351 L
.48154 .4737 L
.4829 .47512 L
.48314 .47542 L
.48462 .47672 L
.48475 .47736 L
.48567 .47833 L
.48636 .4794 L
.48681 .47993 L
.48796 .48143 L
.48798 .48154 L
.48943 .48314 L
.48957 .4833 L
.49081 .48475 L
.49117 .48539 L
.49189 .48636 L
.49278 .48751 L
.493 .48796 L
.49437 .48957 L
.49438 .48958 L
.49585 .49117 L
.49599 .49142 L
.49684 .49278 L
.49759 .49369 L
.49789 .49438 L
.49904 .49599 L
.4992 .49625 L
.49994 .49759 L
.4992 .49888 L
.49759 .49852 L
.49634 .49759 L
.49599 .49713 L
.49478 .49599 L
.49438 .49545 L
.49305 .49438 L
.49278 .4935 L
.49203 .49278 L
.49117 .49148 L
.49089 .49117 L
.48958 .48957 L
.48957 .48956 L
.48835 .48796 L
.48796 .48755 L
.48692 .48636 L
.48636 .48542 L
.48586 .48475 L
.48475 .48329 L
.48469 .48314 L
.48344 .48154 L
.48314 .48115 L
.48187 .47993 L
.48154 .47931 L
.48095 .47833 L
.47993 .47686 L
.47987 .47672 L
.47876 .47512 L
.47833 .47444 L
.47777 .47351 L
.47735 .47191 L
F
1 .44 0 r
.47833 .47791 m
.47879 .47833 L
.47993 .47942 L
.4804 .47993 L
.48154 .48098 L
.48183 .48154 L
.48314 .4831 L
.4832 .48314 L
.48443 .48475 L
.48475 .48515 L
.48565 .48636 L
.48636 .48728 L
.48684 .48796 L
.48796 .48953 L
.48798 .48957 L
.48893 .49117 L
.48957 .49252 L
.48961 .49278 L
.48957 .49289 L
.48908 .49278 L
.48796 .49202 L
.4871 .49117 L
.48636 .49043 L
.4856 .48957 L
.48475 .48861 L
.48422 .48796 L
.48314 .48682 L
.4829 .48636 L
.48165 .48475 L
.48154 .48461 L
.48047 .48314 L
.47993 .48242 L
.47932 .48154 L
.47833 .48009 L
.47823 .47993 L
.4774 .47833 L
F
1 .43 0 r
.47833 .47797 m
.47872 .47833 L
.47993 .47946 L
.48036 .47993 L
.48154 .48104 L
.4818 .48154 L
.48314 .48314 L
.48315 .48314 L
.4844 .48475 L
.48475 .48518 L
.48562 .48636 L
.48636 .48732 L
.48681 .48796 L
.48795 .48957 L
.48796 .48958 L
.48888 .49117 L
.48796 .49196 L
.48715 .49117 L
.48636 .49038 L
.48564 .48957 L
.48475 .48857 L
.48425 .48796 L
.48314 .48677 L
.48293 .48636 L
.48168 .48475 L
.48154 .48457 L
.4805 .48314 L
.47993 .48238 L
.47935 .48154 L
.47833 .48003 L
.47827 .47993 L
.47747 .47833 L
F
1 .42 0 r
.47833 .47804 m
.47865 .47833 L
.47993 .47951 L
.48032 .47993 L
.48154 .48109 L
.48177 .48154 L
.48312 .48314 L
.48314 .48318 L
.48437 .48475 L
.48475 .48522 L
.48559 .48636 L
.48636 .48736 L
.48679 .48796 L
.48791 .48957 L
.48796 .48964 L
.48883 .49117 L
.48796 .4919 L
.48721 .49117 L
.48636 .49034 L
.48567 .48957 L
.48475 .48854 L
.48428 .48796 L
.48314 .48672 L
.48296 .48636 L
.48171 .48475 L
.48154 .48453 L
.48053 .48314 L
.47993 .48234 L
.47938 .48154 L
.47833 .47998 L
.4783 .47993 L
.47755 .47833 L
F
1 .41 0 r
.47833 .47811 m
.47858 .47833 L
.47993 .47956 L
.48028 .47993 L
.48154 .48115 L
.48174 .48154 L
.48308 .48314 L
.48314 .48322 L
.48434 .48475 L
.48475 .48526 L
.48557 .48636 L
.48636 .4874 L
.48676 .48796 L
.48787 .48957 L
.48796 .4897 L
.48878 .49117 L
.48796 .49184 L
.48726 .49117 L
.48636 .49029 L
.48571 .48957 L
.48475 .4885 L
.48431 .48796 L
.48314 .48667 L
.48299 .48636 L
.48174 .48475 L
.48154 .48449 L
.48056 .48314 L
.47993 .48229 L
.47942 .48154 L
.47835 .47993 L
.47833 .47991 L
.47765 .47833 L
F
.033 .89 1 r
.47833 .47177 m
.47887 .47191 L
.47993 .47247 L
.48127 .47351 L
.48154 .47379 L
.48284 .47512 L
.48314 .4755 L
.4846 .47672 L
.48475 .47742 L
.48564 .47833 L
.48636 .47944 L
.48678 .47993 L
.48796 .48144 L
.48798 .48154 L
.48941 .48314 L
.48957 .48333 L
.49079 .48475 L
.49117 .48542 L
.49187 .48636 L
.49278 .48754 L
.49298 .48796 L
.49435 .48957 L
.49438 .48961 L
.49584 .49117 L
.49599 .49145 L
.49681 .49278 L
.49759 .49376 L
.49786 .49438 L
.49899 .49599 L
.4992 .49635 L
.49985 .49759 L
.4992 .49876 L
.49759 .49843 L
.49644 .49759 L
.49599 .49704 L
.49483 .49599 L
.49438 .49539 L
.49308 .49438 L
.49278 .49346 L
.49206 .49278 L
.49117 .49146 L
.49091 .49117 L
.4896 .48957 L
.48957 .48954 L
.48837 .48796 L
.48796 .48753 L
.48694 .48636 L
.48636 .4854 L
.48588 .48475 L
.48475 .48326 L
.4847 .48314 L
.48346 .48154 L
.48314 .48112 L
.48189 .47993 L
.48154 .47927 L
.48098 .47833 L
.47993 .47679 L
.4799 .47672 L
.47881 .47512 L
.47833 .47434 L
.47784 .47351 L
.47766 .47191 L
F
1 .4 0 r
.47833 .47819 m
.4785 .47833 L
.47993 .4796 L
.48024 .47993 L
.48154 .48121 L
.4817 .48154 L
.48305 .48314 L
.48314 .48325 L
.48431 .48475 L
.48475 .4853 L
.48554 .48636 L
.48636 .48744 L
.48673 .48796 L
.48783 .48957 L
.48796 .48976 L
.48872 .49117 L
.48796 .49177 L
.48732 .49117 L
.48636 .49025 L
.48575 .48957 L
.48475 .48846 L
.48434 .48796 L
.48314 .48661 L
.48301 .48636 L
.48178 .48475 L
.48154 .48445 L
.48059 .48314 L
.47993 .48225 L
.47945 .48154 L
.4784 .47993 L
.47833 .47982 L
.47776 .47833 L
F
1 .39 0 r
.47833 .47828 m
.4784 .47833 L
.47993 .47965 L
.48019 .47993 L
.48154 .48128 L
.48167 .48154 L
.48302 .48314 L
.48314 .48329 L
.48428 .48475 L
.48475 .48533 L
.48551 .48636 L
.48636 .48748 L
.4867 .48796 L
.48779 .48957 L
.48796 .48983 L
.48865 .49117 L
.48796 .4917 L
.48738 .49117 L
.48636 .4902 L
.48579 .48957 L
.48475 .48842 L
.48437 .48796 L
.48314 .48656 L
.48304 .48636 L
.48181 .48475 L
.48154 .48441 L
.48062 .48314 L
.47993 .4822 L
.47948 .48154 L
.47845 .47993 L
.47833 .47973 L
.4779 .47833 L
F
.024 .88 1 r
.47833 .47191 m
.47993 .47257 L
.48117 .47351 L
.48154 .47388 L
.48278 .47512 L
.48314 .47557 L
.48458 .47672 L
.48475 .47747 L
.4856 .47833 L
.48636 .47948 L
.48676 .47993 L
.48796 .48146 L
.48798 .48154 L
.48938 .48314 L
.48957 .48336 L
.49077 .48475 L
.49117 .48545 L
.49185 .48636 L
.49278 .48756 L
.49297 .48796 L
.49432 .48957 L
.49438 .48965 L
.49583 .49117 L
.49599 .49148 L
.49679 .49278 L
.49759 .49382 L
.49783 .49438 L
.49894 .49599 L
.4992 .49645 L
.49976 .49759 L
.4992 .49863 L
.49759 .49834 L
.49653 .49759 L
.49599 .49695 L
.49488 .49599 L
.49438 .49534 L
.4931 .49438 L
.49278 .49342 L
.49209 .49278 L
.49117 .49143 L
.49093 .49117 L
.48963 .48957 L
.48957 .48953 L
.48839 .48796 L
.48796 .48751 L
.48696 .48636 L
.48636 .48537 L
.4859 .48475 L
.48475 .48323 L
.48471 .48314 L
.48349 .48154 L
.48314 .48109 L
.48191 .47993 L
.48154 .47922 L
.48101 .47833 L
.47994 .47672 L
.47993 .47672 L
.47887 .47512 L
.47833 .47423 L
.47792 .47351 L
F
0 .72 1 r
.47833 .42886 m
.47939 .43017 L
.47993 .43077 L
.48072 .43178 L
.48154 .43272 L
.48205 .43338 L
.48314 .43468 L
.48338 .43499 L
.48468 .43659 L
.48475 .43667 L
.48592 .4382 L
.48636 .43871 L
.48718 .4398 L
.48796 .44075 L
.48846 .44141 L
.48957 .44278 L
.48974 .44301 L
.49099 .44462 L
.49117 .44484 L
.4922 .44622 L
.49278 .44693 L
.49344 .44783 L
.49438 .44901 L
.49469 .44943 L
.49594 .45104 L
.49599 .4511 L
.49712 .45265 L
.49759 .45324 L
.49832 .45425 L
.4992 .45537 L
.49954 .45586 L
.50078 .45746 L
.5008 .45749 L
.50191 .45907 L
.50241 .4597 L
.50306 .46067 L
.50401 .46191 L
.50425 .46228 L
.50401 .46363 L
.5029 .46228 L
.50241 .46173 L
.50155 .46067 L
.5008 .45981 L
.50021 .45907 L
.4992 .45785 L
.49888 .45746 L
.49759 .45588 L
.49758 .45586 L
.49632 .45425 L
.49599 .45385 L
.49505 .45265 L
.49438 .45183 L
.49377 .45104 L
.49278 .44979 L
.4925 .44943 L
.49125 .44783 L
.49117 .44774 L
.49002 .44622 L
.48957 .44566 L
.48878 .44462 L
.48796 .44358 L
.48753 .44301 L
.48636 .44155 L
.48629 .44141 L
.4851 .4398 L
.48475 .43936 L
.4839 .4382 L
.48314 .43722 L
.48268 .43659 L
.48154 .43509 L
.48147 .43499 L
.48032 .43338 L
.47993 .43288 L
.47917 .43178 L
.47833 .43066 L
.478 .43017 L
F
.018 .87 1 r
.47833 .47208 m
.47993 .47267 L
.48106 .47351 L
.48154 .47396 L
.48271 .47512 L
.48314 .47564 L
.48456 .47672 L
.48475 .47752 L
.48557 .47833 L
.48636 .47951 L
.48673 .47993 L
.48796 .48148 L
.48797 .48154 L
.48935 .48314 L
.48957 .48339 L
.49075 .48475 L
.49117 .48548 L
.49183 .48636 L
.49278 .48759 L
.49295 .48796 L
.49429 .48957 L
.49438 .48968 L
.49581 .49117 L
.49599 .49151 L
.49676 .49278 L
.49759 .49389 L
.49779 .49438 L
.49888 .49599 L
.4992 .49657 L
.49966 .49759 L
.4992 .49849 L
.49759 .49825 L
.49663 .49759 L
.49599 .49687 L
.49493 .49599 L
.49438 .49528 L
.49313 .49438 L
.49278 .49338 L
.49212 .49278 L
.49117 .49141 L
.49095 .49117 L
.48965 .48957 L
.48957 .48951 L
.48841 .48796 L
.48796 .48748 L
.48698 .48636 L
.48636 .48534 L
.48592 .48475 L
.48475 .4832 L
.48473 .48314 L
.48351 .48154 L
.48314 .48106 L
.48193 .47993 L
.48154 .47918 L
.48104 .47833 L
.47998 .47672 L
.47993 .47666 L
.47892 .47512 L
.47833 .47412 L
.47801 .47351 L
F
0 .35 1 r
.47833 .52674 m
.47934 .52809 L
.47993 .5288 L
.4806 .5297 L
.48154 .53086 L
.48187 .5313 L
.48154 .53266 L
.48054 .5313 L
.47993 .53059 L
.47929 .5297 L
.47833 .52852 L
.47802 .52809 L
F
1 .76 .001 r
.47833 .42219 m
.47973 .42375 L
.47993 .42396 L
.48112 .42536 L
.48154 .42581 L
.4825 .42696 L
.48314 .4277 L
.48385 .42857 L
.48475 .42924 L
.4852 .43017 L
.48636 .43151 L
.48669 .43178 L
.48783 .43338 L
.48796 .43353 L
.48912 .43499 L
.48957 .43553 L
.49041 .43659 L
.49117 .43731 L
.4917 .4382 L
.49278 .4395 L
.49308 .4398 L
.49425 .44141 L
.49438 .44157 L
.49551 .44301 L
.49599 .4436 L
.49677 .44462 L
.49759 .44551 L
.49835 .44622 L
.4992 .44767 L
.49933 .44783 L
.50054 .44943 L
.5008 .44975 L
.50179 .45104 L
.50241 .45154 L
.50304 .45265 L
.50401 .45381 L
.50442 .45425 L
.50554 .45586 L
.50562 .45596 L
.50676 .45746 L
.50722 .45804 L
.508 .45907 L
.50883 .45996 L
.50953 .46067 L
.51043 .46219 L
.5105 .46228 L
.5117 .46388 L
.51204 .46431 L
.51292 .46549 L
.51364 .46608 L
.51415 .46709 L
.51525 .46846 L
.51546 .4687 L
.5166 .4703 L
.51686 .47063 L
.5178 .47191 L
.51846 .47275 L
.51902 .47351 L
.52007 .47475 L
.52041 .47512 L
.52146 .47672 L
.52167 .477 L
.52264 .47833 L
.52328 .47915 L
.52384 .47993 L
.52488 .4811 L
.52506 .48154 L
.52624 .48314 L
.52649 .48347 L
.52739 .48475 L
.52809 .48567 L
.52857 .48636 L
.5297 .48786 L
.52977 .48796 L
.53088 .48957 L
.5313 .49014 L
.53198 .49117 L
.53291 .49246 L
.5331 .49278 L
.53291 .4943 L
.53152 .49278 L
.5313 .49256 L
.53009 .49117 L
.5297 .49074 L
.5287 .48957 L
.52809 .48887 L
.52732 .48796 L
.52649 .4873 L
.52597 .48636 L
.52488 .48508 L
.52448 .48475 L
.52333 .48314 L
.52328 .48308 L
.52202 .48154 L
.52167 .48111 L
.52072 .47993 L
.52007 .47929 L
.51942 .47833 L
.51846 .47715 L
.51806 .47672 L
.51686 .47512 L
.51686 .47511 L
.51559 .47351 L
.51525 .47337 L
.51431 .47191 L
.51364 .47115 L
.5128 .4703 L
.51204 .46903 L
.51177 .4687 L
.51053 .46709 L
.51043 .46697 L
.50928 .46549 L
.50883 .46509 L
.50745 .46388 L
.50722 .4629 L
.50668 .46228 L
.50562 .46079 L
.50554 .46067 L
.50429 .45907 L
.50401 .45901 L
.50305 .45746 L
.50241 .45675 L
.50158 .45586 L
.5008 .45457 L
.50056 .45425 L
.49935 .45265 L
.4992 .45245 L
.49812 .45104 L
.49759 .4506 L
.49638 .44943 L
.49599 .44831 L
.49559 .44783 L
.49445 .44622 L
.49438 .44614 L
.49324 .44462 L
.49278 .44402 L
.49202 .44301 L
.49117 .44203 L
.49063 .44141 L
.4896 .4398 L
.48957 .43976 L
.48842 .4382 L
.48796 .4376 L
.48722 .43659 L
.48636 .4357 L
.48569 .43499 L
.48484 .43338 L
.48475 .43327 L
.48368 .43178 L
.48314 .43106 L
.48252 .43017 L
.48154 .42884 L
.48134 .42857 L
.48023 .42696 L
.47993 .42656 L
.47913 .42536 L
.47833 .42422 L
.47803 .42375 L
F
1 .78 .001 r
.47833 .43566 m
.47896 .43659 L
.47993 .43777 L
.48022 .4382 L
.47993 .43894 L
.47937 .4382 L
.47833 .43696 L
.47805 .43659 L
F
0 .34 1 r
.47833 .52682 m
.47927 .52809 L
.47993 .52888 L
.48054 .5297 L
.48154 .53093 L
.48181 .5313 L
.48154 .53258 L
.48061 .5313 L
.47993 .53051 L
.47935 .5297 L
.47833 .52845 L
.47807 .52809 L
F
1 .62 0 r
.47833 .52012 m
.47964 .52167 L
.47993 .52199 L
.48099 .52328 L
.48154 .5239 L
.48233 .52488 L
.48314 .52584 L
.48366 .52649 L
.48475 .52757 L
.48498 .52809 L
.48627 .5297 L
.48636 .5298 L
.48754 .5313 L
.48796 .53181 L
.48882 .53291 L
.48957 .53383 L
.4901 .53451 L
.49117 .53574 L
.49165 .53612 L
.49263 .53772 L
.49278 .53791 L
.49387 .53933 L
.49438 .53997 L
.49512 .54093 L
.49599 .54162 L
.49637 .54254 L
.49759 .5441 L
.49763 .54414 L
.49883 .54575 L
.4992 .54622 L
.50005 .54735 L
.5008 .54832 L
.50128 .54896 L
.50241 .55035 L
.50264 .55057 L
.5037 .55217 L
.50401 .55257 L
.50489 .55378 L
.50562 .55472 L
.5061 .55538 L
.50722 .55688 L
.5073 .55699 L
.50844 .55859 L
.50883 .5591 L
.50959 .5602 L
.51043 .56134 L
.51075 .5618 L
.51043 .56337 L
.50914 .5618 L
.50883 .56147 L
.50781 .5602 L
.50722 .55953 L
.50648 .55859 L
.50562 .55758 L
.50515 .55699 L
.50401 .55561 L
.50383 .55538 L
.50255 .55378 L
.50241 .55361 L
.5013 .55217 L
.5008 .55158 L
.50003 .55057 L
.4992 .54955 L
.49875 .54896 L
.49759 .54762 L
.49747 .54735 L
.49623 .54575 L
.49599 .54546 L
.495 .54414 L
.49438 .54338 L
.49375 .54254 L
.49278 .54132 L
.49249 .54093 L
.49124 .53933 L
.49117 .53924 L
.49004 .53772 L
.48957 .53713 L
.48882 .53612 L
.48796 .53502 L
.48759 .53451 L
.48636 .53294 L
.48634 .53291 L
.48517 .5313 L
.48475 .53077 L
.48398 .5297 L
.48314 .52862 L
.48277 .52809 L
.48154 .52649 L
.48154 .52648 L
.48042 .52488 L
.47993 .52425 L
.47927 .52328 L
.47833 .52203 L
.47809 .52167 L
F
.013 .86 1 r
.47833 .47227 m
.47993 .47276 L
.48095 .47351 L
.48154 .47405 L
.48265 .47512 L
.48314 .4757 L
.48453 .47672 L
.48475 .47757 L
.48553 .47833 L
.48636 .47955 L
.48671 .47993 L
.48796 .48149 L
.48797 .48154 L
.48933 .48314 L
.48957 .48342 L
.49074 .48475 L
.49117 .48551 L
.4918 .48636 L
.49278 .48762 L
.49294 .48796 L
.49427 .48957 L
.49438 .48972 L
.4958 .49117 L
.49599 .49154 L
.49673 .49278 L
.49759 .49396 L
.49776 .49438 L
.49883 .49599 L
.4992 .4967 L
.49957 .49759 L
.4992 .49835 L
.49759 .49816 L
.49673 .49759 L
.49599 .4968 L
.49499 .49599 L
.49438 .49523 L
.49316 .49438 L
.49278 .49335 L
.49214 .49278 L
.49117 .49138 L
.49097 .49117 L
.48968 .48957 L
.48957 .4895 L
.48843 .48796 L
.48796 .48746 L
.487 .48636 L
.48636 .48531 L
.48594 .48475 L
.48475 .48317 L
.48474 .48314 L
.48353 .48154 L
.48314 .48102 L
.48195 .47993 L
.48154 .47913 L
.48108 .47833 L
.48002 .47672 L
.47993 .4766 L
.47897 .47512 L
.47833 .47398 L
.47809 .47351 L
F
1 .94 .156 r
.47833 .45841 m
.47895 .45907 L
.47993 .46016 L
.48035 .46067 L
.47993 .46154 L
.47929 .46067 L
.47833 .45944 L
.4781 .45907 L
F
0 .71 1 r
.47833 .42906 m
.47923 .43017 L
.47993 .43093 L
.4806 .43178 L
.48154 .43284 L
.48195 .43338 L
.48314 .43479 L
.4833 .43499 L
.48459 .43659 L
.48475 .43678 L
.48583 .4382 L
.48636 .43881 L
.4871 .4398 L
.48796 .44084 L
.48839 .44141 L
.48957 .44287 L
.48968 .44301 L
.49091 .44462 L
.49117 .44494 L
.49212 .44622 L
.49278 .44703 L
.49336 .44783 L
.49438 .4491 L
.49462 .44943 L
.49586 .45104 L
.49599 .4512 L
.49703 .45265 L
.49759 .45334 L
.49824 .45425 L
.4992 .45547 L
.49947 .45586 L
.50068 .45746 L
.5008 .45762 L
.5018 .45907 L
.50241 .45985 L
.50295 .46067 L
.50401 .46207 L
.50414 .46228 L
.50401 .46342 L
.50306 .46228 L
.50241 .46157 L
.50167 .46067 L
.5008 .45967 L
.50032 .45907 L
.4992 .45773 L
.49898 .45746 L
.49769 .45586 L
.49759 .45575 L
.49642 .45425 L
.49599 .45374 L
.49514 .45265 L
.49438 .45172 L
.49385 .45104 L
.49278 .44969 L
.49258 .44943 L
.49133 .44783 L
.49117 .44763 L
.49011 .44622 L
.48957 .44555 L
.48886 .44462 L
.48796 .44347 L
.48761 .44301 L
.48638 .44141 L
.48636 .44138 L
.48519 .4398 L
.48475 .43924 L
.48399 .4382 L
.48314 .43711 L
.48277 .43659 L
.48156 .43499 L
.48154 .43496 L
.48044 .43338 L
.47993 .43272 L
.47929 .43178 L
.47833 .43048 L
.47812 .43017 L
F
0 .33 1 r
.47833 .52691 m
.47919 .52809 L
.47993 .52896 L
.48047 .5297 L
.48154 .53101 L
.48175 .5313 L
.48154 .53249 L
.48068 .5313 L
.47993 .53043 L
.47942 .5297 L
.47833 .52837 L
.47813 .52809 L
F
1 .75 0 r
.47833 .42241 m
.47957 .42375 L
.47993 .42411 L
.48101 .42536 L
.48154 .42593 L
.4824 .42696 L
.48314 .4278 L
.48378 .42857 L
.48475 .42936 L
.48513 .43017 L
.48636 .4316 L
.48657 .43178 L
.48777 .43338 L
.48796 .43361 L
.48906 .43499 L
.48957 .43559 L
.49035 .43659 L
.49117 .43737 L
.49165 .4382 L
.49278 .43956 L
.49302 .4398 L
.49421 .44141 L
.49438 .44162 L
.49546 .44301 L
.49599 .44366 L
.49673 .44462 L
.49759 .44556 L
.4983 .44622 L
.4992 .44773 L
.49929 .44783 L
.50051 .44943 L
.5008 .4498 L
.50175 .45104 L
.50241 .45158 L
.503 .45265 L
.50401 .45386 L
.50437 .45425 L
.5055 .45586 L
.50562 .456 L
.50673 .45746 L
.50722 .45809 L
.50796 .45907 L
.50883 .46001 L
.50948 .46067 L
.51043 .46224 L
.51046 .46228 L
.51166 .46388 L
.51204 .46435 L
.51289 .46549 L
.51364 .46613 L
.51412 .46709 L
.51525 .46851 L
.51542 .4687 L
.51656 .4703 L
.51686 .47067 L
.51777 .47191 L
.51846 .4728 L
.51899 .47351 L
.52007 .47481 L
.52034 .47512 L
.52141 .47672 L
.52167 .47705 L
.5226 .47833 L
.52328 .47921 L
.5238 .47993 L
.52488 .4812 L
.52502 .48154 L
.52618 .48314 L
.52649 .48354 L
.52734 .48475 L
.52809 .48575 L
.52851 .48636 L
.5297 .48795 L
.52971 .48796 L
.53079 .48957 L
.5313 .49026 L
.53188 .49117 L
.53291 .49263 L
.53299 .49278 L
.53291 .49407 L
.53168 .49278 L
.5313 .4924 L
.53022 .49117 L
.5297 .49061 L
.5288 .48957 L
.52809 .48877 L
.52741 .48796 L
.52649 .48718 L
.52605 .48636 L
.52488 .48498 L
.52459 .48475 L
.5234 .48314 L
.52328 .483 L
.52209 .48154 L
.52167 .48104 L
.52078 .47993 L
.52007 .47922 L
.51947 .47833 L
.51846 .47709 L
.51812 .47672 L
.51691 .47512 L
.51686 .47505 L
.51564 .47351 L
.51525 .47334 L
.51436 .47191 L
.51364 .47109 L
.51285 .4703 L
.51204 .46897 L
.51181 .4687 L
.51057 .46709 L
.51043 .46692 L
.50932 .46549 L
.50883 .46505 L
.50749 .46388 L
.50722 .46285 L
.50673 .46228 L
.50562 .46074 L
.50557 .46067 L
.50433 .45907 L
.50401 .459 L
.50309 .45746 L
.50241 .4567 L
.50162 .45586 L
.5008 .45452 L
.5006 .45425 L
.49939 .45265 L
.4992 .4524 L
.49816 .45104 L
.49759 .45055 L
.49642 .44943 L
.49599 .44826 L
.49563 .44783 L
.49449 .44622 L
.49438 .44609 L
.49328 .44462 L
.49278 .44396 L
.49207 .44301 L
.49117 .44196 L
.49069 .44141 L
.48965 .4398 L
.48957 .43969 L
.48847 .4382 L
.48796 .43753 L
.48727 .43659 L
.48636 .4356 L
.48578 .43499 L
.4849 .43338 L
.48475 .43319 L
.48375 .43178 L
.48314 .43097 L
.48258 .43017 L
.48154 .42874 L
.48142 .42857 L
.48032 .42696 L
.47993 .42643 L
.47924 .42536 L
.47833 .42404 L
.47815 .42375 L
F
1 .61 0 r
.47833 .52025 m
.47953 .52167 L
.47993 .5221 L
.4809 .52328 L
.48154 .524 L
.48226 .52488 L
.48314 .52592 L
.4836 .52649 L
.48475 .5277 L
.48492 .52809 L
.48621 .5297 L
.48636 .52987 L
.48748 .5313 L
.48796 .53188 L
.48877 .53291 L
.48957 .53389 L
.49005 .53451 L
.49117 .53583 L
.49155 .53612 L
.49257 .53772 L
.49278 .53797 L
.49382 .53933 L
.49438 .54003 L
.49507 .54093 L
.49599 .54171 L
.49633 .54254 L
.49757 .54414 L
.49759 .54417 L
.49878 .54575 L
.4992 .54628 L
.5 .54735 L
.5008 .54838 L
.50124 .54896 L
.50241 .55045 L
.50253 .55057 L
.50364 .55217 L
.50401 .55264 L
.50484 .55378 L
.50562 .5548 L
.50604 .55538 L
.50722 .55696 L
.50724 .55699 L
.50837 .55859 L
.50883 .5592 L
.50951 .5602 L
.51043 .56145 L
.51067 .5618 L
.51043 .56324 L
.50924 .5618 L
.50883 .56137 L
.50789 .5602 L
.50722 .55945 L
.50655 .55859 L
.50562 .55751 L
.50521 .55699 L
.50401 .55554 L
.50389 .55538 L
.50261 .55378 L
.50241 .55354 L
.50135 .55217 L
.5008 .55152 L
.50007 .55057 L
.4992 .54949 L
.49879 .54896 L
.49759 .54753 L
.49751 .54735 L
.49627 .54575 L
.49599 .5454 L
.49504 .54414 L
.49438 .54333 L
.49379 .54254 L
.49278 .54127 L
.49253 .54093 L
.49129 .53933 L
.49117 .53918 L
.49009 .53772 L
.48957 .53707 L
.48887 .53612 L
.48796 .53497 L
.48763 .53451 L
.48639 .53291 L
.48636 .53287 L
.48522 .5313 L
.48475 .53071 L
.48403 .5297 L
.48314 .52856 L
.48282 .52809 L
.48161 .52649 L
.48154 .5264 L
.48049 .52488 L
.47993 .52416 L
.47934 .52328 L
.47833 .52192 L
.47817 .52167 L
F
.01 .85 1 r
.47833 .47249 m
.47993 .47285 L
.48084 .47351 L
.48154 .47412 L
.48258 .47512 L
.48314 .47576 L
.4845 .47672 L
.48475 .47762 L
.4855 .47833 L
.48636 .47958 L
.48668 .47993 L
.48796 .48151 L
.48797 .48154 L
.4893 .48314 L
.48957 .48345 L
.49072 .48475 L
.49117 .48554 L
.49178 .48636 L
.49278 .48765 L
.49292 .48796 L
.49424 .48957 L
.49438 .48975 L
.49579 .49117 L
.49599 .49157 L
.4967 .49278 L
.49759 .49404 L
.49773 .49438 L
.49877 .49599 L
.4992 .49685 L
.49946 .49759 L
.4992 .49819 L
.49759 .49808 L
.49683 .49759 L
.49599 .49673 L
.49504 .49599 L
.49438 .49518 L
.49319 .49438 L
.49278 .49331 L
.49217 .49278 L
.49117 .49136 L
.49099 .49117 L
.4897 .48957 L
.48957 .48949 L
.48845 .48796 L
.48796 .48743 L
.48701 .48636 L
.48636 .48529 L
.48596 .48475 L
.48475 .48314 L
.48475 .48314 L
.48356 .48154 L
.48314 .48099 L
.48198 .47993 L
.48154 .47907 L
.48111 .47833 L
.48006 .47672 L
.47993 .47654 L
.47903 .47512 L
.47833 .47383 L
.47818 .47351 L
F
0 .32 1 r
.47833 .52702 m
.47911 .52809 L
.47993 .52906 L
.4804 .5297 L
.48154 .5311 L
.48169 .5313 L
.48154 .53239 L
.48077 .5313 L
.47993 .53034 L
.47949 .5297 L
.47833 .52829 L
.47819 .52809 L
F
.024 .88 1 r
.47833 .41579 m
.4799 .41733 L
.47993 .41736 L
.48139 .41894 L
.48154 .41909 L
.48282 .42054 L
.48314 .4209 L
.48422 .42215 L
.48475 .4223 L
.48559 .42375 L
.48636 .42454 L
.48695 .42536 L
.48796 .42656 L
.48838 .42696 L
.48957 .42852 L
.48961 .42857 L
.49091 .43017 L
.49117 .43036 L
.49222 .43178 L
.49278 .43242 L
.49378 .43338 L
.49438 .43447 L
.49482 .43499 L
.49599 .43649 L
.49605 .43659 L
.49735 .4382 L
.49759 .43843 L
.49911 .4398 L
.4992 .44051 L
.5 .44141 L
.5008 .44259 L
.50112 .44301 L
.50241 .44461 L
.50241 .44462 L
.50367 .44622 L
.50401 .44661 L
.50515 .44783 L
.50562 .44871 L
.5062 .44943 L
.50722 .4508 L
.50736 .45104 L
.50867 .45265 L
.50883 .45278 L
.51033 .45425 L
.51043 .45487 L
.51127 .45586 L
.51204 .45699 L
.51238 .45746 L
.51364 .45906 L
.51365 .45907 L
.51488 .46067 L
.51525 .46106 L
.51636 .46228 L
.51686 .46319 L
.5174 .46388 L
.51846 .46531 L
.51856 .46549 L
.51984 .46709 L
.52007 .46727 L
.5215 .4687 L
.52167 .4694 L
.52243 .4703 L
.52328 .47155 L
.52353 .47191 L
.52478 .47351 L
.52488 .47353 L
.526 .47512 L
.52649 .47561 L
.52748 .47672 L
.52809 .47779 L
.52851 .47833 L
.5297 .47992 L
.5297 .47993 L
.53092 .48154 L
.5313 .48181 L
.5326 .48314 L
.53291 .48403 L
.5335 .48475 L
.53451 .48621 L
.53461 .48636 L
.53583 .48796 L
.53612 .48833 L
.53704 .48957 L
.53772 .49026 L
.53851 .49117 L
.53933 .4925 L
.53954 .49278 L
.54072 .49438 L
.54093 .49466 L
.54192 .49599 L
.54254 .49646 L
.54357 .49759 L
.54414 .49881 L
.54445 .4992 L
.54558 .5008 L
.54575 .50101 L
.54677 .50241 L
.54735 .50316 L
.54798 .50401 L
.54896 .50515 L
.54934 .50562 L
.5504 .50722 L
.55057 .50743 L
.55158 .50883 L
.55217 .5096 L
.55277 .51043 L
.55378 .51157 L
.55416 .51204 L
.55514 .51364 L
.55538 .51396 L
.55628 .51525 L
.55699 .51619 L
.55744 .51686 L
.55859 .51842 L
.55862 .51846 L
.55968 .52007 L
.5602 .52079 L
.56074 .52167 L
.5618 .52325 L
.56182 .52328 L
.5618 .52462 L
.56037 .52328 L
.5602 .52312 L
.55883 .52167 L
.55859 .52143 L
.55736 .52007 L
.55699 .51966 L
.55594 .51846 L
.55538 .51822 L
.55454 .51686 L
.55378 .51602 L
.55264 .51525 L
.55217 .51405 L
.55178 .51364 L
.55057 .51211 L
.55051 .51204 L
.54916 .51043 L
.54896 .51026 L
.54784 .50883 L
.54735 .50824 L
.54638 .50722 L
.54575 .5062 L
.54528 .50562 L
.54414 .50419 L
.54405 .50401 L
.54267 .50241 L
.54254 .50226 L
.5411 .5008 L
.54093 .50022 L
.54009 .4992 L
.53933 .49814 L
.53896 .49759 L
.53772 .4961 L
.53758 .49599 L
.53632 .49438 L
.53612 .49414 L
.53495 .49278 L
.53451 .49205 L
.53386 .49117 L
.53291 .48995 L
.53273 .48957 L
.5313 .48796 L
.5313 .48796 L
.52985 .48636 L
.5297 .48591 L
.52878 .48475 L
.52809 .48379 L
.52768 .48314 L
.52649 .48171 L
.5263 .48154 L
.52506 .47993 L
.52488 .47972 L
.52372 .47833 L
.52328 .47761 L
.52263 .47672 L
.52167 .47549 L
.52151 .47512 L
.52011 .47351 L
.52007 .47348 L
.51866 .47191 L
.51846 .4714 L
.5176 .4703 L
.51686 .46927 L
.5165 .4687 L
.51525 .46718 L
.51516 .46709 L
.51393 .46549 L
.51364 .46517 L
.51257 .46388 L
.51204 .46304 L
.5115 .46228 L
.51043 .46091 L
.51034 .46067 L
.50901 .45907 L
.50883 .45891 L
.50752 .45746 L
.50722 .45679 L
.50651 .45586 L
.50562 .45463 L
.50539 .45425 L
.50411 .45265 L
.50401 .45262 L
.50289 .45104 L
.50241 .45053 L
.50151 .44943 L
.5008 .44834 L
.50045 .44783 L
.49922 .44622 L
.4992 .4462 L
.49801 .44462 L
.49759 .44429 L
.49648 .44301 L
.49599 .44203 L
.49552 .44141 L
.49438 .43983 L
.49437 .4398 L
.49317 .4382 L
.49278 .43768 L
.49197 .43659 L
.49117 .43569 L
.49062 .43499 L
.48957 .4334 L
.48955 .43338 L
.48838 .43178 L
.48796 .43122 L
.4872 .43017 L
.48636 .42929 L
.48578 .42857 L
.48484 .42696 L
.48475 .42685 L
.4837 .42536 L
.48314 .4246 L
.48255 .42375 L
.48154 .42235 L
.4814 .42215 L
.48032 .42054 L
.47993 .42 L
.47926 .41894 L
.47833 .41754 L
.47821 .41733 L
F
.018 .87 1 r
.47833 .51366 m
.47983 .51525 L
.47993 .51535 L
.48127 .51686 L
.48154 .51714 L
.48269 .51846 L
.48314 .51898 L
.48407 .52007 L
.48475 .5203 L
.48544 .52167 L
.48636 .52268 L
.48719 .52328 L
.48796 .5247 L
.48813 .52488 L
.48942 .52649 L
.48957 .52666 L
.49073 .52809 L
.49117 .52845 L
.49204 .5297 L
.49278 .53058 L
.49349 .5313 L
.49438 .53264 L
.4946 .53291 L
.49589 .53451 L
.49599 .53464 L
.49717 .53612 L
.49759 .53657 L
.49882 .53772 L
.4992 .53868 L
.49974 .53933 L
.5008 .54075 L
.50092 .54093 L
.50222 .54254 L
.50241 .54266 L
.50348 .54414 L
.50401 .54477 L
.50488 .54575 L
.50562 .54689 L
.50596 .54735 L
.50722 .54895 L
.50723 .54896 L
.50847 .55057 L
.50883 .55092 L
.51005 .55217 L
.51043 .55307 L
.511 .55378 L
.51204 .55519 L
.51216 .55538 L
.51343 .55699 L
.51364 .5571 L
.51466 .55859 L
.51525 .55927 L
.51604 .5602 L
.51686 .56144 L
.51711 .5618 L
.51835 .56341 L
.51846 .56355 L
.51957 .56501 L
.52007 .56548 L
.52112 .56662 L
.52167 .56773 L
.52205 .56822 L
.52323 .56983 L
.52328 .56989 L
.52443 .57143 L
.52488 .57164 L
.52564 .57304 L
.52649 .57405 L
.52697 .57464 L
.52805 .57625 L
.52809 .5763 L
.52924 .57785 L
.5297 .57846 L
.53043 .57946 L
.5313 .58044 L
.53184 .58106 L
.5328 .58267 L
.53291 .58282 L
.53395 .58428 L
.53451 .58504 L
.53511 .58588 L
.53612 .58727 L
.53627 .58749 L
.53738 .58909 L
.53772 .58957 L
.53846 .5907 L
.53933 .59195 L
.53955 .5923 L
.5405 .59391 L
.53933 .59393 L
.53931 .59391 L
.53782 .5923 L
.53772 .5922 L
.53642 .5907 L
.53612 .59038 L
.53504 .58909 L
.53451 .5885 L
.53368 .58749 L
.53291 .5866 L
.53233 .58588 L
.5313 .58477 L
.53061 .58428 L
.5297 .5827 L
.52966 .58267 L
.52839 .58106 L
.52809 .58071 L
.5271 .57946 L
.52649 .57901 L
.52581 .57785 L
.52488 .57679 L
.52431 .57625 L
.52328 .5747 L
.52323 .57464 L
.52198 .57304 L
.52167 .57266 L
.52072 .57143 L
.52007 .5708 L
.51894 .56983 L
.51846 .56862 L
.5181 .56822 L
.51693 .56662 L
.51686 .56653 L
.51569 .56501 L
.51525 .56478 L
.51444 .56341 L
.51364 .56251 L
.51295 .5618 L
.51204 .56035 L
.51191 .5602 L
.5107 .55859 L
.51043 .55826 L
.50947 .55699 L
.50883 .5564 L
.50774 .55538 L
.50722 .55416 L
.50689 .55378 L
.50574 .55217 L
.50562 .55202 L
.50453 .55057 L
.50401 .55034 L
.50329 .54896 L
.50241 .54796 L
.50185 .54735 L
.50081 .54575 L
.5008 .54574 L
.49961 .54414 L
.4992 .54363 L
.49839 .54254 L
.49759 .54177 L
.49677 .54093 L
.49599 .53945 L
.49589 .53933 L
.49472 .53772 L
.49438 .53729 L
.49352 .53612 L
.49278 .53517 L
.49229 .53451 L
.49117 .53312 L
.49099 .53291 L
.48987 .5313 L
.48957 .53091 L
.48869 .5297 L
.48796 .52876 L
.48748 .52809 L
.48636 .5267 L
.48616 .52649 L
.4851 .52488 L
.48475 .52443 L
.48394 .52328 L
.48314 .52223 L
.48276 .52167 L
.48156 .52007 L
.48154 .52004 L
.48047 .51846 L
.47993 .51773 L
.47937 .51686 L
.47833 .5154 L
.47824 .51525 L
F
1 .6 0 r
.47833 .52041 m
.47941 .52167 L
.47993 .52222 L
.48081 .52328 L
.48154 .52409 L
.48218 .52488 L
.48314 .52601 L
.48353 .52649 L
.48475 .52784 L
.48486 .52809 L
.48614 .5297 L
.48636 .52994 L
.48743 .5313 L
.48796 .53195 L
.48872 .53291 L
.48957 .53396 L
.49 .53451 L
.49117 .53592 L
.49143 .53612 L
.49252 .53772 L
.49278 .53803 L
.49377 .53933 L
.49438 .54009 L
.49503 .54093 L
.49599 .54181 L
.49628 .54254 L
.49752 .54414 L
.49759 .54424 L
.49873 .54575 L
.4992 .54634 L
.49995 .54735 L
.5008 .54845 L
.50119 .54896 L
.50241 .55055 L
.50242 .55057 L
.50359 .55217 L
.50401 .55272 L
.50478 .55378 L
.50562 .55488 L
.50598 .55538 L
.50717 .55699 L
.50722 .55705 L
.50829 .55859 L
.50883 .55931 L
.50943 .5602 L
.51043 .56158 L
.51058 .5618 L
.51043 .56309 L
.50935 .5618 L
.50883 .56126 L
.50797 .5602 L
.50722 .55936 L
.50662 .55859 L
.50562 .55743 L
.50527 .55699 L
.50401 .55548 L
.50394 .55538 L
.50267 .55378 L
.50241 .55347 L
.5014 .55217 L
.5008 .55146 L
.50012 .55057 L
.4992 .54944 L
.49883 .54896 L
.49759 .54745 L
.49755 .54735 L
.49632 .54575 L
.49599 .54534 L
.49509 .54414 L
.49438 .54328 L
.49383 .54254 L
.49278 .54121 L
.49257 .54093 L
.49133 .53933 L
.49117 .53913 L
.49013 .53772 L
.48957 .53701 L
.48891 .53612 L
.48796 .53491 L
.48767 .53451 L
.48644 .53291 L
.48636 .5328 L
.48527 .5313 L
.48475 .53064 L
.48408 .5297 L
.48314 .52849 L
.48287 .52809 L
.48167 .52649 L
.48154 .52632 L
.48056 .52488 L
.47993 .52406 L
.47942 .52328 L
.47833 .5218 L
.47825 .52167 L
F
1 .26 0 r
.47833 .53381 m
.47867 .53451 L
.47833 .5346 L
.47825 .53451 L
F
0 .31 1 r
.47833 .52714 m
.47901 .52809 L
.47993 .52916 L
.48032 .5297 L
.48154 .5312 L
.48161 .5313 L
.48154 .53227 L
.48087 .5313 L
.47993 .53023 L
.47957 .5297 L
.47833 .5282 L
.47826 .52809 L
F
0 .7 1 r
.47833 .42934 m
.47901 .43017 L
.47993 .43111 L
.48046 .43178 L
.48154 .43298 L
.48185 .43338 L
.48314 .43491 L
.48321 .43499 L
.48448 .43659 L
.48475 .4369 L
.48574 .4382 L
.48636 .43892 L
.48702 .4398 L
.48796 .44094 L
.48831 .44141 L
.48957 .44296 L
.48961 .44301 L
.49082 .44462 L
.49117 .44504 L
.49204 .44622 L
.49278 .44712 L
.49329 .44783 L
.49438 .4492 L
.49455 .44943 L
.49577 .45104 L
.49599 .45131 L
.49695 .45265 L
.49759 .45345 L
.49815 .45425 L
.4992 .45558 L
.49939 .45586 L
.50056 .45746 L
.5008 .45776 L
.50167 .45907 L
.50241 .46002 L
.50282 .46067 L
.50241 .46139 L
.50182 .46067 L
.5008 .45952 L
.50044 .45907 L
.4992 .4576 L
.49909 .45746 L
.4978 .45586 L
.49759 .45562 L
.49652 .45425 L
.49599 .45362 L
.49523 .45265 L
.49438 .45161 L
.49394 .45104 L
.49278 .44958 L
.49266 .44943 L
.49143 .44783 L
.49117 .44752 L
.49019 .44622 L
.48957 .44544 L
.48894 .44462 L
.48796 .44337 L
.48769 .44301 L
.48647 .44141 L
.48636 .44126 L
.48529 .4398 L
.48475 .43912 L
.48408 .4382 L
.48314 .43698 L
.48287 .43659 L
.48169 .43499 L
.48154 .4348 L
.48058 .43338 L
.47993 .43254 L
.47943 .43178 L
.47833 .43025 L
.47828 .43017 L
F
.007 .84 1 r
.47833 .47277 m
.47993 .47294 L
.48072 .47351 L
.48154 .4742 L
.48251 .47512 L
.48314 .47583 L
.48447 .47672 L
.48475 .47767 L
.48546 .47833 L
.48636 .47962 L
.48665 .47993 L
.48796 .48152 L
.48797 .48154 L
.48927 .48314 L
.48957 .48348 L
.4907 .48475 L
.49117 .48557 L
.49176 .48636 L
.49278 .48768 L
.49291 .48796 L
.49422 .48957 L
.49438 .48979 L
.49577 .49117 L
.49599 .49161 L
.49667 .49278 L
.49759 .49411 L
.4977 .49438 L
.49872 .49599 L
.4992 .49704 L
.49936 .49759 L
.4992 .498 L
.49759 .49799 L
.49695 .49759 L
.49599 .49667 L
.49509 .49599 L
.49438 .49514 L
.49323 .49438 L
.49278 .49328 L
.4922 .49278 L
.49117 .49134 L
.49101 .49117 L
.48972 .48957 L
.48957 .48947 L
.48848 .48796 L
.48796 .48741 L
.48703 .48636 L
.48636 .48526 L
.48598 .48475 L
.48477 .48314 L
.48475 .48311 L
.48358 .48154 L
.48314 .48096 L
.482 .47993 L
.48154 .47902 L
.48114 .47833 L
.4801 .47672 L
.47993 .47648 L
.47909 .47512 L
.47833 .47364 L
.47828 .47351 L
F
1 .74 0 r
.47833 .4227 m
.47937 .42375 L
.47993 .42428 L
.48088 .42536 L
.48154 .42605 L
.4823 .42696 L
.48314 .4279 L
.48369 .42857 L
.48475 .4295 L
.48506 .43017 L
.48636 .4317 L
.48645 .43178 L
.4877 .43338 L
.48796 .43368 L
.489 .43499 L
.48957 .43566 L
.4903 .43659 L
.49117 .43744 L
.4916 .4382 L
.49278 .43962 L
.49296 .4398 L
.49416 .44141 L
.49438 .44167 L
.49542 .44301 L
.49599 .44371 L
.49669 .44462 L
.49759 .44562 L
.49825 .44622 L
.4992 .44778 L
.49924 .44783 L
.50047 .44943 L
.5008 .44985 L
.50172 .45104 L
.50241 .45163 L
.50297 .45265 L
.50401 .45391 L
.50433 .45425 L
.50547 .45586 L
.50562 .45604 L
.50669 .45746 L
.50722 .45813 L
.50793 .45907 L
.50883 .46006 L
.50944 .46067 L
.51043 .46228 L
.51043 .46229 L
.51163 .46388 L
.51204 .4644 L
.51285 .46549 L
.51364 .46618 L
.51409 .46709 L
.51525 .46856 L
.51537 .4687 L
.51653 .4703 L
.51686 .47072 L
.51773 .47191 L
.51846 .47284 L
.51895 .47351 L
.52007 .47488 L
.52028 .47512 L
.52137 .47672 L
.52167 .47711 L
.52255 .47833 L
.52328 .47927 L
.52376 .47993 L
.52488 .48131 L
.52497 .48154 L
.52613 .48314 L
.52649 .48361 L
.52728 .48475 L
.52809 .48583 L
.52845 .48636 L
.52963 .48796 L
.5297 .48805 L
.53069 .48957 L
.5313 .49041 L
.53177 .49117 L
.5313 .49223 L
.53035 .49117 L
.5297 .49048 L
.52891 .48957 L
.52809 .48865 L
.5275 .48796 L
.52649 .48705 L
.52613 .48636 L
.52488 .48488 L
.52472 .48475 L
.52347 .48314 L
.52328 .48292 L
.52215 .48154 L
.52167 .48096 L
.52084 .47993 L
.52007 .47915 L
.51953 .47833 L
.51846 .47702 L
.51818 .47672 L
.51696 .47512 L
.51686 .47499 L
.51569 .47351 L
.51525 .47331 L
.51441 .47191 L
.51364 .47103 L
.5129 .4703 L
.51204 .46892 L
.51186 .4687 L
.51062 .46709 L
.51043 .46686 L
.50936 .46549 L
.50883 .465 L
.50752 .46388 L
.50722 .4628 L
.50677 .46228 L
.50562 .46069 L
.50561 .46067 L
.50437 .45907 L
.50401 .45898 L
.50313 .45746 L
.50241 .45665 L
.50166 .45586 L
.5008 .45446 L
.50064 .45425 L
.49943 .45265 L
.4992 .45235 L
.4982 .45104 L
.49759 .4505 L
.49647 .44943 L
.49599 .4482 L
.49568 .44783 L
.49453 .44622 L
.49438 .44603 L
.49333 .44462 L
.49278 .4439 L
.49211 .44301 L
.49117 .44189 L
.49075 .44141 L
.4897 .4398 L
.48957 .43963 L
.48852 .4382 L
.48796 .43746 L
.48732 .43659 L
.48636 .43549 L
.48588 .43499 L
.48496 .43338 L
.48475 .4331 L
.48382 .43178 L
.48314 .43087 L
.48265 .43017 L
.48154 .42863 L
.48149 .42857 L
.48043 .42696 L
.47993 .42627 L
.47936 .42536 L
.47833 .42382 L
.47829 .42375 L
F
.005 .83 1 r
.47993 .47304 m
.4806 .47351 L
.48154 .47427 L
.48245 .47512 L
.48314 .47589 L
.48443 .47672 L
.48475 .47772 L
.48543 .47833 L
.48636 .47965 L
.48663 .47993 L
.48796 .48153 L
.48796 .48154 L
.48925 .48314 L
.48957 .48351 L
.49068 .48475 L
.49117 .4856 L
.49174 .48636 L
.49278 .48771 L
.49289 .48796 L
.49419 .48957 L
.49438 .48982 L
.49576 .49117 L
.49599 .49165 L
.49664 .49278 L
.49759 .4942 L
.49766 .49438 L
.49866 .49599 L
.4992 .49733 L
.49924 .49759 L
.4992 .49774 L
.49759 .4979 L
.49706 .49759 L
.49599 .49661 L
.49515 .49599 L
.49438 .49509 L
.49326 .49438 L
.49278 .49325 L
.49223 .49278 L
.49117 .49131 L
.49103 .49117 L
.48975 .48957 L
.48957 .48946 L
.4885 .48796 L
.48796 .48738 L
.48705 .48636 L
.48636 .48523 L
.486 .48475 L
.4848 .48314 L
.48475 .48308 L
.48361 .48154 L
.48314 .48092 L
.48203 .47993 L
.48154 .47896 L
.48118 .47833 L
.48014 .47672 L
.47993 .47641 L
.47914 .47512 L
.47839 .47351 L
F
1 .38 0 r
.47993 .4797 m
.48015 .47993 L
.48154 .48134 L
.48164 .48154 L
.48298 .48314 L
.48314 .48333 L
.48425 .48475 L
.48475 .48537 L
.48548 .48636 L
.48636 .48752 L
.48666 .48796 L
.48774 .48957 L
.48796 .48991 L
.48859 .49117 L
.48796 .49163 L
.48745 .49117 L
.48636 .49016 L
.48583 .48957 L
.48475 .48838 L
.4844 .48796 L
.48314 .4865 L
.48307 .48636 L
.48184 .48475 L
.48154 .48437 L
.48066 .48314 L
.47993 .48215 L
.47952 .48154 L
.47851 .47993 L
F
.004 .82 1 r
.47993 .47314 m
.48047 .47351 L
.48154 .47435 L
.48238 .47512 L
.48314 .47595 L
.48439 .47672 L
.48475 .47776 L
.48539 .47833 L
.48636 .47968 L
.4866 .47993 L
.48795 .48154 L
.48796 .48155 L
.48922 .48314 L
.48957 .48353 L
.49066 .48475 L
.49117 .48563 L
.49172 .48636 L
.49278 .48774 L
.49288 .48796 L
.49416 .48957 L
.49438 .48986 L
.49574 .49117 L
.49599 .49169 L
.4966 .49278 L
.49759 .49428 L
.49763 .49438 L
.4986 .49599 L
.4991 .49759 L
.49759 .49781 L
.49719 .49759 L
.49599 .49655 L
.4952 .49599 L
.49438 .49505 L
.4933 .49438 L
.49278 .49321 L
.49226 .49278 L
.49117 .49129 L
.49105 .49117 L
.48977 .48957 L
.48957 .48944 L
.48852 .48796 L
.48796 .48736 L
.48707 .48636 L
.48636 .4852 L
.48602 .48475 L
.48482 .48314 L
.48475 .48305 L
.48363 .48154 L
.48314 .48089 L
.48206 .47993 L
.48154 .4789 L
.48122 .47833 L
.48019 .47672 L
.47993 .47634 L
.4792 .47512 L
.47853 .47351 L
F
1 .37 0 r
.47993 .47976 m
.4801 .47993 L
.48154 .48141 L
.4816 .48154 L
.48295 .48314 L
.48314 .48337 L
.48422 .48475 L
.48475 .48541 L
.48545 .48636 L
.48636 .48757 L
.48663 .48796 L
.4877 .48957 L
.48796 .48999 L
.48851 .49117 L
.48796 .49155 L
.48752 .49117 L
.48636 .49011 L
.48587 .48957 L
.48475 .48834 L
.48444 .48796 L
.48314 .48644 L
.4831 .48636 L
.48187 .48475 L
.48154 .48433 L
.48069 .48314 L
.47993 .4821 L
.47955 .48154 L
.47857 .47993 L
F
1 .36 0 r
.47993 .47981 m
.48005 .47993 L
.48154 .48149 L
.48157 .48154 L
.48291 .48314 L
.48314 .48341 L
.48418 .48475 L
.48475 .48545 L
.48542 .48636 L
.48636 .48761 L
.4866 .48796 L
.48765 .48957 L
.48796 .49008 L
.48843 .49117 L
.48796 .49147 L
.4876 .49117 L
.48636 .49006 L
.48591 .48957 L
.48475 .4883 L
.48447 .48796 L
.48314 .48638 L
.48313 .48636 L
.48191 .48475 L
.48154 .48428 L
.48072 .48314 L
.47993 .48205 L
.47959 .48154 L
.47863 .47993 L
F
.003 .81 1 r
.47993 .47325 m
.48032 .47351 L
.48154 .47442 L
.48231 .47512 L
.48314 .476 L
.48435 .47672 L
.48475 .47781 L
.48535 .47833 L
.48636 .47971 L
.48657 .47993 L
.48792 .48154 L
.48796 .48157 L
.48919 .48314 L
.48957 .48356 L
.49064 .48475 L
.49117 .48566 L
.49169 .48636 L
.49278 .48777 L
.49287 .48796 L
.49414 .48957 L
.49438 .48989 L
.49572 .49117 L
.49599 .49173 L
.49657 .49278 L
.49759 .49437 L
.4976 .49438 L
.49854 .49599 L
.49892 .49759 L
.49759 .49773 L
.49734 .49759 L
.49599 .4965 L
.49526 .49599 L
.49438 .495 L
.49334 .49438 L
.49278 .49318 L
.4923 .49278 L
.49117 .49127 L
.49107 .49117 L
.48979 .48957 L
.48957 .48942 L
.48854 .48796 L
.48796 .48733 L
.4871 .48636 L
.48636 .48517 L
.48604 .48475 L
.48484 .48314 L
.48475 .48302 L
.48366 .48154 L
.48314 .48085 L
.48208 .47993 L
.48154 .47884 L
.48125 .47833 L
.48023 .47672 L
.47993 .47627 L
.47926 .47512 L
.47869 .47351 L
F
1 .35 0 r
.47993 .47987 m
.48 .47993 L
.48153 .48154 L
.48154 .48155 L
.48287 .48314 L
.48314 .48346 L
.48415 .48475 L
.48475 .48549 L
.48538 .48636 L
.48636 .48766 L
.48657 .48796 L
.4876 .48957 L
.48796 .49018 L
.48833 .49117 L
.48796 .49138 L
.48769 .49117 L
.48636 .49001 L
.48595 .48957 L
.48475 .48826 L
.4845 .48796 L
.48317 .48636 L
.48314 .48633 L
.48194 .48475 L
.48154 .48424 L
.48076 .48314 L
.47993 .482 L
.47963 .48154 L
.4787 .47993 L
F
1 .34 0 r
.47993 .47992 m
.47994 .47993 L
.48148 .48154 L
.48154 .4816 L
.48284 .48314 L
.48314 .4835 L
.48412 .48475 L
.48475 .48554 L
.48535 .48636 L
.48636 .4877 L
.48653 .48796 L
.48754 .48957 L
.48796 .4903 L
.4882 .49117 L
.48796 .49128 L
.48781 .49117 L
.48636 .48995 L
.486 .48957 L
.48475 .48821 L
.48454 .48796 L
.4832 .48636 L
.48314 .48629 L
.48198 .48475 L
.48154 .48419 L
.48079 .48314 L
.47993 .48195 L
.47967 .48154 L
.47878 .47993 L
F
.002 .8 1 r
.47993 .47338 m
.48015 .47351 L
.48154 .47449 L
.48224 .47512 L
.48314 .47606 L
.48429 .47672 L
.48475 .47785 L
.48531 .47833 L
.48636 .47974 L
.48655 .47993 L
.48789 .48154 L
.48796 .48159 L
.48917 .48314 L
.48957 .48359 L
.49062 .48475 L
.49117 .48569 L
.49167 .48636 L
.49278 .4878 L
.49285 .48796 L
.49411 .48957 L
.49438 .48993 L
.49571 .49117 L
.49599 .49178 L
.49654 .49278 L
.49755 .49438 L
.49759 .49444 L
.49848 .49599 L
.49871 .49759 L
.49759 .49764 L
.4975 .49759 L
.49599 .49645 L
.49531 .49599 L
.49438 .49496 L
.49339 .49438 L
.49278 .49315 L
.49233 .49278 L
.49117 .49124 L
.4911 .49117 L
.48982 .48957 L
.48957 .48941 L
.48856 .48796 L
.48796 .48731 L
.48712 .48636 L
.48636 .48515 L
.48606 .48475 L
.48487 .48314 L
.48475 .48299 L
.48368 .48154 L
.48314 .48082 L
.48211 .47993 L
.48154 .47878 L
.48129 .47833 L
.48027 .47672 L
.47993 .47619 L
.47932 .47512 L
.47889 .47351 L
F
.001 .79 1 r
.47993 .47351 m
.47994 .47351 L
.48154 .47456 L
.48216 .47512 L
.48314 .47611 L
.48424 .47672 L
.48475 .47789 L
.48527 .47833 L
.48636 .47977 L
.48652 .47993 L
.48786 .48154 L
.48796 .48162 L
.48914 .48314 L
.48957 .48362 L
.49059 .48475 L
.49117 .48572 L
.49165 .48636 L
.49278 .48783 L
.49284 .48796 L
.49408 .48957 L
.49438 .48996 L
.49569 .49117 L
.49599 .49183 L
.49651 .49278 L
.49751 .49438 L
.49759 .49451 L
.49842 .49599 L
.49759 .49755 L
.49599 .4964 L
.49537 .49599 L
.49438 .49492 L
.49343 .49438 L
.49278 .49312 L
.49236 .49278 L
.49117 .49122 L
.49112 .49117 L
.48984 .48957 L
.48957 .48939 L
.48859 .48796 L
.48796 .48728 L
.48714 .48636 L
.48636 .48512 L
.48609 .48475 L
.48489 .48314 L
.48475 .48296 L
.48371 .48154 L
.48314 .48078 L
.48215 .47993 L
.48154 .47871 L
.48133 .47833 L
.48032 .47672 L
.47993 .47611 L
.47939 .47512 L
.47917 .47351 L
F
.018 .87 1 r
.47993 .41765 m
.48116 .41894 L
.48154 .4193 L
.48265 .42054 L
.48314 .42107 L
.48408 .42215 L
.48475 .4224 L
.48548 .42375 L
.48636 .42467 L
.48685 .42536 L
.48796 .42667 L
.48827 .42696 L
.48953 .42857 L
.48957 .42861 L
.49084 .43017 L
.49117 .43042 L
.49215 .43178 L
.49278 .43249 L
.49372 .43338 L
.49438 .43454 L
.49477 .43499 L
.49599 .43655 L
.49602 .43659 L
.4973 .4382 L
.49759 .43848 L
.49909 .4398 L
.4992 .44056 L
.49996 .44141 L
.5008 .44264 L
.50109 .44301 L
.50238 .44462 L
.50241 .44464 L
.50363 .44622 L
.50401 .44665 L
.50513 .44783 L
.50562 .44876 L
.50617 .44943 L
.50722 .45084 L
.50734 .45104 L
.50864 .45265 L
.50883 .45281 L
.51032 .45425 L
.51043 .45491 L
.51125 .45586 L
.51204 .45702 L
.51235 .45746 L
.51363 .45907 L
.51364 .45907 L
.51486 .46067 L
.51525 .46109 L
.51634 .46228 L
.51686 .46322 L
.51737 .46388 L
.51846 .46533 L
.51855 .46549 L
.51981 .46709 L
.52007 .46729 L
.52148 .4687 L
.52167 .46943 L
.5224 .4703 L
.52328 .47157 L
.52351 .47191 L
.52476 .47351 L
.52488 .47353 L
.52598 .47512 L
.52649 .47564 L
.52746 .47672 L
.52809 .47782 L
.52849 .47833 L
.52969 .47993 L
.5297 .47995 L
.5309 .48154 L
.5313 .48183 L
.53258 .48314 L
.53291 .48406 L
.53347 .48475 L
.53451 .48624 L
.53459 .48636 L
.5358 .48796 L
.53612 .48836 L
.53702 .48957 L
.53772 .49029 L
.53848 .49117 L
.53933 .49254 L
.53951 .49278 L
.54069 .49438 L
.54093 .49469 L
.54189 .49599 L
.54254 .4965 L
.54353 .49759 L
.54414 .49886 L
.54441 .4992 L
.54555 .5008 L
.54575 .50106 L
.54674 .50241 L
.54735 .50321 L
.54794 .50401 L
.54896 .50522 L
.54928 .50562 L
.55036 .50722 L
.55057 .5075 L
.55152 .50883 L
.55217 .50967 L
.55271 .51043 L
.55378 .5117 L
.55405 .51204 L
.55507 .51364 L
.55538 .51406 L
.5562 .51525 L
.55699 .51631 L
.55736 .51686 L
.5585 .51846 L
.55859 .51858 L
.55954 .52007 L
.5602 .52102 L
.56057 .52167 L
.5602 .52281 L
.55907 .52167 L
.55859 .52121 L
.55754 .52007 L
.55699 .51947 L
.55609 .51846 L
.55538 .51811 L
.55467 .51686 L
.55378 .51589 L
.55279 .51525 L
.55217 .51393 L
.55188 .51364 L
.55058 .51204 L
.55057 .51202 L
.54925 .51043 L
.54896 .51018 L
.54792 .50883 L
.54735 .50815 L
.54644 .50722 L
.54575 .50612 L
.54534 .50562 L
.54414 .50413 L
.54408 .50401 L
.54273 .50241 L
.54254 .5022 L
.54112 .5008 L
.54093 .50015 L
.54014 .4992 L
.53933 .49808 L
.539 .49759 L
.53772 .49607 L
.53762 .49599 L
.53636 .49438 L
.53612 .49409 L
.53498 .49278 L
.53451 .492 L
.53389 .49117 L
.53291 .48991 L
.53275 .48957 L
.53133 .48796 L
.5313 .48793 L
.52986 .48636 L
.5297 .48587 L
.52881 .48475 L
.52809 .48375 L
.5277 .48314 L
.52649 .48168 L
.52633 .48154 L
.52509 .47993 L
.52488 .47968 L
.52374 .47833 L
.52328 .47757 L
.52266 .47672 L
.52167 .47546 L
.52153 .47512 L
.52013 .47351 L
.52007 .47345 L
.51867 .47191 L
.51846 .47137 L
.51763 .4703 L
.51686 .46924 L
.51652 .4687 L
.51525 .46716 L
.51519 .46709 L
.51396 .46549 L
.51364 .46514 L
.5126 .46388 L
.51204 .463 L
.51152 .46228 L
.51043 .46088 L
.51035 .46067 L
.50904 .45907 L
.50883 .45889 L
.50753 .45746 L
.50722 .45675 L
.50653 .45586 L
.50562 .4546 L
.50541 .45425 L
.50414 .45265 L
.50401 .45262 L
.50292 .45104 L
.50241 .45049 L
.50154 .44943 L
.5008 .4483 L
.50048 .44783 L
.49925 .44622 L
.4992 .44615 L
.49805 .44462 L
.49759 .44425 L
.49651 .44301 L
.49599 .44198 L
.49556 .44141 L
.4944 .4398 L
.49438 .43977 L
.49322 .4382 L
.49278 .43762 L
.49201 .43659 L
.49117 .43562 L
.49068 .43499 L
.48961 .43338 L
.48957 .43332 L
.48844 .43178 L
.48796 .43114 L
.48726 .43017 L
.48636 .42917 L
.48588 .42857 L
.48492 .42696 L
.48475 .42674 L
.48379 .42536 L
.48314 .42447 L
.48265 .42375 L
.48154 .4222 L
.4815 .42215 L
.48047 .42054 L
.47993 .41976 L
.47944 .41894 L
F
.001 .78 1 r
.47993 .47363 m
.48154 .47463 L
.48209 .47512 L
.48314 .47617 L
.48418 .47672 L
.48475 .47793 L
.48523 .47833 L
.48636 .4798 L
.48649 .47993 L
.48783 .48154 L
.48796 .48164 L
.48911 .48314 L
.48957 .48365 L
.49057 .48475 L
.49117 .48575 L
.49163 .48636 L
.49278 .48786 L
.49282 .48796 L
.49406 .48957 L
.49438 .49 L
.49567 .49117 L
.49599 .49188 L
.49647 .49278 L
.49747 .49438 L
.49759 .49459 L
.49836 .49599 L
.49759 .49745 L
.49599 .49636 L
.49543 .49599 L
.49438 .49488 L
.49348 .49438 L
.49278 .49309 L
.4924 .49278 L
.49117 .4912 L
.49114 .49117 L
.48987 .48957 L
.48957 .48938 L
.48861 .48796 L
.48796 .48725 L
.48716 .48636 L
.48636 .48509 L
.48611 .48475 L
.48492 .48314 L
.48475 .48293 L
.48373 .48154 L
.48314 .48075 L
.48218 .47993 L
.48154 .47864 L
.48137 .47833 L
.48036 .47672 L
.47993 .47602 L
.47945 .47512 L
F
1 .95 .212 r
.47993 .41094 m
.48153 .41251 L
.48154 .41252 L
.48304 .41412 L
.48314 .41423 L
.48449 .41572 L
.48475 .416 L
.48591 .41733 L
.48636 .41776 L
.4873 .41894 L
.48796 .41972 L
.48885 .42054 L
.48957 .42168 L
.48998 .42215 L
.49117 .42362 L
.49125 .42375 L
.49265 .42536 L
.49278 .42551 L
.49425 .42696 L
.49438 .42752 L
.49528 .42857 L
.49599 .42958 L
.49642 .43017 L
.49759 .43162 L
.49783 .43178 L
.4991 .43338 L
.4992 .43351 L
.50046 .43499 L
.5008 .43559 L
.50157 .43659 L
.50241 .4377 L
.50267 .4382 L
.50401 .43975 L
.50416 .4398 L
.50553 .44141 L
.50562 .44169 L
.50668 .44301 L
.50722 .44381 L
.50777 .44462 L
.50883 .44594 L
.50918 .44622 L
.51041 .44783 L
.51043 .44786 L
.51173 .44943 L
.51204 .44996 L
.51284 .45104 L
.51364 .4521 L
.51391 .45265 L
.51525 .45418 L
.51539 .45425 L
.51675 .45586 L
.51686 .45616 L
.51788 .45746 L
.51846 .45829 L
.51897 .45907 L
.52007 .46042 L
.52035 .46067 L
.52158 .46228 L
.52167 .46239 L
.52291 .46388 L
.52328 .4645 L
.524 .46549 L
.52488 .46663 L
.52508 .46709 L
.52649 .46867 L
.52652 .4687 L
.52793 .4703 L
.52809 .47073 L
.52902 .47191 L
.5297 .47286 L
.53011 .47351 L
.5313 .47496 L
.53146 .47512 L
.53269 .47672 L
.53291 .47697 L
.53405 .47833 L
.53451 .47909 L
.53513 .47993 L
.53612 .48121 L
.53625 .48154 L
.53762 .48314 L
.53772 .48323 L
.53909 .48475 L
.53933 .48532 L
.54014 .48636 L
.54093 .48746 L
.54124 .48796 L
.54254 .48955 L
.54256 .48957 L
.54378 .49117 L
.54414 .49156 L
.54516 .49278 L
.54575 .4937 L
.54624 .49438 L
.54735 .49583 L
.54741 .49599 L
.5487 .49759 L
.54896 .4978 L
.55022 .4992 L
.55057 .49994 L
.55123 .5008 L
.55217 .5021 L
.55236 .50241 L
.55362 .50401 L
.55378 .50405 L
.55484 .50562 L
.55538 .50617 L
.55624 .50722 L
.55699 .50836 L
.55732 .50883 L
.55854 .51043 L
.55859 .5105 L
.55975 .51204 L
.5602 .51238 L
.5613 .51364 L
.5618 .51461 L
.56229 .51525 L
.56341 .5168 L
.56344 .51686 L
.56465 .51846 L
.56501 .51892 L
.56587 .52007 L
.56662 .52085 L
.56727 .52167 L
.56822 .5231 L
.56835 .52328 L
.56954 .52488 L
.56983 .52524 L
.57075 .52649 L
.57143 .52707 L
.57227 .52809 L
.57304 .52941 L
.57325 .5297 L
.57441 .5313 L
.57464 .5316 L
.5756 .53291 L
.57625 .53375 L
.57731 .53451 L
.57785 .53577 L
.57812 .53612 L
.57923 .53772 L
.57946 .53803 L
.5804 .53933 L
.58106 .5402 L
.58159 .54093 L
.58267 .54225 L
.58288 .54254 L
.58395 .54414 L
.58428 .54458 L
.58508 .54575 L
.58588 .54683 L
.58623 .54735 L
.58738 .54896 L
.58749 .54911 L
.58841 .55057 L
.58909 .55156 L
.58944 .55217 L
.58909 .55367 L
.58753 .55217 L
.58749 .55213 L
.586 .55057 L
.58588 .55044 L
.58453 .54896 L
.58428 .54868 L
.58311 .54735 L
.58267 .54691 L
.58171 .54575 L
.58106 .54497 L
.5802 .54414 L
.57946 .54302 L
.57904 .54254 L
.57785 .54108 L
.57776 .54093 L
.57636 .53933 L
.57625 .5392 L
.57484 .53772 L
.57464 .53719 L
.57376 .53612 L
.57304 .53513 L
.57263 .53451 L
.57143 .53308 L
.57114 .53291 L
.56988 .5313 L
.56983 .53124 L
.56857 .5297 L
.56822 .52916 L
.56745 .52809 L
.56662 .52703 L
.5664 .52649 L
.56501 .52516 L
.56478 .52488 L
.56349 .52328 L
.56341 .52309 L
.56232 .52167 L
.5618 .52096 L
.56125 .52007 L
.5602 .51879 L
.55975 .51846 L
.55859 .51694 L
.55852 .51686 L
.55726 .51525 L
.55699 .51484 L
.55614 .51364 L
.55538 .51267 L
.55514 .51204 L
.55378 .51052 L
.55353 .51043 L
.55226 .50883 L
.55217 .50865 L
.55109 .50722 L
.55057 .50651 L
.55003 .50562 L
.54896 .50434 L
.54856 .50401 L
.54735 .50243 L
.54734 .50241 L
.54607 .5008 L
.54575 .50031 L
.54498 .4992 L
.54414 .49815 L
.54397 .49759 L
.54254 .49606 L
.54238 .49599 L
.54108 .49438 L
.54093 .49409 L
.53995 .49278 L
.53933 .49195 L
.53889 .49117 L
.53772 .48982 L
.53744 .48957 L
.53613 .48796 L
.53612 .48784 L
.53494 .48636 L
.53451 .48572 L
.53385 .48475 L
.53291 .48358 L
.5328 .48314 L
.5313 .48155 L
.53128 .48154 L
.52993 .47993 L
.5297 .47949 L
.52883 .47833 L
.52809 .47735 L
.52776 .47672 L
.52649 .47525 L
.52635 .47512 L
.52493 .47351 L
.52488 .47323 L
.52382 .47191 L
.52328 .47111 L
.52274 .4703 L
.52167 .46898 L
.52162 .4687 L
.5202 .46709 L
.52007 .46697 L
.51881 .46549 L
.51846 .46486 L
.51774 .46388 L
.51686 .46272 L
.51663 .46228 L
.51528 .46067 L
.51525 .46066 L
.51375 .45907 L
.51364 .45862 L
.51273 .45746 L
.51204 .45646 L
.51164 .45586 L
.51043 .45433 L
.51042 .45425 L
.50915 .45265 L
.50883 .45237 L
.50771 .45104 L
.50722 .4502 L
.50667 .44943 L
.50562 .44804 L
.50551 .44783 L
.50425 .44622 L
.50401 .44614 L
.50263 .44462 L
.50241 .44395 L
.50169 .44301 L
.5008 .44174 L
.50059 .44141 L
.49936 .4398 L
.4992 .43959 L
.49816 .4382 L
.49759 .43771 L
.4967 .43659 L
.49599 .43542 L
.49568 .43499 L
.4945 .43338 L
.49438 .43323 L
.49331 .43178 L
.49278 .43108 L
.49168 .43017 L
.49117 .42907 L
.4908 .42857 L
.48969 .42696 L
.48957 .4268 L
.48852 .42536 L
.48796 .42462 L
.48733 .42375 L
.48636 .42261 L
.48602 .42215 L
.48498 .42054 L
.48475 .42024 L
.48384 .41894 L
.48314 .41798 L
.4827 .41733 L
.48155 .41572 L
.48154 .41571 L
.48051 .41412 L
.47993 .41327 L
.47949 .41251 L
F
1 .73 0 r
.47993 .42447 m
.48072 .42536 L
.48154 .42619 L
.48219 .42696 L
.48314 .42801 L
.48361 .42857 L
.48475 .42965 L
.48499 .43017 L
.48634 .43178 L
.48636 .4318 L
.48764 .43338 L
.48796 .43376 L
.48894 .43499 L
.48957 .43573 L
.49025 .43659 L
.49117 .43752 L
.49156 .4382 L
.49278 .43969 L
.49289 .4398 L
.49412 .44141 L
.49438 .44173 L
.49538 .44301 L
.49599 .44376 L
.49665 .44462 L
.49759 .44567 L
.49819 .44622 L
.4992 .44783 L
.4992 .44783 L
.50043 .44943 L
.5008 .44989 L
.50168 .45104 L
.50241 .45167 L
.50294 .45265 L
.50401 .45396 L
.50428 .45425 L
.50543 .45586 L
.50562 .45609 L
.50666 .45746 L
.50722 .45817 L
.5079 .45907 L
.50883 .46011 L
.50939 .46067 L
.51039 .46228 L
.51043 .46233 L
.5116 .46388 L
.51204 .46444 L
.51282 .46549 L
.51364 .46624 L
.51405 .46709 L
.51525 .46862 L
.51532 .4687 L
.51649 .4703 L
.51686 .47077 L
.51769 .47191 L
.51846 .47289 L
.51892 .47351 L
.52007 .47496 L
.52021 .47512 L
.52133 .47672 L
.52167 .47717 L
.52251 .47833 L
.52328 .47933 L
.52371 .47993 L
.52488 .48142 L
.52493 .48154 L
.52607 .48314 L
.52649 .48369 L
.52722 .48475 L
.52809 .48592 L
.52839 .48636 L
.52954 .48796 L
.5297 .48817 L
.53058 .48957 L
.5313 .49058 L
.53164 .49117 L
.5313 .49203 L
.53051 .49117 L
.5297 .49034 L
.52902 .48957 L
.52809 .48854 L
.5276 .48796 L
.52649 .4869 L
.52622 .48636 L
.52488 .48477 L
.52485 .48475 L
.52354 .48314 L
.52328 .48284 L
.52222 .48154 L
.52167 .48089 L
.5209 .47993 L
.52007 .47907 L
.51959 .47833 L
.51846 .47695 L
.51825 .47672 L
.51701 .47512 L
.51686 .47492 L
.51573 .47351 L
.51525 .47327 L
.51445 .47191 L
.51364 .47098 L
.51295 .4703 L
.51204 .46886 L
.51191 .4687 L
.51066 .46709 L
.51043 .46681 L
.5094 .46549 L
.50883 .46496 L
.50756 .46388 L
.50722 .46275 L
.50681 .46228 L
.50565 .46067 L
.50562 .46064 L
.50441 .45907 L
.50401 .45896 L
.50317 .45746 L
.50241 .4566 L
.50171 .45586 L
.5008 .45441 L
.50068 .45425 L
.49947 .45265 L
.4992 .4523 L
.49824 .45104 L
.49759 .45045 L
.49652 .44943 L
.49599 .44814 L
.49573 .44783 L
.49458 .44622 L
.49438 .44597 L
.49337 .44462 L
.49278 .44384 L
.49216 .44301 L
.49117 .44181 L
.49082 .44141 L
.48975 .4398 L
.48957 .43956 L
.48857 .4382 L
.48796 .43739 L
.48738 .43659 L
.48636 .43538 L
.48599 .43499 L
.48503 .43338 L
.48475 .43301 L
.48389 .43178 L
.48314 .43077 L
.48273 .43017 L
.48158 .42857 L
.48154 .42851 L
.48054 .42696 L
.47993 .42609 L
.47949 .42536 L
F
1 .59 0 r
.47993 .52234 m
.48071 .52328 L
.48154 .52419 L
.4821 .52488 L
.48314 .5261 L
.48346 .52649 L
.48475 .52799 L
.48479 .52809 L
.48608 .5297 L
.48636 .53002 L
.48737 .5313 L
.48796 .53202 L
.48866 .53291 L
.48957 .53402 L
.48995 .53451 L
.49117 .53601 L
.49131 .53612 L
.49247 .53772 L
.49278 .5381 L
.49372 .53933 L
.49438 .54016 L
.49498 .54093 L
.49599 .54191 L
.49623 .54254 L
.49746 .54414 L
.49759 .5443 L
.49868 .54575 L
.4992 .54641 L
.4999 .54735 L
.5008 .54851 L
.50114 .54896 L
.50235 .55057 L
.50241 .55063 L
.50353 .55217 L
.50401 .5528 L
.50472 .55378 L
.50562 .55496 L
.50592 .55538 L
.5071 .55699 L
.50722 .55715 L
.5082 .55859 L
.50883 .55942 L
.50934 .5602 L
.51043 .56172 L
.51048 .5618 L
.51043 .56291 L
.50949 .5618 L
.50883 .56113 L
.50807 .5602 L
.50722 .55927 L
.50669 .55859 L
.50562 .55735 L
.50533 .55699 L
.50401 .5554 L
.50399 .55538 L
.50273 .55378 L
.50241 .5534 L
.50146 .55217 L
.5008 .55139 L
.50017 .55057 L
.4992 .54938 L
.49888 .54896 L
.49759 .54735 L
.49759 .54735 L
.49637 .54575 L
.49599 .54528 L
.49513 .54414 L
.49438 .54322 L
.49387 .54254 L
.49278 .54116 L
.49261 .54093 L
.49138 .53933 L
.49117 .53907 L
.49018 .53772 L
.48957 .53696 L
.48896 .53612 L
.48796 .53485 L
.48771 .53451 L
.48649 .53291 L
.48636 .53273 L
.48533 .5313 L
.48475 .53057 L
.48414 .5297 L
.48314 .52841 L
.48292 .52809 L
.48175 .52649 L
.48154 .52622 L
.48064 .52488 L
.47993 .52395 L
.4795 .52328 L
F
.001 .77 1 r
.47993 .47376 m
.48154 .4747 L
.48201 .47512 L
.48314 .47622 L
.48411 .47672 L
.48475 .47798 L
.48519 .47833 L
.48636 .47983 L
.48646 .47993 L
.4878 .48154 L
.48796 .48166 L
.48909 .48314 L
.48957 .48368 L
.49055 .48475 L
.49117 .48578 L
.4916 .48636 L
.49278 .48789 L
.49281 .48796 L
.49403 .48957 L
.49438 .49004 L
.49564 .49117 L
.49599 .49193 L
.49644 .49278 L
.49742 .49438 L
.49759 .49466 L
.4983 .49599 L
.49759 .49736 L
.49599 .49631 L
.49549 .49599 L
.49438 .49483 L
.49354 .49438 L
.49278 .49305 L
.49243 .49278 L
.49117 .49118 L
.49117 .49117 L
.48989 .48957 L
.48957 .48936 L
.48863 .48796 L
.48796 .48723 L
.48718 .48636 L
.48636 .48506 L
.48613 .48475 L
.48494 .48314 L
.48475 .4829 L
.48376 .48154 L
.48314 .48071 L
.48221 .47993 L
.48154 .47857 L
.48141 .47833 L
.48041 .47672 L
.47993 .47593 L
.47952 .47512 L
F
.013 .86 1 r
.47993 .51564 m
.48105 .51686 L
.48154 .51736 L
.48251 .51846 L
.48314 .51916 L
.48392 .52007 L
.48475 .52047 L
.48531 .52167 L
.48636 .52285 L
.48699 .52328 L
.48796 .52484 L
.488 .52488 L
.48931 .52649 L
.48957 .52679 L
.49063 .52809 L
.49117 .52854 L
.49195 .5297 L
.49278 .53069 L
.49339 .5313 L
.49438 .53273 L
.49452 .53291 L
.49581 .53451 L
.49599 .53473 L
.49709 .53612 L
.49759 .53665 L
.49877 .53772 L
.4992 .53876 L
.49967 .53933 L
.5008 .54082 L
.50087 .54093 L
.50216 .54254 L
.50241 .54271 L
.50342 .54414 L
.50401 .54485 L
.50482 .54575 L
.50562 .54697 L
.5059 .54735 L
.50717 .54896 L
.50722 .54903 L
.50841 .55057 L
.50883 .55098 L
.51 .55217 L
.51043 .55314 L
.51094 .55378 L
.51204 .55526 L
.51211 .55538 L
.51337 .55699 L
.51364 .55713 L
.51461 .55859 L
.51525 .55934 L
.51598 .5602 L
.51686 .56152 L
.51706 .5618 L
.51829 .56341 L
.51846 .56363 L
.51951 .56501 L
.52007 .56555 L
.52106 .56662 L
.52167 .56781 L
.52199 .56822 L
.52316 .56983 L
.52328 .56998 L
.52436 .57143 L
.52488 .57171 L
.52557 .57304 L
.52649 .57416 L
.52689 .57464 L
.52797 .57625 L
.52809 .5764 L
.52915 .57785 L
.5297 .57857 L
.53035 .57946 L
.5313 .58059 L
.53171 .58106 L
.53269 .58267 L
.53291 .58295 L
.53384 .58428 L
.53451 .58519 L
.53499 .58588 L
.53612 .58744 L
.53615 .58749 L
.53721 .58909 L
.53772 .58982 L
.53827 .5907 L
.53933 .5923 L
.53933 .5923 L
.53933 .59349 L
.53813 .5923 L
.53772 .59193 L
.53663 .5907 L
.53612 .59017 L
.5352 .58909 L
.53451 .58833 L
.53381 .58749 L
.53291 .58645 L
.53244 .58588 L
.5313 .58461 L
.53082 .58428 L
.52977 .58267 L
.5297 .58258 L
.52848 .58106 L
.52809 .58061 L
.52718 .57946 L
.52649 .57892 L
.52588 .57785 L
.52488 .57669 L
.52441 .57625 L
.5233 .57464 L
.52328 .57461 L
.52205 .57304 L
.52167 .57258 L
.52078 .57143 L
.52007 .57072 L
.51901 .56983 L
.51846 .56854 L
.51816 .56822 L
.51699 .56662 L
.51686 .56646 L
.51575 .56501 L
.51525 .56473 L
.51449 .56341 L
.51364 .56245 L
.51302 .5618 L
.51204 .56028 L
.51197 .5602 L
.51075 .55859 L
.51043 .5582 L
.50952 .55699 L
.50883 .55634 L
.5078 .55538 L
.50722 .55409 L
.50695 .55378 L
.50579 .55217 L
.50562 .55196 L
.50457 .55057 L
.50401 .55029 L
.50334 .54896 L
.50241 .54789 L
.50191 .54735 L
.50086 .54575 L
.5008 .54568 L
.49965 .54414 L
.4992 .54356 L
.49844 .54254 L
.49759 .5417 L
.49684 .54093 L
.49599 .53937 L
.49595 .53933 L
.49477 .53772 L
.49438 .53723 L
.49357 .53612 L
.49278 .5351 L
.49235 .53451 L
.49117 .53302 L
.49108 .53291 L
.48994 .5313 L
.48957 .53083 L
.48875 .5297 L
.48796 .52867 L
.48755 .52809 L
.48636 .52655 L
.4863 .52649 L
.48518 .52488 L
.48475 .52431 L
.48403 .52328 L
.48314 .5221 L
.48285 .52167 L
.48169 .52007 L
.48154 .51987 L
.48062 .51846 L
.47993 .51751 L
.47953 .51686 L
F
.001 .76 1 r
.47993 .47389 m
.48154 .47478 L
.48193 .47512 L
.48314 .47628 L
.48403 .47672 L
.48475 .47802 L
.48514 .47833 L
.48636 .47986 L
.48644 .47993 L
.48777 .48154 L
.48796 .48168 L
.48906 .48314 L
.48957 .48371 L
.49053 .48475 L
.49117 .48581 L
.49158 .48636 L
.49278 .48792 L
.49279 .48796 L
.49401 .48957 L
.49438 .49007 L
.49562 .49117 L
.49599 .49199 L
.4964 .49278 L
.49738 .49438 L
.49759 .49474 L
.49823 .49599 L
.49759 .49726 L
.49599 .49627 L
.49555 .49599 L
.49438 .49479 L
.49359 .49438 L
.49278 .49302 L
.49247 .49278 L
.49119 .49117 L
.49117 .49115 L
.48992 .48957 L
.48957 .48934 L
.48865 .48796 L
.48796 .4872 L
.48721 .48636 L
.48636 .48503 L
.48615 .48475 L
.48496 .48314 L
.48475 .48286 L
.48378 .48154 L
.48314 .48068 L
.48225 .47993 L
.48154 .47849 L
.48145 .47833 L
.48046 .47672 L
.47993 .47582 L
.47959 .47512 L
F
1 .58 0 r
.47993 .52249 m
.4806 .52328 L
.48154 .5243 L
.48202 .52488 L
.48314 .52619 L
.48339 .52649 L
.48472 .52809 L
.48475 .52812 L
.48601 .5297 L
.48636 .5301 L
.4873 .5313 L
.48796 .53209 L
.4886 .53291 L
.48957 .53409 L
.4899 .53451 L
.49117 .53611 L
.49118 .53612 L
.49241 .53772 L
.49278 .53817 L
.49367 .53933 L
.49438 .54022 L
.49493 .54093 L
.49599 .54203 L
.49618 .54254 L
.49741 .54414 L
.49759 .54437 L
.49862 .54575 L
.4992 .54648 L
.49985 .54735 L
.5008 .54858 L
.50108 .54896 L
.50229 .55057 L
.50241 .55071 L
.50346 .55217 L
.50401 .55288 L
.50466 .55378 L
.50562 .55504 L
.50586 .55538 L
.50701 .55699 L
.50722 .55726 L
.50811 .55859 L
.50883 .55956 L
.50924 .5602 L
.50883 .561 L
.50818 .5602 L
.50722 .55916 L
.50677 .55859 L
.50562 .55727 L
.5054 .55699 L
.50406 .55538 L
.50401 .55532 L
.5028 .55378 L
.50241 .55333 L
.50152 .55217 L
.5008 .55132 L
.50022 .55057 L
.4992 .54932 L
.49893 .54896 L
.49765 .54735 L
.49759 .54729 L
.49642 .54575 L
.49599 .54522 L
.49518 .54414 L
.49438 .54316 L
.49392 .54254 L
.49278 .5411 L
.49265 .54093 L
.49143 .53933 L
.49117 .539 L
.49023 .53772 L
.48957 .53689 L
.489 .53612 L
.48796 .53479 L
.48776 .53451 L
.48655 .53291 L
.48636 .53266 L
.48539 .5313 L
.48475 .53049 L
.48419 .5297 L
.48314 .52834 L
.48298 .52809 L
.48183 .52649 L
.48154 .52612 L
.48073 .52488 L
.47993 .52382 L
.4796 .52328 L
F
0 .69 1 r
.47993 .43133 m
.48028 .43178 L
.48154 .43314 L
.48172 .43338 L
.48154 .43461 L
.48074 .43338 L
.47993 .43231 L
.47961 .43178 L
F
1 .72 0 r
.47993 .42471 m
.48054 .42536 L
.48154 .42634 L
.48208 .42696 L
.48314 .42812 L
.48351 .42857 L
.48475 .42981 L
.48491 .43017 L
.48626 .43178 L
.48636 .43189 L
.48757 .43338 L
.48796 .43383 L
.48888 .43499 L
.48957 .4358 L
.4902 .43659 L
.49117 .43759 L
.49151 .4382 L
.49278 .43976 L
.49282 .4398 L
.49407 .44141 L
.49438 .44179 L
.49534 .44301 L
.49599 .44381 L
.49661 .44462 L
.49759 .44573 L
.49813 .44622 L
.49916 .44783 L
.4992 .44788 L
.50039 .44943 L
.5008 .44994 L
.50164 .45104 L
.50241 .45172 L
.5029 .45265 L
.50401 .45401 L
.50424 .45425 L
.5054 .45586 L
.50562 .45613 L
.50662 .45746 L
.50722 .45821 L
.50787 .45907 L
.50883 .46016 L
.50934 .46067 L
.51035 .46228 L
.51043 .46238 L
.51156 .46388 L
.51204 .46449 L
.51278 .46549 L
.51364 .46629 L
.51402 .46709 L
.51525 .46868 L
.51527 .4687 L
.51645 .4703 L
.51686 .47082 L
.51766 .47191 L
.51846 .47294 L
.51888 .47351 L
.52007 .47503 L
.52015 .47512 L
.52128 .47672 L
.52167 .47723 L
.52246 .47833 L
.52328 .47939 L
.52366 .47993 L
.52488 .48154 L
.52488 .48154 L
.526 .48314 L
.52649 .48378 L
.52715 .48475 L
.52809 .48601 L
.52832 .48636 L
.52944 .48796 L
.5297 .48831 L
.53046 .48957 L
.5313 .4908 L
.53149 .49117 L
.5313 .49177 L
.53071 .49117 L
.5297 .49018 L
.52915 .48957 L
.52809 .48841 L
.5277 .48796 L
.52649 .48673 L
.52631 .48636 L
.52495 .48475 L
.52488 .48467 L
.52361 .48314 L
.52328 .48275 L
.52228 .48154 L
.52167 .48081 L
.52096 .47993 L
.52007 .47899 L
.51964 .47833 L
.51846 .47687 L
.51832 .47672 L
.51707 .47512 L
.51686 .47486 L
.51578 .47351 L
.51525 .47323 L
.5145 .47191 L
.51364 .47091 L
.51301 .4703 L
.51204 .4688 L
.51195 .4687 L
.5107 .46709 L
.51043 .46676 L
.50944 .46549 L
.50883 .46491 L
.50761 .46388 L
.50722 .46269 L
.50686 .46228 L
.50569 .46067 L
.50562 .46058 L
.50445 .45907 L
.50401 .45893 L
.50321 .45746 L
.50241 .45655 L
.50176 .45586 L
.5008 .45435 L
.50072 .45425 L
.49951 .45265 L
.4992 .45225 L
.49828 .45104 L
.49759 .4504 L
.49657 .44943 L
.49599 .44808 L
.49578 .44783 L
.49462 .44622 L
.49438 .44592 L
.49341 .44462 L
.49278 .44378 L
.4922 .44301 L
.49117 .44174 L
.49088 .44141 L
.4898 .4398 L
.48957 .43949 L
.48862 .4382 L
.48796 .43732 L
.48743 .43659 L
.48636 .43525 L
.48611 .43499 L
.4851 .43338 L
.48475 .43292 L
.48396 .43178 L
.48314 .43067 L
.48281 .43017 L
.48169 .42857 L
.48154 .42836 L
.48067 .42696 L
.47993 .42587 L
.47965 .42536 L
F
.013 .86 1 r
.47993 .41801 m
.48089 .41894 L
.48154 .41953 L
.48246 .42054 L
.48314 .42125 L
.48393 .42215 L
.48475 .42254 L
.48536 .42375 L
.48636 .42481 L
.48675 .42536 L
.48796 .42678 L
.48816 .42696 L
.48944 .42857 L
.48957 .42871 L
.49076 .43017 L
.49117 .43048 L
.49208 .43178 L
.49278 .43257 L
.49365 .43338 L
.49438 .43461 L
.49471 .43499 L
.49598 .43659 L
.49599 .43661 L
.49725 .4382 L
.49759 .43853 L
.49907 .4398 L
.4992 .44061 L
.49992 .44141 L
.5008 .44269 L
.50105 .44301 L
.50234 .44462 L
.50241 .44466 L
.50359 .44622 L
.50401 .44669 L
.5051 .44783 L
.50562 .4488 L
.50614 .44943 L
.50722 .45087 L
.50732 .45104 L
.50861 .45265 L
.50883 .45284 L
.5103 .45425 L
.51043 .45494 L
.51122 .45586 L
.51204 .45706 L
.51233 .45746 L
.5136 .45907 L
.51364 .45908 L
.51483 .46067 L
.51525 .46111 L
.51632 .46228 L
.51686 .46325 L
.51735 .46388 L
.51846 .46536 L
.51853 .46549 L
.51979 .46709 L
.52007 .46731 L
.52147 .4687 L
.52167 .46946 L
.52238 .4703 L
.52328 .4716 L
.52349 .47191 L
.52473 .47351 L
.52488 .47354 L
.52596 .47512 L
.52649 .47566 L
.52744 .47672 L
.52809 .47785 L
.52846 .47833 L
.52966 .47993 L
.5297 .47998 L
.53087 .48154 L
.5313 .48186 L
.53256 .48314 L
.53291 .48409 L
.53345 .48475 L
.53451 .48627 L
.53457 .48636 L
.53578 .48796 L
.53612 .4884 L
.53699 .48957 L
.53772 .49033 L
.53845 .49117 L
.53933 .49258 L
.53948 .49278 L
.54066 .49438 L
.54093 .49473 L
.54186 .49599 L
.54254 .49654 L
.54349 .49759 L
.54414 .49891 L
.54437 .4992 L
.54551 .5008 L
.54575 .50111 L
.5467 .50241 L
.54735 .50326 L
.5479 .50401 L
.54896 .5053 L
.54922 .50562 L
.5503 .50722 L
.55057 .50756 L
.55147 .50883 L
.55217 .50975 L
.55266 .51043 L
.55378 .51184 L
.55394 .51204 L
.55499 .51364 L
.55538 .51417 L
.55612 .51525 L
.55699 .51644 L
.55726 .51686 L
.55837 .51846 L
.55859 .51877 L
.55937 .52007 L
.5602 .52136 L
.56035 .52167 L
.5602 .5224 L
.55938 .52167 L
.55859 .52096 L
.55774 .52007 L
.55699 .51928 L
.55624 .51846 L
.55538 .51795 L
.5548 .51686 L
.55378 .51574 L
.55297 .51525 L
.55217 .51381 L
.552 .51364 L
.55068 .51204 L
.55057 .51191 L
.54933 .51043 L
.54896 .51011 L
.548 .50883 L
.54735 .50806 L
.5465 .50722 L
.54575 .50604 L
.5454 .50562 L
.54414 .50407 L
.54411 .50401 L
.54279 .50241 L
.54254 .50214 L
.54114 .5008 L
.54093 .50009 L
.54018 .4992 L
.53933 .49802 L
.53904 .49759 L
.53772 .49603 L
.53767 .49599 L
.5364 .49438 L
.53612 .49404 L
.53501 .49278 L
.53451 .49195 L
.53393 .49117 L
.53291 .48987 L
.53277 .48957 L
.53137 .48796 L
.5313 .48789 L
.52988 .48636 L
.5297 .48582 L
.52884 .48475 L
.52809 .48372 L
.52773 .48314 L
.52649 .48165 L
.52636 .48154 L
.52512 .47993 L
.52488 .47965 L
.52376 .47833 L
.52328 .47754 L
.52268 .47672 L
.52167 .47543 L
.52154 .47512 L
.52016 .47351 L
.52007 .47342 L
.51868 .47191 L
.51846 .47134 L
.51765 .4703 L
.51686 .46921 L
.51654 .4687 L
.51525 .46713 L
.51521 .46709 L
.51399 .46549 L
.51364 .46511 L
.51262 .46388 L
.51204 .46297 L
.51155 .46228 L
.51043 .46085 L
.51037 .46067 L
.50907 .45907 L
.50883 .45886 L
.50755 .45746 L
.50722 .45672 L
.50656 .45586 L
.50562 .45456 L
.50543 .45425 L
.50417 .45265 L
.50401 .45261 L
.50295 .45104 L
.50241 .45046 L
.50157 .44943 L
.5008 .44826 L
.50051 .44783 L
.49929 .44622 L
.4992 .44611 L
.49808 .44462 L
.49759 .44421 L
.49655 .44301 L
.49599 .44192 L
.4956 .44141 L
.49445 .4398 L
.49438 .43972 L
.49326 .4382 L
.49278 .43756 L
.49206 .43659 L
.49117 .43554 L
.49074 .43499 L
.48967 .43338 L
.48957 .43325 L
.4885 .43178 L
.48796 .43105 L
.48733 .43017 L
.48636 .42903 L
.48599 .42857 L
.485 .42696 L
.48475 .42662 L
.48388 .42536 L
.48314 .42434 L
.48275 .42375 L
.48163 .42215 L
.48154 .42201 L
.48064 .42054 L
.47993 .41946 L
.47965 .41894 L
F
0 .3 1 r
.47993 .52928 m
.48022 .5297 L
.47993 .53011 L
.47966 .5297 L
F
0 .75 1 r
.47993 .47404 m
.48154 .47485 L
.48185 .47512 L
.48314 .47633 L
.48395 .47672 L
.48475 .47806 L
.4851 .47833 L
.48636 .47988 L
.48641 .47993 L
.48774 .48154 L
.48796 .4817 L
.48903 .48314 L
.48957 .48374 L
.49051 .48475 L
.49117 .48585 L
.49156 .48636 L
.49278 .48795 L
.49278 .48796 L
.49398 .48957 L
.49438 .49011 L
.4956 .49117 L
.49599 .49205 L
.49636 .49278 L
.49734 .49438 L
.49759 .49483 L
.49817 .49599 L
.49759 .49715 L
.49599 .49622 L
.49562 .49599 L
.49438 .49475 L
.49365 .49438 L
.49278 .49299 L
.4925 .49278 L
.49122 .49117 L
.49117 .49111 L
.48994 .48957 L
.48957 .48932 L
.48867 .48796 L
.48796 .48717 L
.48723 .48636 L
.48636 .485 L
.48617 .48475 L
.48499 .48314 L
.48475 .48283 L
.48381 .48154 L
.48314 .48064 L
.48228 .47993 L
.48154 .47841 L
.4815 .47833 L
.4805 .47672 L
.47993 .47571 L
.47966 .47512 L
F
1 .33 0 r
.47993 .47999 m
.48143 .48154 L
.48154 .48165 L
.4828 .48314 L
.48314 .48354 L
.48408 .48475 L
.48475 .48558 L
.48532 .48636 L
.48636 .48775 L
.4865 .48796 L
.48748 .48957 L
.48636 .4899 L
.48605 .48957 L
.48475 .48817 L
.48458 .48796 L
.48324 .48636 L
.48314 .48624 L
.48201 .48475 L
.48154 .48415 L
.48083 .48314 L
.47993 .48189 L
.47971 .48154 L
F
1 .57 0 r
.47993 .52266 m
.48046 .52328 L
.48154 .52442 L
.48192 .52488 L
.48314 .52629 L
.48331 .52649 L
.48464 .52809 L
.48475 .52822 L
.48593 .5297 L
.48636 .53018 L
.48724 .5313 L
.48796 .53217 L
.48854 .53291 L
.48957 .53416 L
.48984 .53451 L
.49111 .53612 L
.49117 .53619 L
.49236 .53772 L
.49278 .53824 L
.49361 .53933 L
.49438 .54029 L
.49488 .54093 L
.49599 .54215 L
.49613 .54254 L
.49735 .54414 L
.49759 .54444 L
.49857 .54575 L
.4992 .54655 L
.4998 .54735 L
.5008 .54865 L
.50103 .54896 L
.50223 .55057 L
.50241 .55079 L
.5034 .55217 L
.50401 .55296 L
.50459 .55378 L
.50562 .55513 L
.50579 .55538 L
.50692 .55699 L
.50722 .55738 L
.50801 .55859 L
.50883 .55971 L
.50913 .5602 L
.50883 .56083 L
.50831 .5602 L
.50722 .55905 L
.50686 .55859 L
.50562 .55718 L
.50547 .55699 L
.50414 .55538 L
.50401 .55524 L
.50287 .55378 L
.50241 .55325 L
.50158 .55217 L
.5008 .55125 L
.50028 .55057 L
.4992 .54925 L
.49898 .54896 L
.4977 .54735 L
.49759 .54722 L
.49648 .54575 L
.49599 .54516 L
.49523 .54414 L
.49438 .5431 L
.49396 .54254 L
.49278 .54104 L
.49269 .54093 L
.49149 .53933 L
.49117 .53894 L
.49028 .53772 L
.48957 .53683 L
.48905 .53612 L
.48796 .53473 L
.4878 .53451 L
.48661 .53291 L
.48636 .53259 L
.48545 .5313 L
.48475 .53041 L
.48425 .5297 L
.48314 .52825 L
.48303 .52809 L
.48192 .52649 L
.48154 .526 L
.48083 .52488 L
.47993 .52367 L
.47971 .52328 L
F
.01 .85 1 r
.47993 .51599 m
.48078 .51686 L
.48154 .5176 L
.48231 .51846 L
.48314 .51936 L
.48376 .52007 L
.48475 .52071 L
.48516 .52167 L
.48636 .52302 L
.48674 .52328 L
.48787 .52488 L
.48796 .52498 L
.48921 .52649 L
.48957 .52691 L
.49053 .52809 L
.49117 .52864 L
.49185 .5297 L
.49278 .5308 L
.49329 .5313 L
.49438 .53283 L
.49444 .53291 L
.49573 .53451 L
.49599 .53483 L
.49702 .53612 L
.49759 .53673 L
.4987 .53772 L
.4992 .53885 L
.4996 .53933 L
.5008 .5409 L
.50082 .54093 L
.50209 .54254 L
.50241 .54276 L
.50336 .54414 L
.50401 .54493 L
.50476 .54575 L
.50562 .54704 L
.50585 .54735 L
.50711 .54896 L
.50722 .54911 L
.50836 .55057 L
.50883 .55104 L
.50996 .55217 L
.51043 .55322 L
.51088 .55378 L
.51204 .55533 L
.51207 .55538 L
.51331 .55699 L
.51364 .55717 L
.51455 .55859 L
.51525 .55942 L
.51592 .5602 L
.51686 .56159 L
.517 .5618 L
.51822 .56341 L
.51846 .56371 L
.51945 .56501 L
.52007 .56563 L
.52099 .56662 L
.52167 .5679 L
.52192 .56822 L
.52309 .56983 L
.52328 .57007 L
.52429 .57143 L
.52488 .57178 L
.5255 .57304 L
.52649 .57427 L
.52679 .57464 L
.52789 .57625 L
.52809 .57651 L
.52907 .57785 L
.5297 .57869 L
.53026 .57946 L
.5313 .58077 L
.53155 .58106 L
.53259 .58267 L
.53291 .5831 L
.53372 .58428 L
.53451 .58536 L
.53487 .58588 L
.53599 .58749 L
.53612 .58766 L
.53702 .58909 L
.53772 .59013 L
.53805 .5907 L
.53772 .59158 L
.53689 .5907 L
.53612 .58994 L
.53539 .58909 L
.53451 .58815 L
.53396 .58749 L
.53291 .5863 L
.53257 .58588 L
.5313 .58444 L
.53106 .58428 L
.52988 .58267 L
.5297 .58246 L
.52858 .58106 L
.52809 .5805 L
.52727 .57946 L
.52649 .57881 L
.52596 .57785 L
.52488 .57659 L
.52451 .57625 L
.52338 .57464 L
.52328 .57452 L
.52212 .57304 L
.52167 .5725 L
.52084 .57143 L
.52007 .57065 L
.51909 .56983 L
.51846 .56847 L
.51823 .56822 L
.51704 .56662 L
.51686 .56639 L
.5158 .56501 L
.51525 .56468 L
.51454 .56341 L
.51364 .56238 L
.51308 .5618 L
.51204 .56022 L
.51202 .5602 L
.5108 .55859 L
.51043 .55813 L
.50956 .55699 L
.50883 .55628 L
.50786 .55538 L
.50722 .55403 L
.507 .55378 L
.50584 .55217 L
.50562 .5519 L
.50462 .55057 L
.50401 .55024 L
.50338 .54896 L
.50241 .54782 L
.50198 .54735 L
.50091 .54575 L
.5008 .54562 L
.4997 .54414 L
.4992 .5435 L
.49848 .54254 L
.49759 .54162 L
.49692 .54093 L
.49601 .53933 L
.49599 .5393 L
.49483 .53772 L
.49438 .53716 L
.49362 .53612 L
.49278 .53503 L
.4924 .53451 L
.49117 .53291 L
.49117 .53291 L
.49 .5313 L
.48957 .53074 L
.48882 .5297 L
.48796 .52858 L
.48761 .52809 L
.48641 .52649 L
.48636 .52642 L
.48528 .52488 L
.48475 .52419 L
.48412 .52328 L
.48314 .52196 L
.48295 .52167 L
.48183 .52007 L
.48154 .51967 L
.48079 .51846 L
.47993 .51723 L
.47973 .51686 L
F
0 .74 1 r
.47993 .4742 m
.48154 .47493 L
.48176 .47512 L
.48314 .47638 L
.48386 .47672 L
.48475 .4781 L
.48505 .47833 L
.48636 .47991 L
.48638 .47993 L
.48771 .48154 L
.48796 .48172 L
.48901 .48314 L
.48957 .48377 L
.49048 .48475 L
.49117 .48588 L
.49154 .48636 L
.49276 .48796 L
.49278 .48799 L
.49395 .48957 L
.49438 .49015 L
.49557 .49117 L
.49599 .49212 L
.49633 .49278 L
.49729 .49438 L
.49759 .49492 L
.4981 .49599 L
.49759 .49705 L
.49599 .49618 L
.49569 .49599 L
.49438 .49471 L
.49372 .49438 L
.49278 .49296 L
.49254 .49278 L
.49125 .49117 L
.49117 .49108 L
.48996 .48957 L
.48957 .4893 L
.4887 .48796 L
.48796 .48714 L
.48725 .48636 L
.48636 .48497 L
.4862 .48475 L
.48501 .48314 L
.48475 .4828 L
.48383 .48154 L
.48314 .4806 L
.48232 .47993 L
.48154 .47833 L
.48154 .47833 L
.48055 .47672 L
.47993 .47558 L
.47974 .47512 L
F
1 .32 0 r
.47993 .48007 m
.48138 .48154 L
.48154 .4817 L
.48276 .48314 L
.48314 .48359 L
.48405 .48475 L
.48475 .48562 L
.48528 .48636 L
.48636 .4878 L
.48646 .48796 L
.48742 .48957 L
.48636 .48984 L
.4861 .48957 L
.48475 .48813 L
.48461 .48796 L
.48328 .48636 L
.48314 .4862 L
.48205 .48475 L
.48154 .4841 L
.48087 .48314 L
.47993 .48183 L
.47975 .48154 L
F
1 .98 .538 r
.47993 .5015 m
.48154 .5014 L
.48286 .50241 L
.48314 .50269 L
.48428 .50401 L
.48475 .50412 L
.48557 .50562 L
.48636 .5063 L
.48684 .50722 L
.48796 .50855 L
.48823 .50883 L
.48934 .51043 L
.48957 .51071 L
.49054 .51204 L
.49117 .51284 L
.49176 .51364 L
.49278 .51495 L
.49299 .51525 L
.49419 .51686 L
.49438 .5171 L
.49533 .51846 L
.49599 .51934 L
.49646 .52007 L
.49599 .52137 L
.49445 .52007 L
.49438 .52001 L
.49278 .51851 L
.49272 .51846 L
.49117 .51691 L
.49111 .51686 L
.48959 .51525 L
.48957 .51523 L
.48812 .51364 L
.48796 .51346 L
.48671 .51204 L
.48636 .51145 L
.48535 .51043 L
.48475 .50907 L
.48404 .50883 L
.48314 .50764 L
.48281 .50722 L
.48165 .50562 L
.48154 .50546 L
.48065 .50401 L
.47993 .50279 L
.47977 .50241 L
F
0 .29 1 r
.47993 .52945 m
.4801 .5297 L
.47993 .52995 L
.47978 .5297 L
F
1 .31 0 r
.47993 .48015 m
.48132 .48154 L
.48154 .48176 L
.48271 .48314 L
.48314 .48363 L
.48401 .48475 L
.48475 .48567 L
.48525 .48636 L
.48636 .48785 L
.48643 .48796 L
.48735 .48957 L
.48636 .48978 L
.48615 .48957 L
.48475 .48808 L
.48465 .48796 L
.48332 .48636 L
.48314 .48615 L
.48209 .48475 L
.48154 .48405 L
.48091 .48314 L
.47993 .48176 L
.47979 .48154 L
F
1 .96 .289 r
.47993 .50997 m
.48048 .51043 L
.48154 .51136 L
.48221 .51204 L
.48314 .51297 L
.48379 .51364 L
.48475 .51428 L
.48532 .51525 L
.48636 .51639 L
.48713 .51686 L
.48796 .51827 L
.48807 .51846 L
.48957 .51998 L
.48965 .52007 L
.49104 .52167 L
.49117 .52177 L
.49242 .52328 L
.49278 .52372 L
.49396 .52488 L
.49438 .52571 L
.49502 .52649 L
.49599 .52772 L
.49621 .52809 L
.49759 .52966 L
.49771 .5297 L
.49901 .5313 L
.4992 .53156 L
.50033 .53291 L
.5008 .53362 L
.50145 .53451 L
.50241 .5357 L
.50258 .53612 L
.50401 .53769 L
.50411 .53772 L
.50546 .53933 L
.50562 .53967 L
.50658 .54093 L
.50722 .54178 L
.50768 .54254 L
.50883 .54389 L
.50916 .54414 L
.51039 .54575 L
.51043 .54581 L
.51166 .54735 L
.51204 .54791 L
.51276 .54896 L
.51364 .55005 L
.5138 .55057 L
.51525 .55211 L
.51539 .55217 L
.51669 .55378 L
.51686 .55408 L
.51782 .55538 L
.51846 .55622 L
.51888 .55699 L
.52007 .55834 L
.52036 .55859 L
.52166 .5602 L
.52167 .5603 L
.52285 .5618 L
.52328 .56242 L
.52393 .56341 L
.52488 .56455 L
.52498 .56501 L
.52649 .56659 L
.52654 .56662 L
.52786 .56822 L
.52809 .56864 L
.52896 .56983 L
.5297 .57078 L
.53003 .57143 L
.5313 .57288 L
.53148 .57304 L
.53286 .57464 L
.53291 .57489 L
.53397 .57625 L
.53451 .57702 L
.53505 .57785 L
.53612 .57915 L
.53616 .57946 L
.53761 .58106 L
.53772 .58118 L
.53897 .58267 L
.53933 .58329 L
.54004 .58428 L
.54093 .58544 L
.54114 .58588 L
.54251 .58749 L
.54254 .5875 L
.54402 .58909 L
.54414 .58957 L
.54501 .5907 L
.54575 .59174 L
.5461 .5923 L
.54735 .59387 L
.54736 .59391 L
.54859 .59551 L
.54896 .59585 L
.54999 .59712 L
.55057 .59807 L
.55102 .59872 L
.55217 .60026 L
.5522 .60033 L
.55342 .60193 L
.55378 .6021 L
.55503 .60354 L
.55538 .60444 L
.5559 .60514 L
.55699 .60671 L
.55701 .60675 L
.55818 .60835 L
.55859 .60891 L
.55936 .60996 L
.5602 .61091 L
.56069 .61156 L
.56169 .61317 L
.5618 .61332 L
.56282 .61477 L
.56341 .61559 L
.56395 .61638 L
.56501 .61788 L
.56516 .61799 L
.56613 .61959 L
.56662 .62031 L
.56715 .6212 L
.56662 .62265 L
.56522 .6212 L
.56501 .62099 L
.56376 .61959 L
.56341 .61922 L
.56234 .61799 L
.5618 .61739 L
.56096 .61638 L
.5602 .61565 L
.55959 .61477 L
.55859 .61362 L
.55809 .61317 L
.55699 .61165 L
.55691 .61156 L
.55561 .60996 L
.55538 .60984 L
.55431 .60835 L
.55378 .60777 L
.5526 .60675 L
.55217 .60571 L
.55165 .60514 L
.55057 .60368 L
.55046 .60354 L
.54918 .60193 L
.54896 .60175 L
.54791 .60033 L
.54735 .59968 L
.54645 .59872 L
.54575 .59759 L
.54536 .59712 L
.54414 .59554 L
.54413 .59551 L
.54287 .59391 L
.54254 .59357 L
.54125 .5923 L
.54093 .59146 L
.54028 .5907 L
.53933 .58936 L
.53914 .58909 L
.53786 .58749 L
.53772 .58738 L
.53663 .58588 L
.53612 .5853 L
.53518 .58428 L
.53451 .58318 L
.53412 .58267 L
.53291 .58109 L
.53289 .58106 L
.53166 .57946 L
.5313 .57912 L
.53006 .57785 L
.5297 .57698 L
.52909 .57625 L
.52809 .57485 L
.52795 .57464 L
.5267 .57304 L
.52649 .57291 L
.52547 .57143 L
.52488 .57078 L
.52404 .56983 L
.52328 .56862 L
.52297 .56822 L
.52175 .56662 L
.52167 .56651 L
.52054 .56501 L
.52007 .56458 L
.51894 .56341 L
.51846 .56239 L
.51797 .5618 L
.51686 .56025 L
.51682 .5602 L
.51561 .55859 L
.51525 .55841 L
.51438 .55699 L
.51364 .55617 L
.51296 .55538 L
.51204 .55398 L
.51188 .55378 L
.51068 .55217 L
.51043 .55186 L
.50947 .55057 L
.50883 .54998 L
.50789 .54896 L
.50722 .54772 L
.50693 .54735 L
.50577 .54575 L
.50562 .54556 L
.50456 .54414 L
.50401 .54383 L
.50334 .54254 L
.50241 .54147 L
.50196 .54093 L
.50087 .53933 L
.5008 .53925 L
.49967 .53772 L
.4992 .53712 L
.49846 .53612 L
.49759 .53523 L
.49698 .53451 L
.49599 .53291 L
.49599 .5329 L
.49481 .5313 L
.49438 .53076 L
.49361 .5297 L
.49278 .52863 L
.49239 .52809 L
.49117 .52653 L
.49114 .52649 L
.48998 .52488 L
.48957 .52435 L
.4888 .52328 L
.48796 .52219 L
.48759 .52167 L
.48637 .52007 L
.48636 .52004 L
.48524 .51846 L
.48475 .51782 L
.48409 .51686 L
.48314 .51559 L
.48292 .51525 L
.4818 .51364 L
.48154 .51329 L
.48079 .51204 L
.47993 .51073 L
.4798 .51043 L
F
0 .73 1 r
.47993 .4744 m
.48154 .47501 L
.48166 .47512 L
.48314 .47644 L
.48377 .47672 L
.48475 .47814 L
.485 .47833 L
.48635 .47993 L
.48636 .47994 L
.48768 .48154 L
.48796 .48175 L
.48898 .48314 L
.48957 .4838 L
.49046 .48475 L
.49117 .48591 L
.49151 .48636 L
.49273 .48796 L
.49278 .48802 L
.49393 .48957 L
.49438 .49018 L
.49554 .49117 L
.49599 .49219 L
.49629 .49278 L
.49725 .49438 L
.49759 .49502 L
.49803 .49599 L
.49759 .49693 L
.49599 .49613 L
.49575 .49599 L
.49438 .49468 L
.49378 .49438 L
.49278 .49293 L
.49258 .49278 L
.49128 .49117 L
.49117 .49105 L
.48999 .48957 L
.48957 .48928 L
.48872 .48796 L
.48796 .48711 L
.48728 .48636 L
.48636 .48493 L
.48622 .48475 L
.48504 .48314 L
.48475 .48277 L
.48386 .48154 L
.48314 .48056 L
.48236 .47993 L
.48158 .47833 L
.48154 .47827 L
.4806 .47672 L
.47993 .47542 L
.47982 .47512 L
F
1 .3 0 r
.47993 .48023 m
.48127 .48154 L
.48154 .48181 L
.48267 .48314 L
.48314 .48368 L
.48397 .48475 L
.48475 .48572 L
.48521 .48636 L
.48636 .48791 L
.48639 .48796 L
.48728 .48957 L
.48636 .48972 L
.48621 .48957 L
.48475 .48803 L
.48469 .48796 L
.48336 .48636 L
.48314 .4861 L
.48213 .48475 L
.48154 .484 L
.48094 .48314 L
.47993 .4817 L
.47984 .48154 L
F
1 .56 0 r
.47993 .52291 m
.48027 .52328 L
.48154 .52456 L
.48181 .52488 L
.48314 .52639 L
.48322 .52649 L
.48455 .52809 L
.48475 .52832 L
.48585 .5297 L
.48636 .53027 L
.48717 .5313 L
.48796 .53225 L
.48848 .53291 L
.48957 .53424 L
.48978 .53451 L
.49105 .53612 L
.49117 .53626 L
.4923 .53772 L
.49278 .53831 L
.49356 .53933 L
.49438 .54036 L
.49482 .54093 L
.49599 .54229 L
.49608 .54254 L
.49729 .54414 L
.49759 .54452 L
.49851 .54575 L
.4992 .54662 L
.49974 .54735 L
.5008 .54873 L
.50098 .54896 L
.50216 .55057 L
.50241 .55088 L
.50333 .55217 L
.50401 .55305 L
.50452 .55378 L
.50562 .55523 L
.50572 .55538 L
.50681 .55699 L
.50722 .55753 L
.50789 .55859 L
.50883 .55992 L
.50898 .5602 L
.50883 .56062 L
.50848 .5602 L
.50722 .55893 L
.50696 .55859 L
.50562 .55708 L
.50554 .55699 L
.50423 .55538 L
.50401 .55514 L
.50294 .55378 L
.50241 .55317 L
.50164 .55217 L
.5008 .55118 L
.50033 .55057 L
.4992 .54919 L
.49903 .54896 L
.49776 .54735 L
.49759 .54715 L
.49653 .54575 L
.49599 .54509 L
.49528 .54414 L
.49438 .54304 L
.49401 .54254 L
.49278 .54098 L
.49274 .54093 L
.49154 .53933 L
.49117 .53887 L
.49033 .53772 L
.48957 .53676 L
.4891 .53612 L
.48796 .53466 L
.48785 .53451 L
.48667 .53291 L
.48636 .53251 L
.48551 .5313 L
.48475 .53033 L
.48432 .5297 L
.48314 .52816 L
.4831 .52809 L
.48202 .52649 L
.48154 .52586 L
.48096 .52488 L
.47993 .52345 L
.47985 .52328 L
F
1 .71 0 r
.47993 .42508 m
.48025 .42536 L
.48154 .4265 L
.48194 .42696 L
.48314 .42824 L
.48342 .42857 L
.48475 .42999 L
.48483 .43017 L
.48617 .43178 L
.48636 .43198 L
.4875 .43338 L
.48796 .43391 L
.48882 .43499 L
.48957 .43587 L
.49014 .43659 L
.49117 .43768 L
.49146 .4382 L
.49276 .4398 L
.49278 .43983 L
.49402 .44141 L
.49438 .44184 L
.49529 .44301 L
.49599 .44386 L
.49657 .44462 L
.49759 .44579 L
.49806 .44622 L
.49912 .44783 L
.4992 .44793 L
.50036 .44943 L
.5008 .44999 L
.50161 .45104 L
.50241 .45178 L
.50287 .45265 L
.50401 .45406 L
.50419 .45425 L
.50536 .45586 L
.50562 .45618 L
.50659 .45746 L
.50722 .45826 L
.50783 .45907 L
.50883 .46021 L
.50928 .46067 L
.51032 .46228 L
.51043 .46242 L
.51153 .46388 L
.51204 .46453 L
.51275 .46549 L
.51364 .46636 L
.51399 .46709 L
.51523 .4687 L
.51525 .46873 L
.51641 .4703 L
.51686 .47087 L
.51762 .47191 L
.51846 .47299 L
.51884 .47351 L
.52007 .47511 L
.52007 .47512 L
.52123 .47672 L
.52167 .47729 L
.52241 .47833 L
.52328 .47945 L
.52362 .47993 L
.52482 .48154 L
.52488 .48162 L
.52594 .48314 L
.52649 .48387 L
.52708 .48475 L
.52809 .48611 L
.52825 .48636 L
.52933 .48796 L
.5297 .48848 L
.53031 .48957 L
.5297 .49 L
.5293 .48957 L
.52809 .48828 L
.52781 .48796 L
.52649 .48654 L
.5264 .48636 L
.52504 .48475 L
.52488 .48458 L
.52369 .48314 L
.52328 .48266 L
.52235 .48154 L
.52167 .48073 L
.52102 .47993 L
.52007 .47891 L
.5197 .47833 L
.51846 .4768 L
.51839 .47672 L
.51712 .47512 L
.51686 .4748 L
.51583 .47351 L
.51525 .47318 L
.51455 .47191 L
.51364 .47085 L
.51307 .4703 L
.51204 .46874 L
.512 .4687 L
.51075 .46709 L
.51043 .4667 L
.50949 .46549 L
.50883 .46486 L
.50766 .46388 L
.50722 .46264 L
.50691 .46228 L
.50573 .46067 L
.50562 .46053 L
.50449 .45907 L
.50401 .4589 L
.50325 .45746 L
.50241 .45649 L
.50181 .45586 L
.5008 .4543 L
.50076 .45425 L
.49955 .45265 L
.4992 .45219 L
.49832 .45104 L
.49759 .45034 L
.49663 .44943 L
.49599 .44801 L
.49583 .44783 L
.49467 .44622 L
.49438 .44586 L
.49346 .44462 L
.49278 .44373 L
.49225 .44301 L
.49117 .44165 L
.49095 .44141 L
.48986 .4398 L
.48957 .43942 L
.48868 .4382 L
.48796 .43725 L
.48749 .43659 L
.48636 .43512 L
.48623 .43499 L
.48517 .43338 L
.48475 .43282 L
.48403 .43178 L
.48314 .43055 L
.48289 .43017 L
.48181 .42857 L
.48154 .42819 L
.48082 .42696 L
.47993 .42553 L
.47986 .42536 L
F
1 .29 0 r
.47993 .48033 m
.4812 .48154 L
.48154 .48187 L
.48263 .48314 L
.48314 .48373 L
.48393 .48475 L
.48475 .48576 L
.48518 .48636 L
.48635 .48796 L
.48636 .48797 L
.48719 .48957 L
.48636 .48966 L
.48627 .48957 L
.48475 .48798 L
.48473 .48796 L
.48341 .48636 L
.48314 .48605 L
.48217 .48475 L
.48154 .48394 L
.48099 .48314 L
.47993 .48162 L
.47988 .48154 L
F
0 .4 1 r
.47993 .48638 m
.48079 .48796 L
.47993 .48799 L
.47991 .48796 L
F
0 .72 1 r
.47993 .47469 m
.48154 .4751 L
.48156 .47512 L
.48314 .47649 L
.48366 .47672 L
.48475 .47818 L
.48495 .47833 L
.48631 .47993 L
.48636 .47998 L
.48765 .48154 L
.48796 .48177 L
.48895 .48314 L
.48957 .48383 L
.49043 .48475 L
.49117 .48594 L
.49149 .48636 L
.4927 .48796 L
.49278 .48806 L
.4939 .48957 L
.49438 .49022 L
.49551 .49117 L
.49599 .49226 L
.49625 .49278 L
.4972 .49438 L
.49759 .49513 L
.49795 .49599 L
.49759 .49681 L
.49599 .49609 L
.49583 .49599 L
.49438 .49464 L
.49386 .49438 L
.49278 .4929 L
.49262 .49278 L
.49131 .49117 L
.49117 .49101 L
.49001 .48957 L
.48957 .48926 L
.48874 .48796 L
.48796 .48709 L
.48731 .48636 L
.48636 .4849 L
.48624 .48475 L
.48506 .48314 L
.48475 .48273 L
.48388 .48154 L
.48314 .48053 L
.4824 .47993 L
.48162 .47833 L
.48154 .47821 L
.48065 .47672 L
.47993 .47521 L
.47991 .47512 L
F
0 .68 1 r
.47993 .43174 m
.47996 .43178 L
.48154 .43334 L
.48158 .43338 L
.48154 .43436 L
.48097 .43338 L
.47993 .43185 L
.47991 .43178 L
F
1 .28 0 r
.47993 .48045 m
.48113 .48154 L
.48154 .48193 L
.48258 .48314 L
.48314 .48378 L
.48389 .48475 L
.48475 .48581 L
.48514 .48636 L
.48475 .48793 L
.48345 .48636 L
.48314 .486 L
.48221 .48475 L
.48154 .48389 L
.48103 .48314 L
.47993 .48154 L
.47993 .48154 L
F
0 .71 1 r
.48154 .47518 m
.48314 .47655 L
.48355 .47672 L
.48475 .47822 L
.4849 .47833 L
.48628 .47993 L
.48636 .48002 L
.48762 .48154 L
.48796 .48179 L
.48892 .48314 L
.48957 .48387 L
.49041 .48475 L
.49117 .48597 L
.49146 .48636 L
.49268 .48796 L
.49278 .48809 L
.49387 .48957 L
.49438 .49026 L
.49548 .49117 L
.49599 .49234 L
.49621 .49278 L
.49715 .49438 L
.49759 .49525 L
.49787 .49599 L
.49759 .49668 L
.49599 .49604 L
.4959 .49599 L
.49438 .4946 L
.49393 .49438 L
.49278 .49287 L
.49266 .49278 L
.49133 .49117 L
.49117 .49098 L
.49004 .48957 L
.48957 .48924 L
.48877 .48796 L
.48796 .48706 L
.48733 .48636 L
.48636 .48487 L
.48627 .48475 L
.48509 .48314 L
.48475 .4827 L
.48391 .48154 L
.48314 .48049 L
.48245 .47993 L
.48166 .47833 L
.48154 .47815 L
.48071 .47672 L
F
0 .7 1 r
.48154 .47527 m
.48314 .4766 L
.48343 .47672 L
.48475 .47826 L
.48485 .47833 L
.48624 .47993 L
.48636 .48006 L
.48759 .48154 L
.48796 .48182 L
.4889 .48314 L
.48957 .4839 L
.49038 .48475 L
.49117 .48601 L
.49144 .48636 L
.49265 .48796 L
.49278 .48812 L
.49385 .48957 L
.49438 .4903 L
.49545 .49117 L
.49599 .49242 L
.49617 .49278 L
.4971 .49438 L
.49759 .4954 L
.49779 .49599 L
.49759 .49652 L
.49599 .49599 L
.49598 .49599 L
.49438 .49456 L
.49401 .49438 L
.49278 .49284 L
.4927 .49278 L
.49136 .49117 L
.49117 .49095 L
.49006 .48957 L
.48957 .48922 L
.48879 .48796 L
.48796 .48703 L
.48736 .48636 L
.48636 .48484 L
.48629 .48475 L
.48511 .48314 L
.48475 .48267 L
.48394 .48154 L
.48314 .48045 L
.48249 .47993 L
.4817 .47833 L
.48154 .47809 L
.48076 .47672 L
F
1 .98 .538 r
.48154 .4701 m
.48314 .47017 L
.48372 .4703 L
.48475 .4707 L
.48606 .47191 L
.48636 .47224 L
.48731 .47351 L
.48796 .47416 L
.48836 .47512 L
.48957 .4762 L
.48998 .47672 L
.49117 .47829 L
.49121 .47833 L
.49242 .47993 L
.49278 .48049 L
.49349 .48154 L
.49438 .48276 L
.49495 .48314 L
.49599 .48452 L
.49617 .48475 L
.49741 .48636 L
.49759 .48663 L
.49853 .48796 L
.4992 .48877 L
.49952 .48957 L
.5008 .4909 L
.5011 .49117 L
.50235 .49278 L
.50241 .49278 L
.50352 .49438 L
.50401 .49502 L
.50457 .49599 L
.50562 .49716 L
.50596 .49759 L
.50698 .4992 L
.50562 .49983 L
.50401 .49989 L
.50301 .5008 L
.50401 .50186 L
.50424 .50241 L
.50562 .50394 L
.50567 .50401 L
.50711 .50562 L
.50722 .50611 L
.5082 .50722 L
.50883 .50827 L
.50929 .50883 L
.51043 .51033 L
.51062 .51043 L
.51185 .51204 L
.51204 .51224 L
.51323 .51364 L
.51364 .51434 L
.51431 .51525 L
.51525 .51647 L
.51542 .51686 L
.51678 .51846 L
.51686 .51856 L
.51827 .52007 L
.51846 .52038 L
.51931 .52167 L
.52007 .5226 L
.5204 .52328 L
.52167 .52486 L
.52168 .52488 L
.52288 .52649 L
.52328 .52704 L
.52426 .52809 L
.52488 .52963 L
.5249 .5297 L
.52488 .52972 L
.52328 .53005 L
.52167 .52996 L
.52069 .5297 L
.52007 .52922 L
.51914 .52809 L
.51846 .52738 L
.51803 .52649 L
.51686 .52533 L
.51651 .52488 L
.51526 .52328 L
.51525 .52323 L
.51402 .52167 L
.51364 .52103 L
.51293 .52007 L
.51204 .5188 L
.51195 .51846 L
.51043 .517 L
.51032 .51686 L
.50903 .51525 L
.50883 .5149 L
.5079 .51364 L
.50722 .51277 L
.50686 .51204 L
.50562 .51066 L
.50539 .51043 L
.50407 .50883 L
.50401 .50875 L
.50291 .50722 L
.50241 .50675 L
.50183 .50562 L
.5008 .50461 L
.50078 .50401 L
.4993 .50241 L
.4992 .50225 L
.49806 .5008 L
.4992 .50017 L
.5008 .50008 L
.50229 .4992 L
.50087 .49759 L
.5008 .4974 L
.49924 .49599 L
.4992 .49524 L
.49824 .49438 L
.49759 .49318 L
.49715 .49278 L
.49599 .49122 L
.49595 .49117 L
.49466 .48957 L
.49438 .48929 L
.49318 .48796 L
.49278 .48717 L
.49214 .48636 L
.49117 .48504 L
.49101 .48475 L
.48973 .48314 L
.48957 .48293 L
.48807 .48154 L
.48796 .48114 L
.48713 .47993 L
.48636 .47886 L
.48605 .47833 L
.48482 .47672 L
.48475 .47663 L
.48363 .47512 L
.48314 .47447 L
.48214 .47351 L
.48154 .47227 L
.48121 .47191 L
.48079 .4703 L
F
0 .69 1 r
.48154 .47536 m
.48314 .47666 L
.4833 .47672 L
.48475 .4783 L
.48479 .47833 L
.4862 .47993 L
.48636 .4801 L
.48756 .48154 L
.48796 .48184 L
.48887 .48314 L
.48957 .48393 L
.49035 .48475 L
.49117 .48604 L
.49141 .48636 L
.49263 .48796 L
.49278 .48816 L
.49382 .48957 L
.49438 .49034 L
.49541 .49117 L
.49599 .4925 L
.49612 .49278 L
.49706 .49438 L
.49759 .49558 L
.4977 .49599 L
.49759 .49634 L
.49609 .49599 L
.49599 .49592 L
.49438 .49451 L
.49409 .49438 L
.49278 .4928 L
.49274 .49278 L
.49139 .49117 L
.49117 .49091 L
.49009 .48957 L
.48957 .48919 L
.48881 .48796 L
.48796 .48699 L
.48738 .48636 L
.48636 .4848 L
.48632 .48475 L
.48513 .48314 L
.48475 .48263 L
.48396 .48154 L
.48314 .48041 L
.48254 .47993 L
.48174 .47833 L
.48154 .47802 L
.48082 .47672 L
F
.01 .85 1 r
.48154 .4198 m
.48225 .42054 L
.48314 .42144 L
.48378 .42215 L
.48475 .42273 L
.48523 .42375 L
.48636 .42495 L
.48664 .42536 L
.48796 .4269 L
.48803 .42696 L
.48935 .42857 L
.48957 .42881 L
.49068 .43017 L
.49117 .43054 L
.49201 .43178 L
.49278 .43265 L
.49359 .43338 L
.49438 .43468 L
.49465 .43499 L
.49592 .43659 L
.49599 .43667 L
.4972 .4382 L
.49759 .43858 L
.49904 .4398 L
.4992 .44067 L
.49987 .44141 L
.5008 .44273 L
.50102 .44301 L
.5023 .44462 L
.50241 .44468 L
.50356 .44622 L
.50401 .44673 L
.50507 .44783 L
.50562 .44884 L
.50611 .44943 L
.50722 .45091 L
.5073 .45104 L
.50858 .45265 L
.50883 .45287 L
.51029 .45425 L
.51043 .45498 L
.51119 .45586 L
.51204 .45709 L
.51231 .45746 L
.51357 .45907 L
.51364 .45909 L
.51481 .46067 L
.51525 .46114 L
.51629 .46228 L
.51686 .46328 L
.51733 .46388 L
.51846 .46539 L
.51852 .46549 L
.51977 .46709 L
.52007 .46733 L
.52146 .4687 L
.52167 .46949 L
.52236 .4703 L
.52328 .47163 L
.52347 .47191 L
.52471 .47351 L
.52488 .47354 L
.52593 .47512 L
.52649 .47569 L
.52741 .47672 L
.52809 .47788 L
.52844 .47833 L
.52964 .47993 L
.5297 .48001 L
.53085 .48154 L
.5313 .48188 L
.53254 .48314 L
.53291 .48412 L
.53342 .48475 L
.53451 .48631 L
.53455 .48636 L
.53575 .48796 L
.53612 .48843 L
.53697 .48957 L
.53772 .49037 L
.53842 .49117 L
.53933 .49262 L
.53945 .49278 L
.54063 .49438 L
.54093 .49477 L
.54183 .49599 L
.54254 .49658 L
.54345 .49759 L
.54414 .49896 L
.54433 .4992 L
.54547 .5008 L
.54575 .50116 L
.54666 .50241 L
.54735 .50331 L
.54786 .50401 L
.54896 .50538 L
.54916 .50562 L
.55025 .50722 L
.55057 .50763 L
.55142 .50883 L
.55217 .50982 L
.5526 .51043 L
.55378 .51199 L
.55382 .51204 L
.55491 .51364 L
.55538 .51428 L
.55603 .51525 L
.55699 .51658 L
.55717 .51686 L
.55822 .51846 L
.55859 .51901 L
.55915 .52007 L
.55859 .52067 L
.55798 .52007 L
.55699 .51908 L
.55641 .51846 L
.55538 .51773 L
.55494 .51686 L
.55378 .51559 L
.5532 .51525 L
.55217 .51368 L
.55213 .51364 L
.55077 .51204 L
.55057 .5118 L
.54942 .51043 L
.54896 .51003 L
.54807 .50883 L
.54735 .50797 L
.54657 .50722 L
.54575 .50597 L
.54546 .50562 L
.54414 .50401 L
.54414 .50401 L
.54284 .50241 L
.54254 .50208 L
.54117 .5008 L
.54093 .50002 L
.54023 .4992 L
.53933 .49797 L
.53907 .49759 L
.53772 .49599 L
.53772 .49599 L
.53645 .49438 L
.53612 .49399 L
.53505 .49278 L
.53451 .4919 L
.53396 .49117 L
.53291 .48983 L
.53279 .48957 L
.5314 .48796 L
.5313 .48785 L
.52989 .48636 L
.5297 .48578 L
.52887 .48475 L
.52809 .48368 L
.52775 .48314 L
.52649 .48162 L
.5264 .48154 L
.52515 .47993 L
.52488 .47962 L
.52379 .47833 L
.52328 .4775 L
.52271 .47672 L
.52167 .4754 L
.52156 .47512 L
.52019 .47351 L
.52007 .4734 L
.5187 .47191 L
.51846 .4713 L
.51768 .4703 L
.51686 .46917 L
.51656 .4687 L
.51525 .4671 L
.51524 .46709 L
.51401 .46549 L
.51364 .46508 L
.51264 .46388 L
.51204 .46293 L
.51157 .46228 L
.51043 .46081 L
.51038 .46067 L
.50909 .45907 L
.50883 .45884 L
.50757 .45746 L
.50722 .45668 L
.50659 .45586 L
.50562 .45452 L
.50546 .45425 L
.5042 .45265 L
.50401 .4526 L
.50298 .45104 L
.50241 .45042 L
.5016 .44943 L
.5008 .44821 L
.50054 .44783 L
.49932 .44622 L
.4992 .44606 L
.49812 .44462 L
.49759 .44417 L
.49658 .44301 L
.49599 .44187 L
.49564 .44141 L
.49449 .4398 L
.49438 .43966 L
.4933 .4382 L
.49278 .4375 L
.49211 .43659 L
.49117 .43546 L
.4908 .43499 L
.48972 .43338 L
.48957 .43317 L
.48856 .43178 L
.48796 .43097 L
.48739 .43017 L
.48636 .42889 L
.48611 .42857 L
.48509 .42696 L
.48475 .4265 L
.48398 .42536 L
.48314 .42419 L
.48285 .42375 L
.48179 .42215 L
.48154 .42178 L
.48084 .42054 L
F
0 .68 1 r
.48154 .47545 m
.48314 .47672 L
.48316 .47672 L
.48474 .47833 L
.48475 .47834 L
.48617 .47993 L
.48636 .48014 L
.48752 .48154 L
.48796 .48187 L
.48884 .48314 L
.48957 .48396 L
.49033 .48475 L
.49117 .48607 L
.49139 .48636 L
.4926 .48796 L
.49278 .48819 L
.49379 .48957 L
.49438 .49038 L
.49538 .49117 L
.49599 .49259 L
.49608 .49278 L
.49701 .49438 L
.49759 .49591 L
.4976 .49599 L
.49759 .49604 L
.49622 .49599 L
.49599 .49585 L
.49438 .49447 L
.49418 .49438 L
.49278 .49278 L
.49278 .49277 L
.49142 .49117 L
.49117 .49088 L
.49011 .48957 L
.48957 .48917 L
.48883 .48796 L
.48796 .48696 L
.48741 .48636 L
.48636 .48477 L
.48634 .48475 L
.48516 .48314 L
.48475 .4826 L
.48399 .48154 L
.48314 .48037 L
.48259 .47993 L
.48178 .47833 L
.48154 .47795 L
.48087 .47672 L
F
0 .67 1 r
.48154 .47554 m
.48308 .47672 L
.48314 .47678 L
.48469 .47833 L
.48475 .47839 L
.48613 .47993 L
.48636 .48018 L
.48749 .48154 L
.48796 .48189 L
.48881 .48314 L
.48957 .484 L
.4903 .48475 L
.49117 .48611 L
.49136 .48636 L
.49257 .48796 L
.49278 .48823 L
.49376 .48957 L
.49438 .49042 L
.49534 .49117 L
.49599 .49268 L
.49603 .49278 L
.49695 .49438 L
.49599 .49578 L
.49438 .49443 L
.49427 .49438 L
.49282 .49278 L
.49278 .49273 L
.49145 .49117 L
.49117 .49085 L
.49014 .48957 L
.48957 .48915 L
.48886 .48796 L
.48796 .48693 L
.48744 .48636 L
.48637 .48475 L
.48636 .48474 L
.48519 .48314 L
.48475 .48256 L
.48402 .48154 L
.48314 .48033 L
.48264 .47993 L
.48182 .47833 L
.48154 .47787 L
.48093 .47672 L
F
1 .94 .156 r
.48154 .41321 m
.48249 .41412 L
.48314 .41473 L
.48408 .41572 L
.48475 .41641 L
.48558 .41733 L
.48636 .41808 L
.48702 .41894 L
.48796 .42001 L
.4886 .42054 L
.48957 .42191 L
.48979 .42215 L
.49114 .42375 L
.49117 .42377 L
.49248 .42536 L
.49278 .42569 L
.49418 .42696 L
.49438 .4277 L
.49516 .42857 L
.49599 .42972 L
.49632 .43017 L
.49759 .4317 L
.49772 .43178 L
.499 .43338 L
.4992 .43363 L
.50039 .43499 L
.5008 .4357 L
.5015 .43659 L
.50241 .43779 L
.50262 .4382 L
.50401 .43978 L
.50409 .4398 L
.50551 .44141 L
.50562 .44177 L
.50662 .44301 L
.50722 .44388 L
.50773 .44462 L
.50883 .44599 L
.50913 .44622 L
.51036 .44783 L
.51043 .44792 L
.5117 .44943 L
.51204 .45002 L
.5128 .45104 L
.51364 .45215 L
.51388 .45265 L
.51525 .4542 L
.51535 .45425 L
.51674 .45586 L
.51686 .4562 L
.51785 .45746 L
.51846 .45833 L
.51894 .45907 L
.52007 .46044 L
.52032 .46067 L
.52155 .46228 L
.52167 .46242 L
.52289 .46388 L
.52328 .46453 L
.52398 .46549 L
.52488 .46666 L
.52507 .46709 L
.52649 .46869 L
.5265 .4687 L
.52792 .4703 L
.52809 .47075 L
.52901 .47191 L
.5297 .47288 L
.5301 .47351 L
.5313 .47498 L
.53144 .47512 L
.53267 .47672 L
.53291 .47699 L
.53403 .47833 L
.53451 .47911 L
.53511 .47993 L
.53612 .48124 L
.53624 .48154 L
.5376 .48314 L
.53772 .48325 L
.53908 .48475 L
.53933 .48535 L
.54012 .48636 L
.54093 .48748 L
.54123 .48796 L
.54254 .48957 L
.54254 .48957 L
.54376 .49117 L
.54414 .49158 L
.54515 .49278 L
.54575 .49373 L
.54622 .49438 L
.54735 .49585 L
.5474 .49599 L
.54868 .49759 L
.54896 .49782 L
.5502 .4992 L
.55057 .49997 L
.55121 .5008 L
.55217 .50213 L
.55234 .50241 L
.5536 .50401 L
.55378 .50406 L
.55482 .50562 L
.55538 .5062 L
.55622 .50722 L
.55699 .50839 L
.55729 .50883 L
.55851 .51043 L
.55859 .51053 L
.55972 .51204 L
.5602 .51241 L
.56127 .51364 L
.5618 .51465 L
.56226 .51525 L
.56341 .51684 L
.56342 .51686 L
.56462 .51846 L
.56501 .51896 L
.56584 .52007 L
.56662 .5209 L
.56722 .52167 L
.56822 .52316 L
.56831 .52328 L
.5695 .52488 L
.56983 .52531 L
.5707 .52649 L
.57143 .52714 L
.57221 .52809 L
.57304 .5295 L
.57318 .5297 L
.57434 .5313 L
.57464 .53169 L
.57553 .53291 L
.57625 .53384 L
.5772 .53451 L
.57785 .53592 L
.57801 .53612 L
.57912 .53772 L
.57946 .53816 L
.58029 .53933 L
.58106 .54036 L
.58147 .54093 L
.58266 .54254 L
.58267 .54255 L
.58377 .54414 L
.58428 .54483 L
.58488 .54575 L
.58588 .54715 L
.58601 .54735 L
.58703 .54896 L
.58749 .54965 L
.58795 .55057 L
.58749 .55138 L
.5866 .55057 L
.58588 .5499 L
.58498 .54896 L
.58428 .54823 L
.58347 .54735 L
.58267 .54656 L
.58202 .54575 L
.58106 .54464 L
.58047 .54414 L
.57946 .54275 L
.57926 .54254 L
.57789 .54093 L
.57785 .54091 L
.57654 .53933 L
.57625 .53898 L
.57493 .53772 L
.57464 .53699 L
.5739 .53612 L
.57304 .53497 L
.57273 .53451 L
.57143 .53299 L
.57128 .53291 L
.56999 .5313 L
.56983 .53109 L
.56866 .5297 L
.56822 .52902 L
.56754 .52809 L
.56662 .52692 L
.56645 .52649 L
.56501 .52506 L
.56487 .52488 L
.56353 .52328 L
.56341 .52299 L
.56238 .52167 L
.5618 .52087 L
.5613 .52007 L
.5602 .51873 L
.55981 .51846 L
.55859 .51687 L
.55858 .51686 L
.5573 .51525 L
.55699 .51477 L
.55619 .51364 L
.55538 .51261 L
.55517 .51204 L
.55378 .5105 L
.55357 .51043 L
.55228 .50883 L
.55217 .5086 L
.55113 .50722 L
.55057 .50646 L
.55006 .50562 L
.54896 .50431 L
.54859 .50401 L
.54737 .50241 L
.54735 .50239 L
.5461 .5008 L
.54575 .50027 L
.545 .4992 L
.54414 .49812 L
.54398 .49759 L
.54254 .49604 L
.54241 .49599 L
.5411 .49438 L
.54093 .49406 L
.53997 .49278 L
.53933 .49192 L
.53891 .49117 L
.53772 .48979 L
.53746 .48957 L
.53613 .48796 L
.53612 .48781 L
.53496 .48636 L
.53451 .4857 L
.53387 .48475 L
.53291 .48356 L
.53281 .48314 L
.5313 .48154 L
.5313 .48154 L
.52995 .47993 L
.5297 .47946 L
.52885 .47833 L
.52809 .47732 L
.52777 .47672 L
.52649 .47523 L
.52637 .47512 L
.52493 .47351 L
.52488 .47321 L
.52384 .47191 L
.52328 .47108 L
.52276 .4703 L
.52167 .46896 L
.52163 .4687 L
.52022 .46709 L
.52007 .46695 L
.51882 .46549 L
.51846 .46483 L
.51776 .46388 L
.51686 .46269 L
.51664 .46228 L
.51531 .46067 L
.51525 .46064 L
.51376 .45907 L
.51364 .45859 L
.51276 .45746 L
.51204 .45643 L
.51167 .45586 L
.51043 .4543 L
.51043 .45425 L
.50918 .45265 L
.50883 .45235 L
.50774 .45104 L
.50722 .45016 L
.5067 .44943 L
.50562 .44799 L
.50554 .44783 L
.50429 .44622 L
.50401 .44612 L
.50266 .44462 L
.50241 .4439 L
.50173 .44301 L
.5008 .44168 L
.50063 .44141 L
.49941 .4398 L
.4992 .43953 L
.49821 .4382 L
.49759 .43764 L
.49676 .43659 L
.49599 .43534 L
.49574 .43499 L
.49457 .43338 L
.49438 .43314 L
.49338 .43178 L
.49278 .43098 L
.49177 .43017 L
.49117 .42893 L
.49091 .42857 L
.4898 .42696 L
.48957 .42666 L
.48863 .42536 L
.48796 .42446 L
.48746 .42375 L
.48636 .42233 L
.48623 .42215 L
.48516 .42054 L
.48475 .41998 L
.48405 .41894 L
.48314 .41766 L
.48293 .41733 L
.48189 .41572 L
.48154 .4152 L
.48096 .41412 L
F
0 .66 1 r
.48154 .47564 m
.48301 .47672 L
.48314 .47684 L
.48464 .47833 L
.48475 .47844 L
.48609 .47993 L
.48636 .48022 L
.48746 .48154 L
.48796 .48192 L
.48879 .48314 L
.48957 .48403 L
.49027 .48475 L
.49117 .48614 L
.49134 .48636 L
.49255 .48796 L
.49278 .48826 L
.49374 .48957 L
.49438 .49046 L
.4953 .49117 L
.49599 .49278 L
.49599 .49278 L
.4969 .49438 L
.49599 .49571 L
.49438 .49439 L
.49437 .49438 L
.49286 .49278 L
.49278 .49269 L
.49148 .49117 L
.49117 .49081 L
.49017 .48957 L
.48957 .48912 L
.48888 .48796 L
.48796 .4869 L
.48747 .48636 L
.48639 .48475 L
.48636 .48471 L
.48521 .48314 L
.48475 .48253 L
.48404 .48154 L
.48314 .48028 L
.48269 .47993 L
.48187 .47833 L
.48154 .47779 L
.481 .47672 L
F
.007 .84 1 r
.48154 .51789 m
.48207 .51846 L
.48314 .51958 L
.48358 .52007 L
.48475 .52103 L
.48501 .52167 L
.48636 .52322 L
.48645 .52328 L
.48775 .52488 L
.48796 .52512 L
.48909 .52649 L
.48957 .52704 L
.49043 .52809 L
.49117 .52875 L
.49176 .5297 L
.49278 .53092 L
.49318 .5313 L
.49436 .53291 L
.49438 .53294 L
.49565 .53451 L
.49599 .53493 L
.49694 .53612 L
.49759 .53682 L
.49863 .53772 L
.4992 .53894 L
.49953 .53933 L
.50076 .54093 L
.5008 .54099 L
.50202 .54254 L
.50241 .54281 L
.50329 .54414 L
.50401 .54501 L
.5047 .54575 L
.50562 .54712 L
.50579 .54735 L
.50705 .54896 L
.50722 .54918 L
.5083 .55057 L
.50883 .55111 L
.5099 .55217 L
.51043 .55329 L
.51082 .55378 L
.51202 .55538 L
.51204 .5554 L
.51325 .55699 L
.51364 .55721 L
.51449 .55859 L
.51525 .55949 L
.51586 .5602 L
.51686 .56167 L
.51695 .5618 L
.51816 .56341 L
.51846 .56379 L
.51938 .56501 L
.52007 .56571 L
.52092 .56662 L
.52167 .56799 L
.52185 .56822 L
.52302 .56983 L
.52328 .57016 L
.52423 .57143 L
.52488 .57188 L
.52543 .57304 L
.52649 .57439 L
.5267 .57464 L
.52781 .57625 L
.52809 .57662 L
.52899 .57785 L
.5297 .57881 L
.53017 .57946 L
.5313 .58096 L
.53139 .58106 L
.53247 .58267 L
.53291 .58326 L
.5336 .58428 L
.53451 .58554 L
.53474 .58588 L
.5358 .58749 L
.53612 .58794 L
.53679 .58909 L
.53772 .59069 L
.53773 .5907 L
.53772 .59089 L
.53738 .5907 L
.53612 .58966 L
.53561 .58909 L
.53451 .58795 L
.53412 .58749 L
.53291 .58613 L
.5327 .58588 L
.53132 .58428 L
.5313 .58426 L
.53 .58267 L
.5297 .58233 L
.52867 .58106 L
.52809 .58038 L
.52736 .57946 L
.52649 .5787 L
.52604 .57785 L
.52488 .57648 L
.52463 .57625 L
.52345 .57464 L
.52328 .57443 L
.52218 .57304 L
.52167 .57242 L
.52091 .57143 L
.52007 .57056 L
.51918 .56983 L
.51846 .56839 L
.51831 .56822 L
.5171 .56662 L
.51686 .56632 L
.51585 .56501 L
.51525 .56462 L
.51459 .56341 L
.51364 .56231 L
.51315 .5618 L
.51207 .5602 L
.51204 .56015 L
.51085 .55859 L
.51043 .55807 L
.50961 .55699 L
.50883 .55622 L
.50793 .55538 L
.50722 .55396 L
.50706 .55378 L
.50589 .55217 L
.50562 .55184 L
.50466 .55057 L
.50401 .55018 L
.50343 .54896 L
.50241 .54775 L
.50204 .54735 L
.50096 .54575 L
.5008 .54556 L
.49975 .54414 L
.4992 .54344 L
.49853 .54254 L
.49759 .54154 L
.497 .54093 L
.49607 .53933 L
.49599 .53923 L
.49488 .53772 L
.49438 .53708 L
.49368 .53612 L
.49278 .53496 L
.49245 .53451 L
.49123 .53291 L
.49117 .53283 L
.49007 .5313 L
.48957 .53065 L
.48889 .5297 L
.48796 .52848 L
.48768 .52809 L
.4865 .52649 L
.48636 .5263 L
.48537 .52488 L
.48475 .52406 L
.48423 .52328 L
.48314 .52181 L
.48305 .52167 L
.482 .52007 L
.48154 .51941 L
.481 .51846 L
F
1 .7 0 r
.48154 .4267 m
.48178 .42696 L
.48314 .42838 L
.48331 .42857 L
.48474 .43017 L
.48475 .43019 L
.48608 .43178 L
.48636 .43208 L
.48742 .43338 L
.48796 .434 L
.48876 .43499 L
.48957 .43594 L
.49008 .43659 L
.49117 .43777 L
.4914 .4382 L
.4927 .4398 L
.49278 .43989 L
.49397 .44141 L
.49438 .4419 L
.49525 .44301 L
.49599 .44392 L
.49653 .44462 L
.49759 .44585 L
.498 .44622 L
.49907 .44783 L
.4992 .44798 L
.50032 .44943 L
.5008 .45003 L
.50157 .45104 L
.50241 .45183 L
.50283 .45265 L
.50401 .45412 L
.50414 .45425 L
.50532 .45586 L
.50562 .45622 L
.50655 .45746 L
.50722 .4583 L
.5078 .45907 L
.50883 .46027 L
.50923 .46067 L
.51028 .46228 L
.51043 .46247 L
.51149 .46388 L
.51204 .46458 L
.51272 .46549 L
.51364 .46642 L
.51395 .46709 L
.51519 .4687 L
.51525 .46878 L
.51637 .4703 L
.51686 .47092 L
.51758 .47191 L
.51846 .47304 L
.5188 .47351 L
.52002 .47512 L
.52007 .47517 L
.52118 .47672 L
.52167 .47735 L
.52237 .47833 L
.52328 .47952 L
.52357 .47993 L
.52476 .48154 L
.52488 .4817 L
.52587 .48314 L
.52649 .48396 L
.52701 .48475 L
.52809 .48622 L
.52818 .48636 L
.52919 .48796 L
.5297 .4887 L
.53011 .48957 L
.5297 .48978 L
.52949 .48957 L
.52809 .48813 L
.52794 .48796 L
.5265 .48636 L
.52649 .48634 L
.52513 .48475 L
.52488 .48447 L
.52377 .48314 L
.52328 .48258 L
.52242 .48154 L
.52167 .48065 L
.52109 .47993 L
.52007 .47882 L
.51976 .47833 L
.51846 .47672 L
.51846 .47672 L
.51718 .47512 L
.51686 .47473 L
.51589 .47351 L
.51525 .47312 L
.5146 .47191 L
.51364 .47079 L
.51313 .4703 L
.51205 .4687 L
.51204 .46868 L
.51079 .46709 L
.51043 .46664 L
.50953 .46549 L
.50883 .4648 L
.50771 .46388 L
.50722 .46258 L
.50696 .46228 L
.50577 .46067 L
.50562 .46048 L
.50453 .45907 L
.50401 .45886 L
.50329 .45746 L
.50241 .45643 L
.50186 .45586 L
.50081 .45425 L
.5008 .45424 L
.49959 .45265 L
.4992 .45214 L
.49836 .45104 L
.49759 .45028 L
.49669 .44943 L
.49599 .44795 L
.49589 .44783 L
.49471 .44622 L
.49438 .4458 L
.49351 .44462 L
.49278 .44366 L
.49229 .44301 L
.49117 .44157 L
.49103 .44141 L
.48991 .4398 L
.48957 .43935 L
.48873 .4382 L
.48796 .43717 L
.48754 .43659 L
.48636 .43499 L
.48636 .43498 L
.48525 .43338 L
.48475 .43271 L
.48411 .43178 L
.48314 .43043 L
.48297 .43017 L
.48195 .42857 L
.48154 .42797 L
.48101 .42696 L
F
0 .65 1 r
.48154 .47574 m
.48292 .47672 L
.48314 .4769 L
.48459 .47833 L
.48475 .47848 L
.48606 .47993 L
.48636 .48026 L
.48743 .48154 L
.48796 .48195 L
.48876 .48314 L
.48957 .48406 L
.49024 .48475 L
.49117 .48617 L
.49131 .48636 L
.49252 .48796 L
.49278 .4883 L
.49371 .48957 L
.49438 .4905 L
.49526 .49117 L
.49595 .49278 L
.49599 .49284 L
.49685 .49438 L
.49599 .49564 L
.49443 .49438 L
.49438 .49434 L
.49289 .49278 L
.49278 .49265 L
.49151 .49117 L
.49117 .49078 L
.49019 .48957 L
.48957 .48909 L
.48891 .48796 L
.48796 .48686 L
.4875 .48636 L
.48642 .48475 L
.48636 .48467 L
.48524 .48314 L
.48475 .48249 L
.48407 .48154 L
.48314 .48024 L
.48274 .47993 L
.48191 .47833 L
.48154 .4777 L
.48106 .47672 L
F
1 .27 0 r
.48154 .48199 m
.48253 .48314 L
.48314 .48383 L
.48385 .48475 L
.48475 .48587 L
.4851 .48636 L
.48475 .48787 L
.4835 .48636 L
.48314 .48594 L
.48225 .48475 L
.48154 .48383 L
.48107 .48314 L
F
.007 .84 1 r
.48154 .42012 m
.48197 .42054 L
.48314 .42164 L
.4836 .42215 L
.48475 .42298 L
.4851 .42375 L
.48636 .42511 L
.48652 .42536 L
.48791 .42696 L
.48796 .42702 L
.48926 .42857 L
.48957 .42891 L
.49061 .43017 L
.49117 .43062 L
.49194 .43178 L
.49278 .43273 L
.49351 .43338 L
.49438 .43476 L
.49459 .43499 L
.49586 .43659 L
.49599 .43674 L
.49715 .4382 L
.49759 .43863 L
.49901 .4398 L
.4992 .44072 L
.49983 .44141 L
.5008 .44278 L
.50098 .44301 L
.50226 .44462 L
.50241 .44471 L
.50352 .44622 L
.50401 .44677 L
.50504 .44783 L
.50562 .44888 L
.50608 .44943 L
.50722 .45095 L
.50728 .45104 L
.50855 .45265 L
.50883 .45289 L
.51028 .45425 L
.51043 .45501 L
.51117 .45586 L
.51204 .45712 L
.51228 .45746 L
.51355 .45907 L
.51364 .4591 L
.51478 .46067 L
.51525 .46117 L
.51627 .46228 L
.51686 .46331 L
.51731 .46388 L
.51846 .46542 L
.5185 .46549 L
.51974 .46709 L
.52007 .46735 L
.52144 .4687 L
.52167 .46951 L
.52234 .4703 L
.52328 .47166 L
.52345 .47191 L
.52469 .47351 L
.52488 .47355 L
.52591 .47512 L
.52649 .47572 L
.52739 .47672 L
.52809 .47791 L
.52842 .47833 L
.52961 .47993 L
.5297 .48004 L
.53083 .48154 L
.5313 .4819 L
.53252 .48314 L
.53291 .48416 L
.5334 .48475 L
.53451 .48634 L
.53452 .48636 L
.53573 .48796 L
.53612 .48846 L
.53694 .48957 L
.53772 .4904 L
.53838 .49117 L
.53933 .49266 L
.53942 .49278 L
.5406 .49438 L
.54093 .49481 L
.5418 .49599 L
.54254 .49663 L
.54341 .49759 L
.54414 .49902 L
.54429 .4992 L
.54543 .5008 L
.54575 .50121 L
.54662 .50241 L
.54735 .50337 L
.54782 .50401 L
.54896 .50546 L
.54909 .50562 L
.5502 .50722 L
.55057 .5077 L
.55136 .50883 L
.55217 .5099 L
.55254 .51043 L
.55373 .51204 L
.55378 .51211 L
.55482 .51364 L
.55538 .51441 L
.55593 .51525 L
.55699 .51673 L
.55706 .51686 L
.55803 .51846 L
.55859 .51938 L
.55883 .52007 L
.55859 .52028 L
.55833 .52007 L
.55699 .51885 L
.55661 .51846 L
.55538 .51746 L
.55509 .51686 L
.55378 .51542 L
.55347 .51525 L
.55225 .51364 L
.55217 .51356 L
.55087 .51204 L
.55057 .51169 L
.54951 .51043 L
.54896 .50995 L
.54815 .50883 L
.54735 .50788 L
.54665 .50722 L
.54575 .50589 L
.54552 .50562 L
.5442 .50401 L
.54414 .50401 L
.5429 .50241 L
.54254 .50202 L
.5412 .5008 L
.54093 .49996 L
.54028 .4992 L
.53933 .49791 L
.53911 .49759 L
.53776 .49599 L
.53772 .49596 L
.53649 .49438 L
.53612 .49394 L
.53508 .49278 L
.53451 .49185 L
.534 .49117 L
.53291 .48979 L
.53281 .48957 L
.53144 .48796 L
.5313 .48782 L
.52991 .48636 L
.5297 .48574 L
.5289 .48475 L
.52809 .48364 L
.52778 .48314 L
.52649 .48159 L
.52643 .48154 L
.52518 .47993 L
.52488 .47958 L
.52381 .47833 L
.52328 .47747 L
.52274 .47672 L
.52167 .47536 L
.52157 .47512 L
.52022 .47351 L
.52007 .47337 L
.51871 .47191 L
.51846 .47127 L
.5177 .4703 L
.51686 .46914 L
.51658 .4687 L
.51527 .46709 L
.51525 .46708 L
.51404 .46549 L
.51364 .46505 L
.51266 .46388 L
.51204 .4629 L
.5116 .46228 L
.51043 .46078 L
.51039 .46067 L
.50912 .45907 L
.50883 .45881 L
.50759 .45746 L
.50722 .45665 L
.50661 .45586 L
.50562 .45449 L
.50548 .45425 L
.50423 .45265 L
.50401 .45259 L
.50301 .45104 L
.50241 .45038 L
.50163 .44943 L
.5008 .44817 L
.50057 .44783 L
.49936 .44622 L
.4992 .44601 L
.49816 .44462 L
.49759 .44413 L
.49662 .44301 L
.49599 .44181 L
.49568 .44141 L
.49453 .4398 L
.49438 .4396 L
.49335 .4382 L
.49278 .43744 L
.49215 .43659 L
.49117 .43538 L
.49087 .43499 L
.48978 .43338 L
.48957 .43309 L
.48863 .43178 L
.48796 .43088 L
.48746 .43017 L
.48636 .42873 L
.48623 .42857 L
.48518 .42696 L
.48475 .42637 L
.48408 .42536 L
.48314 .42403 L
.48297 .42375 L
.48197 .42215 L
.48154 .42147 L
.4811 .42054 L
F
.733 .99 1 r
.48154 .40666 m
.48271 .4077 L
.48314 .40808 L
.48436 .4093 L
.48475 .40969 L
.4859 .41091 L
.48636 .4113 L
.48737 .41251 L
.48796 .41319 L
.48917 .41412 L
.48957 .41509 L
.49018 .41572 L
.49117 .41701 L
.49142 .41733 L
.49278 .41891 L
.49291 .41894 L
.49424 .42054 L
.49438 .42073 L
.4956 .42215 L
.49599 .42276 L
.49675 .42375 L
.49759 .42487 L
.49783 .42536 L
.4992 .42663 L
.49947 .42696 L
.50076 .42857 L
.5008 .42867 L
.50197 .43017 L
.50241 .4308 L
.50305 .43178 L
.50401 .43302 L
.50457 .43338 L
.50562 .43475 L
.50581 .43499 L
.50706 .43659 L
.50722 .43685 L
.50819 .4382 L
.50883 .43905 L
.50917 .4398 L
.51043 .44091 L
.51083 .44141 L
.51204 .443 L
.51205 .44301 L
.51326 .44462 L
.51364 .44517 L
.51431 .44622 L
.51525 .44742 L
.5158 .44783 L
.51686 .44922 L
.51703 .44943 L
.51827 .45104 L
.51846 .45134 L
.51938 .45265 L
.52007 .45355 L
.52034 .45425 L
.52167 .45545 L
.52199 .45586 L
.52323 .45746 L
.52328 .45756 L
.52441 .45907 L
.52488 .45972 L
.52545 .46067 L
.52649 .46194 L
.52693 .46228 L
.52809 .46381 L
.52815 .46388 L
.5294 .46549 L
.5297 .46594 L
.5305 .46709 L
.5313 .46812 L
.53148 .4687 L
.53291 .47025 L
.53309 .4703 L
.53438 .47191 L
.53451 .47217 L
.53552 .47351 L
.53612 .47432 L
.53657 .47512 L
.53772 .47648 L
.53803 .47672 L
.53931 .47833 L
.53933 .47843 L
.54052 .47993 L
.54093 .48055 L
.54161 .48154 L
.54254 .4827 L
.54264 .48314 L
.54414 .48473 L
.54418 .48475 L
.54552 .48636 L
.54575 .48679 L
.54663 .48796 L
.54735 .48893 L
.5477 .48957 L
.54896 .49103 L
.54911 .49117 L
.55051 .49278 L
.55057 .49304 L
.55164 .49438 L
.55217 .49517 L
.55272 .49599 L
.55378 .49729 L
.55382 .49759 L
.55527 .4992 L
.55538 .49931 L
.55665 .5008 L
.55699 .50141 L
.55773 .50241 L
.55859 .50354 L
.55883 .50401 L
.5602 .50562 L
.5602 .50562 L
.56169 .50722 L
.5618 .50765 L
.56274 .50883 L
.56341 .50979 L
.56383 .51043 L
.56501 .5119 L
.56502 .51204 L
.56635 .51364 L
.56662 .51389 L
.56777 .51525 L
.56822 .51603 L
.56883 .51686 L
.56983 .51817 L
.56997 .51846 L
.57127 .52007 L
.57143 .52014 L
.57285 .52167 L
.57304 .52226 L
.57384 .52328 L
.57464 .52442 L
.57494 .52488 L
.5762 .52649 L
.57625 .52655 L
.57742 .52809 L
.57785 .52847 L
.57887 .5297 L
.57946 .53067 L
.57992 .5313 L
.58106 .53283 L
.5811 .53291 L
.58234 .53451 L
.58267 .53465 L
.58396 .53612 L
.58428 .53689 L
.58491 .53772 L
.58588 .53909 L
.58603 .53933 L
.58726 .54093 L
.58749 .54123 L
.58847 .54254 L
.58909 .54308 L
.58993 .54414 L
.5907 .54535 L
.59098 .54575 L
.59217 .54735 L
.5923 .54752 L
.59337 .54896 L
.59391 .54964 L
.595 .55057 L
.59551 .5516 L
.59593 .55217 L
.59707 .55378 L
.59712 .55384 L
.59826 .55538 L
.59872 .55597 L
.59948 .55699 L
.60033 .55784 L
.60089 .55859 L
.60193 .56018 L
.60194 .5602 L
.60313 .5618 L
.60354 .56233 L
.60432 .56341 L
.60514 .56447 L
.60584 .56501 L
.60675 .56659 L
.60677 .56662 L
.60792 .56822 L
.60835 .56878 L
.6091 .56983 L
.60996 .57097 L
.61029 .57143 L
.61147 .57304 L
.61156 .57317 L
.61257 .57464 L
.61317 .57547 L
.61368 .57625 L
.61477 .57782 L
.6148 .57785 L
.61569 .57946 L
.61477 .57998 L
.61422 .57946 L
.61317 .57906 L
.61255 .57785 L
.61156 .57687 L
.61098 .57625 L
.60996 .57504 L
.60947 .57464 L
.60835 .57317 L
.60832 .57304 L
.60675 .57161 L
.60658 .57143 L
.60519 .56983 L
.60514 .56976 L
.60357 .56822 L
.60354 .56784 L
.60249 .56662 L
.60193 .56581 L
.60134 .56501 L
.60033 .56369 L
.59979 .56341 L
.59872 .56207 L
.5985 .5618 L
.5972 .5602 L
.59712 .56004 L
.596 .55859 L
.59551 .55791 L
.59492 .55699 L
.59391 .55568 L
.59337 .55538 L
.5923 .55399 L
.59212 .55378 L
.59088 .55217 L
.5907 .55189 L
.58976 .55057 L
.58909 .54968 L
.58881 .54896 L
.58749 .54784 L
.5871 .54735 L
.58588 .54576 L
.58588 .54575 L
.58469 .54414 L
.58428 .54358 L
.58366 .54254 L
.58267 .5413 L
.58212 .54093 L
.58106 .53954 L
.58089 .53933 L
.57967 .53772 L
.57946 .53741 L
.57858 .53612 L
.57785 .53519 L
.57767 .53451 L
.57625 .53331 L
.57593 .53291 L
.5747 .5313 L
.57464 .5312 L
.57354 .5297 L
.57304 .52902 L
.57253 .52809 L
.57143 .52678 L
.57098 .52649 L
.56983 .52496 L
.56977 .52488 L
.56854 .52328 L
.56822 .52282 L
.56746 .52167 L
.56662 .52062 L
.56605 .52007 L
.56501 .5187 L
.56482 .51846 L
.56356 .51686 L
.56341 .51659 L
.56243 .51525 L
.5618 .51442 L
.56141 .51364 L
.5602 .51225 L
.55989 .51204 L
.55862 .51043 L
.55859 .51034 L
.55743 .50883 L
.55699 .5082 L
.55635 .50722 L
.55538 .50604 L
.55495 .50562 L
.55378 .50402 L
.55373 .50401 L
.55244 .50241 L
.55217 .50197 L
.55133 .5008 L
.55057 .49982 L
.55028 .4992 L
.54896 .49772 L
.5488 .49759 L
.54745 .49599 L
.54735 .49571 L
.54632 .49438 L
.54575 .49359 L
.54524 .49278 L
.54414 .49146 L
.54387 .49117 L
.54265 .48957 L
.54254 .48945 L
.54131 .48796 L
.54093 .48735 L
.54022 .48636 L
.53933 .48521 L
.53914 .48475 L
.53772 .48315 L
.53772 .48314 L
.5363 .48154 L
.53612 .4811 L
.53521 .47993 L
.53451 .47897 L
.53412 .47833 L
.53291 .47686 L
.53279 .47672 L
.53157 .47512 L
.5313 .47486 L
.5302 .47351 L
.5297 .47273 L
.52912 .47191 L
.52809 .47059 L
.52798 .4703 L
.52664 .4687 L
.52649 .4686 L
.52515 .46709 L
.52488 .46649 L
.52411 .46549 L
.52328 .46433 L
.52301 .46388 L
.52171 .46228 L
.52167 .46222 L
.5205 .46067 L
.52007 .46027 L
.5191 .45907 L
.51846 .45809 L
.51802 .45746 L
.51686 .45594 L
.51682 .45586 L
.51558 .45425 L
.51525 .45406 L
.51404 .45265 L
.51364 .45186 L
.51304 .45104 L
.51204 .44967 L
.5119 .44943 L
.51066 .44783 L
.51043 .44754 L
.50944 .44622 L
.50883 .44565 L
.50803 .44462 L
.50722 .44341 L
.50696 .44301 L
.50575 .44141 L
.50562 .44125 L
.50454 .4398 L
.50401 .43948 L
.50299 .4382 L
.50241 .43715 L
.502 .43659 L
.50084 .43499 L
.5008 .43493 L
.49965 .43338 L
.4992 .43281 L
.49843 .43178 L
.49759 .4309 L
.49705 .43017 L
.49599 .42859 L
.49597 .42857 L
.49478 .42696 L
.49438 .42644 L
.49358 .42536 L
.49278 .4243 L
.49211 .42375 L
.49117 .42219 L
.49114 .42215 L
.48998 .42054 L
.48957 .42 L
.48881 .41894 L
.48796 .41782 L
.48725 .41733 L
.48643 .41572 L
.48636 .41563 L
.48531 .41412 L
.48475 .41335 L
.48419 .41251 L
.48314 .41105 L
.48306 .41091 L
.48205 .4093 L
.48154 .40853 L
.48111 .4077 L
F
1 .26 0 r
.48154 .48206 m
.48248 .48314 L
.48314 .48389 L
.48381 .48475 L
.48475 .48592 L
.48506 .48636 L
.48475 .48781 L
.48355 .48636 L
.48314 .48589 L
.4823 .48475 L
.48154 .48377 L
.48112 .48314 L
F
1 .55 0 r
.48154 .52472 m
.48168 .52488 L
.48154 .52568 L
.48112 .52488 L
F
0 .64 1 r
.48154 .47585 m
.48284 .47672 L
.48314 .47696 L
.48454 .47833 L
.48475 .47853 L
.48602 .47993 L
.48636 .4803 L
.4874 .48154 L
.48796 .48198 L
.48873 .48314 L
.48957 .4841 L
.49021 .48475 L
.49117 .48621 L
.49128 .48636 L
.49249 .48796 L
.49278 .48834 L
.49368 .48957 L
.49438 .49054 L
.49521 .49117 L
.49591 .49278 L
.49599 .4929 L
.49679 .49438 L
.49599 .49556 L
.49449 .49438 L
.49438 .49429 L
.49293 .49278 L
.49278 .49261 L
.49154 .49117 L
.49117 .49075 L
.49022 .48957 L
.48957 .48906 L
.48893 .48796 L
.48796 .48683 L
.48753 .48636 L
.48644 .48475 L
.48636 .48464 L
.48526 .48314 L
.48475 .48246 L
.4841 .48154 L
.48314 .4802 L
.4828 .47993 L
.48196 .47833 L
.48154 .47761 L
.48113 .47672 L
F
1 .25 0 r
.48154 .48213 m
.48242 .48314 L
.48314 .48394 L
.48377 .48475 L
.48475 .48598 L
.48502 .48636 L
.48475 .48774 L
.4836 .48636 L
.48314 .48583 L
.48235 .48475 L
.48154 .4837 L
.48117 .48314 L
F
1 .97 .395 r
.48154 .50234 m
.48176 .50241 L
.48314 .50332 L
.48382 .50401 L
.48475 .50446 L
.48525 .50562 L
.48636 .50675 L
.48658 .50722 L
.48786 .50883 L
.48796 .50896 L
.48906 .51043 L
.48957 .51108 L
.49026 .51204 L
.49117 .51322 L
.49147 .51364 L
.49265 .51525 L
.49278 .51542 L
.49369 .51686 L
.49438 .5179 L
.49465 .51846 L
.49438 .519 L
.49367 .51846 L
.49278 .51776 L
.49182 .51686 L
.49117 .51625 L
.49019 .51525 L
.48957 .5146 L
.48867 .51364 L
.48796 .51294 L
.48724 .51204 L
.48636 .51088 L
.48588 .51043 L
.48475 .50884 L
.48459 .50883 L
.48338 .50722 L
.48314 .5069 L
.48223 .50562 L
.48154 .50444 L
.48118 .50401 L
.48119 .50241 L
F
0 .63 1 r
.48154 .47597 m
.48274 .47672 L
.48314 .47703 L
.48449 .47833 L
.48475 .47858 L
.48598 .47993 L
.48636 .48035 L
.48737 .48154 L
.48796 .48201 L
.4887 .48314 L
.48957 .48413 L
.49018 .48475 L
.49117 .48624 L
.49126 .48636 L
.49246 .48796 L
.49278 .48837 L
.49365 .48957 L
.49438 .49058 L
.49517 .49117 L
.49587 .49278 L
.49599 .49297 L
.49674 .49438 L
.49599 .49549 L
.49455 .49438 L
.49438 .49424 L
.49297 .49278 L
.49278 .49257 L
.49157 .49117 L
.49117 .49071 L
.49024 .48957 L
.48957 .48903 L
.48895 .48796 L
.48796 .4868 L
.48756 .48636 L
.48647 .48475 L
.48636 .48461 L
.48529 .48314 L
.48475 .48242 L
.48413 .48154 L
.48314 .48015 L
.48286 .47993 L
.482 .47833 L
.48154 .4775 L
.48121 .47672 L
F
1 .24 0 r
.48154 .48221 m
.48236 .48314 L
.48314 .484 L
.48372 .48475 L
.48475 .48604 L
.48497 .48636 L
.48475 .48767 L
.48366 .48636 L
.48314 .48577 L
.4824 .48475 L
.48154 .48363 L
.48122 .48314 L
F
1 .23 0 r
.48154 .48229 m
.48229 .48314 L
.48314 .48407 L
.48367 .48475 L
.48475 .4861 L
.48493 .48636 L
.48475 .48759 L
.48372 .48636 L
.48314 .4857 L
.48245 .48475 L
.48154 .48356 L
.48127 .48314 L
F
0 .62 1 r
.48154 .47611 m
.48264 .47672 L
.48314 .47709 L
.48444 .47833 L
.48475 .47863 L
.48594 .47993 L
.48636 .48039 L
.48733 .48154 L
.48796 .48204 L
.48867 .48314 L
.48957 .48417 L
.49014 .48475 L
.49117 .48628 L
.49123 .48636 L
.49244 .48796 L
.49278 .48841 L
.49362 .48957 L
.49438 .49062 L
.49512 .49117 L
.49582 .49278 L
.49599 .49305 L
.49668 .49438 L
.49599 .49541 L
.49461 .49438 L
.49438 .49419 L
.49301 .49278 L
.49278 .49253 L
.4916 .49117 L
.49117 .49068 L
.49027 .48957 L
.48957 .489 L
.48898 .48796 L
.48796 .48676 L
.48759 .48636 L
.48649 .48475 L
.48636 .48457 L
.48531 .48314 L
.48475 .48238 L
.48415 .48154 L
.48314 .48011 L
.48292 .47993 L
.48205 .47833 L
.48154 .47738 L
.48129 .47672 L
F
1 .22 0 r
.48154 .48239 m
.48222 .48314 L
.48314 .48413 L
.48362 .48475 L
.48475 .48617 L
.48488 .48636 L
.48475 .4875 L
.48379 .48636 L
.48314 .48563 L
.48251 .48475 L
.48154 .48348 L
.48133 .48314 L
F
.005 .83 1 r
.48154 .51831 m
.48171 .51846 L
.48314 .51983 L
.48337 .52007 L
.48475 .52144 L
.48484 .52167 L
.48624 .52328 L
.48636 .5234 L
.48762 .52488 L
.48796 .52527 L
.48898 .52649 L
.48957 .52717 L
.49033 .52809 L
.49117 .52888 L
.49166 .5297 L
.49278 .53104 L
.49306 .5313 L
.49427 .53291 L
.49438 .53304 L
.49557 .53451 L
.49599 .53503 L
.49686 .53612 L
.49759 .53691 L
.49854 .53772 L
.4992 .53903 L
.49946 .53933 L
.50069 .54093 L
.5008 .54107 L
.50196 .54254 L
.50241 .54287 L
.50323 .54414 L
.50401 .54509 L
.50463 .54575 L
.50562 .5472 L
.50574 .54735 L
.50699 .54896 L
.50722 .54926 L
.50824 .55057 L
.50883 .55118 L
.50984 .55217 L
.51043 .55337 L
.51076 .55378 L
.51196 .55538 L
.51204 .55548 L
.51319 .55699 L
.51364 .55726 L
.51443 .55859 L
.51525 .55957 L
.51579 .5602 L
.51686 .56176 L
.51689 .5618 L
.5181 .56341 L
.51846 .56387 L
.51932 .56501 L
.52007 .5658 L
.52084 .56662 L
.52167 .56809 L
.52178 .56822 L
.52295 .56983 L
.52328 .57025 L
.52415 .57143 L
.52488 .57198 L
.52536 .57304 L
.52649 .57452 L
.52659 .57464 L
.52773 .57625 L
.52809 .57673 L
.5289 .57785 L
.5297 .57893 L
.53008 .57946 L
.53124 .58106 L
.5313 .58114 L
.53235 .58267 L
.53291 .58344 L
.53347 .58428 L
.53451 .58575 L
.5346 .58588 L
.53557 .58749 L
.53612 .58835 L
.53644 .58909 L
.53612 .58929 L
.53593 .58909 L
.53451 .58772 L
.53431 .58749 L
.53291 .58596 L
.53284 .58588 L
.53146 .58428 L
.5313 .5841 L
.53012 .58267 L
.5297 .5822 L
.52878 .58106 L
.52809 .58027 L
.52745 .57946 L
.52649 .57856 L
.52612 .57785 L
.52488 .57637 L
.52475 .57625 L
.52353 .57464 L
.52328 .57434 L
.52225 .57304 L
.52167 .57233 L
.52097 .57143 L
.52007 .57047 L
.51928 .56983 L
.51846 .5683 L
.51838 .56822 L
.51716 .56662 L
.51686 .56625 L
.51591 .56501 L
.51525 .56456 L
.51465 .56341 L
.51364 .56223 L
.51322 .5618 L
.51213 .5602 L
.51204 .56009 L
.5109 .55859 L
.51043 .55801 L
.50966 .55699 L
.50883 .55615 L
.508 .55538 L
.50722 .55389 L
.50712 .55378 L
.50593 .55217 L
.50562 .55178 L
.50471 .55057 L
.50401 .55012 L
.50347 .54896 L
.50241 .54767 L
.50211 .54735 L
.50101 .54575 L
.5008 .54549 L
.4998 .54414 L
.4992 .54338 L
.49858 .54254 L
.49759 .54145 L
.49709 .54093 L
.49612 .53933 L
.49599 .53915 L
.49494 .53772 L
.49438 .53701 L
.49373 .53612 L
.49278 .53488 L
.49251 .53451 L
.4913 .53291 L
.49117 .53274 L
.49014 .5313 L
.48957 .53055 L
.48896 .5297 L
.48796 .52838 L
.48776 .52809 L
.48659 .52649 L
.48636 .52617 L
.48548 .52488 L
.48475 .52391 L
.48434 .52328 L
.48318 .52167 L
.48314 .52162 L
.48222 .52007 L
.48154 .519 L
.48136 .51846 L
F
0 .61 1 r
.48154 .47627 m
.48252 .47672 L
.48314 .47716 L
.48438 .47833 L
.48475 .47868 L
.4859 .47993 L
.48636 .48043 L
.4873 .48154 L
.48796 .48207 L
.48864 .48314 L
.48957 .4842 L
.49011 .48475 L
.49117 .48632 L
.4912 .48636 L
.49241 .48796 L
.49278 .48845 L
.4936 .48957 L
.49438 .49066 L
.49507 .49117 L
.49578 .49278 L
.49599 .49312 L
.49661 .49438 L
.49599 .49532 L
.49468 .49438 L
.49438 .49413 L
.49305 .49278 L
.49278 .49249 L
.49164 .49117 L
.49117 .49064 L
.4903 .48957 L
.48957 .48897 L
.489 .48796 L
.48796 .48672 L
.48762 .48636 L
.48652 .48475 L
.48636 .48454 L
.48534 .48314 L
.48475 .48235 L
.48418 .48154 L
.48314 .48006 L
.48298 .47993 L
.4821 .47833 L
.48154 .47723 L
.48137 .47672 L
F
1 .21 0 r
.48154 .4825 m
.48213 .48314 L
.48314 .48421 L
.48356 .48475 L
.48475 .48624 L
.48483 .48636 L
.48475 .48741 L
.48387 .48636 L
.48314 .48555 L
.48257 .48475 L
.48154 .48338 L
.48139 .48314 L
F
1 .69 0 r
.48154 .42696 m
.48154 .42696 L
.48314 .42852 L
.48318 .42857 L
.48462 .43017 L
.48475 .43031 L
.48599 .43178 L
.48636 .43218 L
.48734 .43338 L
.48796 .43408 L
.48869 .43499 L
.48957 .43601 L
.49003 .43659 L
.49117 .43786 L
.49135 .4382 L
.49265 .4398 L
.49278 .43996 L
.49392 .44141 L
.49438 .44196 L
.4952 .44301 L
.49599 .44397 L
.49649 .44462 L
.49759 .44592 L
.49793 .44622 L
.49903 .44783 L
.4992 .44803 L
.50028 .44943 L
.5008 .45008 L
.50153 .45104 L
.50241 .45189 L
.5028 .45265 L
.50401 .45417 L
.50409 .45425 L
.50529 .45586 L
.50562 .45627 L
.50652 .45746 L
.50722 .45835 L
.50776 .45907 L
.50883 .46033 L
.50917 .46067 L
.51024 .46228 L
.51043 .46252 L
.51145 .46388 L
.51204 .46462 L
.51268 .46549 L
.51364 .46649 L
.51392 .46709 L
.51514 .4687 L
.51525 .46883 L
.51633 .4703 L
.51686 .47097 L
.51754 .47191 L
.51846 .4731 L
.51876 .47351 L
.51998 .47512 L
.52007 .47523 L
.52113 .47672 L
.52167 .47742 L
.52232 .47833 L
.52328 .47959 L
.52352 .47993 L
.52469 .48154 L
.52488 .48179 L
.5258 .48314 L
.52649 .48407 L
.52693 .48475 L
.52809 .48635 L
.5281 .48636 L
.52902 .48796 L
.52809 .48797 L
.52808 .48796 L
.52663 .48636 L
.52649 .48621 L
.52523 .48475 L
.52488 .48437 L
.52386 .48314 L
.52328 .48248 L
.5225 .48154 L
.52167 .48057 L
.52115 .47993 L
.52007 .47872 L
.51983 .47833 L
.51852 .47672 L
.51846 .47665 L
.51723 .47512 L
.51686 .47466 L
.51594 .47351 L
.51525 .47306 L
.51465 .47191 L
.51364 .47072 L
.5132 .4703 L
.5121 .4687 L
.51204 .46863 L
.51084 .46709 L
.51043 .46659 L
.50957 .46549 L
.50883 .46475 L
.50777 .46388 L
.50722 .46252 L
.50701 .46228 L
.50582 .46067 L
.50562 .46042 L
.50457 .45907 L
.50401 .45882 L
.50333 .45746 L
.50241 .45637 L
.50191 .45586 L
.50085 .45425 L
.5008 .45419 L
.49963 .45265 L
.4992 .45209 L
.49841 .45104 L
.49759 .45022 L
.49676 .44943 L
.49599 .44788 L
.49594 .44783 L
.49476 .44622 L
.49438 .44574 L
.49355 .44462 L
.49278 .4436 L
.49234 .44301 L
.49117 .44148 L
.49111 .44141 L
.48997 .4398 L
.48957 .43928 L
.48879 .4382 L
.48796 .43709 L
.4876 .43659 L
.48643 .43499 L
.48636 .43489 L
.48533 .43338 L
.48475 .4326 L
.4842 .43178 L
.48314 .43029 L
.48307 .43017 L
.48212 .42857 L
.48154 .42765 L
.4814 .42696 L
F
1 .97 .395 r
.48154 .47051 m
.48314 .47049 L
.48475 .47109 L
.4858 .47191 L
.48636 .47251 L
.48713 .47351 L
.48796 .47434 L
.48826 .47512 L
.48957 .47633 L
.48988 .47672 L
.49115 .47833 L
.49117 .47839 L
.49237 .47993 L
.49278 .48057 L
.49344 .48154 L
.49438 .48281 L
.4949 .48314 L
.49599 .48457 L
.49613 .48475 L
.49738 .48636 L
.49759 .48668 L
.49849 .48796 L
.4992 .48882 L
.49949 .48957 L
.5008 .49094 L
.50106 .49117 L
.50233 .49278 L
.50241 .49278 L
.50347 .49438 L
.50401 .4951 L
.50451 .49599 L
.50562 .49729 L
.50585 .49759 L
.50667 .4992 L
.50562 .49969 L
.50401 .49974 L
.50251 .4992 L
.50241 .49913 L
.50096 .49759 L
.5008 .49718 L
.49925 .49599 L
.4992 .49517 L
.49827 .49438 L
.49759 .49315 L
.49718 .49278 L
.49599 .49121 L
.49596 .49117 L
.49469 .48957 L
.49438 .48926 L
.4932 .48796 L
.49278 .48714 L
.49217 .48636 L
.49117 .485 L
.49103 .48475 L
.48976 .48314 L
.48957 .48289 L
.48809 .48154 L
.48796 .4811 L
.48717 .47993 L
.48636 .4788 L
.48609 .47833 L
.48488 .47672 L
.48475 .47655 L
.48369 .47512 L
.48314 .47436 L
.48225 .47351 L
.48154 .47204 L
.48143 .47191 L
F
1 .2 0 r
.48154 .48264 m
.48202 .48314 L
.48314 .48428 L
.4835 .48475 L
.48475 .48632 L
.48477 .48636 L
.48475 .48729 L
.48395 .48636 L
.48314 .48547 L
.48263 .48475 L
.48154 .48327 L
.48146 .48314 L
F
0 .6 1 r
.48154 .47648 m
.48237 .47672 L
.48314 .47723 L
.48433 .47833 L
.48475 .47873 L
.48586 .47993 L
.48636 .48047 L
.48727 .48154 L
.48796 .48211 L
.48861 .48314 L
.48957 .48424 L
.49007 .48475 L
.49117 .48635 L
.49117 .48636 L
.49238 .48796 L
.49278 .48848 L
.49357 .48957 L
.49438 .49071 L
.49502 .49117 L
.49574 .49278 L
.49599 .4932 L
.49655 .49438 L
.49599 .49523 L
.49475 .49438 L
.49438 .49408 L
.4931 .49278 L
.49278 .49245 L
.49167 .49117 L
.49117 .49061 L
.49033 .48957 L
.48957 .48894 L
.48903 .48796 L
.48796 .48669 L
.48766 .48636 L
.48654 .48475 L
.48636 .48451 L
.48537 .48314 L
.48475 .48231 L
.48421 .48154 L
.48314 .48001 L
.48304 .47993 L
.48216 .47833 L
.48154 .47702 L
.48147 .47672 L
F
1 .96 .289 r
.48314 .47077 m
.48475 .47141 L
.48553 .47191 L
.48636 .47274 L
.48698 .47351 L
.48796 .4745 L
.48819 .47512 L
.48957 .47645 L
.48979 .47672 L
.49111 .47833 L
.49117 .47849 L
.49231 .47993 L
.49278 .48065 L
.49339 .48154 L
.49438 .48286 L
.49486 .48314 L
.49599 .48463 L
.49608 .48475 L
.49735 .48636 L
.49759 .48673 L
.49846 .48796 L
.4992 .48887 L
.49946 .48957 L
.5008 .49098 L
.50102 .49117 L
.5023 .49278 L
.50241 .49279 L
.50342 .49438 L
.50401 .49518 L
.50445 .49599 L
.50562 .49743 L
.50574 .49759 L
.50635 .4992 L
.50562 .49954 L
.50401 .4996 L
.5028 .4992 L
.50241 .49898 L
.50104 .49759 L
.5008 .49699 L
.49927 .49599 L
.4992 .49511 L
.49831 .49438 L
.49759 .49311 L
.4972 .49278 L
.49599 .49119 L
.49597 .49117 L
.49472 .48957 L
.49438 .48924 L
.49322 .48796 L
.49278 .48711 L
.49219 .48636 L
.49117 .48497 L
.49105 .48475 L
.48979 .48314 L
.48957 .48285 L
.4881 .48154 L
.48796 .48106 L
.4872 .47993 L
.48636 .47873 L
.48613 .47833 L
.48493 .47672 L
.48475 .47648 L
.48376 .47512 L
.48314 .47424 L
.48237 .47351 L
.48166 .47191 L
F
1 .95 .212 r
.48314 .47103 m
.48475 .47168 L
.48518 .47191 L
.48636 .47295 L
.48683 .47351 L
.48796 .47465 L
.48812 .47512 L
.48957 .47656 L
.4897 .47672 L
.49108 .47833 L
.49117 .47859 L
.49226 .47993 L
.49278 .48073 L
.49335 .48154 L
.49438 .4829 L
.49481 .48314 L
.49599 .48468 L
.49604 .48475 L
.49731 .48636 L
.49759 .48678 L
.49842 .48796 L
.4992 .48892 L
.49944 .48957 L
.5008 .49102 L
.50097 .49117 L
.50227 .49278 L
.50241 .4928 L
.50337 .49438 L
.50401 .49526 L
.5044 .49599 L
.50562 .49758 L
.50562 .49759 L
.50601 .4992 L
.50562 .49938 L
.50401 .49946 L
.50311 .4992 L
.50241 .49884 L
.50113 .49759 L
.5008 .49682 L
.49929 .49599 L
.4992 .49505 L
.49834 .49438 L
.49759 .49308 L
.49723 .49278 L
.49599 .49118 L
.49598 .49117 L
.49474 .48957 L
.49438 .48921 L
.49324 .48796 L
.49278 .48708 L
.49221 .48636 L
.49117 .48494 L
.49107 .48475 L
.48982 .48314 L
.48957 .48282 L
.48812 .48154 L
.48796 .48102 L
.48724 .47993 L
.48636 .47867 L
.48616 .47833 L
.48499 .47672 L
.48475 .4764 L
.48384 .47512 L
.48314 .47412 L
.4825 .47351 L
.48191 .47191 L
F
1 .94 .156 r
.48314 .4713 m
.48472 .47191 L
.48475 .47192 L
.48636 .47314 L
.48669 .47351 L
.48796 .4748 L
.48807 .47512 L
.48957 .47667 L
.48961 .47672 L
.49104 .47833 L
.49117 .47868 L
.4922 .47993 L
.49278 .4808 L
.49331 .48154 L
.49438 .48294 L
.49477 .48314 L
.49599 .48474 L
.496 .48475 L
.49728 .48636 L
.49759 .48683 L
.49838 .48796 L
.4992 .48896 L
.49941 .48957 L
.5008 .49105 L
.50093 .49117 L
.50225 .49278 L
.50241 .49281 L
.50332 .49438 L
.50401 .49534 L
.50435 .49599 L
.50551 .49759 L
.50562 .49783 L
.50562 .4992 L
.50562 .4992 L
.50401 .49933 L
.50347 .4992 L
.50241 .49872 L
.50122 .49759 L
.5008 .49667 L
.49932 .49599 L
.4992 .49499 L
.49838 .49438 L
.49759 .49305 L
.49726 .49278 L
.496 .49117 L
.49599 .49117 L
.49477 .48957 L
.49438 .48918 L
.49326 .48796 L
.49278 .48705 L
.49224 .48636 L
.49117 .4849 L
.49108 .48475 L
.48985 .48314 L
.48957 .48278 L
.48814 .48154 L
.48796 .48097 L
.48727 .47993 L
.48636 .4786 L
.4862 .47833 L
.48504 .47672 L
.48475 .47632 L
.48391 .47512 L
.48314 .47398 L
.48265 .47351 L
.4822 .47191 L
F
.005 .83 1 r
.48314 .42188 m
.4834 .42215 L
.48475 .42329 L
.48495 .42375 L
.48636 .42528 L
.4864 .42536 L
.4878 .42696 L
.48796 .42714 L
.48917 .42857 L
.48957 .42902 L
.49052 .43017 L
.49117 .4307 L
.49187 .43178 L
.49278 .43281 L
.49343 .43338 L
.49438 .43483 L
.49453 .43499 L
.49581 .43659 L
.49599 .43681 L
.4971 .4382 L
.49759 .43869 L
.49897 .4398 L
.4992 .44078 L
.49978 .44141 L
.5008 .44283 L
.50094 .44301 L
.50222 .44462 L
.50241 .44473 L
.50349 .44622 L
.50401 .44682 L
.50501 .44783 L
.50562 .44892 L
.50604 .44943 L
.50722 .45098 L
.50726 .45104 L
.50852 .45265 L
.50883 .45292 L
.51026 .45425 L
.51043 .45504 L
.51114 .45586 L
.51204 .45716 L
.51226 .45746 L
.51352 .45907 L
.51364 .45911 L
.51476 .46067 L
.51525 .4612 L
.51625 .46228 L
.51686 .46334 L
.51728 .46388 L
.51846 .46545 L
.51848 .46549 L
.51972 .46709 L
.52007 .46737 L
.52143 .4687 L
.52167 .46954 L
.52231 .4703 L
.52328 .47169 L
.52343 .47191 L
.52466 .47351 L
.52488 .47356 L
.52589 .47512 L
.52649 .47574 L
.52737 .47672 L
.52809 .47794 L
.5284 .47833 L
.52959 .47993 L
.5297 .48007 L
.5308 .48154 L
.5313 .48193 L
.53249 .48314 L
.53291 .48419 L
.53337 .48475 L
.5345 .48636 L
.53451 .48637 L
.5357 .48796 L
.53612 .4885 L
.53692 .48957 L
.53772 .49044 L
.53835 .49117 L
.53933 .4927 L
.53938 .49278 L
.54057 .49438 L
.54093 .49485 L
.54177 .49599 L
.54254 .49668 L
.54336 .49759 L
.54414 .49908 L
.54424 .4992 L
.54539 .5008 L
.54575 .50126 L
.54658 .50241 L
.54735 .50342 L
.54778 .50401 L
.54896 .50555 L
.54902 .50562 L
.55014 .50722 L
.55057 .50778 L
.5513 .50883 L
.55217 .50999 L
.55248 .51043 L
.55364 .51204 L
.55378 .51221 L
.55473 .51364 L
.55538 .51454 L
.55583 .51525 L
.55693 .51686 L
.55699 .51693 L
.55776 .51846 L
.55699 .51859 L
.55685 .51846 L
.55538 .51711 L
.55526 .51686 L
.55379 .51525 L
.55378 .51524 L
.55237 .51364 L
.55217 .51343 L
.55097 .51204 L
.55057 .51158 L
.54959 .51043 L
.54896 .50986 L
.54823 .50883 L
.54735 .50779 L
.54673 .50722 L
.54575 .50581 L
.54558 .50562 L
.54427 .50401 L
.54414 .504 L
.54296 .50241 L
.54254 .50195 L
.54124 .5008 L
.54093 .4999 L
.54032 .4992 L
.53933 .49786 L
.53914 .49759 L
.53781 .49599 L
.53772 .49592 L
.53653 .49438 L
.53612 .49389 L
.53511 .49278 L
.53451 .4918 L
.53403 .49117 L
.53291 .48975 L
.53282 .48957 L
.53147 .48796 L
.5313 .48778 L
.52993 .48636 L
.5297 .4857 L
.52893 .48475 L
.52809 .4836 L
.5278 .48314 L
.52649 .48156 L
.52646 .48154 L
.52521 .47993 L
.52488 .47955 L
.52384 .47833 L
.52328 .47743 L
.52276 .47672 L
.52167 .47533 L
.52158 .47512 L
.52024 .47351 L
.52007 .47334 L
.51873 .47191 L
.51846 .47123 L
.51773 .4703 L
.51686 .46911 L
.5166 .4687 L
.5153 .46709 L
.51525 .46707 L
.51407 .46549 L
.51364 .46502 L
.51269 .46388 L
.51204 .46287 L
.51162 .46228 L
.51043 .46075 L
.5104 .46067 L
.50915 .45907 L
.50883 .45879 L
.50761 .45746 L
.50722 .45661 L
.50664 .45586 L
.50562 .45445 L
.5055 .45425 L
.50426 .45265 L
.50401 .45257 L
.50304 .45104 L
.50241 .45034 L
.50166 .44943 L
.5008 .44812 L
.5006 .44783 L
.49939 .44622 L
.4992 .44597 L
.49819 .44462 L
.49759 .44408 L
.49666 .44301 L
.49599 .44175 L
.49573 .44141 L
.49458 .4398 L
.49438 .43955 L
.4934 .4382 L
.49278 .43738 L
.4922 .43659 L
.49117 .43529 L
.49093 .43499 L
.48984 .43338 L
.48957 .43301 L
.48869 .43178 L
.48796 .43079 L
.48752 .43017 L
.48636 .42857 L
.48636 .42856 L
.48528 .42696 L
.48475 .42622 L
.48419 .42536 L
.48314 .42384 L
.48309 .42375 L
.4822 .42215 L
F
0 .59 1 r
.48314 .4773 m
.48427 .47833 L
.48475 .47878 L
.48582 .47993 L
.48636 .48051 L
.48723 .48154 L
.48796 .48214 L
.48859 .48314 L
.48957 .48428 L
.49004 .48475 L
.49114 .48636 L
.49117 .48639 L
.49235 .48796 L
.49278 .48852 L
.49354 .48957 L
.49438 .49075 L
.49496 .49117 L
.49569 .49278 L
.49599 .49329 L
.49648 .49438 L
.49599 .49514 L
.49483 .49438 L
.49438 .49403 L
.49314 .49278 L
.49278 .49241 L
.4917 .49117 L
.49117 .49057 L
.49035 .48957 L
.48957 .48891 L
.48905 .48796 L
.48796 .48665 L
.48769 .48636 L
.48657 .48475 L
.48636 .48447 L
.4854 .48314 L
.48475 .48227 L
.48424 .48154 L
.48314 .47996 L
.48311 .47993 L
.48221 .47833 L
F
0 .58 1 r
.48314 .47737 m
.48421 .47833 L
.48475 .47883 L
.48578 .47993 L
.48636 .48055 L
.4872 .48154 L
.48796 .48218 L
.48856 .48314 L
.48957 .48432 L
.49 .48475 L
.49112 .48636 L
.49117 .48642 L
.49233 .48796 L
.49278 .48856 L
.49351 .48957 L
.49438 .4908 L
.4949 .49117 L
.49565 .49278 L
.49599 .49339 L
.49641 .49438 L
.49599 .49504 L
.49491 .49438 L
.49438 .49397 L
.49318 .49278 L
.49278 .49237 L
.49173 .49117 L
.49117 .49054 L
.49038 .48957 L
.48957 .48887 L
.48908 .48796 L
.48796 .48661 L
.48773 .48636 L
.4866 .48475 L
.48636 .48444 L
.48542 .48314 L
.48475 .48223 L
.48427 .48154 L
.48317 .47993 L
.48314 .4799 L
.48227 .47833 L
F
0 .57 1 r
.48314 .47744 m
.48414 .47833 L
.48475 .47888 L
.48573 .47993 L
.48636 .4806 L
.48717 .48154 L
.48796 .48222 L
.48853 .48314 L
.48957 .48436 L
.48996 .48475 L
.49109 .48636 L
.49117 .48646 L
.4923 .48796 L
.49278 .4886 L
.49348 .48957 L
.49438 .49084 L
.49484 .49117 L
.4956 .49278 L
.49599 .4935 L
.49633 .49438 L
.49599 .49493 L
.495 .49438 L
.49438 .49392 L
.49323 .49278 L
.49278 .49232 L
.49177 .49117 L
.49117 .4905 L
.49041 .48957 L
.48957 .48883 L
.4891 .48796 L
.48796 .48657 L
.48776 .48636 L
.48662 .48475 L
.48636 .4844 L
.48545 .48314 L
.48475 .48219 L
.4843 .48154 L
.48321 .47993 L
.48314 .47984 L
.48232 .47833 L
F
0 .56 1 r
.48314 .47752 m
.48408 .47833 L
.48475 .47894 L
.48569 .47993 L
.48636 .48064 L
.48713 .48154 L
.48796 .48225 L
.4885 .48314 L
.48957 .4844 L
.48993 .48475 L
.49106 .48636 L
.49117 .4865 L
.49227 .48796 L
.49278 .48864 L
.49345 .48957 L
.49438 .49089 L
.49478 .49117 L
.49555 .49278 L
.49599 .49362 L
.49625 .49438 L
.49599 .49481 L
.49511 .49438 L
.49438 .49386 L
.49327 .49278 L
.49278 .49228 L
.4918 .49117 L
.49117 .49047 L
.49044 .48957 L
.48957 .48879 L
.48913 .48796 L
.48796 .48653 L
.4878 .48636 L
.48665 .48475 L
.48636 .48436 L
.48548 .48314 L
.48475 .48215 L
.48433 .48154 L
.48325 .47993 L
.48314 .47977 L
.48239 .47833 L
F
1 .93 .114 r
.48314 .41535 m
.48355 .41572 L
.48475 .41686 L
.4852 .41733 L
.48636 .41845 L
.48671 .41894 L
.48796 .42031 L
.48827 .42054 L
.48957 .42214 L
.48957 .42215 L
.49095 .42375 L
.49117 .42389 L
.49231 .42536 L
.49278 .42588 L
.4941 .42696 L
.49438 .42787 L
.49503 .42857 L
.49599 .42986 L
.49623 .43017 L
.49759 .43177 L
.4976 .43178 L
.4989 .43338 L
.4992 .43375 L
.50032 .43499 L
.5008 .43581 L
.50143 .43659 L
.50241 .43787 L
.50258 .4382 L
.50401 .4398 L
.50402 .4398 L
.50549 .44141 L
.50562 .44185 L
.50657 .44301 L
.50722 .44395 L
.50768 .44462 L
.50883 .44603 L
.50907 .44622 L
.51032 .44783 L
.51043 .44797 L
.51167 .44943 L
.51204 .45007 L
.51277 .45104 L
.51364 .45219 L
.51386 .45265 L
.51525 .45422 L
.51532 .45425 L
.51672 .45586 L
.51686 .45624 L
.51783 .45746 L
.51846 .45837 L
.51892 .45907 L
.52007 .46047 L
.52029 .46067 L
.52152 .46228 L
.52167 .46245 L
.52287 .46388 L
.52328 .46456 L
.52396 .46549 L
.52488 .46669 L
.52506 .46709 L
.52648 .4687 L
.52649 .46871 L
.52791 .4703 L
.52809 .47078 L
.52899 .47191 L
.5297 .47291 L
.53008 .47351 L
.5313 .475 L
.53142 .47512 L
.53265 .47672 L
.53291 .47701 L
.53402 .47833 L
.53451 .47914 L
.5351 .47993 L
.53612 .48126 L
.53623 .48154 L
.53759 .48314 L
.53772 .48327 L
.53907 .48475 L
.53933 .48537 L
.54011 .48636 L
.54093 .48751 L
.54121 .48796 L
.54252 .48957 L
.54254 .48957 L
.54374 .49117 L
.54414 .4916 L
.54513 .49278 L
.54575 .49375 L
.5462 .49438 L
.54735 .49588 L
.5474 .49599 L
.54866 .49759 L
.54896 .49783 L
.55019 .4992 L
.55057 .5 L
.55119 .5008 L
.55217 .50215 L
.55232 .50241 L
.55358 .50401 L
.55378 .50407 L
.5548 .50562 L
.55538 .50623 L
.5562 .50722 L
.55699 .50843 L
.55727 .50883 L
.55849 .51043 L
.55859 .51057 L
.5597 .51204 L
.5602 .51244 L
.56124 .51364 L
.5618 .51469 L
.56222 .51525 L
.56339 .51686 L
.56341 .51688 L
.56459 .51846 L
.56501 .51901 L
.5658 .52007 L
.56662 .52096 L
.56718 .52167 L
.56822 .52322 L
.56826 .52328 L
.56945 .52488 L
.56983 .52537 L
.57065 .52649 L
.57143 .52722 L
.57214 .52809 L
.57304 .52959 L
.57311 .5297 L
.57428 .5313 L
.57464 .53178 L
.57546 .53291 L
.57625 .53394 L
.57708 .53451 L
.57785 .53608 L
.57788 .53612 L
.57902 .53772 L
.57946 .53831 L
.58017 .53933 L
.58106 .54052 L
.58135 .54093 L
.5825 .54254 L
.58267 .54278 L
.58357 .54414 L
.58428 .54514 L
.58466 .54575 L
.5857 .54735 L
.58588 .54763 L
.58646 .54896 L
.58588 .54921 L
.58559 .54896 L
.58428 .54775 L
.58389 .54735 L
.58267 .54615 L
.58236 .54575 L
.58106 .54432 L
.58084 .54414 L
.57949 .54254 L
.57946 .5425 L
.5781 .54093 L
.57785 .54075 L
.57673 .53933 L
.57625 .53877 L
.57503 .53772 L
.57464 .5368 L
.57404 .53612 L
.57304 .53482 L
.57283 .53451 L
.57143 .53292 L
.57141 .53291 L
.5701 .5313 L
.56983 .53095 L
.56874 .5297 L
.56822 .5289 L
.56762 .52809 L
.56662 .52683 L
.56649 .52649 L
.56501 .52495 L
.56495 .52488 L
.56358 .52328 L
.56341 .5229 L
.56245 .52167 L
.5618 .52079 L
.56136 .52007 L
.5602 .51868 L
.55987 .51846 L
.55863 .51686 L
.55859 .5168 L
.55734 .51525 L
.55699 .5147 L
.55624 .51364 L
.55538 .51256 L
.5552 .51204 L
.55378 .51048 L
.55361 .51043 L
.55231 .50883 L
.55217 .50855 L
.55116 .50722 L
.55057 .50641 L
.55009 .50562 L
.54896 .50427 L
.54863 .50401 L
.5474 .50241 L
.54735 .50235 L
.54613 .5008 L
.54575 .50023 L
.54503 .4992 L
.54414 .49809 L
.544 .49759 L
.54254 .49603 L
.54244 .49599 L
.54112 .49438 L
.54093 .49402 L
.53999 .49278 L
.53933 .49189 L
.53892 .49117 L
.53772 .48977 L
.53749 .48957 L
.53614 .48796 L
.53612 .48779 L
.53498 .48636 L
.53451 .48567 L
.53389 .48475 L
.53291 .48353 L
.53282 .48314 L
.53133 .48154 L
.5313 .48151 L
.52996 .47993 L
.5297 .47943 L
.52887 .47833 L
.52809 .4773 L
.52778 .47672 L
.52649 .47521 L
.52639 .47512 L
.52494 .47351 L
.52488 .47319 L
.52386 .47191 L
.52328 .47105 L
.52277 .4703 L
.52167 .46893 L
.52163 .4687 L
.52025 .46709 L
.52007 .46692 L
.51884 .46549 L
.51846 .46481 L
.51778 .46388 L
.51686 .46266 L
.51666 .46228 L
.51533 .46067 L
.51525 .46063 L
.51377 .45907 L
.51364 .45856 L
.51278 .45746 L
.51204 .45639 L
.51169 .45586 L
.51043 .45426 L
.51043 .45425 L
.50921 .45265 L
.50883 .45231 L
.50776 .45104 L
.50722 .45012 L
.50673 .44943 L
.50562 .44795 L
.50556 .44783 L
.50432 .44622 L
.50401 .4461 L
.50269 .44462 L
.50241 .44384 L
.50177 .44301 L
.5008 .44162 L
.50067 .44141 L
.49946 .4398 L
.4992 .43946 L
.49826 .4382 L
.49759 .43757 L
.49682 .43659 L
.49599 .43524 L
.49581 .43499 L
.49464 .43338 L
.49438 .43304 L
.49346 .43178 L
.49278 .43087 L
.49188 .43017 L
.49117 .42877 L
.49102 .42857 L
.48991 .42696 L
.48957 .42651 L
.48875 .42536 L
.48796 .42428 L
.48759 .42375 L
.48643 .42215 L
.48636 .42204 L
.48536 .42054 L
.48475 .41968 L
.48428 .41894 L
.48321 .41733 L
.48314 .41723 L
.4824 .41572 L
F
0 .55 1 r
.48314 .4776 m
.484 .47833 L
.48475 .47899 L
.48564 .47993 L
.48636 .48068 L
.4871 .48154 L
.48796 .4823 L
.48847 .48314 L
.48957 .48444 L
.48989 .48475 L
.49103 .48636 L
.49117 .48653 L
.49224 .48796 L
.49278 .48868 L
.49342 .48957 L
.49438 .49094 L
.49471 .49117 L
.49551 .49278 L
.49599 .49378 L
.49615 .49438 L
.49599 .49467 L
.49523 .49438 L
.49438 .4938 L
.49332 .49278 L
.49278 .49224 L
.49184 .49117 L
.49117 .49043 L
.49046 .48957 L
.48957 .48875 L
.48915 .48796 L
.48796 .48649 L
.48784 .48636 L
.48668 .48475 L
.48636 .48433 L
.48551 .48314 L
.48475 .48211 L
.48436 .48154 L
.48329 .47993 L
.48314 .4797 L
.48245 .47833 L
F
0 .54 1 r
.48314 .47769 m
.48393 .47833 L
.48475 .47904 L
.4856 .47993 L
.48636 .48072 L
.48706 .48154 L
.48796 .48234 L
.48843 .48314 L
.48957 .48448 L
.48984 .48475 L
.491 .48636 L
.49117 .48657 L
.49221 .48796 L
.49278 .48872 L
.49339 .48957 L
.49438 .49099 L
.49464 .49117 L
.49545 .49278 L
.49599 .494 L
.49605 .49438 L
.49599 .4945 L
.49539 .49438 L
.49438 .49374 L
.49337 .49278 L
.49278 .4922 L
.49187 .49117 L
.49117 .49039 L
.49049 .48957 L
.48957 .48871 L
.48918 .48796 L
.48796 .48645 L
.48787 .48636 L
.48671 .48475 L
.48636 .48429 L
.48554 .48314 L
.48475 .48206 L
.48439 .48154 L
.48334 .47993 L
.48314 .47962 L
.48252 .47833 L
F
1 .93 .114 r
.48314 .47158 m
.48428 .47191 L
.48475 .47198 L
.48636 .47332 L
.48654 .47351 L
.48796 .47493 L
.48802 .47512 L
.48953 .47672 L
.48957 .47677 L
.49101 .47833 L
.49117 .47877 L
.49215 .47993 L
.49278 .48087 L
.49326 .48154 L
.49438 .48298 L
.49472 .48314 L
.49596 .48475 L
.49599 .48479 L
.49725 .48636 L
.49759 .48688 L
.49835 .48796 L
.4992 .48901 L
.49939 .48957 L
.5008 .49109 L
.50089 .49117 L
.50223 .49278 L
.50241 .49283 L
.50327 .49438 L
.50401 .49543 L
.5043 .49599 L
.5054 .49759 L
.50495 .4992 L
.50401 .4992 L
.50398 .4992 L
.50241 .4986 L
.50131 .49759 L
.5008 .49653 L
.49935 .49599 L
.4992 .49494 L
.49842 .49438 L
.49759 .49302 L
.49729 .49278 L
.49603 .49117 L
.49599 .49115 L
.4948 .48957 L
.49438 .48915 L
.49328 .48796 L
.49278 .48701 L
.49226 .48636 L
.49117 .48487 L
.4911 .48475 L
.48988 .48314 L
.48957 .48274 L
.48816 .48154 L
.48796 .48092 L
.48731 .47993 L
.48636 .47853 L
.48625 .47833 L
.4851 .47672 L
.48475 .47624 L
.48398 .47512 L
.48314 .47382 L
.48282 .47351 L
.48255 .47191 L
F
0 .53 1 r
.48314 .47778 m
.48385 .47833 L
.48475 .4791 L
.48555 .47993 L
.48636 .48077 L
.48703 .48154 L
.48796 .48238 L
.4884 .48314 L
.48957 .48452 L
.4898 .48475 L
.49097 .48636 L
.49117 .48661 L
.49218 .48796 L
.49278 .48876 L
.49336 .48957 L
.49438 .49104 L
.49457 .49117 L
.4954 .49278 L
.49438 .49368 L
.49342 .49278 L
.49278 .49215 L
.49191 .49117 L
.49117 .49036 L
.49052 .48957 L
.48957 .48867 L
.4892 .48796 L
.48796 .48641 L
.48791 .48636 L
.48673 .48475 L
.48636 .48425 L
.48556 .48314 L
.48475 .48202 L
.48442 .48154 L
.48339 .47993 L
.48314 .47953 L
.4826 .47833 L
F
0 .52 1 r
.48314 .47787 m
.48376 .47833 L
.48475 .47915 L
.4855 .47993 L
.48636 .48081 L
.48699 .48154 L
.48796 .48243 L
.48837 .48314 L
.48957 .48456 L
.48976 .48475 L
.49094 .48636 L
.49117 .48665 L
.49215 .48796 L
.49278 .4888 L
.49333 .48957 L
.49438 .49109 L
.4945 .49117 L
.49535 .49278 L
.49438 .49362 L
.49348 .49278 L
.49278 .49211 L
.49194 .49117 L
.49117 .49032 L
.49055 .48957 L
.48957 .48862 L
.48923 .48796 L
.48796 .48637 L
.48795 .48636 L
.48676 .48475 L
.48636 .48422 L
.48559 .48314 L
.48475 .48197 L
.48445 .48154 L
.48344 .47993 L
.48314 .47944 L
.48268 .47833 L
F
1 .19 0 r
.48314 .48437 m
.48343 .48475 L
.48314 .48537 L
.48271 .48475 L
F
1 1 1 r
.48314 .39562 m
.48442 .39646 L
.48475 .39671 L
.4863 .39807 L
.48636 .39811 L
.48795 .39967 L
.48796 .39968 L
.48949 .40128 L
.48957 .40139 L
.491 .40288 L
.49117 .40323 L
.49223 .40449 L
.49278 .40523 L
.49337 .40609 L
.49438 .4069 L
.49507 .4077 L
.49599 .40886 L
.49636 .4093 L
.49759 .41085 L
.49764 .41091 L
.49881 .41251 L
.4992 .41283 L
.50026 .41412 L
.5008 .41483 L
.50154 .41572 L
.50241 .41686 L
.50279 .41733 L
.50401 .41891 L
.50403 .41894 L
.50509 .42054 L
.50562 .42093 L
.5066 .42215 L
.50722 .42298 L
.50785 .42375 L
.50883 .42505 L
.50908 .42536 L
.51024 .42696 L
.51043 .42712 L
.51159 .42857 L
.51204 .42917 L
.51284 .43017 L
.51364 .43125 L
.51407 .43178 L
.51525 .43335 L
.51528 .43338 L
.51629 .43499 L
.51686 .43541 L
.5178 .43659 L
.51846 .43749 L
.51903 .4382 L
.52007 .43959 L
.52024 .4398 L
.52136 .44141 L
.52167 .44184 L
.52274 .44301 L
.52328 .44374 L
.52397 .44462 L
.52488 .44585 L
.52518 .44622 L
.52636 .44783 L
.52649 .448 L
.52733 .44943 L
.52809 .45001 L
.5289 .45104 L
.5297 .45211 L
.53012 .45265 L
.5313 .45422 L
.53133 .45425 L
.5324 .45586 L
.53291 .45653 L
.53383 .45746 L
.53451 .45838 L
.53506 .45907 L
.53612 .46048 L
.53627 .46067 L
.53742 .46228 L
.53772 .46269 L
.53835 .46388 L
.53933 .46465 L
.53999 .46549 L
.54093 .46675 L
.5412 .46709 L
.5424 .4687 L
.54254 .4689 L
.54344 .4703 L
.54414 .4712 L
.54492 .47191 L
.54575 .47302 L
.54614 .47351 L
.54734 .47512 L
.54735 .47513 L
.54847 .47672 L
.54896 .47736 L
.54939 .47833 L
.55057 .47929 L
.55107 .47993 L
.55217 .4814 L
.55228 .48154 L
.55347 .48314 L
.55378 .48356 L
.5545 .48475 L
.55538 .48583 L
.556 .48636 L
.55699 .48767 L
.55722 .48796 L
.55844 .48957 L
.55859 .4898 L
.55954 .49117 L
.5602 .492 L
.56047 .49278 L
.5618 .49424 L
.56215 .49438 L
.56337 .49599 L
.56341 .49605 L
.56455 .49759 L
.56501 .49821 L
.56558 .4992 L
.56662 .50041 L
.56708 .5008 L
.56822 .50232 L
.56829 .50241 L
.56953 .50401 L
.56983 .50444 L
.57063 .50562 L
.57143 .50661 L
.57159 .50722 L
.57304 .50874 L
.57323 .50883 L
.5745 .51043 L
.57464 .51069 L
.57564 .51204 L
.57625 .51284 L
.57668 .51364 L
.57785 .51498 L
.57816 .51525 L
.57944 .51686 L
.57946 .51696 L
.58064 .51846 L
.58106 .51907 L
.58173 .52007 L
.58267 .52122 L
.58274 .52167 L
.58428 .52326 L
.5843 .52328 L
.58563 .52488 L
.58588 .52532 L
.58674 .52649 L
.58749 .52745 L
.58781 .52809 L
.58909 .52956 L
.58924 .5297 L
.59062 .5313 L
.5907 .53157 L
.59175 .53291 L
.5923 .53369 L
.59283 .53451 L
.59391 .53582 L
.59393 .53612 L
.59539 .53772 L
.59551 .53784 L
.59676 .53933 L
.59712 .53993 L
.59785 .54093 L
.59872 .54207 L
.59894 .54254 L
.60032 .54414 L
.60033 .54415 L
.6018 .54575 L
.60193 .54617 L
.60286 .54735 L
.60354 .54831 L
.60395 .54896 L
.60514 .55044 L
.60525 .55057 L
.60647 .55217 L
.60675 .5524 L
.60788 .55378 L
.60835 .55455 L
.60895 .55538 L
.60996 .5567 L
.61009 .55699 L
.6114 .55859 L
.61156 .55865 L
.61295 .5602 L
.61317 .56077 L
.61396 .5618 L
.61477 .56294 L
.61506 .56341 L
.61633 .56501 L
.61638 .56508 L
.61755 .56662 L
.61799 .56696 L
.61899 .56822 L
.61959 .56917 L
.62005 .56983 L
.6212 .57134 L
.62124 .57143 L
.62248 .57304 L
.6228 .57345 L
.62407 .57464 L
.62441 .57538 L
.62505 .57625 L
.62601 .57759 L
.62617 .57785 L
.62741 .57946 L
.62762 .57973 L
.62863 .58106 L
.62922 .58154 L
.63008 .58267 L
.63083 .58382 L
.63114 .58428 L
.63234 .58588 L
.63243 .586 L
.63355 .58749 L
.63404 .58811 L
.63516 .58909 L
.63564 .59002 L
.63612 .5907 L
.63725 .59226 L
.63727 .5923 L
.63848 .59391 L
.63885 .59438 L
.6397 .59551 L
.64046 .59618 L
.64114 .59712 L
.64206 .59851 L
.64221 .59872 L
.64341 .60033 L
.64367 .60066 L
.64462 .60193 L
.64527 .60277 L
.64619 .60354 L
.64688 .60473 L
.64717 .60514 L
.64833 .60675 L
.64848 .60694 L
.64954 .60835 L
.65009 .60906 L
.65128 .60996 L
.6517 .61092 L
.65214 .61156 L
.65325 .61317 L
.6533 .61324 L
.65444 .61477 L
.65491 .61536 L
.65566 .61638 L
.65651 .61747 L
.65714 .61799 L
.65812 .61954 L
.65815 .61959 L
.65934 .6212 L
.65972 .62168 L
.66054 .6228 L
.66133 .6238 L
.66177 .62441 L
.66293 .62589 L
.66311 .62601 L
.66421 .62762 L
.66454 .62802 L
.66539 .62922 L
.66614 .63016 L
.6666 .63083 L
.66775 .63228 L
.66785 .63243 L
.66775 .6336 L
.66653 .63243 L
.66614 .63213 L
.66475 .63083 L
.66454 .63066 L
.66297 .62922 L
.66293 .62919 L
.66133 .62775 L
.66118 .62762 L
.65972 .62631 L
.65937 .62601 L
.65812 .62485 L
.65761 .62441 L
.65651 .62332 L
.65597 .6228 L
.65491 .62165 L
.65448 .6212 L
.6533 .61981 L
.6531 .61959 L
.65179 .61799 L
.6517 .61782 L
.65054 .61638 L
.65009 .61567 L
.64933 .61477 L
.64848 .61381 L
.64814 .61317 L
.64688 .61172 L
.64675 .61156 L
.64555 .60996 L
.64527 .60956 L
.64443 .60835 L
.64367 .6073 L
.64343 .60675 L
.64206 .60543 L
.64184 .60514 L
.64065 .60354 L
.64046 .60326 L
.63961 .60193 L
.63885 .60125 L
.63813 .60033 L
.63725 .59914 L
.63692 .59872 L
.63572 .59712 L
.63564 .597 L
.63467 .59551 L
.63404 .59496 L
.63321 .59391 L
.63243 .59286 L
.63199 .5923 L
.63083 .59075 L
.63078 .5907 L
.62966 .58909 L
.62922 .58848 L
.62878 .58749 L
.62762 .58659 L
.62705 .58588 L
.62601 .58449 L
.62584 .58428 L
.62466 .58267 L
.62441 .5823 L
.62365 .58106 L
.6228 .58032 L
.62212 .57946 L
.6212 .57822 L
.62091 .57785 L
.6197 .57625 L
.61959 .57609 L
.61859 .57464 L
.61799 .57382 L
.61771 .57304 L
.61638 .57195 L
.61597 .57143 L
.61477 .56984 L
.61476 .56983 L
.61358 .56822 L
.61317 .56764 L
.61257 .56662 L
.61156 .56534 L
.61104 .56501 L
.60996 .56358 L
.60983 .56341 L
.6086 .5618 L
.60835 .56143 L
.60752 .5602 L
.60675 .5592 L
.6066 .55859 L
.60514 .55731 L
.60489 .55699 L
.60365 .55538 L
.60354 .55519 L
.6025 .55378 L
.60193 .553 L
.60148 .55217 L
.60033 .55079 L
.59996 .55057 L
.59873 .54896 L
.59872 .54893 L
.5975 .54735 L
.59712 .54678 L
.59642 .54575 L
.59551 .5446 L
.59546 .54414 L
.59391 .54266 L
.59381 .54254 L
.59252 .54093 L
.5923 .54054 L
.5914 .53933 L
.5907 .53839 L
.59036 .53772 L
.58909 .53626 L
.58888 .53612 L
.58756 .53451 L
.58749 .53429 L
.5864 .53291 L
.58588 .53216 L
.58532 .5313 L
.58428 .53002 L
.58395 .5297 L
.58273 .52809 L
.58267 .52802 L
.5814 .52649 L
.58106 .52592 L
.5803 .52488 L
.57946 .52378 L
.57923 .52328 L
.57785 .52171 L
.5778 .52167 L
.57639 .52007 L
.57625 .51967 L
.57529 .51846 L
.57464 .51754 L
.57421 .51686 L
.57304 .51543 L
.57287 .51525 L
.57165 .51364 L
.57143 .51342 L
.57028 .51204 L
.56983 .5113 L
.5692 .51043 L
.56822 .50917 L
.56808 .50883 L
.56672 .50722 L
.56662 .50714 L
.56523 .50562 L
.56501 .50506 L
.56419 .50401 L
.56341 .50292 L
.56309 .50241 L
.5618 .50082 L
.56179 .5008 L
.56057 .4992 L
.5602 .49883 L
.55916 .49759 L
.55859 .49668 L
.55809 .49599 L
.55699 .49454 L
.55692 .49438 L
.55564 .49278 L
.55538 .4926 L
.5541 .49117 L
.55378 .49045 L
.55309 .48957 L
.55217 .48829 L
.55197 .48796 L
.55071 .48636 L
.55057 .48617 L
.54949 .48475 L
.54896 .48424 L
.54806 .48314 L
.54735 .48205 L
.547 .48154 L
.54578 .47993 L
.54575 .4799 L
.54456 .47833 L
.54414 .47807 L
.543 .47672 L
.54254 .47583 L
.542 .47512 L
.54093 .47364 L
.54086 .47351 L
.53963 .47191 L
.53933 .47152 L
.53841 .4703 L
.53772 .46964 L
.53698 .4687 L
.53612 .4674 L
.53591 .46709 L
.5347 .46549 L
.53451 .46525 L
.53348 .46388 L
.53291 .4635 L
.53192 .46228 L
.5313 .46118 L
.53093 .46067 L
.52976 .45907 L
.5297 .45898 L
.52856 .45746 L
.52809 .45687 L
.52733 .45586 L
.52649 .455 L
.52592 .45425 L
.52488 .45272 L
.52483 .45265 L
.52363 .45104 L
.52328 .4506 L
.52241 .44943 L
.52167 .4485 L
.52087 .44783 L
.52007 .4465 L
.51987 .44622 L
.51869 .44462 L
.51846 .44433 L
.51748 .44301 L
.51686 .44222 L
.51625 .44141 L
.51525 .44031 L
.51488 .4398 L
.51376 .4382 L
.51364 .43805 L
.51256 .43659 L
.51204 .43594 L
.51133 .43499 L
.51043 .43385 L
.50986 .43338 L
.50883 .43178 L
.50883 .43178 L
.50763 .43017 L
.50722 .42966 L
.50641 .42857 L
.50562 .42756 L
.50477 .42696 L
.50401 .42555 L
.50387 .42536 L
.50271 .42375 L
.50241 .42338 L
.5015 .42215 L
.5008 .42126 L
.50027 .42054 L
.4992 .41917 L
.4989 .41894 L
.4978 .41733 L
.49759 .41708 L
.4966 .41572 L
.49599 .41495 L
.49538 .41412 L
.49438 .41285 L
.4939 .41251 L
.49291 .41091 L
.49278 .41075 L
.49172 .4093 L
.49117 .40861 L
.49052 .4077 L
.48957 .40648 L
.48929 .40609 L
.48806 .40449 L
.48796 .40436 L
.48691 .40288 L
.48636 .40216 L
.48576 .40128 L
.48475 .39991 L
.4846 .39967 L
.48355 .39807 L
.48314 .39744 L
.48272 .39646 L
F
0 .51 1 r
.48314 .47798 m
.48365 .47833 L
.48475 .47921 L
.48545 .47993 L
.48636 .48086 L
.48695 .48154 L
.48796 .48248 L
.48834 .48314 L
.48957 .48461 L
.48971 .48475 L
.49091 .48636 L
.49117 .48669 L
.49212 .48796 L
.49278 .48884 L
.49329 .48957 L
.49438 .49114 L
.49442 .49117 L
.49529 .49278 L
.49438 .49356 L
.49353 .49278 L
.49278 .49206 L
.49198 .49117 L
.49117 .49028 L
.49058 .48957 L
.48957 .48858 L
.48926 .48796 L
.48798 .48636 L
.48796 .48633 L
.48679 .48475 L
.48636 .48418 L
.48562 .48314 L
.48475 .48193 L
.48449 .48154 L
.48349 .47993 L
.48314 .47933 L
.48278 .47833 L
F
1 .18 0 r
.48314 .48447 m
.48335 .48475 L
.48314 .48526 L
.4828 .48475 L
F
1 .96 .289 r
.48314 .50404 m
.48475 .50533 L
.48486 .50562 L
.48625 .50722 L
.48636 .50735 L
.4875 .50883 L
.48796 .50939 L
.48872 .51043 L
.48957 .51152 L
.48992 .51204 L
.49109 .51364 L
.49117 .51376 L
.49199 .51525 L
.49117 .51547 L
.49093 .51525 L
.48957 .51394 L
.48927 .51364 L
.48796 .5123 L
.48779 .51204 L
.48642 .51043 L
.48636 .51036 L
.48512 .50883 L
.48475 .50834 L
.48392 .50722 L
.48314 .50604 L
.48287 .50562 L
F
.733 .99 1 r
.48314 .45889 m
.48331 .45907 L
.48475 .46053 L
.48488 .46067 L
.48475 .46185 L
.48397 .46067 L
.48314 .45961 L
.48288 .45907 L
F
0 .5 1 r
.48314 .4781 m
.48353 .47833 L
.48475 .47927 L
.4854 .47993 L
.48636 .4809 L
.48691 .48154 L
.48796 .48253 L
.48831 .48314 L
.48957 .48465 L
.48967 .48475 L
.49088 .48636 L
.49117 .48673 L
.49209 .48796 L
.49278 .48888 L
.49326 .48957 L
.49436 .49117 L
.49438 .4912 L
.49523 .49278 L
.49438 .49349 L
.49359 .49278 L
.49278 .49202 L
.49202 .49117 L
.49117 .49024 L
.49061 .48957 L
.48957 .48853 L
.48928 .48796 L
.48801 .48636 L
.48796 .48629 L
.48682 .48475 L
.48636 .48414 L
.48565 .48314 L
.48475 .48188 L
.48452 .48154 L
.48354 .47993 L
.48314 .4792 L
.48289 .47833 L
F
1 .17 0 r
.48314 .4846 m
.48326 .48475 L
.48314 .48511 L
.48292 .48475 L
F
0 .69 1 r
.48314 .43505 m
.48435 .43659 L
.48475 .43704 L
.48563 .4382 L
.48636 .43904 L
.48693 .4398 L
.48796 .44105 L
.48823 .44141 L
.48952 .44301 L
.48957 .44307 L
.49073 .44462 L
.49117 .44515 L
.49196 .44622 L
.49278 .44723 L
.49321 .44783 L
.49438 .4493 L
.49448 .44943 L
.49567 .45104 L
.49599 .45143 L
.49685 .45265 L
.49759 .45357 L
.49806 .45425 L
.4992 .45571 L
.4993 .45586 L
.4992 .45745 L
.49793 .45586 L
.49759 .45547 L
.49663 .45425 L
.49599 .45349 L
.49533 .45265 L
.49438 .45149 L
.49403 .45104 L
.49278 .44947 L
.49275 .44943 L
.49153 .44783 L
.49117 .4474 L
.49029 .44622 L
.48957 .44533 L
.48903 .44462 L
.48796 .44325 L
.48778 .44301 L
.48658 .44141 L
.48636 .44113 L
.4854 .4398 L
.48475 .43898 L
.48419 .4382 L
.48314 .43684 L
.48297 .43659 L
F
1 .79 .001 r
.48314 .44177 m
.48396 .44301 L
.48475 .444 L
.48513 .44462 L
.48475 .44511 L
.48436 .44462 L
.48314 .44322 L
.48298 .44301 L
F
0 .35 1 r
.48314 .53293 m
.48427 .53451 L
.48475 .5351 L
.48546 .53612 L
.48636 .53725 L
.48668 .53772 L
.48636 .53863 L
.48567 .53772 L
.48475 .53667 L
.48434 .53612 L
.48314 .5347 L
.48301 .53451 L
F
1 .92 .084 r
.48314 .4719 m
.48349 .47191 L
.48475 .47202 L
.48636 .47349 L
.48638 .47351 L
.48796 .47506 L
.48798 .47512 L
.48945 .47672 L
.48957 .47688 L
.49097 .47833 L
.49117 .47886 L
.4921 .47993 L
.49278 .48093 L
.49323 .48154 L
.49438 .48301 L
.49468 .48314 L
.49592 .48475 L
.49599 .48484 L
.49722 .48636 L
.49759 .48693 L
.49831 .48796 L
.4992 .48906 L
.49937 .48957 L
.5008 .49113 L
.50085 .49117 L
.5022 .49278 L
.50241 .49285 L
.50323 .49438 L
.50401 .49552 L
.50425 .49599 L
.50529 .49759 L
.50401 .49908 L
.50241 .49849 L
.5014 .49759 L
.5008 .49642 L
.49939 .49599 L
.4992 .49489 L
.49846 .49438 L
.49759 .49299 L
.49732 .49278 L
.49606 .49117 L
.49599 .49114 L
.49483 .48957 L
.49438 .48912 L
.4933 .48796 L
.49278 .48698 L
.49229 .48636 L
.49117 .48483 L
.49112 .48475 L
.48991 .48314 L
.48957 .4827 L
.48819 .48154 L
.48796 .48087 L
.48735 .47993 L
.48636 .47845 L
.48629 .47833 L
.48515 .47672 L
.48475 .47615 L
.48405 .47512 L
.48314 .47364 L
.48302 .47351 L
.48312 .47191 L
F
1 .38 0 r
.48314 .53966 m
.48387 .54093 L
.48475 .54237 L
.48478 .54254 L
.48475 .54257 L
.48472 .54254 L
.48314 .54107 L
.48303 .54093 L
F
0 .49 1 r
.48314 .47824 m
.48335 .47833 L
.48475 .47933 L
.48535 .47993 L
.48636 .48095 L
.48687 .48154 L
.48796 .48258 L
.48828 .48314 L
.48957 .4847 L
.48962 .48475 L
.49085 .48636 L
.49117 .48677 L
.49206 .48796 L
.49278 .48893 L
.49323 .48957 L
.49432 .49117 L
.49438 .49127 L
.49517 .49278 L
.49438 .49342 L
.49365 .49278 L
.49278 .49197 L
.49206 .49117 L
.49117 .49021 L
.49064 .48957 L
.48957 .48848 L
.48931 .48796 L
.48804 .48636 L
.48796 .48625 L
.48685 .48475 L
.48636 .4841 L
.48568 .48314 L
.48475 .48183 L
.48455 .48154 L
.4836 .47993 L
.48314 .47903 L
.48304 .47833 L
F
0 .34 1 r
.48314 .53302 m
.4842 .53451 L
.48475 .53519 L
.48539 .53612 L
.48636 .53735 L
.48661 .53772 L
.48636 .53852 L
.48576 .53772 L
.48475 .53659 L
.4844 .53612 L
.48314 .53463 L
.48306 .53451 L
F
0 .68 1 r
.48314 .43523 m
.4842 .43659 L
.48475 .43719 L
.48551 .4382 L
.48636 .43917 L
.48683 .4398 L
.48796 .44116 L
.48814 .44141 L
.48941 .44301 L
.48957 .44319 L
.49062 .44462 L
.49117 .44527 L
.49186 .44622 L
.49278 .44734 L
.49313 .44783 L
.49438 .44941 L
.4944 .44943 L
.49556 .45104 L
.49599 .45156 L
.49674 .45265 L
.49759 .45371 L
.49796 .45425 L
.4992 .45585 L
.4992 .45586 L
.4992 .45725 L
.49809 .45586 L
.49759 .45531 L
.49676 .45425 L
.49599 .45335 L
.49544 .45265 L
.49438 .45136 L
.49413 .45104 L
.49286 .44943 L
.49278 .44933 L
.49164 .44783 L
.49117 .44727 L
.49039 .44622 L
.48957 .4452 L
.48913 .44462 L
.48796 .44312 L
.48788 .44301 L
.4867 .44141 L
.48636 .44098 L
.48551 .4398 L
.48475 .43883 L
.4843 .4382 L
.48314 .43668 L
.48309 .43659 L
F
1 .37 0 r
.48314 .53977 m
.48374 .54093 L
.48314 .54097 L
.48311 .54093 L
F
0 .33 1 r
.48314 .53312 m
.48411 .53451 L
.48475 .53529 L
.4853 .53612 L
.48636 .53746 L
.48653 .53772 L
.48636 .5384 L
.48586 .53772 L
.48475 .5365 L
.48447 .53612 L
.48314 .53455 L
.48312 .53451 L
F
1 .91 .061 r
.48475 .47206 m
.4862 .47351 L
.48636 .47362 L
.4879 .47512 L
.48796 .47519 L
.48936 .47672 L
.48957 .47698 L
.49094 .47833 L
.49117 .47894 L
.49205 .47993 L
.49278 .48099 L
.49319 .48154 L
.49438 .48304 L
.49463 .48314 L
.49588 .48475 L
.49599 .48488 L
.49719 .48636 L
.49759 .48698 L
.49828 .48796 L
.4992 .4891 L
.49935 .48957 L
.5008 .49117 L
.5008 .49117 L
.50218 .49278 L
.50241 .49288 L
.50318 .49438 L
.50401 .49561 L
.5042 .49599 L
.50518 .49759 L
.50401 .49895 L
.50241 .49838 L
.5015 .49759 L
.5008 .49632 L
.49943 .49599 L
.4992 .49484 L
.4985 .49438 L
.49759 .49297 L
.49735 .49278 L
.49609 .49117 L
.49599 .49112 L
.49485 .48957 L
.49438 .48909 L
.49333 .48796 L
.49278 .48694 L
.49232 .48636 L
.49117 .4848 L
.49114 .48475 L
.48994 .48314 L
.48957 .48266 L
.48821 .48154 L
.48796 .48082 L
.48739 .47993 L
.48636 .47837 L
.48633 .47833 L
.48521 .47672 L
.48475 .47606 L
.48413 .47512 L
.4832 .47351 L
F
.004 .82 1 r
.48475 .42368 m
.48478 .42375 L
.48626 .42536 L
.48636 .42545 L
.48768 .42696 L
.48796 .42726 L
.48907 .42857 L
.48957 .42912 L
.49044 .43017 L
.49117 .43078 L
.4918 .43178 L
.49278 .4329 L
.49334 .43338 L
.49438 .4349 L
.49446 .43499 L
.49575 .43659 L
.49599 .43687 L
.49705 .4382 L
.49759 .43874 L
.49893 .4398 L
.4992 .44083 L
.49974 .44141 L
.5008 .44288 L
.50091 .44301 L
.50218 .44462 L
.50241 .44475 L
.50345 .44622 L
.50401 .44686 L
.50497 .44783 L
.50562 .44896 L
.50601 .44943 L
.50722 .45102 L
.50724 .45104 L
.50849 .45265 L
.50883 .45295 L
.51024 .45425 L
.51043 .45508 L
.51111 .45586 L
.51204 .45719 L
.51224 .45746 L
.51349 .45907 L
.51364 .45913 L
.51473 .46067 L
.51525 .46123 L
.51623 .46228 L
.51686 .46338 L
.51726 .46388 L
.51846 .46547 L
.51847 .46549 L
.5197 .46709 L
.52007 .4674 L
.52141 .4687 L
.52167 .46957 L
.52229 .4703 L
.52328 .47172 L
.52341 .47191 L
.52464 .47351 L
.52488 .47357 L
.52587 .47512 L
.52649 .47577 L
.52735 .47672 L
.52809 .47797 L
.52837 .47833 L
.52957 .47993 L
.5297 .4801 L
.53078 .48154 L
.5313 .48195 L
.53247 .48314 L
.53291 .48422 L
.53334 .48475 L
.53447 .48636 L
.53451 .48641 L
.53567 .48796 L
.53612 .48853 L
.53689 .48957 L
.53772 .49048 L
.53832 .49117 L
.53933 .49275 L
.53935 .49278 L
.54054 .49438 L
.54093 .49489 L
.54174 .49599 L
.54254 .49673 L
.54331 .49759 L
.54414 .49913 L
.5442 .4992 L
.54535 .5008 L
.54575 .50131 L
.54654 .50241 L
.54735 .50348 L
.54774 .50401 L
.54895 .50562 L
.54896 .50563 L
.55009 .50722 L
.55057 .50785 L
.55124 .50883 L
.55217 .51007 L
.55242 .51043 L
.55356 .51204 L
.55378 .51233 L
.55463 .51364 L
.55538 .5147 L
.55572 .51525 L
.55538 .51677 L
.55394 .51525 L
.55378 .51508 L
.55249 .51364 L
.55217 .5133 L
.55108 .51204 L
.55057 .51146 L
.54969 .51043 L
.54896 .50977 L
.54832 .50883 L
.54735 .5077 L
.54682 .50722 L
.54575 .50573 L
.54565 .50562 L
.54433 .50401 L
.54414 .50399 L
.54302 .50241 L
.54254 .50189 L
.54127 .5008 L
.54093 .49983 L
.54037 .4992 L
.53933 .49781 L
.53918 .49759 L
.53785 .49599 L
.53772 .49588 L
.53657 .49438 L
.53612 .49384 L
.53515 .49278 L
.53451 .49176 L
.53407 .49117 L
.53291 .48971 L
.53284 .48957 L
.53151 .48796 L
.5313 .48775 L
.52994 .48636 L
.5297 .48566 L
.52896 .48475 L
.52809 .48356 L
.52782 .48314 L
.52649 .48154 L
.52649 .48154 L
.52524 .47993 L
.52488 .47951 L
.52386 .47833 L
.52328 .47739 L
.52279 .47672 L
.52167 .4753 L
.52159 .47512 L
.52027 .47351 L
.52007 .47332 L
.51874 .47191 L
.51846 .4712 L
.51775 .4703 L
.51686 .46907 L
.51662 .4687 L
.51532 .46709 L
.51525 .46706 L
.51409 .46549 L
.51364 .46499 L
.51271 .46388 L
.51204 .46283 L
.51164 .46228 L
.51043 .46072 L
.51042 .46067 L
.50918 .45907 L
.50883 .45876 L
.50763 .45746 L
.50722 .45657 L
.50667 .45586 L
.50562 .45441 L
.50552 .45425 L
.50429 .45265 L
.50401 .45256 L
.50307 .45104 L
.50241 .4503 L
.5017 .44943 L
.5008 .44808 L
.50063 .44783 L
.49943 .44622 L
.4992 .44592 L
.49823 .44462 L
.49759 .44403 L
.49671 .44301 L
.49599 .44169 L
.49577 .44141 L
.49462 .4398 L
.49438 .43949 L
.49344 .4382 L
.49278 .43731 L
.49225 .43659 L
.49117 .4352 L
.49101 .43499 L
.48991 .43338 L
.48957 .43293 L
.48876 .43178 L
.48796 .43069 L
.48759 .43017 L
.48645 .42857 L
.48636 .42844 L
.48538 .42696 L
.48475 .42606 L
.4843 .42536 L
.48326 .42375 L
F
1 .9 .045 r
.48475 .47214 m
.48601 .47351 L
.48636 .47374 L
.48779 .47512 L
.48796 .4753 L
.48928 .47672 L
.48957 .47708 L
.4909 .47833 L
.49117 .47902 L
.492 .47993 L
.49278 .48105 L
.49315 .48154 L
.49438 .48306 L
.49459 .48314 L
.49584 .48475 L
.49599 .48493 L
.49716 .48636 L
.49759 .48702 L
.49825 .48796 L
.4992 .48915 L
.49934 .48957 L
.50076 .49117 L
.5008 .49122 L
.50215 .49278 L
.50241 .49292 L
.50313 .49438 L
.50401 .4957 L
.50415 .49599 L
.50507 .49759 L
.50401 .49882 L
.50241 .49827 L
.5016 .49759 L
.5008 .49624 L
.49948 .49599 L
.4992 .4948 L
.49854 .49438 L
.49759 .49294 L
.49738 .49278 L
.49612 .49117 L
.49599 .49111 L
.49488 .48957 L
.49438 .48906 L
.49335 .48796 L
.49278 .48691 L
.49234 .48636 L
.49117 .48476 L
.49117 .48475 L
.48997 .48314 L
.48957 .48262 L
.48824 .48154 L
.48796 .48076 L
.48743 .47993 L
.48638 .47833 L
.48636 .4783 L
.48527 .47672 L
.48475 .47596 L
.48421 .47512 L
.48336 .47351 L
F
.733 .99 1 r
.48475 .50042 m
.48636 .50056 L
.48678 .5008 L
.48796 .50179 L
.48872 .50241 L
.48957 .50374 L
.48981 .50401 L
.49102 .50562 L
.49117 .50567 L
.49225 .50722 L
.49278 .5077 L
.494 .50883 L
.49438 .50987 L
.49487 .51043 L
.49599 .51204 L
.49599 .51204 L
.49719 .51364 L
.49759 .51416 L
.4984 .51525 L
.4992 .5159 L
.4999 .51686 L
.5008 .51832 L
.5009 .51846 L
.50206 .52007 L
.50241 .52052 L
.50324 .52167 L
.50401 .52269 L
.50443 .52328 L
.5056 .52488 L
.50562 .52491 L
.50655 .52649 L
.50562 .52759 L
.50401 .52664 L
.5038 .52649 L
.50241 .52538 L
.50186 .52488 L
.5008 .52384 L
.50025 .52328 L
.4992 .52211 L
.4988 .52167 L
.49759 .52024 L
.49744 .52007 L
.49614 .51846 L
.49599 .51822 L
.49502 .51686 L
.49438 .51598 L
.49351 .51525 L
.49278 .51429 L
.49225 .51364 L
.49117 .51222 L
.49102 .51204 L
.48983 .51043 L
.48957 .5101 L
.48882 .50883 L
.48796 .50792 L
.4873 .50722 L
.48636 .50579 L
.48611 .50562 L
.48495 .50401 L
.48475 .50371 L
.48403 .50241 L
.48338 .5008 L
F
1 .89 .033 r
.48475 .47229 m
.4858 .47351 L
.48636 .47385 L
.48767 .47512 L
.48796 .47541 L
.4892 .47672 L
.48957 .47717 L
.49087 .47833 L
.49117 .47909 L
.49195 .47993 L
.49278 .4811 L
.49312 .48154 L
.49438 .48308 L
.49454 .48314 L
.4958 .48475 L
.49599 .48498 L
.49713 .48636 L
.49759 .48707 L
.49821 .48796 L
.4992 .48919 L
.49932 .48957 L
.50072 .49117 L
.5008 .49128 L
.50212 .49278 L
.50241 .49296 L
.50309 .49438 L
.50401 .4958 L
.5041 .49599 L
.50495 .49759 L
.50401 .49869 L
.50241 .49817 L
.5017 .49759 L
.5008 .49618 L
.49954 .49599 L
.4992 .49476 L
.49859 .49438 L
.49759 .49291 L
.49741 .49278 L
.49615 .49117 L
.49599 .49109 L
.49491 .48957 L
.49438 .48903 L
.49338 .48796 L
.49278 .48688 L
.49237 .48636 L
.49119 .48475 L
.49117 .48472 L
.49 .48314 L
.48957 .48258 L
.48827 .48154 L
.48796 .4807 L
.48747 .47993 L
.48642 .47833 L
.48636 .47824 L
.48533 .47672 L
.48475 .47586 L
.48429 .47512 L
.48354 .47351 L
F
0 .48 1 r
.48475 .47939 m
.48529 .47993 L
.48636 .481 L
.48684 .48154 L
.48796 .48264 L
.48824 .48314 L
.48957 .48474 L
.48957 .48475 L
.49082 .48636 L
.49117 .48681 L
.49203 .48796 L
.49278 .48897 L
.4932 .48957 L
.49427 .49117 L
.49438 .49135 L
.4951 .49278 L
.49438 .49335 L
.49372 .49278 L
.49278 .49192 L
.4921 .49117 L
.49117 .49017 L
.49068 .48957 L
.48957 .48843 L
.48934 .48796 L
.48807 .48636 L
.48796 .48621 L
.48688 .48475 L
.48636 .48406 L
.48572 .48314 L
.48475 .48178 L
.48459 .48154 L
.48366 .47993 L
F
0 .47 1 r
.48475 .47946 m
.48523 .47993 L
.48636 .48105 L
.48679 .48154 L
.48796 .48269 L
.48821 .48314 L
.48954 .48475 L
.48957 .48479 L
.49078 .48636 L
.49117 .48685 L
.492 .48796 L
.49278 .48902 L
.49316 .48957 L
.49422 .49117 L
.49438 .49143 L
.49503 .49278 L
.49438 .49327 L
.49379 .49278 L
.49278 .49187 L
.49214 .49117 L
.49117 .49013 L
.49071 .48957 L
.48957 .48837 L
.48937 .48796 L
.4881 .48636 L
.48796 .48618 L
.48691 .48475 L
.48636 .48401 L
.48575 .48314 L
.48475 .48173 L
.48462 .48154 L
.48372 .47993 L
F
1 .88 .024 r
.48475 .47253 m
.48556 .47351 L
.48636 .47396 L
.48755 .47512 L
.48796 .47551 L
.48912 .47672 L
.48957 .47726 L
.49082 .47833 L
.49117 .47916 L
.49191 .47993 L
.49278 .48115 L
.49308 .48154 L
.49438 .4831 L
.4945 .48314 L
.49576 .48475 L
.49599 .48502 L
.4971 .48636 L
.49759 .48712 L
.49818 .48796 L
.4992 .48923 L
.4993 .48957 L
.50068 .49117 L
.5008 .49133 L
.5021 .49278 L
.50241 .49301 L
.50304 .49438 L
.50401 .4959 L
.50405 .49599 L
.50483 .49759 L
.50401 .49855 L
.50241 .49807 L
.5018 .49759 L
.5008 .49612 L
.4996 .49599 L
.4992 .49472 L
.49863 .49438 L
.49759 .49289 L
.49745 .49278 L
.49618 .49117 L
.49599 .49108 L
.49494 .48957 L
.49438 .489 L
.4934 .48796 L
.49278 .48684 L
.4924 .48636 L
.49122 .48475 L
.49117 .48469 L
.49003 .48314 L
.48957 .48254 L
.4883 .48154 L
.48796 .48064 L
.48752 .47993 L
.48647 .47833 L
.48636 .47817 L
.48539 .47672 L
.48475 .47574 L
.48437 .47512 L
.48376 .47351 L
F
0 .46 1 r
.48475 .47953 m
.48517 .47993 L
.48636 .48109 L
.48675 .48154 L
.48796 .48275 L
.48817 .48314 L
.4895 .48475 L
.48957 .48483 L
.49075 .48636 L
.49117 .48689 L
.49196 .48796 L
.49278 .48906 L
.49313 .48957 L
.49418 .49117 L
.49438 .49151 L
.49495 .49278 L
.49438 .49319 L
.49386 .49278 L
.49278 .49182 L
.49218 .49117 L
.49117 .49009 L
.49074 .48957 L
.48957 .48832 L
.4894 .48796 L
.48814 .48636 L
.48796 .48614 L
.48694 .48475 L
.48636 .48397 L
.48578 .48314 L
.48475 .48168 L
.48466 .48154 L
.48379 .47993 L
F
0 .45 1 r
.48475 .4796 m
.48511 .47993 L
.48636 .48114 L
.48671 .48154 L
.48796 .48282 L
.48814 .48314 L
.48947 .48475 L
.48957 .48487 L
.49072 .48636 L
.49117 .48693 L
.49193 .48796 L
.49278 .48911 L
.49309 .48957 L
.49413 .49117 L
.49438 .49161 L
.49486 .49278 L
.49438 .4931 L
.49395 .49278 L
.49278 .49177 L
.49222 .49117 L
.49117 .49005 L
.49077 .48957 L
.48957 .48826 L
.48942 .48796 L
.48817 .48636 L
.48796 .4861 L
.48698 .48475 L
.48636 .48393 L
.48581 .48314 L
.48475 .48162 L
.4847 .48154 L
.48386 .47993 L
F
0 .44 1 r
.48475 .47967 m
.48504 .47993 L
.48636 .48119 L
.48667 .48154 L
.48796 .48288 L
.4881 .48314 L
.48943 .48475 L
.48957 .48491 L
.49068 .48636 L
.49117 .48697 L
.4919 .48796 L
.49278 .48916 L
.49306 .48957 L
.49407 .49117 L
.49438 .49172 L
.49475 .49278 L
.49438 .49301 L
.49405 .49278 L
.49278 .49172 L
.49227 .49117 L
.49117 .49 L
.49081 .48957 L
.48957 .4882 L
.48945 .48796 L
.4882 .48636 L
.48796 .48605 L
.48701 .48475 L
.48636 .48388 L
.48585 .48314 L
.48475 .48156 L
.48474 .48154 L
.48395 .47993 L
F
1 .87 .018 r
.48475 .4729 m
.48528 .47351 L
.48636 .47406 L
.48743 .47512 L
.48796 .47561 L
.48904 .47672 L
.48957 .47735 L
.49078 .47833 L
.49117 .47923 L
.49186 .47993 L
.49278 .4812 L
.49305 .48154 L
.49438 .48312 L
.49445 .48314 L
.49572 .48475 L
.49599 .48507 L
.49707 .48636 L
.49759 .48716 L
.49815 .48796 L
.4992 .48928 L
.49929 .48957 L
.50065 .49117 L
.5008 .49139 L
.50207 .49278 L
.50241 .49307 L
.50299 .49438 L
.504 .49599 L
.50401 .49601 L
.5047 .49759 L
.50401 .49842 L
.50241 .49797 L
.50191 .49759 L
.5008 .49608 L
.49967 .49599 L
.4992 .49468 L
.49868 .49438 L
.49759 .49286 L
.49748 .49278 L
.49621 .49117 L
.49599 .49106 L
.49496 .48957 L
.49438 .48897 L
.49343 .48796 L
.49278 .4868 L
.49242 .48636 L
.49125 .48475 L
.49117 .48465 L
.49006 .48314 L
.48957 .4825 L
.48833 .48154 L
.48796 .48057 L
.48756 .47993 L
.48652 .47833 L
.48636 .4781 L
.48545 .47672 L
.48475 .47562 L
.48446 .47512 L
.48403 .47351 L
F
0 .43 1 r
.48475 .47975 m
.48496 .47993 L
.48636 .48125 L
.48662 .48154 L
.48796 .48295 L
.48807 .48314 L
.48939 .48475 L
.48957 .48495 L
.49065 .48636 L
.49117 .48702 L
.49186 .48796 L
.49278 .48921 L
.49302 .48957 L
.49402 .49117 L
.49438 .49185 L
.49462 .49278 L
.49438 .4929 L
.49418 .49278 L
.49278 .49167 L
.49231 .49117 L
.49117 .48996 L
.49084 .48957 L
.48957 .48814 L
.48948 .48796 L
.48824 .48636 L
.48796 .48601 L
.48704 .48475 L
.48636 .48384 L
.48588 .48314 L
.48478 .48154 L
.48475 .48149 L
.48404 .47993 L
F
0 .42 1 r
.48475 .47983 m
.48487 .47993 L
.48636 .4813 L
.48657 .48154 L
.48796 .48302 L
.48803 .48314 L
.48936 .48475 L
.48957 .485 L
.49061 .48636 L
.49117 .48706 L
.49183 .48796 L
.49278 .48926 L
.49299 .48957 L
.49396 .49117 L
.49438 .49202 L
.49439 .49278 L
.49438 .49278 L
.49438 .49278 L
.49278 .49161 L
.49236 .49117 L
.49117 .48992 L
.49088 .48957 L
.48957 .48807 L
.48951 .48796 L
.48827 .48636 L
.48796 .48597 L
.48708 .48475 L
.48636 .48379 L
.48592 .48314 L
.48484 .48154 L
.48475 .4814 L
.48416 .47993 L
F
1 .68 0 r
.48475 .43044 m
.48588 .43178 L
.48636 .43228 L
.48726 .43338 L
.48796 .43417 L
.48862 .43499 L
.48957 .43609 L
.48997 .43659 L
.49117 .43796 L
.4913 .4382 L
.49259 .4398 L
.49278 .44002 L
.49387 .44141 L
.49438 .44202 L
.49515 .44301 L
.49599 .44403 L
.49644 .44462 L
.49759 .44599 L
.49786 .44622 L
.49899 .44783 L
.4992 .44808 L
.50024 .44943 L
.5008 .45013 L
.5015 .45104 L
.50241 .45195 L
.50276 .45265 L
.50401 .45423 L
.50404 .45425 L
.50525 .45586 L
.50562 .45631 L
.50648 .45746 L
.50722 .45839 L
.50773 .45907 L
.50883 .46039 L
.50911 .46067 L
.5102 .46228 L
.51043 .46256 L
.51142 .46388 L
.51204 .46467 L
.51264 .46549 L
.51364 .46656 L
.51388 .46709 L
.5151 .4687 L
.51525 .46888 L
.51629 .4703 L
.51686 .47102 L
.5175 .47191 L
.51846 .47315 L
.51872 .47351 L
.51993 .47512 L
.52007 .4753 L
.52108 .47672 L
.52167 .47748 L
.52226 .47833 L
.52328 .47966 L
.52347 .47993 L
.52462 .48154 L
.52488 .48189 L
.52572 .48314 L
.52649 .48418 L
.52685 .48475 L
.52649 .48607 L
.52534 .48475 L
.52488 .48426 L
.52395 .48314 L
.52328 .48239 L
.52257 .48154 L
.52167 .48048 L
.52122 .47993 L
.52007 .47862 L
.51989 .47833 L
.51859 .47672 L
.51846 .47658 L
.51729 .47512 L
.51686 .47459 L
.51599 .47351 L
.51525 .473 L
.5147 .47191 L
.51364 .47065 L
.51327 .4703 L
.51215 .4687 L
.51204 .46857 L
.51089 .46709 L
.51043 .46653 L
.50962 .46549 L
.50883 .46469 L
.50784 .46388 L
.50722 .46246 L
.50706 .46228 L
.50586 .46067 L
.50562 .46037 L
.50462 .45907 L
.50401 .45878 L
.50337 .45746 L
.50241 .45631 L
.50197 .45586 L
.5009 .45425 L
.5008 .45413 L
.49968 .45265 L
.4992 .45203 L
.49845 .45104 L
.49759 .45015 L
.49683 .44943 L
.496 .44783 L
.49599 .44782 L
.49481 .44622 L
.49438 .44568 L
.4936 .44462 L
.49278 .44354 L
.49239 .44301 L
.49118 .44141 L
.49117 .44139 L
.49002 .4398 L
.48957 .4392 L
.48885 .4382 L
.48796 .43701 L
.48766 .43659 L
.48651 .43499 L
.48636 .43478 L
.48541 .43338 L
.48475 .43248 L
.48429 .43178 L
F
0 .41 1 r
.48475 .47992 m
.48477 .47993 L
.48636 .48136 L
.48653 .48154 L
.48796 .48309 L
.48799 .48314 L
.48932 .48475 L
.48957 .48504 L
.49058 .48636 L
.49117 .48711 L
.4918 .48796 L
.49278 .48932 L
.49295 .48957 L
.4939 .49117 L
.49278 .49155 L
.49241 .49117 L
.49117 .48988 L
.49091 .48957 L
.48957 .48801 L
.48954 .48796 L
.4883 .48636 L
.48796 .48593 L
.48711 .48475 L
.48636 .48374 L
.48595 .48314 L
.4849 .48154 L
.48475 .4813 L
.48434 .47993 L
F
.538 .98 1 r
.48475 .50081 m
.48636 .50098 L
.48796 .5021 L
.48841 .50241 L
.48957 .50393 L
.48965 .50401 L
.49091 .50562 L
.49117 .50572 L
.49215 .50722 L
.49278 .5078 L
.4939 .50883 L
.49438 .50999 L
.49477 .51043 L
.4959 .51204 L
.49599 .51216 L
.49709 .51364 L
.49759 .51428 L
.49831 .51525 L
.4992 .51609 L
.49975 .51686 L
.50075 .51846 L
.5008 .51853 L
.5019 .52007 L
.50241 .52075 L
.50305 .52167 L
.50401 .52303 L
.50418 .52328 L
.50512 .52488 L
.50401 .52589 L
.50263 .52488 L
.50241 .52472 L
.50082 .52328 L
.5008 .52326 L
.49925 .52167 L
.4992 .52161 L
.49779 .52007 L
.49759 .51978 L
.49643 .51846 L
.49599 .51778 L
.49531 .51686 L
.49438 .51564 L
.49374 .51525 L
.49278 .51402 L
.49247 .51364 L
.49121 .51204 L
.49117 .51196 L
.49004 .51043 L
.48957 .50984 L
.48903 .50883 L
.48796 .50768 L
.48751 .50722 L
.48636 .50562 L
.48636 .50561 L
.48519 .50401 L
.48475 .50323 L
.48438 .50241 L
F
1 .55 0 r
.48475 .52842 m
.48577 .5297 L
.48636 .53036 L
.4871 .5313 L
.48796 .53233 L
.48842 .53291 L
.48957 .53431 L
.48972 .53451 L
.49098 .53612 L
.49117 .53634 L
.49223 .53772 L
.49278 .53838 L
.4935 .53933 L
.49438 .54043 L
.49477 .54093 L
.49599 .54243 L
.49603 .54254 L
.49723 .54414 L
.49759 .54459 L
.49845 .54575 L
.4992 .5467 L
.49968 .54735 L
.5008 .5488 L
.50092 .54896 L
.50209 .55057 L
.50241 .55097 L
.50326 .55217 L
.50401 .55315 L
.50445 .55378 L
.50562 .55534 L
.50565 .55538 L
.50562 .55697 L
.50433 .55538 L
.50401 .55504 L
.50302 .55378 L
.50241 .55308 L
.50171 .55217 L
.5008 .5511 L
.50039 .55057 L
.4992 .54912 L
.49908 .54896 L
.49782 .54735 L
.49759 .54708 L
.49659 .54575 L
.49599 .54502 L
.49533 .54414 L
.49438 .54297 L
.49406 .54254 L
.49279 .54093 L
.49278 .54092 L
.4916 .53933 L
.49117 .5388 L
.49039 .53772 L
.48957 .53669 L
.48915 .53612 L
.48796 .5346 L
.4879 .53451 L
.48674 .53291 L
.48636 .53242 L
.48558 .5313 L
.48475 .53024 L
.48438 .5297 L
F
1 .67 0 r
.48475 .4306 m
.48577 .43178 L
.48636 .43239 L
.48717 .43338 L
.48796 .43426 L
.48855 .43499 L
.48957 .43617 L
.4899 .43659 L
.49117 .43806 L
.49124 .4382 L
.49253 .4398 L
.49278 .44009 L
.49381 .44141 L
.49438 .44208 L
.49511 .44301 L
.49599 .44409 L
.4964 .44462 L
.49759 .44605 L
.49778 .44622 L
.49894 .44783 L
.4992 .44814 L
.50019 .44943 L
.5008 .45018 L
.50146 .45104 L
.50241 .45201 L
.50273 .45265 L
.50399 .45425 L
.50401 .45428 L
.50521 .45586 L
.50562 .45636 L
.50645 .45746 L
.50722 .45844 L
.50769 .45907 L
.50883 .46045 L
.50905 .46067 L
.51017 .46228 L
.51043 .46261 L
.51138 .46388 L
.51204 .46472 L
.51261 .46549 L
.51364 .46663 L
.51385 .46709 L
.51506 .4687 L
.51525 .46894 L
.51625 .4703 L
.51686 .47108 L
.51746 .47191 L
.51846 .47321 L
.51868 .47351 L
.51988 .47512 L
.52007 .47536 L
.52103 .47672 L
.52167 .47755 L
.52221 .47833 L
.52328 .47974 L
.52341 .47993 L
.52454 .48154 L
.52488 .48199 L
.52564 .48314 L
.52649 .48431 L
.52676 .48475 L
.52649 .48591 L
.52547 .48475 L
.52488 .48414 L
.52404 .48314 L
.52328 .48229 L
.52265 .48154 L
.52167 .48039 L
.52129 .47993 L
.52007 .47852 L
.51995 .47833 L
.51865 .47672 L
.51846 .4765 L
.51735 .47512 L
.51686 .47453 L
.51605 .47351 L
.51525 .47292 L
.51475 .47191 L
.51364 .47058 L
.51335 .4703 L
.5122 .4687 L
.51204 .46851 L
.51093 .46709 L
.51043 .46647 L
.50966 .46549 L
.50883 .46462 L
.50791 .46388 L
.50722 .4624 L
.50711 .46228 L
.5059 .46067 L
.50562 .46032 L
.50466 .45907 L
.50401 .45873 L
.50341 .45746 L
.50241 .45625 L
.50203 .45586 L
.50094 .45425 L
.5008 .45408 L
.49972 .45265 L
.4992 .45197 L
.49849 .45104 L
.49759 .45008 L
.4969 .44943 L
.49605 .44783 L
.49599 .44776 L
.49485 .44622 L
.49438 .44561 L
.49365 .44462 L
.49278 .44347 L
.49244 .44301 L
.49124 .44141 L
.49117 .44132 L
.49008 .4398 L
.48957 .43912 L
.48891 .4382 L
.48796 .43692 L
.48773 .43659 L
.48659 .43499 L
.48636 .43467 L
.4855 .43338 L
.48475 .43234 L
.48439 .43178 L
F
1 .95 .212 r
.48475 .51529 m
.48628 .51686 L
.48636 .51693 L
.48779 .51846 L
.48796 .51864 L
.48926 .52007 L
.48957 .5204 L
.49069 .52167 L
.49117 .52201 L
.4921 .52328 L
.49278 .52406 L
.49373 .52488 L
.49438 .52603 L
.49478 .52649 L
.49599 .52796 L
.49607 .52809 L
.49747 .5297 L
.49759 .52982 L
.49879 .5313 L
.4992 .53183 L
.50015 .53291 L
.5008 .53387 L
.50128 .53451 L
.50241 .5359 L
.50249 .53612 L
.50393 .53772 L
.50401 .53782 L
.50536 .53933 L
.50562 .53988 L
.50644 .54093 L
.50722 .54197 L
.50756 .54254 L
.50883 .54402 L
.509 .54414 L
.51026 .54575 L
.51043 .54598 L
.51155 .54735 L
.51204 .54808 L
.51264 .54896 L
.51364 .55019 L
.51374 .55057 L
.51525 .55217 L
.51526 .55217 L
.51662 .55378 L
.51686 .55423 L
.51771 .55538 L
.51846 .55635 L
.5188 .55699 L
.52007 .55844 L
.52025 .55859 L
.52165 .5602 L
.52167 .56043 L
.52276 .5618 L
.52328 .56254 L
.52385 .56341 L
.52488 .56467 L
.52494 .56501 L
.52644 .56662 L
.52649 .56667 L
.52779 .56822 L
.52809 .56876 L
.52887 .56983 L
.5297 .5709 L
.52996 .57143 L
.5313 .57297 L
.53137 .57304 L
.53284 .57464 L
.53291 .57501 L
.53388 .57625 L
.53451 .57715 L
.53496 .57785 L
.53612 .57927 L
.53614 .57946 L
.53751 .58106 L
.53772 .58128 L
.53889 .58267 L
.53933 .58342 L
.53994 .58428 L
.54093 .58557 L
.54108 .58588 L
.54239 .58749 L
.54254 .58757 L
.54397 .58909 L
.54414 .58971 L
.5449 .5907 L
.54575 .5919 L
.546 .5923 L
.54725 .59391 L
.54735 .59405 L
.54845 .59551 L
.54896 .59601 L
.54986 .59712 L
.55057 .59828 L
.55087 .59872 L
.55205 .60033 L
.55217 .60048 L
.55323 .60193 L
.55378 .60228 L
.55485 .60354 L
.55538 .60475 L
.55567 .60514 L
.55677 .60675 L
.55699 .60703 L
.55793 .60835 L
.55859 .60926 L
.55909 .60996 L
.5602 .61148 L
.56026 .61156 L
.56132 .61317 L
.5618 .61385 L
.56241 .61477 L
.56341 .61624 L
.5635 .61638 L
.56441 .61799 L
.56501 .6191 L
.56513 .61959 L
.56501 .61972 L
.56483 .61959 L
.56341 .61842 L
.563 .61799 L
.5618 .61677 L
.56146 .61638 L
.5602 .61507 L
.56001 .61477 L
.5586 .61317 L
.55859 .61316 L
.55725 .61156 L
.55699 .61127 L
.55591 .60996 L
.55538 .60964 L
.55457 .60835 L
.55378 .60749 L
.55285 .60675 L
.55217 .60545 L
.55188 .60514 L
.55064 .60354 L
.55057 .60345 L
.54936 .60193 L
.54896 .60159 L
.54807 .60033 L
.54735 .59949 L
.5466 .59872 L
.54575 .59742 L
.5455 .59712 L
.54425 .59551 L
.54414 .59548 L
.54299 .59391 L
.54254 .59344 L
.54134 .5923 L
.54093 .59132 L
.54038 .5907 L
.53933 .58924 L
.53922 .58909 L
.53796 .58749 L
.53772 .58731 L
.53672 .58588 L
.53612 .58519 L
.53527 .58428 L
.53451 .58307 L
.5342 .58267 L
.53297 .58106 L
.53291 .58099 L
.53174 .57946 L
.5313 .57904 L
.53012 .57785 L
.5297 .57688 L
.52916 .57625 L
.52809 .57477 L
.52801 .57464 L
.52677 .57304 L
.52649 .57286 L
.52554 .57143 L
.52488 .5707 L
.5241 .56983 L
.52328 .56854 L
.52303 .56822 L
.52182 .56662 L
.52167 .56643 L
.5206 .56501 L
.52007 .56451 L
.519 .56341 L
.51846 .56231 L
.51804 .5618 L
.51688 .5602 L
.51686 .56016 L
.51567 .55859 L
.51525 .55835 L
.51445 .55699 L
.51364 .55609 L
.51303 .55538 L
.51204 .55389 L
.51195 .55378 L
.51075 .55217 L
.51043 .55177 L
.50954 .55057 L
.50883 .54989 L
.50798 .54896 L
.50722 .54762 L
.50701 .54735 L
.50585 .54575 L
.50562 .54546 L
.50464 .54414 L
.50401 .54374 L
.50342 .54254 L
.50241 .54134 L
.50207 .54093 L
.50096 .53933 L
.5008 .53913 L
.49977 .53772 L
.4992 .53699 L
.49856 .53612 L
.49759 .53505 L
.49713 .53451 L
.49611 .53291 L
.49599 .53275 L
.49493 .5313 L
.49438 .5306 L
.49373 .5297 L
.49278 .52846 L
.49251 .52809 L
.49131 .52649 L
.49117 .52631 L
.49016 .52488 L
.48957 .52411 L
.48898 .52328 L
.48796 .52193 L
.48778 .52167 L
.48663 .52007 L
.48636 .51969 L
.48554 .51846 L
.48475 .51738 L
.48442 .51686 L
F
.003 .81 1 r
.48475 .42394 m
.4861 .42536 L
.48636 .42561 L
.48756 .42696 L
.48796 .42739 L
.48897 .42857 L
.48957 .42923 L
.49036 .43017 L
.49117 .43088 L
.49172 .43178 L
.49278 .43299 L
.49325 .43338 L
.49438 .43498 L
.49439 .43499 L
.49569 .43659 L
.49599 .43694 L
.497 .4382 L
.49759 .4388 L
.49889 .4398 L
.4992 .44089 L
.49969 .44141 L
.5008 .44293 L
.50087 .44301 L
.50214 .44462 L
.50241 .44478 L
.50341 .44622 L
.50401 .4469 L
.50494 .44783 L
.50562 .449 L
.50598 .44943 L
.50721 .45104 L
.50722 .45105 L
.50846 .45265 L
.50883 .45298 L
.51022 .45425 L
.51043 .45512 L
.51109 .45586 L
.51204 .45722 L
.51221 .45746 L
.51347 .45907 L
.51364 .45914 L
.51471 .46067 L
.51525 .46126 L
.5162 .46228 L
.51686 .46341 L
.51724 .46388 L
.51845 .46549 L
.51846 .4655 L
.51967 .46709 L
.52007 .46742 L
.52139 .4687 L
.52167 .4696 L
.52227 .4703 L
.52328 .47175 L
.52339 .47191 L
.52462 .47351 L
.52488 .47358 L
.52584 .47512 L
.52649 .4758 L
.52732 .47672 L
.52809 .478 L
.52835 .47833 L
.52954 .47993 L
.5297 .48013 L
.53076 .48154 L
.5313 .48198 L
.53245 .48314 L
.53291 .48426 L
.53331 .48475 L
.53445 .48636 L
.53451 .48644 L
.53565 .48796 L
.53612 .48857 L
.53686 .48957 L
.53772 .49052 L
.53828 .49117 L
.53932 .49278 L
.53933 .49279 L
.5405 .49438 L
.54093 .49493 L
.54171 .49599 L
.54254 .49679 L
.54326 .49759 L
.54414 .49919 L
.54415 .4992 L
.54531 .5008 L
.54575 .50137 L
.5465 .50241 L
.54735 .50353 L
.5477 .50401 L
.5489 .50562 L
.54896 .5057 L
.55003 .50722 L
.55057 .50793 L
.55118 .50883 L
.55217 .51016 L
.55236 .51043 L
.55347 .51204 L
.55378 .51246 L
.55452 .51364 L
.55538 .51488 L
.5556 .51525 L
.55538 .51653 L
.55413 .51525 L
.55378 .51491 L
.55263 .51364 L
.55217 .51316 L
.55119 .51204 L
.55057 .51135 L
.54978 .51043 L
.54896 .50967 L
.5484 .50883 L
.54735 .50761 L
.54692 .50722 L
.54575 .50565 L
.54572 .50562 L
.54439 .50401 L
.54414 .50397 L
.54307 .50241 L
.54254 .50183 L
.54132 .5008 L
.54093 .49977 L
.54042 .4992 L
.53933 .49775 L
.53922 .49759 L
.5379 .49599 L
.53772 .49585 L
.53662 .49438 L
.53612 .49379 L
.53518 .49278 L
.53451 .49171 L
.5341 .49117 L
.53291 .48967 L
.53286 .48957 L
.53155 .48796 L
.5313 .48771 L
.52996 .48636 L
.5297 .48562 L
.52899 .48475 L
.52809 .48352 L
.52785 .48314 L
.52652 .48154 L
.52649 .48152 L
.52527 .47993 L
.52488 .47948 L
.52388 .47833 L
.52328 .47736 L
.52281 .47672 L
.52167 .47527 L
.52161 .47512 L
.5203 .47351 L
.52007 .47329 L
.51876 .47191 L
.51846 .47117 L
.51778 .4703 L
.51686 .46904 L
.51664 .4687 L
.51535 .46709 L
.51525 .46705 L
.51412 .46549 L
.51364 .46495 L
.51274 .46388 L
.51204 .4628 L
.51167 .46228 L
.51043 .46068 L
.51043 .46067 L
.5092 .45907 L
.50883 .45873 L
.50766 .45746 L
.50722 .45654 L
.5067 .45586 L
.50562 .45437 L
.50555 .45425 L
.50432 .45265 L
.50401 .45254 L
.5031 .45104 L
.50241 .45026 L
.50173 .44943 L
.5008 .44803 L
.50066 .44783 L
.49947 .44622 L
.4992 .44587 L
.49826 .44462 L
.49759 .44398 L
.49675 .44301 L
.49599 .44163 L
.49582 .44141 L
.49467 .4398 L
.49438 .43943 L
.49349 .4382 L
.49278 .43725 L
.4923 .43659 L
.49117 .43511 L
.49108 .43499 L
.48997 .43338 L
.48957 .43284 L
.48882 .43178 L
.48796 .4306 L
.48767 .43017 L
.48655 .42857 L
.48636 .4283 L
.48549 .42696 L
.48475 .42588 L
.48443 .42536 L
F
0 .67 1 r
.48475 .43738 m
.48536 .4382 L
.48636 .43932 L
.48671 .4398 L
.48796 .44129 L
.48805 .44141 L
.48796 .44298 L
.48684 .44141 L
.48636 .44082 L
.48565 .4398 L
.48475 .43866 L
.48443 .4382 L
F
1 .54 0 r
.48475 .52854 m
.48567 .5297 L
.48636 .53046 L
.48702 .5313 L
.48796 .53242 L
.48835 .53291 L
.48957 .53439 L
.48966 .53451 L
.49091 .53612 L
.49117 .53642 L
.49217 .53772 L
.49278 .53846 L
.49344 .53933 L
.49438 .5405 L
.49471 .54093 L
.49597 .54254 L
.49599 .54256 L
.49717 .54414 L
.49759 .54467 L
.49839 .54575 L
.4992 .54678 L
.49962 .54735 L
.5008 .54889 L
.50086 .54896 L
.50201 .55057 L
.50241 .55107 L
.50318 .55217 L
.50401 .55326 L
.50437 .55378 L
.50401 .55493 L
.50311 .55378 L
.50241 .55299 L
.50178 .55217 L
.5008 .55102 L
.50045 .55057 L
.4992 .54904 L
.49913 .54896 L
.49789 .54735 L
.49759 .547 L
.49665 .54575 L
.49599 .54495 L
.49539 .54414 L
.49438 .54291 L
.49411 .54254 L
.49285 .54093 L
.49278 .54085 L
.49166 .53933 L
.49117 .53873 L
.49045 .53772 L
.48957 .53662 L
.48921 .53612 L
.48796 .53452 L
.48795 .53451 L
.48682 .53291 L
.48636 .53233 L
.48566 .5313 L
.48475 .53014 L
.48445 .5297 L
F
.004 .82 1 r
.48475 .52179 m
.48607 .52328 L
.48636 .52358 L
.48747 .52488 L
.48796 .52542 L
.48886 .52649 L
.48957 .52731 L
.49022 .52809 L
.49117 .52903 L
.49156 .5297 L
.49278 .53117 L
.49293 .5313 L
.49418 .53291 L
.49438 .53315 L
.49548 .53451 L
.49599 .53513 L
.49678 .53612 L
.49759 .53701 L
.49844 .53772 L
.4992 .53913 L
.49938 .53933 L
.50062 .54093 L
.5008 .54116 L
.50189 .54254 L
.50241 .54293 L
.50316 .54414 L
.50401 .54517 L
.50456 .54575 L
.50562 .54728 L
.50568 .54735 L
.50692 .54896 L
.50722 .54934 L
.50818 .55057 L
.50883 .55125 L
.50978 .55217 L
.51043 .55345 L
.5107 .55378 L
.5119 .55538 L
.51204 .55556 L
.51313 .55699 L
.51364 .55732 L
.51437 .55859 L
.51525 .55966 L
.51572 .5602 L
.51683 .5618 L
.51686 .56184 L
.51804 .56341 L
.51846 .56395 L
.51926 .56501 L
.52007 .56589 L
.52076 .56662 L
.52167 .56819 L
.5217 .56822 L
.52288 .56983 L
.52328 .57034 L
.52408 .57143 L
.52488 .57211 L
.52529 .57304 L
.52648 .57464 L
.52649 .57465 L
.52764 .57625 L
.52809 .57685 L
.52881 .57785 L
.5297 .57906 L
.52998 .57946 L
.53112 .58106 L
.5313 .58131 L
.53222 .58267 L
.53291 .58363 L
.53333 .58428 L
.53291 .58575 L
.53163 .58428 L
.5313 .58393 L
.53025 .58267 L
.5297 .58206 L
.52889 .58106 L
.52809 .58015 L
.52754 .57946 L
.52649 .57841 L
.5262 .57785 L
.52488 .57625 L
.52488 .57625 L
.52361 .57464 L
.52328 .57425 L
.52233 .57304 L
.52167 .57225 L
.52104 .57143 L
.52007 .57038 L
.51939 .56983 L
.51846 .56822 L
.51846 .56822 L
.51722 .56662 L
.51686 .56617 L
.51596 .56501 L
.51525 .56449 L
.5147 .56341 L
.51364 .56215 L
.51329 .5618 L
.51218 .5602 L
.51204 .56002 L
.51095 .55859 L
.51043 .55795 L
.50971 .55699 L
.50883 .55607 L
.50808 .55538 L
.50722 .55382 L
.50719 .55378 L
.50598 .55217 L
.50562 .55171 L
.50476 .55057 L
.50401 .55004 L
.50352 .54896 L
.50241 .5476 L
.50218 .54735 L
.50106 .54575 L
.5008 .54543 L
.49985 .54414 L
.4992 .54331 L
.49863 .54254 L
.49759 .54135 L
.49718 .54093 L
.49618 .53933 L
.49599 .53908 L
.495 .53772 L
.49438 .53693 L
.49379 .53612 L
.49278 .5348 L
.49257 .53451 L
.49138 .53291 L
.49117 .53264 L
.49022 .5313 L
.48957 .53045 L
.48904 .5297 L
.48796 .52828 L
.48783 .52809 L
.4867 .52649 L
.48636 .52603 L
.48559 .52488 L
.48475 .52373 L
.48446 .52328 L
F
1 .66 0 r
.48475 .43077 m
.48563 .43178 L
.48636 .43252 L
.48707 .43338 L
.48796 .43436 L
.48847 .43499 L
.48957 .43625 L
.48984 .43659 L
.49117 .43817 L
.49118 .4382 L
.49247 .4398 L
.49278 .44016 L
.49376 .44141 L
.49438 .44215 L
.49506 .44301 L
.49599 .44414 L
.49636 .44462 L
.49759 .44613 L
.4977 .44622 L
.4989 .44783 L
.4992 .44819 L
.50015 .44943 L
.5008 .45023 L
.50142 .45104 L
.50241 .45208 L
.50269 .45265 L
.50395 .45425 L
.50401 .45433 L
.50517 .45586 L
.50562 .45641 L
.50641 .45746 L
.50722 .45849 L
.50766 .45907 L
.50883 .46051 L
.50899 .46067 L
.51013 .46228 L
.51043 .46266 L
.51134 .46388 L
.51204 .46477 L
.51257 .46549 L
.51364 .46671 L
.51381 .46709 L
.51502 .4687 L
.51525 .46899 L
.5162 .4703 L
.51686 .47113 L
.51741 .47191 L
.51846 .47327 L
.51864 .47351 L
.51982 .47512 L
.52007 .47543 L
.52098 .47672 L
.52167 .47763 L
.52216 .47833 L
.52328 .47982 L
.52336 .47993 L
.52446 .48154 L
.52488 .4821 L
.52554 .48314 L
.52649 .48446 L
.52666 .48475 L
.52649 .48572 L
.52561 .48475 L
.52488 .48401 L
.52414 .48314 L
.52328 .48218 L
.52274 .48154 L
.52167 .4803 L
.52136 .47993 L
.52007 .4784 L
.52002 .47833 L
.51872 .47672 L
.51846 .47643 L
.51741 .47512 L
.51686 .47446 L
.5161 .47351 L
.51525 .47284 L
.5148 .47191 L
.51364 .4705 L
.51342 .4703 L
.51225 .4687 L
.51204 .46845 L
.51098 .46709 L
.51043 .46642 L
.50971 .46549 L
.50883 .46456 L
.50798 .46388 L
.50722 .46234 L
.50717 .46228 L
.50595 .46067 L
.50562 .46026 L
.5047 .45907 L
.50401 .45867 L
.50345 .45746 L
.50241 .45618 L
.50209 .45586 L
.50098 .45425 L
.5008 .45402 L
.49976 .45265 L
.4992 .45192 L
.49853 .45104 L
.49759 .45 L
.49698 .44943 L
.49609 .44783 L
.49599 .44769 L
.4949 .44622 L
.49438 .44555 L
.4937 .44462 L
.49278 .44341 L
.49249 .44301 L
.4913 .44141 L
.49117 .44124 L
.49014 .4398 L
.48957 .43904 L
.48897 .4382 L
.48796 .43683 L
.48779 .43659 L
.48668 .43499 L
.48636 .43455 L
.4856 .43338 L
.48475 .43218 L
.4845 .43178 L
F
1 .86 .013 r
.48475 .47343 m
.48485 .47351 L
.48636 .47417 L
.48731 .47512 L
.48796 .47571 L
.48895 .47672 L
.48957 .47743 L
.49073 .47833 L
.49117 .4793 L
.49181 .47993 L
.49278 .48125 L
.49301 .48154 L
.49438 .48314 L
.49441 .48314 L
.49568 .48475 L
.49599 .48511 L
.49703 .48636 L
.49759 .48721 L
.49812 .48796 L
.4992 .48932 L
.49927 .48957 L
.50061 .49117 L
.5008 .49144 L
.50204 .49278 L
.50241 .49314 L
.50294 .49438 L
.50393 .49599 L
.50401 .49616 L
.50457 .49759 L
.50401 .49827 L
.50241 .49787 L
.50203 .49759 L
.5008 .49605 L
.49975 .49599 L
.4992 .49464 L
.49873 .49438 L
.49759 .49284 L
.49751 .49278 L
.49624 .49117 L
.49599 .49104 L
.49499 .48957 L
.49438 .48894 L
.49346 .48796 L
.49278 .48677 L
.49245 .48636 L
.49128 .48475 L
.49117 .48461 L
.49009 .48314 L
.48957 .48246 L
.48837 .48154 L
.48796 .4805 L
.48761 .47993 L
.48657 .47833 L
.48636 .47802 L
.48551 .47672 L
.48475 .47548 L
.48455 .47512 L
.4845 .47351 L
F
1 .53 0 r
.48475 .52868 m
.48557 .5297 L
.48636 .53057 L
.48693 .5313 L
.48796 .53251 L
.48828 .53291 L
.48957 .53448 L
.48959 .53451 L
.49084 .53612 L
.49117 .53651 L
.4921 .53772 L
.49278 .53854 L
.49338 .53933 L
.49438 .54058 L
.49465 .54093 L
.4959 .54254 L
.49599 .54265 L
.4971 .54414 L
.49759 .54476 L
.49832 .54575 L
.4992 .54686 L
.49956 .54735 L
.50079 .54896 L
.5008 .54897 L
.50193 .55057 L
.50241 .55117 L
.50309 .55217 L
.50401 .55337 L
.50429 .55378 L
.50401 .5548 L
.50322 .55378 L
.50241 .55288 L
.50186 .55217 L
.5008 .55094 L
.50052 .55057 L
.4992 .54897 L
.49919 .54896 L
.49796 .54735 L
.49759 .54692 L
.49672 .54575 L
.49599 .54488 L
.49545 .54414 L
.49438 .54284 L
.49416 .54254 L
.49292 .54093 L
.49278 .54077 L
.49173 .53933 L
.49117 .53865 L
.49051 .53772 L
.48957 .53654 L
.48926 .53612 L
.48803 .53451 L
.48796 .53443 L
.4869 .53291 L
.48636 .53223 L
.48574 .5313 L
.48475 .53003 L
.48453 .5297 L
F
1 .92 .084 r
.48475 .4174 m
.48636 .41893 L
.48636 .41894 L
.48788 .42054 L
.48796 .42063 L
.48933 .42215 L
.48957 .4224 L
.49075 .42375 L
.49117 .42402 L
.49214 .42536 L
.49278 .42606 L
.49398 .42696 L
.49438 .42803 L
.4949 .42857 L
.49599 .42998 L
.49614 .43017 L
.49749 .43178 L
.49759 .43187 L
.4988 .43338 L
.4992 .43387 L
.50025 .43499 L
.5008 .43591 L
.50135 .43659 L
.50241 .43795 L
.50254 .4382 L
.50395 .4398 L
.50401 .43988 L
.50546 .44141 L
.50562 .44192 L
.50652 .44301 L
.50722 .44402 L
.50764 .44462 L
.50883 .44608 L
.50902 .44622 L
.51027 .44783 L
.51043 .44803 L
.51163 .44943 L
.51204 .45012 L
.51273 .45104 L
.51364 .45224 L
.51384 .45265 L
.51525 .45424 L
.51528 .45425 L
.51671 .45586 L
.51686 .45628 L
.5178 .45746 L
.51846 .4584 L
.5189 .45907 L
.52007 .4605 L
.52026 .46067 L
.5215 .46228 L
.52167 .46248 L
.52285 .46388 L
.52328 .46459 L
.52394 .46549 L
.52488 .46672 L
.52505 .46709 L
.52645 .4687 L
.52649 .46873 L
.5279 .4703 L
.52809 .47081 L
.52897 .47191 L
.5297 .47293 L
.53007 .47351 L
.5313 .47502 L
.5314 .47512 L
.53263 .47672 L
.53291 .47703 L
.534 .47833 L
.53451 .47916 L
.53508 .47993 L
.53612 .48128 L
.53622 .48154 L
.53757 .48314 L
.53772 .48329 L
.53906 .48475 L
.53933 .48539 L
.54009 .48636 L
.54093 .48753 L
.5412 .48796 L
.5425 .48957 L
.54254 .48958 L
.54372 .49117 L
.54414 .49162 L
.54511 .49278 L
.54575 .49378 L
.54618 .49438 L
.54735 .4959 L
.54739 .49599 L
.54864 .49759 L
.54896 .49785 L
.55017 .4992 L
.55057 .50002 L
.55117 .5008 L
.55217 .50218 L
.55231 .50241 L
.55355 .50401 L
.55378 .50408 L
.55477 .50562 L
.55538 .50626 L
.55618 .50722 L
.55699 .50846 L
.55725 .50883 L
.55846 .51043 L
.55859 .5106 L
.55967 .51204 L
.5602 .51247 L
.56121 .51364 L
.5618 .51474 L
.56219 .51525 L
.56335 .51686 L
.56341 .51693 L
.56455 .51846 L
.56501 .51905 L
.56576 .52007 L
.56662 .52102 L
.56713 .52167 L
.56822 .52328 L
.56822 .52328 L
.5694 .52488 L
.56983 .52543 L
.5706 .52649 L
.57143 .5273 L
.57207 .52809 L
.57304 .52969 L
.57304 .5297 L
.57421 .5313 L
.57464 .53187 L
.57539 .53291 L
.57625 .53404 L
.57695 .53451 L
.57778 .53612 L
.57785 .53622 L
.57891 .53772 L
.57946 .53846 L
.58005 .53933 L
.58106 .54071 L
.58122 .54093 L
.5823 .54254 L
.58267 .54305 L
.58334 .54414 L
.58428 .54555 L
.58438 .54575 L
.58428 .54714 L
.58278 .54575 L
.58267 .54565 L
.58122 .54414 L
.58106 .54398 L
.57975 .54254 L
.57946 .54223 L
.57832 .54093 L
.57785 .54059 L
.57692 .53933 L
.57625 .53857 L
.57517 .53772 L
.57464 .53662 L
.57418 .53612 L
.57304 .53468 L
.57292 .53451 L
.57153 .53291 L
.57143 .5328 L
.57021 .5313 L
.56983 .53081 L
.56883 .5297 L
.56822 .52878 L
.5677 .52809 L
.56662 .52674 L
.56653 .52649 L
.56504 .52488 L
.56501 .52485 L
.56362 .52328 L
.56341 .52281 L
.56251 .52167 L
.5618 .52071 L
.5614 .52007 L
.5602 .51863 L
.55993 .51846 L
.55868 .51686 L
.55859 .51673 L
.55739 .51525 L
.55699 .51464 L
.55628 .51364 L
.55538 .51251 L
.55522 .51204 L
.55378 .51047 L
.55366 .51043 L
.55233 .50883 L
.55217 .5085 L
.5512 .50722 L
.55057 .50637 L
.55012 .50562 L
.54896 .50424 L
.54866 .50401 L
.54743 .50241 L
.54735 .50231 L
.54615 .5008 L
.54575 .5002 L
.54505 .4992 L
.54414 .49806 L
.54401 .49759 L
.54254 .49602 L
.54247 .49599 L
.54113 .49438 L
.54093 .49399 L
.54002 .49278 L
.53933 .49186 L
.53894 .49117 L
.53772 .48975 L
.53751 .48957 L
.53614 .48796 L
.53612 .48776 L
.535 .48636 L
.53451 .48564 L
.53391 .48475 L
.53291 .48351 L
.53282 .48314 L
.53135 .48154 L
.5313 .48149 L
.52998 .47993 L
.5297 .47941 L
.52889 .47833 L
.52809 .47727 L
.5278 .47672 L
.52649 .47519 L
.52641 .47512 L
.52494 .47351 L
.52488 .47316 L
.52388 .47191 L
.52328 .47103 L
.52279 .4703 L
.52167 .46891 L
.52163 .4687 L
.52027 .46709 L
.52007 .4669 L
.51885 .46549 L
.51846 .46478 L
.5178 .46388 L
.51686 .46263 L
.51667 .46228 L
.51536 .46067 L
.51525 .46062 L
.51378 .45907 L
.51364 .45853 L
.5128 .45746 L
.51204 .45636 L
.51171 .45586 L
.51045 .45425 L
.51043 .45423 L
.50924 .45265 L
.50883 .45228 L
.50779 .45104 L
.50722 .45008 L
.50676 .44943 L
.50562 .4479 L
.50558 .44783 L
.50436 .44622 L
.50401 .44607 L
.50272 .44462 L
.50241 .44379 L
.50182 .44301 L
.5008 .44155 L
.50071 .44141 L
.49951 .4398 L
.4992 .43939 L
.49831 .4382 L
.49759 .43749 L
.49689 .43659 L
.49599 .43514 L
.49588 .43499 L
.49472 .43338 L
.49438 .43294 L
.49354 .43178 L
.49278 .43076 L
.492 .43017 L
.49117 .4286 L
.49115 .42857 L
.49002 .42696 L
.48957 .42635 L
.48888 .42536 L
.48796 .42409 L
.48773 .42375 L
.48663 .42215 L
.48636 .42176 L
.48559 .42054 L
.48475 .41929 L
.48455 .41894 L
F
0 .32 1 r
.48475 .53541 m
.4852 .53612 L
.48636 .5376 L
.48644 .53772 L
.48636 .53823 L
.486 .53772 L
.48475 .53639 L
.48455 .53612 L
F
.002 .8 1 r
.48475 .42421 m
.4859 .42536 L
.48636 .42578 L
.48742 .42696 L
.48796 .42752 L
.48886 .42857 L
.48957 .42934 L
.49027 .43017 L
.49117 .43098 L
.49164 .43178 L
.49278 .43308 L
.49314 .43338 L
.49433 .43499 L
.49438 .43505 L
.49563 .43659 L
.49599 .43701 L
.49694 .4382 L
.49759 .43885 L
.49883 .4398 L
.4992 .44095 L
.49964 .44141 L
.5008 .44298 L
.50083 .44301 L
.5021 .44462 L
.50241 .44481 L
.50337 .44622 L
.50401 .44694 L
.5049 .44783 L
.50562 .44904 L
.50595 .44943 L
.50718 .45104 L
.50722 .45109 L
.50843 .45265 L
.50883 .45301 L
.5102 .45425 L
.51043 .45515 L
.51106 .45586 L
.51204 .45726 L
.51219 .45746 L
.51344 .45907 L
.51364 .45915 L
.51468 .46067 L
.51525 .46129 L
.51618 .46228 L
.51686 .46344 L
.51721 .46388 L
.51842 .46549 L
.51846 .46554 L
.51965 .46709 L
.52007 .46744 L
.52137 .4687 L
.52167 .46963 L
.52224 .4703 L
.52328 .47178 L
.52337 .47191 L
.52459 .47351 L
.52488 .47359 L
.52582 .47512 L
.52649 .47583 L
.5273 .47672 L
.52809 .47803 L
.52832 .47833 L
.52952 .47993 L
.5297 .48016 L
.53073 .48154 L
.5313 .48201 L
.53242 .48314 L
.53291 .48429 L
.53328 .48475 L
.53442 .48636 L
.53451 .48648 L
.53562 .48796 L
.53612 .4886 L
.53684 .48957 L
.53772 .49057 L
.53825 .49117 L
.53929 .49278 L
.53933 .49283 L
.54047 .49438 L
.54093 .49497 L
.54168 .49599 L
.54254 .49685 L
.54321 .49759 L
.54411 .4992 L
.54414 .49924 L
.54527 .5008 L
.54575 .50142 L
.54646 .50241 L
.54735 .50359 L
.54766 .50401 L
.54884 .50562 L
.54896 .50577 L
.54997 .50722 L
.55057 .50802 L
.55112 .50883 L
.55217 .51026 L
.55229 .51043 L
.55337 .51204 L
.55378 .51261 L
.5544 .51364 L
.55538 .51512 L
.55545 .51525 L
.55538 .51622 L
.55435 .51525 L
.55378 .51473 L
.55277 .51364 L
.55217 .51302 L
.5513 .51204 L
.55057 .51123 L
.54988 .51043 L
.54896 .50955 L
.54849 .50883 L
.54735 .50751 L
.54702 .50722 L
.54579 .50562 L
.54575 .50557 L
.54446 .50401 L
.54414 .50395 L
.54313 .50241 L
.54254 .50176 L
.54137 .5008 L
.54093 .49971 L
.54047 .4992 L
.53933 .4977 L
.53925 .49759 L
.53795 .49599 L
.53772 .49581 L
.53666 .49438 L
.53612 .49374 L
.53522 .49278 L
.53451 .49166 L
.53413 .49117 L
.53291 .48963 L
.53288 .48957 L
.53158 .48796 L
.5313 .48767 L
.52998 .48636 L
.5297 .48558 L
.52902 .48475 L
.52809 .48348 L
.52787 .48314 L
.52655 .48154 L
.52649 .4815 L
.5253 .47993 L
.52488 .47944 L
.52391 .47833 L
.52328 .47732 L
.52284 .47672 L
.52167 .47524 L
.52162 .47512 L
.52033 .47351 L
.52007 .47326 L
.51878 .47191 L
.51846 .47113 L
.5178 .4703 L
.51686 .46901 L
.51666 .4687 L
.51538 .46709 L
.51525 .46703 L
.51415 .46549 L
.51364 .46492 L
.51276 .46388 L
.51204 .46276 L
.51169 .46228 L
.51045 .46067 L
.51043 .46065 L
.50923 .45907 L
.50883 .45871 L
.50768 .45746 L
.50722 .4565 L
.50673 .45586 L
.50562 .45433 L
.50557 .45425 L
.50435 .45265 L
.50401 .45252 L
.50313 .45104 L
.50241 .45022 L
.50176 .44943 L
.5008 .44798 L
.50069 .44783 L
.4995 .44622 L
.4992 .44583 L
.4983 .44462 L
.49759 .44393 L
.4968 .44301 L
.49599 .44157 L
.49587 .44141 L
.49471 .4398 L
.49438 .43936 L
.49354 .4382 L
.49278 .43718 L
.49235 .43659 L
.49117 .435 L
.49116 .43499 L
.49003 .43338 L
.48957 .43275 L
.48889 .43178 L
.48796 .43049 L
.48774 .43017 L
.48665 .42857 L
.48636 .42815 L
.48561 .42696 L
.48475 .42566 L
.48457 .42536 L
F
.003 .81 1 r
.48475 .52207 m
.48586 .52328 L
.48636 .52378 L
.48732 .52488 L
.48796 .52559 L
.48873 .52649 L
.48957 .52745 L
.4901 .52809 L
.49117 .5292 L
.49145 .5297 L
.49278 .5313 L
.49278 .5313 L
.49409 .53291 L
.49438 .53326 L
.4954 .53451 L
.49599 .53523 L
.4967 .53612 L
.49759 .53711 L
.49833 .53772 L
.4992 .53922 L
.49929 .53933 L
.50055 .54093 L
.5008 .54125 L
.50182 .54254 L
.50241 .543 L
.5031 .54414 L
.50401 .54526 L
.50448 .54575 L
.50561 .54735 L
.50562 .54736 L
.50686 .54896 L
.50722 .54942 L
.50811 .55057 L
.50883 .55133 L
.50971 .55217 L
.51043 .55353 L
.51063 .55378 L
.51184 .55538 L
.51204 .55564 L
.51307 .55699 L
.51364 .55739 L
.51431 .55859 L
.51525 .55975 L
.51565 .5602 L
.51676 .5618 L
.51686 .56192 L
.51797 .56341 L
.51846 .56404 L
.5192 .56501 L
.52007 .56599 L
.52066 .56662 L
.52162 .56822 L
.52167 .56828 L
.52281 .56983 L
.52328 .57044 L
.52401 .57143 L
.52488 .57226 L
.52521 .57304 L
.52639 .57464 L
.52649 .57477 L
.52754 .57625 L
.52809 .57698 L
.52871 .57785 L
.5297 .5792 L
.52988 .57946 L
.53099 .58106 L
.5313 .58149 L
.53207 .58267 L
.53291 .58386 L
.53317 .58428 L
.53291 .58548 L
.53183 .58428 L
.5313 .58374 L
.5304 .58267 L
.5297 .5819 L
.52901 .58106 L
.52809 .58002 L
.52764 .57946 L
.52649 .57825 L
.52629 .57785 L
.52498 .57625 L
.52488 .57614 L
.52369 .57464 L
.52328 .57415 L
.5224 .57304 L
.52167 .57216 L
.5211 .57143 L
.52007 .57028 L
.51951 .56983 L
.51853 .56822 L
.51846 .56814 L
.51728 .56662 L
.51686 .5661 L
.51602 .56501 L
.51525 .56441 L
.51475 .56341 L
.51364 .56207 L
.51337 .5618 L
.51224 .5602 L
.51204 .55995 L
.511 .55859 L
.51043 .55788 L
.50976 .55699 L
.50883 .556 L
.50816 .55538 L
.50725 .55378 L
.50722 .55375 L
.50604 .55217 L
.50562 .55165 L
.50481 .55057 L
.50401 .54997 L
.50357 .54896 L
.50241 .54752 L
.50226 .54735 L
.50111 .54575 L
.5008 .54536 L
.49991 .54414 L
.4992 .54324 L
.49868 .54254 L
.49759 .54125 L
.49728 .54093 L
.49624 .53933 L
.49599 .539 L
.49506 .53772 L
.49438 .53686 L
.49385 .53612 L
.49278 .53472 L
.49263 .53451 L
.49145 .53291 L
.49117 .53255 L
.4903 .5313 L
.48957 .53035 L
.48912 .5297 L
.48796 .52816 L
.48791 .52809 L
.48682 .52649 L
.48636 .52587 L
.48572 .52488 L
.48475 .52353 L
.4846 .52328 L
F
0 .66 1 r
.48475 .43763 m
.48516 .4382 L
.48636 .4395 L
.48657 .4398 L
.48636 .44061 L
.48582 .4398 L
.48475 .43843 L
.4846 .4382 L
F
1 .52 0 r
.48475 .52884 m
.48544 .5297 L
.48636 .53069 L
.48684 .5313 L
.48796 .53261 L
.4882 .53291 L
.48796 .53433 L
.48699 .53291 L
.48636 .53211 L
.48583 .5313 L
.48475 .5299 L
.48462 .5297 L
F
1 .65 0 r
.48475 .431 m
.48545 .43178 L
.48636 .43265 L
.48697 .43338 L
.48796 .43446 L
.48839 .43499 L
.48957 .43634 L
.48977 .43659 L
.49111 .4382 L
.49117 .43826 L
.4924 .4398 L
.49278 .44023 L
.4937 .44141 L
.49438 .44221 L
.49501 .44301 L
.49599 .4442 L
.49631 .44462 L
.49759 .4462 L
.49762 .44622 L
.49885 .44783 L
.4992 .44825 L
.50011 .44943 L
.5008 .45029 L
.50138 .45104 L
.50241 .45215 L
.50265 .45265 L
.50391 .45425 L
.50401 .45438 L
.50513 .45586 L
.50562 .45646 L
.50637 .45746 L
.50722 .45853 L
.50762 .45907 L
.50883 .46058 L
.50892 .46067 L
.51008 .46228 L
.51043 .46271 L
.5113 .46388 L
.51204 .46482 L
.51253 .46549 L
.51364 .46679 L
.51377 .46709 L
.51497 .4687 L
.51525 .46905 L
.51616 .4703 L
.51686 .47119 L
.51737 .47191 L
.51846 .47332 L
.5186 .47351 L
.51977 .47512 L
.52007 .4755 L
.52092 .47672 L
.52167 .47771 L
.5221 .47833 L
.52328 .4799 L
.5233 .47993 L
.52437 .48154 L
.52488 .48224 L
.52544 .48314 L
.52649 .48465 L
.52654 .48475 L
.52649 .48547 L
.5258 .48475 L
.52488 .48386 L
.52426 .48314 L
.52328 .48207 L
.52283 .48154 L
.52167 .48021 L
.52144 .47993 L
.5201 .47833 L
.52007 .47829 L
.51878 .47672 L
.51846 .47635 L
.51747 .47512 L
.51686 .47438 L
.51616 .47351 L
.51525 .47275 L
.51485 .47191 L
.51364 .47043 L
.51351 .4703 L
.5123 .4687 L
.51204 .46838 L
.51103 .46709 L
.51043 .46636 L
.50975 .46549 L
.50883 .46449 L
.50807 .46388 L
.50723 .46228 L
.50722 .46227 L
.50599 .46067 L
.50562 .4602 L
.50474 .45907 L
.50401 .45861 L
.50349 .45746 L
.50241 .45612 L
.50215 .45586 L
.50103 .45425 L
.5008 .45396 L
.49981 .45265 L
.4992 .45186 L
.49858 .45104 L
.49759 .44992 L
.49707 .44943 L
.49614 .44783 L
.49599 .44763 L
.49495 .44622 L
.49438 .44548 L
.49375 .44462 L
.49278 .44334 L
.49254 .44301 L
.49136 .44141 L
.49117 .44116 L
.49021 .4398 L
.48957 .43895 L
.48903 .4382 L
.48796 .43674 L
.48786 .43659 L
.48678 .43499 L
.48636 .43441 L
.48571 .43338 L
.48475 .43199 L
.48463 .43178 L
F
1 .95 .212 r
.48475 .50643 m
.48559 .50722 L
.48636 .50802 L
.48698 .50883 L
.48796 .51003 L
.48823 .51043 L
.48796 .51141 L
.4871 .51043 L
.48636 .50957 L
.48577 .50883 L
.48475 .5074 L
.48463 .50722 L
F
0 .31 1 r
.48475 .53557 m
.48507 .53612 L
.48475 .53626 L
.48465 .53612 L
F
1 .85 .01 r
.48475 .47373 m
.48636 .47429 L
.48718 .47512 L
.48796 .4758 L
.48887 .47672 L
.48957 .47751 L
.49068 .47833 L
.49117 .47936 L
.49176 .47993 L
.49278 .48129 L
.49298 .48154 L
.49437 .48314 L
.49438 .48316 L
.49565 .48475 L
.49599 .48516 L
.497 .48636 L
.49759 .48725 L
.49808 .48796 L
.4992 .48937 L
.49926 .48957 L
.50057 .49117 L
.5008 .4915 L
.50201 .49278 L
.50241 .49322 L
.50289 .49438 L
.50385 .49599 L
.50401 .49632 L
.50443 .49759 L
.50401 .49811 L
.50241 .49777 L
.50215 .49759 L
.5008 .49603 L
.49984 .49599 L
.4992 .49461 L
.49878 .49438 L
.49759 .49281 L
.49755 .49278 L
.49628 .49117 L
.49599 .49103 L
.49502 .48957 L
.49438 .48891 L
.49349 .48796 L
.49278 .48673 L
.49248 .48636 L
.49131 .48475 L
.49117 .48457 L
.49012 .48314 L
.48957 .48242 L
.48841 .48154 L
.48796 .48043 L
.48765 .47993 L
.48662 .47833 L
.48636 .47795 L
.48558 .47672 L
.48475 .47532 L
.48465 .47512 L
F
.395 .97 1 r
.48475 .50158 m
.48636 .50134 L
.48796 .50237 L
.48802 .50241 L
.48948 .50401 L
.48957 .50411 L
.49079 .50562 L
.49117 .50578 L
.49206 .50722 L
.49278 .50792 L
.49379 .50883 L
.49438 .51012 L
.49466 .51043 L
.4958 .51204 L
.49599 .51228 L
.497 .51364 L
.49759 .51441 L
.49821 .51525 L
.4992 .51631 L
.49959 .51686 L
.50061 .51846 L
.5008 .51872 L
.50173 .52007 L
.50241 .52102 L
.50284 .52167 L
.50385 .52328 L
.50401 .52355 L
.50429 .52488 L
.50401 .52502 L
.50365 .52488 L
.50241 .52417 L
.50134 .52328 L
.5008 .5229 L
.49964 .52167 L
.4992 .52118 L
.4981 .52007 L
.49759 .51938 L
.49666 .51846 L
.49599 .51745 L
.49552 .51686 L
.49438 .51542 L
.49396 .51525 L
.49278 .51376 L
.49268 .51364 L
.49131 .51204 L
.49117 .51172 L
.49022 .51043 L
.48957 .5096 L
.48918 .50883 L
.48796 .50747 L
.48772 .50722 L
.48657 .50562 L
.48636 .5053 L
.48541 .50401 L
.48475 .5026 L
.48468 .50241 L
F
1 .51 0 r
.48475 .52906 m
.48526 .5297 L
.48636 .53083 L
.48673 .5313 L
.48796 .53272 L
.48811 .53291 L
.48796 .53421 L
.4871 .53291 L
.48636 .53198 L
.48594 .5313 L
.48475 .52974 L
.48473 .5297 L
F
1 .84 .007 r
.48475 .47405 m
.48636 .47443 L
.48704 .47512 L
.48796 .4759 L
.48878 .47672 L
.48957 .47759 L
.49062 .47833 L
.49117 .47942 L
.49171 .47993 L
.49278 .48134 L
.49295 .48154 L
.49432 .48314 L
.49438 .4832 L
.49561 .48475 L
.49599 .4852 L
.49697 .48636 L
.49759 .4873 L
.49805 .48796 L
.4992 .48941 L
.49925 .48957 L
.50053 .49117 L
.5008 .49155 L
.50198 .49278 L
.50241 .49331 L
.50284 .49438 L
.50378 .49599 L
.50401 .49652 L
.50428 .49759 L
.50401 .49793 L
.50241 .49768 L
.50228 .49759 L
.5008 .49601 L
.49994 .49599 L
.4992 .49458 L
.49883 .49438 L
.49759 .49278 L
.49758 .49278 L
.49631 .49117 L
.49599 .49101 L
.49505 .48957 L
.49438 .48887 L
.49352 .48796 L
.49278 .48669 L
.49251 .48636 L
.49134 .48475 L
.49117 .48453 L
.49015 .48314 L
.48957 .48237 L
.48845 .48154 L
.48796 .48035 L
.4877 .47993 L
.48667 .47833 L
.48636 .47787 L
.48564 .47672 L
.48475 .47512 L
.48475 .47512 L
F
.001 .79 1 r
.48475 .42462 m
.48563 .42536 L
.48636 .42597 L
.48727 .42696 L
.48796 .42766 L
.48875 .42857 L
.48957 .42946 L
.49017 .43017 L
.49117 .4311 L
.49157 .43178 L
.49278 .43317 L
.49303 .43338 L
.49426 .43499 L
.49438 .43513 L
.49557 .43659 L
.49599 .43708 L
.49689 .4382 L
.49759 .43891 L
.49877 .4398 L
.4992 .44101 L
.49959 .44141 L
.50079 .44301 L
.5008 .44303 L
.50206 .44462 L
.50241 .44484 L
.50334 .44622 L
.50401 .44699 L
.50487 .44783 L
.50562 .44909 L
.50591 .44943 L
.50715 .45104 L
.50722 .45113 L
.5084 .45265 L
.50883 .45304 L
.51018 .45425 L
.51043 .45519 L
.51103 .45586 L
.51204 .45729 L
.51217 .45746 L
.51341 .45907 L
.51364 .45916 L
.51466 .46067 L
.51525 .46132 L
.51616 .46228 L
.51686 .46347 L
.51719 .46388 L
.5184 .46549 L
.51846 .46557 L
.51962 .46709 L
.52007 .46746 L
.52135 .4687 L
.52167 .46966 L
.52222 .4703 L
.52328 .47181 L
.52335 .47191 L
.52457 .47351 L
.52488 .4736 L
.5258 .47512 L
.52649 .47586 L
.52727 .47672 L
.52809 .47806 L
.5283 .47833 L
.52949 .47993 L
.5297 .48019 L
.53071 .48154 L
.5313 .48204 L
.53239 .48314 L
.53291 .48433 L
.53325 .48475 L
.53439 .48636 L
.53451 .48651 L
.53559 .48796 L
.53612 .48864 L
.53681 .48957 L
.53772 .49061 L
.53821 .49117 L
.53926 .49278 L
.53933 .49287 L
.54044 .49438 L
.54093 .49502 L
.54164 .49599 L
.54254 .49691 L
.54315 .49759 L
.54407 .4992 L
.54414 .49929 L
.54523 .5008 L
.54575 .50148 L
.54641 .50241 L
.54735 .50365 L
.54761 .50401 L
.54878 .50562 L
.54896 .50585 L
.54991 .50722 L
.55057 .5081 L
.55105 .50883 L
.55217 .51036 L
.55222 .51043 L
.55326 .51204 L
.55378 .51278 L
.55427 .51364 L
.55378 .51452 L
.55294 .51364 L
.55217 .51287 L
.55142 .51204 L
.55057 .51111 L
.54998 .51043 L
.54896 .50943 L
.54858 .50883 L
.54735 .50741 L
.54713 .50722 L
.54586 .50562 L
.54575 .50549 L
.54452 .50401 L
.54414 .50393 L
.54319 .50241 L
.54254 .5017 L
.54142 .5008 L
.54093 .49964 L
.54053 .4992 L
.53933 .49765 L
.53929 .49759 L
.53799 .49599 L
.53772 .49578 L
.5367 .49438 L
.53612 .49369 L
.53526 .49278 L
.53451 .49161 L
.53417 .49117 L
.53291 .48959 L
.53289 .48957 L
.53162 .48796 L
.5313 .48764 L
.53 .48636 L
.5297 .48553 L
.52905 .48475 L
.52809 .48345 L
.5279 .48314 L
.52659 .48154 L
.52649 .48148 L
.52533 .47993 L
.52488 .47941 L
.52394 .47833 L
.52328 .47729 L
.52286 .47672 L
.52167 .47521 L
.52163 .47512 L
.52036 .47351 L
.52007 .47324 L
.5188 .47191 L
.51846 .4711 L
.51783 .4703 L
.51686 .46897 L
.51668 .4687 L
.5154 .46709 L
.51525 .46702 L
.51417 .46549 L
.51364 .46489 L
.51278 .46388 L
.51204 .46273 L
.51172 .46228 L
.51048 .46067 L
.51043 .46061 L
.50926 .45907 L
.50883 .45868 L
.5077 .45746 L
.50722 .45646 L
.50675 .45586 L
.50562 .45429 L
.50559 .45425 L
.50438 .45265 L
.50401 .4525 L
.50316 .45104 L
.50241 .45017 L
.5018 .44943 L
.5008 .44794 L
.50073 .44783 L
.49954 .44622 L
.4992 .44578 L
.49834 .44462 L
.49759 .44387 L
.49685 .44301 L
.49599 .4415 L
.49592 .44141 L
.49476 .4398 L
.49438 .4393 L
.49358 .4382 L
.49278 .43712 L
.4924 .43659 L
.49122 .43499 L
.49117 .43492 L
.4901 .43338 L
.48957 .43265 L
.48896 .43178 L
.48796 .43038 L
.48782 .43017 L
.48676 .42857 L
.48636 .42798 L
.48575 .42696 L
.48475 .42536 L
.48475 .42536 L
F
1 .83 .005 r
.48636 .47457 m
.48689 .47512 L
.48796 .47599 L
.48869 .47672 L
.48957 .47766 L
.49055 .47833 L
.49117 .47948 L
.49165 .47993 L
.49278 .48138 L
.49292 .48154 L
.49428 .48314 L
.49438 .48323 L
.49557 .48475 L
.49599 .48525 L
.49694 .48636 L
.49759 .48734 L
.49802 .48796 L
.4992 .48945 L
.49923 .48957 L
.50049 .49117 L
.5008 .49161 L
.50194 .49278 L
.50241 .49342 L
.50278 .49438 L
.5037 .49599 L
.50401 .49679 L
.50411 .49759 L
.50401 .49772 L
.50244 .49759 L
.50241 .49758 L
.5008 .496 L
.50005 .49599 L
.4992 .49454 L
.49889 .49438 L
.49762 .49278 L
.49759 .49275 L
.49634 .49117 L
.49599 .49099 L
.49508 .48957 L
.49438 .48884 L
.49355 .48796 L
.49278 .48666 L
.49254 .48636 L
.49137 .48475 L
.49117 .4845 L
.49018 .48314 L
.48957 .48233 L
.48849 .48154 L
.48796 .48027 L
.48776 .47993 L
.48672 .47833 L
.48636 .47778 L
.48571 .47672 L
.48489 .47512 L
F
0 .4 1 r
.48636 .48141 m
.48647 .48154 L
.48795 .48314 L
.48796 .48316 L
.48928 .48475 L
.48957 .48509 L
.49054 .48636 L
.49117 .48715 L
.49176 .48796 L
.49278 .48937 L
.49291 .48957 L
.49383 .49117 L
.49278 .49149 L
.49246 .49117 L
.49117 .48983 L
.49095 .48957 L
.48958 .48796 L
.48957 .48795 L
.48834 .48636 L
.48796 .48588 L
.48714 .48475 L
.48636 .48369 L
.48599 .48314 L
.48496 .48154 L
F
0 .39 1 r
.48636 .48147 m
.48642 .48154 L
.4879 .48314 L
.48796 .48321 L
.48924 .48475 L
.48957 .48514 L
.49051 .48636 L
.49117 .4872 L
.49172 .48796 L
.49278 .48943 L
.49287 .48957 L
.49376 .49117 L
.49278 .49143 L
.49252 .49117 L
.49117 .48978 L
.49099 .48957 L
.48962 .48796 L
.48957 .4879 L
.48838 .48636 L
.48796 .48583 L
.48718 .48475 L
.48636 .48364 L
.48603 .48314 L
.48502 .48154 L
F
1 .82 .004 r
.48636 .47474 m
.48673 .47512 L
.48796 .47608 L
.4886 .47672 L
.48957 .47774 L
.49048 .47833 L
.49117 .47954 L
.4916 .47993 L
.49278 .48142 L
.49288 .48154 L
.49424 .48314 L
.49438 .48327 L
.49553 .48475 L
.49599 .48529 L
.49691 .48636 L
.49759 .48739 L
.49799 .48796 L
.4992 .4895 L
.49922 .48957 L
.50045 .49117 L
.5008 .49167 L
.5019 .49278 L
.50241 .49354 L
.50273 .49438 L
.50362 .49599 L
.50241 .49748 L
.5008 .49599 L
.50017 .49599 L
.4992 .49451 L
.49894 .49438 L
.49766 .49278 L
.49759 .4927 L
.49637 .49117 L
.49599 .49096 L
.49511 .48957 L
.49438 .4888 L
.49358 .48796 L
.49278 .48662 L
.49257 .48636 L
.4914 .48475 L
.49117 .48446 L
.49021 .48314 L
.48957 .48229 L
.48854 .48154 L
.48796 .48019 L
.48781 .47993 L
.48678 .47833 L
.48636 .47769 L
.48578 .47672 L
.48505 .47512 L
F
.289 .96 1 r
.48636 .5017 m
.48768 .50241 L
.48796 .50264 L
.48931 .50401 L
.48957 .50429 L
.49066 .50562 L
.49117 .50586 L
.49195 .50722 L
.49278 .50805 L
.49365 .50883 L
.49438 .51025 L
.49454 .51043 L
.4957 .51204 L
.49599 .5124 L
.4969 .51364 L
.49759 .51454 L
.49811 .51525 L
.4992 .51656 L
.4994 .51686 L
.50045 .51846 L
.5008 .51895 L
.50154 .52007 L
.50241 .52136 L
.5026 .52167 L
.5033 .52328 L
.50241 .52357 L
.50199 .52328 L
.5008 .52254 L
.50004 .52167 L
.4992 .52083 L
.49841 .52007 L
.49759 .51907 L
.49688 .51846 L
.49599 .5172 L
.49569 .51686 L
.49438 .51531 L
.49418 .51525 L
.49288 .51364 L
.49278 .51353 L
.49139 .51204 L
.49117 .5115 L
.49038 .51043 L
.48957 .50939 L
.48931 .50883 L
.48796 .50727 L
.48792 .50722 L
.48677 .50562 L
.48636 .50496 L
.48564 .50401 L
.4851 .50241 L
F
0 .38 1 r
.48636 .48153 m
.48636 .48154 L
.48785 .48314 L
.48796 .48326 L
.48919 .48475 L
.48957 .48518 L
.49047 .48636 L
.49117 .48725 L
.49169 .48796 L
.49278 .48949 L
.49283 .48957 L
.49368 .49117 L
.49278 .49137 L
.49258 .49117 L
.49117 .48974 L
.49103 .48957 L
.48966 .48796 L
.48957 .48785 L
.48842 .48636 L
.48796 .48579 L
.48722 .48475 L
.48636 .48358 L
.48607 .48314 L
.4851 .48154 L
F
1 .81 .003 r
.48636 .47494 m
.48654 .47512 L
.48796 .47618 L
.48851 .47672 L
.48957 .47781 L
.4904 .47833 L
.49117 .4796 L
.49155 .47993 L
.49278 .48146 L
.49285 .48154 L
.4942 .48314 L
.49438 .4833 L
.49549 .48475 L
.49599 .48534 L
.49687 .48636 L
.49759 .48744 L
.49796 .48796 L
.4992 .48954 L
.4992 .48957 L
.50041 .49117 L
.5008 .49172 L
.50186 .49278 L
.50241 .49367 L
.50267 .49438 L
.50354 .49599 L
.50241 .49738 L
.5008 .49599 L
.5003 .49599 L
.4992 .49448 L
.499 .49438 L
.49769 .49278 L
.49759 .49266 L
.4964 .49117 L
.49599 .49094 L
.49513 .48957 L
.49438 .48877 L
.49361 .48796 L
.49278 .48658 L
.4926 .48636 L
.49143 .48475 L
.49117 .48442 L
.49024 .48314 L
.48957 .48224 L
.48858 .48154 L
.48796 .4801 L
.48786 .47993 L
.48683 .47833 L
.48636 .47759 L
.48585 .47672 L
.48526 .47512 L
F
.212 .95 1 r
.48636 .50206 m
.48724 .50241 L
.48796 .50289 L
.48912 .50401 L
.48957 .50447 L
.49053 .50562 L
.49117 .50597 L
.49185 .50722 L
.49278 .50819 L
.4935 .50883 L
.49438 .5104 L
.49441 .51043 L
.4956 .51204 L
.49599 .51253 L
.4968 .51364 L
.49759 .51468 L
.498 .51525 L
.4992 .51686 L
.4992 .51686 L
.50028 .51846 L
.5008 .51921 L
.50133 .52007 L
.50227 .52167 L
.5008 .52203 L
.5005 .52167 L
.4992 .5205 L
.49874 .52007 L
.49759 .5188 L
.49713 .51846 L
.49599 .51701 L
.49584 .51686 L
.4944 .51525 L
.49438 .51525 L
.49306 .51364 L
.49278 .51334 L
.49148 .51204 L
.49117 .51129 L
.49053 .51043 L
.48957 .50918 L
.48941 .50883 L
.4881 .50722 L
.48796 .50702 L
.48698 .50562 L
.48636 .50459 L
.48592 .50401 L
.48561 .50241 L
F
1 .64 0 r
.48636 .43281 m
.48684 .43338 L
.48796 .43457 L
.4883 .43499 L
.48957 .43643 L
.4897 .43659 L
.49104 .4382 L
.49117 .43835 L
.49234 .4398 L
.49278 .44031 L
.49364 .44141 L
.49438 .44228 L
.49495 .44301 L
.49599 .44426 L
.49626 .44462 L
.49756 .44622 L
.49759 .44627 L
.4988 .44783 L
.4992 .4483 L
.50006 .44943 L
.5008 .45034 L
.50134 .45104 L
.50241 .45222 L
.50261 .45265 L
.50386 .45425 L
.50401 .45443 L
.50509 .45586 L
.50562 .45651 L
.50633 .45746 L
.50722 .45858 L
.50759 .45907 L
.50883 .46064 L
.50886 .46067 L
.51004 .46228 L
.51043 .46276 L
.51126 .46388 L
.51204 .46487 L
.51249 .46549 L
.51364 .46688 L
.51374 .46709 L
.51493 .4687 L
.51525 .46911 L
.51611 .4703 L
.51686 .47125 L
.51733 .47191 L
.51846 .47339 L
.51855 .47351 L
.51971 .47512 L
.52007 .47558 L
.52086 .47672 L
.52167 .47779 L
.52204 .47833 L
.52322 .47993 L
.52328 .48001 L
.52426 .48154 L
.52488 .48239 L
.52532 .48314 L
.52488 .4837 L
.52439 .48314 L
.52328 .48195 L
.52292 .48154 L
.52167 .48011 L
.52152 .47993 L
.52018 .47833 L
.52007 .4782 L
.51886 .47672 L
.51846 .47627 L
.51753 .47512 L
.51686 .47431 L
.51621 .47351 L
.51525 .47265 L
.51491 .47191 L
.51364 .47035 L
.5136 .4703 L
.51235 .4687 L
.51204 .46832 L
.51108 .46709 L
.51043 .4663 L
.5098 .46549 L
.50883 .46442 L
.50815 .46388 L
.50728 .46228 L
.50722 .46221 L
.50604 .46067 L
.50562 .46015 L
.50479 .45907 L
.50401 .45854 L
.50354 .45746 L
.50241 .45605 L
.50222 .45586 L
.50108 .45425 L
.5008 .4539 L
.49985 .45265 L
.4992 .4518 L
.49862 .45104 L
.49759 .44984 L
.49716 .44943 L
.4962 .44783 L
.49599 .44756 L
.495 .44622 L
.49438 .44542 L
.4938 .44462 L
.49278 .44327 L
.49259 .44301 L
.49142 .44141 L
.49117 .44108 L
.49027 .4398 L
.48957 .43886 L
.4891 .4382 L
.48796 .43663 L
.48793 .43659 L
.48688 .43499 L
.48636 .43425 L
.48583 .43338 L
F
1 .91 .061 r
.48636 .41938 m
.48753 .42054 L
.48796 .42095 L
.48907 .42215 L
.48957 .42266 L
.49053 .42375 L
.49117 .42418 L
.49196 .42536 L
.49278 .42625 L
.49381 .42696 L
.49438 .42819 L
.49476 .42857 L
.49599 .43011 L
.49604 .43017 L
.49738 .43178 L
.49759 .43198 L
.4987 .43338 L
.4992 .43398 L
.50017 .43499 L
.5008 .43601 L
.50128 .43659 L
.50241 .43802 L
.5025 .4382 L
.50388 .4398 L
.50401 .43995 L
.50543 .44141 L
.50562 .442 L
.50647 .44301 L
.50722 .44408 L
.5076 .44462 L
.50883 .44612 L
.50897 .44622 L
.51023 .44783 L
.51043 .44808 L
.5116 .44943 L
.51204 .45018 L
.5127 .45104 L
.51364 .45228 L
.51382 .45265 L
.51524 .45425 L
.51525 .45426 L
.51669 .45586 L
.51686 .45632 L
.51777 .45746 L
.51846 .45844 L
.51887 .45907 L
.52007 .46052 L
.52023 .46067 L
.52147 .46228 L
.52167 .46252 L
.52283 .46388 L
.52328 .46463 L
.52392 .46549 L
.52488 .46674 L
.52504 .46709 L
.52643 .4687 L
.52649 .46875 L
.52789 .4703 L
.52809 .47083 L
.52895 .47191 L
.5297 .47296 L
.53005 .47351 L
.5313 .47504 L
.53138 .47512 L
.53261 .47672 L
.53291 .47706 L
.53398 .47833 L
.53451 .47918 L
.53506 .47993 L
.53612 .4813 L
.53621 .48154 L
.53755 .48314 L
.53772 .4833 L
.53904 .48475 L
.53933 .48541 L
.54007 .48636 L
.54093 .48755 L
.54119 .48796 L
.54248 .48957 L
.54254 .48959 L
.5437 .49117 L
.54414 .49164 L
.5451 .49278 L
.54575 .4938 L
.54617 .49438 L
.54735 .49593 L
.54738 .49599 L
.54862 .49759 L
.54896 .49787 L
.55016 .4992 L
.55057 .50005 L
.55115 .5008 L
.55217 .50221 L
.55229 .50241 L
.55353 .50401 L
.55378 .50409 L
.55475 .50562 L
.55538 .50629 L
.55615 .50722 L
.55699 .50849 L
.55722 .50883 L
.55843 .51043 L
.55859 .51064 L
.55964 .51204 L
.5602 .5125 L
.56118 .51364 L
.5618 .51478 L
.56216 .51525 L
.56332 .51686 L
.56341 .51697 L
.56451 .51846 L
.56501 .5191 L
.56573 .52007 L
.56662 .52107 L
.56709 .52167 L
.56817 .52328 L
.56822 .52334 L
.56936 .52488 L
.56983 .52549 L
.57055 .52649 L
.57143 .52739 L
.57199 .52809 L
.57298 .5297 L
.57304 .52978 L
.57414 .5313 L
.57464 .53197 L
.57531 .53291 L
.57625 .53415 L
.5768 .53451 L
.57767 .53612 L
.57785 .53636 L
.57879 .53772 L
.57946 .53863 L
.57992 .53933 L
.58106 .54092 L
.58107 .54093 L
.58208 .54254 L
.58267 .54343 L
.58305 .54414 L
.58267 .54516 L
.58161 .54414 L
.58106 .54363 L
.58003 .54254 L
.57946 .54194 L
.57855 .54093 L
.57785 .5404 L
.57711 .53933 L
.57625 .53836 L
.57536 .53772 L
.57464 .53644 L
.57433 .53612 L
.57304 .53455 L
.57301 .53451 L
.57165 .53291 L
.57143 .53268 L
.57032 .5313 L
.56983 .53068 L
.56891 .5297 L
.56822 .52866 L
.56778 .52809 L
.56662 .52666 L
.56655 .52649 L
.56511 .52488 L
.56501 .52476 L
.56366 .52328 L
.56341 .52272 L
.56257 .52167 L
.5618 .52063 L
.56145 .52007 L
.5602 .51859 L
.55999 .51846 L
.55873 .51686 L
.55859 .51667 L
.55743 .51525 L
.55699 .51457 L
.55632 .51364 L
.55538 .51246 L
.55524 .51204 L
.55378 .51045 L
.5537 .51043 L
.55235 .50883 L
.55217 .50845 L
.55123 .50722 L
.55057 .50633 L
.55015 .50562 L
.54896 .50421 L
.5487 .50401 L
.54746 .50241 L
.54735 .50227 L
.54618 .5008 L
.54575 .50016 L
.54508 .4992 L
.54414 .49803 L
.54402 .49759 L
.54254 .49601 L
.54249 .49599 L
.54115 .49438 L
.54093 .49396 L
.54004 .49278 L
.53933 .49183 L
.53896 .49117 L
.53772 .48973 L
.53754 .48957 L
.53614 .48796 L
.53612 .48773 L
.53501 .48636 L
.53451 .48561 L
.53393 .48475 L
.53291 .48349 L
.53283 .48314 L
.53137 .48154 L
.5313 .48147 L
.52999 .47993 L
.5297 .47938 L
.52891 .47833 L
.52809 .47725 L
.52781 .47672 L
.52649 .47517 L
.52644 .47512 L
.52495 .47351 L
.52488 .47314 L
.5239 .47191 L
.52328 .471 L
.52281 .4703 L
.52167 .46888 L
.52164 .4687 L
.52029 .46709 L
.52007 .46688 L
.51887 .46549 L
.51846 .46475 L
.51782 .46388 L
.51686 .4626 L
.51669 .46228 L
.51538 .46067 L
.51525 .46061 L
.51379 .45907 L
.51364 .4585 L
.51283 .45746 L
.51204 .45632 L
.51174 .45586 L
.51048 .45425 L
.51043 .45419 L
.50927 .45265 L
.50883 .45225 L
.50782 .45104 L
.50722 .45003 L
.50679 .44943 L
.50562 .44785 L
.50561 .44783 L
.5044 .44622 L
.50401 .44604 L
.50275 .44462 L
.50241 .44373 L
.50186 .44301 L
.5008 .44148 L
.50075 .44141 L
.49956 .4398 L
.4992 .43932 L
.49837 .4382 L
.49759 .43741 L
.49696 .43659 L
.49599 .43504 L
.49595 .43499 L
.49479 .43338 L
.49438 .43284 L
.49362 .43178 L
.49278 .43065 L
.49213 .43017 L
.49126 .42857 L
.49117 .42845 L
.49014 .42696 L
.48957 .42617 L
.48901 .42536 L
.48796 .42388 L
.48788 .42375 L
.48685 .42215 L
.48636 .42141 L
.48586 .42054 L
F
.002 .8 1 r
.48636 .524 m
.48714 .52488 L
.48796 .52576 L
.48858 .52649 L
.48957 .5276 L
.48998 .52809 L
.49117 .52939 L
.49134 .5297 L
.49267 .5313 L
.49278 .53142 L
.49399 .53291 L
.49438 .53337 L
.49531 .53451 L
.49599 .53534 L
.49662 .53612 L
.49759 .53723 L
.49821 .53772 L
.4992 .53932 L
.4992 .53933 L
.50047 .54093 L
.5008 .54134 L
.50175 .54254 L
.50241 .54308 L
.50303 .54414 L
.50401 .54535 L
.5044 .54575 L
.50555 .54735 L
.50562 .54744 L
.5068 .54896 L
.50722 .5495 L
.50805 .55057 L
.50883 .55141 L
.50963 .55217 L
.51043 .55362 L
.51057 .55378 L
.51178 .55538 L
.51204 .55572 L
.51301 .55699 L
.51364 .55746 L
.51425 .55859 L
.51525 .55984 L
.51557 .5602 L
.5167 .5618 L
.51686 .562 L
.51791 .56341 L
.51846 .56412 L
.51913 .56501 L
.52007 .5661 L
.52056 .56662 L
.52155 .56822 L
.52167 .56838 L
.52273 .56983 L
.52328 .57054 L
.52393 .57143 L
.52488 .57242 L
.52513 .57304 L
.5263 .57464 L
.52649 .57489 L
.52745 .57625 L
.52809 .57712 L
.52861 .57785 L
.5297 .57935 L
.52977 .57946 L
.53084 .58106 L
.5313 .58171 L
.5319 .58267 L
.53291 .58417 L
.53297 .58428 L
.53291 .5851 L
.53211 .58428 L
.5313 .58352 L
.53057 .58267 L
.5297 .58174 L
.52914 .58106 L
.52809 .57988 L
.52775 .57946 L
.52649 .57806 L
.52639 .57785 L
.52507 .57625 L
.52488 .57603 L
.52378 .57464 L
.52328 .57406 L
.52248 .57304 L
.52167 .57207 L
.52117 .57143 L
.52007 .57017 L
.51964 .56983 L
.5186 .56822 L
.51846 .56806 L
.51735 .56662 L
.51686 .56602 L
.51608 .56501 L
.51525 .56432 L
.51481 .56341 L
.51364 .56199 L
.51346 .5618 L
.51229 .5602 L
.51204 .55988 L
.51106 .55859 L
.51043 .55782 L
.50981 .55699 L
.50883 .55591 L
.50825 .55538 L
.5073 .55378 L
.50722 .55368 L
.50609 .55217 L
.50562 .55158 L
.50486 .55057 L
.50401 .54988 L
.50361 .54896 L
.50241 .54743 L
.50234 .54735 L
.50117 .54575 L
.5008 .54529 L
.49996 .54414 L
.4992 .54317 L
.49873 .54254 L
.49759 .54115 L
.49738 .54093 L
.49631 .53933 L
.49599 .53892 L
.49512 .53772 L
.49438 .53677 L
.49391 .53612 L
.49278 .53463 L
.49269 .53451 L
.49153 .53291 L
.49117 .53244 L
.49038 .5313 L
.48957 .53023 L
.4892 .5297 L
.48801 .52809 L
.48796 .52802 L
.48695 .52649 L
.48636 .52567 L
.48587 .52488 L
F
.001 .78 1 r
.48636 .4262 m
.48709 .42696 L
.48796 .42782 L
.48863 .42857 L
.48957 .42957 L
.49008 .43017 L
.49117 .43123 L
.49148 .43178 L
.49278 .43327 L
.49291 .43338 L
.49419 .43499 L
.49438 .43521 L
.49551 .43659 L
.49599 .43715 L
.49684 .4382 L
.49759 .43898 L
.49871 .4398 L
.4992 .44107 L
.49953 .44141 L
.50074 .44301 L
.5008 .44308 L
.50202 .44462 L
.50241 .44487 L
.5033 .44622 L
.50401 .44703 L
.50483 .44783 L
.50562 .44913 L
.50588 .44943 L
.50711 .45104 L
.50722 .45118 L
.50837 .45265 L
.50883 .45307 L
.51015 .45425 L
.51043 .45522 L
.511 .45586 L
.51204 .45732 L
.51214 .45746 L
.51339 .45907 L
.51364 .45918 L
.51463 .46067 L
.51525 .46135 L
.51613 .46228 L
.51686 .4635 L
.51716 .46388 L
.51837 .46549 L
.51846 .4656 L
.5196 .46709 L
.52007 .46749 L
.52133 .4687 L
.52167 .46969 L
.52219 .4703 L
.52328 .47184 L
.52333 .47191 L
.52455 .47351 L
.52488 .47361 L
.52577 .47512 L
.52649 .47589 L
.52725 .47672 L
.52809 .4781 L
.52827 .47833 L
.52947 .47993 L
.5297 .48022 L
.53068 .48154 L
.5313 .48207 L
.53236 .48314 L
.53291 .48437 L
.53322 .48475 L
.53436 .48636 L
.53451 .48654 L
.53557 .48796 L
.53612 .48867 L
.53678 .48957 L
.53772 .49065 L
.53817 .49117 L
.53922 .49278 L
.53933 .49291 L
.54041 .49438 L
.54093 .49506 L
.54161 .49599 L
.54254 .49697 L
.5431 .49759 L
.54403 .4992 L
.54414 .49935 L
.54519 .5008 L
.54575 .50154 L
.54637 .50241 L
.54735 .50372 L
.54757 .50401 L
.54872 .50562 L
.54896 .50593 L
.54984 .50722 L
.55057 .5082 L
.55099 .50883 L
.55214 .51043 L
.55217 .51048 L
.55313 .51204 L
.55378 .513 L
.5541 .51364 L
.55378 .51427 L
.55314 .51364 L
.55217 .51271 L
.55156 .51204 L
.55057 .51098 L
.55009 .51043 L
.54896 .5093 L
.54867 .50883 L
.54735 .50731 L
.54725 .50722 L
.54594 .50562 L
.54575 .5054 L
.54459 .50401 L
.54414 .5039 L
.54325 .50241 L
.54254 .50163 L
.54148 .5008 L
.54093 .49958 L
.54058 .4992 L
.53933 .49759 L
.53933 .49759 L
.53804 .49599 L
.53772 .49574 L
.53674 .49438 L
.53612 .49364 L
.5353 .49278 L
.53451 .49157 L
.5342 .49117 L
.53292 .48957 L
.53291 .48955 L
.53165 .48796 L
.5313 .4876 L
.53003 .48636 L
.5297 .48549 L
.52908 .48475 L
.52809 .48341 L
.52792 .48314 L
.52662 .48154 L
.52649 .48146 L
.52536 .47993 L
.52488 .47937 L
.52396 .47833 L
.52328 .47725 L
.52289 .47672 L
.52167 .47517 L
.52165 .47512 L
.52038 .47351 L
.52007 .47321 L
.51882 .47191 L
.51846 .47106 L
.51785 .4703 L
.51686 .46894 L
.5167 .4687 L
.51543 .46709 L
.51525 .467 L
.5142 .46549 L
.51364 .46486 L
.51281 .46388 L
.51204 .46269 L
.51174 .46228 L
.51051 .46067 L
.51043 .46058 L
.50929 .45907 L
.50883 .45865 L
.50773 .45746 L
.50722 .45642 L
.50678 .45586 L
.50562 .45426 L
.50562 .45425 L
.50441 .45265 L
.50401 .45248 L
.5032 .45104 L
.50241 .45013 L
.50184 .44943 L
.5008 .44789 L
.50076 .44783 L
.49958 .44622 L
.4992 .44573 L
.49838 .44462 L
.49759 .44381 L
.4969 .44301 L
.49599 .44144 L
.49597 .44141 L
.49481 .4398 L
.49438 .43924 L
.49363 .4382 L
.49278 .43705 L
.49245 .43659 L
.49129 .43499 L
.49117 .43483 L
.49017 .43338 L
.48957 .43255 L
.48904 .43178 L
.48796 .43026 L
.4879 .43017 L
.48689 .42857 L
.48636 .42777 L
.48591 .42696 L
F
1 .8 .002 r
.48636 .47515 m
.48796 .47628 L
.48841 .47672 L
.48957 .47788 L
.49031 .47833 L
.49117 .47966 L
.49149 .47993 L
.49278 .4815 L
.49282 .48154 L
.49415 .48314 L
.49438 .48334 L
.49545 .48475 L
.49599 .48538 L
.49684 .48636 L
.49759 .48748 L
.49793 .48796 L
.49918 .48957 L
.4992 .48959 L
.50037 .49117 L
.5008 .49178 L
.50182 .49278 L
.50241 .49381 L
.50261 .49438 L
.50346 .49599 L
.50241 .49727 L
.5008 .49599 L
.50044 .49599 L
.4992 .49445 L
.49906 .49438 L
.49773 .49278 L
.49759 .49261 L
.49644 .49117 L
.49599 .49092 L
.49516 .48957 L
.49438 .48873 L
.49365 .48796 L
.49278 .48654 L
.49263 .48636 L
.49146 .48475 L
.49117 .48438 L
.49027 .48314 L
.48957 .4822 L
.48864 .48154 L
.48796 .48 L
.48792 .47993 L
.48689 .47833 L
.48636 .47749 L
.48593 .47672 L
F
1 .94 .156 r
.48636 .51758 m
.48725 .51846 L
.48796 .51915 L
.48883 .52007 L
.48957 .52085 L
.49032 .52167 L
.49117 .52235 L
.49177 .52328 L
.49278 .52441 L
.49341 .52488 L
.49438 .52632 L
.49454 .52649 L
.49589 .52809 L
.49599 .5282 L
.49724 .5297 L
.49759 .53004 L
.49858 .5313 L
.4992 .53208 L
.49997 .53291 L
.5008 .5341 L
.50112 .53451 L
.50241 .53606 L
.50243 .53612 L
.50376 .53772 L
.50401 .53802 L
.50526 .53933 L
.50562 .54008 L
.5063 .54093 L
.50722 .54214 L
.50746 .54254 L
.50883 .54413 L
.50885 .54414 L
.51013 .54575 L
.51043 .54614 L
.51144 .54735 L
.51204 .54824 L
.51254 .54896 L
.51364 .55032 L
.5137 .55057 L
.51515 .55217 L
.51525 .55229 L
.51654 .55378 L
.51686 .55437 L
.51761 .55538 L
.51846 .55648 L
.51872 .55699 L
.52007 .55853 L
.52014 .55859 L
.52164 .5602 L
.52167 .56055 L
.52267 .5618 L
.52328 .56267 L
.52376 .56341 L
.52488 .56477 L
.52492 .56501 L
.52634 .56662 L
.52649 .56677 L
.52773 .56822 L
.52809 .56888 L
.52878 .56983 L
.5297 .57101 L
.5299 .57143 L
.53127 .57304 L
.5313 .57306 L
.53282 .57464 L
.53291 .57512 L
.53379 .57625 L
.53451 .57727 L
.53488 .57785 L
.53612 .57938 L
.53613 .57946 L
.53741 .58106 L
.53772 .58138 L
.53881 .58267 L
.53933 .58356 L
.53984 .58428 L
.54093 .58571 L
.54101 .58588 L
.54228 .58749 L
.54254 .58764 L
.54391 .58909 L
.54414 .58987 L
.54478 .5907 L
.54575 .59208 L
.54589 .5923 L
.54711 .59391 L
.54735 .59423 L
.5483 .59551 L
.54896 .5962 L
.5497 .59712 L
.55057 .59851 L
.55071 .59872 L
.55187 .60033 L
.55217 .60073 L
.55305 .60193 L
.55378 .60255 L
.55459 .60354 L
.55538 .60512 L
.5554 .60514 L
.55652 .60675 L
.55699 .60739 L
.55765 .60835 L
.55859 .60968 L
.55879 .60996 L
.55985 .61156 L
.5602 .61207 L
.56087 .61317 L
.5618 .61465 L
.56187 .61477 L
.5618 .61581 L
.56066 .61477 L
.5602 .61436 L
.5591 .61317 L
.55859 .61265 L
.55764 .61156 L
.55699 .61085 L
.55623 .60996 L
.55538 .60931 L
.55485 .60835 L
.55378 .60716 L
.55322 .60675 L
.55217 .60517 L
.55214 .60514 L
.55085 .60354 L
.55057 .60321 L
.54954 .60193 L
.54896 .60141 L
.54824 .60033 L
.54735 .59929 L
.54677 .59872 L
.54575 .59724 L
.54564 .59712 L
.54438 .59551 L
.54414 .59543 L
.54312 .59391 L
.54254 .5933 L
.54145 .5923 L
.54093 .59118 L
.5405 .5907 L
.53933 .58912 L
.53931 .58909 L
.53806 .58749 L
.53772 .58723 L
.53681 .58588 L
.53612 .58508 L
.53536 .58428 L
.53451 .58296 L
.53428 .58267 L
.53305 .58106 L
.53291 .58089 L
.53182 .57946 L
.5313 .57895 L
.53019 .57785 L
.5297 .57679 L
.52924 .57625 L
.52809 .57468 L
.52807 .57464 L
.52684 .57304 L
.52649 .5728 L
.52561 .57143 L
.52488 .57061 L
.52418 .56983 L
.52328 .56845 L
.5231 .56822 L
.52189 .56662 L
.52167 .56634 L
.52067 .56501 L
.52007 .56443 L
.51907 .56341 L
.51846 .56222 L
.51811 .5618 L
.51695 .5602 L
.51686 .56008 L
.51574 .55859 L
.51525 .55829 L
.51451 .55699 L
.51364 .55599 L
.51311 .55538 L
.51204 .5538 L
.51202 .55378 L
.51082 .55217 L
.51043 .55168 L
.50961 .55057 L
.50883 .54979 L
.50807 .54896 L
.50722 .54751 L
.5071 .54735 L
.50593 .54575 L
.50562 .54536 L
.50472 .54414 L
.50401 .54362 L
.5035 .54254 L
.50241 .5412 L
.50218 .54093 L
.50106 .53933 L
.5008 .539 L
.49987 .53772 L
.4992 .53686 L
.49865 .53612 L
.49759 .53486 L
.49729 .53451 L
.49623 .53291 L
.49599 .53259 L
.49506 .5313 L
.49438 .53042 L
.49386 .5297 L
.49278 .52827 L
.49265 .52809 L
.49149 .52649 L
.49117 .52607 L
.49035 .52488 L
.48957 .52384 L
.48918 .52328 L
.48801 .52167 L
.48796 .5216 L
.48697 .52007 L
.48636 .51919 L
.48594 .51846 L
F
1 .63 0 r
.48636 .43299 m
.48669 .43338 L
.48796 .43469 L
.4882 .43499 L
.48957 .43652 L
.48962 .43659 L
.49095 .4382 L
.49117 .43844 L
.49227 .4398 L
.49278 .44038 L
.49358 .44141 L
.49438 .44235 L
.4949 .44301 L
.49599 .44433 L
.49621 .44462 L
.4975 .44622 L
.49759 .44633 L
.49875 .44783 L
.4992 .44836 L
.50002 .44943 L
.5008 .45039 L
.5013 .45104 L
.50241 .4523 L
.50257 .45265 L
.50382 .45425 L
.50401 .45449 L
.50505 .45586 L
.50562 .45656 L
.50629 .45746 L
.50722 .45863 L
.50755 .45907 L
.5088 .46067 L
.50883 .4607 L
.51 .46228 L
.51043 .46282 L
.51122 .46388 L
.51204 .46492 L
.51245 .46549 L
.51364 .46697 L
.5137 .46709 L
.51488 .4687 L
.51525 .46917 L
.51607 .4703 L
.51686 .47131 L
.51728 .47191 L
.51846 .47345 L
.51851 .47351 L
.51965 .47512 L
.52007 .47566 L
.5208 .47672 L
.52167 .47788 L
.52197 .47833 L
.52313 .47993 L
.52328 .48013 L
.52414 .48154 L
.52488 .48259 L
.52516 .48314 L
.52488 .4835 L
.52456 .48314 L
.52328 .48182 L
.52303 .48154 L
.52167 .48 L
.52161 .47993 L
.52027 .47833 L
.52007 .47811 L
.51893 .47672 L
.51846 .47618 L
.5176 .47512 L
.51686 .47423 L
.51627 .47351 L
.51525 .47255 L
.51496 .47191 L
.51367 .4703 L
.51364 .47027 L
.5124 .4687 L
.51204 .46826 L
.51113 .46709 L
.51043 .46623 L
.50985 .46549 L
.50883 .46434 L
.50825 .46388 L
.50732 .46228 L
.50722 .46215 L
.50608 .46067 L
.50562 .46009 L
.50483 .45907 L
.50401 .45847 L
.50358 .45746 L
.50241 .45597 L
.50229 .45586 L
.50112 .45425 L
.5008 .45384 L
.4999 .45265 L
.4992 .45174 L
.49867 .45104 L
.49759 .44975 L
.49726 .44943 L
.49625 .44783 L
.49599 .4475 L
.49506 .44622 L
.49438 .44535 L
.49385 .44462 L
.49278 .4432 L
.49264 .44301 L
.49149 .44141 L
.49117 .44099 L
.49034 .4398 L
.48957 .43877 L
.48917 .4382 L
.48802 .43659 L
.48796 .43651 L
.48701 .43499 L
.48636 .43406 L
.48598 .43338 L
F
1 .79 .001 r
.48636 .47531 m
.48796 .47638 L
.48831 .47672 L
.48957 .47796 L
.49021 .47833 L
.49117 .47971 L
.49143 .47993 L
.49278 .48153 L
.49278 .48154 L
.49411 .48314 L
.49438 .48337 L
.49541 .48475 L
.49599 .48543 L
.49681 .48636 L
.49759 .48753 L
.4979 .48796 L
.49914 .48957 L
.4992 .48964 L
.50033 .49117 L
.5008 .49184 L
.50178 .49278 L
.50241 .49397 L
.50255 .49438 L
.50338 .49599 L
.50241 .49717 L
.5008 .49599 L
.5006 .49599 L
.4992 .49442 L
.49913 .49438 L
.49777 .49278 L
.49759 .49257 L
.49647 .49117 L
.49599 .49089 L
.49519 .48957 L
.49438 .48869 L
.49368 .48796 L
.49278 .4865 L
.49267 .48636 L
.49149 .48475 L
.49117 .48434 L
.4903 .48314 L
.48957 .48215 L
.48869 .48154 L
.48797 .47993 L
.48796 .47992 L
.48695 .47833 L
.48636 .47737 L
.48601 .47672 L
F
.001 .79 1 r
.48636 .52429 m
.48691 .52488 L
.48796 .52596 L
.48842 .52649 L
.48957 .52776 L
.48985 .52809 L
.49117 .5296 L
.49122 .5297 L
.49256 .5313 L
.49278 .53155 L
.49389 .53291 L
.49438 .53349 L
.49522 .53451 L
.49599 .53544 L
.49654 .53612 L
.49759 .53734 L
.49807 .53772 L
.49912 .53933 L
.4992 .53942 L
.5004 .54093 L
.5008 .54143 L
.50168 .54254 L
.50241 .54317 L
.50296 .54414 L
.50401 .54544 L
.50431 .54575 L
.50548 .54735 L
.50562 .54753 L
.50673 .54896 L
.50722 .54958 L
.50799 .55057 L
.50883 .5515 L
.50954 .55217 L
.51043 .5537 L
.51049 .55378 L
.51171 .55538 L
.51204 .5558 L
.51295 .55699 L
.51364 .55754 L
.51419 .55859 L
.51525 .55993 L
.51549 .5602 L
.51663 .5618 L
.51686 .56209 L
.51784 .56341 L
.51846 .56421 L
.51906 .56501 L
.52007 .56622 L
.52045 .56662 L
.52147 .56822 L
.52167 .56848 L
.52266 .56983 L
.52328 .57064 L
.52385 .57143 L
.52488 .57261 L
.52505 .57304 L
.5262 .57464 L
.52649 .57502 L
.52735 .57625 L
.52809 .57726 L
.5285 .57785 L
.52965 .57946 L
.5297 .57953 L
.53067 .58106 L
.5313 .58198 L
.5317 .58267 L
.5313 .58325 L
.53079 .58267 L
.5297 .58156 L
.52929 .58106 L
.52809 .57974 L
.52787 .57946 L
.52649 .57786 L
.52649 .57785 L
.52518 .57625 L
.52488 .57591 L
.52387 .57464 L
.52328 .57395 L
.52256 .57304 L
.52167 .57198 L
.52124 .57143 L
.52007 .57006 L
.51978 .56983 L
.51867 .56822 L
.51846 .56797 L
.51741 .56662 L
.51686 .56594 L
.51614 .56501 L
.51525 .56423 L
.51486 .56341 L
.51364 .5619 L
.51354 .5618 L
.51235 .5602 L
.51204 .55981 L
.51111 .55859 L
.51043 .55775 L
.50986 .55699 L
.50883 .55583 L
.50834 .55538 L
.50736 .55378 L
.50722 .55361 L
.50614 .55217 L
.50562 .55152 L
.50491 .55057 L
.50401 .54978 L
.50366 .54896 L
.50242 .54735 L
.50241 .54735 L
.50122 .54575 L
.5008 .54522 L
.50001 .54414 L
.4992 .5431 L
.49879 .54254 L
.49759 .54103 L
.4975 .54093 L
.49637 .53933 L
.49599 .53884 L
.49519 .53772 L
.49438 .53669 L
.49398 .53612 L
.49278 .53455 L
.49275 .53451 L
.49162 .53291 L
.49117 .53233 L
.49047 .5313 L
.48957 .53011 L
.48929 .5297 L
.48814 .52809 L
.48796 .52785 L
.48711 .52649 L
.48636 .52542 L
.48606 .52488 L
F
1 .5 0 r
.48636 .531 m
.4866 .5313 L
.48796 .53284 L
.48801 .53291 L
.48796 .53407 L
.48723 .53291 L
.48636 .5318 L
.48607 .5313 L
F
1 .78 .001 r
.48636 .47549 m
.48796 .47649 L
.4882 .47672 L
.48957 .47803 L
.49011 .47833 L
.49117 .47977 L
.49137 .47993 L
.49273 .48154 L
.49278 .48159 L
.49407 .48314 L
.49438 .48341 L
.49537 .48475 L
.49599 .48547 L
.49677 .48636 L
.49759 .48758 L
.49786 .48796 L
.4991 .48957 L
.4992 .48969 L
.50029 .49117 L
.5008 .4919 L
.50173 .49278 L
.50241 .49415 L
.50249 .49438 L
.50329 .49599 L
.50241 .49706 L
.5008 .49599 L
.50076 .49599 L
.4992 .49438 L
.49919 .49438 L
.49781 .49278 L
.49759 .49253 L
.4965 .49117 L
.49599 .49086 L
.49522 .48957 L
.49438 .48865 L
.49372 .48796 L
.49278 .48645 L
.4927 .48636 L
.49152 .48475 L
.49117 .4843 L
.49034 .48314 L
.48957 .48211 L
.48875 .48154 L
.48802 .47993 L
.48796 .47985 L
.487 .47833 L
.48636 .47724 L
.4861 .47672 L
F
0 .65 1 r
.48636 .43975 m
.48639 .4398 L
.48636 .44028 L
.4861 .4398 L
F
.001 .77 1 r
.48636 .42649 m
.48686 .42696 L
.48796 .42798 L
.48849 .42857 L
.48957 .4297 L
.48997 .43017 L
.49117 .43137 L
.4914 .43178 L
.49278 .43338 L
.49278 .43338 L
.49412 .43499 L
.49438 .43529 L
.49545 .43659 L
.49599 .43722 L
.49678 .4382 L
.49759 .43904 L
.49864 .4398 L
.4992 .44113 L
.49948 .44141 L
.5007 .44301 L
.5008 .44314 L
.50198 .44462 L
.50241 .4449 L
.50326 .44622 L
.50401 .44708 L
.50479 .44783 L
.50562 .44917 L
.50584 .44943 L
.50708 .45104 L
.50722 .45122 L
.50834 .45265 L
.50883 .45311 L
.51013 .45425 L
.51043 .45526 L
.51097 .45586 L
.51204 .45736 L
.51212 .45746 L
.51336 .45907 L
.51364 .45919 L
.5146 .46067 L
.51525 .46138 L
.5161 .46228 L
.51686 .46353 L
.51714 .46388 L
.51835 .46549 L
.51846 .46563 L
.51958 .46709 L
.52007 .46751 L
.52131 .4687 L
.52167 .46972 L
.52217 .4703 L
.52328 .47187 L
.5233 .47191 L
.52452 .47351 L
.52488 .47362 L
.52575 .47512 L
.52649 .47592 L
.52722 .47672 L
.52809 .47813 L
.52825 .47833 L
.52944 .47993 L
.5297 .48026 L
.53066 .48154 L
.5313 .4821 L
.53233 .48314 L
.53291 .4844 L
.53319 .48475 L
.53434 .48636 L
.53451 .48658 L
.53554 .48796 L
.53612 .48871 L
.53675 .48957 L
.53772 .4907 L
.53813 .49117 L
.53919 .49278 L
.53933 .49295 L
.54038 .49438 L
.54093 .4951 L
.54158 .49599 L
.54254 .49704 L
.54303 .49759 L
.54399 .4992 L
.54414 .4994 L
.54514 .5008 L
.54575 .5016 L
.54632 .50241 L
.54735 .50378 L
.54752 .50401 L
.54866 .50562 L
.54896 .50601 L
.54978 .50722 L
.55057 .5083 L
.55091 .50883 L
.55203 .51043 L
.55217 .51064 L
.55298 .51204 L
.55378 .51335 L
.55388 .51364 L
.55378 .5139 L
.55344 .51364 L
.55217 .51253 L
.55171 .51204 L
.55057 .51084 L
.5502 .51043 L
.54896 .50915 L
.54876 .50883 L
.54737 .50722 L
.54735 .5072 L
.54601 .50562 L
.54575 .50532 L
.54466 .50401 L
.54414 .50386 L
.54332 .50241 L
.54254 .50156 L
.54155 .5008 L
.54093 .49951 L
.54064 .4992 L
.53938 .49759 L
.53933 .49753 L
.53808 .49599 L
.53772 .4957 L
.53679 .49438 L
.53612 .49359 L
.53534 .49278 L
.53451 .49152 L
.53424 .49117 L
.53296 .48957 L
.53291 .4895 L
.53169 .48796 L
.5313 .48756 L
.53005 .48636 L
.5297 .48545 L
.52911 .48475 L
.52809 .48337 L
.52794 .48314 L
.52665 .48154 L
.52649 .48143 L
.52539 .47993 L
.52488 .47934 L
.52399 .47833 L
.52328 .47721 L
.52291 .47672 L
.52167 .47514 L
.52166 .47512 L
.52041 .47351 L
.52007 .47318 L
.51884 .47191 L
.51846 .47103 L
.51788 .4703 L
.51686 .46891 L
.51673 .4687 L
.51546 .46709 L
.51525 .46699 L
.51423 .46549 L
.51364 .46483 L
.51284 .46388 L
.51204 .46266 L
.51177 .46228 L
.51054 .46067 L
.51043 .46054 L
.50932 .45907 L
.50883 .45862 L
.50775 .45746 L
.50722 .45638 L
.50681 .45586 L
.50565 .45425 L
.50562 .45422 L
.50444 .45265 L
.50401 .45246 L
.50323 .45104 L
.50241 .45008 L
.50187 .44943 L
.5008 .44784 L
.5008 .44783 L
.49961 .44622 L
.4992 .44568 L
.49841 .44462 L
.49759 .44375 L
.49696 .44301 L
.49601 .44141 L
.49599 .44137 L
.49486 .4398 L
.49438 .43917 L
.49368 .4382 L
.49278 .43697 L
.4925 .43659 L
.49135 .43499 L
.49117 .43474 L
.49024 .43338 L
.48957 .43245 L
.48912 .43178 L
.488 .43017 L
.48796 .43012 L
.48703 .42857 L
.48636 .4275 L
.4861 .42696 L
F
0 .37 1 r
.48636 .4816 m
.4878 .48314 L
.48796 .48331 L
.48915 .48475 L
.48957 .48523 L
.49043 .48636 L
.49117 .4873 L
.49165 .48796 L
.49278 .48955 L
.49278 .48957 L
.49359 .49117 L
.49278 .4913 L
.49265 .49117 L
.49117 .48969 L
.49107 .48957 L
.4897 .48796 L
.48957 .4878 L
.48845 .48636 L
.48796 .48574 L
.48726 .48475 L
.48636 .48352 L
.48611 .48314 L
F
0 .36 1 r
.48636 .48168 m
.48774 .48314 L
.48796 .48337 L
.48911 .48475 L
.48957 .48528 L
.49039 .48636 L
.49117 .48735 L
.49161 .48796 L
.49273 .48957 L
.49278 .48964 L
.49348 .49117 L
.49278 .49123 L
.49272 .49117 L
.49117 .48964 L
.49111 .48957 L
.48975 .48796 L
.48957 .48775 L
.4885 .48636 L
.48796 .48569 L
.4873 .48475 L
.48636 .48346 L
.48615 .48314 L
F
1 .77 .001 r
.48636 .47569 m
.48796 .4766 L
.48809 .47672 L
.48957 .4781 L
.48999 .47833 L
.49117 .47982 L
.49131 .47993 L
.49269 .48154 L
.49278 .48164 L
.49403 .48314 L
.49438 .48345 L
.49533 .48475 L
.49599 .48552 L
.49673 .48636 L
.49759 .48762 L
.49783 .48796 L
.49906 .48957 L
.4992 .48975 L
.50024 .49117 L
.5008 .49196 L
.50168 .49278 L
.50241 .49434 L
.50242 .49438 L
.5032 .49599 L
.50241 .49695 L
.50087 .49599 L
.5008 .49593 L
.49925 .49438 L
.4992 .49433 L
.49785 .49278 L
.49759 .49248 L
.49654 .49117 L
.49599 .49083 L
.49525 .48957 L
.49438 .48861 L
.49376 .48796 L
.49278 .48641 L
.49273 .48636 L
.49155 .48475 L
.49117 .48425 L
.49037 .48314 L
.48957 .48206 L
.48881 .48154 L
.48807 .47993 L
.48796 .47978 L
.48707 .47833 L
.48636 .47709 L
.48619 .47672 L
F
0 .35 1 r
.48636 .48176 m
.48768 .48314 L
.48796 .48343 L
.48906 .48475 L
.48957 .48534 L
.49035 .48636 L
.49117 .48741 L
.49157 .48796 L
.49267 .48957 L
.49117 .48959 L
.49115 .48957 L
.48979 .48796 L
.48957 .4877 L
.48854 .48636 L
.48796 .48563 L
.48734 .48475 L
.48636 .4834 L
.48619 .48314 L
F
.538 .98 1 r
.48636 .41322 m
.48748 .41412 L
.48796 .41452 L
.48918 .41572 L
.48957 .4161 L
.49073 .41733 L
.49117 .41746 L
.49221 .41894 L
.49278 .41953 L
.49365 .42054 L
.49438 .42143 L
.49515 .42215 L
.49599 .42335 L
.49634 .42375 L
.49759 .42526 L
.49764 .42536 L
.49909 .42696 L
.4992 .42709 L
.50058 .42857 L
.5008 .42909 L
.50169 .43017 L
.50241 .43116 L
.50283 .43178 L
.50401 .43323 L
.50433 .43338 L
.5056 .43499 L
.50562 .43502 L
.5069 .43659 L
.50722 .4371 L
.50803 .4382 L
.50883 .43925 L
.50906 .4398 L
.51043 .44109 L
.51069 .44141 L
.51197 .44301 L
.51204 .44316 L
.51315 .44462 L
.51364 .44531 L
.51422 .44622 L
.51525 .44751 L
.51572 .44783 L
.51686 .44932 L
.51695 .44943 L
.5182 .45104 L
.51846 .45144 L
.51931 .45265 L
.52007 .45363 L
.5203 .45425 L
.52167 .45553 L
.52193 .45586 L
.52319 .45746 L
.52328 .45763 L
.52436 .45907 L
.52488 .45979 L
.52541 .46067 L
.52649 .46198 L
.52689 .46228 L
.52809 .46386 L
.52811 .46388 L
.52937 .46549 L
.5297 .46598 L
.53047 .46709 L
.5313 .46816 L
.53147 .4687 L
.53291 .47026 L
.53306 .4703 L
.53436 .47191 L
.53451 .47221 L
.53549 .47351 L
.53612 .47436 L
.53655 .47512 L
.53772 .4765 L
.538 .47672 L
.53931 .47833 L
.53933 .47846 L
.5405 .47993 L
.54093 .48058 L
.54159 .48154 L
.54254 .48272 L
.54263 .48314 L
.54414 .48474 L
.54416 .48475 L
.54551 .48636 L
.54575 .48682 L
.54661 .48796 L
.54735 .48895 L
.54768 .48957 L
.54896 .49105 L
.5491 .49117 L
.55051 .49278 L
.55057 .49306 L
.55162 .49438 L
.55217 .49519 L
.55271 .49599 L
.55378 .49731 L
.55382 .49759 L
.55525 .4992 L
.55538 .49933 L
.55664 .5008 L
.55699 .50143 L
.55772 .50241 L
.55859 .50356 L
.55882 .50401 L
.56018 .50562 L
.5602 .50563 L
.56169 .50722 L
.5618 .50767 L
.56273 .50883 L
.56341 .50981 L
.56382 .51043 L
.56501 .51193 L
.56502 .51204 L
.56633 .51364 L
.56662 .51391 L
.56776 .51525 L
.56822 .51605 L
.56881 .51686 L
.56983 .5182 L
.56996 .51846 L
.57125 .52007 L
.57143 .52016 L
.57283 .52167 L
.57304 .52228 L
.57382 .52328 L
.57464 .52446 L
.57492 .52488 L
.57617 .52649 L
.57625 .52658 L
.57739 .52809 L
.57785 .5285 L
.57885 .5297 L
.57946 .53071 L
.57989 .5313 L
.58106 .53287 L
.58108 .53291 L
.5823 .53451 L
.58267 .53468 L
.58393 .53612 L
.58428 .53694 L
.58487 .53772 L
.58588 .53916 L
.58599 .53933 L
.5872 .54093 L
.58749 .54129 L
.58842 .54254 L
.58909 .54316 L
.58987 .54414 L
.5907 .54545 L
.59091 .54575 L
.5921 .54735 L
.5923 .54762 L
.5933 .54896 L
.59391 .54975 L
.5949 .55057 L
.59551 .55175 L
.59582 .55217 L
.59696 .55378 L
.59712 .55398 L
.59814 .55538 L
.59872 .55613 L
.59935 .55699 L
.60033 .55809 L
.60069 .55859 L
.60176 .5602 L
.60193 .56042 L
.60292 .5618 L
.60354 .56261 L
.6041 .56341 L
.60514 .5648 L
.60543 .56501 L
.60644 .56662 L
.60675 .56704 L
.60754 .56822 L
.60835 .56935 L
.60867 .56983 L
.60974 .57143 L
.60996 .57176 L
.61064 .57304 L
.60996 .57377 L
.60916 .57304 L
.60835 .5723 L
.6075 .57143 L
.60675 .57094 L
.60595 .56983 L
.60514 .56896 L
.6038 .56822 L
.60354 .56711 L
.603 .56662 L
.60193 .56524 L
.60173 .56501 L
.60033 .56342 L
.60026 .56341 L
.5989 .5618 L
.59872 .56157 L
.59744 .5602 L
.59712 .55958 L
.59631 .55859 L
.59551 .55753 L
.59516 .55699 L
.59391 .55547 L
.59363 .55538 L
.59231 .55378 L
.5923 .5537 L
.59107 .55217 L
.5907 .55162 L
.58994 .55057 L
.58909 .54946 L
.58892 .54896 L
.58749 .54765 L
.58725 .54735 L
.58598 .54575 L
.58588 .54557 L
.58481 .54414 L
.58428 .54342 L
.58376 .54254 L
.58267 .5412 L
.58221 .54093 L
.58106 .53943 L
.58098 .53933 L
.57975 .53772 L
.57946 .5373 L
.57865 .53612 L
.57785 .5351 L
.57772 .53451 L
.57625 .53323 L
.57599 .53291 L
.57475 .5313 L
.57464 .53112 L
.57359 .5297 L
.57304 .52895 L
.57257 .52809 L
.57143 .52674 L
.57103 .52649 L
.56983 .5249 L
.56981 .52488 L
.56858 .52328 L
.56822 .52277 L
.56749 .52167 L
.56662 .52058 L
.56608 .52007 L
.56501 .51866 L
.56486 .51846 L
.56359 .51686 L
.56341 .51655 L
.56246 .51525 L
.5618 .51439 L
.56143 .51364 L
.5602 .51223 L
.55991 .51204 L
.55864 .51043 L
.55859 .5103 L
.55745 .50883 L
.55699 .50817 L
.55637 .50722 L
.55538 .50602 L
.55498 .50562 L
.55378 .50402 L
.55376 .50401 L
.55245 .50241 L
.55217 .50194 L
.55135 .5008 L
.55057 .49979 L
.5503 .4992 L
.54896 .4977 L
.54882 .49759 L
.54746 .49599 L
.54735 .49569 L
.54634 .49438 L
.54575 .49356 L
.54525 .49278 L
.54414 .49144 L
.54389 .49117 L
.54267 .48957 L
.54254 .48943 L
.54133 .48796 L
.54093 .48732 L
.54024 .48636 L
.53933 .48519 L
.53915 .48475 L
.53774 .48314 L
.53772 .48313 L
.5363 .48154 L
.53612 .48108 L
.53523 .47993 L
.53451 .47894 L
.53414 .47833 L
.53291 .47683 L
.53281 .47672 L
.53159 .47512 L
.5313 .47483 L
.53021 .47351 L
.5297 .4727 L
.52914 .47191 L
.52809 .47056 L
.52799 .4703 L
.52666 .4687 L
.52649 .46858 L
.52517 .46709 L
.52488 .46646 L
.52414 .46549 L
.52328 .4643 L
.52303 .46388 L
.52174 .46228 L
.52167 .46219 L
.52052 .46067 L
.52007 .46023 L
.51912 .45907 L
.51846 .45805 L
.51805 .45746 L
.51686 .4559 L
.51684 .45586 L
.51561 .45425 L
.51525 .45403 L
.51407 .45265 L
.51364 .4518 L
.51308 .45104 L
.51204 .44961 L
.51194 .44943 L
.51071 .44783 L
.51043 .44748 L
.50949 .44622 L
.50883 .44557 L
.50809 .44462 L
.50722 .44332 L
.50702 .44301 L
.50582 .44141 L
.50562 .44115 L
.50461 .4398 L
.50401 .43938 L
.50308 .4382 L
.50241 .43701 L
.50211 .43659 L
.50095 .43499 L
.5008 .43479 L
.49977 .43338 L
.4992 .43264 L
.49856 .43178 L
.49759 .43067 L
.49723 .43017 L
.49615 .42857 L
.49599 .42836 L
.49498 .42696 L
.49438 .42617 L
.4938 .42536 L
.49278 .42399 L
.49248 .42375 L
.49146 .42215 L
.49117 .42176 L
.49034 .42054 L
.48957 .41948 L
.48921 .41894 L
.4881 .41733 L
.48796 .41713 L
.48713 .41572 L
.48636 .41447 L
.48619 .41412 L
F
1 .62 0 r
.48636 .43325 m
.48648 .43338 L
.48796 .43483 L
.48809 .43499 L
.48796 .43636 L
.48715 .43499 L
.48636 .43376 L
.48621 .43338 L
F
0 .34 1 r
.48636 .48185 m
.48762 .48314 L
.48796 .48349 L
.48901 .48475 L
.48957 .48539 L
.49031 .48636 L
.49117 .48746 L
.49153 .48796 L
.49117 .48953 L
.48984 .48796 L
.48957 .48765 L
.48858 .48636 L
.48796 .48558 L
.48738 .48475 L
.48636 .48333 L
.48624 .48314 L
F
1 .9 .045 r
.48636 .42006 m
.48701 .42054 L
.48796 .42132 L
.48876 .42215 L
.48957 .42294 L
.4903 .42375 L
.49117 .42439 L
.49177 .42536 L
.49278 .42644 L
.49358 .42696 L
.49438 .42836 L
.49461 .42857 L
.49593 .43017 L
.49599 .43024 L
.49727 .43178 L
.49759 .43208 L
.4986 .43338 L
.4992 .4341 L
.50009 .43499 L
.5008 .43611 L
.50121 .43659 L
.50241 .43809 L
.50247 .4382 L
.50381 .4398 L
.50401 .44003 L
.5054 .44141 L
.50562 .44208 L
.50642 .44301 L
.50722 .44414 L
.50756 .44462 L
.50883 .44616 L
.50892 .44622 L
.51018 .44783 L
.51043 .44814 L
.51157 .44943 L
.51204 .45023 L
.51266 .45104 L
.51364 .45232 L
.5138 .45265 L
.51521 .45425 L
.51525 .4543 L
.51668 .45586 L
.51686 .45636 L
.51774 .45746 L
.51846 .45848 L
.51885 .45907 L
.52007 .46055 L
.52021 .46067 L
.52144 .46228 L
.52167 .46255 L
.52281 .46388 L
.52328 .46466 L
.52389 .46549 L
.52488 .46677 L
.52502 .46709 L
.52641 .4687 L
.52649 .46878 L
.52788 .4703 L
.52809 .47086 L
.52893 .47191 L
.5297 .47298 L
.53003 .47351 L
.5313 .47506 L
.53136 .47512 L
.53259 .47672 L
.53291 .47708 L
.53397 .47833 L
.53451 .47921 L
.53504 .47993 L
.53612 .48132 L
.53621 .48154 L
.53753 .48314 L
.53772 .48332 L
.53903 .48475 L
.53933 .48544 L
.54006 .48636 L
.54093 .48758 L
.54117 .48796 L
.54246 .48957 L
.54254 .4896 L
.54368 .49117 L
.54414 .49167 L
.54508 .49278 L
.54575 .49383 L
.54615 .49438 L
.54735 .49595 L
.54737 .49599 L
.5486 .49759 L
.54896 .49789 L
.55014 .4992 L
.55057 .50007 L
.55113 .5008 L
.55217 .50224 L
.55227 .50241 L
.55351 .50401 L
.55378 .5041 L
.55473 .50562 L
.55538 .50632 L
.55613 .50722 L
.55699 .50853 L
.5572 .50883 L
.55841 .51043 L
.55859 .51067 L
.55961 .51204 L
.5602 .51253 L
.56115 .51364 L
.5618 .51482 L
.56213 .51525 L
.56328 .51686 L
.56341 .51701 L
.56448 .51846 L
.56501 .51915 L
.56569 .52007 L
.56662 .52114 L
.56704 .52167 L
.56813 .52328 L
.56822 .5234 L
.56931 .52488 L
.56983 .52556 L
.5705 .52649 L
.57143 .52749 L
.57191 .52809 L
.57291 .5297 L
.57304 .52986 L
.57406 .5313 L
.57464 .53207 L
.57524 .53291 L
.57625 .53426 L
.57663 .53451 L
.57756 .53612 L
.57785 .53651 L
.57866 .53772 L
.57946 .53883 L
.57978 .53933 L
.58086 .54093 L
.58106 .54123 L
.58179 .54254 L
.58106 .54323 L
.58037 .54254 L
.57946 .54164 L
.5788 .54093 L
.57785 .54015 L
.57732 .53933 L
.57625 .53815 L
.5756 .53772 L
.57464 .53627 L
.57449 .53612 L
.57314 .53451 L
.57304 .5344 L
.57178 .53291 L
.57143 .53255 L
.57043 .5313 L
.56983 .53056 L
.569 .5297 L
.56822 .52856 L
.56786 .52809 L
.56662 .52659 L
.56658 .52649 L
.56519 .52488 L
.56501 .52467 L
.5637 .52328 L
.56341 .52263 L
.56263 .52167 L
.5618 .52056 L
.56149 .52007 L
.5602 .51855 L
.56005 .51846 L
.55879 .51686 L
.55859 .5166 L
.55747 .51525 L
.55699 .51451 L
.55636 .51364 L
.55538 .51241 L
.55526 .51204 L
.55378 .51044 L
.55374 .51043 L
.55238 .50883 L
.55217 .5084 L
.55126 .50722 L
.55057 .50628 L
.55018 .50562 L
.54896 .50419 L
.54873 .50401 L
.54749 .50241 L
.54735 .50223 L
.5462 .5008 L
.54575 .50012 L
.54511 .4992 L
.54414 .49799 L
.54403 .49759 L
.54254 .49599 L
.54252 .49599 L
.54116 .49438 L
.54093 .49393 L
.54006 .49278 L
.53933 .4918 L
.53898 .49117 L
.53772 .48971 L
.53756 .48957 L
.53614 .48796 L
.53612 .4877 L
.53503 .48636 L
.53451 .48558 L
.53394 .48475 L
.53291 .48346 L
.53284 .48314 L
.53139 .48154 L
.5313 .48145 L
.53 .47993 L
.5297 .47935 L
.52893 .47833 L
.52809 .47722 L
.52783 .47672 L
.52649 .47515 L
.52646 .47512 L
.52495 .47351 L
.52488 .47311 L
.52392 .47191 L
.52328 .47097 L
.52283 .4703 L
.52167 .46886 L
.52164 .4687 L
.52031 .46709 L
.52007 .46686 L
.51889 .46549 L
.51846 .46472 L
.51784 .46388 L
.51686 .46257 L
.5167 .46228 L
.51541 .46067 L
.51525 .46059 L
.51381 .45907 L
.51364 .45847 L
.51285 .45746 L
.51204 .45629 L
.51176 .45586 L
.51051 .45425 L
.51043 .45415 L
.5093 .45265 L
.50883 .45222 L
.50785 .45104 L
.50722 .44999 L
.50683 .44943 L
.50564 .44783 L
.50562 .44781 L
.50444 .44622 L
.50401 .44601 L
.50278 .44462 L
.50241 .44367 L
.50191 .44301 L
.5008 .44142 L
.5008 .44141 L
.49962 .4398 L
.4992 .43925 L
.49842 .4382 L
.49759 .43731 L
.49703 .43659 L
.49602 .43499 L
.49599 .43494 L
.49487 .43338 L
.49438 .43274 L
.4937 .43178 L
.49278 .43053 L
.49228 .43017 L
.49137 .42857 L
.49117 .42829 L
.49027 .42696 L
.48957 .42598 L
.48916 .42536 L
.48806 .42375 L
.48796 .42361 L
.48712 .42215 L
.48636 .42083 L
.48624 .42054 L
F
.156 .94 1 r
.48636 .50253 m
.48796 .50316 L
.48891 .50401 L
.48957 .50466 L
.49039 .50562 L
.49117 .50611 L
.49174 .50722 L
.49278 .50835 L
.49332 .50883 L
.4943 .51043 L
.49438 .51054 L
.49549 .51204 L
.49599 .51267 L
.49669 .51364 L
.49759 .51484 L
.49789 .51525 L
.49904 .51686 L
.4992 .51707 L
.50009 .51846 L
.5008 .51955 L
.50108 .52007 L
.5008 .5214 L
.4992 .52015 L
.49911 .52007 L
.49759 .51855 L
.49745 .51846 L
.496 .51686 L
.49599 .51684 L
.49459 .51525 L
.49438 .51521 L
.49324 .51364 L
.49278 .51316 L
.49159 .51204 L
.49117 .51108 L
.49068 .51043 L
.48957 .50897 L
.4895 .50883 L
.48828 .50722 L
.48796 .50675 L
.48719 .50562 L
.48636 .50412 L
.48628 .50401 L
F
1 .76 .001 r
.48636 .47595 m
.48796 .47672 L
.48796 .47672 L
.48957 .47818 L
.48986 .47833 L
.49117 .47988 L
.49124 .47993 L
.49264 .48154 L
.49278 .4817 L
.49398 .48314 L
.49438 .48349 L
.49529 .48475 L
.49599 .48556 L
.4967 .48636 L
.49759 .48767 L
.4978 .48796 L
.49902 .48957 L
.4992 .4898 L
.5002 .49117 L
.5008 .49202 L
.50163 .49278 L
.50236 .49438 L
.50241 .49447 L
.5031 .49599 L
.50241 .49683 L
.50097 .49599 L
.5008 .49586 L
.4993 .49438 L
.4992 .49428 L
.49789 .49278 L
.49759 .49244 L
.49657 .49117 L
.49599 .4908 L
.49528 .48957 L
.49438 .48857 L
.49379 .48796 L
.49278 .48637 L
.49277 .48636 L
.49158 .48475 L
.49117 .48421 L
.4904 .48314 L
.48957 .48201 L
.48887 .48154 L
.48812 .47993 L
.48796 .4797 L
.48713 .47833 L
.48636 .4769 L
.48628 .47672 L
F
0 .33 1 r
.48636 .48195 m
.48755 .48314 L
.48796 .48355 L
.48896 .48475 L
.48957 .48545 L
.49026 .48636 L
.49117 .48752 L
.49148 .48796 L
.49117 .48946 L
.48989 .48796 L
.48957 .48759 L
.48863 .48636 L
.48796 .48552 L
.48742 .48475 L
.48636 .48326 L
.48629 .48314 L
F
1 .49 0 r
.48636 .53125 m
.48639 .5313 L
.48636 .53149 L
.4863 .5313 L
F
1 .28 0 r
.48636 .48805 m
.48709 .48957 L
.48636 .48959 L
.48634 .48957 L
F
0 .32 1 r
.48636 .48207 m
.48747 .48314 L
.48796 .48362 L
.48891 .48475 L
.48957 .4855 L
.49022 .48636 L
.49117 .48758 L
.49144 .48796 L
.49117 .48939 L
.48995 .48796 L
.48957 .48753 L
.48867 .48636 L
.48796 .48546 L
.48747 .48475 L
.48636 .48317 L
.48634 .48314 L
F
.114 .93 1 r
.48796 .50343 m
.48866 .50401 L
.48957 .50486 L
.49024 .50562 L
.49117 .50628 L
.49162 .50722 L
.49278 .50853 L
.49312 .50883 L
.49419 .51043 L
.49438 .51068 L
.49538 .51204 L
.49599 .51282 L
.49658 .51364 L
.49759 .515 L
.49777 .51525 L
.49887 .51686 L
.4992 .51733 L
.49987 .51846 L
.4992 .51976 L
.49779 .51846 L
.49759 .51828 L
.49624 .51686 L
.49599 .51659 L
.49479 .51525 L
.49438 .51515 L
.49342 .51364 L
.49278 .51297 L
.49174 .51204 L
.49117 .51087 L
.49083 .51043 L
.48963 .50883 L
.48957 .50874 L
.48846 .50722 L
.48796 .50646 L
.4874 .50562 L
.48662 .50401 L
F
.733 .99 1 r
.48796 .47048 m
.48957 .4709 L
.49088 .47191 L
.49117 .47215 L
.49246 .47351 L
.49278 .47387 L
.4937 .47512 L
.49438 .47579 L
.49475 .47672 L
.49599 .4778 L
.49641 .47833 L
.49759 .47987 L
.49765 .47993 L
.49885 .48154 L
.4992 .48205 L
.49989 .48314 L
.5008 .48434 L
.50141 .48475 L
.50241 .48607 L
.50263 .48636 L
.50385 .48796 L
.50401 .48818 L
.50495 .48957 L
.50562 .49034 L
.50586 .49117 L
.50722 .49248 L
.50756 .49278 L
.50877 .49438 L
.50883 .49448 L
.50991 .49599 L
.51043 .49664 L
.51088 .49759 L
.51202 .4992 L
.51043 .49977 L
.50883 .49978 L
.50764 .4992 L
.50722 .49885 L
.50619 .49759 L
.50562 .49693 L
.5047 .49599 L
.50401 .49486 L
.50363 .49438 L
.50241 .49278 L
.50241 .49278 L
.50119 .49117 L
.5008 .49081 L
.49958 .48957 L
.4992 .48867 L
.49861 .48796 L
.49759 .48652 L
.49748 .48636 L
.49626 .48475 L
.49599 .4844 L
.49504 .48314 L
.49438 .48264 L
.4936 .48154 L
.49278 .4803 L
.49255 .47993 L
.49136 .47833 L
.49117 .47808 L
.49016 .47672 L
.48957 .47593 L
.48861 .47512 L
.48796 .47375 L
.48773 .47351 L
.48676 .47191 L
F
.084 .92 1 r
.48796 .50374 m
.48835 .50401 L
.48957 .50506 L
.49007 .50562 L
.49117 .50651 L
.4915 .50722 L
.49278 .50872 L
.49289 .50883 L
.49406 .51043 L
.49438 .51083 L
.49526 .51204 L
.49599 .51298 L
.49645 .51364 L
.49759 .51518 L
.49764 .51525 L
.49867 .51686 L
.4992 .51767 L
.4996 .51846 L
.4992 .51932 L
.49815 .51846 L
.49759 .51797 L
.49649 .51686 L
.49599 .51634 L
.495 .51525 L
.49438 .51503 L
.49361 .51364 L
.49278 .51275 L
.49193 .51204 L
.49117 .51065 L
.49101 .51043 L
.4898 .50883 L
.48957 .5085 L
.48866 .50722 L
.48796 .50613 L
.48764 .50562 L
.48703 .50401 L
F
1 .75 0 r
.48796 .47683 m
.48957 .47825 L
.48971 .47833 L
.49117 .47993 L
.49117 .47993 L
.49259 .48154 L
.49278 .48176 L
.49394 .48314 L
.49438 .48353 L
.49526 .48475 L
.49599 .48561 L
.49666 .48636 L
.49759 .48772 L
.49776 .48796 L
.49899 .48957 L
.4992 .48985 L
.50016 .49117 L
.5008 .49208 L
.50157 .49278 L
.5023 .49438 L
.50241 .49459 L
.503 .49599 L
.50241 .49671 L
.50108 .49599 L
.5008 .49578 L
.49936 .49438 L
.4992 .49422 L
.49793 .49278 L
.49759 .49239 L
.4966 .49117 L
.49599 .49077 L
.49531 .48957 L
.49438 .48853 L
.49383 .48796 L
.4928 .48636 L
.49278 .48633 L
.49161 .48475 L
.49117 .48417 L
.49043 .48314 L
.48957 .48196 L
.48894 .48154 L
.48817 .47993 L
.48796 .47962 L
.4872 .47833 L
F
.001 .76 1 r
.48796 .42816 m
.48833 .42857 L
.48957 .42983 L
.48986 .43017 L
.49117 .43153 L
.49131 .43178 L
.4927 .43338 L
.49278 .43347 L
.49405 .43499 L
.49438 .43537 L
.49539 .43659 L
.49599 .43729 L
.49672 .4382 L
.49759 .43911 L
.49856 .4398 L
.4992 .44119 L
.49942 .44141 L
.50065 .44301 L
.5008 .44319 L
.50194 .44462 L
.50241 .44494 L
.50322 .44622 L
.50401 .44712 L
.50475 .44783 L
.50562 .44922 L
.50581 .44943 L
.50705 .45104 L
.50722 .45126 L
.5083 .45265 L
.50883 .45314 L
.5101 .45425 L
.51043 .4553 L
.51094 .45586 L
.51204 .45739 L
.51209 .45746 L
.51333 .45907 L
.51364 .45921 L
.51458 .46067 L
.51525 .46141 L
.51608 .46228 L
.51686 .46357 L
.51711 .46388 L
.51832 .46549 L
.51846 .46566 L
.51955 .46709 L
.52007 .46754 L
.52129 .4687 L
.52167 .46976 L
.52214 .4703 L
.52328 .4719 L
.52328 .47191 L
.5245 .47351 L
.52488 .47364 L
.52573 .47512 L
.52649 .47595 L
.52719 .47672 L
.52809 .47816 L
.52822 .47833 L
.52942 .47993 L
.5297 .48029 L
.53063 .48154 L
.5313 .48213 L
.5323 .48314 L
.53291 .48444 L
.53316 .48475 L
.53431 .48636 L
.53451 .48661 L
.53551 .48796 L
.53612 .48874 L
.53673 .48957 L
.53772 .49075 L
.53809 .49117 L
.53916 .49278 L
.53933 .49299 L
.54034 .49438 L
.54093 .49515 L
.54154 .49599 L
.54254 .49711 L
.54297 .49759 L
.54394 .4992 L
.54414 .49946 L
.5451 .5008 L
.54575 .50166 L
.54628 .50241 L
.54735 .50385 L
.54747 .50401 L
.5486 .50562 L
.54896 .5061 L
.54971 .50722 L
.55057 .50841 L
.55084 .50883 L
.55191 .51043 L
.55217 .51082 L
.55279 .51204 L
.55217 .51232 L
.55189 .51204 L
.55057 .5107 L
.55033 .51043 L
.54896 .50898 L
.54887 .50883 L
.54747 .50722 L
.54735 .5071 L
.54609 .50562 L
.54575 .50523 L
.54473 .50401 L
.54414 .50381 L
.54338 .50241 L
.54254 .50149 L
.54163 .5008 L
.54093 .49945 L
.5407 .4992 L
.53943 .49759 L
.53933 .49747 L
.53813 .49599 L
.53772 .49566 L
.53683 .49438 L
.53612 .49353 L
.53538 .49278 L
.53451 .49147 L
.53428 .49117 L
.53299 .48957 L
.53291 .48946 L
.53172 .48796 L
.5313 .48752 L
.53008 .48636 L
.5297 .48541 L
.52914 .48475 L
.52809 .48333 L
.52797 .48314 L
.52668 .48154 L
.52649 .48141 L
.52542 .47993 L
.52488 .4793 L
.52402 .47833 L
.52328 .47718 L
.52294 .47672 L
.52168 .47512 L
.52167 .47511 L
.52044 .47351 L
.52007 .47315 L
.51886 .47191 L
.51846 .471 L
.5179 .4703 L
.51686 .46887 L
.51675 .4687 L
.51549 .46709 L
.51525 .46697 L
.51425 .46549 L
.51364 .46479 L
.51286 .46388 L
.51204 .46262 L
.51179 .46228 L
.51057 .46067 L
.51043 .4605 L
.50935 .45907 L
.50883 .45858 L
.50778 .45746 L
.50722 .45634 L
.50684 .45586 L
.50568 .45425 L
.50562 .45417 L
.50447 .45265 L
.50401 .45243 L
.50326 .45104 L
.50241 .45003 L
.50191 .44943 L
.50083 .44783 L
.5008 .44779 L
.49965 .44622 L
.4992 .44563 L
.49845 .44462 L
.49759 .44368 L
.49701 .44301 L
.49606 .44141 L
.49599 .44131 L
.49491 .4398 L
.49438 .43911 L
.49373 .4382 L
.49278 .4369 L
.49256 .43659 L
.49142 .43499 L
.49117 .43465 L
.49032 .43338 L
.48957 .43233 L
.4892 .43178 L
.48812 .43017 L
.48796 .42994 L
.4872 .42857 L
F
.538 .98 1 r
.48796 .4711 m
.48957 .47155 L
.49014 .47191 L
.49117 .47265 L
.49212 .47351 L
.49278 .47424 L
.49343 .47512 L
.49438 .47607 L
.4946 .47672 L
.49599 .47802 L
.49624 .47833 L
.49753 .47993 L
.49759 .48005 L
.49873 .48154 L
.4992 .48221 L
.49979 .48314 L
.5008 .48444 L
.50132 .48475 L
.50241 .48618 L
.50255 .48636 L
.50378 .48796 L
.50401 .48829 L
.50487 .48957 L
.50562 .49044 L
.50581 .49117 L
.50722 .49256 L
.50747 .49278 L
.5087 .49438 L
.50883 .49461 L
.50978 .49599 L
.51043 .49685 L
.51073 .49759 L
.51151 .4992 L
.51043 .49957 L
.50883 .49954 L
.50802 .4992 L
.50722 .49864 L
.50631 .49759 L
.50562 .49681 L
.50477 .49599 L
.50401 .49479 L
.50368 .49438 L
.50246 .49278 L
.50241 .49276 L
.50123 .49117 L
.5008 .49077 L
.49962 .48957 L
.4992 .48862 L
.49865 .48796 L
.49759 .48647 L
.49752 .48636 L
.4963 .48475 L
.49599 .48434 L
.49509 .48314 L
.49438 .48257 L
.49366 .48154 L
.49278 .4802 L
.49261 .47993 L
.49144 .47833 L
.49117 .47798 L
.49026 .47672 L
.48957 .47577 L
.48877 .47512 L
.48798 .47351 L
.48796 .47348 L
.48724 .47191 L
F
1 .74 0 r
.48796 .47694 m
.48956 .47833 L
.48957 .47833 L
.49111 .47993 L
.49117 .48 L
.49253 .48154 L
.49278 .48181 L
.4939 .48314 L
.49438 .48357 L
.49522 .48475 L
.49599 .48566 L
.49662 .48636 L
.49759 .48777 L
.49773 .48796 L
.49895 .48957 L
.4992 .48991 L
.50012 .49117 L
.5008 .49215 L
.50151 .49278 L
.50223 .49438 L
.50241 .49472 L
.50289 .49599 L
.50241 .49658 L
.50119 .49599 L
.5008 .49571 L
.49941 .49438 L
.4992 .49417 L
.49798 .49278 L
.49759 .49235 L
.49664 .49117 L
.49599 .49073 L
.49534 .48957 L
.49438 .48848 L
.49388 .48796 L
.49283 .48636 L
.49278 .48629 L
.49165 .48475 L
.49117 .48412 L
.49047 .48314 L
.48957 .48191 L
.48901 .48154 L
.48822 .47993 L
.48796 .47954 L
.48726 .47833 L
F
.001 .78 1 r
.48796 .52619 m
.48823 .52649 L
.48957 .52794 L
.4897 .52809 L
.49109 .5297 L
.49117 .52979 L
.49244 .5313 L
.49278 .53168 L
.49379 .53291 L
.49438 .53361 L
.49512 .53451 L
.49599 .53555 L
.49645 .53612 L
.49759 .53747 L
.49792 .53772 L
.49904 .53933 L
.4992 .53952 L
.50032 .54093 L
.5008 .54152 L
.50161 .54254 L
.50241 .54327 L
.50289 .54414 L
.50401 .54554 L
.50422 .54575 L
.50541 .54735 L
.50562 .54761 L
.50666 .54896 L
.50722 .54966 L
.50792 .55057 L
.50883 .55159 L
.50945 .55217 L
.51042 .55378 L
.51043 .55379 L
.51165 .55538 L
.51204 .55588 L
.51288 .55699 L
.51364 .55763 L
.51412 .55859 L
.51525 .56003 L
.5154 .5602 L
.51656 .5618 L
.51686 .56218 L
.51777 .56341 L
.51846 .5643 L
.519 .56501 L
.52007 .56634 L
.52033 .56662 L
.52139 .56822 L
.52167 .56858 L
.52258 .56983 L
.52328 .57075 L
.52377 .57143 L
.52488 .57282 L
.52496 .57304 L
.5261 .57464 L
.52649 .57516 L
.52724 .57625 L
.52809 .57742 L
.52839 .57785 L
.52948 .57946 L
.5297 .57977 L
.53045 .58106 L
.5313 .58244 L
.53138 .58267 L
.5313 .58281 L
.53116 .58267 L
.5297 .58134 L
.52946 .58106 L
.52809 .57958 L
.528 .57946 L
.52662 .57785 L
.52649 .57771 L
.52529 .57625 L
.52488 .57579 L
.52397 .57464 L
.52328 .57384 L
.52264 .57304 L
.52167 .57188 L
.52132 .57143 L
.52007 .56994 L
.51993 .56983 L
.51874 .56822 L
.51846 .56789 L
.51748 .56662 L
.51686 .56586 L
.5162 .56501 L
.51525 .56412 L
.51492 .56341 L
.51364 .56181 L
.51364 .5618 L
.51241 .5602 L
.51204 .55974 L
.51117 .55859 L
.51043 .55768 L
.50991 .55699 L
.50883 .55573 L
.50844 .55538 L
.50741 .55378 L
.50722 .55354 L
.5062 .55217 L
.50562 .55145 L
.50496 .55057 L
.50401 .54968 L
.50371 .54896 L
.50247 .54735 L
.50241 .54727 L
.50128 .54575 L
.5008 .54514 L
.50007 .54414 L
.4992 .54303 L
.49884 .54254 L
.4976 .54093 L
.49759 .54092 L
.49644 .53933 L
.49599 .53875 L
.49525 .53772 L
.49438 .5366 L
.49404 .53612 L
.49283 .53451 L
.49278 .53444 L
.49171 .53291 L
.49117 .53221 L
.49056 .5313 L
.48957 .52997 L
.48938 .5297 L
.48829 .52809 L
.48796 .52763 L
.48731 .52649 L
F
1 .73 0 r
.48796 .47706 m
.48947 .47833 L
.48957 .47841 L
.49105 .47993 L
.49117 .48006 L
.49248 .48154 L
.49278 .48187 L
.49385 .48314 L
.49438 .48361 L
.49517 .48475 L
.49599 .48571 L
.49658 .48636 L
.49759 .48782 L
.49769 .48796 L
.49891 .48957 L
.4992 .48996 L
.50008 .49117 L
.5008 .49221 L
.50144 .49278 L
.50217 .49438 L
.50241 .49488 L
.50277 .49599 L
.50241 .49643 L
.50133 .49599 L
.5008 .49563 L
.49947 .49438 L
.4992 .49411 L
.49802 .49278 L
.49759 .4923 L
.49667 .49117 L
.49599 .4907 L
.49537 .48957 L
.49438 .48844 L
.49392 .48796 L
.49286 .48636 L
.49278 .48625 L
.49168 .48475 L
.49117 .48408 L
.4905 .48314 L
.48957 .48186 L
.48908 .48154 L
.48827 .47993 L
.48796 .47945 L
.48734 .47833 L
F
1 .61 0 r
.48796 .43499 m
.48796 .43499 L
.48796 .43616 L
.48737 .43499 L
F
1 .72 0 r
.48796 .47718 m
.48937 .47833 L
.48957 .4785 L
.49098 .47993 L
.49117 .48013 L
.49243 .48154 L
.49278 .48192 L
.49381 .48314 L
.49438 .48365 L
.49513 .48475 L
.49599 .48576 L
.49654 .48636 L
.49759 .48787 L
.49766 .48796 L
.49887 .48957 L
.4992 .49001 L
.50004 .49117 L
.5008 .49228 L
.50137 .49278 L
.5021 .49438 L
.50241 .49507 L
.50263 .49599 L
.50241 .49627 L
.50149 .49599 L
.5008 .49555 L
.49954 .49438 L
.4992 .49405 L
.49806 .49278 L
.49759 .49225 L
.49671 .49117 L
.49599 .49066 L
.4954 .48957 L
.49438 .48839 L
.49396 .48796 L
.4929 .48636 L
.49278 .4862 L
.49171 .48475 L
.49117 .48403 L
.49054 .48314 L
.48957 .48181 L
.48916 .48154 L
.48833 .47993 L
.48796 .47935 L
.48741 .47833 L
F
0 .75 1 r
.48796 .42838 m
.48814 .42857 L
.48957 .42997 L
.48974 .43017 L
.49117 .4317 L
.49121 .43178 L
.4926 .43338 L
.49278 .43357 L
.49397 .43499 L
.49438 .43545 L
.49532 .43659 L
.49599 .43736 L
.49667 .4382 L
.49759 .43918 L
.49847 .4398 L
.4992 .44125 L
.49936 .44141 L
.50061 .44301 L
.5008 .44325 L
.50189 .44462 L
.50241 .44497 L
.50318 .44622 L
.50401 .44717 L
.5047 .44783 L
.50562 .44926 L
.50577 .44943 L
.50701 .45104 L
.50722 .4513 L
.50827 .45265 L
.50883 .45317 L
.51007 .45425 L
.51043 .45534 L
.5109 .45586 L
.51204 .45743 L
.51206 .45746 L
.5133 .45907 L
.51364 .45923 L
.51455 .46067 L
.51525 .46144 L
.51605 .46228 L
.51686 .4636 L
.51708 .46388 L
.5183 .46549 L
.51846 .46569 L
.51953 .46709 L
.52007 .46757 L
.52126 .4687 L
.52167 .46979 L
.52211 .4703 L
.52326 .47191 L
.52328 .47193 L
.52447 .47351 L
.52488 .47366 L
.5257 .47512 L
.52649 .47598 L
.52716 .47672 L
.52809 .47819 L
.5282 .47833 L
.52939 .47993 L
.5297 .48032 L
.53061 .48154 L
.5313 .48216 L
.53227 .48314 L
.53291 .48448 L
.53313 .48475 L
.53428 .48636 L
.53451 .48665 L
.53548 .48796 L
.53612 .48878 L
.5367 .48957 L
.53772 .4908 L
.53805 .49117 L
.53913 .49278 L
.53933 .49304 L
.54031 .49438 L
.54093 .49519 L
.54151 .49599 L
.54254 .49718 L
.54291 .49759 L
.5439 .4992 L
.54414 .49952 L
.54506 .5008 L
.54575 .50172 L
.54623 .50241 L
.54735 .50392 L
.54742 .50401 L
.54853 .50562 L
.54896 .5062 L
.54963 .50722 L
.55057 .50853 L
.55076 .50883 L
.55176 .51043 L
.55217 .51109 L
.55245 .51204 L
.55217 .51206 L
.55214 .51204 L
.55057 .51054 L
.55047 .51043 L
.54898 .50883 L
.54896 .50881 L
.54756 .50722 L
.54735 .507 L
.54617 .50562 L
.54575 .50514 L
.5448 .50401 L
.54414 .50375 L
.54344 .50241 L
.54254 .50141 L
.54171 .5008 L
.54093 .49938 L
.54076 .4992 L
.53948 .49759 L
.53933 .49741 L
.53818 .49599 L
.53772 .49562 L
.53687 .49438 L
.53612 .49348 L
.53542 .49278 L
.53451 .49142 L
.53431 .49117 L
.53303 .48957 L
.53291 .48941 L
.53176 .48796 L
.5313 .48748 L
.5301 .48636 L
.5297 .48537 L
.52918 .48475 L
.52809 .4833 L
.52799 .48314 L
.52671 .48154 L
.52649 .48139 L
.52545 .47993 L
.52488 .47926 L
.52404 .47833 L
.52328 .47714 L
.52296 .47672 L
.52171 .47512 L
.52167 .47507 L
.52047 .47351 L
.52007 .47312 L
.51888 .47191 L
.51846 .47096 L
.51793 .4703 L
.51686 .46884 L
.51677 .4687 L
.51551 .46709 L
.51525 .46696 L
.51428 .46549 L
.51364 .46476 L
.51289 .46388 L
.51204 .46258 L
.51182 .46228 L
.51059 .46067 L
.51043 .46047 L
.50937 .45907 L
.50883 .45855 L
.50781 .45746 L
.50722 .4563 L
.50688 .45586 L
.50571 .45425 L
.50562 .45413 L
.50451 .45265 L
.50401 .4524 L
.50329 .45104 L
.50241 .44998 L
.50195 .44943 L
.50087 .44783 L
.5008 .44774 L
.49969 .44622 L
.4992 .44558 L
.49849 .44462 L
.49759 .44361 L
.49708 .44301 L
.49611 .44141 L
.49599 .44125 L
.49496 .4398 L
.49438 .43904 L
.49379 .4382 L
.49278 .43682 L
.49261 .43659 L
.49149 .43499 L
.49117 .43455 L
.4904 .43338 L
.48957 .43221 L
.48928 .43178 L
.48826 .43017 L
.48796 .42971 L
.48743 .42857 L
F
1 .71 0 r
.48796 .47731 m
.48927 .47833 L
.48957 .47858 L
.49091 .47993 L
.49117 .48019 L
.49238 .48154 L
.49278 .48198 L
.49376 .48314 L
.49438 .4837 L
.49509 .48475 L
.49599 .48581 L
.49649 .48636 L
.49759 .48792 L
.49762 .48796 L
.49883 .48957 L
.4992 .49007 L
.49999 .49117 L
.5008 .49235 L
.5013 .49278 L
.50203 .49438 L
.50241 .49534 L
.50247 .49599 L
.50241 .49607 L
.50171 .49599 L
.5008 .49547 L
.4996 .49438 L
.4992 .49399 L
.49811 .49278 L
.49759 .49221 L
.49675 .49117 L
.49599 .49061 L
.49544 .48957 L
.49438 .48835 L
.49401 .48796 L
.49293 .48636 L
.49278 .48616 L
.49175 .48475 L
.49117 .48399 L
.49057 .48314 L
.48957 .48175 L
.48924 .48154 L
.48839 .47993 L
.48796 .47924 L
.4875 .47833 L
F
1 .89 .033 r
.48796 .42179 m
.48835 .42215 L
.48957 .42325 L
.49004 .42375 L
.49117 .42468 L
.49157 .42536 L
.49278 .42666 L
.49328 .42696 L
.49438 .42852 L
.49443 .42857 L
.4958 .43017 L
.49599 .43039 L
.49716 .43178 L
.49759 .43219 L
.4985 .43338 L
.4992 .43421 L
.50001 .43499 L
.5008 .43621 L
.50113 .43659 L
.50241 .43816 L
.50243 .4382 L
.50374 .4398 L
.50401 .4401 L
.50537 .44141 L
.50562 .44215 L
.50636 .44301 L
.50722 .44421 L
.50751 .44462 L
.50883 .44619 L
.50887 .44622 L
.51014 .44783 L
.51043 .44819 L
.51153 .44943 L
.51204 .45028 L
.51262 .45104 L
.51364 .45236 L
.51378 .45265 L
.51517 .45425 L
.51525 .45433 L
.51666 .45586 L
.51686 .4564 L
.51771 .45746 L
.51846 .45851 L
.51883 .45907 L
.52007 .46057 L
.52018 .46067 L
.52142 .46228 L
.52167 .46258 L
.52279 .46388 L
.52328 .46469 L
.52387 .46549 L
.52488 .4668 L
.52501 .46709 L
.52639 .4687 L
.52649 .4688 L
.52786 .4703 L
.52809 .47089 L
.52891 .47191 L
.5297 .47301 L
.53002 .47351 L
.5313 .47508 L
.53134 .47512 L
.53257 .47672 L
.53291 .4771 L
.53395 .47833 L
.53451 .47923 L
.53503 .47993 L
.53612 .48135 L
.5362 .48154 L
.53751 .48314 L
.53772 .48334 L
.53902 .48475 L
.53933 .48546 L
.54004 .48636 L
.54093 .4876 L
.54116 .48796 L
.54244 .48957 L
.54254 .48961 L
.54366 .49117 L
.54414 .49169 L
.54506 .49278 L
.54575 .49385 L
.54613 .49438 L
.54735 .49597 L
.54736 .49599 L
.54858 .49759 L
.54896 .49791 L
.55012 .4992 L
.55057 .5001 L
.55111 .5008 L
.55217 .50227 L
.55226 .50241 L
.55349 .50401 L
.55378 .50411 L
.5547 .50562 L
.55538 .50635 L
.5561 .50722 L
.55699 .50856 L
.55718 .50883 L
.55838 .51043 L
.55859 .51071 L
.55959 .51204 L
.5602 .51257 L
.56112 .51364 L
.5618 .51487 L
.56209 .51525 L
.56325 .51686 L
.56341 .51706 L
.56444 .51846 L
.56501 .5192 L
.56565 .52007 L
.56662 .5212 L
.56699 .52167 L
.56808 .52328 L
.56822 .52346 L
.56926 .52488 L
.56983 .52562 L
.57045 .52649 L
.57143 .5276 L
.57182 .52809 L
.57284 .5297 L
.57304 .52996 L
.57399 .5313 L
.57464 .53217 L
.57516 .53291 L
.57625 .53439 L
.57644 .53451 L
.57744 .53612 L
.57785 .53669 L
.57853 .53772 L
.57946 .53905 L
.57963 .53933 L
.58059 .54093 L
.58106 .54174 L
.58126 .54254 L
.58106 .54265 L
.58091 .54254 L
.57946 .5413 L
.5791 .54093 L
.57785 .53983 L
.57755 .53933 L
.57625 .53792 L
.57593 .53772 L
.57467 .53612 L
.57464 .53609 L
.57328 .53451 L
.57304 .53424 L
.5719 .53291 L
.57143 .53243 L
.57054 .5313 L
.56983 .53043 L
.5691 .5297 L
.56822 .52845 L
.56793 .52809 L
.56662 .52652 L
.5666 .52649 L
.56526 .52488 L
.56501 .52458 L
.56374 .52328 L
.56341 .52254 L
.56269 .52167 L
.5618 .52049 L
.56154 .52007 L
.5602 .51851 L
.56011 .51846 L
.55884 .51686 L
.55859 .51654 L
.55751 .51525 L
.55699 .51445 L
.5564 .51364 L
.55538 .51236 L
.55528 .51204 L
.55379 .51043 L
.55378 .51042 L
.5524 .50883 L
.55217 .50835 L
.5513 .50722 L
.55057 .50624 L
.5502 .50562 L
.54896 .50416 L
.54876 .50401 L
.54752 .50241 L
.54735 .50219 L
.54623 .5008 L
.54575 .50008 L
.54513 .4992 L
.54414 .49796 L
.54404 .49759 L
.54255 .49599 L
.54254 .49598 L
.54118 .49438 L
.54093 .4939 L
.54008 .49278 L
.53933 .49177 L
.53899 .49117 L
.53772 .48968 L
.53758 .48957 L
.53615 .48796 L
.53612 .48768 L
.53505 .48636 L
.53451 .48556 L
.53396 .48475 L
.53291 .48344 L
.53284 .48314 L
.53141 .48154 L
.5313 .48143 L
.53002 .47993 L
.5297 .47933 L
.52895 .47833 L
.52809 .47719 L
.52784 .47672 L
.52649 .47513 L
.52648 .47512 L
.52496 .47351 L
.52488 .47309 L
.52393 .47191 L
.52328 .47095 L
.52285 .4703 L
.52167 .46883 L
.52165 .4687 L
.52034 .46709 L
.52007 .46684 L
.51891 .46549 L
.51846 .46469 L
.51786 .46388 L
.51686 .46254 L
.51672 .46228 L
.51543 .46067 L
.51525 .46058 L
.51382 .45907 L
.51364 .45843 L
.51288 .45746 L
.51204 .45625 L
.51178 .45586 L
.51054 .45425 L
.51043 .45411 L
.50933 .45265 L
.50883 .45218 L
.50788 .45104 L
.50722 .44994 L
.50686 .44943 L
.50567 .44783 L
.50562 .44776 L
.50448 .44622 L
.50401 .44597 L
.50282 .44462 L
.50241 .44361 L
.50196 .44301 L
.50085 .44141 L
.5008 .44135 L
.49967 .4398 L
.4992 .43918 L
.49848 .4382 L
.49759 .43721 L
.49711 .43659 L
.49609 .43499 L
.49599 .43485 L
.49495 .43338 L
.49438 .43263 L
.49378 .43178 L
.49278 .43041 L
.49245 .43017 L
.4915 .42857 L
.49117 .42812 L
.49041 .42696 L
.48957 .42576 L
.48931 .42536 L
.48831 .42375 L
.48796 .42319 L
.48751 .42215 L
F
0 .31 1 r
.48796 .48369 m
.48885 .48475 L
.48957 .48557 L
.49017 .48636 L
.49117 .48765 L
.49139 .48796 L
.49117 .48932 L
.49001 .48796 L
.48957 .48747 L
.48872 .48636 L
.48796 .4854 L
.48752 .48475 L
F
1 .93 .114 r
.48796 .51984 m
.48821 .52007 L
.48957 .52135 L
.48988 .52167 L
.49117 .52288 L
.4914 .52328 L
.49278 .5248 L
.4929 .52488 L
.49425 .52649 L
.49438 .52664 L
.49564 .52809 L
.49599 .5285 L
.49701 .5297 L
.49759 .53028 L
.49836 .5313 L
.4992 .53233 L
.49977 .53291 L
.5008 .53431 L
.50096 .53451 L
.50229 .53612 L
.50241 .53617 L
.5036 .53772 L
.50401 .53821 L
.50515 .53933 L
.50562 .54027 L
.50616 .54093 L
.50722 .5423 L
.50736 .54254 L
.50872 .54414 L
.50883 .54425 L
.51 .54575 L
.51043 .5463 L
.51133 .54735 L
.51204 .54839 L
.51244 .54896 L
.51364 .55044 L
.51367 .55057 L
.51504 .55217 L
.51525 .55241 L
.51647 .55378 L
.51686 .55451 L
.51752 .55538 L
.51846 .55661 L
.51866 .55699 L
.52004 .55859 L
.52007 .55862 L
.52163 .5602 L
.52167 .56067 L
.52259 .5618 L
.52328 .56279 L
.52368 .56341 L
.52488 .56488 L
.5249 .56501 L
.52625 .56662 L
.52649 .56688 L
.52766 .56822 L
.52809 .569 L
.5287 .56983 L
.5297 .57113 L
.52985 .57143 L
.53118 .57304 L
.5313 .57313 L
.53279 .57464 L
.53291 .57524 L
.53371 .57625 L
.53451 .5774 L
.5348 .57785 L
.53608 .57946 L
.53612 .57951 L
.5373 .58106 L
.53772 .5815 L
.53872 .58267 L
.53933 .5837 L
.53974 .58428 L
.54093 .58585 L
.54095 .58588 L
.54216 .58749 L
.54254 .58773 L
.54382 .58909 L
.54414 .59003 L
.54466 .5907 L
.54575 .59226 L
.54578 .5923 L
.54696 .59391 L
.54735 .59443 L
.54816 .59551 L
.54896 .59642 L
.54952 .59712 L
.55053 .59872 L
.55057 .59877 L
.55169 .60033 L
.55217 .60098 L
.55285 .60193 L
.55378 .60296 L
.55425 .60354 L
.55514 .60514 L
.55538 .60548 L
.55624 .60675 L
.55699 .60781 L
.55734 .60835 L
.55839 .60996 L
.55859 .61026 L
.55929 .61156 L
.55859 .61201 L
.55817 .61156 L
.55699 .61038 L
.55662 .60996 L
.55538 .60879 L
.55516 .60835 L
.55378 .60678 L
.55374 .60675 L
.55241 .60514 L
.55217 .60488 L
.55107 .60354 L
.55057 .60295 L
.54974 .60193 L
.54896 .60119 L
.54841 .60033 L
.54735 .59908 L
.54698 .59872 L
.5458 .59712 L
.54575 .59706 L
.54453 .59551 L
.54414 .59536 L
.54325 .59391 L
.54254 .59315 L
.54158 .5923 L
.54093 .59104 L
.54062 .5907 L
.53942 .58909 L
.53933 .58898 L
.53817 .58749 L
.53772 .58713 L
.53691 .58588 L
.53612 .58496 L
.53546 .58428 L
.53451 .58285 L
.53437 .58267 L
.53314 .58106 L
.53291 .58078 L
.5319 .57946 L
.5313 .57886 L
.53027 .57785 L
.5297 .57669 L
.52932 .57625 L
.52814 .57464 L
.52809 .57458 L
.52692 .57304 L
.52649 .57274 L
.52568 .57143 L
.52488 .57052 L
.52425 .56983 L
.52328 .56836 L
.52317 .56822 L
.52196 .56662 L
.52167 .56626 L
.52073 .56501 L
.52007 .56435 L
.51914 .56341 L
.51846 .56213 L
.51819 .5618 L
.51702 .5602 L
.51686 .55999 L
.51581 .55859 L
.51525 .55822 L
.51458 .55699 L
.51364 .5559 L
.51319 .55538 L
.5121 .55378 L
.51204 .5537 L
.5109 .55217 L
.51043 .55158 L
.50968 .55057 L
.50883 .54968 L
.50817 .54896 L
.50722 .54739 L
.50719 .54735 L
.50601 .54575 L
.50562 .54525 L
.5048 .54414 L
.50401 .54349 L
.50358 .54254 L
.50241 .54105 L
.50231 .54093 L
.50116 .53933 L
.5008 .53887 L
.49997 .53772 L
.4992 .53673 L
.49876 .53612 L
.49759 .53465 L
.49748 .53451 L
.49637 .53291 L
.49599 .53242 L
.4952 .5313 L
.49438 .53023 L
.49401 .5297 L
.4928 .52809 L
.49278 .52806 L
.49169 .52649 L
.49117 .52579 L
.49057 .52488 L
.48957 .5235 L
.48942 .52328 L
.48839 .52167 L
.48796 .52102 L
.48754 .52007 L
F
0 .3 1 r
.48796 .48377 m
.48879 .48475 L
.48957 .48563 L
.49012 .48636 L
.49117 .48772 L
.49134 .48796 L
.49117 .48923 L
.49007 .48796 L
.48957 .48741 L
.48878 .48636 L
.48796 .48533 L
.48757 .48475 L
F
1 .7 0 r
.48796 .47746 m
.48915 .47833 L
.48957 .47866 L
.49084 .47993 L
.49117 .48026 L
.49232 .48154 L
.49278 .48204 L
.49372 .48314 L
.49438 .48374 L
.49505 .48475 L
.49599 .48586 L
.49645 .48636 L
.49759 .48796 L
.49759 .48797 L
.49879 .48957 L
.4992 .49013 L
.49995 .49117 L
.5008 .49242 L
.50122 .49278 L
.50195 .49438 L
.5008 .49539 L
.49967 .49438 L
.4992 .49394 L
.49815 .49278 L
.49759 .49216 L
.49678 .49117 L
.49599 .49057 L
.49547 .48957 L
.49438 .4883 L
.49406 .48796 L
.49296 .48636 L
.49278 .48612 L
.49178 .48475 L
.49117 .48394 L
.49061 .48314 L
.48957 .4817 L
.48933 .48154 L
.48845 .47993 L
.48796 .47912 L
.48758 .47833 L
F
0 .29 1 r
.48796 .48385 m
.48873 .48475 L
.48957 .4857 L
.49006 .48636 L
.49117 .48779 L
.49129 .48796 L
.49117 .48914 L
.49014 .48796 L
.48957 .48734 L
.48883 .48636 L
.48796 .48526 L
.48762 .48475 L
F
0 .28 1 r
.48796 .48394 m
.48866 .48475 L
.48957 .48577 L
.49001 .48636 L
.49117 .48787 L
.49123 .48796 L
.49117 .48904 L
.49022 .48796 L
.48957 .48726 L
.48889 .48636 L
.48796 .48518 L
.48768 .48475 L
F
1 .69 0 r
.48796 .47762 m
.48902 .47833 L
.48957 .47875 L
.49077 .47993 L
.49117 .48033 L
.49227 .48154 L
.49278 .48209 L
.49367 .48314 L
.49438 .48379 L
.49501 .48475 L
.49599 .48591 L
.4964 .48636 L
.49755 .48796 L
.49759 .48802 L
.49875 .48957 L
.4992 .49018 L
.49991 .49117 L
.5008 .49249 L
.50114 .49278 L
.50188 .49438 L
.5008 .49531 L
.49974 .49438 L
.4992 .49388 L
.4982 .49278 L
.49759 .49211 L
.49682 .49117 L
.49599 .49052 L
.4955 .48957 L
.49438 .48825 L
.4941 .48796 L
.493 .48636 L
.49278 .48607 L
.49181 .48475 L
.49117 .48389 L
.49064 .48314 L
.48957 .48164 L
.48942 .48154 L
.48851 .47993 L
.48796 .47898 L
.48768 .47833 L
F
0 .27 1 r
.48796 .48404 m
.48857 .48475 L
.48957 .48585 L
.48995 .48636 L
.48957 .48718 L
.48896 .48636 L
.48796 .48509 L
.48774 .48475 L
F
1 .68 0 r
.48796 .47782 m
.48887 .47833 L
.48957 .47884 L
.4907 .47993 L
.49117 .4804 L
.49221 .48154 L
.49278 .48215 L
.49362 .48314 L
.49438 .48384 L
.49497 .48475 L
.49599 .48597 L
.49635 .48636 L
.4975 .48796 L
.49759 .48807 L
.4987 .48957 L
.4992 .49024 L
.49986 .49117 L
.5008 .49257 L
.50105 .49278 L
.5018 .49438 L
.5008 .49522 L
.49981 .49438 L
.4992 .49382 L
.49825 .49278 L
.49759 .49206 L
.49686 .49117 L
.49599 .49047 L
.49553 .48957 L
.49438 .4882 L
.49415 .48796 L
.49303 .48636 L
.49278 .48603 L
.49185 .48475 L
.49117 .48384 L
.49068 .48314 L
.48957 .48158 L
.48951 .48154 L
.48858 .47993 L
.48796 .47881 L
.48779 .47833 L
F
0 .26 1 r
.48796 .48416 m
.48848 .48475 L
.48957 .48593 L
.48988 .48636 L
.48957 .48709 L
.48903 .48636 L
.48796 .48499 L
.48781 .48475 L
F
0 .25 1 r
.48796 .48432 m
.48835 .48475 L
.48957 .48603 L
.48981 .48636 L
.48957 .48698 L
.48912 .48636 L
.48796 .48487 L
.48789 .48475 L
F
.061 .91 1 r
.48796 .50413 m
.48957 .50528 L
.48989 .50562 L
.49117 .50678 L
.49136 .50722 L
.4927 .50883 L
.49278 .50892 L
.49393 .51043 L
.49438 .511 L
.49513 .51204 L
.49599 .51316 L
.49632 .51364 L
.49747 .51525 L
.49759 .51543 L
.49843 .51686 L
.49759 .51763 L
.49678 .51686 L
.49599 .51607 L
.49523 .51525 L
.49438 .51482 L
.4938 .51364 L
.49278 .51251 L
.4922 .51204 L
.4912 .51043 L
.49117 .5104 L
.48999 .50883 L
.48957 .50824 L
.48886 .50722 L
.48796 .50573 L
.48789 .50562 L
F
1 .67 0 r
.48796 .47811 m
.48867 .47833 L
.48957 .47893 L
.49062 .47993 L
.49117 .48046 L
.49216 .48154 L
.49278 .48221 L
.49358 .48314 L
.49438 .4839 L
.49493 .48475 L
.49599 .48602 L
.4963 .48636 L
.49746 .48796 L
.49759 .48813 L
.49866 .48957 L
.4992 .4903 L
.49982 .49117 L
.5008 .49265 L
.50096 .49278 L
.50172 .49438 L
.5008 .49513 L
.49989 .49438 L
.4992 .49376 L
.4983 .49278 L
.49759 .49202 L
.49689 .49117 L
.49599 .49042 L
.49557 .48957 L
.49438 .48814 L
.49421 .48796 L
.49307 .48636 L
.49278 .48598 L
.49188 .48475 L
.49117 .48379 L
.49072 .48314 L
.48959 .48154 L
.48957 .48151 L
.48865 .47993 L
.48796 .47853 L
.48791 .47833 L
F
.395 .97 1 r
.48796 .4719 m
.4891 .47191 L
.48957 .47206 L
.49117 .47307 L
.49176 .47351 L
.49278 .47456 L
.49321 .47512 L
.49438 .47632 L
.4945 .47672 L
.49599 .47821 L
.49608 .47833 L
.49745 .47993 L
.49759 .48023 L
.49862 .48154 L
.4992 .48236 L
.4997 .48314 L
.5008 .48453 L
.50123 .48475 L
.50241 .48629 L
.50246 .48636 L
.5037 .48796 L
.50401 .48839 L
.50479 .48957 L
.50562 .49054 L
.50576 .49117 L
.50722 .49264 L
.50738 .49278 L
.50863 .49438 L
.50883 .49475 L
.50967 .49599 L
.51043 .49708 L
.51062 .49759 L
.51095 .4992 L
.51043 .49936 L
.50883 .49933 L
.50846 .4992 L
.50722 .49846 L
.50643 .49759 L
.50562 .4967 L
.50485 .49599 L
.50401 .49471 L
.50374 .49438 L
.50251 .49278 L
.50241 .49274 L
.50128 .49117 L
.5008 .49072 L
.49965 .48957 L
.4992 .48857 L
.4987 .48796 L
.49759 .48641 L
.49756 .48636 L
.49635 .48475 L
.49599 .48428 L
.49514 .48314 L
.49438 .48249 L
.49372 .48154 L
.49278 .48009 L
.49268 .47993 L
.49152 .47833 L
.49117 .47786 L
.49036 .47672 L
.48957 .4756 L
.48897 .47512 L
.48824 .47351 L
.48796 .47293 L
.48795 .47191 L
F
1 .98 .538 r
.48957 .50022 m
.49117 .50022 L
.49237 .5008 L
.49278 .50114 L
.49381 .50241 L
.49438 .50307 L
.49531 .50401 L
.49599 .50513 L
.49638 .50562 L
.49759 .50722 L
.49759 .50722 L
.49881 .50883 L
.4992 .50919 L
.50042 .51043 L
.5008 .51133 L
.50139 .51204 L
.50241 .51348 L
.50252 .51364 L
.50374 .51525 L
.50401 .5156 L
.50496 .51686 L
.50562 .51736 L
.50641 .51846 L
.50722 .51969 L
.50746 .52007 L
.50864 .52167 L
.50883 .52191 L
.50984 .52328 L
.51043 .52407 L
.51141 .52488 L
.51204 .52624 L
.51229 .52649 L
.51326 .52809 L
.51204 .52943 L
.51043 .52894 L
.50895 .52809 L
.50883 .52775 L
.50765 .52649 L
.50722 .52608 L
.50642 .52488 L
.50562 .52418 L
.50488 .52328 L
.50401 .52218 L
.5036 .52167 L
.50241 .52012 L
.50236 .52007 L
.50116 .51846 L
.5008 .51793 L
.50014 .51686 L
.4992 .51562 L
.49859 .51525 L
.49759 .51393 L
.49737 .51364 L
.49615 .51204 L
.49599 .51181 L
.49506 .51043 L
.49438 .50965 L
.49416 .50883 L
.49278 .50752 L
.49244 .50722 L
.49123 .50562 L
.49117 .50553 L
.4901 .50401 L
.48957 .50336 L
.48914 .50241 L
.48797 .5008 L
F
.045 .9 1 r
.48957 .50552 m
.48966 .50562 L
.49117 .50712 L
.49122 .50722 L
.49255 .50883 L
.49278 .5091 L
.49379 .51043 L
.49438 .51118 L
.49499 .51204 L
.49599 .51335 L
.49618 .51364 L
.49725 .51525 L
.49759 .51578 L
.49808 .51686 L
.49759 .51721 L
.49717 .51686 L
.49599 .51578 L
.49548 .51525 L
.49438 .51447 L
.49402 .51364 L
.49278 .51222 L
.49254 .51204 L
.49139 .51043 L
.49117 .51015 L
.49018 .50883 L
.48957 .50795 L
.48907 .50722 L
.48823 .50562 L
F
0 .74 1 r
.48957 .43013 m
.4896 .43017 L
.4911 .43178 L
.49117 .43185 L
.49251 .43338 L
.49278 .43367 L
.49389 .43499 L
.49438 .43553 L
.49526 .43659 L
.49599 .43744 L
.49661 .4382 L
.49759 .43926 L
.49838 .4398 L
.4992 .44131 L
.49929 .44141 L
.50056 .44301 L
.5008 .4433 L
.50185 .44462 L
.50241 .44501 L
.50315 .44622 L
.50401 .44722 L
.50465 .44783 L
.50562 .44931 L
.50573 .44943 L
.50698 .45104 L
.50722 .45134 L
.50824 .45265 L
.50883 .45321 L
.51004 .45425 L
.51043 .45537 L
.51087 .45586 L
.51204 .45746 L
.51204 .45746 L
.51328 .45907 L
.51364 .45925 L
.51453 .46067 L
.51525 .46148 L
.51602 .46228 L
.51686 .46363 L
.51706 .46388 L
.51827 .46549 L
.51846 .46572 L
.5195 .46709 L
.52007 .46759 L
.52124 .4687 L
.52167 .46982 L
.52209 .4703 L
.52323 .47191 L
.52328 .47196 L
.52445 .47351 L
.52488 .47367 L
.52568 .47512 L
.52649 .47602 L
.52713 .47672 L
.52809 .47823 L
.52817 .47833 L
.52937 .47993 L
.5297 .48035 L
.53059 .48154 L
.5313 .4822 L
.53223 .48314 L
.53291 .48452 L
.5331 .48475 L
.53425 .48636 L
.53451 .48669 L
.53545 .48796 L
.53612 .48882 L
.53667 .48957 L
.53772 .49085 L
.538 .49117 L
.53909 .49278 L
.53933 .49308 L
.54027 .49438 L
.54093 .49524 L
.54147 .49599 L
.54254 .49725 L
.54284 .49759 L
.54386 .4992 L
.54414 .49957 L
.54501 .5008 L
.54575 .50178 L
.54618 .50241 L
.54735 .50399 L
.54737 .50401 L
.54846 .50562 L
.54896 .5063 L
.54955 .50722 L
.55057 .50866 L
.55067 .50883 L
.55057 .51036 L
.54911 .50883 L
.54896 .50868 L
.54766 .50722 L
.54735 .50689 L
.54626 .50562 L
.54575 .50505 L
.54487 .50401 L
.54414 .50367 L
.54351 .50241 L
.54254 .50133 L
.5418 .5008 L
.54093 .49931 L
.54082 .4992 L
.53953 .49759 L
.53933 .49735 L
.53822 .49599 L
.53772 .49557 L
.53692 .49438 L
.53612 .49343 L
.53547 .49278 L
.53451 .49137 L
.53435 .49117 L
.53307 .48957 L
.53291 .48936 L
.5318 .48796 L
.5313 .48744 L
.53013 .48636 L
.5297 .48533 L
.52921 .48475 L
.52809 .48326 L
.52802 .48314 L
.52674 .48154 L
.52649 .48137 L
.52548 .47993 L
.52488 .47923 L
.52407 .47833 L
.52328 .4771 L
.52299 .47672 L
.52174 .47512 L
.52167 .47504 L
.5205 .47351 L
.52007 .47309 L
.5189 .47191 L
.51846 .47092 L
.51796 .4703 L
.51686 .4688 L
.51679 .4687 L
.51554 .46709 L
.51525 .46694 L
.51431 .46549 L
.51364 .46472 L
.51292 .46388 L
.51204 .46255 L
.51184 .46228 L
.51062 .46067 L
.51043 .46043 L
.5094 .45907 L
.50883 .45852 L
.50784 .45746 L
.50722 .45626 L
.50691 .45586 L
.50574 .45425 L
.50562 .45409 L
.50454 .45265 L
.50401 .45237 L
.50332 .45104 L
.50241 .44993 L
.502 .44943 L
.50091 .44783 L
.5008 .44769 L
.49973 .44622 L
.4992 .44553 L
.49853 .44462 L
.49759 .44354 L
.49714 .44301 L
.49616 .44141 L
.49599 .44118 L
.49501 .4398 L
.49438 .43897 L
.49384 .4382 L
.49278 .43674 L
.49267 .43659 L
.49157 .43499 L
.49117 .43444 L
.49048 .43338 L
.48957 .43208 L
.48938 .43178 L
.48844 .43017 L
F
1 .97 .395 r
.48957 .50042 m
.49117 .50046 L
.49199 .5008 L
.49278 .50135 L
.49369 .50241 L
.49438 .50318 L
.49523 .50401 L
.49599 .50521 L
.49632 .50562 L
.49755 .50722 L
.49759 .50724 L
.49877 .50883 L
.4992 .50923 L
.50039 .51043 L
.5008 .51138 L
.50135 .51204 L
.50241 .51353 L
.50248 .51364 L
.5037 .51525 L
.50401 .51565 L
.50491 .51686 L
.50562 .51743 L
.50635 .51846 L
.50722 .51979 L
.50739 .52007 L
.50857 .52167 L
.50883 .52202 L
.50974 .52328 L
.51043 .52422 L
.51124 .52488 L
.51202 .52649 L
.51204 .52651 L
.51276 .52809 L
.51204 .52884 L
.51043 .52834 L
.50954 .52809 L
.50883 .52726 L
.50801 .52649 L
.50722 .52571 L
.50669 .52488 L
.50562 .52391 L
.50508 .52328 L
.50401 .52197 L
.50377 .52167 L
.50247 .52007 L
.50241 .51994 L
.50128 .51846 L
.5008 .51777 L
.50024 .51686 L
.4992 .51552 L
.49868 .51525 L
.49759 .51382 L
.49745 .51364 L
.49623 .51204 L
.49599 .51171 L
.49514 .51043 L
.49438 .50955 L
.49422 .50883 L
.49278 .50744 L
.49253 .50722 L
.4913 .50562 L
.49117 .50539 L
.49022 .50401 L
.48957 .50315 L
.48928 .50241 L
.48848 .5008 L
F
.289 .96 1 r
.48957 .47248 m
.49117 .47345 L
.49128 .47351 L
.49278 .47485 L
.493 .47512 L
.49438 .47654 L
.49443 .47672 L
.49593 .47833 L
.49599 .4784 L
.49736 .47993 L
.49759 .4804 L
.49852 .48154 L
.4992 .48249 L
.49962 .48314 L
.5008 .4846 L
.50115 .48475 L
.5024 .48636 L
.50241 .48639 L
.50363 .48796 L
.50401 .48849 L
.50472 .48957 L
.50562 .49063 L
.50572 .49117 L
.50722 .49271 L
.50729 .49278 L
.50856 .49438 L
.50883 .49489 L
.50956 .49599 L
.51043 .49734 L
.51052 .49759 L
.51043 .4991 L
.50883 .49913 L
.50722 .49829 L
.50655 .49759 L
.50562 .4966 L
.50494 .49599 L
.50401 .49464 L
.5038 .49438 L
.50256 .49278 L
.50241 .49272 L
.50132 .49117 L
.5008 .49068 L
.49969 .48957 L
.4992 .48851 L
.49874 .48796 L
.49759 .48636 L
.49759 .48635 L
.4964 .48475 L
.49599 .48422 L
.49518 .48314 L
.49438 .48241 L
.49378 .48154 L
.49278 .47998 L
.49275 .47993 L
.4916 .47833 L
.49117 .47774 L
.49047 .47672 L
.48957 .47541 L
.48921 .47512 L
.48853 .47351 L
F
1 .88 .024 r
.48957 .42361 m
.48971 .42375 L
.49117 .42506 L
.49134 .42536 L
.49278 .42689 L
.49291 .42696 L
.49426 .42857 L
.49438 .42869 L
.49566 .43017 L
.49599 .43054 L
.49704 .43178 L
.49759 .4323 L
.4984 .43338 L
.4992 .43432 L
.49991 .43499 L
.5008 .4363 L
.50106 .43659 L
.50237 .4382 L
.50241 .43822 L
.50368 .4398 L
.50401 .44018 L
.50533 .44141 L
.50562 .44222 L
.50631 .44301 L
.50722 .44427 L
.50747 .44462 L
.50882 .44622 L
.50883 .44623 L
.51009 .44783 L
.51043 .44825 L
.5115 .44943 L
.51204 .45033 L
.51259 .45104 L
.51364 .4524 L
.51376 .45265 L
.51514 .45425 L
.51525 .45437 L
.51665 .45586 L
.51686 .45644 L
.51769 .45746 L
.51846 .45855 L
.5188 .45907 L
.52007 .4606 L
.52015 .46067 L
.52139 .46228 L
.52167 .46261 L
.52277 .46388 L
.52328 .46472 L
.52385 .46549 L
.52488 .46682 L
.525 .46709 L
.52636 .4687 L
.52649 .46882 L
.52785 .4703 L
.52809 .47091 L
.52889 .47191 L
.5297 .47304 L
.53 .47351 L
.5313 .4751 L
.53132 .47512 L
.53255 .47672 L
.53291 .47712 L
.53394 .47833 L
.53451 .47926 L
.53501 .47993 L
.53612 .48137 L
.53619 .48154 L
.53749 .48314 L
.53772 .48336 L
.53901 .48475 L
.53933 .48548 L
.54002 .48636 L
.54093 .48762 L
.54114 .48796 L
.54242 .48957 L
.54254 .48962 L
.54364 .49117 L
.54414 .49171 L
.54504 .49278 L
.54575 .49388 L
.54611 .49438 L
.54735 .49599 L
.54735 .496 L
.54856 .49759 L
.54896 .49793 L
.55011 .4992 L
.55057 .50013 L
.55109 .5008 L
.55217 .50229 L
.55224 .50241 L
.55346 .50401 L
.55378 .50412 L
.55468 .50562 L
.55538 .50638 L
.55608 .50722 L
.55699 .5086 L
.55715 .50883 L
.55835 .51043 L
.55859 .51074 L
.55956 .51204 L
.5602 .51261 L
.56109 .51364 L
.5618 .51491 L
.56206 .51525 L
.56321 .51686 L
.56341 .5171 L
.56441 .51846 L
.56501 .51924 L
.56562 .52007 L
.56662 .52127 L
.56693 .52167 L
.56803 .52328 L
.56822 .52352 L
.56921 .52488 L
.56983 .52569 L
.5704 .52649 L
.57143 .52771 L
.57173 .52809 L
.57277 .5297 L
.57304 .53005 L
.57391 .5313 L
.57464 .53228 L
.57507 .53291 L
.57625 .53451 L
.57625 .53452 L
.57731 .53612 L
.57785 .53689 L
.57837 .53772 L
.57945 .53933 L
.57785 .5394 L
.57781 .53933 L
.57629 .53772 L
.57625 .53768 L
.57484 .53612 L
.57464 .53591 L
.57342 .53451 L
.57304 .53408 L
.57203 .53291 L
.57143 .5323 L
.57065 .5313 L
.56983 .53031 L
.5692 .5297 L
.56822 .52835 L
.56801 .52809 L
.56666 .52649 L
.56662 .52646 L
.56534 .52488 L
.56501 .52449 L
.56379 .52328 L
.56341 .52246 L
.56275 .52167 L
.5618 .52042 L
.56158 .52007 L
.5602 .51847 L
.56017 .51846 L
.55889 .51686 L
.55859 .51647 L
.55755 .51525 L
.55699 .51439 L
.55644 .51364 L
.55538 .51232 L
.55529 .51204 L
.55382 .51043 L
.55378 .51038 L
.55242 .50883 L
.55217 .50831 L
.55133 .50722 L
.55057 .5062 L
.55023 .50562 L
.54896 .50413 L
.5488 .50401 L
.54755 .50241 L
.54735 .50216 L
.54625 .5008 L
.54575 .50005 L
.54516 .4992 L
.54414 .49793 L
.54405 .49759 L
.54257 .49599 L
.54254 .49595 L
.5412 .49438 L
.54093 .49386 L
.54011 .49278 L
.53933 .49174 L
.53901 .49117 L
.53772 .48966 L
.53761 .48957 L
.53615 .48796 L
.53612 .48765 L
.53507 .48636 L
.53451 .48553 L
.53398 .48475 L
.53291 .48341 L
.53285 .48314 L
.53143 .48154 L
.5313 .48141 L
.53003 .47993 L
.5297 .4793 L
.52897 .47833 L
.52809 .47717 L
.52785 .47672 L
.5265 .47512 L
.52649 .47511 L
.52496 .47351 L
.52488 .47306 L
.52395 .47191 L
.52328 .47092 L
.52287 .4703 L
.52167 .4688 L
.52165 .4687 L
.52036 .46709 L
.52007 .46682 L
.51892 .46549 L
.51846 .46466 L
.51788 .46388 L
.51686 .46251 L
.51673 .46228 L
.51546 .46067 L
.51525 .46056 L
.51383 .45907 L
.51364 .4584 L
.5129 .45746 L
.51204 .45621 L
.51181 .45586 L
.51057 .45425 L
.51043 .45407 L
.50936 .45265 L
.50883 .45215 L
.50791 .45104 L
.50722 .44989 L
.50689 .44943 L
.50571 .44783 L
.50562 .44771 L
.50452 .44622 L
.50401 .44593 L
.50286 .44462 L
.50241 .44354 L
.50201 .44301 L
.5009 .44141 L
.5008 .44128 L
.49972 .4398 L
.4992 .43911 L
.49853 .4382 L
.49759 .43711 L
.4972 .43659 L
.49617 .43499 L
.49599 .43475 L
.49503 .43338 L
.49438 .43251 L
.49387 .43178 L
.49278 .43027 L
.49264 .43017 L
.49163 .42857 L
.49117 .42792 L
.49056 .42696 L
.48957 .42549 L
.48949 .42536 L
.48868 .42375 L
F
1 .66 0 r
.48957 .47903 m
.49054 .47993 L
.49117 .48054 L
.4921 .48154 L
.49278 .48227 L
.49353 .48314 L
.49438 .48395 L
.49488 .48475 L
.49599 .48608 L
.49625 .48636 L
.49742 .48796 L
.49759 .48818 L
.49862 .48957 L
.4992 .49036 L
.49977 .49117 L
.5008 .49273 L
.50086 .49278 L
.50163 .49438 L
.5008 .49504 L
.49998 .49438 L
.4992 .4937 L
.49835 .49278 L
.49759 .49197 L
.49693 .49117 L
.49599 .49036 L
.4956 .48957 L
.49438 .48809 L
.49426 .48796 L
.4931 .48636 L
.49278 .48594 L
.49192 .48475 L
.49117 .48374 L
.49076 .48314 L
.48964 .48154 L
.48957 .48143 L
.48872 .47993 L
F
1 .65 0 r
.48957 .47913 m
.49045 .47993 L
.49117 .48061 L
.49204 .48154 L
.49278 .48233 L
.49348 .48314 L
.49438 .48401 L
.49484 .48475 L
.49599 .48614 L
.4962 .48636 L
.49738 .48796 L
.49759 .48824 L
.49858 .48957 L
.4992 .49042 L
.49973 .49117 L
.50078 .49278 L
.5008 .49282 L
.50153 .49438 L
.5008 .49494 L
.50007 .49438 L
.4992 .49363 L
.4984 .49278 L
.49759 .49192 L
.49697 .49117 L
.49599 .4903 L
.49563 .48957 L
.49438 .48803 L
.49431 .48796 L
.49314 .48636 L
.49278 .48589 L
.49196 .48475 L
.49117 .48369 L
.49079 .48314 L
.4897 .48154 L
.48957 .48134 L
.4888 .47993 L
F
1 .64 0 r
.48957 .47924 m
.49036 .47993 L
.49117 .48068 L
.49198 .48154 L
.49278 .48239 L
.49343 .48314 L
.49438 .48408 L
.4948 .48475 L
.49599 .4862 L
.49614 .48636 L
.49734 .48796 L
.49759 .48829 L
.49854 .48957 L
.4992 .49048 L
.49968 .49117 L
.50071 .49278 L
.5008 .49294 L
.50142 .49438 L
.5008 .49483 L
.50017 .49438 L
.4992 .49357 L
.49845 .49278 L
.49759 .49187 L
.49701 .49117 L
.49599 .49024 L
.49567 .48957 L
.49438 .48797 L
.49437 .48796 L
.49317 .48636 L
.49278 .48584 L
.49199 .48475 L
.49117 .48364 L
.49083 .48314 L
.48975 .48154 L
.48957 .48125 L
.48888 .47993 L
F
.212 .95 1 r
.48957 .47292 m
.49077 .47351 L
.49117 .47376 L
.49277 .47512 L
.49278 .47512 L
.49435 .47672 L
.49438 .47676 L
.49579 .47833 L
.49599 .47858 L
.49728 .47993 L
.49759 .48055 L
.49843 .48154 L
.4992 .4826 L
.49955 .48314 L
.5008 .48465 L
.50106 .48475 L
.50239 .48636 L
.50241 .48648 L
.50357 .48796 L
.50401 .48858 L
.50465 .48957 L
.50562 .49072 L
.50569 .49117 L
.50721 .49278 L
.50722 .4928 L
.50849 .49438 L
.50883 .49504 L
.50945 .49599 L
.5104 .49759 L
.50883 .49894 L
.50722 .49813 L
.50668 .49759 L
.50562 .49649 L
.50503 .49599 L
.50401 .49456 L
.50386 .49438 L
.50261 .49278 L
.50241 .4927 L
.50137 .49117 L
.5008 .49063 L
.49974 .48957 L
.4992 .48845 L
.49879 .48796 L
.49764 .48636 L
.49759 .4863 L
.49644 .48475 L
.49599 .48416 L
.49523 .48314 L
.49438 .48231 L
.49385 .48154 L
.49282 .47993 L
.49278 .47988 L
.49169 .47833 L
.49117 .47761 L
.49057 .47672 L
.48957 .47519 L
.48948 .47512 L
.4889 .47351 L
F
1 .63 0 r
.48957 .47935 m
.49025 .47993 L
.49117 .48076 L
.49191 .48154 L
.49278 .48245 L
.49338 .48314 L
.49438 .48414 L
.49475 .48475 L
.49599 .48626 L
.49608 .48636 L
.49729 .48796 L
.49759 .48835 L
.49849 .48957 L
.4992 .49055 L
.49963 .49117 L
.50064 .49278 L
.5008 .49307 L
.5013 .49438 L
.5008 .49472 L
.50029 .49438 L
.4992 .4935 L
.49851 .49278 L
.49759 .49181 L
.49705 .49117 L
.49599 .49017 L
.4957 .48957 L
.49441 .48796 L
.49438 .48792 L
.49321 .48636 L
.49278 .48579 L
.49203 .48475 L
.49117 .48358 L
.49087 .48314 L
.48982 .48154 L
.48957 .48114 L
.48898 .47993 L
F
1 .96 .289 r
.48957 .50063 m
.49117 .50067 L
.49155 .5008 L
.49278 .50154 L
.49357 .50241 L
.49438 .50329 L
.49515 .50401 L
.49599 .50529 L
.49626 .50562 L
.49749 .50722 L
.49759 .50726 L
.49872 .50883 L
.4992 .50927 L
.50035 .51043 L
.5008 .51143 L
.5013 .51204 L
.50241 .51359 L
.50245 .51364 L
.50365 .51525 L
.50401 .51571 L
.50487 .51686 L
.50562 .5175 L
.50629 .51846 L
.50722 .5199 L
.50733 .52007 L
.50848 .52167 L
.50883 .52213 L
.50964 .52328 L
.51043 .52439 L
.51104 .52488 L
.51177 .52649 L
.51043 .52788 L
.50883 .52686 L
.50837 .52649 L
.50722 .52539 L
.50689 .52488 L
.50562 .52366 L
.50528 .52328 L
.50401 .52177 L
.50393 .52167 L
.50257 .52007 L
.50241 .51975 L
.50139 .51846 L
.5008 .51762 L
.50033 .51686 L
.4992 .51543 L
.49877 .51525 L
.49759 .51371 L
.49754 .51364 L
.4963 .51204 L
.49599 .51161 L
.49522 .51043 L
.49438 .50946 L
.49426 .50883 L
.49278 .50736 L
.49262 .50722 L
.49137 .50562 L
.49117 .50525 L
.49034 .50401 L
.48957 .50292 L
.48939 .50241 L
.48904 .5008 L
F
1 .62 0 r
.48957 .47948 m
.49014 .47993 L
.49117 .48083 L
.49185 .48154 L
.49278 .48251 L
.49333 .48314 L
.49438 .48421 L
.4947 .48475 L
.49599 .48632 L
.49602 .48636 L
.49725 .48796 L
.49759 .48841 L
.49845 .48957 L
.4992 .49061 L
.49958 .49117 L
.50057 .49278 L
.5008 .49322 L
.50116 .49438 L
.5008 .49459 L
.50044 .49438 L
.4992 .49343 L
.49857 .49278 L
.49759 .49176 L
.4971 .49117 L
.49599 .4901 L
.49574 .48957 L
.49445 .48796 L
.49438 .48788 L
.49325 .48636 L
.49278 .48574 L
.49207 .48475 L
.49117 .48352 L
.49092 .48314 L
.48988 .48154 L
.48957 .48103 L
.48908 .47993 L
F
1 .61 0 r
.48957 .47962 m
.49 .47993 L
.49117 .48091 L
.49178 .48154 L
.49278 .48258 L
.49327 .48314 L
.49438 .48428 L
.49466 .48475 L
.49597 .48636 L
.49599 .48638 L
.4972 .48796 L
.49759 .48846 L
.4984 .48957 L
.4992 .49068 L
.49953 .49117 L
.5005 .49278 L
.5008 .49341 L
.50095 .49438 L
.5008 .49445 L
.50065 .49438 L
.4992 .49336 L
.49863 .49278 L
.49759 .49171 L
.49714 .49117 L
.49599 .49003 L
.49577 .48957 L
.49449 .48796 L
.49438 .48783 L
.49329 .48636 L
.49278 .48569 L
.49211 .48475 L
.49117 .48346 L
.49096 .48314 L
.48995 .48154 L
.48957 .48088 L
.48921 .47993 L
F
0 .24 1 r
.48957 .48614 m
.48972 .48636 L
.48957 .48685 L
.48922 .48636 L
F
0 .67 1 r
.48957 .44334 m
.4905 .44462 L
.49117 .44541 L
.49175 .44622 L
.49278 .44747 L
.49303 .44783 L
.49278 .44918 L
.49177 .44783 L
.49117 .44712 L
.49051 .44622 L
.48957 .44506 L
.48924 .44462 L
F
1 .62 0 r
.48957 .43663 m
.49086 .4382 L
.49117 .43853 L
.49219 .4398 L
.49278 .44047 L
.49352 .44141 L
.49438 .44242 L
.49485 .44301 L
.49599 .44439 L
.49617 .44462 L
.49745 .44622 L
.49759 .44639 L
.4987 .44783 L
.4992 .44842 L
.49997 .44943 L
.5008 .45045 L
.50125 .45104 L
.50241 .45238 L
.50253 .45265 L
.50377 .45425 L
.50401 .45454 L
.505 .45586 L
.50562 .45662 L
.50625 .45746 L
.50722 .45868 L
.50751 .45907 L
.50876 .46067 L
.50883 .46076 L
.50996 .46228 L
.51043 .46287 L
.51118 .46388 L
.51204 .46498 L
.51241 .46549 L
.51364 .46706 L
.51366 .46709 L
.51483 .4687 L
.51525 .46923 L
.51602 .4703 L
.51686 .47138 L
.51723 .47191 L
.51846 .47351 L
.51846 .47352 L
.51958 .47512 L
.52007 .47575 L
.52073 .47672 L
.52167 .47797 L
.52191 .47833 L
.52167 .47988 L
.52036 .47833 L
.52007 .47801 L
.51901 .47672 L
.51846 .4761 L
.51767 .47512 L
.51686 .47416 L
.51634 .47351 L
.51525 .47243 L
.51502 .47191 L
.51373 .4703 L
.51364 .4702 L
.51246 .4687 L
.51204 .46819 L
.51118 .46709 L
.51043 .46617 L
.5099 .46549 L
.50883 .46426 L
.50835 .46388 L
.50737 .46228 L
.50722 .46209 L
.50613 .46067 L
.50562 .46003 L
.50488 .45907 L
.50401 .45838 L
.50363 .45746 L
.50241 .4559 L
.50237 .45586 L
.50117 .45425 L
.5008 .45378 L
.49995 .45265 L
.4992 .45168 L
.49872 .45104 L
.49759 .44965 L
.49736 .44943 L
.4963 .44783 L
.49599 .44743 L
.49511 .44622 L
.49438 .44528 L
.4939 .44462 L
.49278 .44312 L
.4927 .44301 L
.49156 .44141 L
.49117 .4409 L
.49041 .4398 L
.48957 .43866 L
.48925 .4382 L
F
.033 .89 1 r
.48957 .50586 m
.491 .50722 L
.49117 .5074 L
.49237 .50883 L
.49278 .50931 L
.49362 .51043 L
.49438 .51139 L
.49484 .51204 L
.49599 .51359 L
.49602 .51364 L
.49694 .51525 L
.49599 .51544 L
.4958 .51525 L
.49438 .51395 L
.49426 .51364 L
.49288 .51204 L
.49278 .51192 L
.4916 .51043 L
.49117 .50988 L
.49039 .50883 L
.48957 .5076 L
.48932 .50722 L
F
1 .52 0 r
.48957 .53458 m
.49076 .53612 L
.49117 .5366 L
.49203 .53772 L
.49278 .53863 L
.49331 .53933 L
.49438 .54066 L
.49459 .54093 L
.49582 .54254 L
.49599 .54274 L
.49702 .54414 L
.49759 .54484 L
.49825 .54575 L
.4992 .54695 L
.49949 .54735 L
.4992 .54887 L
.49804 .54735 L
.49759 .54683 L
.49679 .54575 L
.49599 .5448 L
.49551 .54414 L
.49438 .54276 L
.49422 .54254 L
.49299 .54093 L
.49278 .54068 L
.4918 .53933 L
.49117 .53857 L
.49057 .53772 L
.48957 .53646 L
.48932 .53612 L
F
1 .61 0 r
.48957 .43676 m
.49076 .4382 L
.49117 .43863 L
.49211 .4398 L
.49278 .44055 L
.49345 .44141 L
.49438 .44249 L
.49479 .44301 L
.49599 .44446 L
.49611 .44462 L
.49739 .44622 L
.49759 .44646 L
.49865 .44783 L
.4992 .44848 L
.49993 .44943 L
.5008 .45051 L
.50121 .45104 L
.50241 .45247 L
.50249 .45265 L
.50373 .45425 L
.50401 .4546 L
.50496 .45586 L
.50562 .45667 L
.50621 .45746 L
.50722 .45873 L
.50747 .45907 L
.50871 .46067 L
.50883 .46082 L
.50991 .46228 L
.51043 .46293 L
.51113 .46388 L
.51204 .46503 L
.51237 .46549 L
.51361 .46709 L
.51364 .46713 L
.51478 .4687 L
.51525 .46929 L
.51597 .4703 L
.51686 .47144 L
.51718 .47191 L
.51839 .47351 L
.51846 .4736 L
.51951 .47512 L
.52007 .47584 L
.52066 .47672 L
.52167 .47808 L
.52183 .47833 L
.52167 .47975 L
.52047 .47833 L
.52007 .4779 L
.5191 .47672 L
.51846 .47601 L
.51774 .47512 L
.51686 .47408 L
.5164 .47351 L
.51525 .4723 L
.51508 .47191 L
.51379 .4703 L
.51364 .47013 L
.51252 .4687 L
.51204 .46812 L
.51123 .46709 L
.51043 .46611 L
.50995 .46549 L
.50883 .46417 L
.50845 .46388 L
.50743 .46228 L
.50722 .46203 L
.50618 .46067 L
.50562 .45997 L
.50493 .45907 L
.50401 .45829 L
.50367 .45746 L
.50243 .45586 L
.50241 .45583 L
.50122 .45425 L
.5008 .45372 L
.5 .45265 L
.4992 .45162 L
.49876 .45104 L
.49759 .44955 L
.49747 .44943 L
.49636 .44783 L
.49599 .44736 L
.49516 .44622 L
.49438 .4452 L
.49396 .44462 L
.49278 .44304 L
.49276 .44301 L
.49163 .44141 L
.49117 .4408 L
.49049 .4398 L
.48957 .43855 L
.48933 .4382 L
F
0 .66 1 r
.48957 .44351 m
.49036 .44462 L
.49117 .44557 L
.49163 .44622 L
.49278 .44761 L
.49293 .44783 L
.49278 .449 L
.49191 .44783 L
.49117 .44695 L
.49064 .44622 L
.48957 .4449 L
.48936 .44462 L
F
1 .6 0 r
.48957 .47979 m
.48981 .47993 L
.49117 .48099 L
.49171 .48154 L
.49278 .48264 L
.49322 .48314 L
.49438 .48436 L
.49461 .48475 L
.49592 .48636 L
.49599 .48644 L
.49716 .48796 L
.49759 .48852 L
.49836 .48957 L
.4992 .49075 L
.49948 .49117 L
.50042 .49278 L
.4992 .49329 L
.49869 .49278 L
.49759 .49165 L
.49718 .49117 L
.49599 .48995 L
.49581 .48957 L
.49453 .48796 L
.49438 .48778 L
.49333 .48636 L
.49278 .48564 L
.49215 .48475 L
.49117 .4834 L
.491 .48314 L
.49002 .48154 L
.48957 .4807 L
.48938 .47993 L
F
0 .23 1 r
.48957 .48628 m
.48962 .48636 L
.48957 .48666 L
.48938 .48636 L
F
0 .38 1 r
.48957 .54139 m
.4903 .54254 L
.49117 .54371 L
.49143 .54414 L
.49117 .54456 L
.49084 .54414 L
.48957 .54277 L
.48939 .54254 L
F
1 .51 0 r
.48957 .53469 m
.49067 .53612 L
.49117 .5367 L
.49195 .53772 L
.49278 .53872 L
.49324 .53933 L
.49438 .54075 L
.49452 .54093 L
.49574 .54254 L
.49599 .54283 L
.49694 .54414 L
.49759 .54494 L
.49818 .54575 L
.4992 .54705 L
.49942 .54735 L
.4992 .54877 L
.49813 .54735 L
.49759 .54674 L
.49686 .54575 L
.49599 .54471 L
.49557 .54414 L
.49438 .54268 L
.49428 .54254 L
.49307 .54093 L
.49278 .54059 L
.49187 .53933 L
.49117 .53847 L
.49064 .53772 L
.48957 .53637 L
.48939 .53612 L
F
1 .6 0 r
.48957 .43691 m
.49065 .4382 L
.49117 .43874 L
.49203 .4398 L
.49278 .44064 L
.49338 .44141 L
.49438 .44257 L
.49473 .44301 L
.49599 .44452 L
.49606 .44462 L
.49733 .44622 L
.49759 .44653 L
.4986 .44783 L
.4992 .44854 L
.49988 .44943 L
.5008 .45056 L
.50117 .45104 L
.50241 .45255 L
.50245 .45265 L
.50368 .45425 L
.50401 .45466 L
.50491 .45586 L
.50562 .45672 L
.50617 .45746 L
.50722 .45879 L
.50743 .45907 L
.50867 .46067 L
.50883 .46087 L
.50987 .46228 L
.51043 .46299 L
.51109 .46388 L
.51204 .46509 L
.51233 .46549 L
.51356 .46709 L
.51364 .4672 L
.51473 .4687 L
.51525 .46936 L
.51592 .4703 L
.51686 .47151 L
.51713 .47191 L
.51833 .47351 L
.51846 .47368 L
.51944 .47512 L
.52007 .47594 L
.52058 .47672 L
.52167 .4782 L
.52176 .47833 L
.52167 .47959 L
.52059 .47833 L
.52007 .47779 L
.51919 .47672 L
.51846 .47591 L
.51782 .47512 L
.51686 .47399 L
.51647 .47351 L
.51525 .47216 L
.51514 .47191 L
.51386 .4703 L
.51364 .47006 L
.51257 .4687 L
.51204 .46805 L
.51128 .46709 L
.51043 .46604 L
.51 .46549 L
.50883 .46408 L
.50857 .46388 L
.50748 .46228 L
.50722 .46197 L
.50623 .46067 L
.50562 .45991 L
.50497 .45907 L
.50401 .45819 L
.50372 .45746 L
.50248 .45586 L
.50241 .45576 L
.50127 .45425 L
.5008 .45366 L
.50005 .45265 L
.4992 .45155 L
.49881 .45104 L
.49759 .44945 L
.49758 .44943 L
.49641 .44783 L
.49599 .44728 L
.49522 .44622 L
.49438 .44512 L
.49402 .44462 L
.49283 .44301 L
.49278 .44295 L
.49171 .44141 L
.49117 .44069 L
.49057 .4398 L
.48957 .43842 L
.48942 .4382 L
F
1 .5 0 r
.48957 .53481 m
.49056 .53612 L
.49117 .53681 L
.49186 .53772 L
.49278 .53882 L
.49316 .53933 L
.49438 .54084 L
.49445 .54093 L
.49565 .54254 L
.49599 .54294 L
.49686 .54414 L
.49759 .54505 L
.4981 .54575 L
.4992 .54715 L
.49934 .54735 L
.4992 .54865 L
.49823 .54735 L
.49759 .54664 L
.49694 .54575 L
.49599 .54462 L
.49564 .54414 L
.49438 .5426 L
.49434 .54254 L
.49315 .54093 L
.49278 .54049 L
.49196 .53933 L
.49117 .53837 L
.49072 .53772 L
.48957 .53627 L
.48946 .53612 L
F
0 .37 1 r
.48957 .54151 m
.49019 .54254 L
.49117 .54389 L
.4913 .54414 L
.49117 .54438 L
.49099 .54414 L
.48957 .54267 L
.48946 .54254 L
F
0 .73 1 r
.48957 .43033 m
.49096 .43178 L
.49117 .43198 L
.49241 .43338 L
.49278 .43377 L
.49381 .43499 L
.49438 .43562 L
.49519 .43659 L
.49599 .43751 L
.49655 .4382 L
.49759 .43933 L
.49827 .4398 L
.4992 .44138 L
.49923 .44141 L
.50051 .44301 L
.5008 .44336 L
.50181 .44462 L
.50241 .44506 L
.50311 .44622 L
.50401 .44727 L
.50461 .44783 L
.50562 .44935 L
.50569 .44943 L
.50694 .45104 L
.50722 .45138 L
.50821 .45265 L
.50883 .45325 L
.51001 .45425 L
.51043 .45541 L
.51084 .45586 L
.51201 .45746 L
.51204 .4575 L
.51325 .45907 L
.51364 .45927 L
.5145 .46067 L
.51525 .46151 L
.51599 .46228 L
.51686 .46367 L
.51703 .46388 L
.51824 .46549 L
.51846 .46576 L
.51948 .46709 L
.52007 .46762 L
.52121 .4687 L
.52167 .46985 L
.52206 .4703 L
.52321 .47191 L
.52328 .47199 L
.52443 .47351 L
.52488 .47369 L
.52566 .47512 L
.52649 .47605 L
.5271 .47672 L
.52809 .47826 L
.52814 .47833 L
.52934 .47993 L
.5297 .48038 L
.53056 .48154 L
.5313 .48223 L
.5322 .48314 L
.53291 .48456 L
.53307 .48475 L
.53422 .48636 L
.53451 .48672 L
.53543 .48796 L
.53612 .48885 L
.53664 .48957 L
.53772 .4909 L
.53796 .49117 L
.53906 .49278 L
.53933 .49312 L
.54024 .49438 L
.54093 .49529 L
.54144 .49599 L
.54254 .49733 L
.54277 .49759 L
.54381 .4992 L
.54414 .49963 L
.54496 .5008 L
.54575 .50185 L
.54613 .50241 L
.54731 .50401 L
.54735 .50407 L
.54838 .50562 L
.54896 .50641 L
.54947 .50722 L
.55057 .50882 L
.55057 .50883 L
.55057 .51014 L
.54927 .50883 L
.54896 .50854 L
.54777 .50722 L
.54735 .50678 L
.54634 .50562 L
.54575 .50496 L
.54495 .50401 L
.54414 .50359 L
.54357 .50241 L
.54254 .50125 L
.5419 .5008 L
.54093 .49924 L
.54089 .4992 L
.53958 .49759 L
.53933 .49729 L
.53827 .49599 L
.53772 .49553 L
.53696 .49438 L
.53612 .49338 L
.53552 .49278 L
.53451 .49133 L
.53439 .49117 L
.53311 .48957 L
.53291 .48932 L
.53183 .48796 L
.5313 .4874 L
.53016 .48636 L
.5297 .48528 L
.52924 .48475 L
.52809 .48322 L
.52804 .48314 L
.52677 .48154 L
.52649 .48135 L
.52551 .47993 L
.52488 .47919 L
.5241 .47833 L
.52328 .47707 L
.52302 .47672 L
.52177 .47512 L
.52167 .475 L
.52052 .47351 L
.52007 .47306 L
.51892 .47191 L
.51846 .47089 L
.51799 .4703 L
.51686 .46877 L
.51681 .4687 L
.51557 .46709 L
.51525 .46692 L
.51434 .46549 L
.51364 .46469 L
.51295 .46388 L
.51204 .46251 L
.51187 .46228 L
.51065 .46067 L
.51043 .46039 L
.50943 .45907 L
.50883 .45848 L
.50787 .45746 L
.50722 .45622 L
.50694 .45586 L
.50577 .45425 L
.50562 .45405 L
.50457 .45265 L
.50401 .45233 L
.50336 .45104 L
.50241 .44988 L
.50204 .44943 L
.50095 .44783 L
.5008 .44764 L
.49977 .44622 L
.4992 .44548 L
.49857 .44462 L
.49759 .44346 L
.49721 .44301 L
.49621 .44141 L
.49599 .44112 L
.49506 .4398 L
.49438 .43889 L
.49389 .4382 L
.49278 .43666 L
.49273 .43659 L
.49165 .43499 L
.49117 .43432 L
.49057 .43338 L
.48957 .43192 L
.48948 .43178 L
F
1 .95 .212 r
.48957 .5009 m
.49117 .50087 L
.49278 .50171 L
.49345 .50241 L
.49438 .5034 L
.49507 .50401 L
.49599 .50536 L
.4962 .50562 L
.49744 .50722 L
.49759 .50728 L
.49868 .50883 L
.4992 .50932 L
.50031 .51043 L
.5008 .51149 L
.50126 .51204 L
.50241 .51364 L
.50241 .51365 L
.50361 .51525 L
.50401 .51577 L
.50482 .51686 L
.50562 .51759 L
.50622 .51846 L
.50722 .52001 L
.50726 .52007 L
.5084 .52167 L
.50883 .52226 L
.50954 .52328 L
.51043 .52458 L
.51081 .52488 L
.51147 .52649 L
.51043 .52747 L
.50883 .52649 L
.50882 .52649 L
.50722 .52511 L
.50707 .52488 L
.50562 .52343 L
.50548 .52328 L
.50408 .52167 L
.50401 .52158 L
.50265 .52007 L
.50241 .51959 L
.50149 .51846 L
.5008 .51749 L
.5004 .51686 L
.4992 .51537 L
.49885 .51525 L
.4976 .51364 L
.49759 .51361 L
.49637 .51204 L
.49599 .51151 L
.49529 .51043 L
.49438 .50937 L
.4943 .50883 L
.49278 .50728 L
.49271 .50722 L
.49144 .50562 L
.49117 .50511 L
.49045 .50401 L
.48957 .50266 L
.48949 .50241 L
F
.001 .77 1 r
.48957 .52815 m
.49092 .5297 L
.49117 .52996 L
.49231 .5313 L
.49278 .53182 L
.49367 .53291 L
.49438 .53373 L
.49502 .53451 L
.49599 .53567 L
.49636 .53612 L
.49759 .5376 L
.49775 .53772 L
.49895 .53933 L
.4992 .53962 L
.50024 .54093 L
.5008 .54162 L
.50153 .54254 L
.50241 .54338 L
.50282 .54414 L
.50401 .54564 L
.50412 .54575 L
.50534 .54735 L
.50562 .5477 L
.5066 .54896 L
.50722 .54975 L
.50786 .55057 L
.50883 .55169 L
.50935 .55217 L
.51035 .55378 L
.51043 .55388 L
.51158 .55538 L
.51204 .55596 L
.51282 .55699 L
.51364 .55774 L
.51406 .55859 L
.51525 .56013 L
.51531 .5602 L
.51649 .5618 L
.51686 .56227 L
.51771 .56341 L
.51846 .56439 L
.51892 .56501 L
.52007 .56648 L
.5202 .56662 L
.52131 .56822 L
.52167 .56869 L
.5225 .56983 L
.52328 .57086 L
.52369 .57143 L
.52487 .57304 L
.52488 .57305 L
.52599 .57464 L
.52649 .57532 L
.52712 .57625 L
.52809 .5776 L
.52826 .57785 L
.52809 .57939 L
.52678 .57785 L
.52649 .57755 L
.52542 .57625 L
.52488 .57566 L
.52407 .57464 L
.52328 .57373 L
.52273 .57304 L
.52167 .57178 L
.5214 .57143 L
.52008 .56983 L
.52007 .56981 L
.51882 .56822 L
.51846 .5678 L
.51755 .56662 L
.51686 .56578 L
.51626 .56501 L
.51525 .56401 L
.51498 .56341 L
.5137 .5618 L
.51364 .56173 L
.51247 .5602 L
.51204 .55967 L
.51123 .55859 L
.51043 .55761 L
.50996 .55699 L
.50883 .55564 L
.50855 .55538 L
.50747 .55378 L
.50722 .55347 L
.50625 .55217 L
.50562 .55138 L
.50502 .55057 L
.50401 .54957 L
.50377 .54896 L
.50253 .54735 L
.50241 .5472 L
.50134 .54575 L
.5008 .54507 L
.50013 .54414 L
.4992 .54295 L
.4989 .54254 L
.49767 .54093 L
.49759 .54083 L
.49651 .53933 L
.49599 .53866 L
.49532 .53772 L
.49438 .5365 L
.49411 .53612 L
.49292 .53451 L
.49278 .53432 L
.49181 .53291 L
.49117 .53207 L
.49066 .5313 L
.48957 .52981 L
.48949 .5297 L
F
0 .65 1 r
.48957 .44374 m
.49016 .44462 L
.49117 .44576 L
.49148 .44622 L
.49278 .44779 L
.4928 .44783 L
.49278 .44877 L
.49211 .44783 L
.49117 .44675 L
.4908 .44622 L
.48957 .44471 L
.4895 .44462 L
F
.156 .94 1 r
.48957 .47347 m
.48997 .47351 L
.49117 .47405 L
.49251 .47512 L
.49278 .47529 L
.49417 .47672 L
.49438 .47695 L
.49565 .47833 L
.49599 .47875 L
.49721 .47993 L
.49759 .48069 L
.49834 .48154 L
.4992 .48271 L
.49949 .48314 L
.5008 .48469 L
.50098 .48475 L
.50238 .48636 L
.50241 .48658 L
.5035 .48796 L
.50401 .48868 L
.50459 .48957 L
.50562 .4908 L
.50567 .49117 L
.50713 .49278 L
.50722 .49291 L
.50843 .49438 L
.50883 .49519 L
.50935 .49599 L
.51021 .49759 L
.50883 .49875 L
.50722 .49798 L
.50682 .49759 L
.50562 .49639 L
.50513 .49599 L
.50401 .49448 L
.50392 .49438 L
.50266 .49278 L
.50241 .49267 L
.50141 .49117 L
.5008 .49058 L
.49978 .48957 L
.4992 .4884 L
.49884 .48796 L
.49768 .48636 L
.49759 .48624 L
.49649 .48475 L
.49599 .4841 L
.49528 .48314 L
.49438 .48222 L
.49392 .48154 L
.49289 .47993 L
.49278 .47978 L
.49177 .47833 L
.49117 .47747 L
.49068 .47672 L
.48971 .47512 L
.48957 .47483 L
.48951 .47351 L
F
1 .59 0 r
.48957 .43709 m
.49051 .4382 L
.49117 .43887 L
.49193 .4398 L
.49278 .44073 L
.49331 .44141 L
.49438 .44265 L
.49467 .44301 L
.49599 .4446 L
.49601 .44462 L
.49727 .44622 L
.49759 .4466 L
.49854 .44783 L
.4992 .44861 L
.49983 .44943 L
.5008 .45062 L
.50112 .45104 L
.50241 .45265 L
.50241 .45265 L
.50363 .45425 L
.50401 .45472 L
.50487 .45586 L
.50562 .45678 L
.50613 .45746 L
.50722 .45884 L
.50739 .45907 L
.50862 .46067 L
.50883 .46093 L
.50982 .46228 L
.51043 .46304 L
.51104 .46388 L
.51204 .46515 L
.51229 .46549 L
.51351 .46709 L
.51364 .46727 L
.51467 .4687 L
.51525 .46943 L
.51586 .4703 L
.51686 .47159 L
.51708 .47191 L
.51825 .47351 L
.51846 .47378 L
.51936 .47512 L
.52007 .47605 L
.5205 .47672 L
.52007 .47766 L
.51929 .47672 L
.51846 .47581 L
.5179 .47512 L
.51686 .4739 L
.51654 .47351 L
.51525 .47201 L
.51521 .47191 L
.51392 .4703 L
.51364 .46998 L
.51263 .4687 L
.51204 .46798 L
.51134 .46709 L
.51043 .46598 L
.51005 .46549 L
.50883 .46399 L
.50869 .46388 L
.50753 .46228 L
.50722 .4619 L
.50628 .46067 L
.50562 .45984 L
.50502 .45907 L
.50401 .45809 L
.50377 .45746 L
.50254 .45586 L
.50241 .4557 L
.50132 .45425 L
.5008 .45359 L
.5001 .45265 L
.4992 .45149 L
.49886 .45104 L
.49765 .44943 L
.49759 .44937 L
.49647 .44783 L
.49599 .4472 L
.49528 .44622 L
.49438 .44504 L
.49408 .44462 L
.4929 .44301 L
.49278 .44285 L
.4918 .44141 L
.49117 .44058 L
.49066 .4398 L
.48957 .43828 L
.48952 .4382 L
F
1 .49 0 r
.48957 .53496 m
.49044 .53612 L
.49117 .53693 L
.49176 .53772 L
.49278 .53893 L
.49308 .53933 L
.49278 .54037 L
.49205 .53933 L
.49117 .53826 L
.4908 .53772 L
.48957 .53616 L
.48953 .53612 L
F
0 .36 1 r
.48957 .54166 m
.49003 .54254 L
.48957 .54256 L
.48955 .54254 L
F
1 .94 .156 r
.49117 .50106 m
.49278 .50186 L
.49332 .50241 L
.49438 .5035 L
.49498 .50401 L
.49599 .50544 L
.49614 .50562 L
.49739 .50722 L
.49759 .5073 L
.49863 .50883 L
.4992 .50937 L
.50027 .51043 L
.5008 .51154 L
.50121 .51204 L
.50236 .51364 L
.50241 .5137 L
.50356 .51525 L
.50401 .51584 L
.50477 .51686 L
.50562 .51768 L
.50615 .51846 L
.50718 .52007 L
.50722 .52012 L
.50832 .52167 L
.50883 .52239 L
.50943 .52328 L
.51043 .5248 L
.51053 .52488 L
.51109 .52649 L
.51043 .52704 L
.50931 .52649 L
.50883 .5262 L
.50726 .52488 L
.50722 .52485 L
.50567 .52328 L
.50562 .52322 L
.50422 .52167 L
.50401 .5214 L
.50273 .52007 L
.50241 .51943 L
.50159 .51846 L
.5008 .51737 L
.50047 .51686 L
.4992 .51532 L
.49894 .51525 L
.49761 .51364 L
.49759 .51351 L
.49644 .51204 L
.49599 .51141 L
.49536 .51043 L
.49438 .50928 L
.49432 .50883 L
.49279 .50722 L
.49278 .5072 L
.49151 .50562 L
.49117 .50497 L
.49055 .50401 L
.4896 .50241 L
F
1 .93 .114 r
.49117 .50124 m
.49278 .50202 L
.49319 .50241 L
.49438 .5036 L
.49488 .50401 L
.49599 .50551 L
.49608 .50562 L
.49734 .50722 L
.49759 .50732 L
.49859 .50883 L
.4992 .50942 L
.50022 .51043 L
.5008 .5116 L
.50117 .51204 L
.50232 .51364 L
.50241 .51376 L
.50351 .51525 L
.50401 .5159 L
.50472 .51686 L
.50562 .51778 L
.50608 .51846 L
.50711 .52007 L
.50722 .52022 L
.50823 .52167 L
.50883 .52253 L
.50932 .52328 L
.51029 .52488 L
.51043 .52517 L
.51044 .52649 L
.51043 .52649 L
.51022 .52649 L
.50883 .52592 L
.50753 .52488 L
.50722 .52469 L
.50585 .52328 L
.50562 .52303 L
.50436 .52167 L
.50401 .52123 L
.50281 .52007 L
.50241 .51929 L
.50168 .51846 L
.5008 .51727 L
.50053 .51686 L
.4992 .51529 L
.49903 .51525 L
.49762 .51364 L
.49759 .51342 L
.4965 .51204 L
.49599 .51132 L
.49542 .51043 L
.49438 .50919 L
.49434 .50883 L
.49287 .50722 L
.49278 .50709 L
.49157 .50562 L
.49117 .50482 L
.49066 .50401 L
.48979 .50241 L
F
.395 .97 1 r
.49117 .41852 m
.49138 .41894 L
.49278 .42029 L
.49299 .42054 L
.49438 .42203 L
.49454 .42215 L
.49594 .42375 L
.49599 .4238 L
.49736 .42536 L
.49759 .42556 L
.49875 .42696 L
.4992 .42749 L
.5004 .42857 L
.5008 .42945 L
.50145 .43017 L
.50241 .43143 L
.50265 .43178 L
.50401 .43335 L
.50411 .43338 L
.50541 .43499 L
.50562 .43526 L
.50676 .43659 L
.50722 .43732 L
.50788 .4382 L
.50883 .43942 L
.50898 .4398 L
.51043 .44126 L
.51056 .44141 L
.5119 .44301 L
.51204 .44332 L
.51305 .44462 L
.51364 .44544 L
.51414 .44622 L
.51525 .4476 L
.51563 .44783 L
.51686 .44942 L
.51686 .44943 L
.51814 .45104 L
.51846 .45154 L
.51925 .45265 L
.52007 .4537 L
.52026 .45425 L
.52167 .4556 L
.52187 .45586 L
.52316 .45746 L
.52328 .4577 L
.52431 .45907 L
.52488 .45985 L
.52537 .46067 L
.52649 .46202 L
.52685 .46228 L
.52809 .46388 L
.52809 .46391 L
.52934 .46549 L
.5297 .46603 L
.53044 .46709 L
.5313 .46819 L
.53145 .4687 L
.53291 .47027 L
.53303 .4703 L
.53434 .47191 L
.53451 .47224 L
.53547 .47351 L
.53612 .47439 L
.53653 .47512 L
.53772 .47652 L
.53798 .47672 L
.53931 .47833 L
.53933 .47849 L
.54048 .47993 L
.54093 .48061 L
.54157 .48154 L
.54254 .48275 L
.54263 .48314 L
.54414 .48475 L
.54414 .48475 L
.54549 .48636 L
.54575 .48684 L
.54659 .48796 L
.54735 .48898 L
.54767 .48957 L
.54896 .49107 L
.54908 .49117 L
.5505 .49278 L
.55057 .49309 L
.55161 .49438 L
.55217 .49521 L
.55269 .49599 L
.55378 .49733 L
.55381 .49759 L
.55523 .4992 L
.55538 .49935 L
.55663 .5008 L
.55699 .50145 L
.5577 .50241 L
.55859 .50359 L
.55881 .50401 L
.56016 .50562 L
.5602 .50564 L
.56168 .50722 L
.5618 .50769 L
.56271 .50883 L
.56341 .50983 L
.5638 .51043 L
.56501 .51195 L
.56502 .51204 L
.56631 .51364 L
.56662 .51393 L
.56774 .51525 L
.56822 .51608 L
.5688 .51686 L
.56983 .51823 L
.56994 .51846 L
.57123 .52007 L
.57143 .52017 L
.57282 .52167 L
.57304 .52231 L
.57379 .52328 L
.57464 .52449 L
.5749 .52488 L
.57614 .52649 L
.57625 .52662 L
.57736 .52809 L
.57785 .52853 L
.57882 .5297 L
.57946 .53075 L
.57986 .5313 L
.58106 .53291 L
.58106 .53292 L
.58226 .53451 L
.58267 .53471 L
.58389 .53612 L
.58428 .537 L
.58483 .53772 L
.58588 .53922 L
.58595 .53933 L
.58715 .54093 L
.58749 .54136 L
.58836 .54254 L
.58909 .54324 L
.5898 .54414 L
.5907 .54554 L
.59084 .54575 L
.59202 .54735 L
.5923 .54772 L
.59322 .54896 L
.59391 .54985 L
.59479 .55057 L
.59551 .55191 L
.5957 .55217 L
.59684 .55378 L
.59712 .55413 L
.59802 .55538 L
.59872 .55631 L
.59921 .55699 L
.60033 .55839 L
.60047 .55859 L
.60156 .5602 L
.60193 .56069 L
.6027 .5618 L
.60354 .56293 L
.60386 .56341 L
.60499 .56501 L
.60514 .56522 L
.60602 .56662 L
.60675 .56769 L
.60705 .56822 L
.60675 .56965 L
.60521 .56822 L
.60514 .56816 L
.60364 .56662 L
.60354 .56652 L
.60214 .56501 L
.60193 .56479 L
.60069 .56341 L
.60033 .56307 L
.59927 .5618 L
.59872 .56114 L
.59768 .5602 L
.59712 .5592 L
.59657 .55859 L
.59551 .55724 L
.59534 .55699 L
.59391 .55539 L
.59387 .55538 L
.59232 .55378 L
.5923 .55343 L
.59124 .55217 L
.5907 .55138 L
.5901 .55057 L
.58909 .54929 L
.589 .54896 L
.58749 .54747 L
.58739 .54735 L
.58607 .54575 L
.58588 .5454 L
.58492 .54414 L
.58428 .54327 L
.58385 .54254 L
.58267 .54111 L
.58231 .54093 L
.58107 .53933 L
.58106 .53932 L
.57982 .53772 L
.57946 .5372 L
.57872 .53612 L
.57785 .53501 L
.57775 .53451 L
.57625 .53315 L
.57606 .53291 L
.57479 .5313 L
.57464 .53105 L
.57365 .5297 L
.57304 .52889 L
.57261 .52809 L
.57143 .5267 L
.57107 .52649 L
.56984 .52488 L
.56983 .52485 L
.56861 .52328 L
.56822 .52272 L
.56753 .52167 L
.56662 .52054 L
.56611 .52007 L
.56501 .51862 L
.56489 .51846 L
.56361 .51686 L
.56341 .51651 L
.56249 .51525 L
.5618 .51435 L
.56145 .51364 L
.5602 .51221 L
.55994 .51204 L
.55865 .51043 L
.55859 .51027 L
.55747 .50883 L
.55699 .50814 L
.55639 .50722 L
.55538 .50599 L
.555 .50562 L
.55378 .50401 L
.55378 .50401 L
.55247 .50241 L
.55217 .50191 L
.55136 .5008 L
.55057 .49977 L
.55031 .4992 L
.54896 .49768 L
.54884 .49759 L
.54747 .49599 L
.54735 .49567 L
.54635 .49438 L
.54575 .49354 L
.54527 .49278 L
.54414 .49142 L
.54391 .49117 L
.54268 .48957 L
.54254 .48941 L
.54134 .48796 L
.54093 .4873 L
.54025 .48636 L
.53933 .48517 L
.53916 .48475 L
.53776 .48314 L
.53772 .48312 L
.53631 .48154 L
.53612 .48106 L
.53525 .47993 L
.53451 .47892 L
.53415 .47833 L
.53291 .47681 L
.53283 .47672 L
.53161 .47512 L
.5313 .47481 L
.53023 .47351 L
.5297 .47267 L
.52916 .47191 L
.52809 .47054 L
.528 .4703 L
.52669 .4687 L
.52649 .46856 L
.52518 .46709 L
.52488 .46643 L
.52416 .46549 L
.52328 .46427 L
.52305 .46388 L
.52177 .46228 L
.52167 .46215 L
.52055 .46067 L
.52007 .4602 L
.51915 .45907 L
.51846 .458 L
.51808 .45746 L
.51686 .45586 L
.51686 .45585 L
.51565 .45425 L
.51525 .454 L
.51411 .45265 L
.51364 .45175 L
.51312 .45104 L
.51204 .44954 L
.51198 .44943 L
.51076 .44783 L
.51043 .44741 L
.50955 .44622 L
.50883 .4455 L
.50815 .44462 L
.50722 .44322 L
.50708 .44301 L
.50589 .44141 L
.50562 .44106 L
.50469 .4398 L
.50401 .43927 L
.50318 .4382 L
.50241 .43686 L
.50222 .43659 L
.50107 .43499 L
.5008 .43464 L
.49989 .43338 L
.4992 .43247 L
.49869 .43178 L
.49759 .43039 L
.49744 .43017 L
.49633 .42857 L
.49599 .4281 L
.49519 .42696 L
.49438 .42587 L
.49403 .42536 L
.49289 .42375 L
.49278 .4236 L
.49183 .42215 L
.49117 .42119 L
.49078 .42054 L
.48981 .41894 L
F
.114 .93 1 r
.49117 .47434 m
.49222 .47512 L
.49278 .47544 L
.49399 .47672 L
.49438 .47712 L
.49551 .47833 L
.49599 .4789 L
.49712 .47993 L
.49759 .48081 L
.49825 .48154 L
.4992 .4828 L
.49943 .48314 L
.5008 .48472 L
.50089 .48475 L
.50237 .48636 L
.50241 .48667 L
.50344 .48796 L
.50401 .48877 L
.50452 .48957 L
.50562 .49089 L
.50565 .49117 L
.50705 .49278 L
.50722 .49302 L
.50836 .49438 L
.50883 .49534 L
.50924 .49599 L
.51001 .49759 L
.50883 .49857 L
.50722 .49783 L
.50696 .49759 L
.50562 .49629 L
.50524 .49599 L
.50401 .49441 L
.50399 .49438 L
.50272 .49278 L
.50241 .49265 L
.50146 .49117 L
.5008 .49052 L
.49983 .48957 L
.4992 .48834 L
.49889 .48796 L
.49773 .48636 L
.49759 .48618 L
.49654 .48475 L
.49599 .48404 L
.49533 .48314 L
.49438 .48211 L
.494 .48154 L
.49296 .47993 L
.49278 .47968 L
.49186 .47833 L
.49117 .47731 L
.4908 .47672 L
.48995 .47512 L
F
1 .92 .084 r
.49117 .50143 m
.49278 .50216 L
.49305 .50241 L
.49438 .50371 L
.49477 .50401 L
.49599 .50559 L
.49601 .50562 L
.49729 .50722 L
.49759 .50735 L
.49854 .50883 L
.4992 .50947 L
.50017 .51043 L
.5008 .51166 L
.50112 .51204 L
.50227 .51364 L
.50241 .51382 L
.50347 .51525 L
.50401 .51596 L
.50467 .51686 L
.50562 .51789 L
.506 .51846 L
.50704 .52007 L
.50722 .52032 L
.50814 .52167 L
.50883 .52268 L
.5092 .52328 L
.51005 .52488 L
.50883 .52562 L
.50782 .52488 L
.50722 .52453 L
.50604 .52328 L
.50562 .52286 L
.5045 .52167 L
.50401 .52107 L
.5029 .52007 L
.50241 .51917 L
.50177 .51846 L
.5008 .51718 L
.50059 .51686 L
.4992 .51527 L
.49911 .51525 L
.49763 .51364 L
.49759 .51333 L
.49656 .51204 L
.49599 .51123 L
.49548 .51043 L
.49438 .50911 L
.49436 .50883 L
.49295 .50722 L
.49278 .50698 L
.49164 .50562 L
.49117 .50466 L
.49076 .50401 L
.48999 .50241 L
F
1 .59 0 r
.49117 .48108 m
.49163 .48154 L
.49278 .48271 L
.49316 .48314 L
.49438 .48444 L
.49456 .48475 L
.49587 .48636 L
.49599 .4865 L
.49711 .48796 L
.49759 .48859 L
.49831 .48957 L
.4992 .49083 L
.49943 .49117 L
.50034 .49278 L
.4992 .49322 L
.49876 .49278 L
.49759 .4916 L
.49723 .49117 L
.49599 .48987 L
.49585 .48957 L
.49458 .48796 L
.49438 .48772 L
.49337 .48636 L
.49278 .48558 L
.49219 .48475 L
.49117 .48333 L
.49105 .48314 L
.49011 .48154 L
F
1 .91 .061 r
.49117 .50162 m
.49278 .50231 L
.4929 .50241 L
.49438 .50381 L
.49465 .50401 L
.49595 .50562 L
.49599 .50567 L
.49723 .50722 L
.49759 .50738 L
.4985 .50883 L
.4992 .50953 L
.50012 .51043 L
.5008 .51172 L
.50107 .51204 L
.50222 .51364 L
.50241 .51388 L
.50342 .51525 L
.50401 .51603 L
.50462 .51686 L
.50562 .518 L
.50592 .51846 L
.50696 .52007 L
.50722 .52043 L
.50804 .52167 L
.50883 .52286 L
.50908 .52328 L
.50975 .52488 L
.50883 .52531 L
.50816 .52488 L
.50722 .52437 L
.50623 .52328 L
.50562 .52269 L
.50464 .52167 L
.50401 .52093 L
.50299 .52007 L
.50241 .51905 L
.50186 .51846 L
.5008 .5171 L
.50064 .51686 L
.4992 .51525 L
.49919 .51525 L
.49764 .51364 L
.49759 .51324 L
.49663 .51204 L
.49599 .51114 L
.49554 .51043 L
.49438 .50902 L
.49437 .50883 L
.49303 .50722 L
.49278 .50686 L
.49171 .50562 L
.49117 .50449 L
.49087 .50401 L
.49019 .50241 L
F
1 .58 0 r
.49117 .48117 m
.49154 .48154 L
.49278 .48278 L
.4931 .48314 L
.49438 .48452 L
.49451 .48475 L
.49582 .48636 L
.49599 .48656 L
.49707 .48796 L
.49759 .48865 L
.49826 .48957 L
.4992 .49091 L
.49938 .49117 L
.50025 .49278 L
.4992 .49314 L
.49883 .49278 L
.49759 .49154 L
.49728 .49117 L
.49599 .48979 L
.49589 .48957 L
.49462 .48796 L
.49438 .48767 L
.49341 .48636 L
.49278 .48552 L
.49224 .48475 L
.49117 .48326 L
.4911 .48314 L
.4902 .48154 L
F
.084 .92 1 r
.49117 .47466 m
.49188 .47512 L
.49278 .4756 L
.4938 .47672 L
.49438 .47729 L
.49537 .47833 L
.49599 .47905 L
.49703 .47993 L
.49759 .48093 L
.49816 .48154 L
.4992 .48288 L
.49938 .48314 L
.5008 .48475 L
.50081 .48475 L
.50236 .48636 L
.50241 .48675 L
.50338 .48796 L
.50401 .48885 L
.50446 .48957 L
.50562 .49097 L
.50564 .49117 L
.50697 .49278 L
.50722 .49314 L
.50829 .49438 L
.50883 .49551 L
.50913 .49599 L
.5098 .49759 L
.50883 .49837 L
.50722 .49769 L
.50711 .49759 L
.50562 .49619 L
.50535 .49599 L
.50406 .49438 L
.50401 .49433 L
.50277 .49278 L
.50241 .49262 L
.50151 .49117 L
.5008 .49047 L
.49989 .48957 L
.4992 .48828 L
.49894 .48796 L
.49778 .48636 L
.49759 .48612 L
.49658 .48475 L
.49599 .48397 L
.49538 .48314 L
.49438 .48199 L
.49408 .48154 L
.49304 .47993 L
.49278 .47957 L
.49196 .47833 L
.49117 .47713 L
.49093 .47672 L
.49024 .47512 L
F
1 .57 0 r
.49117 .48127 m
.49145 .48154 L
.49278 .48285 L
.49304 .48314 L
.49438 .48461 L
.49446 .48475 L
.49577 .48636 L
.49599 .48662 L
.49702 .48796 L
.49759 .48871 L
.49821 .48957 L
.4992 .49099 L
.49932 .49117 L
.50015 .49278 L
.4992 .49305 L
.49891 .49278 L
.49759 .49148 L
.49733 .49117 L
.49599 .4897 L
.49593 .48957 L
.49466 .48796 L
.49438 .48761 L
.49346 .48636 L
.49278 .48547 L
.49228 .48475 L
.49117 .48319 L
.49114 .48314 L
.4903 .48154 L
F
1 .9 .045 r
.49117 .50182 m
.49272 .50241 L
.49278 .50245 L
.49438 .50391 L
.49453 .50401 L
.49588 .50562 L
.49599 .50574 L
.49718 .50722 L
.49759 .50741 L
.49845 .50883 L
.4992 .50959 L
.50006 .51043 L
.5008 .51179 L
.50101 .51204 L
.50218 .51364 L
.50241 .51394 L
.50337 .51525 L
.50401 .51609 L
.50457 .51686 L
.50562 .51813 L
.50584 .51846 L
.50688 .52007 L
.50722 .52055 L
.50795 .52167 L
.50883 .52307 L
.50894 .52328 L
.50924 .52488 L
.50883 .52496 L
.50866 .52488 L
.50722 .52418 L
.50643 .52328 L
.50562 .52253 L
.50478 .52167 L
.50401 .52079 L
.50309 .52007 L
.50241 .51894 L
.50194 .51846 L
.5008 .51702 L
.50069 .51686 L
.49927 .51525 L
.4992 .51518 L
.49765 .51364 L
.49759 .51316 L
.49669 .51204 L
.49599 .51105 L
.4956 .51043 L
.49438 .50894 L
.49437 .50883 L
.49311 .50722 L
.49278 .50675 L
.49179 .50562 L
.49117 .50432 L
.49099 .50401 L
.49042 .50241 L
F
1 .56 0 r
.49117 .48137 m
.49135 .48154 L
.49278 .48292 L
.49298 .48314 L
.49438 .4847 L
.49441 .48475 L
.49572 .48636 L
.49599 .48668 L
.49697 .48796 L
.49759 .48878 L
.49816 .48957 L
.4992 .49107 L
.49926 .49117 L
.50003 .49278 L
.4992 .49297 L
.49899 .49278 L
.49759 .49142 L
.49738 .49117 L
.49599 .4896 L
.49597 .48957 L
.49471 .48796 L
.49438 .48756 L
.4935 .48636 L
.49278 .4854 L
.49233 .48475 L
.4912 .48314 L
.49117 .4831 L
.49042 .48154 L
F
1 .55 0 r
.49117 .48149 m
.49123 .48154 L
.49278 .483 L
.49291 .48314 L
.49435 .48475 L
.49438 .48479 L
.49566 .48636 L
.49599 .48675 L
.49692 .48796 L
.49759 .48885 L
.49811 .48957 L
.4992 .49117 L
.4992 .49117 L
.49989 .49278 L
.4992 .49287 L
.49909 .49278 L
.49759 .49136 L
.49743 .49117 L
.49602 .48957 L
.49599 .48953 L
.49476 .48796 L
.49438 .4875 L
.49355 .48636 L
.49278 .48534 L
.49237 .48475 L
.49128 .48314 L
.49117 .48298 L
.49058 .48154 L
F
.024 .88 1 r
.49117 .50769 m
.49214 .50883 L
.49278 .50956 L
.49343 .51043 L
.49438 .51164 L
.49465 .51204 L
.49438 .51345 L
.49314 .51204 L
.49278 .51162 L
.49183 .51043 L
.49117 .50957 L
.49064 .50883 L
F
0 .72 1 r
.49117 .43213 m
.49229 .43338 L
.49278 .43388 L
.49372 .43499 L
.49438 .43571 L
.49512 .43659 L
.49599 .43759 L
.49649 .4382 L
.49759 .43941 L
.49816 .4398 L
.49917 .44141 L
.4992 .44144 L
.50046 .44301 L
.5008 .44341 L
.50176 .44462 L
.50241 .4451 L
.50307 .44622 L
.50401 .44732 L
.50456 .44783 L
.50562 .4494 L
.50565 .44943 L
.50691 .45104 L
.50722 .45142 L
.50818 .45265 L
.50883 .45328 L
.50997 .45425 L
.51043 .45545 L
.5108 .45586 L
.51198 .45746 L
.51204 .45754 L
.51322 .45907 L
.51364 .45929 L
.51447 .46067 L
.51525 .46155 L
.51596 .46228 L
.51686 .4637 L
.517 .46388 L
.51822 .46549 L
.51846 .46579 L
.51945 .46709 L
.52007 .46765 L
.52118 .4687 L
.52167 .46989 L
.52203 .4703 L
.52318 .47191 L
.52328 .47202 L
.5244 .47351 L
.52488 .47371 L
.52563 .47512 L
.52649 .47608 L
.52707 .47672 L
.52809 .4783 L
.52812 .47833 L
.52932 .47993 L
.5297 .48042 L
.53053 .48154 L
.5313 .48227 L
.53216 .48314 L
.53291 .4846 L
.53303 .48475 L
.5342 .48636 L
.53451 .48676 L
.5354 .48796 L
.53612 .48889 L
.53661 .48957 L
.53772 .49095 L
.53791 .49117 L
.53902 .49278 L
.53933 .49317 L
.5402 .49438 L
.54093 .49533 L
.5414 .49599 L
.54254 .49742 L
.54269 .49759 L
.54376 .4992 L
.54414 .4997 L
.54491 .5008 L
.54575 .50192 L
.54608 .50241 L
.54724 .50401 L
.54735 .50417 L
.5483 .50562 L
.54896 .50654 L
.54937 .50722 L
.54896 .50838 L
.5479 .50722 L
.54735 .50667 L
.54644 .50562 L
.54575 .50486 L
.54502 .50401 L
.54414 .50349 L
.54364 .50241 L
.54254 .50117 L
.54201 .5008 L
.54095 .4992 L
.54093 .49918 L
.53964 .49759 L
.53933 .49723 L
.53832 .49599 L
.53772 .49548 L
.53701 .49438 L
.53612 .49332 L
.53556 .49278 L
.53451 .49128 L
.53443 .49117 L
.53315 .48957 L
.53291 .48927 L
.53187 .48796 L
.5313 .48736 L
.5302 .48636 L
.5297 .48524 L
.52928 .48475 L
.52809 .48318 L
.52807 .48314 L
.52681 .48154 L
.52649 .48132 L
.52555 .47993 L
.52488 .47915 L
.52413 .47833 L
.52328 .47703 L
.52304 .47672 L
.5218 .47512 L
.52167 .47496 L
.52055 .47351 L
.52007 .47303 L
.51895 .47191 L
.51846 .47085 L
.51801 .4703 L
.51686 .46874 L
.51683 .4687 L
.5156 .46709 L
.51525 .4669 L
.51436 .46549 L
.51364 .46465 L
.51298 .46388 L
.51204 .46247 L
.5119 .46228 L
.51068 .46067 L
.51043 .46035 L
.50946 .45907 L
.50883 .45845 L
.5079 .45746 L
.50722 .45617 L
.50697 .45586 L
.5058 .45425 L
.50562 .45401 L
.5046 .45265 L
.50401 .45229 L
.50339 .45104 L
.50241 .44983 L
.50208 .44943 L
.50098 .44783 L
.5008 .44759 L
.4998 .44622 L
.4992 .44542 L
.49861 .44462 L
.49759 .44338 L
.49728 .44301 L
.49626 .44141 L
.49599 .44105 L
.49511 .4398 L
.49438 .43882 L
.49395 .4382 L
.49279 .43659 L
.49278 .43657 L
.49173 .43499 L
.49117 .4342 L
.49066 .43338 L
F
1 .89 .033 r
.49117 .50204 m
.49247 .50241 L
.49278 .50259 L
.49438 .50401 L
.49439 .50401 L
.49581 .50562 L
.49599 .50582 L
.49712 .50722 L
.49759 .50745 L
.4984 .50883 L
.4992 .50965 L
.5 .51043 L
.5008 .51185 L
.50096 .51204 L
.50213 .51364 L
.50241 .51401 L
.50332 .51525 L
.50401 .51616 L
.50451 .51686 L
.50562 .51826 L
.50575 .51846 L
.5068 .52007 L
.50722 .52068 L
.50784 .52167 L
.50878 .52328 L
.50722 .52395 L
.50665 .52328 L
.50562 .52237 L
.50493 .52167 L
.50401 .52066 L
.5032 .52007 L
.50241 .51883 L
.50203 .51846 L
.5008 .51696 L
.50073 .51686 L
.49935 .51525 L
.4992 .5151 L
.49767 .51364 L
.49759 .51307 L
.49675 .51204 L
.49599 .51097 L
.49565 .51043 L
.49438 .50885 L
.49438 .50883 L
.49319 .50722 L
.49278 .50663 L
.49187 .50562 L
.49117 .50412 L
.49111 .50401 L
.49067 .50241 L
F
.061 .91 1 r
.49117 .47501 m
.4914 .47512 L
.49278 .47578 L
.49359 .47672 L
.49438 .47744 L
.49523 .47833 L
.49599 .47919 L
.49693 .47993 L
.49759 .48105 L
.49807 .48154 L
.4992 .48296 L
.49933 .48314 L
.50073 .48475 L
.5008 .48482 L
.50235 .48636 L
.50241 .48684 L
.50332 .48796 L
.50401 .48894 L
.50441 .48957 L
.50562 .49106 L
.50563 .49117 L
.50689 .49278 L
.50722 .49325 L
.50821 .49438 L
.50883 .49568 L
.50901 .49599 L
.50958 .49759 L
.50883 .49817 L
.50729 .49759 L
.50722 .49755 L
.50562 .49609 L
.50548 .49599 L
.50412 .49438 L
.50401 .49426 L
.50282 .49278 L
.50241 .49258 L
.50155 .49117 L
.5008 .49041 L
.49994 .48957 L
.4992 .48821 L
.49899 .48796 L
.49783 .48636 L
.49759 .48606 L
.49663 .48475 L
.49599 .4839 L
.49543 .48314 L
.49438 .48187 L
.49416 .48154 L
.49312 .47993 L
.49278 .47945 L
.49206 .47833 L
.49117 .47692 L
.49106 .47672 L
.49072 .47512 L
F
1 .87 .018 r
.49117 .42547 m
.49262 .42696 L
.49278 .42712 L
.49409 .42857 L
.49438 .42887 L
.49552 .43017 L
.49599 .43069 L
.49692 .43178 L
.49759 .43242 L
.4983 .43338 L
.4992 .43443 L
.49981 .43499 L
.5008 .4364 L
.50098 .43659 L
.5023 .4382 L
.50241 .43825 L
.50361 .4398 L
.50401 .44025 L
.50529 .44141 L
.50562 .4423 L
.50626 .44301 L
.50722 .44433 L
.50743 .44462 L
.50877 .44622 L
.50883 .44628 L
.51004 .44783 L
.51043 .4483 L
.51146 .44943 L
.51204 .45038 L
.51255 .45104 L
.51364 .45244 L
.51374 .45265 L
.5151 .45425 L
.51525 .45441 L
.51663 .45586 L
.51686 .45648 L
.51766 .45746 L
.51846 .45859 L
.51878 .45907 L
.52007 .46063 L
.52012 .46067 L
.52136 .46228 L
.52167 .46264 L
.52275 .46388 L
.52328 .46475 L
.52383 .46549 L
.52488 .46685 L
.52499 .46709 L
.52634 .4687 L
.52649 .46884 L
.52784 .4703 L
.52809 .47094 L
.52887 .47191 L
.5297 .47306 L
.52999 .47351 L
.5313 .47512 L
.5313 .47512 L
.53253 .47672 L
.53291 .47715 L
.53392 .47833 L
.53451 .47928 L
.53499 .47993 L
.53612 .48139 L
.53618 .48154 L
.53747 .48314 L
.53772 .48337 L
.539 .48475 L
.53933 .48551 L
.54 .48636 L
.54093 .48765 L
.54113 .48796 L
.5424 .48957 L
.54254 .48963 L
.54363 .49117 L
.54414 .49173 L
.54503 .49278 L
.54575 .4939 L
.5461 .49438 L
.54732 .49599 L
.54735 .49602 L
.54854 .49759 L
.54896 .49795 L
.55009 .4992 L
.55057 .50016 L
.55107 .5008 L
.55217 .50232 L
.55222 .50241 L
.55344 .50401 L
.55378 .50414 L
.55466 .50562 L
.55538 .50641 L
.55605 .50722 L
.55699 .50863 L
.55713 .50883 L
.55832 .51043 L
.55859 .51078 L
.55953 .51204 L
.5602 .51264 L
.56105 .51364 L
.5618 .51496 L
.56202 .51525 L
.56318 .51686 L
.56341 .51715 L
.56437 .51846 L
.56501 .51929 L
.56558 .52007 L
.56662 .52134 L
.56688 .52167 L
.56798 .52328 L
.56822 .52358 L
.56916 .52488 L
.56983 .52576 L
.57035 .52649 L
.57143 .52783 L
.57164 .52809 L
.57269 .5297 L
.57304 .53015 L
.57383 .5313 L
.57464 .5324 L
.57499 .53291 L
.57612 .53451 L
.57625 .53468 L
.57716 .53612 L
.57785 .53713 L
.5782 .53772 L
.57785 .53905 L
.57654 .53772 L
.57625 .53745 L
.57502 .53612 L
.57464 .53572 L
.57357 .53451 L
.57304 .53392 L
.57216 .53291 L
.57143 .53217 L
.57077 .5313 L
.56983 .53019 L
.56931 .5297 L
.56822 .52825 L
.56809 .52809 L
.56674 .52649 L
.56662 .5264 L
.56542 .52488 L
.56501 .52441 L
.56384 .52328 L
.56341 .52238 L
.56281 .52167 L
.5618 .52036 L
.56162 .52007 L
.56023 .51846 L
.5602 .51843 L
.55894 .51686 L
.55859 .51641 L
.55759 .51525 L
.55699 .51434 L
.55648 .51364 L
.55538 .51228 L
.55531 .51204 L
.55386 .51043 L
.55378 .51033 L
.55244 .50883 L
.55217 .50826 L
.55136 .50722 L
.55057 .50616 L
.55025 .50562 L
.54896 .50411 L
.54883 .50401 L
.54758 .50241 L
.54735 .50212 L
.54628 .5008 L
.54575 .50001 L
.54518 .4992 L
.54414 .4979 L
.54406 .49759 L
.5426 .49599 L
.54254 .49592 L
.54121 .49438 L
.54093 .49383 L
.54013 .49278 L
.53933 .49171 L
.53903 .49117 L
.53772 .48964 L
.53763 .48957 L
.53615 .48796 L
.53612 .48762 L
.53509 .48636 L
.53451 .4855 L
.534 .48475 L
.53291 .48339 L
.53285 .48314 L
.53145 .48154 L
.5313 .48138 L
.53005 .47993 L
.5297 .47928 L
.52899 .47833 L
.52809 .47714 L
.52787 .47672 L
.52652 .47512 L
.52649 .4751 L
.52497 .47351 L
.52488 .47304 L
.52397 .47191 L
.52328 .47089 L
.52288 .4703 L
.52167 .46878 L
.52166 .4687 L
.52038 .46709 L
.52007 .46679 L
.51894 .46549 L
.51846 .46463 L
.51791 .46388 L
.51686 .46248 L
.51675 .46228 L
.51548 .46067 L
.51525 .46055 L
.51385 .45907 L
.51364 .45837 L
.51293 .45746 L
.51204 .45618 L
.51183 .45586 L
.5106 .45425 L
.51043 .45403 L
.50939 .45265 L
.50883 .45211 L
.50794 .45104 L
.50722 .44985 L
.50693 .44943 L
.50575 .44783 L
.50562 .44766 L
.50456 .44622 L
.50401 .44589 L
.50291 .44462 L
.50241 .44347 L
.50206 .44301 L
.50095 .44141 L
.5008 .44122 L
.49978 .4398 L
.4992 .43903 L
.49859 .4382 L
.49759 .43699 L
.49729 .43659 L
.49624 .43499 L
.49599 .43464 L
.49511 .43338 L
.49438 .43239 L
.49396 .43178 L
.49281 .43017 L
.49278 .43012 L
.49177 .42857 L
.49117 .4277 L
.49073 .42696 L
F
1 .58 0 r
.49117 .439 m
.49182 .4398 L
.49278 .44084 L
.49323 .44141 L
.49438 .44273 L
.4946 .44301 L
.49594 .44462 L
.49599 .44468 L
.4972 .44622 L
.49759 .44667 L
.49848 .44783 L
.4992 .44868 L
.49978 .44943 L
.5008 .45069 L
.50107 .45104 L
.50235 .45265 L
.50241 .45271 L
.50358 .45425 L
.50401 .45478 L
.50482 .45586 L
.50562 .45684 L
.50608 .45746 L
.50722 .4589 L
.50735 .45907 L
.50857 .46067 L
.50883 .461 L
.50977 .46228 L
.51043 .46311 L
.511 .46388 L
.51204 .46521 L
.51224 .46549 L
.51345 .46709 L
.51364 .46734 L
.51461 .4687 L
.51525 .46951 L
.51581 .4703 L
.51686 .47166 L
.51702 .47191 L
.51817 .47351 L
.51846 .47388 L
.51927 .47512 L
.52007 .47618 L
.5204 .47672 L
.52007 .47751 L
.5194 .47672 L
.51846 .4757 L
.51798 .47512 L
.51686 .47381 L
.51661 .47351 L
.51528 .47191 L
.51525 .47188 L
.51399 .4703 L
.51364 .4699 L
.5127 .4687 L
.51204 .46791 L
.5114 .46709 L
.51043 .46591 L
.5101 .46549 L
.50883 .46389 L
.50882 .46388 L
.50759 .46228 L
.50722 .46183 L
.50633 .46067 L
.50562 .45978 L
.50507 .45907 L
.50401 .45797 L
.50382 .45746 L
.50259 .45586 L
.50241 .45563 L
.50138 .45425 L
.5008 .45352 L
.50015 .45265 L
.4992 .45142 L
.49892 .45104 L
.49771 .44943 L
.49759 .44929 L
.49654 .44783 L
.49599 .44712 L
.49534 .44622 L
.49438 .44496 L
.49414 .44462 L
.49299 .44301 L
.49278 .44274 L
.49189 .44141 L
.49117 .44044 L
.49076 .4398 L
F
0 .71 1 r
.49117 .43229 m
.49217 .43338 L
.49278 .434 L
.49363 .43499 L
.49438 .4358 L
.49504 .43659 L
.49599 .43767 L
.49643 .4382 L
.49759 .4395 L
.49804 .4398 L
.49911 .44141 L
.4992 .44151 L
.50041 .44301 L
.5008 .44347 L
.50172 .44462 L
.50241 .44515 L
.50303 .44622 L
.50401 .44737 L
.5045 .44783 L
.50561 .44943 L
.50562 .44944 L
.50687 .45104 L
.50722 .45147 L
.50814 .45265 L
.50883 .45332 L
.50993 .45425 L
.51043 .45549 L
.51077 .45586 L
.51195 .45746 L
.51204 .45757 L
.51319 .45907 L
.51364 .45931 L
.51445 .46067 L
.51525 .46158 L
.51593 .46228 L
.51686 .46373 L
.51698 .46388 L
.51819 .46549 L
.51846 .46582 L
.51943 .46709 L
.52007 .46768 L
.52115 .4687 L
.52167 .46992 L
.522 .4703 L
.52316 .47191 L
.52328 .47206 L
.52438 .47351 L
.52488 .47373 L
.52561 .47512 L
.52649 .47612 L
.52704 .47672 L
.52809 .47833 L
.52809 .47833 L
.52929 .47993 L
.5297 .48045 L
.53051 .48154 L
.5313 .48231 L
.53212 .48314 L
.53291 .48464 L
.533 .48475 L
.53417 .48636 L
.53451 .4868 L
.53537 .48796 L
.53612 .48893 L
.53659 .48957 L
.53772 .49101 L
.53787 .49117 L
.53899 .49278 L
.53933 .49322 L
.54017 .49438 L
.54093 .49538 L
.54137 .49599 L
.54254 .4975 L
.54262 .49759 L
.54371 .4992 L
.54414 .49976 L
.54486 .5008 L
.54575 .50199 L
.54603 .50241 L
.54717 .50401 L
.54735 .50427 L
.54821 .50562 L
.54896 .50669 L
.54927 .50722 L
.54896 .50821 L
.54803 .50722 L
.54735 .50654 L
.54654 .50562 L
.54575 .50476 L
.5451 .50401 L
.54414 .50337 L
.54371 .50241 L
.54254 .50108 L
.54214 .5008 L
.54101 .4992 L
.54093 .49911 L
.53969 .49759 L
.53933 .49716 L
.53837 .49599 L
.53772 .49543 L
.53705 .49438 L
.53612 .49327 L
.53562 .49278 L
.53451 .49123 L
.53447 .49117 L
.53319 .48957 L
.53291 .48922 L
.53191 .48796 L
.5313 .48732 L
.53023 .48636 L
.5297 .4852 L
.52931 .48475 L
.52809 .48314 L
.52809 .48314 L
.52684 .48154 L
.52649 .4813 L
.52558 .47993 L
.52488 .47912 L
.52416 .47833 L
.52328 .47699 L
.52307 .47672 L
.52182 .47512 L
.52167 .47492 L
.52058 .47351 L
.52007 .473 L
.51897 .47191 L
.51846 .47082 L
.51804 .4703 L
.51686 .4687 L
.51685 .4687 L
.51563 .46709 L
.51525 .46688 L
.51439 .46549 L
.51364 .46461 L
.51301 .46388 L
.51204 .46243 L
.51192 .46228 L
.51071 .46067 L
.51043 .46032 L
.50949 .45907 L
.50883 .45841 L
.50794 .45746 L
.50722 .45613 L
.50701 .45586 L
.50584 .45425 L
.50562 .45397 L
.50463 .45265 L
.50401 .45225 L
.50342 .45104 L
.50241 .44977 L
.50213 .44943 L
.50102 .44783 L
.5008 .44754 L
.49984 .44622 L
.4992 .44537 L
.49865 .44462 L
.49759 .44329 L
.49735 .44301 L
.49631 .44141 L
.49599 .44098 L
.49517 .4398 L
.49438 .43874 L
.49401 .4382 L
.49287 .43659 L
.49278 .43647 L
.49182 .43499 L
.49117 .43405 L
.49076 .43338 L
F
.001 .76 1 r
.49117 .53015 m
.49216 .5313 L
.49278 .53198 L
.49355 .53291 L
.49438 .53386 L
.49492 .53451 L
.49599 .53579 L
.49626 .53612 L
.49758 .53772 L
.49759 .53774 L
.49886 .53933 L
.4992 .53972 L
.50016 .54093 L
.5008 .54172 L
.50146 .54254 L
.50241 .5435 L
.50274 .54414 L
.50401 .54575 L
.50402 .54575 L
.50527 .54735 L
.50562 .54779 L
.50653 .54896 L
.50722 .54984 L
.50779 .55057 L
.50883 .5518 L
.50924 .55217 L
.51028 .55378 L
.51043 .55397 L
.51151 .55538 L
.51204 .55605 L
.51275 .55699 L
.51364 .55785 L
.51399 .55859 L
.51522 .5602 L
.51525 .56024 L
.51642 .5618 L
.51686 .56236 L
.51763 .56341 L
.51846 .56449 L
.51885 .56501 L
.52006 .56662 L
.52007 .56662 L
.52123 .56822 L
.52167 .5688 L
.52241 .56983 L
.52328 .57098 L
.5236 .57143 L
.52476 .57304 L
.52488 .5732 L
.52586 .57464 L
.52649 .57549 L
.52699 .57625 L
.52809 .57782 L
.52811 .57785 L
.52809 .57912 L
.52697 .57785 L
.52649 .57737 L
.52556 .57625 L
.52488 .57551 L
.52418 .57464 L
.52328 .57361 L
.52282 .57304 L
.52167 .57168 L
.52148 .57143 L
.52017 .56983 L
.52007 .56971 L
.5189 .56822 L
.51846 .5677 L
.51762 .56662 L
.51686 .5657 L
.51633 .56501 L
.51525 .56389 L
.51504 .56341 L
.51377 .5618 L
.51364 .56165 L
.51254 .5602 L
.51204 .55959 L
.51128 .55859 L
.51043 .55754 L
.51002 .55699 L
.50883 .55554 L
.50866 .55538 L
.50753 .55378 L
.50722 .5534 L
.50631 .55217 L
.50562 .5513 L
.50507 .55057 L
.50401 .54945 L
.50382 .54896 L
.5026 .54735 L
.50241 .54712 L
.5014 .54575 L
.5008 .54499 L
.50019 .54414 L
.4992 .54287 L
.49896 .54254 L
.49774 .54093 L
.49759 .54074 L
.49658 .53933 L
.49599 .53856 L
.4954 .53772 L
.49438 .5364 L
.49419 .53612 L
.49302 .53451 L
.49278 .53419 L
.49192 .53291 L
.49117 .53191 L
.49078 .5313 L
F
1 .92 .084 r
.49117 .52354 m
.49245 .52488 L
.49278 .52521 L
.49393 .52649 L
.49438 .52698 L
.49536 .52809 L
.49599 .5288 L
.49676 .5297 L
.49759 .53055 L
.49813 .5313 L
.4992 .53258 L
.49954 .53291 L
.50079 .53451 L
.5008 .53453 L
.50211 .53612 L
.50241 .53626 L
.50343 .53772 L
.50401 .5384 L
.50502 .53933 L
.50562 .54045 L
.50602 .54093 L
.50722 .54246 L
.50727 .54254 L
.50858 .54414 L
.50883 .54438 L
.50987 .54575 L
.51043 .54646 L
.51121 .54735 L
.51204 .54854 L
.51234 .54896 L
.51364 .55055 L
.51365 .55057 L
.51493 .55217 L
.51525 .55254 L
.51639 .55378 L
.51686 .55464 L
.51742 .55538 L
.51846 .55673 L
.51859 .55699 L
.51994 .55859 L
.52007 .5587 L
.52161 .5602 L
.52167 .56079 L
.5225 .5618 L
.52328 .56291 L
.5236 .56341 L
.52488 .56498 L
.52489 .56501 L
.52615 .56662 L
.52649 .56698 L
.52758 .56822 L
.52809 .56912 L
.52861 .56983 L
.5297 .57124 L
.52979 .57143 L
.53108 .57304 L
.5313 .5732 L
.53275 .57464 L
.53291 .57536 L
.53362 .57625 L
.53451 .57753 L
.53472 .57785 L
.53598 .57946 L
.53612 .57964 L
.5372 .58106 L
.53772 .58162 L
.53863 .58267 L
.53933 .58384 L
.53964 .58428 L
.54084 .58588 L
.54093 .58601 L
.54204 .58749 L
.54254 .58785 L
.54371 .58909 L
.54414 .59021 L
.54452 .5907 L
.54564 .5923 L
.54575 .59245 L
.54682 .59391 L
.54735 .59462 L
.54801 .59551 L
.54896 .59668 L
.54931 .59712 L
.55035 .59872 L
.55057 .59902 L
.55149 .60033 L
.55217 .60126 L
.55264 .60193 L
.55378 .60352 L
.55379 .60354 L
.55484 .60514 L
.55538 .60592 L
.5559 .60675 L
.55538 .60814 L
.55413 .60675 L
.55378 .60639 L
.55271 .60514 L
.55217 .60456 L
.55132 .60354 L
.55057 .60269 L
.54995 .60193 L
.54896 .60093 L
.5486 .60033 L
.54735 .59885 L
.54722 .59872 L
.54597 .59712 L
.54575 .59686 L
.54468 .59551 L
.54414 .59525 L
.54338 .59391 L
.54254 .59299 L
.54174 .5923 L
.54093 .59089 L
.54076 .5907 L
.53953 .58909 L
.53933 .58885 L
.53827 .58749 L
.53772 .58703 L
.537 .58588 L
.53612 .58484 L
.53557 .58428 L
.53451 .58273 L
.53446 .58267 L
.53323 .58106 L
.53291 .58067 L
.53198 .57946 L
.5313 .57876 L
.53036 .57785 L
.5297 .57659 L
.5294 .57625 L
.52822 .57464 L
.52809 .57448 L
.52699 .57304 L
.52649 .57267 L
.52575 .57143 L
.52488 .57042 L
.52434 .56983 L
.52328 .56826 L
.52324 .56822 L
.52203 .56662 L
.52167 .56617 L
.5208 .56501 L
.52007 .56426 L
.51923 .56341 L
.51846 .56203 L
.51827 .5618 L
.51709 .5602 L
.51686 .5599 L
.51587 .55859 L
.51525 .55814 L
.51464 .55699 L
.51364 .55579 L
.51328 .55538 L
.51217 .55378 L
.51204 .55361 L
.51097 .55217 L
.51043 .55149 L
.50975 .55057 L
.50883 .54956 L
.50828 .54896 L
.50728 .54735 L
.50722 .54728 L
.5061 .54575 L
.50562 .54514 L
.50489 .54414 L
.50401 .54334 L
.50366 .54254 L
.50243 .54093 L
.50241 .5409 L
.50126 .53933 L
.5008 .53874 L
.50008 .53772 L
.4992 .53658 L
.49886 .53612 L
.49765 .53451 L
.49759 .53444 L
.49651 .53291 L
.49599 .53222 L
.49535 .5313 L
.49438 .53002 L
.49416 .5297 L
.49301 .52809 L
.49278 .52777 L
.49194 .52649 L
.49117 .52543 L
.49084 .52488 L
F
1 .57 0 r
.49117 .43917 m
.49169 .4398 L
.49278 .44095 L
.49314 .44141 L
.49438 .44282 L
.49453 .44301 L
.49586 .44462 L
.49599 .44476 L
.49713 .44622 L
.49759 .44675 L
.49842 .44783 L
.4992 .44875 L
.49972 .44943 L
.5008 .45075 L
.50102 .45104 L
.5023 .45265 L
.50241 .45278 L
.50352 .45425 L
.50401 .45484 L
.50477 .45586 L
.50562 .4569 L
.50604 .45746 L
.50722 .45896 L
.50731 .45907 L
.50851 .46067 L
.50883 .46106 L
.50972 .46228 L
.51043 .46317 L
.51095 .46388 L
.51204 .46527 L
.5122 .46549 L
.51339 .46709 L
.51364 .46741 L
.51455 .4687 L
.51525 .46959 L
.51575 .4703 L
.51686 .47175 L
.51697 .47191 L
.51808 .47351 L
.51846 .474 L
.51917 .47512 L
.52007 .47633 L
.52029 .47672 L
.52007 .47734 L
.51954 .47672 L
.51846 .47558 L
.51808 .47512 L
.51686 .47371 L
.51669 .47351 L
.51536 .47191 L
.51525 .47178 L
.51407 .4703 L
.51364 .46982 L
.51276 .4687 L
.51204 .46783 L
.51146 .46709 L
.51043 .46584 L
.51016 .46549 L
.50889 .46388 L
.50883 .46381 L
.50764 .46228 L
.50722 .46176 L
.50639 .46067 L
.50562 .45971 L
.50513 .45907 L
.50401 .45785 L
.50387 .45746 L
.50265 .45586 L
.50241 .45556 L
.50143 .45425 L
.5008 .45345 L
.5002 .45265 L
.4992 .45135 L
.49897 .45104 L
.49777 .44943 L
.49759 .44921 L
.4966 .44783 L
.49599 .44704 L
.49541 .44622 L
.49438 .44487 L
.49421 .44462 L
.49308 .44301 L
.49278 .44262 L
.49199 .44141 L
.49117 .44029 L
.49087 .4398 L
F
0 .7 1 r
.49117 .43248 m
.49202 .43338 L
.49278 .43412 L
.49353 .43499 L
.49438 .4359 L
.49497 .43659 L
.49599 .43775 L
.49636 .4382 L
.49759 .43959 L
.49791 .4398 L
.49905 .44141 L
.4992 .44157 L
.50036 .44301 L
.5008 .44353 L
.50168 .44462 L
.50241 .44521 L
.50298 .44622 L
.50401 .44743 L
.50445 .44783 L
.50557 .44943 L
.50562 .44949 L
.50684 .45104 L
.50722 .45151 L
.50811 .45265 L
.50883 .45336 L
.50989 .45425 L
.51043 .45553 L
.51073 .45586 L
.51192 .45746 L
.51204 .45761 L
.51316 .45907 L
.51364 .45934 L
.51442 .46067 L
.51525 .46162 L
.51589 .46228 L
.51686 .46377 L
.51695 .46388 L
.51817 .46549 L
.51846 .46585 L
.5194 .46709 L
.52007 .46771 L
.52112 .4687 L
.52167 .46995 L
.52197 .4703 L
.52313 .47191 L
.52328 .47209 L
.52435 .47351 L
.52488 .47376 L
.52559 .47512 L
.52649 .47615 L
.52701 .47672 L
.52806 .47833 L
.52809 .47837 L
.52927 .47993 L
.5297 .48048 L
.53048 .48154 L
.5313 .48235 L
.53209 .48314 L
.53291 .48468 L
.53296 .48475 L
.53414 .48636 L
.53451 .48683 L
.53534 .48796 L
.53612 .48897 L
.53656 .48957 L
.53772 .49106 L
.53782 .49117 L
.53895 .49278 L
.53933 .49326 L
.54013 .49438 L
.54093 .49543 L
.54133 .49599 L
.54254 .49759 L
.54254 .49759 L
.54366 .4992 L
.54414 .49983 L
.54481 .5008 L
.54575 .50207 L
.54598 .50241 L
.54709 .50401 L
.54735 .50438 L
.54811 .50562 L
.54896 .50686 L
.54915 .50722 L
.54896 .50799 L
.5482 .50722 L
.54735 .50641 L
.54664 .50562 L
.54575 .50466 L
.54519 .50401 L
.54414 .50323 L
.54378 .50241 L
.54254 .50099 L
.54227 .5008 L
.54107 .4992 L
.54093 .49904 L
.53974 .49759 L
.53933 .4971 L
.53842 .49599 L
.53772 .49537 L
.5371 .49438 L
.53612 .49321 L
.53567 .49278 L
.53451 .49118 L
.53451 .49117 L
.53323 .48957 L
.53291 .48917 L
.53194 .48796 L
.5313 .48728 L
.53027 .48636 L
.5297 .48515 L
.52935 .48475 L
.52813 .48314 L
.52809 .4831 L
.52687 .48154 L
.52649 .48127 L
.52561 .47993 L
.52488 .47908 L
.52419 .47833 L
.52328 .47696 L
.5231 .47672 L
.52185 .47512 L
.52167 .47489 L
.52061 .47351 L
.52007 .47297 L
.519 .47191 L
.51846 .47078 L
.51807 .4703 L
.51688 .4687 L
.51686 .46866 L
.51565 .46709 L
.51525 .46686 L
.51442 .46549 L
.51364 .46458 L
.51304 .46388 L
.51204 .4624 L
.51195 .46228 L
.51074 .46067 L
.51043 .46028 L
.50952 .45907 L
.50883 .45837 L
.50797 .45746 L
.50722 .45609 L
.50704 .45586 L
.50587 .45425 L
.50562 .45393 L
.50467 .45265 L
.50401 .45221 L
.50346 .45104 L
.50241 .44972 L
.50218 .44943 L
.50106 .44783 L
.5008 .44749 L
.49988 .44622 L
.4992 .44531 L
.49869 .44462 L
.49759 .44321 L
.49743 .44301 L
.49636 .44141 L
.49599 .44091 L
.49522 .4398 L
.49438 .43865 L
.49407 .4382 L
.49295 .43659 L
.49278 .43635 L
.49192 .43499 L
.49117 .43389 L
.49088 .43338 L
F
1 .48 0 r
.49117 .53708 m
.49165 .53772 L
.49278 .53905 L
.49298 .53933 L
.49278 .54024 L
.49217 .53933 L
.49117 .53813 L
.4909 .53772 L
F
0 .75 1 r
.49117 .53037 m
.49198 .5313 L
.49278 .53215 L
.49342 .53291 L
.49438 .534 L
.4948 .53451 L
.49599 .53591 L
.49616 .53612 L
.49747 .53772 L
.49759 .53786 L
.49877 .53933 L
.4992 .53983 L
.50008 .54093 L
.5008 .54182 L
.50138 .54254 L
.50241 .54363 L
.50267 .54414 L
.50394 .54575 L
.50401 .54584 L
.50519 .54735 L
.50562 .54788 L
.50646 .54896 L
.50722 .54992 L
.50772 .55057 L
.50883 .55191 L
.50911 .55217 L
.51021 .55378 L
.51043 .55406 L
.51144 .55538 L
.51204 .55614 L
.51269 .55699 L
.51364 .55798 L
.51392 .55859 L
.51514 .5602 L
.51525 .56033 L
.51634 .5618 L
.51686 .56246 L
.51756 .56341 L
.51846 .56459 L
.51878 .56501 L
.51998 .56662 L
.52007 .56673 L
.52114 .56822 L
.52167 .56892 L
.52232 .56983 L
.52328 .57111 L
.52351 .57143 L
.52464 .57304 L
.52488 .57336 L
.52573 .57464 L
.52649 .57569 L
.52684 .57625 L
.52649 .57715 L
.52573 .57625 L
.52488 .57536 L
.52431 .57464 L
.52328 .57348 L
.52292 .57304 L
.52167 .57157 L
.52156 .57143 L
.52026 .56983 L
.52007 .5696 L
.51899 .56822 L
.51846 .56761 L
.5177 .56662 L
.51686 .56561 L
.5164 .56501 L
.51525 .56375 L
.5151 .56341 L
.51384 .5618 L
.51364 .56157 L
.5126 .5602 L
.51204 .55951 L
.51135 .55859 L
.51043 .55746 L
.51008 .55699 L
.50883 .55543 L
.50878 .55538 L
.50759 .55378 L
.50722 .55332 L
.50637 .55217 L
.50562 .55123 L
.50513 .55057 L
.50401 .54932 L
.50387 .54896 L
.50266 .54735 L
.50241 .54704 L
.50147 .54575 L
.5008 .54491 L
.50025 .54414 L
.4992 .54279 L
.49902 .54254 L
.49782 .54093 L
.49759 .54064 L
.49666 .53933 L
.49599 .53846 L
.49547 .53772 L
.49438 .53629 L
.49426 .53612 L
.49314 .53451 L
.49278 .53404 L
.49204 .53291 L
.49117 .53173 L
.49091 .5313 L
F
1 .86 .013 r
.49117 .42583 m
.49235 .42696 L
.49278 .42735 L
.4939 .42857 L
.49438 .42906 L
.49537 .43017 L
.49599 .43084 L
.4968 .43178 L
.49759 .43255 L
.49819 .43338 L
.4992 .43455 L
.4997 .43499 L
.5008 .43649 L
.50089 .43659 L
.50222 .4382 L
.50241 .43829 L
.50354 .4398 L
.50401 .44033 L
.50525 .44141 L
.50562 .44237 L
.5062 .44301 L
.50722 .44439 L
.50739 .44462 L
.50872 .44622 L
.50883 .44632 L
.51 .44783 L
.51043 .44835 L
.51143 .44943 L
.51204 .45043 L
.51252 .45104 L
.51364 .45248 L
.51373 .45265 L
.51507 .45425 L
.51525 .45445 L
.51661 .45586 L
.51686 .45652 L
.51763 .45746 L
.51846 .45862 L
.51876 .45907 L
.52007 .46065 L
.52009 .46067 L
.52134 .46228 L
.52167 .46267 L
.52273 .46388 L
.52328 .46478 L
.52381 .46549 L
.52488 .46687 L
.52498 .46709 L
.52632 .4687 L
.52649 .46887 L
.52783 .4703 L
.52809 .47097 L
.52885 .47191 L
.5297 .47309 L
.52997 .47351 L
.53128 .47512 L
.5313 .47513 L
.53251 .47672 L
.53291 .47717 L
.5339 .47833 L
.53451 .4793 L
.53498 .47993 L
.53612 .48141 L
.53617 .48154 L
.53745 .48314 L
.53772 .48339 L
.53898 .48475 L
.53933 .48553 L
.53999 .48636 L
.54093 .48767 L
.54112 .48796 L
.54238 .48957 L
.54254 .48964 L
.54361 .49117 L
.54414 .49176 L
.54501 .49278 L
.54575 .49393 L
.54608 .49438 L
.5473 .49599 L
.54735 .49605 L
.54852 .49759 L
.54896 .49797 L
.55007 .4992 L
.55057 .50019 L
.55105 .5008 L
.55217 .50235 L
.5522 .50241 L
.55342 .50401 L
.55378 .50415 L
.55463 .50562 L
.55538 .50644 L
.55602 .50722 L
.55699 .50867 L
.5571 .50883 L
.5583 .51043 L
.55859 .51081 L
.5595 .51204 L
.5602 .51268 L
.56102 .51364 L
.5618 .51501 L
.56198 .51525 L
.56314 .51686 L
.56341 .5172 L
.56433 .51846 L
.56501 .51934 L
.56554 .52007 L
.56662 .52141 L
.56682 .52167 L
.56794 .52328 L
.56822 .52365 L
.5691 .52488 L
.56983 .52584 L
.57029 .52649 L
.57143 .52796 L
.57153 .52809 L
.57262 .5297 L
.57304 .53026 L
.57375 .5313 L
.57464 .53253 L
.57489 .53291 L
.57599 .53451 L
.57625 .53488 L
.57699 .53612 L
.57785 .53745 L
.57799 .53772 L
.57785 .53863 L
.57684 .53772 L
.57625 .53719 L
.57523 .53612 L
.57464 .53552 L
.57373 .53451 L
.57304 .53376 L
.57229 .53291 L
.57143 .53203 L
.57089 .5313 L
.56983 .53006 L
.56942 .5297 L
.56822 .52815 L
.56817 .52809 L
.56683 .52649 L
.56662 .52635 L
.56549 .52488 L
.56501 .52432 L
.56389 .52328 L
.56341 .5223 L
.56287 .52167 L
.5618 .5203 L
.56165 .52007 L
.56028 .51846 L
.5602 .51837 L
.55899 .51686 L
.55859 .51635 L
.55763 .51525 L
.55699 .51428 L
.55652 .51364 L
.55538 .51223 L
.55532 .51204 L
.5539 .51043 L
.55378 .51028 L
.55247 .50883 L
.55217 .50821 L
.55139 .50722 L
.55057 .50612 L
.55027 .50562 L
.54896 .50408 L
.54886 .50401 L
.54761 .50241 L
.54735 .50208 L
.5463 .5008 L
.54575 .49998 L
.5452 .4992 L
.54414 .49788 L
.54407 .49759 L
.54263 .49599 L
.54254 .49589 L
.54123 .49438 L
.54093 .4938 L
.54015 .49278 L
.53933 .49168 L
.53904 .49117 L
.53772 .48962 L
.53766 .48957 L
.53615 .48796 L
.53612 .4876 L
.53511 .48636 L
.53451 .48547 L
.53402 .48475 L
.53291 .48337 L
.53286 .48314 L
.53148 .48154 L
.5313 .48136 L
.53006 .47993 L
.5297 .47925 L
.529 .47833 L
.52809 .47712 L
.52788 .47672 L
.52654 .47512 L
.52649 .47508 L
.52498 .47351 L
.52488 .47301 L
.52399 .47191 L
.52328 .47086 L
.5229 .4703 L
.52167 .46875 L
.52166 .4687 L
.5204 .46709 L
.52007 .46677 L
.51896 .46549 L
.51846 .4646 L
.51793 .46388 L
.51686 .46245 L
.51677 .46228 L
.51551 .46067 L
.51525 .46053 L
.51386 .45907 L
.51364 .45833 L
.51296 .45746 L
.51204 .45614 L
.51185 .45586 L
.51063 .45425 L
.51043 .45399 L
.50942 .45265 L
.50883 .45207 L
.50797 .45104 L
.50722 .4498 L
.50696 .44943 L
.50579 .44783 L
.50562 .44761 L
.5046 .44622 L
.50401 .44584 L
.50296 .44462 L
.50241 .4434 L
.50212 .44301 L
.501 .44141 L
.5008 .44115 L
.49983 .4398 L
.4992 .43896 L
.49865 .4382 L
.49759 .43687 L
.49738 .43659 L
.49632 .43499 L
.49599 .43453 L
.4952 .43338 L
.49438 .43226 L
.49405 .43178 L
.49295 .43017 L
.49278 .42993 L
.49193 .42857 L
.49117 .42741 L
.49092 .42696 L
F
.018 .87 1 r
.49117 .50812 m
.49182 .50883 L
.49278 .50987 L
.49318 .51043 L
.49438 .51197 L
.49443 .51204 L
.49438 .51299 L
.49349 .51204 L
.49278 .51126 L
.49213 .51043 L
.49117 .50916 L
.49095 .50883 L
F
1 .88 .024 r
.49117 .50228 m
.49213 .50241 L
.49278 .50273 L
.49428 .50401 L
.49438 .50411 L
.49574 .50562 L
.49599 .5059 L
.49706 .50722 L
.49759 .5075 L
.49835 .50883 L
.4992 .50971 L
.49994 .51043 L
.5008 .51192 L
.5009 .51204 L
.50208 .51364 L
.50241 .51407 L
.50327 .51525 L
.50401 .51623 L
.50446 .51686 L
.50562 .5184 L
.50566 .51846 L
.50671 .52007 L
.50722 .52082 L
.50773 .52167 L
.50855 .52328 L
.50722 .52366 L
.5069 .52328 L
.50562 .52221 L
.50509 .52167 L
.50401 .52053 L
.50334 .52007 L
.50241 .51873 L
.50212 .51846 L
.5008 .51689 L
.50078 .51686 L
.49943 .51525 L
.4992 .51503 L
.49769 .51364 L
.49759 .51299 L
.49681 .51204 L
.49599 .51088 L
.49571 .51043 L
.49443 .50883 L
.49438 .50876 L
.49326 .50722 L
.49278 .50651 L
.49197 .50562 L
.49124 .50401 L
.49117 .50385 L
.49098 .50241 L
F
1 .56 0 r
.49117 .43938 m
.49152 .4398 L
.49278 .44107 L
.49304 .44141 L
.49438 .44292 L
.49446 .44301 L
.49577 .44462 L
.49599 .44486 L
.49706 .44622 L
.49759 .44683 L
.49836 .44783 L
.4992 .44882 L
.49967 .44943 L
.5008 .45081 L
.50097 .45104 L
.50224 .45265 L
.50241 .45285 L
.50347 .45425 L
.50401 .45491 L
.50472 .45586 L
.50562 .45696 L
.50599 .45746 L
.50722 .45902 L
.50726 .45907 L
.50846 .46067 L
.50883 .46113 L
.50967 .46228 L
.51043 .46324 L
.5109 .46388 L
.51204 .46534 L
.51215 .46549 L
.51333 .46709 L
.51364 .46749 L
.51449 .4687 L
.51525 .46967 L
.51568 .4703 L
.51686 .47184 L
.5169 .47191 L
.51798 .47351 L
.51846 .47414 L
.51904 .47512 L
.52007 .47655 L
.52015 .47672 L
.52007 .47709 L
.51973 .47672 L
.51846 .47544 L
.51819 .47512 L
.51686 .47361 L
.51678 .47351 L
.51545 .47191 L
.51525 .47168 L
.51415 .4703 L
.51364 .46973 L
.51283 .4687 L
.51204 .46775 L
.51152 .46709 L
.51043 .46576 L
.51022 .46549 L
.50895 .46388 L
.50883 .46374 L
.5077 .46228 L
.50722 .46169 L
.50644 .46067 L
.50562 .45964 L
.50518 .45907 L
.50401 .45771 L
.50392 .45746 L
.50271 .45586 L
.50241 .45548 L
.50149 .45425 L
.5008 .45338 L
.50026 .45265 L
.4992 .45127 L
.49902 .45104 L
.49784 .44943 L
.49759 .44912 L
.49667 .44783 L
.49599 .44695 L
.49548 .44622 L
.49438 .44477 L
.49428 .44462 L
.49319 .44301 L
.49278 .44247 L
.49211 .44141 L
.49117 .44008 L
.49102 .4398 L
F
0 .69 1 r
.49117 .43273 m
.49184 .43338 L
.49278 .43425 L
.49342 .43499 L
.49438 .436 L
.49488 .43659 L
.49599 .43783 L
.49629 .4382 L
.49759 .43968 L
.49778 .4398 L
.499 .44141 L
.4992 .44164 L
.50031 .44301 L
.5008 .44359 L
.50163 .44462 L
.50241 .44526 L
.50294 .44622 L
.50401 .44748 L
.50439 .44783 L
.50553 .44943 L
.50562 .44954 L
.5068 .45104 L
.50722 .45155 L
.50808 .45265 L
.50883 .4534 L
.50985 .45425 L
.51043 .45557 L
.5107 .45586 L
.51189 .45746 L
.51204 .45765 L
.51313 .45907 L
.51364 .45936 L
.51439 .46067 L
.51525 .46165 L
.51586 .46228 L
.51686 .4638 L
.51692 .46388 L
.51814 .46549 L
.51846 .46589 L
.51938 .46709 L
.52007 .46774 L
.52109 .4687 L
.52167 .46999 L
.52194 .4703 L
.52311 .47191 L
.52328 .47212 L
.52433 .47351 L
.52488 .47378 L
.52556 .47512 L
.52649 .47619 L
.52698 .47672 L
.52804 .47833 L
.52809 .4784 L
.52924 .47993 L
.5297 .48052 L
.53046 .48154 L
.5313 .48239 L
.53204 .48314 L
.53291 .48473 L
.53293 .48475 L
.53411 .48636 L
.53451 .48687 L
.53531 .48796 L
.53612 .48901 L
.53653 .48957 L
.53772 .49112 L
.53777 .49117 L
.53892 .49278 L
.53933 .49331 L
.54009 .49438 L
.54093 .49548 L
.54129 .49599 L
.54249 .49759 L
.54254 .49765 L
.54361 .4992 L
.54414 .4999 L
.54476 .5008 L
.54575 .50215 L
.54592 .50241 L
.547 .50401 L
.54735 .50451 L
.548 .50562 L
.54896 .50712 L
.54901 .50722 L
.54896 .50768 L
.54842 .50722 L
.54735 .50627 L
.54676 .50562 L
.54575 .50455 L
.54528 .50401 L
.54414 .50308 L
.54386 .50241 L
.54254 .50089 L
.54241 .5008 L
.54114 .4992 L
.54093 .49897 L
.5398 .49759 L
.53933 .49704 L
.53847 .49599 L
.53772 .49531 L
.53715 .49438 L
.53612 .49315 L
.53573 .49278 L
.53455 .49117 L
.53451 .49113 L
.53327 .48957 L
.53291 .48913 L
.53198 .48796 L
.5313 .48723 L
.53031 .48636 L
.5297 .48511 L
.52938 .48475 L
.52816 .48314 L
.52809 .48306 L
.5269 .48154 L
.52649 .48124 L
.52564 .47993 L
.52488 .47904 L
.52423 .47833 L
.52328 .47692 L
.52313 .47672 L
.52188 .47512 L
.52167 .47485 L
.52064 .47351 L
.52007 .47293 L
.51903 .47191 L
.51846 .47074 L
.5181 .4703 L
.51691 .4687 L
.51686 .46863 L
.51568 .46709 L
.51525 .46683 L
.51445 .46549 L
.51364 .46454 L
.51307 .46388 L
.51204 .46236 L
.51198 .46228 L
.51077 .46067 L
.51043 .46024 L
.50955 .45907 L
.50883 .45833 L
.50801 .45746 L
.50722 .45604 L
.50708 .45586 L
.5059 .45425 L
.50562 .45388 L
.5047 .45265 L
.50401 .45216 L
.50349 .45104 L
.50241 .44966 L
.50222 .44943 L
.5011 .44783 L
.5008 .44744 L
.49993 .44622 L
.4992 .44526 L
.49874 .44462 L
.49759 .44311 L
.49751 .44301 L
.49642 .44141 L
.49599 .44083 L
.49528 .4398 L
.49438 .43857 L
.49413 .4382 L
.49304 .43659 L
.49278 .43622 L
.49203 .43499 L
.49117 .43368 L
.49102 .43338 L
F
1 .47 0 r
.49117 .53726 m
.4915 .53772 L
.49278 .5392 L
.49287 .53933 L
.49278 .54007 L
.49232 .53933 L
.49117 .53797 L
.49102 .53772 L
F
0 .64 1 r
.49117 .44608 m
.49125 .44622 L
.49117 .44641 L
.49105 .44622 L
F
0 .74 1 r
.49117 .53068 m
.49175 .5313 L
.49278 .53234 L
.49326 .53291 L
.49438 .53416 L
.49468 .53451 L
.49599 .53605 L
.49605 .53612 L
.49736 .53772 L
.49759 .53799 L
.49867 .53933 L
.4992 .53995 L
.49999 .54093 L
.5008 .54192 L
.50129 .54254 L
.50241 .54378 L
.50259 .54414 L
.50385 .54575 L
.50401 .54594 L
.50511 .54735 L
.50562 .54798 L
.50638 .54896 L
.50722 .55002 L
.50765 .55057 L
.50883 .55203 L
.50898 .55217 L
.51014 .55378 L
.51043 .55415 L
.51137 .55538 L
.51204 .55623 L
.51261 .55699 L
.51364 .55812 L
.51385 .55859 L
.51506 .5602 L
.51525 .56043 L
.51627 .5618 L
.51686 .56256 L
.51748 .56341 L
.51846 .56469 L
.5187 .56501 L
.51988 .56662 L
.52007 .56685 L
.52104 .56822 L
.52167 .56905 L
.52222 .56983 L
.52328 .57125 L
.5234 .57143 L
.5245 .57304 L
.52488 .57356 L
.52557 .57464 L
.52649 .57596 L
.52665 .57625 L
.52649 .57685 L
.52596 .57625 L
.52488 .57517 L
.52445 .57464 L
.52328 .57334 L
.52303 .57304 L
.52167 .57145 L
.52166 .57143 L
.52037 .56983 L
.52007 .56949 L
.51908 .56822 L
.51846 .56751 L
.51777 .56662 L
.51686 .56552 L
.51647 .56501 L
.51525 .5636 L
.51517 .56341 L
.51392 .5618 L
.51364 .56148 L
.51267 .5602 L
.51204 .55943 L
.51141 .55859 L
.51043 .55738 L
.51014 .55699 L
.50887 .55538 L
.50883 .55533 L
.50766 .55378 L
.50722 .55324 L
.50643 .55217 L
.50562 .55115 L
.50519 .55057 L
.50401 .54918 L
.50393 .54896 L
.50273 .54735 L
.50241 .54695 L
.50154 .54575 L
.5008 .54482 L
.50032 .54414 L
.4992 .5427 L
.49908 .54254 L
.4979 .54093 L
.49759 .54054 L
.49675 .53933 L
.49599 .53835 L
.49556 .53772 L
.49438 .53617 L
.49435 .53612 L
.49327 .53451 L
.49278 .53386 L
.49219 .53291 L
.49117 .53148 L
.49108 .5313 L
F
.045 .9 1 r
.49278 .47601 m
.49338 .47672 L
.49438 .4776 L
.49508 .47833 L
.49599 .47932 L
.49682 .47993 L
.49759 .48115 L
.49798 .48154 L
.4992 .48303 L
.49928 .48314 L
.50065 .48475 L
.5008 .48489 L
.50234 .48636 L
.50241 .48693 L
.50325 .48796 L
.50401 .48903 L
.50435 .48957 L
.50562 .49114 L
.50562 .49117 L
.50681 .49278 L
.50722 .49337 L
.50813 .49438 L
.50883 .49588 L
.50889 .49599 L
.50933 .49759 L
.50883 .49796 L
.50754 .49759 L
.50722 .49741 L
.50562 .49599 L
.50561 .49599 L
.50419 .49438 L
.50401 .49418 L
.50288 .49278 L
.50241 .49254 L
.5016 .49117 L
.5008 .49035 L
.5 .48957 L
.4992 .48815 L
.49904 .48796 L
.49787 .48636 L
.49759 .48599 L
.49668 .48475 L
.49599 .48384 L
.49549 .48314 L
.49438 .48174 L
.49425 .48154 L
.4932 .47993 L
.49278 .47932 L
.49216 .47833 L
.49122 .47672 L
F
1 .54 0 r
.49278 .48308 m
.49284 .48314 L
.49428 .48475 L
.49438 .48486 L
.49561 .48636 L
.49599 .48681 L
.49686 .48796 L
.49759 .48892 L
.49805 .48957 L
.49912 .49117 L
.49759 .49129 L
.49749 .49117 L
.49607 .48957 L
.49599 .48947 L
.49481 .48796 L
.49438 .48744 L
.4936 .48636 L
.49278 .48527 L
.49242 .48475 L
.49136 .48314 L
F
1 .87 .018 r
.49278 .50288 m
.49417 .50401 L
.49438 .50421 L
.49566 .50562 L
.49599 .50598 L
.49701 .50722 L
.49759 .50755 L
.4983 .50883 L
.4992 .50978 L
.49987 .51043 L
.5008 .51199 L
.50085 .51204 L
.50203 .51364 L
.50241 .51414 L
.50322 .51525 L
.50401 .51631 L
.50441 .51686 L
.50557 .51846 L
.50562 .51852 L
.50662 .52007 L
.50722 .52098 L
.50762 .52167 L
.50821 .52328 L
.50722 .52328 L
.50722 .52328 L
.50562 .52204 L
.50525 .52167 L
.50401 .52041 L
.50349 .52007 L
.50241 .51864 L
.50222 .51846 L
.50084 .51686 L
.5008 .51681 L
.4995 .51525 L
.4992 .51496 L
.49771 .51364 L
.49759 .5129 L
.49688 .51204 L
.49599 .51079 L
.49576 .51043 L
.49451 .50883 L
.49438 .50866 L
.49334 .50722 L
.49278 .50638 L
.49207 .50562 L
.49137 .50401 L
F
.033 .89 1 r
.49278 .47631 m
.49313 .47672 L
.49438 .47777 L
.49493 .47833 L
.49599 .47945 L
.49669 .47993 L
.49759 .48125 L
.49789 .48154 L
.4992 .4831 L
.49923 .48314 L
.50058 .48475 L
.5008 .48497 L
.50232 .48636 L
.50241 .48701 L
.50319 .48796 L
.50401 .48912 L
.5043 .48957 L
.50557 .49117 L
.50562 .49124 L
.50674 .49278 L
.50722 .49349 L
.50804 .49438 L
.50876 .49599 L
.50883 .49616 L
.50901 .49759 L
.50883 .49772 L
.50788 .49759 L
.50722 .49727 L
.50572 .49599 L
.50562 .49589 L
.50427 .49438 L
.50401 .4941 L
.50294 .49278 L
.50241 .4925 L
.50165 .49117 L
.5008 .49028 L
.50006 .48957 L
.4992 .48808 L
.4991 .48796 L
.49792 .48636 L
.49759 .48593 L
.49673 .48475 L
.49599 .48376 L
.49554 .48314 L
.49438 .48159 L
.49435 .48154 L
.49329 .47993 L
.49278 .47918 L
.49227 .47833 L
.49145 .47672 L
F
1 .86 .013 r
.49278 .50302 m
.49405 .50401 L
.49438 .50431 L
.49559 .50562 L
.49599 .50605 L
.49695 .50722 L
.49759 .5076 L
.49825 .50883 L
.4992 .50985 L
.4998 .51043 L
.50079 .51204 L
.5008 .51206 L
.50198 .51364 L
.50241 .5142 L
.50317 .51525 L
.50401 .51638 L
.50435 .51686 L
.5055 .51846 L
.50562 .51863 L
.50653 .52007 L
.50722 .52117 L
.50749 .52167 L
.50722 .52301 L
.50562 .52186 L
.50543 .52167 L
.50401 .52028 L
.50366 .52007 L
.50241 .51854 L
.50231 .51846 L
.50093 .51686 L
.5008 .51671 L
.49958 .51525 L
.4992 .51488 L
.49775 .51364 L
.49759 .51281 L
.49694 .51204 L
.49599 .51071 L
.49582 .51043 L
.49458 .50883 L
.49438 .50856 L
.49342 .50722 L
.49278 .50625 L
.49218 .50562 L
.49152 .50401 L
F
1 .85 .01 r
.49278 .50318 m
.49392 .50401 L
.49438 .50442 L
.49551 .50562 L
.49599 .50613 L
.49689 .50722 L
.49759 .50766 L
.4982 .50883 L
.4992 .50993 L
.49972 .51043 L
.50074 .51204 L
.5008 .51212 L
.50193 .51364 L
.50241 .51427 L
.50311 .51525 L
.50401 .51646 L
.50429 .51686 L
.50542 .51846 L
.50562 .51875 L
.50643 .52007 L
.50722 .52141 L
.50735 .52167 L
.50722 .52269 L
.50562 .52167 L
.50562 .52167 L
.50401 .52015 L
.50386 .52007 L
.50242 .51846 L
.50241 .51845 L
.50101 .51686 L
.5008 .51661 L
.49966 .51525 L
.4992 .51481 L
.49779 .51364 L
.49759 .51273 L
.49701 .51204 L
.49599 .51062 L
.49587 .51043 L
.49465 .50883 L
.49438 .50845 L
.4935 .50722 L
.49278 .50611 L
.4923 .50562 L
.49167 .50401 L
F
.024 .88 1 r
.49278 .47668 m
.49281 .47672 L
.49438 .47794 L
.49477 .47833 L
.49599 .47958 L
.49654 .47993 L
.49759 .48135 L
.49779 .48154 L
.49917 .48314 L
.4992 .48318 L
.5005 .48475 L
.5008 .48504 L
.5023 .48636 L
.50241 .4871 L
.50313 .48796 L
.50401 .4892 L
.50424 .48957 L
.5055 .49117 L
.50562 .49134 L
.50666 .49278 L
.50722 .49362 L
.50794 .49438 L
.50862 .49599 L
.50722 .49712 L
.50583 .49599 L
.50562 .49579 L
.50434 .49438 L
.50401 .49402 L
.50299 .49278 L
.50241 .49245 L
.5017 .49117 L
.5008 .49022 L
.50013 .48957 L
.4992 .48801 L
.49916 .48796 L
.49797 .48636 L
.49759 .48586 L
.49678 .48475 L
.49599 .48369 L
.4956 .48314 L
.49443 .48154 L
.49438 .48147 L
.49338 .47993 L
.49278 .47902 L
.49238 .47833 L
.49178 .47672 L
F
1 .84 .007 r
.49278 .50334 m
.49377 .50401 L
.49438 .50453 L
.49542 .50562 L
.49599 .50622 L
.49683 .50722 L
.49759 .50773 L
.49815 .50883 L
.4992 .51 L
.49964 .51043 L
.50068 .51204 L
.5008 .51219 L
.50187 .51364 L
.50241 .51434 L
.50306 .51525 L
.50401 .51654 L
.50424 .51686 L
.50533 .51846 L
.50562 .51888 L
.50632 .52007 L
.50562 .52149 L
.50406 .52007 L
.50401 .52002 L
.50253 .51846 L
.50241 .51833 L
.5011 .51686 L
.5008 .51651 L
.49974 .51525 L
.4992 .51473 L
.49785 .51364 L
.49759 .51264 L
.49708 .51204 L
.49599 .51052 L
.49593 .51043 L
.49473 .50883 L
.49438 .50834 L
.49359 .50722 L
.49278 .50596 L
.49244 .50562 L
.49183 .50401 L
F
1 .83 .005 r
.49278 .50351 m
.4936 .50401 L
.49438 .50463 L
.49534 .50562 L
.49599 .5063 L
.49676 .50722 L
.49759 .50781 L
.4981 .50883 L
.4992 .51009 L
.49956 .51043 L
.50063 .51204 L
.5008 .51226 L
.50182 .51364 L
.50241 .51442 L
.503 .51525 L
.50401 .51662 L
.50417 .51686 L
.50525 .51846 L
.50562 .51902 L
.50621 .52007 L
.50562 .52129 L
.50422 .52007 L
.50401 .51988 L
.50264 .51846 L
.50241 .51822 L
.50119 .51686 L
.5008 .51641 L
.49982 .51525 L
.4992 .51465 L
.49791 .51364 L
.49759 .51254 L
.49716 .51204 L
.49599 .51043 L
.49599 .51043 L
.4948 .50883 L
.49438 .50823 L
.49367 .50722 L
.49278 .5058 L
.4926 .50562 L
.49202 .50401 L
F
1 .85 .01 r
.49278 .42762 m
.49369 .42857 L
.49438 .42925 L
.49521 .43017 L
.49599 .431 L
.49667 .43178 L
.49759 .43269 L
.49808 .43338 L
.4992 .43467 L
.49957 .43499 L
.5008 .43659 L
.50081 .43659 L
.50214 .4382 L
.50241 .43833 L
.50347 .4398 L
.50401 .4404 L
.50519 .44141 L
.50562 .44244 L
.50614 .44301 L
.50722 .44445 L
.50735 .44462 L
.50867 .44622 L
.50883 .44637 L
.50995 .44783 L
.51043 .44841 L
.51139 .44943 L
.51204 .45048 L
.51248 .45104 L
.51364 .45252 L
.51371 .45265 L
.51503 .45425 L
.51525 .45448 L
.51659 .45586 L
.51686 .45656 L
.5176 .45746 L
.51846 .45866 L
.51874 .45907 L
.52006 .46067 L
.52007 .46067 L
.52131 .46228 L
.52167 .4627 L
.5227 .46388 L
.52328 .46481 L
.52379 .46549 L
.52488 .4669 L
.52497 .46709 L
.52629 .4687 L
.52649 .46889 L
.52781 .4703 L
.52809 .47099 L
.52883 .47191 L
.5297 .47311 L
.52996 .47351 L
.53126 .47512 L
.5313 .47515 L
.53249 .47672 L
.53291 .47719 L
.53388 .47833 L
.53451 .47933 L
.53496 .47993 L
.53612 .48143 L
.53616 .48154 L
.53743 .48314 L
.53772 .48341 L
.53897 .48475 L
.53933 .48555 L
.53997 .48636 L
.54093 .48769 L
.5411 .48796 L
.54236 .48957 L
.54254 .48965 L
.54359 .49117 L
.54414 .49178 L
.54499 .49278 L
.54575 .49395 L
.54606 .49438 L
.54728 .49599 L
.54735 .49608 L
.5485 .49759 L
.54896 .49799 L
.55005 .4992 L
.55057 .50021 L
.55102 .5008 L
.55217 .50238 L
.55219 .50241 L
.55339 .50401 L
.55378 .50417 L
.55461 .50562 L
.55538 .50647 L
.556 .50722 L
.55699 .5087 L
.55707 .50883 L
.55827 .51043 L
.55859 .51085 L
.55947 .51204 L
.5602 .51273 L
.56098 .51364 L
.5618 .51506 L
.56195 .51525 L
.56311 .51686 L
.56341 .51724 L
.5643 .51846 L
.56501 .51939 L
.5655 .52007 L
.56662 .52148 L
.56676 .52167 L
.56788 .52328 L
.56822 .52372 L
.56905 .52488 L
.56983 .52591 L
.57024 .52649 L
.57143 .52809 L
.57143 .5281 L
.57254 .5297 L
.57304 .53038 L
.57366 .5313 L
.57464 .53267 L
.5748 .53291 L
.57584 .53451 L
.57625 .53512 L
.57679 .53612 L
.57625 .5369 L
.57547 .53612 L
.57464 .53531 L
.57391 .53451 L
.57304 .53359 L
.57243 .53291 L
.57143 .53188 L
.57101 .5313 L
.56983 .52994 L
.56955 .5297 L
.56826 .52809 L
.56822 .52805 L
.56691 .52649 L
.56662 .52629 L
.56557 .52488 L
.56501 .52424 L
.56395 .52328 L
.56341 .52222 L
.56293 .52167 L
.5618 .52023 L
.56169 .52007 L
.56034 .51846 L
.5602 .51832 L
.55904 .51686 L
.55859 .51629 L
.55767 .51525 L
.55699 .51423 L
.55656 .51364 L
.55538 .51219 L
.55533 .51204 L
.55394 .51043 L
.55378 .51024 L
.55249 .50883 L
.55217 .50817 L
.55143 .50722 L
.55057 .50608 L
.5503 .50562 L
.54896 .50406 L
.5489 .50401 L
.54764 .50241 L
.54735 .50205 L
.54633 .5008 L
.54575 .49994 L
.54523 .4992 L
.54414 .49785 L
.54408 .49759 L
.54265 .49599 L
.54254 .49586 L
.54124 .49438 L
.54093 .49377 L
.54017 .49278 L
.53933 .49165 L
.53906 .49117 L
.53772 .4896 L
.53768 .48957 L
.53616 .48796 L
.53612 .48757 L
.53513 .48636 L
.53451 .48545 L
.53404 .48475 L
.53291 .48334 L
.53286 .48314 L
.5315 .48154 L
.5313 .48134 L
.53008 .47993 L
.5297 .47922 L
.52902 .47833 L
.52809 .47709 L
.5279 .47672 L
.52657 .47512 L
.52649 .47507 L
.52498 .47351 L
.52488 .47299 L
.52401 .47191 L
.52328 .47084 L
.52292 .4703 L
.52167 .46873 L
.52167 .4687 L
.52043 .46709 L
.52007 .46675 L
.51898 .46549 L
.51846 .46457 L
.51795 .46388 L
.51686 .46242 L
.51678 .46228 L
.51553 .46067 L
.51525 .46051 L
.51388 .45907 L
.51364 .4583 L
.51298 .45746 L
.51204 .4561 L
.51188 .45586 L
.51066 .45425 L
.51043 .45396 L
.50946 .45265 L
.50883 .45203 L
.50801 .45104 L
.50722 .44975 L
.507 .44943 L
.50583 .44783 L
.50562 .44756 L
.50464 .44622 L
.50401 .44579 L
.50301 .44462 L
.50241 .44333 L
.50217 .44301 L
.50105 .44141 L
.5008 .44108 L
.49989 .4398 L
.4992 .43888 L
.49871 .4382 L
.49759 .43673 L
.49749 .43659 L
.49641 .43499 L
.49599 .43442 L
.49529 .43338 L
.49438 .43212 L
.49415 .43178 L
.49309 .43017 L
.49278 .42971 L
.49212 .42857 L
F
0 .68 1 r
.49278 .4344 m
.4933 .43499 L
.49438 .43611 L
.4948 .43659 L
.49599 .43792 L
.49622 .4382 L
.49759 .43978 L
.49763 .4398 L
.49894 .44141 L
.4992 .44171 L
.50026 .44301 L
.5008 .44365 L
.50158 .44462 L
.50241 .44532 L
.5029 .44622 L
.50401 .44754 L
.50433 .44783 L
.50549 .44943 L
.50562 .44958 L
.50677 .45104 L
.50722 .4516 L
.50804 .45265 L
.50883 .45345 L
.5098 .45425 L
.51043 .45562 L
.51066 .45586 L
.51186 .45746 L
.51204 .45769 L
.51311 .45907 L
.51364 .45939 L
.51437 .46067 L
.51525 .46169 L
.51583 .46228 L
.51686 .46384 L
.51689 .46388 L
.51811 .46549 L
.51846 .46592 L
.51935 .46709 L
.52007 .46778 L
.52106 .4687 L
.52167 .47003 L
.52191 .4703 L
.52308 .47191 L
.52328 .47215 L
.5243 .47351 L
.52488 .47381 L
.52554 .47512 L
.52649 .47623 L
.52694 .47672 L
.52801 .47833 L
.52809 .47843 L
.52921 .47993 L
.5297 .48055 L
.53043 .48154 L
.5313 .48243 L
.532 .48314 L
.53289 .48475 L
.53291 .48477 L
.53408 .48636 L
.53451 .48691 L
.53528 .48796 L
.53612 .48905 L
.5365 .48957 L
.53772 .49117 L
.53772 .49118 L
.53888 .49278 L
.53933 .49336 L
.54006 .49438 L
.54093 .49553 L
.54125 .49599 L
.54244 .49759 L
.54254 .49772 L
.54356 .4992 L
.54414 .49998 L
.5447 .5008 L
.54575 .50224 L
.54586 .50241 L
.5469 .50401 L
.54735 .50466 L
.54787 .50562 L
.54735 .5061 L
.5469 .50562 L
.54575 .50444 L
.54537 .50401 L
.54414 .5029 L
.54394 .50241 L
.54255 .5008 L
.54254 .50079 L
.5412 .4992 L
.54093 .49889 L
.53986 .49759 L
.53933 .49697 L
.53852 .49599 L
.53772 .49525 L
.53719 .49438 L
.53612 .49309 L
.53578 .49278 L
.53459 .49117 L
.53451 .49107 L
.53331 .48957 L
.53291 .48908 L
.53202 .48796 L
.5313 .48719 L
.53035 .48636 L
.5297 .48506 L
.52942 .48475 L
.5282 .48314 L
.52809 .48302 L
.52693 .48154 L
.52649 .48121 L
.52567 .47993 L
.52488 .479 L
.52426 .47833 L
.52328 .47688 L
.52316 .47672 L
.52191 .47512 L
.52167 .47481 L
.52067 .47351 L
.52007 .4729 L
.51906 .47191 L
.51846 .4707 L
.51813 .4703 L
.51694 .4687 L
.51686 .46859 L
.51571 .46709 L
.51525 .46681 L
.51447 .46549 L
.51364 .4645 L
.5131 .46388 L
.51204 .46232 L
.51201 .46228 L
.5108 .46067 L
.51043 .4602 L
.50958 .45907 L
.50883 .45829 L
.50805 .45746 L
.50722 .456 L
.50711 .45586 L
.50594 .45425 L
.50562 .45384 L
.50473 .45265 L
.50401 .45211 L
.50352 .45104 L
.50241 .4496 L
.50227 .44943 L
.50114 .44783 L
.5008 .44738 L
.49997 .44622 L
.4992 .4452 L
.49878 .44462 L
.49759 .44301 L
.49759 .44301 L
.49647 .44141 L
.49599 .44075 L
.49534 .4398 L
.49438 .43848 L
.49419 .4382 L
.49314 .43659 L
.49278 .43607 L
.49215 .43499 L
F
1 .82 .004 r
.49278 .50369 m
.49339 .50401 L
.49438 .50475 L
.49525 .50562 L
.49599 .50638 L
.4967 .50722 L
.49759 .5079 L
.49804 .50883 L
.4992 .51017 L
.49947 .51043 L
.50057 .51204 L
.5008 .51233 L
.50176 .51364 L
.50241 .51449 L
.50294 .51525 L
.50401 .51671 L
.50411 .51686 L
.50515 .51846 L
.50562 .51919 L
.50608 .52007 L
.50562 .52108 L
.50439 .52007 L
.50401 .51974 L
.50276 .51846 L
.50241 .5181 L
.50129 .51686 L
.5008 .51631 L
.4999 .51525 L
.4992 .51456 L
.49799 .51364 L
.49759 .51245 L
.49724 .51204 L
.49606 .51043 L
.49599 .51033 L
.49488 .50883 L
.49438 .50812 L
.49376 .50722 L
.49278 .50563 L
.49277 .50562 L
.49223 .50401 L
F
1 .91 .061 r
.49278 .52569 m
.49354 .52649 L
.49438 .52736 L
.49505 .52809 L
.49599 .52913 L
.49649 .5297 L
.49759 .53087 L
.49788 .5313 L
.4992 .53285 L
.49926 .53291 L
.50059 .53451 L
.5008 .53477 L
.50193 .53612 L
.50241 .53638 L
.50326 .53772 L
.50401 .5386 L
.50485 .53933 L
.50562 .54064 L
.50587 .54093 L
.50715 .54254 L
.50722 .54263 L
.50845 .54414 L
.50883 .54451 L
.50974 .54575 L
.51043 .54662 L
.51109 .54735 L
.51204 .54868 L
.51224 .54896 L
.51354 .55057 L
.51364 .5506 L
.51481 .55217 L
.51525 .55267 L
.5163 .55378 L
.51686 .55478 L
.51732 .55538 L
.51846 .55685 L
.51853 .55699 L
.51983 .55859 L
.52007 .55879 L
.52159 .5602 L
.52167 .56091 L
.52241 .5618 L
.52328 .56303 L
.52352 .56341 L
.52481 .56501 L
.52488 .56502 L
.52606 .56662 L
.52649 .56709 L
.52751 .56822 L
.52809 .56925 L
.52853 .56983 L
.5297 .57136 L
.52973 .57143 L
.53098 .57304 L
.5313 .57328 L
.53269 .57464 L
.53291 .57549 L
.53352 .57625 L
.53451 .57766 L
.53464 .57785 L
.53588 .57946 L
.53612 .57978 L
.53709 .58106 L
.53772 .58175 L
.53852 .58267 L
.53933 .584 L
.53953 .58428 L
.54072 .58588 L
.54093 .58616 L
.54192 .58749 L
.54254 .588 L
.54357 .58909 L
.54414 .59041 L
.54436 .5907 L
.54549 .5923 L
.54575 .59264 L
.54667 .59391 L
.54735 .59483 L
.54785 .59551 L
.54896 .597 L
.54905 .59712 L
.55014 .59872 L
.55057 .5993 L
.55127 .60033 L
.55217 .60159 L
.55241 .60193 L
.55347 .60354 L
.55378 .60398 L
.55447 .60514 L
.55538 .60664 L
.55543 .60675 L
.55538 .60729 L
.55474 .60675 L
.55378 .60591 L
.55308 .60514 L
.55217 .6042 L
.5516 .60354 L
.55057 .60239 L
.55018 .60193 L
.54896 .6006 L
.5488 .60033 L
.54746 .59872 L
.54735 .59861 L
.54614 .59712 L
.54575 .59666 L
.54483 .59551 L
.54414 .5951 L
.54352 .59391 L
.54254 .59281 L
.54194 .5923 L
.54093 .59073 L
.54091 .5907 L
.53965 .58909 L
.53933 .5887 L
.53838 .58749 L
.53772 .58691 L
.5371 .58588 L
.53612 .58471 L
.53569 .58428 L
.53456 .58267 L
.53451 .58262 L
.53332 .58106 L
.53291 .58056 L
.53206 .57946 L
.5313 .57865 L
.53046 .57785 L
.5297 .57648 L
.52949 .57625 L
.5283 .57464 L
.52809 .57439 L
.52707 .57304 L
.52649 .57259 L
.52582 .57143 L
.52488 .57032 L
.52442 .56983 L
.52332 .56822 L
.52328 .56817 L
.5221 .56662 L
.52167 .56608 L
.52087 .56501 L
.52007 .56417 L
.51932 .56341 L
.51846 .56193 L
.51835 .5618 L
.51716 .5602 L
.51686 .55981 L
.51594 .55859 L
.51525 .55805 L
.51471 .55699 L
.51364 .55569 L
.51338 .55538 L
.51225 .55378 L
.51204 .55351 L
.51105 .55217 L
.51043 .55139 L
.50983 .55057 L
.50883 .54943 L
.5084 .54896 L
.50737 .54735 L
.50722 .54717 L
.50618 .54575 L
.50562 .54503 L
.50498 .54414 L
.50401 .54316 L
.50375 .54254 L
.50254 .54093 L
.50241 .54076 L
.50138 .53933 L
.5008 .53859 L
.50019 .53772 L
.4992 .53643 L
.49898 .53612 L
.4978 .53451 L
.49759 .53424 L
.49667 .53291 L
.49599 .53201 L
.49551 .5313 L
.49438 .52977 L
.49433 .5297 L
.49328 .52809 L
.49278 .52739 L
.49225 .52649 L
F
1 .55 0 r
.49278 .44122 m
.49293 .44141 L
.49278 .4423 L
.49227 .44141 L
F
0 .67 1 r
.49278 .43458 m
.49316 .43499 L
.49438 .43622 L
.4947 .43659 L
.49599 .43801 L
.49615 .4382 L
.49753 .4398 L
.49759 .43987 L
.49887 .44141 L
.4992 .44177 L
.50021 .44301 L
.5008 .44371 L
.50154 .44462 L
.50241 .44539 L
.50286 .44622 L
.50401 .4476 L
.50427 .44783 L
.50545 .44943 L
.50562 .44963 L
.50673 .45104 L
.50722 .45164 L
.50801 .45265 L
.50883 .45349 L
.50975 .45425 L
.51043 .45566 L
.51062 .45586 L
.51183 .45746 L
.51204 .45772 L
.51308 .45907 L
.51364 .45942 L
.51434 .46067 L
.51525 .46173 L
.51579 .46228 L
.51686 .46388 L
.51686 .46388 L
.51809 .46549 L
.51846 .46595 L
.51933 .46709 L
.52007 .46781 L
.52103 .4687 L
.52167 .47006 L
.52188 .4703 L
.52305 .47191 L
.52328 .47219 L
.52428 .47351 L
.52488 .47384 L
.52551 .47512 L
.52649 .47627 L
.52691 .47672 L
.52798 .47833 L
.52809 .47847 L
.52919 .47993 L
.5297 .48059 L
.53041 .48154 L
.5313 .48248 L
.53196 .48314 L
.53286 .48475 L
.53291 .48481 L
.53405 .48636 L
.53451 .48695 L
.53525 .48796 L
.53612 .48909 L
.53647 .48957 L
.53768 .49117 L
.53772 .49122 L
.53884 .49278 L
.53933 .49341 L
.54002 .49438 L
.54093 .49559 L
.54122 .49599 L
.54239 .49759 L
.54254 .49779 L
.5435 .4992 L
.54414 .50006 L
.54464 .5008 L
.54575 .50233 L
.5458 .50241 L
.54679 .50401 L
.54735 .50486 L
.5477 .50562 L
.54735 .50591 L
.54707 .50562 L
.54575 .50431 L
.54548 .50401 L
.54414 .50271 L
.54402 .50241 L
.54263 .5008 L
.54254 .50071 L
.54127 .4992 L
.54093 .49882 L
.53991 .49759 L
.53933 .49691 L
.53857 .49599 L
.53772 .49518 L
.53724 .49438 L
.53612 .49303 L
.53585 .49278 L
.53464 .49117 L
.53451 .49102 L
.53335 .48957 L
.53291 .48903 L
.53206 .48796 L
.5313 .48714 L
.53039 .48636 L
.5297 .48502 L
.52946 .48475 L
.52823 .48314 L
.52809 .48297 L
.52697 .48154 L
.52649 .48118 L
.5257 .47993 L
.52488 .47896 L
.52429 .47833 L
.52328 .47684 L
.52319 .47672 L
.52194 .47512 L
.52167 .47477 L
.5207 .47351 L
.52007 .47286 L
.51909 .47191 L
.51846 .47067 L
.51816 .4703 L
.51697 .4687 L
.51686 .46855 L
.51574 .46709 L
.51525 .46678 L
.5145 .46549 L
.51364 .46446 L
.51314 .46388 L
.51204 .46228 L
.51204 .46228 L
.51083 .46067 L
.51043 .46016 L
.50961 .45907 L
.50883 .45824 L
.50809 .45746 L
.50722 .45595 L
.50715 .45586 L
.50597 .45425 L
.50562 .45379 L
.50477 .45265 L
.50401 .45205 L
.50356 .45104 L
.50241 .44953 L
.50233 .44943 L
.50119 .44783 L
.5008 .44733 L
.50001 .44622 L
.4992 .44514 L
.49882 .44462 L
.49765 .44301 L
.49759 .44294 L
.49653 .44141 L
.49599 .44067 L
.4954 .4398 L
.49438 .43838 L
.49426 .4382 L
.49325 .43659 L
.49278 .4359 L
.4923 .43499 L
F
1 .84 .007 r
.49278 .42794 m
.49343 .42857 L
.49438 .42946 L
.49504 .43017 L
.49599 .43116 L
.49653 .43178 L
.49759 .43284 L
.49796 .43338 L
.4992 .43479 L
.49943 .43499 L
.50072 .43659 L
.5008 .43669 L
.50206 .4382 L
.50241 .43838 L
.5034 .4398 L
.50401 .44048 L
.50513 .44141 L
.50562 .44251 L
.50608 .44301 L
.50722 .44451 L
.50731 .44462 L
.50862 .44622 L
.50883 .44641 L
.50991 .44783 L
.51043 .44846 L
.51135 .44943 L
.51204 .45053 L
.51245 .45104 L
.51364 .45255 L
.51369 .45265 L
.515 .45425 L
.51525 .45452 L
.51657 .45586 L
.51686 .4566 L
.51757 .45746 L
.51846 .45869 L
.51871 .45907 L
.52003 .46067 L
.52007 .4607 L
.52128 .46228 L
.52167 .46273 L
.52268 .46388 L
.52328 .46484 L
.52376 .46549 L
.52488 .46693 L
.52496 .46709 L
.52627 .4687 L
.52649 .46891 L
.5278 .4703 L
.52809 .47102 L
.52881 .47191 L
.5297 .47314 L
.52994 .47351 L
.53124 .47512 L
.5313 .47516 L
.53247 .47672 L
.53291 .47722 L
.53387 .47833 L
.53451 .47935 L
.53494 .47993 L
.53612 .48146 L
.53615 .48154 L
.53741 .48314 L
.53772 .48343 L
.53896 .48475 L
.53933 .48558 L
.53995 .48636 L
.54093 .48772 L
.54109 .48796 L
.54234 .48957 L
.54254 .48966 L
.54357 .49117 L
.54414 .4918 L
.54497 .49278 L
.54575 .49398 L
.54604 .49438 L
.54726 .49599 L
.54735 .4961 L
.54848 .49759 L
.54896 .49802 L
.55003 .4992 L
.55057 .50024 L
.551 .5008 L
.55217 .50241 L
.55217 .50241 L
.55337 .50401 L
.55378 .50419 L
.55459 .50562 L
.55538 .50651 L
.55597 .50722 L
.55699 .50874 L
.55705 .50883 L
.55824 .51043 L
.55859 .51089 L
.55944 .51204 L
.5602 .51277 L
.56094 .51364 L
.5618 .51511 L
.56191 .51525 L
.56307 .51686 L
.56341 .51729 L
.56426 .51846 L
.56501 .51945 L
.56546 .52007 L
.56662 .52156 L
.5667 .52167 L
.56783 .52328 L
.56822 .52379 L
.569 .52488 L
.56983 .52599 L
.57018 .52649 L
.57135 .52809 L
.57143 .5282 L
.57245 .5297 L
.57304 .5305 L
.57356 .5313 L
.57464 .53283 L
.57469 .53291 L
.57566 .53451 L
.57625 .53547 L
.57652 .53612 L
.57625 .53651 L
.57579 .53612 L
.57464 .53508 L
.5741 .53451 L
.57304 .53341 L
.57258 .53291 L
.57143 .53171 L
.57114 .5313 L
.56983 .52981 L
.5697 .5297 L
.56836 .52809 L
.56822 .52794 L
.567 .52649 L
.56662 .52622 L
.56565 .52488 L
.56501 .52415 L
.56401 .52328 L
.56341 .52214 L
.56299 .52167 L
.5618 .52017 L
.56173 .52007 L
.56039 .51846 L
.5602 .51826 L
.55909 .51686 L
.55859 .51623 L
.55772 .51525 L
.55699 .51417 L
.55659 .51364 L
.55538 .51215 L
.55535 .51204 L
.55398 .51043 L
.55378 .5102 L
.55252 .50883 L
.55217 .50812 L
.55146 .50722 L
.55057 .50604 L
.55032 .50562 L
.54896 .50403 L
.54893 .50401 L
.54767 .50241 L
.54735 .50201 L
.54635 .5008 L
.54575 .49991 L
.54525 .4992 L
.54414 .49782 L
.54408 .49759 L
.54268 .49599 L
.54254 .49583 L
.54126 .49438 L
.54093 .49374 L
.54019 .49278 L
.53933 .49162 L
.53908 .49117 L
.53772 .48958 L
.5377 .48957 L
.53616 .48796 L
.53612 .48754 L
.53515 .48636 L
.53451 .48542 L
.53406 .48475 L
.53291 .48332 L
.53287 .48314 L
.53152 .48154 L
.5313 .48132 L
.53009 .47993 L
.5297 .4792 L
.52904 .47833 L
.52809 .47707 L
.52791 .47672 L
.52659 .47512 L
.52649 .47505 L
.52499 .47351 L
.52488 .47296 L
.52403 .47191 L
.52328 .47081 L
.52294 .4703 L
.52167 .4687 L
.52167 .4687 L
.52045 .46709 L
.52007 .46672 L
.519 .46549 L
.51846 .46454 L
.51797 .46388 L
.51686 .46239 L
.5168 .46228 L
.51556 .46067 L
.51525 .46049 L
.5139 .45907 L
.51364 .45827 L
.51301 .45746 L
.51204 .45606 L
.5119 .45586 L
.51069 .45425 L
.51043 .45392 L
.50949 .45265 L
.50883 .45199 L
.50805 .45104 L
.50722 .4497 L
.50704 .44943 L
.50587 .44783 L
.50562 .44751 L
.50468 .44622 L
.50401 .44573 L
.50306 .44462 L
.50241 .44325 L
.50223 .44301 L
.50111 .44141 L
.5008 .441 L
.49995 .4398 L
.4992 .4388 L
.49877 .4382 L
.49759 .43659 L
.49759 .43659 L
.49649 .43499 L
.49599 .43429 L
.49538 .43338 L
.49438 .43197 L
.49426 .43178 L
.49326 .43017 L
.49278 .42942 L
.49235 .42857 L
F
.289 .96 1 r
.49278 .4212 m
.49381 .42215 L
.49438 .42267 L
.49543 .42375 L
.49599 .42432 L
.49694 .42536 L
.49759 .42591 L
.4984 .42696 L
.4992 .42786 L
.50014 .42857 L
.5008 .42977 L
.5012 .43017 L
.50241 .43166 L
.5025 .43178 L
.50389 .43338 L
.50401 .43352 L
.50523 .43499 L
.50562 .43549 L
.50661 .43659 L
.50722 .43752 L
.50775 .4382 L
.50883 .43956 L
.50892 .4398 L
.51043 .44141 L
.51043 .44142 L
.51183 .44301 L
.51204 .44346 L
.51296 .44462 L
.51364 .44556 L
.51406 .44622 L
.51525 .44767 L
.51554 .44783 L
.51679 .44943 L
.51686 .44952 L
.51808 .45104 L
.51846 .45163 L
.51919 .45265 L
.52007 .45377 L
.52023 .45425 L
.52167 .45567 L
.52182 .45586 L
.52313 .45746 L
.52328 .45776 L
.52427 .45907 L
.52488 .4599 L
.52534 .46067 L
.52649 .46205 L
.52681 .46228 L
.52809 .46388 L
.52809 .46395 L
.52931 .46549 L
.5297 .46607 L
.53041 .46709 L
.5313 .46823 L
.53144 .4687 L
.53291 .47028 L
.533 .4703 L
.53432 .47191 L
.53451 .47228 L
.53545 .47351 L
.53612 .47442 L
.53651 .47512 L
.53772 .47654 L
.53795 .47672 L
.5393 .47833 L
.53933 .47851 L
.54047 .47993 L
.54093 .48064 L
.54155 .48154 L
.54254 .48277 L
.54262 .48314 L
.54412 .48475 L
.54414 .48478 L
.54548 .48636 L
.54575 .48686 L
.54658 .48796 L
.54735 .489 L
.54766 .48957 L
.54896 .49108 L
.54906 .49117 L
.5505 .49278 L
.55057 .49311 L
.55159 .49438 L
.55217 .49523 L
.55268 .49599 L
.55378 .49735 L
.55381 .49759 L
.55521 .4992 L
.55538 .49936 L
.55662 .5008 L
.55699 .50147 L
.55769 .50241 L
.55859 .50361 L
.5588 .50401 L
.56014 .50562 L
.5602 .50565 L
.56167 .50722 L
.5618 .50771 L
.5627 .50883 L
.56341 .50986 L
.56379 .51043 L
.56501 .51197 L
.56502 .51204 L
.56629 .51364 L
.56662 .51395 L
.56773 .51525 L
.56822 .51611 L
.56878 .51686 L
.56983 .51825 L
.56993 .51846 L
.5712 .52007 L
.57143 .52018 L
.57281 .52167 L
.57304 .52234 L
.57377 .52328 L
.57464 .52453 L
.57488 .52488 L
.57612 .52649 L
.57625 .52666 L
.57733 .52809 L
.57785 .52856 L
.57879 .5297 L
.57946 .53079 L
.57983 .5313 L
.58102 .53291 L
.58106 .53296 L
.58222 .53451 L
.58267 .53475 L
.58386 .53612 L
.58428 .53706 L
.58478 .53772 L
.58588 .53929 L
.58591 .53933 L
.5871 .54093 L
.58749 .54143 L
.58831 .54254 L
.58909 .54332 L
.58973 .54414 L
.5907 .54564 L
.59077 .54575 L
.59194 .54735 L
.5923 .54782 L
.59314 .54896 L
.59391 .54997 L
.59467 .55057 L
.59551 .55208 L
.59558 .55217 L
.59672 .55378 L
.59712 .5543 L
.59789 .55538 L
.59872 .55649 L
.59907 .55699 L
.60025 .55859 L
.60033 .5587 L
.60135 .5602 L
.60193 .561 L
.60246 .5618 L
.60354 .56334 L
.60358 .56341 L
.60454 .56501 L
.60514 .56601 L
.60539 .56662 L
.60514 .56714 L
.60447 .56662 L
.60354 .56583 L
.60271 .56501 L
.60193 .56424 L
.60114 .56341 L
.60033 .56265 L
.59966 .5618 L
.59872 .56075 L
.598 .5602 L
.59712 .55888 L
.59684 .55859 L
.59551 .55703 L
.59548 .55699 L
.5941 .55538 L
.59391 .55516 L
.59234 .55378 L
.5923 .55318 L
.5914 .55217 L
.5907 .55117 L
.59024 .55057 L
.58909 .54915 L
.58904 .54896 L
.58753 .54735 L
.58749 .5473 L
.58616 .54575 L
.58588 .54525 L
.58503 .54414 L
.58428 .54314 L
.58393 .54254 L
.58267 .54105 L
.5824 .54093 L
.58109 .53933 L
.58106 .53921 L
.57989 .53772 L
.57946 .5371 L
.57879 .53612 L
.57785 .53494 L
.57778 .53451 L
.57625 .53307 L
.57612 .53291 L
.57483 .5313 L
.57464 .53098 L
.57369 .5297 L
.57304 .52882 L
.57265 .52809 L
.57143 .52666 L
.57112 .52649 L
.56985 .52488 L
.56983 .5248 L
.56865 .52328 L
.56822 .52267 L
.56756 .52167 L
.56662 .5205 L
.56615 .52007 L
.56501 .51857 L
.56492 .51846 L
.56363 .51686 L
.56341 .51647 L
.56251 .51525 L
.5618 .51432 L
.56147 .51364 L
.5602 .51219 L
.55997 .51204 L
.55866 .51043 L
.55859 .51024 L
.55749 .50883 L
.55699 .50811 L
.55641 .50722 L
.55538 .50597 L
.55502 .50562 L
.5538 .50401 L
.55378 .50399 L
.55248 .50241 L
.55217 .50189 L
.55138 .5008 L
.55057 .49975 L
.55032 .4992 L
.54896 .49767 L
.54886 .49759 L
.54748 .49599 L
.54735 .49565 L
.54637 .49438 L
.54575 .49352 L
.54528 .49278 L
.54414 .4914 L
.54393 .49117 L
.5427 .48957 L
.54254 .48939 L
.54136 .48796 L
.54093 .48728 L
.54027 .48636 L
.53933 .48515 L
.53917 .48475 L
.53777 .48314 L
.53772 .4831 L
.53632 .48154 L
.53612 .48104 L
.53526 .47993 L
.53451 .47889 L
.53417 .47833 L
.53291 .47679 L
.53285 .47672 L
.53163 .47512 L
.5313 .47479 L
.53025 .47351 L
.5297 .47264 L
.52918 .47191 L
.52809 .47051 L
.52801 .4703 L
.52671 .4687 L
.52649 .46854 L
.5252 .46709 L
.52488 .4664 L
.52418 .46549 L
.52328 .46423 L
.52307 .46388 L
.5218 .46228 L
.52167 .46211 L
.52058 .46067 L
.52007 .46017 L
.51918 .45907 L
.51846 .45796 L
.51811 .45746 L
.5169 .45586 L
.51686 .4558 L
.51569 .45425 L
.51525 .45396 L
.51414 .45265 L
.51364 .45169 L
.51316 .45104 L
.51204 .44948 L
.51201 .44943 L
.51081 .44783 L
.51043 .44734 L
.5096 .44622 L
.50883 .44542 L
.50822 .44462 L
.50722 .44312 L
.50715 .44301 L
.50597 .44141 L
.50562 .44096 L
.50477 .4398 L
.50401 .43914 L
.50329 .4382 L
.50241 .4367 L
.50233 .43659 L
.50118 .43499 L
.5008 .43448 L
.50002 .43338 L
.4992 .43229 L
.49883 .43178 L
.49765 .43017 L
.49759 .43009 L
.49654 .42857 L
.49599 .42781 L
.49542 .42696 L
.49438 .42549 L
.49429 .42536 L
.49328 .42375 L
.49278 .42297 L
.49235 .42215 L
F
0 .73 1 r
.49278 .53258 m
.49307 .53291 L
.49438 .53433 L
.49454 .53451 L
.49438 .53602 L
.49343 .53451 L
.49278 .53363 L
.49239 .53291 L
F
1 .53 0 r
.49278 .48316 m
.49422 .48475 L
.49438 .48493 L
.49555 .48636 L
.49599 .48688 L
.49681 .48796 L
.49759 .48899 L
.498 .48957 L
.49904 .49117 L
.49759 .49122 L
.49755 .49117 L
.49613 .48957 L
.49599 .4894 L
.49486 .48796 L
.49438 .48737 L
.49365 .48636 L
.49278 .4852 L
.49247 .48475 L
F
0 .66 1 r
.49278 .43479 m
.49297 .43499 L
.49438 .43634 L
.4946 .43659 L
.49599 .4381 L
.49607 .4382 L
.49746 .4398 L
.49759 .43995 L
.49881 .44141 L
.4992 .44185 L
.50015 .44301 L
.5008 .44377 L
.50149 .44462 L
.50241 .44545 L
.50282 .44622 L
.50401 .44765 L
.50421 .44783 L
.50541 .44943 L
.50562 .44968 L
.50669 .45104 L
.50722 .45168 L
.50798 .45265 L
.50883 .45354 L
.5097 .45425 L
.51043 .4557 L
.51058 .45586 L
.51179 .45746 L
.51204 .45776 L
.51305 .45907 L
.51364 .45945 L
.51431 .46067 L
.51525 .46177 L
.51576 .46228 L
.51683 .46388 L
.51686 .46391 L
.51806 .46549 L
.51846 .46599 L
.5193 .46709 L
.52007 .46785 L
.52099 .4687 L
.52167 .4701 L
.52185 .4703 L
.52303 .47191 L
.52328 .47222 L
.52425 .47351 L
.52488 .47387 L
.52549 .47512 L
.52649 .47631 L
.52687 .47672 L
.52795 .47833 L
.52809 .4785 L
.52916 .47993 L
.5297 .48062 L
.53038 .48154 L
.5313 .48252 L
.53191 .48314 L
.53283 .48475 L
.53291 .48484 L
.53402 .48636 L
.53451 .48699 L
.53522 .48796 L
.53612 .48913 L
.53644 .48957 L
.53765 .49117 L
.53772 .49127 L
.5388 .49278 L
.53933 .49346 L
.53998 .49438 L
.54093 .49564 L
.54118 .49599 L
.54234 .49759 L
.54254 .49786 L
.54345 .4992 L
.54414 .50014 L
.54458 .5008 L
.54572 .50241 L
.54575 .50244 L
.54665 .50401 L
.54575 .50418 L
.5456 .50401 L
.54414 .50249 L
.54411 .50241 L
.54271 .5008 L
.54254 .50062 L
.54134 .4992 L
.54093 .49875 L
.53997 .49759 L
.53933 .49684 L
.53862 .49599 L
.53772 .49511 L
.53729 .49438 L
.53612 .49297 L
.53591 .49278 L
.53468 .49117 L
.53451 .49097 L
.53339 .48957 L
.53291 .48898 L
.53209 .48796 L
.5313 .4871 L
.53044 .48636 L
.5297 .48497 L
.5295 .48475 L
.52827 .48314 L
.52809 .48293 L
.527 .48154 L
.52649 .48115 L
.52573 .47993 L
.52488 .47892 L
.52433 .47833 L
.52328 .4768 L
.52322 .47672 L
.52197 .47512 L
.52167 .47474 L
.52073 .47351 L
.52007 .47283 L
.51912 .47191 L
.51846 .47063 L
.51819 .4703 L
.517 .4687 L
.51686 .46852 L
.51577 .46709 L
.51525 .46675 L
.51453 .46549 L
.51364 .46442 L
.51317 .46388 L
.51207 .46228 L
.51204 .46224 L
.51086 .46067 L
.51043 .46012 L
.50964 .45907 L
.50883 .4582 L
.50813 .45746 L
.50722 .4559 L
.50719 .45586 L
.506 .45425 L
.50562 .45375 L
.5048 .45265 L
.50401 .45199 L
.50359 .45104 L
.50241 .44947 L
.50238 .44943 L
.50123 .44783 L
.5008 .44727 L
.50005 .44622 L
.4992 .44508 L
.49887 .44462 L
.4977 .44301 L
.49759 .44287 L
.49659 .44141 L
.49599 .44058 L
.49547 .4398 L
.49438 .43827 L
.49433 .4382 L
.49337 .43659 L
.49278 .43566 L
.4925 .43499 L
F
.018 .87 1 r
.49278 .47697 m
.49438 .47812 L
.49459 .47833 L
.49599 .47971 L
.49636 .47993 L
.49759 .48145 L
.49769 .48154 L
.49908 .48314 L
.4992 .48328 L
.50042 .48475 L
.5008 .48511 L
.50226 .48636 L
.50241 .48718 L
.50306 .48796 L
.50401 .48929 L
.50419 .48957 L
.50542 .49117 L
.50562 .49144 L
.50658 .49278 L
.50722 .49375 L
.50782 .49438 L
.50848 .49599 L
.50722 .49697 L
.50596 .49599 L
.50562 .49568 L
.50442 .49438 L
.50401 .49394 L
.50305 .49278 L
.50241 .49239 L
.50175 .49117 L
.5008 .49015 L
.5002 .48957 L
.49921 .48796 L
.4992 .48794 L
.49802 .48636 L
.49759 .4858 L
.49684 .48475 L
.49599 .48362 L
.49565 .48314 L
.4945 .48154 L
.49438 .48137 L
.49347 .47993 L
.49278 .47883 L
.49251 .47833 L
F
1 .52 0 r
.49278 .48326 m
.49414 .48475 L
.49438 .48501 L
.49549 .48636 L
.49599 .48695 L
.49675 .48796 L
.49759 .48907 L
.49794 .48957 L
.49759 .49115 L
.4962 .48957 L
.49599 .48933 L
.49492 .48796 L
.49438 .48731 L
.4937 .48636 L
.49278 .48513 L
.49253 .48475 L
F
1 .81 .003 r
.49278 .50391 m
.49308 .50401 L
.49438 .50486 L
.49515 .50562 L
.49599 .50647 L
.49663 .50722 L
.49759 .50799 L
.49799 .50883 L
.4992 .51026 L
.49938 .51043 L
.50052 .51204 L
.5008 .5124 L
.5017 .51364 L
.50241 .51457 L
.50288 .51525 L
.50401 .5168 L
.50405 .51686 L
.50505 .51846 L
.50562 .5194 L
.50593 .52007 L
.50562 .52083 L
.50459 .52007 L
.50401 .51959 L
.50288 .51846 L
.50241 .51799 L
.50138 .51686 L
.5008 .51621 L
.49998 .51525 L
.4992 .51446 L
.49809 .51364 L
.49759 .51235 L
.49732 .51204 L
.49614 .51043 L
.49599 .51023 L
.49496 .50883 L
.49438 .508 L
.49384 .50722 L
.49289 .50562 L
.49278 .50536 L
.49254 .50401 L
F
1 .54 0 r
.49278 .44141 m
.49278 .44141 L
.49278 .44205 L
.49254 .44141 L
F
1 .51 0 r
.49278 .48336 m
.49406 .48475 L
.49438 .48509 L
.49542 .48636 L
.49599 .48703 L
.49669 .48796 L
.49759 .48916 L
.49788 .48957 L
.49759 .49106 L
.49627 .48957 L
.49599 .48926 L
.49498 .48796 L
.49438 .48724 L
.49375 .48636 L
.49278 .48505 L
.49258 .48475 L
F
1 .5 0 r
.49278 .48348 m
.49398 .48475 L
.49438 .48517 L
.49536 .48636 L
.49599 .48711 L
.49663 .48796 L
.49759 .48925 L
.49781 .48957 L
.49759 .49096 L
.49634 .48957 L
.49599 .48918 L
.49504 .48796 L
.49438 .48716 L
.49381 .48636 L
.49278 .48496 L
.49264 .48475 L
F
.013 .86 1 r
.49278 .4773 m
.49438 .47832 L
.49439 .47833 L
.49599 .47983 L
.49616 .47993 L
.49759 .48154 L
.49759 .48155 L
.49899 .48314 L
.4992 .48338 L
.50034 .48475 L
.5008 .48519 L
.50222 .48636 L
.50241 .48727 L
.50299 .48796 L
.50401 .48938 L
.50413 .48957 L
.50535 .49117 L
.50562 .49155 L
.5065 .49278 L
.50722 .49389 L
.5077 .49438 L
.50833 .49599 L
.50722 .49682 L
.50609 .49599 L
.50562 .49558 L
.5045 .49438 L
.50401 .49386 L
.50311 .49278 L
.50241 .49233 L
.5018 .49117 L
.5008 .49007 L
.50028 .48957 L
.49927 .48796 L
.4992 .48787 L
.49808 .48636 L
.49759 .48573 L
.49689 .48475 L
.49599 .48354 L
.49571 .48314 L
.49458 .48154 L
.49438 .48125 L
.49357 .47993 L
.49278 .47859 L
.49265 .47833 L
F
1 .49 0 r
.49278 .48361 m
.49388 .48475 L
.49438 .48526 L
.49528 .48636 L
.49599 .48719 L
.49657 .48796 L
.49759 .48934 L
.49774 .48957 L
.49759 .49085 L
.49642 .48957 L
.49599 .4891 L
.4951 .48796 L
.49438 .48708 L
.49387 .48636 L
.49278 .48486 L
.49271 .48475 L
F
1 .83 .005 r
.49278 .42845 m
.49297 .42857 L
.49438 .4297 L
.49484 .43017 L
.49599 .43134 L
.49638 .43178 L
.49759 .43301 L
.49784 .43338 L
.4992 .43492 L
.49928 .43499 L
.50062 .43659 L
.5008 .4368 L
.50198 .4382 L
.50241 .43843 L
.50332 .4398 L
.50401 .44056 L
.50507 .44141 L
.50562 .44258 L
.50602 .44301 L
.50722 .44456 L
.50727 .44462 L
.50857 .44622 L
.50883 .44645 L
.50986 .44783 L
.51043 .44851 L
.51131 .44943 L
.51204 .45058 L
.51241 .45104 L
.51364 .45259 L
.51367 .45265 L
.51496 .45425 L
.51525 .45456 L
.51655 .45586 L
.51686 .45664 L
.51754 .45746 L
.51846 .45873 L
.51869 .45907 L
.52 .46067 L
.52007 .46072 L
.52125 .46228 L
.52167 .46276 L
.52266 .46388 L
.52328 .46487 L
.52374 .46549 L
.52488 .46695 L
.52494 .46709 L
.52625 .4687 L
.52649 .46894 L
.52779 .4703 L
.52809 .47105 L
.52879 .47191 L
.5297 .47316 L
.52992 .47351 L
.53122 .47512 L
.5313 .47517 L
.53245 .47672 L
.53291 .47724 L
.53385 .47833 L
.53451 .47938 L
.53492 .47993 L
.53612 .48148 L
.53614 .48154 L
.53739 .48314 L
.53772 .48345 L
.53894 .48475 L
.53933 .4856 L
.53993 .48636 L
.54093 .48774 L
.54107 .48796 L
.54232 .48957 L
.54254 .48967 L
.54355 .49117 L
.54414 .49183 L
.54495 .49278 L
.54575 .494 L
.54602 .49438 L
.54724 .49599 L
.54735 .49613 L
.54846 .49759 L
.54896 .49804 L
.55001 .4992 L
.55057 .50027 L
.55098 .5008 L
.55214 .50241 L
.55217 .50244 L
.55335 .50401 L
.55378 .50421 L
.55456 .50562 L
.55538 .50654 L
.55594 .50722 L
.55699 .50878 L
.55702 .50883 L
.55821 .51043 L
.55859 .51092 L
.55941 .51204 L
.5602 .51281 L
.5609 .51364 L
.5618 .51516 L
.56187 .51525 L
.56303 .51686 L
.56341 .51734 L
.56422 .51846 L
.56501 .5195 L
.56542 .52007 L
.56662 .52164 L
.56664 .52167 L
.56778 .52328 L
.56822 .52386 L
.56894 .52488 L
.56983 .52607 L
.57012 .52649 L
.57127 .52809 L
.57143 .52831 L
.57236 .5297 L
.57304 .53064 L
.57347 .5313 L
.57456 .53291 L
.57464 .53303 L
.57542 .53451 L
.57464 .53482 L
.57434 .53451 L
.57304 .53322 L
.57275 .53291 L
.57143 .53153 L
.57127 .5313 L
.56985 .5297 L
.56983 .52967 L
.56846 .52809 L
.56822 .52782 L
.56709 .52649 L
.56662 .52616 L
.56573 .52488 L
.56501 .52407 L
.56408 .52328 L
.56341 .52207 L
.56305 .52167 L
.5618 .52011 L
.56177 .52007 L
.56045 .51846 L
.5602 .51821 L
.55914 .51686 L
.55859 .51617 L
.55776 .51525 L
.55699 .51412 L
.55663 .51364 L
.55538 .51212 L
.55536 .51204 L
.55402 .51043 L
.55378 .51015 L
.55254 .50883 L
.55217 .50808 L
.55149 .50722 L
.55057 .506 L
.55034 .50562 L
.54896 .50401 L
.54896 .50401 L
.5477 .50241 L
.54735 .50197 L
.54637 .5008 L
.54575 .49987 L
.54527 .4992 L
.54414 .49779 L
.54409 .49759 L
.5427 .49599 L
.54254 .49581 L
.54128 .49438 L
.54093 .49371 L
.54022 .49278 L
.53933 .4916 L
.53909 .49117 L
.53773 .48957 L
.53772 .48956 L
.53617 .48796 L
.53612 .48752 L
.53517 .48636 L
.53451 .48539 L
.53407 .48475 L
.53291 .48329 L
.53288 .48314 L
.53154 .48154 L
.5313 .48129 L
.53011 .47993 L
.5297 .47917 L
.52906 .47833 L
.52809 .47704 L
.52792 .47672 L
.52661 .47512 L
.52649 .47504 L
.525 .47351 L
.52488 .47294 L
.52405 .47191 L
.52328 .47078 L
.52296 .4703 L
.52169 .4687 L
.52167 .46867 L
.52047 .46709 L
.52007 .4667 L
.51902 .46549 L
.51846 .46451 L
.51799 .46388 L
.51686 .46236 L
.51681 .46228 L
.51558 .46067 L
.51525 .46048 L
.51391 .45907 L
.51364 .45823 L
.51304 .45746 L
.51204 .45602 L
.51193 .45586 L
.51072 .45425 L
.51043 .45387 L
.50952 .45265 L
.50883 .45194 L
.50808 .45104 L
.50722 .44964 L
.50707 .44943 L
.5059 .44783 L
.50562 .44745 L
.50472 .44622 L
.50401 .44567 L
.50312 .44462 L
.50241 .44317 L
.50229 .44301 L
.50116 .44141 L
.5008 .44093 L
.5 .4398 L
.4992 .43871 L
.49883 .4382 L
.49767 .43659 L
.49759 .43648 L
.49658 .43499 L
.49599 .43416 L
.49548 .43338 L
.49438 .43179 L
.49437 .43178 L
.49346 .43017 L
.49278 .4289 L
.49271 .42857 L
F
1 .98 .538 r
.49278 .47138 m
.49438 .47075 L
.49597 .47191 L
.49599 .47192 L
.49748 .47351 L
.49759 .47364 L
.499 .47512 L
.4992 .47554 L
.50021 .47672 L
.5008 .47756 L
.50141 .47833 L
.50241 .47963 L
.50258 .47993 L
.50401 .48152 L
.50403 .48154 L
.50525 .48314 L
.50562 .48365 L
.50635 .48475 L
.50722 .48584 L
.50781 .48636 L
.50883 .4877 L
.50904 .48796 L
.51024 .48957 L
.51043 .48981 L
.51134 .49117 L
.51204 .49196 L
.51229 .49278 L
.51364 .49409 L
.51393 .49438 L
.51511 .49599 L
.51525 .49623 L
.51612 .49759 L
.51677 .4992 L
.51525 .49961 L
.51364 .49946 L
.5132 .4992 L
.51204 .49821 L
.51129 .49759 L
.51043 .49626 L
.51019 .49599 L
.50897 .49438 L
.50883 .49432 L
.50775 .49278 L
.50722 .49229 L
.50602 .49117 L
.50562 .49012 L
.50513 .48957 L
.50401 .48796 L
.50401 .48796 L
.50281 .48636 L
.50241 .48584 L
.5016 .48475 L
.5008 .48406 L
.50013 .48314 L
.4992 .48167 L
.49911 .48154 L
.49794 .47993 L
.49759 .47948 L
.49676 .47833 L
.49599 .4773 L
.49526 .47672 L
.49441 .47512 L
.49438 .47507 L
.49342 .47351 L
.49278 .4721 L
.49274 .47191 L
F
1 .48 0 r
.49278 .48378 m
.49377 .48475 L
.49438 .48536 L
.49521 .48636 L
.49599 .48728 L
.4965 .48796 L
.49759 .48945 L
.49767 .48957 L
.49759 .49071 L
.49651 .48957 L
.49599 .48901 L
.49517 .48796 L
.49438 .487 L
.49394 .48636 L
.49278 .48475 L
.49278 .48475 L
F
.733 .99 1 r
.49438 .52167 m
.49438 .52167 L
.49599 .52305 L
.49616 .52328 L
.49759 .52471 L
.49792 .52488 L
.4992 .5261 L
.49963 .52649 L
.5008 .52766 L
.50125 .52809 L
.50241 .52932 L
.50278 .5297 L
.50401 .53109 L
.50409 .5313 L
.50557 .53291 L
.50562 .53297 L
.50697 .53451 L
.50722 .53494 L
.5082 .53612 L
.50883 .53696 L
.50943 .53772 L
.51043 .539 L
.51066 .53933 L
.51201 .54093 L
.51204 .54101 L
.51324 .54254 L
.51364 .5431 L
.51439 .54414 L
.51525 .54522 L
.5155 .54575 L
.51686 .54727 L
.51697 .54735 L
.51821 .54896 L
.51846 .54932 L
.51933 .55057 L
.52007 .55147 L
.52033 .55217 L
.52167 .55361 L
.52196 .55378 L
.52319 .55538 L
.52328 .55552 L
.52434 .55699 L
.52488 .55767 L
.52535 .55859 L
.52649 .55986 L
.52694 .5602 L
.52809 .56172 L
.52816 .5618 L
.52937 .56341 L
.5297 .56385 L
.53044 .56501 L
.5313 .56603 L
.5319 .56662 L
.53291 .56817 L
.53313 .56822 L
.53437 .56983 L
.53451 .57005 L
.53549 .57143 L
.53612 .57221 L
.53649 .57304 L
.53772 .57438 L
.53808 .57464 L
.53931 .57625 L
.53933 .57629 L
.54051 .57785 L
.54093 .57842 L
.54157 .57946 L
.54254 .58058 L
.54302 .58106 L
.54414 .58264 L
.54424 .58267 L
.5455 .58428 L
.54575 .58466 L
.5466 .58588 L
.54735 .5868 L
.54762 .58749 L
.54896 .58892 L
.54917 .58909 L
.55046 .5907 L
.55057 .59092 L
.5516 .5923 L
.55217 .59305 L
.55267 .59391 L
.55378 .59519 L
.55408 .59551 L
.5553 .59712 L
.55538 .59721 L
.55659 .59872 L
.55699 .59932 L
.55767 .60033 L
.55859 .60146 L
.55874 .60193 L
.5602 .60354 L
.5602 .60354 L
.56158 .60514 L
.5618 .6056 L
.56265 .60675 L
.56341 .60775 L
.56373 .60835 L
.56501 .60988 L
.56508 .60996 L
.56629 .61156 L
.56662 .61189 L
.56762 .61317 L
.56822 .61407 L
.56868 .61477 L
.56983 .61624 L
.56987 .61638 L
.57114 .61799 L
.57143 .61818 L
.5726 .61959 L
.57304 .62042 L
.57358 .6212 L
.57464 .62265 L
.57472 .6228 L
.57593 .62441 L
.57625 .62483 L
.57769 .62601 L
.57785 .62683 L
.57842 .62762 L
.57946 .62919 L
.57948 .62922 L
.58063 .63083 L
.58106 .63143 L
.58178 .63243 L
.58267 .63343 L
.5831 .63404 L
.58404 .63564 L
.58428 .63597 L
.58512 .63725 L
.58588 .63837 L
.58619 .63885 L
.58717 .64046 L
.58749 .64097 L
.58798 .64206 L
.58749 .6425 L
.58701 .64206 L
.58588 .64105 L
.58533 .64046 L
.58428 .63972 L
.58381 .63885 L
.58267 .63767 L
.58236 .63725 L
.58106 .63577 L
.58092 .63564 L
.5796 .63404 L
.57946 .63388 L
.57826 .63243 L
.57785 .6321 L
.57692 .63083 L
.57625 .63006 L
.5753 .62922 L
.57464 .62804 L
.57425 .62762 L
.57304 .62606 L
.573 .62601 L
.57172 .62441 L
.57143 .62412 L
.57043 .6228 L
.56983 .62206 L
.56902 .6212 L
.56822 .61999 L
.5679 .61959 L
.56662 .61799 L
.56662 .61799 L
.56536 .61638 L
.56501 .61598 L
.56384 .61477 L
.56341 .61389 L
.5628 .61317 L
.5618 .6118 L
.56164 .61156 L
.56034 .60996 L
.5602 .60982 L
.55865 .60835 L
.55859 .60774 L
.55771 .60675 L
.55699 .60563 L
.55662 .60514 L
.55538 .60357 L
.55537 .60354 L
.55412 .60193 L
.55378 .60156 L
.55262 .60033 L
.55217 .59943 L
.55159 .59872 L
.55057 .59733 L
.55043 .59712 L
.54916 .59551 L
.54896 .59534 L
.54747 .59391 L
.54735 .59323 L
.54654 .5923 L
.54575 .5911 L
.54545 .5907 L
.54421 .58909 L
.54414 .58907 L
.54299 .58749 L
.54254 .58702 L
.54147 .58588 L
.54093 .58487 L
.54045 .58428 L
.53933 .58275 L
.53928 .58267 L
.53805 .58106 L
.53772 .58082 L
.53633 .57946 L
.53612 .57865 L
.53543 .57785 L
.53451 .5765 L
.53433 .57625 L
.53311 .57464 L
.53291 .57461 L
.53189 .57304 L
.5313 .57245 L
.53038 .57143 L
.5297 .57025 L
.52936 .56983 L
.52818 .56822 L
.52809 .56811 L
.52697 .56662 L
.52649 .56627 L
.52526 .56501 L
.52488 .56402 L
.52437 .56341 L
.52328 .56184 L
.52325 .5618 L
.52205 .5602 L
.52167 .55972 L
.52083 .55859 L
.52007 .55781 L
.51934 .55699 L
.51846 .55557 L
.51831 .55538 L
.51713 .55378 L
.51686 .55343 L
.51592 .55217 L
.51525 .55163 L
.51427 .55057 L
.51364 .5493 L
.51337 .54896 L
.51222 .54735 L
.51204 .54712 L
.51102 .54575 L
.51043 .545 L
.5098 .54414 L
.50883 .54304 L
.50841 .54254 L
.50733 .54093 L
.50722 .5408 L
.50614 .53933 L
.50562 .53866 L
.50493 .53772 L
.50401 .53678 L
.50346 .53612 L
.50247 .53451 L
.50241 .53444 L
.50129 .53291 L
.5008 .53229 L
.50009 .5313 L
.4992 .53015 L
.49887 .5297 L
.49764 .52809 L
.49759 .52803 L
.49648 .52649 L
.49599 .52585 L
.49531 .52488 L
.49438 .52368 L
.49411 .52328 L
.49295 .52167 L
F
1 .8 .002 r
.49438 .50498 m
.49504 .50562 L
.49599 .50656 L
.49656 .50722 L
.49759 .5081 L
.49793 .50883 L
.4992 .51036 L
.49928 .51043 L
.50046 .51204 L
.5008 .51248 L
.50164 .51364 L
.50241 .51465 L
.50282 .51525 L
.50397 .51686 L
.50401 .51691 L
.50494 .51846 L
.50562 .51969 L
.50575 .52007 L
.50562 .52049 L
.50485 .52007 L
.50401 .51944 L
.50301 .51846 L
.50241 .51787 L
.50148 .51686 L
.5008 .51611 L
.50007 .51525 L
.4992 .51436 L
.4982 .51364 L
.49759 .51225 L
.49741 .51204 L
.49621 .51043 L
.49599 .51013 L
.49504 .50883 L
.49438 .50788 L
.49393 .50722 L
.49302 .50562 L
F
1 .79 .001 r
.49438 .50511 m
.49493 .50562 L
.49599 .50665 L
.49648 .50722 L
.49759 .50821 L
.49787 .50883 L
.49918 .51043 L
.4992 .51045 L
.50039 .51204 L
.5008 .51256 L
.50158 .51364 L
.50241 .51474 L
.50276 .51525 L
.50388 .51686 L
.50401 .51705 L
.50481 .51846 L
.50401 .51927 L
.50315 .51846 L
.50241 .51774 L
.50159 .51686 L
.5008 .516 L
.50015 .51525 L
.4992 .51426 L
.49834 .51364 L
.49759 .51214 L
.4975 .51204 L
.49629 .51043 L
.49599 .51003 L
.49512 .50883 L
.49438 .50775 L
.49403 .50722 L
.49317 .50562 L
F
1 .78 .001 r
.49438 .50524 m
.4948 .50562 L
.49599 .50674 L
.49641 .50722 L
.49759 .50834 L
.49781 .50883 L
.49912 .51043 L
.4992 .51053 L
.50033 .51204 L
.5008 .51264 L
.50152 .51364 L
.50241 .51483 L
.50269 .51525 L
.50378 .51686 L
.50401 .5172 L
.50467 .51846 L
.50401 .51909 L
.50331 .51846 L
.50241 .51762 L
.5017 .51686 L
.5008 .51589 L
.50024 .51525 L
.4992 .51414 L
.49849 .51364 L
.4976 .51204 L
.49759 .51203 L
.49637 .51043 L
.49599 .50992 L
.4952 .50883 L
.49438 .50761 L
.49412 .50722 L
.49333 .50562 L
F
.538 .98 1 r
.49438 .50031 m
.49599 .50027 L
.49748 .5008 L
.49759 .50087 L
.49904 .50241 L
.4992 .50282 L
.50075 .50401 L
.5008 .50483 L
.50173 .50562 L
.50241 .50685 L
.50282 .50722 L
.50401 .5088 L
.50404 .50883 L
.50531 .51043 L
.50562 .51074 L
.5068 .51204 L
.50722 .51286 L
.50783 .51364 L
.50883 .515 L
.50897 .51525 L
.51024 .51686 L
.51043 .51711 L
.51191 .51846 L
.51204 .5189 L
.51283 .52007 L
.51364 .5212 L
.51391 .52167 L
.51512 .52328 L
.51525 .52345 L
.5163 .52488 L
.51686 .52564 L
.51775 .52649 L
.51846 .52797 L
.51856 .52809 L
.51846 .52947 L
.51686 .52949 L
.51525 .52889 L
.51422 .52809 L
.51364 .52748 L
.51288 .52649 L
.51204 .52565 L
.51176 .52488 L
.51043 .52367 L
.51012 .52328 L
.50885 .52167 L
.50883 .52161 L
.50764 .52007 L
.50722 .51942 L
.50656 .51846 L
.50562 .51718 L
.5051 .51686 L
.50401 .51543 L
.50387 .51525 L
.50262 .51364 L
.50241 .51332 L
.50151 .51204 L
.5008 .51118 L
.50051 .51043 L
.4992 .50906 L
.49894 .50883 L
.49768 .50722 L
.49759 .50722 L
.49653 .50562 L
.49599 .5049 L
.4955 .50401 L
.49438 .5027 L
.49416 .50241 L
.49334 .5008 L
F
1 .77 .001 r
.49438 .50539 m
.49466 .50562 L
.49599 .50684 L
.49632 .50722 L
.49759 .50848 L
.49775 .50883 L
.49905 .51043 L
.4992 .51061 L
.50026 .51204 L
.5008 .51273 L
.50145 .51364 L
.50241 .51493 L
.50263 .51525 L
.50368 .51686 L
.50401 .51739 L
.50449 .51846 L
.50401 .51888 L
.5035 .51846 L
.50241 .51748 L
.50181 .51686 L
.5008 .51578 L
.50034 .51525 L
.4992 .51401 L
.49866 .51364 L
.49768 .51204 L
.49759 .51193 L
.49645 .51043 L
.49599 .5098 L
.49529 .50883 L
.49438 .50746 L
.49423 .50722 L
.49352 .50562 L
F
0 .65 1 r
.49438 .43648 m
.49448 .43659 L
.49438 .43814 L
.49353 .43659 L
F
.395 .97 1 r
.49438 .50046 m
.49599 .50041 L
.4972 .5008 L
.49759 .50103 L
.49895 .50241 L
.4992 .50302 L
.50073 .50401 L
.5008 .50489 L
.50169 .50562 L
.50241 .50689 L
.50279 .50722 L
.50401 .50881 L
.50403 .50883 L
.50528 .51043 L
.50562 .51076 L
.50678 .51204 L
.50722 .51289 L
.50781 .51364 L
.50883 .51503 L
.50895 .51525 L
.51021 .51686 L
.51043 .51715 L
.5119 .51846 L
.51204 .51894 L
.5128 .52007 L
.51364 .52127 L
.51387 .52167 L
.51507 .52328 L
.51525 .52352 L
.51623 .52488 L
.51686 .52576 L
.51763 .52649 L
.51833 .52809 L
.51686 .52922 L
.51525 .52858 L
.5145 .52809 L
.51364 .52725 L
.51304 .52649 L
.51204 .52549 L
.51183 .52488 L
.51043 .52355 L
.51021 .52328 L
.50889 .52167 L
.50883 .5215 L
.50769 .52007 L
.50722 .51934 L
.50661 .51846 L
.50562 .51713 L
.50514 .51686 L
.50401 .51537 L
.50392 .51525 L
.50266 .51364 L
.50241 .51327 L
.50155 .51204 L
.5008 .51113 L
.50054 .51043 L
.4992 .50902 L
.49899 .50883 L
.4977 .50722 L
.49759 .50721 L
.49658 .50562 L
.49599 .50482 L
.49555 .50401 L
.49438 .50256 L
.49427 .50241 L
.49366 .5008 L
F
1 .9 .045 r
.49438 .52783 m
.49464 .52809 L
.49599 .5295 L
.49617 .5297 L
.49759 .53128 L
.49761 .5313 L
.499 .53291 L
.4992 .53313 L
.50037 .53451 L
.5008 .53501 L
.50173 .53612 L
.50241 .53655 L
.50308 .53772 L
.50401 .53881 L
.50464 .53933 L
.50562 .54083 L
.50571 .54093 L
.507 .54254 L
.50722 .54281 L
.50831 .54414 L
.50883 .54465 L
.5096 .54575 L
.51043 .54678 L
.51097 .54735 L
.51204 .54883 L
.51214 .54896 L
.51342 .55057 L
.51364 .55064 L
.5147 .55217 L
.51525 .5528 L
.51621 .55378 L
.51686 .55491 L
.51722 .55538 L
.51846 .55697 L
.51847 .55699 L
.51973 .55859 L
.52007 .55888 L
.52154 .5602 L
.52167 .56104 L
.52231 .5618 L
.52328 .56316 L
.52345 .56341 L
.52472 .56501 L
.52488 .56503 L
.52596 .56662 L
.52649 .5672 L
.52742 .56822 L
.52809 .56937 L
.52844 .56983 L
.52966 .57143 L
.5297 .57148 L
.53089 .57304 L
.5313 .57337 L
.53262 .57464 L
.53291 .57562 L
.53342 .57625 L
.53451 .57779 L
.53455 .57785 L
.53577 .57946 L
.53612 .57991 L
.53699 .58106 L
.53772 .58189 L
.5384 .58267 L
.53933 .58416 L
.53941 .58428 L
.5406 .58588 L
.54093 .58632 L
.54179 .58749 L
.54254 .58818 L
.5434 .58909 L
.54414 .59063 L
.5442 .5907 L
.54534 .5923 L
.54575 .59285 L
.54651 .59391 L
.54735 .59506 L
.54768 .59551 L
.54882 .59712 L
.54896 .59731 L
.54992 .59872 L
.55057 .59962 L
.55103 .60033 L
.55212 .60193 L
.55217 .602 L
.55302 .60354 L
.55217 .60376 L
.55198 .60354 L
.55057 .60206 L
.55046 .60193 L
.54904 .60033 L
.54896 .60024 L
.54768 .59872 L
.54735 .59836 L
.54634 .59712 L
.54575 .59645 L
.545 .59551 L
.54414 .59489 L
.54366 .59391 L
.54254 .59261 L
.54216 .5923 L
.54105 .5907 L
.54093 .59056 L
.53977 .58909 L
.53933 .58856 L
.53849 .58749 L
.53772 .58677 L
.5372 .58588 L
.53612 .58457 L
.53582 .58428 L
.53466 .58267 L
.53451 .5825 L
.53341 .58106 L
.53291 .58045 L
.53215 .57946 L
.5313 .57854 L
.53057 .57785 L
.5297 .57637 L
.52959 .57625 L
.52838 .57464 L
.52809 .57429 L
.52714 .57304 L
.52649 .5725 L
.52589 .57143 L
.52488 .57022 L
.52452 .56983 L
.52339 .56822 L
.52328 .56808 L
.52217 .56662 L
.52167 .56599 L
.52094 .56501 L
.52007 .56407 L
.51942 .56341 L
.51846 .56183 L
.51844 .5618 L
.51724 .5602 L
.51686 .55972 L
.51602 .55859 L
.51525 .55794 L
.51478 .55699 L
.51364 .55557 L
.51348 .55538 L
.51233 .55378 L
.51204 .55341 L
.51113 .55217 L
.51043 .55129 L
.5099 .55057 L
.50883 .54929 L
.50853 .54896 L
.50746 .54735 L
.50722 .54705 L
.50628 .54575 L
.50562 .54491 L
.50507 .54414 L
.50401 .54295 L
.50384 .54254 L
.50266 .54093 L
.50241 .54061 L
.50149 .53933 L
.5008 .53843 L
.50031 .53772 L
.4992 .53626 L
.4991 .53612 L
.49797 .53451 L
.49759 .53402 L
.49685 .53291 L
.49599 .53174 L
.4957 .5313 L
.4946 .5297 L
.49438 .52939 L
.49367 .52809 L
F
.01 .85 1 r
.49438 .4785 m
.49595 .47993 L
.49599 .47997 L
.49748 .48154 L
.49759 .48166 L
.4989 .48314 L
.4992 .48348 L
.50027 .48475 L
.5008 .48527 L
.50216 .48636 L
.50241 .48736 L
.50292 .48796 L
.50401 .48947 L
.50407 .48957 L
.50527 .49117 L
.50562 .49166 L
.50641 .49278 L
.50722 .49404 L
.50756 .49438 L
.50817 .49599 L
.50722 .49666 L
.50624 .49599 L
.50562 .49547 L
.50458 .49438 L
.50401 .49378 L
.50318 .49278 L
.50241 .49226 L
.50185 .49117 L
.5008 .48999 L
.50036 .48957 L
.49932 .48796 L
.4992 .48781 L
.49813 .48636 L
.49759 .48566 L
.49694 .48475 L
.49599 .48346 L
.49577 .48314 L
.49467 .48154 L
.49438 .48112 L
.49368 .47993 L
F
1 .82 .004 r
.49438 .42998 m
.49459 .43017 L
.49599 .43153 L
.49622 .43178 L
.49759 .4332 L
.49771 .43338 L
.49914 .43499 L
.4992 .43505 L
.50052 .43659 L
.5008 .4369 L
.50189 .4382 L
.50241 .43849 L
.50325 .4398 L
.50401 .44064 L
.50499 .44141 L
.50562 .44266 L
.50596 .44301 L
.50722 .44462 L
.50722 .44462 L
.50852 .44622 L
.50883 .4465 L
.50981 .44783 L
.51043 .44857 L
.51127 .44943 L
.51204 .45063 L
.51238 .45104 L
.51364 .45263 L
.51365 .45265 L
.51493 .45425 L
.51525 .4546 L
.51653 .45586 L
.51686 .45668 L
.51751 .45746 L
.51846 .45876 L
.51867 .45907 L
.51998 .46067 L
.52007 .46074 L
.52123 .46228 L
.52167 .4628 L
.52264 .46388 L
.52328 .4649 L
.52372 .46549 L
.52488 .46698 L
.52493 .46709 L
.52622 .4687 L
.52649 .46896 L
.52777 .4703 L
.52809 .47107 L
.52877 .47191 L
.5297 .47319 L
.52991 .47351 L
.5312 .47512 L
.5313 .47518 L
.53243 .47672 L
.53291 .47726 L
.53383 .47833 L
.53451 .4794 L
.53491 .47993 L
.53612 .4815 L
.53613 .48154 L
.53737 .48314 L
.53772 .48347 L
.53893 .48475 L
.53933 .48562 L
.53991 .48636 L
.54093 .48776 L
.54106 .48796 L
.54231 .48957 L
.54254 .48968 L
.54353 .49117 L
.54414 .49185 L
.54493 .49278 L
.54575 .49403 L
.54601 .49438 L
.54722 .49599 L
.54735 .49616 L
.54844 .49759 L
.54896 .49806 L
.54999 .4992 L
.55057 .5003 L
.55096 .5008 L
.55212 .50241 L
.55217 .50247 L
.55332 .50401 L
.55378 .50423 L
.55454 .50562 L
.55538 .50658 L
.55591 .50722 L
.55699 .50882 L
.55699 .50883 L
.55818 .51043 L
.55859 .51096 L
.55939 .51204 L
.5602 .51286 L
.56086 .51364 L
.5618 .51521 L
.56183 .51525 L
.563 .51686 L
.56341 .51739 L
.56418 .51846 L
.56501 .51955 L
.56538 .52007 L
.56659 .52167 L
.56662 .52171 L
.56773 .52328 L
.56822 .52393 L
.56888 .52488 L
.56983 .52615 L
.57006 .52649 L
.57119 .52809 L
.57143 .52842 L
.57227 .5297 L
.57304 .53079 L
.57336 .5313 L
.57437 .53291 L
.57304 .53301 L
.57294 .53291 L
.57143 .53133 L
.57142 .5313 L
.56997 .5297 L
.56983 .52954 L
.56856 .52809 L
.56822 .52771 L
.56718 .52649 L
.56662 .52608 L
.56581 .52488 L
.56501 .52398 L
.56416 .52328 L
.56341 .52199 L
.56312 .52167 L
.56181 .52007 L
.5618 .52005 L
.5605 .51846 L
.5602 .51816 L
.5592 .51686 L
.55859 .51611 L
.5578 .51525 L
.55699 .51406 L
.55667 .51364 L
.55538 .51208 L
.55537 .51204 L
.55406 .51043 L
.55378 .51011 L
.55257 .50883 L
.55217 .50803 L
.55152 .50722 L
.55057 .50596 L
.55036 .50562 L
.549 .50401 L
.54896 .50398 L
.54773 .50241 L
.54735 .50194 L
.5464 .5008 L
.54575 .49984 L
.5453 .4992 L
.54414 .49776 L
.5441 .49759 L
.54273 .49599 L
.54254 .49578 L
.54129 .49438 L
.54093 .49368 L
.54024 .49278 L
.53933 .49157 L
.53911 .49117 L
.53775 .48957 L
.53772 .48954 L
.53617 .48796 L
.53612 .48749 L
.53519 .48636 L
.53451 .48536 L
.53409 .48475 L
.53291 .48327 L
.53288 .48314 L
.53156 .48154 L
.5313 .48127 L
.53012 .47993 L
.5297 .47914 L
.52908 .47833 L
.52809 .47702 L
.52794 .47672 L
.52663 .47512 L
.52649 .47502 L
.52501 .47351 L
.52488 .47291 L
.52407 .47191 L
.52328 .47075 L
.52297 .4703 L
.52171 .4687 L
.52167 .46864 L
.5205 .46709 L
.52007 .46667 L
.51904 .46549 L
.51846 .46448 L
.51802 .46388 L
.51686 .46233 L
.51683 .46228 L
.51561 .46067 L
.51525 .46045 L
.51393 .45907 L
.51364 .45819 L
.51307 .45746 L
.51204 .45598 L
.51196 .45586 L
.51075 .45425 L
.51043 .45383 L
.50955 .45265 L
.50883 .4519 L
.50812 .45104 L
.50722 .44959 L
.50711 .44943 L
.50594 .44783 L
.50562 .4474 L
.50476 .44622 L
.50401 .4456 L
.50318 .44462 L
.50241 .44309 L
.50235 .44301 L
.50122 .44141 L
.5008 .44085 L
.50006 .4398 L
.4992 .43863 L
.4989 .4382 L
.49776 .43659 L
.49759 .43637 L
.49668 .43499 L
.49599 .43401 L
.49559 .43338 L
.49454 .43178 L
.49438 .43154 L
.49375 .43017 L
F
1 .76 .001 r
.49438 .50555 m
.49447 .50562 L
.49599 .50694 L
.49624 .50722 L
.49759 .50862 L
.49768 .50883 L
.49898 .51043 L
.4992 .5107 L
.50019 .51204 L
.5008 .51282 L
.50139 .51364 L
.50241 .51503 L
.50255 .51525 L
.50355 .51686 L
.50401 .51765 L
.50424 .51846 L
.50401 .51862 L
.50377 .51846 L
.50241 .51734 L
.50194 .51686 L
.5008 .51566 L
.50044 .51525 L
.4992 .51387 L
.49886 .51364 L
.49777 .51204 L
.49759 .51182 L
.49654 .51043 L
.49599 .50969 L
.49538 .50883 L
.49438 .5073 L
.49434 .50722 L
.49378 .50562 L
F
.007 .84 1 r
.49438 .4787 m
.49579 .47993 L
.49599 .48011 L
.49737 .48154 L
.49759 .48177 L
.49881 .48314 L
.4992 .48358 L
.50019 .48475 L
.5008 .48535 L
.5021 .48636 L
.50241 .48745 L
.50285 .48796 L
.50401 .48957 L
.50401 .48957 L
.5052 .49117 L
.50562 .49177 L
.50633 .49278 L
.50722 .4942 L
.5074 .49438 L
.50798 .49599 L
.50722 .49649 L
.50641 .49599 L
.50562 .49536 L
.50467 .49438 L
.50401 .4937 L
.50324 .49278 L
.50241 .49218 L
.50191 .49117 L
.5008 .48991 L
.50044 .48957 L
.49937 .48796 L
.4992 .48774 L
.49818 .48636 L
.49759 .48558 L
.497 .48475 L
.49599 .48338 L
.49583 .48314 L
.49476 .48154 L
.49438 .48098 L
.4938 .47993 L
F
.005 .83 1 r
.49438 .47891 m
.49562 .47993 L
.49599 .48025 L
.49725 .48154 L
.49759 .48189 L
.49872 .48314 L
.4992 .48368 L
.5001 .48475 L
.5008 .48544 L
.50202 .48636 L
.50241 .48755 L
.50277 .48796 L
.50394 .48957 L
.50401 .48967 L
.50512 .49117 L
.50562 .49188 L
.50624 .49278 L
.50722 .49437 L
.50723 .49438 L
.50776 .49599 L
.50722 .4963 L
.50662 .49599 L
.50562 .49525 L
.50476 .49438 L
.50401 .49361 L
.50331 .49278 L
.50241 .4921 L
.50196 .49117 L
.5008 .48983 L
.50053 .48957 L
.49943 .48796 L
.4992 .48767 L
.49824 .48636 L
.49759 .48551 L
.49706 .48475 L
.49599 .48329 L
.49589 .48314 L
.49485 .48154 L
.49438 .48081 L
.49393 .47993 L
F
.212 .95 1 r
.49438 .4235 m
.49469 .42375 L
.49599 .42488 L
.49646 .42536 L
.49759 .42636 L
.49801 .42696 L
.4992 .42823 L
.49971 .42857 L
.5008 .43006 L
.50092 .43017 L
.50231 .43178 L
.50241 .4318 L
.50368 .43338 L
.50401 .43374 L
.50504 .43499 L
.50562 .43571 L
.50647 .43659 L
.50722 .4377 L
.50763 .4382 L
.50883 .43967 L
.50888 .4398 L
.51031 .44141 L
.51043 .44156 L
.51177 .44301 L
.51204 .4436 L
.51287 .44462 L
.51364 .44568 L
.51399 .44622 L
.51525 .44772 L
.51546 .44783 L
.51672 .44943 L
.51686 .44962 L
.51802 .45104 L
.51846 .45171 L
.51913 .45265 L
.52007 .45384 L
.5202 .45425 L
.52167 .45574 L
.52176 .45586 L
.5231 .45746 L
.52328 .45783 L
.52423 .45907 L
.52488 .45996 L
.52531 .46067 L
.52649 .46209 L
.52677 .46228 L
.52808 .46388 L
.52809 .464 L
.52928 .46549 L
.5297 .46612 L
.53038 .46709 L
.5313 .46826 L
.53142 .4687 L
.53291 .47029 L
.53297 .4703 L
.53431 .47191 L
.53451 .47232 L
.53542 .47351 L
.53612 .47445 L
.53649 .47512 L
.53772 .47656 L
.53793 .47672 L
.5393 .47833 L
.53933 .47854 L
.54045 .47993 L
.54093 .48066 L
.54154 .48154 L
.54254 .48279 L
.54261 .48314 L
.5441 .48475 L
.54414 .4848 L
.54547 .48636 L
.54575 .48689 L
.54656 .48796 L
.54735 .48902 L
.54765 .48957 L
.54896 .4911 L
.54904 .49117 L
.5505 .49278 L
.55057 .49313 L
.55158 .49438 L
.55217 .49526 L
.55266 .49599 L
.55378 .49737 L
.55381 .49759 L
.5552 .4992 L
.55538 .49938 L
.5566 .5008 L
.55699 .50149 L
.55767 .50241 L
.55859 .50363 L
.55879 .50401 L
.56012 .50562 L
.5602 .50566 L
.56167 .50722 L
.5618 .50773 L
.56268 .50883 L
.56341 .50988 L
.56377 .51043 L
.56501 .512 L
.56502 .51204 L
.56627 .51364 L
.56662 .51397 L
.56771 .51525 L
.56822 .51613 L
.56876 .51686 L
.56983 .51828 L
.56992 .51846 L
.57118 .52007 L
.57143 .5202 L
.57279 .52167 L
.57304 .52237 L
.57375 .52328 L
.57464 .52456 L
.57485 .52488 L
.57609 .52649 L
.57625 .52669 L
.5773 .52809 L
.57785 .5286 L
.57876 .5297 L
.57946 .53084 L
.57979 .5313 L
.58098 .53291 L
.58106 .53301 L
.58219 .53451 L
.58267 .53478 L
.58382 .53612 L
.58428 .53712 L
.58473 .53772 L
.58586 .53933 L
.58588 .53936 L
.58705 .54093 L
.58749 .5415 L
.58825 .54254 L
.58909 .54341 L
.58966 .54414 L
.5907 .54575 L
.5907 .54575 L
.59187 .54735 L
.5923 .54792 L
.59305 .54896 L
.59391 .55008 L
.59454 .55057 L
.59545 .55217 L
.59551 .55225 L
.59659 .55378 L
.59712 .55447 L
.59775 .55538 L
.59872 .5567 L
.59892 .55699 L
.60003 .55859 L
.60033 .559 L
.6011 .5602 L
.60193 .56141 L
.60217 .5618 L
.60309 .56341 L
.60193 .56362 L
.60171 .56341 L
.60033 .56212 L
.60009 .5618 L
.59872 .56035 L
.59849 .5602 L
.59713 .55859 L
.59712 .55858 L
.59572 .55699 L
.59551 .55689 L
.59432 .55538 L
.59391 .55492 L
.59239 .55378 L
.5923 .55296 L
.59156 .55217 L
.5907 .55098 L
.59037 .55057 L
.58909 .54904 L
.58907 .54896 L
.58766 .54735 L
.58749 .54714 L
.58624 .54575 L
.58588 .5451 L
.58513 .54414 L
.58428 .54302 L
.584 .54254 L
.58267 .541 L
.5825 .54093 L
.58111 .53933 L
.58106 .5391 L
.57996 .53772 L
.57946 .537 L
.57885 .53612 L
.57785 .53487 L
.5778 .53451 L
.57625 .53299 L
.57618 .53291 L
.57487 .5313 L
.57464 .53091 L
.57374 .5297 L
.57304 .52876 L
.57269 .52809 L
.57143 .52663 L
.57116 .52649 L
.56987 .52488 L
.56983 .52474 L
.56868 .52328 L
.56822 .52262 L
.56759 .52167 L
.56662 .52046 L
.56618 .52007 L
.56501 .51853 L
.56496 .51846 L
.56366 .51686 L
.56341 .51643 L
.56254 .51525 L
.5618 .51428 L
.56149 .51364 L
.5602 .51217 L
.55999 .51204 L
.55867 .51043 L
.55859 .51021 L
.55751 .50883 L
.55699 .50808 L
.55643 .50722 L
.55538 .50595 L
.55504 .50562 L
.55382 .50401 L
.55378 .50396 L
.5525 .50241 L
.55217 .50186 L
.5514 .5008 L
.55057 .49972 L
.55033 .4992 L
.54896 .49765 L
.54888 .49759 L
.54749 .49599 L
.54735 .49562 L
.54639 .49438 L
.54575 .49349 L
.5453 .49278 L
.54414 .49138 L
.54394 .49117 L
.54272 .48957 L
.54254 .48937 L
.54137 .48796 L
.54093 .48725 L
.54029 .48636 L
.53933 .48512 L
.53918 .48475 L
.53779 .48314 L
.53772 .48309 L
.53633 .48154 L
.53612 .48101 L
.53528 .47993 L
.53451 .47887 L
.53418 .47833 L
.53291 .47677 L
.53287 .47672 L
.53165 .47512 L
.5313 .47477 L
.53027 .47351 L
.5297 .47262 L
.5292 .47191 L
.52809 .47048 L
.52802 .4703 L
.52674 .4687 L
.52649 .46853 L
.52522 .46709 L
.52488 .46637 L
.52421 .46549 L
.52328 .4642 L
.52309 .46388 L
.52183 .46228 L
.52167 .46208 L
.52061 .46067 L
.52007 .46013 L
.51921 .45907 L
.51846 .45792 L
.51814 .45746 L
.51693 .45586 L
.51686 .45576 L
.51573 .45425 L
.51525 .45392 L
.51418 .45265 L
.51364 .45163 L
.51321 .45104 L
.51206 .44943 L
.51204 .44941 L
.51086 .44783 L
.51043 .44727 L
.50966 .44622 L
.50883 .44533 L
.50829 .44462 L
.50722 .44302 L
.50722 .44301 L
.50604 .44141 L
.50562 .44085 L
.50485 .4398 L
.50401 .43899 L
.50341 .4382 L
.50245 .43659 L
.50241 .43654 L
.50131 .43499 L
.5008 .43431 L
.50015 .43338 L
.4992 .43209 L
.49898 .43178 L
.49785 .43017 L
.49759 .42982 L
.49677 .42857 L
.49599 .42744 L
.49569 .42696 L
.49469 .42536 L
.49438 .42486 L
.49396 .42375 L
F
.289 .96 1 r
.49438 .50062 m
.49599 .50054 L
.49688 .5008 L
.49759 .50116 L
.49887 .50241 L
.4992 .50319 L
.50071 .50401 L
.5008 .50495 L
.50166 .50562 L
.50241 .50692 L
.50277 .50722 L
.50401 .50882 L
.50402 .50883 L
.50525 .51043 L
.50562 .51079 L
.50676 .51204 L
.50722 .51292 L
.50778 .51364 L
.50883 .51507 L
.50893 .51525 L
.51018 .51686 L
.51043 .51719 L
.51188 .51846 L
.51204 .51899 L
.51276 .52007 L
.51364 .52133 L
.51383 .52167 L
.51501 .52328 L
.51525 .5236 L
.51616 .52488 L
.51686 .52589 L
.5175 .52649 L
.51808 .52809 L
.51686 .52896 L
.51525 .5283 L
.51485 .52809 L
.51364 .52704 L
.51318 .52649 L
.51204 .52534 L
.51189 .52488 L
.51043 .52344 L
.5103 .52328 L
.50893 .52167 L
.50883 .52141 L
.50775 .52007 L
.50722 .51927 L
.50665 .51846 L
.50562 .51709 L
.50519 .51686 L
.50401 .51532 L
.50396 .51525 L
.50269 .51364 L
.50241 .51322 L
.50158 .51204 L
.5008 .51108 L
.50056 .51043 L
.4992 .50898 L
.49903 .50883 L
.49773 .50722 L
.49759 .5072 L
.49663 .50562 L
.49599 .50474 L
.49561 .50401 L
.49438 .50241 L
.49438 .50241 L
.494 .5008 L
F
1 .47 0 r
.49438 .48546 m
.49512 .48636 L
.49599 .48737 L
.49642 .48796 L
.49599 .48891 L
.49525 .48796 L
.49438 .4869 L
.49401 .48636 L
F
.004 .82 1 r
.49438 .47916 m
.49542 .47993 L
.49599 .4804 L
.49713 .48154 L
.49759 .48201 L
.49862 .48314 L
.4992 .48379 L
.50002 .48475 L
.5008 .48553 L
.50192 .48636 L
.50241 .48765 L
.50268 .48796 L
.50386 .48957 L
.50401 .48977 L
.50504 .49117 L
.50562 .492 L
.50616 .49278 L
.50711 .49438 L
.50722 .49464 L
.50746 .49599 L
.50722 .49609 L
.50693 .49599 L
.50562 .49514 L
.50485 .49438 L
.50401 .49353 L
.50337 .49278 L
.50241 .492 L
.50202 .49117 L
.5008 .48974 L
.50062 .48957 L
.49949 .48796 L
.4992 .48759 L
.4983 .48636 L
.49759 .48543 L
.49712 .48475 L
.49599 .48319 L
.49595 .48314 L
.49495 .48154 L
.49438 .4806 L
.49407 .47993 L
F
1 .46 0 r
.49438 .48558 m
.49503 .48636 L
.49599 .48748 L
.49634 .48796 L
.49599 .4888 L
.49534 .48796 L
.49438 .4868 L
.49409 .48636 L
F
1 .97 .395 r
.49438 .47279 m
.49599 .47328 L
.49634 .47351 L
.49759 .47458 L
.4984 .47512 L
.4992 .47624 L
.4997 .47672 L
.5008 .47806 L
.50104 .47833 L
.50241 .47992 L
.50242 .47993 L
.50382 .48154 L
.50401 .48191 L
.505 .48314 L
.50562 .48398 L
.50614 .48475 L
.50722 .48608 L
.5076 .48636 L
.50883 .48796 L
.50883 .48796 L
.51006 .48957 L
.51043 .49007 L
.51114 .49117 L
.51204 .49221 L
.51216 .49278 L
.51364 .49434 L
.51369 .49438 L
.51488 .49599 L
.51525 .49668 L
.51575 .49759 L
.51545 .4992 L
.51525 .49923 L
.51426 .4992 L
.51364 .49904 L
.51204 .49791 L
.51159 .49759 L
.51043 .49608 L
.51035 .49599 L
.50909 .49438 L
.50883 .49427 L
.50784 .49278 L
.50722 .49219 L
.50612 .49117 L
.50562 .49001 L
.50523 .48957 L
.5041 .48796 L
.50401 .48784 L
.5029 .48636 L
.50241 .48572 L
.50169 .48475 L
.5008 .48388 L
.50027 .48314 L
.49925 .48154 L
.4992 .48147 L
.4981 .47993 L
.49759 .47925 L
.49695 .47833 L
.49599 .47698 L
.49567 .47672 L
.49483 .47512 L
.49438 .47426 L
.49417 .47351 L
F
1 .45 0 r
.49438 .48573 m
.49491 .48636 L
.49599 .4876 L
.49625 .48796 L
.49599 .48867 L
.49545 .48796 L
.49438 .48668 L
.49418 .48636 L
F
0 .67 1 r
.49438 .44955 m
.49543 .45104 L
.49599 .45172 L
.49661 .45265 L
.49759 .45388 L
.49784 .45425 L
.49759 .45512 L
.49692 .45425 L
.49599 .45319 L
.49557 .45265 L
.49438 .45122 L
.49425 .45104 L
F
.003 .81 1 r
.49438 .4795 m
.49517 .47993 L
.49599 .48055 L
.497 .48154 L
.49759 .48213 L
.49852 .48314 L
.4992 .48389 L
.49994 .48475 L
.5008 .48563 L
.50181 .48636 L
.50241 .48775 L
.5026 .48796 L
.50379 .48957 L
.50401 .48987 L
.50497 .49117 L
.50562 .49212 L
.50607 .49278 L
.50698 .49438 L
.50562 .49502 L
.50496 .49438 L
.50401 .49344 L
.50344 .49278 L
.50241 .4919 L
.50207 .49117 L
.5008 .48964 L
.50072 .48957 L
.49955 .48796 L
.4992 .48752 L
.49836 .48636 L
.49759 .48534 L
.49718 .48475 L
.49603 .48314 L
.49599 .48308 L
.49506 .48154 L
.49438 .48031 L
.49425 .47993 L
F
0 .46 1 r
.49438 .54739 m
.49537 .54896 L
.49599 .54981 L
.49641 .55057 L
.49599 .55086 L
.49574 .55057 L
.49438 .54911 L
.49426 .54896 L
F
1 .44 0 r
.49438 .48591 m
.49476 .48636 L
.49599 .48774 L
.49614 .48796 L
.49599 .48851 L
.49558 .48796 L
.49438 .48652 L
.49428 .48636 L
F
0 .45 1 r
.49438 .5475 m
.49526 .54896 L
.49599 .54999 L
.49625 .55057 L
.49599 .5507 L
.49587 .55057 L
.49438 .54902 L
.49433 .54896 L
F
1 .55 0 r
.49438 .44303 m
.49567 .44462 L
.49599 .44496 L
.49698 .44622 L
.49759 .44692 L
.49829 .44783 L
.4992 .4489 L
.49961 .44943 L
.5008 .45088 L
.50092 .45104 L
.50218 .45265 L
.50241 .45292 L
.50341 .45425 L
.50401 .45498 L
.50467 .45586 L
.50562 .45703 L
.50594 .45746 L
.50721 .45907 L
.50722 .45908 L
.5084 .46067 L
.50883 .4612 L
.50961 .46228 L
.51043 .46331 L
.51085 .46388 L
.51204 .4654 L
.5121 .46549 L
.51326 .46709 L
.51364 .46758 L
.51442 .4687 L
.51525 .46976 L
.51562 .4703 L
.51525 .47158 L
.51423 .4703 L
.51364 .46964 L
.5129 .4687 L
.51204 .46767 L
.51158 .46709 L
.51043 .46569 L
.51028 .46549 L
.50902 .46388 L
.50883 .46366 L
.50777 .46228 L
.50722 .46162 L
.5065 .46067 L
.50562 .45957 L
.50523 .45907 L
.50401 .45757 L
.50397 .45746 L
.50277 .45586 L
.50241 .45541 L
.50155 .45425 L
.5008 .4533 L
.50032 .45265 L
.4992 .4512 L
.49908 .45104 L
.49791 .44943 L
.49759 .44903 L
.49674 .44783 L
.49599 .44685 L
.49555 .44622 L
.49438 .44466 L
.49435 .44462 L
F
0 .66 1 r
.49438 .44973 m
.49526 .45104 L
.49599 .45192 L
.49645 .45265 L
.49759 .45409 L
.49769 .45425 L
.49759 .45486 L
.49712 .45425 L
.49599 .45299 L
.49572 .45265 L
.49438 .45105 L
.49438 .45104 L
F
.212 .95 1 r
.49599 .50067 m
.49651 .5008 L
.49759 .50129 L
.49878 .50241 L
.4992 .50334 L
.50068 .50401 L
.5008 .50501 L
.50162 .50562 L
.50241 .50695 L
.50274 .50722 L
.504 .50883 L
.50401 .50883 L
.50523 .51043 L
.50562 .51082 L
.50674 .51204 L
.50722 .51296 L
.50776 .51364 L
.50883 .5151 L
.50891 .51525 L
.51015 .51686 L
.51043 .51722 L
.51186 .51846 L
.51204 .51903 L
.51273 .52007 L
.51364 .5214 L
.51379 .52167 L
.51496 .52328 L
.51525 .52368 L
.51609 .52488 L
.51686 .52603 L
.51734 .52649 L
.51779 .52809 L
.51686 .52869 L
.5153 .52809 L
.51525 .52808 L
.51364 .52685 L
.51333 .52649 L
.51204 .5252 L
.51194 .52488 L
.51043 .52333 L
.51039 .52328 L
.50896 .52167 L
.50883 .52131 L
.5078 .52007 L
.50722 .5192 L
.5067 .51846 L
.50562 .51705 L
.50524 .51686 L
.50401 .51526 L
.504 .51525 L
.50272 .51364 L
.50241 .51317 L
.50162 .51204 L
.5008 .51103 L
.50059 .51043 L
.4992 .50894 L
.49907 .50883 L
.49775 .50722 L
.49759 .50719 L
.49668 .50562 L
.49599 .50465 L
.49566 .50401 L
.49449 .50241 L
.49439 .5008 L
F
1 .75 0 r
.49599 .50705 m
.49614 .50722 L
.49759 .50879 L
.49761 .50883 L
.4989 .51043 L
.4992 .5108 L
.50012 .51204 L
.5008 .51291 L
.50131 .51364 L
.50241 .51514 L
.50248 .51525 L
.50341 .51686 L
.50241 .51718 L
.50208 .51686 L
.5008 .51554 L
.50054 .51525 L
.4992 .51372 L
.49908 .51364 L
.49786 .51204 L
.49759 .51171 L
.49663 .51043 L
.49599 .50956 L
.49547 .50883 L
.49447 .50722 L
F
.156 .94 1 r
.49599 .5008 m
.496 .5008 L
.49759 .5014 L
.49869 .50241 L
.4992 .50347 L
.50065 .50401 L
.5008 .50506 L
.50158 .50562 L
.50241 .50698 L
.50271 .50722 L
.50397 .50883 L
.50401 .50885 L
.5052 .51043 L
.50562 .51085 L
.50672 .51204 L
.50722 .51299 L
.50773 .51364 L
.50883 .51513 L
.5089 .51525 L
.51012 .51686 L
.51043 .51726 L
.51184 .51846 L
.51204 .51908 L
.51269 .52007 L
.51364 .52148 L
.51375 .52167 L
.5149 .52328 L
.51525 .52376 L
.51602 .52488 L
.51686 .52618 L
.51717 .52649 L
.51743 .52809 L
.51686 .52841 L
.51575 .52809 L
.51525 .52801 L
.51364 .52667 L
.51347 .52649 L
.51204 .52506 L
.51198 .52488 L
.51048 .52328 L
.51043 .52322 L
.509 .52167 L
.50883 .52122 L
.50785 .52007 L
.50722 .51913 L
.50674 .51846 L
.50562 .51702 L
.50528 .51686 L
.50404 .51525 L
.50401 .51521 L
.50275 .51364 L
.50241 .51312 L
.50165 .51204 L
.5008 .51099 L
.50061 .51043 L
.4992 .50891 L
.49911 .50883 L
.49778 .50722 L
.49759 .50717 L
.49673 .50562 L
.49599 .50457 L
.49571 .50401 L
.4946 .50241 L
.49509 .5008 L
F
1 .74 0 r
.49599 .50716 m
.49604 .50722 L
.49752 .50883 L
.49759 .50891 L
.49882 .51043 L
.4992 .51089 L
.50004 .51204 L
.5008 .51301 L
.50124 .51364 L
.50239 .51525 L
.50241 .51527 L
.50322 .51686 L
.50241 .51701 L
.50224 .51686 L
.5008 .51541 L
.50065 .51525 L
.49925 .51364 L
.4992 .51358 L
.49795 .51204 L
.49759 .51159 L
.49672 .51043 L
.49599 .50943 L
.49557 .50883 L
.49462 .50722 L
F
.114 .93 1 r
.49599 .50093 m
.49759 .50152 L
.49859 .50241 L
.4992 .50358 L
.50061 .50401 L
.5008 .50511 L
.50154 .50562 L
.50241 .50701 L
.50268 .50722 L
.50394 .50883 L
.50401 .50886 L
.50517 .51043 L
.50562 .51088 L
.50669 .51204 L
.50722 .51302 L
.50771 .51364 L
.50883 .51517 L
.50888 .51525 L
.51009 .51686 L
.51043 .5173 L
.51181 .51846 L
.51204 .51913 L
.51265 .52007 L
.51364 .52155 L
.51371 .52167 L
.51485 .52328 L
.51525 .52385 L
.51594 .52488 L
.51686 .52636 L
.51698 .52649 L
.51686 .52809 L
.51525 .52798 L
.51364 .5265 L
.51363 .52649 L
.51204 .52493 L
.51202 .52488 L
.51056 .52328 L
.51043 .52311 L
.50903 .52167 L
.50883 .52114 L
.5079 .52007 L
.50722 .51907 L
.50678 .51846 L
.50562 .51699 L
.50533 .51686 L
.50408 .51525 L
.50401 .51516 L
.50278 .51364 L
.50241 .51307 L
.50169 .51204 L
.5008 .51094 L
.50063 .51043 L
.4992 .50887 L
.49916 .50883 L
.4978 .50722 L
.49759 .50715 L
.49677 .50562 L
.49599 .50448 L
.49575 .50401 L
.49471 .50241 L
F
1 .81 .003 r
.49599 .43173 m
.49603 .43178 L
.49757 .43338 L
.49759 .4334 L
.49902 .43499 L
.4992 .43518 L
.50042 .43659 L
.5008 .43701 L
.50181 .4382 L
.50241 .43856 L
.50318 .4398 L
.50401 .44072 L
.50491 .44141 L
.50562 .44273 L
.50589 .44301 L
.50716 .44462 L
.50722 .44469 L
.50847 .44622 L
.50883 .44655 L
.50977 .44783 L
.51043 .44862 L
.51123 .44943 L
.51204 .45067 L
.51234 .45104 L
.51362 .45265 L
.51364 .45265 L
.51489 .45425 L
.51525 .45463 L
.51651 .45586 L
.51686 .45672 L
.51748 .45746 L
.51846 .4588 L
.51865 .45907 L
.51995 .46067 L
.52007 .46076 L
.5212 .46228 L
.52167 .46283 L
.52261 .46388 L
.52328 .46494 L
.5237 .46549 L
.52488 .46701 L
.52492 .46709 L
.5262 .4687 L
.52649 .46898 L
.52776 .4703 L
.52809 .4711 L
.52875 .47191 L
.5297 .47321 L
.52989 .47351 L
.53118 .47512 L
.5313 .4752 L
.53241 .47672 L
.53291 .47729 L
.53381 .47833 L
.53451 .47943 L
.53489 .47993 L
.53612 .48152 L
.53612 .48154 L
.53736 .48314 L
.53772 .48349 L
.53891 .48475 L
.53933 .48565 L
.53989 .48636 L
.54093 .48779 L
.54104 .48796 L
.54229 .48957 L
.54254 .48969 L
.54351 .49117 L
.54414 .49187 L
.54491 .49278 L
.54575 .49406 L
.54599 .49438 L
.5472 .49599 L
.54735 .49618 L
.54841 .49759 L
.54896 .49809 L
.54997 .4992 L
.55057 .50033 L
.55093 .5008 L
.5521 .50241 L
.55217 .5025 L
.5533 .50401 L
.55378 .50425 L
.55452 .50562 L
.55538 .50662 L
.55588 .50722 L
.55697 .50883 L
.55699 .50885 L
.55815 .51043 L
.55859 .511 L
.55936 .51204 L
.5602 .51291 L
.56082 .51364 L
.56179 .51525 L
.5618 .51526 L
.56296 .51686 L
.56341 .51744 L
.56414 .51846 L
.56501 .51961 L
.56534 .52007 L
.56653 .52167 L
.56662 .52178 L
.56767 .52328 L
.56822 .52401 L
.56882 .52488 L
.56983 .52624 L
.57 .52649 L
.5711 .52809 L
.57143 .52855 L
.57216 .5297 L
.57304 .53097 L
.57324 .5313 L
.57304 .53277 L
.57159 .5313 L
.57143 .53115 L
.57011 .5297 L
.56983 .52941 L
.56867 .52809 L
.56822 .5276 L
.56727 .52649 L
.56662 .526 L
.56589 .52488 L
.56501 .52389 L
.56425 .52328 L
.56341 .52191 L
.56318 .52167 L
.56188 .52007 L
.5618 .51998 L
.56056 .51846 L
.5602 .5181 L
.55925 .51686 L
.55859 .51605 L
.55785 .51525 L
.55699 .51401 L
.55671 .51364 L
.55538 .51204 L
.55538 .51204 L
.5541 .51043 L
.55378 .51006 L
.55259 .50883 L
.55217 .50799 L
.55155 .50722 L
.55057 .50592 L
.55038 .50562 L
.54903 .50401 L
.54896 .50395 L
.54776 .50241 L
.54735 .5019 L
.54643 .5008 L
.54575 .4998 L
.54532 .4992 L
.54414 .49774 L
.54411 .49759 L
.54275 .49599 L
.54254 .49575 L
.54131 .49438 L
.54093 .49365 L
.54026 .49278 L
.53933 .49154 L
.53912 .49117 L
.53777 .48957 L
.53772 .48953 L
.53617 .48796 L
.53612 .48746 L
.5352 .48636 L
.53451 .48534 L
.53411 .48475 L
.53291 .48325 L
.53289 .48314 L
.53158 .48154 L
.5313 .48125 L
.53014 .47993 L
.5297 .47912 L
.5291 .47833 L
.52809 .47699 L
.52795 .47672 L
.52665 .47512 L
.52649 .47501 L
.52502 .47351 L
.52488 .47288 L
.52409 .47191 L
.52328 .47073 L
.52299 .4703 L
.52174 .4687 L
.52167 .46861 L
.52052 .46709 L
.52007 .46665 L
.51906 .46549 L
.51846 .46445 L
.51804 .46388 L
.51686 .46229 L
.51685 .46228 L
.51564 .46067 L
.51525 .46043 L
.51396 .45907 L
.51364 .45816 L
.5131 .45746 L
.51204 .45594 L
.51198 .45586 L
.51079 .45425 L
.51043 .45379 L
.50958 .45265 L
.50883 .45185 L
.50816 .45104 L
.50722 .44954 L
.50715 .44943 L
.50598 .44783 L
.50562 .44735 L
.5048 .44622 L
.50401 .44552 L
.50325 .44462 L
.50241 .44301 L
.50241 .44301 L
.50128 .44141 L
.5008 .44077 L
.50012 .4398 L
.4992 .43854 L
.49896 .4382 L
.49785 .43659 L
.49759 .43624 L
.49678 .43499 L
.49599 .43384 L
.4957 .43338 L
.49475 .43178 L
F
.084 .92 1 r
.49599 .50105 m
.49759 .50163 L
.4985 .50241 L
.4992 .50368 L
.50057 .50401 L
.5008 .50516 L
.5015 .50562 L
.50241 .50703 L
.50265 .50722 L
.50391 .50883 L
.50401 .50888 L
.50515 .51043 L
.50562 .51091 L
.50667 .51204 L
.50722 .51306 L
.50768 .51364 L
.50883 .5152 L
.50885 .51525 L
.51006 .51686 L
.51043 .51734 L
.51179 .51846 L
.51204 .51918 L
.51261 .52007 L
.51364 .52163 L
.51367 .52167 L
.51479 .52328 L
.51525 .52394 L
.51587 .52488 L
.51679 .52649 L
.51525 .52793 L
.51381 .52649 L
.51364 .52637 L
.51211 .52488 L
.51204 .52481 L
.51064 .52328 L
.51043 .52301 L
.50906 .52167 L
.50883 .52106 L
.50795 .52007 L
.50722 .51901 L
.50682 .51846 L
.50562 .51696 L
.50537 .51686 L
.50412 .51525 L
.50401 .51512 L
.50281 .51364 L
.50241 .51302 L
.50172 .51204 L
.5008 .5109 L
.50065 .51043 L
.4992 .50883 L
.4992 .50883 L
.49783 .50722 L
.49759 .50712 L
.49682 .50562 L
.49599 .50439 L
.4958 .50401 L
.49482 .50241 L
F
.061 .91 1 r
.49599 .50118 m
.49759 .50173 L
.4984 .50241 L
.4992 .50376 L
.50052 .50401 L
.5008 .5052 L
.50146 .50562 L
.50241 .50706 L
.50262 .50722 L
.50388 .50883 L
.50401 .50889 L
.50512 .51043 L
.50562 .51094 L
.50665 .51204 L
.50722 .51309 L
.50766 .51364 L
.50883 .51524 L
.50883 .51525 L
.51003 .51686 L
.51043 .51738 L
.51176 .51846 L
.51204 .51924 L
.51257 .52007 L
.51362 .52167 L
.51364 .5217 L
.51473 .52328 L
.51525 .52404 L
.51579 .52488 L
.51663 .52649 L
.51525 .52785 L
.51401 .52649 L
.51364 .52625 L
.51222 .52488 L
.51204 .52469 L
.51072 .52328 L
.51043 .52292 L
.5091 .52167 L
.50883 .52098 L
.508 .52007 L
.50722 .51895 L
.50685 .51846 L
.50562 .51694 L
.50541 .51686 L
.50416 .51525 L
.50401 .51507 L
.50284 .51364 L
.50241 .51298 L
.50176 .51204 L
.5008 .51085 L
.50066 .51043 L
.49924 .50883 L
.4992 .50877 L
.49785 .50722 L
.49759 .50708 L
.49687 .50562 L
.49599 .5043 L
.49585 .50401 L
.49494 .50241 L
F
.045 .9 1 r
.49599 .50131 m
.49759 .50183 L
.4983 .50241 L
.4992 .50382 L
.50046 .50401 L
.5008 .50524 L
.50141 .50562 L
.50241 .50709 L
.50258 .50722 L
.50385 .50883 L
.50401 .50891 L
.50509 .51043 L
.50562 .51097 L
.50662 .51204 L
.50722 .51313 L
.50763 .51364 L
.50881 .51525 L
.50883 .51528 L
.51 .51686 L
.51043 .51742 L
.51173 .51846 L
.51204 .5193 L
.51253 .52007 L
.51358 .52167 L
.51364 .52177 L
.51467 .52328 L
.51525 .52415 L
.51571 .52488 L
.51645 .52649 L
.51525 .5277 L
.51421 .52649 L
.51364 .52614 L
.51233 .52488 L
.51204 .52459 L
.5108 .52328 L
.51043 .52282 L
.50914 .52167 L
.50883 .5209 L
.50805 .52007 L
.50722 .51889 L
.50689 .51846 L
.50562 .51692 L
.50546 .51686 L
.5042 .51525 L
.50401 .51502 L
.50287 .51364 L
.50241 .51293 L
.50179 .51204 L
.5008 .51081 L
.50068 .51043 L
.49928 .50883 L
.4992 .50872 L
.49788 .50722 L
.49759 .50704 L
.49692 .50562 L
.49599 .5042 L
.4959 .50401 L
.49505 .50241 L
F
1 .98 .538 r
.49599 .41856 m
.49641 .41894 L
.49759 .41975 L
.49812 .42054 L
.4992 .42164 L
.49968 .42215 L
.5008 .42342 L
.50121 .42375 L
.50241 .42522 L
.50254 .42536 L
.50399 .42696 L
.50401 .42699 L
.50538 .42857 L
.50562 .42888 L
.50686 .43017 L
.50722 .43084 L
.508 .43178 L
.50883 .43288 L
.50914 .43338 L
.51043 .43463 L
.51073 .43499 L
.51203 .43659 L
.51204 .43663 L
.5133 .4382 L
.51364 .43871 L
.51442 .4398 L
.51525 .44088 L
.51591 .44141 L
.51686 .44263 L
.51716 .44301 L
.51842 .44462 L
.51846 .44469 L
.5196 .44622 L
.52007 .44686 L
.52063 .44783 L
.52167 .44875 L
.52222 .44943 L
.52328 .45083 L
.52345 .45104 L
.52467 .45265 L
.52488 .45295 L
.52577 .45425 L
.52649 .45519 L
.52721 .45586 L
.52809 .45702 L
.52844 .45746 L
.52967 .45907 L
.5297 .45912 L
.53083 .46067 L
.5313 .46131 L
.53184 .46228 L
.53291 .46359 L
.53341 .46388 L
.53451 .46534 L
.53463 .46549 L
.53585 .46709 L
.53612 .46748 L
.53692 .4687 L
.53772 .46971 L
.53836 .4703 L
.53933 .47159 L
.53958 .47191 L
.54082 .47351 L
.54093 .4737 L
.54196 .47512 L
.54254 .47588 L
.54296 .47672 L
.54414 .4781 L
.54453 .47833 L
.54574 .47993 L
.54575 .47995 L
.54697 .48154 L
.54735 .48209 L
.54804 .48314 L
.54896 .48428 L
.54946 .48475 L
.55057 .48621 L
.55068 .48636 L
.55195 .48796 L
.55217 .48832 L
.55307 .48957 L
.55378 .49048 L
.55408 .49117 L
.55538 .49262 L
.55562 .49278 L
.55691 .49438 L
.55699 .49457 L
.55807 .49599 L
.55859 .49671 L
.55915 .49759 L
.5602 .49885 L
.56055 .4992 L
.56177 .5008 L
.5618 .50084 L
.56307 .50241 L
.56341 .50294 L
.56417 .50401 L
.56501 .50508 L
.56522 .50562 L
.56662 .50716 L
.5667 .50722 L
.56807 .50883 L
.56822 .50919 L
.56918 .51043 L
.56983 .51132 L
.57026 .51204 L
.57143 .51344 L
.57163 .51364 L
.57285 .51525 L
.57304 .51545 L
.57419 .51686 L
.57464 .51756 L
.57528 .51846 L
.57625 .51969 L
.57638 .52007 L
.57778 .52167 L
.57785 .52173 L
.57922 .52328 L
.57946 .5238 L
.58028 .52488 L
.58106 .52594 L
.58138 .52649 L
.58267 .52805 L
.58271 .52809 L
.58393 .5297 L
.58428 .53004 L
.5853 .5313 L
.58588 .53219 L
.58638 .53291 L
.58749 .53432 L
.58755 .53451 L
.58886 .53612 L
.58909 .53628 L
.59034 .53772 L
.5907 .53842 L
.59138 .53933 L
.5923 .54058 L
.5925 .54093 L
.59378 .54254 L
.59391 .5427 L
.59545 .54414 L
.59551 .54464 L
.59639 .54575 L
.59712 .54683 L
.59747 .54735 L
.5987 .54896 L
.59872 .54898 L
.59992 .55057 L
.60033 .55083 L
.60144 .55217 L
.60193 .55307 L
.60245 .55378 L
.60354 .55527 L
.6036 .55538 L
.60483 .55699 L
.60514 .55739 L
.60656 .55859 L
.60675 .55929 L
.60744 .5602 L
.60835 .56154 L
.60853 .5618 L
.60973 .56341 L
.60996 .5637 L
.61094 .56501 L
.61156 .56547 L
.61245 .56662 L
.61317 .56783 L
.61345 .56822 L
.61461 .56983 L
.61477 .57003 L
.61581 .57143 L
.61638 .57217 L
.61752 .57304 L
.61799 .57413 L
.61836 .57464 L
.61946 .57625 L
.61959 .57642 L
.62064 .57785 L
.6212 .57858 L
.62183 .57946 L
.6228 .58074 L
.6232 .58106 L
.62422 .58267 L
.62441 .58292 L
.62536 .58428 L
.62601 .58515 L
.62651 .58588 L
.62762 .5874 L
.62775 .58749 L
.62874 .58909 L
.62922 .58977 L
.62979 .5907 L
.63082 .5923 L
.63083 .5923 L
.6314 .59391 L
.63083 .59394 L
.63079 .59391 L
.62922 .59267 L
.62896 .5923 L
.62762 .59095 L
.62708 .5907 L
.62601 .5892 L
.62588 .58909 L
.62444 .58749 L
.62441 .58748 L
.62302 .58588 L
.6228 .58563 L
.62162 .58428 L
.6212 .58372 L
.62019 .58267 L
.61959 .58174 L
.61905 .58106 L
.61799 .57971 L
.61793 .57946 L
.61638 .57801 L
.61625 .57785 L
.61487 .57625 L
.61477 .57601 L
.61369 .57464 L
.61317 .57391 L
.61259 .57304 L
.61156 .57172 L
.61104 .57143 L
.60996 .57004 L
.60979 .56983 L
.60852 .56822 L
.60835 .56796 L
.60737 .56662 L
.60675 .56577 L
.60637 .56501 L
.60514 .56393 L
.60472 .56341 L
.60354 .56186 L
.60349 .5618 L
.60228 .5602 L
.60193 .55971 L
.6012 .55859 L
.60033 .55746 L
.59973 .55699 L
.59872 .55567 L
.5985 .55538 L
.59726 .55378 L
.59712 .55355 L
.59613 .55217 L
.59551 .55135 L
.59515 .55057 L
.59391 .54944 L
.59353 .54896 L
.59231 .54735 L
.5923 .54734 L
.5911 .54575 L
.5907 .54518 L
.59004 .54414 L
.58909 .54295 L
.58858 .54254 L
.58749 .5411 L
.58736 .54093 L
.58611 .53933 L
.58588 .53897 L
.585 .53772 L
.58428 .53679 L
.58401 .53612 L
.58267 .53461 L
.58241 .53451 L
.58115 .53291 L
.58106 .53274 L
.57998 .5313 L
.57946 .53058 L
.57892 .5297 L
.57785 .52841 L
.57747 .52809 L
.57625 .52649 L
.57625 .52648 L
.57498 .52488 L
.57464 .52436 L
.57389 .52328 L
.57304 .5222 L
.57287 .52167 L
.57143 .52012 L
.57132 .52007 L
.57 .51846 L
.56983 .51812 L
.56887 .51686 L
.56822 .51598 L
.5678 .51525 L
.56662 .51385 L
.56639 .51364 L
.56503 .51204 L
.56501 .51186 L
.56387 .51043 L
.56341 .50974 L
.56278 .50883 L
.5618 .50761 L
.56171 .50722 L
.56023 .50562 L
.5602 .50558 L
.55885 .50401 L
.55859 .5035 L
.55776 .50241 L
.55699 .50136 L
.55668 .5008 L
.55538 .49927 L
.5553 .4992 L
.55383 .49759 L
.55378 .49725 L
.55275 .49599 L
.55217 .49512 L
.55167 .49438 L
.55057 .493 L
.55052 .49278 L
.54915 .49117 L
.54896 .491 L
.54772 .48957 L
.54735 .48888 L
.54666 .48796 L
.54575 .48674 L
.54554 .48636 L
.54422 .48475 L
.54414 .48471 L
.54265 .48314 L
.54254 .48265 L
.54165 .48154 L
.54093 .48049 L
.54056 .47993 L
.53933 .47837 L
.53932 .47833 L
.53808 .47672 L
.53772 .47643 L
.53661 .47512 L
.53612 .47426 L
.53557 .47351 L
.53451 .4721 L
.53441 .47191 L
.53315 .4703 L
.53291 .47022 L
.53152 .4687 L
.5313 .46804 L
.53057 .46709 L
.5297 .46584 L
.52947 .46549 L
.52823 .46388 L
.52809 .4637 L
.52702 .46228 L
.52649 .46184 L
.52553 .46067 L
.52488 .45959 L
.5245 .45907 L
.52331 .45746 L
.52328 .45742 L
.5221 .45586 L
.52167 .4553 L
.52044 .45425 L
.52007 .45337 L
.51952 .45265 L
.51846 .45113 L
.5184 .45104 L
.5172 .44943 L
.51686 .449 L
.51599 .44783 L
.51525 .44717 L
.51453 .44622 L
.51364 .44484 L
.51349 .44462 L
.51231 .44301 L
.51204 .44267 L
.51111 .44141 L
.51043 .44054 L
.5095 .4398 L
.50883 .43852 L
.50859 .4382 L
.50746 .43659 L
.50722 .43629 L
.50627 .43499 L
.50562 .43414 L
.50507 .43338 L
.50401 .43213 L
.50376 .43178 L
.50268 .43017 L
.50241 .42982 L
.50153 .42857 L
.5008 .4276 L
.50036 .42696 L
.4992 .42539 L
.49915 .42536 L
.49809 .42375 L
.49759 .42306 L
.49702 .42215 L
.49599 .42063 L
.49594 .42054 L
.49511 .41894 L
F
.033 .89 1 r
.49599 .50145 m
.49759 .50193 L
.4982 .50241 L
.4992 .50388 L
.5004 .50401 L
.5008 .50528 L
.50137 .50562 L
.50241 .50711 L
.50255 .50722 L
.50382 .50883 L
.50401 .50892 L
.50506 .51043 L
.50562 .511 L
.5066 .51204 L
.50722 .51316 L
.5076 .51364 L
.50878 .51525 L
.50883 .51531 L
.50997 .51686 L
.51043 .51746 L
.5117 .51846 L
.51204 .51936 L
.51248 .52007 L
.51353 .52167 L
.51364 .52183 L
.51461 .52328 L
.51525 .52426 L
.51562 .52488 L
.51624 .52649 L
.51525 .52745 L
.51445 .52649 L
.51364 .52604 L
.51245 .52488 L
.51204 .52448 L
.51088 .52328 L
.51043 .52274 L
.50918 .52167 L
.50883 .52083 L
.5081 .52007 L
.50722 .51884 L
.50692 .51846 L
.50562 .5169 L
.5055 .51686 L
.50424 .51525 L
.50401 .51498 L
.50291 .51364 L
.50241 .51288 L
.50182 .51204 L
.5008 .51076 L
.5007 .51043 L
.49932 .50883 L
.4992 .50867 L
.4979 .50722 L
.49759 .50699 L
.49696 .50562 L
.49599 .5041 L
.49595 .50401 L
.49517 .50241 L
F
.002 .8 1 r
.49599 .48072 m
.49686 .48154 L
.49759 .48225 L
.49842 .48314 L
.4992 .484 L
.49985 .48475 L
.5008 .48574 L
.50167 .48636 L
.50241 .48785 L
.5025 .48796 L
.50371 .48957 L
.50401 .48997 L
.50488 .49117 L
.50562 .49225 L
.50597 .49278 L
.50683 .49438 L
.50562 .49489 L
.50507 .49438 L
.50401 .49335 L
.50352 .49278 L
.50241 .49178 L
.50213 .49117 L
.50082 .48957 L
.5008 .48955 L
.49961 .48796 L
.4992 .48744 L
.49842 .48636 L
.49759 .48526 L
.49724 .48475 L
.49612 .48314 L
.49599 .48295 L
.49519 .48154 L
F
.024 .88 1 r
.49599 .50159 m
.49759 .50203 L
.49809 .50241 L
.4992 .50392 L
.50033 .50401 L
.5008 .50532 L
.50132 .50562 L
.50241 .50714 L
.50252 .50722 L
.50379 .50883 L
.50401 .50894 L
.50504 .51043 L
.50562 .51103 L
.50657 .51204 L
.50722 .5132 L
.50757 .51364 L
.50875 .51525 L
.50883 .51535 L
.50994 .51686 L
.51043 .5175 L
.51167 .51846 L
.51204 .51943 L
.51244 .52007 L
.51348 .52167 L
.51364 .5219 L
.51455 .52328 L
.51525 .52438 L
.51554 .52488 L
.51596 .52649 L
.51525 .52708 L
.51473 .52649 L
.51364 .52593 L
.51257 .52488 L
.51204 .52438 L
.51097 .52328 L
.51043 .52265 L
.50922 .52167 L
.50883 .52076 L
.50815 .52007 L
.50722 .51879 L
.50695 .51846 L
.50562 .51688 L
.50555 .51686 L
.50428 .51525 L
.50401 .51493 L
.50294 .51364 L
.50241 .51284 L
.50185 .51204 L
.5008 .51072 L
.50071 .51043 L
.49936 .50883 L
.4992 .50861 L
.49793 .50722 L
.49759 .50693 L
.49701 .50562 L
.496 .50401 L
.49599 .50398 L
.4953 .50241 L
F
.001 .79 1 r
.49599 .4809 m
.4967 .48154 L
.49759 .48238 L
.49831 .48314 L
.4992 .48411 L
.49976 .48475 L
.5008 .48586 L
.50152 .48636 L
.5024 .48796 L
.50241 .48797 L
.50363 .48957 L
.50401 .49008 L
.5048 .49117 L
.50562 .49239 L
.50588 .49278 L
.50667 .49438 L
.50562 .49476 L
.5052 .49438 L
.50401 .49326 L
.5036 .49278 L
.50241 .49166 L
.50219 .49117 L
.50088 .48957 L
.5008 .48947 L
.49967 .48796 L
.4992 .48736 L
.49848 .48636 L
.49759 .48517 L
.49731 .48475 L
.49622 .48314 L
.49599 .4828 L
.49533 .48154 L
F
1 .96 .289 r
.49599 .4743 m
.49734 .47512 L
.49759 .4753 L
.49915 .47672 L
.4992 .47675 L
.50069 .47833 L
.5008 .47845 L
.50212 .47993 L
.50241 .48029 L
.50363 .48154 L
.50401 .48224 L
.50478 .48314 L
.50562 .48425 L
.50596 .48475 L
.50722 .48625 L
.5074 .48636 L
.50876 .48796 L
.50883 .48819 L
.50989 .48957 L
.51043 .4903 L
.51097 .49117 L
.51204 .49244 L
.51209 .49278 L
.51348 .49438 L
.51364 .49464 L
.51467 .49599 L
.51525 .49727 L
.51539 .49759 L
.51525 .49856 L
.51364 .49867 L
.51204 .49764 L
.51197 .49759 L
.51051 .49599 L
.51043 .4959 L
.50921 .49438 L
.50883 .4942 L
.50794 .49278 L
.50722 .49207 L
.50623 .49117 L
.50562 .48988 L
.50534 .48957 L
.5042 .48796 L
.50401 .48772 L
.503 .48636 L
.50241 .48559 L
.50179 .48475 L
.5008 .48367 L
.50043 .48314 L
.49939 .48154 L
.4992 .48128 L
.49827 .47993 L
.49759 .47899 L
.49715 .47833 L
.49611 .47672 L
.49599 .47652 L
.49541 .47512 L
F
.018 .87 1 r
.49599 .50174 m
.49759 .50213 L
.49797 .50241 L
.4992 .50395 L
.50024 .50401 L
.5008 .50536 L
.50127 .50562 L
.50241 .50717 L
.50249 .50722 L
.50375 .50883 L
.50401 .50896 L
.50501 .51043 L
.50562 .51106 L
.50654 .51204 L
.50722 .51323 L
.50755 .51364 L
.50872 .51525 L
.50883 .51539 L
.50991 .51686 L
.51043 .51754 L
.51163 .51846 L
.51204 .5195 L
.51239 .52007 L
.51343 .52167 L
.51364 .52198 L
.51449 .52328 L
.51525 .52452 L
.51545 .52488 L
.51546 .52649 L
.51525 .52654 L
.51518 .52649 L
.51364 .52582 L
.5127 .52488 L
.51204 .52429 L
.51105 .52328 L
.51043 .52257 L
.50927 .52167 L
.50883 .5207 L
.5082 .52007 L
.50722 .51875 L
.50699 .51846 L
.50562 .51686 L
.50559 .51686 L
.50432 .51525 L
.50401 .51489 L
.50297 .51364 L
.50241 .51279 L
.50189 .51204 L
.5008 .51068 L
.50073 .51043 L
.4994 .50883 L
.4992 .50856 L
.49796 .50722 L
.49759 .50686 L
.49706 .50562 L
.49608 .50401 L
.49599 .50384 L
.49543 .50241 L
F
.001 .78 1 r
.49599 .48111 m
.4965 .48154 L
.49759 .48251 L
.49819 .48314 L
.4992 .48422 L
.49966 .48475 L
.5008 .48598 L
.50135 .48636 L
.50232 .48796 L
.50241 .48807 L
.50355 .48957 L
.50401 .49019 L
.50471 .49117 L
.50562 .49254 L
.50577 .49278 L
.50648 .49438 L
.50562 .49461 L
.50535 .49438 L
.50401 .49316 L
.50368 .49278 L
.50241 .49152 L
.50226 .49117 L
.50095 .48957 L
.5008 .48938 L
.49974 .48796 L
.4992 .48727 L
.49855 .48636 L
.49759 .48507 L
.49738 .48475 L
.49633 .48314 L
.49599 .48261 L
.49551 .48154 L
F
0 .65 1 r
.49599 .4382 m
.49737 .4398 L
.49759 .44003 L
.49874 .44141 L
.4992 .44192 L
.50009 .44301 L
.5008 .44383 L
.50144 .44462 L
.50241 .44553 L
.50277 .44622 L
.50401 .44771 L
.50414 .44783 L
.50537 .44943 L
.50562 .44973 L
.50665 .45104 L
.50722 .45173 L
.50794 .45265 L
.50883 .45358 L
.50965 .45425 L
.51043 .45574 L
.51054 .45586 L
.51176 .45746 L
.51204 .4578 L
.51302 .45907 L
.51364 .45948 L
.51428 .46067 L
.51525 .46181 L
.51572 .46228 L
.5168 .46388 L
.51686 .46395 L
.51803 .46549 L
.51846 .46602 L
.51928 .46709 L
.52007 .46788 L
.52095 .4687 L
.52167 .47013 L
.52182 .4703 L
.523 .47191 L
.52328 .47225 L
.52423 .47351 L
.52488 .4739 L
.52546 .47512 L
.52649 .47635 L
.52684 .47672 L
.52793 .47833 L
.52809 .47854 L
.52913 .47993 L
.5297 .48066 L
.53035 .48154 L
.5313 .48257 L
.53186 .48314 L
.5328 .48475 L
.53291 .48488 L
.53399 .48636 L
.53451 .48703 L
.53519 .48796 L
.53612 .48917 L
.53641 .48957 L
.53761 .49117 L
.53772 .49132 L
.53876 .49278 L
.53933 .49351 L
.53994 .49438 L
.54093 .4957 L
.54113 .49599 L
.54228 .49759 L
.54254 .49793 L
.54339 .4992 L
.54414 .50023 L
.54451 .5008 L
.54414 .50233 L
.5428 .5008 L
.54254 .50053 L
.54141 .4992 L
.54093 .49867 L
.54004 .49759 L
.53933 .49677 L
.53868 .49599 L
.53772 .49504 L
.53734 .49438 L
.53612 .49291 L
.53598 .49278 L
.53473 .49117 L
.53451 .49092 L
.53343 .48957 L
.53291 .48893 L
.53213 .48796 L
.5313 .48705 L
.53049 .48636 L
.5297 .48493 L
.52954 .48475 L
.5283 .48314 L
.52809 .48289 L
.52703 .48154 L
.52649 .48112 L
.52576 .47993 L
.52488 .47888 L
.52437 .47833 L
.52328 .47676 L
.52325 .47672 L
.522 .47512 L
.52167 .4747 L
.52075 .47351 L
.52007 .47279 L
.51916 .47191 L
.51846 .47059 L
.51822 .4703 L
.51703 .4687 L
.51686 .46848 L
.5158 .46709 L
.51525 .46672 L
.51456 .46549 L
.51364 .46438 L
.51321 .46388 L
.5121 .46228 L
.51204 .4622 L
.51089 .46067 L
.51043 .46008 L
.50967 .45907 L
.50883 .45815 L
.50817 .45746 L
.50723 .45586 L
.50722 .45585 L
.50604 .45425 L
.50562 .4537 L
.50484 .45265 L
.50401 .45193 L
.50363 .45104 L
.50243 .44943 L
.50241 .44941 L
.50127 .44783 L
.5008 .44721 L
.5001 .44622 L
.4992 .44502 L
.49891 .44462 L
.49776 .44301 L
.49759 .44279 L
.49666 .44141 L
.49599 .44049 L
.49554 .4398 L
F
.013 .86 1 r
.49599 .5019 m
.49759 .50223 L
.49785 .50241 L
.4992 .50397 L
.50015 .50401 L
.5008 .50539 L
.50122 .50562 L
.50241 .50719 L
.50245 .50722 L
.50372 .50883 L
.50401 .50897 L
.50498 .51043 L
.50562 .51109 L
.50651 .51204 L
.50722 .51327 L
.50752 .51364 L
.50869 .51525 L
.50883 .51543 L
.50988 .51686 L
.51043 .51758 L
.51159 .51846 L
.51204 .51957 L
.51234 .52007 L
.51338 .52167 L
.51364 .52206 L
.51442 .52328 L
.51525 .52468 L
.51535 .52488 L
.51525 .52626 L
.51364 .5257 L
.51283 .52488 L
.51204 .52419 L
.51114 .52328 L
.51043 .52249 L
.50933 .52167 L
.50883 .52063 L
.50825 .52007 L
.50722 .5187 L
.50702 .51846 L
.50564 .51686 L
.50562 .51684 L
.50436 .51525 L
.50401 .51484 L
.503 .51364 L
.50241 .51274 L
.50192 .51204 L
.5008 .51063 L
.50074 .51043 L
.49944 .50883 L
.4992 .5085 L
.49799 .50722 L
.49759 .50677 L
.49711 .50562 L
.49615 .50401 L
.49599 .50367 L
.49557 .50241 L
F
0 .64 1 r
.49599 .43832 m
.49729 .4398 L
.49759 .44012 L
.49867 .44141 L
.4992 .44199 L
.50004 .44301 L
.5008 .4439 L
.50139 .44462 L
.50241 .44561 L
.50273 .44622 L
.50401 .44778 L
.50407 .44783 L
.50533 .44943 L
.50562 .44978 L
.50662 .45104 L
.50722 .45177 L
.50791 .45265 L
.50883 .45363 L
.5096 .45425 L
.51043 .45579 L
.5105 .45586 L
.51173 .45746 L
.51204 .45784 L
.51299 .45907 L
.51364 .45952 L
.51425 .46067 L
.51525 .46185 L
.51568 .46228 L
.51677 .46388 L
.51686 .46398 L
.51801 .46549 L
.51846 .46605 L
.51925 .46709 L
.52007 .46792 L
.52091 .4687 L
.52167 .47017 L
.52179 .4703 L
.52297 .47191 L
.52328 .47229 L
.5242 .47351 L
.52488 .47394 L
.52544 .47512 L
.52649 .47639 L
.5268 .47672 L
.5279 .47833 L
.52809 .47857 L
.5291 .47993 L
.5297 .48069 L
.53033 .48154 L
.5313 .48262 L
.53182 .48314 L
.53277 .48475 L
.53291 .48492 L
.53395 .48636 L
.53451 .48707 L
.53516 .48796 L
.53612 .48921 L
.53637 .48957 L
.53757 .49117 L
.53772 .49137 L
.53872 .49278 L
.53933 .49357 L
.5399 .49438 L
.54093 .49576 L
.54109 .49599 L
.54222 .49759 L
.54254 .49801 L
.54332 .4992 L
.54414 .50033 L
.54444 .5008 L
.54414 .50221 L
.54289 .5008 L
.54254 .50043 L
.54148 .4992 L
.54093 .49859 L
.5401 .49759 L
.53933 .4967 L
.53873 .49599 L
.53772 .49496 L
.53739 .49438 L
.53612 .49284 L
.53605 .49278 L
.53477 .49117 L
.53451 .49086 L
.53347 .48957 L
.53291 .48888 L
.53217 .48796 L
.5313 .487 L
.53054 .48636 L
.5297 .48488 L
.52958 .48475 L
.52834 .48314 L
.52809 .48285 L
.52707 .48154 L
.52649 .48108 L
.5258 .47993 L
.52488 .47883 L
.5244 .47833 L
.52328 .47672 L
.52328 .47672 L
.52203 .47512 L
.52167 .47466 L
.52078 .47351 L
.52007 .47275 L
.51919 .47191 L
.51846 .47055 L
.51826 .4703 L
.51706 .4687 L
.51686 .46844 L
.51583 .46709 L
.51525 .46669 L
.51459 .46549 L
.51364 .46434 L
.51324 .46388 L
.51213 .46228 L
.51204 .46216 L
.51092 .46067 L
.51043 .46004 L
.5097 .45907 L
.50883 .4581 L
.50822 .45746 L
.50726 .45586 L
.50722 .45581 L
.50607 .45425 L
.50562 .45366 L
.50487 .45265 L
.50401 .45186 L
.50366 .45104 L
.50247 .44943 L
.50241 .44936 L
.50131 .44783 L
.5008 .44715 L
.50014 .44622 L
.4992 .44495 L
.49896 .44462 L
.49782 .44301 L
.49759 .4427 L
.49672 .44141 L
.49599 .44039 L
.49561 .4398 L
F
1 .54 0 r
.49599 .44507 m
.49689 .44622 L
.49759 .44701 L
.49822 .44783 L
.4992 .44898 L
.49955 .44943 L
.5008 .45096 L
.50087 .45104 L
.50211 .45265 L
.50241 .453 L
.50335 .45425 L
.50401 .45505 L
.50461 .45586 L
.50562 .45709 L
.50589 .45746 L
.50715 .45907 L
.50722 .45915 L
.50834 .46067 L
.50883 .46127 L
.50955 .46228 L
.51043 .46338 L
.51079 .46388 L
.51204 .46548 L
.51205 .46549 L
.51318 .46709 L
.51364 .46767 L
.51434 .4687 L
.51525 .46986 L
.51555 .4703 L
.51525 .47146 L
.51433 .4703 L
.51364 .46954 L
.51298 .4687 L
.51204 .46758 L
.51165 .46709 L
.51043 .46561 L
.51034 .46549 L
.50909 .46388 L
.50883 .46358 L
.50783 .46228 L
.50722 .46154 L
.50656 .46067 L
.50562 .4595 L
.50529 .45907 L
.50403 .45746 L
.50401 .45744 L
.50284 .45586 L
.50241 .45533 L
.50161 .45425 L
.5008 .45322 L
.50038 .45265 L
.4992 .45111 L
.49914 .45104 L
.49799 .44943 L
.49759 .44893 L
.49682 .44783 L
.49599 .44674 L
.49563 .44622 L
F
0 .73 1 r
.49599 .5362 m
.49724 .53772 L
.49759 .53812 L
.49857 .53933 L
.4992 .54006 L
.49989 .54093 L
.5008 .54203 L
.50121 .54254 L
.50241 .54394 L
.50251 .54414 L
.50377 .54575 L
.50401 .54604 L
.50503 .54735 L
.50562 .54807 L
.50631 .54896 L
.50722 .55011 L
.50758 .55057 L
.50883 .55216 L
.50884 .55217 L
.51006 .55378 L
.51043 .55424 L
.5113 .55538 L
.51204 .55632 L
.51254 .55699 L
.51364 .55828 L
.51378 .55859 L
.51498 .5602 L
.51525 .56053 L
.51619 .5618 L
.51686 .56266 L
.5174 .56341 L
.51846 .5648 L
.51862 .56501 L
.51978 .56662 L
.52007 .56698 L
.52094 .56822 L
.52167 .56919 L
.52212 .56983 L
.52328 .57141 L
.52329 .57143 L
.52433 .57304 L
.52488 .57381 L
.52536 .57464 L
.52488 .57495 L
.52463 .57464 L
.52328 .57319 L
.52316 .57304 L
.52179 .57143 L
.52167 .57131 L
.52048 .56983 L
.52007 .56936 L
.51917 .56822 L
.51846 .5674 L
.51786 .56662 L
.51686 .56542 L
.51654 .56501 L
.51525 .56345 L
.51523 .56341 L
.51399 .5618 L
.51364 .56139 L
.51274 .5602 L
.51204 .55934 L
.51147 .55859 L
.51043 .5573 L
.5102 .55699 L
.50894 .55538 L
.50883 .55525 L
.50773 .55378 L
.50722 .55315 L
.5065 .55217 L
.50562 .55107 L
.50525 .55057 L
.50401 .54903 L
.50399 .54896 L
.50281 .54735 L
.50241 .54686 L
.50161 .54575 L
.5008 .54473 L
.50038 .54414 L
.4992 .54261 L
.49915 .54254 L
.49799 .54093 L
.49759 .54042 L
.49684 .53933 L
.49599 .53823 L
.49565 .53772 L
F
1 .73 0 r
.49599 .50731 m
.49741 .50883 L
.49759 .50902 L
.49873 .51043 L
.4992 .511 L
.49996 .51204 L
.5008 .51313 L
.50116 .51364 L
.50227 .51525 L
.5008 .51528 L
.50078 .51525 L
.49936 .51364 L
.4992 .51346 L
.49805 .51204 L
.49759 .51147 L
.49681 .51043 L
.49599 .50928 L
.49567 .50883 L
F
0 .63 1 r
.49599 .43844 m
.49719 .4398 L
.49759 .44022 L
.4986 .44141 L
.4992 .44207 L
.49997 .44301 L
.5008 .44396 L
.50134 .44462 L
.50241 .44569 L
.50268 .44622 L
.504 .44783 L
.50401 .44784 L
.50529 .44943 L
.50562 .44983 L
.50658 .45104 L
.50722 .45182 L
.50787 .45265 L
.50883 .45368 L
.50954 .45425 L
.51043 .45583 L
.51045 .45586 L
.5117 .45746 L
.51204 .45788 L
.51296 .45907 L
.51364 .45955 L
.51423 .46067 L
.51525 .46189 L
.51564 .46228 L
.51675 .46388 L
.51686 .46402 L
.51798 .46549 L
.51846 .46609 L
.51922 .46709 L
.52007 .46796 L
.52087 .4687 L
.52167 .47021 L
.52175 .4703 L
.52295 .47191 L
.52328 .47232 L
.52417 .47351 L
.52488 .47398 L
.52541 .47512 L
.52649 .47643 L
.52676 .47672 L
.52787 .47833 L
.52809 .47861 L
.52908 .47993 L
.5297 .48073 L
.5303 .48154 L
.5313 .48267 L
.53177 .48314 L
.53274 .48475 L
.53291 .48496 L
.53392 .48636 L
.53451 .48712 L
.53512 .48796 L
.53612 .48926 L
.53634 .48957 L
.53753 .49117 L
.53772 .49142 L
.53868 .49278 L
.53933 .49363 L
.53986 .49438 L
.54093 .49582 L
.54105 .49599 L
.54216 .49759 L
.54254 .4981 L
.54325 .4992 L
.54414 .50044 L
.54437 .5008 L
.54414 .50207 L
.543 .5008 L
.54254 .50033 L
.54156 .4992 L
.54093 .49851 L
.54016 .49759 L
.53933 .49663 L
.53879 .49599 L
.53772 .49488 L
.53744 .49438 L
.53612 .49278 L
.53612 .49278 L
.53482 .49117 L
.53451 .49081 L
.53351 .48957 L
.53291 .48883 L
.53221 .48796 L
.5313 .48694 L
.5306 .48636 L
.5297 .48483 L
.52962 .48475 L
.52837 .48314 L
.52809 .4828 L
.5271 .48154 L
.52649 .48105 L
.52583 .47993 L
.52488 .47879 L
.52444 .47833 L
.52331 .47672 L
.52328 .47668 L
.52207 .47512 L
.52167 .47462 L
.52081 .47351 L
.52007 .47271 L
.51923 .47191 L
.51846 .47051 L
.51829 .4703 L
.51709 .4687 L
.51686 .4684 L
.51586 .46709 L
.51525 .46666 L
.51462 .46549 L
.51364 .46429 L
.51328 .46388 L
.51216 .46228 L
.51204 .46212 L
.51095 .46067 L
.51043 .46 L
.50973 .45907 L
.50883 .45805 L
.50827 .45746 L
.5073 .45586 L
.50722 .45576 L
.50611 .45425 L
.50562 .45361 L
.50491 .45265 L
.50401 .45179 L
.5037 .45104 L
.50251 .44943 L
.50241 .4493 L
.50136 .44783 L
.5008 .44709 L
.50019 .44622 L
.4992 .44489 L
.49901 .44462 L
.49789 .44301 L
.49759 .44262 L
.49679 .44141 L
.49599 .44028 L
.49568 .4398 L
F
1 .53 0 r
.49599 .4452 m
.49678 .44622 L
.49759 .44712 L
.49814 .44783 L
.4992 .44906 L
.49948 .44943 L
.5008 .45103 L
.50081 .45104 L
.50204 .45265 L
.50241 .45308 L
.50328 .45425 L
.50401 .45512 L
.50455 .45586 L
.50562 .45716 L
.50584 .45746 L
.50708 .45907 L
.50722 .45923 L
.50827 .46067 L
.50883 .46135 L
.50949 .46228 L
.51043 .46346 L
.51074 .46388 L
.51197 .46549 L
.51204 .46557 L
.5131 .46709 L
.51364 .46777 L
.51426 .4687 L
.51525 .46997 L
.51547 .4703 L
.51525 .47132 L
.51443 .4703 L
.51364 .46943 L
.51307 .4687 L
.51204 .46749 L
.51172 .46709 L
.51043 .46552 L
.51041 .46549 L
.50916 .46388 L
.50883 .46349 L
.5079 .46228 L
.50722 .46146 L
.50662 .46067 L
.50562 .45942 L
.50535 .45907 L
.5041 .45746 L
.50401 .45735 L
.5029 .45586 L
.50241 .45524 L
.50168 .45425 L
.5008 .45314 L
.50044 .45265 L
.49921 .45104 L
.4992 .45103 L
.49807 .44943 L
.49759 .44883 L
.49691 .44783 L
.49599 .44663 L
.49571 .44622 L
F
1 .49 0 r
.49599 .54306 m
.49676 .54414 L
.49759 .54516 L
.49801 .54575 L
.4992 .54727 L
.49926 .54735 L
.4992 .54851 L
.49835 .54735 L
.49759 .54652 L
.49704 .54575 L
.49599 .54452 L
.49572 .54414 L
F
.01 .85 1 r
.49599 .50207 m
.49759 .50233 L
.49771 .50241 L
.4992 .50399 L
.50005 .50401 L
.5008 .50542 L
.50117 .50562 L
.50241 .50722 L
.50242 .50722 L
.50369 .50883 L
.50401 .50899 L
.50495 .51043 L
.50562 .51113 L
.50648 .51204 L
.50722 .51331 L
.50749 .51364 L
.50866 .51525 L
.50883 .51547 L
.50985 .51686 L
.51043 .51763 L
.51155 .51846 L
.51204 .51965 L
.51229 .52007 L
.51333 .52167 L
.51364 .52214 L
.51436 .52328 L
.51525 .52488 L
.51364 .52557 L
.51296 .52488 L
.51204 .5241 L
.51122 .52328 L
.51043 .52241 L
.50938 .52167 L
.50883 .52057 L
.5083 .52007 L
.50722 .51866 L
.50705 .51846 L
.50568 .51686 L
.50562 .5168 L
.50439 .51525 L
.50401 .5148 L
.50303 .51364 L
.50241 .5127 L
.50195 .51204 L
.5008 .51059 L
.50075 .51043 L
.49948 .50883 L
.4992 .50845 L
.49803 .50722 L
.49759 .50668 L
.49717 .50562 L
.49622 .50401 L
.49599 .50348 L
.49572 .50241 L
F
0 .72 1 r
.49599 .53637 m
.4971 .53772 L
.49759 .53826 L
.49845 .53933 L
.4992 .54019 L
.49979 .54093 L
.5008 .54215 L
.50112 .54254 L
.50241 .54412 L
.50242 .54414 L
.50368 .54575 L
.50401 .54615 L
.50495 .54735 L
.50562 .54817 L
.50623 .54896 L
.50722 .55021 L
.5075 .55057 L
.50875 .55217 L
.50883 .55226 L
.50998 .55378 L
.51043 .55434 L
.51122 .55538 L
.51204 .55642 L
.51247 .55699 L
.51364 .55845 L
.51371 .55859 L
.5149 .5602 L
.51525 .56064 L
.5161 .5618 L
.51686 .56278 L
.51732 .56341 L
.51846 .56491 L
.51853 .56501 L
.51968 .56662 L
.52007 .56712 L
.52083 .56822 L
.52167 .56934 L
.522 .56983 L
.52167 .57114 L
.52061 .56983 L
.52007 .56923 L
.51928 .56822 L
.51846 .56728 L
.51795 .56662 L
.51686 .56532 L
.51662 .56501 L
.51532 .56341 L
.51525 .56333 L
.51408 .5618 L
.51364 .56129 L
.51282 .5602 L
.51204 .55925 L
.51154 .55859 L
.51043 .55722 L
.51026 .55699 L
.50901 .55538 L
.50883 .55516 L
.5078 .55378 L
.50722 .55307 L
.50656 .55217 L
.50562 .55099 L
.50531 .55057 L
.50406 .54896 L
.50401 .5489 L
.50288 .54735 L
.50241 .54676 L
.50168 .54575 L
.5008 .54463 L
.50046 .54414 L
.49922 .54254 L
.4992 .54251 L
.49809 .54093 L
.49759 .5403 L
.49694 .53933 L
.49599 .53809 L
.49575 .53772 L
F
.001 .77 1 r
.49599 .48138 m
.49624 .48154 L
.49759 .48266 L
.49807 .48314 L
.4992 .48433 L
.49957 .48475 L
.5008 .48612 L
.50115 .48636 L
.50223 .48796 L
.50241 .48818 L
.50346 .48957 L
.50401 .49031 L
.50462 .49117 L
.50562 .4927 L
.50566 .49278 L
.50621 .49438 L
.50562 .49445 L
.50553 .49438 L
.50401 .49306 L
.50376 .49278 L
.50241 .49137 L
.50232 .49117 L
.50103 .48957 L
.5008 .4893 L
.49981 .48796 L
.4992 .48718 L
.49862 .48636 L
.49759 .48497 L
.49745 .48475 L
.49645 .48314 L
.49599 .48234 L
.49576 .48154 L
F
0 .62 1 r
.49599 .43859 m
.49708 .4398 L
.49759 .44032 L
.49852 .44141 L
.4992 .44215 L
.49991 .44301 L
.5008 .44403 L
.50128 .44462 L
.50241 .44578 L
.50263 .44622 L
.50396 .44783 L
.50401 .4479 L
.50524 .44943 L
.50562 .44988 L
.50654 .45104 L
.50722 .45187 L
.50784 .45265 L
.50883 .45373 L
.50947 .45425 L
.51042 .45586 L
.51043 .45588 L
.51167 .45746 L
.51204 .45792 L
.51293 .45907 L
.51364 .45959 L
.5142 .46067 L
.51525 .46193 L
.5156 .46228 L
.51672 .46388 L
.51686 .46405 L
.51795 .46549 L
.51846 .46612 L
.5192 .46709 L
.52007 .468 L
.52083 .4687 L
.52167 .47025 L
.52172 .4703 L
.52292 .47191 L
.52328 .47235 L
.52415 .47351 L
.52488 .47401 L
.52539 .47512 L
.52649 .47647 L
.52672 .47672 L
.52784 .47833 L
.52809 .47864 L
.52905 .47993 L
.5297 .48076 L
.53027 .48154 L
.5313 .48273 L
.53171 .48314 L
.53271 .48475 L
.53291 .48501 L
.53389 .48636 L
.53451 .48716 L
.53509 .48796 L
.53612 .4893 L
.53631 .48957 L
.53749 .49117 L
.53772 .49148 L
.53864 .49278 L
.53933 .49368 L
.53981 .49438 L
.54093 .49588 L
.541 .49599 L
.5421 .49759 L
.54254 .49819 L
.54318 .4992 L
.54414 .50056 L
.54429 .5008 L
.54414 .50191 L
.54312 .5008 L
.54254 .50023 L
.54165 .4992 L
.54093 .49842 L
.54023 .49759 L
.53933 .49656 L
.53885 .49599 L
.53772 .49479 L
.5375 .49438 L
.53617 .49278 L
.53612 .49272 L
.53487 .49117 L
.53451 .49075 L
.53356 .48957 L
.53291 .48878 L
.53225 .48796 L
.5313 .48689 L
.53066 .48636 L
.5297 .48478 L
.52967 .48475 L
.52841 .48314 L
.52809 .48276 L
.52713 .48154 L
.52649 .48101 L
.52586 .47993 L
.52488 .47875 L
.52448 .47833 L
.52334 .47672 L
.52328 .47664 L
.5221 .47512 L
.52167 .47458 L
.52084 .47351 L
.52007 .47267 L
.51927 .47191 L
.51846 .47047 L
.51832 .4703 L
.51712 .4687 L
.51686 .46836 L
.51589 .46709 L
.51525 .46662 L
.51465 .46549 L
.51364 .46425 L
.51332 .46388 L
.51219 .46228 L
.51204 .46208 L
.51098 .46067 L
.51043 .45996 L
.50976 .45907 L
.50883 .458 L
.50832 .45746 L
.50733 .45586 L
.50722 .45572 L
.50614 .45425 L
.50562 .45357 L
.50494 .45265 L
.50401 .45171 L
.50374 .45104 L
.50256 .44943 L
.50241 .44924 L
.5014 .44783 L
.5008 .44703 L
.50023 .44622 L
.4992 .44482 L
.49906 .44462 L
.49795 .44301 L
.49759 .44252 L
.49687 .44141 L
.49599 .44016 L
.49577 .4398 L
F
1 .72 0 r
.49599 .50748 m
.49729 .50883 L
.49759 .50915 L
.49863 .51043 L
.4992 .51111 L
.49987 .51204 L
.5008 .51325 L
.50107 .51364 L
.5008 .51512 L
.49949 .51364 L
.4992 .51333 L
.49816 .51204 L
.49759 .51134 L
.49692 .51043 L
.49599 .50912 L
.49579 .50883 L
F
1 .48 0 r
.49599 .5432 m
.49665 .54414 L
.49759 .5453 L
.49791 .54575 L
.49759 .54638 L
.49715 .54575 L
.49599 .5444 L
.4958 .54414 L
F
1 .52 0 r
.49599 .44536 m
.49666 .44622 L
.49759 .44723 L
.49805 .44783 L
.4992 .44915 L
.49941 .44943 L
.4992 .45092 L
.49817 .44943 L
.49759 .44871 L
.497 .44783 L
.49599 .44649 L
.49581 .44622 L
F
1 .43 0 r
.49599 .48794 m
.496 .48796 L
.49599 .48822 L
.49582 .48796 L
F
1 .8 .002 r
.49599 .43199 m
.49739 .43338 L
.49759 .43357 L
.49888 .43499 L
.4992 .43531 L
.50032 .43659 L
.5008 .43712 L
.50172 .4382 L
.50241 .43864 L
.5031 .4398 L
.50401 .44081 L
.50481 .44141 L
.50562 .44281 L
.50582 .44301 L
.50711 .44462 L
.50722 .44476 L
.50841 .44622 L
.50883 .44659 L
.50972 .44783 L
.51043 .44868 L
.51118 .44943 L
.51204 .45072 L
.5123 .45104 L
.51358 .45265 L
.51364 .45266 L
.51485 .45425 L
.51525 .45467 L
.51648 .45586 L
.51686 .45676 L
.51745 .45746 L
.51846 .45883 L
.51862 .45907 L
.51992 .46067 L
.52007 .46079 L
.52117 .46228 L
.52167 .46286 L
.52259 .46388 L
.52328 .46497 L
.52368 .46549 L
.52488 .46703 L
.52491 .46709 L
.52618 .4687 L
.52649 .46901 L
.52774 .4703 L
.52809 .47113 L
.52873 .47191 L
.5297 .47324 L
.52988 .47351 L
.53115 .47512 L
.5313 .47521 L
.53239 .47672 L
.53291 .47731 L
.5338 .47833 L
.53451 .47945 L
.53487 .47993 L
.53611 .48154 L
.53612 .48155 L
.53734 .48314 L
.53772 .48351 L
.5389 .48475 L
.53933 .48567 L
.53988 .48636 L
.54093 .48781 L
.54103 .48796 L
.54227 .48957 L
.54254 .4897 L
.54349 .49117 L
.54414 .4919 L
.54489 .49278 L
.54575 .49408 L
.54597 .49438 L
.54718 .49599 L
.54735 .49621 L
.54839 .49759 L
.54896 .49811 L
.54995 .4992 L
.55057 .50036 L
.55091 .5008 L
.55207 .50241 L
.55217 .50253 L
.55327 .50401 L
.55378 .50427 L
.55449 .50562 L
.55538 .50665 L
.55585 .50722 L
.55694 .50883 L
.55699 .50889 L
.55812 .51043 L
.55859 .51104 L
.55933 .51204 L
.5602 .51296 L
.56077 .51364 L
.56175 .51525 L
.5618 .51531 L
.56292 .51686 L
.56341 .51749 L
.5641 .51846 L
.56501 .51966 L
.5653 .52007 L
.56648 .52167 L
.56662 .52185 L
.56761 .52328 L
.56822 .52409 L
.56876 .52488 L
.56983 .52634 L
.56993 .52649 L
.571 .52809 L
.57143 .52869 L
.57205 .5297 L
.57304 .53118 L
.5731 .5313 L
.57304 .53247 L
.5718 .5313 L
.57143 .53097 L
.57025 .5297 L
.56983 .52926 L
.56879 .52809 L
.56822 .52748 L
.56736 .52649 L
.56662 .5259 L
.56597 .52488 L
.56501 .5238 L
.56435 .52328 L
.56341 .52183 L
.56325 .52167 L
.56194 .52007 L
.5618 .5199 L
.56062 .51846 L
.5602 .51804 L
.5593 .51686 L
.55859 .51599 L
.5579 .51525 L
.55699 .51396 L
.55674 .51364 L
.55542 .51204 L
.55538 .51202 L
.55414 .51043 L
.55378 .51002 L
.55262 .50883 L
.55217 .50794 L
.55159 .50722 L
.55057 .50588 L
.55041 .50562 L
.54906 .50401 L
.54896 .50392 L
.54779 .50241 L
.54735 .50186 L
.54645 .5008 L
.54575 .49977 L
.54534 .4992 L
.54414 .49771 L
.54411 .49759 L
.54278 .49599 L
.54254 .49572 L
.54133 .49438 L
.54093 .49362 L
.54028 .49278 L
.53933 .49151 L
.53914 .49117 L
.5378 .48957 L
.53772 .48951 L
.53618 .48796 L
.53612 .48744 L
.53522 .48636 L
.53451 .48531 L
.53413 .48475 L
.53291 .48322 L
.53289 .48314 L
.5316 .48154 L
.5313 .48123 L
.53016 .47993 L
.5297 .47909 L
.52912 .47833 L
.52809 .47696 L
.52796 .47672 L
.52667 .47512 L
.52649 .47499 L
.52503 .47351 L
.52488 .47286 L
.52411 .47191 L
.52328 .4707 L
.52301 .4703 L
.52176 .4687 L
.52167 .46858 L
.52054 .46709 L
.52007 .46662 L
.51908 .46549 L
.51846 .46442 L
.51806 .46388 L
.51687 .46228 L
.51686 .46226 L
.51566 .46067 L
.51525 .46041 L
.51398 .45907 L
.51364 .45812 L
.51312 .45746 L
.51204 .4559 L
.51201 .45586 L
.51082 .45425 L
.51043 .45375 L
.50961 .45265 L
.50883 .4518 L
.5082 .45104 L
.50722 .44948 L
.50719 .44943 L
.50603 .44783 L
.50562 .44729 L
.50484 .44622 L
.50401 .44544 L
.50332 .44462 L
.50247 .44301 L
.50241 .44293 L
.50134 .44141 L
.5008 .44069 L
.50019 .4398 L
.4992 .43844 L
.49903 .4382 L
.49794 .43659 L
.49759 .4361 L
.49689 .43499 L
.49599 .43365 L
.49583 .43338 L
F
0 .71 1 r
.49599 .53658 m
.49694 .53772 L
.49759 .53842 L
.49833 .53933 L
.4992 .54033 L
.49969 .54093 L
.5008 .54227 L
.50102 .54254 L
.50232 .54414 L
.50241 .54425 L
.50358 .54575 L
.50401 .54626 L
.50486 .54735 L
.50562 .54828 L
.50615 .54896 L
.50722 .55031 L
.50742 .55057 L
.50867 .55217 L
.50883 .55237 L
.5099 .55378 L
.51043 .55445 L
.51114 .55538 L
.51204 .55652 L
.51239 .55699 L
.51362 .55859 L
.51364 .55862 L
.51481 .5602 L
.51525 .56076 L
.51601 .5618 L
.51686 .56289 L
.51723 .56341 L
.51844 .56501 L
.51846 .56504 L
.51956 .56662 L
.52007 .56728 L
.52071 .56822 L
.52167 .56952 L
.52188 .56983 L
.52167 .57094 L
.52077 .56983 L
.52007 .56907 L
.5194 .56822 L
.51846 .56716 L
.51805 .56662 L
.51686 .56521 L
.5167 .56501 L
.51541 .56341 L
.51525 .56322 L
.51417 .5618 L
.51364 .56119 L
.5129 .5602 L
.51204 .55916 L
.51161 .55859 L
.51043 .55713 L
.51032 .55699 L
.50909 .55538 L
.50883 .55506 L
.50788 .55378 L
.50722 .55297 L
.50663 .55217 L
.50562 .5509 L
.50538 .55057 L
.50414 .54896 L
.50401 .5488 L
.50296 .54735 L
.50241 .54666 L
.50176 .54575 L
.5008 .54453 L
.50053 .54414 L
.49932 .54254 L
.4992 .54238 L
.4982 .54093 L
.49759 .54015 L
.49705 .53933 L
.49599 .53793 L
.49586 .53772 L
F
0 .61 1 r
.49599 .43876 m
.49695 .4398 L
.49759 .44043 L
.49843 .44141 L
.4992 .44223 L
.49984 .44301 L
.5008 .4441 L
.50123 .44462 L
.50241 .44587 L
.50258 .44622 L
.50391 .44783 L
.50401 .44795 L
.5052 .44943 L
.50562 .44993 L
.5065 .45104 L
.50722 .45191 L
.5078 .45265 L
.50883 .45379 L
.50941 .45425 L
.51038 .45586 L
.51043 .45592 L
.51163 .45746 L
.51204 .45796 L
.5129 .45907 L
.51364 .45963 L
.51417 .46067 L
.51525 .46197 L
.51556 .46228 L
.51669 .46388 L
.51686 .46409 L
.51792 .46549 L
.51846 .46616 L
.51917 .46709 L
.52007 .46804 L
.52079 .4687 L
.52167 .47029 L
.52168 .4703 L
.52289 .47191 L
.52328 .47239 L
.52412 .47351 L
.52488 .47406 L
.52536 .47512 L
.52649 .47652 L
.52668 .47672 L
.52781 .47833 L
.52809 .47868 L
.52902 .47993 L
.5297 .4808 L
.53024 .48154 L
.5313 .48278 L
.53166 .48314 L
.53267 .48475 L
.53291 .48505 L
.53386 .48636 L
.53451 .4872 L
.53506 .48796 L
.53612 .48935 L
.53628 .48957 L
.53745 .49117 L
.53772 .49153 L
.53859 .49278 L
.53933 .49374 L
.53977 .49438 L
.54093 .49595 L
.54096 .49599 L
.54203 .49759 L
.54254 .49829 L
.5431 .4992 L
.54414 .50071 L
.5442 .5008 L
.54414 .50171 L
.54326 .5008 L
.54254 .50011 L
.54174 .4992 L
.54093 .49833 L
.5403 .49759 L
.53933 .49648 L
.53891 .49599 L
.53772 .49469 L
.53755 .49438 L
.53622 .49278 L
.53612 .49265 L
.53491 .49117 L
.53451 .4907 L
.5336 .48957 L
.53291 .48873 L
.53229 .48796 L
.5313 .48683 L
.53072 .48636 L
.52971 .48475 L
.5297 .48473 L
.52844 .48314 L
.52809 .48271 L
.52717 .48154 L
.52649 .48097 L
.52589 .47993 L
.52488 .4787 L
.52452 .47833 L
.52337 .47672 L
.52328 .4766 L
.52213 .47512 L
.52167 .47454 L
.52087 .47351 L
.52007 .47263 L
.51931 .47191 L
.51846 .47042 L
.51836 .4703 L
.51715 .4687 L
.51686 .46833 L
.51592 .46709 L
.51525 .46658 L
.51468 .46549 L
.51364 .46421 L
.51336 .46388 L
.51223 .46228 L
.51204 .46204 L
.51101 .46067 L
.51043 .45992 L
.50979 .45907 L
.50883 .45794 L
.50837 .45746 L
.50737 .45586 L
.50722 .45567 L
.50618 .45425 L
.50562 .45352 L
.50498 .45265 L
.50401 .45163 L
.50378 .45104 L
.5026 .44943 L
.50241 .44918 L
.50145 .44783 L
.5008 .44697 L
.50028 .44622 L
.4992 .44475 L
.49911 .44462 L
.49802 .44301 L
.49759 .44242 L
.49695 .44141 L
.49599 .44002 L
.49586 .4398 L
F
.007 .84 1 r
.49599 .50228 m
.49756 .50241 L
.49759 .50242 L
.4992 .504 L
.49994 .50401 L
.5008 .50546 L
.50111 .50562 L
.50238 .50722 L
.50241 .50726 L
.50366 .50883 L
.50401 .50901 L
.50492 .51043 L
.50562 .51116 L
.50645 .51204 L
.50722 .51335 L
.50746 .51364 L
.50863 .51525 L
.50883 .5155 L
.50982 .51686 L
.51043 .51767 L
.51151 .51846 L
.51204 .51973 L
.51224 .52007 L
.51328 .52167 L
.51364 .52222 L
.51429 .52328 L
.51511 .52488 L
.51364 .52542 L
.51311 .52488 L
.51204 .524 L
.51131 .52328 L
.51043 .52233 L
.50945 .52167 L
.50883 .52051 L
.50835 .52007 L
.50722 .51862 L
.50709 .51846 L
.50572 .51686 L
.50562 .51677 L
.50443 .51525 L
.50401 .51475 L
.50306 .51364 L
.50241 .51265 L
.50198 .51204 L
.5008 .51054 L
.50077 .51043 L
.49952 .50883 L
.4992 .50839 L
.49806 .50722 L
.49759 .50658 L
.49722 .50562 L
.4963 .50401 L
.49599 .5032 L
.4959 .50241 L
F
1 .47 0 r
.49599 .54337 m
.4965 .54414 L
.49759 .54547 L
.49778 .54575 L
.49759 .5462 L
.49729 .54575 L
.49599 .54426 L
.4959 .54414 L
F
1 .71 0 r
.49599 .50771 m
.49714 .50883 L
.49759 .50929 L
.49852 .51043 L
.4992 .51124 L
.49977 .51204 L
.5008 .51338 L
.50097 .51364 L
.5008 .51493 L
.49963 .51364 L
.4992 .51318 L
.49827 .51204 L
.49759 .51119 L
.49703 .51043 L
.49599 .50893 L
.49592 .50883 L
F
1 .51 0 r
.49599 .44557 m
.49649 .44622 L
.49759 .44736 L
.49795 .44783 L
.4992 .44925 L
.49933 .44943 L
.4992 .4508 L
.49828 .44943 L
.49759 .44857 L
.49711 .44783 L
.49599 .44632 L
.49592 .44622 L
F
1 .89 .033 r
.49599 .52998 m
.49725 .5313 L
.49759 .53164 L
.49872 .53291 L
.4992 .53342 L
.50014 .53451 L
.5008 .53527 L
.50153 .53612 L
.50241 .5368 L
.50289 .53772 L
.50401 .53904 L
.50438 .53933 L
.50554 .54093 L
.50562 .54103 L
.50685 .54254 L
.50722 .54299 L
.50816 .54414 L
.50883 .5448 L
.50947 .54575 L
.51043 .54694 L
.51082 .54735 L
.51203 .54896 L
.51204 .54897 L
.51331 .55057 L
.51364 .5507 L
.51459 .55217 L
.51525 .55293 L
.5161 .55378 L
.51686 .55505 L
.51712 .55538 L
.51837 .55699 L
.51846 .5571 L
.51963 .55859 L
.52007 .55898 L
.52148 .5602 L
.52167 .56117 L
.52221 .5618 L
.52328 .56328 L
.52336 .56341 L
.52462 .56501 L
.52488 .56505 L
.52586 .56662 L
.52649 .56732 L
.52732 .56822 L
.52809 .5695 L
.52834 .56983 L
.52956 .57143 L
.5297 .57161 L
.53079 .57304 L
.5313 .57347 L
.53254 .57464 L
.53291 .57576 L
.53331 .57625 L
.53446 .57785 L
.53451 .57793 L
.53566 .57946 L
.53612 .58006 L
.53688 .58106 L
.53772 .58205 L
.53826 .58267 L
.53929 .58428 L
.53933 .58433 L
.54047 .58588 L
.54093 .58649 L
.54167 .58749 L
.54254 .58841 L
.54318 .58909 L
.54403 .5907 L
.54414 .59084 L
.54518 .5923 L
.54575 .59307 L
.54634 .59391 L
.54735 .59531 L
.5475 .59551 L
.54859 .59712 L
.54896 .59763 L
.54966 .59872 L
.55057 .60005 L
.55074 .60033 L
.55057 .60159 L
.5494 .60033 L
.54896 .5999 L
.54795 .59872 L
.54735 .59809 L
.54655 .59712 L
.54575 .59622 L
.54518 .59551 L
.54414 .59461 L
.54382 .59391 L
.54254 .59239 L
.54243 .5923 L
.54119 .5907 L
.54093 .5904 L
.5399 .58909 L
.53933 .58841 L
.53861 .58749 L
.53772 .58662 L
.53731 .58588 L
.53612 .58443 L
.53596 .58428 L
.53476 .58267 L
.53451 .58237 L
.5335 .58106 L
.53291 .58033 L
.53224 .57946 L
.5313 .57842 L
.5307 .57785 L
.5297 .57625 L
.52969 .57625 L
.52847 .57464 L
.52809 .57418 L
.52722 .57304 L
.52649 .5724 L
.52597 .57143 L
.52488 .57011 L
.52462 .56983 L
.52347 .56822 L
.52328 .56798 L
.52225 .56662 L
.52167 .56589 L
.52101 .56501 L
.52007 .56395 L
.51952 .56341 L
.51852 .5618 L
.51846 .56173 L
.51731 .5602 L
.51686 .55962 L
.51609 .55859 L
.51525 .55782 L
.51485 .55699 L
.51364 .55545 L
.51359 .55538 L
.51241 .55378 L
.51204 .5533 L
.51121 .55217 L
.51043 .55118 L
.50998 .55057 L
.50883 .54913 L
.50867 .54896 L
.50756 .54735 L
.50722 .54693 L
.50637 .54575 L
.50562 .54478 L
.50516 .54414 L
.50401 .54273 L
.50394 .54254 L
.50278 .54093 L
.50241 .54045 L
.50162 .53933 L
.5008 .53825 L
.50044 .53772 L
.49924 .53612 L
.4992 .53606 L
.49816 .53451 L
.49759 .53375 L
.49706 .53291 L
.49599 .5314 L
.49593 .5313 L
F
0 .65 1 r
.49599 .45224 m
.49617 .45265 L
.49599 .45272 L
.49593 .45265 L
F
0 .6 1 r
.49599 .43899 m
.49679 .4398 L
.49759 .44054 L
.49834 .44141 L
.4992 .44232 L
.49978 .44301 L
.5008 .44417 L
.50117 .44462 L
.50241 .44597 L
.50253 .44622 L
.50385 .44783 L
.50401 .44801 L
.50515 .44943 L
.50562 .44998 L
.50646 .45104 L
.50722 .45196 L
.50776 .45265 L
.50883 .45384 L
.50934 .45425 L
.51034 .45586 L
.51043 .45596 L
.5116 .45746 L
.51204 .458 L
.51287 .45907 L
.51364 .45968 L
.51414 .46067 L
.51525 .46202 L
.51551 .46228 L
.51666 .46388 L
.51686 .46413 L
.51789 .46549 L
.51846 .46619 L
.51914 .46709 L
.52007 .46808 L
.52074 .4687 L
.52165 .4703 L
.52167 .47033 L
.52286 .47191 L
.52328 .47242 L
.52409 .47351 L
.52488 .4741 L
.52533 .47512 L
.52649 .47656 L
.52664 .47672 L
.52778 .47833 L
.52809 .47872 L
.52899 .47993 L
.5297 .48084 L
.53021 .48154 L
.5313 .48284 L
.5316 .48314 L
.53264 .48475 L
.53291 .48509 L
.53382 .48636 L
.53451 .48725 L
.53503 .48796 L
.53612 .48939 L
.53624 .48957 L
.5374 .49117 L
.53772 .49159 L
.53855 .49278 L
.53933 .49381 L
.53972 .49438 L
.5409 .49599 L
.54093 .49603 L
.54195 .49759 L
.54254 .4984 L
.54301 .4992 L
.54254 .49998 L
.54184 .4992 L
.54093 .49824 L
.54038 .49759 L
.53933 .49641 L
.53898 .49599 L
.53772 .49459 L
.53761 .49438 L
.53628 .49278 L
.53612 .49259 L
.53496 .49117 L
.53451 .49064 L
.53364 .48957 L
.53291 .48868 L
.53233 .48796 L
.5313 .48678 L
.53079 .48636 L
.52975 .48475 L
.5297 .48469 L
.52848 .48314 L
.52809 .48267 L
.5272 .48154 L
.52649 .48092 L
.52593 .47993 L
.52488 .47866 L
.52457 .47833 L
.52341 .47672 L
.52328 .47656 L
.52216 .47512 L
.52167 .4745 L
.5209 .47351 L
.52007 .47259 L
.51935 .47191 L
.51846 .47038 L
.51839 .4703 L
.51718 .4687 L
.51686 .46829 L
.51595 .46709 L
.51525 .46654 L
.51471 .46549 L
.51364 .46416 L
.5134 .46388 L
.51226 .46228 L
.51204 .462 L
.51105 .46067 L
.51043 .45988 L
.50982 .45907 L
.50883 .45789 L
.50842 .45746 L
.5074 .45586 L
.50722 .45563 L
.50622 .45425 L
.50562 .45347 L
.50502 .45265 L
.50401 .45154 L
.50381 .45104 L
.50265 .44943 L
.50241 .44912 L
.5015 .44783 L
.5008 .4469 L
.50033 .44622 L
.4992 .44467 L
.49916 .44462 L
.4981 .44301 L
.49759 .44231 L
.49703 .44141 L
.49599 .43984 L
.49596 .4398 L
F
1 .79 .001 r
.49599 .43233 m
.49716 .43338 L
.49759 .43376 L
.49874 .43499 L
.4992 .43545 L
.50021 .43659 L
.5008 .43723 L
.50163 .4382 L
.50241 .43873 L
.50302 .4398 L
.50401 .4409 L
.50471 .44141 L
.50562 .44288 L
.50575 .44301 L
.50705 .44462 L
.50722 .44483 L
.50836 .44622 L
.50883 .44664 L
.50967 .44783 L
.51043 .44873 L
.51114 .44943 L
.51204 .45077 L
.51226 .45104 L
.51354 .45265 L
.51364 .45268 L
.51482 .45425 L
.51525 .45471 L
.51646 .45586 L
.51686 .4568 L
.51742 .45746 L
.51846 .45887 L
.5186 .45907 L
.51989 .46067 L
.52007 .46081 L
.52115 .46228 L
.52167 .46289 L
.52257 .46388 L
.52328 .465 L
.52365 .46549 L
.52488 .46706 L
.5249 .46709 L
.52615 .4687 L
.52649 .46903 L
.52773 .4703 L
.52809 .47115 L
.52871 .47191 L
.5297 .47327 L
.52986 .47351 L
.53113 .47512 L
.5313 .47523 L
.53237 .47672 L
.53291 .47733 L
.53378 .47833 L
.53451 .47948 L
.53485 .47993 L
.53609 .48154 L
.53612 .48157 L
.53732 .48314 L
.53772 .48353 L
.53888 .48475 L
.53933 .4857 L
.53986 .48636 L
.54093 .48784 L
.54101 .48796 L
.54225 .48957 L
.54254 .48972 L
.54347 .49117 L
.54414 .49192 L
.54487 .49278 L
.54575 .49411 L
.54595 .49438 L
.54716 .49599 L
.54735 .49624 L
.54837 .49759 L
.54896 .49814 L
.54992 .4992 L
.55057 .50039 L
.55089 .5008 L
.55205 .50241 L
.55217 .50256 L
.55325 .50401 L
.55378 .5043 L
.55447 .50562 L
.55538 .50669 L
.55582 .50722 L
.55691 .50883 L
.55699 .50893 L
.55809 .51043 L
.55859 .51108 L
.5593 .51204 L
.5602 .51302 L
.56073 .51364 L
.56172 .51525 L
.5618 .51536 L
.56288 .51686 L
.56341 .51755 L
.56406 .51846 L
.56501 .51972 L
.56526 .52007 L
.56643 .52167 L
.56662 .52192 L
.56755 .52328 L
.56822 .52418 L
.5687 .52488 L
.56983 .52644 L
.56986 .52649 L
.5709 .52809 L
.57143 .52886 L
.57192 .5297 L
.57143 .53076 L
.57041 .5297 L
.56983 .52912 L
.5689 .52809 L
.56822 .52736 L
.56746 .52649 L
.56662 .5258 L
.56606 .52488 L
.56501 .5237 L
.56446 .52328 L
.56341 .52175 L
.56333 .52167 L
.562 .52007 L
.5618 .51983 L
.56067 .51846 L
.5602 .51799 L
.55935 .51686 L
.55859 .51593 L
.55794 .51525 L
.55699 .51391 L
.55678 .51364 L
.55547 .51204 L
.55538 .51199 L
.55418 .51043 L
.55378 .50997 L
.55265 .50883 L
.55217 .5079 L
.55162 .50722 L
.55057 .50585 L
.55043 .50562 L
.54909 .50401 L
.54896 .50389 L
.54782 .50241 L
.54735 .50183 L
.54648 .5008 L
.54575 .49973 L
.54537 .4992 L
.54414 .49768 L
.54412 .49759 L
.54281 .49599 L
.54254 .49569 L
.54135 .49438 L
.54093 .49359 L
.5403 .49278 L
.53933 .49148 L
.53915 .49117 L
.53782 .48957 L
.53772 .48949 L
.53619 .48796 L
.53612 .48741 L
.53524 .48636 L
.53451 .48528 L
.53415 .48475 L
.53291 .4832 L
.5329 .48314 L
.53163 .48154 L
.5313 .4812 L
.53017 .47993 L
.5297 .47906 L
.52914 .47833 L
.52809 .47694 L
.52798 .47672 L
.52669 .47512 L
.52649 .47498 L
.52504 .47351 L
.52488 .47283 L
.52413 .47191 L
.52328 .47067 L
.52303 .4703 L
.52178 .4687 L
.52167 .46856 L
.52056 .46709 L
.52007 .4666 L
.5191 .46549 L
.51846 .46439 L
.51809 .46388 L
.51689 .46228 L
.51686 .46223 L
.51569 .46067 L
.51525 .46039 L
.514 .45907 L
.51364 .45808 L
.51316 .45746 L
.51204 .45586 L
.51204 .45586 L
.51085 .45425 L
.51043 .45371 L
.50965 .45265 L
.50883 .45175 L
.50825 .45104 L
.50723 .44943 L
.50722 .44942 L
.50607 .44783 L
.50562 .44724 L
.50489 .44622 L
.50401 .44535 L
.5034 .44462 L
.50252 .44301 L
.50241 .44286 L
.5014 .44141 L
.5008 .4406 L
.50025 .4398 L
.4992 .43834 L
.4991 .4382 L
.49804 .43659 L
.49759 .43595 L
.49701 .43499 L
.49599 .4334 L
.49598 .43338 L
F
.005 .83 1 r
.49759 .50252 m
.4992 .50401 L
.49982 .50401 L
.5008 .50549 L
.50106 .50562 L
.50234 .50722 L
.50241 .5073 L
.50363 .50883 L
.50401 .50904 L
.50489 .51043 L
.50562 .5112 L
.50642 .51204 L
.50722 .51338 L
.50743 .51364 L
.5086 .51525 L
.50883 .51554 L
.50979 .51686 L
.51043 .51771 L
.51146 .51846 L
.51204 .51982 L
.51219 .52007 L
.51322 .52167 L
.51364 .52231 L
.51422 .52328 L
.51494 .52488 L
.51364 .52525 L
.51328 .52488 L
.51204 .52391 L
.5114 .52328 L
.51043 .52226 L
.50952 .52167 L
.50883 .52045 L
.5084 .52007 L
.50722 .51858 L
.50712 .51846 L
.50576 .51686 L
.50562 .51673 L
.50447 .51525 L
.50401 .51471 L
.50309 .51364 L
.50241 .51261 L
.50201 .51204 L
.5008 .5105 L
.50078 .51043 L
.49955 .50883 L
.4992 .50833 L
.4981 .50722 L
.49759 .50646 L
.49727 .50562 L
.49638 .50401 L
F
.004 .82 1 r
.49759 .50263 m
.4992 .50401 L
.49969 .50401 L
.5008 .50552 L
.501 .50562 L
.5023 .50722 L
.50241 .50734 L
.5036 .50883 L
.50401 .50906 L
.50486 .51043 L
.50562 .51123 L
.50639 .51204 L
.50722 .51342 L
.5074 .51364 L
.50857 .51525 L
.50883 .51558 L
.50976 .51686 L
.51043 .51776 L
.51141 .51846 L
.51204 .51991 L
.51214 .52007 L
.51317 .52167 L
.51364 .52241 L
.51414 .52328 L
.51473 .52488 L
.51364 .52505 L
.51347 .52488 L
.51204 .52381 L
.5115 .52328 L
.51043 .52219 L
.5096 .52167 L
.50883 .5204 L
.50846 .52007 L
.50722 .51854 L
.50715 .51846 L
.5058 .51686 L
.50562 .5167 L
.50451 .51525 L
.50401 .51466 L
.50313 .51364 L
.50241 .51256 L
.50204 .51204 L
.5008 .51046 L
.5008 .51043 L
.49959 .50883 L
.4992 .50827 L
.49814 .50722 L
.49759 .50633 L
.49733 .50562 L
.49646 .50401 L
F
.003 .81 1 r
.49759 .50273 m
.4992 .50401 L
.49955 .50401 L
.5008 .50555 L
.50094 .50562 L
.50227 .50722 L
.50241 .50739 L
.50356 .50883 L
.50401 .50908 L
.50484 .51043 L
.50562 .51127 L
.50635 .51204 L
.50722 .51346 L
.50737 .51364 L
.50854 .51525 L
.50883 .51562 L
.50973 .51686 L
.51043 .5178 L
.51136 .51846 L
.51204 .52 L
.51208 .52007 L
.51311 .52167 L
.51364 .52252 L
.51407 .52328 L
.51364 .52484 L
.51204 .52372 L
.51159 .52328 L
.51043 .52211 L
.50969 .52167 L
.50883 .52034 L
.50851 .52007 L
.50722 .5185 L
.50719 .51846 L
.50585 .51686 L
.50562 .51666 L
.50455 .51525 L
.50401 .51462 L
.50316 .51364 L
.50241 .51252 L
.50207 .51204 L
.50082 .51043 L
.5008 .51041 L
.49963 .50883 L
.4992 .50822 L
.49818 .50722 L
.49759 .50618 L
.49739 .50562 L
.49654 .50401 L
F
1 .95 .212 r
.49759 .47596 m
.49857 .47672 L
.4992 .47701 L
.50029 .47833 L
.5008 .47883 L
.50181 .47993 L
.50241 .48063 L
.50343 .48154 L
.50401 .48253 L
.50457 .48314 L
.50562 .48448 L
.50581 .48475 L
.5072 .48636 L
.50722 .48638 L
.5087 .48796 L
.50883 .48841 L
.50973 .48957 L
.51043 .49052 L
.51082 .49117 L
.51204 .49267 L
.51205 .49278 L
.51327 .49438 L
.51364 .49497 L
.51444 .49599 L
.51497 .49759 L
.51364 .49833 L
.51231 .49759 L
.51204 .49737 L
.51069 .49599 L
.51043 .49571 L
.50933 .49438 L
.50883 .49412 L
.50804 .49278 L
.50722 .49195 L
.50636 .49117 L
.50562 .48975 L
.50546 .48957 L
.5043 .48796 L
.50401 .4876 L
.5031 .48636 L
.50241 .48546 L
.50189 .48475 L
.5008 .48343 L
.5006 .48314 L
.49955 .48154 L
.4992 .48106 L
.49845 .47993 L
.49759 .47867 L
.49738 .47833 L
.49655 .47672 L
F
.001 .76 1 r
.49759 .48281 m
.49793 .48314 L
.4992 .48446 L
.49946 .48475 L
.5008 .48627 L
.50093 .48636 L
.50214 .48796 L
.50241 .48829 L
.50337 .48957 L
.50401 .49044 L
.50453 .49117 L
.50553 .49278 L
.50401 .49295 L
.50386 .49278 L
.50241 .49121 L
.50239 .49117 L
.5011 .48957 L
.5008 .4892 L
.49988 .48796 L
.4992 .48709 L
.49869 .48636 L
.49759 .48485 L
.49752 .48475 L
.49659 .48314 L
F
.002 .8 1 r
.49759 .50283 m
.4992 .50401 L
.4994 .50401 L
.5008 .50558 L
.50087 .50562 L
.50223 .50722 L
.50241 .50743 L
.50353 .50883 L
.50401 .50911 L
.50481 .51043 L
.50562 .51131 L
.50632 .51204 L
.50722 .51351 L
.50733 .51364 L
.50851 .51525 L
.50883 .51566 L
.5097 .51686 L
.51043 .51785 L
.51131 .51846 L
.51203 .52007 L
.51204 .52009 L
.51305 .52167 L
.51364 .52263 L
.51399 .52328 L
.51364 .52468 L
.51204 .52361 L
.51169 .52328 L
.51043 .52204 L
.50979 .52167 L
.50883 .52028 L
.50857 .52007 L
.50722 .51846 L
.50722 .51846 L
.50589 .51686 L
.50562 .51662 L
.50459 .51525 L
.50401 .51457 L
.5032 .51364 L
.50241 .51247 L
.50211 .51204 L
.50086 .51043 L
.5008 .51036 L
.49968 .50883 L
.4992 .50816 L
.49822 .50722 L
.49759 .50602 L
.49745 .50562 L
.49662 .50401 L
F
.001 .79 1 r
.49759 .50294 m
.4992 .50401 L
.49923 .50401 L
.5008 .50562 L
.50081 .50562 L
.50219 .50722 L
.50241 .50748 L
.5035 .50883 L
.50401 .50914 L
.50478 .51043 L
.50562 .51135 L
.50628 .51204 L
.50722 .51355 L
.5073 .51364 L
.50848 .51525 L
.50883 .51571 L
.50966 .51686 L
.51043 .51789 L
.51125 .51846 L
.51198 .52007 L
.51204 .52015 L
.51299 .52167 L
.51364 .52276 L
.5139 .52328 L
.51364 .52451 L
.51204 .52351 L
.5118 .52328 L
.51043 .52197 L
.5099 .52167 L
.50883 .52023 L
.50863 .52007 L
.50727 .51846 L
.50722 .51841 L
.50593 .51686 L
.50562 .51659 L
.50463 .51525 L
.50401 .51453 L
.50323 .51364 L
.50241 .51242 L
.50214 .51204 L
.5009 .51043 L
.5008 .5103 L
.49972 .50883 L
.4992 .5081 L
.49827 .50722 L
.49759 .50585 L
.49751 .50562 L
.49671 .50401 L
F
0 .75 1 r
.49759 .48299 m
.49776 .48314 L
.4992 .48458 L
.49935 .48475 L
.50075 .48636 L
.5008 .48641 L
.50205 .48796 L
.50241 .48841 L
.50328 .48957 L
.50401 .49057 L
.50443 .49117 L
.50538 .49278 L
.50401 .49283 L
.50396 .49278 L
.50248 .49117 L
.50241 .49109 L
.50119 .48957 L
.5008 .4891 L
.49996 .48796 L
.4992 .48698 L
.49876 .48636 L
.49761 .48475 L
.49759 .48472 L
.49678 .48314 L
F
.001 .78 1 r
.49759 .50305 m
.49912 .50401 L
.4992 .50407 L
.50075 .50562 L
.5008 .50567 L
.50215 .50722 L
.50241 .50752 L
.50346 .50883 L
.50401 .50917 L
.50475 .51043 L
.50562 .51139 L
.50624 .51204 L
.50722 .51359 L
.50727 .51364 L
.50845 .51525 L
.50883 .51575 L
.50963 .51686 L
.51043 .51794 L
.51119 .51846 L
.51193 .52007 L
.51204 .52022 L
.51293 .52167 L
.51364 .52291 L
.51381 .52328 L
.51364 .5243 L
.51204 .52339 L
.51192 .52328 L
.51043 .52189 L
.51002 .52167 L
.50883 .52017 L
.5087 .52007 L
.50732 .51846 L
.50722 .51835 L
.50598 .51686 L
.50562 .51655 L
.50467 .51525 L
.50401 .51448 L
.50327 .51364 L
.50241 .51238 L
.50217 .51204 L
.50094 .51043 L
.5008 .51025 L
.49976 .50883 L
.4992 .50804 L
.49832 .50722 L
.49759 .50566 L
.49758 .50562 L
.4968 .50401 L
F
.001 .77 1 r
.49759 .50317 m
.49903 .50401 L
.4992 .50415 L
.5007 .50562 L
.5008 .50572 L
.50211 .50722 L
.50241 .50756 L
.50343 .50883 L
.50401 .5092 L
.50472 .51043 L
.50562 .51143 L
.5062 .51204 L
.50722 .51363 L
.50723 .51364 L
.50842 .51525 L
.50883 .51579 L
.5096 .51686 L
.51043 .51799 L
.51113 .51846 L
.51188 .52007 L
.51204 .5203 L
.51287 .52167 L
.51364 .52311 L
.51371 .52328 L
.51364 .52404 L
.51204 .52328 L
.51204 .52327 L
.51043 .52182 L
.51015 .52167 L
.50883 .52012 L
.50876 .52007 L
.50737 .51846 L
.50722 .5183 L
.50602 .51686 L
.50562 .51651 L
.50471 .51525 L
.50401 .51443 L
.5033 .51364 L
.50241 .51233 L
.5022 .51204 L
.50098 .51043 L
.5008 .5102 L
.4998 .50883 L
.4992 .50798 L
.49837 .50722 L
.49764 .50562 L
.49759 .50553 L
.4969 .50401 L
F
.001 .76 1 r
.49759 .50329 m
.49892 .50401 L
.4992 .50422 L
.50064 .50562 L
.5008 .50578 L
.50206 .50722 L
.50241 .50761 L
.5034 .50883 L
.50401 .50923 L
.50469 .51043 L
.50562 .51147 L
.50616 .51204 L
.5072 .51364 L
.50722 .51367 L
.50839 .51525 L
.50883 .51583 L
.50956 .51686 L
.51043 .51804 L
.51106 .51846 L
.51183 .52007 L
.51204 .52038 L
.5128 .52167 L
.51204 .52317 L
.51043 .52174 L
.51029 .52167 L
.50883 .52007 L
.50883 .52006 L
.50742 .51846 L
.50722 .51824 L
.50606 .51686 L
.50562 .51647 L
.50475 .51525 L
.50401 .51439 L
.50334 .51364 L
.50241 .51228 L
.50224 .51204 L
.50102 .51043 L
.5008 .51015 L
.49984 .50883 L
.4992 .50791 L
.49843 .50722 L
.49771 .50562 L
.49759 .50541 L
.497 .50401 L
F
.156 .94 1 r
.49759 .42701 m
.49912 .42857 L
.4992 .42864 L
.50062 .43017 L
.5008 .43037 L
.50206 .43178 L
.50241 .43185 L
.50347 .43338 L
.50401 .43395 L
.50486 .43499 L
.50562 .43591 L
.50632 .43659 L
.50722 .43786 L
.5075 .4382 L
.50883 .43977 L
.50884 .4398 L
.51019 .44141 L
.51043 .4417 L
.5117 .44301 L
.51204 .44373 L
.51278 .44462 L
.51364 .44578 L
.51393 .44622 L
.51525 .44777 L
.51537 .44783 L
.51664 .44943 L
.51686 .44971 L
.51796 .45104 L
.51846 .4518 L
.51908 .45265 L
.52007 .4539 L
.52018 .45425 L
.52167 .45581 L
.5217 .45586 L
.52307 .45746 L
.52328 .45789 L
.52419 .45907 L
.52488 .46001 L
.52527 .46067 L
.52649 .46212 L
.52673 .46228 L
.52808 .46388 L
.52809 .46405 L
.52925 .46549 L
.5297 .46616 L
.53035 .46709 L
.5313 .4683 L
.53141 .4687 L
.53291 .4703 L
.53294 .4703 L
.53429 .47191 L
.53451 .47235 L
.5354 .47351 L
.53612 .47448 L
.53648 .47512 L
.53772 .47658 L
.53791 .47672 L
.5393 .47833 L
.53933 .47857 L
.54043 .47993 L
.54093 .48069 L
.54152 .48154 L
.54254 .48282 L
.54261 .48314 L
.54408 .48475 L
.54414 .48482 L
.54545 .48636 L
.54575 .48691 L
.54654 .48796 L
.54735 .48904 L
.54763 .48957 L
.54896 .49112 L
.54902 .49117 L
.55049 .49278 L
.55057 .49315 L
.55156 .49438 L
.55217 .49528 L
.55265 .49599 L
.55378 .49739 L
.55381 .49759 L
.55518 .4992 L
.55538 .4994 L
.55659 .5008 L
.55699 .50152 L
.55765 .50241 L
.55859 .50365 L
.55878 .50401 L
.56011 .50562 L
.5602 .50568 L
.56166 .50722 L
.5618 .50775 L
.56266 .50883 L
.56341 .50991 L
.56376 .51043 L
.56501 .51202 L
.56501 .51204 L
.56625 .51364 L
.56662 .51399 L
.56769 .51525 L
.56822 .51616 L
.56874 .51686 L
.56983 .51831 L
.5699 .51846 L
.57116 .52007 L
.57143 .52022 L
.57277 .52167 L
.57304 .5224 L
.57372 .52328 L
.57464 .52459 L
.57483 .52488 L
.57606 .52649 L
.57625 .52673 L
.57727 .52809 L
.57785 .52863 L
.57873 .5297 L
.57946 .53088 L
.57976 .5313 L
.58095 .53291 L
.58106 .53306 L
.58215 .53451 L
.58267 .53482 L
.58378 .53612 L
.58428 .53719 L
.58468 .53772 L
.58581 .53933 L
.58588 .53942 L
.587 .54093 L
.58749 .54157 L
.5882 .54254 L
.58909 .54351 L
.58958 .54414 L
.59062 .54575 L
.5907 .54585 L
.59179 .54735 L
.5923 .54803 L
.59297 .54896 L
.59391 .55021 L
.59438 .55057 L
.59533 .55217 L
.59551 .55241 L
.59646 .55378 L
.59712 .55467 L
.5976 .55538 L
.59872 .55694 L
.59875 .55699 L
.59979 .55859 L
.60033 .55938 L
.60079 .5602 L
.60033 .5615 L
.599 .5602 L
.59872 .55994 L
.59746 .55859 L
.59712 .55824 L
.59598 .55699 L
.59551 .55675 L
.59455 .55538 L
.59391 .55468 L
.59252 .55378 L
.5923 .55274 L
.59173 .55217 L
.5907 .55081 L
.5905 .55057 L
.58911 .54896 L
.58909 .54894 L
.58778 .54735 L
.58749 .54698 L
.58632 .54575 L
.58588 .54496 L
.58522 .54414 L
.58428 .54291 L
.58406 .54254 L
.58267 .54096 L
.58259 .54093 L
.58113 .53933 L
.58106 .539 L
.58002 .53772 L
.57946 .53691 L
.57891 .53612 L
.57785 .53481 L
.57782 .53451 L
.57625 .53292 L
.57624 .53291 L
.57491 .5313 L
.57464 .53084 L
.57379 .5297 L
.57304 .5287 L
.57272 .52809 L
.57143 .5266 L
.57121 .52649 L
.56988 .52488 L
.56983 .52469 L
.56871 .52328 L
.56822 .52257 L
.56762 .52167 L
.56662 .52043 L
.56622 .52007 L
.56501 .51849 L
.56499 .51846 L
.56368 .51686 L
.56341 .51639 L
.56257 .51525 L
.5618 .51425 L
.56151 .51364 L
.5602 .51215 L
.56002 .51204 L
.55867 .51043 L
.55859 .51018 L
.55753 .50883 L
.55699 .50805 L
.55645 .50722 L
.55538 .50592 L
.55507 .50562 L
.55384 .50401 L
.55378 .50394 L
.55251 .50241 L
.55217 .50183 L
.55142 .5008 L
.55057 .4997 L
.55034 .4992 L
.54896 .49764 L
.5489 .49759 L
.5475 .49599 L
.54735 .4956 L
.5464 .49438 L
.54575 .49347 L
.54531 .49278 L
.54414 .49136 L
.54396 .49117 L
.54274 .48957 L
.54254 .48935 L
.54138 .48796 L
.54093 .48723 L
.5403 .48636 L
.53933 .4851 L
.53919 .48475 L
.53781 .48314 L
.53772 .48307 L
.53634 .48154 L
.53612 .48099 L
.5353 .47993 L
.53451 .47885 L
.5342 .47833 L
.53291 .47675 L
.53289 .47672 L
.53167 .47512 L
.5313 .47475 L
.53028 .47351 L
.5297 .47259 L
.52921 .47191 L
.52809 .47045 L
.52803 .4703 L
.52676 .4687 L
.52649 .46851 L
.52523 .46709 L
.52488 .46634 L
.52423 .46549 L
.52328 .46416 L
.52311 .46388 L
.52186 .46228 L
.52167 .46204 L
.52064 .46067 L
.52007 .46009 L
.51924 .45907 L
.51846 .45787 L
.51818 .45746 L
.51697 .45586 L
.51686 .45571 L
.51577 .45425 L
.51525 .45388 L
.51422 .45265 L
.51364 .45157 L
.51326 .45104 L
.51211 .44943 L
.51204 .44935 L
.51092 .44783 L
.51043 .4472 L
.50971 .44622 L
.50883 .44523 L
.50836 .44462 L
.50729 .44301 L
.50722 .44293 L
.50612 .44141 L
.50562 .44075 L
.50494 .4398 L
.50401 .43882 L
.50355 .4382 L
.50257 .43659 L
.50241 .43638 L
.50144 .43499 L
.5008 .43413 L
.50029 .43338 L
.4992 .43187 L
.49913 .43178 L
.49808 .43017 L
.49759 .42947 L
.49704 .42857 L
F
0 .75 1 r
.49759 .50343 m
.4988 .50401 L
.4992 .5043 L
.50058 .50562 L
.5008 .50584 L
.50202 .50722 L
.50241 .50766 L
.50336 .50883 L
.50401 .50927 L
.50466 .51043 L
.50562 .51152 L
.50612 .51204 L
.50717 .51364 L
.50722 .51371 L
.50835 .51525 L
.50883 .51588 L
.50953 .51686 L
.51043 .51809 L
.51099 .51846 L
.51178 .52007 L
.51204 .52046 L
.51273 .52167 L
.51204 .52305 L
.51044 .52167 L
.51043 .52166 L
.50889 .52007 L
.50883 .52 L
.50747 .51846 L
.50722 .51819 L
.50611 .51686 L
.50562 .51643 L
.50479 .51525 L
.50401 .51434 L
.50338 .51364 L
.50241 .51223 L
.50227 .51204 L
.50106 .51043 L
.5008 .51009 L
.49988 .50883 L
.4992 .50785 L
.49849 .50722 L
.49777 .50562 L
.49759 .50527 L
.49711 .50401 L
F
0 .59 1 r
.49759 .44068 m
.49823 .44141 L
.4992 .44241 L
.4997 .44301 L
.5008 .44424 L
.50111 .44462 L
.50241 .44607 L
.50248 .44622 L
.5038 .44783 L
.50401 .44807 L
.50511 .44943 L
.50562 .45003 L
.50642 .45104 L
.50722 .45201 L
.50773 .45265 L
.50883 .4539 L
.50927 .45425 L
.51031 .45586 L
.51043 .45601 L
.51156 .45746 L
.51204 .45804 L
.51283 .45907 L
.51364 .45972 L
.51411 .46067 L
.51525 .46206 L
.51547 .46228 L
.51663 .46388 L
.51686 .46416 L
.51786 .46549 L
.51846 .46623 L
.51912 .46709 L
.52007 .46813 L
.5207 .4687 L
.52162 .4703 L
.52167 .47036 L
.52284 .47191 L
.52328 .47246 L
.52407 .47351 L
.52488 .47415 L
.52531 .47512 L
.52649 .47661 L
.5266 .47672 L
.52775 .47833 L
.52809 .47876 L
.52896 .47993 L
.5297 .48088 L
.53019 .48154 L
.5313 .4829 L
.53155 .48314 L
.53261 .48475 L
.53291 .48514 L
.53379 .48636 L
.53451 .48729 L
.53499 .48796 L
.53612 .48944 L
.53621 .48957 L
.53736 .49117 L
.53772 .49165 L
.5385 .49278 L
.53933 .49387 L
.53967 .49438 L
.54084 .49599 L
.54093 .49612 L
.54187 .49759 L
.54254 .49853 L
.54291 .4992 L
.54254 .49984 L
.54195 .4992 L
.54093 .49814 L
.54046 .49759 L
.53933 .49633 L
.53904 .49599 L
.53772 .49449 L
.53767 .49438 L
.53634 .49278 L
.53612 .49253 L
.53501 .49117 L
.53451 .49058 L
.53369 .48957 L
.53291 .48862 L
.53237 .48796 L
.5313 .48672 L
.53085 .48636 L
.52979 .48475 L
.5297 .48464 L
.52852 .48314 L
.52809 .48262 L
.52724 .48154 L
.52649 .48088 L
.52596 .47993 L
.52488 .47861 L
.52461 .47833 L
.52344 .47672 L
.52328 .47652 L
.52219 .47512 L
.52167 .47446 L
.52094 .47351 L
.52007 .47254 L
.51939 .47191 L
.51846 .47034 L
.51843 .4703 L
.51721 .4687 L
.51686 .46825 L
.51598 .46709 L
.51525 .4665 L
.51474 .46549 L
.51364 .46411 L
.51344 .46388 L
.51229 .46228 L
.51204 .46196 L
.51108 .46067 L
.51043 .45984 L
.50986 .45907 L
.50883 .45783 L
.50848 .45746 L
.50744 .45586 L
.50722 .45558 L
.50625 .45425 L
.50562 .45342 L
.50505 .45265 L
.50401 .45145 L
.50385 .45104 L
.50269 .44943 L
.50241 .44906 L
.50155 .44783 L
.5008 .44683 L
.50038 .44622 L
.49922 .44462 L
.4992 .44459 L
.49818 .44301 L
.49759 .44218 L
.49713 .44141 L
F
1 .78 .001 r
.49759 .43397 m
.49858 .43499 L
.4992 .4356 L
.50009 .43659 L
.5008 .43735 L
.50154 .4382 L
.50241 .43884 L
.50294 .4398 L
.50401 .44099 L
.50459 .44141 L
.50562 .44296 L
.50568 .44301 L
.50699 .44462 L
.50722 .44489 L
.50831 .44622 L
.50883 .44669 L
.50962 .44783 L
.51043 .44879 L
.51109 .44943 L
.51204 .45082 L
.51222 .45104 L
.5135 .45265 L
.51364 .45269 L
.51478 .45425 L
.51525 .45475 L
.51643 .45586 L
.51686 .45684 L
.51739 .45746 L
.51846 .4589 L
.51858 .45907 L
.51986 .46067 L
.52007 .46083 L
.52112 .46228 L
.52167 .46292 L
.52254 .46388 L
.52328 .46503 L
.52363 .46549 L
.52488 .46708 L
.52489 .46709 L
.52613 .4687 L
.52649 .46906 L
.52771 .4703 L
.52809 .47118 L
.52869 .47191 L
.5297 .47329 L
.52984 .47351 L
.53111 .47512 L
.5313 .47524 L
.53235 .47672 L
.53291 .47736 L
.53376 .47833 L
.53451 .4795 L
.53484 .47993 L
.53607 .48154 L
.53612 .4816 L
.5373 .48314 L
.53772 .48355 L
.53886 .48475 L
.53933 .48572 L
.53984 .48636 L
.54093 .48786 L
.541 .48796 L
.54223 .48957 L
.54254 .48973 L
.54345 .49117 L
.54414 .49195 L
.54485 .49278 L
.54575 .49414 L
.54593 .49438 L
.54714 .49599 L
.54735 .49626 L
.54835 .49759 L
.54896 .49816 L
.5499 .4992 L
.55057 .50042 L
.55086 .5008 L
.55203 .50241 L
.55217 .50259 L
.55323 .50401 L
.55378 .50432 L
.55444 .50562 L
.55538 .50673 L
.55579 .50722 L
.55688 .50883 L
.55699 .50897 L
.55806 .51043 L
.55859 .51112 L
.55927 .51204 L
.5602 .51307 L
.56068 .51364 L
.56168 .51525 L
.5618 .51541 L
.56284 .51686 L
.56341 .5176 L
.56402 .51846 L
.56501 .51978 L
.56522 .52007 L
.56637 .52167 L
.56662 .522 L
.56749 .52328 L
.56822 .52427 L
.56864 .52488 L
.56978 .52649 L
.56983 .52655 L
.57078 .52809 L
.57143 .52906 L
.57178 .5297 L
.57143 .53053 L
.5706 .5297 L
.56983 .52896 L
.56903 .52809 L
.56822 .52723 L
.56756 .52649 L
.56662 .52568 L
.56614 .52488 L
.56501 .5236 L
.56458 .52328 L
.56341 .52167 L
.5634 .52167 L
.56207 .52007 L
.5618 .51976 L
.56073 .51846 L
.5602 .51793 L
.5594 .51686 L
.55859 .51587 L
.55799 .51525 L
.55699 .51386 L
.55682 .51364 L
.55551 .51204 L
.55538 .51197 L
.55422 .51043 L
.55378 .50993 L
.55268 .50883 L
.55217 .50786 L
.55165 .50722 L
.55057 .50581 L
.55045 .50562 L
.54912 .50401 L
.54896 .50386 L
.54785 .50241 L
.54735 .50179 L
.5465 .5008 L
.54575 .4997 L
.54539 .4992 L
.54414 .49765 L
.54413 .49759 L
.54283 .49599 L
.54254 .49566 L
.54137 .49438 L
.54093 .49356 L
.54033 .49278 L
.53933 .49146 L
.53917 .49117 L
.53784 .48957 L
.53772 .48947 L
.53619 .48796 L
.53612 .48738 L
.53526 .48636 L
.53451 .48526 L
.53416 .48475 L
.53291 .48318 L
.5329 .48314 L
.53165 .48154 L
.5313 .48118 L
.53019 .47993 L
.5297 .47904 L
.52916 .47833 L
.52809 .47691 L
.52799 .47672 L
.52672 .47512 L
.52649 .47496 L
.52505 .47351 L
.52488 .4728 L
.52415 .47191 L
.52328 .47064 L
.52305 .4703 L
.5218 .4687 L
.52167 .46853 L
.52059 .46709 L
.52007 .46657 L
.51912 .46549 L
.51846 .46435 L
.51811 .46388 L
.51692 .46228 L
.51686 .4622 L
.51571 .46067 L
.51525 .46036 L
.51403 .45907 L
.51364 .45804 L
.51319 .45746 L
.51207 .45586 L
.51204 .45582 L
.51088 .45425 L
.51043 .45367 L
.50968 .45265 L
.50883 .4517 L
.50829 .45104 L
.50727 .44943 L
.50722 .44937 L
.50611 .44783 L
.50562 .44718 L
.50493 .44622 L
.50401 .44526 L
.50348 .44462 L
.50258 .44301 L
.50241 .44278 L
.50146 .44141 L
.5008 .44051 L
.50032 .4398 L
.4992 .43823 L
.49917 .4382 L
.49815 .43659 L
.49759 .43577 L
.49714 .43499 L
F
1 .7 0 r
.49759 .50945 m
.49839 .51043 L
.4992 .51138 L
.49967 .51204 L
.5008 .51355 L
.50086 .51364 L
.5008 .51471 L
.49979 .51364 L
.4992 .51302 L
.4984 .51204 L
.49759 .51103 L
.49715 .51043 L
F
.538 .98 1 r
.49759 .52565 m
.49858 .52649 L
.4992 .52702 L
.50034 .52809 L
.5008 .52854 L
.50196 .5297 L
.50241 .53017 L
.50348 .5313 L
.50401 .53182 L
.50493 .53291 L
.50562 .53373 L
.50646 .53451 L
.50722 .53565 L
.50765 .53612 L
.50883 .53759 L
.50894 .53772 L
.51025 .53933 L
.51043 .53955 L
.51177 .54093 L
.51204 .54158 L
.51284 .54254 L
.51364 .54363 L
.51402 .54414 L
.51525 .54565 L
.51529 .54575 L
.51685 .54735 L
.51686 .54767 L
.5179 .54896 L
.51846 .54976 L
.51902 .55057 L
.52007 .55184 L
.52016 .55217 L
.52165 .55378 L
.52167 .55381 L
.52297 .55538 L
.52328 .55589 L
.52407 .55699 L
.52488 .55801 L
.52515 .55859 L
.52649 .56008 L
.52668 .5602 L
.52801 .5618 L
.52809 .56203 L
.52915 .56341 L
.5297 .56415 L
.53023 .56501 L
.5313 .56628 L
.53168 .56662 L
.5329 .56822 L
.53291 .56823 L
.5342 .56983 L
.53451 .57032 L
.5353 .57143 L
.53612 .57246 L
.53635 .57304 L
.53772 .57454 L
.53788 .57464 L
.53922 .57625 L
.53933 .57653 L
.54033 .57785 L
.54093 .57866 L
.54141 .57946 L
.54254 .58078 L
.54283 .58106 L
.54405 .58267 L
.54414 .58278 L
.54535 .58428 L
.54575 .58489 L
.54643 .58588 L
.54735 .58703 L
.54751 .58749 L
.54896 .58908 L
.54897 .58909 L
.55036 .5907 L
.55057 .59115 L
.55143 .5923 L
.55217 .5933 L
.55251 .59391 L
.55378 .59541 L
.55388 .59551 L
.55509 .59712 L
.55538 .59743 L
.55641 .59872 L
.55699 .59959 L
.55748 .60033 L
.55859 .60174 L
.55865 .60193 L
.55996 .60354 L
.5602 .60372 L
.56143 .60514 L
.5618 .6059 L
.56242 .60675 L
.56341 .6081 L
.56354 .60835 L
.56479 .60996 L
.56501 .61025 L
.56599 .61156 L
.56662 .61225 L
.56732 .61317 L
.56822 .61453 L
.56838 .61477 L
.56957 .61638 L
.56983 .61673 L
.57074 .61799 L
.57143 .61863 L
.57219 .61959 L
.57304 .6211 L
.5731 .6212 L
.57423 .6228 L
.57464 .62337 L
.57537 .62441 L
.57625 .62565 L
.57683 .62601 L
.57759 .62762 L
.57785 .628 L
.57863 .62922 L
.57946 .63048 L
.57966 .63083 L
.57946 .63235 L
.57793 .63083 L
.57785 .63076 L
.57645 .62922 L
.57625 .62901 L
.57504 .62762 L
.57464 .62719 L
.57365 .62601 L
.57304 .62576 L
.57229 .62441 L
.57143 .62352 L
.57094 .6228 L
.56983 .62149 L
.56952 .6212 L
.56829 .61959 L
.56822 .61951 L
.567 .61799 L
.56662 .6177 L
.56571 .61638 L
.56501 .6156 L
.56413 .61477 L
.56341 .61353 L
.56309 .61317 L
.56185 .61156 L
.5618 .6115 L
.5606 .60996 L
.5602 .60958 L
.55877 .60835 L
.55859 .60747 L
.55793 .60675 L
.55699 .60538 L
.5568 .60514 L
.55555 .60354 L
.55538 .60344 L
.55431 .60193 L
.55378 .60136 L
.55277 .60033 L
.55217 .59923 L
.55174 .59872 L
.55057 .59715 L
.55055 .59712 L
.54931 .59551 L
.54896 .59521 L
.54755 .59391 L
.54735 .59306 L
.54668 .5923 L
.54575 .59093 L
.54557 .5907 L
.54434 .58909 L
.54414 .58902 L
.54311 .58749 L
.54254 .58688 L
.54159 .58588 L
.54093 .58472 L
.54057 .58428 L
.53938 .58267 L
.53933 .58261 L
.53816 .58106 L
.53772 .58071 L
.53642 .57946 L
.53612 .57851 L
.53555 .57785 L
.53451 .57635 L
.53444 .57625 L
.53322 .57464 L
.53291 .57456 L
.532 .57304 L
.5313 .57231 L
.5305 .57143 L
.5297 .5701 L
.52948 .56983 L
.52829 .56822 L
.52809 .56797 L
.52708 .56662 L
.52649 .56614 L
.52538 .56501 L
.52488 .56386 L
.5245 .56341 L
.52337 .5618 L
.52328 .56168 L
.52217 .5602 L
.52167 .55956 L
.52095 .55859 L
.52007 .55762 L
.51951 .55699 L
.51847 .55538 L
.51846 .55537 L
.51727 .55378 L
.51686 .55324 L
.51606 .55217 L
.51525 .55141 L
.51448 .55057 L
.51364 .54905 L
.51357 .54896 L
.5124 .54735 L
.51204 .5469 L
.5112 .54575 L
.51043 .54476 L
.50998 .54414 L
.50883 .5427 L
.5087 .54254 L
.50756 .54093 L
.50722 .5405 L
.50638 .53933 L
.50562 .53834 L
.50518 .53772 L
.50401 .53626 L
.5039 .53612 L
.50279 .53451 L
.50241 .53401 L
.50163 .53291 L
.5008 .53181 L
.50045 .5313 L
.49927 .5297 L
.4992 .5296 L
.4982 .52809 L
.49759 .52723 L
.49717 .52649 L
F
0 .7 1 r
.49759 .53861 m
.49818 .53933 L
.4992 .54048 L
.49957 .54093 L
.5008 .5424 L
.50091 .54254 L
.5022 .54414 L
.50241 .54438 L
.50348 .54575 L
.50401 .54638 L
.50477 .54735 L
.50562 .54839 L
.50606 .54896 L
.50722 .55042 L
.50734 .55057 L
.50857 .55217 L
.50883 .55248 L
.50981 .55378 L
.51043 .55456 L
.51106 .55538 L
.51204 .55663 L
.51231 .55699 L
.51353 .55859 L
.51364 .55874 L
.51471 .5602 L
.51525 .56088 L
.51592 .5618 L
.51686 .56302 L
.51713 .56341 L
.51831 .56501 L
.51846 .5652 L
.51942 .56662 L
.52007 .56746 L
.52057 .56822 L
.52167 .56975 L
.52172 .56983 L
.52167 .57066 L
.52099 .56983 L
.52007 .56889 L
.51954 .56822 L
.51846 .56702 L
.51815 .56662 L
.51686 .56509 L
.51679 .56501 L
.51552 .56341 L
.51525 .5631 L
.51426 .5618 L
.51364 .56108 L
.51298 .5602 L
.51204 .55906 L
.51169 .55859 L
.51043 .55704 L
.51039 .55699 L
.50918 .55538 L
.50883 .55496 L
.50796 .55378 L
.50722 .55288 L
.50671 .55217 L
.50562 .5508 L
.50545 .55057 L
.50423 .54896 L
.50401 .54869 L
.50305 .54735 L
.50241 .54655 L
.50185 .54575 L
.5008 .54442 L
.50061 .54414 L
.49944 .54254 L
.4992 .54224 L
.49833 .54093 L
.49759 .53998 L
.49718 .53933 L
F
0 .74 1 r
.49759 .50357 m
.49867 .50401 L
.4992 .50437 L
.50052 .50562 L
.5008 .50589 L
.50198 .50722 L
.50241 .5077 L
.50333 .50883 L
.50401 .5093 L
.50463 .51043 L
.50562 .51156 L
.50608 .51204 L
.50714 .51364 L
.50722 .51376 L
.50832 .51525 L
.50883 .51592 L
.5095 .51686 L
.51043 .51814 L
.51091 .51846 L
.51172 .52007 L
.51204 .52055 L
.51266 .52167 L
.51204 .52294 L
.51053 .52167 L
.51043 .52158 L
.50896 .52007 L
.50883 .51994 L
.50752 .51846 L
.50722 .51813 L
.50615 .51686 L
.50562 .51639 L
.50483 .51525 L
.50401 .51429 L
.50342 .51364 L
.50241 .51218 L
.50231 .51204 L
.50109 .51043 L
.5008 .51004 L
.49992 .50883 L
.4992 .50779 L
.49856 .50722 L
.49784 .50562 L
.49759 .50512 L
.49723 .50401 L
F
0 .58 1 r
.49759 .44083 m
.49811 .44141 L
.4992 .44251 L
.49962 .44301 L
.5008 .44432 L
.50105 .44462 L
.50241 .44618 L
.50243 .44622 L
.50374 .44783 L
.50401 .44813 L
.50506 .44943 L
.50562 .45009 L
.50637 .45104 L
.50722 .45206 L
.50769 .45265 L
.50883 .45396 L
.5092 .45425 L
.51027 .45586 L
.51043 .45605 L
.51153 .45746 L
.51204 .45808 L
.5128 .45907 L
.51364 .45977 L
.51408 .46067 L
.51525 .46211 L
.51542 .46228 L
.51659 .46388 L
.51686 .4642 L
.51784 .46549 L
.51846 .46627 L
.51909 .46709 L
.52007 .46817 L
.52065 .4687 L
.52159 .4703 L
.52167 .4704 L
.52281 .47191 L
.52328 .4725 L
.52404 .47351 L
.52488 .47419 L
.52528 .47512 L
.52649 .47665 L
.52655 .47672 L
.52772 .47833 L
.52809 .47879 L
.52893 .47993 L
.5297 .48091 L
.53016 .48154 L
.5313 .48296 L
.53149 .48314 L
.53257 .48475 L
.53291 .48518 L
.53375 .48636 L
.53451 .48734 L
.53496 .48796 L
.53612 .48949 L
.53617 .48957 L
.53731 .49117 L
.53772 .49171 L
.53845 .49278 L
.53933 .49394 L
.53962 .49438 L
.54076 .49599 L
.54093 .49622 L
.54178 .49759 L
.54254 .4987 L
.5428 .4992 L
.54254 .49967 L
.54209 .4992 L
.54093 .49803 L
.54055 .49759 L
.53933 .49624 L
.53911 .49599 L
.53773 .49438 L
.53772 .49438 L
.5364 .49278 L
.53612 .49246 L
.53506 .49117 L
.53451 .49053 L
.53374 .48957 L
.53291 .48857 L
.53242 .48796 L
.5313 .48666 L
.53093 .48636 L
.52983 .48475 L
.5297 .48459 L
.52855 .48314 L
.52809 .48258 L
.52727 .48154 L
.52649 .48083 L
.52599 .47993 L
.52488 .47856 L
.52465 .47833 L
.52347 .47672 L
.52328 .47648 L
.52222 .47512 L
.52167 .47442 L
.52097 .47351 L
.52007 .4725 L
.51944 .47191 L
.51847 .4703 L
.51846 .4703 L
.51724 .4687 L
.51686 .46821 L
.51601 .46709 L
.51525 .46645 L
.51477 .46549 L
.51364 .46407 L
.51348 .46388 L
.51232 .46228 L
.51204 .46191 L
.51111 .46067 L
.51043 .4598 L
.50989 .45907 L
.50883 .45777 L
.50853 .45746 L
.50748 .45586 L
.50722 .45553 L
.50629 .45425 L
.50562 .45337 L
.50509 .45265 L
.50401 .45135 L
.50389 .45104 L
.50274 .44943 L
.50241 .44899 L
.5016 .44783 L
.5008 .44676 L
.50044 .44622 L
.4993 .44462 L
.4992 .44448 L
.49827 .44301 L
.49759 .44203 L
.49724 .44141 L
F
1 .5 0 r
.49759 .44751 m
.49783 .44783 L
.4992 .44937 L
.49925 .44943 L
.4992 .45065 L
.49841 .44943 L
.49759 .4484 L
.49724 .44783 L
F
1 .77 .001 r
.49759 .43422 m
.49838 .43499 L
.4992 .43575 L
.49996 .43659 L
.5008 .43747 L
.50144 .4382 L
.50241 .43897 L
.50286 .4398 L
.50401 .44109 L
.50447 .44141 L
.5056 .44301 L
.50562 .44304 L
.50693 .44462 L
.50722 .44496 L
.50825 .44622 L
.50883 .44675 L
.50958 .44783 L
.51043 .44884 L
.51104 .44943 L
.51204 .45087 L
.51218 .45104 L
.51346 .45265 L
.51364 .4527 L
.51475 .45425 L
.51525 .45479 L
.5164 .45586 L
.51686 .45688 L
.51736 .45746 L
.51846 .45894 L
.51855 .45907 L
.51983 .46067 L
.52007 .46085 L
.52109 .46228 L
.52167 .46295 L
.52252 .46388 L
.52328 .46506 L
.52361 .46549 L
.52486 .46709 L
.52488 .46709 L
.52611 .4687 L
.52649 .46908 L
.52769 .4703 L
.52809 .47121 L
.52867 .47191 L
.5297 .47332 L
.52983 .47351 L
.53109 .47512 L
.5313 .47525 L
.53233 .47672 L
.53291 .47738 L
.53374 .47833 L
.53451 .47953 L
.53482 .47993 L
.53605 .48154 L
.53612 .48162 L
.53728 .48314 L
.53772 .48357 L
.53885 .48475 L
.53933 .48575 L
.53982 .48636 L
.54093 .48789 L
.54098 .48796 L
.54221 .48957 L
.54254 .48974 L
.54343 .49117 L
.54414 .49197 L
.54483 .49278 L
.54575 .49416 L
.54591 .49438 L
.54712 .49599 L
.54735 .49629 L
.54833 .49759 L
.54896 .49819 L
.54988 .4992 L
.55057 .50046 L
.55084 .5008 L
.552 .50241 L
.55217 .50262 L
.5532 .50401 L
.55378 .50435 L
.55442 .50562 L
.55538 .50677 L
.55575 .50722 L
.55685 .50883 L
.55699 .509 L
.55803 .51043 L
.55859 .51116 L
.55924 .51204 L
.5602 .51313 L
.56063 .51364 L
.56164 .51525 L
.5618 .51546 L
.5628 .51686 L
.56341 .51765 L
.56398 .51846 L
.56501 .51984 L
.56517 .52007 L
.56631 .52167 L
.56662 .52208 L
.56743 .52328 L
.56822 .52436 L
.56857 .52488 L
.56968 .52649 L
.56983 .5267 L
.57065 .52809 L
.57143 .52933 L
.57159 .5297 L
.57143 .53021 L
.57084 .5297 L
.56983 .52879 L
.56918 .52809 L
.56822 .5271 L
.56767 .52649 L
.56662 .52554 L
.56624 .52488 L
.56501 .5235 L
.56471 .52328 L
.56348 .52167 L
.56341 .52159 L
.56213 .52007 L
.5618 .51968 L
.56079 .51846 L
.5602 .51787 L
.55946 .51686 L
.55859 .51581 L
.55805 .51525 L
.55699 .5138 L
.55686 .51364 L
.55555 .51204 L
.55538 .51194 L
.55426 .51043 L
.55378 .50988 L
.55271 .50883 L
.55217 .50781 L
.55168 .50722 L
.55057 .50577 L
.55047 .50562 L
.54915 .50401 L
.54896 .50383 L
.54788 .50241 L
.54735 .50176 L
.54653 .5008 L
.54575 .49966 L
.54541 .4992 L
.54414 .49763 L
.54413 .49759 L
.54286 .49599 L
.54254 .49564 L
.54138 .49438 L
.54093 .49353 L
.54035 .49278 L
.53933 .49143 L
.53918 .49117 L
.53787 .48957 L
.53772 .48945 L
.5362 .48796 L
.53612 .48736 L
.53528 .48636 L
.53451 .48523 L
.53418 .48475 L
.53291 .48315 L
.53291 .48314 L
.53167 .48154 L
.5313 .48116 L
.53021 .47993 L
.5297 .47901 L
.52918 .47833 L
.52809 .47689 L
.528 .47672 L
.52674 .47512 L
.52649 .47494 L
.52506 .47351 L
.52488 .47278 L
.52417 .47191 L
.52328 .47061 L
.52307 .4703 L
.52183 .4687 L
.52167 .4685 L
.52061 .46709 L
.52007 .46654 L
.51915 .46549 L
.51846 .46432 L
.51813 .46388 L
.51694 .46228 L
.51686 .46216 L
.51574 .46067 L
.51525 .46033 L
.51405 .45907 L
.51364 .458 L
.51322 .45746 L
.5121 .45586 L
.51204 .45578 L
.51091 .45425 L
.51043 .45363 L
.50971 .45265 L
.50883 .45164 L
.50834 .45104 L
.50731 .44943 L
.50722 .44932 L
.50615 .44783 L
.50562 .44712 L
.50497 .44622 L
.50401 .44516 L
.50357 .44462 L
.50264 .44301 L
.50241 .4427 L
.50152 .44141 L
.5008 .44042 L
.50039 .4398 L
.49927 .4382 L
.4992 .4381 L
.49827 .43659 L
.49759 .43555 L
.4973 .43499 L
F
1 .69 0 r
.49759 .50964 m
.49823 .51043 L
.4992 .51154 L
.49954 .51204 L
.4992 .51283 L
.49856 .51204 L
.49759 .51084 L
.4973 .51043 L
F
1 .88 .024 r
.49759 .5321 m
.49836 .53291 L
.4992 .53376 L
.49987 .53451 L
.5008 .53555 L
.5013 .53612 L
.50241 .53715 L
.50268 .53772 L
.50401 .5393 L
.50405 .53933 L
.50537 .54093 L
.50562 .54123 L
.50669 .54254 L
.50722 .54317 L
.50802 .54414 L
.50883 .54498 L
.50933 .54575 L
.51043 .54711 L
.51067 .54735 L
.5119 .54896 L
.51204 .54913 L
.51318 .55057 L
.51364 .55077 L
.51447 .55217 L
.51525 .55308 L
.51597 .55378 L
.51686 .55519 L
.51701 .55538 L
.51826 .55699 L
.51846 .55723 L
.51952 .55859 L
.52007 .55909 L
.52139 .5602 L
.52167 .5613 L
.52211 .5618 L
.52328 .5634 L
.52328 .56341 L
.52452 .56501 L
.52488 .56509 L
.52576 .56662 L
.52649 .56744 L
.52722 .56822 L
.52809 .56963 L
.52824 .56983 L
.52946 .57143 L
.5297 .57174 L
.53069 .57304 L
.5313 .57359 L
.53243 .57464 L
.53291 .5759 L
.53319 .57625 L
.53435 .57785 L
.53451 .57807 L
.53555 .57946 L
.53612 .5802 L
.53677 .58106 L
.53772 .58223 L
.53811 .58267 L
.53916 .58428 L
.53933 .58449 L
.54034 .58588 L
.54093 .58667 L
.54153 .58749 L
.54254 .58868 L
.54292 .58909 L
.54387 .5907 L
.54414 .59107 L
.54501 .5923 L
.54575 .59332 L
.54616 .59391 L
.54728 .59551 L
.54735 .59561 L
.54831 .59712 L
.54896 .59808 L
.54933 .59872 L
.54896 .59944 L
.54831 .59872 L
.54735 .59777 L
.54681 .59712 L
.54575 .59596 L
.54538 .59551 L
.54414 .59426 L
.54399 .59391 L
.54265 .5923 L
.54254 .59218 L
.54135 .5907 L
.54093 .59022 L
.54004 .58909 L
.53933 .58825 L
.53873 .58749 L
.53772 .58644 L
.53742 .58588 L
.53612 .58428 L
.53612 .58427 L
.53487 .58267 L
.53451 .58224 L
.5336 .58106 L
.53291 .58021 L
.53233 .57946 L
.5313 .57828 L
.53084 .57785 L
.52979 .57625 L
.5297 .57614 L
.52855 .57464 L
.52809 .57408 L
.5273 .57304 L
.52649 .57228 L
.52604 .57143 L
.52488 .56999 L
.52473 .56983 L
.52355 .56822 L
.52328 .56788 L
.52233 .56662 L
.52167 .56579 L
.52109 .56501 L
.52007 .56383 L
.51964 .56341 L
.5186 .5618 L
.51846 .56163 L
.51739 .5602 L
.51686 .55952 L
.51617 .55859 L
.51525 .55769 L
.51493 .55699 L
.51369 .55538 L
.51364 .55533 L
.5125 .55378 L
.51204 .5532 L
.51129 .55217 L
.51043 .55107 L
.51006 .55057 L
.50883 .54897 L
.50882 .54896 L
.50766 .54735 L
.50722 .5468 L
.50647 .54575 L
.50562 .54464 L
.50526 .54414 L
.50405 .54254 L
.50401 .54249 L
.50291 .54093 L
.50241 .54027 L
.50176 .53933 L
.5008 .53806 L
.50058 .53772 L
.49944 .53612 L
.4992 .53579 L
.4984 .53451 L
.49759 .53337 L
.49733 .53291 L
F
0 .69 1 r
.49759 .53885 m
.49799 .53933 L
.4992 .54065 L
.49943 .54093 L
.4992 .54206 L
.49849 .54093 L
.49759 .53976 L
.49734 .53933 L
F
0 .73 1 r
.49759 .50374 m
.4985 .50401 L
.4992 .50445 L
.50046 .50562 L
.5008 .50595 L
.50194 .50722 L
.50241 .50775 L
.50329 .50883 L
.50401 .50934 L
.50459 .51043 L
.50562 .51161 L
.50604 .51204 L
.5071 .51364 L
.50722 .5138 L
.50829 .51525 L
.50883 .51597 L
.50946 .51686 L
.51043 .51819 L
.51084 .51846 L
.51167 .52007 L
.51204 .52065 L
.51258 .52167 L
.51204 .52281 L
.51063 .52167 L
.51043 .5215 L
.50902 .52007 L
.50883 .51987 L
.50757 .51846 L
.50722 .51807 L
.50619 .51686 L
.50562 .51635 L
.50487 .51525 L
.50401 .51424 L
.50347 .51364 L
.50241 .51213 L
.50234 .51204 L
.50113 .51043 L
.5008 .50998 L
.49996 .50883 L
.4992 .50772 L
.49863 .50722 L
.4979 .50562 L
.49759 .50493 L
.49737 .50401 L
F
0 .57 1 r
.49759 .44102 m
.49796 .44141 L
.4992 .44262 L
.49953 .44301 L
.5008 .4444 L
.50098 .44462 L
.50237 .44622 L
.50241 .44627 L
.50369 .44783 L
.50401 .4482 L
.50501 .44943 L
.50562 .45014 L
.50633 .45104 L
.50722 .45211 L
.50765 .45265 L
.50883 .45402 L
.50912 .45425 L
.51023 .45586 L
.51043 .4561 L
.5115 .45746 L
.51204 .45812 L
.51277 .45907 L
.51364 .45982 L
.51405 .46067 L
.51525 .46215 L
.51538 .46228 L
.51656 .46388 L
.51686 .46424 L
.51781 .46549 L
.51846 .4663 L
.51906 .46709 L
.52007 .46822 L
.5206 .4687 L
.52156 .4703 L
.52167 .47044 L
.52278 .47191 L
.52328 .47253 L
.52401 .47351 L
.52488 .47424 L
.52525 .47512 L
.52649 .4767 L
.52651 .47672 L
.52769 .47833 L
.52809 .47883 L
.5289 .47993 L
.5297 .48095 L
.53013 .48154 L
.5313 .48302 L
.53143 .48314 L
.53253 .48475 L
.53291 .48523 L
.53372 .48636 L
.53451 .48739 L
.53492 .48796 L
.53612 .48954 L
.53614 .48957 L
.53726 .49117 L
.53772 .49177 L
.5384 .49278 L
.53933 .49401 L
.53957 .49438 L
.54068 .49599 L
.54093 .49633 L
.54167 .49759 L
.54254 .49893 L
.54264 .4992 L
.54254 .49943 L
.54229 .4992 L
.54093 .49792 L
.54065 .49759 L
.53933 .49615 L
.53919 .49599 L
.5378 .49438 L
.53772 .4943 L
.53646 .49278 L
.53612 .4924 L
.53512 .49117 L
.53451 .49047 L
.53378 .48957 L
.53291 .48852 L
.53246 .48796 L
.5313 .48659 L
.531 .48636 L
.52987 .48475 L
.5297 .48454 L
.52859 .48314 L
.52809 .48253 L
.52731 .48154 L
.52649 .48078 L
.52603 .47993 L
.52488 .47851 L
.5247 .47833 L
.52351 .47672 L
.52328 .47644 L
.52226 .47512 L
.52167 .47438 L
.521 .47351 L
.52007 .47245 L
.51949 .47191 L
.5185 .4703 L
.51846 .47026 L
.51727 .4687 L
.51686 .46817 L
.51604 .46709 L
.51525 .46641 L
.5148 .46549 L
.51364 .46402 L
.51352 .46388 L
.51236 .46228 L
.51204 .46187 L
.51114 .46067 L
.51043 .45975 L
.50992 .45907 L
.50883 .45771 L
.50859 .45746 L
.50752 .45586 L
.50722 .45548 L
.50633 .45425 L
.50562 .45332 L
.50513 .45265 L
.50401 .45125 L
.50393 .45104 L
.50279 .44943 L
.50241 .44892 L
.50165 .44783 L
.5008 .44668 L
.50049 .44622 L
.49938 .44462 L
.4992 .44437 L
.49837 .44301 L
.49759 .44185 L
.49737 .44141 L
F
.114 .93 1 r
.49759 .42767 m
.49863 .42857 L
.4992 .42906 L
.50028 .43017 L
.5008 .4307 L
.50179 .43178 L
.50241 .43198 L
.50325 .43338 L
.50401 .43417 L
.50467 .43499 L
.50562 .43611 L
.50614 .43659 L
.50722 .43802 L
.50738 .4382 L
.50874 .4398 L
.50883 .43987 L
.51008 .44141 L
.51043 .44184 L
.51163 .44301 L
.51204 .44385 L
.51269 .44462 L
.51364 .44588 L
.51387 .44622 L
.51525 .44781 L
.51529 .44783 L
.51657 .44943 L
.51686 .4498 L
.51791 .45104 L
.51846 .45188 L
.51902 .45265 L
.52007 .45396 L
.52016 .45425 L
.52165 .45586 L
.52167 .45588 L
.52304 .45746 L
.52328 .45795 L
.52414 .45907 L
.52488 .46007 L
.52524 .46067 L
.52649 .46215 L
.52669 .46228 L
.52808 .46388 L
.52809 .46409 L
.52922 .46549 L
.5297 .46621 L
.53032 .46709 L
.5313 .46833 L
.5314 .4687 L
.53291 .4703 L
.53291 .4703 L
.53427 .47191 L
.53451 .47238 L
.53537 .47351 L
.53612 .47452 L
.53646 .47512 L
.53772 .4766 L
.53788 .47672 L
.53929 .47833 L
.53933 .4786 L
.54041 .47993 L
.54093 .48072 L
.5415 .48154 L
.54254 .48284 L
.5426 .48314 L
.54406 .48475 L
.54414 .48484 L
.54544 .48636 L
.54575 .48694 L
.54652 .48796 L
.54735 .48907 L
.54762 .48957 L
.54896 .49113 L
.549 .49117 L
.55049 .49278 L
.55057 .49317 L
.55154 .49438 L
.55217 .4953 L
.55263 .49599 L
.55378 .49741 L
.5538 .49759 L
.55516 .4992 L
.55538 .49942 L
.55658 .5008 L
.55699 .50154 L
.55764 .50241 L
.55859 .50367 L
.55877 .50401 L
.56009 .50562 L
.5602 .50569 L
.56165 .50722 L
.5618 .50778 L
.56265 .50883 L
.56341 .50993 L
.56374 .51043 L
.56501 .51204 L
.56501 .51204 L
.56623 .51364 L
.56662 .51401 L
.56767 .51525 L
.56822 .51619 L
.56872 .51686 L
.56983 .51834 L
.56989 .51846 L
.57113 .52007 L
.57143 .52023 L
.57276 .52167 L
.57304 .52244 L
.5737 .52328 L
.57464 .52463 L
.57481 .52488 L
.57603 .52649 L
.57625 .52677 L
.57724 .52809 L
.57785 .52867 L
.57869 .5297 L
.57946 .53093 L
.57973 .5313 L
.58091 .53291 L
.58106 .53311 L
.58211 .53451 L
.58267 .53487 L
.58373 .53612 L
.58428 .53725 L
.58463 .53772 L
.58576 .53933 L
.58588 .53949 L
.58694 .54093 L
.58749 .54164 L
.58814 .54254 L
.58909 .54362 L
.58949 .54414 L
.59055 .54575 L
.5907 .54595 L
.5917 .54735 L
.5923 .54814 L
.59288 .54896 L
.59391 .55034 L
.59422 .55057 L
.59521 .55217 L
.59551 .55258 L
.59632 .55378 L
.59712 .55489 L
.59744 .55538 L
.59853 .55699 L
.59872 .55727 L
.59947 .55859 L
.60033 .56012 L
.60035 .5602 L
.60033 .56058 L
.59965 .5602 L
.59872 .55947 L
.59784 .55859 L
.59712 .55789 L
.59627 .55699 L
.59551 .55654 L
.59479 .55538 L
.59391 .55444 L
.59275 .55378 L
.5923 .55253 L
.59191 .55217 L
.5907 .55065 L
.59062 .55057 L
.58925 .54896 L
.58909 .54881 L
.58791 .54735 L
.58749 .54683 L
.58641 .54575 L
.58588 .54483 L
.58531 .54414 L
.58428 .54282 L
.58411 .54254 L
.58268 .54093 L
.58267 .54092 L
.58115 .53933 L
.58106 .5389 L
.58009 .53772 L
.57946 .53682 L
.57897 .53612 L
.57785 .53475 L
.57783 .53451 L
.5763 .53291 L
.57625 .53285 L
.57495 .5313 L
.57464 .53077 L
.57383 .5297 L
.57304 .52865 L
.57275 .52809 L
.57143 .52658 L
.57125 .52649 L
.5699 .52488 L
.56983 .52464 L
.56875 .52328 L
.56822 .52252 L
.56766 .52167 L
.56662 .52039 L
.56625 .52007 L
.56502 .51846 L
.56501 .51845 L
.5637 .51686 L
.56341 .51636 L
.56259 .51525 L
.5618 .51422 L
.56152 .51364 L
.5602 .51214 L
.56004 .51204 L
.55868 .51043 L
.55859 .51015 L
.55755 .50883 L
.55699 .50802 L
.55647 .50722 L
.55538 .5059 L
.55509 .50562 L
.55386 .50401 L
.55378 .50391 L
.55253 .50241 L
.55217 .50181 L
.55144 .5008 L
.55057 .49968 L
.55035 .4992 L
.54896 .49762 L
.54892 .49759 L
.54751 .49599 L
.54735 .49558 L
.54642 .49438 L
.54575 .49345 L
.54533 .49278 L
.54414 .49134 L
.54398 .49117 L
.54276 .48957 L
.54254 .48933 L
.5414 .48796 L
.54093 .48721 L
.54032 .48636 L
.53933 .48508 L
.53919 .48475 L
.53783 .48314 L
.53772 .48306 L
.53636 .48154 L
.53612 .48097 L
.53532 .47993 L
.53451 .47882 L
.53421 .47833 L
.53291 .47672 L
.53291 .47672 L
.53169 .47512 L
.5313 .47472 L
.5303 .47351 L
.5297 .47256 L
.52923 .47191 L
.52809 .47042 L
.52805 .4703 L
.52678 .4687 L
.52649 .46849 L
.52525 .46709 L
.52488 .46631 L
.52426 .46549 L
.52328 .46413 L
.52313 .46388 L
.52189 .46228 L
.52167 .462 L
.52067 .46067 L
.52007 .46006 L
.51927 .45907 L
.51846 .45782 L
.51821 .45746 L
.51701 .45586 L
.51686 .45566 L
.5158 .45425 L
.51525 .45383 L
.51426 .45265 L
.51364 .4515 L
.5133 .45104 L
.51216 .44943 L
.51204 .44928 L
.51097 .44783 L
.51043 .44713 L
.50977 .44622 L
.50883 .44513 L
.50844 .44462 L
.50736 .44301 L
.50722 .44283 L
.5062 .44141 L
.50562 .44064 L
.50502 .4398 L
.50401 .43862 L
.5037 .4382 L
.50269 .43659 L
.50241 .43621 L
.50157 .43499 L
.5008 .43392 L
.50044 .43338 L
.49933 .43178 L
.4992 .43158 L
.49835 .43017 L
.49759 .42896 L
.4974 .42857 L
F
1 .49 0 r
.49759 .44773 m
.49766 .44783 L
.49759 .44813 L
.49745 .44783 L
F
1 .68 0 r
.49759 .50993 m
.49801 .51043 L
.4992 .51176 L
.49938 .51204 L
.4992 .51258 L
.49876 .51204 L
.49759 .51059 L
.49748 .51043 L
F
1 .76 .001 r
.49759 .4346 m
.49809 .43499 L
.4992 .43593 L
.49982 .43659 L
.5008 .4376 L
.50133 .4382 L
.50241 .43911 L
.50277 .4398 L
.50401 .44119 L
.50433 .44141 L
.50553 .44301 L
.50562 .44312 L
.50687 .44462 L
.50722 .44503 L
.5082 .44622 L
.50883 .4468 L
.50953 .44783 L
.51043 .4489 L
.51099 .44943 L
.51204 .45092 L
.51214 .45104 L
.51342 .45265 L
.51364 .45272 L
.51471 .45425 L
.51525 .45483 L
.51637 .45586 L
.51686 .45692 L
.51733 .45746 L
.51846 .45897 L
.51853 .45907 L
.5198 .46067 L
.52007 .46088 L
.52107 .46228 L
.52167 .46299 L
.52249 .46388 L
.52328 .46509 L
.52358 .46549 L
.52484 .46709 L
.52488 .46709 L
.52608 .4687 L
.52649 .4691 L
.52767 .4703 L
.52809 .47124 L
.52865 .47191 L
.5297 .47334 L
.52981 .47351 L
.53107 .47512 L
.5313 .47527 L
.53231 .47672 L
.53291 .47741 L
.53372 .47833 L
.53451 .47955 L
.5348 .47993 L
.53603 .48154 L
.53612 .48165 L
.53726 .48314 L
.53772 .48359 L
.53883 .48475 L
.53933 .48577 L
.5398 .48636 L
.54093 .48791 L
.54097 .48796 L
.54219 .48957 L
.54254 .48976 L
.54341 .49117 L
.54414 .492 L
.54481 .49278 L
.54575 .49419 L
.54589 .49438 L
.54709 .49599 L
.54735 .49632 L
.54831 .49759 L
.54896 .49822 L
.54985 .4992 L
.55057 .50049 L
.55081 .5008 L
.55198 .50241 L
.55217 .50266 L
.55318 .50401 L
.55378 .50438 L
.55439 .50562 L
.55538 .50681 L
.55572 .50722 L
.55682 .50883 L
.55699 .50904 L
.558 .51043 L
.55859 .5112 L
.5592 .51204 L
.5602 .51319 L
.56058 .51364 L
.5616 .51525 L
.5618 .51551 L
.56276 .51686 L
.56341 .51771 L
.56394 .51846 L
.56501 .5199 L
.56513 .52007 L
.56625 .52167 L
.56662 .52216 L
.56736 .52328 L
.56822 .52446 L
.5685 .52488 L
.56957 .52649 L
.56983 .52687 L
.57049 .52809 L
.56983 .52859 L
.56934 .52809 L
.56822 .52696 L
.56779 .52649 L
.56662 .52539 L
.56633 .52488 L
.56501 .52339 L
.56485 .52328 L
.56355 .52167 L
.56341 .52151 L
.5622 .52007 L
.5618 .51961 L
.56085 .51846 L
.5602 .51781 L
.55951 .51686 L
.55859 .51575 L
.5581 .51525 L
.55699 .51375 L
.5569 .51364 L
.55559 .51204 L
.55538 .51192 L
.5543 .51043 L
.55378 .50984 L
.55274 .50883 L
.55217 .50777 L
.55172 .50722 L
.55057 .50574 L
.55049 .50562 L
.54919 .50401 L
.54896 .5038 L
.54792 .50241 L
.54735 .50172 L
.54656 .5008 L
.54575 .49963 L
.54544 .4992 L
.54414 .4976 L
.54414 .49759 L
.54288 .49599 L
.54254 .49561 L
.5414 .49438 L
.54093 .4935 L
.54037 .49278 L
.53933 .4914 L
.5392 .49117 L
.53789 .48957 L
.53772 .48943 L
.53621 .48796 L
.53612 .48733 L
.5353 .48636 L
.53451 .4852 L
.5342 .48475 L
.53292 .48314 L
.53291 .48314 L
.53169 .48154 L
.5313 .48113 L
.53022 .47993 L
.5297 .47898 L
.5292 .47833 L
.52809 .47686 L
.52802 .47672 L
.52676 .47512 L
.52649 .47493 L
.52507 .47351 L
.52488 .47275 L
.52419 .47191 L
.52328 .47058 L
.52309 .4703 L
.52185 .4687 L
.52167 .46847 L
.52063 .46709 L
.52007 .46651 L
.51917 .46549 L
.51846 .46429 L
.51816 .46388 L
.51697 .46228 L
.51686 .46213 L
.51577 .46067 L
.51525 .46031 L
.51408 .45907 L
.51364 .45796 L
.51325 .45746 L
.51213 .45586 L
.51204 .45574 L
.51094 .45425 L
.51043 .45358 L
.50975 .45265 L
.50883 .45158 L
.50838 .45104 L
.50735 .44943 L
.50722 .44926 L
.50619 .44783 L
.50562 .44706 L
.50502 .44622 L
.50401 .44505 L
.50366 .44462 L
.5027 .44301 L
.50241 .44261 L
.50159 .44141 L
.5008 .44032 L
.50046 .4398 L
.49937 .4382 L
.4992 .43795 L
.49841 .43659 L
.49759 .43522 L
.4975 .43499 L
F
0 .72 1 r
.49759 .50394 m
.49828 .50401 L
.4992 .50453 L
.5004 .50562 L
.5008 .50601 L
.50189 .50722 L
.50241 .50779 L
.50325 .50883 L
.50401 .50939 L
.50456 .51043 L
.50562 .51166 L
.50599 .51204 L
.50707 .51364 L
.50722 .51384 L
.50825 .51525 L
.50883 .51601 L
.50943 .51686 L
.51043 .51825 L
.51075 .51846 L
.51161 .52007 L
.51204 .52076 L
.5125 .52167 L
.51204 .52268 L
.51074 .52167 L
.51043 .52142 L
.50909 .52007 L
.50883 .5198 L
.50762 .51846 L
.50722 .51802 L
.50624 .51686 L
.50562 .5163 L
.50491 .51525 L
.50401 .51419 L
.50351 .51364 L
.50241 .51208 L
.50238 .51204 L
.50117 .51043 L
.5008 .50993 L
.50001 .50883 L
.4992 .50765 L
.4987 .50722 L
.49797 .50562 L
.49759 .50465 L
.49753 .50401 L
F
0 .56 1 r
.49759 .44134 m
.49768 .44141 L
.4992 .44273 L
.49944 .44301 L
.5008 .44449 L
.50091 .44462 L
.50229 .44622 L
.50241 .44635 L
.50363 .44783 L
.50401 .44826 L
.50496 .44943 L
.50562 .4502 L
.50629 .45104 L
.50722 .45216 L
.50761 .45265 L
.50883 .45409 L
.50904 .45425 L
.51019 .45586 L
.51043 .45614 L
.51146 .45746 L
.51204 .45816 L
.51274 .45907 L
.51364 .45988 L
.51402 .46067 L
.51525 .4622 L
.51533 .46228 L
.51653 .46388 L
.51686 .46428 L
.51778 .46549 L
.51846 .46634 L
.51903 .46709 L
.52007 .46826 L
.52054 .4687 L
.52153 .4703 L
.52167 .47047 L
.52275 .47191 L
.52328 .47257 L
.52398 .47351 L
.52488 .4743 L
.52523 .47512 L
.52647 .47672 L
.52649 .47674 L
.52766 .47833 L
.52809 .47887 L
.52887 .47993 L
.5297 .48099 L
.5301 .48154 L
.5313 .48308 L
.53136 .48314 L
.5325 .48475 L
.53291 .48527 L
.53368 .48636 L
.53451 .48744 L
.53489 .48796 L
.53609 .48957 L
.53612 .4896 L
.53721 .49117 L
.53772 .49184 L
.53835 .49278 L
.53933 .49409 L
.53952 .49438 L
.54059 .49599 L
.54093 .49647 L
.54154 .49759 L
.54093 .49779 L
.54076 .49759 L
.53933 .49606 L
.53927 .49599 L
.53788 .49438 L
.53772 .49422 L
.53652 .49278 L
.53612 .49233 L
.53517 .49117 L
.53451 .49041 L
.53383 .48957 L
.53291 .48846 L
.5325 .48796 L
.5313 .48653 L
.53108 .48636 L
.52991 .48475 L
.5297 .48449 L
.52863 .48314 L
.52809 .48249 L
.52734 .48154 L
.52649 .48073 L
.52606 .47993 L
.52488 .47846 L
.52475 .47833 L
.52354 .47672 L
.52328 .4764 L
.52229 .47512 L
.52167 .47434 L
.52103 .47351 L
.52007 .4724 L
.51954 .47191 L
.51853 .4703 L
.51846 .47021 L
.51731 .4687 L
.51686 .46813 L
.51607 .46709 L
.51525 .46636 L
.51483 .46549 L
.51364 .46397 L
.51357 .46388 L
.51239 .46228 L
.51204 .46183 L
.51118 .46067 L
.51043 .45971 L
.50995 .45907 L
.50883 .45764 L
.50865 .45746 L
.50756 .45586 L
.50722 .45543 L
.50637 .45425 L
.50562 .45326 L
.50517 .45265 L
.50401 .45114 L
.50397 .45104 L
.50285 .44943 L
.50241 .44885 L
.50171 .44783 L
.5008 .4466 L
.50055 .44622 L
.49947 .44462 L
.4992 .44425 L
.49849 .44301 L
.49759 .4415 L
.49757 .44141 L
F
1 .94 .156 r
.4992 .47742 m
.49986 .47833 L
.5008 .47919 L
.50149 .47993 L
.50241 .48094 L
.50318 .48154 L
.50401 .48279 L
.50436 .48314 L
.50562 .48467 L
.50568 .48475 L
.50702 .48636 L
.50722 .48656 L
.50864 .48796 L
.50883 .48861 L
.50958 .48957 L
.51043 .49074 L
.51069 .49117 L
.51194 .49278 L
.51204 .49291 L
.51307 .49438 L
.51364 .49533 L
.51416 .49599 L
.51448 .49759 L
.51364 .49797 L
.51273 .49759 L
.51204 .49712 L
.51087 .49599 L
.51043 .49553 L
.50947 .49438 L
.50883 .49401 L
.50815 .49278 L
.50722 .49181 L
.50652 .49117 L
.50562 .4896 L
.50558 .48957 L
.5044 .48796 L
.50401 .48747 L
.5032 .48636 L
.50241 .48532 L
.502 .48475 L
.5008 .48315 L
.5008 .48314 L
.49971 .48154 L
.4992 .48081 L
.49865 .47993 L
.49767 .47833 L
F
0 .74 1 r
.4992 .48472 m
.49922 .48475 L
.50064 .48636 L
.5008 .48654 L
.50195 .48796 L
.50241 .48853 L
.50319 .48957 L
.50401 .49071 L
.50433 .49117 L
.50401 .49269 L
.50259 .49117 L
.50241 .49097 L
.50128 .48957 L
.5008 .489 L
.50004 .48796 L
.4992 .48687 L
.49885 .48636 L
.49774 .48475 L
F
0 .71 1 r
.4992 .50461 m
.50033 .50562 L
.5008 .50606 L
.50184 .50722 L
.50241 .50784 L
.50322 .50883 L
.50401 .50943 L
.50453 .51043 L
.50562 .5117 L
.50594 .51204 L
.50704 .51364 L
.50722 .51388 L
.50822 .51525 L
.50883 .51606 L
.50939 .51686 L
.51043 .51831 L
.51067 .51846 L
.51155 .52007 L
.51204 .52088 L
.51241 .52167 L
.51204 .52254 L
.51085 .52167 L
.51043 .52133 L
.50916 .52007 L
.50883 .51974 L
.50768 .51846 L
.50722 .51796 L
.50629 .51686 L
.50562 .51625 L
.50495 .51525 L
.50401 .51414 L
.50355 .51364 L
.50242 .51204 L
.50241 .51203 L
.50121 .51043 L
.5008 .50987 L
.50005 .50883 L
.4992 .50758 L
.49878 .50722 L
.49805 .50562 L
F
0 .7 1 r
.4992 .50469 m
.50026 .50562 L
.5008 .50612 L
.5018 .50722 L
.50241 .50789 L
.50318 .50883 L
.50401 .50948 L
.5045 .51043 L
.50562 .51175 L
.50589 .51204 L
.507 .51364 L
.50722 .51393 L
.50818 .51525 L
.50883 .51611 L
.50936 .51686 L
.51043 .51836 L
.51058 .51846 L
.51149 .52007 L
.51204 .52102 L
.51232 .52167 L
.51204 .52237 L
.51098 .52167 L
.51043 .52125 L
.50923 .52007 L
.50883 .51967 L
.50773 .51846 L
.50722 .5179 L
.50633 .51686 L
.50562 .51621 L
.50499 .51525 L
.50401 .51409 L
.5036 .51364 L
.50246 .51204 L
.50241 .51198 L
.50126 .51043 L
.5008 .50982 L
.50009 .50883 L
.4992 .50751 L
.49886 .50722 L
.49812 .50562 L
F
0 .69 1 r
.4992 .50478 m
.50019 .50562 L
.5008 .50618 L
.50175 .50722 L
.50241 .50794 L
.50314 .50883 L
.50401 .50953 L
.50447 .51043 L
.50562 .51181 L
.50584 .51204 L
.50697 .51364 L
.50722 .51397 L
.50815 .51525 L
.50883 .51616 L
.50932 .51686 L
.51043 .51842 L
.51049 .51846 L
.51142 .52007 L
.51204 .5212 L
.51221 .52167 L
.51204 .52217 L
.51113 .52167 L
.51043 .52116 L
.50931 .52007 L
.50883 .5196 L
.50779 .51846 L
.50722 .51784 L
.50638 .51686 L
.50562 .51615 L
.50503 .51525 L
.50401 .51403 L
.50365 .51364 L
.5025 .51204 L
.50241 .51192 L
.5013 .51043 L
.5008 .50976 L
.50014 .50883 L
.4992 .50743 L
.49895 .50722 L
.4982 .50562 L
F
1 .93 .114 r
.4992 .47825 m
.49926 .47833 L
.5008 .47957 L
.50114 .47993 L
.50241 .48124 L
.50284 .48154 L
.50401 .48303 L
.50413 .48314 L
.50551 .48475 L
.50562 .48488 L
.50684 .48636 L
.50722 .48674 L
.50855 .48796 L
.50883 .48882 L
.50942 .48957 L
.51043 .49096 L
.51056 .49117 L
.51176 .49278 L
.51204 .49318 L
.51286 .49438 L
.51364 .49578 L
.5138 .49599 L
.51364 .49754 L
.51204 .49686 L
.51108 .49599 L
.51043 .49534 L
.5096 .49438 L
.50883 .49387 L
.50826 .49278 L
.50722 .49165 L
.50669 .49117 L
.5057 .48957 L
.50562 .48947 L
.5045 .48796 L
.50401 .48733 L
.50331 .48636 L
.50241 .48517 L
.50211 .48475 L
.50095 .48314 L
.5008 .48294 L
.49989 .48154 L
.4992 .48049 L
.49888 .47993 L
.49821 .47833 L
F
1 .97 .395 r
.4992 .50031 m
.5008 .5002 L
.50241 .50051 L
.50279 .5008 L
.50401 .50199 L
.50419 .50241 L
.50562 .50401 L
.50562 .50401 L
.50709 .50562 L
.50722 .50616 L
.50818 .50722 L
.50883 .5083 L
.50927 .50883 L
.51043 .51034 L
.5106 .51043 L
.51183 .51204 L
.51204 .51226 L
.51321 .51364 L
.51364 .51437 L
.51429 .51525 L
.51525 .5165 L
.51541 .51686 L
.51675 .51846 L
.51686 .51859 L
.51826 .52007 L
.51846 .52041 L
.51928 .52167 L
.52007 .52265 L
.52037 .52328 L
.52164 .52488 L
.52167 .52493 L
.52281 .52649 L
.52328 .52716 L
.52414 .52809 L
.52419 .5297 L
.52328 .52985 L
.52171 .5297 L
.52167 .52968 L
.52007 .52894 L
.5193 .52809 L
.51846 .52723 L
.5181 .52649 L
.51686 .52524 L
.51658 .52488 L
.51527 .52328 L
.51525 .52316 L
.51406 .52167 L
.51364 .52097 L
.51296 .52007 L
.51204 .51876 L
.51196 .51846 L
.51043 .51696 L
.51035 .51686 L
.50905 .51525 L
.50883 .51487 L
.50793 .51364 L
.50722 .51273 L
.50688 .51204 L
.50562 .51063 L
.50542 .51043 L
.50407 .50883 L
.50401 .50874 L
.50293 .50722 L
.50241 .50671 L
.50186 .50562 L
.5008 .50452 L
.50079 .50401 L
.49938 .50241 L
.4992 .50211 L
.49826 .5008 L
F
0 .68 1 r
.4992 .50487 m
.50011 .50562 L
.5008 .50624 L
.5017 .50722 L
.50241 .50799 L
.5031 .50883 L
.50401 .50958 L
.50443 .51043 L
.50562 .51186 L
.50579 .51204 L
.50693 .51364 L
.50722 .51402 L
.50811 .51525 L
.50883 .51621 L
.50928 .51686 L
.51041 .51846 L
.51043 .51849 L
.51135 .52007 L
.51204 .52148 L
.51208 .52167 L
.51204 .52188 L
.51133 .52167 L
.51043 .52106 L
.50938 .52007 L
.50883 .51953 L
.50784 .51846 L
.50722 .51779 L
.50643 .51686 L
.50562 .5161 L
.50508 .51525 L
.50401 .51398 L
.5037 .51364 L
.50254 .51204 L
.50241 .51187 L
.50134 .51043 L
.5008 .5097 L
.50018 .50883 L
.4992 .50735 L
.49904 .50722 L
.49829 .50562 L
F
0 .67 1 r
.4992 .50497 m
.50002 .50562 L
.5008 .50631 L
.50165 .50722 L
.50241 .50803 L
.50307 .50883 L
.50401 .50964 L
.5044 .51043 L
.50562 .51191 L
.50574 .51204 L
.5069 .51364 L
.50722 .51406 L
.50808 .51525 L
.50883 .51626 L
.50924 .51686 L
.51036 .51846 L
.51043 .51857 L
.51128 .52007 L
.51043 .52097 L
.50947 .52007 L
.50883 .51946 L
.5079 .51846 L
.50722 .51773 L
.50647 .51686 L
.50562 .51604 L
.50512 .51525 L
.50401 .51392 L
.50375 .51364 L
.50258 .51204 L
.50241 .51182 L
.50138 .51043 L
.5008 .50964 L
.50023 .50883 L
.4992 .50727 L
.49914 .50722 L
.49838 .50562 L
F
0 .66 1 r
.4992 .50506 m
.49993 .50562 L
.5008 .50637 L
.5016 .50722 L
.50241 .50808 L
.50303 .50883 L
.50401 .5097 L
.50437 .51043 L
.50562 .51197 L
.50569 .51204 L
.50686 .51364 L
.50722 .51411 L
.50804 .51525 L
.50883 .51631 L
.5092 .51686 L
.5103 .51846 L
.51043 .51866 L
.5112 .52007 L
.51043 .52087 L
.50955 .52007 L
.50883 .51939 L
.50796 .51846 L
.50722 .51767 L
.50652 .51686 L
.50562 .51598 L
.50516 .51525 L
.50401 .51386 L
.50381 .51364 L
.50262 .51204 L
.50241 .51176 L
.50142 .51043 L
.5008 .50958 L
.50027 .50883 L
.49923 .50722 L
.4992 .50717 L
.49847 .50562 L
F
1 .96 .289 r
.4992 .50046 m
.5008 .50032 L
.50241 .50072 L
.50254 .5008 L
.50401 .50211 L
.50415 .50241 L
.50557 .50401 L
.50562 .50409 L
.50708 .50562 L
.50722 .50621 L
.50815 .50722 L
.50883 .50833 L
.50925 .50883 L
.51043 .51036 L
.51058 .51043 L
.51181 .51204 L
.51204 .51229 L
.5132 .51364 L
.51364 .51439 L
.51427 .51525 L
.51525 .51652 L
.5154 .51686 L
.51673 .51846 L
.51686 .51862 L
.51824 .52007 L
.51846 .52044 L
.51925 .52167 L
.52007 .52271 L
.52034 .52328 L
.52159 .52488 L
.52167 .525 L
.52275 .52649 L
.52328 .52729 L
.52401 .52809 L
.52328 .52964 L
.52167 .52931 L
.52007 .52871 L
.51946 .52809 L
.51846 .52709 L
.51817 .52649 L
.51686 .52515 L
.51664 .52488 L
.51529 .52328 L
.51525 .52308 L
.51409 .52167 L
.51364 .52092 L
.51299 .52007 L
.51204 .51873 L
.51197 .51846 L
.51043 .51693 L
.51038 .51686 L
.50906 .51525 L
.50883 .51483 L
.50795 .51364 L
.50722 .5127 L
.50689 .51204 L
.50562 .51061 L
.50544 .51043 L
.50408 .50883 L
.50401 .50872 L
.50296 .50722 L
.50241 .50666 L
.50189 .50562 L
.5008 .50444 L
.50079 .50401 L
.49946 .50241 L
.4992 .50193 L
.49852 .5008 L
F
0 .65 1 r
.4992 .50517 m
.49982 .50562 L
.5008 .50643 L
.50155 .50722 L
.50241 .50814 L
.50299 .50883 L
.50401 .50976 L
.50433 .51043 L
.50562 .51203 L
.50563 .51204 L
.50682 .51364 L
.50722 .51416 L
.508 .51525 L
.50883 .51637 L
.50916 .51686 L
.51024 .51846 L
.51043 .51875 L
.51111 .52007 L
.51043 .52076 L
.50965 .52007 L
.50883 .51932 L
.50802 .51846 L
.50722 .51761 L
.50657 .51686 L
.50562 .51592 L
.50521 .51525 L
.50401 .5138 L
.50386 .51364 L
.50266 .51204 L
.50241 .51171 L
.50147 .51043 L
.5008 .50951 L
.50032 .50883 L
.49929 .50722 L
.4992 .50706 L
.49858 .50562 L
F
1 .75 0 r
.4992 .43612 m
.49965 .43659 L
.5008 .43774 L
.50122 .4382 L
.50241 .43927 L
.50268 .4398 L
.50401 .4413 L
.50417 .44141 L
.50546 .44301 L
.50562 .44319 L
.5068 .44462 L
.50722 .4451 L
.50815 .44622 L
.50883 .44686 L
.50948 .44783 L
.51043 .44896 L
.51093 .44943 L
.51204 .45097 L
.5121 .45104 L
.51338 .45265 L
.51364 .45273 L
.51467 .45425 L
.51525 .45487 L
.51634 .45586 L
.51686 .45696 L
.5173 .45746 L
.51846 .45901 L
.5185 .45907 L
.51977 .46067 L
.52007 .4609 L
.52104 .46228 L
.52167 .46302 L
.52247 .46388 L
.52328 .46512 L
.52356 .46549 L
.52482 .46709 L
.52488 .46709 L
.52606 .4687 L
.52649 .46913 L
.52766 .4703 L
.52809 .47127 L
.52863 .47191 L
.5297 .47337 L
.52979 .47351 L
.53105 .47512 L
.5313 .47528 L
.53229 .47672 L
.53291 .47743 L
.5337 .47833 L
.53451 .47958 L
.53478 .47993 L
.53601 .48154 L
.53612 .48167 L
.53724 .48314 L
.53772 .48361 L
.53881 .48475 L
.53933 .4858 L
.53978 .48636 L
.54093 .48794 L
.54095 .48796 L
.54217 .48957 L
.54254 .48977 L
.54339 .49117 L
.54414 .49203 L
.54479 .49278 L
.54575 .49422 L
.54587 .49438 L
.54707 .49599 L
.54735 .49635 L
.54829 .49759 L
.54896 .49824 L
.54983 .4992 L
.55057 .50052 L
.55079 .5008 L
.55195 .50241 L
.55217 .50269 L
.55315 .50401 L
.55378 .50441 L
.55437 .50562 L
.55538 .50685 L
.55568 .50722 L
.55679 .50883 L
.55699 .50908 L
.55797 .51043 L
.55859 .51124 L
.55917 .51204 L
.5602 .51325 L
.56053 .51364 L
.56156 .51525 L
.5618 .51557 L
.56272 .51686 L
.56341 .51777 L
.56389 .51846 L
.56501 .51997 L
.56508 .52007 L
.56619 .52167 L
.56662 .52225 L
.5673 .52328 L
.56822 .52457 L
.56842 .52488 L
.56944 .52649 L
.56983 .52708 L
.57028 .52809 L
.56983 .52836 L
.56954 .52809 L
.56822 .52681 L
.56792 .52649 L
.56662 .52521 L
.56643 .52488 L
.56501 .52328 L
.56501 .52328 L
.56363 .52167 L
.56341 .52142 L
.56226 .52007 L
.5618 .51953 L
.56091 .51846 L
.5602 .51774 L
.55956 .51686 L
.55859 .51568 L
.55815 .51525 L
.55699 .5137 L
.55694 .51364 L
.55564 .51204 L
.55538 .51189 L
.55434 .51043 L
.55378 .50979 L
.55278 .50883 L
.55217 .50772 L
.55175 .50722 L
.55057 .5057 L
.55051 .50562 L
.54922 .50401 L
.54896 .50377 L
.54795 .50241 L
.54735 .50168 L
.54658 .5008 L
.54575 .4996 L
.54546 .4992 L
.54416 .49759 L
.54414 .49759 L
.54291 .49599 L
.54254 .49558 L
.54142 .49438 L
.54093 .49347 L
.54039 .49278 L
.53933 .49137 L
.53921 .49117 L
.53791 .48957 L
.53772 .48941 L
.53621 .48796 L
.53612 .4873 L
.53533 .48636 L
.53451 .48517 L
.53422 .48475 L
.53294 .48314 L
.53291 .48314 L
.53171 .48154 L
.5313 .48111 L
.53024 .47993 L
.5297 .47896 L
.52922 .47833 L
.52809 .47683 L
.52803 .47672 L
.52678 .47512 L
.52649 .47491 L
.52508 .47351 L
.52488 .47272 L
.52422 .47191 L
.52328 .47055 L
.52311 .4703 L
.52187 .4687 L
.52167 .46844 L
.52066 .46709 L
.52007 .46648 L
.5192 .46549 L
.51846 .46425 L
.51818 .46388 L
.517 .46228 L
.51686 .46209 L
.51579 .46067 L
.51525 .46028 L
.51411 .45907 L
.51364 .45792 L
.51328 .45746 L
.51216 .45586 L
.51204 .4557 L
.51098 .45425 L
.51043 .45354 L
.50978 .45265 L
.50883 .45152 L
.50843 .45104 L
.5074 .44943 L
.50722 .44921 L
.50624 .44783 L
.50562 .447 L
.50506 .44622 L
.50401 .44494 L
.50375 .44462 L
.50277 .44301 L
.50241 .44253 L
.50166 .44141 L
.5008 .44021 L
.50054 .4398 L
.49949 .4382 L
.4992 .43776 L
.49858 .43659 L
F
0 .55 1 r
.4992 .44287 m
.49933 .44301 L
.5008 .44458 L
.50084 .44462 L
.50222 .44622 L
.50241 .44643 L
.50356 .44783 L
.50401 .44833 L
.5049 .44943 L
.50562 .45026 L
.50624 .45104 L
.50722 .45221 L
.50757 .45265 L
.50883 .45415 L
.50895 .45425 L
.51015 .45586 L
.51043 .45619 L
.51142 .45746 L
.51204 .45821 L
.5127 .45907 L
.51364 .45993 L
.51399 .46067 L
.51525 .46225 L
.51528 .46228 L
.5165 .46388 L
.51686 .46432 L
.51775 .46549 L
.51846 .46638 L
.519 .46709 L
.52007 .46831 L
.52049 .4687 L
.5215 .4703 L
.52167 .47051 L
.52272 .47191 L
.52328 .47261 L
.52395 .47351 L
.52488 .47435 L
.5252 .47512 L
.52644 .47672 L
.52649 .47678 L
.52763 .47833 L
.52809 .47891 L
.52884 .47993 L
.5297 .48103 L
.53007 .48154 L
.5313 .48314 L
.5313 .48315 L
.53246 .48475 L
.53291 .48532 L
.53364 .48636 L
.53451 .48749 L
.53485 .48796 L
.53605 .48957 L
.53612 .48966 L
.53716 .49117 L
.53772 .49191 L
.5383 .49278 L
.53933 .49418 L
.53946 .49438 L
.53933 .49596 L
.53796 .49438 L
.53772 .49413 L
.53659 .49278 L
.53612 .49225 L
.53523 .49117 L
.53451 .49034 L
.53388 .48957 L
.53291 .4884 L
.53255 .48796 L
.5313 .48646 L
.53117 .48636 L
.52995 .48475 L
.5297 .48444 L
.52867 .48314 L
.52809 .48244 L
.52738 .48154 L
.52649 .48067 L
.5261 .47993 L
.52488 .47841 L
.5248 .47833 L
.52358 .47672 L
.52328 .47635 L
.52232 .47512 L
.52167 .4743 L
.52106 .47351 L
.52007 .47235 L
.51959 .47191 L
.51856 .4703 L
.51846 .47017 L
.51734 .4687 L
.51686 .46809 L
.5161 .46709 L
.51525 .4663 L
.51486 .46549 L
.51364 .46391 L
.51362 .46388 L
.51242 .46228 L
.51204 .46178 L
.51121 .46067 L
.51043 .45966 L
.50999 .45907 L
.50883 .45758 L
.50872 .45746 L
.5076 .45586 L
.50722 .45538 L
.50641 .45425 L
.50562 .45321 L
.50521 .45265 L
.50402 .45104 L
.50401 .45103 L
.5029 .44943 L
.50241 .44878 L
.50176 .44783 L
.5008 .44651 L
.50061 .44622 L
.49957 .44462 L
.4992 .44409 L
.49864 .44301 L
F
0 .64 1 r
.4992 .50528 m
.49971 .50562 L
.5008 .5065 L
.50149 .50722 L
.50241 .50819 L
.50294 .50883 L
.50401 .50983 L
.5043 .51043 L
.50559 .51204 L
.50562 .51208 L
.50679 .51364 L
.50722 .51421 L
.50797 .51525 L
.50883 .51642 L
.50912 .51686 L
.51018 .51846 L
.51043 .51886 L
.51102 .52007 L
.51043 .52064 L
.50975 .52007 L
.50883 .51924 L
.50809 .51846 L
.50722 .51755 L
.50662 .51686 L
.50562 .51586 L
.50525 .51525 L
.50401 .51374 L
.50392 .51364 L
.50271 .51204 L
.50241 .51165 L
.50151 .51043 L
.5008 .50945 L
.50037 .50883 L
.49936 .50722 L
.4992 .50693 L
.4987 .50562 L
F
0 .68 1 r
.4992 .54087 m
.49925 .54093 L
.4992 .54182 L
.49872 .54093 L
F
.084 .92 1 r
.4992 .42958 m
.49984 .43017 L
.5008 .43105 L
.50149 .43178 L
.50241 .43223 L
.50301 .43338 L
.50401 .43441 L
.50447 .43499 L
.50562 .43631 L
.50595 .43659 L
.50722 .43817 L
.50725 .4382 L
.50861 .4398 L
.50883 .43998 L
.50996 .44141 L
.51043 .44197 L
.51155 .44301 L
.51204 .44397 L
.5126 .44462 L
.51364 .44597 L
.51381 .44622 L
.5152 .44783 L
.51525 .44788 L
.5165 .44943 L
.51686 .44989 L
.51785 .45104 L
.51846 .45196 L
.51897 .45265 L
.52007 .45402 L
.52014 .45425 L
.5216 .45586 L
.52167 .45594 L
.52301 .45746 L
.52328 .45801 L
.5241 .45907 L
.52488 .46012 L
.52521 .46067 L
.52649 .46218 L
.52664 .46228 L
.52808 .46388 L
.52809 .46414 L
.52919 .46549 L
.5297 .46625 L
.53029 .46709 L
.5313 .46837 L
.53139 .4687 L
.53288 .4703 L
.53291 .47033 L
.53425 .47191 L
.53451 .47242 L
.53535 .47351 L
.53612 .47455 L
.53644 .47512 L
.53772 .47662 L
.53786 .47672 L
.53929 .47833 L
.53933 .47862 L
.54039 .47993 L
.54093 .48074 L
.54148 .48154 L
.54254 .48286 L
.5426 .48314 L
.54404 .48475 L
.54414 .48486 L
.54543 .48636 L
.54575 .48696 L
.54651 .48796 L
.54735 .48909 L
.54761 .48957 L
.54896 .49115 L
.54898 .49117 L
.55048 .49278 L
.55057 .49319 L
.55153 .49438 L
.55217 .49532 L
.55262 .49599 L
.55378 .49743 L
.5538 .49759 L
.55514 .4992 L
.55538 .49943 L
.55656 .5008 L
.55699 .50156 L
.55762 .50241 L
.55859 .50369 L
.55876 .50401 L
.56007 .50562 L
.5602 .5057 L
.56164 .50722 L
.5618 .5078 L
.56263 .50883 L
.56341 .50995 L
.56372 .51043 L
.56499 .51204 L
.56501 .51207 L
.56621 .51364 L
.56662 .51403 L
.56766 .51525 L
.56822 .51621 L
.5687 .51686 L
.56983 .51837 L
.56988 .51846 L
.57111 .52007 L
.57143 .52025 L
.57274 .52167 L
.57304 .52247 L
.57367 .52328 L
.57464 .52467 L
.57478 .52488 L
.576 .52649 L
.57625 .5268 L
.57721 .52809 L
.57785 .52871 L
.57866 .5297 L
.57946 .53098 L
.57969 .5313 L
.58087 .53291 L
.58106 .53315 L
.58207 .53451 L
.58267 .53492 L
.58369 .53612 L
.58428 .53732 L
.58458 .53772 L
.58571 .53933 L
.58588 .53955 L
.58689 .54093 L
.58749 .54172 L
.58808 .54254 L
.58909 .54374 L
.5894 .54414 L
.59047 .54575 L
.5907 .54605 L
.59162 .54735 L
.5923 .54827 L
.59279 .54896 L
.59391 .55048 L
.59403 .55057 L
.59507 .55217 L
.59551 .55278 L
.59616 .55378 L
.59712 .55515 L
.59726 .55538 L
.59822 .55699 L
.59872 .55784 L
.59896 .55859 L
.59872 .55882 L
.59842 .55859 L
.59712 .55749 L
.59661 .55699 L
.59551 .55619 L
.59506 .55538 L
.59391 .55417 L
.59313 .55378 L
.5923 .55232 L
.59213 .55217 L
.59077 .55057 L
.5907 .55048 L
.5894 .54896 L
.58909 .54868 L
.58804 .54735 L
.58749 .54669 L
.58651 .54575 L
.58588 .5447 L
.58541 .54414 L
.58428 .54272 L
.58417 .54254 L
.58277 .54093 L
.58267 .54082 L
.58117 .53933 L
.58106 .5388 L
.58015 .53772 L
.57946 .53674 L
.57902 .53612 L
.57785 .53469 L
.57784 .53451 L
.57635 .53291 L
.57625 .53278 L
.57499 .5313 L
.57464 .5307 L
.57388 .5297 L
.57304 .52859 L
.57278 .52809 L
.57143 .52655 L
.5713 .52649 L
.56991 .52488 L
.56983 .52459 L
.56878 .52328 L
.56822 .52248 L
.56768 .52167 L
.56662 .52036 L
.56628 .52007 L
.56505 .51846 L
.56501 .51841 L
.56372 .51686 L
.56341 .51632 L
.56262 .51525 L
.5618 .51419 L
.56154 .51364 L
.5602 .51212 L
.56007 .51204 L
.55869 .51043 L
.55859 .51012 L
.55757 .50883 L
.55699 .508 L
.55649 .50722 L
.55538 .50588 L
.55511 .50562 L
.55388 .50401 L
.55378 .50389 L
.55255 .50241 L
.55217 .50178 L
.55145 .5008 L
.55057 .49965 L
.55036 .4992 L
.54896 .49761 L
.54894 .49759 L
.54751 .49599 L
.54735 .49555 L
.54643 .49438 L
.54575 .49342 L
.54534 .49278 L
.54414 .49132 L
.544 .49117 L
.54278 .48957 L
.54254 .48931 L
.54141 .48796 L
.54093 .48719 L
.54034 .48636 L
.53933 .48506 L
.5392 .48475 L
.53785 .48314 L
.53772 .48304 L
.53637 .48154 L
.53612 .48094 L
.53533 .47993 L
.53451 .4788 L
.53423 .47833 L
.53293 .47672 L
.53291 .47672 L
.53171 .47512 L
.5313 .4747 L
.53032 .47351 L
.5297 .47254 L
.52925 .47191 L
.52809 .4704 L
.52806 .4703 L
.52681 .4687 L
.52649 .46847 L
.52527 .46709 L
.52488 .46627 L
.52428 .46549 L
.52328 .46409 L
.52315 .46388 L
.52191 .46228 L
.52167 .46196 L
.5207 .46067 L
.52007 .46002 L
.5193 .45907 L
.51846 .45778 L
.51824 .45746 L
.51704 .45586 L
.51686 .45561 L
.51584 .45425 L
.51525 .45379 L
.51431 .45265 L
.51364 .45143 L
.51335 .45104 L
.51221 .44943 L
.51204 .44922 L
.51102 .44783 L
.51043 .44706 L
.50983 .44622 L
.50883 .44502 L
.50852 .44462 L
.50744 .44301 L
.50722 .44273 L
.50628 .44141 L
.50562 .44052 L
.50511 .4398 L
.50401 .4384 L
.50387 .4382 L
.50282 .43659 L
.50241 .43602 L
.50172 .43499 L
.5008 .43369 L
.50061 .43338 L
.4996 .43178 L
.4992 .43115 L
.49872 .43017 L
F
1 .87 .018 r
.4992 .5342 m
.4995 .53451 L
.5008 .53587 L
.50103 .53612 L
.50241 .53763 L
.50245 .53772 L
.50382 .53933 L
.50401 .53954 L
.50518 .54093 L
.50562 .54144 L
.50653 .54254 L
.50722 .54337 L
.50786 .54414 L
.50883 .54519 L
.50918 .54575 L
.51043 .5473 L
.51049 .54735 L
.51177 .54896 L
.51204 .54929 L
.51306 .55057 L
.51364 .55088 L
.51435 .55217 L
.51525 .55323 L
.51583 .55378 L
.51686 .55533 L
.51689 .55538 L
.51815 .55699 L
.51846 .55737 L
.51942 .55859 L
.52007 .55921 L
.52128 .5602 L
.52167 .56144 L
.52199 .5618 L
.52317 .56341 L
.52328 .56354 L
.52442 .56501 L
.52488 .56516 L
.52566 .56662 L
.52649 .56758 L
.5271 .56822 L
.52809 .56977 L
.52814 .56983 L
.52936 .57143 L
.5297 .57187 L
.53058 .57304 L
.5313 .57373 L
.53229 .57464 L
.53291 .57606 L
.53307 .57625 L
.53423 .57785 L
.53451 .57822 L
.53544 .57946 L
.53612 .58035 L
.53665 .58106 L
.53772 .58243 L
.53793 .58267 L
.53903 .58428 L
.53933 .58467 L
.54021 .58588 L
.54093 .58685 L
.54139 .58749 L
.54254 .58902 L
.5426 .58909 L
.54369 .5907 L
.54414 .59132 L
.54481 .5923 L
.54575 .59361 L
.54595 .59391 L
.54697 .59551 L
.54735 .59608 L
.5479 .59712 L
.54735 .59735 L
.54715 .59712 L
.54575 .59567 L
.54562 .59551 L
.5442 .59391 L
.54414 .59385 L
.54285 .5923 L
.54254 .59196 L
.54152 .5907 L
.54093 .59003 L
.54019 .58909 L
.53933 .58808 L
.53886 .58749 L
.53772 .58624 L
.53754 .58588 L
.53624 .58428 L
.53612 .58413 L
.53498 .58267 L
.53451 .58211 L
.53371 .58106 L
.53291 .58009 L
.53242 .57946 L
.5313 .57814 L
.53099 .57785 L
.52988 .57625 L
.5297 .57602 L
.52864 .57464 L
.52809 .57397 L
.52739 .57304 L
.52649 .57215 L
.52612 .57143 L
.52488 .56987 L
.52484 .56983 L
.52364 .56822 L
.52328 .56777 L
.52241 .56662 L
.52167 .56569 L
.52116 .56501 L
.52007 .56371 L
.51977 .56341 L
.51868 .5618 L
.51846 .56153 L
.51747 .5602 L
.51686 .55942 L
.51624 .55859 L
.51525 .55754 L
.515 .55699 L
.51377 .55538 L
.51364 .55522 L
.51259 .55378 L
.51204 .55308 L
.51138 .55217 L
.51043 .55096 L
.51015 .55057 L
.50893 .54896 L
.50883 .54883 L
.50777 .54735 L
.50722 .54666 L
.50658 .54575 L
.50562 .5445 L
.50537 .54414 L
.50419 .54254 L
.50401 .54231 L
.50306 .54093 L
.50241 .54007 L
.50192 .53933 L
.5008 .53782 L
.50074 .53772 L
.49971 .53612 L
.4992 .53539 L
.49875 .53451 L
F
1 .74 0 r
.4992 .43636 m
.49944 .43659 L
.5008 .43788 L
.50109 .4382 L
.50241 .43945 L
.50258 .4398 L
.50401 .44141 L
.50401 .44141 L
.50538 .44301 L
.50562 .44328 L
.50674 .44462 L
.50722 .44517 L
.50809 .44622 L
.50883 .44693 L
.50943 .44783 L
.51043 .44902 L
.51088 .44943 L
.51204 .45102 L
.51206 .45104 L
.51334 .45265 L
.51364 .45275 L
.51464 .45425 L
.51525 .45491 L
.5163 .45586 L
.51686 .457 L
.51726 .45746 L
.51846 .45904 L
.51848 .45907 L
.51974 .46067 L
.52007 .46093 L
.52101 .46228 L
.52167 .46305 L
.52244 .46388 L
.52328 .46515 L
.52354 .46549 L
.52479 .46709 L
.52488 .4671 L
.52604 .4687 L
.52649 .46915 L
.52764 .4703 L
.52809 .47129 L
.5286 .47191 L
.5297 .47339 L
.52978 .47351 L
.53103 .47512 L
.5313 .4753 L
.53227 .47672 L
.53291 .47746 L
.53368 .47833 L
.53451 .4796 L
.53476 .47993 L
.53599 .48154 L
.53612 .4817 L
.53722 .48314 L
.53772 .48363 L
.53879 .48475 L
.53933 .48582 L
.53976 .48636 L
.54093 .48796 L
.54093 .48796 L
.54215 .48957 L
.54254 .48979 L
.54337 .49117 L
.54414 .49205 L
.54476 .49278 L
.54575 .49425 L
.54585 .49438 L
.54705 .49599 L
.54735 .49637 L
.54827 .49759 L
.54896 .49827 L
.5498 .4992 L
.55057 .50055 L
.55076 .5008 L
.55193 .50241 L
.55217 .50272 L
.55313 .50401 L
.55378 .50445 L
.55434 .50562 L
.55538 .5069 L
.55565 .50722 L
.55676 .50883 L
.55699 .50912 L
.55794 .51043 L
.55859 .51128 L
.55914 .51204 L
.5602 .51332 L
.56047 .51364 L
.56152 .51525 L
.5618 .51562 L
.56267 .51686 L
.56341 .51783 L
.56385 .51846 L
.56501 .52004 L
.56503 .52007 L
.56612 .52167 L
.56662 .52234 L
.56722 .52328 L
.56822 .52469 L
.56834 .52488 L
.56928 .52649 L
.56822 .52665 L
.56806 .52649 L
.56662 .52502 L
.56654 .52488 L
.56511 .52328 L
.56501 .52318 L
.56371 .52167 L
.56341 .52134 L
.56233 .52007 L
.5618 .51946 L
.56097 .51846 L
.5602 .51767 L
.55962 .51686 L
.55859 .51562 L
.55821 .51525 L
.55699 .51365 L
.55698 .51364 L
.55568 .51204 L
.55538 .51187 L
.55438 .51043 L
.55378 .50975 L
.55281 .50883 L
.55217 .50768 L
.55178 .50722 L
.55057 .50566 L
.55054 .50562 L
.54925 .50401 L
.54896 .50374 L
.54798 .50241 L
.54735 .50165 L
.54661 .5008 L
.54575 .49956 L
.54548 .4992 L
.54419 .49759 L
.54414 .49758 L
.54294 .49599 L
.54254 .49555 L
.54144 .49438 L
.54093 .49343 L
.54041 .49278 L
.53933 .49135 L
.53923 .49117 L
.53794 .48957 L
.53772 .48939 L
.53622 .48796 L
.53612 .48727 L
.53535 .48636 L
.53451 .48515 L
.53424 .48475 L
.53297 .48314 L
.53291 .48314 L
.53173 .48154 L
.5313 .48109 L
.53026 .47993 L
.5297 .47893 L
.52924 .47833 L
.52809 .47681 L
.52805 .47672 L
.5268 .47512 L
.52649 .47489 L
.5251 .47351 L
.52488 .47269 L
.52424 .47191 L
.52328 .47052 L
.52313 .4703 L
.5219 .4687 L
.52167 .46841 L
.52068 .46709 L
.52007 .46646 L
.51922 .46549 L
.51846 .46422 L
.51821 .46388 L
.51702 .46228 L
.51686 .46206 L
.51582 .46067 L
.51525 .46024 L
.51414 .45907 L
.51364 .45788 L
.51332 .45746 L
.51219 .45586 L
.51204 .45566 L
.51101 .45425 L
.51043 .45349 L
.50981 .45265 L
.50883 .45146 L
.50849 .45104 L
.50744 .44943 L
.50722 .44915 L
.50628 .44783 L
.50562 .44694 L
.50511 .44622 L
.50401 .44482 L
.50385 .44462 L
.50283 .44301 L
.50241 .44243 L
.50173 .44141 L
.5008 .44009 L
.50062 .4398 L
.49963 .4382 L
.4992 .43752 L
.49881 .43659 L
F
0 .63 1 r
.4992 .50541 m
.49956 .50562 L
.5008 .50657 L
.50143 .50722 L
.50241 .50824 L
.5029 .50883 L
.50401 .5099 L
.50426 .51043 L
.50555 .51204 L
.50562 .51213 L
.50675 .51364 L
.50722 .51426 L
.50793 .51525 L
.50883 .51648 L
.50908 .51686 L
.51012 .51846 L
.51043 .51898 L
.51091 .52007 L
.51043 .52052 L
.50987 .52007 L
.50883 .51916 L
.50816 .51846 L
.50722 .51748 L
.50668 .51686 L
.50562 .51579 L
.5053 .51525 L
.50401 .51368 L
.50398 .51364 L
.50275 .51204 L
.50241 .51159 L
.50155 .51043 L
.5008 .50938 L
.50042 .50883 L
.49943 .50722 L
.4992 .50678 L
.49885 .50562 L
F
1 .95 .212 r
.4992 .50063 m
.5008 .50043 L
.50226 .5008 L
.50241 .50086 L
.50401 .50221 L
.5041 .50241 L
.50552 .50401 L
.50562 .50416 L
.50706 .50562 L
.50722 .50625 L
.50813 .50722 L
.50883 .50836 L
.50923 .50883 L
.51043 .51037 L
.51056 .51043 L
.51178 .51204 L
.51204 .51231 L
.51318 .51364 L
.51364 .51442 L
.51425 .51525 L
.51525 .51655 L
.51538 .51686 L
.51671 .51846 L
.51686 .51866 L
.51823 .52007 L
.51846 .52047 L
.51923 .52167 L
.52007 .52276 L
.52032 .52328 L
.52154 .52488 L
.52167 .52507 L
.52268 .52649 L
.52328 .52743 L
.52386 .52809 L
.52328 .52943 L
.52167 .52902 L
.52007 .52852 L
.51961 .52809 L
.51846 .52696 L
.51823 .52649 L
.51686 .52506 L
.51671 .52488 L
.5153 .52328 L
.51525 .52301 L
.51412 .52167 L
.51364 .52087 L
.51302 .52007 L
.51204 .51871 L
.51198 .51846 L
.51043 .51689 L
.51041 .51686 L
.50908 .51525 L
.50883 .5148 L
.50797 .51364 L
.50722 .51267 L
.50691 .51204 L
.50562 .51058 L
.50547 .51043 L
.50409 .50883 L
.50401 .5087 L
.50299 .50722 L
.50241 .50662 L
.50193 .50562 L
.5008 .50434 L
.50079 .50401 L
.49954 .50241 L
.4992 .50171 L
.49886 .5008 L
F
0 .73 1 r
.4992 .48488 m
.50052 .48636 L
.5008 .48667 L
.50184 .48796 L
.50241 .48866 L
.50308 .48957 L
.50401 .49088 L
.50421 .49117 L
.50401 .49251 L
.50271 .49117 L
.50241 .49085 L
.50137 .48957 L
.5008 .48889 L
.50013 .48796 L
.4992 .48675 L
.49893 .48636 L
F
0 .72 1 r
.4992 .48506 m
.50038 .48636 L
.5008 .48682 L
.50173 .48796 L
.50241 .48881 L
.50297 .48957 L
.50401 .49107 L
.50408 .49117 L
.50401 .49228 L
.50286 .49117 L
.50241 .49071 L
.50148 .48957 L
.5008 .48876 L
.50023 .48796 L
.4992 .48661 L
.49903 .48636 L
F
0 .62 1 r
.4992 .50556 m
.49935 .50562 L
.5008 .50664 L
.50137 .50722 L
.50241 .50829 L
.50286 .50883 L
.50401 .50997 L
.50422 .51043 L
.50551 .51204 L
.50562 .51218 L
.50671 .51364 L
.50722 .51431 L
.50789 .51525 L
.50883 .51654 L
.50904 .51686 L
.51005 .51846 L
.51043 .51912 L
.51078 .52007 L
.51043 .52037 L
.51001 .52007 L
.50883 .51908 L
.50822 .51846 L
.50722 .51742 L
.50673 .51686 L
.50562 .51571 L
.50534 .51525 L
.50404 .51364 L
.50401 .51362 L
.5028 .51204 L
.50241 .51153 L
.5016 .51043 L
.5008 .50931 L
.50047 .50883 L
.4995 .50722 L
.4992 .50659 L
.49906 .50562 L
F
0 .71 1 r
.4992 .48529 m
.50021 .48636 L
.5008 .48698 L
.5016 .48796 L
.50241 .48897 L
.50285 .48957 L
.50241 .49055 L
.50161 .48957 L
.5008 .48862 L
.50034 .48796 L
.4992 .48645 L
.49914 .48636 L
F
1 .92 .084 r
.4992 .47899 m
.5007 .47993 L
.5008 .48001 L
.5024 .48154 L
.50241 .48155 L
.50389 .48314 L
.50401 .48327 L
.50531 .48475 L
.50562 .48511 L
.50666 .48636 L
.50722 .48693 L
.50842 .48796 L
.50883 .48904 L
.50925 .48957 L
.51042 .49117 L
.51043 .49119 L
.51158 .49278 L
.51204 .49347 L
.51264 .49438 L
.51344 .49599 L
.51204 .49658 L
.51132 .49599 L
.51043 .49515 L
.50975 .49438 L
.50883 .4937 L
.50838 .49278 L
.50722 .49148 L
.50688 .49117 L
.50581 .48957 L
.50562 .48932 L
.50461 .48796 L
.50401 .48719 L
.50342 .48636 L
.50241 .48501 L
.50223 .48475 L
.50112 .48314 L
.5008 .48269 L
.5001 .48154 L
.4992 .48001 L
.49916 .47993 L
F
1 .94 .156 r
.5008 .50055 m
.50195 .5008 L
.50241 .50098 L
.50401 .50232 L
.50406 .50241 L
.50547 .50401 L
.50562 .50423 L
.50705 .50562 L
.50722 .5063 L
.5081 .50722 L
.50883 .50839 L
.50921 .50883 L
.51043 .51038 L
.51053 .51043 L
.51176 .51204 L
.51204 .51233 L
.51316 .51364 L
.51364 .51445 L
.51423 .51525 L
.51525 .51658 L
.51537 .51686 L
.51668 .51846 L
.51686 .51869 L
.51822 .52007 L
.51846 .5205 L
.5192 .52167 L
.52007 .52282 L
.52029 .52328 L
.52149 .52488 L
.52167 .52514 L
.52261 .52649 L
.52328 .5276 L
.52369 .52809 L
.52328 .5292 L
.52167 .52882 L
.52007 .52834 L
.51977 .52809 L
.51846 .52684 L
.51828 .52649 L
.51686 .52498 L
.51678 .52488 L
.51531 .52328 L
.51525 .52295 L
.51416 .52167 L
.51364 .52082 L
.51305 .52007 L
.51204 .51868 L
.51199 .51846 L
.51043 .51686 L
.51043 .51685 L
.5091 .51525 L
.50883 .51477 L
.508 .51364 L
.50722 .51264 L
.50693 .51204 L
.50562 .51055 L
.5055 .51043 L
.5041 .50883 L
.50401 .50869 L
.50302 .50722 L
.50241 .50657 L
.50196 .50562 L
.5008 .50424 L
.5008 .50401 L
.49963 .50241 L
.49927 .5008 L
F
0 .61 1 r
.5008 .50671 m
.50131 .50722 L
.50241 .50835 L
.50281 .50883 L
.50401 .51005 L
.50419 .51043 L
.50547 .51204 L
.50562 .51223 L
.50667 .51364 L
.50722 .51437 L
.50785 .51525 L
.50883 .5166 L
.509 .51686 L
.50997 .51846 L
.51043 .51931 L
.51061 .52007 L
.51043 .5202 L
.5102 .52007 L
.50883 .519 L
.5083 .51846 L
.50722 .51735 L
.50678 .51686 L
.50562 .51564 L
.50539 .51525 L
.50408 .51364 L
.50401 .51356 L
.50284 .51204 L
.50241 .51147 L
.50165 .51043 L
.5008 .50924 L
.50052 .50883 L
.49958 .50722 L
F
1 .93 .114 r
.5008 .50066 m
.50158 .5008 L
.50241 .50109 L
.50401 .50241 L
.50401 .50242 L
.50542 .50401 L
.50562 .5043 L
.50703 .50562 L
.50722 .50634 L
.50808 .50722 L
.50883 .50841 L
.50919 .50883 L
.51043 .51039 L
.51051 .51043 L
.51174 .51204 L
.51204 .51235 L
.51315 .51364 L
.51364 .51447 L
.51421 .51525 L
.51525 .5166 L
.51536 .51686 L
.51666 .51846 L
.51686 .51872 L
.5182 .52007 L
.51846 .52053 L
.51917 .52167 L
.52007 .52288 L
.52026 .52328 L
.52144 .52488 L
.52167 .52521 L
.52253 .52649 L
.52328 .5278 L
.52349 .52809 L
.52328 .52892 L
.52167 .52867 L
.52007 .52818 L
.51995 .52809 L
.51846 .52673 L
.51834 .52649 L
.51686 .5249 L
.51684 .52488 L
.51532 .52328 L
.51525 .52288 L
.51419 .52167 L
.51364 .52077 L
.51308 .52007 L
.51204 .51866 L
.512 .51846 L
.51046 .51686 L
.51043 .51682 L
.50912 .51525 L
.50883 .51474 L
.50802 .51364 L
.50722 .51261 L
.50694 .51204 L
.50562 .51053 L
.50552 .51043 L
.50411 .50883 L
.50401 .50867 L
.50305 .50722 L
.50241 .50653 L
.50199 .50562 L
.5008 .50414 L
.5008 .50401 L
.49971 .50241 L
.49965 .5008 L
F
0 .6 1 r
.5008 .50679 m
.50124 .50722 L
.50241 .5084 L
.50277 .50883 L
.50401 .51013 L
.50415 .51043 L
.50542 .51204 L
.50562 .51228 L
.50663 .51364 L
.50722 .51442 L
.5078 .51525 L
.50883 .51667 L
.50895 .51686 L
.50989 .51846 L
.50883 .51892 L
.50838 .51846 L
.50722 .51729 L
.50684 .51686 L
.50562 .51556 L
.50544 .51525 L
.50413 .51364 L
.50401 .5135 L
.50289 .51204 L
.50241 .51141 L
.50169 .51043 L
.5008 .50917 L
.50057 .50883 L
.49966 .50722 L
F
0 .59 1 r
.5008 .50687 m
.50117 .50722 L
.50241 .50846 L
.50272 .50883 L
.50401 .51022 L
.50411 .51043 L
.50538 .51204 L
.50562 .51233 L
.50658 .51364 L
.50722 .51448 L
.50776 .51525 L
.50883 .51674 L
.5089 .51686 L
.5098 .51846 L
.50883 .51882 L
.50846 .51846 L
.50722 .51722 L
.5069 .51686 L
.50562 .51547 L
.50549 .51525 L
.50418 .51364 L
.50401 .51344 L
.50294 .51204 L
.50241 .51135 L
.50174 .51043 L
.5008 .50909 L
.50063 .50883 L
.49975 .50722 L
F
1 .92 .084 r
.5008 .50077 m
.50106 .5008 L
.50241 .50119 L
.50392 .50241 L
.50401 .50254 L
.50537 .50401 L
.50562 .50437 L
.50701 .50562 L
.50722 .50638 L
.50805 .50722 L
.50883 .50844 L
.50917 .50883 L
.51043 .51041 L
.51049 .51043 L
.51172 .51204 L
.51204 .51238 L
.51313 .51364 L
.51364 .5145 L
.51419 .51525 L
.51525 .51663 L
.51535 .51686 L
.51663 .51846 L
.51686 .51875 L
.51818 .52007 L
.51846 .52057 L
.51914 .52167 L
.52007 .52294 L
.52023 .52328 L
.52139 .52488 L
.52167 .52529 L
.52246 .52649 L
.52327 .52809 L
.52167 .52856 L
.52014 .52809 L
.52007 .52803 L
.51846 .52662 L
.51839 .52649 L
.5169 .52488 L
.51686 .52481 L
.51534 .52328 L
.51525 .52282 L
.51423 .52167 L
.51364 .52073 L
.51311 .52007 L
.51204 .51863 L
.512 .51846 L
.51049 .51686 L
.51043 .51679 L
.50914 .51525 L
.50883 .51471 L
.50804 .51364 L
.50722 .51258 L
.50696 .51204 L
.50562 .5105 L
.50555 .51043 L
.50412 .50883 L
.50401 .50865 L
.50307 .50722 L
.50241 .50648 L
.50202 .50562 L
.5008 .50402 L
.5008 .50401 L
.49979 .50241 L
.50024 .5008 L
F
1 .73 0 r
.5008 .43804 m
.50095 .4382 L
.50241 .43965 L
.50248 .4398 L
.50392 .44141 L
.50401 .44151 L
.50531 .44301 L
.50562 .44336 L
.50668 .44462 L
.50722 .44525 L
.50803 .44622 L
.50883 .44699 L
.50938 .44783 L
.51043 .44908 L
.51082 .44943 L
.51201 .45104 L
.51204 .45107 L
.5133 .45265 L
.51364 .45277 L
.5146 .45425 L
.51525 .45495 L
.51627 .45586 L
.51686 .45704 L
.51723 .45746 L
.51845 .45907 L
.51846 .45908 L
.51971 .46067 L
.52007 .46095 L
.52098 .46228 L
.52167 .46309 L
.52241 .46388 L
.52328 .46519 L
.52351 .46549 L
.52477 .46709 L
.52488 .4671 L
.52601 .4687 L
.52649 .46918 L
.52762 .4703 L
.52809 .47132 L
.52858 .47191 L
.5297 .47342 L
.52976 .47351 L
.53101 .47512 L
.5313 .47532 L
.53225 .47672 L
.53291 .47748 L
.53366 .47833 L
.53451 .47963 L
.53474 .47993 L
.53597 .48154 L
.53612 .48172 L
.5372 .48314 L
.53772 .48365 L
.53877 .48475 L
.53933 .48585 L
.53974 .48636 L
.54091 .48796 L
.54093 .48799 L
.54213 .48957 L
.54254 .48981 L
.54335 .49117 L
.54414 .49208 L
.54474 .49278 L
.54575 .49428 L
.54583 .49438 L
.54703 .49599 L
.54735 .4964 L
.54825 .49759 L
.54896 .4983 L
.54977 .4992 L
.55057 .50059 L
.55073 .5008 L
.5519 .50241 L
.55217 .50275 L
.5531 .50401 L
.55378 .50448 L
.55432 .50562 L
.55538 .50694 L
.55561 .50722 L
.55673 .50883 L
.55699 .50916 L
.55791 .51043 L
.55859 .51132 L
.55911 .51204 L
.5602 .51339 L
.56041 .51364 L
.56148 .51525 L
.5618 .51567 L
.56263 .51686 L
.56341 .51789 L
.5638 .51846 L
.56498 .52007 L
.56501 .52011 L
.56606 .52167 L
.56662 .52245 L
.56715 .52328 L
.56822 .52483 L
.56825 .52488 L
.56822 .52647 L
.56667 .52488 L
.56662 .52483 L
.56521 .52328 L
.56501 .52307 L
.56379 .52167 L
.56341 .52125 L
.5624 .52007 L
.5618 .51938 L
.56103 .51846 L
.5602 .5176 L
.55968 .51686 L
.55859 .51556 L
.55827 .51525 L
.55703 .51364 L
.55699 .51359 L
.55572 .51204 L
.55538 .51184 L
.55442 .51043 L
.55378 .5097 L
.55285 .50883 L
.55217 .50764 L
.55182 .50722 L
.55057 .50563 L
.55056 .50562 L
.54928 .50401 L
.54896 .50371 L
.54801 .50241 L
.54735 .50161 L
.54664 .5008 L
.54575 .49953 L
.54551 .4992 L
.54422 .49759 L
.54414 .49757 L
.54296 .49599 L
.54254 .49552 L
.54146 .49438 L
.54093 .4934 L
.54044 .49278 L
.53933 .49132 L
.53924 .49117 L
.53796 .48957 L
.53772 .48937 L
.53623 .48796 L
.53612 .48725 L
.53537 .48636 L
.53451 .48512 L
.53426 .48475 L
.53299 .48314 L
.53291 .48314 L
.53176 .48154 L
.5313 .48106 L
.53028 .47993 L
.5297 .4789 L
.52926 .47833 L
.52809 .47678 L
.52806 .47672 L
.52682 .47512 L
.52649 .47487 L
.52511 .47351 L
.52488 .47267 L
.52426 .47191 L
.52328 .4705 L
.52315 .4703 L
.52192 .4687 L
.52167 .46838 L
.5207 .46709 L
.52007 .46643 L
.51925 .46549 L
.51846 .46418 L
.51823 .46388 L
.51705 .46228 L
.51686 .46203 L
.51585 .46067 L
.51525 .46021 L
.51417 .45907 L
.51364 .45783 L
.51335 .45746 L
.51223 .45586 L
.51204 .45561 L
.51104 .45425 L
.51043 .45345 L
.50985 .45265 L
.50883 .45139 L
.50854 .45104 L
.50748 .44943 L
.50722 .44909 L
.50633 .44783 L
.50562 .44688 L
.50516 .44622 L
.50401 .44469 L
.50396 .44462 L
.5029 .44301 L
.50241 .44233 L
.50181 .44141 L
.5008 .43996 L
.5007 .4398 L
.4998 .4382 L
F
0 .58 1 r
.5008 .50695 m
.50109 .50722 L
.50241 .50852 L
.50267 .50883 L
.50401 .51031 L
.50407 .51043 L
.50533 .51204 L
.50562 .51239 L
.50654 .51364 L
.50722 .51454 L
.50772 .51525 L
.50883 .51682 L
.50885 .51686 L
.5097 .51846 L
.50883 .51873 L
.50855 .51846 L
.50722 .51715 L
.50696 .51686 L
.50562 .51539 L
.50554 .51525 L
.50423 .51364 L
.50401 .51338 L
.50298 .51204 L
.50241 .51129 L
.50179 .51043 L
.5008 .50901 L
.50068 .50883 L
.49985 .50722 L
F
1 .91 .061 r
.5008 .50088 m
.50241 .50129 L
.50384 .50241 L
.50401 .50266 L
.50532 .50401 L
.50562 .50443 L
.50699 .50562 L
.50722 .50642 L
.50802 .50722 L
.50883 .50847 L
.50915 .50883 L
.51043 .51042 L
.51047 .51043 L
.5117 .51204 L
.51204 .5124 L
.51311 .51364 L
.51364 .51452 L
.51418 .51525 L
.51525 .51666 L
.51534 .51686 L
.51661 .51846 L
.51686 .51878 L
.51817 .52007 L
.51846 .52061 L
.51911 .52167 L
.52007 .523 L
.5202 .52328 L
.52134 .52488 L
.52167 .52538 L
.52239 .52649 L
.52309 .52809 L
.52167 .52848 L
.52034 .52809 L
.52007 .52789 L
.51846 .52651 L
.51845 .52649 L
.51697 .52488 L
.51686 .52473 L
.51535 .52328 L
.51525 .52276 L
.51426 .52167 L
.51364 .52068 L
.51313 .52007 L
.51204 .51861 L
.51201 .51846 L
.51051 .51686 L
.51043 .51676 L
.50915 .51525 L
.50883 .51468 L
.50806 .51364 L
.50722 .51255 L
.50697 .51204 L
.50562 .51048 L
.50558 .51043 L
.50413 .50883 L
.50401 .50863 L
.5031 .50722 L
.50241 .50642 L
.50205 .50562 L
.50085 .50401 L
.5008 .50394 L
.49988 .50241 L
F
1 .9 .045 r
.5008 .501 m
.50241 .50139 L
.50375 .50241 L
.50401 .50276 L
.50527 .50401 L
.50562 .50449 L
.50697 .50562 L
.50722 .50646 L
.508 .50722 L
.50883 .50849 L
.50913 .50883 L
.51043 .51043 L
.51044 .51043 L
.51168 .51204 L
.51204 .51242 L
.5131 .51364 L
.51364 .51455 L
.51416 .51525 L
.51525 .51669 L
.51533 .51686 L
.51659 .51846 L
.51686 .51881 L
.51815 .52007 L
.51846 .52065 L
.51908 .52167 L
.52007 .52307 L
.52016 .52328 L
.52129 .52488 L
.52167 .52546 L
.52231 .52649 L
.52289 .52809 L
.52167 .52841 L
.52057 .52809 L
.52007 .52775 L
.51853 .52649 L
.51846 .52641 L
.51703 .52488 L
.51686 .52465 L
.51536 .52328 L
.51525 .5227 L
.51429 .52167 L
.51364 .52064 L
.51316 .52007 L
.51204 .51859 L
.51201 .51846 L
.51054 .51686 L
.51043 .51673 L
.50917 .51525 L
.50883 .51465 L
.50809 .51364 L
.50722 .51252 L
.50699 .51204 L
.50562 .51045 L
.5056 .51043 L
.50414 .50883 L
.50401 .5086 L
.50313 .50722 L
.50241 .50637 L
.50208 .50562 L
.5009 .50401 L
.5008 .50385 L
.49997 .50241 L
F
.061 .91 1 r
.5008 .43147 m
.50112 .43178 L
.50241 .43267 L
.50275 .43338 L
.50401 .43468 L
.50425 .43499 L
.50562 .43651 L
.50572 .43659 L
.50709 .4382 L
.50722 .43834 L
.50847 .4398 L
.50883 .44009 L
.50984 .44141 L
.51043 .4421 L
.51146 .44301 L
.51204 .44409 L
.51251 .44462 L
.51364 .44606 L
.51376 .44622 L
.51512 .44783 L
.51525 .44796 L
.51643 .44943 L
.51686 .44998 L
.51779 .45104 L
.51846 .45204 L
.51892 .45265 L
.52007 .45407 L
.52012 .45425 L
.52155 .45586 L
.52167 .456 L
.52298 .45746 L
.52328 .45807 L
.52406 .45907 L
.52488 .46017 L
.52518 .46067 L
.52649 .4622 L
.5266 .46228 L
.52807 .46388 L
.52809 .46418 L
.52916 .46549 L
.5297 .46629 L
.53027 .46709 L
.5313 .4684 L
.53138 .4687 L
.53285 .4703 L
.53291 .47037 L
.53423 .47191 L
.53451 .47245 L
.53533 .47351 L
.53612 .47458 L
.53642 .47512 L
.53772 .47664 L
.53783 .47672 L
.53928 .47833 L
.53933 .47865 L
.54037 .47993 L
.54093 .48077 L
.54146 .48154 L
.54254 .48288 L
.54259 .48314 L
.54402 .48475 L
.54414 .48488 L
.54541 .48636 L
.54575 .48698 L
.54649 .48796 L
.54735 .48911 L
.5476 .48957 L
.54896 .49117 L
.54897 .49117 L
.55048 .49278 L
.55057 .49321 L
.55151 .49438 L
.55217 .49534 L
.5526 .49599 L
.55378 .49745 L
.5538 .49759 L
.55513 .4992 L
.55538 .49945 L
.55655 .5008 L
.55699 .50158 L
.55761 .50241 L
.55859 .50372 L
.55874 .50401 L
.56005 .50562 L
.5602 .50571 L
.56163 .50722 L
.5618 .50782 L
.56261 .50883 L
.56341 .50998 L
.56371 .51043 L
.56497 .51204 L
.56501 .51209 L
.56619 .51364 L
.56662 .51405 L
.56764 .51525 L
.56822 .51624 L
.56868 .51686 L
.56983 .51839 L
.56986 .51846 L
.57109 .52007 L
.57143 .52027 L
.57272 .52167 L
.57304 .5225 L
.57365 .52328 L
.57464 .5247 L
.57476 .52488 L
.57597 .52649 L
.57625 .52684 L
.57718 .52809 L
.57785 .52875 L
.57863 .5297 L
.57946 .53103 L
.57966 .5313 L
.58084 .53291 L
.58106 .5332 L
.58203 .53451 L
.58267 .53497 L
.58364 .53612 L
.58428 .53739 L
.58452 .53772 L
.58565 .53933 L
.58588 .53962 L
.58683 .54093 L
.58749 .54179 L
.58802 .54254 L
.58909 .54386 L
.58931 .54414 L
.59039 .54575 L
.5907 .54616 L
.59153 .54735 L
.5923 .54839 L
.59269 .54896 L
.59385 .55057 L
.59391 .55064 L
.59492 .55217 L
.59551 .55301 L
.59598 .55378 L
.59703 .55538 L
.59712 .55551 L
.59766 .55699 L
.59712 .55699 L
.59711 .55699 L
.59551 .55567 L
.59536 .55538 L
.59391 .55388 L
.59368 .55378 L
.59236 .55217 L
.5923 .55211 L
.59094 .55057 L
.5907 .5503 L
.58954 .54896 L
.58909 .54855 L
.58816 .54735 L
.58749 .54655 L
.58661 .54575 L
.58588 .54458 L
.5855 .54414 L
.58428 .54264 L
.58422 .54254 L
.58285 .54093 L
.58267 .54073 L
.58119 .53933 L
.58106 .53871 L
.58021 .53772 L
.57946 .53666 L
.57907 .53612 L
.57785 .53464 L
.57785 .53451 L
.57641 .53291 L
.57625 .53271 L
.57502 .5313 L
.57464 .53064 L
.57392 .5297 L
.57304 .52854 L
.57281 .52809 L
.57143 .52653 L
.57134 .52649 L
.56992 .52488 L
.56983 .52454 L
.56881 .52328 L
.56822 .52243 L
.56771 .52167 L
.56662 .52033 L
.56632 .52007 L
.56508 .51846 L
.56501 .51838 L
.56374 .51686 L
.56341 .51628 L
.56264 .51525 L
.5618 .51415 L
.56156 .51364 L
.5602 .5121 L
.5601 .51204 L
.5587 .51043 L
.55859 .51009 L
.5576 .50883 L
.55699 .50797 L
.55651 .50722 L
.55538 .50586 L
.55513 .50562 L
.5539 .50401 L
.55378 .50386 L
.55256 .50241 L
.55217 .50176 L
.55147 .5008 L
.55057 .49963 L
.55037 .4992 L
.54896 .49759 L
.54896 .49759 L
.54752 .49599 L
.54735 .49553 L
.54645 .49438 L
.54575 .4934 L
.54536 .49278 L
.54414 .4913 L
.54402 .49117 L
.54279 .48957 L
.54254 .48929 L
.54143 .48796 L
.54093 .48716 L
.54035 .48636 L
.53933 .48503 L
.53921 .48475 L
.53787 .48314 L
.53772 .48303 L
.53638 .48154 L
.53612 .48092 L
.53535 .47993 L
.53451 .47877 L
.53424 .47833 L
.53295 .47672 L
.53291 .47672 L
.53173 .47512 L
.5313 .47468 L
.53034 .47351 L
.5297 .47251 L
.52927 .47191 L
.52809 .47037 L
.52807 .4703 L
.52683 .4687 L
.52649 .46845 L
.52529 .46709 L
.52488 .46624 L
.52431 .46549 L
.52328 .46406 L
.52317 .46388 L
.52194 .46228 L
.52167 .46192 L
.52073 .46067 L
.52007 .45998 L
.51934 .45907 L
.51846 .45773 L
.51827 .45746 L
.51708 .45586 L
.51686 .45556 L
.51588 .45425 L
.51525 .45373 L
.51435 .45265 L
.51364 .45137 L
.51341 .45104 L
.51226 .44943 L
.51204 .44915 L
.51108 .44783 L
.51043 .44698 L
.50988 .44622 L
.50883 .44491 L
.50861 .44462 L
.50752 .44301 L
.50722 .44262 L
.50637 .44141 L
.50562 .4404 L
.5052 .4398 L
.50404 .4382 L
.50401 .43816 L
.50296 .43659 L
.50241 .43581 L
.50188 .43499 L
.5008 .4334 L
.50079 .43338 L
.49997 .43178 L
F
0 .57 1 r
.5008 .50704 m
.501 .50722 L
.50241 .50858 L
.50262 .50883 L
.50401 .5104 L
.50403 .51043 L
.50529 .51204 L
.50562 .51244 L
.5065 .51364 L
.50722 .5146 L
.50767 .51525 L
.5088 .51686 L
.50883 .51691 L
.50958 .51846 L
.50883 .51862 L
.50865 .51846 L
.50722 .51708 L
.50702 .51686 L
.50562 .51529 L
.50559 .51525 L
.50429 .51364 L
.50401 .51332 L
.50303 .51204 L
.50241 .51122 L
.50184 .51043 L
.5008 .50892 L
.50074 .50883 L
.49997 .50722 L
F
1 .89 .033 r
.5008 .50112 m
.50241 .50148 L
.50366 .50241 L
.50401 .50286 L
.50522 .50401 L
.50562 .50455 L
.50695 .50562 L
.50722 .5065 L
.50797 .50722 L
.50883 .50852 L
.50911 .50883 L
.51042 .51043 L
.51043 .51044 L
.51166 .51204 L
.51204 .51245 L
.51308 .51364 L
.51364 .51458 L
.51414 .51525 L
.51525 .51671 L
.51531 .51686 L
.51656 .51846 L
.51686 .51885 L
.51813 .52007 L
.51846 .52069 L
.51905 .52167 L
.52007 .52313 L
.52013 .52328 L
.52124 .52488 L
.52167 .52556 L
.52224 .52649 L
.52265 .52809 L
.52167 .52834 L
.52082 .52809 L
.52007 .52764 L
.51863 .52649 L
.51846 .52631 L
.51709 .52488 L
.51686 .52458 L
.51538 .52328 L
.51525 .52264 L
.51433 .52167 L
.51364 .5206 L
.51319 .52007 L
.51204 .51857 L
.51202 .51846 L
.51057 .51686 L
.51043 .5167 L
.50919 .51525 L
.50883 .51462 L
.50811 .51364 L
.50722 .5125 L
.507 .51204 L
.50563 .51043 L
.50562 .51042 L
.50415 .50883 L
.50401 .50858 L
.50316 .50722 L
.50241 .50631 L
.50211 .50562 L
.50096 .50401 L
.5008 .50376 L
.50005 .50241 L
F
0 .56 1 r
.5008 .50713 m
.50091 .50722 L
.50241 .50864 L
.50257 .50883 L
.50398 .51043 L
.50401 .51047 L
.50524 .51204 L
.50562 .5125 L
.50645 .51364 L
.50722 .51466 L
.50762 .51525 L
.50872 .51686 L
.50883 .51702 L
.50941 .51846 L
.50883 .51851 L
.50877 .51846 L
.50722 .517 L
.50709 .51686 L
.50565 .51525 L
.50562 .51521 L
.50434 .51364 L
.50401 .51325 L
.50309 .51204 L
.50241 .51115 L
.50189 .51043 L
.5008 .50883 L
.5008 .50883 L
.50011 .50722 L
F
1 .88 .024 r
.5008 .50124 m
.50241 .50157 L
.50357 .50241 L
.50401 .50296 L
.50517 .50401 L
.50562 .50461 L
.50692 .50562 L
.50722 .50654 L
.50794 .50722 L
.50883 .50854 L
.50909 .50883 L
.5104 .51043 L
.51043 .51046 L
.51163 .51204 L
.51204 .51247 L
.51306 .51364 L
.51364 .5146 L
.51412 .51525 L
.51525 .51674 L
.5153 .51686 L
.51654 .51846 L
.51686 .51888 L
.51811 .52007 L
.51846 .52073 L
.51902 .52167 L
.52007 .5232 L
.5201 .52328 L
.52119 .52488 L
.52167 .52566 L
.52216 .52649 L
.52235 .52809 L
.52167 .52823 L
.52112 .52809 L
.52007 .52753 L
.51873 .52649 L
.51846 .52621 L
.51716 .52488 L
.51686 .5245 L
.5154 .52328 L
.51525 .52258 L
.51436 .52167 L
.51364 .52056 L
.51322 .52007 L
.51204 .51856 L
.51202 .51846 L
.51059 .51686 L
.51043 .51667 L
.50921 .51525 L
.50883 .51459 L
.50813 .51364 L
.50722 .51247 L
.50702 .51204 L
.50565 .51043 L
.50562 .51039 L
.50416 .50883 L
.50401 .50855 L
.50319 .50722 L
.50241 .50625 L
.50214 .50562 L
.50101 .50401 L
.5008 .50366 L
.50014 .50241 L
F
.395 .97 1 r
.5008 .52964 m
.50087 .5297 L
.50241 .53108 L
.50264 .5313 L
.50401 .53266 L
.5042 .53291 L
.50562 .53447 L
.50567 .53451 L
.50706 .53612 L
.50722 .5363 L
.50844 .53772 L
.50883 .53795 L
.50979 .53933 L
.51043 .54008 L
.51143 .54093 L
.51204 .5421 L
.51243 .54254 L
.51364 .54409 L
.51368 .54414 L
.51499 .54575 L
.51525 .54603 L
.51681 .54735 L
.51686 .54809 L
.51761 .54896 L
.51846 .55014 L
.51876 .55057 L
.52007 .55214 L
.52007 .55217 L
.52138 .55378 L
.52167 .55414 L
.52277 .55538 L
.52328 .55622 L
.52384 .55699 L
.52488 .55829 L
.52501 .55859 L
.52643 .5602 L
.52649 .56026 L
.52793 .5618 L
.52809 .56232 L
.52895 .56341 L
.5297 .56442 L
.53006 .56501 L
.5313 .56648 L
.53146 .56662 L
.53271 .56822 L
.53291 .56846 L
.53404 .56983 L
.53451 .57057 L
.53512 .57143 L
.53612 .57268 L
.53625 .57304 L
.53769 .57464 L
.53772 .57468 L
.53913 .57625 L
.53933 .57676 L
.54017 .57785 L
.54093 .57889 L
.54127 .57946 L
.54254 .58097 L
.54264 .58106 L
.54387 .58267 L
.54414 .58298 L
.5452 .58428 L
.54575 .58512 L
.54627 .58588 L
.54735 .58724 L
.54743 .58749 L
.54879 .58909 L
.54896 .58925 L
.55026 .5907 L
.55057 .59138 L
.55126 .5923 L
.55217 .59354 L
.55238 .59391 L
.55367 .59551 L
.55378 .59554 L
.55489 .59712 L
.55538 .59766 L
.55623 .59872 L
.55699 .59987 L
.55729 .60033 L
.55852 .60193 L
.55859 .60202 L
.55973 .60354 L
.5602 .60395 L
.56123 .60514 L
.5618 .60625 L
.56216 .60675 L
.56332 .60835 L
.56341 .60847 L
.5645 .60996 L
.56501 .61065 L
.56569 .61156 L
.56662 .61273 L
.56695 .61317 L
.56802 .61477 L
.56822 .61505 L
.56917 .61638 L
.56983 .61729 L
.57032 .61799 L
.57143 .61954 L
.57147 .61959 L
.57252 .6212 L
.57304 .62194 L
.57359 .6228 L
.57464 .62441 L
.57464 .62441 L
.57536 .62601 L
.57464 .62602 L
.57464 .62601 L
.57304 .62445 L
.57302 .62441 L
.57156 .6228 L
.57143 .62267 L
.57016 .6212 L
.56983 .62084 L
.56878 .61959 L
.56822 .61896 L
.56743 .61799 L
.56662 .61728 L
.56608 .61638 L
.56501 .61515 L
.56457 .61477 L
.56343 .61317 L
.56341 .61314 L
.56215 .61156 L
.5618 .61115 L
.56086 .60996 L
.5602 .60929 L
.559 .60835 L
.55859 .60717 L
.55818 .60675 L
.55701 .60514 L
.55699 .60512 L
.55575 .60354 L
.55538 .60331 L
.55449 .60193 L
.55378 .60114 L
.55295 .60033 L
.55217 .59901 L
.55192 .59872 L
.55071 .59712 L
.55057 .59694 L
.54947 .59551 L
.54896 .59505 L
.54768 .59391 L
.54735 .59288 L
.54683 .5923 L
.54575 .59076 L
.5457 .5907 L
.54447 .58909 L
.54414 .58894 L
.54324 .58749 L
.54254 .58673 L
.54172 .58588 L
.54093 .58456 L
.5407 .58428 L
.5395 .58267 L
.53933 .58245 L
.53828 .58106 L
.53772 .58059 L
.53654 .57946 L
.53612 .57835 L
.53568 .57785 L
.53455 .57625 L
.53451 .5762 L
.53334 .57464 L
.53291 .57448 L
.53211 .57304 L
.5313 .57216 L
.53064 .57143 L
.5297 .56994 L
.52961 .56983 L
.52841 .56822 L
.52809 .56782 L
.5272 .56662 L
.52649 .56599 L
.52553 .56501 L
.52488 .56368 L
.52465 .56341 L
.5235 .5618 L
.52328 .56151 L
.5223 .5602 L
.52167 .5594 L
.52108 .55859 L
.52007 .55741 L
.51969 .55699 L
.51862 .55538 L
.51846 .55518 L
.51743 .55378 L
.51686 .55305 L
.51622 .55217 L
.51525 .55113 L
.51474 .55057 L
.51377 .54896 L
.51364 .5488 L
.51259 .54735 L
.51204 .54665 L
.5114 .54575 L
.51043 .5445 L
.51018 .54414 L
.50897 .54254 L
.50883 .54235 L
.50782 .54093 L
.50722 .54015 L
.50665 .53933 L
.50562 .53797 L
.50545 .53772 L
.5043 .53612 L
.50401 .53574 L
.50319 .53451 L
.50241 .53344 L
.50207 .53291 L
.50098 .5313 L
.5008 .53103 L
.50021 .5297 L
F
1 .87 .018 r
.5008 .50137 m
.50241 .50166 L
.50347 .50241 L
.50401 .50304 L
.50512 .50401 L
.50562 .50466 L
.5069 .50562 L
.50722 .50658 L
.50791 .50722 L
.50883 .50857 L
.50907 .50883 L
.51037 .51043 L
.51043 .51047 L
.51161 .51204 L
.51204 .51249 L
.51304 .51364 L
.51364 .51463 L
.5141 .51525 L
.51525 .51677 L
.51529 .51686 L
.51651 .51846 L
.51686 .51891 L
.51809 .52007 L
.51846 .52077 L
.51899 .52167 L
.52006 .52328 L
.52007 .52328 L
.52113 .52488 L
.52167 .52576 L
.52208 .52649 L
.52168 .52809 L
.52167 .52809 L
.52167 .52809 L
.52007 .52743 L
.51883 .52649 L
.51846 .52612 L
.51722 .52488 L
.51686 .52443 L
.51542 .52328 L
.51525 .52253 L
.5144 .52167 L
.51364 .52052 L
.51324 .52007 L
.51204 .51854 L
.51202 .51846 L
.51062 .51686 L
.51043 .51664 L
.50923 .51525 L
.50883 .51455 L
.50815 .51364 L
.50722 .51244 L
.50703 .51204 L
.50568 .51043 L
.50562 .51035 L
.50417 .50883 L
.50401 .50852 L
.50321 .50722 L
.50241 .50618 L
.50217 .50562 L
.50106 .50401 L
.5008 .50355 L
.50024 .50241 L
F
1 .86 .013 r
.5008 .5015 m
.50241 .50175 L
.50337 .50241 L
.50401 .50312 L
.50507 .50401 L
.50562 .50471 L
.50687 .50562 L
.50722 .50661 L
.50789 .50722 L
.50883 .50859 L
.50905 .50883 L
.51035 .51043 L
.51043 .51049 L
.51159 .51204 L
.51204 .51252 L
.51302 .51364 L
.51364 .51466 L
.51408 .51525 L
.51525 .5168 L
.51528 .51686 L
.51649 .51846 L
.51686 .51894 L
.51807 .52007 L
.51846 .52082 L
.51896 .52167 L
.52002 .52328 L
.52007 .52334 L
.52108 .52488 L
.52167 .52588 L
.52199 .52649 L
.52167 .52792 L
.52007 .52733 L
.51894 .52649 L
.51846 .52604 L
.51729 .52488 L
.51686 .52437 L
.51544 .52328 L
.51525 .52248 L
.51443 .52167 L
.51364 .52049 L
.51327 .52007 L
.51204 .51852 L
.51203 .51846 L
.51065 .51686 L
.51043 .51661 L
.50925 .51525 L
.50883 .51452 L
.50817 .51364 L
.50722 .51241 L
.50705 .51204 L
.50571 .51043 L
.50562 .51032 L
.50419 .50883 L
.50401 .50849 L
.50324 .50722 L
.50241 .50611 L
.5022 .50562 L
.50112 .50401 L
.5008 .50343 L
.50033 .50241 L
F
1 .97 .395 r
.5008 .42513 m
.50109 .42536 L
.50241 .42648 L
.5029 .42696 L
.50401 .42799 L
.50448 .42857 L
.50562 .4298 L
.50616 .43017 L
.50722 .4316 L
.50741 .43178 L
.50882 .43338 L
.50883 .43339 L
.51021 .43499 L
.51043 .43525 L
.51199 .43659 L
.51204 .4372 L
.51294 .4382 L
.51364 .4392 L
.5141 .4398 L
.51525 .44122 L
.51558 .44141 L
.51686 .443 L
.51687 .44301 L
.51822 .44462 L
.51846 .44504 L
.51937 .44622 L
.52007 .44715 L
.52045 .44783 L
.52167 .44899 L
.52203 .44943 L
.52328 .45104 L
.52328 .45104 L
.52453 .45265 L
.52488 .45315 L
.52563 .45425 L
.52649 .45535 L
.52709 .45586 L
.52809 .45716 L
.52833 .45746 L
.52959 .45907 L
.5297 .45925 L
.53074 .46067 L
.5313 .46142 L
.53176 .46228 L
.53291 .46366 L
.53334 .46388 L
.53451 .46543 L
.53456 .46549 L
.53579 .46709 L
.53612 .46757 L
.53687 .4687 L
.53772 .46978 L
.53831 .4703 L
.53933 .47165 L
.53953 .47191 L
.54078 .47351 L
.54093 .47376 L
.54192 .47512 L
.54254 .47594 L
.54293 .47672 L
.54414 .47813 L
.54449 .47833 L
.54573 .47993 L
.54575 .47999 L
.54694 .48154 L
.54735 .48213 L
.54801 .48314 L
.54896 .48431 L
.54943 .48475 L
.55057 .48624 L
.55065 .48636 L
.55193 .48796 L
.55217 .48836 L
.55304 .48957 L
.55378 .49051 L
.55407 .49117 L
.55538 .49264 L
.55559 .49278 L
.5569 .49438 L
.55699 .4946 L
.55805 .49599 L
.55859 .49673 L
.55913 .49759 L
.5602 .49887 L
.56053 .4992 L
.56175 .5008 L
.5618 .50086 L
.56306 .50241 L
.56341 .50297 L
.56415 .50401 L
.56501 .50511 L
.56521 .50562 L
.56662 .50717 L
.56668 .50722 L
.56806 .50883 L
.56822 .50921 L
.56916 .51043 L
.56983 .51134 L
.57025 .51204 L
.57143 .51346 L
.57161 .51364 L
.57284 .51525 L
.57304 .51547 L
.57418 .51686 L
.57464 .51759 L
.57526 .51846 L
.57625 .51972 L
.57637 .52007 L
.57776 .52167 L
.57785 .52174 L
.5792 .52328 L
.57946 .52383 L
.58027 .52488 L
.58106 .52597 L
.58137 .52649 L
.58267 .52807 L
.58269 .52809 L
.58391 .5297 L
.58428 .53006 L
.58528 .5313 L
.58588 .53222 L
.58636 .53291 L
.58749 .53435 L
.58754 .53451 L
.58883 .53612 L
.58909 .5363 L
.59032 .53772 L
.5907 .53846 L
.59135 .53933 L
.5923 .54062 L
.59248 .54093 L
.59375 .54254 L
.59391 .54274 L
.59544 .54414 L
.59551 .54468 L
.59636 .54575 L
.59712 .54689 L
.59743 .54735 L
.59866 .54896 L
.59872 .54904 L
.59987 .55057 L
.60033 .55088 L
.60139 .55217 L
.60193 .55314 L
.60239 .55378 L
.60354 .55535 L
.60356 .55538 L
.60476 .55699 L
.60514 .55748 L
.60651 .55859 L
.60675 .55939 L
.60736 .5602 L
.60835 .56167 L
.60844 .5618 L
.60963 .56341 L
.60996 .56383 L
.61084 .56501 L
.61156 .56563 L
.61232 .56662 L
.61317 .56803 L
.6133 .56822 L
.61446 .56983 L
.61477 .57024 L
.61564 .57143 L
.61638 .5724 L
.61727 .57304 L
.61799 .57451 L
.61808 .57464 L
.61919 .57625 L
.61959 .57678 L
.62034 .57785 L
.6212 .57902 L
.6215 .57946 L
.62263 .58106 L
.6228 .5813 L
.62368 .58267 L
.62441 .58374 L
.62472 .58428 L
.62562 .58588 L
.62441 .58614 L
.62428 .58588 L
.6228 .58449 L
.62262 .58428 L
.6212 .58278 L
.62104 .58267 L
.61962 .58106 L
.61959 .58103 L
.61819 .57946 L
.61799 .57929 L
.61678 .57785 L
.61638 .57738 L
.61509 .57625 L
.61477 .57543 L
.61407 .57464 L
.61317 .57344 L
.61288 .57304 L
.61156 .57148 L
.61138 .57143 L
.61008 .56983 L
.60996 .56967 L
.60873 .56822 L
.60835 .56761 L
.6076 .56662 L
.60675 .5655 L
.60652 .56501 L
.60514 .56369 L
.60491 .56341 L
.60361 .5618 L
.60354 .56164 L
.60242 .5602 L
.60193 .55951 L
.60133 .55859 L
.60033 .55732 L
.59984 .55699 L
.59872 .55553 L
.59861 .55538 L
.59734 .55378 L
.59712 .55342 L
.59622 .55217 L
.59551 .55124 L
.59521 .55057 L
.59391 .54934 L
.5936 .54896 L
.59235 .54735 L
.5923 .54725 L
.59116 .54575 L
.5907 .5451 L
.5901 .54414 L
.58909 .5429 L
.58863 .54254 L
.58749 .54104 L
.58741 .54093 L
.58614 .53933 L
.58588 .53891 L
.58504 .53772 L
.58428 .53674 L
.58404 .53612 L
.58267 .53459 L
.58245 .53451 L
.58117 .53291 L
.58106 .53269 L
.58001 .5313 L
.57946 .53054 L
.57895 .5297 L
.57785 .52838 L
.5775 .52809 L
.57625 .52649 L
.57625 .52644 L
.575 .52488 L
.57464 .52433 L
.57391 .52328 L
.57304 .52217 L
.57288 .52167 L
.57143 .52011 L
.57134 .52007 L
.57001 .51846 L
.56983 .51809 L
.56889 .51686 L
.56822 .51595 L
.56782 .51525 L
.56662 .51383 L
.56641 .51364 L
.56503 .51204 L
.56501 .51184 L
.56388 .51043 L
.56341 .50972 L
.56279 .50883 L
.5618 .50759 L
.56171 .50722 L
.56025 .50562 L
.5602 .50556 L
.55887 .50401 L
.55859 .50348 L
.55778 .50241 L
.55699 .50134 L
.55669 .5008 L
.55538 .49926 L
.55532 .4992 L
.55383 .49759 L
.55378 .49723 L
.55277 .49599 L
.55217 .4951 L
.55168 .49438 L
.55057 .49298 L
.55053 .49278 L
.54917 .49117 L
.54896 .49098 L
.54774 .48957 L
.54735 .48886 L
.54668 .48796 L
.54575 .48672 L
.54556 .48636 L
.54424 .48475 L
.54414 .4847 L
.54266 .48314 L
.54254 .48263 L
.54167 .48154 L
.54093 .48047 L
.54058 .47993 L
.53933 .47834 L
.53933 .47833 L
.5381 .47672 L
.53772 .47641 L
.53663 .47512 L
.53612 .47422 L
.5356 .47351 L
.53451 .47206 L
.53443 .47191 L
.53318 .4703 L
.53291 .4702 L
.53154 .4687 L
.5313 .46799 L
.5306 .46709 L
.5297 .46579 L
.5295 .46549 L
.52827 .46388 L
.52809 .46365 L
.52706 .46228 L
.52649 .46179 L
.52558 .46067 L
.52488 .45953 L
.52455 .45907 L
.52337 .45746 L
.52328 .45735 L
.52216 .45586 L
.52167 .45522 L
.52051 .45425 L
.52007 .45327 L
.5196 .45265 L
.51848 .45104 L
.51846 .45102 L
.51729 .44943 L
.51686 .44888 L
.51608 .44783 L
.51525 .44701 L
.51465 .44622 L
.51364 .44465 L
.51362 .44462 L
.51245 .44301 L
.51204 .44248 L
.51126 .44141 L
.51043 .44033 L
.50974 .4398 L
.50884 .4382 L
.50883 .43818 L
.50769 .43659 L
.50722 .43597 L
.50653 .43499 L
.50562 .43376 L
.50536 .43338 L
.50422 .43178 L
.50401 .4315 L
.50314 .43017 L
.50241 .42913 L
.50206 .42857 L
.50104 .42696 L
.5008 .42657 L
.50035 .42536 L
F
1 .91 .061 r
.5008 .48045 m
.50205 .48154 L
.50241 .48186 L
.50364 .48314 L
.50401 .48353 L
.5051 .48475 L
.50562 .48535 L
.50647 .48636 L
.50722 .48714 L
.50823 .48796 L
.50883 .48927 L
.50907 .48957 L
.51025 .49117 L
.51043 .49143 L
.51139 .49278 L
.51204 .49379 L
.51241 .49438 L
.51304 .49599 L
.51204 .49629 L
.51163 .49599 L
.51043 .49495 L
.50992 .49438 L
.50883 .49348 L
.5085 .49278 L
.50722 .49128 L
.5071 .49117 L
.50593 .48957 L
.50562 .48917 L
.50473 .48796 L
.50401 .48703 L
.50354 .48636 L
.50241 .48483 L
.50235 .48475 L
.50131 .48314 L
.5008 .48238 L
.50035 .48154 L
F
1 .85 .01 r
.5008 .50165 m
.50241 .50184 L
.50327 .50241 L
.50401 .5032 L
.50501 .50401 L
.50562 .50476 L
.50684 .50562 L
.50722 .50665 L
.50786 .50722 L
.50883 .50862 L
.50903 .50883 L
.51033 .51043 L
.51043 .5105 L
.51157 .51204 L
.51204 .51254 L
.51301 .51364 L
.51364 .51468 L
.51406 .51525 L
.51525 .51683 L
.51526 .51686 L
.51647 .51846 L
.51686 .51898 L
.51805 .52007 L
.51846 .52087 L
.51892 .52167 L
.51998 .52328 L
.52007 .5234 L
.52103 .52488 L
.52167 .52601 L
.52191 .52649 L
.52167 .52773 L
.52007 .52724 L
.51904 .52649 L
.51846 .52596 L
.51735 .52488 L
.51686 .5243 L
.51547 .52328 L
.51525 .52243 L
.51447 .52167 L
.51364 .52045 L
.51329 .52007 L
.51204 .51851 L
.51203 .51846 L
.51067 .51686 L
.51043 .51658 L
.50926 .51525 L
.50883 .51449 L
.50819 .51364 L
.50722 .51238 L
.50706 .51204 L
.50573 .51043 L
.50562 .51028 L
.5042 .50883 L
.50401 .50846 L
.50327 .50722 L
.50241 .50604 L
.50224 .50562 L
.50117 .50401 L
.5008 .5033 L
.50043 .50241 L
F
0 .7 1 r
.5008 .48717 m
.50144 .48796 L
.50241 .48916 L
.5027 .48957 L
.50241 .49035 L
.50177 .48957 L
.5008 .48845 L
.50046 .48796 L
F
1 .52 0 r
.5008 .45113 m
.50196 .45265 L
.50241 .45317 L
.50321 .45425 L
.50401 .4552 L
.50449 .45586 L
.50562 .45724 L
.50578 .45746 L
.50701 .45907 L
.50722 .45932 L
.5082 .46067 L
.50883 .46143 L
.50943 .46228 L
.51043 .46354 L
.51068 .46388 L
.51043 .46542 L
.50924 .46388 L
.50883 .4634 L
.50797 .46228 L
.50722 .46137 L
.50669 .46067 L
.50562 .45934 L
.50541 .45907 L
.50418 .45746 L
.50401 .45726 L
.50298 .45586 L
.50241 .45515 L
.50175 .45425 L
.5008 .45305 L
.50051 .45265 L
F
1 .84 .007 r
.5008 .50181 m
.50241 .50192 L
.50317 .50241 L
.50401 .50327 L
.50496 .50401 L
.50562 .50481 L
.50681 .50562 L
.50722 .50668 L
.50783 .50722 L
.50883 .50864 L
.50901 .50883 L
.5103 .51043 L
.51043 .51051 L
.51155 .51204 L
.51204 .51257 L
.51299 .51364 L
.51364 .51471 L
.51404 .51525 L
.51525 .51686 L
.51525 .51686 L
.51644 .51846 L
.51686 .51901 L
.51802 .52007 L
.51846 .52092 L
.51889 .52167 L
.51994 .52328 L
.52007 .52346 L
.52097 .52488 L
.52167 .52616 L
.52182 .52649 L
.52167 .52752 L
.52007 .52715 L
.51916 .52649 L
.51846 .52588 L
.51742 .52488 L
.51686 .52424 L
.5155 .52328 L
.51525 .52238 L
.5145 .52167 L
.51364 .52042 L
.51332 .52007 L
.51204 .51849 L
.51203 .51846 L
.5107 .51686 L
.51043 .51655 L
.50928 .51525 L
.50883 .51446 L
.50822 .51364 L
.50722 .51235 L
.50708 .51204 L
.50576 .51043 L
.50562 .51025 L
.50421 .50883 L
.50401 .50843 L
.5033 .50722 L
.50241 .50597 L
.50227 .50562 L
.50123 .50401 L
.5008 .50315 L
.50053 .50241 L
F
0 .69 1 r
.5008 .45794 m
.50151 .45907 L
.50241 .46024 L
.50266 .46067 L
.50241 .46115 L
.50201 .46067 L
.5008 .45935 L
.50057 .45907 L
F
1 .51 0 r
.5008 .45123 m
.50187 .45265 L
.50241 .45326 L
.50314 .45425 L
.50401 .45529 L
.50443 .45586 L
.50562 .45732 L
.50572 .45746 L
.50693 .45907 L
.50722 .45941 L
.50813 .46067 L
.50883 .46153 L
.50936 .46228 L
.51043 .46363 L
.51061 .46388 L
.51043 .46531 L
.50933 .46388 L
.50883 .4633 L
.50805 .46228 L
.50722 .46128 L
.50676 .46067 L
.50562 .45925 L
.50548 .45907 L
.50426 .45746 L
.50401 .45717 L
.50306 .45586 L
.50241 .45506 L
.50182 .45425 L
.5008 .45295 L
.50058 .45265 L
F
1 .52 0 r
.5008 .54908 m
.50183 .55057 L
.50241 .55129 L
.503 .55217 L
.50401 .55351 L
.50419 .55378 L
.50401 .55464 L
.50334 .55378 L
.50241 .55277 L
.50195 .55217 L
.5008 .55085 L
.50059 .55057 L
F
0 .69 1 r
.5008 .48742 m
.50124 .48796 L
.50241 .48941 L
.50251 .48957 L
.50241 .49007 L
.502 .48957 L
.5008 .48824 L
.50062 .48796 L
F
1 .83 .005 r
.5008 .502 m
.50241 .50201 L
.50306 .50241 L
.50401 .50333 L
.50491 .50401 L
.50562 .50486 L
.50678 .50562 L
.50722 .50672 L
.5078 .50722 L
.50883 .50866 L
.50899 .50883 L
.51028 .51043 L
.51043 .51053 L
.51152 .51204 L
.51204 .51259 L
.51297 .51364 L
.51364 .51474 L
.51402 .51525 L
.51523 .51686 L
.51525 .51689 L
.51642 .51846 L
.51686 .51904 L
.518 .52007 L
.51846 .52098 L
.51886 .52167 L
.5199 .52328 L
.52007 .52352 L
.52092 .52488 L
.52167 .52635 L
.52172 .52649 L
.52167 .52724 L
.52007 .52706 L
.51927 .52649 L
.51846 .5258 L
.51748 .52488 L
.51686 .52417 L
.51553 .52328 L
.51525 .52233 L
.51454 .52167 L
.51364 .52038 L
.51335 .52007 L
.51204 .51848 L
.51203 .51846 L
.51073 .51686 L
.51043 .51652 L
.5093 .51525 L
.50883 .51443 L
.50824 .51364 L
.50722 .51232 L
.50709 .51204 L
.50578 .51043 L
.50562 .51021 L
.50423 .50883 L
.50401 .50839 L
.50333 .50722 L
.50241 .50589 L
.5023 .50562 L
.50128 .50401 L
.5008 .50296 L
.50064 .50241 L
F
1 .5 0 r
.5008 .45135 m
.50177 .45265 L
.50241 .45336 L
.50306 .45425 L
.50401 .45538 L
.50436 .45586 L
.50562 .4574 L
.50566 .45746 L
.50685 .45907 L
.50722 .45951 L
.50804 .46067 L
.50883 .46163 L
.50928 .46228 L
.51043 .46373 L
.51054 .46388 L
.51043 .46519 L
.50944 .46388 L
.50883 .46319 L
.50814 .46228 L
.50722 .46118 L
.50684 .46067 L
.50562 .45916 L
.50555 .45907 L
.50435 .45746 L
.50401 .45706 L
.50314 .45586 L
.50241 .45495 L
.5019 .45425 L
.5008 .45285 L
.50066 .45265 L
F
1 .51 0 r
.5008 .5492 m
.50172 .55057 L
.50241 .55143 L
.50289 .55217 L
.50401 .55368 L
.50408 .55378 L
.50401 .55443 L
.50351 .55378 L
.50241 .55264 L
.50205 .55217 L
.5008 .55075 L
.50067 .55057 L
F
0 .54 1 r
.5008 .44469 m
.50213 .44622 L
.50241 .44651 L
.5035 .44783 L
.50401 .4484 L
.50485 .44943 L
.50562 .45032 L
.50619 .45104 L
.50722 .45226 L
.50753 .45265 L
.50883 .45422 L
.50887 .45425 L
.51011 .45586 L
.51043 .45624 L
.51139 .45746 L
.51204 .45825 L
.51267 .45907 L
.51364 .45999 L
.51396 .46067 L
.51523 .46228 L
.51525 .4623 L
.51647 .46388 L
.51686 .46436 L
.51772 .46549 L
.51846 .46641 L
.51898 .46709 L
.52007 .46836 L
.52043 .4687 L
.52147 .4703 L
.52167 .47055 L
.52269 .47191 L
.52328 .47264 L
.52393 .47351 L
.52488 .47441 L
.52517 .47512 L
.52641 .47672 L
.52649 .47682 L
.5276 .47833 L
.52809 .47895 L
.52881 .47993 L
.5297 .48107 L
.53004 .48154 L
.53126 .48314 L
.5313 .4832 L
.53242 .48475 L
.53291 .48537 L
.53361 .48636 L
.53451 .48754 L
.53481 .48796 L
.536 .48957 L
.53612 .48972 L
.5371 .49117 L
.53772 .49199 L
.53824 .49278 L
.53933 .49427 L
.5394 .49438 L
.53933 .49583 L
.53805 .49438 L
.53772 .49404 L
.53666 .49278 L
.53612 .49218 L
.53529 .49117 L
.53451 .49028 L
.53393 .48957 L
.53291 .48835 L
.5326 .48796 L
.5313 .48639 L
.53126 .48636 L
.53 .48475 L
.5297 .48439 L
.52871 .48314 L
.52809 .48239 L
.52742 .48154 L
.52649 .48061 L
.52613 .47993 L
.52488 .47836 L
.52485 .47833 L
.52361 .47672 L
.52328 .47631 L
.52236 .47512 L
.52167 .47426 L
.52109 .47351 L
.52007 .4723 L
.51964 .47191 L
.5186 .4703 L
.51846 .47013 L
.51737 .4687 L
.51686 .46804 L
.51613 .46709 L
.51525 .46625 L
.51489 .46549 L
.51366 .46388 L
.51364 .46386 L
.51246 .46228 L
.51204 .46174 L
.51125 .46067 L
.51043 .45962 L
.51002 .45907 L
.50883 .45751 L
.50878 .45746 L
.50764 .45586 L
.50722 .45532 L
.50645 .45425 L
.50562 .45315 L
.50525 .45265 L
.50407 .45104 L
.50401 .45097 L
.50296 .44943 L
.50241 .4487 L
.50182 .44783 L
.5008 .44642 L
.50067 .44622 L
F
1 .9 .045 r
.5008 .48109 m
.50157 .48154 L
.50241 .4822 L
.50336 .48314 L
.50401 .4838 L
.50487 .48475 L
.50562 .48559 L
.50628 .48636 L
.50722 .48738 L
.50797 .48796 L
.50883 .48952 L
.50887 .48957 L
.51006 .49117 L
.51043 .49169 L
.51119 .49278 L
.51204 .49418 L
.51216 .49438 L
.51204 .49592 L
.51043 .49474 L
.5101 .49438 L
.50883 .49322 L
.50863 .49278 L
.50729 .49117 L
.50722 .49109 L
.50606 .48957 L
.50562 .48901 L
.50486 .48796 L
.50401 .48685 L
.50367 .48636 L
.50251 .48475 L
.50241 .4846 L
.50154 .48314 L
.5008 .48185 L
.50069 .48154 L
F
0 .69 1 r
.5008 .54255 m
.50207 .54414 L
.50241 .54452 L
.50337 .54575 L
.50401 .54651 L
.50467 .54735 L
.50562 .54851 L
.50597 .54896 L
.50722 .55053 L
.50725 .55057 L
.50847 .55217 L
.50883 .5526 L
.50971 .55378 L
.51043 .55467 L
.51097 .55538 L
.51204 .55675 L
.51222 .55699 L
.51342 .55859 L
.51364 .55887 L
.5146 .5602 L
.51525 .56102 L
.51581 .5618 L
.51686 .56316 L
.51703 .56341 L
.51686 .56495 L
.51565 .56341 L
.51525 .56296 L
.51437 .5618 L
.51364 .56096 L
.51307 .5602 L
.51204 .55895 L
.51177 .55859 L
.51048 .55699 L
.51043 .55693 L
.50927 .55538 L
.50883 .55485 L
.50804 .55378 L
.50722 .55277 L
.50679 .55217 L
.50562 .5507 L
.50552 .55057 L
.50433 .54896 L
.50401 .54857 L
.50315 .54735 L
.50241 .54643 L
.50194 .54575 L
.5008 .54429 L
.5007 .54414 L
F
1 .49 0 r
.5008 .45149 m
.50165 .45265 L
.50241 .45348 L
.50296 .45425 L
.50401 .45548 L
.50428 .45586 L
.50401 .45694 L
.50324 .45586 L
.50241 .45484 L
.50199 .45425 L
.5008 .45273 L
.50074 .45265 L
F
0 .53 1 r
.5008 .44482 m
.50203 .44622 L
.50241 .4466 L
.50343 .44783 L
.50401 .44847 L
.50479 .44943 L
.50562 .45038 L
.50615 .45104 L
.50722 .45232 L
.50748 .45265 L
.5088 .45425 L
.50883 .45428 L
.51007 .45586 L
.51043 .45629 L
.51135 .45746 L
.51204 .45829 L
.51264 .45907 L
.51364 .46006 L
.51392 .46067 L
.5152 .46228 L
.51525 .46234 L
.51643 .46388 L
.51686 .4644 L
.51768 .46549 L
.51846 .46645 L
.51895 .46709 L
.52007 .46842 L
.52038 .4687 L
.52144 .4703 L
.52167 .47059 L
.52266 .47191 L
.52328 .47268 L
.5239 .47351 L
.52488 .47447 L
.52514 .47512 L
.52637 .47672 L
.52649 .47687 L
.52756 .47833 L
.52809 .479 L
.52878 .47993 L
.5297 .48112 L
.53001 .48154 L
.53122 .48314 L
.5313 .48324 L
.53238 .48475 L
.53291 .48542 L
.53357 .48636 L
.53451 .48759 L
.53477 .48796 L
.53594 .48957 L
.53612 .48979 L
.53705 .49117 L
.53772 .49207 L
.53818 .49278 L
.53933 .49437 L
.53934 .49438 L
.53933 .49569 L
.53816 .49438 L
.53772 .49395 L
.53673 .49278 L
.53612 .4921 L
.53535 .49117 L
.53451 .49021 L
.53398 .48957 L
.53291 .48829 L
.53264 .48796 L
.53133 .48636 L
.5313 .48633 L
.53004 .48475 L
.5297 .48434 L
.52875 .48314 L
.52809 .48234 L
.52746 .48154 L
.52649 .48055 L
.52617 .47993 L
.5249 .47833 L
.52488 .47831 L
.52365 .47672 L
.52328 .47627 L
.52239 .47512 L
.52167 .47422 L
.52113 .47351 L
.52007 .47225 L
.5197 .47191 L
.51863 .4703 L
.51846 .47009 L
.5174 .4687 L
.51686 .468 L
.51616 .46709 L
.51525 .46619 L
.51492 .46549 L
.51369 .46388 L
.51364 .46382 L
.5125 .46228 L
.51204 .46169 L
.51128 .46067 L
.51043 .45957 L
.51006 .45907 L
.50884 .45746 L
.50883 .45744 L
.50768 .45586 L
.50722 .45527 L
.50649 .45425 L
.50562 .45309 L
.5053 .45265 L
.50413 .45104 L
.50401 .45089 L
.50302 .44943 L
.50241 .44862 L
.50188 .44783 L
.5008 .44632 L
.50074 .44622 L
F
0 .68 1 r
.5008 .45818 m
.50128 .45907 L
.5008 .45913 L
.50075 .45907 L
F
1 .5 0 r
.5008 .54935 m
.50159 .55057 L
.50241 .5516 L
.50276 .55217 L
.50241 .55249 L
.50217 .55217 L
.5008 .55063 L
.50075 .55057 L
F
1 .82 .004 r
.5008 .50225 m
.50241 .5021 L
.50294 .50241 L
.50401 .50339 L
.50485 .50401 L
.50562 .50491 L
.50674 .50562 L
.50722 .50675 L
.50777 .50722 L
.50883 .50869 L
.50897 .50883 L
.51025 .51043 L
.51043 .51054 L
.5115 .51204 L
.51204 .51261 L
.51295 .51364 L
.51364 .51477 L
.514 .51525 L
.5152 .51686 L
.51525 .51692 L
.51639 .51846 L
.51686 .51908 L
.51797 .52007 L
.51846 .52104 L
.51882 .52167 L
.51986 .52328 L
.52007 .52359 L
.52086 .52488 L
.52161 .52649 L
.52007 .52696 L
.5194 .52649 L
.51846 .52573 L
.51755 .52488 L
.51686 .52411 L
.51557 .52328 L
.51525 .52228 L
.51457 .52167 L
.51364 .52035 L
.51337 .52007 L
.51204 .51847 L
.51204 .51846 L
.51075 .51686 L
.51043 .5165 L
.50932 .51525 L
.50883 .5144 L
.50826 .51364 L
.50722 .51229 L
.5071 .51204 L
.50581 .51043 L
.50562 .51018 L
.50424 .50883 L
.50401 .50835 L
.50336 .50722 L
.50241 .50581 L
.50233 .50562 L
.50134 .50401 L
.5008 .50268 L
.50076 .50241 L
F
1 .72 0 r
.5008 .43823 m
.50236 .4398 L
.50241 .43985 L
.50382 .44141 L
.50401 .44161 L
.50522 .44301 L
.50562 .44344 L
.50661 .44462 L
.50722 .44532 L
.50798 .44622 L
.50883 .44706 L
.50932 .44783 L
.51043 .44914 L
.51075 .44943 L
.51197 .45104 L
.51204 .45113 L
.51326 .45265 L
.51364 .45279 L
.51456 .45425 L
.51525 .455 L
.51623 .45586 L
.51686 .45709 L
.51719 .45746 L
.51842 .45907 L
.51846 .45912 L
.51968 .46067 L
.52007 .46098 L
.52095 .46228 L
.52167 .46312 L
.52239 .46388 L
.52328 .46522 L
.52349 .46549 L
.52474 .46709 L
.52488 .4671 L
.52599 .4687 L
.52649 .46921 L
.5276 .4703 L
.52809 .47135 L
.52856 .47191 L
.5297 .47345 L
.52974 .47351 L
.53098 .47512 L
.5313 .47533 L
.53223 .47672 L
.53291 .47751 L
.53364 .47833 L
.53451 .47966 L
.53472 .47993 L
.53595 .48154 L
.53612 .48175 L
.53718 .48314 L
.53772 .48368 L
.53876 .48475 L
.53933 .48588 L
.53972 .48636 L
.54089 .48796 L
.54093 .48801 L
.54211 .48957 L
.54254 .48982 L
.54333 .49117 L
.54414 .49211 L
.54472 .49278 L
.54575 .4943 L
.54581 .49438 L
.54701 .49599 L
.54735 .49643 L
.54822 .49759 L
.54896 .49833 L
.54975 .4992 L
.55057 .50062 L
.55071 .5008 L
.55188 .50241 L
.55217 .50278 L
.55308 .50401 L
.55378 .50452 L
.55429 .50562 L
.55538 .50699 L
.55558 .50722 L
.5567 .50883 L
.55699 .5092 L
.55788 .51043 L
.55859 .51137 L
.55908 .51204 L
.5602 .51346 L
.56035 .51364 L
.56144 .51525 L
.5618 .51573 L
.56259 .51686 L
.56341 .51796 L
.56376 .51846 L
.56491 .52007 L
.56501 .5202 L
.56598 .52167 L
.56662 .52256 L
.56706 .52328 L
.56662 .52469 L
.56532 .52328 L
.56501 .52296 L
.56388 .52167 L
.56341 .52116 L
.56247 .52007 L
.5618 .5193 L
.56109 .51846 L
.5602 .51753 L
.55973 .51686 L
.55859 .51549 L
.55834 .51525 L
.55708 .51364 L
.55699 .51353 L
.55577 .51204 L
.55538 .51181 L
.55446 .51043 L
.55378 .50966 L
.55289 .50883 L
.55217 .50759 L
.55185 .50722 L
.55059 .50562 L
.55057 .50559 L
.54932 .50401 L
.54896 .50368 L
.54804 .50241 L
.54735 .50157 L
.54667 .5008 L
.54575 .4995 L
.54553 .4992 L
.54425 .49759 L
.54414 .49755 L
.54299 .49599 L
.54254 .49549 L
.54149 .49438 L
.54093 .49337 L
.54046 .49278 L
.53933 .49129 L
.53926 .49117 L
.53798 .48957 L
.53772 .48935 L
.53624 .48796 L
.53612 .48722 L
.53539 .48636 L
.53451 .48509 L
.53428 .48475 L
.53301 .48314 L
.53291 .48313 L
.53178 .48154 L
.5313 .48104 L
.5303 .47993 L
.5297 .47887 L
.52928 .47833 L
.52809 .47675 L
.52808 .47672 L
.52685 .47512 L
.52649 .47485 L
.52513 .47351 L
.52488 .47264 L
.52428 .47191 L
.52328 .47047 L
.52317 .4703 L
.52194 .4687 L
.52167 .46835 L
.52073 .46709 L
.52007 .46639 L
.51927 .46549 L
.51846 .46415 L
.51826 .46388 L
.51708 .46228 L
.51686 .46199 L
.51587 .46067 L
.51525 .46018 L
.51421 .45907 L
.51364 .45779 L
.51339 .45746 L
.51226 .45586 L
.51204 .45557 L
.51108 .45425 L
.51043 .4534 L
.50988 .45265 L
.50883 .45133 L
.50859 .45104 L
.50752 .44943 L
.50722 .44904 L
.50637 .44783 L
.50562 .44681 L
.50521 .44622 L
.50405 .44462 L
.50401 .44457 L
.50297 .44301 L
.50241 .44222 L
.50189 .44141 L
.5008 .43981 L
.5008 .4398 L
F
0 .68 1 r
.5008 .54274 m
.50191 .54414 L
.50241 .54469 L
.50324 .54575 L
.50401 .54665 L
.50456 .54735 L
.50562 .54864 L
.50587 .54896 L
.50714 .55057 L
.50722 .55067 L
.50836 .55217 L
.50883 .55273 L
.50961 .55378 L
.51043 .5548 L
.51087 .55538 L
.51204 .55688 L
.51212 .55699 L
.5133 .55859 L
.51364 .55902 L
.51449 .5602 L
.51525 .56117 L
.5157 .5618 L
.51686 .56332 L
.51691 .56341 L
.51686 .56477 L
.5158 .56341 L
.51525 .56281 L
.51449 .5618 L
.51364 .56083 L
.51317 .5602 L
.51204 .55884 L
.51186 .55859 L
.51059 .55699 L
.51043 .55681 L
.50938 .55538 L
.50883 .55473 L
.50814 .55378 L
.50722 .55266 L
.50687 .55217 L
.50562 .55059 L
.5056 .55057 L
.50444 .54896 L
.50401 .54844 L
.50326 .54735 L
.50241 .54629 L
.50204 .54575 L
.5008 .54415 L
.5008 .54414 L
F
0 .55 1 r
.50241 .50871 m
.50251 .50883 L
.50392 .51043 L
.50401 .51054 L
.50519 .51204 L
.50562 .51256 L
.5064 .51364 L
.50722 .51473 L
.50758 .51525 L
.50864 .51686 L
.50722 .51692 L
.50716 .51686 L
.50572 .51525 L
.50562 .51514 L
.5044 .51364 L
.50401 .51319 L
.50314 .51204 L
.50241 .51108 L
.50195 .51043 L
.50088 .50883 L
F
1 .81 .003 r
.50241 .50218 m
.50281 .50241 L
.50401 .50345 L
.5048 .50401 L
.50562 .50495 L
.5067 .50562 L
.50722 .50679 L
.50774 .50722 L
.50883 .50871 L
.50895 .50883 L
.51023 .51043 L
.51043 .51056 L
.51148 .51204 L
.51204 .51264 L
.51293 .51364 L
.51364 .5148 L
.51398 .51525 L
.51518 .51686 L
.51525 .51695 L
.51637 .51846 L
.51686 .51911 L
.51794 .52007 L
.51846 .52109 L
.51878 .52167 L
.51982 .52328 L
.52007 .52366 L
.5208 .52488 L
.52147 .52649 L
.52007 .52686 L
.51953 .52649 L
.51846 .52566 L
.51762 .52488 L
.51686 .52406 L
.51561 .52328 L
.51525 .52224 L
.51461 .52167 L
.51364 .52032 L
.5134 .52007 L
.51205 .51846 L
.51204 .51845 L
.51078 .51686 L
.51043 .51647 L
.50934 .51525 L
.50883 .51437 L
.50828 .51364 L
.50722 .51226 L
.50712 .51204 L
.50584 .51043 L
.50562 .51014 L
.50426 .50883 L
.50401 .50831 L
.5034 .50722 L
.50241 .50572 L
.50237 .50562 L
.5014 .50401 L
.5009 .50241 L
F
0 .54 1 r
.50241 .50878 m
.50245 .50883 L
.50386 .51043 L
.50401 .5106 L
.50514 .51204 L
.50562 .51263 L
.50635 .51364 L
.50722 .5148 L
.50752 .51525 L
.50722 .51684 L
.50579 .51525 L
.50562 .51507 L
.50445 .51364 L
.50401 .51312 L
.50319 .51204 L
.50241 .511 L
.502 .51043 L
.50097 .50883 L
F
1 .8 .002 r
.50241 .50227 m
.50267 .50241 L
.50401 .5035 L
.50474 .50401 L
.50562 .505 L
.50666 .50562 L
.50722 .50682 L
.5077 .50722 L
.50883 .50873 L
.50893 .50883 L
.51021 .51043 L
.51043 .51057 L
.51146 .51204 L
.51204 .51267 L
.5129 .51364 L
.51364 .51482 L
.51396 .51525 L
.51516 .51686 L
.51525 .51698 L
.51634 .51846 L
.51686 .51915 L
.51792 .52007 L
.51846 .52116 L
.51875 .52167 L
.51977 .52328 L
.52007 .52373 L
.52074 .52488 L
.52131 .52649 L
.52007 .52675 L
.51968 .52649 L
.51846 .52558 L
.51769 .52488 L
.51686 .524 L
.51565 .52328 L
.51525 .5222 L
.51465 .52167 L
.51364 .52029 L
.51343 .52007 L
.51208 .51846 L
.51204 .51843 L
.51081 .51686 L
.51043 .51644 L
.50936 .51525 L
.50883 .51434 L
.5083 .51364 L
.50722 .51223 L
.50713 .51204 L
.50586 .51043 L
.50562 .51011 L
.50428 .50883 L
.50401 .50827 L
.50343 .50722 L
.50241 .50563 L
.5024 .50562 L
.50146 .50401 L
.50107 .50241 L
F
.045 .9 1 r
.50241 .43335 m
.50242 .43338 L
.50401 .43499 L
.50401 .43499 L
.50549 .43659 L
.50562 .43672 L
.50693 .4382 L
.50722 .43852 L
.50833 .4398 L
.50883 .44021 L
.50972 .44141 L
.51043 .44223 L
.51136 .44301 L
.51204 .4442 L
.51242 .44462 L
.51364 .44614 L
.5137 .44622 L
.51504 .44783 L
.51525 .44805 L
.51636 .44943 L
.51686 .45007 L
.51773 .45104 L
.51846 .45211 L
.51887 .45265 L
.52007 .45412 L
.52011 .45425 L
.5215 .45586 L
.52167 .45607 L
.52294 .45746 L
.52328 .45813 L
.52402 .45907 L
.52488 .46022 L
.52515 .46067 L
.52649 .46223 L
.52656 .46228 L
.52807 .46388 L
.52809 .46423 L
.52914 .46549 L
.5297 .46633 L
.53024 .46709 L
.5313 .46843 L
.53137 .4687 L
.53282 .4703 L
.53291 .4704 L
.53422 .47191 L
.53451 .47249 L
.5353 .47351 L
.53612 .47461 L
.53641 .47512 L
.53772 .47666 L
.53781 .47672 L
.53928 .47833 L
.53933 .47868 L
.54035 .47993 L
.54093 .4808 L
.54145 .48154 L
.54254 .48291 L
.54259 .48314 L
.544 .48475 L
.54414 .48491 L
.5454 .48636 L
.54575 .48701 L
.54647 .48796 L
.54735 .48913 L
.54759 .48957 L
.54895 .49117 L
.54896 .49118 L
.55047 .49278 L
.55057 .49323 L
.5515 .49438 L
.55217 .49537 L
.55259 .49599 L
.55378 .49747 L
.55379 .49759 L
.55511 .4992 L
.55538 .49947 L
.55654 .5008 L
.55699 .5016 L
.55759 .50241 L
.55859 .50374 L
.55873 .50401 L
.56003 .50562 L
.5602 .50573 L
.56162 .50722 L
.5618 .50784 L
.56259 .50883 L
.56341 .51 L
.56369 .51043 L
.56495 .51204 L
.56501 .51212 L
.56617 .51364 L
.56662 .51408 L
.56762 .51525 L
.56822 .51627 L
.56866 .51686 L
.56983 .51842 L
.56985 .51846 L
.57106 .52007 L
.57143 .52029 L
.5727 .52167 L
.57304 .52253 L
.57362 .52328 L
.57464 .52474 L
.57474 .52488 L
.57594 .52649 L
.57625 .52688 L
.57715 .52809 L
.57785 .52879 L
.57859 .5297 L
.57946 .53108 L
.57962 .5313 L
.5808 .53291 L
.58106 .53325 L
.58199 .53451 L
.58267 .53503 L
.58358 .53612 L
.58428 .53747 L
.58447 .53772 L
.5856 .53933 L
.58588 .53969 L
.58677 .54093 L
.58749 .54187 L
.58796 .54254 L
.58909 .54399 L
.58921 .54414 L
.5903 .54575 L
.5907 .54628 L
.59144 .54735 L
.5923 .54853 L
.59259 .54896 L
.59371 .55057 L
.59391 .55084 L
.59475 .55217 L
.59551 .5533 L
.59578 .55378 L
.59551 .55514 L
.59411 .55378 L
.59391 .55359 L
.59258 .55217 L
.5923 .55189 L
.59112 .55057 L
.5907 .55011 L
.58969 .54896 L
.58909 .54841 L
.5883 .54735 L
.58749 .54641 L
.58673 .54575 L
.58588 .54446 L
.5856 .54414 L
.58428 .54255 L
.58427 .54254 L
.58294 .54093 L
.58267 .54064 L
.58122 .53933 L
.58106 .53862 L
.58028 .53772 L
.57946 .53658 L
.57913 .53612 L
.57785 .53459 L
.57785 .53451 L
.57646 .53291 L
.57625 .53264 L
.57506 .5313 L
.57464 .53058 L
.57397 .5297 L
.57304 .52849 L
.57283 .52809 L
.57143 .52651 L
.57138 .52649 L
.56993 .52488 L
.56983 .52449 L
.56885 .52328 L
.56822 .52239 L
.56774 .52167 L
.56662 .52029 L
.56635 .52007 L
.56511 .51846 L
.56501 .51834 L
.56377 .51686 L
.56341 .51625 L
.56267 .51525 L
.5618 .51412 L
.56157 .51364 L
.5602 .51208 L
.56012 .51204 L
.55871 .51043 L
.55859 .51006 L
.55762 .50883 L
.55699 .50794 L
.55652 .50722 L
.55538 .50583 L
.55515 .50562 L
.55393 .50401 L
.55378 .50384 L
.55258 .50241 L
.55217 .50173 L
.55149 .5008 L
.55057 .49961 L
.55038 .4992 L
.54898 .49759 L
.54896 .49758 L
.54753 .49599 L
.54735 .49551 L
.54647 .49438 L
.54575 .49338 L
.54537 .49278 L
.54414 .49128 L
.54404 .49117 L
.54281 .48957 L
.54254 .48927 L
.54144 .48796 L
.54093 .48714 L
.54037 .48636 L
.53933 .48501 L
.53922 .48475 L
.53789 .48314 L
.53772 .48301 L
.53639 .48154 L
.53612 .4809 L
.53537 .47993 L
.53451 .47875 L
.53426 .47833 L
.53297 .47672 L
.53291 .47671 L
.53175 .47512 L
.5313 .47466 L
.53036 .47351 L
.5297 .47248 L
.52929 .47191 L
.52809 .47034 L
.52808 .4703 L
.52685 .4687 L
.52649 .46842 L
.52531 .46709 L
.52488 .46621 L
.52433 .46549 L
.52328 .46402 L
.52319 .46388 L
.52197 .46228 L
.52167 .46189 L
.52076 .46067 L
.52007 .45994 L
.51937 .45907 L
.51846 .45768 L
.51831 .45746 L
.51712 .45586 L
.51686 .45551 L
.51592 .45425 L
.51525 .45368 L
.5144 .45265 L
.51364 .45129 L
.51346 .45104 L
.51231 .44943 L
.51204 .44908 L
.51114 .44783 L
.51043 .4469 L
.50994 .44622 L
.50883 .44479 L
.5087 .44462 L
.5076 .44301 L
.50722 .44251 L
.50646 .44141 L
.50562 .44026 L
.5053 .4398 L
.50417 .4382 L
.50401 .43798 L
.50312 .43659 L
.50241 .43556 L
.50206 .43499 L
.50112 .43338 L
F
1 .79 .001 r
.50241 .50236 m
.50251 .50241 L
.50401 .50355 L
.50469 .50401 L
.50562 .50504 L
.50661 .50562 L
.50722 .50685 L
.50767 .50722 L
.50883 .50875 L
.5089 .50883 L
.51018 .51043 L
.51043 .51059 L
.51144 .51204 L
.51204 .51269 L
.51288 .51364 L
.51364 .51485 L
.51394 .51525 L
.51513 .51686 L
.51525 .51701 L
.51632 .51846 L
.51686 .51918 L
.51789 .52007 L
.51846 .52122 L
.51871 .52167 L
.51973 .52328 L
.52007 .52381 L
.52068 .52488 L
.52112 .52649 L
.52007 .52663 L
.51985 .52649 L
.51846 .52551 L
.51776 .52488 L
.51686 .52394 L
.5157 .52328 L
.51525 .52215 L
.51469 .52167 L
.51364 .52026 L
.51345 .52007 L
.51211 .51846 L
.51204 .51841 L
.51083 .51686 L
.51043 .51641 L
.50938 .51525 L
.50883 .51431 L
.50833 .51364 L
.50722 .5122 L
.50715 .51204 L
.50589 .51043 L
.50562 .51007 L
.50429 .50883 L
.50401 .50822 L
.50346 .50722 L
.50245 .50562 L
.50241 .50556 L
.50151 .50401 L
.50129 .50241 L
F
1 .78 .001 r
.50241 .50245 m
.50401 .5036 L
.50463 .50401 L
.50562 .50508 L
.50657 .50562 L
.50722 .50688 L
.50764 .50722 L
.50883 .50878 L
.50888 .50883 L
.51016 .51043 L
.51043 .51061 L
.51141 .51204 L
.51204 .51272 L
.51286 .51364 L
.51364 .51488 L
.51391 .51525 L
.51511 .51686 L
.51525 .51704 L
.51629 .51846 L
.51686 .51922 L
.51786 .52007 L
.51846 .52129 L
.51867 .52167 L
.51968 .52328 L
.52007 .52389 L
.52062 .52488 L
.52084 .52649 L
.52007 .52649 L
.52005 .52649 L
.51846 .52544 L
.51783 .52488 L
.51686 .52389 L
.51576 .52328 L
.51525 .52211 L
.51473 .52167 L
.51364 .52023 L
.51348 .52007 L
.51214 .51846 L
.51204 .51839 L
.51086 .51686 L
.51043 .51638 L
.5094 .51525 L
.50883 .51428 L
.50835 .51364 L
.50722 .51217 L
.50716 .51204 L
.50591 .51043 L
.50562 .51004 L
.50431 .50883 L
.50401 .50817 L
.50349 .50722 L
.50249 .50562 L
.50241 .50549 L
.50157 .50401 L
F
1 .77 .001 r
.50241 .50255 m
.50401 .50364 L
.50457 .50401 L
.50562 .50512 L
.50652 .50562 L
.50722 .50691 L
.5076 .50722 L
.50883 .5088 L
.50886 .50883 L
.51013 .51043 L
.51043 .51062 L
.51139 .51204 L
.51204 .51274 L
.51284 .51364 L
.51364 .51491 L
.51389 .51525 L
.51509 .51686 L
.51525 .51707 L
.51627 .51846 L
.51686 .51925 L
.51782 .52007 L
.51846 .52136 L
.51863 .52167 L
.51964 .52328 L
.52007 .52398 L
.52055 .52488 L
.52007 .52637 L
.51846 .52537 L
.51791 .52488 L
.51686 .52383 L
.51582 .52328 L
.51525 .52207 L
.51477 .52167 L
.51364 .5202 L
.51351 .52007 L
.51217 .51846 L
.51204 .51836 L
.51089 .51686 L
.51043 .51635 L
.50943 .51525 L
.50883 .51425 L
.50837 .51364 L
.50722 .51214 L
.50718 .51204 L
.50594 .51043 L
.50562 .51 L
.50433 .50883 L
.50401 .50812 L
.50353 .50722 L
.50253 .50562 L
.50241 .50542 L
.50164 .50401 L
F
1 .76 .001 r
.50241 .50264 m
.50401 .50369 L
.50451 .50401 L
.50562 .50516 L
.50646 .50562 L
.50722 .50694 L
.50757 .50722 L
.50883 .50882 L
.50883 .50883 L
.51011 .51043 L
.51043 .51064 L
.51137 .51204 L
.51204 .51277 L
.51282 .51364 L
.51364 .51494 L
.51387 .51525 L
.51506 .51686 L
.51525 .5171 L
.51624 .51846 L
.51686 .51929 L
.51779 .52007 L
.51846 .52143 L
.51859 .52167 L
.51959 .52328 L
.52007 .52407 L
.52048 .52488 L
.52007 .52625 L
.51846 .5253 L
.51799 .52488 L
.51686 .52378 L
.51589 .52328 L
.51525 .52203 L
.51481 .52167 L
.51364 .52017 L
.51353 .52007 L
.5122 .51846 L
.51204 .51834 L
.51091 .51686 L
.51043 .51632 L
.50945 .51525 L
.50883 .51422 L
.50839 .51364 L
.50722 .51211 L
.50719 .51204 L
.50597 .51043 L
.50562 .50996 L
.50436 .50883 L
.50401 .50807 L
.50356 .50722 L
.50257 .50562 L
.50241 .50534 L
.5017 .50401 L
F
1 .75 0 r
.50241 .50274 m
.50401 .50373 L
.50445 .50401 L
.50562 .5052 L
.50641 .50562 L
.50722 .50698 L
.50753 .50722 L
.50881 .50883 L
.50883 .50885 L
.51009 .51043 L
.51043 .51066 L
.51135 .51204 L
.51204 .5128 L
.51279 .51364 L
.51364 .51497 L
.51385 .51525 L
.51504 .51686 L
.51525 .51714 L
.51622 .51846 L
.51686 .51932 L
.51775 .52007 L
.51846 .52151 L
.51855 .52167 L
.51955 .52328 L
.52007 .52417 L
.52041 .52488 L
.52007 .52611 L
.51846 .52523 L
.51807 .52488 L
.51686 .52372 L
.51596 .52328 L
.51525 .52198 L
.51486 .52167 L
.51364 .52014 L
.51356 .52007 L
.51223 .51846 L
.51204 .51832 L
.51094 .51686 L
.51043 .51629 L
.50947 .51525 L
.50883 .51419 L
.50842 .51364 L
.50722 .51208 L
.50721 .51204 L
.50599 .51043 L
.50562 .50993 L
.50438 .50883 L
.50401 .50801 L
.5036 .50722 L
.50262 .50562 L
.50241 .50526 L
.50176 .50401 L
F
1 .74 0 r
.50241 .50284 m
.50401 .50378 L
.50438 .50401 L
.50562 .50524 L
.50635 .50562 L
.50722 .50701 L
.5075 .50722 L
.50878 .50883 L
.50883 .50889 L
.51006 .51043 L
.51043 .51068 L
.51133 .51204 L
.51204 .51283 L
.51277 .51364 L
.51364 .515 L
.51383 .51525 L
.51501 .51686 L
.51525 .51717 L
.51619 .51846 L
.51686 .51936 L
.51772 .52007 L
.51846 .52159 L
.5185 .52167 L
.5195 .52328 L
.52007 .52429 L
.52034 .52488 L
.52007 .52596 L
.51846 .52515 L
.51815 .52488 L
.51686 .52367 L
.51605 .52328 L
.51525 .52194 L
.5149 .52167 L
.51364 .52012 L
.51359 .52007 L
.51226 .51846 L
.51204 .5183 L
.51097 .51686 L
.51043 .51626 L
.50949 .51525 L
.50883 .51415 L
.50844 .51364 L
.50722 .51205 L
.50722 .51204 L
.50602 .51043 L
.50562 .50989 L
.5044 .50883 L
.50401 .50795 L
.50364 .50722 L
.50266 .50562 L
.50241 .50517 L
.50183 .50401 L
F
1 .89 .033 r
.50241 .4826 m
.50301 .48314 L
.50401 .4841 L
.50463 .48475 L
.50562 .48584 L
.50607 .48636 L
.50722 .48766 L
.50762 .48796 L
.50867 .48957 L
.50883 .48977 L
.50987 .49117 L
.51043 .49198 L
.51098 .49278 L
.51184 .49438 L
.51043 .4945 L
.51032 .49438 L
.50883 .4929 L
.50878 .49278 L
.50744 .49117 L
.50722 .49091 L
.5062 .48957 L
.50562 .48883 L
.505 .48796 L
.50401 .48666 L
.50381 .48636 L
.50272 .48475 L
.50241 .48427 L
.50184 .48314 L
F
1 .73 0 r
.50241 .50295 m
.50401 .50382 L
.50432 .50401 L
.50562 .50528 L
.50628 .50562 L
.50722 .50704 L
.50746 .50722 L
.50875 .50883 L
.50883 .50892 L
.51004 .51043 L
.51043 .5107 L
.5113 .51204 L
.51204 .51286 L
.51275 .51364 L
.51364 .51503 L
.5138 .51525 L
.51499 .51686 L
.51525 .5172 L
.51617 .51846 L
.51686 .5194 L
.51768 .52007 L
.51846 .52167 L
.51846 .52167 L
.51945 .52328 L
.52007 .52442 L
.52027 .52488 L
.52007 .5258 L
.51846 .52507 L
.51824 .52488 L
.51686 .52362 L
.51613 .52328 L
.51525 .5219 L
.51495 .52167 L
.51364 .52009 L
.51362 .52007 L
.51229 .51846 L
.51204 .51828 L
.51099 .51686 L
.51043 .51623 L
.50952 .51525 L
.50883 .51412 L
.50846 .51364 L
.50724 .51204 L
.50722 .51201 L
.50605 .51043 L
.50562 .50985 L
.50443 .50883 L
.50401 .50788 L
.50367 .50722 L
.50271 .50562 L
.50241 .50508 L
.5019 .50401 L
F
0 .52 1 r
.50241 .4467 m
.50335 .44783 L
.50401 .44855 L
.50473 .44943 L
.50562 .45044 L
.5061 .45104 L
.50722 .45237 L
.50744 .45265 L
.50875 .45425 L
.50883 .45434 L
.51003 .45586 L
.51043 .45634 L
.51131 .45746 L
.51204 .45834 L
.5126 .45907 L
.51364 .46012 L
.51389 .46067 L
.51516 .46228 L
.51525 .46238 L
.5164 .46388 L
.51686 .46444 L
.51765 .46549 L
.51846 .46649 L
.51892 .46709 L
.52007 .46847 L
.52032 .4687 L
.52141 .4703 L
.52167 .47063 L
.52263 .47191 L
.52328 .47272 L
.52387 .47351 L
.52488 .47454 L
.52511 .47512 L
.52634 .47672 L
.52649 .47691 L
.52753 .47833 L
.52809 .47904 L
.52874 .47993 L
.5297 .48116 L
.52997 .48154 L
.53118 .48314 L
.5313 .48329 L
.53234 .48475 L
.53291 .48548 L
.53353 .48636 L
.53451 .48765 L
.53473 .48796 L
.53589 .48957 L
.53612 .48987 L
.53699 .49117 L
.53772 .49216 L
.53811 .49278 L
.53772 .49384 L
.53681 .49278 L
.53612 .49202 L
.53541 .49117 L
.53451 .49014 L
.53404 .48957 L
.53291 .48823 L
.53269 .48796 L
.53138 .48636 L
.5313 .48627 L
.53009 .48475 L
.5297 .48429 L
.52879 .48314 L
.52809 .4823 L
.52749 .48154 L
.52649 .48049 L
.52621 .47993 L
.52493 .47833 L
.52488 .47827 L
.52368 .47672 L
.52328 .47622 L
.52242 .47512 L
.52167 .47418 L
.52116 .47351 L
.52007 .4722 L
.51975 .47191 L
.51867 .4703 L
.51846 .47004 L
.51744 .4687 L
.51686 .46796 L
.5162 .46709 L
.51525 .46613 L
.51496 .46549 L
.51373 .46388 L
.51364 .46377 L
.51253 .46228 L
.51204 .46165 L
.51132 .46067 L
.51043 .45953 L
.51009 .45907 L
.50888 .45746 L
.50883 .45739 L
.50772 .45586 L
.50722 .45521 L
.50654 .45425 L
.50562 .45303 L
.50534 .45265 L
.50418 .45104 L
.50401 .45082 L
.50308 .44943 L
.50241 .44853 L
.50195 .44783 L
F
1 .71 0 r
.50241 .43999 m
.50371 .44141 L
.50401 .44172 L
.50514 .44301 L
.50562 .44353 L
.50654 .44462 L
.50722 .44539 L
.50792 .44622 L
.50883 .44713 L
.50927 .44783 L
.51043 .4492 L
.51069 .44943 L
.51192 .45104 L
.51204 .45118 L
.51322 .45265 L
.51364 .45282 L
.51452 .45425 L
.51525 .45504 L
.51619 .45586 L
.51686 .45713 L
.51716 .45746 L
.51839 .45907 L
.51846 .45915 L
.51965 .46067 L
.52007 .46101 L
.52093 .46228 L
.52167 .46315 L
.52236 .46388 L
.52328 .46525 L
.52346 .46549 L
.52472 .46709 L
.52488 .4671 L
.52597 .4687 L
.52649 .46923 L
.52758 .4703 L
.52809 .47138 L
.52854 .47191 L
.5297 .47347 L
.52972 .47351 L
.53096 .47512 L
.5313 .47535 L
.53221 .47672 L
.53291 .47753 L
.53362 .47833 L
.53451 .47968 L
.5347 .47993 L
.53593 .48154 L
.53612 .48178 L
.53716 .48314 L
.53772 .4837 L
.53874 .48475 L
.53933 .4859 L
.5397 .48636 L
.54087 .48796 L
.54093 .48804 L
.54209 .48957 L
.54254 .48984 L
.54331 .49117 L
.54414 .49214 L
.54469 .49278 L
.54575 .49433 L
.54579 .49438 L
.54699 .49599 L
.54735 .49646 L
.5482 .49759 L
.54896 .49837 L
.54972 .4992 L
.55057 .50066 L
.55068 .5008 L
.55185 .50241 L
.55217 .50282 L
.55305 .50401 L
.55378 .50456 L
.55427 .50562 L
.55538 .50703 L
.55554 .50722 L
.55667 .50883 L
.55699 .50924 L
.55785 .51043 L
.55859 .51141 L
.55904 .51204 L
.5602 .51353 L
.56029 .51364 L
.56139 .51525 L
.5618 .51579 L
.56254 .51686 L
.56341 .51802 L
.56371 .51846 L
.56485 .52007 L
.56501 .52029 L
.56591 .52167 L
.56662 .52268 L
.56698 .52328 L
.56662 .52454 L
.56544 .52328 L
.56501 .52285 L
.56397 .52167 L
.56341 .52107 L
.56255 .52007 L
.5618 .51922 L
.56116 .51846 L
.5602 .51745 L
.55979 .51686 L
.55859 .51543 L
.5584 .51525 L
.55713 .51364 L
.55699 .51348 L
.55581 .51204 L
.55538 .51177 L
.5545 .51043 L
.55378 .50961 L
.55293 .50883 L
.55217 .50755 L
.55189 .50722 L
.55063 .50562 L
.55057 .50554 L
.54935 .50401 L
.54896 .50365 L
.54807 .50241 L
.54735 .50154 L
.5467 .5008 L
.54575 .49946 L
.54556 .4992 L
.54427 .49759 L
.54414 .49754 L
.54301 .49599 L
.54254 .49546 L
.54151 .49438 L
.54093 .49334 L
.54048 .49278 L
.53933 .49126 L
.53928 .49117 L
.53801 .48957 L
.53772 .48933 L
.53626 .48796 L
.53612 .48719 L
.53541 .48636 L
.53451 .48506 L
.53429 .48475 L
.53303 .48314 L
.53291 .48313 L
.5318 .48154 L
.5313 .48101 L
.53032 .47993 L
.5297 .47884 L
.5293 .47833 L
.52809 .47673 L
.52809 .47672 L
.52687 .47512 L
.52649 .47483 L
.52514 .47351 L
.52488 .47261 L
.52431 .47191 L
.52328 .47044 L
.52319 .4703 L
.52197 .4687 L
.52167 .46831 L
.52075 .46709 L
.52007 .46636 L
.5193 .46549 L
.51846 .46411 L
.51829 .46388 L
.5171 .46228 L
.51686 .46196 L
.5159 .46067 L
.51525 .46014 L
.51424 .45907 L
.51364 .45774 L
.51342 .45746 L
.51229 .45586 L
.51204 .45553 L
.51111 .45425 L
.51043 .45336 L
.50992 .45265 L
.50883 .45126 L
.50865 .45104 L
.50757 .44943 L
.50722 .44897 L
.50642 .44783 L
.50562 .44674 L
.50526 .44622 L
.50411 .44462 L
.50401 .44448 L
.50305 .44301 L
.50241 .44211 L
.50197 .44141 L
F
1 .72 0 r
.50241 .50306 m
.50401 .50386 L
.50425 .50401 L
.50562 .50532 L
.50622 .50562 L
.50722 .50707 L
.50742 .50722 L
.50872 .50883 L
.50883 .50895 L
.51001 .51043 L
.51043 .51072 L
.51128 .51204 L
.51204 .51288 L
.51272 .51364 L
.51364 .51507 L
.51378 .51525 L
.51496 .51686 L
.51525 .51723 L
.51614 .51846 L
.51686 .51944 L
.51764 .52007 L
.51842 .52167 L
.51846 .52173 L
.5194 .52328 L
.52007 .52457 L
.52018 .52488 L
.52007 .5256 L
.51846 .52499 L
.51833 .52488 L
.51686 .52356 L
.51623 .52328 L
.51525 .52186 L
.515 .52167 L
.51365 .52007 L
.51364 .52006 L
.51232 .51846 L
.51204 .51825 L
.51102 .51686 L
.51043 .5162 L
.50954 .51525 L
.50883 .51409 L
.50849 .51364 L
.50727 .51204 L
.50722 .51198 L
.50607 .51043 L
.50562 .50982 L
.50446 .50883 L
.50401 .50781 L
.50371 .50722 L
.50275 .50562 L
.50241 .50498 L
.50197 .50401 L
F
0 .51 1 r
.50241 .44681 m
.50326 .44783 L
.50401 .44863 L
.50467 .44943 L
.50562 .45051 L
.50604 .45104 L
.50722 .45243 L
.50739 .45265 L
.50871 .45425 L
.50883 .45439 L
.50998 .45586 L
.51043 .45639 L
.51127 .45746 L
.51204 .45839 L
.51257 .45907 L
.51364 .46019 L
.51386 .46067 L
.51513 .46228 L
.51525 .46242 L
.51637 .46388 L
.51686 .46448 L
.51762 .46549 L
.51846 .46653 L
.51889 .46709 L
.52007 .46853 L
.52026 .4687 L
.52137 .4703 L
.52167 .47067 L
.5226 .47191 L
.52328 .47276 L
.52384 .47351 L
.52488 .47461 L
.52509 .47512 L
.5263 .47672 L
.52649 .47695 L
.5275 .47833 L
.52809 .47908 L
.52871 .47993 L
.5297 .4812 L
.52994 .48154 L
.53114 .48314 L
.5313 .48335 L
.5323 .48475 L
.53291 .48553 L
.53348 .48636 L
.53451 .48771 L
.53469 .48796 L
.53583 .48957 L
.53612 .48995 L
.53692 .49117 L
.53772 .49226 L
.53804 .49278 L
.53772 .49373 L
.5369 .49278 L
.53612 .49194 L
.53548 .49117 L
.53451 .49007 L
.5341 .48957 L
.53291 .48816 L
.53274 .48796 L
.53143 .48636 L
.5313 .48621 L
.53013 .48475 L
.5297 .48423 L
.52883 .48314 L
.52809 .48225 L
.52753 .48154 L
.52649 .48042 L
.52624 .47993 L
.52497 .47833 L
.52488 .47822 L
.52372 .47672 L
.52328 .47618 L
.52246 .47512 L
.52167 .47413 L
.52119 .47351 L
.52007 .47214 L
.51981 .47191 L
.5187 .4703 L
.51846 .47 L
.51747 .4687 L
.51686 .46792 L
.51623 .46709 L
.51525 .46606 L
.51499 .46549 L
.51377 .46388 L
.51364 .46373 L
.51257 .46228 L
.51204 .4616 L
.51135 .46067 L
.51043 .45948 L
.51013 .45907 L
.50893 .45746 L
.50883 .45734 L
.50776 .45586 L
.50722 .45515 L
.50658 .45425 L
.50562 .45297 L
.50539 .45265 L
.50424 .45104 L
.50401 .45074 L
.50315 .44943 L
.50241 .44843 L
.50202 .44783 L
F
1 .71 0 r
.50241 .50319 m
.50401 .50391 L
.50418 .50401 L
.50562 .50536 L
.50615 .50562 L
.50722 .5071 L
.50738 .50722 L
.5087 .50883 L
.50883 .50898 L
.50999 .51043 L
.51043 .51074 L
.51126 .51204 L
.51204 .51291 L
.5127 .51364 L
.51364 .5151 L
.51376 .51525 L
.51494 .51686 L
.51525 .51727 L
.51612 .51846 L
.51686 .51947 L
.5176 .52007 L
.51838 .52167 L
.51846 .52179 L
.51935 .52328 L
.52007 .52478 L
.5201 .52488 L
.52007 .52532 L
.51846 .5249 L
.51843 .52488 L
.51686 .52351 L
.51633 .52328 L
.51525 .52182 L
.51505 .52167 L
.51369 .52007 L
.51364 .52002 L
.51235 .51846 L
.51204 .51823 L
.51105 .51686 L
.51043 .51617 L
.50957 .51525 L
.50883 .51406 L
.50851 .51364 L
.5073 .51204 L
.50722 .51195 L
.5061 .51043 L
.50562 .50978 L
.50449 .50883 L
.50401 .50774 L
.50375 .50722 L
.5028 .50562 L
.50241 .50487 L
.50205 .50401 L
F
0 .53 1 r
.50241 .50885 m
.5038 .51043 L
.50401 .51067 L
.50508 .51204 L
.50562 .5127 L
.5063 .51364 L
.50722 .51487 L
.50747 .51525 L
.50722 .51674 L
.50586 .51525 L
.50562 .51499 L
.50451 .51364 L
.50401 .51304 L
.50325 .51204 L
.50241 .51092 L
.50206 .51043 L
F
1 .7 0 r
.50241 .44015 m
.50359 .44141 L
.50401 .44183 L
.50505 .44301 L
.50562 .44362 L
.50647 .44462 L
.50722 .44547 L
.50786 .44622 L
.50883 .44721 L
.50922 .44783 L
.51043 .44927 L
.51062 .44943 L
.51187 .45104 L
.51204 .45123 L
.51318 .45265 L
.51364 .45285 L
.51449 .45425 L
.51525 .45509 L
.51614 .45586 L
.51686 .45717 L
.51712 .45746 L
.51836 .45907 L
.51846 .45919 L
.51962 .46067 L
.52007 .46103 L
.5209 .46228 L
.52167 .46319 L
.52233 .46388 L
.52328 .46528 L
.52344 .46549 L
.52469 .46709 L
.52488 .46711 L
.52594 .4687 L
.52649 .46926 L
.52755 .4703 L
.52809 .47141 L
.52851 .47191 L
.5297 .4735 L
.52971 .47351 L
.53094 .47512 L
.5313 .47537 L
.53219 .47672 L
.53291 .47756 L
.5336 .47833 L
.53451 .47971 L
.53468 .47993 L
.53591 .48154 L
.53612 .4818 L
.53714 .48314 L
.53772 .48372 L
.53872 .48475 L
.53933 .48593 L
.53967 .48636 L
.54085 .48796 L
.54093 .48807 L
.54207 .48957 L
.54254 .48986 L
.54329 .49117 L
.54414 .49216 L
.54467 .49278 L
.54575 .49436 L
.54576 .49438 L
.54696 .49599 L
.54735 .49649 L
.54818 .49759 L
.54896 .4984 L
.54969 .4992 L
.55057 .50069 L
.55065 .5008 L
.55183 .50241 L
.55217 .50285 L
.55303 .50401 L
.55378 .5046 L
.55424 .50562 L
.55538 .50708 L
.5555 .50722 L
.55664 .50883 L
.55699 .50928 L
.55782 .51043 L
.55859 .51145 L
.55901 .51204 L
.5602 .5136 L
.56023 .51364 L
.56135 .51525 L
.5618 .51585 L
.56249 .51686 L
.56341 .51809 L
.56366 .51846 L
.56478 .52007 L
.56501 .52039 L
.56582 .52167 L
.56662 .52282 L
.56688 .52328 L
.56662 .52436 L
.56557 .52328 L
.56501 .52273 L
.56406 .52167 L
.56341 .52097 L
.56262 .52007 L
.5618 .51914 L
.56122 .51846 L
.5602 .51737 L
.55985 .51686 L
.55859 .51536 L
.55847 .51525 L
.55718 .51364 L
.55699 .51342 L
.55586 .51204 L
.55538 .51174 L
.55454 .51043 L
.55378 .50956 L
.55297 .50883 L
.55217 .5075 L
.55193 .50722 L
.55066 .50562 L
.55057 .5055 L
.54938 .50401 L
.54896 .50362 L
.5481 .50241 L
.54735 .5015 L
.54672 .5008 L
.54575 .49943 L
.54558 .4992 L
.5443 .49759 L
.54414 .49753 L
.54304 .49599 L
.54254 .49543 L
.54153 .49438 L
.54093 .49331 L
.54051 .49278 L
.53933 .49124 L
.53929 .49117 L
.53803 .48957 L
.53772 .48931 L
.53627 .48796 L
.53612 .48716 L
.53543 .48636 L
.53451 .48503 L
.53431 .48475 L
.53306 .48314 L
.53291 .48312 L
.53182 .48154 L
.5313 .48099 L
.53034 .47993 L
.5297 .47882 L
.52932 .47833 L
.52811 .47672 L
.52809 .4767 L
.52689 .47512 L
.52649 .47481 L
.52516 .47351 L
.52488 .47258 L
.52433 .47191 L
.52328 .47041 L
.52321 .4703 L
.52199 .4687 L
.52167 .46828 L
.52077 .46709 L
.52007 .46633 L
.51933 .46549 L
.51846 .46408 L
.51831 .46388 L
.51713 .46228 L
.51686 .46192 L
.51593 .46067 L
.51525 .4601 L
.51428 .45907 L
.51364 .45769 L
.51346 .45746 L
.51232 .45586 L
.51204 .45548 L
.51114 .45425 L
.51043 .45331 L
.50995 .45265 L
.50883 .45118 L
.50871 .45104 L
.50762 .44943 L
.50722 .44891 L
.50647 .44783 L
.50562 .44667 L
.50531 .44622 L
.50418 .44462 L
.50401 .44439 L
.50313 .44301 L
.50241 .44198 L
.50206 .44141 L
F
1 .48 0 r
.50241 .45362 m
.50285 .45425 L
.50401 .4556 L
.5042 .45586 L
.50401 .4568 L
.50335 .45586 L
.50241 .4547 L
.50209 .45425 L
F
1 .86 .013 r
.50241 .538 m
.50357 .53933 L
.50401 .5398 L
.50497 .54093 L
.50562 .54167 L
.50635 .54254 L
.50722 .54357 L
.5077 .54414 L
.50883 .54542 L
.50903 .54575 L
.51033 .54735 L
.51043 .54748 L
.51163 .54896 L
.51204 .54946 L
.51293 .55057 L
.51364 .55102 L
.51423 .55217 L
.51525 .5534 L
.51566 .55378 L
.51677 .55538 L
.51686 .55548 L
.51804 .55699 L
.51846 .55751 L
.51931 .55859 L
.52007 .55935 L
.52113 .5602 L
.52167 .56158 L
.52187 .5618 L
.52307 .56341 L
.52328 .56367 L
.52431 .56501 L
.52488 .56525 L
.52556 .56662 L
.52649 .56773 L
.52697 .56822 L
.52803 .56983 L
.52809 .56991 L
.52925 .57143 L
.5297 .57201 L
.53048 .57304 L
.5313 .57388 L
.53213 .57464 L
.53291 .57623 L
.53293 .57625 L
.53412 .57785 L
.53451 .57837 L
.53532 .57946 L
.53612 .58051 L
.53653 .58106 L
.53772 .58266 L
.53773 .58267 L
.53889 .58428 L
.53933 .58486 L
.54006 .58588 L
.54093 .58706 L
.54124 .58749 L
.54238 .58909 L
.54254 .5893 L
.54348 .5907 L
.54414 .59162 L
.54459 .5923 L
.54414 .59354 L
.5431 .5923 L
.54254 .59171 L
.54171 .5907 L
.54093 .58983 L
.54035 .58909 L
.53933 .58791 L
.539 .58749 L
.53772 .586 L
.53766 .58588 L
.53638 .58428 L
.53612 .58397 L
.5351 .58267 L
.53451 .58197 L
.53381 .58106 L
.53291 .57996 L
.53252 .57946 L
.5313 .57798 L
.53116 .57785 L
.52998 .57625 L
.5297 .5759 L
.52874 .57464 L
.52809 .57385 L
.52747 .57304 L
.52649 .57201 L
.5262 .57143 L
.52494 .56983 L
.52488 .56975 L
.52373 .56822 L
.52328 .56767 L
.52249 .56662 L
.52167 .56559 L
.52124 .56501 L
.52007 .56357 L
.51991 .56341 L
.51877 .5618 L
.51846 .56142 L
.51756 .5602 L
.51686 .55931 L
.51633 .55859 L
.51525 .55738 L
.51508 .55699 L
.51387 .55538 L
.51364 .5551 L
.51268 .55378 L
.51204 .55296 L
.51147 .55217 L
.51043 .55084 L
.51024 .55057 L
.50904 .54896 L
.50883 .54869 L
.50788 .54735 L
.50722 .5465 L
.5067 .54575 L
.50562 .54434 L
.50549 .54414 L
.50434 .54254 L
.50401 .5421 L
.50324 .54093 L
.50241 .53982 L
.5021 .53933 L
F
0 .5 1 r
.50241 .44693 m
.50317 .44783 L
.50401 .44871 L
.5046 .44943 L
.50562 .45058 L
.50599 .45104 L
.50722 .45249 L
.50735 .45265 L
.50866 .45425 L
.50883 .45445 L
.50994 .45586 L
.51043 .45644 L
.51123 .45746 L
.51204 .45843 L
.51253 .45907 L
.51364 .46026 L
.51383 .46067 L
.51509 .46228 L
.51525 .46247 L
.51633 .46388 L
.51686 .46452 L
.51759 .46549 L
.51846 .46657 L
.51886 .46709 L
.52007 .46858 L
.52019 .4687 L
.52134 .4703 L
.52167 .47071 L
.52256 .47191 L
.52328 .4728 L
.52381 .47351 L
.52488 .47468 L
.52506 .47512 L
.52627 .47672 L
.52649 .477 L
.52746 .47833 L
.52809 .47913 L
.52868 .47993 L
.5297 .48125 L
.52991 .48154 L
.5311 .48314 L
.5313 .4834 L
.53226 .48475 L
.53291 .48559 L
.53344 .48636 L
.53451 .48777 L
.53465 .48796 L
.53577 .48957 L
.53612 .49003 L
.53685 .49117 L
.53772 .49237 L
.53796 .49278 L
.53772 .4936 L
.53701 .49278 L
.53612 .49185 L
.53555 .49117 L
.53451 .49 L
.53415 .48957 L
.53291 .4881 L
.53279 .48796 L
.53148 .48636 L
.5313 .48615 L
.53018 .48475 L
.5297 .48418 L
.52888 .48314 L
.52809 .48219 L
.52757 .48154 L
.52649 .48035 L
.52628 .47993 L
.52501 .47833 L
.52488 .47817 L
.52376 .47672 L
.52328 .47613 L
.52249 .47512 L
.52167 .47409 L
.52123 .47351 L
.52007 .47208 L
.51988 .47191 L
.51874 .4703 L
.51846 .46996 L
.51751 .4687 L
.51686 .46787 L
.51626 .46709 L
.51525 .466 L
.51502 .46549 L
.5138 .46388 L
.51364 .46368 L
.5126 .46228 L
.51204 .46155 L
.51139 .46067 L
.51043 .45943 L
.51017 .45907 L
.50897 .45746 L
.50883 .45728 L
.50781 .45586 L
.50722 .45509 L
.50663 .45425 L
.50562 .45291 L
.50543 .45265 L
.50431 .45104 L
.50401 .45065 L
.50322 .44943 L
.50241 .44832 L
.5021 .44783 L
F
0 .52 1 r
.50241 .50894 m
.50373 .51043 L
.50401 .51074 L
.50502 .51204 L
.50562 .51277 L
.50624 .51364 L
.50722 .51496 L
.50742 .51525 L
.50722 .51664 L
.50594 .51525 L
.50562 .51491 L
.50458 .51364 L
.50401 .51297 L
.50331 .51204 L
.50241 .51084 L
.50212 .51043 L
F
1 .7 0 r
.50241 .50332 m
.50401 .50396 L
.5041 .50401 L
.50562 .5054 L
.50607 .50562 L
.50722 .50713 L
.50734 .50722 L
.50867 .50883 L
.50883 .50902 L
.50996 .51043 L
.51043 .51076 L
.51123 .51204 L
.51204 .51294 L
.51267 .51364 L
.51364 .51513 L
.51373 .51525 L
.51492 .51686 L
.51525 .5173 L
.51609 .51846 L
.51686 .51951 L
.51755 .52007 L
.51834 .52167 L
.51846 .52185 L
.51929 .52328 L
.51846 .52482 L
.51686 .52345 L
.51644 .52328 L
.51525 .52178 L
.5151 .52167 L
.51372 .52007 L
.51364 .51998 L
.51238 .51846 L
.51204 .51821 L
.51108 .51686 L
.51043 .51613 L
.50959 .51525 L
.50883 .51403 L
.50854 .51364 L
.50732 .51204 L
.50722 .51191 L
.50613 .51043 L
.50562 .50974 L
.50452 .50883 L
.50401 .50767 L
.50379 .50722 L
.50285 .50562 L
.50241 .50475 L
.50213 .50401 L
F
0 .67 1 r
.50241 .54488 m
.50309 .54575 L
.50401 .54681 L
.50443 .54735 L
.50562 .54878 L
.50575 .54896 L
.50562 .55045 L
.50457 .54896 L
.50401 .54828 L
.50339 .54735 L
.50241 .54612 L
.50216 .54575 L
F
1 .69 0 r
.50241 .44033 m
.50345 .44141 L
.50401 .44195 L
.50496 .44301 L
.50562 .44371 L
.50639 .44462 L
.50722 .44555 L
.50779 .44622 L
.50883 .44729 L
.50916 .44783 L
.51043 .44933 L
.51055 .44943 L
.51183 .45104 L
.51204 .45129 L
.51314 .45265 L
.51364 .45288 L
.51445 .45425 L
.51525 .45513 L
.5161 .45586 L
.51686 .45721 L
.51708 .45746 L
.51832 .45907 L
.51846 .45923 L
.51959 .46067 L
.52007 .46106 L
.52087 .46228 L
.52167 .46322 L
.5223 .46388 L
.52328 .46531 L
.52341 .46549 L
.52466 .46709 L
.52488 .46711 L
.52592 .4687 L
.52649 .46929 L
.52753 .4703 L
.52809 .47144 L
.52849 .47191 L
.52969 .47351 L
.5297 .47353 L
.53092 .47512 L
.5313 .47539 L
.53216 .47672 L
.53291 .47759 L
.53357 .47833 L
.53451 .47973 L
.53466 .47993 L
.53589 .48154 L
.53612 .48183 L
.53712 .48314 L
.53772 .48375 L
.53869 .48475 L
.53933 .48596 L
.53965 .48636 L
.54083 .48796 L
.54093 .48809 L
.54205 .48957 L
.54254 .48988 L
.54327 .49117 L
.54414 .49219 L
.54465 .49278 L
.54574 .49438 L
.54575 .49439 L
.54694 .49599 L
.54735 .49651 L
.54816 .49759 L
.54896 .49843 L
.54966 .4992 L
.55057 .50073 L
.55063 .5008 L
.5518 .50241 L
.55217 .50288 L
.553 .50401 L
.55378 .50464 L
.55422 .50562 L
.55538 .50713 L
.55546 .50722 L
.5566 .50883 L
.55699 .50933 L
.55778 .51043 L
.55859 .5115 L
.55898 .51204 L
.56018 .51364 L
.5602 .51367 L
.5613 .51525 L
.5618 .51592 L
.56245 .51686 L
.56341 .51816 L
.56361 .51846 L
.5647 .52007 L
.56501 .5205 L
.56573 .52167 L
.56662 .523 L
.56677 .52328 L
.56662 .52415 L
.56573 .52328 L
.56501 .5226 L
.56417 .52167 L
.56341 .52087 L
.5627 .52007 L
.5618 .51906 L
.56129 .51846 L
.5602 .51729 L
.55991 .51686 L
.55859 .51529 L
.55855 .51525 L
.55723 .51364 L
.55699 .51336 L
.5559 .51204 L
.55538 .5117 L
.55458 .51043 L
.55378 .50951 L
.55302 .50883 L
.55217 .50746 L
.55196 .50722 L
.5507 .50562 L
.55057 .50546 L
.54941 .50401 L
.54896 .50359 L
.54813 .50241 L
.54735 .50146 L
.54675 .5008 L
.54575 .49939 L
.5456 .4992 L
.54433 .49759 L
.54414 .49752 L
.54307 .49599 L
.54254 .4954 L
.54155 .49438 L
.54093 .49328 L
.54053 .49278 L
.53933 .49121 L
.53931 .49117 L
.53805 .48957 L
.53772 .48929 L
.53628 .48796 L
.53612 .48713 L
.53545 .48636 L
.53451 .48501 L
.53433 .48475 L
.53308 .48314 L
.53291 .48312 L
.53184 .48154 L
.5313 .48096 L
.53036 .47993 L
.5297 .47879 L
.52934 .47833 L
.52813 .47672 L
.52809 .47667 L
.52691 .47512 L
.52649 .47479 L
.52518 .47351 L
.52488 .47255 L
.52435 .47191 L
.52328 .47037 L
.52323 .4703 L
.52202 .4687 L
.52167 .46825 L
.5208 .46709 L
.52007 .4663 L
.51935 .46549 L
.51846 .46404 L
.51834 .46388 L
.51716 .46228 L
.51686 .46188 L
.51596 .46067 L
.51525 .46006 L
.51432 .45907 L
.51364 .45765 L
.5135 .45746 L
.51236 .45586 L
.51204 .45544 L
.51118 .45425 L
.51043 .45326 L
.50999 .45265 L
.50883 .45111 L
.50877 .45104 L
.50766 .44943 L
.50722 .44885 L
.50652 .44783 L
.50562 .4466 L
.50536 .44622 L
.50425 .44462 L
.50401 .44428 L
.50321 .44301 L
.50241 .44183 L
.50217 .44141 L
F
0 .49 1 r
.50241 .44707 m
.50306 .44783 L
.50401 .4488 L
.50453 .44943 L
.50562 .45065 L
.50593 .45104 L
.50722 .45255 L
.5073 .45265 L
.5086 .45425 L
.50883 .45451 L
.50989 .45586 L
.51043 .45649 L
.51119 .45746 L
.51204 .45848 L
.51249 .45907 L
.51364 .46034 L
.51379 .46067 L
.51505 .46228 L
.51525 .46252 L
.5163 .46388 L
.51686 .46456 L
.51756 .46549 L
.51846 .46661 L
.51882 .46709 L
.52007 .46864 L
.52013 .4687 L
.52131 .4703 L
.52167 .47075 L
.52253 .47191 L
.52328 .47284 L
.52377 .47351 L
.52488 .47475 L
.52503 .47512 L
.52623 .47672 L
.52649 .47704 L
.52743 .47833 L
.52809 .47917 L
.52864 .47993 L
.5297 .48129 L
.52987 .48154 L
.53106 .48314 L
.5313 .48345 L
.53221 .48475 L
.53291 .48565 L
.5334 .48636 L
.53451 .48783 L
.5346 .48796 L
.5357 .48957 L
.53612 .49012 L
.53677 .49117 L
.53772 .4925 L
.53788 .49278 L
.53772 .49344 L
.53713 .49278 L
.53612 .49175 L
.53563 .49117 L
.53451 .48992 L
.53422 .48957 L
.53291 .48803 L
.53285 .48796 L
.53154 .48636 L
.5313 .48609 L
.53023 .48475 L
.5297 .48412 L
.52892 .48314 L
.52809 .48214 L
.52761 .48154 L
.52649 .48027 L
.52632 .47993 L
.52505 .47833 L
.52488 .47812 L
.5238 .47672 L
.52328 .47608 L
.52253 .47512 L
.52167 .47404 L
.52126 .47351 L
.52007 .47202 L
.51994 .47191 L
.51878 .4703 L
.51846 .46991 L
.51754 .4687 L
.51686 .46783 L
.5163 .46709 L
.51525 .46593 L
.51506 .46549 L
.51384 .46388 L
.51364 .46363 L
.51264 .46228 L
.51204 .4615 L
.51143 .46067 L
.51043 .45938 L
.5102 .45907 L
.50902 .45746 L
.50883 .45722 L
.50786 .45586 L
.50722 .45503 L
.50667 .45425 L
.50562 .45284 L
.50548 .45265 L
.50438 .45104 L
.50401 .45056 L
.50329 .44943 L
.50241 .44819 L
.50219 .44783 L
F
0 .51 1 r
.50241 .50905 m
.50366 .51043 L
.50401 .51082 L
.50496 .51204 L
.50562 .51284 L
.50619 .51364 L
.50722 .51504 L
.50736 .51525 L
.50722 .51652 L
.50603 .51525 L
.50562 .51483 L
.50465 .51364 L
.50401 .51289 L
.50337 .51204 L
.50241 .51075 L
.50219 .51043 L
F
1 .69 0 r
.50241 .50347 m
.50401 .50401 L
.50402 .50401 L
.50562 .50544 L
.50599 .50562 L
.50722 .50716 L
.5073 .50722 L
.50864 .50883 L
.50883 .50905 L
.50994 .51043 L
.51043 .51078 L
.51121 .51204 L
.51204 .51297 L
.51264 .51364 L
.51364 .51516 L
.51371 .51525 L
.51489 .51686 L
.51525 .51733 L
.51606 .51846 L
.51686 .51955 L
.51751 .52007 L
.5183 .52167 L
.51846 .52191 L
.51924 .52328 L
.51846 .52473 L
.51686 .5234 L
.51656 .52328 L
.51525 .52174 L
.51515 .52167 L
.51376 .52007 L
.51364 .51994 L
.51241 .51846 L
.51204 .51818 L
.5111 .51686 L
.51043 .5161 L
.50962 .51525 L
.50883 .51399 L
.50856 .51364 L
.50735 .51204 L
.50722 .51188 L
.50615 .51043 L
.50562 .5097 L
.50455 .50883 L
.50401 .50759 L
.50383 .50722 L
.50289 .50562 L
.50241 .50461 L
.50221 .50401 L
F
1 .47 0 r
.50241 .4538 m
.50271 .45425 L
.50401 .45574 L
.5041 .45586 L
.50401 .45663 L
.5035 .45586 L
.50241 .45453 L
.50222 .45425 L
F
0 .5 1 r
.50241 .50916 m
.50358 .51043 L
.50401 .5109 L
.50489 .51204 L
.50562 .51292 L
.50613 .51364 L
.50722 .51514 L
.50729 .51525 L
.50722 .51638 L
.50612 .51525 L
.50562 .51474 L
.50472 .51364 L
.50401 .51281 L
.50343 .51204 L
.50241 .51065 L
.50226 .51043 L
F
.033 .89 1 r
.50241 .43381 m
.5037 .43499 L
.50401 .43527 L
.50527 .43659 L
.50562 .43694 L
.50675 .4382 L
.50722 .4387 L
.50819 .4398 L
.50883 .44034 L
.50959 .44141 L
.51043 .44237 L
.51124 .44301 L
.51204 .44432 L
.51232 .44462 L
.51364 .44622 L
.51364 .44622 L
.51496 .44783 L
.51525 .44813 L
.51628 .44943 L
.51686 .45015 L
.51768 .45104 L
.51846 .45218 L
.51882 .45265 L
.52007 .45417 L
.52009 .45425 L
.52144 .45586 L
.52167 .45613 L
.52291 .45746 L
.52328 .45819 L
.52398 .45907 L
.52488 .46027 L
.52513 .46067 L
.52649 .46225 L
.52652 .46228 L
.52807 .46388 L
.52809 .46427 L
.52911 .46549 L
.5297 .46637 L
.53021 .46709 L
.5313 .46846 L
.53136 .4687 L
.5328 .4703 L
.53291 .47043 L
.5342 .47191 L
.53451 .47252 L
.53528 .47351 L
.53612 .47464 L
.53639 .47512 L
.53772 .47668 L
.53778 .47672 L
.53928 .47833 L
.53933 .47871 L
.54033 .47993 L
.54093 .48082 L
.54143 .48154 L
.54254 .48293 L
.54258 .48314 L
.54398 .48475 L
.54414 .48493 L
.54539 .48636 L
.54575 .48703 L
.54646 .48796 L
.54735 .48916 L
.54757 .48957 L
.54893 .49117 L
.54896 .4912 L
.55046 .49278 L
.55057 .49325 L
.55148 .49438 L
.55217 .49539 L
.55258 .49599 L
.55378 .49749 L
.55379 .49759 L
.55509 .4992 L
.55538 .49949 L
.55652 .5008 L
.55699 .50163 L
.55757 .50241 L
.55859 .50376 L
.55872 .50401 L
.56001 .50562 L
.5602 .50574 L
.56161 .50722 L
.5618 .50787 L
.56258 .50883 L
.56341 .51003 L
.56368 .51043 L
.56493 .51204 L
.56501 .51214 L
.56615 .51364 L
.56662 .5141 L
.5676 .51525 L
.56822 .5163 L
.56864 .51686 L
.56983 .51845 L
.56983 .51846 L
.57104 .52007 L
.57143 .52031 L
.57268 .52167 L
.57304 .52257 L
.57359 .52328 L
.57464 .52478 L
.57471 .52488 L
.57592 .52649 L
.57625 .52692 L
.57712 .52809 L
.57785 .52884 L
.57856 .5297 L
.57946 .53113 L
.57958 .5313 L
.58076 .53291 L
.58106 .5333 L
.58195 .53451 L
.58267 .53509 L
.58353 .53612 L
.58428 .53754 L
.58441 .53772 L
.58554 .53933 L
.58588 .53977 L
.58672 .54093 L
.58749 .54196 L
.5879 .54254 L
.58909 .54413 L
.5891 .54414 L
.59021 .54575 L
.5907 .5464 L
.59134 .54735 L
.5923 .54868 L
.59249 .54896 L
.59356 .55057 L
.59391 .55107 L
.59455 .55217 L
.59551 .55374 L
.59553 .55378 L
.59551 .55455 L
.59451 .55378 L
.59391 .55328 L
.59282 .55217 L
.5923 .55165 L
.5913 .55057 L
.5907 .54992 L
.58985 .54896 L
.58909 .54826 L
.58843 .54735 L
.58749 .54627 L
.58686 .54575 L
.58588 .54434 L
.5857 .54414 L
.58435 .54254 L
.58428 .54251 L
.58302 .54093 L
.58267 .54054 L
.58126 .53933 L
.58106 .53853 L
.58034 .53772 L
.57946 .53651 L
.57918 .53612 L
.57785 .53455 L
.57785 .53451 L
.57652 .53291 L
.57625 .53258 L
.5751 .5313 L
.57464 .53051 L
.57401 .5297 L
.57304 .52844 L
.57286 .52809 L
.57143 .52649 L
.57143 .52649 L
.56995 .52488 L
.56983 .52445 L
.56888 .52328 L
.56822 .52235 L
.56777 .52167 L
.56662 .52026 L
.56638 .52007 L
.56514 .51846 L
.56501 .5183 L
.56379 .51686 L
.56341 .51621 L
.56269 .51525 L
.5618 .51409 L
.56159 .51364 L
.5602 .51207 L
.56015 .51204 L
.55872 .51043 L
.55859 .51003 L
.55764 .50883 L
.55699 .50791 L
.55654 .50722 L
.55538 .50581 L
.55518 .50562 L
.55395 .50401 L
.55378 .50382 L
.55259 .50241 L
.55217 .50171 L
.55151 .5008 L
.55057 .49958 L
.5504 .4992 L
.549 .49759 L
.54896 .49756 L
.54754 .49599 L
.54735 .49549 L
.54648 .49438 L
.54575 .49335 L
.54539 .49278 L
.54414 .49126 L
.54406 .49117 L
.54283 .48957 L
.54254 .48925 L
.54146 .48796 L
.54093 .48712 L
.54038 .48636 L
.53933 .48499 L
.53923 .48475 L
.53791 .48314 L
.53772 .483 L
.5364 .48154 L
.53612 .48087 L
.53539 .47993 L
.53451 .47872 L
.53427 .47833 L
.53299 .47672 L
.53291 .47671 L
.53177 .47512 L
.5313 .47463 L
.53038 .47351 L
.5297 .47245 L
.52931 .47191 L
.52809 .47031 L
.52809 .4703 L
.52688 .4687 L
.52649 .4684 L
.52533 .46709 L
.52488 .46617 L
.52436 .46549 L
.52328 .46398 L
.52321 .46388 L
.522 .46228 L
.52167 .46185 L
.52079 .46067 L
.52007 .45989 L
.51941 .45907 L
.51846 .45763 L
.51834 .45746 L
.51716 .45586 L
.51686 .45546 L
.51596 .45425 L
.51525 .45362 L
.51446 .45265 L
.51364 .45122 L
.51351 .45104 L
.51237 .44943 L
.51204 .449 L
.51119 .44783 L
.51043 .44682 L
.51 .44622 L
.50883 .44465 L
.5088 .44462 L
.50769 .44301 L
.50722 .44239 L
.50655 .44141 L
.50562 .44012 L
.5054 .4398 L
.50431 .4382 L
.50401 .43777 L
.50329 .43659 L
.50241 .43523 L
.50228 .43499 L
F
1 .68 0 r
.50241 .44056 m
.50329 .44141 L
.50401 .44208 L
.50486 .44301 L
.50562 .44381 L
.50632 .44462 L
.50722 .44563 L
.50773 .44622 L
.50883 .44737 L
.50911 .44783 L
.51043 .4494 L
.51047 .44943 L
.51178 .45104 L
.51204 .45134 L
.51309 .45265 L
.51364 .45291 L
.51441 .45425 L
.51525 .45518 L
.51605 .45586 L
.51686 .45726 L
.51704 .45746 L
.51829 .45907 L
.51846 .45927 L
.51956 .46067 L
.52007 .46109 L
.52084 .46228 L
.52167 .46326 L
.52227 .46388 L
.52328 .46535 L
.52339 .46549 L
.52464 .46709 L
.52488 .46712 L
.52589 .4687 L
.52649 .46931 L
.52751 .4703 L
.52809 .47147 L
.52847 .47191 L
.52966 .47351 L
.5297 .47356 L
.5309 .47512 L
.5313 .4754 L
.53214 .47672 L
.53291 .47761 L
.53355 .47833 L
.53451 .47976 L
.53464 .47993 L
.53587 .48154 L
.53612 .48185 L
.5371 .48314 L
.53772 .48377 L
.53867 .48475 L
.53933 .48598 L
.53963 .48636 L
.54081 .48796 L
.54093 .48812 L
.54203 .48957 L
.54254 .4899 L
.54325 .49117 L
.54414 .49222 L
.54462 .49278 L
.54572 .49438 L
.54575 .49442 L
.54692 .49599 L
.54735 .49654 L
.54814 .49759 L
.54896 .49847 L
.54963 .4992 L
.55057 .50076 L
.5506 .5008 L
.55178 .50241 L
.55217 .50292 L
.55298 .50401 L
.55378 .50469 L
.55419 .50562 L
.55538 .50718 L
.55542 .50722 L
.55657 .50883 L
.55699 .50937 L
.55775 .51043 L
.55859 .51155 L
.55894 .51204 L
.56013 .51364 L
.5602 .51373 L
.56125 .51525 L
.5618 .51598 L
.5624 .51686 L
.56341 .51824 L
.56355 .51846 L
.56462 .52007 L
.56501 .52062 L
.56563 .52167 L
.56662 .52323 L
.56664 .52328 L
.56662 .52382 L
.56594 .52328 L
.56501 .52246 L
.56428 .52167 L
.56341 .52077 L
.56279 .52007 L
.5618 .51897 L
.56136 .51846 L
.5602 .5172 L
.55997 .51686 L
.55861 .51525 L
.55859 .51522 L
.55728 .51364 L
.55699 .5133 L
.55595 .51204 L
.55538 .51166 L
.55463 .51043 L
.55378 .50946 L
.55307 .50883 L
.55217 .50741 L
.552 .50722 L
.55073 .50562 L
.55057 .50542 L
.54945 .50401 L
.54896 .50355 L
.54816 .50241 L
.54735 .50143 L
.54679 .5008 L
.54575 .49936 L
.54563 .4992 L
.54436 .49759 L
.54414 .49751 L
.54309 .49599 L
.54254 .49537 L
.54158 .49438 L
.54093 .49325 L
.54055 .49278 L
.53933 .49118 L
.53932 .49117 L
.53808 .48957 L
.53772 .48927 L
.5363 .48796 L
.53612 .4871 L
.53548 .48636 L
.53451 .48498 L
.53435 .48475 L
.5331 .48314 L
.53291 .48311 L
.53186 .48154 L
.5313 .48094 L
.53038 .47993 L
.5297 .47876 L
.52936 .47833 L
.52816 .47672 L
.52809 .47664 L
.52694 .47512 L
.52649 .47477 L
.5252 .47351 L
.52488 .47252 L
.52438 .47191 L
.52328 .47034 L
.52325 .4703 L
.52204 .4687 L
.52167 .46822 L
.52082 .46709 L
.52007 .46626 L
.51938 .46549 L
.51846 .464 L
.51837 .46388 L
.51718 .46228 L
.51686 .46185 L
.51598 .46067 L
.51525 .46002 L
.51436 .45907 L
.51364 .4576 L
.51354 .45746 L
.51239 .45586 L
.51204 .45539 L
.51121 .45425 L
.51043 .45321 L
.51002 .45265 L
.50883 .45104 L
.50883 .45103 L
.50771 .44943 L
.50722 .44878 L
.50657 .44783 L
.50562 .44652 L
.50542 .44622 L
.50433 .44462 L
.50401 .44417 L
.50331 .44301 L
.50241 .44164 L
.50228 .44141 L
F
0 .48 1 r
.50241 .44725 m
.50292 .44783 L
.50401 .4489 L
.50445 .44943 L
.50562 .45072 L
.50587 .45104 L
.50722 .45261 L
.50725 .45265 L
.50855 .45425 L
.50883 .45457 L
.50984 .45586 L
.51043 .45654 L
.51115 .45746 L
.51204 .45853 L
.51245 .45907 L
.51364 .46041 L
.51376 .46067 L
.51501 .46228 L
.51525 .46256 L
.51626 .46388 L
.51686 .46461 L
.51752 .46549 L
.51846 .46665 L
.51879 .46709 L
.52006 .4687 L
.52007 .4687 L
.52127 .4703 L
.52167 .4708 L
.5225 .47191 L
.52328 .47288 L
.52374 .47351 L
.52488 .47482 L
.525 .47512 L
.5262 .47672 L
.52649 .47709 L
.52739 .47833 L
.52809 .47922 L
.52861 .47993 L
.5297 .48134 L
.52984 .48154 L
.53101 .48314 L
.5313 .48351 L
.53217 .48475 L
.53291 .48571 L
.53335 .48636 L
.53451 .4879 L
.53456 .48796 L
.53562 .48957 L
.53612 .49023 L
.53668 .49117 L
.53772 .49268 L
.53777 .49278 L
.53772 .49321 L
.5373 .49278 L
.53612 .49164 L
.53572 .49117 L
.53451 .48984 L
.53428 .48957 L
.53291 .48796 L
.53291 .48796 L
.5316 .48636 L
.5313 .48602 L
.53028 .48475 L
.5297 .48406 L
.52897 .48314 L
.52809 .48209 L
.52766 .48154 L
.52649 .4802 L
.52636 .47993 L
.5251 .47833 L
.52488 .47807 L
.52384 .47672 L
.52328 .47604 L
.52257 .47512 L
.52167 .474 L
.5213 .47351 L
.52007 .47196 L
.52001 .47191 L
.51881 .4703 L
.51846 .46986 L
.51758 .4687 L
.51686 .46778 L
.51633 .46709 L
.51525 .46585 L
.51509 .46549 L
.51388 .46388 L
.51364 .46358 L
.51268 .46228 L
.51204 .46145 L
.51146 .46067 L
.51043 .45933 L
.51024 .45907 L
.50906 .45746 L
.50883 .45716 L
.5079 .45586 L
.50722 .45497 L
.50672 .45425 L
.50562 .45277 L
.50553 .45265 L
.50445 .45104 L
.50401 .45045 L
.50338 .44943 L
.50241 .44804 L
.50229 .44783 L
F
1 .68 0 r
.50241 .50366 m
.50391 .50401 L
.50401 .50408 L
.50562 .50548 L
.50591 .50562 L
.50722 .5072 L
.50726 .50722 L
.50861 .50883 L
.50883 .50908 L
.50991 .51043 L
.51043 .5108 L
.51119 .51204 L
.51204 .513 L
.51262 .51364 L
.51364 .5152 L
.51369 .51525 L
.51487 .51686 L
.51525 .51737 L
.51604 .51846 L
.51686 .51959 L
.51746 .52007 L
.51826 .52167 L
.51846 .52198 L
.51918 .52328 L
.51846 .52465 L
.51686 .52334 L
.51669 .52328 L
.51525 .5217 L
.5152 .52167 L
.51379 .52007 L
.51364 .5199 L
.51244 .51846 L
.51204 .51816 L
.51113 .51686 L
.51043 .51607 L
.50965 .51525 L
.50883 .51396 L
.50859 .51364 L
.50737 .51204 L
.50722 .51184 L
.50618 .51043 L
.50562 .50966 L
.50458 .50883 L
.50401 .5075 L
.50388 .50722 L
.50294 .50562 L
.50241 .50442 L
.5023 .50401 L
F
0 .66 1 r
.50241 .54514 m
.50288 .54575 L
.50401 .54701 L
.50428 .54735 L
.50562 .54895 L
.50563 .54896 L
.50562 .55027 L
.50474 .54896 L
.50401 .54808 L
.50355 .54735 L
.50241 .54591 L
.50231 .54575 L
F
1 .85 .01 r
.50241 .53844 m
.50323 .53933 L
.50401 .54011 L
.50473 .54093 L
.50562 .54192 L
.50614 .54254 L
.50722 .5438 L
.50752 .54414 L
.50883 .5457 L
.50886 .54575 L
.51017 .54735 L
.51043 .54766 L
.51148 .54896 L
.51204 .54963 L
.5128 .55057 L
.51364 .55121 L
.5141 .55217 L
.51525 .55358 L
.51547 .55378 L
.51665 .55538 L
.51686 .55563 L
.51792 .55699 L
.51846 .55766 L
.5192 .55859 L
.52007 .55951 L
.52095 .5602 L
.52167 .56174 L
.52173 .5618 L
.52296 .56341 L
.52328 .56381 L
.52421 .56501 L
.52488 .56537 L
.52546 .56662 L
.52649 .56789 L
.52682 .56822 L
.52792 .56983 L
.52809 .57005 L
.52914 .57143 L
.5297 .57215 L
.53037 .57304 L
.5313 .57407 L
.53193 .57464 L
.5328 .57625 L
.53291 .57638 L
.534 .57785 L
.53451 .57853 L
.5352 .57946 L
.53612 .58068 L
.53641 .58106 L
.53758 .58267 L
.53772 .58285 L
.53874 .58428 L
.53933 .58506 L
.53991 .58588 L
.54093 .58729 L
.54107 .58749 L
.54216 .58909 L
.54254 .5896 L
.54323 .5907 L
.54414 .59202 L
.54431 .5923 L
.54414 .59308 L
.54344 .5923 L
.54254 .59141 L
.54194 .5907 L
.54093 .5896 L
.54053 .58909 L
.53933 .58771 L
.53915 .58749 L
.53781 .58588 L
.53772 .58578 L
.53652 .58428 L
.53612 .58381 L
.53523 .58267 L
.53451 .58182 L
.53393 .58106 L
.53291 .57983 L
.53262 .57946 L
.53133 .57785 L
.5313 .57782 L
.53009 .57625 L
.5297 .57578 L
.52883 .57464 L
.52809 .57374 L
.52756 .57304 L
.52649 .57185 L
.52629 .57143 L
.52504 .56983 L
.52488 .56964 L
.52382 .56822 L
.52328 .56756 L
.52258 .56662 L
.52167 .56548 L
.52132 .56501 L
.52007 .56342 L
.52005 .56341 L
.51886 .5618 L
.51846 .5613 L
.51765 .5602 L
.51686 .5592 L
.51641 .55859 L
.51525 .55719 L
.51516 .55699 L
.51397 .55538 L
.51364 .55497 L
.51278 .55378 L
.51204 .55283 L
.51157 .55217 L
.51043 .55071 L
.51033 .55057 L
.50917 .54896 L
.50883 .54853 L
.50801 .54735 L
.50722 .54634 L
.50682 .54575 L
.50562 .54415 L
.50561 .54414 L
.50453 .54254 L
.50401 .54184 L
.50345 .54093 L
.50241 .53948 L
.50232 .53933 L
F
0 .49 1 r
.50241 .50929 m
.50348 .51043 L
.50401 .51099 L
.50482 .51204 L
.50562 .51301 L
.50606 .51364 L
.50562 .51464 L
.5048 .51364 L
.50401 .51272 L
.5035 .51204 L
.50241 .51055 L
.50233 .51043 L
F
1 .49 0 r
.50241 .55187 m
.50255 .55217 L
.50241 .55227 L
.50234 .55217 L
F
1 .67 0 r
.50241 .50395 m
.50378 .50401 L
.50401 .50414 L
.50562 .50553 L
.50582 .50562 L
.50722 .50722 L
.50722 .50723 L
.50858 .50883 L
.50883 .50912 L
.50989 .51043 L
.51043 .51083 L
.51117 .51204 L
.51204 .51304 L
.51259 .51364 L
.51364 .51523 L
.51366 .51525 L
.51484 .51686 L
.51525 .5174 L
.51601 .51846 L
.51686 .51963 L
.51741 .52007 L
.51822 .52167 L
.51846 .52205 L
.51913 .52328 L
.51846 .52456 L
.51686 .52329 L
.51683 .52328 L
.51526 .52167 L
.51525 .52166 L
.51383 .52007 L
.51364 .51986 L
.51247 .51846 L
.51204 .51813 L
.51116 .51686 L
.51043 .51604 L
.50967 .51525 L
.50883 .51393 L
.50861 .51364 L
.5074 .51204 L
.50722 .51181 L
.50621 .51043 L
.50562 .50963 L
.50462 .50883 L
.50401 .50741 L
.50392 .50722 L
.50299 .50562 L
.50241 .50411 L
.5024 .50401 L
F
1 .88 .024 r
.50401 .48443 m
.50433 .48475 L
.50562 .48611 L
.50583 .48636 L
.5072 .48796 L
.50722 .48799 L
.50847 .48957 L
.50883 .49004 L
.50966 .49117 L
.51043 .49231 L
.51073 .49278 L
.51043 .49418 L
.50898 .49278 L
.50883 .49262 L
.50762 .49117 L
.50722 .4907 L
.50636 .48957 L
.50562 .48863 L
.50515 .48796 L
.50401 .48643 L
.50396 .48636 L
.503 .48475 L
F
1 .66 0 r
.50401 .50421 m
.50562 .50557 L
.50573 .50562 L
.50718 .50722 L
.50722 .50727 L
.50855 .50883 L
.50883 .50915 L
.50986 .51043 L
.51043 .51085 L
.51114 .51204 L
.51204 .51307 L
.51256 .51364 L
.51364 .51525 L
.51364 .51526 L
.51482 .51686 L
.51525 .51744 L
.51599 .51846 L
.51686 .51967 L
.51736 .52007 L
.51818 .52167 L
.51846 .52213 L
.51907 .52328 L
.51846 .52446 L
.51692 .52328 L
.51686 .52323 L
.51531 .52167 L
.51525 .52161 L
.51387 .52007 L
.51364 .51982 L
.51251 .51846 L
.51204 .51811 L
.51119 .51686 L
.51043 .51601 L
.5097 .51525 L
.50883 .51389 L
.50864 .51364 L
.50743 .51204 L
.50722 .51177 L
.50624 .51043 L
.50562 .50959 L
.50466 .50883 L
.50401 .50732 L
.50397 .50722 L
.50304 .50562 L
F
1 .65 0 r
.50401 .50429 m
.50562 .50561 L
.50564 .50562 L
.50714 .50722 L
.50722 .50731 L
.50852 .50883 L
.50883 .50918 L
.50983 .51043 L
.51043 .51088 L
.51112 .51204 L
.51204 .5131 L
.51253 .51364 L
.51361 .51525 L
.51364 .51529 L
.51479 .51686 L
.51525 .51747 L
.51596 .51846 L
.51686 .51972 L
.51731 .52007 L
.51813 .52167 L
.51846 .52221 L
.519 .52328 L
.51846 .52436 L
.51699 .52328 L
.51686 .52316 L
.51535 .52167 L
.51525 .52157 L
.51391 .52007 L
.51364 .51978 L
.51254 .51846 L
.51204 .51808 L
.51121 .51686 L
.51043 .51597 L
.50973 .51525 L
.50883 .51386 L
.50866 .51364 L
.50745 .51204 L
.50722 .51174 L
.50626 .51043 L
.50562 .50955 L
.5047 .50883 L
.50401 .50723 L
.50401 .50722 L
.5031 .50562 L
F
1 .64 0 r
.50401 .50436 m
.50557 .50562 L
.50562 .50566 L
.50711 .50722 L
.50722 .50735 L
.50849 .50883 L
.50883 .50922 L
.50981 .51043 L
.51043 .51091 L
.5111 .51204 L
.51204 .51313 L
.5125 .51364 L
.51359 .51525 L
.51364 .51533 L
.51476 .51686 L
.51525 .51751 L
.51593 .51846 L
.51686 .51976 L
.51726 .52007 L
.51809 .52167 L
.51846 .5223 L
.51894 .52328 L
.51846 .52426 L
.51707 .52328 L
.51686 .5231 L
.5154 .52167 L
.51525 .52152 L
.51394 .52007 L
.51364 .51974 L
.51257 .51846 L
.51204 .51805 L
.51124 .51686 L
.51043 .51594 L
.50976 .51525 L
.50883 .51383 L
.50869 .51364 L
.50748 .51204 L
.50722 .5117 L
.50629 .51043 L
.50562 .50951 L
.50474 .50883 L
.50405 .50722 L
.50401 .50716 L
.50315 .50562 L
F
1 .63 0 r
.50401 .50443 m
.50551 .50562 L
.50562 .50571 L
.50707 .50722 L
.50722 .50739 L
.50846 .50883 L
.50883 .50925 L
.50978 .51043 L
.51043 .51093 L
.51107 .51204 L
.51204 .51317 L
.51247 .51364 L
.51356 .51525 L
.51364 .51536 L
.51474 .51686 L
.51525 .51754 L
.5159 .51846 L
.51686 .5198 L
.5172 .52007 L
.51804 .52167 L
.51846 .52239 L
.51887 .52328 L
.51846 .52415 L
.51716 .52328 L
.51686 .52304 L
.51546 .52167 L
.51525 .52147 L
.51398 .52007 L
.51364 .5197 L
.5126 .51846 L
.51204 .51802 L
.51127 .51686 L
.51043 .5159 L
.50979 .51525 L
.50883 .51379 L
.50871 .51364 L
.50751 .51204 L
.50722 .51166 L
.50632 .51043 L
.50562 .50946 L
.50478 .50883 L
.50409 .50722 L
.50401 .5071 L
.50321 .50562 L
F
1 .62 0 r
.50401 .50451 m
.50545 .50562 L
.50562 .50576 L
.50703 .50722 L
.50722 .50743 L
.50843 .50883 L
.50883 .50929 L
.50976 .51043 L
.51043 .51096 L
.51105 .51204 L
.51204 .5132 L
.51244 .51364 L
.51353 .51525 L
.51364 .51539 L
.51471 .51686 L
.51525 .51758 L
.51588 .51846 L
.51686 .51985 L
.51714 .52007 L
.518 .52167 L
.51846 .5225 L
.5188 .52328 L
.51846 .52403 L
.51726 .52328 L
.51686 .52297 L
.51551 .52167 L
.51525 .52142 L
.51402 .52007 L
.51364 .51966 L
.51263 .51846 L
.51204 .51799 L
.5113 .51686 L
.51043 .51587 L
.50982 .51525 L
.50883 .51376 L
.50874 .51364 L
.50754 .51204 L
.50722 .51163 L
.50635 .51043 L
.50562 .50942 L
.50483 .50883 L
.50413 .50722 L
.50401 .50703 L
.50326 .50562 L
F
1 .61 0 r
.50401 .50459 m
.50539 .50562 L
.50562 .50581 L
.50699 .50722 L
.50722 .50747 L
.5084 .50883 L
.50883 .50932 L
.50973 .51043 L
.51043 .51099 L
.51102 .51204 L
.51204 .51324 L
.51241 .51364 L
.51351 .51525 L
.51364 .51543 L
.51469 .51686 L
.51525 .51762 L
.51585 .51846 L
.51686 .51989 L
.51708 .52007 L
.51795 .52167 L
.51846 .52262 L
.51872 .52328 L
.51846 .5239 L
.51736 .52328 L
.51686 .52291 L
.51556 .52167 L
.51525 .52137 L
.51406 .52007 L
.51364 .51961 L
.51267 .51846 L
.51204 .51796 L
.51133 .51686 L
.51043 .51583 L
.50986 .51525 L
.50883 .51372 L
.50877 .51364 L
.50756 .51204 L
.50722 .51159 L
.50638 .51043 L
.50562 .50938 L
.50488 .50883 L
.50417 .50722 L
.50401 .50696 L
.50332 .50562 L
F
1 .6 0 r
.50401 .50468 m
.50532 .50562 L
.50562 .50587 L
.50695 .50722 L
.50722 .50751 L
.50836 .50883 L
.50883 .50936 L
.5097 .51043 L
.51043 .51103 L
.511 .51204 L
.51204 .51327 L
.51238 .51364 L
.51348 .51525 L
.51364 .51546 L
.51466 .51686 L
.51525 .51765 L
.51582 .51846 L
.51686 .51994 L
.51702 .52007 L
.5179 .52167 L
.51846 .52277 L
.51863 .52328 L
.51846 .52374 L
.51748 .52328 L
.51686 .52284 L
.51562 .52167 L
.51525 .52132 L
.5141 .52007 L
.51364 .51957 L
.5127 .51846 L
.51204 .51793 L
.51136 .51686 L
.51043 .5158 L
.50989 .51525 L
.50883 .51368 L
.5088 .51364 L
.50759 .51204 L
.50722 .51155 L
.5064 .51043 L
.50562 .50934 L
.50493 .50883 L
.50422 .50722 L
.50401 .50688 L
.50338 .50562 L
F
1 .67 0 r
.50401 .44222 m
.50474 .44301 L
.50562 .44391 L
.50623 .44462 L
.50722 .44571 L
.50766 .44622 L
.50883 .44746 L
.50905 .44783 L
.51041 .44943 L
.51043 .44947 L
.51173 .45104 L
.51204 .4514 L
.51305 .45265 L
.51364 .45295 L
.51437 .45425 L
.51525 .45523 L
.516 .45586 L
.51686 .4573 L
.517 .45746 L
.51826 .45907 L
.51846 .45931 L
.51953 .46067 L
.52007 .46112 L
.52081 .46228 L
.52167 .46329 L
.52224 .46388 L
.52328 .46538 L
.52336 .46549 L
.52461 .46709 L
.52488 .46712 L
.52587 .4687 L
.52649 .46934 L
.52748 .4703 L
.52809 .4715 L
.52844 .47191 L
.52964 .47351 L
.5297 .47358 L
.53088 .47512 L
.5313 .47542 L
.53212 .47672 L
.53291 .47764 L
.53353 .47833 L
.53451 .47979 L
.53462 .47993 L
.53585 .48154 L
.53612 .48188 L
.53708 .48314 L
.53772 .4838 L
.53865 .48475 L
.53933 .48601 L
.53961 .48636 L
.54079 .48796 L
.54093 .48815 L
.542 .48957 L
.54254 .48992 L
.54323 .49117 L
.54414 .49225 L
.5446 .49278 L
.5457 .49438 L
.54575 .49445 L
.5469 .49599 L
.54735 .49657 L
.54811 .49759 L
.54896 .4985 L
.5496 .4992 L
.55057 .5008 L
.55057 .5008 L
.55175 .50241 L
.55217 .50295 L
.55295 .50401 L
.55378 .50474 L
.55416 .50562 L
.55538 .50722 L
.55538 .50723 L
.55654 .50883 L
.55699 .50941 L
.55772 .51043 L
.55859 .51159 L
.55891 .51204 L
.56009 .51364 L
.5602 .51379 L
.56121 .51525 L
.5618 .51605 L
.56234 .51686 L
.56341 .51832 L
.5635 .51846 L
.56453 .52007 L
.56501 .52076 L
.56552 .52167 L
.56501 .52231 L
.56441 .52167 L
.56341 .52066 L
.56288 .52007 L
.5618 .51889 L
.56143 .51846 L
.5602 .5171 L
.56003 .51686 L
.55867 .51525 L
.55859 .51516 L
.55733 .51364 L
.55699 .51324 L
.556 .51204 L
.55538 .51161 L
.55467 .51043 L
.55378 .50941 L
.55312 .50883 L
.55217 .50737 L
.55204 .50722 L
.55077 .50562 L
.55057 .50537 L
.54948 .50401 L
.54896 .50352 L
.54819 .50241 L
.54735 .50139 L
.54682 .5008 L
.54575 .49932 L
.54565 .4992 L
.54438 .49759 L
.54414 .4975 L
.54312 .49599 L
.54254 .49534 L
.5416 .49438 L
.54093 .49322 L
.54058 .49278 L
.53935 .49117 L
.53933 .49115 L
.5381 .48957 L
.53772 .48924 L
.53631 .48796 L
.53612 .48708 L
.5355 .48636 L
.53451 .48495 L
.53437 .48475 L
.53312 .48314 L
.53291 .48311 L
.53189 .48154 L
.5313 .48091 L
.5304 .47993 L
.5297 .47873 L
.52939 .47833 L
.52818 .47672 L
.52809 .47661 L
.52696 .47512 L
.52649 .47475 L
.52522 .47351 L
.52488 .47249 L
.5244 .47191 L
.52328 .47031 L
.52327 .4703 L
.52206 .4687 L
.52167 .46819 L
.52085 .46709 L
.52007 .46623 L
.51941 .46549 L
.51846 .46397 L
.5184 .46388 L
.51721 .46228 L
.51686 .46181 L
.51601 .46067 L
.51525 .45997 L
.5144 .45907 L
.51364 .45755 L
.51358 .45746 L
.51243 .45586 L
.51204 .45535 L
.51125 .45425 L
.51043 .45316 L
.51006 .45265 L
.50888 .45104 L
.50883 .45097 L
.50776 .44943 L
.50722 .44871 L
.50662 .44783 L
.50562 .44644 L
.50547 .44622 L
.50442 .44462 L
.50401 .44404 L
.50341 .44301 L
F
.733 .99 1 r
.50401 .50023 m
.50562 .5001 L
.50722 .50017 L
.5083 .5008 L
.50883 .50134 L
.50957 .50241 L
.51043 .50334 L
.51063 .50401 L
.51204 .50544 L
.51218 .50562 L
.5135 .50722 L
.51364 .50758 L
.51464 .50883 L
.51525 .50977 L
.51571 .51043 L
.51686 .51189 L
.51713 .51204 L
.51835 .51364 L
.51846 .51377 L
.51965 .51525 L
.52007 .51587 L
.52074 .51686 L
.52167 .51799 L
.5218 .51846 L
.52328 .52006 L
.52328 .52007 L
.52465 .52167 L
.52488 .52188 L
.52574 .52328 L
.52649 .52404 L
.52682 .52488 L
.52809 .52632 L
.52817 .52649 L
.52966 .52809 L
.5297 .52868 L
.53037 .5297 L
.5297 .52998 L
.52809 .53009 L
.52649 .52997 L
.5259 .5297 L
.52488 .52885 L
.52446 .52809 L
.52328 .52683 L
.52302 .52649 L
.52178 .52488 L
.52167 .52471 L
.52046 .52328 L
.52007 .52251 L
.51936 .52167 L
.51846 .52033 L
.5183 .52007 L
.51686 .5185 L
.51682 .51846 L
.51544 .51686 L
.51525 .51642 L
.51434 .51525 L
.51364 .51429 L
.51326 .51364 L
.51204 .5122 L
.51189 .51204 L
.51067 .51043 L
.51043 .5103 L
.50933 .50883 L
.50883 .5082 L
.50825 .50722 L
.50722 .50601 L
.50713 .50562 L
.50577 .50401 L
.50562 .5038 L
.50434 .50241 L
.50401 .50154 L
.50345 .5008 L
F
1 .59 0 r
.50401 .50476 m
.50525 .50562 L
.50562 .50592 L
.50691 .50722 L
.50722 .50755 L
.50833 .50883 L
.50883 .50939 L
.50968 .51043 L
.51043 .51106 L
.51097 .51204 L
.51204 .51331 L
.51234 .51364 L
.51346 .51525 L
.51364 .51549 L
.51463 .51686 L
.51525 .51769 L
.51579 .51846 L
.51686 .51999 L
.51696 .52007 L
.51785 .52167 L
.51846 .52297 L
.51853 .52328 L
.51846 .52353 L
.51763 .52328 L
.51686 .52277 L
.51567 .52167 L
.51525 .52127 L
.51414 .52007 L
.51364 .51953 L
.51273 .51846 L
.51204 .5179 L
.51138 .51686 L
.51043 .51576 L
.50993 .51525 L
.50883 .51365 L
.50883 .51364 L
.50762 .51204 L
.50722 .51152 L
.50643 .51043 L
.50562 .5093 L
.50498 .50883 L
.50426 .50722 L
.50401 .5068 L
.50345 .50562 L
F
0 .47 1 r
.50401 .44901 m
.50436 .44943 L
.50562 .4508 L
.50581 .45104 L
.50719 .45265 L
.50722 .45268 L
.50849 .45425 L
.50883 .45463 L
.50979 .45586 L
.51043 .4566 L
.5111 .45746 L
.51204 .45858 L
.51242 .45907 L
.51364 .4605 L
.51372 .46067 L
.51497 .46228 L
.51525 .46261 L
.51622 .46388 L
.51686 .46465 L
.51749 .46549 L
.51846 .46669 L
.51876 .46709 L
.52003 .4687 L
.52007 .46875 L
.52123 .4703 L
.52167 .47084 L
.52246 .47191 L
.52328 .47293 L
.52371 .47351 L
.52488 .4749 L
.52496 .47512 L
.52616 .47672 L
.52649 .47713 L
.52735 .47833 L
.52809 .47927 L
.52857 .47993 L
.5297 .48139 L
.5298 .48154 L
.53097 .48314 L
.5313 .48357 L
.53212 .48475 L
.53291 .48577 L
.5333 .48636 L
.53291 .48788 L
.53166 .48636 L
.5313 .48596 L
.53034 .48475 L
.5297 .484 L
.52901 .48314 L
.52809 .48204 L
.5277 .48154 L
.52649 .48012 L
.5264 .47993 L
.52514 .47833 L
.52488 .47802 L
.52388 .47672 L
.52328 .47599 L
.5226 .47512 L
.52167 .47395 L
.52133 .47351 L
.52007 .47191 L
.52007 .4719 L
.51885 .4703 L
.51846 .46982 L
.51761 .4687 L
.51686 .46774 L
.51637 .46709 L
.51525 .46577 L
.51513 .46549 L
.51392 .46388 L
.51364 .46353 L
.51272 .46228 L
.51204 .4614 L
.5115 .46067 L
.51043 .45927 L
.51028 .45907 L
.50911 .45746 L
.50883 .4571 L
.50795 .45586 L
.50722 .4549 L
.50677 .45425 L
.50562 .45269 L
.50559 .45265 L
.50453 .45104 L
.50401 .45033 L
.50348 .44943 L
F
.024 .88 1 r
.50401 .43559 m
.50502 .43659 L
.50562 .43717 L
.50657 .4382 L
.50722 .43889 L
.50804 .4398 L
.50883 .44048 L
.50946 .44141 L
.51043 .4425 L
.5111 .44301 L
.51204 .44443 L
.51222 .44462 L
.51355 .44622 L
.51364 .44623 L
.51488 .44783 L
.51525 .44821 L
.51621 .44943 L
.51686 .45023 L
.51761 .45104 L
.51846 .45225 L
.51877 .45265 L
.52007 .45422 L
.52008 .45425 L
.52139 .45586 L
.52167 .45618 L
.52288 .45746 L
.52328 .45825 L
.52394 .45907 L
.52488 .46031 L
.5251 .46067 L
.52648 .46228 L
.52649 .46228 L
.52807 .46388 L
.52809 .46432 L
.52908 .46549 L
.5297 .46641 L
.53018 .46709 L
.5313 .46849 L
.53135 .4687 L
.53277 .4703 L
.53291 .47046 L
.53418 .47191 L
.53451 .47255 L
.53526 .47351 L
.53612 .47466 L
.53637 .47512 L
.53772 .4767 L
.53776 .47672 L
.53927 .47833 L
.53933 .47873 L
.54032 .47993 L
.54093 .48085 L
.54141 .48154 L
.54254 .48295 L
.54258 .48314 L
.54396 .48475 L
.54414 .48495 L
.54537 .48636 L
.54575 .48706 L
.54644 .48796 L
.54735 .48918 L
.54756 .48957 L
.54891 .49117 L
.54896 .49121 L
.55046 .49278 L
.55057 .49328 L
.55147 .49438 L
.55217 .49541 L
.55256 .49599 L
.55378 .49751 L
.55379 .49759 L
.55507 .4992 L
.55538 .49951 L
.55651 .5008 L
.55699 .50165 L
.55756 .50241 L
.55859 .50378 L
.55871 .50401 L
.56 .50562 L
.5602 .50575 L
.5616 .50722 L
.5618 .50789 L
.56256 .50883 L
.56341 .51005 L
.56366 .51043 L
.56491 .51204 L
.56501 .51217 L
.56613 .51364 L
.56662 .51412 L
.56758 .51525 L
.56822 .51633 L
.56861 .51686 L
.56981 .51846 L
.56983 .51848 L
.57102 .52007 L
.57143 .52033 L
.57266 .52167 L
.57304 .5226 L
.57357 .52328 L
.57464 .52481 L
.57469 .52488 L
.57589 .52649 L
.57625 .52696 L
.57709 .52809 L
.57785 .52888 L
.57852 .5297 L
.57946 .53118 L
.57955 .5313 L
.58072 .53291 L
.58106 .53335 L
.58191 .53451 L
.58267 .53516 L
.58347 .53612 L
.58428 .53763 L
.58435 .53772 L
.58549 .53933 L
.58588 .53984 L
.58666 .54093 L
.58749 .54204 L
.58784 .54254 L
.58902 .54414 L
.58909 .54425 L
.59012 .54575 L
.5907 .54654 L
.59124 .54735 L
.5923 .54885 L
.59237 .54896 L
.59337 .55057 L
.59391 .55139 L
.5943 .55217 L
.59391 .5529 L
.59313 .55217 L
.5923 .5514 L
.59151 .55057 L
.5907 .54972 L
.59001 .54896 L
.58909 .54809 L
.58857 .54735 L
.58749 .54612 L
.58702 .54575 L
.58588 .54423 L
.5858 .54414 L
.58445 .54254 L
.58428 .54247 L
.58311 .54093 L
.58267 .54045 L
.5813 .53933 L
.58106 .53844 L
.58041 .53772 L
.57946 .53643 L
.57923 .53612 L
.57786 .53451 L
.57785 .5345 L
.57657 .53291 L
.57625 .53251 L
.57514 .5313 L
.57464 .53045 L
.57405 .5297 L
.57304 .52839 L
.57288 .52809 L
.57147 .52649 L
.57143 .52645 L
.56996 .52488 L
.56983 .5244 L
.56891 .52328 L
.56822 .5223 L
.5678 .52167 L
.56662 .52023 L
.56642 .52007 L
.56517 .51846 L
.56501 .51827 L
.56381 .51686 L
.56341 .51617 L
.56272 .51525 L
.5618 .51406 L
.5616 .51364 L
.5602 .51205 L
.56018 .51204 L
.55873 .51043 L
.55859 .51 L
.55766 .50883 L
.55699 .50788 L
.55656 .50722 L
.55538 .50579 L
.5552 .50562 L
.55397 .50401 L
.55378 .50379 L
.55261 .50241 L
.55217 .50168 L
.55153 .5008 L
.55057 .49956 L
.55041 .4992 L
.54902 .49759 L
.54896 .49754 L
.54755 .49599 L
.54735 .49546 L
.5465 .49438 L
.54575 .49333 L
.5454 .49278 L
.54414 .49124 L
.54407 .49117 L
.54285 .48957 L
.54254 .48923 L
.54147 .48796 L
.54093 .48709 L
.5404 .48636 L
.53933 .48497 L
.53924 .48475 L
.53793 .48314 L
.53772 .48298 L
.53641 .48154 L
.53612 .48085 L
.5354 .47993 L
.53451 .4787 L
.53429 .47833 L
.53301 .47672 L
.53291 .4767 L
.53179 .47512 L
.5313 .47461 L
.5304 .47351 L
.5297 .47242 L
.52933 .47191 L
.52811 .4703 L
.52809 .47028 L
.5269 .4687 L
.52649 .46838 L
.52535 .46709 L
.52488 .46614 L
.52439 .46549 L
.52328 .46395 L
.52324 .46388 L
.52203 .46228 L
.52167 .46181 L
.52082 .46067 L
.52007 .45985 L
.51944 .45907 L
.51846 .45758 L
.51838 .45746 L
.5172 .45586 L
.51686 .45541 L
.516 .45425 L
.51525 .45355 L
.51451 .45265 L
.51364 .45114 L
.51357 .45104 L
.51242 .44943 L
.51204 .44893 L
.51125 .44783 L
.51043 .44674 L
.51007 .44622 L
.50889 .44462 L
.50883 .44454 L
.50777 .44301 L
.50722 .44226 L
.50665 .44141 L
.50562 .43997 L
.50551 .4398 L
.50448 .4382 L
.50401 .43751 L
.5035 .43659 L
F
1 .58 0 r
.50401 .50486 m
.50517 .50562 L
.50562 .50597 L
.50686 .50722 L
.50722 .50759 L
.5083 .50883 L
.50883 .50943 L
.50965 .51043 L
.51043 .51109 L
.51095 .51204 L
.51204 .51335 L
.51231 .51364 L
.51343 .51525 L
.51364 .51553 L
.51461 .51686 L
.51525 .51773 L
.51576 .51846 L
.51686 .52004 L
.51689 .52007 L
.51779 .52167 L
.51686 .5227 L
.51573 .52167 L
.51525 .52122 L
.51418 .52007 L
.51364 .51949 L
.51276 .51846 L
.51204 .51786 L
.51141 .51686 L
.51043 .51572 L
.50996 .51525 L
.50885 .51364 L
.50883 .51361 L
.50765 .51204 L
.50722 .51148 L
.50646 .51043 L
.50562 .50925 L
.50504 .50883 L
.5043 .50722 L
.50401 .50671 L
.50352 .50562 L
F
1 .66 0 r
.50401 .44237 m
.50462 .44301 L
.50562 .44402 L
.50615 .44462 L
.50722 .44579 L
.50759 .44622 L
.50883 .44756 L
.50899 .44783 L
.51035 .44943 L
.51043 .44953 L
.51168 .45104 L
.51204 .45146 L
.51301 .45265 L
.51364 .45299 L
.51433 .45425 L
.51525 .45528 L
.51595 .45586 L
.51686 .45734 L
.51696 .45746 L
.51822 .45907 L
.51846 .45935 L
.5195 .46067 L
.52007 .46116 L
.52079 .46228 L
.52167 .46333 L
.52221 .46388 L
.52328 .46541 L
.52334 .46549 L
.52459 .46709 L
.52488 .46713 L
.52585 .4687 L
.52649 .46937 L
.52746 .4703 L
.52809 .47153 L
.52842 .47191 L
.52962 .47351 L
.5297 .47361 L
.53085 .47512 L
.5313 .47544 L
.5321 .47672 L
.53291 .47767 L
.5335 .47833 L
.53451 .47982 L
.5346 .47993 L
.53583 .48154 L
.53612 .48191 L
.53706 .48314 L
.53772 .48382 L
.53863 .48475 L
.53933 .48604 L
.53959 .48636 L
.54077 .48796 L
.54093 .48817 L
.54198 .48957 L
.54254 .48995 L
.54321 .49117 L
.54414 .49228 L
.54457 .49278 L
.54567 .49438 L
.54575 .49448 L
.54688 .49599 L
.54735 .4966 L
.54809 .49759 L
.54896 .49854 L
.54956 .4992 L
.55054 .5008 L
.55057 .50083 L
.55172 .50241 L
.55217 .50298 L
.55292 .50401 L
.55378 .50479 L
.55414 .50562 L
.55535 .50722 L
.55538 .50727 L
.5565 .50883 L
.55699 .50946 L
.55768 .51043 L
.55859 .51164 L
.55887 .51204 L
.56004 .51364 L
.5602 .51385 L
.56116 .51525 L
.5618 .51612 L
.56229 .51686 L
.56341 .51841 L
.56344 .51846 L
.56443 .52007 L
.56501 .52093 L
.56538 .52167 L
.56501 .52213 L
.56456 .52167 L
.56341 .52054 L
.56297 .52007 L
.5618 .51879 L
.56151 .51846 L
.5602 .517 L
.5601 .51686 L
.55874 .51525 L
.55859 .51509 L
.55739 .51364 L
.55699 .51318 L
.55604 .51204 L
.55538 .51157 L
.55471 .51043 L
.55378 .50936 L
.55317 .50883 L
.55217 .50732 L
.55208 .50722 L
.5508 .50562 L
.55057 .50533 L
.54951 .50401 L
.54896 .50348 L
.54822 .50241 L
.54735 .50135 L
.54685 .5008 L
.54575 .49929 L
.54568 .4992 L
.54441 .49759 L
.54414 .49748 L
.54315 .49599 L
.54254 .49531 L
.54163 .49438 L
.54093 .49318 L
.5406 .49278 L
.53937 .49117 L
.53933 .49112 L
.53813 .48957 L
.53772 .48922 L
.53633 .48796 L
.53612 .48705 L
.53552 .48636 L
.53451 .48492 L
.53439 .48475 L
.53315 .48314 L
.53291 .4831 L
.53191 .48154 L
.5313 .48088 L
.53043 .47993 L
.5297 .4787 L
.52941 .47833 L
.5282 .47672 L
.52809 .47658 L
.52698 .47512 L
.52649 .47472 L
.52524 .47351 L
.52488 .47246 L
.52443 .47191 L
.52329 .4703 L
.52328 .47028 L
.52209 .4687 L
.52167 .46816 L
.52087 .46709 L
.52007 .46619 L
.51944 .46549 L
.51846 .46393 L
.51842 .46388 L
.51724 .46228 L
.51686 .46178 L
.51604 .46067 L
.51525 .45993 L
.51445 .45907 L
.51364 .4575 L
.51362 .45746 L
.51246 .45586 L
.51204 .4553 L
.51129 .45425 L
.51043 .45311 L
.5101 .45265 L
.50893 .45104 L
.50883 .45091 L
.50781 .44943 L
.50722 .44864 L
.50667 .44783 L
.50562 .44636 L
.50553 .44622 L
.50451 .44462 L
.50401 .44389 L
.50353 .44301 L
F
0 .48 1 r
.50401 .51109 m
.50474 .51204 L
.50562 .5131 L
.50599 .51364 L
.50562 .51453 L
.50488 .51364 L
.50401 .51262 L
.50358 .51204 L
F
1 .57 0 r
.50401 .50495 m
.50509 .50562 L
.50562 .50603 L
.50682 .50722 L
.50722 .50763 L
.50827 .50883 L
.50883 .50946 L
.50962 .51043 L
.51043 .51113 L
.51093 .51204 L
.51204 .51339 L
.51227 .51364 L
.5134 .51525 L
.51364 .51556 L
.51458 .51686 L
.51525 .51777 L
.51573 .51846 L
.51684 .52007 L
.51686 .5201 L
.51774 .52167 L
.51686 .52263 L
.51579 .52167 L
.51525 .52117 L
.51422 .52007 L
.51364 .51945 L
.5128 .51846 L
.51204 .51782 L
.51144 .51686 L
.51043 .51568 L
.51 .51525 L
.50888 .51364 L
.50883 .51358 L
.50767 .51204 L
.50722 .51144 L
.50649 .51043 L
.50562 .50921 L
.5051 .50883 L
.50435 .50722 L
.50401 .50661 L
.50359 .50562 L
F
0 .46 1 r
.50401 .44914 m
.50426 .44943 L
.50562 .45089 L
.50574 .45104 L
.50562 .45261 L
.50463 .45104 L
.50401 .45019 L
.50359 .44943 L
F
0 .47 1 r
.50401 .5112 m
.50466 .51204 L
.50562 .51321 L
.50591 .51364 L
.50562 .51441 L
.50498 .51364 L
.50401 .51252 L
.50366 .51204 L
F
1 .56 0 r
.50401 .50506 m
.505 .50562 L
.50562 .50608 L
.50677 .50722 L
.50722 .50767 L
.50823 .50883 L
.50883 .5095 L
.50959 .51043 L
.51043 .51117 L
.5109 .51204 L
.51204 .51343 L
.51224 .51364 L
.51338 .51525 L
.51364 .5156 L
.51455 .51686 L
.51525 .51781 L
.5157 .51846 L
.51679 .52007 L
.51686 .52016 L
.51768 .52167 L
.51686 .52256 L
.51586 .52167 L
.51525 .52112 L
.51427 .52007 L
.51364 .51941 L
.51283 .51846 L
.51204 .51779 L
.51147 .51686 L
.51043 .51565 L
.51004 .51525 L
.50891 .51364 L
.50883 .51354 L
.5077 .51204 L
.50722 .5114 L
.50652 .51043 L
.50562 .50916 L
.50516 .50883 L
.5044 .50722 L
.50401 .50651 L
.50367 .50562 L
F
1 .65 0 r
.50401 .44256 m
.50446 .44301 L
.50562 .44413 L
.50605 .44462 L
.50722 .44588 L
.50752 .44622 L
.50883 .44766 L
.50893 .44783 L
.51029 .44943 L
.51043 .4496 L
.51163 .45104 L
.51204 .45151 L
.51296 .45265 L
.51364 .45304 L
.51429 .45425 L
.51525 .45533 L
.51589 .45586 L
.51686 .45739 L
.51692 .45746 L
.51819 .45907 L
.51846 .45939 L
.51947 .46067 L
.52007 .46119 L
.52076 .46228 L
.52167 .46337 L
.52217 .46388 L
.52328 .46545 L
.52331 .46549 L
.52456 .46709 L
.52488 .46714 L
.52582 .4687 L
.52649 .4694 L
.52743 .4703 L
.52809 .47156 L
.52839 .47191 L
.52959 .47351 L
.5297 .47364 L
.53083 .47512 L
.5313 .47547 L
.53208 .47672 L
.53291 .4777 L
.53348 .47833 L
.53451 .47984 L
.53458 .47993 L
.53581 .48154 L
.53612 .48193 L
.53704 .48314 L
.53772 .48385 L
.5386 .48475 L
.53933 .48607 L
.53956 .48636 L
.54075 .48796 L
.54093 .4882 L
.54196 .48957 L
.54254 .48997 L
.54319 .49117 L
.54414 .49231 L
.54454 .49278 L
.54565 .49438 L
.54575 .49451 L
.54685 .49599 L
.54735 .49663 L
.54807 .49759 L
.54896 .49857 L
.54953 .4992 L
.55052 .5008 L
.55057 .50087 L
.5517 .50241 L
.55217 .50302 L
.5529 .50401 L
.55378 .50484 L
.55411 .50562 L
.55531 .50722 L
.55538 .50731 L
.55647 .50883 L
.55699 .5095 L
.55765 .51043 L
.55859 .51169 L
.55884 .51204 L
.56 .51364 L
.5602 .51391 L
.5611 .51525 L
.5618 .5162 L
.56224 .51686 L
.56337 .51846 L
.56341 .51851 L
.56432 .52007 L
.56501 .52118 L
.56519 .52167 L
.56501 .52189 L
.56477 .52167 L
.56341 .52042 L
.56308 .52007 L
.5618 .5187 L
.56159 .51846 L
.5602 .5169 L
.56017 .51686 L
.5588 .51525 L
.55859 .51502 L
.55744 .51364 L
.55699 .51312 L
.55609 .51204 L
.55538 .51151 L
.55476 .51043 L
.55378 .5093 L
.55323 .50883 L
.55217 .50727 L
.55213 .50722 L
.55084 .50562 L
.55057 .50529 L
.54955 .50401 L
.54896 .50345 L
.54825 .50241 L
.54735 .50131 L
.54688 .5008 L
.54575 .49926 L
.54571 .4992 L
.54444 .49759 L
.54414 .49747 L
.54317 .49599 L
.54254 .49528 L
.54165 .49438 L
.54093 .49315 L
.54063 .49278 L
.5394 .49117 L
.53933 .49109 L
.53815 .48957 L
.53772 .4892 L
.53634 .48796 L
.53612 .48702 L
.53555 .48636 L
.53451 .48489 L
.53441 .48475 L
.53317 .48314 L
.53291 .48309 L
.53193 .48154 L
.5313 .48086 L
.53045 .47993 L
.5297 .47867 L
.52943 .47833 L
.52823 .47672 L
.52809 .47655 L
.527 .47512 L
.52649 .4747 L
.52526 .47351 L
.52488 .47242 L
.52445 .47191 L
.52332 .4703 L
.52328 .47025 L
.52211 .4687 L
.52167 .46813 L
.52089 .46709 L
.52007 .46616 L
.51948 .46549 L
.51846 .46389 L
.51845 .46388 L
.51727 .46228 L
.51686 .46174 L
.51607 .46067 L
.51525 .45988 L
.51449 .45907 L
.51366 .45746 L
.51364 .45745 L
.5125 .45586 L
.51204 .45525 L
.51132 .45425 L
.51043 .45306 L
.51014 .45265 L
.50897 .45104 L
.50883 .45085 L
.50786 .44943 L
.50722 .44856 L
.50673 .44783 L
.50562 .44626 L
.50559 .44622 L
.50461 .44462 L
.50401 .44371 L
.50367 .44301 L
F
.538 .98 1 r
.50401 .50045 m
.50562 .50023 L
.50722 .50041 L
.50804 .5008 L
.50883 .50152 L
.50948 .50241 L
.51043 .50344 L
.5106 .50401 L
.51204 .50549 L
.51213 .50562 L
.51349 .50722 L
.51364 .50763 L
.51462 .50883 L
.51525 .5098 L
.51569 .51043 L
.51686 .51191 L
.51711 .51204 L
.51833 .51364 L
.51846 .51379 L
.51963 .51525 L
.52007 .5159 L
.52072 .51686 L
.52167 .51802 L
.52179 .51846 L
.52325 .52007 L
.52328 .5201 L
.52464 .52167 L
.52488 .52191 L
.52571 .52328 L
.52649 .52409 L
.52679 .52488 L
.52809 .52644 L
.52811 .52649 L
.52964 .52809 L
.5297 .52901 L
.52978 .5297 L
.5297 .52973 L
.52809 .52994 L
.52649 .52971 L
.52646 .5297 L
.52488 .52865 L
.52455 .52809 L
.52328 .52673 L
.52309 .52649 L
.52182 .52488 L
.52167 .52464 L
.52049 .52328 L
.52007 .52246 L
.51939 .52167 L
.51846 .52031 L
.51831 .52007 L
.51686 .51847 L
.51685 .51846 L
.51546 .51686 L
.51525 .51639 L
.51436 .51525 L
.51364 .51427 L
.51327 .51364 L
.51204 .51217 L
.51191 .51204 L
.51069 .51043 L
.51043 .51029 L
.50936 .50883 L
.50883 .50817 L
.50828 .50722 L
.50722 .50596 L
.50715 .50562 L
.50582 .50401 L
.50562 .50373 L
.5044 .50241 L
.50401 .50131 L
.5037 .5008 L
F
1 .55 0 r
.50401 .50518 m
.5049 .50562 L
.50562 .50614 L
.50673 .50722 L
.50722 .50772 L
.5082 .50883 L
.50883 .50953 L
.50956 .51043 L
.51043 .51121 L
.51087 .51204 L
.51204 .51347 L
.5122 .51364 L
.51335 .51525 L
.51364 .51563 L
.51452 .51686 L
.51525 .51785 L
.51567 .51846 L
.51675 .52007 L
.51686 .52023 L
.51762 .52167 L
.51686 .52248 L
.51592 .52167 L
.51525 .52107 L
.51431 .52007 L
.51364 .51936 L
.51287 .51846 L
.51204 .51775 L
.5115 .51686 L
.51043 .51561 L
.51007 .51525 L
.50894 .51364 L
.50883 .5135 L
.50773 .51204 L
.50722 .51136 L
.50655 .51043 L
.50562 .50911 L
.50522 .50883 L
.50444 .50722 L
.50401 .50638 L
.50375 .50562 L
F
1 .84 .007 r
.50401 .54054 m
.50439 .54093 L
.50562 .54222 L
.5059 .54254 L
.50722 .54404 L
.50731 .54414 L
.50866 .54575 L
.50883 .54594 L
.51 .54735 L
.51043 .54786 L
.51133 .54896 L
.51204 .54981 L
.51265 .55057 L
.51364 .55146 L
.51396 .55217 L
.51525 .55377 L
.51525 .55378 L
.51652 .55538 L
.51686 .55579 L
.5178 .55699 L
.51846 .55781 L
.51908 .55859 L
.52007 .55969 L
.52073 .5602 L
.5216 .5618 L
.52167 .56189 L
.52284 .56341 L
.52328 .56395 L
.52409 .56501 L
.52488 .56554 L
.52535 .56662 L
.52649 .56806 L
.52665 .56822 L
.5278 .56983 L
.52809 .5702 L
.52903 .57143 L
.5297 .5723 L
.53026 .57304 L
.5313 .57428 L
.5317 .57464 L
.53267 .57625 L
.53291 .57655 L
.53387 .57785 L
.53451 .5787 L
.53507 .57946 L
.53612 .58086 L
.53627 .58106 L
.53742 .58267 L
.53772 .58306 L
.53857 .58428 L
.53933 .5853 L
.53973 .58588 L
.54087 .58749 L
.54093 .58757 L
.54188 .58909 L
.54254 .59005 L
.54288 .5907 L
.54254 .591 L
.54228 .5907 L
.54093 .58932 L
.54075 .58909 L
.53933 .5875 L
.53932 .58749 L
.538 .58588 L
.53772 .58558 L
.53669 .58428 L
.53612 .58363 L
.53537 .58267 L
.53451 .58166 L
.53405 .58106 L
.53291 .57969 L
.53273 .57946 L
.53145 .57785 L
.5313 .57768 L
.5302 .57625 L
.5297 .57564 L
.52894 .57464 L
.52809 .57361 L
.52766 .57304 L
.52649 .57167 L
.52638 .57143 L
.52514 .56983 L
.52488 .56951 L
.52391 .56822 L
.52328 .56744 L
.52266 .56662 L
.52167 .56537 L
.5214 .56501 L
.52016 .56341 L
.52007 .56329 L
.51896 .5618 L
.51846 .56118 L
.51774 .5602 L
.51686 .55908 L
.5165 .55859 L
.51525 .55699 L
.51525 .55699 L
.51408 .55538 L
.51364 .55484 L
.51289 .55378 L
.51204 .55269 L
.51167 .55217 L
.51043 .55057 L
.51043 .55056 L
.5093 .54896 L
.50883 .54835 L
.50815 .54735 L
.50722 .54614 L
.50696 .54575 L
.50581 .54414 L
.50562 .54389 L
.50479 .54254 L
.50401 .54145 L
.50375 .54093 L
F
0 .46 1 r
.50401 .51133 m
.50455 .51204 L
.50562 .51333 L
.50582 .51364 L
.50562 .51427 L
.50509 .51364 L
.50401 .5124 L
.50375 .51204 L
F
0 .45 1 r
.50401 .4493 m
.50413 .44943 L
.50562 .45098 L
.50567 .45104 L
.50562 .4525 L
.50474 .45104 L
.50401 .45001 L
.50375 .44943 L
F
.018 .87 1 r
.50401 .43602 m
.50468 .43659 L
.50562 .43742 L
.50636 .4382 L
.50722 .43908 L
.50788 .4398 L
.50883 .44065 L
.50933 .44141 L
.51043 .44265 L
.51093 .44301 L
.51204 .44454 L
.51211 .44462 L
.51346 .44622 L
.51364 .44623 L
.5148 .44783 L
.51525 .44829 L
.51614 .44943 L
.51686 .45032 L
.51755 .45104 L
.51846 .45232 L
.51872 .45265 L
.52005 .45425 L
.52007 .45426 L
.52134 .45586 L
.52167 .45624 L
.52284 .45746 L
.52328 .4583 L
.5239 .45907 L
.52488 .46036 L
.52507 .46067 L
.52644 .46228 L
.52649 .46232 L
.52806 .46388 L
.52809 .46436 L
.52905 .46549 L
.5297 .46645 L
.53016 .46709 L
.5313 .46852 L
.53135 .4687 L
.53274 .4703 L
.53291 .4705 L
.53416 .47191 L
.53451 .47259 L
.53523 .47351 L
.53612 .47469 L
.53636 .47512 L
.53772 .47672 L
.53773 .47672 L
.53927 .47833 L
.53933 .47876 L
.5403 .47993 L
.54093 .48088 L
.54139 .48154 L
.54254 .48297 L
.54257 .48314 L
.54394 .48475 L
.54414 .48497 L
.54536 .48636 L
.54575 .48708 L
.54642 .48796 L
.54735 .4892 L
.54755 .48957 L
.54889 .49117 L
.54896 .49123 L
.55045 .49278 L
.55057 .4933 L
.55145 .49438 L
.55217 .49543 L
.55255 .49599 L
.55378 .49753 L
.55379 .49759 L
.55505 .4992 L
.55538 .49953 L
.55649 .5008 L
.55699 .50167 L
.55754 .50241 L
.55859 .5038 L
.5587 .50401 L
.55998 .50562 L
.5602 .50577 L
.56159 .50722 L
.5618 .50791 L
.56254 .50883 L
.56341 .51008 L
.56364 .51043 L
.56489 .51204 L
.56501 .5122 L
.5661 .51364 L
.56662 .51414 L
.56756 .51525 L
.56822 .51635 L
.56859 .51686 L
.56979 .51846 L
.56983 .51851 L
.57099 .52007 L
.57143 .52035 L
.57264 .52167 L
.57304 .52264 L
.57354 .52328 L
.57464 .52485 L
.57466 .52488 L
.57586 .52649 L
.57625 .52699 L
.57706 .52809 L
.57785 .52893 L
.57848 .5297 L
.57946 .53123 L
.57951 .5313 L
.58068 .53291 L
.58106 .53341 L
.58187 .53451 L
.58267 .53523 L
.5834 .53612 L
.58428 .53771 L
.58429 .53772 L
.58543 .53933 L
.58588 .53992 L
.5866 .54093 L
.58749 .54213 L
.58777 .54254 L
.58893 .54414 L
.58909 .54436 L
.59002 .54575 L
.5907 .54668 L
.59113 .54735 L
.59224 .54896 L
.5923 .54906 L
.59315 .55057 L
.59391 .55211 L
.59391 .55217 L
.59391 .55218 L
.59372 .55217 L
.5923 .55112 L
.59175 .55057 L
.5907 .54951 L
.59019 .54896 L
.58909 .54789 L
.58872 .54735 L
.58749 .54597 L
.5872 .54575 L
.58591 .54414 L
.58588 .54411 L
.58455 .54254 L
.58428 .54243 L
.58319 .54093 L
.58267 .54036 L
.58136 .53933 L
.58106 .53835 L
.58048 .53772 L
.57946 .53636 L
.57928 .53612 L
.57792 .53451 L
.57785 .53445 L
.57663 .53291 L
.57625 .53245 L
.57518 .5313 L
.57464 .53039 L
.57409 .5297 L
.57304 .52835 L
.57291 .52809 L
.57151 .52649 L
.57143 .5264 L
.56998 .52488 L
.56983 .52435 L
.56894 .52328 L
.56822 .52226 L
.56782 .52167 L
.56662 .52021 L
.56645 .52007 L
.5652 .51846 L
.56501 .51823 L
.56383 .51686 L
.56341 .51614 L
.56274 .51525 L
.5618 .51403 L
.56162 .51364 L
.5602 .51204 L
.5602 .51203 L
.55874 .51043 L
.55859 .50997 L
.55768 .50883 L
.55699 .50785 L
.55658 .50722 L
.55538 .50577 L
.55522 .50562 L
.55399 .50401 L
.55378 .50377 L
.55262 .50241 L
.55217 .50166 L
.55154 .5008 L
.55057 .49954 L
.55042 .4992 L
.54904 .49759 L
.54896 .49752 L
.54756 .49599 L
.54735 .49544 L
.54652 .49438 L
.54575 .49331 L
.54541 .49278 L
.54414 .49122 L
.54409 .49117 L
.54287 .48957 L
.54254 .48921 L
.54149 .48796 L
.54093 .48707 L
.54042 .48636 L
.53933 .48495 L
.53925 .48475 L
.53795 .48314 L
.53772 .48296 L
.53642 .48154 L
.53612 .48083 L
.53542 .47993 L
.53451 .47867 L
.5343 .47833 L
.53303 .47672 L
.53291 .4767 L
.53181 .47512 L
.5313 .47458 L
.53042 .47351 L
.5297 .47239 L
.52935 .47191 L
.52813 .4703 L
.52809 .47025 L
.52693 .4687 L
.52649 .46835 L
.52537 .46709 L
.52488 .4661 L
.52441 .46549 L
.52328 .46391 L
.52326 .46388 L
.52206 .46228 L
.52167 .46177 L
.52085 .46067 L
.52007 .4598 L
.51948 .45907 L
.51846 .45753 L
.51841 .45746 L
.51723 .45586 L
.51686 .45536 L
.51604 .45425 L
.51525 .45348 L
.51457 .45265 L
.51364 .45106 L
.51363 .45104 L
.51248 .44943 L
.51204 .44885 L
.51131 .44783 L
.51043 .44665 L
.51013 .44622 L
.50897 .44462 L
.50883 .44443 L
.50787 .44301 L
.50722 .44213 L
.50675 .44141 L
.50562 .4398 L
.50562 .43979 L
.50467 .4382 L
.50401 .43714 L
.50377 .43659 L
F
.289 .96 1 r
.50401 .53382 m
.50479 .53451 L
.50562 .5353 L
.50639 .53612 L
.50722 .53701 L
.50787 .53772 L
.50883 .53854 L
.50927 .53933 L
.51043 .54068 L
.51079 .54093 L
.51197 .54254 L
.51204 .54262 L
.5133 .54414 L
.51364 .54455 L
.51463 .54575 L
.51525 .54641 L
.5166 .54735 L
.51686 .54849 L
.51729 .54896 L
.51846 .55049 L
.51851 .55057 L
.51982 .55217 L
.52007 .55236 L
.52111 .55378 L
.52167 .55445 L
.52255 .55538 L
.52328 .55652 L
.52363 .55699 L
.52488 .55854 L
.5249 .55859 L
.52621 .5602 L
.52649 .56049 L
.52783 .5618 L
.52809 .56258 L
.52876 .56341 L
.5297 .56467 L
.52991 .56501 L
.53126 .56662 L
.5313 .56665 L
.53252 .56822 L
.53291 .56869 L
.53389 .56983 L
.53451 .57081 L
.53496 .57143 L
.53612 .57288 L
.53617 .57304 L
.53751 .57464 L
.53772 .57486 L
.53903 .57625 L
.53933 .57698 L
.54001 .57785 L
.54093 .5791 L
.54114 .57946 L
.54246 .58106 L
.54254 .5811 L
.5437 .58267 L
.54414 .58319 L
.54505 .58428 L
.54575 .58535 L
.54612 .58588 L
.54735 .58745 L
.54736 .58749 L
.5486 .58909 L
.54896 .58942 L
.55013 .5907 L
.55057 .59162 L
.55108 .5923 L
.55217 .59379 L
.55224 .59391 L
.55347 .59551 L
.55378 .59562 L
.55469 .59712 L
.55538 .59793 L
.55602 .59872 L
.55699 .60017 L
.55709 .60033 L
.55829 .60193 L
.55859 .60234 L
.55948 .60354 L
.5602 .60427 L
.56095 .60514 L
.5618 .60665 L
.56187 .60675 L
.56302 .60835 L
.56341 .60888 L
.56419 .60996 L
.56501 .61109 L
.56535 .61156 L
.56649 .61317 L
.56662 .61334 L
.56759 .61477 L
.56822 .61566 L
.5687 .61638 L
.56979 .61799 L
.56983 .61804 L
.57071 .61959 L
.57143 .62087 L
.57153 .6212 L
.57143 .62135 L
.57123 .6212 L
.56983 .62001 L
.56945 .61959 L
.56822 .61831 L
.56795 .61799 L
.56662 .61657 L
.56651 .61638 L
.56514 .61477 L
.56501 .61463 L
.56381 .61317 L
.56341 .61272 L
.56248 .61156 L
.5618 .61078 L
.56115 .60996 L
.5602 .60894 L
.5594 .60835 L
.55859 .60685 L
.55849 .60675 L
.55724 .60514 L
.55699 .60484 L
.55597 .60354 L
.55538 .60312 L
.55469 .60193 L
.55378 .60089 L
.55318 .60033 L
.55217 .59878 L
.55212 .59872 L
.55088 .59712 L
.55057 .59673 L
.54963 .59551 L
.54896 .59487 L
.54785 .59391 L
.54735 .59268 L
.547 .5923 L
.54584 .5907 L
.54575 .59058 L
.54461 .58909 L
.54414 .58884 L
.54337 .58749 L
.54254 .58656 L
.54188 .58588 L
.54093 .58439 L
.54084 .58428 L
.53963 .58267 L
.53933 .58229 L
.5384 .58106 L
.53772 .58044 L
.53668 .57946 L
.53612 .57819 L
.53582 .57785 L
.53467 .57625 L
.53451 .57605 L
.53346 .57464 L
.53291 .57438 L
.53223 .57304 L
.5313 .57199 L
.53079 .57143 L
.52974 .56983 L
.5297 .56978 L
.52854 .56822 L
.52809 .56766 L
.52732 .56662 L
.52649 .56581 L
.52571 .56501 L
.52488 .56348 L
.52482 .56341 L
.52364 .5618 L
.52328 .56134 L
.52244 .5602 L
.52167 .55922 L
.52121 .55859 L
.52007 .55717 L
.51991 .55699 L
.51878 .55538 L
.51846 .55498 L
.51759 .55378 L
.51686 .55283 L
.51638 .55217 L
.51525 .5508 L
.51504 .55057 L
.51397 .54896 L
.51364 .54854 L
.5128 .54735 L
.51204 .54636 L
.51161 .54575 L
.51043 .5442 L
.51039 .54414 L
.50926 .54254 L
.50883 .54197 L
.50813 .54093 L
.50722 .53972 L
.50697 .53933 L
.50584 .53772 L
.50562 .53742 L
.50482 .53612 L
.50401 .5349 L
.50382 .53451 L
F
0 .65 1 r
.50401 .54728 m
.50407 .54735 L
.50401 .54776 L
.50383 .54735 L
F
1 .96 .289 r
.50401 .42941 m
.50497 .43017 L
.50562 .43071 L
.50669 .43178 L
.50722 .4323 L
.50824 .43338 L
.50883 .43375 L
.50972 .43499 L
.51043 .43577 L
.51179 .43659 L
.51204 .43766 L
.51259 .4382 L
.51364 .43956 L
.51385 .4398 L
.51525 .4414 L
.51527 .44141 L
.51661 .44301 L
.51686 .44333 L
.51805 .44462 L
.51846 .44534 L
.51917 .44622 L
.52007 .44739 L
.52032 .44783 L
.52167 .44921 L
.52185 .44943 L
.52323 .45104 L
.52328 .45124 L
.5244 .45265 L
.52488 .45334 L
.52551 .45425 L
.52649 .45548 L
.52698 .45586 L
.52809 .4573 L
.52823 .45746 L
.52951 .45907 L
.5297 .45938 L
.53066 .46067 L
.5313 .46153 L
.5317 .46228 L
.53291 .46372 L
.53326 .46388 L
.5345 .46549 L
.53451 .46552 L
.53573 .46709 L
.53612 .46765 L
.53681 .4687 L
.53772 .46984 L
.53825 .4703 L
.53933 .47171 L
.53948 .47191 L
.54075 .47351 L
.54093 .47382 L
.54188 .47512 L
.54254 .47599 L
.5429 .47672 L
.54414 .47816 L
.54445 .47833 L
.54571 .47993 L
.54575 .48004 L
.54691 .48154 L
.54735 .48217 L
.54798 .48314 L
.54896 .48434 L
.5494 .48475 L
.55057 .48628 L
.55062 .48636 L
.55191 .48796 L
.55217 .48839 L
.55302 .48957 L
.55378 .49054 L
.55405 .49117 L
.55538 .49265 L
.55557 .49278 L
.55689 .49438 L
.55699 .49463 L
.55804 .49599 L
.55859 .49676 L
.55911 .49759 L
.5602 .4989 L
.56051 .4992 L
.56173 .5008 L
.5618 .50089 L
.56304 .50241 L
.56341 .50299 L
.56414 .50401 L
.56501 .50513 L
.5652 .50562 L
.56662 .50719 L
.56666 .50722 L
.56805 .50883 L
.56822 .50923 L
.56915 .51043 L
.56983 .51137 L
.57023 .51204 L
.57143 .51348 L
.57159 .51364 L
.57282 .51525 L
.57304 .51549 L
.57416 .51686 L
.57464 .51761 L
.57524 .51846 L
.57625 .51974 L
.57636 .52007 L
.57774 .52167 L
.57785 .52176 L
.57919 .52328 L
.57946 .52385 L
.58025 .52488 L
.58106 .526 L
.58135 .52649 L
.58267 .52809 L
.58267 .52809 L
.58389 .5297 L
.58428 .53009 L
.58526 .5313 L
.58588 .53225 L
.58634 .53291 L
.58749 .53438 L
.58753 .53451 L
.5888 .53612 L
.58909 .53632 L
.5903 .53772 L
.5907 .53849 L
.59132 .53933 L
.5923 .54066 L
.59246 .54093 L
.59371 .54254 L
.59391 .54279 L
.59542 .54414 L
.59551 .54472 L
.59632 .54575 L
.59712 .54694 L
.5974 .54735 L
.59862 .54896 L
.59872 .5491 L
.59982 .55057 L
.60033 .55093 L
.60135 .55217 L
.60193 .55322 L
.60234 .55378 L
.6035 .55538 L
.60354 .55543 L
.6047 .55699 L
.60514 .55756 L
.60644 .55859 L
.60675 .55951 L
.60727 .5602 L
.60835 .5618 L
.60835 .5618 L
.60953 .56341 L
.60996 .56396 L
.61073 .56501 L
.61156 .56582 L
.61216 .56662 L
.61315 .56822 L
.61317 .56825 L
.6143 .56983 L
.61477 .57046 L
.61546 .57143 L
.61638 .57266 L
.61693 .57304 L
.6178 .57464 L
.61799 .5749 L
.61889 .57625 L
.61959 .57723 L
.62 .57785 L
.62108 .57946 L
.6212 .57964 L
.62196 .58106 L
.6212 .58177 L
.62045 .58106 L
.61959 .58025 L
.61883 .57946 L
.61799 .57876 L
.61731 .57785 L
.61638 .57683 L
.61549 .57625 L
.61477 .57497 L
.61443 .57464 L
.61317 .57312 L
.6131 .57304 L
.6117 .57143 L
.61156 .57129 L
.61034 .56983 L
.60996 .56933 L
.60893 .56822 L
.60835 .56732 L
.60779 .56662 L
.60675 .56529 L
.60662 .56501 L
.60514 .56346 L
.6051 .56341 L
.60369 .5618 L
.60354 .56143 L
.60255 .5602 L
.60193 .55933 L
.60144 .55859 L
.60033 .55721 L
.59996 .55699 L
.59872 .55539 L
.59872 .55538 L
.59742 .55378 L
.59712 .55329 L
.5963 .55217 L
.59551 .55114 L
.59526 .55057 L
.59391 .54925 L
.59368 .54896 L
.59239 .54735 L
.5923 .54716 L
.59122 .54575 L
.5907 .54502 L
.59015 .54414 L
.58909 .54285 L
.58868 .54254 L
.58749 .54097 L
.58745 .54093 L
.58618 .53933 L
.58588 .53886 L
.58507 .53772 L
.58428 .53669 L
.58406 .53612 L
.58267 .53457 L
.58248 .53451 L
.58119 .53291 L
.58106 .53265 L
.58004 .5313 L
.57946 .5305 L
.57897 .5297 L
.57785 .52835 L
.57753 .52809 L
.57625 .52649 L
.57625 .52641 L
.57503 .52488 L
.57464 .52429 L
.57393 .52328 L
.57304 .52214 L
.57289 .52167 L
.57143 .5201 L
.57136 .52007 L
.57002 .51846 L
.56983 .51806 L
.56891 .51686 L
.56822 .51593 L
.56783 .51525 L
.56662 .51382 L
.56643 .51364 L
.56503 .51204 L
.56501 .51182 L
.5639 .51043 L
.56341 .50969 L
.56281 .50883 L
.5618 .50757 L
.56172 .50722 L
.56027 .50562 L
.5602 .50555 L
.55888 .50401 L
.55859 .50346 L
.5578 .50241 L
.55699 .50132 L
.5567 .5008 L
.55538 .49924 L
.55534 .4992 L
.55384 .49759 L
.55378 .49721 L
.55278 .49599 L
.55217 .49508 L
.5517 .49438 L
.55057 .49296 L
.55053 .49278 L
.54919 .49117 L
.54896 .49096 L
.54775 .48957 L
.54735 .48884 L
.5467 .48796 L
.54575 .48669 L
.54557 .48636 L
.54426 .48475 L
.54414 .48469 L
.54267 .48314 L
.54254 .4826 L
.54169 .48154 L
.54093 .48044 L
.5406 .47993 L
.53934 .47833 L
.53933 .47831 L
.53813 .47672 L
.53772 .47638 L
.53666 .47512 L
.53612 .47419 L
.53562 .47351 L
.53451 .47202 L
.53445 .47191 L
.53322 .4703 L
.53291 .47018 L
.53156 .4687 L
.5313 .46795 L
.53064 .46709 L
.5297 .46574 L
.52953 .46549 L
.52831 .46388 L
.52809 .4636 L
.5271 .46228 L
.52649 .46174 L
.52563 .46067 L
.52488 .45945 L
.5246 .45907 L
.52342 .45746 L
.52328 .45727 L
.52222 .45586 L
.52167 .45514 L
.52057 .45425 L
.52007 .45316 L
.51968 .45265 L
.51856 .45104 L
.51846 .45091 L
.51738 .44943 L
.51686 .44876 L
.51618 .44783 L
.51525 .44683 L
.5148 .44622 L
.51376 .44462 L
.51364 .44447 L
.51259 .44301 L
.51204 .44228 L
.51142 .44141 L
.51043 .4401 L
.51003 .4398 L
.50907 .4382 L
.50883 .43787 L
.50796 .43659 L
.50722 .43558 L
.50683 .43499 L
.50572 .43338 L
.50562 .43324 L
.50475 .43178 L
.50401 .43057 L
.50384 .43017 L
F
1 .54 0 r
.50401 .50532 m
.50477 .50562 L
.50562 .5062 L
.50668 .50722 L
.50722 .50776 L
.50817 .50883 L
.50883 .50957 L
.50954 .51043 L
.51043 .51125 L
.51085 .51204 L
.51204 .51351 L
.51217 .51364 L
.51332 .51525 L
.51364 .51567 L
.51449 .51686 L
.51525 .51789 L
.51564 .51846 L
.51671 .52007 L
.51686 .5203 L
.51755 .52167 L
.51686 .5224 L
.51599 .52167 L
.51525 .52101 L
.51435 .52007 L
.51364 .51932 L
.5129 .51846 L
.51204 .51771 L
.51153 .51686 L
.51043 .51557 L
.51011 .51525 L
.50897 .51364 L
.50883 .51347 L
.50776 .51204 L
.50722 .51132 L
.50658 .51043 L
.50562 .50906 L
.50529 .50883 L
.50449 .50722 L
.50401 .50623 L
.50384 .50562 L
F
1 .64 0 r
.50401 .44281 m
.50425 .44301 L
.50562 .44425 L
.50595 .44462 L
.50722 .44597 L
.50744 .44622 L
.50883 .44777 L
.50887 .44783 L
.51023 .44943 L
.51043 .44966 L
.51158 .45104 L
.51204 .45157 L
.51292 .45265 L
.51364 .45309 L
.51425 .45425 L
.51525 .45538 L
.51583 .45586 L
.51686 .45744 L
.51688 .45746 L
.51815 .45907 L
.51846 .45943 L
.51944 .46067 L
.52007 .46122 L
.52073 .46228 L
.52167 .4634 L
.52214 .46388 L
.52328 .46548 L
.52328 .46549 L
.52454 .46709 L
.52488 .46715 L
.5258 .4687 L
.52649 .46943 L
.5274 .4703 L
.52809 .47159 L
.52837 .47191 L
.52957 .47351 L
.5297 .47367 L
.53081 .47512 L
.5313 .47549 L
.53206 .47672 L
.53291 .47773 L
.53346 .47833 L
.53451 .47987 L
.53456 .47993 L
.53578 .48154 L
.53612 .48196 L
.53702 .48314 L
.53772 .48387 L
.53858 .48475 L
.53933 .4861 L
.53954 .48636 L
.54072 .48796 L
.54093 .48823 L
.54194 .48957 L
.54254 .48999 L
.54317 .49117 L
.54414 .49235 L
.54452 .49278 L
.54563 .49438 L
.54575 .49453 L
.54683 .49599 L
.54735 .49666 L
.54805 .49759 L
.54896 .49861 L
.54949 .4992 L
.55049 .5008 L
.55057 .5009 L
.55167 .50241 L
.55217 .50305 L
.55287 .50401 L
.55378 .5049 L
.55408 .50562 L
.55528 .50722 L
.55538 .50735 L
.55644 .50883 L
.55699 .50955 L
.55761 .51043 L
.55859 .51174 L
.5588 .51204 L
.55995 .51364 L
.5602 .51398 L
.56105 .51525 L
.5618 .51628 L
.56218 .51686 L
.56328 .51846 L
.56341 .51864 L
.56418 .52007 L
.56341 .52028 L
.5632 .52007 L
.5618 .5186 L
.56168 .51846 L
.56024 .51686 L
.5602 .5168 L
.55886 .51525 L
.55859 .51495 L
.5575 .51364 L
.55699 .51306 L
.55614 .51204 L
.55538 .51146 L
.5548 .51043 L
.55378 .50925 L
.55329 .50883 L
.55217 .50723 L
.55217 .50722 L
.55088 .50562 L
.55057 .50524 L
.54958 .50401 L
.54896 .50341 L
.54829 .50241 L
.54735 .50127 L
.54692 .5008 L
.54575 .49922 L
.54573 .4992 L
.54447 .49759 L
.54414 .49745 L
.5432 .49599 L
.54254 .49525 L
.54168 .49438 L
.54093 .49312 L
.54065 .49278 L
.53942 .49117 L
.53933 .49106 L
.53817 .48957 L
.53772 .48917 L
.53636 .48796 L
.53612 .48699 L
.53557 .48636 L
.53451 .48486 L
.53443 .48475 L
.53319 .48314 L
.53291 .48308 L
.53195 .48154 L
.5313 .48083 L
.53047 .47993 L
.5297 .47864 L
.52945 .47833 L
.52825 .47672 L
.52809 .47652 L
.52703 .47512 L
.52649 .47467 L
.52528 .47351 L
.52488 .47239 L
.52448 .47191 L
.52334 .4703 L
.52328 .47022 L
.52214 .4687 L
.52167 .4681 L
.52092 .46709 L
.52007 .46612 L
.51951 .46549 L
.51848 .46388 L
.51846 .46385 L
.5173 .46228 L
.51686 .4617 L
.5161 .46067 L
.51525 .45983 L
.51454 .45907 L
.51369 .45746 L
.51364 .4574 L
.51253 .45586 L
.51204 .4552 L
.51136 .45425 L
.51043 .45301 L
.51017 .45265 L
.50902 .45104 L
.50883 .45078 L
.50791 .44943 L
.50722 .44849 L
.50679 .44783 L
.50567 .44622 L
.50562 .44615 L
.50473 .44462 L
.50401 .44345 L
.50386 .44301 L
F
0 .45 1 r
.50401 .5115 m
.50442 .51204 L
.50562 .51348 L
.50571 .51364 L
.50562 .51408 L
.50524 .51364 L
.50401 .51225 L
.50386 .51204 L
F
1 .53 0 r
.50401 .5055 m
.50461 .50562 L
.50562 .50626 L
.50663 .50722 L
.50722 .5078 L
.50813 .50883 L
.50883 .50961 L
.50951 .51043 L
.51043 .51129 L
.51082 .51204 L
.51204 .51355 L
.51213 .51364 L
.51329 .51525 L
.51364 .51571 L
.51447 .51686 L
.51525 .51794 L
.51561 .51846 L
.51666 .52007 L
.51686 .52038 L
.51748 .52167 L
.51686 .52232 L
.51607 .52167 L
.51525 .52096 L
.5144 .52007 L
.51364 .51928 L
.51294 .51846 L
.51204 .51766 L
.51156 .51686 L
.51043 .51552 L
.51015 .51525 L
.509 .51364 L
.50883 .51343 L
.50779 .51204 L
.50722 .51128 L
.50661 .51043 L
.50562 .50902 L
.50535 .50883 L
.50454 .50722 L
.50401 .50601 L
.50395 .50562 L
F
.395 .97 1 r
.50401 .50078 m
.50562 .50036 L
.50722 .50061 L
.50772 .5008 L
.50883 .50167 L
.50939 .50241 L
.51043 .50352 L
.51057 .50401 L
.51204 .50555 L
.51209 .50562 L
.51347 .50722 L
.51364 .50768 L
.51459 .50883 L
.51525 .50983 L
.51567 .51043 L
.51686 .51192 L
.51708 .51204 L
.51831 .51364 L
.51846 .51382 L
.51962 .51525 L
.52007 .51592 L
.5207 .51686 L
.52167 .51805 L
.52179 .51846 L
.52323 .52007 L
.52328 .52013 L
.52462 .52167 L
.52488 .52194 L
.52568 .52328 L
.52649 .52415 L
.52676 .52488 L
.52805 .52649 L
.52809 .52655 L
.5296 .52809 L
.52909 .5297 L
.52809 .5298 L
.52716 .5297 L
.52649 .52955 L
.52488 .52848 L
.52463 .52809 L
.52328 .52664 L
.52315 .52649 L
.52187 .52488 L
.52167 .52457 L
.52052 .52328 L
.52007 .52242 L
.51941 .52167 L
.51846 .52029 L
.51832 .52007 L
.51687 .51846 L
.51686 .51844 L
.51547 .51686 L
.51525 .51637 L
.51438 .51525 L
.51364 .51424 L
.51329 .51364 L
.51204 .51215 L
.51193 .51204 L
.51071 .51043 L
.51043 .51027 L
.50938 .50883 L
.50883 .50814 L
.5083 .50722 L
.50722 .50591 L
.50716 .50562 L
.50587 .50401 L
.50562 .50365 L
.50446 .50241 L
.50401 .50088 L
.504 .5008 L
F
0 .44 1 r
.50401 .51179 m
.50416 .51204 L
.50401 .51205 L
.50401 .51204 L
F
.289 .96 1 r
.50562 .50048 m
.50722 .50078 L
.5073 .5008 L
.50883 .50181 L
.50931 .50241 L
.51043 .50361 L
.51055 .50401 L
.51204 .50561 L
.51205 .50562 L
.51345 .50722 L
.51364 .50772 L
.51456 .50883 L
.51525 .50986 L
.51565 .51043 L
.51686 .51194 L
.51706 .51204 L
.51829 .51364 L
.51846 .51384 L
.5196 .51525 L
.52007 .51595 L
.52068 .51686 L
.52167 .51808 L
.52178 .51846 L
.5232 .52007 L
.52328 .52016 L
.5246 .52167 L
.52488 .52196 L
.52565 .52328 L
.52649 .52422 L
.52673 .52488 L
.52799 .52649 L
.52809 .52664 L
.52955 .52809 L
.52809 .52965 L
.52649 .52941 L
.52488 .52833 L
.52472 .52809 L
.52328 .52655 L
.52322 .52649 L
.52191 .52488 L
.52167 .5245 L
.52054 .52328 L
.52007 .52237 L
.51944 .52167 L
.51846 .52027 L
.51833 .52007 L
.51689 .51846 L
.51686 .51842 L
.51548 .51686 L
.51525 .51634 L
.5144 .51525 L
.51364 .51422 L
.51331 .51364 L
.51204 .51213 L
.51196 .51204 L
.51074 .51043 L
.51043 .51025 L
.5094 .50883 L
.50883 .5081 L
.50833 .50722 L
.50722 .50585 L
.50717 .50562 L
.50592 .50401 L
.50562 .50357 L
.50453 .50241 L
.50432 .5008 L
F
1 .52 0 r
.50562 .50632 m
.50658 .50722 L
.50722 .50785 L
.50809 .50883 L
.50883 .50964 L
.50948 .51043 L
.51043 .51133 L
.5108 .51204 L
.51204 .51359 L
.51209 .51364 L
.51327 .51525 L
.51364 .51575 L
.51444 .51686 L
.51525 .51798 L
.51558 .51846 L
.51661 .52007 L
.51686 .52046 L
.5174 .52167 L
.51686 .52223 L
.51615 .52167 L
.51525 .5209 L
.51445 .52007 L
.51364 .51923 L
.51297 .51846 L
.51204 .51762 L
.5116 .51686 L
.51043 .51548 L
.5102 .51525 L
.50903 .51364 L
.50883 .51339 L
.50782 .51204 L
.50722 .51124 L
.50664 .51043 L
.50562 .50896 L
.50543 .50883 L
.5046 .50722 L
F
.212 .95 1 r
.50562 .50061 m
.50687 .5008 L
.50722 .50101 L
.50883 .50194 L
.50922 .50241 L
.51043 .50369 L
.51053 .50401 L
.512 .50562 L
.51204 .50567 L
.51343 .50722 L
.51364 .50776 L
.51454 .50883 L
.51525 .50989 L
.51563 .51043 L
.51686 .51195 L
.51703 .51204 L
.51826 .51364 L
.51846 .51387 L
.51958 .51525 L
.52007 .51598 L
.52066 .51686 L
.52167 .5181 L
.52177 .51846 L
.52318 .52007 L
.52328 .5202 L
.52458 .52167 L
.52488 .52199 L
.52562 .52328 L
.52649 .52429 L
.5267 .52488 L
.52793 .52649 L
.52809 .52675 L
.52947 .52809 L
.52809 .5295 L
.52649 .52927 L
.52488 .52819 L
.52481 .52809 L
.52329 .52649 L
.52328 .52647 L
.52196 .52488 L
.52167 .52444 L
.52057 .52328 L
.52007 .52233 L
.51946 .52167 L
.51846 .52025 L
.51834 .52007 L
.51692 .51846 L
.51686 .51839 L
.51549 .51686 L
.51525 .51632 L
.51442 .51525 L
.51364 .51419 L
.51332 .51364 L
.51204 .51211 L
.51198 .51204 L
.51076 .51043 L
.51043 .51024 L
.50942 .50883 L
.50883 .50806 L
.50835 .50722 L
.50722 .50579 L
.50719 .50562 L
.50597 .50401 L
.50562 .50349 L
.50461 .50241 L
.50469 .5008 L
F
1 .51 0 r
.50562 .50638 m
.50653 .50722 L
.50722 .50789 L
.50806 .50883 L
.50883 .50968 L
.50945 .51043 L
.51043 .51138 L
.51077 .51204 L
.51204 .51363 L
.51205 .51364 L
.51324 .51525 L
.51364 .51578 L
.51441 .51686 L
.51525 .51802 L
.51555 .51846 L
.51656 .52007 L
.51686 .52056 L
.51732 .52167 L
.51686 .52213 L
.51624 .52167 L
.51525 .52085 L
.5145 .52007 L
.51364 .51919 L
.51301 .51846 L
.51204 .51757 L
.51163 .51686 L
.51043 .51544 L
.51024 .51525 L
.50906 .51364 L
.50883 .51335 L
.50785 .51204 L
.50722 .5112 L
.50667 .51043 L
.50562 .50891 L
.5055 .50883 L
.50465 .50722 L
F
.156 .94 1 r
.50562 .50074 m
.5063 .5008 L
.50722 .50122 L
.50883 .50206 L
.50914 .50241 L
.51043 .50377 L
.5105 .50401 L
.51196 .50562 L
.51204 .50573 L
.51341 .50722 L
.51364 .50781 L
.51451 .50883 L
.51525 .50992 L
.51562 .51043 L
.51686 .51196 L
.51701 .51204 L
.51824 .51364 L
.51846 .51389 L
.51956 .51525 L
.52007 .516 L
.52065 .51686 L
.52167 .51813 L
.52176 .51846 L
.52315 .52007 L
.52328 .52023 L
.52456 .52167 L
.52488 .52203 L
.52559 .52328 L
.52649 .52436 L
.52667 .52488 L
.52786 .52649 L
.52809 .52686 L
.52937 .52809 L
.52809 .52936 L
.52649 .52915 L
.52491 .52809 L
.52488 .52806 L
.52336 .52649 L
.52328 .52637 L
.52201 .52488 L
.52167 .52438 L
.5206 .52328 L
.52007 .52229 L
.51949 .52167 L
.51846 .52023 L
.51835 .52007 L
.51694 .51846 L
.51686 .51837 L
.51551 .51686 L
.51525 .51629 L
.51444 .51525 L
.51364 .51417 L
.51334 .51364 L
.51204 .51208 L
.512 .51204 L
.51078 .51043 L
.51043 .51022 L
.50944 .50883 L
.50883 .50803 L
.50838 .50722 L
.50722 .50573 L
.5072 .50562 L
.50602 .50401 L
.50562 .5034 L
.50469 .50241 L
.5052 .5008 L
F
1 .5 0 r
.50562 .50644 m
.50647 .50722 L
.50722 .50794 L
.50802 .50883 L
.50883 .50972 L
.50942 .51043 L
.51043 .51142 L
.51074 .51204 L
.51202 .51364 L
.51204 .51367 L
.51321 .51525 L
.51364 .51582 L
.51438 .51686 L
.51525 .51807 L
.51551 .51846 L
.51651 .52007 L
.51686 .52067 L
.51723 .52167 L
.51686 .52202 L
.51635 .52167 L
.51525 .52079 L
.51454 .52007 L
.51364 .51914 L
.51305 .51846 L
.51204 .51752 L
.51166 .51686 L
.51043 .51539 L
.51029 .51525 L
.50909 .51364 L
.50883 .51331 L
.50788 .51204 L
.50722 .51116 L
.5067 .51043 L
.50562 .50886 L
.50558 .50883 L
.50471 .50722 L
F
1 .49 0 r
.50562 .50651 m
.50641 .50722 L
.50722 .50798 L
.50798 .50883 L
.50883 .50975 L
.50939 .51043 L
.51043 .51147 L
.51072 .51204 L
.51199 .51364 L
.51204 .51371 L
.51318 .51525 L
.51364 .51586 L
.51435 .51686 L
.51525 .51812 L
.51548 .51846 L
.51646 .52007 L
.51686 .5208 L
.51712 .52167 L
.51686 .5219 L
.51647 .52167 L
.51525 .52073 L
.5146 .52007 L
.51364 .5191 L
.51309 .51846 L
.51204 .51747 L
.51169 .51686 L
.51043 .51535 L
.51033 .51525 L
.50912 .51364 L
.50883 .51328 L
.50791 .51204 L
.50722 .51112 L
.50674 .51043 L
.50564 .50883 L
.50562 .5088 L
.50477 .50722 L
F
.114 .93 1 r
.50562 .50088 m
.50722 .50139 L
.50883 .50217 L
.50905 .50241 L
.51043 .50384 L
.51048 .50401 L
.51192 .50562 L
.51204 .50578 L
.51339 .50722 L
.51364 .50785 L
.51449 .50883 L
.51525 .50995 L
.5156 .51043 L
.51686 .51198 L
.51699 .51204 L
.51822 .51364 L
.51846 .51392 L
.51954 .51525 L
.52007 .51603 L
.52063 .51686 L
.52167 .51816 L
.52175 .51846 L
.52313 .52007 L
.52328 .52026 L
.52455 .52167 L
.52488 .52206 L
.52556 .52328 L
.52649 .52443 L
.52664 .52488 L
.5278 .52649 L
.52809 .52698 L
.52924 .52809 L
.52809 .5292 L
.52649 .52902 L
.52504 .52809 L
.52488 .5279 L
.52342 .52649 L
.52328 .52628 L
.52205 .52488 L
.52167 .52432 L
.52063 .52328 L
.52007 .52226 L
.51951 .52167 L
.51846 .52021 L
.51836 .52007 L
.51696 .51846 L
.51686 .51835 L
.51552 .51686 L
.51525 .51626 L
.51445 .51525 L
.51364 .51414 L
.51335 .51364 L
.51204 .51206 L
.51202 .51204 L
.5108 .51043 L
.51043 .5102 L
.50946 .50883 L
.50883 .50799 L
.5084 .50722 L
.50722 .50567 L
.50721 .50562 L
.50607 .50401 L
.50562 .5033 L
.50479 .50241 L
F
1 .48 0 r
.50562 .50658 m
.50635 .50722 L
.50722 .50803 L
.50794 .50883 L
.50883 .50979 L
.50936 .51043 L
.51043 .51152 L
.51069 .51204 L
.51196 .51364 L
.51204 .51375 L
.51315 .51525 L
.51364 .5159 L
.51432 .51686 L
.51525 .51817 L
.51545 .51846 L
.5164 .52007 L
.51686 .52096 L
.51697 .52167 L
.51686 .52176 L
.51665 .52167 L
.51525 .52067 L
.51465 .52007 L
.51364 .51905 L
.51312 .51846 L
.51204 .51742 L
.51172 .51686 L
.51043 .5153 L
.51038 .51525 L
.50915 .51364 L
.50883 .51324 L
.50794 .51204 L
.50722 .51107 L
.50677 .51043 L
.50568 .50883 L
.50562 .50873 L
.50483 .50722 L
F
1 .63 0 r
.50562 .44439 m
.50583 .44462 L
.50722 .44607 L
.50736 .44622 L
.5088 .44783 L
.50883 .44786 L
.51017 .44943 L
.51043 .44973 L
.51152 .45104 L
.51204 .45163 L
.51287 .45265 L
.51364 .45315 L
.51421 .45425 L
.51525 .45543 L
.51577 .45586 L
.51684 .45746 L
.51686 .45748 L
.51812 .45907 L
.51846 .45947 L
.51941 .46067 L
.52007 .46126 L
.5207 .46228 L
.52167 .46344 L
.5221 .46388 L
.52325 .46549 L
.52328 .46551 L
.52451 .46709 L
.52488 .46716 L
.52577 .4687 L
.52649 .46946 L
.52738 .4703 L
.52809 .47162 L
.52834 .47191 L
.52955 .47351 L
.5297 .4737 L
.53079 .47512 L
.5313 .47551 L
.53204 .47672 L
.53291 .47775 L
.53343 .47833 L
.53451 .4799 L
.53454 .47993 L
.53576 .48154 L
.53612 .48199 L
.537 .48314 L
.53772 .4839 L
.53855 .48475 L
.53933 .48613 L
.53952 .48636 L
.5407 .48796 L
.54093 .48825 L
.54192 .48957 L
.54254 .49002 L
.54315 .49117 L
.54414 .49238 L
.54449 .49278 L
.54561 .49438 L
.54575 .49456 L
.54681 .49599 L
.54735 .49669 L
.54802 .49759 L
.54896 .49865 L
.54946 .4992 L
.55046 .5008 L
.55057 .50093 L
.55164 .50241 L
.55217 .50309 L
.55284 .50401 L
.55378 .50495 L
.55405 .50562 L
.55525 .50722 L
.55538 .5074 L
.5564 .50883 L
.55699 .5096 L
.55757 .51043 L
.55859 .51179 L
.55876 .51204 L
.5599 .51364 L
.5602 .51405 L
.561 .51525 L
.5618 .51636 L
.56212 .51686 L
.56318 .51846 L
.56341 .51879 L
.56399 .52007 L
.56341 .52013 L
.56335 .52007 L
.5618 .51849 L
.56177 .51846 L
.56033 .51686 L
.5602 .51672 L
.55893 .51525 L
.55859 .51488 L
.55755 .51364 L
.55699 .513 L
.55619 .51204 L
.55538 .5114 L
.55484 .51043 L
.55378 .50919 L
.55335 .50883 L
.55221 .50722 L
.55217 .50718 L
.55091 .50562 L
.55057 .5052 L
.54961 .50401 L
.54896 .50337 L
.54832 .50241 L
.54735 .50123 L
.54695 .5008 L
.54576 .4992 L
.54575 .49918 L
.5445 .49759 L
.54414 .49743 L
.54323 .49599 L
.54254 .49521 L
.54171 .49438 L
.54093 .49309 L
.54068 .49278 L
.53945 .49117 L
.53933 .49102 L
.5382 .48957 L
.53772 .48915 L
.53638 .48796 L
.53612 .48696 L
.5356 .48636 L
.53451 .48484 L
.53445 .48475 L
.53321 .48314 L
.53291 .48307 L
.53198 .48154 L
.5313 .4808 L
.5305 .47993 L
.5297 .47861 L
.52948 .47833 L
.52827 .47672 L
.52809 .4765 L
.52705 .47512 L
.52649 .47465 L
.52531 .47351 L
.52488 .47236 L
.52451 .47191 L
.52337 .4703 L
.52328 .47019 L
.52216 .4687 L
.52167 .46806 L
.52094 .46709 L
.52007 .46608 L
.51954 .46549 L
.51851 .46388 L
.51846 .46382 L
.51733 .46228 L
.51686 .46166 L
.51613 .46067 L
.51525 .45977 L
.51459 .45907 L
.51373 .45746 L
.51364 .45736 L
.51257 .45586 L
.51204 .45515 L
.5114 .45425 L
.51043 .45295 L
.51021 .45265 L
.50908 .45104 L
.50883 .45071 L
.50797 .44943 L
.50722 .4484 L
.50685 .44783 L
.50576 .44622 L
.50562 .44602 L
.50487 .44462 L
F
.084 .92 1 r
.50562 .50102 m
.50722 .50154 L
.50883 .50228 L
.50896 .50241 L
.51043 .50391 L
.51046 .50401 L
.51188 .50562 L
.51204 .50584 L
.51337 .50722 L
.51364 .50789 L
.51446 .50883 L
.51525 .50998 L
.51558 .51043 L
.51686 .51199 L
.51696 .51204 L
.5182 .51364 L
.51846 .51394 L
.51953 .51525 L
.52007 .51606 L
.52061 .51686 L
.52167 .51819 L
.52174 .51846 L
.5231 .52007 L
.52328 .5203 L
.52453 .52167 L
.52488 .5221 L
.52553 .52328 L
.52649 .52451 L
.52661 .52488 L
.52774 .52649 L
.52809 .52711 L
.52907 .52809 L
.52809 .52904 L
.52649 .52891 L
.52517 .52809 L
.52488 .52775 L
.52349 .52649 L
.52328 .52619 L
.5221 .52488 L
.52167 .52426 L
.52066 .52328 L
.52007 .52222 L
.51954 .52167 L
.51846 .52019 L
.51837 .52007 L
.51699 .51846 L
.51686 .51832 L
.51553 .51686 L
.51525 .51624 L
.51447 .51525 L
.51364 .51412 L
.51336 .51364 L
.51204 .51204 L
.51204 .51204 L
.51083 .51043 L
.51043 .51018 L
.50948 .50883 L
.50883 .50795 L
.50843 .50722 L
.50723 .50562 L
.50722 .50561 L
.50612 .50401 L
.50562 .5032 L
.50489 .50241 L
F
1 .47 0 r
.50562 .50665 m
.50628 .50722 L
.50722 .50808 L
.5079 .50883 L
.50883 .50983 L
.50933 .51043 L
.51043 .51157 L
.51066 .51204 L
.51193 .51364 L
.51204 .51378 L
.51312 .51525 L
.51364 .51594 L
.51429 .51686 L
.51525 .51822 L
.51541 .51846 L
.51634 .52007 L
.51525 .52061 L
.51471 .52007 L
.51364 .519 L
.51316 .51846 L
.51204 .51736 L
.51176 .51686 L
.51043 .51526 L
.51043 .51525 L
.50918 .51364 L
.50883 .5132 L
.50797 .51204 L
.50722 .51103 L
.5068 .51043 L
.50573 .50883 L
.50562 .50865 L
.5049 .50722 L
F
.013 .86 1 r
.50562 .43772 m
.50611 .4382 L
.50722 .43929 L
.5077 .4398 L
.50883 .44085 L
.50918 .44141 L
.51043 .44279 L
.51074 .44301 L
.512 .44462 L
.51204 .44466 L
.51337 .44622 L
.51364 .44624 L
.51472 .44783 L
.51525 .44838 L
.51606 .44943 L
.51686 .4504 L
.51748 .45104 L
.51846 .45239 L
.51866 .45265 L
.51999 .45425 L
.52007 .4543 L
.52129 .45586 L
.52167 .4563 L
.52281 .45746 L
.52328 .45836 L
.52386 .45907 L
.52488 .4604 L
.52505 .46067 L
.52641 .46228 L
.52649 .46236 L
.52806 .46388 L
.52809 .4644 L
.52902 .46549 L
.5297 .46649 L
.53013 .46709 L
.5313 .46855 L
.53134 .4687 L
.53271 .4703 L
.53291 .47053 L
.53414 .47191 L
.53451 .47262 L
.53521 .47351 L
.53612 .47472 L
.53634 .47512 L
.53771 .47672 L
.53772 .47674 L
.53926 .47833 L
.53933 .47879 L
.54028 .47993 L
.54093 .4809 L
.54138 .48154 L
.54254 .48299 L
.54257 .48314 L
.54392 .48475 L
.54414 .48499 L
.54535 .48636 L
.54575 .4871 L
.54641 .48796 L
.54735 .48922 L
.54754 .48957 L
.54887 .49117 L
.54896 .49124 L
.55045 .49278 L
.55057 .49332 L
.55143 .49438 L
.55217 .49546 L
.55253 .49599 L
.55378 .49755 L
.55378 .49759 L
.55504 .4992 L
.55538 .49955 L
.55648 .5008 L
.55699 .50169 L
.55752 .50241 L
.55859 .50383 L
.55869 .50401 L
.55996 .50562 L
.5602 .50578 L
.56158 .50722 L
.5618 .50793 L
.56252 .50883 L
.56341 .5101 L
.56363 .51043 L
.56487 .51204 L
.56501 .51222 L
.56608 .51364 L
.56662 .51417 L
.56754 .51525 L
.56822 .51638 L
.56857 .51686 L
.56976 .51846 L
.56983 .51854 L
.57097 .52007 L
.57143 .52037 L
.57262 .52167 L
.57304 .52267 L
.57351 .52328 L
.57464 .52488 L
.57464 .52489 L
.57583 .52649 L
.57625 .52703 L
.57703 .52809 L
.57785 .52898 L
.57844 .5297 L
.57946 .53129 L
.57947 .5313 L
.58064 .53291 L
.58106 .53346 L
.58183 .53451 L
.58267 .53531 L
.58333 .53612 L
.58423 .53772 L
.58428 .53778 L
.58537 .53933 L
.58588 .54 L
.58653 .54093 L
.58749 .54222 L
.58771 .54254 L
.58884 .54414 L
.58909 .54449 L
.58992 .54575 L
.5907 .54685 L
.59102 .54735 L
.59204 .54896 L
.5923 .54936 L
.59281 .55057 L
.5923 .55077 L
.59208 .55057 L
.5907 .54928 L
.59039 .54896 L
.58909 .54767 L
.58888 .54735 L
.58749 .54581 L
.5874 .54575 L
.58603 .54414 L
.58588 .54398 L
.58465 .54254 L
.58428 .54238 L
.58328 .54093 L
.58267 .54027 L
.58142 .53933 L
.58106 .53826 L
.58055 .53772 L
.57946 .53629 L
.57933 .53612 L
.57798 .53451 L
.57785 .5344 L
.57668 .53291 L
.57625 .53238 L
.57522 .5313 L
.57464 .53034 L
.57413 .5297 L
.57304 .5283 L
.57293 .52809 L
.57155 .52649 L
.57143 .52636 L
.56999 .52488 L
.56983 .52431 L
.56897 .52328 L
.56822 .52222 L
.56785 .52167 L
.56662 .52018 L
.56648 .52007 L
.56523 .51846 L
.56501 .5182 L
.56385 .51686 L
.56341 .5161 L
.56277 .51525 L
.5618 .514 L
.56163 .51364 L
.56023 .51204 L
.5602 .51201 L
.55875 .51043 L
.55859 .50994 L
.5577 .50883 L
.55699 .50783 L
.55659 .50722 L
.55538 .50575 L
.55524 .50562 L
.55401 .50401 L
.55378 .50375 L
.55264 .50241 L
.55217 .50163 L
.55156 .5008 L
.55057 .49952 L
.55043 .4992 L
.54905 .49759 L
.54896 .4975 L
.54757 .49599 L
.54735 .49542 L
.54653 .49438 L
.54575 .49329 L
.54543 .49278 L
.54414 .4912 L
.54411 .49117 L
.54289 .48957 L
.54254 .48919 L
.5415 .48796 L
.54093 .48705 L
.54043 .48636 L
.53933 .48492 L
.53926 .48475 L
.53796 .48314 L
.53772 .48295 L
.53644 .48154 L
.53612 .4808 L
.53544 .47993 L
.53451 .47865 L
.53432 .47833 L
.53305 .47672 L
.53291 .47669 L
.53184 .47512 L
.5313 .47456 L
.53044 .47351 L
.5297 .47236 L
.52937 .47191 L
.52816 .4703 L
.52809 .47022 L
.52695 .4687 L
.52649 .46833 L
.5254 .46709 L
.52488 .46607 L
.52444 .46549 L
.52328 .46388 L
.52328 .46387 L
.52209 .46228 L
.52167 .46173 L
.52088 .46067 L
.52007 .45976 L
.51952 .45907 L
.51846 .45748 L
.51845 .45746 L
.51727 .45586 L
.51686 .45531 L
.51608 .45425 L
.51525 .45341 L
.51463 .45265 L
.51368 .45104 L
.51364 .45099 L
.51253 .44943 L
.51204 .44878 L
.51137 .44783 L
.51043 .44656 L
.51019 .44622 L
.50906 .44462 L
.50883 .44431 L
.50796 .44301 L
.50722 .44198 L
.50686 .44141 L
.50579 .4398 L
.50562 .43955 L
.50491 .4382 L
F
.395 .97 1 r
.50562 .47872 m
.50669 .47993 L
.50722 .48053 L
.50806 .48154 L
.50883 .48236 L
.50939 .48314 L
.51043 .48442 L
.51081 .48475 L
.51196 .48636 L
.51204 .48646 L
.51323 .48796 L
.51364 .48822 L
.51446 .48957 L
.51525 .49053 L
.51577 .49117 L
.51677 .49278 L
.51686 .49291 L
.51781 .49438 L
.51846 .49571 L
.51857 .49599 L
.51846 .49662 L
.51686 .49621 L
.51671 .49599 L
.51525 .49464 L
.51511 .49438 L
.51373 .49278 L
.51364 .49268 L
.51247 .49117 L
.51204 .49064 L
.51125 .48957 L
.51043 .48852 L
.51004 .48796 L
.50883 .48636 L
.50883 .48635 L
.50775 .48475 L
.50722 .48399 L
.50671 .48314 L
.50571 .48154 L
.50562 .48139 L
.50494 .47993 L
F
1 .46 0 r
.50562 .50673 m
.50621 .50722 L
.50722 .50813 L
.50786 .50883 L
.50883 .50987 L
.50929 .51043 L
.51043 .51163 L
.51063 .51204 L
.5119 .51364 L
.51204 .51382 L
.51309 .51525 L
.51364 .51599 L
.51425 .51686 L
.51525 .51827 L
.51538 .51846 L
.51628 .52007 L
.51525 .52054 L
.51476 .52007 L
.51364 .51896 L
.5132 .51846 L
.51204 .51731 L
.51179 .51686 L
.51046 .51525 L
.51043 .51522 L
.50922 .51364 L
.50883 .51315 L
.508 .51204 L
.50722 .51098 L
.50684 .51043 L
.50577 .50883 L
.50562 .50857 L
.50497 .50722 L
F
.061 .91 1 r
.50562 .50118 m
.50722 .50166 L
.50883 .50238 L
.50886 .50241 L
.51043 .50399 L
.51044 .50401 L
.51183 .50562 L
.51204 .50589 L
.51335 .50722 L
.51364 .50793 L
.51444 .50883 L
.51525 .51001 L
.51556 .51043 L
.51686 .512 L
.51694 .51204 L
.51818 .51364 L
.51846 .51397 L
.51951 .51525 L
.52007 .51608 L
.52059 .51686 L
.52167 .51821 L
.52174 .51846 L
.52308 .52007 L
.52328 .52033 L
.52451 .52167 L
.52488 .52214 L
.5255 .52328 L
.52649 .5246 L
.52658 .52488 L
.52767 .52649 L
.52809 .52727 L
.52886 .52809 L
.52809 .52886 L
.52649 .52879 L
.52531 .52809 L
.52488 .52762 L
.52356 .52649 L
.52328 .52611 L
.52214 .52488 L
.52167 .52421 L
.52069 .52328 L
.52007 .52218 L
.51957 .52167 L
.51846 .52018 L
.51838 .52007 L
.51701 .51846 L
.51686 .5183 L
.51555 .51686 L
.51525 .51621 L
.51449 .51525 L
.51364 .51409 L
.51338 .51364 L
.51206 .51204 L
.51204 .51201 L
.51085 .51043 L
.51043 .51016 L
.50951 .50883 L
.50883 .50791 L
.50846 .50722 L
.50727 .50562 L
.50722 .50555 L
.50617 .50401 L
.50562 .50309 L
.50501 .50241 L
F
1 .45 0 r
.50562 .50681 m
.50614 .50722 L
.50722 .50818 L
.50782 .50883 L
.50883 .50991 L
.50926 .51043 L
.51043 .51168 L
.51061 .51204 L
.51186 .51364 L
.51204 .51386 L
.51306 .51525 L
.51364 .51603 L
.51422 .51686 L
.51525 .51832 L
.51534 .51846 L
.51621 .52007 L
.51525 .52048 L
.51483 .52007 L
.51364 .51891 L
.51325 .51846 L
.51204 .51725 L
.51183 .51686 L
.5105 .51525 L
.51043 .51517 L
.50925 .51364 L
.50883 .51311 L
.50804 .51204 L
.50722 .51094 L
.50687 .51043 L
.50582 .50883 L
.50562 .50849 L
.50505 .50722 L
F
1 .62 0 r
.50562 .44454 m
.50569 .44462 L
.50722 .44617 L
.50727 .44622 L
.50871 .44783 L
.50883 .44795 L
.5101 .44943 L
.51043 .4498 L
.51147 .45104 L
.51204 .45169 L
.51282 .45265 L
.51364 .45321 L
.51417 .45425 L
.51525 .45549 L
.51571 .45586 L
.5168 .45746 L
.51686 .45753 L
.51809 .45907 L
.51846 .45952 L
.51938 .46067 L
.52007 .46129 L
.52067 .46228 L
.52167 .46348 L
.52207 .46388 L
.52323 .46549 L
.52328 .46555 L
.52448 .46709 L
.52488 .46718 L
.52575 .4687 L
.52649 .46949 L
.52735 .4703 L
.52809 .47165 L
.52832 .47191 L
.52952 .47351 L
.5297 .47373 L
.53077 .47512 L
.5313 .47553 L
.53202 .47672 L
.53291 .47778 L
.53341 .47833 L
.53451 .47993 L
.53452 .47993 L
.53574 .48154 L
.53612 .48201 L
.53698 .48314 L
.53772 .48393 L
.53853 .48475 L
.53933 .48616 L
.53949 .48636 L
.54068 .48796 L
.54093 .48828 L
.5419 .48957 L
.54254 .49005 L
.54313 .49117 L
.54414 .49241 L
.54446 .49278 L
.54558 .49438 L
.54575 .49459 L
.54678 .49599 L
.54735 .49672 L
.548 .49759 L
.54896 .49869 L
.54942 .4992 L
.55043 .5008 L
.55057 .50097 L
.55162 .50241 L
.55217 .50313 L
.55281 .50401 L
.55378 .50501 L
.55403 .50562 L
.55521 .50722 L
.55538 .50744 L
.55636 .50883 L
.55699 .50965 L
.55754 .51043 L
.55859 .51185 L
.55872 .51204 L
.55984 .51364 L
.5602 .51412 L
.56094 .51525 L
.5618 .51646 L
.56205 .51686 L
.5618 .51838 L
.56042 .51686 L
.5602 .51663 L
.559 .51525 L
.55859 .5148 L
.55761 .51364 L
.55699 .51293 L
.55624 .51204 L
.55538 .51133 L
.55489 .51043 L
.55378 .50913 L
.55341 .50883 L
.55225 .50722 L
.55217 .50713 L
.55095 .50562 L
.55057 .50516 L
.54965 .50401 L
.54896 .50333 L
.54835 .50241 L
.54735 .50119 L
.54699 .5008 L
.54579 .4992 L
.54575 .49915 L
.54452 .49759 L
.54414 .49742 L
.54325 .49599 L
.54254 .49518 L
.54174 .49438 L
.54093 .49306 L
.5407 .49278 L
.53947 .49117 L
.53933 .49099 L
.53822 .48957 L
.53772 .48912 L
.5364 .48796 L
.53612 .48693 L
.53562 .48636 L
.53451 .48481 L
.53447 .48475 L
.53324 .48314 L
.53291 .48306 L
.532 .48154 L
.5313 .48077 L
.53052 .47993 L
.5297 .47858 L
.5295 .47833 L
.52829 .47672 L
.52809 .47647 L
.52707 .47512 L
.52649 .47462 L
.52533 .47351 L
.52488 .47233 L
.52453 .47191 L
.52339 .4703 L
.52328 .47016 L
.52219 .4687 L
.52167 .46803 L
.52097 .46709 L
.52007 .46604 L
.51958 .46549 L
.51854 .46388 L
.51846 .46378 L
.51735 .46228 L
.51686 .46163 L
.51616 .46067 L
.51525 .45972 L
.51465 .45907 L
.51376 .45746 L
.51364 .45731 L
.51261 .45586 L
.51204 .4551 L
.51143 .45425 L
.51043 .4529 L
.51025 .45265 L
.50913 .45104 L
.50883 .45064 L
.50803 .44943 L
.50722 .44831 L
.50691 .44783 L
.50587 .44622 L
.50562 .44585 L
.50506 .44462 L
F
1 .44 0 r
.50562 .50689 m
.50605 .50722 L
.50722 .50823 L
.50778 .50883 L
.50883 .50995 L
.50923 .51043 L
.51043 .51174 L
.51058 .51204 L
.51183 .51364 L
.51204 .5139 L
.51302 .51525 L
.51364 .51607 L
.51419 .51686 L
.51525 .51838 L
.5153 .51846 L
.51614 .52007 L
.51525 .52041 L
.51489 .52007 L
.51364 .51886 L
.51329 .51846 L
.51204 .51719 L
.51186 .51686 L
.51053 .51525 L
.51043 .51513 L
.50928 .51364 L
.50883 .51307 L
.50807 .51204 L
.50722 .51089 L
.5069 .51043 L
.50587 .50883 L
.50562 .50839 L
.50514 .50722 L
F
.045 .9 1 r
.50562 .50134 m
.50722 .50176 L
.50875 .50241 L
.50883 .50248 L
.5104 .50401 L
.51043 .50406 L
.51179 .50562 L
.51204 .50595 L
.51332 .50722 L
.51364 .50797 L
.51441 .50883 L
.51525 .51004 L
.51554 .51043 L
.51686 .51201 L
.51692 .51204 L
.51815 .51364 L
.51846 .51399 L
.51949 .51525 L
.52007 .51611 L
.52057 .51686 L
.52167 .51824 L
.52173 .51846 L
.52305 .52007 L
.52328 .52037 L
.52449 .52167 L
.52488 .52218 L
.52547 .52328 L
.52649 .52468 L
.52655 .52488 L
.52761 .52649 L
.52809 .52745 L
.52861 .52809 L
.52809 .52865 L
.52649 .52868 L
.52545 .52809 L
.52488 .5275 L
.52363 .52649 L
.52328 .52603 L
.52219 .52488 L
.52167 .52416 L
.52072 .52328 L
.52007 .52215 L
.51959 .52167 L
.51846 .52016 L
.51839 .52007 L
.51703 .51846 L
.51686 .51827 L
.51556 .51686 L
.51525 .51619 L
.51451 .51525 L
.51364 .51407 L
.51339 .51364 L
.51208 .51204 L
.51204 .51198 L
.51087 .51043 L
.51043 .51013 L
.50953 .50883 L
.50883 .50786 L
.50848 .50722 L
.50731 .50562 L
.50722 .5055 L
.50622 .50401 L
.50562 .50296 L
.50514 .50241 L
F
1 .43 0 r
.50562 .50699 m
.50595 .50722 L
.50722 .50828 L
.50773 .50883 L
.50883 .50999 L
.50919 .51043 L
.51043 .5118 L
.51055 .51204 L
.5118 .51364 L
.51204 .51394 L
.51299 .51525 L
.51364 .51612 L
.51415 .51686 L
.51525 .51844 L
.51526 .51846 L
.51605 .52007 L
.51525 .52033 L
.51496 .52007 L
.51364 .51881 L
.51333 .51846 L
.51204 .51712 L
.5119 .51686 L
.51057 .51525 L
.51043 .51509 L
.50932 .51364 L
.50883 .51303 L
.5081 .51204 L
.50722 .51084 L
.50694 .51043 L
.50593 .50883 L
.50562 .50828 L
.50524 .50722 L
F
.033 .89 1 r
.50562 .50153 m
.50722 .50184 L
.50864 .50241 L
.50883 .50258 L
.51034 .50401 L
.51043 .50413 L
.51175 .50562 L
.51204 .506 L
.5133 .50722 L
.51364 .50801 L
.51439 .50883 L
.51525 .51007 L
.51553 .51043 L
.51686 .51202 L
.51689 .51204 L
.51813 .51364 L
.51846 .51402 L
.51947 .51525 L
.52007 .51614 L
.52055 .51686 L
.52167 .51827 L
.52172 .51846 L
.52303 .52007 L
.52328 .5204 L
.52447 .52167 L
.52488 .52222 L
.52544 .52328 L
.52649 .52478 L
.52652 .52488 L
.52755 .52649 L
.52809 .52771 L
.52831 .52809 L
.52809 .52839 L
.52649 .52856 L
.5256 .52809 L
.52488 .52739 L
.5237 .52649 L
.52328 .52595 L
.52224 .52488 L
.52167 .5241 L
.52075 .52328 L
.52007 .52212 L
.51962 .52167 L
.51846 .52015 L
.5184 .52007 L
.51705 .51846 L
.51686 .51825 L
.51557 .51686 L
.51525 .51616 L
.51453 .51525 L
.51364 .51404 L
.51341 .51364 L
.51211 .51204 L
.51204 .51195 L
.5109 .51043 L
.51043 .51011 L
.50955 .50883 L
.50883 .50782 L
.50851 .50722 L
.50734 .50562 L
.50722 .50544 L
.50627 .50401 L
.50562 .50282 L
.50529 .50241 L
F
.01 .85 1 r
.50562 .4381 m
.50574 .4382 L
.50722 .43952 L
.5075 .4398 L
.50883 .44108 L
.50903 .44141 L
.51043 .44295 L
.51053 .44301 L
.51189 .44462 L
.51204 .44478 L
.51327 .44622 L
.51364 .44626 L
.51464 .44783 L
.51525 .44846 L
.51599 .44943 L
.51686 .45048 L
.51741 .45104 L
.51846 .45246 L
.51861 .45265 L
.51994 .45425 L
.52007 .45434 L
.52124 .45586 L
.52167 .45636 L
.52277 .45746 L
.52328 .45841 L
.52382 .45907 L
.52488 .46045 L
.52502 .46067 L
.52637 .46228 L
.52649 .4624 L
.52805 .46388 L
.52809 .46445 L
.52899 .46549 L
.5297 .46653 L
.5301 .46709 L
.5313 .46858 L
.53133 .4687 L
.53268 .4703 L
.53291 .47056 L
.53412 .47191 L
.53451 .47265 L
.53519 .47351 L
.53612 .47475 L
.53633 .47512 L
.53769 .47672 L
.53772 .47676 L
.53926 .47833 L
.53933 .47881 L
.54026 .47993 L
.54093 .48093 L
.54136 .48154 L
.54254 .48301 L
.54257 .48314 L
.5439 .48475 L
.54414 .48501 L
.54533 .48636 L
.54575 .48713 L
.54639 .48796 L
.54735 .48925 L
.54753 .48957 L
.54885 .49117 L
.54896 .49125 L
.55044 .49278 L
.55057 .49334 L
.55142 .49438 L
.55217 .49548 L
.55252 .49599 L
.55378 .49757 L
.55378 .49759 L
.55502 .4992 L
.55538 .49956 L
.55647 .5008 L
.55699 .50172 L
.55751 .50241 L
.55859 .50385 L
.55868 .50401 L
.55994 .50562 L
.5602 .50579 L
.56157 .50722 L
.5618 .50796 L
.5625 .50883 L
.56341 .51013 L
.56361 .51043 L
.56485 .51204 L
.56501 .51225 L
.56606 .51364 L
.56662 .51419 L
.56752 .51525 L
.56822 .51641 L
.56855 .51686 L
.56974 .51846 L
.56983 .51857 L
.57094 .52007 L
.57143 .5204 L
.57259 .52167 L
.57304 .52271 L
.57348 .52328 L
.57461 .52488 L
.57464 .52493 L
.5758 .52649 L
.57625 .52707 L
.577 .52809 L
.57785 .52903 L
.5784 .5297 L
.57943 .5313 L
.57946 .53134 L
.5806 .53291 L
.58106 .53351 L
.58179 .53451 L
.58267 .53539 L
.58326 .53612 L
.58417 .53772 L
.58428 .53786 L
.58531 .53933 L
.58588 .54009 L
.58647 .54093 L
.58749 .54232 L
.58764 .54254 L
.58874 .54414 L
.58909 .54463 L
.58981 .54575 L
.5907 .54704 L
.59089 .54735 L
.59179 .54896 L
.5907 .54902 L
.59064 .54896 L
.58909 .54742 L
.58905 .54735 L
.58758 .54575 L
.58749 .54566 L
.58615 .54414 L
.58588 .54385 L
.58475 .54254 L
.58428 .54233 L
.58337 .54093 L
.58267 .54017 L
.5815 .53933 L
.58106 .53818 L
.58062 .53772 L
.57946 .53622 L
.57938 .53612 L
.57805 .53451 L
.57785 .53435 L
.57674 .53291 L
.57625 .53232 L
.57527 .5313 L
.57464 .53028 L
.57418 .5297 L
.57304 .52826 L
.57295 .52809 L
.57159 .52649 L
.57143 .52632 L
.57001 .52488 L
.56983 .52426 L
.56901 .52328 L
.56822 .52218 L
.56788 .52167 L
.56662 .52015 L
.56652 .52007 L
.56526 .51846 L
.56501 .51816 L
.56388 .51686 L
.56341 .51607 L
.56279 .51525 L
.5618 .51397 L
.56165 .51364 L
.56025 .51204 L
.5602 .51198 L
.55876 .51043 L
.55859 .50991 L
.55772 .50883 L
.55699 .5078 L
.55661 .50722 L
.55538 .50573 L
.55526 .50562 L
.55403 .50401 L
.55378 .50372 L
.55266 .50241 L
.55217 .50161 L
.55158 .5008 L
.55057 .49949 L
.55044 .4992 L
.54907 .49759 L
.54896 .49749 L
.54758 .49599 L
.54735 .49539 L
.54655 .49438 L
.54575 .49326 L
.54544 .49278 L
.54414 .49118 L
.54413 .49117 L
.54291 .48957 L
.54254 .48917 L
.54152 .48796 L
.54093 .48702 L
.54045 .48636 L
.53933 .4849 L
.53927 .48475 L
.53798 .48314 L
.53772 .48293 L
.53645 .48154 L
.53612 .48078 L
.53546 .47993 L
.53451 .47862 L
.53433 .47833 L
.53307 .47672 L
.53291 .47668 L
.53186 .47512 L
.5313 .47453 L
.53046 .47351 L
.5297 .47233 L
.5294 .47191 L
.52818 .4703 L
.52809 .47019 L
.52697 .4687 L
.52649 .4683 L
.52542 .46709 L
.52488 .46603 L
.52447 .46549 L
.52331 .46388 L
.52328 .46383 L
.52212 .46228 L
.52167 .46169 L
.52091 .46067 L
.52007 .45971 L
.51956 .45907 L
.51849 .45746 L
.51846 .45742 L
.51731 .45586 L
.51686 .45525 L
.51612 .45425 L
.51525 .45333 L
.5147 .45265 L
.51374 .45104 L
.51364 .45092 L
.51259 .44943 L
.51204 .44869 L
.51143 .44783 L
.51043 .44647 L
.51026 .44622 L
.50915 .44462 L
.50883 .44418 L
.50807 .44301 L
.50722 .44181 L
.50697 .44141 L
.50599 .4398 L
.50562 .43918 L
.50532 .4382 L
F
1 .87 .018 r
.50562 .48643 m
.50694 .48796 L
.50722 .48828 L
.50824 .48957 L
.50883 .49034 L
.50943 .49117 L
.50883 .49234 L
.50784 .49117 L
.50722 .49047 L
.50655 .48957 L
.50562 .48839 L
.50533 .48796 L
F
1 .42 0 r
.50562 .50709 m
.50583 .50722 L
.50722 .50833 L
.50769 .50883 L
.50883 .51004 L
.50916 .51043 L
.51043 .51186 L
.51052 .51204 L
.51177 .51364 L
.51204 .51399 L
.51296 .51525 L
.51364 .51616 L
.51412 .51686 L
.51522 .51846 L
.51525 .51851 L
.51596 .52007 L
.51525 .52025 L
.51504 .52007 L
.51364 .51875 L
.51338 .51846 L
.51204 .51706 L
.51193 .51686 L
.51061 .51525 L
.51043 .51505 L
.50935 .51364 L
.50883 .51298 L
.50813 .51204 L
.50722 .51079 L
.50698 .51043 L
.50598 .50883 L
.50562 .50815 L
.50537 .50722 L
F
.024 .88 1 r
.50562 .50177 m
.50722 .50191 L
.50852 .50241 L
.50883 .50267 L
.51027 .50401 L
.51043 .50419 L
.51171 .50562 L
.51204 .50605 L
.51328 .50722 L
.51364 .50805 L
.51436 .50883 L
.51525 .51009 L
.51551 .51043 L
.51686 .51203 L
.51687 .51204 L
.51811 .51364 L
.51846 .51404 L
.51945 .51525 L
.52007 .51617 L
.52053 .51686 L
.52167 .5183 L
.52171 .51846 L
.523 .52007 L
.52328 .52044 L
.52444 .52167 L
.52488 .52227 L
.5254 .52328 L
.52649 .52487 L
.52649 .52488 L
.52748 .52649 L
.52803 .52809 L
.52649 .52845 L
.52577 .52809 L
.52488 .52729 L
.52377 .52649 L
.52328 .52588 L
.52228 .52488 L
.52167 .52406 L
.52079 .52328 L
.52007 .52208 L
.51964 .52167 L
.51846 .52013 L
.51841 .52007 L
.51708 .51846 L
.51686 .51822 L
.51559 .51686 L
.51525 .51614 L
.51455 .51525 L
.51364 .51402 L
.51342 .51364 L
.51213 .51204 L
.51204 .51192 L
.51092 .51043 L
.51043 .51009 L
.50957 .50883 L
.50883 .50777 L
.50853 .50722 L
.50738 .50562 L
.50722 .50538 L
.50633 .50401 L
.50562 .50264 L
.50545 .50241 L
F
0 .73 1 r
.50562 .46398 m
.50657 .46549 L
.50722 .46637 L
.50761 .46709 L
.50722 .46742 L
.50693 .46709 L
.50562 .46567 L
.50547 .46549 L
F
0 .65 1 r
.50562 .56186 m
.50647 .56341 L
.50562 .56352 L
.50552 .56341 L
F
1 .86 .013 r
.50562 .48686 m
.50662 .48796 L
.50722 .48864 L
.50795 .48957 L
.50883 .49074 L
.50913 .49117 L
.50883 .49194 L
.50813 .49117 L
.50722 .49017 L
.50678 .48957 L
.50562 .48808 L
.50554 .48796 L
F
1 .41 0 r
.50562 .50722 m
.50563 .50722 L
.50722 .50839 L
.50764 .50883 L
.50883 .51008 L
.50913 .51043 L
.51043 .51193 L
.51049 .51204 L
.51173 .51364 L
.51204 .51403 L
.51293 .51525 L
.51364 .51621 L
.51409 .51686 L
.51516 .51846 L
.51525 .5186 L
.51584 .52007 L
.51525 .52017 L
.51513 .52007 L
.51364 .5187 L
.51342 .51846 L
.51204 .51699 L
.51197 .51686 L
.51064 .51525 L
.51043 .515 L
.50938 .51364 L
.50883 .51294 L
.50817 .51204 L
.50722 .51074 L
.50701 .51043 L
.50604 .50883 L
.50562 .50798 L
.5056 .50722 L
F
.018 .87 1 r
.50722 .50196 m
.5084 .50241 L
.50883 .50275 L
.51021 .50401 L
.51043 .50426 L
.51166 .50562 L
.51204 .5061 L
.51326 .50722 L
.51364 .50808 L
.51434 .50883 L
.51525 .51012 L
.51549 .51043 L
.51685 .51204 L
.51686 .51205 L
.51809 .51364 L
.51846 .51407 L
.51943 .51525 L
.52007 .51619 L
.52051 .51686 L
.52167 .51833 L
.52171 .51846 L
.52298 .52007 L
.52328 .52047 L
.52442 .52167 L
.52488 .52232 L
.52537 .52328 L
.52644 .52488 L
.52649 .52495 L
.52741 .52649 L
.52783 .52809 L
.52649 .52834 L
.52595 .52809 L
.52488 .5272 L
.52384 .52649 L
.52328 .52581 L
.52233 .52488 L
.52167 .52401 L
.52082 .52328 L
.52007 .52205 L
.51967 .52167 L
.51846 .52012 L
.51842 .52007 L
.5171 .51846 L
.51686 .5182 L
.5156 .51686 L
.51525 .51611 L
.51457 .51525 L
.51364 .51399 L
.51344 .51364 L
.51215 .51204 L
.51204 .51189 L
.51094 .51043 L
.51043 .51006 L
.5096 .50883 L
.50883 .50773 L
.50856 .50722 L
.50742 .50562 L
.50722 .50532 L
.50638 .50401 L
.50562 .50241 L
F
.013 .86 1 r
.50722 .50202 m
.50827 .50241 L
.50883 .50283 L
.51015 .50401 L
.51043 .50432 L
.51162 .50562 L
.51204 .50615 L
.51323 .50722 L
.51364 .50812 L
.51431 .50883 L
.51525 .51014 L
.51547 .51043 L
.51682 .51204 L
.51686 .51206 L
.51807 .51364 L
.51846 .51409 L
.51942 .51525 L
.52007 .51622 L
.52049 .51686 L
.52167 .51836 L
.5217 .51846 L
.52295 .52007 L
.52328 .52051 L
.5244 .52167 L
.52488 .52237 L
.52534 .52328 L
.5264 .52488 L
.52649 .52502 L
.52734 .52649 L
.52758 .52809 L
.52649 .52822 L
.52617 .52809 L
.52488 .52712 L
.52391 .52649 L
.52328 .52575 L
.52238 .52488 L
.52167 .52396 L
.52085 .52328 L
.52007 .52202 L
.51969 .52167 L
.51846 .5201 L
.51843 .52007 L
.51712 .51846 L
.51686 .51818 L
.51562 .51686 L
.51525 .51608 L
.51459 .51525 L
.51364 .51397 L
.51345 .51364 L
.51217 .51204 L
.51204 .51187 L
.51096 .51043 L
.51043 .51004 L
.50962 .50883 L
.50883 .50768 L
.50859 .50722 L
.50746 .50562 L
.50722 .50526 L
.50643 .50401 L
.50575 .50241 L
F
.01 .85 1 r
.50722 .50207 m
.50813 .50241 L
.50883 .5029 L
.51009 .50401 L
.51043 .50438 L
.51158 .50562 L
.51204 .50619 L
.51321 .50722 L
.51364 .50816 L
.51428 .50883 L
.51525 .51017 L
.51546 .51043 L
.5168 .51204 L
.51686 .51208 L
.51804 .51364 L
.51846 .51412 L
.5194 .51525 L
.52007 .51625 L
.52048 .51686 L
.52167 .51838 L
.52169 .51846 L
.52292 .52007 L
.52328 .52054 L
.52437 .52167 L
.52488 .52243 L
.5253 .52328 L
.52635 .52488 L
.52649 .5251 L
.52727 .52649 L
.52722 .52809 L
.52649 .52811 L
.52644 .52809 L
.52488 .52705 L
.52399 .52649 L
.52328 .52569 L
.52242 .52488 L
.52167 .52392 L
.52089 .52328 L
.52007 .52199 L
.51972 .52167 L
.51846 .52009 L
.51844 .52007 L
.51715 .51846 L
.51686 .51815 L
.51563 .51686 L
.51525 .51606 L
.51461 .51525 L
.51364 .51394 L
.51347 .51364 L
.51219 .51204 L
.51204 .51184 L
.51099 .51043 L
.51043 .51001 L
.50965 .50883 L
.50883 .50763 L
.50862 .50722 L
.5075 .50562 L
.50722 .50519 L
.50649 .50401 L
.50588 .50241 L
F
.007 .84 1 r
.50722 .50213 m
.50798 .50241 L
.50883 .50298 L
.51002 .50401 L
.51043 .50444 L
.51153 .50562 L
.51204 .50624 L
.51318 .50722 L
.51364 .50819 L
.51426 .50883 L
.51525 .51019 L
.51544 .51043 L
.51677 .51204 L
.51686 .5121 L
.51802 .51364 L
.51846 .51414 L
.51938 .51525 L
.52007 .51628 L
.52046 .51686 L
.52167 .51841 L
.52168 .51846 L
.5229 .52007 L
.52328 .52058 L
.52435 .52167 L
.52488 .52249 L
.52527 .52328 L
.5263 .52488 L
.52649 .52518 L
.5272 .52649 L
.52649 .52799 L
.52488 .52698 L
.52406 .52649 L
.52328 .52563 L
.52247 .52488 L
.52167 .52387 L
.52092 .52328 L
.52007 .52196 L
.51974 .52167 L
.51846 .52008 L
.51845 .52007 L
.51717 .51846 L
.51686 .51813 L
.51565 .51686 L
.51525 .51603 L
.51463 .51525 L
.51364 .51392 L
.51348 .51364 L
.51222 .51204 L
.51204 .51181 L
.51101 .51043 L
.51043 .50998 L
.50967 .50883 L
.50883 .50758 L
.50864 .50722 L
.50754 .50562 L
.50722 .50513 L
.50655 .50401 L
.50604 .50241 L
F
1 .4 0 r
.50722 .50844 m
.50759 .50883 L
.50883 .51012 L
.50909 .51043 L
.51043 .51199 L
.51046 .51204 L
.5117 .51364 L
.51204 .51407 L
.51289 .51525 L
.51364 .51626 L
.51405 .51686 L
.51511 .51846 L
.51525 .5187 L
.51567 .52007 L
.51525 .52008 L
.51523 .52007 L
.51364 .51865 L
.51347 .51846 L
.51204 .51691 L
.51201 .51686 L
.51068 .51525 L
.51043 .51496 L
.50942 .51364 L
.50883 .51289 L
.5082 .51204 L
.50722 .51069 L
.50705 .51043 L
.5061 .50883 L
F
1 .39 0 r
.50722 .5085 m
.50754 .50883 L
.50883 .51017 L
.50905 .51043 L
.51042 .51204 L
.51043 .51205 L
.51166 .51364 L
.51204 .51412 L
.51286 .51525 L
.51364 .51631 L
.51401 .51686 L
.51504 .51846 L
.51364 .51859 L
.51352 .51846 L
.51205 .51686 L
.51204 .51684 L
.51072 .51525 L
.51043 .51491 L
.50946 .51364 L
.50883 .51285 L
.50824 .51204 L
.50722 .51063 L
.50709 .51043 L
.50617 .50883 L
F
.005 .83 1 r
.50722 .50219 m
.50782 .50241 L
.50883 .50304 L
.50996 .50401 L
.51043 .5045 L
.51149 .50562 L
.51204 .50628 L
.51315 .50722 L
.51364 .50823 L
.51423 .50883 L
.51525 .51022 L
.51542 .51043 L
.51675 .51204 L
.51686 .51212 L
.518 .51364 L
.51846 .51417 L
.51936 .51525 L
.52007 .5163 L
.52044 .51686 L
.52167 .51844 L
.52168 .51846 L
.52287 .52007 L
.52328 .52061 L
.52432 .52167 L
.52488 .52255 L
.52523 .52328 L
.52626 .52488 L
.52649 .52527 L
.52713 .52649 L
.52649 .52787 L
.52488 .52692 L
.52414 .52649 L
.52328 .52557 L
.52252 .52488 L
.52167 .52383 L
.52096 .52328 L
.52007 .52194 L
.51977 .52167 L
.51846 .52007 L
.51846 .52007 L
.51719 .51846 L
.51686 .5181 L
.51566 .51686 L
.51525 .51601 L
.51464 .51525 L
.51364 .51389 L
.5135 .51364 L
.51224 .51204 L
.51204 .51178 L
.51103 .51043 L
.51043 .50995 L
.5097 .50883 L
.50883 .50753 L
.50867 .50722 L
.50758 .50562 L
.50722 .50506 L
.5066 .50401 L
.50621 .50241 L
F
1 .38 0 r
.50722 .50857 m
.50748 .50883 L
.50883 .51021 L
.50901 .51043 L
.51038 .51204 L
.51043 .5121 L
.51162 .51364 L
.51204 .51416 L
.51282 .51525 L
.51364 .51636 L
.51397 .51686 L
.51498 .51846 L
.51364 .51853 L
.51358 .51846 L
.5121 .51686 L
.51204 .51679 L
.51076 .51525 L
.51043 .51486 L
.50949 .51364 L
.50883 .5128 L
.50828 .51204 L
.50722 .51057 L
.50713 .51043 L
.50624 .50883 L
F
.007 .84 1 r
.50722 .43978 m
.50725 .4398 L
.50883 .44135 L
.50886 .44141 L
.51035 .44301 L
.51043 .44311 L
.51177 .44462 L
.51204 .44491 L
.51317 .44622 L
.51364 .4463 L
.51455 .44783 L
.51525 .44855 L
.51591 .44943 L
.51686 .45056 L
.51734 .45104 L
.51846 .45253 L
.51856 .45265 L
.51988 .45425 L
.52007 .45439 L
.52119 .45586 L
.52167 .45642 L
.52273 .45746 L
.52328 .45847 L
.52378 .45907 L
.52488 .46049 L
.52499 .46067 L
.52633 .46228 L
.52649 .46243 L
.52804 .46388 L
.52809 .46449 L
.52896 .46549 L
.5297 .46657 L
.53008 .46709 L
.5313 .46861 L
.53133 .4687 L
.53265 .4703 L
.53291 .47059 L
.5341 .47191 L
.53451 .47269 L
.53516 .47351 L
.53612 .47478 L
.53631 .47512 L
.53766 .47672 L
.53772 .47678 L
.53925 .47833 L
.53933 .47884 L
.54024 .47993 L
.54093 .48096 L
.54134 .48154 L
.54254 .48303 L
.54256 .48314 L
.54388 .48475 L
.54414 .48503 L
.54532 .48636 L
.54575 .48715 L
.54637 .48796 L
.54735 .48927 L
.54752 .48957 L
.54884 .49117 L
.54896 .49127 L
.55043 .49278 L
.55057 .49336 L
.5514 .49438 L
.55217 .4955 L
.5525 .49599 L
.55378 .49759 L
.55378 .49759 L
.555 .4992 L
.55538 .49958 L
.55645 .5008 L
.55699 .50174 L
.55749 .50241 L
.55859 .50387 L
.55867 .50401 L
.55992 .50562 L
.5602 .50581 L
.56156 .50722 L
.5618 .50798 L
.56249 .50883 L
.56341 .51015 L
.56359 .51043 L
.56483 .51204 L
.56501 .51227 L
.56604 .51364 L
.56662 .51422 L
.5675 .51525 L
.56822 .51644 L
.56853 .51686 L
.56972 .51846 L
.56983 .5186 L
.57092 .52007 L
.57143 .52042 L
.57257 .52167 L
.57304 .52275 L
.57345 .52328 L
.57458 .52488 L
.57464 .52497 L
.57577 .52649 L
.57625 .52711 L
.57697 .52809 L
.57785 .52908 L
.57835 .5297 L
.57939 .5313 L
.57946 .53139 L
.58056 .53291 L
.58106 .53357 L
.58174 .53451 L
.58267 .53549 L
.58318 .53612 L
.58412 .53772 L
.58428 .53793 L
.58525 .53933 L
.58588 .54017 L
.5864 .54093 L
.58749 .54242 L
.58757 .54254 L
.58864 .54414 L
.58909 .54478 L
.58969 .54575 L
.5907 .54727 L
.59074 .54735 L
.5907 .54869 L
.58927 .54735 L
.58909 .54719 L
.58773 .54575 L
.58749 .5455 L
.58627 .54414 L
.58588 .54372 L
.58485 .54254 L
.58428 .54225 L
.58346 .54093 L
.58267 .54007 L
.5816 .53933 L
.58106 .53809 L
.5807 .53772 L
.57946 .53615 L
.57943 .53612 L
.57811 .53451 L
.57785 .53429 L
.57679 .53291 L
.57625 .53226 L
.57531 .5313 L
.57464 .53022 L
.57422 .5297 L
.57304 .52821 L
.57297 .52809 L
.57163 .52649 L
.57143 .52627 L
.57003 .52488 L
.56983 .52421 L
.56904 .52328 L
.56822 .52214 L
.5679 .52167 L
.56662 .52012 L
.56655 .52007 L
.56529 .51846 L
.56501 .51813 L
.5639 .51686 L
.56341 .51603 L
.56281 .51525 L
.5618 .51394 L
.56166 .51364 L
.56028 .51204 L
.5602 .51196 L
.55878 .51043 L
.55859 .50989 L
.55774 .50883 L
.55699 .50777 L
.55663 .50722 L
.55538 .50571 L
.55529 .50562 L
.55405 .50401 L
.55378 .5037 L
.55267 .50241 L
.55217 .50158 L
.5516 .5008 L
.55057 .49947 L
.55044 .4992 L
.54909 .49759 L
.54896 .49747 L
.54759 .49599 L
.54735 .49537 L
.54657 .49438 L
.54575 .49324 L
.54546 .49278 L
.54415 .49117 L
.54414 .49117 L
.54292 .48957 L
.54254 .48915 L
.54153 .48796 L
.54093 .487 L
.54047 .48636 L
.53933 .48488 L
.53928 .48475 L
.538 .48314 L
.53772 .48291 L
.53646 .48154 L
.53612 .48075 L
.53548 .47993 L
.53451 .4786 L
.53435 .47833 L
.53309 .47672 L
.53291 .47668 L
.53188 .47512 L
.5313 .47451 L
.53048 .47351 L
.5297 .4723 L
.52942 .47191 L
.52821 .4703 L
.52809 .47016 L
.527 .4687 L
.52649 .46828 L
.52544 .46709 L
.52488 .46599 L
.5245 .46549 L
.52334 .46388 L
.52328 .4638 L
.52215 .46228 L
.52167 .46165 L
.52095 .46067 L
.52007 .45966 L
.5196 .45907 L
.51853 .45746 L
.51846 .45737 L
.51735 .45586 L
.51686 .4552 L
.51617 .45425 L
.51525 .45325 L
.51477 .45265 L
.51379 .45104 L
.51364 .45084 L
.51265 .44943 L
.51204 .44861 L
.5115 .44783 L
.51043 .44637 L
.51033 .44622 L
.50924 .44462 L
.50883 .44404 L
.50818 .44301 L
.50722 .44161 L
.5071 .44141 L
.50628 .4398 L
F
1 .37 0 r
.50722 .50863 m
.50742 .50883 L
.50883 .51026 L
.50897 .51043 L
.51034 .51204 L
.51043 .51215 L
.51159 .51364 L
.51204 .51421 L
.51278 .51525 L
.51364 .51642 L
.51393 .51686 L
.5149 .51846 L
.51364 .51847 L
.51364 .51846 L
.51215 .51686 L
.51204 .51674 L
.5108 .51525 L
.51043 .51482 L
.50953 .51364 L
.50883 .51275 L
.50831 .51204 L
.50722 .51051 L
.50717 .51043 L
.50632 .50883 L
F
1 .95 .212 r
.50722 .43317 m
.50746 .43338 L
.50883 .43445 L
.50916 .43499 L
.51043 .4363 L
.51107 .43659 L
.51204 .43808 L
.51218 .4382 L
.51358 .4398 L
.51364 .43987 L
.51498 .44141 L
.51525 .44167 L
.51636 .44301 L
.51686 .44362 L
.51788 .44462 L
.51846 .4456 L
.51899 .44622 L
.52007 .44758 L
.52021 .44783 L
.52167 .44943 L
.52168 .44943 L
.52319 .45104 L
.52328 .45143 L
.52428 .45265 L
.52488 .4535 L
.52541 .45425 L
.52649 .45559 L
.52686 .45586 L
.52809 .45743 L
.52812 .45746 L
.52944 .45907 L
.5297 .4595 L
.53058 .46067 L
.5313 .46164 L
.53164 .46228 L
.53291 .46377 L
.53319 .46388 L
.53448 .46549 L
.53451 .4656 L
.53567 .46709 L
.53612 .46773 L
.53676 .4687 L
.53772 .4699 L
.5382 .4703 L
.53933 .47178 L
.53943 .47191 L
.54071 .47351 L
.54093 .47388 L
.54184 .47512 L
.54254 .47604 L
.54287 .47672 L
.54414 .47818 L
.54441 .47833 L
.5457 .47993 L
.54575 .48008 L
.54688 .48154 L
.54735 .48221 L
.54795 .48314 L
.54896 .48437 L
.54937 .48475 L
.55057 .48632 L
.5506 .48636 L
.55189 .48796 L
.55217 .48842 L
.553 .48957 L
.55378 .49057 L
.55404 .49117 L
.55538 .49267 L
.55555 .49278 L
.55688 .49438 L
.55699 .49465 L
.55802 .49599 L
.55859 .49679 L
.55909 .49759 L
.5602 .49892 L
.56049 .4992 L
.56171 .5008 L
.5618 .50091 L
.56303 .50241 L
.56341 .50302 L
.56412 .50401 L
.56501 .50515 L
.56519 .50562 L
.56662 .5072 L
.56664 .50722 L
.56804 .50883 L
.56822 .50926 L
.56913 .51043 L
.56983 .51139 L
.57022 .51204 L
.57143 .5135 L
.57158 .51364 L
.5728 .51525 L
.57304 .51551 L
.57415 .51686 L
.57464 .51763 L
.57523 .51846 L
.57625 .51976 L
.57635 .52007 L
.57772 .52167 L
.57785 .52178 L
.57918 .52328 L
.57946 .52387 L
.58023 .52488 L
.58106 .52602 L
.58134 .52649 L
.58265 .52809 L
.58267 .5281 L
.58386 .5297 L
.58428 .53011 L
.58524 .5313 L
.58588 .53228 L
.58632 .53291 L
.58749 .53442 L
.58752 .53451 L
.58878 .53612 L
.58909 .53634 L
.59028 .53772 L
.5907 .53853 L
.5913 .53933 L
.5923 .5407 L
.59243 .54093 L
.59368 .54254 L
.59391 .54283 L
.59541 .54414 L
.59551 .54477 L
.59628 .54575 L
.59712 .547 L
.59736 .54735 L
.59857 .54896 L
.59872 .54915 L
.59978 .55057 L
.60033 .55098 L
.6013 .55217 L
.60193 .5533 L
.60228 .55378 L
.60344 .55538 L
.60354 .55551 L
.60463 .55699 L
.60514 .55765 L
.60637 .55859 L
.60675 .55963 L
.60717 .5602 L
.60826 .5618 L
.60835 .56192 L
.60943 .56341 L
.60996 .5641 L
.61062 .56501 L
.61156 .56604 L
.61199 .56662 L
.61299 .56822 L
.61317 .56846 L
.61412 .56983 L
.61477 .57071 L
.61527 .57143 L
.61638 .57296 L
.6165 .57304 L
.61749 .57464 L
.61799 .57536 L
.61852 .57625 L
.61954 .57785 L
.61799 .57787 L
.61797 .57785 L
.61638 .57626 L
.61636 .57625 L
.61487 .57464 L
.61477 .57454 L
.61342 .57304 L
.61317 .57302 L
.612 .57143 L
.61156 .57098 L
.61061 .56983 L
.60996 .56903 L
.60913 .56822 L
.60835 .56707 L
.60797 .56662 L
.60675 .56513 L
.60669 .56501 L
.60526 .56341 L
.60514 .56326 L
.60376 .5618 L
.60354 .56124 L
.60267 .5602 L
.60193 .55917 L
.60154 .55859 L
.60033 .55712 L
.60008 .55699 L
.59881 .55538 L
.59872 .55526 L
.5975 .55378 L
.59712 .55317 L
.59638 .55217 L
.59551 .55104 L
.59531 .55057 L
.59391 .54916 L
.59375 .54896 L
.59242 .54735 L
.5923 .54708 L
.59127 .54575 L
.5907 .54495 L
.59019 .54414 L
.58909 .5428 L
.58873 .54254 L
.5875 .54093 L
.58749 .54091 L
.58622 .53933 L
.58588 .5388 L
.58511 .53772 L
.58428 .53664 L
.58408 .53612 L
.58267 .53456 L
.58252 .53451 L
.58121 .53291 L
.58106 .53261 L
.58007 .5313 L
.57946 .53047 L
.579 .5297 L
.57785 .52833 L
.57756 .52809 L
.57625 .52649 L
.57625 .52638 L
.57505 .52488 L
.57464 .52426 L
.57395 .52328 L
.57304 .52212 L
.5729 .52167 L
.57143 .52009 L
.57139 .52007 L
.57004 .51846 L
.56983 .51804 L
.56893 .51686 L
.56822 .5159 L
.56785 .51525 L
.56662 .5138 L
.56645 .51364 L
.56503 .51204 L
.56501 .51179 L
.56391 .51043 L
.56341 .50967 L
.56282 .50883 L
.5618 .50755 L
.56172 .50722 L
.56029 .50562 L
.5602 .50553 L
.55889 .50401 L
.55859 .50343 L
.55781 .50241 L
.55699 .5013 L
.55671 .5008 L
.55538 .49922 L
.55536 .4992 L
.55384 .49759 L
.55378 .49719 L
.5528 .49599 L
.55217 .49506 L
.55171 .49438 L
.55057 .49294 L
.55053 .49278 L
.54921 .49117 L
.54896 .49095 L
.54777 .48957 L
.54735 .48881 L
.54671 .48796 L
.54575 .48667 L
.54558 .48636 L
.54429 .48475 L
.54414 .48468 L
.54268 .48314 L
.54254 .48258 L
.54171 .48154 L
.54093 .48041 L
.54062 .47993 L
.53937 .47833 L
.53933 .47828 L
.53815 .47672 L
.53772 .47636 L
.53668 .47512 L
.53612 .47415 L
.53565 .47351 L
.53451 .47199 L
.53447 .47191 L
.53325 .4703 L
.53291 .47016 L
.53159 .4687 L
.5313 .46791 L
.53067 .46709 L
.5297 .46569 L
.52956 .46549 L
.52835 .46388 L
.52809 .46355 L
.52714 .46228 L
.52649 .46168 L
.52568 .46067 L
.52488 .45938 L
.52466 .45907 L
.52348 .45746 L
.52328 .4572 L
.52228 .45586 L
.52167 .45506 L
.52065 .45425 L
.52007 .45304 L
.51977 .45265 L
.51865 .45104 L
.51846 .4508 L
.51747 .44943 L
.51686 .44863 L
.51627 .44783 L
.51525 .44662 L
.51496 .44622 L
.5139 .44462 L
.51364 .44429 L
.51275 .44301 L
.51204 .44206 L
.51159 .44141 L
.51043 .43984 L
.51039 .4398 L
.50934 .4382 L
.50883 .43749 L
.50827 .43659 L
.50722 .43504 L
.50719 .43499 L
.50641 .43338 L
F
1 .36 0 r
.50722 .5087 m
.50736 .50883 L
.50883 .51031 L
.50893 .51043 L
.5103 .51204 L
.51043 .51219 L
.51155 .51364 L
.51204 .51426 L
.51274 .51525 L
.51364 .51648 L
.51389 .51686 L
.51364 .5184 L
.5122 .51686 L
.51204 .51669 L
.51085 .51525 L
.51043 .51477 L
.50957 .51364 L
.50883 .5127 L
.50835 .51204 L
.50722 .51045 L
.50721 .51043 L
.50641 .50883 L
F
.004 .82 1 r
.50722 .50227 m
.50762 .50241 L
.50883 .50311 L
.50989 .50401 L
.51043 .50455 L
.51145 .50562 L
.51204 .50633 L
.51312 .50722 L
.51364 .50826 L
.5142 .50883 L
.51525 .51024 L
.5154 .51043 L
.51673 .51204 L
.51686 .51213 L
.51798 .51364 L
.51846 .51419 L
.51934 .51525 L
.52007 .51633 L
.52042 .51686 L
.52166 .51846 L
.52167 .51847 L
.52285 .52007 L
.52328 .52065 L
.5243 .52167 L
.52488 .52262 L
.5252 .52328 L
.52621 .52488 L
.52649 .52537 L
.52705 .52649 L
.52649 .52775 L
.52488 .52686 L
.52422 .52649 L
.52328 .52551 L
.52257 .52488 L
.52167 .52379 L
.521 .52328 L
.52007 .52191 L
.5198 .52167 L
.51849 .52007 L
.51846 .52005 L
.51722 .51846 L
.51686 .51808 L
.51568 .51686 L
.51525 .51598 L
.51466 .51525 L
.51364 .51386 L
.51351 .51364 L
.51226 .51204 L
.51204 .51175 L
.51106 .51043 L
.51043 .50992 L
.50972 .50883 L
.50883 .50747 L
.5087 .50722 L
.50762 .50562 L
.50722 .50498 L
.50666 .50401 L
.50642 .50241 L
F
1 .35 0 r
.50722 .50877 m
.50729 .50883 L
.50883 .51036 L
.50889 .51043 L
.51025 .51204 L
.51043 .51224 L
.51151 .51364 L
.51204 .51431 L
.51271 .51525 L
.51364 .51654 L
.51385 .51686 L
.51364 .51832 L
.51226 .51686 L
.51204 .51663 L
.51089 .51525 L
.51043 .51472 L
.50961 .51364 L
.50883 .51265 L
.50839 .51204 L
.50727 .51043 L
.50722 .51037 L
.50652 .50883 L
F
1 .98 .538 r
.50722 .53105 m
.50826 .5313 L
.50883 .53158 L
.51043 .53257 L
.51084 .53291 L
.51204 .53409 L
.51242 .53451 L
.51364 .5359 L
.51388 .53612 L
.51509 .53772 L
.51525 .53793 L
.51631 .53933 L
.51686 .53984 L
.51752 .54093 L
.51846 .54212 L
.5188 .54254 L
.51989 .54414 L
.52007 .54434 L
.52134 .54575 L
.52167 .54663 L
.52224 .54735 L
.52328 .54891 L
.52331 .54896 L
.52468 .55057 L
.52488 .55114 L
.52567 .55217 L
.52649 .55335 L
.52678 .55378 L
.52799 .55538 L
.52809 .55551 L
.5293 .55699 L
.5297 .55764 L
.53036 .55859 L
.5313 .55976 L
.53142 .5602 L
.53291 .56178 L
.53294 .5618 L
.53429 .56341 L
.53451 .56383 L
.53536 .56501 L
.53612 .56596 L
.53636 .56662 L
.53772 .56808 L
.53801 .56822 L
.53926 .56983 L
.53933 .56993 L
.54051 .57143 L
.54093 .57203 L
.54158 .57304 L
.54254 .57418 L
.54305 .57464 L
.54414 .57607 L
.54429 .57625 L
.54559 .57785 L
.54575 .57815 L
.54671 .57946 L
.54735 .58029 L
.54776 .58106 L
.54896 .58242 L
.54929 .58267 L
.55056 .58428 L
.55057 .58434 L
.55176 .58588 L
.55217 .58646 L
.55285 .58749 L
.55378 .5886 L
.55388 .58909 L
.55538 .59065 L
.55547 .5907 L
.55677 .5923 L
.55699 .59268 L
.55788 .59391 L
.55859 .59481 L
.55894 .59551 L
.5602 .59693 L
.56041 .59712 L
.56176 .59872 L
.5618 .59893 L
.56288 .60033 L
.56341 .60106 L
.56396 .60193 L
.56501 .6032 L
.56505 .60354 L
.56654 .60514 L
.56662 .60522 L
.56788 .60675 L
.56822 .60733 L
.56895 .60835 L
.56983 .60948 L
.57004 .60996 L
.57143 .61156 L
.57143 .61157 L
.57292 .61317 L
.57304 .61363 L
.57391 .61477 L
.57464 .6158 L
.57499 .61638 L
.57625 .61794 L
.57625 .61799 L
.5775 .61959 L
.57785 .61993 L
.57888 .6212 L
.57946 .62216 L
.5799 .6228 L
.58106 .62435 L
.58109 .62441 L
.58229 .62601 L
.58267 .6262 L
.5839 .62762 L
.58428 .62857 L
.58474 .62922 L
.58585 .63083 L
.58588 .63086 L
.58701 .63243 L
.58749 .63308 L
.58818 .63404 L
.58909 .63515 L
.58945 .63564 L
.59046 .63725 L
.5907 .63758 L
.59157 .63885 L
.5923 .63991 L
.59267 .64046 L
.59372 .64206 L
.59391 .64234 L
.59467 .64367 L
.59551 .6452 L
.59554 .64527 L
.59551 .64565 L
.59488 .64527 L
.59391 .64451 L
.59311 .64367 L
.5923 .64287 L
.59159 .64206 L
.5907 .6411 L
.59015 .64046 L
.58909 .63939 L
.58874 .63885 L
.58749 .6374 L
.58731 .63725 L
.58604 .63564 L
.58588 .63546 L
.58472 .63404 L
.58428 .63378 L
.58341 .63243 L
.58267 .63163 L
.5817 .63083 L
.58106 .62957 L
.58073 .62922 L
.57951 .62762 L
.57946 .62755 L
.57825 .62601 L
.57785 .62568 L
.57698 .62441 L
.57625 .62356 L
.5755 .6228 L
.57464 .62147 L
.57441 .6212 L
.57317 .61959 L
.57304 .61955 L
.57192 .61799 L
.57143 .61748 L
.57026 .61638 L
.56983 .61535 L
.56931 .61477 L
.56822 .61326 L
.56815 .61317 L
.56691 .61156 L
.56662 .61135 L
.56567 .60996 L
.56501 .60921 L
.56421 .60835 L
.56341 .60707 L
.56314 .60675 L
.56193 .60514 L
.5618 .60499 L
.5607 .60354 L
.5602 .60305 L
.55907 .60193 L
.55859 .60088 L
.55812 .60033 L
.55699 .59875 L
.55696 .59872 L
.55574 .59712 L
.55538 .59688 L
.55451 .59551 L
.55378 .59468 L
.55307 .59391 L
.55217 .59252 L
.552 .5923 L
.5508 .5907 L
.55057 .59041 L
.54958 .58909 L
.54896 .5885 L
.54797 .58749 L
.54735 .58628 L
.54702 .58588 L
.54586 .58428 L
.54575 .58414 L
.54465 .58267 L
.54414 .58236 L
.54342 .58106 L
.54254 .58006 L
.54201 .57946 L
.54093 .57786 L
.54093 .57785 L
.53973 .57625 L
.53933 .57575 L
.53851 .57464 L
.53772 .57387 L
.53696 .57304 L
.53612 .57159 L
.53599 .57143 L
.53482 .56983 L
.53451 .56945 L
.53361 .56822 L
.53291 .56773 L
.53238 .56662 L
.5313 .56532 L
.53104 .56501 L
.52992 .56341 L
.5297 .56312 L
.52872 .5618 L
.52809 .561 L
.52751 .5602 L
.52649 .55903 L
.5261 .55859 L
.52505 .55699 L
.52488 .55677 L
.52387 .55538 L
.52328 .55462 L
.52267 .55378 L
.52167 .55266 L
.52124 .55217 L
.52023 .55057 L
.52007 .55035 L
.51906 .54896 L
.51846 .54818 L
.51787 .54735 L
.51686 .54612 L
.51654 .54575 L
.51547 .54414 L
.51525 .54386 L
.5143 .54254 L
.51364 .54187 L
.51284 .54093 L
.51204 .53953 L
.51189 .53933 L
.51075 .53772 L
.51043 .53729 L
.50961 .53612 L
.50883 .53503 L
.5083 .53451 L
.5074 .53291 L
.50722 .5326 L
.5067 .5313 L
F
.003 .81 1 r
.50722 .50236 m
.50737 .50241 L
.50883 .50317 L
.50983 .50401 L
.51043 .50461 L
.5114 .50562 L
.51204 .50637 L
.51309 .50722 L
.51364 .50829 L
.51418 .50883 L
.51525 .51026 L
.51539 .51043 L
.5167 .51204 L
.51686 .51215 L
.51796 .51364 L
.51846 .51422 L
.51932 .51525 L
.52007 .51636 L
.5204 .51686 L
.52164 .51846 L
.52167 .51851 L
.52282 .52007 L
.52328 .52069 L
.52427 .52167 L
.52488 .52269 L
.52516 .52328 L
.52616 .52488 L
.52649 .52547 L
.52697 .52649 L
.52649 .52762 L
.52488 .5268 L
.5243 .52649 L
.52328 .52546 L
.52262 .52488 L
.52167 .52375 L
.52104 .52328 L
.52007 .52188 L
.51982 .52167 L
.51851 .52007 L
.51846 .52003 L
.51724 .51846 L
.51686 .51805 L
.5157 .51686 L
.51525 .51595 L
.51468 .51525 L
.51364 .51384 L
.51353 .51364 L
.51228 .51204 L
.51204 .51172 L
.51108 .51043 L
.51043 .50988 L
.50975 .50883 L
.50883 .50741 L
.50873 .50722 L
.50766 .50562 L
.50722 .50491 L
.50672 .50401 L
.50673 .50241 L
F
.002 .8 1 r
.50722 .50248 m
.50883 .50324 L
.50976 .50401 L
.51043 .50466 L
.51136 .50562 L
.51204 .50641 L
.51306 .50722 L
.51364 .50833 L
.51415 .50883 L
.51525 .51029 L
.51537 .51043 L
.51668 .51204 L
.51686 .51217 L
.51793 .51364 L
.51846 .51424 L
.5193 .51525 L
.52007 .51639 L
.52038 .51686 L
.52161 .51846 L
.52167 .51854 L
.5228 .52007 L
.52328 .52072 L
.52424 .52167 L
.52488 .52276 L
.52512 .52328 L
.52611 .52488 L
.52649 .52558 L
.52689 .52649 L
.52649 .52749 L
.52488 .52675 L
.52439 .52649 L
.52328 .52541 L
.52267 .52488 L
.52167 .52371 L
.52108 .52328 L
.52007 .52185 L
.51985 .52167 L
.51854 .52007 L
.51846 .52002 L
.51726 .51846 L
.51686 .51803 L
.51572 .51686 L
.51525 .51593 L
.5147 .51525 L
.51364 .51381 L
.51354 .51364 L
.5123 .51204 L
.51204 .51169 L
.5111 .51043 L
.51043 .50985 L
.50978 .50883 L
.50883 .50736 L
.50876 .50722 L
.5077 .50562 L
.50722 .50482 L
.50678 .50401 L
F
0 .46 1 r
.50722 .45276 m
.50843 .45425 L
.50883 .4547 L
.50974 .45586 L
.51043 .45666 L
.51106 .45746 L
.51204 .45863 L
.51238 .45907 L
.51364 .46058 L
.51368 .46067 L
.51493 .46228 L
.51525 .46266 L
.51618 .46388 L
.51686 .4647 L
.51745 .46549 L
.51846 .46674 L
.51873 .46709 L
.51999 .4687 L
.52007 .46879 L
.5212 .4703 L
.52167 .47088 L
.52243 .47191 L
.52328 .47297 L
.52368 .47351 L
.52488 .47499 L
.52493 .47512 L
.52612 .47672 L
.52649 .47718 L
.52732 .47833 L
.52809 .47932 L
.52854 .47993 L
.5297 .48144 L
.52977 .48154 L
.53092 .48314 L
.5313 .48363 L
.53207 .48475 L
.53291 .48584 L
.53325 .48636 L
.53291 .4878 L
.53172 .48636 L
.5313 .48589 L
.53039 .48475 L
.5297 .48394 L
.52906 .48314 L
.52809 .48198 L
.52774 .48154 L
.52649 .48003 L
.52644 .47993 L
.52518 .47833 L
.52488 .47797 L
.52392 .47672 L
.52328 .47594 L
.52264 .47512 L
.52167 .4739 L
.52137 .47351 L
.52011 .47191 L
.52007 .47185 L
.51889 .4703 L
.51846 .46977 L
.51765 .4687 L
.51686 .46769 L
.5164 .46709 L
.51525 .46569 L
.51516 .46549 L
.51396 .46388 L
.51364 .46348 L
.51276 .46228 L
.51204 .46135 L
.51154 .46067 L
.51043 .45922 L
.51032 .45907 L
.50916 .45746 L
.50883 .45703 L
.508 .45586 L
.50722 .45483 L
.50682 .45425 L
F
.001 .79 1 r
.50722 .5026 m
.50883 .5033 L
.50969 .50401 L
.51043 .50471 L
.51131 .50562 L
.51204 .50645 L
.51303 .50722 L
.51364 .50836 L
.51412 .50883 L
.51525 .51031 L
.51535 .51043 L
.51666 .51204 L
.51686 .51219 L
.51791 .51364 L
.51846 .51427 L
.51928 .51525 L
.52007 .51642 L
.52036 .51686 L
.52159 .51846 L
.52167 .51857 L
.52277 .52007 L
.52328 .52076 L
.52421 .52167 L
.52488 .52284 L
.52508 .52328 L
.52606 .52488 L
.52649 .5257 L
.52681 .52649 L
.52649 .52734 L
.52488 .5267 L
.52448 .52649 L
.52328 .52536 L
.52272 .52488 L
.52167 .52367 L
.52112 .52328 L
.52007 .52183 L
.51988 .52167 L
.51857 .52007 L
.51846 .52 L
.51729 .51846 L
.51686 .518 L
.51573 .51686 L
.51525 .5159 L
.51473 .51525 L
.51364 .51379 L
.51356 .51364 L
.51233 .51204 L
.51204 .51166 L
.51113 .51043 L
.51043 .50981 L
.50981 .50883 L
.50883 .5073 L
.50879 .50722 L
.50774 .50562 L
.50722 .50474 L
.50684 .50401 L
F
0 .45 1 r
.50722 .45285 m
.50836 .45425 L
.50883 .45477 L
.50969 .45586 L
.51043 .45672 L
.51101 .45746 L
.51204 .45868 L
.51233 .45907 L
.51364 .46067 L
.51365 .46067 L
.51489 .46228 L
.51525 .46271 L
.51614 .46388 L
.51686 .46474 L
.51742 .46549 L
.51846 .46678 L
.51869 .46709 L
.51995 .4687 L
.52007 .46884 L
.52116 .4703 L
.52167 .47093 L
.52239 .47191 L
.52328 .47301 L
.52364 .47351 L
.52488 .47507 L
.5249 .47512 L
.52608 .47672 L
.52649 .47723 L
.52728 .47833 L
.52809 .47937 L
.5285 .47993 L
.5297 .48149 L
.52973 .48154 L
.53087 .48314 L
.5313 .4837 L
.53202 .48475 L
.53291 .48591 L
.5332 .48636 L
.53291 .48771 L
.53179 .48636 L
.5313 .48581 L
.53045 .48475 L
.5297 .48388 L
.52911 .48314 L
.52809 .48192 L
.52779 .48154 L
.52649 .47994 L
.52648 .47993 L
.52523 .47833 L
.52488 .47792 L
.52396 .47672 L
.52328 .47589 L
.52268 .47512 L
.52167 .47386 L
.52141 .47351 L
.52015 .47191 L
.52007 .4718 L
.51893 .4703 L
.51846 .46972 L
.51769 .4687 L
.51686 .46764 L
.51644 .46709 L
.51525 .46561 L
.5152 .46549 L
.51401 .46388 L
.51364 .46343 L
.5128 .46228 L
.51204 .4613 L
.51158 .46067 L
.51043 .45916 L
.51036 .45907 L
.50922 .45746 L
.50883 .45696 L
.50806 .45586 L
.50722 .45475 L
.50688 .45425 L
F
.001 .78 1 r
.50722 .50272 m
.50883 .50336 L
.50961 .50401 L
.51043 .50477 L
.51127 .50562 L
.51204 .5065 L
.513 .50722 L
.51364 .50839 L
.51409 .50883 L
.51525 .51033 L
.51533 .51043 L
.51663 .51204 L
.51686 .51221 L
.51789 .51364 L
.51846 .5143 L
.51926 .51525 L
.52007 .51645 L
.52034 .51686 L
.52156 .51846 L
.52167 .5186 L
.52274 .52007 L
.52328 .5208 L
.52418 .52167 L
.52488 .52292 L
.52504 .52328 L
.52601 .52488 L
.52649 .52585 L
.52672 .52649 L
.52649 .52717 L
.52488 .52665 L
.52457 .52649 L
.52328 .52531 L
.52277 .52488 L
.52167 .52364 L
.52116 .52328 L
.52007 .5218 L
.51991 .52167 L
.51859 .52007 L
.51846 .51999 L
.51731 .51846 L
.51686 .51798 L
.51575 .51686 L
.51525 .51587 L
.51475 .51525 L
.51364 .51376 L
.51358 .51364 L
.51235 .51204 L
.51204 .51163 L
.51115 .51043 L
.51043 .50977 L
.50983 .50883 L
.50883 .50724 L
.50882 .50722 L
.50778 .50562 L
.50722 .50464 L
.5069 .50401 L
F
1 .49 0 r
.50722 .45963 m
.50795 .46067 L
.50883 .46174 L
.5092 .46228 L
.51043 .46384 L
.51047 .46388 L
.51043 .46504 L
.50956 .46388 L
.50883 .46307 L
.50824 .46228 L
.50722 .46107 L
.50692 .46067 L
F
0 .44 1 r
.50722 .45294 m
.50829 .45425 L
.50883 .45484 L
.50963 .45586 L
.51043 .45678 L
.51096 .45746 L
.51204 .45874 L
.51229 .45907 L
.5136 .46067 L
.51364 .46073 L
.51484 .46228 L
.51525 .46276 L
.5161 .46388 L
.51686 .46479 L
.51738 .46549 L
.51846 .46683 L
.51866 .46709 L
.51991 .4687 L
.52007 .46889 L
.52112 .4703 L
.52167 .47098 L
.52236 .47191 L
.52328 .47306 L
.52361 .47351 L
.52486 .47512 L
.52488 .47514 L
.52604 .47672 L
.52649 .47729 L
.52724 .47833 L
.52809 .47942 L
.52846 .47993 L
.52969 .48154 L
.5297 .48155 L
.53081 .48314 L
.5313 .48377 L
.53196 .48475 L
.53291 .48599 L
.53315 .48636 L
.53291 .48762 L
.53187 .48636 L
.5313 .48574 L
.53051 .48475 L
.5297 .48381 L
.52916 .48314 L
.52809 .48186 L
.52783 .48154 L
.52653 .47993 L
.52649 .47988 L
.52527 .47833 L
.52488 .47786 L
.524 .47672 L
.52328 .47584 L
.52272 .47512 L
.52167 .47381 L
.52144 .47351 L
.5202 .47191 L
.52007 .47175 L
.51897 .4703 L
.51846 .46967 L
.51773 .4687 L
.51686 .46759 L
.51648 .46709 L
.51525 .46552 L
.51524 .46549 L
.51405 .46388 L
.51364 .46337 L
.51285 .46228 L
.51204 .46124 L
.51163 .46067 L
.51043 .4591 L
.51041 .45907 L
.50927 .45746 L
.50883 .45689 L
.50812 .45586 L
.50722 .45467 L
.50694 .45425 L
F
0 .67 1 r
.50722 .55082 m
.50824 .55217 L
.50883 .55288 L
.50949 .55378 L
.51043 .55494 L
.51076 .55538 L
.51043 .55666 L
.5095 .55538 L
.50883 .55459 L
.50825 .55378 L
.50722 .55253 L
.50697 .55217 L
F
.001 .77 1 r
.50722 .50286 m
.50883 .50343 L
.50954 .50401 L
.51043 .50482 L
.51122 .50562 L
.51204 .50654 L
.51296 .50722 L
.51364 .50842 L
.51407 .50883 L
.51525 .51036 L
.51532 .51043 L
.51661 .51204 L
.51686 .51223 L
.51787 .51364 L
.51846 .51432 L
.51924 .51525 L
.52007 .51648 L
.52032 .51686 L
.52154 .51846 L
.52167 .51864 L
.52272 .52007 L
.52328 .52084 L
.52415 .52167 L
.52488 .52301 L
.525 .52328 L
.52595 .52488 L
.52649 .52603 L
.52662 .52649 L
.52649 .52697 L
.52488 .52659 L
.52467 .52649 L
.52328 .52526 L
.52282 .52488 L
.52167 .5236 L
.5212 .52328 L
.52007 .52178 L
.51994 .52167 L
.51862 .52007 L
.51846 .51997 L
.51734 .51846 L
.51686 .51795 L
.51577 .51686 L
.51525 .51585 L
.51477 .51525 L
.51364 .51373 L
.51359 .51364 L
.51237 .51204 L
.51204 .5116 L
.51117 .51043 L
.51043 .50973 L
.50986 .50883 L
.50886 .50722 L
.50883 .50718 L
.50783 .50562 L
.50722 .50454 L
.50697 .50401 L
F
1 .61 0 r
.50722 .44628 m
.50862 .44783 L
.50883 .44804 L
.51003 .44943 L
.51043 .44987 L
.51141 .45104 L
.51204 .45175 L
.51277 .45265 L
.51364 .45327 L
.51412 .45425 L
.51525 .45555 L
.51564 .45586 L
.51676 .45746 L
.51686 .45757 L
.51805 .45907 L
.51846 .45956 L
.51934 .46067 L
.52007 .46133 L
.52064 .46228 L
.52167 .46352 L
.52203 .46388 L
.5232 .46549 L
.52328 .46558 L
.52446 .46709 L
.52488 .46719 L
.52572 .4687 L
.52649 .46952 L
.52732 .4703 L
.52809 .47168 L
.52829 .47191 L
.5295 .47351 L
.5297 .47376 L
.53074 .47512 L
.5313 .47556 L
.532 .47672 L
.53291 .47781 L
.53338 .47833 L
.5345 .47993 L
.53451 .47995 L
.53572 .48154 L
.53612 .48204 L
.53696 .48314 L
.53772 .48396 L
.5385 .48475 L
.53933 .48618 L
.53947 .48636 L
.54066 .48796 L
.54093 .48831 L
.54188 .48957 L
.54254 .49007 L
.54311 .49117 L
.54414 .49244 L
.54443 .49278 L
.54556 .49438 L
.54575 .49462 L
.54676 .49599 L
.54735 .49675 L
.54798 .49759 L
.54896 .49873 L
.54938 .4992 L
.55041 .5008 L
.55057 .501 L
.55159 .50241 L
.55217 .50316 L
.55279 .50401 L
.55378 .50508 L
.554 .50562 L
.55518 .50722 L
.55538 .50749 L
.55633 .50883 L
.55699 .5097 L
.5575 .51043 L
.55859 .5119 L
.55868 .51204 L
.55979 .51364 L
.5602 .5142 L
.56088 .51525 L
.5618 .51656 L
.56199 .51686 L
.5618 .51824 L
.56052 .51686 L
.5602 .51653 L
.55908 .51525 L
.55859 .51473 L
.55767 .51364 L
.55699 .51287 L
.55629 .51204 L
.55538 .51126 L
.55494 .51043 L
.55378 .50907 L
.55348 .50883 L
.55229 .50722 L
.55217 .50708 L
.55099 .50562 L
.55057 .50511 L
.54968 .50401 L
.54896 .50329 L
.54838 .50241 L
.54735 .50115 L
.54702 .5008 L
.54582 .4992 L
.54575 .49911 L
.54455 .49759 L
.54414 .4974 L
.54328 .49599 L
.54254 .49515 L
.54177 .49438 L
.54093 .49302 L
.54073 .49278 L
.5395 .49117 L
.53933 .49096 L
.53825 .48957 L
.53772 .4891 L
.53642 .48796 L
.53612 .4869 L
.53565 .48636 L
.53451 .48478 L
.53449 .48475 L
.53326 .48314 L
.53291 .48305 L
.53202 .48154 L
.5313 .48074 L
.53055 .47993 L
.5297 .47855 L
.52952 .47833 L
.52832 .47672 L
.52809 .47644 L
.52709 .47512 L
.52649 .47459 L
.52536 .47351 L
.52488 .47229 L
.52456 .47191 L
.52342 .4703 L
.52328 .47012 L
.52221 .4687 L
.52167 .468 L
.52099 .46709 L
.52007 .466 L
.51961 .46549 L
.51857 .46388 L
.51846 .46374 L
.51738 .46228 L
.51686 .46159 L
.51618 .46067 L
.51525 .45966 L
.5147 .45907 L
.5138 .45746 L
.51364 .45726 L
.51264 .45586 L
.51204 .45505 L
.51147 .45425 L
.51043 .45284 L
.5103 .45265 L
.50918 .45104 L
.50883 .45056 L
.50809 .44943 L
.50722 .44822 L
.50698 .44783 L
F
0 .43 1 r
.50722 .45304 m
.50821 .45425 L
.50883 .45492 L
.50957 .45586 L
.51043 .45684 L
.51091 .45746 L
.51204 .4588 L
.51225 .45907 L
.51355 .46067 L
.51364 .46078 L
.5148 .46228 L
.51525 .46281 L
.51606 .46388 L
.51686 .46484 L
.51734 .46549 L
.51846 .46687 L
.51863 .46709 L
.51987 .4687 L
.52007 .46894 L
.52108 .4703 L
.52167 .47103 L
.52232 .47191 L
.52328 .47311 L
.52358 .47351 L
.52482 .47512 L
.52488 .47519 L
.52599 .47672 L
.52649 .47734 L
.52719 .47833 L
.52809 .47947 L
.52842 .47993 L
.52964 .48154 L
.5297 .48161 L
.53076 .48314 L
.5313 .48385 L
.5319 .48475 L
.53291 .48608 L
.53309 .48636 L
.53291 .48751 L
.53195 .48636 L
.5313 .48565 L
.53057 .48475 L
.5297 .48375 L
.52922 .48314 L
.52809 .4818 L
.52788 .48154 L
.52659 .47993 L
.52649 .47982 L
.52532 .47833 L
.52488 .47781 L
.52404 .47672 L
.52328 .47579 L
.52276 .47512 L
.52167 .47376 L
.52148 .47351 L
.52024 .47191 L
.52007 .4717 L
.51901 .4703 L
.51846 .46962 L
.51777 .4687 L
.51686 .46754 L
.51652 .46709 L
.51528 .46549 L
.51525 .46545 L
.5141 .46388 L
.51364 .46331 L
.51289 .46228 L
.51204 .46118 L
.51167 .46067 L
.51045 .45907 L
.51043 .45904 L
.50933 .45746 L
.50883 .45681 L
.50817 .45586 L
.50722 .45458 L
.507 .45425 L
F
1 .48 0 r
.50722 .45976 m
.50783 .46067 L
.50883 .46187 L
.5091 .46228 L
.50883 .46292 L
.50835 .46228 L
.50722 .46095 L
.50702 .46067 L
F
.001 .76 1 r
.50722 .50302 m
.50883 .50349 L
.50946 .50401 L
.51043 .50487 L
.51118 .50562 L
.51204 .50658 L
.51292 .50722 L
.51364 .50845 L
.51404 .50883 L
.51525 .51038 L
.5153 .51043 L
.51659 .51204 L
.51686 .51224 L
.51784 .51364 L
.51846 .51435 L
.51921 .51525 L
.52007 .51651 L
.5203 .51686 L
.52152 .51846 L
.52167 .51867 L
.52269 .52007 L
.52328 .52087 L
.52412 .52167 L
.52488 .5231 L
.52496 .52328 L
.5259 .52488 L
.52649 .52631 L
.52652 .52649 L
.52649 .52668 L
.52488 .52654 L
.52478 .52649 L
.52328 .52521 L
.52287 .52488 L
.52167 .52356 L
.52125 .52328 L
.52007 .52175 L
.51997 .52167 L
.51865 .52007 L
.51846 .51996 L
.51736 .51846 L
.51686 .51793 L
.51579 .51686 L
.51525 .51582 L
.51479 .51525 L
.51364 .51371 L
.51361 .51364 L
.51239 .51204 L
.51204 .51157 L
.5112 .51043 L
.51043 .50969 L
.50989 .50883 L
.50889 .50722 L
.50883 .50713 L
.50787 .50562 L
.50722 .50442 L
.50704 .50401 L
F
1 .6 0 r
.50722 .44641 m
.50853 .44783 L
.50883 .44813 L
.50996 .44943 L
.51043 .44995 L
.51135 .45104 L
.51204 .45181 L
.51272 .45265 L
.51364 .45334 L
.51408 .45425 L
.51525 .4556 L
.51557 .45586 L
.51672 .45746 L
.51686 .45762 L
.51801 .45907 L
.51846 .4596 L
.51931 .46067 L
.52007 .46137 L
.52061 .46228 L
.52167 .46356 L
.52199 .46388 L
.52317 .46549 L
.52328 .46562 L
.52443 .46709 L
.52488 .46721 L
.5257 .4687 L
.52649 .46956 L
.52728 .4703 L
.52809 .47171 L
.52826 .47191 L
.52948 .47351 L
.5297 .47379 L
.53072 .47512 L
.5313 .47558 L
.53197 .47672 L
.53291 .47784 L
.53335 .47833 L
.53447 .47993 L
.53451 .47998 L
.5357 .48154 L
.53612 .48207 L
.53694 .48314 L
.53772 .48399 L
.53847 .48475 L
.53933 .48621 L
.53944 .48636 L
.54064 .48796 L
.54093 .48834 L
.54186 .48957 L
.54254 .4901 L
.54309 .49117 L
.54414 .49248 L
.5444 .49278 L
.54553 .49438 L
.54575 .49465 L
.54674 .49599 L
.54735 .49678 L
.54795 .49759 L
.54896 .49877 L
.54935 .4992 L
.55038 .5008 L
.55057 .50104 L
.55156 .50241 L
.55217 .5032 L
.55276 .50401 L
.55378 .50514 L
.55397 .50562 L
.55514 .50722 L
.55538 .50754 L
.55629 .50883 L
.55699 .50975 L
.55746 .51043 L
.55859 .51196 L
.55864 .51204 L
.55973 .51364 L
.5602 .51428 L
.56081 .51525 L
.5618 .51667 L
.56191 .51686 L
.5618 .51809 L
.56063 .51686 L
.5602 .51644 L
.55915 .51525 L
.55859 .51465 L
.55773 .51364 L
.55699 .5128 L
.55635 .51204 L
.55538 .51119 L
.55498 .51043 L
.55378 .50901 L
.55355 .50883 L
.55233 .50722 L
.55217 .50703 L
.55103 .50562 L
.55057 .50507 L
.54972 .50401 L
.54896 .50325 L
.54842 .50241 L
.54735 .50111 L
.54706 .5008 L
.54585 .4992 L
.54575 .49907 L
.54458 .49759 L
.54414 .49738 L
.54331 .49599 L
.54254 .49511 L
.5418 .49438 L
.54093 .49299 L
.54076 .49278 L
.53952 .49117 L
.53933 .49093 L
.53827 .48957 L
.53772 .48907 L
.53645 .48796 L
.53612 .48686 L
.53567 .48636 L
.53452 .48475 L
.53451 .48475 L
.53328 .48314 L
.53291 .48304 L
.53204 .48154 L
.5313 .48071 L
.53057 .47993 L
.5297 .47852 L
.52955 .47833 L
.52834 .47672 L
.52809 .47641 L
.52712 .47512 L
.52649 .47457 L
.52539 .47351 L
.52488 .47226 L
.52459 .47191 L
.52344 .4703 L
.52328 .47009 L
.52224 .4687 L
.52167 .46797 L
.52102 .46709 L
.52007 .46596 L
.51965 .46549 L
.5186 .46388 L
.51846 .46371 L
.51741 .46228 L
.51686 .46155 L
.51621 .46067 L
.51525 .4596 L
.51476 .45907 L
.51383 .45746 L
.51364 .45721 L
.51268 .45586 L
.51204 .455 L
.51151 .45425 L
.51043 .45278 L
.51034 .45265 L
.50924 .45104 L
.50883 .45048 L
.50815 .44943 L
.50722 .44811 L
.50705 .44783 L
F
0 .42 1 r
.50722 .45315 m
.50812 .45425 L
.50883 .455 L
.5095 .45586 L
.51043 .45691 L
.51086 .45746 L
.51204 .45885 L
.5122 .45907 L
.5135 .46067 L
.51364 .46084 L
.51475 .46228 L
.51525 .46287 L
.51602 .46388 L
.51686 .46489 L
.5173 .46549 L
.51846 .46692 L
.51859 .46709 L
.51982 .4687 L
.52007 .46899 L
.52104 .4703 L
.52167 .47108 L
.52228 .47191 L
.52328 .47315 L
.52354 .47351 L
.52478 .47512 L
.52488 .47525 L
.52595 .47672 L
.52649 .4774 L
.52715 .47833 L
.52809 .47953 L
.52838 .47993 L
.52958 .48154 L
.5297 .48169 L
.53069 .48314 L
.5313 .48393 L
.53184 .48475 L
.53291 .48617 L
.53302 .48636 L
.53291 .48739 L
.53205 .48636 L
.5313 .48557 L
.53064 .48475 L
.5297 .48367 L
.52927 .48314 L
.52809 .48174 L
.52793 .48154 L
.52664 .47993 L
.52649 .47976 L
.52537 .47833 L
.52488 .47775 L
.52409 .47672 L
.52328 .47573 L
.5228 .47512 L
.52167 .47371 L
.52152 .47351 L
.52028 .47191 L
.52007 .47164 L
.51906 .4703 L
.51846 .46957 L
.51781 .4687 L
.51686 .46749 L
.51656 .46709 L
.51532 .46549 L
.51525 .4654 L
.51414 .46388 L
.51364 .46326 L
.51293 .46228 L
.51204 .46112 L
.51171 .46067 L
.51051 .45907 L
.51043 .45897 L
.50939 .45746 L
.50883 .45673 L
.50824 .45586 L
.50722 .45449 L
.50707 .45425 L
F
0 .66 1 r
.50722 .551 m
.50809 .55217 L
.50883 .55305 L
.50936 .55378 L
.51043 .5551 L
.51064 .55538 L
.51043 .55649 L
.50964 .55538 L
.50883 .55443 L
.50837 .55378 L
.50722 .55239 L
.50707 .55217 L
F
1 .55 0 r
.50722 .5577 m
.50773 .55859 L
.50722 .55878 L
.50707 .55859 L
F
0 .75 1 r
.50722 .5032 m
.50883 .50356 L
.50938 .50401 L
.51043 .50492 L
.51113 .50562 L
.51204 .50662 L
.51288 .50722 L
.51364 .50849 L
.51401 .50883 L
.51525 .5104 L
.51528 .51043 L
.51656 .51204 L
.51686 .51226 L
.51782 .51364 L
.51846 .51438 L
.51919 .51525 L
.52007 .51654 L
.52028 .51686 L
.52149 .51846 L
.52167 .5187 L
.52267 .52007 L
.52328 .52091 L
.52408 .52167 L
.52488 .52319 L
.52492 .52328 L
.52585 .52488 L
.52488 .52648 L
.52328 .52517 L
.52293 .52488 L
.52167 .52353 L
.52129 .52328 L
.52007 .52173 L
.52 .52167 L
.51867 .52007 L
.51846 .51994 L
.51738 .51846 L
.51686 .5179 L
.51581 .51686 L
.51525 .51579 L
.51481 .51525 L
.51364 .51368 L
.51362 .51364 L
.51242 .51204 L
.51204 .51154 L
.51122 .51043 L
.51043 .50965 L
.50992 .50883 L
.50892 .50722 L
.50883 .50708 L
.50791 .50562 L
.50722 .50429 L
.50711 .50401 L
F
1 .83 .005 r
.50722 .54435 m
.50842 .54575 L
.50883 .54619 L
.5098 .54735 L
.51043 .54808 L
.51116 .54896 L
.51204 .55 L
.5125 .55057 L
.51364 .55177 L
.51382 .55217 L
.5151 .55378 L
.51525 .55395 L
.51638 .55538 L
.51686 .55595 L
.51767 .55699 L
.51846 .55796 L
.51896 .55859 L
.52007 .5599 L
.52047 .5602 L
.52148 .5618 L
.52167 .56204 L
.52272 .56341 L
.52328 .5641 L
.52398 .56501 L
.52488 .56575 L
.52523 .56662 L
.52647 .56822 L
.52649 .56824 L
.52768 .56983 L
.52809 .57035 L
.52891 .57143 L
.5297 .57245 L
.53014 .57304 L
.5313 .57453 L
.53143 .57464 L
.53254 .57625 L
.53291 .57673 L
.53373 .57785 L
.53451 .57888 L
.53493 .57946 L
.53612 .58105 L
.53612 .58106 L
.53724 .58267 L
.53772 .58331 L
.53838 .58428 L
.53933 .58558 L
.53953 .58588 L
.53933 .58719 L
.53824 .58588 L
.53772 .58534 L
.53687 .58428 L
.53612 .58343 L
.53552 .58267 L
.53451 .58149 L
.53418 .58106 L
.53291 .57953 L
.53285 .57946 L
.53158 .57785 L
.5313 .57752 L
.53032 .57625 L
.5297 .5755 L
.52904 .57464 L
.52809 .57348 L
.52776 .57304 L
.52649 .57147 L
.52647 .57143 L
.52525 .56983 L
.52488 .56938 L
.52401 .56822 L
.52328 .56731 L
.52276 .56662 L
.52167 .56525 L
.52149 .56501 L
.52026 .56341 L
.52007 .56316 L
.51906 .5618 L
.51846 .56105 L
.51784 .5602 L
.51686 .55895 L
.51659 .55859 L
.51536 .55699 L
.51525 .55685 L
.51419 .55538 L
.51364 .55469 L
.513 .55378 L
.51204 .55254 L
.51178 .55217 L
.51058 .55057 L
.51043 .55038 L
.50946 .54896 L
.50883 .54814 L
.50831 .54735 L
.50722 .54591 L
.50712 .54575 L
F
1 .59 0 r
.50722 .44657 m
.50842 .44783 L
.50883 .44823 L
.50988 .44943 L
.51043 .45002 L
.51129 .45104 L
.51204 .45188 L
.51267 .45265 L
.51364 .45342 L
.51403 .45425 L
.51525 .45567 L
.51549 .45586 L
.51668 .45746 L
.51686 .45766 L
.51798 .45907 L
.51846 .45964 L
.51928 .46067 L
.52007 .46141 L
.52058 .46228 L
.52167 .4636 L
.52196 .46388 L
.52314 .46549 L
.52328 .46565 L
.5244 .46709 L
.52488 .46723 L
.52567 .4687 L
.52649 .46959 L
.52725 .4703 L
.52809 .47174 L
.52823 .47191 L
.52945 .47351 L
.5297 .47382 L
.5307 .47512 L
.5313 .47561 L
.53195 .47672 L
.53291 .47787 L
.53333 .47833 L
.53445 .47993 L
.53451 .48001 L
.53568 .48154 L
.53612 .4821 L
.53691 .48314 L
.53772 .48402 L
.53845 .48475 L
.53933 .48624 L
.53942 .48636 L
.54061 .48796 L
.54093 .48836 L
.54184 .48957 L
.54254 .49013 L
.54307 .49117 L
.54414 .49251 L
.54438 .49278 L
.54551 .49438 L
.54575 .49469 L
.54671 .49599 L
.54735 .49681 L
.54793 .49759 L
.54896 .49882 L
.54931 .4992 L
.55035 .5008 L
.55057 .50108 L
.55153 .50241 L
.55217 .50324 L
.55273 .50401 L
.55378 .50521 L
.55394 .50562 L
.5551 .50722 L
.55538 .50758 L
.55625 .50883 L
.55699 .5098 L
.55742 .51043 L
.55859 .51202 L
.5586 .51204 L
.55967 .51364 L
.5602 .51437 L
.56074 .51525 L
.5618 .5168 L
.56183 .51686 L
.5618 .51791 L
.56075 .51686 L
.5602 .51633 L
.55924 .51525 L
.55859 .51457 L
.5578 .51364 L
.55699 .51273 L
.5564 .51204 L
.55538 .5111 L
.55503 .51043 L
.55378 .50895 L
.55363 .50883 L
.55237 .50722 L
.55217 .50698 L
.55106 .50562 L
.55057 .50502 L
.54975 .50401 L
.54896 .5032 L
.54845 .50241 L
.54735 .50107 L
.5471 .5008 L
.54588 .4992 L
.54575 .49904 L
.54461 .49759 L
.54414 .49735 L
.54333 .49599 L
.54254 .49508 L
.54183 .49438 L
.54093 .49296 L
.54078 .49278 L
.53955 .49117 L
.53933 .4909 L
.53829 .48957 L
.53772 .48904 L
.53647 .48796 L
.53612 .48683 L
.5357 .48636 L
.53454 .48475 L
.53451 .48472 L
.53331 .48314 L
.53291 .48303 L
.53207 .48154 L
.5313 .48068 L
.5306 .47993 L
.5297 .47849 L
.52957 .47833 L
.52836 .47672 L
.52809 .47638 L
.52714 .47512 L
.52649 .47454 L
.52542 .47351 L
.52488 .47222 L
.52462 .47191 L
.52347 .4703 L
.52328 .47006 L
.52226 .4687 L
.52167 .46793 L
.52104 .46709 L
.52007 .46592 L
.51969 .46549 L
.51863 .46388 L
.51846 .46367 L
.51744 .46228 L
.51686 .46151 L
.51624 .46067 L
.51525 .45953 L
.51482 .45907 L
.51387 .45746 L
.51364 .45716 L
.51272 .45586 L
.51204 .45494 L
.51155 .45425 L
.51043 .45272 L
.51038 .45265 L
.5093 .45104 L
.50883 .45039 L
.50822 .44943 L
.50722 .44799 L
.50713 .44783 L
F
1 .47 0 r
.50722 .45993 m
.50768 .46067 L
.50883 .46203 L
.50898 .46228 L
.50883 .46274 L
.5085 .46228 L
.50722 .4608 L
.50713 .46067 L
F
0 .41 1 r
.50722 .45328 m
.50801 .45425 L
.50883 .45509 L
.50943 .45586 L
.51043 .45698 L
.51081 .45746 L
.51204 .45891 L
.51216 .45907 L
.51344 .46067 L
.51364 .4609 L
.5147 .46228 L
.51525 .46292 L
.51598 .46388 L
.51686 .46494 L
.51726 .46549 L
.51846 .46697 L
.51855 .46709 L
.51978 .4687 L
.52007 .46904 L
.521 .4703 L
.52167 .47113 L
.52224 .47191 L
.52328 .4732 L
.5235 .47351 L
.52473 .47512 L
.52488 .47531 L
.5259 .47672 L
.52649 .47745 L
.52711 .47833 L
.52809 .47959 L
.52833 .47993 L
.52952 .48154 L
.5297 .48176 L
.53063 .48314 L
.5313 .48402 L
.53177 .48475 L
.53291 .48628 L
.53295 .48636 L
.53291 .48724 L
.53216 .48636 L
.5313 .48547 L
.53072 .48475 L
.5297 .4836 L
.52933 .48314 L
.52809 .48167 L
.52799 .48154 L
.5267 .47993 L
.52649 .47969 L
.52542 .47833 L
.52488 .47769 L
.52414 .47672 L
.52328 .47568 L
.52285 .47512 L
.52167 .47365 L
.52156 .47351 L
.52033 .47191 L
.52007 .47159 L
.5191 .4703 L
.51846 .46951 L
.51785 .4687 L
.51686 .46744 L
.5166 .46709 L
.51537 .46549 L
.51525 .46534 L
.51419 .46388 L
.51364 .46319 L
.51298 .46228 L
.51204 .46106 L
.51176 .46067 L
.51057 .45907 L
.51043 .45889 L
.50946 .45746 L
.50883 .45664 L
.50831 .45586 L
.50722 .45438 L
.50714 .45425 L
F
1 .85 .01 r
.50722 .48923 m
.50748 .48957 L
.50722 .48968 L
.50715 .48957 L
F
0 .74 1 r
.50722 .50344 m
.50883 .50363 L
.5093 .50401 L
.51043 .50497 L
.51108 .50562 L
.51204 .50666 L
.51284 .50722 L
.51364 .50852 L
.51398 .50883 L
.51525 .51042 L
.51526 .51043 L
.51654 .51204 L
.51686 .51228 L
.5178 .51364 L
.51846 .5144 L
.51917 .51525 L
.52007 .51657 L
.52026 .51686 L
.52147 .51846 L
.52167 .51873 L
.52264 .52007 L
.52328 .52095 L
.52405 .52167 L
.52488 .52328 L
.52488 .52328 L
.52579 .52488 L
.52488 .52639 L
.52328 .52512 L
.52298 .52488 L
.52167 .52349 L
.52134 .52328 L
.52007 .5217 L
.52003 .52167 L
.5187 .52007 L
.51846 .51992 L
.51741 .51846 L
.51686 .51788 L
.51583 .51686 L
.51525 .51576 L
.51483 .51525 L
.51364 .51365 L
.51364 .51364 L
.51244 .51204 L
.51204 .51151 L
.51124 .51043 L
.51043 .5096 L
.50995 .50883 L
.50896 .50722 L
.50883 .50703 L
.50796 .50562 L
.50722 .50412 L
.50718 .50401 L
F
0 .65 1 r
.50722 .55123 m
.50789 .55217 L
.50883 .55325 L
.5092 .55378 L
.51043 .55529 L
.5105 .55538 L
.51043 .55626 L
.50984 .55538 L
.50883 .55424 L
.50852 .55378 L
.50722 .55221 L
.5072 .55217 L
F
1 .58 0 r
.50722 .44675 m
.50829 .44783 L
.50883 .44833 L
.5098 .44943 L
.51043 .4501 L
.51123 .45104 L
.51204 .45194 L
.51262 .45265 L
.51364 .45351 L
.51399 .45425 L
.51525 .45573 L
.51541 .45586 L
.51664 .45746 L
.51686 .45771 L
.51794 .45907 L
.51846 .45968 L
.51925 .46067 L
.52007 .46146 L
.52055 .46228 L
.52167 .46364 L
.52192 .46388 L
.52311 .46549 L
.52328 .46569 L
.52437 .46709 L
.52488 .46725 L
.52565 .4687 L
.52649 .46962 L
.52722 .4703 L
.52809 .47178 L
.52821 .47191 L
.52943 .47351 L
.5297 .47385 L
.53068 .47512 L
.5313 .47563 L
.53193 .47672 L
.53291 .4779 L
.5333 .47833 L
.53443 .47993 L
.53451 .48004 L
.53565 .48154 L
.53612 .48212 L
.53689 .48314 L
.53772 .48405 L
.53842 .48475 L
.53933 .48628 L
.53939 .48636 L
.54059 .48796 L
.54093 .48839 L
.54181 .48957 L
.54254 .49016 L
.54305 .49117 L
.54414 .49255 L
.54435 .49278 L
.54549 .49438 L
.54575 .49472 L
.54669 .49599 L
.54735 .49684 L
.54791 .49759 L
.54896 .49886 L
.54927 .4992 L
.55032 .5008 L
.55057 .50111 L
.5515 .50241 L
.55217 .50328 L
.5527 .50401 L
.55378 .50528 L
.55391 .50562 L
.55507 .50722 L
.55538 .50763 L
.55621 .50883 L
.55699 .50986 L
.55738 .51043 L
.55855 .51204 L
.55859 .51209 L
.5596 .51364 L
.5602 .51447 L
.56067 .51525 L
.5602 .51622 L
.55933 .51525 L
.55859 .51448 L
.55787 .51364 L
.55699 .51266 L
.55646 .51204 L
.55538 .51102 L
.55508 .51043 L
.55378 .50889 L
.5537 .50883 L
.55242 .50722 L
.55217 .50693 L
.5511 .50562 L
.55057 .50498 L
.54979 .50401 L
.54896 .50316 L
.54848 .50241 L
.54735 .50103 L
.54714 .5008 L
.54591 .4992 L
.54575 .499 L
.54464 .49759 L
.54414 .49733 L
.54336 .49599 L
.54254 .49504 L
.54186 .49438 L
.54093 .49292 L
.54081 .49278 L
.53957 .49117 L
.53933 .49087 L
.53832 .48957 L
.53772 .48902 L
.5365 .48796 L
.53612 .4868 L
.53573 .48636 L
.53456 .48475 L
.53451 .48469 L
.53333 .48314 L
.53291 .48301 L
.53209 .48154 L
.5313 .48065 L
.53063 .47993 L
.5297 .47846 L
.5296 .47833 L
.52839 .47672 L
.52809 .47635 L
.52716 .47512 L
.52649 .47451 L
.52545 .47351 L
.52488 .47219 L
.52465 .47191 L
.52349 .4703 L
.52328 .47003 L
.52229 .4687 L
.52167 .4679 L
.52107 .46709 L
.52007 .46587 L
.51972 .46549 L
.51866 .46388 L
.51846 .46363 L
.51747 .46228 L
.51686 .46147 L
.51628 .46067 L
.51525 .45947 L
.51488 .45907 L
.51391 .45746 L
.51364 .45711 L
.51276 .45586 L
.51204 .45489 L
.5116 .45425 L
.51043 .45266 L
.51043 .45265 L
.50936 .45104 L
.50883 .4503 L
.50829 .44943 L
.50722 .44785 L
.50721 .44783 L
F
0 .4 1 r
.50722 .45346 m
.50788 .45425 L
.50883 .45519 L
.50935 .45586 L
.51043 .45706 L
.51075 .45746 L
.51204 .45898 L
.51211 .45907 L
.51338 .46067 L
.51364 .46097 L
.51465 .46228 L
.51525 .46298 L
.51593 .46388 L
.51686 .465 L
.51722 .46549 L
.51846 .46702 L
.51852 .46709 L
.51973 .4687 L
.52007 .4691 L
.52096 .4703 L
.52167 .47118 L
.5222 .47191 L
.52328 .47325 L
.52346 .47351 L
.52468 .47512 L
.52488 .47537 L
.52585 .47672 L
.52649 .47752 L
.52706 .47833 L
.52809 .47965 L
.52829 .47993 L
.52946 .48154 L
.5297 .48184 L
.53055 .48314 L
.5313 .48412 L
.53169 .48475 L
.5313 .48537 L
.5308 .48475 L
.5297 .48352 L
.5294 .48314 L
.52809 .4816 L
.52804 .48154 L
.52676 .47993 L
.52649 .47962 L
.52548 .47833 L
.52488 .47763 L
.52418 .47672 L
.52328 .47562 L
.52289 .47512 L
.52167 .4736 L
.52161 .47351 L
.52038 .47191 L
.52007 .47153 L
.51914 .4703 L
.51846 .46946 L
.51789 .4687 L
.51686 .46738 L
.51664 .46709 L
.51542 .46549 L
.51525 .46527 L
.51424 .46388 L
.51364 .46313 L
.51303 .46228 L
.51204 .46099 L
.51181 .46067 L
.51064 .45907 L
.51043 .45881 L
.50953 .45746 L
.50883 .45654 L
.50838 .45586 L
.50722 .45425 L
.50722 .45425 L
F
1 .54 0 r
.50722 .55795 m
.50746 .55859 L
.50722 .55859 L
.50722 .55859 L
F
0 .73 1 r
.50883 .50371 m
.50921 .50401 L
.51043 .50502 L
.51104 .50562 L
.51204 .5067 L
.5128 .50722 L
.51364 .50855 L
.51395 .50883 L
.51524 .51043 L
.51525 .51045 L
.51651 .51204 L
.51686 .5123 L
.51778 .51364 L
.51846 .51443 L
.51915 .51525 L
.52007 .5166 L
.52024 .51686 L
.52144 .51846 L
.52167 .51877 L
.52261 .52007 L
.52328 .52099 L
.52401 .52167 L
.52484 .52328 L
.52488 .52335 L
.52573 .52488 L
.52488 .52631 L
.52328 .52507 L
.52304 .52488 L
.52167 .52345 L
.52139 .52328 L
.52007 .52168 L
.52006 .52167 L
.51873 .52007 L
.51846 .51991 L
.51743 .51846 L
.51686 .51785 L
.51585 .51686 L
.51525 .51574 L
.51485 .51525 L
.51366 .51364 L
.51364 .51362 L
.51246 .51204 L
.51204 .51148 L
.51127 .51043 L
.51043 .50956 L
.50999 .50883 L
.50899 .50722 L
.50883 .50697 L
.508 .50562 L
.50727 .50401 L
F
1 .34 0 r
.50883 .51041 m
.50885 .51043 L
.51021 .51204 L
.51043 .5123 L
.51146 .51364 L
.51204 .51436 L
.51266 .51525 L
.51364 .5166 L
.51381 .51686 L
.51364 .51824 L
.51232 .51686 L
.51204 .51657 L
.51094 .51525 L
.51043 .51466 L
.50965 .51364 L
.50883 .51259 L
.50843 .51204 L
.50733 .51043 L
F
0 .72 1 r
.50883 .50379 m
.50912 .50401 L
.51043 .50507 L
.51099 .50562 L
.51204 .50674 L
.51276 .50722 L
.51364 .50858 L
.51392 .50883 L
.51521 .51043 L
.51525 .51048 L
.51649 .51204 L
.51686 .51232 L
.51775 .51364 L
.51846 .51446 L
.51913 .51525 L
.52007 .51663 L
.52022 .51686 L
.52142 .51846 L
.52167 .5188 L
.52259 .52007 L
.52328 .52103 L
.52397 .52167 L
.52479 .52328 L
.52488 .52342 L
.52567 .52488 L
.52488 .52622 L
.52328 .52503 L
.52309 .52488 L
.52167 .52342 L
.52145 .52328 L
.52009 .52167 L
.52007 .52164 L
.51876 .52007 L
.51846 .51989 L
.51745 .51846 L
.51686 .51782 L
.51588 .51686 L
.51525 .51571 L
.51487 .51525 L
.51368 .51364 L
.51364 .51359 L
.51248 .51204 L
.51204 .51145 L
.51129 .51043 L
.51043 .50951 L
.51002 .50883 L
.50903 .50722 L
.50883 .50692 L
.50805 .50562 L
.50738 .50401 L
F
0 .71 1 r
.50883 .50387 m
.50901 .50401 L
.51043 .50512 L
.51094 .50562 L
.51204 .50678 L
.51271 .50722 L
.51364 .50861 L
.51388 .50883 L
.51518 .51043 L
.51525 .51051 L
.51647 .51204 L
.51686 .51234 L
.51773 .51364 L
.51846 .51449 L
.5191 .51525 L
.52007 .51666 L
.5202 .51686 L
.52139 .51846 L
.52167 .51884 L
.52256 .52007 L
.52328 .52107 L
.52393 .52167 L
.52475 .52328 L
.52488 .52349 L
.52561 .52488 L
.52488 .52613 L
.52328 .52498 L
.52315 .52488 L
.52167 .52338 L
.5215 .52328 L
.52012 .52167 L
.52007 .52161 L
.51878 .52007 L
.51846 .51987 L
.51748 .51846 L
.51686 .5178 L
.5159 .51686 L
.51525 .51568 L
.5149 .51525 L
.51371 .51364 L
.51364 .51356 L
.51251 .51204 L
.51204 .51142 L
.51132 .51043 L
.51043 .50946 L
.51005 .50883 L
.50906 .50722 L
.50883 .50686 L
.5081 .50562 L
.5075 .50401 L
F
0 .7 1 r
.50883 .50396 m
.5089 .50401 L
.51043 .50517 L
.51089 .50562 L
.51204 .50682 L
.51266 .50722 L
.51364 .50864 L
.51385 .50883 L
.51516 .51043 L
.51525 .51055 L
.51644 .51204 L
.51686 .51237 L
.51771 .51364 L
.51846 .51452 L
.51908 .51525 L
.52007 .51669 L
.52018 .51686 L
.52137 .51846 L
.52167 .51887 L
.52253 .52007 L
.52328 .52111 L
.52389 .52167 L
.52471 .52328 L
.52488 .52357 L
.52555 .52488 L
.52488 .52604 L
.52328 .52493 L
.52322 .52488 L
.52167 .52335 L
.52156 .52328 L
.52016 .52167 L
.52007 .52157 L
.51881 .52007 L
.51846 .51985 L
.5175 .51846 L
.51686 .51777 L
.51592 .51686 L
.51525 .51565 L
.51492 .51525 L
.51373 .51364 L
.51364 .51353 L
.51253 .51204 L
.51204 .51139 L
.51134 .51043 L
.51043 .5094 L
.51009 .50883 L
.5091 .50722 L
.50883 .5068 L
.50814 .50562 L
.50765 .50401 L
F
0 .69 1 r
.50883 .50405 m
.51043 .50522 L
.51083 .50562 L
.51204 .50686 L
.51261 .50722 L
.51364 .50867 L
.51382 .50883 L
.51513 .51043 L
.51525 .51058 L
.51642 .51204 L
.51686 .51239 L
.51769 .51364 L
.51846 .51455 L
.51905 .51525 L
.52007 .51672 L
.52016 .51686 L
.52134 .51846 L
.52167 .5189 L
.52251 .52007 L
.52328 .52116 L
.52385 .52167 L
.52467 .52328 L
.52488 .52365 L
.52549 .52488 L
.52488 .52594 L
.52328 .52488 L
.52328 .52488 L
.52167 .52331 L
.52161 .52328 L
.52019 .52167 L
.52007 .52153 L
.51884 .52007 L
.51846 .51983 L
.51753 .51846 L
.51686 .51774 L
.51595 .51686 L
.51525 .51562 L
.51494 .51525 L
.51375 .51364 L
.51364 .51351 L
.51255 .51204 L
.51204 .51136 L
.51136 .51043 L
.51043 .50935 L
.51012 .50883 L
.50914 .50722 L
.50883 .50674 L
.50819 .50562 L
F
0 .68 1 r
.50883 .50414 m
.51043 .50528 L
.51078 .50562 L
.51204 .5069 L
.51255 .50722 L
.51364 .5087 L
.51379 .50883 L
.5151 .51043 L
.51525 .51061 L
.51639 .51204 L
.51686 .51241 L
.51766 .51364 L
.51846 .51458 L
.51903 .51525 L
.52007 .51676 L
.52013 .51686 L
.52132 .51846 L
.52167 .51894 L
.52248 .52007 L
.52328 .5212 L
.5238 .52167 L
.52462 .52328 L
.52488 .52373 L
.52542 .52488 L
.52488 .52584 L
.52336 .52488 L
.52328 .52482 L
.52167 .52328 L
.52167 .52327 L
.52023 .52167 L
.52007 .5215 L
.51887 .52007 L
.51846 .51981 L
.51755 .51846 L
.51686 .51771 L
.51597 .51686 L
.51525 .51559 L
.51497 .51525 L
.51378 .51364 L
.51364 .51348 L
.51258 .51204 L
.51204 .51132 L
.51139 .51043 L
.51043 .50929 L
.51016 .50883 L
.50917 .50722 L
.50883 .50667 L
.50824 .50562 L
F
0 .67 1 r
.50883 .50422 m
.51043 .50533 L
.51073 .50562 L
.51204 .50694 L
.5125 .50722 L
.51364 .50873 L
.51375 .50883 L
.51507 .51043 L
.51525 .51064 L
.51637 .51204 L
.51686 .51243 L
.51764 .51364 L
.51846 .51461 L
.51901 .51525 L
.52007 .51679 L
.52011 .51686 L
.52129 .51846 L
.52167 .51898 L
.52245 .52007 L
.52328 .52124 L
.52376 .52167 L
.52458 .52328 L
.52488 .52383 L
.52535 .52488 L
.52488 .52574 L
.52344 .52488 L
.52328 .52476 L
.52172 .52328 L
.52167 .52323 L
.52026 .52167 L
.52007 .52146 L
.5189 .52007 L
.51846 .51979 L
.51758 .51846 L
.51686 .51768 L
.516 .51686 L
.51525 .51556 L
.51499 .51525 L
.5138 .51364 L
.51364 .51345 L
.5126 .51204 L
.51204 .51129 L
.51141 .51043 L
.51043 .50923 L
.51019 .50883 L
.50921 .50722 L
.50883 .5066 L
.5083 .50562 L
F
.005 .83 1 r
.50883 .44158 m
.51019 .44301 L
.51043 .44326 L
.51165 .44462 L
.51204 .44504 L
.51307 .44622 L
.51364 .44635 L
.51446 .44783 L
.51525 .44865 L
.51583 .44943 L
.51686 .45065 L
.51726 .45104 L
.51846 .4526 L
.5185 .45265 L
.51982 .45425 L
.52007 .45443 L
.52113 .45586 L
.52167 .45648 L
.52269 .45746 L
.52328 .45852 L
.52374 .45907 L
.52488 .46054 L
.52497 .46067 L
.52629 .46228 L
.52649 .46247 L
.52803 .46388 L
.52809 .46453 L
.52893 .46549 L
.5297 .46661 L
.53005 .46709 L
.5313 .46864 L
.53132 .4687 L
.53263 .4703 L
.53291 .47062 L
.53408 .47191 L
.53451 .47272 L
.53514 .47351 L
.53612 .47481 L
.5363 .47512 L
.53764 .47672 L
.53772 .4768 L
.53924 .47833 L
.53933 .47887 L
.54022 .47993 L
.54093 .48098 L
.54132 .48154 L
.54254 .48306 L
.54256 .48314 L
.54386 .48475 L
.54414 .48506 L
.5453 .48636 L
.54575 .48718 L
.54635 .48796 L
.54735 .48929 L
.5475 .48957 L
.54882 .49117 L
.54896 .49128 L
.55042 .49278 L
.55057 .49338 L
.55139 .49438 L
.55217 .49552 L
.55249 .49599 L
.55376 .49759 L
.55378 .49759 L
.55498 .4992 L
.55538 .4996 L
.55644 .5008 L
.55699 .50176 L
.55747 .50241 L
.55859 .50389 L
.55865 .50401 L
.5599 .50562 L
.5602 .50582 L
.56155 .50722 L
.5618 .50801 L
.56247 .50883 L
.56341 .51018 L
.56358 .51043 L
.56481 .51204 L
.56501 .5123 L
.56602 .51364 L
.56662 .51424 L
.56748 .51525 L
.56822 .51647 L
.56851 .51686 L
.56969 .51846 L
.56983 .51863 L
.5709 .52007 L
.57143 .52045 L
.57254 .52167 L
.57304 .52279 L
.57342 .52328 L
.57455 .52488 L
.57464 .525 L
.57574 .52649 L
.57625 .52715 L
.57694 .52809 L
.57785 .52914 L
.57831 .5297 L
.57935 .5313 L
.57946 .53144 L
.58052 .53291 L
.58106 .53363 L
.5817 .53451 L
.58267 .53558 L
.5831 .53612 L
.58406 .53772 L
.58428 .53801 L
.58519 .53933 L
.58588 .54027 L
.58633 .54093 L
.58749 .54253 L
.58749 .54254 L
.58852 .54414 L
.58909 .54496 L
.58955 .54575 L
.58909 .54697 L
.58791 .54575 L
.58749 .54533 L
.58641 .54414 L
.58588 .54358 L
.58496 .54254 L
.58428 .54216 L
.58356 .54093 L
.58267 .53997 L
.58171 .53933 L
.58106 .538 L
.58078 .53772 L
.57949 .53612 L
.57946 .53608 L
.57817 .53451 L
.57785 .53424 L
.57685 .53291 L
.57625 .5322 L
.57536 .5313 L
.57464 .53016 L
.57426 .5297 L
.57304 .52817 L
.573 .52809 L
.57167 .52649 L
.57143 .52623 L
.57004 .52488 L
.56983 .52417 L
.56907 .52328 L
.56822 .5221 L
.56793 .52167 L
.56662 .52009 L
.56658 .52007 L
.56532 .51846 L
.56501 .51809 L
.56392 .51686 L
.56341 .516 L
.56284 .51525 L
.5618 .51392 L
.56167 .51364 L
.5603 .51204 L
.5602 .51193 L
.55879 .51043 L
.55859 .50986 L
.55776 .50883 L
.55699 .50774 L
.55665 .50722 L
.55538 .50569 L
.55531 .50562 L
.55407 .50401 L
.55378 .50367 L
.55269 .50241 L
.55217 .50156 L
.55161 .5008 L
.55057 .49945 L
.55045 .4992 L
.54911 .49759 L
.54896 .49745 L
.5476 .49599 L
.54735 .49535 L
.54659 .49438 L
.54575 .49322 L
.54547 .49278 L
.54417 .49117 L
.54414 .49116 L
.54294 .48957 L
.54254 .48913 L
.54155 .48796 L
.54093 .48698 L
.54048 .48636 L
.53933 .48486 L
.53928 .48475 L
.53802 .48314 L
.53772 .4829 L
.53648 .48154 L
.53612 .48073 L
.5355 .47993 L
.53451 .47857 L
.53436 .47833 L
.53312 .47672 L
.53291 .47667 L
.5319 .47512 L
.5313 .47448 L
.5305 .47351 L
.5297 .47227 L
.52944 .47191 L
.52823 .4703 L
.52809 .47013 L
.52702 .4687 L
.52649 .46825 L
.52547 .46709 L
.52488 .46596 L
.52452 .46549 L
.52337 .46388 L
.52328 .46376 L
.52218 .46228 L
.52167 .46161 L
.52098 .46067 L
.52007 .4596 L
.51964 .45907 L
.51857 .45746 L
.51846 .45732 L
.5174 .45586 L
.51686 .45514 L
.51621 .45425 L
.51525 .45316 L
.51484 .45265 L
.51385 .45104 L
.51364 .45077 L
.51271 .44943 L
.51204 .44852 L
.51156 .44783 L
.51043 .44627 L
.5104 .44622 L
.50935 .44462 L
.50883 .44388 L
.5083 .44301 L
F
0 .66 1 r
.50883 .50432 m
.51043 .50539 L
.51067 .50562 L
.51204 .50698 L
.51244 .50722 L
.51364 .50877 L
.51372 .50883 L
.51505 .51043 L
.51525 .51067 L
.51634 .51204 L
.51686 .51246 L
.51762 .51364 L
.51846 .51464 L
.51898 .51525 L
.52007 .51682 L
.52009 .51686 L
.52127 .51846 L
.52167 .51901 L
.52242 .52007 L
.52328 .52129 L
.52371 .52167 L
.52453 .52328 L
.52488 .52393 L
.52527 .52488 L
.52488 .52562 L
.52353 .52488 L
.52328 .5247 L
.52177 .52328 L
.52167 .52318 L
.5203 .52167 L
.52007 .52142 L
.51892 .52007 L
.51846 .51977 L
.5176 .51846 L
.51686 .51765 L
.51602 .51686 L
.51525 .51553 L
.51501 .51525 L
.51382 .51364 L
.51364 .51342 L
.51262 .51204 L
.51204 .51126 L
.51144 .51043 L
.51043 .50917 L
.51023 .50883 L
.50925 .50722 L
.50883 .50653 L
.50835 .50562 L
F
.289 .96 1 r
.50883 .48365 m
.50989 .48475 L
.51043 .48534 L
.51131 .48636 L
.51204 .48722 L
.51264 .48796 L
.51364 .48904 L
.51389 .48957 L
.51507 .49117 L
.51525 .49144 L
.51616 .49278 L
.51686 .49405 L
.51701 .49438 L
.51686 .49502 L
.51573 .49438 L
.51525 .49394 L
.51419 .49278 L
.51364 .49216 L
.51287 .49117 L
.51204 .49015 L
.51161 .48957 L
.51043 .48802 L
.51039 .48796 L
.50932 .48636 L
.50883 .48561 L
.50835 .48475 L
F
1 .57 0 r
.50883 .44845 m
.50971 .44943 L
.51043 .45018 L
.51116 .45104 L
.51204 .45201 L
.51257 .45265 L
.51364 .4536 L
.51394 .45425 L
.51525 .45579 L
.51533 .45586 L
.5166 .45746 L
.51686 .45776 L
.51791 .45907 L
.51846 .45973 L
.51921 .46067 L
.52007 .4615 L
.52052 .46228 L
.52167 .46368 L
.52188 .46388 L
.52308 .46549 L
.52328 .46572 L
.52435 .46709 L
.52488 .46727 L
.52562 .4687 L
.52649 .46966 L
.52718 .4703 L
.52809 .47181 L
.52818 .47191 L
.5294 .47351 L
.5297 .47388 L
.53065 .47512 L
.5313 .47566 L
.53191 .47672 L
.53291 .47793 L
.53327 .47833 L
.53441 .47993 L
.53451 .48007 L
.53563 .48154 L
.53612 .48215 L
.53687 .48314 L
.53772 .48408 L
.53839 .48475 L
.53933 .48631 L
.53937 .48636 L
.54057 .48796 L
.54093 .48842 L
.54179 .48957 L
.54254 .4902 L
.54303 .49117 L
.54414 .49258 L
.54431 .49278 L
.54546 .49438 L
.54575 .49475 L
.54666 .49599 L
.54735 .49688 L
.54788 .49759 L
.54896 .49891 L
.54922 .4992 L
.55029 .5008 L
.55057 .50115 L
.55147 .50241 L
.55217 .50332 L
.55267 .50401 L
.55378 .50535 L
.55388 .50562 L
.55503 .50722 L
.55538 .50769 L
.55617 .50883 L
.55699 .50992 L
.55734 .51043 L
.55849 .51204 L
.55859 .51217 L
.55953 .51364 L
.5602 .51459 L
.56058 .51525 L
.5602 .51609 L
.55943 .51525 L
.55859 .5144 L
.55794 .51364 L
.55699 .51259 L
.55652 .51204 L
.55538 .51092 L
.55513 .51043 L
.55378 .50883 L
.55378 .50882 L
.55246 .50722 L
.55217 .50688 L
.55114 .50562 L
.55057 .50493 L
.54982 .50401 L
.54896 .50311 L
.54852 .50241 L
.54735 .50098 L
.54718 .5008 L
.54595 .4992 L
.54575 .49896 L
.54467 .49759 L
.54414 .4973 L
.54339 .49599 L
.54254 .49501 L
.54189 .49438 L
.54093 .49289 L
.54084 .49278 L
.5396 .49117 L
.53933 .49083 L
.53834 .48957 L
.53772 .48899 L
.53653 .48796 L
.53612 .48677 L
.53575 .48636 L
.53459 .48475 L
.53451 .48466 L
.53335 .48314 L
.53291 .48299 L
.53211 .48154 L
.5313 .48062 L
.53065 .47993 L
.5297 .47843 L
.52962 .47833 L
.52841 .47672 L
.52809 .47632 L
.52719 .47512 L
.52649 .47447 L
.52548 .47351 L
.52488 .47215 L
.52468 .47191 L
.52352 .4703 L
.52328 .46999 L
.52231 .4687 L
.52167 .46787 L
.52109 .46709 L
.52007 .46583 L
.51976 .46549 L
.51869 .46388 L
.51846 .46359 L
.5175 .46228 L
.51686 .46143 L
.51631 .46067 L
.51525 .4594 L
.51494 .45907 L
.51395 .45746 L
.51364 .45706 L
.5128 .45586 L
.51204 .45483 L
.51164 .45425 L
.51048 .45265 L
.51043 .45258 L
.50943 .45104 L
.50883 .45019 L
.50837 .44943 L
F
0 .65 1 r
.50883 .50441 m
.51043 .50544 L
.51061 .50562 L
.51204 .50702 L
.51238 .50722 L
.51364 .5088 L
.51368 .50883 L
.51502 .51043 L
.51525 .51071 L
.51632 .51204 L
.51686 .51248 L
.51759 .51364 L
.51846 .51467 L
.51895 .51525 L
.52007 .51685 L
.52007 .51686 L
.52124 .51846 L
.52167 .51905 L
.5224 .52007 L
.52328 .52133 L
.52366 .52167 L
.52448 .52328 L
.52488 .52405 L
.52519 .52488 L
.52488 .5255 L
.52363 .52488 L
.52328 .52463 L
.52182 .52328 L
.52167 .52314 L
.52033 .52167 L
.52007 .52138 L
.51895 .52007 L
.51846 .51975 L
.51763 .51846 L
.51686 .51762 L
.51605 .51686 L
.51525 .5155 L
.51504 .51525 L
.51384 .51364 L
.51364 .51339 L
.51265 .51204 L
.51204 .51123 L
.51146 .51043 L
.51043 .50911 L
.51027 .50883 L
.50929 .50722 L
.50883 .50645 L
.5084 .50562 L
F
.004 .82 1 r
.50883 .44181 m
.51001 .44301 L
.51043 .44342 L
.51152 .44462 L
.51204 .44517 L
.51297 .44622 L
.51364 .44643 L
.51438 .44783 L
.51525 .44874 L
.51576 .44943 L
.51686 .45073 L
.51718 .45104 L
.51844 .45265 L
.51846 .45267 L
.51976 .45425 L
.52007 .45447 L
.52108 .45586 L
.52167 .45654 L
.52265 .45746 L
.52328 .45858 L
.5237 .45907 L
.52488 .46058 L
.52494 .46067 L
.52625 .46228 L
.52649 .46251 L
.52802 .46388 L
.52809 .46457 L
.5289 .46549 L
.5297 .46665 L
.53002 .46709 L
.5313 .46866 L
.53131 .4687 L
.5326 .4703 L
.53291 .47066 L
.53406 .47191 L
.53451 .47275 L
.53512 .47351 L
.53612 .47484 L
.53628 .47512 L
.53762 .47672 L
.53772 .47682 L
.53924 .47833 L
.53933 .4789 L
.5402 .47993 L
.54093 .48101 L
.54131 .48154 L
.54254 .48308 L
.54255 .48314 L
.54384 .48475 L
.54414 .48508 L
.54529 .48636 L
.54575 .4872 L
.54634 .48796 L
.54735 .48931 L
.54749 .48957 L
.5488 .49117 L
.54896 .4913 L
.55042 .49278 L
.55057 .49341 L
.55137 .49438 L
.55217 .49554 L
.55247 .49599 L
.55374 .49759 L
.55378 .4976 L
.55497 .4992 L
.55538 .49962 L
.55642 .5008 L
.55699 .50178 L
.55746 .50241 L
.55859 .50392 L
.55864 .50401 L
.55988 .50562 L
.5602 .50584 L
.56154 .50722 L
.5618 .50803 L
.56245 .50883 L
.56341 .5102 L
.56356 .51043 L
.56479 .51204 L
.56501 .51233 L
.566 .51364 L
.56662 .51427 L
.56746 .51525 L
.56822 .5165 L
.56848 .51686 L
.56967 .51846 L
.56983 .51866 L
.57087 .52007 L
.57143 .52048 L
.57251 .52167 L
.57304 .52283 L
.57339 .52328 L
.57452 .52488 L
.57464 .52504 L
.5757 .52649 L
.57625 .5272 L
.57691 .52809 L
.57785 .52919 L
.57826 .5297 L
.57931 .5313 L
.57946 .53149 L
.58048 .53291 L
.58106 .53368 L
.58166 .53451 L
.58267 .53568 L
.58302 .53612 L
.584 .53772 L
.58428 .53809 L
.58512 .53933 L
.58588 .54036 L
.58626 .54093 L
.58739 .54254 L
.58749 .54267 L
.5884 .54414 L
.58909 .54518 L
.5894 .54575 L
.58909 .5467 L
.58812 .54575 L
.58749 .54515 L
.58655 .54414 L
.58588 .54344 L
.58508 .54254 L
.58428 .54205 L
.58365 .54093 L
.58267 .53987 L
.58184 .53933 L
.58106 .53791 L
.58087 .53772 L
.57956 .53612 L
.57946 .536 L
.57823 .53451 L
.57785 .53419 L
.5769 .53291 L
.57625 .53213 L
.57541 .5313 L
.57464 .53011 L
.5743 .5297 L
.57304 .52813 L
.57302 .52809 L
.57171 .52649 L
.57143 .52618 L
.57006 .52488 L
.56983 .52412 L
.5691 .52328 L
.56822 .52206 L
.56796 .52167 L
.56662 .52007 L
.56662 .52007 L
.56535 .51846 L
.56501 .51806 L
.56394 .51686 L
.56341 .51596 L
.56286 .51525 L
.5618 .51389 L
.56169 .51364 L
.56033 .51204 L
.5602 .51191 L
.5588 .51043 L
.55859 .50983 L
.55778 .50883 L
.55699 .50772 L
.55666 .50722 L
.55538 .50566 L
.55533 .50562 L
.55409 .50401 L
.55378 .50365 L
.55271 .50241 L
.55217 .50153 L
.55163 .5008 L
.55057 .49943 L
.55046 .4992 L
.54913 .49759 L
.54896 .49743 L
.54761 .49599 L
.54735 .49533 L
.5466 .49438 L
.54575 .49319 L
.54549 .49278 L
.54419 .49117 L
.54414 .49115 L
.54296 .48957 L
.54254 .48911 L
.54157 .48796 L
.54093 .48695 L
.5405 .48636 L
.53933 .48483 L
.53929 .48475 L
.53804 .48314 L
.53772 .48288 L
.53649 .48154 L
.53612 .4807 L
.53551 .47993 L
.53451 .47854 L
.53438 .47833 L
.53314 .47672 L
.53291 .47666 L
.53192 .47512 L
.5313 .47445 L
.53052 .47351 L
.5297 .47224 L
.52946 .47191 L
.52825 .4703 L
.52809 .47009 L
.52705 .4687 L
.52649 .46822 L
.5255 .46709 L
.52488 .46592 L
.52455 .46549 L
.5234 .46388 L
.52328 .46372 L
.52221 .46228 L
.52167 .46157 L
.52101 .46067 L
.52007 .45955 L
.51968 .45907 L
.51861 .45746 L
.51846 .45727 L
.51744 .45586 L
.51686 .45509 L
.51625 .45425 L
.51525 .45307 L
.51492 .45265 L
.51391 .45104 L
.51364 .45069 L
.51278 .44943 L
.51204 .44843 L
.51163 .44783 L
.51049 .44622 L
.51043 .44615 L
.50946 .44462 L
.50883 .44369 L
.50843 .44301 L
F
1 .56 0 r
.50883 .44857 m
.50961 .44943 L
.51043 .45027 L
.51109 .45104 L
.51204 .45208 L
.51251 .45265 L
.51364 .45369 L
.51389 .45425 L
.51525 .45586 L
.51525 .45586 L
.51656 .45746 L
.51686 .45781 L
.51787 .45907 L
.51846 .45977 L
.51918 .46067 L
.52007 .46155 L
.52049 .46228 L
.52167 .46372 L
.52183 .46388 L
.52305 .46549 L
.52328 .46576 L
.52432 .46709 L
.52488 .46729 L
.52559 .4687 L
.52649 .46969 L
.52715 .4703 L
.52809 .47184 L
.52815 .47191 L
.52938 .47351 L
.5297 .47391 L
.53063 .47512 L
.5313 .47569 L
.53189 .47672 L
.53291 .47797 L
.53324 .47833 L
.53438 .47993 L
.53451 .4801 L
.53561 .48154 L
.53612 .48218 L
.53685 .48314 L
.53772 .48411 L
.53836 .48475 L
.53933 .48634 L
.53934 .48636 L
.54055 .48796 L
.54093 .48845 L
.54177 .48957 L
.54254 .49023 L
.543 .49117 L
.54414 .49262 L
.54428 .49278 L
.54544 .49438 L
.54575 .49478 L
.54664 .49599 L
.54735 .49691 L
.54786 .49759 L
.54896 .49895 L
.54918 .4992 L
.55027 .5008 L
.55057 .50119 L
.55144 .50241 L
.55217 .50336 L
.55264 .50401 L
.55378 .50543 L
.55385 .50562 L
.55499 .50722 L
.55538 .50774 L
.55613 .50883 L
.55699 .50998 L
.5573 .51043 L
.55843 .51204 L
.55859 .51226 L
.55946 .51364 L
.5602 .51471 L
.56049 .51525 L
.5602 .51594 L
.55954 .51525 L
.55859 .5143 L
.55802 .51364 L
.55699 .51252 L
.55658 .51204 L
.55538 .51083 L
.55519 .51043 L
.55383 .50883 L
.55378 .50876 L
.55251 .50722 L
.55217 .50683 L
.55118 .50562 L
.55057 .50488 L
.54986 .50401 L
.54896 .50306 L
.54855 .50241 L
.54735 .50094 L
.54722 .5008 L
.54598 .4992 L
.54575 .49892 L
.5447 .49759 L
.54414 .49728 L
.54342 .49599 L
.54254 .49497 L
.54193 .49438 L
.54093 .49285 L
.54087 .49278 L
.53963 .49117 L
.53933 .4908 L
.53837 .48957 L
.53772 .48896 L
.53656 .48796 L
.53612 .48674 L
.53578 .48636 L
.53461 .48475 L
.53451 .48463 L
.53338 .48314 L
.53291 .48298 L
.53213 .48154 L
.5313 .48059 L
.53068 .47993 L
.5297 .47839 L
.52965 .47833 L
.52844 .47672 L
.52809 .47629 L
.52721 .47512 L
.52649 .47444 L
.52551 .47351 L
.52488 .47212 L
.52471 .47191 L
.52354 .4703 L
.52328 .46996 L
.52234 .4687 L
.52167 .46783 L
.52112 .46709 L
.52007 .46578 L
.5198 .46549 L
.51872 .46388 L
.51846 .46355 L
.51753 .46228 L
.51686 .46138 L
.51634 .46067 L
.51525 .45933 L
.51501 .45907 L
.51399 .45746 L
.51364 .457 L
.51284 .45586 L
.51204 .45477 L
.51168 .45425 L
.51054 .45265 L
.51043 .4525 L
.5095 .45104 L
.50883 .45008 L
.50845 .44943 L
F
0 .64 1 r
.50883 .50451 m
.51043 .5055 L
.51055 .50562 L
.51204 .50706 L
.51231 .50722 L
.51364 .50883 L
.51364 .50883 L
.51499 .51043 L
.51525 .51074 L
.51629 .51204 L
.51686 .51251 L
.51757 .51364 L
.51846 .5147 L
.51893 .51525 L
.52004 .51686 L
.52007 .51689 L
.52122 .51846 L
.52167 .51908 L
.52237 .52007 L
.52328 .52138 L
.52361 .52167 L
.52443 .52328 L
.52488 .52419 L
.52511 .52488 L
.52488 .52536 L
.52374 .52488 L
.52328 .52457 L
.52187 .52328 L
.52167 .52309 L
.52037 .52167 L
.52007 .52135 L
.51898 .52007 L
.51846 .51972 L
.51765 .51846 L
.51686 .51759 L
.51608 .51686 L
.51525 .51547 L
.51506 .51525 L
.51387 .51364 L
.51364 .51336 L
.51267 .51204 L
.51204 .51119 L
.51149 .51043 L
.51043 .50904 L
.51031 .50883 L
.50933 .50722 L
.50883 .50637 L
.50846 .50562 L
F
0 .39 1 r
.50883 .4553 m
.50926 .45586 L
.51043 .45714 L
.51068 .45746 L
.51204 .45905 L
.51205 .45907 L
.51332 .46067 L
.51364 .46104 L
.51459 .46228 L
.51525 .46304 L
.51588 .46388 L
.51686 .46505 L
.51718 .46549 L
.51846 .46707 L
.51848 .46709 L
.51968 .4687 L
.52007 .46915 L
.52091 .4703 L
.52167 .47123 L
.52216 .47191 L
.52328 .47331 L
.52343 .47351 L
.52463 .47512 L
.52488 .47543 L
.5258 .47672 L
.52649 .47758 L
.52701 .47833 L
.52809 .47972 L
.52824 .47993 L
.52809 .48153 L
.52683 .47993 L
.52649 .47955 L
.52554 .47833 L
.52488 .47756 L
.52424 .47672 L
.52328 .47556 L
.52294 .47512 L
.52167 .47354 L
.52165 .47351 L
.52043 .47191 L
.52007 .47147 L
.51919 .4703 L
.51846 .4694 L
.51794 .4687 L
.51686 .46732 L
.51668 .46709 L
.51548 .46549 L
.51525 .46521 L
.51429 .46388 L
.51364 .46306 L
.51308 .46228 L
.51204 .46092 L
.51186 .46067 L
.51071 .45907 L
.51043 .45871 L
.50961 .45746 L
.50883 .45643 L
.50847 .45586 L
F
1 .33 0 r
.50883 .51047 m
.51016 .51204 L
.51043 .51235 L
.51142 .51364 L
.51204 .51442 L
.51262 .51525 L
.51364 .51667 L
.51376 .51686 L
.51364 .51815 L
.51238 .51686 L
.51204 .51651 L
.51099 .51525 L
.51043 .51461 L
.50969 .51364 L
.50883 .51254 L
.50847 .51204 L
F
1 .82 .004 r
.50883 .5465 m
.50955 .54735 L
.51043 .54833 L
.51096 .54896 L
.51204 .55022 L
.51232 .55057 L
.51364 .55215 L
.51365 .55217 L
.51494 .55378 L
.51525 .55414 L
.51624 .55538 L
.51686 .55613 L
.51754 .55699 L
.51846 .55813 L
.51883 .55859 L
.52007 .56013 L
.52016 .5602 L
.52134 .5618 L
.52167 .5622 L
.5226 .56341 L
.52328 .56426 L
.52386 .56501 L
.52488 .56602 L
.52511 .56662 L
.52634 .56822 L
.52649 .56841 L
.52755 .56983 L
.52809 .57051 L
.52878 .57143 L
.5297 .57262 L
.53001 .57304 L
.53122 .57464 L
.5313 .57475 L
.53239 .57625 L
.53291 .57692 L
.53358 .57785 L
.53451 .57909 L
.53478 .57946 L
.53593 .58106 L
.53612 .58131 L
.53703 .58267 L
.53772 .58361 L
.53815 .58428 L
.53772 .58503 L
.53711 .58428 L
.53612 .5832 L
.5357 .58267 L
.53451 .5813 L
.53433 .58106 L
.533 .57946 L
.53291 .57936 L
.53173 .57785 L
.5313 .57736 L
.53045 .57625 L
.5297 .57535 L
.52916 .57464 L
.52809 .57334 L
.52786 .57304 L
.52659 .57143 L
.52649 .57131 L
.52536 .56983 L
.52488 .56924 L
.52412 .56822 L
.52328 .56718 L
.52286 .56662 L
.52167 .56513 L
.52159 .56501 L
.52038 .56341 L
.52007 .56302 L
.51917 .5618 L
.51846 .56092 L
.51794 .5602 L
.51686 .55882 L
.51669 .55859 L
.51549 .55699 L
.51525 .55669 L
.51432 .55538 L
.51364 .55452 L
.51313 .55378 L
.51204 .55237 L
.5119 .55217 L
.51075 .55057 L
.51043 .55016 L
.50965 .54896 L
.50883 .54788 L
.50851 .54735 L
F
1 .32 0 r
.50883 .51054 m
.51011 .51204 L
.51043 .51241 L
.51138 .51364 L
.51204 .51448 L
.51258 .51525 L
.51364 .51674 L
.51371 .51686 L
.51364 .51805 L
.51245 .51686 L
.51204 .51645 L
.51104 .51525 L
.51043 .51455 L
.50974 .51364 L
.50883 .51248 L
.50852 .51204 L
F
0 .63 1 r
.50883 .50462 m
.51043 .50556 L
.51049 .50562 L
.51204 .5071 L
.51225 .50722 L
.51361 .50883 L
.51364 .50887 L
.51496 .51043 L
.51525 .51077 L
.51627 .51204 L
.51686 .51253 L
.51755 .51364 L
.51846 .51473 L
.5189 .51525 L
.52002 .51686 L
.52007 .51692 L
.52119 .51846 L
.52167 .51912 L
.52234 .52007 L
.52328 .52142 L
.52356 .52167 L
.52438 .52328 L
.52488 .52436 L
.52501 .52488 L
.52488 .52519 L
.52387 .52488 L
.52328 .52451 L
.52192 .52328 L
.52167 .52305 L
.5204 .52167 L
.52007 .52131 L
.51901 .52007 L
.51846 .5197 L
.51768 .51846 L
.51686 .51756 L
.51611 .51686 L
.51525 .51544 L
.51509 .51525 L
.51389 .51364 L
.51364 .51332 L
.51269 .51204 L
.51204 .51116 L
.51151 .51043 L
.51043 .50897 L
.51035 .50883 L
.50937 .50722 L
.50883 .50628 L
.50852 .50562 L
F
.212 .95 1 r
.50883 .5396 m
.51005 .54093 L
.51043 .54134 L
.51148 .54254 L
.51204 .54316 L
.51288 .54414 L
.51364 .54504 L
.51424 .54575 L
.51525 .54688 L
.51605 .54735 L
.51686 .54891 L
.51691 .54896 L
.51821 .55057 L
.51846 .55086 L
.51953 .55217 L
.52007 .5526 L
.52084 .55378 L
.52167 .55478 L
.52229 .55538 L
.52328 .55682 L
.52341 .55699 L
.5247 .55859 L
.52488 .55882 L
.52598 .5602 L
.52649 .56073 L
.52768 .5618 L
.52809 .56285 L
.52856 .56341 L
.5297 .5649 L
.52976 .56501 L
.53106 .56662 L
.5313 .56678 L
.53233 .56822 L
.53291 .56892 L
.53372 .56983 L
.53451 .57104 L
.5348 .57143 L
.53608 .57304 L
.53612 .57309 L
.53733 .57464 L
.53772 .57505 L
.53891 .57625 L
.53933 .5772 L
.53984 .57785 L
.54093 .57932 L
.54102 .57946 L
.54228 .58106 L
.54254 .5812 L
.54352 .58267 L
.54414 .58341 L
.54488 .58428 L
.54575 .58558 L
.54596 .58588 L
.5472 .58749 L
.54735 .58769 L
.54842 .58909 L
.54896 .58962 L
.54997 .5907 L
.55057 .59188 L
.55089 .5923 L
.55206 .59391 L
.55217 .59405 L
.55327 .59551 L
.55378 .59578 L
.55447 .59712 L
.55538 .59824 L
.55577 .59872 L
.55686 .60033 L
.55699 .60049 L
.55804 .60193 L
.55859 .60267 L
.55923 .60354 L
.5602 .60472 L
.56056 .60514 L
.56155 .60675 L
.5618 .60709 L
.56269 .60835 L
.56341 .60934 L
.56384 .60996 L
.56496 .61156 L
.56501 .61164 L
.56599 .61317 L
.56662 .61409 L
.56703 .61477 L
.56662 .61572 L
.56575 .61477 L
.56501 .61404 L
.56427 .61317 L
.56341 .61223 L
.56286 .61156 L
.5618 .61037 L
.56147 .60996 L
.5602 .6085 L
.55999 .60835 L
.5588 .60675 L
.55859 .60651 L
.5575 .60514 L
.55699 .60454 L
.5562 .60354 L
.55538 .60284 L
.55489 .60193 L
.55378 .60061 L
.55347 .60033 L
.55232 .59872 L
.55217 .59854 L
.55106 .59712 L
.55057 .59651 L
.54979 .59551 L
.54896 .59466 L
.54807 .59391 L
.54735 .59247 L
.5472 .5923 L
.546 .5907 L
.54575 .59039 L
.54476 .58909 L
.54414 .58869 L
.5435 .58749 L
.54254 .58637 L
.54205 .58588 L
.54098 .58428 L
.54093 .58421 L
.53976 .58267 L
.53933 .58213 L
.53853 .58106 L
.53772 .58027 L
.53686 .57946 L
.53612 .57801 L
.53598 .57785 L
.5348 .57625 L
.53451 .57589 L
.53358 .57464 L
.53291 .57423 L
.53235 .57304 L
.5313 .5718 L
.53096 .57143 L
.52987 .56983 L
.5297 .56961 L
.52867 .56822 L
.52809 .56749 L
.52744 .56662 L
.52649 .56559 L
.52592 .56501 L
.52497 .56341 L
.52488 .56329 L
.52379 .5618 L
.52328 .56115 L
.52258 .5602 L
.52167 .55903 L
.52135 .55859 L
.52012 .55699 L
.52007 .55691 L
.51895 .55538 L
.51846 .55475 L
.51776 .55378 L
.51686 .5526 L
.51655 .55217 L
.51534 .55057 L
.51525 .55045 L
.5142 .54896 L
.51364 .54823 L
.51304 .54735 L
.51204 .54603 L
.51185 .54575 L
.51071 .54414 L
.51043 .54377 L
.50963 .54254 L
.50883 .54143 L
.50853 .54093 L
F
1 .55 0 r
.50883 .44872 m
.50949 .44943 L
.51043 .45036 L
.51102 .45104 L
.51204 .45215 L
.51245 .45265 L
.51364 .4538 L
.51385 .45425 L
.5152 .45586 L
.51525 .45591 L
.51651 .45746 L
.51686 .45786 L
.51783 .45907 L
.51846 .45981 L
.51914 .46067 L
.52007 .4616 L
.52045 .46228 L
.52167 .46376 L
.52179 .46388 L
.52302 .46549 L
.52328 .46579 L
.52429 .46709 L
.52488 .46732 L
.52557 .4687 L
.52649 .46973 L
.52711 .4703 L
.52809 .47188 L
.52812 .47191 L
.52935 .47351 L
.5297 .47394 L
.53061 .47512 L
.5313 .47572 L
.53186 .47672 L
.53291 .478 L
.53321 .47833 L
.53436 .47993 L
.53451 .48012 L
.53559 .48154 L
.53612 .48221 L
.53683 .48314 L
.53772 .48414 L
.53833 .48475 L
.53932 .48636 L
.53933 .48637 L
.54053 .48796 L
.54093 .48848 L
.54175 .48957 L
.54254 .49027 L
.54298 .49117 L
.54414 .49265 L
.54425 .49278 L
.54541 .49438 L
.54575 .49481 L
.54662 .49599 L
.54735 .49694 L
.54783 .49759 L
.54896 .499 L
.54914 .4992 L
.55024 .5008 L
.55057 .50123 L
.55141 .50241 L
.55217 .5034 L
.55261 .50401 L
.55378 .50551 L
.55382 .50562 L
.55495 .50722 L
.55538 .50779 L
.55609 .50883 L
.55699 .51004 L
.55725 .51043 L
.55837 .51204 L
.55859 .51235 L
.55937 .51364 L
.5602 .51488 L
.56038 .51525 L
.5602 .51577 L
.55968 .51525 L
.55859 .5142 L
.5581 .51364 L
.55699 .51244 L
.55664 .51204 L
.55538 .51072 L
.55524 .51043 L
.55389 .50883 L
.55378 .50871 L
.55255 .50722 L
.55217 .50678 L
.55122 .50562 L
.55057 .50484 L
.5499 .50401 L
.54896 .50301 L
.54858 .50241 L
.54735 .5009 L
.54726 .5008 L
.54601 .4992 L
.54575 .49888 L
.54473 .49759 L
.54414 .49725 L
.54345 .49599 L
.54254 .49493 L
.54196 .49438 L
.54093 .49282 L
.5409 .49278 L
.53965 .49117 L
.53933 .49077 L
.53839 .48957 L
.53772 .48893 L
.53659 .48796 L
.53612 .4867 L
.53581 .48636 L
.53464 .48475 L
.53451 .48459 L
.5334 .48314 L
.53291 .48296 L
.53216 .48154 L
.5313 .48055 L
.53071 .47993 L
.5297 .47836 L
.52967 .47833 L
.52846 .47672 L
.52809 .47625 L
.52723 .47512 L
.52649 .47441 L
.52555 .47351 L
.52488 .47208 L
.52474 .47191 L
.52357 .4703 L
.52328 .46993 L
.52236 .4687 L
.52167 .4678 L
.52115 .46709 L
.52007 .46574 L
.51985 .46549 L
.51875 .46388 L
.51846 .46351 L
.51756 .46228 L
.51686 .46134 L
.51637 .46067 L
.51525 .45925 L
.51508 .45907 L
.51403 .45746 L
.51364 .45695 L
.51289 .45586 L
.51204 .45471 L
.51173 .45425 L
.51061 .45265 L
.51043 .45241 L
.50958 .45104 L
.50883 .44995 L
.50854 .44943 L
F
1 .31 0 r
.50883 .51061 m
.51005 .51204 L
.51043 .51247 L
.51133 .51364 L
.51204 .51454 L
.51253 .51525 L
.51364 .51682 L
.51366 .51686 L
.51364 .51794 L
.51253 .51686 L
.51204 .51638 L
.51109 .51525 L
.51043 .5145 L
.50978 .51364 L
.50883 .51242 L
.50856 .51204 L
F
0 .38 1 r
.50883 .45544 m
.50916 .45586 L
.51043 .45723 L
.51061 .45746 L
.51043 .45861 L
.5097 .45746 L
.50883 .45629 L
.50857 .45586 L
F
0 .62 1 r
.50883 .50474 m
.51042 .50562 L
.51043 .50563 L
.51204 .50714 L
.51218 .50722 L
.51358 .50883 L
.51364 .5089 L
.51493 .51043 L
.51525 .5108 L
.51624 .51204 L
.51686 .51256 L
.51752 .51364 L
.51846 .51477 L
.51887 .51525 L
.51999 .51686 L
.52007 .51695 L
.52116 .51846 L
.52167 .51916 L
.52231 .52007 L
.52328 .52147 L
.5235 .52167 L
.52433 .52328 L
.52488 .52466 L
.5249 .52488 L
.52488 .52495 L
.52404 .52488 L
.52328 .52444 L
.52197 .52328 L
.52167 .523 L
.52044 .52167 L
.52007 .52127 L
.51904 .52007 L
.51846 .51967 L
.5177 .51846 L
.51686 .51753 L
.51614 .51686 L
.51525 .51541 L
.51511 .51525 L
.51392 .51364 L
.51364 .51329 L
.51272 .51204 L
.51204 .51113 L
.51154 .51043 L
.51043 .5089 L
.51039 .50883 L
.50941 .50722 L
.50883 .50617 L
.50858 .50562 L
F
.003 .81 1 r
.50883 .44209 m
.5098 .44301 L
.51043 .4436 L
.51138 .44462 L
.51204 .4453 L
.51286 .44622 L
.51364 .44654 L
.51428 .44783 L
.51525 .44885 L
.51568 .44943 L
.51686 .45082 L
.51709 .45104 L
.51838 .45265 L
.51846 .45274 L
.5197 .45425 L
.52007 .45452 L
.52103 .45586 L
.52167 .4566 L
.5226 .45746 L
.52328 .45863 L
.52365 .45907 L
.52488 .46062 L
.52491 .46067 L
.52621 .46228 L
.52649 .46255 L
.52801 .46388 L
.52809 .46462 L
.52887 .46549 L
.5297 .46669 L
.53 .46709 L
.5313 .46869 L
.5313 .4687 L
.53257 .4703 L
.53291 .47069 L
.53404 .47191 L
.53451 .47278 L
.53509 .47351 L
.53612 .47486 L
.53626 .47512 L
.53759 .47672 L
.53772 .47684 L
.53923 .47833 L
.53933 .47892 L
.54018 .47993 L
.54093 .48103 L
.54129 .48154 L
.54254 .4831 L
.54255 .48314 L
.54382 .48475 L
.54414 .4851 L
.54527 .48636 L
.54575 .48722 L
.54632 .48796 L
.54735 .48933 L
.54748 .48957 L
.54878 .49117 L
.54896 .49132 L
.55041 .49278 L
.55057 .49343 L
.55135 .49438 L
.55217 .49557 L
.55246 .49599 L
.55372 .49759 L
.55378 .4976 L
.55495 .4992 L
.55538 .49964 L
.5564 .5008 L
.55699 .50181 L
.55744 .50241 L
.55859 .50394 L
.55863 .50401 L
.55987 .50562 L
.5602 .50585 L
.56152 .50722 L
.5618 .50805 L
.56243 .50883 L
.56341 .51023 L
.56354 .51043 L
.56477 .51204 L
.56501 .51235 L
.56598 .51364 L
.56662 .5143 L
.56743 .51525 L
.56822 .51654 L
.56846 .51686 L
.56964 .51846 L
.56983 .5187 L
.57085 .52007 L
.57143 .52051 L
.57249 .52167 L
.57304 .52287 L
.57336 .52328 L
.57449 .52488 L
.57464 .52508 L
.57567 .52649 L
.57625 .52724 L
.57688 .52809 L
.57785 .52925 L
.57821 .5297 L
.57927 .5313 L
.57946 .53155 L
.58043 .53291 L
.58106 .53374 L
.58161 .53451 L
.58267 .53579 L
.58293 .53612 L
.58394 .53772 L
.58428 .53818 L
.58505 .53933 L
.58588 .54047 L
.58619 .54093 L
.58728 .54254 L
.58749 .54283 L
.58826 .54414 L
.58909 .5455 L
.5892 .54575 L
.58909 .54632 L
.5884 .54575 L
.58749 .54496 L
.58671 .54414 L
.58588 .5433 L
.5852 .54254 L
.58428 .54191 L
.58375 .54093 L
.58267 .53976 L
.58199 .53933 L
.58106 .53782 L
.58096 .53772 L
.57963 .53612 L
.57946 .53592 L
.57829 .53451 L
.57785 .53413 L
.57696 .53291 L
.57625 .53207 L
.57546 .5313 L
.57464 .53005 L
.57435 .5297 L
.57304 .52809 L
.57304 .52809 L
.57176 .52649 L
.57143 .52614 L
.57009 .52488 L
.56983 .52408 L
.56914 .52328 L
.56822 .52202 L
.56798 .52167 L
.56665 .52007 L
.56662 .52004 L
.56538 .51846 L
.56501 .51802 L
.56397 .51686 L
.56341 .51593 L
.56289 .51525 L
.5618 .51386 L
.5617 .51364 L
.56035 .51204 L
.5602 .51188 L
.55881 .51043 L
.55859 .5098 L
.5578 .50883 L
.55699 .50769 L
.55668 .50722 L
.55538 .50564 L
.55535 .50562 L
.55411 .50401 L
.55378 .50363 L
.55272 .50241 L
.55217 .50151 L
.55165 .5008 L
.55057 .4994 L
.55047 .4992 L
.54915 .49759 L
.54896 .49741 L
.54762 .49599 L
.54735 .4953 L
.54662 .49438 L
.54575 .49317 L
.5455 .49278 L
.54421 .49117 L
.54414 .49114 L
.54298 .48957 L
.54254 .48908 L
.54158 .48796 L
.54093 .48693 L
.54052 .48636 L
.53933 .48481 L
.5393 .48475 L
.53806 .48314 L
.53772 .48286 L
.5365 .48154 L
.53612 .48068 L
.53553 .47993 L
.53451 .47852 L
.5344 .47833 L
.53316 .47672 L
.53291 .47665 L
.53194 .47512 L
.5313 .47443 L
.53054 .47351 L
.5297 .47221 L
.52948 .47191 L
.52828 .4703 L
.52809 .47006 L
.52707 .4687 L
.52649 .46819 L
.52552 .46709 L
.52488 .46588 L
.52458 .46549 L
.52343 .46388 L
.52328 .46368 L
.52224 .46228 L
.52167 .46153 L
.52104 .46067 L
.52007 .45949 L
.51973 .45907 L
.51865 .45746 L
.51846 .45722 L
.51748 .45586 L
.51686 .45503 L
.5163 .45425 L
.51525 .45297 L
.515 .45265 L
.51397 .45104 L
.51364 .4506 L
.51284 .44943 L
.51204 .44833 L
.5117 .44783 L
.51059 .44622 L
.51043 .446 L
.50959 .44462 L
.50883 .44346 L
.50859 .44301 L
F
1 .3 0 r
.50883 .51068 m
.51 .51204 L
.51043 .51253 L
.51128 .51364 L
.51204 .5146 L
.51249 .51525 L
.51204 .51631 L
.51115 .51525 L
.51043 .51444 L
.50983 .51364 L
.50883 .51235 L
.50861 .51204 L
F
0 .61 1 r
.50883 .50488 m
.51034 .50562 L
.51043 .50569 L
.51204 .50719 L
.5121 .50722 L
.51354 .50883 L
.51364 .50894 L
.5149 .51043 L
.51525 .51084 L
.51622 .51204 L
.51686 .51259 L
.5175 .51364 L
.51846 .5148 L
.51885 .51525 L
.51997 .51686 L
.52007 .51699 L
.52114 .51846 L
.52167 .5192 L
.52228 .52007 L
.52328 .52152 L
.52345 .52167 L
.52428 .52328 L
.52328 .52438 L
.52203 .52328 L
.52167 .52295 L
.52048 .52167 L
.52007 .52123 L
.51907 .52007 L
.51846 .51965 L
.51773 .51846 L
.51686 .5175 L
.51617 .51686 L
.51525 .51538 L
.51514 .51525 L
.51394 .51364 L
.51364 .51326 L
.51274 .51204 L
.51204 .51109 L
.51157 .51043 L
.51043 .50883 L
.51043 .50883 L
.50945 .50722 L
.50883 .50606 L
.50865 .50562 L
F
1 .54 0 r
.50883 .4489 m
.50935 .44943 L
.51043 .45046 L
.51094 .45104 L
.51204 .45222 L
.51239 .45265 L
.51364 .45391 L
.51379 .45425 L
.51515 .45586 L
.51525 .45597 L
.51647 .45746 L
.51686 .4579 L
.51779 .45907 L
.51846 .45986 L
.51911 .46067 L
.52007 .46165 L
.52042 .46228 L
.52167 .46381 L
.52175 .46388 L
.52299 .46549 L
.52328 .46583 L
.52426 .46709 L
.52488 .46735 L
.52554 .4687 L
.52649 .46977 L
.52707 .4703 L
.52809 .47191 L
.52809 .47191 L
.52933 .47351 L
.5297 .47397 L
.53058 .47512 L
.5313 .47575 L
.53184 .47672 L
.53291 .47803 L
.53318 .47833 L
.53434 .47993 L
.53451 .48015 L
.53557 .48154 L
.53612 .48224 L
.53681 .48314 L
.53772 .48417 L
.53829 .48475 L
.53929 .48636 L
.53933 .4864 L
.5405 .48796 L
.54093 .48851 L
.54173 .48957 L
.54254 .4903 L
.54296 .49117 L
.54414 .49269 L
.54422 .49278 L
.54539 .49438 L
.54575 .49484 L
.54659 .49599 L
.54735 .49697 L
.54781 .49759 L
.54896 .49905 L
.54909 .4992 L
.55021 .5008 L
.55057 .50127 L
.55138 .50241 L
.55217 .50344 L
.55258 .50401 L
.55378 .50559 L
.55379 .50562 L
.55491 .50722 L
.55538 .50785 L
.55605 .50883 L
.55699 .5101 L
.55721 .51043 L
.55829 .51204 L
.55859 .51245 L
.55928 .51364 L
.5602 .51512 L
.56025 .51525 L
.5602 .51549 L
.55989 .51525 L
.55859 .51409 L
.55819 .51364 L
.55699 .51236 L
.55671 .51204 L
.55538 .51061 L
.5553 .51043 L
.55394 .50883 L
.55378 .50865 L
.5526 .50722 L
.55217 .50673 L
.55126 .50562 L
.55057 .50479 L
.54994 .50401 L
.54896 .50296 L
.54862 .50241 L
.54735 .50085 L
.54731 .5008 L
.54604 .4992 L
.54575 .49884 L
.54476 .49759 L
.54414 .49722 L
.54347 .49599 L
.54254 .4949 L
.542 .49438 L
.54093 .49278 L
.54093 .49278 L
.53968 .49117 L
.53933 .49074 L
.53842 .48957 L
.53772 .4889 L
.53662 .48796 L
.53612 .48667 L
.53584 .48636 L
.53466 .48475 L
.53451 .48456 L
.53343 .48314 L
.53291 .48293 L
.53218 .48154 L
.5313 .48052 L
.53074 .47993 L
.5297 .47833 L
.5297 .47833 L
.52848 .47672 L
.52809 .47622 L
.52726 .47512 L
.52649 .47437 L
.52558 .47351 L
.52488 .47204 L
.52477 .47191 L
.5236 .4703 L
.52328 .46989 L
.52239 .4687 L
.52167 .46776 L
.52117 .46709 L
.52007 .46569 L
.51989 .46549 L
.51878 .46388 L
.51846 .46347 L
.5176 .46228 L
.51686 .4613 L
.5164 .46067 L
.51525 .45917 L
.51515 .45907 L
.51407 .45746 L
.51364 .45689 L
.51293 .45586 L
.51204 .45464 L
.51177 .45425 L
.51067 .45265 L
.51043 .45231 L
.50966 .45104 L
.50883 .44978 L
.50865 .44943 L
F
1 .29 0 r
.50883 .51076 m
.50993 .51204 L
.51043 .51259 L
.51123 .51364 L
.51204 .51467 L
.51243 .51525 L
.51204 .51624 L
.51121 .51525 L
.51043 .51437 L
.50988 .51364 L
.50883 .51228 L
.50866 .51204 L
F
1 .94 .156 r
.50883 .43548 m
.5101 .43659 L
.51043 .43688 L
.51172 .4382 L
.51204 .43852 L
.51323 .4398 L
.51364 .44024 L
.51469 .44141 L
.51525 .44195 L
.51611 .44301 L
.51686 .4439 L
.51768 .44462 L
.51846 .44583 L
.51882 .44622 L
.52007 .44774 L
.52012 .44783 L
.52152 .44943 L
.52167 .44961 L
.52315 .45104 L
.52328 .45161 L
.52417 .45265 L
.52488 .45365 L
.52531 .45425 L
.52649 .45569 L
.52675 .45586 L
.52802 .45746 L
.52809 .45755 L
.52938 .45907 L
.5297 .45962 L
.5305 .46067 L
.5313 .46173 L
.53159 .46228 L
.53291 .46381 L
.53312 .46388 L
.53445 .46549 L
.53451 .46568 L
.53562 .46709 L
.53612 .4678 L
.53671 .4687 L
.53772 .46995 L
.53815 .4703 L
.53933 .47184 L
.53939 .47191 L
.54068 .47351 L
.54093 .47394 L
.5418 .47512 L
.54254 .47609 L
.54285 .47672 L
.54414 .47821 L
.54438 .47833 L
.54568 .47993 L
.54575 .48012 L
.54685 .48154 L
.54735 .48225 L
.54793 .48314 L
.54896 .4844 L
.54935 .48475 L
.55057 .48635 L
.55057 .48636 L
.55187 .48796 L
.55217 .48845 L
.55297 .48957 L
.55378 .4906 L
.55402 .49117 L
.55538 .49269 L
.55552 .49278 L
.55687 .49438 L
.55699 .49468 L
.558 .49599 L
.55859 .49681 L
.55908 .49759 L
.5602 .49894 L
.56047 .4992 L
.56169 .5008 L
.5618 .50093 L
.56301 .50241 L
.56341 .50304 L
.5641 .50401 L
.56501 .50517 L
.56518 .50562 L
.56662 .50722 L
.56662 .50722 L
.56803 .50883 L
.56822 .50928 L
.56912 .51043 L
.56983 .51141 L
.57021 .51204 L
.57143 .51352 L
.57156 .51364 L
.57278 .51525 L
.57304 .51553 L
.57413 .51686 L
.57464 .51766 L
.57521 .51846 L
.57625 .51979 L
.57635 .52007 L
.5777 .52167 L
.57785 .52179 L
.57917 .52328 L
.57946 .5239 L
.58021 .52488 L
.58106 .52605 L
.58132 .52649 L
.58262 .52809 L
.58267 .5281 L
.58384 .5297 L
.58428 .53014 L
.58522 .5313 L
.58588 .53231 L
.58629 .53291 L
.58749 .53445 L
.58751 .53451 L
.58875 .53612 L
.58909 .53637 L
.59026 .53772 L
.5907 .53857 L
.59127 .53933 L
.5923 .54075 L
.59241 .54093 L
.59365 .54254 L
.59391 .54287 L
.59539 .54414 L
.59551 .54482 L
.59624 .54575 L
.59712 .54705 L
.59732 .54735 L
.59853 .54896 L
.59872 .54921 L
.59973 .55057 L
.60033 .55104 L
.60124 .55217 L
.60193 .55338 L
.60222 .55378 L
.60337 .55538 L
.60354 .55559 L
.60456 .55699 L
.60514 .55775 L
.60628 .55859 L
.60675 .55976 L
.60707 .5602 L
.60816 .5618 L
.60835 .56205 L
.60933 .56341 L
.60996 .56425 L
.6105 .56501 L
.61156 .56631 L
.61178 .56662 L
.61282 .56822 L
.61317 .56869 L
.61394 .56983 L
.61477 .57099 L
.61506 .57143 L
.61614 .57304 L
.61638 .57339 L
.61709 .57464 L
.61799 .57624 L
.61799 .57625 L
.61799 .57669 L
.61718 .57625 L
.61638 .57564 L
.61537 .57464 L
.61477 .57407 L
.61381 .57304 L
.61317 .5729 L
.61232 .57143 L
.61156 .57067 L
.61088 .56983 L
.60996 .56875 L
.60937 .56822 L
.60835 .56685 L
.60815 .56662 L
.60677 .56501 L
.60675 .565 L
.60543 .56341 L
.60514 .56307 L
.60385 .5618 L
.60354 .56106 L
.6028 .5602 L
.60193 .55903 L
.60163 .55859 L
.60033 .55705 L
.60019 .55699 L
.59891 .55538 L
.59872 .55513 L
.59757 .55378 L
.59712 .55306 L
.59645 .55217 L
.59551 .55096 L
.59535 .55057 L
.59391 .54907 L
.59382 .54896 L
.59246 .54735 L
.5923 .547 L
.59133 .54575 L
.5907 .54488 L
.59024 .54414 L
.58909 .54275 L
.58878 .54254 L
.58755 .54093 L
.58749 .54085 L
.58625 .53933 L
.58588 .53874 L
.58515 .53772 L
.58428 .5366 L
.5841 .53612 L
.58267 .53454 L
.58256 .53451 L
.58122 .53291 L
.58106 .53257 L
.5801 .5313 L
.57946 .53043 L
.57902 .5297 L
.57785 .5283 L
.57759 .52809 L
.57625 .52649 L
.57625 .52635 L
.57507 .52488 L
.57464 .52423 L
.57397 .52328 L
.57304 .52209 L
.57291 .52167 L
.57143 .52008 L
.57141 .52007 L
.57005 .51846 L
.56983 .51801 L
.56895 .51686 L
.56822 .51588 L
.56786 .51525 L
.56662 .51378 L
.56647 .51364 L
.56504 .51204 L
.56501 .51177 L
.56393 .51043 L
.56341 .50965 L
.56284 .50883 L
.5618 .50752 L
.56173 .50722 L
.56031 .50562 L
.5602 .50551 L
.5589 .50401 L
.55859 .50341 L
.55783 .50241 L
.55699 .50128 L
.55672 .5008 L
.55538 .4992 L
.55537 .4992 L
.55384 .49759 L
.55378 .49717 L
.55281 .49599 L
.55217 .49503 L
.55173 .49438 L
.55057 .49292 L
.55054 .49278 L
.54923 .49117 L
.54896 .49093 L
.54778 .48957 L
.54735 .48879 L
.54673 .48796 L
.54575 .48664 L
.5456 .48636 L
.54431 .48475 L
.54414 .48467 L
.54269 .48314 L
.54254 .48255 L
.54173 .48154 L
.54093 .48038 L
.54064 .47993 L
.53939 .47833 L
.53933 .47825 L
.53818 .47672 L
.53772 .47633 L
.5367 .47512 L
.53612 .47412 L
.53567 .47351 L
.53451 .47195 L
.53449 .47191 L
.53328 .4703 L
.53291 .47014 L
.53161 .4687 L
.5313 .46786 L
.53071 .46709 L
.5297 .46564 L
.5296 .46549 L
.52839 .46388 L
.52809 .46349 L
.52719 .46228 L
.52649 .46162 L
.52573 .46067 L
.52488 .4593 L
.52471 .45907 L
.52354 .45746 L
.52328 .45712 L
.52235 .45586 L
.52167 .45498 L
.52073 .45425 L
.52007 .45292 L
.51986 .45265 L
.51874 .45104 L
.51846 .45068 L
.51756 .44943 L
.51686 .4485 L
.51638 .44783 L
.51525 .44639 L
.51513 .44622 L
.51404 .44462 L
.51364 .44408 L
.51291 .44301 L
.51204 .44181 L
.51177 .44141 L
.51067 .4398 L
.51043 .43947 L
.50966 .4382 L
.50883 .4369 L
.50867 .43659 L
F
0 .37 1 r
.50883 .45562 m
.50901 .45586 L
.51043 .45733 L
.51054 .45746 L
.51043 .45849 L
.50981 .45746 L
.50883 .45611 L
.5087 .45586 L
F
1 .28 0 r
.50883 .51086 m
.50986 .51204 L
.51043 .51266 L
.51117 .51364 L
.51204 .51474 L
.51238 .51525 L
.51204 .51615 L
.51127 .51525 L
.51043 .51431 L
.50993 .51364 L
.50883 .51221 L
.50871 .51204 L
F
0 .6 1 r
.50883 .50505 m
.51024 .50562 L
.51043 .50575 L
.51203 .50722 L
.51204 .50723 L
.51351 .50883 L
.51364 .50898 L
.51487 .51043 L
.51525 .51087 L
.51619 .51204 L
.51686 .51262 L
.51748 .51364 L
.51846 .51483 L
.51882 .51525 L
.51994 .51686 L
.52007 .51702 L
.52111 .51846 L
.52167 .51923 L
.52225 .52007 L
.52328 .52157 L
.52339 .52167 L
.52423 .52328 L
.52328 .52431 L
.52208 .52328 L
.52167 .5229 L
.52052 .52167 L
.52007 .5212 L
.5191 .52007 L
.51846 .51962 L
.51775 .51846 L
.51686 .51747 L
.5162 .51686 L
.51525 .51535 L
.51517 .51525 L
.51396 .51364 L
.51364 .51323 L
.51277 .51204 L
.51204 .51106 L
.51159 .51043 L
.51047 .50883 L
.51043 .50878 L
.50949 .50722 L
.50883 .50592 L
.50872 .50562 L
F
0 .64 1 r
.50883 .55359 m
.50895 .55378 L
.50883 .55392 L
.50875 .55378 L
F
1 .27 0 r
.50883 .51096 m
.50978 .51204 L
.51043 .51274 L
.51111 .51364 L
.51204 .51482 L
.51232 .51525 L
.51204 .51607 L
.51134 .51525 L
.51043 .51423 L
.50999 .51364 L
.50883 .51213 L
.50877 .51204 L
F
.002 .8 1 r
.50883 .44252 m
.5095 .44301 L
.51043 .44379 L
.51122 .44462 L
.51204 .44544 L
.51274 .44622 L
.51364 .44667 L
.51419 .44783 L
.51525 .44896 L
.51559 .44943 L
.51686 .45091 L
.517 .45104 L
.51831 .45265 L
.51846 .45282 L
.51964 .45425 L
.52007 .45456 L
.52097 .45586 L
.52167 .45666 L
.52255 .45746 L
.52328 .45869 L
.52361 .45907 L
.52488 .46067 L
.52489 .46067 L
.52617 .46228 L
.52649 .46259 L
.52799 .46388 L
.52809 .46466 L
.52883 .46549 L
.5297 .46672 L
.52997 .46709 L
.53128 .4687 L
.5313 .46871 L
.53254 .4703 L
.53291 .47072 L
.53402 .47191 L
.53451 .47282 L
.53507 .47351 L
.53612 .47489 L
.53625 .47512 L
.53757 .47672 L
.53772 .47687 L
.53922 .47833 L
.53933 .47895 L
.54016 .47993 L
.54093 .48106 L
.54127 .48154 L
.54254 .48312 L
.54254 .48314 L
.5438 .48475 L
.54414 .48512 L
.54526 .48636 L
.54575 .48725 L
.5463 .48796 L
.54735 .48936 L
.54747 .48957 L
.54876 .49117 L
.54896 .49133 L
.5504 .49278 L
.55057 .49345 L
.55134 .49438 L
.55217 .49559 L
.55244 .49599 L
.5537 .49759 L
.55378 .4976 L
.55493 .4992 L
.55538 .49966 L
.55639 .5008 L
.55699 .50183 L
.55742 .50241 L
.55859 .50396 L
.55862 .50401 L
.55985 .50562 L
.5602 .50587 L
.56151 .50722 L
.5618 .50808 L
.56241 .50883 L
.56341 .51026 L
.56353 .51043 L
.56475 .51204 L
.56501 .51238 L
.56596 .51364 L
.56662 .51432 L
.56741 .51525 L
.56822 .51657 L
.56844 .51686 L
.56962 .51846 L
.56983 .51873 L
.57082 .52007 L
.57143 .52054 L
.57246 .52167 L
.57304 .52291 L
.57333 .52328 L
.57446 .52488 L
.57464 .52512 L
.57564 .52649 L
.57625 .52728 L
.57684 .52809 L
.57785 .52931 L
.57816 .5297 L
.57923 .5313 L
.57946 .5316 L
.58039 .53291 L
.58106 .5338 L
.58157 .53451 L
.58267 .53591 L
.58284 .53612 L
.58387 .53772 L
.58428 .53827 L
.58498 .53933 L
.58588 .54058 L
.58611 .54093 L
.58716 .54254 L
.58749 .54302 L
.58809 .54414 L
.58749 .54474 L
.58689 .54414 L
.58588 .54314 L
.58533 .54254 L
.58428 .54175 L
.58386 .54093 L
.58267 .53964 L
.58216 .53933 L
.58106 .53773 L
.58106 .53772 L
.5797 .53612 L
.57946 .53584 L
.57835 .53451 L
.57785 .53407 L
.57702 .53291 L
.57625 .532 L
.57551 .5313 L
.57464 .52999 L
.57439 .5297 L
.57309 .52809 L
.57304 .52808 L
.5718 .52649 L
.57143 .5261 L
.57011 .52488 L
.56983 .52403 L
.56917 .52328 L
.56822 .52198 L
.56801 .52167 L
.56668 .52007 L
.56662 .52002 L
.56541 .51846 L
.56501 .51799 L
.56399 .51686 L
.56341 .5159 L
.56291 .51525 L
.5618 .51383 L
.56171 .51364 L
.56038 .51204 L
.5602 .51186 L
.55882 .51043 L
.55859 .50977 L
.55782 .50883 L
.55699 .50766 L
.5567 .50722 L
.55538 .50562 L
.55538 .50562 L
.55413 .50401 L
.55378 .5036 L
.55274 .50241 L
.55217 .50148 L
.55167 .5008 L
.55057 .49938 L
.55048 .4992 L
.54917 .49759 L
.54896 .4974 L
.54763 .49599 L
.54735 .49528 L
.54664 .49438 L
.54575 .49315 L
.54551 .49278 L
.54423 .49117 L
.54414 .49114 L
.543 .48957 L
.54254 .48906 L
.5416 .48796 L
.54093 .48691 L
.54053 .48636 L
.53933 .48479 L
.53931 .48475 L
.53808 .48314 L
.53772 .48284 L
.53652 .48154 L
.53612 .48065 L
.53555 .47993 L
.53451 .47849 L
.53441 .47833 L
.53318 .47672 L
.53291 .47664 L
.53196 .47512 L
.5313 .4744 L
.53057 .47351 L
.5297 .47218 L
.5295 .47191 L
.5283 .4703 L
.52809 .47003 L
.5271 .4687 L
.52649 .46816 L
.52555 .46709 L
.52488 .46584 L
.52461 .46549 L
.52346 .46388 L
.52328 .46364 L
.52228 .46228 L
.52167 .46148 L
.52107 .46067 L
.52007 .45944 L
.51978 .45907 L
.51869 .45746 L
.51846 .45717 L
.51752 .45586 L
.51686 .45497 L
.51634 .45425 L
.51525 .45286 L
.51508 .45265 L
.51403 .45104 L
.51364 .45052 L
.51291 .44943 L
.51204 .44823 L
.51178 .44783 L
.5107 .44622 L
.51043 .44584 L
.50973 .44462 L
.50883 .44312 L
.50878 .44301 L
F
1 .53 0 r
.50883 .44919 m
.50914 .44943 L
.51043 .45057 L
.51085 .45104 L
.51204 .4523 L
.51233 .45265 L
.51364 .45402 L
.51374 .45425 L
.5151 .45586 L
.51525 .45603 L
.51642 .45746 L
.51686 .45796 L
.51775 .45907 L
.51846 .4599 L
.51907 .46067 L
.52007 .4617 L
.52039 .46228 L
.52167 .46385 L
.5217 .46388 L
.52296 .46549 L
.52328 .46587 L
.52423 .46709 L
.52488 .46738 L
.52552 .4687 L
.52649 .4698 L
.52703 .4703 L
.52806 .47191 L
.52809 .47194 L
.52931 .47351 L
.5297 .474 L
.53056 .47512 L
.5313 .47578 L
.53182 .47672 L
.53291 .47806 L
.53315 .47833 L
.53431 .47993 L
.53451 .48018 L
.53554 .48154 L
.53612 .48226 L
.53679 .48314 L
.53772 .48421 L
.53826 .48475 L
.53927 .48636 L
.53933 .48643 L
.54048 .48796 L
.54093 .48854 L
.5417 .48957 L
.54254 .49034 L
.54294 .49117 L
.54414 .49273 L
.54419 .49278 L
.54536 .49438 L
.54575 .49488 L
.54657 .49599 L
.54735 .49701 L
.54778 .49759 L
.54896 .4991 L
.54905 .4992 L
.55018 .5008 L
.55057 .50131 L
.55135 .50241 L
.55217 .50348 L
.55255 .50401 L
.55375 .50562 L
.55378 .50565 L
.55486 .50722 L
.55538 .50791 L
.556 .50883 L
.55699 .51017 L
.55716 .51043 L
.55821 .51204 L
.55859 .51257 L
.55917 .51364 L
.55859 .51397 L
.55829 .51364 L
.55699 .51228 L
.55678 .51204 L
.55538 .51049 L
.55536 .51043 L
.554 .50883 L
.55378 .50859 L
.55265 .50722 L
.55217 .50668 L
.55131 .50562 L
.55057 .50474 L
.54997 .50401 L
.54896 .50291 L
.54865 .50241 L
.54735 .5008 L
.54735 .5008 L
.54607 .4992 L
.54575 .4988 L
.54479 .49759 L
.54414 .49718 L
.5435 .49599 L
.54254 .49486 L
.54204 .49438 L
.54096 .49278 L
.54093 .49275 L
.5397 .49117 L
.53933 .4907 L
.53844 .48957 L
.53772 .48886 L
.53665 .48796 L
.53612 .48663 L
.53587 .48636 L
.53469 .48475 L
.53451 .48453 L
.53345 .48314 L
.53291 .48291 L
.5322 .48154 L
.5313 .48049 L
.53078 .47993 L
.52972 .47833 L
.5297 .4783 L
.52851 .47672 L
.52809 .47619 L
.52728 .47512 L
.52649 .47434 L
.52562 .47351 L
.52488 .47201 L
.5248 .47191 L
.52362 .4703 L
.52328 .46986 L
.52242 .4687 L
.52167 .46773 L
.5212 .46709 L
.52007 .46564 L
.51993 .46549 L
.51881 .46388 L
.51846 .46343 L
.51763 .46228 L
.51686 .46126 L
.51643 .46067 L
.51525 .45909 L
.51523 .45907 L
.51412 .45746 L
.51364 .45683 L
.51298 .45586 L
.51204 .45457 L
.51182 .45425 L
.51075 .45265 L
.51043 .45221 L
.50976 .45104 L
.50883 .44954 L
.50879 .44943 L
F
1 .81 .003 r
.50883 .54704 m
.50914 .54735 L
.51043 .54864 L
.51071 .54896 L
.51204 .55047 L
.51212 .55057 L
.51344 .55217 L
.51364 .55239 L
.51476 .55378 L
.51525 .55434 L
.51607 .55538 L
.51686 .55632 L
.51739 .55699 L
.51846 .55831 L
.51869 .55859 L
.51995 .5602 L
.52007 .56033 L
.5212 .5618 L
.52167 .56238 L
.52246 .56341 L
.52328 .56443 L
.52373 .56501 L
.52488 .56634 L
.52498 .56662 L
.52619 .56822 L
.52649 .56859 L
.52741 .56983 L
.52809 .57069 L
.52865 .57143 L
.5297 .5728 L
.52987 .57304 L
.53105 .57464 L
.5313 .57496 L
.53222 .57625 L
.53291 .57714 L
.53342 .57785 L
.53451 .57933 L
.53461 .57946 L
.53568 .58106 L
.53612 .58165 L
.53674 .58267 L
.53772 .58411 L
.5378 .58428 L
.53772 .58451 L
.53752 .58428 L
.53612 .58291 L
.53593 .58267 L
.53451 .58108 L
.5345 .58106 L
.5332 .57946 L
.53291 .57914 L
.53191 .57785 L
.5313 .57716 L
.5306 .57625 L
.5297 .57518 L
.52929 .57464 L
.52809 .57319 L
.52798 .57304 L
.52672 .57143 L
.52649 .57115 L
.52549 .56983 L
.52488 .56909 L
.52424 .56822 L
.52328 .56704 L
.52297 .56662 L
.52169 .56501 L
.52167 .56499 L
.5205 .56341 L
.52007 .56287 L
.51929 .5618 L
.51846 .56076 L
.51805 .5602 L
.51686 .55867 L
.5168 .55859 L
.51563 .55699 L
.51525 .55651 L
.51447 .55538 L
.51364 .55433 L
.51327 .55378 L
.51204 .55217 L
.51204 .55217 L
.51098 .55057 L
.51043 .54985 L
.50991 .54896 L
.50883 .54744 L
.50879 .54735 L
F
0 .59 1 r
.50883 .50528 m
.51014 .50562 L
.51043 .50581 L
.51198 .50722 L
.51204 .50728 L
.51347 .50883 L
.51364 .50902 L
.51485 .51043 L
.51525 .5109 L
.51617 .51204 L
.51686 .51265 L
.51745 .51364 L
.51846 .51487 L
.51879 .51525 L
.51991 .51686 L
.52007 .51705 L
.52108 .51846 L
.52167 .51927 L
.52223 .52007 L
.52328 .52163 L
.52333 .52167 L
.52417 .52328 L
.52328 .52424 L
.52214 .52328 L
.52167 .52286 L
.52055 .52167 L
.52007 .52116 L
.51913 .52007 L
.51846 .51959 L
.51778 .51846 L
.51686 .51744 L
.51623 .51686 L
.51525 .51532 L
.51519 .51525 L
.51399 .51364 L
.51364 .5132 L
.51279 .51204 L
.51204 .51102 L
.51162 .51043 L
.5105 .50883 L
.51043 .50873 L
.50953 .50722 L
.50883 .50574 L
.50879 .50562 L
F
1 .26 0 r
.50883 .51108 m
.50969 .51204 L
.51043 .51282 L
.51104 .51364 L
.51204 .5149 L
.51226 .51525 L
.51204 .51596 L
.51142 .51525 L
.51043 .51416 L
.51005 .51364 L
.50883 .51204 L
.50883 .51204 L
F
1 .98 .538 r
.51043 .50015 m
.51204 .50022 L
.51355 .5008 L
.51364 .50104 L
.51486 .50241 L
.51525 .50284 L
.51601 .50401 L
.51686 .50486 L
.51697 .50562 L
.51846 .50694 L
.51868 .50722 L
.51994 .50883 L
.52007 .50908 L
.52108 .51043 L
.52167 .51128 L
.52211 .51204 L
.52328 .51347 L
.52363 .51364 L
.52487 .51525 L
.52488 .51529 L
.52609 .51686 L
.52649 .5174 L
.52717 .51846 L
.52809 .51953 L
.52814 .52007 L
.5297 .5216 L
.52977 .52167 L
.53106 .52328 L
.5313 .52369 L
.53217 .52488 L
.53291 .52581 L
.53321 .52649 L
.53451 .52796 L
.53462 .52809 L
.53583 .5297 L
.53451 .53003 L
.53291 .53009 L
.53169 .5313 L
.53291 .53268 L
.53296 .53291 L
.53433 .53451 L
.53451 .5348 L
.53578 .53612 L
.53612 .53692 L
.53684 .53772 L
.53772 .53901 L
.53796 .53933 L
.53928 .54093 L
.53933 .54096 L
.54086 .54254 L
.54093 .54299 L
.54186 .54414 L
.54254 .54513 L
.54295 .54575 L
.54414 .54727 L
.54416 .54735 L
.54542 .54896 L
.54575 .54939 L
.5469 .55057 L
.54735 .55119 L
.54792 .55217 L
.54896 .55352 L
.54906 .55378 L
.55029 .55538 L
.55057 .55576 L
.55193 .55699 L
.55217 .55805 L
.55266 .55859 L
.55217 .55993 L
.55057 .5596 L
.54896 .55936 L
.54809 .55859 L
.54735 .55788 L
.54679 .55699 L
.54575 .55598 L
.54528 .55538 L
.54414 .55394 L
.54401 .55378 L
.54273 .55217 L
.54254 .5518 L
.5416 .55057 L
.54093 .54953 L
.54059 .54896 L
.53933 .54776 L
.53901 .54735 L
.53776 .54575 L
.53772 .54565 L
.53657 .54414 L
.53612 .54351 L
.5355 .54254 L
.53451 .54137 L
.53408 .54093 L
.53291 .53935 L
.53286 .53933 L
.53159 .53772 L
.5313 .53743 L
.53049 .53612 L
.5297 .5354 L
.52947 .53451 L
.52809 .5332 L
.52799 .53291 L
.52672 .5313 L
.52809 .5304 L
.5297 .53035 L
.53115 .5297 L
.5297 .52828 L
.52969 .52809 L
.52829 .52649 L
.52809 .5261 L
.52688 .52488 L
.52649 .52393 L
.5258 .52328 L
.52488 .52184 L
.52469 .52167 L
.52333 .52007 L
.52328 .52001 L
.52182 .51846 L
.52167 .51794 L
.52078 .51686 L
.52007 .51581 L
.51969 .51525 L
.51846 .51372 L
.5184 .51364 L
.51718 .51204 L
.51686 .51186 L
.51575 .51043 L
.51525 .50969 L
.5147 .50883 L
.51364 .50748 L
.51354 .50722 L
.51227 .50562 L
.51204 .50531 L
.5107 .50401 L
.51043 .50315 L
.50976 .50241 L
.50883 .5008 L
F
1 .97 .395 r
.51043 .50034 m
.51204 .50049 L
.51329 .5008 L
.51364 .5013 L
.51472 .50241 L
.51525 .50299 L
.51592 .50401 L
.51686 .50496 L
.51694 .50562 L
.51846 .50702 L
.51862 .50722 L
.51991 .50883 L
.52007 .50914 L
.52105 .51043 L
.52167 .51133 L
.52208 .51204 L
.52328 .5135 L
.5236 .51364 L
.52486 .51525 L
.52488 .51533 L
.52606 .51686 L
.52649 .51743 L
.52714 .51846 L
.52809 .51957 L
.52813 .52007 L
.5297 .52163 L
.52974 .52167 L
.53103 .52328 L
.5313 .52375 L
.53212 .52488 L
.53291 .52589 L
.53316 .52649 L
.53449 .52809 L
.53451 .52812 L
.53532 .5297 L
.53451 .52985 L
.53291 .52994 L
.53162 .5297 L
.5313 .52958 L
.5297 .52813 L
.52969 .52809 L
.52835 .52649 L
.52809 .526 L
.52692 .52488 L
.52649 .52388 L
.52583 .52328 L
.52488 .52182 L
.5247 .52167 L
.52335 .52007 L
.52328 .51999 L
.52183 .51846 L
.52167 .51791 L
.5208 .51686 L
.52007 .51579 L
.5197 .51525 L
.51846 .51369 L
.51842 .51364 L
.5172 .51204 L
.51686 .51184 L
.51577 .51043 L
.51525 .50966 L
.51472 .50883 L
.51364 .50743 L
.51356 .50722 L
.51231 .50562 L
.51204 .50525 L
.51074 .50401 L
.51043 .50304 L
.50986 .50241 L
.5092 .5008 L
F
0 .58 1 r
.51043 .50588 m
.51193 .50722 L
.51204 .50732 L
.51343 .50883 L
.51364 .50905 L
.51482 .51043 L
.51525 .51094 L
.51614 .51204 L
.51686 .51268 L
.51743 .51364 L
.51846 .5149 L
.51876 .51525 L
.51989 .51686 L
.52007 .51709 L
.52106 .51846 L
.52167 .51931 L
.5222 .52007 L
.52327 .52167 L
.52328 .52168 L
.52411 .52328 L
.52328 .52417 L
.5222 .52328 L
.52167 .52281 L
.52059 .52167 L
.52007 .52112 L
.51916 .52007 L
.51846 .51956 L
.51781 .51846 L
.51686 .5174 L
.51627 .51686 L
.51525 .51528 L
.51522 .51525 L
.51401 .51364 L
.51364 .51317 L
.51282 .51204 L
.51204 .51099 L
.51164 .51043 L
.51054 .50883 L
.51043 .50867 L
.50958 .50722 L
F
0 .57 1 r
.51043 .50594 m
.51188 .50722 L
.51204 .50737 L
.5134 .50883 L
.51364 .50909 L
.51479 .51043 L
.51525 .51097 L
.51611 .51204 L
.51686 .51271 L
.5174 .51364 L
.51846 .51494 L
.51873 .51525 L
.51986 .51686 L
.52007 .51712 L
.52103 .51846 L
.52167 .51935 L
.52217 .52007 L
.52323 .52167 L
.52328 .52175 L
.52405 .52328 L
.52328 .52409 L
.52227 .52328 L
.52167 .52276 L
.52063 .52167 L
.52007 .52108 L
.51919 .52007 L
.51846 .51953 L
.51783 .51846 L
.51686 .51737 L
.5163 .51686 L
.51525 .51525 L
.51525 .51525 L
.51404 .51364 L
.51364 .51314 L
.51284 .51204 L
.51204 .51095 L
.51167 .51043 L
.51057 .50883 L
.51043 .50862 L
.50963 .50722 L
F
1 .96 .289 r
.51043 .50054 m
.51204 .50072 L
.51256 .5008 L
.51364 .50151 L
.51458 .50241 L
.51525 .50313 L
.51583 .50401 L
.51686 .50505 L
.51692 .50562 L
.51846 .50709 L
.51857 .50722 L
.51987 .50883 L
.52007 .5092 L
.52101 .51043 L
.52167 .51138 L
.52206 .51204 L
.52328 .51352 L
.52356 .51364 L
.52485 .51525 L
.52488 .51536 L
.52603 .51686 L
.52649 .51747 L
.52711 .51846 L
.52809 .5196 L
.52812 .52007 L
.5297 .52167 L
.5297 .52167 L
.531 .52328 L
.5313 .5238 L
.53208 .52488 L
.53291 .52597 L
.53312 .52649 L
.53437 .52809 L
.53434 .5297 L
.53291 .52979 L
.53224 .5297 L
.5313 .52942 L
.52978 .52809 L
.5297 .52801 L
.52842 .52649 L
.52809 .5259 L
.52695 .52488 L
.52649 .52383 L
.52586 .52328 L
.52488 .5218 L
.52472 .52167 L
.52338 .52007 L
.52328 .51996 L
.52184 .51846 L
.52167 .51789 L
.52082 .51686 L
.52007 .51576 L
.51972 .51525 L
.51846 .51367 L
.51844 .51364 L
.51722 .51204 L
.51686 .51182 L
.5158 .51043 L
.51525 .50962 L
.51475 .50883 L
.51364 .50738 L
.51358 .50722 L
.51236 .50562 L
.51204 .50518 L
.51079 .50401 L
.51043 .50292 L
.50998 .50241 L
.50964 .5008 L
F
0 .56 1 r
.51043 .50601 m
.51183 .50722 L
.51204 .50741 L
.51336 .50883 L
.51364 .50913 L
.51476 .51043 L
.51525 .511 L
.51609 .51204 L
.51686 .51274 L
.51738 .51364 L
.51846 .51497 L
.5187 .51525 L
.51984 .51686 L
.52007 .51716 L
.521 .51846 L
.52167 .51939 L
.52214 .52007 L
.52318 .52167 L
.52328 .52182 L
.52399 .52328 L
.52328 .52401 L
.52234 .52328 L
.52167 .52271 L
.52068 .52167 L
.52007 .52104 L
.51922 .52007 L
.51846 .5195 L
.51786 .51846 L
.51686 .51733 L
.51634 .51686 L
.51527 .51525 L
.51525 .51522 L
.51406 .51364 L
.51364 .5131 L
.51287 .51204 L
.51204 .51092 L
.5117 .51043 L
.51061 .50883 L
.51043 .50856 L
.50967 .50722 L
F
0 .55 1 r
.51043 .50608 m
.51177 .50722 L
.51204 .50746 L
.51332 .50883 L
.51364 .50917 L
.51473 .51043 L
.51525 .51104 L
.51606 .51204 L
.51686 .51278 L
.51735 .51364 L
.51846 .51501 L
.51867 .51525 L
.51981 .51686 L
.52007 .51719 L
.52097 .51846 L
.52167 .51944 L
.5221 .52007 L
.52314 .52167 L
.52328 .5219 L
.52392 .52328 L
.52328 .52393 L
.52241 .52328 L
.52167 .52266 L
.52072 .52167 L
.52007 .521 L
.51926 .52007 L
.51846 .51946 L
.51789 .51846 L
.51686 .5173 L
.51637 .51686 L
.5153 .51525 L
.51525 .51519 L
.51409 .51364 L
.51364 .51307 L
.51289 .51204 L
.51204 .51088 L
.51172 .51043 L
.51064 .50883 L
.51043 .5085 L
.50972 .50722 L
F
0 .54 1 r
.51043 .50615 m
.51172 .50722 L
.51204 .50751 L
.51328 .50883 L
.51364 .50921 L
.5147 .51043 L
.51525 .51107 L
.51603 .51204 L
.51686 .51281 L
.51733 .51364 L
.51846 .51505 L
.51863 .51525 L
.51978 .51686 L
.52007 .51723 L
.52095 .51846 L
.52167 .51948 L
.52207 .52007 L
.5231 .52167 L
.52328 .52198 L
.52384 .52328 L
.52328 .52385 L
.52249 .52328 L
.52167 .52261 L
.52076 .52167 L
.52007 .52096 L
.51929 .52007 L
.51846 .51942 L
.51791 .51846 L
.51686 .51726 L
.51641 .51686 L
.51533 .51525 L
.51525 .51515 L
.51411 .51364 L
.51364 .51304 L
.51292 .51204 L
.51204 .51084 L
.51175 .51043 L
.51068 .50883 L
.51043 .50844 L
.50977 .50722 L
F
0 .53 1 r
.51043 .50623 m
.51166 .50722 L
.51204 .50756 L
.51325 .50883 L
.51364 .50925 L
.51466 .51043 L
.51525 .51111 L
.51601 .51204 L
.51686 .51285 L
.51731 .51364 L
.51846 .51509 L
.5186 .51525 L
.51976 .51686 L
.52007 .51727 L
.52092 .51846 L
.52167 .51952 L
.52204 .52007 L
.52305 .52167 L
.52328 .52208 L
.52376 .52328 L
.52328 .52376 L
.52258 .52328 L
.52167 .52255 L
.5208 .52167 L
.52007 .52092 L
.51932 .52007 L
.51846 .51939 L
.51794 .51846 L
.51686 .51723 L
.51645 .51686 L
.51535 .51525 L
.51525 .51512 L
.51414 .51364 L
.51364 .513 L
.51294 .51204 L
.51204 .5108 L
.51178 .51043 L
.51072 .50883 L
.51043 .50837 L
.50982 .50722 L
F
1 .52 0 r
.51043 .45069 m
.51075 .45104 L
.51204 .45238 L
.51226 .45265 L
.51364 .45415 L
.51369 .45425 L
.51504 .45586 L
.51525 .45609 L
.51638 .45746 L
.51686 .45801 L
.51771 .45907 L
.51846 .45995 L
.51904 .46067 L
.52007 .46175 L
.52036 .46228 L
.52166 .46388 L
.52167 .4639 L
.52293 .46549 L
.52328 .4659 L
.52421 .46709 L
.52488 .46741 L
.52549 .4687 L
.52649 .46984 L
.52699 .4703 L
.52804 .47191 L
.52809 .47198 L
.52928 .47351 L
.5297 .47403 L
.53053 .47512 L
.5313 .47581 L
.5318 .47672 L
.53291 .4781 L
.53312 .47833 L
.53429 .47993 L
.53451 .48021 L
.53552 .48154 L
.53612 .48229 L
.53676 .48314 L
.53772 .48424 L
.53823 .48475 L
.53925 .48636 L
.53933 .48646 L
.54046 .48796 L
.54093 .48857 L
.54168 .48957 L
.54254 .49038 L
.54292 .49117 L
.54414 .49277 L
.54415 .49278 L
.54534 .49438 L
.54575 .49491 L
.54654 .49599 L
.54735 .49704 L
.54776 .49759 L
.54896 .49915 L
.549 .4992 L
.55014 .5008 L
.55057 .50135 L
.55132 .50241 L
.55217 .50352 L
.55252 .50401 L
.55371 .50562 L
.55378 .50571 L
.55482 .50722 L
.55538 .50797 L
.55595 .50883 L
.55699 .51025 L
.55711 .51043 L
.55813 .51204 L
.55859 .51272 L
.55903 .51364 L
.55859 .51383 L
.55841 .51364 L
.55699 .51219 L
.55686 .51204 L
.55542 .51043 L
.55538 .51039 L
.55405 .50883 L
.55378 .50852 L
.5527 .50722 L
.55217 .50662 L
.55135 .50562 L
.55057 .50469 L
.55001 .50401 L
.54896 .50285 L
.54869 .50241 L
.54739 .5008 L
.54735 .50076 L
.54611 .4992 L
.54575 .49877 L
.54482 .49759 L
.54414 .49715 L
.54353 .49599 L
.54254 .49482 L
.54208 .49438 L
.54098 .49278 L
.54093 .49271 L
.53973 .49117 L
.53933 .49067 L
.53847 .48957 L
.53772 .48883 L
.53669 .48796 L
.53612 .4866 L
.5359 .48636 L
.53471 .48475 L
.53451 .4845 L
.53347 .48314 L
.53291 .48289 L
.53223 .48154 L
.5313 .48045 L
.53081 .47993 L
.52975 .47833 L
.5297 .47826 L
.52853 .47672 L
.52809 .47616 L
.52731 .47512 L
.52649 .4743 L
.52566 .47351 L
.52488 .47197 L
.52483 .47191 L
.52365 .4703 L
.52328 .46982 L
.52244 .4687 L
.52167 .46769 L
.52123 .46709 L
.52007 .46559 L
.51998 .46549 L
.51884 .46388 L
.51846 .46339 L
.51766 .46228 L
.51686 .46121 L
.51647 .46067 L
.51528 .45907 L
.51525 .45903 L
.51416 .45746 L
.51364 .45677 L
.51302 .45586 L
.51204 .4545 L
.51187 .45425 L
.51083 .45265 L
.51043 .45208 L
.50987 .45104 L
F
0 .52 1 r
.51043 .5063 m
.51159 .50722 L
.51204 .50761 L
.51321 .50883 L
.51364 .50929 L
.51463 .51043 L
.51525 .51114 L
.51598 .51204 L
.51686 .51288 L
.51728 .51364 L
.51846 .51513 L
.51857 .51525 L
.51973 .51686 L
.52007 .5173 L
.52089 .51846 L
.52167 .51956 L
.52201 .52007 L
.523 .52167 L
.52328 .52218 L
.52367 .52328 L
.52328 .52366 L
.52267 .52328 L
.52167 .5225 L
.52085 .52167 L
.52007 .52088 L
.51935 .52007 L
.51846 .51935 L
.51797 .51846 L
.51686 .51719 L
.51649 .51686 L
.51538 .51525 L
.51525 .51509 L
.51416 .51364 L
.51364 .51297 L
.51297 .51204 L
.51204 .51076 L
.51181 .51043 L
.51076 .50883 L
.51043 .5083 L
.50988 .50722 L
F
.001 .79 1 r
.51043 .44401 m
.51104 .44462 L
.51204 .44559 L
.51261 .44622 L
.51364 .44684 L
.51409 .44783 L
.51525 .44907 L
.51551 .44943 L
.51686 .451 L
.5169 .45104 L
.51824 .45265 L
.51846 .4529 L
.51958 .45425 L
.52007 .45462 L
.52092 .45586 L
.52167 .45672 L
.5225 .45746 L
.52328 .45874 L
.52356 .45907 L
.52484 .46067 L
.52488 .46072 L
.52613 .46228 L
.52649 .46263 L
.52797 .46388 L
.52809 .4647 L
.5288 .46549 L
.5297 .46676 L
.52994 .46709 L
.53125 .4687 L
.5313 .46873 L
.53251 .4703 L
.53291 .47075 L
.534 .47191 L
.53451 .47285 L
.53505 .47351 L
.53612 .47492 L
.53623 .47512 L
.53754 .47672 L
.53772 .47689 L
.53921 .47833 L
.53933 .47898 L
.54014 .47993 L
.54093 .48109 L
.54125 .48154 L
.54254 .48314 L
.54254 .48314 L
.54378 .48475 L
.54414 .48514 L
.54524 .48636 L
.54575 .48727 L
.54628 .48796 L
.54735 .48938 L
.54746 .48957 L
.54874 .49117 L
.54896 .49135 L
.55039 .49278 L
.55057 .49347 L
.55132 .49438 L
.55217 .49561 L
.55243 .49599 L
.55369 .49759 L
.55378 .49761 L
.55491 .4992 L
.55538 .49968 L
.55637 .5008 L
.55699 .50185 L
.55741 .50241 L
.55859 .50398 L
.55861 .50401 L
.55983 .50562 L
.5602 .50589 L
.56149 .50722 L
.5618 .5081 L
.56239 .50883 L
.56341 .51028 L
.56351 .51043 L
.56472 .51204 L
.56501 .51241 L
.56594 .51364 L
.56662 .51435 L
.56739 .51525 L
.56822 .5166 L
.56841 .51686 L
.5696 .51846 L
.56983 .51876 L
.5708 .52007 L
.57143 .52057 L
.57243 .52167 L
.57304 .52295 L
.57329 .52328 L
.57443 .52488 L
.57464 .52516 L
.57561 .52649 L
.57625 .52732 L
.57681 .52809 L
.57785 .52938 L
.57811 .5297 L
.57919 .5313 L
.57946 .53166 L
.58035 .53291 L
.58106 .53387 L
.58152 .53451 L
.58267 .53603 L
.58274 .53612 L
.5838 .53772 L
.58428 .53837 L
.58491 .53933 L
.58588 .5407 L
.58603 .54093 L
.58702 .54254 L
.58749 .54328 L
.58786 .54414 L
.58749 .54447 L
.58713 .54414 L
.58588 .54298 L
.58547 .54254 L
.58428 .54156 L
.58397 .54093 L
.58267 .53951 L
.58235 .53933 L
.58114 .53772 L
.58106 .53764 L
.57977 .53612 L
.57946 .53576 L
.57842 .53451 L
.57785 .53401 L
.57707 .53291 L
.57625 .53194 L
.57557 .5313 L
.57464 .52994 L
.57444 .5297 L
.57314 .52809 L
.57304 .52807 L
.57184 .52649 L
.57143 .52605 L
.57014 .52488 L
.56983 .52399 L
.56921 .52328 L
.56822 .52194 L
.56803 .52167 L
.56671 .52007 L
.56662 .51999 L
.56544 .51846 L
.56501 .51795 L
.56402 .51686 L
.56341 .51586 L
.56293 .51525 L
.5618 .5138 L
.56173 .51364 L
.5604 .51204 L
.5602 .51183 L
.55884 .51043 L
.55859 .50974 L
.55784 .50883 L
.55699 .50764 L
.55671 .50722 L
.5554 .50562 L
.55538 .50561 L
.55416 .50401 L
.55378 .50358 L
.55276 .50241 L
.55217 .50146 L
.55168 .5008 L
.55057 .49936 L
.55049 .4992 L
.54919 .49759 L
.54896 .49738 L
.54765 .49599 L
.54735 .49526 L
.54665 .49438 L
.54575 .49312 L
.54553 .49278 L
.54424 .49117 L
.54414 .49113 L
.54302 .48957 L
.54254 .48904 L
.54162 .48796 L
.54093 .48688 L
.54055 .48636 L
.53933 .48477 L
.53932 .48475 L
.5381 .48314 L
.53772 .48282 L
.53654 .48154 L
.53612 .48063 L
.53557 .47993 L
.53451 .47847 L
.53443 .47833 L
.5332 .47672 L
.53291 .47663 L
.53198 .47512 L
.5313 .47437 L
.53059 .47351 L
.5297 .47215 L
.52952 .47191 L
.52833 .4703 L
.52809 .47 L
.52712 .4687 L
.52649 .46812 L
.52558 .46709 L
.52488 .4658 L
.52464 .46549 L
.52349 .46388 L
.52328 .4636 L
.52231 .46228 L
.52167 .46144 L
.52111 .46067 L
.52007 .45938 L
.51982 .45907 L
.51873 .45746 L
.51846 .45711 L
.51757 .45586 L
.51686 .45491 L
.51639 .45425 L
.51525 .45275 L
.51517 .45265 L
.51409 .45104 L
.51364 .45043 L
.51298 .44943 L
.51204 .44811 L
.51185 .44783 L
.51082 .44622 L
.51043 .44564 L
.50989 .44462 L
F
0 .51 1 r
.51043 .50639 m
.51153 .50722 L
.51204 .50766 L
.51316 .50883 L
.51364 .50933 L
.5146 .51043 L
.51525 .51117 L
.51595 .51204 L
.51686 .51292 L
.51725 .51364 L
.51846 .51517 L
.51853 .51525 L
.5197 .51686 L
.52007 .51734 L
.52086 .51846 L
.52167 .51961 L
.52198 .52007 L
.52295 .52167 L
.52328 .5223 L
.52357 .52328 L
.52328 .52355 L
.52279 .52328 L
.52167 .52245 L
.5209 .52167 L
.52007 .52084 L
.51939 .52007 L
.51846 .51931 L
.518 .51846 L
.51686 .51715 L
.51653 .51686 L
.5154 .51525 L
.51525 .51506 L
.51419 .51364 L
.51364 .51293 L
.51299 .51204 L
.51204 .51072 L
.51184 .51043 L
.5108 .50883 L
.51043 .50823 L
.50994 .50722 L
F
0 .36 1 r
.51043 .45744 m
.51045 .45746 L
.51043 .45834 L
.50997 .45746 L
F
0 .5 1 r
.51043 .50647 m
.51145 .50722 L
.51204 .50771 L
.51312 .50883 L
.51364 .50937 L
.51457 .51043 L
.51525 .51121 L
.51593 .51204 L
.51686 .51296 L
.51723 .51364 L
.51846 .51521 L
.5185 .51525 L
.51967 .51686 L
.52007 .51738 L
.52083 .51846 L
.52167 .51966 L
.52195 .52007 L
.5229 .52167 L
.52328 .52244 L
.52345 .52328 L
.52328 .52342 L
.52294 .52328 L
.52167 .52239 L
.52094 .52167 L
.52007 .5208 L
.51942 .52007 L
.51846 .51926 L
.51802 .51846 L
.51686 .51711 L
.51657 .51686 L
.51543 .51525 L
.51525 .51502 L
.51421 .51364 L
.51364 .5129 L
.51302 .51204 L
.51204 .51068 L
.51187 .51043 L
.51084 .50883 L
.51043 .50814 L
.51 .50722 L
F
1 .51 0 r
.51043 .45082 m
.51063 .45104 L
.51204 .45247 L
.51219 .45265 L
.51363 .45425 L
.51364 .45427 L
.51498 .45586 L
.51525 .45615 L
.51633 .45746 L
.51686 .45806 L
.51767 .45907 L
.51846 .46 L
.519 .46067 L
.52007 .46181 L
.52032 .46228 L
.52163 .46388 L
.52167 .46394 L
.5229 .46549 L
.52328 .46594 L
.52418 .46709 L
.52488 .46745 L
.52546 .4687 L
.52649 .46988 L
.52695 .4703 L
.52801 .47191 L
.52809 .47201 L
.52925 .47351 L
.5297 .47406 L
.53051 .47512 L
.5313 .47585 L
.53177 .47672 L
.53291 .47813 L
.53309 .47833 L
.53427 .47993 L
.53451 .48024 L
.5355 .48154 L
.53612 .48232 L
.53674 .48314 L
.53772 .48428 L
.53819 .48475 L
.53922 .48636 L
.53933 .48649 L
.54043 .48796 L
.54093 .4886 L
.54166 .48957 L
.54254 .49042 L
.54289 .49117 L
.54412 .49278 L
.54414 .4928 L
.54531 .49438 L
.54575 .49494 L
.54651 .49599 L
.54735 .49707 L
.54773 .49759 L
.54896 .4992 L
.54896 .4992 L
.55011 .5008 L
.55057 .50139 L
.55129 .50241 L
.55217 .50357 L
.55249 .50401 L
.55367 .50562 L
.55378 .50576 L
.55477 .50722 L
.55538 .50804 L
.5559 .50883 L
.55699 .51032 L
.55706 .51043 L
.55802 .51204 L
.55859 .51292 L
.55877 .51364 L
.55859 .51366 L
.55857 .51364 L
.55699 .51209 L
.55694 .51204 L
.5555 .51043 L
.55538 .51031 L
.55412 .50883 L
.55378 .50846 L
.55275 .50722 L
.55217 .50657 L
.55139 .50562 L
.55057 .50464 L
.55005 .50401 L
.54896 .5028 L
.54873 .50241 L
.54743 .5008 L
.54735 .50072 L
.54614 .4992 L
.54575 .49873 L
.54485 .49759 L
.54414 .49711 L
.54356 .49599 L
.54254 .49478 L
.54212 .49438 L
.54101 .49278 L
.54093 .49268 L
.53976 .49117 L
.53933 .49064 L
.5385 .48957 L
.53772 .48879 L
.53672 .48796 L
.53612 .48657 L
.53593 .48636 L
.53474 .48475 L
.53451 .48447 L
.5335 .48314 L
.53291 .48286 L
.53225 .48154 L
.5313 .48042 L
.53084 .47993 L
.52977 .47833 L
.5297 .47823 L
.52856 .47672 L
.52809 .47613 L
.52733 .47512 L
.52649 .47426 L
.5257 .47351 L
.52488 .47193 L
.52487 .47191 L
.52368 .4703 L
.52328 .46979 L
.52247 .4687 L
.52167 .46766 L
.52125 .46709 L
.52007 .46554 L
.52002 .46549 L
.51887 .46388 L
.51846 .46334 L
.51769 .46228 L
.51686 .46117 L
.5165 .46067 L
.51532 .45907 L
.51525 .45897 L
.51421 .45746 L
.51364 .4567 L
.51307 .45586 L
.51204 .45442 L
.51193 .45425 L
.51092 .45265 L
.51043 .45193 L
.51 .45104 L
F
0 .49 1 r
.51043 .50657 m
.51137 .50722 L
.51204 .50776 L
.51308 .50883 L
.51364 .50941 L
.51454 .51043 L
.51525 .51125 L
.5159 .51204 L
.51686 .513 L
.5172 .51364 L
.51846 .51525 L
.51846 .51525 L
.51965 .51686 L
.52007 .51742 L
.5208 .51846 L
.52167 .5197 L
.52191 .52007 L
.52285 .52167 L
.52167 .52234 L
.52099 .52167 L
.52007 .52076 L
.51946 .52007 L
.51846 .51922 L
.51805 .51846 L
.51686 .51707 L
.51662 .51686 L
.51546 .51525 L
.51525 .51499 L
.51424 .51364 L
.51364 .51286 L
.51305 .51204 L
.51204 .51064 L
.51189 .51043 L
.51088 .50883 L
.51043 .50805 L
.51006 .50722 L
F
1 .95 .212 r
.51043 .50075 m
.51153 .5008 L
.51204 .5009 L
.51364 .5017 L
.51444 .50241 L
.51525 .50326 L
.51576 .50401 L
.51686 .50515 L
.5169 .50562 L
.51846 .50716 L
.51851 .50722 L
.51984 .50883 L
.52007 .50926 L
.52098 .51043 L
.52167 .51142 L
.52203 .51204 L
.52328 .51354 L
.52353 .51364 L
.52484 .51525 L
.52488 .5154 L
.52601 .51686 L
.52649 .51751 L
.52709 .51846 L
.52809 .51964 L
.52811 .52007 L
.52966 .52167 L
.5297 .52172 L
.53097 .52328 L
.5313 .52386 L
.53203 .52488 L
.53291 .52606 L
.53308 .52649 L
.53425 .52809 L
.53291 .52965 L
.5313 .52927 L
.52989 .52809 L
.5297 .52791 L
.52848 .52649 L
.52809 .52582 L
.52698 .52488 L
.52649 .52379 L
.52589 .52328 L
.52488 .52178 L
.52474 .52167 L
.52341 .52007 L
.52328 .51994 L
.52186 .51846 L
.52167 .51786 L
.52084 .51686 L
.52007 .51573 L
.51974 .51525 L
.51846 .51364 L
.51846 .51364 L
.51725 .51204 L
.51686 .5118 L
.51582 .51043 L
.51525 .50958 L
.51478 .50883 L
.51364 .50733 L
.51361 .50722 L
.5124 .50562 L
.51204 .50511 L
.51085 .50401 L
.51043 .50279 L
.5101 .50241 L
.51023 .5008 L
F
1 .25 0 r
.51043 .51291 m
.51097 .51364 L
.51204 .51501 L
.51219 .51525 L
.51204 .51584 L
.51152 .51525 L
.51043 .51407 L
.51012 .51364 L
F
.001 .78 1 r
.51043 .44429 m
.5108 .44462 L
.51204 .44576 L
.51247 .44622 L
.51364 .44704 L
.51398 .44783 L
.51525 .4492 L
.51542 .44943 L
.51681 .45104 L
.51686 .45109 L
.51817 .45265 L
.51846 .45297 L
.51952 .45425 L
.52007 .45467 L
.52087 .45586 L
.52167 .45678 L
.52244 .45746 L
.52328 .4588 L
.52352 .45907 L
.5248 .46067 L
.52488 .46077 L
.52609 .46228 L
.52649 .46267 L
.52795 .46388 L
.52809 .46475 L
.52877 .46549 L
.5297 .4668 L
.52992 .46709 L
.53122 .4687 L
.5313 .46875 L
.53248 .4703 L
.53291 .47079 L
.53398 .47191 L
.53451 .47288 L
.53502 .47351 L
.53612 .47495 L
.53622 .47512 L
.53752 .47672 L
.53772 .47691 L
.5392 .47833 L
.53933 .479 L
.54012 .47993 L
.54093 .48111 L
.54124 .48154 L
.54252 .48314 L
.54254 .48315 L
.54376 .48475 L
.54414 .48517 L
.54522 .48636 L
.54575 .4873 L
.54627 .48796 L
.54735 .4894 L
.54745 .48957 L
.54872 .49117 L
.54896 .49136 L
.55038 .49278 L
.55057 .49349 L
.5513 .49438 L
.55217 .49564 L
.55241 .49599 L
.55367 .49759 L
.55378 .49761 L
.55489 .4992 L
.55538 .4997 L
.55636 .5008 L
.55699 .50188 L
.55739 .50241 L
.55859 .50401 L
.55859 .50401 L
.55981 .50562 L
.5602 .5059 L
.56148 .50722 L
.5618 .50813 L
.56237 .50883 L
.56341 .51031 L
.56349 .51043 L
.5647 .51204 L
.56501 .51244 L
.56592 .51364 L
.56662 .51438 L
.56736 .51525 L
.56822 .51663 L
.56839 .51686 L
.56957 .51846 L
.56983 .51879 L
.57077 .52007 L
.57143 .52061 L
.57239 .52167 L
.57304 .52299 L
.57326 .52328 L
.5744 .52488 L
.57464 .5252 L
.57558 .52649 L
.57625 .52737 L
.57678 .52809 L
.57785 .52944 L
.57806 .5297 L
.57915 .5313 L
.57946 .53172 L
.5803 .53291 L
.58106 .53393 L
.58147 .53451 L
.58265 .53612 L
.58267 .53615 L
.58373 .53772 L
.58428 .53847 L
.58483 .53933 L
.58588 .54084 L
.58594 .54093 L
.58684 .54254 L
.58588 .54279 L
.58563 .54254 L
.58428 .54133 L
.58409 .54093 L
.58267 .53938 L
.58257 .53933 L
.58123 .53772 L
.58106 .53754 L
.57985 .53612 L
.57946 .53568 L
.57848 .53451 L
.57785 .53395 L
.57713 .53291 L
.57625 .53187 L
.57563 .5313 L
.57464 .52988 L
.57448 .5297 L
.57318 .52809 L
.57304 .52806 L
.57188 .52649 L
.57143 .52601 L
.57016 .52488 L
.56983 .52394 L
.56924 .52328 L
.56822 .5219 L
.56806 .52167 L
.56674 .52007 L
.56662 .51997 L
.56547 .51846 L
.56501 .51792 L
.56404 .51686 L
.56341 .51583 L
.56296 .51525 L
.5618 .51377 L
.56174 .51364 L
.56043 .51204 L
.5602 .51181 L
.55885 .51043 L
.55859 .50971 L
.55786 .50883 L
.55699 .50761 L
.55673 .50722 L
.55542 .50562 L
.55538 .50559 L
.55418 .50401 L
.55378 .50355 L
.55277 .50241 L
.55217 .50143 L
.5517 .5008 L
.55057 .49934 L
.5505 .4992 L
.54921 .49759 L
.54896 .49736 L
.54766 .49599 L
.54735 .49523 L
.54667 .49438 L
.54575 .4931 L
.54554 .49278 L
.54426 .49117 L
.54414 .49112 L
.54303 .48957 L
.54254 .48902 L
.54163 .48796 L
.54093 .48686 L
.54057 .48636 L
.53933 .48475 L
.53933 .48474 L
.53812 .48314 L
.53772 .4828 L
.53655 .48154 L
.53612 .4806 L
.53559 .47993 L
.53451 .47844 L
.53444 .47833 L
.53322 .47672 L
.53291 .47662 L
.532 .47512 L
.5313 .47434 L
.53061 .47351 L
.5297 .47212 L
.52955 .47191 L
.52835 .4703 L
.52809 .46997 L
.52715 .4687 L
.52649 .46809 L
.52561 .46709 L
.52488 .46576 L
.52468 .46549 L
.52352 .46388 L
.52328 .46356 L
.52234 .46228 L
.52167 .4614 L
.52114 .46067 L
.52007 .45931 L
.51987 .45907 L
.51877 .45746 L
.51846 .45705 L
.51761 .45586 L
.51686 .45485 L
.51643 .45425 L
.51526 .45265 L
.51525 .45264 L
.51416 .45104 L
.51364 .45033 L
.51305 .44943 L
.51204 .44799 L
.51193 .44783 L
.51096 .44622 L
.51043 .44538 L
.51012 .44462 L
F
1 .93 .114 r
.51043 .43762 m
.51112 .4382 L
.51204 .439 L
.51283 .4398 L
.51364 .44063 L
.51437 .44141 L
.51525 .44225 L
.51584 .44301 L
.51686 .44417 L
.51742 .44462 L
.51846 .44604 L
.51863 .44622 L
.52001 .44783 L
.52007 .44786 L
.52136 .44943 L
.52167 .44979 L
.5231 .45104 L
.52328 .45178 L
.52405 .45265 L
.52488 .45379 L
.52522 .45425 L
.52649 .45576 L
.52664 .45586 L
.52793 .45746 L
.52809 .45767 L
.52931 .45907 L
.5297 .45973 L
.53042 .46067 L
.5313 .46182 L
.53154 .46228 L
.53291 .46384 L
.53305 .46388 L
.53443 .46549 L
.53451 .46577 L
.53557 .46709 L
.53612 .46787 L
.53667 .4687 L
.53772 .47 L
.5381 .4703 L
.53933 .4719 L
.53934 .47191 L
.54065 .47351 L
.54093 .47399 L
.54176 .47512 L
.54254 .47613 L
.54282 .47672 L
.54414 .47823 L
.54434 .47833 L
.54567 .47993 L
.54575 .48016 L
.54682 .48154 L
.54735 .48229 L
.5479 .48314 L
.54896 .48443 L
.54932 .48475 L
.55054 .48636 L
.55057 .48638 L
.55185 .48796 L
.55217 .48849 L
.55295 .48957 L
.55378 .49063 L
.55401 .49117 L
.55538 .4927 L
.5555 .49278 L
.55686 .49438 L
.55699 .49471 L
.55798 .49599 L
.55859 .49684 L
.55906 .49759 L
.5602 .49896 L
.56045 .4992 L
.56167 .5008 L
.5618 .50095 L
.563 .50241 L
.56341 .50306 L
.56409 .50401 L
.56501 .5052 L
.56518 .50562 L
.56661 .50722 L
.56662 .50723 L
.56802 .50883 L
.56822 .5093 L
.5691 .51043 L
.56983 .51144 L
.57019 .51204 L
.57143 .51353 L
.57154 .51364 L
.57276 .51525 L
.57304 .51555 L
.57412 .51686 L
.57464 .51768 L
.57519 .51846 L
.57625 .51981 L
.57634 .52007 L
.57768 .52167 L
.57785 .52181 L
.57915 .52328 L
.57946 .52392 L
.58019 .52488 L
.58106 .52607 L
.58131 .52649 L
.5826 .52809 L
.58267 .52811 L
.58382 .5297 L
.58428 .53016 L
.5852 .5313 L
.58588 .53234 L
.58627 .53291 L
.58749 .53448 L
.5875 .53451 L
.58872 .53612 L
.58909 .53639 L
.59024 .53772 L
.5907 .5386 L
.59124 .53933 L
.5923 .54079 L
.59238 .54093 L
.59361 .54254 L
.59391 .54292 L
.59536 .54414 L
.59551 .54486 L
.59621 .54575 L
.59712 .54711 L
.59728 .54735 L
.59848 .54896 L
.59872 .54927 L
.59968 .55057 L
.60033 .55111 L
.60118 .55217 L
.60193 .55347 L
.60216 .55378 L
.60331 .55538 L
.60354 .55568 L
.60449 .55699 L
.60514 .55784 L
.60618 .55859 L
.60675 .55991 L
.60696 .5602 L
.60806 .5618 L
.60835 .56219 L
.60922 .56341 L
.60996 .56441 L
.61038 .56501 L
.61156 .56662 L
.61156 .56662 L
.61264 .56822 L
.61317 .56896 L
.61373 .56983 L
.61477 .57135 L
.61482 .57143 L
.61571 .57304 L
.61477 .57352 L
.61428 .57304 L
.61317 .57247 L
.61267 .57143 L
.61156 .57032 L
.61117 .56983 L
.60996 .56847 L
.60966 .56822 L
.60835 .56664 L
.60834 .56662 L
.60696 .56501 L
.60675 .56485 L
.60559 .56341 L
.60514 .56288 L
.60394 .5618 L
.60354 .56089 L
.60292 .5602 L
.60193 .5589 L
.60171 .55859 L
.60033 .557 L
.60031 .55699 L
.59901 .55538 L
.59872 .55501 L
.59764 .55378 L
.59712 .55295 L
.59652 .55217 L
.59551 .55088 L
.59538 .55057 L
.59391 .54898 L
.59389 .54896 L
.59249 .54735 L
.5923 .54692 L
.59138 .54575 L
.5907 .54481 L
.59028 .54414 L
.58909 .54271 L
.58883 .54254 L
.58759 .54093 L
.58749 .5408 L
.58629 .53933 L
.58588 .53869 L
.58518 .53772 L
.58428 .53656 L
.58412 .53612 L
.58267 .53453 L
.58259 .53451 L
.58124 .53291 L
.58106 .53252 L
.58012 .5313 L
.57946 .53039 L
.57904 .5297 L
.57785 .52828 L
.57762 .52809 L
.57625 .52649 L
.57625 .52632 L
.57509 .52488 L
.57464 .5242 L
.57399 .52328 L
.57304 .52207 L
.57292 .52167 L
.57143 .52007 L
.57143 .52007 L
.57006 .51846 L
.56983 .51798 L
.56896 .51686 L
.56822 .51585 L
.56788 .51525 L
.56662 .51376 L
.56649 .51364 L
.56504 .51204 L
.56501 .51175 L
.56394 .51043 L
.56341 .50963 L
.56286 .50883 L
.5618 .5075 L
.56173 .50722 L
.56032 .50562 L
.5602 .50549 L
.55891 .50401 L
.55859 .50339 L
.55784 .50241 L
.55699 .50126 L
.55674 .5008 L
.55539 .4992 L
.55538 .49919 L
.55385 .49759 L
.55378 .49715 L
.55283 .49599 L
.55217 .49501 L
.55174 .49438 L
.55057 .49289 L
.55054 .49278 L
.54925 .49117 L
.54896 .49091 L
.54779 .48957 L
.54735 .48877 L
.54675 .48796 L
.54575 .48662 L
.54561 .48636 L
.54433 .48475 L
.54414 .48466 L
.5427 .48314 L
.54254 .48253 L
.54175 .48154 L
.54093 .48035 L
.54066 .47993 L
.53942 .47833 L
.53933 .47822 L
.5382 .47672 L
.53772 .4763 L
.53673 .47512 L
.53612 .47408 L
.5357 .47351 L
.53451 .47191 L
.53451 .47191 L
.53331 .4703 L
.53291 .47011 L
.53164 .4687 L
.5313 .46781 L
.53075 .46709 L
.5297 .46558 L
.52963 .46549 L
.52844 .46388 L
.52809 .46344 L
.52723 .46228 L
.52649 .46155 L
.52579 .46067 L
.52488 .45922 L
.52477 .45907 L
.5236 .45746 L
.52328 .45704 L
.52241 .45586 L
.52167 .45489 L
.52083 .45425 L
.52007 .45279 L
.51996 .45265 L
.51883 .45104 L
.51846 .45056 L
.51766 .44943 L
.51686 .44836 L
.51648 .44783 L
.5153 .44622 L
.51525 .44615 L
.5142 .44462 L
.51364 .44385 L
.51309 .44301 L
.51204 .44152 L
.51197 .44141 L
.511 .4398 L
.51043 .43889 L
.51013 .4382 L
F
0 .48 1 r
.51043 .50667 m
.51129 .50722 L
.51204 .50782 L
.51304 .50883 L
.51364 .50945 L
.5145 .51043 L
.51525 .51128 L
.51587 .51204 L
.51686 .51305 L
.51718 .51364 L
.51843 .51525 L
.51846 .51528 L
.51962 .51686 L
.52007 .51746 L
.52077 .51846 L
.52167 .51975 L
.52188 .52007 L
.52279 .52167 L
.52167 .52228 L
.52104 .52167 L
.52007 .52071 L
.51949 .52007 L
.51846 .51917 L
.51808 .51846 L
.51686 .51703 L
.51666 .51686 L
.51549 .51525 L
.51525 .51496 L
.51427 .51364 L
.51364 .51283 L
.51307 .51204 L
.51204 .5106 L
.51192 .51043 L
.51093 .50883 L
.51043 .50795 L
.51013 .50722 L
F
1 .24 0 r
.51043 .51302 m
.51089 .51364 L
.51204 .51513 L
.51211 .51525 L
.51204 .51569 L
.51164 .51525 L
.51043 .51398 L
.51019 .51364 L
F
0 .47 1 r
.51043 .50679 m
.51119 .50722 L
.51204 .50787 L
.51299 .50883 L
.51364 .50949 L
.51447 .51043 L
.51525 .51132 L
.51584 .51204 L
.51686 .51309 L
.51715 .51364 L
.5184 .51525 L
.51846 .51532 L
.51959 .51686 L
.52007 .5175 L
.52074 .51846 L
.52167 .5198 L
.52184 .52007 L
.52273 .52167 L
.52167 .52222 L
.5211 .52167 L
.52007 .52067 L
.51953 .52007 L
.51846 .51912 L
.51811 .51846 L
.51686 .51699 L
.51671 .51686 L
.51551 .51525 L
.51525 .51492 L
.51429 .51364 L
.51364 .51279 L
.5131 .51204 L
.51204 .51056 L
.51195 .51043 L
.51097 .50883 L
.51043 .50784 L
.51021 .50722 L
F
1 .5 0 r
.51043 .45099 m
.51048 .45104 L
.51204 .45256 L
.51211 .45265 L
.51355 .45425 L
.51364 .45435 L
.51492 .45586 L
.51525 .45621 L
.51628 .45746 L
.51686 .45811 L
.51763 .45907 L
.51846 .46004 L
.51896 .46067 L
.52007 .46187 L
.52029 .46228 L
.52159 .46388 L
.52167 .46398 L
.52286 .46549 L
.52328 .46598 L
.52415 .46709 L
.52488 .46749 L
.52543 .4687 L
.52649 .46992 L
.52691 .4703 L
.52798 .47191 L
.52809 .47204 L
.52923 .47351 L
.5297 .47409 L
.53049 .47512 L
.5313 .47588 L
.53175 .47672 L
.53291 .47817 L
.53306 .47833 L
.53424 .47993 L
.53451 .48027 L
.53547 .48154 L
.53612 .48235 L
.53672 .48314 L
.53772 .48431 L
.53816 .48475 L
.5392 .48636 L
.53933 .48652 L
.54041 .48796 L
.54093 .48863 L
.54163 .48957 L
.54254 .49046 L
.54287 .49117 L
.5441 .49278 L
.54414 .49283 L
.54528 .49438 L
.54575 .49498 L
.54649 .49599 L
.54735 .49711 L
.54771 .49759 L
.54892 .4992 L
.54896 .49924 L
.55008 .5008 L
.55057 .50143 L
.55126 .50241 L
.55217 .50361 L
.55245 .50401 L
.55362 .50562 L
.55378 .50582 L
.55473 .50722 L
.55538 .50811 L
.55585 .50883 L
.55699 .51041 L
.557 .51043 L
.55699 .51198 L
.55559 .51043 L
.55538 .51023 L
.55418 .50883 L
.55378 .50839 L
.5528 .50722 L
.55217 .50651 L
.55144 .50562 L
.55057 .50459 L
.55009 .50401 L
.54896 .50274 L
.54876 .50241 L
.54746 .5008 L
.54735 .50068 L
.54618 .4992 L
.54575 .49869 L
.54488 .49759 L
.54414 .49707 L
.54359 .49599 L
.54254 .49474 L
.54216 .49438 L
.54104 .49278 L
.54093 .49264 L
.53979 .49117 L
.53933 .4906 L
.53852 .48957 L
.53772 .48876 L
.53676 .48796 L
.53612 .48653 L
.53596 .48636 L
.53476 .48475 L
.53451 .48444 L
.53352 .48314 L
.53291 .48283 L
.53228 .48154 L
.5313 .48038 L
.53087 .47993 L
.5298 .47833 L
.5297 .4782 L
.52858 .47672 L
.52809 .4761 L
.52736 .47512 L
.52649 .47422 L
.52574 .47351 L
.5249 .47191 L
.52488 .47189 L
.5237 .4703 L
.52328 .46975 L
.5225 .4687 L
.52167 .46762 L
.52128 .46709 L
.52007 .46549 L
.52007 .46548 L
.51891 .46388 L
.51846 .4633 L
.51773 .46228 L
.51686 .46112 L
.51654 .46067 L
.51536 .45907 L
.51525 .45891 L
.51425 .45746 L
.51364 .45664 L
.51312 .45586 L
.51204 .45434 L
.51198 .45425 L
.51102 .45265 L
.51043 .45173 L
.51023 .45104 L
F
1 .94 .156 r
.51043 .50099 m
.51204 .50106 L
.51364 .50187 L
.5143 .50241 L
.51525 .50338 L
.51568 .50401 L
.51686 .50523 L
.51688 .50562 L
.51846 .50722 L
.51846 .50722 L
.51981 .50883 L
.52007 .50932 L
.52094 .51043 L
.52167 .51146 L
.52201 .51204 L
.52328 .51355 L
.5235 .51364 L
.52483 .51525 L
.52488 .51543 L
.52598 .51686 L
.52649 .51755 L
.52706 .51846 L
.52809 .51968 L
.52811 .52007 L
.52963 .52167 L
.5297 .52176 L
.53094 .52328 L
.5313 .52392 L
.53199 .52488 L
.53291 .52614 L
.53304 .52649 L
.53413 .52809 L
.53291 .52952 L
.5313 .52914 L
.53 .52809 L
.5297 .52782 L
.52854 .52649 L
.52809 .52573 L
.52702 .52488 L
.52649 .52375 L
.52592 .52328 L
.52488 .52177 L
.52475 .52167 L
.52343 .52007 L
.52328 .51991 L
.52187 .51846 L
.52167 .51783 L
.52086 .51686 L
.52007 .51571 L
.51976 .51525 L
.51849 .51364 L
.51846 .51361 L
.51727 .51204 L
.51686 .51178 L
.51584 .51043 L
.51525 .50954 L
.5148 .50883 L
.51364 .50727 L
.51363 .50722 L
.51245 .50562 L
.51204 .50504 L
.5109 .50401 L
.51043 .50265 L
.51024 .50241 L
F
1 .23 0 r
.51043 .51314 m
.51078 .51364 L
.51043 .51386 L
.51027 .51364 L
F
.733 .99 1 r
.51043 .43113 m
.51132 .43178 L
.51204 .43236 L
.5131 .43338 L
.51364 .43391 L
.51468 .43499 L
.51525 .43545 L
.51619 .43659 L
.51686 .43736 L
.51807 .4382 L
.51846 .43923 L
.51903 .4398 L
.52007 .44112 L
.52029 .44141 L
.52167 .44299 L
.52179 .44301 L
.52314 .44462 L
.52328 .44481 L
.5245 .44622 L
.52488 .44682 L
.52566 .44783 L
.52649 .44891 L
.52674 .44943 L
.52809 .45066 L
.52841 .45104 L
.52969 .45265 L
.5297 .45267 L
.53092 .45425 L
.5313 .45479 L
.53201 .45586 L
.53291 .45701 L
.53354 .45746 L
.53451 .45873 L
.53479 .45907 L
.53603 .46067 L
.53612 .46081 L
.53718 .46228 L
.53772 .463 L
.53814 .46388 L
.53933 .46487 L
.53982 .46549 L
.54093 .46695 L
.54105 .46709 L
.54225 .4687 L
.54254 .4691 L
.5433 .4703 L
.54414 .47136 L
.54481 .47191 L
.54575 .47315 L
.54604 .47351 L
.54726 .47512 L
.54735 .47526 L
.54838 .47672 L
.54896 .47748 L
.54932 .47833 L
.55057 .47939 L
.551 .47993 L
.55217 .48148 L
.55221 .48154 L
.55341 .48314 L
.55378 .48365 L
.55444 .48475 L
.55538 .48589 L
.55595 .48636 L
.55699 .48773 L
.55717 .48796 L
.5584 .48957 L
.55859 .48986 L
.5595 .49117 L
.5602 .49205 L
.56044 .49278 L
.5618 .49426 L
.56211 .49438 L
.56335 .49599 L
.56341 .4961 L
.56452 .49759 L
.56501 .49825 L
.56555 .4992 L
.56662 .50044 L
.56705 .5008 L
.56822 .50236 L
.56826 .50241 L
.56951 .50401 L
.56983 .50448 L
.5706 .50562 L
.57143 .50665 L
.57157 .50722 L
.57304 .50875 L
.5732 .50883 L
.57449 .51043 L
.57464 .51072 L
.57562 .51204 L
.57625 .51287 L
.57667 .51364 L
.57785 .515 L
.57813 .51525 L
.57943 .51686 L
.57946 .51698 L
.58062 .51846 L
.58106 .5191 L
.58171 .52007 L
.58267 .52124 L
.58273 .52167 L
.58428 .52327 L
.58428 .52328 L
.58562 .52488 L
.58588 .52534 L
.58672 .52649 L
.58749 .52748 L
.58779 .52809 L
.58909 .52958 L
.58921 .5297 L
.59062 .5313 L
.5907 .53159 L
.59173 .53291 L
.5923 .53372 L
.59282 .53451 L
.59391 .53585 L
.59393 .53612 L
.59536 .53772 L
.59551 .53786 L
.59674 .53933 L
.59712 .53996 L
.59782 .54093 L
.59872 .5421 L
.59893 .54254 L
.60029 .54414 L
.60033 .54416 L
.60179 .54575 L
.60193 .5462 L
.60283 .54735 L
.60354 .54835 L
.60392 .54896 L
.60514 .55048 L
.60522 .55057 L
.60643 .55217 L
.60675 .55243 L
.60785 .55378 L
.60835 .55459 L
.60891 .55538 L
.60996 .55675 L
.61007 .55699 L
.61135 .55859 L
.61156 .55867 L
.61292 .5602 L
.61317 .56082 L
.61391 .5618 L
.61477 .56302 L
.61502 .56341 L
.61627 .56501 L
.61638 .56515 L
.61748 .56662 L
.61799 .56703 L
.61893 .56822 L
.61959 .56927 L
.61998 .56983 L
.62118 .57143 L
.6212 .57145 L
.62238 .57304 L
.6228 .57358 L
.62399 .57464 L
.62441 .57552 L
.62493 .57625 L
.62601 .57777 L
.62606 .57785 L
.62727 .57946 L
.62762 .57991 L
.62847 .58106 L
.62922 .58176 L
.62989 .58267 L
.63083 .58411 L
.63094 .58428 L
.63211 .58588 L
.63243 .5863 L
.6333 .58749 L
.63404 .58845 L
.63483 .58909 L
.63564 .59055 L
.63575 .5907 L
.63688 .5923 L
.63725 .59279 L
.63804 .59391 L
.63885 .595 L
.63921 .59551 L
.64038 .59712 L
.64046 .59722 L
.64146 .59872 L
.64206 .59957 L
.64255 .60033 L
.64363 .60193 L
.64367 .60199 L
.64449 .60354 L
.64367 .60422 L
.64293 .60354 L
.64206 .60274 L
.64128 .60193 L
.64046 .60118 L
.63975 .60033 L
.63885 .59933 L
.63801 .59872 L
.63725 .59748 L
.63688 .59712 L
.63564 .59562 L
.63555 .59551 L
.63413 .59391 L
.63404 .5938 L
.63277 .5923 L
.63243 .59184 L
.63142 .5907 L
.63083 .58982 L
.63027 .58909 L
.62922 .58775 L
.62915 .58749 L
.62762 .58599 L
.62753 .58588 L
.62619 .58428 L
.62601 .58394 L
.62503 .58267 L
.62441 .58181 L
.62395 .58106 L
.6228 .57996 L
.6224 .57946 L
.6212 .5779 L
.62116 .57785 L
.6199 .57625 L
.61959 .57578 L
.61879 .57464 L
.61799 .57357 L
.61783 .57304 L
.61638 .57175 L
.61613 .57143 L
.61487 .56983 L
.61477 .56965 L
.61371 .56822 L
.61317 .56748 L
.61267 .56662 L
.61156 .56524 L
.61114 .56501 L
.60996 .56346 L
.60992 .56341 L
.60868 .5618 L
.60835 .56132 L
.60759 .5602 L
.60675 .55911 L
.60664 .55859 L
.60514 .55722 L
.60496 .55699 L
.60369 .55538 L
.60354 .55511 L
.60255 .55378 L
.60193 .55294 L
.60152 .55217 L
.60033 .55075 L
.60001 .55057 L
.59875 .54896 L
.59872 .54887 L
.59754 .54735 L
.59712 .54673 L
.59646 .54575 L
.59551 .54456 L
.59547 .54414 L
.59391 .54261 L
.59385 .54254 L
.59255 .54093 L
.5923 .54051 L
.59143 .53933 L
.5907 .53835 L
.59038 .53772 L
.58909 .53624 L
.58891 .53612 L
.58756 .53451 L
.58749 .53426 L
.58642 .53291 L
.58588 .53213 L
.58534 .5313 L
.58428 .52999 L
.58398 .5297 L
.58275 .52809 L
.58267 .528 L
.58141 .52649 L
.58106 .52589 L
.58032 .52488 L
.57946 .52375 L
.57924 .52328 L
.57785 .5217 L
.57782 .52167 L
.5764 .52007 L
.57625 .51965 L
.57531 .51846 L
.57464 .51752 L
.57422 .51686 L
.57304 .51541 L
.57289 .51525 L
.57167 .51364 L
.57143 .5134 L
.57029 .51204 L
.56983 .51128 L
.56921 .51043 L
.56822 .50915 L
.56809 .50883 L
.56674 .50722 L
.56662 .50713 L
.56524 .50562 L
.56501 .50504 L
.56421 .50401 L
.56341 .50289 L
.5631 .50241 L
.56181 .5008 L
.5618 .5008 L
.56059 .4992 L
.5602 .49881 L
.55918 .49759 L
.55859 .49665 L
.55811 .49599 L
.55699 .49452 L
.55693 .49438 L
.55566 .49278 L
.55538 .49258 L
.55412 .49117 L
.55378 .49042 L
.55311 .48957 L
.55217 .48825 L
.55199 .48796 L
.55074 .48636 L
.55057 .48614 L
.54952 .48475 L
.54896 .48421 L
.54809 .48314 L
.54735 .482 L
.54703 .48154 L
.54581 .47993 L
.54575 .47986 L
.5446 .47833 L
.54414 .47803 L
.54303 .47672 L
.54254 .47577 L
.54205 .47512 L
.54093 .47358 L
.5409 .47351 L
.53968 .47191 L
.53933 .47146 L
.53846 .4703 L
.53772 .46956 L
.53705 .4687 L
.53612 .4673 L
.53597 .46709 L
.53477 .46549 L
.53451 .46516 L
.53356 .46388 L
.53291 .4634 L
.53201 .46228 L
.5313 .46104 L
.53103 .46067 L
.52987 .45907 L
.5297 .45884 L
.52867 .45746 L
.52809 .45672 L
.52745 .45586 L
.52649 .45477 L
.5261 .45425 L
.525 .45265 L
.52488 .4525 L
.52381 .45104 L
.52328 .45035 L
.52261 .44943 L
.52167 .44822 L
.52119 .44783 L
.52018 .44622 L
.52007 .44608 L
.51901 .44462 L
.51846 .4439 L
.51783 .44301 L
.51686 .44172 L
.51664 .44141 L
.51547 .4398 L
.51525 .43951 L
.51436 .4382 L
.51364 .43722 L
.51323 .43659 L
.51211 .43499 L
.51204 .43489 L
.51115 .43338 L
.51043 .43217 L
.51028 .43178 L
F
0 .46 1 r
.51043 .50693 m
.51107 .50722 L
.51204 .50793 L
.51294 .50883 L
.51364 .50953 L
.51443 .51043 L
.51525 .51135 L
.51581 .51204 L
.51686 .51314 L
.51712 .51364 L
.51838 .51525 L
.51846 .51536 L
.51956 .51686 L
.52007 .51754 L
.52071 .51846 L
.52167 .51986 L
.52181 .52007 L
.52267 .52167 L
.52167 .52216 L
.52116 .52167 L
.52007 .52063 L
.51957 .52007 L
.51846 .51907 L
.51814 .51846 L
.51686 .51695 L
.51675 .51686 L
.51554 .51525 L
.51525 .51489 L
.51432 .51364 L
.51364 .51276 L
.51313 .51204 L
.51204 .51051 L
.51199 .51043 L
.51102 .50883 L
.51043 .50769 L
.51029 .50722 L
F
.156 .94 1 r
.51043 .54235 m
.51067 .54254 L
.51204 .54385 L
.51231 .54414 L
.51364 .54561 L
.51377 .54575 L
.51516 .54735 L
.51525 .54746 L
.51652 .54896 L
.51686 .54934 L
.51788 .55057 L
.51846 .55125 L
.51922 .55217 L
.52007 .55295 L
.52055 .55378 L
.52167 .55513 L
.52194 .55538 L
.52315 .55699 L
.52328 .55713 L
.52445 .55859 L
.52488 .55912 L
.52575 .5602 L
.52649 .561 L
.52745 .5618 L
.52809 .56312 L
.52834 .56341 L
.52958 .56501 L
.5297 .56515 L
.53086 .56662 L
.5313 .56694 L
.53213 .56822 L
.53291 .56916 L
.53352 .56983 L
.53451 .57127 L
.53463 .57143 L
.53589 .57304 L
.53612 .57333 L
.53714 .57464 L
.53772 .57525 L
.53875 .57625 L
.53933 .57744 L
.53966 .57785 L
.54087 .57946 L
.54093 .57954 L
.5421 .58106 L
.54254 .58133 L
.54334 .58267 L
.54414 .58364 L
.54469 .58428 L
.54575 .58582 L
.54579 .58588 L
.54701 .58749 L
.54735 .58794 L
.54823 .58909 L
.54896 .58987 L
.54975 .5907 L
.55057 .59216 L
.55067 .5923 L
.55185 .59391 L
.55217 .59433 L
.55305 .59551 L
.55378 .59606 L
.55425 .59712 L
.55538 .59861 L
.55547 .59872 L
.5566 .60033 L
.55699 .60084 L
.55777 .60193 L
.55859 .60305 L
.55895 .60354 L
.56009 .60514 L
.5602 .60529 L
.56119 .60675 L
.5618 .6076 L
.5623 .60835 L
.5618 .60986 L
.56051 .60835 L
.5602 .60802 L
.55915 .60675 L
.55859 .60613 L
.5578 .60514 L
.55699 .60421 L
.55645 .60354 L
.55538 .60246 L
.55512 .60193 L
.5538 .60033 L
.55378 .6003 L
.55253 .59872 L
.55217 .59829 L
.55126 .59712 L
.55057 .59628 L
.54997 .59551 L
.54896 .5944 L
.54836 .59391 L
.5474 .5923 L
.54735 .59224 L
.54616 .5907 L
.54575 .59019 L
.54491 .58909 L
.54414 .5885 L
.54364 .58749 L
.54254 .58616 L
.54226 .58588 L
.54113 .58428 L
.54093 .58403 L
.5399 .58267 L
.53933 .58196 L
.53866 .58106 L
.53772 .58007 L
.53707 .57946 L
.53615 .57785 L
.53612 .57782 L
.53494 .57625 L
.53451 .57572 L
.53371 .57464 L
.53291 .57403 L
.53247 .57304 L
.5313 .57159 L
.53116 .57143 L
.53001 .56983 L
.5297 .56943 L
.52881 .56822 L
.52809 .56732 L
.52758 .56662 L
.52649 .56534 L
.52617 .56501 L
.52513 .56341 L
.52488 .56309 L
.52394 .5618 L
.52328 .56095 L
.52273 .5602 L
.52167 .55883 L
.5215 .55859 L
.52031 .55699 L
.52007 .55667 L
.51915 .55538 L
.51846 .55449 L
.51796 .55378 L
.51686 .55233 L
.51675 .55217 L
.5156 .55057 L
.51525 .5501 L
.51448 .54896 L
.51364 .54784 L
.51333 .54735 L
.51219 .54575 L
.51204 .54554 L
.51122 .54414 L
.51043 .5429 L
.51032 .54254 L
F
1 .22 0 r
.51043 .51333 m
.51062 .51364 L
.51043 .51372 L
.51038 .51364 L
F
1 .93 .114 r
.51043 .50128 m
.51204 .50121 L
.51364 .50203 L
.51414 .50241 L
.51525 .5035 L
.51561 .50401 L
.51686 .50532 L
.51687 .50562 L
.51841 .50722 L
.51846 .50729 L
.51978 .50883 L
.52007 .50937 L
.52091 .51043 L
.52167 .5115 L
.52199 .51204 L
.52328 .51357 L
.52347 .51364 L
.52482 .51525 L
.52488 .51547 L
.52596 .51686 L
.52649 .51758 L
.52703 .51846 L
.52809 .51971 L
.5281 .52007 L
.52959 .52167 L
.5297 .52181 L
.53091 .52328 L
.5313 .52398 L
.53194 .52488 L
.53291 .52623 L
.53301 .52649 L
.53401 .52809 L
.53291 .52938 L
.5313 .52901 L
.53012 .52809 L
.5297 .52772 L
.5286 .52649 L
.52809 .52566 L
.52705 .52488 L
.52649 .52371 L
.52595 .52328 L
.52488 .52175 L
.52477 .52167 L
.52346 .52007 L
.52328 .51989 L
.52188 .51846 L
.52167 .5178 L
.52088 .51686 L
.52007 .51568 L
.51978 .51525 L
.51851 .51364 L
.51846 .51358 L
.5173 .51204 L
.51686 .51176 L
.51586 .51043 L
.51525 .5095 L
.51483 .50883 L
.51365 .50722 L
.51364 .50721 L
.51249 .50562 L
.51204 .50497 L
.51097 .50401 L
.51043 .50247 L
.51038 .50241 L
F
0 .45 1 r
.51043 .50712 m
.51091 .50722 L
.51204 .50798 L
.5129 .50883 L
.51364 .50957 L
.5144 .51043 L
.51525 .51139 L
.51578 .51204 L
.51686 .51318 L
.5171 .51364 L
.51835 .51525 L
.51846 .5154 L
.51953 .51686 L
.52007 .51758 L
.52068 .51846 L
.52167 .51991 L
.52177 .52007 L
.5226 .52167 L
.52167 .52209 L
.52121 .52167 L
.52007 .52058 L
.5196 .52007 L
.51846 .51902 L
.51817 .51846 L
.51686 .5169 L
.5168 .51686 L
.51557 .51525 L
.51525 .51485 L
.51435 .51364 L
.51364 .51272 L
.51316 .51204 L
.51204 .51047 L
.51202 .51043 L
.51107 .50883 L
.51043 .50747 L
.51039 .50722 L
F
1 .92 .084 r
.51043 .47697 m
.51107 .47833 L
.51043 .47834 L
.51042 .47833 L
F
.51204 .50136 m
.51364 .50218 L
.51397 .50241 L
.51525 .50361 L
.51554 .50401 L
.51686 .5054 L
.51687 .50562 L
.51836 .50722 L
.51846 .50736 L
.51975 .50883 L
.52007 .50943 L
.52088 .51043 L
.52167 .51154 L
.52196 .51204 L
.52328 .51358 L
.52344 .51364 L
.52481 .51525 L
.52488 .5155 L
.52593 .51686 L
.52649 .51762 L
.52701 .51846 L
.52809 .51975 L
.5281 .52007 L
.52956 .52167 L
.5297 .52186 L
.53088 .52328 L
.5313 .52404 L
.5319 .52488 L
.53291 .52633 L
.53297 .52649 L
.53388 .52809 L
.53291 .52924 L
.5313 .52889 L
.53024 .52809 L
.5297 .52763 L
.52866 .52649 L
.52809 .52559 L
.52709 .52488 L
.52649 .52367 L
.52599 .52328 L
.52488 .52174 L
.52479 .52167 L
.52348 .52007 L
.52328 .51986 L
.52189 .51846 L
.52167 .51777 L
.5209 .51686 L
.52007 .51565 L
.51979 .51525 L
.51853 .51364 L
.51846 .51355 L
.51732 .51204 L
.51686 .51173 L
.51589 .51043 L
.51525 .50946 L
.51486 .50883 L
.51369 .50722 L
.51364 .50716 L
.51254 .50562 L
.51204 .50489 L
.51105 .50401 L
.51053 .50241 L
F
1 .91 .061 r
.51204 .50151 m
.51364 .50232 L
.51378 .50241 L
.51525 .50372 L
.51547 .50401 L
.51686 .50548 L
.51686 .50562 L
.51831 .50722 L
.51846 .50743 L
.51972 .50883 L
.52007 .50948 L
.52084 .51043 L
.52167 .51158 L
.52194 .51204 L
.52328 .5136 L
.52341 .51364 L
.5248 .51525 L
.52488 .51554 L
.52591 .51686 L
.52649 .51766 L
.52699 .51846 L
.52809 .51979 L
.5281 .52007 L
.52953 .52167 L
.5297 .52191 L
.53085 .52328 L
.5313 .5241 L
.53185 .52488 L
.53291 .52642 L
.53293 .52649 L
.53375 .52809 L
.53291 .5291 L
.5313 .52877 L
.53036 .52809 L
.5297 .52755 L
.52872 .52649 L
.52809 .52552 L
.52713 .52488 L
.52649 .52363 L
.52602 .52328 L
.52488 .52172 L
.5248 .52167 L
.52351 .52007 L
.52328 .51984 L
.52191 .51846 L
.52167 .51775 L
.52092 .51686 L
.52007 .51562 L
.51981 .51525 L
.51856 .51364 L
.51846 .51352 L
.51734 .51204 L
.51686 .51171 L
.51591 .51043 L
.51525 .50941 L
.51489 .50883 L
.51373 .50722 L
.51364 .50711 L
.51259 .50562 L
.51204 .50481 L
.51113 .50401 L
.51067 .50241 L
F
1 .9 .045 r
.51204 .50166 m
.51357 .50241 L
.51364 .50244 L
.51525 .50382 L
.51539 .50401 L
.51686 .50556 L
.51686 .50562 L
.51826 .50722 L
.51846 .50749 L
.51969 .50883 L
.52007 .50953 L
.52081 .51043 L
.52167 .51162 L
.52192 .51204 L
.52328 .51361 L
.52337 .51364 L
.52479 .51525 L
.52488 .51557 L
.52588 .51686 L
.52649 .51769 L
.52696 .51846 L
.52809 .51982 L
.5281 .52007 L
.52949 .52167 L
.5297 .52195 L
.53082 .52328 L
.5313 .52416 L
.53181 .52488 L
.53288 .52649 L
.53291 .52654 L
.53362 .52809 L
.53291 .52895 L
.5313 .52865 L
.53049 .52809 L
.5297 .52746 L
.52879 .52649 L
.52809 .52546 L
.52717 .52488 L
.52649 .5236 L
.52605 .52328 L
.52488 .52171 L
.52482 .52167 L
.52354 .52007 L
.52328 .51981 L
.52192 .51846 L
.52167 .51772 L
.52095 .51686 L
.52007 .51559 L
.51983 .51525 L
.51858 .51364 L
.51846 .51349 L
.51737 .51204 L
.51686 .51168 L
.51594 .51043 L
.51525 .50937 L
.51492 .50883 L
.51376 .50722 L
.51364 .50706 L
.51263 .50562 L
.51204 .50473 L
.51122 .50401 L
.51082 .50241 L
F
1 .97 .395 r
.51204 .53556 m
.51266 .53612 L
.51364 .53716 L
.51413 .53772 L
.51525 .53908 L
.51544 .53933 L
.51667 .54093 L
.51686 .54119 L
.51782 .54254 L
.51846 .54344 L
.51894 .54414 L
.52005 .54575 L
.52007 .54577 L
.52119 .54735 L
.52167 .54768 L
.52234 .54896 L
.52328 .55024 L
.52364 .55057 L
.5247 .55217 L
.52488 .5524 L
.52595 .55378 L
.52649 .55428 L
.52721 .55538 L
.52809 .55649 L
.5286 .55699 L
.5297 .55855 L
.52973 .55859 L
.53102 .5602 L
.5313 .56032 L
.53233 .5618 L
.53291 .56249 L
.53387 .56341 L
.53451 .56456 L
.53486 .56501 L
.53612 .56656 L
.53614 .56662 L
.53748 .56822 L
.53772 .56847 L
.53877 .56983 L
.53933 .57054 L
.54008 .57143 L
.54093 .57261 L
.5412 .57304 L
.54254 .57461 L
.54258 .57464 L
.54385 .57625 L
.54414 .57659 L
.5453 .57785 L
.54575 .57868 L
.54633 .57946 L
.54735 .58077 L
.5475 .58106 L
.54888 .58267 L
.54896 .58274 L
.55054 .58428 L
.55057 .58481 L
.55143 .58588 L
.55217 .58693 L
.55253 .58749 L
.55378 .589 L
.55379 .58909 L
.5551 .5907 L
.55538 .591 L
.55652 .5923 L
.55699 .59314 L
.55755 .59391 L
.55859 .59526 L
.55871 .59551 L
.56003 .59712 L
.5602 .59724 L
.56168 .59872 L
.5618 .59938 L
.56255 .60033 L
.56341 .60154 L
.56365 .60193 L
.56493 .60354 L
.56501 .60365 L
.56615 .60514 L
.56662 .60564 L
.56756 .60675 L
.56822 .60786 L
.56857 .60835 L
.56978 .60996 L
.56983 .61002 L
.57099 .61156 L
.57143 .61188 L
.57266 .61317 L
.57304 .61423 L
.57345 .61477 L
.57458 .61638 L
.57464 .61647 L
.57576 .61799 L
.57625 .61865 L
.57694 .61959 L
.57785 .62071 L
.57824 .6212 L
.57927 .6228 L
.57946 .62306 L
.58041 .62441 L
.58106 .62531 L
.58155 .62601 L
.58267 .62757 L
.5827 .62762 L
.58374 .62922 L
.58428 .63001 L
.58479 .63083 L
.58428 .63212 L
.58311 .63083 L
.58267 .63038 L
.58168 .62922 L
.58106 .62856 L
.58029 .62762 L
.57946 .62668 L
.57892 .62601 L
.57785 .6249 L
.57757 .62441 L
.57625 .62283 L
.57622 .6228 L
.57494 .6212 L
.57464 .62085 L
.57365 .61959 L
.57304 .61925 L
.57236 .61799 L
.57143 .61696 L
.57076 .61638 L
.56983 .61486 L
.56975 .61477 L
.56852 .61317 L
.56822 .61282 L
.56726 .61156 L
.56662 .61101 L
.56599 .60996 L
.56501 .60881 L
.56457 .60835 L
.56345 .60675 L
.56341 .6067 L
.56222 .60514 L
.5618 .60463 L
.56097 .60354 L
.5602 .60272 L
.55937 .60193 L
.55859 .60054 L
.5584 .60033 L
.55721 .59872 L
.55699 .59844 L
.55599 .59712 L
.55538 .59665 L
.55474 .59551 L
.55378 .59437 L
.55335 .59391 L
.55224 .5923 L
.55217 .59221 L
.55103 .5907 L
.55057 .59012 L
.5498 .58909 L
.54896 .58821 L
.54825 .58749 L
.54735 .58597 L
.54728 .58588 L
.54609 .58428 L
.54575 .58385 L
.54487 .58267 L
.54414 .58209 L
.54364 .58106 L
.54254 .57973 L
.5423 .57946 L
.54117 .57785 L
.54093 .57756 L
.53997 .57625 L
.53933 .57544 L
.53874 .57464 L
.53772 .57348 L
.53732 .57304 L
.53628 .57143 L
.53612 .57123 L
.53509 .56983 L
.53451 .56909 L
.53388 .56822 L
.53291 .56724 L
.53265 .56662 L
.53143 .56501 L
.5313 .56485 L
.53025 .56341 L
.5297 .56269 L
.52906 .5618 L
.52809 .56055 L
.52784 .5602 L
.52664 .55859 L
.52649 .5584 L
.52549 .55699 L
.52488 .5562 L
.52432 .55538 L
.52328 .55401 L
.52311 .55378 L
.52195 .55217 L
.52167 .5518 L
.52083 .55057 L
.52007 .54955 L
.51967 .54896 L
.51849 .54735 L
.51846 .54731 L
.51738 .54575 L
.51686 .54503 L
.51626 .54414 L
.51525 .54276 L
.51511 .54254 L
.51397 .54093 L
.51364 .54047 L
.51287 .53933 L
.51204 .53808 L
.51182 .53772 L
.51086 .53612 L
F
1 .89 .033 r
.51204 .50181 m
.51338 .50241 L
.51364 .5025 L
.51525 .50392 L
.51532 .50401 L
.51684 .50562 L
.51686 .50564 L
.51821 .50722 L
.51846 .50755 L
.51966 .50883 L
.52007 .50958 L
.52078 .51043 L
.52167 .51165 L
.5219 .51204 L
.52328 .51362 L
.52334 .51364 L
.52478 .51525 L
.52488 .51561 L
.52585 .51686 L
.52649 .51773 L
.52694 .51846 L
.52809 .51986 L
.5281 .52007 L
.52946 .52167 L
.5297 .522 L
.53079 .52328 L
.5313 .52423 L
.53176 .52488 L
.53281 .52649 L
.53291 .52668 L
.53348 .52809 L
.53291 .5288 L
.5313 .52854 L
.53062 .52809 L
.5297 .52738 L
.52885 .52649 L
.52809 .5254 L
.52722 .52488 L
.52649 .52357 L
.52608 .52328 L
.52488 .5217 L
.52484 .52167 L
.52356 .52007 L
.52328 .51978 L
.52194 .51846 L
.52167 .51769 L
.52097 .51686 L
.52007 .51557 L
.51985 .51525 L
.5186 .51364 L
.51846 .51346 L
.51739 .51204 L
.51686 .51166 L
.51596 .51043 L
.51525 .50932 L
.51495 .50883 L
.5138 .50722 L
.51364 .507 L
.51268 .50562 L
.51204 .50464 L
.51132 .50401 L
.51099 .50241 L
F
0 .44 1 r
.51204 .50804 m
.51285 .50883 L
.51364 .50962 L
.51436 .51043 L
.51525 .51143 L
.51575 .51204 L
.51686 .51323 L
.51707 .51364 L
.51832 .51525 L
.51846 .51543 L
.5195 .51686 L
.52007 .51762 L
.52065 .51846 L
.52167 .51997 L
.52173 .52007 L
.52253 .52167 L
.52167 .52203 L
.52128 .52167 L
.52007 .52054 L
.51964 .52007 L
.51846 .51896 L
.5182 .51846 L
.51686 .51686 L
.51685 .51686 L
.5156 .51525 L
.51525 .51481 L
.51438 .51364 L
.51364 .51268 L
.51319 .51204 L
.51205 .51043 L
.51204 .51042 L
.51112 .50883 L
F
.001 .77 1 r
.51204 .44594 m
.51232 .44622 L
.51364 .44729 L
.51387 .44783 L
.51525 .44933 L
.51533 .44943 L
.51673 .45104 L
.51686 .45118 L
.5181 .45265 L
.51846 .45305 L
.51946 .45425 L
.52007 .45473 L
.52081 .45586 L
.52167 .45684 L
.52238 .45746 L
.52328 .45885 L
.52347 .45907 L
.52476 .46067 L
.52488 .46082 L
.52605 .46228 L
.52649 .46271 L
.52793 .46388 L
.52809 .46479 L
.52873 .46549 L
.5297 .46684 L
.52989 .46709 L
.53118 .4687 L
.5313 .46877 L
.53245 .4703 L
.53291 .47082 L
.53396 .47191 L
.53451 .47291 L
.535 .47351 L
.53612 .47498 L
.5362 .47512 L
.5375 .47672 L
.53772 .47693 L
.53919 .47833 L
.53933 .47903 L
.5401 .47993 L
.54093 .48114 L
.54122 .48154 L
.5425 .48314 L
.54254 .48316 L
.54374 .48475 L
.54414 .48519 L
.54521 .48636 L
.54575 .48732 L
.54625 .48796 L
.54735 .48942 L
.54743 .48957 L
.5487 .49117 L
.54896 .49138 L
.55037 .49278 L
.55057 .49352 L
.55128 .49438 L
.55217 .49566 L
.5524 .49599 L
.55365 .49759 L
.55378 .49761 L
.55488 .4992 L
.55538 .49972 L
.55634 .5008 L
.55699 .5019 L
.55737 .50241 L
.55858 .50401 L
.55859 .50403 L
.55979 .50562 L
.5602 .50592 L
.56146 .50722 L
.5618 .50816 L
.56235 .50883 L
.56341 .51034 L
.56347 .51043 L
.56468 .51204 L
.56501 .51246 L
.5659 .51364 L
.56662 .51441 L
.56734 .51525 L
.56822 .51666 L
.56837 .51686 L
.56955 .51846 L
.56983 .51882 L
.57075 .52007 L
.57143 .52064 L
.57236 .52167 L
.57304 .52304 L
.57323 .52328 L
.57437 .52488 L
.57464 .52524 L
.57555 .52649 L
.57625 .52741 L
.57674 .52809 L
.57785 .52951 L
.578 .5297 L
.5791 .5313 L
.57946 .53178 L
.58025 .53291 L
.58106 .534 L
.58142 .53451 L
.58258 .53612 L
.58267 .53624 L
.58366 .53772 L
.58428 .53858 L
.58475 .53933 L
.58583 .54093 L
.58588 .54101 L
.5866 .54254 L
.58588 .54258 L
.58584 .54254 L
.58428 .54106 L
.58422 .54093 L
.58274 .53933 L
.58267 .53926 L
.58132 .53772 L
.58106 .53745 L
.57992 .53612 L
.57946 .53559 L
.57855 .53451 L
.57785 .53388 L
.57719 .53291 L
.57625 .53181 L
.57569 .5313 L
.57464 .52982 L
.57453 .5297 L
.57323 .52809 L
.57304 .52805 L
.57192 .52649 L
.57143 .52596 L
.57019 .52488 L
.56983 .5239 L
.56928 .52328 L
.56822 .52186 L
.56809 .52167 L
.56678 .52007 L
.56662 .51994 L
.5655 .51846 L
.56501 .51788 L
.56407 .51686 L
.56341 .51579 L
.56298 .51525 L
.5618 .51375 L
.56175 .51364 L
.56045 .51204 L
.5602 .51178 L
.55886 .51043 L
.55859 .50968 L
.55789 .50883 L
.55699 .50758 L
.55675 .50722 L
.55544 .50562 L
.55538 .50558 L
.5542 .50401 L
.55378 .50353 L
.55279 .50241 L
.55217 .50141 L
.55172 .5008 L
.55057 .49931 L
.55051 .4992 L
.54923 .49759 L
.54896 .49734 L
.54767 .49599 L
.54735 .49521 L
.54669 .49438 L
.54575 .49308 L
.54556 .49278 L
.54428 .49117 L
.54414 .49111 L
.54305 .48957 L
.54254 .489 L
.54165 .48796 L
.54093 .48683 L
.54059 .48636 L
.53935 .48475 L
.53933 .48472 L
.53814 .48314 L
.53772 .48278 L
.53657 .48154 L
.53612 .48058 L
.53561 .47993 L
.53451 .47841 L
.53446 .47833 L
.53324 .47672 L
.53291 .4766 L
.53203 .47512 L
.5313 .47431 L
.53064 .47351 L
.5297 .47208 L
.52957 .47191 L
.52838 .4703 L
.52809 .46993 L
.52717 .4687 L
.52649 .46805 L
.52564 .46709 L
.52488 .46571 L
.52471 .46549 L
.52356 .46388 L
.52328 .46352 L
.52237 .46228 L
.52167 .46136 L
.52117 .46067 L
.52007 .45925 L
.51992 .45907 L
.51881 .45746 L
.51846 .457 L
.51765 .45586 L
.51686 .45478 L
.51648 .45425 L
.51532 .45265 L
.51525 .45255 L
.51423 .45104 L
.51364 .45023 L
.51313 .44943 L
.51204 .44786 L
.51202 .44783 L
.51114 .44622 L
F
0 .43 1 r
.51204 .5081 m
.51279 .50883 L
.51364 .50966 L
.51433 .51043 L
.51525 .51146 L
.51572 .51204 L
.51686 .51328 L
.51704 .51364 L
.51829 .51525 L
.51846 .51547 L
.51947 .51686 L
.52007 .51766 L
.52062 .51846 L
.52167 .52003 L
.5217 .52007 L
.52244 .52167 L
.52167 .52196 L
.52135 .52167 L
.52007 .52049 L
.51968 .52007 L
.51846 .51891 L
.51823 .51846 L
.51688 .51686 L
.51686 .51682 L
.51563 .51525 L
.51525 .51478 L
.51441 .51364 L
.51364 .51264 L
.51322 .51204 L
.51209 .51043 L
.51204 .51036 L
.51117 .50883 L
F
1 .88 .024 r
.51204 .50196 m
.51315 .50241 L
.51364 .50256 L
.51524 .50401 L
.51525 .50402 L
.51677 .50562 L
.51686 .50571 L
.51816 .50722 L
.51846 .50761 L
.51963 .50883 L
.52007 .50963 L
.52075 .51043 L
.52167 .51169 L
.52188 .51204 L
.52328 .51363 L
.52331 .51364 L
.52477 .51525 L
.52488 .51564 L
.52583 .51686 L
.52649 .51776 L
.52691 .51846 L
.52809 .5199 L
.52809 .52007 L
.52942 .52167 L
.5297 .52205 L
.53076 .52328 L
.5313 .52429 L
.53172 .52488 L
.53273 .52649 L
.53291 .52684 L
.53333 .52809 L
.53291 .52863 L
.5313 .52843 L
.53076 .52809 L
.5297 .5273 L
.52892 .52649 L
.52809 .52535 L
.52726 .52488 L
.52649 .52354 L
.52612 .52328 L
.52488 .52169 L
.52486 .52167 L
.52359 .52007 L
.52328 .51976 L
.52195 .51846 L
.52167 .51766 L
.52099 .51686 L
.52007 .51554 L
.51987 .51525 L
.51863 .51364 L
.51846 .51343 L
.51742 .51204 L
.51686 .51163 L
.51599 .51043 L
.51525 .50928 L
.51498 .50883 L
.51384 .50722 L
.51364 .50695 L
.51273 .50562 L
.51204 .50455 L
.51143 .50401 L
.51119 .50241 L
F
0 .42 1 r
.51204 .50816 m
.51274 .50883 L
.51364 .50971 L
.51429 .51043 L
.51525 .5115 L
.51569 .51204 L
.51686 .51333 L
.51701 .51364 L
.51825 .51525 L
.51846 .51551 L
.51944 .51686 L
.52007 .51771 L
.52058 .51846 L
.52165 .52007 L
.52167 .52009 L
.52235 .52167 L
.52167 .52188 L
.52142 .52167 L
.52007 .52044 L
.51972 .52007 L
.51846 .51885 L
.51827 .51846 L
.51692 .51686 L
.51686 .51678 L
.51566 .51525 L
.51525 .51474 L
.51443 .51364 L
.51364 .5126 L
.51325 .51204 L
.51213 .51043 L
.51204 .5103 L
.51123 .50883 L
F
0 .41 1 r
.51204 .50823 m
.51268 .50883 L
.51364 .50975 L
.51425 .51043 L
.51525 .51154 L
.51566 .51204 L
.51686 .51339 L
.51699 .51364 L
.51822 .51525 L
.51846 .51555 L
.51941 .51686 L
.52007 .51775 L
.52055 .51846 L
.5216 .52007 L
.52167 .52018 L
.52224 .52167 L
.52167 .52181 L
.52151 .52167 L
.52007 .52039 L
.51976 .52007 L
.51846 .51878 L
.5183 .51846 L
.51695 .51686 L
.51686 .51674 L
.51569 .51525 L
.51525 .5147 L
.51446 .51364 L
.51364 .51256 L
.51327 .51204 L
.51217 .51043 L
.51204 .51023 L
.51128 .50883 L
F
0 .4 1 r
.51204 .5083 m
.51262 .50883 L
.51364 .5098 L
.51421 .51043 L
.51525 .51158 L
.51563 .51204 L
.51686 .51344 L
.51696 .51364 L
.51819 .51525 L
.51846 .51559 L
.51937 .51686 L
.52007 .5178 L
.52052 .51846 L
.52155 .52007 L
.52167 .52027 L
.52209 .52167 L
.52167 .52172 L
.52161 .52167 L
.52007 .52034 L
.51981 .52007 L
.51846 .51872 L
.51833 .51846 L
.51698 .51686 L
.51686 .51671 L
.51572 .51525 L
.51525 .51466 L
.51449 .51364 L
.51364 .51252 L
.51331 .51204 L
.51221 .51043 L
.51204 .51016 L
.51135 .50883 L
F
.001 .76 1 r
.51204 .44614 m
.51212 .44622 L
.51364 .44759 L
.51374 .44783 L
.51522 .44943 L
.51525 .44946 L
.51664 .45104 L
.51686 .45127 L
.51803 .45265 L
.51846 .45313 L
.5194 .45425 L
.52007 .45479 L
.52075 .45586 L
.52167 .45691 L
.52232 .45746 L
.52328 .45891 L
.52342 .45907 L
.52471 .46067 L
.52488 .46087 L
.52601 .46228 L
.52649 .46275 L
.5279 .46388 L
.52809 .46483 L
.5287 .46549 L
.5297 .46688 L
.52986 .46709 L
.53115 .4687 L
.5313 .46879 L
.53242 .4703 L
.53291 .47085 L
.53393 .47191 L
.53451 .47295 L
.53497 .47351 L
.53612 .475 L
.53619 .47512 L
.53747 .47672 L
.53772 .47695 L
.53918 .47833 L
.53933 .47906 L
.54008 .47993 L
.54093 .48117 L
.5412 .48154 L
.54248 .48314 L
.54254 .48317 L
.54372 .48475 L
.54414 .48521 L
.54519 .48636 L
.54575 .48734 L
.54623 .48796 L
.54735 .48945 L
.54742 .48957 L
.54869 .49117 L
.54896 .49139 L
.55036 .49278 L
.55057 .49354 L
.55127 .49438 L
.55217 .49568 L
.55238 .49599 L
.55363 .49759 L
.55378 .49762 L
.55486 .4992 L
.55538 .49974 L
.55632 .5008 L
.55699 .50193 L
.55735 .50241 L
.55856 .50401 L
.55859 .50406 L
.55977 .50562 L
.5602 .50594 L
.56145 .50722 L
.5618 .50818 L
.56233 .50883 L
.56341 .51036 L
.56345 .51043 L
.56466 .51204 L
.56501 .51249 L
.56588 .51364 L
.56662 .51444 L
.56731 .51525 L
.56822 .5167 L
.56834 .51686 L
.56952 .51846 L
.56983 .51886 L
.57072 .52007 L
.57143 .52068 L
.57232 .52167 L
.57304 .52308 L
.57319 .52328 L
.57433 .52488 L
.57464 .52529 L
.57551 .52649 L
.57625 .52745 L
.57671 .52809 L
.57785 .52958 L
.57795 .5297 L
.57906 .5313 L
.57946 .53184 L
.58021 .53291 L
.58106 .53407 L
.58137 .53451 L
.58252 .53612 L
.58267 .53633 L
.58358 .53772 L
.58428 .53871 L
.58466 .53933 L
.58428 .54084 L
.58286 .53933 L
.58267 .53914 L
.58141 .53772 L
.58106 .53735 L
.58 .53612 L
.57946 .53551 L
.57861 .53451 L
.57785 .53381 L
.57725 .53291 L
.57625 .53174 L
.57576 .5313 L
.57464 .52977 L
.57458 .5297 L
.57327 .52809 L
.57304 .52804 L
.57196 .52649 L
.57143 .52592 L
.57023 .52488 L
.56983 .52385 L
.56931 .52328 L
.56822 .52182 L
.56811 .52167 L
.56681 .52007 L
.56662 .51992 L
.56553 .51846 L
.56501 .51785 L
.56409 .51686 L
.56341 .51576 L
.56301 .51525 L
.5618 .51372 L
.56177 .51364 L
.56048 .51204 L
.5602 .51175 L
.55888 .51043 L
.55859 .50965 L
.55791 .50883 L
.55699 .50756 L
.55677 .50722 L
.55546 .50562 L
.55538 .50557 L
.55422 .50401 L
.55378 .50351 L
.55281 .50241 L
.55217 .50138 L
.55174 .5008 L
.55057 .49929 L
.55052 .4992 L
.54925 .49759 L
.54896 .49732 L
.54768 .49599 L
.54735 .49518 L
.54671 .49438 L
.54575 .49305 L
.54557 .49278 L
.5443 .49117 L
.54414 .4911 L
.54307 .48957 L
.54254 .48897 L
.54167 .48796 L
.54093 .48681 L
.5406 .48636 L
.53937 .48475 L
.53933 .48469 L
.53816 .48314 L
.53772 .48276 L
.53658 .48154 L
.53612 .48055 L
.53563 .47993 L
.53451 .47839 L
.53448 .47833 L
.53326 .47672 L
.53291 .47659 L
.53205 .47512 L
.5313 .47428 L
.53066 .47351 L
.5297 .47205 L
.52959 .47191 L
.5284 .4703 L
.52809 .4699 L
.5272 .4687 L
.52649 .46802 L
.52568 .46709 L
.52488 .46567 L
.52474 .46549 L
.52359 .46388 L
.52328 .46348 L
.5224 .46228 L
.52167 .46131 L
.5212 .46067 L
.52007 .45918 L
.51997 .45907 L
.51886 .45746 L
.51846 .45694 L
.5177 .45586 L
.51686 .45471 L
.51653 .45425 L
.51538 .45265 L
.51525 .45247 L
.5143 .45104 L
.51364 .45011 L
.51321 .44943 L
.51215 .44783 L
.51204 .44767 L
.51138 .44622 L
F
1 .87 .018 r
.51204 .50213 m
.5129 .50241 L
.51364 .50261 L
.51514 .50401 L
.51525 .5041 L
.51671 .50562 L
.51686 .50578 L
.51811 .50722 L
.51846 .50767 L
.5196 .50883 L
.52007 .50967 L
.52071 .51043 L
.52167 .51172 L
.52187 .51204 L
.52328 .51364 L
.52328 .51364 L
.52476 .51525 L
.52488 .51567 L
.5258 .51686 L
.52649 .5178 L
.52689 .51846 L
.52809 .51994 L
.52809 .52007 L
.52939 .52167 L
.5297 .5221 L
.53072 .52328 L
.5313 .52436 L
.53167 .52488 L
.53266 .52649 L
.53291 .52704 L
.53317 .52809 L
.53291 .52844 L
.5313 .52832 L
.53091 .52809 L
.5297 .52722 L
.52898 .52649 L
.52809 .5253 L
.52731 .52488 L
.52649 .52351 L
.52615 .52328 L
.52488 .52167 L
.52487 .52167 L
.52361 .52007 L
.52328 .51973 L
.52197 .51846 L
.52167 .51763 L
.52101 .51686 L
.52007 .51551 L
.51989 .51525 L
.51865 .51364 L
.51846 .5134 L
.51744 .51204 L
.51686 .5116 L
.51602 .51043 L
.51525 .50923 L
.51501 .50883 L
.51388 .50722 L
.51364 .50689 L
.51278 .50562 L
.51204 .50445 L
.51155 .50401 L
.51141 .50241 L
F
0 .39 1 r
.51204 .50837 m
.51255 .50883 L
.51364 .50985 L
.51417 .51043 L
.51525 .51162 L
.5156 .51204 L
.51686 .5135 L
.51693 .51364 L
.51816 .51525 L
.51846 .51563 L
.51934 .51686 L
.52007 .51785 L
.52048 .51846 L
.52149 .52007 L
.52007 .52029 L
.51985 .52007 L
.51846 .51865 L
.51836 .51846 L
.51702 .51686 L
.51686 .51667 L
.51575 .51525 L
.51525 .51463 L
.51452 .51364 L
.51364 .51248 L
.51334 .51204 L
.51226 .51043 L
.51204 .51009 L
.51142 .50883 L
F
0 .38 1 r
.51204 .50845 m
.51248 .50883 L
.51364 .5099 L
.51413 .51043 L
.51525 .51166 L
.51556 .51204 L
.51686 .51356 L
.5169 .51364 L
.51813 .51525 L
.51846 .51568 L
.51931 .51686 L
.52007 .5179 L
.52044 .51846 L
.52143 .52007 L
.52007 .52024 L
.5199 .52007 L
.51846 .51858 L
.5184 .51846 L
.51705 .51686 L
.51686 .51663 L
.51578 .51525 L
.51525 .51459 L
.51455 .51364 L
.51364 .51243 L
.51337 .51204 L
.51231 .51043 L
.51204 .51001 L
.51149 .50883 L
F
1 .92 .084 r
.51204 .43963 m
.51225 .4398 L
.51364 .44105 L
.514 .44141 L
.51525 .44262 L
.51555 .44301 L
.51686 .44444 L
.5171 .44462 L
.51843 .44622 L
.51846 .44626 L
.51983 .44783 L
.52007 .44796 L
.52121 .44943 L
.52167 .44996 L
.52302 .45104 L
.52328 .45194 L
.52393 .45265 L
.52488 .45392 L
.52513 .45425 L
.52649 .45583 L
.52653 .45586 L
.52784 .45746 L
.52809 .45779 L
.52924 .45907 L
.5297 .45983 L
.53035 .46067 L
.5313 .4619 L
.5315 .46228 L
.53291 .46386 L
.53298 .46388 L
.5344 .46549 L
.53451 .46584 L
.53552 .46709 L
.53612 .46794 L
.53662 .4687 L
.53772 .47005 L
.53805 .4703 L
.53929 .47191 L
.53933 .47195 L
.54062 .47351 L
.54093 .47405 L
.54173 .47512 L
.54254 .47618 L
.5428 .47672 L
.54414 .47825 L
.54431 .47833 L
.54565 .47993 L
.54575 .48021 L
.54679 .48154 L
.54735 .48233 L
.54788 .48314 L
.54896 .48446 L
.54929 .48475 L
.55052 .48636 L
.55057 .48642 L
.55183 .48796 L
.55217 .48852 L
.55293 .48957 L
.55378 .49066 L
.554 .49117 L
.55538 .49272 L
.55548 .49278 L
.55685 .49438 L
.55699 .49473 L
.55796 .49599 L
.55859 .49686 L
.55904 .49759 L
.5602 .49898 L
.56043 .4992 L
.56165 .5008 L
.5618 .50098 L
.56298 .50241 L
.56341 .50309 L
.56407 .50401 L
.56501 .50522 L
.56517 .50562 L
.56659 .50722 L
.56662 .50725 L
.56801 .50883 L
.56822 .50932 L
.56908 .51043 L
.56983 .51146 L
.57018 .51204 L
.57143 .51355 L
.57152 .51364 L
.57274 .51525 L
.57304 .51557 L
.5741 .51686 L
.57464 .5177 L
.57518 .51846 L
.57625 .51983 L
.57633 .52007 L
.57766 .52167 L
.57785 .52183 L
.57914 .52328 L
.57946 .52395 L
.58017 .52488 L
.58106 .5261 L
.58129 .52649 L
.58258 .52809 L
.58267 .52811 L
.5838 .5297 L
.58428 .53019 L
.58518 .5313 L
.58588 .53237 L
.58625 .53291 L
.58749 .53451 L
.58749 .53451 L
.58869 .53612 L
.58909 .53642 L
.59021 .53772 L
.5907 .53864 L
.59121 .53933 L
.5923 .54083 L
.59236 .54093 L
.59358 .54254 L
.59391 .54296 L
.59534 .54414 L
.59551 .54491 L
.59616 .54575 L
.59712 .54717 L
.59724 .54735 L
.59843 .54896 L
.59872 .54933 L
.59963 .55057 L
.60033 .55118 L
.60112 .55217 L
.60193 .55356 L
.60209 .55378 L
.60324 .55538 L
.60354 .55577 L
.60442 .55699 L
.60514 .55794 L
.60607 .55859 L
.60675 .56006 L
.60685 .5602 L
.60796 .5618 L
.60835 .56233 L
.6091 .56341 L
.60996 .56458 L
.61026 .56501 L
.61139 .56662 L
.61156 .56687 L
.61243 .56822 L
.61317 .5693 L
.61349 .56983 L
.61441 .57143 L
.61317 .57154 L
.61312 .57143 L
.61156 .5699 L
.6115 .56983 L
.61 .56822 L
.60996 .56818 L
.60856 .56662 L
.60835 .56639 L
.60715 .56501 L
.60675 .5647 L
.60576 .56341 L
.60514 .5627 L
.60406 .5618 L
.60354 .56074 L
.60304 .5602 L
.60193 .55878 L
.60179 .55859 L
.60042 .55699 L
.60033 .55689 L
.5991 .55538 L
.59872 .5549 L
.59772 .55378 L
.59712 .55285 L
.59659 .55217 L
.59551 .55081 L
.59541 .55057 L
.59396 .54896 L
.59391 .5489 L
.59253 .54735 L
.5923 .54684 L
.59143 .54575 L
.5907 .54474 L
.59032 .54414 L
.58909 .54267 L
.58888 .54254 L
.58764 .54093 L
.58749 .54074 L
.58632 .53933 L
.58588 .53864 L
.58522 .53772 L
.58428 .53651 L
.58413 .53612 L
.58267 .53452 L
.58263 .53451 L
.58126 .53291 L
.58106 .53248 L
.58015 .5313 L
.57946 .53035 L
.57907 .5297 L
.57785 .52825 L
.57764 .52809 L
.57625 .52649 L
.57625 .52628 L
.57511 .52488 L
.57464 .52417 L
.57401 .52328 L
.57304 .52204 L
.57293 .52167 L
.57145 .52007 L
.57143 .52004 L
.57008 .51846 L
.56983 .51796 L
.56898 .51686 L
.56822 .51583 L
.56789 .51525 L
.56662 .51374 L
.5665 .51364 L
.56504 .51204 L
.56501 .51173 L
.56396 .51043 L
.56341 .5096 L
.56287 .50883 L
.5618 .50748 L
.56174 .50722 L
.56034 .50562 L
.5602 .50547 L
.55892 .50401 L
.55859 .50337 L
.55786 .50241 L
.55699 .50124 L
.55675 .5008 L
.55541 .4992 L
.55538 .49918 L
.55385 .49759 L
.55378 .49713 L
.55284 .49599 L
.55217 .49499 L
.55176 .49438 L
.55057 .49287 L
.55055 .49278 L
.54926 .49117 L
.54896 .49089 L
.54781 .48957 L
.54735 .48874 L
.54677 .48796 L
.54575 .48659 L
.54562 .48636 L
.54435 .48475 L
.54414 .48465 L
.54271 .48314 L
.54254 .4825 L
.54177 .48154 L
.54093 .48032 L
.54068 .47993 L
.53944 .47833 L
.53933 .47819 L
.53823 .47672 L
.53772 .47627 L
.53675 .47512 L
.53612 .47404 L
.53573 .47351 L
.53454 .47191 L
.53451 .47187 L
.53334 .4703 L
.53291 .47009 L
.53167 .4687 L
.5313 .46776 L
.53078 .46709 L
.5297 .46553 L
.52967 .46549 L
.52848 .46388 L
.52809 .46338 L
.52727 .46228 L
.52649 .46148 L
.52584 .46067 L
.52488 .45914 L
.52483 .45907 L
.52366 .45746 L
.52328 .45696 L
.52247 .45586 L
.52167 .4548 L
.52093 .45425 L
.52007 .45265 L
.52006 .45265 L
.51892 .45104 L
.51846 .45043 L
.51777 .44943 L
.51686 .44821 L
.51659 .44783 L
.51546 .44622 L
.51525 .44594 L
.51438 .44462 L
.51364 .44357 L
.5133 .44301 L
.51227 .44141 L
.51204 .44103 L
.51156 .4398 L
F
0 .37 1 r
.51204 .50853 m
.5124 .50883 L
.51364 .50994 L
.51409 .51043 L
.51525 .5117 L
.51553 .51204 L
.51686 .51362 L
.51687 .51364 L
.51809 .51525 L
.51846 .51572 L
.51927 .51686 L
.52007 .51795 L
.52041 .51846 L
.52137 .52007 L
.52007 .52019 L
.51995 .52007 L
.51846 .51851 L
.51843 .51846 L
.51709 .51686 L
.51686 .51658 L
.51582 .51525 L
.51525 .51455 L
.51459 .51364 L
.51364 .51239 L
.5134 .51204 L
.51235 .51043 L
.51204 .50992 L
.51158 .50883 L
F
0 .36 1 r
.51204 .50862 m
.51231 .50883 L
.51364 .51 L
.51404 .51043 L
.51525 .51174 L
.5155 .51204 L
.51683 .51364 L
.51686 .51367 L
.51806 .51525 L
.51846 .51576 L
.51924 .51686 L
.52007 .518 L
.52037 .51846 L
.5213 .52007 L
.52007 .52013 L
.52 .52007 L
.51847 .51846 L
.51846 .51845 L
.51713 .51686 L
.51686 .51654 L
.51585 .51525 L
.51525 .5145 L
.51462 .51364 L
.51364 .51234 L
.51343 .51204 L
.51241 .51043 L
.51204 .50982 L
.51168 .50883 L
F
1 .86 .013 r
.51204 .5023 m
.51255 .50241 L
.51364 .50266 L
.51504 .50401 L
.51525 .50417 L
.51664 .50562 L
.51686 .50585 L
.51807 .50722 L
.51846 .50773 L
.51957 .50883 L
.52007 .50972 L
.52068 .51043 L
.52167 .51175 L
.52185 .51204 L
.52325 .51364 L
.52328 .51367 L
.52475 .51525 L
.52488 .51571 L
.52578 .51686 L
.52649 .51784 L
.52687 .51846 L
.52809 .51997 L
.52809 .52007 L
.52935 .52167 L
.5297 .52215 L
.53069 .52328 L
.5313 .52442 L
.53162 .52488 L
.53258 .52649 L
.53291 .52731 L
.533 .52809 L
.53291 .52822 L
.5313 .52821 L
.53108 .52809 L
.5297 .52714 L
.52905 .52649 L
.52809 .52526 L
.52736 .52488 L
.52649 .52348 L
.52618 .52328 L
.5249 .52167 L
.52488 .52166 L
.52364 .52007 L
.52328 .51971 L
.52199 .51846 L
.52167 .5176 L
.52103 .51686 L
.52007 .51548 L
.51991 .51525 L
.51867 .51364 L
.51846 .51337 L
.51747 .51204 L
.51686 .51156 L
.51604 .51043 L
.51525 .50918 L
.51504 .50883 L
.51392 .50722 L
.51364 .50683 L
.51283 .50562 L
.51204 .50434 L
.51168 .50401 L
.51172 .50241 L
F
1 .52 0 r
.51204 .46567 m
.51301 .46709 L
.51364 .46789 L
.51417 .4687 L
.51525 .4701 L
.51538 .4703 L
.51525 .47116 L
.51456 .4703 L
.51364 .46931 L
.51316 .4687 L
.51204 .46739 L
.5118 .46709 L
F
0 .35 1 r
.51204 .50872 m
.51219 .50883 L
.51364 .51005 L
.514 .51043 L
.51525 .51179 L
.51546 .51204 L
.5168 .51364 L
.51686 .51371 L
.51802 .51525 L
.51846 .51581 L
.51921 .51686 L
.52007 .51806 L
.52033 .51846 L
.52122 .52007 L
.52007 .52007 L
.52006 .52007 L
.51852 .51846 L
.51846 .5184 L
.51716 .51686 L
.51686 .5165 L
.51588 .51525 L
.51525 .51446 L
.51465 .51364 L
.51364 .5123 L
.51347 .51204 L
.51246 .51043 L
.51204 .50969 L
.51181 .50883 L
F
1 .85 .01 r
.51204 .50249 m
.51364 .50272 L
.51494 .50401 L
.51525 .50425 L
.51658 .50562 L
.51686 .50592 L
.51802 .50722 L
.51846 .50778 L
.51953 .50883 L
.52007 .50976 L
.52065 .51043 L
.52167 .51178 L
.52183 .51204 L
.52322 .51364 L
.52328 .51369 L
.52474 .51525 L
.52488 .51574 L
.52575 .51686 L
.52649 .51787 L
.52684 .51846 L
.52809 .52001 L
.52809 .52007 L
.52932 .52167 L
.5297 .5222 L
.53065 .52328 L
.5313 .52449 L
.53157 .52488 L
.5325 .52649 L
.53276 .52809 L
.5313 .5281 L
.53128 .52809 L
.5297 .52706 L
.52912 .52649 L
.52809 .52522 L
.52741 .52488 L
.52649 .52345 L
.52622 .52328 L
.52493 .52167 L
.52488 .52165 L
.52367 .52007 L
.52328 .51968 L
.522 .51846 L
.52167 .51758 L
.52106 .51686 L
.52007 .51545 L
.51993 .51525 L
.5187 .51364 L
.51846 .51334 L
.51749 .51204 L
.51686 .51153 L
.51607 .51043 L
.51525 .50912 L
.51507 .50883 L
.51396 .50722 L
.51364 .50677 L
.51288 .50562 L
.51204 .50422 L
.51182 .50401 L
F
1 .51 0 r
.51204 .46579 m
.5129 .46709 L
.51364 .46802 L
.51406 .4687 L
.51525 .47026 L
.51527 .4703 L
.51525 .47094 L
.51474 .4703 L
.51364 .46917 L
.51327 .4687 L
.51204 .46728 L
.51189 .46709 L
F
1 .62 0 r
.51204 .56364 m
.51285 .56501 L
.51364 .56624 L
.51379 .56662 L
.51364 .56675 L
.51352 .56662 L
.51204 .56517 L
.51191 .56501 L
F
0 .38 1 r
.51204 .45913 m
.51325 .46067 L
.51364 .46111 L
.51453 .46228 L
.51525 .46311 L
.51583 .46388 L
.51686 .46511 L
.51714 .46549 L
.51843 .46709 L
.51846 .46713 L
.51963 .4687 L
.52007 .46921 L
.52086 .4703 L
.52167 .47129 L
.52212 .47191 L
.52328 .47336 L
.52338 .47351 L
.52457 .47512 L
.52488 .4755 L
.52575 .47672 L
.52649 .47765 L
.52696 .47833 L
.52809 .47979 L
.52819 .47993 L
.52809 .48144 L
.5269 .47993 L
.52649 .47947 L
.5256 .47833 L
.52488 .47749 L
.52429 .47672 L
.52328 .4755 L
.52298 .47512 L
.5217 .47351 L
.52167 .47348 L
.52048 .47191 L
.52007 .47141 L
.51924 .4703 L
.51846 .46934 L
.51798 .4687 L
.51686 .46727 L
.51673 .46709 L
.51553 .46549 L
.51525 .46514 L
.51435 .46388 L
.51364 .46299 L
.51314 .46228 L
.51204 .46085 L
.51191 .46067 L
F
0 .67 1 r
.51204 .55702 m
.51316 .55859 L
.51364 .55918 L
.51435 .5602 L
.51525 .56134 L
.51557 .5618 L
.51525 .56262 L
.51464 .5618 L
.51364 .56068 L
.51329 .5602 L
.51204 .55871 L
.51195 .55859 L
F
0 .37 1 r
.51204 .45922 m
.51317 .46067 L
.51364 .46119 L
.51447 .46228 L
.51525 .46318 L
.51578 .46388 L
.51686 .46517 L
.51709 .46549 L
.51837 .46709 L
.51846 .4672 L
.51958 .4687 L
.52007 .46928 L
.52081 .4703 L
.52167 .47135 L
.52207 .47191 L
.52328 .47342 L
.52334 .47351 L
.52452 .47512 L
.52488 .47557 L
.52569 .47672 L
.52649 .47772 L
.5269 .47833 L
.52809 .47986 L
.52814 .47993 L
.52809 .48134 L
.52698 .47993 L
.52649 .47939 L
.52566 .47833 L
.52488 .47742 L
.52434 .47672 L
.52328 .47543 L
.52303 .47512 L
.52176 .47351 L
.52167 .47341 L
.52054 .47191 L
.52007 .47134 L
.51929 .4703 L
.51846 .46928 L
.51803 .4687 L
.51686 .4672 L
.51677 .46709 L
.51559 .46549 L
.51525 .46507 L
.51441 .46388 L
.51364 .46292 L
.51319 .46228 L
.51204 .46077 L
.51197 .46067 L
F
1 .84 .007 r
.51204 .50272 m
.51364 .50278 L
.51484 .50401 L
.51525 .50432 L
.51651 .50562 L
.51686 .50598 L
.51797 .50722 L
.51846 .50784 L
.5195 .50883 L
.52007 .50981 L
.52062 .51043 L
.52167 .51181 L
.52181 .51204 L
.52319 .51364 L
.52328 .51372 L
.52472 .51525 L
.52488 .51577 L
.52573 .51686 L
.52649 .51791 L
.52682 .51846 L
.52809 .52005 L
.52809 .52007 L
.52928 .52167 L
.5297 .52225 L
.53062 .52328 L
.5313 .52456 L
.53153 .52488 L
.53243 .52649 L
.5313 .528 L
.5297 .52698 L
.52919 .52649 L
.52809 .52518 L
.52746 .52488 L
.52649 .52342 L
.52625 .52328 L
.52496 .52167 L
.52488 .52163 L
.52369 .52007 L
.52328 .51965 L
.52202 .51846 L
.52167 .51755 L
.52108 .51686 L
.52007 .51542 L
.51995 .51525 L
.51872 .51364 L
.51846 .5133 L
.51752 .51204 L
.51686 .5115 L
.5161 .51043 L
.51525 .50907 L
.51511 .50883 L
.514 .50722 L
.51364 .50671 L
.51293 .50562 L
.51204 .50408 L
.51197 .50401 L
F
1 .5 0 r
.51204 .46593 m
.51277 .46709 L
.51364 .4682 L
.51393 .4687 L
.51364 .469 L
.5134 .4687 L
.51204 .46716 L
.51199 .46709 L
F
0 .36 1 r
.51204 .45933 m
.51309 .46067 L
.51364 .46128 L
.5144 .46228 L
.51525 .46325 L
.51572 .46388 L
.51686 .46523 L
.51704 .46549 L
.51831 .46709 L
.51846 .46726 L
.51952 .4687 L
.52007 .46934 L
.52076 .4703 L
.52167 .47141 L
.52203 .47191 L
.52328 .47348 L
.5233 .47351 L
.52445 .47512 L
.52488 .47564 L
.52563 .47672 L
.52649 .4778 L
.52685 .47833 L
.52649 .4793 L
.52573 .47833 L
.52488 .47735 L
.5244 .47672 L
.52328 .47537 L
.52309 .47512 L
.52182 .47351 L
.52167 .47334 L
.5206 .47191 L
.52007 .47127 L
.51935 .4703 L
.51846 .46921 L
.51808 .4687 L
.51686 .46714 L
.51682 .46709 L
.51566 .46549 L
.51525 .46499 L
.51447 .46388 L
.51364 .46284 L
.51325 .46228 L
.51204 .46069 L
.51203 .46067 L
F
1 .49 0 r
.51204 .45267 m
.51347 .45425 L
.51364 .45443 L
.51486 .45586 L
.51525 .45628 L
.51623 .45746 L
.51686 .45817 L
.51758 .45907 L
.51846 .46009 L
.51893 .46067 L
.52007 .46193 L
.52025 .46228 L
.52155 .46388 L
.52167 .46402 L
.52283 .46549 L
.52328 .46602 L
.52412 .46709 L
.52488 .46753 L
.52541 .4687 L
.52649 .46996 L
.52686 .4703 L
.52795 .47191 L
.52809 .47207 L
.5292 .47351 L
.5297 .47412 L
.53046 .47512 L
.5313 .47592 L
.53173 .47672 L
.53291 .4782 L
.53303 .47833 L
.53422 .47993 L
.53451 .4803 L
.53545 .48154 L
.53612 .48238 L
.5367 .48314 L
.53772 .48435 L
.53812 .48475 L
.53917 .48636 L
.53933 .48655 L
.54038 .48796 L
.54093 .48866 L
.54161 .48957 L
.54254 .4905 L
.54285 .49117 L
.54407 .49278 L
.54414 .49287 L
.54526 .49438 L
.54575 .49501 L
.54646 .49599 L
.54735 .49714 L
.54768 .49759 L
.54889 .4992 L
.54896 .49928 L
.55005 .5008 L
.55057 .50147 L
.55122 .50241 L
.55217 .50366 L
.55242 .50401 L
.55358 .50562 L
.55378 .50588 L
.55468 .50722 L
.55538 .50818 L
.5558 .50883 L
.55538 .51014 L
.55425 .50883 L
.55378 .50832 L
.55285 .50722 L
.55217 .50645 L
.55148 .50562 L
.55057 .50454 L
.55013 .50401 L
.54896 .50267 L
.5488 .50241 L
.5475 .5008 L
.54735 .50063 L
.54621 .4992 L
.54575 .49864 L
.54491 .49759 L
.54414 .49703 L
.54362 .49599 L
.54254 .49469 L
.54221 .49438 L
.54107 .49278 L
.54093 .49261 L
.53981 .49117 L
.53933 .49057 L
.53855 .48957 L
.53772 .48872 L
.5368 .48796 L
.53612 .48649 L
.53599 .48636 L
.53479 .48475 L
.53451 .48441 L
.53355 .48314 L
.53291 .4828 L
.5323 .48154 L
.5313 .48034 L
.53091 .47993 L
.52983 .47833 L
.5297 .47817 L
.52861 .47672 L
.52809 .47606 L
.52738 .47512 L
.52649 .47418 L
.52578 .47351 L
.52492 .47191 L
.52488 .47185 L
.52373 .4703 L
.52328 .46972 L
.52253 .4687 L
.52167 .46758 L
.52131 .46709 L
.5201 .46549 L
.52007 .46544 L
.51894 .46388 L
.51846 .46325 L
.51776 .46228 L
.51686 .46107 L
.51657 .46067 L
.51541 .45907 L
.51525 .45885 L
.5143 .45746 L
.51364 .45657 L
.51318 .45586 L
.51204 .45425 L
.51204 .45425 L
F
1 .61 0 r
.51204 .56384 m
.51263 .56501 L
.51204 .56501 L
.51204 .56501 L
F
1 .83 .005 r
.51364 .50286 m
.51473 .50401 L
.51525 .50438 L
.51644 .50562 L
.51686 .50605 L
.51792 .50722 L
.51846 .50789 L
.51947 .50883 L
.52007 .50985 L
.52059 .51043 L
.52167 .51184 L
.52179 .51204 L
.52316 .51364 L
.52328 .51375 L
.52471 .51525 L
.52488 .51581 L
.5257 .51686 L
.52649 .51795 L
.5268 .51846 L
.52807 .52007 L
.52809 .52009 L
.52925 .52167 L
.5297 .5223 L
.53058 .52328 L
.5313 .52463 L
.53147 .52488 L
.53235 .52649 L
.5313 .52789 L
.5297 .5269 L
.52926 .52649 L
.52809 .52514 L
.52752 .52488 L
.52649 .5234 L
.52629 .52328 L
.52499 .52167 L
.52488 .52162 L
.52372 .52007 L
.52328 .51963 L
.52204 .51846 L
.52167 .51752 L
.52111 .51686 L
.52007 .51539 L
.51997 .51525 L
.51875 .51364 L
.51846 .51327 L
.51754 .51204 L
.51686 .51146 L
.51613 .51043 L
.51525 .50901 L
.51514 .50883 L
.51404 .50722 L
.51364 .50665 L
.51298 .50562 L
.5121 .50401 L
F
1 .82 .004 r
.51364 .50295 m
.51461 .50401 L
.51525 .50445 L
.51638 .50562 L
.51686 .50611 L
.51787 .50722 L
.51846 .50794 L
.51943 .50883 L
.52007 .50989 L
.52056 .51043 L
.52167 .51187 L
.52178 .51204 L
.52313 .51364 L
.52328 .51377 L
.5247 .51525 L
.52488 .51584 L
.52568 .51686 L
.52649 .51799 L
.52677 .51846 L
.52804 .52007 L
.52809 .52014 L
.52921 .52167 L
.5297 .52235 L
.53054 .52328 L
.5313 .52471 L
.53142 .52488 L
.53226 .52649 L
.5313 .52778 L
.5297 .52683 L
.52933 .52649 L
.52809 .5251 L
.52758 .52488 L
.52649 .52337 L
.52633 .52328 L
.52502 .52167 L
.52488 .52161 L
.52375 .52007 L
.52328 .5196 L
.52206 .51846 L
.52167 .51749 L
.52113 .51686 L
.52007 .51536 L
.51999 .51525 L
.51877 .51364 L
.51846 .51324 L
.51757 .51204 L
.51686 .51142 L
.51616 .51043 L
.51525 .50896 L
.51517 .50883 L
.51408 .50722 L
.51364 .50658 L
.51304 .50562 L
.5122 .50401 L
F
1 .81 .003 r
.51364 .50306 m
.51449 .50401 L
.51525 .50452 L
.51631 .50562 L
.51686 .50617 L
.51782 .50722 L
.51846 .50799 L
.51939 .50883 L
.52007 .50993 L
.52052 .51043 L
.52167 .5119 L
.52176 .51204 L
.5231 .51364 L
.52328 .5138 L
.52469 .51525 L
.52488 .51588 L
.52565 .51686 L
.52649 .51802 L
.52675 .51846 L
.52801 .52007 L
.52809 .52018 L
.52918 .52167 L
.5297 .52241 L
.5305 .52328 L
.5313 .52479 L
.53137 .52488 L
.53218 .52649 L
.5313 .52767 L
.5297 .52675 L
.52941 .52649 L
.52809 .52507 L
.52764 .52488 L
.52649 .52335 L
.52637 .52328 L
.52506 .52167 L
.52488 .52159 L
.52377 .52007 L
.52328 .51957 L
.52209 .51846 L
.52167 .51746 L
.52115 .51686 L
.52007 .51533 L
.52001 .51525 L
.51879 .51364 L
.51846 .51321 L
.51759 .51204 L
.51686 .51138 L
.5162 .51043 L
.51525 .5089 L
.51521 .50883 L
.51412 .50722 L
.51364 .50651 L
.51309 .50562 L
.51232 .50401 L
F
1 .8 .002 r
.51364 .50319 m
.51436 .50401 L
.51525 .50458 L
.51624 .50562 L
.51686 .50623 L
.51776 .50722 L
.51846 .50804 L
.51936 .50883 L
.52007 .50998 L
.52049 .51043 L
.52167 .51193 L
.52174 .51204 L
.52307 .51364 L
.52328 .51383 L
.52467 .51525 L
.52488 .51591 L
.52562 .51686 L
.52649 .51806 L
.52673 .51846 L
.52798 .52007 L
.52809 .52022 L
.52914 .52167 L
.5297 .52246 L
.53046 .52328 L
.5313 .52487 L
.53131 .52488 L
.53209 .52649 L
.5313 .52755 L
.5297 .52667 L
.52949 .52649 L
.52809 .52504 L
.52771 .52488 L
.52649 .52332 L
.52641 .52328 L
.52509 .52167 L
.52488 .52158 L
.5238 .52007 L
.52328 .51954 L
.52211 .51846 L
.52167 .51743 L
.52118 .51686 L
.52007 .5153 L
.52003 .51525 L
.51882 .51364 L
.51846 .51318 L
.51762 .51204 L
.51686 .51134 L
.51623 .51043 L
.51525 .50884 L
.51524 .50883 L
.51416 .50722 L
.51364 .50644 L
.51314 .50562 L
.51244 .50401 L
F
.733 .99 1 r
.51364 .53099 m
.51506 .5313 L
.51525 .5314 L
.51686 .53281 L
.51698 .53291 L
.51829 .53451 L
.51846 .53472 L
.51955 .53612 L
.52007 .53645 L
.5208 .53772 L
.52167 .53867 L
.5223 .53933 L
.52328 .54089 L
.52331 .54093 L
.52449 .54254 L
.52488 .54304 L
.52569 .54414 L
.52649 .54518 L
.52726 .54575 L
.52809 .5473 L
.52813 .54735 L
.52925 .54896 L
.5297 .54957 L
.53036 .55057 L
.5313 .55192 L
.5316 .55217 L
.53241 .55378 L
.53291 .5547 L
.53317 .55538 L
.5336 .55699 L
.53397 .55859 L
.53451 .55966 L
.53476 .5602 L
.53451 .56082 L
.53418 .5602 L
.53291 .55868 L
.53285 .55859 L
.53153 .55699 L
.5313 .55672 L
.5302 .55538 L
.5297 .55477 L
.52888 .55378 L
.52809 .55283 L
.52745 .55217 L
.52649 .55085 L
.52625 .55057 L
.52497 .54896 L
.52488 .54885 L
.52358 .54735 L
.52328 .54684 L
.52239 .54575 L
.52167 .54479 L
.52119 .54414 L
.52007 .54273 L
.51995 .54254 L
.51861 .54093 L
.51846 .54068 L
.51744 .53933 L
.51686 .53857 L
.5163 .53772 L
.51525 .53642 L
.51512 .53612 L
.51374 .53451 L
.51364 .53417 L
.51278 .53291 L
.51247 .5313 L
F
0 .34 1 r
.51364 .5101 m
.51395 .51043 L
.51525 .51183 L
.51542 .51204 L
.51676 .51364 L
.51686 .51376 L
.51799 .51525 L
.51846 .51586 L
.51917 .51686 L
.52007 .51811 L
.52029 .51846 L
.52007 .52001 L
.51857 .51846 L
.51846 .51835 L
.5172 .51686 L
.51686 .51646 L
.51592 .51525 L
.51525 .51442 L
.51468 .51364 L
.51364 .51225 L
.5135 .51204 L
.51252 .51043 L
F
0 .33 1 r
.51364 .51016 m
.5139 .51043 L
.51525 .51188 L
.51539 .51204 L
.51672 .51364 L
.51686 .5138 L
.51795 .51525 L
.51846 .5159 L
.51913 .51686 L
.52007 .51817 L
.52025 .51846 L
.52007 .51993 L
.51862 .51846 L
.51846 .5183 L
.51724 .51686 L
.51686 .51641 L
.51595 .51525 L
.51525 .51438 L
.51472 .51364 L
.51364 .5122 L
.51354 .51204 L
.51258 .51043 L
F
1 .79 .001 r
.51364 .50336 m
.51422 .50401 L
.51525 .50465 L
.51617 .50562 L
.51686 .50629 L
.51771 .50722 L
.51846 .50809 L
.51932 .50883 L
.52007 .51002 L
.52046 .51043 L
.52167 .51196 L
.52172 .51204 L
.52304 .51364 L
.52328 .51385 L
.52466 .51525 L
.52488 .51595 L
.5256 .51686 L
.52649 .5181 L
.5267 .51846 L
.52794 .52007 L
.52809 .52027 L
.52911 .52167 L
.5297 .52251 L
.53041 .52328 L
.53125 .52488 L
.5313 .52497 L
.532 .52649 L
.5313 .52744 L
.5297 .5266 L
.52957 .52649 L
.52809 .525 L
.52778 .52488 L
.52649 .5233 L
.52645 .52328 L
.52512 .52167 L
.52488 .52156 L
.52383 .52007 L
.52328 .51951 L
.52213 .51846 L
.52167 .5174 L
.5212 .51686 L
.52007 .51527 L
.52005 .51525 L
.51884 .51364 L
.51846 .51314 L
.51764 .51204 L
.51686 .51129 L
.51626 .51043 L
.51528 .50883 L
.51525 .50879 L
.5142 .50722 L
.51364 .50636 L
.5132 .50562 L
.51259 .50401 L
F
0 .32 1 r
.51364 .51022 m
.51385 .51043 L
.51525 .51192 L
.51535 .51204 L
.51668 .51364 L
.51686 .51385 L
.51791 .51525 L
.51846 .51595 L
.51909 .51686 L
.52007 .51824 L
.52021 .51846 L
.52007 .51985 L
.51868 .51846 L
.51846 .51824 L
.51729 .51686 L
.51686 .51636 L
.51599 .51525 L
.51525 .51433 L
.51475 .51364 L
.51364 .51214 L
.51357 .51204 L
.51265 .51043 L
F
0 .31 1 r
.51364 .51028 m
.51379 .51043 L
.51525 .51197 L
.51531 .51204 L
.51664 .51364 L
.51686 .5139 L
.51787 .51525 L
.51846 .516 L
.51905 .51686 L
.52007 .51831 L
.52016 .51846 L
.52007 .51976 L
.51874 .51846 L
.51846 .51819 L
.51733 .51686 L
.51686 .51632 L
.51603 .51525 L
.51525 .51428 L
.51479 .51364 L
.51364 .51209 L
.51361 .51204 L
.51272 .51043 L
F
1 .78 .001 r
.51364 .50356 m
.51406 .50401 L
.51525 .50472 L
.51609 .50562 L
.51686 .50635 L
.51766 .50722 L
.51846 .50814 L
.51927 .50883 L
.52007 .51005 L
.52043 .51043 L
.52167 .51198 L
.52171 .51204 L
.52301 .51364 L
.52328 .51388 L
.52464 .51525 L
.52488 .51598 L
.52557 .51686 L
.52649 .51814 L
.52668 .51846 L
.52791 .52007 L
.52809 .52031 L
.52907 .52167 L
.5297 .52257 L
.53037 .52328 L
.5312 .52488 L
.5313 .52508 L
.5319 .52649 L
.5313 .52731 L
.5297 .52652 L
.52966 .52649 L
.52809 .52497 L
.52785 .52488 L
.52649 .52328 L
.52649 .52327 L
.52515 .52167 L
.52488 .52154 L
.52385 .52007 L
.52328 .51949 L
.52216 .51846 L
.52167 .51736 L
.52123 .51686 L
.52007 .51525 L
.52007 .51524 L
.51887 .51364 L
.51846 .51311 L
.51767 .51204 L
.51686 .51125 L
.5163 .51043 L
.51531 .50883 L
.51525 .50874 L
.51425 .50722 L
.51364 .50628 L
.51326 .50562 L
.51276 .50401 L
F
0 .3 1 r
.51364 .51035 m
.51373 .51043 L
.51525 .51202 L
.51527 .51204 L
.51659 .51364 L
.51686 .51395 L
.51783 .51525 L
.51846 .51606 L
.51901 .51686 L
.52007 .51838 L
.52012 .51846 L
.52007 .51966 L
.5188 .51846 L
.51846 .51813 L
.51738 .51686 L
.51686 .51627 L
.51607 .51525 L
.51525 .51423 L
.51482 .51364 L
.51365 .51204 L
.51364 .51203 L
.51281 .51043 L
F
0 .29 1 r
.51364 .51042 m
.51366 .51043 L
.51364 .51195 L
.51291 .51043 L
F
1 .77 .001 r
.51364 .50379 m
.51386 .50401 L
.51525 .50479 L
.51602 .50562 L
.51686 .5064 L
.51761 .50722 L
.51846 .50819 L
.51923 .50883 L
.52007 .51009 L
.52039 .51043 L
.52167 .51201 L
.52169 .51204 L
.52298 .51364 L
.52328 .51391 L
.52462 .51525 L
.52488 .51602 L
.52554 .51686 L
.52649 .51818 L
.52666 .51846 L
.52788 .52007 L
.52809 .52036 L
.52904 .52167 L
.5297 .52263 L
.53032 .52328 L
.53114 .52488 L
.5313 .52521 L
.5318 .52649 L
.5313 .52718 L
.52976 .52649 L
.5297 .52644 L
.52809 .52494 L
.52793 .52488 L
.52653 .52328 L
.52649 .52323 L
.52518 .52167 L
.52488 .52153 L
.52388 .52007 L
.52328 .51946 L
.52218 .51846 L
.52167 .51733 L
.52126 .51686 L
.5201 .51525 L
.52007 .51521 L
.51889 .51364 L
.51846 .51308 L
.51769 .51204 L
.51686 .5112 L
.51633 .51043 L
.51535 .50883 L
.51525 .50869 L
.51429 .50722 L
.51364 .50619 L
.51332 .50562 L
.51299 .50401 L
F
1 .48 0 r
.51364 .45451 m
.51479 .45586 L
.51525 .45634 L
.51618 .45746 L
.51686 .45822 L
.51754 .45907 L
.51846 .46014 L
.51889 .46067 L
.52007 .46199 L
.52022 .46228 L
.52152 .46388 L
.52167 .46406 L
.5228 .46549 L
.52328 .46606 L
.52409 .46709 L
.52488 .46757 L
.52538 .4687 L
.52649 .47001 L
.52682 .4703 L
.52793 .47191 L
.52809 .47211 L
.52918 .47351 L
.5297 .47415 L
.53044 .47512 L
.5313 .47596 L
.5317 .47672 L
.53291 .47824 L
.53299 .47833 L
.53419 .47993 L
.53451 .48033 L
.53543 .48154 L
.53612 .48241 L
.53667 .48314 L
.53772 .48439 L
.53809 .48475 L
.53915 .48636 L
.53933 .48658 L
.54036 .48796 L
.54093 .48869 L
.54159 .48957 L
.54254 .49055 L
.54282 .49117 L
.54405 .49278 L
.54414 .4929 L
.54523 .49438 L
.54575 .49504 L
.54644 .49599 L
.54735 .49718 L
.54766 .49759 L
.54886 .4992 L
.54896 .49933 L
.55001 .5008 L
.55057 .50152 L
.55119 .50241 L
.55217 .50371 L
.55238 .50401 L
.55353 .50562 L
.55378 .50594 L
.55462 .50722 L
.55538 .50826 L
.55574 .50883 L
.55538 .51005 L
.55432 .50883 L
.55378 .50825 L
.55291 .50722 L
.55217 .50639 L
.55153 .50562 L
.55057 .50449 L
.55018 .50401 L
.54896 .50261 L
.54884 .50241 L
.54754 .5008 L
.54735 .50059 L
.54624 .4992 L
.54575 .4986 L
.54495 .49759 L
.54414 .49698 L
.54365 .49599 L
.54254 .49465 L
.54225 .49438 L
.5411 .49278 L
.54093 .49257 L
.53984 .49117 L
.53933 .49054 L
.53857 .48957 L
.53772 .48868 L
.53685 .48796 L
.53612 .48646 L
.53603 .48636 L
.53481 .48475 L
.53451 .48437 L
.53357 .48314 L
.53291 .48277 L
.53232 .48154 L
.5313 .48031 L
.53094 .47993 L
.52985 .47833 L
.5297 .47813 L
.52863 .47672 L
.52809 .47603 L
.5274 .47512 L
.52649 .47413 L
.52583 .47351 L
.52495 .47191 L
.52488 .47182 L
.52376 .4703 L
.52328 .46968 L
.52255 .4687 L
.52167 .46754 L
.52134 .46709 L
.52013 .46549 L
.52007 .4654 L
.51898 .46388 L
.51846 .46321 L
.5178 .46228 L
.51686 .46102 L
.51661 .46067 L
.51546 .45907 L
.51525 .45879 L
.51435 .45746 L
.51364 .45649 L
.51323 .45586 L
F
1 .47 0 r
.51364 .45461 m
.51472 .45586 L
.51525 .45641 L
.51612 .45746 L
.51686 .45828 L
.51749 .45907 L
.51846 .46019 L
.51885 .46067 L
.52007 .46205 L
.52018 .46228 L
.52148 .46388 L
.52167 .4641 L
.52277 .46549 L
.52328 .4661 L
.52406 .46709 L
.52488 .46762 L
.52535 .4687 L
.52649 .47005 L
.52677 .4703 L
.5279 .47191 L
.52809 .47214 L
.52915 .47351 L
.5297 .47419 L
.53041 .47512 L
.5313 .476 L
.53168 .47672 L
.53291 .47827 L
.53296 .47833 L
.53417 .47993 L
.53451 .48036 L
.5354 .48154 L
.53612 .48244 L
.53665 .48314 L
.53772 .48443 L
.53805 .48475 L
.53912 .48636 L
.53933 .48661 L
.54034 .48796 L
.54093 .48872 L
.54156 .48957 L
.54254 .49059 L
.5428 .49117 L
.54402 .49278 L
.54414 .49294 L
.5452 .49438 L
.54575 .49508 L
.54641 .49599 L
.54735 .49722 L
.54763 .49759 L
.54883 .4992 L
.54896 .49937 L
.54998 .5008 L
.55057 .50157 L
.55116 .50241 L
.55217 .50376 L
.55235 .50401 L
.55348 .50562 L
.55378 .50601 L
.55457 .50722 L
.55538 .50834 L
.55568 .50883 L
.55538 .50995 L
.5544 .50883 L
.55378 .50818 L
.55297 .50722 L
.55217 .50633 L
.55158 .50562 L
.55057 .50444 L
.55022 .50401 L
.54896 .50254 L
.54888 .50241 L
.54758 .5008 L
.54735 .50054 L
.54628 .4992 L
.54575 .49856 L
.54498 .49759 L
.54414 .49693 L
.54368 .49599 L
.54254 .49461 L
.5423 .49438 L
.54113 .49278 L
.54093 .49254 L
.53987 .49117 L
.53933 .4905 L
.5386 .48957 L
.53772 .48865 L
.53689 .48796 L
.53612 .48642 L
.53606 .48636 L
.53484 .48475 L
.53451 .48434 L
.5336 .48314 L
.53291 .48274 L
.53235 .48154 L
.5313 .48027 L
.53098 .47993 L
.52988 .47833 L
.5297 .4781 L
.52866 .47672 L
.52809 .476 L
.52743 .47512 L
.52649 .47409 L
.52588 .47351 L
.52498 .47191 L
.52488 .47178 L
.52379 .4703 L
.52328 .46964 L
.52258 .4687 L
.52167 .46751 L
.52137 .46709 L
.52017 .46549 L
.52007 .46535 L
.51901 .46388 L
.51846 .46316 L
.51783 .46228 L
.51686 .46097 L
.51664 .46067 L
.51551 .45907 L
.51525 .45872 L
.51441 .45746 L
.51364 .45641 L
.51329 .45586 L
F
0 .75 1 r
.51364 .44788 m
.51511 .44943 L
.51525 .44958 L
.51655 .45104 L
.51686 .45137 L
.51795 .45265 L
.51846 .45321 L
.51933 .45425 L
.52007 .45486 L
.5207 .45586 L
.52167 .45697 L
.52225 .45746 L
.52328 .45896 L
.52337 .45907 L
.52467 .46067 L
.52488 .46092 L
.52597 .46228 L
.52649 .46279 L
.52787 .46388 L
.52809 .46488 L
.52866 .46549 L
.5297 .46691 L
.52983 .46709 L
.53112 .4687 L
.5313 .4688 L
.5324 .4703 L
.53291 .47088 L
.53391 .47191 L
.53451 .47298 L
.53495 .47351 L
.53612 .47503 L
.53617 .47512 L
.53745 .47672 L
.53772 .47698 L
.53917 .47833 L
.53933 .47909 L
.54006 .47993 L
.54093 .48119 L
.54118 .48154 L
.54246 .48314 L
.54254 .48318 L
.5437 .48475 L
.54414 .48523 L
.54517 .48636 L
.54575 .48737 L
.54621 .48796 L
.54735 .48947 L
.54741 .48957 L
.54867 .49117 L
.54896 .49141 L
.55035 .49278 L
.55057 .49356 L
.55125 .49438 L
.55217 .4957 L
.55237 .49599 L
.55361 .49759 L
.55378 .49762 L
.55484 .4992 L
.55538 .49977 L
.5563 .5008 L
.55699 .50195 L
.55733 .50241 L
.55854 .50401 L
.55859 .50408 L
.55975 .50562 L
.5602 .50596 L
.56143 .50722 L
.5618 .50821 L
.56231 .50883 L
.56341 .51039 L
.56344 .51043 L
.56464 .51204 L
.56501 .51252 L
.56586 .51364 L
.56662 .51447 L
.56729 .51525 L
.56822 .51673 L
.56832 .51686 L
.5695 .51846 L
.56983 .51889 L
.5707 .52007 L
.57143 .52072 L
.57229 .52167 L
.57304 .52313 L
.57316 .52328 L
.5743 .52488 L
.57464 .52533 L
.57548 .52649 L
.57625 .5275 L
.57668 .52809 L
.57785 .52965 L
.57789 .5297 L
.57901 .5313 L
.57946 .5319 L
.58016 .53291 L
.58106 .53414 L
.58132 .53451 L
.58244 .53612 L
.58267 .53643 L
.5835 .53772 L
.58428 .53885 L
.58456 .53933 L
.58428 .54066 L
.58299 .53933 L
.58267 .53901 L
.58151 .53772 L
.58106 .53725 L
.58008 .53612 L
.57946 .53542 L
.57868 .53451 L
.57785 .53373 L
.57731 .53291 L
.57625 .53167 L
.57583 .5313 L
.57464 .52971 L
.57463 .5297 L
.57332 .52809 L
.57304 .52802 L
.57201 .52649 L
.57143 .52587 L
.57026 .52488 L
.56983 .52381 L
.56935 .52328 L
.56822 .52179 L
.56814 .52167 L
.56684 .52007 L
.56662 .51989 L
.56556 .51846 L
.56501 .51781 L
.56412 .51686 L
.56341 .51573 L
.56303 .51525 L
.5618 .51369 L
.56178 .51364 L
.5605 .51204 L
.5602 .51173 L
.55889 .51043 L
.55859 .50962 L
.55793 .50883 L
.55699 .50753 L
.55678 .50722 L
.55549 .50562 L
.55538 .50555 L
.55424 .50401 L
.55378 .50348 L
.55283 .50241 L
.55217 .50136 L
.55176 .5008 L
.55057 .49927 L
.55053 .4992 L
.54927 .49759 L
.54896 .4973 L
.5477 .49599 L
.54735 .49516 L
.54673 .49438 L
.54575 .49303 L
.54559 .49278 L
.54432 .49117 L
.54414 .49109 L
.54309 .48957 L
.54254 .48895 L
.54169 .48796 L
.54093 .48678 L
.54062 .48636 L
.53939 .48475 L
.53933 .48467 L
.53818 .48314 L
.53772 .48274 L
.5366 .48154 L
.53612 .48052 L
.53565 .47993 L
.53451 .47836 L
.53449 .47833 L
.53329 .47672 L
.53291 .47658 L
.53207 .47512 L
.5313 .47425 L
.53069 .47351 L
.5297 .47202 L
.52962 .47191 L
.52843 .4703 L
.52809 .46987 L
.52722 .4687 L
.52649 .46798 L
.52571 .46709 L
.52488 .46563 L
.52478 .46549 L
.52362 .46388 L
.52328 .46343 L
.52244 .46228 L
.52167 .46127 L
.52124 .46067 L
.52007 .45911 L
.52003 .45907 L
.5189 .45746 L
.51846 .45688 L
.51775 .45586 L
.51686 .45465 L
.51658 .45425 L
.51545 .45265 L
.51525 .45237 L
.51438 .45104 L
.51364 .44999 L
.5133 .44943 L
F
0 .35 1 r
.51364 .46137 m
.51433 .46228 L
.51525 .46333 L
.51566 .46388 L
.51686 .4653 L
.51699 .46549 L
.51686 .46707 L
.51573 .46549 L
.51525 .4649 L
.51454 .46388 L
.51364 .46275 L
.51332 .46228 L
F
1 .46 0 r
.51364 .45471 m
.51464 .45586 L
.51525 .45649 L
.51606 .45746 L
.51686 .45834 L
.51745 .45907 L
.51846 .46024 L
.51881 .46067 L
.52007 .46212 L
.52015 .46228 L
.52144 .46388 L
.52167 .46415 L
.52273 .46549 L
.52328 .46614 L
.52403 .46709 L
.52488 .46767 L
.52532 .4687 L
.52649 .47009 L
.52672 .4703 L
.52787 .47191 L
.52809 .47218 L
.52912 .47351 L
.5297 .47422 L
.53039 .47512 L
.5313 .47604 L
.53166 .47672 L
.53291 .47831 L
.53293 .47833 L
.53414 .47993 L
.53451 .48039 L
.53538 .48154 L
.53612 .48247 L
.53663 .48314 L
.53772 .48447 L
.53801 .48475 L
.5391 .48636 L
.53933 .48664 L
.54031 .48796 L
.54093 .48875 L
.54154 .48957 L
.54254 .49064 L
.54278 .49117 L
.54399 .49278 L
.54414 .49297 L
.54518 .49438 L
.54575 .49512 L
.54638 .49599 L
.54735 .49725 L
.5476 .49759 L
.54879 .4992 L
.54896 .49941 L
.54994 .5008 L
.55057 .50161 L
.55112 .50241 L
.55217 .50381 L
.55231 .50401 L
.55343 .50562 L
.55378 .50608 L
.55451 .50722 L
.55538 .50843 L
.55562 .50883 L
.55538 .50983 L
.55449 .50883 L
.55378 .5081 L
.55303 .50722 L
.55217 .50627 L
.55163 .50562 L
.55057 .50438 L
.55026 .50401 L
.54896 .50248 L
.54892 .50241 L
.54762 .5008 L
.54735 .5005 L
.54632 .4992 L
.54575 .49852 L
.54501 .49759 L
.54414 .49688 L
.54371 .49599 L
.54254 .49456 L
.54234 .49438 L
.54116 .49278 L
.54093 .4925 L
.5399 .49117 L
.53933 .49047 L
.53863 .48957 L
.53772 .48861 L
.53694 .48796 L
.53612 .48638 L
.53609 .48636 L
.53487 .48475 L
.53451 .48431 L
.53362 .48314 L
.53291 .4827 L
.53237 .48154 L
.5313 .48023 L
.53102 .47993 L
.5299 .47833 L
.5297 .47807 L
.52869 .47672 L
.52809 .47597 L
.52746 .47512 L
.52649 .47404 L
.52592 .47351 L
.52501 .47191 L
.52488 .47175 L
.52382 .4703 L
.52328 .4696 L
.52261 .4687 L
.52167 .46747 L
.52139 .46709 L
.5202 .46549 L
.52007 .46531 L
.51905 .46388 L
.51846 .46311 L
.51787 .46228 L
.51686 .46092 L
.51668 .46067 L
.51556 .45907 L
.51525 .45866 L
.51446 .45746 L
.51364 .45632 L
.51335 .45586 L
F
1 .76 .001 r
.51364 .50404 m
.51525 .50487 L
.51594 .50562 L
.51686 .50646 L
.51756 .50722 L
.51846 .50824 L
.51919 .50883 L
.52007 .51013 L
.52036 .51043 L
.52167 .51204 L
.52167 .51204 L
.52295 .51364 L
.52328 .51394 L
.52461 .51525 L
.52488 .51605 L
.52551 .51686 L
.52649 .51822 L
.52663 .51846 L
.52785 .52007 L
.52809 .5204 L
.529 .52167 L
.5297 .52268 L
.53027 .52328 L
.53108 .52488 L
.5313 .52535 L
.53169 .52649 L
.5313 .52703 L
.52989 .52649 L
.5297 .52636 L
.52809 .52491 L
.52801 .52488 L
.52657 .52328 L
.52649 .52319 L
.52522 .52167 L
.52488 .52151 L
.52391 .52007 L
.52328 .51943 L
.52221 .51846 L
.52167 .5173 L
.52128 .51686 L
.52012 .51525 L
.52007 .51518 L
.51892 .51364 L
.51846 .51305 L
.51772 .51204 L
.51686 .51115 L
.51637 .51043 L
.51539 .50883 L
.51525 .50863 L
.51433 .50722 L
.51364 .5061 L
.51338 .50562 L
F
0 .34 1 r
.51364 .46148 m
.51424 .46228 L
.51525 .46341 L
.5156 .46388 L
.51686 .46537 L
.51694 .46549 L
.51686 .46698 L
.5158 .46549 L
.51525 .46481 L
.51461 .46388 L
.51364 .46265 L
.51339 .46228 L
F
0 .74 1 r
.51364 .44805 m
.51498 .44943 L
.51525 .4497 L
.51645 .45104 L
.51686 .45147 L
.51787 .45265 L
.51846 .4533 L
.51927 .45425 L
.52007 .45493 L
.52064 .45586 L
.52167 .45704 L
.52218 .45746 L
.52328 .45902 L
.52332 .45907 L
.52462 .46067 L
.52488 .46098 L
.52593 .46228 L
.52649 .46283 L
.52784 .46388 L
.52809 .46492 L
.52863 .46549 L
.5297 .46695 L
.52981 .46709 L
.53109 .4687 L
.5313 .46882 L
.53237 .4703 L
.53291 .47092 L
.53388 .47191 L
.53451 .47301 L
.53492 .47351 L
.53612 .47506 L
.53615 .47512 L
.53742 .47672 L
.53772 .477 L
.53916 .47833 L
.53933 .47911 L
.54004 .47993 L
.54093 .48122 L
.54116 .48154 L
.54244 .48314 L
.54254 .48319 L
.54368 .48475 L
.54414 .48526 L
.54516 .48636 L
.54575 .48739 L
.54619 .48796 L
.54735 .48949 L
.5474 .48957 L
.54865 .49117 L
.54896 .49143 L
.55034 .49278 L
.55057 .49359 L
.55123 .49438 L
.55217 .49573 L
.55235 .49599 L
.55359 .49759 L
.55378 .49763 L
.55482 .4992 L
.55538 .49979 L
.55629 .5008 L
.55699 .50197 L
.55732 .50241 L
.55852 .50401 L
.55859 .50411 L
.55973 .50562 L
.5602 .50598 L
.56141 .50722 L
.5618 .50823 L
.56229 .50883 L
.56341 .51042 L
.56342 .51043 L
.56462 .51204 L
.56501 .51254 L
.56583 .51364 L
.56662 .5145 L
.56726 .51525 L
.56822 .51676 L
.56829 .51686 L
.56947 .51846 L
.56983 .51892 L
.57067 .52007 L
.57143 .52076 L
.57225 .52167 L
.57304 .52317 L
.57312 .52328 L
.57427 .52488 L
.57464 .52537 L
.57545 .52649 L
.57625 .52755 L
.57664 .52809 L
.57784 .5297 L
.57785 .52972 L
.57896 .5313 L
.57946 .53196 L
.58011 .53291 L
.58106 .53421 L
.58127 .53451 L
.58237 .53612 L
.58267 .53654 L
.58341 .53772 L
.58428 .53901 L
.58445 .53933 L
.58428 .54045 L
.58315 .53933 L
.58267 .53888 L
.58162 .53772 L
.58106 .53715 L
.58017 .53612 L
.57946 .53534 L
.57875 .53451 L
.57785 .53365 L
.57737 .53291 L
.57625 .5316 L
.57591 .5313 L
.57469 .5297 L
.57464 .52965 L
.57337 .52809 L
.57304 .528 L
.57205 .52649 L
.57143 .52583 L
.5703 .52488 L
.56983 .52376 L
.56939 .52328 L
.56822 .52175 L
.56817 .52167 L
.56688 .52007 L
.56662 .51986 L
.56559 .51846 L
.56501 .51777 L
.56414 .51686 L
.56341 .51569 L
.56306 .51525 L
.5618 .51366 L
.56179 .51364 L
.56053 .51204 L
.5602 .5117 L
.55891 .51043 L
.55859 .5096 L
.55795 .50883 L
.55699 .5075 L
.5568 .50722 L
.55551 .50562 L
.55538 .50554 L
.55426 .50401 L
.55378 .50346 L
.55285 .50241 L
.55217 .50133 L
.55177 .5008 L
.55057 .49925 L
.55054 .4992 L
.54929 .49759 L
.54896 .49728 L
.54771 .49599 L
.54735 .49514 L
.54674 .49438 L
.54575 .49301 L
.5456 .49278 L
.54434 .49117 L
.54414 .49108 L
.54311 .48957 L
.54254 .48893 L
.5417 .48796 L
.54093 .48676 L
.54064 .48636 L
.53941 .48475 L
.53933 .48464 L
.5382 .48314 L
.53772 .48272 L
.53662 .48154 L
.53612 .4805 L
.53567 .47993 L
.53451 .47833 L
.53451 .47833 L
.53331 .47672 L
.53291 .47656 L
.53209 .47512 L
.5313 .47422 L
.53071 .47351 L
.5297 .47199 L
.52964 .47191 L
.52845 .4703 L
.52809 .46984 L
.52725 .4687 L
.52649 .46794 L
.52575 .46709 L
.52488 .46558 L
.52481 .46549 L
.52365 .46388 L
.52328 .46339 L
.52247 .46228 L
.52167 .46122 L
.52127 .46067 L
.52008 .45907 L
.52007 .45905 L
.51894 .45746 L
.51846 .45681 L
.51779 .45586 L
.51686 .45457 L
.51663 .45425 L
.51552 .45265 L
.51525 .45227 L
.51446 .45104 L
.51364 .44985 L
.51339 .44943 L
F
1 .45 0 r
.51364 .45482 m
.51455 .45586 L
.51525 .45656 L
.516 .45746 L
.51686 .4584 L
.5174 .45907 L
.51846 .46029 L
.51877 .46067 L
.52007 .46219 L
.52011 .46228 L
.5214 .46388 L
.52167 .46419 L
.5227 .46549 L
.52328 .46618 L
.524 .46709 L
.52488 .46772 L
.52529 .4687 L
.52649 .47014 L
.52667 .4703 L
.52784 .47191 L
.52809 .47221 L
.5291 .47351 L
.5297 .47425 L
.53036 .47512 L
.5313 .47608 L
.53163 .47672 L
.53289 .47833 L
.53291 .47835 L
.53412 .47993 L
.53451 .48042 L
.53536 .48154 L
.53612 .4825 L
.53661 .48314 L
.53772 .48451 L
.53797 .48475 L
.53907 .48636 L
.53933 .48667 L
.54029 .48796 L
.54093 .48878 L
.54152 .48957 L
.54254 .49069 L
.54275 .49117 L
.54396 .49278 L
.54414 .49301 L
.54515 .49438 L
.54575 .49515 L
.54635 .49599 L
.54735 .49729 L
.54757 .49759 L
.54876 .4992 L
.54896 .49946 L
.54991 .5008 L
.55057 .50166 L
.55108 .50241 L
.55217 .50386 L
.55228 .50401 L
.55337 .50562 L
.55378 .50616 L
.55445 .50722 L
.55538 .50854 L
.55555 .50883 L
.55538 .5097 L
.55458 .50883 L
.55378 .50802 L
.5531 .50722 L
.55217 .5062 L
.55168 .50562 L
.55057 .50433 L
.55031 .50401 L
.54896 .50241 L
.54896 .50241 L
.54766 .5008 L
.54735 .50045 L
.54635 .4992 L
.54575 .49848 L
.54504 .49759 L
.54414 .49683 L
.54374 .49599 L
.54254 .49452 L
.54239 .49438 L
.54119 .49278 L
.54093 .49246 L
.53993 .49117 L
.53933 .49043 L
.53865 .48957 L
.53772 .48856 L
.53698 .48796 L
.53613 .48636 L
.53612 .48635 L
.53489 .48475 L
.53451 .48427 L
.53365 .48314 L
.53291 .48266 L
.5324 .48154 L
.5313 .48019 L
.53106 .47993 L
.52993 .47833 L
.5297 .47803 L
.52871 .47672 L
.52809 .47593 L
.52748 .47512 L
.52649 .474 L
.52597 .47351 L
.52504 .47191 L
.52488 .47171 L
.52385 .4703 L
.52328 .46957 L
.52264 .4687 L
.52167 .46743 L
.52142 .46709 L
.52024 .46549 L
.52007 .46526 L
.51908 .46388 L
.51846 .46306 L
.51791 .46228 L
.51686 .46086 L
.51672 .46067 L
.51561 .45907 L
.51525 .45858 L
.51452 .45746 L
.51364 .45623 L
.51342 .45586 L
F
0 .66 1 r
.51364 .55939 m
.51418 .5602 L
.51525 .56157 L
.5154 .5618 L
.51525 .56237 L
.51484 .5618 L
.51364 .5605 L
.51343 .5602 L
F
1 .8 .002 r
.51364 .55268 m
.51453 .55378 L
.51525 .55458 L
.51589 .55538 L
.51686 .55653 L
.51722 .55699 L
.51846 .55851 L
.51853 .55859 L
.51978 .5602 L
.52007 .56053 L
.52104 .5618 L
.52167 .56257 L
.52232 .56341 L
.52328 .56461 L
.52359 .56501 L
.52483 .56662 L
.52488 .56667 L
.52604 .56822 L
.52649 .56878 L
.52726 .56983 L
.52809 .57089 L
.5285 .57143 L
.5297 .57301 L
.52972 .57304 L
.53086 .57464 L
.5313 .5752 L
.53203 .57625 L
.53291 .5774 L
.53322 .57785 L
.53291 .57886 L
.53213 .57785 L
.5313 .57694 L
.53078 .57625 L
.5297 .57499 L
.52944 .57464 L
.52811 .57304 L
.52809 .57302 L
.52688 .57143 L
.52649 .57097 L
.52564 .56983 L
.52488 .56892 L
.52437 .56822 L
.52328 .56688 L
.52308 .56662 L
.52184 .56501 L
.52167 .56481 L
.52065 .56341 L
.52007 .5627 L
.51943 .5618 L
.51846 .56059 L
.51818 .5602 L
.51694 .55859 L
.51686 .55848 L
.51581 .55699 L
.51525 .55629 L
.51464 .55538 L
.51364 .5541 L
.51343 .55378 L
F
1 .75 0 r
.51364 .50419 m
.51525 .50495 L
.51586 .50562 L
.51686 .50652 L
.5175 .50722 L
.51846 .50829 L
.51914 .50883 L
.52007 .51017 L
.52032 .51043 L
.52164 .51204 L
.52167 .51208 L
.52292 .51364 L
.52328 .51396 L
.52459 .51525 L
.52488 .51609 L
.52549 .51686 L
.52649 .51826 L
.52661 .51846 L
.52782 .52007 L
.52809 .52045 L
.52897 .52167 L
.5297 .52274 L
.53021 .52328 L
.53101 .52488 L
.5313 .52551 L
.53157 .52649 L
.5313 .52687 L
.53003 .52649 L
.5297 .52629 L
.52809 .52488 L
.52809 .52488 L
.52661 .52328 L
.52649 .52314 L
.52525 .52167 L
.52488 .52149 L
.52394 .52007 L
.52328 .51939 L
.52224 .51846 L
.52167 .51727 L
.52131 .51686 L
.52015 .51525 L
.52007 .51515 L
.51894 .51364 L
.51846 .51301 L
.51774 .51204 L
.51686 .51109 L
.51641 .51043 L
.51542 .50883 L
.51525 .50858 L
.51438 .50722 L
.51364 .506 L
.51344 .50562 L
F
0 .33 1 r
.51364 .4616 m
.51414 .46228 L
.51525 .4635 L
.51553 .46388 L
.51686 .46545 L
.51688 .46549 L
.51686 .46688 L
.51589 .46549 L
.51525 .46471 L
.5147 .46388 L
.51364 .46254 L
.51347 .46228 L
F
1 .44 0 r
.51364 .45495 m
.51445 .45586 L
.51525 .45665 L
.51594 .45746 L
.51686 .45847 L
.51735 .45907 L
.51846 .46035 L
.51872 .46067 L
.52007 .46226 L
.52007 .46228 L
.52136 .46388 L
.52167 .46424 L
.52266 .46549 L
.52328 .46622 L
.52396 .46709 L
.52488 .46778 L
.52526 .4687 L
.52649 .47018 L
.52662 .4703 L
.52781 .47191 L
.52809 .47225 L
.52907 .47351 L
.5297 .47429 L
.53034 .47512 L
.5313 .47612 L
.53161 .47672 L
.53287 .47833 L
.53291 .47838 L
.53409 .47993 L
.53451 .48046 L
.53533 .48154 L
.53612 .48253 L
.53658 .48314 L
.53772 .48455 L
.53793 .48475 L
.53905 .48636 L
.53933 .48671 L
.54026 .48796 L
.54093 .48881 L
.54149 .48957 L
.54254 .49074 L
.54273 .49117 L
.54393 .49278 L
.54414 .49304 L
.54512 .49438 L
.54575 .49519 L
.54633 .49599 L
.54735 .49733 L
.54755 .49759 L
.54872 .4992 L
.54896 .4995 L
.54987 .5008 L
.55057 .50171 L
.55105 .50241 L
.55217 .50392 L
.55224 .50401 L
.55331 .50562 L
.55378 .50624 L
.55438 .50722 L
.55538 .50867 L
.55547 .50883 L
.55538 .50955 L
.5547 .50883 L
.55378 .50793 L
.55317 .50722 L
.55217 .50613 L
.55174 .50562 L
.55057 .50427 L
.55035 .50401 L
.54901 .50241 L
.54896 .50235 L
.5477 .5008 L
.54735 .5004 L
.54639 .4992 L
.54575 .49843 L
.54508 .49759 L
.54414 .49678 L
.54377 .49599 L
.54254 .49447 L
.54244 .49438 L
.54122 .49278 L
.54093 .49243 L
.53995 .49117 L
.53933 .4904 L
.53868 .48957 L
.53772 .48852 L
.53703 .48796 L
.53615 .48636 L
.53612 .48631 L
.53492 .48475 L
.53451 .48424 L
.53368 .48314 L
.53291 .48262 L
.53242 .48154 L
.5313 .48015 L
.5311 .47993 L
.52996 .47833 L
.5297 .478 L
.52874 .47672 L
.52809 .4759 L
.52751 .47512 L
.52649 .47395 L
.52603 .47351 L
.52507 .47191 L
.52488 .47167 L
.52388 .4703 L
.52328 .46953 L
.52267 .4687 L
.52167 .46739 L
.52145 .46709 L
.52027 .46549 L
.52007 .46522 L
.51912 .46388 L
.51846 .46301 L
.51794 .46228 L
.51686 .46081 L
.51676 .46067 L
.51567 .45907 L
.51525 .4585 L
.51459 .45746 L
.51364 .45612 L
.51349 .45586 L
F
0 .73 1 r
.51364 .44826 m
.51483 .44943 L
.51525 .44983 L
.51635 .45104 L
.51686 .45157 L
.51779 .45265 L
.51846 .45338 L
.5192 .45425 L
.52007 .45501 L
.52058 .45586 L
.52167 .45711 L
.5221 .45746 L
.52327 .45907 L
.52328 .45908 L
.52458 .46067 L
.52488 .46103 L
.52589 .46228 L
.52649 .46288 L
.5278 .46388 L
.52809 .46496 L
.52859 .46549 L
.5297 .46699 L
.52978 .46709 L
.53106 .4687 L
.5313 .46884 L
.53234 .4703 L
.53291 .47095 L
.53386 .47191 L
.53451 .47304 L
.5349 .47351 L
.53612 .47509 L
.53614 .47512 L
.5374 .47672 L
.53772 .47702 L
.53915 .47833 L
.53933 .47914 L
.54002 .47993 L
.54093 .48124 L
.54115 .48154 L
.54242 .48314 L
.54254 .48319 L
.54366 .48475 L
.54414 .48528 L
.54514 .48636 L
.54575 .48742 L
.54618 .48796 L
.54735 .48951 L
.54738 .48957 L
.54863 .49117 L
.54896 .49145 L
.55032 .49278 L
.55057 .49361 L
.55121 .49438 L
.55217 .49575 L
.55233 .49599 L
.55358 .49759 L
.55378 .49763 L
.5548 .4992 L
.55538 .49981 L
.55627 .5008 L
.55699 .502 L
.5573 .50241 L
.5585 .50401 L
.55859 .50413 L
.55971 .50562 L
.5602 .506 L
.56139 .50722 L
.5618 .50826 L
.56226 .50883 L
.5634 .51043 L
.56341 .51045 L
.5646 .51204 L
.56501 .51257 L
.56581 .51364 L
.56662 .51453 L
.56723 .51525 L
.56822 .5168 L
.56826 .51686 L
.56945 .51846 L
.56983 .51895 L
.57065 .52007 L
.57143 .5208 L
.57221 .52167 L
.57304 .52322 L
.57308 .52328 L
.57424 .52488 L
.57464 .52541 L
.57541 .52649 L
.57625 .52759 L
.57661 .52809 L
.57779 .5297 L
.57785 .52978 L
.57892 .5313 L
.57946 .53203 L
.58006 .53291 L
.58106 .53429 L
.58121 .53451 L
.58229 .53612 L
.58267 .53666 L
.58331 .53772 L
.58428 .53922 L
.58433 .53933 L
.58428 .54018 L
.58334 .53933 L
.58267 .53874 L
.58173 .53772 L
.58106 .53704 L
.58025 .53612 L
.57946 .53525 L
.57883 .53451 L
.57785 .53356 L
.57744 .53291 L
.57625 .53153 L
.57599 .5313 L
.57474 .5297 L
.57464 .52959 L
.57341 .52809 L
.57304 .52798 L
.57209 .52649 L
.57143 .52578 L
.57034 .52488 L
.56983 .52371 L
.56943 .52328 L
.56822 .52171 L
.56819 .52167 L
.56691 .52007 L
.56662 .51984 L
.56562 .51846 L
.56501 .51774 L
.56417 .51686 L
.56341 .51566 L
.56308 .51525 L
.56181 .51364 L
.5618 .51363 L
.56055 .51204 L
.5602 .51168 L
.55893 .51043 L
.55859 .50957 L
.55797 .50883 L
.55699 .50748 L
.55682 .50722 L
.55553 .50562 L
.55538 .50552 L
.55428 .50401 L
.55378 .50343 L
.55287 .50241 L
.55217 .5013 L
.55179 .5008 L
.55057 .49922 L
.55055 .4992 L
.54931 .49759 L
.54896 .49726 L
.54772 .49599 L
.54735 .49511 L
.54676 .49438 L
.54575 .49298 L
.54562 .49278 L
.54436 .49117 L
.54414 .49107 L
.54313 .48957 L
.54254 .48891 L
.54172 .48796 L
.54093 .48673 L
.54066 .48636 L
.53943 .48475 L
.53933 .48462 L
.53822 .48314 L
.53772 .4827 L
.53664 .48154 L
.53612 .48047 L
.5357 .47993 L
.53453 .47833 L
.53451 .4783 L
.53333 .47672 L
.53291 .47654 L
.53211 .47512 L
.5313 .47419 L
.53074 .47351 L
.5297 .47195 L
.52967 .47191 L
.52848 .4703 L
.52809 .4698 L
.52728 .4687 L
.52649 .4679 L
.52578 .46709 L
.52488 .46554 L
.52484 .46549 L
.52368 .46388 L
.52328 .46335 L
.5225 .46228 L
.52167 .46117 L
.52131 .46067 L
.52012 .45907 L
.52007 .45899 L
.51899 .45746 L
.51846 .45675 L
.51784 .45586 L
.51686 .4545 L
.51668 .45425 L
.5156 .45265 L
.51525 .45216 L
.51455 .45104 L
.51364 .44969 L
.5135 .44943 L
F
1 .74 0 r
.51364 .50435 m
.51525 .50504 L
.51578 .50562 L
.51686 .50658 L
.51745 .50722 L
.51846 .50834 L
.51909 .50883 L
.52007 .51021 L
.52029 .51043 L
.5216 .51204 L
.52167 .51212 L
.52289 .51364 L
.52328 .51399 L
.52457 .51525 L
.52488 .51613 L
.52546 .51686 L
.52649 .5183 L
.52659 .51846 L
.52778 .52007 L
.52809 .52049 L
.52893 .52167 L
.5297 .5228 L
.53016 .52328 L
.53095 .52488 L
.5313 .52573 L
.53143 .52649 L
.5313 .52668 L
.5302 .52649 L
.5297 .52621 L
.52815 .52488 L
.52809 .52482 L
.52665 .52328 L
.52649 .5231 L
.52528 .52167 L
.52488 .52147 L
.52397 .52007 L
.52328 .51936 L
.52227 .51846 L
.52167 .51724 L
.52134 .51686 L
.52017 .51525 L
.52007 .51511 L
.51897 .51364 L
.51846 .51298 L
.51777 .51204 L
.51686 .51104 L
.51645 .51043 L
.51546 .50883 L
.51525 .50852 L
.51443 .50722 L
.51364 .50588 L
.51351 .50562 L
F
.212 .95 1 r
.51364 .49037 m
.51419 .49117 L
.51364 .49131 L
.51353 .49117 L
F
1 .91 .061 r
.51364 .44157 m
.5152 .44301 L
.51525 .44306 L
.51674 .44462 L
.51686 .44473 L
.51821 .44622 L
.51846 .44649 L
.51964 .44783 L
.52007 .44807 L
.52104 .44943 L
.52167 .45013 L
.52291 .45104 L
.52328 .45209 L
.52381 .45265 L
.52488 .45404 L
.52505 .45425 L
.52642 .45586 L
.52649 .45592 L
.52774 .45746 L
.52809 .4579 L
.52918 .45907 L
.5297 .45993 L
.53028 .46067 L
.5313 .46197 L
.53146 .46228 L
.53291 .46388 L
.53291 .46388 L
.53438 .46549 L
.53451 .46592 L
.53547 .46709 L
.53612 .46801 L
.53658 .4687 L
.53772 .47009 L
.538 .4703 L
.53925 .47191 L
.53933 .47201 L
.54058 .47351 L
.54093 .4741 L
.54169 .47512 L
.54254 .47622 L
.54277 .47672 L
.54414 .47827 L
.54427 .47833 L
.54564 .47993 L
.54575 .48025 L
.54676 .48154 L
.54735 .48237 L
.54785 .48314 L
.54896 .48449 L
.54926 .48475 L
.55049 .48636 L
.55057 .48645 L
.55181 .48796 L
.55217 .48855 L
.55291 .48957 L
.55378 .49068 L
.55398 .49117 L
.55538 .49273 L
.55545 .49278 L
.55684 .49438 L
.55699 .49476 L
.55794 .49599 L
.55859 .49689 L
.55903 .49759 L
.5602 .499 L
.56041 .4992 L
.56163 .5008 L
.5618 .501 L
.56297 .50241 L
.56341 .50311 L
.56405 .50401 L
.56501 .50524 L
.56516 .50562 L
.56657 .50722 L
.56662 .50727 L
.568 .50883 L
.56822 .50935 L
.56907 .51043 L
.56983 .51148 L
.57016 .51204 L
.57143 .51357 L
.5715 .51364 L
.57272 .51525 L
.57304 .51559 L
.57408 .51686 L
.57464 .51773 L
.57516 .51846 L
.57625 .51985 L
.57632 .52007 L
.57764 .52167 L
.57785 .52184 L
.57913 .52328 L
.57946 .52397 L
.58015 .52488 L
.58106 .52613 L
.58127 .52649 L
.58256 .52809 L
.58267 .52812 L
.58377 .5297 L
.58428 .53022 L
.58516 .5313 L
.58588 .5324 L
.58623 .53291 L
.58746 .53451 L
.58749 .53455 L
.58867 .53612 L
.58909 .53645 L
.59019 .53772 L
.5907 .53868 L
.59118 .53933 L
.5923 .54087 L
.59234 .54093 L
.59354 .54254 L
.59391 .54301 L
.59531 .54414 L
.59551 .54497 L
.59612 .54575 L
.59712 .54723 L
.5972 .54735 L
.59839 .54896 L
.59872 .54939 L
.59958 .55057 L
.60033 .55125 L
.60106 .55217 L
.60193 .55365 L
.60202 .55378 L
.60318 .55538 L
.60354 .55586 L
.60435 .55699 L
.60514 .55804 L
.60594 .55859 L
.60673 .5602 L
.60675 .56023 L
.60785 .5618 L
.60835 .56249 L
.60898 .56341 L
.60996 .56477 L
.61012 .56501 L
.61119 .56662 L
.61156 .56716 L
.61219 .56822 L
.61317 .5698 L
.61318 .56983 L
.61317 .57078 L
.61197 .56983 L
.61156 .56949 L
.61032 .56822 L
.60996 .56787 L
.6088 .56662 L
.60835 .56614 L
.60735 .56501 L
.60675 .56454 L
.60593 .56341 L
.60514 .56252 L
.60421 .5618 L
.60354 .56058 L
.60317 .5602 L
.60193 .55867 L
.60188 .55859 L
.60052 .55699 L
.60033 .55678 L
.5992 .55538 L
.59872 .55478 L
.59779 .55378 L
.59712 .55275 L
.59666 .55217 L
.59551 .55074 L
.59544 .55057 L
.59403 .54896 L
.59391 .54882 L
.59256 .54735 L
.5923 .54676 L
.59148 .54575 L
.5907 .54468 L
.59036 .54414 L
.58909 .54264 L
.58893 .54254 L
.58768 .54093 L
.58749 .54068 L
.58636 .53933 L
.58588 .53859 L
.58525 .53772 L
.58428 .53647 L
.58415 .53612 L
.58267 .53451 L
.58266 .53451 L
.58128 .53291 L
.58106 .53244 L
.58018 .5313 L
.57946 .53032 L
.57909 .5297 L
.57785 .52823 L
.57767 .52809 L
.57625 .52649 L
.57625 .52625 L
.57513 .52488 L
.57464 .52414 L
.57404 .52328 L
.57304 .52202 L
.57294 .52167 L
.57148 .52007 L
.57143 .52002 L
.57009 .51846 L
.56983 .51793 L
.569 .51686 L
.56822 .5158 L
.56791 .51525 L
.56662 .51373 L
.56652 .51364 L
.56504 .51204 L
.56501 .5117 L
.56397 .51043 L
.56341 .50958 L
.56289 .50883 L
.5618 .50746 L
.56174 .50722 L
.56036 .50562 L
.5602 .50546 L
.55894 .50401 L
.55859 .50335 L
.55787 .50241 L
.55699 .50121 L
.55676 .5008 L
.55543 .4992 L
.55538 .49917 L
.55386 .49759 L
.55378 .49711 L
.55286 .49599 L
.55217 .49497 L
.55177 .49438 L
.55057 .49285 L
.55055 .49278 L
.54928 .49117 L
.54896 .49087 L
.54782 .48957 L
.54735 .48872 L
.54679 .48796 L
.54575 .48657 L
.54564 .48636 L
.54437 .48475 L
.54414 .48464 L
.54273 .48314 L
.54254 .48247 L
.54179 .48154 L
.54093 .48029 L
.5407 .47993 L
.53946 .47833 L
.53933 .47815 L
.53825 .47672 L
.53772 .47624 L
.53678 .47512 L
.53612 .474 L
.53576 .47351 L
.53457 .47191 L
.53451 .47183 L
.53337 .4703 L
.53291 .47006 L
.5317 .4687 L
.5313 .46771 L
.53082 .46709 L
.52971 .46549 L
.5297 .46547 L
.52852 .46388 L
.52809 .46332 L
.52732 .46228 L
.52649 .46141 L
.52591 .46067 L
.52489 .45907 L
.52488 .45906 L
.52372 .45746 L
.52328 .45688 L
.52254 .45586 L
.52167 .45471 L
.52105 .45425 L
.52015 .45265 L
.52007 .45253 L
.51902 .45104 L
.51846 .45029 L
.51787 .44943 L
.51686 .44804 L
.51671 .44783 L
.51563 .44622 L
.51525 .44569 L
.51458 .44462 L
.51364 .44321 L
.51354 .44301 L
F
0 .32 1 r
.51364 .46177 m
.514 .46228 L
.51525 .46361 L
.51545 .46388 L
.51525 .46459 L
.5148 .46388 L
.51364 .4624 L
.51356 .46228 L
F
1 .43 0 r
.51364 .45512 m
.51433 .45586 L
.51525 .45673 L
.51587 .45746 L
.51686 .45853 L
.51729 .45907 L
.51846 .4604 L
.51868 .46067 L
.52003 .46228 L
.52007 .46232 L
.52132 .46388 L
.52167 .46428 L
.52262 .46549 L
.52328 .46626 L
.52393 .46709 L
.52488 .46784 L
.52523 .4687 L
.52649 .47023 L
.52657 .4703 L
.52778 .47191 L
.52809 .47228 L
.52904 .47351 L
.5297 .47432 L
.53031 .47512 L
.5313 .47616 L
.53158 .47672 L
.53284 .47833 L
.53291 .47841 L
.53407 .47993 L
.53451 .48049 L
.53531 .48154 L
.53612 .48256 L
.53656 .48314 L
.53772 .48459 L
.53789 .48475 L
.53902 .48636 L
.53933 .48674 L
.54024 .48796 L
.54093 .48885 L
.54147 .48957 L
.54254 .49079 L
.5427 .49117 L
.5439 .49278 L
.54414 .49308 L
.54509 .49438 L
.54575 .49523 L
.5463 .49599 L
.54735 .49737 L
.54752 .49759 L
.54869 .4992 L
.54896 .49955 L
.54983 .5008 L
.55057 .50176 L
.55101 .50241 L
.55217 .50397 L
.5522 .50401 L
.55325 .50562 L
.55378 .50633 L
.55431 .50722 L
.55538 .50883 L
.55538 .50883 L
.55538 .50931 L
.55487 .50883 L
.55378 .50783 L
.55325 .50722 L
.55217 .50606 L
.5518 .50562 L
.55057 .50421 L
.5504 .50401 L
.54906 .50241 L
.54896 .5023 L
.54774 .5008 L
.54735 .50035 L
.54643 .4992 L
.54575 .49839 L
.54511 .49759 L
.54414 .49672 L
.54381 .49599 L
.54254 .49442 L
.5425 .49438 L
.54125 .49278 L
.54093 .49239 L
.53998 .49117 L
.53933 .49036 L
.53871 .48957 L
.53772 .48848 L
.53709 .48796 L
.53618 .48636 L
.53612 .48628 L
.53495 .48475 L
.53451 .48421 L
.5337 .48314 L
.53291 .48258 L
.53245 .48154 L
.5313 .48011 L
.53114 .47993 L
.52999 .47833 L
.5297 .47797 L
.52877 .47672 L
.52809 .47586 L
.52753 .47512 L
.52649 .4739 L
.52608 .47351 L
.5251 .47191 L
.52488 .47163 L
.52391 .4703 L
.52328 .46949 L
.5227 .4687 L
.52167 .46735 L
.52148 .46709 L
.52031 .46549 L
.52007 .46517 L
.51916 .46388 L
.51846 .46296 L
.51798 .46228 L
.51686 .46075 L
.5168 .46067 L
.51573 .45907 L
.51525 .45842 L
.51466 .45746 L
.51364 .45599 L
.51357 .45586 L
F
1 .73 0 r
.51364 .50454 m
.51525 .50513 L
.51569 .50562 L
.51686 .50664 L
.51739 .50722 L
.51846 .50839 L
.51904 .50883 L
.52007 .51025 L
.52025 .51043 L
.52157 .51204 L
.52167 .51216 L
.52286 .51364 L
.52328 .51402 L
.52454 .51525 L
.52488 .51617 L
.52543 .51686 L
.52649 .51834 L
.52656 .51846 L
.52775 .52007 L
.52809 .52054 L
.52889 .52167 L
.5297 .52286 L
.5301 .52328 L
.53088 .52488 L
.5297 .52613 L
.52822 .52488 L
.52809 .52477 L
.5267 .52328 L
.52649 .52305 L
.52532 .52167 L
.52488 .52145 L
.52399 .52007 L
.52328 .51933 L
.5223 .51846 L
.52167 .5172 L
.52137 .51686 L
.5202 .51525 L
.52007 .51508 L
.51899 .51364 L
.51846 .51294 L
.5178 .51204 L
.51686 .51098 L
.51649 .51043 L
.5155 .50883 L
.51525 .50846 L
.51447 .50722 L
.51364 .50575 L
.51358 .50562 L
F
1 .49 0 r
.51364 .46851 m
.5137 .4687 L
.51364 .46875 L
.51361 .4687 L
F
0 .65 1 r
.51364 .55972 m
.5139 .5602 L
.51364 .56025 L
.51361 .5602 L
F
0 .72 1 r
.51364 .44853 m
.51464 .44943 L
.51525 .44997 L
.51624 .45104 L
.51686 .45167 L
.51771 .45265 L
.51846 .45347 L
.51913 .45425 L
.52007 .4551 L
.52052 .45586 L
.52167 .45718 L
.52202 .45746 L
.52322 .45907 L
.52328 .45914 L
.52453 .46067 L
.52488 .46108 L
.52585 .46228 L
.52649 .46292 L
.52776 .46388 L
.52809 .46501 L
.52855 .46549 L
.5297 .46703 L
.52975 .46709 L
.53103 .4687 L
.5313 .46887 L
.53231 .4703 L
.53291 .47098 L
.53383 .47191 L
.53451 .47308 L
.53487 .47351 L
.53612 .47512 L
.53612 .47512 L
.53738 .47672 L
.53772 .47705 L
.53913 .47833 L
.53933 .47917 L
.53999 .47993 L
.54093 .48127 L
.54113 .48154 L
.54239 .48314 L
.54254 .4832 L
.54364 .48475 L
.54414 .4853 L
.54512 .48636 L
.54575 .48744 L
.54616 .48796 L
.54735 .48954 L
.54737 .48957 L
.54861 .49117 L
.54896 .49146 L
.55031 .49278 L
.55057 .49363 L
.55119 .49438 L
.55217 .49577 L
.55232 .49599 L
.55356 .49759 L
.55378 .49764 L
.55478 .4992 L
.55538 .49983 L
.55625 .5008 L
.55699 .50202 L
.55728 .50241 L
.55848 .50401 L
.55859 .50415 L
.55969 .50562 L
.5602 .50602 L
.56138 .50722 L
.5618 .50829 L
.56224 .50883 L
.56338 .51043 L
.56341 .51047 L
.56458 .51204 L
.56501 .5126 L
.56579 .51364 L
.56662 .51456 L
.5672 .51525 L
.56822 .51683 L
.56824 .51686 L
.56942 .51846 L
.56983 .51899 L
.57062 .52007 L
.57143 .52085 L
.57217 .52167 L
.57304 .52327 L
.57304 .52328 L
.5742 .52488 L
.57464 .52546 L
.57538 .52649 L
.57625 .52764 L
.57657 .52809 L
.57775 .5297 L
.57785 .52984 L
.57887 .5313 L
.57946 .5321 L
.58001 .53291 L
.58106 .53437 L
.58116 .53451 L
.5822 .53612 L
.58267 .5368 L
.5832 .53772 L
.58267 .53858 L
.58186 .53772 L
.58106 .53692 L
.58035 .53612 L
.57946 .53516 L
.5789 .53451 L
.57785 .53347 L
.5775 .53291 L
.57625 .53145 L
.57607 .5313 L
.57479 .5297 L
.57464 .52953 L
.57346 .52809 L
.57304 .52796 L
.57213 .52649 L
.57143 .52573 L
.57038 .52488 L
.56983 .52367 L
.56946 .52328 L
.56822 .52167 L
.56822 .52167 L
.56694 .52007 L
.56662 .51981 L
.56566 .51846 L
.56501 .5177 L
.5642 .51686 L
.56341 .51562 L
.56311 .51525 L
.56184 .51364 L
.5618 .5136 L
.56058 .51204 L
.5602 .51165 L
.55894 .51043 L
.55859 .50954 L
.558 .50883 L
.55699 .50745 L
.55684 .50722 L
.55555 .50562 L
.55538 .50551 L
.5543 .50401 L
.55378 .50341 L
.55288 .50241 L
.55217 .50128 L
.55181 .5008 L
.55057 .4992 L
.55056 .4992 L
.54933 .49759 L
.54896 .49724 L
.54774 .49599 L
.54735 .49509 L
.54678 .49438 L
.54575 .49296 L
.54563 .49278 L
.54438 .49117 L
.54414 .49106 L
.54315 .48957 L
.54254 .48888 L
.54174 .48796 L
.54093 .48671 L
.54067 .48636 L
.53945 .48475 L
.53933 .48459 L
.53823 .48314 L
.53772 .48268 L
.53666 .48154 L
.53612 .48044 L
.53572 .47993 L
.53455 .47833 L
.53451 .47828 L
.53335 .47672 L
.53291 .47653 L
.53213 .47512 L
.5313 .47416 L
.53077 .47351 L
.5297 .47192 L
.52969 .47191 L
.5285 .4703 L
.52809 .46977 L
.5273 .4687 L
.52649 .46786 L
.52582 .46709 L
.52488 .46549 L
.52488 .46549 L
.52372 .46388 L
.52328 .4633 L
.52254 .46228 L
.52167 .46113 L
.52134 .46067 L
.52017 .45907 L
.52007 .45893 L
.51904 .45746 L
.51846 .45668 L
.51789 .45586 L
.51686 .45442 L
.51674 .45425 L
.51567 .45265 L
.51525 .45204 L
.51464 .45104 L
.51364 .44949 L
.51361 .44943 L
F
1 .72 0 r
.51525 .50523 m
.5156 .50562 L
.51686 .5067 L
.51734 .50722 L
.51846 .50843 L
.51899 .50883 L
.52007 .51028 L
.52022 .51043 L
.52154 .51204 L
.52167 .5122 L
.52283 .51364 L
.52328 .51405 L
.52452 .51525 L
.52488 .5162 L
.5254 .51686 L
.52649 .51838 L
.52654 .51846 L
.52772 .52007 L
.52809 .52059 L
.52886 .52167 L
.5297 .52292 L
.53004 .52328 L
.53082 .52488 L
.5297 .52605 L
.52828 .52488 L
.52809 .52471 L
.52674 .52328 L
.52649 .52301 L
.52535 .52167 L
.52488 .52143 L
.52402 .52007 L
.52328 .5193 L
.52233 .51846 L
.52167 .51717 L
.5214 .51686 L
.52022 .51525 L
.52007 .51505 L
.51902 .51364 L
.51846 .51291 L
.51782 .51204 L
.51686 .51092 L
.51653 .51043 L
.51554 .50883 L
.51525 .5084 L
.51452 .50722 L
.51366 .50562 L
F
.538 .98 1 r
.51525 .53212 m
.5164 .53291 L
.51686 .53332 L
.51795 .53451 L
.51846 .53509 L
.51929 .53612 L
.52007 .53673 L
.52057 .53772 L
.52167 .53901 L
.52197 .53933 L
.52306 .54093 L
.52328 .54121 L
.52424 .54254 L
.52488 .54337 L
.52543 .54414 L
.52649 .54556 L
.52675 .54575 L
.52772 .54735 L
.52809 .54788 L
.52876 .54896 L
.5297 .55046 L
.52975 .55057 L
.53029 .55217 L
.5297 .55255 L
.5291 .55217 L
.52809 .55156 L
.52729 .55057 L
.52649 .54977 L
.52577 .54896 L
.52488 .54796 L
.52421 .54735 L
.52328 .54607 L
.52299 .54575 L
.52168 .54414 L
.52167 .54413 L
.52038 .54254 L
.52007 .54217 L
.51895 .54093 L
.51846 .5401 L
.51787 .53933 L
.51686 .53797 L
.5167 .53772 L
.51551 .53612 L
.51525 .53573 L
.51405 .53451 L
.51366 .53291 L
F
1 .71 0 r
.51525 .50534 m
.51551 .50562 L
.51686 .50677 L
.51728 .50722 L
.51846 .50848 L
.51893 .50883 L
.52007 .51032 L
.52018 .51043 L
.5215 .51204 L
.52167 .51224 L
.5228 .51364 L
.52328 .51408 L
.5245 .51525 L
.52488 .51624 L
.52537 .51686 L
.52649 .51842 L
.52651 .51846 L
.52768 .52007 L
.52809 .52064 L
.52882 .52167 L
.5297 .52299 L
.52998 .52328 L
.53075 .52488 L
.5297 .52596 L
.52835 .52488 L
.52809 .52465 L
.52678 .52328 L
.52649 .52297 L
.52538 .52167 L
.52488 .5214 L
.52405 .52007 L
.52328 .51926 L
.52237 .51846 L
.52167 .51713 L
.52143 .51686 L
.52025 .51525 L
.52007 .51502 L
.51905 .51364 L
.51846 .51287 L
.51785 .51204 L
.51686 .51086 L
.51657 .51043 L
.51558 .50883 L
.51525 .50834 L
.51457 .50722 L
.51376 .50562 L
F
1 .7 0 r
.51525 .50546 m
.5154 .50562 L
.51686 .50683 L
.51722 .50722 L
.51846 .50853 L
.51887 .50883 L
.52007 .51036 L
.52014 .51043 L
.52147 .51204 L
.52167 .51228 L
.52276 .51364 L
.52328 .51411 L
.52447 .51525 L
.52488 .51628 L
.52534 .51686 L
.52648 .51846 L
.52649 .51846 L
.52765 .52007 L
.52809 .52069 L
.52878 .52167 L
.5297 .52306 L
.52991 .52328 L
.53068 .52488 L
.5297 .52588 L
.52842 .52488 L
.52809 .5246 L
.52683 .52328 L
.52649 .52292 L
.52542 .52167 L
.52488 .52138 L
.52408 .52007 L
.52328 .51923 L
.5224 .51846 L
.52167 .5171 L
.52146 .51686 L
.52028 .51525 L
.52007 .51498 L
.51907 .51364 L
.51846 .51284 L
.51788 .51204 L
.51686 .51079 L
.51662 .51043 L
.51562 .50883 L
.51525 .50828 L
.51462 .50722 L
.51388 .50562 L
F
1 .69 0 r
.51525 .50558 m
.51528 .50562 L
.51686 .5069 L
.51716 .50722 L
.51846 .50858 L
.51881 .50883 L
.52007 .5104 L
.5201 .51043 L
.52143 .51204 L
.52167 .51232 L
.52273 .51364 L
.52328 .51415 L
.52444 .51525 L
.52488 .51632 L
.52531 .51686 L
.52645 .51846 L
.52649 .51851 L
.52762 .52007 L
.52809 .52073 L
.52875 .52167 L
.5297 .52313 L
.52984 .52328 L
.5306 .52488 L
.5297 .52579 L
.5285 .52488 L
.52809 .52454 L
.52687 .52328 L
.52649 .52288 L
.52545 .52167 L
.52488 .52135 L
.52411 .52007 L
.52328 .5192 L
.52244 .51846 L
.52167 .51706 L
.52149 .51686 L
.5203 .51525 L
.52007 .51495 L
.5191 .51364 L
.51846 .5128 L
.5179 .51204 L
.51686 .51073 L
.51666 .51043 L
.51566 .50883 L
.51525 .50821 L
.51467 .50722 L
.51402 .50562 L
F
.733 .99 1 r
.51525 .50035 m
.51686 .50043 L
.51795 .5008 L
.51846 .50105 L
.51998 .50241 L
.52007 .50254 L
.52128 .50401 L
.52167 .50442 L
.52239 .50562 L
.52328 .50643 L
.52391 .50722 L
.52488 .50849 L
.52515 .50883 L
.52638 .51043 L
.52649 .51061 L
.52752 .51204 L
.52809 .51283 L
.52848 .51364 L
.5297 .51508 L
.53011 .51525 L
.5313 .51683 L
.53132 .51686 L
.53253 .51846 L
.53291 .51894 L
.53357 .52007 L
.53451 .52108 L
.53504 .52167 L
.53612 .52316 L
.53625 .52328 L
.53748 .52488 L
.53772 .52525 L
.53856 .52649 L
.53933 .52743 L
.53951 .52809 L
.54052 .5297 L
.53933 .53 L
.53772 .53003 L
.5365 .5297 L
.53612 .52949 L
.53487 .52809 L
.53451 .5277 L
.5333 .52649 L
.53291 .52566 L
.53226 .52488 L
.5313 .52358 L
.53112 .52328 L
.52985 .52167 L
.5297 .52153 L
.52816 .52007 L
.52809 .51945 L
.52722 .51846 L
.52649 .51732 L
.52614 .51686 L
.52491 .51525 L
.52488 .51522 L
.52369 .51364 L
.52328 .51342 L
.52217 .51204 L
.52167 .51118 L
.52116 .51043 L
.52007 .50895 L
.52001 .50883 L
.51879 .50722 L
.51846 .50679 L
.51706 .50562 L
.51686 .50465 L
.51621 .50401 L
.51525 .50248 L
.51519 .50241 L
.51442 .5008 L
F
1 .68 0 r
.51525 .50569 m
.51686 .50696 L
.5171 .50722 L
.51846 .50863 L
.51874 .50883 L
.52006 .51043 L
.52007 .51044 L
.5214 .51204 L
.52167 .51236 L
.5227 .51364 L
.52328 .51418 L
.52441 .51525 L
.52488 .51636 L
.52528 .51686 L
.52642 .51846 L
.52649 .51855 L
.52758 .52007 L
.52809 .52078 L
.52871 .52167 L
.5297 .5232 L
.52977 .52328 L
.53052 .52488 L
.5297 .5257 L
.52858 .52488 L
.52809 .52448 L
.52692 .52328 L
.52649 .52283 L
.52549 .52167 L
.52488 .52132 L
.52414 .52007 L
.52328 .51916 L
.52247 .51846 L
.52167 .51703 L
.52152 .51686 L
.52033 .51525 L
.52007 .51491 L
.51912 .51364 L
.51846 .51277 L
.51793 .51204 L
.51686 .51066 L
.51671 .51043 L
.5157 .50883 L
.51525 .50814 L
.51473 .50722 L
F
1 .42 0 r
.51525 .45683 m
.51579 .45746 L
.51686 .4586 L
.51724 .45907 L
.51846 .46046 L
.51863 .46067 L
.51998 .46228 L
.52007 .46237 L
.52128 .46388 L
.52167 .46433 L
.52259 .46549 L
.52328 .4663 L
.5239 .46709 L
.52488 .4679 L
.5252 .4687 L
.52649 .47028 L
.52651 .4703 L
.52775 .47191 L
.52809 .47232 L
.52901 .47351 L
.5297 .47435 L
.53028 .47512 L
.5313 .47621 L
.53156 .47672 L
.53281 .47833 L
.53291 .47844 L
.53404 .47993 L
.53451 .48052 L
.53528 .48154 L
.53612 .48259 L
.53653 .48314 L
.53772 .48463 L
.53784 .48475 L
.53899 .48636 L
.53933 .48677 L
.54021 .48796 L
.54093 .48888 L
.54144 .48957 L
.54254 .49085 L
.54268 .49117 L
.54387 .49278 L
.54414 .49312 L
.54506 .49438 L
.54575 .49527 L
.54627 .49599 L
.54735 .49741 L
.54749 .49759 L
.54865 .4992 L
.54896 .4996 L
.5498 .5008 L
.55057 .50182 L
.55097 .50241 L
.55215 .50401 L
.55217 .50404 L
.55318 .50562 L
.55378 .50644 L
.55422 .50722 L
.55378 .50773 L
.55333 .50722 L
.55217 .50599 L
.55186 .50562 L
.55057 .50415 L
.55045 .50401 L
.54911 .50241 L
.54896 .50224 L
.54779 .5008 L
.54735 .5003 L
.54647 .4992 L
.54575 .49835 L
.54515 .49759 L
.54414 .49665 L
.54384 .49599 L
.54255 .49438 L
.54254 .49437 L
.54128 .49278 L
.54093 .49235 L
.54001 .49117 L
.53933 .49033 L
.53874 .48957 L
.53772 .48843 L
.53714 .48796 L
.53621 .48636 L
.53612 .48624 L
.53498 .48475 L
.53451 .48417 L
.53373 .48314 L
.53291 .48254 L
.53247 .48154 L
.5313 .48006 L
.53118 .47993 L
.53001 .47833 L
.5297 .47793 L
.52879 .47672 L
.52809 .47583 L
.52756 .47512 L
.52649 .47384 L
.52613 .47351 L
.52513 .47191 L
.52488 .47159 L
.52394 .4703 L
.52328 .46945 L
.52273 .4687 L
.52167 .46731 L
.52151 .46709 L
.52035 .46549 L
.52007 .46512 L
.5192 .46388 L
.51846 .46291 L
.51802 .46228 L
.51686 .46069 L
.51684 .46067 L
.51579 .45907 L
.51525 .45832 L
.51473 .45746 L
F
0 .71 1 r
.51525 .45013 m
.51611 .45104 L
.51686 .45178 L
.51762 .45265 L
.51846 .45356 L
.51906 .45425 L
.52007 .45519 L
.52046 .45586 L
.52167 .45725 L
.52193 .45746 L
.52316 .45907 L
.52328 .4592 L
.52449 .46067 L
.52488 .46113 L
.52581 .46228 L
.52649 .46297 L
.52772 .46388 L
.52809 .46505 L
.52851 .46549 L
.5297 .46707 L
.52972 .46709 L
.531 .4687 L
.5313 .46889 L
.53228 .4703 L
.53291 .47102 L
.5338 .47191 L
.53451 .47311 L
.53485 .47351 L
.53609 .47512 L
.53612 .47515 L
.53735 .47672 L
.53772 .47707 L
.53912 .47833 L
.53933 .4792 L
.53997 .47993 L
.54093 .4813 L
.54111 .48154 L
.54237 .48314 L
.54254 .48321 L
.54362 .48475 L
.54414 .48533 L
.5451 .48636 L
.54575 .48747 L
.54614 .48796 L
.54735 .48956 L
.54736 .48957 L
.54859 .49117 L
.54896 .49148 L
.5503 .49278 L
.55057 .49366 L
.55117 .49438 L
.55217 .4958 L
.5523 .49599 L
.55354 .49759 L
.55378 .49765 L
.55477 .4992 L
.55538 .49985 L
.55623 .5008 L
.55699 .50205 L
.55726 .50241 L
.55846 .50401 L
.55859 .50418 L
.55967 .50562 L
.5602 .50604 L
.56136 .50722 L
.5618 .50832 L
.56222 .50883 L
.56336 .51043 L
.56341 .5105 L
.56456 .51204 L
.56501 .51263 L
.56577 .51364 L
.56662 .5146 L
.56718 .51525 L
.56821 .51686 L
.56822 .51687 L
.56939 .51846 L
.56983 .51902 L
.57059 .52007 L
.57143 .5209 L
.57213 .52167 L
.57301 .52328 L
.57304 .52331 L
.57417 .52488 L
.57464 .5255 L
.57535 .52649 L
.57625 .52769 L
.57653 .52809 L
.5777 .5297 L
.57785 .5299 L
.57882 .5313 L
.57946 .53217 L
.57995 .53291 L
.58106 .53446 L
.5811 .53451 L
.5821 .53612 L
.58267 .53696 L
.58307 .53772 L
.58267 .5384 L
.58201 .53772 L
.58106 .5368 L
.58044 .53612 L
.57946 .53506 L
.57898 .53451 L
.57785 .53337 L
.57757 .53291 L
.57625 .53138 L
.57616 .5313 L
.57485 .5297 L
.57464 .52946 L
.57351 .52809 L
.57304 .52793 L
.57218 .52649 L
.57143 .52568 L
.57043 .52488 L
.56983 .52362 L
.56951 .52328 L
.56826 .52167 L
.56822 .52163 L
.56697 .52007 L
.56662 .51978 L
.56569 .51846 L
.56501 .51767 L
.56423 .51686 L
.56341 .51559 L
.56313 .51525 L
.56187 .51364 L
.5618 .51357 L
.5606 .51204 L
.5602 .51162 L
.55896 .51043 L
.55859 .50951 L
.55802 .50883 L
.55699 .50742 L
.55685 .50722 L
.55557 .50562 L
.55538 .50549 L
.55432 .50401 L
.55378 .50338 L
.5529 .50241 L
.55217 .50125 L
.55183 .5008 L
.55058 .4992 L
.55057 .49918 L
.54935 .49759 L
.54896 .49722 L
.54775 .49599 L
.54735 .49506 L
.5468 .49438 L
.54575 .49294 L
.54565 .49278 L
.5444 .49117 L
.54414 .49105 L
.54317 .48957 L
.54254 .48886 L
.54176 .48796 L
.54093 .48668 L
.54069 .48636 L
.53947 .48475 L
.53933 .48457 L
.53825 .48314 L
.53772 .48266 L
.53668 .48154 L
.53612 .48041 L
.53574 .47993 L
.53458 .47833 L
.53451 .47825 L
.53337 .47672 L
.53291 .47651 L
.53216 .47512 L
.5313 .47412 L
.53079 .47351 L
.52972 .47191 L
.5297 .47188 L
.52853 .4703 L
.52809 .46973 L
.52733 .4687 L
.52649 .46781 L
.52586 .46709 L
.52491 .46549 L
.52488 .46545 L
.52375 .46388 L
.52328 .46326 L
.52257 .46228 L
.52167 .46108 L
.52138 .46067 L
.52021 .45907 L
.52007 .45887 L
.51909 .45746 L
.51846 .45661 L
.51795 .45586 L
.51686 .45434 L
.51679 .45425 L
.51576 .45265 L
.51525 .45191 L
.51475 .45104 L
F
1 .67 0 r
.51525 .50579 m
.51686 .50703 L
.51703 .50722 L
.51846 .50868 L
.51868 .50883 L
.52002 .51043 L
.52007 .51048 L
.52137 .51204 L
.52167 .5124 L
.52267 .51364 L
.52328 .51421 L
.52438 .51525 L
.52488 .5164 L
.52524 .51686 L
.52639 .51846 L
.52649 .51859 L
.52755 .52007 L
.52809 .52084 L
.52867 .52167 L
.5297 .52327 L
.5297 .52328 L
.53044 .52488 L
.5297 .5256 L
.52867 .52488 L
.52809 .52442 L
.52697 .52328 L
.52649 .52278 L
.52552 .52167 L
.52488 .52129 L
.52417 .52007 L
.52328 .51912 L
.52251 .51846 L
.52167 .51699 L
.52155 .51686 L
.52036 .51525 L
.52007 .51488 L
.51915 .51364 L
.51846 .51273 L
.51796 .51204 L
.51686 .51059 L
.51676 .51043 L
.51574 .50883 L
.51525 .50806 L
.51478 .50722 L
F
1 .41 0 r
.51525 .45693 m
.5157 .45746 L
.51686 .45867 L
.51718 .45907 L
.51846 .46052 L
.51859 .46067 L
.51993 .46228 L
.52007 .46243 L
.52124 .46388 L
.52167 .46438 L
.52255 .46549 L
.52328 .46634 L
.52386 .46709 L
.52488 .46797 L
.52517 .4687 L
.52647 .4703 L
.52649 .47032 L
.52772 .47191 L
.52809 .47235 L
.52898 .47351 L
.5297 .47439 L
.53026 .47512 L
.5313 .47626 L
.53153 .47672 L
.53279 .47833 L
.53291 .47848 L
.53401 .47993 L
.53451 .48055 L
.53526 .48154 L
.53612 .48262 L
.53651 .48314 L
.53772 .48468 L
.5378 .48475 L
.53897 .48636 L
.53933 .48681 L
.54018 .48796 L
.54093 .48891 L
.54142 .48957 L
.54254 .4909 L
.54265 .49117 L
.54384 .49278 L
.54414 .49316 L
.54503 .49438 L
.54575 .49531 L
.54624 .49599 L
.54735 .49745 L
.54746 .49759 L
.54861 .4992 L
.54896 .49965 L
.54976 .5008 L
.55057 .50187 L
.55093 .50241 L
.55209 .50401 L
.55217 .50412 L
.55311 .50562 L
.55378 .50656 L
.55413 .50722 L
.55378 .50761 L
.55343 .50722 L
.55217 .50591 L
.55192 .50562 L
.55057 .50408 L
.55051 .50401 L
.54916 .50241 L
.54896 .50218 L
.54783 .5008 L
.54735 .50025 L
.54651 .4992 L
.54575 .4983 L
.54518 .49759 L
.54414 .49659 L
.54387 .49599 L
.54258 .49438 L
.54254 .49433 L
.54132 .49278 L
.54093 .49231 L
.54004 .49117 L
.53933 .49029 L
.53877 .48957 L
.53772 .48839 L
.5372 .48796 L
.53624 .48636 L
.53612 .48621 L
.535 .48475 L
.53451 .48414 L
.53375 .48314 L
.53291 .48249 L
.5325 .48154 L
.5313 .48002 L
.53122 .47993 L
.53004 .47833 L
.5297 .4779 L
.52882 .47672 L
.52809 .47579 L
.52759 .47512 L
.52649 .47379 L
.52619 .47351 L
.52516 .47191 L
.52488 .47155 L
.52397 .4703 L
.52328 .46941 L
.52276 .4687 L
.52167 .46726 L
.52155 .46709 L
.52039 .46549 L
.52007 .46507 L
.51924 .46388 L
.51846 .46285 L
.51806 .46228 L
.5169 .46067 L
.51686 .46062 L
.51586 .45907 L
.51525 .45821 L
.51481 .45746 L
F
1 .9 .045 r
.51525 .44348 m
.51642 .44462 L
.51686 .44503 L
.51797 .44622 L
.51846 .44673 L
.51945 .44783 L
.52007 .44822 L
.52088 .44943 L
.52167 .4503 L
.52277 .45104 L
.52328 .45224 L
.52368 .45265 L
.52488 .45415 L
.52496 .45425 L
.52632 .45586 L
.52649 .45602 L
.52765 .45746 L
.52809 .45801 L
.52911 .45907 L
.5297 .46003 L
.53021 .46067 L
.5313 .46205 L
.53142 .46228 L
.53284 .46388 L
.53291 .46396 L
.53436 .46549 L
.53451 .466 L
.53542 .46709 L
.53612 .46808 L
.53654 .4687 L
.53772 .47013 L
.53795 .4703 L
.5392 .47191 L
.53933 .47207 L
.54055 .47351 L
.54093 .47415 L
.54165 .47512 L
.54254 .47626 L
.54275 .47672 L
.54414 .47829 L
.54423 .47833 L
.54562 .47993 L
.54575 .48029 L
.54674 .48154 L
.54735 .48241 L
.54783 .48314 L
.54896 .48452 L
.54923 .48475 L
.55046 .48636 L
.55057 .48648 L
.55179 .48796 L
.55217 .48858 L
.55289 .48957 L
.55378 .49071 L
.55397 .49117 L
.55538 .49275 L
.55543 .49278 L
.55683 .49438 L
.55699 .49479 L
.55792 .49599 L
.55859 .49692 L
.55901 .49759 L
.5602 .49902 L
.56038 .4992 L
.56161 .5008 L
.5618 .50102 L
.56295 .50241 L
.56341 .50314 L
.56404 .50401 L
.56501 .50526 L
.56515 .50562 L
.56655 .50722 L
.56662 .50729 L
.56799 .50883 L
.56822 .50937 L
.56905 .51043 L
.56983 .5115 L
.57015 .51204 L
.57143 .51359 L
.57148 .51364 L
.57271 .51525 L
.57304 .51561 L
.57407 .51686 L
.57464 .51775 L
.57514 .51846 L
.57625 .51988 L
.57631 .52007 L
.57762 .52167 L
.57785 .52186 L
.57911 .52328 L
.57946 .524 L
.58014 .52488 L
.58106 .52615 L
.58126 .52649 L
.58253 .52809 L
.58267 .52813 L
.58375 .5297 L
.58428 .53024 L
.58513 .5313 L
.58588 .53244 L
.58621 .53291 L
.58743 .53451 L
.58749 .53458 L
.58864 .53612 L
.58909 .53647 L
.59016 .53772 L
.5907 .53872 L
.59115 .53933 L
.5923 .54092 L
.59231 .54093 L
.59351 .54254 L
.59391 .54305 L
.59528 .54414 L
.59551 .54502 L
.59608 .54575 L
.59712 .54729 L
.59716 .54735 L
.59834 .54896 L
.59872 .54946 L
.59953 .55057 L
.60033 .55134 L
.60099 .55217 L
.60193 .55375 L
.60195 .55378 L
.60311 .55538 L
.60354 .55595 L
.60428 .55699 L
.60514 .55815 L
.6058 .55859 L
.60662 .5602 L
.60675 .56037 L
.60773 .5618 L
.60835 .56266 L
.60885 .56341 L
.60996 .56498 L
.60998 .56501 L
.61096 .56662 L
.61156 .56757 L
.61188 .56822 L
.61156 .56899 L
.61072 .56822 L
.60996 .56754 L
.60907 .56662 L
.60835 .56588 L
.60756 .56501 L
.60675 .56434 L
.60611 .56341 L
.60514 .56234 L
.6044 .5618 L
.60354 .56043 L
.60331 .5602 L
.60197 .55859 L
.60193 .55855 L
.60063 .55699 L
.60033 .55668 L
.59929 .55538 L
.59872 .55467 L
.59787 .55378 L
.59712 .55266 L
.59673 .55217 L
.59551 .55067 L
.59547 .55057 L
.59409 .54896 L
.59391 .54874 L
.5926 .54735 L
.5923 .54669 L
.59153 .54575 L
.5907 .54462 L
.5904 .54414 L
.58909 .5426 L
.58899 .54254 L
.58772 .54093 L
.58749 .54063 L
.58639 .53933 L
.58588 .53853 L
.58529 .53772 L
.58428 .53644 L
.58417 .53612 L
.5827 .53451 L
.58267 .53448 L
.5813 .53291 L
.58106 .5324 L
.58021 .5313 L
.57946 .53028 L
.57911 .5297 L
.57785 .52821 L
.5777 .52809 L
.57625 .52649 L
.57625 .52622 L
.57515 .52488 L
.57464 .52411 L
.57406 .52328 L
.57304 .52199 L
.57294 .52167 L
.5715 .52007 L
.57143 .51999 L
.5701 .51846 L
.56983 .51791 L
.56902 .51686 L
.56822 .51578 L
.56792 .51525 L
.56662 .51371 L
.56654 .51364 L
.56505 .51204 L
.56501 .51168 L
.56399 .51043 L
.56341 .50956 L
.5629 .50883 L
.5618 .50744 L
.56175 .50722 L
.56038 .50562 L
.5602 .50544 L
.55895 .50401 L
.55859 .50333 L
.55789 .50241 L
.55699 .50119 L
.55677 .5008 L
.55544 .4992 L
.55538 .49916 L
.55387 .49759 L
.55378 .49709 L
.55288 .49599 L
.55217 .49494 L
.55179 .49438 L
.55057 .49283 L
.55055 .49278 L
.5493 .49117 L
.54896 .49085 L
.54784 .48957 L
.54735 .48869 L
.5468 .48796 L
.54575 .48654 L
.54565 .48636 L
.54439 .48475 L
.54414 .48462 L
.54274 .48314 L
.54254 .48245 L
.54181 .48154 L
.54093 .48026 L
.54072 .47993 L
.53949 .47833 L
.53933 .47812 L
.53828 .47672 L
.53772 .47621 L
.5368 .47512 L
.53612 .47397 L
.53579 .47351 L
.53461 .47191 L
.53451 .47179 L
.53341 .4703 L
.53291 .47003 L
.53173 .4687 L
.5313 .46766 L
.53086 .46709 L
.52975 .46549 L
.5297 .46542 L
.52857 .46388 L
.52809 .46327 L
.52736 .46228 L
.52649 .46133 L
.52597 .46067 L
.52495 .45907 L
.52488 .45898 L
.52378 .45746 L
.52328 .45679 L
.5226 .45586 L
.52167 .45461 L
.52117 .45425 L
.52025 .45265 L
.52007 .4524 L
.51912 .45104 L
.51846 .45014 L
.51799 .44943 L
.51686 .44786 L
.51684 .44783 L
.51582 .44622 L
.51525 .44538 L
.51482 .44462 L
F
1 .66 0 r
.51525 .50589 m
.51686 .5071 L
.51697 .50722 L
.51846 .50873 L
.5186 .50883 L
.51998 .51043 L
.52007 .51053 L
.52133 .51204 L
.52167 .51244 L
.52264 .51364 L
.52328 .51425 L
.52435 .51525 L
.52488 .51645 L
.52521 .51686 L
.52636 .51846 L
.52649 .51864 L
.52751 .52007 L
.52809 .52089 L
.52863 .52167 L
.52964 .52328 L
.5297 .52337 L
.53035 .52488 L
.5297 .5255 L
.52876 .52488 L
.52809 .52436 L
.52702 .52328 L
.52649 .52274 L
.52556 .52167 L
.52488 .52126 L
.5242 .52007 L
.52328 .51908 L
.52255 .51846 L
.52167 .51696 L
.52158 .51686 L
.52038 .51525 L
.52007 .51485 L
.51918 .51364 L
.51846 .51269 L
.51799 .51204 L
.51686 .51051 L
.51681 .51043 L
.51578 .50883 L
.51525 .50798 L
.51484 .50722 L
F
.395 .97 1 r
.51525 .53288 m
.51534 .53291 L
.51686 .53384 L
.51754 .53451 L
.51846 .53548 L
.51899 .53612 L
.52007 .53716 L
.52032 .53772 L
.5216 .53933 L
.52167 .53942 L
.52279 .54093 L
.52328 .54157 L
.52396 .54254 L
.52488 .54378 L
.52513 .54414 L
.52623 .54575 L
.52649 .54612 L
.52719 .54735 L
.52649 .54863 L
.52514 .54735 L
.52488 .5471 L
.52362 .54575 L
.52328 .54537 L
.5222 .54414 L
.52167 .5437 L
.52085 .54254 L
.52007 .54162 L
.51938 .54093 L
.51846 .53953 L
.51831 .53933 L
.51712 .53772 L
.51686 .53735 L
.51599 .53612 L
.51525 .53487 L
.51486 .53451 L
.51498 .53291 L
F
.114 .93 1 r
.51525 .54807 m
.51604 .54896 L
.51686 .54984 L
.51748 .55057 L
.51846 .55169 L
.51887 .55217 L
.52007 .55347 L
.52023 .55378 L
.52155 .55538 L
.52167 .55552 L
.52288 .55699 L
.52328 .55746 L
.5242 .55859 L
.52488 .55943 L
.52551 .5602 L
.52649 .56132 L
.52711 .5618 L
.52809 .56341 L
.52809 .56341 L
.52937 .56501 L
.5297 .56542 L
.53065 .56662 L
.5313 .56715 L
.53193 .56822 L
.53291 .56943 L
.53329 .56983 L
.53444 .57143 L
.53451 .57152 L
.5357 .57304 L
.53612 .57357 L
.53696 .57464 L
.53772 .57549 L
.53854 .57625 L
.53933 .57769 L
.53946 .57785 L
.54068 .57946 L
.54093 .57978 L
.54192 .58106 L
.54254 .58152 L
.54316 .58267 L
.54414 .58391 L
.54447 .58428 L
.5456 .58588 L
.54575 .58608 L
.54681 .58749 L
.54735 .5882 L
.54803 .58909 L
.54896 .59018 L
.54946 .5907 L
.55044 .5923 L
.55057 .59246 L
.55163 .59391 L
.55217 .59463 L
.55282 .59551 L
.55378 .59652 L
.55401 .59712 L
.55517 .59872 L
.55538 .599 L
.55632 .60033 L
.55699 .60124 L
.55747 .60193 L
.55859 .6035 L
.55862 .60354 L
.55966 .60514 L
.5602 .60591 L
.5607 .60675 L
.5602 .60741 L
.55963 .60675 L
.55859 .60567 L
.55816 .60514 L
.55699 .60383 L
.55675 .60354 L
.55538 .60194 L
.55538 .60193 L
.55408 .60033 L
.55378 .59998 L
.55278 .59872 L
.55217 .59801 L
.55147 .59712 L
.55057 .59603 L
.55016 .59551 L
.54896 .5941 L
.54873 .59391 L
.54759 .5923 L
.54735 .59202 L
.54634 .5907 L
.54575 .58998 L
.54507 .58909 L
.54414 .58825 L
.54379 .58749 L
.54254 .58592 L
.5425 .58588 L
.54129 .58428 L
.54093 .58384 L
.54005 .58267 L
.53933 .58177 L
.5388 .58106 L
.53772 .57983 L
.53732 .57946 L
.5363 .57785 L
.53612 .57763 L
.53508 .57625 L
.53451 .57554 L
.53385 .57464 L
.53291 .57377 L
.5326 .57304 L
.53135 .57143 L
.5313 .57137 L
.53016 .56983 L
.5297 .56924 L
.52895 .56822 L
.52809 .56713 L
.52772 .56662 L
.52649 .56504 L
.52646 .56501 L
.5253 .56341 L
.52488 .56287 L
.52411 .5618 L
.52328 .56073 L
.5229 .5602 L
.52167 .5586 L
.52167 .55859 L
.52053 .55699 L
.52007 .55639 L
.51937 .55538 L
.51846 .55419 L
.51818 .55378 L
.51701 .55217 L
.51686 .55196 L
.51595 .55057 L
.51525 .54961 L
.51486 .54896 L
F
0 .29 1 r
.51525 .51207 m
.51655 .51364 L
.51686 .514 L
.51779 .51525 L
.51846 .51611 L
.51897 .51686 L
.52007 .51846 L
.52007 .51846 L
.52007 .51955 L
.51887 .51846 L
.51846 .51807 L
.51742 .51686 L
.51686 .51622 L
.51611 .51525 L
.51525 .51418 L
.51486 .51364 L
F
0 .7 1 r
.51525 .4503 m
.51597 .45104 L
.51686 .4519 L
.51752 .45265 L
.51846 .45365 L
.51898 .45425 L
.52007 .45529 L
.52039 .45586 L
.52167 .45733 L
.52184 .45746 L
.52311 .45907 L
.52328 .45926 L
.52444 .46067 L
.52488 .46119 L
.52577 .46228 L
.52649 .46302 L
.52767 .46388 L
.52809 .4651 L
.52847 .46549 L
.52968 .46709 L
.5297 .46711 L
.53096 .4687 L
.5313 .46891 L
.53225 .4703 L
.53291 .47105 L
.53377 .47191 L
.53451 .47314 L
.53482 .47351 L
.53607 .47512 L
.53612 .47518 L
.53733 .47672 L
.53772 .47709 L
.5391 .47833 L
.53933 .47923 L
.53995 .47993 L
.54093 .48132 L
.54109 .48154 L
.54235 .48314 L
.54254 .48322 L
.5436 .48475 L
.54414 .48535 L
.54508 .48636 L
.54575 .48749 L
.54612 .48796 L
.54734 .48957 L
.54735 .48958 L
.54857 .49117 L
.54896 .4915 L
.55028 .49278 L
.55057 .49368 L
.55116 .49438 L
.55217 .49582 L
.55229 .49599 L
.55352 .49759 L
.55378 .49765 L
.55475 .4992 L
.55538 .49988 L
.55621 .5008 L
.55699 .50207 L
.55724 .50241 L
.55844 .50401 L
.55859 .5042 L
.55966 .50562 L
.5602 .50606 L
.56134 .50722 L
.5618 .50834 L
.5622 .50883 L
.56333 .51043 L
.56341 .51053 L
.56453 .51204 L
.56501 .51266 L
.56575 .51364 L
.56662 .51463 L
.56715 .51525 L
.56819 .51686 L
.56822 .5169 L
.56937 .51846 L
.56983 .51906 L
.57057 .52007 L
.57143 .52094 L
.57208 .52167 L
.57298 .52328 L
.57304 .52335 L
.57414 .52488 L
.57464 .52555 L
.57531 .52649 L
.57625 .52774 L
.5765 .52809 L
.57765 .5297 L
.57785 .52996 L
.57877 .5313 L
.57946 .53225 L
.5799 .53291 L
.58103 .53451 L
.58106 .53456 L
.582 .53612 L
.58267 .53717 L
.58292 .53772 L
.58267 .53817 L
.58219 .53772 L
.58106 .53668 L
.58055 .53612 L
.57946 .53496 L
.57906 .53451 L
.57785 .53326 L
.57764 .53291 L
.57625 .5313 L
.57625 .5313 L
.5749 .5297 L
.57464 .5294 L
.57356 .52809 L
.57304 .5279 L
.57222 .52649 L
.57143 .52563 L
.57048 .52488 L
.56983 .52357 L
.56955 .52328 L
.5683 .52167 L
.56822 .52158 L
.56701 .52007 L
.56662 .51975 L
.56572 .51846 L
.56501 .51763 L
.56426 .51686 L
.56341 .51556 L
.56316 .51525 L
.56189 .51364 L
.5618 .51353 L
.56063 .51204 L
.5602 .5116 L
.55898 .51043 L
.55859 .50948 L
.55804 .50883 L
.55699 .50739 L
.55687 .50722 L
.5556 .50562 L
.55538 .50548 L
.55435 .50401 L
.55378 .50336 L
.55292 .50241 L
.55217 .50123 L
.55185 .5008 L
.5506 .4992 L
.55057 .49915 L
.54937 .49759 L
.54896 .4972 L
.54777 .49599 L
.54735 .49504 L
.54682 .49438 L
.54575 .49291 L
.54566 .49278 L
.54442 .49117 L
.54414 .49103 L
.54319 .48957 L
.54254 .48884 L
.54178 .48796 L
.54093 .48666 L
.54071 .48636 L
.53949 .48475 L
.53933 .48454 L
.53827 .48314 L
.53772 .48263 L
.5367 .48154 L
.53612 .48039 L
.53576 .47993 L
.5346 .47833 L
.53451 .47822 L
.53339 .47672 L
.53291 .47649 L
.53218 .47512 L
.5313 .47409 L
.53082 .47351 L
.52974 .47191 L
.5297 .47185 L
.52856 .4703 L
.52809 .4697 L
.52735 .4687 L
.52649 .46777 L
.5259 .46709 L
.52494 .46549 L
.52488 .46541 L
.52378 .46388 L
.52328 .46321 L
.5226 .46228 L
.52167 .46103 L
.52142 .46067 L
.52026 .45907 L
.52007 .45881 L
.51914 .45746 L
.51846 .45654 L
.518 .45586 L
.51686 .45425 L
.51685 .45425 L
.51585 .45265 L
.51525 .45175 L
.51487 .45104 L
F
1 .79 .001 r
.51525 .55489 m
.51564 .55538 L
.51686 .55678 L
.51702 .55699 L
.51686 .55823 L
.51604 .55699 L
.51525 .556 L
.51487 .55538 L
F
1 .65 0 r
.51525 .50601 m
.51686 .50718 L
.5169 .50722 L
.51846 .50878 L
.51853 .50883 L
.51994 .51043 L
.52007 .51057 L
.5213 .51204 L
.52167 .51248 L
.52261 .51364 L
.52328 .51429 L
.52432 .51525 L
.52488 .51649 L
.52518 .51686 L
.52632 .51846 L
.52649 .51868 L
.52748 .52007 L
.52809 .52094 L
.52859 .52167 L
.52959 .52328 L
.5297 .52348 L
.53025 .52488 L
.5297 .5254 L
.52886 .52488 L
.52809 .5243 L
.52707 .52328 L
.52649 .52269 L
.5256 .52167 L
.52488 .52122 L
.52423 .52007 L
.52328 .51905 L
.5226 .51846 L
.52167 .51692 L
.52161 .51686 L
.52041 .51525 L
.52007 .51481 L
.51921 .51364 L
.51846 .51266 L
.51801 .51204 L
.51686 .51043 L
.51686 .51043 L
.51583 .50883 L
.51525 .50789 L
.5149 .50722 L
F
0 .28 1 r
.51525 .51213 m
.5165 .51364 L
.51686 .51406 L
.51775 .51525 L
.51846 .51617 L
.51893 .51686 L
.51846 .51801 L
.51747 .51686 L
.51686 .51616 L
.51615 .51525 L
.51525 .51413 L
.5149 .51364 L
F
1 .4 0 r
.51525 .45706 m
.5156 .45746 L
.51686 .45875 L
.51712 .45907 L
.51846 .46058 L
.51854 .46067 L
.51988 .46228 L
.52007 .46249 L
.52119 .46388 L
.52167 .46443 L
.52251 .46549 L
.52328 .46639 L
.52383 .46709 L
.52488 .46804 L
.52514 .4687 L
.52644 .4703 L
.52649 .47036 L
.52769 .47191 L
.52809 .47239 L
.52896 .47351 L
.5297 .47442 L
.53023 .47512 L
.5313 .47631 L
.53151 .47672 L
.53276 .47833 L
.53291 .47851 L
.53399 .47993 L
.53451 .48059 L
.53523 .48154 L
.53612 .48266 L
.53649 .48314 L
.53772 .48472 L
.53775 .48475 L
.53894 .48636 L
.53933 .48684 L
.54016 .48796 L
.54093 .48895 L
.54139 .48957 L
.54254 .49096 L
.54263 .49117 L
.54381 .49278 L
.54414 .4932 L
.545 .49438 L
.54575 .49535 L
.54621 .49599 L
.54735 .49749 L
.54743 .49759 L
.54857 .4992 L
.54896 .4997 L
.54971 .5008 L
.55057 .50193 L
.55089 .50241 L
.55203 .50401 L
.55217 .5042 L
.55302 .50562 L
.55378 .50672 L
.554 .50722 L
.55378 .50746 L
.55356 .50722 L
.55217 .50582 L
.55199 .50562 L
.55057 .50402 L
.55056 .50401 L
.54922 .50241 L
.54896 .50212 L
.54788 .5008 L
.54735 .5002 L
.54655 .4992 L
.54575 .49825 L
.54522 .49759 L
.54414 .49652 L
.54391 .49599 L
.54262 .49438 L
.54254 .49429 L
.54135 .49278 L
.54093 .49227 L
.54007 .49117 L
.53933 .49025 L
.53879 .48957 L
.53772 .48834 L
.53725 .48796 L
.53627 .48636 L
.53612 .48617 L
.53503 .48475 L
.53451 .4841 L
.53378 .48314 L
.53291 .48244 L
.53253 .48154 L
.5313 .47997 L
.53126 .47993 L
.53007 .47833 L
.5297 .47786 L
.52885 .47672 L
.52809 .47576 L
.52761 .47512 L
.52649 .47373 L
.52625 .47351 L
.52519 .47191 L
.52488 .47151 L
.524 .4703 L
.52328 .46937 L
.52279 .4687 L
.52167 .46722 L
.52158 .46709 L
.52043 .46549 L
.52007 .46501 L
.51928 .46388 L
.51846 .46279 L
.51811 .46228 L
.51696 .46067 L
.51686 .46054 L
.51594 .45907 L
.51525 .45809 L
.51491 .45746 L
F
0 .31 1 r
.51525 .46374 m
.51535 .46388 L
.51525 .46443 L
.51493 .46388 L
F
0 .27 1 r
.51525 .51219 m
.51645 .51364 L
.51686 .51411 L
.5177 .51525 L
.51846 .51623 L
.51888 .51686 L
.51846 .51794 L
.51753 .51686 L
.51686 .51611 L
.51619 .51525 L
.51525 .51408 L
.51494 .51364 L
F
1 .64 0 r
.51525 .50613 m
.51682 .50722 L
.51686 .50725 L
.51846 .50883 L
.51846 .50883 L
.5199 .51043 L
.52007 .51062 L
.52126 .51204 L
.52167 .51252 L
.52258 .51364 L
.52328 .51433 L
.52428 .51525 L
.52488 .51653 L
.52514 .51686 L
.52629 .51846 L
.52649 .51873 L
.52745 .52007 L
.52809 .521 L
.52855 .52167 L
.52953 .52328 L
.5297 .5236 L
.53014 .52488 L
.5297 .52528 L
.52898 .52488 L
.52809 .52423 L
.52712 .52328 L
.52649 .52264 L
.52563 .52167 L
.52488 .52118 L
.52426 .52007 L
.52328 .51901 L
.52264 .51846 L
.52167 .51688 L
.52165 .51686 L
.52044 .51525 L
.52007 .51477 L
.51923 .51364 L
.51846 .51262 L
.51804 .51204 L
.51689 .51043 L
.51686 .51038 L
.51587 .50883 L
.51525 .50779 L
.51496 .50722 L
F
0 .26 1 r
.51525 .51226 m
.51639 .51364 L
.51686 .51417 L
.51765 .51525 L
.51846 .5163 L
.51883 .51686 L
.51846 .51787 L
.51758 .51686 L
.51686 .51605 L
.51624 .51525 L
.51525 .51402 L
.51498 .51364 L
F
0 .69 1 r
.51525 .45052 m
.51579 .45104 L
.51686 .45202 L
.51742 .45265 L
.51846 .45374 L
.5189 .45425 L
.52007 .45539 L
.52033 .45586 L
.52167 .45741 L
.52174 .45746 L
.52306 .45907 L
.52328 .45932 L
.52439 .46067 L
.52488 .46124 L
.52573 .46228 L
.52649 .46306 L
.52762 .46388 L
.52809 .46514 L
.52843 .46549 L
.52965 .46709 L
.5297 .46715 L
.53093 .4687 L
.5313 .46893 L
.53222 .4703 L
.53291 .47109 L
.53374 .47191 L
.53451 .47318 L
.5348 .47351 L
.53604 .47512 L
.53612 .47521 L
.5373 .47672 L
.53772 .47712 L
.53908 .47833 L
.53933 .47926 L
.53993 .47993 L
.54093 .48135 L
.54107 .48154 L
.54233 .48314 L
.54254 .48323 L
.54358 .48475 L
.54414 .48537 L
.54506 .48636 L
.54575 .48752 L
.5461 .48796 L
.54732 .48957 L
.54735 .48961 L
.54855 .49117 L
.54896 .49152 L
.55027 .49278 L
.55057 .4937 L
.55114 .49438 L
.55217 .49585 L
.55227 .49599 L
.5535 .49759 L
.55378 .49766 L
.55473 .4992 L
.55538 .4999 L
.55619 .5008 L
.55699 .5021 L
.55722 .50241 L
.55842 .50401 L
.55859 .50423 L
.55964 .50562 L
.5602 .50608 L
.56131 .50722 L
.5618 .50837 L
.56217 .50883 L
.56331 .51043 L
.56341 .51056 L
.56451 .51204 L
.56501 .51269 L
.56573 .51364 L
.56662 .51467 L
.56712 .51525 L
.56816 .51686 L
.56822 .51693 L
.56934 .51846 L
.56983 .51909 L
.57054 .52007 L
.57143 .52099 L
.57204 .52167 L
.57295 .52328 L
.57304 .5234 L
.5741 .52488 L
.57464 .5256 L
.57527 .52649 L
.57625 .52779 L
.57646 .52809 L
.5776 .5297 L
.57785 .53003 L
.57871 .5313 L
.57946 .53233 L
.57984 .53291 L
.58094 .53451 L
.58106 .53469 L
.58187 .53612 L
.58267 .53757 L
.5827 .53772 L
.58267 .53779 L
.58252 .53772 L
.58106 .53654 L
.58067 .53612 L
.57946 .53486 L
.57915 .53451 L
.57785 .53314 L
.57771 .53291 L
.57632 .5313 L
.57625 .53122 L
.57496 .5297 L
.57464 .52934 L
.57361 .52809 L
.57304 .52786 L
.57227 .52649 L
.57143 .52557 L
.57054 .52488 L
.56983 .52353 L
.56959 .52328 L
.56833 .52167 L
.56822 .52154 L
.56704 .52007 L
.56662 .51972 L
.56575 .51846 L
.56501 .51759 L
.56429 .51686 L
.56341 .51552 L
.56319 .51525 L
.56192 .51364 L
.5618 .5135 L
.56065 .51204 L
.5602 .51157 L
.559 .51043 L
.55859 .50945 L
.55806 .50883 L
.55699 .50737 L
.55689 .50722 L
.55562 .50562 L
.55538 .50546 L
.55437 .50401 L
.55378 .50333 L
.55294 .50241 L
.55217 .5012 L
.55187 .5008 L
.55062 .4992 L
.55057 .49913 L
.54939 .49759 L
.54896 .49718 L
.54778 .49599 L
.54735 .49501 L
.54684 .49438 L
.54575 .49289 L
.54568 .49278 L
.54444 .49117 L
.54414 .49102 L
.5432 .48957 L
.54254 .48881 L
.5418 .48796 L
.54093 .48663 L
.54073 .48636 L
.53951 .48475 L
.53933 .48451 L
.53829 .48314 L
.53772 .48261 L
.53672 .48154 L
.53612 .48036 L
.53578 .47993 L
.53462 .47833 L
.53451 .47819 L
.53342 .47672 L
.53291 .47647 L
.5322 .47512 L
.5313 .47406 L
.53085 .47351 L
.52977 .47191 L
.5297 .47182 L
.52858 .4703 L
.52809 .46966 L
.52738 .4687 L
.52649 .46772 L
.52594 .46709 L
.52498 .46549 L
.52488 .46536 L
.52382 .46388 L
.52328 .46317 L
.52264 .46228 L
.52167 .46098 L
.52145 .46067 L
.5203 .45907 L
.52007 .45875 L
.51919 .45746 L
.51846 .45646 L
.51805 .45586 L
.51693 .45425 L
.51686 .45414 L
.51596 .45265 L
.51525 .45154 L
.51501 .45104 L
F
0 .25 1 r
.51525 .51233 m
.51634 .51364 L
.51686 .51424 L
.5176 .51525 L
.51846 .51637 L
.51878 .51686 L
.51846 .51779 L
.51764 .51686 L
.51686 .51599 L
.51628 .51525 L
.51525 .51396 L
.51503 .51364 L
F
1 .63 0 r
.51525 .50626 m
.51673 .50722 L
.51686 .50732 L
.5184 .50883 L
.51846 .50889 L
.51986 .51043 L
.52007 .51066 L
.52122 .51204 L
.52167 .51257 L
.52254 .51364 L
.52328 .51437 L
.52424 .51525 L
.52488 .51658 L
.52511 .51686 L
.52626 .51846 L
.52649 .51877 L
.52741 .52007 L
.52809 .52105 L
.52851 .52167 L
.52947 .52328 L
.5297 .52374 L
.53002 .52488 L
.5297 .52515 L
.52912 .52488 L
.52809 .52417 L
.52718 .52328 L
.52649 .5226 L
.52567 .52167 L
.52488 .52114 L
.52429 .52007 L
.52328 .51897 L
.52268 .51846 L
.52168 .51686 L
.52167 .51684 L
.52046 .51525 L
.52007 .51474 L
.51926 .51364 L
.51846 .51258 L
.51807 .51204 L
.51693 .51043 L
.51686 .51033 L
.51592 .50883 L
.51525 .50769 L
.51503 .50722 L
F
1 .39 0 r
.51525 .45721 m
.51548 .45746 L
.51686 .45884 L
.51705 .45907 L
.51846 .46064 L
.51848 .46067 L
.51982 .46228 L
.52007 .46254 L
.52115 .46388 L
.52167 .46448 L
.52247 .46549 L
.52328 .46643 L
.5238 .46709 L
.52488 .46811 L
.52511 .4687 L
.5264 .4703 L
.52649 .4704 L
.52766 .47191 L
.52809 .47243 L
.52893 .47351 L
.5297 .47446 L
.5302 .47512 L
.5313 .47636 L
.53148 .47672 L
.53273 .47833 L
.53291 .47855 L
.53396 .47993 L
.53451 .48062 L
.53521 .48154 L
.53612 .48269 L
.53646 .48314 L
.53771 .48475 L
.53772 .48476 L
.53891 .48636 L
.53933 .48688 L
.54013 .48796 L
.54093 .48898 L
.54136 .48957 L
.54254 .49102 L
.5426 .49117 L
.54378 .49278 L
.54414 .49323 L
.54497 .49438 L
.54575 .49539 L
.54618 .49599 L
.54735 .49753 L
.5474 .49759 L
.54853 .4992 L
.54896 .49976 L
.54967 .5008 L
.55057 .50199 L
.55084 .50241 L
.55057 .50394 L
.54928 .50241 L
.54896 .50206 L
.54793 .5008 L
.54735 .50015 L
.54659 .4992 L
.54575 .49821 L
.54526 .49759 L
.54414 .49645 L
.54394 .49599 L
.54265 .49438 L
.54254 .49425 L
.54138 .49278 L
.54093 .49223 L
.5401 .49117 L
.53933 .49022 L
.53882 .48957 L
.53772 .48829 L
.53731 .48796 L
.5363 .48636 L
.53612 .48613 L
.53506 .48475 L
.53451 .48407 L
.53381 .48314 L
.53291 .48239 L
.53255 .48154 L
.53131 .47993 L
.5313 .47993 L
.5301 .47833 L
.5297 .47782 L
.52888 .47672 L
.52809 .47572 L
.52764 .47512 L
.52649 .47368 L
.52631 .47351 L
.52522 .47191 L
.52488 .47147 L
.52403 .4703 L
.52328 .46932 L
.52282 .4687 L
.52167 .46718 L
.52161 .46709 L
.52047 .46549 L
.52007 .46496 L
.51932 .46388 L
.51846 .46273 L
.51815 .46228 L
.51702 .46067 L
.51686 .46045 L
.51602 .45907 L
.51525 .45793 L
.51503 .45746 L
F
0 .24 1 r
.51525 .51241 m
.51628 .51364 L
.51686 .5143 L
.51755 .51525 L
.51846 .51644 L
.51873 .51686 L
.51846 .5177 L
.51771 .51686 L
.51686 .51593 L
.51633 .51525 L
.51525 .5139 L
.51507 .51364 L
F
1 .62 0 r
.51525 .50642 m
.51663 .50722 L
.51686 .50739 L
.51834 .50883 L
.51846 .50894 L
.51981 .51043 L
.52007 .51071 L
.52119 .51204 L
.52167 .51261 L
.52251 .51364 L
.52328 .51441 L
.5242 .51525 L
.52488 .51662 L
.52507 .51686 L
.52622 .51846 L
.52649 .51882 L
.52737 .52007 L
.52809 .52111 L
.52847 .52167 L
.52941 .52328 L
.5297 .52391 L
.52986 .52488 L
.5297 .52501 L
.52931 .52488 L
.52809 .5241 L
.52723 .52328 L
.52649 .52255 L
.52571 .52167 L
.52488 .5211 L
.52432 .52007 L
.52328 .51892 L
.52273 .51846 L
.52171 .51686 L
.52167 .51681 L
.52049 .51525 L
.52007 .5147 L
.51929 .51364 L
.51846 .51254 L
.5181 .51204 L
.51697 .51043 L
.51686 .51027 L
.51597 .50883 L
.51525 .50756 L
.5151 .50722 L
F
0 .23 1 r
.51525 .5125 m
.51621 .51364 L
.51686 .51437 L
.51749 .51525 L
.51846 .51653 L
.51867 .51686 L
.51846 .51761 L
.51779 .51686 L
.51686 .51586 L
.51639 .51525 L
.51525 .51383 L
.51512 .51364 L
F
1 .89 .033 r
.51525 .4441 m
.51595 .44462 L
.51686 .44537 L
.5177 .44622 L
.51846 .44699 L
.51924 .44783 L
.52007 .4484 L
.5207 .44943 L
.52167 .45048 L
.52256 .45104 L
.52328 .45239 L
.52354 .45265 L
.52487 .45425 L
.52488 .45427 L
.52622 .45586 L
.52649 .45611 L
.52756 .45746 L
.52809 .45811 L
.52903 .45907 L
.5297 .46013 L
.53015 .46067 L
.5313 .46211 L
.53139 .46228 L
.53278 .46388 L
.53291 .46403 L
.53433 .46549 L
.53451 .46607 L
.53537 .46709 L
.53612 .46814 L
.5365 .4687 L
.53772 .47017 L
.5379 .4703 L
.53916 .47191 L
.53933 .47212 L
.54052 .47351 L
.54093 .4742 L
.54162 .47512 L
.54254 .47631 L
.54273 .47672 L
.54414 .47831 L
.5442 .47833 L
.54561 .47993 L
.54575 .48033 L
.54671 .48154 L
.54735 .48244 L
.54781 .48314 L
.54896 .48454 L
.5492 .48475 L
.55044 .48636 L
.55057 .48651 L
.55177 .48796 L
.55217 .48861 L
.55286 .48957 L
.55378 .49074 L
.55396 .49117 L
.55538 .49276 L
.55541 .49278 L
.55681 .49438 L
.55699 .49482 L
.5579 .49599 L
.55859 .49694 L
.559 .49759 L
.5602 .49904 L
.56036 .4992 L
.56159 .5008 L
.5618 .50104 L
.56293 .50241 L
.56341 .50316 L
.56402 .50401 L
.56501 .50528 L
.56514 .50562 L
.56653 .50722 L
.56662 .5073 L
.56798 .50883 L
.56822 .50939 L
.56903 .51043 L
.56983 .51153 L
.57014 .51204 L
.57143 .51361 L
.57146 .51364 L
.57269 .51525 L
.57304 .51563 L
.57405 .51686 L
.57464 .51777 L
.57513 .51846 L
.57625 .5199 L
.57631 .52007 L
.5776 .52167 L
.57785 .52188 L
.5791 .52328 L
.57946 .52402 L
.58012 .52488 L
.58106 .52618 L
.58124 .52649 L
.58251 .52809 L
.58267 .52813 L
.58373 .5297 L
.58428 .53027 L
.58511 .5313 L
.58588 .53247 L
.58618 .53291 L
.58741 .53451 L
.58749 .53461 L
.58861 .53612 L
.58909 .5365 L
.59014 .53772 L
.5907 .53876 L
.59112 .53933 L
.59228 .54093 L
.5923 .54096 L
.59347 .54254 L
.59391 .5431 L
.59525 .54414 L
.59551 .54508 L
.59603 .54575 L
.59712 .54735 L
.59712 .54736 L
.59829 .54896 L
.59872 .54952 L
.59948 .55057 L
.60033 .55143 L
.60091 .55217 L
.60189 .55378 L
.60193 .55384 L
.60303 .55538 L
.60354 .55605 L
.6042 .55699 L
.60514 .55826 L
.60564 .55859 L
.60651 .5602 L
.60675 .56052 L
.60761 .5618 L
.60835 .56285 L
.60871 .56341 L
.60977 .56501 L
.60996 .56529 L
.61065 .56662 L
.60996 .56715 L
.60941 .56662 L
.60835 .56561 L
.6078 .56501 L
.60675 .5641 L
.6063 .56341 L
.60514 .56214 L
.60464 .5618 L
.60354 .56027 L
.60346 .5602 L
.6021 .55859 L
.60193 .55841 L
.60074 .55699 L
.60033 .55657 L
.59939 .55538 L
.59872 .55456 L
.59795 .55378 L
.59712 .55256 L
.5968 .55217 L
.59551 .55061 L
.59549 .55057 L
.59416 .54896 L
.59391 .54866 L
.59264 .54735 L
.5923 .54662 L
.59158 .54575 L
.5907 .54456 L
.59043 .54414 L
.58909 .54257 L
.58904 .54254 L
.58777 .54093 L
.58749 .54057 L
.58643 .53933 L
.58588 .53848 L
.58532 .53772 L
.58428 .5364 L
.58418 .53612 L
.58273 .53451 L
.58267 .53444 L
.58132 .53291 L
.58106 .53236 L
.58023 .5313 L
.57946 .53025 L
.57913 .5297 L
.57785 .52819 L
.57773 .52809 L
.57625 .52649 L
.57625 .52619 L
.57517 .52488 L
.57464 .52408 L
.57408 .52328 L
.57304 .52197 L
.57295 .52167 L
.57152 .52007 L
.57143 .51997 L
.57012 .51846 L
.56983 .51788 L
.56904 .51686 L
.56822 .51575 L
.56793 .51525 L
.56662 .51369 L
.56656 .51364 L
.56505 .51204 L
.56501 .51166 L
.56401 .51043 L
.56341 .50953 L
.56292 .50883 L
.5618 .50742 L
.56175 .50722 L
.56039 .50562 L
.5602 .50542 L
.55896 .50401 L
.55859 .5033 L
.55791 .50241 L
.55699 .50117 L
.55678 .5008 L
.55546 .4992 L
.55538 .49915 L
.55387 .49759 L
.55378 .49707 L
.55289 .49599 L
.55217 .49492 L
.5518 .49438 L
.55057 .49281 L
.55056 .49278 L
.54932 .49117 L
.54896 .49084 L
.54785 .48957 L
.54735 .48867 L
.54682 .48796 L
.54575 .48652 L
.54566 .48636 L
.54441 .48475 L
.54414 .48461 L
.54275 .48314 L
.54254 .48242 L
.54184 .48154 L
.54093 .48023 L
.54074 .47993 L
.53951 .47833 L
.53933 .47809 L
.5383 .47672 L
.53772 .47618 L
.53683 .47512 L
.53612 .47393 L
.53581 .47351 L
.53464 .47191 L
.53451 .47175 L
.53344 .4703 L
.53291 .46999 L
.53177 .4687 L
.5313 .46761 L
.53091 .46709 L
.52979 .46549 L
.5297 .46537 L
.52861 .46388 L
.52809 .46321 L
.52741 .46228 L
.52649 .46124 L
.52604 .46067 L
.52501 .45907 L
.52488 .4589 L
.52385 .45746 L
.52328 .4567 L
.52267 .45586 L
.52167 .45451 L
.5213 .45425 L
.52034 .45265 L
.52007 .45227 L
.51923 .45104 L
.51846 .44997 L
.51811 .44943 L
.51701 .44783 L
.51686 .44761 L
.51605 .44622 L
.51525 .44487 L
.51515 .44462 L
F
0 .22 1 r
.51525 .51259 m
.51613 .51364 L
.51686 .51445 L
.51743 .51525 L
.51846 .51662 L
.51861 .51686 L
.51846 .5175 L
.51787 .51686 L
.51686 .51579 L
.51644 .51525 L
.51525 .51376 L
.51517 .51364 L
F
1 .61 0 r
.51525 .50661 m
.51652 .50722 L
.51686 .50747 L
.51829 .50883 L
.51846 .509 L
.51977 .51043 L
.52007 .51076 L
.52115 .51204 L
.52167 .51265 L
.52248 .51364 L
.52328 .51445 L
.52416 .51525 L
.52488 .51667 L
.52503 .51686 L
.52619 .51846 L
.52649 .51886 L
.52734 .52007 L
.52809 .52117 L
.52843 .52167 L
.52934 .52328 L
.52809 .52404 L
.52729 .52328 L
.52649 .5225 L
.52575 .52167 L
.52488 .52106 L
.52435 .52007 L
.52328 .51888 L
.52278 .51846 L
.52174 .51686 L
.52167 .51677 L
.52052 .51525 L
.52007 .51467 L
.51932 .51364 L
.51846 .5125 L
.51813 .51204 L
.51701 .51043 L
.51686 .51021 L
.51602 .50883 L
.51525 .50741 L
.51518 .50722 L
F
0 .68 1 r
.51525 .45088 m
.51551 .45104 L
.51686 .45216 L
.51731 .45265 L
.51846 .45384 L
.51882 .45425 L
.52007 .45551 L
.52026 .45586 L
.52165 .45746 L
.52167 .45748 L
.523 .45907 L
.52328 .45938 L
.52435 .46067 L
.52488 .4613 L
.52568 .46228 L
.52649 .46312 L
.52757 .46388 L
.52809 .46519 L
.52838 .46549 L
.52961 .46709 L
.5297 .46719 L
.5309 .4687 L
.5313 .46896 L
.53219 .4703 L
.53291 .47112 L
.53371 .47191 L
.53451 .47321 L
.53477 .47351 L
.53602 .47512 L
.53612 .47524 L
.53728 .47672 L
.53772 .47714 L
.53907 .47833 L
.53933 .47928 L
.5399 .47993 L
.54093 .48138 L
.54105 .48154 L
.54231 .48314 L
.54254 .48325 L
.54356 .48475 L
.54414 .4854 L
.54505 .48636 L
.54575 .48754 L
.54608 .48796 L
.5473 .48957 L
.54735 .48963 L
.54853 .49117 L
.54896 .49154 L
.55025 .49278 L
.55057 .49373 L
.55112 .49438 L
.55217 .49587 L
.55225 .49599 L
.55348 .49759 L
.55378 .49767 L
.55471 .4992 L
.55538 .49992 L
.55617 .5008 L
.55699 .50213 L
.5572 .50241 L
.5584 .50401 L
.55859 .50426 L
.55962 .50562 L
.5602 .50611 L
.56129 .50722 L
.5618 .5084 L
.56215 .50883 L
.56329 .51043 L
.56341 .51058 L
.56449 .51204 L
.56501 .51271 L
.5657 .51364 L
.56662 .5147 L
.56709 .51525 L
.56814 .51686 L
.56822 .51697 L
.56932 .51846 L
.56983 .51913 L
.57051 .52007 L
.57143 .52105 L
.57199 .52167 L
.57291 .52328 L
.57304 .52344 L
.57407 .52488 L
.57464 .52565 L
.57524 .52649 L
.57625 .52785 L
.57642 .52809 L
.57755 .5297 L
.57785 .5301 L
.57866 .5313 L
.57946 .53242 L
.57978 .53291 L
.58084 .53451 L
.58106 .53484 L
.58172 .53612 L
.58106 .53638 L
.58081 .53612 L
.57946 .53475 L
.57924 .53451 L
.57785 .53302 L
.57779 .53291 L
.57639 .5313 L
.57625 .53115 L
.57502 .5297 L
.57464 .52927 L
.57366 .52809 L
.57304 .52782 L
.57231 .52649 L
.57143 .52552 L
.5706 .52488 L
.56983 .52348 L
.56963 .52328 L
.56837 .52167 L
.56822 .5215 L
.56707 .52007 L
.56662 .51969 L
.56578 .51846 L
.56501 .51755 L
.56432 .51686 L
.56341 .51549 L
.56321 .51525 L
.56195 .51364 L
.5618 .51347 L
.56068 .51204 L
.5602 .51154 L
.55902 .51043 L
.55859 .50942 L
.55809 .50883 L
.55699 .50734 L
.55691 .50722 L
.55564 .50562 L
.55538 .50545 L
.55439 .50401 L
.55378 .5033 L
.55296 .50241 L
.55217 .50118 L
.55189 .5008 L
.55064 .4992 L
.55057 .4991 L
.54941 .49759 L
.54896 .49716 L
.5478 .49599 L
.54735 .49499 L
.54686 .49438 L
.54575 .49287 L
.54569 .49278 L
.54446 .49117 L
.54414 .49101 L
.54322 .48957 L
.54254 .48879 L
.54182 .48796 L
.54093 .48661 L
.54075 .48636 L
.53953 .48475 L
.53933 .48449 L
.53831 .48314 L
.53772 .48259 L
.53674 .48154 L
.53612 .48033 L
.53581 .47993 L
.53464 .47833 L
.53451 .47816 L
.53344 .47672 L
.53291 .47644 L
.53222 .47512 L
.5313 .47402 L
.53088 .47351 L
.52979 .47191 L
.5297 .47178 L
.52861 .4703 L
.52809 .46963 L
.52741 .4687 L
.52649 .46767 L
.52599 .46709 L
.52501 .46549 L
.52488 .46532 L
.52385 .46388 L
.52328 .46312 L
.52268 .46228 L
.52167 .46093 L
.52149 .46067 L
.52035 .45907 L
.52007 .45868 L
.51924 .45746 L
.51846 .45638 L
.51811 .45586 L
.51702 .45425 L
.51686 .45402 L
.51607 .45265 L
.51525 .4512 L
.5152 .45104 L
F
1 .38 0 r
.51525 .45743 m
.51528 .45746 L
.51686 .45893 L
.51697 .45907 L
.51686 .46034 L
.51613 .45907 L
.51525 .45763 L
.51522 .45746 L
F
0 .21 1 r
.51525 .51271 m
.51604 .51364 L
.51686 .51453 L
.51736 .51525 L
.51846 .51673 L
.51853 .51686 L
.51846 .51735 L
.51798 .51686 L
.51686 .51571 L
.5165 .51525 L
.51525 .51367 L
.51523 .51364 L
F
1 1 1 r
.51686 .42504 m
.51716 .42536 L
.51846 .42667 L
.51916 .42696 L
.52007 .42836 L
.52034 .42857 L
.52167 .4301 L
.52174 .43017 L
.52328 .43169 L
.52336 .43178 L
.52479 .43338 L
.52488 .43352 L
.52616 .43499 L
.52649 .43546 L
.52736 .43659 L
.52809 .43719 L
.52897 .4382 L
.5297 .43911 L
.5303 .4398 L
.5313 .44107 L
.53159 .44141 L
.53287 .44301 L
.53291 .44307 L
.53396 .44462 L
.53451 .44502 L
.53551 .44622 L
.53612 .44704 L
.53678 .44783 L
.53772 .44908 L
.53802 .44943 L
.53922 .45104 L
.53933 .45112 L
.54056 .45265 L
.54093 .45316 L
.54182 .45425 L
.54254 .45522 L
.54305 .45586 L
.54414 .45731 L
.54427 .45746 L
.54534 .45907 L
.54575 .45936 L
.54679 .46067 L
.54735 .46143 L
.54803 .46228 L
.54896 .46353 L
.54925 .46388 L
.55041 .46549 L
.55057 .4657 L
.55174 .46709 L
.55217 .46768 L
.55298 .4687 L
.55378 .46977 L
.5542 .4703 L
.55538 .47188 L
.5554 .47191 L
.5564 .47351 L
.55699 .47394 L
.55792 .47512 L
.55859 .47603 L
.55915 .47672 L
.5602 .47814 L
.56035 .47833 L
.56146 .47993 L
.5618 .48039 L
.56285 .48154 L
.56341 .4823 L
.56408 .48314 L
.56501 .4844 L
.56529 .48475 L
.56646 .48636 L
.56662 .48656 L
.56741 .48796 L
.56822 .48857 L
.56901 .48957 L
.56983 .49067 L
.57023 .49117 L
.57143 .49278 L
.57143 .49278 L
.57249 .49438 L
.57304 .49508 L
.57394 .49599 L
.57464 .49694 L
.57516 .49759 L
.57625 .49905 L
.57637 .4992 L
.57751 .5008 L
.57785 .50125 L
.57843 .50241 L
.57946 .50321 L
.58009 .50401 L
.58106 .50531 L
.58131 .50562 L
.58249 .50722 L
.58267 .50746 L
.58353 .50883 L
.58428 .50974 L
.58502 .51043 L
.58588 .51158 L
.58624 .51204 L
.58745 .51364 L
.58749 .5137 L
.58857 .51525 L
.58909 .51591 L
.58947 .51686 L
.5907 .51821 L
.59117 .51846 L
.5923 .51996 L
.59238 .52007 L
.59356 .52167 L
.59391 .52212 L
.59459 .52328 L
.59551 .52435 L
.5961 .52488 L
.59712 .52623 L
.59732 .52649 L
.59854 .52809 L
.59872 .52836 L
.59964 .5297 L
.60033 .53054 L
.60055 .5313 L
.60193 .53274 L
.60225 .53291 L
.60348 .53451 L
.60354 .53461 L
.60465 .53612 L
.60514 .53676 L
.60567 .53772 L
.60675 .53894 L
.60718 .53933 L
.60835 .54088 L
.60839 .54093 L
.60963 .54254 L
.60996 .543 L
.61072 .54414 L
.61156 .54515 L
.61167 .54575 L
.61317 .54726 L
.61333 .54735 L
.61461 .54896 L
.61477 .54925 L
.61574 .55057 L
.61638 .55138 L
.61678 .55217 L
.61799 .55352 L
.61826 .55378 L
.61955 .55538 L
.61959 .55551 L
.62074 .55699 L
.6212 .55762 L
.62182 .55859 L
.6228 .55976 L
.62284 .5602 L
.62441 .5618 L
.62441 .5618 L
.62573 .56341 L
.62601 .56387 L
.62684 .56501 L
.62762 .566 L
.6279 .56662 L
.62922 .5681 L
.62934 .56822 L
.63073 .56983 L
.63083 .57011 L
.63185 .57143 L
.63243 .57224 L
.63293 .57304 L
.63404 .57437 L
.63427 .57464 L
.63549 .57625 L
.63564 .57638 L
.63686 .57785 L
.63725 .57848 L
.63794 .57946 L
.63885 .58062 L
.63904 .58106 L
.64042 .58267 L
.64046 .58268 L
.64189 .58428 L
.64206 .58471 L
.64295 .58588 L
.64367 .58686 L
.64405 .58749 L
.64527 .58899 L
.64535 .58909 L
.64657 .5907 L
.64688 .59093 L
.64798 .5923 L
.64848 .59309 L
.64905 .59391 L
.65009 .59526 L
.65019 .59551 L
.6515 .59712 L
.6517 .59737 L
.65304 .59872 L
.6533 .5993 L
.65405 .60033 L
.65491 .6015 L
.65516 .60193 L
.65643 .60354 L
.65651 .60364 L
.65765 .60514 L
.65812 .60548 L
.65908 .60675 L
.65972 .60773 L
.66014 .60835 L
.66133 .60991 L
.66135 .60996 L
.66257 .61156 L
.66293 .61202 L
.66415 .61317 L
.66454 .61392 L
.66514 .61477 L
.66614 .61616 L
.66627 .61638 L
.6675 .61799 L
.66775 .6183 L
.66872 .61959 L
.66935 .62008 L
.67016 .6212 L
.67096 .6224 L
.67122 .6228 L
.67243 .62441 L
.67256 .62458 L
.67364 .62601 L
.67417 .62669 L
.67522 .62762 L
.67577 .62861 L
.67619 .62922 L
.67735 .63083 L
.67738 .63087 L
.67855 .63243 L
.67898 .63299 L
.67977 .63404 L
.68059 .63477 L
.68118 .63564 L
.68219 .63716 L
.68225 .63725 L
.68344 .63885 L
.6838 .63931 L
.68465 .64046 L
.68541 .64144 L
.68618 .64206 L
.68701 .64348 L
.68714 .64367 L
.68829 .64527 L
.68862 .64569 L
.68947 .64688 L
.69022 .64786 L
.69067 .64848 L
.69183 .65002 L
.69191 .65009 L
.69301 .6517 L
.69343 .65226 L
.69414 .6533 L
.69504 .65455 L
.69527 .65491 L
.69635 .65651 L
.69664 .65694 L
.69733 .65812 L
.69825 .65966 L
.69828 .65972 L
.69884 .66133 L
.69825 .66165 L
.6978 .66133 L
.69664 .6604 L
.69608 .65972 L
.69504 .65863 L
.69458 .65812 L
.69343 .65682 L
.69311 .65651 L
.69183 .65496 L
.69178 .65491 L
.69039 .6533 L
.69022 .65308 L
.68881 .6517 L
.68862 .65113 L
.68776 .65009 L
.68701 .64908 L
.68674 .64848 L
.68541 .64738 L
.68498 .64688 L
.6838 .64541 L
.68368 .64527 L
.6824 .64367 L
.68219 .64335 L
.68131 .64206 L
.68059 .64148 L
.67975 .64046 L
.67898 .63948 L
.67847 .63885 L
.67738 .63744 L
.67722 .63725 L
.67601 .63564 L
.67577 .63529 L
.67499 .63404 L
.67417 .63338 L
.67341 .63243 L
.67256 .63131 L
.67217 .63083 L
.67096 .62923 L
.67095 .62922 L
.66982 .62762 L
.66935 .62694 L
.6689 .62601 L
.66775 .62511 L
.66719 .62441 L
.66614 .62301 L
.66597 .6228 L
.66478 .6212 L
.66454 .62083 L
.66375 .61959 L
.66293 .61886 L
.66224 .61799 L
.66133 .61677 L
.66102 .61638 L
.65981 .61477 L
.65972 .61464 L
.65869 .61317 L
.65812 .61235 L
.65778 .61156 L
.65651 .61051 L
.65608 .60996 L
.65491 .6084 L
.65487 .60835 L
.65369 .60675 L
.6533 .60619 L
.65266 .60514 L
.6517 .60385 L
.65115 .60354 L
.65009 .60213 L
.64993 .60193 L
.64871 .60033 L
.64848 .59998 L
.64761 .59872 L
.64688 .59772 L
.64668 .59712 L
.64527 .59587 L
.645 .59551 L
.64375 .59391 L
.64367 .59374 L
.6426 .5923 L
.64206 .59155 L
.64157 .5907 L
.64046 .5893 L
.64007 .58909 L
.63885 .58749 L
.63885 .58749 L
.63761 .58588 L
.63725 .58533 L
.63652 .58428 L
.63564 .58313 L
.63555 .58267 L
.63404 .58122 L
.63392 .58106 L
.63263 .57946 L
.63243 .5791 L
.6315 .57785 L
.63083 .57693 L
.63046 .57625 L
.62922 .57478 L
.62899 .57464 L
.62767 .57304 L
.62762 .57285 L
.6265 .57143 L
.62601 .5707 L
.62542 .56983 L
.62441 .56855 L
.62438 .56822 L
.62284 .56662 L
.6228 .56658 L
.6215 .56501 L
.6212 .56447 L
.6204 .56341 L
.61959 .56232 L
.61933 .5618 L
.61799 .56025 L
.61791 .5602 L
.61649 .55859 L
.61638 .55822 L
.61539 .55699 L
.61477 .55609 L
.6143 .55538 L
.61317 .55397 L
.61298 .55378 L
.61175 .55217 L
.61156 .55196 L
.61037 .55057 L
.60996 .54985 L
.60929 .54896 L
.60835 .54772 L
.60818 .54735 L
.60682 .54575 L
.60675 .54569 L
.60533 .54414 L
.60514 .54361 L
.60428 .54254 L
.60354 .54147 L
.60319 .54093 L
.60193 .53937 L
.60189 .53933 L
.60067 .53772 L
.60033 .53737 L
.59926 .53612 L
.59872 .53523 L
.59819 .53451 L
.59712 .5331 L
.59703 .53291 L
.59574 .5313 L
.59551 .53113 L
.59419 .5297 L
.59391 .52899 L
.59319 .52809 L
.5923 .52684 L
.59207 .52649 L
.59081 .52488 L
.5907 .52486 L
.58959 .52328 L
.58909 .52278 L
.58816 .52167 L
.58749 .5206 L
.58709 .52007 L
.58588 .51846 L
.58588 .51846 L
.58467 .51686 L
.58428 .51658 L
.58308 .51525 L
.58267 .51437 L
.5821 .51364 L
.58106 .5122 L
.58096 .51204 L
.57973 .51043 L
.57946 .51009 L
.57851 .50883 L
.57785 .50817 L
.57707 .50722 L
.57625 .50596 L
.57601 .50562 L
.5748 .50401 L
.57464 .50381 L
.57359 .50241 L
.57304 .50202 L
.572 .5008 L
.57143 .49973 L
.57102 .4992 L
.56987 .49759 L
.56983 .49754 L
.56866 .49599 L
.56822 .49544 L
.56743 .49438 L
.56662 .49354 L
.56601 .49278 L
.56501 .49129 L
.56493 .49117 L
.56373 .48957 L
.56341 .48916 L
.56251 .48796 L
.5618 .48741 L
.56095 .48636 L
.5602 .48506 L
.55996 .48475 L
.55879 .48314 L
.55859 .48289 L
.55758 .48154 L
.55699 .48079 L
.55635 .47993 L
.55538 .47887 L
.55497 .47833 L
.55386 .47672 L
.55378 .47662 L
.55265 .47512 L
.55217 .47451 L
.55143 .47351 L
.55057 .47242 L
.54993 .47191 L
.54896 .47036 L
.54891 .4703 L
.54772 .4687 L
.54735 .46824 L
.54651 .46709 L
.54575 .46614 L
.54527 .46549 L
.54414 .46415 L
.54394 .46388 L
.54279 .46228 L
.54254 .46196 L
.54158 .46067 L
.54093 .45985 L
.54036 .45907 L
.53933 .45777 L
.53894 .45746 L
.53786 .45586 L
.53772 .45568 L
.53666 .45425 L
.53612 .45357 L
.53544 .45265 L
.53451 .45147 L
.53389 .45104 L
.53294 .44943 L
.53291 .44939 L
.53175 .44783 L
.5313 .44727 L
.53054 .44622 L
.5297 .44516 L
.52931 .44462 L
.52809 .44307 L
.52802 .44301 L
.52686 .44141 L
.52649 .44094 L
.52567 .4398 L
.52488 .4388 L
.52446 .4382 L
.52328 .43668 L
.52315 .43659 L
.52204 .43499 L
.52167 .43452 L
.52088 .43338 L
.52007 .43232 L
.5197 .43178 L
.51851 .43017 L
.51846 .43011 L
.51742 .42857 L
.51686 .42779 L
.51636 .42696 L
.51531 .42536 L
F
.538 .98 1 r
.51686 .50082 m
.51846 .50143 L
.5198 .50241 L
.52007 .50282 L
.52109 .50401 L
.52167 .50462 L
.52226 .50562 L
.52328 .50657 L
.5238 .50722 L
.52488 .50861 L
.52506 .50883 L
.52632 .51043 L
.52649 .51072 L
.52745 .51204 L
.52809 .51292 L
.52843 .51364 L
.5297 .51512 L
.53006 .51525 L
.53128 .51686 L
.5313 .51689 L
.53247 .51846 L
.53291 .51901 L
.53352 .52007 L
.53451 .52115 L
.53498 .52167 L
.53612 .52322 L
.53618 .52328 L
.53741 .52488 L
.53772 .52536 L
.53846 .52649 L
.53933 .52763 L
.53943 .52809 L
.53977 .5297 L
.53933 .5298 L
.53772 .52983 L
.53714 .5297 L
.53612 .52926 L
.53499 .52809 L
.53451 .52758 L
.53336 .52649 L
.53291 .52558 L
.53231 .52488 L
.5313 .52352 L
.53116 .52328 L
.52988 .52167 L
.5297 .5215 L
.52817 .52007 L
.52809 .51941 L
.52725 .51846 L
.52649 .51728 L
.52617 .51686 L
.52494 .51525 L
.52488 .51518 L
.52373 .51364 L
.52328 .51339 L
.5222 .51204 L
.52167 .51113 L
.5212 .51043 L
.52007 .50888 L
.52004 .50883 L
.51884 .50722 L
.51846 .50671 L
.51712 .50562 L
.51686 .50453 L
.51633 .50401 L
.51538 .50241 L
F
.395 .97 1 r
.51686 .50111 m
.51846 .50175 L
.5196 .50241 L
.52007 .50307 L
.52091 .50401 L
.52167 .5048 L
.52214 .50562 L
.52328 .50671 L
.5237 .50722 L
.52488 .50872 L
.52497 .50883 L
.52626 .51043 L
.52649 .51082 L
.52739 .51204 L
.52809 .51299 L
.52839 .51364 L
.5297 .51515 L
.53 .51525 L
.53125 .51686 L
.5313 .51696 L
.53242 .51846 L
.53291 .51908 L
.53347 .52007 L
.53451 .52121 L
.53492 .52167 L
.53611 .52328 L
.53612 .52329 L
.53735 .52488 L
.53772 .52548 L
.53836 .52649 L
.53933 .52786 L
.53937 .52809 L
.53933 .52953 L
.53772 .52964 L
.53612 .52906 L
.53512 .52809 L
.53451 .52747 L
.53342 .52649 L
.53291 .52551 L
.53236 .52488 L
.5313 .52347 L
.53119 .52328 L
.52992 .52167 L
.5297 .52146 L
.52819 .52007 L
.52809 .51938 L
.52728 .51846 L
.52649 .51724 L
.5262 .51686 L
.52497 .51525 L
.52488 .51513 L
.52376 .51364 L
.52328 .51336 L
.52223 .51204 L
.52167 .51107 L
.52124 .51043 L
.52008 .50883 L
.52007 .50881 L
.5189 .50722 L
.51846 .50663 L
.51719 .50562 L
.51686 .50441 L
.51646 .50401 L
.5156 .50241 L
F
.289 .96 1 r
.51686 .5014 m
.51846 .50204 L
.51928 .50241 L
.52007 .50329 L
.52075 .50401 L
.52167 .50497 L
.52204 .50562 L
.52328 .50684 L
.52359 .50722 L
.52488 .50883 L
.52488 .50883 L
.5262 .51043 L
.52649 .51091 L
.52732 .51204 L
.52809 .51307 L
.52835 .51364 L
.5297 .51518 L
.52995 .51525 L
.53122 .51686 L
.5313 .51702 L
.53238 .51846 L
.53291 .51914 L
.53343 .52007 L
.53451 .52128 L
.53486 .52167 L
.53605 .52328 L
.53612 .52338 L
.53728 .52488 L
.53772 .5256 L
.53827 .52649 L
.5393 .52809 L
.53772 .52946 L
.53612 .52889 L
.53526 .52809 L
.53451 .52736 L
.53349 .52649 L
.53291 .52544 L
.53242 .52488 L
.5313 .52341 L
.53122 .52328 L
.52996 .52167 L
.5297 .52143 L
.5282 .52007 L
.52809 .51934 L
.52732 .51846 L
.52649 .5172 L
.52623 .51686 L
.525 .51525 L
.52488 .51509 L
.52379 .51364 L
.52328 .51333 L
.52227 .51204 L
.52167 .51102 L
.52128 .51043 L
.52013 .50883 L
.52007 .50875 L
.51896 .50722 L
.51846 .50655 L
.51727 .50562 L
.51686 .50427 L
.5166 .50401 L
.51583 .50241 L
F
.51686 .53446 m
.51693 .53451 L
.51846 .53592 L
.51863 .53612 L
.52003 .53772 L
.52007 .53777 L
.52127 .53933 L
.52167 .53984 L
.52246 .54093 L
.52328 .54202 L
.52362 .54254 L
.52473 .54414 L
.52488 .54438 L
.52555 .54575 L
.52488 .54614 L
.52443 .54575 L
.52328 .54463 L
.52281 .54414 L
.52167 .54302 L
.52138 .54254 L
.52007 .54096 L
.52004 .54093 L
.51878 .53933 L
.51846 .5389 L
.51759 .53772 L
.51686 .5366 L
.51654 .53612 L
.51593 .53451 L
F
1 .6 0 r
.51686 .50754 m
.51823 .50883 L
.51846 .50905 L
.51972 .51043 L
.52007 .5108 L
.52111 .51204 L
.52167 .51269 L
.52244 .51364 L
.52328 .51449 L
.52411 .51525 L
.52488 .51672 L
.52499 .51686 L
.52616 .51846 L
.52649 .51891 L
.5273 .52007 L
.52809 .52123 L
.52839 .52167 L
.52928 .52328 L
.52809 .52397 L
.52735 .52328 L
.52649 .52245 L
.52579 .52167 L
.52488 .52101 L
.52438 .52007 L
.52328 .51884 L
.52283 .51846 L
.52177 .51686 L
.52167 .51673 L
.52055 .51525 L
.52007 .51463 L
.51935 .51364 L
.51846 .51246 L
.51816 .51204 L
.51705 .51043 L
.51686 .51015 L
.51607 .50883 L
F
.212 .95 1 r
.51686 .50169 m
.51846 .5023 L
.51877 .50241 L
.52007 .5035 L
.52059 .50401 L
.52167 .50513 L
.52195 .50562 L
.52328 .50697 L
.52349 .50722 L
.52481 .50883 L
.52488 .50893 L
.52614 .51043 L
.52649 .511 L
.52727 .51204 L
.52809 .51314 L
.52831 .51364 L
.5297 .5152 L
.52989 .51525 L
.53119 .51686 L
.5313 .51708 L
.53233 .51846 L
.53291 .51921 L
.53338 .52007 L
.53451 .52134 L
.5348 .52167 L
.53598 .52328 L
.53612 .52346 L
.53722 .52488 L
.53772 .52572 L
.53818 .52649 L
.53912 .52809 L
.53772 .52929 L
.53612 .52873 L
.53539 .52809 L
.53451 .52725 L
.53357 .52649 L
.53291 .52537 L
.53247 .52488 L
.5313 .52335 L
.53125 .52328 L
.53 .52167 L
.5297 .5214 L
.52822 .52007 L
.52809 .5193 L
.52735 .51846 L
.52649 .51716 L
.52626 .51686 L
.52504 .51525 L
.52488 .51505 L
.52382 .51364 L
.52328 .51329 L
.5223 .51204 L
.52167 .51096 L
.52132 .51043 L
.52018 .50883 L
.52007 .50868 L
.51902 .50722 L
.51846 .50646 L
.51736 .50562 L
.51686 .50412 L
.51675 .50401 L
.51609 .50241 L
F
1 .59 0 r
.51686 .50762 m
.51816 .50883 L
.51846 .50911 L
.51968 .51043 L
.52007 .51085 L
.52108 .51204 L
.52167 .51273 L
.52241 .51364 L
.52328 .51454 L
.52406 .51525 L
.52488 .51676 L
.52495 .51686 L
.52612 .51846 L
.52649 .51896 L
.52726 .52007 L
.52809 .52129 L
.52834 .52167 L
.52921 .52328 L
.52809 .5239 L
.52741 .52328 L
.52649 .5224 L
.52583 .52167 L
.52488 .52096 L
.52442 .52007 L
.52328 .51879 L
.52288 .51846 L
.5218 .51686 L
.52167 .5167 L
.52058 .51525 L
.52007 .51459 L
.51937 .51364 L
.51846 .51242 L
.51819 .51204 L
.51709 .51043 L
.51686 .51008 L
.51612 .50883 L
F
1 .58 0 r
.51686 .5077 m
.5181 .50883 L
.51846 .50917 L
.51963 .51043 L
.52007 .5109 L
.52104 .51204 L
.52167 .51278 L
.52238 .51364 L
.52328 .51458 L
.52402 .51525 L
.52488 .51681 L
.52491 .51686 L
.52609 .51846 L
.52649 .51901 L
.52723 .52007 L
.52809 .52135 L
.5283 .52167 L
.52913 .52328 L
.52809 .52383 L
.52748 .52328 L
.52649 .52235 L
.52587 .52167 L
.52488 .52091 L
.52445 .52007 L
.52328 .51875 L
.52294 .51846 L
.52183 .51686 L
.52167 .51666 L
.52061 .51525 L
.52007 .51455 L
.5194 .51364 L
.51846 .51238 L
.51822 .51204 L
.51713 .51043 L
.51686 .51002 L
.51618 .50883 L
F
0 .67 1 r
.51686 .45231 m
.51718 .45265 L
.51846 .45395 L
.51873 .45425 L
.52007 .45564 L
.52019 .45586 L
.52158 .45746 L
.52167 .45756 L
.52294 .45907 L
.52328 .45944 L
.5243 .46067 L
.52488 .46135 L
.52564 .46228 L
.52649 .46317 L
.52751 .46388 L
.52809 .46524 L
.52834 .46549 L
.52958 .46709 L
.5297 .46723 L
.53087 .4687 L
.5313 .46898 L
.53216 .4703 L
.53291 .47116 L
.53368 .47191 L
.53451 .47324 L
.53474 .47351 L
.53599 .47512 L
.53612 .47528 L
.53725 .47672 L
.53772 .47717 L
.53905 .47833 L
.53933 .47931 L
.53988 .47993 L
.54093 .4814 L
.54103 .48154 L
.54229 .48314 L
.54254 .48326 L
.54354 .48475 L
.54414 .48542 L
.54502 .48636 L
.54575 .48757 L
.54606 .48796 L
.54728 .48957 L
.54735 .48966 L
.54851 .49117 L
.54896 .49156 L
.55024 .49278 L
.55057 .49375 L
.5511 .49438 L
.55217 .49589 L
.55224 .49599 L
.55346 .49759 L
.55378 .49768 L
.55469 .4992 L
.55538 .49995 L
.55615 .5008 L
.55699 .50215 L
.55718 .50241 L
.55838 .50401 L
.55859 .50428 L
.5596 .50562 L
.5602 .50613 L
.56127 .50722 L
.5618 .50843 L
.56213 .50883 L
.56327 .51043 L
.56341 .51061 L
.56447 .51204 L
.56501 .51274 L
.56568 .51364 L
.56662 .51474 L
.56705 .51525 L
.56811 .51686 L
.56822 .517 L
.56929 .51846 L
.56983 .51916 L
.57049 .52007 L
.57143 .5211 L
.57194 .52167 L
.57288 .52328 L
.57304 .52349 L
.57403 .52488 L
.57464 .5257 L
.5752 .52649 L
.57625 .5279 L
.57638 .52809 L
.5775 .5297 L
.57785 .53018 L
.5786 .5313 L
.57946 .53251 L
.57971 .53291 L
.58073 .53451 L
.58106 .53503 L
.58149 .53612 L
.58106 .53619 L
.58098 .53612 L
.57946 .53464 L
.57935 .53451 L
.57787 .53291 L
.57785 .5329 L
.57646 .5313 L
.57625 .53107 L
.57508 .5297 L
.57464 .52921 L
.57371 .52809 L
.57304 .52777 L
.57236 .52649 L
.57143 .52546 L
.57066 .52488 L
.56983 .52343 L
.56968 .52328 L
.56841 .52167 L
.56822 .52145 L
.56711 .52007 L
.56662 .51966 L
.56581 .51846 L
.56501 .51752 L
.56436 .51686 L
.56341 .51545 L
.56324 .51525 L
.56197 .51364 L
.5618 .51343 L
.56071 .51204 L
.5602 .51151 L
.55904 .51043 L
.55859 .50939 L
.55811 .50883 L
.55699 .50731 L
.55692 .50722 L
.55566 .50562 L
.55538 .50543 L
.55441 .50401 L
.55378 .50328 L
.55298 .50241 L
.55217 .50115 L
.55191 .5008 L
.55066 .4992 L
.55057 .49907 L
.54943 .49759 L
.54896 .49714 L
.54782 .49599 L
.54735 .49496 L
.54688 .49438 L
.54575 .49284 L
.54571 .49278 L
.54447 .49117 L
.54414 .491 L
.54324 .48957 L
.54254 .48876 L
.54184 .48796 L
.54093 .48658 L
.54077 .48636 L
.53955 .48475 L
.53933 .48446 L
.53833 .48314 L
.53772 .48256 L
.53676 .48154 L
.53612 .4803 L
.53583 .47993 L
.53466 .47833 L
.53451 .47814 L
.53346 .47672 L
.53291 .47642 L
.53224 .47512 L
.5313 .47399 L
.53091 .47351 L
.52982 .47191 L
.5297 .47175 L
.52863 .4703 L
.52809 .46959 L
.52744 .4687 L
.52649 .46762 L
.52603 .46709 L
.52504 .46549 L
.52488 .46527 L
.52389 .46388 L
.52328 .46307 L
.52271 .46228 L
.52167 .46087 L
.52153 .46067 L
.5204 .45907 L
.52007 .45861 L
.5193 .45746 L
.51846 .4563 L
.51817 .45586 L
.51711 .45425 L
.51686 .45387 L
.51622 .45265 L
F
1 .57 0 r
.51686 .50778 m
.51803 .50883 L
.51846 .50922 L
.51959 .51043 L
.52007 .51095 L
.521 .51204 L
.52167 .51282 L
.52234 .51364 L
.52328 .51463 L
.52396 .51525 L
.52487 .51686 L
.52488 .51686 L
.52605 .51846 L
.52649 .51906 L
.52719 .52007 L
.52809 .52142 L
.52825 .52167 L
.52905 .52328 L
.52809 .52375 L
.52755 .52328 L
.52649 .5223 L
.52592 .52167 L
.52488 .52085 L
.52448 .52007 L
.52328 .5187 L
.52299 .51846 L
.52186 .51686 L
.52167 .51662 L
.52064 .51525 L
.52007 .51451 L
.51943 .51364 L
.51846 .51233 L
.51825 .51204 L
.51718 .51043 L
.51686 .50994 L
.51623 .50883 L
F
.538 .98 1 r
.51686 .43884 m
.51788 .4398 L
.51846 .44035 L
.51949 .44141 L
.52007 .44147 L
.52101 .44301 L
.52167 .4437 L
.52247 .44462 L
.52328 .44559 L
.52399 .44622 L
.52488 .44748 L
.5252 .44783 L
.52649 .44935 L
.52652 .44943 L
.52798 .45104 L
.52809 .45118 L
.52949 .45265 L
.5297 .45317 L
.53059 .45425 L
.5313 .45521 L
.53173 .45586 L
.53291 .45729 L
.53327 .45746 L
.53451 .45904 L
.53454 .45907 L
.53584 .46067 L
.53612 .46111 L
.53697 .46228 L
.53772 .46326 L
.53799 .46388 L
.53933 .46508 L
.53966 .46549 L
.54091 .46709 L
.54093 .46714 L
.54212 .4687 L
.54254 .46928 L
.54318 .4703 L
.54414 .4715 L
.5447 .47191 L
.54575 .47328 L
.54594 .47351 L
.54718 .47512 L
.54735 .47539 L
.5483 .47672 L
.54896 .47758 L
.54926 .47833 L
.55057 .47948 L
.55093 .47993 L
.55216 .48154 L
.55217 .48157 L
.55335 .48314 L
.55378 .48373 L
.55439 .48475 L
.55538 .48595 L
.5559 .48636 L
.55699 .48779 L
.55712 .48796 L
.55836 .48957 L
.55859 .48992 L
.55946 .49117 L
.5602 .4921 L
.56042 .49278 L
.5618 .49429 L
.56207 .49438 L
.56332 .49599 L
.56341 .49614 L
.56449 .49759 L
.56501 .4983 L
.56553 .4992 L
.56662 .50048 L
.56702 .5008 L
.56822 .50239 L
.56823 .50241 L
.56949 .50401 L
.56983 .50451 L
.57058 .50562 L
.57143 .50668 L
.57156 .50722 L
.57304 .50877 L
.57318 .50883 L
.57447 .51043 L
.57464 .51075 L
.5756 .51204 L
.57625 .5129 L
.57665 .51364 L
.57785 .51503 L
.57811 .51525 L
.57943 .51686 L
.57946 .51701 L
.5806 .51846 L
.58106 .51913 L
.58169 .52007 L
.58267 .52127 L
.58273 .52167 L
.58426 .52328 L
.58428 .52329 L
.5856 .52488 L
.58588 .52537 L
.5867 .52649 L
.58749 .52751 L
.58778 .52809 L
.58909 .5296 L
.58919 .5297 L
.59061 .5313 L
.5907 .53162 L
.59171 .53291 L
.5923 .53375 L
.5928 .53451 L
.59391 .53587 L
.59392 .53612 L
.59534 .53772 L
.59551 .53788 L
.59673 .53933 L
.59712 .53999 L
.5978 .54093 L
.59872 .54213 L
.59891 .54254 L
.60026 .54414 L
.60033 .54418 L
.60177 .54575 L
.60193 .54623 L
.6028 .54735 L
.60354 .54839 L
.6039 .54896 L
.60514 .55052 L
.60518 .55057 L
.6064 .55217 L
.60675 .55247 L
.60782 .55378 L
.60835 .55464 L
.60888 .55538 L
.60996 .5568 L
.61004 .55699 L
.61131 .55859 L
.61156 .55869 L
.61289 .5602 L
.61317 .56089 L
.61386 .5618 L
.61477 .56309 L
.61497 .56341 L
.61621 .56501 L
.61638 .56523 L
.61742 .56662 L
.61799 .56711 L
.61886 .56822 L
.61959 .56938 L
.6199 .56983 L
.62109 .57143 L
.6212 .57157 L
.62229 .57304 L
.6228 .5737 L
.62389 .57464 L
.62441 .57569 L
.62481 .57625 L
.62594 .57785 L
.62601 .57795 L
.62712 .57946 L
.62762 .58011 L
.62831 .58106 L
.62922 .58205 L
.62967 .58267 L
.63071 .58428 L
.63083 .58442 L
.63187 .58588 L
.63243 .58664 L
.63303 .58749 L
.63404 .58885 L
.63436 .58909 L
.63533 .5907 L
.63564 .59113 L
.63642 .5923 L
.63725 .59349 L
.63751 .59391 L
.63851 .59551 L
.63885 .59607 L
.6393 .59712 L
.63885 .59761 L
.63826 .59712 L
.63725 .59624 L
.63652 .59551 L
.63564 .59492 L
.63496 .59391 L
.63404 .59294 L
.63348 .5923 L
.63243 .59109 L
.63199 .5907 L
.63083 .58923 L
.6307 .58909 L
.62929 .58749 L
.62922 .58741 L
.62794 .58588 L
.62762 .58548 L
.62644 .58428 L
.62601 .58349 L
.62533 .58267 L
.62441 .58145 L
.62416 .58106 L
.6228 .57962 L
.62267 .57946 L
.62123 .57785 L
.6212 .5776 L
.62008 .57625 L
.61959 .57552 L
.61896 .57464 L
.61799 .57338 L
.61791 .57304 L
.61638 .57156 L
.61628 .57143 L
.61496 .56983 L
.61477 .56948 L
.61382 .56822 L
.61317 .56733 L
.61276 .56662 L
.61156 .56516 L
.61124 .56501 L
.60997 .56341 L
.60996 .56334 L
.60875 .5618 L
.60835 .56121 L
.60766 .5602 L
.60675 .55903 L
.60667 .55859 L
.60514 .55714 L
.60502 .55699 L
.60373 .55538 L
.60354 .55504 L
.6026 .55378 L
.60193 .55287 L
.60155 .55217 L
.60033 .55072 L
.60005 .55057 L
.59876 .54896 L
.59872 .54882 L
.59757 .54735 L
.59712 .54668 L
.59649 .54575 L
.59551 .54452 L
.59548 .54414 L
.59391 .54257 L
.59388 .54254 L
.59257 .54093 L
.5923 .54047 L
.59146 .53933 L
.5907 .53832 L
.5904 .53772 L
.58909 .53622 L
.58894 .53612 L
.58757 .53451 L
.58749 .53423 L
.58644 .53291 L
.58588 .5321 L
.58536 .5313 L
.58428 .52997 L
.584 .5297 L
.58278 .52809 L
.58267 .52797 L
.58143 .52649 L
.58106 .52587 L
.58034 .52488 L
.57946 .52373 L
.57925 .52328 L
.57785 .52168 L
.57784 .52167 L
.5764 .52007 L
.57625 .51963 L
.57533 .51846 L
.57464 .51749 L
.57423 .51686 L
.57304 .51539 L
.57291 .51525 L
.57169 .51364 L
.57143 .51338 L
.5703 .51204 L
.56983 .51125 L
.56923 .51043 L
.56822 .50912 L
.5681 .50883 L
.56676 .50722 L
.56662 .50711 L
.56525 .50562 L
.56501 .50502 L
.56422 .50401 L
.56341 .50287 L
.56312 .50241 L
.56183 .5008 L
.5618 .5008 L
.56061 .4992 L
.5602 .49879 L
.5592 .49759 L
.55859 .49662 L
.55813 .49599 L
.55699 .49449 L
.55694 .49438 L
.55569 .49278 L
.55538 .49256 L
.55414 .49117 L
.55378 .49039 L
.55314 .48957 L
.55217 .48822 L
.55201 .48796 L
.55077 .48636 L
.55057 .4861 L
.54955 .48475 L
.54896 .48417 L
.54812 .48314 L
.54735 .48196 L
.54706 .48154 L
.54585 .47993 L
.54575 .47981 L
.54464 .47833 L
.54414 .47799 L
.54307 .47672 L
.54254 .47571 L
.54209 .47512 L
.54094 .47351 L
.54093 .47351 L
.53973 .47191 L
.53933 .47139 L
.53852 .4703 L
.53772 .46948 L
.53711 .4687 L
.53612 .46721 L
.53604 .46709 L
.53485 .46549 L
.53451 .46506 L
.53364 .46388 L
.53291 .46328 L
.53212 .46228 L
.5313 .46089 L
.53114 .46067 L
.52998 .45907 L
.5297 .4587 L
.52879 .45746 L
.52809 .45655 L
.52758 .45586 L
.52649 .45451 L
.52629 .45425 L
.52518 .45265 L
.52488 .45226 L
.52401 .45104 L
.52328 .45007 L
.52283 .44943 L
.52167 .44789 L
.52159 .44783 L
.5205 .44622 L
.52007 .44563 L
.51939 .44462 L
.51846 .44334 L
.51825 .44301 L
.51719 .44141 L
.51686 .44091 L
.51626 .4398 L
F
1 .37 0 r
.51686 .45903 m
.51689 .45907 L
.51686 .46023 L
.51626 .45907 L
F
1 .56 0 r
.51686 .50787 m
.51796 .50883 L
.51846 .50928 L
.51954 .51043 L
.52007 .51099 L
.52096 .51204 L
.52167 .51286 L
.52231 .51364 L
.52328 .51468 L
.52391 .51525 L
.52484 .51686 L
.52488 .51691 L
.52601 .51846 L
.52649 .51911 L
.52715 .52007 L
.52809 .52149 L
.52821 .52167 L
.52896 .52328 L
.52809 .52367 L
.52763 .52328 L
.52649 .52225 L
.52596 .52167 L
.52488 .52079 L
.52452 .52007 L
.52328 .51865 L
.52305 .51846 L
.52189 .51686 L
.52167 .51658 L
.52067 .51525 L
.52007 .51447 L
.51946 .51364 L
.51846 .51229 L
.51829 .51204 L
.51722 .51043 L
.51686 .50987 L
.51629 .50883 L
F
1 .55 0 r
.51686 .50797 m
.51788 .50883 L
.51846 .50934 L
.51949 .51043 L
.52007 .51104 L
.52092 .51204 L
.52167 .51291 L
.52227 .51364 L
.52328 .51474 L
.52385 .51525 L
.5248 .51686 L
.52488 .51696 L
.52598 .51846 L
.52649 .51916 L
.52711 .52007 L
.52809 .52156 L
.52816 .52167 L
.52886 .52328 L
.52809 .52359 L
.52771 .52328 L
.52649 .52219 L
.52601 .52167 L
.52488 .52073 L
.52455 .52007 L
.52328 .5186 L
.52311 .51846 L
.52193 .51686 L
.52167 .51654 L
.5207 .51525 L
.52007 .51443 L
.51949 .51364 L
.51846 .51224 L
.51832 .51204 L
.51727 .51043 L
.51686 .50978 L
.51636 .50883 L
F
1 .88 .024 r
.51686 .44578 m
.51734 .44622 L
.51846 .44726 L
.519 .44783 L
.52007 .44866 L
.52052 .44943 L
.52167 .45067 L
.5223 .45104 L
.52328 .45254 L
.52339 .45265 L
.52475 .45425 L
.52488 .4544 L
.52611 .45586 L
.52649 .45621 L
.52746 .45746 L
.52809 .45822 L
.52896 .45907 L
.5297 .46022 L
.53008 .46067 L
.5313 .46218 L
.53135 .46228 L
.53271 .46388 L
.53291 .4641 L
.53431 .46549 L
.53451 .46614 L
.53532 .46709 L
.53612 .4682 L
.53646 .4687 L
.53772 .47021 L
.53785 .4703 L
.53912 .47191 L
.53933 .47217 L
.54049 .47351 L
.54093 .47425 L
.54158 .47512 L
.54254 .47635 L
.54271 .47672 L
.54414 .47832 L
.54416 .47833 L
.54559 .47993 L
.54575 .48037 L
.54668 .48154 L
.54735 .48248 L
.54778 .48314 L
.54896 .48457 L
.54917 .48475 L
.55041 .48636 L
.55057 .48654 L
.55175 .48796 L
.55217 .48865 L
.55284 .48957 L
.55378 .49077 L
.55395 .49117 L
.55538 .49277 L
.55538 .49278 L
.5568 .49438 L
.55699 .49484 L
.55788 .49599 L
.55859 .49697 L
.55898 .49759 L
.5602 .49906 L
.56034 .4992 L
.56157 .5008 L
.5618 .50106 L
.56292 .50241 L
.56341 .50318 L
.564 .50401 L
.56501 .5053 L
.56513 .50562 L
.56651 .50722 L
.56662 .50732 L
.56797 .50883 L
.56822 .50941 L
.56902 .51043 L
.56983 .51155 L
.57012 .51204 L
.57143 .51363 L
.57144 .51364 L
.57267 .51525 L
.57304 .51565 L
.57404 .51686 L
.57464 .5178 L
.57511 .51846 L
.57625 .51992 L
.5763 .52007 L
.57758 .52167 L
.57785 .52189 L
.57909 .52328 L
.57946 .52405 L
.5801 .52488 L
.58106 .52621 L
.58123 .52649 L
.58249 .52809 L
.58267 .52814 L
.58371 .5297 L
.58428 .5303 L
.58509 .5313 L
.58588 .5325 L
.58616 .53291 L
.58738 .53451 L
.58749 .53465 L
.58859 .53612 L
.58909 .53653 L
.59011 .53772 L
.5907 .53881 L
.59109 .53933 L
.59225 .54093 L
.5923 .541 L
.59344 .54254 L
.59391 .54315 L
.59522 .54414 L
.59551 .54514 L
.59599 .54575 L
.59707 .54735 L
.59712 .54741 L
.59824 .54896 L
.59872 .54959 L
.59943 .55057 L
.60033 .55152 L
.60083 .55217 L
.60182 .55378 L
.60193 .55393 L
.60296 .55538 L
.60354 .55615 L
.60412 .55699 L
.60514 .55838 L
.60547 .55859 L
.6064 .5602 L
.60675 .56069 L
.60747 .5618 L
.60835 .56308 L
.60856 .56341 L
.6095 .56501 L
.60835 .56529 L
.60807 .56501 L
.60675 .56379 L
.60651 .56341 L
.60514 .56194 L
.60493 .5618 L
.60361 .5602 L
.60354 .56011 L
.60222 .55859 L
.60193 .55827 L
.60085 .55699 L
.60033 .55646 L
.59949 .55538 L
.59872 .55445 L
.59804 .55378 L
.59712 .55247 L
.59687 .55217 L
.59553 .55057 L
.59551 .55055 L
.59422 .54896 L
.59391 .54859 L
.59268 .54735 L
.5923 .54655 L
.59163 .54575 L
.5907 .5445 L
.59047 .54414 L
.58909 .54254 L
.58909 .54254 L
.58781 .54093 L
.58749 .54052 L
.58646 .53933 L
.58588 .53844 L
.58536 .53772 L
.58428 .53636 L
.58419 .53612 L
.58277 .53451 L
.58267 .5344 L
.58134 .53291 L
.58106 .53232 L
.58026 .5313 L
.57946 .53021 L
.57915 .5297 L
.57785 .52816 L
.57776 .52809 L
.57625 .52649 L
.57625 .52616 L
.57519 .52488 L
.57464 .52405 L
.5741 .52328 L
.57304 .52194 L
.57296 .52167 L
.57154 .52007 L
.57143 .51995 L
.57013 .51846 L
.56983 .51785 L
.56906 .51686 L
.56822 .51573 L
.56795 .51525 L
.56662 .51367 L
.56658 .51364 L
.56505 .51204 L
.56501 .51164 L
.56402 .51043 L
.56341 .50951 L
.56293 .50883 L
.5618 .5074 L
.56176 .50722 L
.56041 .50562 L
.5602 .5054 L
.55897 .50401 L
.55859 .50328 L
.55792 .50241 L
.55699 .50115 L
.55679 .5008 L
.55548 .4992 L
.55538 .49913 L
.55388 .49759 L
.55378 .49705 L
.55291 .49599 L
.55217 .4949 L
.55182 .49438 L
.55057 .49279 L
.55056 .49278 L
.54934 .49117 L
.54896 .49082 L
.54787 .48957 L
.54735 .48864 L
.54684 .48796 L
.54575 .48649 L
.54568 .48636 L
.54443 .48475 L
.54414 .48459 L
.54276 .48314 L
.54254 .48239 L
.54186 .48154 L
.54093 .4802 L
.54076 .47993 L
.53954 .47833 L
.53933 .47806 L
.53833 .47672 L
.53772 .47615 L
.53686 .47512 L
.53612 .47389 L
.53584 .47351 L
.53467 .47191 L
.53451 .47171 L
.53347 .4703 L
.53291 .46995 L
.53181 .4687 L
.5313 .46755 L
.53095 .46709 L
.52983 .46549 L
.5297 .46531 L
.52865 .46388 L
.52809 .46315 L
.52746 .46228 L
.52649 .46115 L
.52611 .46067 L
.52507 .45907 L
.52488 .45882 L
.52391 .45746 L
.52328 .45661 L
.52274 .45586 L
.52167 .45441 L
.52145 .45425 L
.52045 .45265 L
.52007 .45212 L
.51935 .45104 L
.51846 .44978 L
.51824 .44943 L
.51722 .44783 L
.51686 .44726 L
.51638 .44622 L
F
0 .66 1 r
.51686 .45249 m
.51702 .45265 L
.51846 .45406 L
.51864 .45425 L
.52007 .45577 L
.52011 .45586 L
.52151 .45746 L
.52167 .45763 L
.52289 .45907 L
.52328 .4595 L
.52425 .46067 L
.52488 .46141 L
.52559 .46228 L
.52649 .46322 L
.52744 .46388 L
.52809 .46529 L
.52829 .46549 L
.52954 .46709 L
.5297 .46728 L
.53084 .4687 L
.5313 .46901 L
.53213 .4703 L
.53291 .4712 L
.53365 .47191 L
.53451 .47328 L
.53471 .47351 L
.53596 .47512 L
.53612 .47531 L
.53723 .47672 L
.53772 .4772 L
.53903 .47833 L
.53933 .47934 L
.53986 .47993 L
.54093 .48143 L
.54101 .48154 L
.54227 .48314 L
.54254 .48327 L
.54352 .48475 L
.54414 .48545 L
.545 .48636 L
.54575 .48759 L
.54604 .48796 L
.54726 .48957 L
.54735 .48968 L
.5485 .49117 L
.54896 .49158 L
.55022 .49278 L
.55057 .49378 L
.55108 .49438 L
.55217 .49592 L
.55222 .49599 L
.55344 .49759 L
.55378 .49769 L
.55467 .4992 L
.55538 .49997 L
.55613 .5008 L
.55699 .50218 L
.55716 .50241 L
.55836 .50401 L
.55859 .50431 L
.55958 .50562 L
.5602 .50615 L
.56125 .50722 L
.5618 .50846 L
.5621 .50883 L
.56325 .51043 L
.56341 .51064 L
.56445 .51204 L
.56501 .51277 L
.56566 .51364 L
.56662 .51478 L
.56702 .51525 L
.56808 .51686 L
.56822 .51704 L
.56926 .51846 L
.56983 .5192 L
.57046 .52007 L
.57143 .52116 L
.57189 .52167 L
.57284 .52328 L
.57304 .52353 L
.57399 .52488 L
.57464 .52575 L
.57516 .52649 L
.57625 .52796 L
.57634 .52809 L
.57745 .5297 L
.57785 .53025 L
.57854 .5313 L
.57946 .53261 L
.57965 .53291 L
.57946 .53451 L
.57796 .53291 L
.57785 .5328 L
.57654 .5313 L
.57625 .531 L
.57514 .5297 L
.57464 .52914 L
.57376 .52809 L
.57304 .52771 L
.57241 .52649 L
.57143 .52541 L
.57073 .52488 L
.56983 .52338 L
.56973 .52328 L
.56844 .52167 L
.56822 .52141 L
.56714 .52007 L
.56662 .51963 L
.56584 .51846 L
.56501 .51748 L
.56439 .51686 L
.56341 .51542 L
.56327 .51525 L
.562 .51364 L
.5618 .5134 L
.56073 .51204 L
.5602 .51148 L
.55906 .51043 L
.55859 .50936 L
.55814 .50883 L
.55699 .50729 L
.55694 .50722 L
.55569 .50562 L
.55538 .50541 L
.55443 .50401 L
.55378 .50325 L
.55301 .50241 L
.55217 .50112 L
.55192 .5008 L
.55068 .4992 L
.55057 .49905 L
.54945 .49759 L
.54896 .49712 L
.54784 .49599 L
.54735 .49494 L
.5469 .49438 L
.54575 .49282 L
.54572 .49278 L
.54449 .49117 L
.54414 .49098 L
.54326 .48957 L
.54254 .48874 L
.54186 .48796 L
.54093 .48656 L
.54079 .48636 L
.53957 .48475 L
.53933 .48444 L
.53835 .48314 L
.53772 .48254 L
.53678 .48154 L
.53612 .48027 L
.53585 .47993 L
.53469 .47833 L
.53451 .47811 L
.53348 .47672 L
.53291 .47639 L
.53227 .47512 L
.5313 .47395 L
.53094 .47351 L
.52985 .47191 L
.5297 .47172 L
.52866 .4703 L
.52809 .46956 L
.52746 .4687 L
.52649 .46756 L
.52608 .46709 L
.52508 .46549 L
.52488 .46523 L
.52392 .46388 L
.52328 .46302 L
.52275 .46228 L
.52167 .46082 L
.52157 .46067 L
.52046 .45907 L
.52007 .45854 L
.51935 .45746 L
.51846 .45621 L
.51823 .45586 L
.51722 .45425 L
.51686 .45369 L
.51641 .45265 L
F
.156 .94 1 r
.51686 .50202 m
.51821 .50241 L
.51846 .50253 L
.52007 .50369 L
.52041 .50401 L
.52167 .50528 L
.52187 .50562 L
.52328 .50709 L
.52339 .50722 L
.52473 .50883 L
.52488 .50904 L
.52608 .51043 L
.52649 .51109 L
.52721 .51204 L
.52809 .5132 L
.52828 .51364 L
.5297 .51522 L
.52984 .51525 L
.53116 .51686 L
.5313 .51714 L
.53228 .51846 L
.53291 .51927 L
.53334 .52007 L
.53451 .52141 L
.53474 .52167 L
.53592 .52328 L
.53612 .52355 L
.53716 .52488 L
.53772 .52585 L
.5381 .52649 L
.53894 .52809 L
.53772 .52912 L
.53612 .52858 L
.53554 .52809 L
.53451 .52715 L
.53366 .52649 L
.53291 .52529 L
.53253 .52488 L
.5313 .5233 L
.53129 .52328 L
.53003 .52167 L
.5297 .52136 L
.52825 .52007 L
.52809 .51926 L
.52738 .51846 L
.52649 .51712 L
.52629 .51686 L
.52507 .51525 L
.52488 .51501 L
.52386 .51364 L
.52328 .51325 L
.52234 .51204 L
.52167 .51089 L
.52137 .51043 L
.52023 .50883 L
.52007 .50861 L
.51908 .50722 L
.51846 .50636 L
.51746 .50562 L
.5169 .50401 L
.51686 .50393 L
.51641 .50241 L
F
1 .54 0 r
.51686 .50807 m
.5178 .50883 L
.51846 .50941 L
.51944 .51043 L
.52007 .51109 L
.52088 .51204 L
.52167 .51295 L
.52224 .51364 L
.52328 .51479 L
.52379 .51525 L
.52477 .51686 L
.52488 .517 L
.52594 .51846 L
.52649 .51922 L
.52707 .52007 L
.52809 .52164 L
.52811 .52167 L
.52875 .52328 L
.52809 .5235 L
.5278 .52328 L
.52649 .52214 L
.52605 .52167 L
.52488 .52067 L
.52459 .52007 L
.52328 .51855 L
.52317 .51846 L
.52196 .51686 L
.52167 .5165 L
.52073 .51525 L
.52007 .51439 L
.51952 .51364 L
.51846 .5122 L
.51835 .51204 L
.51732 .51043 L
.51686 .50969 L
.51643 .50883 L
F
1 .53 0 r
.51686 .50818 m
.51771 .50883 L
.51846 .50947 L
.51938 .51043 L
.52007 .51114 L
.52084 .51204 L
.52167 .513 L
.5222 .51364 L
.52328 .51485 L
.52373 .51525 L
.52473 .51686 L
.52488 .51705 L
.5259 .51846 L
.52649 .51927 L
.52703 .52007 L
.52805 .52167 L
.52809 .52174 L
.52861 .52328 L
.52809 .52341 L
.52791 .52328 L
.52649 .52208 L
.5261 .52167 L
.52488 .5206 L
.52462 .52007 L
.52328 .5185 L
.52323 .51846 L
.52199 .51686 L
.52167 .51646 L
.52076 .51525 L
.52007 .51435 L
.51956 .51364 L
.51846 .51215 L
.51838 .51204 L
.51737 .51043 L
.51686 .50959 L
.5165 .50883 L
F
0 .2 1 r
.51686 .51463 m
.51729 .51525 L
.51686 .51563 L
.51657 .51525 L
F
1 .52 0 r
.51686 .5083 m
.5176 .50883 L
.51846 .50953 L
.51933 .51043 L
.52007 .5112 L
.5208 .51204 L
.52167 .51304 L
.52216 .51364 L
.52328 .51491 L
.52366 .51525 L
.52469 .51686 L
.52488 .5171 L
.52587 .51846 L
.52649 .51933 L
.52699 .52007 L
.52799 .52167 L
.52809 .52187 L
.5284 .52328 L
.52809 .5233 L
.52805 .52328 L
.52649 .52203 L
.52615 .52167 L
.52488 .52053 L
.52466 .52007 L
.52329 .51846 L
.52328 .51845 L
.52203 .51686 L
.52167 .51642 L
.52079 .51525 L
.52007 .51431 L
.51959 .51364 L
.51846 .5121 L
.51842 .51204 L
.51742 .51043 L
.51686 .50947 L
.51658 .50883 L
F
0 .19 1 r
.51686 .51474 m
.5172 .51525 L
.51686 .51552 L
.51665 .51525 L
F
1 .51 0 r
.51686 .50845 m
.51748 .50883 L
.51846 .5096 L
.51927 .51043 L
.52007 .51125 L
.52075 .51204 L
.52167 .51309 L
.52213 .51364 L
.52328 .51497 L
.5236 .51525 L
.52466 .51686 L
.52488 .51715 L
.52583 .51846 L
.52649 .51939 L
.52695 .52007 L
.52792 .52167 L
.52649 .52197 L
.52621 .52167 L
.52488 .52045 L
.5247 .52007 L
.52333 .51846 L
.52328 .5184 L
.52206 .51686 L
.52167 .51638 L
.52083 .51525 L
.52007 .51427 L
.51962 .51364 L
.51846 .51205 L
.51845 .51204 L
.51747 .51043 L
.51686 .50933 L
.51667 .50883 L
F
0 .18 1 r
.51686 .5149 m
.51707 .51525 L
.51686 .5154 L
.51675 .51525 L
F
1 .5 0 r
.51686 .50865 m
.51731 .50883 L
.51846 .50967 L
.51921 .51043 L
.52007 .5113 L
.52071 .51204 L
.52167 .51313 L
.52209 .51364 L
.52328 .51503 L
.52352 .51525 L
.52462 .51686 L
.52488 .5172 L
.52579 .51846 L
.52649 .51945 L
.5269 .52007 L
.52785 .52167 L
.52649 .52191 L
.52626 .52167 L
.52488 .52037 L
.52474 .52007 L
.52337 .51846 L
.52328 .51836 L
.52209 .51686 L
.52167 .51634 L
.52086 .51525 L
.52007 .51422 L
.51965 .51364 L
.5185 .51204 L
.51846 .51199 L
.51753 .51043 L
.51686 .50912 L
.51678 .50883 L
F
1 .98 .538 r
.51686 .53122 m
.51846 .53058 L
.52007 .53071 L
.52094 .5313 L
.52167 .53198 L
.52291 .53291 L
.52328 .53393 L
.52385 .53451 L
.52488 .5361 L
.52499 .53612 L
.52621 .53772 L
.52649 .53784 L
.52744 .53933 L
.52809 .53998 L
.52894 .54093 L
.5297 .54219 L
.52996 .54254 L
.53114 .54414 L
.5313 .54435 L
.53235 .54575 L
.53291 .54647 L
.53402 .54735 L
.53451 .54837 L
.5349 .54896 L
.536 .55057 L
.53612 .55072 L
.53717 .55217 L
.53772 .55292 L
.53833 .55378 L
.53933 .5552 L
.53953 .55538 L
.54036 .55699 L
.53933 .55841 L
.53772 .55731 L
.53663 .55699 L
.53612 .55592 L
.53535 .55538 L
.53451 .55415 L
.53404 .55378 L
.53291 .55258 L
.53282 .55217 L
.5313 .55062 L
.53126 .55057 L
.52997 .54896 L
.5297 .54854 L
.52883 .54735 L
.52809 .54634 L
.52785 .54575 L
.52649 .54456 L
.52615 .54414 L
.52492 .54254 L
.52488 .54247 L
.52376 .54093 L
.52328 .54032 L
.52276 .53933 L
.52167 .53816 L
.5212 .53772 L
.52007 .53614 L
.52001 .53612 L
.51884 .53451 L
.51846 .534 L
.51786 .53291 L
.51686 .53134 L
.51685 .5313 L
F
.114 .93 1 r
.51846 .50273 m
.52007 .50388 L
.52022 .50401 L
.52167 .50542 L
.52179 .50562 L
.52328 .50721 L
.52329 .50722 L
.52465 .50883 L
.52488 .50914 L
.52603 .51043 L
.52649 .51117 L
.52716 .51204 L
.52809 .51326 L
.52825 .51364 L
.5297 .51523 L
.52978 .51525 L
.53114 .51686 L
.5313 .5172 L
.53224 .51846 L
.53291 .51933 L
.5333 .52007 L
.53451 .52147 L
.53469 .52167 L
.53586 .52328 L
.53612 .52364 L
.53709 .52488 L
.53772 .52599 L
.53801 .52649 L
.53875 .52809 L
.53772 .52895 L
.53612 .52843 L
.53569 .52809 L
.53451 .52705 L
.53375 .52649 L
.53291 .52522 L
.53259 .52488 L
.53133 .52328 L
.5313 .52327 L
.53007 .52167 L
.5297 .52132 L
.52827 .52007 L
.52809 .51922 L
.52741 .51846 L
.52649 .51708 L
.52632 .51686 L
.5251 .51525 L
.52488 .51497 L
.52389 .51364 L
.52328 .51321 L
.52238 .51204 L
.52167 .51083 L
.52141 .51043 L
.52028 .50883 L
.52007 .50854 L
.51914 .50722 L
.51846 .50626 L
.51759 .50562 L
.51705 .50401 L
F
.084 .92 1 r
.51846 .50293 m
.52001 .50401 L
.52007 .50405 L
.52167 .50556 L
.5217 .50562 L
.52319 .50722 L
.52328 .50732 L
.52458 .50883 L
.52488 .50923 L
.52597 .51043 L
.52649 .51125 L
.5271 .51204 L
.52809 .51332 L
.52823 .51364 L
.5297 .51524 L
.52973 .51525 L
.53111 .51686 L
.5313 .51726 L
.53219 .51846 L
.53291 .51939 L
.53326 .52007 L
.53451 .52154 L
.53463 .52167 L
.5358 .52328 L
.53612 .52374 L
.53703 .52488 L
.53772 .52613 L
.53792 .52649 L
.53855 .52809 L
.53772 .52877 L
.53612 .52829 L
.53585 .52809 L
.53451 .52695 L
.53385 .52649 L
.53291 .52515 L
.53265 .52488 L
.53137 .52328 L
.5313 .52325 L
.53011 .52167 L
.5297 .52129 L
.5283 .52007 L
.52809 .51917 L
.52745 .51846 L
.52649 .51704 L
.52635 .51686 L
.52514 .51525 L
.52488 .51492 L
.52393 .51364 L
.52328 .51316 L
.52242 .51204 L
.52167 .51076 L
.52146 .51043 L
.52033 .50883 L
.52007 .50847 L
.5192 .50722 L
.51846 .50616 L
.51772 .50562 L
.5172 .50401 L
F
0 .65 1 r
.51846 .45417 m
.51853 .45425 L
.52003 .45586 L
.52007 .45589 L
.52144 .45746 L
.52167 .45771 L
.52283 .45907 L
.52328 .45957 L
.5242 .46067 L
.52488 .46146 L
.52555 .46228 L
.52649 .46328 L
.52737 .46388 L
.52809 .46533 L
.52825 .46549 L
.52951 .46709 L
.5297 .46732 L
.5308 .4687 L
.5313 .46904 L
.5321 .4703 L
.53291 .47123 L
.53361 .47191 L
.53451 .47331 L
.53468 .47351 L
.53594 .47512 L
.53612 .47534 L
.5372 .47672 L
.53772 .47722 L
.539 .47833 L
.53933 .47937 L
.53983 .47993 L
.54093 .48146 L
.54099 .48154 L
.54224 .48314 L
.54254 .48328 L
.5435 .48475 L
.54414 .48547 L
.54498 .48636 L
.54575 .48762 L
.54602 .48796 L
.54724 .48957 L
.54735 .48971 L
.54848 .49117 L
.54896 .4916 L
.5502 .49278 L
.55057 .4938 L
.55106 .49438 L
.55217 .49594 L
.5522 .49599 L
.55342 .49759 L
.55378 .4977 L
.55465 .4992 L
.55538 .5 L
.55611 .5008 L
.55699 .5022 L
.55714 .50241 L
.55834 .50401 L
.55859 .50433 L
.55956 .50562 L
.5602 .50618 L
.56122 .50722 L
.5618 .50849 L
.56208 .50883 L
.56322 .51043 L
.56341 .51067 L
.56442 .51204 L
.56501 .5128 L
.56564 .51364 L
.56662 .51482 L
.56699 .51525 L
.56806 .51686 L
.56822 .51707 L
.56924 .51846 L
.56983 .51923 L
.57043 .52007 L
.57143 .52122 L
.57184 .52167 L
.57281 .52328 L
.57304 .52358 L
.57396 .52488 L
.57464 .5258 L
.57512 .52649 L
.57625 .52801 L
.5763 .52809 L
.57739 .5297 L
.57785 .53034 L
.57847 .5313 L
.57946 .53272 L
.57957 .53291 L
.57946 .53436 L
.57807 .53291 L
.57785 .5327 L
.57661 .5313 L
.57625 .53092 L
.5752 .5297 L
.57464 .52907 L
.57382 .52809 L
.57304 .52765 L
.57245 .52649 L
.57143 .52535 L
.5708 .52488 L
.56983 .52333 L
.56978 .52328 L
.56848 .52167 L
.56822 .52136 L
.56718 .52007 L
.56662 .51959 L
.56587 .51846 L
.56501 .51744 L
.56442 .51686 L
.56341 .51538 L
.5633 .51525 L
.56203 .51364 L
.5618 .51336 L
.56076 .51204 L
.5602 .51146 L
.55909 .51043 L
.55859 .50933 L
.55816 .50883 L
.55699 .50726 L
.55696 .50722 L
.55571 .50562 L
.55538 .5054 L
.55445 .50401 L
.55378 .50323 L
.55303 .50241 L
.55217 .5011 L
.55194 .5008 L
.5507 .4992 L
.55057 .49902 L
.54947 .49759 L
.54896 .4971 L
.54785 .49599 L
.54735 .49491 L
.54692 .49438 L
.54575 .49279 L
.54574 .49278 L
.54451 .49117 L
.54414 .49097 L
.54328 .48957 L
.54254 .48871 L
.54188 .48796 L
.54093 .48653 L
.5408 .48636 L
.53959 .48475 L
.53933 .48441 L
.53837 .48314 L
.53772 .48251 L
.53681 .48154 L
.53612 .48024 L
.53587 .47993 L
.53471 .47833 L
.53451 .47808 L
.53351 .47672 L
.53291 .47636 L
.53229 .47512 L
.5313 .47391 L
.53097 .47351 L
.52987 .47191 L
.5297 .47168 L
.52869 .4703 L
.52809 .46952 L
.52749 .4687 L
.52649 .46751 L
.52613 .46709 L
.52511 .46549 L
.52488 .46518 L
.52396 .46388 L
.52328 .46297 L
.52279 .46228 L
.52167 .46076 L
.52161 .46067 L
.52051 .45907 L
.52007 .45846 L
.51941 .45746 L
.51846 .45611 L
.5183 .45586 L
.51735 .45425 L
F
.061 .91 1 r
.51846 .50314 m
.5198 .50401 L
.52007 .5042 L
.52159 .50562 L
.52167 .50568 L
.5231 .50722 L
.52328 .50742 L
.5245 .50883 L
.52488 .50932 L
.52592 .51043 L
.52649 .51133 L
.52705 .51204 L
.52809 .51337 L
.52821 .51364 L
.52968 .51525 L
.5297 .51527 L
.53108 .51686 L
.5313 .51732 L
.53215 .51846 L
.53291 .51946 L
.53323 .52007 L
.53451 .5216 L
.53457 .52167 L
.53574 .52328 L
.53612 .52383 L
.53696 .52488 L
.53772 .52629 L
.53783 .52649 L
.53834 .52809 L
.53772 .52858 L
.53612 .52816 L
.53602 .52809 L
.53451 .52685 L
.53397 .52649 L
.53291 .52508 L
.53271 .52488 L
.53142 .52328 L
.5313 .52323 L
.53015 .52167 L
.5297 .52125 L
.52832 .52007 L
.52809 .51913 L
.52748 .51846 L
.52649 .517 L
.52638 .51686 L
.52517 .51525 L
.52488 .51488 L
.52396 .51364 L
.52328 .51311 L
.52246 .51204 L
.52167 .51069 L
.5215 .51043 L
.52038 .50883 L
.52007 .5084 L
.51926 .50722 L
.51846 .50605 L
.51788 .50562 L
.51737 .50401 L
F
1 .87 .018 r
.51846 .44758 m
.51872 .44783 L
.52007 .44899 L
.52031 .44943 L
.52167 .45088 L
.52196 .45104 L
.52323 .45265 L
.52328 .4527 L
.52462 .45425 L
.52488 .45454 L
.526 .45586 L
.52649 .45631 L
.52737 .45746 L
.52809 .45832 L
.52887 .45907 L
.5297 .46031 L
.53001 .46067 L
.5313 .46224 L
.53132 .46228 L
.53265 .46388 L
.53291 .46418 L
.53428 .46549 L
.53451 .46621 L
.53527 .46709 L
.53612 .46826 L
.53642 .4687 L
.53772 .47025 L
.5378 .4703 L
.53907 .47191 L
.53933 .47223 L
.54045 .47351 L
.54093 .4743 L
.54155 .47512 L
.54254 .47639 L
.54269 .47672 L
.54413 .47833 L
.54414 .47835 L
.54558 .47993 L
.54575 .48041 L
.54665 .48154 L
.54735 .48252 L
.54776 .48314 L
.54896 .48459 L
.54915 .48475 L
.55039 .48636 L
.55057 .48657 L
.55173 .48796 L
.55217 .48868 L
.55282 .48957 L
.55378 .49079 L
.55394 .49117 L
.55536 .49278 L
.55538 .4928 L
.55679 .49438 L
.55699 .49487 L
.55787 .49599 L
.55859 .49699 L
.55896 .49759 L
.5602 .49908 L
.56032 .4992 L
.56155 .5008 L
.5618 .50109 L
.5629 .50241 L
.56341 .50321 L
.56399 .50401 L
.56501 .50533 L
.56512 .50562 L
.56649 .50722 L
.56662 .50734 L
.56796 .50883 L
.56822 .50944 L
.569 .51043 L
.56983 .51157 L
.57011 .51204 L
.57143 .51364 L
.57143 .51365 L
.57265 .51525 L
.57304 .51567 L
.57402 .51686 L
.57464 .51782 L
.57509 .51846 L
.57625 .51995 L
.57629 .52007 L
.57756 .52167 L
.57785 .52191 L
.57907 .52328 L
.57946 .52408 L
.58008 .52488 L
.58106 .52624 L
.58121 .52649 L
.58247 .52809 L
.58267 .52815 L
.58368 .5297 L
.58428 .53033 L
.58507 .5313 L
.58588 .53253 L
.58614 .53291 L
.58735 .53451 L
.58749 .53468 L
.58856 .53612 L
.58909 .53656 L
.59008 .53772 L
.5907 .53885 L
.59105 .53933 L
.59221 .54093 L
.5923 .54105 L
.5934 .54254 L
.59391 .5432 L
.59518 .54414 L
.59551 .5452 L
.59594 .54575 L
.59702 .54735 L
.59712 .54747 L
.5982 .54896 L
.59872 .54965 L
.59938 .55057 L
.60033 .55163 L
.60075 .55217 L
.60175 .55378 L
.60193 .55402 L
.60289 .55538 L
.60354 .55626 L
.60404 .55699 L
.60514 .55851 L
.60527 .55859 L
.60627 .5602 L
.60675 .56088 L
.60732 .5618 L
.60835 .56336 L
.60838 .56341 L
.60835 .56491 L
.60675 .56341 L
.60675 .56341 L
.60522 .5618 L
.60514 .56172 L
.60377 .5602 L
.60354 .55995 L
.60235 .55859 L
.60193 .55812 L
.60096 .55699 L
.60033 .55634 L
.59959 .55538 L
.59872 .55435 L
.59813 .55378 L
.59712 .55238 L
.59694 .55217 L
.5956 .55057 L
.59551 .5505 L
.59429 .54896 L
.59391 .54851 L
.59272 .54735 L
.5923 .54647 L
.59169 .54575 L
.5907 .54444 L
.5905 .54414 L
.58913 .54254 L
.58909 .5425 L
.58786 .54093 L
.58749 .54047 L
.5865 .53933 L
.58588 .53839 L
.58539 .53772 L
.58428 .53632 L
.5842 .53612 L
.5828 .53451 L
.58267 .53436 L
.58136 .53291 L
.58106 .53228 L
.58029 .5313 L
.57946 .53018 L
.57917 .5297 L
.57785 .52814 L
.57778 .52809 L
.57625 .52649 L
.57625 .52613 L
.57521 .52488 L
.57464 .52402 L
.57412 .52328 L
.57304 .52192 L
.57297 .52167 L
.57156 .52007 L
.57143 .51992 L
.57014 .51846 L
.56983 .51783 L
.56907 .51686 L
.56822 .51571 L
.56796 .51525 L
.56662 .51366 L
.5666 .51364 L
.56505 .51204 L
.56501 .51162 L
.56404 .51043 L
.56341 .50949 L
.56295 .50883 L
.5618 .50738 L
.56176 .50722 L
.56043 .50562 L
.5602 .50538 L
.55899 .50401 L
.55859 .50326 L
.55794 .50241 L
.55699 .50113 L
.55681 .5008 L
.5555 .4992 L
.55538 .49912 L
.55388 .49759 L
.55378 .49703 L
.55293 .49599 L
.55217 .49487 L
.55183 .49438 L
.55057 .49278 L
.55057 .49276 L
.54936 .49117 L
.54896 .4908 L
.54789 .48957 L
.54735 .48862 L
.54686 .48796 L
.54575 .48647 L
.54569 .48636 L
.54445 .48475 L
.54414 .48458 L
.54278 .48314 L
.54254 .48236 L
.54188 .48154 L
.54093 .48016 L
.54078 .47993 L
.53956 .47833 L
.53933 .47803 L
.53836 .47672 L
.53772 .47612 L
.53689 .47512 L
.53612 .47384 L
.53587 .47351 L
.5347 .47191 L
.53451 .47167 L
.5335 .4703 L
.53291 .46991 L
.53185 .4687 L
.5313 .46749 L
.53099 .46709 L
.52988 .46549 L
.5297 .46525 L
.5287 .46388 L
.52809 .46309 L
.5275 .46228 L
.52649 .46106 L
.52619 .46067 L
.52513 .45907 L
.52488 .45874 L
.52398 .45746 L
.52328 .45651 L
.52282 .45586 L
.52167 .45429 L
.52161 .45425 L
.52056 .45265 L
.52007 .45196 L
.51948 .45104 L
.51846 .44956 L
.51838 .44943 L
.51751 .44783 L
F
.045 .9 1 r
.51846 .50336 m
.51957 .50401 L
.52007 .50435 L
.52146 .50562 L
.52167 .50578 L
.52301 .50722 L
.52328 .50752 L
.52443 .50883 L
.52488 .50941 L
.52587 .51043 L
.52649 .5114 L
.527 .51204 L
.52809 .51342 L
.52818 .51364 L
.52963 .51525 L
.5297 .51532 L
.53105 .51686 L
.5313 .51738 L
.5321 .51846 L
.53291 .51952 L
.53319 .52007 L
.53451 .52167 L
.53452 .52167 L
.53568 .52328 L
.53612 .52393 L
.53689 .52488 L
.53772 .52647 L
.53773 .52649 L
.53809 .52809 L
.53772 .52838 L
.53625 .52809 L
.53612 .52802 L
.53451 .52676 L
.53409 .52649 L
.53291 .52501 L
.53278 .52488 L
.53147 .52328 L
.5313 .52322 L
.53019 .52167 L
.5297 .52121 L
.52836 .52007 L
.52809 .51909 L
.52752 .51846 L
.52649 .51696 L
.52641 .51686 L
.5252 .51525 L
.52488 .51484 L
.52399 .51364 L
.52328 .51306 L
.52251 .51204 L
.52167 .51062 L
.52155 .51043 L
.52043 .50883 L
.52007 .50832 L
.51932 .50722 L
.51846 .50592 L
.51805 .50562 L
.51757 .50401 L
F
1 .97 .395 r
.51846 .53094 m
.52007 .5311 L
.52044 .5313 L
.52167 .53226 L
.52269 .53291 L
.52328 .5341 L
.5237 .53451 L
.52488 .53612 L
.52488 .53612 L
.52612 .53772 L
.52649 .5379 L
.52735 .53933 L
.52809 .54009 L
.52884 .54093 L
.5297 .54232 L
.52987 .54254 L
.53104 .54414 L
.5313 .54448 L
.53224 .54575 L
.53291 .54662 L
.53388 .54735 L
.53451 .54863 L
.53472 .54896 L
.53582 .55057 L
.53612 .55097 L
.53694 .55217 L
.53772 .55331 L
.53802 .55378 L
.53891 .55538 L
.53772 .55646 L
.53625 .55538 L
.53612 .55533 L
.53453 .55378 L
.53451 .55376 L
.53302 .55217 L
.53291 .55203 L
.53137 .55057 L
.5313 .55015 L
.53025 .54896 L
.5297 .54814 L
.52908 .54735 L
.52809 .54606 L
.52799 .54575 L
.52649 .5443 L
.52636 .54414 L
.52508 .54254 L
.52488 .54222 L
.52395 .54093 L
.52328 .54009 L
.52291 .53933 L
.52167 .53797 L
.52139 .53772 L
.52014 .53612 L
.52007 .53591 L
.51907 .53451 L
.51846 .53361 L
.51813 .53291 L
.51757 .5313 L
F
1 .49 0 r
.51846 .50974 m
.51915 .51043 L
.52007 .51136 L
.52067 .51204 L
.52167 .51318 L
.52205 .51364 L
.52328 .5151 L
.52345 .51525 L
.52458 .51686 L
.52488 .51725 L
.52575 .51846 L
.52649 .51951 L
.52686 .52007 L
.52777 .52167 L
.52649 .52184 L
.52632 .52167 L
.52488 .52029 L
.52478 .52007 L
.52341 .51846 L
.52328 .51831 L
.52213 .51686 L
.52167 .51629 L
.52089 .51525 L
.52007 .51418 L
.51969 .51364 L
.51854 .51204 L
.51846 .51192 L
.51759 .51043 L
F
1 .48 0 r
.51846 .50982 m
.51909 .51043 L
.52007 .51141 L
.52062 .51204 L
.52167 .51323 L
.52201 .51364 L
.52328 .51516 L
.52337 .51525 L
.52454 .51686 L
.52488 .5173 L
.52571 .51846 L
.52649 .51957 L
.52681 .52007 L
.52768 .52167 L
.52649 .52178 L
.52638 .52167 L
.52488 .5202 L
.52482 .52007 L
.52345 .51846 L
.52328 .51826 L
.52217 .51686 L
.52167 .51625 L
.52093 .51525 L
.52007 .51413 L
.51972 .51364 L
.51859 .51204 L
.51846 .51185 L
.51766 .51043 L
F
1 .47 0 r
.51846 .5099 m
.51902 .51043 L
.52007 .51147 L
.52057 .51204 L
.52167 .51328 L
.52197 .51364 L
.52328 .51523 L
.52329 .51525 L
.5245 .51686 L
.52488 .51736 L
.52566 .51846 L
.52649 .51964 L
.52676 .52007 L
.52758 .52167 L
.52649 .52171 L
.52645 .52167 L
.52488 .52011 L
.52486 .52007 L
.52349 .51846 L
.52328 .51822 L
.52221 .51686 L
.52167 .5162 L
.52096 .51525 L
.52007 .51408 L
.51976 .51364 L
.51864 .51204 L
.51846 .51177 L
.51773 .51043 L
F
.033 .89 1 r
.51846 .50359 m
.51929 .50401 L
.52007 .5045 L
.52133 .50562 L
.52167 .50587 L
.52291 .50722 L
.52328 .50762 L
.52435 .50883 L
.52488 .5095 L
.52581 .51043 L
.52649 .51147 L
.52696 .51204 L
.52809 .51346 L
.52817 .51364 L
.52958 .51525 L
.5297 .51537 L
.53102 .51686 L
.5313 .51744 L
.53206 .51846 L
.53291 .51958 L
.53316 .52007 L
.53446 .52167 L
.53451 .52174 L
.53562 .52328 L
.53612 .52402 L
.53681 .52488 L
.53762 .52649 L
.53772 .52675 L
.53779 .52809 L
.53772 .52814 L
.53661 .52809 L
.53612 .52789 L
.53451 .52666 L
.53423 .52649 L
.53291 .52494 L
.53284 .52488 L
.53152 .52328 L
.5313 .5232 L
.53023 .52167 L
.5297 .52117 L
.52839 .52007 L
.52809 .51905 L
.52756 .51846 L
.52649 .51691 L
.52644 .51686 L
.52524 .51525 L
.52488 .51479 L
.52403 .51364 L
.52328 .513 L
.52255 .51204 L
.52167 .51054 L
.5216 .51043 L
.52049 .50883 L
.52007 .50824 L
.51939 .50722 L
.51846 .50579 L
.51824 .50562 L
.5178 .50401 L
F
1 .46 0 r
.51846 .50998 m
.51894 .51043 L
.52007 .51153 L
.52052 .51204 L
.52167 .51333 L
.52193 .51364 L
.52324 .51525 L
.52328 .51529 L
.52445 .51686 L
.52488 .51741 L
.52562 .51846 L
.52649 .51971 L
.52671 .52007 L
.52649 .52163 L
.52491 .52007 L
.52488 .52004 L
.52353 .51846 L
.52328 .51817 L
.52224 .51686 L
.52167 .51616 L
.521 .51525 L
.52007 .51403 L
.51979 .51364 L
.51869 .51204 L
.51846 .51169 L
.51781 .51043 L
F
1 .45 0 r
.51846 .51007 m
.51886 .51043 L
.52007 .51159 L
.52047 .51204 L
.52167 .51338 L
.52189 .51364 L
.5232 .51525 L
.52328 .51534 L
.52441 .51686 L
.52488 .51747 L
.52558 .51846 L
.52649 .51979 L
.52666 .52007 L
.52649 .52154 L
.52497 .52007 L
.52488 .51998 L
.52358 .51846 L
.52328 .51812 L
.52228 .51686 L
.52167 .51611 L
.52104 .51525 L
.52007 .51398 L
.51983 .51364 L
.51875 .51204 L
.51846 .5116 L
.51789 .51043 L
F
1 .44 0 r
.51846 .51017 m
.51876 .51043 L
.52007 .51165 L
.52042 .51204 L
.52167 .51343 L
.52184 .51364 L
.52315 .51525 L
.52328 .5154 L
.52437 .51686 L
.52488 .51753 L
.52553 .51846 L
.52649 .51987 L
.52661 .52007 L
.52649 .52144 L
.52504 .52007 L
.52488 .51991 L
.52363 .51846 L
.52328 .51807 L
.52233 .51686 L
.52167 .51606 L
.52107 .51525 L
.52007 .51393 L
.51987 .51364 L
.51881 .51204 L
.51846 .51149 L
.518 .51043 L
F
1 .43 0 r
.51846 .51028 m
.51865 .51043 L
.52007 .51171 L
.52036 .51204 L
.52167 .51349 L
.5218 .51364 L
.5231 .51525 L
.52328 .51546 L
.52432 .51686 L
.52488 .51759 L
.52548 .51846 L
.52649 .51996 L
.52655 .52007 L
.52649 .52132 L
.52511 .52007 L
.52488 .51985 L
.52368 .51846 L
.52328 .51801 L
.52237 .51686 L
.52167 .51601 L
.52111 .51525 L
.52007 .51387 L
.51991 .51364 L
.51887 .51204 L
.51846 .51137 L
.51813 .51043 L
F
.024 .88 1 r
.51846 .50385 m
.51892 .50401 L
.52007 .50465 L
.52119 .50562 L
.52167 .50596 L
.52282 .50722 L
.52328 .50771 L
.52428 .50883 L
.52488 .50958 L
.52575 .51043 L
.52649 .51154 L
.52691 .51204 L
.52809 .51351 L
.52815 .51364 L
.52953 .51525 L
.5297 .51541 L
.531 .51686 L
.5313 .5175 L
.53202 .51846 L
.53291 .51965 L
.53312 .52007 L
.53441 .52167 L
.53451 .52182 L
.53555 .52328 L
.53612 .52412 L
.53674 .52488 L
.53751 .52649 L
.53612 .52776 L
.53451 .52657 L
.53438 .52649 L
.53291 .52488 L
.53291 .52487 L
.53156 .52328 L
.5313 .52318 L
.53027 .52167 L
.5297 .52113 L
.52843 .52007 L
.52809 .519 L
.5276 .51846 L
.52649 .51687 L
.52647 .51686 L
.52527 .51525 L
.52488 .51475 L
.52406 .51364 L
.52328 .51294 L
.5226 .51204 L
.52167 .51046 L
.52165 .51043 L
.52054 .50883 L
.52007 .50815 L
.51945 .50722 L
.51846 .50563 L
.51844 .50562 L
.51813 .50401 L
F
0 .35 1 r
.51846 .46734 m
.51946 .4687 L
.52007 .46941 L
.52071 .4703 L
.52167 .47148 L
.52198 .47191 L
.52167 .47326 L
.52066 .47191 L
.52007 .4712 L
.5194 .4703 L
.51846 .46914 L
.51813 .4687 L
F
0 .34 1 r
.51846 .46742 m
.51939 .4687 L
.52007 .46949 L
.52065 .4703 L
.52167 .47155 L
.52193 .47191 L
.52167 .47318 L
.52073 .47191 L
.52007 .47112 L
.51946 .4703 L
.51846 .46907 L
.51819 .4687 L
F
1 .38 0 r
.51846 .46072 m
.51976 .46228 L
.52007 .46261 L
.5211 .46388 L
.52167 .46453 L
.52243 .46549 L
.52328 .46648 L
.52376 .46709 L
.52488 .46819 L
.52508 .4687 L
.52637 .4703 L
.52649 .47044 L
.52763 .47191 L
.52809 .47247 L
.5289 .47351 L
.5297 .47449 L
.53018 .47512 L
.5313 .47641 L
.53146 .47672 L
.5327 .47833 L
.53291 .47858 L
.53393 .47993 L
.53451 .48065 L
.53518 .48154 L
.53612 .48272 L
.53644 .48314 L
.53768 .48475 L
.53772 .4848 L
.53888 .48636 L
.53933 .48691 L
.5401 .48796 L
.54093 .48902 L
.54134 .48957 L
.54254 .49108 L
.54258 .49117 L
.54375 .49278 L
.54414 .49328 L
.54494 .49438 L
.54575 .49543 L
.54615 .49599 L
.54735 .49758 L
.54736 .49759 L
.54848 .4992 L
.54896 .49982 L
.54963 .5008 L
.55057 .50206 L
.5508 .50241 L
.55057 .50386 L
.54934 .50241 L
.54896 .502 L
.54798 .5008 L
.54735 .50009 L
.54663 .4992 L
.54575 .49816 L
.5453 .49759 L
.54414 .49637 L
.54397 .49599 L
.54269 .49438 L
.54254 .49421 L
.54142 .49278 L
.54093 .49219 L
.54014 .49117 L
.53933 .49018 L
.53885 .48957 L
.53772 .48824 L
.53738 .48796 L
.53633 .48636 L
.53612 .4861 L
.53509 .48475 L
.53451 .48403 L
.53384 .48314 L
.53291 .48234 L
.53258 .48154 L
.53134 .47993 L
.5313 .47989 L
.53013 .47833 L
.5297 .47779 L
.5289 .47672 L
.52809 .47568 L
.52767 .47512 L
.52649 .47362 L
.52637 .47351 L
.52526 .47191 L
.52488 .47143 L
.52406 .4703 L
.52328 .46928 L
.52285 .4687 L
.52167 .46713 L
.52164 .46709 L
.52051 .46549 L
.52007 .4649 L
.51937 .46388 L
.51846 .46267 L
.5182 .46228 L
F
.212 .95 1 r
.51846 .53664 m
.51949 .53772 L
.52007 .53836 L
.5208 .53933 L
.52167 .54044 L
.522 .54093 L
.52167 .54207 L
.52067 .54093 L
.52007 .54023 L
.51935 .53933 L
.51846 .53809 L
.51821 .53772 L
F
1 .37 0 r
.51846 .4608 m
.5197 .46228 L
.52007 .46267 L
.52105 .46388 L
.52167 .46458 L
.52239 .46549 L
.52328 .46652 L
.52372 .46709 L
.52488 .46827 L
.52505 .4687 L
.52633 .4703 L
.52649 .47049 L
.52759 .47191 L
.52809 .47251 L
.52887 .47351 L
.5297 .47453 L
.53015 .47512 L
.5313 .47646 L
.53143 .47672 L
.53267 .47833 L
.53291 .47862 L
.5339 .47993 L
.53451 .48069 L
.53515 .48154 L
.53612 .48276 L
.53641 .48314 L
.53766 .48475 L
.53772 .48483 L
.53886 .48636 L
.53933 .48695 L
.54008 .48796 L
.54093 .48905 L
.54131 .48957 L
.54254 .49115 L
.54255 .49117 L
.54372 .49278 L
.54414 .49332 L
.54491 .49438 L
.54575 .49547 L
.54611 .49599 L
.54733 .49759 L
.54735 .49763 L
.54844 .4992 L
.54896 .49988 L
.54958 .5008 L
.55057 .50213 L
.55075 .50241 L
.55057 .50377 L
.54941 .50241 L
.54896 .50193 L
.54803 .5008 L
.54735 .50004 L
.54668 .4992 L
.54575 .49811 L
.54533 .49759 L
.54414 .49629 L
.54401 .49599 L
.54273 .49438 L
.54254 .49416 L
.54145 .49278 L
.54093 .49215 L
.54017 .49117 L
.53933 .49014 L
.53888 .48957 L
.53772 .48818 L
.53744 .48796 L
.53636 .48636 L
.53612 .48606 L
.53512 .48475 L
.53451 .484 L
.53386 .48314 L
.53291 .48228 L
.53261 .48154 L
.53137 .47993 L
.5313 .47986 L
.53016 .47833 L
.5297 .47775 L
.52893 .47672 L
.52809 .47565 L
.5277 .47512 L
.52649 .47356 L
.52644 .47351 L
.52529 .47191 L
.52488 .47139 L
.5241 .4703 L
.52328 .46924 L
.52289 .4687 L
.52168 .46709 L
.52167 .46708 L
.52056 .46549 L
.52007 .46484 L
.51941 .46388 L
.51846 .4626 L
.51824 .46228 L
F
0 .33 1 r
.51846 .46751 m
.51932 .4687 L
.52007 .46957 L
.52058 .4703 L
.52167 .47163 L
.52187 .47191 L
.52167 .47309 L
.52081 .47191 L
.52007 .47104 L
.51953 .4703 L
.51846 .46899 L
.51825 .4687 L
F
0 .69 1 r
.51846 .56539 m
.51926 .56662 L
.52007 .56769 L
.52039 .56822 L
.52007 .56867 L
.51972 .56822 L
.51846 .56686 L
.51828 .56662 L
F
1 .36 0 r
.51846 .46088 m
.51963 .46228 L
.52007 .46274 L
.52099 .46388 L
.52167 .46464 L
.52235 .46549 L
.52328 .46657 L
.52369 .46709 L
.52488 .46835 L
.52501 .4687 L
.52629 .4703 L
.52649 .47053 L
.52756 .47191 L
.52809 .47255 L
.52884 .47351 L
.5297 .47457 L
.53012 .47512 L
.5313 .47651 L
.5314 .47672 L
.53264 .47833 L
.53291 .47866 L
.53387 .47993 L
.53451 .48072 L
.53513 .48154 L
.53612 .48279 L
.53638 .48314 L
.53763 .48475 L
.53772 .48487 L
.53883 .48636 L
.53933 .48698 L
.54005 .48796 L
.54093 .48909 L
.54128 .48957 L
.54252 .49117 L
.54254 .4912 L
.54368 .49278 L
.54414 .49336 L
.54487 .49438 L
.54575 .49552 L
.54608 .49599 L
.54728 .49759 L
.54735 .49768 L
.54839 .4992 L
.54896 .49994 L
.54953 .5008 L
.55057 .5022 L
.5507 .50241 L
.55057 .50368 L
.54948 .50241 L
.54896 .50186 L
.54809 .5008 L
.54735 .49998 L
.54672 .4992 L
.54575 .49806 L
.54537 .49759 L
.54414 .49621 L
.54405 .49599 L
.54276 .49438 L
.54254 .49412 L
.54149 .49278 L
.54093 .49211 L
.5402 .49117 L
.53933 .4901 L
.53891 .48957 L
.53772 .48813 L
.53751 .48796 L
.53639 .48636 L
.53612 .48602 L
.53515 .48475 L
.53451 .48396 L
.53389 .48314 L
.53291 .48222 L
.53263 .48154 L
.5314 .47993 L
.5313 .47982 L
.53019 .47833 L
.5297 .47771 L
.52896 .47672 L
.52809 .47561 L
.52773 .47512 L
.5265 .47351 L
.52649 .4735 L
.52532 .47191 L
.52488 .47134 L
.52413 .4703 L
.52328 .46919 L
.52292 .4687 L
.52172 .46709 L
.52167 .46703 L
.5206 .46549 L
.52007 .46478 L
.51946 .46388 L
.51846 .46253 L
.5183 .46228 L
F
0 .32 1 r
.51846 .46761 m
.51923 .4687 L
.52007 .46966 L
.52051 .4703 L
.52167 .47171 L
.52181 .47191 L
.52167 .47298 L
.52089 .47191 L
.52007 .47094 L
.5196 .4703 L
.51846 .4689 L
.51831 .4687 L
F
1 .55 0 r
.51846 .47432 m
.51888 .47512 L
.51846 .47528 L
.51832 .47512 L
F
1 .79 .001 r
.51846 .55875 m
.51958 .5602 L
.52007 .56076 L
.52086 .5618 L
.52167 .56278 L
.52215 .56341 L
.52328 .56482 L
.52343 .56501 L
.52464 .56662 L
.52488 .5669 L
.52585 .56822 L
.52649 .56901 L
.52708 .56983 L
.52809 .57112 L
.52832 .57143 L
.52809 .57278 L
.52708 .57143 L
.52649 .57076 L
.52581 .56983 L
.52488 .56873 L
.52451 .56822 L
.52328 .56671 L
.52321 .56662 L
.52201 .56501 L
.52167 .56461 L
.52082 .56341 L
.52007 .56249 L
.51958 .5618 L
.51846 .5604 L
.51832 .5602 L
F
1 .35 0 r
.51846 .46098 m
.51956 .46228 L
.52007 .46281 L
.52094 .46388 L
.52167 .4647 L
.5223 .46549 L
.52328 .46662 L
.52365 .46709 L
.52488 .46844 L
.52498 .4687 L
.52626 .4703 L
.52649 .47057 L
.52752 .47191 L
.52809 .47259 L
.52881 .47351 L
.5297 .4746 L
.53009 .47512 L
.5313 .47657 L
.53137 .47672 L
.53261 .47833 L
.53291 .47869 L
.53385 .47993 L
.53451 .48076 L
.5351 .48154 L
.53612 .48282 L
.53636 .48314 L
.5376 .48475 L
.53772 .48491 L
.5388 .48636 L
.53933 .48702 L
.54002 .48796 L
.54093 .48913 L
.54126 .48957 L
.54249 .49117 L
.54254 .49124 L
.54365 .49278 L
.54414 .4934 L
.54484 .49438 L
.54575 .49556 L
.54605 .49599 L
.54724 .49759 L
.54735 .49774 L
.54834 .4992 L
.54896 .50001 L
.54948 .5008 L
.55057 .50229 L
.55064 .50241 L
.55057 .50357 L
.54957 .50241 L
.54896 .50179 L
.54815 .5008 L
.54735 .49992 L
.54677 .4992 L
.54575 .49801 L
.54542 .49759 L
.54414 .49613 L
.54408 .49599 L
.5428 .49438 L
.54254 .49407 L
.54152 .49278 L
.54093 .49207 L
.54023 .49117 L
.53933 .49006 L
.53894 .48957 L
.53772 .48807 L
.53758 .48796 L
.53642 .48636 L
.53612 .48598 L
.53518 .48475 L
.53451 .48392 L
.53392 .48314 L
.53291 .48216 L
.53266 .48154 L
.53143 .47993 L
.5313 .47978 L
.53022 .47833 L
.5297 .47767 L
.52899 .47672 L
.52809 .47557 L
.52776 .47512 L
.52653 .47351 L
.52649 .47346 L
.52536 .47191 L
.52488 .4713 L
.52416 .4703 L
.52328 .46914 L
.52296 .4687 L
.52177 .46709 L
.52167 .46697 L
.52065 .46549 L
.52007 .46471 L
.51951 .46388 L
.51846 .46245 L
.51835 .46228 L
F
1 .42 0 r
.51846 .51041 m
.51849 .51043 L
.52007 .51178 L
.5203 .51204 L
.52167 .51355 L
.52175 .51364 L
.52305 .51525 L
.52328 .51552 L
.52427 .51686 L
.52488 .51766 L
.52543 .51846 L
.52649 .52006 L
.52649 .52007 L
.52649 .52119 L
.52518 .52007 L
.52488 .51978 L
.52373 .51846 L
.52328 .51796 L
.52241 .51686 L
.52167 .51596 L
.52115 .51525 L
.52007 .51382 L
.51995 .51364 L
.51894 .51204 L
.51846 .5112 L
.51835 .51043 L
F
1 .96 .289 r
.51846 .53135 m
.52007 .53144 L
.52167 .53251 L
.52239 .53291 L
.52328 .53427 L
.52354 .53451 L
.52477 .53612 L
.52488 .53625 L
.52602 .53772 L
.52649 .53798 L
.52726 .53933 L
.52809 .54022 L
.52873 .54093 L
.5297 .54245 L
.52976 .54254 L
.53094 .54414 L
.5313 .54461 L
.53213 .54575 L
.53291 .54677 L
.5337 .54735 L
.53451 .54893 L
.53453 .54896 L
.53562 .55057 L
.53612 .55128 L
.53668 .55217 L
.53765 .55378 L
.53612 .55498 L
.53513 .55378 L
.53451 .55325 L
.53344 .55217 L
.53291 .55157 L
.53148 .55057 L
.5313 .54976 L
.5305 .54896 L
.5297 .54784 L
.52929 .54735 L
.52809 .54588 L
.52806 .54575 L
.52656 .54414 L
.52649 .54405 L
.52522 .54254 L
.52488 .54199 L
.52411 .54093 L
.52328 .53988 L
.52303 .53933 L
.52167 .5378 L
.52158 .53772 L
.52022 .53612 L
.52007 .53564 L
.51927 .53451 L
.51846 .53314 L
.51837 .53291 L
F
0 .64 1 r
.51846 .45431 m
.51993 .45586 L
.52007 .45599 L
.52137 .45746 L
.52167 .45778 L
.52277 .45907 L
.52328 .45963 L
.52414 .46067 L
.52488 .46152 L
.5255 .46228 L
.52649 .46333 L
.5273 .46388 L
.52809 .46538 L
.5282 .46549 L
.52947 .46709 L
.5297 .46736 L
.53077 .4687 L
.5313 .46907 L
.53207 .4703 L
.53291 .47127 L
.53358 .47191 L
.53451 .47335 L
.53466 .47351 L
.53591 .47512 L
.53612 .47537 L
.53718 .47672 L
.53772 .47725 L
.53898 .47833 L
.53933 .4794 L
.53981 .47993 L
.54093 .48149 L
.54097 .48154 L
.54222 .48314 L
.54254 .48329 L
.54347 .48475 L
.54414 .4855 L
.54496 .48636 L
.54575 .48765 L
.546 .48796 L
.54722 .48957 L
.54735 .48973 L
.54846 .49117 L
.54896 .49162 L
.55019 .49278 L
.55057 .49383 L
.55104 .49438 L
.55217 .49597 L
.55218 .49599 L
.5534 .49759 L
.55378 .49771 L
.55464 .4992 L
.55538 .50002 L
.55609 .5008 L
.55699 .50223 L
.55712 .50241 L
.55832 .50401 L
.55859 .50436 L
.55954 .50562 L
.5602 .50621 L
.5612 .50722 L
.5618 .50852 L
.56205 .50883 L
.5632 .51043 L
.56341 .5107 L
.5644 .51204 L
.56501 .51283 L
.56561 .51364 L
.56662 .51485 L
.56696 .51525 L
.56803 .51686 L
.56822 .5171 L
.56921 .51846 L
.56983 .51927 L
.5704 .52007 L
.57143 .52128 L
.57178 .52167 L
.57277 .52328 L
.57304 .52363 L
.57392 .52488 L
.57464 .52585 L
.57509 .52649 L
.57625 .52808 L
.57626 .52809 L
.57733 .5297 L
.57785 .53043 L
.5784 .5313 L
.57946 .53285 L
.57949 .53291 L
.57946 .53419 L
.57819 .53291 L
.57785 .53259 L
.5767 .5313 L
.57625 .53083 L
.57527 .5297 L
.57464 .529 L
.57387 .52809 L
.57304 .52758 L
.5725 .52649 L
.57143 .52529 L
.57087 .52488 L
.56983 .52328 L
.56983 .52328 L
.56852 .52167 L
.56822 .52132 L
.56721 .52007 L
.56662 .51956 L
.56591 .51846 L
.56501 .5174 L
.56446 .51686 L
.56341 .51535 L
.56333 .51525 L
.56206 .51364 L
.5618 .51333 L
.56078 .51204 L
.5602 .51143 L
.55911 .51043 L
.55859 .5093 L
.55819 .50883 L
.55699 .50723 L
.55698 .50722 L
.55573 .50562 L
.55538 .50538 L
.55447 .50401 L
.55378 .5032 L
.55305 .50241 L
.55217 .50107 L
.55196 .5008 L
.55073 .4992 L
.55057 .499 L
.54949 .49759 L
.54896 .49707 L
.54787 .49599 L
.54735 .49489 L
.54694 .49438 L
.54576 .49278 L
.54575 .49277 L
.54453 .49117 L
.54414 .49095 L
.5433 .48957 L
.54254 .48869 L
.5419 .48796 L
.54093 .4865 L
.54082 .48636 L
.53961 .48475 L
.53933 .48438 L
.53839 .48314 L
.53772 .48248 L
.53683 .48154 L
.53612 .48021 L
.5359 .47993 L
.53473 .47833 L
.53451 .47805 L
.53353 .47672 L
.53291 .47634 L
.53231 .47512 L
.5313 .47387 L
.531 .47351 L
.5299 .47191 L
.5297 .47165 L
.52872 .4703 L
.52809 .46949 L
.52752 .4687 L
.52649 .46745 L
.52618 .46709 L
.52515 .46549 L
.52488 .46514 L
.52399 .46388 L
.52328 .46292 L
.52282 .46228 L
.52167 .4607 L
.52165 .46067 L
.52057 .45907 L
.52007 .45838 L
.51947 .45746 L
.51846 .456 L
.51837 .45586 L
F
0 .31 1 r
.51846 .46773 m
.51913 .4687 L
.52007 .46977 L
.52043 .4703 L
.52167 .4718 L
.52174 .47191 L
.52167 .47286 L
.52099 .47191 L
.52007 .47084 L
.51968 .4703 L
.51846 .4688 L
.51839 .4687 L
F
1 .34 0 r
.51846 .46109 m
.51947 .46228 L
.52007 .46288 L
.52088 .46388 L
.52167 .46476 L
.52225 .46549 L
.52328 .46667 L
.52361 .46709 L
.52488 .46853 L
.52494 .4687 L
.52622 .4703 L
.52649 .47062 L
.52749 .47191 L
.52809 .47263 L
.52877 .47351 L
.5297 .47464 L
.53006 .47512 L
.5313 .47663 L
.53135 .47672 L
.53258 .47833 L
.53291 .47873 L
.53382 .47993 L
.53451 .4808 L
.53507 .48154 L
.53612 .48286 L
.53633 .48314 L
.53756 .48475 L
.53772 .48495 L
.53877 .48636 L
.53933 .48706 L
.53999 .48796 L
.54093 .48916 L
.54123 .48957 L
.54245 .49117 L
.54254 .49128 L
.54361 .49278 L
.54414 .49345 L
.5448 .49438 L
.54575 .49561 L
.54601 .49599 L
.54719 .49759 L
.54735 .4978 L
.54829 .4992 L
.54896 .50008 L
.54942 .5008 L
.55057 .50238 L
.55058 .50241 L
.55057 .50344 L
.54966 .50241 L
.54896 .50171 L
.54821 .5008 L
.54735 .49986 L
.54682 .4992 L
.54575 .49795 L
.54546 .49759 L
.54414 .49604 L
.54412 .49599 L
.54285 .49438 L
.54254 .49402 L
.54156 .49278 L
.54093 .49203 L
.54027 .49117 L
.53933 .49002 L
.53897 .48957 L
.53772 .48802 L
.53765 .48796 L
.53646 .48636 L
.53612 .48594 L
.53521 .48475 L
.53451 .48388 L
.53395 .48314 L
.53291 .48209 L
.53269 .48154 L
.53146 .47993 L
.5313 .47974 L
.53025 .47833 L
.5297 .47763 L
.52902 .47672 L
.52809 .47553 L
.52779 .47512 L
.52657 .47351 L
.52649 .47341 L
.52539 .47191 L
.52488 .47125 L
.5242 .4703 L
.52328 .4691 L
.52299 .4687 L
.52181 .46709 L
.52167 .46691 L
.5207 .46549 L
.52007 .46464 L
.51956 .46388 L
.51846 .46236 L
.51841 .46228 L
F
0 .68 1 r
.51846 .56564 m
.51903 .56662 L
.52007 .56815 L
.52009 .56822 L
.52007 .56826 L
.52004 .56822 L
.51846 .56666 L
.51842 .56662 L
F
0 .63 1 r
.51846 .45448 m
.51981 .45586 L
.52007 .4561 L
.52128 .45746 L
.52167 .45786 L
.5227 .45907 L
.52328 .4597 L
.52409 .46067 L
.52488 .46158 L
.52546 .46228 L
.52649 .46339 L
.52722 .46388 L
.52809 .46543 L
.52815 .46549 L
.52943 .46709 L
.5297 .4674 L
.53074 .4687 L
.5313 .4691 L
.53204 .4703 L
.53291 .47131 L
.53354 .47191 L
.53451 .47338 L
.53463 .47351 L
.53588 .47512 L
.53612 .47541 L
.53715 .47672 L
.53772 .47728 L
.53896 .47833 L
.53933 .47943 L
.53978 .47993 L
.54093 .48151 L
.54095 .48154 L
.5422 .48314 L
.54254 .48331 L
.54345 .48475 L
.54414 .48552 L
.54494 .48636 L
.54575 .48767 L
.54598 .48796 L
.5472 .48957 L
.54735 .48976 L
.54844 .49117 L
.54896 .49164 L
.55017 .49278 L
.55057 .49385 L
.55102 .49438 L
.55217 .49599 L
.55217 .49599 L
.55339 .49759 L
.55378 .49772 L
.55462 .4992 L
.55538 .50005 L
.55606 .5008 L
.55699 .50226 L
.5571 .50241 L
.5583 .50401 L
.55859 .50438 L
.55952 .50562 L
.5602 .50623 L
.56117 .50722 L
.5618 .50855 L
.56203 .50883 L
.56318 .51043 L
.56341 .51073 L
.56438 .51204 L
.56501 .51286 L
.56559 .51364 L
.56662 .5149 L
.56692 .51525 L
.568 .51686 L
.56822 .51714 L
.56918 .51846 L
.56983 .51931 L
.57037 .52007 L
.57143 .52134 L
.57173 .52167 L
.57274 .52328 L
.57304 .52368 L
.57388 .52488 L
.57464 .52591 L
.57504 .52649 L
.57621 .52809 L
.57625 .52815 L
.57727 .5297 L
.57785 .53052 L
.57833 .5313 L
.57785 .53248 L
.57679 .5313 L
.57625 .53075 L
.57534 .5297 L
.57464 .52893 L
.57393 .52809 L
.57304 .52751 L
.57255 .52649 L
.57143 .52523 L
.57095 .52488 L
.56987 .52328 L
.56983 .52323 L
.56856 .52167 L
.56822 .52127 L
.56725 .52007 L
.56662 .51952 L
.56594 .51846 L
.56501 .51736 L
.5645 .51686 L
.56341 .51531 L
.56336 .51525 L
.56209 .51364 L
.5618 .5133 L
.56081 .51204 L
.5602 .5114 L
.55914 .51043 L
.55859 .50927 L
.55821 .50883 L
.557 .50722 L
.55699 .5072 L
.55575 .50562 L
.55538 .50536 L
.5545 .50401 L
.55378 .50317 L
.55307 .50241 L
.55217 .50104 L
.55198 .5008 L
.55075 .4992 L
.55057 .49897 L
.54951 .49759 L
.54896 .49705 L
.54789 .49599 L
.54735 .49486 L
.54696 .49438 L
.54578 .49278 L
.54575 .49274 L
.54455 .49117 L
.54414 .49094 L
.54332 .48957 L
.54254 .48866 L
.54193 .48796 L
.54093 .48648 L
.54084 .48636 L
.53963 .48475 L
.53933 .48436 L
.53841 .48314 L
.53772 .48246 L
.53686 .48154 L
.53612 .48018 L
.53592 .47993 L
.53475 .47833 L
.53451 .47802 L
.53355 .47672 L
.53291 .47631 L
.53234 .47512 L
.5313 .47384 L
.53103 .47351 L
.52993 .47191 L
.5297 .47161 L
.52874 .4703 L
.52809 .46945 L
.52755 .4687 L
.52649 .46739 L
.52623 .46709 L
.52518 .46549 L
.52488 .46509 L
.52403 .46388 L
.52328 .46287 L
.52286 .46228 L
.52169 .46067 L
.52167 .46064 L
.52062 .45907 L
.52007 .45829 L
.51954 .45746 L
.51846 .45588 L
.51844 .45586 L
F
.084 .92 1 r
.51846 .55225 m
.5198 .55378 L
.52007 .55405 L
.52119 .55538 L
.52167 .55592 L
.52256 .55699 L
.52328 .55782 L
.52391 .55859 L
.52488 .55976 L
.52524 .5602 L
.52649 .5617 L
.52662 .5618 L
.52784 .56341 L
.52809 .56371 L
.52913 .56501 L
.5297 .5657 L
.53043 .56662 L
.5313 .56745 L
.53171 .56822 L
.53291 .56972 L
.53301 .56983 L
.53424 .57143 L
.53451 .57178 L
.5355 .57304 L
.53612 .57382 L
.53676 .57464 L
.53772 .57577 L
.53825 .57625 L
.53925 .57785 L
.53933 .57795 L
.54048 .57946 L
.54093 .58004 L
.54172 .58106 L
.54254 .5818 L
.54296 .58267 L
.54414 .58421 L
.5442 .58428 L
.54539 .58588 L
.54575 .58635 L
.5466 .58749 L
.54735 .58847 L
.54782 .58909 L
.54896 .59057 L
.54909 .5907 L
.5502 .5923 L
.55057 .59278 L
.55138 .59391 L
.55217 .59496 L
.55257 .59551 L
.55374 .59712 L
.55378 .59716 L
.55485 .59872 L
.55538 .59945 L
.55597 .60033 L
.55699 .60176 L
.5571 .60193 L
.55699 .60329 L
.55581 .60193 L
.55538 .60149 L
.55443 .60033 L
.55378 .59962 L
.55306 .59872 L
.55217 .5977 L
.55172 .59712 L
.55057 .59576 L
.55038 .59551 L
.54907 .59391 L
.54896 .59378 L
.54781 .5923 L
.54735 .59177 L
.54653 .5907 L
.54575 .58975 L
.54525 .58909 L
.54414 .58792 L
.54395 .58749 L
.54269 .58588 L
.54254 .5857 L
.54146 .58428 L
.54093 .58364 L
.54021 .58267 L
.53933 .58158 L
.53894 .58106 L
.53772 .57956 L
.53761 .57946 L
.53646 .57785 L
.53612 .57744 L
.53524 .57625 L
.53451 .57534 L
.534 .57464 L
.53291 .57346 L
.53274 .57304 L
.53152 .57143 L
.5313 .57116 L
.53033 .56983 L
.5297 .56903 L
.52911 .56822 L
.52809 .56692 L
.52787 .56662 L
.52666 .56501 L
.52649 .56479 L
.52549 .56341 L
.52488 .56262 L
.5243 .5618 L
.52328 .56047 L
.52309 .5602 L
.52191 .55859 L
.52167 .55828 L
.52079 .55699 L
.52007 .55603 L
.51964 .55538 L
.51846 .55378 L
.51846 .55378 L
F
.018 .87 1 r
.52007 .5048 m
.52105 .50562 L
.52167 .50605 L
.52272 .50722 L
.52328 .5078 L
.5242 .50883 L
.52488 .50966 L
.52569 .51043 L
.52649 .5116 L
.52686 .51204 L
.52809 .51355 L
.52813 .51364 L
.52948 .51525 L
.5297 .51546 L
.53097 .51686 L
.5313 .51756 L
.53197 .51846 L
.53291 .51971 L
.53309 .52007 L
.53435 .52167 L
.53451 .5219 L
.53549 .52328 L
.53612 .52423 L
.53665 .52488 L
.53739 .52649 L
.53612 .52763 L
.53453 .52649 L
.53451 .52647 L
.53298 .52488 L
.53291 .52481 L
.53161 .52328 L
.5313 .52316 L
.53031 .52167 L
.5297 .52109 L
.52847 .52007 L
.52809 .51896 L
.52764 .51846 L
.52651 .51686 L
.52649 .51683 L
.52531 .51525 L
.52488 .5147 L
.5241 .51364 L
.52328 .51288 L
.52265 .51204 L
.5217 .51043 L
.52167 .51039 L
.5206 .50883 L
.52007 .50806 L
.51952 .50722 L
.51857 .50562 L
F
1 .86 .013 r
.52007 .44942 m
.52007 .44943 L
.52161 .45104 L
.52167 .4511 L
.52307 .45265 L
.52328 .45286 L
.5245 .45425 L
.52488 .45468 L
.52589 .45586 L
.52649 .45642 L
.52727 .45746 L
.52809 .45843 L
.52878 .45907 L
.5297 .4604 L
.52994 .46067 L
.53127 .46228 L
.5313 .46229 L
.53258 .46388 L
.53291 .46425 L
.53424 .46549 L
.53451 .46628 L
.53522 .46709 L
.53612 .46832 L
.53638 .4687 L
.53772 .47028 L
.53775 .4703 L
.53903 .47191 L
.53933 .47228 L
.54042 .47351 L
.54093 .47435 L
.54152 .47512 L
.54254 .47643 L
.54268 .47672 L
.54409 .47833 L
.54414 .47839 L
.54556 .47993 L
.54575 .48045 L
.54663 .48154 L
.54735 .48255 L
.54774 .48314 L
.54896 .48462 L
.54912 .48475 L
.55036 .48636 L
.55057 .4866 L
.55171 .48796 L
.55217 .48871 L
.5528 .48957 L
.55378 .49082 L
.55392 .49117 L
.55534 .49278 L
.55538 .49282 L
.55678 .49438 L
.55699 .49489 L
.55785 .49599 L
.55859 .49702 L
.55895 .49759 L
.5602 .4991 L
.5603 .4992 L
.56153 .5008 L
.5618 .50111 L
.56289 .50241 L
.56341 .50323 L
.56397 .50401 L
.56501 .50535 L
.56512 .50562 L
.56648 .50722 L
.56662 .50735 L
.56795 .50883 L
.56822 .50946 L
.56898 .51043 L
.56983 .51159 L
.5701 .51204 L
.57141 .51364 L
.57143 .51366 L
.57263 .51525 L
.57304 .51569 L
.574 .51686 L
.57464 .51785 L
.57508 .51846 L
.57625 .51997 L
.57628 .52007 L
.57754 .52167 L
.57785 .52193 L
.57906 .52328 L
.57946 .5241 L
.58006 .52488 L
.58106 .52626 L
.5812 .52649 L
.58244 .52809 L
.58267 .52816 L
.58366 .5297 L
.58428 .53036 L
.58504 .5313 L
.58588 .53257 L
.58612 .53291 L
.58733 .53451 L
.58749 .53472 L
.58853 .53612 L
.58909 .5366 L
.59005 .53772 L
.5907 .53889 L
.59102 .53933 L
.59218 .54093 L
.5923 .54109 L
.59337 .54254 L
.59391 .54324 L
.59513 .54414 L
.59551 .54526 L
.59589 .54575 L
.59698 .54735 L
.59712 .54754 L
.59815 .54896 L
.59872 .54972 L
.59933 .55057 L
.60033 .55174 L
.60066 .55217 L
.60168 .55378 L
.60193 .55412 L
.60281 .55538 L
.60354 .55638 L
.60396 .55699 L
.6051 .55859 L
.60514 .55865 L
.60613 .5602 L
.60675 .5611 L
.60716 .5618 L
.60675 .56312 L
.60545 .5618 L
.60514 .56151 L
.60394 .5602 L
.60354 .55978 L
.60249 .55859 L
.60193 .55798 L
.60108 .55699 L
.60033 .55622 L
.59969 .55538 L
.59872 .55424 L
.59823 .55378 L
.59712 .5523 L
.59701 .55217 L
.59568 .55057 L
.59551 .55045 L
.59436 .54896 L
.59391 .54844 L
.59277 .54735 L
.5923 .54641 L
.59174 .54575 L
.5907 .54438 L
.59054 .54414 L
.58918 .54254 L
.58909 .54245 L
.5879 .54093 L
.58749 .54041 L
.58653 .53933 L
.58588 .53834 L
.58542 .53772 L
.58428 .53629 L
.58422 .53612 L
.58283 .53451 L
.58267 .53432 L
.58138 .53291 L
.58106 .53224 L
.58032 .5313 L
.57946 .53015 L
.57919 .5297 L
.57785 .52812 L
.57781 .52809 L
.57625 .52649 L
.57625 .5261 L
.57523 .52488 L
.57464 .52399 L
.57414 .52328 L
.57304 .52189 L
.57297 .52167 L
.57159 .52007 L
.57143 .5199 L
.57016 .51846 L
.56983 .5178 L
.56909 .51686 L
.56822 .51568 L
.56797 .51525 L
.56662 .51364 L
.56662 .51364 L
.56506 .51204 L
.56501 .51159 L
.56405 .51043 L
.56341 .50946 L
.56296 .50883 L
.5618 .50736 L
.56177 .50722 L
.56045 .50562 L
.5602 .50537 L
.559 .50401 L
.55859 .50324 L
.55796 .50241 L
.55699 .50111 L
.55682 .5008 L
.55552 .4992 L
.55538 .49911 L
.55389 .49759 L
.55378 .49701 L
.55294 .49599 L
.55217 .49485 L
.55185 .49438 L
.55059 .49278 L
.55057 .49274 L
.54938 .49117 L
.54896 .49078 L
.5479 .48957 L
.54735 .48859 L
.54688 .48796 L
.54575 .48644 L
.5457 .48636 L
.54448 .48475 L
.54414 .48456 L
.54279 .48314 L
.54254 .48233 L
.54191 .48154 L
.54093 .48013 L
.5408 .47993 L
.53959 .47833 L
.53933 .47799 L
.53838 .47672 L
.53772 .47608 L
.53692 .47512 L
.53612 .4738 L
.5359 .47351 L
.53473 .47191 L
.53451 .47163 L
.53354 .4703 L
.53291 .46987 L
.53189 .4687 L
.5313 .46743 L
.53104 .46709 L
.52992 .46549 L
.5297 .4652 L
.52874 .46388 L
.52809 .46302 L
.52755 .46228 L
.52649 .46096 L
.52627 .46067 L
.5252 .45907 L
.52488 .45865 L
.52405 .45746 L
.52328 .45641 L
.52289 .45586 L
.52174 .45425 L
.52167 .45416 L
.52068 .45265 L
.52007 .45177 L
.51962 .45104 L
.51859 .44943 L
F
1 .95 .212 r
.52007 .53177 m
.52167 .53276 L
.52198 .53291 L
.52328 .53445 L
.52335 .53451 L
.52465 .53612 L
.52488 .53639 L
.52592 .53772 L
.52649 .53807 L
.52717 .53933 L
.52809 .54035 L
.52861 .54093 L
.52966 .54254 L
.5297 .54259 L
.53083 .54414 L
.5313 .54476 L
.53202 .54575 L
.53291 .54694 L
.53349 .54735 L
.53435 .54896 L
.53451 .54918 L
.5354 .55057 L
.53612 .55168 L
.53639 .55217 L
.53688 .55378 L
.53612 .55396 L
.53596 .55378 L
.53451 .55278 L
.53389 .55217 L
.53291 .55118 L
.53174 .55057 L
.5313 .54944 L
.53076 .54896 L
.5297 .5476 L
.52947 .54735 L
.52809 .54576 L
.52809 .54575 L
.52674 .54414 L
.52649 .54383 L
.52535 .54254 L
.52488 .54178 L
.52426 .54093 L
.52328 .53969 L
.52313 .53933 L
.52175 .53772 L
.52167 .53761 L
.5203 .53612 L
.52007 .53535 L
.51948 .53451 L
.51867 .53291 L
F
.013 .86 1 r
.52007 .50496 m
.52089 .50562 L
.52167 .50615 L
.52262 .50722 L
.52328 .50789 L
.52412 .50883 L
.52488 .50974 L
.52563 .51043 L
.52649 .51166 L
.52681 .51204 L
.52809 .51359 L
.52811 .51364 L
.52943 .51525 L
.5297 .51551 L
.53093 .51686 L
.5313 .51762 L
.53193 .51846 L
.53291 .51977 L
.53305 .52007 L
.5343 .52167 L
.53451 .52198 L
.53543 .52328 L
.53612 .52434 L
.53657 .52488 L
.53726 .52649 L
.53612 .52749 L
.53464 .52649 L
.53451 .52638 L
.53305 .52488 L
.53291 .52474 L
.53166 .52328 L
.5313 .52313 L
.53035 .52167 L
.5297 .52104 L
.52851 .52007 L
.52809 .51891 L
.52768 .51846 L
.52654 .51686 L
.52649 .51678 L
.52534 .51525 L
.52488 .51466 L
.52413 .51364 L
.52328 .51281 L
.52271 .51204 L
.52175 .51043 L
.52167 .51033 L
.52065 .50883 L
.52007 .50797 L
.51959 .50722 L
.51871 .50562 L
F
.01 .85 1 r
.52007 .50512 m
.52072 .50562 L
.52167 .50625 L
.52252 .50722 L
.52328 .50798 L
.52404 .50883 L
.52488 .50981 L
.52557 .51043 L
.52649 .51173 L
.52676 .51204 L
.52809 .51364 L
.5281 .51364 L
.52938 .51525 L
.5297 .51556 L
.5309 .51686 L
.5313 .51767 L
.53188 .51846 L
.53291 .51984 L
.53302 .52007 L
.53424 .52167 L
.53451 .52206 L
.53537 .52328 L
.53612 .52445 L
.53647 .52488 L
.53713 .52649 L
.53612 .52735 L
.53476 .52649 L
.53451 .52629 L
.53312 .52488 L
.53291 .52467 L
.53171 .52328 L
.5313 .5231 L
.53039 .52167 L
.5297 .521 L
.52855 .52007 L
.52809 .51886 L
.52772 .51846 L
.52658 .51686 L
.52649 .51674 L
.52538 .51525 L
.52488 .51461 L
.52417 .51364 L
.52328 .51274 L
.52276 .51204 L
.5218 .51043 L
.52167 .51026 L
.52071 .50883 L
.52007 .50787 L
.51967 .50722 L
.51887 .50562 L
F
1 .41 0 r
.52007 .51185 m
.52024 .51204 L
.52167 .5136 L
.52171 .51364 L
.523 .51525 L
.52328 .51558 L
.52423 .51686 L
.52488 .51773 L
.52538 .51846 L
.52488 .51971 L
.52379 .51846 L
.52328 .5179 L
.52246 .51686 L
.52167 .5159 L
.5212 .51525 L
.52007 .51376 L
.51999 .51364 L
.51902 .51204 L
F
1 .94 .156 r
.52007 .53211 m
.52155 .53291 L
.52167 .533 L
.52317 .53451 L
.52328 .53462 L
.52453 .53612 L
.52488 .53653 L
.52581 .53772 L
.52649 .53818 L
.52707 .53933 L
.52809 .5405 L
.52848 .54093 L
.52955 .54254 L
.5297 .54273 L
.53072 .54414 L
.5313 .54491 L
.5319 .54575 L
.53291 .54712 L
.53325 .54735 L
.53416 .54896 L
.53451 .54948 L
.53515 .55057 L
.53598 .55217 L
.53451 .55222 L
.53446 .55217 L
.53291 .55082 L
.53231 .55057 L
.5313 .54916 L
.53105 .54896 L
.5297 .5474 L
.52965 .54735 L
.52826 .54575 L
.52809 .5456 L
.52692 .54414 L
.52649 .54362 L
.52549 .54254 L
.52488 .54158 L
.52441 .54093 L
.52328 .5395 L
.52321 .53933 L
.52192 .53772 L
.52167 .53737 L
.52041 .53612 L
.52007 .53504 L
.5197 .53451 L
.51902 .53291 L
F
1 .99 .733 r
.52007 .50004 m
.52167 .50021 L
.52328 .50072 L
.52346 .5008 L
.52488 .50182 L
.52543 .50241 L
.52649 .50371 L
.52674 .50401 L
.52793 .50562 L
.52809 .50575 L
.52884 .50722 L
.5297 .50779 L
.53051 .50883 L
.5313 .50988 L
.53174 .51043 L
.53291 .51199 L
.53294 .51204 L
.53405 .51364 L
.53451 .51426 L
.53545 .51525 L
.53612 .51615 L
.53668 .51686 L
.53772 .51825 L
.53789 .51846 L
.53906 .52007 L
.53933 .52038 L
.54006 .52167 L
.54093 .52253 L
.54161 .52328 L
.54254 .52463 L
.54282 .52488 L
.54403 .52649 L
.54414 .52663 L
.54512 .52809 L
.54575 .52878 L
.54654 .5297 L
.54575 .53011 L
.54414 .53019 L
.54254 .5303 L
.54124 .5297 L
.54093 .52939 L
.53963 .52809 L
.53933 .52725 L
.53866 .52649 L
.53772 .52514 L
.53755 .52488 L
.53631 .52328 L
.53612 .5231 L
.5351 .52167 L
.53451 .52101 L
.53363 .52007 L
.53291 .51887 L
.53258 .51846 L
.53138 .51686 L
.5313 .51676 L
.53017 .51525 L
.5297 .51503 L
.52854 .51364 L
.52809 .51274 L
.52759 .51204 L
.52649 .5105 L
.52645 .51043 L
.52524 .50883 L
.52488 .50837 L
.52401 .50722 L
.52328 .50627 L
.52255 .50562 L
.52167 .5042 L
.52149 .50401 L
.52029 .50241 L
.52007 .50211 L
.51904 .5008 L
F
.007 .84 1 r
.52007 .50529 m
.52053 .50562 L
.52167 .50635 L
.52241 .50722 L
.52328 .50807 L
.52396 .50883 L
.52488 .50989 L
.5255 .51043 L
.52649 .51179 L
.52671 .51204 L
.52805 .51364 L
.52809 .51365 L
.52934 .51525 L
.5297 .51561 L
.53087 .51686 L
.5313 .51774 L
.53184 .51846 L
.53291 .51991 L
.53299 .52007 L
.53419 .52167 L
.53451 .52214 L
.5353 .52328 L
.53612 .52457 L
.53637 .52488 L
.53699 .52649 L
.53612 .52721 L
.5349 .52649 L
.53451 .52619 L
.53319 .52488 L
.53291 .5246 L
.53177 .52328 L
.5313 .52307 L
.53043 .52167 L
.5297 .52095 L
.5286 .52007 L
.52809 .51881 L
.52776 .51846 L
.52662 .51686 L
.52649 .51669 L
.52541 .51525 L
.52488 .51456 L
.52421 .51364 L
.52328 .51266 L
.52282 .51204 L
.52185 .51043 L
.52167 .51019 L
.52077 .50883 L
.52007 .50776 L
.51974 .50722 L
.51906 .50562 L
F
1 .4 0 r
.52007 .51193 m
.52017 .51204 L
.52165 .51364 L
.52167 .51366 L
.52295 .51525 L
.52328 .51564 L
.52418 .51686 L
.52488 .5178 L
.52533 .51846 L
.52488 .51963 L
.52385 .51846 L
.52328 .51784 L
.5225 .51686 L
.52167 .51584 L
.52124 .51525 L
.52007 .51369 L
.52003 .51364 L
.51911 .51204 L
F
1 .39 0 r
.52007 .51201 m
.5201 .51204 L
.52007 .51362 L
.51921 .51204 L
F
.005 .83 1 r
.52007 .50547 m
.5203 .50562 L
.52167 .50647 L
.5223 .50722 L
.52328 .50816 L
.52388 .50883 L
.52488 .50996 L
.52543 .51043 L
.52649 .51185 L
.52666 .51204 L
.528 .51364 L
.52809 .51365 L
.52929 .51525 L
.5297 .51566 L
.53083 .51686 L
.5313 .5178 L
.53179 .51846 L
.53291 .51997 L
.53295 .52007 L
.53413 .52167 L
.53451 .52222 L
.53524 .52328 L
.53612 .5247 L
.53627 .52488 L
.53684 .52649 L
.53612 .52706 L
.53505 .52649 L
.53451 .5261 L
.53326 .52488 L
.53291 .52453 L
.53182 .52328 L
.5313 .52304 L
.53048 .52167 L
.5297 .5209 L
.52866 .52007 L
.52809 .51877 L
.52781 .51846 L
.52665 .51686 L
.52649 .51664 L
.52545 .51525 L
.52488 .51452 L
.52424 .51364 L
.52328 .51258 L
.52288 .51204 L
.5219 .51043 L
.52167 .51011 L
.52083 .50883 L
.52007 .50764 L
.51983 .50722 L
.5193 .50562 L
F
1 .93 .114 r
.52007 .53248 m
.52117 .53291 L
.52167 .53325 L
.52299 .53451 L
.52328 .5348 L
.5244 .53612 L
.52488 .53668 L
.5257 .53772 L
.52649 .53832 L
.52698 .53933 L
.52809 .54066 L
.52833 .54093 L
.52944 .54254 L
.5297 .54287 L
.53061 .54414 L
.5313 .54507 L
.53178 .54575 L
.53291 .54732 L
.53296 .54735 L
.53394 .54896 L
.53451 .54988 L
.53485 .55057 L
.53451 .55164 L
.53307 .55057 L
.53291 .55044 L
.53138 .54896 L
.5313 .54888 L
.52988 .54735 L
.5297 .54716 L
.52846 .54575 L
.52809 .54543 L
.5271 .54414 L
.52649 .54342 L
.52564 .54254 L
.52488 .54138 L
.52455 .54093 L
.52328 .53933 L
.52328 .53932 L
.52208 .53772 L
.52167 .53713 L
.52056 .53612 L
.52007 .53468 L
.51995 .53451 L
.51944 .53291 L
F
0 .62 1 r
.52007 .45621 m
.5212 .45746 L
.52167 .45795 L
.52264 .45907 L
.52328 .45977 L
.52404 .46067 L
.52488 .46164 L
.52541 .46228 L
.52649 .46346 L
.52713 .46388 L
.52809 .46549 L
.52809 .46549 L
.5294 .46709 L
.5297 .46745 L
.5307 .4687 L
.5313 .46914 L
.53201 .4703 L
.53291 .47135 L
.53351 .47191 L
.53451 .47342 L
.5346 .47351 L
.53586 .47512 L
.53612 .47544 L
.53713 .47672 L
.53772 .4773 L
.53893 .47833 L
.53933 .47946 L
.53975 .47993 L
.54093 .48154 L
.54093 .48154 L
.54218 .48314 L
.54254 .48332 L
.54343 .48475 L
.54414 .48555 L
.54492 .48636 L
.54575 .4877 L
.54596 .48796 L
.54718 .48957 L
.54735 .48978 L
.54842 .49117 L
.54896 .49166 L
.55015 .49278 L
.55057 .49388 L
.55099 .49438 L
.55215 .49599 L
.55217 .49602 L
.55337 .49759 L
.55378 .49774 L
.5546 .4992 L
.55538 .50008 L
.55604 .5008 L
.55699 .50228 L
.55708 .50241 L
.55828 .50401 L
.55859 .50441 L
.5595 .50562 L
.5602 .50626 L
.56114 .50722 L
.5618 .50858 L
.562 .50883 L
.56316 .51043 L
.56341 .51076 L
.56436 .51204 L
.56501 .51289 L
.56557 .51364 L
.56662 .51494 L
.56689 .51525 L
.56797 .51686 L
.56822 .51718 L
.56915 .51846 L
.56983 .51935 L
.57035 .52007 L
.57143 .52141 L
.57167 .52167 L
.5727 .52328 L
.57304 .52373 L
.57384 .52488 L
.57464 .52596 L
.575 .52649 L
.57615 .52809 L
.57625 .52822 L
.5772 .5297 L
.57785 .53063 L
.57826 .5313 L
.57785 .53235 L
.57689 .5313 L
.57625 .53066 L
.57541 .5297 L
.57464 .52886 L
.57399 .52809 L
.57304 .52742 L
.5726 .52649 L
.57143 .52516 L
.57104 .52488 L
.56991 .52328 L
.56983 .52318 L
.5686 .52167 L
.56822 .52123 L
.56728 .52007 L
.56662 .51948 L
.56597 .51846 L
.56501 .51732 L
.56453 .51686 L
.56341 .51528 L
.56339 .51525 L
.56211 .51364 L
.5618 .51326 L
.56084 .51204 L
.5602 .51137 L
.55917 .51043 L
.55859 .50923 L
.55824 .50883 L
.55703 .50722 L
.55699 .50717 L
.55578 .50562 L
.55538 .50534 L
.55452 .50401 L
.55378 .50315 L
.55309 .50241 L
.55217 .50102 L
.552 .5008 L
.55077 .4992 L
.55057 .49894 L
.54953 .49759 L
.54896 .49703 L
.54791 .49599 L
.54735 .49484 L
.54698 .49438 L
.5458 .49278 L
.54575 .49272 L
.54457 .49117 L
.54414 .49092 L
.54334 .48957 L
.54254 .48863 L
.54195 .48796 L
.54093 .48645 L
.54086 .48636 L
.53966 .48475 L
.53933 .48433 L
.53844 .48314 L
.53772 .48243 L
.53688 .48154 L
.53612 .48015 L
.53595 .47993 L
.53478 .47833 L
.53451 .47799 L
.53357 .47672 L
.53291 .47627 L
.53236 .47512 L
.5313 .4738 L
.53107 .47351 L
.52995 .47191 L
.5297 .47158 L
.52877 .4703 L
.52809 .46941 L
.52757 .4687 L
.52649 .46733 L
.52628 .46709 L
.52522 .46549 L
.52488 .46504 L
.52407 .46388 L
.52328 .46281 L
.5229 .46228 L
.52175 .46067 L
.52167 .46057 L
.52069 .45907 L
.52007 .4582 L
.51961 .45746 L
F
1 .33 0 r
.52007 .46296 m
.52082 .46388 L
.52167 .46482 L
.52221 .46549 L
.52328 .46672 L
.52357 .46709 L
.52488 .46863 L
.52491 .4687 L
.52618 .4703 L
.52649 .47066 L
.52745 .47191 L
.52809 .47267 L
.52874 .47351 L
.5297 .47468 L
.53003 .47512 L
.5313 .47669 L
.53132 .47672 L
.53254 .47833 L
.53291 .47877 L
.53379 .47993 L
.53451 .48083 L
.53504 .48154 L
.53612 .48289 L
.53631 .48314 L
.53753 .48475 L
.53772 .48499 L
.53874 .48636 L
.53933 .4871 L
.53996 .48796 L
.54093 .4892 L
.5412 .48957 L
.54242 .49117 L
.54254 .49133 L
.54358 .49278 L
.54414 .4935 L
.54477 .49438 L
.54575 .49566 L
.54598 .49599 L
.54714 .49759 L
.54735 .49787 L
.54824 .4992 L
.54896 .50016 L
.54937 .5008 L
.54896 .50162 L
.54828 .5008 L
.54735 .49979 L
.54687 .4992 L
.54575 .4979 L
.5455 .49759 L
.54417 .49599 L
.54414 .49596 L
.54289 .49438 L
.54254 .49398 L
.5416 .49278 L
.54093 .49198 L
.5403 .49117 L
.53933 .48998 L
.53901 .48957 L
.53772 .48796 L
.53772 .48796 L
.53649 .48636 L
.53612 .4859 L
.53524 .48475 L
.53451 .48385 L
.53398 .48314 L
.53291 .48202 L
.53272 .48154 L
.53149 .47993 L
.5313 .4797 L
.53028 .47833 L
.5297 .47759 L
.52905 .47672 L
.52809 .47549 L
.52782 .47512 L
.5266 .47351 L
.52649 .47337 L
.52543 .47191 L
.52488 .4712 L
.52424 .4703 L
.52328 .46905 L
.52303 .4687 L
.52186 .46709 L
.52167 .46684 L
.52076 .46549 L
.52007 .46457 L
.51962 .46388 L
F
1 .32 0 r
.52007 .46305 m
.52075 .46388 L
.52167 .46488 L
.52215 .46549 L
.52328 .46678 L
.52352 .46709 L
.52487 .4687 L
.52488 .46872 L
.52613 .4703 L
.52649 .47071 L
.52742 .47191 L
.52809 .47271 L
.52871 .47351 L
.5297 .47472 L
.53 .47512 L
.53129 .47672 L
.5313 .47674 L
.53251 .47833 L
.53291 .47881 L
.53376 .47993 L
.53451 .48087 L
.53501 .48154 L
.53612 .48293 L
.53628 .48314 L
.5375 .48475 L
.53772 .48503 L
.5387 .48636 L
.53933 .48714 L
.53993 .48796 L
.54093 .48924 L
.54117 .48957 L
.54238 .49117 L
.54254 .49137 L
.54354 .49278 L
.54414 .49355 L
.54473 .49438 L
.54575 .49571 L
.54594 .49599 L
.54709 .49759 L
.54735 .49793 L
.54818 .4992 L
.54896 .50025 L
.5493 .5008 L
.54896 .50153 L
.54835 .5008 L
.54735 .49972 L
.54693 .4992 L
.54575 .49784 L
.54555 .49759 L
.54422 .49599 L
.54414 .49591 L
.54293 .49438 L
.54254 .49393 L
.54164 .49278 L
.54093 .49194 L
.54034 .49117 L
.53933 .48994 L
.53904 .48957 L
.53776 .48796 L
.53772 .48792 L
.53652 .48636 L
.53612 .48586 L
.53527 .48475 L
.53451 .48381 L
.53401 .48314 L
.53291 .48195 L
.53275 .48154 L
.53153 .47993 L
.5313 .47966 L
.53031 .47833 L
.5297 .47755 L
.52908 .47672 L
.52809 .47545 L
.52785 .47512 L
.52664 .47351 L
.52649 .47332 L
.52547 .47191 L
.52488 .47116 L
.52427 .4703 L
.52328 .46899 L
.52307 .4687 L
.52192 .46709 L
.52167 .46678 L
.52081 .46549 L
.52007 .46449 L
.51968 .46388 L
F
0 .61 1 r
.52007 .45633 m
.5211 .45746 L
.52167 .45803 L
.52257 .45907 L
.52328 .45984 L
.52398 .46067 L
.52488 .4617 L
.52536 .46228 L
.52649 .46352 L
.52704 .46388 L
.52805 .46549 L
.52809 .46553 L
.52936 .46709 L
.5297 .46749 L
.53067 .4687 L
.5313 .46917 L
.53197 .4703 L
.53291 .47139 L
.53347 .47191 L
.53451 .47345 L
.53457 .47351 L
.53583 .47512 L
.53612 .47547 L
.5371 .47672 L
.53772 .47733 L
.53891 .47833 L
.53933 .47949 L
.53973 .47993 L
.54091 .48154 L
.54093 .48157 L
.54216 .48314 L
.54254 .48334 L
.54341 .48475 L
.54414 .48558 L
.54489 .48636 L
.54575 .48772 L
.54594 .48796 L
.54716 .48957 L
.54735 .48981 L
.5484 .49117 L
.54896 .49168 L
.55013 .49278 L
.55057 .49391 L
.55097 .49438 L
.55213 .49599 L
.55217 .49604 L
.55335 .49759 L
.55378 .49775 L
.55458 .4992 L
.55538 .5001 L
.55602 .5008 L
.55699 .50231 L
.55706 .50241 L
.55826 .50401 L
.55859 .50444 L
.55948 .50562 L
.5602 .50629 L
.56112 .50722 L
.5618 .50862 L
.56198 .50883 L
.56313 .51043 L
.56341 .51079 L
.56433 .51204 L
.56501 .51292 L
.56555 .51364 L
.56662 .51498 L
.56685 .51525 L
.56795 .51686 L
.56822 .51721 L
.56912 .51846 L
.56983 .51939 L
.57032 .52007 L
.57143 .52147 L
.57161 .52167 L
.57266 .52328 L
.57304 .52378 L
.5738 .52488 L
.57464 .52602 L
.57496 .52649 L
.57609 .52809 L
.57625 .52831 L
.57713 .5297 L
.57785 .53075 L
.57817 .5313 L
.57785 .53221 L
.57699 .5313 L
.57625 .53056 L
.57549 .5297 L
.57464 .52879 L
.57405 .52809 L
.57304 .52733 L
.57265 .52649 L
.57143 .52509 L
.57113 .52488 L
.56996 .52328 L
.56983 .52313 L
.56864 .52167 L
.56822 .52118 L
.56732 .52007 L
.56662 .51944 L
.566 .51846 L
.56501 .51728 L
.56457 .51686 L
.56342 .51525 L
.56341 .51524 L
.56214 .51364 L
.5618 .51323 L
.56086 .51204 L
.5602 .51133 L
.55919 .51043 L
.55859 .5092 L
.55826 .50883 L
.55705 .50722 L
.55699 .50714 L
.5558 .50562 L
.55538 .50532 L
.55454 .50401 L
.55378 .50312 L
.55312 .50241 L
.55217 .50099 L
.55202 .5008 L
.55079 .4992 L
.55057 .49892 L
.54955 .49759 L
.54896 .497 L
.54793 .49599 L
.54735 .49481 L
.547 .49438 L
.54582 .49278 L
.54575 .49269 L
.54459 .49117 L
.54414 .4909 L
.54336 .48957 L
.54254 .48861 L
.54197 .48796 L
.54093 .48642 L
.54088 .48636 L
.53968 .48475 L
.53933 .48431 L
.53846 .48314 L
.53772 .4824 L
.53691 .48154 L
.53612 .48012 L
.53597 .47993 L
.5348 .47833 L
.53451 .47796 L
.5336 .47672 L
.53291 .47624 L
.53238 .47512 L
.5313 .47376 L
.5311 .47351 L
.52998 .47191 L
.5297 .47154 L
.5288 .4703 L
.52809 .46937 L
.5276 .4687 L
.52649 .46727 L
.52633 .46709 L
.52526 .46549 L
.52488 .46499 L
.52411 .46388 L
.52328 .46276 L
.52294 .46228 L
.5218 .46067 L
.52167 .46049 L
.52075 .45907 L
.52007 .45809 L
.51968 .45746 L
F
1 .31 0 r
.52007 .46315 m
.52067 .46388 L
.52167 .46495 L
.5221 .46549 L
.52328 .46683 L
.52348 .46709 L
.52482 .4687 L
.52488 .46877 L
.52609 .4703 L
.52649 .47076 L
.52738 .47191 L
.52809 .47276 L
.52867 .47351 L
.5297 .47476 L
.52997 .47512 L
.53125 .47672 L
.5313 .47678 L
.53248 .47833 L
.53291 .47885 L
.53372 .47993 L
.53451 .48091 L
.53499 .48154 L
.53612 .48297 L
.53625 .48314 L
.53747 .48475 L
.53772 .48507 L
.53867 .48636 L
.53933 .48718 L
.5399 .48796 L
.54093 .48928 L
.54114 .48957 L
.54234 .49117 L
.54254 .49142 L
.5435 .49278 L
.54414 .4936 L
.54469 .49438 L
.54575 .49576 L
.5459 .49599 L
.54703 .49759 L
.54735 .49801 L
.54811 .4992 L
.54896 .50034 L
.54923 .5008 L
.54896 .50142 L
.54844 .5008 L
.54735 .49965 L
.54698 .4992 L
.54575 .49778 L
.5456 .49759 L
.54427 .49599 L
.54414 .49585 L
.54298 .49438 L
.54254 .49388 L
.54168 .49278 L
.54093 .49189 L
.54037 .49117 L
.53933 .4899 L
.53907 .48957 L
.5378 .48796 L
.53772 .48787 L
.53656 .48636 L
.53612 .48582 L
.5353 .48475 L
.53451 .48377 L
.53404 .48314 L
.53291 .48188 L
.53278 .48154 L
.53156 .47993 L
.5313 .47961 L
.53035 .47833 L
.5297 .47751 L
.52912 .47672 L
.52809 .47541 L
.52788 .47512 L
.52668 .47351 L
.52649 .47327 L
.52551 .47191 L
.52488 .4711 L
.52431 .4703 L
.52328 .46894 L
.5231 .4687 L
.52197 .46709 L
.52167 .4667 L
.52087 .46549 L
.52007 .4644 L
.51974 .46388 L
F
0 .6 1 r
.52007 .45646 m
.521 .45746 L
.52167 .45813 L
.52249 .45907 L
.52328 .45991 L
.52392 .46067 L
.52488 .46176 L
.52531 .46228 L
.52649 .46359 L
.52694 .46388 L
.52801 .46549 L
.52809 .46558 L
.52932 .46709 L
.5297 .46754 L
.53063 .4687 L
.5313 .46921 L
.53194 .4703 L
.53291 .47143 L
.53343 .47191 L
.53451 .47349 L
.53453 .47351 L
.5358 .47512 L
.53612 .47551 L
.53708 .47672 L
.53772 .47736 L
.53888 .47833 L
.53933 .47952 L
.5397 .47993 L
.54089 .48154 L
.54093 .4816 L
.54213 .48314 L
.54254 .48335 L
.54339 .48475 L
.54414 .4856 L
.54487 .48636 L
.54575 .48775 L
.54592 .48796 L
.54714 .48957 L
.54735 .48983 L
.54838 .49117 L
.54896 .4917 L
.55011 .49278 L
.55057 .49393 L
.55095 .49438 L
.55211 .49599 L
.55217 .49607 L
.55333 .49759 L
.55378 .49776 L
.55456 .4992 L
.55538 .50013 L
.55599 .5008 L
.55699 .50234 L
.55704 .50241 L
.55824 .50401 L
.55859 .50446 L
.55946 .50562 L
.5602 .50632 L
.56109 .50722 L
.5618 .50865 L
.56195 .50883 L
.56311 .51043 L
.56341 .51082 L
.56431 .51204 L
.56501 .51295 L
.56552 .51364 L
.56662 .51502 L
.56681 .51525 L
.56792 .51686 L
.56822 .51725 L
.56909 .51846 L
.56983 .51942 L
.57029 .52007 L
.57143 .52154 L
.57155 .52167 L
.57262 .52328 L
.57304 .52383 L
.57376 .52488 L
.57464 .52608 L
.57492 .52649 L
.57603 .52809 L
.57625 .52839 L
.57705 .5297 L
.57785 .53089 L
.57807 .5313 L
.57785 .53205 L
.57712 .5313 L
.57625 .53046 L
.57557 .5297 L
.57464 .52871 L
.57411 .52809 L
.57304 .52723 L
.57271 .52649 L
.57143 .52502 L
.57123 .52488 L
.57 .52328 L
.56983 .52308 L
.56868 .52167 L
.56822 .52114 L
.56735 .52007 L
.56662 .5194 L
.56604 .51846 L
.56501 .51724 L
.56461 .51686 L
.56345 .51525 L
.56341 .5152 L
.56217 .51364 L
.5618 .51319 L
.56089 .51204 L
.5602 .5113 L
.55922 .51043 L
.55859 .50917 L
.55829 .50883 L
.55708 .50722 L
.55699 .50711 L
.55582 .50562 L
.55538 .5053 L
.55456 .50401 L
.55378 .50309 L
.55314 .50241 L
.55217 .50096 L
.55205 .5008 L
.55081 .4992 L
.55057 .49889 L
.54957 .49759 L
.54896 .49698 L
.54795 .49599 L
.54735 .49478 L
.54702 .49438 L
.54584 .49278 L
.54575 .49266 L
.54461 .49117 L
.54414 .49088 L
.54338 .48957 L
.54254 .48858 L
.54199 .48796 L
.54093 .48639 L
.5409 .48636 L
.5397 .48475 L
.53933 .48428 L
.53848 .48314 L
.53772 .48237 L
.53694 .48154 L
.53612 .48008 L
.536 .47993 L
.53482 .47833 L
.53451 .47793 L
.53362 .47672 L
.53291 .4762 L
.53241 .47512 L
.5313 .47371 L
.53113 .47351 L
.53001 .47191 L
.5297 .4715 L
.52883 .4703 L
.52809 .46933 L
.52763 .4687 L
.52649 .46721 L
.52639 .46709 L
.5253 .46549 L
.52488 .46494 L
.52415 .46388 L
.52328 .4627 L
.52299 .46228 L
.52186 .46067 L
.52167 .46041 L
.52082 .45907 L
.52007 .45798 L
.51976 .45746 L
F
1 .85 .01 r
.52007 .44972 m
.52139 .45104 L
.52167 .4513 L
.52291 .45265 L
.52328 .45302 L
.52436 .45425 L
.52488 .45482 L
.52578 .45586 L
.52649 .45653 L
.52717 .45746 L
.52809 .45854 L
.52869 .45907 L
.5297 .46048 L
.52986 .46067 L
.5312 .46228 L
.5313 .46232 L
.53252 .46388 L
.53291 .46432 L
.53421 .46549 L
.53451 .46635 L
.53517 .46709 L
.53612 .46838 L
.53634 .4687 L
.5377 .4703 L
.53772 .47032 L
.53899 .47191 L
.53933 .47233 L
.54039 .47351 L
.54093 .4744 L
.54148 .47512 L
.54254 .47646 L
.54266 .47672 L
.54406 .47833 L
.54414 .47842 L
.54555 .47993 L
.54575 .48049 L
.5466 .48154 L
.54735 .48259 L
.54772 .48314 L
.54896 .48464 L
.54909 .48475 L
.55033 .48636 L
.55057 .48663 L
.55169 .48796 L
.55217 .48874 L
.55278 .48957 L
.55378 .49084 L
.55391 .49117 L
.55532 .49278 L
.55538 .49284 L
.55677 .49438 L
.55699 .49492 L
.55783 .49599 L
.55859 .49704 L
.55893 .49759 L
.5602 .49912 L
.56028 .4992 L
.56151 .5008 L
.5618 .50113 L
.56287 .50241 L
.56341 .50325 L
.56395 .50401 L
.56501 .50537 L
.56511 .50562 L
.56646 .50722 L
.56662 .50737 L
.56794 .50883 L
.56822 .50948 L
.56897 .51043 L
.56983 .51162 L
.57008 .51204 L
.57139 .51364 L
.57143 .51366 L
.57261 .51525 L
.57304 .51571 L
.57399 .51686 L
.57464 .51787 L
.57506 .51846 L
.57625 .51999 L
.57627 .52007 L
.57752 .52167 L
.57785 .52195 L
.57904 .52328 L
.57946 .52413 L
.58004 .52488 L
.58106 .52629 L
.58118 .52649 L
.58242 .52809 L
.58267 .52817 L
.58364 .5297 L
.58428 .53039 L
.58502 .5313 L
.58588 .5326 L
.58609 .53291 L
.5873 .53451 L
.58749 .53475 L
.5885 .53612 L
.58909 .53663 L
.59002 .53772 L
.5907 .53894 L
.59099 .53933 L
.59214 .54093 L
.5923 .54114 L
.59333 .54254 L
.59391 .54329 L
.59509 .54414 L
.59551 .54533 L
.59584 .54575 L
.59693 .54735 L
.59712 .5476 L
.5981 .54896 L
.59872 .54979 L
.59928 .55057 L
.60033 .55186 L
.60057 .55217 L
.6016 .55378 L
.60193 .55422 L
.60273 .55538 L
.60354 .5565 L
.60387 .55699 L
.60497 .55859 L
.60514 .55883 L
.60597 .5602 L
.60675 .5614 L
.60696 .5618 L
.60675 .56275 L
.60572 .5618 L
.60514 .56128 L
.60412 .5602 L
.60354 .5596 L
.60263 .55859 L
.60193 .55783 L
.6012 .55699 L
.60033 .5561 L
.5998 .55538 L
.59872 .55413 L
.59834 .55378 L
.59712 .55221 L
.59708 .55217 L
.59575 .55057 L
.59551 .5504 L
.59442 .54896 L
.59391 .54837 L
.59282 .54735 L
.5923 .54634 L
.59179 .54575 L
.5907 .54433 L
.59057 .54414 L
.58923 .54254 L
.58909 .5424 L
.58794 .54093 L
.58749 .54036 L
.58657 .53933 L
.58588 .53829 L
.58545 .53772 L
.58428 .53625 L
.58423 .53612 L
.58287 .53451 L
.58267 .53429 L
.5814 .53291 L
.58106 .53221 L
.58034 .5313 L
.57946 .53011 L
.57921 .5297 L
.57785 .5281 L
.57784 .52809 L
.57626 .52649 L
.57625 .52607 L
.57525 .52488 L
.57464 .52396 L
.57416 .52328 L
.57304 .52187 L
.57298 .52167 L
.57161 .52007 L
.57143 .51988 L
.57017 .51846 L
.56983 .51778 L
.56911 .51686 L
.56822 .51566 L
.56799 .51525 L
.56664 .51364 L
.56662 .51362 L
.56506 .51204 L
.56501 .51157 L
.56407 .51043 L
.56341 .50944 L
.56298 .50883 L
.5618 .50734 L
.56177 .50722 L
.56047 .50562 L
.5602 .50535 L
.55901 .50401 L
.55859 .50322 L
.55797 .50241 L
.55699 .50109 L
.55683 .5008 L
.55553 .4992 L
.55538 .4991 L
.5539 .49759 L
.55378 .49699 L
.55296 .49599 L
.55217 .49483 L
.55186 .49438 L
.55061 .49278 L
.55057 .49272 L
.5494 .49117 L
.54896 .49076 L
.54792 .48957 L
.54735 .48857 L
.5469 .48796 L
.54575 .48641 L
.54572 .48636 L
.5445 .48475 L
.54414 .48455 L
.54281 .48314 L
.54254 .4823 L
.54193 .48154 L
.54093 .4801 L
.54082 .47993 L
.53962 .47833 L
.53933 .47796 L
.53841 .47672 L
.53772 .47605 L
.53695 .47512 L
.53612 .47376 L
.53594 .47351 L
.53476 .47191 L
.53451 .47158 L
.53357 .4703 L
.53291 .46982 L
.53194 .4687 L
.5313 .46737 L
.53109 .46709 L
.52996 .46549 L
.5297 .46514 L
.52879 .46388 L
.52809 .46296 L
.5276 .46228 L
.52649 .46085 L
.52635 .46067 L
.52526 .45907 L
.52488 .45856 L
.52412 .45746 L
.52328 .4563 L
.52297 .45586 L
.52185 .45425 L
.52167 .45401 L
.52081 .45265 L
.52007 .45155 L
.51977 .45104 L
F
1 .78 .001 r
.52007 .56106 m
.52063 .5618 L
.52167 .56304 L
.52195 .56341 L
.52167 .56434 L
.52104 .56341 L
.52007 .56223 L
.51978 .5618 L
F
0 .3 1 r
.52007 .46989 m
.52034 .4703 L
.52007 .47072 L
.51978 .4703 L
F
1 .3 0 r
.52007 .46326 m
.52058 .46388 L
.52167 .46502 L
.52204 .46549 L
.52328 .46689 L
.52343 .46709 L
.52477 .4687 L
.52488 .46883 L
.52605 .4703 L
.52649 .47081 L
.52734 .47191 L
.52809 .4728 L
.52864 .47351 L
.5297 .4748 L
.52994 .47512 L
.53122 .47672 L
.5313 .47683 L
.53244 .47833 L
.53291 .47889 L
.53369 .47993 L
.53451 .48095 L
.53496 .48154 L
.53612 .48301 L
.53622 .48314 L
.53743 .48475 L
.53772 .48511 L
.53864 .48636 L
.53933 .48722 L
.53987 .48796 L
.54093 .48932 L
.54111 .48957 L
.5423 .49117 L
.54254 .49147 L
.54346 .49278 L
.54414 .49365 L
.54465 .49438 L
.54575 .49582 L
.54587 .49599 L
.54697 .49759 L
.54735 .49809 L
.54804 .4992 L
.54896 .50046 L
.54915 .5008 L
.54896 .50129 L
.54854 .5008 L
.54735 .49957 L
.54705 .4992 L
.54575 .49772 L
.54565 .49759 L
.54432 .49599 L
.54414 .49579 L
.54302 .49438 L
.54254 .49383 L
.54172 .49278 L
.54093 .49185 L
.54041 .49117 L
.53933 .48985 L
.53911 .48957 L
.53783 .48796 L
.53772 .48783 L
.53659 .48636 L
.53612 .48578 L
.53534 .48475 L
.53451 .48373 L
.53407 .48314 L
.53291 .4818 L
.53281 .48154 L
.5316 .47993 L
.5313 .47957 L
.53038 .47833 L
.5297 .47747 L
.52915 .47672 L
.52809 .47537 L
.52791 .47512 L
.52672 .47351 L
.52649 .47322 L
.52555 .47191 L
.52488 .47105 L
.52435 .4703 L
.52328 .46889 L
.52314 .4687 L
.52203 .46709 L
.52167 .46663 L
.52094 .46549 L
.52007 .46429 L
.51982 .46388 L
F
0 .59 1 r
.52007 .45662 m
.52088 .45746 L
.52167 .45822 L
.52242 .45907 L
.52328 .45999 L
.52386 .46067 L
.52488 .46182 L
.52526 .46228 L
.52649 .46366 L
.52684 .46388 L
.52796 .46549 L
.52809 .46563 L
.52928 .46709 L
.5297 .46758 L
.5306 .4687 L
.5313 .46925 L
.53191 .4703 L
.53291 .47147 L
.53339 .47191 L
.5345 .47351 L
.53451 .47352 L
.53577 .47512 L
.53612 .47554 L
.53705 .47672 L
.53772 .47739 L
.53885 .47833 L
.53933 .47955 L
.53967 .47993 L
.54086 .48154 L
.54093 .48163 L
.54211 .48314 L
.54254 .48337 L
.54337 .48475 L
.54414 .48563 L
.54485 .48636 L
.54575 .48778 L
.5459 .48796 L
.54712 .48957 L
.54735 .48986 L
.54836 .49117 L
.54896 .49173 L
.55009 .49278 L
.55057 .49396 L
.55093 .49438 L
.55209 .49599 L
.55217 .49609 L
.55331 .49759 L
.55378 .49778 L
.55454 .4992 L
.55538 .50016 L
.55597 .5008 L
.55699 .50237 L
.55702 .50241 L
.55822 .50401 L
.55859 .50449 L
.55944 .50562 L
.5602 .50635 L
.56106 .50722 L
.5618 .50868 L
.56192 .50883 L
.56309 .51043 L
.56341 .51085 L
.56429 .51204 L
.56501 .51298 L
.5655 .51364 L
.56662 .51507 L
.56678 .51525 L
.56789 .51686 L
.56822 .51729 L
.56907 .51846 L
.56983 .51946 L
.57026 .52007 L
.57143 .52162 L
.57148 .52167 L
.57258 .52328 L
.57304 .52389 L
.57372 .52488 L
.57464 .52615 L
.57487 .52649 L
.57596 .52809 L
.57625 .52849 L
.57696 .5297 L
.57785 .53107 L
.57796 .5313 L
.57785 .53183 L
.57728 .5313 L
.57625 .53036 L
.57565 .5297 L
.57464 .52863 L
.57418 .52809 L
.57304 .52712 L
.57276 .52649 L
.57143 .52495 L
.57133 .52488 L
.57005 .52328 L
.56983 .52302 L
.56872 .52167 L
.56822 .52109 L
.56739 .52007 L
.56662 .51936 L
.56607 .51846 L
.56501 .5172 L
.56466 .51686 L
.56348 .51525 L
.56341 .51517 L
.5622 .51364 L
.5618 .51316 L
.56092 .51204 L
.5602 .51127 L
.55925 .51043 L
.55859 .50914 L
.55832 .50883 L
.5571 .50722 L
.55699 .50708 L
.55585 .50562 L
.55538 .50528 L
.55458 .50401 L
.55378 .50306 L
.55317 .50241 L
.55217 .50094 L
.55207 .5008 L
.55083 .4992 L
.55057 .49886 L
.54959 .49759 L
.54896 .49696 L
.54798 .49599 L
.54735 .49476 L
.54704 .49438 L
.54586 .49278 L
.54575 .49264 L
.54463 .49117 L
.54414 .49086 L
.5434 .48957 L
.54254 .48855 L
.54202 .48796 L
.54093 .48637 L
.54093 .48636 L
.53972 .48475 L
.53933 .48425 L
.5385 .48314 L
.53772 .48234 L
.53696 .48154 L
.53612 .48005 L
.53602 .47993 L
.53485 .47833 L
.53451 .4779 L
.53364 .47672 L
.53291 .47617 L
.53243 .47512 L
.5313 .47367 L
.53117 .47351 L
.53004 .47191 L
.5297 .47147 L
.52886 .4703 L
.52809 .46929 L
.52766 .4687 L
.52649 .46714 L
.52645 .46709 L
.52533 .46549 L
.52488 .46488 L
.52419 .46388 L
.52328 .46264 L
.52303 .46228 L
.52192 .46067 L
.52167 .46032 L
.52089 .45907 L
.52007 .45784 L
.51985 .45746 L
F
.395 .97 1 r
.52007 .4431 m
.52167 .44459 L
.5217 .44462 L
.52325 .44622 L
.52328 .44625 L
.52474 .44783 L
.52488 .44798 L
.52618 .44943 L
.52649 .44969 L
.52759 .45104 L
.52809 .45163 L
.52929 .45265 L
.5297 .45357 L
.53031 .45425 L
.5313 .45553 L
.53153 .45586 L
.53291 .45743 L
.533 .45746 L
.53432 .45907 L
.53451 .45933 L
.53566 .46067 L
.53612 .46137 L
.5368 .46228 L
.53772 .46346 L
.53789 .46388 L
.53933 .46527 L
.5395 .46549 L
.54083 .46709 L
.54093 .46732 L
.542 .4687 L
.54254 .46944 L
.54308 .4703 L
.54414 .47161 L
.5446 .47191 L
.54575 .4734 L
.54584 .47351 L
.5471 .47512 L
.54735 .47551 L
.54822 .47672 L
.54896 .47768 L
.5492 .47833 L
.55057 .47956 L
.55086 .47993 L
.55211 .48154 L
.55217 .48165 L
.55329 .48314 L
.55378 .4838 L
.55434 .48475 L
.55538 .486 L
.55585 .48636 L
.55699 .48785 L
.55707 .48796 L
.55832 .48957 L
.55859 .48998 L
.55942 .49117 L
.5602 .49215 L
.56039 .49278 L
.5618 .4943 L
.56204 .49438 L
.5633 .49599 L
.56341 .49619 L
.56445 .49759 L
.56501 .49834 L
.5655 .4992 L
.56662 .5005 L
.56699 .5008 L
.56822 .50241 L
.56822 .50243 L
.56946 .50401 L
.56983 .50455 L
.57055 .50562 L
.57143 .50671 L
.57155 .50722 L
.57304 .50878 L
.57315 .50883 L
.57445 .51043 L
.57464 .51078 L
.57558 .51204 L
.57625 .51292 L
.57663 .51364 L
.57785 .51505 L
.57809 .51525 L
.57942 .51686 L
.57946 .51703 L
.58058 .51846 L
.58106 .51915 L
.58167 .52007 L
.58267 .52129 L
.58272 .52167 L
.58424 .52328 L
.58428 .52331 L
.58559 .52488 L
.58588 .5254 L
.58668 .52649 L
.58749 .52753 L
.58776 .52809 L
.58909 .52962 L
.58917 .5297 L
.5906 .5313 L
.5907 .53165 L
.59169 .53291 L
.5923 .53378 L
.59278 .53451 L
.59391 .5359 L
.59392 .53612 L
.59532 .53772 L
.59551 .5379 L
.59671 .53933 L
.59712 .54002 L
.59778 .54093 L
.59872 .54217 L
.5989 .54254 L
.60024 .54414 L
.60033 .54419 L
.60176 .54575 L
.60193 .54627 L
.60278 .54735 L
.60354 .54843 L
.60387 .54896 L
.60514 .55056 L
.60515 .55057 L
.60636 .55217 L
.60675 .5525 L
.60779 .55378 L
.60835 .55469 L
.60884 .55538 L
.60996 .55686 L
.61002 .55699 L
.61126 .55859 L
.61156 .55872 L
.61286 .5602 L
.61317 .56095 L
.61381 .5618 L
.61477 .56317 L
.61492 .56341 L
.61615 .56501 L
.61638 .56531 L
.61735 .56662 L
.61799 .56719 L
.61879 .56822 L
.61959 .56949 L
.61982 .56983 L
.621 .57143 L
.6212 .57169 L
.62219 .57304 L
.6228 .57383 L
.62377 .57464 L
.62441 .57587 L
.62468 .57625 L
.6258 .57785 L
.62601 .57813 L
.62697 .57946 L
.62762 .58032 L
.62815 .58106 L
.62922 .58241 L
.62941 .58267 L
.63047 .58428 L
.63083 .58475 L
.6316 .58588 L
.63243 .58704 L
.63273 .58749 L
.63382 .58909 L
.63404 .5894 L
.63481 .5907 L
.63564 .59205 L
.63576 .5923 L
.63564 .5933 L
.63442 .5923 L
.63404 .59199 L
.63275 .5907 L
.63243 .59038 L
.63123 .58909 L
.63083 .58867 L
.62976 .58749 L
.62922 .58698 L
.62834 .58588 L
.62762 .58504 L
.62673 .58428 L
.62601 .58311 L
.6256 .58267 L
.62441 .58119 L
.62432 .58106 L
.62292 .57946 L
.6228 .57933 L
.62126 .57785 L
.6212 .57733 L
.62025 .57625 L
.61959 .57529 L
.61911 .57464 L
.61799 .57324 L
.61795 .57304 L
.61642 .57143 L
.61638 .57138 L
.61505 .56983 L
.61477 .56931 L
.61393 .56822 L
.61317 .56719 L
.61284 .56662 L
.61156 .5651 L
.61134 .56501 L
.61 .56341 L
.60996 .56323 L
.60882 .5618 L
.60835 .56111 L
.60772 .5602 L
.60675 .55896 L
.60669 .55859 L
.60514 .55706 L
.60508 .55699 L
.60377 .55538 L
.60354 .55496 L
.60265 .55378 L
.60193 .55281 L
.60159 .55217 L
.60033 .55069 L
.6001 .55057 L
.59878 .54896 L
.59872 .54877 L
.59761 .54735 L
.59712 .54664 L
.59652 .54575 L
.59551 .54449 L
.59549 .54414 L
.59391 .54254 L
.59391 .54253 L
.59259 .54093 L
.5923 .54043 L
.59148 .53933 L
.5907 .53829 L
.59042 .53772 L
.58909 .5362 L
.58896 .53612 L
.58758 .53451 L
.58749 .5342 L
.58646 .53291 L
.58588 .53207 L
.58538 .5313 L
.58428 .52995 L
.58402 .5297 L
.5828 .52809 L
.58267 .52795 L
.58144 .52649 L
.58106 .52584 L
.58036 .52488 L
.57946 .52371 L
.57926 .52328 L
.57786 .52167 L
.57785 .52166 L
.57641 .52007 L
.57625 .5196 L
.57534 .51846 L
.57464 .51747 L
.57425 .51686 L
.57304 .51537 L
.57293 .51525 L
.57171 .51364 L
.57143 .51336 L
.57032 .51204 L
.56983 .51123 L
.56925 .51043 L
.56822 .5091 L
.56811 .50883 L
.56678 .50722 L
.56662 .5071 L
.56527 .50562 L
.56501 .50499 L
.56424 .50401 L
.56341 .50284 L
.56313 .50241 L
.56185 .5008 L
.5618 .50079 L
.56063 .4992 L
.5602 .49876 L
.55922 .49759 L
.55859 .4966 L
.55815 .49599 L
.55699 .49446 L
.55695 .49438 L
.55571 .49278 L
.55538 .49254 L
.55415 .49117 L
.55378 .49036 L
.55316 .48957 L
.55217 .48818 L
.55203 .48796 L
.5508 .48636 L
.55057 .48606 L
.54958 .48475 L
.54896 .48414 L
.54816 .48314 L
.54735 .48191 L
.54709 .48154 L
.54588 .47993 L
.54575 .47976 L
.54468 .47833 L
.54414 .47795 L
.54311 .47672 L
.54254 .47565 L
.54214 .47512 L
.54098 .47351 L
.54093 .47345 L
.53979 .47191 L
.53933 .47132 L
.53857 .4703 L
.53772 .46939 L
.53718 .4687 L
.53612 .46711 L
.53611 .46709 L
.53492 .46549 L
.53451 .46496 L
.53372 .46388 L
.53291 .46314 L
.53223 .46228 L
.5313 .46073 L
.53126 .46067 L
.5301 .45907 L
.5297 .45854 L
.52892 .45746 L
.52809 .45638 L
.52772 .45586 L
.52651 .45425 L
.52649 .45422 L
.52538 .45265 L
.52488 .45199 L
.52423 .45104 L
.52328 .44975 L
.52307 .44943 L
.52195 .44783 L
.52167 .44743 L
.52091 .44622 L
.52007 .44496 L
.51987 .44462 L
F
1 .29 0 r
.52007 .46339 m
.52048 .46388 L
.52167 .4651 L
.52198 .46549 L
.52328 .46695 L
.52339 .46709 L
.52471 .4687 L
.52488 .46889 L
.526 .4703 L
.52649 .47086 L
.5273 .47191 L
.52809 .47285 L
.5286 .47351 L
.5297 .47484 L
.52991 .47512 L
.53118 .47672 L
.5313 .47687 L
.53241 .47833 L
.53291 .47893 L
.53366 .47993 L
.53451 .48099 L
.53493 .48154 L
.53612 .48304 L
.53619 .48314 L
.5374 .48475 L
.53772 .48515 L
.5386 .48636 L
.53933 .48726 L
.53984 .48796 L
.54093 .48937 L
.54108 .48957 L
.54226 .49117 L
.54254 .49152 L
.54342 .49278 L
.54414 .4937 L
.54461 .49438 L
.54575 .49588 L
.54583 .49599 L
.5469 .49759 L
.54735 .49818 L
.54796 .4992 L
.54896 .50062 L
.54905 .5008 L
.54896 .50112 L
.54868 .5008 L
.54735 .49949 L
.54712 .4992 L
.54575 .49765 L
.5457 .49759 L
.54438 .49599 L
.54414 .49573 L
.54307 .49438 L
.54254 .49377 L
.54176 .49278 L
.54093 .4918 L
.54044 .49117 L
.53933 .48981 L
.53914 .48957 L
.53787 .48796 L
.53772 .48778 L
.53663 .48636 L
.53612 .48573 L
.53537 .48475 L
.53451 .48368 L
.5341 .48314 L
.53291 .48172 L
.53284 .48154 L
.53163 .47993 L
.5313 .47953 L
.53042 .47833 L
.5297 .47742 L
.52918 .47672 L
.52809 .47532 L
.52794 .47512 L
.52676 .47351 L
.52649 .47317 L
.52559 .47191 L
.52488 .471 L
.52439 .4703 L
.52328 .46883 L
.52319 .4687 L
.52209 .46709 L
.52167 .46654 L
.52101 .46549 L
.52007 .46417 L
.5199 .46388 L
F
0 .29 1 r
.52007 .47005 m
.52022 .4703 L
.52007 .47055 L
.5199 .4703 L
F
.004 .82 1 r
.52007 .50567 m
.52167 .5066 L
.52219 .50722 L
.52328 .50825 L
.5238 .50883 L
.52488 .51004 L
.52536 .51043 L
.52649 .5119 L
.52661 .51204 L
.52794 .51364 L
.52809 .51366 L
.52924 .51525 L
.5297 .51571 L
.53079 .51686 L
.5313 .51786 L
.53175 .51846 L
.53291 .52004 L
.53292 .52007 L
.53408 .52167 L
.53451 .52231 L
.53518 .52328 L
.53612 .52484 L
.53615 .52488 L
.53666 .52649 L
.53612 .52689 L
.53523 .52649 L
.53451 .526 L
.53334 .52488 L
.53291 .52446 L
.53187 .52328 L
.5313 .523 L
.53052 .52167 L
.5297 .52085 L
.52871 .52007 L
.52809 .51871 L
.52786 .51846 L
.52669 .51686 L
.52649 .5166 L
.52548 .51525 L
.52488 .51447 L
.52428 .51364 L
.52328 .5125 L
.52295 .51204 L
.52195 .51043 L
.52167 .51003 L
.52089 .50883 L
.52007 .50751 L
.51991 .50722 L
F
0 .58 1 r
.52007 .45682 m
.52073 .45746 L
.52167 .45832 L
.52233 .45907 L
.52328 .46006 L
.5238 .46067 L
.52488 .46189 L
.52521 .46228 L
.52649 .46373 L
.52673 .46388 L
.52792 .46549 L
.52809 .46568 L
.52924 .46709 L
.5297 .46763 L
.53056 .4687 L
.5313 .46929 L
.53188 .4703 L
.53291 .47151 L
.53334 .47191 L
.53447 .47351 L
.53451 .47356 L
.53575 .47512 L
.53612 .47557 L
.53702 .47672 L
.53772 .47742 L
.53882 .47833 L
.53933 .47959 L
.53965 .47993 L
.54084 .48154 L
.54093 .48166 L
.54209 .48314 L
.54254 .48339 L
.54335 .48475 L
.54414 .48566 L
.54482 .48636 L
.54575 .48781 L
.54588 .48796 L
.5471 .48957 L
.54735 .48989 L
.54834 .49117 L
.54896 .49175 L
.55006 .49278 L
.55057 .49399 L
.55091 .49438 L
.55207 .49599 L
.55217 .49612 L
.55329 .49759 L
.55378 .4978 L
.55452 .4992 L
.55538 .50018 L
.55595 .5008 L
.55699 .5024 L
.557 .50241 L
.5582 .50401 L
.55859 .50452 L
.55942 .50562 L
.5602 .50638 L
.56103 .50722 L
.5618 .50872 L
.56189 .50883 L
.56306 .51043 L
.56341 .51088 L
.56426 .51204 L
.56501 .51302 L
.56548 .51364 L
.56662 .51511 L
.56674 .51525 L
.56786 .51686 L
.56822 .51733 L
.56904 .51846 L
.56983 .51951 L
.57023 .52007 L
.57142 .52167 L
.57143 .52168 L
.57254 .52328 L
.57304 .52394 L
.57367 .52488 L
.57464 .52621 L
.57483 .52649 L
.57589 .52809 L
.57625 .5286 L
.57687 .5297 L
.57625 .53024 L
.57575 .5297 L
.57464 .52855 L
.57425 .52809 L
.57304 .52699 L
.57282 .52649 L
.57143 .52488 L
.57143 .52488 L
.5701 .52328 L
.56983 .52297 L
.56876 .52167 L
.56822 .52104 L
.56743 .52007 L
.56662 .51931 L
.56611 .51846 L
.56501 .51715 L
.5647 .51686 L
.56351 .51525 L
.56341 .51513 L
.56223 .51364 L
.5618 .51312 L
.56094 .51204 L
.5602 .51124 L
.55928 .51043 L
.55859 .50911 L
.55835 .50883 L
.55713 .50722 L
.55699 .50705 L
.55587 .50562 L
.55538 .50526 L
.55461 .50401 L
.55378 .50303 L
.55319 .50241 L
.55217 .50091 L
.55209 .5008 L
.55085 .4992 L
.55057 .49884 L
.54961 .49759 L
.54896 .49693 L
.548 .49599 L
.54735 .49473 L
.54707 .49438 L
.54588 .49278 L
.54575 .49261 L
.54465 .49117 L
.54414 .49084 L
.54342 .48957 L
.54254 .48852 L
.54204 .48796 L
.54095 .48636 L
.54093 .48634 L
.53974 .48475 L
.53933 .48422 L
.53852 .48314 L
.53772 .48231 L
.53699 .48154 L
.53612 .48002 L
.53605 .47993 L
.53487 .47833 L
.53451 .47787 L
.53367 .47672 L
.53291 .47613 L
.53245 .47512 L
.5313 .47363 L
.53121 .47351 L
.53007 .47191 L
.5297 .47143 L
.52889 .4703 L
.52809 .46925 L
.52769 .4687 L
.5265 .46709 L
.52649 .46708 L
.52537 .46549 L
.52488 .46483 L
.52423 .46388 L
.52328 .46258 L
.52307 .46228 L
.52199 .46067 L
.52167 .46023 L
.52097 .45907 L
.52007 .45768 L
.51995 .45746 L
F
1 .84 .007 r
.52007 .45011 m
.52111 .45104 L
.52167 .45153 L
.52273 .45265 L
.52328 .4532 L
.52423 .45425 L
.52488 .45496 L
.52567 .45586 L
.52649 .45665 L
.52707 .45746 L
.52809 .45864 L
.52858 .45907 L
.5297 .46057 L
.52979 .46067 L
.53112 .46228 L
.5313 .46236 L
.53245 .46388 L
.53291 .46439 L
.53417 .46549 L
.53451 .46642 L
.53511 .46709 L
.53612 .46843 L
.53631 .4687 L
.53765 .4703 L
.53772 .47036 L
.53894 .47191 L
.53933 .47238 L
.54035 .47351 L
.54093 .47445 L
.54145 .47512 L
.54254 .4765 L
.54264 .47672 L
.54402 .47833 L
.54414 .47846 L
.54553 .47993 L
.54575 .48053 L
.54657 .48154 L
.54735 .48262 L
.54769 .48314 L
.54896 .48467 L
.54906 .48475 L
.55031 .48636 L
.55057 .48667 L
.55167 .48796 L
.55217 .48877 L
.55276 .48957 L
.55378 .49087 L
.5539 .49117 L
.55529 .49278 L
.55538 .49287 L
.55676 .49438 L
.55699 .49495 L
.55781 .49599 L
.55859 .49707 L
.55892 .49759 L
.5602 .49914 L
.56026 .4992 L
.56149 .5008 L
.5618 .50115 L
.56286 .50241 L
.56341 .50328 L
.56394 .50401 L
.56501 .50539 L
.5651 .50562 L
.56644 .50722 L
.56662 .50739 L
.56792 .50883 L
.56822 .5095 L
.56895 .51043 L
.56983 .51164 L
.57007 .51204 L
.57137 .51364 L
.57143 .51367 L
.57259 .51525 L
.57304 .51574 L
.57397 .51686 L
.57464 .51789 L
.57504 .51846 L
.57625 .52002 L
.57627 .52007 L
.5775 .52167 L
.57785 .52197 L
.57903 .52328 L
.57946 .52416 L
.58002 .52488 L
.58106 .52632 L
.58116 .52649 L
.5824 .52809 L
.58267 .52818 L
.58361 .5297 L
.58428 .53042 L
.58499 .5313 L
.58588 .53264 L
.58607 .53291 L
.58727 .53451 L
.58749 .53479 L
.58847 .53612 L
.58909 .53667 L
.58999 .53772 L
.5907 .53898 L
.59095 .53933 L
.59211 .54093 L
.5923 .54118 L
.59329 .54254 L
.59391 .54334 L
.59504 .54414 L
.59551 .5454 L
.59578 .54575 L
.59688 .54735 L
.59712 .54766 L
.59804 .54896 L
.59872 .54986 L
.59922 .55057 L
.60033 .55199 L
.60047 .55217 L
.60153 .55378 L
.60193 .55433 L
.60264 .55538 L
.60354 .55663 L
.60377 .55699 L
.60483 .55859 L
.60514 .55905 L
.60579 .5602 L
.60514 .56102 L
.60433 .5602 L
.60354 .55941 L
.60279 .55859 L
.60193 .55768 L
.60132 .55699 L
.60033 .55596 L
.5999 .55538 L
.59872 .55401 L
.59845 .55378 L
.59717 .55217 L
.59712 .55211 L
.59583 .55057 L
.59551 .55035 L
.59449 .54896 L
.59391 .54829 L
.59287 .54735 L
.5923 .54627 L
.59184 .54575 L
.5907 .54428 L
.59061 .54414 L
.58928 .54254 L
.58909 .54235 L
.58799 .54093 L
.58749 .54031 L
.58661 .53933 L
.58588 .53824 L
.58549 .53772 L
.58428 .53622 L
.58424 .53612 L
.5829 .53451 L
.58267 .53425 L
.58142 .53291 L
.58106 .53217 L
.58037 .5313 L
.57946 .53008 L
.57923 .5297 L
.57787 .52809 L
.57785 .52808 L
.57626 .52649 L
.57625 .52604 L
.57527 .52488 L
.57464 .52393 L
.57418 .52328 L
.57304 .52184 L
.57299 .52167 L
.57163 .52007 L
.57143 .51985 L
.57019 .51846 L
.56983 .51775 L
.56913 .51686 L
.56822 .51563 L
.568 .51525 L
.56666 .51364 L
.56662 .51361 L
.56507 .51204 L
.56501 .51155 L
.56409 .51043 L
.56341 .50942 L
.56299 .50883 L
.5618 .50732 L
.56178 .50722 L
.56049 .50562 L
.5602 .50533 L
.55903 .50401 L
.55859 .50319 L
.55799 .50241 L
.55699 .50106 L
.55684 .5008 L
.55555 .4992 L
.55538 .49908 L
.55391 .49759 L
.55378 .49696 L
.55298 .49599 L
.55217 .4948 L
.55188 .49438 L
.55063 .49278 L
.55057 .49269 L
.54942 .49117 L
.54896 .49074 L
.54794 .48957 L
.54735 .48854 L
.54692 .48796 L
.54575 .48639 L
.54573 .48636 L
.54452 .48475 L
.54414 .48453 L
.54283 .48314 L
.54254 .48227 L
.54195 .48154 L
.54093 .48007 L
.54084 .47993 L
.53964 .47833 L
.53933 .47793 L
.53843 .47672 L
.53772 .47601 L
.53698 .47512 L
.53612 .47372 L
.53597 .47351 L
.5348 .47191 L
.53451 .47154 L
.5336 .4703 L
.53291 .46977 L
.53198 .4687 L
.5313 .46731 L
.53114 .46709 L
.53001 .46549 L
.5297 .46508 L
.52884 .46388 L
.52809 .46289 L
.52765 .46228 L
.52649 .46074 L
.52644 .46067 L
.52533 .45907 L
.52488 .45846 L
.5242 .45746 L
.52328 .45619 L
.52305 .45586 L
.52197 .45425 L
.52167 .45383 L
.52096 .45265 L
.52007 .45125 L
.51996 .45104 L
F
.003 .81 1 r
.52007 .50591 m
.52167 .50674 L
.52206 .50722 L
.52328 .50834 L
.52372 .50883 L
.52488 .51011 L
.52528 .51043 L
.52649 .51196 L
.52656 .51204 L
.52789 .51364 L
.52809 .51366 L
.52919 .51525 L
.5297 .51576 L
.53075 .51686 L
.5313 .51792 L
.5317 .51846 L
.53287 .52007 L
.53291 .52012 L
.53402 .52167 L
.53451 .5224 L
.53511 .52328 L
.53605 .52488 L
.53612 .52503 L
.53645 .52649 L
.53612 .52671 L
.53546 .52649 L
.53451 .5259 L
.53342 .52488 L
.53291 .52439 L
.53193 .52328 L
.5313 .52296 L
.53056 .52167 L
.5297 .5208 L
.52877 .52007 L
.52809 .51866 L
.5279 .51846 L
.52673 .51686 L
.52649 .51655 L
.52552 .51525 L
.52488 .51442 L
.52432 .51364 L
.52328 .51241 L
.52301 .51204 L
.52201 .51043 L
.52167 .50995 L
.52096 .50883 L
.52007 .50735 L
.52 .50722 L
F
1 .28 0 r
.52007 .46358 m
.52033 .46388 L
.52167 .46519 L
.52191 .46549 L
.52328 .46702 L
.52334 .46709 L
.52465 .4687 L
.52488 .46895 L
.52595 .4703 L
.52649 .47091 L
.52726 .47191 L
.52809 .47289 L
.52857 .47351 L
.5297 .47489 L
.52987 .47512 L
.53114 .47672 L
.5313 .47692 L
.53237 .47833 L
.53291 .47897 L
.53363 .47993 L
.53451 .48103 L
.53489 .48154 L
.53612 .48308 L
.53616 .48314 L
.53736 .48475 L
.53772 .48519 L
.53857 .48636 L
.53933 .48731 L
.5398 .48796 L
.54093 .48941 L
.54105 .48957 L
.54222 .49117 L
.54254 .49157 L
.54338 .49278 L
.54414 .49376 L
.54457 .49438 L
.54575 .49594 L
.54578 .49599 L
.54575 .49758 L
.54444 .49599 L
.54414 .49566 L
.54312 .49438 L
.54254 .49372 L
.5418 .49278 L
.54093 .49175 L
.54048 .49117 L
.53933 .48976 L
.53918 .48957 L
.53791 .48796 L
.53772 .48774 L
.53667 .48636 L
.53612 .48569 L
.53541 .48475 L
.53451 .48364 L
.53414 .48314 L
.53291 .48164 L
.53287 .48154 L
.53167 .47993 L
.5313 .47948 L
.53045 .47833 L
.5297 .47738 L
.52922 .47672 L
.52809 .47528 L
.52798 .47512 L
.5268 .47351 L
.52649 .47312 L
.52563 .47191 L
.52488 .47094 L
.52444 .4703 L
.52328 .46877 L
.52323 .4687 L
.52216 .46709 L
.52167 .46644 L
.5211 .46549 L
.52007 .46401 L
.52 .46388 L
F
.061 .91 1 r
.52007 .55484 m
.5206 .55538 L
.52167 .55644 L
.52214 .55699 L
.52328 .55826 L
.52356 .55859 L
.52488 .56014 L
.52493 .5602 L
.52624 .5618 L
.52649 .56208 L
.52756 .56341 L
.52809 .56404 L
.52888 .56501 L
.5297 .56601 L
.53019 .56662 L
.5313 .56786 L
.53148 .56822 L
.53275 .56983 L
.53291 .57002 L
.53401 .57143 L
.53451 .57205 L
.53528 .57304 L
.53612 .57409 L
.53655 .57464 L
.53772 .57611 L
.53788 .57625 L
.53903 .57785 L
.53933 .57822 L
.54027 .57946 L
.54093 .58031 L
.54151 .58106 L
.54254 .58219 L
.54275 .58267 L
.54396 .58428 L
.54414 .58451 L
.54516 .58588 L
.54575 .58664 L
.54638 .58749 L
.54735 .58878 L
.54759 .58909 L
.54876 .5907 L
.54896 .59095 L
.54992 .5923 L
.55057 .59315 L
.5511 .59391 L
.55217 .59537 L
.55227 .59551 L
.55334 .59712 L
.55378 .59771 L
.5544 .59872 L
.55538 .60021 L
.55544 .60033 L
.55538 .60067 L
.55507 .60033 L
.55378 .59912 L
.55345 .59872 L
.55217 .59731 L
.55202 .59712 L
.55065 .59551 L
.55057 .59542 L
.54936 .59391 L
.54896 .59346 L
.54806 .5923 L
.54735 .59148 L
.54675 .5907 L
.54575 .5895 L
.54544 .58909 L
.54414 .58752 L
.54413 .58749 L
.54289 .58588 L
.54254 .58546 L
.54165 .58428 L
.54093 .58341 L
.54038 .58267 L
.53933 .58137 L
.5391 .58106 L
.53785 .57946 L
.53772 .57931 L
.53664 .57785 L
.53612 .57721 L
.53541 .57625 L
.53451 .57513 L
.53416 .57464 L
.53291 .57308 L
.53289 .57304 L
.53171 .57143 L
.5313 .57092 L
.53051 .56983 L
.5297 .5688 L
.52929 .56822 L
.52809 .56669 L
.52804 .56662 L
.52688 .56501 L
.52649 .56451 L
.52572 .56341 L
.52488 .56232 L
.52453 .5618 L
.52331 .5602 L
.52328 .56015 L
.52225 .55859 L
.52167 .55782 L
.52117 .55699 L
.52007 .55542 L
.52004 .55538 L
F
.002 .8 1 r
.52167 .5069 m
.52193 .50722 L
.52328 .50844 L
.52363 .50883 L
.52488 .51019 L
.52519 .51043 L
.52649 .51202 L
.5265 .51204 L
.52784 .51364 L
.52809 .51367 L
.52914 .51525 L
.5297 .51582 L
.5307 .51686 L
.5313 .51799 L
.53165 .51846 L
.53282 .52007 L
.53291 .52019 L
.53396 .52167 L
.53451 .52249 L
.53504 .52328 L
.53595 .52488 L
.53612 .5253 L
.53614 .52649 L
.53612 .5265 L
.53588 .52649 L
.53451 .5258 L
.5335 .52488 L
.53291 .52431 L
.53198 .52328 L
.5313 .52291 L
.53061 .52167 L
.5297 .52075 L
.52884 .52007 L
.52809 .51861 L
.52795 .51846 L
.52677 .51686 L
.52649 .5165 L
.52556 .51525 L
.52488 .51437 L
.52435 .51364 L
.52328 .51231 L
.52308 .51204 L
.52206 .51043 L
.52167 .50986 L
.52103 .50883 L
.52011 .50722 L
F
1 .92 .084 r
.52167 .53351 m
.52279 .53451 L
.52328 .53499 L
.52426 .53612 L
.52488 .53683 L
.52559 .53772 L
.52649 .53849 L
.52688 .53933 L
.52809 .54084 L
.52817 .54093 L
.52932 .54254 L
.5297 .54303 L
.53049 .54414 L
.5313 .54525 L
.53164 .54575 L
.53275 .54735 L
.53291 .54759 L
.53368 .54896 L
.53291 .55003 L
.53172 .54896 L
.5313 .54858 L
.53013 .54735 L
.5297 .5469 L
.52867 .54575 L
.52809 .54524 L
.52728 .54414 L
.52649 .54322 L
.52581 .54254 L
.52488 .54118 L
.52469 .54093 L
.52345 .53933 L
.52328 .5391 L
.52225 .53772 L
.52167 .53688 L
.52077 .53612 L
.52022 .53451 L
F
.001 .79 1 r
.52167 .50708 m
.52179 .50722 L
.52328 .50854 L
.52354 .50883 L
.52488 .51026 L
.5251 .51043 L
.52644 .51204 L
.52649 .51209 L
.52778 .51364 L
.52809 .51368 L
.52909 .51525 L
.5297 .51588 L
.53066 .51686 L
.5313 .51806 L
.5316 .51846 L
.53277 .52007 L
.53291 .52026 L
.53391 .52167 L
.53451 .52258 L
.53497 .52328 L
.53585 .52488 L
.53451 .5257 L
.53359 .52488 L
.53291 .52424 L
.53204 .52328 L
.5313 .52286 L
.53065 .52167 L
.5297 .52069 L
.5289 .52007 L
.52809 .51856 L
.528 .51846 L
.52681 .51686 L
.52649 .51645 L
.5256 .51525 L
.52488 .51432 L
.52439 .51364 L
.52328 .51221 L
.52315 .51204 L
.52212 .51043 L
.52167 .50977 L
.5211 .50883 L
.52026 .50722 L
F
1 .91 .061 r
.52167 .53378 m
.52256 .53451 L
.52328 .53518 L
.52411 .53612 L
.52488 .53699 L
.52547 .53772 L
.52649 .53869 L
.52677 .53933 L
.52803 .54093 L
.52809 .54101 L
.5292 .54254 L
.5297 .5432 L
.53036 .54414 L
.5313 .54545 L
.5315 .54575 L
.53253 .54735 L
.53291 .54798 L
.53333 .54896 L
.53291 .54954 L
.53215 .54896 L
.5313 .54826 L
.5304 .54735 L
.5297 .54664 L
.52888 .54575 L
.52809 .54503 L
.52747 .54414 L
.52649 .543 L
.526 .54254 L
.52488 .54098 L
.52485 .54093 L
.52361 .53933 L
.52328 .53888 L
.52243 .53772 L
.52167 .5366 L
.52106 .53612 L
.52051 .53451 L
F
1 .98 .538 r
.52167 .50103 m
.52328 .50158 L
.52445 .50241 L
.52488 .50274 L
.52616 .50401 L
.52649 .50433 L
.52744 .50562 L
.52809 .50616 L
.52848 .50722 L
.5297 .50811 L
.53028 .50883 L
.5313 .51014 L
.53154 .51043 L
.53277 .51204 L
.53291 .51224 L
.53387 .51364 L
.53451 .51448 L
.53532 .51525 L
.53612 .51631 L
.53655 .51686 L
.53772 .51841 L
.53776 .51846 L
.53892 .52007 L
.53933 .52054 L
.53992 .52167 L
.54093 .52269 L
.54146 .52328 L
.54254 .52478 L
.54265 .52488 L
.54382 .52649 L
.54414 .52696 L
.54476 .52809 L
.5452 .5297 L
.54414 .52989 L
.54254 .52985 L
.54207 .5297 L
.54093 .52898 L
.53979 .52809 L
.53933 .52708 L
.53878 .52649 L
.53772 .52502 L
.53762 .52488 L
.53639 .52328 L
.53612 .52304 L
.53516 .52167 L
.53451 .52094 L
.53369 .52007 L
.53291 .5188 L
.53263 .51846 L
.53144 .51686 L
.5313 .51668 L
.53023 .51525 L
.5297 .51497 L
.5286 .51364 L
.52809 .51264 L
.52766 .51204 L
.52652 .51043 L
.52649 .51039 L
.52533 .50883 L
.52488 .50824 L
.52413 .50722 L
.52328 .5061 L
.52273 .50562 L
.52174 .50401 L
.52167 .50392 L
.52072 .50241 L
F
1 .9 .045 r
.52167 .53409 m
.52227 .53451 L
.52328 .53539 L
.52394 .53612 L
.52488 .53715 L
.52534 .53772 L
.52649 .53892 L
.52666 .53933 L
.5279 .54093 L
.52809 .54118 L
.52906 .54254 L
.5297 .54338 L
.53021 .54414 L
.5313 .54568 L
.53135 .54575 L
.53224 .54735 L
.5313 .5479 L
.53072 .54735 L
.5297 .54637 L
.52912 .54575 L
.52809 .54478 L
.52767 .54414 L
.52649 .54277 L
.52623 .54254 L
.52502 .54093 L
.52488 .54076 L
.52378 .53933 L
.52328 .53864 L
.52261 .53772 L
.52167 .53629 L
.52144 .53612 L
.52085 .53451 L
F
0 .57 1 r
.52167 .45844 m
.52224 .45907 L
.52328 .46014 L
.52373 .46067 L
.52488 .46195 L
.52516 .46228 L
.52649 .4638 L
.52661 .46388 L
.52787 .46549 L
.52809 .46573 L
.5292 .46709 L
.5297 .46767 L
.53053 .4687 L
.5313 .46933 L
.53185 .4703 L
.53291 .47155 L
.5333 .47191 L
.53444 .47351 L
.53451 .4736 L
.53572 .47512 L
.53612 .47561 L
.537 .47672 L
.53772 .47746 L
.53879 .47833 L
.53933 .47962 L
.53962 .47993 L
.54081 .48154 L
.54093 .48169 L
.54207 .48314 L
.54254 .48341 L
.54333 .48475 L
.54414 .48569 L
.5448 .48636 L
.54575 .48783 L
.54585 .48796 L
.54708 .48957 L
.54735 .48991 L
.54832 .49117 L
.54896 .49178 L
.55004 .49278 L
.55057 .49401 L
.55088 .49438 L
.55205 .49599 L
.55217 .49614 L
.55327 .49759 L
.55378 .49782 L
.5545 .4992 L
.55538 .50021 L
.55592 .5008 L
.55697 .50241 L
.55699 .50242 L
.55818 .50401 L
.55859 .50454 L
.5594 .50562 L
.5602 .50641 L
.561 .50722 L
.5618 .50875 L
.56187 .50883 L
.56304 .51043 L
.56341 .51091 L
.56424 .51204 L
.56501 .51305 L
.56545 .51364 L
.56662 .51516 L
.5667 .51525 L
.56783 .51686 L
.56822 .51736 L
.56901 .51846 L
.56983 .51955 L
.5702 .52007 L
.57138 .52167 L
.57143 .52174 L
.5725 .52328 L
.57304 .524 L
.57363 .52488 L
.57464 .52628 L
.57478 .52649 L
.57581 .52809 L
.57625 .52873 L
.57676 .5297 L
.57625 .53011 L
.57586 .5297 L
.57464 .52846 L
.57432 .52809 L
.57304 .52686 L
.57288 .52649 L
.57149 .52488 L
.57143 .52482 L
.57014 .52328 L
.56983 .52292 L
.5688 .52167 L
.56822 .521 L
.56747 .52007 L
.56662 .51926 L
.56614 .51846 L
.56501 .51711 L
.56474 .51686 L
.56354 .51525 L
.56341 .51509 L
.56226 .51364 L
.5618 .51309 L
.56097 .51204 L
.5602 .5112 L
.55932 .51043 L
.55859 .50907 L
.55837 .50883 L
.55715 .50722 L
.55699 .50702 L
.55589 .50562 L
.55538 .50524 L
.55463 .50401 L
.55378 .503 L
.55322 .50241 L
.55217 .50088 L
.55211 .5008 L
.55087 .4992 L
.55057 .49881 L
.54963 .49759 L
.54896 .4969 L
.54802 .49599 L
.54735 .4947 L
.54709 .49438 L
.5459 .49278 L
.54575 .49259 L
.54467 .49117 L
.54414 .49082 L
.54344 .48957 L
.54254 .4885 L
.54207 .48796 L
.54097 .48636 L
.54093 .48631 L
.53976 .48475 L
.53933 .4842 L
.53854 .48314 L
.53772 .48228 L
.53702 .48154 L
.53612 .47999 L
.53608 .47993 L
.53489 .47833 L
.53451 .47784 L
.53369 .47672 L
.53291 .47609 L
.53248 .47512 L
.5313 .47358 L
.53124 .47351 L
.5301 .47191 L
.5297 .47139 L
.52892 .4703 L
.52809 .46921 L
.52772 .4687 L
.52654 .46709 L
.52649 .46703 L
.52541 .46549 L
.52488 .46477 L
.52427 .46388 L
.52328 .46251 L
.52312 .46228 L
.52206 .46067 L
.52167 .46012 L
.52106 .45907 L
F
1 .83 .005 r
.52167 .45179 m
.52252 .45265 L
.52328 .45338 L
.52408 .45425 L
.52488 .45511 L
.52554 .45586 L
.52649 .45678 L
.52697 .45746 L
.52809 .45876 L
.52846 .45907 L
.5297 .46066 L
.52971 .46067 L
.53105 .46228 L
.5313 .46239 L
.53239 .46388 L
.53291 .46446 L
.53412 .46549 L
.53451 .46649 L
.53506 .46709 L
.53612 .46849 L
.53627 .4687 L
.53761 .4703 L
.53772 .47041 L
.5389 .47191 L
.53933 .47243 L
.54032 .47351 L
.54093 .4745 L
.54142 .47512 L
.54254 .47654 L
.54262 .47672 L
.54399 .47833 L
.54414 .4785 L
.54552 .47993 L
.54575 .48057 L
.54655 .48154 L
.54735 .48266 L
.54767 .48314 L
.54896 .48469 L
.54903 .48475 L
.55028 .48636 L
.55057 .4867 L
.55165 .48796 L
.55217 .4888 L
.55274 .48957 L
.55378 .4909 L
.55389 .49117 L
.55527 .49278 L
.55538 .49289 L
.55675 .49438 L
.55699 .49497 L
.55779 .49599 L
.55859 .49709 L
.5589 .49759 L
.5602 .49915 L
.56024 .4992 L
.56148 .5008 L
.5618 .50118 L
.56284 .50241 L
.56341 .5033 L
.56392 .50401 L
.56501 .50541 L
.56509 .50562 L
.56642 .50722 L
.56662 .50741 L
.56791 .50883 L
.56822 .50953 L
.56893 .51043 L
.56983 .51166 L
.57006 .51204 L
.57135 .51364 L
.57143 .51368 L
.57258 .51525 L
.57304 .51576 L
.57395 .51686 L
.57464 .51792 L
.57503 .51846 L
.57625 .52004 L
.57626 .52007 L
.57748 .52167 L
.57785 .52199 L
.57901 .52328 L
.57946 .52418 L
.58 .52488 L
.58106 .52635 L
.58115 .52649 L
.58238 .52809 L
.58267 .52819 L
.58359 .5297 L
.58428 .53045 L
.58497 .5313 L
.58588 .53267 L
.58604 .53291 L
.58724 .53451 L
.58749 .53483 L
.58845 .53612 L
.58909 .5367 L
.58996 .53772 L
.5907 .53903 L
.59092 .53933 L
.59207 .54093 L
.5923 .54123 L
.59326 .54254 L
.59391 .54339 L
.59499 .54414 L
.59551 .54547 L
.59573 .54575 L
.59683 .54735 L
.59712 .54773 L
.59799 .54896 L
.59872 .54994 L
.59917 .55057 L
.60033 .55213 L
.60036 .55217 L
.60145 .55378 L
.60193 .55444 L
.60255 .55538 L
.60354 .55677 L
.60367 .55699 L
.60467 .55859 L
.60514 .55933 L
.60555 .5602 L
.60514 .56071 L
.6046 .5602 L
.60354 .55921 L
.60296 .55859 L
.60193 .55752 L
.60145 .55699 L
.60033 .55581 L
.60002 .55538 L
.59872 .5539 L
.59858 .55378 L
.59725 .55217 L
.59712 .55201 L
.5959 .55057 L
.59551 .55029 L
.59456 .54896 L
.59391 .54822 L
.59293 .54735 L
.5923 .5462 L
.5919 .54575 L
.5907 .54422 L
.59064 .54414 L
.58933 .54254 L
.58909 .54231 L
.58803 .54093 L
.58749 .54026 L
.58664 .53933 L
.58588 .5382 L
.58552 .53772 L
.58428 .53619 L
.58425 .53612 L
.58294 .53451 L
.58267 .53421 L
.58144 .53291 L
.58106 .53213 L
.5804 .5313 L
.57946 .53005 L
.57925 .5297 L
.5779 .52809 L
.57785 .52805 L
.57626 .52649 L
.57625 .526 L
.5753 .52488 L
.57464 .5239 L
.5742 .52328 L
.57304 .52182 L
.57299 .52167 L
.57165 .52007 L
.57143 .51983 L
.5702 .51846 L
.56983 .51772 L
.56915 .51686 L
.56822 .51561 L
.56801 .51525 L
.56668 .51364 L
.56662 .51359 L
.56507 .51204 L
.56501 .51153 L
.5641 .51043 L
.56341 .5094 L
.56301 .50883 L
.5618 .5073 L
.56178 .50722 L
.5605 .50562 L
.5602 .50531 L
.55904 .50401 L
.55859 .50317 L
.558 .50241 L
.55699 .50104 L
.55685 .5008 L
.55557 .4992 L
.55538 .49907 L
.55391 .49759 L
.55378 .49694 L
.55299 .49599 L
.55217 .49478 L
.5519 .49438 L
.55065 .49278 L
.55057 .49267 L
.54943 .49117 L
.54896 .49071 L
.54796 .48957 L
.54735 .48851 L
.54694 .48796 L
.54575 .48636 L
.54575 .48636 L
.54454 .48475 L
.54414 .48451 L
.54285 .48314 L
.54254 .48224 L
.54198 .48154 L
.54093 .48003 L
.54087 .47993 L
.53967 .47833 L
.53933 .47789 L
.53846 .47672 L
.53772 .47597 L
.53701 .47512 L
.53612 .47367 L
.536 .47351 L
.53483 .47191 L
.53451 .4715 L
.53364 .4703 L
.53291 .46971 L
.53203 .4687 L
.5313 .46724 L
.53119 .46709 L
.53005 .46549 L
.5297 .46502 L
.52888 .46388 L
.52809 .46283 L
.5277 .46228 L
.52651 .46067 L
.52649 .46063 L
.5254 .45907 L
.52488 .45836 L
.52428 .45746 L
.52328 .45606 L
.52314 .45586 L
.5221 .45425 L
.52167 .45362 L
.52113 .45265 L
F
0 .56 1 r
.52167 .45856 m
.52214 .45907 L
.52328 .46023 L
.52366 .46067 L
.52488 .46202 L
.5251 .46228 L
.52649 .46388 L
.52649 .46388 L
.52783 .46549 L
.52809 .46579 L
.52916 .46709 L
.5297 .46772 L
.53049 .4687 L
.5313 .46938 L
.53181 .4703 L
.53291 .47159 L
.53325 .47191 L
.53441 .47351 L
.53451 .47363 L
.53569 .47512 L
.53612 .47564 L
.53697 .47672 L
.53772 .47749 L
.53875 .47833 L
.53933 .47965 L
.53959 .47993 L
.54079 .48154 L
.54093 .48172 L
.54204 .48314 L
.54254 .48343 L
.5433 .48475 L
.54414 .48572 L
.54477 .48636 L
.54575 .48786 L
.54583 .48796 L
.54706 .48957 L
.54735 .48994 L
.5483 .49117 L
.54896 .4918 L
.55002 .49278 L
.55057 .49404 L
.55086 .49438 L
.55203 .49599 L
.55217 .49617 L
.55325 .49759 L
.55378 .49783 L
.55448 .4992 L
.55538 .50024 L
.55589 .5008 L
.55695 .50241 L
.55699 .50245 L
.55816 .50401 L
.55859 .50457 L
.55937 .50562 L
.5602 .50644 L
.56096 .50722 L
.5618 .50878 L
.56184 .50883 L
.56302 .51043 L
.56341 .51094 L
.56421 .51204 L
.56501 .51308 L
.56543 .51364 L
.56662 .5152 L
.56666 .51525 L
.5678 .51686 L
.56822 .5174 L
.56898 .51846 L
.56983 .51959 L
.57017 .52007 L
.57134 .52167 L
.57143 .52179 L
.57245 .52328 L
.57304 .52407 L
.57358 .52488 L
.57464 .52636 L
.57473 .52649 L
.57572 .52809 L
.57625 .52889 L
.57662 .5297 L
.57625 .52996 L
.57599 .5297 L
.57464 .52837 L
.5744 .52809 L
.57304 .52672 L
.57294 .52649 L
.57155 .52488 L
.57143 .52475 L
.57019 .52328 L
.56983 .52286 L
.56884 .52167 L
.56822 .52095 L
.5675 .52007 L
.56662 .51921 L
.56617 .51846 L
.56501 .51706 L
.56479 .51686 L
.56357 .51525 L
.56341 .51505 L
.56229 .51364 L
.5618 .51305 L
.561 .51204 L
.5602 .51117 L
.55935 .51043 L
.55859 .50904 L
.5584 .50883 L
.55717 .50722 L
.55699 .50699 L
.55592 .50562 L
.55538 .50521 L
.55465 .50401 L
.55378 .50297 L
.55324 .50241 L
.55217 .50085 L
.55213 .5008 L
.55089 .4992 L
.55057 .49878 L
.54965 .49759 L
.54896 .49688 L
.54805 .49599 L
.54735 .49467 L
.54711 .49438 L
.54592 .49278 L
.54575 .49256 L
.54469 .49117 L
.54414 .4908 L
.54346 .48957 L
.54254 .48847 L
.54209 .48796 L
.54099 .48636 L
.54093 .48628 L
.53978 .48475 L
.53933 .48417 L
.53856 .48314 L
.53772 .48225 L
.53705 .48154 L
.53612 .47995 L
.5361 .47993 L
.53492 .47833 L
.53451 .47781 L
.53371 .47672 L
.53291 .47604 L
.5325 .47512 L
.5313 .47354 L
.53128 .47351 L
.53012 .47191 L
.5297 .47135 L
.52895 .4703 L
.52809 .46917 L
.52775 .4687 L
.52657 .46709 L
.52649 .46698 L
.52546 .46549 L
.52488 .46471 L
.52432 .46388 L
.52328 .46244 L
.52317 .46228 L
.52214 .46067 L
.52167 .46 L
.52116 .45907 L
F
.001 .78 1 r
.52167 .50726 m
.52328 .50864 L
.52345 .50883 L
.52488 .51034 L
.52501 .51043 L
.52638 .51204 L
.52649 .51216 L
.52773 .51364 L
.52809 .5137 L
.52904 .51525 L
.5297 .51594 L
.5306 .51686 L
.5313 .51813 L
.53155 .51846 L
.53271 .52007 L
.53291 .52034 L
.53385 .52167 L
.53451 .52268 L
.5349 .52328 L
.53574 .52488 L
.53451 .52559 L
.53369 .52488 L
.53291 .52417 L
.5321 .52328 L
.5313 .5228 L
.5307 .52167 L
.5297 .52063 L
.52898 .52007 L
.52809 .5185 L
.52805 .51846 L
.52684 .51686 L
.52649 .5164 L
.52564 .51525 L
.52488 .51426 L
.52443 .51364 L
.52328 .51211 L
.52323 .51204 L
.52218 .51043 L
.52167 .50967 L
.52117 .50883 L
F
1 .27 0 r
.52167 .46528 m
.52184 .46549 L
.52328 .46709 L
.52328 .46709 L
.52459 .4687 L
.52488 .46901 L
.5259 .4703 L
.52649 .47097 L
.52721 .47191 L
.52809 .47294 L
.52853 .47351 L
.5297 .47493 L
.52984 .47512 L
.5311 .47672 L
.5313 .47696 L
.53234 .47833 L
.53291 .47902 L
.53359 .47993 L
.53451 .48107 L
.53486 .48154 L
.53612 .48312 L
.53613 .48314 L
.53732 .48475 L
.53772 .48524 L
.53853 .48636 L
.53933 .48735 L
.53977 .48796 L
.54093 .48945 L
.54101 .48957 L
.54217 .49117 L
.54254 .49163 L
.54333 .49278 L
.54414 .49382 L
.54453 .49438 L
.54414 .49559 L
.54318 .49438 L
.54254 .49366 L
.54185 .49278 L
.54093 .4917 L
.54052 .49117 L
.53933 .48971 L
.53921 .48957 L
.53796 .48796 L
.53772 .48769 L
.53671 .48636 L
.53612 .48564 L
.53544 .48475 L
.53451 .4836 L
.53417 .48314 L
.53291 .48155 L
.5329 .48154 L
.53171 .47993 L
.5313 .47944 L
.53049 .47833 L
.5297 .47733 L
.52925 .47672 L
.52809 .47523 L
.52801 .47512 L
.52685 .47351 L
.52649 .47306 L
.52568 .47191 L
.52488 .47088 L
.52448 .4703 L
.52328 .4687 L
.52327 .4687 L
.52224 .46709 L
.52167 .46633 L
.52119 .46549 L
F
.001 .77 1 r
.52167 .50741 m
.52328 .50875 L
.52335 .50883 L
.52488 .51042 L
.52491 .51043 L
.52632 .51204 L
.52649 .51223 L
.52767 .51364 L
.52809 .51372 L
.52898 .51525 L
.5297 .516 L
.53055 .51686 L
.5313 .5182 L
.5315 .51846 L
.53266 .52007 L
.53291 .52041 L
.53379 .52167 L
.53451 .52278 L
.53483 .52328 L
.53562 .52488 L
.53451 .52548 L
.53379 .52488 L
.53291 .52409 L
.53216 .52328 L
.5313 .52274 L
.53074 .52167 L
.5297 .52057 L
.52905 .52007 L
.5281 .51846 L
.52809 .51844 L
.52688 .51686 L
.52649 .51635 L
.52567 .51525 L
.52488 .51421 L
.52447 .51364 L
.52329 .51204 L
.52328 .51201 L
.52224 .51043 L
.52167 .50956 L
.52125 .50883 L
F
1 .97 .395 r
.52167 .50175 m
.52328 .50222 L
.5236 .50241 L
.52488 .50327 L
.52578 .50401 L
.52649 .50476 L
.5271 .50562 L
.52809 .5065 L
.52826 .50722 L
.5297 .50839 L
.53007 .50883 L
.5313 .51037 L
.53136 .51043 L
.53262 .51204 L
.53291 .51246 L
.53372 .51364 L
.53451 .51466 L
.53519 .51525 L
.53612 .51647 L
.53643 .51686 L
.53766 .51846 L
.53772 .51856 L
.5388 .52007 L
.53933 .5207 L
.5398 .52167 L
.54093 .52285 L
.54132 .52328 L
.54252 .52488 L
.54254 .52496 L
.54363 .52649 L
.54414 .52733 L
.54449 .52809 L
.54414 .52954 L
.54254 .52952 L
.54093 .52868 L
.54002 .52809 L
.53933 .52692 L
.5389 .52649 L
.53772 .52492 L
.5377 .52488 L
.53646 .52328 L
.53612 .52298 L
.53522 .52167 L
.53451 .52087 L
.53375 .52007 L
.53291 .51873 L
.53269 .51846 L
.5315 .51686 L
.5313 .51661 L
.53028 .51525 L
.5297 .51491 L
.52866 .51364 L
.52809 .51254 L
.52774 .51204 L
.5266 .51043 L
.52649 .51028 L
.52542 .50883 L
.52488 .50811 L
.52424 .50722 L
.52328 .50591 L
.52294 .50562 L
.522 .50401 L
.52167 .50346 L
.52125 .50241 L
F
0 .55 1 r
.52167 .4587 m
.52202 .45907 L
.52328 .46032 L
.52359 .46067 L
.52488 .46209 L
.52504 .46228 L
.52643 .46388 L
.52649 .46394 L
.52778 .46549 L
.52809 .46584 L
.52912 .46709 L
.5297 .46776 L
.53045 .4687 L
.5313 .46943 L
.53178 .4703 L
.53291 .47164 L
.53321 .47191 L
.53438 .47351 L
.53451 .47367 L
.53566 .47512 L
.53612 .47567 L
.53695 .47672 L
.53772 .47752 L
.53872 .47833 L
.53933 .47968 L
.53956 .47993 L
.54077 .48154 L
.54093 .48175 L
.54202 .48314 L
.54254 .48345 L
.54328 .48475 L
.54414 .48574 L
.54474 .48636 L
.54575 .48789 L
.54581 .48796 L
.54704 .48957 L
.54735 .48997 L
.54828 .49117 L
.54896 .49183 L
.54999 .49278 L
.55057 .49407 L
.55084 .49438 L
.552 .49599 L
.55217 .49619 L
.55323 .49759 L
.55378 .49785 L
.55446 .4992 L
.55538 .50027 L
.55587 .5008 L
.55693 .50241 L
.55699 .50248 L
.55813 .50401 L
.55859 .5046 L
.55935 .50562 L
.5602 .50648 L
.56093 .50722 L
.5618 .50882 L
.56181 .50883 L
.56299 .51043 L
.56341 .51097 L
.56419 .51204 L
.56501 .51311 L
.5654 .51364 L
.56662 .51525 L
.56662 .51525 L
.56777 .51686 L
.56822 .51744 L
.56894 .51846 L
.56983 .51963 L
.57013 .52007 L
.5713 .52167 L
.57143 .52184 L
.57241 .52328 L
.57304 .52413 L
.57353 .52488 L
.57464 .52644 L
.57468 .52649 L
.57562 .52809 L
.57625 .52911 L
.5764 .5297 L
.57625 .52977 L
.57617 .5297 L
.57464 .52827 L
.57449 .52809 L
.57304 .52657 L
.573 .52649 L
.57161 .52488 L
.57143 .52469 L
.57024 .52328 L
.56983 .52281 L
.56889 .52167 L
.56822 .5209 L
.56754 .52007 L
.56662 .51916 L
.56621 .51846 L
.56501 .51702 L
.56484 .51686 L
.5636 .51525 L
.56341 .51501 L
.56232 .51364 L
.5618 .51302 L
.56102 .51204 L
.5602 .51113 L
.55939 .51043 L
.55859 .50901 L
.55843 .50883 L
.5572 .50722 L
.55699 .50696 L
.55594 .50562 L
.55538 .50519 L
.55467 .50401 L
.55378 .50294 L
.55327 .50241 L
.55217 .50082 L
.55215 .5008 L
.55092 .4992 L
.55057 .49876 L
.54967 .49759 L
.54896 .49685 L
.54807 .49599 L
.54735 .49465 L
.54713 .49438 L
.54594 .49278 L
.54575 .49253 L
.54471 .49117 L
.54414 .49078 L
.54348 .48957 L
.54254 .48844 L
.54212 .48796 L
.54101 .48636 L
.54093 .48626 L
.5398 .48475 L
.53933 .48414 L
.53858 .48314 L
.53772 .48221 L
.53708 .48154 L
.53613 .47993 L
.53612 .47992 L
.53494 .47833 L
.53451 .47777 L
.53374 .47672 L
.53291 .476 L
.53253 .47512 L
.53131 .47351 L
.5313 .4735 L
.53015 .47191 L
.5297 .47131 L
.52898 .4703 L
.52809 .46913 L
.52778 .4687 L
.52661 .46709 L
.52649 .46692 L
.5255 .46549 L
.52488 .46465 L
.52436 .46388 L
.52328 .46237 L
.52322 .46228 L
.52222 .46067 L
.52167 .45985 L
.52128 .45907 L
F
1 .39 0 r
.52167 .51373 m
.52289 .51525 L
.52328 .51571 L
.52412 .51686 L
.52488 .51787 L
.52527 .51846 L
.52488 .51955 L
.52391 .51846 L
.52328 .51778 L
.52255 .51686 L
.52167 .51579 L
.52128 .51525 L
F
1 .26 0 r
.52167 .4654 m
.52175 .46549 L
.52167 .46619 L
.52133 .46549 L
F
1 .38 0 r
.52167 .51381 m
.52283 .51525 L
.52328 .51578 L
.52407 .51686 L
.52488 .51795 L
.52521 .51846 L
.52488 .51946 L
.52398 .51846 L
.52328 .51771 L
.52261 .51686 L
.52167 .51572 L
.52133 .51525 L
F
.001 .76 1 r
.52167 .50757 m
.52324 .50883 L
.52328 .50886 L
.52482 .51043 L
.52488 .5105 L
.52625 .51204 L
.52649 .5123 L
.52762 .51364 L
.52809 .51375 L
.52893 .51525 L
.5297 .51606 L
.53049 .51686 L
.5313 .51827 L
.53144 .51846 L
.5326 .52007 L
.53291 .52049 L
.53373 .52167 L
.53451 .52289 L
.53476 .52328 L
.53549 .52488 L
.53451 .52537 L
.5339 .52488 L
.53291 .52401 L
.53223 .52328 L
.5313 .52267 L
.53079 .52167 L
.5297 .5205 L
.52913 .52007 L
.52815 .51846 L
.52809 .51839 L
.52693 .51686 L
.52649 .5163 L
.52571 .51525 L
.52488 .51416 L
.52451 .51364 L
.52335 .51204 L
.52328 .51194 L
.52231 .51043 L
.52167 .50944 L
.52134 .50883 L
F
1 .82 .004 r
.52167 .45211 m
.52226 .45265 L
.52328 .45358 L
.52391 .45425 L
.52488 .45526 L
.52542 .45586 L
.52649 .45692 L
.52686 .45746 L
.52809 .45887 L
.52833 .45907 L
.52962 .46067 L
.5297 .46076 L
.53098 .46228 L
.5313 .46243 L
.53232 .46388 L
.53291 .46453 L
.53407 .46549 L
.53451 .46655 L
.53501 .46709 L
.53612 .46854 L
.53623 .4687 L
.53756 .4703 L
.53772 .47045 L
.53885 .47191 L
.53933 .47248 L
.54028 .47351 L
.54093 .47454 L
.54138 .47512 L
.54254 .47658 L
.54261 .47672 L
.54396 .47833 L
.54414 .47853 L
.5455 .47993 L
.54575 .4806 L
.54652 .48154 L
.54735 .48269 L
.54765 .48314 L
.54896 .48471 L
.549 .48475 L
.55026 .48636 L
.55057 .48673 L
.55163 .48796 L
.55217 .48883 L
.55272 .48957 L
.55378 .49092 L
.55388 .49117 L
.55525 .49278 L
.55538 .49291 L
.55674 .49438 L
.55699 .495 L
.55777 .49599 L
.55859 .49712 L
.55889 .49759 L
.5602 .49917 L
.56022 .4992 L
.56146 .5008 L
.5618 .5012 L
.56282 .50241 L
.56341 .50333 L
.5639 .50401 L
.56501 .50543 L
.56508 .50562 L
.5664 .50722 L
.56662 .50743 L
.5679 .50883 L
.56822 .50955 L
.56892 .51043 L
.56983 .51169 L
.57004 .51204 L
.57133 .51364 L
.57143 .51369 L
.57256 .51525 L
.57304 .51578 L
.57394 .51686 L
.57464 .51794 L
.57501 .51846 L
.57625 .52006 L
.57625 .52007 L
.57746 .52167 L
.57785 .52201 L
.57899 .52328 L
.57946 .52421 L
.57998 .52488 L
.58106 .52638 L
.58113 .52649 L
.58235 .52809 L
.58267 .52821 L
.58357 .5297 L
.58428 .53048 L
.58494 .5313 L
.58588 .53271 L
.58602 .53291 L
.58722 .53451 L
.58749 .53486 L
.58842 .53612 L
.58909 .53674 L
.58992 .53772 L
.5907 .53908 L
.59088 .53933 L
.59204 .54093 L
.5923 .54128 L
.59322 .54254 L
.59391 .54344 L
.59493 .54414 L
.59551 .54554 L
.59567 .54575 L
.59678 .54735 L
.59712 .5478 L
.59794 .54896 L
.59872 .55001 L
.59911 .55057 L
.60028 .55217 L
.60033 .55224 L
.60136 .55378 L
.60193 .55457 L
.60246 .55538 L
.60354 .55694 L
.60357 .55699 L
.60447 .55859 L
.60354 .55899 L
.60315 .55859 L
.60193 .55735 L
.6016 .55699 L
.60033 .55565 L
.60013 .55538 L
.59872 .55378 L
.59872 .55378 L
.59734 .55217 L
.59712 .55192 L
.59598 .55057 L
.59551 .55023 L
.59463 .54896 L
.59391 .54814 L
.59299 .54735 L
.5923 .54613 L
.59195 .54575 L
.5907 .54417 L
.59068 .54414 L
.58937 .54254 L
.58909 .54226 L
.58808 .54093 L
.58749 .54021 L
.58668 .53933 L
.58588 .53815 L
.58555 .53772 L
.58428 .53615 L
.58426 .53612 L
.58297 .53451 L
.58267 .53417 L
.58147 .53291 L
.58106 .53209 L
.58042 .5313 L
.57946 .53001 L
.57927 .5297 L
.57792 .52809 L
.57785 .52803 L
.57626 .52649 L
.57625 .52597 L
.57532 .52488 L
.57464 .52387 L
.57422 .52328 L
.57304 .5218 L
.573 .52167 L
.57167 .52007 L
.57143 .51981 L
.57021 .51846 L
.56983 .5177 L
.56917 .51686 L
.56822 .51559 L
.56803 .51525 L
.5667 .51364 L
.56662 .51358 L
.56508 .51204 L
.56501 .5115 L
.56412 .51043 L
.56341 .50937 L
.56303 .50883 L
.5618 .50728 L
.56179 .50722 L
.56052 .50562 L
.5602 .50529 L
.55905 .50401 L
.55859 .50315 L
.55802 .50241 L
.55699 .50102 L
.55686 .5008 L
.55559 .4992 L
.55538 .49906 L
.55392 .49759 L
.55378 .49692 L
.55301 .49599 L
.55217 .49476 L
.55191 .49438 L
.55067 .49278 L
.55057 .49264 L
.54945 .49117 L
.54896 .49069 L
.54797 .48957 L
.54735 .48849 L
.54696 .48796 L
.54577 .48636 L
.54575 .48633 L
.54456 .48475 L
.54414 .48449 L
.54286 .48314 L
.54254 .48221 L
.542 .48154 L
.54093 .48 L
.54089 .47993 L
.53969 .47833 L
.53933 .47786 L
.53849 .47672 L
.53772 .47593 L
.53705 .47512 L
.53612 .47363 L
.53603 .47351 L
.53486 .47191 L
.53451 .47145 L
.53367 .4703 L
.53291 .46966 L
.53209 .4687 L
.5313 .46717 L
.53124 .46709 L
.5301 .46549 L
.5297 .46496 L
.52893 .46388 L
.52809 .46276 L
.52775 .46228 L
.52658 .46067 L
.52649 .46054 L
.52548 .45907 L
.52488 .45825 L
.52436 .45746 L
.52328 .45593 L
.52323 .45586 L
.52225 .45425 L
.52167 .45333 L
.52135 .45265 L
F
1 .37 0 r
.52167 .51389 m
.52277 .51525 L
.52328 .51585 L
.52401 .51686 L
.52488 .51804 L
.52515 .51846 L
.52488 .51936 L
.52405 .51846 L
.52328 .51764 L
.52266 .51686 L
.52167 .51566 L
.52138 .51525 L
F
0 .75 1 r
.52167 .50775 m
.52311 .50883 L
.52328 .50897 L
.52474 .51043 L
.52488 .51058 L
.52619 .51204 L
.52649 .51237 L
.52756 .51364 L
.52809 .51379 L
.52888 .51525 L
.5297 .51613 L
.53043 .51686 L
.5313 .51835 L
.53139 .51846 L
.53255 .52007 L
.53291 .52057 L
.53367 .52167 L
.53451 .523 L
.53468 .52328 L
.53534 .52488 L
.53451 .52524 L
.53403 .52488 L
.53291 .52394 L
.53229 .52328 L
.5313 .52259 L
.53084 .52167 L
.5297 .52044 L
.52922 .52007 L
.52819 .51846 L
.52809 .51834 L
.52697 .51686 L
.52649 .51625 L
.52576 .51525 L
.52488 .5141 L
.52455 .51364 L
.5234 .51204 L
.52328 .51186 L
.52237 .51043 L
.52167 .50931 L
.52143 .50883 L
F
1 .89 .033 r
.52167 .53446 m
.52178 .53451 L
.52328 .53561 L
.52375 .53612 L
.52488 .53732 L
.5252 .53772 L
.52649 .5392 L
.52654 .53933 L
.52775 .54093 L
.52809 .54137 L
.52892 .54254 L
.5297 .54359 L
.53006 .54414 L
.53112 .54575 L
.5313 .54605 L
.53174 .54735 L
.5313 .54744 L
.53119 .54735 L
.5297 .54607 L
.52939 .54575 L
.52809 .54447 L
.52789 .54414 L
.52651 .54254 L
.52649 .54252 L
.5252 .54093 L
.52488 .54053 L
.52396 .53933 L
.52328 .53839 L
.5228 .53772 L
.52181 .53612 L
.52167 .53584 L
.52143 .53451 L
F
1 .36 0 r
.52167 .51397 m
.5227 .51525 L
.52328 .51593 L
.52395 .51686 L
.52488 .51814 L
.52508 .51846 L
.52488 .51925 L
.52414 .51846 L
.52328 .51757 L
.52272 .51686 L
.52167 .51559 L
.52143 .51525 L
F
0 .54 1 r
.52167 .45888 m
.52186 .45907 L
.52328 .46041 L
.52351 .46067 L
.52488 .46216 L
.52498 .46228 L
.52637 .46388 L
.52649 .464 L
.52773 .46549 L
.52809 .46589 L
.52908 .46709 L
.5297 .46781 L
.53042 .4687 L
.5313 .46948 L
.53175 .4703 L
.53291 .47168 L
.53316 .47191 L
.53435 .47351 L
.53451 .47371 L
.53563 .47512 L
.53612 .47571 L
.53692 .47672 L
.53772 .47756 L
.53868 .47833 L
.53933 .47972 L
.53953 .47993 L
.54074 .48154 L
.54093 .48178 L
.542 .48314 L
.54254 .48347 L
.54326 .48475 L
.54414 .48577 L
.54472 .48636 L
.54575 .48792 L
.54579 .48796 L
.54701 .48957 L
.54735 .48999 L
.54826 .49117 L
.54896 .49185 L
.54997 .49278 L
.55057 .4941 L
.55081 .49438 L
.55198 .49599 L
.55217 .49622 L
.55321 .49759 L
.55378 .49788 L
.55444 .4992 L
.55538 .5003 L
.55584 .5008 L
.55691 .50241 L
.55699 .5025 L
.55811 .50401 L
.55859 .50462 L
.55933 .50562 L
.5602 .50651 L
.5609 .50722 L
.56178 .50883 L
.5618 .50885 L
.56297 .51043 L
.56341 .511 L
.56417 .51204 L
.56501 .51314 L
.56538 .51364 L
.56659 .51525 L
.56662 .51529 L
.56774 .51686 L
.56822 .51749 L
.56891 .51846 L
.56983 .51968 L
.5701 .52007 L
.57126 .52167 L
.57143 .5219 L
.57236 .52328 L
.57304 .5242 L
.57348 .52488 L
.57304 .52644 L
.57168 .52488 L
.57143 .52462 L
.5703 .52328 L
.56983 .52275 L
.56893 .52167 L
.56822 .52085 L
.56758 .52007 L
.56662 .5191 L
.56625 .51846 L
.56501 .51697 L
.56489 .51686 L
.56364 .51525 L
.56341 .51498 L
.56235 .51364 L
.5618 .51298 L
.56105 .51204 L
.5602 .5111 L
.55943 .51043 L
.55859 .50897 L
.55846 .50883 L
.55722 .50722 L
.55699 .50693 L
.55596 .50562 L
.55538 .50516 L
.55469 .50401 L
.55378 .50291 L
.5533 .50241 L
.55218 .5008 L
.55217 .5008 L
.55094 .4992 L
.55057 .49873 L
.54969 .49759 L
.54896 .49682 L
.5481 .49599 L
.54735 .49462 L
.54716 .49438 L
.54596 .49278 L
.54575 .49251 L
.54473 .49117 L
.54414 .49076 L
.5435 .48957 L
.54254 .48841 L
.54214 .48796 L
.54103 .48636 L
.54093 .48623 L
.53982 .48475 L
.53933 .48411 L
.5386 .48314 L
.53772 .48218 L
.53712 .48154 L
.53615 .47993 L
.53612 .47989 L
.53497 .47833 L
.53451 .47774 L
.53376 .47672 L
.53291 .47595 L
.53255 .47512 L
.53134 .47351 L
.5313 .47346 L
.53018 .47191 L
.5297 .47127 L
.52901 .4703 L
.52809 .46908 L
.52782 .4687 L
.52665 .46709 L
.52649 .46687 L
.52554 .46549 L
.52488 .46459 L
.52441 .46388 L
.52328 .46229 L
.52327 .46228 L
.52232 .46067 L
.52167 .45966 L
.52144 .45907 L
F
1 .35 0 r
.52167 .51407 m
.52263 .51525 L
.52328 .51601 L
.52388 .51686 L
.52488 .51826 L
.525 .51846 L
.52488 .51911 L
.52424 .51846 L
.52328 .51749 L
.52278 .51686 L
.52167 .51552 L
.52148 .51525 L
F
0 .74 1 r
.52167 .50796 m
.52297 .50883 L
.52328 .50907 L
.52465 .51043 L
.52488 .51066 L
.52612 .51204 L
.52649 .51244 L
.5275 .51364 L
.52809 .51383 L
.52883 .51525 L
.5297 .5162 L
.53036 .51686 L
.5313 .51843 L
.53133 .51846 L
.53249 .52007 L
.53291 .52066 L
.5336 .52167 L
.53451 .52312 L
.5346 .52328 L
.53516 .52488 L
.53451 .52511 L
.53418 .52488 L
.53291 .52385 L
.53236 .52328 L
.5313 .52251 L
.53089 .52167 L
.5297 .52037 L
.5293 .52007 L
.52824 .51846 L
.52809 .51829 L
.52701 .51686 L
.52649 .51619 L
.5258 .51525 L
.52488 .51404 L
.5246 .51364 L
.52346 .51204 L
.52328 .51178 L
.52244 .51043 L
.52167 .50914 L
.52152 .50883 L
F
1 .34 0 r
.52167 .51417 m
.52254 .51525 L
.52328 .51611 L
.5238 .51686 L
.52488 .5184 L
.52492 .51846 L
.52488 .51892 L
.52438 .51846 L
.52328 .5174 L
.52285 .51686 L
.52167 .51543 L
.52154 .51525 L
F
.289 .96 1 r
.52167 .44576 m
.52235 .44622 L
.52328 .44698 L
.52414 .44783 L
.52488 .44856 L
.52571 .44943 L
.52649 .45008 L
.5272 .45104 L
.52809 .45204 L
.52897 .45265 L
.5297 .45392 L
.53003 .45425 L
.5313 .45578 L
.53136 .45586 L
.53276 .45746 L
.53291 .45763 L
.53411 .45907 L
.53451 .45959 L
.5355 .46067 L
.53612 .4616 L
.53664 .46228 L
.53772 .46362 L
.53782 .46388 L
.53933 .46546 L
.53935 .46549 L
.54075 .46709 L
.54093 .46749 L
.54188 .4687 L
.54254 .46959 L
.54298 .4703 L
.54414 .4717 L
.5445 .47191 L
.54574 .47351 L
.54575 .47352 L
.54703 .47512 L
.54735 .47562 L
.54814 .47672 L
.54896 .47777 L
.54916 .47833 L
.55057 .47965 L
.55079 .47993 L
.55207 .48154 L
.55217 .48173 L
.55324 .48314 L
.55378 .48388 L
.55429 .48475 L
.55538 .48605 L
.5558 .48636 L
.55699 .48791 L
.55702 .48796 L
.55828 .48957 L
.55859 .49003 L
.55938 .49117 L
.5602 .4922 L
.56037 .49278 L
.5618 .49432 L
.562 .49438 L
.56328 .49599 L
.56341 .49623 L
.56442 .49759 L
.56501 .49838 L
.56547 .4992 L
.56662 .50053 L
.56696 .5008 L
.56821 .50241 L
.56822 .50246 L
.56944 .50401 L
.56983 .50458 L
.57053 .50562 L
.57143 .50674 L
.57154 .50722 L
.57304 .50879 L
.57312 .50883 L
.57444 .51043 L
.57464 .51081 L
.57555 .51204 L
.57625 .51295 L
.57662 .51364 L
.57785 .51507 L
.57807 .51525 L
.57942 .51686 L
.57946 .51706 L
.58057 .51846 L
.58106 .51918 L
.58165 .52007 L
.58267 .52131 L
.58272 .52167 L
.58422 .52328 L
.58428 .52333 L
.58557 .52488 L
.58588 .52542 L
.58666 .52649 L
.58749 .52756 L
.58775 .52809 L
.58909 .52964 L
.58915 .5297 L
.5906 .5313 L
.5907 .53167 L
.59167 .53291 L
.5923 .53381 L
.59276 .53451 L
.59391 .53593 L
.59392 .53612 L
.59529 .53772 L
.59551 .53793 L
.59669 .53933 L
.59712 .54006 L
.59775 .54093 L
.59872 .5422 L
.59888 .54254 L
.60021 .54414 L
.60033 .5442 L
.60175 .54575 L
.60193 .5463 L
.60275 .54735 L
.60354 .54847 L
.60385 .54896 L
.60512 .55057 L
.60514 .5506 L
.60633 .55217 L
.60675 .55254 L
.60776 .55378 L
.60835 .55474 L
.60881 .55538 L
.60996 .55691 L
.60999 .55699 L
.61122 .55859 L
.61156 .55875 L
.61282 .5602 L
.61317 .56102 L
.61376 .5618 L
.61477 .56324 L
.61488 .56341 L
.61608 .56501 L
.61638 .5654 L
.61729 .56662 L
.61799 .56729 L
.61871 .56822 L
.61959 .56961 L
.61974 .56983 L
.62091 .57143 L
.6212 .57181 L
.62209 .57304 L
.6228 .57397 L
.62364 .57464 L
.62441 .57608 L
.62453 .57625 L
.62565 .57785 L
.62601 .57833 L
.62681 .57946 L
.62762 .58056 L
.62797 .58106 L
.62913 .58267 L
.62922 .5828 L
.6302 .58428 L
.63083 .58516 L
.63129 .58588 L
.63235 .58749 L
.63243 .58761 L
.63317 .58909 L
.63243 .58953 L
.63196 .58909 L
.63083 .58804 L
.6303 .58749 L
.62922 .58647 L
.62877 .58588 L
.62762 .58461 L
.62715 .58428 L
.62601 .58278 L
.6259 .58267 L
.62452 .58106 L
.62441 .581 L
.62315 .57946 L
.6228 .57906 L
.62132 .57785 L
.6212 .57708 L
.62042 .57625 L
.61959 .57508 L
.61925 .57464 L
.61799 .57312 L
.61797 .57304 L
.61656 .57143 L
.61638 .57121 L
.61514 .56983 L
.61477 .56916 L
.61403 .56822 L
.61317 .56707 L
.61291 .56662 L
.61156 .56506 L
.61143 .56501 L
.61002 .56341 L
.60996 .56312 L
.60889 .5618 L
.60835 .56101 L
.60778 .5602 L
.60675 .55889 L
.60671 .55859 L
.60514 .55699 L
.60514 .55698 L
.60381 .55538 L
.60354 .55489 L
.60269 .55378 L
.60193 .55275 L
.60162 .55217 L
.60033 .55066 L
.60014 .55057 L
.59879 .54896 L
.59872 .54872 L
.59764 .54735 L
.59712 .54659 L
.59655 .54575 L
.59551 .54445 L
.59549 .54414 L
.59394 .54254 L
.59391 .54249 L
.59261 .54093 L
.5923 .54039 L
.59151 .53933 L
.5907 .53825 L
.59043 .53772 L
.58909 .53618 L
.58899 .53612 L
.58759 .53451 L
.58749 .53417 L
.58648 .53291 L
.58588 .53204 L
.5854 .5313 L
.58428 .52992 L
.58404 .5297 L
.58282 .52809 L
.58267 .52792 L
.58146 .52649 L
.58106 .52581 L
.58037 .52488 L
.57946 .52368 L
.57927 .52328 L
.57788 .52167 L
.57785 .52165 L
.57642 .52007 L
.57625 .51958 L
.57536 .51846 L
.57464 .51745 L
.57426 .51686 L
.57304 .51535 L
.57295 .51525 L
.57172 .51364 L
.57143 .51334 L
.57033 .51204 L
.56983 .51121 L
.56926 .51043 L
.56822 .50908 L
.56812 .50883 L
.5668 .50722 L
.56662 .50708 L
.56528 .50562 L
.56501 .50497 L
.56426 .50401 L
.56341 .50282 L
.56315 .50241 L
.56187 .5008 L
.5618 .50079 L
.56065 .4992 L
.5602 .49874 L
.55924 .49759 L
.55859 .49657 L
.55817 .49599 L
.55699 .49443 L
.55697 .49438 L
.55574 .49278 L
.55538 .49252 L
.55417 .49117 L
.55378 .49032 L
.55319 .48957 L
.55217 .48815 L
.55205 .48796 L
.55082 .48636 L
.55057 .48602 L
.54961 .48475 L
.54896 .4841 L
.54819 .48314 L
.54735 .48187 L
.54712 .48154 L
.54592 .47993 L
.54575 .47971 L
.54471 .47833 L
.54414 .4779 L
.54315 .47672 L
.54254 .47559 L
.54219 .47512 L
.54103 .47351 L
.54093 .47338 L
.53984 .47191 L
.53933 .47125 L
.53863 .4703 L
.53772 .4693 L
.53726 .4687 L
.53618 .46709 L
.53612 .46702 L
.535 .46549 L
.53451 .46486 L
.5338 .46388 L
.53291 .46299 L
.53236 .46228 L
.53138 .46067 L
.5313 .46057 L
.53022 .45907 L
.5297 .45838 L
.52905 .45746 L
.52809 .45619 L
.52786 .45586 L
.5267 .45425 L
.52649 .45396 L
.5256 .45265 L
.52488 .45166 L
.52448 .45104 L
.52336 .44943 L
.52328 .44931 L
.52242 .44783 L
.52167 .44654 L
.52156 .44622 L
F
1 .33 0 r
.52167 .51429 m
.52244 .51525 L
.52328 .51621 L
.52372 .51686 L
.52328 .5173 L
.52293 .51686 L
.52167 .51534 L
.52161 .51525 L
F
0 .73 1 r
.52167 .50825 m
.5228 .50883 L
.52328 .50918 L
.52456 .51043 L
.52488 .51075 L
.52605 .51204 L
.52649 .51252 L
.52744 .51364 L
.52809 .51388 L
.52877 .51525 L
.5297 .51628 L
.53028 .51686 L
.53127 .51846 L
.5313 .5185 L
.53243 .52007 L
.53291 .52074 L
.53354 .52167 L
.53451 .52326 L
.53452 .52328 L
.53492 .52488 L
.53451 .52497 L
.53437 .52488 L
.53291 .52377 L
.53243 .52328 L
.5313 .52242 L
.53094 .52167 L
.5297 .52029 L
.5294 .52007 L
.52828 .51846 L
.52809 .51823 L
.52705 .51686 L
.52649 .51614 L
.52584 .51525 L
.52488 .51398 L
.52464 .51364 L
.52352 .51204 L
.52328 .51169 L
.52252 .51043 L
.52167 .50892 L
.52163 .50883 L
F
.733 .99 1 r
.52328 .53045 m
.52488 .53045 L
.52639 .5313 L
.52649 .53138 L
.52776 .53291 L
.52809 .53371 L
.52937 .53451 L
.5297 .53556 L
.53038 .53612 L
.5313 .53753 L
.5315 .53772 L
.53276 .53933 L
.53291 .5394 L
.53398 .54093 L
.53451 .54147 L
.53542 .54254 L
.53612 .54364 L
.53648 .54414 L
.53769 .54575 L
.53772 .54579 L
.5389 .54735 L
.53933 .54791 L
.54048 .54896 L
.54093 .54974 L
.54144 .55057 L
.54254 .5521 L
.54257 .55217 L
.54376 .55378 L
.54414 .5543 L
.54493 .55538 L
.54575 .55654 L
.54622 .55699 L
.54696 .55859 L
.54575 .55956 L
.54414 .55908 L
.54313 .55859 L
.54254 .55792 L
.54168 .55699 L
.54093 .55625 L
.54043 .55538 L
.53933 .55435 L
.53886 .55378 L
.53772 .55234 L
.53758 .55217 L
.53632 .55057 L
.53612 .55022 L
.53519 .54896 L
.53451 .54796 L
.53424 .54735 L
.53291 .5462 L
.53255 .54575 L
.53132 .54414 L
.5313 .5441 L
.53014 .54254 L
.5297 .54195 L
.52911 .54093 L
.52809 .53979 L
.52761 .53933 L
.52649 .53776 L
.5264 .53772 L
.52517 .53612 L
.52488 .53606 L
.52411 .53451 L
.52328 .53356 L
.52316 .53291 L
.52177 .5313 L
F
1 .88 .024 r
.52328 .53586 m
.52353 .53612 L
.52488 .53751 L
.52505 .53772 L
.52639 .53933 L
.52649 .53944 L
.52759 .54093 L
.52809 .54157 L
.52875 .54254 L
.5297 .54385 L
.52988 .54414 L
.5297 .54572 L
.52813 .54414 L
.52809 .5441 L
.52672 .54254 L
.52649 .54227 L
.5254 .54093 L
.52488 .54029 L
.52415 .53933 L
.52328 .53811 L
.52301 .53772 L
.52211 .53612 L
F
.538 .98 1 r
.52328 .53065 m
.52488 .53068 L
.52611 .5313 L
.52649 .5316 L
.52765 .53291 L
.52809 .5339 L
.52932 .53451 L
.5297 .53563 L
.53032 .53612 L
.5313 .53757 L
.53146 .53772 L
.53271 .53933 L
.53291 .53943 L
.53394 .54093 L
.53451 .54152 L
.53537 .54254 L
.53612 .5437 L
.53643 .54414 L
.53764 .54575 L
.53772 .54586 L
.53884 .54735 L
.53933 .54799 L
.54042 .54896 L
.54093 .54987 L
.54136 .55057 L
.54248 .55217 L
.54254 .55225 L
.54363 .55378 L
.54414 .5545 L
.54475 .55538 L
.54575 .55694 L
.5458 .55699 L
.54597 .55859 L
.54575 .55872 L
.54476 .55859 L
.54414 .55839 L
.54254 .55734 L
.54215 .55699 L
.54093 .55582 L
.54068 .55538 L
.53933 .55403 L
.53911 .55378 L
.53777 .55217 L
.53772 .55209 L
.53646 .55057 L
.53612 .55 L
.53532 .54896 L
.53451 .54781 L
.53431 .54735 L
.53291 .54607 L
.53265 .54575 L
.53139 .54414 L
.5313 .54398 L
.53023 .54254 L
.5297 .54185 L
.52919 .54093 L
.52809 .5397 L
.52769 .53933 L
.52649 .53772 L
.52649 .53772 L
.52526 .53612 L
.52488 .53601 L
.52422 .53451 L
.52328 .53336 L
.52322 .53291 L
.52214 .5313 L
F
1 .96 .289 r
.52328 .50274 m
.52488 .50372 L
.52534 .50401 L
.52649 .50513 L
.52685 .50562 L
.52809 .5068 L
.52816 .50722 L
.5297 .50864 L
.52986 .50883 L
.53128 .51043 L
.5313 .5106 L
.53248 .51204 L
.53291 .51267 L
.53359 .51364 L
.53451 .51481 L
.53507 .51525 L
.53612 .51662 L
.53631 .51686 L
.53757 .51846 L
.53772 .51871 L
.53869 .52007 L
.53933 .52084 L
.5397 .52167 L
.54093 .52299 L
.54119 .52328 L
.54248 .52488 L
.54254 .52518 L
.54345 .52649 L
.54414 .52779 L
.54425 .52809 L
.54414 .52897 L
.54254 .52923 L
.54093 .52842 L
.54032 .52809 L
.53933 .52676 L
.53904 .52649 L
.53779 .52488 L
.53772 .52486 L
.53653 .52328 L
.53612 .52291 L
.53528 .52167 L
.53451 .5208 L
.53381 .52007 L
.53291 .51866 L
.53275 .51846 L
.53155 .51686 L
.5313 .51654 L
.53034 .51525 L
.5297 .51483 L
.52873 .51364 L
.52809 .51243 L
.52782 .51204 L
.52669 .51043 L
.52649 .51017 L
.52552 .50883 L
.52488 .50796 L
.52436 .50722 L
.52328 .5057 L
.52319 .50562 L
.5223 .50401 L
F
0 .53 1 r
.52328 .46051 m
.52342 .46067 L
.52488 .46224 L
.52491 .46228 L
.52631 .46388 L
.52649 .46407 L
.52768 .46549 L
.52809 .46595 L
.52903 .46709 L
.5297 .46786 L
.53038 .4687 L
.5313 .46953 L
.53171 .4703 L
.53291 .47173 L
.53311 .47191 L
.53432 .47351 L
.53451 .47374 L
.5356 .47512 L
.53612 .47574 L
.53689 .47672 L
.53772 .47759 L
.53864 .47833 L
.53933 .47975 L
.5395 .47993 L
.54072 .48154 L
.54093 .48181 L
.54197 .48314 L
.54254 .48349 L
.54324 .48475 L
.54414 .4858 L
.54469 .48636 L
.54575 .48795 L
.54576 .48796 L
.54699 .48957 L
.54735 .49002 L
.54824 .49117 L
.54896 .49188 L
.54994 .49278 L
.55057 .49412 L
.55079 .49438 L
.55196 .49599 L
.55217 .49625 L
.55319 .49759 L
.55378 .4979 L
.55442 .4992 L
.55538 .50033 L
.55581 .5008 L
.55689 .50241 L
.55699 .50253 L
.55809 .50401 L
.55859 .50465 L
.55931 .50562 L
.5602 .50655 L
.56086 .50722 L
.56176 .50883 L
.5618 .50888 L
.56294 .51043 L
.56341 .51103 L
.56414 .51204 L
.56501 .51318 L
.56535 .51364 L
.56656 .51525 L
.56662 .51533 L
.56771 .51686 L
.56822 .51753 L
.56888 .51846 L
.56983 .51972 L
.57007 .52007 L
.57122 .52167 L
.57143 .52196 L
.57231 .52328 L
.57304 .52427 L
.57343 .52488 L
.57304 .52636 L
.57174 .52488 L
.57143 .52455 L
.57035 .52328 L
.56983 .5227 L
.56898 .52167 L
.56822 .5208 L
.56762 .52007 L
.56662 .51905 L
.56628 .51846 L
.56501 .51693 L
.56494 .51686 L
.56367 .51525 L
.56341 .51494 L
.56238 .51364 L
.5618 .51295 L
.56108 .51204 L
.5602 .51106 L
.55946 .51043 L
.55859 .50894 L
.55849 .50883 L
.55725 .50722 L
.55699 .5069 L
.55599 .50562 L
.55538 .50514 L
.55472 .50401 L
.55378 .50288 L
.55332 .50241 L
.5522 .5008 L
.55217 .50077 L
.55096 .4992 L
.55057 .4987 L
.54971 .49759 L
.54896 .4968 L
.54812 .49599 L
.54735 .49459 L
.54718 .49438 L
.54598 .49278 L
.54575 .49248 L
.54476 .49117 L
.54414 .49073 L
.54352 .48957 L
.54254 .48838 L
.54217 .48796 L
.54106 .48636 L
.54093 .4862 L
.53985 .48475 L
.53933 .48409 L
.53862 .48314 L
.53772 .48214 L
.53715 .48154 L
.53618 .47993 L
.53612 .47986 L
.53499 .47833 L
.53451 .47771 L
.53379 .47672 L
.53291 .4759 L
.53258 .47512 L
.53137 .47351 L
.5313 .47342 L
.53022 .47191 L
.5297 .47123 L
.52904 .4703 L
.52809 .46904 L
.52785 .4687 L
.5267 .46709 L
.52649 .46681 L
.52559 .46549 L
.52488 .46452 L
.52446 .46388 L
.52334 .46228 L
.52328 .46219 L
.52243 .46067 L
F
1 .81 .003 r
.52328 .4538 m
.52372 .45425 L
.52488 .45542 L
.52528 .45586 L
.52649 .45708 L
.52674 .45746 L
.52809 .45899 L
.52819 .45907 L
.52954 .46067 L
.5297 .46085 L
.5309 .46228 L
.5313 .46248 L
.53225 .46388 L
.53291 .4646 L
.53401 .46549 L
.53451 .46662 L
.53495 .46709 L
.53612 .4686 L
.53619 .4687 L
.53751 .4703 L
.53772 .47049 L
.53881 .47191 L
.53933 .47253 L
.54025 .47351 L
.54093 .47459 L
.54135 .47512 L
.54254 .47661 L
.54259 .47672 L
.54392 .47833 L
.54414 .47857 L
.54548 .47993 L
.54575 .48064 L
.54649 .48154 L
.54735 .48273 L
.54763 .48314 L
.54896 .48474 L
.54898 .48475 L
.55023 .48636 L
.55057 .48676 L
.55161 .48796 L
.55217 .48886 L
.55269 .48957 L
.55378 .49095 L
.55387 .49117 L
.55523 .49278 L
.55538 .49293 L
.55672 .49438 L
.55699 .49503 L
.55775 .49599 L
.55859 .49714 L
.55887 .49759 L
.5602 .49919 L
.5602 .4992 L
.56144 .5008 L
.5618 .50122 L
.56281 .50241 L
.56341 .50335 L
.56389 .50401 L
.56501 .50546 L
.56507 .50562 L
.56638 .50722 L
.56662 .50744 L
.56789 .50883 L
.56822 .50957 L
.5689 .51043 L
.56983 .51171 L
.57003 .51204 L
.57131 .51364 L
.57143 .5137 L
.57254 .51525 L
.57304 .5158 L
.57392 .51686 L
.57464 .51797 L
.57499 .51846 L
.57623 .52007 L
.57625 .52009 L
.57744 .52167 L
.57785 .52203 L
.57897 .52328 L
.57946 .52424 L
.57995 .52488 L
.58106 .52641 L
.58111 .52649 L
.58233 .52809 L
.58267 .52822 L
.58354 .5297 L
.58428 .53051 L
.58492 .5313 L
.58588 .53274 L
.58599 .53291 L
.58719 .53451 L
.58749 .5349 L
.58839 .53612 L
.58909 .53679 L
.58988 .53772 L
.5907 .53913 L
.59085 .53933 L
.592 .54093 L
.5923 .54133 L
.59318 .54254 L
.59391 .54349 L
.59487 .54414 L
.59551 .54562 L
.59561 .54575 L
.59673 .54735 L
.59712 .54787 L
.59788 .54896 L
.59872 .55009 L
.59905 .55057 L
.6002 .55217 L
.60033 .55235 L
.60127 .55378 L
.60193 .55471 L
.60236 .55538 L
.60342 .55699 L
.60354 .55717 L
.60418 .55859 L
.60354 .55872 L
.6034 .55859 L
.60193 .55718 L
.60176 .55699 L
.60033 .55548 L
.60026 .55538 L
.59883 .55378 L
.59872 .55366 L
.59744 .55217 L
.59712 .55181 L
.59606 .55057 L
.59551 .55016 L
.5947 .54896 L
.59391 .54806 L
.59307 .54735 L
.5923 .54606 L
.59201 .54575 L
.59073 .54414 L
.5907 .54411 L
.58942 .54254 L
.58909 .54221 L
.58812 .54093 L
.58749 .54015 L
.58672 .53933 L
.58588 .53811 L
.58558 .53772 L
.58428 .53612 L
.58427 .53612 L
.583 .53451 L
.58267 .53413 L
.58149 .53291 L
.58106 .53205 L
.58045 .5313 L
.57946 .52998 L
.57929 .5297 L
.57795 .52809 L
.57785 .528 L
.57627 .52649 L
.57625 .52594 L
.57534 .52488 L
.57464 .52384 L
.57424 .52328 L
.57304 .52177 L
.57301 .52167 L
.5717 .52007 L
.57143 .51978 L
.57023 .51846 L
.56983 .51767 L
.56919 .51686 L
.56822 .51556 L
.56804 .51525 L
.56672 .51364 L
.56662 .51356 L
.56508 .51204 L
.56501 .51148 L
.56414 .51043 L
.56341 .50935 L
.56304 .50883 L
.5618 .50726 L
.56179 .50722 L
.56054 .50562 L
.5602 .50527 L
.55907 .50401 L
.55859 .50313 L
.55804 .50241 L
.55699 .501 L
.55688 .5008 L
.55561 .4992 L
.55538 .49905 L
.55393 .49759 L
.55378 .4969 L
.55303 .49599 L
.55217 .49473 L
.55193 .49438 L
.55069 .49278 L
.55057 .49262 L
.54947 .49117 L
.54896 .49067 L
.54799 .48957 L
.54735 .48846 L
.54698 .48796 L
.54579 .48636 L
.54575 .48631 L
.54458 .48475 L
.54414 .48447 L
.54288 .48314 L
.54254 .48218 L
.54203 .48154 L
.54093 .47997 L
.54091 .47993 L
.53972 .47833 L
.53933 .47782 L
.53851 .47672 L
.53772 .47589 L
.53708 .47512 L
.53612 .47358 L
.53607 .47351 L
.5349 .47191 L
.53451 .47141 L
.53371 .4703 L
.53291 .46959 L
.53214 .4687 L
.5313 .4671 L
.53129 .46709 L
.53015 .46549 L
.5297 .46489 L
.52898 .46388 L
.52809 .46269 L
.5278 .46228 L
.52665 .46067 L
.52649 .46045 L
.52556 .45907 L
.52488 .45813 L
.52445 .45746 L
.52334 .45586 L
.52328 .45576 L
.52244 .45425 L
F
.395 .97 1 r
.52328 .53087 m
.52488 .53089 L
.52579 .5313 L
.52649 .53178 L
.52753 .53291 L
.52809 .53406 L
.52925 .53451 L
.5297 .5357 L
.53026 .53612 L
.5313 .53762 L
.53142 .53772 L
.53266 .53933 L
.53291 .53945 L
.53389 .54093 L
.53451 .54158 L
.53533 .54254 L
.53612 .54377 L
.53639 .54414 L
.53758 .54575 L
.53772 .54593 L
.53878 .54735 L
.53933 .54807 L
.54035 .54896 L
.54093 .55001 L
.54127 .55057 L
.54237 .55217 L
.54254 .5524 L
.54349 .55378 L
.54414 .55474 L
.54456 .55538 L
.54538 .55699 L
.54414 .55786 L
.5427 .55699 L
.54254 .5569 L
.54093 .55545 L
.54089 .55538 L
.53935 .55378 L
.53933 .55375 L
.53794 .55217 L
.53772 .55185 L
.53658 .55057 L
.53612 .54981 L
.53543 .54896 L
.53451 .54768 L
.53437 .54735 L
.53291 .54595 L
.53275 .54575 L
.53145 .54414 L
.5313 .54387 L
.53031 .54254 L
.5297 .54174 L
.52925 .54093 L
.52809 .53962 L
.52777 .53933 L
.5265 .53772 L
.52649 .53771 L
.52534 .53612 L
.52488 .53594 L
.52432 .53451 L
.52328 .53314 L
.52325 .53291 L
.52253 .5313 L
F
0 .52 1 r
.52328 .46063 m
.52332 .46067 L
.52328 .46207 L
.52257 .46067 L
F
0 .72 1 r
.52328 .5093 m
.52447 .51043 L
.52488 .51083 L
.52598 .51204 L
.52649 .51259 L
.52738 .51364 L
.52809 .51394 L
.52872 .51525 L
.5297 .51636 L
.53021 .51686 L
.53121 .51846 L
.5313 .51858 L
.53238 .52007 L
.53291 .52083 L
.53347 .52167 L
.53442 .52328 L
.53291 .52369 L
.53251 .52328 L
.5313 .52232 L
.53099 .52167 L
.5297 .52022 L
.5295 .52007 L
.52833 .51846 L
.52809 .51817 L
.5271 .51686 L
.52649 .51608 L
.52588 .51525 L
.52488 .51392 L
.52468 .51364 L
.52358 .51204 L
.52328 .51159 L
.52259 .51043 L
F
1 .95 .212 r
.52328 .50325 m
.52471 .50401 L
.52488 .50412 L
.52649 .50546 L
.52662 .50562 L
.52809 .50708 L
.52811 .50722 L
.52966 .50883 L
.5297 .50887 L
.53126 .51043 L
.5313 .5108 L
.53236 .51204 L
.53291 .51284 L
.53348 .51364 L
.53451 .51493 L
.53495 .51525 L
.53612 .51677 L
.53619 .51686 L
.53749 .51846 L
.53772 .51884 L
.53858 .52007 L
.53933 .52098 L
.53961 .52167 L
.54093 .52314 L
.54105 .52328 L
.54245 .52488 L
.54254 .52542 L
.54328 .52649 L
.54395 .52809 L
.54254 .52895 L
.54093 .52819 L
.54073 .52809 L
.53933 .52661 L
.53919 .52649 L
.53788 .52488 L
.53772 .52482 L
.5366 .52328 L
.53612 .52284 L
.53534 .52167 L
.53451 .52072 L
.53388 .52007 L
.53291 .51858 L
.53281 .51846 L
.53161 .51686 L
.5313 .51646 L
.5304 .51525 L
.5297 .51474 L
.52881 .51364 L
.52809 .51231 L
.5279 .51204 L
.52678 .51043 L
.52649 .51005 L
.52562 .50883 L
.52488 .5078 L
.52448 .50722 L
.52342 .50562 L
.52328 .50539 L
.52268 .50401 L
F
0 .71 1 r
.52328 .50943 m
.52436 .51043 L
.52488 .51092 L
.52591 .51204 L
.52649 .51267 L
.52732 .51364 L
.52809 .51401 L
.52866 .51525 L
.5297 .51644 L
.53012 .51686 L
.53116 .51846 L
.5313 .51865 L
.53232 .52007 L
.53291 .52092 L
.53341 .52167 L
.53431 .52328 L
.53291 .5236 L
.53259 .52328 L
.5313 .52221 L
.53105 .52167 L
.5297 .52014 L
.5296 .52007 L
.52838 .51846 L
.52809 .51812 L
.52714 .51686 L
.52649 .51602 L
.52593 .51525 L
.52488 .51386 L
.52473 .51364 L
.52365 .51204 L
.52328 .51149 L
.52268 .51043 L
F
1 .8 .002 r
.52328 .45406 m
.52348 .45425 L
.52488 .4556 L
.52512 .45586 L
.52649 .45726 L
.52662 .45746 L
.52805 .45907 L
.52809 .45911 L
.52945 .46067 L
.5297 .46095 L
.53082 .46228 L
.5313 .46253 L
.53218 .46388 L
.53291 .46468 L
.53394 .46549 L
.53451 .46669 L
.53489 .46709 L
.53612 .46865 L
.53615 .4687 L
.53746 .4703 L
.53772 .47053 L
.53877 .47191 L
.53933 .47259 L
.54021 .47351 L
.54093 .47464 L
.54131 .47512 L
.54254 .47665 L
.54258 .47672 L
.54389 .47833 L
.54414 .47861 L
.54546 .47993 L
.54575 .48068 L
.54646 .48154 L
.54735 .48276 L
.54761 .48314 L
.54895 .48475 L
.54896 .48476 L
.5502 .48636 L
.55057 .48679 L
.55159 .48796 L
.55217 .48889 L
.55267 .48957 L
.55378 .49097 L
.55386 .49117 L
.5552 .49278 L
.55538 .49296 L
.55671 .49438 L
.55699 .49505 L
.55773 .49599 L
.55859 .49717 L
.55886 .49759 L
.56018 .4992 L
.5602 .49921 L
.56142 .5008 L
.5618 .50124 L
.56279 .50241 L
.56341 .50337 L
.56387 .50401 L
.56501 .50548 L
.56507 .50562 L
.56636 .50722 L
.56662 .50746 L
.56788 .50883 L
.56822 .50959 L
.56888 .51043 L
.56983 .51173 L
.57001 .51204 L
.57129 .51364 L
.57143 .51371 L
.57252 .51525 L
.57304 .51582 L
.5739 .51686 L
.57464 .51799 L
.57498 .51846 L
.57621 .52007 L
.57625 .52012 L
.57742 .52167 L
.57785 .52205 L
.57896 .52328 L
.57946 .52427 L
.57993 .52488 L
.58106 .52643 L
.5811 .52649 L
.58231 .52809 L
.58267 .52824 L
.58352 .5297 L
.58428 .53055 L
.58489 .5313 L
.58588 .53278 L
.58597 .53291 L
.58716 .53451 L
.58749 .53493 L
.58836 .53612 L
.58909 .53683 L
.58985 .53772 L
.5907 .53918 L
.59081 .53933 L
.59196 .54093 L
.5923 .54137 L
.59315 .54254 L
.59391 .54355 L
.5948 .54414 L
.59551 .5457 L
.59555 .54575 L
.59668 .54735 L
.59712 .54794 L
.59783 .54896 L
.59872 .55018 L
.59899 .55057 L
.60012 .55217 L
.60033 .55246 L
.60118 .55378 L
.60193 .55486 L
.60225 .55538 L
.60193 .55698 L
.6004 .55538 L
.60033 .55531 L
.59895 .55378 L
.59872 .55354 L
.59753 .55217 L
.59712 .55171 L
.59614 .55057 L
.59551 .55008 L
.59477 .54896 L
.59391 .54798 L
.59314 .54735 L
.5923 .54599 L
.59207 .54575 L
.59078 .54414 L
.5907 .54405 L
.58947 .54254 L
.58909 .54216 L
.58817 .54093 L
.58749 .5401 L
.58676 .53933 L
.58588 .53806 L
.58562 .53772 L
.58431 .53612 L
.58428 .5361 L
.58304 .53451 L
.58267 .5341 L
.58151 .53291 L
.58106 .53202 L
.58048 .5313 L
.57946 .52995 L
.5793 .5297 L
.57798 .52809 L
.57785 .52798 L
.57627 .52649 L
.57625 .52591 L
.57536 .52488 L
.57464 .52381 L
.57426 .52328 L
.57304 .52175 L
.57301 .52167 L
.57172 .52007 L
.57143 .51976 L
.57025 .51846 L
.56983 .51765 L
.5692 .51686 L
.56822 .51554 L
.56805 .51525 L
.56674 .51364 L
.56662 .51355 L
.56509 .51204 L
.56501 .51146 L
.56415 .51043 L
.56341 .50933 L
.56306 .50883 L
.5618 .50724 L
.5618 .50722 L
.56056 .50562 L
.5602 .50525 L
.55908 .50401 L
.55859 .5031 L
.55805 .50241 L
.55699 .50098 L
.55689 .5008 L
.55563 .4992 L
.55538 .49903 L
.55394 .49759 L
.55378 .49687 L
.55304 .49599 L
.55217 .49471 L
.55194 .49438 L
.55071 .49278 L
.55057 .49259 L
.54949 .49117 L
.54896 .49065 L
.54801 .48957 L
.54735 .48843 L
.547 .48796 L
.54581 .48636 L
.54575 .48628 L
.5446 .48475 L
.54414 .48445 L
.5429 .48314 L
.54254 .48215 L
.54205 .48154 L
.54094 .47993 L
.54093 .47993 L
.53974 .47833 L
.53933 .47779 L
.53854 .47672 L
.53772 .47585 L
.53712 .47512 L
.53612 .47354 L
.5361 .47351 L
.53493 .47191 L
.53451 .47136 L
.53374 .4703 L
.53291 .46953 L
.5322 .4687 L
.53134 .46709 L
.5313 .46704 L
.5302 .46549 L
.5297 .46483 L
.52903 .46388 L
.52809 .46261 L
.52786 .46228 L
.52672 .46067 L
.52649 .46035 L
.52564 .45907 L
.52488 .458 L
.52454 .45746 L
.52349 .45586 L
.52328 .45552 L
.5227 .45425 L
F
0 .7 1 r
.52328 .50956 m
.52425 .51043 L
.52488 .51102 L
.52583 .51204 L
.52649 .51274 L
.52726 .51364 L
.52809 .5141 L
.52861 .51525 L
.5297 .51653 L
.53003 .51686 L
.5311 .51846 L
.5313 .51873 L
.53226 .52007 L
.53291 .52102 L
.53334 .52167 L
.53419 .52328 L
.53291 .5235 L
.53268 .52328 L
.5313 .5221 L
.53111 .52167 L
.5297 .52007 L
.5297 .52006 L
.52843 .51846 L
.52809 .51806 L
.52719 .51686 L
.52649 .51596 L
.52597 .51525 L
.52488 .5138 L
.52478 .51364 L
.52371 .51204 L
.52328 .51137 L
.52277 .51043 L
F
0 .69 1 r
.52328 .50971 m
.52413 .51043 L
.52488 .51111 L
.52575 .51204 L
.52649 .51282 L
.5272 .51364 L
.52809 .51419 L
.52855 .51525 L
.5297 .51662 L
.52994 .51686 L
.53104 .51846 L
.5313 .51881 L
.53219 .52007 L
.53291 .52112 L
.53326 .52167 L
.53406 .52328 L
.53291 .52341 L
.53277 .52328 L
.5313 .52197 L
.53116 .52167 L
.52976 .52007 L
.5297 .51999 L
.52848 .51846 L
.52809 .51799 L
.52724 .51686 L
.52649 .5159 L
.52602 .51525 L
.52488 .51373 L
.52482 .51364 L
.52379 .51204 L
.52328 .51124 L
.52287 .51043 L
F
.289 .96 1 r
.52328 .53112 m
.52488 .53108 L
.52544 .5313 L
.52649 .53195 L
.52741 .53291 L
.52809 .53418 L
.52918 .53451 L
.5297 .53576 L
.53019 .53612 L
.5313 .53766 L
.53137 .53772 L
.53261 .53933 L
.53291 .53949 L
.53384 .54093 L
.53451 .54164 L
.53528 .54254 L
.53612 .54384 L
.53634 .54414 L
.53753 .54575 L
.53772 .54601 L
.53872 .54735 L
.53933 .54816 L
.54027 .54896 L
.54093 .55016 L
.54117 .55057 L
.54226 .55217 L
.54254 .55256 L
.54335 .55378 L
.54414 .55503 L
.54435 .55538 L
.54479 .55699 L
.54414 .55731 L
.54339 .55699 L
.54254 .55662 L
.54119 .55538 L
.54093 .55514 L
.53957 .55378 L
.53933 .55349 L
.53811 .55217 L
.53772 .55163 L
.5367 .55057 L
.53612 .54964 L
.53554 .54896 L
.53451 .54758 L
.53442 .54735 L
.53291 .54583 L
.53284 .54575 L
.5315 .54414 L
.5313 .54376 L
.53038 .54254 L
.5297 .54164 L
.52932 .54093 L
.52809 .53954 L
.52785 .53933 L
.52652 .53772 L
.52649 .5377 L
.52542 .53612 L
.52488 .53584 L
.52441 .53451 L
.52328 .53291 L
.52328 .53289 L
.52295 .5313 L
F
0 .68 1 r
.52328 .50989 m
.52398 .51043 L
.52488 .51121 L
.52567 .51204 L
.52649 .5129 L
.52713 .51364 L
.52809 .5143 L
.52849 .51525 L
.5297 .51672 L
.52984 .51686 L
.53098 .51846 L
.5313 .5189 L
.53213 .52007 L
.53291 .52123 L
.53319 .52167 L
.53389 .52328 L
.53291 .5233 L
.53288 .52328 L
.5313 .52184 L
.53123 .52167 L
.52982 .52007 L
.5297 .51993 L
.52853 .51846 L
.52809 .51793 L
.52728 .51686 L
.52649 .51584 L
.52606 .51525 L
.52488 .51366 L
.52487 .51364 L
.52387 .51204 L
.52328 .51108 L
.52299 .51043 L
F
1 .32 0 r
.52328 .51634 m
.52362 .51686 L
.52328 .51719 L
.52302 .51686 L
F
0 .67 1 r
.52328 .51011 m
.52379 .51043 L
.52488 .51132 L
.52558 .51204 L
.52649 .51299 L
.52706 .51364 L
.52809 .51442 L
.52843 .51525 L
.5297 .51682 L
.52973 .51686 L
.53092 .51846 L
.5313 .51898 L
.53206 .52007 L
.53291 .52135 L
.53311 .52167 L
.53291 .52317 L
.5313 .5217 L
.53129 .52167 L
.52988 .52007 L
.5297 .51986 L
.52859 .51846 L
.52809 .51787 L
.52734 .51686 L
.52649 .51577 L
.52611 .51525 L
.52494 .51364 L
.52488 .51357 L
.52395 .51204 L
.52328 .51086 L
.52313 .51043 L
F
1 .31 0 r
.52328 .5165 m
.52349 .51686 L
.52328 .51704 L
.52313 .51686 L
F
0 .35 1 r
.52328 .47355 m
.52438 .47512 L
.52488 .47572 L
.52556 .47672 L
.52649 .47789 L
.52678 .47833 L
.52649 .47921 L
.52581 .47833 L
.52488 .47727 L
.52447 .47672 L
.52328 .47529 L
.52314 .47512 L
F
1 .62 0 r
.52328 .48028 m
.52399 .48154 L
.52488 .483 L
.52489 .48314 L
.52488 .48316 L
.52487 .48314 L
.52328 .48167 L
.52316 .48154 L
F
0 .34 1 r
.52328 .47364 m
.52431 .47512 L
.52488 .47582 L
.52549 .47672 L
.52649 .47798 L
.52671 .47833 L
.52649 .47909 L
.5259 .47833 L
.52488 .47718 L
.52453 .47672 L
.52328 .47522 L
.5232 .47512 L
F
1 .87 .018 r
.52328 .53617 m
.52488 .53772 L
.52488 .53773 L
.5262 .53933 L
.52649 .53967 L
.52741 .54093 L
.52809 .54182 L
.52856 .54254 L
.52809 .54379 L
.52697 .54254 L
.52649 .542 L
.52561 .54093 L
.52488 .54002 L
.52436 .53933 L
.52328 .53776 L
.52325 .53772 L
F
1 .94 .156 r
.52328 .50399 m
.52385 .50401 L
.52488 .50448 L
.52632 .50562 L
.52649 .50576 L
.52799 .50722 L
.52809 .50731 L
.52948 .50883 L
.5297 .50908 L
.53124 .51043 L
.5313 .51099 L
.53224 .51204 L
.53291 .513 L
.53337 .51364 L
.53451 .51504 L
.53483 .51525 L
.53608 .51686 L
.53612 .5169 L
.53741 .51846 L
.53772 .51897 L
.53848 .52007 L
.53933 .52112 L
.53954 .52167 L
.54092 .52328 L
.54093 .52329 L
.5424 .52488 L
.54254 .52567 L
.5431 .52649 L
.54358 .52809 L
.54254 .52867 L
.54111 .52809 L
.54093 .52797 L
.53936 .52649 L
.53933 .52646 L
.53798 .52488 L
.53772 .52478 L
.53668 .52328 L
.53612 .52277 L
.53541 .52167 L
.53451 .52064 L
.53396 .52007 L
.53291 .5185 L
.53288 .51846 L
.53167 .51686 L
.5313 .51638 L
.53046 .51525 L
.5297 .51465 L
.5289 .51364 L
.52809 .51218 L
.52799 .51204 L
.52687 .51043 L
.52649 .50992 L
.52573 .50883 L
.52488 .50763 L
.52461 .50722 L
.52365 .50562 L
.52328 .50481 L
.52326 .50401 L
F
0 .33 1 r
.52328 .47373 m
.52422 .47512 L
.52488 .47592 L
.5254 .47672 L
.52649 .4781 L
.52663 .47833 L
.52649 .47896 L
.52601 .47833 L
.52488 .47708 L
.52461 .47672 L
.52328 .47513 L
.52326 .47512 L
F
.212 .95 1 r
.52488 .53127 m
.52497 .5313 L
.52649 .53211 L
.52729 .53291 L
.52809 .53428 L
.52909 .53451 L
.5297 .53582 L
.53013 .53612 L
.5313 .5377 L
.53132 .53772 L
.53256 .53933 L
.53291 .53952 L
.53379 .54093 L
.53451 .5417 L
.53522 .54254 L
.53612 .54391 L
.53628 .54414 L
.53747 .54575 L
.53772 .54608 L
.53866 .54735 L
.53933 .54824 L
.54019 .54896 L
.54093 .55033 L
.54107 .55057 L
.54215 .55217 L
.54254 .55274 L
.54319 .55378 L
.54411 .55538 L
.54254 .55635 L
.54154 .55538 L
.54093 .55487 L
.53979 .55378 L
.53933 .55325 L
.53828 .55217 L
.53772 .55144 L
.53682 .55057 L
.53612 .5495 L
.53564 .54896 L
.53451 .5475 L
.53445 .54735 L
.53293 .54575 L
.53291 .54572 L
.53156 .54414 L
.5313 .54366 L
.53045 .54254 L
.5297 .54155 L
.52937 .54093 L
.52809 .53947 L
.52793 .53933 L
.52653 .53772 L
.52649 .53767 L
.5255 .53612 L
.52488 .53569 L
.52451 .53451 L
.52345 .53291 L
.52353 .5313 L
F
.156 .94 1 r
.52488 .53147 m
.52649 .53227 L
.52716 .53291 L
.52809 .53435 L
.529 .53451 L
.5297 .53587 L
.53006 .53612 L
.53127 .53772 L
.5313 .53776 L
.53251 .53933 L
.53291 .53956 L
.53375 .54093 L
.53451 .54176 L
.53517 .54254 L
.53612 .54399 L
.53623 .54414 L
.53741 .54575 L
.53772 .54616 L
.5386 .54735 L
.53933 .54833 L
.5401 .54896 L
.54093 .55051 L
.54097 .55057 L
.54203 .55217 L
.54254 .55294 L
.54303 .55378 L
.54375 .55538 L
.54254 .55596 L
.54195 .55538 L
.54093 .55463 L
.54003 .55378 L
.53933 .55304 L
.53845 .55217 L
.53772 .55127 L
.53694 .55057 L
.53612 .54937 L
.53573 .54896 L
.53451 .54744 L
.53448 .54735 L
.53302 .54575 L
.53291 .54561 L
.53161 .54414 L
.5313 .54356 L
.53052 .54254 L
.5297 .54146 L
.52942 .54093 L
.52809 .5394 L
.52801 .53933 L
.52654 .53772 L
.52649 .53764 L
.52558 .53612 L
.52488 .53549 L
.5246 .53451 L
.52362 .53291 L
F
1 .79 .001 r
.52488 .45579 m
.52495 .45586 L
.52649 .45745 L
.52649 .45746 L
.52794 .45907 L
.52809 .45922 L
.52935 .46067 L
.5297 .46105 L
.53074 .46228 L
.5313 .46259 L
.53211 .46388 L
.53291 .46476 L
.53387 .46549 L
.53451 .46676 L
.53483 .46709 L
.53611 .4687 L
.53612 .46871 L
.53742 .4703 L
.53772 .47058 L
.53872 .47191 L
.53933 .47264 L
.54017 .47351 L
.54093 .47468 L
.54128 .47512 L
.54254 .47668 L
.54256 .47672 L
.54386 .47833 L
.54414 .47864 L
.54544 .47993 L
.54575 .48072 L
.54644 .48154 L
.54735 .48279 L
.54759 .48314 L
.54892 .48475 L
.54896 .48478 L
.55018 .48636 L
.55057 .48682 L
.55157 .48796 L
.55217 .48892 L
.55265 .48957 L
.55378 .491 L
.55385 .49117 L
.55518 .49278 L
.55538 .49298 L
.5567 .49438 L
.55699 .49508 L
.55771 .49599 L
.55859 .49719 L
.55884 .49759 L
.56016 .4992 L
.5602 .49922 L
.5614 .5008 L
.5618 .50127 L
.56278 .50241 L
.56341 .5034 L
.56385 .50401 L
.56501 .5055 L
.56506 .50562 L
.56634 .50722 L
.56662 .50748 L
.56786 .50883 L
.56822 .50962 L
.56886 .51043 L
.56983 .51175 L
.57 .51204 L
.57127 .51364 L
.57143 .51372 L
.5725 .51525 L
.57304 .51585 L
.57388 .51686 L
.57464 .51802 L
.57496 .51846 L
.57619 .52007 L
.57625 .52014 L
.5774 .52167 L
.57785 .52207 L
.57894 .52328 L
.57946 .52429 L
.57991 .52488 L
.58106 .52646 L
.58108 .52649 L
.58228 .52809 L
.58267 .52825 L
.5835 .5297 L
.58428 .53058 L
.58486 .5313 L
.58588 .53282 L
.58594 .53291 L
.58713 .53451 L
.58749 .53497 L
.58833 .53612 L
.58909 .53687 L
.58981 .53772 L
.5907 .53923 L
.59077 .53933 L
.59193 .54093 L
.5923 .54142 L
.59311 .54254 L
.59391 .5436 L
.59474 .54414 L
.59549 .54575 L
.59551 .54578 L
.59662 .54735 L
.59712 .54802 L
.59777 .54896 L
.59872 .55026 L
.59893 .55057 L
.60003 .55217 L
.60033 .55259 L
.60108 .55378 L
.60193 .55504 L
.60213 .55538 L
.60193 .55675 L
.60057 .55538 L
.60033 .55515 L
.59907 .55378 L
.59872 .55342 L
.59763 .55217 L
.59712 .55161 L
.59622 .55057 L
.59551 .55 L
.59484 .54896 L
.59391 .5479 L
.59323 .54735 L
.5923 .54592 L
.59214 .54575 L
.59083 .54414 L
.5907 .54398 L
.58952 .54254 L
.58909 .54212 L
.58821 .54093 L
.58749 .54005 L
.5868 .53933 L
.58588 .53801 L
.58565 .53772 L
.58435 .53612 L
.58428 .53608 L
.58307 .53451 L
.58267 .53406 L
.58154 .53291 L
.58106 .53198 L
.58051 .5313 L
.57946 .52992 L
.57932 .5297 L
.57801 .52809 L
.57785 .52795 L
.57628 .52649 L
.57625 .52588 L
.57538 .52488 L
.57464 .52378 L
.57428 .52328 L
.57304 .52173 L
.57302 .52167 L
.57174 .52007 L
.57143 .51973 L
.57026 .51846 L
.56983 .51762 L
.56922 .51686 L
.56822 .51552 L
.56807 .51525 L
.56676 .51364 L
.56662 .51353 L
.56509 .51204 L
.56501 .51144 L
.56417 .51043 L
.56341 .5093 L
.56307 .50883 L
.5618 .50722 L
.5618 .50722 L
.56058 .50562 L
.5602 .50523 L
.5591 .50401 L
.55859 .50308 L
.55807 .50241 L
.55699 .50095 L
.5569 .5008 L
.55564 .4992 L
.55538 .49902 L
.55395 .49759 L
.55378 .49685 L
.55306 .49599 L
.55217 .49469 L
.55196 .49438 L
.55073 .49278 L
.55057 .49257 L
.54951 .49117 L
.54896 .49063 L
.54803 .48957 L
.54735 .48841 L
.54702 .48796 L
.54583 .48636 L
.54575 .48625 L
.54463 .48475 L
.54414 .48443 L
.54293 .48314 L
.54254 .48211 L
.54208 .48154 L
.54096 .47993 L
.54093 .4799 L
.53977 .47833 L
.53933 .47776 L
.53857 .47672 L
.53772 .47581 L
.53715 .47512 L
.53614 .47351 L
.53612 .47349 L
.53496 .47191 L
.53451 .47132 L
.53378 .4703 L
.53291 .46946 L
.53226 .4687 L
.53139 .46709 L
.5313 .46698 L
.53024 .46549 L
.5297 .46476 L
.52909 .46388 L
.52809 .46253 L
.52791 .46228 L
.5268 .46067 L
.52649 .46024 L
.52573 .45907 L
.52488 .45786 L
.52464 .45746 L
.52368 .45586 L
F
.114 .93 1 r
.52488 .53166 m
.52649 .53241 L
.52703 .53291 L
.52809 .5344 L
.52889 .53451 L
.5297 .53593 L
.52998 .53612 L
.53121 .53772 L
.5313 .53783 L
.53246 .53933 L
.53291 .5396 L
.5337 .54093 L
.53451 .54183 L
.53511 .54254 L
.53612 .54406 L
.53618 .54414 L
.53735 .54575 L
.53772 .54623 L
.53854 .54735 L
.53933 .54842 L
.54 .54896 L
.54086 .55057 L
.54093 .55066 L
.5419 .55217 L
.54254 .55319 L
.54286 .55378 L
.54254 .55537 L
.54093 .55438 L
.54027 .55378 L
.53933 .55284 L
.53862 .55217 L
.53772 .55111 L
.53707 .55057 L
.53612 .54926 L
.53582 .54896 L
.53451 .54739 L
.5345 .54735 L
.53311 .54575 L
.53291 .54551 L
.53167 .54414 L
.5313 .54346 L
.53059 .54254 L
.5297 .54137 L
.52947 .54093 L
.52809 .53933 L
.52809 .53933 L
.52656 .53772 L
.52649 .53759 L
.52566 .53612 L
.52488 .53524 L
.52469 .53451 L
.52379 .53291 L
F
.212 .95 1 r
.52488 .44924 m
.52509 .44943 L
.52649 .45067 L
.52674 .45104 L
.52809 .45246 L
.5284 .45265 L
.5297 .45424 L
.52971 .45425 L
.53113 .45586 L
.5313 .45605 L
.53252 .45746 L
.53291 .45787 L
.5339 .45907 L
.53451 .45983 L
.53534 .46067 L
.53612 .4618 L
.5365 .46228 L
.53772 .46376 L
.53777 .46388 L
.53921 .46549 L
.53933 .46563 L
.54067 .46709 L
.54093 .46765 L
.54177 .4687 L
.54254 .46972 L
.5429 .4703 L
.54414 .47178 L
.54439 .47191 L
.54566 .47351 L
.54575 .47364 L
.54695 .47512 L
.54735 .47572 L
.54807 .47672 L
.54896 .47786 L
.54912 .47833 L
.55057 .47973 L
.55073 .47993 L
.55203 .48154 L
.55217 .48181 L
.55318 .48314 L
.55378 .48395 L
.55425 .48475 L
.55538 .4861 L
.55575 .48636 L
.55699 .48796 L
.55699 .48797 L
.55824 .48957 L
.55859 .49009 L
.55934 .49117 L
.5602 .49225 L
.56035 .49278 L
.5618 .49434 L
.56196 .49438 L
.56326 .49599 L
.56341 .49627 L
.56439 .49759 L
.56501 .49842 L
.56545 .4992 L
.56662 .50056 L
.56693 .5008 L
.56821 .50241 L
.56822 .5025 L
.56942 .50401 L
.56983 .50462 L
.57051 .50562 L
.57143 .50676 L
.57153 .50722 L
.57304 .5088 L
.5731 .50883 L
.57442 .51043 L
.57464 .51084 L
.57553 .51204 L
.57625 .51298 L
.5766 .51364 L
.57785 .51509 L
.57804 .51525 L
.57941 .51686 L
.57946 .51709 L
.58055 .51846 L
.58106 .51921 L
.58163 .52007 L
.58267 .52134 L
.58271 .52167 L
.5842 .52328 L
.58428 .52335 L
.58556 .52488 L
.58588 .52545 L
.58665 .52649 L
.58749 .52758 L
.58774 .52809 L
.58909 .52966 L
.58913 .5297 L
.59059 .5313 L
.5907 .5317 L
.59165 .53291 L
.5923 .53383 L
.59274 .53451 L
.59391 .53595 L
.59392 .53612 L
.59527 .53772 L
.59551 .53795 L
.59667 .53933 L
.59712 .54009 L
.59773 .54093 L
.59872 .54223 L
.59887 .54254 L
.60018 .54414 L
.60033 .54422 L
.60173 .54575 L
.60193 .54634 L
.60272 .54735 L
.60354 .54851 L
.60382 .54896 L
.60508 .55057 L
.60514 .55064 L
.60629 .55217 L
.60675 .55258 L
.60773 .55378 L
.60835 .5548 L
.60877 .55538 L
.60996 .55697 L
.60997 .55699 L
.61117 .55859 L
.61156 .55878 L
.61278 .5602 L
.61317 .56109 L
.61371 .5618 L
.61477 .56332 L
.61483 .56341 L
.61602 .56501 L
.61638 .56548 L
.61722 .56662 L
.61799 .56739 L
.61862 .56822 L
.61959 .56974 L
.61965 .56983 L
.62081 .57143 L
.6212 .57193 L
.62199 .57304 L
.6228 .57411 L
.62348 .57464 L
.62437 .57625 L
.62441 .5763 L
.6255 .57785 L
.62601 .57855 L
.62664 .57946 L
.62762 .58082 L
.62778 .58106 L
.62886 .58267 L
.62922 .58319 L
.62988 .58428 L
.63083 .58575 L
.6309 .58588 L
.63083 .5872 L
.62931 .58588 L
.62922 .5858 L
.62773 .58428 L
.62762 .58416 L
.62625 .58267 L
.62601 .58242 L
.62481 .58106 L
.62441 .58084 L
.6234 .57946 L
.6228 .57881 L
.62145 .57785 L
.6212 .57685 L
.6206 .57625 L
.61959 .5749 L
.61938 .57464 L
.61801 .57304 L
.61799 .57302 L
.61669 .57143 L
.61638 .57105 L
.61523 .56983 L
.61477 .56901 L
.61413 .56822 L
.61317 .56696 L
.61297 .56662 L
.61156 .56502 L
.61153 .56501 L
.61004 .56341 L
.60996 .56302 L
.60895 .5618 L
.60835 .56092 L
.60784 .5602 L
.60675 .55883 L
.60672 .55859 L
.6052 .55699 L
.60514 .55691 L
.60385 .55538 L
.60354 .55482 L
.60274 .55378 L
.60193 .5527 L
.60165 .55217 L
.60033 .55063 L
.60019 .55057 L
.5988 .54896 L
.59872 .54866 L
.59767 .54735 L
.59712 .54654 L
.59658 .54575 L
.59551 .54442 L
.5955 .54414 L
.59398 .54254 L
.59391 .54246 L
.59263 .54093 L
.5923 .54035 L
.59153 .53933 L
.5907 .53822 L
.59045 .53772 L
.58909 .53617 L
.58902 .53612 L
.5876 .53451 L
.58749 .53414 L
.5865 .53291 L
.58588 .53201 L
.58541 .5313 L
.58428 .5299 L
.58407 .5297 L
.58284 .52809 L
.58267 .5279 L
.58148 .52649 L
.58106 .52579 L
.58039 .52488 L
.57946 .52366 L
.57928 .52328 L
.5779 .52167 L
.57785 .52163 L
.57643 .52007 L
.57625 .51956 L
.57538 .51846 L
.57464 .51742 L
.57428 .51686 L
.57304 .51533 L
.57297 .51525 L
.57174 .51364 L
.57143 .51332 L
.57035 .51204 L
.56983 .51118 L
.56928 .51043 L
.56822 .50906 L
.56812 .50883 L
.56682 .50722 L
.56662 .50707 L
.56529 .50562 L
.56501 .50495 L
.56428 .50401 L
.56341 .50279 L
.56316 .50241 L
.56189 .5008 L
.5618 .50079 L
.56067 .4992 L
.5602 .49872 L
.55926 .49759 L
.55859 .49654 L
.55819 .49599 L
.55699 .4944 L
.55698 .49438 L
.55576 .49278 L
.55538 .4925 L
.55419 .49117 L
.55378 .49029 L
.55321 .48957 L
.55217 .48811 L
.55208 .48796 L
.55085 .48636 L
.55057 .48599 L
.54964 .48475 L
.54896 .48406 L
.54822 .48314 L
.54735 .48182 L
.54716 .48154 L
.54596 .47993 L
.54575 .47967 L
.54475 .47833 L
.54414 .47785 L
.5432 .47672 L
.54254 .47552 L
.54224 .47512 L
.54109 .47351 L
.54093 .47332 L
.53989 .47191 L
.53933 .47118 L
.53868 .4703 L
.53772 .4692 L
.53734 .4687 L
.53625 .46709 L
.53612 .46692 L
.53508 .46549 L
.53451 .46475 L
.53388 .46388 L
.53291 .46281 L
.5325 .46228 L
.53149 .46067 L
.5313 .46042 L
.53035 .45907 L
.5297 .4582 L
.52919 .45746 L
.52809 .45597 L
.52801 .45586 L
.52692 .45425 L
.52649 .45365 L
.52585 .45265 L
.52488 .45123 L
.52477 .45104 L
.52391 .44943 L
F
1 .93 .114 r
.52488 .50485 m
.52596 .50562 L
.52649 .50603 L
.52776 .50722 L
.52809 .50749 L
.5293 .50883 L
.5297 .50928 L
.5312 .51043 L
.5313 .51117 L
.53212 .51204 L
.53291 .51314 L
.53328 .51364 L
.53451 .51512 L
.53471 .51525 L
.53597 .51686 L
.53612 .51701 L
.53734 .51846 L
.53772 .5191 L
.53839 .52007 L
.53933 .52126 L
.53948 .52167 L
.5408 .52328 L
.54093 .52347 L
.54234 .52488 L
.54254 .52595 L
.54289 .52649 L
.54315 .52809 L
.54254 .52838 L
.54152 .52809 L
.54093 .52776 L
.53951 .52649 L
.53933 .52631 L
.53808 .52488 L
.53772 .52474 L
.53676 .52328 L
.53612 .52269 L
.53547 .52167 L
.53451 .52056 L
.53403 .52007 L
.53294 .51846 L
.53291 .51842 L
.53174 .51686 L
.5313 .5163 L
.53052 .51525 L
.5297 .51454 L
.529 .51364 L
.52809 .51204 L
.52809 .51204 L
.52696 .51043 L
.52649 .50979 L
.52584 .50883 L
.52488 .50743 L
.52475 .50722 L
.52394 .50562 L
F
.084 .92 1 r
.52488 .53187 m
.52649 .53256 L
.52688 .53291 L
.52809 .53443 L
.52877 .53451 L
.5297 .53598 L
.52991 .53612 L
.53115 .53772 L
.5313 .5379 L
.5324 .53933 L
.53291 .53965 L
.53365 .54093 L
.53451 .5419 L
.53505 .54254 L
.53612 .54414 L
.53612 .54414 L
.5373 .54575 L
.53772 .54632 L
.53847 .54735 L
.53933 .54852 L
.53989 .54896 L
.54076 .55057 L
.54093 .55081 L
.54177 .55217 L
.54254 .55351 L
.54266 .55378 L
.54254 .5549 L
.54093 .55412 L
.54055 .55378 L
.53933 .55266 L
.5388 .55217 L
.53772 .55097 L
.53721 .55057 L
.53612 .54915 L
.53591 .54896 L
.53452 .54735 L
.53451 .54735 L
.53319 .54575 L
.53291 .54541 L
.53173 .54414 L
.5313 .54337 L
.53066 .54254 L
.5297 .54129 L
.52952 .54093 L
.52817 .53933 L
.52809 .53923 L
.52658 .53772 L
.52649 .53752 L
.52575 .53612 L
.52488 .53492 L
.52478 .53451 L
.52397 .53291 L
F
0 .66 1 r
.52488 .51143 m
.52548 .51204 L
.52649 .51307 L
.52699 .51364 L
.52809 .51456 L
.52836 .51525 L
.52965 .51686 L
.5297 .51691 L
.53085 .51846 L
.5313 .51907 L
.53199 .52007 L
.53291 .52148 L
.53302 .52167 L
.53291 .52301 L
.53138 .52167 L
.5313 .5216 L
.52995 .52007 L
.5297 .51978 L
.52864 .51846 L
.52809 .5178 L
.52739 .51686 L
.52649 .51571 L
.52616 .51525 L
.52501 .51364 L
.52488 .51347 L
.52404 .51204 L
F
0 .65 1 r
.52488 .51155 m
.52538 .51204 L
.52649 .51316 L
.52691 .51364 L
.52809 .51471 L
.5283 .51525 L
.52958 .51686 L
.5297 .517 L
.53078 .51846 L
.5313 .51917 L
.53192 .52007 L
.53291 .52163 L
.53293 .52167 L
.53291 .52281 L
.53149 .52167 L
.5313 .5215 L
.53002 .52007 L
.5297 .51971 L
.5287 .51846 L
.52809 .51773 L
.52744 .51686 L
.52649 .51563 L
.52622 .51525 L
.52508 .51364 L
.52488 .51335 L
.52415 .51204 L
F
.061 .91 1 r
.52488 .53208 m
.52649 .5327 L
.52673 .53291 L
.52809 .53446 L
.52864 .53451 L
.5297 .53604 L
.52983 .53612 L
.53109 .53772 L
.5313 .53797 L
.53235 .53933 L
.53291 .5397 L
.5336 .54093 L
.53451 .54198 L
.53499 .54254 L
.53606 .54414 L
.53612 .54421 L
.53724 .54575 L
.53772 .5464 L
.53841 .54735 L
.53933 .54862 L
.53976 .54896 L
.54066 .55057 L
.54093 .55098 L
.54163 .55217 L
.54238 .55378 L
.54093 .55383 L
.54087 .55378 L
.53933 .55247 L
.53899 .55217 L
.53772 .55083 L
.53736 .55057 L
.53612 .54906 L
.53601 .54896 L
.53461 .54735 L
.53451 .54727 L
.53328 .54575 L
.53291 .54532 L
.53179 .54414 L
.5313 .54327 L
.53073 .54254 L
.5297 .5412 L
.52956 .54093 L
.52824 .53933 L
.52809 .53912 L
.52661 .53772 L
.52649 .53743 L
.52583 .53612 L
.52488 .53453 L
.52488 .53451 L
.52416 .53291 L
F
0 .64 1 r
.52488 .51168 m
.52526 .51204 L
.52649 .51326 L
.52683 .51364 L
.52809 .51488 L
.52823 .51525 L
.52951 .51686 L
.5297 .51709 L
.53071 .51846 L
.5313 .51927 L
.53184 .52007 L
.5313 .5214 L
.5301 .52007 L
.5297 .51963 L
.52877 .51846 L
.52809 .51766 L
.5275 .51686 L
.52649 .51556 L
.52627 .51525 L
.52517 .51364 L
.52488 .51323 L
.52427 .51204 L
F
1 .92 .084 r
.52488 .50527 m
.52549 .50562 L
.52649 .5063 L
.52751 .50722 L
.52809 .50766 L
.52912 .50883 L
.5297 .50946 L
.53114 .51043 L
.5313 .51133 L
.532 .51204 L
.53291 .51327 L
.53319 .51364 L
.53451 .5152 L
.5346 .51525 L
.53587 .51686 L
.53612 .51712 L
.53726 .51846 L
.53772 .51923 L
.53829 .52007 L
.53933 .5214 L
.53943 .52167 L
.54068 .52328 L
.54093 .52366 L
.54225 .52488 L
.54254 .52629 L
.54266 .52649 L
.54254 .52803 L
.54093 .52755 L
.53967 .52649 L
.53933 .52617 L
.53818 .52488 L
.53772 .52469 L
.53684 .52328 L
.53612 .52261 L
.53554 .52167 L
.53451 .52047 L
.53412 .52007 L
.533 .51846 L
.53291 .51834 L
.5318 .51686 L
.5313 .51622 L
.53059 .51525 L
.5297 .51441 L
.5291 .51364 L
.52817 .51204 L
.52809 .51193 L
.52706 .51043 L
.52649 .50964 L
.52595 .50883 L
.52491 .50722 L
.52488 .50718 L
.52433 .50562 L
F
.045 .9 1 r
.52488 .53231 m
.52649 .53285 L
.52656 .53291 L
.52809 .53448 L
.52849 .53451 L
.5297 .53609 L
.52974 .53612 L
.53103 .53772 L
.5313 .53805 L
.5323 .53933 L
.53291 .53976 L
.53355 .54093 L
.53451 .54205 L
.53492 .54254 L
.53601 .54414 L
.53612 .54429 L
.53717 .54575 L
.53772 .54648 L
.53834 .54735 L
.53933 .54872 L
.53963 .54896 L
.54054 .55057 L
.54093 .55118 L
.54147 .55217 L
.54093 .55354 L
.53933 .55229 L
.53919 .55217 L
.53772 .5507 L
.53753 .55057 L
.53612 .54897 L
.5361 .54896 L
.53471 .54735 L
.53451 .5472 L
.53336 .54575 L
.53291 .54522 L
.53185 .54414 L
.5313 .54318 L
.5308 .54254 L
.5297 .54112 L
.5296 .54093 L
.52832 .53933 L
.52809 .53902 L
.52664 .53772 L
.52649 .53731 L
.52592 .53612 L
.525 .53451 L
.52488 .53428 L
.52437 .53291 L
F
0 .63 1 r
.52488 .51183 m
.52512 .51204 L
.52649 .51336 L
.52675 .51364 L
.52809 .51507 L
.52816 .51525 L
.52944 .51686 L
.5297 .51718 L
.53064 .51846 L
.5313 .51938 L
.53176 .52007 L
.5313 .52128 L
.53019 .52007 L
.5297 .51954 L
.52883 .51846 L
.52809 .51758 L
.52756 .51686 L
.52649 .51548 L
.52633 .51525 L
.52526 .51364 L
.52488 .51307 L
.52443 .51204 L
F
0 .52 1 r
.52488 .46232 m
.52625 .46388 L
.52649 .46414 L
.52763 .46549 L
.52809 .466 L
.52899 .46709 L
.5297 .46791 L
.53034 .4687 L
.5313 .46959 L
.53168 .4703 L
.53291 .47178 L
.53306 .47191 L
.53429 .47351 L
.53451 .47378 L
.53557 .47512 L
.53612 .47578 L
.53687 .47672 L
.53772 .47763 L
.5386 .47833 L
.53933 .47978 L
.53947 .47993 L
.54069 .48154 L
.54093 .48184 L
.54195 .48314 L
.54254 .48352 L
.54322 .48475 L
.54414 .48583 L
.54466 .48636 L
.54574 .48796 L
.54575 .48797 L
.54697 .48957 L
.54735 .49004 L
.54822 .49117 L
.54896 .49191 L
.54991 .49278 L
.55057 .49415 L
.55076 .49438 L
.55194 .49599 L
.55217 .49627 L
.55317 .49759 L
.55378 .49792 L
.5544 .4992 L
.55538 .50036 L
.55579 .5008 L
.55687 .50241 L
.55699 .50256 L
.55807 .50401 L
.55859 .50468 L
.55929 .50562 L
.5602 .50659 L
.56083 .50722 L
.56174 .50883 L
.5618 .50891 L
.56292 .51043 L
.56341 .51107 L
.56412 .51204 L
.56501 .51321 L
.56533 .51364 L
.56653 .51525 L
.56662 .51537 L
.56768 .51686 L
.56822 .51757 L
.56885 .51846 L
.56983 .51977 L
.57004 .52007 L
.57117 .52167 L
.57143 .52202 L
.57226 .52328 L
.57304 .52435 L
.57338 .52488 L
.57304 .52626 L
.57182 .52488 L
.57143 .52448 L
.57041 .52328 L
.56983 .52264 L
.56902 .52167 L
.56822 .52075 L
.56766 .52007 L
.56662 .51899 L
.56632 .51846 L
.56501 .51688 L
.56499 .51686 L
.5637 .51525 L
.56341 .5149 L
.56241 .51364 L
.5618 .51291 L
.56111 .51204 L
.5602 .51102 L
.5595 .51043 L
.55859 .5089 L
.55852 .50883 L
.55728 .50722 L
.55699 .50687 L
.55601 .50562 L
.55538 .50511 L
.55474 .50401 L
.55378 .50285 L
.55335 .50241 L
.55222 .5008 L
.55217 .50074 L
.55098 .4992 L
.55057 .49867 L
.54973 .49759 L
.54896 .49677 L
.54815 .49599 L
.54735 .49456 L
.5472 .49438 L
.54601 .49278 L
.54575 .49245 L
.54478 .49117 L
.54414 .49071 L
.54354 .48957 L
.54254 .48835 L
.5422 .48796 L
.54108 .48636 L
.54093 .48617 L
.53987 .48475 L
.53933 .48406 L
.53865 .48314 L
.53772 .48211 L
.53718 .48154 L
.5362 .47993 L
.53612 .47983 L
.53502 .47833 L
.53451 .47768 L
.53381 .47672 L
.53291 .47585 L
.5326 .47512 L
.5314 .47351 L
.5313 .47338 L
.53025 .47191 L
.5297 .47119 L
.52907 .4703 L
.52809 .469 L
.52788 .4687 L
.52674 .46709 L
.52649 .46675 L
.52564 .46549 L
.52488 .46445 L
.52451 .46388 L
F
1 .26 0 r
.52488 .46908 m
.52584 .4703 L
.52649 .47103 L
.52717 .47191 L
.52809 .47299 L
.52849 .47351 L
.5297 .47498 L
.52981 .47512 L
.53106 .47672 L
.5313 .47701 L
.5323 .47833 L
.53291 .47906 L
.53356 .47993 L
.53451 .48111 L
.53483 .48154 L
.5361 .48314 L
.53612 .48317 L
.53728 .48475 L
.53772 .48529 L
.5385 .48636 L
.53933 .4874 L
.53973 .48796 L
.54093 .4895 L
.54098 .48957 L
.54213 .49117 L
.54254 .49169 L
.54329 .49278 L
.54414 .49388 L
.54448 .49438 L
.54414 .49552 L
.54324 .49438 L
.54254 .4936 L
.5419 .49278 L
.54093 .49164 L
.54056 .49117 L
.53933 .48967 L
.53925 .48957 L
.538 .48796 L
.53772 .48764 L
.53675 .48636 L
.53612 .4856 L
.53548 .48475 L
.53451 .48355 L
.5342 .48314 L
.53294 .48154 L
.53291 .4815 L
.53175 .47993 L
.5313 .47939 L
.53052 .47833 L
.5297 .47729 L
.52929 .47672 L
.52809 .47518 L
.52805 .47512 L
.52689 .47351 L
.52649 .473 L
.52572 .47191 L
.52488 .47082 L
.52453 .4703 L
F
0 .51 1 r
.52488 .46241 m
.52618 .46388 L
.52649 .4642 L
.52757 .46549 L
.52809 .46606 L
.52894 .46709 L
.5297 .46796 L
.5303 .4687 L
.5313 .46965 L
.53164 .4703 L
.53291 .47182 L
.533 .47191 L
.53425 .47351 L
.53451 .47382 L
.53554 .47512 L
.53612 .47581 L
.53684 .47672 L
.53772 .47767 L
.53856 .47833 L
.53933 .47982 L
.53944 .47993 L
.54067 .48154 L
.54093 .48187 L
.54193 .48314 L
.54254 .48354 L
.5432 .48475 L
.54414 .48587 L
.54463 .48636 L
.54572 .48796 L
.54575 .488 L
.54695 .48957 L
.54735 .49007 L
.5482 .49117 L
.54896 .49193 L
.54988 .49278 L
.55057 .49418 L
.55074 .49438 L
.55192 .49599 L
.55217 .4963 L
.55315 .49759 L
.55378 .49795 L
.55438 .4992 L
.55538 .50039 L
.55576 .5008 L
.55684 .50241 L
.55699 .50259 L
.55805 .50401 L
.55859 .50471 L
.55927 .50562 L
.5602 .50662 L
.56079 .50722 L
.56171 .50883 L
.5618 .50895 L
.56289 .51043 L
.56341 .5111 L
.56409 .51204 L
.56501 .51325 L
.5653 .51364 L
.5665 .51525 L
.56662 .51541 L
.56765 .51686 L
.56822 .51761 L
.56882 .51846 L
.56983 .51982 L
.57 .52007 L
.57112 .52167 L
.57143 .52209 L
.57221 .52328 L
.57304 .52443 L
.57332 .52488 L
.57304 .52616 L
.57189 .52488 L
.57143 .52441 L
.57046 .52328 L
.56983 .52258 L
.56907 .52167 L
.56822 .5207 L
.5677 .52007 L
.56662 .51893 L
.56636 .51846 L
.56503 .51686 L
.56501 .51683 L
.56374 .51525 L
.56341 .51486 L
.56244 .51364 L
.5618 .51288 L
.56114 .51204 L
.5602 .51099 L
.55955 .51043 L
.55859 .50887 L
.55855 .50883 L
.5573 .50722 L
.55699 .50684 L
.55603 .50562 L
.55538 .50508 L
.55476 .50401 L
.55378 .50282 L
.55338 .50241 L
.55224 .5008 L
.55217 .50071 L
.551 .4992 L
.55057 .49865 L
.54975 .49759 L
.54896 .49674 L
.54818 .49599 L
.54735 .49453 L
.54723 .49438 L
.54603 .49278 L
.54575 .49243 L
.5448 .49117 L
.54414 .49068 L
.54356 .48957 L
.54254 .48831 L
.54222 .48796 L
.5411 .48636 L
.54093 .48614 L
.53989 .48475 L
.53933 .48403 L
.53867 .48314 L
.53772 .48207 L
.53722 .48154 L
.53623 .47993 L
.53612 .47979 L
.53504 .47833 L
.53451 .47765 L
.53384 .47672 L
.53291 .4758 L
.53263 .47512 L
.53143 .47351 L
.5313 .47334 L
.53028 .47191 L
.5297 .47114 L
.5291 .4703 L
.52809 .46895 L
.52791 .4687 L
.52678 .46709 L
.52649 .46669 L
.52568 .46549 L
.52488 .46438 L
.52456 .46388 L
F
1 .25 0 r
.52488 .46916 m
.52578 .4703 L
.52649 .47109 L
.52712 .47191 L
.52809 .47305 L
.52845 .47351 L
.5297 .47502 L
.52977 .47512 L
.53101 .47672 L
.5313 .47706 L
.53226 .47833 L
.53291 .47911 L
.53352 .47993 L
.53451 .48116 L
.5348 .48154 L
.53606 .48314 L
.53612 .48322 L
.53724 .48475 L
.53772 .48534 L
.53846 .48636 L
.53933 .48744 L
.5397 .48796 L
.54093 .48955 L
.54094 .48957 L
.54208 .49117 L
.54254 .49175 L
.54324 .49278 L
.54414 .49395 L
.54443 .49438 L
.54414 .49544 L
.5433 .49438 L
.54254 .49353 L
.54194 .49278 L
.54093 .49159 L
.54061 .49117 L
.53933 .48962 L
.53929 .48957 L
.53804 .48796 L
.53772 .48759 L
.53679 .48636 L
.53612 .48555 L
.53551 .48475 L
.53451 .48351 L
.53424 .48314 L
.53298 .48154 L
.53291 .48145 L
.53179 .47993 L
.5313 .47934 L
.53056 .47833 L
.5297 .47724 L
.52932 .47672 L
.52809 .47513 L
.52808 .47512 L
.52694 .47351 L
.52649 .47294 L
.52577 .47191 L
.52488 .47075 L
.52457 .4703 L
F
.033 .89 1 r
.52488 .53258 m
.52634 .53291 L
.52649 .53299 L
.52809 .53449 L
.52833 .53451 L
.52966 .53612 L
.5297 .53616 L
.53097 .53772 L
.5313 .53812 L
.53224 .53933 L
.53291 .53982 L
.5335 .54093 L
.53451 .54214 L
.53485 .54254 L
.53595 .54414 L
.53612 .54437 L
.53711 .54575 L
.53772 .54657 L
.53827 .54735 L
.53933 .54883 L
.53949 .54896 L
.54042 .55057 L
.54093 .55142 L
.54129 .55217 L
.54093 .55322 L
.53943 .55217 L
.53933 .55209 L
.53772 .55057 L
.53772 .55057 L
.53622 .54896 L
.53612 .54885 L
.53481 .54735 L
.53451 .54712 L
.53345 .54575 L
.53291 .54513 L
.53192 .54414 L
.5313 .54309 L
.53087 .54254 L
.5297 .54103 L
.52965 .54093 L
.52839 .53933 L
.52809 .53892 L
.52669 .53772 L
.52649 .53716 L
.52602 .53612 L
.52512 .53451 L
.52488 .53397 L
.52461 .53291 L
F
1 .86 .013 r
.52488 .53805 m
.52595 .53933 L
.52649 .53996 L
.52718 .54093 L
.52809 .54215 L
.52832 .54254 L
.52809 .54338 L
.52729 .54254 L
.52649 .54168 L
.52587 .54093 L
.52488 .53969 L
.52461 .53933 L
F
0 .5 1 r
.52488 .46251 m
.5261 .46388 L
.52649 .46428 L
.52751 .46549 L
.52809 .46612 L
.5289 .46709 L
.5297 .46801 L
.53026 .4687 L
.5313 .46971 L
.53161 .4703 L
.53291 .47187 L
.53295 .47191 L
.53422 .47351 L
.53451 .47386 L
.53551 .47512 L
.53612 .47585 L
.53681 .47672 L
.53772 .4777 L
.53851 .47833 L
.53933 .47985 L
.5394 .47993 L
.54064 .48154 L
.54093 .4819 L
.5419 .48314 L
.54254 .48357 L
.54317 .48475 L
.54414 .4859 L
.5446 .48636 L
.54569 .48796 L
.54575 .48803 L
.54693 .48957 L
.54735 .4901 L
.54818 .49117 L
.54896 .49196 L
.54985 .49278 L
.55057 .49421 L
.55071 .49438 L
.5519 .49599 L
.55217 .49633 L
.55313 .49759 L
.55378 .49797 L
.55436 .4992 L
.55538 .50043 L
.55573 .5008 L
.55682 .50241 L
.55699 .50262 L
.55803 .50401 L
.55859 .50474 L
.55925 .50562 L
.5602 .50666 L
.56075 .50722 L
.56169 .50883 L
.5618 .50898 L
.56287 .51043 L
.56341 .51113 L
.56407 .51204 L
.56501 .51328 L
.56528 .51364 L
.56646 .51525 L
.56662 .51545 L
.56761 .51686 L
.56822 .51766 L
.56878 .51846 L
.56983 .51987 L
.56997 .52007 L
.57107 .52167 L
.57143 .52216 L
.57216 .52328 L
.57304 .52452 L
.57326 .52488 L
.57304 .52605 L
.57198 .52488 L
.57143 .52433 L
.57053 .52328 L
.56983 .52251 L
.56912 .52167 L
.56822 .52064 L
.56775 .52007 L
.56662 .51886 L
.56639 .51846 L
.56507 .51686 L
.56501 .51679 L
.56377 .51525 L
.56341 .51482 L
.56247 .51364 L
.5618 .51284 L
.56117 .51204 L
.5602 .51095 L
.55959 .51043 L
.55859 .50883 L
.55859 .50883 L
.55733 .50722 L
.55699 .50681 L
.55606 .50562 L
.55538 .50505 L
.55479 .50401 L
.55378 .50279 L
.55341 .50241 L
.55227 .5008 L
.55217 .50068 L
.55103 .4992 L
.55057 .49862 L
.54977 .49759 L
.54896 .49671 L
.54821 .49599 L
.54735 .4945 L
.54725 .49438 L
.54605 .49278 L
.54575 .4924 L
.54482 .49117 L
.54414 .49065 L
.54358 .48957 L
.54254 .48828 L
.54225 .48796 L
.54112 .48636 L
.54093 .48612 L
.53991 .48475 L
.53933 .484 L
.53869 .48314 L
.53772 .48203 L
.53725 .48154 L
.53625 .47993 L
.53612 .47976 L
.53507 .47833 L
.53451 .47761 L
.53386 .47672 L
.53291 .47574 L
.53265 .47512 L
.53147 .47351 L
.5313 .4733 L
.53031 .47191 L
.5297 .4711 L
.52913 .4703 L
.52809 .4689 L
.52795 .4687 L
.52683 .46709 L
.52649 .46663 L
.52574 .46549 L
.52488 .4643 L
.52462 .46388 L
F
1 .24 0 r
.52488 .46924 m
.52572 .4703 L
.52649 .47115 L
.52707 .47191 L
.52809 .4731 L
.52841 .47351 L
.5297 .47507 L
.52973 .47512 L
.53097 .47672 L
.5313 .47711 L
.53222 .47833 L
.53291 .47916 L
.53349 .47993 L
.53451 .4812 L
.53476 .48154 L
.53602 .48314 L
.53612 .48327 L
.5372 .48475 L
.53772 .48539 L
.53842 .48636 L
.53933 .48749 L
.53966 .48796 L
.53933 .48956 L
.53809 .48796 L
.53772 .48753 L
.53683 .48636 L
.53612 .4855 L
.53555 .48475 L
.53451 .48346 L
.53427 .48314 L
.53303 .48154 L
.53291 .48139 L
.53183 .47993 L
.5313 .47929 L
.5306 .47833 L
.5297 .47719 L
.52936 .47672 L
.52813 .47512 L
.52809 .47507 L
.52699 .47351 L
.52649 .47288 L
.52582 .47191 L
.52488 .47068 L
.52463 .4703 L
F
0 .49 1 r
.52488 .46262 m
.52602 .46388 L
.52649 .46435 L
.52745 .46549 L
.52809 .46618 L
.52885 .46709 L
.5297 .46806 L
.53022 .4687 L
.5313 .46978 L
.53157 .4703 L
.5329 .47191 L
.53291 .47192 L
.53419 .47351 L
.53451 .4739 L
.53548 .47512 L
.53612 .47588 L
.53678 .47672 L
.53772 .47774 L
.53847 .47833 L
.53933 .47989 L
.53937 .47993 L
.54062 .48154 L
.54093 .48193 L
.54188 .48314 L
.54254 .4836 L
.54315 .48475 L
.54414 .48593 L
.54457 .48636 L
.54567 .48796 L
.54575 .48806 L
.54691 .48957 L
.54735 .49013 L
.54815 .49117 L
.54896 .49199 L
.54982 .49278 L
.55057 .49424 L
.55069 .49438 L
.55188 .49599 L
.55217 .49635 L
.55311 .49759 L
.55378 .498 L
.55434 .4992 L
.55538 .50046 L
.5557 .5008 L
.5568 .50241 L
.55699 .50264 L
.558 .50401 L
.55859 .50476 L
.55923 .50562 L
.5602 .5067 L
.56071 .50722 L
.56166 .50883 L
.5618 .50901 L
.56284 .51043 L
.56341 .51117 L
.56404 .51204 L
.56501 .51332 L
.56525 .51364 L
.56643 .51525 L
.56662 .51549 L
.56758 .51686 L
.56822 .51771 L
.56875 .51846 L
.56983 .51992 L
.56993 .52007 L
.57102 .52167 L
.57143 .52223 L
.5721 .52328 L
.57304 .52462 L
.57319 .52488 L
.57304 .52592 L
.57207 .52488 L
.57143 .52425 L
.57059 .52328 L
.56983 .52245 L
.56917 .52167 L
.56822 .52059 L
.56779 .52007 L
.56662 .51879 L
.56643 .51846 L
.56511 .51686 L
.56501 .51674 L
.56381 .51525 L
.56341 .51478 L
.5625 .51364 L
.5618 .5128 L
.56119 .51204 L
.5602 .51091 L
.55963 .51043 L
.55861 .50883 L
.55859 .5088 L
.55735 .50722 L
.55699 .50677 L
.55608 .50562 L
.55538 .50502 L
.55481 .50401 L
.55378 .50276 L
.55344 .50241 L
.55229 .5008 L
.55217 .50065 L
.55105 .4992 L
.55057 .49859 L
.5498 .49759 L
.54896 .49668 L
.54824 .49599 L
.54735 .49447 L
.54728 .49438 L
.54607 .49278 L
.54575 .49237 L
.54484 .49117 L
.54414 .49062 L
.5436 .48957 L
.54254 .48825 L
.54228 .48796 L
.54115 .48636 L
.54093 .48609 L
.53993 .48475 L
.53933 .48397 L
.53871 .48314 L
.53772 .48199 L
.53729 .48154 L
.53628 .47993 L
.53612 .47973 L
.53509 .47833 L
.53451 .47758 L
.53389 .47672 L
.53291 .47569 L
.53268 .47512 L
.5315 .47351 L
.5313 .47326 L
.53034 .47191 L
.5297 .47106 L
.52917 .4703 L
.52809 .46885 L
.52798 .4687 L
.52688 .46709 L
.52649 .46656 L
.52579 .46549 L
.52488 .46421 L
.52468 .46388 L
F
1 .23 0 r
.52488 .46933 m
.52564 .4703 L
.52649 .47122 L
.52701 .47191 L
.52809 .47316 L
.52836 .47351 L
.52809 .47501 L
.52705 .47351 L
.52649 .47281 L
.52588 .47191 L
.52488 .4706 L
.52468 .4703 L
F
1 .78 .001 r
.52488 .56719 m
.52562 .56822 L
.52649 .56929 L
.52687 .56983 L
.52809 .57141 L
.52811 .57143 L
.52809 .57244 L
.52736 .57143 L
.52649 .57048 L
.52603 .56983 L
.52488 .56849 L
.52469 .56822 L
F
0 .32 1 r
.52488 .47605 m
.52529 .47672 L
.52649 .47824 L
.52654 .47833 L
.52649 .47877 L
.52616 .47833 L
.52488 .47697 L
.5247 .47672 L
F
0 .62 1 r
.52488 .51202 m
.52491 .51204 L
.52649 .51346 L
.52665 .51364 L
.52808 .51525 L
.52809 .51526 L
.52936 .51686 L
.5297 .51728 L
.53056 .51846 L
.5313 .5195 L
.53167 .52007 L
.5313 .52116 L
.53028 .52007 L
.5297 .51945 L
.5289 .51846 L
.52809 .5175 L
.52762 .51686 L
.52649 .51539 L
.52639 .51525 L
.52536 .51364 L
.52488 .51286 L
.52471 .51204 L
F
0 .48 1 r
.52488 .46274 m
.52593 .46388 L
.52649 .46443 L
.52739 .46549 L
.52809 .46624 L
.5288 .46709 L
.5297 .46811 L
.53018 .4687 L
.5313 .46985 L
.53153 .4703 L
.53286 .47191 L
.53291 .47196 L
.53415 .47351 L
.53451 .47394 L
.53545 .47512 L
.53612 .47592 L
.53675 .47672 L
.53772 .47778 L
.53842 .47833 L
.53933 .47992 L
.53934 .47993 L
.54059 .48154 L
.54093 .48196 L
.54186 .48314 L
.54254 .48363 L
.54313 .48475 L
.54414 .48596 L
.54454 .48636 L
.54565 .48796 L
.54575 .48809 L
.54688 .48957 L
.54735 .49015 L
.54813 .49117 L
.54896 .49202 L
.54979 .49278 L
.55057 .49427 L
.55066 .49438 L
.55186 .49599 L
.55217 .49638 L
.55308 .49759 L
.55378 .49803 L
.55432 .4992 L
.55538 .50049 L
.55567 .5008 L
.55678 .50241 L
.55699 .50267 L
.55798 .50401 L
.55859 .50479 L
.5592 .50562 L
.5602 .50674 L
.56067 .50722 L
.56163 .50883 L
.5618 .50904 L
.56281 .51043 L
.56341 .5112 L
.56401 .51204 L
.56501 .51335 L
.56522 .51364 L
.5664 .51525 L
.56662 .51553 L
.56754 .51686 L
.56822 .51775 L
.56871 .51846 L
.56983 .51997 L
.56989 .52007 L
.57097 .52167 L
.57143 .52231 L
.57204 .52328 L
.57304 .52474 L
.57312 .52488 L
.57304 .52577 L
.57218 .52488 L
.57143 .52416 L
.57066 .52328 L
.56983 .52238 L
.56923 .52167 L
.56822 .52053 L
.56783 .52007 L
.56662 .51872 L
.56647 .51846 L
.56515 .51686 L
.56501 .5167 L
.56384 .51525 L
.56341 .51474 L
.56253 .51364 L
.5618 .51276 L
.56122 .51204 L
.5602 .51086 L
.55968 .51043 L
.55864 .50883 L
.55859 .50877 L
.55738 .50722 L
.55699 .50674 L
.55611 .50562 L
.55538 .50499 L
.55483 .50401 L
.55378 .50272 L
.55347 .50241 L
.55231 .5008 L
.55217 .50063 L
.55107 .4992 L
.55057 .49856 L
.54982 .49759 L
.54896 .49665 L
.54827 .49599 L
.54735 .49444 L
.5473 .49438 L
.54609 .49278 L
.54575 .49234 L
.54486 .49117 L
.54414 .4906 L
.54362 .48957 L
.54254 .48822 L
.54231 .48796 L
.54117 .48636 L
.54093 .48606 L
.53996 .48475 L
.53933 .48394 L
.53873 .48314 L
.53772 .48195 L
.53733 .48154 L
.5363 .47993 L
.53612 .4797 L
.53512 .47833 L
.53451 .47754 L
.53391 .47672 L
.53291 .47563 L
.5327 .47512 L
.53153 .47351 L
.5313 .47322 L
.53038 .47191 L
.5297 .47101 L
.5292 .4703 L
.52809 .4688 L
.52802 .4687 L
.52693 .46709 L
.52649 .46649 L
.52584 .46549 L
.52488 .46411 L
.52474 .46388 L
F
1 .22 0 r
.52488 .46943 m
.52556 .4703 L
.52649 .47129 L
.52696 .47191 L
.52809 .47322 L
.52832 .47351 L
.52809 .47494 L
.52711 .47351 L
.52649 .47273 L
.52594 .47191 L
.52488 .47052 L
.52474 .4703 L
F
1 .78 .001 r
.52488 .45601 m
.52633 .45746 L
.52649 .45761 L
.52782 .45907 L
.52809 .45934 L
.52926 .46067 L
.5297 .46115 L
.53066 .46228 L
.5313 .46265 L
.53204 .46388 L
.53291 .46484 L
.53379 .46549 L
.53451 .46683 L
.53477 .46709 L
.53606 .4687 L
.53612 .46877 L
.53737 .4703 L
.53772 .47062 L
.53868 .47191 L
.53933 .47269 L
.54013 .47351 L
.54093 .47473 L
.54125 .47512 L
.54254 .47672 L
.54254 .47672 L
.54382 .47833 L
.54414 .47868 L
.54542 .47993 L
.54575 .48076 L
.54641 .48154 L
.54735 .48283 L
.54757 .48314 L
.54889 .48475 L
.54896 .4848 L
.55015 .48636 L
.55057 .48685 L
.55155 .48796 L
.55217 .48895 L
.55263 .48957 L
.55378 .49102 L
.55384 .49117 L
.55516 .49278 L
.55538 .493 L
.55668 .49438 L
.55699 .4951 L
.5577 .49599 L
.55859 .49722 L
.55883 .49759 L
.56014 .4992 L
.5602 .49923 L
.56138 .5008 L
.5618 .50129 L
.56276 .50241 L
.56341 .50342 L
.56384 .50401 L
.56501 .50552 L
.56505 .50562 L
.56633 .50722 L
.56662 .5075 L
.56785 .50883 L
.56822 .50964 L
.56885 .51043 L
.56983 .51178 L
.56999 .51204 L
.57126 .51364 L
.57143 .51373 L
.57248 .51525 L
.57304 .51587 L
.57387 .51686 L
.57464 .51804 L
.57494 .51846 L
.57617 .52007 L
.57625 .52017 L
.57738 .52167 L
.57785 .52209 L
.57892 .52328 L
.57946 .52432 L
.57989 .52488 L
.58106 .52649 L
.58106 .52649 L
.58226 .52809 L
.58267 .52827 L
.58347 .5297 L
.58428 .53061 L
.58483 .5313 L
.58588 .53285 L
.58592 .53291 L
.5871 .53451 L
.58749 .53501 L
.5883 .53612 L
.58909 .53692 L
.58977 .53772 L
.5907 .53928 L
.59073 .53933 L
.59189 .54093 L
.5923 .54147 L
.59307 .54254 L
.59391 .54365 L
.59466 .54414 L
.59544 .54575 L
.59551 .54584 L
.59657 .54735 L
.59712 .5481 L
.59771 .54896 L
.59872 .55036 L
.59886 .55057 L
.59994 .55217 L
.60033 .55273 L
.60097 .55378 L
.60193 .55526 L
.602 .55538 L
.60193 .55645 L
.60077 .55538 L
.60033 .55498 L
.5992 .55378 L
.59872 .55329 L
.59773 .55217 L
.59712 .5515 L
.59631 .55057 L
.59551 .54991 L
.59492 .54896 L
.59391 .54782 L
.59332 .54735 L
.5923 .54585 L
.5922 .54575 L
.59089 .54414 L
.5907 .54392 L
.58957 .54254 L
.58909 .54206 L
.58826 .54093 L
.58749 .54 L
.58684 .53933 L
.58588 .53797 L
.58569 .53772 L
.58439 .53612 L
.58428 .53606 L
.58311 .53451 L
.58267 .53402 L
.58157 .53291 L
.58106 .53194 L
.58054 .5313 L
.57946 .52988 L
.57934 .5297 L
.57803 .52809 L
.57785 .52793 L
.57629 .52649 L
.57625 .52585 L
.57541 .52488 L
.57464 .52375 L
.5743 .52328 L
.57304 .5217 L
.57303 .52167 L
.57176 .52007 L
.57143 .51971 L
.57028 .51846 L
.56983 .51759 L
.56924 .51686 L
.56822 .51549 L
.56808 .51525 L
.56678 .51364 L
.56662 .51351 L
.5651 .51204 L
.56501 .51141 L
.56419 .51043 L
.56341 .50928 L
.56309 .50883 L
.56182 .50722 L
.5618 .50722 L
.56059 .50562 L
.5602 .50521 L
.55911 .50401 L
.55859 .50306 L
.55809 .50241 L
.55699 .50093 L
.55691 .5008 L
.55566 .4992 L
.55538 .499 L
.55396 .49759 L
.55378 .49683 L
.55308 .49599 L
.55217 .49466 L
.55198 .49438 L
.55075 .49278 L
.55057 .49254 L
.54953 .49117 L
.54896 .4906 L
.54805 .48957 L
.54735 .48838 L
.54704 .48796 L
.54585 .48636 L
.54575 .48622 L
.54465 .48475 L
.54414 .48441 L
.54295 .48314 L
.54254 .48208 L
.54211 .48154 L
.54099 .47993 L
.54093 .47987 L
.5398 .47833 L
.53933 .47772 L
.53859 .47672 L
.53772 .47576 L
.53719 .47512 L
.53617 .47351 L
.53612 .47345 L
.535 .47191 L
.53451 .47127 L
.53381 .4703 L
.53291 .46938 L
.53233 .4687 L
.53143 .46709 L
.5313 .46692 L
.53029 .46549 L
.5297 .46469 L
.52914 .46388 L
.52809 .46245 L
.52797 .46228 L
.52688 .46067 L
.52649 .46012 L
.52582 .45907 L
.52488 .45769 L
.52475 .45746 L
F
0 .31 1 r
.52488 .47622 m
.52515 .47672 L
.52488 .47683 L
.5248 .47672 L
F
1 .21 0 r
.52488 .46956 m
.52546 .4703 L
.52649 .47137 L
.52689 .47191 L
.52809 .47328 L
.52827 .47351 L
.52809 .47487 L
.52717 .47351 L
.52649 .47265 L
.526 .47191 L
.52488 .47042 L
.52481 .4703 L
F
0 .47 1 r
.52488 .46288 m
.52583 .46388 L
.52649 .46452 L
.52733 .46549 L
.52809 .46631 L
.52875 .46709 L
.5297 .46817 L
.53013 .4687 L
.5313 .46992 L
.53149 .4703 L
.53282 .47191 L
.53291 .47201 L
.53412 .47351 L
.53451 .47398 L
.53542 .47512 L
.53612 .47596 L
.53673 .47672 L
.53772 .47782 L
.53837 .47833 L
.53931 .47993 L
.53933 .47996 L
.54057 .48154 L
.54093 .48199 L
.54183 .48314 L
.54254 .48366 L
.54311 .48475 L
.54414 .48599 L
.54451 .48636 L
.54562 .48796 L
.54575 .48811 L
.54686 .48957 L
.54735 .49018 L
.54811 .49117 L
.54896 .49205 L
.54976 .49278 L
.55057 .4943 L
.55063 .49438 L
.55184 .49599 L
.55217 .49641 L
.55306 .49759 L
.55378 .49806 L
.5543 .4992 L
.55538 .50053 L
.55564 .5008 L
.55675 .50241 L
.55699 .5027 L
.55796 .50401 L
.55859 .50482 L
.55918 .50562 L
.5602 .50679 L
.56063 .50722 L
.56161 .50883 L
.5618 .50908 L
.56279 .51043 L
.56341 .51124 L
.56399 .51204 L
.56501 .51339 L
.5652 .51364 L
.56637 .51525 L
.56662 .51558 L
.56751 .51686 L
.56822 .5178 L
.56868 .51846 L
.56983 .52002 L
.56986 .52007 L
.57091 .52167 L
.57143 .52239 L
.57197 .52328 L
.57304 .52488 L
.57304 .52488 L
.57304 .52556 L
.57232 .52488 L
.57143 .52407 L
.57073 .52328 L
.56983 .52232 L
.56928 .52167 L
.56822 .52048 L
.56788 .52007 L
.56662 .51865 L
.56651 .51846 L
.56519 .51686 L
.56501 .51665 L
.56388 .51525 L
.56341 .5147 L
.56256 .51364 L
.5618 .51273 L
.56125 .51204 L
.5602 .51082 L
.55973 .51043 L
.55867 .50883 L
.55859 .50873 L
.55741 .50722 L
.55699 .50671 L
.55613 .50562 L
.55538 .50496 L
.55486 .50401 L
.55378 .50269 L
.5535 .50241 L
.55234 .5008 L
.55217 .5006 L
.55109 .4992 L
.55057 .49854 L
.54984 .49759 L
.54896 .49662 L
.5483 .49599 L
.54735 .49441 L
.54733 .49438 L
.54611 .49278 L
.54575 .49232 L
.54488 .49117 L
.54414 .49056 L
.54364 .48957 L
.54254 .48818 L
.54234 .48796 L
.54119 .48636 L
.54093 .48603 L
.53998 .48475 L
.53933 .48391 L
.53876 .48314 L
.53772 .48191 L
.53737 .48154 L
.53633 .47993 L
.53612 .47966 L
.53514 .47833 L
.53451 .47751 L
.53394 .47672 L
.53291 .47556 L
.53273 .47512 L
.53156 .47351 L
.5313 .47318 L
.53041 .47191 L
.5297 .47096 L
.52924 .4703 L
.52809 .46875 L
.52806 .4687 L
.52698 .46709 L
.52649 .46641 L
.5259 .46549 L
.52488 .464 L
.52481 .46388 L
F
.045 .9 1 r
.52488 .56069 m
.52582 .5618 L
.52649 .56252 L
.52721 .56341 L
.52809 .56442 L
.52857 .56501 L
.5297 .56636 L
.52991 .56662 L
.5312 .56822 L
.5313 .56834 L
.53247 .56983 L
.53291 .57035 L
.53376 .57143 L
.53451 .57236 L
.53504 .57304 L
.53612 .57439 L
.53632 .57464 L
.53756 .57625 L
.53772 .57645 L
.53879 .57785 L
.53933 .57853 L
.54004 .57946 L
.54093 .58061 L
.54128 .58106 L
.54251 .58267 L
.54254 .5827 L
.5437 .58428 L
.54414 .58484 L
.5449 .58588 L
.54575 .58698 L
.54612 .58749 L
.54731 .58909 L
.54735 .58915 L
.54843 .5907 L
.54896 .59139 L
.54958 .5923 L
.55057 .59366 L
.55073 .59391 L
.55057 .59489 L
.54978 .59391 L
.54896 .59305 L
.54838 .5923 L
.54735 .59114 L
.54701 .5907 L
.54575 .5892 L
.54566 .58909 L
.54439 .58749 L
.54414 .5872 L
.54314 .58588 L
.54254 .58518 L
.54186 .58428 L
.54093 .58315 L
.54058 .58267 L
.53933 .58113 L
.53928 .58106 L
.53807 .57946 L
.53772 .57905 L
.53685 .57785 L
.53612 .57696 L
.5356 .57625 L
.53451 .57489 L
.53433 .57464 L
.53311 .57304 L
.53291 .57279 L
.53193 .57143 L
.5313 .57065 L
.53073 .56983 L
.5297 .56852 L
.52949 .56822 L
.52829 .56662 L
.52809 .56636 L
.52717 .56501 L
.52649 .56413 L
.52601 .56341 L
.52488 .56191 L
.52481 .5618 L
F
1 .77 .001 r
.52488 .4563 m
.52614 .45746 L
.52649 .45777 L
.52769 .45907 L
.52809 .45947 L
.52916 .46067 L
.5297 .46126 L
.53058 .46228 L
.5313 .46273 L
.53197 .46388 L
.53291 .46492 L
.5337 .46549 L
.53451 .4669 L
.53471 .46709 L
.536 .4687 L
.53612 .46884 L
.53732 .4703 L
.53772 .47066 L
.53863 .47191 L
.53933 .47274 L
.54009 .47351 L
.54093 .47478 L
.54121 .47512 L
.54251 .47672 L
.54254 .47673 L
.54379 .47833 L
.54414 .47871 L
.5454 .47993 L
.54575 .48079 L
.54638 .48154 L
.54735 .48286 L
.54754 .48314 L
.54886 .48475 L
.54896 .48483 L
.55013 .48636 L
.55057 .48688 L
.55152 .48796 L
.55217 .48898 L
.55261 .48957 L
.55378 .49105 L
.55383 .49117 L
.55514 .49278 L
.55538 .49302 L
.55667 .49438 L
.55699 .49513 L
.55768 .49599 L
.55859 .49724 L
.55881 .49759 L
.56012 .4992 L
.5602 .49925 L
.56136 .5008 L
.5618 .50131 L
.56274 .50241 L
.56341 .50345 L
.56382 .50401 L
.56501 .50554 L
.56504 .50562 L
.56631 .50722 L
.56662 .50752 L
.56784 .50883 L
.56822 .50966 L
.56883 .51043 L
.56983 .5118 L
.56997 .51204 L
.57124 .51364 L
.57143 .51374 L
.57246 .51525 L
.57304 .51589 L
.57385 .51686 L
.57464 .51807 L
.57492 .51846 L
.57615 .52007 L
.57625 .52019 L
.57736 .52167 L
.57785 .52212 L
.5789 .52328 L
.57946 .52435 L
.57987 .52488 L
.58104 .52649 L
.58106 .52652 L
.58224 .52809 L
.58267 .52829 L
.58345 .5297 L
.58428 .53065 L
.58481 .5313 L
.58588 .53289 L
.58589 .53291 L
.58708 .53451 L
.58749 .53505 L
.58827 .53612 L
.58909 .53697 L
.58973 .53772 L
.59069 .53933 L
.5907 .53934 L
.59185 .54093 L
.5923 .54153 L
.59303 .54254 L
.59391 .54371 L
.59458 .54414 L
.59539 .54575 L
.59551 .54591 L
.59651 .54735 L
.59712 .54818 L
.59765 .54896 L
.59872 .55045 L
.5988 .55057 L
.59984 .55217 L
.60033 .55289 L
.60084 .55378 L
.60033 .55479 L
.59935 .55378 L
.59872 .55315 L
.59784 .55217 L
.59712 .55139 L
.5964 .55057 L
.59551 .54981 L
.59499 .54896 L
.59391 .54773 L
.59342 .54735 L
.5923 .54578 L
.59227 .54575 L
.59095 .54414 L
.5907 .54385 L
.58962 .54254 L
.58909 .54201 L
.5883 .54093 L
.58749 .53995 L
.58689 .53933 L
.58588 .53792 L
.58572 .53772 L
.58442 .53612 L
.58428 .53603 L
.58314 .53451 L
.58267 .53398 L
.58159 .53291 L
.58106 .5319 L
.58057 .5313 L
.57946 .52985 L
.57936 .5297 L
.57806 .52809 L
.57785 .52791 L
.57629 .52649 L
.57625 .52582 L
.57543 .52488 L
.57464 .52372 L
.57432 .52328 L
.57304 .52168 L
.57304 .52167 L
.57178 .52007 L
.57143 .51969 L
.57029 .51846 L
.56983 .51757 L
.56926 .51686 L
.56822 .51547 L
.56809 .51525 L
.5668 .51364 L
.56662 .5135 L
.56511 .51204 L
.56501 .51139 L
.56421 .51043 L
.56341 .50926 L
.5631 .50883 L
.56184 .50722 L
.5618 .50722 L
.56061 .50562 L
.5602 .50519 L
.55913 .50401 L
.55859 .50304 L
.5581 .50241 L
.55699 .50091 L
.55693 .5008 L
.55568 .4992 L
.55538 .49899 L
.55397 .49759 L
.55378 .49681 L
.5531 .49599 L
.55217 .49464 L
.55199 .49438 L
.55077 .49278 L
.55057 .49252 L
.54955 .49117 L
.54896 .49058 L
.54807 .48957 L
.54735 .48835 L
.54706 .48796 L
.54587 .48636 L
.54575 .48619 L
.54467 .48475 L
.54414 .48438 L
.54297 .48314 L
.54254 .48205 L
.54213 .48154 L
.54101 .47993 L
.54093 .47983 L
.53982 .47833 L
.53933 .47769 L
.53862 .47672 L
.53772 .47571 L
.53723 .47512 L
.5362 .47351 L
.53612 .4734 L
.53503 .47191 L
.53451 .47122 L
.53385 .4703 L
.53291 .4693 L
.5324 .4687 L
.53148 .46709 L
.5313 .46686 L
.53035 .46549 L
.5297 .46461 L
.52919 .46388 L
.52809 .46237 L
.52803 .46228 L
.52697 .46067 L
.52649 .45999 L
.52592 .45907 L
.52488 .45748 L
.52487 .45746 L
F
1 .91 .061 r
.52649 .50658 m
.52724 .50722 L
.52809 .50784 L
.52893 .50883 L
.5297 .50963 L
.53103 .51043 L
.5313 .51148 L
.53188 .51204 L
.53291 .51339 L
.5331 .51364 L
.53448 .51525 L
.53451 .51526 L
.53577 .51686 L
.53612 .51723 L
.53719 .51846 L
.53772 .51936 L
.5382 .52007 L
.53933 .52154 L
.53937 .52167 L
.54056 .52328 L
.54093 .52385 L
.54212 .52488 L
.54242 .52649 L
.54093 .52734 L
.53985 .52649 L
.53933 .52602 L
.53829 .52488 L
.53772 .52462 L
.53692 .52328 L
.53612 .52252 L
.5356 .52167 L
.53451 .52038 L
.53421 .52007 L
.53307 .51846 L
.53291 .51826 L
.53186 .51686 L
.5313 .51614 L
.53065 .51525 L
.5297 .51427 L
.52921 .51364 L
.52826 .51204 L
.52809 .51181 L
.52716 .51043 L
.52649 .50947 L
.52608 .50883 L
.52513 .50722 L
F
.024 .88 1 r
.52649 .53315 m
.52809 .53451 L
.52814 .53451 L
.52958 .53612 L
.5297 .53625 L
.53091 .53772 L
.5313 .53819 L
.53218 .53933 L
.53291 .53989 L
.53344 .54093 L
.53451 .54222 L
.53478 .54254 L
.53589 .54414 L
.53612 .54445 L
.53705 .54575 L
.53772 .54667 L
.5382 .54735 L
.53933 .54895 L
.53934 .54896 L
.54029 .55057 L
.54093 .55176 L
.54108 .55217 L
.54093 .5528 L
.53973 .55217 L
.53933 .55189 L
.53789 .55057 L
.53772 .55041 L
.53634 .54896 L
.53612 .54872 L
.53491 .54735 L
.53451 .54704 L
.53354 .54575 L
.53291 .54503 L
.53199 .54414 L
.5313 .54299 L
.53094 .54254 L
.5297 .54095 L
.52969 .54093 L
.52847 .53933 L
.52809 .53882 L
.52675 .53772 L
.52649 .53697 L
.52612 .53612 L
.52525 .53451 L
F
.018 .87 1 r
.52649 .53331 m
.528 .53451 L
.52809 .53459 L
.5295 .53612 L
.5297 .53634 L
.53084 .53772 L
.5313 .53827 L
.53213 .53933 L
.53291 .53997 L
.53339 .54093 L
.53451 .54231 L
.5347 .54254 L
.53582 .54414 L
.53612 .54453 L
.53698 .54575 L
.53772 .54676 L
.53813 .54735 L
.53923 .54896 L
.53933 .54911 L
.54014 .55057 L
.53933 .55168 L
.53807 .55057 L
.53772 .55026 L
.53647 .54896 L
.53612 .5486 L
.53501 .54735 L
.53451 .54696 L
.53363 .54575 L
.53291 .54493 L
.53207 .54414 L
.5313 .5429 L
.53101 .54254 L
.52976 .54093 L
.5297 .54085 L
.52855 .53933 L
.52809 .53871 L
.52682 .53772 L
.52649 .53673 L
.52623 .53612 L
.52538 .53451 L
F
1 .9 .045 r
.52649 .50688 m
.52693 .50722 L
.52809 .50805 L
.52873 .50883 L
.5297 .50981 L
.53086 .51043 L
.5313 .51163 L
.53175 .51204 L
.53291 .51351 L
.53302 .51364 L
.53438 .51525 L
.53451 .5153 L
.53567 .51686 L
.53612 .51734 L
.5371 .51846 L
.53772 .51949 L
.53811 .52007 L
.53931 .52167 L
.53933 .52169 L
.54044 .52328 L
.54093 .52406 L
.54194 .52488 L
.54217 .52649 L
.54093 .52713 L
.54005 .52649 L
.53933 .52587 L
.5384 .52488 L
.53772 .52454 L
.537 .52328 L
.53612 .52242 L
.53567 .52167 L
.53451 .52028 L
.5343 .52007 L
.53314 .51846 L
.53291 .51817 L
.53193 .51686 L
.5313 .51605 L
.53072 .51525 L
.5297 .51412 L
.52933 .51364 L
.52835 .51204 L
.52809 .51168 L
.52726 .51043 L
.52649 .50929 L
.52621 .50883 L
.52542 .50722 L
F
0 .61 1 r
.52649 .51358 m
.52655 .51364 L
.52798 .51525 L
.52809 .51537 L
.52927 .51686 L
.5297 .51738 L
.53048 .51846 L
.5313 .51963 L
.53158 .52007 L
.5313 .52101 L
.53039 .52007 L
.5297 .51936 L
.52898 .51846 L
.52809 .51741 L
.52768 .51686 L
.52649 .5153 L
.52645 .51525 L
.52549 .51364 L
F
.013 .86 1 r
.52649 .53347 m
.52787 .53451 L
.52809 .53471 L
.52941 .53612 L
.5297 .53642 L
.53077 .53772 L
.5313 .53835 L
.53207 .53933 L
.53291 .54005 L
.53334 .54093 L
.53451 .54241 L
.53462 .54254 L
.53576 .54414 L
.53612 .54462 L
.53691 .54575 L
.53772 .54687 L
.53805 .54735 L
.53912 .54896 L
.53933 .54929 L
.53998 .55057 L
.53933 .55144 L
.53827 .55057 L
.53772 .5501 L
.5366 .54896 L
.53612 .54847 L
.53512 .54735 L
.53451 .54687 L
.53372 .54575 L
.53291 .54483 L
.53216 .54414 L
.5313 .54281 L
.53108 .54254 L
.52984 .54093 L
.5297 .54075 L
.52862 .53933 L
.52809 .5386 L
.52691 .53772 L
.52649 .53646 L
.52635 .53612 L
.52553 .53451 L
F
.01 .85 1 r
.52649 .53365 m
.52773 .53451 L
.52809 .53482 L
.52932 .53612 L
.5297 .53652 L
.5307 .53772 L
.5313 .53842 L
.53201 .53933 L
.53291 .54015 L
.53328 .54093 L
.53451 .54251 L
.53454 .54254 L
.53569 .54414 L
.53612 .54471 L
.53684 .54575 L
.53772 .54698 L
.53798 .54735 L
.53899 .54896 L
.53933 .54952 L
.53978 .55057 L
.53933 .55118 L
.5385 .55057 L
.53772 .54993 L
.53674 .54896 L
.53612 .54834 L
.53523 .54735 L
.53451 .54677 L
.53381 .54575 L
.53291 .54473 L
.53225 .54414 L
.5313 .54271 L
.53116 .54254 L
.52992 .54093 L
.5297 .54065 L
.5287 .53933 L
.52809 .53849 L
.52701 .53772 L
.52649 .53613 L
.52648 .53612 L
.52568 .53451 L
F
.007 .84 1 r
.52649 .53384 m
.52756 .53451 L
.52809 .53494 L
.52923 .53612 L
.5297 .53661 L
.53063 .53772 L
.5313 .5385 L
.53195 .53933 L
.53291 .54025 L
.53323 .54093 L
.53447 .54254 L
.53451 .5426 L
.53563 .54414 L
.53612 .5448 L
.53677 .54575 L
.53772 .54709 L
.5379 .54735 L
.53886 .54896 L
.53933 .54985 L
.53952 .55057 L
.53933 .55083 L
.53883 .55057 L
.53772 .54976 L
.53689 .54896 L
.53612 .5482 L
.53534 .54735 L
.53451 .54666 L
.5339 .54575 L
.53291 .54462 L
.53236 .54414 L
.5313 .54261 L
.53124 .54254 L
.52999 .54093 L
.5297 .54055 L
.52878 .53933 L
.52809 .53837 L
.52714 .53772 L
.52659 .53612 L
.52649 .53593 L
.52585 .53451 L
F
0 .46 1 r
.52649 .46461 m
.52725 .46549 L
.52809 .46637 L
.52869 .46709 L
.5297 .46822 L
.53009 .4687 L
.5313 .46999 L
.53145 .4703 L
.53278 .47191 L
.53291 .47205 L
.53408 .47351 L
.53451 .47402 L
.53539 .47512 L
.53612 .47599 L
.5367 .47672 L
.53772 .47787 L
.53832 .47833 L
.53928 .47993 L
.53933 .47999 L
.54054 .48154 L
.54093 .48202 L
.54181 .48314 L
.54254 .48369 L
.54308 .48475 L
.54414 .48603 L
.54447 .48636 L
.5456 .48796 L
.54575 .48814 L
.54684 .48957 L
.54735 .49021 L
.54809 .49117 L
.54896 .49209 L
.54972 .49278 L
.55057 .49433 L
.55061 .49438 L
.55181 .49599 L
.55217 .49644 L
.55304 .49759 L
.55378 .49809 L
.55428 .4992 L
.55538 .50056 L
.55561 .5008 L
.55673 .50241 L
.55699 .50273 L
.55794 .50401 L
.55859 .50485 L
.55916 .50562 L
.5602 .50683 L
.56058 .50722 L
.56158 .50883 L
.5618 .50911 L
.56276 .51043 L
.56341 .51127 L
.56396 .51204 L
.56501 .51342 L
.56517 .51364 L
.56633 .51525 L
.56662 .51562 L
.56747 .51686 L
.56822 .51785 L
.56864 .51846 L
.56981 .52007 L
.56983 .52009 L
.57085 .52167 L
.57143 .52249 L
.5719 .52328 L
.57143 .52397 L
.57081 .52328 L
.56983 .52224 L
.56934 .52167 L
.56822 .52042 L
.56793 .52007 L
.56662 .51858 L
.56656 .51846 L
.56523 .51686 L
.56501 .51661 L
.56391 .51525 L
.56341 .51466 L
.5626 .51364 L
.5618 .51269 L
.56128 .51204 L
.5602 .51078 L
.55978 .51043 L
.5587 .50883 L
.55859 .5087 L
.55743 .50722 L
.55699 .50668 L
.55616 .50562 L
.55538 .50492 L
.55488 .50401 L
.55378 .50266 L
.55353 .50241 L
.55236 .5008 L
.55217 .50057 L
.55112 .4992 L
.55057 .49851 L
.54986 .49759 L
.54896 .49659 L
.54833 .49599 L
.54736 .49438 L
.54735 .49438 L
.54614 .49278 L
.54575 .49229 L
.5449 .49117 L
.54414 .49053 L
.54366 .48957 L
.54254 .48815 L
.54237 .48796 L
.54121 .48636 L
.54093 .486 L
.54 .48475 L
.53933 .48388 L
.53878 .48314 L
.53772 .48187 L
.53741 .48154 L
.53636 .47993 L
.53612 .47963 L
.53517 .47833 L
.53451 .47747 L
.53397 .47672 L
.53291 .4755 L
.53276 .47512 L
.5316 .47351 L
.5313 .47313 L
.53044 .47191 L
.5297 .47091 L
.52927 .4703 L
.5281 .4687 L
.52809 .46869 L
.52704 .46709 L
.52649 .46633 L
.52597 .46549 L
F
1 .76 .001 r
.52649 .45795 m
.52755 .45907 L
.52809 .4596 L
.52905 .46067 L
.5297 .46136 L
.53049 .46228 L
.5313 .46282 L
.5319 .46388 L
.53291 .465 L
.5336 .46549 L
.53451 .46697 L
.53464 .46709 L
.53595 .4687 L
.53612 .4689 L
.53727 .4703 L
.53772 .47071 L
.53859 .47191 L
.53933 .47279 L
.54005 .47351 L
.54093 .47482 L
.54118 .47512 L
.54247 .47672 L
.54254 .47674 L
.54375 .47833 L
.54414 .47875 L
.54538 .47993 L
.54575 .48083 L
.54635 .48154 L
.54735 .48289 L
.54752 .48314 L
.54884 .48475 L
.54896 .48485 L
.5501 .48636 L
.55057 .48691 L
.5515 .48796 L
.55217 .48901 L
.55259 .48957 L
.55378 .49107 L
.55382 .49117 L
.55512 .49278 L
.55538 .49305 L
.55666 .49438 L
.55699 .49516 L
.55766 .49599 L
.55859 .49727 L
.5588 .49759 L
.5601 .4992 L
.5602 .49926 L
.56134 .5008 L
.5618 .50133 L
.56272 .50241 L
.56341 .50347 L
.5638 .50401 L
.56501 .50556 L
.56503 .50562 L
.56629 .50722 L
.56662 .50754 L
.56782 .50883 L
.56822 .50969 L
.56881 .51043 L
.56983 .51182 L
.56996 .51204 L
.57122 .51364 L
.57143 .51375 L
.57244 .51525 L
.57304 .51592 L
.57383 .51686 L
.57464 .51809 L
.5749 .51846 L
.57613 .52007 L
.57625 .52022 L
.57734 .52167 L
.57785 .52214 L
.57888 .52328 L
.57946 .52438 L
.57985 .52488 L
.58101 .52649 L
.58106 .52655 L
.58221 .52809 L
.58267 .52831 L
.58343 .5297 L
.58428 .53068 L
.58478 .5313 L
.58586 .53291 L
.58588 .53293 L
.58705 .53451 L
.58749 .53509 L
.58824 .53612 L
.58909 .53702 L
.58968 .53772 L
.59065 .53933 L
.5907 .53938 L
.59181 .54093 L
.5923 .54158 L
.59299 .54254 L
.59391 .54377 L
.5945 .54414 L
.59534 .54575 L
.59551 .54599 L
.59645 .54735 L
.59712 .54826 L
.59759 .54896 L
.59872 .55056 L
.59873 .55057 L
.59972 .55217 L
.60033 .55308 L
.6007 .55378 L
.60033 .55457 L
.59953 .55378 L
.59872 .55301 L
.59796 .55217 L
.59712 .55128 L
.59649 .55057 L
.59551 .5497 L
.59507 .54896 L
.59391 .54764 L
.59353 .54735 L
.59234 .54575 L
.5923 .54571 L
.591 .54414 L
.5907 .54379 L
.58967 .54254 L
.58909 .54196 L
.58835 .54093 L
.58749 .53989 L
.58693 .53933 L
.58588 .53788 L
.58576 .53772 L
.58446 .53612 L
.58428 .53601 L
.58317 .53451 L
.58267 .53394 L
.58162 .53291 L
.58106 .53186 L
.58059 .5313 L
.57946 .52982 L
.57938 .5297 L
.57809 .52809 L
.57785 .52788 L
.5763 .52649 L
.57625 .52579 L
.57545 .52488 L
.57464 .52369 L
.57434 .52328 L
.57305 .52167 L
.57304 .52167 L
.57181 .52007 L
.57143 .51966 L
.57031 .51846 L
.56983 .51754 L
.56928 .51686 L
.56822 .51545 L
.56811 .51525 L
.56682 .51364 L
.56662 .51348 L
.56512 .51204 L
.56501 .51137 L
.56422 .51043 L
.56341 .50923 L
.56312 .50883 L
.56186 .50722 L
.5618 .50722 L
.56063 .50562 L
.5602 .50517 L
.55914 .50401 L
.55859 .50301 L
.55812 .50241 L
.55699 .50089 L
.55694 .5008 L
.5557 .4992 L
.55538 .49897 L
.55399 .49759 L
.55378 .49678 L
.55312 .49599 L
.55217 .49461 L
.55201 .49438 L
.55079 .49278 L
.55057 .49249 L
.54957 .49117 L
.54896 .49055 L
.54809 .48957 L
.54735 .48832 L
.54708 .48796 L
.5459 .48636 L
.54575 .48617 L
.54469 .48475 L
.54414 .48436 L
.543 .48314 L
.54254 .48201 L
.54216 .48154 L
.54104 .47993 L
.54093 .4798 L
.53985 .47833 L
.53933 .47765 L
.53865 .47672 L
.53772 .47567 L
.53727 .47512 L
.53624 .47351 L
.53612 .47336 L
.53507 .47191 L
.53451 .47118 L
.53389 .4703 L
.53291 .46922 L
.53247 .4687 L
.53153 .46709 L
.5313 .46679 L
.5304 .46549 L
.5297 .46454 L
.52925 .46388 L
.52809 .46228 L
.52809 .46227 L
.52706 .46067 L
.52649 .45984 L
.52603 .45907 L
F
0 .45 1 r
.52649 .4647 m
.52718 .46549 L
.52809 .46644 L
.52864 .46709 L
.5297 .46828 L
.53004 .4687 L
.5313 .47007 L
.53141 .4703 L
.53274 .47191 L
.53291 .4721 L
.53405 .47351 L
.53451 .47406 L
.53536 .47512 L
.53612 .47603 L
.53667 .47672 L
.53772 .47791 L
.53827 .47833 L
.53925 .47993 L
.53933 .48003 L
.54051 .48154 L
.54093 .48205 L
.54178 .48314 L
.54254 .48372 L
.54306 .48475 L
.54414 .48606 L
.54444 .48636 L
.54558 .48796 L
.54575 .48817 L
.54682 .48957 L
.54735 .49024 L
.54807 .49117 L
.54896 .49212 L
.54969 .49278 L
.55057 .49437 L
.55058 .49438 L
.55179 .49599 L
.55217 .49646 L
.55302 .49759 L
.55378 .49812 L
.55426 .4992 L
.55538 .50059 L
.55557 .5008 L
.55671 .50241 L
.55699 .50276 L
.55791 .50401 L
.55859 .50488 L
.55914 .50562 L
.5602 .50688 L
.56054 .50722 L
.56155 .50883 L
.5618 .50915 L
.56274 .51043 L
.56341 .51131 L
.56393 .51204 L
.56501 .51346 L
.56514 .51364 L
.5663 .51525 L
.56662 .51567 L
.56744 .51686 L
.56822 .5179 L
.5686 .51846 L
.56976 .52007 L
.56983 .52016 L
.57078 .52167 L
.57143 .52259 L
.57181 .52328 L
.57143 .52386 L
.57091 .52328 L
.56983 .52217 L
.5694 .52167 L
.56822 .52036 L
.56798 .52007 L
.56662 .5185 L
.5666 .51846 L
.56527 .51686 L
.56501 .51656 L
.56395 .51525 L
.56341 .51461 L
.56263 .51364 L
.5618 .51265 L
.56131 .51204 L
.5602 .51074 L
.55983 .51043 L
.55873 .50883 L
.55859 .50866 L
.55746 .50722 L
.55699 .50665 L
.55618 .50562 L
.55538 .50489 L
.5549 .50401 L
.55378 .50262 L
.55357 .50241 L
.55239 .5008 L
.55217 .50054 L
.55114 .4992 L
.55057 .49848 L
.54988 .49759 L
.54896 .49655 L
.54836 .49599 L
.54738 .49438 L
.54735 .49435 L
.54616 .49278 L
.54575 .49226 L
.54493 .49117 L
.54414 .4905 L
.54368 .48957 L
.54254 .48812 L
.5424 .48796 L
.54124 .48636 L
.54093 .48597 L
.54003 .48475 L
.53933 .48385 L
.5388 .48314 L
.53772 .48183 L
.53745 .48154 L
.53638 .47993 L
.53612 .47959 L
.5352 .47833 L
.53451 .47744 L
.53399 .47672 L
.53291 .47543 L
.53279 .47512 L
.53163 .47351 L
.5313 .47309 L
.53048 .47191 L
.5297 .47086 L
.52931 .4703 L
.52815 .4687 L
.52809 .46863 L
.5271 .46709 L
.52649 .46624 L
.52604 .46549 L
F
.005 .83 1 r
.52649 .53406 m
.52736 .53451 L
.52809 .53507 L
.52913 .53612 L
.5297 .5367 L
.53056 .53772 L
.5313 .53859 L
.53189 .53933 L
.53291 .54036 L
.53317 .54093 L
.5344 .54254 L
.53451 .54268 L
.53556 .54414 L
.53612 .5449 L
.5367 .54575 L
.53772 .54722 L
.53781 .54735 L
.5387 .54896 L
.53772 .54957 L
.53706 .54896 L
.53612 .54806 L
.53546 .54735 L
.53451 .54654 L
.534 .54575 L
.53291 .54451 L
.53248 .54414 L
.53133 .54254 L
.5313 .54251 L
.53007 .54093 L
.5297 .54044 L
.52886 .53933 L
.52809 .53825 L
.52729 .53772 L
.52671 .53612 L
.52649 .53569 L
.52604 .53451 L
F
1 .2 0 r
.52649 .47146 m
.52683 .47191 L
.52809 .47335 L
.52822 .47351 L
.52809 .47479 L
.52725 .47351 L
.52649 .47255 L
.52608 .47191 L
F
0 .44 1 r
.52649 .46481 m
.52709 .46549 L
.52809 .46652 L
.52858 .46709 L
.5297 .46834 L
.53 .4687 L
.5313 .47016 L
.53137 .4703 L
.5327 .47191 L
.53291 .47215 L
.53401 .47351 L
.53451 .4741 L
.53533 .47512 L
.53612 .47607 L
.53664 .47672 L
.53772 .47795 L
.53821 .47833 L
.53922 .47993 L
.53933 .48006 L
.54049 .48154 L
.54093 .48208 L
.54176 .48314 L
.54254 .48376 L
.54304 .48475 L
.54414 .4861 L
.54441 .48636 L
.54555 .48796 L
.54575 .4882 L
.5468 .48957 L
.54735 .49026 L
.54805 .49117 L
.54896 .49215 L
.54965 .49278 L
.55055 .49438 L
.55057 .4944 L
.55177 .49599 L
.55217 .49649 L
.553 .49759 L
.55378 .49816 L
.55424 .4992 L
.55538 .50063 L
.55554 .5008 L
.55668 .50241 L
.55699 .50279 L
.55789 .50401 L
.55859 .50491 L
.55911 .50562 L
.5602 .50692 L
.56049 .50722 L
.56153 .50883 L
.5618 .50918 L
.56271 .51043 L
.56341 .51134 L
.56391 .51204 L
.56501 .5135 L
.56512 .51364 L
.56626 .51525 L
.56662 .51572 L
.5674 .51686 L
.56822 .51796 L
.56856 .51846 L
.5697 .52007 L
.56983 .52023 L
.57071 .52167 L
.57143 .52272 L
.57172 .52328 L
.57143 .52373 L
.57101 .52328 L
.56983 .52209 L
.56947 .52167 L
.56822 .5203 L
.56803 .52007 L
.56665 .51846 L
.56662 .51843 L
.56532 .51686 L
.56501 .51651 L
.56399 .51525 L
.56341 .51457 L
.56266 .51364 L
.5618 .51261 L
.56134 .51204 L
.5602 .51069 L
.55988 .51043 L
.55876 .50883 L
.55859 .50863 L
.55749 .50722 L
.55699 .50661 L
.55621 .50562 L
.55538 .50485 L
.55493 .50401 L
.55378 .50259 L
.5536 .50241 L
.55241 .5008 L
.55217 .50051 L
.55116 .4992 L
.55057 .49845 L
.54991 .49759 L
.54896 .49652 L
.5484 .49599 L
.5474 .49438 L
.54735 .49432 L
.54618 .49278 L
.54575 .49223 L
.54495 .49117 L
.54414 .49046 L
.5437 .48957 L
.54254 .48808 L
.54243 .48796 L
.54126 .48636 L
.54093 .48594 L
.54005 .48475 L
.53933 .48382 L
.53882 .48314 L
.53772 .48178 L
.53749 .48154 L
.53641 .47993 L
.53612 .47956 L
.53522 .47833 L
.53451 .4774 L
.53402 .47672 L
.53291 .47536 L
.53281 .47512 L
.53166 .47351 L
.5313 .47304 L
.53052 .47191 L
.5297 .47081 L
.52935 .4703 L
.5282 .4687 L
.52809 .46856 L
.52716 .46709 L
.52649 .46614 L
.52611 .46549 L
F
1 .96 .289 r
.52649 .55574 m
.52755 .55699 L
.52809 .55759 L
.52894 .55859 L
.5297 .55947 L
.53031 .5602 L
.5313 .56106 L
.53166 .5618 L
.53291 .56329 L
.53305 .56341 L
.53431 .56501 L
.53451 .56525 L
.53564 .56662 L
.53612 .56719 L
.53696 .56822 L
.53772 .56901 L
.53828 .56983 L
.53933 .57113 L
.53961 .57143 L
.54085 .57304 L
.54093 .57314 L
.54215 .57464 L
.54254 .57479 L
.54344 .57625 L
.54414 .57707 L
.54494 .57785 L
.54575 .57918 L
.54597 .57946 L
.54723 .58106 L
.54735 .58122 L
.5485 .58267 L
.54896 .58309 L
.5504 .58428 L
.55057 .58528 L
.55108 .58588 L
.55217 .58738 L
.55224 .58749 L
.5535 .58909 L
.55378 .58912 L
.55474 .5907 L
.55538 .59142 L
.5562 .5923 L
.55699 .5936 L
.55721 .59391 L
.55844 .59551 L
.55859 .59571 L
.55967 .59712 L
.5602 .59757 L
.56144 .59872 L
.5618 .59987 L
.56218 .60033 L
.56333 .60193 L
.56341 .60204 L
.56453 .60354 L
.56501 .60417 L
.56575 .60514 L
.56662 .60618 L
.56711 .60675 L
.56814 .60835 L
.56822 .60846 L
.56933 .60996 L
.56983 .61063 L
.57052 .61156 L
.57143 .61259 L
.57198 .61317 L
.57286 .61477 L
.57304 .61502 L
.574 .61638 L
.57464 .61727 L
.57515 .61799 L
.57625 .61954 L
.57628 .61959 L
.57733 .6212 L
.57785 .62196 L
.57837 .6228 L
.57785 .62365 L
.57711 .6228 L
.57625 .62191 L
.57565 .6212 L
.57464 .62008 L
.57425 .61959 L
.57304 .61837 L
.57287 .61799 L
.57154 .61638 L
.57143 .61626 L
.57024 .61477 L
.56983 .61429 L
.56894 .61317 L
.56822 .61231 L
.56764 .61156 L
.56662 .61049 L
.56634 .60996 L
.56504 .60835 L
.56501 .60832 L
.56379 .60675 L
.56341 .60628 L
.56253 .60514 L
.5618 .60425 L
.56126 .60354 L
.5602 .60231 L
.55979 .60193 L
.55872 .60033 L
.55859 .60016 L
.55749 .59872 L
.55699 .5981 L
.55625 .59712 L
.55538 .59629 L
.55499 .59551 L
.55378 .594 L
.55369 .59391 L
.5525 .5923 L
.55217 .59189 L
.55128 .5907 L
.55057 .58981 L
.55003 .58909 L
.54896 .58783 L
.54862 .58749 L
.54755 .58588 L
.54735 .58564 L
.54634 .58428 L
.54575 .58353 L
.54511 .58267 L
.54414 .58168 L
.54387 .58106 L
.54263 .57946 L
.54254 .57934 L
.54144 .57785 L
.54093 .57721 L
.54023 .57625 L
.53933 .5751 L
.539 .57464 L
.53776 .57304 L
.53772 .57299 L
.53659 .57143 L
.53612 .57083 L
.5354 .56983 L
.53451 .56868 L
.53419 .56822 L
.53297 .56662 L
.53291 .56654 L
.53183 .56501 L
.5313 .56433 L
.53067 .56341 L
.5297 .56213 L
.52947 .5618 L
.52832 .5602 L
.52809 .5599 L
.52724 .55859 L
.52649 .55757 L
.52612 .55699 L
F
1 .75 0 r
.52649 .45816 m
.52739 .45907 L
.52809 .45974 L
.52894 .46067 L
.5297 .46147 L
.5304 .46228 L
.5313 .46293 L
.53182 .46388 L
.53291 .46509 L
.53349 .46549 L
.53451 .46704 L
.53457 .46709 L
.53589 .4687 L
.53612 .46896 L
.53722 .4703 L
.53772 .47076 L
.53854 .47191 L
.53933 .47284 L
.54001 .47351 L
.54093 .47487 L
.54114 .47512 L
.54243 .47672 L
.54254 .47675 L
.54372 .47833 L
.54414 .47879 L
.54536 .47993 L
.54575 .48087 L
.54632 .48154 L
.54735 .48293 L
.5475 .48314 L
.54881 .48475 L
.54896 .48487 L
.55007 .48636 L
.55057 .48694 L
.55148 .48796 L
.55217 .48904 L
.55257 .48957 L
.55378 .4911 L
.55381 .49117 L
.55509 .49278 L
.55538 .49307 L
.55664 .49438 L
.55699 .49518 L
.55764 .49599 L
.55859 .49729 L
.55878 .49759 L
.56008 .4992 L
.5602 .49927 L
.56132 .5008 L
.5618 .50136 L
.56271 .50241 L
.56341 .50349 L
.56379 .50401 L
.56501 .50559 L
.56503 .50562 L
.56627 .50722 L
.56662 .50755 L
.56781 .50883 L
.56822 .50971 L
.56879 .51043 L
.56983 .51185 L
.56994 .51204 L
.5712 .51364 L
.57143 .51376 L
.57242 .51525 L
.57304 .51594 L
.57381 .51686 L
.57464 .51812 L
.57489 .51846 L
.57611 .52007 L
.57625 .52025 L
.57732 .52167 L
.57785 .52216 L
.57886 .52328 L
.57946 .52441 L
.57982 .52488 L
.58099 .52649 L
.58106 .52658 L
.58219 .52809 L
.58267 .52833 L
.5834 .5297 L
.58428 .53072 L
.58475 .5313 L
.58583 .53291 L
.58588 .53297 L
.58702 .53451 L
.58749 .53512 L
.58821 .53612 L
.58909 .53707 L
.58964 .53772 L
.59062 .53933 L
.5907 .53943 L
.59177 .54093 L
.5923 .54163 L
.59295 .54254 L
.59391 .54383 L
.59441 .54414 L
.59528 .54575 L
.59551 .54606 L
.59639 .54735 L
.59712 .54835 L
.59752 .54896 L
.59863 .55057 L
.59872 .55069 L
.5996 .55217 L
.60033 .55333 L
.60053 .55378 L
.60033 .55429 L
.59975 .55378 L
.59872 .55285 L
.59809 .55217 L
.59712 .55116 L
.59659 .55057 L
.59551 .54958 L
.59515 .54896 L
.59391 .54755 L
.59365 .54735 L
.5924 .54575 L
.5923 .54564 L
.59106 .54414 L
.5907 .54372 L
.58972 .54254 L
.58909 .54191 L
.5884 .54093 L
.58749 .53984 L
.58698 .53933 L
.58588 .53783 L
.58579 .53772 L
.5845 .53612 L
.58428 .53599 L
.58321 .53451 L
.58267 .5339 L
.58165 .53291 L
.58106 .53183 L
.58062 .5313 L
.57946 .52979 L
.5794 .5297 L
.57812 .52809 L
.57785 .52785 L
.57631 .52649 L
.57625 .52576 L
.57547 .52488 L
.57464 .52366 L
.57436 .52328 L
.57308 .52167 L
.57304 .52166 L
.57183 .52007 L
.57143 .51964 L
.57033 .51846 L
.56983 .51752 L
.5693 .51686 L
.56822 .51542 L
.56812 .51525 L
.56684 .51364 L
.56662 .51347 L
.56512 .51204 L
.56501 .51134 L
.56424 .51043 L
.56341 .50921 L
.56314 .50883 L
.56188 .50722 L
.5618 .50721 L
.56065 .50562 L
.5602 .50515 L
.55916 .50401 L
.55859 .50299 L
.55814 .50241 L
.55699 .50087 L
.55695 .5008 L
.55572 .4992 L
.55538 .49896 L
.554 .49759 L
.55378 .49676 L
.55314 .49599 L
.55217 .49459 L
.55203 .49438 L
.55081 .49278 L
.55057 .49247 L
.54959 .49117 L
.54896 .49053 L
.54811 .48957 L
.54735 .48829 L
.5471 .48796 L
.54592 .48636 L
.54575 .48614 L
.54471 .48475 L
.54414 .48433 L
.54302 .48314 L
.54254 .48198 L
.54219 .48154 L
.54107 .47993 L
.54093 .47976 L
.53988 .47833 L
.53933 .47761 L
.53868 .47672 L
.53772 .47562 L
.53731 .47512 L
.53627 .47351 L
.53612 .47332 L
.53511 .47191 L
.53451 .47113 L
.53392 .4703 L
.53291 .46913 L
.53254 .4687 L
.53158 .46709 L
.5313 .46672 L
.53045 .46549 L
.5297 .46446 L
.52931 .46388 L
.52818 .46228 L
.52809 .46216 L
.52716 .46067 L
.52649 .45966 L
.52616 .45907 L
F
1 .19 0 r
.52649 .47157 m
.52675 .47191 L
.52809 .47342 L
.52816 .47351 L
.52809 .4747 L
.52733 .47351 L
.52649 .47244 L
.52616 .47191 L
F
.156 .94 1 r
.52649 .45139 m
.5278 .45265 L
.52809 .45291 L
.52936 .45425 L
.5297 .45459 L
.53084 .45586 L
.5313 .45635 L
.53228 .45746 L
.53291 .45811 L
.53369 .45907 L
.53451 .46006 L
.53516 .46067 L
.53612 .46199 L
.53636 .46228 L
.53772 .46387 L
.53773 .46388 L
.53908 .46549 L
.53933 .46579 L
.5406 .46709 L
.54093 .46781 L
.54167 .4687 L
.54254 .46985 L
.54283 .4703 L
.54414 .47184 L
.54429 .47191 L
.54557 .47351 L
.54575 .47375 L
.54689 .47512 L
.54735 .47583 L
.548 .47672 L
.54896 .47793 L
.54909 .47833 L
.55057 .47982 L
.55066 .47993 L
.552 .48154 L
.55217 .48189 L
.55313 .48314 L
.55378 .48401 L
.55421 .48475 L
.55538 .48614 L
.5557 .48636 L
.55698 .48796 L
.55699 .48803 L
.55821 .48957 L
.55859 .49014 L
.55931 .49117 L
.5602 .49229 L
.56033 .49278 L
.5618 .49435 L
.56193 .49438 L
.56323 .49599 L
.56341 .49632 L
.56436 .49759 L
.56501 .49846 L
.56543 .4992 L
.56662 .50059 L
.5669 .5008 L
.5682 .50241 L
.56822 .50253 L
.56939 .50401 L
.56983 .50465 L
.57048 .50562 L
.57143 .50679 L
.57152 .50722 L
.57304 .50881 L
.57307 .50883 L
.57441 .51043 L
.57464 .51087 L
.57551 .51204 L
.57625 .51301 L
.57658 .51364 L
.57785 .51511 L
.57802 .51525 L
.5794 .51686 L
.57946 .51711 L
.58053 .51846 L
.58106 .51924 L
.58161 .52007 L
.58267 .52136 L
.58271 .52167 L
.58418 .52328 L
.58428 .52338 L
.58554 .52488 L
.58588 .52547 L
.58663 .52649 L
.58749 .52761 L
.58772 .52809 L
.58909 .52968 L
.5891 .5297 L
.59058 .5313 L
.5907 .53172 L
.59163 .53291 L
.5923 .53386 L
.59272 .53451 L
.59391 .53598 L
.59392 .53612 L
.59524 .53772 L
.59551 .53797 L
.59665 .53933 L
.59712 .54012 L
.59771 .54093 L
.59872 .54227 L
.59885 .54254 L
.60015 .54414 L
.60033 .54424 L
.60172 .54575 L
.60193 .54637 L
.60269 .54735 L
.60354 .54855 L
.6038 .54896 L
.60505 .55057 L
.60514 .55069 L
.60626 .55217 L
.60675 .55262 L
.60769 .55378 L
.60835 .55485 L
.60873 .55538 L
.60993 .55699 L
.60996 .55703 L
.61113 .55859 L
.61156 .55882 L
.61274 .5602 L
.61317 .56116 L
.61365 .5618 L
.61477 .56341 L
.61477 .56341 L
.61596 .56501 L
.61638 .56557 L
.61715 .56662 L
.61799 .56751 L
.61853 .56822 L
.61956 .56983 L
.61959 .56987 L
.62072 .57143 L
.6212 .57207 L
.62189 .57304 L
.6228 .57427 L
.6233 .57464 L
.62422 .57625 L
.62441 .5765 L
.62533 .57785 L
.62601 .5788 L
.62645 .57946 L
.62756 .58106 L
.62762 .58114 L
.62853 .58267 L
.62922 .5838 L
.62945 .58428 L
.62922 .58504 L
.62832 .58428 L
.62762 .58367 L
.62664 .58267 L
.62601 .58204 L
.62512 .58106 L
.62441 .58061 L
.62366 .57946 L
.6228 .57854 L
.62169 .57785 L
.6212 .57663 L
.6208 .57625 L
.61959 .57473 L
.61952 .57464 L
.61816 .57304 L
.61799 .57288 L
.61683 .57143 L
.61638 .57089 L
.61533 .56983 L
.61477 .56887 L
.61423 .56822 L
.61317 .56686 L
.61303 .56662 L
.61162 .56501 L
.61156 .56495 L
.61006 .56341 L
.60996 .56291 L
.60902 .5618 L
.60835 .56083 L
.6079 .5602 L
.60675 .55877 L
.60673 .55859 L
.60526 .55699 L
.60514 .55684 L
.60389 .55538 L
.60354 .55476 L
.60279 .55378 L
.60193 .55264 L
.60168 .55217 L
.60033 .55061 L
.60023 .55057 L
.59882 .54896 L
.59872 .54861 L
.59771 .54735 L
.59712 .5465 L
.59661 .54575 L
.59551 .54439 L
.5955 .54414 L
.59401 .54254 L
.59391 .54242 L
.59265 .54093 L
.5923 .54032 L
.59156 .53933 L
.5907 .53819 L
.59047 .53772 L
.58909 .53615 L
.58904 .53612 L
.58761 .53451 L
.58749 .53411 L
.58652 .53291 L
.58588 .53198 L
.58543 .5313 L
.58428 .52988 L
.58409 .5297 L
.58286 .52809 L
.58267 .52788 L
.58149 .52649 L
.58106 .52576 L
.58041 .52488 L
.57946 .52364 L
.57929 .52328 L
.57792 .52167 L
.57785 .52161 L
.57644 .52007 L
.57625 .51953 L
.57539 .51846 L
.57464 .5174 L
.57429 .51686 L
.57304 .51531 L
.57298 .51525 L
.57176 .51364 L
.57143 .5133 L
.57036 .51204 L
.56983 .51116 L
.5693 .51043 L
.56822 .50903 L
.56813 .50883 L
.56683 .50722 L
.56662 .50705 L
.5653 .50562 L
.56501 .50492 L
.56429 .50401 L
.56341 .50277 L
.56318 .50241 L
.56191 .5008 L
.5618 .50078 L
.56069 .4992 L
.5602 .49869 L
.55928 .49759 L
.55859 .49651 L
.55821 .49599 L
.55699 .49438 L
.55699 .49437 L
.55578 .49278 L
.55538 .49248 L
.55421 .49117 L
.55378 .49026 L
.55324 .48957 L
.55217 .48807 L
.5521 .48796 L
.55088 .48636 L
.55057 .48595 L
.54967 .48475 L
.54896 .48402 L
.54826 .48314 L
.54735 .48177 L
.54719 .48154 L
.546 .47993 L
.54575 .47962 L
.54479 .47833 L
.54414 .4778 L
.54324 .47672 L
.54254 .47545 L
.54229 .47512 L
.54114 .47351 L
.54093 .47325 L
.53995 .47191 L
.53933 .47111 L
.53874 .4703 L
.53772 .46909 L
.53742 .4687 L
.53633 .46709 L
.53612 .46682 L
.53516 .46549 L
.53451 .46464 L
.53397 .46388 L
.53291 .46261 L
.53266 .46228 L
.53162 .46067 L
.5313 .46025 L
.53049 .45907 L
.5297 .458 L
.52934 .45746 L
.5282 .45586 L
.52809 .45571 L
.52718 .45425 L
.52649 .45323 L
.52616 .45265 L
F
0 .43 1 r
.52649 .46493 m
.52699 .46549 L
.52809 .46659 L
.52852 .46709 L
.5297 .4684 L
.52995 .4687 L
.5313 .47024 L
.53133 .4703 L
.53266 .47191 L
.53291 .47219 L
.53397 .47351 L
.53451 .47414 L
.53529 .47512 L
.53612 .47611 L
.53661 .47672 L
.53772 .478 L
.53815 .47833 L
.53919 .47993 L
.53933 .48009 L
.54046 .48154 L
.54093 .48212 L
.54173 .48314 L
.54254 .48379 L
.54301 .48475 L
.54414 .48613 L
.54437 .48636 L
.54553 .48796 L
.54575 .48823 L
.54677 .48957 L
.54735 .49029 L
.54803 .49117 L
.54896 .49219 L
.54962 .49278 L
.55053 .49438 L
.55057 .49442 L
.55175 .49599 L
.55217 .49652 L
.55298 .49759 L
.55378 .4982 L
.55422 .4992 L
.55538 .50067 L
.55551 .5008 L
.55666 .50241 L
.55699 .50282 L
.55787 .50401 L
.55859 .50494 L
.55909 .50562 L
.5602 .50697 L
.56045 .50722 L
.5615 .50883 L
.5618 .50922 L
.56268 .51043 L
.56341 .51138 L
.56388 .51204 L
.56501 .51354 L
.56509 .51364 L
.56622 .51525 L
.56662 .51577 L
.56736 .51686 L
.56822 .51801 L
.56852 .51846 L
.56964 .52007 L
.56983 .52032 L
.57063 .52167 L
.57143 .52289 L
.5716 .52328 L
.57143 .52356 L
.57115 .52328 L
.56983 .52201 L
.56954 .52167 L
.56822 .52023 L
.56808 .52007 L
.5667 .51846 L
.56662 .51837 L
.56536 .51686 L
.56501 .51646 L
.56403 .51525 L
.56341 .51453 L
.5627 .51364 L
.5618 .51257 L
.56138 .51204 L
.5602 .51064 L
.55994 .51043 L
.55879 .50883 L
.55859 .50859 L
.55751 .50722 L
.55699 .50658 L
.55623 .50562 L
.55538 .50481 L
.55495 .50401 L
.55378 .50255 L
.55363 .50241 L
.55243 .5008 L
.55217 .50048 L
.55119 .4992 L
.55057 .49842 L
.54993 .49759 L
.54896 .49648 L
.54843 .49599 L
.54743 .49438 L
.54735 .49429 L
.5462 .49278 L
.54575 .4922 L
.54497 .49117 L
.54414 .49043 L
.54373 .48957 L
.54254 .48805 L
.54246 .48796 L
.54129 .48636 L
.54093 .48591 L
.54007 .48475 L
.53933 .48379 L
.53885 .48314 L
.53772 .48174 L
.53753 .48154 L
.53644 .47993 L
.53612 .47952 L
.53525 .47833 L
.53451 .47737 L
.53405 .47672 L
.53291 .47529 L
.53284 .47512 L
.5317 .47351 L
.5313 .47299 L
.53055 .47191 L
.5297 .47076 L
.52939 .4703 L
.52825 .4687 L
.52809 .46848 L
.52723 .46709 L
.52649 .46602 L
.5262 .46549 L
F
1 .85 .01 r
.52649 .5404 m
.52682 .54093 L
.52649 .54124 L
.52623 .54093 L
F
1 .18 0 r
.52649 .47169 m
.52665 .47191 L
.52809 .4735 L
.5281 .47351 L
.52809 .47459 L
.52743 .47351 L
.52649 .4723 L
.52627 .47191 L
F
.004 .82 1 r
.52649 .53432 m
.52707 .53451 L
.52809 .5352 L
.52903 .53612 L
.5297 .5368 L
.53048 .53772 L
.5313 .53867 L
.53182 .53933 L
.53291 .54048 L
.53311 .54093 L
.53433 .54254 L
.53451 .54278 L
.53548 .54414 L
.53612 .54501 L
.53662 .54575 L
.53772 .54735 L
.53772 .54736 L
.53851 .54896 L
.53772 .54937 L
.53725 .54896 L
.53612 .54792 L
.53558 .54735 L
.53451 .5464 L
.5341 .54575 L
.53291 .5444 L
.53261 .54414 L
.53141 .54254 L
.5313 .5424 L
.53016 .54093 L
.5297 .54034 L
.52894 .53933 L
.52809 .53813 L
.52746 .53772 L
.52683 .53612 L
.52649 .53536 L
.52629 .53451 L
F
0 .42 1 r
.52649 .46509 m
.52687 .46549 L
.52809 .46667 L
.52845 .46709 L
.5297 .46846 L
.5299 .4687 L
.53129 .4703 L
.5313 .47032 L
.53261 .47191 L
.53291 .47224 L
.53394 .47351 L
.53451 .47418 L
.53526 .47512 L
.53612 .47614 L
.53658 .47672 L
.53772 .47805 L
.53809 .47833 L
.53917 .47993 L
.53933 .48013 L
.54043 .48154 L
.54093 .48215 L
.54171 .48314 L
.54254 .48383 L
.54299 .48475 L
.54414 .48617 L
.54434 .48636 L
.54551 .48796 L
.54575 .48826 L
.54675 .48957 L
.54735 .49032 L
.548 .49117 L
.54896 .49222 L
.54958 .49278 L
.55051 .49438 L
.55057 .49445 L
.55172 .49599 L
.55217 .49655 L
.55296 .49759 L
.55378 .49823 L
.5542 .4992 L
.55538 .5007 L
.55547 .5008 L
.55664 .50241 L
.55699 .50285 L
.55784 .50401 L
.55859 .50497 L
.55907 .50562 L
.5602 .50702 L
.5604 .50722 L
.56147 .50883 L
.5618 .50925 L
.56265 .51043 L
.56341 .51142 L
.56385 .51204 L
.56501 .51358 L
.56506 .51364 L
.56618 .51525 L
.56662 .51582 L
.56732 .51686 L
.56822 .51807 L
.56848 .51846 L
.56958 .52007 L
.56983 .52041 L
.57054 .52167 L
.57143 .52325 L
.57143 .52328 L
.57143 .52328 L
.57142 .52328 L
.56983 .52191 L
.56961 .52167 L
.56822 .52016 L
.56814 .52007 L
.56676 .51846 L
.56662 .51831 L
.56541 .51686 L
.56501 .51641 L
.56407 .51525 L
.56341 .51448 L
.56273 .51364 L
.5618 .51253 L
.56141 .51204 L
.5602 .5106 L
.56 .51043 L
.55882 .50883 L
.55859 .50856 L
.55754 .50722 L
.55699 .50655 L
.55626 .50562 L
.55538 .50478 L
.55498 .50401 L
.55378 .50252 L
.55367 .50241 L
.55246 .5008 L
.55217 .50045 L
.55121 .4992 L
.55057 .49839 L
.54995 .49759 L
.54896 .49645 L
.54847 .49599 L
.54745 .49438 L
.54735 .49426 L
.54623 .49278 L
.54575 .49217 L
.54499 .49117 L
.54414 .49039 L
.54375 .48957 L
.54254 .48801 L
.54249 .48796 L
.54131 .48636 L
.54093 .48588 L
.5401 .48475 L
.53933 .48376 L
.53887 .48314 L
.53772 .48169 L
.53758 .48154 L
.53647 .47993 L
.53612 .47949 L
.53528 .47833 L
.53451 .47733 L
.53408 .47672 L
.53291 .47522 L
.53287 .47512 L
.53174 .47351 L
.5313 .47294 L
.53059 .47191 L
.5297 .4707 L
.52943 .4703 L
.52831 .4687 L
.52809 .4684 L
.5273 .46709 L
.52649 .46587 L
.5263 .46549 L
F
1 .74 0 r
.52649 .45843 m
.52718 .45907 L
.52809 .45989 L
.52882 .46067 L
.5297 .46159 L
.53031 .46228 L
.5313 .46305 L
.53174 .46388 L
.53291 .46518 L
.53336 .46549 L
.5345 .46709 L
.53451 .46711 L
.53583 .4687 L
.53612 .46903 L
.53717 .4703 L
.53772 .47081 L
.5385 .47191 L
.53933 .4729 L
.53996 .47351 L
.54093 .47491 L
.5411 .47512 L
.5424 .47672 L
.54254 .47676 L
.54368 .47833 L
.54414 .47883 L
.54533 .47993 L
.54575 .48091 L
.54629 .48154 L
.54735 .48296 L
.54748 .48314 L
.54878 .48475 L
.54896 .48489 L
.55005 .48636 L
.55057 .48697 L
.55146 .48796 L
.55217 .48907 L
.55255 .48957 L
.55378 .49112 L
.5538 .49117 L
.55507 .49278 L
.55538 .49309 L
.55663 .49438 L
.55699 .49521 L
.55762 .49599 L
.55859 .49732 L
.55877 .49759 L
.56006 .4992 L
.5602 .49929 L
.5613 .5008 L
.5618 .50138 L
.56269 .50241 L
.56341 .50352 L
.56377 .50401 L
.56501 .50561 L
.56502 .50562 L
.56625 .50722 L
.56662 .50757 L
.56779 .50883 L
.56822 .50974 L
.56878 .51043 L
.56983 .51187 L
.56993 .51204 L
.57118 .51364 L
.57143 .51377 L
.57241 .51525 L
.57304 .51596 L
.57379 .51686 L
.57464 .51815 L
.57487 .51846 L
.57609 .52007 L
.57625 .52027 L
.5773 .52167 L
.57785 .52219 L
.57884 .52328 L
.57946 .52444 L
.5798 .52488 L
.58097 .52649 L
.58106 .52661 L
.58217 .52809 L
.58267 .52836 L
.58338 .5297 L
.58428 .53076 L
.58472 .5313 L
.58581 .53291 L
.58588 .533 L
.58699 .53451 L
.58749 .53516 L
.58818 .53612 L
.58909 .53712 L
.58959 .53772 L
.59058 .53933 L
.5907 .53948 L
.59174 .54093 L
.5923 .54169 L
.59291 .54254 L
.59391 .54389 L
.59432 .54414 L
.59522 .54575 L
.59551 .54614 L
.59633 .54735 L
.59712 .54845 L
.59745 .54896 L
.59853 .55057 L
.59872 .55085 L
.59945 .55217 L
.59872 .55268 L
.59824 .55217 L
.59712 .55104 L
.59669 .55057 L
.59551 .54944 L
.59524 .54896 L
.59391 .54745 L
.59377 .54735 L
.59247 .54575 L
.5923 .54556 L
.59112 .54414 L
.5907 .54366 L
.58978 .54254 L
.58909 .54185 L
.58844 .54093 L
.58749 .53978 L
.58703 .53933 L
.58588 .53779 L
.58583 .53772 L
.58454 .53612 L
.58428 .53597 L
.58324 .53451 L
.58267 .53387 L
.58168 .53291 L
.58106 .53179 L
.58065 .5313 L
.57946 .52976 L
.57942 .5297 L
.57814 .52809 L
.57785 .52783 L
.57632 .52649 L
.57625 .52573 L
.5755 .52488 L
.57464 .52364 L
.57438 .52328 L
.5731 .52167 L
.57304 .52165 L
.57185 .52007 L
.57143 .51961 L
.57035 .51846 L
.56983 .51749 L
.56932 .51686 L
.56822 .5154 L
.56814 .51525 L
.56686 .51364 L
.56662 .51345 L
.56513 .51204 L
.56501 .51132 L
.56426 .51043 L
.56341 .50919 L
.56315 .50883 L
.5619 .50722 L
.5618 .50721 L
.56067 .50562 L
.5602 .50513 L
.55918 .50401 L
.55859 .50297 L
.55816 .50241 L
.55699 .50084 L
.55696 .5008 L
.55574 .4992 L
.55538 .49894 L
.55401 .49759 L
.55378 .49673 L
.55316 .49599 L
.55217 .49456 L
.55204 .49438 L
.55083 .49278 L
.55057 .49244 L
.54961 .49117 L
.54896 .4905 L
.54813 .48957 L
.54735 .48827 L
.54712 .48796 L
.54594 .48636 L
.54575 .48611 L
.54474 .48475 L
.54414 .4843 L
.54305 .48314 L
.54254 .48194 L
.54222 .48154 L
.54109 .47993 L
.54093 .47973 L
.53991 .47833 L
.53933 .47758 L
.5387 .47672 L
.53772 .47557 L
.53735 .47512 L
.53631 .47351 L
.53612 .47327 L
.53514 .47191 L
.53451 .47108 L
.53396 .4703 L
.53291 .46904 L
.53262 .4687 L
.53163 .46709 L
.5313 .46665 L
.53051 .46549 L
.5297 .46437 L
.52937 .46388 L
.52826 .46228 L
.52809 .46203 L
.52728 .46067 L
.52649 .45943 L
.52631 .45907 L
F
1 .89 .033 r
.52649 .50723 m
.52809 .5083 L
.52852 .50883 L
.5297 .50998 L
.53062 .51043 L
.5313 .51177 L
.53161 .51204 L
.53291 .51362 L
.53293 .51364 L
.53427 .51525 L
.53451 .51534 L
.53557 .51686 L
.53612 .51746 L
.53701 .51846 L
.53772 .51963 L
.53802 .52007 L
.5392 .52167 L
.53933 .52185 L
.54031 .52328 L
.54093 .52428 L
.5417 .52488 L
.54188 .52649 L
.54093 .5269 L
.54029 .52649 L
.53933 .52572 L
.53853 .52488 L
.53772 .52444 L
.53709 .52328 L
.53612 .52231 L
.53574 .52167 L
.53451 .52018 L
.5344 .52007 L
.53321 .51846 L
.53291 .51808 L
.532 .51686 L
.5313 .51596 L
.53078 .51525 L
.5297 .51395 L
.52946 .51364 L
.52845 .51204 L
.52809 .51154 L
.52738 .51043 L
.52649 .50906 L
.52635 .50883 L
F
1 .98 .538 r
.52649 .44498 m
.52795 .44622 L
.52809 .44634 L
.52959 .44783 L
.5297 .44794 L
.53112 .44943 L
.5313 .44963 L
.5326 .45104 L
.53291 .45134 L
.53404 .45265 L
.53451 .45323 L
.53563 .45425 L
.53612 .45515 L
.53673 .45586 L
.53772 .45712 L
.53794 .45746 L
.53933 .45885 L
.53951 .45907 L
.54083 .46067 L
.54093 .46082 L
.54213 .46228 L
.54254 .46287 L
.54327 .46388 L
.54414 .465 L
.54478 .46549 L
.54575 .46673 L
.54605 .46709 L
.54732 .4687 L
.54735 .46876 L
.54851 .4703 L
.54896 .47091 L
.54955 .47191 L
.55057 .47279 L
.55115 .47351 L
.55217 .47484 L
.55239 .47512 L
.55362 .47672 L
.55378 .47694 L
.55473 .47833 L
.55538 .47917 L
.55618 .47993 L
.55699 .481 L
.55742 .48154 L
.55859 .48309 L
.55864 .48314 L
.55981 .48475 L
.5602 .48526 L
.56081 .48636 L
.5618 .48756 L
.5624 .48796 L
.56341 .4893 L
.56362 .48957 L
.56483 .49117 L
.56501 .49143 L
.56591 .49278 L
.56662 .49366 L
.56736 .49438 L
.56822 .49553 L
.56858 .49599 L
.5698 .49759 L
.56983 .49764 L
.57096 .4992 L
.57143 .49982 L
.57194 .5008 L
.57304 .50208 L
.57353 .50241 L
.57464 .50388 L
.57475 .50401 L
.57596 .50562 L
.57625 .50602 L
.57703 .50722 L
.57785 .50823 L
.57847 .50883 L
.57946 .51014 L
.57969 .51043 L
.58093 .51204 L
.58106 .51225 L
.58206 .51364 L
.58267 .51442 L
.58305 .51525 L
.58428 .51661 L
.58463 .51686 L
.58586 .51846 L
.58588 .51851 L
.58706 .52007 L
.58749 .52064 L
.58813 .52167 L
.58909 .52281 L
.58956 .52328 L
.5907 .52487 L
.59078 .52488 L
.59205 .52649 L
.5923 .52688 L
.59316 .52809 L
.59391 .52903 L
.59417 .5297 L
.59551 .53115 L
.59571 .5313 L
.59702 .53291 L
.59712 .53313 L
.59817 .53451 L
.59872 .53526 L
.59923 .53612 L
.60033 .5374 L
.60064 .53772 L
.60186 .53933 L
.60193 .5394 L
.60316 .54093 L
.60354 .5415 L
.60426 .54254 L
.60514 .54364 L
.60531 .54414 L
.60675 .54571 L
.60679 .54575 L
.60816 .54735 L
.60835 .54775 L
.60927 .54896 L
.60996 .54988 L
.61035 .55057 L
.61156 .552 L
.61172 .55217 L
.61294 .55378 L
.61317 .55401 L
.61428 .55538 L
.61477 .55613 L
.61536 .55699 L
.61638 .55826 L
.61648 .55859 L
.61787 .5602 L
.61799 .56028 L
.6193 .5618 L
.61959 .56237 L
.62036 .56341 L
.6212 .56452 L
.62147 .56501 L
.62279 .56662 L
.6228 .56663 L
.62437 .56822 L
.62441 .5686 L
.62537 .56983 L
.62601 .57078 L
.62645 .57143 L
.62762 .57292 L
.62765 .57304 L
.62892 .57464 L
.62922 .57483 L
.6304 .57625 L
.63083 .57702 L
.63143 .57785 L
.63243 .57921 L
.63257 .57946 L
.63382 .58106 L
.63404 .58134 L
.63551 .58267 L
.63564 .58325 L
.63641 .58428 L
.63725 .5855 L
.6375 .58588 L
.63871 .58749 L
.63885 .58767 L
.63992 .58909 L
.64046 .58945 L
.64141 .5907 L
.64206 .5918 L
.64241 .5923 L
.64357 .59391 L
.64367 .59403 L
.64476 .59551 L
.64527 .59619 L
.64646 .59712 L
.64688 .59815 L
.64728 .59872 L
.64837 .60033 L
.64848 .60048 L
.64953 .60193 L
.65009 .60268 L
.65071 .60354 L
.6517 .60467 L
.65202 .60514 L
.65303 .60675 L
.6533 .60712 L
.65414 .60835 L
.65491 .60943 L
.65525 .60996 L
.65632 .61156 L
.65651 .61185 L
.65724 .61317 L
.65651 .61422 L
.6554 .61317 L
.65491 .61271 L
.6538 .61156 L
.6533 .61141 L
.6523 .60996 L
.6517 .60934 L
.65085 .60835 L
.65009 .60746 L
.64929 .60675 L
.64848 .60555 L
.64811 .60514 L
.64688 .60365 L
.64681 .60354 L
.64538 .60193 L
.64527 .6018 L
.64385 .60033 L
.64367 .59981 L
.64275 .59872 L
.64206 .59775 L
.64161 .59712 L
.64046 .59567 L
.64014 .59551 L
.63887 .59391 L
.63885 .59388 L
.63755 .5923 L
.63725 .59179 L
.63642 .5907 L
.63564 .58964 L
.63537 .58909 L
.63404 .58779 L
.63379 .58749 L
.6325 .58588 L
.63243 .58572 L
.63131 .58428 L
.63083 .58357 L
.63024 .58267 L
.62922 .58137 L
.62878 .58106 L
.62762 .57955 L
.62755 .57946 L
.62627 .57785 L
.62601 .57743 L
.62515 .57625 L
.62441 .57524 L
.62414 .57464 L
.6228 .57333 L
.62257 .57304 L
.62128 .57143 L
.6212 .57123 L
.62012 .56983 L
.61959 .56908 L
.61905 .56822 L
.61799 .5669 L
.61761 .56662 L
.61639 .56501 L
.61638 .565 L
.61511 .56341 L
.61477 .56287 L
.614 .5618 L
.61317 .56071 L
.61297 .5602 L
.61156 .55863 L
.61144 .55859 L
.61011 .55699 L
.60996 .55665 L
.60898 .55538 L
.60835 .5545 L
.60791 .55378 L
.60675 .55237 L
.6065 .55217 L
.60528 .55057 L
.60514 .5504 L
.60397 .54896 L
.60354 .54828 L
.60288 .54735 L
.60193 .54614 L
.60181 .54575 L
.60035 .54414 L
.60033 .54412 L
.59896 .54254 L
.59872 .54204 L
.59787 .54093 L
.59712 .5399 L
.59678 .53933 L
.59551 .53781 L
.59541 .53772 L
.59393 .53612 L
.59391 .53579 L
.59285 .53451 L
.5923 .53367 L
.59177 .53291 L
.5907 .53154 L
.59063 .5313 L
.58926 .5297 L
.58909 .52953 L
.58782 .52809 L
.58749 .52743 L
.58676 .52649 L
.58588 .52529 L
.58565 .52488 L
.58433 .52328 L
.58428 .52324 L
.58275 .52167 L
.58267 .52119 L
.58174 .52007 L
.58106 .51905 L
.58066 .51846 L
.57946 .51693 L
.57944 .51686 L
.57818 .51525 L
.57785 .51496 L
.5767 .51364 L
.57625 .51281 L
.57566 .51204 L
.57464 .51066 L
.57452 .51043 L
.57325 .50883 L
.57304 .50873 L
.5716 .50722 L
.57143 .50658 L
.57065 .50562 L
.56983 .50441 L
.56956 .50401 L
.56832 .50241 L
.56822 .50228 L
.56711 .5008 L
.56662 .50038 L
.56561 .4992 L
.56501 .49817 L
.56458 .49759 L
.56341 .496 L
.5634 .49599 L
.56219 .49438 L
.5618 .49421 L
.5605 .49278 L
.5602 .49195 L
.55959 .49117 L
.55859 .48974 L
.55848 .48957 L
.55727 .48796 L
.55699 .48761 L
.55605 .48636 L
.55538 .48576 L
.55456 .48475 L
.55378 .48348 L
.55353 .48314 L
.55235 .48154 L
.55217 .48131 L
.55114 .47993 L
.55057 .4792 L
.54948 .47833 L
.54896 .47723 L
.54857 .47672 L
.54744 .47512 L
.54735 .47501 L
.54624 .47351 L
.54575 .47288 L
.54503 .47191 L
.54414 .47101 L
.5436 .4703 L
.54255 .4687 L
.54254 .46868 L
.54137 .46709 L
.54093 .46654 L
.54017 .46549 L
.53933 .46441 L
.53862 .46388 L
.53772 .46231 L
.5377 .46228 L
.53654 .46067 L
.53612 .46013 L
.53536 .45907 L
.53451 .45797 L
.53415 .45746 L
.53294 .45586 L
.53291 .45581 L
.53181 .45425 L
.5313 .45358 L
.53067 .45265 L
.5297 .45133 L
.5295 .45104 L
.5284 .44943 L
.52809 .44901 L
.52738 .44783 L
.52649 .44646 L
.52637 .44622 L
F
0 .41 1 r
.52649 .46531 m
.52669 .46549 L
.52809 .46676 L
.52838 .46709 L
.5297 .46852 L
.52984 .4687 L
.53123 .4703 L
.5313 .47038 L
.53257 .47191 L
.53291 .47229 L
.5339 .47351 L
.53451 .47423 L
.53523 .47512 L
.53612 .47618 L
.53655 .47672 L
.53772 .47809 L
.53803 .47833 L
.53914 .47993 L
.53933 .48016 L
.54041 .48154 L
.54093 .48218 L
.54168 .48314 L
.54254 .48387 L
.54296 .48475 L
.54414 .4862 L
.5443 .48636 L
.54548 .48796 L
.54575 .48829 L
.54673 .48957 L
.54735 .49035 L
.54798 .49117 L
.54896 .49226 L
.54954 .49278 L
.55048 .49438 L
.55057 .49448 L
.5517 .49599 L
.55217 .49658 L
.55293 .49759 L
.55378 .49827 L
.55418 .4992 L
.55538 .50074 L
.55544 .5008 L
.55661 .50241 L
.55699 .50288 L
.55782 .50401 L
.55859 .50501 L
.55904 .50562 L
.5602 .50707 L
.56035 .50722 L
.56144 .50883 L
.5618 .50929 L
.56262 .51043 L
.56341 .51146 L
.56382 .51204 L
.56501 .51362 L
.56503 .51364 L
.56615 .51525 L
.56662 .51587 L
.56728 .51686 L
.56822 .51813 L
.56844 .51846 L
.5695 .52007 L
.56983 .52052 L
.57042 .52167 L
.56983 .52181 L
.5697 .52167 L
.56822 .52009 L
.5682 .52007 L
.56681 .51846 L
.56662 .51825 L
.56546 .51686 L
.56501 .51636 L
.56411 .51525 L
.56341 .51444 L
.56277 .51364 L
.5618 .51249 L
.56144 .51204 L
.5602 .51055 L
.56006 .51043 L
.55885 .50883 L
.55859 .50852 L
.55757 .50722 L
.55699 .50651 L
.55629 .50562 L
.55538 .50474 L
.555 .50401 L
.55378 .50248 L
.5537 .50241 L
.55248 .5008 L
.55217 .50042 L
.55123 .4992 L
.55057 .49836 L
.54997 .49759 L
.54896 .49641 L
.54851 .49599 L
.54747 .49438 L
.54735 .49423 L
.54625 .49278 L
.54575 .49214 L
.54501 .49117 L
.54414 .49035 L
.54377 .48957 L
.54254 .48797 L
.54253 .48796 L
.54133 .48636 L
.54093 .48585 L
.54012 .48475 L
.53933 .48373 L
.53889 .48314 L
.53772 .48165 L
.53762 .48154 L
.53649 .47993 L
.53612 .47945 L
.53531 .47833 L
.53451 .47729 L
.53411 .47672 L
.53291 .47514 L
.5329 .47512 L
.53178 .47351 L
.5313 .47289 L
.53063 .47191 L
.5297 .47065 L
.52947 .4703 L
.52838 .4687 L
.52809 .4683 L
.52739 .46709 L
.52649 .46566 L
.52642 .46549 L
F
1 .17 0 r
.52649 .47187 m
.52651 .47191 L
.52649 .47206 L
.52644 .47191 L
F
1 .88 .024 r
.52809 .5086 m
.52827 .50883 L
.5297 .51017 L
.53029 .51043 L
.5313 .51192 L
.53145 .51204 L
.53282 .51364 L
.53291 .51375 L
.53416 .51525 L
.53451 .51538 L
.53546 .51686 L
.53612 .51758 L
.53691 .51846 L
.53772 .51977 L
.53792 .52007 L
.53909 .52167 L
.53933 .52202 L
.54019 .52328 L
.54093 .52453 L
.54138 .52488 L
.54149 .52649 L
.54093 .52664 L
.54062 .52649 L
.53933 .52556 L
.53866 .52488 L
.53772 .52432 L
.53718 .52328 L
.53612 .52219 L
.53582 .52167 L
.53451 .52008 L
.5345 .52007 L
.53328 .51846 L
.53291 .51799 L
.53207 .51686 L
.5313 .51587 L
.53085 .51525 L
.5297 .51377 L
.5296 .51364 L
.52855 .51204 L
.52809 .51138 L
.5275 .51043 L
.52653 .50883 L
F
1 .97 .395 r
.52809 .53056 m
.5297 .53051 L
.5313 .5311 L
.5315 .5313 L
.53291 .53281 L
.53293 .53291 L
.53427 .53451 L
.53451 .53488 L
.53575 .53612 L
.53612 .53697 L
.53681 .53772 L
.53772 .53904 L
.53793 .53933 L
.53925 .54093 L
.53933 .54098 L
.54085 .54254 L
.54093 .54303 L
.54183 .54414 L
.54254 .54518 L
.54292 .54575 L
.54414 .54732 L
.54415 .54735 L
.54538 .54896 L
.54575 .54944 L
.54686 .55057 L
.54735 .55127 L
.54787 .55217 L
.54896 .55365 L
.54901 .55378 L
.55019 .55538 L
.55057 .55592 L
.55179 .55699 L
.55217 .55851 L
.55223 .55859 L
.55217 .55924 L
.55057 .55911 L
.54896 .55887 L
.54856 .55859 L
.54735 .55754 L
.54699 .55699 L
.54575 .55575 L
.54544 .55538 L
.54414 .55379 L
.54413 .55378 L
.54281 .55217 L
.54254 .55166 L
.54167 .55057 L
.54093 .54944 L
.54063 .54896 L
.53933 .54768 L
.53907 .54735 L
.53779 .54575 L
.53772 .54559 L
.53661 .54414 L
.53612 .54345 L
.53554 .54254 L
.53451 .54132 L
.53412 .54093 L
.53291 .53933 L
.53291 .53933 L
.53163 .53772 L
.5313 .53738 L
.53054 .53612 L
.5297 .5353 L
.52951 .53451 L
.5281 .53291 L
.52809 .53289 L
.52687 .5313 L
F
.003 .81 1 r
.52809 .53534 m
.52891 .53612 L
.5297 .5369 L
.5304 .53772 L
.5313 .53875 L
.53175 .53933 L
.53291 .54061 L
.53305 .54093 L
.53426 .54254 L
.53451 .54287 L
.53541 .54414 L
.53612 .54512 L
.53654 .54575 L
.53759 .54735 L
.53772 .54758 L
.53824 .54896 L
.53772 .54913 L
.5375 .54896 L
.53612 .54777 L
.53571 .54735 L
.53451 .54624 L
.53421 .54575 L
.53291 .54427 L
.53275 .54414 L
.5315 .54254 L
.5313 .5423 L
.53024 .54093 L
.5297 .54022 L
.52903 .53933 L
.52809 .538 L
.52765 .53772 L
.52697 .53612 L
F
1 .96 .289 r
.52809 .53074 m
.5297 .53066 L
.53128 .5313 L
.5313 .53132 L
.53289 .53291 L
.53291 .53293 L
.53421 .53451 L
.53451 .53496 L
.53571 .53612 L
.53612 .53703 L
.53677 .53772 L
.53772 .53908 L
.53791 .53933 L
.53921 .54093 L
.53933 .541 L
.54084 .54254 L
.54093 .54306 L
.5418 .54414 L
.54254 .54522 L
.54289 .54575 L
.54413 .54735 L
.54414 .54737 L
.54534 .54896 L
.54575 .5495 L
.54681 .55057 L
.54735 .55136 L
.54781 .55217 L
.54895 .55378 L
.54896 .55378 L
.55008 .55538 L
.55057 .55611 L
.5516 .55699 L
.55177 .55859 L
.55057 .55892 L
.54914 .55859 L
.54896 .55848 L
.54735 .55725 L
.54717 .55699 L
.54575 .55555 L
.54561 .55538 L
.54425 .55378 L
.54414 .55362 L
.54288 .55217 L
.54254 .55153 L
.54174 .55057 L
.54093 .54936 L
.54067 .54896 L
.53933 .54761 L
.53913 .54735 L
.53781 .54575 L
.53772 .54552 L
.53666 .54414 L
.53612 .5434 L
.53558 .54254 L
.53451 .54127 L
.53417 .54093 L
.53295 .53933 L
.53291 .5393 L
.53167 .53772 L
.5313 .53733 L
.53059 .53612 L
.5297 .5352 L
.52954 .53451 L
.52821 .53291 L
.52809 .5327 L
.52709 .5313 L
F
.002 .8 1 r
.52809 .53548 m
.52878 .53612 L
.5297 .53701 L
.53032 .53772 L
.5313 .53884 L
.53169 .53933 L
.53291 .54075 L
.53298 .54093 L
.53418 .54254 L
.53451 .54297 L
.53533 .54414 L
.53612 .54524 L
.53645 .54575 L
.53744 .54735 L
.53612 .54761 L
.53586 .54735 L
.53451 .54607 L
.53432 .54575 L
.53291 .54414 L
.53291 .54414 L
.53159 .54254 L
.5313 .54219 L
.53033 .54093 L
.5297 .54011 L
.52912 .53933 L
.52809 .53786 L
.52788 .53772 L
.52711 .53612 L
F
.001 .79 1 r
.52809 .53564 m
.52864 .53612 L
.5297 .53712 L
.53023 .53772 L
.5313 .53894 L
.53161 .53933 L
.53291 .54091 L
.53292 .54093 L
.5341 .54254 L
.53451 .54308 L
.53524 .54414 L
.53612 .54538 L
.53635 .54575 L
.53725 .54735 L
.53612 .54744 L
.53603 .54735 L
.53451 .54588 L
.53444 .54575 L
.53302 .54414 L
.53291 .54402 L
.53169 .54254 L
.5313 .54207 L
.53041 .54093 L
.5297 .53999 L
.52921 .53933 L
.52811 .53772 L
.52809 .5377 L
.52728 .53612 L
F
1 .95 .212 r
.52809 .53093 m
.5297 .53081 L
.53103 .5313 L
.5313 .53146 L
.5328 .53291 L
.53291 .53308 L
.53415 .53451 L
.53451 .53504 L
.53568 .53612 L
.53612 .53708 L
.53673 .53772 L
.53772 .53911 L
.53789 .53933 L
.53918 .54093 L
.53933 .54102 L
.54082 .54254 L
.54093 .5431 L
.54177 .54414 L
.54254 .54527 L
.54286 .54575 L
.5441 .54735 L
.54414 .54742 L
.5453 .54896 L
.54575 .54956 L
.54677 .55057 L
.54735 .55145 L
.54775 .55217 L
.54887 .55378 L
.54896 .5539 L
.54997 .55538 L
.55057 .55632 L
.55134 .55699 L
.55111 .55859 L
.55057 .55873 L
.54988 .55859 L
.54896 .55816 L
.54735 .55699 L
.54735 .55699 L
.54577 .55538 L
.54575 .55536 L
.54436 .55378 L
.54414 .55347 L
.54295 .55217 L
.54254 .55142 L
.54181 .55057 L
.54093 .54929 L
.54071 .54896 L
.53933 .54754 L
.53918 .54735 L
.53784 .54575 L
.53772 .54546 L
.5367 .54414 L
.53612 .54334 L
.53562 .54254 L
.53451 .54122 L
.53421 .54093 L
.533 .53933 L
.53291 .53928 L
.53171 .53772 L
.5313 .53728 L
.53065 .53612 L
.5297 .53509 L
.52958 .53451 L
.52832 .53291 L
.52809 .53248 L
.52739 .5313 L
F
1 .73 0 r
.52809 .46005 m
.52868 .46067 L
.5297 .4617 L
.53021 .46228 L
.5313 .46318 L
.53166 .46388 L
.53291 .46527 L
.53323 .46549 L
.53443 .46709 L
.53451 .46719 L
.53578 .4687 L
.53612 .46909 L
.53712 .4703 L
.53772 .47086 L
.53845 .47191 L
.53933 .47295 L
.53991 .47351 L
.54093 .47496 L
.54107 .47512 L
.54236 .47672 L
.54254 .47677 L
.54365 .47833 L
.54414 .47886 L
.5453 .47993 L
.54575 .48095 L
.54626 .48154 L
.54735 .48299 L
.54746 .48314 L
.54875 .48475 L
.54896 .48491 L
.55002 .48636 L
.55057 .487 L
.55143 .48796 L
.55217 .4891 L
.55253 .48957 L
.55378 .49115 L
.55379 .49117 L
.55505 .49278 L
.55538 .49312 L
.55661 .49438 L
.55699 .49524 L
.5576 .49599 L
.55859 .49734 L
.55875 .49759 L
.56004 .4992 L
.5602 .4993 L
.56128 .5008 L
.5618 .5014 L
.56267 .50241 L
.56341 .50354 L
.56375 .50401 L
.565 .50562 L
.56501 .50563 L
.56623 .50722 L
.56662 .50759 L
.56778 .50883 L
.56822 .50976 L
.56876 .51043 L
.56983 .5119 L
.56992 .51204 L
.57116 .51364 L
.57143 .51379 L
.57239 .51525 L
.57304 .51599 L
.57377 .51686 L
.57464 .51817 L
.57485 .51846 L
.57607 .52007 L
.57625 .5203 L
.57728 .52167 L
.57785 .52221 L
.57882 .52328 L
.57946 .52447 L
.57978 .52488 L
.58094 .52649 L
.58106 .52664 L
.58214 .52809 L
.58267 .52838 L
.58335 .5297 L
.58428 .5308 L
.58468 .5313 L
.58578 .53291 L
.58588 .53304 L
.58696 .53451 L
.58749 .5352 L
.58815 .53612 L
.58909 .53718 L
.58954 .53772 L
.59054 .53933 L
.5907 .53953 L
.59169 .54093 L
.5923 .54174 L
.59287 .54254 L
.59391 .54395 L
.59422 .54414 L
.59516 .54575 L
.59551 .54622 L
.59626 .54735 L
.59712 .54855 L
.59738 .54896 L
.59841 .55057 L
.59872 .55104 L
.59927 .55217 L
.59872 .55248 L
.59841 .55217 L
.59712 .55091 L
.59681 .55057 L
.59551 .54929 L
.59533 .54896 L
.59391 .54735 L
.59391 .54735 L
.59254 .54575 L
.5923 .54549 L
.59118 .54414 L
.5907 .54359 L
.58983 .54254 L
.58909 .54179 L
.58849 .54093 L
.58749 .53973 L
.58708 .53933 L
.58588 .53774 L
.58587 .53772 L
.58457 .53612 L
.58428 .53594 L
.58328 .53451 L
.58267 .53383 L
.58171 .53291 L
.58106 .53175 L
.58068 .5313 L
.57946 .52972 L
.57944 .5297 L
.57817 .52809 L
.57785 .5278 L
.57634 .52649 L
.57625 .5257 L
.57552 .52488 L
.57464 .52361 L
.5744 .52328 L
.57312 .52167 L
.57304 .52164 L
.57187 .52007 L
.57143 .51959 L
.57036 .51846 L
.56983 .51746 L
.56934 .51686 L
.56822 .51537 L
.56815 .51525 L
.56688 .51364 L
.56662 .51343 L
.56514 .51204 L
.56501 .5113 L
.56428 .51043 L
.56341 .50916 L
.56317 .50883 L
.56192 .50722 L
.5618 .50721 L
.56069 .50562 L
.5602 .50511 L
.55919 .50401 L
.55859 .50294 L
.55817 .50241 L
.55699 .50082 L
.55698 .5008 L
.55575 .4992 L
.55538 .49893 L
.55403 .49759 L
.55378 .49671 L
.55318 .49599 L
.55217 .49454 L
.55206 .49438 L
.55085 .49278 L
.55057 .49242 L
.54963 .49117 L
.54896 .49048 L
.54816 .48957 L
.54735 .48824 L
.54715 .48796 L
.54596 .48636 L
.54575 .48608 L
.54476 .48475 L
.54414 .48428 L
.54308 .48314 L
.54254 .4819 L
.54225 .48154 L
.54112 .47993 L
.54093 .47969 L
.53993 .47833 L
.53933 .47754 L
.53873 .47672 L
.53772 .47551 L
.5374 .47512 L
.53634 .47351 L
.53612 .47322 L
.53518 .47191 L
.53451 .47103 L
.534 .4703 L
.53291 .46894 L
.5327 .4687 L
.53169 .46709 L
.5313 .46658 L
.53057 .46549 L
.5297 .46428 L
.52943 .46388 L
.52836 .46228 L
.52809 .46189 L
.52741 .46067 L
F
.001 .78 1 r
.52809 .53582 m
.52846 .53612 L
.5297 .53723 L
.53013 .53772 L
.5313 .53903 L
.53154 .53933 L
.53284 .54093 L
.53291 .54102 L
.53401 .54254 L
.53451 .5432 L
.53515 .54414 L
.53612 .54553 L
.53625 .54575 L
.53612 .54723 L
.53457 .54575 L
.53451 .54569 L
.53313 .54414 L
.53291 .5439 L
.53178 .54254 L
.5313 .54196 L
.53051 .54093 L
.5297 .53987 L
.5293 .53933 L
.52823 .53772 L
.52809 .53748 L
.52748 .53612 L
F
0 .4 1 r
.52809 .46686 m
.5283 .46709 L
.5297 .46859 L
.52979 .4687 L
.53117 .4703 L
.5313 .47044 L
.53252 .47191 L
.53291 .47234 L
.53386 .47351 L
.53451 .47427 L
.53519 .47512 L
.53612 .47622 L
.53652 .47672 L
.53772 .47814 L
.53797 .47833 L
.53911 .47993 L
.53933 .4802 L
.54038 .48154 L
.54093 .48221 L
.54166 .48314 L
.54254 .48391 L
.54294 .48475 L
.54414 .48624 L
.54426 .48636 L
.54546 .48796 L
.54575 .48832 L
.5467 .48957 L
.54735 .49038 L
.54796 .49117 L
.54896 .49229 L
.5495 .49278 L
.55046 .49438 L
.55057 .49451 L
.55168 .49599 L
.55217 .49661 L
.55291 .49759 L
.55378 .49831 L
.55415 .4992 L
.55538 .50078 L
.5554 .5008 L
.55659 .50241 L
.55699 .50291 L
.5578 .50401 L
.55859 .50504 L
.55902 .50562 L
.5602 .50712 L
.5603 .50722 L
.56141 .50883 L
.5618 .50933 L
.56259 .51043 L
.56341 .5115 L
.56379 .51204 L
.56499 .51364 L
.56501 .51367 L
.5661 .51525 L
.56662 .51593 L
.56724 .51686 L
.56822 .5182 L
.56839 .51846 L
.56822 .52001 L
.56688 .51846 L
.56662 .51819 L
.56551 .51686 L
.56501 .51631 L
.56415 .51525 L
.56341 .51439 L
.5628 .51364 L
.5618 .51245 L
.56147 .51204 L
.5602 .5105 L
.56012 .51043 L
.55888 .50883 L
.55859 .50848 L
.5576 .50722 L
.55699 .50648 L
.55631 .50562 L
.55538 .50469 L
.55503 .50401 L
.55378 .50244 L
.55374 .50241 L
.55251 .5008 L
.55217 .50039 L
.55126 .4992 L
.55057 .49833 L
.55 .49759 L
.54896 .49638 L
.54854 .49599 L
.5475 .49438 L
.54735 .4942 L
.54627 .49278 L
.54575 .49212 L
.54504 .49117 L
.54414 .49031 L
.54379 .48957 L
.54256 .48796 L
.54254 .48794 L
.54136 .48636 L
.54093 .48582 L
.54014 .48475 L
.53933 .4837 L
.53892 .48314 L
.53772 .4816 L
.53767 .48154 L
.53652 .47993 L
.53612 .47941 L
.53534 .47833 L
.53451 .47725 L
.53413 .47672 L
.53293 .47512 L
.53291 .47508 L
.53181 .47351 L
.5313 .47284 L
.53067 .47191 L
.5297 .47058 L
.52951 .4703 L
.52845 .4687 L
.52809 .4682 L
.52749 .46709 L
F
.114 .93 1 r
.52809 .45342 m
.52895 .45425 L
.5297 .45497 L
.53053 .45586 L
.5313 .45666 L
.53203 .45746 L
.53291 .45837 L
.53347 .45907 L
.53451 .46028 L
.53496 .46067 L
.53612 .46216 L
.53622 .46228 L
.5376 .46388 L
.53772 .46398 L
.53895 .46549 L
.53933 .46595 L
.54052 .46709 L
.54093 .46795 L
.54157 .4687 L
.54254 .46996 L
.54276 .4703 L
.54414 .47189 L
.5442 .47191 L
.54549 .47351 L
.54575 .47386 L
.54682 .47512 L
.54735 .47592 L
.54794 .47672 L
.54896 .478 L
.54906 .47833 L
.55057 .4799 L
.55059 .47993 L
.55196 .48154 L
.55217 .48196 L
.55308 .48314 L
.55378 .48408 L
.55417 .48475 L
.55538 .48618 L
.55565 .48636 L
.55698 .48796 L
.55699 .48809 L
.55817 .48957 L
.55859 .49019 L
.55927 .49117 L
.5602 .49233 L
.56032 .49278 L
.5618 .49436 L
.56189 .49438 L
.56321 .49599 L
.56341 .49636 L
.56433 .49759 L
.56501 .49849 L
.5654 .4992 L
.56662 .50061 L
.56687 .5008 L
.5682 .50241 L
.56822 .50257 L
.56937 .50401 L
.56983 .50469 L
.57046 .50562 L
.57143 .50682 L
.57151 .50722 L
.57304 .50882 L
.57305 .50883 L
.57439 .51043 L
.57464 .5109 L
.57549 .51204 L
.57625 .51304 L
.57657 .51364 L
.57785 .51513 L
.578 .51525 L
.5794 .51686 L
.57946 .51714 L
.58051 .51846 L
.58106 .51926 L
.5816 .52007 L
.58267 .52139 L
.58271 .52167 L
.58416 .52328 L
.58428 .5234 L
.58553 .52488 L
.58588 .5255 L
.58661 .52649 L
.58749 .52764 L
.58771 .52809 L
.58908 .5297 L
.58909 .5297 L
.59057 .5313 L
.5907 .53175 L
.59161 .53291 L
.5923 .53389 L
.5927 .53451 L
.59391 .53601 L
.59391 .53612 L
.59522 .53772 L
.59551 .538 L
.59663 .53933 L
.59712 .54015 L
.59769 .54093 L
.59872 .5423 L
.59884 .54254 L
.60012 .54414 L
.60033 .54425 L
.6017 .54575 L
.60193 .54641 L
.60267 .54735 L
.60354 .54859 L
.60377 .54896 L
.60501 .55057 L
.60514 .55073 L
.60622 .55217 L
.60675 .55266 L
.60766 .55378 L
.60835 .5549 L
.60869 .55538 L
.60988 .55699 L
.60996 .55708 L
.61108 .55859 L
.61156 .55887 L
.61269 .5602 L
.61317 .56124 L
.61359 .5618 L
.61471 .56341 L
.61477 .56349 L
.61589 .56501 L
.61638 .56565 L
.61708 .56662 L
.61799 .56763 L
.61843 .56822 L
.61947 .56983 L
.61959 .56999 L
.62062 .57143 L
.6212 .57221 L
.62178 .57304 L
.6228 .57443 L
.62309 .57464 L
.62406 .57625 L
.62441 .57672 L
.62515 .57785 L
.62601 .57909 L
.62625 .57946 L
.62723 .58106 L
.62762 .58169 L
.62802 .58267 L
.62762 .58303 L
.6272 .58267 L
.62601 .58162 L
.62547 .58106 L
.62441 .58026 L
.62394 .57946 L
.6228 .57826 L
.62206 .57785 L
.6212 .5764 L
.62103 .57625 L
.61968 .57464 L
.61959 .57455 L
.61831 .57304 L
.61799 .57274 L
.61696 .57143 L
.61638 .57074 L
.61543 .56983 L
.61477 .56874 L
.61433 .56822 L
.61317 .56676 L
.61308 .56662 L
.61171 .56501 L
.61156 .56485 L
.61009 .56341 L
.60996 .56281 L
.60909 .5618 L
.60835 .56075 L
.60796 .5602 L
.60675 .55872 L
.60674 .55859 L
.60532 .55699 L
.60514 .55677 L
.60393 .55538 L
.60354 .55469 L
.60283 .55378 L
.60193 .55259 L
.60171 .55217 L
.60033 .55059 L
.60028 .55057 L
.59883 .54896 L
.59872 .54856 L
.59774 .54735 L
.59712 .54645 L
.59664 .54575 L
.59551 .54435 L
.59551 .54414 L
.59404 .54254 L
.59391 .54238 L
.59268 .54093 L
.5923 .54028 L
.59159 .53933 L
.5907 .53816 L
.59048 .53772 L
.58909 .53613 L
.58907 .53612 L
.58762 .53451 L
.58749 .53408 L
.58655 .53291 L
.58588 .53195 L
.58545 .5313 L
.58428 .52986 L
.58411 .5297 L
.58288 .52809 L
.58267 .52785 L
.58151 .52649 L
.58106 .52574 L
.58043 .52488 L
.57946 .52361 L
.5793 .52328 L
.57794 .52167 L
.57785 .52159 L
.57645 .52007 L
.57625 .51951 L
.57541 .51846 L
.57464 .51738 L
.57431 .51686 L
.57304 .51529 L
.573 .51525 L
.57178 .51364 L
.57143 .51328 L
.57038 .51204 L
.56983 .51114 L
.56931 .51043 L
.56822 .50901 L
.56814 .50883 L
.56685 .50722 L
.56662 .50704 L
.56531 .50562 L
.56501 .5049 L
.56431 .50401 L
.56341 .50274 L
.56319 .50241 L
.56193 .5008 L
.5618 .50077 L
.56071 .4992 L
.5602 .49867 L
.5593 .49759 L
.55859 .49648 L
.55823 .49599 L
.55702 .49438 L
.55699 .49434 L
.55581 .49278 L
.55538 .49246 L
.55424 .49117 L
.55378 .49022 L
.55327 .48957 L
.55217 .48804 L
.55212 .48796 L
.55091 .48636 L
.55057 .48591 L
.5497 .48475 L
.54896 .48397 L
.54829 .48314 L
.54735 .48172 L
.54722 .48154 L
.54603 .47993 L
.54575 .47957 L
.54483 .47833 L
.54414 .47775 L
.54329 .47672 L
.54254 .47538 L
.54234 .47512 L
.54119 .47351 L
.54093 .47318 L
.54 .47191 L
.53933 .47103 L
.5388 .4703 L
.53772 .46898 L
.53751 .4687 L
.5364 .46709 L
.53612 .46672 L
.53524 .46549 L
.53451 .46452 L
.53406 .46388 L
.53291 .46238 L
.53283 .46228 L
.53175 .46067 L
.5313 .46007 L
.53063 .45907 L
.5297 .45776 L
.5295 .45746 L
.52845 .45586 L
.52809 .45532 L
.52751 .45425 L
F
1 .72 0 r
.52809 .46024 m
.52852 .46067 L
.5297 .46183 L
.5301 .46228 L
.5313 .46334 L
.53157 .46388 L
.53291 .46537 L
.53308 .46549 L
.53436 .46709 L
.53451 .46726 L
.53572 .4687 L
.53612 .46916 L
.53707 .4703 L
.53772 .47091 L
.5384 .47191 L
.53933 .473 L
.53986 .47351 L
.54093 .47501 L
.54103 .47512 L
.54232 .47672 L
.54254 .47679 L
.54362 .47833 L
.54414 .4789 L
.54528 .47993 L
.54575 .48098 L
.54623 .48154 L
.54735 .48303 L
.54744 .48314 L
.54873 .48475 L
.54896 .48494 L
.54999 .48636 L
.55057 .48703 L
.55141 .48796 L
.55217 .48913 L
.5525 .48957 L
.55378 .49117 L
.55378 .49117 L
.55503 .49278 L
.55538 .49314 L
.5566 .49438 L
.55699 .49526 L
.55758 .49599 L
.55859 .49736 L
.55874 .49759 L
.56002 .4992 L
.5602 .49931 L
.56126 .5008 L
.5618 .50143 L
.56265 .50241 L
.56341 .50357 L
.56373 .50401 L
.56498 .50562 L
.56501 .50565 L
.56621 .50722 L
.56662 .50761 L
.56776 .50883 L
.56822 .50978 L
.56874 .51043 L
.56983 .51192 L
.5699 .51204 L
.57114 .51364 L
.57143 .5138 L
.57237 .51525 L
.57304 .51601 L
.57375 .51686 L
.57464 .5182 L
.57483 .51846 L
.57604 .52007 L
.57625 .52033 L
.57726 .52167 L
.57785 .52224 L
.57879 .52328 L
.57946 .5245 L
.57975 .52488 L
.58092 .52649 L
.58106 .52667 L
.58212 .52809 L
.58267 .52841 L
.58333 .5297 L
.58428 .53084 L
.58465 .5313 L
.58575 .53291 L
.58588 .53308 L
.58693 .53451 L
.58749 .53524 L
.58812 .53612 L
.58909 .53724 L
.58949 .53772 L
.5905 .53933 L
.5907 .53958 L
.59165 .54093 L
.5923 .5418 L
.59282 .54254 L
.59391 .54401 L
.59412 .54414 L
.5951 .54575 L
.59551 .54631 L
.5962 .54735 L
.59712 .54867 L
.5973 .54896 L
.59827 .55057 L
.59872 .55131 L
.59896 .55217 L
.59872 .55223 L
.59866 .55217 L
.59712 .55076 L
.59693 .55057 L
.59551 .54912 L
.59542 .54896 L
.59399 .54735 L
.59391 .54726 L
.59261 .54575 L
.5923 .54541 L
.59124 .54414 L
.5907 .54352 L
.58988 .54254 L
.58909 .54173 L
.58854 .54093 L
.58749 .53967 L
.58713 .53933 L
.58591 .53772 L
.58588 .53769 L
.58461 .53612 L
.58428 .53592 L
.58331 .53451 L
.58267 .53379 L
.58174 .53291 L
.58106 .53171 L
.58071 .5313 L
.57946 .5297 L
.57946 .52969 L
.5782 .52809 L
.57785 .52778 L
.57635 .52649 L
.57625 .52567 L
.57555 .52488 L
.57464 .52358 L
.57442 .52328 L
.57315 .52167 L
.57304 .52163 L
.5719 .52007 L
.57143 .51956 L
.57038 .51846 L
.56983 .51744 L
.56936 .51686 L
.56822 .51535 L
.56816 .51525 L
.5669 .51364 L
.56662 .51341 L
.56515 .51204 L
.56501 .51127 L
.5643 .51043 L
.56341 .50914 L
.56318 .50883 L
.56193 .50722 L
.5618 .50721 L
.5607 .50562 L
.5602 .50509 L
.55921 .50401 L
.55859 .50292 L
.55819 .50241 L
.55699 .5008 L
.55699 .5008 L
.55577 .4992 L
.55538 .49891 L
.55404 .49759 L
.55378 .49669 L
.5532 .49599 L
.55217 .49451 L
.55208 .49438 L
.55087 .49278 L
.55057 .49239 L
.54965 .49117 L
.54896 .49045 L
.54818 .48957 L
.54735 .48821 L
.54717 .48796 L
.54599 .48636 L
.54575 .48605 L
.54478 .48475 L
.54414 .48425 L
.54311 .48314 L
.54254 .48187 L
.54228 .48154 L
.54115 .47993 L
.54093 .47966 L
.53996 .47833 L
.53933 .4775 L
.53876 .47672 L
.53772 .47546 L
.53744 .47512 L
.53638 .47351 L
.53612 .47317 L
.53522 .47191 L
.53451 .47097 L
.53404 .4703 L
.53291 .46884 L
.53279 .4687 L
.53174 .46709 L
.5313 .4665 L
.53063 .46549 L
.5297 .46419 L
.5295 .46388 L
.52847 .46228 L
.52809 .46171 L
.52757 .46067 L
F
0 .39 1 r
.52809 .46697 m
.5282 .46709 L
.5297 .46866 L
.52973 .4687 L
.53111 .4703 L
.5313 .4705 L
.53247 .47191 L
.53291 .47239 L
.53382 .47351 L
.53451 .47432 L
.53516 .47512 L
.53612 .47626 L
.53649 .47672 L
.53772 .47819 L
.5379 .47833 L
.53907 .47993 L
.53933 .48024 L
.54035 .48154 L
.54093 .48225 L
.54163 .48314 L
.54254 .48396 L
.54292 .48475 L
.54414 .48628 L
.54422 .48636 L
.54543 .48796 L
.54575 .48835 L
.54668 .48957 L
.54735 .49041 L
.54794 .49117 L
.54896 .49233 L
.54946 .49278 L
.55044 .49438 L
.55057 .49454 L
.55165 .49599 L
.55217 .49663 L
.55289 .49759 L
.55378 .49836 L
.55413 .4992 L
.55537 .5008 L
.55538 .50082 L
.55656 .50241 L
.55699 .50295 L
.55777 .50401 L
.55859 .50507 L
.559 .50562 L
.5602 .50717 L
.56025 .50722 L
.56138 .50883 L
.5618 .50937 L
.56256 .51043 L
.56341 .51154 L
.56376 .51204 L
.56496 .51364 L
.56501 .51372 L
.56606 .51525 L
.56662 .51599 L
.56719 .51686 L
.56822 .51827 L
.56835 .51846 L
.56822 .51992 L
.56695 .51846 L
.56662 .51812 L
.56556 .51686 L
.56501 .51625 L
.56419 .51525 L
.56341 .51434 L
.56284 .51364 L
.5618 .51241 L
.56151 .51204 L
.5602 .51045 L
.56018 .51043 L
.55891 .50883 L
.55859 .50845 L
.55763 .50722 L
.55699 .50644 L
.55634 .50562 L
.55538 .50465 L
.55505 .50401 L
.55378 .50241 L
.55378 .50241 L
.55254 .5008 L
.55217 .50035 L
.55128 .4992 L
.55057 .4983 L
.55002 .49759 L
.54896 .49634 L
.54858 .49599 L
.54752 .49438 L
.54735 .49417 L
.5463 .49278 L
.54575 .49209 L
.54506 .49117 L
.54414 .49027 L
.54381 .48957 L
.54258 .48796 L
.54254 .48791 L
.54138 .48636 L
.54093 .48578 L
.54017 .48475 L
.53933 .48367 L
.53894 .48314 L
.53772 .48155 L
.53771 .48154 L
.53655 .47993 L
.53612 .47938 L
.53537 .47833 L
.53451 .47721 L
.53416 .47672 L
.53297 .47512 L
.53291 .47504 L
.53185 .47351 L
.5313 .47278 L
.53071 .47191 L
.5297 .47052 L
.52955 .4703 L
.52853 .4687 L
.52809 .46808 L
.52761 .46709 L
F
1 .87 .018 r
.52809 .50892 m
.5297 .51037 L
.52985 .51043 L
.53128 .51204 L
.5313 .51206 L
.53269 .51364 L
.53291 .51389 L
.53405 .51525 L
.53451 .51545 L
.53536 .51686 L
.53612 .51771 L
.5368 .51846 L
.53772 .51992 L
.53782 .52007 L
.53897 .52167 L
.53933 .52219 L
.54005 .52328 L
.54093 .52484 L
.54098 .52488 L
.54093 .52628 L
.53933 .5254 L
.5388 .52488 L
.53772 .52417 L
.53728 .52328 L
.53612 .52207 L
.53589 .52167 L
.53459 .52007 L
.53451 .51998 L
.53336 .51846 L
.53291 .5179 L
.53214 .51686 L
.5313 .51577 L
.53093 .51525 L
.52973 .51364 L
.5297 .5136 L
.52866 .51204 L
.52809 .51121 L
.52763 .51043 L
F
.733 .99 1 r
.52809 .5036 m
.52886 .50401 L
.5297 .50449 L
.53115 .50562 L
.5313 .50573 L
.53291 .50716 L
.53298 .50722 L
.53451 .50875 L
.5346 .50883 L
.53608 .51043 L
.53612 .51049 L
.53745 .51204 L
.53772 .51245 L
.53847 .51364 L
.53933 .5142 L
.54021 .51525 L
.54093 .51618 L
.54149 .51686 L
.54254 .51822 L
.54274 .51846 L
.54395 .52007 L
.54414 .52032 L
.54495 .52167 L
.54575 .5225 L
.54645 .52328 L
.54735 .52467 L
.54761 .52488 L
.54877 .52649 L
.54896 .52692 L
.54946 .52809 L
.54896 .52945 L
.54735 .52933 L
.54575 .52819 L
.54562 .52809 L
.54428 .52649 L
.54414 .52641 L
.54301 .52488 L
.54254 .52447 L
.54175 .52328 L
.54093 .52236 L
.54022 .52167 L
.53933 .5202 L
.53921 .52007 L
.53802 .51846 L
.53772 .51808 L
.53681 .51686 L
.53612 .51598 L
.53558 .51525 L
.53451 .514 L
.53424 .51364 L
.53313 .51204 L
.53291 .51175 L
.53195 .51043 L
.5313 .50959 L
.53076 .50883 L
.5297 .50741 L
.52941 .50722 L
.52849 .50562 L
.52809 .505 L
.52767 .50401 L
F
.033 .89 1 r
.52809 .56498 m
.52812 .56501 L
.52809 .56579 L
.52771 .56501 L
F
0 .6 1 r
.52809 .51548 m
.52918 .51686 L
.5297 .5175 L
.53039 .51846 L
.5313 .51979 L
.53147 .52007 L
.5313 .52084 L
.53052 .52007 L
.5297 .51925 L
.52906 .51846 L
.52809 .51732 L
.52775 .51686 L
F
.001 .77 1 r
.52809 .53603 m
.52822 .53612 L
.5297 .53735 L
.53003 .53772 L
.5313 .53913 L
.53146 .53933 L
.53275 .54093 L
.53291 .54113 L
.53392 .54254 L
.53451 .54332 L
.53506 .54414 L
.53612 .54571 L
.53614 .54575 L
.53612 .54697 L
.53475 .54575 L
.53451 .54553 L
.53325 .54414 L
.53291 .54377 L
.53189 .54254 L
.5313 .54183 L
.5306 .54093 L
.5297 .53973 L
.5294 .53933 L
.52837 .53772 L
.52809 .53721 L
.52778 .53612 L
F
1 .86 .013 r
.52809 .50921 m
.52954 .51043 L
.5297 .51057 L
.53112 .51204 L
.5313 .51222 L
.53257 .51364 L
.53291 .51403 L
.53393 .51525 L
.53451 .51554 L
.53525 .51686 L
.53612 .51785 L
.53668 .51846 L
.53771 .52007 L
.53772 .52008 L
.53886 .52167 L
.53933 .52238 L
.53992 .52328 L
.54074 .52488 L
.53933 .52523 L
.53896 .52488 L
.53772 .52399 L
.53738 .52328 L
.53612 .52193 L
.53597 .52167 L
.53467 .52007 L
.53451 .51988 L
.53343 .51846 L
.53291 .5178 L
.53221 .51686 L
.5313 .51567 L
.531 .51525 L
.52983 .51364 L
.5297 .51346 L
.52878 .51204 L
.52809 .51099 L
.52778 .51043 L
F
1 .71 0 r
.52809 .46048 m
.52831 .46067 L
.5297 .46197 L
.52998 .46228 L
.5313 .46351 L
.53148 .46388 L
.53291 .46548 L
.53292 .46549 L
.53429 .46709 L
.53451 .46733 L
.53566 .4687 L
.53612 .46922 L
.53702 .4703 L
.53772 .47097 L
.53836 .47191 L
.53933 .47306 L
.53981 .47351 L
.54093 .47505 L
.54099 .47512 L
.54228 .47672 L
.54254 .4768 L
.54358 .47833 L
.54414 .47894 L
.54525 .47993 L
.54575 .48102 L
.5462 .48154 L
.54735 .48306 L
.54741 .48314 L
.5487 .48475 L
.54896 .48496 L
.54997 .48636 L
.55057 .48706 L
.55139 .48796 L
.55217 .48916 L
.55248 .48957 L
.55375 .49117 L
.55378 .4912 L
.555 .49278 L
.55538 .49317 L
.55658 .49438 L
.55699 .49529 L
.55756 .49599 L
.55859 .49739 L
.55872 .49759 L
.56 .4992 L
.5602 .49933 L
.56124 .5008 L
.5618 .50145 L
.56264 .50241 L
.56341 .50359 L
.56372 .50401 L
.56496 .50562 L
.56501 .50568 L
.56619 .50722 L
.56662 .50763 L
.56775 .50883 L
.56822 .50981 L
.56872 .51043 L
.56983 .51194 L
.56989 .51204 L
.57112 .51364 L
.57143 .51381 L
.57235 .51525 L
.57304 .51604 L
.57373 .51686 L
.57464 .51823 L
.57481 .51846 L
.57602 .52007 L
.57625 .52035 L
.57724 .52167 L
.57785 .52226 L
.57877 .52328 L
.57946 .52453 L
.57973 .52488 L
.5809 .52649 L
.58106 .5267 L
.58209 .52809 L
.58267 .52844 L
.58331 .5297 L
.58428 .53088 L
.58462 .5313 L
.58572 .53291 L
.58588 .53312 L
.5869 .53451 L
.58749 .53528 L
.58809 .53612 L
.58909 .5373 L
.58944 .53772 L
.59046 .53933 L
.5907 .53964 L
.59161 .54093 L
.5923 .54186 L
.59278 .54254 L
.59391 .54408 L
.59401 .54414 L
.59504 .54575 L
.59551 .54641 L
.59612 .54735 L
.59712 .54879 L
.59722 .54896 L
.5981 .55057 L
.59712 .55061 L
.59708 .55057 L
.59553 .54896 L
.59551 .54895 L
.59408 .54735 L
.59391 .54717 L
.59268 .54575 L
.5923 .54533 L
.5913 .54414 L
.5907 .54345 L
.58994 .54254 L
.58909 .54167 L
.58859 .54093 L
.58749 .53962 L
.58719 .53933 L
.58595 .53772 L
.58588 .53764 L
.58465 .53612 L
.58428 .53589 L
.58335 .53451 L
.58267 .53374 L
.58178 .53291 L
.58106 .53167 L
.58075 .5313 L
.57949 .5297 L
.57946 .52965 L
.57823 .52809 L
.57785 .52775 L
.57636 .52649 L
.57625 .52563 L
.57557 .52488 L
.57464 .52355 L
.57444 .52328 L
.57317 .52167 L
.57304 .52162 L
.57192 .52007 L
.57143 .51954 L
.5704 .51846 L
.56983 .51741 L
.56938 .51686 L
.56822 .51533 L
.56818 .51525 L
.56692 .51364 L
.56662 .5134 L
.56516 .51204 L
.56501 .51125 L
.56431 .51043 L
.56341 .50912 L
.5632 .50883 L
.56195 .50722 L
.5618 .5072 L
.56072 .50562 L
.5602 .50507 L
.55923 .50401 L
.55859 .50289 L
.55821 .50241 L
.55701 .5008 L
.55699 .50077 L
.55579 .4992 L
.55538 .49889 L
.55406 .49759 L
.55378 .49666 L
.55322 .49599 L
.55217 .49449 L
.5521 .49438 L
.55089 .49278 L
.55057 .49237 L
.54967 .49117 L
.54896 .49043 L
.5482 .48957 L
.54735 .48818 L
.54719 .48796 L
.54601 .48636 L
.54575 .48602 L
.5448 .48475 L
.54414 .48421 L
.54314 .48314 L
.54254 .48183 L
.54231 .48154 L
.54117 .47993 L
.54093 .47962 L
.53999 .47833 L
.53933 .47746 L
.53879 .47672 L
.53772 .4754 L
.53749 .47512 L
.53641 .47351 L
.53612 .47313 L
.53525 .47191 L
.53451 .47092 L
.53408 .4703 L
.53291 .46873 L
.53288 .4687 L
.5318 .46709 L
.5313 .46641 L
.53069 .46549 L
.5297 .46408 L
.52957 .46388 L
.52859 .46228 L
.52809 .46147 L
.52779 .46067 L
F
1 .94 .156 r
.52809 .53117 m
.5297 .53095 L
.53075 .5313 L
.5313 .5316 L
.5327 .53291 L
.53291 .53322 L
.53408 .53451 L
.53451 .53511 L
.53564 .53612 L
.53612 .53712 L
.5367 .53772 L
.53772 .53915 L
.53786 .53933 L
.53915 .54093 L
.53933 .54105 L
.54081 .54254 L
.54093 .54314 L
.54174 .54414 L
.54254 .54531 L
.54283 .54575 L
.54406 .54735 L
.54414 .54747 L
.54525 .54896 L
.54575 .54962 L
.54672 .55057 L
.54735 .55156 L
.54769 .55217 L
.54879 .55378 L
.54896 .55402 L
.54986 .55538 L
.55057 .55658 L
.55101 .55699 L
.55057 .55833 L
.54896 .55791 L
.54761 .55699 L
.54735 .55675 L
.54592 .55538 L
.54575 .55517 L
.54447 .55378 L
.54414 .55332 L
.54302 .55217 L
.54254 .55131 L
.54187 .55057 L
.54093 .54923 L
.54074 .54896 L
.53933 .54747 L
.53924 .54735 L
.53786 .54575 L
.53772 .5454 L
.53674 .54414 L
.53612 .54328 L
.53566 .54254 L
.53451 .54118 L
.53426 .54093 L
.53304 .53933 L
.53291 .53926 L
.53175 .53772 L
.5313 .53722 L
.5307 .53612 L
.5297 .53497 L
.52961 .53451 L
.52842 .53291 L
.52809 .53217 L
.52783 .5313 L
F
0 .59 1 r
.52809 .51561 m
.52908 .51686 L
.5297 .51762 L
.53029 .51846 L
.5313 .51999 L
.53135 .52007 L
.5313 .52058 L
.53069 .52007 L
.5297 .51913 L
.52916 .51846 L
.52809 .51722 L
.52783 .51686 L
F
0 .58 1 r
.52809 .51575 m
.52896 .51686 L
.5297 .51777 L
.53017 .51846 L
.5297 .519 L
.52926 .51846 L
.52809 .5171 L
.52791 .51686 L
F
1 .85 .01 r
.52809 .50958 m
.52928 .51043 L
.5297 .51077 L
.53096 .51204 L
.5313 .51239 L
.53243 .51364 L
.53291 .51418 L
.53382 .51525 L
.53451 .51565 L
.53514 .51686 L
.53612 .51801 L
.53654 .51846 L
.5376 .52007 L
.53772 .52024 L
.53873 .52167 L
.53933 .52258 L
.53977 .52328 L
.54047 .52488 L
.53933 .52504 L
.53914 .52488 L
.53772 .52379 L
.53748 .52328 L
.53612 .52179 L
.53606 .52167 L
.53476 .52007 L
.53451 .51977 L
.53352 .51846 L
.53291 .5177 L
.53229 .51686 L
.5313 .51557 L
.53108 .51525 L
.52994 .51364 L
.5297 .51331 L
.52891 .51204 L
.52809 .51072 L
.52796 .51043 L
F
0 .57 1 r
.52809 .51593 m
.52882 .51686 L
.5297 .51794 L
.53004 .51846 L
.5297 .51884 L
.52939 .51846 L
.52809 .51697 L
.52801 .51686 L
F
1 .93 .114 r
.5297 .53109 m
.53042 .5313 L
.5313 .53173 L
.5326 .53291 L
.53291 .53334 L
.53402 .53451 L
.53451 .53518 L
.5356 .53612 L
.53612 .53717 L
.53666 .53772 L
.53772 .53918 L
.53784 .53933 L
.53911 .54093 L
.53933 .54107 L
.54079 .54254 L
.54093 .54318 L
.54171 .54414 L
.54254 .54536 L
.5428 .54575 L
.54402 .54735 L
.54414 .54752 L
.54521 .54896 L
.54575 .54968 L
.54667 .55057 L
.54735 .55167 L
.54762 .55217 L
.54871 .55378 L
.54896 .55415 L
.54974 .55538 L
.55057 .55697 L
.55058 .55699 L
.55057 .55773 L
.54896 .55769 L
.54789 .55699 L
.54735 .55654 L
.54608 .55538 L
.54575 .555 L
.54458 .55378 L
.54414 .55319 L
.54309 .55217 L
.54254 .55122 L
.54193 .55057 L
.54093 .54918 L
.54078 .54896 L
.53933 .54739 L
.5393 .54735 L
.53789 .54575 L
.53772 .54534 L
.53678 .54414 L
.53612 .54323 L
.53569 .54254 L
.53451 .54113 L
.5343 .54093 L
.53309 .53933 L
.53291 .53923 L
.53179 .53772 L
.5313 .53716 L
.53075 .53612 L
.5297 .53483 L
.52964 .53451 L
.52853 .53291 L
.52829 .5313 L
F
.001 .76 1 r
.5297 .53749 m
.52991 .53772 L
.5313 .53924 L
.53137 .53933 L
.53264 .54093 L
.53291 .54126 L
.53382 .54254 L
.53451 .54347 L
.53495 .54414 L
.53451 .54536 L
.53339 .54414 L
.53291 .54363 L
.532 .54254 L
.5313 .5417 L
.53071 .54093 L
.5297 .53959 L
.52951 .53933 L
.52853 .53772 L
F
1 .92 .084 r
.5297 .53123 m
.53 .5313 L
.5313 .53185 L
.5325 .53291 L
.53291 .53346 L
.53396 .53451 L
.53451 .53524 L
.53556 .53612 L
.53612 .53722 L
.53662 .53772 L
.53772 .53922 L
.53781 .53933 L
.53908 .54093 L
.53933 .54109 L
.54077 .54254 L
.54093 .54322 L
.54168 .54414 L
.54254 .54541 L
.54276 .54575 L
.54398 .54735 L
.54414 .54758 L
.54517 .54896 L
.54575 .54974 L
.54662 .55057 L
.54735 .55179 L
.54756 .55217 L
.54862 .55378 L
.54896 .55429 L
.54962 .55538 L
.55029 .55699 L
.54896 .55747 L
.5482 .55699 L
.54735 .55635 L
.54624 .55538 L
.54575 .55484 L
.54469 .55378 L
.54414 .55307 L
.54316 .55217 L
.54254 .55113 L
.54199 .55057 L
.54093 .54913 L
.5408 .54896 L
.53935 .54735 L
.53933 .54733 L
.53791 .54575 L
.53772 .54528 L
.53682 .54414 L
.53612 .54317 L
.53573 .54254 L
.53451 .54109 L
.53435 .54093 L
.53313 .53933 L
.53291 .5392 L
.53183 .53772 L
.5313 .53709 L
.53079 .53612 L
.5297 .53469 L
.52966 .53451 L
.52864 .53291 L
.52879 .5313 L
F
0 .75 1 r
.5297 .53764 m
.52978 .53772 L
.53127 .53933 L
.5313 .53936 L
.53253 .54093 L
.53291 .54139 L
.53371 .54254 L
.53451 .54363 L
.53483 .54414 L
.53451 .54516 L
.53354 .54414 L
.53291 .54348 L
.53212 .54254 L
.5313 .54156 L
.53082 .54093 L
.5297 .53943 L
.52963 .53933 L
.52873 .53772 L
F
1 .7 0 r
.5297 .46212 m
.52985 .46228 L
.5313 .4637 L
.53139 .46388 L
.53283 .46549 L
.53291 .46557 L
.53422 .46709 L
.53451 .46741 L
.5356 .4687 L
.53612 .46929 L
.53696 .4703 L
.53772 .47103 L
.53831 .47191 L
.53933 .47311 L
.53976 .47351 L
.54093 .4751 L
.54095 .47512 L
.54225 .47672 L
.54254 .47682 L
.54355 .47833 L
.54414 .47898 L
.54521 .47993 L
.54575 .48106 L
.54617 .48154 L
.54735 .48309 L
.54739 .48314 L
.54867 .48475 L
.54896 .48498 L
.54994 .48636 L
.55057 .48709 L
.55136 .48796 L
.55217 .48919 L
.55246 .48957 L
.55373 .49117 L
.55378 .49123 L
.55498 .49278 L
.55538 .49319 L
.55656 .49438 L
.55699 .49532 L
.55754 .49599 L
.55859 .49741 L
.55871 .49759 L
.55998 .4992 L
.5602 .49934 L
.56122 .5008 L
.5618 .50148 L
.56262 .50241 L
.56341 .50362 L
.5637 .50401 L
.56494 .50562 L
.56501 .5057 L
.56617 .50722 L
.56662 .50765 L
.56773 .50883 L
.56822 .50983 L
.5687 .51043 L
.56983 .51197 L
.56987 .51204 L
.5711 .51364 L
.57143 .51383 L
.57233 .51525 L
.57304 .51606 L
.57371 .51686 L
.57464 .51825 L
.57479 .51846 L
.576 .52007 L
.57625 .52038 L
.57722 .52167 L
.57785 .52229 L
.57875 .52328 L
.57946 .52456 L
.57971 .52488 L
.58087 .52649 L
.58106 .52674 L
.58207 .52809 L
.58267 .52847 L
.58328 .5297 L
.58428 .53092 L
.58459 .5313 L
.58569 .53291 L
.58588 .53315 L
.58687 .53451 L
.58749 .53532 L
.58806 .53612 L
.58909 .53737 L
.58939 .53772 L
.59042 .53933 L
.5907 .53969 L
.59157 .54093 L
.5923 .54192 L
.59273 .54254 L
.5939 .54414 L
.59391 .54415 L
.59497 .54575 L
.59551 .54651 L
.59605 .54735 L
.59712 .54893 L
.59713 .54896 L
.59712 .55041 L
.59566 .54896 L
.59551 .54882 L
.59418 .54735 L
.59391 .54707 L
.59276 .54575 L
.5923 .54525 L
.59136 .54414 L
.5907 .54338 L
.58999 .54254 L
.58909 .5416 L
.58864 .54093 L
.58749 .53956 L
.58724 .53933 L
.58599 .53772 L
.58588 .53759 L
.58469 .53612 L
.58428 .53586 L
.58339 .53451 L
.58267 .5337 L
.58181 .53291 L
.58106 .53163 L
.58078 .5313 L
.57952 .5297 L
.57946 .52962 L
.57825 .52809 L
.57785 .52772 L
.57638 .52649 L
.57625 .5256 L
.5756 .52488 L
.57464 .52352 L
.57446 .52328 L
.57319 .52167 L
.57304 .52161 L
.57194 .52007 L
.57143 .51951 L
.57042 .51846 L
.56983 .51738 L
.5694 .51686 L
.56822 .5153 L
.56819 .51525 L
.56694 .51364 L
.56662 .51338 L
.56518 .51204 L
.56501 .51122 L
.56433 .51043 L
.56341 .50909 L
.56322 .50883 L
.56197 .50722 L
.5618 .5072 L
.56074 .50562 L
.5602 .50505 L
.55924 .50401 L
.55859 .50287 L
.55823 .50241 L
.55703 .5008 L
.55699 .50075 L
.55581 .4992 L
.55538 .49888 L
.55407 .49759 L
.55378 .49664 L
.55324 .49599 L
.55217 .49446 L
.55212 .49438 L
.55091 .49278 L
.55057 .49234 L
.54969 .49117 L
.54896 .4904 L
.54823 .48957 L
.54735 .48815 L
.54721 .48796 L
.54603 .48636 L
.54575 .48599 L
.54483 .48475 L
.54414 .48418 L
.54317 .48314 L
.54254 .48179 L
.54234 .48154 L
.5412 .47993 L
.54093 .47959 L
.54002 .47833 L
.53933 .47743 L
.53882 .47672 L
.53772 .47534 L
.53754 .47512 L
.53645 .47351 L
.53612 .47308 L
.53529 .47191 L
.53451 .47086 L
.53412 .4703 L
.53294 .4687 L
.53291 .46865 L
.53186 .46709 L
.5313 .46633 L
.53076 .46549 L
.5297 .46397 L
.52964 .46388 L
.52875 .46228 L
F
1 .91 .061 r
.5297 .53138 m
.5313 .53197 L
.5324 .53291 L
.53291 .53356 L
.5339 .53451 L
.53451 .53531 L
.53551 .53612 L
.53612 .53726 L
.53658 .53772 L
.53772 .53925 L
.53779 .53933 L
.53904 .54093 L
.53933 .54112 L
.54075 .54254 L
.54093 .54326 L
.54164 .54414 L
.54254 .54546 L
.54273 .54575 L
.54394 .54735 L
.54414 .54763 L
.54512 .54896 L
.54575 .54981 L
.54656 .55057 L
.54735 .55192 L
.54748 .55217 L
.54853 .55378 L
.54896 .55445 L
.54949 .55538 L
.54989 .55699 L
.54896 .5572 L
.54858 .55699 L
.54735 .55618 L
.54641 .55538 L
.54575 .5547 L
.5448 .55378 L
.54414 .55295 L
.54323 .55217 L
.54254 .55104 L
.54206 .55057 L
.54093 .54909 L
.54083 .54896 L
.5394 .54735 L
.53933 .54727 L
.53794 .54575 L
.53772 .54522 L
.53686 .54414 L
.53612 .54312 L
.53576 .54254 L
.53451 .54105 L
.53439 .54093 L
.53318 .53933 L
.53291 .53917 L
.53187 .53772 L
.5313 .53702 L
.53084 .53612 L
.5297 .53453 L
.52969 .53451 L
.52875 .53291 L
F
.084 .92 1 r
.5297 .4554 m
.53016 .45586 L
.5313 .45699 L
.53175 .45746 L
.53291 .45865 L
.53324 .45907 L
.53451 .4605 L
.53472 .46067 L
.53606 .46228 L
.53612 .46234 L
.53744 .46388 L
.53772 .4641 L
.53881 .46549 L
.53933 .4661 L
.54043 .46709 L
.54093 .46808 L
.54147 .4687 L
.54254 .47006 L
.54269 .4703 L
.5441 .47191 L
.54414 .47196 L
.54541 .47351 L
.54575 .47396 L
.54675 .47512 L
.54735 .47601 L
.54787 .47672 L
.54896 .47807 L
.54904 .47833 L
.55053 .47993 L
.55057 .47998 L
.55192 .48154 L
.55217 .48203 L
.55303 .48314 L
.55378 .48414 L
.55413 .48475 L
.55538 .48622 L
.5556 .48636 L
.55698 .48796 L
.55699 .48814 L
.55814 .48957 L
.55859 .49025 L
.55924 .49117 L
.5602 .49237 L
.5603 .49278 L
.5618 .49437 L
.56185 .49438 L
.56319 .49599 L
.56341 .4964 L
.56431 .49759 L
.56501 .49853 L
.56538 .4992 L
.56662 .50064 L
.56684 .5008 L
.56819 .50241 L
.56822 .5026 L
.56935 .50401 L
.56983 .50472 L
.57044 .50562 L
.57143 .50685 L
.57151 .50722 L
.57303 .50883 L
.57304 .50884 L
.57437 .51043 L
.57464 .51093 L
.57547 .51204 L
.57625 .51306 L
.57655 .51364 L
.57785 .51515 L
.57797 .51525 L
.57939 .51686 L
.57946 .51716 L
.58049 .51846 L
.58106 .51929 L
.58158 .52007 L
.58267 .52141 L
.5827 .52167 L
.58413 .52328 L
.58428 .52342 L
.58551 .52488 L
.58588 .52553 L
.58659 .52649 L
.58749 .52766 L
.5877 .52809 L
.58906 .5297 L
.58909 .52972 L
.59057 .5313 L
.5907 .53177 L
.59159 .53291 L
.5923 .53392 L
.59268 .53451 L
.59391 .53604 L
.59391 .53612 L
.5952 .53772 L
.59551 .53802 L
.59661 .53933 L
.59712 .54018 L
.59766 .54093 L
.59872 .54233 L
.59882 .54254 L
.6001 .54414 L
.60033 .54427 L
.60168 .54575 L
.60193 .54644 L
.60264 .54735 L
.60354 .54864 L
.60374 .54896 L
.60498 .55057 L
.60514 .55078 L
.60619 .55217 L
.60675 .5527 L
.60762 .55378 L
.60835 .55496 L
.60865 .55538 L
.60984 .55699 L
.60996 .55714 L
.61103 .55859 L
.61156 .55892 L
.61264 .5602 L
.61317 .56132 L
.61353 .5618 L
.61465 .56341 L
.61477 .56357 L
.61582 .56501 L
.61638 .56575 L
.61701 .56662 L
.61799 .56777 L
.61833 .56822 L
.61937 .56983 L
.61959 .57012 L
.62051 .57143 L
.6212 .57236 L
.62167 .57304 L
.6228 .57461 L
.62285 .57464 L
.62389 .57625 L
.62441 .57699 L
.62495 .57785 L
.626 .57946 L
.62601 .57947 L
.62666 .58106 L
.62601 .58109 L
.62598 .58106 L
.62441 .57972 L
.62426 .57946 L
.6228 .57794 L
.62262 .57785 L
.62127 .57625 L
.6212 .57617 L
.61986 .57464 L
.61959 .57434 L
.61847 .57304 L
.61799 .57259 L
.6171 .57143 L
.61638 .57059 L
.61555 .56983 L
.61477 .56861 L
.61443 .56822 L
.61317 .56667 L
.61314 .56662 L
.6118 .56501 L
.61156 .56475 L
.61012 .56341 L
.60996 .56272 L
.60915 .5618 L
.60835 .56067 L
.60801 .5602 L
.60675 .55867 L
.60674 .55859 L
.60538 .55699 L
.60514 .5567 L
.60397 .55538 L
.60354 .55462 L
.60288 .55378 L
.60193 .55254 L
.60174 .55217 L
.60033 .55057 L
.60032 .55057 L
.59884 .54896 L
.59872 .54852 L
.59777 .54735 L
.59712 .54641 L
.59667 .54575 L
.59551 .54432 L
.59551 .54414 L
.59407 .54254 L
.59391 .54234 L
.5927 .54093 L
.5923 .54024 L
.59161 .53933 L
.5907 .53813 L
.5905 .53772 L
.58909 .53612 L
.58909 .53611 L
.58763 .53451 L
.58749 .53405 L
.58657 .53291 L
.58588 .53193 L
.58547 .5313 L
.58428 .52984 L
.58413 .5297 L
.5829 .52809 L
.58267 .52783 L
.58152 .52649 L
.58106 .52571 L
.58045 .52488 L
.57946 .52359 L
.57931 .52328 L
.57796 .52167 L
.57785 .52158 L
.57646 .52007 L
.57625 .51949 L
.57543 .51846 L
.57464 .51735 L
.57432 .51686 L
.57304 .51527 L
.57302 .51525 L
.5718 .51364 L
.57143 .51326 L
.5704 .51204 L
.56983 .51111 L
.56933 .51043 L
.56822 .50899 L
.56815 .50883 L
.56687 .50722 L
.56662 .50702 L
.56533 .50562 L
.56501 .50487 L
.56433 .50401 L
.56341 .50272 L
.56321 .50241 L
.56195 .5008 L
.5618 .50077 L
.56074 .4992 L
.5602 .49864 L
.55932 .49759 L
.55859 .49645 L
.55825 .49599 L
.55704 .49438 L
.55699 .49431 L
.55583 .49278 L
.55538 .49243 L
.55426 .49117 L
.55378 .49019 L
.55329 .48957 L
.55217 .488 L
.55215 .48796 L
.55094 .48636 L
.55057 .48587 L
.54973 .48475 L
.54896 .48393 L
.54833 .48314 L
.54735 .48167 L
.54726 .48154 L
.54607 .47993 L
.54575 .47952 L
.54487 .47833 L
.54414 .47769 L
.54335 .47672 L
.54254 .47531 L
.5424 .47512 L
.54124 .47351 L
.54093 .47311 L
.54006 .47191 L
.53933 .47096 L
.53885 .4703 L
.53772 .46886 L
.5376 .4687 L
.53648 .46709 L
.53612 .46661 L
.53533 .46549 L
.53451 .4644 L
.53415 .46388 L
.53298 .46228 L
.53291 .46218 L
.53189 .46067 L
.5313 .45986 L
.53079 .45907 L
.5297 .45748 L
.52968 .45746 L
.52879 .45586 L
F
1 .9 .045 r
.5297 .53153 m
.5313 .53208 L
.5323 .53291 L
.53291 .53366 L
.53384 .53451 L
.53451 .53537 L
.53547 .53612 L
.53612 .53731 L
.53654 .53772 L
.53772 .53928 L
.53776 .53933 L
.53901 .54093 L
.53933 .54115 L
.54073 .54254 L
.54093 .54331 L
.54161 .54414 L
.54254 .54551 L
.5427 .54575 L
.5439 .54735 L
.54414 .54768 L
.54508 .54896 L
.54575 .54987 L
.5465 .55057 L
.54735 .55206 L
.54741 .55217 L
.54844 .55378 L
.54896 .55464 L
.54935 .55538 L
.54896 .55689 L
.54735 .55601 L
.54658 .55538 L
.54575 .55456 L
.54492 .55378 L
.54414 .55284 L
.54331 .55217 L
.54254 .55097 L
.54212 .55057 L
.54093 .54905 L
.54086 .54896 L
.53946 .54735 L
.53933 .54721 L
.53796 .54575 L
.53772 .54516 L
.5369 .54414 L
.53612 .54307 L
.53579 .54254 L
.53451 .541 L
.53444 .54093 L
.53322 .53933 L
.53291 .53914 L
.53191 .53772 L
.5313 .53694 L
.53089 .53612 L
.52977 .53451 L
.5297 .5344 L
.52887 .53291 L
F
1 .89 .033 r
.5297 .53169 m
.5313 .5322 L
.53219 .53291 L
.53291 .53374 L
.53377 .53451 L
.53451 .53543 L
.53542 .53612 L
.53612 .53735 L
.5365 .53772 L
.53772 .53932 L
.53773 .53933 L
.53897 .54093 L
.53933 .54117 L
.54071 .54254 L
.54093 .54335 L
.54157 .54414 L
.54254 .54556 L
.54266 .54575 L
.54385 .54735 L
.54414 .54774 L
.54503 .54896 L
.54575 .54994 L
.54644 .55057 L
.54734 .55217 L
.54735 .5522 L
.54835 .55378 L
.54896 .55486 L
.54921 .55538 L
.54896 .55658 L
.54735 .55585 L
.54676 .55538 L
.54575 .55443 L
.54503 .55378 L
.54414 .55274 L
.5434 .55217 L
.54254 .5509 L
.54218 .55057 L
.54093 .54902 L
.54088 .54896 L
.53951 .54735 L
.53933 .54715 L
.53799 .54575 L
.53772 .54511 L
.53694 .54414 L
.53612 .54302 L
.53582 .54254 L
.53451 .54096 L
.53448 .54093 L
.53327 .53933 L
.53291 .53911 L
.53195 .53772 L
.5313 .53686 L
.53094 .53612 L
.52984 .53451 L
.5297 .53427 L
.52898 .53291 L
F
1 .84 .007 r
.5297 .511 m
.53077 .51204 L
.5313 .51256 L
.53229 .51364 L
.53291 .51433 L
.5337 .51525 L
.53451 .5158 L
.53503 .51686 L
.53612 .51818 L
.53638 .51846 L
.53748 .52007 L
.53772 .5204 L
.53861 .52167 L
.53933 .52281 L
.53961 .52328 L
.53933 .52483 L
.53772 .52354 L
.5376 .52328 L
.53615 .52167 L
.53612 .52164 L
.53485 .52007 L
.53451 .51966 L
.5336 .51846 L
.53291 .51759 L
.53237 .51686 L
.5313 .51545 L
.53116 .51525 L
.53006 .51364 L
.5297 .51313 L
.52906 .51204 L
F
1 .88 .024 r
.5297 .53186 m
.5313 .53231 L
.53207 .53291 L
.53291 .53382 L
.53371 .53451 L
.53451 .53549 L
.53537 .53612 L
.53612 .5374 L
.53646 .53772 L
.5377 .53933 L
.53772 .53936 L
.53894 .54093 L
.53933 .5412 L
.54068 .54254 L
.54093 .5434 L
.54153 .54414 L
.54254 .54561 L
.54263 .54575 L
.54381 .54735 L
.54414 .5478 L
.54499 .54896 L
.54575 .55001 L
.54637 .55057 L
.54726 .55217 L
.54735 .55231 L
.54825 .55378 L
.54896 .55515 L
.54905 .55538 L
.54896 .55618 L
.54735 .55568 L
.54696 .55538 L
.54575 .55431 L
.54515 .55378 L
.54414 .55265 L
.54349 .55217 L
.54254 .55083 L
.54224 .55057 L
.54093 .54899 L
.54091 .54896 L
.53956 .54735 L
.53933 .54709 L
.53802 .54575 L
.53772 .54505 L
.53698 .54414 L
.53612 .54296 L
.53585 .54254 L
.53453 .54093 L
.53451 .54091 L
.53331 .53933 L
.53291 .53907 L
.53199 .53772 L
.5313 .53677 L
.53099 .53612 L
.52992 .53451 L
.5297 .53412 L
.52911 .53291 L
F
1 .83 .005 r
.5297 .51125 m
.53056 .51204 L
.5313 .51274 L
.53214 .51364 L
.53291 .51448 L
.53357 .51525 L
.53451 .51599 L
.53491 .51686 L
.53612 .51837 L
.5362 .51846 L
.53736 .52007 L
.53772 .52058 L
.53847 .52167 L
.53933 .52308 L
.53944 .52328 L
.53933 .5245 L
.53773 .52328 L
.53772 .52327 L
.53627 .52167 L
.53612 .52151 L
.53495 .52007 L
.53451 .51955 L
.53369 .51846 L
.53291 .51748 L
.53246 .51686 L
.5313 .51533 L
.53125 .51525 L
.53019 .51364 L
.5297 .51292 L
.52923 .51204 L
F
1 .87 .018 r
.5297 .53203 m
.5313 .53242 L
.53196 .53291 L
.53291 .5339 L
.53364 .53451 L
.53451 .53554 L
.53531 .53612 L
.53612 .53744 L
.53642 .53772 L
.53766 .53933 L
.53772 .53941 L
.5389 .54093 L
.53933 .54123 L
.54066 .54254 L
.54093 .54344 L
.5415 .54414 L
.54254 .54567 L
.54259 .54575 L
.54377 .54735 L
.54414 .54785 L
.54494 .54896 L
.54575 .55008 L
.54629 .55057 L
.54719 .55217 L
.54735 .55242 L
.54815 .55378 L
.54883 .55538 L
.54735 .5555 L
.5472 .55538 L
.54575 .55419 L
.54527 .55378 L
.54414 .55256 L
.54358 .55217 L
.54254 .55077 L
.5423 .55057 L
.54093 .54896 L
.54093 .54896 L
.53961 .54735 L
.53933 .54704 L
.53805 .54575 L
.53772 .54499 L
.53702 .54414 L
.53612 .54291 L
.53589 .54254 L
.53457 .54093 L
.53451 .54086 L
.53336 .53933 L
.53291 .53903 L
.53204 .53772 L
.5313 .53667 L
.53104 .53612 L
.52999 .53451 L
.5297 .53396 L
.52923 .53291 L
F
1 .86 .013 r
.5297 .53223 m
.5313 .53253 L
.53183 .53291 L
.53291 .53397 L
.53357 .53451 L
.53451 .5356 L
.53525 .53612 L
.53612 .53749 L
.53637 .53772 L
.53762 .53933 L
.53772 .53946 L
.53886 .54093 L
.53933 .54127 L
.54062 .54254 L
.54093 .54349 L
.54146 .54414 L
.54254 .54572 L
.54256 .54575 L
.54373 .54735 L
.54414 .54791 L
.54489 .54896 L
.54575 .55015 L
.54622 .55057 L
.54711 .55217 L
.54735 .55255 L
.54804 .55378 L
.54735 .5553 L
.54575 .55407 L
.5454 .55378 L
.54414 .55247 L
.54369 .55217 L
.54254 .5507 L
.54237 .55057 L
.54099 .54896 L
.54093 .54892 L
.53967 .54735 L
.53933 .54698 L
.53808 .54575 L
.53772 .54494 L
.53707 .54414 L
.53612 .54286 L
.53592 .54254 L
.53462 .54093 L
.53451 .5408 L
.5334 .53933 L
.53291 .53898 L
.53208 .53772 L
.5313 .53656 L
.5311 .53612 L
.53007 .53451 L
.5297 .53377 L
.52937 .53291 L
F
1 .23 0 r
.5297 .47512 m
.53092 .47672 L
.5313 .47717 L
.53217 .47833 L
.53291 .47921 L
.53345 .47993 L
.53451 .48125 L
.53473 .48154 L
.53597 .48314 L
.53612 .48332 L
.53716 .48475 L
.53772 .48544 L
.53838 .48636 L
.53933 .48755 L
.53962 .48796 L
.53933 .4895 L
.53814 .48796 L
.53772 .48748 L
.53687 .48636 L
.53612 .48545 L
.53559 .48475 L
.53451 .48341 L
.53431 .48314 L
.53307 .48154 L
.53291 .48134 L
.53187 .47993 L
.5313 .47923 L
.53064 .47833 L
.5297 .47713 L
.5294 .47672 L
F
1 .22 0 r
.5297 .47519 m
.53087 .47672 L
.5313 .47722 L
.53213 .47833 L
.53291 .47926 L
.53341 .47993 L
.53451 .4813 L
.53469 .48154 L
.53592 .48314 L
.53612 .48338 L
.53711 .48475 L
.53772 .48549 L
.53834 .48636 L
.53933 .4876 L
.53958 .48796 L
.53933 .48944 L
.53819 .48796 L
.53772 .48742 L
.53692 .48636 L
.53612 .48539 L
.53563 .48475 L
.53451 .48336 L
.53435 .48314 L
.53312 .48154 L
.53291 .48128 L
.53192 .47993 L
.5313 .47918 L
.53069 .47833 L
.5297 .47708 L
.52944 .47672 L
F
1 .82 .004 r
.5297 .51158 m
.53029 .51204 L
.5313 .51293 L
.53198 .51364 L
.53291 .51464 L
.53343 .51525 L
.53451 .51623 L
.53478 .51686 L
.53604 .51846 L
.53612 .51855 L
.53723 .52007 L
.53772 .52077 L
.53833 .52167 L
.53772 .52308 L
.5364 .52167 L
.53612 .52137 L
.53506 .52007 L
.53451 .51942 L
.53379 .51846 L
.53291 .51736 L
.53255 .51686 L
.53135 .51525 L
.5313 .51518 L
.53034 .51364 L
.5297 .51262 L
.52945 .51204 L
F
.538 .98 1 r
.5297 .5055 m
.52997 .50562 L
.5313 .50641 L
.53228 .50722 L
.53291 .50737 L
.53405 .50883 L
.53451 .5093 L
.53563 .51043 L
.53612 .51109 L
.53709 .51204 L
.53772 .51303 L
.53808 .51364 L
.53933 .51463 L
.53986 .51525 L
.54093 .5166 L
.54115 .51686 L
.54242 .51846 L
.54254 .51861 L
.54365 .52007 L
.54414 .52072 L
.54463 .52167 L
.54575 .52289 L
.5461 .52328 L
.54721 .52488 L
.54735 .52511 L
.54846 .52649 L
.54883 .52809 L
.54735 .52873 L
.54619 .52809 L
.54575 .52792 L
.54455 .52649 L
.54414 .52627 L
.5432 .52488 L
.54254 .52429 L
.54191 .52328 L
.54093 .52216 L
.54042 .52167 L
.53937 .52007 L
.53933 .52002 L
.53816 .51846 L
.53772 .51791 L
.53695 .51686 L
.53612 .51579 L
.53572 .51525 L
.53451 .5137 L
.53447 .51364 L
.53333 .51204 L
.53291 .51148 L
.53218 .51043 L
.5313 .50923 L
.53103 .50883 L
.53 .50722 L
.5297 .50671 L
.52946 .50562 L
F
0 .39 1 r
.5297 .48194 m
.53047 .48314 L
.5313 .48424 L
.53161 .48475 L
.5313 .48524 L
.5309 .48475 L
.5297 .48343 L
.52947 .48314 L
F
1 .21 0 r
.5297 .47525 m
.53082 .47672 L
.5313 .47728 L
.53208 .47833 L
.53291 .47931 L
.53337 .47993 L
.53451 .48135 L
.53465 .48154 L
.53588 .48314 L
.53612 .48343 L
.53707 .48475 L
.53772 .48555 L
.53829 .48636 L
.53933 .48766 L
.53954 .48796 L
.53933 .48937 L
.53825 .48796 L
.53772 .48736 L
.53697 .48636 L
.53612 .48534 L
.53568 .48475 L
.53451 .48331 L
.53439 .48314 L
.53317 .48154 L
.53291 .48123 L
.53197 .47993 L
.5313 .47912 L
.53073 .47833 L
.5297 .47702 L
.52948 .47672 L
F
1 .85 .01 r
.5297 .53247 m
.5313 .53264 L
.53169 .53291 L
.53291 .53403 L
.5335 .53451 L
.53451 .53566 L
.53519 .53612 L
.53612 .53753 L
.53633 .53772 L
.53758 .53933 L
.53772 .5395 L
.53883 .54093 L
.53933 .5413 L
.54059 .54254 L
.54093 .54354 L
.54142 .54414 L
.54252 .54575 L
.54254 .54577 L
.54369 .54735 L
.54414 .54797 L
.54485 .54896 L
.54575 .55022 L
.54614 .55057 L
.54703 .55217 L
.54735 .5527 L
.54792 .55378 L
.54735 .55511 L
.54575 .55395 L
.54554 .55378 L
.54414 .55238 L
.54381 .55217 L
.54254 .55065 L
.54244 .55057 L
.54105 .54896 L
.54093 .54888 L
.53972 .54735 L
.53933 .54692 L
.53811 .54575 L
.53772 .54488 L
.53711 .54414 L
.53612 .54281 L
.53595 .54254 L
.53466 .54093 L
.53451 .54074 L
.53345 .53933 L
.53291 .53893 L
.53213 .53772 L
.5313 .53645 L
.53115 .53612 L
.53015 .53451 L
.5297 .53353 L
.52951 .53291 L
F
1 .2 0 r
.5297 .47532 m
.53076 .47672 L
.5313 .47735 L
.53203 .47833 L
.53291 .47937 L
.53332 .47993 L
.53451 .4814 L
.53462 .48154 L
.53582 .48314 L
.53612 .4835 L
.53702 .48475 L
.53772 .48561 L
.53825 .48636 L
.53933 .48772 L
.5395 .48796 L
.53933 .4893 L
.53831 .48796 L
.53772 .48729 L
.53702 .48636 L
.53612 .48528 L
.53572 .48475 L
.53451 .48326 L
.53443 .48314 L
.53323 .48154 L
.53291 .48116 L
.53202 .47993 L
.5313 .47906 L
.53078 .47833 L
.5297 .47696 L
.52953 .47672 L
F
0 .38 1 r
.5297 .48204 m
.53037 .48314 L
.5313 .48439 L
.5315 .48475 L
.5313 .48509 L
.53102 .48475 L
.5297 .48333 L
.52954 .48314 L
F
1 .19 0 r
.5297 .4754 m
.53069 .47672 L
.5313 .47741 L
.53198 .47833 L
.53291 .47943 L
.53328 .47993 L
.53451 .48145 L
.53458 .48154 L
.53577 .48314 L
.53612 .48356 L
.53696 .48475 L
.53772 .48568 L
.5382 .48636 L
.53933 .48778 L
.53945 .48796 L
.53933 .48922 L
.53837 .48796 L
.53772 .48722 L
.53707 .48636 L
.53612 .48522 L
.53577 .48475 L
.53451 .4832 L
.53447 .48314 L
.53328 .48154 L
.53291 .4811 L
.53207 .47993 L
.5313 .47899 L
.53083 .47833 L
.5297 .47689 L
.52958 .47672 L
F
0 .56 1 r
.5297 .51821 m
.52983 .51846 L
.5297 .5186 L
.52958 .51846 L
F
0 .38 1 r
.5297 .46874 m
.53105 .4703 L
.5313 .47057 L
.53242 .47191 L
.53291 .47245 L
.53377 .47351 L
.53451 .47436 L
.53512 .47512 L
.53612 .4763 L
.53645 .47672 L
.53772 .47825 L
.53783 .47833 L
.53904 .47993 L
.53933 .48027 L
.54032 .48154 L
.54093 .48228 L
.54161 .48314 L
.54254 .484 L
.54289 .48475 L
.54414 .48632 L
.54418 .48636 L
.54541 .48796 L
.54575 .48838 L
.54666 .48957 L
.54735 .49044 L
.54792 .49117 L
.54896 .49237 L
.54941 .49278 L
.55041 .49438 L
.55057 .49457 L
.55163 .49599 L
.55217 .49666 L
.55287 .49759 L
.55378 .4984 L
.55411 .4992 L
.55535 .5008 L
.55538 .50085 L
.55654 .50241 L
.55699 .50298 L
.55775 .50401 L
.55859 .5051 L
.55897 .50562 L
.5602 .50722 L
.5602 .50722 L
.56135 .50883 L
.5618 .5094 L
.56253 .51043 L
.56341 .51158 L
.56373 .51204 L
.56492 .51364 L
.56501 .51377 L
.56602 .51525 L
.56662 .51605 L
.56715 .51686 L
.56822 .51834 L
.5683 .51846 L
.56822 .51983 L
.56702 .51846 L
.56662 .51805 L
.56561 .51686 L
.56501 .5162 L
.56424 .51525 L
.56341 .5143 L
.56288 .51364 L
.5618 .51237 L
.56154 .51204 L
.56022 .51043 L
.5602 .5104 L
.55895 .50883 L
.55859 .50841 L
.55766 .50722 L
.55699 .50641 L
.55637 .50562 L
.55538 .50461 L
.55508 .50401 L
.5538 .50241 L
.55378 .50237 L
.55256 .5008 L
.55217 .50032 L
.55131 .4992 L
.55057 .49827 L
.55004 .49759 L
.54896 .4963 L
.54862 .49599 L
.54755 .49438 L
.54735 .49414 L
.54632 .49278 L
.54575 .49206 L
.54508 .49117 L
.54414 .49023 L
.54384 .48957 L
.54261 .48796 L
.54254 .48788 L
.54141 .48636 L
.54093 .48575 L
.54019 .48475 L
.53933 .48363 L
.53897 .48314 L
.53775 .48154 L
.53772 .48151 L
.53658 .47993 L
.53612 .47934 L
.53539 .47833 L
.53451 .47717 L
.53419 .47672 L
.53301 .47512 L
.53291 .47499 L
.5319 .47351 L
.5313 .47272 L
.53076 .47191 L
.5297 .47045 L
.5296 .4703 L
F
1 .79 .001 r
.5297 .57328 m
.53062 .57464 L
.5313 .57552 L
.53178 .57625 L
.53291 .57779 L
.53295 .57785 L
.53291 .57841 L
.53249 .57785 L
.5313 .57665 L
.531 .57625 L
.5297 .57477 L
.52961 .57464 L
F
1 .18 0 r
.5297 .47548 m
.53062 .47672 L
.5313 .47748 L
.53192 .47833 L
.53291 .47949 L
.53323 .47993 L
.53451 .48151 L
.53453 .48154 L
.53451 .48314 L
.53335 .48154 L
.53291 .48103 L
.53213 .47993 L
.5313 .47892 L
.53088 .47833 L
.5297 .47682 L
.52963 .47672 L
F
0 .37 1 r
.5297 .48217 m
.53025 .48314 L
.5313 .48463 L
.53135 .48475 L
.5313 .48485 L
.53121 .48475 L
.5297 .48322 L
.52963 .48314 L
F
.5297 .46884 m
.53098 .4703 L
.5313 .47063 L
.53237 .47191 L
.53291 .4725 L
.53373 .47351 L
.53451 .47441 L
.53508 .47512 L
.53612 .47635 L
.53642 .47672 L
.53772 .4783 L
.53776 .47833 L
.53901 .47993 L
.53933 .48031 L
.54029 .48154 L
.54093 .48232 L
.54158 .48314 L
.54254 .48405 L
.54287 .48475 L
.54414 .48636 L
.54414 .48636 L
.54538 .48796 L
.54575 .48841 L
.54663 .48957 L
.54735 .49047 L
.54789 .49117 L
.54896 .49241 L
.54937 .49278 L
.55039 .49438 L
.55057 .4946 L
.55161 .49599 L
.55217 .49669 L
.55284 .49759 L
.55378 .49845 L
.55409 .4992 L
.55532 .5008 L
.55538 .50088 L
.55651 .50241 L
.55699 .50301 L
.55772 .50401 L
.55859 .50513 L
.55895 .50562 L
.56017 .50722 L
.5602 .50726 L
.56132 .50883 L
.5618 .50944 L
.5625 .51043 L
.56341 .51162 L
.5637 .51204 L
.56487 .51364 L
.56501 .51382 L
.56597 .51525 L
.56662 .51611 L
.5671 .51686 L
.56822 .51843 L
.56824 .51846 L
.56822 .51971 L
.5671 .51846 L
.56662 .51798 L
.56567 .51686 L
.56501 .51614 L
.56428 .51525 L
.56341 .51425 L
.56292 .51364 L
.5618 .51232 L
.56157 .51204 L
.56026 .51043 L
.5602 .51036 L
.55898 .50883 L
.55859 .50837 L
.55769 .50722 L
.55699 .50637 L
.55639 .50562 L
.55538 .50456 L
.5551 .50401 L
.55383 .50241 L
.55378 .50234 L
.55259 .5008 L
.55217 .50029 L
.55133 .4992 L
.55057 .49824 L
.55007 .49759 L
.54896 .49626 L
.54866 .49599 L
.54757 .49438 L
.54735 .49411 L
.54635 .49278 L
.54575 .49203 L
.54511 .49117 L
.54414 .49019 L
.54386 .48957 L
.54263 .48796 L
.54254 .48784 L
.54143 .48636 L
.54093 .48572 L
.54022 .48475 L
.53933 .4836 L
.53899 .48314 L
.53778 .48154 L
.53772 .48147 L
.53661 .47993 L
.53612 .4793 L
.53542 .47833 L
.53451 .47713 L
.53422 .47672 L
.53305 .47512 L
.53291 .47493 L
.53194 .47351 L
.5313 .47266 L
.5308 .47191 L
.5297 .47038 L
.52965 .4703 L
F
1 .84 .007 r
.5297 .53281 m
.5313 .53275 L
.53154 .53291 L
.53291 .53409 L
.53343 .53451 L
.53451 .53571 L
.53512 .53612 L
.53612 .53758 L
.53628 .53772 L
.53754 .53933 L
.53772 .53955 L
.53879 .54093 L
.53933 .54134 L
.54056 .54254 L
.54093 .54359 L
.54138 .54414 L
.54248 .54575 L
.54254 .54583 L
.54364 .54735 L
.54414 .54803 L
.5448 .54896 L
.54575 .5503 L
.54605 .55057 L
.54695 .55217 L
.54735 .55286 L
.5478 .55378 L
.54735 .55489 L
.54575 .55383 L
.54568 .55378 L
.54414 .5523 L
.54393 .55217 L
.54254 .55059 L
.54251 .55057 L
.54112 .54896 L
.54093 .54884 L
.53977 .54735 L
.53933 .54687 L
.53815 .54575 L
.53772 .54482 L
.53715 .54414 L
.53612 .54276 L
.53598 .54254 L
.5347 .54093 L
.53451 .54068 L
.5335 .53933 L
.53291 .53887 L
.53218 .53772 L
.5313 .53633 L
.53121 .53612 L
.53023 .53451 L
.5297 .53313 L
.52967 .53291 L
F
1 .17 0 r
.5297 .47558 m
.53054 .47672 L
.5313 .47756 L
.53186 .47833 L
.53291 .47956 L
.53318 .47993 L
.53291 .48095 L
.53219 .47993 L
.5313 .47885 L
.53094 .47833 L
.5297 .47675 L
.52968 .47672 L
F
.001 .77 1 r
.5297 .5801 m
.53008 .58106 L
.5297 .58107 L
.5297 .58106 L
F
1 .83 .005 r
.5313 .53286 m
.53138 .53291 L
.53291 .53416 L
.53336 .53451 L
.53451 .53576 L
.53505 .53612 L
.53612 .53762 L
.53623 .53772 L
.5375 .53933 L
.53772 .5396 L
.53876 .54093 L
.53933 .54138 L
.54052 .54254 L
.54093 .54365 L
.54133 .54414 L
.54244 .54575 L
.54254 .54588 L
.5436 .54735 L
.54414 .5481 L
.54475 .54896 L
.54575 .55038 L
.54596 .55057 L
.54686 .55217 L
.54735 .55306 L
.54766 .55378 L
.54735 .55465 L
.54586 .55378 L
.54575 .5537 L
.54414 .55221 L
.54407 .55217 L
.54258 .55057 L
.54254 .55052 L
.54118 .54896 L
.54093 .5488 L
.53983 .54735 L
.53933 .54681 L
.53819 .54575 L
.53772 .54477 L
.53719 .54414 L
.53612 .54271 L
.53601 .54254 L
.53475 .54093 L
.53451 .54062 L
.53354 .53933 L
.53291 .5388 L
.53223 .53772 L
.5313 .5362 L
.53127 .53612 L
.53031 .53451 L
.52989 .53291 L
F
.061 .91 1 r
.5313 .45736 m
.5314 .45746 L
.53291 .45898 L
.53298 .45907 L
.53445 .46067 L
.53451 .46074 L
.53588 .46228 L
.53612 .46253 L
.53729 .46388 L
.53772 .46422 L
.53867 .46549 L
.53933 .46625 L
.54032 .46709 L
.54093 .46822 L
.54137 .4687 L
.54254 .47016 L
.54263 .4703 L
.54401 .47191 L
.54414 .47205 L
.54533 .47351 L
.54575 .47406 L
.54669 .47512 L
.54735 .4761 L
.54781 .47672 L
.54896 .47813 L
.54902 .47833 L
.55047 .47993 L
.55057 .48005 L
.55189 .48154 L
.55217 .48211 L
.55298 .48314 L
.55378 .4842 L
.5541 .48475 L
.55538 .48625 L
.55555 .48636 L
.55698 .48796 L
.55699 .48819 L
.5581 .48957 L
.55859 .4903 L
.5592 .49117 L
.5602 .49241 L
.56029 .49278 L
.5618 .49438 L
.56182 .49438 L
.56317 .49599 L
.56341 .49644 L
.56428 .49759 L
.56501 .49857 L
.56536 .4992 L
.56662 .50066 L
.56681 .5008 L
.56819 .50241 L
.56822 .50263 L
.56933 .50401 L
.56983 .50475 L
.57042 .50562 L
.57143 .50688 L
.5715 .50722 L
.573 .50883 L
.57304 .50887 L
.57436 .51043 L
.57464 .51096 L
.57545 .51204 L
.57625 .51309 L
.57654 .51364 L
.57785 .51517 L
.57795 .51525 L
.57939 .51686 L
.57946 .51719 L
.58047 .51846 L
.58106 .51932 L
.58156 .52007 L
.58267 .52143 L
.5827 .52167 L
.58411 .52328 L
.58428 .52344 L
.5855 .52488 L
.58588 .52555 L
.58657 .52649 L
.58749 .52769 L
.58768 .52809 L
.58904 .5297 L
.58909 .52973 L
.59056 .5313 L
.5907 .5318 L
.59157 .53291 L
.5923 .53395 L
.59267 .53451 L
.59391 .53606 L
.59391 .53612 L
.59517 .53772 L
.59551 .53805 L
.59659 .53933 L
.59712 .54021 L
.59764 .54093 L
.59872 .54237 L
.5988 .54254 L
.60007 .54414 L
.60033 .54429 L
.60166 .54575 L
.60193 .54648 L
.60261 .54735 L
.60354 .54868 L
.60372 .54896 L
.60495 .55057 L
.60514 .55082 L
.60615 .55217 L
.60675 .55275 L
.60758 .55378 L
.60835 .55502 L
.60861 .55538 L
.60979 .55699 L
.60996 .5572 L
.61099 .55859 L
.61156 .55898 L
.61258 .5602 L
.61317 .5614 L
.61347 .5618 L
.61459 .56341 L
.61477 .56365 L
.61576 .56501 L
.61638 .56584 L
.61694 .56662 L
.61799 .56792 L
.61821 .56822 L
.61927 .56983 L
.61959 .57025 L
.62041 .57143 L
.6212 .57252 L
.62155 .57304 L
.62267 .57464 L
.6228 .57483 L
.62369 .57625 L
.62441 .57732 L
.62471 .57785 L
.62441 .57917 L
.62305 .57785 L
.6228 .57762 L
.62152 .57625 L
.6212 .57592 L
.62005 .57464 L
.61959 .57414 L
.61863 .57304 L
.61799 .57244 L
.61724 .57143 L
.61638 .57044 L
.61568 .56983 L
.61477 .56848 L
.61453 .56822 L
.61321 .56662 L
.61317 .5666 L
.61189 .56501 L
.61156 .56465 L
.61016 .56341 L
.60996 .56262 L
.60922 .5618 L
.60835 .56059 L
.60806 .5602 L
.60675 .55862 L
.60675 .55859 L
.60543 .55699 L
.60514 .55663 L
.60401 .55538 L
.60354 .55456 L
.60292 .55378 L
.60193 .55249 L
.60176 .55217 L
.60037 .55057 L
.60033 .55052 L
.59886 .54896 L
.59872 .54847 L
.59781 .54735 L
.59712 .54636 L
.5967 .54575 L
.59551 .54429 L
.59551 .54414 L
.5941 .54254 L
.59391 .54231 L
.59272 .54093 L
.5923 .54021 L
.59164 .53933 L
.5907 .53809 L
.59051 .53772 L
.58912 .53612 L
.58909 .53609 L
.58764 .53451 L
.58749 .53402 L
.58659 .53291 L
.58588 .5319 L
.58549 .5313 L
.58428 .52981 L
.58416 .5297 L
.58293 .52809 L
.58267 .5278 L
.58154 .52649 L
.58106 .52569 L
.58046 .52488 L
.57946 .52357 L
.57932 .52328 L
.57798 .52167 L
.57785 .52156 L
.57647 .52007 L
.57625 .51946 L
.57544 .51846 L
.57464 .51733 L
.57434 .51686 L
.57304 .51525 L
.57304 .51525 L
.57182 .51364 L
.57143 .51324 L
.57041 .51204 L
.56983 .51109 L
.56935 .51043 L
.56822 .50897 L
.56816 .50883 L
.56689 .50722 L
.56662 .507 L
.56534 .50562 L
.56501 .50485 L
.56435 .50401 L
.56341 .50269 L
.56323 .50241 L
.56197 .5008 L
.5618 .50076 L
.56076 .4992 L
.5602 .49862 L
.55934 .49759 L
.55859 .49642 L
.55828 .49599 L
.55707 .49438 L
.55699 .49428 L
.55586 .49278 L
.55538 .49241 L
.55428 .49117 L
.55378 .49015 L
.55332 .48957 L
.55217 .48796 L
.55217 .48796 L
.55097 .48636 L
.55057 .48583 L
.54976 .48475 L
.54896 .48388 L
.54837 .48314 L
.54735 .48162 L
.5473 .48154 L
.54611 .47993 L
.54575 .47947 L
.54491 .47833 L
.54414 .47762 L
.5434 .47672 L
.54254 .47523 L
.54245 .47512 L
.5413 .47351 L
.54093 .47304 L
.54011 .47191 L
.53933 .47088 L
.53891 .4703 L
.53772 .46873 L
.5377 .4687 L
.53657 .46709 L
.53612 .4665 L
.53542 .46549 L
.53451 .46427 L
.53425 .46388 L
.53311 .46228 L
.53291 .46199 L
.53205 .46067 L
.5313 .4596 L
.53098 .45907 L
.52999 .45746 L
F
1 .82 .004 r
.5313 .53298 m
.53291 .53422 L
.53329 .53451 L
.53451 .53582 L
.53498 .53612 L
.53612 .53767 L
.53618 .53772 L
.53746 .53933 L
.53772 .53965 L
.53872 .54093 L
.53933 .54142 L
.54048 .54254 L
.54093 .5437 L
.54129 .54414 L
.5424 .54575 L
.54254 .54594 L
.54356 .54735 L
.54414 .54816 L
.5447 .54896 L
.54575 .55047 L
.54586 .55057 L
.54677 .55217 L
.54735 .55332 L
.54751 .55378 L
.54735 .55434 L
.54607 .55378 L
.54575 .55356 L
.5442 .55217 L
.54414 .55212 L
.54266 .55057 L
.54254 .55044 L
.54124 .54896 L
.54093 .54875 L
.53988 .54735 L
.53933 .54675 L
.53823 .54575 L
.53772 .54471 L
.53724 .54414 L
.53612 .54266 L
.53604 .54254 L
.53479 .54093 L
.53451 .54056 L
.53359 .53933 L
.53291 .53873 L
.53229 .53772 L
.53133 .53612 L
.5313 .53608 L
.5304 .53451 L
F
1 .81 .003 r
.5313 .53311 m
.53291 .53428 L
.53321 .53451 L
.53451 .53587 L
.5349 .53612 L
.53612 .53771 L
.53613 .53772 L
.53742 .53933 L
.53772 .5397 L
.53868 .54093 L
.53933 .54146 L
.54043 .54254 L
.54093 .54376 L
.54124 .54414 L
.54236 .54575 L
.54254 .54599 L
.54351 .54735 L
.54414 .54823 L
.54465 .54896 L
.54575 .55055 L
.54576 .55057 L
.54667 .55217 L
.54575 .55342 L
.54431 .55217 L
.54414 .55202 L
.54274 .55057 L
.54254 .55036 L
.5413 .54896 L
.54093 .54871 L
.53993 .54735 L
.53933 .5467 L
.53827 .54575 L
.53772 .54466 L
.53728 .54414 L
.53612 .5426 L
.53608 .54254 L
.53484 .54093 L
.53451 .5405 L
.53363 .53933 L
.53291 .53866 L
.53234 .53772 L
.53139 .53612 L
.5313 .53597 L
.53049 .53451 L
F
.5313 .51315 m
.53179 .51364 L
.53291 .51482 L
.53329 .51525 L
.53451 .51652 L
.53465 .51686 L
.53591 .51846 L
.53612 .51873 L
.53709 .52007 L
.53772 .52099 L
.53817 .52167 L
.53772 .52287 L
.53656 .52167 L
.53612 .52121 L
.53518 .52007 L
.53451 .51929 L
.53389 .51846 L
.53291 .51722 L
.53265 .51686 L
.53149 .51525 L
.5313 .51499 L
.53052 .51364 L
F
1 .8 .002 r
.5313 .53324 m
.53291 .53434 L
.53313 .53451 L
.53451 .53593 L
.53481 .53612 L
.53608 .53772 L
.53612 .53776 L
.53738 .53933 L
.53772 .53975 L
.53864 .54093 L
.53933 .54151 L
.54039 .54254 L
.54093 .54382 L
.5412 .54414 L
.54231 .54575 L
.54254 .54605 L
.54347 .54735 L
.54414 .5483 L
.5446 .54896 L
.54569 .55057 L
.54575 .55066 L
.54657 .55217 L
.54575 .55328 L
.54443 .55217 L
.54414 .55192 L
.54282 .55057 L
.54254 .55027 L
.54137 .54896 L
.54093 .54866 L
.53999 .54735 L
.53933 .54664 L
.53832 .54575 L
.53772 .5446 L
.53733 .54414 L
.53612 .54255 L
.53611 .54254 L
.53488 .54093 L
.53451 .54044 L
.53368 .53933 L
.53291 .53857 L
.5324 .53772 L
.53146 .53612 L
.5313 .53586 L
.53058 .53451 L
F
1 .79 .001 r
.5313 .53337 m
.53291 .5344 L
.53305 .53451 L
.53451 .53599 L
.53473 .53612 L
.53603 .53772 L
.53612 .53782 L
.53733 .53933 L
.53772 .5398 L
.53861 .54093 L
.53933 .54156 L
.54033 .54254 L
.54093 .54388 L
.54115 .54414 L
.54227 .54575 L
.54254 .54611 L
.54342 .54735 L
.54414 .54837 L
.54455 .54896 L
.54561 .55057 L
.54575 .55079 L
.54646 .55217 L
.54575 .55312 L
.54457 .55217 L
.54414 .55182 L
.54291 .55057 L
.54254 .55019 L
.54144 .54896 L
.54093 .54861 L
.54004 .54735 L
.53933 .54658 L
.53837 .54575 L
.53772 .54454 L
.53738 .54414 L
.53615 .54254 L
.53612 .54249 L
.53493 .54093 L
.53451 .54038 L
.53373 .53933 L
.53291 .53848 L
.53246 .53772 L
.53152 .53612 L
.5313 .53574 L
.53067 .53451 L
F
1 .8 .002 r
.5313 .51342 m
.53155 .51364 L
.53291 .51501 L
.53312 .51525 L
.53451 .51686 L
.53451 .51686 L
.53576 .51846 L
.53612 .51892 L
.53694 .52007 L
.53772 .52125 L
.53798 .52167 L
.53772 .52259 L
.53675 .52167 L
.53612 .52104 L
.53531 .52007 L
.53451 .51914 L
.53401 .51846 L
.53291 .51708 L
.53275 .51686 L
.53165 .51525 L
.5313 .51474 L
.53077 .51364 L
F
1 .78 .001 r
.5313 .53352 m
.53291 .53447 L
.53296 .53451 L
.53451 .53605 L
.53463 .53612 L
.53598 .53772 L
.53612 .53788 L
.53729 .53933 L
.53772 .53985 L
.53857 .54093 L
.53933 .54161 L
.54028 .54254 L
.54093 .54394 L
.5411 .54414 L
.54223 .54575 L
.54254 .54617 L
.54337 .54735 L
.54414 .54844 L
.5445 .54896 L
.54553 .55057 L
.54575 .55093 L
.54633 .55217 L
.54575 .55295 L
.54471 .55217 L
.54414 .55171 L
.543 .55057 L
.54254 .55011 L
.5415 .54896 L
.54093 .54856 L
.5401 .54735 L
.53933 .54652 L
.53843 .54575 L
.53772 .54448 L
.53743 .54414 L
.5362 .54254 L
.53612 .54243 L
.53497 .54093 L
.53451 .54032 L
.53378 .53933 L
.53291 .53838 L
.53253 .53772 L
.53159 .53612 L
.5313 .53561 L
.53077 .53451 L
F
1 .69 0 r
.5313 .4639 m
.53274 .46549 L
.53291 .46566 L
.53415 .46709 L
.53451 .46749 L
.53554 .4687 L
.53612 .46936 L
.53691 .4703 L
.53772 .47109 L
.53826 .47191 L
.53933 .47317 L
.5397 .47351 L
.54091 .47512 L
.54093 .47515 L
.54221 .47672 L
.54254 .47684 L
.54351 .47833 L
.54414 .47902 L
.54518 .47993 L
.54575 .4811 L
.54614 .48154 L
.54735 .48312 L
.54737 .48314 L
.54864 .48475 L
.54896 .48501 L
.54992 .48636 L
.55057 .48713 L
.55134 .48796 L
.55217 .48922 L
.55244 .48957 L
.5537 .49117 L
.55378 .49126 L
.55496 .49278 L
.55538 .49321 L
.55655 .49438 L
.55699 .49534 L
.55752 .49599 L
.55859 .49744 L
.55869 .49759 L
.55996 .4992 L
.5602 .49936 L
.5612 .5008 L
.5618 .5015 L
.5626 .50241 L
.56341 .50364 L
.56368 .50401 L
.56492 .50562 L
.56501 .50573 L
.56615 .50722 L
.56662 .50767 L
.56771 .50883 L
.56822 .50986 L
.56868 .51043 L
.56983 .51199 L
.56986 .51204 L
.57108 .51364 L
.57143 .51384 L
.57231 .51525 L
.57304 .51609 L
.57369 .51686 L
.57464 .51828 L
.57477 .51846 L
.57598 .52007 L
.57625 .52041 L
.5772 .52167 L
.57785 .52232 L
.57872 .52328 L
.57946 .5246 L
.57968 .52488 L
.58085 .52649 L
.58106 .52677 L
.58205 .52809 L
.58267 .5285 L
.58326 .5297 L
.58428 .53096 L
.58455 .5313 L
.58566 .53291 L
.58588 .53319 L
.58684 .53451 L
.58749 .53537 L
.58803 .53612 L
.58909 .53743 L
.58933 .53772 L
.59038 .53933 L
.5907 .53975 L
.59153 .54093 L
.5923 .54198 L
.59269 .54254 L
.59384 .54414 L
.59391 .54423 L
.5949 .54575 L
.59551 .54662 L
.59597 .54735 L
.59551 .54869 L
.59428 .54735 L
.59391 .54697 L
.59284 .54575 L
.5923 .54517 L
.59143 .54414 L
.5907 .54331 L
.59005 .54254 L
.58909 .54154 L
.58869 .54093 L
.58749 .5395 L
.5873 .53933 L
.58604 .53772 L
.58588 .53754 L
.58473 .53612 L
.58428 .53583 L
.58342 .53451 L
.58267 .53366 L
.58185 .53291 L
.58106 .53159 L
.58081 .5313 L
.57955 .5297 L
.57946 .52958 L
.57828 .52809 L
.57785 .52769 L
.5764 .52649 L
.57625 .52557 L
.57562 .52488 L
.57464 .52349 L
.57448 .52328 L
.57322 .52167 L
.57304 .5216 L
.57196 .52007 L
.57143 .51949 L
.57044 .51846 L
.56983 .51736 L
.56942 .51686 L
.56822 .51528 L
.56821 .51525 L
.56696 .51364 L
.56662 .51336 L
.56519 .51204 L
.56501 .5112 L
.56435 .51043 L
.56341 .50907 L
.56323 .50883 L
.56199 .50722 L
.5618 .50719 L
.56076 .50562 L
.5602 .50503 L
.55926 .50401 L
.55859 .50285 L
.55825 .50241 L
.55705 .5008 L
.55699 .50072 L
.55583 .4992 L
.55538 .49886 L
.55409 .49759 L
.55378 .49661 L
.55326 .49599 L
.55217 .49443 L
.55213 .49438 L
.55093 .49278 L
.55057 .49231 L
.54971 .49117 L
.54896 .49037 L
.54825 .48957 L
.54735 .48812 L
.54724 .48796 L
.54605 .48636 L
.54575 .48596 L
.54485 .48475 L
.54414 .48415 L
.5432 .48314 L
.54254 .48175 L
.54237 .48154 L
.54123 .47993 L
.54093 .47955 L
.54005 .47833 L
.53933 .47739 L
.53885 .47672 L
.53772 .47528 L
.53759 .47512 L
.53649 .47351 L
.53612 .47302 L
.53533 .47191 L
.53451 .47081 L
.53416 .4703 L
.533 .4687 L
.53291 .46857 L
.53192 .46709 L
.5313 .46623 L
.53083 .46549 L
F
0 .36 1 r
.5313 .47071 m
.53231 .47191 L
.53291 .47256 L
.53369 .47351 L
.53451 .47446 L
.53505 .47512 L
.53612 .47639 L
.53639 .47672 L
.53771 .47833 L
.53772 .47835 L
.53898 .47993 L
.53933 .48035 L
.54026 .48154 L
.54093 .48235 L
.54155 .48314 L
.54254 .48409 L
.54284 .48475 L
.54412 .48636 L
.54414 .48639 L
.54535 .48796 L
.54575 .48844 L
.54661 .48957 L
.54735 .4905 L
.54787 .49117 L
.54896 .49245 L
.54933 .49278 L
.55036 .49438 L
.55057 .49463 L
.55158 .49599 L
.55217 .49672 L
.55282 .49759 L
.55378 .49849 L
.55406 .4992 L
.55529 .5008 L
.55538 .50091 L
.55649 .50241 L
.55699 .50304 L
.5577 .50401 L
.55859 .50517 L
.55892 .50562 L
.56014 .50722 L
.5602 .5073 L
.56129 .50883 L
.5618 .50949 L
.56247 .51043 L
.56341 .51166 L
.56367 .51204 L
.56483 .51364 L
.56501 .51388 L
.56593 .51525 L
.56662 .51618 L
.56705 .51686 L
.56662 .5179 L
.56573 .51686 L
.56501 .51608 L
.56433 .51525 L
.56341 .5142 L
.56296 .51364 L
.5618 .51228 L
.56161 .51204 L
.5603 .51043 L
.5602 .51032 L
.55901 .50883 L
.55859 .50833 L
.55772 .50722 L
.55699 .50634 L
.55642 .50562 L
.55538 .50451 L
.55513 .50401 L
.55386 .50241 L
.55378 .50231 L
.55261 .5008 L
.55217 .50026 L
.55135 .4992 L
.55057 .49821 L
.55009 .49759 L
.54896 .49622 L
.54871 .49599 L
.5476 .49438 L
.54735 .49408 L
.54637 .49278 L
.54575 .49199 L
.54513 .49117 L
.54414 .49014 L
.54388 .48957 L
.54266 .48796 L
.54254 .48781 L
.54146 .48636 L
.54093 .48569 L
.54024 .48475 L
.53933 .48357 L
.53902 .48314 L
.53781 .48154 L
.53772 .48143 L
.53664 .47993 L
.53612 .47926 L
.53546 .47833 L
.53451 .47709 L
.53425 .47672 L
.53309 .47512 L
.53291 .47488 L
.53198 .47351 L
.5313 .4726 L
.53085 .47191 L
F
1 .77 .001 r
.5313 .53368 m
.53286 .53451 L
.53291 .53455 L
.53451 .5361 L
.53453 .53612 L
.53593 .53772 L
.53612 .53793 L
.53725 .53933 L
.53772 .5399 L
.53853 .54093 L
.53933 .54167 L
.54022 .54254 L
.54093 .544 L
.54105 .54414 L
.54218 .54575 L
.54254 .54623 L
.54332 .54735 L
.54414 .54851 L
.54444 .54896 L
.54544 .55057 L
.54575 .5511 L
.54619 .55217 L
.54575 .55277 L
.54488 .55217 L
.54414 .5516 L
.54309 .55057 L
.54254 .55003 L
.54157 .54896 L
.54093 .5485 L
.54016 .54735 L
.53933 .54645 L
.53849 .54575 L
.53772 .54442 L
.53748 .54414 L
.53625 .54254 L
.53612 .54238 L
.53502 .54093 L
.53451 .54026 L
.53382 .53933 L
.53291 .53827 L
.5326 .53772 L
.53166 .53612 L
.5313 .53546 L
.53088 .53451 L
F
0 .35 1 r
.5313 .47078 m
.53225 .47191 L
.53291 .47262 L
.53364 .47351 L
.53451 .47451 L
.53501 .47512 L
.53612 .47643 L
.53635 .47672 L
.53767 .47833 L
.53772 .47839 L
.53895 .47993 L
.53933 .48038 L
.54023 .48154 L
.54093 .48239 L
.54153 .48314 L
.54254 .48414 L
.54282 .48475 L
.54409 .48636 L
.54414 .48642 L
.54533 .48796 L
.54575 .48848 L
.54658 .48957 L
.54735 .49053 L
.54785 .49117 L
.54896 .49249 L
.54928 .49278 L
.55034 .49438 L
.55057 .49466 L
.55156 .49599 L
.55217 .49676 L
.5528 .49759 L
.55378 .49854 L
.55404 .4992 L
.55527 .5008 L
.55538 .50095 L
.55646 .50241 L
.55699 .50308 L
.55767 .50401 L
.55859 .5052 L
.5589 .50562 L
.56011 .50722 L
.5602 .50734 L
.56126 .50883 L
.5618 .50953 L
.56244 .51043 L
.56341 .51171 L
.56364 .51204 L
.56479 .51364 L
.56501 .51394 L
.56588 .51525 L
.56662 .51626 L
.56699 .51686 L
.56662 .51782 L
.5658 .51686 L
.56501 .51602 L
.56438 .51525 L
.56341 .51415 L
.563 .51364 L
.5618 .51223 L
.56165 .51204 L
.56033 .51043 L
.5602 .51028 L
.55905 .50883 L
.55859 .50829 L
.55775 .50722 L
.55699 .5063 L
.55645 .50562 L
.55538 .50446 L
.55516 .50401 L
.55389 .50241 L
.55378 .50227 L
.55264 .5008 L
.55217 .50023 L
.55138 .4992 L
.55057 .49818 L
.55011 .49759 L
.54896 .49618 L
.54875 .49599 L
.54762 .49438 L
.54735 .49405 L
.54639 .49278 L
.54575 .49196 L
.54515 .49117 L
.54414 .49009 L
.54391 .48957 L
.54268 .48796 L
.54254 .48778 L
.54149 .48636 L
.54093 .48565 L
.54027 .48475 L
.53933 .48353 L
.53904 .48314 L
.53784 .48154 L
.53772 .4814 L
.53667 .47993 L
.53612 .47922 L
.53549 .47833 L
.53451 .47704 L
.53429 .47672 L
.53313 .47512 L
.53291 .47482 L
.53203 .47351 L
.5313 .47253 L
.5309 .47191 L
F
1 .68 0 r
.5313 .46403 m
.53264 .46549 L
.53291 .46576 L
.53407 .46709 L
.53451 .46757 L
.53548 .4687 L
.53612 .46943 L
.53685 .4703 L
.53772 .47116 L
.53821 .47191 L
.53933 .47323 L
.53964 .47351 L
.54086 .47512 L
.54093 .4752 L
.54217 .47672 L
.54254 .47685 L
.54348 .47833 L
.54414 .47906 L
.54515 .47993 L
.54575 .48114 L
.54611 .48154 L
.54734 .48314 L
.54735 .48316 L
.54861 .48475 L
.54896 .48503 L
.54989 .48636 L
.55057 .48716 L
.55131 .48796 L
.55217 .48925 L
.55242 .48957 L
.55368 .49117 L
.55378 .49129 L
.55493 .49278 L
.55538 .49324 L
.55653 .49438 L
.55699 .49537 L
.55749 .49599 L
.55859 .49746 L
.55867 .49759 L
.55994 .4992 L
.5602 .49937 L
.56118 .5008 L
.5618 .50152 L
.56258 .50241 L
.56341 .50366 L
.56366 .50401 L
.5649 .50562 L
.56501 .50575 L
.56614 .50722 L
.56662 .5077 L
.5677 .50883 L
.56822 .50988 L
.56866 .51043 L
.56983 .51202 L
.56984 .51204 L
.57106 .51364 L
.57143 .51386 L
.57229 .51525 L
.57304 .51611 L
.57367 .51686 L
.57464 .51831 L
.57475 .51846 L
.57596 .52007 L
.57625 .52044 L
.57718 .52167 L
.57785 .52235 L
.5787 .52328 L
.57946 .52463 L
.57966 .52488 L
.58082 .52649 L
.58106 .5268 L
.58202 .52809 L
.58267 .52853 L
.58323 .5297 L
.58428 .531 L
.58452 .5313 L
.58563 .53291 L
.58588 .53323 L
.58681 .53451 L
.58749 .53541 L
.588 .53612 L
.58909 .5375 L
.58928 .53772 L
.59034 .53933 L
.5907 .5398 L
.59148 .54093 L
.5923 .54204 L
.59264 .54254 L
.59378 .54414 L
.59391 .54432 L
.59482 .54575 L
.59551 .54674 L
.59588 .54735 L
.59551 .54854 L
.5944 .54735 L
.59391 .54687 L
.59292 .54575 L
.5923 .54508 L
.5915 .54414 L
.5907 .54324 L
.5901 .54254 L
.58909 .54146 L
.58874 .54093 L
.58749 .53944 L
.58736 .53933 L
.58608 .53772 L
.58588 .53749 L
.58477 .53612 L
.58428 .5358 L
.58346 .53451 L
.58267 .53362 L
.58189 .53291 L
.58106 .53156 L
.58084 .5313 L
.57959 .5297 L
.57946 .52954 L
.57831 .52809 L
.57785 .52767 L
.57642 .52649 L
.57625 .52554 L
.57565 .52488 L
.57464 .52346 L
.57451 .52328 L
.57324 .52167 L
.57304 .52159 L
.57198 .52007 L
.57143 .51946 L
.57046 .51846 L
.56983 .51733 L
.56944 .51686 L
.56822 .51525 L
.56822 .51525 L
.56698 .51364 L
.56662 .51334 L
.5652 .51204 L
.56501 .51118 L
.56437 .51043 L
.56341 .50904 L
.56325 .50883 L
.56201 .50722 L
.5618 .50719 L
.56078 .50562 L
.5602 .505 L
.55928 .50401 L
.55859 .50282 L
.55827 .50241 L
.55707 .5008 L
.55699 .5007 L
.55585 .4992 L
.55538 .49884 L
.5541 .49759 L
.55378 .49658 L
.55328 .49599 L
.55217 .49441 L
.55215 .49438 L
.55095 .49278 L
.55057 .49229 L
.54973 .49117 L
.54896 .49034 L
.54828 .48957 L
.54735 .48808 L
.54726 .48796 L
.54608 .48636 L
.54575 .48593 L
.54487 .48475 L
.54414 .48411 L
.54323 .48314 L
.54254 .48171 L
.5424 .48154 L
.54126 .47993 L
.54093 .47951 L
.54008 .47833 L
.53933 .47735 L
.53888 .47672 L
.53772 .47522 L
.53764 .47512 L
.53653 .47351 L
.53612 .47297 L
.53537 .47191 L
.53451 .47075 L
.5342 .4703 L
.53306 .4687 L
.53291 .4685 L
.53199 .46709 L
.5313 .46613 L
.5309 .46549 L
F
0 .74 1 r
.5313 .53952 m
.53241 .54093 L
.53291 .54155 L
.53358 .54254 L
.53451 .54383 L
.53469 .54414 L
.53451 .54492 L
.53373 .54414 L
.53291 .54331 L
.53225 .54254 L
.5313 .54141 L
.53094 .54093 L
F
0 .34 1 r
.5313 .47086 m
.53219 .47191 L
.53291 .47268 L
.53359 .47351 L
.53451 .47456 L
.53497 .47512 L
.53612 .47648 L
.53632 .47672 L
.53763 .47833 L
.53772 .47843 L
.53891 .47993 L
.53933 .48042 L
.5402 .48154 L
.54093 .48242 L
.5415 .48314 L
.54254 .4842 L
.54279 .48475 L
.54406 .48636 L
.54414 .48646 L
.5453 .48796 L
.54575 .48851 L
.54656 .48957 L
.54735 .49056 L
.54782 .49117 L
.54896 .49254 L
.54923 .49278 L
.55031 .49438 L
.55057 .4947 L
.55153 .49599 L
.55217 .49679 L
.55277 .49759 L
.55378 .49859 L
.55402 .4992 L
.55524 .5008 L
.55538 .50098 L
.55643 .50241 L
.55699 .50311 L
.55764 .50401 L
.55859 .50524 L
.55887 .50562 L
.56007 .50722 L
.5602 .50738 L
.56123 .50883 L
.5618 .50957 L
.56241 .51043 L
.56341 .51176 L
.5636 .51204 L
.56474 .51364 L
.56501 .514 L
.56582 .51525 L
.56662 .51634 L
.56694 .51686 L
.56662 .51773 L
.56587 .51686 L
.56501 .51595 L
.56443 .51525 L
.56341 .51409 L
.56304 .51364 L
.5618 .51219 L
.56168 .51204 L
.56037 .51043 L
.5602 .51023 L
.55908 .50883 L
.55859 .50825 L
.55778 .50722 L
.55699 .50627 L
.55648 .50562 L
.55538 .50441 L
.55518 .50401 L
.55392 .50241 L
.55378 .50224 L
.55267 .5008 L
.55217 .50019 L
.5514 .4992 L
.55057 .49815 L
.55014 .49759 L
.54896 .49614 L
.54879 .49599 L
.54765 .49438 L
.54735 .49402 L
.54642 .49278 L
.54575 .49193 L
.54518 .49117 L
.54414 .49005 L
.54393 .48957 L
.54271 .48796 L
.54254 .48774 L
.54151 .48636 L
.54093 .48562 L
.5403 .48475 L
.53933 .4835 L
.53907 .48314 L
.53787 .48154 L
.53772 .48136 L
.5367 .47993 L
.53612 .47917 L
.53552 .47833 L
.53451 .477 L
.53432 .47672 L
.53318 .47512 L
.53291 .47476 L
.53208 .47351 L
.5313 .47246 L
.53095 .47191 L
F
1 .67 0 r
.5313 .46417 m
.53253 .46549 L
.53291 .46586 L
.53399 .46709 L
.53451 .46765 L
.53541 .4687 L
.53612 .4695 L
.5368 .4703 L
.53772 .47122 L
.53816 .47191 L
.53933 .47329 L
.53958 .47351 L
.54082 .47512 L
.54093 .47525 L
.54213 .47672 L
.54254 .47688 L
.54344 .47833 L
.54414 .4791 L
.54511 .47993 L
.54575 .48118 L
.54607 .48154 L
.54731 .48314 L
.54735 .4832 L
.54859 .48475 L
.54896 .48506 L
.54986 .48636 L
.55057 .48719 L
.55129 .48796 L
.55217 .48928 L
.55239 .48957 L
.55366 .49117 L
.55378 .49132 L
.55491 .49278 L
.55538 .49326 L
.55651 .49438 L
.55699 .4954 L
.55747 .49599 L
.55859 .49749 L
.55866 .49759 L
.55992 .4992 L
.5602 .49939 L
.56116 .5008 L
.5618 .50155 L
.56256 .50241 L
.56341 .50369 L
.56365 .50401 L
.56489 .50562 L
.56501 .50578 L
.56612 .50722 L
.56662 .50772 L
.56768 .50883 L
.56822 .50991 L
.56864 .51043 L
.56983 .51204 L
.56983 .51204 L
.57104 .51364 L
.57143 .51387 L
.57227 .51525 L
.57304 .51614 L
.57365 .51686 L
.57464 .51833 L
.57473 .51846 L
.57594 .52007 L
.57625 .52046 L
.57715 .52167 L
.57785 .52238 L
.57867 .52328 L
.57946 .52466 L
.57963 .52488 L
.5808 .52649 L
.58106 .52683 L
.582 .52809 L
.58267 .52857 L
.58321 .5297 L
.58428 .53105 L
.58448 .5313 L
.5856 .53291 L
.58588 .53327 L
.58678 .53451 L
.58749 .53545 L
.58797 .53612 L
.58909 .53757 L
.58922 .53772 L
.5903 .53933 L
.5907 .53986 L
.59144 .54093 L
.5923 .54211 L
.59259 .54254 L
.59371 .54414 L
.59391 .54442 L
.59474 .54575 L
.59551 .54688 L
.59578 .54735 L
.59551 .54837 L
.59453 .54735 L
.59391 .54676 L
.59301 .54575 L
.5923 .545 L
.59157 .54414 L
.5907 .54317 L
.59016 .54254 L
.58909 .54139 L
.58879 .54093 L
.58749 .53938 L
.58743 .53933 L
.58612 .53772 L
.58588 .53744 L
.58481 .53612 L
.58428 .53576 L
.58349 .53451 L
.58267 .53358 L
.58193 .53291 L
.58106 .53152 L
.58088 .5313 L
.57962 .5297 L
.57946 .52951 L
.57834 .52809 L
.57785 .52764 L
.57644 .52649 L
.57625 .5255 L
.57568 .52488 L
.57464 .52343 L
.57453 .52328 L
.57326 .52167 L
.57304 .52158 L
.57201 .52007 L
.57143 .51944 L
.57048 .51846 L
.56983 .5173 L
.56946 .51686 L
.56824 .51525 L
.56822 .51523 L
.567 .51364 L
.56662 .51332 L
.56521 .51204 L
.56501 .51115 L
.56439 .51043 L
.56341 .50902 L
.56327 .50883 L
.56203 .50722 L
.5618 .50718 L
.5608 .50562 L
.5602 .50498 L
.5593 .50401 L
.55859 .5028 L
.55829 .50241 L
.55709 .5008 L
.55699 .50068 L
.55587 .4992 L
.55538 .49882 L
.55412 .49759 L
.55378 .49656 L
.5533 .49599 L
.55217 .49438 L
.55217 .49438 L
.55097 .49278 L
.55057 .49226 L
.54975 .49117 L
.54896 .49031 L
.5483 .48957 L
.54735 .48805 L
.54728 .48796 L
.5461 .48636 L
.54575 .4859 L
.5449 .48475 L
.54414 .48408 L
.54327 .48314 L
.54254 .48167 L
.54244 .48154 L
.54129 .47993 L
.54093 .47947 L
.5401 .47833 L
.53933 .47731 L
.53891 .47672 L
.53772 .47516 L
.53769 .47512 L
.53657 .47351 L
.53612 .47292 L
.53541 .47191 L
.53451 .47069 L
.53425 .4703 L
.53312 .4687 L
.53291 .46841 L
.53206 .46709 L
.5313 .46602 L
.53098 .46549 L
F
1 .76 .001 r
.5313 .53386 m
.53273 .53451 L
.53291 .53464 L
.53446 .53612 L
.53451 .53617 L
.53588 .53772 L
.53612 .53799 L
.53721 .53933 L
.53772 .53995 L
.53849 .54093 L
.53933 .54172 L
.54016 .54254 L
.54093 .54407 L
.54099 .54414 L
.54214 .54575 L
.54254 .54629 L
.54328 .54735 L
.54414 .54859 L
.54439 .54896 L
.54535 .55057 L
.54575 .55131 L
.54603 .55217 L
.54575 .55254 L
.54509 .55217 L
.54414 .55149 L
.54318 .55057 L
.54254 .54994 L
.54164 .54896 L
.54093 .54844 L
.54022 .54735 L
.53933 .54639 L
.53855 .54575 L
.53772 .54436 L
.53753 .54414 L
.53629 .54254 L
.53612 .54232 L
.53507 .54093 L
.53451 .5402 L
.53387 .53933 L
.53291 .53815 L
.53267 .53772 L
.53173 .53612 L
.5313 .53529 L
.53099 .53451 L
F
.033 .89 1 r
.5313 .56878 m
.53213 .56983 L
.53291 .57074 L
.53345 .57143 L
.53451 .57272 L
.53476 .57304 L
.53451 .57459 L
.5334 .57304 L
.53291 .57243 L
.53222 .57143 L
.5313 .57028 L
.531 .56983 L
F
1 .16 0 r
.5313 .47765 m
.53179 .47833 L
.53291 .47963 L
.53312 .47993 L
.53291 .48086 L
.53226 .47993 L
.5313 .47877 L
.531 .47833 L
F
0 .33 1 r
.5313 .47095 m
.53212 .47191 L
.53291 .47274 L
.53354 .47351 L
.53451 .47461 L
.53493 .47512 L
.53612 .47652 L
.53628 .47672 L
.53759 .47833 L
.53772 .47848 L
.53888 .47993 L
.53933 .48046 L
.54017 .48154 L
.54093 .48246 L
.54147 .48314 L
.54254 .48425 L
.54276 .48475 L
.54403 .48636 L
.54414 .48649 L
.54527 .48796 L
.54575 .48854 L
.54653 .48957 L
.54735 .49059 L
.5478 .49117 L
.54896 .49258 L
.54918 .49278 L
.55029 .49438 L
.55057 .49473 L
.55151 .49599 L
.55217 .49682 L
.55275 .49759 L
.55378 .49865 L
.554 .4992 L
.55521 .5008 L
.55538 .50101 L
.55641 .50241 L
.55699 .50315 L
.55762 .50401 L
.55859 .50527 L
.55884 .50562 L
.56004 .50722 L
.5602 .50742 L
.56119 .50883 L
.5618 .50962 L
.56237 .51043 L
.56341 .5118 L
.56357 .51204 L
.56469 .51364 L
.56501 .51407 L
.56577 .51525 L
.56662 .51643 L
.56687 .51686 L
.56662 .51762 L
.56595 .51686 L
.56501 .51588 L
.56449 .51525 L
.56341 .51404 L
.56309 .51364 L
.5618 .51214 L
.56172 .51204 L
.56041 .51043 L
.5602 .51019 L
.55912 .50883 L
.55859 .50821 L
.55781 .50722 L
.55699 .50623 L
.55651 .50562 L
.55538 .50436 L
.55521 .50401 L
.55395 .50241 L
.55378 .5022 L
.5527 .5008 L
.55217 .50016 L
.55143 .4992 L
.55057 .49812 L
.55016 .49759 L
.54896 .4961 L
.54884 .49599 L
.54768 .49438 L
.54735 .49398 L
.54644 .49278 L
.54575 .4919 L
.5452 .49117 L
.54414 .49 L
.54395 .48957 L
.54274 .48796 L
.54254 .48771 L
.54154 .48636 L
.54093 .48558 L
.54032 .48475 L
.53933 .48346 L
.53909 .48314 L
.5379 .48154 L
.53772 .48131 L
.53674 .47993 L
.53612 .47913 L
.53555 .47833 L
.53451 .47695 L
.53435 .47672 L
.53322 .47512 L
.53291 .4747 L
.53213 .47351 L
.5313 .47238 L
.53101 .47191 L
F
1 .66 0 r
.5313 .46433 m
.53242 .46549 L
.53291 .46597 L
.53391 .46709 L
.53451 .46773 L
.53534 .4687 L
.53612 .46957 L
.53674 .4703 L
.53772 .4713 L
.53811 .47191 L
.53933 .47335 L
.53951 .47351 L
.54078 .47512 L
.54093 .4753 L
.54209 .47672 L
.54254 .4769 L
.5434 .47833 L
.54414 .47914 L
.54507 .47993 L
.54575 .48122 L
.54604 .48154 L
.54728 .48314 L
.54735 .48323 L
.54856 .48475 L
.54896 .48508 L
.54984 .48636 L
.55057 .48722 L
.55126 .48796 L
.55217 .48931 L
.55237 .48957 L
.55363 .49117 L
.55378 .49135 L
.55489 .49278 L
.55538 .49329 L
.55649 .49438 L
.55699 .49543 L
.55745 .49599 L
.55859 .49751 L
.55864 .49759 L
.55989 .4992 L
.5602 .4994 L
.56114 .5008 L
.5618 .50157 L
.56254 .50241 L
.56341 .50371 L
.56363 .50401 L
.56487 .50562 L
.56501 .5058 L
.5661 .50722 L
.56662 .50774 L
.56766 .50883 L
.56822 .50993 L
.56862 .51043 L
.56981 .51204 L
.56983 .51207 L
.57102 .51364 L
.57143 .51389 L
.57225 .51525 L
.57304 .51617 L
.57362 .51686 L
.57464 .51836 L
.57471 .51846 L
.57592 .52007 L
.57625 .52049 L
.57713 .52167 L
.57785 .5224 L
.57864 .52328 L
.57946 .5247 L
.5796 .52488 L
.58077 .52649 L
.58106 .52686 L
.58197 .52809 L
.58267 .52861 L
.58318 .5297 L
.58428 .53109 L
.58445 .5313 L
.58557 .53291 L
.58588 .53331 L
.58674 .53451 L
.58749 .5355 L
.58793 .53612 L
.58909 .53765 L
.58915 .53772 L
.59025 .53933 L
.5907 .53992 L
.59139 .54093 L
.5923 .54218 L
.59254 .54254 L
.59364 .54414 L
.59391 .54452 L
.59466 .54575 L
.59551 .54705 L
.59567 .54735 L
.59551 .54817 L
.59468 .54735 L
.59391 .54664 L
.5931 .54575 L
.5923 .54491 L
.59164 .54414 L
.5907 .5431 L
.59022 .54254 L
.58909 .54131 L
.58884 .54093 L
.58749 .53933 L
.58749 .53932 L
.58617 .53772 L
.58588 .53739 L
.58485 .53612 L
.58428 .53573 L
.58353 .53451 L
.58267 .53353 L
.58197 .53291 L
.58106 .53148 L
.58091 .5313 L
.57965 .5297 L
.57946 .52947 L
.57837 .52809 L
.57785 .52761 L
.57646 .52649 L
.57625 .52547 L
.5757 .52488 L
.57464 .5234 L
.57455 .52328 L
.57329 .52167 L
.57304 .52157 L
.57203 .52007 L
.57143 .51941 L
.5705 .51846 L
.56983 .51728 L
.56948 .51686 L
.56826 .51525 L
.56822 .5152 L
.56702 .51364 L
.56662 .5133 L
.56523 .51204 L
.56501 .51113 L
.56441 .51043 L
.56341 .509 L
.56329 .50883 L
.56205 .50722 L
.5618 .50718 L
.56081 .50562 L
.5602 .50496 L
.55932 .50401 L
.55859 .50277 L
.5583 .50241 L
.55711 .5008 L
.55699 .50065 L
.55589 .4992 L
.55538 .4988 L
.55414 .49759 L
.55378 .49653 L
.55332 .49599 L
.55219 .49438 L
.55217 .49436 L
.55099 .49278 L
.55057 .49224 L
.54977 .49117 L
.54896 .49028 L
.54833 .48957 L
.54735 .48802 L
.54731 .48796 L
.54612 .48636 L
.54575 .48587 L
.54492 .48475 L
.54414 .48404 L
.54331 .48314 L
.54254 .48163 L
.54247 .48154 L
.54132 .47993 L
.54093 .47944 L
.54013 .47833 L
.53933 .47727 L
.53894 .47672 L
.53774 .47512 L
.53772 .4751 L
.53661 .47351 L
.53612 .47286 L
.53546 .47191 L
.53451 .47063 L
.53429 .4703 L
.53318 .4687 L
.53291 .46832 L
.53213 .46709 L
.5313 .46589 L
.53106 .46549 L
F
0 .32 1 r
.5313 .47105 m
.53204 .47191 L
.53291 .47281 L
.53349 .47351 L
.53451 .47466 L
.53488 .47512 L
.53612 .47657 L
.53624 .47672 L
.53755 .47833 L
.53772 .47852 L
.53884 .47993 L
.53933 .4805 L
.54014 .48154 L
.54093 .48249 L
.54144 .48314 L
.54254 .48431 L
.54274 .48475 L
.544 .48636 L
.54414 .48653 L
.54525 .48796 L
.54575 .48857 L
.54651 .48957 L
.54735 .49062 L
.54777 .49117 L
.54896 .49262 L
.54913 .49278 L
.55026 .49438 L
.55057 .49476 L
.55148 .49599 L
.55217 .49685 L
.55273 .49759 L
.55378 .4987 L
.55397 .4992 L
.55518 .5008 L
.55538 .50105 L
.55638 .50241 L
.55699 .50318 L
.55759 .50401 L
.55859 .50531 L
.55882 .50562 L
.56001 .50722 L
.5602 .50746 L
.56116 .50883 L
.5618 .50966 L
.56234 .51043 L
.56341 .51185 L
.56354 .51204 L
.56464 .51364 L
.56501 .51414 L
.56571 .51525 L
.56662 .51653 L
.5668 .51686 L
.56662 .5175 L
.56604 .51686 L
.56501 .51581 L
.56454 .51525 L
.56341 .51398 L
.56313 .51364 L
.5618 .51209 L
.56176 .51204 L
.56046 .51043 L
.5602 .51014 L
.55915 .50883 L
.55859 .50817 L
.55784 .50722 L
.55699 .50619 L
.55654 .50562 L
.55538 .5043 L
.55524 .50401 L
.55398 .50241 L
.55378 .50217 L
.55272 .5008 L
.55217 .50013 L
.55146 .4992 L
.55057 .49809 L
.55019 .49759 L
.54896 .49605 L
.54889 .49599 L
.5477 .49438 L
.54735 .49395 L
.54647 .49278 L
.54575 .49187 L
.54522 .49117 L
.54414 .48994 L
.54398 .48957 L
.54277 .48796 L
.54254 .48767 L
.54157 .48636 L
.54093 .48555 L
.54035 .48475 L
.53933 .48343 L
.53912 .48314 L
.53793 .48154 L
.53772 .48127 L
.53677 .47993 L
.53612 .47909 L
.53558 .47833 L
.53451 .4769 L
.53439 .47672 L
.53327 .47512 L
.53291 .47463 L
.53218 .47351 L
.5313 .4723 L
.53107 .47191 L
F
1 .15 0 r
.5313 .47775 m
.53171 .47833 L
.53291 .47972 L
.53306 .47993 L
.53291 .48077 L
.53235 .47993 L
.5313 .47867 L
.53107 .47833 L
F
0 .73 1 r
.5313 .5397 m
.53225 .54093 L
.53291 .54173 L
.53344 .54254 L
.53451 .54413 L
.53452 .54414 L
.53451 .54449 L
.53402 .54414 L
.53291 .54312 L
.53241 .54254 L
.5313 .54123 L
.53107 .54093 L
F
1 .75 0 r
.5313 .53407 m
.53257 .53451 L
.53291 .53474 L
.53439 .53612 L
.53451 .53624 L
.53583 .53772 L
.53612 .53805 L
.53716 .53933 L
.53772 .54 L
.53845 .54093 L
.53933 .54179 L
.5401 .54254 L
.54093 .54414 L
.54094 .54414 L
.54209 .54575 L
.54254 .54636 L
.54323 .54735 L
.54414 .54868 L
.54433 .54896 L
.54526 .55057 L
.54575 .55164 L
.5458 .55217 L
.54575 .55224 L
.54542 .55217 L
.54414 .55137 L
.54329 .55057 L
.54254 .54985 L
.54171 .54896 L
.54093 .54838 L
.54027 .54735 L
.53933 .54632 L
.53862 .54575 L
.53772 .5443 L
.53758 .54414 L
.53634 .54254 L
.53612 .54226 L
.53511 .54093 L
.53451 .54013 L
.53392 .53933 L
.53291 .53802 L
.53274 .53772 L
.53181 .53612 L
.5313 .53507 L
.53112 .53451 L
F
0 .31 1 r
.5313 .47117 m
.53195 .47191 L
.53291 .47288 L
.53343 .47351 L
.53451 .47472 L
.53484 .47512 L
.53612 .47661 L
.53621 .47672 L
.53751 .47833 L
.53772 .47857 L
.53881 .47993 L
.53933 .48054 L
.54011 .48154 L
.54093 .48253 L
.54141 .48314 L
.54254 .48436 L
.54271 .48475 L
.54397 .48636 L
.54414 .48656 L
.54522 .48796 L
.54575 .48861 L
.54648 .48957 L
.54735 .49065 L
.54775 .49117 L
.54896 .49267 L
.54908 .49278 L
.55023 .49438 L
.55057 .49479 L
.55146 .49599 L
.55217 .49688 L
.5527 .49759 L
.55378 .49876 L
.55395 .4992 L
.55516 .5008 L
.55538 .50108 L
.55635 .50241 L
.55699 .50322 L
.55756 .50401 L
.55859 .50534 L
.55879 .50562 L
.55997 .50722 L
.5602 .50751 L
.56113 .50883 L
.5618 .50971 L
.5623 .51043 L
.56341 .5119 L
.5635 .51204 L
.56458 .51364 L
.56501 .51422 L
.56564 .51525 L
.56662 .51666 L
.56672 .51686 L
.56662 .51736 L
.56616 .51686 L
.56501 .51573 L
.56461 .51525 L
.56341 .51392 L
.56318 .51364 L
.5618 .51204 L
.5618 .51204 L
.5605 .51043 L
.5602 .51009 L
.55919 .50883 L
.55859 .50813 L
.55788 .50722 L
.55699 .50615 L
.55657 .50562 L
.55538 .50425 L
.55527 .50401 L
.55401 .50241 L
.55378 .50213 L
.55275 .5008 L
.55217 .50009 L
.55148 .4992 L
.55057 .49805 L
.55021 .49759 L
.54896 .49601 L
.54894 .49599 L
.54773 .49438 L
.54735 .49392 L
.5465 .49278 L
.54575 .49184 L
.54525 .49117 L
.54414 .48989 L
.544 .48957 L
.5428 .48796 L
.54254 .48764 L
.54159 .48636 L
.54093 .48551 L
.54038 .48475 L
.53933 .48339 L
.53915 .48314 L
.53797 .48154 L
.53772 .48123 L
.5368 .47993 L
.53612 .47904 L
.53562 .47833 L
.53451 .47685 L
.53442 .47672 L
.53333 .47512 L
.53291 .47456 L
.53224 .47351 L
.5313 .4722 L
.53113 .47191 L
F
1 .14 0 r
.5313 .47788 m
.53161 .47833 L
.53291 .47981 L
.533 .47993 L
.53291 .48065 L
.53245 .47993 L
.5313 .47856 L
.53115 .47833 L
F
1 .65 0 r
.5313 .46452 m
.53228 .46549 L
.53291 .46608 L
.53382 .46709 L
.53451 .46782 L
.53527 .4687 L
.53612 .46964 L
.53668 .4703 L
.53772 .47137 L
.53806 .47191 L
.53933 .47341 L
.53945 .47351 L
.54073 .47512 L
.54093 .47535 L
.54205 .47672 L
.54254 .47693 L
.54337 .47833 L
.54414 .47919 L
.54503 .47993 L
.54575 .48126 L
.546 .48154 L
.54725 .48314 L
.54735 .48327 L
.54853 .48475 L
.54896 .48511 L
.54981 .48636 L
.55057 .48725 L
.55123 .48796 L
.55217 .48934 L
.55235 .48957 L
.55361 .49117 L
.55378 .49138 L
.55487 .49278 L
.55538 .49331 L
.55647 .49438 L
.55699 .49545 L
.55743 .49599 L
.55859 .49754 L
.55863 .49759 L
.55987 .4992 L
.5602 .49942 L
.56112 .5008 L
.5618 .5016 L
.56252 .50241 L
.56341 .50374 L
.56361 .50401 L
.56485 .50562 L
.56501 .50583 L
.56608 .50722 L
.56662 .50776 L
.56764 .50883 L
.56822 .50996 L
.5686 .51043 L
.56979 .51204 L
.56983 .51209 L
.571 .51364 L
.57143 .51391 L
.57223 .51525 L
.57304 .5162 L
.5736 .51686 L
.57464 .51839 L
.57469 .51846 L
.5759 .52007 L
.57625 .52052 L
.57711 .52167 L
.57785 .52244 L
.57862 .52328 L
.57946 .52473 L
.57958 .52488 L
.58075 .52649 L
.58106 .52689 L
.58195 .52809 L
.58267 .52865 L
.58316 .5297 L
.58428 .53114 L
.58441 .5313 L
.58554 .53291 L
.58588 .53336 L
.58671 .53451 L
.58749 .53554 L
.5879 .53612 L
.58909 .53772 L
.58909 .53772 L
.59021 .53933 L
.5907 .53998 L
.59134 .54093 L
.5923 .54225 L
.59249 .54254 L
.59356 .54414 L
.59391 .54464 L
.59456 .54575 L
.59551 .54728 L
.59555 .54735 L
.59551 .54786 L
.59488 .54735 L
.59391 .54651 L
.59321 .54575 L
.5923 .54482 L
.59172 .54414 L
.5907 .54302 L
.59029 .54254 L
.58909 .54123 L
.5889 .54093 L
.58754 .53933 L
.58749 .53926 L
.58622 .53772 L
.58588 .53733 L
.58489 .53612 L
.58428 .53569 L
.58357 .53451 L
.58267 .53349 L
.58202 .53291 L
.58106 .53144 L
.58095 .5313 L
.57968 .5297 L
.57946 .52943 L
.5784 .52809 L
.57785 .52758 L
.57649 .52649 L
.57625 .52544 L
.57573 .52488 L
.57464 .52337 L
.57457 .52328 L
.57331 .52167 L
.57304 .52155 L
.57205 .52007 L
.57143 .51938 L
.57053 .51846 L
.56983 .51725 L
.5695 .51686 L
.56828 .51525 L
.56822 .51517 L
.56704 .51364 L
.56662 .51328 L
.56524 .51204 L
.56501 .5111 L
.56443 .51043 L
.56341 .50897 L
.5633 .50883 L
.56207 .50722 L
.5618 .50717 L
.56083 .50562 L
.5602 .50494 L
.55934 .50401 L
.55859 .50275 L
.55832 .50241 L
.55712 .5008 L
.55699 .50063 L
.5559 .4992 L
.55538 .49878 L
.55416 .49759 L
.55378 .49651 L
.55334 .49599 L
.55221 .49438 L
.55217 .49433 L
.55101 .49278 L
.55057 .49221 L
.54979 .49117 L
.54896 .49025 L
.54835 .48957 L
.54735 .48799 L
.54733 .48796 L
.54615 .48636 L
.54575 .48584 L
.54494 .48475 L
.54414 .484 L
.54334 .48314 L
.54254 .48158 L
.5425 .48154 L
.54135 .47993 L
.54093 .4794 L
.54016 .47833 L
.53933 .47723 L
.53897 .47672 L
.53778 .47512 L
.53772 .47505 L
.53665 .47351 L
.53612 .47281 L
.5355 .47191 L
.53451 .47056 L
.53434 .4703 L
.53325 .4687 L
.53291 .46823 L
.53221 .46709 L
.5313 .46575 L
.53116 .46549 L
F
.045 .9 1 r
.5313 .45782 m
.53265 .45907 L
.53291 .4593 L
.53421 .46067 L
.53451 .46097 L
.53569 .46228 L
.53612 .46273 L
.53713 .46388 L
.53772 .46436 L
.53853 .46549 L
.53933 .46639 L
.54019 .46709 L
.54093 .46834 L
.54126 .4687 L
.54254 .47026 L
.54257 .4703 L
.54392 .47191 L
.54414 .47215 L
.54524 .47351 L
.54575 .47416 L
.54662 .47512 L
.54735 .47619 L
.54776 .47672 L
.54896 .47819 L
.549 .47833 L
.55041 .47993 L
.55057 .48012 L
.55185 .48154 L
.55217 .48218 L
.55294 .48314 L
.55378 .48426 L
.55406 .48475 L
.55538 .48628 L
.55551 .48636 L
.55697 .48796 L
.55699 .48825 L
.55807 .48957 L
.55859 .49035 L
.55917 .49117 L
.5602 .49245 L
.56028 .49278 L
.56178 .49438 L
.5618 .4944 L
.56315 .49599 L
.56341 .49648 L
.56425 .49759 L
.56501 .49861 L
.56534 .4992 L
.56662 .50068 L
.56678 .5008 L
.56819 .50241 L
.56822 .50267 L
.5693 .50401 L
.56983 .50478 L
.57039 .50562 L
.57143 .5069 L
.57149 .50722 L
.57298 .50883 L
.57304 .5089 L
.57434 .51043 L
.57464 .51099 L
.57543 .51204 L
.57625 .51312 L
.57652 .51364 L
.57785 .51519 L
.57793 .51525 L
.57938 .51686 L
.57946 .51721 L
.58045 .51846 L
.58106 .51934 L
.58154 .52007 L
.58267 .52146 L
.5827 .52167 L
.58409 .52328 L
.58428 .52346 L
.58548 .52488 L
.58588 .52558 L
.58655 .52649 L
.58749 .52771 L
.58767 .52809 L
.58902 .5297 L
.58909 .52975 L
.59055 .5313 L
.5907 .53182 L
.59155 .53291 L
.5923 .53398 L
.59265 .53451 L
.59391 .53609 L
.59391 .53612 L
.59515 .53772 L
.59551 .53807 L
.59657 .53933 L
.59712 .54025 L
.59762 .54093 L
.59872 .5424 L
.59879 .54254 L
.60004 .54414 L
.60033 .54431 L
.60164 .54575 L
.60193 .54652 L
.60258 .54735 L
.60354 .54872 L
.60369 .54896 L
.60491 .55057 L
.60514 .55087 L
.60612 .55217 L
.60675 .55279 L
.60754 .55378 L
.60835 .55507 L
.60857 .55538 L
.60975 .55699 L
.60996 .55726 L
.61094 .55859 L
.61156 .55904 L
.61252 .5602 L
.61317 .56149 L
.6134 .5618 L
.61452 .56341 L
.61477 .56374 L
.61569 .56501 L
.61638 .56594 L
.61687 .56662 L
.61799 .56808 L
.61809 .56822 L
.61917 .56983 L
.61959 .5704 L
.62029 .57143 L
.6212 .5727 L
.62142 .57304 L
.62248 .57464 L
.6228 .57511 L
.62346 .57625 L
.6228 .57727 L
.62179 .57625 L
.6212 .57566 L
.62026 .57464 L
.61959 .57393 L
.6188 .57304 L
.61799 .57226 L
.61739 .57143 L
.61638 .57028 L
.61583 .56983 L
.61477 .56836 L
.61465 .56822 L
.61331 .56662 L
.61317 .56656 L
.61198 .56501 L
.61156 .56455 L
.61021 .56341 L
.60996 .56253 L
.60929 .5618 L
.60835 .56051 L
.60812 .5602 L
.60677 .55859 L
.60675 .55857 L
.60549 .55699 L
.60514 .55657 L
.60405 .55538 L
.60354 .5545 L
.60296 .55378 L
.60193 .55244 L
.60179 .55217 L
.60041 .55057 L
.60033 .55048 L
.59887 .54896 L
.59872 .54842 L
.59784 .54735 L
.59712 .54632 L
.59673 .54575 L
.59551 .54426 L
.59551 .54414 L
.59413 .54254 L
.59391 .54227 L
.59274 .54093 L
.5923 .54017 L
.59166 .53933 L
.5907 .53806 L
.59053 .53772 L
.58915 .53612 L
.58909 .53606 L
.58765 .53451 L
.58749 .53399 L
.58661 .53291 L
.58588 .53187 L
.5855 .5313 L
.58428 .52979 L
.58418 .5297 L
.58295 .52809 L
.58267 .52778 L
.58156 .52649 L
.58106 .52566 L
.58048 .52488 L
.57946 .52355 L
.57934 .52328 L
.578 .52167 L
.57785 .52154 L
.57648 .52007 L
.57625 .51944 L
.57546 .51846 L
.57464 .51731 L
.57435 .51686 L
.57306 .51525 L
.57304 .51524 L
.57184 .51364 L
.57143 .51321 L
.57043 .51204 L
.56983 .51107 L
.56936 .51043 L
.56822 .50894 L
.56817 .50883 L
.56691 .50722 L
.56662 .50699 L
.56535 .50562 L
.56501 .50483 L
.56437 .50401 L
.56341 .50267 L
.56324 .50241 L
.562 .5008 L
.5618 .50075 L
.56078 .4992 L
.5602 .49859 L
.55936 .49759 L
.55859 .49639 L
.5583 .49599 L
.55709 .49438 L
.55699 .49425 L
.55588 .49278 L
.55538 .49238 L
.55431 .49117 L
.55378 .49012 L
.55335 .48957 L
.5522 .48796 L
.55217 .48792 L
.551 .48636 L
.55057 .48579 L
.54979 .48475 L
.54896 .48384 L
.5484 .48314 L
.54735 .48157 L
.54733 .48154 L
.54615 .47993 L
.54575 .47942 L
.54495 .47833 L
.54414 .47755 L
.54346 .47672 L
.54254 .47516 L
.54251 .47512 L
.54135 .47351 L
.54093 .47297 L
.54017 .47191 L
.53933 .47079 L
.53898 .4703 L
.53778 .4687 L
.53772 .46862 L
.53665 .46709 L
.53612 .46637 L
.53551 .46549 L
.53451 .46412 L
.53435 .46388 L
.53326 .46228 L
.53291 .46178 L
.53223 .46067 L
.5313 .45927 L
.53119 .45907 L
F
0 .3 1 r
.5313 .47131 m
.53184 .47191 L
.53291 .47296 L
.53337 .47351 L
.53451 .47478 L
.53479 .47512 L
.53612 .47666 L
.53617 .47672 L
.53747 .47833 L
.53772 .47861 L
.53877 .47993 L
.53933 .48059 L
.54008 .48154 L
.54093 .48257 L
.54138 .48314 L
.54254 .48442 L
.54268 .48475 L
.54394 .48636 L
.54414 .4866 L
.54519 .48796 L
.54575 .48864 L
.54646 .48957 L
.54735 .49069 L
.54772 .49117 L
.54896 .49272 L
.54903 .49278 L
.5502 .49438 L
.55057 .49483 L
.55143 .49599 L
.55217 .49691 L
.55268 .49759 L
.55378 .49882 L
.55392 .4992 L
.55513 .5008 L
.55538 .50112 L
.55632 .50241 L
.55699 .50325 L
.55754 .50401 L
.55859 .50538 L
.55876 .50562 L
.55994 .50722 L
.5602 .50755 L
.56109 .50883 L
.5618 .50976 L
.56227 .51043 L
.56341 .51196 L
.56346 .51204 L
.56452 .51364 L
.56501 .51431 L
.56556 .51525 L
.56662 .51683 L
.56663 .51686 L
.56662 .51711 L
.56634 .51686 L
.56501 .51565 L
.56467 .51525 L
.56341 .51386 L
.56323 .51364 L
.56185 .51204 L
.5618 .51198 L
.56054 .51043 L
.5602 .51004 L
.55923 .50883 L
.55859 .50809 L
.55791 .50722 L
.55699 .50611 L
.5566 .50562 L
.55538 .50419 L
.5553 .50401 L
.55404 .50241 L
.55378 .50209 L
.55278 .5008 L
.55217 .50006 L
.55151 .4992 L
.55057 .49802 L
.55024 .49759 L
.54897 .49599 L
.54896 .49597 L
.54776 .49438 L
.54735 .49388 L
.54652 .49278 L
.54575 .4918 L
.54527 .49117 L
.54414 .48984 L
.54403 .48957 L
.54282 .48796 L
.54254 .4876 L
.54162 .48636 L
.54093 .48548 L
.5404 .48475 L
.53933 .48335 L
.53918 .48314 L
.538 .48154 L
.53772 .48119 L
.53684 .47993 L
.53612 .47899 L
.53565 .47833 L
.53451 .4768 L
.53446 .47672 L
.53338 .47512 L
.53291 .47449 L
.5323 .47351 L
.5313 .47208 L
.5312 .47191 L
F
0 .72 1 r
.5313 .53995 m
.53205 .54093 L
.53291 .54198 L
.53324 .54254 L
.53291 .54288 L
.53261 .54254 L
.5313 .54102 L
.53124 .54093 L
F
1 .13 0 r
.5313 .47807 m
.53146 .47833 L
.53291 .47992 L
.53292 .47993 L
.53291 .48049 L
.5326 .47993 L
.5313 .47841 L
.53125 .47833 L
F
1 .74 0 r
.5313 .53439 m
.53238 .53451 L
.53291 .53484 L
.53431 .53612 L
.53451 .53631 L
.53577 .53772 L
.53612 .53811 L
.53712 .53933 L
.53772 .54005 L
.53841 .54093 L
.53933 .54185 L
.54003 .54254 L
.54089 .54414 L
.54093 .5442 L
.54204 .54575 L
.54254 .54642 L
.54318 .54735 L
.54414 .54876 L
.54427 .54896 L
.54515 .55057 L
.54414 .55125 L
.5434 .55057 L
.54254 .54977 L
.54179 .54896 L
.54093 .5483 L
.54033 .54735 L
.53933 .54626 L
.5387 .54575 L
.53772 .54424 L
.53764 .54414 L
.53639 .54254 L
.53612 .54219 L
.53516 .54093 L
.53451 .54007 L
.53397 .53933 L
.53291 .53788 L
.53282 .53772 L
.53188 .53612 L
.5313 .53473 L
.53127 .53451 L
F
1 .64 0 r
.5313 .46477 m
.53211 .46549 L
.53291 .4662 L
.53372 .46709 L
.53451 .46791 L
.5352 .4687 L
.53612 .46971 L
.53662 .4703 L
.53772 .47145 L
.53801 .47191 L
.53933 .47347 L
.53938 .47351 L
.54069 .47512 L
.54093 .47541 L
.54201 .47672 L
.54254 .47696 L
.54333 .47833 L
.54414 .47923 L
.54499 .47993 L
.54575 .4813 L
.54597 .48154 L
.54722 .48314 L
.54735 .48331 L
.5485 .48475 L
.54896 .48514 L
.54978 .48636 L
.55057 .48729 L
.5512 .48796 L
.55217 .48937 L
.55232 .48957 L
.55358 .49117 L
.55378 .49141 L
.55484 .49278 L
.55538 .49334 L
.55645 .49438 L
.55699 .49548 L
.55741 .49599 L
.55859 .49757 L
.55861 .49759 L
.55985 .4992 L
.5602 .49944 L
.5611 .5008 L
.5618 .50162 L
.5625 .50241 L
.56341 .50377 L
.56359 .50401 L
.56483 .50562 L
.56501 .50585 L
.56606 .50722 L
.56662 .50778 L
.56762 .50883 L
.56822 .50999 L
.56858 .51043 L
.56977 .51204 L
.56983 .51212 L
.57098 .51364 L
.57143 .51392 L
.57221 .51525 L
.57304 .51622 L
.57358 .51686 L
.57464 .51842 L
.57467 .51846 L
.57588 .52007 L
.57625 .52055 L
.57709 .52167 L
.57785 .52247 L
.57859 .52328 L
.57946 .52476 L
.57955 .52488 L
.58072 .52649 L
.58106 .52693 L
.58192 .52809 L
.58267 .52869 L
.58313 .5297 L
.58428 .53119 L
.58437 .5313 L
.58551 .53291 L
.58588 .5334 L
.58668 .53451 L
.58749 .53559 L
.58787 .53612 L
.58905 .53772 L
.58909 .53778 L
.59016 .53933 L
.5907 .54005 L
.59129 .54093 L
.5923 .54233 L
.59244 .54254 L
.59348 .54414 L
.59391 .54477 L
.59445 .54575 L
.59391 .54637 L
.59332 .54575 L
.5923 .54472 L
.5918 .54414 L
.5907 .54294 L
.59035 .54254 L
.58909 .54115 L
.58895 .54093 L
.5876 .53933 L
.58749 .5392 L
.58626 .53772 L
.58588 .53728 L
.58493 .53612 L
.58428 .53564 L
.5836 .53451 L
.58267 .53344 L
.58207 .53291 L
.58106 .53139 L
.58098 .5313 L
.57971 .5297 L
.57946 .52939 L
.57843 .52809 L
.57785 .52755 L
.57651 .52649 L
.57625 .52541 L
.57576 .52488 L
.57464 .52334 L
.5746 .52328 L
.57334 .52167 L
.57304 .52154 L
.57208 .52007 L
.57143 .51935 L
.57055 .51846 L
.56983 .51722 L
.56953 .51686 L
.5683 .51525 L
.56822 .51515 L
.56706 .51364 L
.56662 .51326 L
.56526 .51204 L
.56501 .51108 L
.56445 .51043 L
.56341 .50895 L
.56332 .50883 L
.56209 .50722 L
.5618 .50716 L
.56085 .50562 L
.5602 .50491 L
.55936 .50401 L
.55859 .50272 L
.55834 .50241 L
.55714 .5008 L
.55699 .5006 L
.55592 .4992 L
.55538 .49876 L
.55418 .49759 L
.55378 .49648 L
.55336 .49599 L
.55223 .49438 L
.55217 .4943 L
.55103 .49278 L
.55057 .49218 L
.54981 .49117 L
.54896 .49022 L
.54838 .48957 L
.54736 .48796 L
.54735 .48796 L
.54617 .48636 L
.54575 .48581 L
.54497 .48475 L
.54414 .48396 L
.54338 .48314 L
.54254 .48154 L
.54254 .48154 L
.54138 .47993 L
.54093 .47936 L
.54019 .47833 L
.53933 .47718 L
.539 .47672 L
.53782 .47512 L
.53772 .475 L
.53669 .47351 L
.53612 .47275 L
.53554 .47191 L
.53451 .47049 L
.53438 .4703 L
.53332 .4687 L
.53291 .46812 L
.53229 .46709 L
.5313 .46556 L
.53127 .46549 L
F
0 .29 1 r
.5313 .47152 m
.53169 .47191 L
.53291 .47304 L
.5333 .47351 L
.53451 .47484 L
.53474 .47512 L
.53612 .47671 L
.53613 .47672 L
.53743 .47833 L
.53772 .47866 L
.53873 .47993 L
.53933 .48063 L
.54004 .48154 L
.54093 .48261 L
.54135 .48314 L
.54254 .48448 L
.54265 .48475 L
.54391 .48636 L
.54414 .48663 L
.54516 .48796 L
.54575 .48868 L
.54643 .48957 L
.54735 .49072 L
.5477 .49117 L
.54896 .49276 L
.54897 .49278 L
.55018 .49438 L
.55057 .49486 L
.55141 .49599 L
.55217 .49695 L
.55265 .49759 L
.55378 .49888 L
.5539 .4992 L
.5551 .5008 L
.55538 .50116 L
.55629 .50241 L
.55699 .50329 L
.55751 .50401 L
.55859 .50542 L
.55873 .50562 L
.5599 .50722 L
.5602 .5076 L
.56105 .50883 L
.5618 .50981 L
.56223 .51043 L
.56341 .51202 L
.56342 .51204 L
.56445 .51364 L
.56501 .51441 L
.56548 .51525 L
.56501 .51556 L
.56475 .51525 L
.56341 .5138 L
.56328 .51364 L
.56191 .51204 L
.5618 .51192 L
.56059 .51043 L
.5602 .50999 L
.55927 .50883 L
.55859 .50804 L
.55794 .50722 L
.55699 .50607 L
.55663 .50562 L
.55538 .50413 L
.55533 .50401 L
.55407 .50241 L
.55378 .50206 L
.55281 .5008 L
.55217 .50002 L
.55154 .4992 L
.55057 .49799 L
.55026 .49759 L
.549 .49599 L
.54896 .49593 L
.54778 .49438 L
.54735 .49385 L
.54655 .49278 L
.54575 .49177 L
.5453 .49117 L
.54414 .48978 L
.54405 .48957 L
.54285 .48796 L
.54254 .48757 L
.54165 .48636 L
.54093 .48544 L
.54043 .48475 L
.53933 .48332 L
.5392 .48314 L
.53804 .48154 L
.53772 .48114 L
.53688 .47993 L
.53612 .47895 L
.53569 .47833 L
.53451 .47675 L
.5345 .47672 L
.53344 .47512 L
.53291 .4744 L
.53237 .47351 L
.5313 .47194 L
.53129 .47191 L
F
.395 .97 1 r
.53291 .50782 m
.53348 .50883 L
.53451 .50974 L
.53518 .51043 L
.53612 .51152 L
.53682 .51204 L
.53772 .51338 L
.53789 .51364 L
.53933 .51503 L
.53952 .51525 L
.54084 .51686 L
.54093 .51692 L
.54214 .51846 L
.54254 .51894 L
.54341 .52007 L
.54414 .52108 L
.54442 .52167 L
.54575 .52326 L
.54576 .52328 L
.54686 .52488 L
.54735 .52576 L
.54799 .52649 L
.5476 .52809 L
.54735 .52812 L
.54721 .52809 L
.54575 .52776 L
.54487 .52649 L
.54414 .52608 L
.54341 .52488 L
.54254 .52407 L
.54207 .52328 L
.54093 .52194 L
.54064 .52167 L
.53952 .52007 L
.53933 .51983 L
.53831 .51846 L
.53772 .51772 L
.53709 .51686 L
.53612 .5156 L
.53587 .51525 L
.53467 .51364 L
.53451 .51343 L
.53355 .51204 L
.53291 .51115 L
.53244 .51043 L
.53138 .50883 L
F
1 .79 .001 r
.53291 .51523 m
.53293 .51525 L
.53432 .51686 L
.53451 .51707 L
.53559 .51846 L
.53612 .51914 L
.53676 .52007 L
.53772 .52162 L
.53775 .52167 L
.53772 .52212 L
.53704 .52167 L
.53612 .52084 L
.53547 .52007 L
.53451 .51897 L
.53413 .51846 L
.53291 .51691 L
.53287 .51686 L
.53186 .51525 L
F
1 .73 0 r
.53291 .53494 m
.53423 .53612 L
.53451 .53638 L
.53572 .53772 L
.53612 .53817 L
.53707 .53933 L
.53772 .54011 L
.53837 .54093 L
.53933 .54192 L
.53996 .54254 L
.54085 .54414 L
.54093 .54425 L
.542 .54575 L
.54254 .54649 L
.54312 .54735 L
.54414 .54886 L
.54421 .54896 L
.54503 .55057 L
.54414 .55112 L
.54351 .55057 L
.54254 .54968 L
.54186 .54896 L
.54093 .54822 L
.54039 .54735 L
.53933 .54618 L
.53878 .54575 L
.53772 .54418 L
.53769 .54414 L
.53644 .54254 L
.53612 .54213 L
.53521 .54093 L
.53451 .54 L
.53402 .53933 L
.53291 .53773 L
.5329 .53772 L
.53196 .53612 L
F
1 .72 0 r
.53291 .53504 m
.53415 .53612 L
.53451 .53646 L
.53566 .53772 L
.53612 .53823 L
.53702 .53933 L
.53772 .54016 L
.53832 .54093 L
.53933 .542 L
.53988 .54254 L
.5408 .54414 L
.54093 .54432 L
.54195 .54575 L
.54254 .54657 L
.54307 .54735 L
.54414 .54896 L
.54414 .54896 L
.5449 .55057 L
.54414 .55098 L
.54365 .55057 L
.54254 .54958 L
.54194 .54896 L
.54093 .54814 L
.54046 .54735 L
.53933 .54611 L
.53887 .54575 L
.53775 .54414 L
.53772 .54411 L
.53649 .54254 L
.53612 .54207 L
.53526 .54093 L
.53451 .53993 L
.53407 .53933 L
.53297 .53772 L
.53291 .53763 L
.53205 .53612 L
F
.733 .99 1 r
.53291 .53042 m
.53451 .53034 L
.53612 .53051 L
.53701 .5313 L
.53772 .53209 L
.53822 .53291 L
.53933 .53414 L
.5396 .53451 L
.54084 .53612 L
.54093 .53625 L
.54219 .53772 L
.54254 .53839 L
.54329 .53933 L
.54414 .54052 L
.54437 .54093 L
.54575 .54252 L
.54579 .54254 L
.54721 .54414 L
.54735 .54452 L
.5483 .54575 L
.54896 .54665 L
.54939 .54735 L
.55057 .54877 L
.55071 .54896 L
.55193 .55057 L
.55217 .55088 L
.5533 .55217 L
.55378 .55264 L
.55437 .55378 L
.55538 .55496 L
.55549 .55538 L
.55678 .55699 L
.55699 .55729 L
.55823 .55859 L
.55699 .56012 L
.55538 .56002 L
.55378 .55926 L
.55326 .55859 L
.55217 .55749 L
.55209 .55699 L
.55057 .55546 L
.5505 .55538 L
.54916 .55378 L
.54896 .55329 L
.54803 .55217 L
.54735 .55105 L
.54697 .55057 L
.54575 .54927 L
.54551 .54896 L
.54418 .54735 L
.54414 .54717 L
.54301 .54575 L
.54254 .54505 L
.54192 .54414 L
.54093 .54292 L
.54088 .54254 L
.53935 .54093 L
.53933 .54092 L
.53801 .53933 L
.53772 .53893 L
.53691 .53772 L
.53612 .53681 L
.53584 .53612 L
.53451 .53462 L
.53445 .53451 L
.53301 .53291 L
.53291 .53238 L
.53206 .5313 L
F
1 .71 0 r
.53291 .53515 m
.53406 .53612 L
.53451 .53653 L
.5356 .53772 L
.53612 .53829 L
.53697 .53933 L
.53772 .54022 L
.53828 .54093 L
.53933 .54207 L
.5398 .54254 L
.54075 .54414 L
.54093 .54438 L
.5419 .54575 L
.54254 .54664 L
.54301 .54735 L
.54406 .54896 L
.54414 .5491 L
.54473 .55057 L
.54414 .55083 L
.5438 .55057 L
.54254 .54949 L
.54203 .54896 L
.54093 .54805 L
.54052 .54735 L
.53933 .54604 L
.53896 .54575 L
.5378 .54414 L
.53772 .54405 L
.53654 .54254 L
.53612 .54201 L
.53531 .54093 L
.53451 .53986 L
.53412 .53933 L
.53304 .53772 L
.53291 .53752 L
.53213 .53612 L
F
1 .7 0 r
.53291 .53527 m
.53396 .53612 L
.53451 .53661 L
.53554 .53772 L
.53612 .53835 L
.53692 .53933 L
.53772 .54027 L
.53824 .54093 L
.53933 .54216 L
.53972 .54254 L
.54071 .54414 L
.54093 .54444 L
.54185 .54575 L
.54254 .54672 L
.54296 .54735 L
.54397 .54896 L
.54414 .54927 L
.54449 .55057 L
.54414 .55066 L
.54401 .55057 L
.54254 .54939 L
.54212 .54896 L
.54093 .54794 L
.54059 .54735 L
.53933 .54596 L
.53906 .54575 L
.53786 .54414 L
.53772 .54398 L
.53659 .54254 L
.53612 .54194 L
.53536 .54093 L
.53451 .53979 L
.53418 .53933 L
.5331 .53772 L
.53291 .53741 L
.53223 .53612 L
F
.538 .98 1 r
.53291 .53061 m
.53451 .53048 L
.53612 .5308 L
.5368 .5313 L
.53772 .53225 L
.53814 .53291 L
.53933 .53423 L
.53954 .53451 L
.5408 .53612 L
.54093 .53631 L
.54216 .53772 L
.54254 .53844 L
.54325 .53933 L
.54414 .54056 L
.54435 .54093 L
.54575 .54253 L
.54576 .54254 L
.5472 .54414 L
.54735 .54456 L
.54827 .54575 L
.54896 .54669 L
.54936 .54735 L
.55057 .54882 L
.55068 .54896 L
.55189 .55057 L
.55217 .55094 L
.55327 .55217 L
.55378 .55271 L
.55432 .55378 L
.55538 .5551 L
.55546 .55538 L
.55666 .55699 L
.55699 .5575 L
.55802 .55859 L
.55699 .55981 L
.55538 .55973 L
.55378 .55889 L
.55351 .55859 L
.55217 .55728 L
.55213 .55699 L
.5506 .55538 L
.55057 .55532 L
.54921 .55378 L
.54896 .55318 L
.54808 .55217 L
.54735 .55099 L
.547 .55057 L
.54575 .54922 L
.54555 .54896 L
.54419 .54735 L
.54414 .54713 L
.54304 .54575 L
.54254 .545 L
.54195 .54414 L
.54093 .54288 L
.54088 .54254 L
.53938 .54093 L
.53933 .5409 L
.53803 .53933 L
.53772 .5389 L
.53695 .53772 L
.53612 .53675 L
.53587 .53612 L
.53451 .53452 L
.53451 .53451 L
.53305 .53291 L
.53291 .5322 L
.53226 .5313 L
F
1 .69 0 r
.53291 .5354 m
.53386 .53612 L
.53451 .53669 L
.53547 .53772 L
.53612 .53841 L
.53687 .53933 L
.53772 .54033 L
.53819 .54093 L
.53933 .54224 L
.53963 .54254 L
.54066 .54414 L
.54093 .54451 L
.54179 .54575 L
.54254 .5468 L
.5429 .54735 L
.54386 .54896 L
.54254 .54929 L
.54221 .54896 L
.54093 .54784 L
.54066 .54735 L
.53933 .54588 L
.53916 .54575 L
.53792 .54414 L
.53772 .54392 L
.53664 .54254 L
.53612 .54187 L
.53541 .54093 L
.53451 .53972 L
.53423 .53933 L
.53317 .53772 L
.53291 .53728 L
.53233 .53612 L
F
1 .63 0 r
.53291 .46633 m
.53362 .46709 L
.53451 .46801 L
.53512 .4687 L
.53612 .46979 L
.53656 .4703 L
.53772 .47154 L
.53795 .47191 L
.53931 .47351 L
.53933 .47353 L
.54064 .47512 L
.54093 .47546 L
.54197 .47672 L
.54254 .47699 L
.54329 .47833 L
.54414 .47927 L
.54494 .47993 L
.54575 .48134 L
.54593 .48154 L
.54719 .48314 L
.54735 .48335 L
.54847 .48475 L
.54896 .48516 L
.54975 .48636 L
.55057 .48732 L
.55118 .48796 L
.55217 .4894 L
.5523 .48957 L
.55356 .49117 L
.55378 .49144 L
.55482 .49278 L
.55538 .49337 L
.55643 .49438 L
.55699 .49551 L
.55739 .49599 L
.55859 .49759 L
.55859 .49759 L
.55983 .4992 L
.5602 .49946 L
.56108 .5008 L
.5618 .50165 L
.56248 .50241 L
.56341 .50379 L
.56357 .50401 L
.56481 .50562 L
.56501 .50588 L
.56604 .50722 L
.56662 .50781 L
.5676 .50883 L
.56822 .51001 L
.56856 .51043 L
.56975 .51204 L
.56983 .51214 L
.57096 .51364 L
.57143 .51394 L
.57219 .51525 L
.57304 .51625 L
.57355 .51686 L
.57464 .51845 L
.57465 .51846 L
.57585 .52007 L
.57625 .52057 L
.57707 .52167 L
.57785 .5225 L
.57856 .52328 L
.57946 .5248 L
.57952 .52488 L
.5807 .52649 L
.58106 .52696 L
.5819 .52809 L
.58267 .52873 L
.5831 .5297 L
.58428 .53123 L
.58433 .5313 L
.58547 .53291 L
.58588 .53344 L
.58665 .53451 L
.58749 .53563 L
.58783 .53612 L
.58901 .53772 L
.58909 .53784 L
.59012 .53933 L
.5907 .54012 L
.59124 .54093 L
.5923 .54241 L
.59238 .54254 L
.59339 .54414 L
.59391 .54493 L
.59432 .54575 L
.59391 .54621 L
.59346 .54575 L
.5923 .54461 L
.59188 .54414 L
.5907 .54286 L
.59042 .54254 L
.58909 .54106 L
.58901 .54093 L
.58765 .53933 L
.58749 .53914 L
.58631 .53772 L
.58588 .53723 L
.58497 .53612 L
.58428 .5356 L
.58364 .53451 L
.58267 .53339 L
.58211 .53291 L
.58106 .53135 L
.58102 .5313 L
.57974 .5297 L
.57946 .52936 L
.57846 .52809 L
.57785 .52751 L
.57654 .52649 L
.57625 .52537 L
.57579 .52488 L
.57464 .52331 L
.57462 .52328 L
.57336 .52167 L
.57304 .52153 L
.5721 .52007 L
.57143 .51933 L
.57057 .51846 L
.56983 .51719 L
.56955 .51686 L
.56833 .51525 L
.56822 .51512 L
.56708 .51364 L
.56662 .51324 L
.56528 .51204 L
.56501 .51105 L
.56447 .51043 L
.56341 .50892 L
.56334 .50883 L
.56211 .50722 L
.5618 .50715 L
.56087 .50562 L
.5602 .50489 L
.55938 .50401 L
.55859 .5027 L
.55836 .50241 L
.55716 .5008 L
.55699 .50058 L
.55594 .4992 L
.55538 .49874 L
.5542 .49759 L
.55378 .49645 L
.55339 .49599 L
.55225 .49438 L
.55217 .49428 L
.55105 .49278 L
.55057 .49216 L
.54983 .49117 L
.54896 .49019 L
.54841 .48957 L
.54738 .48796 L
.54735 .48793 L
.54619 .48636 L
.54575 .48578 L
.54499 .48475 L
.54414 .48392 L
.54342 .48314 L
.54257 .48154 L
.54254 .4815 L
.5414 .47993 L
.54093 .47932 L
.54022 .47833 L
.53933 .47714 L
.53903 .47672 L
.53786 .47512 L
.53772 .47494 L
.53673 .47351 L
.53612 .47269 L
.53559 .47191 L
.53451 .47042 L
.53443 .4703 L
.53339 .4687 L
.53291 .468 L
.53239 .46709 L
F
.033 .89 1 r
.53291 .45965 m
.53394 .46067 L
.53451 .46123 L
.53549 .46228 L
.53612 .46294 L
.53696 .46388 L
.53772 .46452 L
.53839 .46549 L
.53933 .46655 L
.54004 .46709 L
.54093 .46847 L
.54115 .4687 L
.54249 .4703 L
.54254 .47036 L
.54383 .47191 L
.54414 .47224 L
.54516 .47351 L
.54575 .47425 L
.54655 .47512 L
.54735 .47627 L
.5477 .47672 L
.54896 .47825 L
.54898 .47833 L
.55035 .47993 L
.55057 .48019 L
.55181 .48154 L
.55217 .48224 L
.55289 .48314 L
.55378 .48431 L
.55403 .48475 L
.55538 .48631 L
.55546 .48636 L
.55697 .48796 L
.55699 .4883 L
.55803 .48957 L
.55859 .49039 L
.55914 .49117 L
.5602 .49249 L
.56026 .49278 L
.56175 .49438 L
.5618 .49444 L
.56313 .49599 L
.56341 .49652 L
.56422 .49759 L
.56501 .49864 L
.56532 .4992 L
.56662 .50071 L
.56675 .5008 L
.56818 .50241 L
.56822 .5027 L
.56928 .50401 L
.56983 .50482 L
.57037 .50562 L
.57143 .50693 L
.57149 .50722 L
.57295 .50883 L
.57304 .50892 L
.57433 .51043 L
.57464 .51102 L
.57541 .51204 L
.57625 .51314 L
.57651 .51364 L
.57785 .51521 L
.57791 .51525 L
.57938 .51686 L
.57946 .51724 L
.58044 .51846 L
.58106 .51937 L
.58153 .52007 L
.58267 .52148 L
.58269 .52167 L
.58407 .52328 L
.58428 .52349 L
.58547 .52488 L
.58588 .52561 L
.58653 .52649 L
.58749 .52774 L
.58766 .52809 L
.58899 .5297 L
.58909 .52976 L
.59054 .5313 L
.5907 .53185 L
.59153 .53291 L
.5923 .53401 L
.59263 .53451 L
.59391 .53612 L
.59391 .53612 L
.59512 .53772 L
.59551 .5381 L
.59655 .53933 L
.59712 .54028 L
.59759 .54093 L
.59872 .54243 L
.59877 .54254 L
.60001 .54414 L
.60033 .54433 L
.60162 .54575 L
.60193 .54656 L
.60255 .54735 L
.60354 .54877 L
.60366 .54896 L
.60488 .55057 L
.60514 .55091 L
.60608 .55217 L
.60675 .55284 L
.6075 .55378 L
.60835 .55513 L
.60853 .55538 L
.6097 .55699 L
.60996 .55732 L
.61089 .55859 L
.61156 .55911 L
.61246 .5602 L
.61317 .56158 L
.61333 .5618 L
.61446 .56341 L
.61477 .56383 L
.61562 .56501 L
.61638 .56604 L
.61679 .56662 L
.61796 .56822 L
.61799 .56825 L
.61906 .56983 L
.61959 .57056 L
.62017 .57143 L
.6212 .5729 L
.62129 .57304 L
.62226 .57464 L
.6228 .5755 L
.62315 .57625 L
.6228 .57683 L
.62216 .57625 L
.6212 .57538 L
.6205 .57464 L
.61959 .57371 L
.61899 .57304 L
.61799 .57207 L
.61754 .57143 L
.61638 .57012 L
.61601 .56983 L
.61477 .56823 L
.61476 .56822 L
.61342 .56662 L
.61317 .56651 L
.61208 .56501 L
.61156 .56446 L
.61027 .56341 L
.60996 .56244 L
.60937 .5618 L
.60835 .56044 L
.60817 .5602 L
.60684 .55859 L
.60675 .55851 L
.60555 .55699 L
.60514 .5565 L
.60409 .55538 L
.60354 .55444 L
.60301 .55378 L
.60193 .55239 L
.60181 .55217 L
.60045 .55057 L
.60033 .55043 L
.59889 .54896 L
.59872 .54837 L
.59787 .54735 L
.59712 .54628 L
.59675 .54575 L
.59551 .54423 L
.59551 .54414 L
.59416 .54254 L
.59391 .54224 L
.59277 .54093 L
.5923 .54013 L
.59169 .53933 L
.5907 .53803 L
.59054 .53772 L
.58917 .53612 L
.58909 .53604 L
.58767 .53451 L
.58749 .53396 L
.58663 .53291 L
.58588 .53184 L
.58552 .5313 L
.58428 .52977 L
.5842 .5297 L
.58297 .52809 L
.58267 .52776 L
.58157 .52649 L
.58106 .52564 L
.5805 .52488 L
.57946 .52352 L
.57935 .52328 L
.57802 .52167 L
.57785 .52152 L
.57649 .52007 L
.57625 .51942 L
.57548 .51846 L
.57464 .51728 L
.57437 .51686 L
.57308 .51525 L
.57304 .51523 L
.57186 .51364 L
.57143 .51319 L
.57044 .51204 L
.56983 .51104 L
.56938 .51043 L
.56822 .50892 L
.56818 .50883 L
.56693 .50722 L
.56662 .50697 L
.56537 .50562 L
.56501 .5048 L
.56439 .50401 L
.56341 .50264 L
.56326 .50241 L
.56202 .5008 L
.5618 .50075 L
.5608 .4992 L
.5602 .49857 L
.55938 .49759 L
.55859 .49636 L
.55832 .49599 L
.55711 .49438 L
.55699 .49422 L
.55591 .49278 L
.55538 .49235 L
.55433 .49117 L
.55378 .49008 L
.55338 .48957 L
.55223 .48796 L
.55217 .48789 L
.55103 .48636 L
.55057 .48575 L
.54982 .48475 L
.54896 .48379 L
.54844 .48314 L
.54737 .48154 L
.54735 .48152 L
.54619 .47993 L
.54575 .47936 L
.54499 .47833 L
.54414 .47748 L
.54353 .47672 L
.54257 .47512 L
.54254 .47508 L
.54141 .47351 L
.54093 .47289 L
.54023 .47191 L
.53933 .47071 L
.53904 .4703 L
.53786 .4687 L
.53772 .46851 L
.53675 .46709 L
.53612 .46624 L
.53561 .46549 L
.53451 .46396 L
.53446 .46388 L
.53343 .46228 L
.53291 .4615 L
.53244 .46067 L
F
1 .68 0 r
.53291 .53553 m
.53374 .53612 L
.53451 .53677 L
.53541 .53772 L
.53612 .53848 L
.53682 .53933 L
.53772 .54039 L
.53815 .54093 L
.53933 .54233 L
.53954 .54254 L
.5406 .54414 L
.54093 .54458 L
.54174 .54575 L
.54254 .54689 L
.54284 .54735 L
.54375 .54896 L
.54254 .54918 L
.54231 .54896 L
.54093 .54772 L
.54073 .54735 L
.53933 .54579 L
.53927 .54575 L
.53797 .54414 L
.53772 .54385 L
.5367 .54254 L
.53612 .54181 L
.53546 .54093 L
.53451 .53964 L
.53429 .53933 L
.53325 .53772 L
.53291 .53713 L
.53244 .53612 L
F
1 .95 .212 r
.53291 .56428 m
.53355 .56501 L
.53451 .56608 L
.53498 .56662 L
.53612 .56794 L
.53636 .56822 L
.53771 .56983 L
.53772 .56985 L
.53903 .57143 L
.53933 .57178 L
.54036 .57304 L
.54093 .57373 L
.54168 .57464 L
.54254 .57529 L
.54298 .57625 L
.54414 .57767 L
.54435 .57785 L
.54554 .57946 L
.54575 .57971 L
.54682 .58106 L
.54735 .58173 L
.5481 .58267 L
.54896 .58358 L
.5499 .58428 L
.55057 .5858 L
.55064 .58588 L
.55186 .58749 L
.55217 .58787 L
.55312 .58909 L
.55378 .5894 L
.55437 .5907 L
.55538 .59195 L
.55573 .5923 L
.55683 .59391 L
.55699 .59411 L
.55805 .59551 L
.55859 .59621 L
.55928 .59712 L
.5602 .59813 L
.56086 .59872 L
.5617 .60033 L
.5618 .60045 L
.5629 .60193 L
.56341 .6026 L
.5641 .60354 L
.56501 .60475 L
.5653 .60514 L
.56647 .60675 L
.56662 .60694 L
.56763 .60835 L
.56822 .60916 L
.56879 .60996 L
.56983 .61139 L
.56995 .61156 L
.57102 .61317 L
.57143 .61374 L
.57208 .61477 L
.57304 .61623 L
.57312 .61638 L
.57304 .61695 L
.57251 .61638 L
.57143 .61537 L
.57094 .61477 L
.56983 .61357 L
.56951 .61317 L
.56822 .6117 L
.56812 .61156 L
.56679 .60996 L
.56662 .60976 L
.5655 .60835 L
.56501 .60779 L
.56421 .60675 L
.56341 .6058 L
.5629 .60514 L
.5618 .60381 L
.56159 .60354 L
.56031 .60193 L
.5602 .6018 L
.55907 .60033 L
.55859 .59975 L
.55781 .59872 L
.55699 .59771 L
.55654 .59712 L
.55538 .59578 L
.55526 .59551 L
.55402 .59391 L
.55378 .59361 L
.5528 .5923 L
.55217 .59153 L
.55155 .5907 L
.55057 .58946 L
.55029 .58909 L
.54904 .58749 L
.54896 .58739 L
.54784 .58588 L
.54735 .58527 L
.54662 .58428 L
.54575 .58317 L
.54538 .58267 L
.54414 .5811 L
.54413 .58106 L
.54295 .57946 L
.54254 .57894 L
.54176 .57785 L
.54093 .5768 L
.54054 .57625 L
.53933 .57469 L
.5393 .57464 L
.53815 .57304 L
.53772 .57249 L
.53699 .57143 L
.53612 .5703 L
.5358 .56983 L
.5346 .56822 L
.53451 .56811 L
.53353 .56662 L
.53291 .56578 L
.53244 .56501 L
F
0 .28 1 r
.53291 .47313 m
.53323 .47351 L
.53451 .4749 L
.53469 .47512 L
.53451 .47669 L
.53351 .47512 L
.53291 .47431 L
.53245 .47351 L
F
1 .97 .395 r
.53291 .4529 m
.53432 .45425 L
.53451 .45443 L
.53589 .45586 L
.53612 .45609 L
.53738 .45746 L
.53772 .45763 L
.53883 .45907 L
.53933 .45963 L
.54025 .46067 L
.54093 .46154 L
.54165 .46228 L
.54254 .46348 L
.54285 .46388 L
.54414 .4654 L
.54433 .46549 L
.54565 .46709 L
.54575 .46722 L
.54705 .4687 L
.54735 .46923 L
.54819 .4703 L
.54896 .47131 L
.5493 .47191 L
.55057 .47312 L
.55089 .47351 L
.55217 .47512 L
.55217 .47514 L
.55342 .47672 L
.55378 .47724 L
.55453 .47833 L
.55538 .47941 L
.55601 .47993 L
.55699 .4812 L
.55726 .48154 L
.55851 .48314 L
.55859 .48328 L
.55967 .48475 L
.5602 .48544 L
.56069 .48636 L
.5618 .48768 L
.56229 .48796 L
.56341 .48943 L
.56352 .48957 L
.56474 .49117 L
.56501 .49155 L
.56583 .49278 L
.56662 .49377 L
.56728 .49438 L
.56822 .49563 L
.56851 .49599 L
.56974 .49759 L
.56983 .49773 L
.57089 .4992 L
.57143 .4999 L
.57189 .5008 L
.57304 .50213 L
.57348 .50241 L
.57464 .50395 L
.57469 .50401 L
.57591 .50562 L
.57625 .50609 L
.57698 .50722 L
.57785 .50828 L
.57843 .50883 L
.57946 .51019 L
.57965 .51043 L
.5809 .51204 L
.58106 .5123 L
.58202 .51364 L
.58267 .51447 L
.58302 .51525 L
.58428 .51664 L
.5846 .51686 L
.58584 .51846 L
.58588 .51855 L
.58703 .52007 L
.58749 .52068 L
.5881 .52167 L
.58909 .52285 L
.58953 .52328 L
.5907 .52487 L
.59075 .52488 L
.59203 .52649 L
.5923 .52692 L
.59313 .52809 L
.59391 .52906 L
.59415 .5297 L
.59551 .53117 L
.59569 .5313 L
.597 .53291 L
.59712 .53317 L
.59814 .53451 L
.59872 .5353 L
.59921 .53612 L
.60033 .53743 L
.60062 .53772 L
.60184 .53933 L
.60193 .53943 L
.60314 .54093 L
.60354 .54154 L
.60423 .54254 L
.60514 .54367 L
.6053 .54414 L
.60675 .54574 L
.60676 .54575 L
.60815 .54735 L
.60835 .54779 L
.60924 .54896 L
.60996 .54992 L
.61033 .55057 L
.61156 .55203 L
.61169 .55217 L
.61291 .55378 L
.61317 .55404 L
.61425 .55538 L
.61477 .55617 L
.61533 .55699 L
.61638 .55831 L
.61646 .55859 L
.61783 .5602 L
.61799 .56031 L
.61927 .5618 L
.61959 .56242 L
.62032 .56341 L
.6212 .56458 L
.62143 .56501 L
.62274 .56662 L
.6228 .5667 L
.62436 .56822 L
.62441 .56866 L
.62532 .56983 L
.62601 .57085 L
.6264 .57143 L
.62762 .57301 L
.62763 .57304 L
.62885 .57464 L
.62922 .57488 L
.63034 .57625 L
.63083 .57712 L
.63135 .57785 L
.63243 .57933 L
.6325 .57946 L
.63373 .58106 L
.63404 .58147 L
.63544 .58267 L
.63564 .5834 L
.6363 .58428 L
.63725 .58568 L
.63738 .58588 L
.63857 .58749 L
.63885 .58786 L
.63976 .58909 L
.64046 .58967 L
.64122 .5907 L
.64206 .59211 L
.6422 .5923 L
.64334 .59391 L
.64367 .59434 L
.64451 .59551 L
.64527 .59654 L
.64607 .59712 L
.64686 .59872 L
.64688 .59875 L
.64796 .60033 L
.64848 .60105 L
.64907 .60193 L
.65009 .6034 L
.65018 .60354 L
.65116 .60514 L
.6517 .606 L
.65205 .60675 L
.6517 .60757 L
.65074 .60675 L
.65009 .60619 L
.64906 .60514 L
.64848 .60457 L
.64753 .60354 L
.64688 .603 L
.64606 .60193 L
.64527 .60106 L
.64426 .60033 L
.64367 .59916 L
.64323 .59872 L
.64206 .59726 L
.64194 .59712 L
.64055 .59551 L
.64046 .59541 L
.63922 .59391 L
.63885 .59344 L
.63781 .5923 L
.63725 .59141 L
.63668 .5907 L
.63564 .58937 L
.63551 .58909 L
.63404 .5875 L
.63402 .58749 L
.6326 .58588 L
.63243 .58546 L
.63148 .58428 L
.63083 .58335 L
.63037 .58267 L
.62922 .58124 L
.62892 .58106 L
.62768 .57946 L
.62762 .57938 L
.62637 .57785 L
.62601 .57728 L
.62525 .57625 L
.62441 .57513 L
.6242 .57464 L
.6228 .57322 L
.62266 .57304 L
.62133 .57143 L
.6212 .57113 L
.62018 .56983 L
.61959 .56899 L
.61911 .56822 L
.61799 .56684 L
.61768 .56662 L
.61645 .56501 L
.61638 .56493 L
.61515 .56341 L
.61477 .56281 L
.61405 .5618 L
.61317 .56065 L
.613 .5602 L
.61156 .55861 L
.61149 .55859 L
.61013 .55699 L
.60996 .55659 L
.60902 .55538 L
.60835 .55445 L
.60794 .55378 L
.60675 .55234 L
.60654 .55217 L
.60531 .55057 L
.60514 .55036 L
.604 .54896 L
.60354 .54824 L
.60291 .54735 L
.60193 .5461 L
.60182 .54575 L
.60037 .54414 L
.60033 .5441 L
.59898 .54254 L
.59872 .54201 L
.59789 .54093 L
.59712 .53987 L
.5968 .53933 L
.59551 .53779 L
.59544 .53772 L
.59393 .53612 L
.59391 .53577 L
.59287 .53451 L
.5923 .53364 L
.59179 .53291 L
.5907 .53152 L
.59064 .5313 L
.58928 .5297 L
.58909 .52951 L
.58784 .52809 L
.58749 .5274 L
.58678 .52649 L
.58588 .52527 L
.58566 .52488 L
.58435 .52328 L
.58428 .52323 L
.58275 .52167 L
.58267 .52117 L
.58176 .52007 L
.58106 .51902 L
.58068 .51846 L
.57946 .5169 L
.57945 .51686 L
.5782 .51525 L
.57785 .51494 L
.57672 .51364 L
.57625 .51278 L
.57569 .51204 L
.57464 .51063 L
.57453 .51043 L
.57328 .50883 L
.57304 .50871 L
.57162 .50722 L
.57143 .50655 L
.57068 .50562 L
.56983 .50437 L
.56958 .50401 L
.56835 .50241 L
.56822 .50224 L
.56714 .5008 L
.56662 .50035 L
.56564 .4992 L
.56501 .49812 L
.56462 .49759 L
.56343 .49599 L
.56341 .49596 L
.56222 .49438 L
.5618 .49418 L
.56054 .49278 L
.5602 .49189 L
.55963 .49117 L
.55859 .48967 L
.55852 .48957 L
.55732 .48796 L
.55699 .48754 L
.5561 .48636 L
.55538 .48568 L
.55462 .48475 L
.55378 .48339 L
.5536 .48314 L
.55242 .48154 L
.55217 .48122 L
.55121 .47993 L
.55057 .4791 L
.54957 .47833 L
.54896 .4771 L
.54868 .47672 L
.54754 .47512 L
.54735 .47488 L
.54635 .47351 L
.54575 .47274 L
.54514 .47191 L
.54414 .47078 L
.54378 .4703 L
.54271 .4687 L
.54254 .46847 L
.54154 .46709 L
.54093 .4663 L
.54035 .46549 L
.53933 .46414 L
.53897 .46388 L
.53798 .46228 L
.53772 .46194 L
.53685 .46067 L
.53612 .45969 L
.5357 .45907 L
.53453 .45746 L
.53451 .45743 L
.5335 .45586 L
.53291 .45499 L
.53249 .45425 L
F
.395 .97 1 r
.53291 .53082 m
.53451 .53062 L
.53612 .53102 L
.53657 .5313 L
.53772 .53239 L
.53807 .53291 L
.53933 .53432 L
.53948 .53451 L
.54075 .53612 L
.54093 .53638 L
.54213 .53772 L
.54254 .53849 L
.54322 .53933 L
.54414 .54059 L
.54433 .54093 L
.54573 .54254 L
.54575 .54256 L
.54718 .54414 L
.54735 .54459 L
.54824 .54575 L
.54896 .54673 L
.54933 .54735 L
.55057 .54886 L
.55064 .54896 L
.55185 .55057 L
.55217 .55099 L
.55323 .55217 L
.55378 .55279 L
.55426 .55378 L
.55538 .55525 L
.55541 .55538 L
.55654 .55699 L
.55699 .55776 L
.55771 .55859 L
.55699 .55948 L
.55538 .55947 L
.55378 .5586 L
.55376 .55859 L
.55217 .55709 L
.55216 .55699 L
.5507 .55538 L
.55057 .55518 L
.54926 .55378 L
.54896 .55308 L
.54814 .55217 L
.54735 .55093 L
.54704 .55057 L
.54575 .54916 L
.54559 .54896 L
.5442 .54735 L
.54414 .54708 L
.54307 .54575 L
.54254 .54496 L
.54198 .54414 L
.54093 .54285 L
.54089 .54254 L
.53942 .54093 L
.53933 .54089 L
.53806 .53933 L
.53772 .53886 L
.53698 .53772 L
.53612 .53669 L
.5359 .53612 L
.53457 .53451 L
.53451 .53444 L
.53309 .53291 L
.53291 .53198 L
.53249 .5313 L
F
1 .62 0 r
.53291 .46648 m
.53349 .46709 L
.53451 .4681 L
.53504 .4687 L
.53612 .46987 L
.53649 .4703 L
.53772 .47163 L
.53789 .47191 L
.53926 .47351 L
.53933 .47359 L
.54059 .47512 L
.54093 .47551 L
.54193 .47672 L
.54254 .47703 L
.54326 .47833 L
.54414 .47932 L
.54489 .47993 L
.54575 .48138 L
.54589 .48154 L
.54716 .48314 L
.54735 .48338 L
.54844 .48475 L
.54896 .48519 L
.54973 .48636 L
.55057 .48735 L
.55115 .48796 L
.55217 .48943 L
.55228 .48957 L
.55353 .49117 L
.55378 .49147 L
.5548 .49278 L
.55538 .49339 L
.5564 .49438 L
.55699 .49554 L
.55736 .49599 L
.55857 .49759 L
.55859 .49762 L
.55981 .4992 L
.5602 .49947 L
.56106 .5008 L
.5618 .50168 L
.56246 .50241 L
.56341 .50382 L
.56355 .50401 L
.56479 .50562 L
.56501 .50591 L
.56602 .50722 L
.56662 .50783 L
.56758 .50883 L
.56822 .51004 L
.56854 .51043 L
.56973 .51204 L
.56983 .51217 L
.57094 .51364 L
.57143 .51396 L
.57217 .51525 L
.57304 .51628 L
.57353 .51686 L
.57463 .51846 L
.57464 .51848 L
.57583 .52007 L
.57625 .5206 L
.57705 .52167 L
.57785 .52253 L
.57853 .52328 L
.57946 .52483 L
.5795 .52488 L
.58067 .52649 L
.58106 .52699 L
.58187 .52809 L
.58267 .52878 L
.58308 .5297 L
.58428 .53128 L
.58429 .5313 L
.58544 .53291 L
.58588 .53349 L
.58661 .53451 L
.58749 .53568 L
.5878 .53612 L
.58896 .53772 L
.58909 .5379 L
.59007 .53933 L
.5907 .54019 L
.59119 .54093 L
.5923 .5425 L
.59233 .54254 L
.59328 .54414 L
.59391 .54514 L
.59416 .54575 L
.59391 .54601 L
.59363 .54575 L
.5923 .5445 L
.59198 .54414 L
.5907 .54277 L
.59049 .54254 L
.58909 .54096 L
.58907 .54093 L
.58771 .53933 L
.58749 .53908 L
.58636 .53772 L
.58588 .53717 L
.58501 .53612 L
.58428 .53555 L
.58368 .53451 L
.58267 .53335 L
.58216 .53291 L
.58106 .53131 L
.58106 .5313 L
.57977 .5297 L
.57946 .52932 L
.57848 .52809 L
.57785 .52748 L
.57657 .52649 L
.57625 .52534 L
.57582 .52488 L
.57464 .52328 L
.57464 .52328 L
.57339 .52167 L
.57304 .52151 L
.57212 .52007 L
.57143 .5193 L
.5706 .51846 L
.56983 .51717 L
.56957 .51686 L
.56835 .51525 L
.56822 .51509 L
.5671 .51364 L
.56662 .51322 L
.56529 .51204 L
.56501 .51102 L
.5645 .51043 L
.56341 .5089 L
.56336 .50883 L
.56213 .50722 L
.5618 .50714 L
.56089 .50562 L
.5602 .50486 L
.5594 .50401 L
.55859 .50267 L
.55838 .50241 L
.55718 .5008 L
.55699 .50055 L
.55596 .4992 L
.55538 .49871 L
.55422 .49759 L
.55378 .49642 L
.55341 .49599 L
.55227 .49438 L
.55217 .49425 L
.55107 .49278 L
.55057 .49213 L
.54985 .49117 L
.54896 .49016 L
.54844 .48957 L
.5474 .48796 L
.54735 .4879 L
.54622 .48636 L
.54575 .48575 L
.54502 .48475 L
.54414 .48387 L
.54347 .48314 L
.5426 .48154 L
.54254 .48146 L
.54144 .47993 L
.54093 .47928 L
.54026 .47833 L
.53933 .4771 L
.53906 .47672 L
.5379 .47512 L
.53772 .47489 L
.53678 .47351 L
.53612 .47262 L
.53564 .47191 L
.53451 .47035 L
.53448 .4703 L
.53348 .4687 L
.53291 .46786 L
.5325 .46709 L
F
0 .27 1 r
.53291 .47323 m
.53315 .47351 L
.53451 .47497 L
.53464 .47512 L
.53451 .47661 L
.53358 .47512 L
.53291 .47419 L
.53255 .47351 L
F
1 .67 0 r
.53291 .53569 m
.53359 .53612 L
.53451 .53686 L
.53534 .53772 L
.53612 .53855 L
.53677 .53933 L
.53772 .54045 L
.5381 .54093 L
.53933 .54243 L
.53944 .54254 L
.54055 .54414 L
.54093 .54465 L
.54168 .54575 L
.54254 .54698 L
.54277 .54735 L
.54361 .54896 L
.54254 .54906 L
.54243 .54896 L
.54093 .54759 L
.5408 .54735 L
.53936 .54575 L
.53933 .54571 L
.53803 .54414 L
.53772 .54378 L
.53675 .54254 L
.53612 .54174 L
.53551 .54093 L
.53451 .53957 L
.53434 .53933 L
.53333 .53772 L
.53291 .53696 L
.53257 .53612 L
F
1 .61 0 r
.53291 .46666 m
.53334 .46709 L
.53451 .46821 L
.53495 .4687 L
.53612 .46995 L
.53642 .4703 L
.53772 .47172 L
.53784 .47191 L
.5392 .47351 L
.53933 .47365 L
.54055 .47512 L
.54093 .47556 L
.54189 .47672 L
.54254 .47707 L
.54322 .47833 L
.54414 .47937 L
.54484 .47993 L
.54575 .48142 L
.54586 .48154 L
.54713 .48314 L
.54735 .48342 L
.54841 .48475 L
.54896 .48522 L
.5497 .48636 L
.55057 .48739 L
.55112 .48796 L
.55217 .48946 L
.55225 .48957 L
.55351 .49117 L
.55378 .4915 L
.55477 .49278 L
.55538 .49342 L
.55638 .49438 L
.55699 .49557 L
.55734 .49599 L
.55855 .49759 L
.55859 .49765 L
.55979 .4992 L
.5602 .49949 L
.56104 .5008 L
.5618 .5017 L
.56243 .50241 L
.56341 .50384 L
.56354 .50401 L
.56477 .50562 L
.56501 .50593 L
.566 .50722 L
.56662 .50785 L
.56756 .50883 L
.56822 .51006 L
.56852 .51043 L
.56971 .51204 L
.56983 .51219 L
.57092 .51364 L
.57143 .51398 L
.57215 .51525 L
.57304 .51631 L
.57351 .51686 L
.57461 .51846 L
.57464 .5185 L
.57581 .52007 L
.57625 .52063 L
.57702 .52167 L
.57785 .52257 L
.5785 .52328 L
.57946 .52487 L
.57947 .52488 L
.58065 .52649 L
.58106 .52703 L
.58184 .52809 L
.58267 .52883 L
.58305 .5297 L
.58426 .5313 L
.58428 .53133 L
.58541 .53291 L
.58588 .53353 L
.58658 .53451 L
.58749 .53573 L
.58776 .53612 L
.58891 .53772 L
.58909 .53796 L
.59002 .53933 L
.5907 .54026 L
.59114 .54093 L
.59225 .54254 L
.5923 .54261 L
.59316 .54414 L
.5923 .54438 L
.59208 .54414 L
.5907 .54269 L
.59057 .54254 L
.58914 .54093 L
.58909 .54088 L
.58777 .53933 L
.58749 .53902 L
.58641 .53772 L
.58588 .53712 L
.58506 .53612 L
.58428 .5355 L
.58372 .53451 L
.58267 .5333 L
.58222 .53291 L
.58109 .5313 L
.58106 .53127 L
.57981 .5297 L
.57946 .52928 L
.57851 .52809 L
.57785 .52745 L
.57661 .52649 L
.57625 .5253 L
.57585 .52488 L
.57467 .52328 L
.57464 .52325 L
.57341 .52167 L
.57304 .5215 L
.57214 .52007 L
.57143 .51927 L
.57062 .51846 L
.56983 .51714 L
.56959 .51686 L
.56837 .51525 L
.56822 .51507 L
.56712 .51364 L
.56662 .5132 L
.56531 .51204 L
.56501 .511 L
.56452 .51043 L
.56341 .50887 L
.56338 .50883 L
.56215 .50722 L
.5618 .50713 L
.56091 .50562 L
.5602 .50484 L
.55942 .50401 L
.55859 .50264 L
.5584 .50241 L
.5572 .5008 L
.55699 .50053 L
.55598 .4992 L
.55538 .49869 L
.55424 .49759 L
.55378 .49639 L
.55343 .49599 L
.55229 .49438 L
.55217 .49422 L
.55109 .49278 L
.55057 .4921 L
.54987 .49117 L
.54896 .49012 L
.54847 .48957 L
.54743 .48796 L
.54735 .48787 L
.54624 .48636 L
.54575 .48572 L
.54504 .48475 L
.54414 .48383 L
.54351 .48314 L
.54263 .48154 L
.54254 .48143 L
.54147 .47993 L
.54093 .47924 L
.54029 .47833 L
.53933 .47705 L
.53909 .47672 L
.53794 .47512 L
.53772 .47483 L
.53682 .47351 L
.53612 .47256 L
.53568 .47191 L
.53454 .4703 L
.53451 .47026 L
.53357 .4687 L
.53291 .46769 L
.53263 .46709 L
F
0 .26 1 r
.53291 .47336 m
.53305 .47351 L
.53451 .47504 L
.53458 .47512 L
.53451 .47653 L
.53366 .47512 L
.53291 .47405 L
.53267 .47351 L
F
1 .66 0 r
.53291 .53588 m
.5334 .53612 L
.53451 .53694 L
.53526 .53772 L
.53612 .53861 L
.53671 .53933 L
.53772 .54051 L
.53806 .54093 L
.53933 .54253 L
.53934 .54254 L
.5405 .54414 L
.54093 .54473 L
.54162 .54575 L
.54254 .54708 L
.54271 .54735 L
.54254 .54894 L
.54093 .54745 L
.54088 .54735 L
.53944 .54575 L
.53933 .54563 L
.53809 .54414 L
.53772 .54371 L
.53681 .54254 L
.53612 .54167 L
.53557 .54093 L
.53451 .53948 L
.5344 .53933 L
.53341 .53772 L
.53291 .53674 L
.53272 .53612 L
F
.024 .88 1 r
.53291 .46013 m
.53356 .46067 L
.53451 .46151 L
.53526 .46228 L
.53612 .46315 L
.53678 .46388 L
.53772 .4647 L
.53824 .46549 L
.53933 .4667 L
.53986 .46709 L
.54093 .4686 L
.54103 .4687 L
.54239 .4703 L
.54254 .47048 L
.54374 .47191 L
.54414 .47233 L
.54508 .47351 L
.54575 .47435 L
.54648 .47512 L
.54735 .47635 L
.54764 .47672 L
.54896 .4783 L
.54897 .47833 L
.55029 .47993 L
.55057 .48026 L
.55178 .48154 L
.55217 .48231 L
.55284 .48314 L
.55378 .48437 L
.554 .48475 L
.55538 .48634 L
.55541 .48636 L
.55697 .48796 L
.55699 .48835 L
.558 .48957 L
.55859 .49044 L
.5591 .49117 L
.5602 .49252 L
.56025 .49278 L
.56172 .49438 L
.5618 .49448 L
.5631 .49599 L
.56341 .49656 L
.56419 .49759 L
.56501 .49868 L
.5653 .4992 L
.56662 .50073 L
.56672 .5008 L
.56818 .50241 L
.56822 .50273 L
.56926 .50401 L
.56983 .50485 L
.57035 .50562 L
.57143 .50695 L
.57148 .50722 L
.57293 .50883 L
.57304 .50895 L
.57431 .51043 L
.57464 .51105 L
.57539 .51204 L
.57625 .51317 L
.5765 .51364 L
.57785 .51522 L
.57788 .51525 L
.57937 .51686 L
.57946 .51727 L
.58042 .51846 L
.58106 .5194 L
.58151 .52007 L
.58267 .5215 L
.58269 .52167 L
.58405 .52328 L
.58428 .52351 L
.58545 .52488 L
.58588 .52563 L
.58651 .52649 L
.58749 .52777 L
.58765 .52809 L
.58897 .5297 L
.58909 .52978 L
.59053 .5313 L
.5907 .53188 L
.59151 .53291 L
.5923 .53404 L
.59261 .53451 L
.59388 .53612 L
.59391 .53615 L
.5951 .53772 L
.59551 .53812 L
.59653 .53933 L
.59712 .54031 L
.59757 .54093 L
.59872 .54247 L
.59876 .54254 L
.59998 .54414 L
.60033 .54435 L
.6016 .54575 L
.60193 .5466 L
.60252 .54735 L
.60354 .54881 L
.60363 .54896 L
.60484 .55057 L
.60514 .55096 L
.60604 .55217 L
.60675 .55289 L
.60746 .55378 L
.60835 .5552 L
.60848 .55538 L
.60965 .55699 L
.60996 .55738 L
.61084 .55859 L
.61156 .55919 L
.61239 .5602 L
.61317 .56168 L
.61326 .5618 L
.61439 .56341 L
.61477 .56392 L
.61555 .56501 L
.61638 .56614 L
.61671 .56662 L
.61786 .56822 L
.61799 .56839 L
.61895 .56983 L
.61959 .57073 L
.62004 .57143 L
.62112 .57304 L
.6212 .57316 L
.62197 .57464 L
.6212 .57505 L
.62079 .57464 L
.61959 .57347 L
.61919 .57304 L
.61799 .57185 L
.6177 .57143 L
.61638 .56995 L
.61621 .56983 L
.61489 .56822 L
.61477 .5681 L
.61352 .56662 L
.61317 .56645 L
.61217 .56501 L
.61156 .56436 L
.61034 .56341 L
.60996 .56234 L
.60944 .5618 L
.60835 .56036 L
.60823 .5602 L
.6069 .55859 L
.60675 .55846 L
.60561 .55699 L
.60514 .55643 L
.60414 .55538 L
.60354 .55438 L
.60305 .55378 L
.60193 .55234 L
.60184 .55217 L
.60049 .55057 L
.60033 .55039 L
.59891 .54896 L
.59872 .54832 L
.59791 .54735 L
.59712 .54623 L
.59678 .54575 L
.59551 .5442 L
.59551 .54414 L
.59419 .54254 L
.59391 .5422 L
.59279 .54093 L
.5923 .5401 L
.59171 .53933 L
.5907 .538 L
.59056 .53772 L
.5892 .53612 L
.58909 .53601 L
.58768 .53451 L
.58749 .53393 L
.58665 .53291 L
.58588 .53181 L
.58554 .5313 L
.58428 .52975 L
.58422 .5297 L
.58299 .52809 L
.58267 .52773 L
.58159 .52649 L
.58106 .52561 L
.58052 .52488 L
.57946 .5235 L
.57936 .52328 L
.57804 .52167 L
.57785 .5215 L
.5765 .52007 L
.57625 .51939 L
.5755 .51846 L
.57464 .51726 L
.57438 .51686 L
.5731 .51525 L
.57304 .51523 L
.57187 .51364 L
.57143 .51317 L
.57046 .51204 L
.56983 .51102 L
.5694 .51043 L
.56822 .5089 L
.56819 .50883 L
.56695 .50722 L
.56662 .50695 L
.56538 .50562 L
.56501 .50478 L
.56441 .50401 L
.56341 .50262 L
.56328 .50241 L
.56204 .5008 L
.5618 .50074 L
.56082 .4992 L
.5602 .49854 L
.5594 .49759 L
.55859 .49633 L
.55834 .49599 L
.55714 .49438 L
.55699 .49419 L
.55593 .49278 L
.55538 .49232 L
.55436 .49117 L
.55378 .49004 L
.55341 .48957 L
.55226 .48796 L
.55217 .48785 L
.55106 .48636 L
.55057 .48571 L
.54985 .48475 L
.54896 .48374 L
.54849 .48314 L
.54741 .48154 L
.54735 .48147 L
.54623 .47993 L
.54575 .47931 L
.54503 .47833 L
.54414 .4774 L
.54359 .47672 L
.54262 .47512 L
.54254 .47501 L
.54147 .47351 L
.54093 .47281 L
.54029 .47191 L
.53933 .47062 L
.5391 .4703 L
.53795 .4687 L
.53772 .46839 L
.53684 .46709 L
.53612 .4661 L
.53572 .46549 L
.5346 .46388 L
.53451 .46376 L
.53364 .46228 L
.53291 .4611 L
.53273 .46067 L
F
.289 .96 1 r
.53291 .50902 m
.53451 .51025 L
.53468 .51043 L
.53612 .51187 L
.5364 .51204 L
.53772 .5136 L
.53776 .51364 L
.5392 .51525 L
.53933 .51539 L
.54056 .51686 L
.54093 .51711 L
.54187 .51846 L
.54254 .51926 L
.54317 .52007 L
.54414 .52144 L
.54425 .52167 L
.54545 .52328 L
.54575 .52373 L
.54649 .52488 L
.5472 .52649 L
.54575 .52732 L
.54527 .52649 L
.54414 .52579 L
.54365 .52488 L
.54254 .52379 L
.54225 .52328 L
.54093 .52169 L
.54091 .52167 L
.53969 .52007 L
.53933 .51962 L
.53847 .51846 L
.53772 .51751 L
.53725 .51686 L
.53612 .51538 L
.53602 .51525 L
.53489 .51364 L
.53451 .51313 L
.53381 .51204 L
.53291 .51071 L
.53275 .51043 L
F
.53291 .53111 m
.53451 .53076 L
.53612 .53121 L
.53629 .5313 L
.53772 .53252 L
.53799 .53291 L
.53933 .5344 L
.53942 .53451 L
.5407 .53612 L
.54093 .53644 L
.5421 .53772 L
.54254 .53853 L
.54319 .53933 L
.54414 .54062 L
.54432 .54093 L
.5457 .54254 L
.54575 .54258 L
.54717 .54414 L
.54735 .54462 L
.54822 .54575 L
.54896 .54677 L
.54931 .54735 L
.55057 .54891 L
.55061 .54896 L
.55181 .55057 L
.55217 .55105 L
.55319 .55217 L
.55378 .55288 L
.55421 .55378 L
.55536 .55538 L
.55538 .55541 L
.55641 .55699 L
.55699 .55814 L
.55728 .55859 L
.55699 .55905 L
.55538 .55922 L
.55409 .55859 L
.55378 .55827 L
.55223 .55699 L
.55217 .5569 L
.55079 .55538 L
.55057 .55504 L
.54931 .55378 L
.54896 .55299 L
.54819 .55217 L
.54735 .55088 L
.54707 .55057 L
.54575 .54911 L
.54563 .54896 L
.54421 .54735 L
.54414 .54704 L
.5431 .54575 L
.54254 .54492 L
.542 .54414 L
.54093 .54281 L
.5409 .54254 L
.53945 .54093 L
.53933 .54087 L
.53808 .53933 L
.53772 .53882 L
.53702 .53772 L
.53612 .53663 L
.53592 .53612 L
.53463 .53451 L
.53451 .53435 L
.53313 .53291 L
.53291 .53166 L
.53277 .5313 L
F
1 .6 0 r
.53291 .46692 m
.53313 .46709 L
.53451 .46832 L
.53486 .4687 L
.53612 .47004 L
.53635 .4703 L
.53772 .47182 L
.53778 .47191 L
.53915 .47351 L
.53933 .47372 L
.5405 .47512 L
.54093 .47562 L
.54184 .47672 L
.54254 .47711 L
.54318 .47833 L
.54414 .47942 L
.54479 .47993 L
.54575 .48147 L
.54582 .48154 L
.54709 .48314 L
.54735 .48346 L
.54838 .48475 L
.54896 .48525 L
.54967 .48636 L
.55057 .48742 L
.55109 .48796 L
.55217 .4895 L
.55223 .48957 L
.55349 .49117 L
.55378 .49153 L
.55475 .49278 L
.55538 .49345 L
.55636 .49438 L
.55699 .49559 L
.55732 .49599 L
.55853 .49759 L
.55859 .49767 L
.55977 .4992 L
.5602 .49951 L
.56102 .5008 L
.5618 .50173 L
.56241 .50241 L
.56341 .50387 L
.56352 .50401 L
.56474 .50562 L
.56501 .50596 L
.56598 .50722 L
.56662 .50788 L
.56754 .50883 L
.56822 .51009 L
.5685 .51043 L
.56969 .51204 L
.56983 .51222 L
.5709 .51364 L
.57143 .514 L
.57213 .51525 L
.57304 .51634 L
.57348 .51686 L
.57459 .51846 L
.57464 .51853 L
.57579 .52007 L
.57625 .52066 L
.577 .52167 L
.57785 .5226 L
.57847 .52328 L
.57944 .52488 L
.57946 .5249 L
.58062 .52649 L
.58106 .52706 L
.58182 .52809 L
.58267 .52888 L
.58302 .5297 L
.58422 .5313 L
.58428 .53137 L
.58537 .53291 L
.58588 .53358 L
.58654 .53451 L
.58749 .53578 L
.58773 .53612 L
.58887 .53772 L
.58909 .53802 L
.58996 .53933 L
.5907 .54034 L
.59108 .54093 L
.59216 .54254 L
.5923 .54274 L
.593 .54414 L
.5923 .54425 L
.5922 .54414 L
.5907 .54259 L
.59065 .54254 L
.58921 .54093 L
.58909 .54081 L
.58783 .53933 L
.58749 .53895 L
.58646 .53772 L
.58588 .53706 L
.5851 .53612 L
.58428 .53544 L
.58376 .53451 L
.58267 .53325 L
.58227 .53291 L
.58113 .5313 L
.58106 .53123 L
.57984 .5297 L
.57946 .52924 L
.57854 .52809 L
.57785 .52741 L
.57664 .52649 L
.57625 .52527 L
.57588 .52488 L
.57469 .52328 L
.57464 .52321 L
.57343 .52167 L
.57304 .52148 L
.57217 .52007 L
.57143 .51924 L
.57065 .51846 L
.56983 .51711 L
.56962 .51686 L
.56839 .51525 L
.56822 .51504 L
.56715 .51364 L
.56662 .51318 L
.56533 .51204 L
.56501 .51097 L
.56454 .51043 L
.56341 .50885 L
.56339 .50883 L
.56217 .50722 L
.5618 .50712 L
.56093 .50562 L
.5602 .50481 L
.55944 .50401 L
.55859 .50262 L
.55842 .50241 L
.55722 .5008 L
.55699 .5005 L
.556 .4992 L
.55538 .49867 L
.55427 .49759 L
.55378 .49637 L
.55346 .49599 L
.55232 .49438 L
.55217 .4942 L
.55111 .49278 L
.55057 .49207 L
.54989 .49117 L
.54896 .49009 L
.5485 .48957 L
.54745 .48796 L
.54735 .48783 L
.54627 .48636 L
.54575 .48568 L
.54507 .48475 L
.54414 .48378 L
.54355 .48314 L
.54266 .48154 L
.54254 .48139 L
.5415 .47993 L
.54093 .47919 L
.54032 .47833 L
.53933 .47701 L
.53913 .47672 L
.53798 .47512 L
.53772 .47477 L
.53687 .47351 L
.53612 .47249 L
.53573 .47191 L
.53462 .4703 L
.53451 .47015 L
.53367 .4687 L
.53291 .46742 L
.5328 .46709 L
F
.024 .88 1 r
.53291 .5714 m
.53293 .57143 L
.53291 .57171 L
.53283 .57143 L
F
.212 .95 1 r
.53451 .53089 m
.53599 .5313 L
.53612 .53142 L
.53772 .53264 L
.53792 .53291 L
.53933 .53448 L
.53936 .53451 L
.54066 .53612 L
.54093 .5365 L
.54207 .53772 L
.54254 .53858 L
.54316 .53933 L
.54414 .54066 L
.5443 .54093 L
.54567 .54254 L
.54575 .5426 L
.54715 .54414 L
.54735 .54466 L
.54819 .54575 L
.54896 .54681 L
.54928 .54735 L
.55057 .54895 L
.55057 .54896 L
.55177 .55057 L
.55217 .5511 L
.55315 .55217 L
.55378 .55297 L
.55416 .55378 L
.55528 .55538 L
.55538 .55554 L
.55629 .55699 L
.55681 .55859 L
.55538 .55898 L
.55447 .55859 L
.55378 .55799 L
.55239 .55699 L
.55217 .55671 L
.55089 .55538 L
.55057 .55491 L
.54936 .55378 L
.54896 .55291 L
.54824 .55217 L
.54735 .55083 L
.5471 .55057 L
.54575 .54905 L
.54568 .54896 L
.54422 .54735 L
.54414 .54699 L
.54313 .54575 L
.54254 .54488 L
.54203 .54414 L
.54093 .54278 L
.5409 .54254 L
.53948 .54093 L
.53933 .54085 L
.5381 .53933 L
.53772 .53877 L
.53705 .53772 L
.53612 .53656 L
.53595 .53612 L
.53469 .53451 L
.53451 .53425 L
.53319 .53291 L
.53307 .5313 L
F
.156 .94 1 r
.53451 .53103 m
.53566 .5313 L
.53612 .53164 L
.53772 .53275 L
.53784 .53291 L
.53929 .53451 L
.53933 .53456 L
.54061 .53612 L
.54093 .53655 L
.54204 .53772 L
.54254 .53862 L
.54313 .53933 L
.54414 .54069 L
.54428 .54093 L
.54564 .54254 L
.54575 .54262 L
.54714 .54414 L
.54735 .5447 L
.54816 .54575 L
.54896 .54685 L
.54926 .54735 L
.55054 .54896 L
.55057 .549 L
.55173 .55057 L
.55217 .55116 L
.5531 .55217 L
.55378 .55308 L
.5541 .55378 L
.55519 .55538 L
.55538 .55568 L
.55615 .55699 L
.55631 .55859 L
.55538 .55873 L
.55494 .55859 L
.55378 .55777 L
.55254 .55699 L
.55217 .55654 L
.55099 .55538 L
.55057 .5548 L
.54941 .55378 L
.54896 .55283 L
.54829 .55217 L
.54735 .55079 L
.54713 .55057 L
.54575 .549 L
.54572 .54896 L
.54423 .54735 L
.54414 .54695 L
.54315 .54575 L
.54254 .54484 L
.54206 .54414 L
.54093 .54274 L
.54091 .54254 L
.53952 .54093 L
.53933 .54083 L
.53813 .53933 L
.53772 .53873 L
.53709 .53772 L
.53612 .5365 L
.53598 .53612 L
.53475 .53451 L
.53451 .53416 L
.53326 .53291 L
.53338 .5313 L
F
.114 .93 1 r
.53451 .53117 m
.53526 .5313 L
.53612 .53183 L
.53772 .53286 L
.53776 .53291 L
.53923 .53451 L
.53933 .53463 L
.54056 .53612 L
.54093 .53661 L
.54201 .53772 L
.54254 .53867 L
.5431 .53933 L
.54414 .54072 L
.54427 .54093 L
.54561 .54254 L
.54575 .54265 L
.54712 .54414 L
.54735 .54473 L
.54813 .54575 L
.54896 .54689 L
.54923 .54735 L
.5505 .54896 L
.55057 .54905 L
.55169 .55057 L
.55217 .55122 L
.55306 .55217 L
.55378 .55319 L
.55404 .55378 L
.55511 .55538 L
.55538 .55583 L
.55602 .55699 L
.55538 .55849 L
.55378 .55759 L
.5527 .55699 L
.55217 .55639 L
.55109 .55538 L
.55057 .55469 L
.54947 .55378 L
.54896 .55276 L
.54834 .55217 L
.54735 .55075 L
.54716 .55057 L
.54576 .54896 L
.54575 .54895 L
.54424 .54735 L
.54414 .5469 L
.54318 .54575 L
.54254 .5448 L
.54209 .54414 L
.54093 .54271 L
.54091 .54254 L
.53955 .54093 L
.53933 .54081 L
.53816 .53933 L
.53772 .53869 L
.53712 .53772 L
.53612 .53643 L
.53601 .53612 L
.53481 .53451 L
.53451 .53405 L
.53335 .53291 L
.53378 .5313 L
F
.084 .92 1 r
.53451 .53131 m
.53612 .53199 L
.53766 .53291 L
.53772 .53297 L
.53917 .53451 L
.53933 .53471 L
.54051 .53612 L
.54093 .53666 L
.54198 .53772 L
.54254 .53871 L
.54307 .53933 L
.54414 .54075 L
.54425 .54093 L
.54557 .54254 L
.54575 .54267 L
.54711 .54414 L
.54735 .54477 L
.5481 .54575 L
.54896 .54694 L
.54921 .54735 L
.55046 .54896 L
.55057 .5491 L
.55165 .55057 L
.55217 .55128 L
.55301 .55217 L
.55378 .55331 L
.55398 .55378 L
.55502 .55538 L
.55538 .55601 L
.55587 .55699 L
.55538 .55825 L
.55378 .55745 L
.55287 .55699 L
.55217 .55625 L
.55118 .55538 L
.55057 .55459 L
.54953 .55378 L
.54896 .55269 L
.54839 .55217 L
.54735 .55072 L
.54718 .55057 L
.5458 .54896 L
.54575 .5489 L
.54425 .54735 L
.54414 .54686 L
.54321 .54575 L
.54254 .54476 L
.54211 .54414 L
.54093 .54268 L
.54092 .54254 L
.53958 .54093 L
.53933 .54078 L
.53818 .53933 L
.53772 .53864 L
.53716 .53772 L
.53612 .53635 L
.53603 .53612 L
.53487 .53451 L
.53451 .53394 L
.53345 .53291 L
F
1 .65 0 r
.53451 .53704 m
.53518 .53772 L
.53612 .53869 L
.53666 .53933 L
.53772 .54057 L
.53801 .54093 L
.53928 .54254 L
.53933 .5426 L
.54044 .54414 L
.54093 .54481 L
.54156 .54575 L
.54254 .5472 L
.54263 .54735 L
.54254 .54878 L
.54097 .54735 L
.54093 .54732 L
.53951 .54575 L
.53933 .54555 L
.53815 .54414 L
.53772 .54364 L
.53686 .54254 L
.53612 .54159 L
.53563 .54093 L
.53451 .5394 L
.53446 .53933 L
.5335 .53772 L
F
.061 .91 1 r
.53451 .53147 m
.53612 .53212 L
.53756 .53291 L
.53772 .53308 L
.5391 .53451 L
.53933 .53478 L
.54047 .53612 L
.54093 .53672 L
.54194 .53772 L
.54254 .53875 L
.54304 .53933 L
.54414 .54078 L
.54423 .54093 L
.54554 .54254 L
.54575 .5427 L
.54709 .54414 L
.54735 .5448 L
.54808 .54575 L
.54896 .54698 L
.54918 .54735 L
.55043 .54896 L
.55057 .54915 L
.55161 .55057 L
.55217 .55134 L
.55296 .55217 L
.55378 .55345 L
.55392 .55378 L
.55493 .55538 L
.55538 .55622 L
.55572 .55699 L
.55538 .55797 L
.55378 .55733 L
.55305 .55699 L
.55217 .55613 L
.55128 .55538 L
.55057 .55449 L
.54959 .55378 L
.54896 .55262 L
.54844 .55217 L
.54735 .55069 L
.54721 .55057 L
.54584 .54896 L
.54575 .54886 L
.54426 .54735 L
.54414 .54682 L
.54324 .54575 L
.54254 .54472 L
.54214 .54414 L
.54093 .54264 L
.54092 .54254 L
.53961 .54093 L
.53933 .54076 L
.53821 .53933 L
.53772 .53859 L
.53719 .53772 L
.53612 .53628 L
.53606 .53612 L
.53493 .53451 L
.53451 .53382 L
.53358 .53291 L
F
1 .64 0 r
.53451 .53713 m
.5351 .53772 L
.53612 .53876 L
.5366 .53933 L
.53772 .54063 L
.53796 .54093 L
.53922 .54254 L
.53933 .54267 L
.54038 .54414 L
.54093 .54489 L
.5415 .54575 L
.54254 .54732 L
.54256 .54735 L
.54254 .5486 L
.54109 .54735 L
.54093 .54722 L
.53959 .54575 L
.53933 .54547 L
.53822 .54414 L
.53772 .54356 L
.53692 .54254 L
.53612 .54152 L
.53568 .54093 L
.53453 .53933 L
.53451 .5393 L
.53359 .53772 L
F
1 .63 0 r
.53451 .53724 m
.53501 .53772 L
.53612 .53883 L
.53654 .53933 L
.53772 .5407 L
.5379 .54093 L
.53916 .54254 L
.53933 .54275 L
.54032 .54414 L
.54093 .54498 L
.54143 .54575 L
.54093 .54711 L
.53967 .54575 L
.53933 .54539 L
.53829 .54414 L
.53772 .54348 L
.53698 .54254 L
.53612 .54144 L
.53574 .54093 L
.53461 .53933 L
.53451 .53919 L
.5337 .53772 L
F
.045 .9 1 r
.53451 .53164 m
.53612 .53222 L
.53745 .53291 L
.53772 .53317 L
.53904 .53451 L
.53933 .53485 L
.54042 .53612 L
.54093 .53677 L
.54191 .53772 L
.54254 .53879 L
.54301 .53933 L
.54414 .54081 L
.54422 .54093 L
.54551 .54254 L
.54575 .54272 L
.54707 .54414 L
.54735 .54484 L
.54805 .54575 L
.54896 .54702 L
.54916 .54735 L
.55039 .54896 L
.55057 .5492 L
.55157 .55057 L
.55217 .5514 L
.55291 .55217 L
.55378 .55359 L
.55386 .55378 L
.55484 .55538 L
.55538 .55649 L
.55555 .55699 L
.55538 .55764 L
.55378 .55722 L
.55324 .55699 L
.55217 .55601 L
.55139 .55538 L
.55057 .5544 L
.54966 .55378 L
.54896 .55256 L
.54849 .55217 L
.54735 .55066 L
.54724 .55057 L
.54588 .54896 L
.54575 .54882 L
.54427 .54735 L
.54414 .54677 L
.54327 .54575 L
.54254 .54468 L
.54217 .54414 L
.54093 .54261 L
.54092 .54254 L
.53965 .54093 L
.53933 .54074 L
.53824 .53933 L
.53772 .53854 L
.53723 .53772 L
.53612 .5362 L
.53609 .53612 L
.53499 .53451 L
.53451 .5337 L
.53372 .53291 L
F
0 .25 1 r
.53451 .47512 m
.53451 .47512 L
.53451 .47644 L
.53376 .47512 L
F
1 .59 0 r
.53451 .46845 m
.53475 .4687 L
.53612 .47012 L
.53628 .4703 L
.53771 .47191 L
.53772 .47192 L
.53909 .47351 L
.53933 .47378 L
.54045 .47512 L
.54093 .47567 L
.5418 .47672 L
.54254 .47716 L
.54314 .47833 L
.54414 .47947 L
.54473 .47993 L
.54575 .48151 L
.54578 .48154 L
.54706 .48314 L
.54735 .4835 L
.54835 .48475 L
.54896 .48528 L
.54964 .48636 L
.55057 .48746 L
.55105 .48796 L
.55217 .48953 L
.5522 .48957 L
.55346 .49117 L
.55378 .49156 L
.55473 .49278 L
.55538 .49348 L
.55633 .49438 L
.55699 .49562 L
.55729 .49599 L
.5585 .49759 L
.55859 .4977 L
.55975 .4992 L
.5602 .49953 L
.561 .5008 L
.5618 .50175 L
.56239 .50241 L
.56341 .50389 L
.5635 .50401 L
.56472 .50562 L
.56501 .50598 L
.56596 .50722 L
.56662 .5079 L
.56752 .50883 L
.56822 .51012 L
.56848 .51043 L
.56966 .51204 L
.56983 .51225 L
.57088 .51364 L
.57143 .51403 L
.57211 .51525 L
.57304 .51637 L
.57346 .51686 L
.57457 .51846 L
.57464 .51856 L
.57577 .52007 L
.57625 .52069 L
.57698 .52167 L
.57785 .52264 L
.57843 .52328 L
.57942 .52488 L
.57946 .52494 L
.5806 .52649 L
.58106 .5271 L
.58179 .52809 L
.58267 .52893 L
.583 .5297 L
.58419 .5313 L
.58428 .53141 L
.58534 .53291 L
.58588 .53362 L
.58651 .53451 L
.58749 .53583 L
.58769 .53612 L
.58882 .53772 L
.58909 .53809 L
.58991 .53933 L
.5907 .54043 L
.59102 .54093 L
.5907 .54249 L
.58929 .54093 L
.58909 .54073 L
.58789 .53933 L
.58749 .53889 L
.58651 .53772 L
.58588 .53701 L
.58515 .53612 L
.58428 .53539 L
.5838 .53451 L
.58267 .5332 L
.58233 .53291 L
.58116 .5313 L
.58106 .53119 L
.57987 .5297 L
.57946 .5292 L
.57857 .52809 L
.57785 .52738 L
.57668 .52649 L
.57625 .52523 L
.57591 .52488 L
.57472 .52328 L
.57464 .52318 L
.57346 .52167 L
.57304 .52146 L
.57219 .52007 L
.57143 .51921 L
.57067 .51846 L
.56983 .51708 L
.56964 .51686 L
.56841 .51525 L
.56822 .51501 L
.56717 .51364 L
.56662 .51316 L
.56535 .51204 L
.56501 .51094 L
.56456 .51043 L
.56341 .50883 L
.56341 .50882 L
.56219 .50722 L
.5618 .50711 L
.56095 .50562 L
.5602 .50479 L
.55947 .50401 L
.55859 .50259 L
.55844 .50241 L
.55724 .5008 L
.55699 .50048 L
.55602 .4992 L
.55538 .49864 L
.55429 .49759 L
.55378 .49634 L
.55348 .49599 L
.55234 .49438 L
.55217 .49417 L
.55113 .49278 L
.55057 .49205 L
.54991 .49117 L
.54896 .49005 L
.54853 .48957 L
.54748 .48796 L
.54735 .4878 L
.54629 .48636 L
.54575 .48565 L
.54509 .48475 L
.54414 .48373 L
.5436 .48314 L
.54269 .48154 L
.54254 .48135 L
.54153 .47993 L
.54093 .47915 L
.54035 .47833 L
.53933 .47696 L
.53916 .47672 L
.53803 .47512 L
.53772 .47471 L
.53692 .47351 L
.53612 .47241 L
.53579 .47191 L
.5347 .4703 L
.53451 .47003 L
.5338 .4687 L
F
1 .62 0 r
.53451 .53735 m
.5349 .53772 L
.53612 .53891 L
.53647 .53933 L
.53772 .54077 L
.53785 .54093 L
.5391 .54254 L
.53933 .54283 L
.54025 .54414 L
.54093 .54508 L
.54136 .54575 L
.54093 .547 L
.53976 .54575 L
.53933 .5453 L
.53836 .54414 L
.53772 .5434 L
.53704 .54254 L
.53612 .54136 L
.53581 .54093 L
.53469 .53933 L
.53451 .53906 L
.53382 .53772 L
F
.033 .89 1 r
.53451 .53182 m
.53612 .53231 L
.53733 .53291 L
.53772 .53326 L
.53897 .53451 L
.53933 .53491 L
.54037 .53612 L
.54093 .53682 L
.54187 .53772 L
.54254 .53883 L
.54298 .53933 L
.54414 .54084 L
.5442 .54093 L
.54548 .54254 L
.54575 .54275 L
.54705 .54414 L
.54735 .54488 L
.54802 .54575 L
.54896 .54707 L
.54913 .54735 L
.55035 .54896 L
.55057 .54925 L
.55153 .55057 L
.55217 .55146 L
.55286 .55217 L
.55378 .55374 L
.55379 .55378 L
.55474 .55538 L
.55536 .55699 L
.55378 .55712 L
.55345 .55699 L
.55217 .55591 L
.55149 .55538 L
.55057 .55432 L
.54973 .55378 L
.54896 .5525 L
.54854 .55217 L
.54735 .55063 L
.54727 .55057 L
.54592 .54896 L
.54575 .54878 L
.54429 .54735 L
.54414 .54673 L
.5433 .54575 L
.54254 .54464 L
.54219 .54414 L
.54093 .54258 L
.54093 .54254 L
.53968 .54093 L
.53933 .54071 L
.53827 .53933 L
.53772 .53849 L
.53726 .53772 L
.53612 .53612 L
.53612 .53611 L
.53505 .53451 L
.53451 .53355 L
.53389 .53291 L
F
.018 .87 1 r
.53451 .46184 m
.53497 .46228 L
.53612 .46339 L
.53658 .46388 L
.53772 .46493 L
.53808 .46549 L
.53933 .46687 L
.53965 .46709 L
.54091 .4687 L
.54093 .46873 L
.54228 .4703 L
.54254 .4706 L
.54364 .47191 L
.54414 .47243 L
.54499 .47351 L
.54575 .47444 L
.5464 .47512 L
.54735 .47643 L
.54758 .47672 L
.54893 .47833 L
.54896 .47835 L
.55024 .47993 L
.55057 .48033 L
.55174 .48154 L
.55217 .48237 L
.5528 .48314 L
.55378 .48442 L
.55397 .48475 L
.55536 .48636 L
.55538 .48637 L
.55697 .48796 L
.55699 .4884 L
.55796 .48957 L
.55859 .49049 L
.55907 .49117 L
.5602 .49256 L
.56025 .49278 L
.56168 .49438 L
.5618 .49452 L
.56308 .49599 L
.56341 .4966 L
.56417 .49759 L
.56501 .49871 L
.56528 .4992 L
.56662 .50075 L
.56669 .5008 L
.56817 .50241 L
.56822 .50277 L
.56924 .50401 L
.56983 .50488 L
.57033 .50562 L
.57143 .50698 L
.57148 .50722 L
.57291 .50883 L
.57304 .50897 L
.57429 .51043 L
.57464 .51107 L
.57537 .51204 L
.57625 .5132 L
.57648 .51364 L
.57785 .51524 L
.57786 .51525 L
.57936 .51686 L
.57946 .51729 L
.5804 .51846 L
.58106 .51942 L
.58149 .52007 L
.58267 .52153 L
.58269 .52167 L
.58403 .52328 L
.58428 .52353 L
.58544 .52488 L
.58588 .52566 L
.58649 .52649 L
.58749 .52779 L
.58763 .52809 L
.58895 .5297 L
.58909 .52979 L
.59052 .5313 L
.5907 .5319 L
.59149 .53291 L
.5923 .53406 L
.59259 .53451 L
.59386 .53612 L
.59391 .53618 L
.59507 .53772 L
.59551 .53815 L
.59651 .53933 L
.59712 .54035 L
.59754 .54093 L
.59872 .5425 L
.59874 .54254 L
.59995 .54414 L
.60033 .54438 L
.60158 .54575 L
.60193 .54664 L
.60248 .54735 L
.60354 .54886 L
.6036 .54896 L
.6048 .55057 L
.60514 .55101 L
.60601 .55217 L
.60675 .55295 L
.60741 .55378 L
.60835 .55526 L
.60844 .55538 L
.60961 .55699 L
.60996 .55745 L
.61079 .55859 L
.61156 .55928 L
.61231 .5602 L
.61317 .56178 L
.61318 .5618 L
.61432 .56341 L
.61477 .56402 L
.61547 .56501 L
.61638 .56625 L
.61663 .56662 L
.61775 .56822 L
.61799 .56854 L
.61882 .56983 L
.61959 .57094 L
.6199 .57143 L
.62087 .57304 L
.61959 .57321 L
.61943 .57304 L
.61799 .57159 L
.61788 .57143 L
.61642 .56983 L
.61638 .56978 L
.61502 .56822 L
.61477 .56796 L
.61363 .56662 L
.61317 .56639 L
.61226 .56501 L
.61156 .56426 L
.61043 .56341 L
.60996 .56225 L
.60952 .5618 L
.60835 .56029 L
.60828 .5602 L
.60697 .55859 L
.60675 .5584 L
.60566 .55699 L
.60514 .55637 L
.60418 .55538 L
.60354 .55431 L
.6031 .55378 L
.60193 .55229 L
.60186 .55217 L
.60054 .55057 L
.60033 .55034 L
.59893 .54896 L
.59872 .54827 L
.59794 .54735 L
.59712 .54619 L
.59681 .54575 L
.59551 .54417 L
.59551 .54414 L
.59423 .54254 L
.59391 .54216 L
.59281 .54093 L
.5923 .54006 L
.59174 .53933 L
.5907 .53797 L
.59057 .53772 L
.58922 .53612 L
.58909 .53599 L
.58769 .53451 L
.58749 .5339 L
.58667 .53291 L
.58588 .53178 L
.58556 .5313 L
.58428 .52973 L
.58424 .5297 L
.58301 .52809 L
.58267 .52771 L
.58161 .52649 L
.58106 .52558 L
.58054 .52488 L
.57946 .52348 L
.57937 .52328 L
.57806 .52167 L
.57785 .52149 L
.57651 .52007 L
.57625 .51937 L
.57551 .51846 L
.57464 .51724 L
.5744 .51686 L
.57312 .51525 L
.57304 .51522 L
.57189 .51364 L
.57143 .51315 L
.57048 .51204 L
.56983 .51099 L
.56941 .51043 L
.56822 .50887 L
.5682 .50883 L
.56697 .50722 L
.56662 .50693 L
.5654 .50562 L
.56501 .50475 L
.56443 .50401 L
.56341 .50259 L
.56329 .50241 L
.56206 .5008 L
.5618 .50073 L
.56084 .4992 L
.5602 .49851 L
.55943 .49759 L
.55859 .4963 L
.55836 .49599 L
.55716 .49438 L
.55699 .49416 L
.55595 .49278 L
.55538 .4923 L
.55438 .49117 L
.55378 .49 L
.55344 .48957 L
.55229 .48796 L
.55217 .48781 L
.55109 .48636 L
.55057 .48567 L
.54988 .48475 L
.54896 .48368 L
.54853 .48314 L
.54745 .48154 L
.54735 .48142 L
.54627 .47993 L
.54575 .47926 L
.54508 .47833 L
.54414 .47732 L
.54366 .47672 L
.54268 .47512 L
.54254 .47494 L
.54152 .47351 L
.54093 .47273 L
.54035 .47191 L
.53933 .47053 L
.53917 .4703 L
.53804 .4687 L
.53772 .46827 L
.53694 .46709 L
.53612 .46594 L
.53583 .46549 L
.53478 .46388 L
.53451 .46349 L
.5339 .46228 L
F
1 .61 0 r
.53451 .53748 m
.53479 .53772 L
.53612 .53899 L
.5364 .53933 L
.53772 .54084 L
.53779 .54093 L
.53903 .54254 L
.53933 .54292 L
.54018 .54414 L
.54093 .54519 L
.54128 .54575 L
.54093 .54687 L
.53986 .54575 L
.53933 .54521 L
.53843 .54414 L
.53772 .54332 L
.53711 .54254 L
.53612 .54127 L
.53587 .54093 L
.53478 .53933 L
.53451 .53891 L
.53396 .53772 L
F
1 .58 0 r
.53451 .46859 m
.53462 .4687 L
.53612 .47022 L
.53619 .4703 L
.53764 .47191 L
.53772 .472 L
.53903 .47351 L
.53933 .47384 L
.5404 .47512 L
.54093 .47573 L
.54176 .47672 L
.54254 .47722 L
.5431 .47833 L
.54414 .47952 L
.54467 .47993 L
.54574 .48154 L
.54575 .48155 L
.54703 .48314 L
.54735 .48354 L
.54832 .48475 L
.54896 .48532 L
.54962 .48636 L
.55057 .48749 L
.55102 .48796 L
.55217 .48956 L
.55218 .48957 L
.55344 .49117 L
.55378 .49159 L
.5547 .49278 L
.55538 .4935 L
.55631 .49438 L
.55699 .49565 L
.55727 .49599 L
.55848 .49759 L
.55859 .49773 L
.55973 .4992 L
.5602 .49955 L
.56098 .5008 L
.5618 .50178 L
.56237 .50241 L
.56341 .50392 L
.56348 .50401 L
.5647 .50562 L
.56501 .50601 L
.56594 .50722 L
.56662 .50793 L
.5675 .50883 L
.56822 .51015 L
.56846 .51043 L
.56964 .51204 L
.56983 .51227 L
.57086 .51364 L
.57143 .51405 L
.57209 .51525 L
.57304 .5164 L
.57343 .51686 L
.57454 .51846 L
.57464 .51859 L
.57574 .52007 L
.57625 .52072 L
.57696 .52167 L
.57785 .52267 L
.5784 .52328 L
.57939 .52488 L
.57946 .52497 L
.58057 .52649 L
.58106 .52713 L
.58177 .52809 L
.58267 .52898 L
.58297 .5297 L
.58416 .5313 L
.58428 .53146 L
.58531 .53291 L
.58588 .53367 L
.58647 .53451 L
.58749 .53588 L
.58765 .53612 L
.58877 .53772 L
.58909 .53816 L
.58985 .53933 L
.5907 .54052 L
.59096 .54093 L
.5907 .54238 L
.58938 .54093 L
.58909 .54064 L
.58795 .53933 L
.58749 .53882 L
.58656 .53772 L
.58588 .53695 L
.58519 .53612 L
.58428 .53532 L
.58384 .53451 L
.58267 .53314 L
.58239 .53291 L
.5812 .5313 L
.58106 .53114 L
.5799 .5297 L
.57946 .52916 L
.5786 .52809 L
.57785 .52734 L
.57672 .52649 L
.57625 .5252 L
.57595 .52488 L
.57475 .52328 L
.57464 .52315 L
.57348 .52167 L
.57304 .52144 L
.57221 .52007 L
.57143 .51918 L
.5707 .51846 L
.56983 .51705 L
.56966 .51686 L
.56843 .51525 L
.56822 .51499 L
.56719 .51364 L
.56662 .51313 L
.56537 .51204 L
.56501 .51092 L
.56459 .51043 L
.56343 .50883 L
.56341 .5088 L
.56221 .50722 L
.5618 .5071 L
.56097 .50562 L
.5602 .50476 L
.55949 .50401 L
.55859 .50257 L
.55847 .50241 L
.55726 .5008 L
.55699 .50045 L
.55604 .4992 L
.55538 .49862 L
.55432 .49759 L
.55378 .49631 L
.5535 .49599 L
.55236 .49438 L
.55217 .49414 L
.55115 .49278 L
.55057 .49202 L
.54993 .49117 L
.54896 .49002 L
.54856 .48957 L
.5475 .48796 L
.54735 .48777 L
.54632 .48636 L
.54575 .48562 L
.54511 .48475 L
.54414 .48368 L
.54365 .48314 L
.54272 .48154 L
.54254 .48131 L
.54156 .47993 L
.54093 .47911 L
.54038 .47833 L
.53933 .47691 L
.5392 .47672 L
.53807 .47512 L
.53772 .47465 L
.53697 .47351 L
.53612 .47234 L
.53584 .47191 L
.53479 .4703 L
.53451 .46989 L
.53396 .4687 L
F
.024 .88 1 r
.53451 .53203 m
.53612 .53238 L
.53722 .53291 L
.53772 .53335 L
.53891 .53451 L
.53933 .53498 L
.54032 .53612 L
.54093 .53687 L
.54184 .53772 L
.54254 .53887 L
.54295 .53933 L
.54414 .54087 L
.54418 .54093 L
.54545 .54254 L
.54575 .54277 L
.54703 .54414 L
.54735 .54492 L
.54799 .54575 L
.54896 .54711 L
.5491 .54735 L
.55031 .54896 L
.55057 .5493 L
.55148 .55057 L
.55217 .55153 L
.5528 .55217 L
.55372 .55378 L
.55378 .55386 L
.55464 .55538 L
.55506 .55699 L
.55378 .55701 L
.55371 .55699 L
.55217 .55581 L
.5516 .55538 L
.55057 .55424 L
.54981 .55378 L
.54896 .55245 L
.5486 .55217 L
.54735 .55061 L
.5473 .55057 L
.54596 .54896 L
.54575 .54873 L
.5443 .54735 L
.54414 .54669 L
.54333 .54575 L
.54254 .5446 L
.54222 .54414 L
.54093 .54254 L
.54093 .54254 L
.53971 .54093 L
.53933 .54068 L
.5383 .53933 L
.53772 .53843 L
.5373 .53772 L
.53617 .53612 L
.53612 .53604 L
.53512 .53451 L
.53451 .53338 L
.53408 .53291 L
F
.212 .95 1 r
.53451 .51086 m
.53585 .51204 L
.53612 .51229 L
.53743 .51364 L
.53772 .51395 L
.53889 .51525 L
.53933 .51575 L
.54028 .51686 L
.54093 .51736 L
.54159 .51846 L
.54254 .51962 L
.5429 .52007 L
.54402 .52167 L
.54414 .52184 L
.54514 .52328 L
.54575 .52431 L
.54608 .52488 L
.54575 .52635 L
.54414 .52533 L
.54392 .52488 L
.54254 .52345 L
.54244 .52328 L
.54112 .52167 L
.54093 .52145 L
.53987 .52007 L
.53933 .5194 L
.53864 .51846 L
.53772 .51729 L
.53742 .51686 L
.53622 .51525 L
.53612 .51511 L
.53515 .51364 L
.53451 .51272 L
.53412 .51204 L
F
1 .6 0 r
.53451 .53762 m
.53464 .53772 L
.53612 .53908 L
.53633 .53933 L
.53772 .54092 L
.53774 .54093 L
.53896 .54254 L
.53933 .54301 L
.54011 .54414 L
.54093 .54531 L
.5412 .54575 L
.54093 .54673 L
.53997 .54575 L
.53933 .54511 L
.53851 .54414 L
.53772 .54324 L
.53718 .54254 L
.53612 .54118 L
.53594 .54093 L
.53488 .53933 L
.53451 .53873 L
.53415 .53772 L
F
1 .78 .001 r
.53451 .51732 m
.53539 .51846 L
.53612 .51942 L
.53655 .52007 L
.53612 .52058 L
.53567 .52007 L
.53451 .51878 L
.53428 .51846 L
F
.018 .87 1 r
.53451 .5323 m
.53612 .53245 L
.53709 .53291 L
.53772 .53343 L
.53884 .53451 L
.53933 .53504 L
.54028 .53612 L
.54093 .53692 L
.5418 .53772 L
.54254 .53891 L
.54292 .53933 L
.54414 .5409 L
.54416 .54093 L
.54542 .54254 L
.54575 .5428 L
.54701 .54414 L
.54735 .54496 L
.54796 .54575 L
.54896 .54716 L
.54908 .54735 L
.55028 .54896 L
.55057 .54935 L
.55144 .55057 L
.55217 .55159 L
.55274 .55217 L
.55365 .55378 L
.55378 .55398 L
.55454 .55538 L
.55378 .55686 L
.55217 .55572 L
.55171 .55538 L
.55057 .55417 L
.5499 .55378 L
.54896 .5524 L
.54865 .55217 L
.54735 .55058 L
.54733 .55057 L
.54601 .54896 L
.54575 .54869 L
.54432 .54735 L
.54414 .54665 L
.54337 .54575 L
.54254 .54456 L
.54225 .54414 L
.54096 .54254 L
.54093 .5425 L
.53975 .54093 L
.53933 .54065 L
.53833 .53933 L
.53772 .53837 L
.53734 .53772 L
.53622 .53612 L
.53612 .53597 L
.53518 .53451 L
.53451 .53318 L
.5343 .53291 L
F
0 .47 1 r
.53451 .48797 m
.53554 .48957 L
.53612 .49036 L
.53658 .49117 L
.53612 .49152 L
.53581 .49117 L
.53451 .48976 L
.53435 .48957 L
F
0 .46 1 r
.53451 .48807 m
.53544 .48957 L
.53612 .49051 L
.53644 .49117 L
.53612 .49138 L
.53593 .49117 L
.53451 .48966 L
.53443 .48957 L
F
1 .77 .001 r
.53451 .51767 m
.5351 .51846 L
.53612 .5199 L
.53619 .52007 L
.53612 .52016 L
.53603 .52007 L
.53451 .51852 L
.53447 .51846 L
F
.013 .86 1 r
.53612 .53251 m
.53696 .53291 L
.53772 .5335 L
.53877 .53451 L
.53933 .5351 L
.54023 .53612 L
.54093 .53697 L
.54176 .53772 L
.54254 .53895 L
.54288 .53933 L
.54414 .54093 L
.54415 .54093 L
.54539 .54254 L
.54575 .54283 L
.54698 .54414 L
.54735 .545 L
.54793 .54575 L
.54896 .54721 L
.54905 .54735 L
.55024 .54896 L
.55057 .54941 L
.5514 .55057 L
.55217 .55166 L
.55268 .55217 L
.55358 .55378 L
.55378 .55411 L
.55443 .55538 L
.55378 .55668 L
.55217 .55562 L
.55183 .55538 L
.55057 .5541 L
.54999 .55378 L
.54896 .55235 L
.54871 .55217 L
.54736 .55057 L
.54735 .55056 L
.54605 .54896 L
.54575 .54865 L
.54434 .54735 L
.54414 .5466 L
.5434 .54575 L
.54254 .54452 L
.54227 .54414 L
.541 .54254 L
.54093 .54246 L
.53978 .54093 L
.53933 .54062 L
.53836 .53933 L
.53772 .53831 L
.53738 .53772 L
.53627 .53612 L
.53612 .53589 L
.53525 .53451 L
.53453 .53291 L
F
.01 .85 1 r
.53612 .53258 m
.53682 .53291 L
.53772 .53358 L
.5387 .53451 L
.53933 .53516 L
.54018 .53612 L
.54093 .53702 L
.54172 .53772 L
.54254 .53899 L
.54285 .53933 L
.54412 .54093 L
.54414 .54097 L
.54536 .54254 L
.54575 .54285 L
.54696 .54414 L
.54735 .54504 L
.54789 .54575 L
.54896 .54725 L
.54902 .54735 L
.5502 .54896 L
.55057 .54946 L
.55136 .55057 L
.55217 .55173 L
.55261 .55217 L
.5535 .55378 L
.55378 .55425 L
.55431 .55538 L
.55378 .5565 L
.55217 .55553 L
.55195 .55538 L
.55057 .55403 L
.5501 .55378 L
.54896 .5523 L
.54877 .55217 L
.54741 .55057 L
.54735 .55053 L
.54609 .54896 L
.54575 .54861 L
.54436 .54735 L
.54414 .54656 L
.54343 .54575 L
.54254 .54448 L
.5423 .54414 L
.54103 .54254 L
.54093 .54242 L
.53981 .54093 L
.53933 .54059 L
.53839 .53933 L
.53772 .53825 L
.53742 .53772 L
.53632 .53612 L
.53612 .53581 L
.53531 .53451 L
.53468 .53291 L
F
.007 .84 1 r
.53612 .53265 m
.53667 .53291 L
.53772 .53365 L
.53863 .53451 L
.53933 .53522 L
.54013 .53612 L
.54093 .53707 L
.54168 .53772 L
.54254 .53903 L
.54282 .53933 L
.54408 .54093 L
.54414 .54101 L
.54533 .54254 L
.54575 .54288 L
.54693 .54414 L
.54735 .54508 L
.54786 .54575 L
.54896 .5473 L
.54899 .54735 L
.55016 .54896 L
.55057 .54951 L
.55131 .55057 L
.55217 .5518 L
.55255 .55217 L
.55343 .55378 L
.55378 .55442 L
.55419 .55538 L
.55378 .5563 L
.55217 .55544 L
.55208 .55538 L
.55057 .55396 L
.55021 .55378 L
.54896 .55226 L
.54883 .55217 L
.54746 .55057 L
.54735 .55051 L
.54613 .54896 L
.54575 .54857 L
.54439 .54735 L
.54414 .54652 L
.54346 .54575 L
.54254 .54444 L
.54233 .54414 L
.54106 .54254 L
.54093 .54237 L
.53985 .54093 L
.53933 .54055 L
.53843 .53933 L
.53772 .53819 L
.53746 .53772 L
.53637 .53612 L
.53612 .53573 L
.53538 .53451 L
.53485 .53291 L
F
1 .59 0 r
.53612 .53918 m
.53625 .53933 L
.53766 .54093 L
.53772 .54101 L
.53888 .54254 L
.53933 .54311 L
.54003 .54414 L
.54093 .54545 L
.54111 .54575 L
.54093 .54656 L
.5401 .54575 L
.53933 .54501 L
.53859 .54414 L
.53772 .54314 L
.53725 .54254 L
.53612 .54108 L
.53601 .54093 L
.53499 .53933 L
F
.013 .86 1 r
.53612 .46365 m
.53635 .46388 L
.53772 .4652 L
.5379 .46549 L
.53933 .46705 L
.5394 .46709 L
.54078 .4687 L
.54093 .46886 L
.54217 .4703 L
.54254 .47072 L
.54355 .47191 L
.54414 .47253 L
.54491 .47351 L
.54575 .47454 L
.54633 .47512 L
.54735 .47651 L
.54753 .47672 L
.54887 .47833 L
.54896 .4784 L
.55018 .47993 L
.55057 .48039 L
.5517 .48154 L
.55217 .48244 L
.55275 .48314 L
.55378 .48448 L
.55394 .48475 L
.55532 .48636 L
.55538 .48642 L
.55696 .48796 L
.55699 .48845 L
.55793 .48957 L
.55859 .49054 L
.55904 .49117 L
.5602 .49259 L
.56024 .49278 L
.56165 .49438 L
.5618 .49456 L
.56306 .49599 L
.56341 .49664 L
.56414 .49759 L
.56501 .49875 L
.56526 .4992 L
.56662 .50077 L
.56666 .5008 L
.56817 .50241 L
.56822 .5028 L
.56921 .50401 L
.56983 .50491 L
.57031 .50562 L
.57143 .50701 L
.57147 .50722 L
.57288 .50883 L
.57304 .509 L
.57428 .51043 L
.57464 .5111 L
.57535 .51204 L
.57625 .51322 L
.57647 .51364 L
.57784 .51525 L
.57785 .51526 L
.57936 .51686 L
.57946 .51732 L
.58038 .51846 L
.58106 .51945 L
.58147 .52007 L
.58267 .52155 L
.58268 .52167 L
.58401 .52328 L
.58428 .52355 L
.58542 .52488 L
.58588 .52569 L
.58647 .52649 L
.58749 .52782 L
.58762 .52809 L
.58893 .5297 L
.58909 .52981 L
.59051 .5313 L
.5907 .53193 L
.59147 .53291 L
.5923 .53409 L
.59257 .53451 L
.59383 .53612 L
.59391 .53621 L
.59505 .53772 L
.59551 .53818 L
.59648 .53933 L
.59712 .54038 L
.59752 .54093 L
.59872 .54254 L
.59872 .54254 L
.59993 .54414 L
.60033 .5444 L
.60155 .54575 L
.60193 .54668 L
.60245 .54735 L
.60354 .5489 L
.60358 .54896 L
.60477 .55057 L
.60514 .55105 L
.60597 .55217 L
.60675 .553 L
.60737 .55378 L
.60835 .55532 L
.60839 .55538 L
.60956 .55699 L
.60996 .55751 L
.61074 .55859 L
.61156 .55937 L
.61223 .5602 L
.61312 .5618 L
.61317 .56187 L
.61425 .56341 L
.61477 .56412 L
.61539 .56501 L
.61638 .56637 L
.61655 .56662 L
.61764 .56822 L
.61799 .56871 L
.61869 .56983 L
.61959 .57118 L
.61974 .57143 L
.61959 .57289 L
.6181 .57143 L
.61799 .57133 L
.61659 .56983 L
.61638 .56961 L
.61515 .56822 L
.61477 .56781 L
.61374 .56662 L
.61317 .56631 L
.61236 .56501 L
.61156 .56415 L
.61053 .56341 L
.60996 .56216 L
.6096 .5618 L
.60835 .56021 L
.60834 .5602 L
.60703 .55859 L
.60675 .55835 L
.60572 .55699 L
.60514 .5563 L
.60423 .55538 L
.60354 .55425 L
.60314 .55378 L
.60193 .55225 L
.60189 .55217 L
.60058 .55057 L
.60033 .5503 L
.59895 .54896 L
.59872 .54823 L
.59797 .54735 L
.59712 .54615 L
.59684 .54575 L
.59551 .54414 L
.59551 .54414 L
.59426 .54254 L
.59391 .54213 L
.59284 .54093 L
.5923 .54003 L
.59176 .53933 L
.5907 .53794 L
.59059 .53772 L
.58925 .53612 L
.58909 .53596 L
.5877 .53451 L
.58749 .53387 L
.58669 .53291 L
.58588 .53176 L
.58558 .5313 L
.58428 .5297 L
.58427 .5297 L
.58303 .52809 L
.58267 .52768 L
.58162 .52649 L
.58106 .52556 L
.58056 .52488 L
.57946 .52345 L
.57938 .52328 L
.57808 .52167 L
.57785 .52147 L
.57653 .52007 L
.57625 .51935 L
.57553 .51846 L
.57464 .51721 L
.57441 .51686 L
.57314 .51525 L
.57304 .51521 L
.57191 .51364 L
.57143 .51313 L
.57049 .51204 L
.56983 .51097 L
.56943 .51043 L
.56822 .50885 L
.56821 .50883 L
.56699 .50722 L
.56662 .50691 L
.56541 .50562 L
.56501 .50472 L
.56445 .50401 L
.56341 .50256 L
.56331 .50241 L
.56208 .5008 L
.5618 .50072 L
.56086 .4992 L
.5602 .49848 L
.55945 .49759 L
.55859 .49627 L
.55839 .49599 L
.55719 .49438 L
.55699 .49412 L
.55598 .49278 L
.55538 .49226 L
.55441 .49117 L
.55378 .48996 L
.55347 .48957 L
.55232 .48796 L
.55217 .48777 L
.55112 .48636 L
.55057 .48563 L
.54991 .48475 L
.54896 .48363 L
.54857 .48314 L
.54749 .48154 L
.54735 .48137 L
.54631 .47993 L
.54575 .4792 L
.54512 .47833 L
.54414 .47723 L
.54373 .47672 L
.54273 .47512 L
.54254 .47486 L
.54159 .47351 L
.54093 .47265 L
.54042 .47191 L
.53933 .47043 L
.53924 .4703 L
.53814 .4687 L
.53772 .46813 L
.53705 .46709 L
.53612 .46576 L
.53595 .46549 L
.535 .46388 L
F
.005 .83 1 r
.53612 .53274 m
.53649 .53291 L
.53772 .53372 L
.53856 .53451 L
.53933 .53528 L
.54008 .53612 L
.54093 .53712 L
.54164 .53772 L
.54254 .53907 L
.54278 .53933 L
.54405 .54093 L
.54414 .54105 L
.54529 .54254 L
.54575 .54291 L
.54691 .54414 L
.54735 .54513 L
.54783 .54575 L
.54896 .54735 L
.54896 .54735 L
.55012 .54896 L
.55057 .54957 L
.55127 .55057 L
.55217 .55187 L
.55247 .55217 L
.55335 .55378 L
.55378 .55462 L
.55406 .55538 L
.55378 .55607 L
.55224 .55538 L
.55217 .55534 L
.55057 .55389 L
.55033 .55378 L
.54896 .55221 L
.5489 .55217 L
.54751 .55057 L
.54735 .55048 L
.54617 .54896 L
.54575 .54852 L
.54441 .54735 L
.54414 .54648 L
.5435 .54575 L
.54254 .5444 L
.54235 .54414 L
.5411 .54254 L
.54093 .54233 L
.53988 .54093 L
.53933 .54051 L
.53846 .53933 L
.53772 .53812 L
.5375 .53772 L
.53642 .53612 L
.53612 .53564 L
.53545 .53451 L
.53505 .53291 L
F
1 .58 0 r
.53612 .53928 m
.53616 .53933 L
.53757 .54093 L
.53772 .54111 L
.53879 .54254 L
.53933 .54322 L
.53994 .54414 L
.54093 .54562 L
.541 .54575 L
.54093 .54633 L
.54026 .54575 L
.53933 .54489 L
.53869 .54414 L
.53772 .54305 L
.53733 .54254 L
.53612 .54098 L
.53609 .54093 L
.53512 .53933 L
F
1 .96 .289 r
.53612 .45719 m
.53642 .45746 L
.53772 .45841 L
.5381 .45907 L
.53933 .46033 L
.53963 .46067 L
.54093 .46212 L
.54112 .46228 L
.54252 .46388 L
.54254 .46391 L
.54392 .46549 L
.54414 .4657 L
.54531 .46709 L
.54575 .46764 L
.54682 .4687 L
.54735 .46961 L
.54793 .4703 L
.54896 .4716 L
.54913 .47191 L
.55057 .47342 L
.55064 .47351 L
.55211 .47512 L
.55217 .47542 L
.55324 .47672 L
.55378 .47749 L
.55436 .47833 L
.55538 .4796 L
.55584 .47993 L
.55699 .4814 L
.5571 .48154 L
.5584 .48314 L
.55859 .48346 L
.55955 .48475 L
.5602 .4856 L
.56059 .48636 L
.5618 .48778 L
.56219 .48796 L
.56341 .48955 L
.56342 .48957 L
.56466 .49117 L
.56501 .49167 L
.56574 .49278 L
.56662 .49386 L
.56721 .49438 L
.56822 .49572 L
.56844 .49599 L
.56969 .49759 L
.56983 .49782 L
.57083 .4992 L
.57143 .49998 L
.57184 .5008 L
.57304 .50218 L
.57342 .50241 L
.57464 .50401 L
.57464 .50401 L
.57587 .50562 L
.57625 .50615 L
.57694 .50722 L
.57785 .50833 L
.57839 .50883 L
.57946 .51025 L
.57961 .51043 L
.58087 .51204 L
.58106 .51236 L
.58199 .51364 L
.58267 .51451 L
.583 .51525 L
.58428 .51667 L
.58456 .51686 L
.58583 .51846 L
.58588 .51859 L
.587 .52007 L
.58749 .52072 L
.58807 .52167 L
.58909 .52288 L
.5895 .52328 L
.5907 .52488 L
.59072 .52488 L
.592 .52649 L
.5923 .52695 L
.59311 .52809 L
.59391 .5291 L
.59414 .5297 L
.59551 .53119 L
.59566 .5313 L
.59699 .53291 L
.59712 .5332 L
.59812 .53451 L
.59872 .53533 L
.59919 .53612 L
.60033 .53746 L
.60059 .53772 L
.60181 .53933 L
.60193 .53946 L
.60312 .54093 L
.60354 .54157 L
.60421 .54254 L
.60514 .54371 L
.60529 .54414 L
.60673 .54575 L
.60675 .54576 L
.60813 .54735 L
.60835 .54782 L
.60921 .54896 L
.60996 .54996 L
.6103 .55057 L
.61156 .55207 L
.61166 .55217 L
.61288 .55378 L
.61317 .55407 L
.61422 .55538 L
.61477 .55622 L
.6153 .55699 L
.61638 .55835 L
.61645 .55859 L
.61779 .5602 L
.61799 .56034 L
.61925 .5618 L
.61959 .56247 L
.62028 .56341 L
.6212 .56464 L
.6214 .56501 L
.62269 .56662 L
.6228 .56676 L
.62434 .56822 L
.62441 .56872 L
.62527 .56983 L
.62601 .57093 L
.62635 .57143 L
.62758 .57304 L
.62762 .57309 L
.62878 .57464 L
.62922 .57495 L
.63028 .57625 L
.63083 .57723 L
.63127 .57785 L
.63243 .57945 L
.63244 .57946 L
.63363 .58106 L
.63404 .5816 L
.63536 .58267 L
.63564 .58356 L
.63617 .58428 L
.63725 .58587 L
.63725 .58588 L
.63842 .58749 L
.63885 .58806 L
.6396 .58909 L
.64046 .58996 L
.64099 .5907 L
.64197 .5923 L
.64206 .59243 L
.64309 .59391 L
.64367 .59469 L
.64423 .59551 L
.64527 .59697 L
.64549 .59712 L
.64643 .59872 L
.64688 .59938 L
.64745 .60033 L
.64688 .6019 L
.64531 .60033 L
.64527 .6003 L
.64381 .59872 L
.64367 .59858 L
.64236 .59712 L
.64206 .59706 L
.64095 .59551 L
.64046 .595 L
.63956 .59391 L
.63885 .59305 L
.63808 .5923 L
.63725 .59109 L
.63691 .5907 L
.63564 .58916 L
.63561 .58909 L
.63423 .58749 L
.63404 .58725 L
.6327 .58588 L
.63243 .58522 L
.63163 .58428 L
.63083 .58316 L
.63049 .58267 L
.62922 .58114 L
.62907 .58106 L
.6278 .57946 L
.62762 .57922 L
.62646 .57785 L
.62601 .57713 L
.62535 .57625 L
.62441 .57502 L
.62425 .57464 L
.6228 .5731 L
.62275 .57304 L
.62137 .57143 L
.6212 .57103 L
.62025 .56983 L
.61959 .5689 L
.61916 .56822 L
.61799 .56679 L
.61774 .56662 L
.6165 .56501 L
.61638 .56485 L
.61519 .56341 L
.61477 .56274 L
.61409 .5618 L
.61317 .5606 L
.61302 .5602 L
.61156 .5586 L
.61153 .55859 L
.61016 .55699 L
.60996 .55654 L
.60905 .55538 L
.60835 .55441 L
.60797 .55378 L
.60675 .55231 L
.60657 .55217 L
.60534 .55057 L
.60514 .55032 L
.60402 .54896 L
.60354 .5482 L
.60293 .54735 L
.60193 .54607 L
.60183 .54575 L
.6004 .54414 L
.60033 .54407 L
.59899 .54254 L
.59872 .54197 L
.59791 .54093 L
.59712 .53984 L
.59681 .53933 L
.59551 .53777 L
.59546 .53772 L
.59394 .53612 L
.59391 .53574 L
.59289 .53451 L
.5923 .53361 L
.59181 .53291 L
.5907 .5315 L
.59064 .5313 L
.5893 .5297 L
.58909 .52949 L
.58785 .52809 L
.58749 .52737 L
.5868 .52649 L
.58588 .52524 L
.58568 .52488 L
.58437 .52328 L
.58428 .52322 L
.58276 .52167 L
.58267 .52114 L
.58178 .52007 L
.58106 .51899 L
.5807 .51846 L
.57946 .51688 L
.57945 .51686 L
.57822 .51525 L
.57785 .51491 L
.57674 .51364 L
.57625 .51275 L
.57571 .51204 L
.57464 .5106 L
.57455 .51043 L
.5733 .50883 L
.57304 .50869 L
.57163 .50722 L
.57143 .50652 L
.57071 .50562 L
.56983 .50433 L
.56961 .50401 L
.56838 .50241 L
.56822 .5022 L
.56717 .5008 L
.56662 .50031 L
.56567 .4992 L
.56501 .49808 L
.56465 .49759 L
.56347 .49599 L
.56341 .49591 L
.56226 .49438 L
.5618 .49415 L
.56057 .49278 L
.5602 .49183 L
.55968 .49117 L
.55859 .48961 L
.55856 .48957 L
.55737 .48796 L
.55699 .48748 L
.55615 .48636 L
.55538 .4856 L
.55469 .48475 L
.55378 .48329 L
.55367 .48314 L
.55249 .48154 L
.55217 .48113 L
.55129 .47993 L
.55057 .479 L
.54968 .47833 L
.54896 .47695 L
.54879 .47672 L
.54765 .47512 L
.54735 .47474 L
.54647 .47351 L
.54575 .47258 L
.54526 .47191 L
.54414 .47052 L
.54398 .4703 L
.54288 .4687 L
.54254 .46824 L
.54173 .46709 L
.54093 .46603 L
.54056 .46549 L
.53938 .46388 L
.53933 .46381 L
.5383 .46228 L
.53772 .46147 L
.53722 .46067 L
.53612 .45907 L
.53612 .45906 L
.53531 .45746 L
F
.004 .82 1 r
.53612 .53284 m
.53628 .53291 L
.53772 .53379 L
.53849 .53451 L
.53933 .53534 L
.54003 .53612 L
.54093 .53716 L
.54159 .53772 L
.54254 .53911 L
.54275 .53933 L
.54401 .54093 L
.54414 .54109 L
.54526 .54254 L
.54575 .54295 L
.54688 .54414 L
.54735 .54517 L
.54779 .54575 L
.54893 .54735 L
.54896 .5474 L
.55008 .54896 L
.55057 .54963 L
.55123 .55057 L
.55217 .55194 L
.5524 .55217 L
.55326 .55378 L
.55378 .55489 L
.5539 .55538 L
.55378 .55578 L
.55244 .55538 L
.55217 .55522 L
.55057 .55383 L
.55046 .55378 L
.54896 .55217 L
.54896 .55217 L
.54756 .55057 L
.54735 .55045 L
.54622 .54896 L
.54575 .54848 L
.54444 .54735 L
.54414 .54643 L
.54353 .54575 L
.54254 .54436 L
.54238 .54414 L
.54113 .54254 L
.54093 .54229 L
.53991 .54093 L
.53933 .54047 L
.5385 .53933 L
.53772 .53805 L
.53754 .53772 L
.53647 .53612 L
.53612 .53555 L
.53552 .53451 L
.53532 .53291 L
F
.156 .94 1 r
.53612 .51279 m
.53701 .51364 L
.53772 .51435 L
.53855 .51525 L
.53933 .51612 L
.53997 .51686 L
.54093 .51776 L
.5413 .51846 L
.54254 .52006 L
.54255 .52007 L
.54371 .52167 L
.54414 .52231 L
.54478 .52328 L
.54414 .52473 L
.54271 .52328 L
.54254 .5231 L
.54135 .52167 L
.54093 .52118 L
.54008 .52007 L
.53933 .51914 L
.53883 .51846 L
.53772 .51703 L
.5376 .51686 L
.53649 .51525 L
.53612 .51473 L
.53548 .51364 L
F
.003 .81 1 r
.53612 .53296 m
.53772 .53386 L
.53841 .53451 L
.53933 .5354 L
.53998 .53612 L
.54093 .53721 L
.54154 .53772 L
.54254 .53915 L
.54271 .53933 L
.54398 .54093 L
.54414 .54114 L
.54523 .54254 L
.54575 .54298 L
.54685 .54414 L
.54735 .54522 L
.54776 .54575 L
.54889 .54735 L
.54896 .54745 L
.55005 .54896 L
.55057 .54968 L
.55118 .55057 L
.55217 .55202 L
.55232 .55217 L
.55318 .55378 L
.55217 .5551 L
.55059 .55378 L
.55057 .55375 L
.54903 .55217 L
.54896 .5521 L
.54761 .55057 L
.54735 .55043 L
.54626 .54896 L
.54575 .54844 L
.54447 .54735 L
.54414 .54639 L
.54357 .54575 L
.54254 .54432 L
.54241 .54414 L
.54116 .54254 L
.54093 .54224 L
.53995 .54093 L
.53933 .54043 L
.53854 .53933 L
.53772 .53798 L
.53758 .53772 L
.53652 .53612 L
.53612 .53545 L
.53559 .53451 L
F
.002 .8 1 r
.53612 .5331 m
.53772 .53393 L
.53834 .53451 L
.53933 .53546 L
.53993 .53612 L
.54093 .53726 L
.5415 .53772 L
.54254 .53919 L
.54268 .53933 L
.54395 .54093 L
.54414 .54118 L
.5452 .54254 L
.54575 .54301 L
.54682 .54414 L
.54735 .54526 L
.54772 .54575 L
.54885 .54735 L
.54896 .5475 L
.55001 .54896 L
.55057 .54974 L
.55114 .55057 L
.55217 .55211 L
.55224 .55217 L
.55309 .55378 L
.55217 .55497 L
.55069 .55378 L
.55057 .55367 L
.5491 .55217 L
.54896 .55203 L
.54766 .55057 L
.54735 .5504 L
.5463 .54896 L
.54575 .54839 L
.5445 .54735 L
.54414 .54635 L
.5436 .54575 L
.54254 .54428 L
.54244 .54414 L
.5412 .54254 L
.54093 .5422 L
.53998 .54093 L
.53933 .54038 L
.53858 .53933 L
.53772 .5379 L
.53762 .53772 L
.53658 .53612 L
.53612 .53535 L
.53567 .53451 L
F
0 .28 1 r
.53612 .47677 m
.53738 .47833 L
.53772 .47871 L
.53869 .47993 L
.53933 .48067 L
.54001 .48154 L
.54093 .48265 L
.54132 .48314 L
.54254 .48455 L
.54263 .48475 L
.54388 .48636 L
.54414 .48667 L
.54513 .48796 L
.54575 .48871 L
.5464 .48957 L
.54735 .49075 L
.54767 .49117 L
.54894 .49278 L
.54896 .4928 L
.55015 .49438 L
.55057 .49489 L
.55138 .49599 L
.55217 .49698 L
.55263 .49759 L
.55378 .49894 L
.55387 .4992 L
.55507 .5008 L
.55538 .50119 L
.55626 .50241 L
.55699 .50333 L
.55748 .50401 L
.55859 .50546 L
.55871 .50562 L
.55986 .50722 L
.5602 .50765 L
.56101 .50883 L
.5618 .50986 L
.56219 .51043 L
.5618 .51186 L
.56064 .51043 L
.5602 .50994 L
.55931 .50883 L
.55859 .508 L
.55798 .50722 L
.55699 .50603 L
.55666 .50562 L
.55538 .50407 L
.55535 .50401 L
.5541 .50241 L
.55378 .50202 L
.55284 .5008 L
.55217 .49999 L
.55156 .4992 L
.55057 .49795 L
.55029 .49759 L
.54903 .49599 L
.54896 .4959 L
.54781 .49438 L
.54735 .49382 L
.54657 .49278 L
.54575 .49174 L
.54533 .49117 L
.54414 .48972 L
.54408 .48957 L
.54288 .48796 L
.54254 .48753 L
.54168 .48636 L
.54093 .4854 L
.54046 .48475 L
.53933 .48328 L
.53923 .48314 L
.53807 .48154 L
.53772 .48109 L
.53691 .47993 L
.53612 .47889 L
.53573 .47833 L
F
.001 .79 1 r
.53612 .53324 m
.53772 .53401 L
.53826 .53451 L
.53933 .53551 L
.53987 .53612 L
.54093 .53731 L
.54144 .53772 L
.54254 .53922 L
.54264 .53933 L
.54391 .54093 L
.54414 .54122 L
.54517 .54254 L
.54575 .54305 L
.54678 .54414 L
.54735 .54531 L
.54769 .54575 L
.54882 .54735 L
.54896 .54755 L
.54997 .54896 L
.55057 .5498 L
.55109 .55057 L
.55215 .55217 L
.55217 .5522 L
.55299 .55378 L
.55217 .55485 L
.5508 .55378 L
.55057 .55358 L
.54916 .55217 L
.54896 .55197 L
.54772 .55057 L
.54735 .55037 L
.54634 .54896 L
.54575 .54835 L
.54454 .54735 L
.54414 .5463 L
.54364 .54575 L
.54254 .54424 L
.54247 .54414 L
.54123 .54254 L
.54093 .54215 L
.54002 .54093 L
.53933 .54033 L
.53862 .53933 L
.53772 .53782 L
.53767 .53772 L
.53663 .53612 L
.53612 .53523 L
.53575 .53451 L
F
0 .27 1 r
.53612 .47683 m
.53733 .47833 L
.53772 .47876 L
.53865 .47993 L
.53933 .48072 L
.53997 .48154 L
.54093 .48269 L
.54129 .48314 L
.54254 .48462 L
.5426 .48475 L
.54385 .48636 L
.54414 .48671 L
.5451 .48796 L
.54575 .48875 L
.54637 .48957 L
.54735 .49079 L
.54765 .49117 L
.54891 .49278 L
.54896 .49284 L
.55012 .49438 L
.55057 .49493 L
.55135 .49599 L
.55217 .49701 L
.5526 .49759 L
.55378 .49901 L
.55385 .4992 L
.55504 .5008 L
.55538 .50123 L
.55623 .50241 L
.55699 .50337 L
.55745 .50401 L
.55859 .5055 L
.55868 .50562 L
.55983 .50722 L
.5602 .5077 L
.56097 .50883 L
.5618 .50992 L
.56215 .51043 L
.5618 .5118 L
.56069 .51043 L
.5602 .50989 L
.55935 .50883 L
.55859 .50795 L
.55802 .50722 L
.55699 .50599 L
.55669 .50562 L
.55539 .50401 L
.55538 .50401 L
.55413 .50241 L
.55378 .50198 L
.55287 .5008 L
.55217 .49995 L
.55159 .4992 L
.55057 .49792 L
.55032 .49759 L
.54906 .49599 L
.54896 .49586 L
.54784 .49438 L
.54735 .49378 L
.5466 .49278 L
.54575 .4917 L
.54535 .49117 L
.54414 .48966 L
.5441 .48957 L
.54291 .48796 L
.54254 .48749 L
.54171 .48636 L
.54093 .48536 L
.54049 .48475 L
.53933 .48324 L
.53926 .48314 L
.53811 .48154 L
.53772 .48104 L
.53695 .47993 L
.53612 .47884 L
.53577 .47833 L
F
0 .26 1 r
.53612 .4769 m
.53728 .47833 L
.53772 .47882 L
.53861 .47993 L
.53933 .48076 L
.53994 .48154 L
.54093 .48273 L
.54126 .48314 L
.54254 .48468 L
.54257 .48475 L
.54382 .48636 L
.54414 .48675 L
.54507 .48796 L
.54575 .48878 L
.54635 .48957 L
.54735 .49082 L
.54762 .49117 L
.54888 .49278 L
.54896 .49288 L
.55009 .49438 L
.55057 .49497 L
.55133 .49599 L
.55217 .49705 L
.55257 .49759 L
.55378 .49907 L
.55382 .4992 L
.55501 .5008 L
.55538 .50127 L
.5562 .50241 L
.55699 .50341 L
.55742 .50401 L
.55859 .50554 L
.55865 .50562 L
.55978 .50722 L
.5602 .50775 L
.56093 .50883 L
.5618 .50997 L
.56211 .51043 L
.5618 .51173 L
.56074 .51043 L
.5602 .50983 L
.55939 .50883 L
.55859 .5079 L
.55805 .50722 L
.55699 .50595 L
.55673 .50562 L
.55542 .50401 L
.55538 .50397 L
.55417 .50241 L
.55378 .50194 L
.5529 .5008 L
.55217 .49991 L
.55162 .4992 L
.55057 .49788 L
.55034 .49759 L
.54909 .49599 L
.54896 .49583 L
.54787 .49438 L
.54735 .49374 L
.54663 .49278 L
.54575 .49167 L
.54538 .49117 L
.54414 .4896 L
.54413 .48957 L
.54295 .48796 L
.54254 .48745 L
.54174 .48636 L
.54093 .48532 L
.54052 .48475 L
.53933 .4832 L
.53929 .48314 L
.53815 .48154 L
.53772 .48099 L
.53699 .47993 L
.53612 .47879 L
.53581 .47833 L
F
1 .18 0 r
.53612 .48363 m
.5369 .48475 L
.53772 .48575 L
.53814 .48636 L
.53933 .48785 L
.5394 .48796 L
.53933 .48913 L
.53845 .48796 L
.53772 .48715 L
.53713 .48636 L
.53612 .48515 L
.53582 .48475 L
F
.033 .89 1 r
.53612 .57475 m
.53725 .57625 L
.53772 .57682 L
.5385 .57785 L
.53933 .57888 L
.53976 .57946 L
.54093 .58096 L
.54101 .58106 L
.54218 .58267 L
.54254 .58311 L
.54337 .58428 L
.54414 .58526 L
.54458 .58588 L
.54575 .58743 L
.54579 .58749 L
.54575 .58874 L
.54478 .58749 L
.54414 .58679 L
.54346 .58588 L
.54254 .58482 L
.54214 .58428 L
.54093 .58284 L
.54081 .58267 L
.53955 .58106 L
.53933 .5808 L
.53834 .57946 L
.53772 .57872 L
.5371 .57785 L
.53612 .57666 L
.53583 .57625 L
F
.001 .78 1 r
.53612 .5334 m
.53772 .53409 L
.53817 .53451 L
.53933 .53557 L
.53982 .53612 L
.54093 .53736 L
.54139 .53772 L
.54254 .53926 L
.5426 .53933 L
.54388 .54093 L
.54414 .54126 L
.54513 .54254 L
.54575 .54309 L
.54675 .54414 L
.54735 .54536 L
.54765 .54575 L
.54878 .54735 L
.54896 .5476 L
.54993 .54896 L
.55057 .54987 L
.55104 .55057 L
.55209 .55217 L
.55217 .55231 L
.55289 .55378 L
.55217 .55471 L
.55091 .55378 L
.55057 .5535 L
.54923 .55217 L
.54896 .5519 L
.54777 .55057 L
.54735 .55033 L
.54639 .54896 L
.54575 .5483 L
.54457 .54735 L
.54414 .54626 L
.54368 .54575 L
.54254 .5442 L
.5425 .54414 L
.54127 .54254 L
.54093 .54211 L
.54005 .54093 L
.53933 .54027 L
.53866 .53933 L
.53772 .53774 L
.53772 .53772 L
.53669 .53612 L
.53612 .53511 L
.53583 .53451 L
F
0 .25 1 r
.53612 .47696 m
.53723 .47833 L
.53772 .47887 L
.53857 .47993 L
.53933 .48081 L
.5399 .48154 L
.54093 .48277 L
.54123 .48314 L
.54254 .48475 L
.54254 .48475 L
.54378 .48636 L
.54414 .48679 L
.54504 .48796 L
.54575 .48882 L
.54632 .48957 L
.54735 .49085 L
.5476 .49117 L
.54885 .49278 L
.54896 .49291 L
.55006 .49438 L
.55057 .495 L
.5513 .49599 L
.55217 .49709 L
.55255 .49759 L
.55378 .49914 L
.5538 .4992 L
.55497 .5008 L
.55538 .50131 L
.55617 .50241 L
.55699 .50345 L
.55739 .50401 L
.55859 .50558 L
.55862 .50562 L
.55974 .50722 L
.5602 .50781 L
.56089 .50883 L
.5618 .51004 L
.56207 .51043 L
.5618 .51166 L
.5608 .51043 L
.5602 .50978 L
.55944 .50883 L
.55859 .50786 L
.55809 .50722 L
.55699 .50591 L
.55676 .50562 L
.55546 .50401 L
.55538 .50392 L
.5542 .50241 L
.55378 .5019 L
.55293 .5008 L
.55217 .49988 L
.55165 .4992 L
.55057 .49785 L
.55037 .49759 L
.54912 .49599 L
.54896 .49579 L
.5479 .49438 L
.54735 .49371 L
.54666 .49278 L
.54575 .49163 L
.54541 .49117 L
.54416 .48957 L
.54414 .48955 L
.54298 .48796 L
.54254 .48741 L
.54177 .48636 L
.54093 .48528 L
.54055 .48475 L
.53933 .48315 L
.53932 .48314 L
.53819 .48154 L
.53772 .48094 L
.53703 .47993 L
.53612 .47873 L
.53585 .47833 L
F
1 .17 0 r
.53612 .48371 m
.53684 .48475 L
.53772 .48582 L
.53809 .48636 L
.53933 .48793 L
.53935 .48796 L
.53933 .48903 L
.53853 .48796 L
.53772 .48707 L
.53719 .48636 L
.53612 .48509 L
.53587 .48475 L
F
0 .24 1 r
.53612 .47704 m
.53717 .47833 L
.53772 .47893 L
.53852 .47993 L
.53933 .48086 L
.53986 .48154 L
.54093 .48281 L
.54119 .48314 L
.5425 .48475 L
.54254 .4848 L
.54375 .48636 L
.54414 .48683 L
.54501 .48796 L
.54575 .48886 L
.54629 .48957 L
.54735 .49089 L
.54757 .49117 L
.54882 .49278 L
.54896 .49295 L
.55003 .49438 L
.55057 .49504 L
.55127 .49599 L
.55217 .49712 L
.55252 .49759 L
.55377 .4992 L
.55378 .49921 L
.55494 .5008 L
.55538 .50135 L
.55614 .50241 L
.55699 .50349 L
.55736 .50401 L
.55858 .50562 L
.55859 .50563 L
.5597 .50722 L
.5602 .50786 L
.56084 .50883 L
.5618 .5101 L
.56202 .51043 L
.5618 .51158 L
.56086 .51043 L
.5602 .50972 L
.55949 .50883 L
.55859 .50781 L
.55813 .50722 L
.55699 .50586 L
.55679 .50562 L
.5555 .50401 L
.55538 .50388 L
.55424 .50241 L
.55378 .50186 L
.55296 .5008 L
.55217 .49984 L
.55168 .4992 L
.55057 .49781 L
.5504 .49759 L
.54916 .49599 L
.54896 .49575 L
.54793 .49438 L
.54735 .49367 L
.54669 .49278 L
.54575 .49159 L
.54543 .49117 L
.54419 .48957 L
.54414 .48951 L
.54301 .48796 L
.54254 .48737 L
.5418 .48636 L
.54093 .48524 L
.54058 .48475 L
.53936 .48314 L
.53933 .48311 L
.53823 .48154 L
.53772 .48089 L
.53707 .47993 L
.53612 .47867 L
.53589 .47833 L
F
1 .57 0 r
.53612 .47032 m
.53756 .47191 L
.53772 .47208 L
.53897 .47351 L
.53933 .47391 L
.54035 .47512 L
.54093 .47578 L
.54171 .47672 L
.54254 .47727 L
.54306 .47833 L
.54414 .47957 L
.54461 .47993 L
.5457 .48154 L
.54575 .48159 L
.547 .48314 L
.54735 .48358 L
.54829 .48475 L
.54896 .48535 L
.54959 .48636 L
.55057 .48753 L
.55099 .48796 L
.55215 .48957 L
.55217 .48959 L
.55341 .49117 L
.55378 .49162 L
.55468 .49278 L
.55538 .49353 L
.55628 .49438 L
.55699 .49568 L
.55725 .49599 L
.55846 .49759 L
.55859 .49776 L
.5597 .4992 L
.5602 .49957 L
.56096 .5008 L
.5618 .50181 L
.56234 .50241 L
.56341 .50395 L
.56346 .50401 L
.56468 .50562 L
.56501 .50603 L
.56592 .50722 L
.56662 .50795 L
.56747 .50883 L
.56822 .51017 L
.56843 .51043 L
.56962 .51204 L
.56983 .5123 L
.57084 .51364 L
.57143 .51407 L
.57207 .51525 L
.57304 .51643 L
.57341 .51686 L
.57452 .51846 L
.57464 .51862 L
.57572 .52007 L
.57625 .52075 L
.57694 .52167 L
.57785 .52271 L
.57837 .52328 L
.57936 .52488 L
.57946 .525 L
.58054 .52649 L
.58106 .52717 L
.58174 .52809 L
.58267 .52904 L
.58294 .5297 L
.58412 .5313 L
.58428 .5315 L
.58527 .53291 L
.58588 .53372 L
.58644 .53451 L
.58749 .53594 L
.58761 .53612 L
.58871 .53772 L
.58909 .53824 L
.58979 .53933 L
.5907 .54062 L
.59089 .54093 L
.5907 .54225 L
.58947 .54093 L
.58909 .54056 L
.58802 .53933 L
.58749 .53875 L
.58662 .53772 L
.58588 .53689 L
.58524 .53612 L
.58428 .53526 L
.58388 .53451 L
.58267 .53309 L
.58245 .53291 L
.58124 .5313 L
.58106 .5311 L
.57994 .5297 L
.57946 .52913 L
.57863 .52809 L
.57785 .5273 L
.57676 .52649 L
.57625 .52516 L
.57598 .52488 L
.57477 .52328 L
.57464 .52312 L
.57351 .52167 L
.57304 .52142 L
.57224 .52007 L
.57143 .51915 L
.57073 .51846 L
.56983 .51702 L
.56969 .51686 L
.56846 .51525 L
.56822 .51496 L
.56721 .51364 L
.56662 .51311 L
.5654 .51204 L
.56501 .51089 L
.56461 .51043 L
.56345 .50883 L
.56341 .50877 L
.56223 .50722 L
.5618 .50708 L
.56099 .50562 L
.5602 .50474 L
.55951 .50401 L
.55859 .50254 L
.55849 .50241 L
.55728 .5008 L
.55699 .50043 L
.55606 .4992 L
.55538 .49859 L
.55434 .49759 L
.55378 .49628 L
.55353 .49599 L
.55238 .49438 L
.55217 .49411 L
.55117 .49278 L
.55057 .49199 L
.54995 .49117 L
.54896 .48998 L
.54859 .48957 L
.54753 .48796 L
.54735 .48774 L
.54634 .48636 L
.54575 .48559 L
.54514 .48475 L
.54414 .48363 L
.5437 .48314 L
.54275 .48154 L
.54254 .48127 L
.54159 .47993 L
.54093 .47906 L
.54042 .47833 L
.53933 .47686 L
.53923 .47672 L
.53812 .47512 L
.53772 .47458 L
.53702 .47351 L
.53612 .47225 L
.5359 .47191 L
F
.001 .77 1 r
.53612 .53358 m
.53772 .53417 L
.53808 .53451 L
.53933 .53563 L
.53977 .53612 L
.54093 .53741 L
.54134 .53772 L
.54254 .5393 L
.54256 .53933 L
.54384 .54093 L
.54414 .5413 L
.5451 .54254 L
.54575 .54313 L
.54671 .54414 L
.54735 .54541 L
.54761 .54575 L
.54874 .54735 L
.54896 .54765 L
.54988 .54896 L
.55057 .54993 L
.551 .55057 L
.55202 .55217 L
.55217 .55243 L
.55278 .55378 L
.55217 .55457 L
.55104 .55378 L
.55057 .55341 L
.54931 .55217 L
.54896 .55183 L
.54782 .55057 L
.54735 .5503 L
.54643 .54896 L
.54575 .54826 L
.54461 .54735 L
.54414 .54621 L
.54372 .54575 L
.54254 .54416 L
.54253 .54414 L
.5413 .54254 L
.54093 .54206 L
.54009 .54093 L
.53933 .54022 L
.53871 .53933 L
.53776 .53772 L
.53772 .53767 L
.53674 .53612 L
.53612 .53496 L
.53592 .53451 L
F
1 .16 0 r
.53612 .4838 m
.53676 .48475 L
.53772 .48591 L
.53802 .48636 L
.53772 .48698 L
.53727 .48636 L
.53612 .48501 L
.53593 .48475 L
F
0 .23 1 r
.53612 .47712 m
.53711 .47833 L
.53772 .47899 L
.53847 .47993 L
.53933 .48091 L
.53982 .48154 L
.54093 .48286 L
.54116 .48314 L
.54246 .48475 L
.54254 .48484 L
.54371 .48636 L
.54414 .48687 L
.54498 .48796 L
.54575 .48889 L
.54626 .48957 L
.54735 .49093 L
.54754 .49117 L
.54878 .49278 L
.54896 .49299 L
.55 .49438 L
.55057 .49508 L
.55124 .49599 L
.55217 .49716 L
.55249 .49759 L
.55373 .4992 L
.55378 .49925 L
.55491 .5008 L
.55538 .5014 L
.55611 .50241 L
.55699 .50353 L
.55733 .50401 L
.55854 .50562 L
.55859 .50568 L
.55965 .50722 L
.5602 .50792 L
.5608 .50883 L
.5618 .51017 L
.56197 .51043 L
.5618 .51149 L
.56093 .51043 L
.5602 .50965 L
.55954 .50883 L
.55859 .50775 L
.55817 .50722 L
.55699 .50582 L
.55683 .50562 L
.55554 .50401 L
.55538 .50383 L
.55427 .50241 L
.55378 .50182 L
.553 .5008 L
.55217 .4998 L
.55171 .4992 L
.55057 .49777 L
.55043 .49759 L
.54919 .49599 L
.54896 .49571 L
.54796 .49438 L
.54735 .49363 L
.54672 .49278 L
.54575 .49156 L
.54546 .49117 L
.54423 .48957 L
.54414 .48947 L
.54304 .48796 L
.54254 .48733 L
.54184 .48636 L
.54093 .4852 L
.54061 .48475 L
.5394 .48314 L
.53933 .48305 L
.53828 .48154 L
.53772 .48083 L
.53712 .47993 L
.53612 .4786 L
.53594 .47833 L
F
1 .56 0 r
.53612 .47044 m
.53747 .47191 L
.53772 .47216 L
.5389 .47351 L
.53933 .47397 L
.54029 .47512 L
.54093 .47584 L
.54167 .47672 L
.54254 .47734 L
.54302 .47833 L
.54414 .47962 L
.54455 .47993 L
.54567 .48154 L
.54575 .48164 L
.54696 .48314 L
.54735 .48361 L
.54826 .48475 L
.54896 .48539 L
.54956 .48636 L
.55057 .48757 L
.55096 .48796 L
.55212 .48957 L
.55217 .48962 L
.55339 .49117 L
.55378 .49165 L
.55465 .49278 L
.55538 .49356 L
.55625 .49438 L
.55699 .49571 L
.55722 .49599 L
.55844 .49759 L
.55859 .49778 L
.55968 .4992 L
.5602 .49959 L
.56094 .5008 L
.5618 .50184 L
.56232 .50241 L
.56341 .50397 L
.56344 .50401 L
.56466 .50562 L
.56501 .50606 L
.5659 .50722 L
.56662 .50798 L
.56745 .50883 L
.56822 .5102 L
.56841 .51043 L
.5696 .51204 L
.56983 .51233 L
.57082 .51364 L
.57143 .5141 L
.57205 .51525 L
.57304 .51646 L
.57338 .51686 L
.5745 .51846 L
.57464 .51865 L
.5757 .52007 L
.57625 .52078 L
.57691 .52167 L
.57785 .52275 L
.57833 .52328 L
.57934 .52488 L
.57946 .52504 L
.58052 .52649 L
.58106 .5272 L
.58171 .52809 L
.58267 .5291 L
.58291 .5297 L
.58409 .5313 L
.58428 .53154 L
.58524 .53291 L
.58588 .53377 L
.5864 .53451 L
.58749 .53599 L
.58757 .53612 L
.58866 .53772 L
.58909 .53832 L
.58973 .53933 L
.5907 .54073 L
.59082 .54093 L
.5907 .54211 L
.58958 .54093 L
.58909 .54046 L
.58809 .53933 L
.58749 .53868 L
.58667 .53772 L
.58588 .53683 L
.58529 .53612 L
.58428 .53519 L
.58392 .53451 L
.58267 .53303 L
.58252 .53291 L
.58127 .5313 L
.58106 .53106 L
.57997 .5297 L
.57946 .52909 L
.57866 .52809 L
.57785 .52726 L
.5768 .52649 L
.57625 .52512 L
.57602 .52488 L
.5748 .52328 L
.57464 .52308 L
.57353 .52167 L
.57304 .5214 L
.57226 .52007 L
.57143 .51912 L
.57076 .51846 L
.56983 .51699 L
.56971 .51686 L
.56848 .51525 L
.56822 .51493 L
.56723 .51364 L
.56662 .51308 L
.56542 .51204 L
.56501 .51086 L
.56463 .51043 L
.56348 .50883 L
.56341 .50874 L
.56225 .50722 L
.5618 .50707 L
.56101 .50562 L
.5602 .50471 L
.55954 .50401 L
.55859 .50251 L
.55851 .50241 L
.5573 .5008 L
.55699 .5004 L
.55608 .4992 L
.55538 .49856 L
.55437 .49759 L
.55378 .49625 L
.55355 .49599 L
.5524 .49438 L
.55217 .49409 L
.5512 .49278 L
.55057 .49196 L
.54998 .49117 L
.54896 .48995 L
.54862 .48957 L
.54755 .48796 L
.54735 .48771 L
.54637 .48636 L
.54575 .48555 L
.54517 .48475 L
.54414 .48357 L
.54375 .48314 L
.54278 .48154 L
.54254 .48122 L
.54163 .47993 L
.54093 .47902 L
.54045 .47833 L
.53933 .47681 L
.53927 .47672 L
.53817 .47512 L
.53772 .47451 L
.53707 .47351 L
.53612 .47216 L
.53596 .47191 L
F
0 .22 1 r
.53612 .4772 m
.53704 .47833 L
.53772 .47905 L
.53842 .47993 L
.53933 .48096 L
.53978 .48154 L
.54093 .4829 L
.54112 .48314 L
.54242 .48475 L
.54254 .48489 L
.54367 .48636 L
.54414 .48691 L
.54495 .48796 L
.54575 .48893 L
.54623 .48957 L
.54735 .49096 L
.54751 .49117 L
.54875 .49278 L
.54896 .49303 L
.54997 .49438 L
.55057 .49511 L
.55121 .49599 L
.55217 .4972 L
.55246 .49759 L
.5537 .4992 L
.55378 .49929 L
.55487 .5008 L
.55538 .50144 L
.55607 .50241 L
.55699 .50358 L
.55729 .50401 L
.5585 .50562 L
.55859 .50574 L
.5596 .50722 L
.5602 .50799 L
.56075 .50883 L
.5618 .51025 L
.56192 .51043 L
.5618 .51139 L
.56101 .51043 L
.5602 .50959 L
.55959 .50883 L
.55859 .5077 L
.55821 .50722 L
.55699 .50577 L
.55687 .50562 L
.55558 .50401 L
.55538 .50378 L
.55431 .50241 L
.55378 .50177 L
.55303 .5008 L
.55217 .49976 L
.55174 .4992 L
.55057 .49774 L
.55045 .49759 L
.54922 .49599 L
.54896 .49567 L
.54799 .49438 L
.54735 .49359 L
.54675 .49278 L
.54575 .49152 L
.54549 .49117 L
.54426 .48957 L
.54414 .48942 L
.54308 .48796 L
.54254 .48729 L
.54187 .48636 L
.54093 .48515 L
.54064 .48475 L
.53944 .48314 L
.53933 .483 L
.53832 .48154 L
.53772 .48077 L
.53717 .47993 L
.53612 .47853 L
.53599 .47833 L
F
1 .15 0 r
.53612 .48389 m
.53668 .48475 L
.53772 .486 L
.53795 .48636 L
.53772 .48687 L
.53735 .48636 L
.53612 .48493 L
.53599 .48475 L
F
.001 .76 1 r
.53612 .5338 m
.53772 .53426 L
.53799 .53451 L
.53933 .5357 L
.53971 .53612 L
.54093 .53745 L
.54128 .53772 L
.54252 .53933 L
.54254 .53935 L
.54381 .54093 L
.54414 .54135 L
.54507 .54254 L
.54575 .54317 L
.54667 .54414 L
.54735 .54546 L
.54757 .54575 L
.5487 .54735 L
.54896 .5477 L
.54984 .54896 L
.55057 .55 L
.55095 .55057 L
.55195 .55217 L
.55217 .55257 L
.55266 .55378 L
.55217 .55441 L
.55118 .55378 L
.55057 .55332 L
.54938 .55217 L
.54896 .55176 L
.54788 .55057 L
.54735 .55026 L
.54648 .54896 L
.54575 .54821 L
.54466 .54735 L
.54414 .54617 L
.54376 .54575 L
.54256 .54414 L
.54254 .54411 L
.54133 .54254 L
.54093 .54202 L
.54012 .54093 L
.53933 .54016 L
.53875 .53933 L
.53781 .53772 L
.53772 .5376 L
.5368 .53612 L
.53612 .53479 L
.53601 .53451 L
F
1 .55 0 r
.53612 .47057 m
.53738 .47191 L
.53772 .47225 L
.53883 .47351 L
.53933 .47404 L
.54024 .47512 L
.54093 .4759 L
.54162 .47672 L
.54254 .4774 L
.54298 .47833 L
.54414 .47968 L
.54448 .47993 L
.54563 .48154 L
.54575 .48168 L
.54693 .48314 L
.54735 .48365 L
.54823 .48475 L
.54896 .48542 L
.54953 .48636 L
.55057 .4876 L
.55092 .48796 L
.5521 .48957 L
.55217 .48966 L
.55336 .49117 L
.55378 .49168 L
.55463 .49278 L
.55538 .49359 L
.55623 .49438 L
.55699 .49574 L
.5572 .49599 L
.55841 .49759 L
.55859 .49781 L
.55966 .4992 L
.5602 .49962 L
.56092 .5008 L
.5618 .50186 L
.5623 .50241 L
.56341 .504 L
.56342 .50401 L
.56464 .50562 L
.56501 .50609 L
.56588 .50722 L
.56662 .50801 L
.56742 .50883 L
.56822 .51023 L
.56839 .51043 L
.56958 .51204 L
.56983 .51235 L
.5708 .51364 L
.57143 .51412 L
.57203 .51525 L
.57304 .51649 L
.57335 .51686 L
.57447 .51846 L
.57464 .51868 L
.57568 .52007 L
.57625 .52081 L
.57689 .52167 L
.57785 .52279 L
.5783 .52328 L
.57931 .52488 L
.57946 .52507 L
.58049 .52649 L
.58106 .52724 L
.58168 .52809 L
.58267 .52916 L
.58289 .5297 L
.58406 .5313 L
.58428 .53159 L
.5852 .53291 L
.58588 .53382 L
.58636 .53451 L
.58749 .53605 L
.58753 .53612 L
.5886 .53772 L
.58909 .53841 L
.58966 .53933 L
.5907 .54086 L
.59074 .54093 L
.5907 .54194 L
.5897 .54093 L
.58909 .54037 L
.58817 .53933 L
.58749 .53861 L
.58673 .53772 L
.58588 .53677 L
.58534 .53612 L
.58428 .53511 L
.58397 .53451 L
.58267 .53298 L
.58258 .53291 L
.58131 .5313 L
.58106 .53101 L
.58 .5297 L
.57946 .52905 L
.5787 .52809 L
.57785 .52722 L
.57685 .52649 L
.57625 .52509 L
.57605 .52488 L
.57483 .52328 L
.57464 .52305 L
.57356 .52167 L
.57304 .52138 L
.57229 .52007 L
.57143 .51909 L
.57079 .51846 L
.56983 .51696 L
.56974 .51686 L
.5685 .51525 L
.56822 .5149 L
.56725 .51364 L
.56662 .51306 L
.56545 .51204 L
.56501 .51084 L
.56466 .51043 L
.5635 .50883 L
.56341 .50872 L
.56227 .50722 L
.5618 .50705 L
.56103 .50562 L
.5602 .50468 L
.55956 .50401 L
.55859 .50248 L
.55853 .50241 L
.55732 .5008 L
.55699 .50037 L
.5561 .4992 L
.55538 .49854 L
.5544 .49759 L
.55378 .49622 L
.55358 .49599 L
.55242 .49438 L
.55217 .49406 L
.55122 .49278 L
.55057 .49193 L
.55 .49117 L
.54896 .48991 L
.54866 .48957 L
.54758 .48796 L
.54735 .48767 L
.54639 .48636 L
.54575 .48552 L
.54519 .48475 L
.54414 .48351 L
.5438 .48314 L
.54281 .48154 L
.54254 .48118 L
.54166 .47993 L
.54093 .47897 L
.54049 .47833 L
.53933 .47676 L
.5393 .47672 L
.53822 .47512 L
.53772 .47444 L
.53713 .47351 L
.53612 .47206 L
.53602 .47191 L
F
0 .21 1 r
.53612 .4773 m
.53696 .47833 L
.53772 .47912 L
.53837 .47993 L
.53933 .48101 L
.53974 .48154 L
.54093 .48295 L
.54109 .48314 L
.54238 .48475 L
.54254 .48493 L
.54364 .48636 L
.54414 .48695 L
.54491 .48796 L
.54575 .48897 L
.5462 .48957 L
.54735 .491 L
.54748 .49117 L
.54872 .49278 L
.54896 .49307 L
.54994 .49438 L
.55057 .49515 L
.55118 .49599 L
.55217 .49723 L
.55243 .49759 L
.55366 .4992 L
.55378 .49933 L
.55484 .5008 L
.55538 .50148 L
.55604 .50241 L
.55699 .50363 L
.55726 .50401 L
.55845 .50562 L
.55859 .5058 L
.55955 .50722 L
.5602 .50806 L
.56069 .50883 L
.5618 .51034 L
.56186 .51043 L
.5618 .51127 L
.5611 .51043 L
.5602 .50951 L
.55965 .50883 L
.55859 .50764 L
.55826 .50722 L
.55699 .50572 L
.55691 .50562 L
.55562 .50401 L
.55538 .50374 L
.55435 .50241 L
.55378 .50173 L
.55306 .5008 L
.55217 .49972 L
.55177 .4992 L
.55057 .4977 L
.55048 .49759 L
.54926 .49599 L
.54896 .49563 L
.54803 .49438 L
.54735 .49355 L
.54678 .49278 L
.54575 .49148 L
.54552 .49117 L
.5443 .48957 L
.54414 .48938 L
.54311 .48796 L
.54254 .48724 L
.5419 .48636 L
.54093 .48511 L
.54068 .48475 L
.53949 .48314 L
.53933 .48294 L
.53837 .48154 L
.53772 .4807 L
.53722 .47993 L
.53612 .47845 L
.53604 .47833 L
F
1 .14 0 r
.53612 .48402 m
.53657 .48475 L
.53772 .48612 L
.53787 .48636 L
.53772 .48674 L
.53745 .48636 L
.53612 .48483 L
.53606 .48475 L
F
.01 .85 1 r
.53612 .46396 m
.5377 .46549 L
.53772 .46551 L
.53921 .46709 L
.53933 .46722 L
.54065 .4687 L
.54093 .469 L
.54206 .4703 L
.54254 .47084 L
.54345 .47191 L
.54414 .47263 L
.54482 .47351 L
.54575 .47463 L
.54625 .47512 L
.54735 .47659 L
.54747 .47672 L
.5488 .47833 L
.54896 .47844 L
.55012 .47993 L
.55057 .48046 L
.55165 .48154 L
.55217 .4825 L
.5527 .48314 L
.55378 .48453 L
.55391 .48475 L
.55527 .48636 L
.55538 .48646 L
.55696 .48796 L
.55699 .4885 L
.55789 .48957 L
.55859 .49058 L
.55901 .49117 L
.5602 .49263 L
.56023 .49278 L
.56162 .49438 L
.5618 .4946 L
.56304 .49599 L
.56341 .49668 L
.56411 .49759 L
.56501 .49878 L
.56524 .4992 L
.56662 .50079 L
.56663 .5008 L
.56816 .50241 L
.56822 .50283 L
.56919 .50401 L
.56983 .50494 L
.57029 .50562 L
.57143 .50703 L
.57147 .50722 L
.57286 .50883 L
.57304 .50903 L
.57426 .51043 L
.57464 .51113 L
.57533 .51204 L
.57625 .51325 L
.57645 .51364 L
.57782 .51525 L
.57785 .51528 L
.57935 .51686 L
.57946 .51734 L
.58036 .51846 L
.58106 .51948 L
.58146 .52007 L
.58267 .52157 L
.58268 .52167 L
.58399 .52328 L
.58428 .52357 L
.5854 .52488 L
.58588 .52571 L
.58645 .52649 L
.58749 .52785 L
.58761 .52809 L
.58891 .5297 L
.58909 .52982 L
.5905 .5313 L
.5907 .53196 L
.59145 .53291 L
.5923 .53412 L
.59255 .53451 L
.59381 .53612 L
.59391 .53624 L
.59503 .53772 L
.59551 .53821 L
.59646 .53933 L
.59712 .54042 L
.59749 .54093 L
.59869 .54254 L
.59872 .54258 L
.5999 .54414 L
.60033 .54443 L
.60153 .54575 L
.60193 .54673 L
.60242 .54735 L
.60354 .54895 L
.60355 .54896 L
.60473 .55057 L
.60514 .5511 L
.60593 .55217 L
.60675 .55306 L
.60732 .55378 L
.60835 .55538 L
.60835 .55539 L
.60951 .55699 L
.60996 .55758 L
.61069 .55859 L
.61156 .55947 L
.61214 .5602 L
.61305 .5618 L
.61317 .56196 L
.61417 .56341 L
.61477 .56423 L
.61531 .56501 L
.61638 .5665 L
.61646 .56662 L
.61751 .56822 L
.61799 .56891 L
.61854 .56983 L
.61799 .57109 L
.61678 .56983 L
.61638 .56943 L
.61529 .56822 L
.61477 .56767 L
.61386 .56662 L
.61317 .56621 L
.61246 .56501 L
.61156 .56404 L
.61065 .56341 L
.60996 .56206 L
.60969 .5618 L
.60841 .5602 L
.60835 .56013 L
.60709 .55859 L
.60675 .55829 L
.60578 .55699 L
.60514 .55623 L
.60428 .55538 L
.60354 .55419 L
.60319 .55378 L
.60193 .5522 L
.60191 .55217 L
.60062 .55057 L
.60033 .55025 L
.59897 .54896 L
.59872 .54818 L
.59801 .54735 L
.59712 .54611 L
.59686 .54575 L
.59555 .54414 L
.59551 .54412 L
.59429 .54254 L
.59391 .54209 L
.59286 .54093 L
.5923 .53999 L
.59179 .53933 L
.5907 .53792 L
.5906 .53772 L
.58928 .53612 L
.58909 .53593 L
.58771 .53451 L
.58749 .53384 L
.58672 .53291 L
.58588 .53173 L
.58559 .5313 L
.58429 .5297 L
.58428 .52969 L
.58305 .52809 L
.58267 .52766 L
.58164 .52649 L
.58106 .52553 L
.58057 .52488 L
.57946 .52343 L
.57939 .52328 L
.5781 .52167 L
.57785 .52145 L
.57654 .52007 L
.57625 .51932 L
.57555 .51846 L
.57464 .51719 L
.57443 .51686 L
.57316 .51525 L
.57304 .5152 L
.57193 .51364 L
.57143 .51311 L
.57051 .51204 L
.56983 .51094 L
.56945 .51043 L
.56822 .50883 L
.56822 .50883 L
.56701 .50722 L
.56662 .50689 L
.56543 .50562 L
.56501 .5047 L
.56447 .50401 L
.56341 .50254 L
.56333 .50241 L
.5621 .5008 L
.5618 .50071 L
.56088 .4992 L
.5602 .49846 L
.55947 .49759 L
.55859 .49624 L
.55841 .49599 L
.55721 .49438 L
.55699 .49409 L
.556 .49278 L
.55538 .49223 L
.55444 .49117 L
.55378 .48992 L
.5535 .48957 L
.55235 .48796 L
.55217 .48773 L
.55115 .48636 L
.55057 .48559 L
.54995 .48475 L
.54896 .48357 L
.54862 .48314 L
.54753 .48154 L
.54735 .48132 L
.54635 .47993 L
.54575 .47914 L
.54516 .47833 L
.54414 .47714 L
.54381 .47672 L
.54279 .47512 L
.54254 .47479 L
.54165 .47351 L
.54093 .47256 L
.54049 .47191 L
.53933 .47033 L
.53931 .4703 L
.53824 .4687 L
.53772 .46797 L
.53717 .46709 L
.53612 .46554 L
.53609 .46549 L
F
1 .54 0 r
.53612 .47072 m
.53727 .47191 L
.53772 .47234 L
.53876 .47351 L
.53933 .47412 L
.54018 .47512 L
.54093 .47596 L
.54157 .47672 L
.54254 .47748 L
.54294 .47833 L
.54414 .47973 L
.54441 .47993 L
.54559 .48154 L
.54575 .48172 L
.5469 .48314 L
.54735 .48369 L
.5482 .48475 L
.54896 .48546 L
.5495 .48636 L
.55057 .48764 L
.55089 .48796 L
.55207 .48957 L
.55217 .48969 L
.55333 .49117 L
.55378 .49172 L
.55461 .49278 L
.55538 .49362 L
.5562 .49438 L
.55699 .49577 L
.55717 .49599 L
.55839 .49759 L
.55859 .49784 L
.55964 .4992 L
.5602 .49964 L
.5609 .5008 L
.5618 .50189 L
.56227 .50241 L
.56339 .50401 L
.56341 .50403 L
.56462 .50562 L
.56501 .50611 L
.56586 .50722 L
.56662 .50803 L
.5674 .50883 L
.56822 .51026 L
.56837 .51043 L
.56956 .51204 L
.56983 .51238 L
.57078 .51364 L
.57143 .51415 L
.57201 .51525 L
.57304 .51652 L
.57332 .51686 L
.57445 .51846 L
.57464 .51871 L
.57565 .52007 L
.57625 .52084 L
.57687 .52167 L
.57785 .52283 L
.57826 .52328 L
.57928 .52488 L
.57946 .52511 L
.58046 .52649 L
.58106 .52728 L
.58166 .52809 L
.58267 .52923 L
.58286 .5297 L
.58402 .5313 L
.58428 .53164 L
.58516 .53291 L
.58588 .53387 L
.58632 .53451 L
.58749 .53611 L
.58749 .53612 L
.58854 .53772 L
.58909 .5385 L
.58959 .53933 L
.58909 .54026 L
.58825 .53933 L
.58749 .53853 L
.58679 .53772 L
.58588 .53671 L
.58539 .53612 L
.58428 .53503 L
.58401 .53451 L
.58267 .53292 L
.58265 .53291 L
.58135 .5313 L
.58106 .53097 L
.58004 .5297 L
.57946 .52901 L
.57873 .52809 L
.57785 .52718 L
.5769 .52649 L
.57625 .52505 L
.57609 .52488 L
.57486 .52328 L
.57464 .52302 L
.57359 .52167 L
.57304 .52136 L
.57231 .52007 L
.57143 .51906 L
.57082 .51846 L
.56983 .51693 L
.56976 .51686 L
.56852 .51525 L
.56822 .51488 L
.56727 .51364 L
.56662 .51303 L
.56547 .51204 L
.56501 .51081 L
.56468 .51043 L
.56352 .50883 L
.56341 .50869 L
.56229 .50722 L
.5618 .50704 L
.56104 .50562 L
.5602 .50465 L
.55959 .50401 L
.55859 .50246 L
.55855 .50241 L
.55734 .5008 L
.55699 .50035 L
.55612 .4992 L
.55538 .49851 L
.55443 .49759 L
.55378 .49619 L
.55361 .49599 L
.55245 .49438 L
.55217 .49403 L
.55124 .49278 L
.55057 .49191 L
.55002 .49117 L
.54896 .48987 L
.54869 .48957 L
.5476 .48796 L
.54735 .48764 L
.54642 .48636 L
.54575 .48548 L
.54522 .48475 L
.54414 .48346 L
.54386 .48314 L
.54285 .48154 L
.54254 .48114 L
.54169 .47993 L
.54093 .47892 L
.54052 .47833 L
.53935 .47672 L
.53933 .4767 L
.53828 .47512 L
.53772 .47436 L
.53719 .47351 L
.53612 .47195 L
.53609 .47191 L
F
0 .2 1 r
.53612 .47742 m
.53687 .47833 L
.53772 .47919 L
.53831 .47993 L
.53933 .48107 L
.5397 .48154 L
.54093 .483 L
.54105 .48314 L
.54233 .48475 L
.54254 .48498 L
.5436 .48636 L
.54414 .487 L
.54488 .48796 L
.54575 .48901 L
.54617 .48957 L
.54735 .49104 L
.54745 .49117 L
.54868 .49278 L
.54896 .49311 L
.5499 .49438 L
.55057 .49519 L
.55115 .49599 L
.55217 .49727 L
.5524 .49759 L
.55363 .4992 L
.55378 .49938 L
.5548 .5008 L
.55538 .50153 L
.556 .50241 L
.55699 .50367 L
.55722 .50401 L
.5584 .50562 L
.55859 .50586 L
.5595 .50722 L
.5602 .50814 L
.56063 .50883 L
.5602 .50944 L
.55971 .50883 L
.55859 .50758 L
.55831 .50722 L
.55699 .50567 L
.55695 .50562 L
.55567 .50401 L
.55538 .50369 L
.55439 .50241 L
.55378 .50169 L
.5531 .5008 L
.55217 .49968 L
.5518 .4992 L
.55057 .49766 L
.55051 .49759 L
.54929 .49599 L
.54896 .49559 L
.54806 .49438 L
.54735 .49351 L
.54681 .49278 L
.54575 .49144 L
.54555 .49117 L
.54433 .48957 L
.54414 .48934 L
.54315 .48796 L
.54254 .4872 L
.54194 .48636 L
.54093 .48506 L
.54071 .48475 L
.53954 .48314 L
.53933 .48288 L
.53842 .48154 L
.53772 .48063 L
.53727 .47993 L
.53612 .47837 L
.53609 .47833 L
F
0 .75 1 r
.53612 .53415 m
.53772 .53436 L
.53789 .53451 L
.53933 .53576 L
.53965 .53612 L
.54093 .5375 L
.54122 .53772 L
.54248 .53933 L
.54254 .53939 L
.54377 .54093 L
.54414 .54139 L
.54503 .54254 L
.54575 .54321 L
.54663 .54414 L
.54735 .54551 L
.54753 .54575 L
.54867 .54735 L
.54896 .54776 L
.5498 .54896 L
.55057 .55006 L
.5509 .55057 L
.55187 .55217 L
.55217 .55274 L
.55252 .55378 L
.55217 .55423 L
.55134 .55378 L
.55057 .55322 L
.54946 .55217 L
.54896 .55169 L
.54793 .55057 L
.54735 .55022 L
.54652 .54896 L
.54575 .54816 L
.54471 .54735 L
.54414 .54612 L
.5438 .54575 L
.5426 .54414 L
.54254 .54407 L
.54137 .54254 L
.54093 .54197 L
.54016 .54093 L
.53933 .54009 L
.5388 .53933 L
.53786 .53772 L
.53772 .53752 L
.53686 .53612 L
.53612 .53456 L
.5361 .53451 L
F
0 .45 1 r
.53612 .49076 m
.53618 .49117 L
.53612 .49118 L
.53611 .49117 L
F
0 .74 1 r
.53772 .53446 m
.53778 .53451 L
.53933 .53582 L
.5396 .53612 L
.54093 .53755 L
.54115 .53772 L
.54244 .53933 L
.54254 .53944 L
.54373 .54093 L
.54414 .54143 L
.545 .54254 L
.54575 .54326 L
.54659 .54414 L
.54735 .54557 L
.54749 .54575 L
.54863 .54735 L
.54896 .54781 L
.54976 .54896 L
.55057 .55013 L
.55085 .55057 L
.55179 .55217 L
.55217 .55296 L
.55236 .55378 L
.55217 .55402 L
.55156 .55378 L
.55057 .55313 L
.54954 .55217 L
.54896 .55162 L
.54799 .55057 L
.54735 .55018 L
.54657 .54896 L
.54575 .54811 L
.54476 .54735 L
.54414 .54607 L
.54384 .54575 L
.54264 .54414 L
.54254 .54402 L
.5414 .54254 L
.54093 .54193 L
.54019 .54093 L
.53933 .54002 L
.53885 .53933 L
.5379 .53772 L
.53772 .53745 L
.53692 .53612 L
.53624 .53451 L
F
.114 .93 1 r
.53772 .51483 m
.53813 .51525 L
.53933 .51653 L
.53962 .51686 L
.54093 .51839 L
.54097 .51846 L
.54221 .52007 L
.54254 .52051 L
.54336 .52167 L
.54414 .52294 L
.54433 .52328 L
.54414 .52407 L
.54313 .52328 L
.54254 .52271 L
.54164 .52167 L
.54093 .52087 L
.54032 .52007 L
.53933 .51884 L
.53905 .51846 L
.53786 .51686 L
.53772 .51667 L
.53687 .51525 L
F
0 .73 1 r
.53772 .53456 m
.53933 .53589 L
.53954 .53612 L
.54093 .53761 L
.54109 .53772 L
.5424 .53933 L
.54254 .53949 L
.5437 .54093 L
.54414 .54148 L
.54497 .54254 L
.54575 .54331 L
.54654 .54414 L
.54735 .54562 L
.54745 .54575 L
.54859 .54735 L
.54896 .54787 L
.54972 .54896 L
.55057 .55021 L
.5508 .55057 L
.55171 .55217 L
.55057 .55303 L
.54963 .55217 L
.54896 .55155 L
.54805 .55057 L
.54735 .55013 L
.54661 .54896 L
.54575 .54806 L
.54481 .54735 L
.54414 .54602 L
.54388 .54575 L
.54267 .54414 L
.54254 .54398 L
.54144 .54254 L
.54093 .54188 L
.54023 .54093 L
.53933 .53995 L
.53891 .53933 L
.53795 .53772 L
.53772 .53737 L
.53698 .53612 L
F
0 .72 1 r
.53772 .53466 m
.53933 .53596 L
.53947 .53612 L
.54093 .53766 L
.54102 .53772 L
.54236 .53933 L
.54254 .53954 L
.54366 .54093 L
.54414 .54152 L
.54493 .54254 L
.54575 .54336 L
.5465 .54414 L
.54735 .54568 L
.54741 .54575 L
.54855 .54735 L
.54896 .54793 L
.54967 .54896 L
.55057 .55028 L
.55075 .55057 L
.55162 .55217 L
.55057 .55293 L
.54972 .55217 L
.54896 .55148 L
.54811 .55057 L
.54735 .55008 L
.54666 .54896 L
.54575 .54801 L
.54487 .54735 L
.54414 .54598 L
.54393 .54575 L
.54271 .54414 L
.54254 .54393 L
.54148 .54254 L
.54093 .54183 L
.54026 .54093 L
.53933 .53987 L
.53896 .53933 L
.538 .53772 L
.53772 .53729 L
.53704 .53612 L
F
0 .71 1 r
.53772 .53477 m
.53933 .53603 L
.53941 .53612 L
.54093 .53771 L
.54095 .53772 L
.54232 .53933 L
.54254 .53958 L
.54362 .54093 L
.54414 .54157 L
.5449 .54254 L
.54575 .54341 L
.54645 .54414 L
.54735 .54574 L
.54736 .54575 L
.54851 .54735 L
.54896 .54798 L
.54963 .54896 L
.55057 .55036 L
.55069 .55057 L
.55152 .55217 L
.55057 .55283 L
.54981 .55217 L
.54896 .55141 L
.54817 .55057 L
.54735 .55002 L
.54671 .54896 L
.54575 .54795 L
.54494 .54735 L
.54414 .54593 L
.54397 .54575 L
.54275 .54414 L
.54254 .54388 L
.54151 .54254 L
.54093 .54179 L
.5403 .54093 L
.53933 .53979 L
.53902 .53933 L
.53805 .53772 L
.53772 .5372 L
.53711 .53612 L
F
0 .7 1 r
.53772 .53487 m
.53933 .5361 L
.53934 .53612 L
.54089 .53772 L
.54093 .53777 L
.54227 .53933 L
.54254 .53963 L
.54359 .54093 L
.54414 .54161 L
.54486 .54254 L
.54575 .54346 L
.5464 .54414 L
.54732 .54575 L
.54735 .54579 L
.54847 .54735 L
.54896 .54804 L
.54958 .54896 L
.55057 .55045 L
.55064 .55057 L
.55141 .55217 L
.55057 .55271 L
.54992 .55217 L
.54896 .55133 L
.54823 .55057 L
.54735 .54996 L
.54676 .54896 L
.54575 .5479 L
.545 .54735 L
.54414 .54588 L
.54402 .54575 L
.54278 .54414 L
.54254 .54384 L
.54155 .54254 L
.54093 .54174 L
.54034 .54093 L
.53933 .53971 L
.53908 .53933 L
.5381 .53772 L
.53772 .53711 L
.53718 .53612 L
F
0 .69 1 r
.53772 .53499 m
.53926 .53612 L
.53933 .53617 L
.54084 .53772 L
.54093 .53782 L
.54223 .53933 L
.54254 .53968 L
.54355 .54093 L
.54414 .54166 L
.54483 .54254 L
.54575 .54352 L
.54634 .54414 L
.54728 .54575 L
.54735 .54584 L
.54842 .54735 L
.54896 .54811 L
.54953 .54896 L
.55057 .55054 L
.55058 .55057 L
.55129 .55217 L
.55057 .5526 L
.55003 .55217 L
.54896 .55126 L
.5483 .55057 L
.54735 .5499 L
.54681 .54896 L
.54575 .54784 L
.54507 .54735 L
.54414 .54583 L
.54407 .54575 L
.54282 .54414 L
.54254 .54379 L
.54159 .54254 L
.54093 .54169 L
.54037 .54093 L
.53933 .53961 L
.53914 .53933 L
.53816 .53772 L
.53772 .53701 L
.53725 .53612 L
F
1 .53 0 r
.53772 .47244 m
.53868 .47351 L
.53933 .47419 L
.54012 .47512 L
.54093 .47602 L
.54152 .47672 L
.54254 .47756 L
.54289 .47833 L
.54414 .47979 L
.54433 .47993 L
.54555 .48154 L
.54575 .48177 L
.54686 .48314 L
.54735 .48373 L
.54817 .48475 L
.54896 .4855 L
.54947 .48636 L
.55057 .48768 L
.55085 .48796 L
.55204 .48957 L
.55217 .48972 L
.55331 .49117 L
.55378 .49175 L
.55458 .49278 L
.55538 .49365 L
.55617 .49438 L
.55699 .4958 L
.55715 .49599 L
.55837 .49759 L
.55859 .49787 L
.55962 .4992 L
.5602 .49966 L
.56087 .5008 L
.5618 .50192 L
.56225 .50241 L
.56337 .50401 L
.56341 .50406 L
.5646 .50562 L
.56501 .50614 L
.56584 .50722 L
.56662 .50806 L
.56737 .50883 L
.56822 .51029 L
.56834 .51043 L
.56954 .51204 L
.56983 .51241 L
.57076 .51364 L
.57143 .51418 L
.57199 .51525 L
.57304 .51656 L
.5733 .51686 L
.57443 .51846 L
.57464 .51874 L
.57563 .52007 L
.57625 .52087 L
.57685 .52167 L
.57785 .52287 L
.57822 .52328 L
.57926 .52488 L
.57946 .52514 L
.58043 .52649 L
.58106 .52731 L
.58163 .52809 L
.58267 .5293 L
.58283 .5297 L
.58398 .5313 L
.58428 .53169 L
.58512 .53291 L
.58588 .53393 L
.58628 .53451 L
.58744 .53612 L
.58749 .53618 L
.58847 .53772 L
.58909 .5386 L
.58951 .53933 L
.58909 .54015 L
.58835 .53933 L
.58749 .53845 L
.58686 .53772 L
.58588 .53664 L
.58544 .53612 L
.58428 .53495 L
.58405 .53451 L
.5827 .53291 L
.58267 .53287 L
.58139 .5313 L
.58106 .53092 L
.58007 .5297 L
.57946 .52897 L
.57876 .52809 L
.57785 .52714 L
.57695 .52649 L
.57625 .52501 L
.57612 .52488 L
.57488 .52328 L
.57464 .52298 L
.57361 .52167 L
.57304 .52133 L
.57233 .52007 L
.57143 .51903 L
.57085 .51846 L
.56983 .5169 L
.56979 .51686 L
.56855 .51525 L
.56822 .51485 L
.56729 .51364 L
.56662 .51301 L
.5655 .51204 L
.56501 .51078 L
.5647 .51043 L
.56354 .50883 L
.56341 .50867 L
.56231 .50722 L
.5618 .50702 L
.56106 .50562 L
.5602 .50463 L
.55961 .50401 L
.55859 .50243 L
.55857 .50241 L
.55736 .5008 L
.55699 .50032 L
.55614 .4992 L
.55538 .49848 L
.55446 .49759 L
.55378 .49616 L
.55363 .49599 L
.55247 .49438 L
.55217 .494 L
.55126 .49278 L
.55057 .49188 L
.55004 .49117 L
.54896 .48983 L
.54873 .48957 L
.54763 .48796 L
.54735 .48761 L
.54644 .48636 L
.54575 .48545 L
.54524 .48475 L
.54414 .4834 L
.54391 .48314 L
.54288 .48154 L
.54254 .48109 L
.54173 .47993 L
.54093 .47887 L
.54056 .47833 L
.53939 .47672 L
.53933 .47664 L
.53833 .47512 L
.53772 .47427 L
.53726 .47351 L
F
.007 .84 1 r
.53772 .46574 m
.53903 .46709 L
.53933 .46739 L
.54051 .4687 L
.54093 .46915 L
.54195 .4703 L
.54254 .47096 L
.54335 .47191 L
.54414 .47273 L
.54473 .47351 L
.54575 .47473 L
.54616 .47512 L
.54735 .47666 L
.54741 .47672 L
.54874 .47833 L
.54896 .47849 L
.55006 .47993 L
.55057 .48053 L
.55161 .48154 L
.55217 .48257 L
.55266 .48314 L
.55378 .48458 L
.55388 .48475 L
.55523 .48636 L
.55538 .48651 L
.55695 .48796 L
.55699 .48855 L
.55786 .48957 L
.55859 .49063 L
.55898 .49117 L
.5602 .49266 L
.56022 .49278 L
.56158 .49438 L
.5618 .49464 L
.56302 .49599 L
.56341 .49672 L
.56408 .49759 L
.56501 .49881 L
.56522 .4992 L
.56661 .5008 L
.56662 .50081 L
.56816 .50241 L
.56822 .50286 L
.56917 .50401 L
.56983 .50497 L
.57027 .50562 L
.57143 .50706 L
.57146 .50722 L
.57284 .50883 L
.57304 .50905 L
.57424 .51043 L
.57464 .51116 L
.57531 .51204 L
.57625 .51328 L
.57644 .51364 L
.5778 .51525 L
.57785 .5153 L
.57934 .51686 L
.57946 .51737 L
.58034 .51846 L
.58106 .5195 L
.58144 .52007 L
.58267 .5216 L
.58268 .52167 L
.58396 .52328 L
.58428 .5236 L
.58539 .52488 L
.58588 .52574 L
.58643 .52649 L
.58749 .52787 L
.58759 .52809 L
.58888 .5297 L
.58909 .52984 L
.59048 .5313 L
.5907 .53199 L
.59143 .53291 L
.5923 .53415 L
.59253 .53451 L
.59379 .53612 L
.59391 .53627 L
.595 .53772 L
.59551 .53823 L
.59644 .53933 L
.59712 .54045 L
.59747 .54093 L
.59867 .54254 L
.59872 .54261 L
.59987 .54414 L
.60033 .54446 L
.6015 .54575 L
.60193 .54677 L
.60238 .54735 L
.60351 .54896 L
.60354 .54899 L
.6047 .55057 L
.60514 .55115 L
.6059 .55217 L
.60675 .55313 L
.60727 .55378 L
.6083 .55538 L
.60835 .55545 L
.60946 .55699 L
.60996 .55765 L
.61064 .55859 L
.61156 .55959 L
.61205 .5602 L
.61298 .5618 L
.61317 .56206 L
.6141 .56341 L
.61477 .56434 L
.61523 .56501 L
.61637 .56662 L
.61638 .56664 L
.61737 .56822 L
.61799 .56915 L
.61836 .56983 L
.61799 .5708 L
.617 .56983 L
.61638 .56924 L
.61545 .56822 L
.61477 .56752 L
.61398 .56662 L
.61317 .56608 L
.61256 .56501 L
.61156 .56393 L
.61079 .56341 L
.60996 .56197 L
.60979 .5618 L
.60849 .5602 L
.60835 .56004 L
.60716 .55859 L
.60675 .55823 L
.60584 .55699 L
.60514 .55617 L
.60434 .55538 L
.60354 .55413 L
.60323 .55378 L
.60195 .55217 L
.60193 .55217 L
.60067 .55057 L
.60033 .55021 L
.599 .54896 L
.59872 .54813 L
.59804 .54735 L
.59712 .54607 L
.59689 .54575 L
.59558 .54414 L
.59551 .54409 L
.59432 .54254 L
.59391 .54206 L
.59289 .54093 L
.5923 .53996 L
.59181 .53933 L
.5907 .53789 L
.59061 .53772 L
.5893 .53612 L
.58909 .53591 L
.58773 .53451 L
.58749 .53381 L
.58674 .53291 L
.58588 .5317 L
.58561 .5313 L
.58431 .5297 L
.58428 .52967 L
.58308 .52809 L
.58267 .52763 L
.58166 .52649 L
.58106 .52551 L
.58059 .52488 L
.57946 .52341 L
.5794 .52328 L
.57812 .52167 L
.57785 .52143 L
.57655 .52007 L
.57625 .5193 L
.57557 .51846 L
.57464 .51716 L
.57444 .51686 L
.57318 .51525 L
.57304 .51519 L
.57195 .51364 L
.57143 .51308 L
.57053 .51204 L
.56983 .51092 L
.56947 .51043 L
.56824 .50883 L
.56822 .5088 L
.56703 .50722 L
.56662 .50688 L
.56545 .50562 L
.56501 .50467 L
.56449 .50401 L
.56341 .50251 L
.56334 .50241 L
.56212 .5008 L
.5618 .50069 L
.5609 .4992 L
.5602 .49843 L
.5595 .49759 L
.55859 .49621 L
.55843 .49599 L
.55724 .49438 L
.55699 .49406 L
.55603 .49278 L
.55538 .4922 L
.55447 .49117 L
.55378 .48988 L
.55353 .48957 L
.55238 .48796 L
.55217 .48769 L
.55119 .48636 L
.55057 .48555 L
.54998 .48475 L
.54896 .48352 L
.54866 .48314 L
.54757 .48154 L
.54735 .48126 L
.5464 .47993 L
.54575 .47909 L
.54521 .47833 L
.54414 .47704 L
.54389 .47672 L
.54285 .47512 L
.54254 .47471 L
.54171 .47351 L
.54093 .47246 L
.54055 .47191 L
.5394 .4703 L
.53933 .4702 L
.53835 .4687 L
.53772 .46779 L
.5373 .46709 L
F
1 .52 0 r
.53772 .47255 m
.5386 .47351 L
.53933 .47427 L
.54006 .47512 L
.54093 .47608 L
.54147 .47672 L
.54254 .47764 L
.54285 .47833 L
.54414 .47985 L
.54426 .47993 L
.54551 .48154 L
.54575 .48181 L
.54683 .48314 L
.54735 .48377 L
.54814 .48475 L
.54896 .48554 L
.54944 .48636 L
.55057 .48772 L
.55081 .48796 L
.55201 .48957 L
.55217 .48976 L
.55328 .49117 L
.55378 .49178 L
.55456 .49278 L
.55538 .49369 L
.55613 .49438 L
.55699 .49583 L
.55712 .49599 L
.55835 .49759 L
.55859 .4979 L
.5596 .4992 L
.5602 .49969 L
.56085 .5008 L
.5618 .50195 L
.56222 .50241 L
.56335 .50401 L
.56341 .50408 L
.56458 .50562 L
.56501 .50617 L
.56582 .50722 L
.56662 .50809 L
.56735 .50883 L
.56822 .51032 L
.56832 .51043 L
.56952 .51204 L
.56983 .51243 L
.57074 .51364 L
.57143 .51421 L
.57197 .51525 L
.57304 .51659 L
.57327 .51686 L
.57441 .51846 L
.57464 .51877 L
.57561 .52007 L
.57625 .5209 L
.57682 .52167 L
.57785 .52292 L
.57818 .52328 L
.57923 .52488 L
.57946 .52518 L
.58041 .52649 L
.58106 .52735 L
.5816 .52809 L
.58267 .52937 L
.5828 .5297 L
.58395 .5313 L
.58428 .53174 L
.58508 .53291 L
.58588 .53398 L
.58624 .53451 L
.58738 .53612 L
.58749 .53626 L
.5884 .53772 L
.58909 .53872 L
.58943 .53933 L
.58909 .54002 L
.58845 .53933 L
.58749 .53837 L
.58693 .53772 L
.58588 .53658 L
.58549 .53612 L
.58428 .53486 L
.5841 .53451 L
.58275 .53291 L
.58267 .53282 L
.58143 .5313 L
.58106 .53088 L
.58011 .5297 L
.57946 .52893 L
.57879 .52809 L
.57785 .5271 L
.57701 .52649 L
.57625 .52497 L
.57616 .52488 L
.57491 .52328 L
.57464 .52295 L
.57364 .52167 L
.57304 .52131 L
.57236 .52007 L
.57143 .51899 L
.57088 .51846 L
.56983 .51687 L
.56981 .51686 L
.56857 .51525 L
.56822 .51482 L
.56732 .51364 L
.56662 .51298 L
.56553 .51204 L
.56501 .51075 L
.56473 .51043 L
.56356 .50883 L
.56341 .50864 L
.56233 .50722 L
.5618 .507 L
.56108 .50562 L
.5602 .5046 L
.55964 .50401 L
.5586 .50241 L
.55859 .5024 L
.55739 .5008 L
.55699 .5003 L
.55616 .4992 L
.55538 .49845 L
.55449 .49759 L
.55378 .49612 L
.55366 .49599 L
.55249 .49438 L
.55217 .49397 L
.55128 .49278 L
.55057 .49185 L
.55006 .49117 L
.54896 .48979 L
.54876 .48957 L
.54766 .48796 L
.54735 .48757 L
.54647 .48636 L
.54575 .48541 L
.54527 .48475 L
.54414 .48333 L
.54397 .48314 L
.54292 .48154 L
.54254 .48104 L
.54177 .47993 L
.54093 .47882 L
.5406 .47833 L
.53945 .47672 L
.53933 .47657 L
.53839 .47512 L
.53772 .47418 L
.53733 .47351 L
F
0 .19 1 r
.53772 .47927 m
.53825 .47993 L
.53933 .48113 L
.53965 .48154 L
.54093 .48305 L
.54101 .48314 L
.54229 .48475 L
.54254 .48503 L
.54356 .48636 L
.54414 .48704 L
.54484 .48796 L
.54575 .48906 L
.54614 .48957 L
.54735 .49108 L
.54742 .49117 L
.54865 .49278 L
.54896 .49315 L
.54987 .49438 L
.55057 .49524 L
.55112 .49599 L
.55217 .49731 L
.55237 .49759 L
.55359 .4992 L
.55378 .49943 L
.55476 .5008 L
.55538 .50158 L
.55596 .50241 L
.55699 .50372 L
.55719 .50401 L
.55699 .50562 L
.55572 .50401 L
.55538 .50363 L
.55443 .50241 L
.55378 .50164 L
.55313 .5008 L
.55217 .49964 L
.55184 .4992 L
.55057 .49762 L
.55055 .49759 L
.54933 .49599 L
.54896 .49554 L
.54809 .49438 L
.54735 .49347 L
.54684 .49278 L
.54575 .4914 L
.54558 .49117 L
.54437 .48957 L
.54414 .48929 L
.54319 .48796 L
.54254 .48715 L
.54197 .48636 L
.54093 .48501 L
.54075 .48475 L
.53959 .48314 L
.53933 .48282 L
.53848 .48154 L
.53772 .48056 L
.53733 .47993 L
F
.733 .99 1 r
.53772 .56398 m
.53858 .56501 L
.53933 .56583 L
.54 .56662 L
.54093 .56766 L
.54142 .56822 L
.54254 .56933 L
.54283 .56983 L
.54414 .57134 L
.54422 .57143 L
.54562 .57304 L
.54575 .57319 L
.54701 .57464 L
.54735 .57505 L
.54839 .57625 L
.54896 .57679 L
.54975 .57785 L
.55057 .57887 L
.55111 .57946 L
.55217 .58085 L
.55229 .58106 L
.55371 .58267 L
.55378 .58275 L
.55502 .58428 L
.55538 .58466 L
.55667 .58588 L
.55699 .58674 L
.55759 .58749 L
.55859 .5888 L
.55877 .58909 L
.56013 .5907 L
.5602 .59074 L
.5614 .5923 L
.5618 .59279 L
.56277 .59391 L
.56341 .5949 L
.56384 .59551 L
.56501 .59697 L
.56507 .59712 L
.5664 .59872 L
.56662 .59895 L
.56794 .60033 L
.56822 .60107 L
.56889 .60193 L
.56983 .60319 L
.57003 .60354 L
.57134 .60514 L
.57143 .60518 L
.57259 .60675 L
.57304 .60729 L
.57393 .60835 L
.57464 .60945 L
.57499 .60996 L
.57625 .61155 L
.57625 .61156 L
.57748 .61317 L
.57785 .61352 L
.57901 .61477 L
.57946 .61574 L
.57994 .61638 L
.58106 .6179 L
.58111 .61799 L
.58233 .61959 L
.58267 .61971 L
.58355 .6212 L
.58428 .62207 L
.58486 .6228 L
.58588 .62432 L
.58593 .62441 L
.58712 .62601 L
.58749 .6265 L
.58831 .62762 L
.58909 .62847 L
.58974 .62922 L
.59066 .63083 L
.5907 .63088 L
.59181 .63243 L
.5923 .63312 L
.59296 .63404 L
.59391 .63537 L
.5941 .63564 L
.59519 .63725 L
.59551 .6377 L
.59626 .63885 L
.59712 .64012 L
.59733 .64046 L
.59712 .64193 L
.59575 .64046 L
.59551 .64022 L
.59433 .63885 L
.59391 .6384 L
.59295 .63725 L
.5923 .63652 L
.59159 .63564 L
.5907 .63461 L
.59024 .63404 L
.58909 .63275 L
.5889 .63243 L
.58759 .63083 L
.58749 .6307 L
.58632 .62922 L
.58588 .6287 L
.58503 .62762 L
.58428 .627 L
.58374 .62601 L
.58267 .62476 L
.5823 .62441 L
.58118 .6228 L
.58106 .62266 L
.57993 .6212 L
.57946 .62062 L
.57867 .61959 L
.57785 .61876 L
.57695 .61799 L
.57625 .61656 L
.57608 .61638 L
.57489 .61477 L
.57464 .61447 L
.57365 .61317 L
.57304 .61277 L
.5724 .61156 L
.57143 .61044 L
.57095 .60996 L
.56989 .60835 L
.56983 .60828 L
.56867 .60675 L
.56822 .60619 L
.56744 .60514 L
.56662 .60433 L
.56578 .60354 L
.56501 .60207 L
.56489 .60193 L
.56371 .60033 L
.56341 .59994 L
.5625 .59872 L
.5618 .59827 L
.56126 .59712 L
.5602 .59585 L
.55988 .59551 L
.55878 .59391 L
.55859 .59367 L
.55758 .5923 L
.55699 .59156 L
.55635 .5907 L
.55538 .58966 L
.55483 .58909 L
.55387 .58749 L
.55378 .58736 L
.55268 .58588 L
.55217 .58523 L
.55147 .58428 L
.55057 .58312 L
.55024 .58267 L
.549 .58106 L
.54896 .58101 L
.54783 .57946 L
.54735 .57886 L
.54664 .57785 L
.54575 .57672 L
.54542 .57625 L
.54419 .57464 L
.54414 .57459 L
.54304 .57304 L
.54254 .57239 L
.54188 .57143 L
.54093 .5702 L
.54068 .56983 L
.53951 .56822 L
.53933 .56798 L
.53844 .56662 L
.53772 .56566 L
.53733 .56501 L
F
0 .68 1 r
.53772 .53512 m
.53917 .53612 L
.53933 .53625 L
.54078 .53772 L
.54093 .53788 L
.54219 .53933 L
.54254 .53973 L
.54351 .54093 L
.54414 .5417 L
.54479 .54254 L
.54575 .54358 L
.54629 .54414 L
.54724 .54575 L
.54735 .5459 L
.54838 .54735 L
.54896 .54817 L
.54949 .54896 L
.55051 .55057 L
.55057 .55066 L
.55115 .55217 L
.55057 .55247 L
.55016 .55217 L
.54896 .55118 L
.54836 .55057 L
.54735 .54983 L
.54686 .54896 L
.54575 .54778 L
.54515 .54735 L
.54414 .54577 L
.54412 .54575 L
.54286 .54414 L
.54254 .54374 L
.54162 .54254 L
.54093 .54164 L
.54041 .54093 L
.53933 .53952 L
.5392 .53933 L
.53821 .53772 L
.53772 .5369 L
.53733 .53612 L
F
0 .18 1 r
.53772 .47936 m
.53818 .47993 L
.53933 .48119 L
.5396 .48154 L
.54093 .4831 L
.54097 .48314 L
.54224 .48475 L
.54254 .48509 L
.54351 .48636 L
.54414 .48709 L
.54481 .48796 L
.54575 .4891 L
.5461 .48957 L
.54735 .49112 L
.54739 .49117 L
.54861 .49278 L
.54896 .4932 L
.54984 .49438 L
.55057 .49528 L
.55108 .49599 L
.55217 .49736 L
.55234 .49759 L
.55355 .4992 L
.55378 .49948 L
.55472 .5008 L
.55538 .50163 L
.55593 .50241 L
.55699 .50378 L
.55715 .50401 L
.55699 .50555 L
.55577 .50401 L
.55538 .50358 L
.55448 .50241 L
.55378 .50159 L
.55317 .5008 L
.55217 .49959 L
.55187 .4992 L
.55058 .49759 L
.55057 .49757 L
.54937 .49599 L
.54896 .4955 L
.54813 .49438 L
.54735 .49343 L
.54687 .49278 L
.54575 .49136 L
.54561 .49117 L
.54441 .48957 L
.54414 .48924 L
.54323 .48796 L
.54254 .4871 L
.54201 .48636 L
.54093 .48496 L
.54078 .48475 L
.53964 .48314 L
.53933 .48275 L
.53854 .48154 L
.53772 .48047 L
.53739 .47993 L
F
1 .51 0 r
.53772 .47267 m
.5385 .47351 L
.53933 .47435 L
.54 .47512 L
.54093 .47615 L
.54142 .47672 L
.54254 .47773 L
.54281 .47833 L
.54414 .47991 L
.54418 .47993 L
.54548 .48154 L
.54575 .48186 L
.54679 .48314 L
.54735 .48381 L
.54811 .48475 L
.54896 .48558 L
.54941 .48636 L
.55057 .48776 L
.55077 .48796 L
.55198 .48957 L
.55217 .48979 L
.55326 .49117 L
.55378 .49181 L
.55453 .49278 L
.55538 .49372 L
.5561 .49438 L
.55699 .49586 L
.55709 .49599 L
.55832 .49759 L
.55859 .49793 L
.55957 .4992 L
.5602 .49971 L
.56083 .5008 L
.5618 .50198 L
.56219 .50241 L
.56333 .50401 L
.56341 .50411 L
.56456 .50562 L
.56501 .50619 L
.5658 .50722 L
.56662 .50812 L
.56732 .50883 L
.56822 .51035 L
.5683 .51043 L
.5695 .51204 L
.56983 .51246 L
.57072 .51364 L
.57143 .51424 L
.57195 .51525 L
.57304 .51662 L
.57324 .51686 L
.57438 .51846 L
.57464 .5188 L
.57558 .52007 L
.57625 .52093 L
.5768 .52167 L
.57785 .52296 L
.57814 .52328 L
.5792 .52488 L
.57946 .52522 L
.58038 .52649 L
.58106 .52739 L
.58157 .52809 L
.58267 .52944 L
.58277 .5297 L
.58391 .5313 L
.58428 .53179 L
.58504 .53291 L
.58588 .53404 L
.5862 .53451 L
.58732 .53612 L
.58749 .53635 L
.58832 .53772 L
.58909 .53887 L
.58933 .53933 L
.58909 .53986 L
.58857 .53933 L
.58749 .53828 L
.587 .53772 L
.58588 .53651 L
.58555 .53612 L
.58428 .53477 L
.58415 .53451 L
.5828 .53291 L
.58267 .53276 L
.58147 .5313 L
.58106 .53083 L
.58015 .5297 L
.57946 .52888 L
.57882 .52809 L
.57785 .52705 L
.57706 .52649 L
.57625 .52493 L
.5762 .52488 L
.57494 .52328 L
.57464 .52292 L
.57366 .52167 L
.57304 .52128 L
.57238 .52007 L
.57143 .51896 L
.57091 .51846 L
.56984 .51686 L
.56983 .51684 L
.56859 .51525 L
.56822 .51479 L
.56734 .51364 L
.56662 .51295 L
.56555 .51204 L
.56501 .51072 L
.56476 .51043 L
.56358 .50883 L
.56341 .50861 L
.56235 .50722 L
.5618 .50698 L
.5611 .50562 L
.5602 .50457 L
.55967 .50401 L
.55862 .50241 L
.55859 .50237 L
.55741 .5008 L
.55699 .50027 L
.55618 .4992 L
.55538 .49842 L
.55452 .49759 L
.55378 .49609 L
.55369 .49599 L
.55251 .49438 L
.55217 .49394 L
.55131 .49278 L
.55057 .49182 L
.55009 .49117 L
.54896 .48975 L
.5488 .48957 L
.54768 .48796 L
.54735 .48754 L
.5465 .48636 L
.54575 .48538 L
.5453 .48475 L
.54414 .48327 L
.54403 .48314 L
.54295 .48154 L
.54254 .481 L
.5418 .47993 L
.54093 .47877 L
.54063 .47833 L
.5395 .47672 L
.53933 .47649 L
.53846 .47512 L
.53772 .47407 L
.5374 .47351 L
F
0 .67 1 r
.53772 .53525 m
.53908 .53612 L
.53933 .53632 L
.54072 .53772 L
.54093 .53794 L
.54214 .53933 L
.54254 .53978 L
.54347 .54093 L
.54414 .54175 L
.54476 .54254 L
.54575 .54364 L
.54623 .54414 L
.5472 .54575 L
.54735 .54595 L
.54834 .54735 L
.54896 .54824 L
.54944 .54896 L
.55044 .55057 L
.55057 .5508 L
.55097 .55217 L
.55057 .55233 L
.55033 .55217 L
.54896 .5511 L
.54843 .55057 L
.54735 .54975 L
.54691 .54896 L
.54575 .54772 L
.54523 .54735 L
.54417 .54575 L
.54414 .54572 L
.5429 .54414 L
.54254 .54369 L
.54166 .54254 L
.54093 .54159 L
.54045 .54093 L
.53933 .53942 L
.53927 .53933 L
.53827 .53772 L
.53772 .53678 L
.53741 .53612 L
F
1 .57 0 r
.53772 .54122 m
.5387 .54254 L
.53933 .54334 L
.53984 .54414 L
.53933 .54477 L
.53879 .54414 L
.53772 .54294 L
.53741 .54254 L
F
1 .98 .538 r
.53772 .53053 m
.53933 .53036 L
.54093 .53047 L
.5423 .5313 L
.54254 .53165 L
.54354 .53291 L
.54414 .53358 L
.54465 .53451 L
.54575 .53564 L
.54611 .53612 L
.54734 .53772 L
.54735 .53774 L
.54862 .53933 L
.54896 .53989 L
.54972 .54093 L
.55057 .54206 L
.55074 .54254 L
.55217 .5441 L
.55229 .54414 L
.55361 .54575 L
.55378 .54606 L
.55473 .54735 L
.55538 .54817 L
.5558 .54896 L
.55699 .5503 L
.55721 .55057 L
.55857 .55217 L
.55859 .55239 L
.55972 .55378 L
.5602 .55452 L
.56079 .55538 L
.5618 .55665 L
.56187 .55699 L
.56319 .55859 L
.5618 .56018 L
.5602 .56001 L
.55859 .55889 L
.55849 .55859 L
.55702 .55699 L
.55699 .55692 L
.55557 .55538 L
.55538 .55471 L
.55447 .55378 L
.55378 .55252 L
.55338 .55217 L
.55217 .55077 L
.55201 .55057 L
.55078 .54896 L
.55057 .54869 L
.54944 .54735 L
.54896 .54657 L
.54835 .54575 L
.54735 .54445 L
.54724 .54414 L
.54585 .54254 L
.54575 .54249 L
.5444 .54093 L
.54414 .54045 L
.54335 .53933 L
.54254 .53829 L
.54225 .53772 L
.54094 .53612 L
.54093 .53611 L
.53973 .53451 L
.53933 .53396 L
.53838 .53291 L
.53772 .5317 L
.53743 .5313 L
F
.005 .83 1 r
.53772 .46602 m
.53882 .46709 L
.53933 .46758 L
.54036 .4687 L
.54093 .46929 L
.54183 .4703 L
.54254 .47109 L
.54325 .47191 L
.54414 .47284 L
.54464 .47351 L
.54575 .47482 L
.54607 .47512 L
.54734 .47672 L
.54735 .47674 L
.54867 .47833 L
.54896 .47854 L
.55 .47993 L
.55057 .4806 L
.55156 .48154 L
.55217 .48263 L
.55261 .48314 L
.55378 .48463 L
.55385 .48475 L
.55519 .48636 L
.55538 .48655 L
.55694 .48796 L
.55699 .4886 L
.55782 .48957 L
.55859 .49067 L
.55895 .49117 L
.5602 .49269 L
.56021 .49278 L
.56155 .49438 L
.5618 .49467 L
.56299 .49599 L
.56341 .49676 L
.56406 .49759 L
.56501 .49885 L
.56521 .4992 L
.56658 .5008 L
.56662 .50084 L
.56815 .50241 L
.56822 .50289 L
.56915 .50401 L
.56983 .505 L
.57025 .50562 L
.57143 .50708 L
.57146 .50722 L
.57281 .50883 L
.57304 .50908 L
.57423 .51043 L
.57464 .51119 L
.57529 .51204 L
.57625 .5133 L
.57643 .51364 L
.57777 .51525 L
.57785 .51532 L
.57934 .51686 L
.57946 .51739 L
.58032 .51846 L
.58106 .51953 L
.58142 .52007 L
.58267 .52162 L
.58268 .52167 L
.58394 .52328 L
.58428 .52362 L
.58537 .52488 L
.58588 .52577 L
.58642 .52649 L
.58749 .5279 L
.58758 .52809 L
.58886 .5297 L
.58909 .52986 L
.59047 .5313 L
.5907 .53201 L
.59141 .53291 L
.5923 .53418 L
.59252 .53451 L
.59376 .53612 L
.59391 .5363 L
.59498 .53772 L
.59551 .53826 L
.59641 .53933 L
.59712 .54049 L
.59744 .54093 L
.59864 .54254 L
.59872 .54265 L
.59984 .54414 L
.60033 .54449 L
.60147 .54575 L
.60193 .54681 L
.60235 .54735 L
.60348 .54896 L
.60354 .54904 L
.60466 .55057 L
.60514 .5512 L
.60586 .55217 L
.60675 .55319 L
.60721 .55378 L
.60825 .55538 L
.60835 .55551 L
.60941 .55699 L
.60996 .55772 L
.61058 .55859 L
.61156 .55971 L
.61195 .5602 L
.61291 .5618 L
.61317 .56216 L
.61402 .56341 L
.61477 .56446 L
.61514 .56501 L
.61624 .56662 L
.61638 .56682 L
.61721 .56822 L
.61799 .56949 L
.61814 .56983 L
.61799 .57041 L
.6173 .56983 L
.61638 .56903 L
.61562 .56822 L
.61477 .56736 L
.61412 .56662 L
.61317 .56593 L
.61267 .56501 L
.61156 .5638 L
.61095 .56341 L
.60996 .56187 L
.60989 .5618 L
.60856 .5602 L
.60835 .55996 L
.60723 .55859 L
.60675 .55817 L
.6059 .55699 L
.60514 .5561 L
.6044 .55538 L
.60354 .55407 L
.60328 .55378 L
.60199 .55217 L
.60193 .55216 L
.60071 .55057 L
.60033 .55016 L
.59902 .54896 L
.59872 .54809 L
.59808 .54735 L
.59712 .54603 L
.59692 .54575 L
.59561 .54414 L
.59551 .54407 L
.59435 .54254 L
.59391 .54202 L
.59291 .54093 L
.5923 .53992 L
.59184 .53933 L
.5907 .53786 L
.59063 .53772 L
.58933 .53612 L
.58909 .53588 L
.58774 .53451 L
.58749 .53378 L
.58676 .53291 L
.58588 .53167 L
.58563 .5313 L
.58433 .5297 L
.58428 .52966 L
.5831 .52809 L
.58267 .52761 L
.58168 .52649 L
.58106 .52548 L
.58061 .52488 L
.57946 .52338 L
.57941 .52328 L
.57814 .52167 L
.57785 .52141 L
.57656 .52007 L
.57625 .51928 L
.57559 .51846 L
.57464 .51714 L
.57446 .51686 L
.57319 .51525 L
.57304 .51518 L
.57197 .51364 L
.57143 .51306 L
.57055 .51204 L
.56983 .5109 L
.56949 .51043 L
.56826 .50883 L
.56822 .50878 L
.56705 .50722 L
.56662 .50686 L
.56546 .50562 L
.56501 .50465 L
.56451 .50401 L
.56341 .50248 L
.56336 .50241 L
.56214 .5008 L
.5618 .50068 L
.56093 .4992 L
.5602 .4984 L
.55952 .49759 L
.55859 .49617 L
.55846 .49599 L
.55726 .49438 L
.55699 .49403 L
.55605 .49278 L
.55538 .49216 L
.5545 .49117 L
.55378 .48984 L
.55356 .48957 L
.55241 .48796 L
.55217 .48765 L
.55122 .48636 L
.55057 .48551 L
.55001 .48475 L
.54896 .48346 L
.54871 .48314 L
.54761 .48154 L
.54735 .48121 L
.54644 .47993 L
.54575 .47903 L
.54525 .47833 L
.54414 .47694 L
.54397 .47672 L
.54291 .47512 L
.54254 .47462 L
.54178 .47351 L
.54093 .47236 L
.54063 .47191 L
.5395 .4703 L
.53933 .47006 L
.53848 .4687 L
.53772 .46758 L
.53745 .46709 L
F
0 .17 1 r
.53772 .47946 m
.5381 .47993 L
.53933 .48126 L
.53955 .48154 L
.53933 .48268 L
.5386 .48154 L
.53772 .48038 L
.53746 .47993 L
F
.024 .88 1 r
.53772 .57735 m
.53809 .57785 L
.53933 .5794 L
.53937 .57946 L
.53933 .58025 L
.53882 .57946 L
.53772 .57824 L
.53747 .57785 L
F
1 .5 0 r
.53772 .47281 m
.53839 .47351 L
.53933 .47443 L
.53993 .47512 L
.54093 .47621 L
.54137 .47672 L
.54254 .47783 L
.54276 .47833 L
.54412 .47993 L
.54414 .47997 L
.54544 .48154 L
.54575 .4819 L
.54676 .48314 L
.54735 .48386 L
.54807 .48475 L
.54896 .48563 L
.54938 .48636 L
.55057 .48779 L
.55073 .48796 L
.55196 .48957 L
.55217 .48982 L
.55323 .49117 L
.55378 .49184 L
.55451 .49278 L
.55538 .49375 L
.55607 .49438 L
.55699 .4959 L
.55707 .49599 L
.5583 .49759 L
.55859 .49795 L
.55955 .4992 L
.5602 .49974 L
.56081 .5008 L
.5618 .50201 L
.56217 .50241 L
.56331 .50401 L
.56341 .50414 L
.56454 .50562 L
.56501 .50622 L
.56578 .50722 L
.56662 .50815 L
.56729 .50883 L
.56822 .51038 L
.56827 .51043 L
.56947 .51204 L
.56983 .51249 L
.5707 .51364 L
.57143 .51427 L
.57193 .51525 L
.57304 .51666 L
.57321 .51686 L
.57436 .51846 L
.57464 .51883 L
.57556 .52007 L
.57625 .52096 L
.57677 .52167 L
.57785 .523 L
.5781 .52328 L
.57917 .52488 L
.57946 .52525 L
.58035 .52649 L
.58106 .52743 L
.58154 .52809 L
.58267 .52952 L
.58274 .5297 L
.58387 .5313 L
.58428 .53184 L
.585 .53291 L
.58588 .5341 L
.58616 .53451 L
.58725 .53612 L
.58749 .53644 L
.58824 .53772 L
.58909 .53906 L
.58921 .53933 L
.58909 .53966 L
.58873 .53933 L
.58749 .53818 L
.58708 .53772 L
.58588 .53644 L
.58561 .53612 L
.58428 .53467 L
.5842 .53451 L
.58285 .53291 L
.58267 .53271 L
.58151 .5313 L
.58106 .53079 L
.58018 .5297 L
.57946 .52884 L
.57886 .52809 L
.57785 .52701 L
.57712 .52649 L
.57625 .52489 L
.57624 .52488 L
.57497 .52328 L
.57464 .52288 L
.57369 .52167 L
.57304 .52125 L
.57241 .52007 L
.57143 .51893 L
.57094 .51846 L
.56986 .51686 L
.56983 .51681 L
.56862 .51525 L
.56822 .51476 L
.56736 .51364 L
.56662 .51292 L
.56558 .51204 L
.56501 .51069 L
.56478 .51043 L
.5636 .50883 L
.56341 .50859 L
.56237 .50722 L
.5618 .50696 L
.56112 .50562 L
.5602 .50454 L
.55969 .50401 L
.55864 .50241 L
.55859 .50235 L
.55743 .5008 L
.55699 .50024 L
.5562 .4992 L
.55538 .49839 L
.55455 .49759 L
.55378 .49606 L
.55372 .49599 L
.55254 .49438 L
.55217 .49391 L
.55133 .49278 L
.55057 .49179 L
.55011 .49117 L
.54896 .48971 L
.54884 .48957 L
.54771 .48796 L
.54735 .4875 L
.54653 .48636 L
.54575 .48534 L
.54532 .48475 L
.54414 .4832 L
.54409 .48314 L
.54299 .48154 L
.54254 .48095 L
.54184 .47993 L
.54093 .47871 L
.54067 .47833 L
.53956 .47672 L
.53933 .47641 L
.53853 .47512 L
.53772 .47395 L
.53748 .47351 L
F
0 .66 1 r
.53772 .53541 m
.53897 .53612 L
.53933 .5364 L
.54066 .53772 L
.54093 .538 L
.54209 .53933 L
.54254 .53983 L
.54343 .54093 L
.54414 .5418 L
.54472 .54254 L
.54575 .5437 L
.54617 .54414 L
.54716 .54575 L
.54735 .54601 L
.54829 .54735 L
.54896 .54831 L
.54939 .54896 L
.55035 .55057 L
.54896 .55102 L
.54851 .55057 L
.54735 .54967 L
.54696 .54896 L
.54575 .54766 L
.54532 .54735 L
.54421 .54575 L
.54414 .54567 L
.54294 .54414 L
.54254 .54364 L
.5417 .54254 L
.54093 .54154 L
.54049 .54093 L
.53934 .53933 L
.53933 .53932 L
.53833 .53772 L
.53772 .53664 L
.5375 .53612 L
F
1 .56 0 r
.53772 .54135 m
.53859 .54254 L
.53933 .54349 L
.53972 .54414 L
.53933 .54462 L
.53891 .54414 L
.53772 .54282 L
.5375 .54254 L
F
0 .16 1 r
.53772 .47958 m
.53801 .47993 L
.53933 .48133 L
.53949 .48154 L
.53933 .48259 L
.53868 .48154 L
.53772 .48026 L
.53754 .47993 L
F
1 .49 0 r
.53772 .47298 m
.53826 .47351 L
.53933 .47452 L
.53985 .47512 L
.54093 .47628 L
.54131 .47672 L
.54254 .47793 L
.54271 .47833 L
.54407 .47993 L
.54414 .48002 L
.54539 .48154 L
.54575 .48195 L
.54672 .48314 L
.54735 .4839 L
.54804 .48475 L
.54896 .48567 L
.54935 .48636 L
.55057 .48784 L
.55069 .48796 L
.55193 .48957 L
.55217 .48986 L
.5532 .49117 L
.55378 .49187 L
.55448 .49278 L
.55538 .49379 L
.55603 .49438 L
.55699 .49593 L
.55704 .49599 L
.55828 .49759 L
.55859 .49798 L
.55953 .4992 L
.5602 .49977 L
.56079 .5008 L
.5618 .50204 L
.56214 .50241 L
.56329 .50401 L
.56341 .50416 L
.56452 .50562 L
.56501 .50625 L
.56576 .50722 L
.56662 .50818 L
.56726 .50883 L
.56822 .51041 L
.56825 .51043 L
.56945 .51204 L
.56983 .51252 L
.57067 .51364 L
.57143 .5143 L
.57191 .51525 L
.57304 .51669 L
.57318 .51686 L
.57433 .51846 L
.57464 .51886 L
.57554 .52007 L
.57625 .52099 L
.57675 .52167 L
.57785 .52305 L
.57806 .52328 L
.57914 .52488 L
.57946 .52529 L
.58032 .52649 L
.58106 .52747 L
.58151 .52809 L
.58267 .5296 L
.58271 .5297 L
.58383 .5313 L
.58428 .5319 L
.58496 .53291 L
.58588 .53417 L
.58611 .53451 L
.58718 .53612 L
.58749 .53655 L
.58814 .53772 L
.58749 .53808 L
.58717 .53772 L
.58588 .53636 L
.58567 .53612 L
.58428 .53457 L
.58425 .53451 L
.5829 .53291 L
.58267 .53266 L
.58156 .5313 L
.58106 .53074 L
.58022 .5297 L
.57946 .5288 L
.57889 .52809 L
.57785 .52696 L
.57719 .52649 L
.57627 .52488 L
.57625 .52485 L
.575 .52328 L
.57464 .52285 L
.57372 .52167 L
.57304 .52122 L
.57243 .52007 L
.57143 .51889 L
.57098 .51846 L
.56989 .51686 L
.56983 .51678 L
.56864 .51525 L
.56822 .51473 L
.56738 .51364 L
.56662 .51289 L
.56562 .51204 L
.56501 .51066 L
.56481 .51043 L
.56362 .50883 L
.56341 .50856 L
.56239 .50722 L
.5618 .50694 L
.56114 .50562 L
.5602 .50451 L
.55972 .50401 L
.55866 .50241 L
.55859 .50232 L
.55745 .5008 L
.55699 .50022 L
.55622 .4992 L
.55538 .49835 L
.55458 .49759 L
.55378 .49602 L
.55374 .49599 L
.55256 .49438 L
.55217 .49389 L
.55135 .49278 L
.55057 .49176 L
.55013 .49117 L
.54896 .48966 L
.54887 .48957 L
.54774 .48796 L
.54735 .48747 L
.54655 .48636 L
.54575 .4853 L
.54535 .48475 L
.54415 .48314 L
.54414 .48314 L
.54302 .48154 L
.54254 .4809 L
.54188 .47993 L
.54093 .47865 L
.54071 .47833 L
.53962 .47672 L
.53933 .47633 L
.5386 .47512 L
.53772 .4738 L
.53758 .47351 L
F
0 .65 1 r
.53772 .53561 m
.53884 .53612 L
.53933 .53648 L
.5406 .53772 L
.54093 .53806 L
.54205 .53933 L
.54254 .53988 L
.54339 .54093 L
.54414 .54184 L
.54468 .54254 L
.54575 .54377 L
.5461 .54414 L
.54712 .54575 L
.54735 .54606 L
.54825 .54735 L
.54896 .54838 L
.54934 .54896 L
.55026 .55057 L
.54896 .55093 L
.54859 .55057 L
.54735 .54958 L
.54702 .54896 L
.54575 .54759 L
.54541 .54735 L
.54425 .54575 L
.54414 .54562 L
.54298 .54414 L
.54254 .54359 L
.54174 .54254 L
.54093 .54148 L
.54053 .54093 L
.53939 .53933 L
.53933 .53925 L
.53839 .53772 L
.53772 .53647 L
.53759 .53612 L
F
1 .55 0 r
.53772 .54151 m
.53845 .54254 L
.53933 .54368 L
.53958 .54414 L
.53933 .54444 L
.53906 .54414 L
.53772 .54269 L
.5376 .54254 L
F
1 .13 0 r
.53772 .48629 m
.53776 .48636 L
.53772 .48653 L
.53762 .48636 L
F
.004 .82 1 r
.53772 .4664 m
.53854 .46709 L
.53933 .46778 L
.5402 .4687 L
.54093 .46945 L
.5417 .4703 L
.54254 .47122 L
.54315 .47191 L
.54414 .47296 L
.54455 .47351 L
.54575 .47492 L
.54597 .47512 L
.54726 .47672 L
.54735 .47683 L
.5486 .47833 L
.54896 .47859 L
.54994 .47993 L
.55057 .48066 L
.55151 .48154 L
.55217 .48269 L
.55256 .48314 L
.55378 .48468 L
.55382 .48475 L
.55514 .48636 L
.55538 .4866 L
.55693 .48796 L
.55699 .48865 L
.55779 .48957 L
.55859 .49072 L
.55892 .49117 L
.5602 .49273 L
.56021 .49278 L
.56152 .49438 L
.5618 .49471 L
.56297 .49599 L
.56341 .4968 L
.56403 .49759 L
.56501 .49888 L
.56519 .4992 L
.56655 .5008 L
.56662 .50087 L
.56814 .50241 L
.56822 .50293 L
.56912 .50401 L
.56983 .50504 L
.57023 .50562 L
.57143 .50711 L
.57145 .50722 L
.57279 .50883 L
.57304 .5091 L
.57421 .51043 L
.57464 .51122 L
.57527 .51204 L
.57625 .51333 L
.57641 .51364 L
.57775 .51525 L
.57785 .51533 L
.57933 .51686 L
.57946 .51742 L
.5803 .51846 L
.58106 .51955 L
.5814 .52007 L
.58267 .52164 L
.58267 .52167 L
.58392 .52328 L
.58428 .52364 L
.58535 .52488 L
.58588 .52579 L
.5864 .52649 L
.58749 .52792 L
.58757 .52809 L
.58884 .5297 L
.58909 .52988 L
.59046 .5313 L
.5907 .53204 L
.59139 .53291 L
.5923 .53421 L
.5925 .53451 L
.59374 .53612 L
.59391 .53634 L
.59495 .53772 L
.59551 .53829 L
.59639 .53933 L
.59712 .54052 L
.59742 .54093 L
.59861 .54254 L
.59872 .54269 L
.59981 .54414 L
.60033 .54452 L
.60144 .54575 L
.60193 .54686 L
.60231 .54735 L
.60344 .54896 L
.60354 .54909 L
.60462 .55057 L
.60514 .55125 L
.60582 .55217 L
.60675 .55326 L
.60716 .55378 L
.6082 .55538 L
.60835 .55558 L
.60936 .55699 L
.60996 .55779 L
.61053 .55859 L
.61156 .55984 L
.61184 .5602 L
.61283 .5618 L
.61317 .56227 L
.61394 .56341 L
.61477 .56459 L
.61505 .56501 L
.6161 .56662 L
.61638 .56703 L
.61701 .56822 L
.61638 .56879 L
.61583 .56822 L
.61477 .56719 L
.61426 .56662 L
.61317 .56575 L
.61279 .56501 L
.61156 .56368 L
.61114 .56341 L
.60999 .5618 L
.60996 .56177 L
.60864 .5602 L
.60835 .55987 L
.6073 .55859 L
.60675 .55811 L
.60596 .55699 L
.60514 .55603 L
.60446 .55538 L
.60354 .55401 L
.60333 .55378 L
.60204 .55217 L
.60193 .55214 L
.60075 .55057 L
.60033 .55011 L
.59905 .54896 L
.59872 .54804 L
.59812 .54735 L
.59712 .54599 L
.59695 .54575 L
.59565 .54414 L
.59551 .54404 L
.59438 .54254 L
.59391 .54198 L
.59294 .54093 L
.5923 .53989 L
.59186 .53933 L
.5907 .53783 L
.59064 .53772 L
.58935 .53612 L
.58909 .53586 L
.58776 .53451 L
.58749 .53375 L
.58678 .53291 L
.58588 .53165 L
.58565 .5313 L
.58436 .5297 L
.58428 .52965 L
.58312 .52809 L
.58267 .52759 L
.5817 .52649 L
.58106 .52546 L
.58063 .52488 L
.57946 .52336 L
.57942 .52328 L
.57816 .52167 L
.57785 .52139 L
.57658 .52007 L
.57625 .51925 L
.57561 .51846 L
.57464 .51712 L
.57447 .51686 L
.57321 .51525 L
.57304 .51517 L
.57199 .51364 L
.57143 .51304 L
.57057 .51204 L
.56983 .51087 L
.5695 .51043 L
.56828 .50883 L
.56822 .50875 L
.56707 .50722 L
.56662 .50683 L
.56548 .50562 L
.56501 .50462 L
.56453 .50401 L
.56341 .50245 L
.56338 .50241 L
.56217 .5008 L
.5618 .50067 L
.56095 .4992 L
.5602 .49837 L
.55955 .49759 L
.55859 .49614 L
.55848 .49599 L
.55729 .49438 L
.55699 .494 L
.55608 .49278 L
.55538 .49213 L
.55454 .49117 L
.55378 .4898 L
.5536 .48957 L
.55244 .48796 L
.55217 .48761 L
.55125 .48636 L
.55057 .48546 L
.55004 .48475 L
.54896 .48339 L
.54876 .48314 L
.54765 .48154 L
.54735 .48115 L
.54648 .47993 L
.54575 .47897 L
.5453 .47833 L
.54414 .47683 L
.54406 .47672 L
.54298 .47512 L
.54254 .47453 L
.54185 .47351 L
.54093 .47226 L
.5407 .47191 L
.53961 .4703 L
.53933 .4699 L
.53862 .4687 L
.53772 .46728 L
.53764 .46709 L
F
1 .94 .156 r
.53772 .57096 m
.53816 .57143 L
.53933 .57264 L
.53967 .57304 L
.54093 .57448 L
.54107 .57464 L
.5424 .57625 L
.54254 .5764 L
.54371 .57785 L
.54414 .57835 L
.54503 .57946 L
.54575 .58032 L
.54634 .58106 L
.54735 .58232 L
.54764 .58267 L
.54891 .58428 L
.54896 .58434 L
.55016 .58588 L
.55057 .58638 L
.55142 .58749 L
.55217 .58843 L
.55268 .58909 L
.55378 .59026 L
.55393 .5907 L
.55515 .5923 L
.55538 .59259 L
.55637 .59391 L
.55699 .59469 L
.5576 .59551 L
.55859 .59681 L
.55883 .59712 L
.56001 .59872 L
.5602 .59896 L
.56118 .60033 L
.5618 .60114 L
.56237 .60193 L
.56341 .60333 L
.56356 .60354 L
.56465 .60514 L
.56501 .60562 L
.56573 .60675 L
.56662 .60803 L
.5668 .60835 L
.56662 .60871 L
.56633 .60835 L
.56501 .60702 L
.5648 .60675 L
.56341 .60517 L
.56339 .60514 L
.56209 .60354 L
.5618 .60321 L
.56081 .60193 L
.5602 .60123 L
.55951 .60033 L
.55859 .59925 L
.5582 .59872 L
.55699 .59725 L
.55689 .59712 L
.55564 .59551 L
.55538 .59521 L
.55441 .59391 L
.55378 .59314 L
.55315 .5923 L
.55217 .59109 L
.55188 .5907 L
.55061 .58909 L
.55057 .58904 L
.54942 .58749 L
.54896 .58692 L
.54821 .58588 L
.54735 .58482 L
.54697 .58428 L
.54575 .58273 L
.54571 .58267 L
.54454 .58106 L
.54414 .58057 L
.54337 .57946 L
.54254 .5784 L
.54217 .57785 L
.54093 .57625 L
.54093 .57625 L
.53986 .57464 L
.53933 .57395 L
.53878 .57304 L
.53772 .57159 L
.53764 .57143 L
F
0 .15 1 r
.53772 .47975 m
.53787 .47993 L
.53933 .48141 L
.53943 .48154 L
.53933 .4825 L
.53877 .48154 L
.53772 .4801 L
.53765 .47993 L
F
1 .97 .395 r
.53772 .53094 m
.53933 .53053 L
.54093 .53075 L
.54208 .5313 L
.54254 .53186 L
.54342 .53291 L
.54414 .53371 L
.54458 .53451 L
.54575 .53573 L
.54605 .53612 L
.54729 .53772 L
.54735 .53781 L
.54858 .53933 L
.54896 .53995 L
.54968 .54093 L
.55057 .5421 L
.55072 .54254 L
.55217 .54412 L
.55225 .54414 L
.55359 .54575 L
.55378 .5461 L
.5547 .54735 L
.55538 .54822 L
.55577 .54896 L
.55699 .55035 L
.55717 .55057 L
.55857 .55217 L
.55859 .55246 L
.55967 .55378 L
.5602 .55461 L
.56072 .55538 L
.5618 .55679 L
.56184 .55699 L
.56296 .55859 L
.5618 .55993 L
.5602 .55973 L
.55859 .5586 L
.55859 .55859 L
.55714 .55699 L
.55699 .55671 L
.55562 .55538 L
.55538 .5546 L
.55452 .55378 L
.55378 .55247 L
.55341 .55217 L
.55217 .55072 L
.55205 .55057 L
.55082 .54896 L
.55057 .54865 L
.54946 .54735 L
.54896 .54653 L
.54838 .54575 L
.54735 .54442 L
.54725 .54414 L
.54588 .54254 L
.54575 .54247 L
.54442 .54093 L
.54414 .54042 L
.54338 .53933 L
.54254 .53824 L
.54228 .53772 L
.54098 .53612 L
.54093 .53605 L
.53979 .53451 L
.53933 .53386 L
.53847 .53291 L
.53772 .5314 L
.53766 .5313 L
F
1 .48 0 r
.53772 .47326 m
.53806 .47351 L
.53933 .47462 L
.53977 .47512 L
.54093 .47635 L
.54125 .47672 L
.54254 .47804 L
.54266 .47833 L
.54402 .47993 L
.54414 .48007 L
.54535 .48154 L
.54575 .482 L
.54668 .48314 L
.54735 .48394 L
.54801 .48475 L
.54896 .48572 L
.54932 .48636 L
.55057 .48788 L
.55065 .48796 L
.5519 .48957 L
.55217 .48989 L
.55318 .49117 L
.55378 .49191 L
.55446 .49278 L
.55538 .49382 L
.556 .49438 L
.55699 .49596 L
.55701 .49599 L
.55825 .49759 L
.55859 .49801 L
.55951 .4992 L
.5602 .49979 L
.56077 .5008 L
.5618 .50207 L
.56211 .50241 L
.56326 .50401 L
.56341 .50419 L
.56449 .50562 L
.56501 .50627 L
.56574 .50722 L
.56662 .50821 L
.56723 .50883 L
.56822 .51043 L
.56822 .51044 L
.56943 .51204 L
.56983 .51255 L
.57065 .51364 L
.57143 .51433 L
.57189 .51525 L
.57304 .51673 L
.57315 .51686 L
.57431 .51846 L
.57464 .51889 L
.57551 .52007 L
.57625 .52102 L
.57673 .52167 L
.57785 .5231 L
.57802 .52328 L
.57911 .52488 L
.57946 .52533 L
.58029 .52649 L
.58106 .52751 L
.58148 .52809 L
.58267 .52968 L
.58268 .5297 L
.58379 .5313 L
.58428 .53195 L
.58492 .53291 L
.58588 .53423 L
.58606 .53451 L
.5871 .53612 L
.58749 .53667 L
.58803 .53772 L
.58749 .53796 L
.58727 .53772 L
.58588 .53629 L
.58573 .53612 L
.58431 .53451 L
.58428 .53448 L
.58295 .53291 L
.58267 .5326 L
.5816 .5313 L
.58106 .53069 L
.58026 .5297 L
.57946 .52876 L
.57892 .52809 L
.57785 .52691 L
.57725 .52649 L
.5763 .52488 L
.57625 .52482 L
.57503 .52328 L
.57464 .52281 L
.57374 .52167 L
.57304 .52118 L
.57246 .52007 L
.57143 .51886 L
.57101 .51846 L
.56991 .51686 L
.56983 .51675 L
.56866 .51525 L
.56822 .51471 L
.5674 .51364 L
.56662 .51286 L
.56565 .51204 L
.56501 .51063 L
.56484 .51043 L
.56365 .50883 L
.56341 .50853 L
.56241 .50722 L
.5618 .50692 L
.56116 .50562 L
.5602 .50448 L
.55975 .50401 L
.55868 .50241 L
.55859 .50229 L
.55747 .5008 L
.55699 .50019 L
.55624 .4992 L
.55538 .49832 L
.55462 .49759 L
.55378 .49599 L
.55377 .49599 L
.55258 .49438 L
.55217 .49386 L
.55137 .49278 L
.55057 .49173 L
.55015 .49117 L
.54896 .48962 L
.54891 .48957 L
.54776 .48796 L
.54735 .48743 L
.54658 .48636 L
.54575 .48526 L
.54538 .48475 L
.54418 .48314 L
.54414 .48309 L
.54306 .48154 L
.54254 .48085 L
.54192 .47993 L
.54093 .4786 L
.54076 .47833 L
.53968 .47672 L
.53933 .47623 L
.53868 .47512 L
.53772 .47358 L
.5377 .47351 L
F
0 .64 1 r
.53772 .53592 m
.53868 .53612 L
.53933 .53656 L
.54054 .53772 L
.54093 .53812 L
.542 .53933 L
.54254 .53993 L
.54335 .54093 L
.54414 .54189 L
.54465 .54254 L
.54575 .54384 L
.54604 .54414 L
.54708 .54575 L
.54735 .54612 L
.5482 .54735 L
.54896 .54845 L
.54928 .54896 L
.55016 .55057 L
.54896 .55084 L
.54867 .55057 L
.54735 .54948 L
.54707 .54896 L
.54575 .54752 L
.5455 .54735 L
.5443 .54575 L
.54414 .54557 L
.54302 .54414 L
.54254 .54354 L
.54178 .54254 L
.54093 .54143 L
.54057 .54093 L
.53944 .53933 L
.53933 .53917 L
.53845 .53772 L
.53772 .53621 L
.5377 .53612 L
F
1 .96 .289 r
.53933 .53071 m
.54093 .53098 L
.54178 .5313 L
.54254 .53205 L
.54331 .53291 L
.54414 .53383 L
.54452 .53451 L
.54575 .53582 L
.54599 .53612 L
.54724 .53772 L
.54735 .53788 L
.54855 .53933 L
.54896 .54001 L
.54965 .54093 L
.55057 .54214 L
.5507 .54254 L
.55217 .54413 L
.55222 .54414 L
.55357 .54575 L
.55378 .54614 L
.55467 .54735 L
.55538 .54827 L
.55574 .54896 L
.55699 .5504 L
.55712 .55057 L
.55856 .55217 L
.55859 .55253 L
.55962 .55378 L
.5602 .5547 L
.56066 .55538 L
.5618 .55694 L
.56181 .55699 L
.56273 .55859 L
.5618 .55969 L
.5602 .55949 L
.55882 .55859 L
.55859 .55841 L
.55725 .55699 L
.55699 .55652 L
.55566 .55538 L
.55538 .5545 L
.55458 .55378 L
.55378 .55242 L
.55345 .55217 L
.55217 .55067 L
.55209 .55057 L
.55086 .54896 L
.55057 .5486 L
.54949 .54735 L
.54896 .54649 L
.54841 .54575 L
.54735 .54439 L
.54726 .54414 L
.54591 .54254 L
.54575 .54246 L
.54444 .54093 L
.54414 .54038 L
.54341 .53933 L
.54254 .53819 L
.5423 .53772 L
.54103 .53612 L
.54093 .53598 L
.53986 .53451 L
.53933 .53375 L
.53857 .53291 L
.53794 .5313 L
F
1 .95 .212 r
.53933 .53088 m
.54093 .53119 L
.54132 .5313 L
.54254 .53222 L
.54319 .53291 L
.54414 .53394 L
.54446 .53451 L
.54575 .5359 L
.54592 .53612 L
.54719 .53772 L
.54735 .53795 L
.54851 .53933 L
.54896 .54006 L
.54961 .54093 L
.55057 .54218 L
.55069 .54254 L
.55217 .54414 L
.55218 .54414 L
.55354 .54575 L
.55378 .54618 L
.55463 .54735 L
.55538 .54832 L
.55571 .54896 L
.55699 .55045 L
.55708 .55057 L
.55856 .55217 L
.55859 .5526 L
.55957 .55378 L
.5602 .55479 L
.56059 .55538 L
.56171 .55699 L
.5618 .55714 L
.56249 .55859 L
.5618 .55943 L
.5602 .55927 L
.55907 .55859 L
.55859 .55824 L
.55737 .55699 L
.55699 .55635 L
.55571 .55538 L
.55538 .55441 L
.55463 .55378 L
.55378 .55238 L
.55348 .55217 L
.55217 .55061 L
.55213 .55057 L
.55089 .54896 L
.55057 .54856 L
.54952 .54735 L
.54896 .54645 L
.54843 .54575 L
.54735 .54435 L
.54727 .54414 L
.54594 .54254 L
.54575 .54244 L
.54446 .54093 L
.54414 .54034 L
.54344 .53933 L
.54254 .53813 L
.54233 .53772 L
.54108 .53612 L
.54093 .53591 L
.53992 .53451 L
.53933 .53364 L
.53867 .53291 L
.53825 .5313 L
F
0 .63 1 r
.53933 .53664 m
.54047 .53772 L
.54093 .53818 L
.54195 .53933 L
.54254 .53999 L
.54331 .54093 L
.54414 .54194 L
.54461 .54254 L
.54575 .54391 L
.54597 .54414 L
.54703 .54575 L
.54735 .54618 L
.54815 .54735 L
.54896 .54853 L
.54923 .54896 L
.55005 .55057 L
.54896 .55075 L
.54876 .55057 L
.54735 .54938 L
.54713 .54896 L
.54575 .54745 L
.5456 .54735 L
.54435 .54575 L
.54414 .54551 L
.54306 .54414 L
.54254 .54349 L
.54182 .54254 L
.54093 .54138 L
.54061 .54093 L
.53949 .53933 L
.53933 .53909 L
.53851 .53772 L
F
0 .62 1 r
.53933 .53673 m
.54039 .53772 L
.54093 .53824 L
.5419 .53933 L
.54254 .54004 L
.54327 .54093 L
.54414 .54199 L
.54457 .54254 L
.54575 .54399 L
.5459 .54414 L
.54699 .54575 L
.54735 .54625 L
.54811 .54735 L
.54896 .54862 L
.54917 .54896 L
.54992 .55057 L
.54896 .55065 L
.54886 .55057 L
.54735 .54927 L
.54719 .54896 L
.54575 .54738 L
.54571 .54735 L
.54439 .54575 L
.54414 .54546 L
.54311 .54414 L
.54254 .54344 L
.54186 .54254 L
.54093 .54132 L
.54065 .54093 L
.53954 .53933 L
.53933 .53901 L
.53858 .53772 L
F
1 .94 .156 r
.53933 .53106 m
.54075 .5313 L
.54093 .53135 L
.54254 .53238 L
.54307 .53291 L
.54414 .53405 L
.5444 .53451 L
.54575 .53598 L
.54586 .53612 L
.54714 .53772 L
.54735 .53801 L
.54848 .53933 L
.54896 .54011 L
.54958 .54093 L
.55057 .54222 L
.55067 .54254 L
.55214 .54414 L
.55217 .54417 L
.55352 .54575 L
.55378 .54622 L
.5546 .54735 L
.55538 .54836 L
.55568 .54896 L
.55699 .5505 L
.55704 .55057 L
.55855 .55217 L
.55859 .55267 L
.55951 .55378 L
.5602 .55489 L
.56052 .55538 L
.56159 .55699 L
.5618 .55739 L
.56223 .55859 L
.5618 .55915 L
.5602 .55906 L
.55934 .55859 L
.55859 .55808 L
.55749 .55699 L
.55699 .55621 L
.55577 .55538 L
.55538 .55433 L
.55468 .55378 L
.55378 .55234 L
.55352 .55217 L
.55217 .55057 L
.55217 .55056 L
.55093 .54896 L
.55057 .54852 L
.54954 .54735 L
.54896 .54642 L
.54846 .54575 L
.54735 .54432 L
.54729 .54414 L
.54597 .54254 L
.54575 .54242 L
.54449 .54093 L
.54414 .5403 L
.54347 .53933 L
.54254 .53808 L
.54236 .53772 L
.54113 .53612 L
.54093 .53584 L
.53998 .53451 L
.53933 .53352 L
.53879 .53291 L
.53862 .5313 L
F
0 .61 1 r
.53933 .53682 m
.54032 .53772 L
.54093 .53831 L
.54185 .53933 L
.54254 .5401 L
.54322 .54093 L
.54414 .54204 L
.54453 .54254 L
.54575 .54407 L
.54582 .54414 L
.54694 .54575 L
.54735 .54631 L
.54806 .54735 L
.54896 .54871 L
.54911 .54896 L
.54896 .55054 L
.54735 .54915 L
.54725 .54896 L
.54579 .54735 L
.54575 .54732 L
.54444 .54575 L
.54414 .5454 L
.54315 .54414 L
.54254 .54339 L
.5419 .54254 L
.54093 .54126 L
.54069 .54093 L
.5396 .53933 L
.53933 .53892 L
.53865 .53772 L
F
1 .95 .212 r
.53933 .46112 m
.54049 .46228 L
.54093 .46271 L
.54204 .46388 L
.54254 .4644 L
.54352 .46549 L
.54414 .46607 L
.54496 .46709 L
.54575 .46802 L
.54655 .4687 L
.54735 .46993 L
.54769 .4703 L
.54896 .47182 L
.54901 .47191 L
.55042 .47351 L
.55057 .47369 L
.55207 .47512 L
.55217 .47567 L
.55307 .47672 L
.55378 .47771 L
.55421 .47833 L
.55538 .47974 L
.55569 .47993 L
.55696 .48154 L
.55699 .48158 L
.5583 .48314 L
.55859 .48363 L
.55943 .48475 L
.5602 .48574 L
.56051 .48636 L
.5618 .48785 L
.56208 .48796 L
.56337 .48957 L
.56341 .48967 L
.56458 .49117 L
.56501 .49179 L
.56567 .49278 L
.56662 .49395 L
.56713 .49438 L
.56822 .49581 L
.56837 .49599 L
.56964 .49759 L
.56983 .4979 L
.57077 .4992 L
.57143 .50006 L
.57179 .5008 L
.57304 .50222 L
.57337 .50241 L
.57462 .50401 L
.57464 .50408 L
.57582 .50562 L
.57625 .50621 L
.5769 .50722 L
.57785 .50838 L
.57834 .50883 L
.57946 .5103 L
.57957 .51043 L
.58084 .51204 L
.58106 .5124 L
.58195 .51364 L
.58267 .51456 L
.58297 .51525 L
.58428 .51669 L
.58453 .51686 L
.58581 .51846 L
.58588 .51863 L
.58698 .52007 L
.58749 .52076 L
.58805 .52167 L
.58909 .52291 L
.58947 .52328 L
.59069 .52488 L
.5907 .52489 L
.59198 .52649 L
.5923 .52699 L
.59308 .52809 L
.59391 .52913 L
.59412 .5297 L
.59551 .53122 L
.59563 .5313 L
.59697 .53291 L
.59712 .53323 L
.59809 .53451 L
.59872 .53536 L
.59917 .53612 L
.60033 .53748 L
.60056 .53772 L
.60178 .53933 L
.60193 .53949 L
.6031 .54093 L
.60354 .54161 L
.60419 .54254 L
.60514 .54374 L
.60528 .54414 L
.60671 .54575 L
.60675 .54578 L
.60811 .54735 L
.60835 .54786 L
.60919 .54896 L
.60996 .55 L
.61028 .55057 L
.61156 .5521 L
.61162 .55217 L
.61284 .55378 L
.61317 .55411 L
.61419 .55538 L
.61477 .55626 L
.61527 .55699 L
.61638 .5584 L
.61644 .55859 L
.61775 .5602 L
.61799 .56037 L
.61922 .5618 L
.61959 .56252 L
.62024 .56341 L
.6212 .5647 L
.62137 .56501 L
.62264 .56662 L
.6228 .56683 L
.62432 .56822 L
.62441 .56878 L
.62522 .56983 L
.62601 .57101 L
.62629 .57143 L
.62751 .57304 L
.62762 .57317 L
.62871 .57464 L
.62922 .57502 L
.63021 .57625 L
.63083 .57734 L
.63119 .57785 L
.63235 .57946 L
.63243 .57957 L
.63353 .58106 L
.63404 .58173 L
.63525 .58267 L
.63564 .58374 L
.63603 .58428 L
.63711 .58588 L
.63725 .58606 L
.63826 .58749 L
.63885 .58828 L
.63943 .58909 L
.64046 .59035 L
.64071 .5907 L
.64172 .5923 L
.64206 .59277 L
.64282 .59391 L
.64367 .59512 L
.64392 .59551 L
.64493 .59712 L
.64527 .59765 L
.6458 .59872 L
.64527 .59939 L
.64455 .59872 L
.64367 .59792 L
.6429 .59712 L
.64206 .59675 L
.64138 .59551 L
.64046 .59458 L
.63993 .59391 L
.63885 .59268 L
.63841 .5923 L
.63725 .5908 L
.63715 .5907 L
.63579 .58909 L
.63564 .58897 L
.63445 .58749 L
.63404 .58701 L
.63282 .58588 L
.63243 .585 L
.63179 .58428 L
.63083 .58299 L
.6306 .58267 L
.62922 .58107 L
.62921 .58106 L
.62792 .57946 L
.62762 .57907 L
.62655 .57785 L
.62601 .577 L
.62544 .57625 L
.62441 .57492 L
.62429 .57464 L
.62284 .57304 L
.6228 .573 L
.62141 .57143 L
.6212 .57093 L
.62032 .56983 L
.61959 .56882 L
.61921 .56822 L
.61799 .56674 L
.6178 .56662 L
.61656 .56501 L
.61638 .56478 L
.61524 .56341 L
.61477 .56267 L
.61414 .5618 L
.61317 .56055 L
.61304 .5602 L
.61158 .55859 L
.61156 .55858 L
.61018 .55699 L
.60996 .55649 L
.60909 .55538 L
.60835 .55436 L
.60799 .55378 L
.60675 .55228 L
.60661 .55217 L
.60538 .55057 L
.60514 .55028 L
.60405 .54896 L
.60354 .54816 L
.60296 .54735 L
.60193 .54604 L
.60184 .54575 L
.60043 .54414 L
.60033 .54404 L
.59901 .54254 L
.59872 .54194 L
.59794 .54093 L
.59712 .53981 L
.59683 .53933 L
.59551 .53775 L
.59548 .53772 L
.59394 .53612 L
.59391 .53571 L
.59291 .53451 L
.5923 .53358 L
.59183 .53291 L
.5907 .53147 L
.59065 .5313 L
.58932 .5297 L
.58909 .52947 L
.58787 .52809 L
.58749 .52735 L
.58682 .52649 L
.58588 .52521 L
.58569 .52488 L
.58439 .52328 L
.58428 .5232 L
.58277 .52167 L
.58267 .52112 L
.5818 .52007 L
.58106 .51896 L
.58072 .51846 L
.57946 .51686 L
.57946 .51685 L
.57825 .51525 L
.57785 .51489 L
.57676 .51364 L
.57625 .51272 L
.57573 .51204 L
.57464 .51057 L
.57457 .51043 L
.57333 .50883 L
.57304 .50868 L
.57165 .50722 L
.57143 .50648 L
.57073 .50562 L
.56983 .5043 L
.56963 .50401 L
.56841 .50241 L
.56822 .50217 L
.5672 .5008 L
.56662 .50027 L
.5657 .4992 L
.56501 .49803 L
.56469 .49759 L
.5635 .49599 L
.56341 .49586 L
.5623 .49438 L
.5618 .49411 L
.56061 .49278 L
.5602 .49177 L
.55973 .49117 L
.55861 .48957 L
.55859 .48954 L
.55742 .48796 L
.55699 .48741 L
.55621 .48636 L
.55538 .48552 L
.55477 .48475 L
.55378 .48319 L
.55374 .48314 L
.55256 .48154 L
.55217 .48104 L
.55137 .47993 L
.55057 .4789 L
.5498 .47833 L
.54896 .47679 L
.54891 .47672 L
.54776 .47512 L
.54735 .47459 L
.54658 .47351 L
.54575 .47241 L
.54539 .47191 L
.54419 .4703 L
.54414 .47024 L
.54307 .4687 L
.54254 .46798 L
.54194 .46709 L
.54093 .46571 L
.54079 .46549 L
.53972 .46388 L
.53933 .46332 L
.53873 .46228 L
F
0 .6 1 r
.53933 .53692 m
.54023 .53772 L
.54093 .53837 L
.54179 .53933 L
.54254 .54015 L
.54318 .54093 L
.54414 .54209 L
.54449 .54254 L
.54575 .54414 L
.54575 .54415 L
.54689 .54575 L
.54735 .54638 L
.548 .54735 L
.54896 .54881 L
.54905 .54896 L
.54896 .55041 L
.54735 .54903 L
.54732 .54896 L
.54584 .54735 L
.54575 .54725 L
.54449 .54575 L
.54414 .54535 L
.54319 .54414 L
.54254 .54333 L
.54194 .54254 L
.54093 .5412 L
.54074 .54093 L
.53966 .53933 L
.53933 .53882 L
.53873 .53772 L
F
1 .47 0 r
.53933 .47473 m
.53968 .47512 L
.54093 .47643 L
.54119 .47672 L
.54254 .47816 L
.54261 .47833 L
.54397 .47993 L
.54414 .48013 L
.54531 .48154 L
.54575 .48204 L
.54664 .48314 L
.54735 .48398 L
.54797 .48475 L
.54896 .48577 L
.54929 .48636 L
.55057 .48792 L
.55061 .48796 L
.55187 .48957 L
.55217 .48993 L
.55315 .49117 L
.55378 .49194 L
.55443 .49278 L
.55538 .49386 L
.55596 .49438 L
.55698 .49599 L
.55699 .49599 L
.55823 .49759 L
.55859 .49804 L
.55948 .4992 L
.5602 .49982 L
.56075 .5008 L
.5618 .5021 L
.56208 .50241 L
.56324 .50401 L
.56341 .50422 L
.56447 .50562 L
.56501 .5063 L
.56572 .50722 L
.56662 .50824 L
.5672 .50883 L
.5682 .51043 L
.56822 .51046 L
.56941 .51204 L
.56983 .51257 L
.57063 .51364 L
.57143 .51437 L
.57186 .51525 L
.57304 .51676 L
.57312 .51686 L
.57429 .51846 L
.57464 .51892 L
.57549 .52007 L
.57625 .52105 L
.5767 .52167 L
.57785 .52315 L
.57797 .52328 L
.57908 .52488 L
.57946 .52537 L
.58026 .52649 L
.58106 .52755 L
.58145 .52809 L
.58264 .5297 L
.58267 .52974 L
.58374 .5313 L
.58428 .53201 L
.58487 .53291 L
.58588 .5343 L
.58602 .53451 L
.58702 .53612 L
.58749 .53682 L
.58787 .53772 L
.58749 .53783 L
.58739 .53772 L
.58588 .5362 L
.58581 .53612 L
.58437 .53451 L
.58428 .53441 L
.583 .53291 L
.58267 .53254 L
.58164 .5313 L
.58106 .53064 L
.5803 .5297 L
.57946 .52871 L
.57896 .52809 L
.57785 .52686 L
.57732 .52649 L
.57634 .52488 L
.57625 .52478 L
.57506 .52328 L
.57464 .52278 L
.57377 .52167 L
.57304 .52115 L
.57248 .52007 L
.57143 .51882 L
.57105 .51846 L
.56994 .51686 L
.56983 .51672 L
.56869 .51525 L
.56822 .51468 L
.56743 .51364 L
.56662 .51283 L
.56568 .51204 L
.56501 .5106 L
.56486 .51043 L
.56367 .50883 L
.56341 .5085 L
.56243 .50722 L
.5618 .50689 L
.56119 .50562 L
.5602 .50445 L
.55978 .50401 L
.55871 .50241 L
.55859 .50227 L
.55749 .5008 L
.55699 .50016 L
.55626 .4992 L
.55538 .49828 L
.55466 .49759 L
.5538 .49599 L
.55378 .49596 L
.55261 .49438 L
.55217 .49383 L
.5514 .49278 L
.55057 .4917 L
.55018 .49117 L
.54896 .48957 L
.54895 .48957 L
.54779 .48796 L
.54735 .4874 L
.54661 .48636 L
.54575 .48523 L
.54541 .48475 L
.54422 .48314 L
.54414 .48304 L
.5431 .48154 L
.54254 .48079 L
.54196 .47993 L
.54093 .47853 L
.5408 .47833 L
.53975 .47672 L
.53933 .47612 L
.53878 .47512 L
F
.003 .81 1 r
.53933 .46801 m
.54001 .4687 L
.54093 .46961 L
.54157 .4703 L
.54254 .47135 L
.54303 .47191 L
.54414 .47309 L
.54445 .47351 L
.54575 .47502 L
.54586 .47512 L
.54719 .47672 L
.54735 .47691 L
.54854 .47833 L
.54896 .47864 L
.54987 .47993 L
.55057 .48073 L
.55145 .48154 L
.55217 .48275 L
.55251 .48314 L
.55378 .48472 L
.55379 .48475 L
.5551 .48636 L
.55538 .48664 L
.55692 .48796 L
.55699 .4887 L
.55775 .48957 L
.55859 .49076 L
.55889 .49117 L
.5602 .49276 L
.5602 .49278 L
.56148 .49438 L
.5618 .49475 L
.56295 .49599 L
.56341 .49684 L
.564 .49759 L
.56501 .49891 L
.56517 .4992 L
.56652 .5008 L
.56662 .50089 L
.56814 .50241 L
.56822 .50296 L
.5691 .50401 L
.56983 .50507 L
.57021 .50562 L
.57143 .50713 L
.57145 .50722 L
.57277 .50883 L
.57304 .50913 L
.57419 .51043 L
.57464 .51124 L
.57525 .51204 L
.57625 .51335 L
.5764 .51364 L
.57773 .51525 L
.57785 .51535 L
.57932 .51686 L
.57946 .51745 L
.58028 .51846 L
.58106 .51958 L
.58139 .52007 L
.58267 .52167 L
.58267 .52167 L
.5839 .52328 L
.58428 .52367 L
.58533 .52488 L
.58588 .52582 L
.58638 .52649 L
.58749 .52795 L
.58756 .52809 L
.58882 .5297 L
.58909 .52989 L
.59045 .5313 L
.5907 .53207 L
.59136 .53291 L
.5923 .53424 L
.59248 .53451 L
.59371 .53612 L
.59391 .53637 L
.59493 .53772 L
.59551 .53832 L
.59636 .53933 L
.59712 .54056 L
.59739 .54093 L
.59858 .54254 L
.59872 .54272 L
.59978 .54414 L
.60033 .54455 L
.60141 .54575 L
.60193 .54691 L
.60228 .54735 L
.6034 .54896 L
.60354 .54913 L
.60459 .55057 L
.60514 .5513 L
.60578 .55217 L
.60675 .55333 L
.6071 .55378 L
.60815 .55538 L
.60835 .55564 L
.60931 .55699 L
.60996 .55786 L
.61048 .55859 L
.61156 .55998 L
.61173 .5602 L
.61275 .5618 L
.61317 .56238 L
.61385 .56341 L
.61477 .56473 L
.61496 .56501 L
.61593 .56662 L
.61638 .56734 L
.61674 .56822 L
.61638 .56848 L
.6161 .56822 L
.61477 .56701 L
.61441 .56662 L
.61317 .56554 L
.61291 .56501 L
.61156 .56354 L
.61135 .56341 L
.61008 .5618 L
.60996 .56167 L
.60872 .5602 L
.60835 .55978 L
.60736 .55859 L
.60675 .55804 L
.60602 .55699 L
.60514 .55596 L
.60452 .55538 L
.60354 .55395 L
.60338 .55378 L
.60209 .55217 L
.60193 .55213 L
.6008 .55057 L
.60033 .55007 L
.59908 .54896 L
.59872 .54799 L
.59815 .54735 L
.59712 .54594 L
.59698 .54575 L
.59568 .54414 L
.59551 .54402 L
.59441 .54254 L
.59391 .54195 L
.59297 .54093 L
.5923 .53985 L
.59189 .53933 L
.5907 .5378 L
.59066 .53772 L
.58938 .53612 L
.58909 .53583 L
.58777 .53451 L
.58749 .53372 L
.5868 .53291 L
.58588 .53162 L
.58567 .5313 L
.58438 .5297 L
.58428 .52963 L
.58314 .52809 L
.58267 .52756 L
.58172 .52649 L
.58106 .52543 L
.58065 .52488 L
.57946 .52334 L
.57943 .52328 L
.57818 .52167 L
.57785 .52137 L
.57659 .52007 L
.57625 .51923 L
.57562 .51846 L
.57464 .51709 L
.57449 .51686 L
.57323 .51525 L
.57304 .51516 L
.57201 .51364 L
.57143 .51302 L
.57058 .51204 L
.56983 .51085 L
.56952 .51043 L
.5683 .50883 L
.56822 .50873 L
.56709 .50722 L
.56662 .50681 L
.5655 .50562 L
.56501 .50459 L
.56455 .50401 L
.56341 .50243 L
.56339 .50241 L
.56219 .5008 L
.5618 .50065 L
.56097 .4992 L
.5602 .49834 L
.55957 .49759 L
.55859 .49611 L
.5585 .49599 L
.55731 .49438 L
.55699 .49396 L
.55611 .49278 L
.55538 .49209 L
.55457 .49117 L
.55378 .48975 L
.55363 .48957 L
.55247 .48796 L
.55217 .48757 L
.55128 .48636 L
.55057 .48542 L
.55008 .48475 L
.54896 .48333 L
.54881 .48314 L
.54769 .48154 L
.54735 .4811 L
.54653 .47993 L
.54575 .4789 L
.54534 .47833 L
.54415 .47672 L
.54414 .47671 L
.54304 .47512 L
.54254 .47444 L
.54192 .47351 L
.54093 .47214 L
.54078 .47191 L
.53974 .4703 L
.53933 .4697 L
.53879 .4687 L
F
0 .59 1 r
.53933 .53703 m
.54014 .53772 L
.54093 .53844 L
.54173 .53933 L
.54254 .54021 L
.54313 .54093 L
.54414 .54214 L
.54445 .54254 L
.5457 .54414 L
.54575 .54421 L
.54684 .54575 L
.54735 .54645 L
.54795 .54735 L
.54896 .54892 L
.54898 .54896 L
.54896 .55026 L
.5474 .54896 L
.54735 .54892 L
.54591 .54735 L
.54575 .54719 L
.54454 .54575 L
.54414 .54529 L
.54324 .54414 L
.54254 .54328 L
.54198 .54254 L
.54093 .54114 L
.54078 .54093 L
.53972 .53933 L
.53933 .53872 L
.53881 .53772 L
F
0 .14 1 r
.53933 .4815 m
.53936 .48154 L
.53933 .48238 L
.53889 .48154 L
F
1 .46 0 r
.53933 .47485 m
.53958 .47512 L
.54093 .47651 L
.54112 .47672 L
.54254 .47829 L
.54256 .47833 L
.54392 .47993 L
.54414 .48018 L
.54527 .48154 L
.54575 .48209 L
.54661 .48314 L
.54735 .48403 L
.54794 .48475 L
.54896 .48582 L
.54926 .48636 L
.55057 .48796 L
.55057 .48796 L
.55184 .48957 L
.55217 .48996 L
.55312 .49117 L
.55378 .49197 L
.55441 .49278 L
.55538 .49389 L
.55592 .49438 L
.55696 .49599 L
.55699 .49602 L
.5582 .49759 L
.55859 .49807 L
.55946 .4992 L
.5602 .49985 L
.56072 .5008 L
.5618 .50213 L
.56206 .50241 L
.56322 .50401 L
.56341 .50425 L
.56445 .50562 L
.56501 .50633 L
.56569 .50722 L
.56662 .50827 L
.56717 .50883 L
.56818 .51043 L
.56822 .51049 L
.56939 .51204 L
.56983 .5126 L
.57061 .51364 L
.57143 .5144 L
.57184 .51525 L
.57304 .5168 L
.57309 .51686 L
.57426 .51846 L
.57464 .51895 L
.57546 .52007 L
.57625 .52109 L
.57668 .52167 L
.57785 .5232 L
.57793 .52328 L
.57905 .52488 L
.57946 .52541 L
.58023 .52649 L
.58106 .52759 L
.58142 .52809 L
.5826 .5297 L
.58267 .52979 L
.5837 .5313 L
.58428 .53208 L
.58483 .53291 L
.58588 .53438 L
.58597 .53451 L
.58588 .53612 L
.58445 .53451 L
.58428 .53434 L
.58306 .53291 L
.58267 .53249 L
.58169 .5313 L
.58106 .53059 L
.58033 .5297 L
.57946 .52867 L
.57899 .52809 L
.57785 .52681 L
.57739 .52649 L
.57637 .52488 L
.57625 .52474 L
.57509 .52328 L
.57464 .52274 L
.5738 .52167 L
.57304 .52111 L
.57251 .52007 L
.57143 .51879 L
.57109 .51846 L
.56996 .51686 L
.56983 .51669 L
.56871 .51525 L
.56822 .51465 L
.56745 .51364 L
.56662 .5128 L
.56572 .51204 L
.56501 .51057 L
.56489 .51043 L
.56369 .50883 L
.56341 .50848 L
.56245 .50722 L
.5618 .50686 L
.56121 .50562 L
.5602 .50441 L
.55981 .50401 L
.55873 .50241 L
.55859 .50224 L
.55751 .5008 L
.55699 .50013 L
.55628 .4992 L
.55538 .49825 L
.55469 .49759 L
.55382 .49599 L
.55378 .49593 L
.55263 .49438 L
.55217 .49379 L
.55142 .49278 L
.55057 .49167 L
.5502 .49117 L
.54898 .48957 L
.54896 .48954 L
.54782 .48796 L
.54735 .48736 L
.54664 .48636 L
.54575 .48519 L
.54544 .48475 L
.54426 .48314 L
.54414 .483 L
.54314 .48154 L
.54254 .48074 L
.542 .47993 L
.54093 .47847 L
.54084 .47833 L
.53983 .47672 L
.53933 .47599 L
.5389 .47512 L
F
0 .58 1 r
.53933 .53715 m
.54004 .53772 L
.54093 .53851 L
.54168 .53933 L
.54254 .54027 L
.54309 .54093 L
.54414 .5422 L
.54441 .54254 L
.54565 .54414 L
.54575 .54427 L
.54679 .54575 L
.54735 .54652 L
.5479 .54735 L
.54735 .54883 L
.54597 .54735 L
.54575 .54712 L
.54459 .54575 L
.54414 .54523 L
.54329 .54414 L
.54254 .54322 L
.54203 .54254 L
.54093 .54108 L
.54083 .54093 L
.53978 .53933 L
.53933 .5386 L
.5389 .53772 L
F
1 .93 .114 r
.53933 .53125 m
.5401 .5313 L
.54093 .53143 L
.54254 .53253 L
.54295 .53291 L
.54414 .53416 L
.54435 .53451 L
.54575 .53606 L
.5458 .53612 L
.54709 .53772 L
.54735 .53808 L
.54844 .53933 L
.54896 .54016 L
.54955 .54093 L
.55057 .54225 L
.55066 .54254 L
.55211 .54414 L
.55217 .5442 L
.5535 .54575 L
.55378 .54626 L
.55457 .54735 L
.55538 .54841 L
.55566 .54896 L
.55699 .55056 L
.55699 .55057 L
.55854 .55217 L
.55859 .55274 L
.55946 .55378 L
.5602 .55499 L
.56045 .55538 L
.56147 .55699 L
.5618 .55776 L
.56194 .55859 L
.5618 .5588 L
.5602 .55886 L
.55965 .55859 L
.55859 .55793 L
.55761 .55699 L
.55699 .55608 L
.55583 .55538 L
.55538 .55426 L
.55474 .55378 L
.55378 .55231 L
.55355 .55217 L
.55221 .55057 L
.55217 .55052 L
.55096 .54896 L
.55057 .54848 L
.54957 .54735 L
.54896 .54638 L
.54849 .54575 L
.54735 .54429 L
.5473 .54414 L
.54601 .54254 L
.54575 .5424 L
.54451 .54093 L
.54414 .54026 L
.54351 .53933 L
.54254 .53802 L
.54239 .53772 L
.54118 .53612 L
.54093 .53577 L
.54005 .53451 L
.53933 .53339 L
.53891 .53291 L
.53914 .5313 L
F
.002 .8 1 r
.53933 .4683 m
.53976 .4687 L
.54093 .46979 L
.54142 .4703 L
.54254 .47149 L
.54292 .47191 L
.54414 .47322 L
.54435 .47351 L
.54575 .47512 L
.54575 .47512 L
.54711 .47672 L
.54735 .477 L
.54847 .47833 L
.54896 .4787 L
.54981 .47993 L
.55057 .4808 L
.55139 .48154 L
.55217 .48282 L
.55246 .48314 L
.55375 .48475 L
.55378 .48478 L
.55505 .48636 L
.55538 .48669 L
.5569 .48796 L
.55699 .48875 L
.55771 .48957 L
.55859 .49081 L
.55886 .49117 L
.56018 .49278 L
.5602 .49279 L
.56145 .49438 L
.5618 .49479 L
.56292 .49599 L
.56341 .49687 L
.56397 .49759 L
.56501 .49895 L
.56515 .4992 L
.56649 .5008 L
.56662 .50092 L
.56813 .50241 L
.56822 .50299 L
.56908 .50401 L
.56983 .5051 L
.57019 .50562 L
.57143 .50716 L
.57144 .50722 L
.57274 .50883 L
.57304 .50916 L
.57418 .51043 L
.57464 .51127 L
.57523 .51204 L
.57625 .51338 L
.57639 .51364 L
.57771 .51525 L
.57785 .51537 L
.57931 .51686 L
.57946 .51747 L
.58027 .51846 L
.58106 .51961 L
.58137 .52007 L
.58265 .52167 L
.58267 .52167 L
.58388 .52328 L
.58428 .52369 L
.58532 .52488 L
.58588 .52585 L
.58636 .52649 L
.58749 .52798 L
.58754 .52809 L
.58879 .5297 L
.58909 .52991 L
.59043 .5313 L
.5907 .5321 L
.59134 .53291 L
.5923 .53427 L
.59246 .53451 L
.59369 .53612 L
.59391 .5364 L
.5949 .53772 L
.59551 .53836 L
.59634 .53933 L
.59712 .5406 L
.59736 .54093 L
.59855 .54254 L
.59872 .54276 L
.59975 .54414 L
.60033 .54459 L
.60138 .54575 L
.60193 .54696 L
.60224 .54735 L
.60337 .54896 L
.60354 .54918 L
.60455 .55057 L
.60514 .55135 L
.60574 .55217 L
.60675 .5534 L
.60704 .55378 L
.6081 .55538 L
.60835 .55571 L
.60925 .55699 L
.60996 .55794 L
.61042 .55859 L
.61156 .56014 L
.61161 .5602 L
.61267 .5618 L
.61317 .5625 L
.61376 .56341 L
.61477 .56489 L
.61485 .56501 L
.61572 .56662 L
.61477 .5668 L
.6146 .56662 L
.61317 .56528 L
.61304 .56501 L
.61158 .56341 L
.61156 .5634 L
.61018 .5618 L
.60996 .56157 L
.6088 .5602 L
.60835 .55969 L
.60743 .55859 L
.60675 .55796 L
.60608 .55699 L
.60514 .55589 L
.60459 .55538 L
.60354 .55389 L
.60343 .55378 L
.60214 .55217 L
.60193 .55212 L
.60084 .55057 L
.60033 .55002 L
.59912 .54896 L
.59872 .54794 L
.59819 .54735 L
.59712 .5459 L
.597 .54575 L
.59571 .54414 L
.59551 .54399 L
.59445 .54254 L
.59391 .54191 L
.59299 .54093 L
.5923 .53982 L
.59191 .53933 L
.5907 .53777 L
.59067 .53772 L
.58941 .53612 L
.58909 .5358 L
.58779 .53451 L
.58749 .53369 L
.58683 .53291 L
.58588 .53159 L
.58568 .5313 L
.5844 .5297 L
.58428 .52962 L
.58316 .52809 L
.58267 .52754 L
.58173 .52649 L
.58106 .5254 L
.58067 .52488 L
.57946 .52331 L
.57944 .52328 L
.5782 .52167 L
.57785 .52135 L
.57661 .52007 L
.57625 .5192 L
.57564 .51846 L
.57464 .51707 L
.5745 .51686 L
.57325 .51525 L
.57304 .51515 L
.57203 .51364 L
.57143 .51299 L
.5706 .51204 L
.56983 .51082 L
.56954 .51043 L
.56832 .50883 L
.56822 .5087 L
.56711 .50722 L
.56662 .50679 L
.56552 .50562 L
.56501 .50456 L
.56457 .50401 L
.56341 .50241 L
.56341 .5024 L
.56221 .5008 L
.5618 .50064 L
.56099 .4992 L
.5602 .49831 L
.5596 .49759 L
.55859 .49607 L
.55853 .49599 L
.55734 .49438 L
.55699 .49393 L
.55613 .49278 L
.55538 .49205 L
.55461 .49117 L
.55378 .48971 L
.55366 .48957 L
.5525 .48796 L
.55217 .48753 L
.55131 .48636 L
.55057 .48538 L
.55011 .48475 L
.54896 .48327 L
.54886 .48314 L
.54774 .48154 L
.54735 .48104 L
.54657 .47993 L
.54575 .47884 L
.54539 .47833 L
.54421 .47672 L
.54414 .47663 L
.54311 .47512 L
.54254 .47434 L
.542 .47351 L
.54093 .47202 L
.54086 .47191 L
.53988 .4703 L
.53933 .46943 L
.53901 .4687 L
F
0 .57 1 r
.53933 .53728 m
.53993 .53772 L
.54093 .53859 L
.54161 .53933 L
.54254 .54033 L
.54304 .54093 L
.54414 .54225 L
.54437 .54254 L
.5456 .54414 L
.54575 .54434 L
.54674 .54575 L
.54735 .5466 L
.54784 .54735 L
.54735 .54874 L
.54604 .54735 L
.54575 .54705 L
.54465 .54575 L
.54414 .54517 L
.54333 .54414 L
.54254 .54316 L
.54207 .54254 L
.54093 .54102 L
.54088 .54093 L
.53985 .53933 L
.53933 .53846 L
.53901 .53772 L
F
1 .92 .084 r
.53933 .53148 m
.54093 .53148 L
.54254 .53267 L
.54282 .53291 L
.54414 .53426 L
.54429 .53451 L
.54574 .53612 L
.54575 .53614 L
.54705 .53772 L
.54735 .53814 L
.5484 .53933 L
.54896 .54021 L
.54951 .54093 L
.55057 .54229 L
.55065 .54254 L
.55207 .54414 L
.55217 .54423 L
.55348 .54575 L
.55378 .54631 L
.55454 .54735 L
.55538 .54846 L
.55563 .54896 L
.55695 .55057 L
.55699 .55061 L
.55853 .55217 L
.55859 .55281 L
.5594 .55378 L
.5602 .55509 L
.56038 .55538 L
.56134 .55699 L
.56153 .55859 L
.5602 .55867 L
.56002 .55859 L
.55859 .55778 L
.55774 .55699 L
.55699 .55596 L
.55589 .55538 L
.55538 .55419 L
.55479 .55378 L
.55378 .55228 L
.55359 .55217 L
.55225 .55057 L
.55217 .55048 L
.551 .54896 L
.55057 .54844 L
.5496 .54735 L
.54896 .54634 L
.54851 .54575 L
.54735 .54425 L
.54731 .54414 L
.54604 .54254 L
.54575 .54238 L
.54453 .54093 L
.54414 .54021 L
.54354 .53933 L
.54254 .53796 L
.54242 .53772 L
.54123 .53612 L
.54093 .53569 L
.54011 .53451 L
.53933 .53324 L
.53905 .53291 L
F
1 .45 0 r
.53933 .475 m
.53945 .47512 L
.54093 .47659 L
.54105 .47672 L
.54249 .47833 L
.54254 .47838 L
.54386 .47993 L
.54414 .48024 L
.54522 .48154 L
.54575 .48214 L
.54657 .48314 L
.54735 .48407 L
.54791 .48475 L
.54896 .48587 L
.54923 .48636 L
.55053 .48796 L
.55057 .488 L
.55181 .48957 L
.55217 .49 L
.55309 .49117 L
.55378 .492 L
.55438 .49278 L
.55538 .49393 L
.55589 .49438 L
.55693 .49599 L
.55699 .49605 L
.55818 .49759 L
.55859 .4981 L
.55944 .4992 L
.5602 .49988 L
.5607 .5008 L
.5618 .50217 L
.56203 .50241 L
.5632 .50401 L
.56341 .50428 L
.56443 .50562 L
.56501 .50636 L
.56567 .50722 L
.56662 .50831 L
.56714 .50883 L
.56815 .51043 L
.56822 .51052 L
.56936 .51204 L
.56983 .51263 L
.57059 .51364 L
.57143 .51444 L
.57182 .51525 L
.57304 .51684 L
.57305 .51686 L
.57424 .51846 L
.57464 .51898 L
.57544 .52007 L
.57625 .52112 L
.57665 .52167 L
.57785 .52325 L
.57788 .52328 L
.57902 .52488 L
.57946 .52545 L
.5802 .52649 L
.58106 .52764 L
.58139 .52809 L
.58256 .5297 L
.58267 .52985 L
.58366 .5313 L
.58428 .53214 L
.58478 .53291 L
.58588 .53446 L
.58591 .53451 L
.58588 .53601 L
.58453 .53451 L
.58428 .53426 L
.58312 .53291 L
.58267 .53243 L
.58174 .5313 L
.58106 .53054 L
.58038 .5297 L
.57946 .52862 L
.57903 .52809 L
.57785 .52675 L
.57747 .52649 L
.5764 .52488 L
.57625 .5247 L
.57512 .52328 L
.57464 .52271 L
.57383 .52167 L
.57304 .52108 L
.57253 .52007 L
.57143 .51875 L
.57113 .51846 L
.56999 .51686 L
.56983 .51666 L
.56873 .51525 L
.56822 .51462 L
.56747 .51364 L
.56662 .51277 L
.56575 .51204 L
.56501 .51054 L
.56492 .51043 L
.56371 .50883 L
.56341 .50845 L
.56247 .50722 L
.5618 .50684 L
.56123 .50562 L
.5602 .50438 L
.55984 .50401 L
.55875 .50241 L
.55859 .50221 L
.55753 .5008 L
.55699 .50011 L
.55631 .4992 L
.55538 .49821 L
.55473 .49759 L
.55384 .49599 L
.55378 .4959 L
.55265 .49438 L
.55217 .49376 L
.55144 .49278 L
.55057 .49164 L
.55022 .49117 L
.54901 .48957 L
.54896 .4895 L
.54785 .48796 L
.54735 .48732 L
.54667 .48636 L
.54575 .48515 L
.54547 .48475 L
.5443 .48314 L
.54414 .48295 L
.54318 .48154 L
.54254 .48068 L
.54204 .47993 L
.54093 .4784 L
.54089 .47833 L
.53992 .47672 L
.53933 .47583 L
.53906 .47512 L
F
0 .56 1 r
.53933 .53744 m
.53978 .53772 L
.54093 .53866 L
.54155 .53933 L
.54254 .54039 L
.54299 .54093 L
.54414 .54231 L
.54432 .54254 L
.54555 .54414 L
.54575 .5444 L
.54669 .54575 L
.54735 .54669 L
.54778 .54735 L
.54735 .54865 L
.54611 .54735 L
.54575 .54698 L
.5447 .54575 L
.54414 .54511 L
.54338 .54414 L
.54254 .5431 L
.54212 .54254 L
.54093 .54095 L
.54092 .54093 L
.53992 .53933 L
.53933 .53828 L
.53913 .53772 L
F
1 .98 .538 r
.53933 .51197 m
.53941 .51204 L
.54093 .51333 L
.54125 .51364 L
.54254 .51487 L
.54292 .51525 L
.54414 .51606 L
.54449 .51686 L
.54575 .5182 L
.54598 .51846 L
.54735 .52003 L
.54739 .52007 L
.54872 .52167 L
.54896 .52197 L
.54998 .52328 L
.55057 .52411 L
.55111 .52488 L
.55196 .52649 L
.55057 .52696 L
.55009 .52649 L
.54896 .52578 L
.54862 .52488 L
.54735 .52347 L
.54727 .52328 L
.54601 .52167 L
.54575 .52135 L
.5448 .52007 L
.54414 .51926 L
.54357 .51846 L
.54254 .51716 L
.54232 .51686 L
.54113 .51525 L
.54093 .515 L
.54007 .51364 L
.53933 .51261 L
.53913 .51204 L
F
1 .91 .061 r
.53933 .53174 m
.54093 .53151 L
.54254 .5328 L
.54267 .53291 L
.54414 .53436 L
.54424 .53451 L
.54567 .53612 L
.54575 .53621 L
.547 .53772 L
.54735 .5382 L
.54837 .53933 L
.54896 .54026 L
.54948 .54093 L
.55057 .54232 L
.55064 .54254 L
.55204 .54414 L
.55217 .54426 L
.55345 .54575 L
.55378 .54635 L
.5545 .54735 L
.55538 .54851 L
.55561 .54896 L
.55691 .55057 L
.55699 .55067 L
.55851 .55217 L
.55859 .55289 L
.55935 .55378 L
.5602 .5552 L
.56031 .55538 L
.56121 .55699 L
.5602 .55847 L
.55859 .55764 L
.55787 .55699 L
.55699 .55586 L
.55597 .55538 L
.55538 .55413 L
.55485 .55378 L
.55378 .55226 L
.55362 .55217 L
.5523 .55057 L
.55217 .55044 L
.55103 .54896 L
.55057 .5484 L
.54963 .54735 L
.54896 .5463 L
.54854 .54575 L
.54735 .54422 L
.54732 .54414 L
.54607 .54254 L
.54575 .54236 L
.54456 .54093 L
.54414 .54017 L
.54357 .53933 L
.54254 .5379 L
.54245 .53772 L
.54128 .53612 L
.54093 .53562 L
.54018 .53451 L
.53933 .53307 L
.5392 .53291 L
F
0 .55 1 r
.53933 .53767 m
.53953 .53772 L
.54093 .53874 L
.54148 .53933 L
.54254 .54045 L
.54294 .54093 L
.54414 .54237 L
.54428 .54254 L
.54549 .54414 L
.54575 .54447 L
.54663 .54575 L
.54735 .54678 L
.54771 .54735 L
.54735 .54854 L
.54619 .54735 L
.54575 .54691 L
.54476 .54575 L
.54414 .54505 L
.54343 .54414 L
.54254 .54304 L
.54217 .54254 L
.54098 .54093 L
.54093 .54087 L
.53999 .53933 L
.53933 .53799 L
.53929 .53772 L
F
1 .9 .045 r
.54093 .53155 m
.54252 .53291 L
.54254 .53292 L
.54414 .53445 L
.54418 .53451 L
.54561 .53612 L
.54575 .53628 L
.54695 .53772 L
.54735 .53826 L
.54833 .53933 L
.54896 .54031 L
.54945 .54093 L
.55057 .54236 L
.55062 .54254 L
.552 .54414 L
.55217 .54429 L
.55343 .54575 L
.55378 .54639 L
.55447 .54735 L
.55538 .54856 L
.55558 .54896 L
.55686 .55057 L
.55699 .55073 L
.55849 .55217 L
.55859 .55296 L
.55929 .55378 L
.5602 .55532 L
.56024 .55538 L
.56107 .55699 L
.5602 .55828 L
.55859 .5575 L
.558 .55699 L
.55699 .55578 L
.55606 .55538 L
.55538 .55407 L
.55491 .55378 L
.55378 .55223 L
.55366 .55217 L
.55234 .55057 L
.55217 .5504 L
.55107 .54896 L
.55057 .54836 L
.54966 .54735 L
.54896 .54626 L
.54857 .54575 L
.54735 .54419 L
.54734 .54414 L
.5461 .54254 L
.54575 .54234 L
.54458 .54093 L
.54414 .54012 L
.54361 .53933 L
.54254 .53783 L
.54248 .53772 L
.54133 .53612 L
.54093 .53554 L
.54025 .53451 L
.53936 .53291 L
F
1 .89 .033 r
.54093 .5316 m
.54236 .53291 L
.54254 .53299 L
.54411 .53451 L
.54414 .53454 L
.54555 .53612 L
.54575 .53635 L
.5469 .53772 L
.54735 .53831 L
.54829 .53933 L
.54896 .54036 L
.54941 .54093 L
.55057 .54239 L
.55061 .54254 L
.55197 .54414 L
.55217 .54432 L
.55341 .54575 L
.55378 .54644 L
.55444 .54735 L
.55538 .54861 L
.55555 .54896 L
.55682 .55057 L
.55699 .5508 L
.55847 .55217 L
.55859 .55304 L
.55922 .55378 L
.56015 .55538 L
.5602 .55546 L
.56093 .55699 L
.5602 .55809 L
.55859 .55736 L
.55814 .55699 L
.55699 .5557 L
.55615 .55538 L
.55538 .55402 L
.55497 .55378 L
.55378 .55221 L
.55369 .55217 L
.55238 .55057 L
.55217 .55036 L
.5511 .54896 L
.55057 .54832 L
.54969 .54735 L
.54896 .54622 L
.5486 .54575 L
.54735 .54415 L
.54735 .54414 L
.54613 .54254 L
.54575 .54231 L
.54461 .54093 L
.54414 .54007 L
.54364 .53933 L
.54254 .53777 L
.54252 .53772 L
.54138 .53612 L
.54093 .53545 L
.54032 .53451 L
.5395 .53291 L
F
1 .88 .024 r
.54093 .53168 m
.5422 .53291 L
.54254 .53306 L
.54403 .53451 L
.54414 .53462 L
.54549 .53612 L
.54575 .53641 L
.54685 .53772 L
.54735 .53837 L
.54826 .53933 L
.54896 .5404 L
.54938 .54093 L
.55057 .54242 L
.5506 .54254 L
.55193 .54414 L
.55217 .54436 L
.55338 .54575 L
.55378 .54648 L
.5544 .54735 L
.55538 .54866 L
.55553 .54896 L
.55677 .55057 L
.55699 .55086 L
.55845 .55217 L
.55859 .55312 L
.55916 .55378 L
.56006 .55538 L
.5602 .55563 L
.56078 .55699 L
.5602 .55788 L
.55859 .55723 L
.55829 .55699 L
.55699 .55564 L
.55626 .55538 L
.55538 .55397 L
.55503 .55378 L
.55378 .55219 L
.55373 .55217 L
.55242 .55057 L
.55217 .55032 L
.55114 .54896 L
.55057 .54828 L
.54972 .54735 L
.54896 .54618 L
.54862 .54575 L
.54738 .54414 L
.54735 .54411 L
.54616 .54254 L
.54575 .54229 L
.54464 .54093 L
.54414 .54002 L
.54368 .53933 L
.54255 .53772 L
.54254 .5377 L
.54143 .53612 L
.54093 .53536 L
.54038 .53451 L
.53965 .53291 L
F
1 .87 .018 r
.54093 .53181 m
.54202 .53291 L
.54254 .53312 L
.54394 .53451 L
.54414 .53469 L
.54543 .53612 L
.54575 .53648 L
.5468 .53772 L
.54735 .53842 L
.54822 .53933 L
.54896 .54045 L
.54935 .54093 L
.55057 .54246 L
.55059 .54254 L
.5519 .54414 L
.55217 .54439 L
.55336 .54575 L
.55378 .54653 L
.55437 .54735 L
.55538 .54872 L
.5555 .54896 L
.55673 .55057 L
.55699 .55092 L
.55841 .55217 L
.55859 .5532 L
.55909 .55378 L
.55997 .55538 L
.5602 .55584 L
.56061 .55699 L
.5602 .55765 L
.55859 .55709 L
.55846 .55699 L
.55699 .55558 L
.55638 .55538 L
.55538 .55393 L
.5551 .55378 L
.55378 .55217 L
.55377 .55217 L
.55246 .55057 L
.55217 .55028 L
.55118 .54896 L
.55057 .54823 L
.54975 .54735 L
.54896 .54615 L
.54865 .54575 L
.54741 .54414 L
.54735 .54407 L
.54619 .54254 L
.54575 .54226 L
.54467 .54093 L
.54414 .53997 L
.54372 .53933 L
.5426 .53772 L
.54254 .53764 L
.54149 .53612 L
.54093 .53527 L
.54046 .53451 L
.53981 .53291 L
F
1 .86 .013 r
.54093 .53201 m
.54182 .53291 L
.54254 .53318 L
.54385 .53451 L
.54414 .53476 L
.54537 .53612 L
.54575 .53654 L
.54675 .53772 L
.54735 .53848 L
.54818 .53933 L
.54896 .54049 L
.54932 .54093 L
.55057 .54249 L
.55058 .54254 L
.55186 .54414 L
.55217 .54442 L
.55333 .54575 L
.55378 .54657 L
.55434 .54735 L
.55538 .54877 L
.55548 .54896 L
.55669 .55057 L
.55699 .55098 L
.55838 .55217 L
.55859 .55329 L
.55902 .55378 L
.55987 .55538 L
.5602 .5561 L
.56042 .55699 L
.5602 .55738 L
.55865 .55699 L
.55859 .55695 L
.55699 .55552 L
.55652 .55538 L
.55538 .55389 L
.55517 .55378 L
.55382 .55217 L
.55378 .55215 L
.5525 .55057 L
.55217 .55024 L
.55121 .54896 L
.55057 .54819 L
.54978 .54735 L
.54896 .54611 L
.54868 .54575 L
.54744 .54414 L
.54735 .54403 L
.54622 .54254 L
.54575 .54223 L
.5447 .54093 L
.54414 .53992 L
.54375 .53933 L
.54264 .53772 L
.54254 .53758 L
.54154 .53612 L
.54093 .53517 L
.54053 .53451 L
.54 .53291 L
F
1 .44 0 r
.54093 .47668 m
.54097 .47672 L
.54093 .47832 L
.54002 .47672 L
F
.001 .79 1 r
.54093 .46999 m
.54124 .4703 L
.54254 .47163 L
.54279 .47191 L
.54414 .47337 L
.54425 .47351 L
.54565 .47512 L
.54575 .47522 L
.54703 .47672 L
.54735 .47709 L
.5484 .47833 L
.54896 .47876 L
.54975 .47993 L
.55057 .48087 L
.55133 .48154 L
.55217 .48288 L
.55241 .48314 L
.5537 .48475 L
.55378 .48484 L
.55501 .48636 L
.55538 .48673 L
.55688 .48796 L
.55699 .4888 L
.55768 .48957 L
.55859 .49085 L
.55883 .49117 L
.56014 .49278 L
.5602 .49281 L
.56142 .49438 L
.5618 .49482 L
.5629 .49599 L
.56341 .49691 L
.56395 .49759 L
.56501 .49898 L
.56513 .4992 L
.56647 .5008 L
.56662 .50094 L
.56812 .50241 L
.56822 .50302 L
.56905 .50401 L
.56983 .50513 L
.57017 .50562 L
.57143 .50718 L
.57144 .50722 L
.57272 .50883 L
.57304 .50918 L
.57416 .51043 L
.57464 .5113 L
.57521 .51204 L
.57625 .51341 L
.57637 .51364 L
.57769 .51525 L
.57785 .51539 L
.5793 .51686 L
.57946 .5175 L
.58025 .51846 L
.58106 .51963 L
.58135 .52007 L
.58263 .52167 L
.58267 .52168 L
.58386 .52328 L
.58428 .52371 L
.5853 .52488 L
.58588 .52588 L
.58634 .52649 L
.58749 .528 L
.58753 .52809 L
.58877 .5297 L
.58909 .52993 L
.59042 .5313 L
.5907 .53213 L
.59132 .53291 L
.5923 .53431 L
.59244 .53451 L
.59366 .53612 L
.59391 .53643 L
.59488 .53772 L
.59551 .53839 L
.59631 .53933 L
.59712 .54063 L
.59734 .54093 L
.59852 .54254 L
.59872 .5428 L
.59972 .54414 L
.60033 .54462 L
.60134 .54575 L
.60193 .54701 L
.6022 .54735 L
.60333 .54896 L
.60354 .54923 L
.60451 .55057 L
.60514 .5514 L
.6057 .55217 L
.60675 .55348 L
.60698 .55378 L
.60805 .55538 L
.60835 .55578 L
.6092 .55699 L
.60996 .55801 L
.61036 .55859 L
.61152 .5602 L
.61156 .56026 L
.61258 .5618 L
.61317 .56263 L
.61366 .56341 L
.61317 .565 L
.6117 .56341 L
.61156 .56327 L
.61028 .5618 L
.60996 .56146 L
.60888 .5602 L
.60835 .5596 L
.60751 .55859 L
.60675 .55789 L
.60615 .55699 L
.60514 .55581 L
.60466 .55538 L
.60354 .55383 L
.60349 .55378 L
.60219 .55217 L
.60193 .5521 L
.60089 .55057 L
.60033 .54997 L
.59915 .54896 L
.59872 .54789 L
.59823 .54735 L
.59712 .54586 L
.59703 .54575 L
.59575 .54414 L
.59551 .54396 L
.59448 .54254 L
.59391 .54187 L
.59302 .54093 L
.5923 .53978 L
.59194 .53933 L
.5907 .53774 L
.59069 .53772 L
.58943 .53612 L
.58909 .53578 L
.58781 .53451 L
.58749 .53366 L
.58685 .53291 L
.58588 .53156 L
.5857 .5313 L
.58443 .5297 L
.58428 .5296 L
.58318 .52809 L
.58267 .52751 L
.58175 .52649 L
.58106 .52538 L
.58069 .52488 L
.57946 .52329 L
.57945 .52328 L
.57822 .52167 L
.57785 .52133 L
.57662 .52007 L
.57625 .51918 L
.57566 .51846 L
.57464 .51704 L
.57452 .51686 L
.57327 .51525 L
.57304 .51514 L
.57204 .51364 L
.57143 .51297 L
.57062 .51204 L
.56983 .51079 L
.56956 .51043 L
.56834 .50883 L
.56822 .50867 L
.56713 .50722 L
.56662 .50677 L
.56554 .50562 L
.56501 .50454 L
.56459 .50401 L
.56344 .50241 L
.56341 .50237 L
.56223 .5008 L
.5618 .50062 L
.56101 .4992 L
.5602 .49827 L
.55962 .49759 L
.55859 .49604 L
.55855 .49599 L
.55736 .49438 L
.55699 .4939 L
.55616 .49278 L
.55538 .49201 L
.55464 .49117 L
.55378 .48967 L
.5537 .48957 L
.55254 .48796 L
.55217 .48749 L
.55135 .48636 L
.55057 .48533 L
.55014 .48475 L
.54896 .4832 L
.54892 .48314 L
.54778 .48154 L
.54735 .48098 L
.54662 .47993 L
.54575 .47877 L
.54544 .47833 L
.54428 .47672 L
.54414 .47654 L
.54319 .47512 L
.54254 .47423 L
.54208 .47351 L
.54096 .47191 L
.54093 .47187 L
.54006 .4703 L
F
0 .54 1 r
.54093 .53883 m
.54141 .53933 L
.54254 .54052 L
.54289 .54093 L
.54414 .54243 L
.54423 .54254 L
.54544 .54414 L
.54575 .54455 L
.54657 .54575 L
.54735 .54687 L
.54764 .54735 L
.54735 .54843 L
.54628 .54735 L
.54575 .54683 L
.54482 .54575 L
.54414 .54498 L
.54348 .54414 L
.54254 .54297 L
.54222 .54254 L
.54105 .54093 L
.54093 .54078 L
.54007 .53933 L
F
0 .53 1 r
.54093 .53892 m
.54133 .53933 L
.54254 .54058 L
.54283 .54093 L
.54414 .54249 L
.54418 .54254 L
.54538 .54414 L
.54575 .54462 L
.54651 .54575 L
.54735 .54698 L
.54757 .54735 L
.54735 .5483 L
.54637 .54735 L
.54575 .54675 L
.54489 .54575 L
.54414 .54491 L
.54354 .54414 L
.54254 .5429 L
.54227 .54254 L
.54111 .54093 L
.54093 .54068 L
.54016 .53933 L
F
1 .85 .01 r
.54093 .53228 m
.54159 .53291 L
.54254 .53324 L
.54376 .53451 L
.54414 .53483 L
.5453 .53612 L
.54575 .5366 L
.5467 .53772 L
.54735 .53853 L
.54814 .53933 L
.54896 .54054 L
.54928 .54093 L
.55057 .54252 L
.55057 .54254 L
.55183 .54414 L
.55217 .54446 L
.5533 .54575 L
.55378 .54662 L
.5543 .54735 L
.55538 .54882 L
.55545 .54896 L
.55664 .55057 L
.55699 .55105 L
.55834 .55217 L
.55859 .55338 L
.55894 .55378 L
.55978 .55538 L
.5602 .55659 L
.5602 .55699 L
.5602 .55699 L
.55895 .55699 L
.55859 .55682 L
.55699 .55547 L
.55667 .55538 L
.55538 .55385 L
.55524 .55378 L
.55387 .55217 L
.55378 .55213 L
.55255 .55057 L
.55217 .5502 L
.55125 .54896 L
.55057 .54815 L
.54982 .54735 L
.54896 .54607 L
.54871 .54575 L
.54747 .54414 L
.54735 .54399 L
.54626 .54254 L
.54575 .5422 L
.54473 .54093 L
.54414 .53986 L
.54379 .53933 L
.54268 .53772 L
.54254 .53752 L
.54159 .53612 L
.54093 .53507 L
.5406 .53451 L
.54023 .53291 L
F
1 .94 .156 r
.54093 .46341 m
.54144 .46388 L
.54254 .46494 L
.54307 .46549 L
.54414 .46651 L
.54458 .46709 L
.54575 .46839 L
.54617 .4687 L
.54735 .47022 L
.54743 .4703 L
.54883 .47191 L
.54896 .47197 L
.5502 .47351 L
.55057 .47393 L
.55201 .47512 L
.55217 .4759 L
.55291 .47672 L
.55378 .4779 L
.55409 .47833 L
.55538 .47985 L
.55553 .47993 L
.55683 .48154 L
.55699 .48175 L
.55821 .48314 L
.55859 .48379 L
.55933 .48475 L
.5602 .48587 L
.56044 .48636 L
.5618 .4879 L
.56198 .48796 L
.56334 .48957 L
.56341 .48979 L
.5645 .49117 L
.56501 .49189 L
.5656 .49278 L
.56662 .49403 L
.56706 .49438 L
.56822 .49589 L
.5683 .49599 L
.56959 .49759 L
.56983 .49798 L
.57071 .4992 L
.57143 .50013 L
.57175 .5008 L
.57304 .50226 L
.57332 .50241 L
.5746 .50401 L
.57464 .50414 L
.57578 .50562 L
.57625 .50627 L
.57686 .50722 L
.57785 .50843 L
.5783 .50883 L
.57946 .51035 L
.57953 .51043 L
.5808 .51204 L
.58106 .51245 L
.58192 .51364 L
.58267 .5146 L
.58295 .51525 L
.58428 .51672 L
.58449 .51686 L
.58579 .51846 L
.58588 .51867 L
.58695 .52007 L
.58749 .5208 L
.58802 .52167 L
.58909 .52294 L
.58944 .52328 L
.59066 .52488 L
.5907 .52492 L
.59196 .52649 L
.5923 .52702 L
.59305 .52809 L
.59391 .52916 L
.59411 .5297 L
.59551 .53124 L
.5956 .5313 L
.59696 .53291 L
.59712 .53326 L
.59807 .53451 L
.59872 .5354 L
.59915 .53612 L
.60033 .53751 L
.60053 .53772 L
.60176 .53933 L
.60193 .53952 L
.60308 .54093 L
.60354 .54164 L
.60416 .54254 L
.60514 .54377 L
.60526 .54414 L
.60668 .54575 L
.60675 .54581 L
.6081 .54735 L
.60835 .54789 L
.60916 .54896 L
.60996 .55004 L
.61026 .55057 L
.61156 .55214 L
.61159 .55217 L
.61281 .55378 L
.61317 .55415 L
.61416 .55538 L
.61477 .5563 L
.61524 .55699 L
.61638 .55845 L
.61642 .55859 L
.61771 .5602 L
.61799 .5604 L
.61919 .5618 L
.61959 .56258 L
.6202 .56341 L
.6212 .56476 L
.62134 .56501 L
.62259 .56662 L
.6228 .56689 L
.6243 .56822 L
.62441 .56885 L
.62516 .56983 L
.62601 .57109 L
.62624 .57143 L
.62745 .57304 L
.62762 .57326 L
.62864 .57464 L
.62922 .57511 L
.63013 .57625 L
.63083 .57747 L
.6311 .57785 L
.63225 .57946 L
.63243 .5797 L
.63343 .58106 L
.63404 .58188 L
.63512 .58267 L
.63564 .58395 L
.63588 .58428 L
.63696 .58588 L
.63725 .58626 L
.6381 .58749 L
.63885 .58851 L
.63925 .58909 L
.64039 .5907 L
.64046 .59079 L
.64144 .5923 L
.64206 .5932 L
.64249 .59391 L
.64347 .59551 L
.64206 .59583 L
.64191 .59551 L
.64046 .59406 L
.64034 .59391 L
.63886 .5923 L
.63885 .59229 L
.63744 .5907 L
.63725 .59049 L
.63604 .58909 L
.63564 .58878 L
.63466 .58749 L
.63404 .58677 L
.63298 .58588 L
.63243 .5848 L
.63195 .58428 L
.63083 .58283 L
.63071 .58267 L
.62935 .58106 L
.62922 .58093 L
.62805 .57946 L
.62762 .57892 L
.62665 .57785 L
.62601 .57687 L
.62553 .57625 L
.62441 .57483 L
.62433 .57464 L
.62292 .57304 L
.6228 .5729 L
.62146 .57143 L
.6212 .57083 L
.62038 .56983 L
.61959 .56873 L
.61926 .56822 L
.61799 .5667 L
.61786 .56662 L
.61662 .56501 L
.61638 .56472 L
.61528 .56341 L
.61477 .56261 L
.61418 .5618 L
.61317 .5605 L
.61306 .5602 L
.61162 .55859 L
.61156 .55853 L
.61021 .55699 L
.60996 .55644 L
.60912 .55538 L
.60835 .55432 L
.60802 .55378 L
.60675 .55225 L
.60664 .55217 L
.60541 .55057 L
.60514 .55024 L
.60407 .54896 L
.60354 .54812 L
.60298 .54735 L
.60193 .54601 L
.60185 .54575 L
.60045 .54414 L
.60033 .54401 L
.59902 .54254 L
.59872 .54191 L
.59796 .54093 L
.59712 .53978 L
.59685 .53933 L
.59551 .53773 L
.59551 .53772 L
.59395 .53612 L
.59391 .53568 L
.59293 .53451 L
.5923 .53355 L
.59184 .53291 L
.5907 .53145 L
.59066 .5313 L
.58935 .5297 L
.58909 .52945 L
.58788 .52809 L
.58749 .52732 L
.58684 .52649 L
.58588 .52519 L
.58571 .52488 L
.58442 .52328 L
.58428 .52319 L
.58278 .52167 L
.58267 .52109 L
.58182 .52007 L
.58106 .51893 L
.58073 .51846 L
.57949 .51686 L
.57946 .51682 L
.57827 .51525 L
.57785 .51487 L
.57678 .51364 L
.57625 .51269 L
.57575 .51204 L
.57464 .51054 L
.57459 .51043 L
.57335 .50883 L
.57304 .50866 L
.57167 .50722 L
.57143 .50645 L
.57076 .50562 L
.56983 .50426 L
.56966 .50401 L
.56844 .50241 L
.56822 .50213 L
.56723 .5008 L
.56662 .50023 L
.56574 .4992 L
.56501 .49798 L
.56472 .49759 L
.56354 .49599 L
.56341 .49581 L
.56234 .49438 L
.5618 .49407 L
.56066 .49278 L
.5602 .4917 L
.55978 .49117 L
.55866 .48957 L
.55859 .48948 L
.55747 .48796 L
.55699 .48734 L
.55626 .48636 L
.55538 .48542 L
.55484 .48475 L
.55381 .48314 L
.55378 .4831 L
.55264 .48154 L
.55217 .48094 L
.55144 .47993 L
.55057 .47879 L
.54993 .47833 L
.54902 .47672 L
.54896 .47664 L
.54788 .47512 L
.54735 .47443 L
.54671 .47351 L
.54575 .47223 L
.54552 .47191 L
.54438 .4703 L
.54414 .46999 L
.54328 .4687 L
.54254 .46766 L
.54218 .46709 L
.5411 .46549 L
.54093 .46524 L
.54023 .46388 L
F
0 .52 1 r
.54093 .53902 m
.54124 .53933 L
.54254 .54065 L
.54277 .54093 L
.54413 .54254 L
.54414 .54256 L
.54532 .54414 L
.54575 .54471 L
.54644 .54575 L
.54735 .54711 L
.54749 .54735 L
.54735 .54814 L
.54649 .54735 L
.54575 .54667 L
.54496 .54575 L
.54414 .54484 L
.5436 .54414 L
.54254 .54283 L
.54232 .54254 L
.54119 .54093 L
.54093 .54057 L
.54027 .53933 L
F
.001 .78 1 r
.54093 .47022 m
.54102 .4703 L
.54254 .47179 L
.54265 .47191 L
.54414 .47351 L
.54414 .47352 L
.54556 .47512 L
.54575 .47533 L
.54695 .47672 L
.54735 .47718 L
.54833 .47833 L
.54896 .47883 L
.54969 .47993 L
.55057 .48095 L
.55126 .48154 L
.55217 .48294 L
.55235 .48314 L
.55365 .48475 L
.55378 .4849 L
.55496 .48636 L
.55538 .48678 L
.55686 .48796 L
.55699 .48885 L
.55764 .48957 L
.55859 .49089 L
.5588 .49117 L
.56011 .49278 L
.5602 .49283 L
.56138 .49438 L
.5618 .49486 L
.56287 .49599 L
.56341 .49695 L
.56392 .49759 L
.56501 .49901 L
.56512 .4992 L
.56644 .5008 L
.56662 .50097 L
.56811 .50241 L
.56822 .50305 L
.56903 .50401 L
.56983 .50516 L
.57015 .50562 L
.57143 .50721 L
.57144 .50722 L
.57269 .50883 L
.57304 .50921 L
.57414 .51043 L
.57464 .51133 L
.57519 .51204 L
.57625 .51343 L
.57636 .51364 L
.57766 .51525 L
.57785 .51541 L
.57929 .51686 L
.57946 .51752 L
.58023 .51846 L
.58106 .51966 L
.58134 .52007 L
.58261 .52167 L
.58267 .52168 L
.58384 .52328 L
.58428 .52374 L
.58528 .52488 L
.58588 .5259 L
.58632 .52649 L
.58749 .52803 L
.58752 .52809 L
.58875 .5297 L
.58909 .52995 L
.5904 .5313 L
.5907 .53216 L
.59129 .53291 L
.5923 .53434 L
.59242 .53451 L
.59364 .53612 L
.59391 .53646 L
.59485 .53772 L
.59551 .53842 L
.59628 .53933 L
.59712 .54067 L
.59731 .54093 L
.59849 .54254 L
.59872 .54284 L
.59969 .54414 L
.60033 .54466 L
.6013 .54575 L
.60193 .54706 L
.60216 .54735 L
.60329 .54896 L
.60354 .54928 L
.60447 .55057 L
.60514 .55146 L
.60566 .55217 L
.60675 .55356 L
.60692 .55378 L
.608 .55538 L
.60835 .55585 L
.60915 .55699 L
.60996 .5581 L
.6103 .55859 L
.61144 .5602 L
.61156 .56037 L
.61249 .5618 L
.61317 .56278 L
.61355 .56341 L
.61317 .56481 L
.61184 .56341 L
.61156 .56313 L
.61038 .5618 L
.60996 .56135 L
.60897 .5602 L
.60835 .55951 L
.60758 .55859 L
.60675 .55781 L
.60621 .55699 L
.60514 .55574 L
.60474 .55538 L
.60354 .55378 L
.60354 .55377 L
.60224 .55217 L
.60193 .55208 L
.60093 .55057 L
.60033 .54992 L
.59919 .54896 L
.59872 .54785 L
.59827 .54735 L
.59712 .54582 L
.59706 .54575 L
.59578 .54414 L
.59551 .54393 L
.59451 .54254 L
.59391 .54184 L
.59305 .54093 L
.5923 .53975 L
.59197 .53933 L
.59071 .53772 L
.5907 .53771 L
.58946 .53612 L
.58909 .53575 L
.58782 .53451 L
.58749 .53363 L
.58687 .53291 L
.58588 .53153 L
.58572 .5313 L
.58445 .5297 L
.58428 .52959 L
.58321 .52809 L
.58267 .52748 L
.58177 .52649 L
.58106 .52535 L
.58071 .52488 L
.57947 .52328 L
.57946 .52327 L
.57824 .52167 L
.57785 .52131 L
.57664 .52007 L
.57625 .51915 L
.57568 .51846 L
.57464 .51702 L
.57453 .51686 L
.57329 .51525 L
.57304 .51513 L
.57206 .51364 L
.57143 .51295 L
.57064 .51204 L
.56983 .51077 L
.56958 .51043 L
.56836 .50883 L
.56822 .50865 L
.56715 .50722 L
.56662 .50675 L
.56556 .50562 L
.56501 .50451 L
.56462 .50401 L
.56346 .50241 L
.56341 .50234 L
.56225 .5008 L
.5618 .5006 L
.56104 .4992 L
.5602 .49824 L
.55965 .49759 L
.55859 .496 L
.55858 .49599 L
.55739 .49438 L
.55699 .49386 L
.55618 .49278 L
.55538 .49197 L
.55468 .49117 L
.55378 .48962 L
.55373 .48957 L
.55257 .48796 L
.55217 .48744 L
.55138 .48636 L
.55057 .48528 L
.55018 .48475 L
.54897 .48314 L
.54896 .48313 L
.54783 .48154 L
.54735 .48091 L
.54667 .47993 L
.54575 .4787 L
.54549 .47833 L
.54435 .47672 L
.54414 .47645 L
.54326 .47512 L
.54254 .47411 L
.54216 .47351 L
.5411 .47191 L
.54093 .47166 L
.54032 .4703 L
F
0 .51 1 r
.54093 .53913 m
.54114 .53933 L
.54254 .54073 L
.54271 .54093 L
.54406 .54254 L
.54414 .54264 L
.54525 .54414 L
.54575 .5448 L
.54637 .54575 L
.54735 .54727 L
.5474 .54735 L
.54735 .54793 L
.54663 .54735 L
.54575 .54658 L
.54503 .54575 L
.54414 .54476 L
.54365 .54414 L
.54254 .54276 L
.54238 .54254 L
.54127 .54093 L
.54093 .54044 L
.54039 .53933 L
F
1 .84 .007 r
.54093 .53265 m
.54128 .53291 L
.54254 .53331 L
.54366 .53451 L
.54414 .5349 L
.54524 .53612 L
.54575 .53667 L
.54665 .53772 L
.54735 .53859 L
.5481 .53933 L
.54896 .54058 L
.54925 .54093 L
.55055 .54254 L
.55057 .54256 L
.55179 .54414 L
.55217 .54449 L
.55327 .54575 L
.55378 .54667 L
.55427 .54735 L
.55538 .54888 L
.55542 .54896 L
.5566 .55057 L
.55699 .55111 L
.55829 .55217 L
.55859 .55347 L
.55886 .55378 L
.55967 .55538 L
.55859 .55668 L
.55699 .55542 L
.55683 .55538 L
.55538 .55381 L
.55532 .55378 L
.55392 .55217 L
.55378 .55211 L
.55259 .55057 L
.55217 .55016 L
.55129 .54896 L
.55057 .54811 L
.54985 .54735 L
.54896 .54603 L
.54874 .54575 L
.54751 .54414 L
.54735 .54395 L
.54629 .54254 L
.54575 .54216 L
.54476 .54093 L
.54414 .53981 L
.54383 .53933 L
.54273 .53772 L
.54254 .53745 L
.54165 .53612 L
.54093 .53496 L
.54068 .53451 L
.54054 .53291 L
F
0 .5 1 r
.54093 .53925 m
.54102 .53933 L
.54254 .54081 L
.54264 .54093 L
.54398 .54254 L
.54414 .54272 L
.54518 .54414 L
.54575 .54489 L
.5463 .54575 L
.54575 .54648 L
.54511 .54575 L
.54414 .54469 L
.54372 .54414 L
.54254 .54268 L
.54243 .54254 L
.54136 .54093 L
.54093 .54028 L
.54057 .53933 L
F
.084 .92 1 r
.54093 .51895 m
.54178 .52007 L
.54254 .52115 L
.54287 .52167 L
.54254 .52213 L
.5421 .52167 L
.54093 .52045 L
.54064 .52007 L
F
1 .24 0 r
.54093 .48961 m
.54202 .49117 L
.54254 .49182 L
.54318 .49278 L
.54414 .49402 L
.54438 .49438 L
.54414 .49536 L
.54337 .49438 L
.54254 .49347 L
.542 .49278 L
.54093 .49153 L
.54065 .49117 L
F
1 .23 0 r
.54093 .48967 m
.54197 .49117 L
.54254 .49189 L
.54313 .49278 L
.54414 .4941 L
.54432 .49438 L
.54414 .49526 L
.54345 .49438 L
.54254 .49339 L
.54205 .49278 L
.54093 .49147 L
.5407 .49117 L
F
1 .22 0 r
.54093 .48974 m
.54191 .49117 L
.54254 .49197 L
.54306 .49278 L
.54414 .4942 L
.54426 .49438 L
.54414 .49514 L
.54354 .49438 L
.54254 .49332 L
.54211 .49278 L
.54093 .49141 L
.54075 .49117 L
F
1 .83 .005 r
.54093 .53299 m
.54254 .53338 L
.54356 .53451 L
.54414 .53496 L
.54517 .53612 L
.54575 .53673 L
.5466 .53772 L
.54735 .53864 L
.54806 .53933 L
.54896 .54062 L
.54922 .54093 L
.55051 .54254 L
.55057 .54261 L
.55176 .54414 L
.55217 .54453 L
.55324 .54575 L
.55378 .54671 L
.55423 .54735 L
.55538 .54893 L
.55539 .54896 L
.55655 .55057 L
.55699 .55118 L
.55824 .55217 L
.55859 .55356 L
.55878 .55378 L
.55957 .55538 L
.55859 .55655 L
.557 .55538 L
.55699 .55537 L
.55539 .55378 L
.55538 .55376 L
.55398 .55217 L
.55378 .55209 L
.55263 .55057 L
.55217 .55012 L
.55132 .54896 L
.55057 .54807 L
.54989 .54735 L
.54896 .54599 L
.54877 .54575 L
.54754 .54414 L
.54735 .54391 L
.54632 .54254 L
.54575 .54212 L
.5448 .54093 L
.54414 .53975 L
.54387 .53933 L
.54277 .53772 L
.54254 .53738 L
.5417 .53612 L
.54093 .53483 L
.54076 .53451 L
F
1 .21 0 r
.54093 .48981 m
.54184 .49117 L
.54254 .49205 L
.54299 .49278 L
.54414 .4943 L
.54419 .49438 L
.54414 .495 L
.54365 .49438 L
.54254 .49323 L
.54218 .49278 L
.54093 .49134 L
.5408 .49117 L
F
0 .17 1 r
.54093 .48316 m
.54219 .48475 L
.54254 .48514 L
.54347 .48636 L
.54414 .48714 L
.54477 .48796 L
.54575 .48914 L
.54607 .48957 L
.54735 .49116 L
.54736 .49117 L
.54857 .49278 L
.54896 .49324 L
.5498 .49438 L
.55057 .49532 L
.55105 .49599 L
.55217 .4974 L
.55231 .49759 L
.55351 .4992 L
.55378 .49953 L
.55468 .5008 L
.55538 .50168 L
.55589 .50241 L
.55699 .50383 L
.55711 .50401 L
.55699 .50549 L
.55582 .50401 L
.55538 .50352 L
.55452 .50241 L
.55378 .50154 L
.55321 .5008 L
.55217 .49955 L
.5519 .4992 L
.55062 .49759 L
.55057 .49753 L
.54941 .49599 L
.54896 .49545 L
.54816 .49438 L
.54735 .49339 L
.5469 .49278 L
.54575 .49132 L
.54564 .49117 L
.54445 .48957 L
.54414 .48919 L
.54327 .48796 L
.54254 .48705 L
.54205 .48636 L
.54093 .48491 L
.54082 .48475 L
F
1 .82 .004 r
.54093 .5332 m
.54254 .53346 L
.54346 .53451 L
.54414 .53503 L
.54511 .53612 L
.54575 .53679 L
.54655 .53772 L
.54735 .53869 L
.54801 .53933 L
.54896 .54067 L
.54918 .54093 L
.55047 .54254 L
.55057 .54265 L
.55172 .54414 L
.55217 .54456 L
.55321 .54575 L
.55378 .54676 L
.5542 .54735 L
.55536 .54896 L
.55538 .54899 L
.55651 .55057 L
.55699 .55125 L
.55818 .55217 L
.55859 .55367 L
.55869 .55378 L
.55945 .55538 L
.55859 .5564 L
.55712 .55538 L
.55699 .55527 L
.55547 .55378 L
.55538 .55369 L
.55403 .55217 L
.55378 .55207 L
.55267 .55057 L
.55217 .55008 L
.55136 .54896 L
.55057 .54802 L
.54992 .54735 L
.54896 .54595 L
.5488 .54575 L
.54757 .54414 L
.54735 .54387 L
.54635 .54254 L
.54575 .54208 L
.54483 .54093 L
.54414 .53969 L
.54391 .53933 L
.54282 .53772 L
.54254 .53731 L
.54176 .53612 L
.54093 .53469 L
.54084 .53451 L
F
1 .2 0 r
.54093 .4899 m
.54176 .49117 L
.54254 .49216 L
.54291 .49278 L
.54254 .49314 L
.54226 .49278 L
.54093 .49127 L
.54086 .49117 L
F
0 .16 1 r
.54093 .48322 m
.54213 .48475 L
.54254 .4852 L
.54342 .48636 L
.54414 .48719 L
.54473 .48796 L
.54575 .48919 L
.54603 .48957 L
.54732 .49117 L
.54735 .49121 L
.54853 .49278 L
.54896 .49329 L
.54976 .49438 L
.55057 .49537 L
.55102 .49599 L
.55217 .49744 L
.55228 .49759 L
.55346 .4992 L
.55378 .49958 L
.55464 .5008 L
.55538 .50174 L
.55584 .50241 L
.55699 .50389 L
.55707 .50401 L
.55699 .50541 L
.55588 .50401 L
.55538 .50346 L
.55457 .50241 L
.55378 .50149 L
.55325 .5008 L
.55217 .4995 L
.55194 .4992 L
.55066 .49759 L
.55057 .49748 L
.54945 .49599 L
.54896 .49541 L
.5482 .49438 L
.54735 .49334 L
.54694 .49278 L
.54575 .49127 L
.54567 .49117 L
.54449 .48957 L
.54414 .48914 L
.54331 .48796 L
.54254 .48699 L
.54209 .48636 L
.54093 .48485 L
.54086 .48475 L
F
0 .55 1 r
.54093 .49664 m
.54134 .49759 L
.54093 .49763 L
.54089 .49759 L
F
0 .15 1 r
.54093 .4833 m
.54207 .48475 L
.54254 .48526 L
.54338 .48636 L
.54414 .48724 L
.54469 .48796 L
.54575 .48924 L
.546 .48957 L
.54728 .49117 L
.54735 .49126 L
.54849 .49278 L
.54896 .49334 L
.54972 .49438 L
.55057 .49542 L
.55098 .49599 L
.55217 .49749 L
.55225 .49759 L
.55342 .4992 L
.55378 .49964 L
.55459 .5008 L
.55538 .5018 L
.5558 .50241 L
.55699 .50395 L
.55703 .50401 L
.55699 .50533 L
.55595 .50401 L
.55538 .5034 L
.55462 .50241 L
.55378 .50143 L
.55329 .5008 L
.55217 .49945 L
.55198 .4992 L
.55071 .49759 L
.55057 .49743 L
.54949 .49599 L
.54896 .49536 L
.54824 .49438 L
.54735 .49329 L
.54697 .49278 L
.54575 .49123 L
.54571 .49117 L
.54454 .48957 L
.54414 .48908 L
.54335 .48796 L
.54254 .48694 L
.54213 .48636 L
.54093 .4848 L
.5409 .48475 L
F
1 .19 0 r
.54093 .48999 m
.54167 .49117 L
.54254 .49228 L
.54282 .49278 L
.54254 .49302 L
.54235 .49278 L
.54093 .49119 L
.54092 .49117 L
F
1 .81 .003 r
.54093 .53348 m
.54254 .53356 L
.54336 .53451 L
.54414 .5351 L
.54504 .53612 L
.54575 .53685 L
.5465 .53772 L
.54735 .53874 L
.54797 .53933 L
.54896 .54071 L
.54915 .54093 L
.55044 .54254 L
.55057 .5427 L
.55168 .54414 L
.55217 .5446 L
.55318 .54575 L
.55378 .54681 L
.55416 .54735 L
.55532 .54896 L
.55538 .54905 L
.55646 .55057 L
.55699 .55132 L
.55811 .55217 L
.55859 .55377 L
.55859 .55378 L
.55933 .55538 L
.55859 .55625 L
.55725 .55538 L
.55699 .55518 L
.55554 .55378 L
.55538 .55362 L
.55408 .55217 L
.55378 .55204 L
.55272 .55057 L
.55217 .55004 L
.5514 .54896 L
.55057 .54798 L
.54996 .54735 L
.54896 .54591 L
.54883 .54575 L
.5476 .54414 L
.54735 .54383 L
.54639 .54254 L
.54575 .54204 L
.54487 .54093 L
.54414 .53962 L
.54395 .53933 L
.54287 .53772 L
.54254 .53724 L
.54182 .53612 L
.54093 .53452 L
.54093 .53451 L
F
1 .8 .002 r
.54254 .53367 m
.54325 .53451 L
.54414 .53517 L
.54498 .53612 L
.54575 .53691 L
.54645 .53772 L
.54735 .53879 L
.54792 .53933 L
.54896 .54075 L
.54911 .54093 L
.5504 .54254 L
.55057 .54275 L
.55165 .54414 L
.55217 .54464 L
.55315 .54575 L
.55378 .54687 L
.55412 .54735 L
.55527 .54896 L
.55538 .54911 L
.55641 .55057 L
.55699 .55139 L
.55804 .55217 L
.55851 .55378 L
.55859 .55392 L
.5592 .55538 L
.55859 .55609 L
.5574 .55538 L
.55699 .55508 L
.55562 .55378 L
.55538 .55355 L
.55414 .55217 L
.55378 .55201 L
.55276 .55057 L
.55217 .54999 L
.55143 .54896 L
.55057 .54794 L
.55 .54735 L
.54896 .54587 L
.54887 .54575 L
.54764 .54414 L
.54735 .54378 L
.54642 .54254 L
.54575 .542 L
.54491 .54093 L
.54414 .53955 L
.544 .53933 L
.54291 .53772 L
.54254 .53717 L
.54188 .53612 L
.54104 .53451 L
F
1 .79 .001 r
.54254 .5338 m
.54313 .53451 L
.54414 .53524 L
.54491 .53612 L
.54575 .53697 L
.54639 .53772 L
.54735 .53885 L
.54787 .53933 L
.54896 .5408 L
.54908 .54093 L
.55036 .54254 L
.55057 .54279 L
.55161 .54414 L
.55217 .54468 L
.55311 .54575 L
.55378 .54692 L
.55408 .54735 L
.55523 .54896 L
.55538 .54916 L
.55637 .55057 L
.55699 .55147 L
.55795 .55217 L
.55843 .55378 L
.55859 .55408 L
.55905 .55538 L
.55859 .55591 L
.55757 .55538 L
.55699 .55498 L
.5557 .55378 L
.55538 .55347 L
.5542 .55217 L
.55378 .55198 L
.55281 .55057 L
.55217 .54995 L
.55147 .54896 L
.55057 .54789 L
.55004 .54735 L
.54896 .54583 L
.5489 .54575 L
.54767 .54414 L
.54735 .54374 L
.54645 .54254 L
.54575 .54195 L
.54495 .54093 L
.54414 .53949 L
.54404 .53933 L
.54296 .53772 L
.54254 .53709 L
.54194 .53612 L
.54116 .53451 L
F
1 .78 .001 r
.54254 .53396 m
.543 .53451 L
.54414 .53531 L
.54484 .53612 L
.54575 .53703 L
.54634 .53772 L
.54735 .5389 L
.54783 .53933 L
.54896 .54084 L
.54904 .54093 L
.55032 .54254 L
.55057 .54284 L
.55158 .54414 L
.55217 .54472 L
.55307 .54575 L
.55378 .54697 L
.55405 .54735 L
.55519 .54896 L
.55538 .54922 L
.55632 .55057 L
.55699 .55154 L
.55786 .55217 L
.55835 .55378 L
.55859 .55429 L
.55888 .55538 L
.55859 .55571 L
.55777 .55538 L
.55699 .55488 L
.55578 .55378 L
.55538 .5534 L
.55425 .55217 L
.55378 .55195 L
.55285 .55057 L
.55217 .5499 L
.55151 .54896 L
.55057 .54785 L
.55008 .54735 L
.54896 .54578 L
.54893 .54575 L
.5477 .54414 L
.54735 .5437 L
.54648 .54254 L
.54575 .5419 L
.545 .54093 L
.54414 .53941 L
.54409 .53933 L
.54301 .53772 L
.54254 .53701 L
.542 .53612 L
.5413 .53451 L
F
0 .49 1 r
.54254 .54089 m
.54257 .54093 L
.5439 .54254 L
.54414 .54282 L
.5451 .54414 L
.54575 .545 L
.54621 .54575 L
.54575 .54637 L
.5452 .54575 L
.54414 .5446 L
.54378 .54414 L
.54254 .5426 L
.5425 .54254 L
.54146 .54093 L
F
1 .77 .001 r
.54254 .53414 m
.54285 .53451 L
.54414 .53539 L
.54476 .53612 L
.54575 .53709 L
.54629 .53772 L
.54735 .53895 L
.54777 .53933 L
.54896 .54088 L
.54901 .54093 L
.55028 .54254 L
.55057 .54289 L
.55154 .54414 L
.55217 .54477 L
.55304 .54575 L
.55378 .54703 L
.55401 .54735 L
.55515 .54896 L
.55538 .54928 L
.55627 .55057 L
.55699 .55162 L
.55776 .55217 L
.55826 .55378 L
.55859 .55458 L
.55866 .55538 L
.55859 .55545 L
.55808 .55538 L
.55699 .55478 L
.55587 .55378 L
.55538 .55333 L
.55431 .55217 L
.55378 .55192 L
.5529 .55057 L
.55217 .54985 L
.55155 .54896 L
.55057 .5478 L
.55012 .54735 L
.54897 .54575 L
.54896 .54574 L
.54774 .54414 L
.54735 .54365 L
.54652 .54254 L
.54575 .54184 L
.54504 .54093 L
.54414 .53934 L
.54414 .53933 L
.54306 .53772 L
.54254 .53692 L
.54206 .53612 L
.54147 .53451 L
F
1 .76 .001 r
.54254 .53435 m
.54268 .53451 L
.54414 .53547 L
.54469 .53612 L
.54575 .53715 L
.54623 .53772 L
.54735 .539 L
.54772 .53933 L
.54896 .54093 L
.54897 .54093 L
.55025 .54254 L
.55057 .54294 L
.5515 .54414 L
.55217 .54481 L
.553 .54575 L
.55378 .54709 L
.55396 .54735 L
.5551 .54896 L
.55538 .54935 L
.55623 .55057 L
.55699 .5517 L
.55765 .55217 L
.55816 .55378 L
.55699 .55467 L
.55596 .55378 L
.55538 .55325 L
.55437 .55217 L
.55378 .55188 L
.55294 .55057 L
.55217 .5498 L
.55159 .54896 L
.55057 .54775 L
.55017 .54735 L
.549 .54575 L
.54896 .5457 L
.54777 .54414 L
.54735 .54361 L
.54655 .54254 L
.54575 .54178 L
.54509 .54093 L
.54418 .53933 L
.54414 .53928 L
.54311 .53772 L
.54254 .53683 L
.54213 .53612 L
.54168 .53451 L
F
1 .44 0 r
.54254 .47845 m
.54381 .47993 L
.54414 .4803 L
.54517 .48154 L
.54575 .48219 L
.54653 .48314 L
.54735 .48411 L
.54787 .48475 L
.54896 .48593 L
.5492 .48636 L
.5505 .48796 L
.55057 .48804 L
.55178 .48957 L
.55217 .49003 L
.55307 .49117 L
.55378 .49204 L
.55436 .49278 L
.55538 .49397 L
.55585 .49438 L
.55691 .49599 L
.55699 .49608 L
.55816 .49759 L
.55859 .49813 L
.55942 .4992 L
.5602 .49992 L
.56068 .5008 L
.5618 .5022 L
.562 .50241 L
.56317 .50401 L
.56341 .50431 L
.56441 .50562 L
.56501 .50638 L
.56565 .50722 L
.56662 .50834 L
.56711 .50883 L
.56813 .51043 L
.56822 .51055 L
.56934 .51204 L
.56983 .51266 L
.57057 .51364 L
.57143 .51448 L
.5718 .51525 L
.57303 .51686 L
.57304 .51687 L
.57421 .51846 L
.57464 .51902 L
.57541 .52007 L
.57625 .52115 L
.57663 .52167 L
.57784 .52328 L
.57785 .52329 L
.57899 .52488 L
.57946 .52549 L
.58017 .52649 L
.58106 .52768 L
.58135 .52809 L
.58251 .5297 L
.58267 .5299 L
.58361 .5313 L
.58428 .53221 L
.58473 .53291 L
.58428 .53418 L
.58318 .53291 L
.58267 .53236 L
.58179 .5313 L
.58106 .53049 L
.58042 .5297 L
.57946 .52858 L
.57906 .52809 L
.57785 .5267 L
.57755 .52649 L
.57644 .52488 L
.57625 .52466 L
.57515 .52328 L
.57464 .52267 L
.57385 .52167 L
.57304 .52104 L
.57256 .52007 L
.57143 .51871 L
.57117 .51846 L
.57001 .51686 L
.56983 .51663 L
.56876 .51525 L
.56822 .51459 L
.56749 .51364 L
.56662 .51273 L
.56579 .51204 L
.56501 .5105 L
.56495 .51043 L
.56374 .50883 L
.56341 .50842 L
.5625 .50722 L
.5618 .50681 L
.56125 .50562 L
.5602 .50435 L
.55987 .50401 L
.55877 .50241 L
.55859 .50218 L
.55756 .5008 L
.55699 .50008 L
.55633 .4992 L
.55538 .49817 L
.55477 .49759 L
.55387 .49599 L
.55378 .49587 L
.55268 .49438 L
.55217 .49373 L
.55147 .49278 L
.55057 .4916 L
.55025 .49117 L
.54904 .48957 L
.54896 .48946 L
.54788 .48796 L
.54735 .48728 L
.5467 .48636 L
.54575 .4851 L
.5455 .48475 L
.54434 .48314 L
.54414 .48289 L
.54322 .48154 L
.54254 .48062 L
.54209 .47993 L
F
1 .43 0 r
.54254 .47853 m
.54375 .47993 L
.54414 .48036 L
.54513 .48154 L
.54575 .48224 L
.54649 .48314 L
.54735 .48416 L
.54783 .48475 L
.54896 .48598 L
.54916 .48636 L
.55047 .48796 L
.55057 .48808 L
.55175 .48957 L
.55217 .49007 L
.55304 .49117 L
.55378 .49207 L
.55433 .49278 L
.55538 .494 L
.5558 .49438 L
.55688 .49599 L
.55699 .49612 L
.55813 .49759 L
.55859 .49816 L
.55939 .4992 L
.5602 .49995 L
.56066 .5008 L
.5618 .50223 L
.56197 .50241 L
.56315 .50401 L
.56341 .50433 L
.56438 .50562 L
.56501 .50641 L
.56563 .50722 L
.56662 .50838 L
.56707 .50883 L
.56811 .51043 L
.56822 .51058 L
.56932 .51204 L
.56983 .51269 L
.57054 .51364 L
.57143 .51452 L
.57178 .51525 L
.573 .51686 L
.57304 .5169 L
.57418 .51846 L
.57464 .51905 L
.57539 .52007 L
.57625 .52119 L
.5766 .52167 L
.57781 .52328 L
.57785 .52333 L
.57896 .52488 L
.57946 .52553 L
.58013 .52649 L
.58106 .52773 L
.58132 .52809 L
.58247 .5297 L
.58267 .52996 L
.58356 .5313 L
.58428 .53228 L
.58467 .53291 L
.58428 .5341 L
.58325 .53291 L
.58267 .5323 L
.58184 .5313 L
.58106 .53044 L
.58046 .5297 L
.57946 .52853 L
.5791 .52809 L
.57785 .52664 L
.57763 .52649 L
.57647 .52488 L
.57625 .52462 L
.57518 .52328 L
.57464 .52264 L
.57388 .52167 L
.57304 .52099 L
.57259 .52007 L
.57143 .51867 L
.57121 .51846 L
.57004 .51686 L
.56983 .5166 L
.56878 .51525 L
.56822 .51456 L
.56752 .51364 L
.56662 .5127 L
.56583 .51204 L
.56501 .51047 L
.56498 .51043 L
.56376 .50883 L
.56341 .50839 L
.56252 .50722 L
.5618 .50678 L
.56127 .50562 L
.5602 .50432 L
.5599 .50401 L
.55879 .50241 L
.55859 .50215 L
.55758 .5008 L
.55699 .50005 L
.55635 .4992 L
.55538 .49814 L
.55481 .49759 L
.55389 .49599 L
.55378 .49584 L
.5527 .49438 L
.55217 .4937 L
.55149 .49278 L
.55057 .49157 L
.55027 .49117 L
.54907 .48957 L
.54896 .48943 L
.54791 .48796 L
.54735 .48724 L
.54673 .48636 L
.54575 .48506 L
.54553 .48475 L
.54438 .48314 L
.54414 .48284 L
.54327 .48154 L
.54254 .48055 L
.54214 .47993 L
F
0 .14 1 r
.54254 .48533 m
.54332 .48636 L
.54414 .4873 L
.54464 .48796 L
.54575 .48929 L
.54596 .48957 L
.54723 .49117 L
.54735 .49131 L
.54844 .49278 L
.54896 .49339 L
.54968 .49438 L
.55057 .49546 L
.55094 .49599 L
.55217 .49754 L
.55221 .49759 L
.55337 .4992 L
.55378 .4997 L
.55454 .5008 L
.55538 .50186 L
.55575 .50241 L
.55538 .50333 L
.55467 .50241 L
.55378 .50138 L
.55334 .5008 L
.55217 .4994 L
.55202 .4992 L
.55076 .49759 L
.55057 .49737 L
.54953 .49599 L
.54896 .49531 L
.54828 .49438 L
.54735 .49325 L
.54701 .49278 L
.54575 .49118 L
.54574 .49117 L
.54459 .48957 L
.54414 .48902 L
.5434 .48796 L
.54254 .48688 L
.54218 .48636 L
F
1 .42 0 r
.54254 .47861 m
.54368 .47993 L
.54414 .48042 L
.54508 .48154 L
.54575 .4823 L
.54645 .48314 L
.54735 .4842 L
.5478 .48475 L
.54896 .48604 L
.54913 .48636 L
.55043 .48796 L
.55057 .48812 L
.55172 .48957 L
.55217 .49011 L
.55301 .49117 L
.55378 .49211 L
.5543 .49278 L
.55538 .49404 L
.55576 .49438 L
.55685 .49599 L
.55699 .49615 L
.55811 .49759 L
.55859 .49819 L
.55937 .4992 L
.5602 .49998 L
.56063 .5008 L
.5618 .50227 L
.56194 .50241 L
.56313 .50401 L
.56341 .50436 L
.56436 .50562 L
.56501 .50644 L
.56561 .50722 L
.56662 .50841 L
.56704 .50883 L
.56808 .51043 L
.56822 .51061 L
.56929 .51204 L
.56983 .51272 L
.57052 .51364 L
.57143 .51456 L
.57175 .51525 L
.57297 .51686 L
.57304 .51694 L
.57416 .51846 L
.57464 .51908 L
.57536 .52007 L
.57625 .52122 L
.57658 .52167 L
.57778 .52328 L
.57785 .52337 L
.57893 .52488 L
.57946 .52557 L
.5801 .52649 L
.58106 .52777 L
.58129 .52809 L
.58242 .5297 L
.58267 .53003 L
.58351 .5313 L
.58428 .53236 L
.58462 .53291 L
.58428 .53401 L
.58332 .53291 L
.58267 .53223 L
.58189 .5313 L
.58106 .53038 L
.5805 .5297 L
.57946 .52849 L
.57914 .52809 L
.57785 .52658 L
.57772 .52649 L
.5765 .52488 L
.57625 .52458 L
.57521 .52328 L
.57464 .5226 L
.57391 .52167 L
.57304 .52095 L
.57261 .52007 L
.57143 .51863 L
.57125 .51846 L
.57006 .51686 L
.56983 .51657 L
.56881 .51525 L
.56822 .51453 L
.56754 .51364 L
.56662 .51266 L
.56587 .51204 L
.56501 .51044 L
.56501 .51043 L
.56378 .50883 L
.56341 .50836 L
.56254 .50722 L
.5618 .50674 L
.56129 .50562 L
.5602 .50428 L
.55994 .50401 L
.55882 .50241 L
.55859 .50212 L
.5576 .5008 L
.55699 .50002 L
.55637 .4992 L
.55538 .4981 L
.55485 .49759 L
.55392 .49599 L
.55378 .49581 L
.55273 .49438 L
.55217 .49367 L
.55152 .49278 L
.55057 .49154 L
.5503 .49117 L
.5491 .48957 L
.54896 .48939 L
.54794 .48796 L
.54735 .4872 L
.54676 .48636 L
.54575 .48502 L
.54556 .48475 L
.54442 .48314 L
.54414 .48278 L
.54331 .48154 L
.54254 .48048 L
.54218 .47993 L
F
1 .75 0 r
.54254 .53455 m
.54414 .53556 L
.54461 .53612 L
.54575 .53722 L
.54618 .53772 L
.54735 .53905 L
.54766 .53933 L
.54893 .54093 L
.54896 .54097 L
.55021 .54254 L
.55057 .54298 L
.55147 .54414 L
.55217 .54486 L
.55295 .54575 L
.55378 .54715 L
.55392 .54735 L
.55506 .54896 L
.55538 .54941 L
.55618 .55057 L
.55699 .55179 L
.55754 .55217 L
.55806 .55378 L
.55699 .55457 L
.55605 .55378 L
.55538 .55318 L
.55443 .55217 L
.55378 .55183 L
.55299 .55057 L
.55217 .54975 L
.55163 .54896 L
.55057 .54771 L
.55021 .54735 L
.54904 .54575 L
.54896 .54565 L
.54781 .54414 L
.54735 .54357 L
.54659 .54254 L
.54575 .54172 L
.54514 .54093 L
.54422 .53933 L
.54414 .53922 L
.54316 .53772 L
.54254 .53673 L
.5422 .53612 L
F
0 .13 1 r
.54254 .4854 m
.54327 .48636 L
.54414 .48736 L
.5446 .48796 L
.54575 .48934 L
.54592 .48957 L
.54575 .49112 L
.54464 .48957 L
.54414 .48896 L
.54345 .48796 L
.54254 .48681 L
.54222 .48636 L
F
1 .41 0 r
.54254 .47869 m
.54362 .47993 L
.54414 .48049 L
.54502 .48154 L
.54575 .48235 L
.5464 .48314 L
.54735 .48425 L
.54776 .48475 L
.54896 .4861 L
.5491 .48636 L
.5504 .48796 L
.55057 .48816 L
.55169 .48957 L
.55217 .49014 L
.55298 .49117 L
.55378 .49214 L
.55428 .49278 L
.55538 .49408 L
.55572 .49438 L
.55683 .49599 L
.55699 .49618 L
.55808 .49759 L
.55859 .49822 L
.55935 .4992 L
.5602 .50002 L
.56061 .5008 L
.5618 .5023 L
.5619 .50241 L
.5631 .50401 L
.56341 .50439 L
.56434 .50562 L
.56501 .50647 L
.56559 .50722 L
.56662 .50845 L
.567 .50883 L
.56806 .51043 L
.56822 .51064 L
.56927 .51204 L
.56983 .51275 L
.5705 .51364 L
.57143 .5146 L
.57173 .51525 L
.57295 .51686 L
.57304 .51697 L
.57413 .51846 L
.57464 .51912 L
.57534 .52007 L
.57625 .52126 L
.57655 .52167 L
.57775 .52328 L
.57785 .52341 L
.5789 .52488 L
.57946 .52562 L
.58007 .52649 L
.58106 .52782 L
.58125 .52809 L
.58237 .5297 L
.58267 .53009 L
.58345 .5313 L
.58428 .53245 L
.58455 .53291 L
.58428 .5339 L
.5834 .53291 L
.58267 .53216 L
.58195 .5313 L
.58106 .53033 L
.58055 .5297 L
.57946 .52844 L
.57918 .52809 L
.57785 .52652 L
.5778 .52649 L
.57654 .52488 L
.57625 .52454 L
.57524 .52328 L
.57464 .52256 L
.57394 .52167 L
.57304 .5209 L
.57264 .52007 L
.57143 .51859 L
.57129 .51846 L
.57009 .51686 L
.56983 .51654 L
.56883 .51525 L
.56822 .5145 L
.56756 .51364 L
.56662 .51263 L
.56591 .51204 L
.56503 .51043 L
.56501 .51041 L
.5638 .50883 L
.56341 .50834 L
.56256 .50722 L
.5618 .50671 L
.56131 .50562 L
.5602 .50425 L
.55997 .50401 L
.55884 .50241 L
.55859 .5021 L
.55762 .5008 L
.55699 .49999 L
.55639 .4992 L
.55538 .49806 L
.55489 .49759 L
.55394 .49599 L
.55378 .49578 L
.55275 .49438 L
.55217 .49364 L
.55154 .49278 L
.55057 .49151 L
.55032 .49117 L
.54913 .48957 L
.54896 .48935 L
.54797 .48796 L
.54735 .48716 L
.54679 .48636 L
.54575 .48497 L
.54559 .48475 L
.54446 .48314 L
.54414 .48272 L
.54336 .48154 L
.54254 .48041 L
.54224 .47993 L
F
.001 .77 1 r
.54254 .47196 m
.54401 .47351 L
.54414 .47365 L
.54545 .47512 L
.54575 .47543 L
.54687 .47672 L
.54735 .47727 L
.54825 .47833 L
.54896 .4789 L
.54962 .47993 L
.55057 .48102 L
.55118 .48154 L
.55217 .483 L
.5523 .48314 L
.5536 .48475 L
.55378 .48496 L
.55491 .48636 L
.55538 .48683 L
.55683 .48796 L
.55699 .4889 L
.5576 .48957 L
.55859 .49094 L
.55877 .49117 L
.56007 .49278 L
.5602 .49285 L
.56135 .49438 L
.5618 .4949 L
.56285 .49599 L
.56341 .49699 L
.56389 .49759 L
.56501 .49904 L
.5651 .4992 L
.56641 .5008 L
.56662 .501 L
.5681 .50241 L
.56822 .50309 L
.56901 .50401 L
.56983 .50519 L
.57013 .50562 L
.57143 .50722 L
.57143 .50723 L
.57267 .50883 L
.57304 .50923 L
.57412 .51043 L
.57464 .51136 L
.57517 .51204 L
.57625 .51346 L
.57635 .51364 L
.57764 .51525 L
.57785 .51543 L
.57928 .51686 L
.57946 .51755 L
.58021 .51846 L
.58106 .51969 L
.58132 .52007 L
.58259 .52167 L
.58267 .52168 L
.58382 .52328 L
.58428 .52376 L
.58526 .52488 L
.58588 .52593 L
.5863 .52649 L
.58749 .52806 L
.5875 .52809 L
.58873 .5297 L
.58909 .52997 L
.59038 .5313 L
.5907 .53219 L
.59127 .53291 L
.5923 .53437 L
.5924 .53451 L
.59361 .53612 L
.59391 .5365 L
.59483 .53772 L
.59551 .53845 L
.59625 .53933 L
.59712 .54071 L
.59728 .54093 L
.59846 .54254 L
.59872 .54288 L
.59966 .54414 L
.60033 .54471 L
.60126 .54575 L
.60193 .54711 L
.60212 .54735 L
.60326 .54896 L
.60354 .54933 L
.60443 .55057 L
.60514 .55151 L
.60562 .55217 L
.60675 .55365 L
.60685 .55378 L
.60795 .55538 L
.60835 .55593 L
.60909 .55699 L
.60996 .55818 L
.61024 .55859 L
.61135 .5602 L
.61156 .56049 L
.61239 .5618 L
.61317 .56295 L
.61343 .56341 L
.61317 .5646 L
.612 .56341 L
.61156 .56299 L
.61049 .5618 L
.60996 .56124 L
.60906 .5602 L
.60835 .55942 L
.60765 .55859 L
.60675 .55772 L
.60628 .55699 L
.60514 .55566 L
.60482 .55538 L
.6036 .55378 L
.60354 .5537 L
.60229 .55217 L
.60193 .55206 L
.60098 .55057 L
.60033 .54987 L
.59924 .54896 L
.59872 .5478 L
.59831 .54735 L
.59712 .54578 L
.59709 .54575 L
.59582 .54414 L
.59551 .54391 L
.59454 .54254 L
.59391 .5418 L
.59308 .54093 L
.5923 .53971 L
.59199 .53933 L
.59074 .53772 L
.5907 .53767 L
.58948 .53612 L
.58909 .53572 L
.58784 .53451 L
.58749 .5336 L
.5869 .53291 L
.58588 .53151 L
.58574 .5313 L
.58447 .5297 L
.58428 .52957 L
.58323 .52809 L
.58267 .52746 L
.58179 .52649 L
.58106 .52532 L
.58073 .52488 L
.57949 .52328 L
.57946 .52324 L
.57826 .52167 L
.57785 .52129 L
.57665 .52007 L
.57625 .51913 L
.5757 .51846 L
.57464 .517 L
.57455 .51686 L
.57331 .51525 L
.57304 .51512 L
.57208 .51364 L
.57143 .51292 L
.57066 .51204 L
.56983 .51074 L
.5696 .51043 L
.56839 .50883 L
.56822 .50862 L
.56717 .50722 L
.56662 .50672 L
.56558 .50562 L
.56501 .50448 L
.56464 .50401 L
.56348 .50241 L
.56341 .50231 L
.56228 .5008 L
.5618 .50058 L
.56106 .4992 L
.5602 .49821 L
.55968 .49759 L
.5586 .49599 L
.55859 .49597 L
.55741 .49438 L
.55699 .49383 L
.55621 .49278 L
.55538 .49193 L
.55472 .49117 L
.55378 .48957 L
.55377 .48957 L
.5526 .48796 L
.55217 .4874 L
.55141 .48636 L
.55057 .48524 L
.55021 .48475 L
.54901 .48314 L
.54896 .48307 L
.54787 .48154 L
.54735 .48085 L
.54672 .47993 L
.54575 .47863 L
.54554 .47833 L
.54442 .47672 L
.54414 .47635 L
.54334 .47512 L
.54254 .47398 L
.54225 .47351 L
F
1 .74 0 r
.54254 .5347 m
.54414 .53565 L
.54453 .53612 L
.54575 .53728 L
.54612 .53772 L
.54735 .53911 L
.54761 .53933 L
.54888 .54093 L
.54896 .54103 L
.55017 .54254 L
.55057 .54303 L
.55143 .54414 L
.55217 .54491 L
.55291 .54575 L
.55378 .54721 L
.55388 .54735 L
.55502 .54896 L
.55538 .54948 L
.55613 .55057 L
.55699 .55188 L
.55741 .55217 L
.55796 .55378 L
.55699 .55445 L
.55616 .55378 L
.55538 .5531 L
.5545 .55217 L
.55378 .55179 L
.55304 .55057 L
.55217 .5497 L
.55167 .54896 L
.55057 .54766 L
.55026 .54735 L
.54908 .54575 L
.54896 .54561 L
.54784 .54414 L
.54735 .54352 L
.54662 .54254 L
.54575 .54166 L
.5452 .54093 L
.54427 .53933 L
.54414 .53915 L
.54321 .53772 L
.54254 .53662 L
.54227 .53612 L
F
0 .12 1 r
.54254 .48547 m
.5432 .48636 L
.54414 .48742 L
.54455 .48796 L
.54575 .48939 L
.54588 .48957 L
.54575 .49106 L
.54469 .48957 L
.54414 .4889 L
.5435 .48796 L
.54254 .48675 L
.54227 .48636 L
F
1 .4 0 r
.54254 .47879 m
.54354 .47993 L
.54414 .48056 L
.54497 .48154 L
.54575 .4824 L
.54636 .48314 L
.54735 .4843 L
.54772 .48475 L
.54896 .48617 L
.54906 .48636 L
.55036 .48796 L
.55057 .4882 L
.55165 .48957 L
.55217 .49018 L
.55295 .49117 L
.55378 .49217 L
.55425 .49278 L
.55538 .49412 L
.55567 .49438 L
.5568 .49599 L
.55699 .49621 L
.55806 .49759 L
.55859 .49825 L
.55932 .4992 L
.5602 .50006 L
.56059 .5008 L
.5618 .50233 L
.56187 .50241 L
.56308 .50401 L
.56341 .50442 L
.56432 .50562 L
.56501 .5065 L
.56556 .50722 L
.56662 .50848 L
.56697 .50883 L
.56803 .51043 L
.56822 .51067 L
.56925 .51204 L
.56983 .51278 L
.57047 .51364 L
.57143 .51465 L
.57171 .51525 L
.57292 .51686 L
.57304 .517 L
.57411 .51846 L
.57464 .51915 L
.57531 .52007 L
.57625 .52129 L
.57652 .52167 L
.57771 .52328 L
.57785 .52346 L
.57886 .52488 L
.57946 .52566 L
.58003 .52649 L
.58106 .52787 L
.58122 .52809 L
.58232 .5297 L
.58267 .53016 L
.5834 .5313 L
.58428 .53255 L
.58449 .53291 L
.58428 .53379 L
.58348 .53291 L
.58267 .53209 L
.58201 .5313 L
.58106 .53027 L
.58059 .5297 L
.57946 .52839 L
.57922 .52809 L
.57787 .52649 L
.57785 .52646 L
.57658 .52488 L
.57625 .5245 L
.57527 .52328 L
.57464 .52253 L
.57397 .52167 L
.57304 .52086 L
.57267 .52007 L
.57143 .51855 L
.57133 .51846 L
.57012 .51686 L
.56983 .5165 L
.56886 .51525 L
.56822 .51447 L
.56759 .51364 L
.56662 .51259 L
.56595 .51204 L
.56506 .51043 L
.56501 .51038 L
.56383 .50883 L
.56341 .50831 L
.56258 .50722 L
.5618 .50668 L
.56133 .50562 L
.5602 .50421 L
.56 .50401 L
.55886 .50241 L
.55859 .50207 L
.55765 .5008 L
.55699 .49996 L
.55641 .4992 L
.55538 .49801 L
.55494 .49759 L
.55397 .49599 L
.55378 .49574 L
.55278 .49438 L
.55217 .4936 L
.55157 .49278 L
.55057 .49147 L
.55035 .49117 L
.54916 .48957 L
.54896 .48931 L
.548 .48796 L
.54735 .48712 L
.54682 .48636 L
.54575 .48493 L
.54562 .48475 L
.54451 .48314 L
.54414 .48266 L
.54341 .48154 L
.54254 .48033 L
.54229 .47993 L
F
0 .11 1 r
.54254 .48556 m
.54314 .48636 L
.54414 .48748 L
.5445 .48796 L
.54575 .48945 L
.54584 .48957 L
.54575 .49099 L
.54476 .48957 L
.54414 .48883 L
.54356 .48796 L
.54254 .48667 L
.54233 .48636 L
F
1 .73 0 r
.54254 .53486 m
.54414 .53575 L
.54445 .53612 L
.54575 .53735 L
.54606 .53772 L
.54735 .53916 L
.54755 .53933 L
.54884 .54093 L
.54896 .54108 L
.55013 .54254 L
.55057 .54308 L
.55139 .54414 L
.55217 .54497 L
.55286 .54575 L
.55378 .54727 L
.55384 .54735 L
.55497 .54896 L
.55538 .54954 L
.55608 .55057 L
.55699 .55198 L
.55727 .55217 L
.55784 .55378 L
.55699 .55433 L
.55627 .55378 L
.55538 .55302 L
.55456 .55217 L
.55378 .55173 L
.55309 .55057 L
.55217 .54965 L
.55171 .54896 L
.55057 .54761 L
.55031 .54735 L
.54911 .54575 L
.54896 .54556 L
.54788 .54414 L
.54735 .54348 L
.54666 .54254 L
.54575 .54159 L
.54525 .54093 L
.54431 .53933 L
.54414 .53908 L
.54327 .53772 L
.54254 .5365 L
.54234 .53612 L
F
1 .39 0 r
.54254 .4789 m
.54346 .47993 L
.54414 .48063 L
.54491 .48154 L
.54575 .48246 L
.54631 .48314 L
.54735 .48435 L
.54768 .48475 L
.54896 .48623 L
.54903 .48636 L
.55033 .48796 L
.55057 .48824 L
.55162 .48957 L
.55217 .49022 L
.55292 .49117 L
.55378 .49221 L
.55422 .49278 L
.55538 .49417 L
.55563 .49438 L
.55677 .49599 L
.55699 .49625 L
.55803 .49759 L
.55859 .49828 L
.5593 .4992 L
.5602 .50009 L
.56057 .5008 L
.5618 .50237 L
.56184 .50241 L
.56305 .50401 L
.56341 .50445 L
.56429 .50562 L
.56501 .50653 L
.56554 .50722 L
.56662 .50852 L
.56693 .50883 L
.56801 .51043 L
.56822 .5107 L
.56922 .51204 L
.56983 .51281 L
.57045 .51364 L
.57143 .51469 L
.57168 .51525 L
.57289 .51686 L
.57304 .51704 L
.57408 .51846 L
.57464 .51919 L
.57528 .52007 L
.57625 .52133 L
.5765 .52167 L
.57768 .52328 L
.57785 .5235 L
.57883 .52488 L
.57946 .52571 L
.58 .52649 L
.58106 .52792 L
.58118 .52809 L
.58227 .5297 L
.58267 .53024 L
.58333 .5313 L
.58428 .53266 L
.58442 .53291 L
.58428 .53366 L
.58358 .53291 L
.58267 .53201 L
.58207 .5313 L
.58106 .53021 L
.58064 .5297 L
.57946 .52834 L
.57926 .52809 L
.57792 .52649 L
.57785 .52642 L
.57661 .52488 L
.57625 .52446 L
.57531 .52328 L
.57464 .52249 L
.574 .52167 L
.57304 .52081 L
.57269 .52007 L
.57143 .51851 L
.57138 .51846 L
.57015 .51686 L
.56983 .51647 L
.56888 .51525 L
.56822 .51444 L
.56761 .51364 L
.56662 .51255 L
.566 .51204 L
.56508 .51043 L
.56501 .51035 L
.56385 .50883 L
.56341 .50828 L
.56261 .50722 L
.5618 .50664 L
.56135 .50562 L
.5602 .50418 L
.56004 .50401 L
.55889 .50241 L
.55859 .50204 L
.55767 .5008 L
.55699 .49993 L
.55644 .4992 L
.55538 .49797 L
.55498 .49759 L
.55399 .49599 L
.55378 .49571 L
.5528 .49438 L
.55217 .49357 L
.55159 .49278 L
.55057 .49144 L
.55037 .49117 L
.54919 .48957 L
.54896 .48927 L
.54803 .48796 L
.54735 .48707 L
.54685 .48636 L
.54575 .48488 L
.54566 .48475 L
.54456 .48314 L
.54414 .48259 L
.54347 .48154 L
.54254 .48025 L
.54235 .47993 L
F
.001 .76 1 r
.54254 .47216 m
.54386 .47351 L
.54414 .47379 L
.54535 .47512 L
.54575 .47554 L
.54678 .47672 L
.54735 .47736 L
.54818 .47833 L
.54896 .47898 L
.54956 .47993 L
.55057 .48109 L
.5511 .48154 L
.55217 .48307 L
.55224 .48314 L
.55355 .48475 L
.55378 .48501 L
.55487 .48636 L
.55538 .48687 L
.5568 .48796 L
.55699 .48895 L
.55756 .48957 L
.55859 .49098 L
.55873 .49117 L
.56004 .49278 L
.5602 .49287 L
.56132 .49438 L
.5618 .49494 L
.56282 .49599 L
.56341 .49703 L
.56386 .49759 L
.56501 .49907 L
.56508 .4992 L
.56638 .5008 L
.56662 .50102 L
.56809 .50241 L
.56822 .50312 L
.56898 .50401 L
.56983 .50522 L
.57011 .50562 L
.5714 .50722 L
.57143 .50724 L
.57265 .50883 L
.57304 .50926 L
.5741 .51043 L
.57464 .51139 L
.57514 .51204 L
.57625 .51349 L
.57633 .51364 L
.57762 .51525 L
.57785 .51545 L
.57927 .51686 L
.57946 .51758 L
.58019 .51846 L
.58106 .51971 L
.5813 .52007 L
.58257 .52167 L
.58267 .52169 L
.58379 .52328 L
.58428 .52379 L
.58524 .52488 L
.58588 .52596 L
.58628 .52649 L
.58749 .52809 L
.58749 .52809 L
.5887 .5297 L
.58909 .52999 L
.59036 .5313 L
.5907 .53222 L
.59125 .53291 L
.5923 .5344 L
.59238 .53451 L
.59359 .53612 L
.59391 .53653 L
.5948 .53772 L
.59551 .53849 L
.59622 .53933 L
.59712 .54075 L
.59725 .54093 L
.59843 .54254 L
.59872 .54291 L
.59963 .54414 L
.60033 .54475 L
.60122 .54575 L
.60193 .54716 L
.60208 .54735 L
.60322 .54896 L
.60354 .54938 L
.60439 .55057 L
.60514 .55156 L
.60558 .55217 L
.60675 .55374 L
.60678 .55378 L
.60789 .55538 L
.60835 .556 L
.60903 .55699 L
.60996 .55827 L
.61018 .55859 L
.61126 .5602 L
.61156 .56063 L
.61228 .5618 L
.61317 .56317 L
.6133 .56341 L
.61317 .56433 L
.61219 .56341 L
.61156 .56284 L
.61062 .5618 L
.60996 .56112 L
.60915 .5602 L
.60835 .55932 L
.60773 .55859 L
.60675 .55762 L
.60635 .55699 L
.60514 .55559 L
.60491 .55538 L
.60366 .55378 L
.60354 .55364 L
.60234 .55217 L
.60193 .55203 L
.60102 .55057 L
.60033 .54982 L
.59928 .54896 L
.59872 .54775 L
.59836 .54735 L
.59713 .54575 L
.59712 .54574 L
.59585 .54414 L
.59551 .54388 L
.59457 .54254 L
.59391 .54176 L
.59311 .54093 L
.5923 .53967 L
.59202 .53933 L
.59077 .53772 L
.5907 .53764 L
.58951 .53612 L
.58909 .53569 L
.58786 .53451 L
.58749 .53357 L
.58692 .53291 L
.58588 .53148 L
.58576 .5313 L
.58449 .5297 L
.58428 .52956 L
.58325 .52809 L
.58267 .52743 L
.58181 .52649 L
.58106 .5253 L
.58074 .52488 L
.57951 .52328 L
.57946 .52321 L
.57828 .52167 L
.57785 .52127 L
.57667 .52007 L
.57625 .5191 L
.57572 .51846 L
.57464 .51697 L
.57457 .51686 L
.57333 .51525 L
.57304 .5151 L
.5721 .51364 L
.57143 .5129 L
.57068 .51204 L
.56983 .51072 L
.56962 .51043 L
.56841 .50883 L
.56822 .5086 L
.56719 .50722 L
.56662 .5067 L
.5656 .50562 L
.56501 .50445 L
.56466 .50401 L
.5635 .50241 L
.56341 .50229 L
.5623 .5008 L
.5618 .50056 L
.56108 .4992 L
.5602 .49817 L
.55971 .49759 L
.55863 .49599 L
.55859 .49594 L
.55744 .49438 L
.55699 .49379 L
.55624 .49278 L
.55538 .49188 L
.55476 .49117 L
.5538 .48957 L
.55378 .48953 L
.55263 .48796 L
.55217 .48736 L
.55145 .48636 L
.55057 .48519 L
.55025 .48475 L
.54906 .48314 L
.54896 .48302 L
.54792 .48154 L
.54735 .48079 L
.54677 .47993 L
.54575 .47856 L
.54559 .47833 L
.54449 .47672 L
.54414 .47624 L
.54343 .47512 L
.54254 .47383 L
.54235 .47351 L
F
0 .1 1 r
.54254 .48566 m
.54306 .48636 L
.54414 .48756 L
.54444 .48796 L
.54575 .48951 L
.54579 .48957 L
.54575 .49092 L
.54482 .48957 L
.54414 .48875 L
.54362 .48796 L
.54254 .48659 L
.54239 .48636 L
F
1 .38 0 r
.54254 .47902 m
.54337 .47993 L
.54414 .4807 L
.54485 .48154 L
.54575 .48252 L
.54627 .48314 L
.54735 .4844 L
.54764 .48475 L
.54896 .4863 L
.54899 .48636 L
.55029 .48796 L
.55057 .48828 L
.55159 .48957 L
.55217 .49026 L
.55289 .49117 L
.55378 .49224 L
.55419 .49278 L
.55538 .49421 L
.55558 .49438 L
.55675 .49599 L
.55699 .49628 L
.55801 .49759 L
.55859 .49831 L
.55927 .4992 L
.5602 .50013 L
.56054 .5008 L
.5618 .5024 L
.56181 .50241 L
.56303 .50401 L
.56341 .50448 L
.56427 .50562 L
.56501 .50655 L
.56552 .50722 L
.56662 .50856 L
.56689 .50883 L
.56799 .51043 L
.56822 .51073 L
.5692 .51204 L
.56983 .51284 L
.57043 .51364 L
.57143 .51474 L
.57166 .51525 L
.57287 .51686 L
.57304 .51707 L
.57405 .51846 L
.57464 .51922 L
.57526 .52007 L
.57625 .52137 L
.57647 .52167 L
.57765 .52328 L
.57785 .52354 L
.57879 .52488 L
.57946 .52576 L
.57996 .52649 L
.58106 .52798 L
.58114 .52809 L
.58221 .5297 L
.58267 .53032 L
.58327 .5313 L
.58428 .53279 L
.58433 .53291 L
.58428 .53348 L
.58371 .53291 L
.58267 .53193 L
.58214 .5313 L
.58106 .53015 L
.58069 .5297 L
.57946 .52828 L
.5793 .52809 L
.57796 .52649 L
.57785 .52637 L
.57665 .52488 L
.57625 .52442 L
.57534 .52328 L
.57464 .52245 L
.57403 .52167 L
.57304 .52075 L
.57272 .52007 L
.57143 .51847 L
.57142 .51846 L
.57017 .51686 L
.56983 .51644 L
.56891 .51525 L
.56822 .51441 L
.56763 .51364 L
.56662 .51251 L
.56604 .51204 L
.56511 .51043 L
.56501 .51032 L
.56387 .50883 L
.56341 .50825 L
.56263 .50722 L
.5618 .5066 L
.56138 .50562 L
.5602 .50414 L
.56007 .50401 L
.55891 .50241 L
.55859 .50201 L
.55769 .5008 L
.55699 .4999 L
.55646 .4992 L
.55538 .49793 L
.55503 .49759 L
.55402 .49599 L
.55378 .49568 L
.55283 .49438 L
.55217 .49354 L
.55162 .49278 L
.55057 .4914 L
.5504 .49117 L
.54922 .48957 L
.54896 .48923 L
.54806 .48796 L
.54735 .48703 L
.54688 .48636 L
.54575 .48483 L
.54569 .48475 L
.54461 .48314 L
.54414 .48252 L
.54352 .48154 L
.54254 .48015 L
.54241 .47993 L
F
1 .72 0 r
.54254 .53505 m
.54414 .53586 L
.54436 .53612 L
.54575 .53742 L
.54601 .53772 L
.54735 .53922 L
.54748 .53933 L
.54879 .54093 L
.54896 .54113 L
.55009 .54254 L
.55057 .54313 L
.55135 .54414 L
.55217 .54502 L
.55281 .54575 L
.55378 .54733 L
.55379 .54735 L
.55493 .54896 L
.55538 .54961 L
.55602 .55057 L
.55699 .55208 L
.55712 .55217 L
.55771 .55378 L
.55699 .55421 L
.5564 .55378 L
.55538 .55295 L
.55463 .55217 L
.55378 .55167 L
.55314 .55057 L
.55217 .54959 L
.55175 .54896 L
.55057 .54756 L
.55036 .54735 L
.54915 .54575 L
.54896 .54552 L
.54791 .54414 L
.54735 .54343 L
.54669 .54254 L
.54575 .54152 L
.54531 .54093 L
.54436 .53933 L
.54414 .53902 L
.54332 .53772 L
.54254 .53636 L
.54242 .53612 L
F
0 .09 1 r
.54254 .48578 m
.54296 .48636 L
.54414 .48764 L
.54438 .48796 L
.54414 .48866 L
.54369 .48796 L
.54254 .48649 L
.54245 .48636 L
F
1 .18 0 r
.54254 .49246 m
.54268 .49278 L
.54254 .49288 L
.54246 .49278 L
F
0 .75 1 r
.54254 .4724 m
.54369 .47351 L
.54414 .47393 L
.54523 .47512 L
.54575 .47566 L
.54669 .47672 L
.54735 .47746 L
.5481 .47833 L
.54896 .47907 L
.54949 .47993 L
.55057 .48117 L
.55102 .48154 L
.55217 .48313 L
.55218 .48314 L
.5535 .48475 L
.55378 .48507 L
.55482 .48636 L
.55538 .48692 L
.55676 .48796 L
.55699 .489 L
.55752 .48957 L
.55859 .49102 L
.5587 .49117 L
.56 .49278 L
.5602 .49289 L
.56128 .49438 L
.5618 .49498 L
.56279 .49599 L
.56341 .49706 L
.56383 .49759 L
.56501 .49911 L
.56506 .4992 L
.56635 .5008 L
.56662 .50105 L
.56808 .50241 L
.56822 .50315 L
.56896 .50401 L
.56983 .50525 L
.57008 .50562 L
.57138 .50722 L
.57143 .50725 L
.57262 .50883 L
.57304 .50929 L
.57408 .51043 L
.57464 .51142 L
.57512 .51204 L
.57625 .51351 L
.57632 .51364 L
.5776 .51525 L
.57785 .51547 L
.57926 .51686 L
.57946 .5176 L
.58016 .51846 L
.58106 .51974 L
.58128 .52007 L
.58254 .52167 L
.58267 .52169 L
.58377 .52328 L
.58428 .52381 L
.58522 .52488 L
.58588 .52599 L
.58625 .52649 L
.58747 .52809 L
.58749 .52812 L
.58868 .5297 L
.58909 .53001 L
.59035 .5313 L
.5907 .53225 L
.59122 .53291 L
.5923 .53443 L
.59235 .53451 L
.59356 .53612 L
.59391 .53656 L
.59478 .53772 L
.59551 .53853 L
.59619 .53933 L
.59712 .54079 L
.59722 .54093 L
.5984 .54254 L
.59872 .54295 L
.5996 .54414 L
.60033 .5448 L
.60118 .54575 L
.60193 .54722 L
.60204 .54735 L
.60318 .54896 L
.60354 .54943 L
.60435 .55057 L
.60514 .55162 L
.60554 .55217 L
.60672 .55378 L
.60675 .55381 L
.60784 .55538 L
.60835 .55608 L
.60897 .55699 L
.60996 .55836 L
.61011 .55859 L
.61116 .5602 L
.61156 .56078 L
.61216 .5618 L
.61156 .56267 L
.61075 .5618 L
.60996 .561 L
.60925 .5602 L
.60835 .55922 L
.60781 .55859 L
.60675 .55752 L
.60642 .55699 L
.60514 .5555 L
.605 .55538 L
.60371 .55378 L
.60354 .55357 L
.60239 .55217 L
.60193 .552 L
.60107 .55057 L
.60033 .54977 L
.59933 .54896 L
.59872 .5477 L
.5984 .54735 L
.59716 .54575 L
.59712 .54569 L
.59589 .54414 L
.59551 .54385 L
.59461 .54254 L
.59391 .54172 L
.59314 .54093 L
.5923 .53964 L
.59205 .53933 L
.59079 .53772 L
.5907 .5376 L
.58954 .53612 L
.58909 .53567 L
.58788 .53451 L
.58749 .53354 L
.58694 .53291 L
.58588 .53145 L
.58578 .5313 L
.58452 .5297 L
.58428 .52954 L
.58327 .52809 L
.58267 .52741 L
.58184 .52649 L
.58106 .52527 L
.58076 .52488 L
.57953 .52328 L
.57946 .52319 L
.5783 .52167 L
.57785 .52125 L
.57669 .52007 L
.57625 .51908 L
.57574 .51846 L
.57464 .51695 L
.57458 .51686 L
.57335 .51525 L
.57304 .51509 L
.57212 .51364 L
.57143 .51287 L
.5707 .51204 L
.56983 .51069 L
.56964 .51043 L
.56843 .50883 L
.56822 .50857 L
.56721 .50722 L
.56662 .50668 L
.56562 .50562 L
.56501 .50442 L
.56468 .50401 L
.56352 .50241 L
.56341 .50226 L
.56232 .5008 L
.5618 .50054 L
.5611 .4992 L
.5602 .49814 L
.55974 .49759 L
.55866 .49599 L
.55859 .4959 L
.55747 .49438 L
.55699 .49376 L
.55626 .49278 L
.55538 .49184 L
.5548 .49117 L
.55384 .48957 L
.55378 .48949 L
.55267 .48796 L
.55217 .48731 L
.55148 .48636 L
.55057 .48514 L
.55028 .48475 L
.5491 .48314 L
.54896 .48296 L
.54797 .48154 L
.54735 .48072 L
.54682 .47993 L
.54575 .47848 L
.54565 .47833 L
.54457 .47672 L
.54414 .47613 L
.54352 .47512 L
.54254 .47365 L
.54246 .47351 L
F
1 .93 .114 r
.54254 .4656 m
.54413 .46709 L
.54414 .4671 L
.54567 .4687 L
.54575 .46877 L
.54714 .4703 L
.54735 .47053 L
.54858 .47191 L
.54896 .4721 L
.54999 .47351 L
.55057 .47416 L
.5519 .47512 L
.55217 .47612 L
.55275 .47672 L
.55378 .47807 L
.55397 .47833 L
.55537 .47993 L
.55538 .47994 L
.5567 .48154 L
.55699 .48191 L
.55812 .48314 L
.55859 .48394 L
.55923 .48475 L
.5602 .48599 L
.56038 .48636 L
.5618 .48794 L
.56188 .48796 L
.56331 .48957 L
.56341 .4899 L
.56442 .49117 L
.56501 .49199 L
.56553 .49278 L
.56662 .4941 L
.56699 .49438 L
.56822 .49598 L
.56823 .49599 L
.56954 .49759 L
.56983 .49806 L
.57066 .4992 L
.57143 .5002 L
.57172 .5008 L
.57304 .5023 L
.57326 .50241 L
.57457 .50401 L
.57464 .5042 L
.57574 .50562 L
.57625 .50633 L
.57682 .50722 L
.57785 .50847 L
.57826 .50883 L
.57946 .5104 L
.57949 .51043 L
.58078 .51204 L
.58106 .5125 L
.58188 .51364 L
.58267 .51465 L
.58293 .51525 L
.58428 .51674 L
.58446 .51686 L
.58578 .51846 L
.58588 .51871 L
.58692 .52007 L
.58749 .52084 L
.58799 .52167 L
.58909 .52297 L
.58941 .52328 L
.59063 .52488 L
.5907 .52496 L
.59193 .52649 L
.5923 .52706 L
.59303 .52809 L
.59391 .5292 L
.59409 .5297 L
.59551 .53126 L
.59557 .5313 L
.59694 .53291 L
.59712 .5333 L
.59804 .53451 L
.59872 .53543 L
.59913 .53612 L
.60033 .53754 L
.60051 .53772 L
.60173 .53933 L
.60193 .53955 L
.60305 .54093 L
.60354 .54167 L
.60414 .54254 L
.60514 .54381 L
.60525 .54414 L
.60665 .54575 L
.60675 .54583 L
.60808 .54735 L
.60835 .54793 L
.60913 .54896 L
.60996 .55007 L
.61024 .55057 L
.61156 .55217 L
.61156 .55217 L
.61278 .55378 L
.61317 .55418 L
.61413 .55538 L
.61477 .55635 L
.61521 .55699 L
.61638 .55849 L
.61641 .55859 L
.61767 .5602 L
.61799 .56043 L
.61916 .5618 L
.61959 .56263 L
.62016 .56341 L
.6212 .56482 L
.6213 .56501 L
.62254 .56662 L
.6228 .56696 L
.62427 .56822 L
.62441 .56892 L
.62511 .56983 L
.62601 .57117 L
.62618 .57143 L
.62738 .57304 L
.62762 .57335 L
.62857 .57464 L
.62922 .5752 L
.63005 .57625 L
.63083 .5776 L
.63101 .57785 L
.63215 .57946 L
.63243 .57983 L
.63332 .58106 L
.63404 .58202 L
.63495 .58267 L
.63564 .58419 L
.6357 .58428 L
.6368 .58588 L
.63725 .58649 L
.63793 .58749 L
.63885 .58878 L
.63906 .58909 L
.64012 .5907 L
.64046 .5912 L
.6411 .5923 L
.64046 .5935 L
.63928 .5923 L
.63885 .59189 L
.63776 .5907 L
.63725 .59016 L
.6363 .58909 L
.63564 .58855 L
.63489 .58749 L
.63404 .58654 L
.63318 .58588 L
.63243 .58459 L
.63212 .58428 L
.63083 .58269 L
.63081 .58267 L
.62949 .58106 L
.62922 .58079 L
.62817 .57946 L
.62762 .57878 L
.62674 .57785 L
.62601 .57674 L
.62561 .57625 L
.62441 .57475 L
.62436 .57464 L
.62301 .57304 L
.6228 .5728 L
.6215 .57143 L
.6212 .57074 L
.62044 .56983 L
.61959 .56866 L
.61931 .56822 L
.61799 .56665 L
.61793 .56662 L
.61667 .56501 L
.61638 .56465 L
.61532 .56341 L
.61477 .56255 L
.61422 .5618 L
.61317 .56046 L
.61307 .5602 L
.61166 .55859 L
.61156 .55848 L
.61023 .55699 L
.60996 .5564 L
.60915 .55538 L
.60835 .55428 L
.60804 .55378 L
.60675 .55223 L
.60668 .55217 L
.60544 .55057 L
.60514 .55021 L
.6041 .54896 L
.60354 .54809 L
.60301 .54735 L
.60193 .54598 L
.60186 .54575 L
.60048 .54414 L
.60033 .54398 L
.59904 .54254 L
.59872 .54188 L
.59798 .54093 L
.59712 .53975 L
.59687 .53933 L
.59553 .53772 L
.59551 .53771 L
.59395 .53612 L
.59391 .53566 L
.59295 .53451 L
.5923 .53352 L
.59186 .53291 L
.5907 .53142 L
.59066 .5313 L
.58937 .5297 L
.58909 .52942 L
.5879 .52809 L
.58749 .52729 L
.58686 .52649 L
.58588 .52516 L
.58572 .52488 L
.58444 .52328 L
.58428 .52317 L
.58279 .52167 L
.58267 .52106 L
.58184 .52007 L
.58106 .5189 L
.58075 .51846 L
.57951 .51686 L
.57946 .51679 L
.57829 .51525 L
.57785 .51484 L
.5768 .51364 L
.57625 .51266 L
.57578 .51204 L
.57464 .5105 L
.5746 .51043 L
.57338 .50883 L
.57304 .50864 L
.57168 .50722 L
.57143 .50642 L
.57079 .50562 L
.56983 .50422 L
.56969 .50401 L
.56847 .50241 L
.56822 .50209 L
.56726 .5008 L
.56662 .50019 L
.56577 .4992 L
.56501 .49793 L
.56476 .49759 L
.56358 .49599 L
.56341 .49577 L
.56238 .49438 L
.5618 .49402 L
.5607 .49278 L
.5602 .49164 L
.55983 .49117 L
.55871 .48957 L
.55859 .48941 L
.55752 .48796 L
.55699 .48727 L
.55632 .48636 L
.55538 .48532 L
.55492 .48475 L
.55388 .48314 L
.55378 .48301 L
.55271 .48154 L
.55217 .48083 L
.55152 .47993 L
.55057 .47867 L
.55008 .47833 L
.54914 .47672 L
.54896 .47649 L
.548 .47512 L
.54735 .47426 L
.54684 .47351 L
.54575 .47203 L
.54567 .47191 L
.54458 .4703 L
.54414 .46969 L
.54353 .4687 L
.54254 .46723 L
.54246 .46709 L
F
1 .37 0 r
.54254 .47917 m
.54326 .47993 L
.54414 .48078 L
.54479 .48154 L
.54575 .48258 L
.54622 .48314 L
.54735 .48445 L
.5476 .48475 L
.54895 .48636 L
.54896 .48636 L
.55025 .48796 L
.55057 .48832 L
.55156 .48957 L
.55217 .4903 L
.55286 .49117 L
.55378 .49228 L
.55417 .49278 L
.55538 .49425 L
.55553 .49438 L
.55672 .49599 L
.55699 .49631 L
.55798 .49759 L
.55859 .49835 L
.55925 .4992 L
.5602 .50017 L
.56052 .5008 L
.56178 .50241 L
.5618 .50244 L
.56301 .50401 L
.56341 .50451 L
.56425 .50562 L
.56501 .50658 L
.5655 .50722 L
.56662 .5086 L
.56685 .50883 L
.56796 .51043 L
.56822 .51076 L
.56918 .51204 L
.56983 .51287 L
.5704 .51364 L
.57143 .51479 L
.57164 .51525 L
.57284 .51686 L
.57304 .51711 L
.57403 .51846 L
.57464 .51926 L
.57523 .52007 L
.57625 .5214 L
.57644 .52167 L
.57761 .52328 L
.57785 .52359 L
.57876 .52488 L
.57946 .52581 L
.57993 .52649 L
.58106 .52803 L
.58111 .52809 L
.58215 .5297 L
.58267 .53041 L
.58319 .5313 L
.58267 .53184 L
.58221 .5313 L
.58106 .53008 L
.58075 .5297 L
.57946 .52823 L
.57934 .52809 L
.578 .52649 L
.57785 .52632 L
.57669 .52488 L
.57625 .52437 L
.57537 .52328 L
.57464 .52241 L
.57406 .52167 L
.57304 .5207 L
.57275 .52007 L
.57146 .51846 L
.57143 .51843 L
.5702 .51686 L
.56983 .5164 L
.56893 .51525 L
.56822 .51438 L
.56766 .51364 L
.56662 .51247 L
.56609 .51204 L
.56513 .51043 L
.56501 .51029 L
.5639 .50883 L
.56341 .50822 L
.56265 .50722 L
.5618 .50656 L
.5614 .50562 L
.5602 .5041 L
.56011 .50401 L
.55894 .50241 L
.55859 .50198 L
.55772 .5008 L
.55699 .49987 L
.55648 .4992 L
.55538 .49788 L
.55508 .49759 L
.55405 .49599 L
.55378 .49564 L
.55285 .49438 L
.55217 .4935 L
.55164 .49278 L
.55057 .49137 L
.55042 .49117 L
.54925 .48957 L
.54896 .48919 L
.5481 .48796 L
.54735 .48698 L
.54692 .48636 L
.54575 .48478 L
.54573 .48475 L
.54466 .48314 L
.54414 .48245 L
.54358 .48154 L
.54254 .48004 L
.54248 .47993 L
F
1 .71 0 r
.54254 .53529 m
.54414 .53597 L
.54426 .53612 L
.54575 .53749 L
.54595 .53772 L
.54735 .53927 L
.54742 .53933 L
.54875 .54093 L
.54896 .54118 L
.55005 .54254 L
.55057 .54318 L
.55132 .54414 L
.55217 .54508 L
.55276 .54575 L
.55375 .54735 L
.55378 .54739 L
.55488 .54896 L
.55538 .54968 L
.55597 .55057 L
.55697 .55217 L
.55699 .5522 L
.55755 .55378 L
.55699 .55407 L
.55655 .55378 L
.55538 .55286 L
.5547 .55217 L
.55378 .55161 L
.55319 .55057 L
.55217 .54953 L
.55179 .54896 L
.55057 .54751 L
.55041 .54735 L
.54919 .54575 L
.54896 .54547 L
.54795 .54414 L
.54735 .54338 L
.54673 .54254 L
.54575 .54144 L
.54537 .54093 L
.54441 .53933 L
.54414 .53894 L
.54338 .53772 L
.54254 .5362 L
.5425 .53612 L
F
0 .08 1 r
.54254 .48597 m
.5428 .48636 L
.54414 .48773 L
.54431 .48796 L
.54414 .48855 L
.54378 .48796 L
.54254 .48637 L
.54253 .48636 L
F
1 .7 0 r
.54414 .5361 m
.54416 .53612 L
.54575 .53756 L
.54588 .53772 L
.54735 .53933 L
.54735 .53933 L
.5487 .54093 L
.54896 .54123 L
.55001 .54254 L
.55057 .54323 L
.55128 .54414 L
.55217 .54514 L
.55271 .54575 L
.5537 .54735 L
.55378 .54745 L
.55483 .54896 L
.55538 .54975 L
.55592 .55057 L
.55689 .55217 L
.55699 .55236 L
.55734 .55378 L
.55699 .55391 L
.55674 .55378 L
.55538 .55278 L
.55477 .55217 L
.55378 .55154 L
.55324 .55057 L
.55217 .54947 L
.55183 .54896 L
.55057 .54745 L
.55046 .54735 L
.54923 .54575 L
.54896 .54542 L
.54799 .54414 L
.54735 .54334 L
.54676 .54254 L
.54575 .54136 L
.54543 .54093 L
.54446 .53933 L
.54414 .53887 L
.54344 .53772 L
.54261 .53612 L
F
.733 .99 1 r
.54414 .53047 m
.54575 .53057 L
.54714 .5313 L
.54735 .53145 L
.54877 .53291 L
.54896 .53316 L
.54998 .53451 L
.55057 .53513 L
.55104 .53612 L
.55217 .53718 L
.55259 .53772 L
.55378 .53927 L
.55382 .53933 L
.55506 .54093 L
.55538 .54142 L
.55614 .54254 L
.55699 .54361 L
.55755 .54414 L
.55859 .54571 L
.55878 .54575 L
.56003 .54735 L
.5602 .5476 L
.56116 .54896 L
.5618 .54972 L
.56218 .55057 L
.56341 .55185 L
.56369 .55217 L
.56496 .55378 L
.56501 .55393 L
.56612 .55538 L
.56662 .55609 L
.56715 .55699 L
.56822 .55835 L
.5684 .55859 L
.56822 .56004 L
.56662 .56014 L
.56501 .55984 L
.56364 .55859 L
.56341 .55836 L
.56196 .55699 L
.5618 .5564 L
.56093 .55538 L
.5602 .55434 L
.55982 .55378 L
.55859 .55225 L
.55858 .55217 L
.5573 .55057 L
.55699 .5502 L
.55586 .54896 L
.55538 .54808 L
.5548 .54735 L
.55378 .54597 L
.55365 .54575 L
.55236 .54414 L
.55217 .54407 L
.55078 .54254 L
.55057 .54197 L
.54979 .54093 L
.54896 .53977 L
.54869 .53933 L
.54745 .53772 L
.54735 .5376 L
.54624 .53612 L
.54575 .53546 L
.5448 .53451 L
.54414 .5333 L
.54381 .53291 L
.54283 .5313 L
F
.538 .98 1 r
.54414 .53076 m
.54575 .53093 L
.54658 .5313 L
.54735 .53177 L
.5486 .53291 L
.54896 .53338 L
.54984 .53451 L
.55057 .53528 L
.55095 .53612 L
.55217 .5373 L
.55251 .53772 L
.55376 .53933 L
.55378 .53937 L
.555 .54093 L
.55538 .54151 L
.55608 .54254 L
.55699 .54368 L
.5575 .54414 L
.55859 .54573 L
.55872 .54575 L
.55999 .54735 L
.5602 .54767 L
.56111 .54896 L
.5618 .54979 L
.56213 .55057 L
.56341 .55192 L
.56362 .55217 L
.56493 .55378 L
.56501 .55405 L
.56603 .55538 L
.56662 .55626 L
.56703 .55699 L
.56812 .55859 L
.56662 .55987 L
.56501 .55953 L
.56387 .55859 L
.56341 .55816 L
.56202 .55699 L
.5618 .55628 L
.561 .55538 L
.5602 .55426 L
.55987 .55378 L
.55859 .55219 L
.55859 .55217 L
.55735 .55057 L
.55699 .55015 L
.55589 .54896 L
.55538 .54803 L
.55484 .54735 L
.55378 .54593 L
.55367 .54575 L
.5524 .54414 L
.55217 .54405 L
.5508 .54254 L
.55057 .54192 L
.54983 .54093 L
.54896 .53971 L
.54873 .53933 L
.5475 .53772 L
.54735 .53753 L
.54631 .53612 L
.54575 .53536 L
.54489 .53451 L
.54414 .53313 L
.54395 .53291 L
.54325 .5313 L
F
1 .69 0 r
.54414 .5362 m
.54575 .53764 L
.54582 .53772 L
.5473 .53933 L
.54735 .53939 L
.54866 .54093 L
.54896 .54128 L
.54997 .54254 L
.55057 .54328 L
.55124 .54414 L
.55217 .5452 L
.55266 .54575 L
.55366 .54735 L
.55378 .54751 L
.55478 .54896 L
.55538 .54983 L
.55586 .55057 L
.5568 .55217 L
.55538 .5527 L
.55485 .55217 L
.55378 .55146 L
.55329 .55057 L
.55217 .54941 L
.55188 .54896 L
.55057 .5474 L
.55052 .54735 L
.54927 .54575 L
.54896 .54537 L
.54802 .54414 L
.54735 .54329 L
.5468 .54254 L
.54575 .54128 L
.54549 .54093 L
.54451 .53933 L
.54414 .53879 L
.5435 .53772 L
F
1 .68 0 r
.54414 .5363 m
.54575 .53772 L
.54575 .53772 L
.54724 .53933 L
.54735 .53945 L
.54861 .54093 L
.54896 .54134 L
.54992 .54254 L
.55057 .54333 L
.5512 .54414 L
.55217 .54526 L
.5526 .54575 L
.55361 .54735 L
.55378 .54758 L
.55474 .54896 L
.55538 .54991 L
.55581 .55057 L
.5567 .55217 L
.55538 .55261 L
.55493 .55217 L
.55378 .55137 L
.55335 .55057 L
.55217 .54935 L
.55192 .54896 L
.55057 .54735 L
.55057 .54734 L
.5493 .54575 L
.54896 .54533 L
.54806 .54414 L
.54735 .54324 L
.54684 .54254 L
.54575 .54119 L
.54556 .54093 L
.54456 .53933 L
.54414 .53871 L
.54356 .53772 L
F
0 .74 1 r
.54414 .47409 m
.54511 .47512 L
.54575 .47577 L
.54659 .47672 L
.54735 .47755 L
.54802 .47833 L
.54896 .47916 L
.54942 .47993 L
.55057 .48125 L
.55093 .48154 L
.55212 .48314 L
.55217 .4832 L
.55345 .48475 L
.55378 .48513 L
.55477 .48636 L
.55538 .48697 L
.55672 .48796 L
.55699 .48905 L
.55747 .48957 L
.55859 .49107 L
.55867 .49117 L
.55996 .49278 L
.5602 .49292 L
.56125 .49438 L
.5618 .49502 L
.56276 .49599 L
.56341 .4971 L
.56381 .49759 L
.56501 .49914 L
.56505 .4992 L
.56633 .5008 L
.56662 .50108 L
.56806 .50241 L
.56822 .50318 L
.56893 .50401 L
.56983 .50528 L
.57006 .50562 L
.57135 .50722 L
.57143 .50726 L
.5726 .50883 L
.57304 .50931 L
.57406 .51043 L
.57464 .51144 L
.5751 .51204 L
.57625 .51354 L
.57631 .51364 L
.57757 .51525 L
.57785 .51548 L
.57925 .51686 L
.57946 .51763 L
.58014 .51846 L
.58106 .51977 L
.58126 .52007 L
.58252 .52167 L
.58267 .5217 L
.58375 .52328 L
.58428 .52384 L
.5852 .52488 L
.58588 .52602 L
.58623 .52649 L
.58744 .52809 L
.58749 .52814 L
.58866 .5297 L
.58909 .53003 L
.59033 .5313 L
.5907 .53228 L
.5912 .53291 L
.5923 .53447 L
.59233 .53451 L
.59354 .53612 L
.59391 .5366 L
.59475 .53772 L
.59551 .53856 L
.59616 .53933 L
.59712 .54083 L
.59719 .54093 L
.59837 .54254 L
.59872 .54299 L
.59957 .54414 L
.60033 .54485 L
.60113 .54575 L
.60193 .54727 L
.60199 .54735 L
.60314 .54896 L
.60354 .54948 L
.60431 .55057 L
.60514 .55168 L
.6055 .55217 L
.60667 .55378 L
.60675 .55389 L
.60778 .55538 L
.60835 .55617 L
.60891 .55699 L
.60996 .55847 L
.61004 .55859 L
.61105 .5602 L
.61156 .56096 L
.61202 .5618 L
.61156 .56247 L
.61091 .5618 L
.60996 .56087 L
.60936 .5602 L
.60835 .55912 L
.6079 .55859 L
.60675 .55741 L
.60649 .55699 L
.60514 .55542 L
.60509 .55538 L
.60377 .55378 L
.60354 .55351 L
.60244 .55217 L
.60193 .55196 L
.60112 .55057 L
.60033 .54971 L
.59939 .54896 L
.59872 .54765 L
.59844 .54735 L
.5972 .54575 L
.59712 .54565 L
.59592 .54414 L
.59551 .54382 L
.59464 .54254 L
.59391 .54168 L
.59317 .54093 L
.5923 .5396 L
.59208 .53933 L
.59082 .53772 L
.5907 .53757 L
.58956 .53612 L
.58909 .53564 L
.5879 .53451 L
.58749 .53351 L
.58697 .53291 L
.58588 .53142 L
.5858 .5313 L
.58454 .5297 L
.58428 .52953 L
.58329 .52809 L
.58267 .52738 L
.58186 .52649 L
.58106 .52524 L
.58078 .52488 L
.57955 .52328 L
.57946 .52316 L
.57832 .52167 L
.57785 .52123 L
.5767 .52007 L
.57625 .51905 L
.57576 .51846 L
.57464 .51692 L
.5746 .51686 L
.57337 .51525 L
.57304 .51508 L
.57214 .51364 L
.57143 .51285 L
.57072 .51204 L
.56983 .51066 L
.56966 .51043 L
.56845 .50883 L
.56822 .50854 L
.56723 .50722 L
.56662 .50665 L
.56564 .50562 L
.56501 .50439 L
.56471 .50401 L
.56355 .50241 L
.56341 .50223 L
.56234 .5008 L
.5618 .50051 L
.56112 .4992 L
.5602 .4981 L
.55977 .49759 L
.55868 .49599 L
.55859 .49587 L
.55749 .49438 L
.55699 .49372 L
.55629 .49278 L
.55538 .49179 L
.55484 .49117 L
.55387 .48957 L
.55378 .48945 L
.5527 .48796 L
.55217 .48726 L
.55152 .48636 L
.55057 .48509 L
.55032 .48475 L
.54915 .48314 L
.54896 .48289 L
.54802 .48154 L
.54735 .48065 L
.54687 .47993 L
.54575 .47839 L
.54571 .47833 L
.54466 .47672 L
.54414 .47599 L
.54363 .47512 L
F
1 .67 0 r
.54414 .53641 m
.54567 .53772 L
.54575 .53779 L
.54718 .53933 L
.54735 .53951 L
.54856 .54093 L
.54896 .54139 L
.54988 .54254 L
.55057 .54338 L
.55116 .54414 L
.55217 .54533 L
.55254 .54575 L
.55357 .54735 L
.55378 .54764 L
.55469 .54896 L
.55538 .54999 L
.55575 .55057 L
.5566 .55217 L
.55538 .55251 L
.55502 .55217 L
.55378 .55128 L
.5534 .55057 L
.55217 .54928 L
.55197 .54896 L
.55062 .54735 L
.55057 .54729 L
.54934 .54575 L
.54896 .54528 L
.5481 .54414 L
.54735 .54319 L
.54687 .54254 L
.54575 .54109 L
.54563 .54093 L
.54461 .53933 L
.54414 .53862 L
.54363 .53772 L
F
1 .36 0 r
.54414 .48087 m
.54472 .48154 L
.54575 .48264 L
.54617 .48314 L
.54735 .4845 L
.54756 .48475 L
.54891 .48636 L
.54896 .48641 L
.55021 .48796 L
.55057 .48837 L
.55152 .48957 L
.55217 .49033 L
.55283 .49117 L
.55378 .49232 L
.55414 .49278 L
.55538 .4943 L
.55548 .49438 L
.55669 .49599 L
.55699 .49635 L
.55795 .49759 L
.55859 .49838 L
.55922 .4992 L
.5602 .50021 L
.5605 .5008 L
.56175 .50241 L
.5618 .50247 L
.56298 .50401 L
.56341 .50454 L
.56422 .50562 L
.56501 .50661 L
.56547 .50722 L
.56662 .50864 L
.56681 .50883 L
.56794 .51043 L
.56822 .51079 L
.56915 .51204 L
.56983 .5129 L
.57038 .51364 L
.57143 .51484 L
.57161 .51525 L
.57281 .51686 L
.57304 .51714 L
.574 .51846 L
.57464 .51929 L
.5752 .52007 L
.57625 .52144 L
.57641 .52167 L
.57758 .52328 L
.57785 .52364 L
.57872 .52488 L
.57946 .52586 L
.57989 .52649 L
.58106 .52809 L
.58106 .52809 L
.58209 .5297 L
.58267 .53052 L
.58311 .5313 L
.58267 .53174 L
.58229 .5313 L
.58106 .53001 L
.5808 .5297 L
.57946 .52818 L
.57939 .52809 L
.57805 .52649 L
.57785 .52627 L
.57673 .52488 L
.57625 .52433 L
.57541 .52328 L
.57464 .52237 L
.57409 .52167 L
.57304 .52064 L
.57278 .52007 L
.57149 .51846 L
.57143 .5184 L
.57023 .51686 L
.56983 .51637 L
.56896 .51525 L
.56822 .51434 L
.56768 .51364 L
.56662 .51243 L
.56614 .51204 L
.56516 .51043 L
.56501 .51026 L
.56392 .50883 L
.56341 .50819 L
.56267 .50722 L
.5618 .50652 L
.56142 .50562 L
.5602 .50406 L
.56015 .50401 L
.55896 .50241 L
.55859 .50195 L
.55774 .5008 L
.55699 .49984 L
.5565 .4992 L
.55538 .49783 L
.55513 .49759 L
.55407 .49599 L
.55378 .49561 L
.55288 .49438 L
.55217 .49347 L
.55167 .49278 L
.55057 .49133 L
.55045 .49117 L
.54929 .48957 L
.54896 .48914 L
.54813 .48796 L
.54735 .48694 L
.54695 .48636 L
.54577 .48475 L
.54575 .48473 L
.54472 .48314 L
.54414 .48236 L
.54365 .48154 L
F
1 .66 0 r
.54414 .53653 m
.54559 .53772 L
.54575 .53787 L
.54713 .53933 L
.54735 .53957 L
.54852 .54093 L
.54896 .54145 L
.54984 .54254 L
.55057 .54343 L
.55112 .54414 L
.55217 .5454 L
.55247 .54575 L
.55352 .54735 L
.55378 .5477 L
.55464 .54896 L
.55538 .55008 L
.55569 .55057 L
.55648 .55217 L
.55538 .55242 L
.55511 .55217 L
.55378 .55117 L
.55346 .55057 L
.55217 .54921 L
.55201 .54896 L
.55066 .54735 L
.55057 .54724 L
.54939 .54575 L
.54896 .54523 L
.54814 .54414 L
.54735 .54314 L
.54691 .54254 L
.54575 .541 L
.5457 .54093 L
.54466 .53933 L
.54414 .53852 L
.5437 .53772 L
F
1 .35 0 r
.54414 .48097 m
.54464 .48154 L
.54575 .48271 L
.54611 .48314 L
.54735 .48456 L
.54751 .48475 L
.54886 .48636 L
.54896 .48646 L
.55017 .48796 L
.55057 .48841 L
.55149 .48957 L
.55217 .49037 L
.5528 .49117 L
.55378 .49235 L
.55411 .49278 L
.55538 .49434 L
.55543 .49438 L
.55666 .49599 L
.55699 .49638 L
.55793 .49759 L
.55859 .49841 L
.5592 .4992 L
.5602 .50026 L
.56047 .5008 L
.56173 .50241 L
.5618 .5025 L
.56296 .50401 L
.56341 .50457 L
.5642 .50562 L
.56501 .50664 L
.56545 .50722 L
.56662 .50868 L
.56677 .50883 L
.56791 .51043 L
.56822 .51083 L
.56913 .51204 L
.56983 .51293 L
.57036 .51364 L
.57143 .51489 L
.57159 .51525 L
.57278 .51686 L
.57304 .51718 L
.57397 .51846 L
.57464 .51933 L
.57517 .52007 L
.57625 .52148 L
.57639 .52167 L
.57754 .52328 L
.57785 .52368 L
.57868 .52488 L
.57946 .52591 L
.57985 .52649 L
.58101 .52809 L
.58106 .52817 L
.58201 .5297 L
.58267 .53064 L
.58301 .5313 L
.58267 .53162 L
.58239 .5313 L
.58106 .52994 L
.58086 .5297 L
.57946 .52812 L
.57944 .52809 L
.5781 .52649 L
.57785 .52622 L
.57677 .52488 L
.57625 .52428 L
.57544 .52328 L
.57464 .52233 L
.57412 .52167 L
.57304 .52058 L
.57281 .52007 L
.57152 .51846 L
.57143 .51836 L
.57026 .51686 L
.56983 .51634 L
.56899 .51525 L
.56822 .51431 L
.56771 .51364 L
.56662 .51239 L
.56619 .51204 L
.56518 .51043 L
.56501 .51023 L
.56395 .50883 L
.56341 .50816 L
.5627 .50722 L
.5618 .50647 L
.56144 .50562 L
.5602 .50402 L
.56019 .50401 L
.55899 .50241 L
.55859 .50191 L
.55776 .5008 L
.55699 .49981 L
.55653 .4992 L
.55538 .49779 L
.55518 .49759 L
.5541 .49599 L
.55378 .49558 L
.55291 .49438 L
.55217 .49343 L
.5517 .49278 L
.55057 .49129 L
.55048 .49117 L
.54932 .48957 L
.54896 .4891 L
.54817 .48796 L
.54735 .48689 L
.54699 .48636 L
.54582 .48475 L
.54575 .48466 L
.54478 .48314 L
.54414 .48227 L
.54372 .48154 L
F
0 .73 1 r
.54414 .47427 m
.54496 .47512 L
.54575 .4759 L
.54649 .47672 L
.54735 .47765 L
.54794 .47833 L
.54896 .47927 L
.54935 .47993 L
.55057 .48133 L
.55083 .48154 L
.55206 .48314 L
.55217 .48327 L
.5534 .48475 L
.55378 .4852 L
.55473 .48636 L
.55538 .48703 L
.55667 .48796 L
.55699 .4891 L
.55743 .48957 L
.55859 .49111 L
.55864 .49117 L
.55993 .49278 L
.5602 .49294 L
.56122 .49438 L
.5618 .49505 L
.56273 .49599 L
.56341 .49714 L
.56378 .49759 L
.56501 .49917 L
.56503 .4992 L
.5663 .5008 L
.56662 .5011 L
.56805 .50241 L
.56822 .50322 L
.56891 .50401 L
.56983 .50531 L
.57004 .50562 L
.57133 .50722 L
.57143 .50727 L
.57258 .50883 L
.57304 .50934 L
.57404 .51043 L
.57464 .51147 L
.57508 .51204 L
.57625 .51356 L
.57629 .51364 L
.57755 .51525 L
.57785 .5155 L
.57923 .51686 L
.57946 .51766 L
.58012 .51846 L
.58106 .5198 L
.58125 .52007 L
.5825 .52167 L
.58267 .5217 L
.58373 .52328 L
.58428 .52386 L
.58518 .52488 L
.58588 .52605 L
.58621 .52649 L
.58742 .52809 L
.58749 .52817 L
.58864 .5297 L
.58909 .53006 L
.59031 .5313 L
.5907 .53231 L
.59117 .53291 L
.5923 .5345 L
.59231 .53451 L
.59351 .53612 L
.59391 .53663 L
.59472 .53772 L
.59551 .5386 L
.59613 .53933 L
.59712 .54087 L
.59716 .54093 L
.59834 .54254 L
.59872 .54303 L
.59954 .54414 L
.60033 .5449 L
.60108 .54575 L
.60193 .54733 L
.60195 .54735 L
.6031 .54896 L
.60354 .54954 L
.60427 .55057 L
.60514 .55174 L
.60545 .55217 L
.60661 .55378 L
.60675 .55396 L
.60772 .55538 L
.60835 .55626 L
.60884 .55699 L
.60996 .55858 L
.60997 .55859 L
.61093 .5602 L
.61156 .5612 L
.61184 .5618 L
.61156 .56223 L
.61112 .5618 L
.60996 .56073 L
.60947 .5602 L
.60835 .55901 L
.60799 .55859 L
.60675 .55729 L
.60656 .55699 L
.60518 .55538 L
.60514 .55534 L
.60383 .55378 L
.60354 .55344 L
.6025 .55217 L
.60193 .55192 L
.60116 .55057 L
.60033 .54966 L
.59945 .54896 L
.59872 .5476 L
.59849 .54735 L
.59724 .54575 L
.59712 .5456 L
.59596 .54414 L
.59551 .54378 L
.59467 .54254 L
.59391 .54164 L
.59321 .54093 L
.5923 .53957 L
.59211 .53933 L
.59085 .53772 L
.5907 .53753 L
.58959 .53612 L
.58909 .53561 L
.58793 .53451 L
.58749 .53348 L
.58699 .53291 L
.58588 .53139 L
.58582 .5313 L
.58456 .5297 L
.58428 .52951 L
.58332 .52809 L
.58267 .52735 L
.58188 .52649 L
.58106 .52522 L
.5808 .52488 L
.57957 .52328 L
.57946 .52313 L
.57834 .52167 L
.57785 .52121 L
.57672 .52007 L
.57625 .51902 L
.57578 .51846 L
.57464 .5169 L
.57462 .51686 L
.57339 .51525 L
.57304 .51506 L
.57216 .51364 L
.57143 .51282 L
.57075 .51204 L
.56983 .51064 L
.56967 .51043 L
.56847 .50883 L
.56822 .50852 L
.56725 .50722 L
.56662 .50663 L
.56567 .50562 L
.56501 .50436 L
.56473 .50401 L
.56357 .50241 L
.56341 .5022 L
.56237 .5008 L
.5618 .50049 L
.56115 .4992 L
.5602 .49807 L
.5598 .49759 L
.55871 .49599 L
.55859 .49584 L
.55752 .49438 L
.55699 .49369 L
.55632 .49278 L
.55538 .49174 L
.55489 .49117 L
.5539 .48957 L
.55378 .4894 L
.55274 .48796 L
.55217 .48722 L
.55155 .48636 L
.55057 .48504 L
.55036 .48475 L
.5492 .48314 L
.54896 .48283 L
.54807 .48154 L
.54735 .48057 L
.54692 .47993 L
.54577 .47833 L
.54575 .4783 L
.54475 .47672 L
.54414 .47584 L
.54374 .47512 L
F
.395 .97 1 r
.54414 .53109 m
.54575 .53123 L
.54593 .5313 L
.54735 .53205 L
.54843 .53291 L
.54896 .53358 L
.54971 .53451 L
.55057 .53543 L
.55087 .53612 L
.55217 .53741 L
.55242 .53772 L
.55374 .53933 L
.55378 .53947 L
.55494 .54093 L
.55538 .54159 L
.55603 .54254 L
.55699 .54374 L
.55744 .54414 L
.55859 .54574 L
.55866 .54575 L
.55995 .54735 L
.5602 .54773 L
.56105 .54896 L
.5618 .54987 L
.56209 .55057 L
.56341 .552 L
.56355 .55217 L
.5649 .55378 L
.56501 .55416 L
.56593 .55538 L
.56662 .55643 L
.56692 .55699 L
.56784 .55859 L
.56662 .55962 L
.56501 .55927 L
.56412 .55859 L
.56341 .55798 L
.5621 .55699 L
.5618 .55616 L
.56108 .55538 L
.5602 .55417 L
.55992 .55378 L
.55863 .55217 L
.55859 .55213 L
.55739 .55057 L
.55699 .5501 L
.55592 .54896 L
.55538 .54799 L
.55487 .54735 L
.55378 .54589 L
.5537 .54575 L
.55244 .54414 L
.55217 .54403 L
.55082 .54254 L
.55057 .54187 L
.54987 .54093 L
.54896 .53965 L
.54877 .53933 L
.54756 .53772 L
.54735 .53745 L
.54637 .53612 L
.54575 .53526 L
.54498 .53451 L
.54414 .53294 L
.54411 .53291 L
.54375 .5313 L
F
1 .65 0 r
.54414 .53665 m
.54549 .53772 L
.54575 .53795 L
.54706 .53933 L
.54735 .53963 L
.54847 .54093 L
.54896 .5415 L
.5498 .54254 L
.55057 .54349 L
.55108 .54414 L
.55217 .54548 L
.55241 .54575 L
.55347 .54735 L
.55378 .54777 L
.55458 .54896 L
.55538 .55017 L
.55563 .55057 L
.55634 .55217 L
.55538 .55232 L
.55522 .55217 L
.55378 .55106 L
.55352 .55057 L
.55217 .54914 L
.55206 .54896 L
.55071 .54735 L
.55057 .54719 L
.54943 .54575 L
.54896 .54518 L
.54817 .54414 L
.54735 .54309 L
.54695 .54254 L
.54577 .54093 L
.54575 .54091 L
.54472 .53933 L
.54414 .53842 L
.54377 .53772 L
F
1 .34 0 r
.54414 .48107 m
.54456 .48154 L
.54575 .48278 L
.54605 .48314 L
.54735 .48461 L
.54747 .48475 L
.54881 .48636 L
.54896 .48652 L
.55013 .48796 L
.55057 .48846 L
.55145 .48957 L
.55217 .49042 L
.55277 .49117 L
.55378 .49239 L
.55408 .49278 L
.55538 .49438 L
.55538 .49439 L
.55663 .49599 L
.55699 .49641 L
.5579 .49759 L
.55859 .49844 L
.55917 .4992 L
.5602 .5003 L
.56045 .5008 L
.5617 .50241 L
.5618 .50253 L
.56293 .50401 L
.56341 .5046 L
.56418 .50562 L
.56501 .50667 L
.56543 .50722 L
.56662 .50872 L
.56673 .50883 L
.56788 .51043 L
.56822 .51086 L
.5691 .51204 L
.56983 .51297 L
.57033 .51364 L
.57143 .51495 L
.57157 .51525 L
.57275 .51686 L
.57304 .51722 L
.57394 .51846 L
.57464 .51937 L
.57514 .52007 L
.57625 .52152 L
.57636 .52167 L
.5775 .52328 L
.57785 .52373 L
.57864 .52488 L
.57946 .52597 L
.57981 .52649 L
.57946 .52806 L
.57815 .52649 L
.57785 .52616 L
.57681 .52488 L
.57625 .52424 L
.57548 .52328 L
.57464 .52229 L
.57415 .52167 L
.57304 .52052 L
.57284 .52007 L
.57155 .51846 L
.57143 .51832 L
.57029 .51686 L
.56983 .5163 L
.56901 .51525 L
.56822 .51428 L
.56773 .51364 L
.56662 .51235 L
.56624 .51204 L
.56521 .51043 L
.56501 .51019 L
.56397 .50883 L
.56341 .50813 L
.56272 .50722 L
.5618 .50643 L
.56146 .50562 L
.56021 .50401 L
.5602 .50399 L
.55901 .50241 L
.55859 .50188 L
.55779 .5008 L
.55699 .49978 L
.55655 .4992 L
.55538 .49774 L
.55523 .49759 L
.55413 .49599 L
.55378 .49554 L
.55293 .49438 L
.55217 .4934 L
.55172 .49278 L
.55057 .49126 L
.5505 .49117 L
.54936 .48957 L
.54896 .48905 L
.5482 .48796 L
.54735 .48684 L
.54703 .48636 L
.54587 .48475 L
.54575 .48459 L
.54484 .48314 L
.54414 .48216 L
.5438 .48154 L
F
.733 .99 1 r
.54414 .46079 m
.54572 .46228 L
.54575 .4623 L
.54728 .46388 L
.54735 .46395 L
.54878 .46549 L
.54896 .46568 L
.55024 .46709 L
.55057 .46745 L
.55166 .4687 L
.55217 .46935 L
.55313 .4703 L
.55378 .47129 L
.55428 .47191 L
.55538 .47326 L
.55549 .47351 L
.55699 .475 L
.55709 .47512 L
.55849 .47672 L
.55859 .47699 L
.55966 .47833 L
.5602 .47905 L
.56078 .47993 L
.5618 .4812 L
.56235 .48154 L
.56341 .4829 L
.56361 .48314 L
.56488 .48475 L
.56501 .48495 L
.56603 .48636 L
.56662 .48712 L
.56702 .48796 L
.56822 .48896 L
.56872 .48957 L
.56983 .49102 L
.56995 .49117 L
.57116 .49278 L
.57143 .49314 L
.57223 .49438 L
.57304 .49539 L
.57375 .49599 L
.57464 .49717 L
.57498 .49759 L
.5762 .4992 L
.57625 .49927 L
.57734 .5008 L
.57785 .50147 L
.57827 .50241 L
.57946 .50338 L
.57997 .50401 L
.58106 .50547 L
.58119 .50562 L
.58238 .50722 L
.58267 .50761 L
.58342 .50883 L
.58428 .50987 L
.58493 .51043 L
.58588 .5117 L
.58615 .51204 L
.58737 .51364 L
.58749 .51381 L
.58848 .51525 L
.58909 .51601 L
.5894 .51686 L
.5907 .51827 L
.59111 .51846 L
.5923 .52005 L
.59232 .52007 L
.5935 .52167 L
.59391 .5222 L
.59453 .52328 L
.59551 .52442 L
.59605 .52488 L
.59712 .5263 L
.59726 .52649 L
.59849 .52809 L
.59872 .52842 L
.59959 .5297 L
.60033 .5306 L
.60052 .5313 L
.60193 .53277 L
.6022 .53291 L
.60345 .53451 L
.60354 .53467 L
.6046 .53612 L
.60514 .53682 L
.60563 .53772 L
.60675 .53898 L
.60714 .53933 L
.60835 .54093 L
.60835 .54093 L
.6096 .54254 L
.60996 .54305 L
.61068 .54414 L
.61156 .5452 L
.61166 .54575 L
.61317 .54729 L
.61329 .54735 L
.61458 .54896 L
.61477 .54929 L
.6157 .55057 L
.61638 .55143 L
.61675 .55217 L
.61799 .55355 L
.61822 .55378 L
.61954 .55538 L
.61959 .55556 L
.6207 .55699 L
.6212 .55767 L
.62178 .55859 L
.6228 .55981 L
.62283 .5602 L
.62436 .5618 L
.62441 .56184 L
.6257 .56341 L
.62601 .56392 L
.6268 .56501 L
.62762 .56606 L
.62787 .56662 L
.62922 .56815 L
.62929 .56822 L
.63071 .56983 L
.63083 .57017 L
.6318 .57143 L
.63243 .57231 L
.63289 .57304 L
.63404 .57444 L
.63421 .57464 L
.63543 .57625 L
.63564 .57643 L
.63681 .57785 L
.63725 .57856 L
.63788 .57946 L
.63885 .58071 L
.639 .58106 L
.64034 .58267 L
.64046 .58271 L
.64185 .58428 L
.64206 .58481 L
.64287 .58588 L
.64367 .58699 L
.64397 .58749 L
.64524 .58909 L
.64527 .58913 L
.64646 .5907 L
.64688 .59104 L
.64787 .5923 L
.64848 .59327 L
.64892 .59391 L
.65009 .59545 L
.65011 .59551 L
.65133 .59712 L
.6517 .59759 L
.65291 .59872 L
.6533 .59955 L
.65386 .60033 L
.65491 .60181 L
.65498 .60193 L
.65617 .60354 L
.65651 .60398 L
.65737 .60514 L
.65812 .60586 L
.65876 .60675 L
.65972 .60825 L
.65979 .60835 L
.66095 .60996 L
.66133 .61046 L
.66212 .61156 L
.66293 .61266 L
.66356 .61317 L
.66446 .61477 L
.66454 .61488 L
.66556 .61638 L
.66614 .61719 L
.66667 .61799 L
.66775 .61954 L
.66778 .61959 L
.66874 .6212 L
.66935 .6222 L
.66963 .6228 L
.66935 .62364 L
.66833 .6228 L
.66775 .62232 L
.66662 .6212 L
.66614 .62073 L
.66508 .61959 L
.66454 .61923 L
.66361 .61799 L
.66293 .61726 L
.66153 .61638 L
.66133 .61536 L
.66071 .61477 L
.65972 .61344 L
.65948 .61317 L
.65812 .61158 L
.65811 .61156 L
.65676 .60996 L
.65651 .60965 L
.65529 .60835 L
.65491 .60763 L
.65418 .60675 L
.6533 .60556 L
.65303 .60514 L
.6517 .60356 L
.65156 .60354 L
.65013 .60193 L
.65009 .60167 L
.64899 .60033 L
.64848 .59956 L
.64787 .59872 L
.64688 .59743 L
.6468 .59712 L
.64527 .59557 L
.64523 .59551 L
.64389 .59391 L
.64367 .59348 L
.64277 .5923 L
.64206 .59133 L
.6417 .5907 L
.64046 .58919 L
.64021 .58909 L
.63889 .58749 L
.63885 .58731 L
.63771 .58588 L
.63725 .58518 L
.63662 .58428 L
.63564 .58302 L
.63558 .58267 L
.63404 .5811 L
.63401 .58106 L
.63268 .57946 L
.63243 .57899 L
.63157 .57785 L
.63083 .57684 L
.63051 .57625 L
.62922 .57473 L
.62905 .57464 L
.62769 .57304 L
.62762 .57277 L
.62655 .57143 L
.62601 .57063 L
.62546 .56983 L
.62441 .5685 L
.62439 .56822 L
.62288 .56662 L
.6228 .56652 L
.62153 .56501 L
.6212 .56441 L
.62044 .56341 L
.61959 .56227 L
.61935 .5618 L
.61799 .56022 L
.61794 .5602 L
.6165 .55859 L
.61638 .55817 L
.61542 .55699 L
.61477 .55604 L
.61433 .55538 L
.61317 .55394 L
.61301 .55378 L
.61179 .55217 L
.61156 .55193 L
.6104 .55057 L
.60996 .54981 L
.60932 .54896 L
.60835 .54768 L
.6082 .54735 L
.60685 .54575 L
.60675 .54566 L
.60534 .54414 L
.60514 .54357 L
.60431 .54254 L
.60354 .54143 L
.60321 .54093 L
.60193 .53934 L
.60192 .53933 L
.6007 .53772 L
.60033 .53734 L
.59928 .53612 L
.59872 .53519 L
.59822 .53451 L
.59712 .53306 L
.59705 .53291 L
.59577 .5313 L
.59551 .5311 L
.59421 .5297 L
.59391 .52896 L
.59321 .52809 L
.5923 .5268 L
.5921 .52649 L
.59084 .52488 L
.5907 .52485 L
.58962 .52328 L
.58909 .52274 L
.58819 .52167 L
.58749 .52056 L
.58712 .52007 L
.58591 .51846 L
.58588 .51842 L
.5847 .51686 L
.58428 .51655 L
.58311 .51525 L
.58267 .51432 L
.58214 .51364 L
.58106 .51215 L
.581 .51204 L
.57978 .51043 L
.57946 .51003 L
.57856 .50883 L
.57785 .50812 L
.57712 .50722 L
.57625 .50589 L
.57606 .50562 L
.57486 .50401 L
.57464 .50374 L
.57364 .50241 L
.57304 .50195 L
.57206 .5008 L
.57143 .49964 L
.57109 .4992 L
.56994 .49759 L
.56983 .49745 L
.56873 .49599 L
.56822 .49534 L
.56751 .49438 L
.56662 .49341 L
.56612 .49278 L
.56503 .49117 L
.56501 .49115 L
.56383 .48957 L
.56341 .48902 L
.56262 .48796 L
.5618 .48722 L
.56111 .48636 L
.5602 .48484 L
.56013 .48475 L
.55896 .48314 L
.55859 .48268 L
.55776 .48154 L
.55699 .48055 L
.55654 .47993 L
.55538 .47849 L
.55526 .47833 L
.55412 .47672 L
.55378 .47629 L
.55294 .47512 L
.55217 .47412 L
.55174 .47351 L
.55057 .47198 L
.55047 .47191 L
.54937 .4703 L
.54896 .46977 L
.54822 .4687 L
.54735 .46753 L
.54706 .46709 L
.54591 .46549 L
.54575 .46527 L
.54487 .46388 L
.54414 .46283 L
.54383 .46228 L
F
1 .92 .084 r
.54414 .46767 m
.54523 .4687 L
.54575 .46918 L
.54682 .4703 L
.54735 .47085 L
.54831 .47191 L
.54896 .47227 L
.54976 .47351 L
.55057 .4744 L
.5517 .47512 L
.55217 .47633 L
.55257 .47672 L
.55378 .47823 L
.55386 .47833 L
.55523 .47993 L
.55538 .48008 L
.55657 .48154 L
.55699 .48206 L
.55802 .48314 L
.55859 .48408 L
.55913 .48475 L
.5602 .48609 L
.56033 .48636 L
.56178 .48796 L
.5618 .48798 L
.56328 .48957 L
.56341 .49001 L
.56435 .49117 L
.56501 .49209 L
.56547 .49278 L
.56662 .49416 L
.56691 .49438 L
.56817 .49599 L
.56822 .49606 L
.56949 .49759 L
.56983 .49814 L
.5706 .4992 L
.57143 .50026 L
.57168 .5008 L
.57304 .50233 L
.57321 .50241 L
.57455 .50401 L
.57464 .50426 L
.5757 .50562 L
.57625 .50638 L
.57678 .50722 L
.57785 .50851 L
.57822 .50883 L
.57945 .51043 L
.57946 .51045 L
.58075 .51204 L
.58106 .51255 L
.58185 .51364 L
.58267 .51469 L
.58291 .51525 L
.58428 .51677 L
.58442 .51686 L
.58576 .51846 L
.58588 .51875 L
.58689 .52007 L
.58749 .52088 L
.58797 .52167 L
.58909 .523 L
.58938 .52328 L
.59061 .52488 L
.5907 .52499 L
.59191 .52649 L
.5923 .5271 L
.593 .52809 L
.59391 .52923 L
.59408 .5297 L
.59551 .53128 L
.59555 .5313 L
.59693 .53291 L
.59712 .53333 L
.59802 .53451 L
.59872 .53546 L
.59911 .53612 L
.60033 .53757 L
.60048 .53772 L
.6017 .53933 L
.60193 .53958 L
.60303 .54093 L
.60354 .54171 L
.60411 .54254 L
.60514 .54384 L
.60524 .54414 L
.60662 .54575 L
.60675 .54586 L
.60806 .54735 L
.60835 .54796 L
.60911 .54896 L
.60996 .55011 L
.61021 .55057 L
.61153 .55217 L
.61156 .55218 L
.61275 .55378 L
.61317 .55422 L
.6141 .55538 L
.61477 .5564 L
.61517 .55699 L
.61638 .55854 L
.6164 .55859 L
.61763 .5602 L
.61799 .56047 L
.61912 .5618 L
.61959 .56269 L
.62012 .56341 L
.6212 .56488 L
.62127 .56501 L
.62249 .56662 L
.6228 .56702 L
.62424 .56822 L
.62441 .56899 L
.62505 .56983 L
.62601 .57126 L
.62613 .57143 L
.62731 .57304 L
.62762 .57344 L
.6285 .57464 L
.62922 .57531 L
.62995 .57625 L
.63083 .57773 L
.63091 .57785 L
.63205 .57946 L
.63243 .57996 L
.63322 .58106 L
.63404 .58218 L
.63476 .58267 L
.63554 .58428 L
.63564 .58441 L
.63663 .58588 L
.63725 .58674 L
.63774 .58749 L
.63884 .58909 L
.63885 .58911 L
.63976 .5907 L
.64046 .59192 L
.64059 .5923 L
.64046 .59268 L
.63993 .5923 L
.63885 .59142 L
.63814 .5907 L
.63725 .58981 L
.63659 .58909 L
.63564 .58826 L
.63513 .58749 L
.63404 .58629 L
.63346 .58588 L
.63243 .58439 L
.63231 .58428 L
.63097 .58267 L
.63083 .58267 L
.62963 .58106 L
.62922 .58065 L
.62829 .57946 L
.62762 .57864 L
.62685 .57785 L
.62601 .57663 L
.6257 .57625 L
.62441 .57467 L
.62439 .57464 L
.62309 .57304 L
.6228 .5727 L
.62155 .57143 L
.6212 .57065 L
.62051 .56983 L
.61959 .56858 L
.61935 .56822 L
.61799 .56662 L
.61799 .56661 L
.61673 .56501 L
.61638 .56458 L
.61537 .56341 L
.61477 .56249 L
.61426 .5618 L
.61317 .56041 L
.61309 .5602 L
.6117 .55859 L
.61156 .55843 L
.61025 .55699 L
.60996 .55635 L
.60919 .55538 L
.60835 .55424 L
.60807 .55378 L
.60675 .5522 L
.60671 .55217 L
.60547 .55057 L
.60514 .55017 L
.60413 .54896 L
.60354 .54805 L
.60303 .54735 L
.60193 .54595 L
.60187 .54575 L
.60051 .54414 L
.60033 .54395 L
.59906 .54254 L
.59872 .54185 L
.598 .54093 L
.59712 .53972 L
.59688 .53933 L
.59556 .53772 L
.59551 .53769 L
.59396 .53612 L
.59391 .53563 L
.59297 .53451 L
.5923 .5335 L
.59188 .53291 L
.5907 .5314 L
.59067 .5313 L
.58939 .5297 L
.58909 .5294 L
.58792 .52809 L
.58749 .52727 L
.58688 .52649 L
.58588 .52513 L
.58574 .52488 L
.58446 .52328 L
.58428 .52316 L
.5828 .52167 L
.58267 .52104 L
.58187 .52007 L
.58106 .51888 L
.58077 .51846 L
.57953 .51686 L
.57946 .51676 L
.57832 .51525 L
.57785 .51482 L
.57682 .51364 L
.57625 .51262 L
.5758 .51204 L
.57464 .51047 L
.57462 .51043 L
.57341 .50883 L
.57304 .50862 L
.57171 .50722 L
.57143 .50638 L
.57082 .50562 L
.56983 .50418 L
.56971 .50401 L
.5685 .50241 L
.56822 .50205 L
.56729 .5008 L
.56662 .50015 L
.56581 .4992 L
.56501 .49788 L
.5648 .49759 L
.56362 .49599 L
.56341 .49572 L
.56242 .49438 L
.5618 .49397 L
.56075 .49278 L
.5602 .49157 L
.55989 .49117 L
.55876 .48957 L
.55859 .48935 L
.55758 .48796 L
.55699 .4872 L
.55637 .48636 L
.55538 .48522 L
.55501 .48475 L
.55396 .48314 L
.55378 .48291 L
.55279 .48154 L
.55217 .48073 L
.55161 .47993 L
.55057 .47855 L
.55025 .47833 L
.54925 .47672 L
.54896 .47633 L
.54813 .47512 L
.54735 .47407 L
.54698 .47351 L
.54585 .47191 L
.54575 .47177 L
.54484 .4703 L
.54414 .46926 L
.54384 .4687 L
F
1 .64 0 r
.54414 .53679 m
.54539 .53772 L
.54575 .53802 L
.547 .53933 L
.54735 .5397 L
.54842 .54093 L
.54896 .54156 L
.54975 .54254 L
.55057 .54354 L
.55103 .54414 L
.55217 .54556 L
.55234 .54575 L
.55342 .54735 L
.55378 .54784 L
.55453 .54896 L
.55538 .55027 L
.55556 .55057 L
.55616 .55217 L
.55538 .55221 L
.55534 .55217 L
.55378 .55094 L
.55359 .55057 L
.55217 .54906 L
.55211 .54896 L
.55076 .54735 L
.55057 .54713 L
.54947 .54575 L
.54896 .54513 L
.54821 .54414 L
.54735 .54304 L
.54699 .54254 L
.54582 .54093 L
.54575 .54084 L
.54478 .53933 L
.54414 .5383 L
.54385 .53772 L
F
0 .48 1 r
.54414 .54292 m
.54501 .54414 L
.54575 .54513 L
.54611 .54575 L
.54575 .54624 L
.5453 .54575 L
.54414 .54451 L
.54385 .54414 L
F
0 .72 1 r
.54414 .47449 m
.54479 .47512 L
.54575 .47603 L
.54638 .47672 L
.54735 .47776 L
.54786 .47833 L
.54896 .47938 L
.54927 .47993 L
.55057 .48142 L
.55072 .48154 L
.552 .48314 L
.55217 .48333 L
.55334 .48475 L
.55378 .48526 L
.55468 .48636 L
.55538 .48708 L
.55662 .48796 L
.55699 .48916 L
.55738 .48957 L
.55859 .49116 L
.5586 .49117 L
.55989 .49278 L
.5602 .49296 L
.56118 .49438 L
.5618 .49509 L
.5627 .49599 L
.56341 .49718 L
.56375 .49759 L
.56501 .4992 L
.56501 .4992 L
.56627 .5008 L
.56662 .50113 L
.56803 .50241 L
.56822 .50325 L
.56888 .50401 L
.56983 .50534 L
.57002 .50562 L
.5713 .50722 L
.57143 .50728 L
.57255 .50883 L
.57304 .50937 L
.57402 .51043 L
.57464 .5115 L
.57506 .51204 L
.57625 .51359 L
.57628 .51364 L
.57753 .51525 L
.57785 .51553 L
.57922 .51686 L
.57946 .51769 L
.5801 .51846 L
.58106 .51982 L
.58123 .52007 L
.58248 .52167 L
.58267 .52171 L
.58371 .52328 L
.58428 .52389 L
.58516 .52488 L
.58588 .52607 L
.58619 .52649 L
.5874 .52809 L
.58749 .5282 L
.58861 .5297 L
.58909 .53008 L
.59029 .5313 L
.5907 .53235 L
.59115 .53291 L
.59229 .53451 L
.5923 .53453 L
.59349 .53612 L
.59391 .53666 L
.5947 .53772 L
.59551 .53864 L
.5961 .53933 L
.59712 .54091 L
.59713 .54093 L
.59831 .54254 L
.59872 .54307 L
.59951 .54414 L
.60033 .54495 L
.60103 .54575 L
.60191 .54735 L
.60193 .54739 L
.60306 .54896 L
.60354 .54959 L
.60423 .55057 L
.60514 .5518 L
.60541 .55217 L
.60655 .55378 L
.60675 .55404 L
.60766 .55538 L
.60835 .55635 L
.60877 .55699 L
.60987 .55859 L
.60996 .55872 L
.61079 .5602 L
.60996 .56058 L
.60961 .5602 L
.60835 .5589 L
.60808 .55859 L
.60675 .55717 L
.60664 .55699 L
.60525 .55538 L
.60514 .55526 L
.6039 .55378 L
.60354 .55337 L
.60255 .55217 L
.60193 .55188 L
.60121 .55057 L
.60033 .5496 L
.59951 .54896 L
.59872 .54755 L
.59854 .54735 L
.59728 .54575 L
.59712 .54555 L
.59599 .54414 L
.59551 .54375 L
.5947 .54254 L
.59391 .5416 L
.59324 .54093 L
.5923 .53953 L
.59214 .53933 L
.59088 .53772 L
.5907 .5375 L
.58962 .53612 L
.58909 .53558 L
.58795 .53451 L
.58749 .53345 L
.58702 .53291 L
.58588 .53136 L
.58584 .5313 L
.58459 .5297 L
.58428 .52949 L
.58334 .52809 L
.58267 .52733 L
.5819 .52649 L
.58106 .52519 L
.58083 .52488 L
.57959 .52328 L
.57946 .52311 L
.57836 .52167 L
.57785 .52118 L
.57674 .52007 L
.57625 .519 L
.5758 .51846 L
.57464 .51687 L
.57463 .51686 L
.57341 .51525 L
.57304 .51505 L
.57218 .51364 L
.57143 .5128 L
.57077 .51204 L
.56983 .51061 L
.5697 .51043 L
.56849 .50883 L
.56822 .50849 L
.56727 .50722 L
.56662 .5066 L
.56569 .50562 L
.56501 .50433 L
.56476 .50401 L
.56359 .50241 L
.56341 .50217 L
.56239 .5008 L
.5618 .50046 L
.56117 .4992 L
.5602 .49803 L
.55983 .49759 L
.55874 .49599 L
.55859 .4958 L
.55755 .49438 L
.55699 .49365 L
.55634 .49278 L
.55538 .49169 L
.55493 .49117 L
.55394 .48957 L
.55378 .48936 L
.55277 .48796 L
.55217 .48717 L
.55159 .48636 L
.55057 .48499 L
.55039 .48475 L
.54925 .48314 L
.54896 .48276 L
.54812 .48154 L
.54735 .48049 L
.54698 .47993 L
.54585 .47833 L
.54575 .47819 L
.54486 .47672 L
.54414 .47564 L
.54388 .47512 L
F
0 .07 1 r
.54414 .48784 m
.54423 .48796 L
.54414 .48842 L
.54389 .48796 L
F
1 .33 0 r
.54414 .4812 m
.54445 .48154 L
.54575 .48286 L
.54599 .48314 L
.54735 .48467 L
.54742 .48475 L
.54876 .48636 L
.54896 .48657 L
.55009 .48796 L
.55057 .4885 L
.55141 .48957 L
.55217 .49046 L
.55274 .49117 L
.55378 .49243 L
.55405 .49278 L
.55534 .49438 L
.55538 .49442 L
.5566 .49599 L
.55699 .49645 L
.55787 .49759 L
.55859 .49848 L
.55915 .4992 L
.5602 .50035 L
.56042 .5008 L
.56167 .50241 L
.5618 .50256 L
.56291 .50401 L
.56341 .50464 L
.56415 .50562 L
.56501 .50671 L
.56541 .50722 L
.56662 .50876 L
.56669 .50883 L
.56786 .51043 L
.56822 .51089 L
.56908 .51204 L
.56983 .513 L
.57031 .51364 L
.57143 .515 L
.57154 .51525 L
.57273 .51686 L
.57304 .51725 L
.57391 .51846 L
.57464 .51941 L
.57512 .52007 L
.57625 .52156 L
.57633 .52167 L
.57746 .52328 L
.57785 .52379 L
.5786 .52488 L
.57946 .52603 L
.57977 .52649 L
.57946 .52799 L
.57821 .52649 L
.57785 .52611 L
.57686 .52488 L
.57625 .52419 L
.57552 .52328 L
.57464 .52225 L
.57419 .52167 L
.57304 .52046 L
.57287 .52007 L
.57158 .51846 L
.57143 .51829 L
.57032 .51686 L
.56983 .51627 L
.56904 .51525 L
.56822 .51425 L
.56776 .51364 L
.56662 .5123 L
.5663 .51204 L
.56524 .51043 L
.56501 .51016 L
.564 .50883 L
.56341 .5081 L
.56275 .50722 L
.5618 .50638 L
.56149 .50562 L
.56024 .50401 L
.5602 .50396 L
.55904 .50241 L
.55859 .50185 L
.55781 .5008 L
.55699 .49975 L
.55657 .4992 L
.55538 .49769 L
.55528 .49759 L
.55416 .49599 L
.55378 .4955 L
.55296 .49438 L
.55217 .49336 L
.55175 .49278 L
.55057 .49122 L
.55053 .49117 L
.54939 .48957 L
.54896 .489 L
.54824 .48796 L
.54735 .48678 L
.54706 .48636 L
.54593 .48475 L
.54575 .48451 L
.54492 .48314 L
.54414 .48204 L
.5439 .48154 L
F
0 .47 1 r
.54414 .54303 m
.54491 .54414 L
.54575 .54529 L
.546 .54575 L
.54575 .54609 L
.54543 .54575 L
.54414 .54441 L
.54393 .54414 L
F
1 .63 0 r
.54414 .53695 m
.54528 .53772 L
.54575 .53811 L
.54694 .53933 L
.54735 .53976 L
.54837 .54093 L
.54896 .54161 L
.54971 .54254 L
.55057 .54359 L
.55099 .54414 L
.55217 .54564 L
.55227 .54575 L
.55337 .54735 L
.55378 .54791 L
.55448 .54896 L
.55538 .55038 L
.55549 .55057 L
.55538 .55207 L
.55378 .55081 L
.55365 .55057 L
.55217 .54898 L
.55216 .54896 L
.55081 .54735 L
.55057 .54708 L
.54951 .54575 L
.54896 .54507 L
.54825 .54414 L
.54735 .54298 L
.54703 .54254 L
.54587 .54093 L
.54575 .54077 L
.54484 .53933 L
.54414 .53817 L
.54393 .53772 L
F
1 .32 0 r
.54414 .48137 m
.54431 .48154 L
.54575 .48294 L
.54593 .48314 L
.54735 .48473 L
.54737 .48475 L
.54871 .48636 L
.54896 .48662 L
.55005 .48796 L
.55057 .48855 L
.55138 .48957 L
.55217 .4905 L
.5527 .49117 L
.55378 .49247 L
.55402 .49278 L
.55531 .49438 L
.55538 .49446 L
.55657 .49599 L
.55699 .49648 L
.55784 .49759 L
.55859 .49851 L
.55912 .4992 L
.5602 .50039 L
.5604 .5008 L
.56165 .50241 L
.5618 .5026 L
.56288 .50401 L
.56341 .50467 L
.56413 .50562 L
.56501 .50674 L
.56538 .50722 L
.56662 .5088 L
.56664 .50883 L
.56783 .51043 L
.56822 .51092 L
.56905 .51204 L
.56983 .51303 L
.57028 .51364 L
.57143 .51506 L
.57152 .51525 L
.5727 .51686 L
.57304 .51729 L
.57388 .51846 L
.57464 .51945 L
.57509 .52007 L
.57625 .5216 L
.5763 .52167 L
.57742 .52328 L
.57785 .52384 L
.57856 .52488 L
.57946 .52609 L
.57972 .52649 L
.57946 .52791 L
.57826 .52649 L
.57785 .52605 L
.5769 .52488 L
.57625 .52414 L
.57556 .52328 L
.57464 .5222 L
.57422 .52167 L
.57304 .52039 L
.5729 .52007 L
.57161 .51846 L
.57143 .51825 L
.57035 .51686 L
.56983 .51623 L
.56907 .51525 L
.56822 .51421 L
.56778 .51364 L
.56662 .51226 L
.56635 .51204 L
.56526 .51043 L
.56501 .51013 L
.56402 .50883 L
.56341 .50807 L
.56277 .50722 L
.5618 .50633 L
.56151 .50562 L
.56027 .50401 L
.5602 .50393 L
.55906 .50241 L
.55859 .50182 L
.55784 .5008 L
.55699 .49972 L
.5566 .4992 L
.55538 .49763 L
.55534 .49759 L
.55418 .49599 L
.55378 .49547 L
.55299 .49438 L
.55217 .49332 L
.55178 .49278 L
.55057 .49118 L
.55056 .49117 L
.54943 .48957 L
.54896 .48895 L
.54828 .48796 L
.54735 .48673 L
.5471 .48636 L
.54599 .48475 L
.54575 .48443 L
.545 .48314 L
.54414 .48186 L
.54402 .48154 L
F
0 .46 1 r
.54414 .54317 m
.54479 .54414 L
.54575 .54552 L
.54584 .54575 L
.54575 .54588 L
.54561 .54575 L
.54414 .5443 L
.54402 .54414 L
F
1 .62 0 r
.54414 .53714 m
.54515 .53772 L
.54575 .53819 L
.54687 .53933 L
.54735 .53983 L
.54831 .54093 L
.54896 .54167 L
.54966 .54254 L
.55057 .54365 L
.55095 .54414 L
.55217 .54572 L
.55219 .54575 L
.55332 .54735 L
.55378 .54799 L
.55442 .54896 L
.55538 .5505 L
.55542 .55057 L
.55538 .55191 L
.55378 .55067 L
.55372 .55057 L
.55222 .54896 L
.55217 .54891 L
.55086 .54735 L
.55057 .54702 L
.54956 .54575 L
.54896 .54502 L
.5483 .54414 L
.54735 .54293 L
.54707 .54254 L
.54592 .54093 L
.54575 .54069 L
.5449 .53933 L
.54414 .538 L
.54403 .53772 L
F
0 .71 1 r
.54414 .47482 m
.54454 .47512 L
.54575 .47618 L
.54626 .47672 L
.54735 .47787 L
.54776 .47833 L
.54896 .47951 L
.5492 .47993 L
.55057 .48151 L
.55061 .48154 L
.55194 .48314 L
.55217 .4834 L
.55329 .48475 L
.55378 .48532 L
.55463 .48636 L
.55538 .48713 L
.55657 .48796 L
.55699 .48921 L
.55734 .48957 L
.55857 .49117 L
.55859 .4912 L
.55986 .49278 L
.5602 .49299 L
.56115 .49438 L
.5618 .49513 L
.56267 .49599 L
.56341 .49722 L
.56372 .49759 L
.56498 .4992 L
.56501 .49924 L
.56624 .5008 L
.56662 .50116 L
.56802 .50241 L
.56822 .50328 L
.56886 .50401 L
.56983 .50537 L
.57 .50562 L
.57128 .50722 L
.57143 .50729 L
.57253 .50883 L
.57304 .5094 L
.574 .51043 L
.57464 .51153 L
.57504 .51204 L
.57625 .51362 L
.57626 .51364 L
.57751 .51525 L
.57785 .51555 L
.5792 .51686 L
.57946 .51771 L
.58008 .51846 L
.58106 .51985 L
.58121 .52007 L
.58246 .52167 L
.58267 .52172 L
.58369 .52328 L
.58428 .52391 L
.58514 .52488 L
.58588 .5261 L
.58617 .52649 L
.58738 .52809 L
.58749 .52823 L
.58859 .5297 L
.58909 .5301 L
.59026 .5313 L
.5907 .53238 L
.59112 .53291 L
.59226 .53451 L
.5923 .53456 L
.59346 .53612 L
.59391 .5367 L
.59467 .53772 L
.59551 .53868 L
.59606 .53933 L
.5971 .54093 L
.59712 .54095 L
.59828 .54254 L
.59872 .54312 L
.59948 .54414 L
.60033 .54501 L
.60098 .54575 L
.60187 .54735 L
.60193 .54744 L
.60302 .54896 L
.60354 .54965 L
.60419 .55057 L
.60514 .55186 L
.60536 .55217 L
.60649 .55378 L
.60675 .55412 L
.60759 .55538 L
.60835 .55645 L
.6087 .55699 L
.60976 .55859 L
.60996 .55889 L
.6106 .5602 L
.60996 .5604 L
.60976 .5602 L
.60835 .55878 L
.60818 .55859 L
.60675 .55703 L
.60672 .55699 L
.60533 .55538 L
.60514 .55518 L
.60396 .55378 L
.60354 .5533 L
.6026 .55217 L
.60193 .55182 L
.60126 .55057 L
.60033 .54954 L
.59958 .54896 L
.59872 .54749 L
.59859 .54735 L
.59732 .54575 L
.59712 .54551 L
.59603 .54414 L
.59551 .54372 L
.59474 .54254 L
.59391 .54156 L
.59328 .54093 L
.5923 .53949 L
.59217 .53933 L
.59091 .53772 L
.5907 .53746 L
.58964 .53612 L
.58909 .53555 L
.58798 .53451 L
.58749 .53341 L
.58705 .53291 L
.58588 .53134 L
.58586 .5313 L
.58461 .5297 L
.58428 .52947 L
.58336 .52809 L
.58267 .5273 L
.58192 .52649 L
.58106 .52516 L
.58085 .52488 L
.57962 .52328 L
.57946 .52308 L
.57838 .52167 L
.57785 .52116 L
.57676 .52007 L
.57625 .51897 L
.57582 .51846 L
.57465 .51686 L
.57464 .51684 L
.57343 .51525 L
.57304 .51503 L
.5722 .51364 L
.57143 .51277 L
.57079 .51204 L
.56983 .51058 L
.56972 .51043 L
.56851 .50883 L
.56822 .50846 L
.56729 .50722 L
.56662 .50657 L
.56572 .50562 L
.56501 .5043 L
.56478 .50401 L
.56362 .50241 L
.56341 .50214 L
.56241 .5008 L
.5618 .50043 L
.56119 .4992 L
.5602 .49799 L
.55986 .49759 L
.55876 .49599 L
.55859 .49577 L
.55758 .49438 L
.55699 .49362 L
.55637 .49278 L
.55538 .49163 L
.55498 .49117 L
.55397 .48957 L
.55378 .48931 L
.55281 .48796 L
.55217 .48712 L
.55163 .48636 L
.55057 .48494 L
.55043 .48475 L
.5493 .48314 L
.54896 .48269 L
.54818 .48154 L
.54735 .48041 L
.54704 .47993 L
.54594 .47833 L
.54575 .47806 L
.54498 .47672 L
.54414 .47535 L
.54406 .47512 L
F
0 .45 1 r
.54414 .54335 m
.54462 .54414 L
.54414 .54417 L
.54412 .54414 L
F
1 .61 0 r
.54414 .53749 m
.54498 .53772 L
.54575 .53828 L
.5468 .53933 L
.54735 .53989 L
.54826 .54093 L
.54896 .54173 L
.54961 .54254 L
.55057 .54371 L
.55091 .54414 L
.55214 .54575 L
.55217 .54579 L
.55327 .54735 L
.55378 .54807 L
.55436 .54896 L
.55378 .55054 L
.55228 .54896 L
.55217 .54885 L
.55091 .54735 L
.55057 .54696 L
.5496 .54575 L
.54896 .54497 L
.54834 .54414 L
.54735 .54287 L
.54711 .54254 L
.54597 .54093 L
.54575 .54061 L
.54497 .53933 L
.54414 .53776 L
.54413 .53772 L
F
.289 .96 1 r
.54575 .53148 m
.54735 .53229 L
.54824 .53291 L
.54896 .53376 L
.54958 .53451 L
.55057 .53557 L
.5508 .53612 L
.55217 .53752 L
.55233 .53772 L
.55371 .53933 L
.55378 .53956 L
.55488 .54093 L
.55538 .54167 L
.55598 .54254 L
.55699 .5438 L
.55739 .54414 L
.55859 .54575 L
.55861 .54575 L
.55991 .54735 L
.5602 .5478 L
.561 .54896 L
.5618 .54994 L
.56205 .55057 L
.56341 .55208 L
.56348 .55217 L
.56486 .55378 L
.56501 .55428 L
.56584 .55538 L
.56662 .55662 L
.56681 .55699 L
.56754 .55859 L
.56662 .55935 L
.56501 .55903 L
.56438 .55859 L
.56341 .55781 L
.56221 .55699 L
.5618 .55605 L
.56116 .55538 L
.5602 .55409 L
.55997 .55378 L
.55868 .55217 L
.55859 .55209 L
.55743 .55057 L
.55699 .55005 L
.55596 .54896 L
.55538 .54794 L
.55491 .54735 L
.55378 .54585 L
.55372 .54575 L
.55248 .54414 L
.55217 .54401 L
.55085 .54254 L
.55057 .54182 L
.54991 .54093 L
.54896 .53958 L
.54881 .53933 L
.54761 .53772 L
.54735 .53738 L
.54644 .53612 L
.54575 .53515 L
.54509 .53451 L
.54428 .53291 L
F
.212 .95 1 r
.54575 .53171 m
.54735 .53251 L
.548 .53291 L
.54896 .53393 L
.54946 .53451 L
.55057 .5357 L
.55074 .53612 L
.55217 .53763 L
.55225 .53772 L
.55369 .53933 L
.55378 .53965 L
.55483 .54093 L
.55538 .54175 L
.55593 .54254 L
.55699 .54385 L
.55733 .54414 L
.55855 .54575 L
.55859 .54579 L
.55987 .54735 L
.5602 .54786 L
.56095 .54896 L
.5618 .55001 L
.56202 .55057 L
.56341 .55217 L
.56341 .55217 L
.56483 .55378 L
.56501 .5544 L
.56575 .55538 L
.56662 .55684 L
.56669 .55699 L
.56722 .55859 L
.56662 .55907 L
.56501 .55881 L
.56467 .55859 L
.56341 .55765 L
.56234 .55699 L
.5618 .55594 L
.56124 .55538 L
.5602 .55401 L
.56003 .55378 L
.55874 .55217 L
.55859 .55204 L
.55748 .55057 L
.55699 .55 L
.556 .54896 L
.55538 .54789 L
.55494 .54735 L
.55378 .5458 L
.55374 .54575 L
.55251 .54414 L
.55217 .54399 L
.55088 .54254 L
.55057 .54177 L
.54995 .54093 L
.54896 .53951 L
.54885 .53933 L
.54767 .53772 L
.54735 .5373 L
.54651 .53612 L
.54575 .53504 L
.54521 .53451 L
.54446 .53291 L
F
.156 .94 1 r
.54575 .53194 m
.54735 .53273 L
.5477 .53291 L
.54896 .5341 L
.54933 .53451 L
.55057 .53583 L
.55069 .53612 L
.55216 .53772 L
.55217 .53773 L
.55367 .53933 L
.55378 .53974 L
.55477 .54093 L
.55538 .54182 L
.55588 .54254 L
.55699 .5439 L
.55728 .54414 L
.5585 .54575 L
.55859 .54584 L
.55983 .54735 L
.5602 .54793 L
.5609 .54896 L
.5618 .55009 L
.56199 .55057 L
.56334 .55217 L
.56341 .55226 L
.56479 .55378 L
.56501 .55453 L
.56566 .55538 L
.56656 .55699 L
.56662 .55713 L
.56683 .55859 L
.56662 .55876 L
.56501 .55859 L
.56501 .55859 L
.56341 .5575 L
.56251 .55699 L
.5618 .55583 L
.56134 .55538 L
.5602 .55393 L
.56008 .55378 L
.55879 .55217 L
.55859 .55199 L
.55752 .55057 L
.55699 .54995 L
.55603 .54896 L
.55538 .54784 L
.55498 .54735 L
.55378 .54576 L
.55377 .54575 L
.55255 .54414 L
.55217 .54396 L
.55091 .54254 L
.55057 .54171 L
.55 .54093 L
.54896 .53944 L
.54889 .53933 L
.54772 .53772 L
.54735 .53722 L
.54658 .53612 L
.54575 .53491 L
.54533 .53451 L
.54465 .53291 L
F
.114 .93 1 r
.54575 .53217 m
.54733 .53291 L
.54735 .53292 L
.54896 .53425 L
.5492 .53451 L
.55057 .53595 L
.55064 .53612 L
.55208 .53772 L
.55217 .53783 L
.55364 .53933 L
.55378 .53983 L
.55472 .54093 L
.55538 .54189 L
.55583 .54254 L
.55699 .54395 L
.55722 .54414 L
.55845 .54575 L
.55859 .54589 L
.55979 .54735 L
.5602 .54799 L
.56085 .54896 L
.5618 .55016 L
.56195 .55057 L
.56328 .55217 L
.56341 .55236 L
.56475 .55378 L
.56501 .55466 L
.56556 .55538 L
.5664 .55699 L
.56501 .55839 L
.56341 .55735 L
.56271 .55699 L
.5618 .55572 L
.56143 .55538 L
.5602 .55385 L
.56014 .55378 L
.55884 .55217 L
.55859 .55194 L
.55757 .55057 L
.55699 .54989 L
.55607 .54896 L
.55538 .5478 L
.55502 .54735 L
.5538 .54575 L
.55378 .54571 L
.55259 .54414 L
.55217 .54393 L
.55094 .54254 L
.55057 .54166 L
.55004 .54093 L
.54896 .53937 L
.54894 .53933 L
.54778 .53772 L
.54735 .53713 L
.54664 .53612 L
.54575 .53478 L
.54547 .53451 L
.54487 .53291 L
F
1 .6 0 r
.54575 .53837 m
.54672 .53933 L
.54735 .53996 L
.5482 .54093 L
.54896 .54179 L
.54957 .54254 L
.55057 .54376 L
.55086 .54414 L
.55208 .54575 L
.55217 .54586 L
.55322 .54735 L
.55378 .54815 L
.5543 .54896 L
.55378 .55045 L
.55235 .54896 L
.55217 .54878 L
.55096 .54735 L
.55057 .5469 L
.54965 .54575 L
.54896 .54491 L
.54838 .54414 L
.54735 .54282 L
.54715 .54254 L
.54603 .54093 L
.54575 .54053 L
.54504 .53933 L
F
1 .31 0 r
.54575 .48302 m
.54585 .48314 L
.54575 .48433 L
.5451 .48314 L
F
1 .59 0 r
.54575 .53847 m
.54664 .53933 L
.54735 .54003 L
.54814 .54093 L
.54896 .54185 L
.54952 .54254 L
.55057 .54382 L
.55081 .54414 L
.55203 .54575 L
.55217 .54593 L
.55316 .54735 L
.55378 .54824 L
.55424 .54896 L
.55378 .55035 L
.55242 .54896 L
.55217 .54871 L
.55102 .54735 L
.55057 .54684 L
.5497 .54575 L
.54896 .54485 L
.54842 .54414 L
.54735 .54276 L
.5472 .54254 L
.54609 .54093 L
.54575 .54043 L
.54511 .53933 L
F
0 .7 1 r
.54575 .47634 m
.54612 .47672 L
.54735 .47798 L
.54767 .47833 L
.54896 .47965 L
.54912 .47993 L
.55052 .48154 L
.55057 .48159 L
.55188 .48314 L
.55217 .48347 L
.55324 .48475 L
.55378 .48538 L
.55458 .48636 L
.55538 .48719 L
.5565 .48796 L
.55699 .48926 L
.55729 .48957 L
.55852 .49117 L
.55859 .49125 L
.55982 .49278 L
.5602 .49302 L
.56111 .49438 L
.5618 .49517 L
.56263 .49599 L
.56341 .49725 L
.56369 .49759 L
.56495 .4992 L
.56501 .49928 L
.56621 .5008 L
.56662 .50119 L
.568 .50241 L
.56822 .50332 L
.56883 .50401 L
.56983 .5054 L
.56998 .50562 L
.57125 .50722 L
.57143 .5073 L
.5725 .50883 L
.57304 .50942 L
.57398 .51043 L
.57464 .51156 L
.57502 .51204 L
.57625 .51364 L
.57625 .51364 L
.57749 .51525 L
.57785 .51557 L
.57919 .51686 L
.57946 .51774 L
.58006 .51846 L
.58106 .51988 L
.58119 .52007 L
.58243 .52167 L
.58267 .52172 L
.58366 .52328 L
.58428 .52394 L
.58511 .52488 L
.58588 .52613 L
.58615 .52649 L
.58735 .52809 L
.58749 .52826 L
.58857 .5297 L
.58909 .53013 L
.59024 .5313 L
.5907 .53241 L
.5911 .53291 L
.59224 .53451 L
.5923 .5346 L
.59344 .53612 L
.59391 .53673 L
.59465 .53772 L
.59551 .53872 L
.59603 .53933 L
.59707 .54093 L
.59712 .54099 L
.59825 .54254 L
.59872 .54316 L
.59944 .54414 L
.60033 .54507 L
.60093 .54575 L
.60183 .54735 L
.60193 .54749 L
.60298 .54896 L
.60354 .54971 L
.60414 .55057 L
.60514 .55192 L
.60532 .55217 L
.60643 .55378 L
.60675 .55421 L
.60752 .55538 L
.60835 .55656 L
.60863 .55699 L
.60962 .55859 L
.60835 .55865 L
.6083 .55859 L
.60682 .55699 L
.60675 .55692 L
.60541 .55538 L
.60514 .5551 L
.60403 .55378 L
.60354 .55323 L
.60266 .55217 L
.60193 .55176 L
.60131 .55057 L
.60033 .54948 L
.59965 .54896 L
.59872 .54744 L
.59864 .54735 L
.59736 .54575 L
.59712 .54546 L
.59607 .54414 L
.59551 .54368 L
.59477 .54254 L
.59391 .54152 L
.59332 .54093 L
.5923 .53945 L
.5922 .53933 L
.59094 .53772 L
.5907 .53743 L
.58967 .53612 L
.58909 .53552 L
.588 .53451 L
.58749 .53338 L
.58707 .53291 L
.58588 .53131 L
.58588 .5313 L
.58463 .5297 L
.58428 .52945 L
.58338 .52809 L
.58267 .52727 L
.58195 .52649 L
.58106 .52513 L
.58087 .52488 L
.57964 .52328 L
.57946 .52305 L
.5784 .52167 L
.57785 .52114 L
.57678 .52007 L
.57625 .51894 L
.57585 .51846 L
.57467 .51686 L
.57464 .51682 L
.57345 .51525 L
.57304 .51502 L
.57222 .51364 L
.57143 .51274 L
.57081 .51204 L
.56983 .51056 L
.56974 .51043 L
.56853 .50883 L
.56822 .50844 L
.56731 .50722 L
.56662 .50655 L
.56574 .50562 L
.56501 .50427 L
.56481 .50401 L
.56364 .50241 L
.56341 .50211 L
.56243 .5008 L
.5618 .5004 L
.56122 .4992 L
.5602 .49795 L
.55989 .49759 L
.55879 .49599 L
.55859 .49573 L
.5576 .49438 L
.55699 .49358 L
.5564 .49278 L
.55538 .49158 L
.55503 .49117 L
.55401 .48957 L
.55378 .48927 L
.55285 .48796 L
.55217 .48707 L
.55166 .48636 L
.55057 .48488 L
.55047 .48475 L
.54935 .48314 L
.54896 .48262 L
.54824 .48154 L
.54735 .48032 L
.5471 .47993 L
.54604 .47833 L
.54575 .47791 L
.54512 .47672 L
F
.084 .92 1 r
.54575 .53242 m
.54701 .53291 L
.54735 .53309 L
.54896 .5344 L
.54907 .53451 L
.55057 .53607 L
.55059 .53612 L
.552 .53772 L
.55217 .53792 L
.55362 .53933 L
.55378 .53991 L
.55466 .54093 L
.55538 .54196 L
.55579 .54254 L
.55699 .544 L
.55717 .54414 L
.5584 .54575 L
.55859 .54594 L
.55975 .54735 L
.5602 .54806 L
.5608 .54896 L
.5618 .55024 L
.56192 .55057 L
.56321 .55217 L
.56341 .55245 L
.5647 .55378 L
.56501 .5548 L
.56545 .55538 L
.56623 .55699 L
.56501 .5582 L
.56341 .5572 L
.56296 .55699 L
.5618 .55562 L
.56154 .55538 L
.5602 .55378 L
.5602 .55377 L
.5589 .55217 L
.55859 .55189 L
.55762 .55057 L
.55699 .54984 L
.55612 .54896 L
.55538 .54775 L
.55506 .54735 L
.55384 .54575 L
.55378 .54566 L
.55263 .54414 L
.55217 .5439 L
.55098 .54254 L
.55057 .54159 L
.55009 .54093 L
.54898 .53933 L
.54896 .5393 L
.54784 .53772 L
.54735 .53704 L
.54672 .53612 L
.54575 .53463 L
.54563 .53451 L
.54513 .53291 L
F
1 .91 .061 r
.54575 .46966 m
.54642 .4703 L
.54735 .4712 L
.54802 .47191 L
.54896 .47255 L
.54952 .47351 L
.55057 .47464 L
.5514 .47512 L
.55217 .47653 L
.55238 .47672 L
.55372 .47833 L
.55378 .47839 L
.55509 .47993 L
.55538 .48021 L
.55644 .48154 L
.55699 .48221 L
.55792 .48314 L
.55859 .48421 L
.55903 .48475 L
.5602 .48619 L
.56028 .48636 L
.56169 .48796 L
.5618 .48809 L
.56325 .48957 L
.56341 .49012 L
.56428 .49117 L
.56501 .49218 L
.56541 .49278 L
.56662 .49422 L
.56684 .49438 L
.5681 .49599 L
.56822 .49614 L
.56945 .49759 L
.56983 .49822 L
.57055 .4992 L
.57143 .50032 L
.57165 .5008 L
.57304 .50235 L
.57316 .50241 L
.57453 .50401 L
.57464 .50432 L
.57566 .50562 L
.57625 .50644 L
.57675 .50722 L
.57785 .50855 L
.57818 .50883 L
.57941 .51043 L
.57946 .5105 L
.58072 .51204 L
.58106 .5126 L
.58182 .51364 L
.58267 .51473 L
.58289 .51525 L
.58428 .51679 L
.58439 .51686 L
.58575 .51846 L
.58588 .51879 L
.58686 .52007 L
.58749 .52092 L
.58795 .52167 L
.58909 .52303 L
.58935 .52328 L
.59058 .52488 L
.5907 .52502 L
.59189 .52649 L
.5923 .52713 L
.59298 .52809 L
.59391 .52926 L
.59407 .5297 L
.59551 .5313 L
.59552 .5313 L
.59691 .53291 L
.59712 .53336 L
.598 .53451 L
.59872 .5355 L
.59909 .53612 L
.60033 .5376 L
.60045 .53772 L
.60168 .53933 L
.60193 .53961 L
.60301 .54093 L
.60354 .54174 L
.60409 .54254 L
.60514 .54387 L
.60523 .54414 L
.60659 .54575 L
.60675 .54588 L
.60804 .54735 L
.60835 .548 L
.60908 .54896 L
.60996 .55015 L
.61019 .55057 L
.6115 .55217 L
.61156 .55219 L
.61271 .55378 L
.61317 .55426 L
.61407 .55538 L
.61477 .55644 L
.61514 .55699 L
.61638 .55859 L
.61638 .55859 L
.61759 .5602 L
.61799 .56051 L
.61909 .5618 L
.61959 .56275 L
.62008 .56341 L
.6212 .56494 L
.62123 .56501 L
.62244 .56662 L
.6228 .56709 L
.6242 .56822 L
.62441 .56907 L
.62499 .56983 L
.62601 .57135 L
.62607 .57143 L
.62724 .57304 L
.62762 .57353 L
.62843 .57464 L
.62922 .57544 L
.62985 .57625 L
.63081 .57785 L
.63083 .57788 L
.63195 .57946 L
.63243 .58011 L
.6331 .58106 L
.63404 .58235 L
.63453 .58267 L
.63538 .58428 L
.63564 .58464 L
.63645 .58588 L
.63725 .58704 L
.63753 .58749 L
.63849 .58909 L
.63885 .58972 L
.63911 .5907 L
.63885 .59077 L
.63875 .5907 L
.63725 .58941 L
.63694 .58909 L
.63564 .58788 L
.63539 .58749 L
.63404 .58602 L
.63383 .58588 L
.63252 .58428 L
.63243 .58418 L
.63114 .58267 L
.63083 .58265 L
.62977 .58106 L
.62922 .58051 L
.62842 .57946 L
.62762 .5785 L
.62696 .57785 L
.62601 .57651 L
.62579 .57625 L
.62447 .57464 L
.62441 .5746 L
.62317 .57304 L
.6228 .57261 L
.62161 .57143 L
.6212 .57056 L
.62057 .56983 L
.61959 .56851 L
.6194 .56822 L
.61805 .56662 L
.61799 .56655 L
.61678 .56501 L
.61638 .56451 L
.61541 .56341 L
.61477 .56243 L
.6143 .5618 L
.61317 .56036 L
.61311 .5602 L
.61175 .55859 L
.61156 .55839 L
.61028 .55699 L
.60996 .5563 L
.60922 .55538 L
.60835 .55419 L
.60809 .55378 L
.60675 .55217 L
.60675 .55217 L
.6055 .55057 L
.60514 .55013 L
.60415 .54896 L
.60354 .54801 L
.60306 .54735 L
.60193 .54592 L
.60188 .54575 L
.60054 .54414 L
.60033 .54392 L
.59908 .54254 L
.59872 .54181 L
.59803 .54093 L
.59712 .53969 L
.5969 .53933 L
.59558 .53772 L
.59551 .53767 L
.59396 .53612 L
.59391 .5356 L
.59299 .53451 L
.5923 .53347 L
.5919 .53291 L
.5907 .53137 L
.59068 .5313 L
.58941 .5297 L
.58909 .52938 L
.58793 .52809 L
.58749 .52724 L
.5869 .52649 L
.58588 .52511 L
.58575 .52488 L
.58448 .52328 L
.58428 .52314 L
.58281 .52167 L
.58267 .52101 L
.58189 .52007 L
.58106 .51885 L
.58079 .51846 L
.57956 .51686 L
.57946 .51673 L
.57834 .51525 L
.57785 .51479 L
.57684 .51364 L
.57625 .51259 L
.57583 .51204 L
.57464 .51044 L
.57464 .51043 L
.57343 .50883 L
.57304 .5086 L
.57173 .50722 L
.57143 .50634 L
.57085 .50562 L
.56983 .50414 L
.56974 .50401 L
.56854 .50241 L
.56822 .50201 L
.56732 .5008 L
.56662 .50011 L
.56585 .4992 L
.56501 .49783 L
.56483 .49759 L
.56366 .49599 L
.56341 .49566 L
.56246 .49438 L
.5618 .49391 L
.56081 .49278 L
.5602 .4915 L
.55994 .49117 L
.55881 .48957 L
.55859 .48928 L
.55763 .48796 L
.55699 .48712 L
.55643 .48636 L
.55538 .4851 L
.5551 .48475 L
.55403 .48314 L
.55378 .48281 L
.55287 .48154 L
.55217 .48061 L
.55169 .47993 L
.55057 .47842 L
.55043 .47833 L
.54938 .47672 L
.54896 .47616 L
.54827 .47512 L
.54735 .47385 L
.54714 .47351 L
.54609 .47191 L
.54575 .4714 L
.54517 .4703 L
F
1 .58 0 r
.54575 .53858 m
.54655 .53933 L
.54735 .54011 L
.54808 .54093 L
.54896 .54192 L
.54947 .54254 L
.55057 .54388 L
.55077 .54414 L
.55198 .54575 L
.55217 .546 L
.5531 .54735 L
.55378 .54833 L
.55417 .54896 L
.55378 .55024 L
.5525 .54896 L
.55217 .54863 L
.55107 .54735 L
.55057 .54678 L
.54975 .54575 L
.54896 .54479 L
.54847 .54414 L
.54735 .54269 L
.54724 .54254 L
.54615 .54093 L
.54575 .54033 L
.54519 .53933 L
F
1 .3 0 r
.54575 .48312 m
.54577 .48314 L
.54575 .48422 L
.54523 .48314 L
F
1 .57 0 r
.54575 .53869 m
.54645 .53933 L
.54735 .54018 L
.54802 .54093 L
.54896 .54198 L
.54941 .54254 L
.55057 .54395 L
.55072 .54414 L
.55192 .54575 L
.55217 .54608 L
.55304 .54735 L
.55378 .54843 L
.5541 .54896 L
.55378 .55013 L
.55258 .54896 L
.55217 .54856 L
.55114 .54735 L
.55057 .54672 L
.5498 .54575 L
.54896 .54473 L
.54852 .54414 L
.54735 .54263 L
.54729 .54254 L
.54622 .54093 L
.54575 .54022 L
.54528 .53933 L
F
0 .69 1 r
.54575 .47653 m
.54595 .47672 L
.54735 .4781 L
.54756 .47833 L
.54896 .4798 L
.54903 .47993 L
.55044 .48154 L
.55057 .48167 L
.55182 .48314 L
.55217 .48354 L
.55318 .48475 L
.55378 .48544 L
.55453 .48636 L
.55538 .48725 L
.55643 .48796 L
.55699 .48931 L
.55724 .48957 L
.55848 .49117 L
.55859 .4913 L
.55978 .49278 L
.5602 .49305 L
.56108 .49438 L
.5618 .49522 L
.5626 .49599 L
.56341 .49729 L
.56366 .49759 L
.56492 .4992 L
.56501 .49932 L
.56618 .5008 L
.56662 .50122 L
.56798 .50241 L
.56822 .50335 L
.5688 .50401 L
.56983 .50544 L
.56996 .50562 L
.57123 .50722 L
.57143 .50731 L
.57248 .50883 L
.57304 .50945 L
.57396 .51043 L
.57464 .51159 L
.57499 .51204 L
.57623 .51364 L
.57625 .51367 L
.57746 .51525 L
.57785 .51559 L
.57917 .51686 L
.57946 .51777 L
.58004 .51846 L
.58106 .51991 L
.58117 .52007 L
.58241 .52167 L
.58267 .52173 L
.58364 .52328 L
.58428 .52397 L
.58509 .52488 L
.58588 .52616 L
.58613 .52649 L
.58733 .52809 L
.58749 .52829 L
.58855 .5297 L
.58909 .53015 L
.59022 .5313 L
.5907 .53245 L
.59107 .53291 L
.59221 .53451 L
.5923 .53463 L
.59341 .53612 L
.59391 .53676 L
.59462 .53772 L
.59551 .53876 L
.59599 .53933 L
.59704 .54093 L
.59712 .54103 L
.59822 .54254 L
.59872 .5432 L
.59941 .54414 L
.60033 .54513 L
.60087 .54575 L
.60179 .54735 L
.60193 .54754 L
.60294 .54896 L
.60354 .54977 L
.6041 .55057 L
.60514 .55199 L
.60527 .55217 L
.60637 .55378 L
.60675 .5543 L
.60745 .55538 L
.60835 .55668 L
.60854 .55699 L
.60835 .55851 L
.60693 .55699 L
.60675 .55681 L
.60549 .55538 L
.60514 .55501 L
.60409 .55378 L
.60354 .55315 L
.60272 .55217 L
.60193 .5517 L
.60136 .55057 L
.60033 .54941 L
.59972 .54896 L
.59872 .54739 L
.59869 .54735 L
.5974 .54575 L
.59712 .54541 L
.5961 .54414 L
.59551 .54364 L
.5948 .54254 L
.59391 .54148 L
.59335 .54093 L
.5923 .53942 L
.59223 .53933 L
.59097 .53772 L
.5907 .53739 L
.5897 .53612 L
.58909 .53549 L
.58803 .53451 L
.58749 .53335 L
.5871 .53291 L
.5859 .5313 L
.58588 .53128 L
.58466 .5297 L
.58428 .52944 L
.5834 .52809 L
.58267 .52724 L
.58197 .52649 L
.58106 .52511 L
.58089 .52488 L
.57966 .52328 L
.57946 .52303 L
.57842 .52167 L
.57785 .52111 L
.5768 .52007 L
.57625 .51892 L
.57587 .51846 L
.57469 .51686 L
.57464 .51679 L
.57347 .51525 L
.57304 .515 L
.57224 .51364 L
.57143 .51272 L
.57084 .51204 L
.56983 .51053 L
.56976 .51043 L
.56855 .50883 L
.56822 .50841 L
.56733 .50722 L
.56662 .50652 L
.56577 .50562 L
.56501 .50424 L
.56483 .50401 L
.56366 .50241 L
.56341 .50208 L
.56246 .5008 L
.5618 .50037 L
.56124 .4992 L
.5602 .49791 L
.55993 .49759 L
.55882 .49599 L
.55859 .4957 L
.55763 .49438 L
.55699 .49354 L
.55643 .49278 L
.55538 .49152 L
.55508 .49117 L
.55404 .48957 L
.55378 .48922 L
.55288 .48796 L
.55217 .48702 L
.5517 .48636 L
.55057 .48482 L
.55051 .48475 L
.54941 .48314 L
.54896 .48254 L
.5483 .48154 L
.54735 .48023 L
.54717 .47993 L
.54615 .47833 L
.54575 .47772 L
.54531 .47672 L
F
1 .56 0 r
.54575 .53882 m
.54634 .53933 L
.54735 .54026 L
.54796 .54093 L
.54896 .54205 L
.54936 .54254 L
.55057 .54401 L
.55067 .54414 L
.55186 .54575 L
.55217 .54616 L
.55298 .54735 L
.55378 .54854 L
.55402 .54896 L
.55378 .55 L
.55268 .54896 L
.55217 .54848 L
.5512 .54735 L
.55057 .54665 L
.54985 .54575 L
.54896 .54467 L
.54856 .54414 L
.54735 .54256 L
.54734 .54254 L
.54629 .54093 L
.54575 .54009 L
.54538 .53933 L
F
.061 .91 1 r
.54575 .53271 m
.5466 .53291 L
.54735 .53326 L
.54892 .53451 L
.54896 .53452 L
.5505 .53612 L
.55057 .53617 L
.55192 .53772 L
.55217 .53801 L
.55359 .53933 L
.55378 .53999 L
.55461 .54093 L
.55538 .54203 L
.55575 .54254 L
.55699 .54405 L
.55711 .54414 L
.55835 .54575 L
.55859 .54599 L
.55971 .54735 L
.5602 .54813 L
.56075 .54896 L
.5618 .55032 L
.56189 .55057 L
.56314 .55217 L
.56341 .55255 L
.56464 .55378 L
.56501 .55494 L
.56534 .55538 L
.56605 .55699 L
.56501 .55799 L
.56341 .55705 L
.56325 .55699 L
.5618 .55551 L
.56165 .55538 L
.56027 .55378 L
.5602 .55375 L
.55895 .55217 L
.55859 .55184 L
.55766 .55057 L
.55699 .54979 L
.55616 .54896 L
.55538 .5477 L
.55509 .54735 L
.55388 .54575 L
.55378 .54561 L
.55267 .54414 L
.55217 .54386 L
.55101 .54254 L
.55057 .54153 L
.55014 .54093 L
.54903 .53933 L
.54896 .53923 L
.5479 .53772 L
.54735 .53695 L
.54679 .53612 L
.54578 .53451 L
.54575 .53445 L
.54545 .53291 L
F
1 .55 0 r
.54575 .53898 m
.5462 .53933 L
.54735 .54034 L
.54789 .54093 L
.54896 .54212 L
.5493 .54254 L
.55057 .54408 L
.55062 .54414 L
.5518 .54575 L
.55217 .54624 L
.55291 .54735 L
.55378 .54867 L
.55394 .54896 L
.55378 .54984 L
.55278 .54896 L
.55217 .54839 L
.55127 .54735 L
.55057 .54658 L
.5499 .54575 L
.54896 .54461 L
.54861 .54414 L
.5474 .54254 L
.54735 .54248 L
.54636 .54093 L
.54575 .53993 L
.54549 .53933 L
F
1 .97 .395 r
.54575 .51937 m
.54637 .52007 L
.54735 .5212 L
.54773 .52167 L
.54735 .52233 L
.54685 .52167 L
.54575 .52039 L
.54553 .52007 L
F
1 .54 0 r
.54575 .53918 m
.54601 .53933 L
.54735 .54043 L
.54781 .54093 L
.54896 .54219 L
.54925 .54254 L
.55056 .54414 L
.55057 .54415 L
.55173 .54575 L
.55217 .54633 L
.55284 .54735 L
.55378 .54882 L
.55385 .54896 L
.55378 .54965 L
.55291 .54896 L
.55217 .5483 L
.55134 .54735 L
.55057 .54651 L
.54996 .54575 L
.54896 .54454 L
.54866 .54414 L
.54746 .54254 L
.54735 .54239 L
.54645 .54093 L
.54575 .5397 L
.54564 .53933 L
F
0 .65 1 r
.54575 .50259 m
.54647 .50401 L
.54575 .50402 L
.54574 .50401 L
F
.045 .9 1 r
.54735 .53343 m
.54876 .53451 L
.54896 .53454 L
.5504 .53612 L
.55057 .53626 L
.55184 .53772 L
.55217 .5381 L
.55356 .53933 L
.55378 .54006 L
.55456 .54093 L
.55538 .54209 L
.5557 .54254 L
.55699 .54409 L
.55706 .54414 L
.5583 .54575 L
.55859 .54604 L
.55967 .54735 L
.5602 .54819 L
.56071 .54896 L
.5618 .5504 L
.56186 .55057 L
.56308 .55217 L
.56341 .55265 L
.56458 .55378 L
.56501 .5551 L
.56522 .55538 L
.56586 .55699 L
.56501 .55778 L
.56351 .55699 L
.56341 .55691 L
.5618 .55541 L
.56177 .55538 L
.56034 .55378 L
.5602 .55373 L
.55901 .55217 L
.55859 .55179 L
.55771 .55057 L
.55699 .54974 L
.5562 .54896 L
.55538 .54765 L
.55514 .54735 L
.55392 .54575 L
.55378 .54556 L
.55271 .54414 L
.55217 .54382 L
.55106 .54254 L
.55057 .54147 L
.55018 .54093 L
.54909 .53933 L
.54896 .53916 L
.54796 .53772 L
.54735 .53686 L
.54686 .53612 L
.54591 .53451 L
F
.733 .99 1 r
.54735 .5666 m
.54737 .56662 L
.54864 .56822 L
.54896 .56863 L
.54977 .56983 L
.55057 .57093 L
.55084 .57143 L
.55057 .57193 L
.55003 .57143 L
.54896 .57038 L
.54846 .56983 L
.54735 .56855 L
.54709 .56822 L
.54593 .56662 L
F
.033 .89 1 r
.54735 .5336 m
.54859 .53451 L
.54896 .53457 L
.55029 .53612 L
.55057 .53635 L
.55176 .53772 L
.55217 .53819 L
.55352 .53933 L
.55378 .54014 L
.5545 .54093 L
.55538 .54215 L
.55566 .54254 L
.55699 .54413 L
.557 .54414 L
.55825 .54575 L
.55859 .5461 L
.55963 .54735 L
.5602 .54826 L
.56066 .54896 L
.5618 .55048 L
.56183 .55057 L
.56301 .55217 L
.56341 .55276 L
.5645 .55378 L
.56501 .55527 L
.56509 .55538 L
.56564 .55699 L
.56501 .55756 L
.56373 .55699 L
.56341 .55677 L
.56188 .55538 L
.5618 .55531 L
.56042 .55378 L
.5602 .5537 L
.55906 .55217 L
.55859 .55174 L
.55776 .55057 L
.55699 .54968 L
.55625 .54896 L
.55538 .5476 L
.55518 .54735 L
.55396 .54575 L
.55378 .54551 L
.55275 .54414 L
.55217 .54378 L
.5511 .54254 L
.55057 .5414 L
.55024 .54093 L
.54914 .53933 L
.54896 .53908 L
.54802 .53772 L
.54735 .53676 L
.54694 .53612 L
.54606 .53451 L
F
.024 .88 1 r
.54735 .53378 m
.54842 .53451 L
.54896 .53459 L
.55018 .53612 L
.55057 .53643 L
.55168 .53772 L
.55217 .53827 L
.55348 .53933 L
.55378 .54021 L
.55444 .54093 L
.55538 .54222 L
.55562 .54254 L
.55695 .54414 L
.55699 .54415 L
.55819 .54575 L
.55859 .54615 L
.55958 .54735 L
.5602 .54833 L
.56061 .54896 L
.5618 .55056 L
.5618 .55057 L
.56294 .55217 L
.56341 .55287 L
.56441 .55378 L
.56496 .55538 L
.56501 .5555 L
.56538 .55699 L
.56501 .55731 L
.56402 .55699 L
.56341 .55663 L
.56199 .55538 L
.5618 .55521 L
.56049 .55378 L
.5602 .55368 L
.55912 .55217 L
.55859 .55169 L
.5578 .55057 L
.55699 .54963 L
.5563 .54896 L
.55538 .54755 L
.55522 .54735 L
.554 .54575 L
.55378 .54546 L
.55278 .54414 L
.55217 .54373 L
.55115 .54254 L
.55057 .54132 L
.55029 .54093 L
.54919 .53933 L
.54896 .53901 L
.54808 .53772 L
.54735 .53665 L
.54702 .53612 L
.54622 .53451 L
F
0 .68 1 r
.54735 .47824 m
.54744 .47833 L
.54894 .47993 L
.54896 .47995 L
.55036 .48154 L
.55057 .48176 L
.55175 .48314 L
.55217 .48361 L
.55312 .48475 L
.55378 .48551 L
.55448 .48636 L
.55538 .48731 L
.55636 .48796 L
.55699 .48937 L
.55718 .48957 L
.55844 .49117 L
.55859 .49135 L
.55974 .49278 L
.5602 .49308 L
.56104 .49438 L
.5618 .49526 L
.56256 .49599 L
.56341 .49733 L
.56363 .49759 L
.56489 .4992 L
.56501 .49935 L
.56616 .5008 L
.56662 .50125 L
.56796 .50241 L
.56822 .50338 L
.56878 .50401 L
.56983 .50547 L
.56994 .50562 L
.5712 .50722 L
.57143 .50733 L
.57246 .50883 L
.57304 .50948 L
.57393 .51043 L
.57464 .51162 L
.57497 .51204 L
.5762 .51364 L
.57625 .5137 L
.57744 .51525 L
.57785 .51561 L
.57916 .51686 L
.57946 .5178 L
.58001 .51846 L
.58106 .51994 L
.58115 .52007 L
.58239 .52167 L
.58267 .52174 L
.58362 .52328 L
.58428 .524 L
.58507 .52488 L
.58588 .52619 L
.5861 .52649 L
.58731 .52809 L
.58749 .52832 L
.58852 .5297 L
.58909 .53018 L
.59019 .5313 L
.5907 .53248 L
.59104 .53291 L
.59218 .53451 L
.5923 .53466 L
.59338 .53612 L
.59391 .5368 L
.59459 .53772 L
.59551 .5388 L
.59596 .53933 L
.59701 .54093 L
.59712 .54107 L
.59819 .54254 L
.59872 .54324 L
.59938 .54414 L
.60033 .5452 L
.60081 .54575 L
.60175 .54735 L
.60193 .5476 L
.60289 .54896 L
.60354 .54983 L
.60405 .55057 L
.60514 .55206 L
.60522 .55217 L
.6063 .55378 L
.60675 .5544 L
.60738 .55538 L
.60835 .55681 L
.60846 .55699 L
.60835 .55833 L
.60705 .55699 L
.60675 .5567 L
.60558 .55538 L
.60514 .55492 L
.60416 .55378 L
.60354 .55308 L
.60278 .55217 L
.60193 .55162 L
.60141 .55057 L
.60033 .54935 L
.5998 .54896 L
.59874 .54735 L
.59872 .54733 L
.59744 .54575 L
.59712 .54537 L
.59614 .54414 L
.59551 .5436 L
.59484 .54254 L
.59391 .54144 L
.59339 .54093 L
.5923 .53938 L
.59226 .53933 L
.591 .53772 L
.5907 .53736 L
.58973 .53612 L
.58909 .53546 L
.58806 .53451 L
.58749 .53332 L
.58713 .53291 L
.58593 .5313 L
.58588 .53124 L
.58468 .5297 L
.58428 .52942 L
.58343 .52809 L
.58267 .52721 L
.58199 .52649 L
.58106 .52508 L
.58091 .52488 L
.57968 .52328 L
.57946 .523 L
.57844 .52167 L
.57785 .52109 L
.57682 .52007 L
.57625 .51889 L
.57589 .51846 L
.57471 .51686 L
.57464 .51677 L
.57349 .51525 L
.57304 .51498 L
.57226 .51364 L
.57143 .51269 L
.57086 .51204 L
.56983 .5105 L
.56978 .51043 L
.56857 .50883 L
.56822 .50838 L
.56735 .50722 L
.56662 .50649 L
.56579 .50562 L
.56501 .50421 L
.56486 .50401 L
.56369 .50241 L
.56341 .50205 L
.56248 .5008 L
.5618 .50034 L
.56126 .4992 L
.5602 .49787 L
.55996 .49759 L
.55884 .49599 L
.55859 .49566 L
.55766 .49438 L
.55699 .4935 L
.55646 .49278 L
.55538 .49146 L
.55513 .49117 L
.55408 .48957 L
.55378 .48917 L
.55292 .48796 L
.55217 .48697 L
.55174 .48636 L
.55057 .48477 L
.55055 .48475 L
.54946 .48314 L
.54896 .48246 L
.54836 .48154 L
.54735 .48013 L
.54723 .47993 L
.54629 .47833 L
F
.018 .87 1 r
.54735 .53396 m
.54822 .53451 L
.54896 .53463 L
.55007 .53612 L
.55057 .53651 L
.5516 .53772 L
.55217 .53835 L
.55343 .53933 L
.55378 .54029 L
.55439 .54093 L
.55538 .54228 L
.55558 .54254 L
.55689 .54414 L
.55699 .54416 L
.55814 .54575 L
.55859 .54621 L
.55954 .54735 L
.5602 .54841 L
.56056 .54896 L
.56174 .55057 L
.5618 .55065 L
.56287 .55217 L
.56341 .55298 L
.56431 .55378 L
.56483 .55538 L
.56501 .55585 L
.56503 .55699 L
.56501 .557 L
.5645 .55699 L
.56341 .55649 L
.5621 .55538 L
.5618 .55511 L
.56057 .55378 L
.5602 .55365 L
.55918 .55217 L
.55859 .55163 L
.55785 .55057 L
.55699 .54957 L
.55635 .54896 L
.55538 .54749 L
.55526 .54735 L
.55405 .54575 L
.55378 .54541 L
.55282 .54414 L
.55217 .54367 L
.5512 .54254 L
.55057 .54125 L
.55034 .54093 L
.54925 .53933 L
.54896 .53893 L
.54814 .53772 L
.54735 .53653 L
.5471 .53612 L
.5464 .53451 L
F
1 .9 .045 r
.54735 .47161 m
.54766 .47191 L
.54896 .47298 L
.54924 .47351 L
.55057 .47492 L
.55095 .47512 L
.55216 .47672 L
.55217 .47674 L
.55356 .47833 L
.55378 .47857 L
.55494 .47993 L
.55538 .48034 L
.55631 .48154 L
.55699 .48235 L
.55781 .48314 L
.55859 .48433 L
.55894 .48475 L
.5602 .48628 L
.56024 .48636 L
.5616 .48796 L
.5618 .48819 L
.56321 .48957 L
.56341 .49022 L
.56421 .49117 L
.56501 .49227 L
.56535 .49278 L
.56662 .49428 L
.56677 .49438 L
.56804 .49599 L
.56822 .49622 L
.5694 .49759 L
.56983 .49829 L
.5705 .4992 L
.57143 .50038 L
.57162 .5008 L
.57304 .50238 L
.57311 .50241 L
.57451 .50401 L
.57464 .50438 L
.57562 .50562 L
.57625 .50649 L
.57671 .50722 L
.57785 .50859 L
.57814 .50883 L
.57937 .51043 L
.57946 .51054 L
.58069 .51204 L
.58106 .51264 L
.58179 .51364 L
.58267 .51477 L
.58287 .51525 L
.58428 .51681 L
.58435 .51686 L
.58573 .51846 L
.58588 .51883 L
.58683 .52007 L
.58749 .52096 L
.58792 .52167 L
.58909 .52306 L
.58932 .52328 L
.59055 .52488 L
.5907 .52505 L
.59187 .52649 L
.5923 .52717 L
.59295 .52809 L
.59391 .52929 L
.59405 .5297 L
.59549 .5313 L
.59551 .53132 L
.5969 .53291 L
.59712 .5334 L
.59797 .53451 L
.59872 .53553 L
.59907 .53612 L
.60033 .53762 L
.60042 .53772 L
.60165 .53933 L
.60193 .53964 L
.60299 .54093 L
.60354 .54178 L
.60406 .54254 L
.60514 .54391 L
.60522 .54414 L
.60656 .54575 L
.60675 .54591 L
.60802 .54735 L
.60835 .54804 L
.60905 .54896 L
.60996 .55019 L
.61017 .55057 L
.61146 .55217 L
.61156 .5522 L
.61268 .55378 L
.61317 .5543 L
.61404 .55538 L
.61477 .55649 L
.61511 .55699 L
.61635 .55859 L
.61638 .55864 L
.61755 .5602 L
.61799 .56055 L
.61905 .5618 L
.61959 .5628 L
.62003 .56341 L
.6212 .56501 L
.6212 .56501 L
.62239 .56662 L
.6228 .56716 L
.62415 .56822 L
.62441 .56915 L
.62492 .56983 L
.626 .57143 L
.62601 .57145 L
.62717 .57304 L
.62762 .57363 L
.62835 .57464 L
.62922 .57558 L
.62974 .57625 L
.63071 .57785 L
.63083 .57801 L
.63184 .57946 L
.63243 .58026 L
.63299 .58106 L
.63404 .58253 L
.63426 .58267 L
.6352 .58428 L
.63564 .58491 L
.63624 .58588 L
.63725 .58744 L
.63727 .58749 L
.63725 .58887 L
.63572 .58749 L
.63564 .58742 L
.63418 .58588 L
.63404 .58574 L
.63273 .58428 L
.63243 .58396 L
.63131 .58267 L
.63083 .58259 L
.62992 .58106 L
.62922 .58036 L
.62855 .57946 L
.62762 .57835 L
.62709 .57785 L
.62601 .57639 L
.62589 .57625 L
.62457 .57464 L
.62441 .57453 L
.62326 .57304 L
.6228 .57251 L
.62167 .57143 L
.6212 .57047 L
.62064 .56983 L
.61959 .56844 L
.61944 .56822 L
.61811 .56662 L
.61799 .56649 L
.61684 .56501 L
.61638 .56445 L
.61545 .56341 L
.61477 .56237 L
.61435 .5618 L
.61317 .56032 L
.61312 .5602 L
.61179 .55859 L
.61156 .55834 L
.61031 .55699 L
.60996 .55625 L
.60926 .55538 L
.60835 .55415 L
.60812 .55378 L
.60678 .55217 L
.60675 .55214 L
.60554 .55057 L
.60514 .55009 L
.60418 .54896 L
.60354 .54798 L
.60308 .54735 L
.60193 .54589 L
.60189 .54575 L
.60056 .54414 L
.60033 .54389 L
.5991 .54254 L
.59872 .54178 L
.59805 .54093 L
.59712 .53966 L
.59692 .53933 L
.59561 .53772 L
.59551 .53765 L
.59397 .53612 L
.59391 .53557 L
.59301 .53451 L
.5923 .53344 L
.59192 .53291 L
.5907 .53134 L
.59068 .5313 L
.58944 .5297 L
.58909 .52936 L
.58795 .52809 L
.58749 .52721 L
.58692 .52649 L
.58588 .52508 L
.58577 .52488 L
.5845 .52328 L
.58428 .52313 L
.58282 .52167 L
.58267 .52098 L
.58191 .52007 L
.58106 .51882 L
.58081 .51846 L
.57958 .51686 L
.57946 .5167 L
.57836 .51525 L
.57785 .51476 L
.57687 .51364 L
.57625 .51256 L
.57585 .51204 L
.57466 .51043 L
.57464 .51041 L
.57346 .50883 L
.57304 .50858 L
.57175 .50722 L
.57143 .50631 L
.57088 .50562 L
.56983 .5041 L
.56977 .50401 L
.56857 .50241 L
.56822 .50197 L
.56736 .5008 L
.56662 .50006 L
.56589 .4992 L
.56501 .49778 L
.56487 .49759 L
.5637 .49599 L
.56341 .49561 L
.5625 .49438 L
.5618 .49385 L
.56086 .49278 L
.5602 .49142 L
.56 .49117 L
.55887 .48957 L
.55859 .48921 L
.55769 .48796 L
.55699 .48705 L
.55649 .48636 L
.55538 .48498 L
.5552 .48475 L
.55411 .48314 L
.55378 .48271 L
.55296 .48154 L
.55217 .48049 L
.55178 .47993 L
.5506 .47833 L
.55057 .47828 L
.54952 .47672 L
.54896 .47595 L
.54843 .47512 L
.54735 .47358 L
.54731 .47351 L
.54643 .47191 L
F
1 .53 0 r
.54735 .54053 m
.54773 .54093 L
.54896 .54226 L
.54919 .54254 L
.5505 .54414 L
.55057 .54423 L
.55167 .54575 L
.55217 .54643 L
.55277 .54735 L
.55217 .54821 L
.55142 .54735 L
.55057 .54643 L
.55002 .54575 L
.54896 .54447 L
.54872 .54414 L
.54753 .54254 L
.54735 .54229 L
.54654 .54093 L
F
.013 .86 1 r
.54735 .53415 m
.54799 .53451 L
.54896 .53469 L
.54996 .53612 L
.55057 .5366 L
.55151 .53772 L
.55217 .53843 L
.55337 .53933 L
.55378 .54036 L
.55433 .54093 L
.55538 .54234 L
.55553 .54254 L
.55684 .54414 L
.55699 .54417 L
.55809 .54575 L
.55859 .54627 L
.55949 .54735 L
.5602 .54848 L
.56051 .54896 L
.56168 .55057 L
.5618 .55074 L
.5628 .55217 L
.56341 .5531 L
.56419 .55378 L
.5647 .55538 L
.56341 .55634 L
.56223 .55538 L
.5618 .55501 L
.56065 .55378 L
.5602 .55361 L
.55924 .55217 L
.55859 .55158 L
.5579 .55057 L
.55699 .54952 L
.55641 .54896 L
.55538 .54744 L
.55531 .54735 L
.55409 .54575 L
.55378 .54536 L
.55287 .54414 L
.55217 .54362 L
.55125 .54254 L
.55057 .54117 L
.5504 .54093 L
.5493 .53933 L
.54896 .53885 L
.54821 .53772 L
.54735 .5364 L
.54718 .53612 L
.54661 .53451 L
F
1 .52 0 r
.54735 .54063 m
.54764 .54093 L
.54896 .54234 L
.54912 .54254 L
.55042 .54414 L
.55057 .54432 L
.55159 .54575 L
.55217 .54653 L
.55269 .54735 L
.55217 .5481 L
.5515 .54735 L
.55057 .54636 L
.55008 .54575 L
.54896 .54439 L
.54877 .54414 L
.54761 .54254 L
.54735 .54218 L
.54664 .54093 L
F
1 .98 .538 r
.54735 .56151 m
.54896 .5618 L
.54897 .5618 L
.55057 .56315 L
.55097 .56341 L
.55217 .56501 L
.55217 .56501 L
.55343 .56662 L
.55378 .56704 L
.55467 .56822 L
.55538 .56874 L
.55591 .56983 L
.55699 .57111 L
.55725 .57143 L
.55836 .57304 L
.55859 .57334 L
.55953 .57464 L
.5602 .57552 L
.56071 .57625 L
.5618 .57773 L
.56197 .57785 L
.56296 .57946 L
.56341 .58011 L
.56395 .58106 L
.56341 .58259 L
.5618 .58126 L
.56112 .58106 L
.5602 .57963 L
.55989 .57946 L
.55859 .57813 L
.55857 .57785 L
.55699 .57633 L
.55692 .57625 L
.55554 .57464 L
.55538 .57444 L
.5541 .57304 L
.55378 .57243 L
.55303 .57143 L
.55217 .57035 L
.55199 .56983 L
.55057 .56831 L
.55039 .56822 L
.54919 .56662 L
.54896 .56629 L
.54804 .56501 L
.54735 .56392 L
.54716 .56341 L
.54672 .5618 L
F
1 .51 0 r
.54735 .54074 m
.54754 .54093 L
.54896 .54243 L
.54905 .54254 L
.55034 .54414 L
.55057 .54441 L
.55151 .54575 L
.55217 .54665 L
.5526 .54735 L
.55217 .54798 L
.5516 .54735 L
.55057 .54627 L
.55015 .54575 L
.54896 .54432 L
.54883 .54414 L
.5477 .54254 L
.54735 .54205 L
.54677 .54093 L
F
.01 .85 1 r
.54735 .53437 m
.54768 .53451 L
.54896 .53478 L
.54984 .53612 L
.55057 .53668 L
.55143 .53772 L
.55217 .53851 L
.5533 .53933 L
.55378 .54043 L
.55427 .54093 L
.55538 .5424 L
.55549 .54254 L
.55679 .54414 L
.55699 .54419 L
.55804 .54575 L
.55859 .54633 L
.55944 .54735 L
.5602 .54856 L
.56046 .54896 L
.56162 .55057 L
.5618 .55083 L
.56273 .55217 L
.56341 .55322 L
.56406 .55378 L
.56455 .55538 L
.56341 .55619 L
.56236 .55538 L
.5618 .5549 L
.56073 .55378 L
.5602 .55357 L
.5593 .55217 L
.55859 .55152 L
.55795 .55057 L
.55699 .54946 L
.55646 .54896 L
.55538 .54739 L
.55535 .54735 L
.55413 .54575 L
.55378 .5453 L
.55291 .54414 L
.55217 .54356 L
.55131 .54254 L
.55057 .54109 L
.55046 .54093 L
.54936 .53933 L
.54896 .53876 L
.54827 .53772 L
.54735 .53626 L
.54727 .53612 L
.54692 .53451 L
F
1 .5 0 r
.54735 .54087 m
.54742 .54093 L
.54896 .54252 L
.54898 .54254 L
.55026 .54414 L
.55057 .54451 L
.55142 .54575 L
.55217 .54679 L
.55249 .54735 L
.55217 .54784 L
.55171 .54735 L
.55057 .54618 L
.55022 .54575 L
.54896 .54423 L
.5489 .54414 L
.5478 .54254 L
.54735 .54189 L
.54695 .54093 L
F
0 .13 1 r
.54735 .49137 m
.54839 .49278 L
.54896 .49345 L
.54964 .49438 L
.55057 .49552 L
.55091 .49599 L
.55217 .49759 L
.55217 .49759 L
.55331 .4992 L
.55378 .49976 L
.55449 .5008 L
.55538 .50193 L
.5557 .50241 L
.55538 .50326 L
.55473 .50241 L
.55378 .50132 L
.55338 .5008 L
.55217 .49935 L
.55206 .4992 L
.55081 .49759 L
.55057 .49731 L
.54958 .49599 L
.54896 .49525 L
.54832 .49438 L
.54735 .49319 L
.54705 .49278 L
F
0 .12 1 r
.54735 .49143 m
.54834 .49278 L
.54896 .4935 L
.5496 .49438 L
.55057 .49557 L
.55087 .49599 L
.55057 .49725 L
.54963 .49599 L
.54896 .4952 L
.54837 .49438 L
.54735 .49314 L
.54709 .49278 L
F
0 .11 1 r
.54735 .49149 m
.54829 .49278 L
.54896 .49356 L
.54955 .49438 L
.55057 .49562 L
.55082 .49599 L
.55057 .49719 L
.54968 .49599 L
.54896 .49514 L
.54841 .49438 L
.54735 .49309 L
.54713 .49278 L
F
1 .31 0 r
.54735 .4848 m
.54866 .48636 L
.54896 .48668 L
.55 .48796 L
.55057 .4886 L
.55134 .48957 L
.55217 .49054 L
.55267 .49117 L
.55378 .49251 L
.55399 .49278 L
.55528 .49438 L
.55538 .4945 L
.55654 .49599 L
.55699 .49652 L
.55782 .49759 L
.55859 .49854 L
.5591 .4992 L
.5602 .50044 L
.56037 .5008 L
.56162 .50241 L
.5618 .50263 L
.56285 .50401 L
.56341 .5047 L
.5641 .50562 L
.56501 .50677 L
.56536 .50722 L
.56661 .50883 L
.56662 .50884 L
.56781 .51043 L
.56822 .51096 L
.56902 .51204 L
.56983 .51307 L
.57026 .51364 L
.57143 .51512 L
.57149 .51525 L
.57266 .51686 L
.57304 .51733 L
.57385 .51846 L
.57464 .51949 L
.57506 .52007 L
.57625 .52165 L
.57627 .52167 L
.57738 .52328 L
.57785 .5239 L
.57852 .52488 L
.57946 .52616 L
.57968 .52649 L
.57946 .52783 L
.57832 .52649 L
.57785 .52599 L
.57695 .52488 L
.57625 .52409 L
.5756 .52328 L
.57464 .52216 L
.57425 .52167 L
.57304 .52032 L
.57293 .52007 L
.57165 .51846 L
.57143 .51821 L
.57038 .51686 L
.56983 .5162 L
.56909 .51525 L
.56822 .51418 L
.56781 .51364 L
.56662 .51221 L
.56641 .51204 L
.56529 .51043 L
.56501 .5101 L
.56405 .50883 L
.56341 .50803 L
.56279 .50722 L
.5618 .50628 L
.56153 .50562 L
.56029 .50401 L
.5602 .50389 L
.55909 .50241 L
.55859 .50179 L
.55786 .5008 L
.55699 .49969 L
.55662 .4992 L
.55539 .49759 L
.55538 .49758 L
.55421 .49599 L
.55378 .49543 L
.55302 .49438 L
.55217 .49328 L
.55181 .49278 L
.55059 .49117 L
.55057 .49113 L
.54947 .48957 L
.54896 .4889 L
.54832 .48796 L
.54735 .48667 L
.54714 .48636 L
F
0 .1 1 r
.54735 .49156 m
.54823 .49278 L
.54896 .49363 L
.5495 .49438 L
.55057 .49568 L
.55078 .49599 L
.55057 .49712 L
.54974 .49599 L
.54896 .49507 L
.54846 .49438 L
.54735 .49303 L
.54717 .49278 L
F
1 .3 0 r
.54735 .48488 m
.5486 .48636 L
.54896 .48674 L
.54995 .48796 L
.55057 .48865 L
.5513 .48957 L
.55217 .49059 L
.55264 .49117 L
.55378 .49255 L
.55396 .49278 L
.55525 .49438 L
.55538 .49454 L
.55651 .49599 L
.55699 .49656 L
.55779 .49759 L
.55859 .49858 L
.55907 .4992 L
.5602 .50049 L
.56035 .5008 L
.56159 .50241 L
.5618 .50266 L
.56283 .50401 L
.56341 .50473 L
.56408 .50562 L
.56501 .5068 L
.56533 .50722 L
.56658 .50883 L
.56662 .50888 L
.56778 .51043 L
.56822 .51099 L
.569 .51204 L
.56983 .5131 L
.57023 .51364 L
.57143 .51518 L
.57146 .51525 L
.57263 .51686 L
.57304 .51737 L
.57382 .51846 L
.57464 .51953 L
.57503 .52007 L
.57623 .52167 L
.57625 .52169 L
.57734 .52328 L
.57785 .52395 L
.57847 .52488 L
.57946 .52623 L
.57963 .52649 L
.57946 .52775 L
.57839 .52649 L
.57785 .52593 L
.577 .52488 L
.57625 .52404 L
.57564 .52328 L
.57464 .52212 L
.57429 .52167 L
.57304 .52025 L
.57296 .52007 L
.57168 .51846 L
.57143 .51817 L
.57041 .51686 L
.56983 .51616 L
.56912 .51525 L
.56822 .51415 L
.56784 .51364 L
.56662 .51216 L
.56647 .51204 L
.56532 .51043 L
.56501 .51006 L
.56407 .50883 L
.56341 .508 L
.56282 .50722 L
.5618 .50623 L
.56156 .50562 L
.56032 .50401 L
.5602 .50386 L
.55911 .50241 L
.55859 .50175 L
.55789 .5008 L
.55699 .49965 L
.55665 .4992 L
.55542 .49759 L
.55538 .49755 L
.55424 .49599 L
.55378 .49539 L
.55305 .49438 L
.55217 .49324 L
.55184 .49278 L
.55063 .49117 L
.55057 .49109 L
.54951 .48957 L
.54896 .48885 L
.54836 .48796 L
.54735 .48661 L
.54719 .48636 L
F
1 .28 0 r
.54735 .49829 m
.54786 .4992 L
.54735 .49939 L
.54719 .4992 L
F
0 .09 1 r
.54735 .49164 m
.54817 .49278 L
.54896 .49369 L
.54945 .49438 L
.55057 .49575 L
.55073 .49599 L
.55057 .49704 L
.5498 .49599 L
.54896 .495 L
.54851 .49438 L
.54735 .49296 L
.54722 .49278 L
F
1 .29 0 r
.54735 .48496 m
.54853 .48636 L
.54896 .4868 L
.5499 .48796 L
.55057 .4887 L
.55126 .48957 L
.55217 .49063 L
.5526 .49117 L
.55378 .49259 L
.55393 .49278 L
.55521 .49438 L
.55538 .49458 L
.55648 .49599 L
.55699 .49659 L
.55776 .49759 L
.55859 .49861 L
.55904 .4992 L
.5602 .50054 L
.56032 .5008 L
.56156 .50241 L
.5618 .5027 L
.5628 .50401 L
.56341 .50477 L
.56405 .50562 L
.56501 .50683 L
.56531 .50722 L
.56655 .50883 L
.56662 .50891 L
.56775 .51043 L
.56822 .51103 L
.56897 .51204 L
.56983 .51313 L
.5702 .51364 L
.57143 .51524 L
.57144 .51525 L
.5726 .51686 L
.57304 .51741 L
.57379 .51846 L
.57464 .51957 L
.57499 .52007 L
.57619 .52167 L
.57625 .52175 L
.57729 .52328 L
.57785 .52402 L
.57842 .52488 L
.57946 .5263 L
.57958 .52649 L
.57946 .52765 L
.57846 .52649 L
.57785 .52586 L
.57705 .52488 L
.57625 .52399 L
.57568 .52328 L
.57464 .52207 L
.57433 .52167 L
.57304 .52017 L
.57299 .52007 L
.57172 .51846 L
.57143 .51813 L
.57044 .51686 L
.56983 .51612 L
.56915 .51525 L
.56822 .51411 L
.56786 .51364 L
.56662 .51211 L
.56653 .51204 L
.56535 .51043 L
.56501 .51003 L
.5641 .50883 L
.56341 .50797 L
.56284 .50722 L
.5618 .50617 L
.56158 .50562 L
.56035 .50401 L
.5602 .50383 L
.55914 .50241 L
.55859 .50172 L
.55791 .5008 L
.55699 .49962 L
.55667 .4992 L
.55545 .49759 L
.55538 .49751 L
.55427 .49599 L
.55378 .49535 L
.55308 .49438 L
.55217 .4932 L
.55186 .49278 L
.55067 .49117 L
.55057 .49104 L
.54955 .48957 L
.54896 .48879 L
.5484 .48796 L
.54735 .48654 L
.54723 .48636 L
F
0 .08 1 r
.54735 .49172 m
.5481 .49278 L
.54896 .49377 L
.54939 .49438 L
.55057 .49582 L
.55068 .49599 L
.55057 .49696 L
.54988 .49599 L
.54896 .49493 L
.54857 .49438 L
.54735 .49289 L
.54727 .49278 L
F
1 .28 0 r
.54735 .48505 m
.54847 .48636 L
.54896 .48687 L
.54985 .48796 L
.55057 .48875 L
.55122 .48957 L
.55217 .49068 L
.55256 .49117 L
.55378 .49263 L
.55389 .49278 L
.55518 .49438 L
.55538 .49462 L
.55645 .49599 L
.55699 .49663 L
.55773 .49759 L
.55859 .49865 L
.55902 .4992 L
.5602 .5006 L
.5603 .5008 L
.56153 .50241 L
.5618 .50273 L
.56277 .50401 L
.56341 .5048 L
.56403 .50562 L
.56501 .50687 L
.56528 .50722 L
.56652 .50883 L
.56662 .50895 L
.56772 .51043 L
.56822 .51106 L
.56894 .51204 L
.56983 .51317 L
.57018 .51364 L
.57141 .51525 L
.57143 .51528 L
.57257 .51686 L
.57304 .51745 L
.57376 .51846 L
.57464 .51962 L
.57496 .52007 L
.57615 .52167 L
.57625 .5218 L
.57725 .52328 L
.57785 .52408 L
.57837 .52488 L
.57946 .52638 L
.57952 .52649 L
.57946 .52754 L
.57855 .52649 L
.57785 .52579 L
.57711 .52488 L
.57625 .52393 L
.57572 .52328 L
.57464 .52202 L
.57436 .52167 L
.57304 .52009 L
.57303 .52007 L
.57175 .51846 L
.57143 .51809 L
.57047 .51686 L
.56983 .51609 L
.56918 .51525 L
.56822 .51408 L
.56789 .51364 L
.56662 .51206 L
.56659 .51204 L
.56537 .51043 L
.56501 .50999 L
.56413 .50883 L
.56341 .50794 L
.56287 .50722 L
.5618 .50612 L
.56161 .50562 L
.56038 .50401 L
.5602 .50379 L
.55917 .50241 L
.55859 .50169 L
.55794 .5008 L
.55699 .49959 L
.5567 .4992 L
.55548 .49759 L
.55538 .49747 L
.5543 .49599 L
.55378 .49531 L
.55311 .49438 L
.55217 .49316 L
.5519 .49278 L
.55071 .49117 L
.55057 .49099 L
.54959 .48957 L
.54896 .48873 L
.54845 .48796 L
.54735 .48648 L
.54728 .48636 L
F
1 .27 0 r
.54735 .49842 m
.54773 .4992 L
.54735 .49928 L
.54728 .4992 L
F
0 .67 1 r
.54735 .47839 m
.54883 .47993 L
.54896 .48006 L
.55028 .48154 L
.55057 .48185 L
.55168 .48314 L
.55217 .48369 L
.55307 .48475 L
.55378 .48557 L
.55443 .48636 L
.55538 .48738 L
.55627 .48796 L
.55699 .48942 L
.55713 .48957 L
.5584 .49117 L
.55859 .4914 L
.55971 .49278 L
.5602 .49311 L
.56101 .49438 L
.5618 .4953 L
.56252 .49599 L
.56341 .49737 L
.56359 .49759 L
.56486 .4992 L
.56501 .49939 L
.56613 .5008 L
.56662 .50128 L
.56794 .50241 L
.56822 .50342 L
.56875 .50401 L
.56983 .5055 L
.56991 .50562 L
.57118 .50722 L
.57143 .50734 L
.57243 .50883 L
.57304 .50951 L
.57391 .51043 L
.57464 .51165 L
.57495 .51204 L
.57618 .51364 L
.57625 .51373 L
.57742 .51525 L
.57785 .51563 L
.57914 .51686 L
.57946 .51783 L
.57999 .51846 L
.58106 .51996 L
.58113 .52007 L
.58237 .52167 L
.58267 .52175 L
.5836 .52328 L
.58428 .52402 L
.58504 .52488 L
.58588 .52622 L
.58608 .52649 L
.58728 .52809 L
.58749 .52835 L
.5885 .5297 L
.58909 .53021 L
.59016 .5313 L
.5907 .53252 L
.59101 .53291 L
.59216 .53451 L
.5923 .5347 L
.59336 .53612 L
.59391 .53683 L
.59457 .53772 L
.59551 .53885 L
.59592 .53933 L
.59698 .54093 L
.59712 .54111 L
.59815 .54254 L
.59872 .54329 L
.59935 .54414 L
.60033 .54527 L
.60075 .54575 L
.60171 .54735 L
.60193 .54765 L
.60285 .54896 L
.60354 .54989 L
.60401 .55057 L
.60514 .55213 L
.60517 .55217 L
.60623 .55378 L
.60675 .5545 L
.60729 .55538 L
.60835 .55697 L
.60836 .55699 L
.60835 .55811 L
.6072 .55699 L
.60675 .55657 L
.60568 .55538 L
.60514 .55483 L
.60424 .55378 L
.60354 .553 L
.60284 .55217 L
.60193 .55154 L
.60146 .55057 L
.60033 .54928 L
.59989 .54896 L
.59879 .54735 L
.59872 .54728 L
.59748 .54575 L
.59712 .54532 L
.59618 .54414 L
.59551 .54356 L
.59487 .54254 L
.59391 .5414 L
.59343 .54093 L
.5923 .53934 L
.59229 .53933 L
.59103 .53772 L
.5907 .53732 L
.58975 .53612 L
.58909 .53542 L
.58809 .53451 L
.58749 .53328 L
.58715 .53291 L
.58595 .5313 L
.58588 .53121 L
.58471 .5297 L
.58428 .52939 L
.58345 .52809 L
.58267 .52718 L
.58202 .52649 L
.58106 .52505 L
.58093 .52488 L
.5797 .52328 L
.57946 .52297 L
.57846 .52167 L
.57785 .52106 L
.57684 .52007 L
.57625 .51886 L
.57591 .51846 L
.57474 .51686 L
.57464 .51674 L
.57351 .51525 L
.57304 .51496 L
.57228 .51364 L
.57143 .51266 L
.57088 .51204 L
.56983 .51047 L
.5698 .51043 L
.56859 .50883 L
.56822 .50836 L
.56737 .50722 L
.56662 .50646 L
.56582 .50562 L
.56501 .50417 L
.56488 .50401 L
.56371 .50241 L
.56341 .50202 L
.5625 .5008 L
.5618 .5003 L
.56129 .4992 L
.5602 .49783 L
.55999 .49759 L
.55887 .49599 L
.55859 .49562 L
.55769 .49438 L
.55699 .49347 L
.55649 .49278 L
.55538 .4914 L
.55518 .49117 L
.55411 .48957 L
.55378 .48912 L
.55296 .48796 L
.55217 .48691 L
.55178 .48636 L
.5506 .48475 L
.55057 .4847 L
.54952 .48314 L
.54896 .48237 L
.54842 .48154 L
.54735 .48001 L
.54731 .47993 L
F
0 .07 1 r
.54735 .49182 m
.54801 .49278 L
.54896 .49385 L
.54932 .49438 L
.55057 .49589 L
.55063 .49599 L
.55057 .49686 L
.54996 .49599 L
.54896 .49485 L
.54863 .49438 L
.54735 .49282 L
.54732 .49278 L
F
1 .27 0 r
.54735 .48515 m
.54839 .48636 L
.54896 .48694 L
.5498 .48796 L
.55057 .48881 L
.55117 .48957 L
.55217 .49072 L
.55253 .49117 L
.55378 .49267 L
.55386 .49278 L
.55514 .49438 L
.55538 .49466 L
.55641 .49599 L
.55699 .49667 L
.5577 .49759 L
.55859 .49868 L
.55899 .4992 L
.5602 .50065 L
.56027 .5008 L
.5615 .50241 L
.5618 .50277 L
.56275 .50401 L
.56341 .50483 L
.564 .50562 L
.56501 .5069 L
.56526 .50722 L
.56649 .50883 L
.56662 .50898 L
.56769 .51043 L
.56822 .5111 L
.56892 .51204 L
.56983 .51321 L
.57015 .51364 L
.57137 .51525 L
.57143 .51532 L
.57254 .51686 L
.57304 .5175 L
.57372 .51846 L
.57464 .51966 L
.57493 .52007 L
.5761 .52167 L
.57625 .52186 L
.5772 .52328 L
.57785 .52415 L
.57832 .52488 L
.57946 .52648 L
.57946 .52649 L
.57946 .52741 L
.57864 .52649 L
.57785 .52571 L
.57717 .52488 L
.57625 .52387 L
.57577 .52328 L
.57464 .52198 L
.5744 .52167 L
.57307 .52007 L
.57304 .52003 L
.57179 .51846 L
.57143 .51804 L
.57051 .51686 L
.56983 .51605 L
.56921 .51525 L
.56822 .51404 L
.56792 .51364 L
.56663 .51204 L
.56662 .51202 L
.5654 .51043 L
.56501 .50996 L
.56415 .50883 L
.56341 .5079 L
.56289 .50722 L
.5618 .50606 L
.56163 .50562 L
.56041 .50401 L
.5602 .50376 L
.5592 .50241 L
.55859 .50165 L
.55797 .5008 L
.55699 .49955 L
.55672 .4992 L
.55551 .49759 L
.55538 .49743 L
.55434 .49599 L
.55378 .49527 L
.55314 .49438 L
.55217 .49312 L
.55193 .49278 L
.55075 .49117 L
.55057 .49093 L
.54964 .48957 L
.54896 .48867 L
.54849 .48796 L
.54735 .4864 L
.54733 .48636 L
F
.007 .84 1 r
.54896 .5349 m
.54971 .53612 L
.55057 .53677 L
.55134 .53772 L
.55217 .5386 L
.55323 .53933 L
.55378 .5405 L
.55421 .54093 L
.55538 .54245 L
.55545 .54254 L
.55673 .54414 L
.55699 .5442 L
.55799 .54575 L
.55859 .54639 L
.55939 .54735 L
.5602 .54864 L
.56041 .54896 L
.56156 .55057 L
.5618 .55092 L
.56266 .55217 L
.56341 .55335 L
.56391 .55378 L
.56439 .55538 L
.56341 .55603 L
.56251 .55538 L
.5618 .5548 L
.56081 .55378 L
.5602 .55352 L
.55936 .55217 L
.55859 .55145 L
.558 .55057 L
.55699 .5494 L
.55652 .54896 L
.5554 .54735 L
.55538 .54733 L
.55417 .54575 L
.55378 .54525 L
.55295 .54414 L
.55217 .54349 L
.55137 .54254 L
.55057 .541 L
.55052 .54093 L
.54942 .53933 L
.54896 .53868 L
.54834 .53772 L
.54737 .53612 L
F
.005 .83 1 r
.54896 .53507 m
.54958 .53612 L
.55057 .53687 L
.55125 .53772 L
.55217 .53868 L
.55314 .53933 L
.55378 .54057 L
.55414 .54093 L
.55538 .54251 L
.5554 .54254 L
.55668 .54414 L
.55699 .54423 L
.55793 .54575 L
.55859 .54646 L
.55933 .54735 L
.5602 .54872 L
.56035 .54896 L
.56149 .55057 L
.5618 .55101 L
.56259 .55217 L
.56341 .55349 L
.56374 .55378 L
.56421 .55538 L
.56341 .55587 L
.56268 .55538 L
.5618 .55469 L
.5609 .55378 L
.5602 .55346 L
.55942 .55217 L
.55859 .55139 L
.55805 .55057 L
.55699 .54934 L
.55659 .54896 L
.55545 .54735 L
.55538 .54727 L
.55421 .54575 L
.55378 .54519 L
.55299 .54414 L
.55217 .54342 L
.55143 .54254 L
.55058 .54093 L
.55057 .54092 L
.54947 .53933 L
.54896 .53858 L
.54841 .53772 L
.5475 .53612 L
F
.004 .82 1 r
.54896 .53529 m
.54944 .53612 L
.55057 .53697 L
.55116 .53772 L
.55217 .53876 L
.55304 .53933 L
.55378 .54065 L
.55407 .54093 L
.55535 .54254 L
.55538 .54258 L
.55663 .54414 L
.55699 .54425 L
.55788 .54575 L
.55859 .54653 L
.55927 .54735 L
.5602 .54881 L
.5603 .54896 L
.56143 .55057 L
.5618 .55111 L
.56251 .55217 L
.56341 .55365 L
.56356 .55378 L
.56399 .55538 L
.56341 .55568 L
.56289 .55538 L
.5618 .55458 L
.56099 .55378 L
.5602 .55339 L
.55949 .55217 L
.55859 .55132 L
.5581 .55057 L
.55699 .54927 L
.55665 .54896 L
.55549 .54735 L
.55538 .54722 L
.55426 .54575 L
.55378 .54514 L
.55303 .54414 L
.55217 .54334 L
.5515 .54254 L
.55063 .54093 L
.55057 .54084 L
.54953 .53933 L
.54896 .53848 L
.54849 .53772 L
.54764 .53612 L
F
.003 .81 1 r
.54896 .53557 m
.54927 .53612 L
.55057 .53709 L
.55106 .53772 L
.55217 .53885 L
.55293 .53933 L
.55378 .54072 L
.554 .54093 L
.55529 .54254 L
.55538 .54265 L
.55657 .54414 L
.55699 .54428 L
.55783 .54575 L
.55859 .5466 L
.55921 .54735 L
.5602 .5489 L
.56024 .54896 L
.56136 .55057 L
.5618 .55121 L
.56244 .55217 L
.56337 .55378 L
.56341 .55384 L
.56368 .55538 L
.56341 .55547 L
.56319 .55538 L
.5618 .55447 L
.56109 .55378 L
.5602 .55331 L
.55955 .55217 L
.55859 .55125 L
.55815 .55057 L
.55699 .54921 L
.55672 .54896 L
.55554 .54735 L
.55538 .54716 L
.5543 .54575 L
.55378 .54508 L
.55307 .54414 L
.55217 .54325 L
.55158 .54254 L
.55069 .54093 L
.55057 .54077 L
.5496 .53933 L
.54896 .53838 L
.54856 .53772 L
.54782 .53612 L
F
.002 .8 1 r
.54896 .53592 m
.54908 .53612 L
.55057 .53721 L
.55096 .53772 L
.55217 .53894 L
.55281 .53933 L
.55378 .54079 L
.55392 .54093 L
.55523 .54254 L
.55538 .54272 L
.55652 .54414 L
.55699 .54432 L
.55777 .54575 L
.55859 .54668 L
.55915 .54735 L
.56018 .54896 L
.5602 .54899 L
.5613 .55057 L
.5618 .55132 L
.56236 .55217 L
.56325 .55378 L
.5618 .55436 L
.56119 .55378 L
.5602 .55322 L
.55962 .55217 L
.55859 .55117 L
.55821 .55057 L
.55699 .54914 L
.55679 .54896 L
.55559 .54735 L
.55538 .5471 L
.55435 .54575 L
.55378 .54503 L
.55312 .54414 L
.55217 .54317 L
.55165 .54254 L
.55074 .54093 L
.55057 .54069 L
.54966 .53933 L
.54896 .53826 L
.54864 .53772 L
.54805 .53612 L
F
1 .97 .395 r
.54896 .5628 m
.55005 .56341 L
.55057 .56384 L
.55169 .56501 L
.55217 .56554 L
.55305 .56662 L
.55378 .56749 L
.55434 .56822 L
.55538 .56932 L
.5556 .56983 L
.55681 .57143 L
.55699 .57167 L
.55795 .57304 L
.55859 .57391 L
.55909 .57464 L
.5602 .57623 L
.56021 .57625 L
.56106 .57785 L
.5602 .57847 L
.55949 .57785 L
.55859 .57705 L
.5578 .57625 L
.55699 .57557 L
.55628 .57464 L
.55538 .57363 L
.55464 .57304 L
.55378 .5717 L
.55355 .57143 L
.55224 .56983 L
.55217 .56974 L
.55099 .56822 L
.55057 .56764 L
.54981 .56662 L
.54896 .56531 L
.54873 .56501 L
.54808 .56341 L
F
1 .98 .538 r
.54896 .53082 m
.55057 .53082 L
.55178 .5313 L
.55217 .53151 L
.55372 .53291 L
.55378 .53301 L
.55517 .53451 L
.55538 .53497 L
.55637 .53612 L
.55699 .53674 L
.55741 .53772 L
.55859 .53877 L
.55903 .53933 L
.5602 .54085 L
.56026 .54093 L
.56147 .54254 L
.5618 .543 L
.56253 .54414 L
.56341 .54521 L
.56401 .54575 L
.56501 .54708 L
.56523 .54735 L
.56645 .54896 L
.56662 .54918 L
.56756 .55057 L
.56822 .55131 L
.56852 .55217 L
.56983 .55344 L
.57012 .55378 L
.57135 .55538 L
.57143 .55557 L
.57243 .55699 L
.57304 .55787 L
.57335 .55859 L
.57304 .55995 L
.57143 .56 L
.56983 .55948 L
.56898 .55859 L
.56822 .55779 L
.56743 .55699 L
.56662 .55578 L
.56631 .55538 L
.56506 .55378 L
.56501 .55373 L
.56383 .55217 L
.56341 .55169 L
.56228 .55057 L
.5618 .54957 L
.56128 .54896 L
.5602 .54747 L
.56012 .54735 L
.55889 .54575 L
.55859 .54566 L
.55767 .54414 L
.55699 .54347 L
.55626 .54254 L
.55538 .54124 L
.55518 .54093 L
.55398 .53933 L
.55378 .53906 L
.55278 .53772 L
.55217 .53692 L
.55126 .53612 L
.55057 .53478 L
.55031 .53451 L
.54924 .53291 L
.54896 .53245 L
.54848 .5313 L
F
0 .66 1 r
.54896 .48018 m
.55019 .48154 L
.55057 .48193 L
.55161 .48314 L
.55217 .48376 L
.55301 .48475 L
.55378 .48564 L
.55438 .48636 L
.55538 .48744 L
.55618 .48796 L
.55699 .48948 L
.55707 .48957 L
.55836 .49117 L
.55859 .49144 L
.55967 .49278 L
.5602 .49314 L
.56097 .49438 L
.5618 .49534 L
.56248 .49599 L
.56341 .49741 L
.56356 .49759 L
.56482 .4992 L
.56501 .49943 L
.5661 .5008 L
.56662 .50131 L
.56791 .50241 L
.56822 .50345 L
.56872 .50401 L
.56983 .50553 L
.56989 .50562 L
.57115 .50722 L
.57143 .50735 L
.57241 .50883 L
.57304 .50954 L
.57389 .51043 L
.57464 .51168 L
.57493 .51204 L
.57616 .51364 L
.57625 .51376 L
.57739 .51525 L
.57785 .51566 L
.57912 .51686 L
.57946 .51786 L
.57997 .51846 L
.58106 .51999 L
.58112 .52007 L
.58234 .52167 L
.58267 .52176 L
.58358 .52328 L
.58428 .52405 L
.58502 .52488 L
.58588 .52625 L
.58606 .52649 L
.58726 .52809 L
.58749 .52838 L
.58848 .5297 L
.58909 .53024 L
.59014 .5313 L
.5907 .53255 L
.59099 .53291 L
.59213 .53451 L
.5923 .53473 L
.59333 .53612 L
.59391 .53687 L
.59454 .53772 L
.59551 .53889 L
.59588 .53933 L
.59695 .54093 L
.59712 .54116 L
.59812 .54254 L
.59872 .54333 L
.59931 .54414 L
.60033 .54534 L
.60068 .54575 L
.60166 .54735 L
.60193 .54771 L
.6028 .54896 L
.60354 .54995 L
.60396 .55057 L
.60511 .55217 L
.60514 .55221 L
.60616 .55378 L
.60675 .55462 L
.60721 .55538 L
.60675 .55644 L
.60578 .55538 L
.60514 .55473 L
.60432 .55378 L
.60354 .55293 L
.6029 .55217 L
.60193 .55145 L
.60152 .55057 L
.60033 .54921 L
.59998 .54896 L
.59883 .54735 L
.59872 .54723 L
.59752 .54575 L
.59712 .54527 L
.59621 .54414 L
.59551 .54352 L
.59491 .54254 L
.59391 .54135 L
.59347 .54093 L
.59232 .53933 L
.5923 .5393 L
.59106 .53772 L
.5907 .53728 L
.58978 .53612 L
.58909 .53539 L
.58812 .53451 L
.58749 .53325 L
.58718 .53291 L
.58598 .5313 L
.58588 .53118 L
.58473 .5297 L
.58428 .52937 L
.58347 .52809 L
.58267 .52716 L
.58204 .52649 L
.58106 .52502 L
.58095 .52488 L
.57972 .52328 L
.57946 .52294 L
.57849 .52167 L
.57785 .52104 L
.57687 .52007 L
.57625 .51883 L
.57593 .51846 L
.57476 .51686 L
.57464 .51671 L
.57353 .51525 L
.57304 .51494 L
.5723 .51364 L
.57143 .51263 L
.57091 .51204 L
.56983 .51044 L
.56982 .51043 L
.56862 .50883 L
.56822 .50833 L
.56739 .50722 L
.56662 .50643 L
.56585 .50562 L
.56501 .50414 L
.56491 .50401 L
.56373 .50241 L
.56341 .50199 L
.56253 .5008 L
.5618 .50027 L
.56131 .4992 L
.5602 .49779 L
.56003 .49759 L
.5589 .49599 L
.55859 .49559 L
.55772 .49438 L
.55699 .49343 L
.55651 .49278 L
.55538 .49133 L
.55524 .49117 L
.55415 .48957 L
.55378 .48907 L
.553 .48796 L
.55217 .48686 L
.55182 .48636 L
.55066 .48475 L
.55057 .48463 L
.54958 .48314 L
.54896 .48228 L
.54849 .48154 L
F
1 .26 0 r
.54896 .48701 m
.54974 .48796 L
.55057 .48886 L
.55113 .48957 L
.55217 .49077 L
.55249 .49117 L
.55378 .49271 L
.55383 .49278 L
.5551 .49438 L
.55538 .49471 L
.55638 .49599 L
.55699 .49671 L
.55767 .49759 L
.55859 .49872 L
.55896 .4992 L
.5602 .50071 L
.56024 .5008 L
.56147 .50241 L
.5618 .5028 L
.56272 .50401 L
.56341 .50487 L
.56397 .50562 L
.56501 .50693 L
.56523 .50722 L
.56646 .50883 L
.56662 .50902 L
.56767 .51043 L
.56822 .51113 L
.56889 .51204 L
.56983 .51324 L
.57012 .51364 L
.57134 .51525 L
.57143 .51537 L
.5725 .51686 L
.57304 .51754 L
.57369 .51846 L
.57464 .51971 L
.57489 .52007 L
.57605 .52167 L
.57625 .52192 L
.57714 .52328 L
.57785 .52423 L
.57826 .52488 L
.57785 .52563 L
.57723 .52488 L
.57625 .52381 L
.57582 .52328 L
.57464 .52193 L
.57444 .52167 L
.57311 .52007 L
.57304 .51999 L
.57183 .51846 L
.57143 .518 L
.57054 .51686 L
.56983 .51601 L
.56924 .51525 L
.56822 .514 L
.56794 .51364 L
.56666 .51204 L
.56662 .51198 L
.56543 .51043 L
.56501 .50992 L
.56418 .50883 L
.56341 .50787 L
.56292 .50722 L
.5618 .506 L
.56166 .50562 L
.56043 .50401 L
.5602 .50372 L
.55922 .50241 L
.55859 .50162 L
.55799 .5008 L
.55699 .49952 L
.55675 .4992 L
.55554 .49759 L
.55538 .49739 L
.55437 .49599 L
.55378 .49523 L
.55317 .49438 L
.55217 .49308 L
.55196 .49278 L
.5508 .49117 L
.55057 .49088 L
.54969 .48957 L
.54896 .48861 L
.54854 .48796 L
F
0 .65 1 r
.54896 .4803 m
.55009 .48154 L
.55057 .48203 L
.55154 .48314 L
.55217 .48384 L
.55294 .48475 L
.55378 .4857 L
.55432 .48636 L
.55538 .48751 L
.55609 .48796 L
.55699 .48954 L
.55702 .48957 L
.55832 .49117 L
.55859 .49149 L
.55963 .49278 L
.5602 .49318 L
.56094 .49438 L
.5618 .49539 L
.56244 .49599 L
.56341 .49745 L
.56353 .49759 L
.56479 .4992 L
.56501 .49947 L
.56607 .5008 L
.56662 .50134 L
.56789 .50241 L
.56822 .50349 L
.56869 .50401 L
.56983 .50556 L
.56987 .50562 L
.57113 .50722 L
.57143 .50737 L
.57238 .50883 L
.57304 .50957 L
.57386 .51043 L
.57464 .51171 L
.5749 .51204 L
.57613 .51364 L
.57625 .51379 L
.57737 .51525 L
.57785 .51568 L
.5791 .51686 L
.57946 .51789 L
.57994 .51846 L
.58106 .52002 L
.5811 .52007 L
.58232 .52167 L
.58267 .52178 L
.58355 .52328 L
.58428 .52408 L
.585 .52488 L
.58588 .52629 L
.58603 .52649 L
.58723 .52809 L
.58749 .52841 L
.58845 .5297 L
.58909 .53027 L
.59011 .5313 L
.5907 .53259 L
.59096 .53291 L
.5921 .53451 L
.5923 .53477 L
.5933 .53612 L
.59391 .5369 L
.59451 .53772 L
.59551 .53894 L
.59584 .53933 L
.59691 .54093 L
.59712 .5412 L
.59809 .54254 L
.59872 .54337 L
.59928 .54414 L
.60033 .54542 L
.60062 .54575 L
.60162 .54735 L
.60193 .54777 L
.60276 .54896 L
.60354 .55002 L
.60391 .55057 L
.60505 .55217 L
.60514 .5523 L
.60608 .55378 L
.60675 .55476 L
.60711 .55538 L
.60675 .55629 L
.6059 .55538 L
.60514 .55463 L
.6044 .55378 L
.60354 .55285 L
.60297 .55217 L
.60193 .55135 L
.60157 .55057 L
.60033 .54914 L
.60008 .54896 L
.59888 .54735 L
.59872 .54717 L
.59757 .54575 L
.59712 .54522 L
.59625 .54414 L
.59551 .54347 L
.59494 .54254 L
.59391 .54131 L
.59352 .54093 L
.59235 .53933 L
.5923 .53926 L
.59109 .53772 L
.5907 .53725 L
.58981 .53612 L
.58909 .53536 L
.58815 .53451 L
.58749 .53322 L
.58721 .53291 L
.586 .5313 L
.58588 .53115 L
.58475 .5297 L
.58428 .52935 L
.5835 .52809 L
.58267 .52713 L
.58207 .52649 L
.58106 .52499 L
.58098 .52488 L
.57975 .52328 L
.57946 .52292 L
.57851 .52167 L
.57785 .52101 L
.57689 .52007 L
.57625 .51881 L
.57596 .51846 L
.57478 .51686 L
.57464 .51669 L
.57356 .51525 L
.57304 .51492 L
.57232 .51364 L
.57143 .5126 L
.57093 .51204 L
.56984 .51043 L
.56983 .51041 L
.56864 .50883 L
.56822 .5083 L
.56742 .50722 L
.56662 .5064 L
.56588 .50562 L
.56501 .50411 L
.56494 .50401 L
.56376 .50241 L
.56341 .50196 L
.56255 .5008 L
.5618 .50023 L
.56133 .4992 L
.5602 .49775 L
.56007 .49759 L
.55893 .49599 L
.55859 .49555 L
.55775 .49438 L
.55699 .49339 L
.55654 .49278 L
.55538 .49127 L
.5553 .49117 L
.55419 .48957 L
.55378 .48902 L
.55304 .48796 L
.55217 .4868 L
.55186 .48636 L
.55072 .48475 L
.55057 .48455 L
.54965 .48314 L
.54896 .48218 L
.54857 .48154 L
F
1 .25 0 r
.54896 .48709 m
.54968 .48796 L
.55057 .48892 L
.55108 .48957 L
.55217 .49082 L
.55245 .49117 L
.55378 .49276 L
.55379 .49278 L
.55506 .49438 L
.55538 .49475 L
.55635 .49599 L
.55699 .49675 L
.55764 .49759 L
.55859 .49876 L
.55893 .4992 L
.5602 .50076 L
.56022 .5008 L
.56144 .50241 L
.5618 .50284 L
.56269 .50401 L
.56341 .5049 L
.56395 .50562 L
.56501 .50697 L
.56521 .50722 L
.56643 .50883 L
.56662 .50906 L
.56764 .51043 L
.56822 .51117 L
.56886 .51204 L
.56983 .51328 L
.5701 .51364 L
.57131 .51525 L
.57143 .51541 L
.57247 .51686 L
.57304 .51759 L
.57365 .51846 L
.57464 .51976 L
.57486 .52007 L
.576 .52167 L
.57625 .52199 L
.57708 .52328 L
.57785 .52431 L
.5782 .52488 L
.57785 .52554 L
.5773 .52488 L
.57625 .52375 L
.57587 .52328 L
.57464 .52187 L
.57448 .52167 L
.57315 .52007 L
.57304 .51994 L
.57187 .51846 L
.57143 .51796 L
.57057 .51686 L
.56983 .51597 L
.56927 .51525 L
.56822 .51397 L
.56797 .51364 L
.5667 .51204 L
.56662 .51194 L
.56546 .51043 L
.56501 .50989 L
.56421 .50883 L
.56341 .50783 L
.56295 .50722 L
.5618 .50593 L
.56168 .50562 L
.56046 .50401 L
.5602 .50368 L
.55925 .50241 L
.55859 .50158 L
.55802 .5008 L
.55699 .49948 L
.55678 .4992 L
.55557 .49759 L
.55538 .49735 L
.5544 .49599 L
.55378 .49519 L
.5532 .49438 L
.55217 .49303 L
.55199 .49278 L
.55084 .49117 L
.55057 .49082 L
.54974 .48957 L
.54896 .48853 L
.5486 .48796 L
F
1 .89 .033 r
.54896 .47356 m
.55047 .47512 L
.55057 .47521 L
.55195 .47672 L
.55217 .47695 L
.55339 .47833 L
.55378 .47876 L
.55479 .47993 L
.55538 .48048 L
.55618 .48154 L
.55699 .4825 L
.5577 .48314 L
.55859 .48446 L
.55884 .48475 L
.56019 .48636 L
.5602 .48636 L
.56151 .48796 L
.5618 .48829 L
.56317 .48957 L
.56341 .49032 L
.56414 .49117 L
.56501 .49235 L
.5653 .49278 L
.56662 .49433 L
.5667 .49438 L
.56798 .49599 L
.56822 .49629 L
.56935 .49759 L
.56983 .49836 L
.57045 .4992 L
.57143 .50044 L
.57159 .5008 L
.57304 .5024 L
.57306 .50241 L
.57449 .50401 L
.57464 .50444 L
.57558 .50562 L
.57625 .50655 L
.57668 .50722 L
.57785 .50863 L
.57809 .50883 L
.57933 .51043 L
.57946 .51059 L
.58066 .51204 L
.58106 .51269 L
.58176 .51364 L
.58267 .51481 L
.58285 .51525 L
.58428 .51683 L
.58432 .51686 L
.58571 .51846 L
.58588 .51887 L
.58681 .52007 L
.58749 .52099 L
.5879 .52167 L
.58909 .52309 L
.58929 .52328 L
.59052 .52488 L
.5907 .52509 L
.59184 .52649 L
.5923 .5272 L
.59293 .52809 L
.59391 .52933 L
.59404 .5297 L
.59546 .5313 L
.59551 .53135 L
.59689 .53291 L
.59712 .53343 L
.59795 .53451 L
.59872 .53556 L
.59905 .53612 L
.60033 .53765 L
.6004 .53772 L
.60162 .53933 L
.60193 .53967 L
.60296 .54093 L
.60354 .54181 L
.60404 .54254 L
.60514 .54394 L
.60521 .54414 L
.60653 .54575 L
.60675 .54593 L
.608 .54735 L
.60835 .54807 L
.60902 .54896 L
.60996 .55023 L
.61015 .55057 L
.61143 .55217 L
.61156 .55221 L
.61265 .55378 L
.61317 .55434 L
.61401 .55538 L
.61477 .55654 L
.61508 .55699 L
.61631 .55859 L
.61638 .55869 L
.61751 .5602 L
.61799 .56059 L
.61901 .5618 L
.61959 .56287 L
.61999 .56341 L
.62115 .56501 L
.6212 .56507 L
.62234 .56662 L
.6228 .56723 L
.6241 .56822 L
.62441 .56924 L
.62485 .56983 L
.62593 .57143 L
.62601 .57153 L
.6271 .57304 L
.62762 .57373 L
.62828 .57464 L
.62922 .57573 L
.62961 .57625 L
.63061 .57785 L
.63083 .57815 L
.63173 .57946 L
.63243 .58043 L
.63286 .58106 L
.63399 .58267 L
.63404 .58274 L
.63499 .58428 L
.63564 .58526 L
.63599 .58588 L
.63564 .58699 L
.63451 .58588 L
.63404 .58544 L
.63296 .58428 L
.63243 .58373 L
.63149 .58267 L
.63083 .58248 L
.63007 .58106 L
.62922 .58019 L
.62868 .57946 L
.62762 .57821 L
.62723 .57785 L
.62601 .57628 L
.62598 .57625 L
.62466 .57464 L
.62441 .57446 L
.62335 .57304 L
.6228 .57242 L
.62174 .57143 L
.6212 .57038 L
.62071 .56983 L
.61959 .56837 L
.61949 .56822 L
.61817 .56662 L
.61799 .56644 L
.61689 .56501 L
.61638 .56438 L
.6155 .56341 L
.61477 .56231 L
.61439 .5618 L
.61317 .56027 L
.61314 .5602 L
.61183 .55859 L
.61156 .55829 L
.61033 .55699 L
.60996 .5562 L
.60929 .55538 L
.60835 .55411 L
.60814 .55378 L
.60681 .55217 L
.60675 .55211 L
.60557 .55057 L
.60514 .55005 L
.60421 .54896 L
.60354 .54794 L
.60311 .54735 L
.60193 .54586 L
.6019 .54575 L
.60059 .54414 L
.60033 .54387 L
.59911 .54254 L
.59872 .54175 L
.59807 .54093 L
.59712 .53964 L
.59693 .53933 L
.59563 .53772 L
.59551 .53763 L
.59398 .53612 L
.59391 .53555 L
.59303 .53451 L
.5923 .53341 L
.59194 .53291 L
.5907 .53132 L
.59069 .5313 L
.58946 .5297 L
.58909 .52933 L
.58797 .52809 L
.58749 .52718 L
.58694 .52649 L
.58588 .52505 L
.58578 .52488 L
.58453 .52328 L
.58428 .52311 L
.58283 .52167 L
.58267 .52095 L
.58193 .52007 L
.58106 .51879 L
.58083 .51846 L
.5796 .51686 L
.57946 .51667 L
.57839 .51525 L
.57785 .51474 L
.57689 .51364 L
.57625 .51253 L
.57587 .51204 L
.57469 .51043 L
.57464 .51037 L
.57348 .50883 L
.57304 .50855 L
.57177 .50722 L
.57143 .50627 L
.57091 .50562 L
.56983 .50406 L
.5698 .50401 L
.5686 .50241 L
.56822 .50193 L
.56739 .5008 L
.56662 .50002 L
.56593 .4992 L
.56501 .49772 L
.56491 .49759 L
.56374 .49599 L
.56341 .49556 L
.56254 .49438 L
.5618 .49379 L
.56092 .49278 L
.5602 .49134 L
.56006 .49117 L
.55892 .48957 L
.55859 .48914 L
.55774 .48796 L
.55699 .48697 L
.55654 .48636 L
.55538 .48485 L
.5553 .48475 L
.55419 .48314 L
.55378 .48259 L
.55304 .48154 L
.55217 .48036 L
.55188 .47993 L
.55073 .47833 L
.55057 .4781 L
.54967 .47672 L
.54896 .47571 L
.5486 .47512 L
F
0 .64 1 r
.54896 .48044 m
.54998 .48154 L
.55057 .48213 L
.55146 .48314 L
.55217 .48392 L
.55288 .48475 L
.55378 .48577 L
.55427 .48636 L
.55538 .48758 L
.55598 .48796 L
.55696 .48957 L
.55699 .48959 L
.55828 .49117 L
.55859 .49154 L
.55959 .49278 L
.5602 .49322 L
.5609 .49438 L
.5618 .49543 L
.5624 .49599 L
.56341 .49749 L
.56349 .49759 L
.56476 .4992 L
.56501 .4995 L
.56604 .5008 L
.56662 .50137 L
.56786 .50241 L
.56822 .50352 L
.56866 .50401 L
.56983 .50559 L
.56985 .50562 L
.5711 .50722 L
.57143 .50738 L
.57236 .50883 L
.57304 .5096 L
.57384 .51043 L
.57464 .51174 L
.57488 .51204 L
.57611 .51364 L
.57625 .51382 L
.57735 .51525 L
.57785 .51571 L
.57908 .51686 L
.57946 .51792 L
.57992 .51846 L
.58106 .52005 L
.58108 .52007 L
.5823 .52167 L
.58267 .52179 L
.58353 .52328 L
.58428 .52411 L
.58497 .52488 L
.58588 .52632 L
.58601 .52649 L
.58721 .52809 L
.58749 .52844 L
.58843 .5297 L
.58909 .5303 L
.59008 .5313 L
.5907 .53262 L
.59093 .53291 L
.59208 .53451 L
.5923 .5348 L
.59328 .53612 L
.59391 .53694 L
.59449 .53772 L
.59551 .53899 L
.5958 .53933 L
.59688 .54093 L
.59712 .54124 L
.59806 .54254 L
.59872 .54342 L
.59924 .54414 L
.60033 .5455 L
.60055 .54575 L
.60157 .54735 L
.60193 .54783 L
.60271 .54896 L
.60354 .55009 L
.60386 .55057 L
.60497 .55217 L
.60514 .55241 L
.60599 .55378 L
.60675 .55491 L
.607 .55538 L
.60675 .55611 L
.60604 .55538 L
.60514 .55452 L
.60449 .55378 L
.60354 .55276 L
.60303 .55217 L
.60193 .55124 L
.60163 .55057 L
.60033 .54906 L
.60018 .54896 L
.59893 .54735 L
.59872 .54712 L
.59761 .54575 L
.59712 .54517 L
.59629 .54414 L
.59551 .54343 L
.59498 .54254 L
.59391 .54126 L
.59356 .54093 L
.59239 .53933 L
.5923 .53922 L
.59112 .53772 L
.5907 .53721 L
.58984 .53612 L
.58909 .53532 L
.58818 .53451 L
.58749 .53318 L
.58724 .53291 L
.58603 .5313 L
.58588 .53112 L
.58478 .5297 L
.58428 .52933 L
.58352 .52809 L
.58267 .5271 L
.5821 .52649 L
.58106 .52496 L
.581 .52488 L
.57977 .52328 L
.57946 .52289 L
.57853 .52167 L
.57785 .52099 L
.57692 .52007 L
.57625 .51878 L
.57598 .51846 L
.5748 .51686 L
.57464 .51666 L
.57358 .51525 L
.57304 .5149 L
.57234 .51364 L
.57143 .51257 L
.57096 .51204 L
.56987 .51043 L
.56983 .51039 L
.56866 .50883 L
.56822 .50827 L
.56744 .50722 L
.56662 .50636 L
.56591 .50562 L
.56501 .50407 L
.56496 .50401 L
.56378 .50241 L
.56341 .50193 L
.56258 .5008 L
.5618 .50019 L
.56136 .4992 L
.5602 .4977 L
.5601 .49759 L
.55896 .49599 L
.55859 .49551 L
.55778 .49438 L
.55699 .49335 L
.55657 .49278 L
.55538 .4912 L
.55535 .49117 L
.55423 .48957 L
.55378 .48897 L
.55308 .48796 L
.55217 .48674 L
.55191 .48636 L
.55078 .48475 L
.55057 .48446 L
.54972 .48314 L
.54896 .48206 L
.54865 .48154 L
F
1 .24 0 r
.54896 .48718 m
.54961 .48796 L
.55057 .48899 L
.55103 .48957 L
.55217 .49087 L
.55241 .49117 L
.55375 .49278 L
.55378 .49281 L
.55502 .49438 L
.55538 .49479 L
.55631 .49599 L
.55699 .49679 L
.55761 .49759 L
.55859 .49879 L
.5589 .4992 L
.56019 .5008 L
.5602 .50082 L
.56141 .50241 L
.5618 .50288 L
.56266 .50401 L
.56341 .50494 L
.56392 .50562 L
.56501 .507 L
.56518 .50722 L
.5664 .50883 L
.56662 .5091 L
.56761 .51043 L
.56822 .51121 L
.56883 .51204 L
.56983 .51332 L
.57007 .51364 L
.57127 .51525 L
.57143 .51545 L
.57243 .51686 L
.57304 .51763 L
.57362 .51846 L
.57464 .51981 L
.57482 .52007 L
.57595 .52167 L
.57625 .52206 L
.57702 .52328 L
.57785 .52441 L
.57813 .52488 L
.57785 .52544 L
.57738 .52488 L
.57625 .52368 L
.57592 .52328 L
.57464 .52182 L
.57452 .52167 L
.5732 .52007 L
.57304 .51989 L
.57191 .51846 L
.57143 .51791 L
.57061 .51686 L
.56983 .51593 L
.5693 .51525 L
.56822 .51393 L
.568 .51364 L
.56673 .51204 L
.56662 .51191 L
.56549 .51043 L
.56501 .50985 L
.56424 .50883 L
.56341 .5078 L
.56297 .50722 L
.5618 .50587 L
.56171 .50562 L
.56049 .50401 L
.5602 .50365 L
.55928 .50241 L
.55859 .50154 L
.55805 .5008 L
.55699 .49944 L
.5568 .4992 L
.55561 .49759 L
.55538 .49731 L
.55444 .49599 L
.55378 .49514 L
.55324 .49438 L
.55217 .49299 L
.55202 .49278 L
.55089 .49117 L
.55057 .49075 L
.54979 .48957 L
.54896 .48846 L
.54865 .48796 L
F
1 1 1 r
.54896 .45422 m
.54903 .45425 L
.55057 .45484 L
.55109 .45586 L
.55217 .45694 L
.55275 .45746 L
.55378 .45866 L
.55433 .45907 L
.55538 .46043 L
.55562 .46067 L
.55699 .462 L
.55725 .46228 L
.55859 .46382 L
.55865 .46388 L
.56009 .46549 L
.5602 .4657 L
.56133 .46709 L
.5618 .46771 L
.56246 .4687 L
.56341 .46942 L
.56417 .4703 L
.56501 .47136 L
.56548 .47191 L
.56662 .47334 L
.56677 .47351 L
.56797 .47512 L
.56822 .47532 L
.56939 .47672 L
.56983 .47731 L
.57067 .47833 L
.57143 .47933 L
.57193 .47993 L
.57304 .48138 L
.57317 .48154 L
.57427 .48314 L
.57464 .48341 L
.57573 .48475 L
.57625 .48546 L
.57698 .48636 L
.57785 .48753 L
.57821 .48796 L
.5794 .48957 L
.57946 .48964 L
.58071 .49117 L
.58106 .49166 L
.58196 .49278 L
.58267 .49374 L
.58319 .49438 L
.58428 .49583 L
.5844 .49599 L
.58545 .49759 L
.58588 .4979 L
.58692 .4992 L
.58749 .49998 L
.58815 .5008 L
.58909 .50207 L
.58936 .50241 L
.59051 .50401 L
.5907 .50425 L
.59185 .50562 L
.5923 .50623 L
.59309 .50722 L
.59391 .50833 L
.59431 .50883 L
.59551 .51043 L
.59551 .51044 L
.59648 .51204 L
.59712 .5125 L
.59803 .51364 L
.59872 .51459 L
.59925 .51525 L
.60033 .5167 L
.60045 .51686 L
.60154 .51846 L
.60193 .51895 L
.60295 .52007 L
.60354 .52086 L
.60418 .52167 L
.60514 .52296 L
.60539 .52328 L
.60656 .52488 L
.60675 .52513 L
.60748 .52649 L
.60835 .52713 L
.60911 .52809 L
.60996 .52923 L
.61033 .5297 L
.61153 .5313 L
.61156 .53135 L
.61257 .53291 L
.61317 .53363 L
.61404 .53451 L
.61477 .5355 L
.61527 .53612 L
.61638 .53761 L
.61647 .53772 L
.6176 .53933 L
.61799 .53981 L
.6185 .54093 L
.61959 .54215 L
.6202 .54254 L
.6212 .54388 L
.62141 .54414 L
.62259 .54575 L
.6228 .54602 L
.62361 .54735 L
.62441 .54828 L
.62512 .54896 L
.62601 .55015 L
.62634 .55057 L
.62755 .55217 L
.62762 .55226 L
.62866 .55378 L
.62922 .55446 L
.62954 .55538 L
.63083 .55672 L
.63127 .55699 L
.63243 .55853 L
.63248 .55859 L
.63366 .5602 L
.63404 .56068 L
.63467 .5618 L
.63564 .56289 L
.6362 .56341 L
.63725 .5648 L
.63742 .56501 L
.63864 .56662 L
.63885 .56692 L
.63973 .56822 L
.64046 .56909 L
.64063 .56983 L
.64206 .57125 L
.64235 .57143 L
.64359 .57304 L
.64367 .57317 L
.64474 .57464 L
.64527 .57531 L
.64576 .57625 L
.64688 .57747 L
.64728 .57785 L
.64848 .57946 L
.6485 .57946 L
.64973 .58106 L
.65009 .58155 L
.65081 .58267 L
.6517 .5837 L
.65176 .58428 L
.6533 .58579 L
.65343 .58588 L
.65471 .58749 L
.65491 .5878 L
.65583 .58909 L
.65651 .58993 L
.65687 .5907 L
.65812 .59206 L
.65836 .5923 L
.65966 .59391 L
.65972 .59406 L
.66083 .59551 L
.66133 .59617 L
.66191 .59712 L
.66293 .59831 L
.66329 .59872 L
.66451 .60033 L
.66454 .60035 L
.66583 .60193 L
.66614 .60241 L
.66693 .60354 L
.66775 .60455 L
.668 .60514 L
.66935 .60665 L
.66944 .60675 L
.67083 .60835 L
.67096 .60866 L
.67194 .60996 L
.67256 .61079 L
.67303 .61156 L
.67417 .61292 L
.67437 .61317 L
.67559 .61477 L
.67577 .61491 L
.67695 .61638 L
.67738 .61703 L
.67804 .61799 L
.67898 .61918 L
.67914 .61959 L
.68052 .6212 L
.68059 .6212 L
.68199 .6228 L
.68219 .62325 L
.68304 .62441 L
.6838 .62542 L
.68414 .62601 L
.68541 .62756 L
.68545 .62762 L
.68667 .62922 L
.68701 .62945 L
.68806 .63083 L
.68862 .63165 L
.68913 .63243 L
.69022 .63383 L
.6903 .63404 L
.69159 .63564 L
.69183 .63595 L
.69312 .63725 L
.69343 .63786 L
.69413 .63885 L
.69504 .64008 L
.69525 .64046 L
.69651 .64206 L
.69664 .64224 L
.69772 .64367 L
.69825 .64403 L
.69914 .64527 L
.69985 .64633 L
.70021 .64688 L
.70142 .64848 L
.70146 .64853 L
.70263 .65009 L
.70306 .65065 L
.70419 .6517 L
.70467 .65256 L
.70516 .6533 L
.70627 .65484 L
.70631 .65491 L
.70751 .65651 L
.70788 .65699 L
.70871 .65812 L
.70948 .65878 L
.7101 .65972 L
.71109 .66121 L
.71116 .66133 L
.71233 .66293 L
.71269 .6634 L
.71352 .66454 L
.7143 .66558 L
.71497 .66614 L
.7159 .66775 L
.7159 .66775 L
.71702 .66935 L
.71751 .67002 L
.71814 .67096 L
.71912 .67233 L
.71927 .67256 L
.72029 .67417 L
.72072 .67484 L
.72122 .67577 L
.72072 .67709 L
.71917 .67577 L
.71912 .67573 L
.71752 .67417 L
.71751 .67416 L
.71599 .67256 L
.7159 .6725 L
.71452 .67096 L
.7143 .6707 L
.71309 .66935 L
.71269 .66883 L
.71164 .66775 L
.71109 .66687 L
.71046 .66614 L
.70948 .66482 L
.7093 .66454 L
.70788 .66315 L
.7077 .66293 L
.70636 .66133 L
.70627 .66113 L
.70516 .65972 L
.70467 .65899 L
.70406 .65812 L
.70306 .65717 L
.70254 .65651 L
.70146 .65512 L
.70129 .65491 L
.70003 .6533 L
.69985 .653 L
.69891 .6517 L
.69825 .65073 L
.69794 .65009 L
.69664 .64896 L
.69626 .64848 L
.69504 .64688 L
.69504 .64687 L
.69384 .64527 L
.69343 .64466 L
.6928 .64367 L
.69183 .64274 L
.69129 .64206 L
.69022 .64065 L
.69007 .64046 L
.68883 .63885 L
.68862 .6385 L
.68773 .63725 L
.68701 .63622 L
.68678 .63564 L
.68541 .6344 L
.68512 .63404 L
.68387 .63243 L
.6838 .63228 L
.68271 .63083 L
.68219 .63007 L
.68167 .62922 L
.68059 .62779 L
.68018 .62762 L
.67898 .62604 L
.67896 .62601 L
.67771 .62441 L
.67738 .62388 L
.67662 .6228 L
.67577 .62165 L
.67564 .6212 L
.67417 .61977 L
.67403 .61959 L
.67273 .61799 L
.67256 .61765 L
.6716 .61638 L
.67096 .61546 L
.67055 .61477 L
.66935 .61329 L
.66909 .61317 L
.66778 .61156 L
.66775 .6114 L
.6666 .60996 L
.66614 .60925 L
.66551 .60835 L
.66454 .60708 L
.66448 .60675 L
.66294 .60514 L
.66293 .60513 L
.6616 .60354 L
.66133 .60301 L
.6605 .60193 L
.65972 .60086 L
.65942 .60033 L
.65812 .59878 L
.65801 .59872 L
.65659 .59712 L
.65651 .59677 L
.65549 .59551 L
.65491 .59463 L
.6544 .59391 L
.6533 .59251 L
.65328 .5923 L
.65186 .5907 L
.6517 .59051 L
.65047 .58909 L
.65009 .58839 L
.64939 .58749 L
.64848 .58626 L
.64828 .58588 L
.64693 .58428 L
.64688 .58423 L
.64542 .58267 L
.64527 .58215 L
.64438 .58106 L
.64367 .58002 L
.64329 .57946 L
.64206 .57792 L
.642 .57785 L
.64078 .57625 L
.64046 .57591 L
.63935 .57464 L
.63885 .57377 L
.63829 .57304 L
.63725 .57165 L
.63714 .57143 L
.63585 .56983 L
.63564 .56966 L
.63428 .56822 L
.63404 .56754 L
.63328 .56662 L
.63243 .56539 L
.63217 .56501 L
.63091 .56341 L
.63083 .56337 L
.6297 .5618 L
.62922 .56131 L
.62825 .5602 L
.62762 .55915 L
.62719 .55859 L
.62601 .55702 L
.62599 .55699 L
.62477 .55538 L
.62441 .5551 L
.62316 .55378 L
.6228 .55292 L
.62219 .55217 L
.6212 .55076 L
.62107 .55057 L
.61984 .54896 L
.61959 .54889 L
.61862 .54735 L
.61799 .54671 L
.61716 .54575 L
.61638 .54451 L
.6161 .54414 L
.6149 .54254 L
.61477 .54238 L
.61369 .54093 L
.61317 .54053 L
.61208 .53933 L
.61156 .53828 L
.61112 .53772 L
.60997 .53612 L
.60996 .53611 L
.60876 .53451 L
.60835 .534 L
.60754 .53291 L
.60675 .53209 L
.6061 .5313 L
.60514 .52985 L
.60503 .5297 L
.60383 .52809 L
.60354 .52773 L
.60261 .52649 L
.60193 .52593 L
.60103 .52488 L
.60033 .52362 L
.60006 .52328 L
.59889 .52167 L
.59872 .52146 L
.59768 .52007 L
.59712 .51935 L
.59646 .51846 L
.59551 .51743 L
.59506 .51686 L
.59396 .51525 L
.59391 .51519 L
.59275 .51364 L
.5923 .51307 L
.59153 .51204 L
.5907 .51128 L
.59001 .51043 L
.58909 .50894 L
.58901 .50883 L
.58782 .50722 L
.58749 .5068 L
.58661 .50562 L
.58588 .5047 L
.58537 .50401 L
.58428 .50273 L
.58403 .50241 L
.58289 .5008 L
.58267 .50053 L
.58168 .4992 L
.58106 .49842 L
.58045 .49759 L
.57946 .49633 L
.57901 .49599 L
.57796 .49438 L
.57785 .49426 L
.57676 .49278 L
.57625 .49214 L
.57554 .49117 L
.57464 .49004 L
.57429 .48957 L
.57304 .48798 L
.57302 .48796 L
.57183 .48636 L
.57143 .48586 L
.57062 .48475 L
.56983 .48375 L
.56939 .48314 L
.56822 .48167 L
.56805 .48154 L
.56691 .47993 L
.56662 .47957 L
.56571 .47833 L
.56501 .47745 L
.56449 .47672 L
.56341 .47535 L
.56324 .47512 L
.56202 .47351 L
.5618 .47324 L
.56083 .47191 L
.5602 .47111 L
.55962 .4703 L
.55859 .46899 L
.55839 .4687 L
.55717 .46709 L
.55699 .46686 L
.55601 .46549 L
.55538 .46469 L
.55483 .46388 L
.55378 .4625 L
.55362 .46228 L
.55246 .46067 L
.55217 .46029 L
.55137 .45907 L
.55057 .45796 L
.55027 .45746 L
.54923 .45586 L
.54896 .45542 L
.54868 .45425 L
F
0 .06 1 r
.54896 .49395 m
.54925 .49438 L
.55057 .49598 L
.55057 .49599 L
.55057 .49673 L
.55007 .49599 L
.54896 .49475 L
.54871 .49438 L
F
1 .23 0 r
.54896 .48727 m
.54953 .48796 L
.55057 .48905 L
.55098 .48957 L
.55217 .49093 L
.55237 .49117 L
.5537 .49278 L
.55378 .49286 L
.55498 .49438 L
.55538 .49484 L
.55628 .49599 L
.55699 .49683 L
.55758 .49759 L
.55859 .49883 L
.55887 .4992 L
.56015 .5008 L
.5602 .50086 L
.56138 .50241 L
.5618 .50292 L
.56263 .50401 L
.56341 .50498 L
.56389 .50562 L
.56501 .50704 L
.56515 .50722 L
.56637 .50883 L
.56662 .50914 L
.56757 .51043 L
.56822 .51125 L
.5688 .51204 L
.56983 .51336 L
.57004 .51364 L
.57123 .51525 L
.57143 .5155 L
.57239 .51686 L
.57304 .51768 L
.57358 .51846 L
.57464 .51986 L
.57479 .52007 L
.57589 .52167 L
.57625 .52214 L
.57695 .52328 L
.57785 .52452 L
.57805 .52488 L
.57785 .52532 L
.57748 .52488 L
.57625 .52361 L
.57598 .52328 L
.57464 .52176 L
.57457 .52167 L
.57325 .52007 L
.57304 .51983 L
.57195 .51846 L
.57143 .51787 L
.57065 .51686 L
.56983 .51589 L
.56934 .51525 L
.56822 .51389 L
.56803 .51364 L
.56676 .51204 L
.56662 .51187 L
.56553 .51043 L
.56501 .50981 L
.56427 .50883 L
.56341 .50776 L
.563 .50722 L
.5618 .5058 L
.56173 .50562 L
.56053 .50401 L
.5602 .50361 L
.55931 .50241 L
.55859 .50151 L
.55808 .5008 L
.55699 .49941 L
.55683 .4992 L
.55564 .49759 L
.55538 .49726 L
.55447 .49599 L
.55378 .4951 L
.55327 .49438 L
.55217 .49294 L
.55206 .49278 L
.55094 .49117 L
.55057 .49068 L
.54985 .48957 L
.54896 .48837 L
.54871 .48796 L
F
.001 .79 1 r
.54896 .53621 m
.55057 .53734 L
.55086 .53772 L
.55217 .53903 L
.55267 .53933 L
.55378 .54087 L
.55385 .54093 L
.55517 .54254 L
.55538 .54279 L
.55646 .54414 L
.55699 .54436 L
.55772 .54575 L
.55859 .54676 L
.55908 .54735 L
.56012 .54896 L
.5602 .54907 L
.56123 .55057 L
.5618 .55143 L
.56228 .55217 L
.56312 .55378 L
.5618 .55424 L
.5613 .55378 L
.5602 .55312 L
.55969 .55217 L
.55859 .55109 L
.55826 .55057 L
.55699 .54907 L
.55687 .54896 L
.55564 .54735 L
.55538 .54704 L
.55439 .54575 L
.55378 .54497 L
.55316 .54414 L
.55217 .54307 L
.55173 .54254 L
.5508 .54093 L
.55057 .54061 L
.54973 .53933 L
.54896 .53813 L
.54873 .53772 L
F
0 .63 1 r
.54896 .4806 m
.54986 .48154 L
.55057 .48223 L
.55138 .48314 L
.55217 .484 L
.55281 .48475 L
.55378 .48584 L
.55421 .48636 L
.55538 .48766 L
.55587 .48796 L
.55691 .48957 L
.55699 .48965 L
.55823 .49117 L
.55859 .49159 L
.55955 .49278 L
.5602 .49326 L
.56086 .49438 L
.5618 .49548 L
.56236 .49599 L
.56341 .49753 L
.56346 .49759 L
.56473 .4992 L
.56501 .49954 L
.56601 .5008 L
.56662 .5014 L
.56783 .50241 L
.56822 .50356 L
.56863 .50401 L
.56982 .50562 L
.56983 .50562 L
.57107 .50722 L
.57143 .5074 L
.57233 .50883 L
.57304 .50963 L
.57381 .51043 L
.57464 .51177 L
.57486 .51204 L
.57609 .51364 L
.57625 .51385 L
.57733 .51525 L
.57785 .51573 L
.57906 .51686 L
.57946 .51795 L
.57989 .51846 L
.58105 .52007 L
.58106 .52008 L
.58228 .52167 L
.58267 .5218 L
.58351 .52328 L
.58428 .52414 L
.58494 .52488 L
.58588 .52635 L
.58599 .52649 L
.58719 .52809 L
.58749 .52847 L
.5884 .5297 L
.58909 .53033 L
.59005 .5313 L
.5907 .53266 L
.5909 .53291 L
.59205 .53451 L
.5923 .53484 L
.59325 .53612 L
.59391 .53698 L
.59446 .53772 L
.59551 .53904 L
.59576 .53933 L
.59685 .54093 L
.59712 .54128 L
.59802 .54254 L
.59872 .54347 L
.59921 .54414 L
.60033 .54558 L
.60047 .54575 L
.60153 .54735 L
.60193 .5479 L
.60266 .54896 L
.60354 .55017 L
.60381 .55057 L
.6049 .55217 L
.60514 .55252 L
.60589 .55378 L
.60675 .55512 L
.60687 .55538 L
.60675 .55587 L
.60622 .55538 L
.60514 .5544 L
.60458 .55378 L
.60354 .55268 L
.60311 .55217 L
.60193 .55112 L
.60169 .55057 L
.60033 .54899 L
.60029 .54896 L
.59898 .54735 L
.59872 .54706 L
.59765 .54575 L
.59712 .54512 L
.59633 .54414 L
.59551 .54338 L
.59501 .54254 L
.59391 .54122 L
.59361 .54093 L
.59242 .53933 L
.5923 .53919 L
.59115 .53772 L
.5907 .53717 L
.58987 .53612 L
.58909 .53529 L
.58822 .53451 L
.58749 .53315 L
.58727 .53291 L
.58605 .5313 L
.58588 .53109 L
.5848 .5297 L
.58428 .5293 L
.58354 .52809 L
.58267 .52707 L
.58212 .52649 L
.58106 .52494 L
.58102 .52488 L
.57979 .52328 L
.57946 .52286 L
.57855 .52167 L
.57785 .52096 L
.57694 .52007 L
.57625 .51875 L
.576 .51846 L
.57482 .51686 L
.57464 .51663 L
.5736 .51525 L
.57304 .51488 L
.57236 .51364 L
.57143 .51254 L
.57098 .51204 L
.56989 .51043 L
.56983 .51036 L
.56868 .50883 L
.56822 .50824 L
.56746 .50722 L
.56662 .50633 L
.56594 .50562 L
.56501 .50404 L
.56499 .50401 L
.56381 .50241 L
.56341 .5019 L
.5626 .5008 L
.5618 .50014 L
.56138 .4992 L
.5602 .49766 L
.56014 .49759 L
.55899 .49599 L
.55859 .49547 L
.55781 .49438 L
.55699 .49331 L
.5566 .49278 L
.5554 .49117 L
.55538 .49114 L
.55427 .48957 L
.55378 .48891 L
.55312 .48796 L
.55217 .48668 L
.55195 .48636 L
.55084 .48475 L
.55057 .48437 L
.5498 .48314 L
.54896 .48193 L
.54874 .48154 L
F
1 .93 .114 r
.54896 .58523 m
.54945 .58588 L
.55057 .5872 L
.55078 .58749 L
.55057 .58826 L
.55006 .58749 L
.54896 .58616 L
.54878 .58588 L
F
1 .22 0 r
.54896 .48739 m
.54944 .48796 L
.55057 .48912 L
.55092 .48957 L
.55217 .49098 L
.55232 .49117 L
.55365 .49278 L
.55378 .49291 L
.55494 .49438 L
.55538 .49489 L
.55624 .49599 L
.55699 .49687 L
.55754 .49759 L
.55859 .49887 L
.55884 .4992 L
.56012 .5008 L
.5602 .5009 L
.56135 .50241 L
.5618 .50296 L
.5626 .50401 L
.56341 .50501 L
.56386 .50562 L
.56501 .50707 L
.56513 .50722 L
.56634 .50883 L
.56662 .50918 L
.56754 .51043 L
.56822 .51129 L
.56877 .51204 L
.56983 .5134 L
.57001 .51364 L
.5712 .51525 L
.57143 .51555 L
.57235 .51686 L
.57304 .51773 L
.57354 .51846 L
.57464 .51992 L
.57475 .52007 L
.57583 .52167 L
.57625 .52222 L
.57688 .52328 L
.57785 .52467 L
.57796 .52488 L
.57785 .52516 L
.57761 .52488 L
.57625 .52354 L
.57604 .52328 L
.57464 .52171 L
.57462 .52167 L
.5733 .52007 L
.57304 .51978 L
.572 .51846 L
.57143 .51782 L
.57068 .51686 L
.56983 .51584 L
.56937 .51525 L
.56822 .51385 L
.56806 .51364 L
.5668 .51204 L
.56662 .51183 L
.56556 .51043 L
.56501 .50978 L
.5643 .50883 L
.56341 .50773 L
.56303 .50722 L
.5618 .50573 L
.56176 .50562 L
.56056 .50401 L
.5602 .50357 L
.55934 .50241 L
.55859 .50147 L
.5581 .5008 L
.55699 .49937 L
.55686 .4992 L
.55568 .49759 L
.55538 .49722 L
.55451 .49599 L
.55378 .49505 L
.55331 .49438 L
.55217 .49289 L
.55209 .49278 L
.551 .49117 L
.55057 .49061 L
.54991 .48957 L
.54896 .48827 L
.54878 .48796 L
F
0 .05 1 r
.54896 .49408 m
.54915 .49438 L
.54896 .49463 L
.5488 .49438 L
F
1 .88 .024 r
.54896 .47399 m
.55016 .47512 L
.55057 .47549 L
.55173 .47672 L
.55217 .47718 L
.55321 .47833 L
.55378 .47895 L
.55464 .47993 L
.55538 .48064 L
.55604 .48154 L
.55699 .48264 L
.55756 .48314 L
.55859 .48458 L
.55875 .48475 L
.56009 .48636 L
.5602 .4864 L
.56142 .48796 L
.5618 .48839 L
.56313 .48957 L
.56341 .49041 L
.56407 .49117 L
.56501 .49243 L
.56525 .49278 L
.56662 .49437 L
.56663 .49438 L
.56792 .49599 L
.56822 .49637 L
.56931 .49759 L
.56983 .49843 L
.57041 .4992 L
.57143 .5005 L
.57157 .5008 L
.57301 .50241 L
.57304 .50244 L
.57447 .50401 L
.57464 .5045 L
.57554 .50562 L
.57625 .5066 L
.57665 .50722 L
.57785 .50867 L
.57805 .50883 L
.5793 .51043 L
.57946 .51063 L
.58063 .51204 L
.58106 .51273 L
.58172 .51364 L
.58267 .51485 L
.58283 .51525 L
.58428 .51685 L
.58429 .51686 L
.5857 .51846 L
.58588 .51891 L
.58678 .52007 L
.58749 .52103 L
.58788 .52167 L
.58909 .52312 L
.58926 .52328 L
.59049 .52488 L
.5907 .52512 L
.59182 .52649 L
.5923 .52724 L
.59291 .52809 L
.59391 .52936 L
.59403 .5297 L
.59544 .5313 L
.59551 .53137 L
.59687 .53291 L
.59712 .53346 L
.59792 .53451 L
.59872 .5356 L
.59903 .53612 L
.60033 .53768 L
.60037 .53772 L
.60159 .53933 L
.60193 .5397 L
.60294 .54093 L
.60354 .54185 L
.60402 .54254 L
.60514 .54397 L
.6052 .54414 L
.6065 .54575 L
.60675 .54596 L
.60798 .54735 L
.60835 .54811 L
.609 .54896 L
.60996 .55027 L
.61013 .55057 L
.6114 .55217 L
.61156 .55222 L
.61261 .55378 L
.61317 .55438 L
.61397 .55538 L
.61477 .55658 L
.61505 .55699 L
.61627 .55859 L
.61638 .55874 L
.61747 .5602 L
.61799 .56064 L
.61897 .5618 L
.61959 .56293 L
.61994 .56341 L
.6211 .56501 L
.6212 .56514 L
.62228 .56662 L
.6228 .5673 L
.62405 .56822 L
.62441 .56933 L
.62478 .56983 L
.62587 .57143 L
.62601 .57163 L
.62702 .57304 L
.62762 .57383 L
.6282 .57464 L
.62922 .57591 L
.62948 .57625 L
.6305 .57785 L
.63083 .5783 L
.63161 .57946 L
.63243 .58061 L
.63273 .58106 L
.6338 .58267 L
.63404 .58303 L
.63475 .58428 L
.63564 .58587 L
.63564 .58588 L
.63564 .5862 L
.63503 .58588 L
.63404 .58511 L
.63323 .58428 L
.63243 .58349 L
.63169 .58267 L
.63083 .58229 L
.63024 .58106 L
.62922 .58001 L
.62882 .57946 L
.62762 .57806 L
.62738 .57785 L
.62609 .57625 L
.62601 .57615 L
.62476 .57464 L
.62441 .57439 L
.62343 .57304 L
.6228 .57232 L
.62181 .57143 L
.6212 .57029 L
.62078 .56983 L
.61959 .5683 L
.61954 .56822 L
.61823 .56662 L
.61799 .56638 L
.61695 .56501 L
.61638 .56432 L
.61555 .56341 L
.61477 .56225 L
.61443 .5618 L
.61317 .56023 L
.61316 .5602 L
.61187 .55859 L
.61156 .55824 L
.61036 .55699 L
.60996 .55615 L
.60933 .55538 L
.60835 .55407 L
.60817 .55378 L
.60685 .55217 L
.60675 .55208 L
.6056 .55057 L
.60514 .55002 L
.60423 .54896 L
.60354 .5479 L
.60314 .54735 L
.60193 .54583 L
.60191 .54575 L
.60062 .54414 L
.60033 .54384 L
.59913 .54254 L
.59872 .54172 L
.5981 .54093 L
.59712 .53961 L
.59695 .53933 L
.59565 .53772 L
.59551 .53761 L
.59398 .53612 L
.59391 .53552 L
.59305 .53451 L
.5923 .53338 L
.59196 .53291 L
.5907 .5313 L
.5907 .5313 L
.58948 .5297 L
.58909 .52931 L
.58799 .52809 L
.58749 .52715 L
.58696 .52649 L
.58588 .52502 L
.5858 .52488 L
.58455 .52328 L
.58428 .5231 L
.58285 .52167 L
.58267 .52093 L
.58195 .52007 L
.58106 .51876 L
.58085 .51846 L
.57963 .51686 L
.57946 .51664 L
.57841 .51525 L
.57785 .51471 L
.57691 .51364 L
.57625 .51249 L
.5759 .51204 L
.57472 .51043 L
.57464 .51034 L
.57351 .50883 L
.57304 .50853 L
.5718 .50722 L
.57143 .50623 L
.57094 .50562 L
.56983 .50402 L
.56983 .50401 L
.56863 .50241 L
.56822 .50189 L
.56742 .5008 L
.56662 .49997 L
.56597 .4992 L
.56501 .49767 L
.56495 .49759 L
.56378 .49599 L
.56341 .49551 L
.56258 .49438 L
.5618 .49372 L
.56099 .49278 L
.5602 .49126 L
.56013 .49117 L
.55898 .48957 L
.55859 .48906 L
.5578 .48796 L
.55699 .48689 L
.55661 .48636 L
.5554 .48475 L
.55538 .48472 L
.55428 .48314 L
.55378 .48247 L
.55314 .48154 L
.55217 .48022 L
.55198 .47993 L
.55088 .47833 L
.55057 .47789 L
.54985 .47672 L
.54896 .47539 L
.54881 .47512 L
F
.001 .78 1 r
.54896 .53641 m
.55057 .53748 L
.55075 .53772 L
.55217 .53913 L
.55252 .53933 L
.55376 .54093 L
.55378 .54095 L
.5551 .54254 L
.55538 .54287 L
.5564 .54414 L
.55699 .54442 L
.55766 .54575 L
.55859 .54684 L
.55901 .54735 L
.56005 .54896 L
.5602 .54916 L
.56116 .55057 L
.5618 .55155 L
.56219 .55217 L
.56296 .55378 L
.5618 .55411 L
.56142 .55378 L
.5602 .553 L
.55977 .55217 L
.55859 .551 L
.55832 .55057 L
.55699 .549 L
.55694 .54896 L
.55569 .54735 L
.55538 .54698 L
.55444 .54575 L
.55378 .54491 L
.55321 .54414 L
.55217 .54297 L
.55182 .54254 L
.55086 .54093 L
.55057 .54052 L
.5498 .53933 L
.54896 .53799 L
.54882 .53772 L
F
0 .62 1 r
.54896 .4808 m
.54971 .48154 L
.55057 .48234 L
.55129 .48314 L
.55217 .48409 L
.55274 .48475 L
.55378 .48591 L
.55415 .48636 L
.55538 .48774 L
.55575 .48796 L
.55686 .48957 L
.55699 .48971 L
.55819 .49117 L
.55859 .49164 L
.55951 .49278 L
.5602 .4933 L
.56083 .49438 L
.5618 .49552 L
.56231 .49599 L
.56341 .49757 L
.56342 .49759 L
.5647 .4992 L
.56501 .49958 L
.56598 .5008 L
.56662 .50144 L
.5678 .50241 L
.56822 .50359 L
.5686 .50401 L
.5698 .50562 L
.56983 .50566 L
.57105 .50722 L
.57143 .50742 L
.57231 .50883 L
.57304 .50966 L
.57378 .51043 L
.57464 .5118 L
.57483 .51204 L
.57606 .51364 L
.57625 .51388 L
.5773 .51525 L
.57785 .51576 L
.57903 .51686 L
.57946 .51798 L
.57987 .51846 L
.58103 .52007 L
.58106 .52011 L
.58225 .52167 L
.58267 .52182 L
.58349 .52328 L
.58428 .52417 L
.58492 .52488 L
.58588 .52638 L
.58596 .52649 L
.58716 .52809 L
.58749 .52851 L
.58838 .5297 L
.58909 .53037 L
.59001 .5313 L
.5907 .5327 L
.59087 .53291 L
.59202 .53451 L
.5923 .53487 L
.59322 .53612 L
.59391 .53701 L
.59443 .53772 L
.59551 .53909 L
.59571 .53933 L
.59682 .54093 L
.59712 .54133 L
.59799 .54254 L
.59872 .54351 L
.59917 .54414 L
.60033 .54567 L
.6004 .54575 L
.60148 .54735 L
.60193 .54796 L
.60261 .54896 L
.60354 .55024 L
.60375 .55057 L
.60481 .55217 L
.60514 .55264 L
.60578 .55378 L
.60514 .55428 L
.60469 .55378 L
.60354 .55258 L
.60318 .55217 L
.60193 .55098 L
.60175 .55057 L
.60037 .54896 L
.60033 .54891 L
.59903 .54735 L
.59872 .547 L
.5977 .54575 L
.59712 .54507 L
.59637 .54414 L
.59551 .54333 L
.59505 .54254 L
.59391 .54117 L
.59366 .54093 L
.59245 .53933 L
.5923 .53915 L
.59118 .53772 L
.5907 .53714 L
.58989 .53612 L
.58909 .53525 L
.58825 .53451 L
.58749 .53311 L
.5873 .53291 L
.58608 .5313 L
.58588 .53106 L
.58483 .5297 L
.58428 .52928 L
.58356 .52809 L
.58267 .52703 L
.58215 .52649 L
.58106 .52491 L
.58104 .52488 L
.57981 .52328 L
.57946 .52283 L
.57857 .52167 L
.57785 .52093 L
.57697 .52007 L
.57625 .51872 L
.57603 .51846 L
.57484 .51686 L
.57464 .5166 L
.57362 .51525 L
.57304 .51485 L
.57238 .51364 L
.57143 .51251 L
.57101 .51204 L
.56991 .51043 L
.56983 .51033 L
.5687 .50883 L
.56822 .50822 L
.56748 .50722 L
.56662 .5063 L
.56597 .50562 L
.56502 .50401 L
.56501 .504 L
.56383 .50241 L
.56341 .50186 L
.56263 .5008 L
.5618 .5001 L
.56141 .4992 L
.5602 .49761 L
.56018 .49759 L
.55902 .49599 L
.55859 .49543 L
.55784 .49438 L
.55699 .49327 L
.55664 .49278 L
.55544 .49117 L
.55538 .49109 L
.55431 .48957 L
.55378 .48885 L
.55316 .48796 L
.55217 .48661 L
.552 .48636 L
.55091 .48475 L
.55057 .48428 L
.54988 .48314 L
.54896 .48177 L
.54884 .48154 L
F
1 .21 0 r
.54896 .48754 m
.54933 .48796 L
.55057 .4892 L
.55086 .48957 L
.55217 .49104 L
.55228 .49117 L
.5536 .49278 L
.55378 .49297 L
.5549 .49438 L
.55538 .49494 L
.5562 .49599 L
.55699 .49692 L
.55751 .49759 L
.55859 .49891 L
.55881 .4992 L
.56008 .5008 L
.5602 .50094 L
.56132 .50241 L
.5618 .503 L
.56257 .50401 L
.56341 .50505 L
.56383 .50562 L
.56501 .50711 L
.5651 .50722 L
.5663 .50883 L
.56662 .50922 L
.56751 .51043 L
.56822 .51133 L
.56874 .51204 L
.56983 .51344 L
.56998 .51364 L
.57116 .51525 L
.57143 .5156 L
.57231 .51686 L
.57304 .51779 L
.5735 .51846 L
.57464 .51997 L
.57471 .52007 L
.57464 .52164 L
.57336 .52007 L
.57304 .51972 L
.57204 .51846 L
.57143 .51777 L
.57072 .51686 L
.56983 .5158 L
.5694 .51525 L
.56822 .51381 L
.56809 .51364 L
.56683 .51204 L
.56662 .51178 L
.56559 .51043 L
.56501 .50974 L
.56433 .50883 L
.56341 .50769 L
.56306 .50722 L
.5618 .50566 L
.56179 .50562 L
.56059 .50401 L
.5602 .50353 L
.55937 .50241 L
.55859 .50143 L
.55813 .5008 L
.55699 .49933 L
.55689 .4992 L
.55572 .49759 L
.55538 .49717 L
.55455 .49599 L
.55378 .495 L
.55334 .49438 L
.55217 .49283 L
.55213 .49278 L
.55106 .49117 L
.55057 .49053 L
.54998 .48957 L
.54896 .48814 L
.54886 .48796 L
F
.538 .98 1 r
.54896 .57888 m
.54954 .57946 L
.55057 .58048 L
.55109 .58106 L
.55217 .58227 L
.55252 .58267 L
.55378 .58413 L
.5539 .58428 L
.55523 .58588 L
.55538 .58605 L
.55656 .58749 L
.55699 .58799 L
.55788 .58909 L
.55859 .58996 L
.55919 .5907 L
.5602 .59173 L
.56048 .5923 L
.56175 .59391 L
.5618 .59397 L
.56301 .59551 L
.56341 .596 L
.56428 .59712 L
.56501 .59805 L
.56555 .59872 L
.56662 .60003 L
.56697 .60033 L
.56803 .60193 L
.56822 .60218 L
.56926 .60354 L
.56983 .60426 L
.5705 .60514 L
.57143 .60608 L
.57174 .60675 L
.57295 .60835 L
.57304 .60847 L
.57415 .60996 L
.57464 .6106 L
.57536 .61156 L
.57625 .61274 L
.57657 .61317 L
.57776 .61477 L
.57785 .6149 L
.57892 .61638 L
.57946 .6171 L
.58009 .61799 L
.58106 .61932 L
.58126 .61959 L
.58236 .6212 L
.58267 .62162 L
.58343 .6228 L
.58428 .62402 L
.5845 .62441 L
.58428 .62499 L
.58378 .62441 L
.58267 .62329 L
.58228 .6228 L
.58106 .62145 L
.58087 .6212 L
.5795 .61959 L
.57946 .61954 L
.57822 .61799 L
.57785 .61756 L
.57694 .61638 L
.57625 .61558 L
.57564 .61477 L
.57464 .61358 L
.57433 .61317 L
.57304 .6116 L
.57302 .61156 L
.57179 .60996 L
.57143 .60953 L
.57055 .60835 L
.56983 .60748 L
.56929 .60675 L
.56822 .60543 L
.56801 .60514 L
.56675 .60354 L
.56662 .60337 L
.56554 .60193 L
.56501 .60128 L
.56431 .60033 L
.56341 .5992 L
.56306 .59872 L
.5618 .59714 L
.56179 .59712 L
.56061 .59551 L
.5602 .595 L
.55941 .59391 L
.55859 .59287 L
.55818 .5923 L
.55699 .59077 L
.55693 .5907 L
.55577 .58909 L
.55538 .5886 L
.5546 .58749 L
.55378 .58643 L
.5534 .58588 L
.55218 .58428 L
.55217 .58427 L
.5511 .58267 L
.55057 .58196 L
.55002 .58106 L
.54896 .57959 L
.54889 .57946 L
F
.001 .77 1 r
.54896 .53667 m
.55057 .53764 L
.55063 .53772 L
.55217 .53923 L
.55235 .53933 L
.55369 .54093 L
.55378 .54103 L
.55504 .54254 L
.55538 .54294 L
.55634 .54414 L
.55699 .54448 L
.55761 .54575 L
.55859 .54694 L
.55894 .54735 L
.55999 .54896 L
.5602 .54925 L
.56109 .55057 L
.5618 .55167 L
.56211 .55217 L
.56278 .55378 L
.5618 .55398 L
.56156 .55378 L
.5602 .55287 L
.55984 .55217 L
.55859 .55091 L
.55838 .55057 L
.55701 .54896 L
.55699 .54893 L
.55574 .54735 L
.55538 .54692 L
.55449 .54575 L
.55378 .54485 L
.55325 .54414 L
.55217 .54286 L
.55191 .54254 L
.55092 .54093 L
.55057 .54043 L
.54987 .53933 L
.54896 .53781 L
.54892 .53772 L
F
0 .04 1 r
.54896 .49428 m
.54901 .49438 L
.54896 .49445 L
.54892 .49438 L
F
.538 .98 1 r
.54896 .46751 m
.55038 .4687 L
.55057 .46886 L
.55201 .4703 L
.55217 .47046 L
.55353 .47191 L
.55378 .47216 L
.555 .47351 L
.55538 .4738 L
.55644 .47512 L
.55699 .47577 L
.55819 .47672 L
.55859 .47769 L
.55918 .47833 L
.5602 .47963 L
.5604 .47993 L
.5618 .48151 L
.56189 .48154 L
.56322 .48314 L
.56341 .4834 L
.56457 .48475 L
.56501 .48543 L
.5657 .48636 L
.56662 .48751 L
.56679 .48796 L
.56822 .4893 L
.56844 .48957 L
.56975 .49117 L
.56983 .49134 L
.57094 .49278 L
.57143 .49345 L
.57202 .49438 L
.57304 .49563 L
.57356 .49599 L
.57464 .49739 L
.57481 .49759 L
.57606 .4992 L
.57625 .49948 L
.57718 .5008 L
.57785 .50166 L
.57815 .50241 L
.57946 .50353 L
.57985 .50401 L
.58106 .50561 L
.58107 .50562 L
.58227 .50722 L
.58267 .50776 L
.58332 .50883 L
.58428 .50998 L
.58484 .51043 L
.58588 .51181 L
.58607 .51204 L
.5873 .51364 L
.58749 .51392 L
.58841 .51525 L
.58909 .51611 L
.58935 .51686 L
.5907 .51832 L
.59104 .51846 L
.59227 .52007 L
.5923 .52013 L
.59344 .52167 L
.59391 .52228 L
.59448 .52328 L
.59551 .52448 L
.59599 .52488 L
.59712 .52637 L
.59721 .52649 L
.59845 .52809 L
.59872 .52849 L
.59954 .5297 L
.60033 .53066 L
.60049 .5313 L
.60193 .5328 L
.60216 .53291 L
.60342 .53451 L
.60354 .53472 L
.60456 .53612 L
.60514 .53687 L
.6056 .53772 L
.60675 .53902 L
.6071 .53933 L
.60834 .54093 L
.60835 .54098 L
.60956 .54254 L
.60996 .5431 L
.61065 .54414 L
.61156 .54525 L
.61164 .54575 L
.61317 .54731 L
.61325 .54735 L
.61455 .54896 L
.61477 .54934 L
.61567 .55057 L
.61638 .55148 L
.61672 .55217 L
.61799 .55359 L
.61818 .55378 L
.61953 .55538 L
.61959 .5556 L
.62067 .55699 L
.6212 .55772 L
.62175 .55859 L
.6228 .55986 L
.62282 .5602 L
.62432 .5618 L
.62441 .56188 L
.62567 .56341 L
.62601 .56397 L
.62676 .56501 L
.62762 .56612 L
.62784 .56662 L
.62922 .5682 L
.62924 .56822 L
.63069 .56983 L
.63083 .57023 L
.63175 .57143 L
.63243 .57238 L
.63284 .57304 L
.63404 .57451 L
.63415 .57464 L
.63537 .57625 L
.63564 .57649 L
.63676 .57785 L
.63725 .57864 L
.63782 .57946 L
.63885 .58081 L
.63896 .58106 L
.64026 .58267 L
.64046 .58274 L
.6418 .58428 L
.64206 .58491 L
.64279 .58588 L
.64367 .58712 L
.64389 .58749 L
.64513 .58909 L
.64527 .58927 L
.64634 .5907 L
.64688 .59117 L
.64775 .5923 L
.64848 .59346 L
.64879 .59391 L
.64997 .59551 L
.65009 .59566 L
.65116 .59712 L
.6517 .59782 L
.65273 .59872 L
.6533 .59986 L
.65363 .60033 L
.65475 .60193 L
.65491 .60214 L
.65591 .60354 L
.65651 .60435 L
.65708 .60514 L
.65812 .60645 L
.65832 .60675 L
.65937 .60835 L
.65972 .60884 L
.66047 .60996 L
.66133 .61117 L
.66158 .61156 L
.66261 .61317 L
.66293 .61366 L
.66353 .61477 L
.66293 .6157 L
.66195 .61477 L
.66133 .6142 L
.66035 .61317 L
.65972 .61253 L
.65884 .61156 L
.65812 .61088 L
.6574 .60996 L
.65651 .60895 L
.65578 .60835 L
.65491 .60704 L
.65462 .60675 L
.6533 .60516 L
.65329 .60514 L
.65194 .60354 L
.6517 .60326 L
.6502 .60193 L
.65009 .60126 L
.64925 .60033 L
.64848 .59923 L
.6481 .59872 L
.64688 .59722 L
.64686 .59712 L
.64544 .59551 L
.64527 .5953 L
.64403 .59391 L
.64367 .59324 L
.64292 .5923 L
.64206 .59114 L
.6418 .5907 L
.64046 .58912 L
.64036 .58909 L
.63892 .58749 L
.63885 .58715 L
.63781 .58588 L
.63725 .58504 L
.63671 .58428 L
.63564 .58292 L
.63561 .58267 L
.6341 .58106 L
.63404 .58099 L
.63274 .57946 L
.63243 .57889 L
.63164 .57785 L
.63083 .57675 L
.63055 .57625 L
.62922 .5747 L
.62912 .57464 L
.62771 .57304 L
.62762 .57269 L
.6266 .57143 L
.62601 .57056 L
.62551 .56983 L
.62441 .56845 L
.62439 .56822 L
.62293 .56662 L
.6228 .56646 L
.62156 .56501 L
.6212 .56436 L
.62048 .56341 L
.61959 .56223 L
.61937 .5618 L
.61799 .5602 L
.61798 .5602 L
.61652 .55859 L
.61638 .55813 L
.61545 .55699 L
.61477 .556 L
.61436 .55538 L
.61317 .5539 L
.61304 .55378 L
.61182 .55217 L
.61156 .55189 L
.61042 .55057 L
.60996 .54977 L
.60935 .54896 L
.60835 .54765 L
.60821 .54735 L
.60688 .54575 L
.60675 .54563 L
.60536 .54414 L
.60514 .54354 L
.60433 .54254 L
.60354 .5414 L
.60323 .54093 L
.60195 .53933 L
.60193 .53932 L
.60073 .53772 L
.60033 .53731 L
.5993 .53612 L
.59872 .53516 L
.59824 .53451 L
.59712 .53303 L
.59706 .53291 L
.5958 .5313 L
.59551 .53108 L
.59423 .5297 L
.59391 .52892 L
.59324 .52809 L
.5923 .52677 L
.59212 .52649 L
.59087 .52488 L
.5907 .52484 L
.58965 .52328 L
.58909 .5227 L
.58822 .52167 L
.58749 .52051 L
.58716 .52007 L
.58595 .51846 L
.58588 .51838 L
.58474 .51686 L
.58428 .51651 L
.58314 .51525 L
.58267 .51427 L
.58218 .51364 L
.58106 .51209 L
.58103 .51204 L
.57982 .51043 L
.57946 .50998 L
.5786 .50883 L
.57785 .50805 L
.57717 .50722 L
.57625 .50582 L
.57611 .50562 L
.57491 .50401 L
.57464 .50367 L
.5737 .50241 L
.57304 .50187 L
.57213 .5008 L
.57143 .49954 L
.57117 .4992 L
.57001 .49759 L
.56983 .49736 L
.56881 .49599 L
.56822 .49523 L
.56759 .49438 L
.56662 .49327 L
.56623 .49278 L
.56513 .49117 L
.56501 .49102 L
.56395 .48957 L
.56341 .48887 L
.56274 .48796 L
.5618 .48699 L
.5613 .48636 L
.5603 .48475 L
.5602 .48462 L
.55913 .48314 L
.55859 .48245 L
.55794 .48154 L
.55699 .48029 L
.55674 .47993 L
.55555 .47833 L
.55538 .47811 L
.55441 .47672 L
.55378 .47587 L
.55326 .47512 L
.55217 .47363 L
.55209 .47351 L
.55102 .47191 L
.55057 .47127 L
.54999 .4703 L
.54896 .46871 L
.54895 .4687 L
F
0 .61 1 r
.54896 .48111 m
.54951 .48154 L
.55057 .48246 L
.55119 .48314 L
.55217 .48417 L
.55267 .48475 L
.55378 .48598 L
.55409 .48636 L
.55538 .48782 L
.55561 .48796 L
.55681 .48957 L
.55699 .48976 L
.55814 .49117 L
.55859 .4917 L
.55947 .49278 L
.5602 .49335 L
.56079 .49438 L
.5618 .49557 L
.56226 .49599 L
.56339 .49759 L
.56341 .49761 L
.56467 .4992 L
.56501 .49962 L
.56595 .5008 L
.56662 .50147 L
.56776 .50241 L
.56822 .50363 L
.56857 .50401 L
.56977 .50562 L
.56983 .50569 L
.57102 .50722 L
.57143 .50744 L
.57228 .50883 L
.57304 .50969 L
.57376 .51043 L
.57464 .51183 L
.57481 .51204 L
.57604 .51364 L
.57625 .51391 L
.57728 .51525 L
.57785 .51578 L
.57901 .51686 L
.57946 .51801 L
.57984 .51846 L
.58101 .52007 L
.58106 .52014 L
.58223 .52167 L
.58267 .52184 L
.58346 .52328 L
.58428 .52421 L
.58489 .52488 L
.58588 .52641 L
.58594 .52649 L
.58714 .52809 L
.58749 .52854 L
.58836 .5297 L
.58909 .5304 L
.58998 .5313 L
.5907 .53274 L
.59083 .53291 L
.592 .53451 L
.5923 .53491 L
.59319 .53612 L
.59391 .53705 L
.5944 .53772 L
.59551 .53914 L
.59567 .53933 L
.59678 .54093 L
.59712 .54137 L
.59795 .54254 L
.59872 .54356 L
.59914 .54414 L
.60032 .54575 L
.60033 .54575 L
.60143 .54735 L
.60193 .54803 L
.60256 .54896 L
.60354 .55032 L
.6037 .55057 L
.60472 .55217 L
.60514 .55279 L
.60565 .55378 L
.60514 .55413 L
.60481 .55378 L
.60354 .55249 L
.60326 .55217 L
.60193 .55084 L
.60181 .55057 L
.60043 .54896 L
.60033 .54885 L
.59908 .54735 L
.59872 .54695 L
.59774 .54575 L
.59712 .54502 L
.59641 .54414 L
.59551 .54327 L
.59509 .54254 L
.59391 .54112 L
.59371 .54093 L
.59249 .53933 L
.5923 .5391 L
.59121 .53772 L
.5907 .5371 L
.58992 .53612 L
.58909 .53521 L
.58829 .53451 L
.58749 .53308 L
.58733 .53291 L
.58611 .5313 L
.58588 .53102 L
.58485 .5297 L
.58428 .52925 L
.58359 .52809 L
.58267 .527 L
.58218 .52649 L
.58107 .52488 L
.58106 .52488 L
.57984 .52328 L
.57946 .5228 L
.57859 .52167 L
.57785 .5209 L
.57699 .52007 L
.57625 .51869 L
.57605 .51846 L
.57486 .51686 L
.57464 .51658 L
.57364 .51525 L
.57304 .51483 L
.5724 .51364 L
.57143 .51248 L
.57104 .51204 L
.56993 .51043 L
.56983 .5103 L
.56872 .50883 L
.56822 .50819 L
.5675 .50722 L
.56662 .50626 L
.56601 .50562 L
.56504 .50401 L
.56501 .50397 L
.56386 .50241 L
.56341 .50183 L
.56265 .5008 L
.5618 .50005 L
.56143 .4992 L
.56021 .49759 L
.5602 .49757 L
.55905 .49599 L
.55859 .49539 L
.55787 .49438 L
.55699 .49322 L
.55667 .49278 L
.55548 .49117 L
.55538 .49104 L
.55436 .48957 L
.55378 .48879 L
.55321 .48796 L
.55217 .48654 L
.55204 .48636 L
.55098 .48475 L
.55057 .48417 L
.54997 .48314 L
.54896 .48155 L
.54896 .48154 L
F
1 .2 0 r
.54896 .48782 m
.54912 .48796 L
.55057 .48928 L
.5508 .48957 L
.55217 .4911 L
.55223 .49117 L
.55355 .49278 L
.55378 .49303 L
.55485 .49438 L
.55538 .49499 L
.55616 .49599 L
.55699 .49696 L
.55747 .49759 L
.55859 .49895 L
.55878 .4992 L
.56005 .5008 L
.5602 .50098 L
.56128 .50241 L
.5618 .50304 L
.56254 .50401 L
.56341 .50509 L
.5638 .50562 L
.56501 .50715 L
.56507 .50722 L
.56627 .50883 L
.56662 .50926 L
.56748 .51043 L
.56822 .51137 L
.56871 .51204 L
.56983 .51348 L
.56995 .51364 L
.57112 .51525 L
.57143 .51565 L
.57227 .51686 L
.57304 .51784 L
.57346 .51846 L
.57464 .52003 L
.57466 .52007 L
.57464 .52156 L
.57342 .52007 L
.57304 .51966 L
.57209 .51846 L
.57143 .51772 L
.57076 .51686 L
.56983 .51575 L
.56944 .51525 L
.56822 .51377 L
.56812 .51364 L
.56687 .51204 L
.56662 .51174 L
.56562 .51043 L
.56501 .5097 L
.56436 .50883 L
.56341 .50765 L
.56309 .50722 L
.56182 .50562 L
.5618 .5056 L
.56062 .50401 L
.5602 .50349 L
.5594 .50241 L
.55859 .50139 L
.55816 .5008 L
.55699 .49929 L
.55692 .4992 L
.55576 .49759 L
.55538 .49712 L
.55458 .49599 L
.55378 .49495 L
.55338 .49438 L
.55217 .49278 L
.55217 .49278 L
.55112 .49117 L
.55057 .49044 L
.55006 .48957 L
.54896 .48796 L
.54896 .48796 L
F
1 .97 .395 r
.55057 .53143 m
.55217 .53206 L
.55323 .53291 L
.55378 .53375 L
.55491 .53451 L
.55538 .53546 L
.55614 .53612 L
.55699 .53699 L
.55726 .53772 L
.55859 .53898 L
.55887 .53933 L
.56015 .54093 L
.5602 .54103 L
.56135 .54254 L
.5618 .54316 L
.56242 .54414 L
.56341 .54533 L
.5639 .54575 L
.56501 .54722 L
.56512 .54735 L
.56636 .54896 L
.56662 .54931 L
.56745 .55057 L
.56822 .55145 L
.56844 .55217 L
.56983 .5536 L
.56997 .55378 L
.57124 .55538 L
.57143 .55583 L
.57221 .55699 L
.57304 .55852 L
.57306 .55859 L
.57304 .55909 L
.57143 .55964 L
.56983 .55908 L
.56929 .55859 L
.56822 .55756 L
.5676 .55699 L
.56662 .55563 L
.56642 .55538 L
.56515 .55378 L
.56501 .55365 L
.56391 .55217 L
.56341 .55161 L
.56234 .55057 L
.5618 .5495 L
.56134 .54896 L
.5602 .5474 L
.56017 .54735 L
.55895 .54575 L
.55859 .54563 L
.55773 .54414 L
.55699 .54339 L
.55633 .54254 L
.55538 .54114 L
.55525 .54093 L
.55406 .53933 L
.55378 .53896 L
.55287 .53772 L
.55217 .53679 L
.5514 .53612 L
.55057 .53458 L
.5505 .53451 L
.54954 .53291 L
F
1 .96 .289 r
.55057 .56467 m
.55097 .56501 L
.55217 .56615 L
.55257 .56662 L
.55378 .56801 L
.55394 .56822 L
.55518 .56983 L
.55538 .57009 L
.55631 .57143 L
.55699 .57236 L
.55741 .57304 L
.55699 .57439 L
.55565 .57304 L
.55538 .57277 L
.5542 .57143 L
.55378 .57094 L
.55286 .56983 L
.55217 .56895 L
.55161 .56822 L
.55057 .56672 L
.5505 .56662 L
.5497 .56501 L
F
.55057 .53193 m
.55217 .53252 L
.55272 .53291 L
.55378 .53419 L
.55465 .53451 L
.55538 .53578 L
.55594 .53612 L
.55699 .53722 L
.55715 .53772 L
.55859 .53917 L
.55872 .53933 L
.56008 .54093 L
.5602 .54121 L
.56124 .54254 L
.5618 .54332 L
.56232 .54414 L
.56341 .54544 L
.5638 .54575 L
.56501 .54735 L
.56501 .54736 L
.56627 .54896 L
.56662 .54944 L
.56734 .55057 L
.56822 .5516 L
.56837 .55217 L
.56983 .55377 L
.56983 .55378 L
.57114 .55538 L
.57143 .55612 L
.572 .55699 L
.5726 .55859 L
.57143 .55928 L
.56983 .55875 L
.56963 .55859 L
.56822 .55734 L
.5678 .55699 L
.56662 .55549 L
.56653 .55538 L
.56524 .55378 L
.56501 .55357 L
.56398 .55217 L
.56341 .55153 L
.5624 .55057 L
.5618 .54942 L
.5614 .54896 L
.56022 .54735 L
.5602 .54733 L
.55901 .54575 L
.55859 .54559 L
.55778 .54414 L
.55699 .5433 L
.5564 .54254 L
.55538 .54103 L
.55532 .54093 L
.55414 .53933 L
.55378 .53884 L
.55296 .53772 L
.55217 .53664 L
.55156 .53612 L
.5507 .53451 L
.55057 .53429 L
.54989 .53291 L
F
.001 .76 1 r
.55057 .53779 m
.55217 .53933 L
.55217 .53933 L
.55362 .54093 L
.55378 .54111 L
.55498 .54254 L
.55538 .54302 L
.55629 .54414 L
.55699 .54455 L
.55755 .54575 L
.55859 .54703 L
.55886 .54735 L
.55992 .54896 L
.5602 .54935 L
.56102 .55057 L
.5618 .55181 L
.56201 .55217 L
.56254 .55378 L
.5618 .55383 L
.56173 .55378 L
.5602 .55272 L
.55993 .55217 L
.55859 .55082 L
.55844 .55057 L
.55707 .54896 L
.55699 .54886 L
.55579 .54735 L
.55538 .54686 L
.55454 .54575 L
.55378 .54479 L
.5533 .54414 L
.55217 .54274 L
.55201 .54254 L
.55098 .54093 L
.55057 .54033 L
.54994 .53933 L
F
0 .75 1 r
.55057 .53792 m
.55206 .53933 L
.55217 .53943 L
.55354 .54093 L
.55378 .54119 L
.55491 .54254 L
.55538 .54309 L
.55623 .54414 L
.55699 .54463 L
.55749 .54575 L
.55859 .54714 L
.55877 .54735 L
.55986 .54896 L
.5602 .54945 L
.56094 .55057 L
.5618 .55197 L
.56192 .55217 L
.5618 .55364 L
.5602 .55255 L
.56001 .55217 L
.55859 .55072 L
.5585 .55057 L
.55713 .54896 L
.55699 .54879 L
.55584 .54735 L
.55538 .54679 L
.55459 .54575 L
.55378 .54472 L
.55335 .54414 L
.55217 .54262 L
.55211 .54254 L
.55105 .54093 L
.55057 .54023 L
.55002 .53933 L
F
1 .87 .018 r
.55057 .47582 m
.55146 .47672 L
.55217 .47742 L
.55301 .47833 L
.55378 .47915 L
.55448 .47993 L
.55538 .48081 L
.5559 .48154 L
.55699 .48279 L
.55741 .48314 L
.55859 .4847 L
.55864 .48475 L
.55999 .48636 L
.5602 .48644 L
.56133 .48796 L
.5618 .48849 L
.56307 .48957 L
.56341 .49051 L
.564 .49117 L
.56501 .49251 L
.5652 .49278 L
.56656 .49438 L
.56662 .49443 L
.56786 .49599 L
.56822 .49644 L
.56926 .49759 L
.56983 .4985 L
.57036 .4992 L
.57143 .50055 L
.57154 .5008 L
.57296 .50241 L
.57304 .5025 L
.57445 .50401 L
.57464 .50455 L
.5755 .50562 L
.57625 .50665 L
.57661 .50722 L
.57785 .5087 L
.57801 .50883 L
.57926 .51043 L
.57946 .51068 L
.5806 .51204 L
.58106 .51278 L
.58169 .51364 L
.58267 .51488 L
.58282 .51525 L
.58425 .51686 L
.58428 .51688 L
.58568 .51846 L
.58588 .51895 L
.58675 .52007 L
.58749 .52107 L
.58785 .52167 L
.58909 .52315 L
.58923 .52328 L
.59046 .52488 L
.5907 .52515 L
.5918 .52649 L
.5923 .52727 L
.59288 .52809 L
.59391 .52939 L
.59402 .5297 L
.59541 .5313 L
.59551 .5314 L
.59685 .53291 L
.59712 .53349 L
.5979 .53451 L
.59872 .53563 L
.59901 .53612 L
.60033 .53771 L
.60034 .53772 L
.60157 .53933 L
.60193 .53973 L
.60292 .54093 L
.60354 .54188 L
.60399 .54254 L
.60514 .54401 L
.60519 .54414 L
.60647 .54575 L
.60675 .54598 L
.60796 .54735 L
.60835 .54815 L
.60897 .54896 L
.60996 .55031 L
.6101 .55057 L
.61136 .55217 L
.61156 .55223 L
.61258 .55378 L
.61317 .55442 L
.61394 .55538 L
.61477 .55663 L
.61501 .55699 L
.61623 .55859 L
.61638 .55879 L
.61743 .5602 L
.61799 .56068 L
.61893 .5618 L
.61959 .56299 L
.61989 .56341 L
.62105 .56501 L
.6212 .5652 L
.62223 .56662 L
.6228 .56737 L
.62398 .56822 L
.62441 .56943 L
.62471 .56983 L
.62579 .57143 L
.62601 .57172 L
.62695 .57304 L
.62762 .57394 L
.62812 .57464 L
.62922 .5761 L
.62933 .57625 L
.63039 .57785 L
.63083 .57847 L
.63148 .57946 L
.63243 .58082 L
.63259 .58106 L
.63357 .58267 L
.63404 .58343 L
.63441 .58428 L
.63404 .58467 L
.6336 .58428 L
.63243 .58322 L
.63192 .58267 L
.63083 .582 L
.63041 .58106 L
.62922 .57982 L
.62897 .57946 L
.62762 .57791 L
.62755 .57785 L
.62621 .57625 L
.62601 .57602 L
.62486 .57464 L
.62441 .57431 L
.62352 .57304 L
.6228 .57222 L
.62189 .57143 L
.6212 .5702 L
.62085 .56983 L
.61959 .56823 L
.61959 .56822 L
.6183 .56662 L
.61799 .56632 L
.61701 .56501 L
.61638 .56425 L
.6156 .56341 L
.61477 .56219 L
.61447 .5618 L
.61318 .5602 L
.61317 .56019 L
.61192 .55859 L
.61156 .5582 L
.61039 .55699 L
.60996 .55611 L
.60936 .55538 L
.60835 .55403 L
.60819 .55378 L
.60688 .55217 L
.60675 .55205 L
.60563 .55057 L
.60514 .54998 L
.60426 .54896 L
.60354 .54787 L
.60316 .54735 L
.60193 .5458 L
.60192 .54575 L
.60065 .54414 L
.60033 .54381 L
.59915 .54254 L
.59872 .54169 L
.59812 .54093 L
.59712 .53958 L
.59697 .53933 L
.59568 .53772 L
.59551 .53759 L
.59399 .53612 L
.59391 .53549 L
.59308 .53451 L
.5923 .53335 L
.59198 .53291 L
.59073 .5313 L
.5907 .5313 L
.5895 .5297 L
.58909 .52929 L
.58801 .52809 L
.58749 .52713 L
.58698 .52649 L
.58588 .525 L
.58581 .52488 L
.58457 .52328 L
.58428 .52308 L
.58286 .52167 L
.58267 .5209 L
.58198 .52007 L
.58106 .51873 L
.58088 .51846 L
.57965 .51686 L
.57946 .51661 L
.57843 .51525 L
.57785 .51468 L
.57694 .51364 L
.57625 .51246 L
.57593 .51204 L
.57474 .51043 L
.57464 .51031 L
.57354 .50883 L
.57304 .5085 L
.57183 .50722 L
.57143 .50619 L
.57097 .50562 L
.56986 .50401 L
.56983 .50398 L
.56866 .50241 L
.56822 .50184 L
.56745 .5008 L
.56662 .49991 L
.56602 .4992 L
.56501 .49761 L
.565 .49759 L
.56382 .49599 L
.56341 .49546 L
.56262 .49438 L
.5618 .49364 L
.56106 .49278 L
.5602 .49118 L
.56019 .49117 L
.55903 .48957 L
.55859 .48899 L
.55786 .48796 L
.55699 .4868 L
.55667 .48636 L
.55549 .48475 L
.55538 .48461 L
.55437 .48314 L
.55378 .48235 L
.55323 .48154 L
.55217 .48007 L
.55208 .47993 L
.55104 .47833 L
.55057 .47763 L
.55006 .47672 L
F
0 .6 1 r
.55057 .48259 m
.55108 .48314 L
.55217 .48427 L
.55259 .48475 L
.55378 .48606 L
.55403 .48636 L
.55538 .4879 L
.55547 .48796 L
.55676 .48957 L
.55699 .48982 L
.5581 .49117 L
.55859 .49175 L
.55943 .49278 L
.5602 .4934 L
.56075 .49438 L
.5618 .49562 L
.56221 .49599 L
.56335 .49759 L
.56341 .49765 L
.56464 .4992 L
.56501 .49966 L
.56592 .5008 L
.56662 .50151 L
.56773 .50241 L
.56822 .50366 L
.56854 .50401 L
.56974 .50562 L
.56983 .50573 L
.571 .50722 L
.57143 .50746 L
.57226 .50883 L
.57304 .50972 L
.57373 .51043 L
.57464 .51186 L
.57478 .51204 L
.57601 .51364 L
.57625 .51394 L
.57726 .51525 L
.57785 .51581 L
.57899 .51686 L
.57946 .51804 L
.57982 .51846 L
.58098 .52007 L
.58106 .52017 L
.58221 .52167 L
.58267 .52185 L
.58344 .52328 L
.58428 .52424 L
.58486 .52488 L
.58588 .52645 L
.58591 .52649 L
.58711 .52809 L
.58749 .52857 L
.58833 .5297 L
.58909 .53044 L
.58995 .5313 L
.5907 .53278 L
.5908 .53291 L
.59197 .53451 L
.5923 .53494 L
.59317 .53612 L
.59391 .53709 L
.59437 .53772 L
.59551 .5392 L
.59563 .53933 L
.59675 .54093 L
.59712 .54142 L
.59792 .54254 L
.59872 .54361 L
.5991 .54414 L
.60028 .54575 L
.60033 .54582 L
.60138 .54735 L
.60193 .5481 L
.6025 .54896 L
.60354 .55041 L
.60364 .55057 L
.60461 .55217 L
.60514 .55299 L
.60547 .55378 L
.60514 .55395 L
.60497 .55378 L
.60354 .55239 L
.60335 .55217 L
.60193 .55069 L
.60188 .55057 L
.6005 .54896 L
.60033 .54878 L
.59914 .54735 L
.59872 .54689 L
.59779 .54575 L
.59712 .54497 L
.59645 .54414 L
.59551 .54322 L
.59512 .54254 L
.59391 .54107 L
.59376 .54093 L
.59252 .53933 L
.5923 .53906 L
.59124 .53772 L
.5907 .53706 L
.58995 .53612 L
.58909 .53518 L
.58833 .53451 L
.58749 .53304 L
.58736 .53291 L
.58613 .5313 L
.58588 .53099 L
.58488 .5297 L
.58428 .52922 L
.58361 .52809 L
.58267 .52697 L
.58221 .52649 L
.58109 .52488 L
.58106 .52485 L
.57986 .52328 L
.57946 .52278 L
.57861 .52167 L
.57785 .52087 L
.57702 .52007 L
.57625 .51866 L
.57608 .51846 L
.57489 .51686 L
.57464 .51655 L
.57366 .51525 L
.57304 .5148 L
.57242 .51364 L
.57143 .51245 L
.57107 .51204 L
.56996 .51043 L
.56983 .51027 L
.56875 .50883 L
.56822 .50816 L
.56752 .50722 L
.56662 .50622 L
.56604 .50562 L
.56507 .50401 L
.56501 .50394 L
.56388 .50241 L
.56341 .5018 L
.56267 .5008 L
.5618 .5 L
.56146 .4992 L
.56024 .49759 L
.5602 .49753 L
.55908 .49599 L
.55859 .49535 L
.5579 .49438 L
.55699 .49318 L
.5567 .49278 L
.55552 .49117 L
.55538 .49099 L
.5544 .48957 L
.55378 .48873 L
.55325 .48796 L
.55217 .48647 L
.55209 .48636 L
.55106 .48475 L
.55057 .48404 L
.55007 .48314 L
F
0 .74 1 r
.55057 .53807 m
.55196 .53933 L
.55217 .53953 L
.55346 .54093 L
.55378 .54127 L
.55485 .54254 L
.55538 .54317 L
.55617 .54414 L
.55699 .54473 L
.55744 .54575 L
.55859 .54724 L
.55868 .54735 L
.55979 .54896 L
.5602 .54955 L
.56086 .55057 L
.5618 .55215 L
.56181 .55217 L
.5618 .5534 L
.5602 .55236 L
.5601 .55217 L
.55859 .55061 L
.55856 .55057 L
.5572 .54896 L
.55699 .54872 L
.5559 .54735 L
.55538 .54673 L
.55464 .54575 L
.55378 .54466 L
.5534 .54414 L
.55219 .54254 L
.55217 .54251 L
.55112 .54093 L
.55057 .54011 L
.55011 .53933 L
F
1 .19 0 r
.55057 .48938 m
.55072 .48957 L
.55217 .49117 L
.55217 .49117 L
.55217 .49271 L
.5512 .49117 L
.55057 .49033 L
.55015 .48957 L
F
0 .59 1 r
.55057 .48275 m
.55095 .48314 L
.55217 .48436 L
.55251 .48475 L
.55378 .48614 L
.55396 .48636 L
.55536 .48796 L
.55538 .48799 L
.55671 .48957 L
.55699 .48988 L
.55805 .49117 L
.55859 .4918 L
.55939 .49278 L
.5602 .49345 L
.56072 .49438 L
.5618 .49567 L
.56216 .49599 L
.56332 .49759 L
.56341 .4977 L
.5646 .4992 L
.56501 .4997 L
.56589 .5008 L
.56662 .50154 L
.56769 .50241 L
.56822 .5037 L
.56851 .50401 L
.56971 .50562 L
.56983 .50576 L
.57097 .50722 L
.57143 .50748 L
.57224 .50883 L
.57304 .50976 L
.5737 .51043 L
.57464 .5119 L
.57476 .51204 L
.57599 .51364 L
.57625 .51397 L
.57723 .51525 L
.57785 .51584 L
.57896 .51686 L
.57946 .51807 L
.57979 .51846 L
.58096 .52007 L
.58106 .5202 L
.58218 .52167 L
.58267 .52187 L
.58342 .52328 L
.58428 .52427 L
.58483 .52488 L
.58588 .52648 L
.58589 .52649 L
.58709 .52809 L
.58749 .5286 L
.58831 .5297 L
.58909 .53047 L
.58991 .5313 L
.5907 .53282 L
.59077 .53291 L
.59194 .53451 L
.5923 .53498 L
.59314 .53612 L
.59391 .53713 L
.59435 .53772 L
.59551 .53925 L
.59558 .53933 L
.59671 .54093 L
.59712 .54147 L
.59788 .54254 L
.59872 .54366 L
.59906 .54414 L
.60023 .54575 L
.60033 .54588 L
.60133 .54735 L
.60193 .54818 L
.60245 .54896 L
.60354 .55051 L
.60357 .55057 L
.60449 .55217 L
.60354 .55227 L
.60345 .55217 L
.60196 .55057 L
.60193 .55054 L
.60056 .54896 L
.60033 .54871 L
.5992 .54735 L
.59872 .54683 L
.59784 .54575 L
.59712 .54491 L
.59649 .54414 L
.59551 .54316 L
.59516 .54254 L
.59391 .54102 L
.59381 .54093 L
.59256 .53933 L
.5923 .53902 L
.59127 .53772 L
.5907 .53703 L
.58998 .53612 L
.58909 .53514 L
.58837 .53451 L
.58749 .53301 L
.5874 .53291 L
.58616 .5313 L
.58588 .53096 L
.5849 .5297 L
.58428 .5292 L
.58363 .52809 L
.58267 .52694 L
.58224 .52649 L
.58112 .52488 L
.58106 .52482 L
.57988 .52328 L
.57946 .52275 L
.57864 .52167 L
.57785 .52085 L
.57705 .52007 L
.57625 .51863 L
.5761 .51846 L
.57491 .51686 L
.57464 .51652 L
.57368 .51525 L
.57304 .51478 L
.57244 .51364 L
.57143 .51242 L
.57109 .51204 L
.56998 .51043 L
.56983 .51024 L
.56877 .50883 L
.56822 .50813 L
.56755 .50722 L
.56662 .50619 L
.56608 .50562 L
.56509 .50401 L
.56501 .50391 L
.56391 .50241 L
.56341 .50177 L
.5627 .5008 L
.5618 .49995 L
.56148 .4992 L
.56027 .49759 L
.5602 .49749 L
.55911 .49599 L
.55859 .49531 L
.55793 .49438 L
.55699 .49314 L
.55673 .49278 L
.55556 .49117 L
.55538 .49093 L
.55444 .48957 L
.55378 .48867 L
.5533 .48796 L
.55217 .4864 L
.55214 .48636 L
.55115 .48475 L
.55057 .48389 L
.5502 .48314 L
F
0 .73 1 r
.55057 .53822 m
.55184 .53933 L
.55217 .53963 L
.55338 .54093 L
.55378 .54136 L
.55478 .54254 L
.55538 .54325 L
.5561 .54414 L
.55699 .54483 L
.55738 .54575 L
.55859 .54735 L
.55859 .54736 L
.55971 .54896 L
.5602 .54966 L
.56078 .55057 L
.5602 .55216 L
.55864 .55057 L
.55859 .55051 L
.55726 .54896 L
.55699 .54865 L
.55596 .54735 L
.55538 .54666 L
.55469 .54575 L
.55378 .54459 L
.55345 .54414 L
.55226 .54254 L
.55217 .54242 L
.55119 .54093 L
.55057 .53998 L
.5502 .53933 L
F
1 .18 0 r
.55057 .48949 m
.55063 .48957 L
.55057 .49019 L
.55029 .48957 L
F
0 .72 1 r
.55057 .5384 m
.5517 .53933 L
.55217 .53974 L
.55329 .54093 L
.55378 .54145 L
.55471 .54254 L
.55538 .54333 L
.55604 .54414 L
.55699 .54495 L
.55731 .54575 L
.55852 .54735 L
.55859 .54745 L
.55964 .54896 L
.5602 .54978 L
.56069 .55057 L
.5602 .55203 L
.55873 .55057 L
.55859 .55042 L
.55733 .54896 L
.55699 .54857 L
.55602 .54735 L
.55538 .54659 L
.55474 .54575 L
.55378 .54452 L
.5535 .54414 L
.55232 .54254 L
.55217 .54233 L
.55127 .54093 L
.55057 .53983 L
.5503 .53933 L
F
1 .49 0 r
.55057 .54463 m
.55133 .54575 L
.55217 .54697 L
.55237 .54735 L
.55217 .54767 L
.55185 .54735 L
.55057 .54608 L
.5503 .54575 L
F
1 .95 .212 r
.55057 .53254 m
.5521 .53291 L
.55217 .53294 L
.55378 .53442 L
.55435 .53451 L
.55538 .53597 L
.55575 .53612 L
.55699 .53744 L
.55708 .53772 L
.55857 .53933 L
.55859 .53936 L
.56001 .54093 L
.5602 .54137 L
.56113 .54254 L
.5618 .54345 L
.56223 .54414 L
.56341 .54554 L
.56369 .54575 L
.56491 .54735 L
.56501 .54746 L
.56618 .54896 L
.56662 .54957 L
.56725 .55057 L
.56822 .55174 L
.56832 .55217 L
.5697 .55378 L
.56983 .55397 L
.57102 .55538 L
.57143 .55644 L
.57177 .55699 L
.57205 .55859 L
.57143 .55891 L
.57011 .55859 L
.56983 .55845 L
.56822 .55713 L
.56803 .55699 L
.56665 .55538 L
.56662 .55537 L
.56534 .55378 L
.56501 .55349 L
.56406 .55217 L
.56341 .55145 L
.56247 .55057 L
.5618 .54934 L
.56146 .54896 L
.56028 .54735 L
.5602 .54725 L
.55907 .54575 L
.55859 .54554 L
.55784 .54414 L
.55699 .54321 L
.55647 .54254 L
.55539 .54093 L
.55538 .54092 L
.55422 .53933 L
.55378 .53872 L
.55306 .53772 L
.55217 .53648 L
.55174 .53612 L
.55091 .53451 L
.55057 .53383 L
.55034 .53291 L
F
1 .86 .013 r
.55057 .47627 m
.5511 .47672 L
.55217 .47769 L
.55279 .47833 L
.55378 .47936 L
.5543 .47993 L
.55538 .481 L
.55575 .48154 L
.55699 .48295 L
.55723 .48314 L
.55853 .48475 L
.55859 .48482 L
.55989 .48636 L
.5602 .48648 L
.56124 .48796 L
.5618 .48859 L
.56301 .48957 L
.56341 .4906 L
.56392 .49117 L
.56501 .49259 L
.56515 .49278 L
.5665 .49438 L
.56662 .49449 L
.5678 .49599 L
.56822 .49651 L
.56921 .49759 L
.56983 .49857 L
.57031 .4992 L
.57143 .5006 L
.57152 .5008 L
.57291 .50241 L
.57304 .50255 L
.57443 .50401 L
.57464 .50461 L
.57546 .50562 L
.57625 .5067 L
.57658 .50722 L
.57785 .50874 L
.57797 .50883 L
.57922 .51043 L
.57946 .51072 L
.58057 .51204 L
.58106 .51282 L
.58166 .51364 L
.58267 .51492 L
.5828 .51525 L
.58422 .51686 L
.58428 .51691 L
.58567 .51846 L
.58588 .51898 L
.58673 .52007 L
.58749 .5211 L
.58783 .52167 L
.58909 .52317 L
.5892 .52328 L
.59044 .52488 L
.5907 .52518 L
.59178 .52649 L
.5923 .5273 L
.59286 .52809 L
.59391 .52942 L
.59401 .5297 L
.59538 .5313 L
.59551 .53142 L
.59684 .53291 L
.59712 .53353 L
.59788 .53451 L
.59872 .53566 L
.59899 .53612 L
.60031 .53772 L
.60033 .53773 L
.60154 .53933 L
.60193 .53976 L
.60289 .54093 L
.60354 .54192 L
.60397 .54254 L
.60514 .54404 L
.60518 .54414 L
.60645 .54575 L
.60675 .54601 L
.60794 .54735 L
.60835 .54819 L
.60894 .54896 L
.60996 .55035 L
.61008 .55057 L
.61133 .55217 L
.61156 .55225 L
.61255 .55378 L
.61317 .55446 L
.61391 .55538 L
.61477 .55668 L
.61498 .55699 L
.61619 .55859 L
.61638 .55884 L
.61739 .5602 L
.61799 .56074 L
.61888 .5618 L
.61959 .56306 L
.61984 .56341 L
.621 .56501 L
.6212 .56527 L
.62218 .56662 L
.6228 .56744 L
.62391 .56822 L
.62441 .56954 L
.62463 .56983 L
.62572 .57143 L
.62601 .57182 L
.62687 .57304 L
.62762 .57405 L
.62803 .57464 L
.62919 .57625 L
.62922 .57629 L
.63026 .57785 L
.63083 .57865 L
.63135 .57946 L
.63243 .58106 L
.63243 .58107 L
.63325 .58267 L
.63243 .5829 L
.63221 .58267 L
.63083 .58158 L
.63061 .58106 L
.62922 .5796 L
.62913 .57946 L
.62771 .57785 L
.62762 .57775 L
.62633 .57625 L
.62601 .57589 L
.62496 .57464 L
.62441 .57422 L
.62361 .57304 L
.6228 .57212 L
.62199 .57143 L
.6212 .57011 L
.62093 .56983 L
.61965 .56822 L
.61959 .56815 L
.61836 .56662 L
.61799 .56625 L
.61706 .56501 L
.61638 .56418 L
.61565 .56341 L
.61477 .56213 L
.61452 .5618 L
.61323 .5602 L
.61317 .56017 L
.61196 .55859 L
.61156 .55815 L
.61042 .55699 L
.60996 .55606 L
.6094 .55538 L
.60835 .55399 L
.60822 .55378 L
.60692 .55217 L
.60675 .55202 L
.60567 .55057 L
.60514 .54994 L
.60429 .54896 L
.60354 .54783 L
.60319 .54735 L
.60193 .54577 L
.60193 .54575 L
.60067 .54414 L
.60033 .54378 L
.59917 .54254 L
.59872 .54165 L
.59815 .54093 L
.59712 .53955 L
.59699 .53933 L
.5957 .53772 L
.59551 .53757 L
.594 .53612 L
.59391 .53546 L
.5931 .53451 L
.5923 .53332 L
.592 .53291 L
.59075 .5313 L
.5907 .5313 L
.58953 .5297 L
.58909 .52926 L
.58802 .52809 L
.58749 .5271 L
.58701 .52649 L
.58588 .52497 L
.58583 .52488 L
.58459 .52328 L
.58428 .52306 L
.58287 .52167 L
.58267 .52087 L
.582 .52007 L
.58106 .5187 L
.5809 .51846 L
.57968 .51686 L
.57946 .51658 L
.57846 .51525 L
.57785 .51465 L
.57696 .51364 L
.57625 .51243 L
.57595 .51204 L
.57477 .51043 L
.57464 .51027 L
.57356 .50883 L
.57304 .50847 L
.57186 .50722 L
.57143 .50615 L
.57101 .50562 L
.56989 .50401 L
.56983 .50394 L
.56869 .50241 L
.56822 .5018 L
.56748 .5008 L
.56662 .49986 L
.56606 .4992 L
.56504 .49759 L
.56501 .49756 L
.56386 .49599 L
.56341 .4954 L
.56267 .49438 L
.5618 .49356 L
.56113 .49278 L
.56025 .49117 L
.5602 .49111 L
.55909 .48957 L
.55859 .48891 L
.55792 .48796 L
.55699 .48672 L
.55673 .48636 L
.55557 .48475 L
.55538 .4845 L
.55446 .48314 L
.55378 .48221 L
.55334 .48154 L
.5522 .47993 L
.55217 .47989 L
.55124 .47833 L
.55057 .47724 L
.55035 .47672 L
F
0 .58 1 r
.55057 .48295 m
.55078 .48314 L
.55217 .48447 L
.55242 .48475 L
.55378 .48622 L
.55389 .48636 L
.55529 .48796 L
.55538 .48806 L
.55665 .48957 L
.55699 .48994 L
.558 .49117 L
.55859 .49185 L
.55935 .49278 L
.5602 .49351 L
.56068 .49438 L
.5618 .49572 L
.56211 .49599 L
.56328 .49759 L
.56341 .49774 L
.56457 .4992 L
.56501 .49973 L
.56586 .5008 L
.56662 .50158 L
.56765 .50241 L
.56822 .50374 L
.56848 .50401 L
.56969 .50562 L
.56983 .50579 L
.57094 .50722 L
.57143 .5075 L
.57221 .50883 L
.57304 .50979 L
.57367 .51043 L
.57464 .51193 L
.57473 .51204 L
.57597 .51364 L
.57625 .514 L
.57721 .51525 L
.57785 .51587 L
.57893 .51686 L
.57946 .5181 L
.57977 .51846 L
.58094 .52007 L
.58106 .52023 L
.58216 .52167 L
.58267 .52189 L
.5834 .52328 L
.58428 .5243 L
.5848 .52488 L
.58586 .52649 L
.58588 .52651 L
.58706 .52809 L
.58749 .52863 L
.58828 .5297 L
.58909 .53051 L
.58987 .5313 L
.5907 .53286 L
.59074 .53291 L
.59191 .53451 L
.5923 .53502 L
.59311 .53612 L
.59391 .53716 L
.59432 .53772 L
.59551 .53931 L
.59553 .53933 L
.59668 .54093 L
.59712 .54151 L
.59784 .54254 L
.59872 .54371 L
.59903 .54414 L
.60018 .54575 L
.60033 .54595 L
.60128 .54735 L
.60193 .54826 L
.60239 .54896 L
.60193 .55045 L
.60064 .54896 L
.60033 .54863 L
.59925 .54735 L
.59872 .54676 L
.59789 .54575 L
.59712 .54486 L
.59654 .54414 L
.59551 .5431 L
.5952 .54254 L
.59391 .54097 L
.59386 .54093 L
.59259 .53933 L
.5923 .53898 L
.5913 .53772 L
.5907 .53699 L
.59001 .53612 L
.58909 .5351 L
.58841 .53451 L
.58749 .53297 L
.58743 .53291 L
.58619 .5313 L
.58588 .53093 L
.58493 .5297 L
.58428 .52917 L
.58366 .52809 L
.58267 .52691 L
.58227 .52649 L
.58114 .52488 L
.58106 .52479 L
.5799 .52328 L
.57946 .52272 L
.57866 .52167 L
.57785 .52082 L
.57708 .52007 L
.57625 .5186 L
.57613 .51846 L
.57493 .51686 L
.57464 .51649 L
.5737 .51525 L
.57304 .51475 L
.57246 .51364 L
.57143 .51239 L
.57112 .51204 L
.57 .51043 L
.56983 .51022 L
.56879 .50883 L
.56822 .5081 L
.56757 .50722 L
.56662 .50615 L
.56611 .50562 L
.56512 .50401 L
.56501 .50388 L
.56393 .50241 L
.56341 .50173 L
.56273 .5008 L
.5618 .4999 L
.56151 .4992 L
.5603 .49759 L
.5602 .49745 L
.55914 .49599 L
.55859 .49527 L
.55796 .49438 L
.55699 .49309 L
.55676 .49278 L
.55561 .49117 L
.55538 .49087 L
.55449 .48957 L
.55378 .4886 L
.55335 .48796 L
.55221 .48636 L
.55217 .48631 L
.55125 .48475 L
.55057 .48368 L
.55036 .48314 L
F
1 .48 0 r
.55057 .54477 m
.55121 .54575 L
.55217 .54732 L
.55218 .54735 L
.55217 .54737 L
.55214 .54735 L
.55057 .54597 L
.55039 .54575 L
F
0 .71 1 r
.55057 .53862 m
.55154 .53933 L
.55217 .53985 L
.5532 .54093 L
.55378 .54154 L
.55463 .54254 L
.55538 .54341 L
.55597 .54414 L
.55699 .54509 L
.55725 .54575 L
.55845 .54735 L
.55859 .54755 L
.55956 .54896 L
.5602 .54991 L
.5606 .55057 L
.5602 .55189 L
.55883 .55057 L
.55859 .55033 L
.55741 .54896 L
.55699 .54849 L
.55608 .54735 L
.55538 .54652 L
.5548 .54575 L
.55378 .54445 L
.55355 .54414 L
.55239 .54254 L
.55217 .54223 L
.55135 .54093 L
.55057 .53965 L
.55041 .53933 L
F
1 .47 0 r
.55057 .54494 m
.55105 .54575 L
.55057 .54584 L
.55049 .54575 L
F
1 .98 .538 r
.55217 .68985 m
.55378 .68977 L
.55538 .69004 L
.5563 .69022 L
.55699 .69051 L
.55859 .69111 L
.5602 .6918 L
.56026 .69183 L
.5618 .69255 L
.56341 .69337 L
.56353 .69343 L
.56501 .69423 L
.56647 .69504 L
.56662 .69512 L
.56822 .69606 L
.56921 .69664 L
.56983 .69702 L
.57143 .698 L
.57182 .69825 L
.57304 .69901 L
.57435 .69985 L
.57464 .70005 L
.57625 .7011 L
.57679 .70146 L
.57785 .70217 L
.57918 .70306 L
.57946 .70325 L
.58106 .70436 L
.58152 .70467 L
.58267 .70547 L
.58381 .70627 L
.58428 .7066 L
.58588 .70774 L
.58607 .70788 L
.58749 .7089 L
.5883 .70948 L
.58909 .71006 L
.59049 .71109 L
.5907 .71124 L
.5923 .71243 L
.59266 .71269 L
.59391 .71362 L
.59481 .7143 L
.59551 .71483 L
.59694 .7159 L
.59712 .71604 L
.59872 .71726 L
.59906 .71751 L
.60033 .71848 L
.60116 .71912 L
.60193 .71971 L
.60324 .72072 L
.60354 .72095 L
.60514 .72219 L
.60532 .72233 L
.60675 .72343 L
.6074 .72393 L
.60835 .72467 L
.60947 .72554 L
.60996 .72592 L
.61153 .72714 L
.61156 .72716 L
.61317 .72841 L
.6136 .72875 L
.61477 .72966 L
.61567 .73035 L
.61638 .7309 L
.61775 .73196 L
.61799 .73214 L
.61959 .73338 L
.61983 .73356 L
.6212 .73461 L
.62191 .73517 L
.6228 .73584 L
.62401 .73677 L
.62441 .73707 L
.62601 .73829 L
.62611 .73838 L
.62762 .73953 L
.62818 .73998 L
.62922 .74076 L
.6303 .74159 L
.63083 .74198 L
.63243 .74319 L
.63243 .74319 L
.63404 .74465 L
.63447 .7448 L
.63564 .74574 L
.63618 .7464 L
.63725 .74709 L
.63818 .74801 L
.63885 .74872 L
.64001 .74961 L
.64046 .75013 L
.64171 .75122 L
.64206 .75164 L
.64335 .75283 L
.64367 .7532 L
.64495 .75443 L
.64527 .75481 L
.64653 .75604 L
.64688 .75642 L
.64812 .75764 L
.64848 .75804 L
.64971 .75925 L
.65009 .75965 L
.65131 .76085 L
.6517 .76124 L
.65293 .76246 L
.6533 .76283 L
.65457 .76406 L
.65491 .7644 L
.65622 .76567 L
.65651 .76595 L
.65789 .76727 L
.65812 .76749 L
.65959 .76888 L
.65972 .769 L
.66131 .77048 L
.66133 .7705 L
.66293 .77198 L
.66305 .77209 L
.66454 .77344 L
.66482 .77369 L
.66614 .77487 L
.66662 .7753 L
.66775 .77629 L
.66846 .7769 L
.66935 .77768 L
.67033 .77851 L
.67096 .77904 L
.67224 .78011 L
.67256 .78038 L
.67417 .78168 L
.67422 .78172 L
.67577 .78295 L
.67626 .78332 L
.67738 .78417 L
.67841 .78493 L
.67898 .78534 L
.68059 .78644 L
.68074 .78654 L
.68219 .78744 L
.68346 .78814 L
.6838 .7883 L
.68541 .78895 L
.68701 .78925 L
.68862 .7891 L
.69022 .78866 L
.69183 .78829 L
.69292 .78814 L
.69343 .78804 L
.69504 .78781 L
.69664 .78765 L
.69825 .78753 L
.69985 .78745 L
.70146 .78739 L
.70306 .78734 L
.70467 .78731 L
.70627 .78729 L
.70788 .78727 L
.70948 .78727 L
.71109 .78726 L
.71269 .78727 L
.7143 .78728 L
.7159 .7873 L
.71751 .78732 L
.71912 .78736 L
.72072 .7874 L
.72233 .78746 L
.72393 .78754 L
.72554 .78763 L
.72714 .78775 L
.72875 .78789 L
.73035 .78805 L
.73128 .78814 L
.73196 .78824 L
.73356 .7885 L
.73517 .7888 L
.73677 .78917 L
.73838 .7892 L
.73998 .78917 L
.74075 .78814 L
.7401 .78654 L
.73998 .78634 L
.73906 .78493 L
.73838 .78385 L
.73785 .78332 L
.73677 .78197 L
.73654 .78172 L
.73517 .78013 L
.73515 .78011 L
.73371 .77851 L
.73356 .77835 L
.73222 .7769 L
.73196 .77662 L
.73069 .7753 L
.73035 .77494 L
.72913 .77369 L
.72875 .7733 L
.72754 .77209 L
.72714 .77169 L
.72593 .77048 L
.72554 .7701 L
.72429 .76888 L
.72393 .76853 L
.72262 .76727 L
.72233 .76699 L
.72094 .76567 L
.72072 .76546 L
.71923 .76406 L
.71912 .76395 L
.71751 .76246 L
.71751 .76246 L
.7159 .76098 L
.71576 .76085 L
.7143 .75951 L
.71401 .75925 L
.71269 .75806 L
.71224 .75764 L
.71109 .7566 L
.71047 .75604 L
.70948 .75516 L
.7087 .75443 L
.70788 .7537 L
.70695 .75283 L
.70627 .75224 L
.70522 .75122 L
.70467 .75074 L
.70356 .74961 L
.70306 .74919 L
.70199 .74801 L
.70146 .74753 L
.70054 .7464 L
.69985 .74573 L
.6992 .7448 L
.69825 .74373 L
.69789 .74319 L
.69664 .74188 L
.69652 .74159 L
.69517 .73998 L
.69504 .73981 L
.69393 .73838 L
.69343 .73771 L
.69268 .73677 L
.69183 .73566 L
.69141 .73517 L
.69022 .73366 L
.69013 .73356 L
.68886 .73196 L
.68862 .73165 L
.68758 .73035 L
.68701 .72964 L
.68629 .72875 L
.68541 .72765 L
.685 .72714 L
.6838 .72565 L
.6837 .72554 L
.68242 .72393 L
.68219 .72365 L
.68113 .72233 L
.68059 .72165 L
.67985 .72072 L
.67898 .71962 L
.67858 .71912 L
.67738 .71758 L
.67733 .71751 L
.67608 .7159 L
.67577 .7155 L
.67486 .7143 L
.67417 .71339 L
.67365 .71269 L
.67256 .71122 L
.67247 .71109 L
.67131 .70948 L
.67096 .70899 L
.67018 .70788 L
.66935 .70667 L
.66908 .70627 L
.66802 .70467 L
.66775 .70424 L
.667 .70306 L
.66614 .70165 L
.66603 .70146 L
.66511 .69985 L
.66454 .69881 L
.66425 .69825 L
.66348 .69664 L
.66293 .69541 L
.66281 .69504 L
.66231 .69343 L
.66213 .69183 L
.66293 .69031 L
.66307 .69022 L
.66454 .68981 L
.66614 .68988 L
.66775 .69021 L
.6678 .69022 L
.66935 .69071 L
.67096 .69133 L
.6721 .69183 L
.67256 .69205 L
.67417 .69283 L
.67534 .69343 L
.67577 .69367 L
.67738 .69454 L
.67827 .69504 L
.67898 .69545 L
.68059 .69638 L
.68102 .69664 L
.68219 .69735 L
.68364 .69825 L
.6838 .69834 L
.68541 .69936 L
.68616 .69985 L
.68701 .7004 L
.68861 .70146 L
.68862 .70146 L
.69022 .70254 L
.69099 .70306 L
.69183 .70363 L
.69333 .70467 L
.69343 .70474 L
.69504 .70585 L
.69564 .70627 L
.69664 .70698 L
.69791 .70788 L
.69825 .70812 L
.69985 .70927 L
.70014 .70948 L
.70146 .71044 L
.70235 .71109 L
.70306 .71161 L
.70453 .71269 L
.70467 .7128 L
.70627 .71399 L
.70669 .7143 L
.70788 .7152 L
.70882 .7159 L
.70948 .7164 L
.71094 .71751 L
.71109 .71762 L
.71269 .71885 L
.71305 .71912 L
.7143 .72008 L
.71513 .72072 L
.7159 .72132 L
.7172 .72233 L
.71751 .72257 L
.71912 .72382 L
.71926 .72393 L
.72072 .72508 L
.7213 .72554 L
.72233 .72635 L
.72333 .72714 L
.72393 .72762 L
.72534 .72875 L
.72554 .7289 L
.72714 .73019 L
.72735 .73035 L
.72875 .73148 L
.72934 .73196 L
.73035 .73278 L
.73132 .73356 L
.73196 .73408 L
.7333 .73517 L
.73356 .73538 L
.73517 .7367 L
.73526 .73677 L
.73677 .73802 L
.73722 .73838 L
.73838 .73934 L
.73916 .73998 L
.73998 .74066 L
.7411 .74159 L
.74159 .74199 L
.74303 .74319 L
.74319 .74333 L
.7448 .74467 L
.74496 .7448 L
.7464 .74602 L
.74687 .7464 L
.74801 .74737 L
.74878 .74801 L
.74961 .74872 L
.75068 .74961 L
.75122 .75008 L
.75257 .75122 L
.75283 .75144 L
.75443 .7528 L
.75446 .75283 L
.75604 .75418 L
.75634 .75443 L
.75764 .75555 L
.75821 .75604 L
.75925 .75693 L
.76008 .75764 L
.76085 .75831 L
.76194 .75925 L
.76246 .7597 L
.76379 .76085 L
.76406 .76108 L
.76565 .76246 L
.76567 .76248 L
.76727 .76388 L
.76749 .76406 L
.76888 .76528 L
.76932 .76567 L
.77048 .76669 L
.77115 .76727 L
.77209 .7681 L
.77298 .76888 L
.77369 .76951 L
.7748 .77048 L
.7753 .77092 L
.77662 .77209 L
.7769 .77234 L
.77844 .77369 L
.77851 .77376 L
.78011 .77519 L
.78024 .7753 L
.78172 .77662 L
.78204 .7769 L
.78332 .77806 L
.78383 .77851 L
.78493 .77949 L
.78562 .78011 L
.78654 .78093 L
.78741 .78172 L
.78814 .78238 L
.78919 .78332 L
.78975 .78382 L
.79097 .78493 L
.79135 .78527 L
.79275 .78654 L
.79296 .78673 L
.79452 .78814 L
.79456 .78818 L
.79617 .78964 L
.79628 .78975 L
.79777 .79111 L
.79804 .79135 L
.79938 .79258 L
.79979 .79296 L
.80098 .79405 L
.80154 .79456 L
.80259 .79553 L
.80328 .79617 L
.80419 .79701 L
.80503 .79777 L
.8058 .79849 L
.80676 .79938 L
.8074 .79997 L
.8085 .80098 L
.80901 .80146 L
.81023 .80259 L
.81061 .80295 L
.81195 .80419 L
.81222 .80444 L
.81367 .8058 L
.81382 .80594 L
.81539 .8074 L
.81543 .80744 L
.81703 .80895 L
.8171 .80901 L
.81864 .81046 L
.81881 .81061 L
.82025 .81197 L
.82051 .81222 L
.82185 .81349 L
.82221 .81382 L
.82346 .81501 L
.8239 .81543 L
.82506 .81653 L
.82559 .81703 L
.82667 .81806 L
.82728 .81864 L
.82827 .81959 L
.82896 .82025 L
.82988 .82112 L
.83064 .82185 L
.83148 .82266 L
.83231 .82346 L
.83309 .8242 L
.83398 .82506 L
.83469 .82574 L
.83565 .82667 L
.8363 .82729 L
.83731 .82827 L
.8379 .82884 L
.83897 .82988 L
.83951 .8304 L
.84063 .83148 L
.84111 .83196 L
.84227 .83309 L
.84272 .83352 L
.84392 .83469 L
.84432 .83509 L
.84556 .8363 L
.84593 .83666 L
.8472 .8379 L
.84753 .83823 L
.84883 .83951 L
.84914 .83981 L
.85046 .84111 L
.85074 .84139 L
.85209 .84272 L
.85235 .84298 L
.85371 .84432 L
.85396 .84457 L
.85532 .84593 L
.85556 .84617 L
.85693 .84753 L
.85717 .84777 L
.85854 .84914 L
.85877 .84937 L
.86014 .85074 L
.86038 .85098 L
.86174 .85235 L
.86198 .85259 L
.86333 .85396 L
.86359 .85421 L
.86492 .85556 L
.86519 .85583 L
.86651 .85717 L
.8668 .85746 L
.86808 .85877 L
.8684 .85909 L
.86966 .86038 L
.87001 .86073 L
.87123 .86198 L
.87161 .86237 L
.87279 .86359 L
.87322 .86402 L
.87435 .86519 L
.87482 .86568 L
.87591 .8668 L
.87643 .86733 L
.87746 .8684 L
.87803 .869 L
.879 .87001 L
.87964 .87067 L
.88054 .87161 L
.88124 .87234 L
.88208 .87322 L
.88285 .87403 L
.88361 .87482 L
.88445 .87571 L
.88513 .87643 L
.88606 .87741 L
.88665 .87803 L
.88767 .87911 L
.88816 .87964 L
.88927 .88082 L
.88967 .88124 L
.89088 .88253 L
.89117 .88285 L
.89248 .88425 L
.89267 .88445 L
.89409 .88598 L
.89416 .88606 L
.89564 .88767 L
.89569 .88772 L
.89711 .88927 L
.8973 .88947 L
.89858 .89088 L
.8989 .89123 L
.90004 .89248 L
.90051 .89299 L
.9015 .89409 L
.90211 .89477 L
.90294 .89569 L
.90372 .89655 L
.90438 .8973 L
.90532 .89835 L
.90582 .8989 L
.90693 .90015 L
.90724 .90051 L
.90853 .90197 L
.90866 .90211 L
.91007 .90372 L
.91014 .9038 L
.91146 .90532 L
.91174 .90564 L
.91285 .90693 L
.91335 .9075 L
.91423 .90853 L
.91495 .90938 L
.9156 .91014 L
.91656 .91127 L
.91696 .91174 L
.91816 .91318 L
.91831 .91335 L
.91964 .91495 L
.91977 .91511 L
.92096 .91656 L
.92138 .91706 L
.92227 .91816 L
.92298 .91904 L
.92357 .91977 L
.92459 .92104 L
.92485 .92138 L
.92612 .92298 L
.92619 .92308 L
.92736 .92459 L
.9278 .92515 L
.92859 .92619 L
.9294 .92726 L
.9298 .9278 L
.93099 .9294 L
.93101 .92943 L
.93215 .93101 L
.93261 .93166 L
.93328 .93261 L
.93422 .93396 L
.93439 .93422 L
.93546 .93582 L
.93582 .93638 L
.93649 .93743 L
.93743 .93895 L
.93747 .93903 L
.9384 .94064 L
.93903 .94178 L
.93927 .94224 L
.94005 .94385 L
.94064 .94524 L
.94071 .94545 L
.94121 .94706 L
.94145 .94866 L
.9411 .95027 L
.94064 .95082 L
.93903 .95129 L
.93743 .95117 L
.93582 .95078 L
.93425 .95027 L
.93422 .95025 L
.93261 .94961 L
.93101 .94888 L
.93054 .94866 L
.9294 .9481 L
.9278 .94726 L
.92741 .94706 L
.92619 .94638 L
.92459 .94547 L
.92456 .94545 L
.92298 .94452 L
.92186 .94385 L
.92138 .94355 L
.91977 .94255 L
.91928 .94224 L
.91816 .94153 L
.91678 .94064 L
.91656 .94049 L
.91495 .93944 L
.91435 .93903 L
.91335 .93836 L
.91197 .93743 L
.91174 .93727 L
.91014 .93617 L
.90964 .93582 L
.90853 .93505 L
.90734 .93422 L
.90693 .93392 L
.90532 .93278 L
.90508 .93261 L
.90372 .93163 L
.90285 .93101 L
.90211 .93047 L
.90063 .9294 L
.90051 .92931 L
.8989 .92813 L
.89845 .9278 L
.8973 .92694 L
.89628 .92619 L
.89569 .92575 L
.89413 .92459 L
.89409 .92456 L
.89248 .92334 L
.892 .92298 L
.89088 .92213 L
.88988 .92138 L
.88927 .92091 L
.88778 .91977 L
.88767 .91968 L
.88606 .91843 L
.88571 .91816 L
.88445 .91718 L
.88365 .91656 L
.88285 .91592 L
.88162 .91495 L
.88124 .91466 L
.87964 .91338 L
.8796 .91335 L
.87803 .91207 L
.87762 .91174 L
.87643 .91076 L
.87566 .91014 L
.87482 .90944 L
.87372 .90853 L
.87322 .9081 L
.87181 .90693 L
.87161 .90676 L
.87001 .90539 L
.86992 .90532 L
.8684 .90401 L
.86805 .90372 L
.8668 .90262 L
.8662 .90211 L
.86519 .90123 L
.86436 .90051 L
.86359 .89983 L
.86252 .8989 L
.86198 .89843 L
.86069 .8973 L
.86038 .89702 L
.85886 .89569 L
.85877 .89561 L
.85717 .89421 L
.85702 .89409 L
.85556 .89281 L
.85518 .89248 L
.85396 .89141 L
.85333 .89088 L
.85235 .89003 L
.85147 .88927 L
.85074 .88865 L
.84959 .88767 L
.84914 .88729 L
.84769 .88606 L
.84753 .88593 L
.84593 .8846 L
.84576 .88445 L
.84432 .88328 L
.84379 .88285 L
.84272 .88198 L
.84179 .88124 L
.84111 .88071 L
.83973 .87964 L
.83951 .87947 L
.8379 .87826 L
.8376 .87803 L
.8363 .8771 L
.83534 .87643 L
.83469 .876 L
.83309 .87499 L
.83289 .87482 L
.83148 .87412 L
.82988 .87348 L
.82827 .87336 L
.82667 .87414 L
.82552 .87482 L
.82506 .87515 L
.82346 .87588 L
.82185 .87626 L
.8207 .87643 L
.82025 .8765 L
.81864 .87671 L
.81703 .87686 L
.81543 .87696 L
.81382 .87703 L
.81222 .87709 L
.81061 .87713 L
.80901 .87715 L
.8074 .87717 L
.8058 .87717 L
.80419 .87717 L
.80259 .87716 L
.80098 .87714 L
.79938 .8771 L
.79777 .87706 L
.79617 .877 L
.79456 .87693 L
.79296 .87683 L
.79135 .87671 L
.78975 .87657 L
.78828 .87643 L
.78814 .87641 L
.78654 .87618 L
.78493 .87589 L
.78332 .87555 L
.78172 .87518 L
.78011 .87484 L
.78006 .87482 L
.77851 .87435 L
.7769 .87377 L
.7753 .87355 L
.77369 .87332 L
.77273 .87482 L
.77365 .87643 L
.77369 .87653 L
.77474 .87803 L
.7753 .87888 L
.77597 .87964 L
.7769 .88084 L
.77727 .88124 L
.77851 .88272 L
.77863 .88285 L
.78002 .88445 L
.78011 .88456 L
.78146 .88606 L
.78172 .88635 L
.78291 .88767 L
.78332 .88812 L
.78439 .88927 L
.78493 .88985 L
.78589 .89088 L
.78654 .89157 L
.7874 .89248 L
.78814 .89327 L
.78892 .89409 L
.78975 .89496 L
.79044 .89569 L
.79135 .89665 L
.79197 .8973 L
.79296 .89833 L
.7935 .8989 L
.79456 .90002 L
.79503 .90051 L
.79617 .90171 L
.79654 .90211 L
.79777 .90342 L
.79805 .90372 L
.79938 .90515 L
.79954 .90532 L
.80098 .9069 L
.80101 .90693 L
.80246 .90853 L
.80259 .90868 L
.80388 .91014 L
.80419 .91049 L
.80528 .91174 L
.8058 .91234 L
.80665 .91335 L
.8074 .91424 L
.808 .91495 L
.80901 .91617 L
.80933 .91656 L
.81061 .91814 L
.81063 .91816 L
.81191 .91977 L
.81222 .92016 L
.81317 .92138 L
.81382 .92221 L
.81442 .92298 L
.81543 .9243 L
.81565 .92459 L
.81686 .92619 L
.81703 .92642 L
.81805 .9278 L
.81864 .9286 L
.81922 .9294 L
.82025 .93083 L
.82037 .93101 L
.8215 .93261 L
.82185 .93312 L
.82259 .93422 L
.82346 .93551 L
.82366 .93582 L
.82468 .93743 L
.82506 .93803 L
.82567 .93903 L
.82659 .94064 L
.82667 .94076 L
.82746 .94224 L
.82823 .94385 L
.82827 .9439 L
.8289 .94545 L
.8294 .94706 L
.82964 .94866 L
.82934 .95027 L
.82827 .95112 L
.82667 .95129 L
.82506 .95105 L
.82346 .95061 L
.82239 .95027 L
.82185 .95003 L
.82025 .94936 L
.81874 .94866 L
.81864 .94862 L
.81703 .94781 L
.81561 .94706 L
.81543 .94696 L
.81382 .94607 L
.81274 .94545 L
.81222 .94515 L
.81061 .94419 L
.81005 .94385 L
.80901 .94321 L
.80747 .94224 L
.8074 .9422 L
.8058 .94117 L
.80497 .94064 L
.80419 .94013 L
.80259 .93906 L
.80254 .93903 L
.80098 .93798 L
.80017 .93743 L
.79938 .93689 L
.79784 .93582 L
.79777 .93578 L
.79617 .93465 L
.79555 .93422 L
.79456 .93352 L
.79329 .93261 L
.79296 .93237 L
.79135 .93121 L
.79107 .93101 L
.78975 .93004 L
.78887 .9294 L
.78814 .92886 L
.7867 .9278 L
.78654 .92768 L
.78493 .92648 L
.78455 .92619 L
.78332 .92527 L
.78242 .92459 L
.78172 .92406 L
.7803 .92298 L
.78011 .92284 L
.77851 .92161 L
.77821 .92138 L
.7769 .92037 L
.77613 .91977 L
.7753 .91912 L
.77406 .91816 L
.77369 .91787 L
.77209 .91662 L
.77201 .91656 L
.77048 .91535 L
.76998 .91495 L
.76888 .91408 L
.76795 .91335 L
.76727 .91281 L
.76594 .91174 L
.76567 .91153 L
.76406 .91024 L
.76394 .91014 L
.76246 .90894 L
.76195 .90853 L
.76085 .90764 L
.75997 .90693 L
.75925 .90634 L
.758 .90532 L
.75764 .90503 L
.75604 .90372 L
.75603 .90372 L
.75443 .9024 L
.75408 .90211 L
.75283 .90107 L
.75214 .90051 L
.75122 .89974 L
.7502 .8989 L
.74961 .89841 L
.74827 .8973 L
.74801 .89707 L
.7464 .89573 L
.74635 .89569 L
.7448 .89438 L
.74444 .89409 L
.74319 .89303 L
.74254 .89248 L
.74159 .89167 L
.74064 .89088 L
.73998 .89031 L
.73875 .88927 L
.73838 .88895 L
.73686 .88767 L
.73677 .88759 L
.73517 .88621 L
.73499 .88606 L
.73356 .88483 L
.73312 .88445 L
.73196 .88345 L
.73125 .88285 L
.73035 .88207 L
.72939 .88124 L
.72875 .88068 L
.72754 .87964 L
.72714 .87929 L
.72569 .87803 L
.72554 .8779 L
.72393 .8765 L
.72385 .87643 L
.72233 .87509 L
.72201 .87482 L
.72072 .87368 L
.72019 .87322 L
.71912 .87227 L
.71836 .87161 L
.71751 .87086 L
.71654 .87001 L
.7159 .86944 L
.71472 .8684 L
.7143 .86802 L
.71291 .8668 L
.71269 .8666 L
.71111 .86519 L
.71109 .86518 L
.70948 .86374 L
.70931 .86359 L
.70788 .8623 L
.70752 .86198 L
.70627 .86086 L
.70573 .86038 L
.70467 .85942 L
.70394 .85877 L
.70306 .85797 L
.70216 .85717 L
.70146 .85653 L
.70039 .85556 L
.69985 .85507 L
.69861 .85396 L
.69825 .85362 L
.69685 .85235 L
.69664 .85216 L
.69508 .85074 L
.69504 .8507 L
.69343 .84924 L
.69333 .84914 L
.69183 .84776 L
.69158 .84753 L
.69022 .84629 L
.68983 .84593 L
.68862 .84481 L
.68809 .84432 L
.68701 .84333 L
.68635 .84272 L
.68541 .84185 L
.68461 .84111 L
.6838 .84036 L
.68288 .83951 L
.68219 .83887 L
.68115 .8379 L
.68059 .83738 L
.67943 .8363 L
.67898 .83588 L
.67771 .83469 L
.67738 .83439 L
.67599 .83309 L
.67577 .83288 L
.67428 .83148 L
.67417 .83138 L
.67257 .82988 L
.67256 .82987 L
.67096 .82835 L
.67087 .82827 L
.66935 .82683 L
.66918 .82667 L
.66775 .82531 L
.66748 .82506 L
.66614 .82379 L
.66579 .82346 L
.66454 .82226 L
.66411 .82185 L
.66293 .82072 L
.66243 .82025 L
.66133 .81919 L
.66075 .81864 L
.65972 .81765 L
.65908 .81703 L
.65812 .81611 L
.65741 .81543 L
.65651 .81456 L
.65575 .81382 L
.65491 .81301 L
.65409 .81222 L
.6533 .81146 L
.65243 .81061 L
.6517 .8099 L
.65078 .80901 L
.65009 .80834 L
.64913 .8074 L
.64848 .80678 L
.64748 .8058 L
.64688 .80521 L
.64584 .80419 L
.64527 .80363 L
.64421 .80259 L
.64367 .80206 L
.64258 .80098 L
.64206 .80048 L
.64095 .79938 L
.64046 .79889 L
.63933 .79777 L
.63885 .7973 L
.63771 .79617 L
.63725 .79571 L
.63609 .79456 L
.63564 .79411 L
.63448 .79296 L
.63404 .79251 L
.63288 .79135 L
.63243 .7909 L
.63128 .78975 L
.63083 .78929 L
.62968 .78814 L
.62922 .78768 L
.62809 .78654 L
.62762 .78606 L
.6265 .78493 L
.62601 .78443 L
.62492 .78332 L
.62441 .7828 L
.62334 .78172 L
.6228 .78117 L
.62177 .78011 L
.6212 .77953 L
.6202 .77851 L
.61959 .77788 L
.61864 .7769 L
.61799 .77623 L
.61708 .7753 L
.61638 .77458 L
.61553 .77369 L
.61477 .77292 L
.61398 .77209 L
.61317 .77125 L
.61243 .77048 L
.61156 .76958 L
.6109 .76888 L
.60996 .7679 L
.60936 .76727 L
.60835 .76621 L
.60783 .76567 L
.60675 .76452 L
.60631 .76406 L
.60514 .76283 L
.60479 .76246 L
.60354 .76112 L
.60328 .76085 L
.60193 .75941 L
.60178 .75925 L
.60033 .75769 L
.60028 .75764 L
.59879 .75604 L
.59872 .75597 L
.5973 .75443 L
.59712 .75423 L
.59582 .75283 L
.59551 .75249 L
.59435 .75122 L
.59391 .75074 L
.59288 .74961 L
.5923 .74898 L
.59142 .74801 L
.5907 .74721 L
.58997 .7464 L
.58909 .74543 L
.58852 .7448 L
.58749 .74364 L
.58709 .74319 L
.58588 .74184 L
.58566 .74159 L
.58428 .74003 L
.58423 .73998 L
.58282 .73838 L
.58267 .73821 L
.58142 .73677 L
.58106 .73637 L
.58002 .73517 L
.57946 .73452 L
.57864 .73356 L
.57785 .73265 L
.57726 .73196 L
.57625 .73077 L
.5759 .73035 L
.57464 .72887 L
.57454 .72875 L
.5732 .72714 L
.57304 .72695 L
.57187 .72554 L
.57143 .72501 L
.57055 .72393 L
.56983 .72305 L
.56924 .72233 L
.56822 .72106 L
.56795 .72072 L
.56668 .71912 L
.56662 .71904 L
.56542 .71751 L
.56501 .71699 L
.56418 .7159 L
.56341 .7149 L
.56295 .7143 L
.5618 .71276 L
.56175 .71269 L
.56057 .71109 L
.5602 .71057 L
.55942 .70948 L
.55859 .70831 L
.55829 .70788 L
.5572 .70627 L
.55699 .70595 L
.55614 .70467 L
.55538 .70347 L
.55513 .70306 L
.55416 .70146 L
.55378 .70081 L
.55325 .69985 L
.55241 .69825 L
.55217 .69779 L
.55167 .69664 L
.55105 .69504 L
.55063 .69343 L
.55057 .69302 L
.55054 .69183 L
.55057 .69165 L
.5514 .69022 L
F
0 .7 1 r
.55057 .53897 m
.55134 .53933 L
.55217 .53997 L
.5531 .54093 L
.55378 .54163 L
.55456 .54254 L
.55538 .54349 L
.55591 .54414 L
.55699 .54524 L
.55718 .54575 L
.55837 .54735 L
.55859 .54765 L
.55948 .54896 L
.5602 .55005 L
.56051 .55057 L
.5602 .55173 L
.55894 .55057 L
.55859 .55023 L
.55748 .54896 L
.55699 .54841 L
.55614 .54735 L
.55538 .54645 L
.55485 .54575 L
.55378 .54438 L
.55361 .54414 L
.55247 .54254 L
.55217 .54212 L
.55144 .54093 L
.55057 .53939 L
.55054 .53933 L
F
.733 .99 1 r
.55217 .56095 m
.55378 .56111 L
.5548 .5618 L
.55538 .56233 L
.55629 .56341 L
.55699 .56467 L
.55786 .56501 L
.55859 .56635 L
.55891 .56662 L
.56012 .56822 L
.5602 .56832 L
.56134 .56983 L
.5618 .57012 L
.56303 .57143 L
.56341 .57237 L
.56392 .57304 L
.56501 .57461 L
.56504 .57464 L
.56623 .57625 L
.56662 .57676 L
.56742 .57785 L
.56822 .57891 L
.56884 .57946 L
.56982 .58106 L
.56983 .58107 L
.57093 .58267 L
.57143 .5834 L
.572 .58428 L
.57293 .58588 L
.57143 .58706 L
.57021 .58588 L
.56983 .58557 L
.56843 .58428 L
.56822 .58404 L
.56689 .58267 L
.56662 .58229 L
.56541 .58106 L
.56501 .58035 L
.56423 .57946 L
.56341 .57827 L
.56312 .57785 L
.5618 .57663 L
.5615 .57625 L
.56022 .57464 L
.5602 .57458 L
.559 .57304 L
.55859 .57247 L
.55792 .57143 L
.55699 .57032 L
.55646 .56983 L
.55538 .56827 L
.55525 .56822 L
.55401 .56662 L
.55378 .56651 L
.55295 .56501 L
.55217 .56404 L
.55198 .56341 L
.55089 .5618 L
F
1 .94 .156 r
.55217 .5333 m
.55378 .5345 L
.55396 .53451 L
.55538 .53608 L
.55556 .53612 L
.55699 .53765 L
.55701 .53772 L
.55843 .53933 L
.55859 .53953 L
.55994 .54093 L
.5602 .54152 L
.56103 .54254 L
.5618 .54358 L
.56215 .54414 L
.56341 .54562 L
.56359 .54575 L
.56482 .54735 L
.56501 .54757 L
.5661 .54896 L
.56662 .5497 L
.56715 .55057 L
.56822 .5519 L
.56828 .55217 L
.56956 .55378 L
.56983 .55418 L
.57089 .55538 L
.57143 .55684 L
.57151 .55699 L
.57143 .55843 L
.56983 .55818 L
.56828 .55699 L
.56822 .55694 L
.56678 .55538 L
.56662 .55532 L
.56543 .55378 L
.56501 .55341 L
.56413 .55217 L
.56341 .55136 L
.56255 .55057 L
.5618 .54926 L
.56153 .54896 L
.56034 .54735 L
.5602 .54717 L
.55913 .54575 L
.55859 .54548 L
.5579 .54414 L
.55699 .54311 L
.55655 .54254 L
.55547 .54093 L
.55538 .54082 L
.55431 .53933 L
.55378 .5386 L
.55316 .53772 L
.55217 .5363 L
.55195 .53612 L
.55115 .53451 L
F
0 .57 1 r
.55217 .48459 m
.55232 .48475 L
.55378 .4863 L
.55382 .48636 L
.55522 .48796 L
.55538 .48813 L
.5566 .48957 L
.55699 .49 L
.55796 .49117 L
.55859 .49191 L
.5593 .49278 L
.5602 .49356 L
.56064 .49438 L
.5618 .49577 L
.56205 .49599 L
.56325 .49759 L
.56341 .49778 L
.56454 .4992 L
.56501 .49977 L
.56583 .5008 L
.56662 .50162 L
.56761 .50241 L
.56822 .50378 L
.56844 .50401 L
.56966 .50562 L
.56983 .50583 L
.57092 .50722 L
.57143 .50752 L
.57218 .50883 L
.57304 .50982 L
.57364 .51043 L
.57464 .51196 L
.57471 .51204 L
.57594 .51364 L
.57625 .51403 L
.57719 .51525 L
.57785 .5159 L
.5789 .51686 L
.57946 .51813 L
.57974 .51846 L
.58091 .52007 L
.58106 .52026 L
.58214 .52167 L
.58267 .52192 L
.58337 .52328 L
.58428 .52434 L
.58477 .52488 L
.58584 .52649 L
.58588 .52654 L
.58704 .52809 L
.58749 .52866 L
.58826 .5297 L
.58909 .53055 L
.58983 .5313 L
.5907 .5329 L
.5907 .53291 L
.59188 .53451 L
.5923 .53505 L
.59308 .53612 L
.59391 .5372 L
.59429 .53772 L
.59549 .53933 L
.59551 .53936 L
.59664 .54093 L
.59712 .54156 L
.59781 .54254 L
.59872 .54377 L
.59899 .54414 L
.60013 .54575 L
.60033 .54602 L
.60122 .54735 L
.60193 .54835 L
.60233 .54896 L
.60193 .55035 L
.60071 .54896 L
.60033 .54856 L
.59931 .54735 L
.59872 .5467 L
.59794 .54575 L
.59712 .54481 L
.59658 .54414 L
.59551 .54303 L
.59524 .54254 L
.59392 .54093 L
.59391 .54092 L
.59263 .53933 L
.5923 .53894 L
.59134 .53772 L
.5907 .53695 L
.59004 .53612 L
.58909 .53506 L
.58846 .53451 L
.58749 .53293 L
.58746 .53291 L
.58621 .5313 L
.58588 .53089 L
.58495 .5297 L
.58428 .52914 L
.58368 .52809 L
.58267 .52687 L
.5823 .52649 L
.58116 .52488 L
.58106 .52476 L
.57993 .52328 L
.57946 .52269 L
.57868 .52167 L
.57785 .52078 L
.57711 .52007 L
.57625 .51857 L
.57616 .51846 L
.57495 .51686 L
.57464 .51647 L
.57372 .51525 L
.57304 .51472 L
.57249 .51364 L
.57143 .51235 L
.57115 .51204 L
.57002 .51043 L
.56983 .51019 L
.56881 .50883 L
.56822 .50807 L
.56759 .50722 L
.56662 .50611 L
.56615 .50562 L
.56514 .50401 L
.56501 .50384 L
.56396 .50241 L
.56341 .5017 L
.56275 .5008 L
.5618 .49985 L
.56153 .4992 L
.56034 .49759 L
.5602 .49741 L
.55918 .49599 L
.55859 .49522 L
.55799 .49438 L
.55699 .49304 L
.5568 .49278 L
.55565 .49117 L
.55538 .49081 L
.55454 .48957 L
.55378 .48853 L
.5534 .48796 L
.55229 .48636 L
.55217 .48619 L
.55137 .48475 L
F
1 .93 .114 r
.55217 .53368 m
.55354 .53451 L
.55378 .53468 L
.55536 .53612 L
.55538 .53614 L
.55688 .53772 L
.55699 .53782 L
.55829 .53933 L
.55859 .53969 L
.55987 .54093 L
.5602 .54167 L
.56093 .54254 L
.5618 .5437 L
.56208 .54414 L
.56341 .5457 L
.56348 .54575 L
.56472 .54735 L
.56501 .54767 L
.56602 .54896 L
.56662 .54983 L
.56706 .55057 L
.56822 .55205 L
.56825 .55217 L
.56943 .55378 L
.56983 .5544 L
.57073 .55538 L
.57123 .55699 L
.56983 .55791 L
.56851 .55699 L
.56822 .55675 L
.56691 .55538 L
.56662 .55527 L
.56553 .55378 L
.56501 .55333 L
.56421 .55217 L
.56341 .55127 L
.56263 .55057 L
.5618 .54918 L
.56161 .54896 L
.56041 .54735 L
.5602 .54709 L
.55919 .54575 L
.55859 .54541 L
.55797 .54414 L
.55699 .543 L
.55663 .54254 L
.55555 .54093 L
.55538 .54071 L
.5544 .53933 L
.55378 .53846 L
.55327 .53772 L
.55219 .53612 L
.55217 .53609 L
.55143 .53451 L
F
1 .85 .01 r
.55217 .478 m
.55251 .47833 L
.55378 .47958 L
.55411 .47993 L
.55538 .48123 L
.55559 .48154 L
.55699 .48311 L
.55703 .48314 L
.55841 .48475 L
.55859 .48495 L
.55978 .48636 L
.5602 .48654 L
.56115 .48796 L
.5618 .48869 L
.56293 .48957 L
.56341 .4907 L
.56385 .49117 L
.56501 .49266 L
.56509 .49278 L
.56643 .49438 L
.56662 .49455 L
.56774 .49599 L
.56822 .49658 L
.56916 .49759 L
.56983 .49863 L
.57026 .4992 L
.57143 .50065 L
.5715 .5008 L
.57286 .50241 L
.57304 .5026 L
.5744 .50401 L
.57464 .50466 L
.57542 .50562 L
.57625 .50675 L
.57655 .50722 L
.57785 .50877 L
.57793 .50883 L
.57919 .51043 L
.57946 .51077 L
.58054 .51204 L
.58106 .51286 L
.58163 .51364 L
.58267 .51496 L
.58279 .51525 L
.58419 .51686 L
.58428 .51694 L
.58565 .51846 L
.58588 .51902 L
.5867 .52007 L
.58749 .52114 L
.58781 .52167 L
.58909 .5232 L
.58917 .52328 L
.59041 .52488 L
.5907 .52522 L
.59175 .52649 L
.5923 .52734 L
.59284 .52809 L
.59391 .52945 L
.59399 .5297 L
.59536 .5313 L
.59551 .53145 L
.59682 .53291 L
.59712 .53356 L
.59785 .53451 L
.59872 .5357 L
.59897 .53612 L
.60029 .53772 L
.60033 .53774 L
.60151 .53933 L
.60193 .5398 L
.60287 .54093 L
.60354 .54195 L
.60394 .54254 L
.60514 .54408 L
.60517 .54414 L
.60642 .54575 L
.60675 .54604 L
.60792 .54735 L
.60835 .54822 L
.60891 .54896 L
.60996 .55039 L
.61006 .55057 L
.6113 .55217 L
.61156 .55226 L
.61251 .55378 L
.61317 .55451 L
.61387 .55538 L
.61477 .55673 L
.61495 .55699 L
.61615 .55859 L
.61638 .55889 L
.61735 .5602 L
.61799 .56079 L
.61884 .5618 L
.61959 .56313 L
.61979 .56341 L
.62095 .56501 L
.6212 .56534 L
.62212 .56662 L
.6228 .56752 L
.62382 .56822 L
.62441 .56965 L
.62454 .56983 L
.62565 .57143 L
.62601 .57192 L
.62679 .57304 L
.62762 .57417 L
.62795 .57464 L
.62908 .57625 L
.62922 .57645 L
.63013 .57785 L
.63083 .57886 L
.6312 .57946 L
.63083 .58105 L
.62931 .57946 L
.62922 .57937 L
.62786 .57785 L
.62762 .57759 L
.62645 .57625 L
.62601 .57576 L
.62507 .57464 L
.62441 .57412 L
.62371 .57304 L
.6228 .57202 L
.62209 .57143 L
.6212 .57002 L
.62101 .56983 L
.61972 .56822 L
.61959 .56807 L
.61842 .56662 L
.61799 .56619 L
.61712 .56501 L
.61638 .56412 L
.6157 .56341 L
.61477 .56207 L
.61456 .5618 L
.61327 .5602 L
.61317 .56014 L
.612 .55859 L
.61156 .5581 L
.61046 .55699 L
.60996 .55601 L
.60943 .55538 L
.60835 .55395 L
.60824 .55378 L
.60695 .55217 L
.60675 .55199 L
.6057 .55057 L
.60514 .5499 L
.60432 .54896 L
.60354 .54779 L
.60321 .54735 L
.60194 .54575 L
.60193 .54575 L
.6007 .54414 L
.60033 .54375 L
.59919 .54254 L
.59872 .54162 L
.59817 .54093 L
.59712 .53952 L
.597 .53933 L
.59573 .53772 L
.59551 .53755 L
.59401 .53612 L
.59391 .53543 L
.59312 .53451 L
.5923 .5333 L
.59202 .53291 L
.59077 .5313 L
.5907 .53129 L
.58955 .5297 L
.58909 .52924 L
.58804 .52809 L
.58749 .52707 L
.58703 .52649 L
.58588 .52494 L
.58585 .52488 L
.58462 .52328 L
.58428 .52304 L
.58289 .52167 L
.58267 .52084 L
.58202 .52007 L
.58106 .51867 L
.58092 .51846 L
.5797 .51686 L
.57946 .51655 L
.57848 .51525 L
.57785 .51462 L
.57699 .51364 L
.57625 .51239 L
.57598 .51204 L
.5748 .51043 L
.57464 .51024 L
.57359 .50883 L
.57304 .50844 L
.57189 .50722 L
.57143 .5061 L
.57104 .50562 L
.56992 .50401 L
.56983 .5039 L
.56873 .50241 L
.56822 .50176 L
.56752 .5008 L
.56662 .4998 L
.56611 .4992 L
.56508 .49759 L
.56501 .49751 L
.5639 .49599 L
.56341 .49534 L
.56271 .49438 L
.5618 .49347 L
.56121 .49278 L
.5603 .49117 L
.5602 .49103 L
.55915 .48957 L
.55859 .48883 L
.55798 .48796 L
.55699 .48662 L
.5568 .48636 L
.55566 .48475 L
.55538 .48437 L
.55456 .48314 L
.55378 .48205 L
.55345 .48154 L
.55238 .47993 L
.55217 .47962 L
.55152 .47833 L
F
0 .56 1 r
.55217 .48472 m
.5522 .48475 L
.55217 .48606 L
.55153 .48475 L
F
0 .69 1 r
.55217 .5401 m
.55299 .54093 L
.55378 .54173 L
.55448 .54254 L
.55538 .54358 L
.55584 .54414 L
.55699 .5454 L
.55712 .54575 L
.5583 .54735 L
.55859 .54776 L
.5594 .54896 L
.5602 .55021 L
.5604 .55057 L
.5602 .55154 L
.55907 .55057 L
.55859 .55012 L
.55757 .54896 L
.55699 .54833 L
.55621 .54735 L
.55538 .54637 L
.55491 .54575 L
.55378 .5443 L
.55367 .54414 L
.55255 .54254 L
.55217 .54201 L
.55154 .54093 L
F
0 .68 1 r
.55217 .54025 m
.55287 .54093 L
.55378 .54183 L
.55439 .54254 L
.55538 .54367 L
.55576 .54414 L
.55699 .54559 L
.55705 .54575 L
.55821 .54735 L
.55859 .54787 L
.55931 .54896 L
.5602 .55041 L
.56028 .55057 L
.5602 .55129 L
.55922 .55057 L
.55859 .55001 L
.55765 .54896 L
.55699 .54824 L
.55628 .54735 L
.55538 .54629 L
.55498 .54575 L
.55378 .54422 L
.55372 .54414 L
.55263 .54254 L
.55217 .54187 L
.55164 .54093 L
F
.538 .98 1 r
.55217 .56152 m
.55378 .5616 L
.55416 .5618 L
.55538 .56271 L
.55602 .56341 L
.55699 .56483 L
.55763 .56501 L
.55859 .5665 L
.55874 .56662 L
.55997 .56822 L
.5602 .56851 L
.56119 .56983 L
.5618 .57027 L
.56288 .57143 L
.56341 .57259 L
.56375 .57304 L
.56487 .57464 L
.56501 .57483 L
.56604 .57625 L
.56662 .57702 L
.56721 .57785 L
.56822 .57923 L
.56849 .57946 L
.56946 .58106 L
.56983 .58161 L
.57044 .58267 L
.57119 .58428 L
.56983 .58448 L
.56957 .58428 L
.56822 .58317 L
.56763 .58267 L
.56662 .58156 L
.56588 .58106 L
.56501 .57979 L
.56463 .57946 L
.56341 .57794 L
.56332 .57785 L
.56184 .57625 L
.5618 .5762 L
.56033 .57464 L
.5602 .5742 L
.55925 .57304 L
.55859 .57213 L
.55814 .57143 L
.55699 .57006 L
.55672 .56983 L
.5555 .56822 L
.55538 .56819 L
.55422 .56662 L
.55378 .56631 L
.55323 .56501 L
.55217 .56345 L
.55216 .56341 L
.55173 .5618 L
F
0 .67 1 r
.55217 .54041 m
.55273 .54093 L
.55378 .54194 L
.5543 .54254 L
.55538 .54377 L
.55569 .54414 L
.55697 .54575 L
.55699 .54577 L
.55813 .54735 L
.55859 .548 L
.55921 .54896 L
.55859 .54989 L
.55775 .54896 L
.55699 .54814 L
.55635 .54735 L
.55538 .5462 L
.55504 .54575 L
.55379 .54414 L
.55378 .54412 L
.55273 .54254 L
.55217 .54171 L
.55177 .54093 L
F
1 .92 .084 r
.55217 .53412 m
.55307 .53451 L
.55378 .53494 L
.55513 .53612 L
.55538 .53635 L
.55671 .53772 L
.55699 .53796 L
.55815 .53933 L
.55859 .53984 L
.55979 .54093 L
.5602 .5418 L
.56083 .54254 L
.5618 .54381 L
.56201 .54414 L
.56338 .54575 L
.56341 .54576 L
.56463 .54735 L
.56501 .54778 L
.56593 .54896 L
.56662 .54996 L
.56698 .55057 L
.56819 .55217 L
.56822 .55222 L
.56929 .55378 L
.56983 .55464 L
.57054 .55538 L
.57093 .55699 L
.56983 .55763 L
.56878 .55699 L
.56822 .55656 L
.56705 .55538 L
.56662 .55521 L
.56563 .55378 L
.56501 .55324 L
.56429 .55217 L
.56341 .55118 L
.56272 .55057 L
.5618 .54909 L
.56168 .54896 L
.56047 .54735 L
.5602 .54701 L
.55925 .54575 L
.55859 .54533 L
.55803 .54414 L
.55699 .54289 L
.55672 .54254 L
.55563 .54093 L
.55538 .5406 L
.55449 .53933 L
.55378 .53832 L
.55338 .53772 L
.55237 .53612 L
.55217 .53576 L
.5518 .53451 L
F
0 .66 1 r
.55217 .54061 m
.55255 .54093 L
.55378 .54206 L
.5542 .54254 L
.55538 .54387 L
.55561 .54414 L
.55688 .54575 L
.55699 .54588 L
.55803 .54735 L
.55859 .54814 L
.5591 .54896 L
.55859 .54975 L
.55786 .54896 L
.55699 .54804 L
.55643 .54735 L
.55538 .54611 L
.55511 .54575 L
.55388 .54414 L
.55378 .54401 L
.55283 .54254 L
.55217 .5415 L
.55193 .54093 L
F
1 .39 0 r
.55217 .5043 m
.55292 .50562 L
.55378 .50701 L
.55379 .50722 L
.55378 .50724 L
.55376 .50722 L
.55217 .50573 L
.55207 .50562 L
F
0 .12 1 r
.55217 .49765 m
.55326 .4992 L
.55378 .49983 L
.55443 .5008 L
.55538 .502 L
.55565 .50241 L
.55538 .50317 L
.5548 .50241 L
.55378 .50125 L
.55343 .5008 L
.55217 .49929 L
.5521 .4992 L
F
0 .11 1 r
.55217 .49772 m
.55319 .4992 L
.55378 .4999 L
.55437 .5008 L
.55538 .50208 L
.55559 .50241 L
.55538 .50308 L
.55487 .50241 L
.55378 .50119 L
.55349 .5008 L
.55217 .49924 L
.55214 .4992 L
F
1 .38 0 r
.55217 .50441 m
.55279 .50562 L
.55217 .50563 L
.55216 .50562 L
F
.395 .97 1 r
.55378 .56208 m
.55538 .56306 L
.55573 .56341 L
.55699 .56492 L
.55736 .56501 L
.55856 .56662 L
.55859 .56666 L
.55981 .56822 L
.5602 .5687 L
.56105 .56983 L
.5618 .57047 L
.56269 .57143 L
.56341 .57284 L
.56356 .57304 L
.56469 .57464 L
.56501 .57507 L
.56584 .57625 L
.56662 .57731 L
.56699 .57785 L
.56809 .57946 L
.56822 .57966 L
.56902 .58106 L
.56822 .5824 L
.56664 .58106 L
.56662 .58104 L
.56503 .57946 L
.56501 .57944 L
.56356 .57785 L
.56341 .57775 L
.56216 .57625 L
.5618 .57585 L
.56045 .57464 L
.5602 .57387 L
.55948 .57304 L
.55859 .57184 L
.55833 .57143 L
.55699 .56984 L
.55697 .56983 L
.55574 .56822 L
.55538 .56809 L
.55443 .56662 L
.55378 .56586 L
.55349 .56501 L
.55257 .56341 L
F
1 .91 .061 r
.55378 .53522 m
.55488 .53612 L
.55538 .53655 L
.55654 .53772 L
.55699 .5381 L
.55802 .53933 L
.55859 .53998 L
.5597 .54093 L
.5602 .54193 L
.56073 .54254 L
.5618 .54392 L
.56194 .54414 L
.56328 .54575 L
.56341 .5458 L
.56453 .54735 L
.56501 .54788 L
.56584 .54896 L
.56662 .5501 L
.56689 .55057 L
.56807 .55217 L
.56822 .55239 L
.56916 .55378 L
.56983 .55491 L
.57028 .55538 L
.57055 .55699 L
.56983 .55733 L
.56912 .55699 L
.56822 .55637 L
.5672 .55538 L
.56662 .55514 L
.56573 .55378 L
.56501 .55314 L
.56437 .55217 L
.56341 .55109 L
.56282 .55057 L
.5618 .54901 L
.56176 .54896 L
.56054 .54735 L
.5602 .54692 L
.55932 .54575 L
.55859 .54524 L
.55809 .54414 L
.55699 .54277 L
.55681 .54254 L
.55571 .54093 L
.55538 .54048 L
.55459 .53933 L
.55378 .53816 L
.55349 .53772 L
.55257 .53612 L
F
1 .84 .007 r
.55378 .47983 m
.55388 .47993 L
.55538 .48148 L
.55542 .48154 L
.55687 .48314 L
.55699 .48327 L
.55829 .48475 L
.55859 .48509 L
.55968 .48636 L
.5602 .4866 L
.56105 .48796 L
.5618 .48879 L
.56284 .48957 L
.56341 .49079 L
.56377 .49117 L
.56501 .49274 L
.56504 .49278 L
.56636 .49438 L
.56662 .49461 L
.56767 .49599 L
.56822 .49665 L
.56911 .49759 L
.56983 .4987 L
.57022 .4992 L
.57143 .5007 L
.57148 .5008 L
.57282 .50241 L
.57304 .50265 L
.57438 .50401 L
.57464 .50472 L
.57538 .50562 L
.57625 .50679 L
.57652 .50722 L
.57785 .5088 L
.57789 .50883 L
.57915 .51043 L
.57946 .51081 L
.58051 .51204 L
.58106 .51291 L
.5816 .51364 L
.58267 .51499 L
.58277 .51525 L
.58416 .51686 L
.58428 .51698 L
.58563 .51846 L
.58588 .51906 L
.58667 .52007 L
.58749 .52117 L
.58779 .52167 L
.58909 .52323 L
.58914 .52328 L
.59038 .52488 L
.5907 .52525 L
.59173 .52649 L
.5923 .52737 L
.59281 .52809 L
.59391 .52948 L
.59398 .5297 L
.59533 .5313 L
.59551 .53148 L
.59681 .53291 L
.59712 .53359 L
.59783 .53451 L
.59872 .53573 L
.59895 .53612 L
.60026 .53772 L
.60033 .53776 L
.60149 .53933 L
.60193 .53983 L
.60285 .54093 L
.60354 .54199 L
.60392 .54254 L
.60514 .54411 L
.60515 .54414 L
.60639 .54575 L
.60675 .54607 L
.60789 .54735 L
.60835 .54826 L
.60888 .54896 L
.60996 .55043 L
.61003 .55057 L
.61126 .55217 L
.61156 .55228 L
.61248 .55378 L
.61317 .55455 L
.61383 .55538 L
.61477 .55679 L
.61491 .55699 L
.61611 .55859 L
.61638 .55895 L
.61731 .5602 L
.61799 .56085 L
.61879 .5618 L
.61959 .5632 L
.61974 .56341 L
.62089 .56501 L
.6212 .56541 L
.62207 .56662 L
.6228 .5676 L
.62373 .56822 L
.62441 .56976 L
.62446 .56983 L
.62557 .57143 L
.62601 .57203 L
.62671 .57304 L
.62762 .57429 L
.62786 .57464 L
.62895 .57625 L
.62922 .57663 L
.62999 .57785 L
.63083 .57911 L
.63103 .57946 L
.63083 .58073 L
.62954 .57946 L
.62922 .57916 L
.62803 .57785 L
.62762 .57743 L
.62659 .57625 L
.62601 .57562 L
.62518 .57464 L
.62441 .57401 L
.6238 .57304 L
.6228 .57191 L
.62221 .57143 L
.6212 .56993 L
.62109 .56983 L
.61979 .56822 L
.61959 .56798 L
.61849 .56662 L
.61799 .56613 L
.61718 .56501 L
.61638 .56405 L
.61576 .56341 L
.61477 .56201 L
.6146 .5618 L
.61332 .5602 L
.61317 .56011 L
.61205 .55859 L
.61156 .55805 L
.61049 .55699 L
.60996 .55596 L
.60947 .55538 L
.60835 .55391 L
.60827 .55378 L
.60699 .55217 L
.60675 .55196 L
.60573 .55057 L
.60514 .54986 L
.60435 .54896 L
.60354 .54776 L
.60324 .54735 L
.60197 .54575 L
.60193 .54574 L
.60073 .54414 L
.60033 .54372 L
.59922 .54254 L
.59872 .54159 L
.59819 .54093 L
.59712 .53949 L
.59702 .53933 L
.59575 .53772 L
.59551 .53753 L
.59403 .53612 L
.59391 .5354 L
.59314 .53451 L
.5923 .53327 L
.59204 .53291 L
.5908 .5313 L
.5907 .53129 L
.58957 .5297 L
.58909 .52921 L
.58806 .52809 L
.58749 .52704 L
.58705 .52649 L
.58588 .52491 L
.58586 .52488 L
.58464 .52328 L
.58428 .52302 L
.58291 .52167 L
.58267 .52081 L
.58205 .52007 L
.58106 .51864 L
.58094 .51846 L
.57972 .51686 L
.57946 .51652 L
.57851 .51525 L
.57785 .51459 L
.57702 .51364 L
.57625 .51236 L
.576 .51204 L
.57483 .51043 L
.57464 .5102 L
.57362 .50883 L
.57304 .50841 L
.57192 .50722 L
.57143 .50606 L
.57107 .50562 L
.56995 .50401 L
.56983 .50385 L
.56876 .50241 L
.56822 .50172 L
.56755 .5008 L
.56662 .49975 L
.56616 .4992 L
.56512 .49759 L
.56501 .49745 L
.56395 .49599 L
.56341 .49529 L
.56275 .49438 L
.5618 .49338 L
.56129 .49278 L
.56036 .49117 L
.5602 .49096 L
.55921 .48957 L
.55859 .48874 L
.55805 .48796 L
.55699 .48653 L
.55687 .48636 L
.55576 .48475 L
.55538 .48424 L
.55467 .48314 L
.55378 .48187 L
.55357 .48154 L
.55261 .47993 L
F
.395 .97 1 r
.55378 .47317 m
.55413 .47351 L
.55538 .47458 L
.55574 .47512 L
.55699 .47645 L
.55748 .47672 L
.55859 .47824 L
.55869 .47833 L
.5601 .47993 L
.5602 .48005 L
.56149 .48154 L
.5618 .48187 L
.56288 .48314 L
.56341 .48383 L
.56429 .48475 L
.56501 .4858 L
.56545 .48636 L
.56662 .48777 L
.56668 .48796 L
.56819 .48957 L
.56822 .48961 L
.56962 .49117 L
.56983 .49163 L
.57074 .49278 L
.57143 .4937 L
.57185 .49438 L
.57304 .49579 L
.57338 .49599 L
.57464 .49759 L
.57464 .4976 L
.57593 .4992 L
.57625 .49968 L
.57704 .5008 L
.57785 .50182 L
.57806 .50241 L
.57946 .50368 L
.57973 .50401 L
.58099 .50562 L
.58106 .50575 L
.58217 .50722 L
.58267 .50789 L
.58323 .50883 L
.58428 .51008 L
.58475 .51043 L
.58588 .51191 L
.58598 .51204 L
.58723 .51364 L
.58749 .51402 L
.58833 .51525 L
.58909 .5162 L
.5893 .51686 L
.5907 .51836 L
.59097 .51846 L
.59222 .52007 L
.5923 .52021 L
.59339 .52167 L
.59391 .52236 L
.59443 .52328 L
.59551 .52453 L
.59594 .52488 L
.59712 .52643 L
.59716 .52649 L
.5984 .52809 L
.59872 .52855 L
.59949 .5297 L
.60033 .53072 L
.60047 .5313 L
.60193 .53283 L
.60211 .53291 L
.60339 .53451 L
.60354 .53478 L
.60452 .53612 L
.60514 .53692 L
.60557 .53772 L
.60675 .53906 L
.60706 .53933 L
.60833 .54093 L
.60835 .54103 L
.60953 .54254 L
.60996 .54315 L
.61061 .54414 L
.61156 .54529 L
.61163 .54575 L
.61317 .54733 L
.61321 .54735 L
.61452 .54896 L
.61477 .54939 L
.61563 .55057 L
.61638 .55153 L
.61669 .55217 L
.61799 .55363 L
.61814 .55378 L
.61952 .55538 L
.61959 .55565 L
.62063 .55699 L
.6212 .55777 L
.62172 .55859 L
.6228 .5599 L
.62282 .5602 L
.62428 .5618 L
.62441 .56192 L
.62564 .56341 L
.62601 .56403 L
.62672 .56501 L
.62762 .56617 L
.62782 .56662 L
.62919 .56822 L
.62922 .56824 L
.63067 .56983 L
.63083 .57029 L
.63171 .57143 L
.63243 .57245 L
.6328 .57304 L
.63404 .57458 L
.63409 .57464 L
.6353 .57625 L
.63564 .57655 L
.63671 .57785 L
.63725 .57873 L
.63776 .57946 L
.63885 .5809 L
.63892 .58106 L
.64018 .58267 L
.64046 .58279 L
.64175 .58428 L
.64206 .58503 L
.6427 .58588 L
.64367 .58726 L
.64381 .58749 L
.64502 .58909 L
.64527 .58942 L
.64622 .5907 L
.64688 .59133 L
.64762 .5923 L
.64848 .59367 L
.64865 .59391 L
.64981 .59551 L
.65009 .59588 L
.65098 .59712 L
.6517 .59807 L
.6525 .59872 L
.6533 .60023 L
.65337 .60033 L
.65448 .60193 L
.65491 .60251 L
.65561 .60354 L
.65651 .60479 L
.65675 .60514 L
.65783 .60675 L
.65812 .60716 L
.65885 .60835 L
.65972 .60972 L
.65985 .60996 L
.65972 .61131 L
.6582 .60996 L
.65812 .60989 L
.65663 .60835 L
.65651 .60823 L
.65516 .60675 L
.65491 .60648 L
.65373 .60514 L
.6533 .60489 L
.65233 .60354 L
.6517 .60285 L
.65041 .60193 L
.65009 .60089 L
.64953 .60033 L
.64848 .59893 L
.64831 .59872 L
.64696 .59712 L
.64688 .59704 L
.64565 .59551 L
.64527 .59506 L
.64417 .59391 L
.64367 .59301 L
.64308 .5923 L
.64206 .59097 L
.6419 .5907 L
.6405 .58909 L
.64046 .58904 L
.63896 .58749 L
.63885 .58699 L
.63791 .58588 L
.63725 .5849 L
.6368 .58428 L
.63564 .58283 L
.63562 .58267 L
.63419 .58106 L
.63404 .58088 L
.6328 .57946 L
.63243 .57878 L
.63171 .57785 L
.63083 .57667 L
.6306 .57625 L
.62922 .57466 L
.62919 .57464 L
.62773 .57304 L
.62762 .57262 L
.62665 .57143 L
.62601 .5705 L
.62555 .56983 L
.62441 .5684 L
.6244 .56822 L
.62298 .56662 L
.6228 .56641 L
.6216 .56501 L
.6212 .5643 L
.62051 .56341 L
.61959 .56218 L
.6194 .5618 L
.61802 .5602 L
.61799 .56016 L
.61653 .55859 L
.61638 .55809 L
.61548 .55699 L
.61477 .55596 L
.61439 .55538 L
.61317 .55387 L
.61307 .55378 L
.61185 .55217 L
.61156 .55186 L
.61044 .55057 L
.60996 .54973 L
.60938 .54896 L
.60835 .54761 L
.60823 .54735 L
.60691 .54575 L
.60675 .54561 L
.60537 .54414 L
.60514 .5435 L
.60436 .54254 L
.60354 .54136 L
.60325 .54093 L
.60198 .53933 L
.60193 .53931 L
.60076 .53772 L
.60033 .53728 L
.59933 .53612 L
.59872 .53512 L
.59827 .53451 L
.59712 .533 L
.59708 .53291 L
.59583 .5313 L
.59551 .53105 L
.59425 .5297 L
.59391 .52889 L
.59327 .52809 L
.5923 .52673 L
.59214 .52649 L
.5909 .52488 L
.5907 .52483 L
.58969 .52328 L
.58909 .52267 L
.58825 .52167 L
.58749 .52047 L
.58719 .52007 L
.58598 .51846 L
.58588 .51833 L
.58477 .51686 L
.58428 .51647 L
.58318 .51525 L
.58267 .51422 L
.58222 .51364 L
.58107 .51204 L
.58106 .51204 L
.57986 .51043 L
.57946 .50992 L
.57864 .50883 L
.57785 .50799 L
.57723 .50722 L
.57625 .50574 L
.57616 .50562 L
.57497 .50401 L
.57464 .5036 L
.57376 .50241 L
.57304 .50179 L
.57221 .5008 L
.57143 .49944 L
.57125 .4992 L
.57009 .49759 L
.56983 .49726 L
.56889 .49599 L
.56822 .49513 L
.56767 .49438 L
.56662 .49312 L
.56635 .49278 L
.56524 .49117 L
.56501 .49087 L
.56406 .48957 L
.56341 .48872 L
.56286 .48796 L
.5618 .48672 L
.56152 .48636 L
.56047 .48475 L
.5602 .48439 L
.55932 .48314 L
.55859 .48218 L
.55815 .48154 L
.55699 .47998 L
.55695 .47993 L
.55586 .47833 L
.55538 .47767 L
.55477 .47672 L
.55378 .4753 L
.55367 .47512 L
.55274 .47351 L
F
1 .9 .045 r
.55378 .53551 m
.55459 .53612 L
.55538 .53676 L
.55636 .53772 L
.55699 .53825 L
.55787 .53933 L
.55859 .54013 L
.55959 .54093 L
.5602 .54206 L
.56063 .54254 L
.5618 .54403 L
.56188 .54414 L
.56319 .54575 L
.56341 .54585 L
.56444 .54735 L
.56501 .548 L
.56575 .54896 L
.56662 .55025 L
.5668 .55057 L
.56796 .55217 L
.56822 .55257 L
.56902 .55378 L
.56983 .55522 L
.56997 .55538 L
.56983 .55698 L
.56822 .55617 L
.56737 .55538 L
.56662 .55504 L
.56584 .55378 L
.56501 .55303 L
.56446 .55217 L
.56341 .55098 L
.56293 .55057 L
.56184 .54896 L
.5618 .54892 L
.56061 .54735 L
.5602 .54684 L
.55938 .54575 L
.55859 .54513 L
.55816 .54414 L
.55699 .54264 L
.55691 .54254 L
.5558 .54093 L
.55538 .54036 L
.55469 .53933 L
.55378 .53798 L
.55361 .53772 L
.55282 .53612 L
F
0 .65 1 r
.55378 .54219 m
.55409 .54254 L
.55538 .54398 L
.55552 .54414 L
.55678 .54575 L
.55699 .546 L
.55793 .54735 L
.55859 .5483 L
.55898 .54896 L
.55859 .54958 L
.55799 .54896 L
.55699 .54794 L
.55652 .54735 L
.55538 .54602 L
.55518 .54575 L
.55398 .54414 L
.55378 .54388 L
.55295 .54254 L
F
.289 .96 1 r
.55378 .5626 m
.55538 .5634 L
.55538 .56341 L
.55699 .565 L
.55702 .56501 L
.55837 .56662 L
.55859 .56688 L
.55964 .56822 L
.5602 .5689 L
.5609 .56983 L
.5618 .57072 L
.56245 .57143 L
.56335 .57304 L
.56341 .57311 L
.56449 .57464 L
.56501 .57535 L
.56563 .57625 L
.56662 .57767 L
.56674 .57785 L
.56768 .57946 L
.56822 .58056 L
.56832 .58106 L
.56822 .58129 L
.56759 .58106 L
.56662 .58043 L
.56555 .57946 L
.56501 .57897 L
.56395 .57785 L
.56341 .57748 L
.56247 .57625 L
.5618 .57552 L
.56066 .57464 L
.5602 .57356 L
.55972 .57304 L
.55859 .57158 L
.5585 .57143 L
.5572 .56983 L
.55699 .56955 L
.55598 .56822 L
.55538 .56786 L
.55467 .56662 L
.55378 .56501 L
.55378 .56501 L
.55304 .56341 L
F
0 .64 1 r
.55378 .54233 m
.55397 .54254 L
.55538 .54409 L
.55542 .54414 L
.55667 .54575 L
.55699 .54614 L
.55781 .54735 L
.55859 .54851 L
.55883 .54896 L
.55859 .54938 L
.55816 .54896 L
.55699 .54782 L
.55661 .54735 L
.55538 .54591 L
.55526 .54575 L
.55409 .54414 L
.55378 .54372 L
.5531 .54254 L
F
1 .89 .033 r
.55378 .53584 m
.55422 .53612 L
.55538 .53698 L
.55616 .53772 L
.55699 .5384 L
.55773 .53933 L
.55859 .54027 L
.55946 .54093 L
.5602 .54219 L
.56053 .54254 L
.5618 .54413 L
.56181 .54414 L
.56309 .54575 L
.56341 .5459 L
.56434 .54735 L
.56501 .54812 L
.56565 .54896 L
.56662 .55041 L
.56671 .55057 L
.56784 .55217 L
.56822 .55277 L
.56887 .55378 L
.56969 .55538 L
.56822 .55597 L
.56755 .55538 L
.56662 .55492 L
.56595 .55378 L
.56501 .55291 L
.56454 .55217 L
.56341 .55088 L
.56305 .55057 L
.56191 .54896 L
.5618 .54883 L
.56068 .54735 L
.5602 .54675 L
.55945 .54575 L
.55859 .54501 L
.55822 .54414 L
.55701 .54254 L
.55699 .54251 L
.55589 .54093 L
.55538 .54022 L
.55479 .53933 L
.55378 .53778 L
.55374 .53772 L
.55317 .53612 L
F
0 .63 1 r
.55378 .5425 m
.55381 .54254 L
.55378 .54352 L
.55333 .54254 L
F
1 .19 0 r
.55378 .49309 m
.5548 .49438 L
.55538 .49504 L
.55612 .49599 L
.55699 .49701 L
.55744 .49759 L
.55859 .499 L
.55875 .4992 L
.56001 .5008 L
.5602 .50102 L
.56125 .50241 L
.5618 .50308 L
.56251 .50401 L
.56341 .50513 L
.56377 .50562 L
.56501 .50719 L
.56504 .50722 L
.56623 .50883 L
.56662 .5093 L
.56744 .51043 L
.56822 .51141 L
.56868 .51204 L
.56983 .51352 L
.56992 .51364 L
.57107 .51525 L
.57143 .5157 L
.57223 .51686 L
.57304 .5179 L
.57342 .51846 L
.57304 .51959 L
.57214 .51846 L
.57143 .51766 L
.5708 .51686 L
.56983 .51571 L
.56947 .51525 L
.56822 .51373 L
.56816 .51364 L
.56691 .51204 L
.56662 .5117 L
.56566 .51043 L
.56501 .50965 L
.56439 .50883 L
.56341 .50761 L
.56311 .50722 L
.56185 .50562 L
.5618 .50556 L
.56066 .50401 L
.5602 .50345 L
.55944 .50241 L
.55859 .50135 L
.5582 .5008 L
.55699 .49925 L
.55695 .4992 L
.5558 .49759 L
.55538 .49707 L
.55462 .49599 L
.55378 .4949 L
.55342 .49438 L
F
0 .56 1 r
.55378 .4864 m
.55515 .48796 L
.55538 .4882 L
.55654 .48957 L
.55699 .49006 L
.55791 .49117 L
.55859 .49196 L
.55926 .49278 L
.5602 .49363 L
.5606 .49438 L
.5618 .49582 L
.56199 .49599 L
.56321 .49759 L
.56341 .49782 L
.5645 .4992 L
.56501 .49981 L
.5658 .5008 L
.56662 .50166 L
.56757 .50241 L
.56822 .50381 L
.56841 .50401 L
.56963 .50562 L
.56983 .50586 L
.57089 .50722 L
.57143 .50755 L
.57216 .50883 L
.57304 .50986 L
.57361 .51043 L
.57464 .51199 L
.57468 .51204 L
.57592 .51364 L
.57625 .51406 L
.57716 .51525 L
.57785 .51593 L
.57887 .51686 L
.57946 .51817 L
.57971 .51846 L
.58089 .52007 L
.58106 .52029 L
.58211 .52167 L
.58267 .52194 L
.58335 .52328 L
.58428 .52437 L
.58474 .52488 L
.58581 .52649 L
.58588 .52658 L
.58701 .52809 L
.58749 .5287 L
.58823 .5297 L
.58909 .53059 L
.58979 .5313 L
.59067 .53291 L
.5907 .53294 L
.59185 .53451 L
.5923 .53509 L
.59305 .53612 L
.59391 .53724 L
.59426 .53772 L
.59545 .53933 L
.59551 .5394 L
.5966 .54093 L
.59712 .54161 L
.59777 .54254 L
.59872 .54382 L
.59895 .54414 L
.60008 .54575 L
.60033 .54609 L
.60116 .54735 L
.60193 .54844 L
.60226 .54896 L
.60193 .55024 L
.6008 .54896 L
.60033 .54848 L
.59938 .54735 L
.59872 .54664 L
.59799 .54575 L
.59712 .54475 L
.59662 .54414 L
.59551 .54297 L
.59528 .54254 L
.59396 .54093 L
.59391 .54088 L
.59267 .53933 L
.5923 .5389 L
.59137 .53772 L
.5907 .53691 L
.59007 .53612 L
.58909 .53501 L
.5885 .53451 L
.58749 .53291 L
.58749 .5329 L
.58624 .5313 L
.58588 .53086 L
.58498 .5297 L
.58428 .5291 L
.58371 .52809 L
.58267 .52684 L
.58233 .52649 L
.58119 .52488 L
.58106 .52473 L
.57995 .52328 L
.57946 .52266 L
.5787 .52167 L
.57785 .52075 L
.57714 .52007 L
.57625 .51854 L
.57618 .51846 L
.57498 .51686 L
.57464 .51644 L
.57375 .51525 L
.57304 .51469 L
.57251 .51364 L
.57143 .51232 L
.57118 .51204 L
.57005 .51043 L
.56983 .51016 L
.56884 .50883 L
.56822 .50804 L
.56761 .50722 L
.56662 .50607 L
.56619 .50562 L
.56517 .50401 L
.56501 .50381 L
.56398 .50241 L
.56341 .50167 L
.56278 .5008 L
.5618 .49979 L
.56156 .4992 L
.56037 .49759 L
.5602 .49737 L
.55921 .49599 L
.55859 .49518 L
.55803 .49438 L
.55699 .493 L
.55683 .49278 L
.5557 .49117 L
.55538 .49075 L
.55459 .48957 L
.55378 .48845 L
.55346 .48796 L
F
1 .18 0 r
.55378 .49315 m
.55475 .49438 L
.55538 .49509 L
.55608 .49599 L
.55699 .49705 L
.5574 .49759 L
.55859 .49904 L
.55871 .4992 L
.55997 .5008 L
.5602 .50107 L
.56121 .50241 L
.5618 .50312 L
.56247 .50401 L
.56341 .50517 L
.56374 .50562 L
.56501 .50722 L
.56501 .50723 L
.5662 .50883 L
.56662 .50935 L
.56741 .51043 L
.56822 .51146 L
.56864 .51204 L
.56983 .51357 L
.56988 .51364 L
.57103 .51525 L
.57143 .51576 L
.57218 .51686 L
.57304 .51796 L
.57337 .51846 L
.57304 .51952 L
.5722 .51846 L
.57143 .51761 L
.57085 .51686 L
.56983 .51566 L
.56951 .51525 L
.56822 .51369 L
.56819 .51364 L
.56695 .51204 L
.56662 .51165 L
.5657 .51043 L
.56501 .50961 L
.56442 .50883 L
.56341 .50757 L
.56315 .50722 L
.56189 .50562 L
.5618 .50551 L
.56069 .50401 L
.5602 .5034 L
.55947 .50241 L
.55859 .5013 L
.55823 .5008 L
.55699 .4992 L
.55698 .4992 L
.55584 .49759 L
.55538 .49702 L
.55467 .49599 L
.55378 .49484 L
.55346 .49438 L
F
1 .17 0 r
.55378 .49322 m
.55469 .49438 L
.55538 .49515 L
.55603 .49599 L
.55699 .4971 L
.55736 .49759 L
.55859 .49908 L
.55868 .4992 L
.55993 .5008 L
.5602 .50112 L
.56117 .50241 L
.5618 .50316 L
.56244 .50401 L
.56341 .50521 L
.56371 .50562 L
.56497 .50722 L
.56501 .50727 L
.56616 .50883 L
.56662 .50939 L
.56737 .51043 L
.56822 .5115 L
.56861 .51204 L
.56983 .51361 L
.56985 .51364 L
.57098 .51525 L
.57143 .51582 L
.57214 .51686 L
.57304 .51803 L
.57333 .51846 L
.57304 .51945 L
.57226 .51846 L
.57143 .51755 L
.57089 .51686 L
.56983 .51561 L
.56955 .51525 L
.56823 .51364 L
.56822 .51364 L
.56699 .51204 L
.56662 .5116 L
.56573 .51043 L
.56501 .50957 L
.56446 .50883 L
.56341 .50753 L
.56318 .50722 L
.56193 .50562 L
.5618 .50547 L
.56073 .50401 L
.5602 .50336 L
.5595 .50241 L
.55859 .50126 L
.55826 .5008 L
.55702 .4992 L
.55699 .49915 L
.55588 .49759 L
.55538 .49696 L
.55471 .49599 L
.55378 .49478 L
.55351 .49438 L
F
0 .55 1 r
.55378 .4865 m
.55507 .48796 L
.55538 .48828 L
.55648 .48957 L
.55699 .49013 L
.55785 .49117 L
.55859 .49202 L
.55922 .49278 L
.5602 .49369 L
.56056 .49438 L
.5618 .49587 L
.56193 .49599 L
.56317 .49759 L
.56341 .49787 L
.56447 .4992 L
.56501 .49985 L
.56577 .5008 L
.56662 .5017 L
.56752 .50241 L
.56822 .50385 L
.56837 .50401 L
.5696 .50562 L
.56983 .5059 L
.57086 .50722 L
.57143 .50758 L
.57213 .50883 L
.57304 .50989 L
.57357 .51043 L
.57464 .51203 L
.57465 .51204 L
.57589 .51364 L
.57625 .51409 L
.57714 .51525 L
.57785 .51596 L
.57884 .51686 L
.57946 .5182 L
.57968 .51846 L
.58086 .52007 L
.58106 .52032 L
.58209 .52167 L
.58267 .52197 L
.58333 .52328 L
.58428 .52441 L
.58471 .52488 L
.58578 .52649 L
.58588 .52661 L
.58699 .52809 L
.58749 .52873 L
.58821 .5297 L
.58909 .53064 L
.58975 .5313 L
.59065 .53291 L
.5907 .53297 L
.59183 .53451 L
.5923 .53513 L
.59302 .53612 L
.59391 .53728 L
.59423 .53772 L
.59542 .53933 L
.59551 .53945 L
.59657 .54093 L
.59712 .54166 L
.59773 .54254 L
.59872 .54388 L
.59891 .54414 L
.60002 .54575 L
.60033 .54617 L
.6011 .54735 L
.60193 .54854 L
.60219 .54896 L
.60193 .55011 L
.60089 .54896 L
.60033 .54839 L
.59944 .54735 L
.59872 .54657 L
.59804 .54575 L
.59712 .54469 L
.59667 .54414 L
.59551 .5429 L
.59532 .54254 L
.594 .54093 L
.59391 .54083 L
.5927 .53933 L
.5923 .53886 L
.5914 .53772 L
.5907 .53687 L
.5901 .53612 L
.58909 .53497 L
.58855 .53451 L
.58752 .53291 L
.58749 .53286 L
.58627 .5313 L
.58588 .53083 L
.585 .5297 L
.58428 .52907 L
.58373 .52809 L
.58267 .5268 L
.58236 .52649 L
.58121 .52488 L
.58106 .5247 L
.57997 .52328 L
.57946 .52263 L
.57872 .52167 L
.57785 .52072 L
.57717 .52007 L
.57625 .51851 L
.57621 .51846 L
.575 .51686 L
.57464 .51641 L
.57377 .51525 L
.57304 .51466 L
.57253 .51364 L
.57143 .51229 L
.57121 .51204 L
.57007 .51043 L
.56983 .51013 L
.56886 .50883 L
.56822 .50801 L
.56764 .50722 L
.56662 .50603 L
.56623 .50562 L
.5652 .50401 L
.56501 .50378 L
.56401 .50241 L
.56341 .50163 L
.5628 .5008 L
.5618 .49973 L
.56159 .4992 L
.5604 .49759 L
.5602 .49733 L
.55924 .49599 L
.55859 .49513 L
.55806 .49438 L
.55699 .49295 L
.55687 .49278 L
.55575 .49117 L
.55538 .49068 L
.55464 .48957 L
.55378 .48837 L
.55351 .48796 L
F
0 .1 1 r
.55378 .49999 m
.5543 .5008 L
.55538 .50217 L
.55553 .50241 L
.55538 .50297 L
.55496 .50241 L
.55378 .50111 L
.55354 .5008 L
F
1 .16 0 r
.55378 .4933 m
.55463 .49438 L
.55538 .49521 L
.55599 .49599 L
.55699 .49715 L
.55732 .49759 L
.55859 .49913 L
.55864 .4992 L
.55989 .5008 L
.5602 .50116 L
.56113 .50241 L
.5618 .50321 L
.5624 .50401 L
.56341 .50525 L
.56368 .50562 L
.56493 .50722 L
.56501 .50732 L
.56612 .50883 L
.56662 .50944 L
.56734 .51043 L
.56822 .51155 L
.56857 .51204 L
.56822 .51359 L
.56703 .51204 L
.56662 .51156 L
.56577 .51043 L
.56501 .50952 L
.56449 .50883 L
.56341 .50749 L
.56321 .50722 L
.56197 .50562 L
.5618 .50542 L
.56077 .50401 L
.5602 .50331 L
.55954 .50241 L
.55859 .50121 L
.55829 .5008 L
.55707 .4992 L
.55699 .4991 L
.55593 .49759 L
.55538 .4969 L
.55476 .49599 L
.55378 .49472 L
.55355 .49438 L
F
0 .54 1 r
.55378 .48661 m
.55499 .48796 L
.55538 .48836 L
.55641 .48957 L
.55699 .4902 L
.5578 .49117 L
.55859 .49208 L
.55917 .49278 L
.5602 .49376 L
.56052 .49438 L
.5618 .49593 L
.56187 .49599 L
.56314 .49759 L
.56341 .49791 L
.56444 .4992 L
.56501 .49989 L
.56574 .5008 L
.56662 .50174 L
.56747 .50241 L
.56822 .50389 L
.56834 .50401 L
.56957 .50562 L
.56983 .50593 L
.57084 .50722 L
.57143 .5076 L
.57211 .50883 L
.57304 .50993 L
.57354 .51043 L
.57463 .51204 L
.57464 .51206 L
.57587 .51364 L
.57625 .51412 L
.57711 .51525 L
.57785 .51599 L
.57881 .51686 L
.57946 .51823 L
.57966 .51846 L
.58084 .52007 L
.58106 .52035 L
.58207 .52167 L
.58267 .52199 L
.5833 .52328 L
.58428 .52444 L
.58468 .52488 L
.58576 .52649 L
.58588 .52664 L
.58696 .52809 L
.58749 .52876 L
.58818 .5297 L
.58909 .53068 L
.58971 .5313 L
.59062 .53291 L
.5907 .53301 L
.5918 .53451 L
.5923 .53517 L
.59299 .53612 L
.59391 .53732 L
.5942 .53772 L
.59538 .53933 L
.59551 .5395 L
.59653 .54093 L
.59712 .54172 L
.59769 .54254 L
.59872 .54394 L
.59887 .54414 L
.59996 .54575 L
.60033 .54625 L
.60103 .54735 L
.60193 .54865 L
.60211 .54896 L
.60193 .54998 L
.601 .54896 L
.60033 .5483 L
.59951 .54735 L
.59872 .5465 L
.5981 .54575 L
.59712 .54463 L
.59672 .54414 L
.59551 .54282 L
.59536 .54254 L
.59404 .54093 L
.59391 .54078 L
.59274 .53933 L
.5923 .53881 L
.59144 .53772 L
.5907 .53683 L
.59013 .53612 L
.58909 .53493 L
.5886 .53451 L
.58755 .53291 L
.58749 .53283 L
.5863 .5313 L
.58588 .53079 L
.58503 .5297 L
.58428 .52904 L
.58376 .52809 L
.58267 .52677 L
.5824 .52649 L
.58124 .52488 L
.58106 .52467 L
.58 .52328 L
.57946 .5226 L
.57875 .52167 L
.57785 .52069 L
.57721 .52007 L
.57625 .51847 L
.57624 .51846 L
.57502 .51686 L
.57464 .51638 L
.57379 .51525 L
.57304 .51463 L
.57255 .51364 L
.57143 .51225 L
.57124 .51204 L
.5701 .51043 L
.56983 .5101 L
.56888 .50883 L
.56822 .50798 L
.56766 .50722 L
.56662 .50599 L
.56627 .50562 L
.56522 .50401 L
.56501 .50374 L
.56404 .50241 L
.56341 .5016 L
.56283 .5008 L
.5618 .49967 L
.56161 .4992 L
.56043 .49759 L
.5602 .49729 L
.55928 .49599 L
.55859 .49509 L
.5581 .49438 L
.55699 .4929 L
.5569 .49278 L
.5558 .49117 L
.55538 .49061 L
.5547 .48957 L
.55378 .48829 L
.55357 .48796 L
F
1 .15 0 r
.55378 .49338 m
.55456 .49438 L
.55538 .49527 L
.55594 .49599 L
.55699 .49721 L
.55728 .49759 L
.55859 .49918 L
.55861 .4992 L
.55984 .5008 L
.5602 .50122 L
.56109 .50241 L
.5618 .50326 L
.56237 .50401 L
.56341 .5053 L
.56365 .50562 L
.56489 .50722 L
.56501 .50737 L
.56608 .50883 L
.56662 .50949 L
.5673 .51043 L
.56822 .5116 L
.56854 .51204 L
.56822 .51353 L
.56708 .51204 L
.56662 .51151 L
.56581 .51043 L
.56501 .50948 L
.56453 .50883 L
.56341 .50745 L
.56324 .50722 L
.56201 .50562 L
.5618 .50537 L
.56081 .50401 L
.5602 .50327 L
.55958 .50241 L
.55859 .50117 L
.55833 .5008 L
.55711 .4992 L
.55699 .49904 L
.55598 .49759 L
.55538 .49684 L
.55481 .49599 L
.55378 .49465 L
.5536 .49438 L
F
0 .09 1 r
.55378 .50008 m
.55422 .5008 L
.55538 .50229 L
.55545 .50241 L
.55538 .50283 L
.55507 .50241 L
.55378 .50103 L
.55361 .5008 L
F
0 .53 1 r
.55378 .48674 m
.55489 .48796 L
.55538 .48845 L
.55634 .48957 L
.55699 .49026 L
.55775 .49117 L
.55859 .49213 L
.55912 .49278 L
.5602 .49384 L
.56047 .49438 L
.5618 .49599 L
.5618 .49599 L
.5631 .49759 L
.56341 .49796 L
.5644 .4992 L
.56501 .49994 L
.5657 .5008 L
.56662 .50179 L
.56742 .50241 L
.56822 .50393 L
.5683 .50401 L
.56954 .50562 L
.56983 .50597 L
.57081 .50722 L
.57143 .50763 L
.57208 .50883 L
.57304 .50996 L
.57351 .51043 L
.5746 .51204 L
.57464 .51209 L
.57584 .51364 L
.57625 .51416 L
.57709 .51525 L
.57785 .51602 L
.57878 .51686 L
.57946 .51827 L
.57963 .51846 L
.58081 .52007 L
.58106 .52038 L
.58204 .52167 L
.58267 .52202 L
.58328 .52328 L
.58428 .52448 L
.58464 .52488 L
.58573 .52649 L
.58588 .52667 L
.58694 .52809 L
.58749 .5288 L
.58816 .5297 L
.58909 .53073 L
.58966 .5313 L
.59059 .53291 L
.5907 .53305 L
.59177 .53451 L
.5923 .53521 L
.59296 .53612 L
.59391 .53736 L
.59417 .53772 L
.59534 .53933 L
.59551 .53955 L
.59649 .54093 L
.59712 .54177 L
.59765 .54254 L
.59872 .544 L
.59882 .54414 L
.5999 .54575 L
.60033 .54634 L
.60096 .54735 L
.60193 .54879 L
.60203 .54896 L
.60193 .54981 L
.60112 .54896 L
.60033 .54821 L
.59959 .54735 L
.59872 .54643 L
.59816 .54575 L
.59712 .54457 L
.59676 .54414 L
.59551 .54275 L
.5954 .54254 L
.59408 .54093 L
.59391 .54073 L
.59278 .53933 L
.5923 .53877 L
.59147 .53772 L
.5907 .53679 L
.59016 .53612 L
.58909 .53488 L
.58865 .53451 L
.58758 .53291 L
.58749 .53279 L
.58632 .5313 L
.58588 .53076 L
.58505 .5297 L
.58428 .529 L
.58378 .52809 L
.58267 .52673 L
.58243 .52649 L
.58126 .52488 L
.58106 .52464 L
.58002 .52328 L
.57946 .52257 L
.57877 .52167 L
.57785 .52065 L
.57724 .52007 L
.57626 .51846 L
.57625 .51844 L
.57504 .51686 L
.57464 .51635 L
.57381 .51525 L
.57304 .51459 L
.57257 .51364 L
.57143 .51222 L
.57127 .51204 L
.57012 .51043 L
.56983 .51007 L
.56891 .50883 L
.56822 .50795 L
.56768 .50722 L
.56662 .50595 L
.56631 .50562 L
.56525 .50401 L
.56501 .50371 L
.56406 .50241 L
.56341 .50156 L
.56286 .5008 L
.5618 .4996 L
.56164 .4992 L
.56047 .49759 L
.5602 .49724 L
.55931 .49599 L
.55859 .49504 L
.55813 .49438 L
.55699 .49284 L
.55694 .49278 L
.55585 .49117 L
.55538 .49054 L
.55475 .48957 L
.55378 .48819 L
.55364 .48796 L
F
1 .14 0 r
.55378 .49348 m
.55449 .49438 L
.55538 .49534 L
.55588 .49599 L
.55699 .49726 L
.55724 .49759 L
.55699 .49898 L
.55603 .49759 L
.55538 .49677 L
.55486 .49599 L
.55378 .49457 L
.55365 .49438 L
F
.212 .95 1 r
.55378 .56329 m
.55472 .56341 L
.55538 .56379 L
.55673 .56501 L
.55699 .56527 L
.55816 .56662 L
.55859 .56712 L
.55947 .56822 L
.5602 .56912 L
.56073 .56983 L
.5618 .57103 L
.56216 .57143 L
.56316 .57304 L
.56341 .57337 L
.56428 .57464 L
.56501 .57567 L
.56539 .57625 L
.56639 .57785 L
.56662 .57825 L
.56698 .57946 L
.56662 .57965 L
.56631 .57946 L
.56501 .57846 L
.56439 .57785 L
.56341 .57712 L
.56282 .57625 L
.5618 .57517 L
.561 .57464 L
.5602 .57325 L
.55999 .57304 L
.5587 .57143 L
.55859 .57129 L
.55744 .56983 L
.55699 .56923 L
.55622 .56822 L
.55538 .56741 L
.55498 .56662 L
.55412 .56501 L
.55378 .56416 L
.55367 .56341 L
F
0 .08 1 r
.55378 .5002 m
.55412 .5008 L
.55378 .50093 L
.55368 .5008 L
F
1 .93 .114 r
.55378 .59136 m
.55444 .5923 L
.55538 .59347 L
.55569 .59391 L
.55538 .59439 L
.55505 .59391 L
.55378 .59244 L
.55368 .5923 L
F
0 .52 1 r
.55378 .48688 m
.55479 .48796 L
.55538 .48854 L
.55627 .48957 L
.55699 .49033 L
.55769 .49117 L
.55859 .49219 L
.55907 .49278 L
.5602 .49392 L
.56043 .49438 L
.56176 .49599 L
.5618 .49604 L
.56306 .49759 L
.56341 .498 L
.56437 .4992 L
.56501 .49998 L
.56567 .5008 L
.56662 .50183 L
.56737 .50241 L
.56822 .50397 L
.56826 .50401 L
.56951 .50562 L
.56983 .506 L
.57078 .50722 L
.57143 .50767 L
.57206 .50883 L
.57304 .51 L
.57347 .51043 L
.57458 .51204 L
.57464 .51212 L
.57582 .51364 L
.57625 .51419 L
.57707 .51525 L
.57785 .51606 L
.57874 .51686 L
.57946 .5183 L
.5796 .51846 L
.58079 .52007 L
.58106 .52041 L
.58202 .52167 L
.58267 .52205 L
.58325 .52328 L
.58428 .52452 L
.58461 .52488 L
.58571 .52649 L
.58588 .52671 L
.58691 .52809 L
.58749 .52883 L
.58813 .5297 L
.58909 .53077 L
.58962 .5313 L
.59056 .53291 L
.5907 .53309 L
.59174 .53451 L
.5923 .53525 L
.59293 .53612 L
.59391 .53741 L
.59414 .53772 L
.59531 .53933 L
.59551 .5396 L
.59645 .54093 L
.59712 .54183 L
.59761 .54254 L
.59872 .54406 L
.59878 .54414 L
.59983 .54575 L
.60033 .54644 L
.60088 .54735 L
.60033 .5481 L
.59967 .54735 L
.59872 .54635 L
.59822 .54575 L
.59712 .54451 L
.59681 .54414 L
.59551 .54267 L
.59544 .54254 L
.59413 .54093 L
.59391 .54068 L
.59282 .53933 L
.5923 .53872 L
.5915 .53772 L
.5907 .53675 L
.59019 .53612 L
.58909 .53484 L
.5887 .53451 L
.58761 .53291 L
.58749 .53275 L
.58635 .5313 L
.58588 .53073 L
.58508 .5297 L
.58428 .52897 L
.5838 .52809 L
.58267 .5267 L
.58246 .52649 L
.58129 .52488 L
.58106 .52461 L
.58005 .52328 L
.57946 .52254 L
.57879 .52167 L
.57785 .52062 L
.57727 .52007 L
.57629 .51846 L
.57625 .51841 L
.57507 .51686 L
.57464 .51632 L
.57384 .51525 L
.57304 .51456 L
.57259 .51364 L
.57143 .51218 L
.57131 .51204 L
.57014 .51043 L
.56983 .51004 L
.56893 .50883 L
.56822 .50792 L
.56771 .50722 L
.56662 .5059 L
.56635 .50562 L
.56528 .50401 L
.56501 .50367 L
.56409 .50241 L
.56341 .50152 L
.56288 .5008 L
.5618 .49954 L
.56167 .4992 L
.5605 .49759 L
.5602 .4972 L
.55935 .49599 L
.55859 .49499 L
.55817 .49438 L
.55699 .49279 L
.55698 .49278 L
.5559 .49117 L
.55538 .49046 L
.55482 .48957 L
.55378 .48808 L
.55371 .48796 L
F
1 .83 .005 r
.55378 .48014 m
.5552 .48154 L
.55538 .4817 L
.55671 .48314 L
.55699 .48343 L
.55816 .48475 L
.55859 .48523 L
.55957 .48636 L
.5602 .48669 L
.56096 .48796 L
.5618 .4889 L
.56273 .48957 L
.56341 .49088 L
.56369 .49117 L
.56498 .49278 L
.56501 .49282 L
.5663 .49438 L
.56662 .49467 L
.56761 .49599 L
.56822 .49673 L
.56906 .49759 L
.56983 .49876 L
.57017 .4992 L
.57143 .50075 L
.57146 .5008 L
.57277 .50241 L
.57304 .5027 L
.57435 .50401 L
.57464 .50477 L
.57534 .50562 L
.57625 .50684 L
.57649 .50722 L
.57785 .50883 L
.57785 .50883 L
.57911 .51043 L
.57946 .51085 L
.58049 .51204 L
.58106 .51295 L
.58157 .51364 L
.58267 .51503 L
.58276 .51525 L
.58413 .51686 L
.58428 .51701 L
.58562 .51846 L
.58588 .5191 L
.58664 .52007 L
.58749 .52121 L
.58777 .52167 L
.58909 .52326 L
.58911 .52328 L
.59035 .52488 L
.5907 .52528 L
.59171 .52649 L
.5923 .52741 L
.59279 .52809 L
.59391 .52951 L
.59397 .5297 L
.5953 .5313 L
.59551 .5315 L
.59679 .53291 L
.59712 .53363 L
.5978 .53451 L
.59872 .53576 L
.59893 .53612 L
.60023 .53772 L
.60033 .53777 L
.60146 .53933 L
.60193 .53986 L
.60282 .54093 L
.60354 .54202 L
.6039 .54254 L
.60514 .54414 L
.60514 .54414 L
.60636 .54575 L
.60675 .5461 L
.60787 .54735 L
.60835 .5483 L
.60885 .54896 L
.60996 .55047 L
.61001 .55057 L
.61123 .55217 L
.61156 .5523 L
.61244 .55378 L
.61317 .5546 L
.6138 .55538 L
.61477 .55684 L
.61488 .55699 L
.61607 .55859 L
.61638 .559 L
.61726 .5602 L
.61799 .56091 L
.61873 .5618 L
.61959 .56328 L
.61969 .56341 L
.62084 .56501 L
.6212 .56548 L
.62201 .56662 L
.6228 .56767 L
.62363 .56822 L
.62437 .56983 L
.62441 .56987 L
.62549 .57143 L
.62601 .57214 L
.62663 .57304 L
.62762 .57442 L
.62777 .57464 L
.62882 .57625 L
.62922 .57683 L
.62983 .57785 L
.62922 .57892 L
.62822 .57785 L
.62762 .57725 L
.62673 .57625 L
.62601 .57548 L
.6253 .57464 L
.62441 .57388 L
.6239 .57304 L
.6228 .5718 L
.62234 .57143 L
.6212 .56984 L
.62118 .56983 L
.61987 .56822 L
.61959 .5679 L
.61855 .56662 L
.61799 .56606 L
.61724 .56501 L
.61638 .56398 L
.61582 .56341 L
.61477 .56195 L
.61465 .5618 L
.61337 .5602 L
.61317 .56008 L
.61209 .55859 L
.61156 .558 L
.61053 .55699 L
.60996 .55591 L
.60951 .55538 L
.60835 .55386 L
.6083 .55378 L
.60702 .55217 L
.60675 .55193 L
.60576 .55057 L
.60514 .54982 L
.60438 .54896 L
.60354 .54772 L
.60326 .54735 L
.602 .54575 L
.60193 .54573 L
.60076 .54414 L
.60033 .54369 L
.59924 .54254 L
.59872 .54156 L
.59822 .54093 L
.59712 .53946 L
.59704 .53933 L
.59578 .53772 L
.59551 .53751 L
.59404 .53612 L
.59391 .53538 L
.59317 .53451 L
.5923 .53324 L
.59206 .53291 L
.59082 .5313 L
.5907 .53129 L
.58959 .5297 L
.58909 .52918 L
.58809 .52809 L
.58749 .52701 L
.58707 .52649 L
.58588 .52488 L
.58588 .52488 L
.58466 .52328 L
.58428 .523 L
.58292 .52167 L
.58267 .52078 L
.58207 .52007 L
.58106 .51861 L
.58096 .51846 L
.57975 .51686 L
.57946 .51649 L
.57853 .51525 L
.57785 .51456 L
.57704 .51364 L
.57625 .51232 L
.57603 .51204 L
.57485 .51043 L
.57464 .51017 L
.57365 .50883 L
.57304 .50837 L
.57195 .50722 L
.57143 .50602 L
.57111 .50562 L
.56998 .50401 L
.56983 .50381 L
.56879 .50241 L
.56822 .50167 L
.56758 .5008 L
.56662 .49969 L
.56621 .4992 L
.56516 .49759 L
.56501 .4974 L
.56399 .49599 L
.56341 .49523 L
.5628 .49438 L
.5618 .49328 L
.56138 .49278 L
.56042 .49117 L
.5602 .49088 L
.55928 .48957 L
.55859 .48865 L
.55812 .48796 L
.55699 .48643 L
.55694 .48636 L
.55586 .48475 L
.55538 .48408 L
.55479 .48314 L
.55378 .48165 L
.55371 .48154 L
F
1 .13 0 r
.55378 .49359 m
.5544 .49438 L
.55538 .49541 L
.55583 .49599 L
.55699 .49732 L
.55719 .49759 L
.55699 .49892 L
.55609 .49759 L
.55538 .4967 L
.55492 .49599 L
.55378 .49449 L
.55371 .49438 L
F
0 .07 1 r
.55378 .50038 m
.55393 .5008 L
.55378 .50081 L
.55377 .5008 L
F
1 .12 0 r
.55378 .49373 m
.55428 .49438 L
.55538 .49549 L
.55576 .49599 L
.55699 .49738 L
.55715 .49759 L
.55699 .49885 L
.55615 .49759 L
.55538 .49662 L
.55498 .49599 L
.55378 .49439 L
.55377 .49438 L
F
1 .88 .024 r
.55538 .5372 m
.55595 .53772 L
.55699 .53857 L
.55758 .53933 L
.55859 .54042 L
.55931 .54093 L
.5602 .54231 L
.56041 .54254 L
.56171 .54414 L
.5618 .54426 L
.56299 .54575 L
.56341 .54597 L
.56424 .54735 L
.56501 .54826 L
.56555 .54896 L
.56661 .55057 L
.56662 .55057 L
.56771 .55217 L
.56822 .55297 L
.56872 .55378 L
.56942 .55538 L
.56822 .55575 L
.56776 .55538 L
.56662 .55476 L
.56608 .55378 L
.56501 .55279 L
.56463 .55217 L
.56341 .55077 L
.56317 .55057 L
.56199 .54896 L
.5618 .54873 L
.56075 .54735 L
.5602 .54666 L
.55952 .54575 L
.55859 .54488 L
.55829 .54414 L
.5571 .54254 L
.55699 .54239 L
.55598 .54093 L
.55538 .54008 L
.5549 .53933 L
.55392 .53772 L
F
1 .87 .018 r
.55538 .53744 m
.55571 .53772 L
.55699 .53877 L
.55741 .53933 L
.55859 .54057 L
.55912 .54093 L
.5602 .54244 L
.56029 .54254 L
.56161 .54414 L
.5618 .54438 L
.56289 .54575 L
.56341 .54605 L
.56414 .54735 L
.56501 .5484 L
.56544 .54896 L
.5665 .55057 L
.56662 .55074 L
.56759 .55217 L
.56822 .55321 L
.56856 .55378 L
.56906 .55538 L
.56822 .55552 L
.56803 .55538 L
.56662 .55455 L
.5662 .55378 L
.56501 .55264 L
.56472 .55217 L
.56341 .55065 L
.56331 .55057 L
.56207 .54896 L
.5618 .54864 L
.56082 .54735 L
.5602 .54657 L
.55959 .54575 L
.55859 .54473 L
.55836 .54414 L
.55718 .54254 L
.55699 .54227 L
.55608 .54093 L
.55538 .53991 L
.55502 .53933 L
.55416 .53772 L
F
1 .86 .013 r
.55538 .53771 m
.5554 .53772 L
.55699 .53899 L
.55724 .53933 L
.55859 .54073 L
.5589 .54093 L
.56016 .54254 L
.5602 .54258 L
.5615 .54414 L
.5618 .54451 L
.56279 .54575 L
.56341 .54615 L
.56404 .54735 L
.56501 .54856 L
.56531 .54896 L
.56638 .55057 L
.56662 .55091 L
.56745 .55217 L
.56822 .55348 L
.56838 .55378 L
.56822 .55521 L
.56662 .5543 L
.56635 .55378 L
.56501 .55249 L
.56482 .55217 L
.56344 .55057 L
.56341 .55053 L
.56215 .54896 L
.5618 .54854 L
.5609 .54735 L
.5602 .54647 L
.55966 .54575 L
.55859 .54456 L
.55843 .54414 L
.55728 .54254 L
.55699 .54214 L
.55619 .54093 L
.55538 .53973 L
.55515 .53933 L
.55451 .53772 L
F
.156 .94 1 r
.55538 .56422 m
.55638 .56501 L
.55699 .56558 L
.55792 .56662 L
.55859 .56737 L
.55927 .56822 L
.5602 .56935 L
.56056 .56983 L
.5618 .57142 L
.56181 .57143 L
.56294 .57304 L
.56341 .57368 L
.56404 .57464 L
.56501 .5761 L
.5651 .57625 L
.56501 .57785 L
.56341 .57656 L
.56321 .57625 L
.5618 .57478 L
.56157 .57464 L
.56029 .57304 L
.5602 .57293 L
.55896 .57143 L
.55859 .57098 L
.55769 .56983 L
.55699 .5689 L
.55648 .56822 L
.55538 .56662 L
.55538 .56662 L
.55452 .56501 L
F
0 .51 1 r
.55538 .48863 m
.5562 .48957 L
.55699 .49041 L
.55763 .49117 L
.55859 .49226 L
.55902 .49278 L
.5602 .494 L
.56039 .49438 L
.56172 .49599 L
.5618 .49609 L
.56302 .49759 L
.56341 .49805 L
.56433 .4992 L
.56501 .50002 L
.56564 .5008 L
.56662 .50188 L
.56731 .50241 L
.56822 .50401 L
.56822 .50401 L
.56948 .50562 L
.56983 .50604 L
.57076 .50722 L
.57143 .5077 L
.57203 .50883 L
.57304 .51004 L
.57344 .51043 L
.57455 .51204 L
.57464 .51216 L
.57579 .51364 L
.57625 .51422 L
.57704 .51525 L
.57785 .51609 L
.57871 .51686 L
.57946 .51834 L
.57957 .51846 L
.58076 .52007 L
.58106 .52044 L
.58199 .52167 L
.58267 .52209 L
.58323 .52328 L
.58428 .52456 L
.58457 .52488 L
.58568 .52649 L
.58588 .52674 L
.58689 .52809 L
.58749 .52886 L
.58811 .5297 L
.58909 .53082 L
.58957 .5313 L
.59053 .53291 L
.5907 .53313 L
.59171 .53451 L
.5923 .53529 L
.5929 .53612 L
.59391 .53745 L
.5941 .53772 L
.59527 .53933 L
.59551 .53965 L
.59641 .54093 L
.59712 .54189 L
.59757 .54254 L
.59872 .54413 L
.59873 .54414 L
.59976 .54575 L
.60033 .54655 L
.6008 .54735 L
.60033 .54799 L
.59976 .54735 L
.59872 .54627 L
.59828 .54575 L
.59712 .54445 L
.59686 .54414 L
.59551 .54258 L
.59549 .54254 L
.59417 .54093 L
.59391 .54063 L
.59286 .53933 L
.5923 .53868 L
.59154 .53772 L
.5907 .53671 L
.59023 .53612 L
.58909 .53479 L
.58876 .53451 L
.58765 .53291 L
.58749 .53272 L
.58638 .5313 L
.58588 .53069 L
.58511 .5297 L
.58428 .52893 L
.58383 .52809 L
.58267 .52666 L
.5825 .52649 L
.58131 .52488 L
.58106 .52458 L
.58007 .52328 L
.57946 .52251 L
.57881 .52167 L
.57785 .52058 L
.57731 .52007 L
.57631 .51846 L
.57625 .51838 L
.57509 .51686 L
.57464 .51629 L
.57386 .51525 L
.57304 .51452 L
.57261 .51364 L
.57143 .51214 L
.57134 .51204 L
.57017 .51043 L
.56983 .51 L
.56896 .50883 L
.56822 .50789 L
.56773 .50722 L
.56662 .50586 L
.56639 .50562 L
.56531 .50401 L
.56501 .50364 L
.56412 .50241 L
.56341 .50149 L
.56291 .5008 L
.5618 .49947 L
.5617 .4992 L
.56054 .49759 L
.5602 .49715 L
.55938 .49599 L
.55859 .49494 L
.55821 .49438 L
.55703 .49278 L
.55699 .49272 L
.55596 .49117 L
.55538 .49037 L
.55488 .48957 L
F
1 .82 .004 r
.55538 .48193 m
.55653 .48314 L
.55699 .4836 L
.55802 .48475 L
.55859 .48537 L
.55945 .48636 L
.5602 .4868 L
.56086 .48796 L
.5618 .48901 L
.56261 .48957 L
.56341 .49098 L
.5636 .49117 L
.5649 .49278 L
.56501 .4929 L
.56623 .49438 L
.56662 .49473 L
.56755 .49599 L
.56822 .4968 L
.569 .49759 L
.56983 .49883 L
.57012 .4992 L
.57143 .5008 L
.57143 .5008 L
.57272 .50241 L
.57304 .50276 L
.57433 .50401 L
.57464 .50483 L
.5753 .50562 L
.57625 .50689 L
.57647 .50722 L
.57781 .50883 L
.57785 .50886 L
.57908 .51043 L
.57946 .5109 L
.58046 .51204 L
.58106 .51299 L
.58154 .51364 L
.58267 .51506 L
.58274 .51525 L
.5841 .51686 L
.58428 .51704 L
.5856 .51846 L
.58588 .51914 L
.58662 .52007 L
.58749 .52125 L
.58775 .52167 L
.58908 .52328 L
.58909 .52328 L
.59032 .52488 L
.5907 .52532 L
.59168 .52649 L
.5923 .52744 L
.59276 .52809 L
.59391 .52954 L
.59396 .5297 L
.59528 .5313 L
.59551 .53153 L
.59677 .53291 L
.59712 .53366 L
.59778 .53451 L
.59872 .53579 L
.59891 .53612 L
.60021 .53772 L
.60033 .53778 L
.60143 .53933 L
.60193 .53989 L
.6028 .54093 L
.60354 .54206 L
.60387 .54254 L
.60511 .54414 L
.60514 .54418 L
.60633 .54575 L
.60675 .54613 L
.60784 .54735 L
.60835 .54834 L
.60882 .54896 L
.60996 .55052 L
.60999 .55057 L
.6112 .55217 L
.61156 .55232 L
.61241 .55378 L
.61317 .55465 L
.61376 .55538 L
.61477 .55689 L
.61484 .55699 L
.61603 .55859 L
.61638 .55906 L
.61722 .5602 L
.61799 .56098 L
.61867 .5618 L
.61959 .56335 L
.61963 .56341 L
.62078 .56501 L
.6212 .56556 L
.62196 .56662 L
.6228 .56776 L
.62352 .56822 L
.6243 .56983 L
.62441 .56997 L
.62541 .57143 L
.62601 .57226 L
.62654 .57304 L
.62762 .57457 L
.62767 .57464 L
.62867 .57625 L
.62922 .57709 L
.62963 .57785 L
.62922 .57863 L
.62845 .57785 L
.62762 .57706 L
.62688 .57625 L
.62601 .57533 L
.62542 .57464 L
.62441 .57373 L
.624 .57304 L
.6228 .57168 L
.62248 .57143 L
.62127 .56983 L
.6212 .56974 L
.61994 .56822 L
.61959 .56781 L
.61862 .56662 L
.61799 .56599 L
.6173 .56501 L
.61638 .56391 L
.61588 .56341 L
.61477 .56189 L
.6147 .5618 L
.61342 .5602 L
.61317 .56005 L
.61214 .55859 L
.61156 .55795 L
.61057 .55699 L
.60996 .55587 L
.60954 .55538 L
.60835 .55382 L
.60832 .55378 L
.60706 .55217 L
.60675 .55189 L
.6058 .55057 L
.60514 .54978 L
.60441 .54896 L
.60354 .54768 L
.60329 .54735 L
.60203 .54575 L
.60193 .54572 L
.60078 .54414 L
.60033 .54366 L
.59926 .54254 L
.59872 .54152 L
.59824 .54093 L
.59712 .53943 L
.59706 .53933 L
.5958 .53772 L
.59551 .53749 L
.59405 .53612 L
.59391 .53535 L
.59319 .53451 L
.5923 .53321 L
.59208 .53291 L
.59084 .5313 L
.5907 .53128 L
.58962 .5297 L
.58909 .52916 L
.58811 .52809 L
.58749 .52698 L
.58709 .52649 L
.5859 .52488 L
.58588 .52485 L
.58469 .52328 L
.58428 .52298 L
.58294 .52167 L
.58267 .52075 L
.58209 .52007 L
.58106 .51858 L
.58098 .51846 L
.57977 .51686 L
.57946 .51646 L
.57855 .51525 L
.57785 .51453 L
.57707 .51364 L
.57625 .51228 L
.57606 .51204 L
.57488 .51043 L
.57464 .51013 L
.57367 .50883 L
.57304 .50834 L
.57199 .50722 L
.57143 .50597 L
.57115 .50562 L
.57002 .50401 L
.56983 .50377 L
.56883 .50241 L
.56822 .50163 L
.56762 .5008 L
.56662 .49962 L
.56626 .4992 L
.5652 .49759 L
.56501 .49734 L
.56403 .49599 L
.56341 .49517 L
.56284 .49438 L
.5618 .49317 L
.56147 .49278 L
.56048 .49117 L
.5602 .4908 L
.55934 .48957 L
.55859 .48856 L
.55819 .48796 L
.55702 .48636 L
.55699 .48631 L
.55598 .48475 L
.55538 .4839 L
.55493 .48314 L
F
0 .5 1 r
.55538 .48874 m
.55611 .48957 L
.55699 .49048 L
.55757 .49117 L
.55859 .49232 L
.55897 .49278 L
.5602 .49409 L
.56034 .49438 L
.56167 .49599 L
.5618 .49614 L
.56298 .49759 L
.56341 .49809 L
.5643 .4992 L
.56501 .50006 L
.56561 .5008 L
.56662 .50193 L
.56725 .50241 L
.56819 .50401 L
.56822 .50405 L
.56945 .50562 L
.56983 .50607 L
.57073 .50722 L
.57143 .50773 L
.572 .50883 L
.57304 .51008 L
.5734 .51043 L
.57452 .51204 L
.57464 .51219 L
.57576 .51364 L
.57625 .51425 L
.57702 .51525 L
.57785 .51613 L
.57867 .51686 L
.57946 .51837 L
.57954 .51846 L
.58074 .52007 L
.58106 .52048 L
.58197 .52167 L
.58267 .52212 L
.58321 .52328 L
.58428 .5246 L
.58454 .52488 L
.58565 .52649 L
.58588 .52678 L
.58686 .52809 L
.58749 .5289 L
.58808 .5297 L
.58909 .53087 L
.58952 .5313 L
.5905 .53291 L
.5907 .53317 L
.59167 .53451 L
.5923 .53533 L
.59287 .53612 L
.59391 .53749 L
.59407 .53772 L
.59523 .53933 L
.59551 .5397 L
.59636 .54093 L
.59712 .54195 L
.59752 .54254 L
.59867 .54414 L
.59872 .54421 L
.59968 .54575 L
.60033 .54668 L
.6007 .54735 L
.60033 .54786 L
.59987 .54735 L
.59872 .54619 L
.59835 .54575 L
.59712 .54438 L
.59692 .54414 L
.59554 .54254 L
.59551 .54251 L
.59422 .54093 L
.59391 .54058 L
.5929 .53933 L
.5923 .53863 L
.59158 .53772 L
.5907 .53667 L
.59026 .53612 L
.58909 .53474 L
.58882 .53451 L
.58768 .53291 L
.58749 .53268 L
.58641 .5313 L
.58588 .53066 L
.58513 .5297 L
.58428 .52889 L
.58385 .52809 L
.58267 .52662 L
.58254 .52649 L
.58134 .52488 L
.58106 .52454 L
.58009 .52328 L
.57946 .52248 L
.57884 .52167 L
.57785 .52055 L
.57735 .52007 L
.57633 .51846 L
.57625 .51835 L
.57512 .51686 L
.57464 .51626 L
.57388 .51525 L
.57304 .51448 L
.57264 .51364 L
.57143 .51211 L
.57137 .51204 L
.57019 .51043 L
.56983 .50997 L
.56898 .50883 L
.56822 .50786 L
.56775 .50722 L
.56662 .50581 L
.56643 .50562 L
.56533 .50401 L
.56501 .5036 L
.56415 .50241 L
.56341 .50145 L
.56294 .5008 L
.5618 .4994 L
.56172 .4992 L
.56057 .49759 L
.5602 .4971 L
.55942 .49599 L
.55859 .49489 L
.55824 .49438 L
.55708 .49278 L
.55699 .49265 L
.55602 .49117 L
.55538 .49028 L
.55495 .48957 L
F
.733 .99 1 r
.55538 .53145 m
.55699 .53178 L
.55853 .53291 L
.55859 .53297 L
.56006 .53451 L
.5602 .53469 L
.56153 .53612 L
.5618 .53661 L
.56274 .53772 L
.56341 .53866 L
.5639 .53933 L
.56501 .54074 L
.56536 .54093 L
.5666 .54254 L
.56662 .54257 L
.56781 .54414 L
.56822 .5447 L
.56888 .54575 L
.56983 .54686 L
.57036 .54735 L
.57143 .54892 L
.57157 .54896 L
.57278 .55057 L
.57304 .55089 L
.57386 .55217 L
.57464 .55304 L
.57482 .55378 L
.57625 .55523 L
.57636 .55538 L
.57754 .55699 L
.57785 .55771 L
.57828 .55859 L
.57785 .55952 L
.57625 .55961 L
.57464 .55878 L
.57437 .55859 L
.57304 .55706 L
.57297 .55699 L
.57169 .55538 L
.57143 .55515 L
.57043 .55378 L
.56983 .55311 L
.56876 .55217 L
.56822 .551 L
.56782 .55057 L
.56667 .54896 L
.56662 .54889 L
.56546 .54735 L
.56501 .54679 L
.56424 .54575 L
.56341 .54489 L
.5628 .54414 L
.5618 .54261 L
.56175 .54254 L
.56057 .54093 L
.5602 .54045 L
.55937 .53933 L
.55859 .5383 L
.55787 .53772 L
.55699 .53613 L
.55697 .53612 L
.55591 .53451 L
.55538 .53367 L
.55499 .53291 L
F
0 .49 1 r
.55538 .48886 m
.55602 .48957 L
.55699 .49056 L
.5575 .49117 L
.55859 .49238 L
.55892 .49278 L
.5602 .49418 L
.5603 .49438 L
.56162 .49599 L
.5618 .49619 L
.56294 .49759 L
.56341 .49814 L
.56426 .4992 L
.56501 .5001 L
.56557 .5008 L
.56662 .50198 L
.56719 .50241 L
.56816 .50401 L
.56822 .50409 L
.56942 .50562 L
.56983 .50611 L
.5707 .50722 L
.57143 .50777 L
.57198 .50883 L
.57304 .51011 L
.57336 .51043 L
.57449 .51204 L
.57464 .51222 L
.57574 .51364 L
.57625 .51428 L
.57699 .51525 L
.57785 .51616 L
.57863 .51686 L
.57946 .51841 L
.5795 .51846 L
.58071 .52007 L
.58106 .52051 L
.58194 .52167 L
.58267 .52216 L
.58318 .52328 L
.58428 .52464 L
.5845 .52488 L
.58563 .52649 L
.58588 .52681 L
.58683 .52809 L
.58749 .52893 L
.58805 .5297 L
.58909 .53092 L
.58947 .5313 L
.59046 .53291 L
.5907 .53321 L
.59164 .53451 L
.5923 .53537 L
.59284 .53612 L
.59391 .53754 L
.59404 .53772 L
.59518 .53933 L
.59551 .53976 L
.59632 .54093 L
.59712 .54201 L
.59748 .54254 L
.59861 .54414 L
.59872 .5443 L
.5996 .54575 L
.60033 .54684 L
.60058 .54735 L
.60033 .54771 L
.6 .54735 L
.59872 .5461 L
.59842 .54575 L
.59712 .54432 L
.59697 .54414 L
.5956 .54254 L
.59551 .54245 L
.59427 .54093 L
.59391 .54053 L
.59294 .53933 L
.5923 .53859 L
.59161 .53772 L
.5907 .53663 L
.59029 .53612 L
.58909 .53469 L
.58888 .53451 L
.58771 .53291 L
.58749 .53264 L
.58644 .5313 L
.58588 .53062 L
.58516 .5297 L
.58428 .52885 L
.58388 .52809 L
.58267 .52659 L
.58257 .52649 L
.58137 .52488 L
.58106 .52451 L
.58012 .52328 L
.57946 .52245 L
.57886 .52167 L
.57785 .52051 L
.57739 .52007 L
.57636 .51846 L
.57625 .51832 L
.57514 .51686 L
.57464 .51623 L
.5739 .51525 L
.57304 .51445 L
.57266 .51364 L
.57143 .51207 L
.57141 .51204 L
.57022 .51043 L
.56983 .50994 L
.569 .50883 L
.56822 .50783 L
.56778 .50722 L
.56662 .50576 L
.56648 .50562 L
.56536 .50401 L
.56501 .50356 L
.56418 .50241 L
.56341 .50141 L
.56297 .5008 L
.5618 .49932 L
.56175 .4992 L
.56061 .49759 L
.5602 .49705 L
.55946 .49599 L
.55859 .49483 L
.55828 .49438 L
.55713 .49278 L
.55699 .49258 L
.55609 .49117 L
.55538 .49017 L
.55503 .48957 L
F
1 .11 0 r
.55538 .49558 m
.55569 .49599 L
.55699 .49745 L
.55709 .49759 L
.55699 .49877 L
.55622 .49759 L
.55538 .49653 L
.55505 .49599 L
F
1 .81 .003 r
.55538 .4822 m
.55632 .48314 L
.55699 .48378 L
.55787 .48475 L
.55859 .48551 L
.55934 .48636 L
.5602 .48693 L
.56075 .48796 L
.5618 .48912 L
.56246 .48957 L
.56341 .49108 L
.5635 .49117 L
.56483 .49278 L
.56501 .49299 L
.56616 .49438 L
.56662 .49479 L
.56749 .49599 L
.56822 .49687 L
.56895 .49759 L
.56983 .49889 L
.57008 .4992 L
.57138 .5008 L
.57143 .50081 L
.57267 .50241 L
.57304 .50281 L
.5743 .50401 L
.57464 .50488 L
.57526 .50562 L
.57625 .50694 L
.57644 .50722 L
.57777 .50883 L
.57785 .5089 L
.57904 .51043 L
.57946 .51094 L
.58043 .51204 L
.58106 .51304 L
.58151 .51364 L
.58267 .5151 L
.58273 .51525 L
.58406 .51686 L
.58428 .51707 L
.58558 .51846 L
.58588 .51917 L
.58659 .52007 L
.58749 .52128 L
.58772 .52167 L
.58905 .52328 L
.58909 .5233 L
.5903 .52488 L
.5907 .52535 L
.59166 .52649 L
.5923 .52748 L
.59274 .52809 L
.59391 .52957 L
.59395 .5297 L
.59525 .5313 L
.59551 .53156 L
.59675 .53291 L
.59712 .53369 L
.59775 .53451 L
.59872 .53583 L
.59889 .53612 L
.60018 .53772 L
.60033 .5378 L
.6014 .53933 L
.60193 .53993 L
.60277 .54093 L
.60354 .5421 L
.60385 .54254 L
.60508 .54414 L
.60514 .54422 L
.6063 .54575 L
.60675 .54616 L
.60782 .54735 L
.60835 .54839 L
.60879 .54896 L
.60996 .55056 L
.60996 .55057 L
.61116 .55217 L
.61156 .55235 L
.61238 .55378 L
.61317 .5547 L
.61372 .55538 L
.61477 .55695 L
.6148 .55699 L
.61598 .55859 L
.61638 .55911 L
.61718 .5602 L
.61799 .56105 L
.61861 .5618 L
.61957 .56341 L
.61959 .56343 L
.62073 .56501 L
.6212 .56563 L
.6219 .56662 L
.6228 .56784 L
.6234 .56822 L
.62422 .56983 L
.62441 .57008 L
.62532 .57143 L
.62601 .57239 L
.62644 .57304 L
.62754 .57464 L
.62762 .57475 L
.62849 .57625 L
.62922 .57748 L
.62937 .57785 L
.62922 .57822 L
.62878 .57785 L
.62762 .57685 L
.62706 .57625 L
.62601 .57517 L
.62555 .57464 L
.62441 .57356 L
.62411 .57304 L
.6228 .57155 L
.62264 .57143 L
.62136 .56983 L
.6212 .56965 L
.62002 .56822 L
.61959 .56773 L
.61868 .56662 L
.61799 .56592 L
.61736 .56501 L
.61638 .56384 L
.61594 .56341 L
.61477 .56184 L
.61475 .5618 L
.61346 .5602 L
.61317 .56002 L
.61218 .55859 L
.61156 .5579 L
.61061 .55699 L
.60996 .55582 L
.60958 .55538 L
.60835 .55378 L
.60835 .55378 L
.60709 .55217 L
.60675 .55186 L
.60583 .55057 L
.60514 .54974 L
.60444 .54896 L
.60354 .54765 L
.60332 .54735 L
.60206 .54575 L
.60193 .5457 L
.60081 .54414 L
.60033 .54362 L
.59929 .54254 L
.59872 .54149 L
.59827 .54093 L
.59712 .5394 L
.59707 .53933 L
.59583 .53772 L
.59551 .53747 L
.59407 .53612 L
.59391 .53532 L
.59321 .53451 L
.5923 .53318 L
.5921 .53291 L
.59087 .5313 L
.5907 .53128 L
.58964 .5297 L
.58909 .52913 L
.58813 .52809 L
.58749 .52695 L
.58712 .52649 L
.58592 .52488 L
.58588 .52483 L
.58471 .52328 L
.58428 .52296 L
.58296 .52167 L
.58267 .52072 L
.58212 .52007 L
.58106 .51854 L
.58101 .51846 L
.5798 .51686 L
.57946 .51642 L
.57858 .51525 L
.57785 .51449 L
.5771 .51364 L
.57625 .51225 L
.57609 .51204 L
.57491 .51043 L
.57464 .5101 L
.5737 .50883 L
.57304 .5083 L
.57202 .50722 L
.57143 .50593 L
.57118 .50562 L
.57005 .50401 L
.56983 .50373 L
.56886 .50241 L
.56822 .50158 L
.56765 .5008 L
.56662 .49956 L
.56632 .4992 L
.56525 .49759 L
.56501 .49729 L
.56408 .49599 L
.56341 .49511 L
.56289 .49438 L
.5618 .49306 L
.56157 .49278 L
.56054 .49117 L
.5602 .49071 L
.55941 .48957 L
.55859 .48846 L
.55826 .48796 L
.55712 .48636 L
.55699 .48616 L
.5561 .48475 L
.55538 .48369 L
.55508 .48314 L
F
.114 .93 1 r
.55538 .5648 m
.55582 .56501 L
.55699 .56592 L
.55764 .56662 L
.55859 .56764 L
.55906 .56822 L
.5602 .5696 L
.56037 .56983 L
.56157 .57143 L
.5618 .57174 L
.56268 .57304 L
.56341 .57408 L
.56374 .57464 L
.56341 .57592 L
.56209 .57464 L
.5618 .57436 L
.56061 .57304 L
.5602 .57258 L
.55924 .57143 L
.55859 .57064 L
.55795 .56983 L
.55699 .56853 L
.55676 .56822 L
.55573 .56662 L
.55538 .56594 L
.55509 .56501 L
F
0 .48 1 r
.55538 .489 m
.55591 .48957 L
.55699 .49065 L
.55743 .49117 L
.55859 .49245 L
.55886 .49278 L
.5602 .49428 L
.56025 .49438 L
.56158 .49599 L
.5618 .49624 L
.5629 .49759 L
.56341 .49818 L
.56422 .4992 L
.56501 .50015 L
.56554 .5008 L
.56662 .50203 L
.56712 .50241 L
.56813 .50401 L
.56822 .50413 L
.56939 .50562 L
.56983 .50615 L
.57067 .50722 L
.57143 .50781 L
.57195 .50883 L
.57304 .51015 L
.57332 .51043 L
.57447 .51204 L
.57464 .51226 L
.57571 .51364 L
.57625 .51432 L
.57697 .51525 L
.57785 .5162 L
.57859 .51686 L
.57946 .51845 L
.57947 .51846 L
.58069 .52007 L
.58106 .52054 L
.58192 .52167 L
.58267 .5222 L
.58316 .52328 L
.58428 .52468 L
.58446 .52488 L
.5856 .52649 L
.58588 .52685 L
.58681 .52809 L
.58749 .52897 L
.58803 .5297 L
.58909 .53098 L
.58941 .5313 L
.59043 .53291 L
.5907 .53325 L
.59161 .53451 L
.5923 .53542 L
.59281 .53612 L
.59391 .53759 L
.59401 .53772 L
.59514 .53933 L
.59551 .53982 L
.59628 .54093 L
.59712 .54208 L
.59743 .54254 L
.59853 .54414 L
.59872 .5444 L
.5995 .54575 L
.60033 .54708 L
.60042 .54735 L
.60033 .54748 L
.60019 .54735 L
.59872 .54601 L
.5985 .54575 L
.59712 .54424 L
.59703 .54414 L
.59566 .54254 L
.59551 .54238 L
.59432 .54093 L
.59391 .54047 L
.59298 .53933 L
.5923 .53854 L
.59165 .53772 L
.5907 .53658 L
.59033 .53612 L
.58909 .53464 L
.58894 .53451 L
.58774 .53291 L
.58749 .5326 L
.58647 .5313 L
.58588 .53059 L
.58519 .5297 L
.58428 .5288 L
.58391 .52809 L
.58267 .52655 L
.58261 .52649 L
.58139 .52488 L
.58106 .52448 L
.58014 .52328 L
.57946 .52242 L
.57888 .52167 L
.57785 .52047 L
.57742 .52007 L
.57638 .51846 L
.57625 .51829 L
.57516 .51686 L
.57464 .5162 L
.57393 .51525 L
.57304 .5144 L
.57268 .51364 L
.57144 .51204 L
.57143 .51203 L
.57024 .51043 L
.56983 .50991 L
.56903 .50883 L
.56822 .50779 L
.5678 .50722 L
.56662 .50571 L
.56653 .50562 L
.56539 .50401 L
.56501 .50353 L
.5642 .50241 L
.56341 .50137 L
.563 .5008 L
.5618 .49925 L
.56178 .4992 L
.56065 .49759 L
.5602 .497 L
.5595 .49599 L
.55859 .49478 L
.55832 .49438 L
.55719 .49278 L
.55699 .4925 L
.55616 .49117 L
.55538 .49005 L
.55512 .48957 L
F
1 .1 0 r
.55538 .49569 m
.55561 .49599 L
.55699 .49752 L
.55704 .49759 L
.55699 .49868 L
.55631 .49759 L
.55538 .49642 L
.55513 .49599 L
F
0 .47 1 r
.55538 .48917 m
.55577 .48957 L
.55699 .49074 L
.55736 .49117 L
.55859 .49252 L
.55881 .49278 L
.5602 .49438 L
.5602 .49438 L
.56153 .49599 L
.5618 .4963 L
.56286 .49759 L
.56341 .49823 L
.56418 .4992 L
.56501 .50019 L
.5655 .5008 L
.56662 .50208 L
.56706 .50241 L
.56809 .50401 L
.56822 .50417 L
.56936 .50562 L
.56983 .50618 L
.57064 .50722 L
.57143 .50785 L
.57192 .50883 L
.57304 .51019 L
.57328 .51043 L
.57444 .51204 L
.57464 .51229 L
.57569 .51364 L
.57625 .51435 L
.57694 .51525 L
.57785 .51624 L
.57855 .51686 L
.57944 .51846 L
.57946 .51848 L
.58066 .52007 L
.58106 .52057 L
.58189 .52167 L
.58267 .52224 L
.58313 .52328 L
.58428 .52472 L
.58442 .52488 L
.58557 .52649 L
.58588 .52688 L
.58678 .52809 L
.58749 .52901 L
.588 .5297 L
.58909 .53103 L
.58936 .5313 L
.5904 .53291 L
.5907 .53329 L
.59158 .53451 L
.5923 .53546 L
.59277 .53612 L
.59391 .53763 L
.59397 .53772 L
.5951 .53933 L
.59551 .53988 L
.59623 .54093 L
.59712 .54215 L
.59738 .54254 L
.59845 .54414 L
.59872 .54452 L
.59938 .54575 L
.59872 .5459 L
.59859 .54575 L
.59712 .54417 L
.5971 .54414 L
.59572 .54254 L
.59551 .54232 L
.59437 .54093 L
.59391 .54042 L
.59302 .53933 L
.5923 .53849 L
.59169 .53772 L
.5907 .53654 L
.59036 .53612 L
.58909 .53459 L
.589 .53451 L
.58777 .53291 L
.58749 .53256 L
.5865 .5313 L
.58588 .53055 L
.58522 .5297 L
.58428 .52876 L
.58393 .52809 L
.58267 .52651 L
.58265 .52649 L
.58142 .52488 L
.58106 .52445 L
.58017 .52328 L
.57946 .52239 L
.57891 .52167 L
.57785 .52043 L
.57746 .52007 L
.57641 .51846 L
.57625 .51826 L
.57519 .51686 L
.57464 .51617 L
.57395 .51525 L
.57304 .51436 L
.5727 .51364 L
.57147 .51204 L
.57143 .512 L
.57027 .51043 L
.56983 .50988 L
.56905 .50883 L
.56822 .50776 L
.56783 .50722 L
.56662 .50567 L
.56657 .50562 L
.56542 .50401 L
.56501 .50349 L
.56423 .50241 L
.56341 .50133 L
.56303 .5008 L
.56182 .4992 L
.5618 .49918 L
.56069 .49759 L
.5602 .49695 L
.55954 .49599 L
.55859 .49472 L
.55836 .49438 L
.55726 .49278 L
.55699 .49241 L
.55625 .49117 L
.55538 .48988 L
.55523 .48957 L
F
1 .09 0 r
.55538 .49583 m
.5555 .49599 L
.55538 .49626 L
.55524 .49599 L
F
1 .8 .002 r
.55538 .48258 m
.55604 .48314 L
.55699 .48398 L
.55771 .48475 L
.55859 .48567 L
.55921 .48636 L
.5602 .48709 L
.56064 .48796 L
.5618 .48925 L
.56229 .48957 L
.5634 .49117 L
.56341 .49117 L
.56475 .49278 L
.56501 .49308 L
.56609 .49438 L
.56662 .49486 L
.56742 .49599 L
.56822 .49694 L
.56889 .49759 L
.56983 .49896 L
.57003 .4992 L
.57133 .5008 L
.57143 .50083 L
.57263 .50241 L
.57304 .50286 L
.57426 .50401 L
.57464 .50493 L
.57522 .50562 L
.57625 .50698 L
.57641 .50722 L
.57773 .50883 L
.57785 .50893 L
.579 .51043 L
.57946 .51098 L
.58039 .51204 L
.58106 .51308 L
.58149 .51364 L
.58267 .51513 L
.58272 .51525 L
.58403 .51686 L
.58428 .51711 L
.58556 .51846 L
.58588 .51921 L
.58656 .52007 L
.58749 .52132 L
.5877 .52167 L
.58903 .52328 L
.58909 .52332 L
.59027 .52488 L
.5907 .52538 L
.59164 .52649 L
.5923 .52751 L
.59272 .52809 L
.59391 .5296 L
.59394 .5297 L
.59522 .5313 L
.59551 .53158 L
.59673 .53291 L
.59712 .53373 L
.59773 .53451 L
.59872 .53586 L
.59887 .53612 L
.60015 .53772 L
.60033 .53781 L
.60138 .53933 L
.60193 .53996 L
.60274 .54093 L
.60354 .54213 L
.60382 .54254 L
.60506 .54414 L
.60514 .54426 L
.60627 .54575 L
.60675 .54619 L
.60779 .54735 L
.60835 .54843 L
.60876 .54896 L
.60993 .55057 L
.60996 .5506 L
.61113 .55217 L
.61156 .55238 L
.61234 .55378 L
.61317 .55475 L
.61367 .55538 L
.61476 .55699 L
.61477 .557 L
.61594 .55859 L
.61638 .55917 L
.61714 .5602 L
.61799 .56112 L
.61855 .5618 L
.61952 .56341 L
.61959 .5635 L
.62067 .56501 L
.6212 .56571 L
.62184 .56662 L
.6228 .56793 L
.62327 .56822 L
.62414 .56983 L
.62441 .5702 L
.62523 .57143 L
.62601 .57253 L
.62634 .57304 L
.62739 .57464 L
.62762 .57499 L
.62826 .57625 L
.62762 .5766 L
.62727 .57625 L
.62601 .575 L
.62569 .57464 L
.62441 .57337 L
.62422 .57304 L
.62281 .57143 L
.6228 .57142 L
.62145 .56983 L
.6212 .56955 L
.62009 .56822 L
.61959 .56764 L
.61875 .56662 L
.61799 .56584 L
.61742 .56501 L
.61638 .56377 L
.61601 .56341 L
.6148 .5618 L
.61477 .56177 L
.61351 .5602 L
.61317 .55999 L
.61222 .55859 L
.61156 .55785 L
.61065 .55699 L
.60996 .55577 L
.60962 .55538 L
.60839 .55378 L
.60835 .55374 L
.60713 .55217 L
.60675 .55183 L
.60586 .55057 L
.60514 .5497 L
.60447 .54896 L
.60354 .54761 L
.60334 .54735 L
.60209 .54575 L
.60193 .54569 L
.60084 .54414 L
.60033 .54359 L
.59931 .54254 L
.59872 .54146 L
.59829 .54093 L
.59712 .53937 L
.59709 .53933 L
.59585 .53772 L
.59551 .53745 L
.59408 .53612 L
.59391 .53529 L
.59324 .53451 L
.5923 .53315 L
.59213 .53291 L
.59089 .5313 L
.5907 .53127 L
.58966 .5297 L
.58909 .5291 L
.58815 .52809 L
.58749 .52692 L
.58714 .52649 L
.58595 .52488 L
.58588 .5248 L
.58473 .52328 L
.58428 .52294 L
.58298 .52167 L
.58267 .52069 L
.58215 .52007 L
.58106 .51851 L
.58103 .51846 L
.57982 .51686 L
.57946 .51639 L
.5786 .51525 L
.57785 .51446 L
.57713 .51364 L
.57625 .51221 L
.57612 .51204 L
.57494 .51043 L
.57464 .51006 L
.57373 .50883 L
.57304 .50826 L
.57206 .50722 L
.57143 .50588 L
.57122 .50562 L
.57008 .50401 L
.56983 .50368 L
.56889 .50241 L
.56822 .50154 L
.56769 .5008 L
.56662 .49949 L
.56637 .4992 L
.56529 .49759 L
.56501 .49723 L
.56412 .49599 L
.56341 .49504 L
.56294 .49438 L
.5618 .49294 L
.56167 .49278 L
.56061 .49117 L
.5602 .49062 L
.55948 .48957 L
.55859 .48835 L
.55833 .48796 L
.55724 .48636 L
.55699 .486 L
.55625 .48475 L
.55538 .48337 L
.55528 .48314 L
F
.289 .96 1 r
.55538 .47582 m
.55646 .47672 L
.55699 .47719 L
.55811 .47833 L
.55859 .47881 L
.55963 .47993 L
.5602 .48054 L
.5611 .48154 L
.5618 .48227 L
.56252 .48314 L
.56341 .4842 L
.564 .48475 L
.56501 .48611 L
.56522 .48636 L
.56661 .48796 L
.56662 .48796 L
.56796 .48957 L
.56822 .48989 L
.5695 .49117 L
.56983 .49189 L
.57056 .49278 L
.57143 .49392 L
.57172 .49438 L
.57304 .49591 L
.57321 .49599 L
.5745 .49759 L
.57464 .49779 L
.5758 .4992 L
.57625 .49986 L
.57692 .5008 L
.57785 .50197 L
.57799 .50241 L
.57946 .50383 L
.57961 .50401 L
.58093 .50562 L
.58106 .50589 L
.58207 .50722 L
.58267 .50802 L
.58315 .50883 L
.58428 .51016 L
.58467 .51043 L
.58588 .51202 L
.5859 .51204 L
.58716 .51364 L
.58749 .51412 L
.58826 .51525 L
.58909 .51628 L
.58926 .51686 L
.5907 .5184 L
.59091 .51846 L
.59218 .52007 L
.5923 .52029 L
.59333 .52167 L
.59391 .52243 L
.59438 .52328 L
.59551 .52459 L
.59589 .52488 L
.59711 .52649 L
.59712 .5265 L
.59836 .52809 L
.59872 .52861 L
.59945 .5297 L
.60033 .53077 L
.60044 .5313 L
.60193 .53285 L
.60207 .53291 L
.60336 .53451 L
.60354 .53483 L
.60448 .53612 L
.60514 .53697 L
.60554 .53772 L
.60675 .5391 L
.60702 .53933 L
.60832 .54093 L
.60835 .54108 L
.6095 .54254 L
.60996 .5432 L
.61058 .54414 L
.61156 .54533 L
.61162 .54575 L
.61317 .54735 L
.61317 .54735 L
.6145 .54896 L
.61477 .54944 L
.6156 .55057 L
.61638 .55157 L
.61667 .55217 L
.61799 .55367 L
.6181 .55378 L
.6195 .55538 L
.61959 .55569 L
.6206 .55699 L
.6212 .55782 L
.62168 .55859 L
.6228 .55995 L
.62281 .5602 L
.62424 .5618 L
.62441 .56196 L
.62561 .56341 L
.62601 .56408 L
.62667 .56501 L
.62762 .56623 L
.62779 .56662 L
.62914 .56822 L
.62922 .56826 L
.63065 .56983 L
.63083 .57035 L
.63166 .57143 L
.63243 .57252 L
.63275 .57304 L
.63403 .57464 L
.63404 .57465 L
.63524 .57625 L
.63564 .57661 L
.63665 .57785 L
.63725 .57882 L
.63769 .57946 L
.63885 .581 L
.63888 .58106 L
.6401 .58267 L
.64046 .58284 L
.64168 .58428 L
.64206 .58515 L
.6426 .58588 L
.64367 .5874 L
.64372 .58749 L
.64491 .58909 L
.64527 .58957 L
.6461 .5907 L
.64688 .59152 L
.64747 .5923 L
.64848 .5939 L
.64849 .59391 L
.64964 .59551 L
.65009 .59612 L
.6508 .59712 L
.6517 .59834 L
.65219 .59872 L
.6531 .60033 L
.6533 .60061 L
.65419 .60193 L
.65491 .60296 L
.65528 .60354 L
.65633 .60514 L
.65651 .60543 L
.6572 .60675 L
.65651 .60738 L
.65586 .60675 L
.65491 .60585 L
.65425 .60514 L
.6533 .60444 L
.65275 .60354 L
.6517 .60242 L
.65088 .60193 L
.65009 .60053 L
.64987 .60033 L
.64855 .59872 L
.64848 .59865 L
.6472 .59712 L
.64688 .59682 L
.64586 .59551 L
.64527 .59482 L
.64433 .59391 L
.64367 .5928 L
.64323 .5923 L
.64206 .59082 L
.64199 .5907 L
.64064 .58909 L
.64046 .58889 L
.639 .58749 L
.63885 .58684 L
.63801 .58588 L
.63725 .58477 L
.63688 .58428 L
.63564 .58275 L
.63563 .58267 L
.63428 .58106 L
.63404 .58077 L
.63286 .57946 L
.63243 .57868 L
.63178 .57785 L
.63083 .57659 L
.63064 .57625 L
.62925 .57464 L
.62922 .57461 L
.62775 .57304 L
.62762 .57254 L
.6267 .57143 L
.62601 .57043 L
.62559 .56983 L
.62441 .56835 L
.6244 .56822 L
.62303 .56662 L
.6228 .56636 L
.62163 .56501 L
.6212 .56425 L
.62055 .56341 L
.61959 .56213 L
.61942 .5618 L
.61806 .5602 L
.61799 .56012 L
.61655 .55859 L
.61638 .55804 L
.61551 .55699 L
.61477 .55592 L
.61441 .55538 L
.61317 .55384 L
.61311 .55378 L
.61188 .55217 L
.61156 .55182 L
.61047 .55057 L
.60996 .54969 L
.6094 .54896 L
.60835 .54758 L
.60825 .54735 L
.60694 .54575 L
.60675 .54558 L
.60539 .54414 L
.60514 .54347 L
.60439 .54254 L
.60354 .54133 L
.60328 .54093 L
.602 .53933 L
.60193 .5393 L
.60078 .53772 L
.60033 .53724 L
.59935 .53612 L
.59872 .53509 L
.59829 .53451 L
.59712 .53296 L
.59709 .53291 L
.59586 .5313 L
.59551 .53103 L
.59427 .5297 L
.59391 .52885 L
.5933 .52809 L
.5923 .52669 L
.59217 .52649 L
.59094 .52488 L
.5907 .52482 L
.58972 .52328 L
.58909 .52263 L
.58828 .52167 L
.58749 .52043 L
.58722 .52007 L
.58602 .51846 L
.58588 .51829 L
.58481 .51686 L
.58428 .51643 L
.58322 .51525 L
.58267 .51417 L
.58226 .51364 L
.58111 .51204 L
.58106 .51198 L
.57991 .51043 L
.57946 .50986 L
.57869 .50883 L
.57785 .50792 L
.57729 .50722 L
.57625 .50567 L
.57621 .50562 L
.57502 .50401 L
.57464 .50353 L
.57382 .50241 L
.57304 .5017 L
.57229 .5008 L
.57143 .49933 L
.57133 .4992 L
.57017 .49759 L
.56983 .49716 L
.56897 .49599 L
.56822 .49502 L
.56776 .49438 L
.56662 .49295 L
.56649 .49278 L
.56536 .49117 L
.56501 .49072 L
.56419 .48957 L
.56341 .48854 L
.56299 .48796 L
.5618 .4864 L
.56177 .48636 L
.56066 .48475 L
.5602 .48413 L
.55953 .48314 L
.55859 .48187 L
.55837 .48154 L
.55727 .47993 L
.55699 .47953 L
.55627 .47833 L
.55538 .47693 L
.55528 .47672 L
F
1 .85 .01 r
.55538 .53804 m
.55699 .53925 L
.55705 .53933 L
.55859 .5409 L
.55864 .54093 L
.56004 .54254 L
.5602 .54272 L
.56139 .54414 L
.5618 .54464 L
.56269 .54575 L
.56341 .54628 L
.56394 .54735 L
.56501 .54874 L
.56518 .54896 L
.56626 .55057 L
.56662 .55109 L
.56731 .55217 L
.56818 .55378 L
.56662 .554 L
.56651 .55378 L
.56501 .55231 L
.56493 .55217 L
.56354 .55057 L
.56341 .55042 L
.56224 .54896 L
.5618 .54843 L
.56098 .54735 L
.5602 .54638 L
.55973 .54575 L
.55859 .54437 L
.55851 .54414 L
.55738 .54254 L
.55699 .542 L
.5563 .54093 L
.55538 .5395 L
.55529 .53933 L
F
0 .63 1 r
.55538 .54423 m
.55654 .54575 L
.55699 .5463 L
.55768 .54735 L
.55859 .54887 L
.55862 .54896 L
.55859 .54904 L
.55846 .54896 L
.55699 .54768 L
.55672 .54735 L
.55538 .5458 L
.55534 .54575 L
F
0 .46 1 r
.55538 .48949 m
.55552 .48957 L
.55699 .49084 L
.55728 .49117 L
.55859 .49259 L
.55875 .49278 L
.56014 .49438 L
.5602 .49444 L
.56148 .49599 L
.5618 .49635 L
.56281 .49759 L
.56341 .49828 L
.56415 .4992 L
.56501 .50023 L
.56547 .5008 L
.56662 .50213 L
.56699 .50241 L
.56806 .50401 L
.56822 .50421 L
.56933 .50562 L
.56983 .50622 L
.57061 .50722 L
.57143 .50789 L
.57189 .50883 L
.57304 .51024 L
.57324 .51043 L
.57441 .51204 L
.57464 .51232 L
.57566 .51364 L
.57625 .51438 L
.57692 .51525 L
.57785 .51628 L
.5785 .51686 L
.57942 .51846 L
.57946 .51851 L
.58063 .52007 L
.58106 .52061 L
.58187 .52167 L
.58267 .52228 L
.58311 .52328 L
.58428 .52476 L
.58438 .52488 L
.58554 .52649 L
.58588 .52692 L
.58675 .52809 L
.58749 .52904 L
.58797 .5297 L
.58909 .53109 L
.5893 .5313 L
.59037 .53291 L
.5907 .53333 L
.59154 .53451 L
.5923 .53551 L
.59274 .53612 L
.59391 .53768 L
.59394 .53772 L
.59505 .53933 L
.59551 .53994 L
.59618 .54093 L
.59712 .54222 L
.59733 .54254 L
.59712 .54408 L
.59579 .54254 L
.59551 .54225 L
.59442 .54093 L
.59391 .54036 L
.59307 .53933 L
.5923 .53844 L
.59173 .53772 L
.5907 .5365 L
.59039 .53612 L
.58909 .53453 L
.58906 .53451 L
.58781 .53291 L
.58749 .53252 L
.58653 .5313 L
.58588 .53052 L
.58524 .5297 L
.58428 .52871 L
.58396 .52809 L
.58268 .52649 L
.58267 .52647 L
.58144 .52488 L
.58106 .52441 L
.58019 .52328 L
.57946 .52236 L
.57893 .52167 L
.57785 .52039 L
.57751 .52007 L
.57644 .51846 L
.57625 .51823 L
.57521 .51686 L
.57464 .51614 L
.57397 .51525 L
.57304 .51432 L
.57273 .51364 L
.57149 .51204 L
.57143 .51197 L
.57029 .51043 L
.56983 .50984 L
.56908 .50883 L
.56822 .50773 L
.56785 .50722 L
.56662 .50562 L
.56662 .50562 L
.56545 .50401 L
.56501 .50345 L
.56426 .50241 L
.56341 .50129 L
.56306 .5008 L
.56185 .4992 L
.5618 .49913 L
.56073 .49759 L
.5602 .49689 L
.55958 .49599 L
.55859 .49466 L
.55841 .49438 L
.55733 .49278 L
.55699 .49231 L
.55634 .49117 L
.55538 .4896 L
.55537 .48957 L
F
1 .98 .538 r
.55699 .56076 m
.55859 .5608 L
.5602 .56171 L
.56026 .5618 L
.56166 .56341 L
.5618 .56364 L
.56293 .56501 L
.56341 .56567 L
.56437 .56662 L
.56501 .56773 L
.56545 .56822 L
.56662 .56976 L
.56665 .56983 L
.5679 .57143 L
.56822 .57165 L
.56946 .57304 L
.56983 .57381 L
.57045 .57464 L
.57143 .57601 L
.57157 .57625 L
.5728 .57785 L
.57304 .57816 L
.57401 .57946 L
.57464 .5803 L
.57541 .58106 L
.57625 .5823 L
.57644 .58267 L
.57758 .58428 L
.57785 .58466 L
.57868 .58588 L
.57946 .58713 L
.57983 .58749 L
.57946 .58899 L
.57785 .58862 L
.57625 .5876 L
.57614 .58749 L
.57464 .58608 L
.57461 .58588 L
.57304 .58428 L
.57303 .58428 L
.5716 .58267 L
.57143 .58227 L
.57042 .58106 L
.56983 .58011 L
.56933 .57946 L
.56822 .57837 L
.56781 .57785 L
.56662 .5763 L
.56657 .57625 L
.56532 .57464 L
.56501 .57418 L
.56421 .57304 L
.56341 .57202 L
.56323 .57143 L
.5618 .56993 L
.56161 .56983 L
.56033 .56822 L
.5602 .56805 L
.55921 .56662 L
.55859 .56603 L
.55818 .56501 L
.55699 .56394 L
.55679 .56341 L
.55546 .5618 L
F
1 .97 .395 r
.55699 .56111 m
.55859 .56113 L
.55989 .5618 L
.5602 .56204 L
.56148 .56341 L
.5618 .56389 L
.56281 .56501 L
.56341 .56581 L
.56428 .56662 L
.56501 .56783 L
.56536 .56822 L
.5666 .56983 L
.56662 .56985 L
.56782 .57143 L
.56822 .57172 L
.56939 .57304 L
.56983 .57393 L
.57036 .57464 L
.57143 .57615 L
.57149 .57625 L
.57269 .57785 L
.57304 .57832 L
.57388 .57946 L
.57464 .58049 L
.57523 .58106 L
.57623 .58267 L
.57625 .5827 L
.57729 .58428 L
.57785 .58517 L
.57825 .58588 L
.57851 .58749 L
.57785 .58767 L
.57747 .58749 L
.57625 .58678 L
.5751 .58588 L
.57464 .58541 L
.57346 .58428 L
.57304 .58374 L
.57181 .58267 L
.57143 .58185 L
.57066 .58106 L
.56983 .57983 L
.5695 .57946 L
.56822 .57813 L
.568 .57785 L
.56663 .57625 L
.56662 .57609 L
.56544 .57464 L
.56501 .574 L
.56434 .57304 L
.56341 .57187 L
.56329 .57143 L
.5618 .56986 L
.56174 .56983 L
.56042 .56822 L
.5602 .56792 L
.55934 .56662 L
.55859 .56583 L
.5583 .56501 L
.55703 .56341 L
.55699 .56334 L
.5557 .5618 L
F
.084 .92 1 r
.55699 .56634 m
.55727 .56662 L
.55859 .56796 L
.5588 .56822 L
.56013 .56983 L
.5602 .56991 L
.56127 .57143 L
.5618 .57215 L
.56234 .57304 L
.5618 .57387 L
.56101 .57304 L
.5602 .57217 L
.55957 .57143 L
.55859 .57025 L
.55826 .56983 L
.5571 .56822 L
.55699 .56806 L
.5562 .56662 L
F
.538 .98 1 r
.55699 .53308 m
.55859 .53403 L
.55923 .53451 L
.5602 .5355 L
.56103 .53612 L
.5618 .53724 L
.5623 .53772 L
.56341 .5391 L
.56359 .53933 L
.565 .54093 L
.56501 .54094 L
.5664 .54254 L
.56662 .54296 L
.56754 .54414 L
.56822 .54505 L
.56865 .54575 L
.56983 .54713 L
.57011 .54735 L
.57141 .54896 L
.57143 .54909 L
.57255 .55057 L
.57304 .55121 L
.5736 .55217 L
.57464 .55342 L
.57469 .55378 L
.576 .55538 L
.57625 .5558 L
.57715 .55699 L
.57732 .55859 L
.57625 .55897 L
.5752 .55859 L
.57464 .55833 L
.5733 .55699 L
.57304 .55682 L
.5719 .55538 L
.57143 .55496 L
.57059 .55378 L
.56983 .55293 L
.56893 .55217 L
.56822 .55083 L
.56797 .55057 L
.5668 .54896 L
.56662 .54874 L
.56558 .54735 L
.56501 .54663 L
.56436 .54575 L
.56341 .5447 L
.56296 .54414 L
.5619 .54254 L
.5618 .54241 L
.56073 .54093 L
.5602 .54023 L
.55955 .53933 L
.55859 .53802 L
.55822 .53772 L
.55731 .53612 L
.55699 .5356 L
.55642 .53451 L
F
1 .96 .289 r
.55699 .56154 m
.55859 .56142 L
.55944 .5618 L
.5602 .5623 L
.5613 .56341 L
.5618 .56409 L
.56269 .56501 L
.56341 .56594 L
.56417 .56662 L
.56501 .56793 L
.56528 .56822 L
.56651 .56983 L
.56662 .56996 L
.56773 .57143 L
.56822 .5718 L
.56931 .57304 L
.56983 .57406 L
.57026 .57464 L
.5714 .57625 L
.57143 .57629 L
.57257 .57785 L
.57304 .57848 L
.57375 .57946 L
.57464 .5807 L
.57503 .58106 L
.576 .58267 L
.57625 .58305 L
.57697 .58428 L
.57766 .58588 L
.57625 .58614 L
.57586 .58588 L
.57464 .5849 L
.5739 .58428 L
.57304 .58332 L
.57207 .58267 L
.57143 .58154 L
.57089 .58106 L
.56983 .57964 L
.56963 .57946 L
.56822 .5779 L
.56818 .57785 L
.56663 .57625 L
.56662 .5759 L
.56556 .57464 L
.56501 .57383 L
.56445 .57304 L
.56341 .57174 L
.56334 .57143 L
.56186 .56983 L
.5618 .56979 L
.56051 .56822 L
.5602 .56779 L
.55947 .56662 L
.55859 .56559 L
.55841 .56501 L
.55726 .56341 L
.55699 .56282 L
.55642 .5618 L
F
1 .84 .007 r
.55699 .53948 m
.55846 .54093 L
.55859 .54107 L
.55991 .54254 L
.5602 .54286 L
.56127 .54414 L
.5618 .54478 L
.56258 .54575 L
.56341 .54644 L
.56384 .54735 L
.56501 .54894 L
.56503 .54896 L
.56614 .55057 L
.56662 .55129 L
.56717 .55217 L
.56662 .55369 L
.56505 .55217 L
.56501 .55214 L
.56365 .55057 L
.56341 .5503 L
.56233 .54896 L
.5618 .54833 L
.56106 .54735 L
.5602 .54627 L
.55981 .54575 L
.55859 .54416 L
.55858 .54414 L
.55748 .54254 L
.55699 .54184 L
.55643 .54093 L
F
1 .79 .001 r
.55699 .48422 m
.55751 .48475 L
.55859 .48583 L
.55907 .48636 L
.5602 .48728 L
.56053 .48796 L
.5618 .48938 L
.5621 .48957 L
.56332 .49117 L
.56341 .49127 L
.56467 .49278 L
.56501 .49317 L
.56602 .49438 L
.56662 .49493 L
.56736 .49599 L
.56822 .49701 L
.56882 .49759 L
.56983 .49902 L
.56998 .4992 L
.57128 .5008 L
.57143 .50084 L
.57258 .50241 L
.57304 .50291 L
.57423 .50401 L
.57464 .50499 L
.57518 .50562 L
.57625 .50703 L
.57638 .50722 L
.57769 .50883 L
.57785 .50896 L
.57897 .51043 L
.57946 .51103 L
.58036 .51204 L
.58106 .51312 L
.58146 .51364 L
.58267 .51517 L
.5827 .51525 L
.584 .51686 L
.58428 .51714 L
.58554 .51846 L
.58588 .51925 L
.58654 .52007 L
.58749 .52135 L
.58768 .52167 L
.589 .52328 L
.58909 .52334 L
.59024 .52488 L
.5907 .52541 L
.59161 .52649 L
.5923 .52755 L
.59269 .52809 L
.59391 .52963 L
.59393 .5297 L
.59519 .5313 L
.59551 .53161 L
.59671 .53291 L
.59712 .53376 L
.5977 .53451 L
.59872 .53589 L
.59885 .53612 L
.60012 .53772 L
.60033 .53783 L
.60135 .53933 L
.60193 .53999 L
.60272 .54093 L
.60354 .54217 L
.6038 .54254 L
.60503 .54414 L
.60514 .5443 L
.60624 .54575 L
.60675 .54622 L
.60776 .54735 L
.60835 .54847 L
.60873 .54896 L
.6099 .55057 L
.60996 .55065 L
.6111 .55217 L
.61156 .55241 L
.61231 .55378 L
.61317 .5548 L
.61363 .55538 L
.61472 .55699 L
.61477 .55706 L
.6159 .55859 L
.61638 .55922 L
.61709 .5602 L
.61799 .5612 L
.61848 .5618 L
.61947 .56341 L
.61959 .56357 L
.62062 .56501 L
.6212 .56579 L
.62178 .56662 L
.6228 .56802 L
.62313 .56822 L
.62405 .56983 L
.62441 .57032 L
.62514 .57143 L
.62601 .57269 L
.62624 .57304 L
.6272 .57464 L
.62762 .57534 L
.62785 .57625 L
.62762 .57628 L
.62758 .57625 L
.62601 .57482 L
.62585 .57464 L
.62441 .57315 L
.62434 .57304 L
.62292 .57143 L
.6228 .57131 L
.62154 .56983 L
.6212 .56945 L
.62017 .56822 L
.61959 .56755 L
.61882 .56662 L
.61799 .56576 L
.61748 .56501 L
.61638 .5637 L
.61608 .56341 L
.61485 .5618 L
.61477 .56171 L
.61356 .5602 L
.61317 .55995 L
.61227 .55859 L
.61156 .5578 L
.6107 .55699 L
.60996 .55572 L
.60966 .55538 L
.60842 .55378 L
.60835 .55369 L
.60716 .55217 L
.60675 .55179 L
.6059 .55057 L
.60514 .54966 L
.6045 .54896 L
.60354 .54757 L
.60337 .54735 L
.60212 .54575 L
.60193 .54568 L
.60087 .54414 L
.60033 .54356 L
.59934 .54254 L
.59872 .54142 L
.59832 .54093 L
.59712 .53934 L
.59711 .53933 L
.59588 .53772 L
.59551 .53742 L
.5941 .53612 L
.59391 .53525 L
.59326 .53451 L
.5923 .53312 L
.59215 .53291 L
.59092 .5313 L
.5907 .53126 L
.58969 .5297 L
.58909 .52908 L
.58818 .52809 L
.58749 .52689 L
.58716 .52649 L
.58597 .52488 L
.58588 .52477 L
.58476 .52328 L
.58428 .52291 L
.58301 .52167 L
.58267 .52066 L
.58217 .52007 L
.58106 .51848 L
.58105 .51846 L
.57985 .51686 L
.57946 .51636 L
.57863 .51525 L
.57785 .51442 L
.57716 .51364 L
.57625 .51217 L
.57615 .51204 L
.57496 .51043 L
.57464 .51002 L
.57376 .50883 L
.57304 .50822 L
.5721 .50722 L
.57143 .50583 L
.57126 .50562 L
.57012 .50401 L
.56983 .50364 L
.56893 .50241 L
.56822 .50149 L
.56772 .5008 L
.56662 .49942 L
.56643 .4992 L
.56534 .49759 L
.56501 .49717 L
.56417 .49599 L
.56341 .49498 L
.56299 .49438 L
.5618 .49281 L
.56177 .49278 L
.56068 .49117 L
.5602 .49052 L
.55956 .48957 L
.55859 .48823 L
.55842 .48796 L
.55737 .48636 L
.55699 .48579 L
.55643 .48475 L
F
0 .45 1 r
.55699 .49095 m
.55718 .49117 L
.55859 .49267 L
.55868 .49278 L
.56007 .49438 L
.5602 .49451 L
.56142 .49599 L
.5618 .49641 L
.56277 .49759 L
.56341 .49833 L
.56411 .4992 L
.56501 .50028 L
.56543 .5008 L
.56662 .50219 L
.56691 .50241 L
.56802 .50401 L
.56822 .50425 L
.5693 .50562 L
.56983 .50626 L
.57058 .50722 L
.57143 .50794 L
.57187 .50883 L
.57304 .51028 L
.5732 .51043 L
.57438 .51204 L
.57464 .51236 L
.57563 .51364 L
.57625 .51442 L
.57689 .51525 L
.57785 .51632 L
.57846 .51686 L
.57939 .51846 L
.57946 .51855 L
.58061 .52007 L
.58106 .52064 L
.58184 .52167 L
.58267 .52232 L
.58308 .52328 L
.58428 .52481 L
.58434 .52488 L
.58551 .52649 L
.58588 .52695 L
.58672 .52809 L
.58749 .52908 L
.58794 .5297 L
.58909 .53115 L
.58924 .5313 L
.59033 .53291 L
.5907 .53338 L
.59151 .53451 L
.5923 .53555 L
.5927 .53612 L
.5939 .53772 L
.59391 .53773 L
.595 .53933 L
.59551 .54001 L
.59613 .54093 L
.59712 .5423 L
.59727 .54254 L
.59712 .54399 L
.59586 .54254 L
.59551 .54218 L
.59448 .54093 L
.59391 .5403 L
.59312 .53933 L
.5923 .53839 L
.59177 .53772 L
.5907 .53645 L
.59043 .53612 L
.58911 .53451 L
.58909 .53449 L
.58784 .53291 L
.58749 .53248 L
.58656 .5313 L
.58588 .53048 L
.58527 .5297 L
.58428 .52867 L
.58399 .52809 L
.58271 .52649 L
.58267 .52644 L
.58147 .52488 L
.58106 .52438 L
.58022 .52328 L
.57946 .52233 L
.57896 .52167 L
.57785 .52035 L
.57755 .52007 L
.57646 .51846 L
.57625 .5182 L
.57524 .51686 L
.57464 .51611 L
.574 .51525 L
.57304 .51427 L
.57275 .51364 L
.57152 .51204 L
.57143 .51193 L
.57032 .51043 L
.56983 .50981 L
.56911 .50883 L
.56822 .50769 L
.56788 .50722 L
.56665 .50562 L
.56662 .50558 L
.56548 .50401 L
.56501 .50341 L
.56429 .50241 L
.56341 .50125 L
.56309 .5008 L
.56189 .4992 L
.5618 .49908 L
.56077 .49759 L
.5602 .49684 L
.55962 .49599 L
.55859 .49459 L
.55845 .49438 L
.55741 .49278 L
.55699 .49219 L
.55645 .49117 L
F
1 .83 .005 r
.55699 .53972 m
.55827 .54093 L
.55859 .54124 L
.55977 .54254 L
.5602 .54301 L
.56115 .54414 L
.5618 .54492 L
.56247 .54575 L
.56341 .54664 L
.56372 .54735 L
.5649 .54896 L
.56501 .54911 L
.56601 .55057 L
.56662 .55153 L
.567 .55217 L
.56662 .55344 L
.56521 .55217 L
.56501 .55198 L
.56376 .55057 L
.56341 .55017 L
.56243 .54896 L
.5618 .54821 L
.56115 .54735 L
.5602 .54616 L
.55989 .54575 L
.55869 .54414 L
.55859 .54402 L
.5576 .54254 L
.55699 .54165 L
.55656 .54093 L
F
0 .44 1 r
.55699 .49108 m
.55707 .49117 L
.55859 .49275 L
.55861 .49278 L
.56 .49438 L
.5602 .49458 L
.56137 .49599 L
.5618 .49647 L
.56272 .49759 L
.56341 .49838 L
.56407 .4992 L
.56501 .50033 L
.5654 .5008 L
.56662 .50225 L
.56683 .50241 L
.56799 .50401 L
.56822 .50429 L
.56927 .50562 L
.56983 .5063 L
.57055 .50722 L
.57143 .50799 L
.57184 .50883 L
.57304 .51032 L
.57316 .51043 L
.57436 .51204 L
.57464 .51239 L
.57561 .51364 L
.57625 .51445 L
.57686 .51525 L
.57785 .51637 L
.57841 .51686 L
.57936 .51846 L
.57946 .51858 L
.58058 .52007 L
.58106 .52067 L
.58182 .52167 L
.58267 .52237 L
.58306 .52328 L
.58428 .52485 L
.5843 .52488 L
.58549 .52649 L
.58588 .52699 L
.58669 .52809 L
.58749 .52912 L
.58791 .5297 L
.58909 .53121 L
.58918 .5313 L
.5903 .53291 L
.5907 .53342 L
.59148 .53451 L
.5923 .5356 L
.59267 .53612 L
.59385 .53772 L
.59391 .53779 L
.59495 .53933 L
.59551 .54008 L
.59608 .54093 L
.59712 .54238 L
.59722 .54254 L
.59712 .54388 L
.59594 .54254 L
.59551 .5421 L
.59454 .54093 L
.59391 .54024 L
.59316 .53933 L
.5923 .53834 L
.59181 .53772 L
.5907 .53641 L
.59047 .53612 L
.58915 .53451 L
.58909 .53444 L
.58788 .53291 L
.58749 .53244 L
.58659 .5313 L
.58588 .53044 L
.5853 .5297 L
.58428 .52862 L
.58401 .52809 L
.58274 .52649 L
.58267 .5264 L
.5815 .52488 L
.58106 .52435 L
.58024 .52328 L
.57946 .5223 L
.57898 .52167 L
.57785 .52031 L
.57759 .52007 L
.57649 .51846 L
.57625 .51816 L
.57526 .51686 L
.57464 .51608 L
.57402 .51525 L
.57304 .51423 L
.57277 .51364 L
.57155 .51204 L
.57143 .5119 L
.57035 .51043 L
.56983 .50978 L
.56913 .50883 L
.56822 .50766 L
.5679 .50722 L
.56668 .50562 L
.56662 .50554 L
.56551 .50401 L
.56501 .50337 L
.56432 .50241 L
.56341 .50121 L
.56312 .5008 L
.56193 .4992 L
.5618 .49903 L
.56081 .49759 L
.5602 .49678 L
.55967 .49599 L
.55859 .49452 L
.5585 .49438 L
.55749 .49278 L
.55699 .49204 L
.55661 .49117 L
F
1 .78 .001 r
.55699 .48452 m
.55724 .48475 L
.55859 .48601 L
.55891 .48636 L
.5602 .48752 L
.56041 .48796 L
.5618 .48952 L
.56188 .48957 L
.56322 .49117 L
.56341 .49138 L
.56459 .49278 L
.56501 .49326 L
.56595 .49438 L
.56662 .495 L
.5673 .49599 L
.56822 .49709 L
.56875 .49759 L
.56983 .49908 L
.56992 .4992 L
.57123 .5008 L
.57143 .50085 L
.57253 .50241 L
.57304 .50296 L
.57419 .50401 L
.57464 .50504 L
.57514 .50562 L
.57625 .50707 L
.57635 .50722 L
.57765 .50883 L
.57785 .50899 L
.57893 .51043 L
.57946 .51107 L
.58033 .51204 L
.58106 .51316 L
.58143 .51364 L
.58267 .5152 L
.58269 .51525 L
.58397 .51686 L
.58428 .51717 L
.58552 .51846 L
.58588 .51929 L
.58651 .52007 L
.58749 .52139 L
.58766 .52167 L
.58897 .52328 L
.58909 .52336 L
.59021 .52488 L
.5907 .52545 L
.59159 .52649 L
.5923 .52758 L
.59267 .52809 L
.59391 .52966 L
.59392 .5297 L
.59517 .5313 L
.59551 .53164 L
.59669 .53291 L
.59712 .53379 L
.59768 .53451 L
.59872 .53593 L
.59883 .53612 L
.6001 .53772 L
.60033 .53784 L
.60132 .53933 L
.60193 .54003 L
.60269 .54093 L
.60354 .54221 L
.60377 .54254 L
.605 .54414 L
.60514 .54433 L
.60621 .54575 L
.60675 .54626 L
.60773 .54735 L
.60835 .54851 L
.60869 .54896 L
.60986 .55057 L
.60996 .55069 L
.61106 .55217 L
.61156 .55244 L
.61227 .55378 L
.61317 .55486 L
.61359 .55538 L
.61468 .55699 L
.61477 .55711 L
.61586 .55859 L
.61638 .55928 L
.61705 .5602 L
.61799 .56128 L
.61841 .5618 L
.61941 .56341 L
.61959 .56365 L
.62056 .56501 L
.6212 .56588 L
.62172 .56662 L
.6228 .56811 L
.62298 .56822 L
.62396 .56983 L
.62441 .57045 L
.62504 .57143 L
.62601 .57286 L
.62612 .57304 L
.62601 .5746 L
.62449 .57304 L
.62441 .57295 L
.62304 .57143 L
.6228 .57118 L
.62164 .56983 L
.6212 .56934 L
.62026 .56822 L
.61959 .56746 L
.61889 .56662 L
.61799 .56568 L
.61754 .56501 L
.61638 .56362 L
.61615 .56341 L
.61491 .5618 L
.61477 .56164 L
.61361 .5602 L
.61317 .55992 L
.61231 .55859 L
.61156 .55775 L
.61074 .55699 L
.60996 .55567 L
.60971 .55538 L
.60846 .55378 L
.60835 .55364 L
.6072 .55217 L
.60675 .55176 L
.60593 .55057 L
.60514 .54962 L
.60454 .54896 L
.60354 .54753 L
.6034 .54735 L
.60215 .54575 L
.60193 .54566 L
.6009 .54414 L
.60033 .54353 L
.59936 .54254 L
.59872 .54139 L
.59835 .54093 L
.59714 .53933 L
.59712 .5393 L
.5959 .53772 L
.59551 .5374 L
.59412 .53612 L
.59391 .53522 L
.59329 .53451 L
.5923 .53309 L
.59217 .53291 L
.59094 .5313 L
.5907 .53126 L
.58971 .5297 L
.58909 .52905 L
.5882 .52809 L
.58749 .52686 L
.58719 .52649 L
.586 .52488 L
.58588 .52474 L
.58478 .52328 L
.58428 .52289 L
.58303 .52167 L
.58267 .52062 L
.5822 .52007 L
.58108 .51846 L
.58106 .51845 L
.57987 .51686 L
.57946 .51633 L
.57865 .51525 L
.57785 .51439 L
.57719 .51364 L
.57625 .51213 L
.57618 .51204 L
.57499 .51043 L
.57464 .50999 L
.57379 .50883 L
.57304 .50817 L
.57214 .50722 L
.57143 .50578 L
.5713 .50562 L
.57015 .50401 L
.56983 .50359 L
.56896 .50241 L
.56822 .50144 L
.56776 .5008 L
.56662 .49935 L
.56649 .4992 L
.56538 .49759 L
.56501 .49711 L
.56422 .49599 L
.56341 .49491 L
.56304 .49438 L
.56185 .49278 L
.5618 .49271 L
.56075 .49117 L
.5602 .49042 L
.55964 .48957 L
.55859 .4881 L
.5585 .48796 L
.55752 .48636 L
.55699 .48551 L
.55669 .48475 L
F
1 .82 .004 r
.55699 .54 m
.55806 .54093 L
.55859 .54142 L
.55962 .54254 L
.5602 .54316 L
.56103 .54414 L
.5618 .54506 L
.56235 .54575 L
.56341 .54688 L
.56361 .54735 L
.56478 .54896 L
.56501 .54929 L
.56586 .55057 L
.56662 .55181 L
.56681 .55217 L
.56662 .55312 L
.56541 .55217 L
.56501 .55181 L
.56389 .55057 L
.56341 .55004 L
.56254 .54896 L
.5618 .54809 L
.56124 .54735 L
.5602 .54605 L
.55998 .54575 L
.5588 .54414 L
.55859 .54387 L
.55773 .54254 L
.55699 .54142 L
.55672 .54093 L
F
0 .62 1 r
.55699 .5465 m
.55751 .54735 L
.55699 .54753 L
.55685 .54735 L
F
1 .81 .003 r
.55699 .54041 m
.55777 .54093 L
.55859 .54163 L
.55946 .54254 L
.5602 .54333 L
.5609 .54414 L
.5618 .54522 L
.56223 .54575 L
.56341 .54716 L
.56349 .54735 L
.56464 .54896 L
.56501 .54949 L
.56571 .55057 L
.56501 .55161 L
.56404 .55057 L
.56341 .54989 L
.56265 .54896 L
.5618 .54797 L
.56134 .54735 L
.5602 .54592 L
.56007 .54575 L
.55892 .54414 L
.55859 .54369 L
.55787 .54254 L
.55699 .54109 L
.55692 .54093 L
F
1 .95 .212 r
.55859 .56172 m
.55885 .5618 L
.5602 .56254 L
.5611 .56341 L
.5618 .56427 L
.56256 .56501 L
.56341 .56606 L
.56406 .56662 L
.56501 .56804 L
.56519 .56822 L
.56642 .56983 L
.56662 .57008 L
.56764 .57143 L
.56822 .5719 L
.56922 .57304 L
.56983 .57419 L
.57016 .57464 L
.57129 .57625 L
.57143 .57644 L
.57245 .57785 L
.57304 .57865 L
.57361 .57946 L
.57464 .58092 L
.57479 .58106 L
.57574 .58267 L
.57625 .58355 L
.57658 .58428 L
.57625 .58539 L
.57464 .58446 L
.57439 .58428 L
.57304 .58299 L
.57243 .58267 L
.57143 .5813 L
.57112 .58106 L
.56983 .57951 L
.56976 .57946 L
.56835 .57785 L
.56822 .57771 L
.56665 .57625 L
.56662 .57572 L
.56568 .57464 L
.56501 .57367 L
.56456 .57304 L
.56341 .57162 L
.56337 .57143 L
.56198 .56983 L
.5618 .56972 L
.56059 .56822 L
.5602 .56764 L
.5596 .56662 L
.55859 .56529 L
.55851 .56501 L
.55749 .56341 L
.55744 .5618 L
F
1 .77 .001 r
.55859 .48622 m
.55873 .48636 L
.5602 .48779 L
.56028 .48796 L
.56172 .48957 L
.5618 .48965 L
.56313 .49117 L
.56341 .49148 L
.56451 .49278 L
.56501 .49335 L
.56588 .49438 L
.56662 .49508 L
.56723 .49599 L
.56822 .49716 L
.56868 .49759 L
.56983 .49915 L
.56987 .4992 L
.57118 .5008 L
.57143 .50087 L
.57248 .50241 L
.57304 .50302 L
.57415 .50401 L
.57464 .50509 L
.5751 .50562 L
.57625 .50712 L
.57632 .50722 L
.57762 .50883 L
.57785 .50902 L
.57889 .51043 L
.57946 .51112 L
.5803 .51204 L
.58106 .5132 L
.5814 .51364 L
.58267 .51524 L
.58267 .51525 L
.58394 .51686 L
.58428 .51721 L
.5855 .51846 L
.58588 .51932 L
.58648 .52007 L
.58749 .52142 L
.58764 .52167 L
.58894 .52328 L
.58909 .52338 L
.59018 .52488 L
.5907 .52548 L
.59156 .52649 L
.5923 .52761 L
.59265 .52809 L
.59391 .5297 L
.59391 .5297 L
.59514 .5313 L
.59551 .53167 L
.59667 .53291 L
.59712 .53383 L
.59765 .53451 L
.59872 .53596 L
.59882 .53612 L
.60007 .53772 L
.60033 .53786 L
.6013 .53933 L
.60193 .54006 L
.60266 .54093 L
.60354 .54224 L
.60374 .54254 L
.60497 .54414 L
.60514 .54437 L
.60618 .54575 L
.60675 .54629 L
.6077 .54735 L
.60835 .54856 L
.60866 .54896 L
.60983 .55057 L
.60996 .55073 L
.61103 .55217 L
.61156 .55248 L
.61224 .55378 L
.61317 .55492 L
.61354 .55538 L
.61464 .55699 L
.61477 .55717 L
.61581 .55859 L
.61638 .55934 L
.617 .5602 L
.61799 .56137 L
.61834 .5618 L
.61935 .56341 L
.61959 .56372 L
.6205 .56501 L
.6212 .56596 L
.62165 .56662 L
.6228 .56821 L
.62282 .56822 L
.62386 .56983 L
.62441 .5706 L
.62493 .57143 L
.62441 .57278 L
.62318 .57143 L
.6228 .57105 L
.62174 .56983 L
.6212 .56924 L
.62034 .56822 L
.61959 .56737 L
.61896 .56662 L
.61799 .56559 L
.61761 .56501 L
.61638 .56355 L
.61623 .56341 L
.61497 .5618 L
.61477 .56158 L
.61366 .5602 L
.61317 .55987 L
.61236 .55859 L
.61156 .55769 L
.61079 .55699 L
.60996 .55562 L
.60975 .55538 L
.6085 .55378 L
.60835 .5536 L
.60723 .55217 L
.60675 .55172 L
.60596 .55057 L
.60514 .54958 L
.60457 .54896 L
.60354 .5475 L
.60343 .54735 L
.60218 .54575 L
.60193 .54565 L
.60093 .54414 L
.60033 .54349 L
.59939 .54254 L
.59872 .54136 L
.59837 .54093 L
.59716 .53933 L
.59712 .53927 L
.59593 .53772 L
.59551 .53738 L
.59413 .53612 L
.59391 .53519 L
.59331 .53451 L
.5923 .53306 L
.59219 .53291 L
.59096 .5313 L
.5907 .53125 L
.58973 .5297 L
.58909 .52902 L
.58822 .52809 L
.58749 .52683 L
.58721 .52649 L
.58602 .52488 L
.58588 .5247 L
.5848 .52328 L
.58428 .52286 L
.58305 .52167 L
.58267 .52059 L
.58223 .52007 L
.5811 .51846 L
.58106 .51841 L
.5799 .51686 L
.57946 .5163 L
.57868 .51525 L
.57785 .51435 L
.57723 .51364 L
.57625 .51209 L
.57621 .51204 L
.57502 .51043 L
.57464 .50995 L
.57382 .50883 L
.57304 .50813 L
.57219 .50722 L
.57143 .50573 L
.57134 .50562 L
.57019 .50401 L
.56983 .50355 L
.569 .50241 L
.56822 .50139 L
.56779 .5008 L
.56662 .49927 L
.56656 .4992 L
.56543 .49759 L
.56501 .49704 L
.56427 .49599 L
.56341 .49484 L
.56309 .49438 L
.56192 .49278 L
.5618 .49262 L
.56083 .49117 L
.5602 .4903 L
.55972 .48957 L
.5586 .48796 L
.55859 .48795 L
.55773 .48636 L
F
.395 .97 1 r
.55859 .53482 m
.5602 .53609 L
.56025 .53612 L
.5618 .53768 L
.56185 .53772 L
.56331 .53933 L
.56341 .53942 L
.5647 .54093 L
.56501 .54131 L
.56622 .54254 L
.56662 .5433 L
.5673 .54414 L
.56822 .54534 L
.56847 .54575 L
.56983 .54733 L
.56985 .54735 L
.57138 .54896 L
.57143 .54934 L
.57233 .55057 L
.57304 .55153 L
.57338 .55217 L
.5746 .55378 L
.57464 .55385 L
.57564 .55538 L
.57625 .55656 L
.57655 .55699 L
.57625 .55813 L
.57464 .55808 L
.57368 .55699 L
.57304 .55662 L
.57214 .55538 L
.57143 .55476 L
.57077 .55378 L
.56983 .55274 L
.56914 .55217 L
.56822 .55066 L
.56814 .55057 L
.56693 .54896 L
.56662 .54857 L
.56571 .54735 L
.56501 .54647 L
.56448 .54575 L
.56341 .54447 L
.56315 .54414 L
.56205 .54254 L
.5618 .54221 L
.5609 .54093 L
.5602 .53998 L
.55975 .53933 L
.55863 .53772 L
.55859 .53766 L
.55773 .53612 L
F
1 .94 .156 r
.55859 .56203 m
.5602 .56277 L
.5609 .56341 L
.5618 .56442 L
.56243 .56501 L
.56341 .56618 L
.56394 .56662 L
.56501 .56814 L
.56509 .56822 L
.56633 .56983 L
.56662 .57019 L
.56756 .57143 L
.56822 .57201 L
.56912 .57304 L
.56983 .57434 L
.57005 .57464 L
.57118 .57625 L
.57143 .57659 L
.57233 .57785 L
.57304 .57884 L
.57347 .57946 L
.57455 .58106 L
.57464 .58121 L
.57545 .58267 L
.57464 .58399 L
.57304 .5827 L
.57298 .58267 L
.57143 .5811 L
.57138 .58106 L
.56992 .57946 L
.56983 .57941 L
.56853 .57785 L
.56822 .57753 L
.56668 .57625 L
.56662 .57555 L
.5658 .57464 L
.56501 .57352 L
.56466 .57304 L
.56341 .5715 L
.56339 .57143 L
.5621 .56983 L
.5618 .56965 L
.56069 .56822 L
.5602 .56746 L
.55972 .56662 L
.55863 .56501 L
.55859 .56494 L
.55774 .56341 L
F
.212 .95 1 r
.55859 .47949 m
.55905 .47993 L
.5602 .48107 L
.56065 .48154 L
.5618 .48272 L
.56214 .48314 L
.56341 .48457 L
.56363 .48475 L
.56498 .48636 L
.56501 .4864 L
.56636 .48796 L
.56662 .48815 L
.56774 .48957 L
.56822 .49014 L
.56936 .49117 L
.56983 .49212 L
.57039 .49278 L
.57143 .4941 L
.57161 .49438 L
.57304 .49599 L
.57304 .49599 L
.57436 .49759 L
.57464 .49797 L
.57569 .4992 L
.57625 .50003 L
.57681 .5008 L
.57785 .50209 L
.57794 .50241 L
.57946 .50397 L
.5795 .50401 L
.58086 .50562 L
.58106 .50602 L
.58199 .50722 L
.58267 .50813 L
.58307 .50883 L
.58428 .51023 L
.58458 .51043 L
.58582 .51204 L
.58588 .51211 L
.5871 .51364 L
.58749 .51422 L
.5882 .51525 L
.58909 .51636 L
.58922 .51686 L
.5907 .51842 L
.59084 .51846 L
.59214 .52007 L
.5923 .52036 L
.59328 .52167 L
.59391 .5225 L
.59434 .52328 L
.59551 .52463 L
.59583 .52488 L
.59711 .52649 L
.59712 .52656 L
.59832 .52809 L
.59872 .52868 L
.59941 .5297 L
.60033 .53082 L
.60043 .5313 L
.60193 .53287 L
.60202 .53291 L
.60333 .53451 L
.60354 .53488 L
.60445 .53612 L
.60514 .53702 L
.60551 .53772 L
.60675 .53914 L
.60698 .53933 L
.60831 .54093 L
.60835 .54112 L
.60946 .54254 L
.60996 .54324 L
.61055 .54414 L
.61156 .54538 L
.61161 .54575 L
.61313 .54735 L
.61317 .54739 L
.61447 .54896 L
.61477 .54948 L
.61556 .55057 L
.61638 .55162 L
.61664 .55217 L
.61799 .55371 L
.61806 .55378 L
.61949 .55538 L
.61959 .55574 L
.62056 .55699 L
.6212 .55788 L
.62165 .55859 L
.6228 .56 L
.62281 .5602 L
.62419 .5618 L
.62441 .56201 L
.62557 .56341 L
.62601 .56414 L
.62663 .56501 L
.62762 .56629 L
.62776 .56662 L
.62909 .56822 L
.62922 .56829 L
.63062 .56983 L
.63083 .57041 L
.63161 .57143 L
.63243 .57259 L
.63271 .57304 L
.63397 .57464 L
.63404 .57473 L
.63518 .57625 L
.63564 .57668 L
.63659 .57785 L
.63725 .57892 L
.63762 .57946 L
.63882 .58106 L
.63885 .58111 L
.64001 .58267 L
.64046 .58291 L
.64161 .58428 L
.64206 .58528 L
.6425 .58588 L
.64362 .58749 L
.64367 .58755 L
.64479 .58909 L
.64527 .58973 L
.64598 .5907 L
.64688 .59174 L
.64729 .5923 L
.64833 .59391 L
.64848 .59412 L
.64946 .59551 L
.65009 .59638 L
.6506 .59712 L
.6517 .59865 L
.65179 .59872 L
.6528 .60033 L
.6533 .60106 L
.65384 .60193 L
.65485 .60354 L
.6533 .60359 L
.65327 .60354 L
.65172 .60193 L
.6517 .60191 L
.65026 .60033 L
.65009 .60015 L
.64884 .59872 L
.64848 .59833 L
.64745 .59712 L
.64688 .59659 L
.64608 .59551 L
.64527 .59458 L
.64452 .59391 L
.64367 .5926 L
.64339 .5923 L
.64209 .5907 L
.64206 .59069 L
.64078 .58909 L
.64046 .58874 L
.63907 .58749 L
.63885 .58669 L
.63812 .58588 L
.63725 .58465 L
.63697 .58428 L
.63564 .58268 L
.63564 .58267 L
.63437 .58106 L
.63404 .58067 L
.63293 .57946 L
.63243 .57859 L
.63184 .57785 L
.63083 .57651 L
.63068 .57625 L
.62932 .57464 L
.62922 .57454 L
.62777 .57304 L
.62762 .57247 L
.62675 .57143 L
.62601 .57036 L
.62564 .56983 L
.62441 .56831 L
.6244 .56822 L
.62307 .56662 L
.6228 .5663 L
.62166 .56501 L
.6212 .56419 L
.62059 .56341 L
.61959 .56209 L
.61944 .5618 L
.6181 .5602 L
.61799 .56008 L
.61657 .55859 L
.61638 .558 L
.61555 .55699 L
.61477 .55587 L
.61444 .55538 L
.61317 .5538 L
.61314 .55378 L
.61191 .55217 L
.61156 .55178 L
.6105 .55057 L
.60996 .54966 L
.60943 .54896 L
.60835 .54754 L
.60826 .54735 L
.60697 .54575 L
.60675 .54555 L
.60541 .54414 L
.60514 .54343 L
.60441 .54254 L
.60354 .54129 L
.6033 .54093 L
.60203 .53933 L
.60193 .53929 L
.60081 .53772 L
.60033 .53721 L
.59938 .53612 L
.59872 .53505 L
.59832 .53451 L
.59712 .53293 L
.59711 .53291 L
.59589 .5313 L
.59551 .531 L
.59429 .5297 L
.59391 .52881 L
.59333 .52809 L
.5923 .52665 L
.59219 .52649 L
.59097 .52488 L
.5907 .5248 L
.58975 .52328 L
.58909 .52259 L
.58831 .52167 L
.58749 .52038 L
.58725 .52007 L
.58605 .51846 L
.58588 .51824 L
.58484 .51686 L
.58428 .51639 L
.58326 .51525 L
.58267 .51411 L
.5823 .51364 L
.58115 .51204 L
.58106 .51193 L
.57995 .51043 L
.57946 .5098 L
.57873 .50883 L
.57785 .50785 L
.57734 .50722 L
.57627 .50562 L
.57625 .50559 L
.57508 .50401 L
.57464 .50345 L
.57387 .50241 L
.57304 .5016 L
.57238 .5008 L
.57143 .49922 L
.57142 .4992 L
.57025 .49759 L
.56983 .49705 L
.56906 .49599 L
.56822 .4949 L
.56785 .49438 L
.56663 .49278 L
.56662 .49276 L
.56548 .49117 L
.56501 .49056 L
.56432 .48957 L
.56341 .48836 L
.56313 .48796 L
.56197 .48636 L
.5618 .48613 L
.56087 .48475 L
.5602 .48382 L
.55977 .48314 L
.55866 .48154 L
.55859 .48144 L
.55777 .47993 L
F
1 .93 .114 r
.55859 .56239 m
.5602 .563 L
.56067 .56341 L
.5618 .56456 L
.56229 .56501 L
.56341 .5663 L
.5638 .56662 L
.56499 .56822 L
.56501 .56825 L
.56623 .56983 L
.56662 .57031 L
.56747 .57143 L
.56822 .57213 L
.569 .57304 L
.56983 .5745 L
.56993 .57464 L
.57106 .57625 L
.57143 .57675 L
.5722 .57785 L
.57304 .57905 L
.57331 .57946 L
.57431 .58106 L
.57464 .58164 L
.57508 .58267 L
.57464 .58343 L
.57347 .58267 L
.57304 .58235 L
.57167 .58106 L
.57143 .58084 L
.57013 .57946 L
.56983 .57928 L
.5687 .57785 L
.56822 .57735 L
.56675 .57625 L
.56662 .57538 L
.56592 .57464 L
.56501 .57337 L
.56476 .57304 L
.56346 .57143 L
.56341 .57137 L
.56222 .56983 L
.5618 .56955 L
.56079 .56822 L
.5602 .56726 L
.55985 .56662 L
.55881 .56501 L
.55859 .56462 L
.558 .56341 L
F
1 .8 .002 r
.55859 .54186 m
.55926 .54254 L
.5602 .54351 L
.56075 .54414 L
.5618 .54538 L
.5621 .54575 L
.56335 .54735 L
.56341 .54743 L
.56449 .54896 L
.56501 .54973 L
.56553 .55057 L
.56501 .55139 L
.56422 .55057 L
.56341 .54973 L
.56277 .54896 L
.5618 .54783 L
.56144 .54735 L
.5602 .54579 L
.56017 .54575 L
.55906 .54414 L
.55859 .54349 L
.55804 .54254 L
F
1 .79 .001 r
.55859 .54215 m
.55901 .54254 L
.5602 .5437 L
.56058 .54414 L
.5618 .54556 L
.56196 .54575 L
.56319 .54735 L
.56341 .54763 L
.56432 .54896 L
.56501 .55003 L
.56531 .55057 L
.56501 .55109 L
.56445 .55057 L
.56341 .54956 L
.56292 .54896 L
.5618 .54768 L
.56156 .54735 L
.5603 .54575 L
.5602 .54561 L
.55923 .54414 L
.55859 .5432 L
.55827 .54254 L
F
1 .92 .084 r
.55859 .56282 m
.5602 .56323 L
.56042 .56341 L
.5618 .56469 L
.56215 .56501 L
.56341 .56643 L
.56365 .56662 L
.56488 .56822 L
.56501 .56838 L
.56614 .56983 L
.56662 .57043 L
.56737 .57143 L
.56822 .57228 L
.56887 .57304 L
.56981 .57464 L
.56983 .57467 L
.57094 .57625 L
.57143 .57693 L
.57206 .57785 L
.57304 .57928 L
.57315 .57946 L
.57403 .58106 L
.57304 .58198 L
.57199 .58106 L
.57143 .58057 L
.57036 .57946 L
.56983 .57915 L
.56888 .57785 L
.56822 .57718 L
.56686 .57625 L
.56662 .57521 L
.56606 .57464 L
.56501 .57323 L
.56487 .57304 L
.56358 .57143 L
.56341 .57121 L
.56235 .56983 L
.5618 .56943 L
.56091 .56822 L
.5602 .56701 L
.55999 .56662 L
.55899 .56501 L
.55859 .5642 L
.5583 .56341 L
F
0 .19 1 r
.55859 .50593 m
.55943 .50722 L
.5602 .50822 L
.56057 .50883 L
.5602 .50935 L
.55978 .50883 L
.55859 .50752 L
.55835 .50722 L
F
1 .14 0 r
.55859 .49923 m
.55979 .5008 L
.5602 .50127 L
.56105 .50241 L
.5618 .5033 L
.56233 .50401 L
.56341 .50534 L
.56361 .50562 L
.56485 .50722 L
.56501 .50742 L
.56604 .50883 L
.56662 .50954 L
.56726 .51043 L
.56822 .51165 L
.5685 .51204 L
.56822 .51347 L
.56713 .51204 L
.56662 .51145 L
.56585 .51043 L
.56501 .50943 L
.56456 .50883 L
.56341 .5074 L
.56327 .50722 L
.56205 .50562 L
.5618 .50532 L
.56085 .50401 L
.5602 .50322 L
.55962 .50241 L
.55859 .50112 L
.55836 .5008 L
F
.289 .96 1 r
.55859 .53579 m
.55937 .53612 L
.5602 .53666 L
.56137 .53772 L
.5618 .53813 L
.56295 .53933 L
.56341 .53973 L
.5644 .54093 L
.56501 .54165 L
.566 .54254 L
.56662 .54361 L
.56707 .54414 L
.56822 .5456 L
.56831 .54575 L
.56963 .54735 L
.56983 .54747 L
.57133 .54896 L
.57143 .54962 L
.57212 .55057 L
.57304 .55189 L
.57318 .55217 L
.57431 .55378 L
.57464 .55433 L
.57527 .55538 L
.57579 .55699 L
.57464 .55756 L
.57419 .55699 L
.57304 .55636 L
.57239 .55538 L
.57143 .55453 L
.57095 .55378 L
.56983 .55252 L
.56939 .55217 L
.5683 .55057 L
.56822 .55047 L
.56707 .54896 L
.56662 .5484 L
.56584 .54735 L
.56501 .5463 L
.5646 .54575 L
.56341 .54421 L
.56335 .54414 L
.56222 .54254 L
.5618 .54197 L
.56109 .54093 L
.5602 .53968 L
.55997 .53933 L
.55899 .53772 L
.55859 .53697 L
.55838 .53612 L
F
1 .13 0 r
.55859 .49929 m
.55974 .5008 L
.5602 .50132 L
.56101 .50241 L
.5618 .50335 L
.56229 .50401 L
.56341 .50539 L
.56358 .50562 L
.5648 .50722 L
.56501 .50747 L
.56599 .50883 L
.56662 .50959 L
.56722 .51043 L
.56822 .5117 L
.56846 .51204 L
.56822 .51341 L
.56718 .51204 L
.56662 .5114 L
.56589 .51043 L
.56501 .50938 L
.5646 .50883 L
.56341 .50736 L
.56331 .50722 L
.5621 .50562 L
.5618 .50527 L
.56089 .50401 L
.5602 .50316 L
.55965 .50241 L
.55859 .50107 L
.5584 .5008 L
F
0 .18 1 r
.55859 .506 m
.55937 .50722 L
.5602 .50832 L
.56049 .50883 L
.5602 .50925 L
.55985 .50883 L
.55859 .50745 L
.55841 .50722 L
F
1 .12 0 r
.55859 .49935 m
.55969 .5008 L
.5602 .50138 L
.56096 .50241 L
.5618 .50341 L
.56225 .50401 L
.56341 .50544 L
.56354 .50562 L
.56475 .50722 L
.56501 .50753 L
.56594 .50883 L
.56662 .50965 L
.56717 .51043 L
.56822 .51176 L
.56842 .51204 L
.56822 .51335 L
.56723 .51204 L
.56662 .51134 L
.56594 .51043 L
.56501 .50933 L
.56464 .50883 L
.56341 .50731 L
.56334 .50722 L
.56214 .50562 L
.5618 .50521 L
.56094 .50401 L
.5602 .50311 L
.5597 .50241 L
.55859 .50102 L
.55844 .5008 L
F
0 .17 1 r
.55859 .50608 m
.55929 .50722 L
.5602 .50844 L
.56041 .50883 L
.5602 .50913 L
.55995 .50883 L
.55859 .50738 L
.55846 .50722 L
F
1 .11 0 r
.55859 .49942 m
.55963 .5008 L
.5602 .50144 L
.56092 .50241 L
.5618 .50346 L
.56221 .50401 L
.56341 .50549 L
.5635 .50562 L
.5647 .50722 L
.56501 .50759 L
.5659 .50883 L
.56662 .50971 L
.56713 .51043 L
.56822 .51182 L
.56838 .51204 L
.56822 .51328 L
.56729 .51204 L
.56662 .51128 L
.56599 .51043 L
.56501 .50928 L
.56468 .50883 L
.56341 .50726 L
.56338 .50722 L
.5622 .50562 L
.5618 .50515 L
.56098 .50401 L
.5602 .50305 L
.55974 .50241 L
.55859 .50096 L
.55848 .5008 L
F
1 .1 0 r
.55859 .4995 m
.55957 .5008 L
.5602 .50151 L
.56086 .50241 L
.5618 .50352 L
.56217 .50401 L
.56341 .50554 L
.56346 .50562 L
.56341 .5072 L
.56225 .50562 L
.5618 .50509 L
.56104 .50401 L
.5602 .50299 L
.55979 .50241 L
.55859 .5009 L
.55852 .5008 L
F
0 .16 1 r
.55859 .50618 m
.5592 .50722 L
.5602 .50861 L
.56029 .50883 L
.5602 .50898 L
.56007 .50883 L
.55859 .5073 L
.55853 .50722 L
F
0 .43 1 r
.55859 .49285 m
.55993 .49438 L
.5602 .49466 L
.56131 .49599 L
.5618 .49653 L
.56267 .49759 L
.56341 .49843 L
.56402 .4992 L
.56501 .50037 L
.56536 .5008 L
.56662 .50231 L
.56676 .50241 L
.56795 .50401 L
.56822 .50433 L
.56924 .50562 L
.56983 .50634 L
.57052 .50722 L
.57143 .50804 L
.57181 .50883 L
.57304 .51036 L
.57311 .51043 L
.57433 .51204 L
.57464 .51243 L
.57558 .51364 L
.57625 .51448 L
.57684 .51525 L
.57785 .51641 L
.57836 .51686 L
.57933 .51846 L
.57946 .51862 L
.58055 .52007 L
.58106 .52071 L
.58179 .52167 L
.58267 .52242 L
.58303 .52328 L
.58426 .52488 L
.58428 .52489 L
.58546 .52649 L
.58588 .52703 L
.58667 .52809 L
.58749 .52915 L
.58789 .5297 L
.58909 .53127 L
.58912 .5313 L
.59026 .53291 L
.5907 .53347 L
.59144 .53451 L
.5923 .53565 L
.59263 .53612 L
.59381 .53772 L
.59391 .53785 L
.5949 .53933 L
.59551 .54015 L
.59602 .54093 L
.59712 .54248 L
.59715 .54254 L
.59712 .54375 L
.59603 .54254 L
.59551 .54202 L
.5946 .54093 L
.59391 .54018 L
.59321 .53933 L
.5923 .53829 L
.59185 .53772 L
.5907 .53636 L
.5905 .53612 L
.58919 .53451 L
.58909 .5344 L
.58791 .53291 L
.58749 .5324 L
.58662 .5313 L
.58588 .5304 L
.58533 .5297 L
.58428 .52857 L
.58404 .52809 L
.58277 .52649 L
.58267 .52637 L
.58153 .52488 L
.58106 .52431 L
.58027 .52328 L
.57946 .52227 L
.57901 .52167 L
.57785 .52027 L
.57764 .52007 L
.57651 .51846 L
.57625 .51813 L
.57529 .51686 L
.57464 .51605 L
.57405 .51525 L
.57304 .51418 L
.5728 .51364 L
.57157 .51204 L
.57143 .51187 L
.57037 .51043 L
.56983 .50974 L
.56916 .50883 L
.56822 .50763 L
.56793 .50722 L
.56671 .50562 L
.56662 .5055 L
.56555 .50401 L
.56501 .50333 L
.56436 .50241 L
.56341 .50117 L
.56315 .5008 L
.56197 .4992 L
.5618 .49897 L
.56086 .49759 L
.5602 .49671 L
.55971 .49599 L
.55859 .49445 L
.55855 .49438 L
F
1 .09 0 r
.55859 .49958 m
.5595 .5008 L
.5602 .50158 L
.56081 .50241 L
.5618 .50358 L
.56212 .50401 L
.56341 .5056 L
.56342 .50562 L
.56341 .50713 L
.56231 .50562 L
.5618 .50503 L
.56109 .50401 L
.5602 .50293 L
.55983 .50241 L
.55859 .50083 L
.55857 .5008 L
F
1 .91 .061 r
.5602 .56348 m
.5618 .56483 L
.56199 .56501 L
.56341 .56656 L
.56348 .56662 L
.56477 .56822 L
.56501 .56851 L
.56604 .56983 L
.56662 .57055 L
.56728 .57143 L
.56822 .57245 L
.56873 .57304 L
.56969 .57464 L
.56983 .57482 L
.57082 .57625 L
.57143 .57712 L
.57192 .57785 L
.57296 .57946 L
.57304 .5796 L
.57366 .58106 L
.57304 .58154 L
.5724 .58106 L
.57143 .58028 L
.5706 .57946 L
.56983 .57897 L
.56907 .57785 L
.56822 .57699 L
.56704 .57625 L
.56662 .57505 L
.56621 .57464 L
.56501 .57308 L
.56498 .57304 L
.56371 .57143 L
.56341 .57105 L
.56247 .56983 L
.5618 .56927 L
.56105 .56822 L
.5602 .56671 L
.56015 .56662 L
.55918 .56501 L
F
1 .9 .045 r
.5602 .56375 m
.5618 .56499 L
.56183 .56501 L
.56332 .56662 L
.56341 .56671 L
.56466 .56822 L
.56501 .56864 L
.56593 .56983 L
.56662 .57068 L
.56718 .57143 L
.56822 .57263 L
.56856 .57304 L
.56957 .57464 L
.56983 .57499 L
.57068 .57625 L
.57143 .57733 L
.57176 .57785 L
.57269 .57946 L
.57143 .57998 L
.57088 .57946 L
.56983 .57874 L
.56927 .57785 L
.56822 .57679 L
.56729 .57625 L
.56662 .57487 L
.56637 .57464 L
.56511 .57304 L
.56501 .57292 L
.56384 .57143 L
.56341 .57089 L
.56259 .56983 L
.5618 .56907 L
.56121 .56822 L
.56031 .56662 L
.5602 .56644 L
.55939 .56501 L
F
1 .78 .001 r
.5602 .54394 m
.56039 .54414 L
.5602 .54538 L
.55945 .54414 L
F
.212 .95 1 r
.5602 .53732 m
.56074 .53772 L
.5618 .5386 L
.56255 .53933 L
.56341 .54008 L
.56407 .54093 L
.56501 .54198 L
.56571 .54254 L
.56662 .5439 L
.56683 .54414 L
.56813 .54575 L
.56822 .54586 L
.5694 .54735 L
.56983 .54762 L
.57122 .54896 L
.57143 .54993 L
.57188 .55057 L
.57295 .55217 L
.57304 .5523 L
.574 .55378 L
.57464 .55496 L
.57486 .55538 L
.57464 .55662 L
.57304 .55594 L
.5727 .55538 L
.57143 .55423 L
.57115 .55378 L
.56983 .55228 L
.56968 .55217 L
.56846 .55057 L
.56822 .55028 L
.56722 .54896 L
.56662 .54822 L
.56598 .54735 L
.56501 .54612 L
.56474 .54575 L
.56353 .54414 L
.56341 .54398 L
.56241 .54254 L
.5618 .54171 L
.56129 .54093 L
.56022 .53933 L
.5602 .5393 L
.55952 .53772 L
F
1 .89 .033 r
.5602 .56406 m
.5616 .56501 L
.5618 .56518 L
.56317 .56662 L
.56341 .56687 L
.56454 .56822 L
.56501 .56878 L
.56583 .56983 L
.56662 .57081 L
.56708 .57143 L
.56822 .57285 L
.56838 .57304 L
.56944 .57464 L
.56983 .57517 L
.57054 .57625 L
.57143 .57759 L
.57159 .57785 L
.57231 .57946 L
.57143 .57963 L
.57123 .57946 L
.56983 .57843 L
.56948 .57785 L
.56822 .57657 L
.56763 .57625 L
.56662 .57469 L
.56656 .57464 L
.56525 .57304 L
.56501 .57275 L
.56397 .57143 L
.56341 .57072 L
.56272 .56983 L
.5618 .56882 L
.5614 .56822 L
.56048 .56662 L
.5602 .56614 L
.55962 .56501 L
F
0 .42 1 r
.5602 .49473 m
.56125 .49599 L
.5618 .49659 L
.56263 .49759 L
.56341 .49849 L
.56398 .4992 L
.56501 .50042 L
.56532 .5008 L
.56662 .50237 L
.56667 .50241 L
.56792 .50401 L
.56822 .50437 L
.5692 .50562 L
.56983 .50638 L
.57049 .50722 L
.57143 .50809 L
.57178 .50883 L
.57304 .51041 L
.57307 .51043 L
.5743 .51204 L
.57464 .51247 L
.57555 .51364 L
.57625 .51452 L
.57681 .51525 L
.57785 .51645 L
.57831 .51686 L
.5793 .51846 L
.57946 .51865 L
.58053 .52007 L
.58106 .52074 L
.58176 .52167 L
.58267 .52247 L
.583 .52328 L
.58423 .52488 L
.58428 .52493 L
.58543 .52649 L
.58588 .52706 L
.58664 .52809 L
.58749 .52919 L
.58786 .5297 L
.58907 .5313 L
.58909 .53133 L
.59023 .53291 L
.5907 .53351 L
.59141 .53451 L
.5923 .5357 L
.5926 .53612 L
.59376 .53772 L
.59391 .53792 L
.59485 .53933 L
.59551 .54023 L
.59596 .54093 L
.59551 .54193 L
.59467 .54093 L
.59391 .54011 L
.59326 .53933 L
.5923 .53823 L
.59189 .53772 L
.5907 .53631 L
.59054 .53612 L
.58923 .53451 L
.58909 .53435 L
.58795 .53291 L
.58749 .53236 L
.58666 .5313 L
.58588 .53037 L
.58536 .5297 L
.58428 .52851 L
.58407 .52809 L
.5828 .52649 L
.58267 .52633 L
.58156 .52488 L
.58106 .52428 L
.5803 .52328 L
.57946 .52223 L
.57903 .52167 L
.57785 .52023 L
.57768 .52007 L
.57654 .51846 L
.57625 .5181 L
.57531 .51686 L
.57464 .51601 L
.57407 .51525 L
.57304 .51413 L
.57282 .51364 L
.5716 .51204 L
.57143 .51183 L
.5704 .51043 L
.56983 .50971 L
.56918 .50883 L
.56822 .50759 L
.56795 .50722 L
.56674 .50562 L
.56662 .50546 L
.56558 .50401 L
.56501 .50329 L
.56439 .50241 L
.56341 .50112 L
.56318 .5008 L
.56202 .4992 L
.5618 .49892 L
.56091 .49759 L
.5602 .49665 L
.55976 .49599 L
F
1 .76 .001 r
.5602 .48804 m
.5616 .48957 L
.5618 .48977 L
.56303 .49117 L
.56341 .49159 L
.56443 .49278 L
.56501 .49344 L
.56581 .49438 L
.56662 .49516 L
.56716 .49599 L
.56822 .49724 L
.5686 .49759 L
.56981 .4992 L
.56983 .49921 L
.57112 .5008 L
.57143 .50089 L
.57243 .50241 L
.57304 .50307 L
.57411 .50401 L
.57464 .50515 L
.57506 .50562 L
.57625 .50717 L
.57629 .50722 L
.57758 .50883 L
.57785 .50905 L
.57885 .51043 L
.57946 .51116 L
.58026 .51204 L
.58106 .51325 L
.58137 .51364 L
.58265 .51525 L
.58267 .51528 L
.5839 .51686 L
.58428 .51724 L
.58548 .51846 L
.58588 .51936 L
.58645 .52007 L
.58749 .52146 L
.58762 .52167 L
.58891 .52328 L
.58909 .5234 L
.59016 .52488 L
.5907 .52551 L
.59154 .52649 L
.5923 .52765 L
.59262 .52809 L
.59388 .5297 L
.59391 .52973 L
.59511 .5313 L
.59551 .53169 L
.59665 .53291 L
.59712 .53386 L
.59763 .53451 L
.59872 .536 L
.5988 .53612 L
.60004 .53772 L
.60033 .53788 L
.60127 .53933 L
.60193 .5401 L
.60263 .54093 L
.60354 .54228 L
.60372 .54254 L
.60494 .54414 L
.60514 .54441 L
.60615 .54575 L
.60675 .54633 L
.60767 .54735 L
.60835 .5486 L
.60863 .54896 L
.60979 .55057 L
.60996 .55078 L
.61099 .55217 L
.61156 .55252 L
.6122 .55378 L
.61317 .55497 L
.6135 .55538 L
.6146 .55699 L
.61477 .55722 L
.61577 .55859 L
.61638 .5594 L
.61696 .5602 L
.61799 .56146 L
.61826 .5618 L
.61929 .56341 L
.61959 .5638 L
.62043 .56501 L
.6212 .56605 L
.62158 .56662 L
.62272 .56822 L
.6228 .56834 L
.62376 .56983 L
.62441 .57077 L
.6248 .57143 L
.62441 .57258 L
.62333 .57143 L
.6228 .57091 L
.62185 .56983 L
.6212 .56913 L
.62043 .56822 L
.61959 .56728 L
.61904 .56662 L
.61799 .56549 L
.61767 .56501 L
.61638 .56347 L
.61631 .56341 L
.61502 .5618 L
.61477 .56151 L
.61371 .5602 L
.61317 .55983 L
.61241 .55859 L
.61156 .55764 L
.61085 .55699 L
.60996 .55557 L
.60979 .55538 L
.60854 .55378 L
.60835 .55355 L
.60727 .55217 L
.60675 .55168 L
.606 .55057 L
.60514 .54954 L
.60461 .54896 L
.60354 .54746 L
.60346 .54735 L
.60221 .54575 L
.60193 .54563 L
.60095 .54414 L
.60033 .54346 L
.59942 .54254 L
.59872 .54132 L
.5984 .54093 L
.59719 .53933 L
.59712 .53924 L
.59596 .53772 L
.59551 .53735 L
.59415 .53612 L
.59391 .53516 L
.59334 .53451 L
.5923 .53303 L
.59221 .53291 L
.59099 .5313 L
.5907 .53124 L
.58976 .5297 L
.58909 .52899 L
.58825 .52809 L
.58749 .5268 L
.58724 .52649 L
.58604 .52488 L
.58588 .52467 L
.58483 .52328 L
.58428 .52284 L
.58308 .52167 L
.58267 .52056 L
.58225 .52007 L
.58113 .51846 L
.58106 .51838 L
.57992 .51686 L
.57946 .51626 L
.5787 .51525 L
.57785 .51431 L
.57726 .51364 L
.57625 .51205 L
.57624 .51204 L
.57505 .51043 L
.57464 .50991 L
.57384 .50883 L
.57304 .50808 L
.57223 .50722 L
.57143 .50568 L
.57138 .50562 L
.57022 .50401 L
.56983 .5035 L
.56904 .50241 L
.56822 .50134 L
.56783 .5008 L
.56662 .4992 L
.56662 .49919 L
.56548 .49759 L
.56501 .49698 L
.56432 .49599 L
.56341 .49477 L
.56314 .49438 L
.56199 .49278 L
.5618 .49252 L
.56091 .49117 L
.5602 .49018 L
.55981 .48957 L
F
0 .41 1 r
.5602 .49482 m
.56119 .49599 L
.5618 .49665 L
.56257 .49759 L
.56341 .49854 L
.56394 .4992 L
.56501 .50047 L
.56528 .5008 L
.5666 .50241 L
.56662 .50243 L
.56788 .50401 L
.56822 .50442 L
.56917 .50562 L
.56983 .50642 L
.57046 .50722 L
.57143 .50814 L
.57175 .50883 L
.57303 .51043 L
.57304 .51045 L
.57427 .51204 L
.57464 .5125 L
.57552 .51364 L
.57625 .51455 L
.57678 .51525 L
.57785 .5165 L
.57826 .51686 L
.57928 .51846 L
.57946 .51869 L
.5805 .52007 L
.58106 .52078 L
.58174 .52167 L
.58267 .52253 L
.58298 .52328 L
.5842 .52488 L
.58428 .52497 L
.5854 .52649 L
.58588 .5271 L
.58661 .52809 L
.58749 .52923 L
.58783 .5297 L
.58904 .5313 L
.58909 .53137 L
.59019 .53291 L
.5907 .53356 L
.59137 .53451 L
.5923 .53575 L
.59256 .53612 L
.59371 .53772 L
.59391 .53799 L
.59479 .53933 L
.59551 .54032 L
.5959 .54093 L
.59551 .54184 L
.59474 .54093 L
.59391 .54005 L
.59332 .53933 L
.5923 .53818 L
.59194 .53772 L
.5907 .53626 L
.59058 .53612 L
.58927 .53451 L
.58909 .5343 L
.58799 .53291 L
.58749 .53232 L
.58669 .5313 L
.58588 .53033 L
.58539 .5297 L
.58428 .52846 L
.5841 .52809 L
.58283 .52649 L
.58267 .52629 L
.58158 .52488 L
.58106 .52425 L
.58032 .52328 L
.57946 .5222 L
.57906 .52167 L
.57785 .52018 L
.57773 .52007 L
.57657 .51846 L
.57625 .51807 L
.57534 .51686 L
.57464 .51598 L
.5741 .51525 L
.57304 .51408 L
.57285 .51364 L
.57163 .51204 L
.57143 .51179 L
.57043 .51043 L
.56983 .50967 L
.56921 .50883 L
.56822 .50756 L
.56798 .50722 L
.56678 .50562 L
.56662 .50542 L
.56561 .50401 L
.56501 .50324 L
.56442 .50241 L
.56341 .50108 L
.56321 .5008 L
.56206 .4992 L
.5618 .49886 L
.56095 .49759 L
.5602 .49658 L
.55982 .49599 L
F
0 .4 1 r
.5602 .49491 m
.56111 .49599 L
.5618 .49672 L
.56252 .49759 L
.56341 .4986 L
.56389 .4992 L
.56501 .50052 L
.56524 .5008 L
.56656 .50241 L
.56662 .50247 L
.56784 .50401 L
.56822 .50446 L
.56914 .50562 L
.56983 .50646 L
.57043 .50722 L
.57143 .5082 L
.57172 .50883 L
.57299 .51043 L
.57304 .51049 L
.57424 .51204 L
.57464 .51254 L
.57549 .51364 L
.57625 .51459 L
.57676 .51525 L
.57785 .51655 L
.57821 .51686 L
.57925 .51846 L
.57946 .51872 L
.58047 .52007 L
.58106 .52081 L
.58171 .52167 L
.58267 .52259 L
.58295 .52328 L
.58417 .52488 L
.58428 .52501 L
.58537 .52649 L
.58588 .52714 L
.58658 .52809 L
.58749 .52927 L
.5878 .5297 L
.589 .5313 L
.58909 .53142 L
.59015 .53291 L
.5907 .53361 L
.59133 .53451 L
.5923 .5358 L
.59252 .53612 L
.59365 .53772 L
.59391 .53806 L
.59473 .53933 L
.59551 .54041 L
.59583 .54093 L
.59551 .54174 L
.59483 .54093 L
.59391 .53997 L
.59338 .53933 L
.5923 .53812 L
.59198 .53772 L
.5907 .53621 L
.59062 .53612 L
.58932 .53451 L
.58909 .53426 L
.58802 .53291 L
.58749 .53228 L
.58672 .5313 L
.58588 .53029 L
.58542 .5297 L
.58428 .5284 L
.58412 .52809 L
.58286 .52649 L
.58267 .52626 L
.58161 .52488 L
.58106 .52421 L
.58035 .52328 L
.57946 .52217 L
.57908 .52167 L
.57785 .52014 L
.57778 .52007 L
.5766 .51846 L
.57625 .51803 L
.57537 .51686 L
.57464 .51595 L
.57412 .51525 L
.57304 .51403 L
.57287 .51364 L
.57166 .51204 L
.57143 .51176 L
.57046 .51043 L
.56983 .50963 L
.56924 .50883 L
.56822 .50752 L
.56801 .50722 L
.56681 .50562 L
.56662 .50537 L
.56564 .50401 L
.56501 .5032 L
.56446 .50241 L
.56341 .50103 L
.56325 .5008 L
.56211 .4992 L
.5618 .49879 L
.56101 .49759 L
.5602 .4965 L
.55987 .49599 L
F
1 .08 0 r
.5602 .50165 m
.56075 .50241 L
.5618 .50365 L
.56207 .50401 L
.5618 .50495 L
.56115 .50401 L
.5602 .50286 L
.55989 .50241 L
F
1 .88 .024 r
.5602 .56445 m
.5613 .56501 L
.5618 .5654 L
.56301 .56662 L
.56341 .56703 L
.56441 .56822 L
.56501 .56893 L
.56571 .56983 L
.56662 .57095 L
.56698 .57143 L
.5682 .57304 L
.56822 .57307 L
.5693 .57464 L
.56983 .57538 L
.57038 .57625 L
.57138 .57785 L
.56983 .57801 L
.56974 .57785 L
.56822 .57633 L
.56807 .57625 L
.56674 .57464 L
.56662 .57451 L
.5654 .57304 L
.56501 .57258 L
.5641 .57143 L
.56341 .57055 L
.56286 .56983 L
.5618 .5685 L
.56162 .56822 L
.56066 .56662 L
.5602 .56575 L
.55989 .56501 L
F
1 .75 0 r
.5602 .48822 m
.56146 .48957 L
.5618 .48991 L
.56292 .49117 L
.56341 .49169 L
.56434 .49278 L
.56501 .49354 L
.56573 .49438 L
.56662 .49525 L
.56709 .49599 L
.56822 .49732 L
.56852 .49759 L
.56976 .4992 L
.56983 .49928 L
.57107 .5008 L
.57143 .50091 L
.57238 .50241 L
.57304 .50313 L
.57406 .50401 L
.57464 .5052 L
.57501 .50562 L
.57625 .50721 L
.57626 .50722 L
.57754 .50883 L
.57785 .50909 L
.57882 .51043 L
.57946 .5112 L
.58023 .51204 L
.58106 .51329 L
.58133 .51364 L
.58261 .51525 L
.58267 .51532 L
.58387 .51686 L
.58428 .51728 L
.58545 .51846 L
.58588 .5194 L
.58642 .52007 L
.58749 .52149 L
.5876 .52167 L
.58888 .52328 L
.58909 .52342 L
.59013 .52488 L
.5907 .52555 L
.59151 .52649 L
.5923 .52768 L
.5926 .52809 L
.59385 .5297 L
.59391 .52977 L
.59509 .5313 L
.59551 .53172 L
.59663 .53291 L
.59712 .5339 L
.5976 .53451 L
.59872 .53603 L
.59877 .53612 L
.60001 .53772 L
.60033 .5379 L
.60124 .53933 L
.60193 .54013 L
.6026 .54093 L
.60354 .54232 L
.60369 .54254 L
.60491 .54414 L
.60514 .54445 L
.60612 .54575 L
.60675 .54637 L
.60763 .54735 L
.60835 .54865 L
.60859 .54896 L
.60976 .55057 L
.60996 .55082 L
.61096 .55217 L
.61156 .55256 L
.61216 .55378 L
.61317 .55504 L
.61345 .55538 L
.61455 .55699 L
.61477 .55728 L
.61573 .55859 L
.61638 .55946 L
.61691 .5602 L
.61799 .56156 L
.61818 .5618 L
.61923 .56341 L
.61959 .56389 L
.62037 .56501 L
.6212 .56615 L
.62152 .56662 L
.62262 .56822 L
.6228 .56847 L
.62364 .56983 L
.62441 .57097 L
.62466 .57143 L
.62441 .57235 L
.62351 .57143 L
.6228 .57076 L
.62197 .56983 L
.6212 .56901 L
.62052 .56822 L
.61959 .56718 L
.61912 .56662 L
.61799 .56539 L
.61774 .56501 L
.61639 .56341 L
.61638 .56339 L
.61508 .5618 L
.61477 .56144 L
.61377 .5602 L
.61317 .55978 L
.61245 .55859 L
.61156 .55758 L
.6109 .55699 L
.60996 .55552 L
.60984 .55538 L
.60858 .55378 L
.60835 .5535 L
.60731 .55217 L
.60675 .55164 L
.60603 .55057 L
.60514 .5495 L
.60464 .54896 L
.60354 .54742 L
.60349 .54735 L
.60224 .54575 L
.60193 .54562 L
.60098 .54414 L
.60033 .54343 L
.59945 .54254 L
.59872 .54129 L
.59843 .54093 L
.59722 .53933 L
.59712 .5392 L
.59598 .53772 L
.59551 .53733 L
.59418 .53612 L
.59391 .53513 L
.59337 .53451 L
.5923 .53299 L
.59224 .53291 L
.59101 .5313 L
.5907 .53123 L
.58978 .5297 L
.58909 .52896 L
.58828 .52809 L
.58749 .52677 L
.58726 .52649 L
.58607 .52488 L
.58588 .52464 L
.58485 .52328 L
.58428 .52281 L
.5831 .52167 L
.58267 .52052 L
.58228 .52007 L
.58115 .51846 L
.58106 .51835 L
.57995 .51686 L
.57946 .51623 L
.57873 .51525 L
.57785 .51427 L
.57729 .51364 L
.57627 .51204 L
.57625 .51202 L
.57508 .51043 L
.57464 .50988 L
.57387 .50883 L
.57304 .50803 L
.57228 .50722 L
.57143 .50563 L
.57143 .50562 L
.57026 .50401 L
.56983 .50345 L
.56907 .50241 L
.56822 .50129 L
.56787 .5008 L
.56667 .4992 L
.56662 .49913 L
.56553 .49759 L
.56501 .49691 L
.56437 .49599 L
.56341 .49469 L
.56319 .49438 L
.56207 .49278 L
.5618 .49242 L
.561 .49117 L
.5602 .49004 L
.55991 .48957 L
F
0 .39 1 r
.5602 .495 m
.56104 .49599 L
.5618 .49679 L
.56246 .49759 L
.56341 .49866 L
.56385 .4992 L
.56501 .50057 L
.5652 .5008 L
.56652 .50241 L
.56662 .50252 L
.5678 .50401 L
.56822 .5045 L
.5691 .50562 L
.56983 .5065 L
.5704 .50722 L
.57143 .50826 L
.57169 .50883 L
.57296 .51043 L
.57304 .51053 L
.57421 .51204 L
.57464 .51258 L
.57547 .51364 L
.57625 .51462 L
.57673 .51525 L
.57785 .5166 L
.57815 .51686 L
.57922 .51846 L
.57946 .51876 L
.58044 .52007 L
.58106 .52085 L
.58168 .52167 L
.58267 .52264 L
.58292 .52328 L
.58414 .52488 L
.58428 .52505 L
.58534 .52649 L
.58588 .52718 L
.58655 .52809 L
.58749 .52931 L
.58777 .5297 L
.58896 .5313 L
.58909 .53146 L
.59012 .53291 L
.5907 .53366 L
.59129 .53451 L
.5923 .53586 L
.59248 .53612 L
.59359 .53772 L
.59391 .53814 L
.59466 .53933 L
.59551 .54052 L
.59576 .54093 L
.59551 .54162 L
.59492 .54093 L
.59391 .5399 L
.59344 .53933 L
.5923 .53806 L
.59203 .53772 L
.5907 .53616 L
.59066 .53612 L
.58936 .53451 L
.58909 .53421 L
.58806 .53291 L
.58749 .53223 L
.58676 .5313 L
.58588 .53025 L
.58545 .5297 L
.58428 .52835 L
.58415 .52809 L
.58289 .52649 L
.58267 .52622 L
.58164 .52488 L
.58106 .52418 L
.58038 .52328 L
.57946 .52213 L
.57911 .52167 L
.57785 .52009 L
.57783 .52007 L
.57662 .51846 L
.57625 .518 L
.57539 .51686 L
.57464 .51591 L
.57415 .51525 L
.57304 .51397 L
.5729 .51364 L
.57169 .51204 L
.57143 .51172 L
.57049 .51043 L
.56983 .5096 L
.56927 .50883 L
.56822 .50748 L
.56803 .50722 L
.56684 .50562 L
.56662 .50533 L
.56568 .50401 L
.56501 .50315 L
.56449 .50241 L
.56341 .50098 L
.56328 .5008 L
.56216 .4992 L
.5618 .49873 L
.56106 .49759 L
.5602 .49642 L
.55993 .49599 L
F
1 .07 0 r
.5602 .50174 m
.56068 .50241 L
.5618 .50372 L
.56202 .50401 L
.5618 .50487 L
.56122 .50401 L
.5602 .50278 L
.55994 .50241 L
F
0 .38 1 r
.5602 .49512 m
.56095 .49599 L
.5618 .49687 L
.5624 .49759 L
.56341 .49872 L
.5638 .4992 L
.56501 .50062 L
.56516 .5008 L
.56647 .50241 L
.56662 .50257 L
.56777 .50401 L
.56822 .50455 L
.56907 .50562 L
.56983 .50654 L
.57037 .50722 L
.57143 .50832 L
.57166 .50883 L
.57293 .51043 L
.57304 .51057 L
.57418 .51204 L
.57464 .51261 L
.57544 .51364 L
.57625 .51466 L
.5767 .51525 L
.57785 .51665 L
.57809 .51686 L
.57919 .51846 L
.57946 .5188 L
.58041 .52007 L
.58106 .52089 L
.58165 .52167 L
.58267 .52271 L
.5829 .52328 L
.58411 .52488 L
.58428 .52509 L
.5853 .52649 L
.58588 .52722 L
.58652 .52809 L
.58749 .52935 L
.58774 .5297 L
.58893 .5313 L
.58909 .53151 L
.59008 .53291 L
.5907 .53372 L
.59125 .53451 L
.5923 .53592 L
.59244 .53612 L
.59353 .53772 L
.59391 .53822 L
.59459 .53933 L
.59551 .54065 L
.59567 .54093 L
.59551 .54147 L
.59503 .54093 L
.59391 .53982 L
.5935 .53933 L
.5923 .538 L
.59208 .53772 L
.5907 .53612 L
.5907 .53611 L
.58941 .53451 L
.58909 .53416 L
.5881 .53291 L
.58749 .53219 L
.58679 .5313 L
.58588 .53021 L
.58548 .5297 L
.58428 .52829 L
.58418 .52809 L
.58293 .52649 L
.58267 .52618 L
.58167 .52488 L
.58106 .52414 L
.58041 .52328 L
.57946 .5221 L
.57913 .52167 L
.57787 .52007 L
.57785 .52005 L
.57665 .51846 L
.57625 .51796 L
.57542 .51686 L
.57464 .51588 L
.57417 .51525 L
.57304 .51392 L
.57292 .51364 L
.57172 .51204 L
.57143 .51168 L
.57052 .51043 L
.56983 .50956 L
.56929 .50883 L
.56822 .50744 L
.56806 .50722 L
.56688 .50562 L
.56662 .50529 L
.56572 .50401 L
.56501 .5031 L
.56453 .50241 L
.56341 .50093 L
.56332 .5008 L
.56221 .4992 L
.5618 .49866 L
.56112 .49759 L
.5602 .49632 L
.55999 .49599 L
F
1 .06 0 r
.5602 .50184 m
.5606 .50241 L
.5618 .5038 L
.56196 .50401 L
.5618 .50478 L
.5613 .50401 L
.5602 .50269 L
.56001 .50241 L
F
.061 .91 1 r
.5602 .57044 m
.5608 .57143 L
.5602 .57164 L
.56001 .57143 L
F
1 .74 0 r
.5602 .48843 m
.5613 .48957 L
.5618 .49005 L
.56281 .49117 L
.56341 .49181 L
.56425 .49278 L
.56501 .49363 L
.56565 .49438 L
.56662 .49535 L
.56702 .49599 L
.56822 .4974 L
.56843 .49759 L
.5697 .4992 L
.56983 .49935 L
.57102 .5008 L
.57143 .50094 L
.57233 .50241 L
.57304 .50319 L
.57401 .50401 L
.57464 .50526 L
.57497 .50562 L
.57622 .50722 L
.57625 .50726 L
.5775 .50883 L
.57785 .50912 L
.57878 .51043 L
.57946 .51125 L
.58019 .51204 L
.58106 .51333 L
.5813 .51364 L
.58258 .51525 L
.58267 .51536 L
.58384 .51686 L
.58428 .51731 L
.58543 .51846 L
.58588 .51944 L
.58639 .52007 L
.58749 .52153 L
.58758 .52167 L
.58885 .52328 L
.58909 .52344 L
.5901 .52488 L
.5907 .52558 L
.59148 .52649 L
.5923 .52772 L
.59257 .52809 L
.59382 .5297 L
.59391 .5298 L
.59506 .5313 L
.59551 .53175 L
.59661 .53291 L
.59712 .53393 L
.59757 .53451 L
.59872 .53606 L
.59875 .53612 L
.59998 .53772 L
.60033 .53792 L
.60121 .53933 L
.60193 .54017 L
.60258 .54093 L
.60354 .54236 L
.60366 .54254 L
.60488 .54414 L
.60514 .54449 L
.60609 .54575 L
.60675 .54641 L
.6076 .54735 L
.60835 .54869 L
.60856 .54896 L
.60972 .55057 L
.60996 .55087 L
.61092 .55217 L
.61156 .55261 L
.61213 .55378 L
.61317 .5551 L
.6134 .55538 L
.61451 .55699 L
.61477 .55734 L
.61568 .55859 L
.61638 .55953 L
.61686 .5602 L
.61799 .56167 L
.61809 .5618 L
.61917 .56341 L
.61959 .56397 L
.6203 .56501 L
.6212 .56625 L
.62144 .56662 L
.62252 .56822 L
.6228 .56862 L
.62352 .56983 L
.62441 .57125 L
.6245 .57143 L
.62441 .57202 L
.62375 .57143 L
.6228 .5706 L
.6221 .56983 L
.6212 .56889 L
.62062 .56822 L
.61959 .56708 L
.6192 .56662 L
.61799 .56528 L
.61781 .56501 L
.61646 .56341 L
.61638 .56331 L
.61514 .5618 L
.61477 .56138 L
.61382 .5602 L
.61317 .55972 L
.6125 .55859 L
.61156 .55752 L
.61096 .55699 L
.60996 .55546 L
.60988 .55538 L
.60862 .55378 L
.60835 .55345 L
.60734 .55217 L
.60675 .5516 L
.60606 .55057 L
.60514 .54945 L
.60468 .54896 L
.60354 .54738 L
.60352 .54735 L
.60227 .54575 L
.60193 .5456 L
.60101 .54414 L
.60033 .54339 L
.59948 .54254 L
.59872 .54125 L
.59846 .54093 L
.59724 .53933 L
.59712 .53917 L
.59601 .53772 L
.59551 .5373 L
.5942 .53612 L
.59391 .5351 L
.59339 .53451 L
.5923 .53296 L
.59226 .53291 L
.59104 .5313 L
.5907 .53121 L
.5898 .5297 L
.58909 .52893 L
.5883 .52809 L
.58749 .52673 L
.58729 .52649 L
.58609 .52488 L
.58588 .52461 L
.58487 .52328 L
.58428 .52278 L
.58313 .52167 L
.58267 .52049 L
.58231 .52007 L
.58118 .51846 L
.58106 .51832 L
.57997 .51686 L
.57946 .5162 L
.57875 .51525 L
.57785 .51423 L
.57733 .51364 L
.5763 .51204 L
.57625 .51198 L
.57511 .51043 L
.57464 .50984 L
.5739 .50883 L
.57304 .50798 L
.57233 .50722 L
.57146 .50562 L
.57143 .50558 L
.5703 .50401 L
.56983 .50341 L
.56911 .50241 L
.56822 .50124 L
.56791 .5008 L
.56671 .4992 L
.56662 .49907 L
.56558 .49759 L
.56501 .49684 L
.56442 .49599 L
.56341 .49461 L
.56325 .49438 L
.56215 .49278 L
.5618 .4923 L
.56109 .49117 L
.5602 .48987 L
.56002 .48957 L
F
.156 .94 1 r
.5602 .48172 m
.56168 .48314 L
.5618 .48326 L
.56321 .48475 L
.56341 .48495 L
.56468 .48636 L
.56501 .48672 L
.56611 .48796 L
.56662 .48835 L
.56751 .48957 L
.56822 .49039 L
.56919 .49117 L
.56983 .49234 L
.57022 .49278 L
.57143 .49427 L
.57151 .49438 L
.57289 .49599 L
.57304 .49615 L
.57422 .49759 L
.57464 .49815 L
.57558 .4992 L
.57625 .50018 L
.57671 .5008 L
.57785 .5022 L
.57791 .50241 L
.57939 .50401 L
.57946 .5041 L
.5808 .50562 L
.58106 .50615 L
.5819 .50722 L
.58267 .50824 L
.58301 .50883 L
.58428 .5103 L
.5845 .51043 L
.58575 .51204 L
.58588 .51221 L
.58703 .51364 L
.58749 .51431 L
.58814 .51525 L
.58909 .51643 L
.5892 .51686 L
.5907 .51844 L
.59078 .51846 L
.5921 .52007 L
.5923 .52044 L
.59322 .52167 L
.59391 .52257 L
.59429 .52328 L
.59551 .52468 L
.59578 .52488 L
.5971 .52649 L
.59712 .52662 L
.59828 .52809 L
.59872 .52873 L
.59937 .5297 L
.60033 .53087 L
.60041 .5313 L
.60193 .53289 L
.60198 .53291 L
.6033 .53451 L
.60354 .53494 L
.60441 .53612 L
.60514 .53707 L
.60548 .53772 L
.60675 .53917 L
.60694 .53933 L
.6083 .54093 L
.60835 .54117 L
.60943 .54254 L
.60996 .54329 L
.61051 .54414 L
.61156 .54542 L
.6116 .54575 L
.6131 .54735 L
.61317 .54743 L
.61444 .54896 L
.61477 .54953 L
.61553 .55057 L
.61638 .55167 L
.61662 .55217 L
.61799 .55374 L
.61802 .55378 L
.61948 .55538 L
.61959 .55578 L
.62053 .55699 L
.6212 .55793 L
.62162 .55859 L
.6228 .56005 L
.62281 .5602 L
.62415 .5618 L
.62441 .56205 L
.62554 .56341 L
.62601 .5642 L
.62659 .56501 L
.62762 .56635 L
.62774 .56662 L
.62904 .56822 L
.62922 .56832 L
.63059 .56983 L
.63083 .57047 L
.63156 .57143 L
.63243 .57267 L
.63266 .57304 L
.63391 .57464 L
.63404 .57481 L
.63512 .57625 L
.63564 .57675 L
.63653 .57785 L
.63725 .57902 L
.63756 .57946 L
.63874 .58106 L
.63885 .58121 L
.63993 .58267 L
.64046 .583 L
.64152 .58428 L
.64206 .58543 L
.64239 .58588 L
.64351 .58749 L
.64367 .5877 L
.64467 .58909 L
.64527 .5899 L
.64585 .5907 L
.64688 .592 L
.6471 .5923 L
.64815 .59391 L
.64848 .59437 L
.64926 .59551 L
.65009 .59667 L
.65039 .59712 L
.65145 .59872 L
.6517 .59908 L
.65243 .60033 L
.6533 .6018 L
.65336 .60193 L
.6533 .60263 L
.65238 .60193 L
.6517 .60137 L
.65068 .60033 L
.65009 .59974 L
.64917 .59872 L
.64848 .598 L
.64772 .59712 L
.64688 .59632 L
.64631 .59551 L
.64527 .59433 L
.64476 .59391 L
.64367 .5924 L
.64357 .5923 L
.64225 .5907 L
.64206 .59061 L
.64093 .58909 L
.64046 .58859 L
.63915 .58749 L
.63885 .58655 L
.63823 .58588 L
.63725 .58453 L
.63705 .58428 L
.63573 .58267 L
.63564 .58259 L
.63446 .58106 L
.63404 .58057 L
.63299 .57946 L
.63243 .57849 L
.63191 .57785 L
.63083 .57644 L
.63072 .57625 L
.62939 .57464 L
.62922 .57447 L
.6278 .57304 L
.62762 .5724 L
.6268 .57143 L
.62601 .5703 L
.62568 .56983 L
.62441 .56826 L
.6244 .56822 L
.62312 .56662 L
.6228 .56625 L
.6217 .56501 L
.6212 .56414 L
.62063 .56341 L
.61959 .56204 L
.61947 .5618 L
.61814 .5602 L
.61799 .56005 L
.61659 .55859 L
.61638 .55795 L
.61558 .55699 L
.61477 .55583 L
.61447 .55538 L
.61317 .55378 L
.61317 .55377 L
.61195 .55217 L
.61156 .55175 L
.61052 .55057 L
.60996 .54962 L
.60946 .54896 L
.60835 .54751 L
.60828 .54735 L
.607 .54575 L
.60675 .54553 L
.60543 .54414 L
.60514 .5434 L
.60444 .54254 L
.60354 .54126 L
.60332 .54093 L
.60206 .53933 L
.60193 .53928 L
.60084 .53772 L
.60033 .53718 L
.5994 .53612 L
.59872 .53501 L
.59835 .53451 L
.59713 .53291 L
.59712 .53289 L
.59592 .5313 L
.59551 .53097 L
.59432 .5297 L
.59391 .52877 L
.59336 .52809 L
.5923 .52661 L
.59222 .52649 L
.591 .52488 L
.5907 .52479 L
.58978 .52328 L
.58909 .52255 L
.58835 .52167 L
.58749 .52033 L
.58729 .52007 L
.58609 .51846 L
.58588 .51819 L
.58488 .51686 L
.58428 .51635 L
.5833 .51525 L
.58267 .51406 L
.58235 .51364 L
.5812 .51204 L
.58106 .51187 L
.58 .51043 L
.57946 .50975 L
.57878 .50883 L
.57785 .50777 L
.57741 .50722 L
.57633 .50562 L
.57625 .50552 L
.57514 .50401 L
.57464 .50338 L
.57394 .50241 L
.57304 .50148 L
.57247 .5008 L
.5715 .4992 L
.57143 .49912 L
.57033 .49759 L
.56983 .49694 L
.56914 .49599 L
.56822 .49478 L
.56794 .49438 L
.56674 .49278 L
.56662 .49261 L
.56561 .49117 L
.56501 .49038 L
.56445 .48957 L
.56341 .48815 L
.56328 .48796 L
.56218 .48636 L
.5618 .48583 L
.56113 .48475 L
.5602 .48339 L
.56006 .48314 L
F
0 .37 1 r
.5602 .49525 m
.56085 .49599 L
.5618 .49695 L
.56234 .49759 L
.56341 .49878 L
.56375 .4992 L
.56501 .50068 L
.56512 .5008 L
.56643 .50241 L
.56662 .50262 L
.56772 .50401 L
.56822 .5046 L
.56903 .50562 L
.56983 .50658 L
.57033 .50722 L
.57143 .50839 L
.57163 .50883 L
.57289 .51043 L
.57304 .51061 L
.57414 .51204 L
.57464 .51265 L
.57541 .51364 L
.57625 .5147 L
.57667 .51525 L
.57785 .5167 L
.57803 .51686 L
.57916 .51846 L
.57946 .51884 L
.58038 .52007 L
.58106 .52092 L
.58163 .52167 L
.58267 .52277 L
.58287 .52328 L
.58408 .52488 L
.58428 .52513 L
.58527 .52649 L
.58588 .52726 L
.58648 .52809 L
.58749 .5294 L
.58771 .5297 L
.58889 .5313 L
.58909 .53156 L
.59004 .53291 L
.5907 .53377 L
.59121 .53451 L
.5923 .53598 L
.5924 .53612 L
.59347 .53772 L
.59391 .53832 L
.59451 .53933 L
.59551 .54082 L
.59556 .54093 L
.59551 .54126 L
.5952 .54093 L
.59391 .53973 L
.59357 .53933 L
.5923 .53793 L
.59213 .53772 L
.59076 .53612 L
.5907 .53605 L
.58945 .53451 L
.58909 .5341 L
.58814 .53291 L
.58749 .53214 L
.58683 .5313 L
.58588 .53017 L
.58552 .5297 L
.58428 .52822 L
.58421 .52809 L
.58296 .52649 L
.58267 .52614 L
.5817 .52488 L
.58106 .5241 L
.58043 .52328 L
.57946 .52206 L
.57916 .52167 L
.5779 .52007 L
.57785 .52001 L
.57668 .51846 L
.57625 .51793 L
.57545 .51686 L
.57464 .51585 L
.5742 .51525 L
.57304 .51386 L
.57295 .51364 L
.57175 .51204 L
.57143 .51165 L
.57055 .51043 L
.56983 .50952 L
.56932 .50883 L
.56822 .5074 L
.56809 .50722 L
.56692 .50562 L
.56662 .50524 L
.56575 .50401 L
.56501 .50306 L
.56456 .50241 L
.56341 .50088 L
.56336 .5008 L
.56227 .4992 L
.5618 .49858 L
.56118 .49759 L
.5602 .49622 L
.56006 .49599 L
F
1 .05 0 r
.5602 .50196 m
.5605 .50241 L
.5618 .50389 L
.56189 .50401 L
.5618 .50467 L
.56139 .50401 L
.5602 .50259 L
.56008 .50241 L
F
0 .36 1 r
.5602 .49542 m
.56072 .49599 L
.5618 .49703 L
.56227 .49759 L
.56341 .49885 L
.5637 .4992 L
.56501 .50073 L
.56507 .5008 L
.56638 .50241 L
.56662 .50268 L
.56768 .50401 L
.56822 .50464 L
.56899 .50562 L
.56983 .50662 L
.5703 .50722 L
.57143 .50846 L
.5716 .50883 L
.57286 .51043 L
.57304 .51065 L
.57411 .51204 L
.57464 .51269 L
.57538 .51364 L
.57625 .51473 L
.57665 .51525 L
.57785 .51675 L
.57797 .51686 L
.57913 .51846 L
.57946 .51887 L
.58036 .52007 L
.58106 .52096 L
.5816 .52167 L
.58267 .52284 L
.58284 .52328 L
.58405 .52488 L
.58428 .52517 L
.58524 .52649 L
.58588 .52731 L
.58645 .52809 L
.58749 .52944 L
.58767 .5297 L
.58885 .5313 L
.58909 .53162 L
.58999 .53291 L
.5907 .53383 L
.59117 .53451 L
.5923 .53604 L
.59235 .53612 L
.59339 .53772 L
.59391 .53843 L
.59442 .53933 L
.59391 .53963 L
.59365 .53933 L
.5923 .53786 L
.59219 .53772 L
.59082 .53612 L
.5907 .53598 L
.5895 .53451 L
.58909 .53405 L
.58819 .53291 L
.58749 .53209 L
.58687 .5313 L
.58588 .53012 L
.58555 .5297 L
.58428 .52816 L
.58424 .52809 L
.58299 .52649 L
.58267 .5261 L
.58173 .52488 L
.58106 .52407 L
.58046 .52328 L
.57946 .52203 L
.57919 .52167 L
.57793 .52007 L
.57785 .51998 L
.57671 .51846 L
.57625 .51789 L
.57548 .51686 L
.57464 .51581 L
.57423 .51525 L
.57304 .5138 L
.57297 .51364 L
.57178 .51204 L
.57143 .51161 L
.57058 .51043 L
.56983 .50948 L
.56935 .50883 L
.56822 .50737 L
.56812 .50722 L
.56695 .50562 L
.56662 .50519 L
.56579 .50401 L
.56501 .503 L
.5646 .50241 L
.56341 .50082 L
.56339 .5008 L
.56233 .4992 L
.5618 .49849 L
.56125 .49759 L
.5602 .49609 L
.56014 .49599 L
F
1 .73 0 r
.5602 .48871 m
.5611 .48957 L
.5618 .49021 L
.56269 .49117 L
.56341 .49193 L
.56415 .49278 L
.56501 .49373 L
.56557 .49438 L
.56662 .49546 L
.56695 .49599 L
.56822 .49749 L
.56834 .49759 L
.56963 .4992 L
.56983 .49942 L
.57096 .5008 L
.57143 .50097 L
.57228 .50241 L
.57304 .50324 L
.57396 .50401 L
.57464 .50531 L
.57492 .50562 L
.57617 .50722 L
.57625 .50731 L
.57746 .50883 L
.57785 .50916 L
.57874 .51043 L
.57946 .51129 L
.58016 .51204 L
.58106 .51337 L
.58127 .51364 L
.58255 .51525 L
.58267 .5154 L
.58381 .51686 L
.58428 .51735 L
.5854 .51846 L
.58588 .51948 L
.58636 .52007 L
.58749 .52156 L
.58755 .52167 L
.58882 .52328 L
.58909 .52346 L
.59007 .52488 L
.5907 .52562 L
.59146 .52649 L
.5923 .52775 L
.59255 .52809 L
.5938 .5297 L
.59391 .52984 L
.59503 .5313 L
.59551 .53178 L
.59658 .53291 L
.59712 .53397 L
.59755 .53451 L
.59872 .5361 L
.59873 .53612 L
.59996 .53772 L
.60033 .53794 L
.60118 .53933 L
.60193 .54021 L
.60254 .54093 L
.60354 .5424 L
.60364 .54254 L
.60485 .54414 L
.60514 .54453 L
.60606 .54575 L
.60675 .54645 L
.60756 .54735 L
.60835 .54874 L
.60852 .54896 L
.60969 .55057 L
.60996 .55092 L
.61089 .55217 L
.61156 .55266 L
.61209 .55378 L
.61317 .55516 L
.61334 .55538 L
.61446 .55699 L
.61477 .5574 L
.61563 .55859 L
.61638 .55959 L
.61682 .5602 L
.61799 .56178 L
.618 .5618 L
.61911 .56341 L
.61959 .56406 L
.62023 .56501 L
.6212 .56636 L
.62137 .56662 L
.6224 .56822 L
.6228 .5688 L
.62337 .56983 L
.6228 .57041 L
.62226 .56983 L
.6212 .56876 L
.62073 .56822 L
.61959 .56698 L
.61928 .56662 L
.61799 .56517 L
.61788 .56501 L
.61653 .56341 L
.61638 .56323 L
.6152 .5618 L
.61477 .56131 L
.61387 .5602 L
.61317 .55967 L
.61255 .55859 L
.61156 .55746 L
.61103 .55699 L
.60996 .55541 L
.60993 .55538 L
.60866 .55378 L
.60835 .5534 L
.60738 .55217 L
.60675 .55156 L
.6061 .55057 L
.60514 .54941 L
.60472 .54896 L
.60355 .54735 L
.60354 .54734 L
.6023 .54575 L
.60193 .54558 L
.60104 .54414 L
.60033 .54336 L
.59951 .54254 L
.59872 .54121 L
.59849 .54093 L
.59727 .53933 L
.59712 .53914 L
.59603 .53772 L
.59551 .53727 L
.59422 .53612 L
.59391 .53506 L
.59342 .53451 L
.5923 .53293 L
.59228 .53291 L
.59106 .5313 L
.5907 .5312 L
.58983 .5297 L
.58909 .5289 L
.58833 .52809 L
.58749 .5267 L
.58731 .52649 L
.58612 .52488 L
.58588 .52458 L
.5849 .52328 L
.58428 .52275 L
.58316 .52167 L
.58267 .52045 L
.58234 .52007 L
.5812 .51846 L
.58106 .51828 L
.58 .51686 L
.57946 .51616 L
.57878 .51525 L
.57785 .51419 L
.57737 .51364 L
.57633 .51204 L
.57625 .51194 L
.57514 .51043 L
.57464 .5098 L
.57393 .50883 L
.57304 .50792 L
.57239 .50722 L
.5715 .50562 L
.57143 .50553 L
.57033 .50401 L
.56983 .50336 L
.56915 .50241 L
.56822 .50119 L
.56795 .5008 L
.56676 .4992 L
.56662 .49901 L
.56563 .49759 L
.56501 .49677 L
.56448 .49599 L
.56341 .49453 L
.56331 .49438 L
.56224 .49278 L
.5618 .49217 L
.5612 .49117 L
.5602 .48966 L
.56014 .48957 L
F
1 .04 0 r
.5602 .50216 m
.56034 .50241 L
.5618 .50399 L
.56182 .50401 L
.5618 .50451 L
.56154 .50401 L
.5602 .50245 L
.56017 .50241 L
F
.156 .94 1 r
.5618 .53912 m
.56204 .53933 L
.56341 .54051 L
.56372 .54093 L
.56501 .54233 L
.56531 .54254 L
.56657 .54414 L
.56662 .5442 L
.56789 .54575 L
.56822 .54616 L
.56918 .54735 L
.56983 .54786 L
.57098 .54896 L
.57143 .55031 L
.57161 .55057 L
.57268 .55217 L
.57304 .55274 L
.57367 .55378 L
.57304 .55532 L
.57143 .55387 L
.57138 .55378 L
.56995 .55217 L
.56983 .55203 L
.56864 .55057 L
.56822 .55007 L
.56738 .54896 L
.56662 .54802 L
.56612 .54735 L
.56501 .54593 L
.56488 .54575 L
.56372 .54414 L
.56341 .54372 L
.56261 .54254 L
.5618 .54138 L
.56153 .54093 L
.56066 .53933 L
F
.733 .99 1 r
.5618 .56073 m
.56341 .5607 L
.56501 .56122 L
.56558 .5618 L
.56662 .56296 L
.56685 .56341 L
.56822 .565 L
.56823 .56501 L
.56976 .56662 L
.56983 .5671 L
.57082 .56822 L
.57143 .5692 L
.57191 .56983 L
.57304 .57128 L
.57308 .57143 L
.57442 .57304 L
.57464 .57321 L
.57586 .57464 L
.57625 .57532 L
.57691 .57625 L
.57785 .57749 L
.57803 .57785 L
.57933 .57946 L
.57946 .57964 L
.58092 .58106 L
.58106 .58177 L
.58187 .58267 L
.58267 .58368 L
.58293 .58428 L
.5841 .58588 L
.58428 .58614 L
.58517 .58749 L
.58587 .58909 L
.58428 .58966 L
.58284 .58909 L
.58267 .58894 L
.58106 .58769 L
.58098 .58749 L
.57946 .58592 L
.57943 .58588 L
.57797 .58428 L
.57785 .58388 L
.5768 .58267 L
.57625 .5817 L
.57569 .58106 L
.57464 .57995 L
.57426 .57946 L
.57304 .57787 L
.57303 .57785 L
.57172 .57625 L
.57143 .57575 L
.57061 .57464 L
.56983 .5736 L
.56957 .57304 L
.56822 .57153 L
.56807 .57143 L
.56673 .56983 L
.56662 .5696 L
.5656 .56822 L
.56501 .56752 L
.56454 .56662 L
.56341 .56537 L
.56318 .56501 L
.562 .56341 L
.5618 .5631 L
.5608 .5618 L
F
1 .87 .018 r
.5618 .56563 m
.56282 .56662 L
.56341 .56721 L
.56427 .56822 L
.56501 .56908 L
.5656 .56983 L
.56662 .5711 L
.56686 .57143 L
.56806 .57304 L
.56822 .57326 L
.56915 .57464 L
.56983 .57563 L
.5702 .57625 L
.56983 .57763 L
.56839 .57625 L
.56822 .57609 L
.56692 .57464 L
.56662 .57431 L
.56555 .57304 L
.56501 .5724 L
.56424 .57143 L
.56341 .57037 L
.563 .56983 L
.56184 .56822 L
.5618 .56816 L
.56086 .56662 L
F
1 .86 .013 r
.5618 .5659 m
.5626 .56662 L
.56341 .5674 L
.56412 .56822 L
.56501 .56924 L
.56547 .56983 L
.56662 .57126 L
.56674 .57143 L
.5679 .57304 L
.56822 .57347 L
.56898 .57464 L
.56983 .57594 L
.56999 .57625 L
.56983 .57723 L
.56868 .57625 L
.56822 .57584 L
.56712 .57464 L
.56662 .57411 L
.56571 .57304 L
.56501 .57221 L
.56439 .57143 L
.56341 .57017 L
.56315 .56983 L
.56203 .56822 L
.5618 .56788 L
.56109 .56662 L
F
.538 .98 1 r
.5618 .56105 m
.56341 .56096 L
.56501 .5616 L
.56527 .5618 L
.56662 .56318 L
.56674 .56341 L
.56812 .56501 L
.56822 .56514 L
.56974 .56662 L
.56983 .5672 L
.57075 .56822 L
.57143 .56929 L
.57185 .56983 L
.57304 .57134 L
.57306 .57143 L
.57436 .57304 L
.57464 .57326 L
.5758 .57464 L
.57625 .57541 L
.57684 .57625 L
.57785 .5776 L
.57798 .57785 L
.57923 .57946 L
.57946 .57976 L
.58086 .58106 L
.58106 .58193 L
.58174 .58267 L
.58267 .58403 L
.58277 .58428 L
.58384 .58588 L
.58428 .58661 L
.58473 .58749 L
.58428 .58882 L
.58267 .58808 L
.58145 .58749 L
.58106 .58707 L
.57977 .58588 L
.57946 .58547 L
.57808 .58428 L
.57785 .58356 L
.57696 .58267 L
.57625 .5815 L
.57581 .58106 L
.57464 .57979 L
.57438 .57946 L
.57313 .57785 L
.57304 .57774 L
.5718 .57625 L
.57143 .57563 L
.57069 .57464 L
.56983 .57351 L
.56962 .57304 L
.56822 .57148 L
.56815 .57143 L
.56677 .56983 L
.56662 .56952 L
.56568 .56822 L
.56501 .5674 L
.56461 .56662 L
.56341 .56519 L
.5633 .56501 L
.56217 .56341 L
.5618 .56278 L
.56112 .5618 L
F
1 .72 0 r
.5618 .49038 m
.56255 .49117 L
.56341 .49205 L
.56405 .49278 L
.56501 .49384 L
.56548 .49438 L
.56662 .49557 L
.56688 .49599 L
.56822 .49757 L
.56824 .49759 L
.56957 .4992 L
.56983 .49949 L
.57091 .5008 L
.57143 .50101 L
.57223 .50241 L
.57304 .50331 L
.5739 .50401 L
.57464 .50537 L
.57487 .50562 L
.57613 .50722 L
.57625 .50737 L
.57742 .50883 L
.57785 .50919 L
.5787 .51043 L
.57946 .51134 L
.58012 .51204 L
.58106 .51342 L
.58124 .51364 L
.58251 .51525 L
.58267 .51545 L
.58378 .51686 L
.58428 .51738 L
.58537 .51846 L
.58588 .51952 L
.58633 .52007 L
.58749 .5216 L
.58753 .52167 L
.58879 .52328 L
.58909 .52349 L
.59004 .52488 L
.5907 .52565 L
.59143 .52649 L
.5923 .52779 L
.59252 .52809 L
.59377 .5297 L
.59391 .52987 L
.595 .5313 L
.59551 .53181 L
.59656 .53291 L
.59712 .53401 L
.59752 .53451 L
.59871 .53612 L
.59872 .53614 L
.59993 .53772 L
.60033 .53796 L
.60116 .53933 L
.60193 .54025 L
.60251 .54093 L
.60354 .54244 L
.60361 .54254 L
.60481 .54414 L
.60514 .54457 L
.60603 .54575 L
.60675 .5465 L
.60752 .54735 L
.60835 .54879 L
.60848 .54896 L
.60965 .55057 L
.60996 .55096 L
.61085 .55217 L
.61156 .55272 L
.61205 .55378 L
.61317 .55523 L
.61329 .55538 L
.61442 .55699 L
.61477 .55746 L
.61559 .55859 L
.61638 .55966 L
.61677 .5602 L
.61794 .5618 L
.61799 .56187 L
.61904 .56341 L
.61959 .56416 L
.62016 .56501 L
.6212 .56648 L
.62129 .56662 L
.62227 .56822 L
.6228 .56904 L
.62318 .56983 L
.6228 .57018 L
.62245 .56983 L
.6212 .56862 L
.62084 .56822 L
.61959 .56687 L
.61937 .56662 L
.61799 .56505 L
.61796 .56501 L
.61661 .56341 L
.61638 .56315 L
.61526 .5618 L
.61477 .56124 L
.61393 .5602 L
.61317 .5596 L
.6126 .55859 L
.61156 .5574 L
.61109 .55699 L
.60998 .55538 L
.60996 .55536 L
.6087 .55378 L
.60835 .55335 L
.60742 .55217 L
.60675 .55152 L
.60613 .55057 L
.60514 .54937 L
.60476 .54896 L
.60358 .54735 L
.60354 .5473 L
.60233 .54575 L
.60193 .54556 L
.60107 .54414 L
.60033 .54332 L
.59954 .54254 L
.59872 .54118 L
.59852 .54093 L
.5973 .53933 L
.59712 .5391 L
.59606 .53772 L
.59551 .53724 L
.59425 .53612 L
.59391 .53503 L
.59345 .53451 L
.59231 .53291 L
.5923 .5329 L
.59109 .5313 L
.5907 .53119 L
.58985 .5297 L
.58909 .52887 L
.58836 .52809 L
.58749 .52667 L
.58734 .52649 L
.58614 .52488 L
.58588 .52455 L
.58492 .52328 L
.58428 .52272 L
.58319 .52167 L
.58267 .52042 L
.58237 .52007 L
.58123 .51846 L
.58106 .51825 L
.58002 .51686 L
.57946 .51613 L
.5788 .51525 L
.57785 .51415 L
.5774 .51364 L
.57636 .51204 L
.57625 .5119 L
.57517 .51043 L
.57464 .50976 L
.57396 .50883 L
.57304 .50787 L
.57244 .50722 L
.57154 .50562 L
.57143 .50549 L
.57037 .50401 L
.56983 .50331 L
.56919 .50241 L
.56822 .50114 L
.56799 .5008 L
.56681 .4992 L
.56662 .49894 L
.56569 .49759 L
.56501 .49669 L
.56454 .49599 L
.56341 .49444 L
.56337 .49438 L
.56233 .49278 L
.5618 .49202 L
.56132 .49117 L
F
0 .35 1 r
.5618 .49713 m
.5622 .49759 L
.56341 .49892 L
.56364 .4992 L
.56501 .50079 L
.56502 .5008 L
.56633 .50241 L
.56662 .50273 L
.56764 .50401 L
.56822 .50469 L
.56895 .50562 L
.56983 .50667 L
.57026 .50722 L
.57143 .50853 L
.57156 .50883 L
.57283 .51043 L
.57304 .51069 L
.57408 .51204 L
.57464 .51273 L
.57535 .51364 L
.57625 .51477 L
.57662 .51525 L
.57785 .51681 L
.57791 .51686 L
.57909 .51846 L
.57946 .51891 L
.58033 .52007 L
.58106 .521 L
.58157 .52167 L
.58267 .52291 L
.58281 .52328 L
.58401 .52488 L
.58428 .52521 L
.58521 .52649 L
.58588 .52735 L
.58642 .52809 L
.58749 .52948 L
.58764 .5297 L
.5888 .5313 L
.58909 .53167 L
.58995 .53291 L
.5907 .53389 L
.59112 .53451 L
.5923 .53611 L
.59231 .53612 L
.59331 .53772 L
.59391 .53856 L
.5943 .53933 L
.59391 .53951 L
.59375 .53933 L
.5923 .53779 L
.59225 .53772 L
.59089 .53612 L
.5907 .53592 L
.58956 .53451 L
.58909 .53399 L
.58823 .53291 L
.58749 .53205 L
.5869 .5313 L
.58588 .53008 L
.58558 .5297 L
.58428 .52809 L
.58427 .52809 L
.58303 .52649 L
.58267 .52606 L
.58177 .52488 L
.58106 .52403 L
.58049 .52328 L
.57946 .52199 L
.57921 .52167 L
.57796 .52007 L
.57785 .51994 L
.57674 .51846 L
.57625 .51785 L
.5755 .51686 L
.57464 .51577 L
.57425 .51525 L
.57304 .51374 L
.573 .51364 L
.57181 .51204 L
.57143 .51157 L
.57061 .51043 L
.56983 .50944 L
.56938 .50883 L
.56822 .50732 L
.56815 .50722 L
.56699 .50562 L
.56662 .50514 L
.56583 .50401 L
.56501 .50295 L
.56464 .50241 L
.56344 .5008 L
.56341 .50075 L
.5624 .4992 L
.5618 .4984 L
.56133 .49759 L
F
1 .85 .01 r
.5618 .56623 m
.56231 .56662 L
.56341 .56761 L
.56395 .56822 L
.56501 .56942 L
.56533 .56983 L
.56661 .57143 L
.56662 .57144 L
.56773 .57304 L
.56822 .57373 L
.56878 .57464 L
.56822 .57555 L
.56735 .57464 L
.56662 .57388 L
.5659 .57304 L
.56501 .57201 L
.56456 .57143 L
.56341 .56996 L
.56331 .56983 L
.56223 .56822 L
.5618 .56751 L
.56139 .56662 L
F
1 .98 .538 r
.5618 .47686 m
.56332 .47833 L
.56341 .47842 L
.56486 .47993 L
.56501 .48009 L
.56635 .48154 L
.56662 .48162 L
.5678 .48314 L
.56822 .48363 L
.56922 .48475 L
.56983 .48555 L
.5706 .48636 L
.57143 .48749 L
.57179 .48796 L
.57304 .48943 L
.5733 .48957 L
.57462 .49117 L
.57464 .49121 L
.57601 .49278 L
.57625 .49321 L
.57716 .49438 L
.57785 .49529 L
.57825 .49599 L
.57946 .49709 L
.57988 .49759 L
.58106 .4991 L
.58114 .4992 L
.5824 .5008 L
.58267 .50118 L
.58351 .50241 L
.58428 .50336 L
.585 .50401 L
.58588 .50516 L
.58626 .50562 L
.58749 .50721 L
.58749 .50722 L
.58868 .50883 L
.58909 .50937 L
.58969 .51043 L
.5907 .51164 L
.5913 .51204 L
.5923 .51336 L
.59253 .51364 L
.59374 .51525 L
.59391 .51547 L
.59483 .51686 L
.59551 .5177 L
.59629 .51846 L
.59712 .51956 L
.59752 .52007 L
.59872 .52165 L
.59874 .52167 L
.5999 .52328 L
.60033 .52382 L
.60089 .52488 L
.60193 .52609 L
.60249 .52649 L
.60354 .52787 L
.60371 .52809 L
.60492 .5297 L
.60514 .53 L
.60599 .5313 L
.60675 .53222 L
.60744 .53291 L
.60835 .53412 L
.60867 .53451 L
.60989 .53612 L
.60996 .53622 L
.61103 .53772 L
.61156 .5384 L
.61201 .53933 L
.61317 .54061 L
.61361 .54093 L
.61477 .54247 L
.61483 .54254 L
.61603 .54414 L
.61638 .54461 L
.61709 .54575 L
.61799 .54679 L
.61855 .54735 L
.61959 .54892 L
.61977 .54896 L
.62101 .55057 L
.6212 .55084 L
.62213 .55217 L
.6228 .553 L
.62312 .55378 L
.62441 .55515 L
.62471 .55538 L
.62596 .55699 L
.62601 .5571 L
.62713 .55859 L
.62762 .55923 L
.62819 .5602 L
.62922 .56138 L
.62964 .5618 L
.63083 .5634 L
.63085 .56341 L
.63212 .56501 L
.63243 .56547 L
.63322 .56662 L
.63404 .56761 L
.63424 .56822 L
.63564 .56971 L
.63578 .56983 L
.6371 .57143 L
.63725 .57173 L
.63823 .57304 L
.63885 .57386 L
.6393 .57464 L
.64046 .57598 L
.64071 .57625 L
.64192 .57785 L
.64206 .578 L
.64323 .57946 L
.64367 .58011 L
.64431 .58106 L
.64527 .58225 L
.64539 .58267 L
.64684 .58428 L
.64688 .5843 L
.64823 .58588 L
.64848 .58636 L
.64931 .58749 L
.65009 .58851 L
.6504 .58909 L
.6517 .59063 L
.65175 .5907 L
.65327 .5923 L
.6533 .59262 L
.6543 .59391 L
.65491 .59478 L
.65538 .59551 L
.65651 .59694 L
.65655 .59712 L
.65786 .59872 L
.65812 .59888 L
.65931 .60033 L
.65972 .60106 L
.66034 .60193 L
.66133 .60326 L
.66147 .60354 L
.66273 .60514 L
.66293 .6054 L
.6644 .60675 L
.66454 .60734 L
.66529 .60835 L
.66614 .6096 L
.66637 .60996 L
.66757 .61156 L
.66775 .6118 L
.66876 .61317 L
.66935 .61361 L
.67022 .61477 L
.67096 .61603 L
.67119 .61638 L
.67233 .61799 L
.67256 .61829 L
.67349 .61959 L
.67417 .6205 L
.6751 .6212 L
.67577 .62268 L
.67586 .6228 L
.67694 .62441 L
.67738 .62502 L
.67804 .62601 L
.67898 .62738 L
.67914 .62762 L
.68012 .62922 L
.68059 .62999 L
.68099 .63083 L
.68059 .63163 L
.67966 .63083 L
.67898 .63024 L
.67799 .62922 L
.67738 .62862 L
.67646 .62762 L
.67577 .62704 L
.675 .62601 L
.67417 .6251 L
.67321 .62441 L
.67256 .62319 L
.67216 .6228 L
.67096 .6213 L
.67087 .6212 L
.66951 .61959 L
.66935 .61943 L
.66818 .61799 L
.66775 .61744 L
.66675 .61638 L
.66614 .61541 L
.66562 .61477 L
.66454 .61338 L
.66443 .61317 L
.663 .61156 L
.66293 .61148 L
.66153 .60996 L
.66133 .60943 L
.66044 .60835 L
.65972 .60733 L
.65932 .60675 L
.65812 .60525 L
.65792 .60514 L
.65667 .60354 L
.65651 .60333 L
.65533 .60193 L
.65491 .60123 L
.65423 .60033 L
.6533 .5991 L
.65313 .59872 L
.6517 .59716 L
.65166 .59712 L
.65027 .59551 L
.65009 .59507 L
.64917 .59391 L
.64848 .59293 L
.64807 .5923 L
.64688 .59083 L
.64669 .5907 L
.64545 .58909 L
.64527 .58887 L
.64412 .58749 L
.64367 .58674 L
.64303 .58588 L
.64206 .58461 L
.64193 .58428 L
.6405 .58267 L
.64046 .58262 L
.63909 .58106 L
.63885 .58053 L
.638 .57946 L
.63725 .5784 L
.63691 .57785 L
.63564 .57632 L
.63555 .57625 L
.63433 .57464 L
.63404 .5743 L
.63298 .57304 L
.63243 .57217 L
.63189 .57143 L
.63083 .57006 L
.63075 .56983 L
.62939 .56822 L
.62922 .56805 L
.62793 .56662 L
.62762 .56594 L
.62688 .56501 L
.62601 .56381 L
.62577 .56341 L
.62445 .5618 L
.62441 .56177 L
.62284 .5602 L
.6228 .55971 L
.62186 .55859 L
.6212 .55757 L
.62077 .55699 L
.61959 .55546 L
.61957 .55538 L
.6183 .55378 L
.61799 .55348 L
.61681 .55217 L
.61638 .55133 L
.61577 .55057 L
.61477 .5492 L
.61463 .54896 L
.61337 .54735 L
.61317 .54723 L
.61169 .54575 L
.61156 .54511 L
.61076 .54414 L
.60996 .54295 L
.60967 .54254 L
.60844 .54093 L
.60835 .54083 L
.60722 .53933 L
.60675 .5389 L
.60571 .53772 L
.60514 .5367 L
.60469 .53612 L
.60354 .53455 L
.60351 .53451 L
.6023 .53291 L
.60193 .53271 L
.60059 .5313 L
.60033 .53048 L
.59969 .5297 L
.59872 .52829 L
.59858 .52809 L
.59737 .52649 L
.59712 .52616 L
.59616 .52488 L
.59551 .52428 L
.59465 .52328 L
.59391 .52204 L
.59363 .52167 L
.59245 .52007 L
.5923 .51988 L
.59124 .51846 L
.5907 .51814 L
.58954 .51686 L
.58909 .5158 L
.58865 .51525 L
.58753 .51364 L
.58749 .51359 L
.58633 .51204 L
.58588 .51147 L
.58511 .51043 L
.58428 .50959 L
.58365 .50883 L
.58267 .50729 L
.58262 .50722 L
.58143 .50562 L
.58106 .50515 L
.58022 .50401 L
.57946 .50304 L
.57861 .50241 L
.57785 .50099 L
.57771 .5008 L
.57655 .4992 L
.57625 .49881 L
.57536 .49759 L
.57464 .49668 L
.57414 .49599 L
.57304 .49467 L
.57282 .49438 L
.57171 .49278 L
.57143 .49242 L
.57054 .49117 L
.56983 .49025 L
.56934 .48957 L
.56822 .48811 L
.56802 .48796 L
.56696 .48636 L
.56662 .48591 L
.56582 .48475 L
.56501 .48368 L
.56465 .48314 L
.56349 .48154 L
.56341 .48143 L
.56244 .47993 L
.5618 .47903 L
.5614 .47833 L
F
0 .34 1 r
.5618 .49723 m
.56211 .49759 L
.56341 .49899 L
.56358 .4992 L
.56341 .50068 L
.56247 .4992 L
.5618 .49829 L
.56142 .49759 L
F
1 .71 0 r
.5618 .49058 m
.56238 .49117 L
.56341 .49219 L
.56394 .49278 L
.56501 .49394 L
.56539 .49438 L
.56662 .49569 L
.5668 .49599 L
.56817 .49759 L
.56822 .49766 L
.56951 .4992 L
.56983 .49957 L
.57085 .5008 L
.57143 .50106 L
.57218 .50241 L
.57304 .50337 L
.57383 .50401 L
.57464 .50542 L
.57482 .50562 L
.57609 .50722 L
.57625 .50742 L
.57738 .50883 L
.57785 .50923 L
.57867 .51043 L
.57946 .51139 L
.58008 .51204 L
.58106 .51346 L
.58121 .51364 L
.58248 .51525 L
.58267 .51549 L
.58374 .51686 L
.58428 .51742 L
.58534 .51846 L
.58588 .51956 L
.5863 .52007 L
.58749 .52163 L
.58751 .52167 L
.58876 .52328 L
.58909 .52351 L
.59001 .52488 L
.5907 .52569 L
.5914 .52649 L
.5923 .52783 L
.5925 .52809 L
.59374 .5297 L
.59391 .52991 L
.59497 .5313 L
.59551 .53185 L
.59653 .53291 L
.59712 .53404 L
.59749 .53451 L
.59868 .53612 L
.59872 .53617 L
.5999 .53772 L
.60033 .53799 L
.60113 .53933 L
.60193 .54028 L
.60248 .54093 L
.60354 .54248 L
.60358 .54254 L
.60478 .54414 L
.60514 .54461 L
.606 .54575 L
.60675 .54654 L
.60748 .54735 L
.60835 .54884 L
.60845 .54896 L
.60962 .55057 L
.60996 .55101 L
.61081 .55217 L
.61156 .55278 L
.61202 .55378 L
.61317 .5553 L
.61324 .55538 L
.61437 .55699 L
.61477 .55752 L
.61554 .55859 L
.61638 .55972 L
.61672 .5602 L
.61787 .5618 L
.61799 .56195 L
.61897 .56341 L
.61959 .56426 L
.62009 .56501 L
.6212 .5666 L
.6212 .56662 L
.62211 .56822 L
.6228 .56946 L
.62282 .56983 L
.6228 .56984 L
.62278 .56983 L
.6212 .56847 L
.62098 .56822 L
.61959 .56676 L
.61947 .56662 L
.61805 .56501 L
.61799 .56495 L
.61668 .56341 L
.61638 .56307 L
.61533 .5618 L
.61477 .56117 L
.61398 .5602 L
.61317 .55953 L
.61265 .55859 L
.61156 .55733 L
.61116 .55699 L
.61003 .55538 L
.60996 .5553 L
.60874 .55378 L
.60835 .55331 L
.60746 .55217 L
.60675 .55147 L
.60617 .55057 L
.60514 .54932 L
.6048 .54896 L
.60362 .54735 L
.60354 .54726 L
.60236 .54575 L
.60193 .54553 L
.6011 .54414 L
.60033 .54328 L
.59958 .54254 L
.59872 .54114 L
.59855 .54093 L
.59733 .53933 L
.59712 .53907 L
.59609 .53772 L
.59551 .53721 L
.59428 .53612 L
.59391 .535 L
.59348 .53451 L
.59233 .53291 L
.5923 .53287 L
.59111 .5313 L
.5907 .53117 L
.58987 .5297 L
.58909 .52884 L
.58839 .52809 L
.58749 .52663 L
.58737 .52649 L
.58617 .52488 L
.58588 .52452 L
.58495 .52328 L
.58428 .52269 L
.58322 .52167 L
.58267 .52038 L
.5824 .52007 L
.58126 .51846 L
.58106 .51822 L
.58005 .51686 L
.57946 .5161 L
.57883 .51525 L
.57785 .51411 L
.57744 .51364 L
.57639 .51204 L
.57625 .51186 L
.5752 .51043 L
.57464 .50972 L
.57399 .50883 L
.57304 .50781 L
.5725 .50722 L
.57157 .50562 L
.57143 .50544 L
.57041 .50401 L
.56983 .50325 L
.56923 .50241 L
.56822 .50108 L
.56803 .5008 L
.56687 .4992 L
.56662 .49887 L
.56574 .49759 L
.56501 .49661 L
.5646 .49599 L
.56344 .49438 L
.56341 .49433 L
.56244 .49278 L
.5618 .49183 L
.56146 .49117 L
F
.114 .93 1 r
.5618 .48383 m
.56276 .48475 L
.56341 .48536 L
.56434 .48636 L
.56501 .48706 L
.56583 .48796 L
.56662 .4886 L
.56727 .48957 L
.56822 .49064 L
.56895 .49117 L
.56983 .49256 L
.57004 .49278 L
.57139 .49438 L
.57143 .49443 L
.57274 .49599 L
.57304 .4963 L
.57408 .49759 L
.57464 .49831 L
.57546 .4992 L
.57625 .50032 L
.57661 .5008 L
.57785 .5023 L
.57788 .50241 L
.57929 .50401 L
.57946 .50422 L
.58074 .50562 L
.58106 .50627 L
.58182 .50722 L
.58267 .50834 L
.58295 .50883 L
.58428 .51035 L
.58441 .51043 L
.58568 .51204 L
.58588 .5123 L
.58697 .51364 L
.58749 .5144 L
.58808 .51525 L
.58909 .5165 L
.58917 .51686 L
.5907 .51846 L
.59072 .51846 L
.59206 .52007 L
.5923 .52051 L
.59317 .52167 L
.59391 .52263 L
.59426 .52328 L
.59551 .52472 L
.59573 .52488 L
.59709 .52649 L
.59712 .52668 L
.59824 .52809 L
.59872 .52879 L
.59933 .5297 L
.60033 .53092 L
.6004 .5313 L
.60193 .53291 L
.60194 .53291 L
.60327 .53451 L
.60354 .53499 L
.60437 .53612 L
.60514 .53712 L
.60545 .53772 L
.60675 .53921 L
.6069 .53933 L
.60829 .54093 L
.60835 .54121 L
.6094 .54254 L
.60996 .54334 L
.61048 .54414 L
.61156 .54546 L
.61159 .54575 L
.61306 .54735 L
.61317 .54747 L
.61442 .54896 L
.61477 .54958 L
.61549 .55057 L
.61638 .55171 L
.6166 .55217 L
.61798 .55378 L
.61799 .55378 L
.61946 .55538 L
.61959 .55583 L
.62049 .55699 L
.6212 .55798 L
.62158 .55859 L
.6228 .56009 L
.62281 .5602 L
.62411 .5618 L
.62441 .56209 L
.6255 .56341 L
.62601 .56425 L
.62655 .56501 L
.62762 .56641 L
.62771 .56662 L
.62899 .56822 L
.62922 .56835 L
.63056 .56983 L
.63083 .57054 L
.63151 .57143 L
.63243 .57274 L
.63262 .57304 L
.63385 .57464 L
.63404 .57489 L
.63505 .57625 L
.63564 .57683 L
.63646 .57785 L
.63725 .57912 L
.63749 .57946 L
.63866 .58106 L
.63885 .58132 L
.63985 .58267 L
.64046 .58311 L
.64142 .58428 L
.64206 .58558 L
.64228 .58588 L
.6434 .58749 L
.64367 .58785 L
.64455 .58909 L
.64527 .59008 L
.64571 .5907 L
.64687 .5923 L
.64688 .59231 L
.64796 .59391 L
.64848 .59465 L
.64905 .59551 L
.65009 .59703 L
.65014 .59712 L
.65106 .59872 L
.6517 .59989 L
.65181 .60033 L
.6517 .60052 L
.65141 .60033 L
.65009 .59927 L
.64957 .59872 L
.64848 .59764 L
.64802 .59712 L
.64688 .59599 L
.64655 .59551 L
.64527 .59407 L
.64506 .59391 L
.64377 .5923 L
.64367 .59219 L
.64241 .5907 L
.64206 .59052 L
.64107 .58909 L
.64046 .58843 L
.63926 .58749 L
.63885 .5864 L
.63835 .58588 L
.63725 .58441 L
.63714 .58428 L
.63583 .58267 L
.63564 .58251 L
.63455 .58106 L
.63404 .58046 L
.63306 .57946 L
.63243 .5784 L
.63198 .57785 L
.63083 .57637 L
.63076 .57625 L
.62945 .57464 L
.62922 .5744 L
.62783 .57304 L
.62762 .57233 L
.62685 .57143 L
.62601 .57024 L
.62572 .56983 L
.62441 .56822 L
.62441 .56822 L
.62317 .56662 L
.6228 .56619 L
.62174 .56501 L
.6212 .56408 L
.62067 .56341 L
.61959 .562 L
.61949 .5618 L
.61818 .5602 L
.61799 .56001 L
.61661 .55859 L
.61638 .55791 L
.61561 .55699 L
.61477 .55579 L
.6145 .55538 L
.61321 .55378 L
.61317 .55375 L
.61198 .55217 L
.61156 .55171 L
.61055 .55057 L
.60996 .54958 L
.60949 .54896 L
.60835 .54747 L
.6083 .54735 L
.60703 .54575 L
.60675 .5455 L
.60545 .54414 L
.60514 .54336 L
.60447 .54254 L
.60354 .54122 L
.60335 .54093 L
.60209 .53933 L
.60193 .53926 L
.60087 .53772 L
.60033 .53715 L
.59943 .53612 L
.59872 .53498 L
.59837 .53451 L
.59716 .53291 L
.59712 .53285 L
.59595 .5313 L
.59551 .53094 L
.59434 .5297 L
.59391 .52873 L
.59339 .52809 L
.5923 .52657 L
.59225 .52649 L
.59103 .52488 L
.5907 .52477 L
.58981 .52328 L
.58909 .5225 L
.58839 .52167 L
.58749 .52029 L
.58732 .52007 L
.58613 .51846 L
.58588 .51815 L
.58492 .51686 L
.58428 .5163 L
.58334 .51525 L
.58267 .514 L
.58239 .51364 L
.58124 .51204 L
.58106 .51182 L
.58004 .51043 L
.57946 .50969 L
.57883 .50883 L
.57785 .5077 L
.57747 .50722 L
.57638 .50562 L
.57625 .50545 L
.5752 .50401 L
.57464 .5033 L
.574 .50241 L
.57304 .50136 L
.57258 .5008 L
.57158 .4992 L
.57143 .49901 L
.57041 .49759 L
.56983 .49683 L
.56923 .49599 L
.56822 .49465 L
.56803 .49438 L
.56687 .49278 L
.56662 .49244 L
.56575 .49117 L
.56501 .49018 L
.5646 .48957 L
.56345 .48796 L
.56341 .4879 L
.56244 .48636 L
.5618 .4854 L
.56146 .48475 L
F
0 .33 1 r
.5618 .49736 m
.562 .49759 L
.56341 .49907 L
.56352 .4992 L
.56341 .50059 L
.56255 .4992 L
.5618 .49815 L
.56153 .49759 L
F
.395 .97 1 r
.5618 .56148 m
.56341 .5612 L
.56489 .5618 L
.56501 .56194 L
.56662 .56337 L
.56664 .56341 L
.56801 .56501 L
.56822 .56527 L
.56971 .56662 L
.56983 .5673 L
.57069 .56822 L
.57143 .56937 L
.57179 .56983 L
.57304 .5714 L
.57305 .57143 L
.57429 .57304 L
.57464 .57332 L
.57575 .57464 L
.57625 .5755 L
.57677 .57625 L
.57785 .57771 L
.57793 .57785 L
.57914 .57946 L
.57946 .57989 L
.58079 .58106 L
.58106 .5821 L
.58159 .58267 L
.58259 .58428 L
.58267 .58439 L
.58356 .58588 L
.58419 .58749 L
.58267 .58768 L
.58211 .58749 L
.58106 .58661 L
.58011 .58588 L
.57946 .5851 L
.57822 .58428 L
.57785 .5833 L
.57712 .58267 L
.57625 .58134 L
.57592 .58106 L
.57464 .57963 L
.57451 .57946 L
.57323 .57785 L
.57304 .57761 L
.57187 .57625 L
.57143 .57552 L
.57077 .57464 L
.56983 .57342 L
.56966 .57304 L
.56823 .57143 L
.56822 .57143 L
.56681 .56983 L
.56662 .56944 L
.56576 .56822 L
.56501 .56728 L
.56468 .56662 L
.56342 .56501 L
.56341 .565 L
.56233 .56341 L
.5618 .56233 L
.56155 .5618 L
F
1 .7 0 r
.5618 .49086 m
.56215 .49117 L
.56341 .49233 L
.56381 .49278 L
.56501 .49406 L
.5653 .49438 L
.56662 .49582 L
.56672 .49599 L
.56809 .49759 L
.56822 .49774 L
.56944 .4992 L
.56983 .49964 L
.57079 .5008 L
.57143 .50111 L
.57213 .50241 L
.57304 .50343 L
.57377 .50401 L
.57464 .50548 L
.57477 .50562 L
.57604 .50722 L
.57625 .50747 L
.57734 .50883 L
.57785 .50927 L
.57863 .51043 L
.57946 .51143 L
.58004 .51204 L
.58106 .5135 L
.58118 .51364 L
.58244 .51525 L
.58267 .51553 L
.58371 .51686 L
.58428 .51746 L
.58531 .51846 L
.58588 .5196 L
.58627 .52007 L
.58749 .52167 L
.58749 .52167 L
.58873 .52328 L
.58909 .52353 L
.58998 .52488 L
.5907 .52573 L
.59137 .52649 L
.5923 .52786 L
.59247 .52809 L
.59371 .5297 L
.59391 .52995 L
.59495 .5313 L
.59551 .53188 L
.5965 .53291 L
.59712 .53408 L
.59746 .53451 L
.59865 .53612 L
.59872 .53621 L
.59987 .53772 L
.60033 .53801 L
.6011 .53933 L
.60193 .54032 L
.60245 .54093 L
.60354 .54252 L
.60355 .54254 L
.60475 .54414 L
.60514 .54465 L
.60597 .54575 L
.60675 .54659 L
.60744 .54735 L
.60835 .54889 L
.60841 .54896 L
.60958 .55057 L
.60996 .55106 L
.61078 .55217 L
.61156 .55284 L
.61198 .55378 L
.61317 .55537 L
.61318 .55538 L
.61433 .55699 L
.61477 .55758 L
.61549 .55859 L
.61638 .55979 L
.61667 .5602 L
.61781 .5618 L
.61799 .56204 L
.6189 .56341 L
.61959 .56437 L
.62001 .56501 L
.62108 .56662 L
.6212 .56679 L
.6219 .56822 L
.6212 .56829 L
.62113 .56822 L
.61959 .56664 L
.61957 .56662 L
.61815 .56501 L
.61799 .56484 L
.61676 .56341 L
.61638 .56299 L
.6154 .5618 L
.61477 .56109 L
.61404 .5602 L
.61317 .55946 L
.6127 .55859 L
.61156 .55727 L
.61124 .55699 L
.61007 .55538 L
.60996 .55525 L
.60879 .55378 L
.60835 .55326 L
.6075 .55217 L
.60675 .55143 L
.6062 .55057 L
.60514 .54928 L
.60484 .54896 L
.60365 .54735 L
.60354 .54722 L
.60239 .54575 L
.60193 .54551 L
.60113 .54414 L
.60033 .54324 L
.59961 .54254 L
.59872 .54111 L
.59858 .54093 L
.59736 .53933 L
.59712 .53903 L
.59611 .53772 L
.59551 .53718 L
.59431 .53612 L
.59391 .53496 L
.59351 .53451 L
.59236 .53291 L
.5923 .53283 L
.59114 .5313 L
.5907 .53115 L
.5899 .5297 L
.58909 .5288 L
.58842 .52809 L
.58749 .5266 L
.58739 .52649 L
.58619 .52488 L
.58588 .52449 L
.58497 .52328 L
.58428 .52266 L
.58325 .52167 L
.58267 .52034 L
.58243 .52007 L
.58128 .51846 L
.58106 .51818 L
.58008 .51686 L
.57946 .51606 L
.57886 .51525 L
.57785 .51406 L
.57748 .51364 L
.57642 .51204 L
.57625 .51183 L
.57523 .51043 L
.57464 .50968 L
.57402 .50883 L
.57304 .50774 L
.57256 .50722 L
.57161 .50562 L
.57143 .50539 L
.57045 .50401 L
.56983 .5032 L
.56927 .50241 L
.56822 .50102 L
.56807 .5008 L
.56692 .4992 L
.56662 .49879 L
.5658 .49759 L
.56501 .49652 L
.56466 .49599 L
.56353 .49438 L
.56341 .4942 L
.56257 .49278 L
.5618 .49157 L
.56164 .49117 L
F
1 .78 .001 r
.5618 .54576 m
.563 .54735 L
.56341 .54789 L
.56411 .54896 L
.56341 .54934 L
.56309 .54896 L
.5618 .54751 L
.56169 .54735 L
F
0 .32 1 r
.5618 .49753 m
.56186 .49759 L
.56341 .49915 L
.56344 .4992 L
.56341 .5005 L
.56265 .4992 L
.5618 .49794 L
.5617 .49759 L
F
.289 .96 1 r
.56341 .56145 m
.56446 .5618 L
.56501 .56229 L
.56648 .56341 L
.56662 .56356 L
.5679 .56501 L
.56822 .5654 L
.56967 .56662 L
.56983 .56739 L
.57062 .56822 L
.57143 .56945 L
.57173 .56983 L
.573 .57143 L
.57304 .57148 L
.57422 .57304 L
.57464 .57338 L
.57569 .57464 L
.57625 .5756 L
.5767 .57625 L
.57785 .57782 L
.57787 .57785 L
.57905 .57946 L
.57946 .58003 L
.58069 .58106 L
.58106 .58227 L
.58143 .58267 L
.58239 .58428 L
.58267 .58474 L
.58325 .58588 L
.58267 .58725 L
.58106 .58626 L
.58048 .58588 L
.57946 .58482 L
.57843 .58428 L
.57785 .58309 L
.57728 .58267 L
.57625 .58123 L
.57602 .58106 L
.57464 .57948 L
.57463 .57946 L
.57333 .57785 L
.57304 .57748 L
.57194 .57625 L
.57143 .57541 L
.57084 .57464 L
.56983 .57333 L
.5697 .57304 L
.56831 .57143 L
.56822 .57138 L
.56685 .56983 L
.56662 .56935 L
.56583 .56822 L
.56501 .56715 L
.56476 .56662 L
.56353 .56501 L
.56341 .56482 L
.5625 .56341 L
.56205 .5618 L
F
1 .84 .007 r
.56341 .56785 m
.56375 .56822 L
.56501 .56962 L
.56517 .56983 L
.56642 .57143 L
.56662 .57168 L
.56752 .57304 L
.56822 .57408 L
.56852 .57464 L
.56822 .57517 L
.56766 .57464 L
.56662 .57363 L
.56611 .57304 L
.56501 .57178 L
.56474 .57143 L
.56351 .56983 L
.56341 .56969 L
.56248 .56822 L
F
.212 .95 1 r
.56341 .56169 m
.56388 .5618 L
.56501 .56254 L
.56631 .56341 L
.56662 .56372 L
.56779 .56501 L
.56822 .56551 L
.56962 .56662 L
.56983 .56749 L
.57054 .56822 L
.57143 .56953 L
.57167 .56983 L
.57293 .57143 L
.57304 .57157 L
.57415 .57304 L
.57464 .57345 L
.57563 .57464 L
.57625 .5757 L
.57663 .57625 L
.57779 .57785 L
.57785 .57794 L
.57895 .57946 L
.57946 .58017 L
.58057 .58106 L
.58106 .58247 L
.58126 .58267 L
.58217 .58428 L
.58267 .58526 L
.58289 .58588 L
.58267 .58658 L
.58106 .58597 L
.58091 .58588 L
.57946 .58458 L
.57874 .58428 L
.57785 .58292 L
.57746 .58267 L
.57625 .58114 L
.57613 .58106 L
.57475 .57946 L
.57464 .57935 L
.57343 .57785 L
.57304 .57736 L
.57201 .57625 L
.57143 .57531 L
.57091 .57464 L
.56983 .57325 L
.56973 .57304 L
.56839 .57143 L
.56822 .57134 L
.5669 .56983 L
.56662 .56925 L
.56591 .56822 L
.56501 .56701 L
.56483 .56662 L
.56366 .56501 L
.56341 .56462 L
.56268 .56341 L
.56268 .5618 L
F
1 .69 0 r
.56341 .4925 m
.56367 .49278 L
.56501 .49417 L
.5652 .49438 L
.56662 .49596 L
.56663 .49599 L
.56801 .49759 L
.56822 .49782 L
.56938 .4992 L
.56983 .49971 L
.57073 .5008 L
.57143 .50117 L
.57207 .50241 L
.57304 .5035 L
.57369 .50401 L
.57464 .50554 L
.57472 .50562 L
.576 .50722 L
.57625 .50752 L
.5773 .50883 L
.57785 .50931 L
.57859 .51043 L
.57946 .51148 L
.58 .51204 L
.58106 .51355 L
.58114 .51364 L
.58241 .51525 L
.58267 .51557 L
.58368 .51686 L
.58428 .5175 L
.58528 .51846 L
.58588 .51964 L
.58624 .52007 L
.58746 .52167 L
.58749 .52171 L
.5887 .52328 L
.58909 .52356 L
.58996 .52488 L
.5907 .52576 L
.59134 .52649 L
.5923 .5279 L
.59244 .52809 L
.59368 .5297 L
.59391 .52998 L
.59492 .5313 L
.59551 .53191 L
.59647 .53291 L
.59712 .53412 L
.59743 .53451 L
.59862 .53612 L
.59872 .53625 L
.59984 .53772 L
.60033 .53804 L
.60107 .53933 L
.60193 .54037 L
.60242 .54093 L
.60352 .54254 L
.60354 .54256 L
.60472 .54414 L
.60514 .54469 L
.60594 .54575 L
.60675 .54663 L
.6074 .54735 L
.60835 .54894 L
.60837 .54896 L
.60954 .55057 L
.60996 .55111 L
.61074 .55217 L
.61156 .55291 L
.61194 .55378 L
.61313 .55538 L
.61317 .55543 L
.61428 .55699 L
.61477 .55765 L
.61544 .55859 L
.61638 .55987 L
.61661 .5602 L
.61774 .5618 L
.61799 .56214 L
.61882 .56341 L
.61959 .56449 L
.61992 .56501 L
.61959 .56649 L
.61826 .56501 L
.61799 .56474 L
.61685 .56341 L
.61638 .5629 L
.61546 .5618 L
.61477 .56102 L
.6141 .5602 L
.61317 .55938 L
.61275 .55859 L
.61156 .5572 L
.61132 .55699 L
.61012 .55538 L
.60996 .55519 L
.60883 .55378 L
.60835 .55321 L
.60753 .55217 L
.60675 .55138 L
.60624 .55057 L
.60514 .54923 L
.60488 .54896 L
.60368 .54735 L
.60354 .54718 L
.60243 .54575 L
.60193 .54548 L
.60116 .54414 L
.60033 .54321 L
.59965 .54254 L
.59872 .54107 L
.59861 .54093 L
.59738 .53933 L
.59712 .539 L
.59614 .53772 L
.59551 .53715 L
.59434 .53612 L
.59391 .53493 L
.59354 .53451 L
.59239 .53291 L
.5923 .5328 L
.59116 .5313 L
.5907 .53113 L
.58992 .5297 L
.58909 .52877 L
.58845 .52809 L
.58749 .52657 L
.58742 .52649 L
.58622 .52488 L
.58588 .52445 L
.58499 .52328 L
.58428 .52262 L
.58329 .52167 L
.58267 .52031 L
.58246 .52007 L
.58131 .51846 L
.58106 .51815 L
.5801 .51686 L
.57946 .51603 L
.57888 .51525 L
.57785 .51402 L
.57752 .51364 L
.57645 .51204 L
.57625 .51179 L
.57526 .51043 L
.57464 .50964 L
.57405 .50883 L
.57304 .50768 L
.57262 .50722 L
.57165 .50562 L
.57143 .50534 L
.57049 .50401 L
.56983 .50315 L
.56931 .50241 L
.56822 .50096 L
.56811 .5008 L
.56698 .4992 L
.56662 .49872 L
.56586 .49759 L
.56501 .49643 L
.56472 .49599 L
.56364 .49438 L
.56341 .49405 L
.56272 .49278 L
F
.084 .92 1 r
.56341 .48586 m
.56392 .48636 L
.56501 .48742 L
.56552 .48796 L
.56662 .48894 L
.56701 .48957 L
.56822 .49091 L
.56862 .49117 L
.56983 .49276 L
.56984 .49278 L
.57122 .49438 L
.57143 .49463 L
.57258 .49599 L
.57304 .49646 L
.57394 .49759 L
.57464 .49847 L
.57534 .4992 L
.57625 .50046 L
.57651 .5008 L
.57785 .50239 L
.57786 .50241 L
.57919 .50401 L
.57946 .50434 L
.58068 .50562 L
.58106 .50638 L
.58174 .50722 L
.58267 .50843 L
.5829 .50883 L
.58428 .5104 L
.58433 .51043 L
.58561 .51204 L
.58588 .51239 L
.58691 .51364 L
.58749 .51448 L
.58802 .51525 L
.58909 .51656 L
.58915 .51686 L
.59066 .51846 L
.5907 .51851 L
.59203 .52007 L
.5923 .52058 L
.59312 .52167 L
.59391 .52269 L
.59422 .52328 L
.59551 .52476 L
.59568 .52488 L
.59708 .52649 L
.59712 .52674 L
.5982 .52809 L
.59872 .52885 L
.59929 .5297 L
.60033 .53097 L
.60038 .5313 L
.60189 .53291 L
.60193 .53295 L
.60324 .53451 L
.60354 .53504 L
.60434 .53612 L
.60514 .53717 L
.60542 .53772 L
.60675 .53924 L
.60685 .53933 L
.60828 .54093 L
.60835 .54126 L
.60936 .54254 L
.60996 .54339 L
.61045 .54414 L
.61156 .5455 L
.61159 .54575 L
.61302 .54735 L
.61317 .54751 L
.61439 .54896 L
.61477 .54962 L
.61546 .55057 L
.61638 .55176 L
.61657 .55217 L
.61794 .55378 L
.61799 .55381 L
.61945 .55538 L
.61959 .55588 L
.62046 .55699 L
.6212 .55803 L
.62155 .55859 L
.6228 .56014 L
.6228 .5602 L
.62407 .5618 L
.62441 .56214 L
.62547 .56341 L
.62601 .56431 L
.62651 .56501 L
.62762 .56647 L
.62768 .56662 L
.62894 .56822 L
.62922 .56839 L
.63053 .56983 L
.63083 .57061 L
.63146 .57143 L
.63243 .57282 L
.63257 .57304 L
.63379 .57464 L
.63404 .57497 L
.63499 .57625 L
.63564 .57692 L
.63639 .57785 L
.63725 .57922 L
.63741 .57946 L
.63858 .58106 L
.63885 .58143 L
.63976 .58267 L
.64046 .58324 L
.6413 .58428 L
.64206 .58575 L
.64215 .58588 L
.64328 .58749 L
.64367 .58802 L
.64442 .58909 L
.64527 .59027 L
.64557 .5907 L
.64669 .5923 L
.64688 .59257 L
.64775 .59391 L
.64848 .59499 L
.64881 .59551 L
.64975 .59712 L
.64848 .59722 L
.64839 .59712 L
.64688 .59558 L
.64683 .59551 L
.64538 .59391 L
.64527 .5938 L
.64397 .5923 L
.64367 .59197 L
.64259 .5907 L
.64206 .59041 L
.64122 .58909 L
.64046 .58827 L
.63941 .58749 L
.63885 .58626 L
.63848 .58588 L
.63725 .58429 L
.63723 .58428 L
.63593 .58267 L
.63564 .58242 L
.63464 .58106 L
.63404 .58036 L
.63314 .57946 L
.63243 .57831 L
.63205 .57785 L
.63083 .57629 L
.6308 .57625 L
.62952 .57464 L
.62922 .57433 L
.62786 .57304 L
.62762 .57225 L
.6269 .57143 L
.62601 .57017 L
.62576 .56983 L
.62447 .56822 L
.62441 .56818 L
.62322 .56662 L
.6228 .56614 L
.62177 .56501 L
.6212 .56403 L
.6207 .56341 L
.61959 .56195 L
.61951 .5618 L
.61822 .5602 L
.61799 .55997 L
.61663 .55859 L
.61638 .55786 L
.61565 .55699 L
.61477 .55575 L
.61452 .55538 L
.61324 .55378 L
.61317 .55373 L
.61201 .55217 L
.61156 .55167 L
.61058 .55057 L
.60996 .54954 L
.60951 .54896 L
.60835 .54744 L
.60831 .54735 L
.60706 .54575 L
.60675 .54547 L
.60547 .54414 L
.60514 .54332 L
.6045 .54254 L
.60354 .54119 L
.60337 .54093 L
.60212 .53933 L
.60193 .53925 L
.6009 .53772 L
.60033 .53711 L
.59946 .53612 L
.59872 .53494 L
.5984 .53451 L
.59719 .53291 L
.59712 .53282 L
.59597 .5313 L
.59551 .53091 L
.59437 .5297 L
.59391 .5287 L
.59342 .52809 L
.5923 .52653 L
.59227 .52649 L
.59106 .52488 L
.5907 .52475 L
.58984 .52328 L
.58909 .52246 L
.58842 .52167 L
.58749 .52024 L
.58736 .52007 L
.58616 .51846 L
.58588 .5181 L
.58495 .51686 L
.58428 .51625 L
.58339 .51525 L
.58267 .51394 L
.58244 .51364 L
.58129 .51204 L
.58106 .51176 L
.58009 .51043 L
.57946 .50962 L
.57887 .50883 L
.57785 .50761 L
.57754 .50722 L
.57644 .50562 L
.57625 .50537 L
.57526 .50401 L
.57464 .50321 L
.57406 .50241 L
.57304 .50123 L
.57269 .5008 L
.57166 .4992 L
.57143 .4989 L
.5705 .49759 L
.56983 .4967 L
.56932 .49599 L
.56822 .49451 L
.56813 .49438 L
.56701 .49278 L
.56662 .49225 L
.5659 .49117 L
.56501 .48994 L
.56477 .48957 L
.56371 .48796 L
.56341 .4875 L
.56282 .48636 L
F
.114 .93 1 r
.56341 .54105 m
.56486 .54254 L
.56501 .5427 L
.56629 .54414 L
.56662 .54452 L
.56764 .54575 L
.56822 .54647 L
.56893 .54735 L
.56983 .54824 L
.57059 .54896 L
.57131 .55057 L
.57143 .55074 L
.57238 .55217 L
.57304 .55333 L
.57327 .55378 L
.57304 .55469 L
.57173 .55378 L
.57143 .55351 L
.5702 .55217 L
.56983 .55177 L
.56884 .55057 L
.56822 .54984 L
.56755 .54896 L
.56662 .54781 L
.56628 .54735 L
.56505 .54575 L
.56501 .5457 L
.56393 .54414 L
.56341 .54342 L
.56285 .54254 L
F
.156 .94 1 r
.56341 .56197 m
.56501 .56272 L
.56613 .56341 L
.56662 .56387 L
.56768 .56501 L
.56822 .56562 L
.56955 .56662 L
.56983 .56758 L
.57047 .56822 L
.57143 .56961 L
.57161 .56983 L
.57286 .57143 L
.57304 .57166 L
.57409 .57304 L
.57464 .57353 L
.57556 .57464 L
.57625 .57581 L
.57655 .57625 L
.5777 .57785 L
.57785 .57806 L
.57885 .57946 L
.57946 .58032 L
.58042 .58106 L
.58106 .58267 L
.58106 .58268 L
.58193 .58428 L
.58106 .58562 L
.57946 .58437 L
.57918 .58428 L
.57785 .58278 L
.57767 .58267 L
.57625 .58107 L
.57624 .58106 L
.57487 .57946 L
.57464 .57923 L
.57354 .57785 L
.57304 .57725 L
.57209 .57625 L
.57143 .5752 L
.57099 .57464 L
.56983 .57317 L
.56977 .57304 L
.56847 .57143 L
.56822 .57129 L
.56695 .56983 L
.56662 .56915 L
.56599 .56822 L
.56501 .56686 L
.5649 .56662 L
.56378 .56501 L
.56341 .56439 L
.56286 .56341 L
F
1 .83 .005 r
.56341 .56815 m
.56348 .56822 L
.56341 .5693 L
.56287 .56822 L
F
1 .68 0 r
.56341 .49269 m
.56349 .49278 L
.56501 .4943 L
.56508 .49438 L
.56654 .49599 L
.56662 .49607 L
.56793 .49759 L
.56822 .49791 L
.56931 .4992 L
.56983 .49979 L
.57067 .5008 L
.57143 .50124 L
.57202 .50241 L
.57304 .50357 L
.57361 .50401 L
.57464 .5056 L
.57466 .50562 L
.57595 .50722 L
.57625 .50758 L
.57725 .50883 L
.57785 .50936 L
.57855 .51043 L
.57946 .51153 L
.57996 .51204 L
.58106 .51359 L
.58111 .51364 L
.58237 .51525 L
.58267 .51562 L
.58364 .51686 L
.58428 .51753 L
.58525 .51846 L
.58588 .51968 L
.58621 .52007 L
.58743 .52167 L
.58749 .52175 L
.58867 .52328 L
.58909 .52358 L
.58993 .52488 L
.5907 .5258 L
.59131 .52649 L
.5923 .52793 L
.59242 .52809 L
.59365 .5297 L
.59391 .53002 L
.59489 .5313 L
.59551 .53195 L
.59644 .53291 L
.59712 .53416 L
.5974 .53451 L
.59859 .53612 L
.59872 .53628 L
.59981 .53772 L
.60033 .53807 L
.60104 .53933 L
.60193 .54041 L
.60238 .54093 L
.60349 .54254 L
.60354 .5426 L
.60469 .54414 L
.60514 .54473 L
.6059 .54575 L
.60675 .54668 L
.60736 .54735 L
.60833 .54896 L
.60835 .54899 L
.60951 .55057 L
.60996 .55116 L
.6107 .55217 L
.61156 .55299 L
.6119 .55378 L
.61308 .55538 L
.61317 .55549 L
.61423 .55699 L
.61477 .55772 L
.61539 .55859 L
.61638 .55994 L
.61656 .5602 L
.61767 .5618 L
.61799 .56224 L
.61874 .56341 L
.61959 .56463 L
.61983 .56501 L
.61959 .56633 L
.61838 .56501 L
.61799 .56462 L
.61694 .56341 L
.61638 .56281 L
.61554 .5618 L
.61477 .56094 L
.61416 .5602 L
.61317 .55929 L
.61281 .55859 L
.61156 .55713 L
.6114 .55699 L
.61017 .55538 L
.60996 .55514 L
.60887 .55378 L
.60835 .55316 L
.60757 .55217 L
.60675 .55133 L
.60628 .55057 L
.60514 .54918 L
.60493 .54896 L
.60372 .54735 L
.60354 .54713 L
.60246 .54575 L
.60193 .54545 L
.60119 .54414 L
.60033 .54317 L
.59969 .54254 L
.59872 .54103 L
.59864 .54093 L
.59741 .53933 L
.59712 .53896 L
.59616 .53772 L
.59551 .53712 L
.59437 .53612 L
.59391 .53489 L
.59357 .53451 L
.59241 .53291 L
.5923 .53277 L
.59119 .5313 L
.5907 .53111 L
.58995 .5297 L
.58909 .52873 L
.58848 .52809 L
.58749 .52653 L
.58745 .52649 L
.58624 .52488 L
.58588 .52442 L
.58502 .52328 L
.58428 .52259 L
.58333 .52167 L
.58267 .52027 L
.5825 .52007 L
.58134 .51846 L
.58106 .51811 L
.58013 .51686 L
.57946 .51599 L
.57891 .51525 L
.57785 .51397 L
.57756 .51364 L
.57648 .51204 L
.57625 .51175 L
.57529 .51043 L
.57464 .5096 L
.57409 .50883 L
.57304 .50761 L
.57268 .50722 L
.57169 .50562 L
.57143 .50528 L
.57053 .50401 L
.56983 .50309 L
.56935 .50241 L
.56822 .5009 L
.56815 .5008 L
.56704 .4992 L
.56662 .49863 L
.56593 .49759 L
.56501 .49633 L
.56479 .49599 L
.56376 .49438 L
.56341 .49385 L
.56295 .49278 L
F
.114 .93 1 r
.56341 .56229 m
.56501 .56286 L
.56594 .56341 L
.56662 .564 L
.56756 .56501 L
.56822 .56573 L
.56947 .56662 L
.56983 .56767 L
.57038 .56822 L
.57143 .56969 L
.57155 .56983 L
.57279 .57143 L
.57304 .57175 L
.57402 .57304 L
.57464 .57361 L
.57549 .57464 L
.57625 .57592 L
.57647 .57625 L
.57761 .57785 L
.57785 .57818 L
.57875 .57946 L
.57946 .58048 L
.58024 .58106 L
.58088 .58267 L
.58106 .58299 L
.58165 .58428 L
.58106 .58521 L
.57964 .58428 L
.57946 .58414 L
.57789 .58267 L
.57785 .58263 L
.57639 .58106 L
.57625 .581 L
.57499 .57946 L
.57464 .57911 L
.57364 .57785 L
.57304 .57713 L
.57218 .57625 L
.57143 .5751 L
.57106 .57464 L
.56983 .57309 L
.56981 .57304 L
.56854 .57143 L
.56822 .57123 L
.567 .56983 L
.56662 .56904 L
.56607 .56822 L
.56501 .5667 L
.56498 .56662 L
.5639 .56501 L
.56341 .56413 L
.56305 .56341 L
F
.084 .92 1 r
.56341 .54161 m
.56443 .54254 L
.56501 .5431 L
.56597 .54414 L
.56662 .54487 L
.56736 .54575 L
.56822 .5468 L
.56867 .54735 L
.56983 .54881 L
.56999 .54896 L
.57101 .55057 L
.57143 .55121 L
.57202 .55217 L
.57143 .55307 L
.57052 .55217 L
.56983 .55146 L
.56908 .55057 L
.56822 .54958 L
.56775 .54896 L
.56662 .54757 L
.56646 .54735 L
.56528 .54575 L
.56501 .5454 L
.56419 .54414 L
.56341 .54299 L
.56316 .54254 L
F
.56341 .56271 m
.56501 .56298 L
.56573 .56341 L
.56662 .56414 L
.56744 .56501 L
.56822 .56584 L
.56937 .56662 L
.56983 .56777 L
.5703 .56822 L
.57143 .56977 L
.57148 .56983 L
.57272 .57143 L
.57304 .57184 L
.57395 .57304 L
.57464 .57371 L
.57541 .57464 L
.57625 .57604 L
.57639 .57625 L
.57752 .57785 L
.57785 .57831 L
.57865 .57946 L
.57946 .58065 L
.58002 .58106 L
.58068 .58267 L
.58106 .58346 L
.58129 .58428 L
.58106 .58468 L
.5801 .58428 L
.57946 .58387 L
.57811 .58267 L
.57785 .58243 L
.57655 .58106 L
.57625 .58093 L
.57511 .57946 L
.57464 .57899 L
.57374 .57785 L
.57304 .57702 L
.57227 .57625 L
.57143 .575 L
.57114 .57464 L
.56986 .57304 L
.56983 .57299 L
.56862 .57143 L
.56822 .57117 L
.56707 .56983 L
.56662 .56892 L
.56616 .56822 L
.56507 .56662 L
.56501 .56654 L
.56403 .56501 L
.56341 .56379 L
.56325 .56341 L
F
1 .77 .001 r
.56341 .54825 m
.56379 .54896 L
.56341 .54907 L
.56332 .54896 L
F
0 .28 1 r
.56341 .51208 m
.56438 .51364 L
.56501 .51453 L
.56537 .51525 L
.56501 .51545 L
.56484 .51525 L
.56341 .51373 L
.56334 .51364 L
F
.156 .94 1 r
.56341 .60998 m
.56425 .61156 L
.56341 .61159 L
.56339 .61156 L
F
0 .27 1 r
.56341 .51216 m
.56429 .51364 L
.56501 .51469 L
.56522 .51525 L
.56501 .51532 L
.56495 .51525 L
.56341 .51365 L
.5634 .51364 L
F
.061 .91 1 r
.56501 .56311 m
.5655 .56341 L
.56662 .56427 L
.56732 .56501 L
.56822 .56595 L
.56926 .56662 L
.56983 .56786 L
.57021 .56822 L
.57141 .56983 L
.57143 .56986 L
.57265 .57143 L
.57304 .57193 L
.57388 .57304 L
.57464 .57381 L
.57532 .57464 L
.57625 .57617 L
.5763 .57625 L
.57743 .57785 L
.57785 .57845 L
.57854 .57946 L
.57946 .58084 L
.57977 .58106 L
.58045 .58267 L
.57946 .58359 L
.57836 .58267 L
.57785 .58223 L
.57671 .58106 L
.57625 .58085 L
.57524 .57946 L
.57464 .57887 L
.57385 .57785 L
.57304 .5769 L
.57236 .57625 L
.57143 .5749 L
.57122 .57464 L
.56995 .57304 L
.56983 .57289 L
.5687 .57143 L
.56822 .57109 L
.56714 .56983 L
.56662 .56879 L
.56625 .56822 L
.56517 .56662 L
.56501 .56637 L
.56416 .56501 L
.5635 .56341 L
F
.045 .9 1 r
.56501 .56329 m
.56521 .56341 L
.56662 .5644 L
.56719 .56501 L
.56822 .56607 L
.56912 .56662 L
.56983 .56796 L
.57011 .56822 L
.57133 .56983 L
.57143 .56995 L
.57258 .57143 L
.57304 .57202 L
.57381 .57304 L
.57464 .57392 L
.57522 .57464 L
.57621 .57625 L
.57625 .5763 L
.57733 .57785 L
.57785 .5786 L
.57843 .57946 L
.57946 .58106 L
.57947 .58106 L
.58018 .58267 L
.57946 .58327 L
.57866 .58267 L
.57785 .58203 L
.57689 .58106 L
.57625 .58075 L
.57537 .57946 L
.57464 .57875 L
.57396 .57785 L
.57304 .57679 L
.57247 .57625 L
.57143 .5748 L
.5713 .57464 L
.57003 .57304 L
.56983 .57278 L
.56879 .57143 L
.56822 .57101 L
.56722 .56983 L
.56662 .56865 L
.56635 .56822 L
.56528 .56662 L
.56501 .5662 L
.5643 .56501 L
.56385 .56341 L
F
.061 .91 1 r
.56501 .48786 m
.56512 .48796 L
.56662 .4894 L
.56672 .48957 L
.5682 .49117 L
.56822 .49119 L
.56963 .49278 L
.56983 .49299 L
.57104 .49438 L
.57143 .49483 L
.57243 .49599 L
.57304 .49662 L
.57379 .49759 L
.57464 .49863 L
.57521 .4992 L
.57625 .50059 L
.57642 .5008 L
.57777 .50241 L
.57785 .50246 L
.57909 .50401 L
.57946 .50445 L
.58061 .50562 L
.58106 .50649 L
.58166 .50722 L
.58267 .50852 L
.58285 .50883 L
.58425 .51043 L
.58428 .51046 L
.58554 .51204 L
.58588 .51248 L
.58685 .51364 L
.58749 .51456 L
.58796 .51525 L
.58909 .51663 L
.58914 .51686 L
.5906 .51846 L
.5907 .51857 L
.59199 .52007 L
.5923 .52065 L
.59308 .52167 L
.59391 .52276 L
.59418 .52328 L
.59551 .5248 L
.59563 .52488 L
.59708 .52649 L
.59712 .5268 L
.59816 .52809 L
.59872 .52891 L
.59925 .5297 L
.60033 .53101 L
.60037 .5313 L
.60185 .53291 L
.60193 .533 L
.60322 .53451 L
.60354 .53509 L
.6043 .53612 L
.60514 .53722 L
.6054 .53772 L
.60675 .53927 L
.60681 .53933 L
.60827 .54093 L
.60835 .54131 L
.60933 .54254 L
.60996 .54343 L
.61042 .54414 L
.61156 .54554 L
.61158 .54575 L
.61298 .54735 L
.61317 .54755 L
.61436 .54896 L
.61477 .54967 L
.61543 .55057 L
.61638 .55181 L
.61655 .55217 L
.6179 .55378 L
.61799 .55383 L
.61943 .55538 L
.61959 .55592 L
.62042 .55699 L
.6212 .55808 L
.62152 .55859 L
.6228 .56019 L
.6228 .5602 L
.62402 .5618 L
.62441 .56218 L
.62543 .56341 L
.62601 .56437 L
.62647 .56501 L
.62762 .56653 L
.62766 .56662 L
.62889 .56822 L
.62922 .56843 L
.63049 .56983 L
.63083 .57068 L
.6314 .57143 L
.63243 .5729 L
.63252 .57304 L
.63372 .57464 L
.63404 .57506 L
.63492 .57625 L
.63564 .57701 L
.63631 .57785 L
.63725 .57934 L
.63733 .57946 L
.6385 .58106 L
.63885 .58154 L
.63967 .58267 L
.64046 .5834 L
.64116 .58428 L
.64203 .58588 L
.64206 .58593 L
.64315 .58749 L
.64367 .5882 L
.64429 .58909 L
.64527 .59048 L
.64542 .5907 L
.64648 .5923 L
.64688 .59288 L
.6475 .59391 L
.64848 .59547 L
.64851 .59551 L
.64848 .59659 L
.64725 .59551 L
.64688 .59519 L
.64567 .59391 L
.64527 .59351 L
.6442 .5923 L
.64367 .59174 L
.64277 .5907 L
.64206 .59025 L
.64138 .58909 L
.64046 .58809 L
.6396 .58749 L
.63885 .58611 L
.63862 .58588 L
.63734 .58428 L
.63725 .58416 L
.63604 .58267 L
.63564 .58233 L
.63473 .58106 L
.63404 .58026 L
.63322 .57946 L
.63243 .57821 L
.63213 .57785 L
.63085 .57625 L
.63083 .57624 L
.62958 .57464 L
.62922 .57427 L
.6279 .57304 L
.62762 .57218 L
.62696 .57143 L
.62601 .57011 L
.62581 .56983 L
.62452 .56822 L
.62441 .56814 L
.62326 .56662 L
.6228 .56608 L
.62181 .56501 L
.6212 .56398 L
.62074 .56341 L
.61959 .5619 L
.61954 .5618 L
.61826 .5602 L
.61799 .55993 L
.61665 .55859 L
.61638 .55782 L
.61568 .55699 L
.61477 .5557 L
.61455 .55538 L
.61328 .55378 L
.61317 .55371 L
.61204 .55217 L
.61156 .55164 L
.6106 .55057 L
.60996 .5495 L
.60954 .54896 L
.60835 .5474 L
.60833 .54735 L
.60709 .54575 L
.60675 .54544 L
.60549 .54414 L
.60514 .54329 L
.60453 .54254 L
.60354 .54115 L
.60339 .54093 L
.60215 .53933 L
.60193 .53923 L
.60093 .53772 L
.60033 .53708 L
.59949 .53612 L
.59872 .5349 L
.59843 .53451 L
.59722 .53291 L
.59712 .53278 L
.596 .5313 L
.59551 .53088 L
.5944 .5297 L
.59391 .52865 L
.59345 .52809 L
.5923 .52649 L
.5923 .52649 L
.59109 .52488 L
.5907 .52472 L
.58987 .52328 L
.58909 .52241 L
.58846 .52167 L
.58749 .52019 L
.58739 .52007 L
.5862 .51846 L
.58588 .51805 L
.58499 .51686 L
.58428 .51619 L
.58344 .51525 L
.58267 .51387 L
.58249 .51364 L
.58133 .51204 L
.58106 .5117 L
.58014 .51043 L
.57946 .50956 L
.57892 .50883 L
.57785 .50752 L
.57761 .50722 L
.5765 .50562 L
.57625 .50529 L
.57532 .50401 L
.57464 .50313 L
.57412 .50241 L
.57304 .50109 L
.5728 .5008 L
.57175 .4992 L
.57143 .49879 L
.5706 .49759 L
.56983 .49657 L
.56942 .49599 L
.56824 .49438 L
.56822 .49436 L
.56716 .49278 L
.56662 .49203 L
.56607 .49117 L
.56501 .48965 L
.56496 .48957 L
.56411 .48796 L
F
.033 .89 1 r
.56501 .56352 m
.56662 .56454 L
.56705 .56501 L
.56822 .56618 L
.56895 .56662 L
.56983 .56806 L
.57 .56822 L
.57125 .56983 L
.57143 .57005 L
.5725 .57143 L
.57304 .57212 L
.57373 .57304 L
.57464 .57405 L
.57512 .57464 L
.57612 .57625 L
.57625 .57642 L
.57723 .57785 L
.57785 .57876 L
.57831 .57946 L
.57928 .58106 L
.57946 .58141 L
.57979 .58267 L
.57946 .58288 L
.57908 .58267 L
.57785 .58181 L
.57708 .58106 L
.57625 .58062 L
.57551 .57946 L
.57464 .57862 L
.57407 .57785 L
.57304 .57667 L
.57258 .57625 L
.57143 .5747 L
.57139 .57464 L
.57012 .57304 L
.56983 .57268 L
.56887 .57143 L
.56822 .57091 L
.56731 .56983 L
.56662 .56849 L
.56645 .56822 L
.56539 .56662 L
.56501 .56601 L
.56445 .56501 L
F
.061 .91 1 r
.56501 .5436 m
.56555 .54414 L
.56662 .54527 L
.56703 .54575 L
.56822 .54718 L
.56836 .54735 L
.56955 .54896 L
.56983 .54933 L
.57064 .55057 L
.57143 .55211 L
.57145 .55217 L
.57143 .55221 L
.5712 .55217 L
.56983 .55108 L
.56938 .55057 L
.56822 .54928 L
.56798 .54896 L
.56669 .54735 L
.56662 .54726 L
.56558 .54575 L
.56501 .54495 L
.56456 .54414 L
F
.024 .88 1 r
.56501 .56378 m
.56662 .5647 L
.5669 .56501 L
.56822 .5663 L
.56877 .56662 L
.56983 .56816 L
.56989 .56822 L
.57117 .56983 L
.57143 .57015 L
.57242 .57143 L
.57304 .57221 L
.57366 .57304 L
.57464 .57419 L
.57501 .57464 L
.57603 .57625 L
.57625 .57655 L
.57713 .57785 L
.57785 .57893 L
.57819 .57946 L
.57906 .58106 L
.57785 .58158 L
.57729 .58106 L
.57625 .58045 L
.57565 .57946 L
.57464 .57847 L
.57418 .57785 L
.57304 .57655 L
.5727 .57625 L
.57148 .57464 L
.57143 .57459 L
.5702 .57304 L
.56983 .57257 L
.56895 .57143 L
.56822 .57079 L
.56742 .56983 L
.56662 .56832 L
.56656 .56822 L
.56551 .56662 L
.56501 .56578 L
.56461 .56501 L
F
0 .34 1 r
.56501 .50085 m
.56628 .50241 L
.56662 .50279 L
.5676 .50401 L
.56822 .50474 L
.56892 .50562 L
.56983 .50671 L
.57023 .50722 L
.57143 .5086 L
.57153 .50883 L
.57279 .51043 L
.57304 .51073 L
.57405 .51204 L
.57464 .51277 L
.57532 .51364 L
.57625 .51481 L
.57659 .51525 L
.57785 .51686 L
.57785 .51686 L
.57906 .51846 L
.57946 .51895 L
.58029 .52007 L
.58106 .52104 L
.58154 .52167 L
.58267 .52298 L
.58278 .52328 L
.58398 .52488 L
.58428 .52526 L
.58517 .52649 L
.58588 .52739 L
.58639 .52809 L
.58749 .52953 L
.58761 .5297 L
.58876 .5313 L
.58909 .53173 L
.58991 .53291 L
.5907 .53395 L
.59108 .53451 L
.5907 .53585 L
.58961 .53451 L
.58909 .53394 L
.58827 .53291 L
.58749 .532 L
.58694 .5313 L
.58588 .53004 L
.58562 .5297 L
.58431 .52809 L
.58428 .52805 L
.58306 .52649 L
.58267 .52602 L
.5818 .52488 L
.58106 .52399 L
.58052 .52328 L
.57946 .52196 L
.57924 .52167 L
.57799 .52007 L
.57785 .5199 L
.57677 .51846 L
.57625 .51782 L
.57553 .51686 L
.57464 .51574 L
.57428 .51525 L
.57304 .51367 L
.57303 .51364 L
.57184 .51204 L
.57143 .51153 L
.57064 .51043 L
.56983 .5094 L
.56941 .50883 L
.56822 .50728 L
.56818 .50722 L
.56703 .50562 L
.56662 .50509 L
.56587 .50401 L
.56501 .5029 L
.56468 .50241 L
F
0 .33 1 r
.56501 .50092 m
.56622 .50241 L
.56662 .50285 L
.56755 .50401 L
.56822 .50479 L
.56888 .50562 L
.56983 .50676 L
.57019 .50722 L
.57143 .50868 L
.5715 .50883 L
.57275 .51043 L
.57304 .51077 L
.57401 .51204 L
.57464 .51281 L
.57528 .51364 L
.57625 .51485 L
.57656 .51525 L
.57782 .51686 L
.57785 .5169 L
.57903 .51846 L
.57946 .51899 L
.58026 .52007 L
.58106 .52108 L
.58151 .52167 L
.58267 .52306 L
.58275 .52328 L
.58394 .52488 L
.58428 .5253 L
.58514 .52649 L
.58588 .52744 L
.58635 .52809 L
.58749 .52958 L
.58757 .5297 L
.58871 .5313 L
.58909 .53179 L
.58986 .53291 L
.5907 .53402 L
.59103 .53451 L
.5907 .53577 L
.58967 .53451 L
.58909 .53388 L
.58832 .53291 L
.58749 .53195 L
.58698 .5313 L
.58588 .52999 L
.58565 .5297 L
.58435 .52809 L
.58428 .528 L
.5831 .52649 L
.58267 .52598 L
.58183 .52488 L
.58106 .52395 L
.58055 .52328 L
.57946 .52192 L
.57927 .52167 L
.57802 .52007 L
.57785 .51986 L
.5768 .51846 L
.57625 .51778 L
.57556 .51686 L
.57464 .5157 L
.57431 .51525 L
.57306 .51364 L
.57304 .51362 L
.57188 .51204 L
.57143 .51149 L
.57067 .51043 L
.56983 .50936 L
.56944 .50883 L
.56822 .50724 L
.56821 .50722 L
.56707 .50562 L
.56662 .50504 L
.56591 .50401 L
.56501 .50284 L
.56472 .50241 L
F
1 .1 0 r
.56501 .50766 m
.56584 .50883 L
.56662 .50977 L
.56708 .51043 L
.56822 .51189 L
.56833 .51204 L
.56822 .5132 L
.56736 .51204 L
.56662 .51121 L
.56604 .51043 L
.56501 .50922 L
.56472 .50883 L
F
0 .32 1 r
.56501 .501 m
.56616 .50241 L
.56662 .50291 L
.5675 .50401 L
.56822 .50484 L
.56883 .50562 L
.56983 .50681 L
.57016 .50722 L
.57143 .50876 L
.57146 .50883 L
.57272 .51043 L
.57304 .51082 L
.57398 .51204 L
.57464 .51285 L
.57525 .51364 L
.57625 .51489 L
.57653 .51525 L
.57778 .51686 L
.57785 .51694 L
.579 .51846 L
.57946 .51903 L
.58023 .52007 L
.58106 .52112 L
.58148 .52167 L
.58267 .52314 L
.58272 .52328 L
.58391 .52488 L
.58428 .52535 L
.5851 .52649 L
.58588 .52749 L
.58632 .52809 L
.58749 .52963 L
.58754 .5297 L
.58867 .5313 L
.58909 .53185 L
.58981 .53291 L
.5907 .53409 L
.59098 .53451 L
.5907 .53569 L
.58974 .53451 L
.58909 .53381 L
.58837 .53291 L
.58749 .53189 L
.58702 .5313 L
.58588 .52994 L
.58569 .5297 L
.58439 .52809 L
.58428 .52796 L
.58314 .52649 L
.58267 .52593 L
.58187 .52488 L
.58106 .52391 L
.58058 .52328 L
.57946 .52188 L
.5793 .52167 L
.57806 .52007 L
.57785 .51982 L
.57684 .51846 L
.57625 .51774 L
.57559 .51686 L
.57464 .51566 L
.57434 .51525 L
.57309 .51364 L
.57304 .51358 L
.57191 .51204 L
.57143 .51144 L
.5707 .51043 L
.56983 .50932 L
.56948 .50883 L
.56825 .50722 L
.56822 .50719 L
.56711 .50562 L
.56662 .50498 L
.56595 .50401 L
.56501 .50278 L
.56476 .50241 L
F
1 .09 0 r
.56501 .50772 m
.56578 .50883 L
.56662 .50984 L
.56703 .51043 L
.56822 .51195 L
.56828 .51204 L
.56822 .51311 L
.56743 .51204 L
.56662 .51114 L
.5661 .51043 L
.56501 .50916 L
.56477 .50883 L
F
.018 .87 1 r
.56501 .5641 m
.56662 .56488 L
.56674 .56501 L
.56822 .56643 L
.56855 .56662 L
.56978 .56822 L
.56983 .56827 L
.57108 .56983 L
.57143 .57025 L
.57235 .57143 L
.57304 .57231 L
.57358 .57304 L
.57464 .57434 L
.57489 .57464 L
.57593 .57625 L
.57625 .57669 L
.57702 .57785 L
.57785 .57913 L
.57806 .57946 L
.57877 .58106 L
.57785 .58132 L
.57755 .58106 L
.57625 .58023 L
.57581 .57946 L
.57464 .57832 L
.5743 .57785 L
.57304 .57642 L
.57284 .57625 L
.57157 .57464 L
.57143 .57448 L
.57029 .57304 L
.56983 .57246 L
.56904 .57143 L
.56822 .57066 L
.56754 .56983 L
.56666 .56822 L
.56662 .56815 L
.56563 .56662 L
.56501 .56551 L
.56478 .56501 L
F
0 .31 1 r
.56501 .50108 m
.5661 .50241 L
.56662 .50297 L
.56745 .50401 L
.56822 .5049 L
.56879 .50562 L
.56983 .50685 L
.57012 .50722 L
.57143 .50883 L
.57143 .50884 L
.57268 .51043 L
.57304 .51086 L
.57394 .51204 L
.57464 .51289 L
.57522 .51364 L
.57625 .51493 L
.5765 .51525 L
.57775 .51686 L
.57785 .51699 L
.57896 .51846 L
.57946 .51908 L
.5802 .52007 L
.58106 .52116 L
.58145 .52167 L
.58267 .52322 L
.58269 .52328 L
.58387 .52488 L
.58428 .52539 L
.58506 .52649 L
.58588 .52753 L
.58628 .52809 L
.58749 .52968 L
.5875 .5297 L
.58862 .5313 L
.58909 .53192 L
.58976 .53291 L
.5907 .53416 L
.59092 .53451 L
.5907 .5356 L
.58981 .53451 L
.58909 .53375 L
.58842 .53291 L
.58749 .53184 L
.58707 .5313 L
.58588 .5299 L
.58573 .5297 L
.58443 .52809 L
.58428 .52791 L
.58318 .52649 L
.58267 .52589 L
.5819 .52488 L
.58106 .52387 L
.58061 .52328 L
.57946 .52184 L
.57933 .52167 L
.57809 .52007 L
.57785 .51978 L
.57687 .51846 L
.57625 .5177 L
.57562 .51686 L
.57464 .51562 L
.57437 .51525 L
.57313 .51364 L
.57304 .51354 L
.57194 .51204 L
.57143 .5114 L
.57074 .51043 L
.56983 .50927 L
.56951 .50883 L
.56829 .50722 L
.56822 .50714 L
.56716 .50562 L
.56662 .50492 L
.566 .50401 L
.56501 .50271 L
.56481 .50241 L
F
1 .08 0 r
.56501 .5078 m
.56572 .50883 L
.56662 .50992 L
.56697 .51043 L
.56822 .51203 L
.56823 .51204 L
.56822 .513 L
.56752 .51204 L
.56662 .51107 L
.56616 .51043 L
.56501 .50909 L
.56482 .50883 L
F
0 .3 1 r
.56501 .50116 m
.56603 .50241 L
.56662 .50304 L
.5674 .50401 L
.56822 .50495 L
.56875 .50562 L
.56983 .5069 L
.57008 .50722 L
.57138 .50883 L
.57143 .50889 L
.57264 .51043 L
.57304 .51091 L
.57391 .51204 L
.57464 .51294 L
.57519 .51364 L
.57625 .51497 L
.57646 .51525 L
.57771 .51686 L
.57785 .51703 L
.57893 .51846 L
.57946 .51912 L
.58017 .52007 L
.58106 .5212 L
.58141 .52167 L
.58266 .52328 L
.58267 .52329 L
.58383 .52488 L
.58428 .52544 L
.58503 .52649 L
.58588 .52758 L
.58624 .52809 L
.58746 .5297 L
.58749 .52974 L
.58856 .5313 L
.58909 .53199 L
.5897 .53291 L
.5907 .53425 L
.59087 .53451 L
.5907 .5355 L
.58989 .53451 L
.58909 .53368 L
.58848 .53291 L
.58749 .53178 L
.58711 .5313 L
.58588 .52985 L
.58576 .5297 L
.58448 .52809 L
.58428 .52786 L
.58322 .52649 L
.58267 .52584 L
.58194 .52488 L
.58106 .52383 L
.58065 .52328 L
.57946 .5218 L
.57936 .52167 L
.57813 .52007 L
.57785 .51974 L
.5769 .51846 L
.57625 .51766 L
.57565 .51686 L
.57464 .51559 L
.5744 .51525 L
.57316 .51364 L
.57304 .51349 L
.57198 .51204 L
.57143 .51136 L
.57077 .51043 L
.56983 .50923 L
.56954 .50883 L
.56833 .50722 L
.56822 .50708 L
.56721 .50562 L
.56662 .50486 L
.56605 .50401 L
.56501 .50264 L
.56486 .50241 L
F
1 .67 0 r
.56501 .49445 m
.56643 .49599 L
.56662 .49618 L
.56785 .49759 L
.56822 .498 L
.56924 .4992 L
.56983 .49987 L
.57061 .5008 L
.57143 .50132 L
.57196 .50241 L
.57304 .50364 L
.57353 .50401 L
.57461 .50562 L
.57464 .50566 L
.57591 .50722 L
.57625 .50763 L
.57721 .50883 L
.57785 .5094 L
.57851 .51043 L
.57946 .51158 L
.57991 .51204 L
.58106 .51363 L
.58107 .51364 L
.58234 .51525 L
.58267 .51566 L
.58361 .51686 L
.58428 .51757 L
.58522 .51846 L
.58588 .51972 L
.58618 .52007 L
.58739 .52167 L
.58749 .52179 L
.58864 .52328 L
.58909 .52361 L
.5899 .52488 L
.5907 .52584 L
.59128 .52649 L
.5923 .52797 L
.59239 .52809 L
.59362 .5297 L
.59391 .53005 L
.59486 .5313 L
.59551 .53198 L
.59641 .53291 L
.59712 .53419 L
.59737 .53451 L
.59856 .53612 L
.59872 .53632 L
.59978 .53772 L
.60033 .5381 L
.60101 .53933 L
.60193 .54045 L
.60235 .54093 L
.60346 .54254 L
.60354 .54264 L
.60466 .54414 L
.60514 .54477 L
.60587 .54575 L
.60675 .54674 L
.60731 .54735 L
.60829 .54896 L
.60835 .54904 L
.60947 .55057 L
.60996 .55121 L
.61066 .55217 L
.61156 .55307 L
.61186 .55378 L
.61304 .55538 L
.61317 .55556 L
.61418 .55699 L
.61477 .55779 L
.61534 .55859 L
.61638 .56002 L
.6165 .5602 L
.61759 .5618 L
.61799 .56235 L
.61865 .56341 L
.61959 .56478 L
.61973 .56501 L
.61959 .56614 L
.61852 .56501 L
.61799 .5645 L
.61703 .56341 L
.61638 .56272 L
.61561 .5618 L
.61477 .56087 L
.61422 .5602 L
.61317 .5592 L
.61286 .55859 L
.61156 .55705 L
.61148 .55699 L
.61022 .55538 L
.60996 .55508 L
.60892 .55378 L
.60835 .5531 L
.60761 .55217 L
.60675 .55128 L
.60631 .55057 L
.60514 .54913 L
.60497 .54896 L
.60375 .54735 L
.60354 .54709 L
.60249 .54575 L
.60193 .54542 L
.60122 .54414 L
.60033 .54313 L
.59972 .54254 L
.59872 .54099 L
.59867 .54093 L
.59744 .53933 L
.59712 .53893 L
.59619 .53772 L
.59551 .53709 L
.5944 .53612 L
.59391 .53486 L
.5936 .53451 L
.59244 .53291 L
.5923 .53274 L
.59121 .5313 L
.5907 .53109 L
.58997 .5297 L
.58909 .5287 L
.58851 .52809 L
.58749 .5265 L
.58748 .52649 L
.58627 .52488 L
.58588 .52439 L
.58504 .52328 L
.58428 .52255 L
.58336 .52167 L
.58267 .52023 L
.58253 .52007 L
.58137 .51846 L
.58106 .51808 L
.58016 .51686 L
.57946 .51596 L
.57894 .51525 L
.57785 .51392 L
.57761 .51364 L
.57651 .51204 L
.57625 .5117 L
.57532 .51043 L
.57464 .50955 L
.57412 .50883 L
.57304 .50754 L
.57275 .50722 L
.57173 .50562 L
.57143 .50523 L
.57057 .50401 L
.56983 .50303 L
.56939 .50241 L
.56822 .50084 L
.5682 .5008 L
.5671 .4992 L
.56662 .49855 L
.566 .49759 L
.56501 .49622 L
.56487 .49599 L
F
1 .07 0 r
.56501 .50789 m
.56565 .50883 L
.56662 .51 L
.56691 .51043 L
.56662 .51098 L
.56623 .51043 L
.56501 .50902 L
.56487 .50883 L
F
0 .29 1 r
.56501 .50126 m
.56596 .50241 L
.56662 .50311 L
.56734 .50401 L
.56822 .50501 L
.5687 .50562 L
.56983 .50695 L
.57004 .50722 L
.57134 .50883 L
.57143 .50894 L
.5726 .51043 L
.57304 .51096 L
.57387 .51204 L
.57464 .51298 L
.57515 .51364 L
.57625 .51501 L
.57643 .51525 L
.57767 .51686 L
.57785 .51708 L
.57889 .51846 L
.57946 .51916 L
.58013 .52007 L
.58106 .52124 L
.58138 .52167 L
.58262 .52328 L
.58267 .52334 L
.58379 .52488 L
.58428 .52549 L
.58499 .52649 L
.58588 .52764 L
.58621 .52809 L
.5874 .5297 L
.58749 .5298 L
.58851 .5313 L
.58909 .53206 L
.58964 .53291 L
.5907 .53434 L
.5908 .53451 L
.5907 .53539 L
.58998 .53451 L
.58909 .5336 L
.58854 .53291 L
.58749 .53172 L
.58716 .5313 L
.58588 .52979 L
.5858 .5297 L
.58453 .52809 L
.58428 .52781 L
.58326 .52649 L
.58267 .5258 L
.58197 .52488 L
.58106 .52378 L
.58068 .52328 L
.57946 .52176 L
.57939 .52167 L
.57816 .52007 L
.57785 .51969 L
.57694 .51846 L
.57625 .51762 L
.57569 .51686 L
.57464 .51554 L
.57443 .51525 L
.5732 .51364 L
.57304 .51345 L
.57202 .51204 L
.57143 .51131 L
.57081 .51043 L
.56983 .50918 L
.56958 .50883 L
.56838 .50722 L
.56822 .50703 L
.56726 .50562 L
.56662 .5048 L
.5661 .50401 L
.56501 .50257 L
.56491 .50241 L
F
1 .06 0 r
.56501 .50798 m
.56556 .50883 L
.56662 .5101 L
.56683 .51043 L
.56662 .51088 L
.56631 .51043 L
.56501 .50894 L
.56493 .50883 L
F
1 .66 0 r
.56501 .49462 m
.5663 .49599 L
.56662 .4963 L
.56776 .49759 L
.56822 .49809 L
.56917 .4992 L
.56983 .49994 L
.57055 .5008 L
.57143 .50141 L
.57191 .50241 L
.57304 .50371 L
.57344 .50401 L
.57456 .50562 L
.57464 .50572 L
.57586 .50722 L
.57625 .50769 L
.57717 .50883 L
.57785 .50945 L
.57847 .51043 L
.57946 .51163 L
.57987 .51204 L
.58104 .51364 L
.58106 .51368 L
.5823 .51525 L
.58267 .5157 L
.58358 .51686 L
.58428 .51761 L
.58518 .51846 L
.58588 .51976 L
.58614 .52007 L
.58736 .52167 L
.58749 .52182 L
.58861 .52328 L
.58909 .52364 L
.58987 .52488 L
.5907 .52588 L
.59125 .52649 L
.5923 .52801 L
.59236 .52809 L
.5936 .5297 L
.59391 .53009 L
.59483 .5313 L
.59551 .53202 L
.59638 .53291 L
.59712 .53423 L
.59734 .53451 L
.59853 .53612 L
.59872 .53636 L
.59976 .53772 L
.60033 .53814 L
.60098 .53933 L
.60193 .54049 L
.60231 .54093 L
.60342 .54254 L
.60354 .54268 L
.60463 .54414 L
.60514 .54482 L
.60584 .54575 L
.60675 .54679 L
.60726 .54735 L
.60825 .54896 L
.60835 .54909 L
.60943 .55057 L
.60996 .55126 L
.61062 .55217 L
.61156 .55315 L
.61182 .55378 L
.61299 .55538 L
.61317 .55562 L
.61413 .55699 L
.61477 .55786 L
.61528 .55859 L
.61638 .5601 L
.61644 .5602 L
.61751 .5618 L
.61799 .56248 L
.61856 .56341 L
.61959 .56497 L
.61961 .56501 L
.61959 .56588 L
.61869 .56501 L
.61799 .56437 L
.61714 .56341 L
.61638 .56262 L
.61569 .5618 L
.61477 .56078 L
.61429 .5602 L
.61317 .55909 L
.61292 .55859 L
.61157 .55699 L
.61156 .55698 L
.61027 .55538 L
.60996 .55502 L
.60896 .55378 L
.60835 .55305 L
.60765 .55217 L
.60675 .55122 L
.60635 .55057 L
.60514 .54908 L
.60502 .54896 L
.60379 .54735 L
.60354 .54705 L
.60252 .54575 L
.60193 .54539 L
.60125 .54414 L
.60033 .54308 L
.59976 .54254 L
.59872 .54095 L
.5987 .54093 L
.59747 .53933 L
.59712 .53889 L
.59622 .53772 L
.59551 .53705 L
.59444 .53612 L
.59391 .53482 L
.59363 .53451 L
.59247 .53291 L
.5923 .5327 L
.59124 .5313 L
.5907 .53106 L
.59 .5297 L
.58909 .52866 L
.58855 .52809 L
.5875 .52649 L
.58749 .52646 L
.58629 .52488 L
.58588 .52436 L
.58507 .52328 L
.58428 .52251 L
.5834 .52167 L
.58267 .52019 L
.58256 .52007 L
.58139 .51846 L
.58106 .51804 L
.58019 .51686 L
.57946 .51592 L
.57896 .51525 L
.57785 .51387 L
.57765 .51364 L
.57654 .51204 L
.57625 .51166 L
.57536 .51043 L
.57464 .50951 L
.57415 .50883 L
.57304 .50746 L
.57282 .50722 L
.57177 .50562 L
.57143 .50518 L
.57062 .50401 L
.56983 .50297 L
.56944 .50241 L
.56825 .5008 L
.56822 .50077 L
.56717 .4992 L
.56662 .49845 L
.56607 .49759 L
.56501 .49609 L
.56495 .49599 L
F
1 .83 .005 r
.56501 .56986 m
.56617 .57143 L
.56662 .57201 L
.56722 .57304 L
.56662 .57331 L
.56637 .57304 L
.56501 .57151 L
.56495 .57143 L
F
0 .28 1 r
.56501 .50137 m
.56587 .50241 L
.56662 .50318 L
.56728 .50401 L
.56822 .50507 L
.56865 .50562 L
.56983 .50701 L
.57 .50722 L
.57129 .50883 L
.57143 .50899 L
.57255 .51043 L
.57304 .51101 L
.57383 .51204 L
.57464 .51303 L
.57512 .51364 L
.57625 .51506 L
.5764 .51525 L
.57763 .51686 L
.57785 .51712 L
.57885 .51846 L
.57946 .51921 L
.5801 .52007 L
.58106 .52129 L
.58135 .52167 L
.58258 .52328 L
.58267 .52339 L
.58375 .52488 L
.58428 .52554 L
.58495 .52649 L
.58588 .52769 L
.58617 .52809 L
.58735 .5297 L
.58749 .52987 L
.58845 .5313 L
.58909 .53214 L
.58958 .53291 L
.5907 .53445 L
.59073 .53451 L
.5907 .53524 L
.59009 .53451 L
.58909 .53352 L
.5886 .53291 L
.58749 .53166 L
.58721 .5313 L
.58588 .52974 L
.58585 .5297 L
.58457 .52809 L
.58428 .52775 L
.5833 .52649 L
.58267 .52575 L
.58201 .52488 L
.58106 .52374 L
.58071 .52328 L
.57946 .52172 L
.57942 .52167 L
.5782 .52007 L
.57785 .51965 L
.57697 .51846 L
.57625 .51757 L
.57572 .51686 L
.57464 .5155 L
.57446 .51525 L
.57324 .51364 L
.57304 .5134 L
.57206 .51204 L
.57143 .51126 L
.57084 .51043 L
.56983 .50913 L
.56961 .50883 L
.56843 .50722 L
.56822 .50696 L
.56731 .50562 L
.56662 .50473 L
.56615 .50401 L
.56501 .50249 L
.56496 .50241 L
F
.013 .86 1 r
.56501 .56462 m
.56653 .56501 L
.56662 .56507 L
.56822 .56657 L
.56831 .56662 L
.56968 .56822 L
.56983 .56839 L
.571 .56983 L
.57143 .57035 L
.57227 .57143 L
.57304 .57242 L
.5735 .57304 L
.57464 .5745 L
.57476 .57464 L
.57583 .57625 L
.57625 .57685 L
.5769 .57785 L
.57785 .57936 L
.57791 .57946 L
.57785 .58101 L
.57625 .57995 L
.57597 .57946 L
.57464 .57815 L
.57443 .57785 L
.57304 .57629 L
.57299 .57625 L
.57167 .57464 L
.57143 .57436 L
.57038 .57304 L
.56983 .57235 L
.56912 .57143 L
.56822 .5705 L
.56767 .56983 L
.56677 .56822 L
.56662 .568 L
.56575 .56662 L
.56501 .56512 L
.56498 .56501 L
F
1 .05 0 r
.56501 .50811 m
.56545 .50883 L
.56662 .51022 L
.56675 .51043 L
.56662 .51074 L
.56641 .51043 L
.56501 .50886 L
.56499 .50883 L
F
.01 .85 1 r
.56662 .56527 m
.56812 .56662 L
.56822 .56671 L
.56958 .56822 L
.56983 .5685 L
.57091 .56983 L
.57143 .57046 L
.57218 .57143 L
.57304 .57252 L
.57342 .57304 L
.57462 .57464 L
.57464 .57467 L
.57572 .57625 L
.57625 .57701 L
.57678 .57785 L
.57771 .57946 L
.57625 .57961 L
.57617 .57946 L
.57464 .57797 L
.57456 .57785 L
.57312 .57625 L
.57304 .57615 L
.57178 .57464 L
.57143 .57424 L
.57048 .57304 L
.56983 .57223 L
.56921 .57143 L
.56822 .57032 L
.56782 .56983 L
.56688 .56822 L
.56662 .56782 L
.56589 .56662 L
F
.007 .84 1 r
.56662 .56548 m
.56797 .56662 L
.56822 .56686 L
.56946 .56822 L
.56983 .56862 L
.57081 .56983 L
.57143 .57057 L
.5721 .57143 L
.57304 .57263 L
.57334 .57304 L
.57452 .57464 L
.57464 .57481 L
.57561 .57625 L
.57625 .5772 L
.57664 .57785 L
.57625 .57931 L
.57472 .57785 L
.57464 .57778 L
.57325 .57625 L
.57304 .57602 L
.57188 .57464 L
.57143 .57412 L
.57057 .57304 L
.56983 .57211 L
.56931 .57143 L
.56822 .57012 L
.56799 .56983 L
.567 .56822 L
.56662 .56763 L
.56604 .56662 L
F
1 .65 0 r
.56662 .49642 m
.56766 .49759 L
.56822 .49819 L
.56909 .4992 L
.56983 .50003 L
.57048 .5008 L
.57143 .5015 L
.57185 .50241 L
.57304 .50379 L
.57334 .50401 L
.57451 .50562 L
.57464 .50578 L
.57582 .50722 L
.57625 .50774 L
.57713 .50883 L
.57785 .5095 L
.57843 .51043 L
.57946 .51168 L
.57982 .51204 L
.581 .51364 L
.58106 .51373 L
.58227 .51525 L
.58267 .51575 L
.58354 .51686 L
.58428 .51766 L
.58514 .51846 L
.58588 .5198 L
.58611 .52007 L
.58733 .52167 L
.58749 .52186 L
.58858 .52328 L
.58909 .52367 L
.58984 .52488 L
.5907 .52591 L
.59121 .52649 L
.5923 .52805 L
.59233 .52809 L
.59357 .5297 L
.59391 .53013 L
.59481 .5313 L
.59551 .53205 L
.59635 .53291 L
.59712 .53427 L
.59731 .53451 L
.5985 .53612 L
.59872 .5364 L
.59973 .53772 L
.60033 .53817 L
.60096 .53933 L
.60193 .54054 L
.60227 .54093 L
.60339 .54254 L
.60354 .54273 L
.60459 .54414 L
.60514 .54486 L
.60581 .54575 L
.60675 .54685 L
.60721 .54735 L
.60822 .54896 L
.60835 .54914 L
.60939 .55057 L
.60996 .55131 L
.61058 .55217 L
.61156 .55325 L
.61178 .55378 L
.61294 .55538 L
.61317 .55569 L
.61407 .55699 L
.61477 .55793 L
.61523 .55859 L
.61638 .56019 L
.61638 .5602 L
.61742 .5618 L
.61799 .56262 L
.61845 .56341 L
.61799 .56422 L
.61725 .56341 L
.61638 .56251 L
.61577 .5618 L
.61477 .5607 L
.61436 .5602 L
.61317 .55898 L
.61297 .55859 L
.61163 .55699 L
.61156 .55691 L
.61032 .55538 L
.60996 .55496 L
.60901 .55378 L
.60835 .553 L
.60769 .55217 L
.60675 .55117 L
.60639 .55057 L
.60514 .54903 L
.60507 .54896 L
.60383 .54735 L
.60354 .54701 L
.60256 .54575 L
.60193 .54536 L
.60128 .54414 L
.60033 .54304 L
.59981 .54254 L
.59874 .54093 L
.59872 .54092 L
.5975 .53933 L
.59712 .53886 L
.59625 .53772 L
.59551 .53702 L
.59447 .53612 L
.59391 .53478 L
.59366 .53451 L
.59249 .53291 L
.5923 .53267 L
.59126 .5313 L
.5907 .53104 L
.59002 .5297 L
.58909 .52863 L
.58858 .52809 L
.58753 .52649 L
.58749 .52643 L
.58632 .52488 L
.58588 .52432 L
.5851 .52328 L
.58428 .52247 L
.58344 .52167 L
.58267 .52015 L
.5826 .52007 L
.58142 .51846 L
.58106 .51801 L
.58021 .51686 L
.57946 .51589 L
.57899 .51525 L
.57785 .51382 L
.5777 .51364 L
.57658 .51204 L
.57625 .51162 L
.57539 .51043 L
.57464 .50947 L
.57418 .50883 L
.57304 .50739 L
.57289 .50722 L
.57182 .50562 L
.57143 .50512 L
.57066 .50401 L
.56983 .50291 L
.56948 .50241 L
.56831 .5008 L
.56822 .50069 L
.56724 .4992 L
.56662 .49835 L
.56615 .49759 L
F
1 .98 .538 r
.56662 .56079 m
.56822 .56068 L
.56983 .56098 L
.57091 .5618 L
.57143 .56245 L
.57215 .56341 L
.57304 .56442 L
.57327 .56501 L
.57464 .56648 L
.57475 .56662 L
.57613 .56822 L
.57625 .56858 L
.57725 .56983 L
.57785 .57071 L
.57834 .57143 L
.57946 .57281 L
.5797 .57304 L
.58093 .57464 L
.58106 .57476 L
.58226 .57625 L
.58267 .57685 L
.58335 .57785 L
.58428 .579 L
.58444 .57946 L
.58583 .58106 L
.58588 .58114 L
.58727 .58267 L
.58749 .58328 L
.58829 .58428 L
.58909 .58545 L
.58936 .58588 L
.59053 .58749 L
.5907 .58776 L
.59137 .58909 L
.5907 .58991 L
.58909 .58986 L
.58762 .58909 L
.58749 .589 L
.58594 .58749 L
.58588 .58737 L
.58433 .58588 L
.58428 .58535 L
.58322 .58428 L
.58267 .58319 L
.5821 .58267 L
.58106 .58148 L
.581 .58106 L
.57951 .57946 L
.57946 .5794 L
.57813 .57785 L
.57785 .57729 L
.57704 .57625 L
.57625 .57516 L
.57595 .57464 L
.57464 .5731 L
.57455 .57304 L
.57311 .57143 L
.57304 .57115 L
.57202 .56983 L
.57143 .56903 L
.57094 .56822 L
.56983 .56688 L
.5698 .56662 L
.56844 .56501 L
.56822 .56471 L
.56706 .56341 L
.56662 .56243 L
.56615 .5618 L
F
.005 .83 1 r
.56662 .56572 m
.56778 .56662 L
.56822 .56701 L
.56934 .56822 L
.56983 .56875 L
.57071 .56983 L
.57143 .57069 L
.57201 .57143 L
.57304 .57275 L
.57325 .57304 L
.57441 .57464 L
.57464 .57496 L
.57549 .57625 L
.57625 .57742 L
.57649 .57785 L
.57625 .57903 L
.57491 .57785 L
.57464 .57761 L
.57339 .57625 L
.57304 .57588 L
.572 .57464 L
.57143 .57399 L
.57067 .57304 L
.56983 .57199 L
.5694 .57143 L
.56822 .56989 L
.56817 .56983 L
.56713 .56822 L
.56662 .56741 L
.5662 .56662 L
F
0 .27 1 r
.56662 .50326 m
.56722 .50401 L
.56822 .50514 L
.5686 .50562 L
.56983 .50706 L
.56995 .50722 L
.57124 .50883 L
.57143 .50905 L
.57251 .51043 L
.57304 .51106 L
.57379 .51204 L
.57464 .51307 L
.57508 .51364 L
.57625 .5151 L
.57636 .51525 L
.57759 .51686 L
.57785 .51717 L
.57882 .51846 L
.57946 .51925 L
.58006 .52007 L
.58106 .52133 L
.58131 .52167 L
.58253 .52328 L
.58267 .52344 L
.58371 .52488 L
.58428 .5256 L
.58491 .52649 L
.58588 .52774 L
.58613 .52809 L
.58588 .52968 L
.58463 .52809 L
.58428 .5277 L
.58334 .52649 L
.58267 .5257 L
.58205 .52488 L
.58106 .52369 L
.58075 .52328 L
.57946 .52168 L
.57945 .52167 L
.57824 .52007 L
.57785 .5196 L
.57701 .51846 L
.57625 .51753 L
.57575 .51686 L
.57464 .51546 L
.57449 .51525 L
.57328 .51364 L
.57304 .51335 L
.5721 .51204 L
.57143 .51121 L
.57088 .51043 L
.56983 .50908 L
.56965 .50883 L
.56848 .50722 L
.56822 .5069 L
.56737 .50562 L
.56662 .50465 L
.56621 .50401 L
F
1 .64 0 r
.56662 .49656 m
.56755 .49759 L
.56822 .49829 L
.56901 .4992 L
.56983 .50011 L
.57041 .5008 L
.57143 .50161 L
.57179 .50241 L
.57304 .50387 L
.57324 .50401 L
.57446 .50562 L
.57464 .50584 L
.57577 .50722 L
.57625 .5078 L
.57708 .50883 L
.57785 .50956 L
.57839 .51043 L
.57946 .51173 L
.57977 .51204 L
.58096 .51364 L
.58106 .51377 L
.58223 .51525 L
.58267 .51579 L
.58351 .51686 L
.58428 .5177 L
.5851 .51846 L
.58588 .51984 L
.58607 .52007 L
.5873 .52167 L
.58749 .5219 L
.58855 .52328 L
.58909 .5237 L
.58981 .52488 L
.5907 .52595 L
.59118 .52649 L
.5923 .52808 L
.59231 .52809 L
.59354 .5297 L
.59391 .53017 L
.59478 .5313 L
.59551 .53209 L
.59631 .53291 L
.59712 .53431 L
.59728 .53451 L
.59847 .53612 L
.59872 .53643 L
.5997 .53772 L
.60033 .53821 L
.60093 .53933 L
.60193 .54058 L
.60223 .54093 L
.60336 .54254 L
.60354 .54277 L
.60456 .54414 L
.60514 .5449 L
.60577 .54575 L
.60675 .5469 L
.60716 .54735 L
.60818 .54896 L
.60835 .54919 L
.60935 .55057 L
.60996 .55136 L
.61054 .55217 L
.61156 .55334 L
.61174 .55378 L
.61289 .55538 L
.61317 .55576 L
.61402 .55699 L
.61477 .55801 L
.61517 .55859 L
.61631 .5602 L
.61638 .5603 L
.61732 .5618 L
.61799 .56278 L
.61833 .56341 L
.61799 .56404 L
.61739 .56341 L
.61638 .5624 L
.61586 .5618 L
.61477 .56061 L
.61443 .5602 L
.61317 .55887 L
.61303 .55859 L
.61169 .55699 L
.61156 .55685 L
.61037 .55538 L
.60996 .55491 L
.60905 .55378 L
.60835 .55295 L
.60774 .55217 L
.60675 .55111 L
.60642 .55057 L
.60514 .54898 L
.60512 .54896 L
.60386 .54735 L
.60354 .54696 L
.60259 .54575 L
.60193 .54532 L
.60131 .54414 L
.60033 .543 L
.59985 .54254 L
.59877 .54093 L
.59872 .54088 L
.59753 .53933 L
.59712 .53882 L
.59627 .53772 L
.59551 .53698 L
.59451 .53612 L
.59391 .53474 L
.5937 .53451 L
.59252 .53291 L
.5923 .53264 L
.59129 .5313 L
.5907 .53101 L
.59005 .5297 L
.58909 .52859 L
.58862 .52809 L
.58756 .52649 L
.58749 .5264 L
.58635 .52488 L
.58588 .52429 L
.58512 .52328 L
.58428 .52243 L
.58348 .52167 L
.58267 .52011 L
.58263 .52007 L
.58145 .51846 L
.58106 .51797 L
.58024 .51686 L
.57946 .51585 L
.57902 .51525 L
.57785 .51377 L
.57774 .51364 L
.57661 .51204 L
.57625 .51158 L
.57542 .51043 L
.57464 .50942 L
.57422 .50883 L
.57304 .50731 L
.57296 .50722 L
.57186 .50562 L
.57143 .50506 L
.5707 .50401 L
.56983 .50285 L
.56953 .50241 L
.56837 .5008 L
.56822 .5006 L
.56731 .4992 L
.56662 .49823 L
.56623 .49759 L
F
.045 .9 1 r
.56662 .48984 m
.56792 .49117 L
.56822 .49147 L
.56941 .49278 L
.56983 .49322 L
.57085 .49438 L
.57143 .49503 L
.57227 .49599 L
.57304 .49679 L
.57365 .49759 L
.57464 .49878 L
.57508 .4992 L
.57625 .50072 L
.57632 .5008 L
.57766 .50241 L
.57785 .50254 L
.57899 .50401 L
.57946 .50457 L
.58054 .50562 L
.58106 .5066 L
.58158 .50722 L
.58267 .50861 L
.5828 .50883 L
.58418 .51043 L
.58428 .51054 L
.58547 .51204 L
.58588 .51257 L
.58679 .51364 L
.58749 .51464 L
.58791 .51525 L
.58909 .51669 L
.58912 .51686 L
.59054 .51846 L
.5907 .51864 L
.59195 .52007 L
.5923 .52072 L
.59303 .52167 L
.59391 .52282 L
.59415 .52328 L
.59551 .52484 L
.59558 .52488 L
.59707 .52649 L
.59712 .52685 L
.59812 .52809 L
.59872 .52896 L
.59921 .5297 L
.60033 .53106 L
.60036 .5313 L
.60181 .53291 L
.60193 .53304 L
.60319 .53451 L
.60354 .53514 L
.60426 .53612 L
.60514 .53726 L
.60537 .53772 L
.60675 .53931 L
.60677 .53933 L
.60826 .54093 L
.60835 .54135 L
.6093 .54254 L
.60996 .54348 L
.61039 .54414 L
.61156 .54558 L
.61158 .54575 L
.61295 .54735 L
.61317 .54759 L
.61433 .54896 L
.61477 .54972 L
.61539 .55057 L
.61638 .55185 L
.61653 .55217 L
.61786 .55378 L
.61799 .55386 L
.61941 .55538 L
.61959 .55597 L
.62039 .55699 L
.6212 .55813 L
.62149 .55859 L
.62276 .5602 L
.6228 .56024 L
.62398 .5618 L
.62441 .56223 L
.62539 .56341 L
.62601 .56443 L
.62643 .56501 L
.62762 .56659 L
.62763 .56662 L
.62884 .56822 L
.62922 .56847 L
.63045 .56983 L
.63083 .57075 L
.63135 .57143 L
.63243 .57298 L
.63247 .57304 L
.63366 .57464 L
.63404 .57514 L
.63486 .57625 L
.63564 .57711 L
.63623 .57785 L
.63725 .57945 L
.63725 .57946 L
.63841 .58106 L
.63885 .58166 L
.63958 .58267 L
.64046 .58358 L
.64101 .58428 L
.64191 .58588 L
.64206 .58609 L
.64302 .58749 L
.64367 .58839 L
.64414 .58909 L
.64526 .5907 L
.64527 .59072 L
.64624 .5923 L
.64688 .5933 L
.64719 .59391 L
.64688 .5947 L
.64605 .59391 L
.64527 .5932 L
.64445 .5923 L
.64367 .59149 L
.64297 .5907 L
.64206 .59003 L
.64154 .58909 L
.64046 .58791 L
.63983 .58749 L
.63885 .58595 L
.63878 .58588 L
.63746 .58428 L
.63725 .58403 L
.63614 .58267 L
.63564 .58223 L
.63482 .58106 L
.63404 .58015 L
.63331 .57946 L
.63243 .57812 L
.6322 .57785 L
.63093 .57625 L
.63083 .57622 L
.62965 .57464 L
.62922 .57419 L
.62795 .57304 L
.62762 .57211 L
.62702 .57143 L
.62601 .57004 L
.62585 .56983 L
.62457 .56822 L
.62441 .5681 L
.62331 .56662 L
.6228 .56603 L
.62185 .56501 L
.6212 .56392 L
.62078 .56341 L
.61959 .56186 L
.61956 .5618 L
.6183 .5602 L
.61799 .55989 L
.61668 .55859 L
.61638 .55777 L
.61571 .55699 L
.61477 .55566 L
.61458 .55538 L
.61331 .55378 L
.61317 .55369 L
.61208 .55217 L
.61156 .5516 L
.61063 .55057 L
.60996 .54946 L
.60957 .54896 L
.60835 .54737 L
.60835 .54735 L
.60712 .54575 L
.60675 .54541 L
.60551 .54414 L
.60514 .54325 L
.60455 .54254 L
.60354 .54111 L
.60342 .54093 L
.60218 .53933 L
.60193 .53922 L
.60095 .53772 L
.60033 .53704 L
.59952 .53612 L
.59872 .53486 L
.59846 .53451 L
.59725 .53291 L
.59712 .53274 L
.59603 .5313 L
.59551 .53085 L
.59443 .5297 L
.59391 .52861 L
.59348 .52809 L
.59233 .52649 L
.5923 .52645 L
.59113 .52488 L
.5907 .5247 L
.58991 .52328 L
.58909 .52237 L
.5885 .52167 L
.58749 .52014 L
.58743 .52007 L
.58624 .51846 L
.58588 .518 L
.58503 .51686 L
.58428 .51614 L
.58349 .51525 L
.58267 .51381 L
.58254 .51364 L
.58138 .51204 L
.58106 .51164 L
.58018 .51043 L
.57946 .5095 L
.57897 .50883 L
.57785 .50743 L
.57768 .50722 L
.57656 .50562 L
.57625 .50521 L
.57539 .50401 L
.57464 .50304 L
.57419 .50241 L
.57304 .50094 L
.57293 .5008 L
.57184 .4992 L
.57143 .49866 L
.57069 .49759 L
.56983 .49643 L
.56953 .49599 L
.56838 .49438 L
.56822 .49417 L
.56733 .49278 L
.56662 .49176 L
.56627 .49117 L
F
0 .26 1 r
.56662 .50335 m
.56715 .50401 L
.56822 .50521 L
.56855 .50562 L
.56983 .50712 L
.56991 .50722 L
.57119 .50883 L
.57143 .5091 L
.57246 .51043 L
.57304 .51111 L
.57375 .51204 L
.57464 .51312 L
.57504 .51364 L
.57625 .51514 L
.57633 .51525 L
.57755 .51686 L
.57785 .51722 L
.57878 .51846 L
.57946 .5193 L
.58003 .52007 L
.58106 .52138 L
.58128 .52167 L
.58249 .52328 L
.58267 .5235 L
.58366 .52488 L
.58428 .52565 L
.58486 .52649 L
.58588 .5278 L
.58608 .52809 L
.58588 .52962 L
.58468 .52809 L
.58428 .52764 L
.58339 .52649 L
.58267 .52565 L
.58209 .52488 L
.58106 .52365 L
.58078 .52328 L
.57949 .52167 L
.57946 .52163 L
.57828 .52007 L
.57785 .51955 L
.57704 .51846 L
.57625 .51748 L
.57579 .51686 L
.57464 .51542 L
.57452 .51525 L
.57332 .51364 L
.57304 .5133 L
.57214 .51204 L
.57143 .51116 L
.57092 .51043 L
.56983 .50903 L
.56969 .50883 L
.56854 .50722 L
.56822 .50683 L
.56743 .50562 L
.56662 .50456 L
.56627 .50401 L
F
1 .63 0 r
.56662 .49672 m
.56743 .49759 L
.56822 .4984 L
.56892 .4992 L
.56983 .5002 L
.57034 .5008 L
.57143 .50174 L
.57173 .50241 L
.57304 .50395 L
.57313 .50401 L
.5744 .50562 L
.57464 .5059 L
.57572 .50722 L
.57625 .50785 L
.57704 .50883 L
.57785 .50961 L
.57835 .51043 L
.57946 .51178 L
.57972 .51204 L
.58092 .51364 L
.58106 .51382 L
.5822 .51525 L
.58267 .51583 L
.58348 .51686 L
.58428 .51774 L
.58506 .51846 L
.58588 .51988 L
.58604 .52007 L
.58727 .52167 L
.58749 .52194 L
.58852 .52328 L
.58909 .52374 L
.58978 .52488 L
.5907 .52599 L
.59114 .52649 L
.59228 .52809 L
.5923 .52812 L
.59351 .5297 L
.59391 .5302 L
.59475 .5313 L
.59551 .53213 L
.59628 .53291 L
.59712 .53435 L
.59725 .53451 L
.59844 .53612 L
.59872 .53647 L
.59967 .53772 L
.60033 .53825 L
.6009 .53933 L
.60193 .54063 L
.60219 .54093 L
.60333 .54254 L
.60354 .54281 L
.60453 .54414 L
.60514 .54495 L
.60574 .54575 L
.60675 .54696 L
.6071 .54735 L
.60814 .54896 L
.60835 .54924 L
.60931 .55057 L
.60996 .55142 L
.6105 .55217 L
.61156 .55344 L
.61169 .55378 L
.61283 .55538 L
.61317 .55583 L
.61396 .55699 L
.61477 .5581 L
.61511 .55859 L
.61622 .5602 L
.61638 .56042 L
.61721 .5618 L
.61799 .563 L
.61818 .56341 L
.61799 .56382 L
.61757 .56341 L
.61638 .56228 L
.61596 .5618 L
.61477 .56052 L
.6145 .5602 L
.61317 .55874 L
.6131 .55859 L
.61175 .55699 L
.61156 .55678 L
.61042 .55538 L
.60996 .55485 L
.6091 .55378 L
.60835 .55289 L
.60778 .55217 L
.60675 .55105 L
.60646 .55057 L
.60516 .54896 L
.60514 .54893 L
.6039 .54735 L
.60354 .54692 L
.60262 .54575 L
.60193 .54528 L
.60134 .54414 L
.60033 .54295 L
.59989 .54254 L
.5988 .54093 L
.59872 .54084 L
.59756 .53933 L
.59712 .53879 L
.5963 .53772 L
.59551 .53694 L
.59455 .53612 L
.59391 .53471 L
.59373 .53451 L
.59255 .53291 L
.5923 .5326 L
.59132 .5313 L
.5907 .53098 L
.59007 .5297 L
.58909 .52855 L
.58865 .52809 L
.58759 .52649 L
.58749 .52636 L
.58637 .52488 L
.58588 .52426 L
.58515 .52328 L
.58428 .52239 L
.58353 .52167 L
.58267 .52007 L
.58267 .52007 L
.58148 .51846 L
.58106 .51793 L
.58027 .51686 L
.57946 .51581 L
.57905 .51525 L
.57785 .51372 L
.57779 .51364 L
.57664 .51204 L
.57625 .51153 L
.57546 .51043 L
.57464 .50938 L
.57425 .50883 L
.57304 .50723 L
.57304 .50722 L
.5719 .50562 L
.57143 .505 L
.57075 .50401 L
.56983 .50278 L
.56958 .50241 L
.56844 .5008 L
.56822 .50051 L
.56739 .4992 L
.56662 .4981 L
.56633 .49759 L
F
0 .25 1 r
.56662 .50346 m
.56707 .50401 L
.56822 .50528 L
.56849 .50562 L
.56983 .50718 L
.56986 .50722 L
.57113 .50883 L
.57143 .50916 L
.57241 .51043 L
.57304 .51116 L
.57371 .51204 L
.57464 .51317 L
.57501 .51364 L
.57625 .51519 L
.57629 .51525 L
.57751 .51686 L
.57785 .51727 L
.57874 .51846 L
.57946 .51935 L
.57999 .52007 L
.58106 .52143 L
.58124 .52167 L
.58244 .52328 L
.58267 .52355 L
.58362 .52488 L
.58428 .52571 L
.58482 .52649 L
.58588 .52787 L
.58604 .52809 L
.58588 .52954 L
.58474 .52809 L
.58428 .52758 L
.58344 .52649 L
.58267 .52559 L
.58213 .52488 L
.58106 .5236 L
.58082 .52328 L
.57954 .52167 L
.57946 .52158 L
.57832 .52007 L
.57785 .5195 L
.57708 .51846 L
.57625 .51744 L
.57582 .51686 L
.57464 .51537 L
.57455 .51525 L
.57337 .51364 L
.57304 .51324 L
.57218 .51204 L
.57143 .51111 L
.57096 .51043 L
.56983 .50898 L
.56973 .50883 L
.5686 .50722 L
.56822 .50675 L
.5675 .50562 L
.56662 .50447 L
.56634 .50401 L
F
.004 .82 1 r
.56662 .56603 m
.56755 .56662 L
.56822 .56717 L
.56921 .56822 L
.56983 .56888 L
.57061 .56983 L
.57143 .57081 L
.57191 .57143 L
.57304 .57287 L
.57316 .57304 L
.5743 .57464 L
.57464 .57513 L
.57535 .57625 L
.57625 .57772 L
.57632 .57785 L
.57625 .57865 L
.57516 .57785 L
.57464 .57742 L
.57354 .57625 L
.57304 .57573 L
.57212 .57464 L
.57143 .57386 L
.57078 .57304 L
.56983 .57186 L
.5695 .57143 L
.56831 .56983 L
.56822 .56971 L
.56726 .56822 L
.56662 .56712 L
.56639 .56662 L
F
0 .24 1 r
.56662 .50358 m
.56697 .50401 L
.56822 .50536 L
.56843 .50562 L
.56822 .50666 L
.56757 .50562 L
.56662 .50435 L
.56642 .50401 L
F
1 .62 0 r
.56662 .49691 m
.56728 .49759 L
.56822 .49851 L
.56883 .4992 L
.56983 .50029 L
.57027 .5008 L
.57143 .50187 L
.57166 .50241 L
.57302 .50401 L
.57304 .50403 L
.57435 .50562 L
.57464 .50596 L
.57567 .50722 L
.57625 .50791 L
.57699 .50883 L
.57785 .50967 L
.57831 .51043 L
.57946 .51184 L
.57966 .51204 L
.58088 .51364 L
.58106 .51387 L
.58216 .51525 L
.58267 .51588 L
.58344 .51686 L
.58428 .51779 L
.58501 .51846 L
.58588 .51993 L
.586 .52007 L
.58723 .52167 L
.58749 .52198 L
.58849 .52328 L
.58909 .52377 L
.58975 .52488 L
.5907 .52604 L
.59111 .52649 L
.59225 .52809 L
.5923 .52816 L
.59348 .5297 L
.59391 .53024 L
.59472 .5313 L
.59551 .53217 L
.59624 .53291 L
.59712 .5344 L
.59721 .53451 L
.59841 .53612 L
.59872 .53651 L
.59964 .53772 L
.60033 .53829 L
.60087 .53933 L
.60193 .54068 L
.60215 .54093 L
.60329 .54254 L
.60354 .54285 L
.60449 .54414 L
.60514 .54499 L
.60571 .54575 L
.60675 .54703 L
.60705 .54735 L
.6081 .54896 L
.60835 .54929 L
.60927 .55057 L
.60996 .55147 L
.61046 .55217 L
.61156 .55355 L
.61165 .55378 L
.61278 .55538 L
.61317 .55591 L
.61391 .55699 L
.61477 .55818 L
.61505 .55859 L
.61612 .5602 L
.61638 .56056 L
.61708 .5618 L
.61638 .56215 L
.61608 .5618 L
.61477 .56043 L
.61458 .5602 L
.61317 .55861 L
.61316 .55859 L
.61182 .55699 L
.61156 .55671 L
.61048 .55538 L
.60996 .55478 L
.60915 .55378 L
.60835 .55284 L
.60782 .55217 L
.60675 .55099 L
.6065 .55057 L
.60521 .54896 L
.60514 .54889 L
.60394 .54735 L
.60354 .54688 L
.60266 .54575 L
.60193 .54523 L
.60137 .54414 L
.60033 .54291 L
.59994 .54254 L
.59883 .54093 L
.59872 .5408 L
.59759 .53933 L
.59712 .53875 L
.59633 .53772 L
.59551 .5369 L
.5946 .53612 L
.59391 .53467 L
.59377 .53451 L
.59258 .53291 L
.5923 .53257 L
.59134 .5313 L
.5907 .53095 L
.5901 .5297 L
.58909 .52851 L
.58869 .52809 L
.58761 .52649 L
.58749 .52633 L
.5864 .52488 L
.58588 .52422 L
.58517 .52328 L
.58428 .52235 L
.58357 .52167 L
.5827 .52007 L
.58267 .52003 L
.58151 .51846 L
.58106 .5179 L
.5803 .51686 L
.57946 .51577 L
.57907 .51525 L
.57785 .51366 L
.57784 .51364 L
.57668 .51204 L
.57625 .51149 L
.57549 .51043 L
.57464 .50933 L
.57429 .50883 L
.57308 .50722 L
.57304 .50717 L
.57195 .50562 L
.57143 .50494 L
.5708 .50401 L
.56983 .50271 L
.56962 .50241 L
.56852 .5008 L
.56822 .5004 L
.56748 .4992 L
.56662 .49793 L
.56643 .49759 L
F
1 .97 .395 r
.56662 .56129 m
.56822 .56095 L
.56983 .56137 L
.57057 .5618 L
.57143 .56271 L
.57199 .56341 L
.57304 .56459 L
.5732 .56501 L
.57464 .56661 L
.57465 .56662 L
.57609 .56822 L
.57625 .56869 L
.57719 .56983 L
.57785 .5708 L
.57828 .57143 L
.57946 .57288 L
.57964 .57304 L
.58086 .57464 L
.58106 .57482 L
.58221 .57625 L
.58267 .57694 L
.58328 .57785 L
.58428 .57911 L
.5844 .57946 L
.58573 .58106 L
.58588 .58127 L
.5872 .58267 L
.58749 .58346 L
.58816 .58428 L
.58909 .58571 L
.5892 .58588 L
.59019 .58749 L
.59042 .58909 L
.58909 .58924 L
.58866 .58909 L
.58749 .58851 L
.58632 .58749 L
.58588 .58684 L
.58439 .58588 L
.58428 .58504 L
.58336 .58428 L
.58267 .58302 L
.5822 .58267 L
.58106 .58134 L
.58102 .58106 L
.5796 .57946 L
.57946 .57929 L
.57819 .57785 L
.57785 .57719 L
.5771 .57625 L
.57625 .57508 L
.57599 .57464 L
.57464 .57306 L
.57462 .57304 L
.57312 .57143 L
.57304 .57108 L
.57208 .56983 L
.57143 .56894 L
.571 .56822 L
.56983 .56676 L
.56981 .56662 L
.56855 .56501 L
.56822 .56454 L
.56719 .56341 L
.56662 .56203 L
.56648 .5618 L
F
.033 .89 1 r
.56662 .49035 m
.56754 .49117 L
.56822 .49179 L
.56916 .49278 L
.56983 .49347 L
.57065 .49438 L
.57143 .49524 L
.57209 .49599 L
.57304 .49698 L
.5735 .49759 L
.57464 .49894 L
.57492 .4992 L
.57621 .5008 L
.57625 .50085 L
.57755 .50241 L
.57785 .50262 L
.57889 .50401 L
.57946 .50468 L
.58046 .50562 L
.58106 .50671 L
.5815 .50722 L
.58267 .50869 L
.58275 .50883 L
.5841 .51043 L
.58428 .51061 L
.5854 .51204 L
.58588 .51266 L
.58673 .51364 L
.58749 .51472 L
.58786 .51525 L
.58909 .51674 L
.58911 .51686 L
.59049 .51846 L
.5907 .51871 L
.59191 .52007 L
.5923 .52079 L
.59298 .52167 L
.59391 .52287 L
.59412 .52328 L
.59551 .52487 L
.59553 .52488 L
.59706 .52649 L
.59712 .52691 L
.59808 .52809 L
.59872 .52902 L
.59918 .5297 L
.60033 .5311 L
.60036 .5313 L
.60177 .53291 L
.60193 .53309 L
.60316 .53451 L
.60354 .53519 L
.60423 .53612 L
.60514 .53731 L
.60535 .53772 L
.60674 .53933 L
.60675 .53934 L
.60825 .54093 L
.60835 .5414 L
.60927 .54254 L
.60996 .54353 L
.61036 .54414 L
.61156 .54562 L
.61158 .54575 L
.61291 .54735 L
.61317 .54763 L
.61431 .54896 L
.61477 .54976 L
.61536 .55057 L
.61638 .5519 L
.61651 .55217 L
.61783 .55378 L
.61799 .55389 L
.6194 .55538 L
.61959 .55602 L
.62035 .55699 L
.6212 .55818 L
.62145 .55859 L
.62272 .5602 L
.6228 .5603 L
.62394 .5618 L
.62441 .56228 L
.62535 .56341 L
.62601 .56449 L
.62638 .56501 L
.62759 .56662 L
.62762 .56665 L
.62879 .56822 L
.62922 .56852 L
.63041 .56983 L
.63083 .57083 L
.63129 .57143 L
.63242 .57304 L
.63243 .57306 L
.6336 .57464 L
.63404 .57523 L
.63479 .57625 L
.63564 .57722 L
.63614 .57785 L
.63717 .57946 L
.63725 .57956 L
.63832 .58106 L
.63885 .58178 L
.63949 .58267 L
.64046 .58379 L
.64083 .58428 L
.64178 .58588 L
.64206 .58627 L
.64288 .58749 L
.64367 .58861 L
.64398 .58909 L
.64502 .5907 L
.64527 .59107 L
.64592 .5923 L
.64527 .59281 L
.64477 .5923 L
.64367 .59122 L
.6432 .5907 L
.64206 .58975 L
.64172 .58909 L
.64046 .5877 L
.64013 .58749 L
.63893 .58588 L
.63885 .58579 L
.63758 .58428 L
.63725 .58389 L
.63625 .58267 L
.63564 .58213 L
.63492 .58106 L
.63404 .58004 L
.63341 .57946 L
.63243 .57802 L
.63228 .57785 L
.631 .57625 L
.63083 .5762 L
.62972 .57464 L
.62922 .57412 L
.628 .57304 L
.62762 .57203 L
.62707 .57143 L
.62601 .56998 L
.6259 .56983 L
.62462 .56822 L
.62441 .56806 L
.62336 .56662 L
.6228 .56597 L
.6219 .56501 L
.6212 .56387 L
.62082 .56341 L
.61959 .56181 L
.61958 .5618 L
.61834 .5602 L
.61799 .55985 L
.6167 .55859 L
.61638 .55773 L
.61575 .55699 L
.61477 .55562 L
.61461 .55538 L
.61335 .55378 L
.61317 .55367 L
.61211 .55217 L
.61156 .55156 L
.61066 .55057 L
.60996 .54942 L
.6096 .54896 L
.60838 .54735 L
.60835 .54733 L
.60715 .54575 L
.60675 .54538 L
.60553 .54414 L
.60514 .54321 L
.60458 .54254 L
.60354 .54108 L
.60344 .54093 L
.60221 .53933 L
.60193 .5392 L
.60098 .53772 L
.60033 .53701 L
.59955 .53612 L
.59872 .53482 L
.59849 .53451 L
.59728 .53291 L
.59712 .5327 L
.59606 .5313 L
.59551 .53081 L
.59446 .5297 L
.59391 .52857 L
.59352 .52809 L
.59236 .52649 L
.5923 .52641 L
.59116 .52488 L
.5907 .52467 L
.58994 .52328 L
.58909 .52232 L
.58854 .52167 L
.58749 .52009 L
.58747 .52007 L
.58628 .51846 L
.58588 .51795 L
.58507 .51686 L
.58428 .51608 L
.58354 .51525 L
.58267 .51374 L
.58259 .51364 L
.58143 .51204 L
.58106 .51158 L
.58023 .51043 L
.57946 .50943 L
.57902 .50883 L
.57785 .50734 L
.57776 .50722 L
.57663 .50562 L
.57625 .50513 L
.57545 .50401 L
.57464 .50295 L
.57426 .50241 L
.57306 .5008 L
.57304 .50078 L
.57193 .4992 L
.57143 .49853 L
.5708 .49759 L
.56983 .49627 L
.56964 .49599 L
.56855 .49438 L
.56822 .49393 L
.56753 .49278 L
.56662 .49136 L
.56652 .49117 L
F
0 .23 1 r
.56662 .50375 m
.56684 .50401 L
.56822 .50544 L
.56836 .50562 L
.56822 .50656 L
.56766 .50562 L
.56662 .5042 L
.56652 .50401 L
F
1 .61 0 r
.56662 .49719 m
.56707 .49759 L
.56822 .49864 L
.56872 .4992 L
.56983 .50038 L
.57019 .5008 L
.57143 .50202 L
.5716 .50241 L
.57296 .50401 L
.57304 .5041 L
.57429 .50562 L
.57464 .50602 L
.57562 .50722 L
.57625 .50797 L
.57695 .50883 L
.57785 .50973 L
.57826 .51043 L
.57946 .51189 L
.57961 .51204 L
.58084 .51364 L
.58106 .51391 L
.58212 .51525 L
.58267 .51592 L
.58341 .51686 L
.58428 .51783 L
.58497 .51846 L
.58588 .51997 L
.58596 .52007 L
.5872 .52167 L
.58749 .52202 L
.58846 .52328 L
.58909 .52381 L
.58972 .52488 L
.5907 .52608 L
.59107 .52649 L
.59221 .52809 L
.5923 .5282 L
.59345 .5297 L
.59391 .53028 L
.59469 .5313 L
.59551 .53221 L
.5962 .53291 L
.59712 .53444 L
.59718 .53451 L
.59838 .53612 L
.59872 .53655 L
.59961 .53772 L
.60033 .53833 L
.60084 .53933 L
.60193 .54072 L
.60211 .54093 L
.60326 .54254 L
.60354 .5429 L
.60446 .54414 L
.60514 .54503 L
.60567 .54575 L
.60675 .54709 L
.60699 .54735 L
.60806 .54896 L
.60835 .54935 L
.60923 .55057 L
.60996 .55153 L
.61042 .55217 L
.61156 .55367 L
.6116 .55378 L
.61272 .55538 L
.61317 .55599 L
.61384 .55699 L
.61477 .55828 L
.61498 .55859 L
.61601 .5602 L
.61638 .56073 L
.61692 .5618 L
.61638 .56199 L
.61621 .5618 L
.61477 .56032 L
.61467 .5602 L
.61324 .55859 L
.61317 .55851 L
.61189 .55699 L
.61156 .55663 L
.61054 .55538 L
.60996 .55472 L
.6092 .55378 L
.60835 .55278 L
.60786 .55217 L
.60675 .55092 L
.60654 .55057 L
.60525 .54896 L
.60514 .54884 L
.60397 .54735 L
.60354 .54683 L
.60269 .54575 L
.60193 .54519 L
.60141 .54414 L
.60033 .54286 L
.59999 .54254 L
.59886 .54093 L
.59872 .54076 L
.59762 .53933 L
.59712 .53871 L
.59636 .53772 L
.59551 .53686 L
.59464 .53612 L
.59391 .53463 L
.5938 .53451 L
.5926 .53291 L
.5923 .53253 L
.59137 .5313 L
.5907 .53091 L
.59012 .5297 L
.58909 .52847 L
.58873 .52809 L
.58764 .52649 L
.58749 .52629 L
.58643 .52488 L
.58588 .52419 L
.5852 .52328 L
.58428 .5223 L
.58362 .52167 L
.58273 .52007 L
.58267 .51999 L
.58154 .51846 L
.58106 .51786 L
.58033 .51686 L
.57946 .51573 L
.5791 .51525 L
.57788 .51364 L
.57785 .51361 L
.57671 .51204 L
.57625 .51144 L
.57553 .51043 L
.57464 .50928 L
.57432 .50883 L
.57313 .50722 L
.57304 .50711 L
.572 .50562 L
.57143 .50487 L
.57085 .50401 L
.56983 .50263 L
.56968 .50241 L
.5686 .5008 L
.56822 .50028 L
.56759 .4992 L
.56662 .4977 L
.56657 .49759 L
F
1 .04 0 r
.56662 .51041 m
.56663 .51043 L
.56662 .5105 L
.56659 .51043 L
F
1 .96 .289 r
.56822 .56121 m
.56983 .56168 L
.57009 .5618 L
.57143 .56294 L
.57183 .56341 L
.57304 .56475 L
.57314 .56501 L
.57455 .56662 L
.57464 .56673 L
.57605 .56822 L
.57625 .56878 L
.57712 .56983 L
.57785 .57088 L
.57823 .57143 L
.57946 .57294 L
.57957 .57304 L
.58079 .57464 L
.58106 .57489 L
.58215 .57625 L
.58267 .57703 L
.58321 .57785 L
.58428 .57922 L
.58436 .57946 L
.58563 .58106 L
.58588 .58141 L
.58712 .58267 L
.58749 .58364 L
.58801 .58428 L
.589 .58588 L
.58909 .58603 L
.58982 .58749 L
.58909 .58868 L
.58749 .58809 L
.58673 .58749 L
.58588 .58646 L
.58453 .58588 L
.58428 .5848 L
.58351 .58428 L
.58267 .58289 L
.58231 .58267 L
.58106 .5812 L
.58104 .58106 L
.57969 .57946 L
.57946 .57918 L
.57824 .57785 L
.57785 .5771 L
.57716 .57625 L
.57625 .575 L
.57604 .57464 L
.57469 .57304 L
.57464 .57302 L
.57314 .57143 L
.57304 .57101 L
.57214 .56983 L
.57143 .56885 L
.57106 .56822 L
.56983 .56664 L
.56983 .56662 L
.56866 .56501 L
.56822 .56437 L
.56733 .56341 L
.56687 .5618 L
F
1 .95 .212 r
.56822 .56148 m
.56952 .5618 L
.56983 .5619 L
.57143 .56316 L
.57167 .56341 L
.57304 .5649 L
.57308 .56501 L
.57446 .56662 L
.57464 .56684 L
.57601 .56822 L
.57625 .56888 L
.57706 .56983 L
.57785 .57096 L
.57818 .57143 L
.57946 .573 L
.5795 .57304 L
.58072 .57464 L
.58106 .57495 L
.58209 .57625 L
.58267 .57713 L
.58315 .57785 L
.58428 .57934 L
.58432 .57946 L
.58553 .58106 L
.58588 .58155 L
.58703 .58267 L
.58749 .58384 L
.58785 .58428 L
.58877 .58588 L
.58909 .58655 L
.58938 .58749 L
.58909 .58805 L
.58749 .58768 L
.5872 .58749 L
.58588 .58621 L
.58477 .58588 L
.58428 .58461 L
.58367 .58428 L
.58267 .5828 L
.58242 .58267 L
.58106 .58107 L
.58106 .58106 L
.57977 .57946 L
.57946 .57908 L
.5783 .57785 L
.57785 .57701 L
.57723 .57625 L
.57625 .57493 L
.57608 .57464 L
.57475 .57304 L
.57464 .57299 L
.57317 .57143 L
.57304 .57094 L
.5722 .56983 L
.57143 .56875 L
.57112 .56822 L
.5699 .56662 L
.56983 .56651 L
.56877 .56501 L
.56822 .56418 L
.56751 .56341 L
.56734 .5618 L
F
.003 .81 1 r
.56822 .56735 m
.56906 .56822 L
.56983 .56902 L
.5705 .56983 L
.57143 .57094 L
.57181 .57143 L
.57304 .573 L
.57306 .57304 L
.57417 .57464 L
.57464 .57532 L
.5752 .57625 L
.57464 .5772 L
.57371 .57625 L
.57304 .57557 L
.57225 .57464 L
.57143 .57372 L
.57089 .57304 L
.56983 .57172 L
.56961 .57143 L
.56844 .56983 L
.56822 .56952 L
.56741 .56822 L
F
.002 .8 1 r
.56822 .56756 m
.56889 .56822 L
.56983 .56917 L
.57037 .56983 L
.57143 .57107 L
.57171 .57143 L
.57294 .57304 L
.57304 .57317 L
.57402 .57464 L
.57464 .57557 L
.57502 .57625 L
.57464 .57694 L
.57392 .57625 L
.57304 .57539 L
.57239 .57464 L
.57143 .57357 L
.57101 .57304 L
.56983 .57157 L
.56972 .57143 L
.56858 .56983 L
.56822 .56931 L
.56758 .56822 L
F
1 .97 .395 r
.56822 .4851 m
.56948 .48636 L
.56983 .4867 L
.57101 .48796 L
.57143 .48841 L
.57249 .48957 L
.57304 .49008 L
.57392 .49117 L
.57464 .49203 L
.57552 .49278 L
.57625 .49395 L
.57663 .49438 L
.57785 .49585 L
.57793 .49599 L
.57938 .49759 L
.57946 .49769 L
.58102 .4992 L
.58106 .49967 L
.58202 .5008 L
.58267 .5017 L
.58316 .50241 L
.58428 .50375 L
.58466 .50401 L
.58588 .50555 L
.58594 .50562 L
.58726 .50722 L
.58749 .5076 L
.5884 .50883 L
.58909 .50972 L
.58946 .51043 L
.5907 .51186 L
.59107 .51204 L
.5923 .51363 L
.59232 .51364 L
.59356 .51525 L
.59391 .51574 L
.59465 .51686 L
.59551 .51791 L
.59613 .51846 L
.59712 .51975 L
.59737 .52007 L
.59862 .52167 L
.59872 .52184 L
.59976 .52328 L
.60033 .524 L
.60077 .52488 L
.60193 .52621 L
.60238 .52649 L
.60354 .52802 L
.6036 .52809 L
.60481 .5297 L
.60514 .53015 L
.60589 .5313 L
.60675 .53234 L
.60735 .53291 L
.60835 .53423 L
.60858 .53451 L
.60982 .53612 L
.60996 .53634 L
.61095 .53772 L
.61156 .5385 L
.61194 .53933 L
.61317 .54068 L
.61354 .54093 L
.61476 .54254 L
.61477 .54257 L
.61597 .54414 L
.61638 .5447 L
.61703 .54575 L
.61799 .54687 L
.61848 .54735 L
.61959 .54894 L
.6197 .54896 L
.62096 .55057 L
.6212 .55092 L
.62207 .55217 L
.6228 .55308 L
.62307 .55378 L
.62441 .55521 L
.62464 .55538 L
.62592 .55699 L
.62601 .55717 L
.62708 .55859 L
.62762 .5593 L
.62814 .5602 L
.62922 .56145 L
.62958 .5618 L
.63079 .56341 L
.63083 .56345 L
.63207 .56501 L
.63243 .56555 L
.63317 .56662 L
.63404 .56769 L
.63421 .56822 L
.63564 .56977 L
.63572 .56983 L
.63707 .57143 L
.63725 .5718 L
.63817 .57304 L
.63885 .57394 L
.63925 .57464 L
.64046 .57606 L
.64063 .57625 L
.64185 .57785 L
.64206 .57807 L
.64316 .57946 L
.64367 .5802 L
.64425 .58106 L
.64527 .58234 L
.64536 .58267 L
.64676 .58428 L
.64688 .58436 L
.64817 .58588 L
.64848 .58647 L
.64922 .58749 L
.65009 .58864 L
.65033 .58909 L
.65165 .5907 L
.6517 .59076 L
.65325 .5923 L
.6533 .59274 L
.6542 .59391 L
.65491 .59495 L
.65527 .59551 L
.65651 .59711 L
.65651 .59712 L
.65771 .59872 L
.65812 .599 L
.65919 .60033 L
.65972 .60128 L
.66018 .60193 L
.66133 .60352 L
.66134 .60354 L
.66252 .60514 L
.66293 .60569 L
.66424 .60675 L
.66454 .60768 L
.66502 .60835 L
.6661 .60996 L
.66614 .61002 L
.66725 .61156 L
.66775 .61224 L
.66841 .61317 L
.66935 .61426 L
.66971 .61477 L
.67069 .61638 L
.67096 .61675 L
.67178 .61799 L
.67256 .61912 L
.67287 .61959 L
.67388 .6212 L
.67417 .62165 L
.67474 .6228 L
.67417 .62344 L
.67347 .6228 L
.67256 .62197 L
.67183 .6212 L
.67096 .62074 L
.67031 .61959 L
.66935 .61862 L
.66886 .61799 L
.66775 .61672 L
.66735 .61638 L
.66614 .61483 L
.66609 .61477 L
.66474 .61317 L
.66454 .61301 L
.6634 .61156 L
.66293 .61102 L
.66176 .60996 L
.66133 .60901 L
.66073 .60835 L
.65972 .607 L
.65953 .60675 L
.65818 .60514 L
.65812 .60508 L
.6569 .60354 L
.65651 .60305 L
.6555 .60193 L
.65491 .60098 L
.65439 .60033 L
.6533 .59892 L
.65321 .59872 L
.65182 .59712 L
.6517 .59697 L
.65035 .59551 L
.65009 .59489 L
.64928 .59391 L
.64848 .59278 L
.64816 .5923 L
.64688 .59075 L
.6468 .5907 L
.64556 .58909 L
.64527 .58874 L
.6442 .58749 L
.64367 .58663 L
.64311 .58588 L
.64206 .58452 L
.64197 .58428 L
.64058 .58267 L
.64046 .58254 L
.63913 .58106 L
.63885 .58044 L
.63807 .57946 L
.63725 .57832 L
.63695 .57785 L
.63564 .57627 L
.63561 .57625 L
.63438 .57464 L
.63404 .57423 L
.63302 .57304 L
.63243 .57211 L
.63194 .57143 L
.63083 .57 L
.63077 .56983 L
.62944 .56822 L
.62922 .568 L
.62797 .56662 L
.62762 .56589 L
.62692 .56501 L
.62601 .56376 L
.6258 .56341 L
.6245 .5618 L
.62441 .56174 L
.62286 .5602 L
.6228 .55966 L
.62189 .55859 L
.6212 .55752 L
.62081 .55699 L
.61959 .55542 L
.61958 .55538 L
.61834 .55378 L
.61799 .55343 L
.61684 .55217 L
.61638 .55129 L
.61581 .55057 L
.61477 .54915 L
.61466 .54896 L
.61341 .54735 L
.61317 .54721 L
.61171 .54575 L
.61156 .54506 L
.6108 .54414 L
.60996 .54289 L
.60971 .54254 L
.60848 .54093 L
.60835 .54078 L
.60726 .53933 L
.60675 .53885 L
.60575 .53772 L
.60514 .53665 L
.60473 .53612 L
.60355 .53451 L
.60354 .5345 L
.60234 .53291 L
.60193 .53267 L
.60062 .5313 L
.60033 .53042 L
.59974 .5297 L
.59872 .52822 L
.59863 .52809 L
.59743 .52649 L
.59712 .52609 L
.59621 .52488 L
.59551 .52421 L
.59471 .52328 L
.59391 .52195 L
.5937 .52167 L
.59252 .52007 L
.5923 .51979 L
.59131 .51846 L
.5907 .51805 L
.58963 .51686 L
.58909 .51568 L
.58875 .51525 L
.58762 .51364 L
.58749 .51347 L
.58642 .51204 L
.58588 .51135 L
.58521 .51043 L
.58428 .50942 L
.58379 .50883 L
.58275 .50722 L
.58267 .50713 L
.58156 .50562 L
.58106 .50498 L
.58036 .50401 L
.57946 .50285 L
.57884 .50241 L
.57791 .5008 L
.57785 .50073 L
.57675 .4992 L
.57625 .49855 L
.57557 .49759 L
.57464 .49638 L
.57436 .49599 L
.57317 .49438 L
.57304 .49421 L
.57204 .49278 L
.57143 .49197 L
.5709 .49117 L
.56983 .48972 L
.56973 .48957 L
.56865 .48796 L
.56822 .48735 L
.56764 .48636 L
F
1 .6 0 r
.56822 .49878 m
.5686 .4992 L
.56983 .50048 L
.57011 .5008 L
.57143 .50218 L
.57153 .50241 L
.57289 .50401 L
.57304 .50418 L
.57423 .50562 L
.57464 .50609 L
.57557 .50722 L
.57625 .50802 L
.5769 .50883 L
.57785 .5098 L
.57822 .51043 L
.57946 .51195 L
.57955 .51204 L
.5808 .51364 L
.58106 .51396 L
.58209 .51525 L
.58267 .51597 L
.58337 .51686 L
.58428 .51788 L
.58492 .51846 L
.58588 .52001 L
.58592 .52007 L
.58717 .52167 L
.58749 .52206 L
.58843 .52328 L
.58909 .52384 L
.58969 .52488 L
.5907 .52612 L
.59103 .52649 L
.59218 .52809 L
.5923 .52824 L
.59342 .5297 L
.59391 .53032 L
.59466 .5313 L
.59551 .53226 L
.59616 .53291 L
.59712 .53448 L
.59714 .53451 L
.59835 .53612 L
.59872 .53659 L
.59958 .53772 L
.60033 .53838 L
.60081 .53933 L
.60193 .54077 L
.60207 .54093 L
.60323 .54254 L
.60354 .54294 L
.60443 .54414 L
.60514 .54508 L
.60564 .54575 L
.60675 .54716 L
.60693 .54735 L
.60802 .54896 L
.60835 .5494 L
.60919 .55057 L
.60996 .55159 L
.61037 .55217 L
.61156 .55378 L
.61156 .55378 L
.61266 .55538 L
.61317 .55607 L
.61378 .55699 L
.61477 .55838 L
.61491 .55859 L
.61589 .5602 L
.61477 .56021 L
.61476 .5602 L
.61334 .55859 L
.61317 .55842 L
.61196 .55699 L
.61156 .55656 L
.6106 .55538 L
.60996 .55466 L
.60925 .55378 L
.60835 .55273 L
.60791 .55217 L
.60675 .55085 L
.60658 .55057 L
.60529 .54896 L
.60514 .54879 L
.60401 .54735 L
.60354 .54679 L
.60273 .54575 L
.60193 .54514 L
.60144 .54414 L
.60033 .54282 L
.60003 .54254 L
.5989 .54093 L
.59872 .54072 L
.59765 .53933 L
.59712 .53868 L
.59639 .53772 L
.59551 .53682 L
.59469 .53612 L
.59391 .53459 L
.59384 .53451 L
.59263 .53291 L
.5923 .5325 L
.5914 .5313 L
.5907 .53088 L
.59015 .5297 L
.58909 .52843 L
.58877 .52809 L
.58767 .52649 L
.58749 .52626 L
.58646 .52488 L
.58588 .52415 L
.58523 .52328 L
.58428 .52226 L
.58367 .52167 L
.58276 .52007 L
.58267 .51995 L
.58157 .51846 L
.58106 .51782 L
.58036 .51686 L
.57946 .5157 L
.57913 .51525 L
.57791 .51364 L
.57785 .51357 L
.57675 .51204 L
.57625 .51139 L
.57556 .51043 L
.57464 .50923 L
.57436 .50883 L
.57317 .50722 L
.57304 .50705 L
.57205 .50562 L
.57143 .5048 L
.5709 .50401 L
.56983 .50255 L
.56973 .50241 L
.56869 .5008 L
.56822 .50014 L
.56771 .4992 L
F
1 .94 .156 r
.56822 .56176 m
.56869 .5618 L
.56983 .56201 L
.57143 .56336 L
.57149 .56341 L
.573 .56501 L
.57304 .56505 L
.57436 .56662 L
.57464 .56695 L
.57597 .56822 L
.57625 .56897 L
.57699 .56983 L
.57785 .57104 L
.57812 .57143 L
.57943 .57304 L
.57946 .57307 L
.58066 .57464 L
.58106 .57502 L
.58203 .57625 L
.58267 .57722 L
.58308 .57785 L
.58428 .57946 L
.58428 .57946 L
.58543 .58106 L
.58588 .5817 L
.58691 .58267 L
.58749 .58405 L
.58767 .58428 L
.58851 .58588 L
.58749 .5873 L
.58588 .58603 L
.58516 .58588 L
.58428 .58447 L
.58386 .58428 L
.58267 .58273 L
.58253 .58267 L
.58117 .58106 L
.58106 .58096 L
.57986 .57946 L
.57946 .57898 L
.57836 .57785 L
.57785 .57692 L
.57729 .57625 L
.57625 .57486 L
.57612 .57464 L
.57482 .57304 L
.57464 .57295 L
.5732 .57143 L
.57304 .57086 L
.57227 .56983 L
.57143 .56865 L
.57119 .56822 L
.56999 .56662 L
.56983 .56639 L
.56888 .56501 L
.56822 .56396 L
.56772 .56341 L
.56805 .5618 L
F
0 .22 1 r
.56822 .50554 m
.56828 .50562 L
.56822 .50644 L
.56778 .50562 L
F
1 .98 .538 r
.56822 .59668 m
.56861 .59712 L
.56983 .59852 L
.57 .59872 L
.56983 .60015 L
.56888 .59872 L
.56822 .59786 L
.56779 .59712 L
F
.001 .79 1 r
.56822 .56781 m
.56868 .56822 L
.56983 .56934 L
.57024 .56983 L
.57143 .57122 L
.57159 .57143 L
.57279 .57304 L
.57304 .57336 L
.57385 .57464 L
.57464 .57592 L
.57478 .57625 L
.57464 .57657 L
.57423 .57625 L
.57304 .5752 L
.57255 .57464 L
.57143 .5734 L
.57114 .57304 L
.56985 .57143 L
.56983 .57141 L
.56875 .56983 L
.56822 .56904 L
.5678 .56822 L
F
.024 .88 1 r
.56822 .49217 m
.56884 .49278 L
.56983 .49373 L
.57043 .49438 L
.57143 .49545 L
.57191 .49599 L
.57304 .49718 L
.57334 .49759 L
.57464 .49911 L
.57474 .4992 L
.57609 .5008 L
.57625 .50099 L
.57744 .50241 L
.57785 .5027 L
.57879 .50401 L
.57946 .5048 L
.58037 .50562 L
.58106 .50681 L
.58142 .50722 L
.58267 .50878 L
.5827 .50883 L
.58402 .51043 L
.58428 .51069 L
.58532 .51204 L
.58588 .51274 L
.58667 .51364 L
.58749 .5148 L
.58781 .51525 L
.58909 .5168 L
.5891 .51686 L
.59043 .51846 L
.5907 .51877 L
.59187 .52007 L
.5923 .52085 L
.59293 .52167 L
.59391 .52293 L
.59409 .52328 L
.59548 .52488 L
.59551 .52491 L
.59705 .52649 L
.59712 .52697 L
.59804 .52809 L
.59872 .52907 L
.59914 .5297 L
.60033 .53115 L
.60035 .5313 L
.60173 .53291 L
.60193 .53314 L
.60313 .53451 L
.60354 .53524 L
.60419 .53612 L
.60514 .53735 L
.60533 .53772 L
.6067 .53933 L
.60675 .53937 L
.60824 .54093 L
.60835 .54144 L
.60923 .54254 L
.60996 .54357 L
.61033 .54414 L
.61156 .54566 L
.61157 .54575 L
.61287 .54735 L
.61317 .54767 L
.61428 .54896 L
.61477 .54981 L
.61533 .55057 L
.61638 .55194 L
.61649 .55217 L
.61779 .55378 L
.61799 .55392 L
.61938 .55538 L
.61959 .55607 L
.62031 .55699 L
.6212 .55823 L
.62142 .55859 L
.62268 .5602 L
.6228 .56035 L
.62389 .5618 L
.62441 .56233 L
.62531 .56341 L
.62601 .56455 L
.62634 .56501 L
.62754 .56662 L
.62762 .56672 L
.62874 .56822 L
.62922 .56857 L
.63036 .56983 L
.63083 .57091 L
.63123 .57143 L
.63235 .57304 L
.63243 .57314 L
.63353 .57464 L
.63404 .57531 L
.63472 .57625 L
.63564 .57734 L
.63604 .57785 L
.63708 .57946 L
.63725 .57968 L
.63823 .58106 L
.63885 .58191 L
.63939 .58267 L
.64046 .58404 L
.64064 .58428 L
.64164 .58588 L
.64206 .58647 L
.64272 .58749 L
.64367 .58887 L
.64381 .58909 L
.64472 .5907 L
.64367 .59091 L
.64346 .5907 L
.64206 .58938 L
.64192 .58909 L
.64047 .58749 L
.64046 .58747 L
.63908 .58588 L
.63885 .58563 L
.63771 .58428 L
.63725 .58375 L
.63636 .58267 L
.63564 .58201 L
.63501 .58106 L
.63404 .57993 L
.63352 .57946 L
.63243 .57793 L
.63237 .57785 L
.63108 .57625 L
.63083 .57617 L
.62979 .57464 L
.62922 .57405 L
.62806 .57304 L
.62762 .57196 L
.62714 .57143 L
.62601 .56992 L
.62594 .56983 L
.62467 .56822 L
.62441 .56802 L
.62341 .56662 L
.6228 .56591 L
.62194 .56501 L
.6212 .56381 L
.62087 .56341 L
.61962 .5618 L
.61959 .56176 L
.61838 .5602 L
.61799 .55981 L
.61673 .55859 L
.61638 .55768 L
.61579 .55699 L
.61477 .55558 L
.61464 .55538 L
.61338 .55378 L
.61317 .55365 L
.61214 .55217 L
.61156 .55152 L
.6107 .55057 L
.60996 .54938 L
.60963 .54896 L
.60841 .54735 L
.60835 .54729 L
.60718 .54575 L
.60675 .54535 L
.60556 .54414 L
.60514 .54318 L
.60461 .54254 L
.60354 .54104 L
.60347 .54093 L
.60224 .53933 L
.60193 .53918 L
.60101 .53772 L
.60033 .53697 L
.59958 .53612 L
.59872 .53479 L
.59851 .53451 L
.59731 .53291 L
.59712 .53266 L
.59609 .5313 L
.59551 .53078 L
.59449 .5297 L
.59391 .52853 L
.59355 .52809 L
.5924 .52649 L
.5923 .52636 L
.59119 .52488 L
.5907 .52464 L
.58997 .52328 L
.58909 .52227 L
.58858 .52167 L
.58751 .52007 L
.58749 .52004 L
.58632 .51846 L
.58588 .5179 L
.58511 .51686 L
.58428 .51602 L
.5836 .51525 L
.58267 .51367 L
.58265 .51364 L
.58147 .51204 L
.58106 .51151 L
.58028 .51043 L
.57946 .50937 L
.57907 .50883 L
.57785 .50724 L
.57784 .50722 L
.57669 .50562 L
.57625 .50504 L
.57552 .50401 L
.57464 .50285 L
.57433 .50241 L
.57315 .5008 L
.57304 .50066 L
.57204 .4992 L
.57143 .49838 L
.57091 .49759 L
.56983 .4961 L
.56976 .49599 L
.56874 .49438 L
.56822 .4936 L
.5678 .49278 L
F
1 .59 0 r
.56822 .49895 m
.56846 .4992 L
.56983 .50059 L
.57001 .5008 L
.57143 .50236 L
.57145 .50241 L
.57282 .50401 L
.57304 .50425 L
.57417 .50562 L
.57464 .50615 L
.57552 .50722 L
.57625 .50808 L
.57686 .50883 L
.57785 .50987 L
.57818 .51043 L
.57946 .51201 L
.57949 .51204 L
.58076 .51364 L
.58106 .51401 L
.58205 .51525 L
.58267 .51601 L
.58334 .51686 L
.58428 .51793 L
.58487 .51846 L
.58588 .52006 L
.58589 .52007 L
.58714 .52167 L
.58749 .52211 L
.5884 .52328 L
.58909 .52388 L
.58966 .52488 L
.5907 .52616 L
.59099 .52649 L
.59215 .52809 L
.5923 .52828 L
.59339 .5297 L
.59391 .53036 L
.59463 .5313 L
.59551 .5323 L
.59612 .53291 L
.59711 .53451 L
.59712 .53452 L
.59832 .53612 L
.59872 .53663 L
.59954 .53772 L
.60033 .53842 L
.60077 .53933 L
.60193 .54083 L
.60203 .54093 L
.60319 .54254 L
.60354 .54299 L
.60439 .54414 L
.60514 .54513 L
.6056 .54575 L
.60675 .54723 L
.60686 .54735 L
.60797 .54896 L
.60835 .54946 L
.60915 .55057 L
.60996 .55165 L
.61033 .55217 L
.6115 .55378 L
.61156 .55386 L
.6126 .55538 L
.61317 .55616 L
.61371 .55699 L
.61477 .55849 L
.61484 .55859 L
.61477 .56007 L
.61344 .55859 L
.61317 .55832 L
.61204 .55699 L
.61156 .55648 L
.61066 .55538 L
.60996 .55459 L
.6093 .55378 L
.60835 .55267 L
.60796 .55217 L
.60675 .55078 L
.60663 .55057 L
.60533 .54896 L
.60514 .54874 L
.60405 .54735 L
.60354 .54674 L
.60276 .54575 L
.60193 .54509 L
.60147 .54414 L
.60033 .54277 L
.60009 .54254 L
.59893 .54093 L
.59872 .54068 L
.59768 .53933 L
.59712 .53864 L
.59642 .53772 L
.59551 .53678 L
.59474 .53612 L
.59391 .53455 L
.59388 .53451 L
.59266 .53291 L
.5923 .53246 L
.59142 .5313 L
.5907 .53084 L
.59017 .5297 L
.58909 .52838 L
.58881 .52809 L
.5877 .52649 L
.58749 .52622 L
.58648 .52488 L
.58588 .52412 L
.58525 .52328 L
.58428 .52221 L
.58372 .52167 L
.58279 .52007 L
.58267 .51991 L
.5816 .51846 L
.58106 .51778 L
.58039 .51686 L
.57946 .51566 L
.57916 .51525 L
.57795 .51364 L
.57785 .51352 L
.57679 .51204 L
.57625 .51135 L
.5756 .51043 L
.57464 .50918 L
.57439 .50883 L
.57322 .50722 L
.57304 .50699 L
.5721 .50562 L
.57143 .50473 L
.57095 .50401 L
.56983 .50247 L
.56979 .50241 L
.56879 .5008 L
.56822 .49997 L
.56786 .4992 L
F
1 .97 .395 r
.56983 .70606 m
.57143 .70615 L
.57203 .70627 L
.57304 .70654 L
.57464 .7071 L
.57625 .70778 L
.57648 .70788 L
.57785 .70853 L
.57946 .70935 L
.57971 .70948 L
.58106 .71022 L
.58259 .71109 L
.58267 .71114 L
.58428 .71208 L
.58528 .71269 L
.58588 .71306 L
.58749 .71407 L
.58785 .7143 L
.58909 .7151 L
.59032 .7159 L
.5907 .71615 L
.5923 .71723 L
.59272 .71751 L
.59391 .71832 L
.59507 .71912 L
.59551 .71942 L
.59712 .72055 L
.59737 .72072 L
.59872 .72168 L
.59963 .72233 L
.60033 .72283 L
.60185 .72393 L
.60193 .72399 L
.60354 .72516 L
.60405 .72554 L
.60514 .72635 L
.60622 .72714 L
.60675 .72754 L
.60835 .72874 L
.60837 .72875 L
.60996 .72995 L
.6105 .73035 L
.61156 .73116 L
.61261 .73196 L
.61317 .73239 L
.6147 .73356 L
.61477 .73362 L
.61638 .73486 L
.61678 .73517 L
.61799 .7361 L
.61885 .73677 L
.61959 .73736 L
.6209 .73838 L
.6212 .73861 L
.6228 .73988 L
.62294 .73998 L
.62441 .74115 L
.62496 .74159 L
.62601 .74243 L
.62697 .74319 L
.62762 .74372 L
.62896 .7448 L
.62922 .74501 L
.63083 .74631 L
.63094 .7464 L
.63243 .74763 L
.6329 .74801 L
.63404 .74895 L
.63484 .74961 L
.63564 .75029 L
.63676 .75122 L
.63725 .75163 L
.63867 .75283 L
.63885 .75298 L
.64046 .75435 L
.64055 .75443 L
.64206 .75574 L
.64242 .75604 L
.64367 .75713 L
.64426 .75764 L
.64527 .75853 L
.6461 .75925 L
.64688 .75994 L
.64792 .76085 L
.64848 .76136 L
.64973 .76246 L
.65009 .76278 L
.65153 .76406 L
.6517 .76421 L
.6533 .76564 L
.65333 .76567 L
.65491 .76708 L
.65512 .76727 L
.65651 .76851 L
.65692 .76888 L
.65812 .76995 L
.65872 .77048 L
.65972 .77138 L
.66052 .77209 L
.66133 .7728 L
.66234 .77369 L
.66293 .77422 L
.66416 .7753 L
.66454 .77563 L
.66599 .7769 L
.66614 .77704 L
.66775 .77843 L
.66783 .77851 L
.66935 .77982 L
.6697 .78011 L
.67096 .78119 L
.67157 .78172 L
.67256 .78256 L
.67347 .78332 L
.67417 .78391 L
.67539 .78493 L
.67577 .78524 L
.67734 .78654 L
.67738 .78657 L
.67898 .78787 L
.67932 .78814 L
.68059 .78914 L
.68133 .78975 L
.68219 .7904 L
.68341 .79135 L
.6838 .79163 L
.68541 .79282 L
.68548 .79296 L
.68701 .79395 L
.68791 .79456 L
.68862 .79501 L
.69022 .79589 L
.69183 .79576 L
.69197 .79456 L
.69195 .79296 L
.69233 .79135 L
.69343 .78992 L
.69367 .78975 L
.69504 .78893 L
.69664 .78847 L
.69825 .78822 L
.69886 .78814 L
.69985 .78801 L
.70146 .78786 L
.70306 .78775 L
.70467 .78768 L
.70627 .78762 L
.70788 .78759 L
.70948 .78757 L
.71109 .78756 L
.71269 .78756 L
.7143 .78758 L
.7159 .78761 L
.71751 .78765 L
.71912 .78771 L
.72072 .78779 L
.72233 .78789 L
.72393 .78801 L
.72533 .78814 L
.72554 .78816 L
.72714 .78837 L
.72875 .78862 L
.73035 .78892 L
.73196 .78928 L
.73356 .78967 L
.73388 .78975 L
.73517 .79015 L
.73677 .79072 L
.73838 .79128 L
.73858 .79135 L
.73998 .79196 L
.74159 .79271 L
.74222 .79296 L
.74319 .79341 L
.7448 .79412 L
.7457 .79456 L
.7464 .79501 L
.74801 .79563 L
.74961 .79616 L
.74976 .79456 L
.74961 .79437 L
.74877 .79296 L
.74801 .79203 L
.74752 .79135 L
.7464 .78999 L
.74621 .78975 L
.74487 .78814 L
.7448 .78805 L
.74349 .78654 L
.74319 .78618 L
.74208 .78493 L
.74159 .78436 L
.74064 .78332 L
.73998 .78259 L
.73918 .78172 L
.73838 .78084 L
.7377 .78011 L
.73677 .77912 L
.7362 .77851 L
.73517 .77741 L
.73469 .7769 L
.73356 .77572 L
.73316 .7753 L
.73196 .77404 L
.73162 .77369 L
.73035 .77238 L
.73007 .77209 L
.72875 .77072 L
.72852 .77048 L
.72714 .76907 L
.72696 .76888 L
.72554 .76742 L
.72539 .76727 L
.72393 .76577 L
.72383 .76567 L
.72233 .76412 L
.72227 .76406 L
.72072 .76247 L
.72071 .76246 L
.71916 .76085 L
.71912 .7608 L
.71762 .75925 L
.71751 .75913 L
.71609 .75764 L
.7159 .75744 L
.71458 .75604 L
.7143 .75574 L
.71309 .75443 L
.71269 .75401 L
.71161 .75283 L
.71109 .75226 L
.71015 .75122 L
.70948 .75048 L
.70872 .74961 L
.70788 .74867 L
.7073 .74801 L
.70627 .74684 L
.7059 .7464 L
.70467 .74498 L
.70451 .7448 L
.70315 .74319 L
.70306 .74309 L
.7018 .74159 L
.70146 .74118 L
.70046 .73998 L
.69985 .73924 L
.69914 .73838 L
.69825 .73728 L
.69783 .73677 L
.69664 .7353 L
.69654 .73517 L
.69526 .73356 L
.69504 .73329 L
.69399 .73196 L
.69343 .73124 L
.69274 .73035 L
.69183 .72916 L
.69151 .72875 L
.6903 .72714 L
.69022 .72704 L
.68911 .72554 L
.68862 .72486 L
.68795 .72393 L
.68701 .72261 L
.68681 .72233 L
.68571 .72072 L
.68541 .72027 L
.68465 .71912 L
.6838 .71778 L
.68363 .71751 L
.68268 .7159 L
.68219 .71507 L
.68179 .7143 L
.681 .71269 L
.68059 .71188 L
.68034 .71109 L
.67986 .70948 L
.67973 .70788 L
.68059 .7064 L
.68083 .70627 L
.68219 .70603 L
.6838 .70626 L
.68387 .70627 L
.68541 .70672 L
.68701 .70733 L
.68831 .70788 L
.68862 .70803 L
.69022 .70881 L
.69152 .70948 L
.69183 .70965 L
.69343 .71054 L
.6944 .71109 L
.69504 .71146 L
.69664 .71242 L
.69709 .71269 L
.69825 .71341 L
.69966 .7143 L
.69985 .71442 L
.70146 .71546 L
.70213 .7159 L
.70306 .71652 L
.70454 .71751 L
.70467 .7176 L
.70627 .7187 L
.70688 .71912 L
.70788 .71981 L
.70918 .72072 L
.70948 .72093 L
.71109 .72208 L
.71144 .72233 L
.71269 .72323 L
.71366 .72393 L
.7143 .7244 L
.71586 .72554 L
.7159 .72557 L
.71751 .72676 L
.71802 .72714 L
.71912 .72796 L
.72017 .72875 L
.72072 .72917 L
.72229 .73035 L
.72233 .73038 L
.72393 .73161 L
.72439 .73196 L
.72554 .73285 L
.72647 .73356 L
.72714 .73409 L
.72853 .73517 L
.72875 .73534 L
.73035 .7366 L
.73058 .73677 L
.73196 .73786 L
.73261 .73838 L
.73356 .73914 L
.73463 .73998 L
.73517 .74041 L
.73664 .74159 L
.73677 .7417 L
.73838 .74299 L
.73863 .74319 L
.73998 .74429 L
.74061 .7448 L
.74159 .7456 L
.74258 .7464 L
.74319 .74691 L
.74454 .74801 L
.7448 .74822 L
.7464 .74954 L
.74649 .74961 L
.74801 .75087 L
.74843 .75122 L
.74961 .75221 L
.75036 .75283 L
.75122 .75354 L
.75228 .75443 L
.75283 .75489 L
.7542 .75604 L
.75443 .75623 L
.75604 .75758 L
.7561 .75764 L
.75764 .75894 L
.758 .75925 L
.75925 .76031 L
.75989 .76085 L
.76085 .76168 L
.76177 .76246 L
.76246 .76305 L
.76364 .76406 L
.76406 .76442 L
.76551 .76567 L
.76567 .7658 L
.76727 .76719 L
.76737 .76727 L
.76888 .76858 L
.76922 .76888 L
.77048 .76998 L
.77107 .77048 L
.77209 .77137 L
.77291 .77209 L
.77369 .77278 L
.77474 .77369 L
.7753 .77418 L
.77657 .7753 L
.7769 .77559 L
.77839 .7769 L
.77851 .77701 L
.78011 .77843 L
.78021 .77851 L
.78172 .77985 L
.78202 .78011 L
.78332 .78128 L
.78382 .78172 L
.78493 .78271 L
.78562 .78332 L
.78654 .78415 L
.78741 .78493 L
.78814 .78559 L
.7892 .78654 L
.78975 .78703 L
.79098 .78814 L
.79135 .78848 L
.79276 .78975 L
.79296 .78993 L
.79453 .79135 L
.79456 .79138 L
.79617 .79284 L
.79629 .79296 L
.79777 .79431 L
.79805 .79456 L
.79938 .79577 L
.79981 .79617 L
.80098 .79725 L
.80156 .79777 L
.80259 .79872 L
.8033 .79938 L
.80419 .8002 L
.80504 .80098 L
.8058 .80168 L
.80678 .80259 L
.8074 .80317 L
.80851 .80419 L
.80901 .80466 L
.81024 .8058 L
.81061 .80615 L
.81196 .8074 L
.81222 .80765 L
.81368 .80901 L
.81382 .80915 L
.81539 .81061 L
.81543 .81065 L
.81703 .81216 L
.81709 .81222 L
.81864 .81368 L
.81879 .81382 L
.82025 .8152 L
.82049 .81543 L
.82185 .81672 L
.82218 .81703 L
.82346 .81825 L
.82387 .81864 L
.82506 .81978 L
.82555 .82025 L
.82667 .82131 L
.82723 .82185 L
.82827 .82285 L
.8289 .82346 L
.82988 .82439 L
.83057 .82506 L
.83148 .82594 L
.83224 .82667 L
.83309 .82749 L
.8339 .82827 L
.83469 .82904 L
.83555 .82988 L
.8363 .8306 L
.8372 .83148 L
.8379 .83217 L
.83885 .83309 L
.83951 .83373 L
.84049 .83469 L
.84111 .83531 L
.84212 .8363 L
.84272 .83688 L
.84375 .8379 L
.84432 .83846 L
.84538 .83951 L
.84593 .84005 L
.847 .84111 L
.84753 .84164 L
.84862 .84272 L
.84914 .84324 L
.85023 .84432 L
.85074 .84484 L
.85183 .84593 L
.85235 .84645 L
.85344 .84753 L
.85396 .84806 L
.85503 .84914 L
.85556 .84967 L
.85662 .85074 L
.85717 .8513 L
.85821 .85235 L
.85877 .85292 L
.85979 .85396 L
.86038 .85456 L
.86136 .85556 L
.86198 .85619 L
.86293 .85717 L
.86359 .85784 L
.86449 .85877 L
.86519 .85949 L
.86605 .86038 L
.8668 .86115 L
.8676 .86198 L
.8684 .86281 L
.86915 .86359 L
.87001 .86448 L
.87069 .86519 L
.87161 .86616 L
.87223 .8668 L
.87322 .86784 L
.87375 .8684 L
.87482 .86953 L
.87528 .87001 L
.87643 .87123 L
.87679 .87161 L
.87803 .87293 L
.8783 .87322 L
.87964 .87465 L
.8798 .87482 L
.88124 .87637 L
.8813 .87643 L
.88279 .87803 L
.88285 .8781 L
.88427 .87964 L
.88445 .87984 L
.88574 .88124 L
.88606 .88159 L
.88721 .88285 L
.88767 .88335 L
.88866 .88445 L
.88927 .88512 L
.89011 .88606 L
.89088 .88691 L
.89156 .88767 L
.89248 .8887 L
.89299 .88927 L
.89409 .89051 L
.89441 .89088 L
.89569 .89233 L
.89582 .89248 L
.89723 .89409 L
.8973 .89416 L
.89862 .89569 L
.8989 .89602 L
.9 .8973 L
.90051 .89789 L
.90137 .8989 L
.90211 .89977 L
.90273 .90051 L
.90372 .90168 L
.90408 .90211 L
.90532 .90362 L
.90541 .90372 L
.90672 .90532 L
.90693 .90557 L
.90802 .90693 L
.90853 .90756 L
.90931 .90853 L
.91014 .90958 L
.91058 .91014 L
.91174 .91164 L
.91182 .91174 L
.91305 .91335 L
.91335 .91375 L
.91425 .91495 L
.91495 .91591 L
.91543 .91656 L
.91656 .91815 L
.91657 .91816 L
.91769 .91977 L
.91816 .92047 L
.91876 .92138 L
.91977 .92295 L
.91979 .92298 L
.92077 .92459 L
.92138 .92562 L
.92168 .92619 L
.92251 .9278 L
.92298 .92874 L
.92322 .9294 L
.92378 .93101 L
.92406 .93261 L
.92376 .93422 L
.92298 .93481 L
.92138 .93499 L
.91977 .93472 L
.91816 .93424 L
.9181 .93422 L
.91656 .93362 L
.91495 .93291 L
.91432 .93261 L
.91335 .93212 L
.91174 .93128 L
.91125 .93101 L
.91014 .93039 L
.90853 .92946 L
.90844 .9294 L
.90693 .92849 L
.90579 .9278 L
.90532 .9275 L
.90372 .92649 L
.90326 .92619 L
.90211 .92545 L
.90081 .92459 L
.90051 .92439 L
.8989 .92331 L
.89842 .92298 L
.8973 .92221 L
.89609 .92138 L
.89569 .9211 L
.89409 .91997 L
.8938 .91977 L
.89248 .91883 L
.89155 .91816 L
.89088 .91768 L
.88934 .91656 L
.88927 .91651 L
.88767 .91533 L
.88715 .91495 L
.88606 .91414 L
.885 .91335 L
.88445 .91294 L
.88287 .91174 L
.88285 .91173 L
.88124 .91051 L
.88076 .91014 L
.87964 .90928 L
.87867 .90853 L
.87803 .90804 L
.87661 .90693 L
.87643 .90679 L
.87482 .90553 L
.87456 .90532 L
.87322 .90426 L
.87254 .90372 L
.87161 .90298 L
.87053 .90211 L
.87001 .90169 L
.86853 .90051 L
.8684 .9004 L
.8668 .8991 L
.86656 .8989 L
.86519 .89779 L
.86459 .8973 L
.86359 .89647 L
.86264 .89569 L
.86198 .89515 L
.86069 .89409 L
.86038 .89382 L
.85877 .89249 L
.85876 .89248 L
.85717 .89116 L
.85683 .89088 L
.85556 .88982 L
.8549 .88927 L
.85396 .88848 L
.85298 .88767 L
.85235 .88714 L
.85105 .88606 L
.85074 .8858 L
.84914 .88446 L
.84913 .88445 L
.84753 .88313 L
.8472 .88285 L
.84593 .88179 L
.84527 .88124 L
.84432 .88046 L
.84333 .87964 L
.84272 .87913 L
.84138 .87803 L
.84111 .87781 L
.83951 .8765 L
.83943 .87643 L
.8379 .87519 L
.83746 .87482 L
.8363 .87388 L
.83549 .87322 L
.83469 .87258 L
.8335 .87161 L
.83309 .87129 L
.83149 .87001 L
.83148 .87 L
.82988 .86872 L
.82952 .8684 L
.82827 .86743 L
.82752 .8668 L
.82667 .86615 L
.82548 .86519 L
.82506 .86488 L
.82346 .8636 L
.82343 .86359 L
.82185 .8623 L
.82147 .86198 L
.82025 .86095 L
.81958 .86038 L
.81864 .85955 L
.81779 .85877 L
.81703 .85806 L
.81634 .85717 L
.81543 .8565 L
.81463 .85556 L
.81382 .85486 L
.81302 .85396 L
.81222 .85319 L
.81147 .85235 L
.81061 .85126 L
.80993 .85074 L
.80901 .84965 L
.8084 .84914 L
.8074 .84802 L
.80686 .84753 L
.8058 .84638 L
.80531 .84593 L
.80419 .84475 L
.80375 .84432 L
.80259 .84312 L
.80218 .84272 L
.80098 .8415 L
.80058 .84111 L
.79938 .8399 L
.79897 .83951 L
.79777 .83832 L
.79734 .8379 L
.79617 .83675 L
.7957 .8363 L
.79456 .8352 L
.79403 .83469 L
.79296 .83366 L
.79235 .83309 L
.79135 .83214 L
.79065 .83148 L
.78975 .83064 L
.78892 .82988 L
.78814 .82915 L
.78718 .82827 L
.78654 .82768 L
.78542 .82667 L
.78493 .82623 L
.78363 .82506 L
.78332 .82479 L
.78182 .82346 L
.78172 .82337 L
.78011 .82197 L
.77998 .82185 L
.77851 .82059 L
.77811 .82025 L
.7769 .81923 L
.77621 .81864 L
.7753 .81789 L
.77427 .81703 L
.77369 .81657 L
.77227 .81543 L
.77209 .81529 L
.77048 .81404 L
.77024 .81382 L
.76888 .81284 L
.76818 .81222 L
.76727 .8117 L
.76567 .81068 L
.76555 .81061 L
.76406 .80999 L
.76283 .81061 L
.76246 .81202 L
.76239 .81222 L
.76147 .81382 L
.76085 .81441 L
.75925 .81525 L
.75874 .81543 L
.75764 .81576 L
.75604 .81607 L
.75443 .81627 L
.75283 .81641 L
.75122 .81651 L
.74961 .81658 L
.74801 .81662 L
.7464 .81666 L
.7448 .81668 L
.74319 .81669 L
.74159 .8167 L
.73998 .81669 L
.73838 .81667 L
.73677 .81664 L
.73517 .8166 L
.73356 .81654 L
.73196 .81646 L
.73035 .81636 L
.72875 .81624 L
.72714 .81608 L
.72554 .81588 L
.72393 .81565 L
.72257 .81543 L
.72233 .81538 L
.72072 .81502 L
.71912 .81459 L
.71751 .81412 L
.71647 .81382 L
.7159 .81363 L
.7143 .81298 L
.71269 .81231 L
.71244 .81222 L
.71109 .81166 L
.70948 .81107 L
.7084 .81061 L
.70788 .81041 L
.70627 .80993 L
.70568 .81061 L
.70627 .81177 L
.70656 .81222 L
.70774 .81382 L
.70788 .81408 L
.70903 .81543 L
.70948 .81608 L
.7104 .81703 L
.71109 .81789 L
.71182 .81864 L
.71269 .81965 L
.71328 .82025 L
.7143 .82137 L
.71477 .82185 L
.7159 .82306 L
.71629 .82346 L
.71751 .82473 L
.71784 .82506 L
.71912 .82637 L
.71941 .82667 L
.72072 .82799 L
.72101 .82827 L
.72233 .82958 L
.72262 .82988 L
.72393 .83116 L
.72426 .83148 L
.72554 .83272 L
.72592 .83309 L
.72714 .83426 L
.72759 .83469 L
.72875 .83579 L
.72929 .8363 L
.73035 .83729 L
.731 .8379 L
.73196 .83879 L
.73274 .83951 L
.73356 .84027 L
.73448 .84111 L
.73517 .84173 L
.73625 .84272 L
.73677 .84319 L
.73804 .84432 L
.73838 .84463 L
.73984 .84593 L
.73998 .84606 L
.74159 .84748 L
.74165 .84753 L
.74319 .84889 L
.74347 .84914 L
.7448 .85029 L
.7453 .85074 L
.7464 .85169 L
.74712 .85235 L
.74801 .85309 L
.74893 .85396 L
.74961 .8545 L
.75074 .85556 L
.75122 .85594 L
.7525 .85717 L
.75283 .85743 L
.75418 .85877 L
.75443 .85899 L
.75573 .86038 L
.75604 .86067 L
.75717 .86198 L
.75764 .86253 L
.75854 .86359 L
.75925 .86453 L
.75991 .86519 L
.76085 .86618 L
.76129 .8668 L
.76246 .8681 L
.76268 .8684 L
.76406 .87001 L
.76406 .87001 L
.76541 .87161 L
.76567 .87193 L
.76678 .87322 L
.76727 .87381 L
.76816 .87482 L
.76888 .87567 L
.76955 .87643 L
.77048 .8775 L
.77096 .87803 L
.77209 .87932 L
.77237 .87964 L
.77369 .88113 L
.77379 .88124 L
.77522 .88285 L
.7753 .88294 L
.77665 .88445 L
.7769 .88474 L
.77809 .88606 L
.77851 .88653 L
.77952 .88767 L
.78011 .88832 L
.78096 .88927 L
.78172 .89012 L
.78239 .89088 L
.78332 .89192 L
.78382 .89248 L
.78493 .89373 L
.78525 .89409 L
.78654 .89555 L
.78666 .89569 L
.78807 .8973 L
.78814 .89738 L
.78946 .8989 L
.78975 .89923 L
.79085 .90051 L
.79135 .9011 L
.79221 .90211 L
.79296 .90299 L
.79356 .90372 L
.79456 .90492 L
.7949 .90532 L
.79617 .90687 L
.79621 .90693 L
.79751 .90853 L
.79777 .90886 L
.79878 .91014 L
.79938 .9109 L
.80003 .91174 L
.80098 .91298 L
.80126 .91335 L
.80246 .91495 L
.80259 .91512 L
.80364 .91656 L
.80419 .91733 L
.80478 .91816 L
.8058 .91963 L
.8059 .91977 L
.80697 .92138 L
.8074 .92204 L
.808 .92298 L
.80897 .92459 L
.80901 .92465 L
.80988 .92619 L
.81061 .9276 L
.8107 .9278 L
.81142 .9294 L
.81197 .93101 L
.81222 .93234 L
.81224 .93261 L
.81222 .93314 L
.81183 .93422 L
.81061 .93496 L
.80901 .93493 L
.8074 .93457 L
.80605 .93422 L
.8058 .93404 L
.80419 .93338 L
.80259 .93264 L
.80253 .93261 L
.80098 .93183 L
.79944 .93101 L
.79938 .93097 L
.79777 .93007 L
.79663 .9294 L
.79617 .92912 L
.79456 .92815 L
.79399 .9278 L
.79296 .92715 L
.79146 .92619 L
.79135 .92612 L
.78975 .92507 L
.78901 .92459 L
.78814 .92401 L
.78663 .92298 L
.78654 .92292 L
.78493 .92181 L
.7843 .92138 L
.78332 .9207 L
.78201 .91977 L
.78172 .91956 L
.78011 .91842 L
.77976 .91816 L
.77851 .91726 L
.77755 .91656 L
.7769 .91608 L
.77537 .91495 L
.7753 .9149 L
.77369 .91371 L
.77321 .91335 L
.77209 .91251 L
.77108 .91174 L
.77048 .91129 L
.76896 .91014 L
.76888 .91007 L
.76727 .90884 L
.76687 .90853 L
.76567 .9076 L
.76479 .90693 L
.76406 .90636 L
.76274 .90532 L
.76246 .9051 L
.76085 .90384 L
.76069 .90372 L
.75925 .90257 L
.75867 .90211 L
.75764 .9013 L
.75665 .90051 L
.75604 .90001 L
.75465 .8989 L
.75443 .89873 L
.75283 .89743 L
.75266 .8973 L
.75122 .89613 L
.75068 .89569 L
.74961 .89482 L
.74871 .89409 L
.74801 .89351 L
.74676 .89248 L
.7464 .89219 L
.74481 .89088 L
.7448 .89087 L
.74319 .88954 L
.74287 .88927 L
.74159 .8882 L
.74095 .88767 L
.73998 .88686 L
.73903 .88606 L
.73838 .88551 L
.73712 .88445 L
.73677 .88416 L
.73521 .88285 L
.73517 .88281 L
.73356 .88145 L
.73332 .88124 L
.73196 .88008 L
.73144 .87964 L
.73035 .87871 L
.72956 .87803 L
.72875 .87734 L
.72768 .87643 L
.72714 .87596 L
.72582 .87482 L
.72554 .87458 L
.72396 .87322 L
.72393 .87319 L
.72233 .8718 L
.72211 .87161 L
.72072 .8704 L
.72027 .87001 L
.71912 .869 L
.71843 .8684 L
.71751 .86759 L
.7166 .8668 L
.7159 .86619 L
.71477 .86519 L
.7143 .86477 L
.71295 .86359 L
.71269 .86336 L
.71114 .86198 L
.71109 .86194 L
.70948 .86051 L
.70933 .86038 L
.70788 .85908 L
.70753 .85877 L
.70627 .85765 L
.70574 .85717 L
.70467 .85621 L
.70395 .85556 L
.70306 .85477 L
.70216 .85396 L
.70146 .85332 L
.70038 .85235 L
.69985 .85187 L
.6986 .85074 L
.69825 .85042 L
.69683 .84914 L
.69664 .84896 L
.69507 .84753 L
.69504 .84751 L
.69343 .84604 L
.69331 .84593 L
.69183 .84457 L
.69156 .84432 L
.69022 .84309 L
.68981 .84272 L
.68862 .84162 L
.68807 .84111 L
.68701 .84014 L
.68633 .83951 L
.68541 .83865 L
.68459 .8379 L
.6838 .83716 L
.68286 .8363 L
.68219 .83567 L
.68114 .83469 L
.68059 .83418 L
.67942 .83309 L
.67898 .83268 L
.6777 .83148 L
.67738 .83118 L
.67599 .82988 L
.67577 .82967 L
.67429 .82827 L
.67417 .82816 L
.67259 .82667 L
.67256 .82664 L
.67096 .82512 L
.67089 .82506 L
.66935 .8236 L
.6692 .82346 L
.66775 .82207 L
.66752 .82185 L
.66614 .82054 L
.66584 .82025 L
.66454 .819 L
.66416 .81864 L
.66293 .81746 L
.66249 .81703 L
.66133 .81592 L
.66082 .81543 L
.65972 .81437 L
.65916 .81382 L
.65812 .81281 L
.6575 .81222 L
.65651 .81126 L
.65585 .81061 L
.65491 .8097 L
.6542 .80901 L
.6533 .80813 L
.65256 .8074 L
.6517 .80656 L
.65092 .8058 L
.65009 .80499 L
.64928 .80419 L
.64848 .80341 L
.64765 .80259 L
.64688 .80182 L
.64603 .80098 L
.64527 .80023 L
.64441 .79938 L
.64367 .79864 L
.6428 .79777 L
.64206 .79704 L
.64119 .79617 L
.64046 .79544 L
.63958 .79456 L
.63885 .79383 L
.63798 .79296 L
.63725 .79222 L
.63639 .79135 L
.63564 .7906 L
.6348 .78975 L
.63404 .78897 L
.63322 .78814 L
.63243 .78734 L
.63164 .78654 L
.63083 .78571 L
.63007 .78493 L
.62922 .78407 L
.6285 .78332 L
.62762 .78242 L
.62694 .78172 L
.62601 .78077 L
.62538 .78011 L
.62441 .77911 L
.62383 .77851 L
.6228 .77744 L
.62229 .7769 L
.6212 .77577 L
.62075 .7753 L
.61959 .77409 L
.61921 .77369 L
.61799 .7724 L
.61769 .77209 L
.61638 .77071 L
.61617 .77048 L
.61477 .76901 L
.61465 .76888 L
.61317 .7673 L
.61315 .76727 L
.61165 .76567 L
.61156 .76558 L
.61015 .76406 L
.60996 .76385 L
.60867 .76246 L
.60835 .76212 L
.60719 .76085 L
.60675 .76037 L
.60572 .75925 L
.60514 .75862 L
.60426 .75764 L
.60354 .75685 L
.6028 .75604 L
.60193 .75507 L
.60135 .75443 L
.60033 .75329 L
.59992 .75283 L
.59872 .75149 L
.59849 .75122 L
.59712 .74967 L
.59707 .74961 L
.59566 .74801 L
.59551 .74784 L
.59426 .7464 L
.59391 .746 L
.59287 .7448 L
.5923 .74414 L
.59149 .74319 L
.5907 .74226 L
.59012 .74159 L
.58909 .74037 L
.58877 .73998 L
.58749 .73845 L
.58743 .73838 L
.5861 .73677 L
.58588 .7365 L
.58479 .73517 L
.58428 .73453 L
.58349 .73356 L
.58267 .73253 L
.58222 .73196 L
.58106 .73049 L
.58096 .73035 L
.57972 .72875 L
.57946 .72841 L
.5785 .72714 L
.57785 .72628 L
.5773 .72554 L
.57625 .72409 L
.57614 .72393 L
.575 .72233 L
.57464 .72181 L
.5739 .72072 L
.57304 .71942 L
.57284 .71912 L
.57183 .71751 L
.57143 .71688 L
.57087 .7159 L
.56998 .7143 L
.56983 .71404 L
.56919 .71269 L
.56852 .71109 L
.56822 .71017 L
.56805 .70948 L
.56791 .70788 L
.56822 .70694 L
.569 .70627 L
F
1 .93 .114 r
.56822 .56213 m
.56983 .56209 L
.57128 .56341 L
.57143 .56349 L
.57288 .56501 L
.57304 .56516 L
.57427 .56662 L
.57464 .56705 L
.57591 .56822 L
.57625 .56907 L
.57692 .56983 L
.57785 .57112 L
.57807 .57143 L
.57936 .57304 L
.57946 .57316 L
.58059 .57464 L
.58106 .57509 L
.58197 .57625 L
.58267 .57733 L
.58301 .57785 L
.58419 .57946 L
.58428 .57958 L
.58533 .58106 L
.58588 .58186 L
.58677 .58267 L
.58747 .58428 L
.58749 .5843 L
.58823 .58588 L
.58749 .58691 L
.58588 .5859 L
.58576 .58588 L
.58428 .58436 L
.58407 .58428 L
.58267 .58268 L
.58265 .58267 L
.58128 .58106 L
.58106 .58086 L
.57995 .57946 L
.57946 .57888 L
.57843 .57785 L
.57785 .57683 L
.57736 .57625 L
.57625 .57478 L
.57616 .57464 L
.57488 .57304 L
.57464 .57291 L
.57323 .57143 L
.57304 .57078 L
.57233 .56983 L
.57143 .56854 L
.57125 .56822 L
.57008 .56662 L
.56983 .56625 L
.56899 .56501 L
.56822 .5637 L
.56797 .56341 L
F
.001 .78 1 r
.56822 .56817 m
.56831 .56822 L
.56983 .56953 L
.57008 .56983 L
.57143 .57139 L
.57147 .57143 L
.57261 .57304 L
.57304 .57361 L
.57363 .57464 L
.57304 .57497 L
.57274 .57464 L
.57143 .57322 L
.57129 .57304 L
.57003 .57143 L
.56983 .57119 L
.56894 .56983 L
.56822 .56858 L
.56815 .56822 L
F
1 .58 0 r
.56822 .49919 m
.56823 .4992 L
.56983 .50071 L
.56991 .5008 L
.56983 .50237 L
.56892 .5008 L
.56822 .49969 L
.56818 .4992 L
F
1 .92 .084 r
.56983 .56218 m
.57106 .56341 L
.57143 .5636 L
.57275 .56501 L
.57304 .56527 L
.57417 .56662 L
.57464 .56715 L
.57585 .56822 L
.57625 .56916 L
.57685 .56983 L
.57785 .5712 L
.57802 .57143 L
.57929 .57304 L
.57946 .57325 L
.58052 .57464 L
.58106 .57517 L
.5819 .57625 L
.58267 .57744 L
.58293 .57785 L
.5841 .57946 L
.58428 .57971 L
.58523 .58106 L
.58588 .58203 L
.58661 .58267 L
.58728 .58428 L
.58749 .58469 L
.58789 .58588 L
.58749 .58645 L
.58622 .58588 L
.58588 .58566 L
.58431 .58428 L
.58428 .58425 L
.58279 .58267 L
.58267 .58263 L
.58139 .58106 L
.58106 .58076 L
.58004 .57946 L
.57946 .57878 L
.5785 .57785 L
.57785 .57674 L
.57743 .57625 L
.57625 .57471 L
.57621 .57464 L
.57495 .57304 L
.57464 .57287 L
.57327 .57143 L
.57304 .57069 L
.5724 .56983 L
.57143 .56842 L
.57132 .56822 L
.57017 .56662 L
.56983 .56611 L
.56911 .56501 L
.56825 .56341 L
F
1 .91 .061 r
.56983 .56235 m
.57082 .56341 L
.57143 .5637 L
.57261 .56501 L
.57304 .56538 L
.57407 .56662 L
.57464 .56725 L
.57579 .56822 L
.57625 .56925 L
.57678 .56983 L
.57785 .57128 L
.57796 .57143 L
.57923 .57304 L
.57946 .57334 L
.58045 .57464 L
.58106 .57526 L
.58183 .57625 L
.58267 .57756 L
.58286 .57785 L
.584 .57946 L
.58428 .57984 L
.58512 .58106 L
.58588 .58221 L
.58641 .58267 L
.58707 .58428 L
.58588 .5854 L
.58453 .58428 L
.58428 .58406 L
.58293 .58267 L
.58267 .58258 L
.5815 .58106 L
.58106 .58066 L
.58014 .57946 L
.57946 .57868 L
.57858 .57785 L
.57785 .57666 L
.5775 .57625 L
.57626 .57464 L
.57625 .57464 L
.57502 .57304 L
.57464 .57282 L
.57332 .57143 L
.57304 .5706 L
.57247 .56983 L
.57143 .5683 L
.57139 .56822 L
.57027 .56662 L
.56983 .56596 L
.56922 .56501 L
.56849 .56341 L
F
1 .96 .289 r
.56983 .54251 m
.56986 .54254 L
.57132 .54414 L
.57143 .54427 L
.57267 .54575 L
.57304 .5462 L
.57396 .54735 L
.57464 .54825 L
.57518 .54896 L
.57625 .55046 L
.57632 .55057 L
.57735 .55217 L
.57785 .55312 L
.57813 .55378 L
.57785 .5541 L
.57734 .55378 L
.57625 .55283 L
.57566 .55217 L
.57464 .55104 L
.57427 .55057 L
.57304 .54908 L
.57295 .54896 L
.57175 .54735 L
.57143 .54694 L
.57063 .54575 L
.56983 .54463 L
.56953 .54414 L
.56856 .54254 L
F
1 .9 .045 r
.56983 .56262 m
.57055 .56341 L
.57143 .56381 L
.57248 .56501 L
.57304 .56549 L
.57397 .56662 L
.57464 .56736 L
.57571 .56822 L
.57625 .56934 L
.57671 .56983 L
.57785 .57136 L
.57791 .57143 L
.57916 .57304 L
.57946 .57343 L
.58038 .57464 L
.58106 .57535 L
.58175 .57625 L
.58267 .57768 L
.58278 .57785 L
.58391 .57946 L
.58428 .57998 L
.58501 .58106 L
.58588 .58241 L
.58618 .58267 L
.58683 .58428 L
.58588 .58511 L
.58478 .58428 L
.58428 .58386 L
.58309 .58267 L
.58267 .58252 L
.58161 .58106 L
.58106 .58056 L
.58023 .57946 L
.57946 .57858 L
.57866 .57785 L
.57785 .57657 L
.57757 .57625 L
.57633 .57464 L
.57625 .57455 L
.57509 .57304 L
.57464 .57277 L
.57337 .57143 L
.57304 .5705 L
.57255 .56983 L
.57147 .56822 L
.57143 .56818 L
.57036 .56662 L
.56983 .56579 L
.56935 .56501 L
.56877 .56341 L
F
.018 .87 1 r
.56983 .49405 m
.57016 .49438 L
.57143 .49569 L
.57171 .49599 L
.57304 .49742 L
.57316 .49759 L
.57457 .4992 L
.57464 .49928 L
.57596 .5008 L
.57625 .50114 L
.57733 .50241 L
.57785 .5028 L
.57868 .50401 L
.57946 .50491 L
.58027 .50562 L
.58106 .50692 L
.58134 .50722 L
.58264 .50883 L
.58267 .50886 L
.58395 .51043 L
.58428 .51077 L
.58525 .51204 L
.58588 .51283 L
.58661 .51364 L
.58749 .51487 L
.58776 .51525 L
.58909 .51685 L
.58909 .51686 L
.59037 .51846 L
.5907 .51884 L
.59183 .52007 L
.5923 .52092 L
.59289 .52167 L
.59391 .52299 L
.59406 .52328 L
.59543 .52488 L
.59551 .52496 L
.59704 .52649 L
.59712 .52702 L
.598 .52809 L
.59872 .52913 L
.59911 .5297 L
.60033 .53119 L
.60034 .5313 L
.60169 .53291 L
.60193 .53318 L
.6031 .53451 L
.60354 .53529 L
.60416 .53612 L
.60514 .5374 L
.6053 .53772 L
.60666 .53933 L
.60675 .5394 L
.60823 .54093 L
.60835 .54149 L
.6092 .54254 L
.60996 .54362 L
.6103 .54414 L
.61156 .5457 L
.61157 .54575 L
.61284 .54735 L
.61317 .54771 L
.61425 .54896 L
.61477 .54986 L
.61529 .55057 L
.61638 .55199 L
.61647 .55217 L
.61775 .55378 L
.61799 .55395 L
.61935 .55538 L
.61959 .55612 L
.62028 .55699 L
.6212 .55829 L
.62139 .55859 L
.62264 .5602 L
.6228 .56041 L
.62385 .5618 L
.62441 .56238 L
.62527 .56341 L
.62601 .56462 L
.6263 .56501 L
.62749 .56662 L
.62762 .56678 L
.62869 .56822 L
.62922 .56863 L
.6303 .56983 L
.63083 .57099 L
.63116 .57143 L
.63229 .57304 L
.63243 .57323 L
.63347 .57464 L
.63404 .57541 L
.63465 .57625 L
.63564 .57747 L
.63594 .57785 L
.637 .57946 L
.63725 .5798 L
.63814 .58106 L
.63885 .58204 L
.63929 .58267 L
.64044 .58428 L
.64046 .58431 L
.64149 .58588 L
.64206 .5867 L
.64255 .58749 L
.64206 .58899 L
.64068 .58749 L
.64046 .58727 L
.63924 .58588 L
.63885 .58546 L
.63785 .58428 L
.63725 .58361 L
.63647 .58267 L
.63564 .58189 L
.63511 .58106 L
.63404 .57981 L
.63364 .57946 L
.63245 .57785 L
.63243 .57783 L
.63116 .57625 L
.63083 .57614 L
.62986 .57464 L
.62922 .57397 L
.62812 .57304 L
.62762 .57188 L
.6272 .57143 L
.62601 .56985 L
.62599 .56983 L
.62473 .56822 L
.62441 .56798 L
.62346 .56662 L
.6228 .56586 L
.62199 .56501 L
.6212 .56376 L
.62091 .56341 L
.61966 .5618 L
.61959 .56171 L
.61842 .5602 L
.61799 .55977 L
.61676 .55859 L
.61638 .55763 L
.61582 .55699 L
.61477 .55553 L
.61467 .55538 L
.61342 .55378 L
.61317 .55362 L
.61218 .55217 L
.61156 .55148 L
.61073 .55057 L
.60996 .54934 L
.60966 .54896 L
.60844 .54735 L
.60835 .54725 L
.60721 .54575 L
.60675 .54532 L
.60559 .54414 L
.60514 .54314 L
.60464 .54254 L
.60354 .541 L
.60349 .54093 L
.60227 .53933 L
.60193 .53916 L
.60104 .53772 L
.60033 .53693 L
.59961 .53612 L
.59872 .53475 L
.59854 .53451 L
.59734 .53291 L
.59712 .53262 L
.59612 .5313 L
.59551 .53074 L
.59452 .5297 L
.59391 .52848 L
.59359 .52809 L
.59243 .52649 L
.5923 .52632 L
.59123 .52488 L
.5907 .52461 L
.59001 .52328 L
.58909 .52222 L
.58863 .52167 L
.58755 .52007 L
.58749 .51999 L
.58635 .51846 L
.58588 .51785 L
.58515 .51686 L
.58428 .51595 L
.58366 .51525 L
.5827 .51364 L
.58267 .51361 L
.58152 .51204 L
.58106 .51145 L
.58033 .51043 L
.57946 .5093 L
.57912 .50883 L
.57791 .50722 L
.57785 .50715 L
.57676 .50562 L
.57625 .50495 L
.57559 .50401 L
.57464 .50275 L
.5744 .50241 L
.57325 .5008 L
.57304 .50053 L
.57215 .4992 L
.57143 .49822 L
.57103 .49759 L
.56991 .49599 L
.56983 .49586 L
.56901 .49438 L
F
1 .89 .033 r
.56983 .56305 m
.57018 .56341 L
.57143 .56393 L
.57233 .56501 L
.57304 .5656 L
.57387 .56662 L
.57464 .56746 L
.57562 .56822 L
.57625 .56943 L
.57663 .56983 L
.57785 .57143 L
.57785 .57144 L
.57908 .57304 L
.57946 .57352 L
.58031 .57464 L
.58106 .57546 L
.58167 .57625 L
.58267 .57781 L
.5827 .57785 L
.58382 .57946 L
.58428 .58013 L
.5849 .58106 L
.58588 .58264 L
.58592 .58267 L
.58653 .58428 L
.58588 .58479 L
.58509 .58428 L
.58428 .58367 L
.58325 .58267 L
.58267 .58245 L
.58173 .58106 L
.58106 .58045 L
.58032 .57946 L
.57946 .57848 L
.57876 .57785 L
.57785 .57648 L
.57765 .57625 L
.5764 .57464 L
.57625 .57446 L
.57516 .57304 L
.57464 .5727 L
.57344 .57143 L
.57304 .57039 L
.57263 .56983 L
.57155 .56822 L
.57143 .56806 L
.57046 .56662 L
.56983 .56561 L
.56948 .56501 L
.56917 .56341 L
F
.001 .77 1 r
.56983 .56976 m
.56989 .56983 L
.56983 .57089 L
.56922 .56983 L
F
1 .16 0 r
.56983 .51367 m
.57093 .51525 L
.57143 .51588 L
.57209 .51686 L
.57304 .5181 L
.57327 .51846 L
.57304 .51936 L
.57232 .51846 L
.57143 .51749 L
.57094 .51686 L
.56983 .51556 L
.56959 .51525 L
F
1 .88 .024 r
.56983 .56353 m
.57143 .56407 L
.57218 .56501 L
.57304 .56571 L
.57376 .56662 L
.57464 .56756 L
.57551 .56822 L
.57625 .56952 L
.57654 .56983 L
.57777 .57143 L
.57785 .57153 L
.57901 .57304 L
.57946 .57361 L
.58024 .57464 L
.58106 .57557 L
.58158 .57625 L
.58261 .57785 L
.58267 .57794 L
.58372 .57946 L
.58428 .58028 L
.58478 .58106 L
.58572 .58267 L
.58588 .58301 L
.5861 .58428 L
.58588 .5844 L
.58556 .58428 L
.58428 .58346 L
.58343 .58267 L
.58267 .58234 L
.58186 .58106 L
.58106 .58033 L
.58042 .57946 L
.57946 .57837 L
.57886 .57785 L
.57785 .57639 L
.57773 .57625 L
.57647 .57464 L
.57625 .57437 L
.57523 .57304 L
.57464 .57263 L
.57351 .57143 L
.57304 .57028 L
.57271 .56983 L
.57164 .56822 L
.57143 .56793 L
.57056 .56662 L
.56983 .5654 L
.56962 .56501 L
F
1 .15 0 r
.56983 .51373 m
.57088 .51525 L
.57143 .51595 L
.57203 .51686 L
.57304 .51818 L
.57322 .51846 L
.57304 .51927 L
.5724 .51846 L
.57143 .51742 L
.57099 .51686 L
.56983 .5155 L
.56963 .51525 L
F
1 .14 0 r
.56983 .51379 m
.57082 .51525 L
.57143 .51603 L
.57197 .51686 L
.57304 .51827 L
.57316 .51846 L
.57304 .51916 L
.57249 .51846 L
.57143 .51735 L
.57105 .51686 L
.56983 .51545 L
.56968 .51525 L
F
1 .13 0 r
.56983 .51386 m
.57075 .51525 L
.57143 .51611 L
.5719 .51686 L
.57304 .51837 L
.57309 .51846 L
.57304 .51902 L
.5726 .51846 L
.57143 .51727 L
.57111 .51686 L
.56983 .51539 L
.56972 .51525 L
F
1 .87 .018 r
.56983 .56391 m
.57143 .56425 L
.57201 .56501 L
.57304 .56584 L
.57365 .56662 L
.57464 .56767 L
.5754 .56822 L
.57625 .56962 L
.57646 .56983 L
.5777 .57143 L
.57785 .57163 L
.57894 .57304 L
.57946 .57371 L
.58017 .57464 L
.58106 .57569 L
.58149 .57625 L
.58252 .57785 L
.58267 .57806 L
.58362 .57946 L
.58428 .58045 L
.58466 .58106 L
.5855 .58267 L
.58428 .58324 L
.58363 .58267 L
.58267 .58221 L
.58199 .58106 L
.58106 .58021 L
.58052 .57946 L
.57946 .57827 L
.57898 .57785 L
.57785 .57629 L
.57781 .57625 L
.57655 .57464 L
.57625 .57427 L
.5753 .57304 L
.57464 .57254 L
.5736 .57143 L
.57304 .57016 L
.5728 .56983 L
.57172 .56822 L
.57143 .5678 L
.57067 .56662 L
.56983 .56514 L
.56977 .56501 L
F
0 .24 1 r
.56983 .50725 m
.57107 .50883 L
.57143 .50923 L
.57236 .51043 L
.57304 .51122 L
.57367 .51204 L
.57464 .51322 L
.57497 .51364 L
.57625 .51524 L
.57626 .51525 L
.57746 .51686 L
.57785 .51732 L
.5787 .51846 L
.57946 .5194 L
.57995 .52007 L
.58106 .52148 L
.58121 .52167 L
.58239 .52328 L
.58267 .52361 L
.58357 .52488 L
.58428 .52577 L
.58477 .52649 L
.58588 .52793 L
.58599 .52809 L
.58588 .52947 L
.5848 .52809 L
.58428 .52751 L
.58349 .52649 L
.58267 .52554 L
.58217 .52488 L
.58106 .52355 L
.58086 .52328 L
.57958 .52167 L
.57946 .52153 L
.57837 .52007 L
.57785 .51945 L
.57712 .51846 L
.57625 .51739 L
.57586 .51686 L
.57464 .51532 L
.57459 .51525 L
.57341 .51364 L
.57304 .51319 L
.57222 .51204 L
.57143 .51105 L
.571 .51043 L
.56983 .50892 L
.56977 .50883 L
F
1 .12 0 r
.56983 .51394 m
.57068 .51525 L
.57143 .5162 L
.57183 .51686 L
.57143 .51719 L
.57118 .51686 L
.56983 .51532 L
.56977 .51525 L
F
0 .4 1 r
.56983 .52066 m
.57026 .52167 L
.56983 .5217 L
.5698 .52167 L
F
0 .23 1 r
.56983 .50733 m
.57101 .50883 L
.57143 .50929 L
.57231 .51043 L
.57304 .51128 L
.57362 .51204 L
.57464 .51327 L
.57493 .51364 L
.57621 .51525 L
.57625 .5153 L
.57742 .51686 L
.57785 .51738 L
.57865 .51846 L
.57946 .51945 L
.57991 .52007 L
.58106 .52153 L
.58117 .52167 L
.58234 .52328 L
.58267 .52368 L
.58352 .52488 L
.58428 .52584 L
.58472 .52649 L
.58588 .528 L
.58594 .52809 L
.58588 .52938 L
.58487 .52809 L
.58428 .52744 L
.58355 .52649 L
.58267 .52548 L
.58222 .52488 L
.58106 .5235 L
.5809 .52328 L
.57963 .52167 L
.57946 .52147 L
.57841 .52007 L
.57785 .5194 L
.57716 .51846 L
.57625 .51734 L
.5759 .51686 L
.57464 .51528 L
.57462 .51525 L
.57346 .51364 L
.57304 .51313 L
.57227 .51204 L
.57143 .51099 L
.57105 .51043 L
.56983 .50885 L
.56981 .50883 L
F
1 .11 0 r
.56983 .51402 m
.57059 .51525 L
.57143 .51632 L
.57174 .51686 L
.57143 .51708 L
.57126 .51686 L
.56983 .51525 L
.56983 .51525 L
F
1 .86 .013 r
.57143 .56448 m
.57183 .56501 L
.57304 .56597 L
.57354 .56662 L
.57464 .56778 L
.57526 .56822 L
.57625 .56971 L
.57636 .56983 L
.57762 .57143 L
.57785 .57172 L
.57887 .57304 L
.57946 .5738 L
.58009 .57464 L
.58106 .57582 L
.58139 .57625 L
.58243 .57785 L
.58267 .5782 L
.58351 .57946 L
.58428 .58065 L
.58453 .58106 L
.58524 .58267 L
.58428 .58301 L
.58387 .58267 L
.58267 .58203 L
.58213 .58106 L
.58106 .58008 L
.58063 .57946 L
.57946 .57815 L
.5791 .57785 L
.5779 .57625 L
.57785 .57619 L
.57662 .57464 L
.57625 .57418 L
.57537 .57304 L
.57464 .57245 L
.57369 .57143 L
.57304 .57002 L
.5729 .56983 L
.57181 .56822 L
.57143 .56766 L
.57077 .56662 L
.56996 .56501 L
F
.013 .86 1 r
.57143 .49595 m
.57147 .49599 L
.57297 .49759 L
.57304 .49766 L
.57441 .4992 L
.57464 .49945 L
.57582 .5008 L
.57625 .50128 L
.57721 .50241 L
.57785 .5029 L
.57858 .50401 L
.57946 .50503 L
.58016 .50562 L
.58106 .50702 L
.58125 .50722 L
.58256 .50883 L
.58267 .50896 L
.58387 .51043 L
.58428 .51084 L
.58518 .51204 L
.58588 .51291 L
.58655 .51364 L
.58749 .51495 L
.58771 .51525 L
.58903 .51686 L
.58909 .51689 L
.59032 .51846 L
.5907 .5189 L
.59179 .52007 L
.5923 .52098 L
.59284 .52167 L
.59391 .52304 L
.59403 .52328 L
.59538 .52488 L
.59551 .52501 L
.59703 .52649 L
.59712 .52708 L
.59796 .52809 L
.59872 .52918 L
.59907 .5297 L
.60033 .53123 L
.60034 .5313 L
.60165 .53291 L
.60193 .53323 L
.60307 .53451 L
.60354 .53534 L
.60412 .53612 L
.60514 .53744 L
.60528 .53772 L
.60662 .53933 L
.60675 .53944 L
.60821 .54093 L
.60835 .54153 L
.60917 .54254 L
.60996 .54367 L
.61027 .54414 L
.61156 .54574 L
.61156 .54575 L
.6128 .54735 L
.61317 .54775 L
.61422 .54896 L
.61477 .54991 L
.61526 .55057 L
.61638 .55204 L
.61644 .55217 L
.61771 .55378 L
.61799 .55398 L
.61933 .55538 L
.61959 .55617 L
.62024 .55699 L
.6212 .55834 L
.62135 .55859 L
.62259 .5602 L
.6228 .56047 L
.62381 .5618 L
.62441 .56244 L
.62522 .56341 L
.62601 .56468 L
.62625 .56501 L
.62744 .56662 L
.62762 .56685 L
.62864 .56822 L
.62922 .56869 L
.63024 .56983 L
.63083 .57108 L
.6311 .57143 L
.63223 .57304 L
.63243 .57331 L
.6334 .57464 L
.63404 .5755 L
.63458 .57625 L
.63564 .57761 L
.63583 .57785 L
.6369 .57946 L
.63725 .57992 L
.63804 .58106 L
.63885 .58219 L
.63919 .58267 L
.64029 .58428 L
.64046 .58451 L
.64133 .58588 L
.64206 .58698 L
.64236 .58749 L
.64206 .58865 L
.64092 .58749 L
.64046 .58704 L
.63942 .58588 L
.63885 .58528 L
.63799 .58428 L
.63725 .58346 L
.63659 .58267 L
.63564 .58174 L
.63522 .58106 L
.63404 .57969 L
.63377 .57946 L
.63254 .57785 L
.63243 .57773 L
.63124 .57625 L
.63083 .5761 L
.62993 .57464 L
.62922 .57389 L
.6282 .57304 L
.62762 .57181 L
.62727 .57143 L
.62605 .56983 L
.62601 .56978 L
.62478 .56822 L
.62441 .56793 L
.62351 .56662 L
.6228 .5658 L
.62204 .56501 L
.6212 .5637 L
.62095 .56341 L
.61971 .5618 L
.61959 .56166 L
.61846 .5602 L
.61799 .55972 L
.61679 .55859 L
.61638 .55759 L
.61586 .55699 L
.61477 .55549 L
.6147 .55538 L
.61345 .55378 L
.61317 .5536 L
.61221 .55217 L
.61156 .55144 L
.61076 .55057 L
.60996 .5493 L
.60969 .54896 L
.60847 .54735 L
.60835 .54721 L
.60724 .54575 L
.60675 .54528 L
.60561 .54414 L
.60514 .5431 L
.60468 .54254 L
.60354 .54096 L
.60352 .54093 L
.6023 .53933 L
.60193 .53914 L
.60107 .53772 L
.60033 .53689 L
.59964 .53612 L
.59872 .53471 L
.59857 .53451 L
.59737 .53291 L
.59712 .53258 L
.59615 .5313 L
.59551 .5307 L
.59456 .5297 L
.59391 .52844 L
.59362 .52809 L
.59246 .52649 L
.5923 .52628 L
.59126 .52488 L
.5907 .52457 L
.59004 .52328 L
.58909 .52216 L
.58867 .52167 L
.58758 .52007 L
.58749 .51994 L
.58639 .51846 L
.58588 .5178 L
.58519 .51686 L
.58428 .51588 L
.58372 .51525 L
.58274 .51364 L
.58267 .51355 L
.58157 .51204 L
.58106 .51138 L
.58038 .51043 L
.57946 .50923 L
.57917 .50883 L
.57797 .50722 L
.57785 .50707 L
.57683 .50562 L
.57625 .50485 L
.57566 .50401 L
.57464 .50265 L
.57448 .50241 L
.57335 .5008 L
.57304 .50038 L
.57227 .4992 L
.57143 .49803 L
.57116 .49759 L
.57014 .49599 L
F
1 .85 .01 r
.57143 .56477 m
.57162 .56501 L
.57304 .56612 L
.57342 .56662 L
.57464 .56789 L
.57511 .56822 L
.57625 .56981 L
.57626 .56983 L
.57754 .57143 L
.57785 .57182 L
.57879 .57304 L
.57946 .5739 L
.58002 .57464 L
.58106 .57596 L
.58128 .57625 L
.58233 .57785 L
.58267 .57834 L
.5834 .57946 L
.58428 .58087 L
.58439 .58106 L
.58484 .58267 L
.58428 .58274 L
.58418 .58267 L
.58267 .58179 L
.58227 .58106 L
.58106 .57993 L
.58074 .57946 L
.57946 .57804 L
.57924 .57785 L
.57799 .57625 L
.57785 .57609 L
.5767 .57464 L
.57625 .57409 L
.57544 .57304 L
.57464 .57234 L
.5738 .57143 L
.57304 .56988 L
.573 .56983 L
.57191 .56822 L
.57143 .56751 L
.57089 .56662 L
.57021 .56501 L
F
1 .96 .289 r
.57143 .48956 m
.57144 .48957 L
.57304 .49106 L
.57312 .49117 L
.57464 .49278 L
.57464 .49278 L
.57611 .49438 L
.57625 .49454 L
.57754 .49599 L
.57785 .4961 L
.57894 .49759 L
.57946 .49817 L
.58091 .4992 L
.58106 .50013 L
.5817 .5008 L
.58267 .50209 L
.5829 .50241 L
.58428 .50398 L
.58434 .50401 L
.58566 .50562 L
.58588 .5059 L
.58706 .50722 L
.58749 .50793 L
.58818 .50883 L
.58909 .50999 L
.58931 .51043 L
.5907 .51199 L
.59086 .51204 L
.59224 .51364 L
.5923 .51388 L
.59339 .51525 L
.59391 .51597 L
.59449 .51686 L
.59551 .51809 L
.59597 .51846 L
.59712 .51994 L
.59722 .52007 L
.5985 .52167 L
.59872 .52202 L
.59963 .52328 L
.60033 .52416 L
.60067 .52488 L
.60193 .52631 L
.60226 .52649 L
.60351 .52809 L
.60354 .52815 L
.60472 .5297 L
.60514 .53028 L
.60579 .5313 L
.60675 .53245 L
.60726 .53291 L
.60835 .53434 L
.60849 .53451 L
.60975 .53612 L
.60996 .53645 L
.61087 .53772 L
.61156 .5386 L
.61188 .53933 L
.61317 .54075 L
.61346 .54093 L
.61472 .54254 L
.61477 .54266 L
.6159 .54414 L
.61638 .54479 L
.61697 .54575 L
.61799 .54694 L
.61842 .54735 L
.61959 .54895 L
.61964 .54896 L
.62091 .55057 L
.6212 .551 L
.62201 .55217 L
.6228 .55315 L
.62304 .55378 L
.62441 .55525 L
.62458 .55538 L
.62589 .55699 L
.62601 .55725 L
.62703 .55859 L
.62762 .55938 L
.62809 .5602 L
.62922 .56151 L
.62951 .5618 L
.63073 .56341 L
.63083 .56351 L
.63203 .56501 L
.63243 .56562 L
.63311 .56662 L
.63404 .56776 L
.63418 .56822 L
.63564 .56982 L
.63565 .56983 L
.63703 .57143 L
.63725 .57188 L
.63811 .57304 L
.63885 .57402 L
.6392 .57464 L
.64046 .57614 L
.64056 .57625 L
.64178 .57785 L
.64206 .57815 L
.6431 .57946 L
.64367 .5803 L
.64418 .58106 L
.64527 .58244 L
.64533 .58267 L
.64667 .58428 L
.64688 .58443 L
.64811 .58588 L
.64848 .58658 L
.64914 .58749 L
.65009 .58876 L
.65026 .58909 L
.65154 .5907 L
.6517 .5909 L
.65321 .5923 L
.6533 .59288 L
.65409 .59391 L
.65491 .59512 L
.65516 .59551 L
.65637 .59712 L
.65651 .5973 L
.65756 .59872 L
.65812 .59917 L
.65903 .60033 L
.65972 .60154 L
.65999 .60193 L
.66114 .60354 L
.66133 .60379 L
.6623 .60514 L
.66293 .60599 L
.66396 .60675 L
.66454 .60813 L
.66469 .60835 L
.66577 .60996 L
.66614 .61047 L
.66689 .61156 L
.66775 .61278 L
.66801 .61317 L
.66907 .61477 L
.66935 .6152 L
.67004 .61638 L
.67096 .61794 L
.67098 .61799 L
.67096 .61877 L
.66989 .61799 L
.66935 .61755 L
.6682 .61638 L
.66775 .61594 L
.66669 .61477 L
.66614 .6142 L
.66524 .61317 L
.66454 .61259 L
.66383 .61156 L
.66293 .61057 L
.66214 .60996 L
.66133 .60862 L
.66106 .60835 L
.65976 .60675 L
.65972 .60675 L
.65844 .60514 L
.65812 .60481 L
.65713 .60354 L
.65651 .60278 L
.65569 .60193 L
.65491 .60075 L
.65456 .60033 L
.6533 .59876 L
.65328 .59872 L
.65198 .59712 L
.6517 .59679 L
.65044 .59551 L
.65009 .59472 L
.6494 .59391 L
.64848 .59264 L
.64825 .5923 L
.64691 .5907 L
.64688 .59066 L
.64566 .58909 L
.64527 .58862 L
.64428 .58749 L
.64367 .58651 L
.64319 .58588 L
.64206 .58444 L
.642 .58428 L
.64066 .58267 L
.64046 .58245 L
.63918 .58106 L
.63885 .58035 L
.63813 .57946 L
.63725 .57824 L
.637 .57785 L
.63568 .57625 L
.63564 .57622 L
.63444 .57464 L
.63404 .57416 L
.63307 .57304 L
.63243 .57204 L
.63198 .57143 L
.63083 .56995 L
.63079 .56983 L
.62949 .56822 L
.62922 .56795 L
.628 .56662 L
.62762 .56583 L
.62696 .56501 L
.62601 .5637 L
.62583 .56341 L
.62454 .5618 L
.62441 .5617 L
.62287 .5602 L
.6228 .55961 L
.62193 .55859 L
.6212 .55747 L
.62085 .55699 L
.6196 .55538 L
.61959 .55538 L
.61838 .55378 L
.61799 .55339 L
.61687 .55217 L
.61638 .55123 L
.61585 .55057 L
.61477 .5491 L
.61469 .54896 L
.61345 .54735 L
.61317 .54718 L
.61174 .54575 L
.61156 .54501 L
.61084 .54414 L
.60996 .54284 L
.60974 .54254 L
.60852 .54093 L
.60835 .54072 L
.60731 .53933 L
.60675 .5388 L
.60579 .53772 L
.60514 .53659 L
.60478 .53612 L
.6036 .53451 L
.60354 .53444 L
.60239 .53291 L
.60193 .53262 L
.60067 .5313 L
.60033 .53035 L
.59979 .5297 L
.59872 .52815 L
.59868 .52809 L
.59748 .52649 L
.59712 .52602 L
.59627 .52488 L
.59551 .52413 L
.59478 .52328 L
.59391 .52185 L
.59377 .52167 L
.59259 .52007 L
.5923 .5197 L
.59138 .51846 L
.5907 .51796 L
.58972 .51686 L
.58909 .51556 L
.58885 .51525 L
.58771 .51364 L
.58749 .51336 L
.58652 .51204 L
.58588 .51122 L
.58531 .51043 L
.58428 .50923 L
.58395 .50883 L
.58287 .50722 L
.58267 .50696 L
.5817 .50562 L
.58106 .5048 L
.5805 .50401 L
.57946 .50265 L
.57912 .50241 L
.57811 .5008 L
.57785 .50047 L
.57697 .4992 L
.57625 .49825 L
.5758 .49759 L
.57464 .49603 L
.57461 .49599 L
.57353 .49438 L
.57304 .49371 L
.57246 .49278 L
.57143 .49129 L
.57136 .49117 L
.57055 .48957 L
F
1 .58 0 r
.57143 .50248 m
.57275 .50401 L
.57304 .50433 L
.57411 .50562 L
.57464 .50622 L
.57547 .50722 L
.57625 .50814 L
.57681 .50883 L
.57785 .50994 L
.57813 .51043 L
.57944 .51204 L
.57946 .51206 L
.58072 .51364 L
.58106 .51406 L
.58201 .51525 L
.58267 .51606 L
.5833 .51686 L
.58428 .51798 L
.58482 .51846 L
.58585 .52007 L
.58588 .5201 L
.5871 .52167 L
.58749 .52215 L
.58836 .52328 L
.58909 .52393 L
.58963 .52488 L
.5907 .52621 L
.59095 .52649 L
.59212 .52809 L
.5923 .52832 L
.59336 .5297 L
.59391 .53039 L
.5946 .5313 L
.59551 .53235 L
.59607 .53291 L
.59708 .53451 L
.59712 .53456 L
.59829 .53612 L
.59872 .53667 L
.59951 .53772 L
.60033 .53847 L
.60074 .53933 L
.60193 .54088 L
.60198 .54093 L
.60316 .54254 L
.60354 .54303 L
.60436 .54414 L
.60514 .54517 L
.60557 .54575 L
.60675 .5473 L
.6068 .54735 L
.60793 .54896 L
.60835 .54951 L
.6091 .55057 L
.60996 .55171 L
.61028 .55217 L
.61144 .55378 L
.61156 .55394 L
.61253 .55538 L
.61317 .55626 L
.61364 .55699 L
.61317 .55821 L
.61212 .55699 L
.61156 .5564 L
.61072 .55538 L
.60996 .55452 L
.60935 .55378 L
.60835 .55261 L
.608 .55217 L
.60675 .55071 L
.60667 .55057 L
.60538 .54896 L
.60514 .54869 L
.60409 .54735 L
.60354 .54669 L
.6028 .54575 L
.60193 .54503 L
.6015 .54414 L
.60033 .54272 L
.60014 .54254 L
.59896 .54093 L
.59872 .54064 L
.59771 .53933 L
.59712 .5386 L
.59644 .53772 L
.59551 .53673 L
.59479 .53612 L
.59391 .53451 L
.59391 .53451 L
.59269 .53291 L
.5923 .53243 L
.59145 .5313 L
.5907 .5308 L
.5902 .5297 L
.58909 .52834 L
.58885 .52809 L
.58773 .52649 L
.58749 .52619 L
.58651 .52488 L
.58588 .52408 L
.58528 .52328 L
.58428 .52216 L
.58377 .52167 L
.58282 .52007 L
.58267 .51988 L
.58163 .51846 L
.58106 .51774 L
.58042 .51686 L
.57946 .51562 L
.57919 .51525 L
.57799 .51364 L
.57785 .51348 L
.57682 .51204 L
.57625 .5113 L
.57564 .51043 L
.57464 .50913 L
.57443 .50883 L
.57327 .50722 L
.57304 .50692 L
.57215 .50562 L
.57143 .50465 L
.57101 .50401 L
F
1 .84 .007 r
.57143 .56508 m
.57304 .56628 L
.57329 .56662 L
.57464 .56802 L
.57495 .56822 L
.57617 .56983 L
.57625 .56992 L
.57746 .57143 L
.57785 .57192 L
.57871 .57304 L
.57946 .574 L
.57994 .57464 L
.58106 .57612 L
.58116 .57625 L
.58223 .57785 L
.58267 .57849 L
.58328 .57946 L
.58422 .58106 L
.58267 .5815 L
.58244 .58106 L
.58106 .57977 L
.58085 .57946 L
.57946 .57791 L
.57939 .57785 L
.57808 .57625 L
.57785 .57599 L
.57678 .57464 L
.57625 .57399 L
.57552 .57304 L
.57464 .57221 L
.57392 .57143 L
.5731 .56983 L
.57304 .56975 L
.57201 .56822 L
.57143 .56734 L
.57101 .56662 L
F
1 .57 0 r
.57143 .50258 m
.57267 .50401 L
.57304 .50441 L
.57405 .50562 L
.57464 .50629 L
.57541 .50722 L
.57625 .5082 L
.57676 .50883 L
.57785 .51002 L
.57809 .51043 L
.57939 .51204 L
.57946 .51212 L
.58068 .51364 L
.58106 .51411 L
.58197 .51525 L
.58267 .51611 L
.58326 .51686 L
.58428 .51803 L
.58476 .51846 L
.58581 .52007 L
.58588 .52015 L
.58707 .52167 L
.58749 .52219 L
.58833 .52328 L
.58909 .52397 L
.5896 .52488 L
.5907 .52625 L
.59091 .52649 L
.59209 .52809 L
.5923 .52836 L
.59333 .5297 L
.59391 .53043 L
.59457 .5313 L
.59551 .53239 L
.59603 .53291 L
.59704 .53451 L
.59712 .5346 L
.59826 .53612 L
.59872 .53671 L
.59948 .53772 L
.60033 .53853 L
.60071 .53933 L
.60193 .54093 L
.60194 .54093 L
.60312 .54254 L
.60354 .54308 L
.60432 .54414 L
.60514 .54522 L
.60553 .54575 L
.60674 .54735 L
.60675 .54737 L
.60789 .54896 L
.60835 .54957 L
.60906 .55057 L
.60996 .55178 L
.61024 .55217 L
.61138 .55378 L
.61156 .55402 L
.61246 .55538 L
.61317 .55636 L
.61357 .55699 L
.61317 .5581 L
.61221 .55699 L
.61156 .55631 L
.61079 .55538 L
.60996 .55445 L
.60941 .55378 L
.60835 .55255 L
.60805 .55217 L
.60675 .55063 L
.60671 .55057 L
.60542 .54896 L
.60514 .54863 L
.60413 .54735 L
.60354 .54665 L
.60284 .54575 L
.60193 .54497 L
.60154 .54414 L
.60033 .54267 L
.60019 .54254 L
.599 .54093 L
.59872 .5406 L
.59774 .53933 L
.59712 .53856 L
.59647 .53772 L
.59551 .53669 L
.59484 .53612 L
.59394 .53451 L
.59391 .53447 L
.59272 .53291 L
.5923 .53239 L
.59148 .5313 L
.5907 .53075 L
.59023 .5297 L
.58909 .5283 L
.58889 .52809 L
.58776 .52649 L
.58749 .52615 L
.58654 .52488 L
.58588 .52405 L
.58531 .52328 L
.58428 .5221 L
.58382 .52167 L
.58285 .52007 L
.58267 .51984 L
.58166 .51846 L
.58106 .5177 L
.58045 .51686 L
.57946 .51557 L
.57922 .51525 L
.57802 .51364 L
.57785 .51343 L
.57686 .51204 L
.57625 .51125 L
.57567 .51043 L
.57464 .50907 L
.57447 .50883 L
.57332 .50722 L
.57304 .50685 L
.57221 .50562 L
.57143 .50457 L
.57107 .50401 L
F
0 .22 1 r
.57143 .50937 m
.57225 .51043 L
.57304 .51134 L
.57357 .51204 L
.57464 .51333 L
.57488 .51364 L
.57464 .51522 L
.57351 .51364 L
.57304 .51307 L
.57232 .51204 L
.57143 .51093 L
.5711 .51043 L
F
1 .56 0 r
.57143 .50269 m
.57258 .50401 L
.57304 .5045 L
.57398 .50562 L
.57464 .50636 L
.57535 .50722 L
.57625 .50827 L
.57671 .50883 L
.57785 .51009 L
.57804 .51043 L
.57935 .51204 L
.57946 .51217 L
.58064 .51364 L
.58106 .51416 L
.58193 .51525 L
.58267 .51615 L
.58323 .51686 L
.58428 .51809 L
.5847 .51846 L
.58578 .52007 L
.58588 .52019 L
.58703 .52167 L
.58749 .52223 L
.5883 .52328 L
.58909 .52402 L
.58956 .52488 L
.5907 .5263 L
.59087 .52649 L
.59206 .52809 L
.5923 .5284 L
.59329 .5297 L
.59391 .53047 L
.59454 .5313 L
.59551 .53244 L
.59598 .53291 L
.59701 .53451 L
.59712 .53465 L
.59822 .53612 L
.59872 .53675 L
.59945 .53772 L
.60033 .53858 L
.60068 .53933 L
.6019 .54093 L
.60193 .54098 L
.60308 .54254 L
.60354 .54313 L
.60429 .54414 L
.60514 .54527 L
.6055 .54575 L
.60669 .54735 L
.60675 .54743 L
.60784 .54896 L
.60835 .54963 L
.60901 .55057 L
.60996 .55184 L
.61019 .55217 L
.61131 .55378 L
.61156 .55411 L
.61239 .55538 L
.61317 .55648 L
.61348 .55699 L
.61317 .55797 L
.61231 .55699 L
.61156 .55622 L
.61087 .55538 L
.60996 .55438 L
.60947 .55378 L
.60835 .55248 L
.6081 .55217 L
.60676 .55057 L
.60675 .55056 L
.60547 .54896 L
.60514 .54858 L
.60417 .54735 L
.60354 .5466 L
.60287 .54575 L
.60193 .54491 L
.60157 .54414 L
.60033 .54261 L
.60025 .54254 L
.59903 .54093 L
.59872 .54056 L
.59777 .53933 L
.59712 .53852 L
.5965 .53772 L
.59551 .53664 L
.5949 .53612 L
.59397 .53451 L
.59391 .53443 L
.59275 .53291 L
.5923 .53235 L
.59151 .5313 L
.5907 .53071 L
.59025 .5297 L
.58909 .52825 L
.58894 .52809 L
.58779 .52649 L
.58749 .52611 L
.58657 .52488 L
.58588 .52401 L
.58533 .52328 L
.58428 .52205 L
.58388 .52167 L
.58288 .52007 L
.58267 .5198 L
.58169 .51846 L
.58106 .51766 L
.58048 .51686 L
.57946 .51553 L
.57925 .51525 L
.57806 .51364 L
.57785 .51338 L
.5769 .51204 L
.57625 .51119 L
.57571 .51043 L
.57464 .50902 L
.57451 .50883 L
.57338 .50722 L
.57304 .50678 L
.57227 .50562 L
.57143 .50448 L
.57113 .50401 L
F
1 .83 .005 r
.57143 .56532 m
.57304 .56646 L
.57316 .56662 L
.57464 .56815 L
.57476 .56822 L
.57608 .56983 L
.57625 .57003 L
.57738 .57143 L
.57785 .57202 L
.57863 .57304 L
.57946 .57411 L
.57986 .57464 L
.58104 .57625 L
.58106 .57628 L
.58213 .57785 L
.58267 .57866 L
.58316 .57946 L
.58398 .58106 L
.58267 .58114 L
.58263 .58106 L
.58106 .57959 L
.58097 .57946 L
.57952 .57785 L
.57946 .57779 L
.57817 .57625 L
.57785 .57588 L
.57687 .57464 L
.57625 .57389 L
.57559 .57304 L
.57464 .57207 L
.57406 .57143 L
.57319 .56983 L
.57304 .56962 L
.57211 .56822 L
.57143 .56714 L
.57114 .56662 L
F
0 .21 1 r
.57143 .50945 m
.57219 .51043 L
.57304 .5114 L
.57352 .51204 L
.57464 .51339 L
.57484 .51364 L
.57464 .51516 L
.57357 .51364 L
.57304 .513 L
.57237 .51204 L
.57143 .51086 L
.57115 .51043 L
F
1 .98 .538 r
.57143 .60044 m
.57263 .60193 L
.57304 .60241 L
.57394 .60354 L
.57464 .6044 L
.57524 .60514 L
.57625 .60641 L
.57652 .60675 L
.57777 .60835 L
.57785 .60845 L
.57902 .60996 L
.57946 .6105 L
.58028 .61156 L
.58106 .61256 L
.58154 .61317 L
.58267 .61463 L
.58279 .61477 L
.584 .61638 L
.58428 .61673 L
.58522 .61799 L
.58588 .61883 L
.58645 .61959 L
.58749 .62095 L
.58768 .6212 L
.58885 .6228 L
.58909 .6231 L
.59003 .62441 L
.5907 .62528 L
.59122 .62601 L
.5923 .62748 L
.5924 .62762 L
.5923 .6291 L
.59112 .62762 L
.5907 .62715 L
.58982 .62601 L
.58909 .62518 L
.58852 .62441 L
.58749 .62319 L
.5872 .6228 L
.58588 .6212 L
.58588 .6212 L
.58465 .61959 L
.58428 .61914 L
.58342 .61799 L
.58267 .61708 L
.58216 .61638 L
.58106 .61503 L
.58088 .61477 L
.57963 .61317 L
.57946 .61296 L
.57844 .61156 L
.57785 .61085 L
.57722 .60996 L
.57625 .60875 L
.57597 .60835 L
.57472 .60675 L
.57464 .60665 L
.57357 .60514 L
.57304 .60448 L
.57239 .60354 L
.57143 .60232 L
.57117 .60193 L
F
0 .2 1 r
.57143 .50953 m
.57212 .51043 L
.57304 .51147 L
.57347 .51204 L
.57464 .51345 L
.57479 .51364 L
.57464 .51509 L
.57363 .51364 L
.57304 .51293 L
.57243 .51204 L
.57143 .51078 L
.5712 .51043 L
F
1 .55 0 r
.57143 .50281 m
.57249 .50401 L
.57304 .50459 L
.57391 .50562 L
.57464 .50644 L
.5753 .50722 L
.57625 .50833 L
.57666 .50883 L
.57785 .51018 L
.57799 .51043 L
.5793 .51204 L
.57946 .51223 L
.58059 .51364 L
.58106 .51421 L
.58189 .51525 L
.58267 .5162 L
.58319 .51686 L
.58428 .51814 L
.58464 .51846 L
.58574 .52007 L
.58588 .52024 L
.587 .52167 L
.58749 .52227 L
.58827 .52328 L
.58909 .52406 L
.58953 .52488 L
.5907 .52635 L
.59083 .52649 L
.59202 .52809 L
.5923 .52844 L
.59326 .5297 L
.59391 .53051 L
.59451 .5313 L
.59551 .53249 L
.59593 .53291 L
.59698 .53451 L
.59712 .53469 L
.59819 .53612 L
.59872 .5368 L
.59942 .53772 L
.60033 .53864 L
.60065 .53933 L
.60186 .54093 L
.60193 .54102 L
.60305 .54254 L
.60354 .54317 L
.60425 .54414 L
.60514 .54532 L
.60546 .54575 L
.60665 .54735 L
.60675 .54748 L
.6078 .54896 L
.60835 .5497 L
.60896 .55057 L
.60996 .55191 L
.61014 .55217 L
.61124 .55378 L
.61156 .55421 L
.61231 .55538 L
.61317 .55661 L
.61339 .55699 L
.61317 .55781 L
.61243 .55699 L
.61156 .55612 L
.61094 .55538 L
.60996 .5543 L
.60953 .55378 L
.60835 .55242 L
.60815 .55217 L
.60681 .55057 L
.60675 .55049 L
.60552 .54896 L
.60514 .54853 L
.60422 .54735 L
.60354 .54655 L
.60291 .54575 L
.60193 .54485 L
.60161 .54414 L
.60033 .54256 L
.6003 .54254 L
.59906 .54093 L
.59872 .54052 L
.5978 .53933 L
.59712 .53848 L
.59653 .53772 L
.59551 .53659 L
.59495 .53612 L
.59401 .53451 L
.59391 .53439 L
.59278 .53291 L
.5923 .53232 L
.59153 .5313 L
.5907 .53066 L
.59028 .5297 L
.58909 .52821 L
.58898 .52809 L
.58782 .52649 L
.58749 .52607 L
.5866 .52488 L
.58588 .52397 L
.58536 .52328 L
.58428 .522 L
.58394 .52167 L
.58292 .52007 L
.58267 .51975 L
.58172 .51846 L
.58106 .51762 L
.58051 .51686 L
.57946 .51549 L
.57928 .51525 L
.5781 .51364 L
.57785 .51333 L
.57694 .51204 L
.57625 .51114 L
.57575 .51043 L
.57464 .50896 L
.57455 .50883 L
.57344 .50722 L
.57304 .5067 L
.57233 .50562 L
.57143 .50438 L
.5712 .50401 L
F
0 .19 1 r
.57143 .50963 m
.57204 .51043 L
.57304 .51155 L
.57341 .51204 L
.57464 .51351 L
.57474 .51364 L
.57464 .51502 L
.5737 .51364 L
.57304 .51285 L
.5725 .51204 L
.57143 .5107 L
.57126 .51043 L
F
1 .54 0 r
.57143 .50295 m
.57238 .50401 L
.57304 .50468 L
.57383 .50562 L
.57464 .50651 L
.57523 .50722 L
.57625 .5084 L
.5766 .50883 L
.57785 .51027 L
.57794 .51043 L
.57925 .51204 L
.57946 .51228 L
.58055 .51364 L
.58106 .51426 L
.58185 .51525 L
.58267 .51625 L
.58315 .51686 L
.58428 .5182 L
.58458 .51846 L
.5857 .52007 L
.58588 .52028 L
.58696 .52167 L
.58749 .52232 L
.58823 .52328 L
.58909 .52411 L
.5895 .52488 L
.5907 .52639 L
.59078 .52649 L
.59199 .52809 L
.5923 .52848 L
.59323 .5297 L
.59391 .53055 L
.59448 .5313 L
.59551 .53254 L
.59588 .53291 L
.59694 .53451 L
.59712 .53473 L
.59816 .53612 L
.59872 .53684 L
.59939 .53772 L
.60033 .5387 L
.60061 .53933 L
.60183 .54093 L
.60193 .54107 L
.60301 .54254 L
.60354 .54322 L
.60421 .54414 L
.60514 .54537 L
.60542 .54575 L
.6066 .54735 L
.60675 .54754 L
.60775 .54896 L
.60835 .54976 L
.60891 .55057 L
.60996 .55199 L
.61009 .55217 L
.61117 .55378 L
.61156 .55432 L
.61222 .55538 L
.61317 .55678 L
.61328 .55699 L
.61317 .55761 L
.61258 .55699 L
.61156 .55601 L
.61103 .55538 L
.60996 .55422 L
.60959 .55378 L
.60835 .55235 L
.60821 .55217 L
.60687 .55057 L
.60675 .55043 L
.60557 .54896 L
.60514 .54847 L
.60426 .54735 L
.60354 .5465 L
.60295 .54575 L
.60193 .54478 L
.60164 .54414 L
.60035 .54254 L
.60033 .54251 L
.5991 .54093 L
.59872 .54048 L
.59784 .53933 L
.59712 .53844 L
.59656 .53772 L
.59551 .53654 L
.59501 .53612 L
.59404 .53451 L
.59391 .53435 L
.59281 .53291 L
.5923 .53228 L
.59156 .5313 L
.5907 .53061 L
.59031 .5297 L
.58909 .52816 L
.58903 .52809 L
.58785 .52649 L
.58749 .52604 L
.58663 .52488 L
.58588 .52394 L
.58539 .52328 L
.58428 .52194 L
.584 .52167 L
.58295 .52007 L
.58267 .51971 L
.58176 .51846 L
.58106 .51757 L
.58054 .51686 L
.57946 .51545 L
.57932 .51525 L
.57814 .51364 L
.57785 .51328 L
.57698 .51204 L
.57625 .51109 L
.5758 .51043 L
.57464 .5089 L
.57459 .50883 L
.5735 .50722 L
.57304 .50661 L
.5724 .50562 L
.57143 .50427 L
.57128 .50401 L
F
1 .82 .004 r
.57143 .56563 m
.573 .56662 L
.57304 .56665 L
.57459 .56822 L
.57464 .56828 L
.57598 .56983 L
.57625 .57014 L
.57729 .57143 L
.57785 .57213 L
.57855 .57304 L
.57946 .57421 L
.57978 .57464 L
.58094 .57625 L
.58106 .57642 L
.58202 .57785 L
.58267 .57886 L
.58303 .57946 L
.58267 .58087 L
.58112 .57946 L
.58106 .57941 L
.57964 .57785 L
.57946 .57767 L
.57827 .57625 L
.57785 .57578 L
.57695 .57464 L
.57625 .57379 L
.57567 .57304 L
.57464 .57191 L
.57421 .57143 L
.57328 .56983 L
.57304 .56949 L
.57222 .56822 L
.57143 .5669 L
.57129 .56662 L
F
.01 .85 1 r
.57143 .49627 m
.57274 .49759 L
.57304 .49788 L
.57424 .4992 L
.57464 .49962 L
.57568 .5008 L
.57625 .50144 L
.57709 .50241 L
.57785 .50303 L
.57847 .50401 L
.57946 .50516 L
.58003 .50562 L
.58106 .50712 L
.58116 .50722 L
.58247 .50883 L
.58267 .50906 L
.58379 .51043 L
.58428 .51092 L
.58511 .51204 L
.58588 .51299 L
.58648 .51364 L
.58749 .51502 L
.58766 .51525 L
.58897 .51686 L
.58909 .51692 L
.59026 .51846 L
.5907 .51897 L
.59175 .52007 L
.5923 .52105 L
.59279 .52167 L
.59391 .5231 L
.594 .52328 L
.59533 .52488 L
.59551 .52505 L
.59702 .52649 L
.59712 .52713 L
.59792 .52809 L
.59872 .52923 L
.59904 .5297 L
.60033 .53127 L
.60033 .5313 L
.60161 .53291 L
.60193 .53327 L
.60304 .53451 L
.60354 .53539 L
.60409 .53612 L
.60514 .53749 L
.60526 .53772 L
.60658 .53933 L
.60675 .53947 L
.6082 .54093 L
.60835 .54158 L
.60913 .54254 L
.60996 .54371 L
.61024 .54414 L
.61153 .54575 L
.61156 .54575 L
.61276 .54735 L
.61317 .54779 L
.61418 .54896 L
.61477 .54995 L
.61522 .55057 L
.61638 .55208 L
.61642 .55217 L
.61767 .55378 L
.61799 .55401 L
.6193 .55538 L
.61959 .55622 L
.6202 .55699 L
.6212 .5584 L
.62132 .55859 L
.62255 .5602 L
.6228 .56052 L
.62376 .5618 L
.62441 .56249 L
.62517 .56341 L
.62601 .56475 L
.6262 .56501 L
.62739 .56662 L
.62762 .56692 L
.62858 .56822 L
.62922 .56876 L
.63018 .56983 L
.63083 .57117 L
.63103 .57143 L
.63216 .57304 L
.63243 .5734 L
.63333 .57464 L
.63404 .57559 L
.63451 .57625 L
.63564 .57776 L
.63571 .57785 L
.63681 .57946 L
.63725 .58006 L
.63794 .58106 L
.63885 .58234 L
.63907 .58267 L
.64014 .58428 L
.64046 .58474 L
.64113 .58588 L
.64206 .58739 L
.64211 .58749 L
.64206 .58814 L
.64128 .58749 L
.64046 .58678 L
.63963 .58588 L
.63885 .58509 L
.63814 .58428 L
.63725 .5833 L
.63671 .58267 L
.63564 .58159 L
.63532 .58106 L
.63404 .57956 L
.63392 .57946 L
.63263 .57785 L
.63243 .57762 L
.63132 .57625 L
.63083 .57604 L
.63 .57464 L
.62922 .57381 L
.62828 .57304 L
.62762 .57173 L
.62734 .57143 L
.62611 .56983 L
.62601 .56971 L
.62484 .56822 L
.62441 .56788 L
.62356 .56662 L
.6228 .56574 L
.62209 .56501 L
.6212 .56365 L
.621 .56341 L
.61975 .5618 L
.61959 .5616 L
.6185 .5602 L
.61799 .55968 L
.61683 .55859 L
.61638 .55754 L
.6159 .55699 L
.61477 .55545 L
.61473 .55538 L
.61349 .55378 L
.61317 .55357 L
.61224 .55217 L
.61156 .5514 L
.61079 .55057 L
.60996 .54926 L
.60972 .54896 L
.6085 .54735 L
.60835 .54717 L
.60727 .54575 L
.60675 .54525 L
.60564 .54414 L
.60514 .54306 L
.60471 .54254 L
.60354 .54093 L
.60354 .54092 L
.60233 .53933 L
.60193 .53911 L
.6011 .53772 L
.60033 .53685 L
.59967 .53612 L
.59872 .53466 L
.59861 .53451 L
.5974 .53291 L
.59712 .53255 L
.59618 .5313 L
.59551 .53066 L
.5946 .5297 L
.59391 .52839 L
.59366 .52809 L
.5925 .52649 L
.5923 .52624 L
.59129 .52488 L
.5907 .52453 L
.59007 .52328 L
.58909 .52211 L
.58872 .52167 L
.58762 .52007 L
.58749 .51989 L
.58643 .51846 L
.58588 .51775 L
.58523 .51686 L
.58428 .51581 L
.58379 .51525 L
.58279 .51364 L
.58267 .51349 L
.58162 .51204 L
.58106 .51131 L
.58043 .51043 L
.57946 .50916 L
.57922 .50883 L
.57804 .50722 L
.57785 .50698 L
.5769 .50562 L
.57625 .50475 L
.57574 .50401 L
.57464 .50253 L
.57456 .50241 L
.57347 .5008 L
.57304 .50021 L
.5724 .4992 L
.57143 .4978 L
.57131 .49759 L
F
0 .18 1 r
.57143 .50974 m
.57195 .51043 L
.57304 .51163 L
.57334 .51204 L
.57464 .51358 L
.57469 .51364 L
.57464 .51493 L
.57377 .51364 L
.57304 .51276 L
.57257 .51204 L
.57143 .51061 L
.57132 .51043 L
F
1 .1 0 r
.57143 .51647 m
.57161 .51686 L
.57143 .51696 L
.57135 .51686 L
F
1 .53 0 r
.57143 .50312 m
.57225 .50401 L
.57304 .50479 L
.57375 .50562 L
.57464 .50659 L
.57517 .50722 L
.57625 .50847 L
.57655 .50883 L
.57785 .51036 L
.57789 .51043 L
.5792 .51204 L
.57946 .51234 L
.5805 .51364 L
.58106 .51431 L
.58181 .51525 L
.58267 .5163 L
.58311 .51686 L
.58428 .51825 L
.58451 .51846 L
.58567 .52007 L
.58588 .52033 L
.58693 .52167 L
.58749 .52236 L
.5882 .52328 L
.58909 .52417 L
.58947 .52488 L
.5907 .52644 L
.59074 .52649 L
.59196 .52809 L
.5923 .52852 L
.5932 .5297 L
.59391 .5306 L
.59445 .5313 L
.59551 .53259 L
.59583 .53291 L
.59691 .53451 L
.59712 .53477 L
.59813 .53612 L
.59872 .53688 L
.59935 .53772 L
.60033 .53877 L
.60058 .53933 L
.60179 .54093 L
.60193 .54112 L
.60297 .54254 L
.60354 .54327 L
.60417 .54414 L
.60514 .54542 L
.60538 .54575 L
.60655 .54735 L
.60675 .54761 L
.6077 .54896 L
.60835 .54983 L
.60886 .55057 L
.60996 .55206 L
.61003 .55217 L
.61108 .55378 L
.61156 .55444 L
.61212 .55538 L
.61156 .5559 L
.61113 .55538 L
.60996 .55413 L
.60966 .55378 L
.60835 .55228 L
.60826 .55217 L
.60693 .55057 L
.60675 .55037 L
.60562 .54896 L
.60514 .54841 L
.6043 .54735 L
.60354 .54645 L
.60299 .54575 L
.60193 .54471 L
.60168 .54414 L
.60039 .54254 L
.60033 .54247 L
.59914 .54093 L
.59872 .54043 L
.59787 .53933 L
.59712 .5384 L
.5966 .53772 L
.59551 .53649 L
.59507 .53612 L
.59407 .53451 L
.59391 .53431 L
.59284 .53291 L
.5923 .53224 L
.59159 .5313 L
.5907 .53055 L
.59034 .5297 L
.58909 .52811 L
.58907 .52809 L
.58788 .52649 L
.58749 .526 L
.58666 .52488 L
.58588 .5239 L
.58542 .52328 L
.58428 .52188 L
.58406 .52167 L
.58298 .52007 L
.58267 .51967 L
.58179 .51846 L
.58106 .51753 L
.58058 .51686 L
.57946 .5154 L
.57935 .51525 L
.57818 .51364 L
.57785 .51322 L
.57702 .51204 L
.57625 .51103 L
.57584 .51043 L
.57464 .50884 L
.57464 .50883 L
.57356 .50722 L
.57304 .50652 L
.57248 .50562 L
.57143 .50414 L
.57136 .50401 L
F
0 .17 1 r
.57143 .5099 m
.57182 .51043 L
.57304 .51173 L
.57327 .51204 L
.57304 .51266 L
.57265 .51204 L
.57143 .5105 L
.57139 .51043 L
F
.733 .99 1 r
.57304 .56078 m
.57464 .56101 L
.57583 .5618 L
.57625 .56215 L
.57741 .56341 L
.57785 .56395 L
.57858 .56501 L
.57946 .56595 L
.57963 .56662 L
.58106 .56802 L
.58123 .56822 L
.58253 .56983 L
.58267 .57012 L
.58367 .57143 L
.58428 .57226 L
.58473 .57304 L
.58588 .57438 L
.58619 .57464 L
.58747 .57625 L
.58749 .57633 L
.58867 .57785 L
.58909 .57841 L
.58975 .57946 L
.5907 .58056 L
.5908 .58106 L
.59229 .58267 L
.5923 .58269 L
.59362 .58428 L
.59391 .58487 L
.59465 .58588 L
.59551 .58713 L
.59568 .58749 L
.59659 .58909 L
.59551 .58997 L
.59391 .58978 L
.5928 .58909 L
.5923 .58871 L
.59118 .58749 L
.5907 .58697 L
.58968 .58588 L
.58909 .585 L
.58855 .58428 L
.58749 .58296 L
.58738 .58267 L
.58602 .58106 L
.58588 .58089 L
.58453 .57946 L
.58428 .5788 L
.58348 .57785 L
.58267 .57668 L
.58237 .57625 L
.58106 .57465 L
.58106 .57464 L
.57984 .57304 L
.57946 .57268 L
.57845 .57143 L
.57785 .57053 L
.57738 .56983 L
.57625 .56837 L
.5762 .56822 L
.57494 .56662 L
.57464 .56621 L
.57343 .56501 L
.57304 .56404 L
.57249 .56341 L
.57154 .5618 L
F
.538 .98 1 r
.57304 .56115 m
.57464 .56145 L
.57525 .5618 L
.57625 .56251 L
.57718 .56341 L
.57785 .56421 L
.57842 .56501 L
.57946 .56614 L
.57957 .56662 L
.58106 .56817 L
.58111 .56822 L
.58247 .56983 L
.58267 .57025 L
.58359 .57143 L
.58428 .57237 L
.58466 .57304 L
.58588 .57446 L
.5861 .57464 L
.58747 .57625 L
.58749 .57642 L
.58859 .57785 L
.58909 .57853 L
.58967 .57946 L
.5907 .5807 L
.59076 .58106 L
.59215 .58267 L
.5923 .58288 L
.59351 .58428 L
.59391 .58513 L
.59445 .58588 L
.59542 .58749 L
.59551 .5877 L
.5957 .58909 L
.59551 .58924 L
.59391 .5892 L
.59367 .58909 L
.5923 .58827 L
.59151 .58749 L
.5907 .58667 L
.58986 .58588 L
.58909 .5848 L
.58869 .58428 L
.58749 .5828 L
.58744 .58267 L
.58612 .58106 L
.58588 .58078 L
.58458 .57946 L
.58428 .5787 L
.58355 .57785 L
.58267 .5766 L
.58243 .57625 L
.58113 .57464 L
.58106 .57462 L
.57991 .57304 L
.57946 .57261 L
.57851 .57143 L
.57785 .57044 L
.57745 .56983 L
.57625 .56825 L
.57624 .56822 L
.57504 .56662 L
.57464 .56607 L
.57354 .56501 L
.57304 .56382 L
.57269 .56341 L
.572 .5618 L
F
1 .81 .003 r
.57304 .56682 m
.57446 .56822 L
.57464 .56841 L
.57588 .56983 L
.57625 .57025 L
.5772 .57143 L
.57785 .57224 L
.57847 .57304 L
.57946 .57433 L
.57969 .57464 L
.58084 .57625 L
.58106 .57656 L
.5819 .57785 L
.58267 .57908 L
.58288 .57946 L
.58267 .58059 L
.5813 .57946 L
.58106 .57925 L
.57976 .57785 L
.57946 .57754 L
.57837 .57625 L
.57785 .57566 L
.57704 .57464 L
.57625 .57368 L
.57576 .57304 L
.57464 .57173 L
.57437 .57143 L
.57338 .56983 L
.57304 .56934 L
.57233 .56822 L
F
1 .8 .002 r
.57304 .56701 m
.57432 .56822 L
.57464 .56854 L
.57577 .56983 L
.57625 .57037 L
.57711 .57143 L
.57785 .57235 L
.57838 .57304 L
.57946 .57444 L
.57961 .57464 L
.58073 .57625 L
.58106 .57673 L
.58177 .57785 L
.58267 .5794 L
.5827 .57946 L
.58267 .58018 L
.58154 .57946 L
.58106 .57907 L
.5799 .57785 L
.57946 .5774 L
.57847 .57625 L
.57785 .57555 L
.57713 .57464 L
.57625 .57357 L
.57584 .57304 L
.57464 .57153 L
.57455 .57143 L
.57349 .56983 L
.57304 .56917 L
.57246 .56822 L
F
.007 .84 1 r
.57304 .49813 m
.57404 .4992 L
.57464 .49981 L
.57553 .5008 L
.57625 .50159 L
.57696 .50241 L
.57785 .50318 L
.57835 .50401 L
.57946 .50529 L
.57988 .50562 L
.58106 .50722 L
.58106 .50723 L
.58239 .50883 L
.58267 .50916 L
.58372 .51043 L
.58428 .511 L
.58504 .51204 L
.58588 .51308 L
.58641 .51364 L
.58749 .51509 L
.5876 .51525 L
.58891 .51686 L
.58909 .51696 L
.5902 .51846 L
.5907 .51903 L
.5917 .52007 L
.5923 .52111 L
.59275 .52167 L
.59391 .52315 L
.59397 .52328 L
.59529 .52488 L
.59551 .5251 L
.597 .52649 L
.59712 .52719 L
.59788 .52809 L
.59872 .52928 L
.599 .5297 L
.60032 .5313 L
.60033 .53131 L
.60157 .53291 L
.60193 .53332 L
.60301 .53451 L
.60354 .53544 L
.60405 .53612 L
.60514 .53753 L
.60524 .53772 L
.60654 .53933 L
.60675 .5395 L
.60818 .54093 L
.60835 .54163 L
.6091 .54254 L
.60996 .54376 L
.61021 .54414 L
.61149 .54575 L
.61156 .54576 L
.61272 .54735 L
.61317 .54783 L
.61415 .54896 L
.61477 .55 L
.61519 .55057 L
.61638 .55213 L
.6164 .55217 L
.61763 .55378 L
.61799 .55405 L
.61928 .55538 L
.61959 .55627 L
.62016 .55699 L
.6212 .55845 L
.62129 .55859 L
.62251 .5602 L
.6228 .56058 L
.62372 .5618 L
.62441 .56255 L
.62512 .56341 L
.62601 .56481 L
.62615 .56501 L
.62733 .56662 L
.62762 .56699 L
.62853 .56822 L
.62922 .56884 L
.63011 .56983 L
.63083 .57126 L
.63096 .57143 L
.63209 .57304 L
.63243 .57349 L
.63326 .57464 L
.63404 .57569 L
.63444 .57625 L
.6356 .57785 L
.63564 .57791 L
.63671 .57946 L
.63725 .5802 L
.63783 .58106 L
.63885 .58252 L
.63895 .58267 L
.63995 .58428 L
.64046 .58505 L
.64089 .58588 L
.64046 .58646 L
.63989 .58588 L
.63885 .58488 L
.63831 .58428 L
.63725 .58314 L
.63685 .58267 L
.63564 .58141 L
.63544 .58106 L
.63406 .57946 L
.63404 .57943 L
.63273 .57785 L
.63243 .57752 L
.6314 .57625 L
.63083 .57598 L
.63007 .57464 L
.62922 .57372 L
.62837 .57304 L
.62762 .57165 L
.62741 .57143 L
.62617 .56983 L
.62601 .56964 L
.62489 .56822 L
.62441 .56783 L
.62361 .56662 L
.6228 .56568 L
.62214 .56501 L
.6212 .56359 L
.62104 .56341 L
.6198 .5618 L
.61959 .56155 L
.61854 .5602 L
.61799 .55963 L
.61687 .55859 L
.61638 .55749 L
.61594 .55699 L
.61477 .5554 L
.61476 .55538 L
.61352 .55378 L
.61317 .55354 L
.61228 .55217 L
.61156 .55136 L
.61083 .55057 L
.60996 .54922 L
.60976 .54896 L
.60854 .54735 L
.60835 .54713 L
.60731 .54575 L
.60675 .54522 L
.60567 .54414 L
.60514 .54302 L
.60474 .54254 L
.60358 .54093 L
.60354 .54089 L
.60236 .53933 L
.60193 .53909 L
.60113 .53772 L
.60033 .53681 L
.59971 .53612 L
.59872 .53462 L
.59864 .53451 L
.59743 .53291 L
.59712 .53251 L
.59622 .5313 L
.59551 .53062 L
.59464 .5297 L
.59391 .52835 L
.5937 .52809 L
.59253 .52649 L
.5923 .52619 L
.59133 .52488 L
.5907 .52448 L
.59011 .52328 L
.58909 .52205 L
.58877 .52167 L
.58766 .52007 L
.58749 .51984 L
.58647 .51846 L
.58588 .5177 L
.58527 .51686 L
.58428 .51573 L
.58386 .51525 L
.58284 .51364 L
.58267 .51342 L
.58168 .51204 L
.58106 .51124 L
.58049 .51043 L
.57946 .50908 L
.57928 .50883 L
.57811 .50722 L
.57785 .50688 L
.57698 .50562 L
.57625 .50464 L
.57582 .50401 L
.57464 .50241 L
.57464 .50241 L
.5736 .5008 L
.57304 .50001 L
.57255 .4992 L
F
1 .52 0 r
.57304 .5049 m
.57366 .50562 L
.57464 .50668 L
.5751 .50722 L
.57625 .50854 L
.57649 .50883 L
.57784 .51043 L
.57785 .51045 L
.57915 .51204 L
.57946 .5124 L
.58046 .51364 L
.58106 .51437 L
.58177 .51525 L
.58267 .51635 L
.58307 .51686 L
.58428 .51831 L
.58444 .51846 L
.58563 .52007 L
.58588 .52037 L
.58689 .52167 L
.58749 .5224 L
.58816 .52328 L
.58909 .52422 L
.58943 .52488 L
.59069 .52649 L
.5907 .52649 L
.59192 .52809 L
.5923 .52856 L
.59317 .5297 L
.59391 .53064 L
.59441 .5313 L
.59551 .53265 L
.59578 .53291 L
.59688 .53451 L
.59712 .53482 L
.59809 .53612 L
.59872 .53693 L
.59932 .53772 L
.60033 .53884 L
.60055 .53933 L
.60175 .54093 L
.60193 .54117 L
.60293 .54254 L
.60354 .54332 L
.60414 .54414 L
.60514 .54548 L
.60534 .54575 L
.60651 .54735 L
.60675 .54767 L
.60765 .54896 L
.60835 .5499 L
.60881 .55057 L
.60996 .55215 L
.60998 .55217 L
.61099 .55378 L
.61156 .55458 L
.612 .55538 L
.61156 .55576 L
.61124 .55538 L
.60996 .55404 L
.60974 .55378 L
.60835 .55221 L
.60832 .55217 L
.60699 .55057 L
.60675 .5503 L
.60567 .54896 L
.60514 .54836 L
.60435 .54735 L
.60354 .5464 L
.60303 .54575 L
.60193 .54463 L
.60172 .54414 L
.60043 .54254 L
.60033 .54242 L
.59917 .54093 L
.59872 .54039 L
.5979 .53933 L
.59712 .53836 L
.59663 .53772 L
.59551 .53643 L
.59514 .53612 L
.5941 .53451 L
.59391 .53427 L
.59287 .53291 L
.5923 .5322 L
.59162 .5313 L
.5907 .53049 L
.59036 .5297 L
.58911 .52809 L
.58909 .52807 L
.58791 .52649 L
.58749 .52596 L
.58669 .52488 L
.58588 .52386 L
.58545 .52328 L
.58428 .52182 L
.58412 .52167 L
.58302 .52007 L
.58267 .51963 L
.58182 .51846 L
.58106 .51749 L
.58061 .51686 L
.57946 .51536 L
.57938 .51525 L
.57823 .51364 L
.57785 .51317 L
.57707 .51204 L
.57625 .51097 L
.57588 .51043 L
.5747 .50883 L
.57464 .50876 L
.57364 .50722 L
.57304 .50641 L
.57256 .50562 L
F
.395 .97 1 r
.57304 .56156 m
.57457 .5618 L
.57464 .56183 L
.57625 .56283 L
.57694 .56341 L
.57785 .56444 L
.57827 .56501 L
.57946 .56632 L
.57952 .56662 L
.58099 .56822 L
.58106 .56832 L
.5824 .56983 L
.58267 .57038 L
.5835 .57143 L
.58428 .57248 L
.5846 .57304 L
.58588 .57454 L
.586 .57464 L
.58746 .57625 L
.58749 .57651 L
.58851 .57785 L
.58909 .57865 L
.58958 .57946 L
.5907 .58085 L
.59073 .58106 L
.59202 .58267 L
.5923 .58308 L
.59338 .58428 L
.59391 .58543 L
.59423 .58588 L
.59503 .58749 L
.59391 .5887 L
.5923 .58788 L
.59186 .58749 L
.5907 .5864 L
.59008 .58588 L
.58909 .5846 L
.58883 .58428 L
.5875 .58267 L
.58749 .58265 L
.58622 .58106 L
.58588 .58067 L
.58464 .57946 L
.58428 .5786 L
.58362 .57785 L
.58267 .57652 L
.58248 .57625 L
.5812 .57464 L
.58106 .5746 L
.57998 .57304 L
.57946 .57253 L
.57858 .57143 L
.57785 .57034 L
.57752 .56983 L
.57632 .56822 L
.57625 .56813 L
.57514 .56662 L
.57464 .56592 L
.57367 .56501 L
.57304 .56356 L
.57292 .56341 L
.57259 .5618 L
F
1 .79 .001 r
.57304 .56722 m
.57415 .56822 L
.57464 .56869 L
.57565 .56983 L
.57625 .57049 L
.57701 .57143 L
.57785 .57247 L
.57829 .57304 L
.57946 .57457 L
.57951 .57464 L
.58061 .57625 L
.58106 .57691 L
.58163 .57785 L
.58106 .57887 L
.58006 .57785 L
.57946 .57726 L
.57859 .57625 L
.57785 .57542 L
.57723 .57464 L
.57625 .57346 L
.57593 .57304 L
.5747 .57143 L
.57464 .57136 L
.5736 .56983 L
.57304 .56899 L
.5726 .56822 L
F
1 .51 0 r
.57304 .50503 m
.57356 .50562 L
.57464 .50677 L
.57503 .50722 L
.57625 .50861 L
.57643 .50883 L
.57778 .51043 L
.57785 .51052 L
.57909 .51204 L
.57946 .51246 L
.58041 .51364 L
.58106 .51442 L
.58173 .51525 L
.58267 .5164 L
.58303 .51686 L
.58428 .51838 L
.58437 .51846 L
.58559 .52007 L
.58588 .52042 L
.58686 .52167 L
.58749 .52245 L
.58813 .52328 L
.58909 .52428 L
.5894 .52488 L
.59066 .52649 L
.5907 .52654 L
.59189 .52809 L
.5923 .52861 L
.59313 .5297 L
.59391 .53068 L
.59438 .5313 L
.59551 .5327 L
.59572 .53291 L
.59684 .53451 L
.59712 .53486 L
.59806 .53612 L
.59872 .53697 L
.59929 .53772 L
.60033 .53891 L
.60051 .53933 L
.60171 .54093 L
.60193 .54122 L
.60289 .54254 L
.60354 .54338 L
.6041 .54414 L
.60514 .54553 L
.6053 .54575 L
.60645 .54735 L
.60675 .54774 L
.60759 .54896 L
.60835 .54998 L
.60875 .55057 L
.60835 .55213 L
.60706 .55057 L
.60675 .55023 L
.60573 .54896 L
.60514 .5483 L
.6044 .54735 L
.60354 .54634 L
.60307 .54575 L
.60193 .54455 L
.60175 .54414 L
.60047 .54254 L
.60033 .54237 L
.59921 .54093 L
.59872 .54035 L
.59794 .53933 L
.59712 .53832 L
.59666 .53772 L
.59551 .53637 L
.59521 .53612 L
.59414 .53451 L
.59391 .53423 L
.5929 .53291 L
.5923 .53216 L
.59165 .5313 L
.5907 .53043 L
.59039 .5297 L
.58914 .52809 L
.58909 .52803 L
.58794 .52649 L
.58749 .52592 L
.58672 .52488 L
.58588 .52382 L
.58548 .52328 L
.58428 .52176 L
.58419 .52167 L
.58305 .52007 L
.58267 .51958 L
.58186 .51846 L
.58106 .51744 L
.58064 .51686 L
.57946 .51531 L
.57942 .51525 L
.57827 .51364 L
.57785 .51311 L
.57711 .51204 L
.57625 .5109 L
.57593 .51043 L
.57476 .50883 L
.57464 .50868 L
.57371 .50722 L
.57304 .50629 L
.57265 .50562 L
F
.005 .83 1 r
.57304 .49843 m
.5738 .4992 L
.57464 .50002 L
.57536 .5008 L
.57625 .50176 L
.57682 .50241 L
.57785 .50335 L
.57823 .50401 L
.57946 .50542 L
.57972 .50562 L
.58096 .50722 L
.58106 .50734 L
.5823 .50883 L
.58267 .50926 L
.58364 .51043 L
.58428 .51109 L
.58496 .51204 L
.58588 .51316 L
.58634 .51364 L
.58749 .51517 L
.58755 .51525 L
.58885 .51686 L
.58909 .517 L
.59015 .51846 L
.5907 .5191 L
.59165 .52007 L
.5923 .52118 L
.5927 .52167 L
.59391 .52321 L
.59394 .52328 L
.59524 .52488 L
.59551 .52514 L
.59698 .52649 L
.59712 .52724 L
.59784 .52809 L
.59872 .52934 L
.59897 .5297 L
.60027 .5313 L
.60033 .53132 L
.60153 .53291 L
.60193 .53336 L
.60297 .53451 L
.60354 .53549 L
.60402 .53612 L
.60514 .53758 L
.60522 .53772 L
.60651 .53933 L
.60675 .53954 L
.60816 .54093 L
.60835 .54167 L
.60906 .54254 L
.60996 .54381 L
.61018 .54414 L
.61145 .54575 L
.61156 .54577 L
.61269 .54735 L
.61317 .54788 L
.61412 .54896 L
.61477 .55005 L
.61515 .55057 L
.61637 .55217 L
.61638 .55218 L
.61759 .55378 L
.61799 .55408 L
.61925 .55538 L
.61959 .55632 L
.62012 .55699 L
.6212 .55851 L
.62125 .55859 L
.62246 .5602 L
.6228 .56064 L
.62367 .5618 L
.62441 .56262 L
.62507 .56341 L
.62601 .56489 L
.6261 .56501 L
.62728 .56662 L
.62762 .56706 L
.62848 .56822 L
.62922 .56892 L
.63003 .56983 L
.63083 .57136 L
.63088 .57143 L
.63202 .57304 L
.63243 .57358 L
.63319 .57464 L
.63404 .5758 L
.63436 .57625 L
.63551 .57785 L
.63564 .57804 L
.63661 .57946 L
.63725 .58036 L
.63772 .58106 L
.63882 .58267 L
.63885 .58272 L
.63973 .58428 L
.64046 .58564 L
.64049 .58588 L
.64046 .58593 L
.64038 .58588 L
.63885 .58464 L
.63852 .58428 L
.63725 .58296 L
.637 .58267 L
.63564 .58121 L
.63556 .58106 L
.63418 .57946 L
.63404 .57931 L
.63283 .57785 L
.63243 .57741 L
.63148 .57625 L
.63083 .5759 L
.63015 .57464 L
.62922 .57363 L
.62847 .57304 L
.62762 .57157 L
.62749 .57143 L
.62623 .56983 L
.62601 .56957 L
.62495 .56822 L
.62441 .56778 L
.62366 .56662 L
.6228 .56561 L
.6222 .56501 L
.6212 .56353 L
.62109 .56341 L
.61984 .5618 L
.61959 .56149 L
.61858 .5602 L
.61799 .55959 L
.61691 .55859 L
.61638 .55744 L
.61598 .55699 L
.6148 .55538 L
.61477 .55536 L
.61356 .55378 L
.61317 .55351 L
.61231 .55217 L
.61156 .55132 L
.61087 .55057 L
.60996 .54917 L
.60979 .54896 L
.60857 .54735 L
.60835 .54708 L
.60734 .54575 L
.60675 .54518 L
.60571 .54414 L
.60514 .54298 L
.60477 .54254 L
.60361 .54093 L
.60354 .54085 L
.60239 .53933 L
.60193 .53906 L
.60116 .53772 L
.60033 .53677 L
.59975 .53612 L
.59872 .53458 L
.59867 .53451 L
.59747 .53291 L
.59712 .53246 L
.59625 .5313 L
.59551 .53058 L
.59468 .5297 L
.59391 .5283 L
.59374 .52809 L
.59257 .52649 L
.5923 .52615 L
.59136 .52488 L
.5907 .52444 L
.59014 .52328 L
.58909 .522 L
.58882 .52167 L
.5877 .52007 L
.58749 .51979 L
.58652 .51846 L
.58588 .51764 L
.58531 .51686 L
.58428 .51565 L
.58393 .51525 L
.5829 .51364 L
.58267 .51335 L
.58173 .51204 L
.58106 .51117 L
.58054 .51043 L
.57946 .509 L
.57934 .50883 L
.57819 .50722 L
.57785 .50678 L
.57706 .50562 L
.57625 .50453 L
.5759 .50401 L
.57476 .50241 L
.57464 .50224 L
.57375 .5008 L
.57304 .49976 L
.57274 .4992 L
F
0 .16 1 r
.57304 .51184 m
.57319 .51204 L
.57304 .51254 L
.57275 .51204 L
F
1 .5 0 r
.57304 .50518 m
.57344 .50562 L
.57464 .50687 L
.57495 .50722 L
.57625 .50869 L
.57636 .50883 L
.57771 .51043 L
.57785 .51059 L
.57904 .51204 L
.57946 .51252 L
.58036 .51364 L
.58106 .51448 L
.58168 .51525 L
.58267 .51645 L
.58299 .51686 L
.58428 .51844 L
.5843 .51846 L
.58555 .52007 L
.58588 .52047 L
.58682 .52167 L
.58749 .52249 L
.58809 .52328 L
.58909 .52434 L
.58937 .52488 L
.59062 .52649 L
.5907 .52658 L
.59185 .52809 L
.5923 .52865 L
.5931 .5297 L
.59391 .53072 L
.59435 .5313 L
.59551 .53276 L
.59566 .53291 L
.5968 .53451 L
.59712 .53491 L
.59802 .53612 L
.59872 .53702 L
.59925 .53772 L
.60033 .53898 L
.60048 .53933 L
.60167 .54093 L
.60193 .54127 L
.60285 .54254 L
.60354 .54343 L
.60406 .54414 L
.60514 .54559 L
.60526 .54575 L
.6064 .54735 L
.60675 .54781 L
.60754 .54896 L
.60835 .55006 L
.6087 .55057 L
.60835 .55204 L
.60713 .55057 L
.60675 .55016 L
.60578 .54896 L
.60514 .54823 L
.60444 .54735 L
.60354 .54629 L
.60311 .54575 L
.60193 .54447 L
.60179 .54414 L
.60051 .54254 L
.60033 .54232 L
.59925 .54093 L
.59872 .5403 L
.59797 .53933 L
.59712 .53828 L
.59669 .53772 L
.59551 .53632 L
.59527 .53612 L
.59417 .53451 L
.59391 .53419 L
.59293 .53291 L
.5923 .53212 L
.59168 .5313 L
.5907 .53037 L
.59042 .5297 L
.58918 .52809 L
.58909 .52798 L
.58797 .52649 L
.58749 .52588 L
.58675 .52488 L
.58588 .52378 L
.58551 .52328 L
.58428 .52169 L
.58425 .52167 L
.58309 .52007 L
.58267 .51954 L
.58189 .51846 L
.58106 .51739 L
.58068 .51686 L
.57946 .51526 L
.57945 .51525 L
.57832 .51364 L
.57785 .51305 L
.57716 .51204 L
.57625 .51084 L
.57597 .51043 L
.57483 .50883 L
.57464 .50858 L
.5738 .50722 L
.57304 .50615 L
.57276 .50562 L
F
1 .78 .001 r
.57304 .56747 m
.57396 .56822 L
.57464 .56884 L
.57553 .56983 L
.57625 .57062 L
.5769 .57143 L
.57785 .57259 L
.57819 .57304 L
.57941 .57464 L
.57946 .57471 L
.58048 .57625 L
.58106 .57713 L
.58147 .57785 L
.58106 .57864 L
.58024 .57785 L
.57946 .5771 L
.57871 .57625 L
.57785 .57529 L
.57733 .57464 L
.57625 .57333 L
.57602 .57304 L
.57481 .57143 L
.57464 .57121 L
.57373 .56983 L
.57304 .56875 L
.57276 .56822 L
F
1 .49 0 r
.57304 .50538 m
.57327 .50562 L
.57464 .50697 L
.57486 .50722 L
.57625 .50877 L
.5763 .50883 L
.57765 .51043 L
.57785 .51066 L
.57898 .51204 L
.57946 .51259 L
.58031 .51364 L
.58106 .51453 L
.58164 .51525 L
.58267 .5165 L
.58295 .51686 L
.58424 .51846 L
.58428 .5185 L
.58551 .52007 L
.58588 .52052 L
.58678 .52167 L
.58749 .52254 L
.58806 .52328 L
.58909 .5244 L
.58933 .52488 L
.59058 .52649 L
.5907 .52663 L
.59182 .52809 L
.5923 .5287 L
.59307 .5297 L
.59391 .53076 L
.59432 .5313 L
.59551 .53282 L
.5956 .53291 L
.59677 .53451 L
.59712 .53495 L
.59799 .53612 L
.59872 .53706 L
.59922 .53772 L
.60033 .53906 L
.60044 .53933 L
.60163 .54093 L
.60193 .54132 L
.60281 .54254 L
.60354 .54348 L
.60401 .54414 L
.60514 .54565 L
.60522 .54575 L
.60635 .54735 L
.60675 .54788 L
.60748 .54896 L
.60835 .55014 L
.60863 .55057 L
.60835 .55194 L
.6072 .55057 L
.60675 .55008 L
.60584 .54896 L
.60514 .54817 L
.6045 .54735 L
.60354 .54623 L
.60316 .54575 L
.60193 .54438 L
.60183 .54414 L
.60056 .54254 L
.60033 .54227 L
.59929 .54093 L
.59872 .54026 L
.59801 .53933 L
.59712 .53824 L
.59672 .53772 L
.59551 .53626 L
.59535 .53612 L
.59421 .53451 L
.59391 .53415 L
.59297 .53291 L
.5923 .53208 L
.59171 .5313 L
.5907 .53031 L
.59045 .5297 L
.58921 .52809 L
.58909 .52794 L
.58801 .52649 L
.58749 .52584 L
.58678 .52488 L
.58588 .52374 L
.58554 .52328 L
.5843 .52167 L
.58428 .52164 L
.58313 .52007 L
.58267 .51949 L
.58193 .51846 L
.58106 .51735 L
.58071 .51686 L
.57949 .51525 L
.57946 .51521 L
.57836 .51364 L
.57785 .51299 L
.57721 .51204 L
.57625 .51077 L
.57602 .51043 L
.57491 .50883 L
.57464 .50847 L
.5739 .50722 L
.57304 .50595 L
.5729 .50562 L
F
0 .15 1 r
.57304 .51198 m
.57308 .51204 L
.57304 .51234 L
.57291 .51204 L
F
1 .77 .001 r
.57304 .56786 m
.57368 .56822 L
.57464 .56901 L
.57539 .56983 L
.57625 .57076 L
.57679 .57143 L
.57785 .57272 L
.57809 .57304 L
.57928 .57464 L
.57946 .57489 L
.58033 .57625 L
.58106 .57743 L
.58126 .57785 L
.58106 .57832 L
.58049 .57785 L
.57946 .57693 L
.57885 .57625 L
.57785 .57516 L
.57744 .57464 L
.57625 .5732 L
.57612 .57304 L
.57494 .57143 L
.57464 .57104 L
.57387 .56983 L
.57304 .56842 L
.57296 .56822 L
F
.004 .82 1 r
.57304 .49896 m
.57341 .4992 L
.57464 .50025 L
.57516 .5008 L
.57625 .50194 L
.57667 .50241 L
.57785 .50356 L
.57811 .50401 L
.57946 .50557 L
.57953 .50562 L
.58086 .50722 L
.58106 .50746 L
.58221 .50883 L
.58267 .50937 L
.58356 .51043 L
.58428 .51118 L
.58489 .51204 L
.58588 .51325 L
.58626 .51364 L
.58749 .51524 L
.58749 .51525 L
.58879 .51686 L
.58909 .51703 L
.59009 .51846 L
.5907 .51917 L
.5916 .52007 L
.5923 .52124 L
.59265 .52167 L
.59391 .52326 L
.59391 .52328 L
.59519 .52488 L
.59551 .52519 L
.59696 .52649 L
.59712 .5273 L
.5978 .52809 L
.59872 .52939 L
.59893 .5297 L
.60023 .5313 L
.60033 .53134 L
.60149 .53291 L
.60193 .53341 L
.60294 .53451 L
.60354 .53554 L
.60398 .53612 L
.60514 .53762 L
.60519 .53772 L
.60647 .53933 L
.60675 .53957 L
.60814 .54093 L
.60835 .54172 L
.60903 .54254 L
.60996 .54385 L
.61015 .54414 L
.61142 .54575 L
.61156 .54578 L
.61265 .54735 L
.61317 .54792 L
.61408 .54896 L
.61477 .5501 L
.61512 .55057 L
.61634 .55217 L
.61638 .55223 L
.61755 .55378 L
.61799 .55412 L
.61921 .55538 L
.61959 .55638 L
.62007 .55699 L
.6212 .55856 L
.62121 .55859 L
.62242 .5602 L
.6228 .5607 L
.62363 .5618 L
.62441 .56268 L
.62502 .56341 L
.62601 .56496 L
.62605 .56501 L
.62723 .56662 L
.62762 .56713 L
.62842 .56822 L
.62922 .56901 L
.62994 .56983 L
.63081 .57143 L
.63083 .57146 L
.63195 .57304 L
.63243 .57368 L
.63312 .57464 L
.63404 .5759 L
.63428 .57625 L
.63541 .57785 L
.63564 .57818 L
.63649 .57946 L
.63725 .58053 L
.63759 .58106 L
.63862 .58267 L
.63885 .58304 L
.63937 .58428 L
.63885 .58435 L
.63878 .58428 L
.63725 .58277 L
.63716 .58267 L
.63569 .58106 L
.63564 .58101 L
.6343 .57946 L
.63404 .57917 L
.63293 .57785 L
.63243 .57729 L
.63157 .57625 L
.63083 .57581 L
.63023 .57464 L
.62922 .57353 L
.62859 .57304 L
.62762 .57148 L
.62757 .57143 L
.62629 .56983 L
.62601 .5695 L
.625 .56822 L
.62441 .56772 L
.62371 .56662 L
.6228 .56555 L
.62226 .56501 L
.6212 .56348 L
.62114 .56341 L
.61989 .5618 L
.61959 .56144 L
.61862 .5602 L
.61799 .55954 L
.61695 .55859 L
.61638 .55739 L
.61602 .55699 L
.61483 .55538 L
.61477 .55531 L
.61359 .55378 L
.61317 .55348 L
.61234 .55217 L
.61156 .55127 L
.6109 .55057 L
.60996 .54913 L
.60982 .54896 L
.6086 .54735 L
.60835 .54704 L
.60737 .54575 L
.60675 .54514 L
.60574 .54414 L
.60514 .54293 L
.60481 .54254 L
.60364 .54093 L
.60354 .54081 L
.60242 .53933 L
.60193 .53903 L
.60119 .53772 L
.60033 .53673 L
.59978 .53612 L
.59872 .53454 L
.5987 .53451 L
.5975 .53291 L
.59712 .53242 L
.59628 .5313 L
.59551 .53053 L
.59472 .5297 L
.59391 .52825 L
.59378 .52809 L
.5926 .52649 L
.5923 .5261 L
.5914 .52488 L
.5907 .52439 L
.59017 .52328 L
.58909 .52193 L
.58887 .52167 L
.58775 .52007 L
.58749 .51973 L
.58656 .51846 L
.58588 .51759 L
.58535 .51686 L
.58428 .51556 L
.584 .51525 L
.58295 .51364 L
.58267 .51328 L
.58178 .51204 L
.58106 .5111 L
.5806 .51043 L
.57946 .50892 L
.57939 .50883 L
.57827 .50722 L
.57785 .50667 L
.57714 .50562 L
.57625 .5044 L
.57599 .50401 L
.5749 .50241 L
.57464 .50205 L
.57393 .5008 L
.57304 .4993 L
.573 .4992 L
F
.001 .77 1 r
.57304 .57401 m
.57319 .57464 L
.57304 .57465 L
.57303 .57464 L
F
.289 .96 1 r
.57464 .56213 m
.57625 .56311 L
.57665 .56341 L
.57785 .56466 L
.57812 .56501 L
.57946 .5665 L
.57948 .56662 L
.58088 .56822 L
.58106 .56845 L
.58234 .56983 L
.58267 .5705 L
.58342 .57143 L
.58428 .57259 L
.58454 .57304 L
.58588 .57462 L
.58591 .57464 L
.58744 .57625 L
.58749 .5766 L
.58843 .57785 L
.58909 .57878 L
.58949 .57946 L
.5907 .58101 L
.59071 .58106 L
.59188 .58267 L
.5923 .58329 L
.59322 .58428 L
.59391 .58577 L
.59398 .58588 L
.59458 .58749 L
.59391 .58818 L
.5923 .58751 L
.59227 .58749 L
.5907 .58614 L
.59036 .58588 L
.58909 .58441 L
.58898 .58428 L
.58763 .58267 L
.58749 .58254 L
.58632 .58106 L
.58588 .58056 L
.58471 .57946 L
.58428 .5785 L
.5837 .57785 L
.58267 .57643 L
.58254 .57625 L
.58127 .57464 L
.58106 .57457 L
.58005 .57304 L
.57946 .57245 L
.57865 .57143 L
.57785 .57023 L
.57759 .56983 L
.5764 .56822 L
.57625 .56801 L
.57525 .56662 L
.57464 .56576 L
.57382 .56501 L
.57316 .56341 L
F
.212 .95 1 r
.57464 .56243 m
.57625 .56338 L
.57629 .56341 L
.57785 .56487 L
.57797 .56501 L
.57942 .56662 L
.57946 .56665 L
.58077 .56822 L
.58106 .56858 L
.58227 .56983 L
.58267 .57062 L
.58334 .57143 L
.58428 .57269 L
.58448 .57304 L
.58583 .57464 L
.58588 .57466 L
.58743 .57625 L
.58749 .57669 L
.58835 .57785 L
.58909 .57891 L
.58941 .57946 L
.59062 .58106 L
.5907 .58118 L
.59174 .58267 L
.5923 .58351 L
.59304 .58428 L
.59371 .58588 L
.59391 .5864 L
.59395 .58749 L
.59391 .58752 L
.59304 .58749 L
.5923 .58717 L
.5907 .58588 L
.59069 .58588 L
.58914 .58428 L
.58909 .58426 L
.58775 .58267 L
.58749 .58243 L
.58642 .58106 L
.58588 .58045 L
.58479 .57946 L
.58428 .5784 L
.58378 .57785 L
.58267 .57635 L
.5826 .57625 L
.58135 .57464 L
.58106 .57453 L
.58012 .57304 L
.57946 .57236 L
.57872 .57143 L
.57785 .57012 L
.57766 .56983 L
.5765 .56822 L
.57625 .56789 L
.57535 .56662 L
.57464 .56558 L
.57401 .56501 L
.57342 .56341 L
F
.156 .94 1 r
.57464 .56274 m
.57594 .56341 L
.57625 .56361 L
.5778 .56501 L
.57785 .56503 L
.57928 .56662 L
.57946 .56678 L
.58065 .56822 L
.58106 .5687 L
.58219 .56983 L
.58267 .57073 L
.58325 .57143 L
.58428 .57278 L
.58442 .57304 L
.58574 .57464 L
.58588 .57468 L
.5874 .57625 L
.58749 .5768 L
.58827 .57785 L
.58909 .57906 L
.58932 .57946 L
.5905 .58106 L
.5907 .58135 L
.5916 .58267 L
.5923 .58376 L
.59281 .58428 L
.59341 .58588 L
.5923 .58682 L
.59099 .58588 L
.5907 .58565 L
.58932 .58428 L
.58909 .58421 L
.58789 .58267 L
.58749 .58232 L
.58653 .58106 L
.58588 .58034 L
.58487 .57946 L
.58428 .5783 L
.58386 .57785 L
.58267 .57627 L
.58266 .57625 L
.58142 .57464 L
.58106 .57449 L
.58019 .57304 L
.57946 .57226 L
.5788 .57143 L
.57785 .57 L
.57774 .56983 L
.57659 .56822 L
.57625 .56775 L
.57546 .56662 L
.57464 .56539 L
.57422 .56501 L
.57371 .56341 L
F
1 .76 .001 r
.57464 .56921 m
.57523 .56983 L
.57625 .57091 L
.57667 .57143 L
.57785 .57287 L
.57798 .57304 L
.57913 .57464 L
.57946 .57509 L
.58016 .57625 L
.57946 .57674 L
.57901 .57625 L
.57785 .57501 L
.57756 .57464 L
.57625 .57306 L
.57623 .57304 L
.57508 .57143 L
.57464 .57084 L
.57403 .56983 L
F
1 .48 0 r
.57464 .50709 m
.57476 .50722 L
.57464 .50835 L
.57403 .50722 L
F
1 .95 .212 r
.57464 .49362 m
.57542 .49438 L
.57625 .4952 L
.577 .49599 L
.57785 .49647 L
.57848 .49759 L
.57946 .49865 L
.58048 .4992 L
.58106 .50055 L
.58134 .5008 L
.58267 .5024 L
.58268 .50241 L
.58405 .50401 L
.58428 .50423 L
.5854 .50562 L
.58588 .50622 L
.58687 .50722 L
.58749 .50821 L
.58798 .50883 L
.58909 .51021 L
.5892 .51043 L
.59066 .51204 L
.5907 .51209 L
.59218 .51364 L
.5923 .5141 L
.59323 .51525 L
.59391 .51617 L
.59436 .51686 L
.59551 .51824 L
.59582 .51846 L
.59708 .52007 L
.59712 .52012 L
.5984 .52167 L
.59872 .52219 L
.59952 .52328 L
.60033 .52431 L
.60059 .52488 L
.60193 .52638 L
.60215 .52649 L
.60347 .52809 L
.60354 .52829 L
.60463 .5297 L
.60514 .5304 L
.60571 .5313 L
.60675 .53254 L
.60717 .53291 L
.60835 .53445 L
.6084 .53451 L
.60968 .53612 L
.60996 .53655 L
.61079 .53772 L
.61156 .53869 L
.61183 .53933 L
.61317 .5408 L
.61339 .54093 L
.61469 .54254 L
.61477 .54274 L
.61584 .54414 L
.61638 .54487 L
.61691 .54575 L
.61799 .54701 L
.61835 .54735 L
.61957 .54896 L
.61959 .54898 L
.62086 .55057 L
.6212 .55108 L
.62195 .55217 L
.6228 .55322 L
.623 .55378 L
.62441 .5553 L
.62452 .55538 L
.62586 .55699 L
.62601 .55732 L
.62697 .55859 L
.62762 .55945 L
.62805 .5602 L
.62922 .56157 L
.62945 .5618 L
.63068 .56341 L
.63083 .56358 L
.63198 .56501 L
.63243 .5657 L
.63306 .56662 L
.63404 .56783 L
.63416 .56822 L
.63559 .56983 L
.63564 .56987 L
.63699 .57143 L
.63725 .57196 L
.63805 .57304 L
.63885 .57411 L
.63915 .57464 L
.64046 .57621 L
.64049 .57625 L
.64171 .57785 L
.64206 .57823 L
.64304 .57946 L
.64367 .58039 L
.64411 .58106 L
.64527 .58254 L
.64531 .58267 L
.64659 .58428 L
.64688 .5845 L
.64805 .58588 L
.64848 .5867 L
.64905 .58749 L
.65009 .5889 L
.65019 .58909 L
.65143 .5907 L
.6517 .59104 L
.65315 .5923 L
.6533 .59303 L
.65397 .59391 L
.65491 .5953 L
.65504 .59551 L
.65622 .59712 L
.65651 .5975 L
.65741 .59872 L
.65812 .59939 L
.65884 .60033 L
.65972 .60183 L
.65979 .60193 L
.66092 .60354 L
.66133 .60409 L
.66207 .60514 L
.66293 .60634 L
.66354 .60675 L
.66434 .60835 L
.66454 .60863 L
.6654 .60996 L
.66614 .61105 L
.66647 .61156 L
.66743 .61317 L
.66775 .61373 L
.66802 .61477 L
.66775 .61484 L
.66767 .61477 L
.66614 .61346 L
.66586 .61317 L
.66454 .61192 L
.66431 .61156 L
.66293 .61006 L
.66278 .60996 L
.66145 .60835 L
.66133 .60822 L
.66008 .60675 L
.65972 .60669 L
.65872 .60514 L
.65812 .60454 L
.65737 .60354 L
.65651 .60252 L
.65591 .60193 L
.65491 .60053 L
.65473 .60033 L
.65343 .59872 L
.6533 .59863 L
.65214 .59712 L
.6517 .59661 L
.65055 .59551 L
.65009 .59455 L
.64953 .59391 L
.64848 .59251 L
.64834 .5923 L
.64703 .5907 L
.64688 .59055 L
.64576 .58909 L
.64527 .58849 L
.64437 .58749 L
.64367 .5864 L
.64326 .58588 L
.64206 .58436 L
.64203 .58428 L
.64074 .58267 L
.64046 .58236 L
.63923 .58106 L
.63885 .58026 L
.63819 .57946 L
.63725 .57816 L
.63705 .57785 L
.63574 .57625 L
.63564 .57616 L
.6345 .57464 L
.63404 .57409 L
.63312 .57304 L
.63243 .57197 L
.63203 .57143 L
.63083 .56989 L
.6308 .56983 L
.62954 .56822 L
.62922 .56789 L
.62803 .56662 L
.62762 .56577 L
.62701 .56501 L
.62601 .56365 L
.62586 .56341 L
.62459 .5618 L
.62441 .56167 L
.62289 .5602 L
.6228 .55956 L
.62197 .55859 L
.6212 .55742 L
.62088 .55699 L
.61964 .55538 L
.61959 .55538 L
.61842 .55378 L
.61799 .55335 L
.6169 .55217 L
.61638 .55118 L
.61589 .55057 L
.61477 .54905 L
.61472 .54896 L
.61349 .54735 L
.61317 .54714 L
.61176 .54575 L
.61156 .54496 L
.61088 .54414 L
.60996 .54279 L
.60978 .54254 L
.60856 .54093 L
.60835 .54067 L
.60735 .53933 L
.60675 .53875 L
.60583 .53772 L
.60514 .53653 L
.60482 .53612 L
.60365 .53451 L
.60354 .53438 L
.60244 .53291 L
.60193 .53258 L
.60072 .5313 L
.60033 .53028 L
.59985 .5297 L
.59874 .52809 L
.59872 .52807 L
.59754 .52649 L
.59712 .52595 L
.59632 .52488 L
.59551 .52404 L
.59486 .52328 L
.59391 .52176 L
.59384 .52167 L
.59266 .52007 L
.5923 .51961 L
.59145 .51846 L
.5907 .51784 L
.58983 .51686 L
.58909 .51542 L
.58896 .51525 L
.58781 .51364 L
.58749 .51323 L
.58662 .51204 L
.58588 .51109 L
.58541 .51043 L
.58428 .50902 L
.58412 .50883 L
.58301 .50722 L
.58267 .50678 L
.58185 .50562 L
.58106 .50459 L
.58066 .50401 L
.57946 .50242 L
.57944 .50241 L
.57834 .5008 L
.57785 .50016 L
.57722 .4992 L
.57625 .49787 L
.57607 .49759 L
.575 .49599 L
.57464 .49546 L
.57405 .49438 L
F
.114 .93 1 r
.57464 .56308 m
.5755 .56341 L
.57625 .56384 L
.5776 .56501 L
.57785 .56509 L
.57914 .56662 L
.57946 .5669 L
.58054 .56822 L
.58106 .56883 L
.58211 .56983 L
.58267 .57084 L
.58317 .57143 L
.58428 .57288 L
.58437 .57304 L
.58565 .57464 L
.58588 .57471 L
.58736 .57625 L
.58749 .57691 L
.58818 .57785 L
.58909 .57921 L
.58923 .57946 L
.59038 .58106 L
.5907 .58153 L
.59146 .58267 L
.5923 .58405 L
.59253 .58428 L
.59304 .58588 L
.5923 .58644 L
.59136 .58588 L
.5907 .58541 L
.58952 .58428 L
.58909 .58415 L
.58802 .58267 L
.58749 .58221 L
.58664 .58106 L
.58588 .58023 L
.58497 .57946 L
.58428 .5782 L
.58395 .57785 L
.58273 .57625 L
.58267 .57617 L
.58149 .57464 L
.58106 .57444 L
.58026 .57304 L
.57946 .57216 L
.57888 .57143 L
.57785 .56987 L
.57782 .56983 L
.57668 .56822 L
.57625 .56761 L
.57557 .56662 L
.57464 .56516 L
.57448 .56501 L
.5741 .56341 L
F
.003 .81 1 r
.57464 .50054 m
.57491 .5008 L
.57625 .50213 L
.57651 .50241 L
.57785 .5038 L
.57797 .50401 L
.57938 .50562 L
.57946 .50571 L
.58076 .50722 L
.58106 .50757 L
.58212 .50883 L
.58267 .50947 L
.58347 .51043 L
.58428 .51127 L
.58481 .51204 L
.58588 .51334 L
.58618 .51364 L
.58743 .51525 L
.58749 .51532 L
.58873 .51686 L
.58909 .51708 L
.59003 .51846 L
.5907 .51923 L
.59155 .52007 L
.5923 .52131 L
.5926 .52167 L
.59387 .52328 L
.59391 .52332 L
.59514 .52488 L
.59551 .52524 L
.59693 .52649 L
.59712 .52736 L
.59775 .52809 L
.59872 .52944 L
.5989 .5297 L
.60019 .5313 L
.60033 .53136 L
.60144 .53291 L
.60193 .53346 L
.6029 .53451 L
.60354 .53559 L
.60394 .53612 L
.60514 .53767 L
.60517 .53772 L
.60643 .53933 L
.60675 .53961 L
.60812 .54093 L
.60835 .54177 L
.60899 .54254 L
.60996 .5439 L
.61012 .54414 L
.61138 .54575 L
.61156 .54579 L
.61261 .54735 L
.61317 .54797 L
.61405 .54896 L
.61477 .55015 L
.61508 .55057 L
.6163 .55217 L
.61638 .55228 L
.61751 .55378 L
.61799 .55416 L
.61918 .55538 L
.61959 .55643 L
.62003 .55699 L
.62117 .55859 L
.6212 .55862 L
.62237 .5602 L
.6228 .56076 L
.62358 .5618 L
.62441 .56275 L
.62496 .56341 L
.626 .56501 L
.62601 .56503 L
.62718 .56662 L
.62762 .5672 L
.62837 .56822 L
.62922 .56911 L
.62985 .56983 L
.63074 .57143 L
.63083 .57155 L
.63188 .57304 L
.63243 .57378 L
.63304 .57464 L
.63404 .57602 L
.6342 .57625 L
.6353 .57785 L
.63564 .57833 L
.63637 .57946 L
.63725 .58073 L
.63745 .58106 L
.63725 .58253 L
.63587 .58106 L
.63564 .58084 L
.63444 .57946 L
.63404 .57904 L
.63304 .57785 L
.63243 .57718 L
.63166 .57625 L
.63083 .57569 L
.63031 .57464 L
.62922 .57343 L
.62871 .57304 L
.62764 .57143 L
.62762 .5714 L
.62635 .56983 L
.62601 .56942 L
.62506 .56822 L
.62441 .56766 L
.62376 .56662 L
.6228 .56548 L
.62232 .56501 L
.6212 .56342 L
.62119 .56341 L
.61993 .5618 L
.61959 .56138 L
.61867 .5602 L
.61799 .55949 L
.617 .55859 L
.61638 .55734 L
.61607 .55699 L
.61487 .55538 L
.61477 .55526 L
.61363 .55378 L
.61317 .55345 L
.61238 .55217 L
.61156 .55123 L
.61094 .55057 L
.60996 .54909 L
.60986 .54896 L
.60864 .54735 L
.60835 .547 L
.6074 .54575 L
.60675 .5451 L
.60578 .54414 L
.60514 .54289 L
.60484 .54254 L
.60367 .54093 L
.60354 .54077 L
.60245 .53933 L
.60193 .539 L
.60122 .53772 L
.60033 .53669 L
.59982 .53612 L
.59874 .53451 L
.59872 .5345 L
.59753 .53291 L
.59712 .53238 L
.59631 .5313 L
.59551 .53049 L
.59476 .5297 L
.59391 .5282 L
.59382 .52809 L
.59264 .52649 L
.5923 .52606 L
.59143 .52488 L
.5907 .52433 L
.59021 .52328 L
.58909 .52187 L
.58892 .52167 L
.58779 .52007 L
.58749 .51968 L
.5866 .51846 L
.58588 .51753 L
.58539 .51686 L
.58428 .51547 L
.58408 .51525 L
.583 .51364 L
.58267 .51321 L
.58184 .51204 L
.58106 .51102 L
.58065 .51043 L
.57946 .50884 L
.57945 .50883 L
.57835 .50722 L
.57785 .50656 L
.57723 .50562 L
.57625 .50426 L
.57609 .50401 L
.57506 .50241 L
.57464 .50178 L
.57419 .5008 L
F
1 .75 0 r
.57464 .56944 m
.57503 .56983 L
.57625 .57108 L
.57654 .57143 L
.57785 .57303 L
.57786 .57304 L
.57896 .57464 L
.57946 .57536 L
.57992 .57625 L
.57946 .5765 L
.57922 .57625 L
.57785 .57484 L
.5777 .57464 L
.57638 .57304 L
.57625 .57288 L
.57524 .57143 L
.57464 .57059 L
.57423 .56983 L
F
0 .54 1 r
.57464 .52653 m
.57549 .52809 L
.57464 .52816 L
.57458 .52809 L
F
1 .74 0 r
.57464 .5698 m
.57468 .56983 L
.57625 .57128 L
.57637 .57143 L
.57625 .57264 L
.57546 .57143 L
.57464 .57012 L
.5746 .56983 L
F
.084 .92 1 r
.57625 .56407 m
.57739 .56501 L
.57785 .56516 L
.579 .56662 L
.57946 .56702 L
.58042 .56822 L
.58106 .56895 L
.58202 .56983 L
.58267 .57095 L
.58308 .57143 L
.58428 .57298 L
.58431 .57304 L
.58556 .57464 L
.58588 .57476 L
.58732 .57625 L
.58749 .57703 L
.58808 .57785 L
.58909 .57937 L
.58914 .57946 L
.59026 .58106 L
.5907 .58173 L
.59131 .58267 L
.59222 .58428 L
.5923 .58445 L
.59248 .58588 L
.5923 .58597 L
.59196 .58588 L
.5907 .58516 L
.58973 .58428 L
.58909 .58407 L
.58816 .58267 L
.58749 .58208 L
.58674 .58106 L
.58588 .58011 L
.58509 .57946 L
.58428 .5781 L
.58404 .57785 L
.58281 .57625 L
.58267 .57608 L
.58157 .57464 L
.58106 .57437 L
.58033 .57304 L
.57946 .57205 L
.57897 .57143 L
.57791 .56983 L
.57785 .56975 L
.57678 .56822 L
.57625 .56746 L
.57569 .56662 L
.57473 .56501 L
F
.061 .91 1 r
.57625 .5643 m
.57716 .56501 L
.57785 .56524 L
.57885 .56662 L
.57946 .56715 L
.58031 .56822 L
.58106 .56907 L
.58192 .56983 L
.58267 .57107 L
.58299 .57143 L
.58424 .57304 L
.58428 .57309 L
.58547 .57464 L
.58588 .57481 L
.58725 .57625 L
.58749 .57717 L
.58798 .57785 L
.58904 .57946 L
.58909 .57954 L
.59013 .58106 L
.5907 .58194 L
.59115 .58267 L
.59196 .58428 L
.5907 .5849 L
.58997 .58428 L
.58909 .58394 L
.58831 .58267 L
.58749 .58195 L
.58686 .58106 L
.58588 .57999 L
.58522 .57946 L
.58428 .578 L
.58414 .57785 L
.58289 .57625 L
.58267 .57598 L
.58165 .57464 L
.58106 .57429 L
.58041 .57304 L
.57946 .57193 L
.57907 .57143 L
.578 .56983 L
.57785 .56963 L
.57688 .56822 L
.57625 .5673 L
.57581 .56662 L
.57495 .56501 L
F
.045 .9 1 r
.57625 .56455 m
.5769 .56501 L
.57785 .56536 L
.57869 .56662 L
.57946 .56728 L
.58018 .56822 L
.58106 .5692 L
.5818 .56983 L
.58267 .57118 L
.58289 .57143 L
.58414 .57304 L
.58428 .5732 L
.58538 .57464 L
.58588 .57489 L
.58717 .57625 L
.58749 .57732 L
.58787 .57785 L
.58892 .57946 L
.58909 .5797 L
.59 .58106 L
.5907 .58218 L
.59099 .58267 L
.59163 .58428 L
.5907 .58461 L
.59026 .58428 L
.58909 .58375 L
.58847 .58267 L
.58749 .5818 L
.58698 .58106 L
.58588 .57987 L
.58536 .57946 L
.58428 .57789 L
.58424 .57785 L
.58298 .57625 L
.58267 .57587 L
.58172 .57464 L
.58106 .5742 L
.58048 .57304 L
.57946 .5718 L
.57917 .57143 L
.57809 .56983 L
.57785 .5695 L
.57698 .56822 L
.57625 .56712 L
.57593 .56662 L
.57521 .56501 L
F
.002 .8 1 r
.57625 .50235 m
.57631 .50241 L
.57782 .50401 L
.57785 .50405 L
.57925 .50562 L
.57946 .50584 L
.58065 .50722 L
.58106 .50769 L
.58203 .50883 L
.58267 .50957 L
.58339 .51043 L
.58428 .51137 L
.58473 .51204 L
.58588 .51343 L
.5861 .51364 L
.58736 .51525 L
.58749 .5154 L
.58867 .51686 L
.58909 .51712 L
.58997 .51846 L
.5907 .5193 L
.59149 .52007 L
.5923 .52137 L
.59255 .52167 L
.59382 .52328 L
.59391 .52339 L
.59509 .52488 L
.59551 .52529 L
.5969 .52649 L
.59712 .52741 L
.59771 .52809 L
.59872 .52949 L
.59886 .5297 L
.60015 .5313 L
.60033 .53138 L
.6014 .53291 L
.60193 .53351 L
.60287 .53451 L
.60354 .53564 L
.60391 .53612 L
.60514 .53771 L
.60515 .53772 L
.60639 .53933 L
.60675 .53964 L
.60809 .54093 L
.60835 .54181 L
.60895 .54254 L
.60996 .54395 L
.61009 .54414 L
.61134 .54575 L
.61156 .5458 L
.61257 .54735 L
.61317 .54801 L
.61401 .54896 L
.61477 .5502 L
.61504 .55057 L
.61625 .55217 L
.61638 .55233 L
.61747 .55378 L
.61799 .55421 L
.61914 .55538 L
.61959 .55649 L
.61998 .55699 L
.62113 .55859 L
.6212 .55868 L
.62233 .5602 L
.6228 .56082 L
.62354 .5618 L
.62441 .56282 L
.6249 .56341 L
.62594 .56501 L
.62601 .5651 L
.62712 .56662 L
.62762 .56727 L
.62831 .56822 L
.62922 .56922 L
.62975 .56983 L
.63067 .57143 L
.63083 .57165 L
.63181 .57304 L
.63243 .57389 L
.63296 .57464 L
.63404 .57614 L
.63411 .57625 L
.63518 .57785 L
.63564 .57851 L
.63624 .57946 L
.63725 .58098 L
.6373 .58106 L
.63725 .58221 L
.6361 .58106 L
.63564 .58065 L
.63459 .57946 L
.63404 .57889 L
.63315 .57785 L
.63243 .57706 L
.63176 .57625 L
.63083 .57556 L
.63039 .57464 L
.62922 .57332 L
.62885 .57304 L
.62772 .57143 L
.62762 .57132 L
.62642 .56983 L
.62601 .56935 L
.62512 .56822 L
.62441 .56759 L
.62382 .56662 L
.6228 .56542 L
.62239 .56501 L
.62124 .56341 L
.6212 .56336 L
.61998 .5618 L
.61959 .56133 L
.61871 .5602 L
.61799 .55944 L
.61705 .55859 L
.61638 .55729 L
.61611 .55699 L
.61491 .55538 L
.61477 .55521 L
.61367 .55378 L
.61317 .55342 L
.61241 .55217 L
.61156 .55118 L
.61098 .55057 L
.60996 .54904 L
.60989 .54896 L
.60867 .54735 L
.60835 .54696 L
.60743 .54575 L
.60675 .54506 L
.60581 .54414 L
.60514 .54285 L
.60488 .54254 L
.6037 .54093 L
.60354 .54073 L
.60248 .53933 L
.60193 .53897 L
.60125 .53772 L
.60033 .53664 L
.59986 .53612 L
.59877 .53451 L
.59872 .53445 L
.59756 .53291 L
.59712 .53234 L
.59634 .5313 L
.59551 .53044 L
.59481 .5297 L
.59391 .52815 L
.59386 .52809 L
.59268 .52649 L
.5923 .52601 L
.59147 .52488 L
.5907 .52427 L
.59025 .52328 L
.58909 .52181 L
.58897 .52167 L
.58783 .52007 L
.58749 .51962 L
.58664 .51846 L
.58588 .51747 L
.58544 .51686 L
.58428 .51538 L
.58416 .51525 L
.58306 .51364 L
.58267 .51314 L
.5819 .51204 L
.58106 .51094 L
.58071 .51043 L
.57953 .50883 L
.57946 .50873 L
.57844 .50722 L
.57785 .50643 L
.57733 .50562 L
.57625 .5041 L
.5762 .50401 L
.57528 .50241 L
F
.033 .89 1 r
.57625 .56483 m
.57656 .56501 L
.57785 .56553 L
.57853 .56662 L
.57946 .56742 L
.58006 .56822 L
.58106 .56933 L
.58167 .56983 L
.58267 .5713 L
.58279 .57143 L
.58405 .57304 L
.58428 .57332 L
.58529 .57464 L
.58588 .57499 L
.58707 .57625 L
.58749 .57748 L
.58775 .57785 L
.5888 .57946 L
.58909 .57988 L
.58986 .58106 L
.5907 .58247 L
.59081 .58267 L
.5907 .58427 L
.58909 .58349 L
.58865 .58267 L
.58749 .58164 L
.5871 .58106 L
.58588 .57973 L
.58552 .57946 L
.58434 .57785 L
.58428 .57778 L
.58306 .57625 L
.58267 .57577 L
.5818 .57464 L
.58106 .57409 L
.58056 .57304 L
.57946 .57166 L
.57928 .57143 L
.57819 .56983 L
.57785 .56936 L
.57709 .56822 L
.57625 .56692 L
.57607 .56662 L
.57557 .56501 L
F
0 .22 1 r
.57625 .51536 m
.57737 .51686 L
.57785 .51743 L
.57861 .51846 L
.57946 .51951 L
.57987 .52007 L
.58106 .52159 L
.58113 .52167 L
.58229 .52328 L
.58267 .52374 L
.58346 .52488 L
.58428 .52591 L
.58467 .52649 L
.58588 .52808 L
.58589 .52809 L
.58588 .52928 L
.58496 .52809 L
.58428 .52737 L
.5836 .52649 L
.58267 .52542 L
.58227 .52488 L
.58106 .52344 L
.58094 .52328 L
.57969 .52167 L
.57946 .52141 L
.57846 .52007 L
.57785 .51935 L
.57721 .51846 L
.57625 .51729 L
.57593 .51686 L
F
0 .21 1 r
.57625 .51542 m
.57731 .51686 L
.57785 .5175 L
.57856 .51846 L
.57946 .51957 L
.57982 .52007 L
.58106 .52164 L
.58108 .52167 L
.58223 .52328 L
.58267 .52382 L
.5834 .52488 L
.58428 .52599 L
.58461 .52649 L
.58428 .52729 L
.58367 .52649 L
.58267 .52535 L
.58232 .52488 L
.58106 .52339 L
.58098 .52328 L
.57974 .52167 L
.57946 .52135 L
.57851 .52007 L
.57785 .51929 L
.57725 .51846 L
.57625 .51723 L
.57598 .51686 L
F
0 .2 1 r
.57625 .51549 m
.57726 .51686 L
.57785 .51756 L
.57851 .51846 L
.57946 .51963 L
.57978 .52007 L
.57946 .52128 L
.57857 .52007 L
.57785 .51923 L
.5773 .51846 L
.57625 .51718 L
.57602 .51686 L
F
0 .19 1 r
.57625 .51556 m
.5772 .51686 L
.57785 .51763 L
.57846 .51846 L
.57946 .51969 L
.57973 .52007 L
.57946 .52121 L
.57863 .52007 L
.57785 .51916 L
.57735 .51846 L
.57625 .51711 L
.57606 .51686 L
F
1 .48 0 r
.57625 .50886 m
.57757 .51043 L
.57785 .51074 L
.57892 .51204 L
.57946 .51265 L
.58026 .51364 L
.58106 .51459 L
.58159 .51525 L
.58267 .51656 L
.58291 .51686 L
.5842 .51846 L
.58428 .51855 L
.58547 .52007 L
.58588 .52057 L
.58674 .52167 L
.58749 .52259 L
.58802 .52328 L
.58909 .52447 L
.5893 .52488 L
.59054 .52649 L
.5907 .52667 L
.59178 .52809 L
.5923 .52874 L
.59303 .5297 L
.59391 .53081 L
.59428 .5313 L
.59551 .53288 L
.59554 .53291 L
.59673 .53451 L
.59712 .535 L
.59795 .53612 L
.59872 .53711 L
.59918 .53772 L
.60033 .53914 L
.60041 .53933 L
.60159 .54093 L
.60193 .54138 L
.60277 .54254 L
.60354 .54354 L
.60397 .54414 L
.60514 .54571 L
.60517 .54575 L
.60629 .54735 L
.60675 .54796 L
.60742 .54896 L
.60835 .55024 L
.60857 .55057 L
.60835 .55183 L
.60729 .55057 L
.60675 .55 L
.60591 .54896 L
.60514 .5481 L
.60455 .54735 L
.60354 .54618 L
.6032 .54575 L
.60193 .54429 L
.60187 .54414 L
.6006 .54254 L
.60033 .54222 L
.59933 .54093 L
.59872 .54021 L
.59805 .53933 L
.59712 .53819 L
.59676 .53772 L
.59551 .53619 L
.59542 .53612 L
.59424 .53451 L
.59391 .53411 L
.593 .53291 L
.5923 .53204 L
.59174 .5313 L
.5907 .53024 L
.59048 .5297 L
.58925 .52809 L
.58909 .5279 L
.58804 .52649 L
.58749 .52579 L
.58681 .52488 L
.58588 .5237 L
.58557 .52328 L
.58434 .52167 L
.58428 .52159 L
.58316 .52007 L
.58267 .51944 L
.58197 .51846 L
.58106 .5173 L
.58075 .51686 L
.57954 .51525 L
.57946 .51515 L
.57841 .51364 L
.57785 .51292 L
.57726 .51204 L
.57625 .51069 L
.57608 .51043 L
F
1 .21 0 r
.57625 .52232 m
.57679 .52328 L
.57625 .52345 L
.57611 .52328 L
F
0 .18 1 r
.57625 .51564 m
.57713 .51686 L
.57785 .5177 L
.5784 .51846 L
.57946 .51976 L
.57968 .52007 L
.57946 .52113 L
.57869 .52007 L
.57785 .51909 L
.57741 .51846 L
.57625 .51705 L
.57611 .51686 L
F
1 .47 0 r
.57625 .50897 m
.57749 .51043 L
.57785 .51082 L
.57885 .51204 L
.57946 .51272 L
.58021 .51364 L
.58106 .51465 L
.58154 .51525 L
.58267 .51661 L
.58286 .51686 L
.58415 .51846 L
.58428 .5186 L
.58542 .52007 L
.58588 .52062 L
.5867 .52167 L
.58749 .52263 L
.58799 .52328 L
.58909 .52454 L
.58926 .52488 L
.59051 .52649 L
.5907 .52672 L
.59174 .52809 L
.5923 .52879 L
.593 .5297 L
.59391 .53085 L
.59425 .5313 L
.59549 .53291 L
.59551 .53293 L
.59669 .53451 L
.59712 .53505 L
.59791 .53612 L
.59872 .53716 L
.59914 .53772 L
.60033 .53923 L
.60037 .53933 L
.60154 .54093 L
.60193 .54143 L
.60273 .54254 L
.60354 .5436 L
.60393 .54414 L
.60512 .54575 L
.60514 .54577 L
.60623 .54735 L
.60675 .54805 L
.60735 .54896 L
.60835 .55034 L
.6085 .55057 L
.60835 .55171 L
.60738 .55057 L
.60675 .54991 L
.60598 .54896 L
.60514 .54803 L
.6046 .54735 L
.60354 .54612 L
.60325 .54575 L
.60193 .54419 L
.60191 .54414 L
.60065 .54254 L
.60033 .54217 L
.59937 .54093 L
.59872 .54016 L
.59808 .53933 L
.59712 .53815 L
.59679 .53772 L
.59551 .53613 L
.5955 .53612 L
.59428 .53451 L
.59391 .53406 L
.59303 .53291 L
.5923 .532 L
.59178 .5313 L
.5907 .53017 L
.59051 .5297 L
.58928 .52809 L
.58909 .52786 L
.58807 .52649 L
.58749 .52575 L
.58685 .52488 L
.58588 .52365 L
.5856 .52328 L
.58438 .52167 L
.58428 .52154 L
.5832 .52007 L
.58267 .51939 L
.58201 .51846 L
.58106 .51725 L
.58079 .51686 L
.57959 .51525 L
.57946 .51508 L
.57847 .51364 L
.57785 .51285 L
.57731 .51204 L
.57625 .51061 L
.57613 .51043 L
F
0 .17 1 r
.57625 .51573 m
.57706 .51686 L
.57785 .51778 L
.57834 .51846 L
.57946 .51984 L
.57962 .52007 L
.57946 .52104 L
.57877 .52007 L
.57785 .51901 L
.57746 .51846 L
.57625 .51698 L
.57616 .51686 L
F
1 .2 0 r
.57625 .52244 m
.57667 .52328 L
.57625 .52336 L
.57618 .52328 L
F
1 .46 0 r
.57625 .50908 m
.5774 .51043 L
.57785 .51091 L
.57879 .51204 L
.57946 .51279 L
.58015 .51364 L
.58106 .51471 L
.58149 .51525 L
.58267 .51667 L
.58282 .51686 L
.58411 .51846 L
.58428 .51866 L
.58538 .52007 L
.58588 .52067 L
.58666 .52167 L
.58749 .52268 L
.58795 .52328 L
.58909 .52461 L
.58922 .52488 L
.59047 .52649 L
.5907 .52677 L
.59171 .52809 L
.5923 .52883 L
.59296 .5297 L
.59391 .5309 L
.59421 .5313 L
.59545 .53291 L
.59551 .53298 L
.59666 .53451 L
.59712 .5351 L
.59788 .53612 L
.59872 .53721 L
.59911 .53772 L
.60033 .53931 L
.60033 .53933 L
.6015 .54093 L
.60193 .54149 L
.60268 .54254 L
.60354 .54366 L
.60388 .54414 L
.60506 .54575 L
.60514 .54585 L
.60616 .54735 L
.60675 .54814 L
.60728 .54896 L
.60835 .55046 L
.60842 .55057 L
.60835 .55156 L
.6075 .55057 L
.60675 .54982 L
.60605 .54896 L
.60514 .54796 L
.60466 .54735 L
.60354 .54606 L
.6033 .54575 L
.60196 .54414 L
.60193 .54411 L
.60069 .54254 L
.60033 .54211 L
.59941 .54093 L
.59872 .54011 L
.59812 .53933 L
.59712 .5381 L
.59683 .53772 L
.59554 .53612 L
.59551 .53608 L
.59432 .53451 L
.59391 .53402 L
.59307 .53291 L
.5923 .53196 L
.59181 .5313 L
.5907 .53009 L
.59054 .5297 L
.58932 .52809 L
.58909 .52781 L
.58811 .52649 L
.58749 .52571 L
.58688 .52488 L
.58588 .52361 L
.58563 .52328 L
.58442 .52167 L
.58428 .5215 L
.58324 .52007 L
.58267 .51934 L
.58204 .51846 L
.58106 .51719 L
.58082 .51686 L
.57964 .51525 L
.57946 .51502 L
.57852 .51364 L
.57785 .51277 L
.57737 .51204 L
.57625 .51053 L
.57619 .51043 L
F
0 .16 1 r
.57625 .51583 m
.57697 .51686 L
.57785 .51787 L
.57827 .51846 L
.57946 .51992 L
.57956 .52007 L
.57946 .52094 L
.57885 .52007 L
.57785 .51893 L
.57753 .51846 L
.57625 .5169 L
.57622 .51686 L
F
.024 .88 1 r
.57625 .56518 m
.57785 .56578 L
.57835 .56662 L
.57946 .56758 L
.57993 .56822 L
.58106 .56946 L
.58152 .56983 L
.58267 .57142 L
.58268 .57143 L
.58395 .57304 L
.58428 .57344 L
.5852 .57464 L
.58588 .57511 L
.58694 .57625 L
.58749 .57767 L
.58762 .57785 L
.58868 .57946 L
.58909 .58008 L
.58971 .58106 L
.59058 .58267 L
.58909 .58313 L
.58885 .58267 L
.58749 .58145 L
.58723 .58106 L
.58588 .57959 L
.5857 .57946 L
.58444 .57785 L
.58428 .57766 L
.58315 .57625 L
.58267 .57566 L
.58189 .57464 L
.58106 .57397 L
.58064 .57304 L
.57946 .57151 L
.5794 .57143 L
.57829 .56983 L
.57785 .56922 L
.5772 .56822 L
.57625 .56667 L
.57622 .56662 L
F
.018 .87 1 r
.57785 .56611 m
.57814 .56662 L
.57946 .56776 L
.57979 .56822 L
.58106 .56961 L
.58135 .56983 L
.58257 .57143 L
.58267 .57155 L
.58385 .57304 L
.58428 .57357 L
.5851 .57464 L
.58588 .57526 L
.58679 .57625 L
.58748 .57785 L
.58749 .57787 L
.58855 .57946 L
.58909 .58029 L
.58956 .58106 L
.59024 .58267 L
.58909 .58268 L
.58909 .58267 L
.58749 .58124 L
.58737 .58106 L
.5859 .57946 L
.58588 .57944 L
.58455 .57785 L
.58428 .57754 L
.58324 .57625 L
.58267 .57555 L
.58197 .57464 L
.58106 .57382 L
.58072 .57304 L
.57951 .57143 L
.57946 .57137 L
.57839 .56983 L
.57785 .56906 L
.57732 .56822 L
.57643 .56662 L
F
1 .94 .156 r
.57785 .49749 m
.5779 .49759 L
.57945 .4992 L
.57946 .49921 L
.58091 .5008 L
.58106 .50096 L
.58235 .50241 L
.58267 .50277 L
.58375 .50401 L
.58428 .50449 L
.58514 .50562 L
.58588 .50651 L
.58666 .50722 L
.58749 .50847 L
.58779 .50883 L
.58909 .51039 L
.58911 .51043 L
.59047 .51204 L
.5907 .5123 L
.59212 .51364 L
.5923 .51432 L
.59309 .51525 L
.59391 .51636 L
.59424 .51686 L
.59551 .51835 L
.59567 .51846 L
.59695 .52007 L
.59712 .52028 L
.5983 .52167 L
.59872 .52235 L
.59941 .52328 L
.60033 .52444 L
.60052 .52488 L
.60193 .52644 L
.60204 .52649 L
.60342 .52809 L
.60354 .52841 L
.60454 .5297 L
.60514 .53052 L
.60563 .5313 L
.60675 .53263 L
.60708 .53291 L
.60832 .53451 L
.60835 .53456 L
.60962 .53612 L
.60996 .53665 L
.61072 .53772 L
.61156 .53878 L
.61178 .53933 L
.61317 .54085 L
.61332 .54093 L
.61465 .54254 L
.61477 .54283 L
.61578 .54414 L
.61638 .54496 L
.61686 .54575 L
.61799 .54708 L
.61829 .54735 L
.61951 .54896 L
.61959 .54905 L
.62081 .55057 L
.6212 .55116 L
.6219 .55217 L
.6228 .55329 L
.62297 .55378 L
.62441 .55534 L
.62446 .55538 L
.62583 .55699 L
.62601 .55739 L
.62692 .55859 L
.62762 .55952 L
.628 .5602 L
.62922 .56163 L
.6294 .5618 L
.63062 .56341 L
.63083 .56364 L
.63193 .56501 L
.63243 .56577 L
.63301 .56662 L
.63404 .5679 L
.63413 .56822 L
.63553 .56983 L
.63564 .56993 L
.63695 .57143 L
.63725 .57204 L
.63799 .57304 L
.63885 .57419 L
.6391 .57464 L
.64042 .57625 L
.64046 .57626 L
.64164 .57785 L
.64206 .57831 L
.64298 .57946 L
.64367 .58049 L
.64405 .58106 L
.64527 .58264 L
.64528 .58267 L
.6465 .58428 L
.64688 .58458 L
.64798 .58588 L
.64848 .58682 L
.64896 .58749 L
.65009 .58903 L
.65012 .58909 L
.65132 .5907 L
.6517 .59119 L
.65307 .5923 L
.6533 .5932 L
.65383 .59391 L
.65491 .5955 L
.65491 .59551 L
.65607 .59712 L
.65651 .5977 L
.65725 .59872 L
.65812 .59968 L
.65861 .60033 L
.65957 .60193 L
.65972 .60213 L
.66069 .60354 L
.66133 .60442 L
.66182 .60514 L
.66293 .60674 L
.66294 .60675 L
.66394 .60835 L
.66454 .60927 L
.66492 .60996 L
.66454 .61105 L
.66343 .60996 L
.66293 .6095 L
.66188 .60835 L
.66133 .60778 L
.66042 .60675 L
.65972 .60649 L
.65901 .60514 L
.65812 .60423 L
.65762 .60354 L
.65651 .60224 L
.65617 .60193 L
.65493 .60033 L
.65491 .6003 L
.65362 .59872 L
.6533 .5985 L
.6523 .59712 L
.6517 .59643 L
.65068 .59551 L
.65009 .59438 L
.64966 .59391 L
.64848 .59238 L
.64843 .5923 L
.64714 .5907 L
.64688 .59044 L
.64587 .58909 L
.64527 .58837 L
.64446 .58749 L
.64367 .58629 L
.64334 .58588 L
.64207 .58428 L
.64206 .58427 L
.64082 .58267 L
.64046 .58228 L
.63928 .58106 L
.63885 .58018 L
.63826 .57946 L
.63725 .57809 L
.6371 .57785 L
.6358 .57625 L
.63564 .57611 L
.63456 .57464 L
.63404 .57402 L
.63317 .57304 L
.63243 .5719 L
.63208 .57143 L
.63083 .56984 L
.63082 .56983 L
.62959 .56822 L
.62922 .56784 L
.62807 .56662 L
.62762 .56571 L
.62705 .56501 L
.62601 .5636 L
.62589 .56341 L
.62463 .5618 L
.62441 .56163 L
.62291 .5602 L
.6228 .55951 L
.62201 .55859 L
.6212 .55736 L
.62092 .55699 L
.61968 .55538 L
.61959 .55537 L
.61846 .55378 L
.61799 .5533 L
.61694 .55217 L
.61638 .55113 L
.61593 .55057 L
.61477 .549 L
.61475 .54896 L
.61353 .54735 L
.61317 .54711 L
.61179 .54575 L
.61156 .54491 L
.61092 .54414 L
.60996 .54273 L
.60982 .54254 L
.60861 .54093 L
.60835 .54061 L
.60739 .53933 L
.60675 .5387 L
.60588 .53772 L
.60514 .53647 L
.60487 .53612 L
.60369 .53451 L
.60354 .53432 L
.60249 .53291 L
.60193 .53252 L
.60077 .5313 L
.60033 .5302 L
.59991 .5297 L
.59879 .52809 L
.59872 .528 L
.5976 .52649 L
.59712 .52587 L
.59638 .52488 L
.59551 .52395 L
.59494 .52328 L
.59392 .52167 L
.59391 .52166 L
.59273 .52007 L
.5923 .51952 L
.59153 .51846 L
.5907 .51771 L
.58995 .51686 L
.58909 .51528 L
.58907 .51525 L
.58791 .51364 L
.58749 .5131 L
.58672 .51204 L
.58588 .51094 L
.58552 .51043 L
.5843 .50883 L
.58428 .5088 L
.58316 .50722 L
.58267 .50658 L
.582 .50562 L
.58106 .50437 L
.58082 .50401 L
.57968 .50241 L
.57946 .50211 L
.5786 .5008 L
.57785 .49975 L
.57752 .4992 L
.57648 .49759 L
F
.013 .86 1 r
.57785 .56654 m
.5779 .56662 L
.57946 .56796 L
.57965 .56822 L
.58106 .56976 L
.58115 .56983 L
.58246 .57143 L
.58267 .57168 L
.58375 .57304 L
.58428 .57369 L
.585 .57464 L
.58588 .57545 L
.58661 .57625 L
.58736 .57785 L
.58749 .57804 L
.58842 .57946 L
.58909 .58055 L
.58938 .58106 L
.58909 .58237 L
.58754 .58106 L
.58749 .58102 L
.58603 .57946 L
.58588 .5793 L
.58466 .57785 L
.58428 .57742 L
.58334 .57625 L
.58267 .57544 L
.58206 .57464 L
.58106 .57365 L
.5808 .57304 L
.57961 .57143 L
.57946 .57123 L
.5785 .56983 L
.57785 .56888 L
.57745 .56822 L
.57672 .56662 L
F
1 .98 .538 r
.57785 .56109 m
.57946 .56125 L
.58054 .5618 L
.58106 .56214 L
.58256 .56341 L
.58267 .5637 L
.58378 .56501 L
.58428 .56557 L
.58493 .56662 L
.58588 .56756 L
.58641 .56822 L
.58749 .56961 L
.58766 .56983 L
.58893 .57143 L
.58909 .57171 L
.59007 .57304 L
.5907 .57386 L
.59108 .57464 L
.5923 .57599 L
.59263 .57625 L
.59388 .57785 L
.59391 .57792 L
.59506 .57946 L
.59551 .58001 L
.59612 .58106 L
.59712 .58217 L
.5975 .58267 L
.59868 .58428 L
.59872 .58434 L
.59993 .58588 L
.60033 .58663 L
.60087 .58749 L
.60162 .58909 L
.60033 .58985 L
.59872 .58951 L
.59814 .58909 L
.59712 .58823 L
.59624 .58749 L
.59551 .58639 L
.59508 .58588 L
.59391 .58439 L
.59385 .58428 L
.59257 .58267 L
.5923 .58236 L
.59091 .58106 L
.5907 .58028 L
.58995 .57946 L
.58909 .57818 L
.58884 .57785 L
.58759 .57625 L
.58749 .57624 L
.58637 .57464 L
.58588 .5742 L
.58489 .57304 L
.58428 .57201 L
.58386 .57143 L
.58267 .56983 L
.58267 .56983 L
.58147 .56822 L
.58106 .56768 L
.57983 .56662 L
.57946 .56553 L
.57896 .56501 L
.57793 .56341 L
.57785 .56329 L
.5771 .5618 L
F
1 .45 0 r
.57785 .511 m
.57871 .51204 L
.57946 .51287 L
.58009 .51364 L
.58106 .51478 L
.58144 .51525 L
.58267 .51673 L
.58277 .51686 L
.58406 .51846 L
.58428 .51872 L
.58533 .52007 L
.58588 .52072 L
.58662 .52167 L
.58749 .52273 L
.58791 .52328 L
.58909 .52468 L
.58919 .52488 L
.59043 .52649 L
.5907 .52682 L
.59167 .52809 L
.5923 .52888 L
.59292 .5297 L
.59391 .53095 L
.59418 .5313 L
.59541 .53291 L
.59551 .53303 L
.59662 .53451 L
.59712 .53515 L
.59784 .53612 L
.59872 .53726 L
.59907 .53772 L
.60029 .53933 L
.60033 .53938 L
.60145 .54093 L
.60193 .54155 L
.60264 .54254 L
.60354 .54372 L
.60384 .54414 L
.605 .54575 L
.60514 .54593 L
.60609 .54735 L
.60675 .54824 L
.60721 .54896 L
.60675 .54971 L
.60613 .54896 L
.60514 .54788 L
.60472 .54735 L
.60354 .54599 L
.60335 .54575 L
.60202 .54414 L
.60193 .54405 L
.60074 .54254 L
.60033 .54206 L
.59946 .54093 L
.59872 .54006 L
.59816 .53933 L
.59712 .53806 L
.59686 .53772 L
.59558 .53612 L
.59551 .53603 L
.59435 .53451 L
.59391 .53397 L
.59311 .53291 L
.5923 .53191 L
.59184 .5313 L
.5907 .53001 L
.59057 .5297 L
.58936 .52809 L
.58909 .52777 L
.58815 .52649 L
.58749 .52566 L
.58691 .52488 L
.58588 .52357 L
.58567 .52328 L
.58446 .52167 L
.58428 .52144 L
.58328 .52007 L
.58267 .51929 L
.58208 .51846 L
.58106 .51714 L
.58086 .51686 L
.5797 .51525 L
.57946 .51495 L
.57858 .51364 L
.57785 .51269 L
.57743 .51204 L
F
.001 .79 1 r
.57785 .50423 m
.57911 .50562 L
.57946 .50599 L
.58053 .50722 L
.58106 .50781 L
.58193 .50883 L
.58267 .50968 L
.5833 .51043 L
.58428 .51148 L
.58465 .51204 L
.58588 .51352 L
.58601 .51364 L
.58729 .51525 L
.58749 .51548 L
.5886 .51686 L
.58909 .51718 L
.58991 .51846 L
.5907 .51937 L
.59143 .52007 L
.5923 .52144 L
.5925 .52167 L
.59377 .52328 L
.59391 .52345 L
.59504 .52488 L
.59551 .52534 L
.59687 .52649 L
.59712 .52747 L
.59766 .52809 L
.59872 .52955 L
.59883 .5297 L
.6001 .5313 L
.60033 .5314 L
.60136 .53291 L
.60193 .53356 L
.60283 .53451 L
.60354 .53569 L
.60387 .53612 L
.60511 .53772 L
.60514 .53776 L
.60635 .53933 L
.60675 .53968 L
.60807 .54093 L
.60835 .54186 L
.60891 .54254 L
.60996 .544 L
.61006 .54414 L
.6113 .54575 L
.61156 .54581 L
.61253 .54735 L
.61317 .54806 L
.61397 .54896 L
.61477 .55026 L
.61501 .55057 L
.61621 .55217 L
.61638 .55238 L
.61743 .55378 L
.61799 .55425 L
.6191 .55538 L
.61959 .55655 L
.61994 .55699 L
.62108 .55859 L
.6212 .55874 L
.62228 .5602 L
.6228 .56088 L
.62349 .5618 L
.62441 .5629 L
.62484 .56341 L
.62589 .56501 L
.62601 .56517 L
.62706 .56662 L
.62762 .56735 L
.62825 .56822 L
.62922 .56934 L
.62965 .56983 L
.63059 .57143 L
.63083 .57175 L
.63173 .57304 L
.63243 .574 L
.63288 .57464 L
.63402 .57625 L
.63404 .57627 L
.63505 .57785 L
.63564 .57871 L
.63609 .57946 L
.63564 .58042 L
.63476 .57946 L
.63404 .57873 L
.63328 .57785 L
.63243 .57693 L
.63186 .57625 L
.63083 .57541 L
.63047 .57464 L
.62922 .57321 L
.629 .57304 L
.62779 .57143 L
.62762 .57123 L
.62649 .56983 L
.62601 .56927 L
.62518 .56822 L
.62441 .56752 L
.62387 .56662 L
.6228 .56535 L
.62245 .56501 L
.62129 .56341 L
.6212 .5633 L
.62002 .5618 L
.61959 .56127 L
.61875 .5602 L
.61799 .55938 L
.6171 .55859 L
.61638 .55723 L
.61616 .55699 L
.61495 .55538 L
.61477 .55516 L
.6137 .55378 L
.61317 .55338 L
.61245 .55217 L
.61156 .55114 L
.61102 .55057 L
.60996 .549 L
.60993 .54896 L
.6087 .54735 L
.60835 .54692 L
.60746 .54575 L
.60675 .54502 L
.60585 .54414 L
.60514 .5428 L
.60492 .54254 L
.60374 .54093 L
.60354 .54068 L
.60251 .53933 L
.60193 .53893 L
.60128 .53772 L
.60033 .5366 L
.5999 .53612 L
.5988 .53451 L
.59872 .53441 L
.5976 .53291 L
.59712 .5323 L
.59637 .5313 L
.59551 .53039 L
.59486 .5297 L
.59391 .5281 L
.5939 .52809 L
.59271 .52649 L
.5923 .52596 L
.5915 .52488 L
.5907 .52421 L
.59028 .52328 L
.58909 .52174 L
.58903 .52167 L
.58788 .52007 L
.58749 .51956 L
.58669 .51846 L
.58588 .51741 L
.58548 .51686 L
.58428 .51528 L
.58425 .51525 L
.58312 .51364 L
.58267 .51306 L
.58196 .51204 L
.58106 .51085 L
.58078 .51043 L
.57961 .50883 L
.57946 .50862 L
.57853 .50722 L
.57785 .50629 L
.57743 .50562 L
F
1 .44 0 r
.57785 .5111 m
.57863 .51204 L
.57946 .51294 L
.58003 .51364 L
.58106 .51485 L
.58139 .51525 L
.58267 .51679 L
.58273 .51686 L
.58401 .51846 L
.58428 .51877 L
.58529 .52007 L
.58588 .52077 L
.58658 .52167 L
.58749 .52278 L
.58787 .52328 L
.58909 .52476 L
.58915 .52488 L
.59039 .52649 L
.5907 .52687 L
.59163 .52809 L
.5923 .52893 L
.59289 .5297 L
.59391 .53099 L
.59414 .5313 L
.59537 .53291 L
.59551 .53308 L
.59658 .53451 L
.59712 .5352 L
.5978 .53612 L
.59872 .53731 L
.59903 .53772 L
.60024 .53933 L
.60033 .53944 L
.6014 .54093 L
.60193 .54161 L
.60259 .54254 L
.60354 .54379 L
.60379 .54414 L
.60493 .54575 L
.60514 .54602 L
.60601 .54735 L
.60675 .54835 L
.60712 .54896 L
.60675 .5496 L
.60622 .54896 L
.60514 .5478 L
.60479 .54735 L
.60354 .54592 L
.6034 .54575 L
.60208 .54414 L
.60193 .54398 L
.60079 .54254 L
.60033 .542 L
.5995 .54093 L
.59872 .54001 L
.5982 .53933 L
.59712 .53801 L
.5969 .53772 L
.59563 .53612 L
.59551 .53598 L
.59439 .53451 L
.59391 .53392 L
.59314 .53291 L
.5923 .53187 L
.59188 .5313 L
.5907 .52993 L
.59061 .5297 L
.58939 .52809 L
.58909 .52772 L
.58818 .52649 L
.58749 .52562 L
.58695 .52488 L
.58588 .52352 L
.5857 .52328 L
.5845 .52167 L
.58428 .52139 L
.58333 .52007 L
.58267 .51923 L
.58213 .51846 L
.58106 .51708 L
.58091 .51686 L
.57975 .51525 L
.57946 .51487 L
.57864 .51364 L
.57785 .5126 L
.57749 .51204 L
F
.001 .78 1 r
.57785 .50444 m
.57894 .50562 L
.57946 .50614 L
.58041 .50722 L
.58106 .50794 L
.58183 .50883 L
.58267 .50979 L
.58321 .51043 L
.58428 .5116 L
.58457 .51204 L
.58588 .51362 L
.58591 .51364 L
.58722 .51525 L
.58749 .51556 L
.58854 .51686 L
.58909 .51723 L
.58985 .51846 L
.5907 .51945 L
.59136 .52007 L
.5923 .52151 L
.59244 .52167 L
.59371 .52328 L
.59391 .52351 L
.59499 .52488 L
.59551 .52539 L
.59683 .52649 L
.59712 .52753 L
.59761 .52809 L
.59872 .5296 L
.59879 .5297 L
.60006 .5313 L
.60033 .53142 L
.60132 .53291 L
.60193 .53361 L
.60279 .53451 L
.60354 .53574 L
.60383 .53612 L
.60507 .53772 L
.60514 .53782 L
.60631 .53933 L
.60675 .53972 L
.60804 .54093 L
.60835 .54191 L
.60887 .54254 L
.60996 .54404 L
.61003 .54414 L
.61126 .54575 L
.61156 .54583 L
.6125 .54735 L
.61317 .54811 L
.61393 .54896 L
.61477 .55031 L
.61497 .55057 L
.61617 .55217 L
.61638 .55244 L
.61739 .55378 L
.61799 .5543 L
.61905 .55538 L
.61959 .55661 L
.61989 .55699 L
.62104 .55859 L
.6212 .5588 L
.62224 .5602 L
.6228 .56094 L
.62344 .5618 L
.62441 .56298 L
.62477 .56341 L
.62583 .56501 L
.62601 .56524 L
.62701 .56662 L
.62762 .56743 L
.62819 .56822 L
.62922 .56947 L
.62953 .56983 L
.63052 .57143 L
.63083 .57185 L
.63165 .57304 L
.63243 .57412 L
.63279 .57464 L
.6339 .57625 L
.63404 .57644 L
.63491 .57785 L
.63564 .57897 L
.63591 .57946 L
.63564 .58014 L
.63498 .57946 L
.63404 .57856 L
.63342 .57785 L
.63243 .5768 L
.63197 .57625 L
.63083 .57523 L
.63056 .57464 L
.62922 .57309 L
.62916 .57304 L
.62787 .57143 L
.62762 .57114 L
.62655 .56983 L
.62601 .56919 L
.62524 .56822 L
.62441 .56744 L
.62392 .56662 L
.6228 .56527 L
.62253 .56501 L
.62134 .56341 L
.6212 .56323 L
.62007 .5618 L
.61959 .56122 L
.6188 .5602 L
.61799 .55933 L
.61716 .55859 L
.61638 .55718 L
.6162 .55699 L
.61499 .55538 L
.61477 .55512 L
.61374 .55378 L
.61317 .55334 L
.61248 .55217 L
.61156 .55109 L
.61107 .55057 L
.60996 .54896 L
.60996 .54895 L
.60874 .54735 L
.60835 .54688 L
.6075 .54575 L
.60675 .54498 L
.60589 .54414 L
.60514 .54276 L
.60495 .54254 L
.60377 .54093 L
.60354 .54064 L
.60255 .53933 L
.60193 .5389 L
.60131 .53772 L
.60033 .53655 L
.59994 .53612 L
.59884 .53451 L
.59872 .53437 L
.59763 .53291 L
.59712 .53226 L
.59641 .5313 L
.59551 .53034 L
.5949 .5297 L
.59394 .52809 L
.59391 .52805 L
.59275 .52649 L
.5923 .52592 L
.59154 .52488 L
.5907 .52414 L
.59032 .52328 L
.58909 .52167 L
.58909 .52167 L
.58792 .52007 L
.58749 .51951 L
.58673 .51846 L
.58588 .51735 L
.58553 .51686 L
.58432 .51525 L
.58428 .5152 L
.58318 .51364 L
.58267 .51298 L
.58202 .51204 L
.58106 .51076 L
.58084 .51043 L
.57971 .50883 L
.57946 .5085 L
.57864 .50722 L
.57785 .50612 L
.57755 .50562 L
F
1 .43 0 r
.57785 .51121 m
.57854 .51204 L
.57946 .51303 L
.57996 .51364 L
.58106 .51492 L
.58133 .51525 L
.58267 .51685 L
.58268 .51686 L
.58395 .51846 L
.58428 .51883 L
.58524 .52007 L
.58588 .52083 L
.58654 .52167 L
.58749 .52283 L
.58783 .52328 L
.58909 .52484 L
.58911 .52488 L
.59034 .52649 L
.5907 .52692 L
.59159 .52809 L
.5923 .52898 L
.59285 .5297 L
.59391 .53104 L
.59411 .5313 L
.59533 .53291 L
.59551 .53313 L
.59653 .53451 L
.59712 .53525 L
.59776 .53612 L
.59872 .53736 L
.59899 .53772 L
.60019 .53933 L
.60033 .5395 L
.60135 .54093 L
.60193 .54168 L
.60254 .54254 L
.60354 .54386 L
.60374 .54414 L
.60486 .54575 L
.60514 .54612 L
.60593 .54735 L
.60675 .54849 L
.60702 .54896 L
.60675 .54946 L
.60633 .54896 L
.60514 .54771 L
.60486 .54735 L
.60354 .54585 L
.60345 .54575 L
.60214 .54414 L
.60193 .54392 L
.60085 .54254 L
.60033 .54194 L
.59955 .54093 L
.59872 .53996 L
.59824 .53933 L
.59712 .53796 L
.59694 .53772 L
.59567 .53612 L
.59551 .53593 L
.59443 .53451 L
.59391 .53388 L
.59318 .53291 L
.5923 .53182 L
.59191 .5313 L
.5907 .52985 L
.59064 .5297 L
.58943 .52809 L
.58909 .52767 L
.58822 .52649 L
.58749 .52557 L
.58698 .52488 L
.58588 .52347 L
.58574 .52328 L
.58454 .52167 L
.58428 .52134 L
.58337 .52007 L
.58267 .51917 L
.58217 .51846 L
.58106 .51702 L
.58095 .51686 L
.57982 .51525 L
.57946 .51479 L
.57871 .51364 L
.57785 .5125 L
.57757 .51204 L
F
.01 .85 1 r
.57785 .56685 m
.57946 .56818 L
.57949 .56822 L
.58098 .56983 L
.58106 .56991 L
.58235 .57143 L
.58267 .57181 L
.58365 .57304 L
.58428 .57383 L
.5849 .57464 L
.58588 .57568 L
.5864 .57625 L
.58723 .57785 L
.58749 .57823 L
.58827 .57946 L
.58909 .58088 L
.58918 .58106 L
.58909 .58196 L
.58778 .58106 L
.58749 .58082 L
.58618 .57946 L
.58588 .57915 L
.58477 .57785 L
.58428 .57729 L
.58344 .57625 L
.58267 .57532 L
.58215 .57464 L
.58106 .57346 L
.58089 .57304 L
.57972 .57143 L
.57946 .57108 L
.57862 .56983 L
.57785 .56867 L
.57759 .56822 L
F
0 .15 1 r
.57785 .51798 m
.57818 .51846 L
.57946 .52002 L
.57949 .52007 L
.57946 .52082 L
.57896 .52007 L
.57785 .51883 L
.5776 .51846 L
F
1 .42 0 r
.57785 .51135 m
.57844 .51204 L
.57946 .51312 L
.57989 .51364 L
.58106 .51499 L
.58128 .51525 L
.58261 .51686 L
.58267 .51692 L
.5839 .51846 L
.58428 .5189 L
.58519 .52007 L
.58588 .52089 L
.58649 .52167 L
.58749 .52289 L
.58779 .52328 L
.58907 .52488 L
.58909 .52491 L
.5903 .52649 L
.5907 .52697 L
.59155 .52809 L
.5923 .52903 L
.59281 .5297 L
.59391 .53109 L
.59407 .5313 L
.59528 .53291 L
.59551 .53319 L
.59649 .53451 L
.59712 .5353 L
.59772 .53612 L
.59872 .53741 L
.59895 .53772 L
.60014 .53933 L
.60033 .53956 L
.6013 .54093 L
.60193 .54175 L
.60249 .54254 L
.60354 .54393 L
.60368 .54414 L
.60478 .54575 L
.60514 .54623 L
.60583 .54735 L
.60675 .54866 L
.6069 .54896 L
.60675 .54928 L
.60648 .54896 L
.60514 .54762 L
.60493 .54735 L
.60354 .54578 L
.60351 .54575 L
.60221 .54414 L
.60193 .54384 L
.60091 .54254 L
.60033 .54188 L
.5996 .54093 L
.59872 .5399 L
.59828 .53933 L
.59712 .53791 L
.59697 .53772 L
.59571 .53612 L
.59551 .53588 L
.59447 .53451 L
.59391 .53383 L
.59322 .53291 L
.5923 .53178 L
.59195 .5313 L
.5907 .52976 L
.59067 .5297 L
.58947 .52809 L
.58909 .52762 L
.58826 .52649 L
.58749 .52552 L
.58702 .52488 L
.58588 .52343 L
.58577 .52328 L
.58459 .52167 L
.58428 .52128 L
.58342 .52007 L
.58267 .51911 L
.58221 .51846 L
.58106 .51696 L
.58099 .51686 L
.57988 .51525 L
.57946 .5147 L
.57879 .51364 L
.57785 .51239 L
.57765 .51204 L
F
.001 .77 1 r
.57785 .5047 m
.57875 .50562 L
.57946 .50631 L
.58028 .50722 L
.58106 .50807 L
.58172 .50883 L
.58267 .50991 L
.58312 .51043 L
.58428 .51172 L
.58449 .51204 L
.58582 .51364 L
.58588 .51371 L
.58715 .51525 L
.58749 .51565 L
.58847 .51686 L
.58909 .5173 L
.58979 .51846 L
.5907 .51952 L
.59129 .52007 L
.5923 .52157 L
.59238 .52167 L
.59366 .52328 L
.59391 .52358 L
.59495 .52488 L
.59551 .52544 L
.59679 .52649 L
.59712 .52759 L
.59757 .52809 L
.59872 .52965 L
.59875 .5297 L
.60002 .5313 L
.60033 .53145 L
.60128 .53291 L
.60193 .53366 L
.60275 .53451 L
.60354 .53579 L
.60379 .53612 L
.60503 .53772 L
.60514 .53787 L
.60627 .53933 L
.60675 .53976 L
.608 .54093 L
.60835 .54196 L
.60883 .54254 L
.60996 .54409 L
.60999 .54414 L
.61122 .54575 L
.61156 .54585 L
.61246 .54735 L
.61317 .54816 L
.61389 .54896 L
.61477 .55036 L
.61493 .55057 L
.61613 .55217 L
.61638 .55249 L
.61735 .55378 L
.61799 .55435 L
.619 .55538 L
.61959 .55668 L
.61984 .55699 L
.62099 .55859 L
.6212 .55886 L
.62219 .5602 L
.6228 .561 L
.6234 .5618 L
.62441 .56306 L
.6247 .56341 L
.62578 .56501 L
.62601 .56532 L
.62695 .56662 L
.62762 .56751 L
.62813 .56822 L
.62922 .56962 L
.62941 .56983 L
.63044 .57143 L
.63083 .57196 L
.63156 .57304 L
.63243 .57425 L
.6327 .57464 L
.63377 .57625 L
.63404 .57664 L
.63474 .57785 L
.63564 .57942 L
.63565 .57946 L
.63564 .5796 L
.63538 .57946 L
.63404 .57836 L
.63358 .57785 L
.63243 .57666 L
.63208 .57625 L
.63083 .57503 L
.63066 .57464 L
.62928 .57304 L
.62922 .57297 L
.62795 .57143 L
.62762 .57105 L
.62662 .56983 L
.62601 .56911 L
.6253 .56822 L
.62441 .56736 L
.62398 .56662 L
.6228 .5652 L
.6226 .56501 L
.62139 .56341 L
.6212 .56317 L
.62012 .5618 L
.61959 .56116 L
.61884 .5602 L
.61799 .55927 L
.61722 .55859 L
.61638 .55713 L
.61625 .55699 L
.61503 .55538 L
.61477 .55507 L
.61378 .55378 L
.61317 .5533 L
.61252 .55217 L
.61156 .55104 L
.61111 .55057 L
.61 .54896 L
.60996 .54891 L
.60877 .54735 L
.60835 .54683 L
.60753 .54575 L
.60675 .54493 L
.60594 .54414 L
.60514 .54271 L
.60499 .54254 L
.6038 .54093 L
.60354 .5406 L
.60258 .53933 L
.60193 .53886 L
.60134 .53772 L
.60033 .5365 L
.59998 .53612 L
.59887 .53451 L
.59872 .53433 L
.59766 .53291 L
.59712 .53221 L
.59644 .5313 L
.59551 .53028 L
.59496 .5297 L
.59398 .52809 L
.59391 .528 L
.59279 .52649 L
.5923 .52587 L
.59158 .52488 L
.5907 .52407 L
.59036 .52328 L
.58913 .52167 L
.58909 .52162 L
.58797 .52007 L
.58749 .51945 L
.58678 .51846 L
.58588 .51729 L
.58557 .51686 L
.58437 .51525 L
.58428 .51512 L
.58324 .51364 L
.58267 .51289 L
.58209 .51204 L
.58106 .51067 L
.58091 .51043 L
.5798 .50883 L
.57946 .50836 L
.57876 .50722 L
.57785 .50592 L
.57769 .50562 L
F
0 .14 1 r
.57785 .51811 m
.57808 .51846 L
.57785 .51871 L
.57769 .51846 L
F
1 .41 0 r
.57785 .51151 m
.57831 .51204 L
.57946 .51322 L
.57981 .51364 L
.58106 .51507 L
.58121 .51525 L
.58255 .51686 L
.58267 .51699 L
.58384 .51846 L
.58428 .51896 L
.58514 .52007 L
.58588 .52094 L
.58645 .52167 L
.58749 .52294 L
.58775 .52328 L
.58902 .52488 L
.58909 .52496 L
.59025 .52649 L
.5907 .52702 L
.59151 .52809 L
.5923 .52908 L
.59277 .5297 L
.59391 .53114 L
.59403 .5313 L
.59524 .53291 L
.59551 .53324 L
.59645 .53451 L
.59712 .53536 L
.59768 .53612 L
.59872 .53747 L
.59891 .53772 L
.60009 .53933 L
.60033 .53963 L
.60125 .54093 L
.60193 .54182 L
.60243 .54254 L
.60354 .54401 L
.60363 .54414 L
.60354 .54569 L
.60228 .54414 L
.60193 .54377 L
.60097 .54254 L
.60033 .54181 L
.59965 .54093 L
.59872 .53984 L
.59833 .53933 L
.59712 .53786 L
.59701 .53772 L
.59576 .53612 L
.59551 .53583 L
.59452 .53451 L
.59391 .53378 L
.59326 .53291 L
.5923 .53173 L
.59198 .5313 L
.59071 .5297 L
.5907 .52968 L
.58952 .52809 L
.58909 .52757 L
.5883 .52649 L
.58749 .52547 L
.58706 .52488 L
.58588 .52338 L
.58581 .52328 L
.58464 .52167 L
.58428 .52122 L
.58346 .52007 L
.58267 .51905 L
.58226 .51846 L
.58106 .51689 L
.58104 .51686 L
.57996 .51525 L
.57946 .5146 L
.57887 .51364 L
.57785 .51225 L
.57774 .51204 L
F
.007 .84 1 r
.57785 .56719 m
.57927 .56822 L
.57946 .56839 L
.58084 .56983 L
.58106 .57007 L
.58222 .57143 L
.58267 .57195 L
.58353 .57304 L
.58428 .57396 L
.58479 .57464 L
.58588 .57594 L
.58615 .57625 L
.58709 .57785 L
.58749 .57844 L
.5881 .57946 L
.58749 .58059 L
.58635 .57946 L
.58588 .57899 L
.5849 .57785 L
.58428 .57716 L
.58354 .57625 L
.58267 .5752 L
.58224 .57464 L
.58106 .57324 L
.58098 .57304 L
.57983 .57143 L
.57946 .57092 L
.57875 .56983 L
.57785 .56841 L
.57775 .56822 L
F
0 .13 1 r
.57785 .51832 m
.57793 .51846 L
.57785 .51853 L
.57782 .51846 L
F
1 .4 0 r
.57785 .51181 m
.57809 .51204 L
.57946 .51333 L
.57972 .51364 L
.58106 .51515 L
.58115 .51525 L
.58106 .51682 L
.58004 .51525 L
.57946 .51449 L
.57897 .51364 L
.57785 .51205 L
.57785 .51204 L
F
1 1 1 r
.57946 .59057 m
.58106 .59065 L
.58228 .5907 L
.58267 .59079 L
.58397 .5923 L
.58428 .59267 L
.5852 .59391 L
.58588 .5951 L
.58663 .59551 L
.58749 .5969 L
.58771 .59712 L
.58891 .59872 L
.58909 .59895 L
.59013 .60033 L
.5907 .60074 L
.59169 .60193 L
.5923 .60301 L
.59268 .60354 L
.59385 .60514 L
.59391 .60522 L
.59505 .60675 L
.59551 .60734 L
.59682 .60835 L
.59712 .60944 L
.59767 .60996 L
.59872 .61149 L
.59876 .61156 L
.59995 .61317 L
.60033 .61366 L
.60115 .61477 L
.60193 .61582 L
.60256 .61638 L
.6035 .61799 L
.60354 .61804 L
.60427 .61959 L
.60354 .62057 L
.60193 .62096 L
.60033 .61989 L
.59996 .61959 L
.59872 .61808 L
.59864 .61799 L
.59731 .61638 L
.59712 .61606 L
.5961 .61477 L
.59551 .6141 L
.595 .61317 L
.59391 .61203 L
.59354 .61156 L
.59232 .60996 L
.5923 .60993 L
.59119 .60835 L
.5907 .60761 L
.59025 .60675 L
.58909 .60579 L
.58858 .60514 L
.58749 .60369 L
.58737 .60354 L
.58621 .60193 L
.58588 .6015 L
.58522 .60033 L
.58428 .59924 L
.58364 .59872 L
.58267 .59742 L
.58243 .59712 L
.58124 .59551 L
.58106 .59531 L
.58017 .59391 L
.57946 .59321 L
.57874 .5923 L
.57806 .5907 L
F
1 .97 .395 r
.57946 .5619 m
.58106 .56271 L
.58231 .56341 L
.58267 .56414 L
.58348 .56501 L
.58428 .56591 L
.58471 .56662 L
.58588 .56784 L
.58619 .56822 L
.58747 .56983 L
.58749 .56985 L
.5888 .57143 L
.58909 .57192 L
.58992 .57304 L
.5907 .57405 L
.59098 .57464 L
.5923 .57612 L
.59248 .57625 L
.59381 .57785 L
.59391 .57808 L
.59491 .57946 L
.59551 .58022 L
.59597 .58106 L
.59712 .58243 L
.59729 .58267 L
.59843 .58428 L
.59872 .58471 L
.59966 .58588 L
.60033 .58731 L
.60042 .58749 L
.60033 .58899 L
.59872 .58885 L
.59712 .58775 L
.59672 .58749 L
.59551 .58607 L
.59533 .58588 L
.594 .58428 L
.59391 .58419 L
.59272 .58267 L
.5923 .58221 L
.59099 .58106 L
.5907 .58014 L
.59006 .57946 L
.58909 .57806 L
.58893 .57785 L
.58769 .57625 L
.58749 .57622 L
.58646 .57464 L
.58588 .57409 L
.58499 .57304 L
.58428 .57187 L
.58396 .57143 L
.58278 .56983 L
.58267 .56968 L
.5816 .56822 L
.58106 .5675 L
.57998 .56662 L
.57946 .56528 L
.5792 .56501 L
.57828 .56341 L
F
1 .96 .289 r
.57946 .56245 m
.58106 .5632 L
.58162 .56341 L
.58267 .56453 L
.58317 .56501 L
.58428 .56623 L
.58452 .56662 L
.58588 .56811 L
.58598 .56822 L
.58729 .56983 L
.58749 .57007 L
.58868 .57143 L
.58909 .57213 L
.58978 .57304 L
.5907 .57422 L
.59089 .57464 L
.5923 .57623 L
.59232 .57625 L
.59375 .57785 L
.59391 .57825 L
.59477 .57946 L
.59551 .58044 L
.59583 .58106 L
.59709 .58267 L
.59712 .58271 L
.59819 .58428 L
.59872 .58513 L
.59934 .58588 L
.59985 .58749 L
.59872 .58827 L
.59734 .58749 L
.59712 .58732 L
.59562 .58588 L
.59551 .58584 L
.5942 .58428 L
.59391 .58403 L
.59286 .58267 L
.5923 .58205 L
.5911 .58106 L
.5907 .58 L
.59017 .57946 L
.58909 .57794 L
.58902 .57785 L
.58779 .57625 L
.58749 .57618 L
.58656 .57464 L
.58588 .57397 L
.58509 .57304 L
.58428 .57172 L
.58407 .57143 L
.5829 .56983 L
.58267 .56952 L
.58173 .56822 L
.58106 .56731 L
.58019 .56662 L
.57948 .56501 L
.57946 .56498 L
.57869 .56341 L
F
.005 .83 1 r
.57946 .5686 m
.58067 .56983 L
.58106 .57023 L
.58209 .57143 L
.58267 .5721 L
.58342 .57304 L
.58428 .57411 L
.58468 .57464 L
.58588 .57625 L
.58588 .57625 L
.58694 .57785 L
.58749 .57869 L
.58792 .57946 L
.58749 .58033 L
.58656 .57946 L
.58588 .57882 L
.58504 .57785 L
.58428 .57702 L
.58366 .57625 L
.58267 .57507 L
.58234 .57464 L
.58108 .57304 L
.58106 .57301 L
.57995 .57143 L
.57946 .57074 L
.57888 .56983 L
F
.001 .76 1 r
.57946 .5065 m
.58012 .50722 L
.58106 .50822 L
.5816 .50883 L
.58267 .51003 L
.58302 .51043 L
.58428 .51185 L
.5844 .51204 L
.58574 .51364 L
.58588 .5138 L
.58708 .51525 L
.58749 .51573 L
.58841 .51686 L
.58909 .51737 L
.58973 .51846 L
.5907 .5196 L
.59121 .52007 L
.5923 .52164 L
.59233 .52167 L
.59361 .52328 L
.59391 .52364 L
.59489 .52488 L
.59551 .5255 L
.59674 .52649 L
.59712 .52765 L
.59752 .52809 L
.59871 .5297 L
.59872 .52971 L
.59997 .5313 L
.60033 .53147 L
.60124 .53291 L
.60193 .53371 L
.6027 .53451 L
.60354 .53584 L
.60375 .53612 L
.60499 .53772 L
.60514 .53792 L
.60623 .53933 L
.60675 .5398 L
.60797 .54093 L
.60835 .54202 L
.60879 .54254 L
.60996 .54414 L
.60996 .54414 L
.61118 .54575 L
.61156 .54587 L
.61242 .54735 L
.61317 .54821 L
.61384 .54896 L
.61477 .55042 L
.61489 .55057 L
.61609 .55217 L
.61638 .55254 L
.61731 .55378 L
.61799 .55441 L
.61895 .55538 L
.61959 .55674 L
.61979 .55699 L
.62094 .55859 L
.6212 .55892 L
.62214 .5602 L
.6228 .56106 L
.62335 .5618 L
.62441 .56314 L
.62463 .56341 L
.62572 .56501 L
.62601 .5654 L
.62689 .56662 L
.62762 .56759 L
.62807 .56822 L
.62922 .56977 L
.62927 .56983 L
.63036 .57143 L
.63083 .57208 L
.63148 .57304 L
.63243 .57438 L
.6326 .57464 L
.63361 .57625 L
.63404 .57689 L
.63451 .57785 L
.63404 .57813 L
.63378 .57785 L
.63243 .5765 L
.63221 .57625 L
.63083 .5748 L
.63076 .57464 L
.62938 .57304 L
.62922 .57286 L
.62804 .57143 L
.62762 .57096 L
.6267 .56983 L
.62601 .56903 L
.62536 .56822 L
.62441 .56727 L
.62404 .56662 L
.6228 .56512 L
.62268 .56501 L
.62145 .56341 L
.6212 .56311 L
.62017 .5618 L
.61959 .5611 L
.61888 .5602 L
.61799 .55921 L
.61728 .55859 L
.61638 .55707 L
.6163 .55699 L
.61507 .55538 L
.61477 .55502 L
.61382 .55378 L
.61317 .55325 L
.61255 .55217 L
.61156 .55099 L
.61116 .55057 L
.61004 .54896 L
.60996 .54886 L
.60881 .54735 L
.60835 .54679 L
.60756 .54575 L
.60675 .54489 L
.60598 .54414 L
.60514 .54267 L
.60503 .54254 L
.60384 .54093 L
.60354 .54056 L
.60261 .53933 L
.60193 .53881 L
.60137 .53772 L
.60033 .53645 L
.60003 .53612 L
.5989 .53451 L
.59872 .53428 L
.5977 .53291 L
.59712 .53217 L
.59647 .5313 L
.59551 .53022 L
.59501 .5297 L
.59401 .52809 L
.59391 .52796 L
.59282 .52649 L
.5923 .52582 L
.59162 .52488 L
.5907 .524 L
.59039 .52328 L
.58918 .52167 L
.58909 .52156 L
.58801 .52007 L
.58749 .51939 L
.58683 .51846 L
.58588 .51722 L
.58562 .51686 L
.58444 .51525 L
.58428 .51504 L
.58331 .51364 L
.58267 .5128 L
.58215 .51204 L
.58106 .51056 L
.58098 .51043 L
.57992 .50883 L
.57946 .50819 L
.57889 .50722 L
F
1 .93 .114 r
.57946 .49979 m
.58045 .5008 L
.58106 .50142 L
.58198 .50241 L
.58267 .50315 L
.58344 .50401 L
.58428 .5048 L
.58486 .50562 L
.58588 .5068 L
.58638 .50722 L
.58749 .50871 L
.58759 .50883 L
.58895 .51043 L
.58909 .51048 L
.59029 .51204 L
.5907 .5125 L
.59204 .51364 L
.5923 .51452 L
.59294 .51525 L
.59391 .51652 L
.59413 .51686 L
.59551 .51845 L
.59553 .51846 L
.59683 .52007 L
.59712 .52043 L
.59821 .52167 L
.59872 .52249 L
.59931 .52328 L
.60033 .52455 L
.60047 .52488 L
.60193 .52649 L
.60193 .52649 L
.60338 .52809 L
.60354 .52853 L
.60446 .5297 L
.60514 .53063 L
.60556 .5313 L
.60675 .53271 L
.607 .53291 L
.60824 .53451 L
.60835 .53466 L
.60956 .53612 L
.60996 .53675 L
.61065 .53772 L
.61156 .53887 L
.61175 .53933 L
.61317 .54089 L
.61324 .54093 L
.61462 .54254 L
.61477 .54291 L
.61572 .54414 L
.61638 .54504 L
.61681 .54575 L
.61799 .54714 L
.61822 .54735 L
.61945 .54896 L
.61959 .54912 L
.62076 .55057 L
.6212 .55123 L
.62185 .55217 L
.6228 .55336 L
.62294 .55378 L
.6244 .55538 L
.62441 .55539 L
.6258 .55699 L
.62601 .55746 L
.62687 .55859 L
.62762 .55959 L
.62796 .5602 L
.62922 .56169 L
.62934 .5618 L
.63056 .56341 L
.63083 .56371 L
.63188 .56501 L
.63243 .56585 L
.63296 .56662 L
.63404 .56798 L
.63411 .56822 L
.63547 .56983 L
.63564 .56998 L
.63691 .57143 L
.63725 .57211 L
.63794 .57304 L
.63885 .57427 L
.63906 .57464 L
.64035 .57625 L
.64046 .57628 L
.64157 .57785 L
.64206 .57839 L
.64291 .57946 L
.64367 .58059 L
.64398 .58106 L
.64521 .58267 L
.64527 .58275 L
.64641 .58428 L
.64688 .58467 L
.6479 .58588 L
.64848 .58696 L
.64887 .58749 L
.65003 .58909 L
.65009 .58917 L
.65121 .5907 L
.6517 .59134 L
.65297 .5923 L
.6533 .59339 L
.65369 .59391 L
.65477 .59551 L
.65491 .5957 L
.65592 .59712 L
.65651 .59792 L
.65708 .59872 L
.65812 .60005 L
.65832 .60033 L
.65934 .60193 L
.65972 .60246 L
.66043 .60354 L
.66133 .60483 L
.66153 .60514 L
.6625 .60675 L
.66293 .60745 L
.66333 .60835 L
.66293 .60874 L
.66252 .60835 L
.66133 .60727 L
.66084 .60675 L
.65972 .60599 L
.65934 .60514 L
.65812 .60385 L
.6579 .60354 L
.65651 .60194 L
.6565 .60193 L
.65515 .60033 L
.65491 .60005 L
.65381 .59872 L
.6533 .59835 L
.65247 .59712 L
.6517 .59624 L
.65085 .59551 L
.65009 .59422 L
.6498 .59391 L
.64854 .5923 L
.64848 .59223 L
.64726 .5907 L
.64688 .59033 L
.64598 .58909 L
.64527 .58825 L
.64455 .58749 L
.64367 .58618 L
.64343 .58588 L
.64215 .58428 L
.64206 .58423 L
.6409 .58267 L
.64046 .58219 L
.63934 .58106 L
.63885 .58009 L
.63832 .57946 L
.63725 .57801 L
.63714 .57785 L
.63587 .57625 L
.63564 .57605 L
.63462 .57464 L
.63404 .57395 L
.63323 .57304 L
.63243 .57184 L
.63213 .57143 L
.63087 .56983 L
.63083 .56981 L
.62964 .56822 L
.62922 .56779 L
.62811 .56662 L
.62762 .56565 L
.6271 .56501 L
.62601 .56354 L
.62593 .56341 L
.62468 .5618 L
.62441 .5616 L
.62293 .5602 L
.6228 .55945 L
.62205 .55859 L
.6212 .55731 L
.62096 .55699 L
.61973 .55538 L
.61959 .55536 L
.6185 .55378 L
.61799 .55326 L
.61698 .55217 L
.61638 .55108 L
.61597 .55057 L
.61478 .54896 L
.61477 .54895 L
.61357 .54735 L
.61317 .54707 L
.61182 .54575 L
.61156 .54485 L
.61097 .54414 L
.60996 .54267 L
.60986 .54254 L
.60865 .54093 L
.60835 .54056 L
.60743 .53933 L
.60675 .53864 L
.60593 .53772 L
.60514 .5364 L
.60492 .53612 L
.60374 .53451 L
.60354 .53425 L
.60253 .53291 L
.60193 .53247 L
.60083 .5313 L
.60033 .53013 L
.59998 .5297 L
.59885 .52809 L
.59872 .52793 L
.59766 .52649 L
.59712 .5258 L
.59644 .52488 L
.59551 .52385 L
.59503 .52328 L
.59399 .52167 L
.59391 .52157 L
.59281 .52007 L
.5923 .51942 L
.5916 .51846 L
.5907 .51756 L
.59008 .51686 L
.58917 .51525 L
.58909 .51515 L
.58801 .51364 L
.58749 .51296 L
.58683 .51204 L
.58588 .51079 L
.58563 .51043 L
.58445 .50883 L
.58428 .5086 L
.58332 .50722 L
.58267 .50635 L
.58218 .50562 L
.58106 .5041 L
.58101 .50401 L
.57996 .50241 L
.57946 .50169 L
.57895 .5008 L
F
.004 .82 1 r
.57946 .56884 m
.58048 .56983 L
.58106 .57041 L
.58195 .57143 L
.58267 .57226 L
.58329 .57304 L
.58428 .57427 L
.58456 .57464 L
.58573 .57625 L
.58588 .57645 L
.58677 .57785 L
.58749 .57904 L
.58768 .57946 L
.58749 .57996 L
.58684 .57946 L
.58588 .57862 L
.58519 .57785 L
.58428 .57686 L
.58378 .57625 L
.58267 .57493 L
.58245 .57464 L
.58121 .57304 L
.58106 .57285 L
.58009 .57143 L
.57946 .57053 L
.57904 .56983 L
F
0 .75 1 r
.57946 .50672 m
.57994 .50722 L
.58106 .50837 L
.58147 .50883 L
.58267 .51015 L
.58291 .51043 L
.58428 .51199 L
.58431 .51204 L
.58566 .51364 L
.58588 .5139 L
.587 .51525 L
.58749 .51582 L
.58834 .51686 L
.58909 .51745 L
.58966 .51846 L
.5907 .51968 L
.59113 .52007 L
.59227 .52167 L
.5923 .52171 L
.59355 .52328 L
.59391 .52371 L
.59484 .52488 L
.59551 .52556 L
.59668 .52649 L
.59712 .52771 L
.59746 .52809 L
.59867 .5297 L
.59872 .52976 L
.59993 .5313 L
.60033 .5315 L
.60119 .53291 L
.60193 .53376 L
.60266 .53451 L
.60354 .5359 L
.60371 .53612 L
.60495 .53772 L
.60514 .53797 L
.60619 .53933 L
.60675 .53985 L
.60793 .54093 L
.60835 .54207 L
.60875 .54254 L
.60992 .54414 L
.60996 .54419 L
.61115 .54575 L
.61156 .5459 L
.61238 .54735 L
.61317 .54827 L
.6138 .54896 L
.61477 .55047 L
.61484 .55057 L
.61605 .55217 L
.61638 .5526 L
.61727 .55378 L
.61799 .55447 L
.61889 .55538 L
.61959 .55681 L
.61974 .55699 L
.6209 .55859 L
.6212 .55898 L
.62209 .5602 L
.6228 .56113 L
.6233 .5618 L
.62441 .56324 L
.62455 .56341 L
.62566 .56501 L
.62601 .56547 L
.62683 .56662 L
.62762 .56768 L
.62801 .56822 L
.62917 .56983 L
.62922 .56989 L
.63027 .57143 L
.63083 .5722 L
.63138 .57304 L
.63243 .57454 L
.6325 .57464 L
.63341 .57625 L
.63243 .57633 L
.63236 .57625 L
.63088 .57464 L
.63083 .57459 L
.62949 .57304 L
.62922 .57275 L
.62812 .57143 L
.62762 .57086 L
.62677 .56983 L
.62601 .56895 L
.62543 .56822 L
.62441 .56718 L
.6241 .56662 L
.6228 .56504 L
.62277 .56501 L
.6215 .56341 L
.6212 .56304 L
.62022 .5618 L
.61959 .56104 L
.61893 .5602 L
.61799 .55915 L
.61735 .55859 L
.61638 .55701 L
.61635 .55699 L
.61511 .55538 L
.61477 .55497 L
.61386 .55378 L
.61317 .55321 L
.61259 .55217 L
.61156 .55094 L
.61121 .55057 L
.61007 .54896 L
.60996 .54882 L
.60884 .54735 L
.60835 .54675 L
.6076 .54575 L
.60675 .54484 L
.60603 .54414 L
.60514 .54262 L
.60507 .54254 L
.60387 .54093 L
.60354 .54052 L
.60264 .53933 L
.60193 .53877 L
.6014 .53772 L
.60033 .5364 L
.60007 .53612 L
.59894 .53451 L
.59872 .53424 L
.59773 .53291 L
.59712 .53213 L
.59651 .5313 L
.59551 .53017 L
.59507 .5297 L
.59405 .52809 L
.59391 .52791 L
.59286 .52649 L
.5923 .52577 L
.59165 .52488 L
.5907 .52392 L
.59043 .52328 L
.58922 .52167 L
.58909 .5215 L
.58806 .52007 L
.58749 .51932 L
.58687 .51846 L
.58588 .51716 L
.58567 .51686 L
.5845 .51525 L
.58428 .51496 L
.58338 .51364 L
.58267 .5127 L
.58222 .51204 L
.58106 .51045 L
.58105 .51043 L
.58004 .50883 L
.57946 .50798 L
.57906 .50722 L
F
1 .39 0 r
.57946 .51345 m
.57962 .51364 L
.58106 .51524 L
.58107 .51525 L
.58106 .51672 L
.58014 .51525 L
.57946 .51434 L
.57909 .51364 L
F
.003 .81 1 r
.57946 .56915 m
.58024 .56983 L
.58106 .5706 L
.58179 .57143 L
.58267 .57243 L
.58316 .57304 L
.58428 .57444 L
.58443 .57464 L
.58557 .57625 L
.58588 .57669 L
.58657 .57785 L
.58588 .5784 L
.58538 .57785 L
.58428 .5767 L
.58391 .57625 L
.58267 .57478 L
.58256 .57464 L
.58135 .57304 L
.58106 .57266 L
.58025 .57143 L
.57946 .57026 L
.57923 .56983 L
F
1 .95 .212 r
.57946 .56313 m
.58061 .56341 L
.58106 .56363 L
.58267 .5649 L
.58281 .56501 L
.58428 .56653 L
.58434 .56662 L
.58577 .56822 L
.58588 .56833 L
.58712 .56983 L
.58749 .57028 L
.58855 .57143 L
.58909 .57232 L
.58964 .57304 L
.5907 .57438 L
.59081 .57464 L
.59218 .57625 L
.5923 .57631 L
.59368 .57785 L
.59391 .57842 L
.59463 .57946 L
.59551 .58068 L
.5957 .58106 L
.59688 .58267 L
.59712 .58302 L
.59794 .58428 L
.59872 .58565 L
.5989 .58588 L
.59903 .58749 L
.59872 .58762 L
.59817 .58749 L
.59712 .58693 L
.59593 .58588 L
.59551 .58574 L
.5944 .58428 L
.59391 .58386 L
.59302 .58267 L
.5923 .58189 L
.59124 .58106 L
.5907 .57986 L
.5903 .57946 L
.58912 .57785 L
.58909 .57782 L
.58789 .57625 L
.58749 .57612 L
.58666 .57464 L
.58588 .57384 L
.5852 .57304 L
.58428 .57156 L
.58418 .57143 L
.58302 .56983 L
.58267 .56935 L
.58187 .56822 L
.58106 .56709 L
.58044 .56662 L
.57974 .56501 L
.57946 .56444 L
.57924 .56341 L
F
1 .96 .289 r
.58106 .71667 m
.58267 .71682 L
.58428 .71726 L
.58513 .71751 L
.58588 .71786 L
.58749 .71857 L
.58864 .71912 L
.58909 .71936 L
.5907 .72021 L
.59163 .72072 L
.5923 .72111 L
.59391 .72205 L
.59437 .72233 L
.59551 .72302 L
.59696 .72393 L
.59712 .72403 L
.59872 .72506 L
.59945 .72554 L
.60033 .72612 L
.60185 .72714 L
.60193 .7272 L
.60354 .72829 L
.6042 .72875 L
.60514 .72941 L
.60649 .73035 L
.60675 .73054 L
.60835 .73168 L
.60874 .73196 L
.60996 .73284 L
.61096 .73356 L
.61156 .73401 L
.61314 .73517 L
.61317 .73519 L
.61477 .73638 L
.6153 .73677 L
.61638 .73759 L
.61743 .73838 L
.61799 .7388 L
.61954 .73998 L
.61959 .74002 L
.6212 .74126 L
.62163 .74159 L
.6228 .7425 L
.62369 .74319 L
.62441 .74375 L
.62575 .7448 L
.62601 .74501 L
.62762 .74628 L
.62778 .7464 L
.62922 .74755 L
.62979 .74801 L
.63083 .74884 L
.63179 .74961 L
.63243 .75013 L
.63378 .75122 L
.63404 .75143 L
.63564 .75274 L
.63574 .75283 L
.63725 .75406 L
.63769 .75443 L
.63885 .75539 L
.63963 .75604 L
.64046 .75673 L
.64155 .75764 L
.64206 .75807 L
.64346 .75925 L
.64367 .75942 L
.64527 .76078 L
.64536 .76085 L
.64688 .76215 L
.64724 .76246 L
.64848 .76353 L
.64911 .76406 L
.65009 .76491 L
.65097 .76567 L
.6517 .76629 L
.65283 .76727 L
.6533 .76768 L
.65468 .76888 L
.65491 .76907 L
.65651 .77047 L
.65653 .77048 L
.65812 .77187 L
.65837 .77209 L
.65972 .77327 L
.66021 .77369 L
.66133 .77466 L
.66206 .7753 L
.66293 .77606 L
.6639 .7769 L
.66454 .77746 L
.66574 .77851 L
.66614 .77886 L
.66759 .78011 L
.66775 .78025 L
.66935 .78164 L
.66944 .78172 L
.67096 .78303 L
.6713 .78332 L
.67256 .78442 L
.67316 .78493 L
.67417 .7858 L
.67502 .78654 L
.67577 .78718 L
.67689 .78814 L
.67738 .78856 L
.67877 .78975 L
.67898 .78993 L
.68059 .7913 L
.68064 .79135 L
.68219 .79268 L
.68251 .79296 L
.6838 .79405 L
.68438 .79456 L
.68541 .79543 L
.68624 .79617 L
.68701 .79682 L
.6881 .79777 L
.68862 .79821 L
.68994 .79938 L
.69022 .79962 L
.69176 .80098 L
.69183 .80104 L
.69343 .80251 L
.69351 .80259 L
.69504 .80401 L
.69523 .80419 L
.69664 .80555 L
.69692 .8058 L
.69825 .80711 L
.69859 .8074 L
.69985 .80869 L
.70022 .80901 L
.70146 .81028 L
.70183 .81061 L
.70306 .81189 L
.70343 .81222 L
.70467 .81351 L
.70501 .81382 L
.70627 .81514 L
.70658 .81543 L
.70788 .81677 L
.70816 .81703 L
.70948 .8184 L
.70973 .81864 L
.71109 .82003 L
.71131 .82025 L
.71269 .82165 L
.7129 .82185 L
.7143 .82327 L
.71449 .82346 L
.7159 .82487 L
.71609 .82506 L
.71751 .82647 L
.71771 .82667 L
.71912 .82806 L
.71933 .82827 L
.72072 .82964 L
.72096 .82988 L
.72233 .83122 L
.7226 .83148 L
.72393 .83278 L
.72425 .83309 L
.72554 .83434 L
.7259 .83469 L
.72714 .83589 L
.72757 .8363 L
.72875 .83743 L
.72924 .8379 L
.73035 .83897 L
.73092 .83951 L
.73196 .8405 L
.7326 .84111 L
.73356 .84203 L
.73428 .84272 L
.73517 .84356 L
.73597 .84432 L
.73677 .84509 L
.73765 .84593 L
.73838 .84662 L
.73933 .84753 L
.73998 .84815 L
.74101 .84914 L
.74159 .8497 L
.74267 .85074 L
.74319 .85125 L
.74432 .85235 L
.7448 .85282 L
.74595 .85396 L
.7464 .8544 L
.74756 .85556 L
.74801 .85601 L
.74914 .85717 L
.74961 .85764 L
.75071 .85877 L
.75122 .8593 L
.75225 .86038 L
.75283 .86098 L
.75377 .86198 L
.75443 .86268 L
.75527 .86359 L
.75604 .86441 L
.75676 .86519 L
.75764 .86615 L
.75823 .8668 L
.75925 .86791 L
.7597 .8684 L
.76085 .86968 L
.76115 .87001 L
.76246 .87145 L
.7626 .87161 L
.76404 .87322 L
.76406 .87324 L
.76548 .87482 L
.76567 .87503 L
.76692 .87643 L
.76727 .87683 L
.76835 .87803 L
.76888 .87863 L
.76977 .87964 L
.77048 .88044 L
.7712 .88124 L
.77209 .88225 L
.77262 .88285 L
.77369 .88407 L
.77403 .88445 L
.7753 .8859 L
.77544 .88606 L
.77684 .88767 L
.7769 .88774 L
.77823 .88927 L
.77851 .88959 L
.77961 .89088 L
.78011 .89146 L
.78098 .89248 L
.78172 .89335 L
.78234 .89409 L
.78332 .89526 L
.78368 .89569 L
.78493 .8972 L
.78501 .8973 L
.78632 .8989 L
.78654 .89917 L
.78761 .90051 L
.78814 .90117 L
.78888 .90211 L
.78975 .90322 L
.79013 .90372 L
.79135 .90532 L
.79135 .90532 L
.79254 .90693 L
.79296 .90749 L
.79371 .90853 L
.79456 .90975 L
.79483 .91014 L
.79592 .91174 L
.79617 .91212 L
.79695 .91335 L
.79777 .91468 L
.79793 .91495 L
.79883 .91656 L
.79938 .91757 L
.79964 .91816 L
.80032 .91977 L
.80078 .92138 L
.80085 .92298 L
.79938 .92436 L
.79777 .92426 L
.79617 .92386 L
.79456 .92329 L
.79377 .92298 L
.79296 .9226 L
.79135 .92182 L
.79047 .92138 L
.78975 .92098 L
.78814 .92009 L
.78758 .91977 L
.78654 .91916 L
.78493 .91819 L
.78489 .91816 L
.78332 .91719 L
.78234 .91656 L
.78172 .91616 L
.78011 .91511 L
.77989 .91495 L
.77851 .91403 L
.7775 .91335 L
.7769 .91294 L
.7753 .91183 L
.77518 .91174 L
.77369 .9107 L
.7729 .91014 L
.77209 .90956 L
.77067 .90853 L
.77048 .9084 L
.76888 .90723 L
.76847 .90693 L
.76727 .90605 L
.7663 .90532 L
.76567 .90485 L
.76415 .90372 L
.76406 .90365 L
.76246 .90243 L
.76204 .90211 L
.76085 .90121 L
.75994 .90051 L
.75925 .89997 L
.75786 .8989 L
.75764 .89873 L
.75604 .89748 L
.75581 .8973 L
.75443 .89622 L
.75377 .89569 L
.75283 .89495 L
.75174 .89409 L
.75122 .89367 L
.74973 .89248 L
.74961 .89239 L
.74801 .8911 L
.74773 .89088 L
.7464 .8898 L
.74575 .88927 L
.7448 .8885 L
.74378 .88767 L
.74319 .88719 L
.74182 .88606 L
.74159 .88587 L
.73998 .88455 L
.73987 .88445 L
.73838 .88322 L
.73794 .88285 L
.73677 .88188 L
.73601 .88124 L
.73517 .88054 L
.73409 .87964 L
.73356 .87919 L
.73218 .87803 L
.73196 .87784 L
.73035 .87649 L
.73028 .87643 L
.72875 .87512 L
.72839 .87482 L
.72714 .87375 L
.72651 .87322 L
.72554 .87238 L
.72464 .87161 L
.72393 .871 L
.72277 .87001 L
.72233 .86962 L
.72091 .8684 L
.72072 .86824 L
.71912 .86684 L
.71906 .8668 L
.71751 .86545 L
.71722 .86519 L
.7159 .86404 L
.71538 .86359 L
.7143 .86264 L
.71355 .86198 L
.71269 .86122 L
.71173 .86038 L
.71109 .85981 L
.70991 .85877 L
.70948 .85839 L
.7081 .85717 L
.70788 .85697 L
.7063 .85556 L
.70627 .85554 L
.70467 .8541 L
.7045 .85396 L
.70306 .85266 L
.70271 .85235 L
.70146 .85122 L
.70093 .85074 L
.69985 .84977 L
.69915 .84914 L
.69825 .84832 L
.69737 .84753 L
.69664 .84687 L
.69561 .84593 L
.69504 .84541 L
.69384 .84432 L
.69343 .84395 L
.69209 .84272 L
.69183 .84248 L
.69034 .84111 L
.69022 .84101 L
.68862 .83953 L
.68859 .83951 L
.68701 .83805 L
.68685 .8379 L
.68541 .83656 L
.68512 .8363 L
.6838 .83507 L
.68339 .83469 L
.68219 .83358 L
.68167 .83309 L
.68059 .83208 L
.67995 .83148 L
.67898 .83058 L
.67824 .82988 L
.67738 .82907 L
.67653 .82827 L
.67577 .82756 L
.67483 .82667 L
.67417 .82605 L
.67313 .82506 L
.67256 .82453 L
.67144 .82346 L
.67096 .823 L
.66975 .82185 L
.66935 .82147 L
.66807 .82025 L
.66775 .81994 L
.66639 .81864 L
.66614 .8184 L
.66472 .81703 L
.66454 .81686 L
.66305 .81543 L
.66293 .81531 L
.66139 .81382 L
.66133 .81376 L
.65973 .81222 L
.65972 .81221 L
.65812 .81064 L
.65808 .81061 L
.65651 .80908 L
.65644 .80901 L
.65491 .80751 L
.6548 .8074 L
.6533 .80593 L
.65317 .8058 L
.6517 .80435 L
.65154 .80419 L
.65009 .80276 L
.64991 .80259 L
.64848 .80117 L
.6483 .80098 L
.64688 .79957 L
.64668 .79938 L
.64527 .79797 L
.64508 .79777 L
.64367 .79636 L
.64347 .79617 L
.64206 .79475 L
.64188 .79456 L
.64046 .79313 L
.64029 .79296 L
.63885 .7915 L
.6387 .79135 L
.63725 .78987 L
.63712 .78975 L
.63564 .78823 L
.63555 .78814 L
.63404 .78659 L
.63398 .78654 L
.63243 .78494 L
.63242 .78493 L
.63087 .78332 L
.63083 .78328 L
.62932 .78172 L
.62922 .78162 L
.62778 .78011 L
.62762 .77994 L
.62625 .77851 L
.62601 .77826 L
.62472 .7769 L
.62441 .77657 L
.6232 .7753 L
.6228 .77488 L
.62168 .77369 L
.6212 .77317 L
.62018 .77209 L
.61959 .77146 L
.61868 .77048 L
.61799 .76974 L
.61719 .76888 L
.61638 .768 L
.6157 .76727 L
.61477 .76626 L
.61423 .76567 L
.61317 .76451 L
.61276 .76406 L
.61156 .76274 L
.6113 .76246 L
.60996 .76097 L
.60986 .76085 L
.60842 .75925 L
.60835 .75918 L
.60699 .75764 L
.60675 .75737 L
.60557 .75604 L
.60514 .75555 L
.60416 .75443 L
.60354 .75372 L
.60276 .75283 L
.60193 .75186 L
.60138 .75122 L
.60033 .74999 L
.60001 .74961 L
.59872 .7481 L
.59865 .74801 L
.5973 .7464 L
.59712 .74618 L
.59597 .7448 L
.59551 .74424 L
.59466 .74319 L
.59391 .74227 L
.59336 .74159 L
.5923 .74026 L
.59209 .73998 L
.59083 .73838 L
.5907 .73821 L
.5896 .73677 L
.58909 .73611 L
.58839 .73517 L
.58749 .73395 L
.58721 .73356 L
.58606 .73196 L
.58588 .7317 L
.58495 .73035 L
.58428 .72935 L
.58388 .72875 L
.58286 .72714 L
.58267 .72684 L
.58191 .72554 L
.58106 .724 L
.58103 .72393 L
.58026 .72233 L
.57965 .72072 L
.57946 .72002 L
.5793 .71912 L
.57946 .71774 L
.57958 .71751 L
F
0 .74 1 r
.57946 .50704 m
.57967 .50722 L
.58106 .50854 L
.58133 .50883 L
.58267 .51029 L
.5828 .51043 L
.5842 .51204 L
.58428 .51212 L
.58557 .51364 L
.58588 .514 L
.58692 .51525 L
.58749 .51591 L
.58827 .51686 L
.58909 .51754 L
.5896 .51846 L
.5907 .51976 L
.59104 .52007 L
.59221 .52167 L
.5923 .52178 L
.5935 .52328 L
.59391 .52377 L
.59479 .52488 L
.59551 .52562 L
.59662 .52649 L
.59712 .52777 L
.59741 .52809 L
.59862 .5297 L
.59872 .52982 L
.59988 .5313 L
.60033 .53154 L
.60115 .53291 L
.60193 .53382 L
.60261 .53451 L
.60354 .53595 L
.60367 .53612 L
.60491 .53772 L
.60514 .53802 L
.60615 .53933 L
.60675 .53989 L
.60789 .54093 L
.60835 .54212 L
.60871 .54254 L
.60988 .54414 L
.60996 .54425 L
.61111 .54575 L
.61156 .54593 L
.61234 .54735 L
.61317 .54832 L
.61375 .54896 L
.61477 .55053 L
.6148 .55057 L
.61601 .55217 L
.61638 .55265 L
.61722 .55378 L
.61799 .55453 L
.61883 .55538 L
.61959 .55687 L
.61968 .55699 L
.62085 .55859 L
.6212 .55904 L
.62205 .5602 L
.6228 .5612 L
.62325 .5618 L
.62441 .56333 L
.62447 .56341 L
.6256 .56501 L
.62601 .56556 L
.62677 .56662 L
.62762 .56777 L
.62794 .56822 L
.62909 .56983 L
.62922 .57001 L
.63018 .57143 L
.63083 .57234 L
.63128 .57304 L
.63083 .57443 L
.62961 .57304 L
.62922 .57263 L
.62822 .57143 L
.62762 .57077 L
.62685 .56983 L
.62601 .56886 L
.6255 .56822 L
.62441 .56708 L
.62416 .56662 L
.62284 .56501 L
.6228 .56497 L
.62156 .56341 L
.6212 .56298 L
.62027 .5618 L
.61959 .56098 L
.61898 .5602 L
.61799 .55908 L
.61742 .55859 L
.6164 .55699 L
.61638 .55696 L
.61516 .55538 L
.61477 .55492 L
.6139 .55378 L
.61317 .55316 L
.61263 .55217 L
.61156 .55088 L
.61126 .55057 L
.61011 .54896 L
.60996 .54877 L
.60888 .54735 L
.60835 .5467 L
.60763 .54575 L
.60675 .54479 L
.60608 .54414 L
.60514 .54257 L
.60511 .54254 L
.60391 .54093 L
.60354 .54047 L
.60268 .53933 L
.60193 .53872 L
.60144 .53772 L
.60033 .53635 L
.60012 .53612 L
.59898 .53451 L
.59872 .53419 L
.59777 .53291 L
.59712 .53208 L
.59654 .5313 L
.59551 .5301 L
.59512 .5297 L
.59409 .52809 L
.59391 .52786 L
.5929 .52649 L
.5923 .52572 L
.59169 .52488 L
.5907 .52383 L
.59047 .52328 L
.58927 .52167 L
.58909 .52144 L
.58811 .52007 L
.58749 .51926 L
.58692 .51846 L
.58588 .51709 L
.58572 .51686 L
.58457 .51525 L
.58428 .51487 L
.58345 .51364 L
.58267 .5126 L
.5823 .51204 L
.58116 .51043 L
.58106 .5103 L
.5802 .50883 L
.57946 .50766 L
.57931 .50722 L
F
1 .38 0 r
.57946 .51362 m
.57948 .51364 L
.57946 .51413 L
.57932 .51364 L
F
.733 .99 1 r
.57946 .49363 m
.58038 .49438 L
.58106 .49498 L
.58207 .49599 L
.58267 .49659 L
.58362 .49759 L
.58428 .49805 L
.5851 .4992 L
.58588 .50008 L
.58699 .5008 L
.58749 .50197 L
.58791 .50241 L
.58909 .50385 L
.58921 .50401 L
.59066 .50562 L
.5907 .50566 L
.59202 .50722 L
.5923 .5076 L
.59339 .50883 L
.59391 .50961 L
.59453 .51043 L
.59551 .51165 L
.59565 .51204 L
.59712 .51343 L
.5973 .51364 L
.59863 .51525 L
.59872 .51545 L
.59981 .51686 L
.60033 .51754 L
.6009 .51846 L
.60193 .5197 L
.60247 .52007 L
.60354 .52145 L
.60372 .52167 L
.60497 .52328 L
.60514 .52352 L
.6061 .52488 L
.60675 .52569 L
.60708 .52649 L
.60835 .52755 L
.60879 .52809 L
.60996 .52962 L
.61002 .5297 L
.61122 .5313 L
.61156 .53176 L
.61227 .53291 L
.61317 .53398 L
.6138 .53451 L
.61477 .53579 L
.61503 .53612 L
.61626 .53772 L
.61638 .5379 L
.61737 .53933 L
.61799 .54009 L
.6183 .54093 L
.61959 .54234 L
.62002 .54254 L
.6212 .5441 L
.62123 .54414 L
.62242 .54575 L
.6228 .54624 L
.62345 .54735 L
.62441 .54846 L
.62498 .54896 L
.62601 .55033 L
.6262 .55057 L
.62742 .55217 L
.62762 .55245 L
.62852 .55378 L
.62922 .55463 L
.62944 .55538 L
.63083 .55682 L
.63115 .55699 L
.63238 .55859 L
.63243 .55868 L
.63354 .5602 L
.63404 .56083 L
.63457 .5618 L
.63564 .56301 L
.63609 .56341 L
.63725 .56494 L
.63731 .56501 L
.63854 .56662 L
.63885 .56705 L
.63962 .56822 L
.64046 .56921 L
.64057 .56983 L
.64206 .57133 L
.64225 .57143 L
.64351 .57304 L
.64367 .5733 L
.64464 .57464 L
.64527 .57544 L
.64567 .57625 L
.64688 .57758 L
.64717 .57785 L
.64845 .57946 L
.64848 .57957 L
.64964 .58106 L
.65009 .58169 L
.65071 .58267 L
.6517 .58383 L
.65172 .58428 L
.6533 .58587 L
.65331 .58588 L
.65462 .58749 L
.65491 .58794 L
.65572 .58909 L
.65651 .59009 L
.65678 .5907 L
.65812 .59219 L
.65823 .5923 L
.65961 .59391 L
.65972 .59421 L
.66071 .59551 L
.66133 .59635 L
.66179 .59712 L
.66293 .59849 L
.66313 .59872 L
.66434 .60033 L
.66454 .6005 L
.6657 .60193 L
.66614 .60263 L
.66677 .60354 L
.66775 .60479 L
.66789 .60514 L
.66923 .60675 L
.66935 .60679 L
.67073 .60835 L
.67096 .60892 L
.67173 .60996 L
.67256 .61112 L
.67282 .61156 L
.67408 .61317 L
.67417 .61328 L
.67528 .61477 L
.67577 .6152 L
.67667 .61638 L
.67738 .61749 L
.67771 .61799 L
.67889 .61959 L
.67898 .61971 L
.68007 .6212 L
.68059 .62145 L
.68162 .6228 L
.68219 .62396 L
.6825 .62441 L
.68361 .62601 L
.6838 .62627 L
.68475 .62762 L
.68541 .62852 L
.6859 .62922 L
.68701 .63075 L
.68706 .63083 L
.68811 .63243 L
.68862 .63317 L
.68917 .63404 L
.69021 .63564 L
.69022 .63567 L
.69096 .63725 L
.69022 .63757 L
.68987 .63725 L
.68862 .6361 L
.68818 .63564 L
.68701 .63452 L
.68666 .63404 L
.68541 .63267 L
.68508 .63243 L
.6838 .63083 L
.68379 .63083 L
.68242 .62922 L
.68219 .62908 L
.68107 .62762 L
.68059 .62709 L
.67922 .62601 L
.67898 .6251 L
.67832 .62441 L
.67738 .6231 L
.67713 .6228 L
.6758 .6212 L
.67577 .62117 L
.67451 .61959 L
.67417 .61917 L
.67304 .61799 L
.67256 .61711 L
.67195 .61638 L
.67096 .61505 L
.67078 .61477 L
.66942 .61317 L
.66935 .6131 L
.66786 .61156 L
.66775 .61104 L
.66682 .60996 L
.66614 .60894 L
.66571 .60835 L
.66454 .60687 L
.66452 .60675 L
.66314 .60514 L
.66293 .60489 L
.66173 .60354 L
.66133 .60279 L
.66065 .60193 L
.65972 .60068 L
.65952 .60033 L
.65816 .59872 L
.65812 .59868 L
.65664 .59712 L
.65651 .5966 L
.6556 .59551 L
.65491 .59448 L
.6545 .59391 L
.6533 .5924 L
.65329 .5923 L
.65196 .5907 L
.6517 .59039 L
.65054 .58909 L
.65009 .58827 L
.64948 .58749 L
.64848 .58616 L
.64834 .58588 L
.64701 .58428 L
.64688 .58415 L
.64546 .58267 L
.64527 .58205 L
.64445 .58106 L
.64367 .57992 L
.64335 .57946 L
.64207 .57785 L
.64206 .57785 L
.64085 .57625 L
.64046 .57583 L
.63941 .57464 L
.63885 .57369 L
.63835 .57304 L
.63725 .57157 L
.63718 .57143 L
.63591 .56983 L
.63564 .5696 L
.63432 .56822 L
.63404 .56746 L
.63334 .56662 L
.63243 .56532 L
.63223 .56501 L
.63098 .56341 L
.63083 .56335 L
.62976 .5618 L
.62922 .56124 L
.62831 .5602 L
.62762 .55907 L
.62725 .55859 L
.62604 .55699 L
.62601 .55695 L
.62483 .55538 L
.62441 .55504 L
.62322 .55378 L
.6228 .55284 L
.62226 .55217 L
.6212 .55067 L
.62112 .55057 L
.61991 .54896 L
.61959 .54886 L
.61868 .54735 L
.61799 .54662 L
.61724 .54575 L
.61638 .54441 L
.61618 .54414 L
.61498 .54254 L
.61477 .54228 L
.61377 .54093 L
.61317 .54044 L
.61217 .53933 L
.61156 .53817 L
.61121 .53772 L
.61006 .53612 L
.60996 .53599 L
.60886 .53451 L
.60835 .53388 L
.60763 .53291 L
.60675 .53194 L
.60622 .5313 L
.60515 .5297 L
.60514 .52969 L
.60395 .52809 L
.60354 .52757 L
.60274 .52649 L
.60193 .52574 L
.6012 .52488 L
.60033 .5234 L
.60023 .52328 L
.59906 .52167 L
.59872 .52125 L
.59785 .52007 L
.59712 .51912 L
.59663 .51846 L
.59551 .5171 L
.59532 .51686 L
.59419 .51525 L
.59391 .51489 L
.593 .51364 L
.5923 .51275 L
.59179 .51204 L
.5907 .51075 L
.59044 .51043 L
.58937 .50883 L
.58909 .50847 L
.5882 .50722 L
.58749 .50629 L
.58701 .50562 L
.58588 .50413 L
.5858 .50401 L
.58466 .50241 L
.58428 .50191 L
.58353 .5008 L
.58267 .49964 L
.58238 .4992 L
.58126 .49759 L
.58106 .49732 L
.58027 .49599 L
.57946 .4947 L
.57932 .49438 L
F
1 .94 .156 r
.58106 .56405 m
.5824 .56501 L
.58267 .56523 L
.5841 .56662 L
.58428 .56666 L
.58557 .56822 L
.58588 .56852 L
.58695 .56983 L
.58749 .57047 L
.58842 .57143 L
.58909 .5725 L
.58952 .57304 L
.5907 .57453 L
.59075 .57464 L
.59204 .57625 L
.5923 .57639 L
.5936 .57785 L
.59391 .57861 L
.59448 .57946 L
.59551 .58094 L
.59557 .58106 L
.59668 .58267 L
.59712 .58337 L
.59768 .58428 L
.59842 .58588 L
.59712 .58652 L
.5963 .58588 L
.59551 .58559 L
.59462 .58428 L
.59391 .58368 L
.59318 .58267 L
.5923 .58173 L
.59142 .58106 L
.5907 .57971 L
.59044 .57946 L
.58923 .57785 L
.58909 .57768 L
.588 .57625 L
.58749 .57604 L
.58676 .57464 L
.58588 .57369 L
.58533 .57304 L
.5843 .57143 L
.58428 .5714 L
.58315 .56983 L
.58267 .56917 L
.58201 .56822 L
.58106 .56685 L
.58076 .56662 L
.58006 .56501 L
F
1 .92 .084 r
.58106 .50197 m
.58151 .50241 L
.58267 .50357 L
.58308 .50401 L
.58428 .5052 L
.58456 .50562 L
.58588 .50711 L
.58602 .50722 L
.58736 .50883 L
.58749 .50897 L
.58874 .51043 L
.58909 .51055 L
.5901 .51204 L
.5907 .5127 L
.59192 .51364 L
.5923 .51471 L
.5928 .51525 L
.59391 .51668 L
.59403 .51686 L
.59539 .51846 L
.59551 .51857 L
.5967 .52007 L
.59712 .52059 L
.59811 .52167 L
.59872 .52263 L
.59921 .52328 L
.60033 .52466 L
.60042 .52488 L
.60183 .52649 L
.60193 .5266 L
.60334 .52809 L
.60354 .52865 L
.60437 .5297 L
.60514 .53074 L
.60549 .5313 L
.60675 .53278 L
.60691 .53291 L
.60816 .53451 L
.60835 .53475 L
.6095 .53612 L
.60996 .53684 L
.61059 .53772 L
.61156 .53895 L
.61171 .53933 L
.61317 .54093 L
.61317 .54093 L
.61459 .54254 L
.61477 .543 L
.61566 .54414 L
.61638 .54511 L
.61676 .54575 L
.61799 .5472 L
.61816 .54735 L
.61939 .54896 L
.61959 .54919 L
.62071 .55057 L
.6212 .55131 L
.6218 .55217 L
.6228 .55343 L
.62292 .55378 L
.62434 .55538 L
.62441 .55544 L
.62576 .55699 L
.62601 .55753 L
.62682 .55859 L
.62762 .55967 L
.62792 .5602 L
.62922 .56175 L
.62928 .5618 L
.6305 .56341 L
.63083 .56377 L
.63183 .56501 L
.63243 .56592 L
.63291 .56662 L
.63404 .56805 L
.63409 .56822 L
.6354 .56983 L
.63564 .57004 L
.63687 .57143 L
.63725 .57219 L
.63788 .57304 L
.63885 .57436 L
.63901 .57464 L
.64028 .57625 L
.64046 .5763 L
.6415 .57785 L
.64206 .57848 L
.64284 .57946 L
.64367 .5807 L
.64391 .58106 L
.64513 .58267 L
.64527 .58286 L
.64633 .58428 L
.64688 .58477 L
.64781 .58588 L
.64848 .58709 L
.64877 .58749 L
.64992 .58909 L
.65009 .58932 L
.6511 .5907 L
.6517 .5915 L
.65282 .5923 L
.6533 .59361 L
.65352 .59391 L
.65461 .59551 L
.65491 .59591 L
.65575 .59712 L
.65651 .59816 L
.6569 .59872 L
.65803 .60033 L
.65812 .60045 L
.65908 .60193 L
.65972 .60287 L
.66014 .60354 L
.65972 .60511 L
.65823 .60354 L
.65812 .60342 L
.65679 .60193 L
.65651 .60164 L
.65539 .60033 L
.65491 .59979 L
.65401 .59872 L
.6533 .59815 L
.65265 .59712 L
.6517 .59604 L
.65105 .59551 L
.65009 .59404 L
.64996 .59391 L
.64868 .5923 L
.64848 .59208 L
.64738 .5907 L
.64688 .59021 L
.64608 .58909 L
.64527 .58812 L
.64466 .58749 L
.64367 .58607 L
.64351 .58588 L
.64224 .58428 L
.64206 .58418 L
.64098 .58267 L
.64046 .5821 L
.63941 .58106 L
.63885 .58 L
.63839 .57946 L
.63725 .57793 L
.63719 .57785 L
.63593 .57625 L
.63564 .576 L
.63468 .57464 L
.63404 .57388 L
.63328 .57304 L
.63243 .57177 L
.63218 .57143 L
.63093 .56983 L
.63083 .56979 L
.62969 .56822 L
.62922 .56773 L
.62816 .56662 L
.62762 .56559 L
.62714 .56501 L
.62601 .56349 L
.62596 .56341 L
.62472 .5618 L
.62441 .56156 L
.62296 .5602 L
.6228 .5594 L
.6221 .55859 L
.6212 .55725 L
.621 .55699 L
.61977 .55538 L
.61959 .55535 L
.61854 .55378 L
.61799 .55321 L
.61702 .55217 L
.61638 .55102 L
.61601 .55057 L
.61483 .54896 L
.61477 .54889 L
.61361 .54735 L
.61317 .54704 L
.61186 .54575 L
.61156 .5448 L
.61101 .54414 L
.60996 .54262 L
.6099 .54254 L
.6087 .54093 L
.60835 .5405 L
.60748 .53933 L
.60675 .53858 L
.60598 .53772 L
.60514 .53634 L
.60497 .53612 L
.60379 .53451 L
.60354 .53419 L
.60258 .53291 L
.60193 .5324 L
.60089 .5313 L
.60033 .53005 L
.60004 .5297 L
.59891 .52809 L
.59872 .52785 L
.59771 .52649 L
.59712 .52572 L
.5965 .52488 L
.59551 .52374 L
.59512 .52328 L
.59406 .52167 L
.59391 .52147 L
.59288 .52007 L
.5923 .51932 L
.59168 .51846 L
.5907 .5174 L
.59023 .51686 L
.58927 .51525 L
.58909 .51501 L
.58812 .51364 L
.58749 .51282 L
.58694 .51204 L
.58588 .51063 L
.58574 .51043 L
.58461 .50883 L
.58428 .50838 L
.5835 .50722 L
.58267 .50608 L
.58237 .50562 L
.58128 .50401 L
.58106 .50369 L
.58037 .50241 L
F
0 .73 1 r
.58106 .50874 m
.58115 .50883 L
.58267 .51043 L
.58267 .51043 L
.58409 .51204 L
.58428 .51224 L
.58547 .51364 L
.58588 .5141 L
.58684 .51525 L
.58749 .516 L
.5882 .51686 L
.58909 .51763 L
.58953 .51846 L
.5907 .51985 L
.59095 .52007 L
.59215 .52167 L
.5923 .52185 L
.59344 .52328 L
.59391 .52384 L
.59474 .52488 L
.59551 .52568 L
.59655 .52649 L
.59712 .52783 L
.59735 .52809 L
.59857 .5297 L
.59872 .52988 L
.59984 .5313 L
.60033 .53157 L
.60111 .53291 L
.60193 .53387 L
.60256 .53451 L
.60354 .53601 L
.60363 .53612 L
.60487 .53772 L
.60514 .53807 L
.60611 .53933 L
.60675 .53994 L
.60784 .54093 L
.60835 .54218 L
.60866 .54254 L
.60984 .54414 L
.60996 .5443 L
.61107 .54575 L
.61156 .54596 L
.6123 .54735 L
.61317 .54838 L
.6137 .54896 L
.61476 .55057 L
.61477 .55059 L
.61596 .55217 L
.61638 .55271 L
.61718 .55378 L
.61799 .55459 L
.61877 .55538 L
.61959 .55694 L
.61962 .55699 L
.6208 .55859 L
.6212 .55911 L
.622 .5602 L
.6228 .56126 L
.6232 .5618 L
.62439 .56341 L
.62441 .56343 L
.62554 .56501 L
.62601 .56564 L
.6267 .56662 L
.62762 .56786 L
.62787 .56822 L
.629 .56983 L
.62922 .57013 L
.63008 .57143 L
.63083 .5725 L
.63117 .57304 L
.63083 .57426 L
.62975 .57304 L
.62922 .5725 L
.62832 .57143 L
.62762 .57066 L
.62693 .56983 L
.62601 .56877 L
.62557 .56822 L
.62441 .56697 L
.62422 .56662 L
.6229 .56501 L
.6228 .5649 L
.62161 .56341 L
.6212 .56291 L
.62032 .5618 L
.61959 .56092 L
.61902 .5602 L
.61799 .55902 L
.61749 .55859 L
.61645 .55699 L
.61638 .5569 L
.6152 .55538 L
.61477 .55486 L
.61394 .55378 L
.61317 .5531 L
.61266 .55217 L
.61156 .55083 L
.61131 .55057 L
.61015 .54896 L
.60996 .54872 L
.60891 .54735 L
.60835 .54666 L
.60766 .54575 L
.60675 .54474 L
.60613 .54414 L
.60515 .54254 L
.60514 .54252 L
.60394 .54093 L
.60354 .54043 L
.60271 .53933 L
.60193 .53867 L
.60147 .53772 L
.60033 .5363 L
.60016 .53612 L
.59901 .53451 L
.59872 .53415 L
.5978 .53291 L
.59712 .53204 L
.59657 .5313 L
.59551 .53004 L
.59518 .5297 L
.59413 .52809 L
.59391 .52781 L
.59294 .52649 L
.5923 .52566 L
.59173 .52488 L
.5907 .52374 L
.59051 .52328 L
.58932 .52167 L
.58909 .52137 L
.58816 .52007 L
.58749 .51919 L
.58697 .51846 L
.58588 .51701 L
.58577 .51686 L
.58464 .51525 L
.58428 .51477 L
.58352 .51364 L
.58267 .51249 L
.58238 .51204 L
.58129 .51043 L
.58106 .51011 L
.58042 .50883 L
F
.002 .8 1 r
.58106 .57083 m
.58161 .57143 L
.58267 .57261 L
.58301 .57304 L
.58428 .57463 L
.58429 .57464 L
.58537 .57625 L
.58588 .57701 L
.5863 .57785 L
.58588 .57812 L
.58562 .57785 L
.58428 .57651 L
.58406 .57625 L
.5827 .57464 L
.58267 .57461 L
.58152 .57304 L
.58106 .57244 L
.58043 .57143 L
F
1 .93 .114 r
.58106 .56453 m
.58191 .56501 L
.58267 .56555 L
.58382 .56662 L
.58428 .56672 L
.58536 .56822 L
.58588 .56871 L
.58677 .56983 L
.58749 .57066 L
.58827 .57143 L
.58909 .57267 L
.58938 .57304 L
.59066 .57464 L
.5907 .57469 L
.59189 .57625 L
.5923 .57649 L
.59349 .57785 L
.59391 .57883 L
.59432 .57946 L
.59541 .58106 L
.59551 .58122 L
.59646 .58267 L
.59712 .58377 L
.5974 .58428 L
.5978 .58588 L
.59712 .58606 L
.59682 .58588 L
.59551 .58533 L
.59487 .58428 L
.59391 .58347 L
.59335 .58267 L
.5923 .58155 L
.59163 .58106 L
.5907 .57956 L
.59059 .57946 L
.58935 .57785 L
.58909 .57754 L
.5881 .57625 L
.58749 .57593 L
.58686 .57464 L
.58588 .57352 L
.58548 .57304 L
.58443 .57143 L
.58428 .57123 L
.58328 .56983 L
.58267 .56898 L
.58216 .56822 L
.58111 .56662 L
.58106 .56654 L
.58047 .56501 L
F
.001 .79 1 r
.58106 .57112 m
.58136 .57143 L
.58267 .57283 L
.58283 .57304 L
.58267 .57437 L
.58174 .57304 L
.58106 .57214 L
.58068 .57143 L
F
1 .34 0 r
.58106 .52825 m
.58193 .5297 L
.58267 .5308 L
.58288 .5313 L
.58267 .53148 L
.58251 .5313 L
.58106 .52986 L
.58092 .5297 L
F
1 .33 0 r
.58106 .52834 m
.58183 .5297 L
.58106 .52978 L
.58099 .5297 L
F
0 .2 1 r
.58106 .52171 m
.58216 .52328 L
.58267 .52389 L
.58334 .52488 L
.58428 .52607 L
.58455 .52649 L
.58428 .52719 L
.58374 .52649 L
.58267 .52528 L
.58237 .52488 L
.58106 .52333 L
.58103 .52328 L
F
1 .92 .084 r
.58267 .56588 m
.58352 .56662 L
.58428 .56685 L
.58514 .56822 L
.58588 .5689 L
.58659 .56983 L
.58749 .57086 L
.5881 .57143 L
.58909 .57285 L
.58924 .57304 L
.59051 .57464 L
.5907 .57488 L
.59175 .57625 L
.5923 .57664 L
.59335 .57785 L
.59391 .57909 L
.59415 .57946 L
.59522 .58106 L
.59551 .58152 L
.59624 .58267 L
.59707 .58428 L
.59551 .5849 L
.59515 .58428 L
.59391 .58323 L
.59354 .58267 L
.5923 .58135 L
.59189 .58106 L
.59075 .57946 L
.5907 .5794 L
.58947 .57785 L
.58909 .57739 L
.58821 .57625 L
.58749 .57579 L
.58697 .57464 L
.58588 .57333 L
.58564 .57304 L
.58455 .57143 L
.58428 .57106 L
.58342 .56983 L
.58267 .56876 L
.58232 .56822 L
.58138 .56662 L
F
1 1 1 r
.58267 .5605 m
.58428 .56062 L
.58588 .5611 L
.58672 .5618 L
.58749 .56263 L
.58813 .56341 L
.58909 .56465 L
.58938 .56501 L
.59059 .56662 L
.5907 .56681 L
.59161 .56822 L
.5923 .56878 L
.59313 .56983 L
.59391 .57086 L
.59435 .57143 L
.59551 .57297 L
.59556 .57304 L
.59669 .57464 L
.59712 .57517 L
.5976 .57625 L
.59872 .57742 L
.59929 .57785 L
.60033 .57924 L
.6005 .57946 L
.60169 .58106 L
.60193 .58133 L
.60272 .58267 L
.60354 .58344 L
.60422 .58428 L
.60514 .58553 L
.60543 .58588 L
.60664 .58749 L
.60675 .58764 L
.60773 .58909 L
.60675 .59059 L
.60514 .5906 L
.60355 .5907 L
.60511 .5923 L
.60514 .59238 L
.6063 .59391 L
.60675 .59444 L
.60738 .59551 L
.60835 .59654 L
.60879 .59712 L
.60996 .59866 L
.61001 .59872 L
.61129 .60033 L
.61156 .60077 L
.6124 .60193 L
.61317 .60291 L
.61344 .60354 L
.61477 .605 L
.61494 .60514 L
.61627 .60675 L
.61638 .60695 L
.61741 .60835 L
.61799 .60905 L
.61848 .60996 L
.61959 .61119 L
.61987 .61156 L
.62109 .61317 L
.6212 .61331 L
.62241 .61477 L
.6228 .61543 L
.6235 .61638 L
.62441 .61754 L
.62457 .61799 L
.62598 .61959 L
.62441 .6208 L
.6228 .62084 L
.62189 .6212 L
.6228 .62225 L
.62314 .6228 L
.62441 .62438 L
.62441 .62441 L
.62565 .62601 L
.62601 .62645 L
.6271 .62762 L
.62762 .62855 L
.62815 .62922 L
.62922 .63065 L
.62931 .63083 L
.63058 .63243 L
.63083 .63275 L
.63219 .63404 L
.63243 .63461 L
.63315 .63564 L
.63404 .63687 L
.63426 .63725 L
.63549 .63885 L
.63564 .63905 L
.63669 .64046 L
.63725 .64119 L
.63815 .64206 L
.63885 .64333 L
.63915 .64367 L
.64028 .64527 L
.64046 .64553 L
.64135 .64688 L
.64206 .64817 L
.64219 .64848 L
.64206 .64915 L
.64046 .64899 L
.63937 .64848 L
.63885 .64811 L
.6373 .64688 L
.63725 .64682 L
.63571 .64527 L
.63564 .64517 L
.63425 .64367 L
.63404 .64325 L
.63302 .64206 L
.63243 .64145 L
.63193 .64046 L
.63083 .63944 L
.63036 .63885 L
.62922 .63738 L
.62912 .63725 L
.62788 .63564 L
.62762 .63523 L
.62679 .63404 L
.62601 .63299 L
.62588 .63243 L
.62441 .63117 L
.62414 .63083 L
.6229 .62922 L
.6228 .62908 L
.62175 .62762 L
.6212 .627 L
.62074 .62601 L
.61959 .62496 L
.61921 .62441 L
.618 .6228 L
.61799 .62274 L
.61701 .6212 L
.61799 .62095 L
.61959 .62089 L
.62108 .61959 L
.61959 .61805 L
.61954 .61799 L
.61819 .61638 L
.61799 .61599 L
.61708 .61477 L
.61638 .61391 L
.616 .61317 L
.61477 .6118 L
.6146 .61156 L
.6132 .60996 L
.61317 .60968 L
.61207 .60835 L
.61156 .60752 L
.61098 .60675 L
.60996 .6054 L
.60989 .60514 L
.60844 .60354 L
.60835 .60345 L
.60705 .60193 L
.60675 .60139 L
.60597 .60033 L
.60514 .59926 L
.60487 .59872 L
.60354 .59715 L
.60351 .59712 L
.60201 .59551 L
.60193 .59503 L
.60096 .59391 L
.60033 .59291 L
.59987 .5923 L
.59881 .5907 L
.60033 .59063 L
.60193 .59063 L
.60233 .58909 L
.60193 .58823 L
.60132 .58749 L
.60033 .58611 L
.60018 .58588 L
.59894 .58428 L
.59872 .58403 L
.59772 .58267 L
.59712 .58192 L
.59629 .58106 L
.59551 .57981 L
.59522 .57946 L
.594 .57785 L
.59391 .57773 L
.59279 .57625 L
.5923 .57584 L
.59122 .57464 L
.5907 .57364 L
.59023 .57304 L
.58909 .57146 L
.58907 .57143 L
.58786 .56983 L
.58749 .56935 L
.58664 .56822 L
.58588 .56724 L
.58522 .56662 L
.58428 .56517 L
.58413 .56501 L
.58293 .56341 L
.58267 .56306 L
.58172 .5618 L
F
1 .91 .061 r
.58267 .56625 m
.58314 .56662 L
.58428 .56709 L
.5849 .56822 L
.58588 .56913 L
.5864 .56983 L
.58749 .57106 L
.5879 .57143 L
.58909 .57304 L
.58909 .57304 L
.59036 .57464 L
.5907 .57507 L
.5916 .57625 L
.5923 .57684 L
.59317 .57785 L
.59391 .57938 L
.59396 .57946 L
.59501 .58106 L
.59551 .58186 L
.59599 .58267 L
.59551 .58426 L
.59391 .58292 L
.59374 .58267 L
.5923 .58113 L
.5922 .58106 L
.5909 .57946 L
.5907 .57923 L
.5896 .57785 L
.58909 .57724 L
.58833 .57625 L
.58749 .57561 L
.58708 .57464 L
.58588 .57312 L
.58581 .57304 L
.58469 .57143 L
.58428 .57087 L
.58357 .56983 L
.58267 .5685 L
.5825 .56822 L
.58174 .56662 L
F
.733 .99 1 r
.58267 .59303 m
.58408 .59391 L
.58428 .59408 L
.58563 .59551 L
.58588 .59579 L
.58695 .59712 L
.58749 .59776 L
.58822 .59872 L
.58909 .59983 L
.58945 .60033 L
.59067 .60193 L
.5907 .60197 L
.59177 .60354 L
.5923 .60428 L
.59285 .60514 L
.59389 .60675 L
.59391 .60677 L
.59432 .60835 L
.59391 .60838 L
.59386 .60835 L
.5923 .60742 L
.59188 .60675 L
.5907 .60561 L
.5903 .60514 L
.58909 .6038 L
.58878 .60354 L
.58749 .60193 L
.58749 .60193 L
.58617 .60033 L
.58588 .59997 L
.5849 .59872 L
.58428 .59836 L
.58341 .59712 L
.58267 .59566 L
.58261 .59551 L
.5818 .59391 L
F
1 .4 0 r
.58267 .51707 m
.58378 .51846 L
.58428 .51903 L
.58509 .52007 L
.58588 .521 L
.5864 .52167 L
.58749 .523 L
.5877 .52328 L
.58897 .52488 L
.58909 .52502 L
.59021 .52649 L
.5907 .52708 L
.59146 .52809 L
.5923 .52913 L
.59273 .5297 L
.59391 .53119 L
.59399 .5313 L
.59519 .53291 L
.59551 .5333 L
.5964 .53451 L
.59712 .53542 L
.59763 .53612 L
.59872 .53753 L
.59886 .53772 L
.60003 .53933 L
.60033 .5397 L
.60119 .54093 L
.60193 .5419 L
.60237 .54254 L
.60354 .5441 L
.60357 .54414 L
.60354 .54559 L
.60236 .54414 L
.60193 .54368 L
.60103 .54254 L
.60033 .54175 L
.5997 .54093 L
.59872 .53979 L
.59837 .53933 L
.59712 .53781 L
.59705 .53772 L
.59581 .53612 L
.59551 .53577 L
.59456 .53451 L
.59391 .53372 L
.5933 .53291 L
.5923 .53168 L
.59202 .5313 L
.59076 .5297 L
.5907 .52963 L
.58956 .52809 L
.58909 .52752 L
.58834 .52649 L
.58749 .52542 L
.5871 .52488 L
.58588 .52332 L
.58585 .52328 L
.58469 .52167 L
.58428 .52116 L
.58351 .52007 L
.58267 .51899 L
.58231 .51846 L
F
1 .39 0 r
.58267 .51715 m
.58371 .51846 L
.58428 .5191 L
.58503 .52007 L
.58588 .52107 L
.58635 .52167 L
.58749 .52306 L
.58766 .52328 L
.58892 .52488 L
.58909 .52508 L
.59016 .52649 L
.5907 .52713 L
.59142 .52809 L
.5923 .52919 L
.59269 .5297 L
.59391 .53125 L
.59395 .5313 L
.59514 .53291 L
.59551 .53336 L
.59636 .53451 L
.59712 .53548 L
.59759 .53612 L
.59872 .53759 L
.59882 .53772 L
.59997 .53933 L
.60033 .53977 L
.60113 .54093 L
.60193 .54198 L
.60231 .54254 L
.60193 .5436 L
.6011 .54254 L
.60033 .54167 L
.59976 .54093 L
.59872 .53972 L
.59842 .53933 L
.59712 .53775 L
.5971 .53772 L
.59586 .53612 L
.59551 .53571 L
.59461 .53451 L
.59391 .53367 L
.59334 .53291 L
.5923 .53163 L
.59206 .5313 L
.5908 .5297 L
.5907 .52957 L
.58961 .52809 L
.58909 .52746 L
.58838 .52649 L
.58749 .52536 L
.58714 .52488 L
.58589 .52328 L
.58588 .52327 L
.58474 .52167 L
.58428 .52109 L
.58357 .52007 L
.58267 .51892 L
.58236 .51846 L
F
1 .38 0 r
.58267 .51724 m
.58364 .51846 L
.58428 .51918 L
.58497 .52007 L
.58588 .52113 L
.5863 .52167 L
.58749 .52312 L
.58761 .52328 L
.58886 .52488 L
.58909 .52515 L
.59011 .52649 L
.5907 .52719 L
.59137 .52809 L
.5923 .52924 L
.59264 .5297 L
.59391 .5313 L
.59391 .5313 L
.59509 .53291 L
.59551 .53342 L
.59631 .53451 L
.59712 .53554 L
.59754 .53612 L
.59872 .53765 L
.59877 .53772 L
.59991 .53933 L
.60033 .53986 L
.60106 .54093 L
.60193 .54207 L
.60225 .54254 L
.60193 .5435 L
.60118 .54254 L
.60033 .5416 L
.59982 .54093 L
.59872 .53966 L
.59847 .53933 L
.59715 .53772 L
.59712 .53769 L
.59591 .53612 L
.59551 .53565 L
.59466 .53451 L
.59391 .53361 L
.59338 .53291 L
.5923 .53158 L
.5921 .5313 L
.59085 .5297 L
.5907 .52951 L
.58965 .52809 L
.58909 .5274 L
.58843 .52649 L
.58749 .52531 L
.58718 .52488 L
.58594 .52328 L
.58588 .5232 L
.5848 .52167 L
.58428 .52102 L
.58362 .52007 L
.58267 .51884 L
.58241 .51846 L
F
0 .19 1 r
.58267 .52398 m
.58326 .52488 L
.58428 .52617 L
.58448 .52649 L
.58428 .52709 L
.58383 .52649 L
.58267 .52521 L
.58243 .52488 L
F
0 .72 1 r
.58267 .5106 m
.58396 .51204 L
.58428 .51237 L
.58537 .51364 L
.58588 .51421 L
.58676 .51525 L
.58749 .51609 L
.58812 .51686 L
.58909 .51774 L
.58947 .51846 L
.5907 .51993 L
.59085 .52007 L
.59209 .52167 L
.5923 .52192 L
.59339 .52328 L
.59391 .52391 L
.59469 .52488 L
.59551 .52575 L
.59648 .52649 L
.59712 .5279 L
.5973 .52809 L
.59853 .5297 L
.59872 .52994 L
.59979 .5313 L
.60033 .53162 L
.60106 .53291 L
.60193 .53393 L
.60251 .53451 L
.60354 .53606 L
.60358 .53612 L
.60482 .53772 L
.60514 .53813 L
.60607 .53933 L
.60675 .53999 L
.60779 .54093 L
.60835 .54223 L
.60862 .54254 L
.6098 .54414 L
.60996 .54435 L
.61103 .54575 L
.61156 .546 L
.61226 .54735 L
.61317 .54844 L
.61365 .54896 L
.61471 .55057 L
.61477 .55064 L
.61592 .55217 L
.61638 .55276 L
.61714 .55378 L
.61799 .55466 L
.6187 .55538 L
.61957 .55699 L
.61959 .55701 L
.62075 .55859 L
.6212 .55917 L
.62195 .5602 L
.6228 .56133 L
.62315 .5618 L
.62433 .56341 L
.62441 .56351 L
.62547 .56501 L
.62601 .56573 L
.62664 .56662 L
.62762 .56796 L
.6278 .56822 L
.6289 .56983 L
.62922 .57027 L
.62997 .57143 L
.63083 .57268 L
.63104 .57304 L
.63083 .57404 L
.62991 .57304 L
.62922 .57236 L
.62843 .57143 L
.62762 .57055 L
.62702 .56983 L
.62601 .56868 L
.62564 .56822 L
.62441 .56685 L
.62428 .56662 L
.62297 .56501 L
.6228 .56482 L
.62167 .56341 L
.6212 .56284 L
.62037 .5618 L
.61959 .56086 L
.61907 .5602 L
.61799 .55895 L
.61757 .55859 L
.6165 .55699 L
.61638 .55685 L
.61524 .55538 L
.61477 .55481 L
.61398 .55378 L
.61317 .55305 L
.6127 .55217 L
.61156 .55078 L
.61136 .55057 L
.61019 .54896 L
.60996 .54868 L
.60895 .54735 L
.60835 .54661 L
.6077 .54575 L
.60675 .54469 L
.60618 .54414 L
.60519 .54254 L
.60514 .54248 L
.60398 .54093 L
.60354 .54038 L
.60275 .53933 L
.60193 .53862 L
.6015 .53772 L
.60033 .53624 L
.60021 .53612 L
.59905 .53451 L
.59872 .5341 L
.59784 .53291 L
.59712 .53199 L
.59661 .5313 L
.59551 .52997 L
.59525 .5297 L
.59417 .52809 L
.59391 .52775 L
.59298 .52649 L
.5923 .52561 L
.59177 .52488 L
.5907 .52364 L
.59055 .52328 L
.58937 .52167 L
.58909 .52131 L
.58821 .52007 L
.58749 .51912 L
.58703 .51846 L
.58588 .51694 L
.58582 .51686 L
.58471 .51525 L
.58428 .51467 L
.58361 .51364 L
.58267 .51236 L
.58247 .51204 L
F
1 .37 0 r
.58267 .51734 m
.58356 .51846 L
.58428 .51926 L
.58491 .52007 L
.58588 .5212 L
.58625 .52167 L
.58749 .52318 L
.58756 .52328 L
.58881 .52488 L
.58909 .52521 L
.59006 .52649 L
.5907 .52726 L
.59133 .52809 L
.5923 .5293 L
.5926 .5297 L
.59385 .5313 L
.59391 .53137 L
.59504 .53291 L
.59551 .53349 L
.59626 .53451 L
.59712 .5356 L
.59749 .53612 L
.59872 .53772 L
.59872 .53772 L
.59984 .53933 L
.60033 .53994 L
.60099 .54093 L
.60193 .54217 L
.60218 .54254 L
.60193 .54339 L
.60127 .54254 L
.60033 .54152 L
.59988 .54093 L
.59872 .53959 L
.59852 .53933 L
.59721 .53772 L
.59712 .53762 L
.59597 .53612 L
.59551 .53559 L
.59471 .53451 L
.59391 .53356 L
.59342 .53291 L
.5923 .53152 L
.59214 .5313 L
.5909 .5297 L
.5907 .52945 L
.5897 .52809 L
.58909 .52734 L
.58847 .52649 L
.58749 .52525 L
.58722 .52488 L
.586 .52328 L
.58588 .52313 L
.58486 .52167 L
.58428 .52094 L
.58368 .52007 L
.58267 .51876 L
.58247 .51846 L
F
0 .18 1 r
.58267 .52408 m
.58318 .52488 L
.58428 .52628 L
.5844 .52649 L
.58428 .52695 L
.58393 .52649 L
.58267 .52512 L
.58249 .52488 L
F
1 .36 0 r
.58267 .51746 m
.58347 .51846 L
.58428 .51934 L
.58484 .52007 L
.58588 .52128 L
.58619 .52167 L
.58749 .52325 L
.58751 .52328 L
.58875 .52488 L
.58909 .52528 L
.59 .52649 L
.5907 .52732 L
.59128 .52809 L
.5923 .52936 L
.59255 .5297 L
.59379 .5313 L
.59391 .53144 L
.59498 .53291 L
.59551 .53356 L
.5962 .53451 L
.59712 .53567 L
.59744 .53612 L
.59712 .53754 L
.59603 .53612 L
.59551 .53552 L
.59476 .53451 L
.59391 .5335 L
.59347 .53291 L
.5923 .53147 L
.59218 .5313 L
.59096 .5297 L
.5907 .52939 L
.58975 .52809 L
.58909 .52728 L
.58852 .52649 L
.58749 .52519 L
.58727 .52488 L
.58606 .52328 L
.58588 .52306 L
.58492 .52167 L
.58428 .52086 L
.58375 .52007 L
.58267 .51867 L
.58253 .51846 L
F
0 .71 1 r
.58267 .51079 m
.58381 .51204 L
.58428 .5125 L
.58526 .51364 L
.58588 .51432 L
.58667 .51525 L
.58749 .51618 L
.58805 .51686 L
.58909 .51786 L
.5894 .51846 L
.5907 .52003 L
.59074 .52007 L
.59203 .52167 L
.5923 .522 L
.59333 .52328 L
.59391 .52397 L
.59464 .52488 L
.59551 .52582 L
.5964 .52649 L
.59712 .52796 L
.59724 .52809 L
.59848 .5297 L
.59872 .53 L
.59975 .5313 L
.60033 .53166 L
.60102 .53291 L
.60193 .53399 L
.60245 .53451 L
.60354 .53612 L
.60354 .53612 L
.60478 .53772 L
.60514 .53818 L
.60603 .53933 L
.60675 .54005 L
.60774 .54093 L
.60835 .54229 L
.60857 .54254 L
.60975 .54414 L
.60996 .5444 L
.61098 .54575 L
.61156 .54604 L
.61222 .54735 L
.61317 .5485 L
.61359 .54896 L
.61467 .55057 L
.61477 .5507 L
.61588 .55217 L
.61638 .55282 L
.6171 .55378 L
.61799 .55474 L
.61863 .55538 L
.61952 .55699 L
.61959 .55708 L
.6207 .55859 L
.6212 .55924 L
.62189 .5602 L
.6228 .5614 L
.62309 .5618 L
.62427 .56341 L
.62441 .56359 L
.62541 .56501 L
.62601 .56582 L
.62657 .56662 L
.62762 .56806 L
.62773 .56822 L
.6288 .56983 L
.62922 .57042 L
.62985 .57143 L
.63083 .57292 L
.63089 .57304 L
.63083 .57375 L
.63012 .57304 L
.62922 .57221 L
.62856 .57143 L
.62762 .57044 L
.62711 .56983 L
.62601 .56859 L
.62572 .56822 L
.62441 .56673 L
.62435 .56662 L
.62304 .56501 L
.6228 .56474 L
.62173 .56341 L
.6212 .56278 L
.62043 .5618 L
.61959 .5608 L
.61912 .5602 L
.61799 .55887 L
.61765 .55859 L
.61654 .55699 L
.61638 .55679 L
.61529 .55538 L
.61477 .55476 L
.61402 .55378 L
.61317 .55299 L
.61274 .55217 L
.61156 .55072 L
.61141 .55057 L
.61023 .54896 L
.60996 .54863 L
.60899 .54735 L
.60835 .54657 L
.60773 .54575 L
.60675 .54463 L
.60624 .54414 L
.60523 .54254 L
.60514 .54243 L
.60401 .54093 L
.60354 .54034 L
.60278 .53933 L
.60193 .53856 L
.60153 .53772 L
.60033 .53619 L
.60026 .53612 L
.59909 .53451 L
.59872 .53405 L
.59787 .53291 L
.59712 .53194 L
.59664 .5313 L
.59551 .52991 L
.59531 .5297 L
.59422 .52809 L
.59391 .5277 L
.59303 .52649 L
.5923 .52555 L
.59182 .52488 L
.5907 .52354 L
.59059 .52328 L
.58943 .52167 L
.58909 .52124 L
.58827 .52007 L
.58749 .51904 L
.58708 .51846 L
.58588 .51686 L
.58588 .51686 L
.5848 .51525 L
.58428 .51455 L
.5837 .51364 L
.58267 .51221 L
.58257 .51204 L
F
0 .17 1 r
.58267 .5242 m
.58308 .52488 L
.58428 .52644 L
.5843 .52649 L
.58428 .52674 L
.5841 .52649 L
.58267 .52502 L
.58257 .52488 L
F
1 .35 0 r
.58267 .51759 m
.58336 .51846 L
.58428 .51944 L
.58477 .52007 L
.58588 .52135 L
.58613 .52167 L
.58588 .52297 L
.585 .52167 L
.58428 .52077 L
.58382 .52007 L
.58267 .51857 L
.5826 .51846 L
F
1 .91 .061 r
.58267 .50409 m
.58419 .50562 L
.58428 .5057 L
.58568 .50722 L
.58588 .50743 L
.58712 .50883 L
.58749 .50923 L
.58853 .51043 L
.58909 .51066 L
.58991 .51204 L
.5907 .51291 L
.59174 .51364 L
.5923 .5149 L
.59264 .51525 L
.59391 .51683 L
.59392 .51686 L
.59525 .51846 L
.59551 .51869 L
.59657 .52007 L
.59712 .52073 L
.59801 .52167 L
.59872 .52277 L
.59911 .52328 L
.60033 .52477 L
.60037 .52488 L
.60173 .52649 L
.60193 .52671 L
.60329 .52809 L
.60354 .52877 L
.60429 .5297 L
.60514 .53084 L
.60543 .5313 L
.60675 .53285 L
.60682 .53291 L
.60809 .53451 L
.60835 .53484 L
.60944 .53612 L
.60996 .53694 L
.61053 .53772 L
.61156 .53902 L
.61168 .53933 L
.6131 .54093 L
.61317 .541 L
.61455 .54254 L
.61477 .54308 L
.6156 .54414 L
.61638 .54519 L
.61671 .54575 L
.61799 .54726 L
.6181 .54735 L
.61934 .54896 L
.61959 .54926 L
.62066 .55057 L
.6212 .55138 L
.62175 .55217 L
.6228 .55349 L
.62289 .55378 L
.62429 .55538 L
.62441 .5555 L
.62573 .55699 L
.62601 .5576 L
.62677 .55859 L
.62762 .55974 L
.62788 .5602 L
.62922 .5618 L
.62922 .5618 L
.63045 .56341 L
.63083 .56384 L
.63178 .56501 L
.63243 .56599 L
.63286 .56662 L
.63404 .56812 L
.63407 .56822 L
.63534 .56983 L
.63564 .5701 L
.63682 .57143 L
.63725 .57228 L
.63782 .57304 L
.63885 .57444 L
.63896 .57464 L
.64021 .57625 L
.64046 .57633 L
.64143 .57785 L
.64206 .57858 L
.64276 .57946 L
.64367 .58081 L
.64384 .58106 L
.64504 .58267 L
.64527 .58297 L
.64624 .58428 L
.64688 .58489 L
.64771 .58588 L
.64848 .58724 L
.64866 .58749 L
.64981 .58909 L
.65009 .58947 L
.65098 .5907 L
.6517 .59166 L
.65264 .5923 L
.6533 .59385 L
.65334 .59391 L
.65445 .59551 L
.65491 .59614 L
.65558 .59712 L
.65651 .59843 L
.65671 .59872 L
.65776 .60033 L
.65812 .60084 L
.65876 .60193 L
.65972 .6035 L
.65974 .60354 L
.65972 .6043 L
.65878 .60354 L
.65812 .60298 L
.65714 .60193 L
.65651 .6013 L
.65565 .60033 L
.65491 .59952 L
.65423 .59872 L
.6533 .59791 L
.65283 .59712 L
.6517 .59583 L
.65129 .59551 L
.65013 .59391 L
.65009 .59387 L
.64881 .5923 L
.64848 .59192 L
.6475 .5907 L
.64688 .59008 L
.64619 .58909 L
.64527 .58799 L
.64477 .58749 L
.64367 .58596 L
.6436 .58588 L
.64233 .58428 L
.64206 .58412 L
.64106 .58267 L
.64046 .58201 L
.63948 .58106 L
.63885 .57991 L
.63847 .57946 L
.63725 .57786 L
.63725 .57785 L
.636 .57625 L
.63564 .57593 L
.63474 .57464 L
.63404 .57381 L
.63334 .57304 L
.63243 .5717 L
.63223 .57143 L
.63098 .56983 L
.63083 .56977 L
.62974 .56822 L
.62922 .56767 L
.6282 .56662 L
.62762 .56553 L
.62719 .56501 L
.62601 .56343 L
.626 .56341 L
.62477 .5618 L
.62441 .56152 L
.62299 .5602 L
.6228 .55934 L
.62214 .55859 L
.6212 .5572 L
.62104 .55699 L
.61981 .55538 L
.61959 .55534 L
.61859 .55378 L
.61799 .55316 L
.61706 .55217 L
.61638 .55097 L
.61606 .55057 L
.61487 .54896 L
.61477 .54884 L
.61366 .54735 L
.61317 .54699 L
.6119 .54575 L
.61156 .54474 L
.61106 .54414 L
.60996 .54256 L
.60994 .54254 L
.60874 .54093 L
.60835 .54044 L
.60752 .53933 L
.60675 .53852 L
.60604 .53772 L
.60514 .53627 L
.60502 .53612 L
.60384 .53451 L
.60354 .53413 L
.60263 .53291 L
.60193 .53233 L
.60096 .5313 L
.60033 .52996 L
.60011 .5297 L
.59897 .52809 L
.59872 .52778 L
.59778 .52649 L
.59712 .52564 L
.59656 .52488 L
.59551 .52363 L
.59522 .52328 L
.59414 .52167 L
.59391 .52137 L
.59296 .52007 L
.5923 .51921 L
.59176 .51846 L
.5907 .51721 L
.59039 .51686 L
.58938 .51525 L
.58909 .51487 L
.58823 .51364 L
.58749 .51265 L
.58706 .51204 L
.58588 .51045 L
.58587 .51043 L
.58479 .50883 L
.58428 .50812 L
.58371 .50722 L
.58267 .50573 L
.5826 .50562 L
F
0 .16 1 r
.58267 .52437 m
.58291 .52488 L
.58267 .52491 L
.58265 .52488 L
F
1 .9 .045 r
.58428 .56751 m
.58464 .56822 L
.58588 .56939 L
.5862 .56983 L
.58749 .57128 L
.58766 .57143 L
.58893 .57304 L
.58909 .57323 L
.5902 .57464 L
.5907 .57527 L
.59144 .57625 L
.5923 .5771 L
.59293 .57785 L
.59376 .57946 L
.59391 .57967 L
.5948 .58106 L
.59551 .58231 L
.5957 .58267 L
.59551 .58373 L
.59401 .58267 L
.59391 .58258 L
.59245 .58106 L
.5923 .58091 L
.59106 .57946 L
.5907 .57905 L
.58974 .57785 L
.58909 .57708 L
.58845 .57625 L
.58749 .57538 L
.58719 .57464 L
.58597 .57304 L
.58588 .57292 L
.58483 .57143 L
.58428 .57066 L
.58373 .56983 L
.5827 .56822 L
F
1 .89 .033 r
.58428 .56815 m
.58431 .56822 L
.58588 .5697 L
.58597 .56983 L
.58741 .57143 L
.58749 .57151 L
.58875 .57304 L
.58909 .57344 L
.59004 .57464 L
.5907 .57548 L
.59128 .57625 L
.5923 .57745 L
.59263 .57785 L
.59356 .57946 L
.59391 .57999 L
.59455 .58106 L
.59391 .58226 L
.59269 .58106 L
.5923 .58068 L
.59124 .57946 L
.5907 .57886 L
.58989 .57785 L
.58909 .57691 L
.58858 .57625 L
.58749 .5751 L
.58731 .57464 L
.58612 .57304 L
.58588 .57273 L
.58499 .57143 L
.58428 .57041 L
.58391 .56983 L
.58305 .56822 L
F
.733 .99 1 r
.58428 .56211 m
.58588 .56275 L
.58676 .56341 L
.58749 .56436 L
.58868 .56501 L
.58909 .56595 L
.58988 .56662 L
.5907 .56788 L
.59105 .56822 L
.5923 .56939 L
.59266 .56983 L
.59391 .5714 L
.59393 .57143 L
.59521 .57304 L
.59551 .57349 L
.59632 .57464 L
.59712 .57563 L
.59731 .57625 L
.59872 .57773 L
.59894 .57785 L
.6002 .57946 L
.60033 .57966 L
.60131 .58106 L
.60193 .5818 L
.60233 .58267 L
.60354 .58403 L
.60371 .58428 L
.60481 .58588 L
.60514 .58645 L
.60585 .58749 L
.60596 .58909 L
.60514 .58937 L
.60401 .58909 L
.60354 .58888 L
.60194 .58749 L
.60193 .58748 L
.60052 .58588 L
.60033 .5857 L
.59922 .58428 L
.59872 .58374 L
.59794 .58267 L
.59712 .58167 L
.5965 .58106 L
.59551 .5796 L
.59539 .57946 L
.59418 .57785 L
.59391 .57751 L
.59295 .57625 L
.5923 .57565 L
.5914 .57464 L
.5907 .5734 L
.59042 .57304 L
.58926 .57143 L
.58909 .57121 L
.58807 .56983 L
.58749 .56906 L
.58687 .56822 L
.58588 .56689 L
.58558 .56662 L
.58457 .56501 L
.58428 .56456 L
.58363 .56341 L
F
0 .7 1 r
.58428 .51265 m
.58515 .51364 L
.58588 .51443 L
.58657 .51525 L
.58749 .51628 L
.58796 .51686 L
.58909 .518 L
.58932 .51846 L
.59065 .52007 L
.5907 .52011 L
.59196 .52167 L
.5923 .52207 L
.59327 .52328 L
.59391 .52404 L
.59458 .52488 L
.59551 .5259 L
.59631 .52649 L
.59712 .52803 L
.59717 .52809 L
.59843 .5297 L
.59872 .53006 L
.5997 .5313 L
.60033 .53171 L
.60098 .53291 L
.60193 .53405 L
.6024 .53451 L
.60349 .53612 L
.60354 .53617 L
.60474 .53772 L
.60514 .53823 L
.60599 .53933 L
.60675 .5401 L
.60769 .54093 L
.60835 .54235 L
.60852 .54254 L
.60971 .54414 L
.60996 .54446 L
.61094 .54575 L
.61156 .54609 L
.61218 .54735 L
.61317 .54856 L
.61353 .54896 L
.61463 .55057 L
.61477 .55075 L
.61583 .55217 L
.61638 .55288 L
.61705 .55378 L
.61799 .55482 L
.61855 .55538 L
.61947 .55699 L
.61959 .55714 L
.62065 .55859 L
.6212 .55931 L
.62184 .5602 L
.6228 .56148 L
.62304 .5618 L
.6242 .56341 L
.62441 .56368 L
.62534 .56501 L
.62601 .56592 L
.62649 .56662 L
.62762 .56818 L
.62765 .56822 L
.62868 .56983 L
.62922 .5706 L
.6297 .57143 L
.62922 .57202 L
.6287 .57143 L
.62762 .57031 L
.62721 .56983 L
.62601 .56849 L
.6258 .56822 L
.62442 .56662 L
.62441 .5666 L
.62311 .56501 L
.6228 .56466 L
.6218 .56341 L
.6212 .5627 L
.62048 .5618 L
.61959 .56073 L
.61917 .5602 L
.61799 .5588 L
.61774 .55859 L
.61659 .55699 L
.61638 .55673 L
.61533 .55538 L
.61477 .55471 L
.61406 .55378 L
.61317 .55293 L
.61278 .55217 L
.61156 .55066 L
.61147 .55057 L
.61027 .54896 L
.60996 .54858 L
.60902 .54735 L
.60835 .54652 L
.60777 .54575 L
.60675 .54457 L
.6063 .54414 L
.60527 .54254 L
.60514 .54239 L
.60405 .54093 L
.60354 .54029 L
.60281 .53933 L
.60193 .5385 L
.60157 .53772 L
.60033 .53613 L
.60032 .53612 L
.59912 .53451 L
.59872 .53401 L
.59791 .53291 L
.59712 .53189 L
.59668 .5313 L
.59551 .52984 L
.59538 .5297 L
.59426 .52809 L
.59391 .52764 L
.59307 .52649 L
.5923 .5255 L
.59186 .52488 L
.5907 .52344 L
.59063 .52328 L
.58948 .52167 L
.58909 .52117 L
.58832 .52007 L
.58749 .51897 L
.58714 .51846 L
.58596 .51686 L
.58588 .51676 L
.58488 .51525 L
.58428 .51442 L
.58379 .51364 L
F
1 .34 0 r
.58428 .51954 m
.58468 .52007 L
.58588 .52144 L
.58606 .52167 L
.58588 .52288 L
.58508 .52167 L
.58428 .52066 L
.5839 .52007 L
F
0 .69 1 r
.58428 .51283 m
.58501 .51364 L
.58588 .51456 L
.58647 .51525 L
.58749 .51639 L
.58788 .51686 L
.58909 .51814 L
.58925 .51846 L
.59058 .52007 L
.5907 .5202 L
.5919 .52167 L
.5923 .52215 L
.59321 .52328 L
.59391 .52411 L
.59453 .52488 L
.59551 .52597 L
.59621 .52649 L
.59711 .52809 L
.59712 .5281 L
.59838 .5297 L
.59872 .53012 L
.59965 .5313 L
.60033 .53177 L
.60093 .53291 L
.60193 .53411 L
.60234 .53451 L
.60345 .53612 L
.60354 .53623 L
.6047 .53772 L
.60514 .53829 L
.60595 .53933 L
.60675 .54016 L
.60762 .54093 L
.60835 .54241 L
.60847 .54254 L
.60967 .54414 L
.60996 .54451 L
.6109 .54575 L
.61156 .54614 L
.61214 .54735 L
.61317 .54863 L
.61348 .54896 L
.61458 .55057 L
.61477 .55081 L
.61579 .55217 L
.61638 .55294 L
.61701 .55378 L
.61799 .5549 L
.61846 .55538 L
.61942 .55699 L
.61959 .55721 L
.62059 .55859 L
.6212 .55938 L
.62179 .5602 L
.6228 .56155 L
.62298 .5618 L
.62413 .56341 L
.62441 .56377 L
.62527 .56501 L
.62601 .56602 L
.62642 .56662 L
.62755 .56822 L
.62762 .56831 L
.62854 .56983 L
.62922 .57084 L
.62952 .57143 L
.62922 .5718 L
.62889 .57143 L
.62762 .57017 L
.62733 .56983 L
.62601 .56838 L
.62588 .56822 L
.62451 .56662 L
.62441 .5665 L
.62319 .56501 L
.6228 .56458 L
.62186 .56341 L
.6212 .56263 L
.62054 .5618 L
.61959 .56067 L
.61922 .5602 L
.61799 .55872 L
.61783 .55859 L
.61664 .55699 L
.61638 .55667 L
.61538 .55538 L
.61477 .55465 L
.6141 .55378 L
.61317 .55286 L
.61282 .55217 L
.61156 .5506 L
.61153 .55057 L
.61031 .54896 L
.60996 .54853 L
.60906 .54735 L
.60835 .54647 L
.60781 .54575 L
.60675 .54452 L
.60636 .54414 L
.6053 .54254 L
.60514 .54234 L
.60409 .54093 L
.60354 .54025 L
.60285 .53933 L
.60193 .53844 L
.6016 .53772 L
.60036 .53612 L
.60033 .53608 L
.59916 .53451 L
.59872 .53396 L
.59795 .53291 L
.59712 .53185 L
.59672 .5313 L
.59551 .52976 L
.59545 .5297 L
.5943 .52809 L
.59391 .52759 L
.59311 .52649 L
.5923 .52544 L
.5919 .52488 L
.5907 .52332 L
.59068 .52328 L
.58954 .52167 L
.58909 .52109 L
.58838 .52007 L
.58749 .51888 L
.5872 .51846 L
.58604 .51686 L
.58588 .51664 L
.58498 .51525 L
.58428 .51427 L
.5839 .51364 L
F
1 .9 .045 r
.58428 .50616 m
.58532 .50722 L
.58588 .50778 L
.58684 .50883 L
.58749 .50952 L
.5883 .51043 L
.58909 .51087 L
.58971 .51204 L
.5907 .51313 L
.59148 .51364 L
.5923 .51509 L
.59246 .51525 L
.59378 .51686 L
.59391 .517 L
.59512 .51846 L
.59551 .51881 L
.59645 .52007 L
.59712 .52088 L
.5979 .52167 L
.59872 .5229 L
.59902 .52328 L
.60033 .52487 L
.60033 .52488 L
.60164 .52649 L
.60193 .52681 L
.60324 .52809 L
.60354 .52888 L
.60421 .5297 L
.60514 .53094 L
.60537 .5313 L
.60674 .53291 L
.60675 .53292 L
.60801 .53451 L
.60835 .53493 L
.60937 .53612 L
.60996 .53703 L
.61046 .53772 L
.61156 .5391 L
.61165 .53933 L
.61304 .54093 L
.61317 .54107 L
.61452 .54254 L
.61477 .54316 L
.61555 .54414 L
.61638 .54527 L
.61667 .54575 L
.61799 .54731 L
.61803 .54735 L
.61928 .54896 L
.61959 .54933 L
.62061 .55057 L
.6212 .55146 L
.6217 .55217 L
.6228 .55356 L
.62287 .55378 L
.62423 .55538 L
.62441 .55555 L
.6257 .55699 L
.62601 .55767 L
.62671 .55859 L
.62762 .55981 L
.62784 .5602 L
.62916 .5618 L
.62922 .56183 L
.63039 .56341 L
.63083 .56391 L
.63173 .56501 L
.63243 .56607 L
.6328 .56662 L
.63404 .56819 L
.63405 .56822 L
.63528 .56983 L
.63564 .57016 L
.63677 .57143 L
.63725 .57236 L
.63775 .57304 L
.63885 .57453 L
.63892 .57464 L
.64014 .57625 L
.64046 .57637 L
.64135 .57785 L
.64206 .57868 L
.64269 .57946 L
.64367 .58092 L
.64377 .58106 L
.64496 .58267 L
.64527 .58309 L
.64615 .58428 L
.64688 .58502 L
.64759 .58588 L
.64848 .5874 L
.64855 .58749 L
.64969 .58909 L
.65009 .58962 L
.65086 .5907 L
.6517 .59184 L
.65242 .5923 L
.65317 .59391 L
.6533 .59408 L
.65427 .59551 L
.65491 .5964 L
.65539 .59712 L
.65649 .59872 L
.65651 .59876 L
.65743 .60033 L
.65812 .60149 L
.6583 .60193 L
.65812 .6023 L
.65769 .60193 L
.65651 .60091 L
.65598 .60033 L
.65491 .59922 L
.65447 .59872 L
.6533 .59759 L
.65303 .59712 L
.6517 .59559 L
.65159 .59551 L
.65029 .59391 L
.65009 .59368 L
.64896 .5923 L
.64848 .59175 L
.64763 .5907 L
.64688 .58994 L
.64631 .58909 L
.64527 .58786 L
.6449 .58749 L
.6437 .58588 L
.64367 .58584 L
.64242 .58428 L
.64206 .58406 L
.64114 .58267 L
.64046 .58191 L
.63956 .58106 L
.63885 .57981 L
.63854 .57946 L
.63732 .57785 L
.63725 .57777 L
.63606 .57625 L
.63564 .57587 L
.6348 .57464 L
.63404 .57373 L
.6334 .57304 L
.63243 .57163 L
.63228 .57143 L
.63104 .56983 L
.63083 .56975 L
.62979 .56822 L
.62922 .56761 L
.62825 .56662 L
.62762 .56547 L
.62724 .56501 L
.62604 .56341 L
.62601 .56337 L
.62481 .5618 L
.62441 .56147 L
.62302 .5602 L
.6228 .55929 L
.62219 .55859 L
.6212 .55714 L
.62108 .55699 L
.61986 .55538 L
.61959 .55533 L
.61863 .55378 L
.61799 .55311 L
.61711 .55217 L
.61638 .55091 L
.6161 .55057 L
.61491 .54896 L
.61477 .54878 L
.6137 .54735 L
.61317 .54695 L
.61194 .54575 L
.61156 .54468 L
.61111 .54414 L
.60999 .54254 L
.60996 .5425 L
.60879 .54093 L
.60835 .54039 L
.60756 .53933 L
.60675 .53845 L
.6061 .53772 L
.60514 .5362 L
.60508 .53612 L
.60389 .53451 L
.60354 .53406 L
.60268 .53291 L
.60193 .53226 L
.60103 .5313 L
.60033 .52988 L
.60018 .5297 L
.59903 .52809 L
.59872 .5277 L
.59784 .52649 L
.59712 .52556 L
.59662 .52488 L
.59551 .52351 L
.59532 .52328 L
.59422 .52167 L
.59391 .52127 L
.59304 .52007 L
.5923 .5191 L
.59185 .51846 L
.5907 .517 L
.59057 .51686 L
.5895 .51525 L
.58909 .51471 L
.58836 .51364 L
.58749 .51248 L
.58719 .51204 L
.58605 .51043 L
.58588 .5102 L
.58501 .50883 L
.58428 .50776 L
.58397 .50722 L
F
1 .33 0 r
.58428 .51967 m
.58458 .52007 L
.58588 .52153 L
.58599 .52167 L
.58588 .52278 L
.58518 .52167 L
.58428 .52054 L
.58399 .52007 L
F
0 .68 1 r
.58428 .51304 m
.58484 .51364 L
.58588 .5147 L
.58636 .51525 L
.58749 .5165 L
.58779 .51686 L
.58909 .5183 L
.58917 .51846 L
.5905 .52007 L
.5907 .52029 L
.59183 .52167 L
.5923 .52223 L
.59315 .52328 L
.59391 .52418 L
.59447 .52488 L
.59551 .52606 L
.5961 .52649 L
.59706 .52809 L
.59712 .52816 L
.59833 .5297 L
.59872 .53018 L
.59961 .5313 L
.60033 .53183 L
.60088 .53291 L
.60193 .53418 L
.60227 .53451 L
.6034 .53612 L
.60354 .53628 L
.60465 .53772 L
.60514 .53834 L
.60591 .53933 L
.60675 .54022 L
.60756 .54093 L
.60835 .54247 L
.60842 .54254 L
.60963 .54414 L
.60996 .54457 L
.61086 .54575 L
.61156 .5462 L
.6121 .54735 L
.61317 .5487 L
.61341 .54896 L
.61453 .55057 L
.61477 .55087 L
.61574 .55217 L
.61638 .553 L
.61696 .55378 L
.61799 .55499 L
.61838 .55538 L
.61936 .55699 L
.61959 .55728 L
.62054 .55859 L
.6212 .55945 L
.62173 .5602 L
.6228 .56163 L
.62292 .5618 L
.62406 .56341 L
.62441 .56387 L
.62519 .56501 L
.62601 .56614 L
.62634 .56662 L
.62743 .56822 L
.62762 .56849 L
.62838 .56983 L
.62762 .57002 L
.62745 .56983 L
.62601 .56826 L
.62598 .56822 L
.62461 .56662 L
.62441 .5664 L
.62327 .56501 L
.6228 .56449 L
.62193 .56341 L
.6212 .56256 L
.6206 .5618 L
.61959 .5606 L
.61927 .5602 L
.61799 .55864 L
.61793 .55859 L
.61669 .55699 L
.61638 .55661 L
.61542 .55538 L
.61477 .5546 L
.61414 .55378 L
.61317 .55279 L
.61286 .55217 L
.61158 .55057 L
.61156 .55054 L
.61035 .54896 L
.60996 .54848 L
.6091 .54735 L
.60835 .54642 L
.60784 .54575 L
.60675 .54446 L
.60642 .54414 L
.60534 .54254 L
.60514 .54229 L
.60412 .54093 L
.60354 .5402 L
.60289 .53933 L
.60193 .53837 L
.60164 .53772 L
.6004 .53612 L
.60033 .53603 L
.5992 .53451 L
.59872 .53391 L
.59799 .53291 L
.59712 .5318 L
.59675 .5313 L
.59552 .5297 L
.59551 .52969 L
.59435 .52809 L
.59391 .52753 L
.59316 .52649 L
.5923 .52538 L
.59194 .52488 L
.59073 .52328 L
.5907 .52323 L
.5896 .52167 L
.58909 .52101 L
.58844 .52007 L
.58749 .5188 L
.58726 .51846 L
.58613 .51686 L
.58588 .51652 L
.58509 .51525 L
.58428 .51409 L
.58404 .51364 L
F
1 .32 0 r
.58428 .51983 m
.58446 .52007 L
.58588 .52163 L
.58591 .52167 L
.58588 .52265 L
.5853 .52167 L
.58428 .52037 L
.58411 .52007 L
F
1 .88 .024 r
.58428 .56861 m
.58569 .56983 L
.58588 .57 L
.58719 .57143 L
.58749 .57175 L
.58857 .57304 L
.58909 .57366 L
.58987 .57464 L
.5907 .5757 L
.59111 .57625 L
.59228 .57785 L
.5923 .57788 L
.59333 .57946 L
.59391 .5804 L
.59426 .58106 L
.59391 .58184 L
.593 .58106 L
.5923 .58043 L
.59144 .57946 L
.5907 .57866 L
.59005 .57785 L
.58909 .57673 L
.58872 .57625 L
.58749 .57476 L
.58744 .57464 L
.58628 .57304 L
.58588 .5725 L
.58517 .57143 L
.58428 .5701 L
.58412 .56983 L
F
0 .67 1 r
.58428 .51336 m
.58459 .51364 L
.58588 .51485 L
.58623 .51525 L
.58749 .51662 L
.58769 .51686 L
.58908 .51846 L
.58909 .51847 L
.59042 .52007 L
.5907 .52037 L
.59176 .52167 L
.5923 .52231 L
.59309 .52328 L
.59391 .52426 L
.59441 .52488 L
.59551 .52614 L
.59599 .52649 L
.597 .52809 L
.59712 .52823 L
.59828 .5297 L
.59872 .53024 L
.59956 .5313 L
.60033 .53189 L
.60084 .53291 L
.60193 .53425 L
.60221 .53451 L
.60336 .53612 L
.60354 .53634 L
.60461 .53772 L
.60514 .5384 L
.60586 .53933 L
.60675 .54029 L
.60749 .54093 L
.60835 .54253 L
.60836 .54254 L
.60958 .54414 L
.60996 .54462 L
.61082 .54575 L
.61156 .54627 L
.61205 .54735 L
.61317 .54877 L
.61335 .54896 L
.61449 .55057 L
.61477 .55093 L
.6157 .55217 L
.61638 .55306 L
.61691 .55378 L
.61799 .55508 L
.61828 .55538 L
.61931 .55699 L
.61959 .55735 L
.62048 .55859 L
.6212 .55953 L
.62168 .5602 L
.6228 .56171 L
.62287 .5618 L
.62398 .56341 L
.62441 .56397 L
.62511 .56501 L
.62601 .56626 L
.62625 .56662 L
.62601 .56813 L
.62472 .56662 L
.62441 .56629 L
.62335 .56501 L
.6228 .5644 L
.622 .56341 L
.6212 .56248 L
.62066 .5618 L
.61959 .56053 L
.61933 .5602 L
.61801 .55859 L
.61799 .55856 L
.61675 .55699 L
.61638 .55655 L
.61547 .55538 L
.61477 .55454 L
.61419 .55378 L
.61317 .55272 L
.6129 .55217 L
.61163 .55057 L
.61156 .55049 L
.61039 .54896 L
.60996 .54843 L
.60914 .54735 L
.60835 .54638 L
.60788 .54575 L
.60675 .54439 L
.60649 .54414 L
.60538 .54254 L
.60514 .54224 L
.60416 .54093 L
.60354 .54015 L
.60292 .53933 L
.60193 .5383 L
.60167 .53772 L
.60044 .53612 L
.60033 .53598 L
.59924 .53451 L
.59872 .53386 L
.59803 .53291 L
.59712 .53175 L
.59679 .5313 L
.59556 .5297 L
.59551 .52963 L
.59439 .52809 L
.59391 .52747 L
.5932 .52649 L
.5923 .52532 L
.59199 .52488 L
.59079 .52328 L
.5907 .52316 L
.58966 .52167 L
.58909 .52093 L
.5885 .52007 L
.58749 .5187 L
.58732 .51846 L
.58623 .51686 L
.58588 .51637 L
.58523 .51525 L
.58428 .5138 L
.58421 .51364 L
F
.001 .79 1 r
.58428 .5749 m
.5851 .57625 L
.58428 .57629 L
.58424 .57625 L
F
.538 .98 1 r
.58588 .56379 m
.58749 .56496 L
.58782 .56501 L
.58909 .56651 L
.58936 .56662 L
.5907 .5682 L
.59077 .56822 L
.59224 .56983 L
.5923 .5699 L
.59358 .57143 L
.59391 .57186 L
.59492 .57304 L
.59551 .57391 L
.59603 .57464 L
.59712 .57598 L
.59717 .57625 L
.59862 .57785 L
.59872 .57792 L
.60001 .57946 L
.60033 .58003 L
.60099 .58106 L
.60193 .58231 L
.60207 .58267 L
.60325 .58428 L
.60354 .58475 L
.60422 .58588 L
.60478 .58749 L
.60354 .58831 L
.60273 .58749 L
.60193 .5871 L
.60095 .58588 L
.60033 .58537 L
.59952 .58428 L
.59872 .58344 L
.59817 .58267 L
.59712 .58141 L
.59675 .58106 L
.59559 .57946 L
.59551 .57936 L
.59436 .57785 L
.59391 .57729 L
.59312 .57625 L
.5923 .57542 L
.59161 .57464 L
.5907 .57312 L
.59063 .57304 L
.58947 .57143 L
.58909 .57094 L
.5883 .56983 L
.58749 .56873 L
.58713 .56822 L
.58602 .56662 L
.58588 .5664 L
.58512 .56501 L
F
1 .89 .033 r
.58588 .50818 m
.58651 .50883 L
.58749 .50983 L
.58804 .51043 L
.58909 .5112 L
.58949 .51204 L
.5907 .51338 L
.59114 .51364 L
.59227 .51525 L
.5923 .51529 L
.59363 .51686 L
.59391 .51718 L
.59498 .51846 L
.59551 .51894 L
.59632 .52007 L
.59712 .52103 L
.59778 .52167 L
.59872 .52303 L
.59892 .52328 L
.60024 .52488 L
.60033 .52489 L
.60154 .52649 L
.60193 .52692 L
.60318 .52809 L
.60354 .52899 L
.60413 .5297 L
.60514 .53104 L
.60531 .5313 L
.60666 .53291 L
.60675 .53298 L
.60793 .53451 L
.60835 .53503 L
.60931 .53612 L
.60996 .53712 L
.6104 .53772 L
.61156 .53917 L
.61162 .53933 L
.61297 .54093 L
.61317 .54114 L
.61448 .54254 L
.61477 .54324 L
.61549 .54414 L
.61638 .54534 L
.61662 .54575 L
.61797 .54735 L
.61799 .54736 L
.61922 .54896 L
.61959 .5494 L
.62057 .55057 L
.6212 .55153 L
.62165 .55217 L
.6228 .55362 L
.62285 .55378 L
.62417 .55538 L
.62441 .55561 L
.62566 .55699 L
.62601 .55774 L
.62666 .55859 L
.62762 .55988 L
.6278 .5602 L
.6291 .5618 L
.62922 .56186 L
.63033 .56341 L
.63083 .56398 L
.63168 .56501 L
.63243 .56615 L
.63275 .56662 L
.634 .56822 L
.63404 .56827 L
.63522 .56983 L
.63564 .57022 L
.63672 .57143 L
.63725 .57245 L
.63769 .57304 L
.63885 .57462 L
.63887 .57464 L
.64007 .57625 L
.64046 .57642 L
.64128 .57785 L
.64206 .57878 L
.6426 .57946 L
.64367 .58103 L
.64369 .58106 L
.64487 .58267 L
.64527 .58321 L
.64606 .58428 L
.64688 .58517 L
.64747 .58588 L
.64843 .58749 L
.64848 .58756 L
.64957 .58909 L
.65009 .58979 L
.65073 .5907 L
.6517 .59202 L
.65214 .5923 L
.653 .59391 L
.6533 .59432 L
.65408 .59551 L
.65491 .5967 L
.65517 .59712 L
.65614 .59872 L
.65651 .59935 L
.65678 .60033 L
.65651 .60036 L
.65648 .60033 L
.65491 .59888 L
.65476 .59872 L
.6533 .59719 L
.65326 .59712 L
.65185 .59551 L
.6517 .59535 L
.65047 .59391 L
.65009 .59349 L
.64911 .5923 L
.64848 .59158 L
.64776 .5907 L
.64688 .58979 L
.64642 .58909 L
.64527 .58772 L
.64503 .58749 L
.6438 .58588 L
.64367 .58572 L
.64252 .58428 L
.64206 .58399 L
.64123 .58267 L
.64046 .58181 L
.63966 .58106 L
.63885 .57972 L
.63862 .57946 L
.63739 .57785 L
.63725 .57768 L
.63613 .57625 L
.63564 .5758 L
.63487 .57464 L
.63404 .57366 L
.63347 .57304 L
.63243 .57156 L
.63233 .57143 L
.63109 .56983 L
.63083 .56972 L
.62985 .56822 L
.62922 .56755 L
.6283 .56662 L
.62762 .5654 L
.62729 .56501 L
.62609 .56341 L
.62601 .56331 L
.62486 .5618 L
.62441 .56143 L
.62306 .5602 L
.6228 .55923 L
.62224 .55859 L
.6212 .55709 L
.62112 .55699 L
.6199 .55538 L
.61959 .55531 L
.61867 .55378 L
.61799 .55305 L
.61715 .55217 L
.61638 .55085 L
.61615 .55057 L
.61496 .54896 L
.61477 .54873 L
.61374 .54735 L
.61317 .5469 L
.61199 .54575 L
.61156 .54462 L
.61116 .54414 L
.61004 .54254 L
.60996 .54244 L
.60883 .54093 L
.60835 .54033 L
.60761 .53933 L
.60675 .53838 L
.60616 .53772 L
.60514 .53613 L
.60514 .53612 L
.60394 .53451 L
.60354 .53399 L
.60274 .53291 L
.60193 .53217 L
.60111 .5313 L
.60033 .52979 L
.60026 .5297 L
.59909 .52809 L
.59872 .52762 L
.5979 .52649 L
.59712 .52547 L
.59669 .52488 L
.59551 .52337 L
.59543 .52328 L
.5943 .52167 L
.59391 .52116 L
.59313 .52007 L
.5923 .51898 L
.59194 .51846 L
.59074 .51686 L
.5907 .5168 L
.58962 .51525 L
.58909 .51454 L
.58849 .51364 L
.58749 .51227 L
.58733 .51204 L
.58627 .51043 L
.58588 .50987 L
.5853 .50883 L
F
1 .87 .018 r
.58588 .57033 m
.58694 .57143 L
.58749 .57201 L
.58836 .57304 L
.58909 .5739 L
.58968 .57464 L
.5907 .57595 L
.59092 .57625 L
.59205 .57785 L
.5923 .57821 L
.59306 .57946 L
.5923 .58012 L
.59168 .57946 L
.5907 .57843 L
.59023 .57785 L
.58909 .57653 L
.58887 .57625 L
.58761 .57464 L
.58749 .57448 L
.58647 .57304 L
.58588 .57223 L
.58538 .57143 L
F
0 .66 1 r
.58588 .51503 m
.58608 .51525 L
.58749 .51674 L
.58758 .51686 L
.58898 .51846 L
.58909 .51858 L
.59034 .52007 L
.5907 .52047 L
.59168 .52167 L
.5923 .52239 L
.59302 .52328 L
.59391 .52433 L
.59435 .52488 L
.59551 .52623 L
.59586 .52649 L
.59694 .52809 L
.59712 .5283 L
.59822 .5297 L
.59872 .5303 L
.59951 .5313 L
.60033 .53196 L
.60079 .53291 L
.60193 .53431 L
.60214 .53451 L
.60331 .53612 L
.60354 .5364 L
.60456 .53772 L
.60514 .53845 L
.60582 .53933 L
.60675 .54035 L
.60742 .54093 L
.60832 .54254 L
.60835 .54259 L
.60954 .54414 L
.60996 .54468 L
.61077 .54575 L
.61156 .54634 L
.61201 .54735 L
.61317 .54884 L
.61328 .54896 L
.61444 .55057 L
.61477 .55099 L
.61565 .55217 L
.61638 .55312 L
.61687 .55378 L
.61799 .55518 L
.61819 .55538 L
.61925 .55699 L
.61959 .55743 L
.62043 .55859 L
.6212 .55961 L
.62162 .5602 L
.6228 .5618 L
.6228 .5618 L
.6239 .56341 L
.62441 .56408 L
.62502 .56501 L
.62601 .5664 L
.62616 .56662 L
.62601 .56796 L
.62484 .56662 L
.62441 .56617 L
.62344 .56501 L
.6228 .56431 L
.62208 .56341 L
.6212 .5624 L
.62072 .5618 L
.61959 .56046 L
.61938 .5602 L
.61807 .55859 L
.61799 .55849 L
.6168 .55699 L
.61638 .55649 L
.61552 .55538 L
.61477 .55448 L
.61423 .55378 L
.61317 .55264 L
.61294 .55217 L
.61167 .55057 L
.61156 .55043 L
.61043 .54896 L
.60996 .54838 L
.60918 .54735 L
.60835 .54633 L
.60792 .54575 L
.60675 .54433 L
.60656 .54414 L
.60542 .54254 L
.60514 .54219 L
.6042 .54093 L
.60354 .5401 L
.60296 .53933 L
.60193 .53823 L
.60171 .53772 L
.60048 .53612 L
.60033 .53593 L
.59928 .53451 L
.59872 .5338 L
.59807 .53291 L
.59712 .53169 L
.59683 .5313 L
.59561 .5297 L
.59551 .52957 L
.59444 .52809 L
.59391 .52741 L
.59325 .52649 L
.5923 .52525 L
.59204 .52488 L
.59085 .52328 L
.5907 .52308 L
.58972 .52167 L
.58909 .52084 L
.58857 .52007 L
.58749 .5186 L
.58739 .51846 L
.58635 .51686 L
.58588 .51619 L
.5854 .51525 L
F
1 .98 .538 r
.58588 .59183 m
.58749 .59189 L
.5882 .5923 L
.58909 .593 L
.58994 .59391 L
.5907 .59485 L
.59176 .59551 L
.5923 .59673 L
.59271 .59712 L
.59388 .59872 L
.59391 .59876 L
.59509 .60033 L
.59551 .60086 L
.59631 .60193 L
.59712 .60273 L
.59774 .60354 L
.59872 .60511 L
.59874 .60514 L
.59989 .60675 L
.60033 .60735 L
.60103 .60835 L
.60193 .60964 L
.60235 .60996 L
.60314 .61156 L
.60354 .61225 L
.60393 .61317 L
.60354 .61407 L
.60207 .61317 L
.60193 .61307 L
.60033 .61161 L
.60025 .61156 L
.59872 .60996 L
.59871 .60996 L
.59727 .60835 L
.59712 .6082 L
.59588 .60675 L
.59551 .60628 L
.59442 .60514 L
.59391 .60428 L
.5933 .60354 L
.5923 .60225 L
.59214 .60193 L
.59071 .60033 L
.5907 .60032 L
.58925 .59872 L
.58909 .59834 L
.58825 .59712 L
.58749 .59618 L
.5872 .59551 L
.58607 .59391 L
.58588 .59353 L
.58544 .5923 L
F
1 .86 .013 r
.58588 .57075 m
.5866 .57143 L
.58749 .5723 L
.58812 .57304 L
.58909 .57417 L
.58947 .57464 L
.5907 .57623 L
.59071 .57625 L
.59177 .57785 L
.5923 .57869 L
.59267 .57946 L
.5923 .57971 L
.59204 .57946 L
.5907 .57816 L
.59044 .57785 L
.58909 .57631 L
.58905 .57625 L
.58783 .57464 L
.58749 .57421 L
.5867 .57304 L
.58588 .57186 L
.58564 .57143 L
F
1 1 1 r
.58588 .48837 m
.58728 .48957 L
.58749 .48975 L
.58895 .49117 L
.58909 .49131 L
.59051 .49278 L
.5907 .49297 L
.59203 .49438 L
.5923 .49472 L
.5935 .49599 L
.59391 .49657 L
.59487 .49759 L
.59551 .49848 L
.59606 .4992 L
.59712 .50012 L
.59772 .5008 L
.59872 .50202 L
.59907 .50241 L
.60033 .50394 L
.60039 .50401 L
.60165 .50562 L
.60193 .50598 L
.60274 .50722 L
.60354 .50781 L
.6044 .50883 L
.60514 .5098 L
.60568 .51043 L
.60675 .51181 L
.60694 .51204 L
.60814 .51364 L
.60835 .51392 L
.60953 .51525 L
.60996 .51582 L
.61081 .51686 L
.61156 .51787 L
.61205 .51846 L
.61317 .51993 L
.61328 .52007 L
.61436 .52167 L
.61477 .52197 L
.61583 .52328 L
.61638 .52402 L
.61708 .52488 L
.61799 .5261 L
.6183 .52649 L
.61948 .52809 L
.61959 .52823 L
.62081 .5297 L
.6212 .53023 L
.62206 .5313 L
.6228 .53231 L
.62328 .53291 L
.62441 .53441 L
.62449 .53451 L
.62551 .53612 L
.62601 .53647 L
.62701 .53772 L
.62762 .53855 L
.62824 .53933 L
.62922 .54065 L
.62945 .54093 L
.63058 .54254 L
.63083 .54284 L
.63195 .54414 L
.63243 .5448 L
.63319 .54575 L
.63404 .5469 L
.6344 .54735 L
.63559 .54896 L
.63564 .54902 L
.63654 .55057 L
.63725 .55107 L
.63812 .55217 L
.63885 .55316 L
.63934 .55378 L
.64046 .55527 L
.64055 .55538 L
.64162 .55699 L
.64206 .55752 L
.64305 .55859 L
.64367 .55943 L
.64428 .5602 L
.64527 .56153 L
.64549 .5618 L
.64664 .56341 L
.64688 .5637 L
.64755 .56501 L
.64848 .56606 L
.64921 .56662 L
.65009 .5678 L
.65043 .56822 L
.65162 .56983 L
.6517 .56992 L
.65265 .57143 L
.6533 .57218 L
.65414 .57304 L
.65491 .57407 L
.65536 .57464 L
.65651 .57618 L
.65657 .57625 L
.65769 .57785 L
.65812 .57837 L
.65856 .57946 L
.65972 .58067 L
.66029 .58106 L
.66133 .58245 L
.66151 .58267 L
.66268 .58428 L
.66293 .58459 L
.66369 .58588 L
.66454 .58682 L
.66522 .58749 L
.66614 .58872 L
.66644 .58909 L
.66765 .5907 L
.66775 .59083 L
.66874 .5923 L
.66935 .59301 L
.66961 .59391 L
.67096 .59523 L
.67137 .59551 L
.67256 .59709 L
.67258 .59712 L
.67375 .59872 L
.67417 .59923 L
.67475 .60033 L
.67577 .60142 L
.6763 .60193 L
.67738 .60337 L
.67752 .60354 L
.67873 .60514 L
.67898 .60548 L
.67981 .60675 L
.68059 .60764 L
.68123 .60835 L
.68219 .60978 L
.68245 .60996 L
.68369 .61156 L
.6838 .61173 L
.68483 .61317 L
.68541 .61387 L
.68584 .61477 L
.68701 .61601 L
.68738 .61638 L
.68861 .61799 L
.68862 .61801 L
.68983 .61959 L
.69022 .62011 L
.6909 .6212 L
.69183 .62225 L
.6923 .6228 L
.69343 .62433 L
.69352 .62441 L
.69481 .62601 L
.69504 .62636 L
.69592 .62762 L
.69664 .62849 L
.69695 .62922 L
.69825 .63061 L
.69845 .63083 L
.69977 .63243 L
.69985 .63262 L
.70092 .63404 L
.70146 .63473 L
.702 .63564 L
.70306 .63687 L
.70338 .63725 L
.7046 .63885 L
.70467 .63891 L
.70592 .64046 L
.70627 .64098 L
.70701 .64206 L
.70788 .64312 L
.70808 .64367 L
.70948 .64523 L
.70952 .64527 L
.71093 .64688 L
.71109 .64722 L
.71201 .64848 L
.71269 .64937 L
.7131 .65009 L
.7143 .65152 L
.71444 .6517 L
.71566 .6533 L
.7159 .65346 L
.71702 .65491 L
.71751 .65562 L
.71809 .65651 L
.71912 .6578 L
.71922 .65812 L
.72056 .65972 L
.72072 .65993 L
.72205 .66133 L
.72233 .66186 L
.72307 .66293 L
.72393 .66408 L
.72418 .66454 L
.72545 .66614 L
.72554 .66625 L
.72666 .66775 L
.72714 .66807 L
.72804 .66935 L
.72875 .67039 L
.7291 .67096 L
.7303 .67256 L
.73035 .67263 L
.73149 .67417 L
.73196 .67479 L
.73301 .67577 L
.73356 .67678 L
.73395 .67738 L
.73506 .67898 L
.73517 .67912 L
.73621 .68059 L
.73677 .68135 L
.73737 .68219 L
.73838 .68345 L
.73859 .6838 L
.73961 .68541 L
.73998 .68595 L
.74066 .68701 L
.74159 .68844 L
.7417 .68862 L
.7425 .69022 L
.74159 .69081 L
.74092 .69022 L
.73998 .68989 L
.73921 .68862 L
.73838 .68784 L
.73765 .68701 L
.73677 .68603 L
.7359 .68541 L
.73517 .68419 L
.73475 .6838 L
.73356 .68232 L
.73344 .68219 L
.73202 .68059 L
.73196 .68051 L
.73068 .67898 L
.73035 .67854 L
.7293 .67738 L
.72875 .67649 L
.72816 .67577 L
.72714 .67439 L
.72703 .67417 L
.72554 .67262 L
.72549 .67256 L
.72412 .67096 L
.72393 .67054 L
.72298 .66935 L
.72233 .66838 L
.72189 .66775 L
.72072 .66652 L
.72042 .66614 L
.71912 .66454 L
.71912 .66444 L
.7179 .66293 L
.71751 .6623 L
.71679 .66133 L
.7159 .66008 L
.71577 .65972 L
.7143 .65825 L
.71419 .65812 L
.71287 .65651 L
.71269 .65613 L
.71174 .65491 L
.71109 .65394 L
.71068 .6533 L
.70948 .65177 L
.70923 .6517 L
.7079 .65009 L
.70788 .64992 L
.70672 .64848 L
.70627 .64776 L
.70563 .64688 L
.70467 .64558 L
.70458 .64527 L
.70306 .64367 L
.70306 .64367 L
.70171 .64206 L
.70146 .64154 L
.70061 .64046 L
.69985 .63938 L
.69953 .63885 L
.69825 .6373 L
.69813 .63725 L
.6967 .63564 L
.69664 .63531 L
.69559 .63404 L
.69504 .63316 L
.69451 .63243 L
.69343 .63103 L
.69339 .63083 L
.69197 .62922 L
.69183 .62905 L
.69057 .62762 L
.69022 .62693 L
.68949 .62601 L
.68862 .6248 L
.68839 .62441 L
.68703 .6228 L
.68701 .62278 L
.68552 .6212 L
.68541 .62069 L
.68448 .61959 L
.6838 .61856 L
.68339 .61799 L
.68219 .61647 L
.68218 .61638 L
.68088 .61477 L
.68059 .61445 L
.67945 .61317 L
.67898 .61232 L
.67839 .61156 L
.67738 .6102 L
.67725 .60996 L
.67595 .60835 L
.67577 .60819 L
.67437 .60675 L
.67417 .60608 L
.67338 .60514 L
.67256 .60394 L
.67228 .60354 L
.67102 .60193 L
.67096 .6019 L
.6698 .60033 L
.66935 .59985 L
.66834 .59872 L
.66775 .5977 L
.66729 .59712 L
.66614 .59558 L
.66611 .59551 L
.66487 .59391 L
.66454 .59362 L
.66325 .5923 L
.66293 .59146 L
.66229 .5907 L
.66133 .58931 L
.66117 .58909 L
.65994 .58749 L
.65972 .58739 L
.65872 .58588 L
.65812 .58525 L
.65725 .58428 L
.65651 .58307 L
.6562 .58267 L
.65501 .58106 L
.65491 .58094 L
.65379 .57946 L
.6533 .57905 L
.65216 .57785 L
.6517 .57683 L
.65121 .57625 L
.65009 .57467 L
.65007 .57464 L
.64886 .57304 L
.64848 .5729 L
.64764 .57143 L
.64688 .57063 L
.64619 .56983 L
.64527 .56841 L
.64513 .56822 L
.64393 .56662 L
.64367 .56629 L
.64272 .56501 L
.64206 .56446 L
.64111 .56341 L
.64046 .56218 L
.64015 .5618 L
.639 .5602 L
.63885 .56002 L
.63779 .55859 L
.63725 .55791 L
.63656 .55699 L
.63564 .55598 L
.63515 .55538 L
.63406 .55378 L
.63404 .55375 L
.63286 .55217 L
.63243 .55163 L
.63164 .55057 L
.63083 .54982 L
.63009 .54896 L
.62922 .5475 L
.62911 .54735 L
.62793 .54575 L
.62762 .54536 L
.62671 .54414 L
.62601 .54326 L
.62548 .54254 L
.62441 .54129 L
.62412 .54093 L
.62299 .53933 L
.6228 .53909 L
.62179 .53772 L
.6212 .53698 L
.62056 .53612 L
.61959 .53512 L
.61909 .53451 L
.61806 .53291 L
.61799 .53282 L
.61686 .5313 L
.61638 .5307 L
.61564 .5297 L
.61477 .5286 L
.6144 .52809 L
.61317 .52655 L
.61312 .52649 L
.61193 .52488 L
.61156 .52442 L
.61072 .52328 L
.60996 .52231 L
.60949 .52167 L
.60835 .52023 L
.60813 .52007 L
.60701 .51846 L
.60675 .51813 L
.60581 .51686 L
.60514 .51602 L
.60459 .51525 L
.60354 .51392 L
.60334 .51364 L
.6021 .51204 L
.60193 .51183 L
.60091 .51043 L
.60033 .5097 L
.5997 .50883 L
.59872 .50759 L
.59847 .50722 L
.59722 .50562 L
.59712 .50548 L
.59605 .50401 L
.59551 .50334 L
.59486 .50241 L
.59391 .50119 L
.59364 .5008 L
.59241 .4992 L
.5923 .49906 L
.59126 .49759 L
.5907 .49686 L
.59011 .49599 L
.58909 .49464 L
.58893 .49438 L
.58779 .49278 L
.58749 .49236 L
.58675 .49117 L
.58588 .48986 L
.58574 .48957 L
F
.538 .98 1 r
.58588 .50209 m
.58635 .50241 L
.58749 .50338 L
.58812 .50401 L
.58909 .505 L
.58967 .50562 L
.5907 .50666 L
.59115 .50722 L
.5923 .50855 L
.59265 .50883 L
.59391 .51038 L
.59395 .51043 L
.59535 .51204 L
.59551 .51216 L
.59672 .51364 L
.59712 .51413 L
.59834 .51525 L
.59872 .51611 L
.59935 .51686 L
.60033 .5181 L
.60055 .51846 L
.60193 .52003 L
.60203 .52007 L
.60334 .52167 L
.60354 .52195 L
.60465 .52328 L
.60514 .524 L
.60577 .52488 L
.60675 .52608 L
.60687 .52649 L
.60835 .52793 L
.60849 .52809 L
.60982 .5297 L
.60996 .52998 L
.61096 .5313 L
.61156 .53209 L
.61204 .53291 L
.61317 .53423 L
.61358 .53451 L
.61477 .53606 L
.61482 .53612 L
.61607 .53772 L
.61638 .53816 L
.61718 .53933 L
.61799 .54032 L
.61817 .54093 L
.61959 .54245 L
.61985 .54254 L
.62111 .54414 L
.6212 .5443 L
.62227 .54575 L
.6228 .54644 L
.62331 .54735 L
.62441 .54861 L
.62484 .54896 L
.62601 .5505 L
.62606 .55057 L
.6273 .55217 L
.62762 .55262 L
.62839 .55378 L
.62922 .55478 L
.62936 .55538 L
.63083 .55689 L
.63103 .55699 L
.6323 .55859 L
.63243 .55882 L
.63343 .5602 L
.63404 .56097 L
.63447 .5618 L
.63564 .56312 L
.63599 .56341 L
.63723 .56501 L
.63725 .56507 L
.63845 .56662 L
.63885 .56719 L
.63953 .56822 L
.64046 .56933 L
.64053 .56983 L
.64206 .57139 L
.64214 .57143 L
.64344 .57304 L
.64367 .57343 L
.64454 .57464 L
.64527 .57557 L
.6456 .57625 L
.64688 .57768 L
.64707 .57785 L
.64842 .57946 L
.64848 .57969 L
.64954 .58106 L
.65009 .58182 L
.65062 .58267 L
.6517 .58395 L
.65171 .58428 L
.6532 .58588 L
.6533 .58598 L
.65454 .58749 L
.65491 .58809 L
.65561 .58909 L
.65651 .59024 L
.65671 .5907 L
.65809 .5923 L
.65812 .59231 L
.65956 .59391 L
.65972 .59437 L
.66059 .59551 L
.66133 .59654 L
.66167 .59712 L
.66293 .59867 L
.66297 .59872 L
.66418 .60033 L
.66454 .60065 L
.66556 .60193 L
.66614 .60286 L
.6666 .60354 L
.66775 .60505 L
.66779 .60514 L
.66901 .60675 L
.66935 .60691 L
.67058 .60835 L
.67096 .60922 L
.67149 .60996 L
.67256 .61149 L
.67261 .61156 L
.67379 .61317 L
.67417 .61368 L
.67497 .61477 L
.67577 .61566 L
.6763 .61638 L
.67732 .61799 L
.67738 .61807 L
.67845 .61959 L
.67898 .62033 L
.67958 .6212 L
.68059 .62244 L
.68084 .6228 L
.68178 .62441 L
.68219 .625 L
.68282 .62601 L
.6838 .62754 L
.68384 .62762 L
.6838 .62916 L
.68219 .62775 L
.68212 .62762 L
.68059 .62601 L
.68059 .62601 L
.67915 .62441 L
.67898 .62423 L
.67774 .6228 L
.67738 .6224 L
.67637 .6212 L
.67577 .62065 L
.675 .61959 L
.67417 .61863 L
.67345 .61799 L
.67256 .61664 L
.67232 .61638 L
.67103 .61477 L
.67096 .61474 L
.66974 .61317 L
.66935 .61276 L
.668 .61156 L
.66775 .6107 L
.66706 .60996 L
.66614 .60866 L
.66591 .60835 L
.6646 .60675 L
.66454 .60669 L
.66334 .60514 L
.66293 .60466 L
.66187 .60354 L
.66133 .60257 L
.6608 .60193 L
.65972 .60051 L
.65962 .60033 L
.6583 .59872 L
.65812 .59853 L
.6567 .59712 L
.65651 .59644 L
.65571 .59551 L
.65491 .59434 L
.6546 .59391 L
.6533 .5923 L
.6533 .5923 L
.65207 .5907 L
.6517 .59027 L
.65062 .58909 L
.65009 .58815 L
.64956 .58749 L
.64848 .58605 L
.64839 .58588 L
.6471 .58428 L
.64688 .58407 L
.64551 .58267 L
.64527 .58195 L
.64452 .58106 L
.64367 .57983 L
.64341 .57946 L
.64214 .57785 L
.64206 .57781 L
.64092 .57625 L
.64046 .57575 L
.63947 .57464 L
.63885 .5736 L
.63841 .57304 L
.63725 .57149 L
.63722 .57143 L
.63598 .56983 L
.63564 .56954 L
.63437 .56822 L
.63404 .56738 L
.6334 .56662 L
.63243 .56524 L
.63228 .56501 L
.63104 .56341 L
.63083 .56332 L
.62982 .5618 L
.62922 .56117 L
.62837 .5602 L
.62762 .55899 L
.62731 .55859 L
.62611 .55699 L
.62601 .55686 L
.6249 .55538 L
.62441 .55497 L
.62328 .55378 L
.6228 .55275 L
.62233 .55217 L
.6212 .55058 L
.62118 .55057 L
.61997 .54896 L
.61959 .54881 L
.61875 .54735 L
.61799 .54653 L
.61732 .54575 L
.61638 .54431 L
.61626 .54414 L
.61506 .54254 L
.61477 .54218 L
.61385 .54093 L
.61317 .54034 L
.61226 .53933 L
.61156 .53804 L
.61131 .53772 L
.61016 .53612 L
.60996 .53587 L
.60895 .53451 L
.60835 .53375 L
.60773 .53291 L
.60675 .53177 L
.60636 .5313 L
.60527 .5297 L
.60514 .52954 L
.60408 .52809 L
.60354 .52741 L
.60286 .52649 L
.60193 .52551 L
.6014 .52488 L
.60041 .52328 L
.60033 .52317 L
.59923 .52167 L
.59872 .52102 L
.59803 .52007 L
.59712 .51888 L
.59682 .51846 L
.5956 .51686 L
.59551 .51674 L
.59445 .51525 L
.59391 .51455 L
.59327 .51364 L
.5923 .51236 L
.59208 .51204 L
.59091 .51043 L
.5907 .51015 L
.5898 .50883 L
.58909 .50786 L
.58868 .50722 L
.58754 .50562 L
.58749 .50554 L
.58659 .50401 L
.58588 .50282 L
.58575 .50241 L
F
.395 .97 1 r
.58749 .5656 m
.58873 .56662 L
.58909 .56693 L
.59038 .56822 L
.5907 .56831 L
.59185 .56983 L
.5923 .57028 L
.59323 .57143 L
.59391 .57226 L
.59464 .57304 L
.59551 .57427 L
.59578 .57464 L
.59709 .57625 L
.59712 .57629 L
.59832 .57785 L
.59872 .57815 L
.59978 .57946 L
.60033 .58047 L
.60068 .58106 L
.60177 .58267 L
.60193 .58292 L
.60278 .58428 L
.60354 .58587 L
.60354 .58588 L
.60354 .5866 L
.60193 .58651 L
.60149 .58588 L
.60033 .58496 L
.59985 .58428 L
.59872 .5831 L
.59842 .58267 L
.59712 .58113 L
.59705 .58106 L
.5958 .57946 L
.59551 .57911 L
.59455 .57785 L
.59391 .57705 L
.5933 .57625 L
.5923 .57512 L
.59188 .57464 L
.59085 .57304 L
.5907 .57284 L
.58969 .57143 L
.58909 .57063 L
.58854 .56983 L
.58749 .56833 L
.58741 .56822 L
.5865 .56662 L
F
1 .88 .024 r
.58749 .51019 m
.58772 .51043 L
.58909 .51169 L
.58925 .51204 L
.59069 .51364 L
.5907 .51365 L
.59209 .51525 L
.5923 .51549 L
.59347 .51686 L
.59391 .51736 L
.59484 .51846 L
.59551 .51909 L
.59619 .52007 L
.59712 .52118 L
.59764 .52167 L
.59872 .52316 L
.59882 .52328 L
.60013 .52488 L
.60033 .52491 L
.60144 .52649 L
.60193 .52703 L
.60312 .52809 L
.60354 .5291 L
.60405 .5297 L
.60514 .53113 L
.60525 .5313 L
.60658 .53291 L
.60675 .53304 L
.60786 .53451 L
.60835 .53512 L
.60925 .53612 L
.60996 .5372 L
.61034 .53772 L
.61156 .53924 L
.6116 .53933 L
.61291 .54093 L
.61317 .54121 L
.61444 .54254 L
.61477 .54332 L
.61543 .54414 L
.61638 .54541 L
.61658 .54575 L
.61791 .54735 L
.61799 .54741 L
.61916 .54896 L
.61959 .54947 L
.62051 .55057 L
.6212 .5516 L
.6216 .55217 L
.6228 .55369 L
.62283 .55378 L
.62412 .55538 L
.62441 .55567 L
.62562 .55699 L
.62601 .55781 L
.62661 .55859 L
.62762 .55995 L
.62776 .5602 L
.62904 .5618 L
.62922 .56189 L
.63027 .56341 L
.63083 .56405 L
.63162 .56501 L
.63243 .56622 L
.6327 .56662 L
.63394 .56822 L
.63404 .56835 L
.63516 .56983 L
.63564 .57029 L
.63666 .57143 L
.63725 .57254 L
.63762 .57304 L
.6388 .57464 L
.63885 .57471 L
.64 .57625 L
.64046 .57648 L
.6412 .57785 L
.64206 .57889 L
.64251 .57946 L
.6436 .58106 L
.64367 .58115 L
.64478 .58267 L
.64527 .58333 L
.64596 .58428 L
.64688 .58534 L
.64732 .58588 L
.64831 .58749 L
.64848 .58772 L
.64945 .58909 L
.65009 .58997 L
.6506 .5907 L
.6517 .59223 L
.65182 .5923 L
.65281 .59391 L
.6533 .59461 L
.65386 .59551 L
.65491 .59711 L
.65491 .59712 L
.65491 .59837 L
.6536 .59712 L
.6533 .59684 L
.6521 .59551 L
.6517 .5951 L
.65067 .59391 L
.65009 .59328 L
.64927 .5923 L
.64848 .59141 L
.6479 .5907 L
.64688 .58961 L
.64654 .58909 L
.64527 .58757 L
.64518 .58749 L
.64391 .58588 L
.64367 .5856 L
.64261 .58428 L
.64206 .5839 L
.64131 .58267 L
.64046 .5817 L
.63976 .58106 L
.63885 .57962 L
.63871 .57946 L
.63746 .57785 L
.63725 .57759 L
.6362 .57625 L
.63564 .57573 L
.63493 .57464 L
.63404 .57358 L
.63353 .57304 L
.63243 .57149 L
.63239 .57143 L
.63115 .56983 L
.63083 .56969 L
.6299 .56822 L
.62922 .56749 L
.62836 .56662 L
.62762 .56534 L
.62734 .56501 L
.62614 .56341 L
.62601 .56325 L
.62491 .5618 L
.62441 .56138 L
.6231 .5602 L
.6228 .55917 L
.62229 .55859 L
.6212 .55703 L
.62116 .55699 L
.61994 .55538 L
.61959 .55528 L
.61871 .55378 L
.61799 .553 L
.6172 .55217 L
.61638 .5508 L
.61619 .55057 L
.615 .54896 L
.61477 .54867 L
.61378 .54735 L
.61317 .54685 L
.61204 .54575 L
.61156 .54456 L
.61121 .54414 L
.61008 .54254 L
.60996 .54238 L
.60888 .54093 L
.60835 .54027 L
.60766 .53933 L
.60675 .53831 L
.60622 .53772 L
.60519 .53612 L
.60514 .53606 L
.604 .53451 L
.60354 .53393 L
.60279 .53291 L
.60193 .53208 L
.6012 .5313 L
.60033 .5297 L
.60033 .52969 L
.59916 .52809 L
.59872 .52753 L
.59797 .52649 L
.59712 .52538 L
.59675 .52488 L
.59554 .52328 L
.59551 .52324 L
.59439 .52167 L
.59391 .52104 L
.59322 .52007 L
.5923 .51885 L
.59203 .51846 L
.59086 .51686 L
.5907 .51664 L
.58976 .51525 L
.58909 .51434 L
.58864 .51364 L
.5875 .51204 L
.58749 .51202 L
.58658 .51043 L
F
1 .97 .395 r
.58749 .59303 m
.58909 .59377 L
.58924 .59391 L
.5907 .59535 L
.591 .59551 L
.59222 .59712 L
.5923 .59722 L
.59348 .59872 L
.59391 .59925 L
.59472 .60033 L
.59551 .60135 L
.59593 .60193 L
.59712 .6035 L
.59715 .60354 L
.59823 .60514 L
.59872 .60584 L
.5993 .60675 L
.60031 .60835 L
.59872 .60908 L
.59829 .60835 L
.59712 .60727 L
.59669 .60675 L
.59551 .60546 L
.59511 .60514 L
.59391 .60359 L
.59385 .60354 L
.59253 .60193 L
.5923 .60165 L
.59125 .60033 L
.5907 .59994 L
.58959 .59872 L
.58909 .59761 L
.58879 .59712 L
.58777 .59551 L
.58749 .59499 L
.58697 .59391 L
F
1 .85 .01 r
.58749 .57269 m
.5878 .57304 L
.58909 .5745 L
.58921 .57464 L
.58909 .57597 L
.58813 .57464 L
.58749 .57382 L
.58703 .57304 L
F
0 .27 1 r
.58749 .52994 m
.58838 .5313 L
.58909 .53224 L
.58951 .53291 L
.58909 .53343 L
.58868 .53291 L
.58749 .53159 L
.58726 .5313 L
F
0 .26 1 r
.58749 .53002 m
.58831 .5313 L
.58909 .53234 L
.58943 .53291 L
.58909 .53333 L
.58876 .53291 L
.58749 .53152 L
.58731 .5313 L
F
1 .35 0 r
.58749 .52332 m
.58868 .52488 L
.58909 .52535 L
.58995 .52649 L
.5907 .52739 L
.59123 .52809 L
.5923 .52943 L
.5925 .5297 L
.59373 .5313 L
.59391 .53151 L
.59492 .53291 L
.59551 .53363 L
.59615 .53451 L
.59712 .53574 L
.59739 .53612 L
.59712 .53746 L
.5961 .53612 L
.59551 .53545 L
.59482 .53451 L
.59391 .53343 L
.59352 .53291 L
.5923 .53141 L
.59222 .5313 L
.59101 .5297 L
.5907 .52932 L
.58981 .52809 L
.58909 .52722 L
.58857 .52649 L
.58749 .52512 L
.58731 .52488 L
F
1 .34 0 r
.58749 .52341 m
.58861 .52488 L
.58909 .52543 L
.58988 .52649 L
.5907 .52746 L
.59117 .52809 L
.5923 .52949 L
.59245 .5297 L
.59367 .5313 L
.59391 .53159 L
.59486 .53291 L
.59551 .53371 L
.59609 .53451 L
.59712 .53582 L
.59733 .53612 L
.59712 .53738 L
.59617 .53612 L
.59551 .53537 L
.59488 .53451 L
.59391 .53336 L
.59357 .53291 L
.5923 .53135 L
.59227 .5313 L
.59108 .5297 L
.5907 .52925 L
.58987 .52809 L
.58909 .52715 L
.58863 .52649 L
.58749 .52505 L
.58736 .52488 L
F
0 .25 1 r
.58749 .53011 m
.58822 .5313 L
.58909 .53247 L
.58933 .53291 L
.58909 .5332 L
.58885 .53291 L
.58749 .53145 L
.58737 .5313 L
F
1 .33 0 r
.58749 .5235 m
.58853 .52488 L
.58909 .52551 L
.58982 .52649 L
.5907 .52753 L
.59111 .52809 L
.5923 .52957 L
.5924 .5297 L
.5923 .53128 L
.59115 .5297 L
.5907 .52917 L
.58993 .52809 L
.58909 .52707 L
.58868 .52649 L
.58749 .52498 L
.58742 .52488 L
F
0 .24 1 r
.58749 .53022 m
.58812 .5313 L
.58909 .53266 L
.58919 .53291 L
.58909 .53303 L
.58899 .53291 L
.58749 .53136 L
.58744 .5313 L
F
0 .65 1 r
.58749 .51689 m
.58886 .51846 L
.58909 .5187 L
.59024 .52007 L
.5907 .52057 L
.59161 .52167 L
.5923 .52247 L
.59296 .52328 L
.59391 .52441 L
.59429 .52488 L
.59551 .52633 L
.59573 .52649 L
.59689 .52809 L
.59712 .52837 L
.59817 .5297 L
.59872 .53037 L
.59946 .5313 L
.60033 .53204 L
.60074 .53291 L
.60193 .53439 L
.60206 .53451 L
.60326 .53612 L
.60354 .53646 L
.60452 .53772 L
.60514 .53851 L
.60578 .53933 L
.60675 .54042 L
.60734 .54093 L
.60827 .54254 L
.60835 .54264 L
.60949 .54414 L
.60996 .54474 L
.61073 .54575 L
.61156 .54642 L
.61197 .54735 L
.61317 .54891 L
.61321 .54896 L
.61439 .55057 L
.61477 .55106 L
.6156 .55217 L
.61638 .55319 L
.61682 .55378 L
.61799 .55528 L
.61808 .55538 L
.61919 .55699 L
.61959 .5575 L
.62037 .55859 L
.6212 .55969 L
.62156 .5602 L
.62273 .5618 L
.6228 .5619 L
.62382 .56341 L
.62441 .56421 L
.62493 .56501 L
.62601 .56656 L
.62605 .56662 L
.62601 .56776 L
.62499 .56662 L
.62441 .56604 L
.62355 .56501 L
.6228 .56421 L
.62215 .56341 L
.6212 .56231 L
.62079 .5618 L
.61959 .56039 L
.61944 .5602 L
.61813 .55859 L
.61799 .55842 L
.61686 .55699 L
.61638 .55642 L
.61557 .55538 L
.61477 .55442 L
.61428 .55378 L
.61317 .55256 L
.61298 .55217 L
.61172 .55057 L
.61156 .55038 L
.61048 .54896 L
.60996 .54833 L
.60922 .54735 L
.60835 .54628 L
.60795 .54575 L
.60675 .54426 L
.60663 .54414 L
.60547 .54254 L
.60514 .54214 L
.60424 .54093 L
.60354 .54006 L
.603 .53933 L
.60193 .53815 L
.60174 .53772 L
.60052 .53612 L
.60033 .53587 L
.59933 .53451 L
.59872 .53375 L
.59811 .53291 L
.59712 .53164 L
.59687 .5313 L
.59566 .5297 L
.59551 .52951 L
.59449 .52809 L
.59391 .52734 L
.5933 .52649 L
.5923 .52519 L
.59209 .52488 L
.59091 .52328 L
.5907 .523 L
.58979 .52167 L
.58909 .52074 L
.58864 .52007 L
.58749 .51849 L
.58747 .51846 L
F
.289 .96 1 r
.58749 .56661 m
.58755 .56662 L
.58909 .56754 L
.58984 .56822 L
.5907 .56858 L
.59143 .56983 L
.5923 .57068 L
.59287 .57143 L
.59391 .57265 L
.59431 .57304 L
.59551 .57463 L
.59553 .57464 L
.59679 .57625 L
.59712 .57667 L
.59802 .57785 L
.59872 .57851 L
.59946 .57946 L
.60033 .58106 L
.60033 .58106 L
.60136 .58267 L
.60193 .58369 L
.60223 .58428 L
.60193 .58546 L
.60033 .58438 L
.60026 .58428 L
.59872 .58269 L
.59871 .58267 L
.59734 .58106 L
.59712 .58082 L
.59603 .57946 L
.59551 .57884 L
.59476 .57785 L
.59391 .5768 L
.5935 .57625 L
.5923 .57476 L
.5922 .57464 L
.59108 .57304 L
.5907 .57253 L
.58994 .57143 L
.58909 .57025 L
.58881 .56983 L
.58784 .56822 L
.58749 .56752 L
.58747 .56662 L
F
1 .32 0 r
.58749 .52361 m
.58844 .52488 L
.58909 .52561 L
.58974 .52649 L
.5907 .52761 L
.59105 .52809 L
.5923 .52964 L
.59234 .5297 L
.5923 .53119 L
.59122 .5297 L
.5907 .52908 L
.59 .52809 L
.58909 .52699 L
.58874 .52649 L
.58749 .5249 L
.58747 .52488 L
F
1 .95 .212 r
.58909 .72506 m
.5907 .72499 L
.5923 .72536 L
.59309 .72554 L
.59391 .72592 L
.59551 .72662 L
.59663 .72714 L
.59712 .7274 L
.59872 .72826 L
.59961 .72875 L
.60033 .72916 L
.60193 .73011 L
.60234 .73035 L
.60354 .73109 L
.60491 .73196 L
.60514 .73211 L
.60675 .73315 L
.60737 .73356 L
.60835 .73422 L
.60975 .73517 L
.60996 .73531 L
.61156 .73642 L
.61207 .73677 L
.61317 .73755 L
.61434 .73838 L
.61477 .73869 L
.61638 .73985 L
.61657 .73998 L
.61799 .74102 L
.61876 .74159 L
.61959 .74221 L
.62092 .74319 L
.6212 .7434 L
.6228 .74461 L
.62305 .7448 L
.62441 .74583 L
.62515 .7464 L
.62601 .74706 L
.62724 .74801 L
.62762 .7483 L
.62922 .74956 L
.6293 .74961 L
.63083 .75082 L
.63134 .75122 L
.63243 .75209 L
.63336 .75283 L
.63404 .75337 L
.63537 .75443 L
.63564 .75465 L
.63725 .75595 L
.63735 .75604 L
.63885 .75726 L
.63933 .75764 L
.64046 .75857 L
.64128 .75925 L
.64206 .75989 L
.64323 .76085 L
.64367 .76122 L
.64516 .76246 L
.64527 .76256 L
.64688 .7639 L
.64707 .76406 L
.64848 .76525 L
.64898 .76567 L
.65009 .76661 L
.65088 .76727 L
.6517 .76797 L
.65276 .76888 L
.6533 .76934 L
.65464 .77048 L
.65491 .77071 L
.65651 .77208 L
.65652 .77209 L
.65812 .77346 L
.65838 .77369 L
.65972 .77485 L
.66024 .7753 L
.66133 .77623 L
.6621 .7769 L
.66293 .77762 L
.66396 .77851 L
.66454 .77901 L
.66581 .78011 L
.66614 .78041 L
.66766 .78172 L
.66775 .7818 L
.66935 .78319 L
.6695 .78332 L
.67096 .78459 L
.67135 .78493 L
.67256 .78599 L
.67319 .78654 L
.67417 .78739 L
.67503 .78814 L
.67577 .78879 L
.67687 .78975 L
.67738 .79019 L
.67871 .79135 L
.67898 .79159 L
.68054 .79296 L
.68059 .793 L
.68219 .79442 L
.68236 .79456 L
.6838 .79584 L
.68417 .79617 L
.68541 .79727 L
.68597 .79777 L
.68701 .7987 L
.68776 .79938 L
.68862 .80015 L
.68953 .80098 L
.69022 .80161 L
.69129 .80259 L
.69183 .80308 L
.69304 .80419 L
.69343 .80456 L
.69476 .8058 L
.69504 .80606 L
.69647 .8074 L
.69664 .80757 L
.69816 .80901 L
.69825 .80909 L
.69983 .81061 L
.69985 .81063 L
.70146 .81219 L
.70149 .81222 L
.70306 .81375 L
.70314 .81382 L
.70467 .81532 L
.70478 .81543 L
.70627 .81689 L
.70642 .81703 L
.70788 .81847 L
.70805 .81864 L
.70948 .82006 L
.70968 .82025 L
.71109 .82164 L
.71131 .82185 L
.71269 .82322 L
.71294 .82346 L
.7143 .8248 L
.71457 .82506 L
.7159 .82638 L
.7162 .82667 L
.71751 .82795 L
.71783 .82827 L
.71912 .82953 L
.71947 .82988 L
.72072 .8311 L
.72111 .83148 L
.72233 .83267 L
.72275 .83309 L
.72393 .83424 L
.7244 .83469 L
.72554 .8358 L
.72605 .8363 L
.72714 .83737 L
.72769 .8379 L
.72875 .83893 L
.72934 .83951 L
.73035 .84049 L
.73099 .84111 L
.73196 .84206 L
.73263 .84272 L
.73356 .84363 L
.73427 .84432 L
.73517 .8452 L
.7359 .84593 L
.73677 .84678 L
.73753 .84753 L
.73838 .84837 L
.73915 .84914 L
.73998 .84997 L
.74076 .85074 L
.74159 .85157 L
.74236 .85235 L
.74319 .85319 L
.74394 .85396 L
.7448 .85483 L
.74551 .85556 L
.7464 .85648 L
.74707 .85717 L
.74801 .85814 L
.74861 .85877 L
.74961 .85982 L
.75014 .86038 L
.75122 .86152 L
.75165 .86198 L
.75283 .86323 L
.75316 .86359 L
.75443 .86496 L
.75465 .86519 L
.75604 .8667 L
.75613 .8668 L
.7576 .8684 L
.75764 .86845 L
.75906 .87001 L
.75925 .87022 L
.76051 .87161 L
.76085 .872 L
.76195 .87322 L
.76246 .87379 L
.76338 .87482 L
.76406 .87559 L
.76481 .87643 L
.76567 .8774 L
.76623 .87803 L
.76727 .87922 L
.76764 .87964 L
.76888 .88106 L
.76904 .88124 L
.77043 .88285 L
.77048 .88291 L
.77181 .88445 L
.77209 .88478 L
.77318 .88606 L
.77369 .88666 L
.77454 .88767 L
.7753 .88857 L
.77588 .88927 L
.7769 .89051 L
.77721 .89088 L
.77851 .89248 L
.77851 .89248 L
.7798 .89409 L
.78011 .89448 L
.78107 .89569 L
.78172 .89653 L
.78231 .8973 L
.78332 .89863 L
.78353 .8989 L
.78471 .90051 L
.78493 .9008 L
.78586 .90211 L
.78654 .90307 L
.78697 .90372 L
.78803 .90532 L
.78814 .90548 L
.78904 .90693 L
.78975 .90813 L
.78996 .90853 L
.7908 .91014 L
.79135 .91128 L
.79148 .91174 L
.79196 .91335 L
.792 .91495 L
.79135 .91573 L
.78975 .91609 L
.78814 .91576 L
.78654 .91522 L
.7858 .91495 L
.78493 .91454 L
.78332 .91377 L
.78248 .91335 L
.78172 .91293 L
.78011 .91204 L
.7796 .91174 L
.77851 .9111 L
.77694 .91014 L
.7769 .91012 L
.7753 .9091 L
.77441 .90853 L
.77369 .90807 L
.77209 .907 L
.77198 .90693 L
.77048 .90592 L
.76962 .90532 L
.76888 .90481 L
.76732 .90372 L
.76727 .90368 L
.76567 .90254 L
.76507 .90211 L
.76406 .90139 L
.76285 .90051 L
.76246 .90022 L
.76085 .89903 L
.76068 .8989 L
.75925 .89783 L
.75853 .8973 L
.75764 .89663 L
.75641 .89569 L
.75604 .89541 L
.75443 .89418 L
.75431 .89409 L
.75283 .89294 L
.75224 .89248 L
.75122 .89169 L
.75018 .89088 L
.74961 .89043 L
.74814 .88927 L
.74801 .88916 L
.7464 .88789 L
.74612 .88767 L
.7448 .8866 L
.74412 .88606 L
.74319 .88531 L
.74213 .88445 L
.74159 .88401 L
.74015 .88285 L
.73998 .88271 L
.73838 .8814 L
.73819 .88124 L
.73677 .88008 L
.73624 .87964 L
.73517 .87875 L
.7343 .87803 L
.73356 .87742 L
.73238 .87643 L
.73196 .87608 L
.73046 .87482 L
.73035 .87473 L
.72875 .87338 L
.72855 .87322 L
.72714 .87203 L
.72665 .87161 L
.72554 .87066 L
.72477 .87001 L
.72393 .86929 L
.72289 .8684 L
.72233 .86792 L
.72102 .8668 L
.72072 .86654 L
.71915 .86519 L
.71912 .86516 L
.71751 .86377 L
.7173 .86359 L
.7159 .86237 L
.71546 .86198 L
.7143 .86097 L
.71362 .86038 L
.71269 .85957 L
.71179 .85877 L
.71109 .85816 L
.70996 .85717 L
.70948 .85674 L
.70815 .85556 L
.70788 .85532 L
.70634 .85396 L
.70627 .8539 L
.70467 .85247 L
.70454 .85235 L
.70306 .85103 L
.70274 .85074 L
.70146 .84959 L
.70095 .84914 L
.69985 .84815 L
.69917 .84753 L
.69825 .8467 L
.6974 .84593 L
.69664 .84524 L
.69563 .84432 L
.69504 .84379 L
.69386 .84272 L
.69343 .84232 L
.69211 .84111 L
.69183 .84086 L
.69035 .83951 L
.69022 .83939 L
.68862 .83791 L
.68861 .8379 L
.68701 .83643 L
.68687 .8363 L
.68541 .83494 L
.68514 .83469 L
.6838 .83345 L
.68341 .83309 L
.68219 .83195 L
.68169 .83148 L
.68059 .83045 L
.67997 .82988 L
.67898 .82895 L
.67826 .82827 L
.67738 .82744 L
.67656 .82667 L
.67577 .82592 L
.67486 .82506 L
.67417 .82441 L
.67317 .82346 L
.67256 .82288 L
.67148 .82185 L
.67096 .82135 L
.6698 .82025 L
.66935 .81982 L
.66812 .81864 L
.66775 .81828 L
.66645 .81703 L
.66614 .81674 L
.66478 .81543 L
.66454 .81519 L
.66313 .81382 L
.66293 .81364 L
.66147 .81222 L
.66133 .81208 L
.65982 .81061 L
.65972 .81051 L
.65818 .80901 L
.65812 .80894 L
.65655 .8074 L
.65651 .80737 L
.65491 .8058 L
.65491 .80579 L
.6533 .8042 L
.65329 .80419 L
.6517 .80261 L
.65167 .80259 L
.65009 .80101 L
.65006 .80098 L
.64848 .79941 L
.64845 .79938 L
.64688 .7978 L
.64685 .79777 L
.64527 .79618 L
.64526 .79617 L
.64367 .79456 L
.64367 .79456 L
.64209 .79296 L
.64206 .79293 L
.64051 .79135 L
.64046 .7913 L
.63894 .78975 L
.63885 .78965 L
.63738 .78814 L
.63725 .788 L
.63583 .78654 L
.63564 .78635 L
.63428 .78493 L
.63404 .78468 L
.63274 .78332 L
.63243 .78301 L
.6312 .78172 L
.63083 .78133 L
.62967 .78011 L
.62922 .77964 L
.62816 .77851 L
.62762 .77794 L
.62664 .7769 L
.62601 .77623 L
.62514 .7753 L
.62441 .77451 L
.62365 .77369 L
.6228 .77278 L
.62216 .77209 L
.6212 .77104 L
.62068 .77048 L
.61959 .76929 L
.61921 .76888 L
.61799 .76753 L
.61775 .76727 L
.61638 .76575 L
.6163 .76567 L
.61486 .76406 L
.61477 .76396 L
.61343 .76246 L
.61317 .76216 L
.61202 .76085 L
.61156 .76034 L
.61061 .75925 L
.60996 .7585 L
.60922 .75764 L
.60835 .75664 L
.60784 .75604 L
.60675 .75475 L
.60647 .75443 L
.60514 .75285 L
.60512 .75283 L
.60379 .75122 L
.60354 .75092 L
.60247 .74961 L
.60193 .74895 L
.60117 .74801 L
.60033 .74695 L
.5999 .7464 L
.59872 .7449 L
.59864 .7448 L
.59741 .74319 L
.59712 .74281 L
.59621 .74159 L
.59551 .74064 L
.59504 .73998 L
.59391 .73838 L
.5939 .73838 L
.59281 .73677 L
.5923 .73601 L
.59177 .73517 L
.59079 .73356 L
.5907 .73342 L
.58989 .73196 L
.5891 .73035 L
.58909 .73032 L
.58846 .72875 L
.58809 .72714 L
.58851 .72554 L
F
1 .96 .289 r
.58909 .59481 m
.59009 .59551 L
.5907 .59606 L
.59166 .59712 L
.5923 .59783 L
.593 .59872 L
.59391 .59983 L
.59427 .60033 L
.59548 .60193 L
.59551 .60197 L
.59653 .60354 L
.59712 .60442 L
.5975 .60514 L
.59712 .60602 L
.59615 .60514 L
.59551 .60455 L
.59457 .60354 L
.59391 .60282 L
.59315 .60193 L
.5923 .60092 L
.59183 .60033 L
.5907 .59897 L
.59048 .59872 L
.58949 .59712 L
.58909 .59645 L
.58861 .59551 L
F
0 .64 1 r
.58909 .51882 m
.59014 .52007 L
.5907 .52067 L
.59153 .52167 L
.5923 .52256 L
.59289 .52328 L
.59391 .52449 L
.59423 .52488 L
.59551 .52643 L
.59559 .52649 L
.59683 .52809 L
.59712 .52844 L
.59812 .5297 L
.59872 .53043 L
.59941 .5313 L
.60033 .53213 L
.60069 .53291 L
.60193 .53446 L
.60199 .53451 L
.60321 .53612 L
.60354 .53652 L
.60447 .53772 L
.60514 .53857 L
.60573 .53933 L
.60675 .5405 L
.60725 .54093 L
.60822 .54254 L
.60835 .5427 L
.60945 .54414 L
.60996 .54479 L
.61068 .54575 L
.61156 .5465 L
.61192 .54735 L
.61315 .54896 L
.61317 .54899 L
.61434 .55057 L
.61477 .55112 L
.61555 .55217 L
.61638 .55325 L
.61677 .55378 L
.61798 .55538 L
.61799 .55539 L
.61913 .55699 L
.61959 .55758 L
.62031 .55859 L
.6212 .55978 L
.62149 .5602 L
.62264 .5618 L
.6228 .56201 L
.62372 .56341 L
.62441 .56435 L
.62483 .56501 L
.62441 .5659 L
.62366 .56501 L
.6228 .5641 L
.62224 .56341 L
.6212 .56223 L
.62086 .5618 L
.61959 .56031 L
.6195 .5602 L
.6182 .55859 L
.61799 .55834 L
.61692 .55699 L
.61638 .55636 L
.61562 .55538 L
.61477 .55436 L
.61432 .55378 L
.61317 .55247 L
.61303 .55217 L
.61177 .55057 L
.61156 .55032 L
.61052 .54896 L
.60996 .54827 L
.60926 .54735 L
.60835 .54623 L
.60799 .54575 L
.60675 .54419 L
.6067 .54414 L
.60551 .54254 L
.60514 .54209 L
.60428 .54093 L
.60354 .54 L
.60304 .53933 L
.60193 .53807 L
.60178 .53772 L
.60057 .53612 L
.60033 .53582 L
.59937 .53451 L
.59872 .5337 L
.59815 .53291 L
.59712 .53158 L
.59691 .5313 L
.59571 .5297 L
.59551 .52945 L
.59454 .52809 L
.59391 .52728 L
.59335 .52649 L
.5923 .52512 L
.59214 .52488 L
.59098 .52328 L
.5907 .52291 L
.58987 .52167 L
.58909 .52064 L
.58872 .52007 L
F
0 .63 1 r
.58909 .51897 m
.59003 .52007 L
.5907 .52078 L
.59144 .52167 L
.5923 .52265 L
.59281 .52328 L
.59391 .52457 L
.59416 .52488 L
.59548 .52649 L
.59551 .52653 L
.59676 .52809 L
.59712 .52851 L
.59806 .5297 L
.59872 .5305 L
.59935 .5313 L
.60033 .53222 L
.60064 .53291 L
.60192 .53451 L
.60193 .53453 L
.60316 .53612 L
.60354 .53658 L
.60442 .53772 L
.60514 .53863 L
.60568 .53933 L
.60675 .54058 L
.60716 .54093 L
.60817 .54254 L
.60835 .54276 L
.6094 .54414 L
.60996 .54485 L
.61064 .54575 L
.61156 .5466 L
.61188 .54735 L
.6131 .54896 L
.61317 .54905 L
.61429 .55057 L
.61477 .55119 L
.6155 .55217 L
.61638 .55332 L
.61672 .55378 L
.61792 .55538 L
.61799 .55547 L
.61907 .55699 L
.61959 .55767 L
.62024 .55859 L
.6212 .55987 L
.62143 .5602 L
.62255 .5618 L
.6228 .56214 L
.62362 .56341 L
.62441 .56451 L
.62471 .56501 L
.62441 .56572 L
.6238 .56501 L
.6228 .56398 L
.62233 .56341 L
.6212 .56213 L
.62093 .5618 L
.61959 .56023 L
.61956 .5602 L
.61827 .55859 L
.61799 .55827 L
.61698 .55699 L
.61638 .55629 L
.61568 .55538 L
.61477 .5543 L
.61437 .55378 L
.61317 .55238 L
.61307 .55217 L
.61182 .55057 L
.61156 .55026 L
.61057 .54896 L
.60996 .54822 L
.6093 .54735 L
.60835 .54617 L
.60803 .54575 L
.60676 .54414 L
.60675 .54412 L
.60555 .54254 L
.60514 .54203 L
.60432 .54093 L
.60354 .53995 L
.60307 .53933 L
.60193 .53799 L
.60182 .53772 L
.60061 .53612 L
.60033 .53576 L
.59941 .53451 L
.59872 .53364 L
.59819 .53291 L
.59712 .53153 L
.59695 .5313 L
.59576 .5297 L
.59551 .52938 L
.5946 .52809 L
.59391 .52721 L
.5934 .52649 L
.5923 .52504 L
.59219 .52488 L
.59106 .52328 L
.5907 .52281 L
.58995 .52167 L
.58909 .52052 L
.5888 .52007 L
F
1 .87 .018 r
.58909 .5122 m
.59044 .51364 L
.5907 .51391 L
.59189 .51525 L
.5923 .5157 L
.5933 .51686 L
.59391 .51755 L
.59469 .51846 L
.59551 .51925 L
.59605 .52007 L
.59712 .52133 L
.59749 .52167 L
.59871 .52328 L
.59872 .52329 L
.60003 .52488 L
.60033 .52494 L
.60134 .52649 L
.60193 .52714 L
.60303 .52809 L
.60354 .52921 L
.60396 .5297 L
.60514 .53122 L
.60519 .5313 L
.6065 .53291 L
.60675 .53311 L
.60778 .53451 L
.60835 .53521 L
.60918 .53612 L
.60996 .53729 L
.61028 .53772 L
.61156 .53931 L
.61157 .53933 L
.61284 .54093 L
.61317 .54128 L
.6144 .54254 L
.61477 .5434 L
.61537 .54414 L
.61638 .54549 L
.61654 .54575 L
.61785 .54735 L
.61799 .54745 L
.6191 .54896 L
.61959 .54954 L
.62046 .55057 L
.6212 .55167 L
.62155 .55217 L
.6228 .55375 L
.62281 .55378 L
.62406 .55538 L
.62441 .55573 L
.62558 .55699 L
.62601 .55789 L
.62656 .55859 L
.62762 .56002 L
.62772 .5602 L
.62899 .5618 L
.62922 .56193 L
.63021 .56341 L
.63083 .56412 L
.63157 .56501 L
.63243 .5663 L
.63265 .56662 L
.63388 .56822 L
.63404 .56843 L
.63509 .56983 L
.63564 .57036 L
.6366 .57143 L
.63725 .57263 L
.63756 .57304 L
.63873 .57464 L
.63885 .57481 L
.63992 .57625 L
.64046 .57656 L
.64113 .57785 L
.64206 .57901 L
.64242 .57946 L
.64351 .58106 L
.64367 .58127 L
.64469 .58267 L
.64527 .58346 L
.64587 .58428 L
.64688 .58553 L
.64716 .58588 L
.64819 .58749 L
.64848 .58789 L
.64932 .58909 L
.65009 .59016 L
.65046 .5907 L
.65157 .5923 L
.6517 .59248 L
.65258 .59391 L
.6533 .59499 L
.6536 .59551 L
.6533 .59642 L
.65242 .59551 L
.6517 .59482 L
.65089 .59391 L
.65009 .59306 L
.64945 .5923 L
.64848 .59123 L
.64804 .5907 L
.64688 .58942 L
.64667 .58909 L
.64533 .58749 L
.64527 .58742 L
.64402 .58588 L
.64367 .58547 L
.64271 .58428 L
.64206 .5838 L
.6414 .58267 L
.64046 .58159 L
.63987 .58106 L
.63885 .57953 L
.63879 .57946 L
.63754 .57785 L
.63725 .5775 L
.63627 .57625 L
.63564 .57566 L
.63499 .57464 L
.63404 .5735 L
.63361 .57304 L
.63245 .57143 L
.63243 .57141 L
.63121 .56983 L
.63083 .56965 L
.62995 .56822 L
.62922 .56742 L
.62842 .56662 L
.62762 .56527 L
.6274 .56501 L
.62619 .56341 L
.62601 .56318 L
.62496 .5618 L
.62441 .56133 L
.62315 .5602 L
.6228 .55911 L
.62234 .55859 L
.62121 .55699 L
.6212 .55697 L
.61999 .55538 L
.61959 .55526 L
.61876 .55378 L
.61799 .55294 L
.61726 .55217 L
.61638 .55074 L
.61624 .55057 L
.61505 .54896 L
.61477 .54862 L
.61383 .54735 L
.61317 .54679 L
.6121 .54575 L
.61156 .54449 L
.61127 .54414 L
.61013 .54254 L
.60996 .54232 L
.60892 .54093 L
.60835 .54021 L
.6077 .53933 L
.60675 .53824 L
.60629 .53772 L
.60524 .53612 L
.60514 .53599 L
.60405 .53451 L
.60354 .53386 L
.60284 .53291 L
.60193 .53198 L
.6013 .5313 L
.6004 .5297 L
.60033 .52961 L
.59922 .52809 L
.59872 .52744 L
.59803 .52649 L
.59712 .52529 L
.59682 .52488 L
.59562 .52328 L
.59551 .52313 L
.59448 .52167 L
.59391 .52092 L
.59331 .52007 L
.5923 .51872 L
.59213 .51846 L
.59099 .51686 L
.5907 .51645 L
.58991 .51525 L
.58909 .5141 L
.58881 .51364 L
F
1 .31 0 r
.58909 .52571 m
.58966 .52649 L
.5907 .5277 L
.59098 .52809 L
.5907 .52899 L
.59008 .52809 L
.58909 .5269 L
.58881 .52649 L
F
1 .3 0 r
.58909 .52583 m
.58957 .52649 L
.5907 .5278 L
.59091 .52809 L
.5907 .52887 L
.59017 .52809 L
.58909 .52679 L
.58889 .52649 L
F
0 .62 1 r
.58909 .51913 m
.5899 .52007 L
.5907 .5209 L
.59134 .52167 L
.5923 .52275 L
.59273 .52328 L
.59391 .52466 L
.59409 .52488 L
.59541 .52649 L
.59551 .52661 L
.5967 .52809 L
.59712 .52858 L
.598 .5297 L
.59872 .53057 L
.5993 .5313 L
.60033 .53232 L
.60059 .53291 L
.60186 .53451 L
.60193 .5346 L
.60311 .53612 L
.60354 .53664 L
.60437 .53772 L
.60514 .53869 L
.60564 .53933 L
.60675 .54066 L
.60707 .54093 L
.60812 .54254 L
.60835 .54283 L
.60935 .54414 L
.60996 .54492 L
.61059 .54575 L
.61156 .5467 L
.61183 .54735 L
.61304 .54896 L
.61317 .54912 L
.61424 .55057 L
.61477 .55125 L
.61545 .55217 L
.61638 .55339 L
.61666 .55378 L
.61785 .55538 L
.61799 .55555 L
.619 .55699 L
.61959 .55776 L
.62018 .55859 L
.6212 .55997 L
.62136 .5602 L
.62245 .5618 L
.6228 .56228 L
.6235 .56341 L
.62441 .56472 L
.62456 .56501 L
.62441 .56549 L
.62398 .56501 L
.6228 .56385 L
.62244 .56341 L
.6212 .56203 L
.62101 .5618 L
.61964 .5602 L
.61959 .56014 L
.61834 .55859 L
.61799 .55819 L
.61704 .55699 L
.61638 .55622 L
.61573 .55538 L
.61477 .55423 L
.61442 .55378 L
.61317 .55228 L
.61312 .55217 L
.61187 .55057 L
.61156 .5502 L
.61062 .54896 L
.60996 .54816 L
.60935 .54735 L
.60835 .54612 L
.60807 .54575 L
.60681 .54414 L
.60675 .54407 L
.6056 .54254 L
.60514 .54198 L
.60436 .54093 L
.60354 .5399 L
.60311 .53933 L
.60193 .5379 L
.60186 .53772 L
.60066 .53612 L
.60033 .5357 L
.59946 .53451 L
.59872 .53358 L
.59823 .53291 L
.59712 .53147 L
.597 .5313 L
.59582 .5297 L
.59551 .52931 L
.59465 .52809 L
.59391 .52713 L
.59346 .52649 L
.5923 .52497 L
.59224 .52488 L
.59114 .52328 L
.5907 .5227 L
.59004 .52167 L
.58909 .52038 L
.5889 .52007 L
F
1 .29 0 r
.58909 .52598 m
.58944 .52649 L
.5907 .52792 L
.59082 .52809 L
.5907 .52874 L
.59029 .52809 L
.58909 .52666 L
.58898 .52649 L
F
0 .61 1 r
.58909 .51935 m
.58974 .52007 L
.5907 .52103 L
.59124 .52167 L
.5923 .52286 L
.59265 .52328 L
.59391 .52475 L
.59402 .52488 L
.59533 .52649 L
.59551 .52669 L
.59663 .52809 L
.59712 .52866 L
.59794 .5297 L
.59872 .53064 L
.59925 .5313 L
.60033 .53243 L
.60054 .53291 L
.60181 .53451 L
.60193 .53466 L
.60306 .53612 L
.60354 .53671 L
.60432 .53772 L
.60514 .53875 L
.60559 .53933 L
.60675 .54075 L
.60697 .54093 L
.60807 .54254 L
.60835 .54289 L
.6093 .54414 L
.60996 .54498 L
.61054 .54575 L
.61156 .5468 L
.61178 .54735 L
.61299 .54896 L
.61317 .54919 L
.61418 .55057 L
.61477 .55132 L
.61539 .55217 L
.61638 .55346 L
.61661 .55378 L
.61779 .55538 L
.61799 .55564 L
.61894 .55699 L
.61959 .55785 L
.62011 .55859 L
.6212 .56007 L
.62128 .5602 L
.62233 .5618 L
.6228 .56245 L
.62335 .56341 L
.6228 .5637 L
.62256 .56341 L
.6212 .56193 L
.6211 .5618 L
.61973 .5602 L
.61959 .56004 L
.61842 .55859 L
.61799 .5581 L
.61711 .55699 L
.61638 .55614 L
.61579 .55538 L
.61477 .55417 L
.61447 .55378 L
.61317 .55218 L
.61316 .55217 L
.61192 .55057 L
.61156 .55014 L
.61066 .54896 L
.60996 .5481 L
.60939 .54735 L
.60835 .54607 L
.60811 .54575 L
.60686 .54414 L
.60675 .54401 L
.60564 .54254 L
.60514 .54192 L
.60441 .54093 L
.60354 .53985 L
.60316 .53933 L
.60193 .53781 L
.6019 .53772 L
.60071 .53612 L
.60033 .53564 L
.5995 .53451 L
.59872 .53352 L
.59828 .53291 L
.59712 .53141 L
.59704 .5313 L
.59587 .5297 L
.59551 .52924 L
.59471 .52809 L
.59391 .52706 L
.59351 .52649 L
.5923 .52488 L
.5923 .52488 L
.59123 .52328 L
.5907 .52258 L
.59014 .52167 L
.58909 .52022 L
.58901 .52007 L
F
1 .86 .013 r
.58909 .51263 m
.59012 .51364 L
.5907 .51419 L
.59166 .51525 L
.5923 .51593 L
.59312 .51686 L
.59391 .51774 L
.59453 .51846 L
.59551 .51945 L
.59591 .52007 L
.59712 .5215 L
.59732 .52167 L
.59859 .52328 L
.59872 .52343 L
.59992 .52488 L
.60033 .52498 L
.60124 .52649 L
.60193 .52726 L
.60294 .52809 L
.60354 .52932 L
.60387 .5297 L
.60513 .5313 L
.60514 .53132 L
.60642 .53291 L
.60675 .53318 L
.6077 .53451 L
.60835 .5353 L
.60911 .53612 L
.60996 .53738 L
.61022 .53772 L
.61151 .53933 L
.61156 .5394 L
.61277 .54093 L
.61317 .54136 L
.61435 .54254 L
.61477 .54347 L
.61531 .54414 L
.61638 .54556 L
.61649 .54575 L
.61779 .54735 L
.61799 .54749 L
.61904 .54896 L
.61959 .54961 L
.62041 .55057 L
.6212 .55175 L
.6215 .55217 L
.62276 .55378 L
.6228 .55382 L
.624 .55538 L
.62441 .55579 L
.62553 .55699 L
.62601 .55796 L
.6265 .55859 L
.62762 .56009 L
.62768 .5602 L
.62893 .5618 L
.62922 .56197 L
.63016 .56341 L
.63083 .5642 L
.63151 .56501 L
.63243 .56638 L
.63259 .56662 L
.63381 .56822 L
.63404 .56851 L
.63503 .56983 L
.63564 .57044 L
.63653 .57143 L
.63725 .57272 L
.63748 .57304 L
.63866 .57464 L
.63885 .5749 L
.63985 .57625 L
.64046 .57665 L
.64105 .57785 L
.64206 .57914 L
.64232 .57946 L
.64342 .58106 L
.64367 .58139 L
.64459 .58267 L
.64527 .58359 L
.64577 .58428 L
.64688 .58575 L
.64699 .58588 L
.64806 .58749 L
.64848 .58807 L
.64918 .58909 L
.65009 .59037 L
.65031 .5907 L
.65134 .5923 L
.6517 .59282 L
.6523 .59391 L
.6517 .59448 L
.65117 .59391 L
.65009 .59282 L
.64964 .5923 L
.64848 .59103 L
.6482 .5907 L
.64688 .58921 L
.64681 .58909 L
.64546 .58749 L
.64527 .58727 L
.64414 .58588 L
.64367 .58534 L
.64281 .58428 L
.64206 .58369 L
.64149 .58267 L
.64046 .58148 L
.63999 .58106 L
.63888 .57946 L
.63885 .57942 L
.63761 .57785 L
.63725 .57741 L
.63634 .57625 L
.63564 .57558 L
.63506 .57464 L
.63404 .57341 L
.63368 .57304 L
.63251 .57143 L
.63243 .57134 L
.63126 .56983 L
.63083 .56961 L
.63001 .56822 L
.62922 .56735 L
.62848 .56662 L
.62762 .5652 L
.62745 .56501 L
.62624 .56341 L
.62601 .56312 L
.625 .5618 L
.62441 .56127 L
.6232 .5602 L
.6228 .55905 L
.62239 .55859 L
.62126 .55699 L
.6212 .55691 L
.62004 .55538 L
.61959 .55522 L
.6188 .55378 L
.61799 .55288 L
.61731 .55217 L
.61638 .55067 L
.61629 .55057 L
.61509 .54896 L
.61477 .54856 L
.61387 .54735 L
.61317 .54673 L
.61216 .54575 L
.61156 .54442 L
.61133 .54414 L
.61018 .54254 L
.60996 .54226 L
.60897 .54093 L
.60835 .54015 L
.60775 .53933 L
.60675 .53816 L
.60636 .53772 L
.6053 .53612 L
.60514 .53592 L
.60411 .53451 L
.60354 .53378 L
.6029 .53291 L
.60193 .53188 L
.6014 .5313 L
.60046 .5297 L
.60033 .52952 L
.59929 .52809 L
.59872 .52735 L
.5981 .52649 L
.59712 .5252 L
.59689 .52488 L
.59571 .52328 L
.59551 .52302 L
.59457 .52167 L
.59391 .52079 L
.59341 .52007 L
.5923 .51857 L
.59223 .51846 L
.59115 .51686 L
.5907 .51623 L
.59009 .51525 L
.58909 .51378 L
.58902 .51364 L
F
.212 .95 1 r
.5907 .56933 m
.59094 .56983 L
.5923 .57119 L
.59248 .57143 L
.59388 .57304 L
.59391 .57307 L
.5952 .57464 L
.59551 .57503 L
.59648 .57625 L
.59712 .57708 L
.5977 .57785 L
.59872 .57913 L
.59897 .57946 L
.59993 .58106 L
.60033 .58172 L
.60087 .58267 L
.60033 .58371 L
.59916 .58267 L
.59872 .58226 L
.59766 .58106 L
.59712 .58047 L
.5963 .57946 L
.59551 .57854 L
.59499 .57785 L
.59391 .57652 L
.59371 .57625 L
.59249 .57464 L
.5923 .5744 L
.59135 .57304 L
.5907 .57215 L
.59023 .57143 L
.58917 .56983 L
F
.733 .99 1 r
.5907 .59151 m
.5923 .59149 L
.59378 .5923 L
.59391 .59247 L
.59536 .59391 L
.59551 .59408 L
.59669 .59551 L
.59712 .59602 L
.59829 .59712 L
.59872 .59806 L
.5993 .59872 L
.60033 .60014 L
.60045 .60033 L
.6017 .60193 L
.60193 .60223 L
.60292 .60354 L
.60354 .60411 L
.60431 .60514 L
.60514 .60641 L
.60536 .60675 L
.60653 .60835 L
.60675 .60865 L
.60768 .60996 L
.60835 .61089 L
.60912 .61156 L
.60992 .61317 L
.60996 .61322 L
.61084 .61477 L
.60996 .61637 L
.60835 .61512 L
.60785 .61477 L
.60675 .61354 L
.60614 .61317 L
.60514 .61176 L
.60484 .61156 L
.60354 .61011 L
.6035 .60996 L
.60208 .60835 L
.60193 .60816 L
.60062 .60675 L
.60033 .60613 L
.59952 .60514 L
.59872 .60404 L
.5984 .60354 L
.59712 .60201 L
.59698 .60193 L
.59553 .60033 L
.59551 .60009 L
.59446 .59872 L
.59391 .59798 L
.59339 .59712 L
.5923 .59579 L
.59226 .59551 L
.59103 .59391 L
.5907 .59332 L
.58995 .5923 L
F
0 .6 1 r
.5907 .52118 m
.59112 .52167 L
.5923 .52297 L
.59256 .52328 L
.59391 .52484 L
.59394 .52488 L
.59525 .52649 L
.59551 .52678 L
.59656 .52809 L
.59712 .52874 L
.59788 .5297 L
.59872 .53071 L
.59919 .5313 L
.60033 .53255 L
.60048 .53291 L
.60175 .53451 L
.60193 .53473 L
.60301 .53612 L
.60354 .53677 L
.60427 .53772 L
.60514 .53881 L
.60554 .53933 L
.60675 .54084 L
.60686 .54093 L
.60802 .54254 L
.60835 .54295 L
.60925 .54414 L
.60996 .54504 L
.61049 .54575 L
.61156 .54692 L
.61173 .54735 L
.61293 .54896 L
.61317 .54926 L
.61413 .55057 L
.61477 .5514 L
.61534 .55217 L
.61638 .55354 L
.61655 .55378 L
.61772 .55538 L
.61799 .55573 L
.61886 .55699 L
.61959 .55795 L
.62003 .55859 L
.6212 .56019 L
.6212 .5602 L
.62219 .5618 L
.6228 .56267 L
.62315 .56341 L
.6228 .56352 L
.62271 .56341 L
.6212 .56181 L
.62119 .5618 L
.61984 .5602 L
.61959 .55993 L
.61851 .55859 L
.61799 .55801 L
.61718 .55699 L
.61638 .55607 L
.61585 .55538 L
.61477 .5541 L
.61452 .55378 L
.61322 .55217 L
.61317 .55211 L
.61198 .55057 L
.61156 .55008 L
.61071 .54896 L
.60996 .54804 L
.60944 .54735 L
.60835 .54601 L
.60816 .54575 L
.60691 .54414 L
.60675 .54395 L
.60569 .54254 L
.60514 .54187 L
.60445 .54093 L
.60354 .53979 L
.6032 .53933 L
.60194 .53772 L
.60193 .53771 L
.60076 .53612 L
.60033 .53558 L
.59955 .53451 L
.59872 .53346 L
.59832 .53291 L
.59712 .53135 L
.59708 .5313 L
.59593 .5297 L
.59551 .52916 L
.59477 .52809 L
.59391 .52698 L
.59357 .52649 L
.59238 .52488 L
.5923 .52478 L
.59133 .52328 L
.5907 .52243 L
.59025 .52167 L
F
1 .85 .01 r
.5907 .51454 m
.59138 .51525 L
.5923 .51618 L
.59291 .51686 L
.59391 .51795 L
.59436 .51846 L
.59551 .51967 L
.59576 .52007 L
.59712 .52167 L
.59712 .52167 L
.59846 .52328 L
.59872 .52358 L
.5998 .52488 L
.60033 .52505 L
.60114 .52649 L
.60193 .52738 L
.60282 .52809 L
.60354 .52943 L
.60378 .5297 L
.60504 .5313 L
.60514 .53143 L
.60633 .53291 L
.60675 .53325 L
.60763 .53451 L
.60835 .53539 L
.60904 .53612 L
.60996 .53746 L
.61015 .53772 L
.61144 .53933 L
.61156 .53949 L
.61271 .54093 L
.61317 .54143 L
.6143 .54254 L
.61477 .54356 L
.61525 .54414 L
.61638 .54563 L
.61645 .54575 L
.61773 .54735 L
.61799 .54753 L
.61898 .54896 L
.61959 .54969 L
.62035 .55057 L
.6212 .55182 L
.62145 .55217 L
.62271 .55378 L
.6228 .5539 L
.62394 .55538 L
.62441 .55585 L
.62548 .55699 L
.62601 .55803 L
.62645 .55859 L
.62762 .56016 L
.62764 .5602 L
.62887 .5618 L
.62922 .56201 L
.6301 .56341 L
.63083 .56427 L
.63144 .56501 L
.63243 .56647 L
.63254 .56662 L
.63375 .56822 L
.63404 .5686 L
.63496 .56983 L
.63564 .57053 L
.63646 .57143 L
.63725 .57282 L
.63741 .57304 L
.63858 .57464 L
.63885 .575 L
.63977 .57625 L
.64046 .57675 L
.64097 .57785 L
.64206 .57928 L
.64221 .57946 L
.64333 .58106 L
.64367 .58152 L
.64449 .58267 L
.64527 .58373 L
.64567 .58428 L
.64682 .58588 L
.64688 .58596 L
.64792 .58749 L
.64848 .58827 L
.64903 .58909 L
.65009 .59063 L
.65013 .5907 L
.65105 .5923 L
.6517 .59343 L
.65177 .59391 L
.6517 .59394 L
.65165 .59391 L
.65009 .59253 L
.64988 .5923 L
.64848 .59082 L
.64838 .5907 L
.64697 .58909 L
.64688 .589 L
.64561 .58749 L
.64527 .58712 L
.64426 .58588 L
.64367 .5852 L
.64292 .58428 L
.64206 .58355 L
.64159 .58267 L
.64046 .58135 L
.64012 .58106 L
.63897 .57946 L
.63885 .57932 L
.63769 .57785 L
.63725 .57732 L
.63641 .57625 L
.63564 .57549 L
.63512 .57464 L
.63404 .57333 L
.63376 .57304 L
.63257 .57143 L
.63243 .57126 L
.63132 .56983 L
.63083 .56956 L
.63006 .56822 L
.62922 .56728 L
.62855 .56662 L
.62762 .56513 L
.62751 .56501 L
.62629 .56341 L
.62601 .56306 L
.62505 .5618 L
.62441 .56122 L
.62326 .5602 L
.6228 .55898 L
.62245 .55859 L
.6213 .55699 L
.6212 .55685 L
.62008 .55538 L
.61959 .55519 L
.61884 .55378 L
.61799 .55282 L
.61737 .55217 L
.61638 .55061 L
.61634 .55057 L
.61514 .54896 L
.61477 .5485 L
.61392 .54735 L
.61317 .54667 L
.61222 .54575 L
.61156 .54435 L
.61138 .54414 L
.61023 .54254 L
.60996 .5422 L
.60902 .54093 L
.60835 .54008 L
.6078 .53933 L
.60675 .53807 L
.60643 .53772 L
.60535 .53612 L
.60514 .53585 L
.60416 .53451 L
.60354 .53371 L
.60295 .53291 L
.60193 .53176 L
.6015 .5313 L
.60053 .5297 L
.60033 .52944 L
.59936 .52809 L
.59872 .52726 L
.59817 .52649 L
.59712 .5251 L
.59697 .52488 L
.59581 .52328 L
.59551 .52289 L
.59468 .52167 L
.59391 .52064 L
.59352 .52007 L
.59236 .51846 L
.5923 .51839 L
.59134 .51686 L
.5907 .51593 L
.59032 .51525 L
F
0 .59 1 r
.5907 .52136 m
.59097 .52167 L
.5923 .52309 L
.59246 .52328 L
.5923 .52465 L
.59145 .52328 L
.5907 .52224 L
.5904 .52167 L
F
.395 .97 1 r
.5907 .50801 m
.59159 .50883 L
.5923 .50949 L
.5932 .51043 L
.59391 .51117 L
.59471 .51204 L
.59551 .51266 L
.59615 .51364 L
.59712 .51474 L
.59786 .51525 L
.59872 .51664 L
.59893 .51686 L
.60029 .51846 L
.60033 .51851 L
.60164 .52007 L
.60193 .52037 L
.60299 .52167 L
.60354 .52237 L
.60437 .52328 L
.60514 .52438 L
.60551 .52488 L
.60675 .52635 L
.60678 .52649 L
.60822 .52809 L
.60835 .52826 L
.60966 .5297 L
.60996 .5303 L
.61074 .5313 L
.61156 .53237 L
.61187 .53291 L
.61317 .5344 L
.61336 .53451 L
.61463 .53612 L
.61477 .53631 L
.61591 .53772 L
.61638 .5384 L
.61701 .53933 L
.61799 .54051 L
.61808 .54093 L
.61959 .54252 L
.61968 .54254 L
.621 .54414 L
.6212 .5445 L
.62213 .54575 L
.6228 .54662 L
.62319 .54735 L
.62441 .54874 L
.62471 .54896 L
.626 .55057 L
.62601 .55066 L
.62719 .55217 L
.62762 .55277 L
.62828 .55378 L
.62922 .55491 L
.62931 .55538 L
.63083 .55695 L
.63092 .55699 L
.63222 .55859 L
.63243 .55896 L
.63333 .5602 L
.63404 .5611 L
.63439 .5618 L
.63564 .56321 L
.63588 .56341 L
.63721 .56501 L
.63725 .56519 L
.63836 .56662 L
.63885 .56731 L
.63944 .56822 L
.64046 .56945 L
.6405 .56983 L
.64204 .57143 L
.64206 .57146 L
.64337 .57304 L
.64367 .57355 L
.64445 .57464 L
.64527 .57569 L
.64553 .57625 L
.64688 .57778 L
.64696 .57785 L
.64838 .57946 L
.64848 .57981 L
.64945 .58106 L
.65009 .58195 L
.65053 .58267 L
.6517 .58408 L
.6517 .58428 L
.65309 .58588 L
.6533 .58609 L
.65445 .58749 L
.65491 .58823 L
.65551 .58909 L
.65651 .59039 L
.65664 .5907 L
.65797 .5923 L
.65812 .59239 L
.65949 .59391 L
.65972 .59453 L
.66046 .59551 L
.66133 .59673 L
.66156 .59712 L
.66281 .59872 L
.66293 .59888 L
.66402 .60033 L
.66454 .60084 L
.6654 .60193 L
.66614 .60311 L
.66643 .60354 L
.66761 .60514 L
.66775 .60532 L
.6688 .60675 L
.66935 .60713 L
.67036 .60835 L
.67096 .6096 L
.67122 .60996 L
.67233 .61156 L
.67256 .61189 L
.67347 .61317 L
.67417 .61413 L
.67463 .61477 L
.67577 .61638 L
.67577 .61638 L
.67684 .61799 L
.67738 .61875 L
.67792 .61959 L
.67898 .6212 L
.67898 .6212 L
.67981 .6228 L
.67898 .62314 L
.67865 .6228 L
.67738 .62156 L
.67705 .6212 L
.67577 .61991 L
.67557 .61959 L
.67417 .61802 L
.67412 .61799 L
.67277 .61638 L
.67256 .61615 L
.67141 .61477 L
.67096 .61453 L
.67007 .61317 L
.66935 .6124 L
.66827 .61156 L
.66775 .61037 L
.66734 .60996 L
.66614 .60838 L
.66612 .60835 L
.66483 .60675 L
.66454 .6065 L
.66355 .60514 L
.66293 .60443 L
.66204 .60354 L
.66133 .60236 L
.66096 .60193 L
.65972 .60034 L
.65971 .60033 L
.65845 .59872 L
.65812 .59838 L
.65678 .59712 L
.65651 .59628 L
.65583 .59551 L
.65491 .59419 L
.65469 .59391 L
.65342 .5923 L
.6533 .59222 L
.65218 .5907 L
.6517 .59015 L
.65071 .58909 L
.65009 .58803 L
.64965 .58749 L
.64848 .58595 L
.64844 .58588 L
.64719 .58428 L
.64688 .58398 L
.64556 .58267 L
.64527 .58185 L
.6446 .58106 L
.64367 .57973 L
.64347 .57946 L
.64222 .57785 L
.64206 .57776 L
.64099 .57625 L
.64046 .57566 L
.63953 .57464 L
.63885 .57352 L
.63848 .57304 L
.63726 .57143 L
.63725 .57141 L
.63604 .56983 L
.63564 .56947 L
.63442 .56822 L
.63404 .5673 L
.63347 .56662 L
.63243 .56516 L
.63233 .56501 L
.63111 .56341 L
.63083 .56328 L
.62988 .5618 L
.62922 .56109 L
.62843 .5602 L
.62762 .5589 L
.62738 .55859 L
.62617 .55699 L
.62601 .55678 L
.62496 .55538 L
.62441 .5549 L
.62334 .55378 L
.6228 .55266 L
.6224 .55217 L
.62125 .55057 L
.6212 .5505 L
.62005 .54896 L
.61959 .54876 L
.61882 .54735 L
.61799 .54643 L
.6174 .54575 L
.61638 .5442 L
.61634 .54414 L
.61514 .54254 L
.61477 .54207 L
.61393 .54093 L
.61317 .54022 L
.61237 .53933 L
.61156 .5379 L
.61142 .53772 L
.61025 .53612 L
.60996 .53574 L
.60905 .53451 L
.60835 .53362 L
.60783 .53291 L
.60675 .53159 L
.60651 .5313 L
.60539 .5297 L
.60514 .52938 L
.60421 .52809 L
.60354 .52723 L
.603 .52649 L
.60193 .52523 L
.60164 .52488 L
.60058 .52328 L
.60033 .52294 L
.59942 .52167 L
.59872 .52076 L
.59823 .52007 L
.59712 .5186 L
.59702 .51846 L
.59588 .51686 L
.59551 .51637 L
.59475 .51525 L
.59391 .51411 L
.5936 .51364 L
.59246 .51204 L
.5923 .51181 L
.59146 .51043 L
.5907 .50928 L
.59047 .50883 L
F
1 .28 0 r
.5907 .52807 m
.59071 .52809 L
.5907 .52853 L
.59048 .52809 L
F
.156 .94 1 r
.5907 .57033 m
.59194 .57143 L
.5923 .57177 L
.59346 .57304 L
.59391 .57353 L
.59483 .57464 L
.59551 .57547 L
.59613 .57625 L
.59712 .57755 L
.59735 .57785 L
.59845 .57946 L
.59872 .57987 L
.59942 .58106 L
.59872 .5817 L
.5981 .58106 L
.59712 .58007 L
.59662 .57946 L
.59551 .57819 L
.59525 .57785 L
.59396 .57625 L
.59391 .57618 L
.5928 .57464 L
.5923 .57399 L
.59167 .57304 L
.5907 .57161 L
.59059 .57143 L
F
0 .58 1 r
.5907 .52165 m
.59072 .52167 L
.5923 .52323 L
.59234 .52328 L
.5923 .5245 L
.59161 .52328 L
.5907 .52188 L
.59067 .52167 L
F
1 .84 .007 r
.5907 .51524 m
.59082 .51525 L
.5923 .51647 L
.59266 .51686 L
.59391 .51817 L
.59417 .51846 L
.59551 .51993 L
.59559 .52007 L
.59697 .52167 L
.59712 .52183 L
.59833 .52328 L
.59872 .52372 L
.59969 .52488 L
.60033 .52514 L
.60103 .52649 L
.60193 .5275 L
.60269 .52809 L
.60354 .52955 L
.60367 .5297 L
.60495 .5313 L
.60514 .53153 L
.60625 .53291 L
.60675 .53333 L
.60755 .53451 L
.60835 .53549 L
.60896 .53612 L
.60996 .53755 L
.61009 .53772 L
.61137 .53933 L
.61156 .53957 L
.61264 .54093 L
.61317 .5415 L
.61424 .54254 L
.61477 .54364 L
.61519 .54414 L
.61638 .54571 L
.61641 .54575 L
.61767 .54735 L
.61799 .54758 L
.61892 .54896 L
.61959 .54976 L
.6203 .55057 L
.6212 .55189 L
.62139 .55217 L
.62265 .55378 L
.6228 .55397 L
.62389 .55538 L
.62441 .55592 L
.62543 .55699 L
.62601 .55811 L
.62639 .55859 L
.62759 .5602 L
.62762 .56023 L
.62881 .5618 L
.62922 .56206 L
.63004 .56341 L
.63083 .56436 L
.63138 .56501 L
.63243 .56655 L
.63248 .56662 L
.63369 .56822 L
.63404 .56868 L
.6349 .56983 L
.63564 .57062 L
.63637 .57143 L
.63725 .57293 L
.63733 .57304 L
.63851 .57464 L
.63885 .5751 L
.6397 .57625 L
.64046 .57688 L
.64089 .57785 L
.64206 .57943 L
.64209 .57946 L
.64323 .58106 L
.64367 .58165 L
.64439 .58267 L
.64527 .58388 L
.64556 .58428 L
.64668 .58588 L
.64688 .58615 L
.64777 .58749 L
.64848 .58851 L
.64886 .58909 L
.64848 .59056 L
.64717 .58909 L
.64688 .58879 L
.64577 .58749 L
.64527 .58695 L
.64439 .58588 L
.64367 .58506 L
.64303 .58428 L
.64206 .5834 L
.64168 .58267 L
.64046 .58122 L
.64027 .58106 L
.63906 .57946 L
.63885 .57922 L
.63777 .57785 L
.63725 .57723 L
.63648 .57625 L
.63564 .5754 L
.63519 .57464 L
.63404 .57324 L
.63384 .57304 L
.63264 .57143 L
.63243 .57118 L
.63138 .56983 L
.63083 .5695 L
.63012 .56822 L
.62922 .56721 L
.62862 .56662 L
.62762 .56506 L
.62757 .56501 L
.62635 .56341 L
.62601 .56299 L
.6251 .5618 L
.62441 .56115 L
.62332 .5602 L
.6228 .55891 L
.62251 .55859 L
.62135 .55699 L
.6212 .55679 L
.62013 .55538 L
.61959 .55514 L
.61889 .55378 L
.61799 .55275 L
.61743 .55217 L
.61639 .55057 L
.61638 .55055 L
.61519 .54896 L
.61477 .54844 L
.61396 .54735 L
.61317 .5466 L
.61229 .54575 L
.61156 .54428 L
.61145 .54414 L
.61028 .54254 L
.60996 .54214 L
.60907 .54093 L
.60835 .54002 L
.60784 .53933 L
.60675 .53799 L
.60651 .53772 L
.60541 .53612 L
.60514 .53578 L
.60422 .53451 L
.60354 .53364 L
.60301 .53291 L
.60193 .53164 L
.60162 .5313 L
.6006 .5297 L
.60033 .52934 L
.59944 .52809 L
.59872 .52716 L
.59825 .52649 L
.59712 .52499 L
.59704 .52488 L
.59591 .52328 L
.59551 .52275 L
.59479 .52167 L
.59391 .52048 L
.59364 .52007 L
.59253 .51846 L
.5923 .51813 L
.59158 .51686 L
.5907 .51527 L
.59069 .51525 L
F
.538 .98 1 r
.5923 .59221 m
.59261 .5923 L
.59391 .59317 L
.59489 .59391 L
.59551 .5945 L
.59637 .59551 L
.59712 .59635 L
.59803 .59712 L
.59872 .59836 L
.59905 .59872 L
.60025 .60033 L
.60033 .60043 L
.60146 .60193 L
.60193 .60255 L
.60267 .60354 L
.60354 .60449 L
.60401 .60514 L
.60505 .60675 L
.60514 .60688 L
.60616 .60835 L
.60675 .6092 L
.60725 .60996 L
.60826 .61156 L
.60835 .61172 L
.60895 .61317 L
.60835 .6138 L
.60739 .61317 L
.60675 .6127 L
.60555 .61156 L
.60514 .61144 L
.60399 .60996 L
.60354 .60953 L
.60255 .60835 L
.60193 .60764 L
.60093 .60675 L
.60033 .60567 L
.59984 .60514 L
.59872 .60369 L
.59862 .60354 L
.59729 .60193 L
.59712 .60183 L
.59558 .60033 L
.59551 .59976 L
.59473 .59872 L
.59391 .59755 L
.59367 .59712 L
.59252 .59551 L
.5923 .59516 L
.59155 .59391 L
.59149 .5923 L
F
1 .98 .538 r
.59551 .67722 m
.59712 .67725 L
.59826 .67738 L
.59872 .67745 L
.60033 .67779 L
.60193 .67824 L
.60354 .67881 L
.60399 .67898 L
.60514 .67946 L
.60675 .68021 L
.60751 .68059 L
.60835 .68103 L
.60996 .68196 L
.61034 .68219 L
.61156 .68299 L
.61267 .6838 L
.61317 .68417 L
.61456 .68541 L
.61477 .68553 L
.61598 .68701 L
.61638 .68762 L
.61682 .68862 L
.61662 .69022 L
.61638 .69051 L
.61477 .69138 L
.61317 .69176 L
.61156 .69181 L
.60996 .69177 L
.60835 .69163 L
.60675 .69137 L
.60514 .69101 L
.60354 .69054 L
.60262 .69022 L
.60193 .68996 L
.60033 .68926 L
.59909 .68862 L
.59872 .68841 L
.59712 .6874 L
.59658 .68701 L
.59551 .68619 L
.59465 .68541 L
.59391 .68471 L
.59317 .6838 L
.5923 .68266 L
.59211 .68219 L
.59153 .68059 L
.5917 .67898 L
.5923 .67821 L
.59391 .67742 L
.59417 .67738 L
F
.5923 .56575 m
.59351 .56662 L
.59391 .56692 L
.59533 .56822 L
.59551 .5684 L
.5969 .56983 L
.59712 .56996 L
.59836 .57143 L
.59872 .57185 L
.60002 .57304 L
.60033 .57382 L
.60098 .57464 L
.60193 .57586 L
.60206 .57625 L
.60354 .57782 L
.60362 .57785 L
.60486 .57946 L
.60514 .5797 L
.60615 .58106 L
.60675 .58194 L
.60711 .58267 L
.60828 .58428 L
.60835 .58439 L
.60924 .58588 L
.60975 .58749 L
.60835 .58764 L
.608 .58749 L
.60675 .58653 L
.60622 .58588 L
.60514 .58478 L
.60479 .58428 L
.60354 .58282 L
.60337 .58267 L
.60216 .58106 L
.60193 .58079 L
.60092 .57946 L
.60033 .57873 L
.59968 .57785 L
.59872 .57687 L
.59814 .57625 L
.59719 .57464 L
.59712 .57455 L
.59602 .57304 L
.59551 .57238 L
.59484 .57143 L
.59391 .57018 L
.59367 .56983 L
.59257 .56822 L
.5923 .56782 L
.59166 .56662 L
F
.395 .97 1 r
.5923 .59326 m
.59391 .59358 L
.59433 .59391 L
.59551 .5949 L
.59601 .59551 L
.59712 .5967 L
.59765 .59712 L
.59872 .59869 L
.59875 .59872 L
.59998 .60033 L
.60033 .60076 L
.6012 .60193 L
.60193 .60289 L
.60241 .60354 L
.60354 .60502 L
.60362 .60514 L
.60469 .60675 L
.60514 .60741 L
.60574 .60835 L
.60671 .60996 L
.60514 .61077 L
.60467 .60996 L
.60354 .60895 L
.60306 .60835 L
.60193 .60714 L
.60141 .60675 L
.60033 .60526 L
.60021 .60514 L
.5989 .60354 L
.59872 .60333 L
.59761 .60193 L
.59712 .6016 L
.59576 .60033 L
.59551 .59935 L
.59505 .59872 L
.59398 .59712 L
.59391 .59701 L
.59294 .59551 L
.5923 .59426 L
.59216 .59391 L
F
.114 .93 1 r
.5923 .57259 m
.59281 .57304 L
.59391 .57412 L
.59436 .57464 L
.59551 .57602 L
.59569 .57625 L
.59551 .57772 L
.59439 .57625 L
.59391 .57565 L
.59324 .57464 L
.5923 .57329 L
.59217 .57304 L
F
1 .83 .005 r
.59391 .51843 m
.59394 .51846 L
.5954 .52007 L
.59551 .52018 L
.59681 .52167 L
.59712 .52201 L
.5982 .52328 L
.59872 .52387 L
.59957 .52488 L
.60033 .52527 L
.60092 .52649 L
.60193 .52764 L
.60253 .52809 L
.60354 .52967 L
.60356 .5297 L
.60486 .5313 L
.60514 .53164 L
.60617 .53291 L
.60675 .53342 L
.60747 .53451 L
.60835 .53559 L
.60887 .53612 L
.60996 .53764 L
.61002 .53772 L
.6113 .53933 L
.61156 .53966 L
.61257 .54093 L
.61317 .54158 L
.61418 .54254 L
.61477 .54372 L
.61513 .54414 L
.61635 .54575 L
.61638 .54578 L
.61761 .54735 L
.61799 .54763 L
.61886 .54896 L
.61959 .54984 L
.62023 .55057 L
.6212 .55197 L
.62134 .55217 L
.62259 .55378 L
.6228 .55405 L
.62383 .55538 L
.62441 .55598 L
.62538 .55699 L
.62601 .55819 L
.62633 .55859 L
.62753 .5602 L
.62762 .56031 L
.62875 .5618 L
.62922 .56211 L
.62998 .56341 L
.63083 .56444 L
.63131 .56501 L
.63242 .56662 L
.63243 .56664 L
.63362 .56822 L
.63404 .56877 L
.63483 .56983 L
.63564 .57072 L
.63629 .57143 L
.63725 .57304 L
.63725 .57304 L
.63843 .57464 L
.63885 .57521 L
.63962 .57625 L
.64046 .57703 L
.64081 .57785 L
.64199 .57946 L
.64206 .57956 L
.64313 .58106 L
.64367 .58179 L
.64429 .58267 L
.64527 .58403 L
.64544 .58428 L
.64653 .58588 L
.64688 .58637 L
.64759 .58749 L
.64848 .5888 L
.64866 .58909 L
.64848 .59022 L
.64742 .58909 L
.64688 .58856 L
.64595 .58749 L
.64527 .58677 L
.64453 .58588 L
.64367 .58491 L
.64315 .58428 L
.64206 .58322 L
.64179 .58267 L
.64046 .58108 L
.64044 .58106 L
.63915 .57946 L
.63885 .57911 L
.63786 .57785 L
.63725 .57713 L
.63656 .57625 L
.63564 .57529 L
.63526 .57464 L
.63404 .57315 L
.63393 .57304 L
.6327 .57143 L
.63243 .5711 L
.63144 .56983 L
.63083 .56944 L
.63017 .56822 L
.62922 .56713 L
.62869 .56662 L
.62763 .56501 L
.62762 .56499 L
.6264 .56341 L
.62601 .56293 L
.62515 .5618 L
.62441 .56109 L
.62339 .5602 L
.6228 .55885 L
.62257 .55859 L
.6214 .55699 L
.6212 .55673 L
.62018 .55538 L
.61959 .55509 L
.61893 .55378 L
.61799 .55268 L
.61749 .55217 L
.61644 .55057 L
.61638 .55049 L
.61523 .54896 L
.61477 .54838 L
.61401 .54735 L
.61317 .54653 L
.61236 .54575 L
.61156 .54421 L
.61151 .54414 L
.61033 .54254 L
.60996 .54207 L
.60912 .54093 L
.60835 .53995 L
.60789 .53933 L
.60675 .5379 L
.60659 .53772 L
.60547 .53612 L
.60514 .5357 L
.60428 .53451 L
.60354 .53356 L
.60307 .53291 L
.60193 .53151 L
.60174 .5313 L
.60068 .5297 L
.60033 .52924 L
.59951 .52809 L
.59872 .52705 L
.59833 .52649 L
.59712 .52488 L
.59712 .52487 L
.59602 .52328 L
.59551 .52259 L
.59491 .52167 L
.59391 .52029 L
.59377 .52007 L
.59277 .51846 L
F
1 1 1 r
.59872 .69656 m
.60033 .69651 L
.60193 .69647 L
.60354 .69645 L
.60514 .69643 L
.60675 .69642 L
.60835 .69641 L
.60996 .69641 L
.61156 .69641 L
.61317 .6964 L
.61477 .6964 L
.61638 .6964 L
.61799 .69641 L
.61959 .69641 L
.6212 .69642 L
.6228 .69643 L
.62441 .69644 L
.62601 .69645 L
.62762 .69646 L
.62922 .69647 L
.63083 .6965 L
.63243 .69657 L
.6339 .69664 L
.63404 .69665 L
.63564 .69678 L
.63725 .69685 L
.63885 .69687 L
.64046 .69708 L
.64206 .69765 L
.64327 .69825 L
.64367 .69847 L
.64527 .69941 L
.64602 .69985 L
.64688 .7004 L
.64848 .70141 L
.64857 .70146 L
.65009 .70247 L
.651 .70306 L
.6517 .70356 L
.65325 .70467 L
.6533 .7047 L
.65491 .70593 L
.65534 .70627 L
.65651 .70723 L
.65727 .70788 L
.65812 .7086 L
.6591 .70948 L
.65972 .71005 L
.66083 .71109 L
.66133 .71155 L
.6625 .71269 L
.66293 .71312 L
.66409 .7143 L
.66454 .71476 L
.66562 .7159 L
.66614 .71648 L
.66706 .71751 L
.66775 .7183 L
.66841 .71912 L
.66935 .72033 L
.66962 .72072 L
.67063 .72233 L
.67096 .723 L
.67125 .72393 L
.67096 .72528 L
.67068 .72554 L
.66935 .72607 L
.66775 .72649 L
.66614 .72655 L
.66454 .72657 L
.66293 .72658 L
.66133 .72657 L
.65972 .72657 L
.65812 .72657 L
.65651 .72656 L
.65491 .72656 L
.6533 .72655 L
.6517 .72655 L
.65009 .72655 L
.64848 .72655 L
.64688 .72654 L
.64527 .72654 L
.64367 .72654 L
.64206 .72654 L
.64046 .72653 L
.63885 .72653 L
.63725 .72653 L
.63564 .72652 L
.63404 .72651 L
.63243 .72649 L
.63083 .72646 L
.62922 .72641 L
.62762 .72633 L
.62601 .7262 L
.62441 .72597 L
.6228 .72562 L
.6225 .72554 L
.6212 .7251 L
.61959 .72443 L
.61858 .72393 L
.61799 .72361 L
.61638 .72267 L
.61584 .72233 L
.61477 .72163 L
.61349 .72072 L
.61317 .72049 L
.61156 .71929 L
.61134 .71912 L
.60996 .71802 L
.60934 .71751 L
.60835 .71669 L
.60743 .7159 L
.60675 .71531 L
.60561 .7143 L
.60514 .71388 L
.60385 .71269 L
.60354 .7124 L
.60217 .71109 L
.60193 .71086 L
.60055 .70948 L
.60033 .70926 L
.599 .70788 L
.59872 .70758 L
.59753 .70627 L
.59712 .70582 L
.59616 .70467 L
.59551 .70391 L
.5949 .70306 L
.59391 .70162 L
.59383 .70146 L
.59306 .69985 L
.59297 .69825 L
.59391 .69733 L
.59551 .69675 L
.59712 .69666 L
.59744 .69664 L
F
.289 .96 1 r
.59391 .59426 m
.59551 .5954 L
.5956 .59551 L
.59711 .59712 L
.59712 .59712 L
.59844 .59872 L
.59872 .59906 L
.5997 .60033 L
.60033 .60112 L
.60093 .60193 L
.60193 .60327 L
.60212 .60354 L
.60323 .60514 L
.60354 .60559 L
.60425 .60675 L
.60514 .60827 L
.60518 .60835 L
.60514 .60925 L
.60376 .60835 L
.60354 .60818 L
.6021 .60675 L
.60193 .60658 L
.60064 .60514 L
.60033 .6048 L
.59926 .60354 L
.59872 .6029 L
.59794 .60193 L
.59712 .6012 L
.59617 .60033 L
.59551 .5988 L
.59545 .59872 L
.59437 .59712 L
.59391 .59637 L
.59342 .59551 L
F
1 .33 0 r
.59391 .53167 m
.59479 .53291 L
.59551 .53379 L
.59602 .53451 L
.59712 .53591 L
.59727 .53612 L
.59712 .53728 L
.59625 .53612 L
.59551 .53529 L
.59494 .53451 L
.59391 .53329 L
.59363 .53291 L
F
0 .59 1 r
.59391 .52495 m
.59516 .52649 L
.59551 .52687 L
.59649 .52809 L
.59712 .52882 L
.59781 .5297 L
.59872 .53079 L
.59913 .5313 L
.60033 .53267 L
.60043 .53291 L
.60169 .53451 L
.60193 .5348 L
.60295 .53612 L
.60354 .53684 L
.60422 .53772 L
.60514 .53888 L
.60549 .53933 L
.60675 .54093 L
.60675 .54093 L
.60797 .54254 L
.60835 .54302 L
.6092 .54414 L
.60996 .54511 L
.61044 .54575 L
.61156 .54705 L
.61168 .54735 L
.61287 .54896 L
.61317 .54933 L
.61407 .55057 L
.61477 .55147 L
.61528 .55217 L
.61638 .55362 L
.6165 .55378 L
.61764 .55538 L
.61799 .55582 L
.61878 .55699 L
.61959 .55806 L
.61995 .55859 L
.61959 .55982 L
.6186 .55859 L
.61799 .55792 L
.61725 .55699 L
.61638 .55599 L
.61591 .55538 L
.61477 .55403 L
.61458 .55378 L
.61328 .55217 L
.61317 .55204 L
.61203 .55057 L
.61156 .55001 L
.61077 .54896 L
.60996 .54798 L
.60949 .54735 L
.60835 .54595 L
.6082 .54575 L
.60696 .54414 L
.60675 .54389 L
.60574 .54254 L
.60514 .54181 L
.6045 .54093 L
.60354 .53973 L
.60324 .53933 L
.60199 .53772 L
.60193 .53765 L
.60081 .53612 L
.60033 .53552 L
.5996 .53451 L
.59872 .5334 L
.59837 .53291 L
.59714 .5313 L
.59712 .53128 L
.596 .5297 L
.59551 .52908 L
.59483 .52809 L
.59391 .52689 L
.59364 .52649 L
F
1 .32 0 r
.59391 .53176 m
.59471 .53291 L
.59551 .53388 L
.59595 .53451 L
.59712 .536 L
.5972 .53612 L
.59712 .53716 L
.59635 .53612 L
.59551 .5352 L
.59501 .53451 L
.59391 .53321 L
.59368 .53291 L
F
0 .58 1 r
.59391 .52507 m
.59507 .52649 L
.59551 .52697 L
.59641 .52809 L
.59712 .52891 L
.59775 .5297 L
.59872 .53087 L
.59907 .5313 L
.60033 .53281 L
.60037 .53291 L
.60163 .53451 L
.60193 .53488 L
.60289 .53612 L
.60354 .53691 L
.60417 .53772 L
.60514 .53895 L
.60544 .53933 L
.60669 .54093 L
.60675 .541 L
.60791 .54254 L
.60835 .54309 L
.60915 .54414 L
.60996 .54518 L
.61039 .54575 L
.61156 .54718 L
.61163 .54735 L
.61281 .54896 L
.61317 .54941 L
.61401 .55057 L
.61477 .55155 L
.61522 .55217 L
.61638 .5537 L
.61643 .55378 L
.61756 .55538 L
.61799 .55593 L
.6187 .55699 L
.61959 .55818 L
.61986 .55859 L
.61959 .55968 L
.61871 .55859 L
.61799 .55781 L
.61733 .55699 L
.61638 .5559 L
.61598 .55538 L
.61477 .55396 L
.61464 .55378 L
.61335 .55217 L
.61317 .55196 L
.61209 .55057 L
.61156 .54994 L
.61082 .54896 L
.60996 .54792 L
.60953 .54735 L
.60835 .54589 L
.60825 .54575 L
.60701 .54414 L
.60675 .54382 L
.60579 .54254 L
.60514 .54174 L
.60454 .54093 L
.60354 .53967 L
.60328 .53933 L
.60205 .53772 L
.60193 .53758 L
.60086 .53612 L
.60033 .53545 L
.59965 .53451 L
.59872 .53333 L
.59842 .53291 L
.5972 .5313 L
.59712 .5312 L
.59607 .5297 L
.59551 .52899 L
.5949 .52809 L
.59391 .52679 L
.5937 .52649 L
F
1 .31 0 r
.59391 .53186 m
.59463 .53291 L
.59551 .53398 L
.59587 .53451 L
.59712 .53611 L
.59712 .53612 L
.59712 .53702 L
.59647 .53612 L
.59551 .53509 L
.59509 .53451 L
.59391 .53313 L
.59375 .53291 L
F
0 .57 1 r
.59391 .52521 m
.59496 .52649 L
.59551 .52708 L
.59633 .52809 L
.59712 .529 L
.59767 .5297 L
.59872 .53095 L
.599 .5313 L
.60031 .53291 L
.60033 .53293 L
.60156 .53451 L
.60193 .53495 L
.60283 .53612 L
.60354 .53698 L
.60411 .53772 L
.60514 .53901 L
.60539 .53933 L
.60663 .54093 L
.60675 .54107 L
.60785 .54254 L
.60835 .54316 L
.60909 .54414 L
.60996 .54525 L
.61034 .54575 L
.61156 .54732 L
.61158 .54735 L
.61275 .54896 L
.61317 .54949 L
.61395 .55057 L
.61477 .55163 L
.61516 .55217 L
.61637 .55378 L
.61638 .55379 L
.61747 .55538 L
.61799 .55605 L
.61861 .55699 L
.61959 .55832 L
.61976 .55859 L
.61959 .55952 L
.61883 .55859 L
.61799 .5577 L
.61742 .55699 L
.61638 .55581 L
.61605 .55538 L
.61477 .55388 L
.6147 .55378 L
.61342 .55217 L
.61317 .55188 L
.61216 .55057 L
.61156 .54987 L
.61088 .54896 L
.60996 .54785 L
.60958 .54735 L
.60835 .54583 L
.60829 .54575 L
.60707 .54414 L
.60675 .54376 L
.60584 .54254 L
.60514 .54168 L
.60459 .54093 L
.60354 .53961 L
.60333 .53933 L
.6021 .53772 L
.60193 .53751 L
.60092 .53612 L
.60033 .53538 L
.59971 .53451 L
.59872 .53326 L
.59847 .53291 L
.59727 .5313 L
.59712 .53111 L
.59614 .5297 L
.59551 .5289 L
.59497 .52809 L
.59391 .52669 L
.59378 .52649 L
F
1 .98 .538 r
.59391 .6298 m
.59454 .63083 L
.59551 .63233 L
.59555 .63243 L
.59551 .63252 L
.59544 .63243 L
.59391 .63096 L
.59381 .63083 L
F
1 .3 0 r
.59391 .53198 m
.59452 .53291 L
.59551 .5341 L
.59578 .53451 L
.59551 .53497 L
.59519 .53451 L
.59391 .53303 L
.59382 .53291 L
F
0 .56 1 r
.59391 .52537 m
.59484 .52649 L
.59551 .5272 L
.59623 .52809 L
.59712 .5291 L
.5976 .5297 L
.59872 .53104 L
.59893 .5313 L
.60023 .53291 L
.60033 .53302 L
.60149 .53451 L
.60193 .53503 L
.60277 .53612 L
.60354 .53705 L
.60405 .53772 L
.60514 .53909 L
.60533 .53933 L
.60657 .54093 L
.60675 .54115 L
.60779 .54254 L
.60835 .54323 L
.60903 .54414 L
.60996 .54532 L
.61028 .54575 L
.61151 .54735 L
.61156 .54742 L
.61268 .54896 L
.61317 .54957 L
.61388 .55057 L
.61477 .55172 L
.6151 .55217 L
.61628 .55378 L
.61638 .5539 L
.61738 .55538 L
.61799 .55618 L
.61851 .55699 L
.61959 .55849 L
.61965 .55859 L
.61959 .5593 L
.619 .55859 L
.61799 .55757 L
.61752 .55699 L
.61638 .55571 L
.61612 .55538 L
.61477 .55379 L
.61476 .55378 L
.6135 .55217 L
.61317 .5518 L
.61222 .55057 L
.61156 .54979 L
.61093 .54896 L
.60996 .54778 L
.60964 .54735 L
.60835 .54577 L
.60834 .54575 L
.60713 .54414 L
.60675 .54369 L
.6059 .54254 L
.60514 .54161 L
.60464 .54093 L
.60354 .53955 L
.60338 .53933 L
.60216 .53772 L
.60193 .53744 L
.60098 .53612 L
.60033 .53531 L
.59976 .53451 L
.59872 .53318 L
.59853 .53291 L
.59734 .5313 L
.59712 .53102 L
.59622 .5297 L
.59551 .52879 L
.59505 .52809 L
.59391 .52657 L
.59386 .52649 L
F
0 .34 1 r
.59391 .53874 m
.59412 .53933 L
.59391 .53938 L
.59386 .53933 L
F
1 .29 0 r
.59391 .53214 m
.59438 .53291 L
.59551 .53426 L
.59567 .53451 L
.59551 .53481 L
.59531 .53451 L
.59391 .53292 L
.5939 .53291 L
F
.212 .95 1 r
.59551 .59602 m
.59665 .59712 L
.59712 .59759 L
.59807 .59872 L
.59872 .59948 L
.59937 .60033 L
.60033 .60155 L
.60061 .60193 L
.60175 .60354 L
.60193 .60379 L
.60274 .60514 L
.60354 .6066 L
.60358 .60675 L
.60354 .607 L
.60299 .60675 L
.60193 .60594 L
.60117 .60514 L
.60033 .60428 L
.59968 .60354 L
.59872 .60243 L
.59832 .60193 L
.59712 .60051 L
.59691 .60033 L
.59588 .59872 L
.59551 .5982 L
.59484 .59712 L
F
1 .82 .004 r
.59551 .52041 m
.59663 .52167 L
.59712 .52219 L
.59805 .52328 L
.59872 .52403 L
.59944 .52488 L
.60033 .52544 L
.6008 .52649 L
.60193 .52779 L
.60235 .52809 L
.60346 .5297 L
.60354 .52979 L
.60477 .5313 L
.60514 .53175 L
.60608 .53291 L
.60675 .53351 L
.60739 .53451 L
.60835 .53569 L
.60878 .53612 L
.60995 .53772 L
.60996 .53773 L
.61122 .53933 L
.61156 .53975 L
.6125 .54093 L
.61317 .54166 L
.61411 .54254 L
.61477 .5438 L
.61506 .54414 L
.61629 .54575 L
.61638 .54586 L
.61754 .54735 L
.61799 .54769 L
.6188 .54896 L
.61959 .54991 L
.62017 .55057 L
.6212 .55204 L
.62129 .55217 L
.62253 .55378 L
.6228 .55412 L
.62377 .55538 L
.62441 .55606 L
.62531 .55699 L
.62601 .55827 L
.62627 .55859 L
.62747 .5602 L
.62762 .56039 L
.62869 .5618 L
.62922 .56218 L
.62992 .56341 L
.63083 .56453 L
.63124 .56501 L
.63235 .56662 L
.63243 .56672 L
.63355 .56822 L
.63404 .56886 L
.63477 .56983 L
.63564 .57083 L
.63619 .57143 L
.63717 .57304 L
.63725 .57314 L
.63835 .57464 L
.63885 .57531 L
.63954 .57625 L
.64046 .5772 L
.64073 .57785 L
.64189 .57946 L
.64206 .5797 L
.64302 .58106 L
.64367 .58194 L
.64417 .58267 L
.64527 .58421 L
.64532 .58428 L
.64636 .58588 L
.64688 .58663 L
.64739 .58749 L
.64688 .58829 L
.64616 .58749 L
.64527 .58657 L
.64469 .58588 L
.64367 .58475 L
.64328 .58428 L
.64206 .58301 L
.64189 .58267 L
.64055 .58106 L
.64046 .58096 L
.63925 .57946 L
.63885 .579 L
.63794 .57785 L
.63725 .57703 L
.63663 .57625 L
.63564 .57519 L
.63533 .57464 L
.63404 .57305 L
.63403 .57304 L
.63277 .57143 L
.63243 .57102 L
.63151 .56983 L
.63083 .56937 L
.63023 .56822 L
.62922 .56705 L
.62878 .56662 L
.62769 .56501 L
.62762 .56492 L
.62645 .56341 L
.62601 .56286 L
.6252 .5618 L
.62441 .56102 L
.62347 .5602 L
.6228 .55877 L
.62263 .55859 L
.62145 .55699 L
.6212 .55667 L
.62022 .55538 L
.61959 .55504 L
.61898 .55378 L
.61799 .55261 L
.61756 .55217 L
.61649 .55057 L
.61638 .55042 L
.61528 .54896 L
.61477 .54832 L
.61406 .54735 L
.61317 .54645 L
.61244 .54575 L
.61157 .54414 L
.61156 .54413 L
.61038 .54254 L
.60996 .542 L
.60917 .54093 L
.60835 .53989 L
.60794 .53933 L
.60675 .5378 L
.60668 .53772 L
.60553 .53612 L
.60514 .53562 L
.60434 .53451 L
.60354 .53348 L
.60313 .53291 L
.60193 .53137 L
.60187 .5313 L
.60076 .5297 L
.60033 .52914 L
.5996 .52809 L
.59872 .52694 L
.59841 .52649 L
.59723 .52488 L
.59712 .52473 L
.59615 .52328 L
.59551 .52241 L
.59505 .52167 L
F
.289 .96 1 r
.59551 .51373 m
.59696 .51525 L
.59712 .51541 L
.59843 .51686 L
.59872 .51717 L
.59986 .51846 L
.60033 .51899 L
.60126 .52007 L
.60193 .52076 L
.60264 .52167 L
.60354 .52276 L
.60407 .52328 L
.60514 .52471 L
.60528 .52488 L
.60664 .52649 L
.60675 .52655 L
.60797 .52809 L
.60835 .52855 L
.60951 .5297 L
.60996 .53058 L
.61054 .5313 L
.61156 .5326 L
.61173 .53291 L
.61316 .53451 L
.61317 .53453 L
.61445 .53612 L
.61477 .53654 L
.61576 .53772 L
.61638 .53862 L
.61687 .53933 L
.61799 .54068 L
.61803 .54093 L
.61953 .54254 L
.61959 .54261 L
.62091 .54414 L
.6212 .54468 L
.622 .54575 L
.6228 .54679 L
.6231 .54735 L
.62441 .54885 L
.62457 .54896 L
.62598 .55057 L
.62601 .55082 L
.62709 .55217 L
.62762 .55292 L
.62818 .55378 L
.62922 .55504 L
.62927 .55538 L
.6308 .55699 L
.63083 .55701 L
.63214 .55859 L
.63243 .5591 L
.63324 .5602 L
.63404 .56123 L
.63432 .5618 L
.63564 .5633 L
.63577 .56341 L
.63718 .56501 L
.63725 .56531 L
.63827 .56662 L
.63885 .56744 L
.63935 .56822 L
.64046 .56956 L
.64048 .56983 L
.64194 .57143 L
.64206 .57156 L
.64329 .57304 L
.64367 .57367 L
.64437 .57464 L
.64527 .57581 L
.64547 .57625 L
.64686 .57785 L
.64688 .57787 L
.64835 .57946 L
.64848 .57993 L
.64936 .58106 L
.65009 .58209 L
.65045 .58267 L
.6517 .5842 L
.6517 .58428 L
.65298 .58588 L
.6533 .58621 L
.65436 .58749 L
.65491 .58838 L
.6554 .58909 L
.65651 .59054 L
.65658 .5907 L
.65784 .5923 L
.65812 .59247 L
.65941 .59391 L
.65972 .59471 L
.66033 .59551 L
.66133 .59693 L
.66144 .59712 L
.66265 .59872 L
.66293 .59909 L
.66385 .60033 L
.66454 .60106 L
.66522 .60193 L
.66614 .60339 L
.66624 .60354 L
.6674 .60514 L
.66775 .60561 L
.66857 .60675 L
.66935 .60749 L
.67004 .60835 L
.67089 .60996 L
.67096 .61005 L
.67201 .61156 L
.67256 .61234 L
.67313 .61317 L
.67417 .61467 L
.67424 .61477 L
.67524 .61638 L
.67577 .6172 L
.67621 .61799 L
.67577 .6189 L
.67486 .61799 L
.67417 .61733 L
.67331 .61638 L
.67256 .6156 L
.67185 .61477 L
.67096 .61411 L
.67044 .61317 L
.66935 .61198 L
.66875 .61156 L
.66775 .61002 L
.66769 .60996 L
.66638 .60835 L
.66614 .60808 L
.66507 .60675 L
.66454 .60628 L
.66376 .60514 L
.66293 .60419 L
.66225 .60354 L
.66133 .60215 L
.66114 .60193 L
.65988 .60033 L
.65972 .60028 L
.65861 .59872 L
.65812 .59821 L
.65689 .59712 L
.65651 .59611 L
.65597 .59551 L
.65491 .59405 L
.6548 .59391 L
.65354 .5923 L
.6533 .59213 L
.65228 .5907 L
.6517 .59002 L
.65081 .58909 L
.65009 .58791 L
.64974 .58749 L
.64851 .58588 L
.64848 .58585 L
.64728 .58428 L
.64688 .58389 L
.64562 .58267 L
.64527 .58175 L
.64468 .58106 L
.64367 .57964 L
.64354 .57946 L
.6423 .57785 L
.64206 .57771 L
.64106 .57625 L
.64046 .57558 L
.6396 .57464 L
.63885 .57343 L
.63855 .57304 L
.63733 .57143 L
.63725 .57133 L
.63611 .56983 L
.63564 .5694 L
.63447 .56822 L
.63404 .56721 L
.63354 .56662 L
.63243 .56507 L
.63239 .56501 L
.63117 .56341 L
.63083 .56324 L
.62995 .5618 L
.62922 .56101 L
.6285 .5602 L
.62762 .55882 L
.62744 .55859 L
.62624 .55699 L
.62601 .5567 L
.62503 .55538 L
.62441 .55482 L
.62342 .55378 L
.6228 .55257 L
.62248 .55217 L
.62132 .55057 L
.6212 .5504 L
.62012 .54896 L
.61959 .54869 L
.61889 .54735 L
.61799 .54632 L
.6175 .54575 L
.61642 .54414 L
.61638 .54409 L
.61522 .54254 L
.61477 .54197 L
.61401 .54093 L
.61317 .54009 L
.61249 .53933 L
.61156 .53776 L
.61153 .53772 L
.61036 .53612 L
.60996 .53561 L
.60916 .53451 L
.60835 .53348 L
.60794 .53291 L
.60675 .53139 L
.60668 .5313 L
.60553 .5297 L
.60514 .5292 L
.60435 .52809 L
.60354 .52704 L
.60314 .52649 L
.60193 .52491 L
.60191 .52488 L
.60078 .52328 L
.60033 .52268 L
.59963 .52167 L
.59872 .52047 L
.59845 .52007 L
.59729 .51846 L
.59712 .51823 L
.59622 .51686 L
.59551 .51587 L
.59513 .51525 L
F
0 .55 1 r
.59551 .52733 m
.59613 .52809 L
.59712 .5292 L
.59751 .5297 L
.59872 .53113 L
.59886 .5313 L
.60015 .53291 L
.60033 .53311 L
.60142 .53451 L
.60193 .53512 L
.60271 .53612 L
.60354 .53713 L
.60399 .53772 L
.60514 .53916 L
.60527 .53933 L
.6065 .54093 L
.60675 .54123 L
.60773 .54254 L
.60835 .54331 L
.60897 .54414 L
.60996 .5454 L
.61022 .54575 L
.61144 .54735 L
.61156 .54751 L
.61261 .54896 L
.61317 .54966 L
.61381 .55057 L
.61477 .55182 L
.61503 .55217 L
.61477 .55369 L
.61358 .55217 L
.61317 .55171 L
.61229 .55057 L
.61156 .54971 L
.611 .54896 L
.60996 .54771 L
.60969 .54735 L
.6084 .54575 L
.60835 .54569 L
.60719 .54414 L
.60675 .54362 L
.60595 .54254 L
.60514 .54155 L
.6047 .54093 L
.60354 .53948 L
.60343 .53933 L
.60223 .53772 L
.60193 .53736 L
.60104 .53612 L
.60033 .53523 L
.59982 .53451 L
.59872 .53311 L
.59858 .53291 L
.59743 .5313 L
.59712 .53091 L
.59631 .5297 L
.59551 .52867 L
.59514 .52809 L
F
1 .81 .003 r
.59551 .52068 m
.59642 .52167 L
.59712 .52239 L
.59789 .52328 L
.59872 .5242 L
.5993 .52488 L
.60033 .52566 L
.60068 .52649 L
.60193 .52795 L
.60214 .52809 L
.60336 .5297 L
.60354 .52991 L
.60468 .5313 L
.60514 .53186 L
.60599 .53291 L
.60675 .53361 L
.6073 .53451 L
.60835 .53579 L
.60868 .53612 L
.60987 .53772 L
.60996 .53783 L
.61115 .53933 L
.61156 .53984 L
.61243 .54093 L
.61317 .54175 L
.61403 .54254 L
.61477 .54389 L
.61499 .54414 L
.61622 .54575 L
.61638 .54595 L
.61748 .54735 L
.61799 .54775 L
.61874 .54896 L
.61959 .55 L
.6201 .55057 L
.6212 .55212 L
.62123 .55217 L
.62247 .55378 L
.6228 .5542 L
.62371 .55538 L
.62441 .55613 L
.62525 .55699 L
.62601 .55835 L
.6262 .55859 L
.6274 .5602 L
.62762 .56047 L
.62863 .5618 L
.62922 .56225 L
.62986 .56341 L
.63083 .56462 L
.63116 .56501 L
.63228 .56662 L
.63243 .56681 L
.63349 .56822 L
.63404 .56895 L
.6347 .56983 L
.63564 .57095 L
.63608 .57143 L
.63709 .57304 L
.63725 .57324 L
.63827 .57464 L
.63885 .57542 L
.63945 .57625 L
.64046 .5774 L
.64064 .57785 L
.64178 .57946 L
.64206 .57984 L
.64291 .58106 L
.64367 .58211 L
.64405 .58267 L
.64516 .58428 L
.64527 .58443 L
.64615 .58588 L
.64688 .587 L
.64712 .58749 L
.64688 .58791 L
.64647 .58749 L
.64527 .58635 L
.64487 .58588 L
.64367 .58458 L
.64341 .58428 L
.64206 .58278 L
.64201 .58267 L
.64067 .58106 L
.64046 .58082 L
.63935 .57946 L
.63885 .57888 L
.63803 .57785 L
.63725 .57693 L
.63671 .57625 L
.63564 .57507 L
.6354 .57464 L
.6341 .57304 L
.63404 .57296 L
.63284 .57143 L
.63243 .57094 L
.63157 .56983 L
.63083 .56929 L
.63029 .56822 L
.62922 .56696 L
.62886 .56662 L
.62775 .56501 L
.62762 .56485 L
.62651 .56341 L
.62601 .56279 L
.62526 .5618 L
.62441 .56094 L
.62355 .5602 L
.6228 .5587 L
.6227 .55859 L
.6215 .55699 L
.6212 .5566 L
.62027 .55538 L
.61959 .55497 L
.61903 .55378 L
.61799 .55254 L
.61763 .55217 L
.61654 .55057 L
.61638 .55036 L
.61533 .54896 L
.61477 .54826 L
.6141 .54735 L
.61317 .54637 L
.61253 .54575 L
.61163 .54414 L
.61156 .54407 L
.61043 .54254 L
.60996 .54194 L
.60922 .54093 L
.60835 .53982 L
.608 .53933 L
.60676 .53772 L
.60675 .53771 L
.60559 .53612 L
.60514 .53554 L
.6044 .53451 L
.60354 .53339 L
.60319 .53291 L
.60198 .5313 L
.60193 .53124 L
.60084 .5297 L
.60033 .52903 L
.59968 .52809 L
.59872 .52682 L
.59849 .52649 L
.59735 .52488 L
.59712 .52456 L
.59629 .52328 L
.59551 .52219 L
.59521 .52167 L
F
1 .98 .538 r
.59551 .59152 m
.59712 .59134 L
.59872 .59199 L
.59917 .5923 L
.60033 .59351 L
.60062 .59391 L
.60193 .59543 L
.60195 .59551 L
.60327 .59712 L
.60354 .59744 L
.60472 .59872 L
.60514 .59952 L
.60579 .60033 L
.60675 .60162 L
.60692 .60193 L
.60824 .60354 L
.60835 .60354 L
.60981 .60514 L
.60996 .60562 L
.61077 .60675 L
.61156 .60786 L
.61185 .60835 L
.61307 .60996 L
.61317 .6101 L
.61423 .61156 L
.61477 .61233 L
.6156 .61317 L
.61638 .61466 L
.61647 .61477 L
.61735 .61638 L
.61638 .6179 L
.61477 .61666 L
.61417 .61638 L
.61317 .61518 L
.61238 .61477 L
.61156 .61341 L
.61114 .61317 L
.60996 .61181 L
.60986 .61156 L
.60845 .60996 L
.60835 .60983 L
.60694 .60835 L
.60675 .60779 L
.60586 .60675 L
.60514 .60569 L
.60475 .60514 L
.60354 .60365 L
.60339 .60354 L
.60215 .60193 L
.60193 .60171 L
.6008 .60033 L
.60033 .59961 L
.59973 .59872 L
.59872 .59745 L
.59861 .59712 L
.5973 .59551 L
.59712 .59524 L
.59586 .59391 L
.59551 .59277 L
.59521 .5923 L
F
0 .54 1 r
.59551 .52749 m
.596 .52809 L
.59712 .52932 L
.59742 .5297 L
.59872 .53122 L
.59878 .5313 L
.60006 .53291 L
.60033 .5332 L
.60134 .53451 L
.60193 .5352 L
.60264 .53612 L
.60354 .53721 L
.60393 .53772 L
.60514 .53924 L
.60521 .53933 L
.60643 .54093 L
.60675 .54131 L
.60766 .54254 L
.60835 .54339 L
.60891 .54414 L
.60996 .54548 L
.61016 .54575 L
.61136 .54735 L
.61156 .5476 L
.61254 .54896 L
.61317 .54976 L
.61374 .55057 L
.61477 .55192 L
.61495 .55217 L
.61477 .55358 L
.61367 .55217 L
.61317 .55161 L
.61237 .55057 L
.61156 .54963 L
.61106 .54896 L
.60996 .54764 L
.60975 .54735 L
.60847 .54575 L
.60835 .54561 L
.60726 .54414 L
.60675 .54354 L
.60601 .54254 L
.60514 .54147 L
.60475 .54093 L
.60354 .53941 L
.60348 .53933 L
.6023 .53772 L
.60193 .53728 L
.60111 .53612 L
.60033 .53514 L
.59989 .53451 L
.59872 .53302 L
.59864 .53291 L
.59752 .5313 L
.59712 .5308 L
.59641 .5297 L
.59551 .52853 L
.59525 .52809 L
F
0 .53 1 r
.59551 .5277 m
.59584 .52809 L
.59712 .52945 L
.59732 .5297 L
.59712 .53065 L
.59653 .5297 L
.59551 .52834 L
.59538 .52809 L
F
1 .8 .002 r
.59551 .52107 m
.59613 .52167 L
.59712 .52262 L
.5977 .52328 L
.59872 .52438 L
.59916 .52488 L
.60033 .52594 L
.60055 .52649 L
.60191 .52809 L
.60193 .52811 L
.60325 .5297 L
.60354 .53003 L
.60458 .5313 L
.60514 .53198 L
.6059 .53291 L
.60675 .53373 L
.60722 .53451 L
.60835 .5359 L
.60858 .53612 L
.60979 .53772 L
.60996 .53792 L
.61108 .53933 L
.61156 .53993 L
.61236 .54093 L
.61317 .54184 L
.61395 .54254 L
.61477 .54397 L
.61492 .54414 L
.61616 .54575 L
.61638 .54603 L
.61742 .54735 L
.61799 .54782 L
.61868 .54896 L
.61959 .55008 L
.62003 .55057 L
.62117 .55217 L
.6212 .5522 L
.62241 .55378 L
.6228 .55428 L
.62365 .55538 L
.62441 .55621 L
.62517 .55699 L
.62601 .55843 L
.62614 .55859 L
.62734 .5602 L
.62762 .56055 L
.62856 .5618 L
.62922 .56232 L
.62979 .56341 L
.63083 .56472 L
.63108 .56501 L
.63222 .56662 L
.63243 .5669 L
.63342 .56822 L
.63404 .56904 L
.63463 .56983 L
.63564 .57107 L
.63597 .57143 L
.63701 .57304 L
.63725 .57335 L
.63818 .57464 L
.63885 .57554 L
.63937 .57625 L
.64046 .57763 L
.64055 .57785 L
.64167 .57946 L
.64206 .58 L
.64279 .58106 L
.64367 .58229 L
.64392 .58267 L
.64496 .58428 L
.64527 .58474 L
.64586 .58588 L
.64527 .58607 L
.6451 .58588 L
.64367 .58439 L
.64357 .58428 L
.64216 .58267 L
.64206 .58257 L
.6408 .58106 L
.64046 .58068 L
.63946 .57946 L
.63885 .57876 L
.63813 .57785 L
.63725 .57682 L
.63679 .57625 L
.63564 .57494 L
.63547 .57464 L
.63418 .57304 L
.63404 .57287 L
.63291 .57143 L
.63243 .57086 L
.63163 .56983 L
.63083 .5692 L
.63035 .56822 L
.62922 .56687 L
.62895 .56662 L
.62781 .56501 L
.62762 .56478 L
.62657 .56341 L
.62601 .56272 L
.62531 .5618 L
.62441 .56086 L
.62363 .5602 L
.6228 .55863 L
.62277 .55859 L
.62156 .55699 L
.6212 .55654 L
.62032 .55538 L
.61959 .5549 L
.61907 .55378 L
.61799 .55246 L
.61771 .55217 L
.6166 .55057 L
.61638 .5503 L
.61538 .54896 L
.61477 .54819 L
.61415 .54735 L
.61317 .54628 L
.61262 .54575 L
.61168 .54414 L
.61156 .544 L
.61049 .54254 L
.60996 .54187 L
.60928 .54093 L
.60835 .53975 L
.60805 .53933 L
.60683 .53772 L
.60675 .53763 L
.60566 .53612 L
.60514 .53546 L
.60447 .53451 L
.60354 .5333 L
.60326 .53291 L
.60206 .5313 L
.60193 .53114 L
.60093 .5297 L
.60033 .52891 L
.59977 .52809 L
.59872 .52669 L
.59859 .52649 L
.5975 .52488 L
.59712 .52436 L
.59646 .52328 L
.59551 .52187 L
.59541 .52167 L
F
1 .97 .395 r
.59551 .56986 m
.59712 .57111 L
.5973 .57143 L
.59872 .57292 L
.59894 .57304 L
.60022 .57464 L
.60033 .57477 L
.60155 .57625 L
.60193 .57672 L
.60283 .57785 L
.60354 .57879 L
.60405 .57946 L
.60514 .58098 L
.6052 .58106 L
.6062 .58267 L
.60675 .58372 L
.60699 .58428 L
.60675 .58484 L
.60579 .58428 L
.60514 .58373 L
.60415 .58267 L
.60354 .58203 L
.60275 .58106 L
.60193 .58012 L
.60142 .57946 L
.60033 .57812 L
.60013 .57785 L
.5989 .57625 L
.59872 .57602 L
.59775 .57464 L
.59712 .57381 L
.59661 .57304 L
.59551 .57147 L
.59549 .57143 L
F
1 .94 .156 r
.59712 .73192 m
.59798 .73196 L
.59872 .73208 L
.60033 .73257 L
.60193 .73323 L
.60269 .73356 L
.60354 .734 L
.60514 .73484 L
.60575 .73517 L
.60675 .73574 L
.60835 .73669 L
.6085 .73677 L
.60996 .73767 L
.61108 .73838 L
.61156 .73869 L
.61317 .73974 L
.61353 .73998 L
.61477 .74082 L
.61591 .74159 L
.61638 .74191 L
.61799 .74303 L
.61822 .74319 L
.61959 .74417 L
.62048 .7448 L
.6212 .74532 L
.62269 .7464 L
.6228 .74649 L
.62441 .74767 L
.62486 .74801 L
.62601 .74887 L
.62701 .74961 L
.62762 .75008 L
.62912 .75122 L
.62922 .7513 L
.63083 .75253 L
.63121 .75283 L
.63243 .75378 L
.63327 .75443 L
.63404 .75503 L
.63532 .75604 L
.63564 .75629 L
.63725 .75757 L
.63734 .75764 L
.63885 .75885 L
.63934 .75925 L
.64046 .76015 L
.64133 .76085 L
.64206 .76145 L
.6433 .76246 L
.64367 .76276 L
.64526 .76406 L
.64527 .76407 L
.64688 .7654 L
.6472 .76567 L
.64848 .76673 L
.64914 .76727 L
.65009 .76807 L
.65105 .76888 L
.6517 .76942 L
.65296 .77048 L
.6533 .77077 L
.65486 .77209 L
.65491 .77212 L
.65651 .77349 L
.65675 .77369 L
.65812 .77486 L
.65863 .7753 L
.65972 .77623 L
.66051 .7769 L
.66133 .77761 L
.66238 .77851 L
.66293 .77899 L
.66424 .78011 L
.66454 .78037 L
.6661 .78172 L
.66614 .78176 L
.66775 .78315 L
.66795 .78332 L
.66935 .78455 L
.66979 .78493 L
.67096 .78595 L
.67163 .78654 L
.67256 .78735 L
.67347 .78814 L
.67417 .78875 L
.6753 .78975 L
.67577 .79016 L
.67712 .79135 L
.67738 .79158 L
.67894 .79296 L
.67898 .79299 L
.68059 .79442 L
.68075 .79456 L
.68219 .79585 L
.68255 .79617 L
.6838 .79729 L
.68434 .79777 L
.68541 .79873 L
.68612 .79938 L
.68701 .80018 L
.68789 .80098 L
.68862 .80164 L
.68965 .80259 L
.69022 .80311 L
.6914 .80419 L
.69183 .80459 L
.69314 .8058 L
.69343 .80607 L
.69486 .8074 L
.69504 .80757 L
.69657 .80901 L
.69664 .80908 L
.69825 .8106 L
.69827 .81061 L
.69985 .81212 L
.69995 .81222 L
.70146 .81366 L
.70163 .81382 L
.70306 .8152 L
.7033 .81543 L
.70467 .81675 L
.70496 .81703 L
.70627 .81831 L
.70662 .81864 L
.70788 .81986 L
.70827 .82025 L
.70948 .82143 L
.70992 .82185 L
.71109 .82299 L
.71157 .82346 L
.71269 .82456 L
.71321 .82506 L
.7143 .82613 L
.71485 .82667 L
.7159 .82769 L
.7165 .82827 L
.71751 .82927 L
.71814 .82988 L
.71912 .83084 L
.71977 .83148 L
.72072 .83241 L
.72141 .83309 L
.72233 .83398 L
.72305 .83469 L
.72393 .83556 L
.72468 .8363 L
.72554 .83714 L
.72632 .8379 L
.72714 .83872 L
.72794 .83951 L
.72875 .8403 L
.72957 .84111 L
.73035 .84189 L
.73119 .84272 L
.73196 .84348 L
.7328 .84432 L
.73356 .84508 L
.73441 .84593 L
.73517 .84669 L
.73601 .84753 L
.73677 .8483 L
.7376 .84914 L
.73838 .84992 L
.73918 .85074 L
.73998 .85156 L
.74076 .85235 L
.74159 .8532 L
.74232 .85396 L
.74319 .85486 L
.74386 .85556 L
.7448 .85653 L
.7454 .85717 L
.7464 .85822 L
.74693 .85877 L
.74801 .85992 L
.74844 .86038 L
.74961 .86163 L
.74994 .86198 L
.75122 .86335 L
.75144 .86359 L
.75283 .86509 L
.75292 .86519 L
.75439 .8668 L
.75443 .86685 L
.75584 .8684 L
.75604 .86861 L
.75729 .87001 L
.75764 .8704 L
.75873 .87161 L
.75925 .87219 L
.76016 .87322 L
.76085 .874 L
.76157 .87482 L
.76246 .87583 L
.76298 .87643 L
.76406 .87768 L
.76437 .87803 L
.76567 .87954 L
.76575 .87964 L
.76712 .88124 L
.76727 .88142 L
.76847 .88285 L
.76888 .88333 L
.76981 .88445 L
.77048 .88527 L
.77113 .88606 L
.77209 .88724 L
.77243 .88767 L
.77369 .88925 L
.77371 .88927 L
.77496 .89088 L
.7753 .89131 L
.77619 .89248 L
.7769 .89342 L
.77739 .89409 L
.77851 .89563 L
.77855 .89569 L
.77968 .8973 L
.78011 .89793 L
.78075 .8989 L
.78172 .90044 L
.78176 .90051 L
.78269 .90211 L
.78332 .90327 L
.78352 .90372 L
.78421 .90532 L
.78464 .90693 L
.7843 .90853 L
.78332 .90915 L
.78172 .90901 L
.78011 .90855 L
.78006 .90853 L
.77851 .90793 L
.7769 .90718 L
.77639 .90693 L
.7753 .90635 L
.77369 .90546 L
.77346 .90532 L
.77209 .90452 L
.77077 .90372 L
.77048 .90354 L
.76888 .90252 L
.76824 .90211 L
.76727 .90148 L
.76581 .90051 L
.76567 .90041 L
.76406 .89931 L
.76346 .8989 L
.76246 .8982 L
.76117 .8973 L
.76085 .89707 L
.75925 .89592 L
.75893 .89569 L
.75764 .89475 L
.75673 .89409 L
.75604 .89357 L
.75457 .89248 L
.75443 .89238 L
.75283 .89117 L
.75244 .89088 L
.75122 .88995 L
.75033 .88927 L
.74961 .88872 L
.74825 .88767 L
.74801 .88748 L
.7464 .88623 L
.74619 .88606 L
.7448 .88497 L
.74415 .88445 L
.74319 .8837 L
.74213 .88285 L
.74159 .88242 L
.74013 .88124 L
.73998 .88113 L
.73838 .87983 L
.73814 .87964 L
.73677 .87853 L
.73616 .87803 L
.73517 .87722 L
.7342 .87643 L
.73356 .8759 L
.73226 .87482 L
.73196 .87458 L
.73035 .87324 L
.73032 .87322 L
.72875 .8719 L
.7284 .87161 L
.72714 .87056 L
.72649 .87001 L
.72554 .8692 L
.72459 .8684 L
.72393 .86785 L
.7227 .8668 L
.72233 .86648 L
.72082 .86519 L
.72072 .86511 L
.71912 .86373 L
.71894 .86359 L
.71751 .86235 L
.71708 .86198 L
.7159 .86096 L
.71523 .86038 L
.7143 .85957 L
.71338 .85877 L
.71269 .85817 L
.71155 .85717 L
.71109 .85676 L
.70972 .85556 L
.70948 .85535 L
.7079 .85396 L
.70788 .85394 L
.70627 .85252 L
.70608 .85235 L
.70467 .85109 L
.70428 .85074 L
.70306 .84966 L
.70248 .84914 L
.70146 .84822 L
.70069 .84753 L
.69985 .84678 L
.69891 .84593 L
.69825 .84533 L
.69713 .84432 L
.69664 .84388 L
.69536 .84272 L
.69504 .84243 L
.69359 .84111 L
.69343 .84096 L
.69184 .83951 L
.69183 .8395 L
.69022 .83803 L
.69009 .8379 L
.68862 .83655 L
.68834 .8363 L
.68701 .83507 L
.68661 .83469 L
.68541 .83358 L
.68488 .83309 L
.6838 .83209 L
.68315 .83148 L
.68219 .83059 L
.68143 .82988 L
.68059 .82909 L
.67972 .82827 L
.67898 .82758 L
.67801 .82667 L
.67738 .82607 L
.67631 .82506 L
.67577 .82455 L
.67462 .82346 L
.67417 .82303 L
.67293 .82185 L
.67256 .8215 L
.67125 .82025 L
.67096 .81997 L
.66957 .81864 L
.66935 .81843 L
.6679 .81703 L
.66775 .81689 L
.66624 .81543 L
.66614 .81534 L
.66458 .81382 L
.66454 .81378 L
.66293 .81222 L
.66293 .81222 L
.66133 .81066 L
.66128 .81061 L
.65972 .80908 L
.65965 .80901 L
.65812 .80751 L
.65801 .8074 L
.65651 .80592 L
.65639 .8058 L
.65491 .80433 L
.65477 .80419 L
.6533 .80274 L
.65315 .80259 L
.6517 .80113 L
.65155 .80098 L
.65009 .79952 L
.64994 .79938 L
.64848 .79791 L
.64835 .79777 L
.64688 .79628 L
.64676 .79617 L
.64527 .79465 L
.64518 .79456 L
.64367 .79302 L
.64361 .79296 L
.64206 .79137 L
.64204 .79135 L
.64048 .78975 L
.64046 .78972 L
.63893 .78814 L
.63885 .78806 L
.63739 .78654 L
.63725 .78639 L
.63585 .78493 L
.63564 .78471 L
.63432 .78332 L
.63404 .78302 L
.6328 .78172 L
.63243 .78133 L
.63129 .78011 L
.63083 .77962 L
.62979 .77851 L
.62922 .7779 L
.62829 .7769 L
.62762 .77617 L
.62681 .7753 L
.62601 .77443 L
.62533 .77369 L
.62441 .77268 L
.62387 .77209 L
.6228 .77092 L
.62241 .77048 L
.6212 .76913 L
.62097 .76888 L
.61959 .76734 L
.61953 .76727 L
.61811 .76567 L
.61799 .76552 L
.6167 .76406 L
.61638 .76369 L
.61531 .76246 L
.61477 .76184 L
.61393 .76085 L
.61317 .75997 L
.61256 .75925 L
.61156 .75807 L
.61121 .75764 L
.60996 .75614 L
.60988 .75604 L
.60856 .75443 L
.60835 .75417 L
.60727 .75283 L
.60675 .75217 L
.606 .75122 L
.60514 .75012 L
.60475 .74961 L
.60354 .74801 L
.60354 .74801 L
.60235 .7464 L
.60193 .74583 L
.6012 .7448 L
.60033 .74353 L
.6001 .74319 L
.59905 .74159 L
.59872 .7411 L
.59806 .73998 L
.59716 .73838 L
.59712 .73835 L
.59637 .73677 L
.59576 .73517 L
.59551 .73356 L
.59681 .73196 L
F
1 .97 .395 r
.59712 .592 m
.59811 .5923 L
.59872 .59249 L
.60023 .59391 L
.60033 .59397 L
.60169 .59551 L
.60193 .59575 L
.60302 .59712 L
.60354 .59771 L
.60454 .59872 L
.60514 .59978 L
.60559 .60033 L
.60675 .60186 L
.60679 .60193 L
.60803 .60354 L
.60835 .6036 L
.60969 .60514 L
.60996 .60591 L
.61054 .60675 L
.61156 .60826 L
.61161 .60835 L
.61274 .60996 L
.61317 .61057 L
.61384 .61156 L
.61477 .61301 L
.61493 .61317 L
.61563 .61477 L
.61477 .6157 L
.61345 .61477 L
.61317 .61456 L
.61172 .61317 L
.61156 .61314 L
.61022 .61156 L
.60996 .61133 L
.60882 .60996 L
.60835 .60942 L
.60712 .60835 L
.60675 .60744 L
.60611 .60675 L
.60514 .60542 L
.60493 .60514 L
.60362 .60354 L
.60354 .6035 L
.60237 .60193 L
.60193 .60148 L
.60098 .60033 L
.60033 .59932 L
.59993 .59872 L
.59874 .59712 L
.59872 .5971 L
.59761 .59551 L
.59712 .59475 L
.59626 .59391 L
.59622 .5923 L
F
.156 .94 1 r
.59712 .59821 m
.59757 .59872 L
.59872 .60002 L
.59895 .60033 L
.59872 .60183 L
.59756 .60033 L
.59712 .59976 L
.59644 .59872 L
F
1 .79 .001 r
.59712 .5229 m
.59747 .52328 L
.59872 .52458 L
.59899 .52488 L
.60033 .52627 L
.60041 .52649 L
.60178 .52809 L
.60193 .52826 L
.60313 .5297 L
.60354 .53016 L
.60448 .5313 L
.60514 .53209 L
.60581 .53291 L
.60675 .53386 L
.60713 .53451 L
.60835 .53601 L
.60846 .53612 L
.60971 .53772 L
.60996 .53802 L
.611 .53933 L
.61156 .54002 L
.61229 .54093 L
.61317 .54193 L
.61385 .54254 L
.61477 .54406 L
.61484 .54414 L
.61609 .54575 L
.61638 .54611 L
.61735 .54735 L
.61799 .54789 L
.61861 .54896 L
.61959 .55016 L
.61996 .55057 L
.62111 .55217 L
.6212 .55228 L
.62234 .55378 L
.6228 .55436 L
.62359 .55538 L
.62441 .5563 L
.62509 .55699 L
.62601 .55852 L
.62607 .55859 L
.62728 .5602 L
.62762 .56063 L
.6285 .5618 L
.62922 .56241 L
.62973 .56341 L
.63083 .56482 L
.63099 .56501 L
.63215 .56662 L
.63243 .56699 L
.63335 .56822 L
.63404 .56913 L
.63455 .56983 L
.63564 .57121 L
.63584 .57143 L
.63692 .57304 L
.63725 .57346 L
.63809 .57464 L
.63885 .57566 L
.63927 .57625 L
.64045 .57785 L
.64046 .57787 L
.64154 .57946 L
.64206 .58017 L
.64266 .58106 L
.64367 .58251 L
.64377 .58267 L
.64367 .58415 L
.64234 .58267 L
.64206 .58239 L
.64095 .58106 L
.64046 .58054 L
.63958 .57946 L
.63885 .57864 L
.63822 .57785 L
.63725 .57671 L
.63688 .57625 L
.63564 .57481 L
.63555 .57464 L
.63427 .57304 L
.63404 .57277 L
.63299 .57143 L
.63243 .57077 L
.6317 .56983 L
.63083 .5691 L
.63041 .56822 L
.62922 .56678 L
.62905 .56662 L
.62787 .56501 L
.62762 .5647 L
.62662 .56341 L
.62601 .56265 L
.62536 .5618 L
.62441 .56078 L
.62373 .5602 L
.62283 .55859 L
.6228 .55855 L
.62161 .55699 L
.6212 .55647 L
.62037 .55538 L
.61959 .55483 L
.61912 .55378 L
.61799 .55238 L
.61778 .55217 L
.61665 .55057 L
.61638 .55023 L
.61543 .54896 L
.61477 .54813 L
.6142 .54735 L
.61317 .54619 L
.61271 .54575 L
.61174 .54414 L
.61156 .54392 L
.61055 .54254 L
.60996 .54179 L
.60933 .54093 L
.60835 .53967 L
.6081 .53933 L
.60689 .53772 L
.60675 .53754 L
.60572 .53612 L
.60514 .53537 L
.60453 .53451 L
.60354 .53321 L
.60332 .53291 L
.60215 .5313 L
.60193 .53102 L
.60102 .5297 L
.60033 .52878 L
.59987 .52809 L
.59872 .52654 L
.59869 .52649 L
.59767 .52488 L
.59712 .5241 L
.59669 .52328 L
F
0 .52 1 r
.59712 .52961 m
.59719 .5297 L
.59712 .53047 L
.59671 .5297 L
F
.212 .95 1 r
.59712 .51621 m
.59778 .51686 L
.59872 .51778 L
.59936 .51846 L
.60033 .5195 L
.60084 .52007 L
.60193 .52122 L
.60226 .52167 L
.60354 .52315 L
.60368 .52328 L
.60501 .52488 L
.60514 .52503 L
.60637 .52649 L
.60675 .52673 L
.60772 .52809 L
.60835 .52883 L
.60932 .5297 L
.60996 .53084 L
.61035 .5313 L
.61156 .53281 L
.61162 .53291 L
.61297 .53451 L
.61317 .53472 L
.61427 .53612 L
.61477 .53676 L
.61561 .53772 L
.61638 .53882 L
.61674 .53933 L
.61799 .54083 L
.618 .54093 L
.61939 .54254 L
.61959 .54278 L
.62081 .54414 L
.6212 .54486 L
.62188 .54575 L
.6228 .54694 L
.62301 .54735 L
.62441 .54894 L
.62444 .54896 L
.62597 .55057 L
.62601 .55096 L
.62699 .55217 L
.62762 .55307 L
.62808 .55378 L
.62922 .55515 L
.62925 .55538 L
.6307 .55699 L
.63083 .55713 L
.63207 .55859 L
.63243 .55923 L
.63314 .5602 L
.63404 .56135 L
.63426 .5618 L
.63564 .56339 L
.63567 .56341 L
.63716 .56501 L
.63725 .56543 L
.63818 .56662 L
.63885 .56756 L
.63928 .56822 L
.64046 .56966 L
.64047 .56983 L
.64185 .57143 L
.64206 .57167 L
.64322 .57304 L
.64367 .5738 L
.64428 .57464 L
.64527 .57593 L
.64542 .57625 L
.64676 .57785 L
.64688 .57794 L
.6483 .57946 L
.64848 .58006 L
.64927 .58106 L
.65009 .58222 L
.65037 .58267 L
.65165 .58428 L
.6517 .58433 L
.65287 .58588 L
.6533 .58633 L
.65426 .58749 L
.65491 .58854 L
.65529 .58909 L
.65651 .5907 L
.65651 .5907 L
.65771 .5923 L
.65812 .59258 L
.65931 .59391 L
.65972 .5949 L
.66018 .59551 L
.66131 .59712 L
.66133 .59714 L
.66249 .59872 L
.66293 .59931 L
.66368 .60033 L
.66454 .60134 L
.665 .60193 L
.66603 .60354 L
.66614 .60369 L
.66717 .60514 L
.66775 .60593 L
.66833 .60675 L
.66935 .60805 L
.66959 .60835 L
.67056 .60996 L
.67096 .61052 L
.67164 .61156 L
.67256 .61294 L
.6727 .61317 L
.67357 .61477 L
.67256 .61491 L
.67244 .61477 L
.67096 .61333 L
.67088 .61317 L
.66943 .61156 L
.66935 .61148 L
.66804 .60996 L
.66775 .60964 L
.66667 .60835 L
.66614 .60775 L
.66532 .60675 L
.66454 .60602 L
.66398 .60514 L
.66293 .60393 L
.6625 .60354 L
.66134 .60193 L
.66133 .60192 L
.66005 .60033 L
.65972 .60021 L
.65876 .59872 L
.65812 .59804 L
.65703 .59712 L
.65651 .59594 L
.65611 .59551 L
.65491 .59391 L
.65491 .5939 L
.65366 .5923 L
.6533 .59203 L
.65239 .5907 L
.6517 .58989 L
.65092 .58909 L
.65009 .58779 L
.64984 .58749 L
.64861 .58588 L
.64848 .58573 L
.64737 .58428 L
.64688 .58379 L
.6457 .58267 L
.64527 .58165 L
.64477 .58106 L
.64367 .57954 L
.64361 .57946 L
.64238 .57785 L
.64206 .57766 L
.64114 .57625 L
.64046 .57549 L
.63968 .57464 L
.63885 .57334 L
.63862 .57304 L
.63741 .57143 L
.63725 .57124 L
.63618 .56983 L
.63564 .56933 L
.63454 .56822 L
.63404 .56713 L
.63361 .56662 L
.63245 .56501 L
.63243 .56499 L
.63124 .56341 L
.63083 .56318 L
.63001 .5618 L
.62922 .56092 L
.62858 .5602 L
.62762 .55873 L
.62751 .55859 L
.62631 .55699 L
.62601 .55661 L
.62509 .55538 L
.62441 .55473 L
.6235 .55378 L
.6228 .55247 L
.62256 .55217 L
.6214 .55057 L
.6212 .55031 L
.62019 .54896 L
.61959 .5486 L
.61897 .54735 L
.61799 .5462 L
.6176 .54575 L
.6165 .54414 L
.61638 .54399 L
.61531 .54254 L
.61477 .54186 L
.6141 .54093 L
.61317 .53994 L
.61263 .53933 L
.61164 .53772 L
.61156 .53762 L
.61046 .53612 L
.60996 .53547 L
.60927 .53451 L
.60835 .53333 L
.60805 .53291 L
.60683 .5313 L
.60675 .5312 L
.60567 .5297 L
.60514 .52901 L
.6045 .52809 L
.60354 .52683 L
.6033 .52649 L
.60212 .52488 L
.60193 .52463 L
.601 .52328 L
.60033 .52237 L
.59986 .52167 L
.59872 .5201 L
.5987 .52007 L
.59769 .51846 L
.59712 .51761 L
.59673 .51686 L
F
1 .96 .289 r
.59712 .59295 m
.59872 .59275 L
.59973 .59391 L
.60033 .59424 L
.60136 .59551 L
.60193 .59603 L
.60277 .59712 L
.60354 .59799 L
.60431 .59872 L
.60514 .60004 L
.60539 .60033 L
.6066 .60193 L
.60675 .60212 L
.60781 .60354 L
.60835 .60377 L
.60948 .60514 L
.60996 .6063 L
.61026 .60675 L
.61132 .60835 L
.61156 .6087 L
.61239 .60996 L
.61317 .61117 L
.6134 .61156 L
.61411 .61317 L
.61317 .61368 L
.61251 .61317 L
.61156 .61288 L
.61073 .61156 L
.60996 .61091 L
.60921 .60996 L
.60835 .60903 L
.60743 .60835 L
.60675 .60711 L
.60639 .60675 L
.60514 .60516 L
.60513 .60514 L
.60385 .60354 L
.60354 .60337 L
.6026 .60193 L
.60193 .60122 L
.60119 .60033 L
.60033 .59899 L
.60015 .59872 L
.599 .59712 L
.59872 .59671 L
.59793 .59551 L
.59712 .59404 L
.597 .59391 L
F
.114 .93 1 r
.59712 .57824 m
.59779 .57946 L
.59712 .57951 L
.59708 .57946 L
F
1 .95 .212 r
.59872 .59349 m
.59905 .59391 L
.60033 .59457 L
.60101 .59551 L
.60193 .59634 L
.60249 .59712 L
.60354 .59829 L
.60402 .59872 L
.60514 .60032 L
.60515 .60033 L
.60637 .60193 L
.60675 .60241 L
.60758 .60354 L
.60835 .60411 L
.60916 .60514 L
.60993 .60675 L
.60996 .60679 L
.61099 .60835 L
.61156 .60924 L
.61199 .60996 L
.61271 .61156 L
.61156 .61185 L
.6114 .61156 L
.60996 .61037 L
.60965 .60996 L
.60835 .60862 L
.60794 .60835 L
.60675 .60677 L
.60672 .60675 L
.6054 .60514 L
.60514 .60484 L
.6041 .60354 L
.60354 .60318 L
.60283 .60193 L
.60193 .6009 L
.60146 .60033 L
.6004 .59872 L
.60033 .59862 L
.59929 .59712 L
.59872 .59624 L
.59828 .59551 L
.5978 .59391 L
F
1 .78 .001 r
.59872 .52482 m
.59878 .52488 L
.59872 .52633 L
.59791 .52488 L
F
1 .36 0 r
.59872 .53781 m
.59977 .53933 L
.60033 .54004 L
.60092 .54093 L
.60193 .54228 L
.6021 .54254 L
.60193 .54325 L
.60137 .54254 L
.60033 .54143 L
.59995 .54093 L
.59872 .53952 L
.59858 .53933 L
F
1 .35 0 r
.59872 .5379 m
.59968 .53933 L
.60033 .54015 L
.60083 .54093 L
.60193 .54242 L
.602 .54254 L
.60193 .54308 L
.60151 .54254 L
.60033 .54133 L
.60003 .54093 L
.59872 .53944 L
.59864 .53933 L
F
0 .46 1 r
.59872 .54466 m
.59922 .54575 L
.59872 .54578 L
.5987 .54575 L
F
1 .34 0 r
.59872 .538 m
.59958 .53933 L
.60033 .54028 L
.60072 .54093 L
.60033 .54121 L
.60012 .54093 L
.59872 .53936 L
.5987 .53933 L
F
1 .94 .156 r
.59872 .59464 m
.60033 .59513 L
.60058 .59551 L
.60193 .59673 L
.6022 .59712 L
.60354 .59863 L
.60364 .59872 L
.60489 .60033 L
.60514 .60064 L
.60613 .60193 L
.60675 .60273 L
.60734 .60354 L
.60835 .60467 L
.60871 .60514 L
.6096 .60675 L
.60996 .60729 L
.61059 .60835 L
.60996 .60969 L
.60856 .60835 L
.60835 .60816 L
.60708 .60675 L
.60675 .6064 L
.60569 .60514 L
.60514 .60451 L
.60436 .60354 L
.60354 .60287 L
.60307 .60193 L
.60193 .60051 L
.60179 .60033 L
.60068 .59872 L
.60033 .59822 L
.59961 .59712 L
.59872 .59555 L
.5987 .59551 L
F
0 .53 1 r
.59872 .53134 m
.59996 .53291 L
.60033 .53331 L
.60126 .53451 L
.60193 .5353 L
.60256 .53612 L
.60354 .5373 L
.60386 .53772 L
.60514 .53932 L
.60515 .53933 L
.60636 .54093 L
.60675 .5414 L
.60759 .54254 L
.60835 .54348 L
.60885 .54414 L
.60996 .54556 L
.6101 .54575 L
.61128 .54735 L
.61156 .5477 L
.61245 .54896 L
.61317 .54987 L
.61366 .55057 L
.61477 .55203 L
.61487 .55217 L
.61477 .55345 L
.61378 .55217 L
.61317 .5515 L
.61246 .55057 L
.61156 .54954 L
.61113 .54896 L
.60996 .54756 L
.60981 .54735 L
.60855 .54575 L
.60835 .54553 L
.60733 .54414 L
.60675 .54346 L
.60608 .54254 L
.60514 .5414 L
.60481 .54093 L
.60354 .53934 L
.60353 .53933 L
.60237 .53772 L
.60193 .53719 L
.60118 .53612 L
.60033 .53505 L
.59995 .53451 L
.59872 .53293 L
.59871 .53291 L
F
1 .98 .538 r
.60033 .51343 m
.60056 .51364 L
.60193 .51493 L
.60216 .51525 L
.60354 .51673 L
.60374 .51686 L
.6051 .51846 L
.60514 .51851 L
.60652 .52007 L
.60675 .52009 L
.60793 .52167 L
.60835 .52216 L
.60931 .52328 L
.60996 .52412 L
.61066 .52488 L
.61156 .52608 L
.61185 .52649 L
.61317 .52801 L
.61332 .52809 L
.61464 .5297 L
.61477 .52988 L
.61603 .5313 L
.61638 .5319 L
.61714 .53291 L
.61799 .53397 L
.61825 .53451 L
.61959 .53602 L
.61985 .53612 L
.62117 .53772 L
.6212 .53783 L
.62237 .53933 L
.6228 .53992 L
.62346 .54093 L
.62441 .54207 L
.62497 .54254 L
.62601 .54389 L
.62622 .54414 L
.62748 .54575 L
.62762 .54597 L
.62862 .54735 L
.62922 .54811 L
.62964 .54896 L
.63083 .5503 L
.63126 .55057 L
.63243 .5521 L
.63249 .55217 L
.63371 .55378 L
.63404 .55422 L
.63478 .55538 L
.63564 .5564 L
.63627 .55699 L
.63725 .55828 L
.6375 .55859 L
.63873 .5602 L
.63885 .56038 L
.63986 .5618 L
.64046 .56254 L
.64085 .56341 L
.64206 .56473 L
.64247 .56501 L
.64367 .56659 L
.64369 .56662 L
.6449 .56822 L
.64527 .56872 L
.64596 .56983 L
.64688 .5709 L
.64743 .57143 L
.64848 .573 L
.64865 .57304 L
.64989 .57464 L
.65009 .57494 L
.651 .57625 L
.6517 .5771 L
.65199 .57785 L
.6533 .57924 L
.65359 .57946 L
.65485 .58106 L
.65491 .58119 L
.65601 .58267 L
.65651 .58332 L
.65707 .58428 L
.65812 .58547 L
.65853 .58588 L
.65972 .58748 L
.65974 .58749 L
.661 .58909 L
.66133 .58957 L
.6621 .5907 L
.66293 .59171 L
.66312 .5923 L
.66454 .59381 L
.66466 .59391 L
.66598 .59551 L
.66614 .59583 L
.66709 .59712 L
.66775 .59797 L
.66816 .59872 L
.66935 .6001 L
.66957 .60033 L
.67079 .60193 L
.67096 .60212 L
.67208 .60354 L
.67256 .60425 L
.67315 .60514 L
.67417 .60639 L
.67426 .60675 L
.67567 .60835 L
.67577 .60843 L
.67707 .60996 L
.67738 .61054 L
.67812 .61156 L
.67898 .61271 L
.67922 .61317 L
.68054 .61477 L
.68059 .61484 L
.68214 .61638 L
.68219 .61684 L
.68306 .61799 L
.6838 .61906 L
.68413 .61959 L
.68537 .6212 L
.68541 .62124 L
.68656 .6228 L
.68701 .62314 L
.68801 .62441 L
.68862 .62548 L
.68898 .62601 L
.69013 .62762 L
.69022 .62774 L
.69129 .62922 L
.69183 .62995 L
.69297 .63083 L
.69343 .63205 L
.6937 .63243 L
.69476 .63404 L
.69504 .63442 L
.69587 .63564 L
.69664 .63674 L
.69699 .63725 L
.69805 .63885 L
.69825 .63914 L
.69903 .64046 L
.69985 .64182 L
.69997 .64206 L
.69985 .64302 L
.6987 .64206 L
.69825 .64168 L
.69707 .64046 L
.69664 .64004 L
.69558 .63885 L
.69504 .63828 L
.69414 .63725 L
.69343 .63665 L
.69274 .63564 L
.69183 .63463 L
.69107 .63404 L
.69022 .63267 L
.68999 .63243 L
.6887 .63083 L
.68862 .63082 L
.68739 .62922 L
.68701 .62884 L
.68609 .62762 L
.68541 .6268 L
.68463 .62601 L
.6838 .62476 L
.6835 .62441 L
.68222 .6228 L
.68219 .62278 L
.68095 .6212 L
.68059 .62079 L
.67938 .61959 L
.67898 .61871 L
.67836 .61799 L
.67738 .61663 L
.6772 .61638 L
.6759 .61477 L
.67577 .61466 L
.67465 .61317 L
.67417 .61259 L
.67325 .61156 L
.67256 .61048 L
.67215 .60996 L
.67096 .60842 L
.67093 .60835 L
.66965 .60675 L
.66935 .60642 L
.66813 .60514 L
.66775 .60431 L
.6671 .60354 L
.66614 .60221 L
.66596 .60193 L
.66468 .60033 L
.66454 .60021 L
.66345 .59872 L
.66293 .59812 L
.66205 .59712 L
.66133 .59599 L
.66096 .59551 L
.65972 .59391 L
.65972 .59391 L
.6585 .5923 L
.65812 .59191 L
.65696 .5907 L
.65651 .58977 L
.65595 .58909 L
.65491 .58765 L
.6548 .58749 L
.65355 .58588 L
.6533 .5857 L
.65181 .58428 L
.6517 .58356 L
.65092 .58267 L
.65009 .58141 L
.64983 .58106 L
.64861 .57946 L
.64848 .57945 L
.64739 .57785 L
.64688 .57735 L
.64585 .57625 L
.64527 .57517 L
.64485 .57464 L
.64367 .57304 L
.64367 .57304 L
.64246 .57143 L
.64206 .57116 L
.64071 .56983 L
.64046 .56895 L
.63984 .56822 L
.63885 .56677 L
.63874 .56662 L
.63753 .56501 L
.63725 .56465 L
.63632 .56341 L
.63564 .56275 L
.6348 .5618 L
.63404 .56051 L
.63379 .5602 L
.63261 .55859 L
.63243 .55837 L
.6314 .55699 L
.63083 .55659 L
.62968 .55538 L
.62922 .55427 L
.62881 .55378 L
.62769 .55217 L
.62762 .55208 L
.62649 .55057 L
.62601 .54996 L
.62527 .54896 L
.62441 .54805 L
.62381 .54735 L
.6228 .54577 L
.62278 .54575 L
.62159 .54414 L
.6212 .54364 L
.62038 .54254 L
.61959 .54187 L
.61876 .54093 L
.61799 .53947 L
.61787 .53933 L
.61671 .53772 L
.61638 .5373 L
.61551 .53612 L
.61477 .53517 L
.61429 .53451 L
.61317 .53314 L
.61298 .53291 L
.61186 .5313 L
.61156 .53092 L
.61068 .5297 L
.60996 .52877 L
.60948 .52809 L
.60835 .52663 L
.60815 .52649 L
.60708 .52488 L
.60675 .52445 L
.60593 .52328 L
.60514 .52225 L
.60475 .52167 L
.60355 .52007 L
.60354 .52005 L
.60246 .51846 L
.60193 .51775 L
.60136 .51686 L
.60033 .51539 L
.60025 .51525 L
.59932 .51364 L
F
1 .78 .001 r
.60033 .52657 m
.60163 .52809 L
.60193 .52841 L
.60301 .5297 L
.60354 .5303 L
.60437 .5313 L
.60514 .53221 L
.60571 .53291 L
.60675 .534 L
.60704 .53451 L
.60834 .53612 L
.60835 .53613 L
.60963 .53772 L
.60996 .53812 L
.61093 .53933 L
.61156 .54012 L
.61222 .54093 L
.61317 .54203 L
.61375 .54254 L
.61476 .54414 L
.61477 .54416 L
.61602 .54575 L
.61638 .5462 L
.61729 .54735 L
.61799 .54797 L
.61855 .54896 L
.61959 .55025 L
.61988 .55057 L
.62104 .55217 L
.6212 .55236 L
.62228 .55378 L
.6228 .55444 L
.62353 .55538 L
.62441 .55639 L
.62501 .55699 L
.626 .55859 L
.62601 .55861 L
.62721 .5602 L
.62762 .56072 L
.62844 .5618 L
.62922 .56251 L
.62966 .56341 L
.63083 .56492 L
.6309 .56501 L
.63207 .56662 L
.63243 .56708 L
.63327 .56822 L
.63404 .56923 L
.63448 .56983 L
.63564 .57136 L
.63571 .57143 L
.63684 .57304 L
.63725 .57358 L
.638 .57464 L
.63885 .57579 L
.63918 .57625 L
.64032 .57785 L
.64046 .57803 L
.64141 .57946 L
.64206 .58038 L
.64251 .58106 L
.64206 .58217 L
.64112 .58106 L
.64046 .58037 L
.63971 .57946 L
.63885 .5785 L
.63833 .57785 L
.63725 .5766 L
.63697 .57625 L
.63564 .57466 L
.63563 .57464 L
.63435 .57304 L
.63404 .57267 L
.63306 .57143 L
.63243 .57068 L
.63177 .56983 L
.63083 .56898 L
.63047 .56822 L
.62922 .56668 L
.62915 .56662 L
.62794 .56501 L
.62762 .56463 L
.62668 .56341 L
.62601 .56258 L
.62542 .5618 L
.62441 .56069 L
.62383 .5602 L
.62289 .55859 L
.6228 .55848 L
.62167 .55699 L
.6212 .5564 L
.62043 .55538 L
.61959 .55474 L
.61917 .55378 L
.61799 .5523 L
.61786 .55217 L
.6167 .55057 L
.61638 .55016 L
.61549 .54896 L
.61477 .54806 L
.61425 .54735 L
.61317 .54609 L
.61281 .54575 L
.6118 .54414 L
.61156 .54385 L
.6106 .54254 L
.60996 .54172 L
.60939 .54093 L
.60835 .5396 L
.60816 .53933 L
.60696 .53772 L
.60675 .53745 L
.6058 .53612 L
.60514 .53528 L
.6046 .53451 L
.60354 .53311 L
.60339 .53291 L
.60224 .5313 L
.60193 .5309 L
.60112 .5297 L
.60033 .52863 L
.59997 .52809 L
F
1 .93 .114 r
.60033 .59586 m
.60182 .59712 L
.60193 .59722 L
.60329 .59872 L
.60354 .599 L
.60461 .60033 L
.60514 .60098 L
.60586 .60193 L
.60675 .60308 L
.60708 .60354 L
.60821 .60514 L
.60835 .60536 L
.60919 .60675 L
.60996 .60819 L
.61002 .60835 L
.60996 .60866 L
.60931 .60835 L
.60835 .60763 L
.6075 .60675 L
.60675 .60598 L
.60602 .60514 L
.60514 .60415 L
.60464 .60354 L
.60354 .60238 L
.60334 .60193 L
.60212 .60033 L
.60193 .60008 L
.601 .59872 L
.60033 .59771 L
.59998 .59712 L
F
0 .52 1 r
.60033 .53343 m
.60117 .53451 L
.60193 .5354 L
.60249 .53612 L
.60354 .53739 L
.60379 .53772 L
.60354 .53924 L
.60245 .53772 L
.60193 .53709 L
.60126 .53612 L
.60033 .53495 L
.60003 .53451 L
F
1 .77 .001 r
.60033 .52679 m
.60147 .52809 L
.60193 .52858 L
.60288 .5297 L
.60354 .53044 L
.60426 .5313 L
.60514 .53234 L
.60561 .53291 L
.60675 .53416 L
.60694 .53451 L
.60825 .53612 L
.60835 .53624 L
.60955 .53772 L
.60996 .53822 L
.61085 .53933 L
.61156 .54021 L
.61214 .54093 L
.61317 .54214 L
.61363 .54254 L
.61469 .54414 L
.61477 .54425 L
.61595 .54575 L
.61638 .54628 L
.61722 .54735 L
.61799 .54806 L
.61848 .54896 L
.61959 .55035 L
.61979 .55057 L
.62098 .55217 L
.6212 .55245 L
.62222 .55378 L
.6228 .55452 L
.62346 .55538 L
.62441 .55648 L
.62491 .55699 L
.62593 .55859 L
.62601 .55869 L
.62715 .5602 L
.62762 .5608 L
.62837 .5618 L
.62922 .56262 L
.6296 .56341 L
.63081 .56501 L
.63083 .56503 L
.632 .56662 L
.63243 .56718 L
.6332 .56822 L
.63404 .56933 L
.6344 .56983 L
.6356 .57143 L
.63564 .57149 L
.63674 .57304 L
.63725 .57371 L
.63791 .57464 L
.63885 .57593 L
.63908 .57625 L
.64019 .57785 L
.64046 .57822 L
.64125 .57946 L
.64206 .58062 L
.64233 .58106 L
.64206 .5819 L
.64133 .58106 L
.64046 .58019 L
.63985 .57946 L
.63885 .57836 L
.63844 .57785 L
.63725 .57648 L
.63707 .57625 L
.63573 .57464 L
.63564 .57454 L
.63444 .57304 L
.63404 .57257 L
.63314 .57143 L
.63243 .57059 L
.63184 .56983 L
.63083 .56886 L
.63054 .56822 L
.62925 .56662 L
.62922 .56659 L
.628 .56501 L
.62762 .56455 L
.62674 .56341 L
.62601 .56251 L
.62547 .5618 L
.62441 .5606 L
.62394 .5602 L
.62295 .55859 L
.6228 .55841 L
.62172 .55699 L
.6212 .55633 L
.62048 .55538 L
.61959 .55464 L
.61922 .55378 L
.61799 .55221 L
.61795 .55217 L
.61676 .55057 L
.61638 .55009 L
.61554 .54896 L
.61477 .54799 L
.6143 .54735 L
.61317 .54599 L
.61292 .54575 L
.61186 .54414 L
.61156 .54377 L
.61066 .54254 L
.60996 .54164 L
.60945 .54093 L
.60835 .53952 L
.60822 .53933 L
.60703 .53772 L
.60675 .53736 L
.60587 .53612 L
.60514 .53518 L
.60468 .53451 L
.60354 .53301 L
.60347 .53291 L
.60235 .5313 L
.60193 .53076 L
.60124 .5297 L
.60033 .52847 L
.60009 .52809 L
F
1 .96 .289 r
.60033 .57624 m
.60033 .57625 L
.60033 .5768 L
.6001 .57625 L
F
0 .51 1 r
.60033 .53356 m
.60106 .53451 L
.60193 .53551 L
.6024 .53612 L
.60354 .53749 L
.60372 .53772 L
.60354 .53914 L
.60254 .53772 L
.60193 .53698 L
.60135 .53612 L
.60033 .53484 L
.60011 .53451 L
F
.156 .94 1 r
.60033 .52012 m
.60181 .52167 L
.60193 .52179 L
.60327 .52328 L
.60354 .52356 L
.60469 .52488 L
.60514 .52539 L
.60609 .52649 L
.60675 .52697 L
.60746 .52809 L
.60835 .52912 L
.60906 .5297 L
.60996 .5311 L
.61014 .5313 L
.61146 .53291 L
.61156 .53303 L
.61278 .53451 L
.61317 .53491 L
.6141 .53612 L
.61477 .53697 L
.61545 .53772 L
.61638 .539 L
.61661 .53933 L
.61796 .54093 L
.61799 .54095 L
.61924 .54254 L
.61959 .54295 L
.62071 .54414 L
.6212 .54502 L
.62176 .54575 L
.6228 .54708 L
.62294 .54735 L
.62432 .54896 L
.62441 .54905 L
.62595 .55057 L
.62601 .55111 L
.62689 .55217 L
.62762 .5532 L
.62799 .55378 L
.62922 .55526 L
.62923 .55538 L
.6306 .55699 L
.63083 .55725 L
.632 .55859 L
.63243 .55936 L
.63305 .5602 L
.63404 .56146 L
.6342 .5618 L
.63557 .56341 L
.63564 .56347 L
.63713 .56501 L
.63725 .56555 L
.6381 .56662 L
.63885 .56768 L
.6392 .56822 L
.64046 .56976 L
.64046 .56983 L
.64175 .57143 L
.64206 .57177 L
.64315 .57304 L
.64367 .57392 L
.64419 .57464 L
.64527 .57605 L
.64536 .57625 L
.64666 .57785 L
.64688 .57802 L
.64825 .57946 L
.64848 .58018 L
.64917 .58106 L
.65009 .58235 L
.65028 .58267 L
.65154 .58428 L
.6517 .58448 L
.65275 .58588 L
.6533 .58646 L
.65415 .58749 L
.65491 .5887 L
.65518 .58909 L
.65638 .5907 L
.65651 .59087 L
.65757 .5923 L
.65812 .59272 L
.65917 .59391 L
.65972 .59511 L
.66002 .59551 L
.66115 .59712 L
.66133 .59736 L
.66232 .59872 L
.66293 .59955 L
.6635 .60033 L
.66454 .60168 L
.66473 .60193 L
.6658 .60354 L
.66614 .60401 L
.66693 .60514 L
.66775 .60629 L
.66806 .60675 L
.66914 .60835 L
.66935 .60866 L
.67015 .60996 L
.67096 .61123 L
.67114 .61156 L
.67096 .61245 L
.67004 .61156 L
.66935 .61094 L
.66847 .60996 L
.66775 .60922 L
.66701 .60835 L
.66614 .6074 L
.6656 .60675 L
.66454 .60568 L
.66421 .60514 L
.66293 .60364 L
.66281 .60354 L
.66154 .60193 L
.66133 .60168 L
.66023 .60033 L
.65972 .6001 L
.65893 .59872 L
.65812 .59785 L
.65722 .59712 L
.65651 .59577 L
.65627 .59551 L
.65505 .59391 L
.65491 .59374 L
.65378 .5923 L
.6533 .59192 L
.65251 .5907 L
.6517 .58976 L
.65103 .58909 L
.65009 .58766 L
.64994 .58749 L
.64871 .58588 L
.64848 .5856 L
.64746 .58428 L
.64688 .58369 L
.64578 .58267 L
.64527 .58154 L
.64486 .58106 L
.64369 .57946 L
.64367 .57944 L
.64246 .57785 L
.64206 .5776 L
.64121 .57625 L
.64046 .57539 L
.63976 .57464 L
.63885 .57324 L
.63869 .57304 L
.63748 .57143 L
.63725 .57115 L
.63625 .56983 L
.63564 .56925 L
.63461 .56822 L
.63404 .56704 L
.63368 .56662 L
.63252 .56501 L
.63243 .5649 L
.63131 .56341 L
.63083 .56313 L
.63007 .5618 L
.62922 .56083 L
.62865 .5602 L
.62762 .55864 L
.62758 .55859 L
.62638 .55699 L
.62601 .55652 L
.62516 .55538 L
.62441 .55464 L
.62358 .55378 L
.6228 .55236 L
.62264 .55217 L
.62147 .55057 L
.6212 .55021 L
.62027 .54896 L
.61959 .54851 L
.61904 .54735 L
.61799 .54608 L
.6177 .54575 L
.61659 .54414 L
.61638 .54388 L
.6154 .54254 L
.61477 .54174 L
.61419 .54093 L
.61317 .53977 L
.61278 .53933 L
.61175 .53772 L
.61156 .53748 L
.61058 .53612 L
.60996 .53532 L
.60938 .53451 L
.60835 .53318 L
.60816 .53291 L
.60698 .5313 L
.60675 .531 L
.60583 .5297 L
.60514 .52879 L
.60466 .52809 L
.60354 .52659 L
.60346 .52649 L
.60236 .52488 L
.60193 .52431 L
.60127 .52328 L
.60033 .52195 L
.60016 .52167 L
F
0 .5 1 r
.60033 .53372 m
.60093 .53451 L
.60193 .53564 L
.6023 .53612 L
.60354 .5376 L
.60363 .53772 L
.60354 .53902 L
.60265 .53772 L
.60193 .53686 L
.60145 .53612 L
.60033 .53471 L
.6002 .53451 L
F
1 .33 0 r
.60033 .54046 m
.60058 .54093 L
.60033 .54107 L
.60023 .54093 L
F
1 .76 .001 r
.60033 .52706 m
.60126 .52809 L
.60193 .52877 L
.60273 .5297 L
.60354 .53059 L
.60413 .5313 L
.60514 .53248 L
.6055 .53291 L
.60675 .53434 L
.60684 .53451 L
.60815 .53612 L
.60835 .53635 L
.60946 .53772 L
.60996 .53832 L
.61076 .53933 L
.61156 .54031 L
.61206 .54093 L
.61317 .54225 L
.6135 .54254 L
.61462 .54414 L
.61477 .54434 L
.61588 .54575 L
.61638 .54637 L
.61715 .54735 L
.61799 .54816 L
.61842 .54896 L
.61959 .55044 L
.61971 .55057 L
.62091 .55217 L
.6212 .55253 L
.62215 .55378 L
.6228 .5546 L
.6234 .55538 L
.62441 .55659 L
.62481 .55699 L
.62586 .55859 L
.62601 .55878 L
.62708 .5602 L
.62762 .56089 L
.6283 .5618 L
.62922 .56275 L
.62953 .56341 L
.63074 .56501 L
.63083 .56513 L
.63192 .56662 L
.63243 .56728 L
.63312 .56822 L
.63404 .56944 L
.63433 .56983 L
.6355 .57143 L
.63564 .57162 L
.63664 .57304 L
.63725 .57384 L
.63781 .57464 L
.63885 .57608 L
.63897 .57625 L
.64003 .57785 L
.64046 .57845 L
.64107 .57946 L
.64206 .58101 L
.64209 .58106 L
.64206 .58143 L
.64168 .58106 L
.64046 .57997 L
.64003 .57946 L
.63885 .5782 L
.63857 .57785 L
.63725 .57635 L
.63717 .57625 L
.63584 .57464 L
.63564 .57442 L
.63454 .57304 L
.63404 .57246 L
.63323 .57143 L
.63243 .57049 L
.63192 .56983 L
.63083 .56872 L
.63061 .56822 L
.62932 .56662 L
.62922 .5665 L
.62807 .56501 L
.62762 .56447 L
.62681 .56341 L
.62601 .56243 L
.62553 .5618 L
.62441 .56049 L
.62406 .5602 L
.62301 .55859 L
.6228 .55834 L
.62178 .55699 L
.6212 .55626 L
.62053 .55538 L
.61959 .55454 L
.61927 .55378 L
.61802 .55217 L
.61799 .55213 L
.61682 .55057 L
.61638 .55002 L
.6156 .54896 L
.61477 .54792 L
.61436 .54735 L
.61317 .54588 L
.61304 .54575 L
.61192 .54414 L
.61156 .54369 L
.61073 .54254 L
.60996 .54156 L
.60951 .54093 L
.60835 .53944 L
.60828 .53933 L
.60711 .53772 L
.60675 .53726 L
.60595 .53612 L
.60514 .53507 L
.60476 .53451 L
.60355 .53291 L
.60354 .5329 L
.60246 .5313 L
.60193 .53059 L
.60136 .5297 L
.60033 .52826 L
.60023 .52809 L
F
.156 .94 1 r
.60033 .60218 m
.60105 .60354 L
.60033 .60359 L
.60028 .60354 L
F
0 .49 1 r
.60033 .53395 m
.60074 .53451 L
.60193 .53579 L
.60218 .53612 L
.60354 .53772 L
.60354 .53772 L
.60354 .53887 L
.60279 .53772 L
.60193 .5367 L
.60157 .53612 L
.60033 .53454 L
.60031 .53451 L
F
.733 .99 1 r
.60193 .59144 m
.60354 .5919 L
.60444 .5923 L
.60514 .59318 L
.60583 .59391 L
.60675 .59498 L
.60707 .59551 L
.60835 .59696 L
.60848 .59712 L
.60975 .59872 L
.60996 .59898 L
.61111 .60033 L
.61156 .60108 L
.61219 .60193 L
.61317 .60318 L
.61331 .60354 L
.6147 .60514 L
.61477 .60517 L
.61614 .60675 L
.61638 .60722 L
.61716 .60835 L
.61799 .60944 L
.61825 .60996 L
.6195 .61156 L
.61959 .61169 L
.62064 .61317 L
.6212 .61399 L
.62189 .61477 L
.6227 .61638 L
.6228 .61658 L
.62319 .61799 L
.6228 .61844 L
.6212 .61801 L
.62116 .61799 L
.61959 .6168 L
.61896 .61638 L
.61799 .61515 L
.61763 .61477 L
.61638 .6133 L
.61631 .61317 L
.61496 .61156 L
.61477 .61135 L
.61327 .60996 L
.61317 .60931 L
.61229 .60835 L
.61156 .60724 L
.61117 .60675 L
.60996 .60521 L
.60994 .60514 L
.60865 .60354 L
.60835 .60326 L
.60719 .60193 L
.60675 .60114 L
.60615 .60033 L
.60514 .59898 L
.60502 .59872 L
.60376 .59712 L
.60354 .59681 L
.60214 .59551 L
.60193 .59456 L
.60136 .59391 L
.60063 .5923 L
F
1 .92 .084 r
.60193 .59775 m
.60287 .59872 L
.60354 .59943 L
.60427 .60033 L
.60514 .60138 L
.60555 .60193 L
.60675 .60352 L
.60676 .60354 L
.60773 .60514 L
.60835 .6063 L
.6084 .60675 L
.60835 .60677 L
.60831 .60675 L
.60675 .60548 L
.60644 .60514 L
.60514 .60373 L
.60498 .60354 L
.60367 .60193 L
.60354 .60177 L
.60248 .60033 L
.60193 .59957 L
.60139 .59872 L
F
1 .75 0 r
.60193 .52899 m
.60255 .5297 L
.60354 .53076 L
.604 .5313 L
.60514 .53262 L
.60539 .53291 L
.60674 .53451 L
.60675 .53453 L
.60805 .53612 L
.60835 .53647 L
.60937 .53772 L
.60996 .53843 L
.61068 .53933 L
.61156 .54041 L
.61198 .54093 L
.61317 .54237 L
.61337 .54254 L
.61454 .54414 L
.61477 .54443 L
.61581 .54575 L
.61638 .54646 L
.61708 .54735 L
.61799 .54827 L
.61835 .54896 L
.61959 .55054 L
.61961 .55057 L
.62084 .55217 L
.6212 .55262 L
.62208 .55378 L
.6228 .55469 L
.62333 .55538 L
.62441 .55669 L
.62471 .55699 L
.62579 .55859 L
.62601 .55887 L
.62701 .5602 L
.62762 .56098 L
.62824 .5618 L
.62922 .56288 L
.62946 .56341 L
.63066 .56501 L
.63083 .56523 L
.63184 .56662 L
.63243 .56739 L
.63304 .56822 L
.63404 .56955 L
.63424 .56983 L
.6354 .57143 L
.63564 .57175 L
.63654 .57304 L
.63725 .57399 L
.6377 .57464 L
.63725 .5762 L
.63597 .57464 L
.63564 .57429 L
.63464 .57304 L
.63404 .57235 L
.63332 .57143 L
.63243 .57039 L
.63199 .56983 L
.63083 .56857 L
.63068 .56822 L
.6294 .56662 L
.62922 .56641 L
.62814 .56501 L
.62762 .56438 L
.62687 .56341 L
.62601 .56235 L
.62559 .5618 L
.62441 .56039 L
.62418 .5602 L
.62307 .55859 L
.6228 .55826 L
.62184 .55699 L
.6212 .55619 L
.62059 .55538 L
.61959 .55442 L
.61933 .55378 L
.61808 .55217 L
.61799 .55205 L
.61688 .55057 L
.61638 .54994 L
.61565 .54896 L
.61477 .54785 L
.61441 .54735 L
.61317 .54576 L
.61316 .54575 L
.61199 .54414 L
.61156 .54361 L
.61079 .54254 L
.60996 .54148 L
.60957 .54093 L
.60835 .53935 L
.60834 .53933 L
.60719 .53772 L
.60675 .53715 L
.60603 .53612 L
.60514 .53496 L
.60484 .53451 L
.60366 .53291 L
.60354 .53275 L
.6026 .5313 L
.60193 .5304 L
.60152 .5297 L
F
.114 .93 1 r
.60193 .52241 m
.60279 .52328 L
.60354 .52402 L
.60432 .52488 L
.60514 .52577 L
.60578 .52649 L
.60675 .52733 L
.60719 .52809 L
.60835 .52944 L
.6087 .5297 L
.60991 .5313 L
.60996 .53136 L
.61125 .53291 L
.61156 .53328 L
.61259 .53451 L
.61317 .53511 L
.61391 .53612 L
.61477 .53718 L
.61529 .53772 L
.61638 .53918 L
.61649 .53933 L
.61781 .54093 L
.61799 .54103 L
.6191 .54254 L
.61959 .54311 L
.6206 .54414 L
.6212 .54519 L
.62164 .54575 L
.6228 .54722 L
.62287 .54735 L
.6242 .54896 L
.62441 .54916 L
.62592 .55057 L
.62601 .55125 L
.62678 .55217 L
.62762 .55334 L
.62791 .55378 L
.62922 .55537 L
.62922 .55538 L
.63049 .55699 L
.63083 .55737 L
.63192 .55859 L
.63243 .55948 L
.63296 .5602 L
.63404 .56158 L
.63414 .5618 L
.63547 .56341 L
.63564 .56355 L
.6371 .56501 L
.63725 .56567 L
.63801 .56662 L
.63885 .5678 L
.63912 .56822 L
.64042 .56983 L
.64046 .56983 L
.64166 .57143 L
.64206 .57188 L
.64307 .57304 L
.64367 .57404 L
.6441 .57464 L
.64527 .57617 L
.64531 .57625 L
.64656 .57785 L
.64688 .5781 L
.64819 .57946 L
.64848 .58031 L
.64907 .58106 L
.65009 .58249 L
.6502 .58267 L
.65143 .58428 L
.6517 .58462 L
.65264 .58588 L
.6533 .58661 L
.65403 .58749 L
.65491 .58887 L
.65506 .58909 L
.65624 .5907 L
.65651 .59105 L
.65744 .5923 L
.65812 .59291 L
.659 .59391 L
.65972 .59535 L
.65984 .59551 L
.66098 .59712 L
.66133 .59759 L
.66214 .59872 L
.66293 .59981 L
.66331 .60033 L
.66445 .60193 L
.66454 .60205 L
.66555 .60354 L
.66614 .60438 L
.66665 .60514 L
.66774 .60675 L
.66775 .60675 L
.66865 .60835 L
.66935 .6097 L
.66938 .60996 L
.66935 .60998 L
.66931 .60996 L
.66775 .60869 L
.66744 .60835 L
.66614 .60701 L
.66592 .60675 L
.66454 .60524 L
.66448 .60514 L
.66311 .60354 L
.66293 .60334 L
.66177 .60193 L
.66133 .60143 L
.66043 .60033 L
.65972 .59992 L
.6591 .59872 L
.65812 .59764 L
.65746 .59712 L
.65651 .59558 L
.65645 .59551 L
.65519 .59391 L
.65491 .59357 L
.65391 .5923 L
.6533 .59179 L
.65262 .5907 L
.6517 .58961 L
.65117 .58909 L
.65009 .58753 L
.65006 .58749 L
.64881 .58588 L
.64848 .58548 L
.64755 .58428 L
.64688 .58358 L
.64588 .58267 L
.64527 .58142 L
.64495 .58106 L
.64377 .57946 L
.64367 .57933 L
.64254 .57785 L
.64206 .57752 L
.64129 .57625 L
.64046 .57529 L
.63985 .57464 L
.63885 .57314 L
.63877 .57304 L
.63755 .57143 L
.63725 .57105 L
.63632 .56983 L
.63564 .56916 L
.63469 .56822 L
.63404 .56694 L
.63376 .56662 L
.63259 .56501 L
.63243 .56481 L
.63137 .56341 L
.63083 .56306 L
.63014 .5618 L
.62922 .56073 L
.62874 .5602 L
.62765 .55859 L
.62762 .55854 L
.62645 .55699 L
.62601 .55643 L
.62523 .55538 L
.62441 .55454 L
.62368 .55378 L
.6228 .55225 L
.62273 .55217 L
.62155 .55057 L
.6212 .55012 L
.62034 .54896 L
.61959 .54839 L
.61912 .54735 L
.61799 .54594 L
.61782 .54575 L
.61668 .54414 L
.61638 .54376 L
.61549 .54254 L
.61477 .54162 L
.61428 .54093 L
.61317 .53959 L
.61294 .53933 L
.61187 .53772 L
.61156 .53734 L
.61069 .53612 L
.60996 .53516 L
.6095 .53451 L
.60835 .53301 L
.60828 .53291 L
.60714 .5313 L
.60675 .53079 L
.606 .5297 L
.60514 .52855 L
.60484 .52809 L
.60369 .52649 L
.60354 .52627 L
.60266 .52488 L
.60193 .52383 L
.60163 .52328 L
F
1 .74 0 r
.60193 .52929 m
.60231 .5297 L
.60354 .53095 L
.60384 .5313 L
.60514 .53277 L
.60526 .53291 L
.60661 .53451 L
.60675 .53467 L
.60794 .53612 L
.60835 .53659 L
.60927 .53772 L
.60996 .53854 L
.61059 .53933 L
.61156 .54051 L
.6119 .54093 L
.61317 .5425 L
.61322 .54254 L
.61446 .54414 L
.61477 .54453 L
.61573 .54575 L
.61638 .54655 L
.61701 .54735 L
.61799 .54839 L
.61828 .54896 L
.61953 .55057 L
.61959 .55064 L
.62077 .55217 L
.6212 .55271 L
.62202 .55378 L
.6228 .55478 L
.62327 .55538 L
.62441 .55681 L
.62459 .55699 L
.62572 .55859 L
.62601 .55896 L
.62694 .5602 L
.62762 .56107 L
.62816 .5618 L
.62922 .56303 L
.62939 .56341 L
.63058 .56501 L
.63083 .56533 L
.63176 .56662 L
.63243 .5675 L
.63296 .56822 L
.63404 .56966 L
.63416 .56983 L
.63529 .57143 L
.63564 .5719 L
.63643 .57304 L
.63725 .57416 L
.63757 .57464 L
.63725 .57602 L
.63611 .57464 L
.63564 .57414 L
.63476 .57304 L
.63404 .57223 L
.63341 .57143 L
.63243 .57029 L
.63207 .56983 L
.63083 .56841 L
.63075 .56822 L
.62948 .56662 L
.62922 .56632 L
.62822 .56501 L
.62762 .5643 L
.62694 .56341 L
.62601 .56227 L
.62565 .5618 L
.62441 .56027 L
.62431 .5602 L
.62314 .55859 L
.6228 .55818 L
.6219 .55699 L
.6212 .55611 L
.62065 .55538 L
.61959 .5543 L
.61938 .55378 L
.61815 .55217 L
.61799 .55197 L
.61694 .55057 L
.61638 .54987 L
.61571 .54896 L
.61477 .54777 L
.61447 .54735 L
.61323 .54575 L
.61317 .54567 L
.61206 .54414 L
.61156 .54352 L
.61086 .54254 L
.60996 .54139 L
.60964 .54093 L
.60841 .53933 L
.60835 .53925 L
.60728 .53772 L
.60675 .53704 L
.60612 .53612 L
.60514 .53484 L
.60493 .53451 L
.60379 .53291 L
.60354 .53257 L
.60277 .5313 L
.60193 .53012 L
.60172 .5297 L
F
0 .48 1 r
.60193 .53599 m
.60203 .53612 L
.60193 .53647 L
.60176 .53612 L
F
.538 .98 1 r
.60193 .59232 m
.60354 .59263 L
.60514 .59379 L
.60528 .59391 L
.60675 .59544 L
.60679 .59551 L
.60818 .59712 L
.60835 .59729 L
.60949 .59872 L
.60996 .59928 L
.61091 .60033 L
.61156 .60136 L
.61199 .60193 L
.61317 .60345 L
.61321 .60354 L
.61446 .60514 L
.61477 .60527 L
.61598 .60675 L
.61638 .60755 L
.61691 .60835 L
.61799 .60991 L
.61801 .60996 L
.61912 .61156 L
.61959 .61228 L
.62017 .61317 L
.62107 .61477 L
.6212 .61506 L
.62134 .61638 L
.6212 .61649 L
.62065 .61638 L
.61959 .61584 L
.61835 .61477 L
.61799 .61471 L
.61676 .61317 L
.61638 .61285 L
.61534 .61156 L
.61477 .61096 L
.61345 .60996 L
.61317 .60898 L
.61254 .60835 L
.61156 .60697 L
.61138 .60675 L
.6101 .60514 L
.60996 .6051 L
.60886 .60354 L
.60835 .60304 L
.60737 .60193 L
.60675 .60087 L
.60635 .60033 L
.60518 .59872 L
.60514 .59867 L
.60402 .59712 L
.60354 .59643 L
.60242 .59551 L
.60193 .59394 L
.6019 .59391 L
F
1 .93 .114 r
.60354 .73797 m
.60514 .7382 L
.60575 .73838 L
.60675 .73871 L
.60835 .7394 L
.60961 .73998 L
.60996 .74019 L
.61156 .74105 L
.61253 .74159 L
.61317 .74197 L
.61477 .74294 L
.61519 .74319 L
.61638 .74395 L
.6177 .7448 L
.61799 .74499 L
.61959 .74605 L
.62011 .7464 L
.6212 .74715 L
.62244 .74801 L
.6228 .74826 L
.62441 .7494 L
.62471 .74961 L
.62601 .75055 L
.62693 .75122 L
.62762 .75172 L
.62911 .75283 L
.62922 .75291 L
.63083 .75411 L
.63126 .75443 L
.63243 .75532 L
.63337 .75604 L
.63404 .75655 L
.63546 .75764 L
.63564 .75779 L
.63725 .75904 L
.63752 .75925 L
.63885 .7603 L
.63956 .76085 L
.64046 .76157 L
.64157 .76246 L
.64206 .76285 L
.64357 .76406 L
.64367 .76414 L
.64527 .76544 L
.64556 .76567 L
.64688 .76675 L
.64752 .76727 L
.64848 .76806 L
.64948 .76888 L
.65009 .76939 L
.65141 .77048 L
.6517 .77072 L
.6533 .77205 L
.65334 .77209 L
.65491 .7734 L
.65526 .77369 L
.65651 .77475 L
.65716 .7753 L
.65812 .77611 L
.65905 .7769 L
.65972 .77747 L
.66094 .77851 L
.66133 .77884 L
.66282 .78011 L
.66293 .78021 L
.66454 .78159 L
.66469 .78172 L
.66614 .78298 L
.66655 .78332 L
.66775 .78437 L
.6684 .78493 L
.66935 .78576 L
.67025 .78654 L
.67096 .78716 L
.67208 .78814 L
.67256 .78856 L
.67392 .78975 L
.67417 .78997 L
.67574 .79135 L
.67577 .79138 L
.67738 .7928 L
.67756 .79296 L
.67898 .79422 L
.67937 .79456 L
.68059 .79565 L
.68117 .79617 L
.68219 .79709 L
.68296 .79777 L
.6838 .79853 L
.68474 .79938 L
.68541 .79998 L
.68651 .80098 L
.68701 .80144 L
.68827 .80259 L
.68862 .8029 L
.69003 .80419 L
.69022 .80437 L
.69177 .8058 L
.69183 .80585 L
.69343 .80734 L
.6935 .8074 L
.69504 .80884 L
.69522 .80901 L
.69664 .81034 L
.69693 .81061 L
.69825 .81186 L
.69863 .81222 L
.69985 .81338 L
.70032 .81382 L
.70146 .81491 L
.70201 .81543 L
.70306 .81644 L
.70369 .81703 L
.70467 .81798 L
.70536 .81864 L
.70627 .81953 L
.70702 .82025 L
.70788 .82108 L
.70868 .82185 L
.70948 .82263 L
.71034 .82346 L
.71109 .82419 L
.71199 .82506 L
.71269 .82575 L
.71363 .82667 L
.7143 .82732 L
.71528 .82827 L
.7159 .82888 L
.71692 .82988 L
.71751 .83046 L
.71856 .83148 L
.71912 .83203 L
.72019 .83309 L
.72072 .83361 L
.72182 .83469 L
.72233 .83519 L
.72344 .8363 L
.72393 .83678 L
.72507 .8379 L
.72554 .83837 L
.72668 .83951 L
.72714 .83997 L
.72829 .84111 L
.72875 .84157 L
.7299 .84272 L
.73035 .84317 L
.73149 .84432 L
.73196 .84479 L
.73308 .84593 L
.73356 .84641 L
.73467 .84753 L
.73517 .84804 L
.73624 .84914 L
.73677 .84969 L
.7378 .85074 L
.73838 .85134 L
.73936 .85235 L
.73998 .853 L
.7409 .85396 L
.74159 .85468 L
.74243 .85556 L
.74319 .85636 L
.74395 .85717 L
.7448 .85806 L
.74546 .85877 L
.7464 .85978 L
.74696 .86038 L
.74801 .86151 L
.74845 .86198 L
.74961 .86325 L
.74992 .86359 L
.75122 .86501 L
.75139 .86519 L
.75283 .86678 L
.75284 .8668 L
.75428 .8684 L
.75443 .86857 L
.75571 .87001 L
.75604 .87038 L
.75712 .87161 L
.75764 .8722 L
.75853 .87322 L
.75925 .87405 L
.75991 .87482 L
.76085 .87592 L
.76129 .87643 L
.76246 .87781 L
.76265 .87803 L
.76399 .87964 L
.76406 .87973 L
.76531 .88124 L
.76567 .88168 L
.76661 .88285 L
.76727 .88367 L
.76789 .88445 L
.76888 .88571 L
.76915 .88606 L
.77037 .88767 L
.77048 .88781 L
.77157 .88927 L
.77209 .88998 L
.77272 .89088 L
.77369 .89228 L
.77383 .89248 L
.77488 .89409 L
.7753 .89472 L
.77586 .89569 L
.77675 .8973 L
.7769 .89762 L
.7775 .8989 L
.77805 .90051 L
.77801 .90211 L
.7769 .90318 L
.7753 .90292 L
.77369 .90242 L
.7727 .90211 L
.77209 .90176 L
.77048 .90099 L
.76953 .90051 L
.76888 .90014 L
.76727 .89923 L
.76671 .8989 L
.76567 .89827 L
.76411 .8973 L
.76406 .89727 L
.76246 .89623 L
.76163 .89569 L
.76085 .89517 L
.75925 .89409 L
.75925 .89408 L
.75764 .89297 L
.75694 .89248 L
.75604 .89184 L
.75469 .89088 L
.75443 .89069 L
.75283 .88952 L
.75248 .88927 L
.75122 .88834 L
.75031 .88767 L
.74961 .88714 L
.74818 .88606 L
.74801 .88593 L
.7464 .88471 L
.74608 .88445 L
.7448 .88347 L
.744 .88285 L
.74319 .88223 L
.74194 .88124 L
.74159 .88097 L
.73998 .8797 L
.7399 .87964 L
.73838 .87842 L
.73789 .87803 L
.73677 .87714 L
.73589 .87643 L
.73517 .87584 L
.73391 .87482 L
.73356 .87454 L
.73196 .87323 L
.73194 .87322 L
.73035 .87191 L
.72999 .87161 L
.72875 .87058 L
.72805 .87001 L
.72714 .86925 L
.72613 .8684 L
.72554 .86791 L
.72421 .8668 L
.72393 .86656 L
.72233 .8652 L
.72231 .86519 L
.72072 .86384 L
.72042 .86359 L
.71912 .86247 L
.71854 .86198 L
.71751 .8611 L
.71667 .86038 L
.7159 .85972 L
.71481 .85877 L
.7143 .85833 L
.71296 .85717 L
.71269 .85694 L
.71112 .85556 L
.71109 .85554 L
.70948 .85413 L
.70928 .85396 L
.70788 .85272 L
.70746 .85235 L
.70627 .8513 L
.70564 .85074 L
.70467 .84988 L
.70384 .84914 L
.70306 .84845 L
.70204 .84753 L
.70146 .84702 L
.70024 .84593 L
.69985 .84558 L
.69846 .84432 L
.69825 .84413 L
.69668 .84272 L
.69664 .84268 L
.69504 .84123 L
.69491 .84111 L
.69343 .83977 L
.69315 .83951 L
.69183 .8383 L
.69139 .8379 L
.69022 .83683 L
.68964 .8363 L
.68862 .83535 L
.6879 .83469 L
.68701 .83387 L
.68617 .83309 L
.68541 .83238 L
.68444 .83148 L
.6838 .83089 L
.68272 .82988 L
.68219 .82939 L
.681 .82827 L
.68059 .82789 L
.67929 .82667 L
.67898 .82638 L
.67759 .82506 L
.67738 .82486 L
.67589 .82346 L
.67577 .82334 L
.67421 .82185 L
.67417 .82182 L
.67256 .82028 L
.67252 .82025 L
.67096 .81875 L
.67085 .81864 L
.66935 .8172 L
.66918 .81703 L
.66775 .81565 L
.66752 .81543 L
.66614 .8141 L
.66586 .81382 L
.66454 .81254 L
.66421 .81222 L
.66293 .81097 L
.66257 .81061 L
.66133 .80939 L
.66093 .80901 L
.65972 .80781 L
.6593 .8074 L
.65812 .80623 L
.65768 .8058 L
.65651 .80463 L
.65607 .80419 L
.65491 .80303 L
.65446 .80259 L
.6533 .80143 L
.65286 .80098 L
.6517 .79981 L
.65126 .79938 L
.65009 .79819 L
.64967 .79777 L
.64848 .79656 L
.64809 .79617 L
.64688 .79493 L
.64652 .79456 L
.64527 .79328 L
.64496 .79296 L
.64367 .79163 L
.6434 .79135 L
.64206 .78997 L
.64185 .78975 L
.64046 .7883 L
.64031 .78814 L
.63885 .78661 L
.63878 .78654 L
.63725 .78493 L
.63725 .78492 L
.63574 .78332 L
.63564 .78322 L
.63423 .78172 L
.63404 .78151 L
.63274 .78011 L
.63243 .77979 L
.63125 .77851 L
.63083 .77805 L
.62978 .7769 L
.62922 .7763 L
.62831 .7753 L
.62762 .77453 L
.62686 .77369 L
.62601 .77275 L
.62541 .77209 L
.62441 .77096 L
.62398 .77048 L
.6228 .76914 L
.62257 .76888 L
.6212 .76731 L
.62116 .76727 L
.61977 .76567 L
.61959 .76545 L
.6184 .76406 L
.61799 .76357 L
.61705 .76246 L
.61638 .76166 L
.61571 .76085 L
.61477 .75972 L
.61439 .75925 L
.61317 .75774 L
.61309 .75764 L
.61182 .75604 L
.61156 .75571 L
.61058 .75443 L
.60996 .75362 L
.60936 .75283 L
.60835 .75146 L
.60818 .75122 L
.60704 .74961 L
.60675 .7492 L
.60595 .74801 L
.60514 .74676 L
.60493 .7464 L
.60397 .7448 L
.60354 .74411 L
.60313 .74319 L
.60243 .74159 L
.60201 .73998 L
.60249 .73838 L
F
.395 .97 1 r
.60354 .59329 m
.60459 .59391 L
.60514 .59431 L
.6064 .59551 L
.60675 .59565 L
.60786 .59712 L
.60835 .59757 L
.60922 .59872 L
.60996 .59958 L
.61067 .60033 L
.61156 .60165 L
.61178 .60193 L
.61301 .60354 L
.61317 .60374 L
.61422 .60514 L
.61477 .60548 L
.61574 .60675 L
.61638 .608 L
.6166 .60835 L
.61767 .60996 L
.61799 .61044 L
.6187 .61156 L
.61959 .61312 L
.61962 .61317 L
.61959 .61471 L
.61799 .61426 L
.61734 .61317 L
.61638 .61241 L
.61574 .61156 L
.61477 .61056 L
.61383 .60996 L
.61317 .60865 L
.61285 .60835 L
.61161 .60675 L
.61156 .6067 L
.61033 .60514 L
.60996 .60499 L
.60907 .60354 L
.60835 .60279 L
.60759 .60193 L
.60675 .60056 L
.60658 .60033 L
.60542 .59872 L
.60514 .59834 L
.60429 .59712 L
.60354 .59598 L
.60292 .59551 L
.60253 .59391 L
F
1 .73 0 r
.60354 .53119 m
.60364 .5313 L
.60354 .53233 L
.60301 .5313 L
F
1 .91 .061 r
.60354 .60003 m
.60378 .60033 L
.60354 .60111 L
.60303 .60033 L
F
.084 .92 1 r
.60354 .52465 m
.60378 .52488 L
.60514 .52622 L
.60539 .52649 L
.60675 .52787 L
.60687 .52809 L
.60828 .5297 L
.60835 .52978 L
.60966 .5313 L
.60996 .53164 L
.61103 .53291 L
.61156 .53353 L
.61239 .53451 L
.61317 .53533 L
.61373 .53612 L
.61477 .53739 L
.6151 .53772 L
.61635 .53933 L
.61638 .53937 L
.61765 .54093 L
.61799 .54112 L
.61896 .54254 L
.61959 .54328 L
.62048 .54414 L
.6212 .54535 L
.62152 .54575 L
.6228 .54735 L
.6228 .54736 L
.62408 .54896 L
.62441 .54928 L
.62588 .55057 L
.62601 .55139 L
.62668 .55217 L
.62762 .55347 L
.62782 .55378 L
.62913 .55538 L
.62922 .55542 L
.63039 .55699 L
.63083 .55749 L
.63183 .55859 L
.63243 .55961 L
.63287 .5602 L
.63404 .56169 L
.63409 .5618 L
.63538 .56341 L
.63564 .56364 L
.63705 .56501 L
.63725 .56579 L
.63792 .56662 L
.63885 .56792 L
.63905 .56822 L
.64033 .56983 L
.64046 .56985 L
.64156 .57143 L
.64206 .57199 L
.64298 .57304 L
.64367 .57417 L
.64402 .57464 L
.64524 .57625 L
.64527 .57629 L
.64646 .57785 L
.64688 .57819 L
.64812 .57946 L
.64848 .58045 L
.64897 .58106 L
.65009 .58264 L
.65011 .58267 L
.65132 .58428 L
.6517 .58477 L
.65252 .58588 L
.6533 .58677 L
.6539 .58749 L
.65491 .58905 L
.65493 .58909 L
.65611 .5907 L
.65651 .59123 L
.6573 .5923 L
.65812 .59314 L
.65879 .59391 L
.65966 .59551 L
.65972 .5956 L
.6608 .59712 L
.66133 .59784 L
.66195 .59872 L
.66293 .60009 L
.6631 .60033 L
.66419 .60193 L
.66454 .60243 L
.66525 .60354 L
.66614 .60487 L
.66631 .60514 L
.66614 .60646 L
.66489 .60514 L
.66454 .60481 L
.66343 .60354 L
.66293 .60302 L
.66202 .60193 L
.66133 .60116 L
.66064 .60033 L
.65972 .59965 L
.65928 .59872 L
.65812 .5974 L
.65775 .59712 L
.65662 .59551 L
.65651 .59538 L
.65533 .59391 L
.65491 .5934 L
.65404 .5923 L
.6533 .59164 L
.65274 .5907 L
.6517 .58946 L
.65132 .58909 L
.65017 .58749 L
.65009 .58739 L
.64891 .58588 L
.64848 .58536 L
.64765 .58428 L
.64688 .58346 L
.646 .58267 L
.64527 .5813 L
.64506 .58106 L
.64386 .57946 L
.64367 .57923 L
.64262 .57785 L
.64206 .57744 L
.64137 .57625 L
.64046 .57519 L
.63994 .57464 L
.63885 .57304 L
.63885 .57304 L
.63763 .57143 L
.63725 .57096 L
.63639 .56983 L
.63564 .56907 L
.63478 .56822 L
.63404 .56684 L
.63384 .56662 L
.63266 .56501 L
.63243 .56472 L
.63144 .56341 L
.63083 .56298 L
.63021 .5618 L
.62922 .56063 L
.62883 .5602 L
.62773 .55859 L
.62762 .55845 L
.62652 .55699 L
.62601 .55634 L
.6253 .55538 L
.62441 .55443 L
.62379 .55378 L
.62282 .55217 L
.6228 .55214 L
.62163 .55057 L
.6212 .55001 L
.62042 .54896 L
.61959 .54825 L
.61919 .54735 L
.61799 .5458 L
.61794 .54575 L
.61678 .54414 L
.61638 .54364 L
.61559 .54254 L
.61477 .54149 L
.61437 .54093 L
.61317 .53938 L
.61312 .53933 L
.61199 .53772 L
.61156 .53718 L
.61082 .53612 L
.60996 .53499 L
.60963 .53451 L
.60843 .53291 L
.60835 .5328 L
.60733 .5313 L
.60675 .53053 L
.6062 .5297 L
.60514 .52824 L
.60505 .52809 L
.60404 .52649 L
.60354 .52573 L
.60317 .52488 L
F
.289 .96 1 r
.60514 .59482 m
.60594 .59551 L
.60675 .5959 L
.60753 .59712 L
.60835 .59789 L
.60894 .59872 L
.60996 .5999 L
.61039 .60033 L
.61154 .60193 L
.61156 .60196 L
.61276 .60354 L
.61317 .60407 L
.61397 .60514 L
.61477 .60589 L
.6154 .60675 L
.61626 .60835 L
.61638 .60854 L
.61728 .60996 L
.61799 .61115 L
.6182 .61156 L
.61799 .6129 L
.61638 .61177 L
.61623 .61156 L
.61477 .61011 L
.6145 .60996 L
.61322 .60835 L
.61317 .6083 L
.61188 .60675 L
.61156 .60638 L
.61058 .60514 L
.60996 .6048 L
.6093 .60354 L
.60835 .60247 L
.60787 .60193 L
.60683 .60033 L
.60675 .60022 L
.60568 .59872 L
.60514 .59795 L
.60459 .59712 L
.60365 .59551 L
F
.212 .95 1 r
.60514 .59542 m
.60528 .59551 L
.60675 .59638 L
.60715 .59712 L
.60835 .59829 L
.60864 .59872 L
.60996 .60027 L
.61002 .60033 L
.61127 .60193 L
.61156 .6023 L
.6125 .60354 L
.61317 .60442 L
.61369 .60514 L
.61477 .60656 L
.61491 .60675 L
.61587 .60835 L
.61638 .60917 L
.6168 .60996 L
.61638 .61099 L
.61516 .60996 L
.61477 .60961 L
.6136 .60835 L
.61317 .60791 L
.61218 .60675 L
.61156 .60604 L
.61084 .60514 L
.60996 .60446 L
.60954 .60354 L
.60835 .60208 L
.60822 .60193 L
.6071 .60033 L
.60675 .59986 L
.60597 .59872 L
.60514 .59747 L
.60493 .59712 L
.60439 .59551 L
F
0 .52 1 r
.60514 .53942 m
.60628 .54093 L
.60675 .54149 L
.60752 .54254 L
.60835 .54357 L
.60878 .54414 L
.60996 .54565 L
.61003 .54575 L
.61119 .54735 L
.61156 .54781 L
.61236 .54896 L
.61317 .54998 L
.61357 .55057 L
.61477 .55216 L
.61478 .55217 L
.61477 .55328 L
.61391 .55217 L
.61317 .55138 L
.61255 .55057 L
.61156 .54944 L
.61121 .54896 L
.60996 .54747 L
.60987 .54735 L
.60863 .54575 L
.60835 .54543 L
.6074 .54414 L
.60675 .54337 L
.60615 .54254 L
.60514 .54131 L
.60487 .54093 L
F
0 .51 1 r
.60514 .53952 m
.60619 .54093 L
.60675 .5416 L
.60744 .54254 L
.60835 .54367 L
.6087 .54414 L
.60835 .54533 L
.60749 .54414 L
.60675 .54327 L
.60622 .54254 L
.60514 .54122 L
.60494 .54093 L
F
0 .5 1 r
.60514 .53964 m
.60609 .54093 L
.60675 .54171 L
.60735 .54254 L
.60835 .54378 L
.60862 .54414 L
.60835 .54521 L
.60759 .54414 L
.60675 .54317 L
.6063 .54254 L
.60514 .54113 L
.60501 .54093 L
F
1 .41 0 r
.60514 .54636 m
.60571 .54735 L
.60514 .54751 L
.60502 .54735 L
F
1 .73 0 r
.60514 .53295 m
.60647 .53451 L
.60675 .53482 L
.60782 .53612 L
.60835 .53673 L
.60916 .53772 L
.60996 .53866 L
.6105 .53933 L
.61156 .54062 L
.61181 .54093 L
.61311 .54254 L
.61317 .54261 L
.61438 .54414 L
.61477 .54463 L
.61566 .54575 L
.61638 .54665 L
.61694 .54735 L
.61799 .54852 L
.61821 .54896 L
.61946 .55057 L
.61959 .55073 L
.6207 .55217 L
.6212 .5528 L
.62195 .55378 L
.6228 .55487 L
.6232 .55538 L
.62441 .55693 L
.62446 .55699 L
.62564 .55859 L
.62601 .55906 L
.62686 .5602 L
.62762 .56117 L
.62809 .5618 L
.62922 .5632 L
.62931 .56341 L
.63049 .56501 L
.63083 .56545 L
.63167 .56662 L
.63243 .56761 L
.63287 .56822 L
.63404 .56979 L
.63406 .56983 L
.63517 .57143 L
.63564 .57206 L
.6363 .57304 L
.63725 .57435 L
.63744 .57464 L
.63725 .5758 L
.63628 .57464 L
.63564 .57398 L
.63488 .57304 L
.63404 .5721 L
.63351 .57143 L
.63243 .57018 L
.63216 .56983 L
.63083 .56823 L
.63083 .56822 L
.62957 .56662 L
.62922 .56622 L
.62829 .56501 L
.62762 .56421 L
.62701 .56341 L
.62601 .56219 L
.62572 .5618 L
.62443 .5602 L
.62441 .56017 L
.62321 .55859 L
.6228 .5581 L
.62196 .55699 L
.6212 .55604 L
.62071 .55538 L
.61959 .55417 L
.61944 .55378 L
.61821 .55217 L
.61799 .55189 L
.617 .55057 L
.61638 .54979 L
.61577 .54896 L
.61477 .54769 L
.61453 .54735 L
.6133 .54575 L
.61317 .54558 L
.61213 .54414 L
.61156 .54343 L
.61093 .54254 L
.60996 .5413 L
.6097 .54093 L
.6085 .53933 L
.60835 .53914 L
.60737 .53772 L
.60675 .53691 L
.60621 .53612 L
.60514 .5347 L
.60502 .53451 L
F
0 .49 1 r
.60514 .53978 m
.60597 .54093 L
.60675 .54184 L
.60725 .54254 L
.60835 .5439 L
.60853 .54414 L
.60835 .54507 L
.6077 .54414 L
.60675 .54305 L
.60639 .54254 L
.60514 .54102 L
.60508 .54093 L
F
1 .4 0 r
.60514 .54653 m
.60553 .54735 L
.60514 .54738 L
.60512 .54735 L
F
1 .72 0 r
.60514 .53318 m
.60629 .53451 L
.60675 .53499 L
.60769 .53612 L
.60835 .53687 L
.60905 .53772 L
.60996 .53879 L
.6104 .53933 L
.61156 .54074 L
.61172 .54093 L
.61301 .54254 L
.61317 .54273 L
.61429 .54414 L
.61477 .54473 L
.61557 .54575 L
.61638 .54674 L
.61686 .54735 L
.61799 .54866 L
.61813 .54896 L
.61938 .55057 L
.61959 .55083 L
.62062 .55217 L
.6212 .55289 L
.62187 .55378 L
.6228 .55496 L
.62312 .55538 L
.62436 .55699 L
.62441 .55704 L
.62557 .55859 L
.62601 .55916 L
.62679 .5602 L
.62762 .56127 L
.62801 .5618 L
.62922 .56338 L
.62923 .56341 L
.6304 .56501 L
.63083 .56556 L
.63158 .56662 L
.63243 .56774 L
.63278 .56822 L
.63395 .56983 L
.63404 .56994 L
.63504 .57143 L
.63564 .57225 L
.63615 .57304 L
.63725 .5746 L
.63727 .57464 L
.63725 .57548 L
.63651 .57464 L
.63564 .5738 L
.63503 .57304 L
.63404 .57196 L
.63363 .57143 L
.63243 .57006 L
.63225 .56983 L
.63093 .56822 L
.63083 .56811 L
.62966 .56662 L
.62922 .56611 L
.62837 .56501 L
.62762 .56411 L
.62708 .56341 L
.62601 .5621 L
.62578 .5618 L
.62451 .5602 L
.62441 .56008 L
.62328 .55859 L
.6228 .55801 L
.62203 .55699 L
.6212 .55596 L
.62077 .55538 L
.61959 .55402 L
.6195 .55378 L
.61828 .55217 L
.61799 .55181 L
.61707 .55057 L
.61638 .5497 L
.61584 .54896 L
.61477 .54761 L
.61459 .54735 L
.61338 .54575 L
.61317 .54549 L
.6122 .54414 L
.61156 .54334 L
.611 .54254 L
.60996 .5412 L
.60977 .54093 L
.6086 .53933 L
.60835 .53901 L
.60748 .53772 L
.60675 .53677 L
.60632 .53612 L
.60514 .53453 L
.60513 .53451 L
F
1 .98 .538 r
.60675 .59189 m
.60835 .59213 L
.60868 .5923 L
.60996 .59315 L
.61098 .59391 L
.61156 .59475 L
.61221 .59551 L
.61317 .59661 L
.61342 .59712 L
.61477 .59859 L
.61488 .59872 L
.61635 .60033 L
.61638 .60062 L
.61745 .60193 L
.61799 .60272 L
.61854 .60354 L
.61959 .60483 L
.61965 .60514 L
.62109 .60675 L
.6212 .6068 L
.62245 .60835 L
.6228 .6089 L
.62348 .60996 L
.62441 .61116 L
.62457 .61156 L
.6258 .61317 L
.62601 .61348 L
.62737 .61477 L
.62762 .61602 L
.62788 .61638 L
.62823 .61799 L
.62762 .6184 L
.62645 .61799 L
.62601 .61774 L
.62442 .61638 L
.62441 .61638 L
.62292 .61477 L
.6228 .61467 L
.62156 .61317 L
.6212 .61277 L
.62025 .61156 L
.61959 .61076 L
.61877 .60996 L
.61799 .60871 L
.61767 .60835 L
.61642 .60675 L
.61638 .60675 L
.61519 .60514 L
.61477 .60477 L
.61361 .60354 L
.61317 .60262 L
.61264 .60193 L
.61156 .60044 L
.6115 .60033 L
.61029 .59872 L
.60996 .59828 L
.60911 .59712 L
.60835 .59608 L
.60779 .59551 L
.60688 .59391 L
.60675 .59366 L
.60631 .5923 L
F
.156 .94 1 r
.60675 .59721 m
.60828 .59872 L
.60835 .5988 L
.60967 .60033 L
.60996 .60066 L
.61096 .60193 L
.61156 .60268 L
.6122 .60354 L
.61317 .60483 L
.61339 .60514 L
.61445 .60675 L
.61477 .60724 L
.61537 .60835 L
.61477 .60899 L
.61411 .60835 L
.61317 .60746 L
.61254 .60675 L
.61156 .60567 L
.61113 .60514 L
.60996 .60392 L
.6098 .60354 L
.60856 .60193 L
.60835 .60167 L
.6074 .60033 L
.60675 .59941 L
.60631 .59872 L
F
.061 .91 1 r
.60675 .5284 m
.60794 .5297 L
.60835 .53013 L
.60939 .5313 L
.60996 .53194 L
.6108 .53291 L
.61156 .53379 L
.61218 .53451 L
.61317 .53559 L
.61353 .53612 L
.61477 .53762 L
.61488 .53772 L
.61618 .53933 L
.61638 .53957 L
.6175 .54093 L
.61799 .54124 L
.61881 .54254 L
.61959 .54345 L
.62033 .54414 L
.6212 .54551 L
.62139 .54575 L
.62267 .54735 L
.6228 .54751 L
.62396 .54896 L
.62441 .5494 L
.62581 .55057 L
.62601 .55153 L
.62657 .55217 L
.62762 .5536 L
.62774 .55378 L
.62902 .55538 L
.62922 .55546 L
.63029 .55699 L
.63083 .55761 L
.63174 .55859 L
.63243 .55974 L
.63278 .5602 L
.63403 .5618 L
.63404 .56181 L
.63528 .56341 L
.63564 .56373 L
.63699 .56501 L
.63725 .56591 L
.63783 .56662 L
.63885 .56804 L
.63897 .56822 L
.64023 .56983 L
.64046 .56987 L
.64147 .57143 L
.64206 .57211 L
.64289 .57304 L
.64367 .5743 L
.64392 .57464 L
.64514 .57625 L
.64527 .57642 L
.64636 .57785 L
.64688 .5783 L
.64802 .57946 L
.64848 .5806 L
.64885 .58106 L
.65 .58267 L
.65009 .58278 L
.6512 .58428 L
.6517 .58493 L
.65241 .58588 L
.6533 .58696 L
.65374 .58749 L
.6548 .58909 L
.65491 .58924 L
.65597 .5907 L
.65651 .59142 L
.65715 .5923 L
.65812 .59343 L
.65853 .59391 L
.65947 .59551 L
.65972 .59585 L
.6606 .59712 L
.66133 .59812 L
.66174 .59872 L
.66285 .60033 L
.66293 .60044 L
.66386 .60193 L
.66454 .60296 L
.66486 .60354 L
.66454 .60424 L
.66387 .60354 L
.66293 .60264 L
.66232 .60193 L
.66133 .60086 L
.66088 .60033 L
.65972 .59927 L
.65948 .59872 L
.65812 .59713 L
.6581 .59712 L
.6568 .59551 L
.65651 .59518 L
.65549 .59391 L
.65491 .59322 L
.65417 .5923 L
.6533 .59147 L
.65286 .5907 L
.6517 .58929 L
.65148 .58909 L
.65029 .58749 L
.65009 .58725 L
.64902 .58588 L
.64848 .58523 L
.64775 .58428 L
.64688 .58333 L
.64613 .58267 L
.64527 .58118 L
.64517 .58106 L
.64395 .57946 L
.64367 .57911 L
.6427 .57785 L
.64206 .57735 L
.64145 .57625 L
.64046 .57508 L
.64004 .57464 L
.63893 .57304 L
.63885 .57294 L
.6377 .57143 L
.63725 .57086 L
.63646 .56983 L
.63564 .56897 L
.63488 .56822 L
.63404 .56674 L
.63393 .56662 L
.63274 .56501 L
.63243 .56463 L
.63152 .56341 L
.63083 .56288 L
.63028 .5618 L
.62922 .56052 L
.62893 .5602 L
.6278 .55859 L
.62762 .55835 L
.6266 .55699 L
.62601 .55624 L
.62537 .55538 L
.62441 .5543 L
.6239 .55378 L
.6229 .55217 L
.6228 .55204 L
.62171 .55057 L
.6212 .54991 L
.6205 .54896 L
.61959 .5481 L
.61927 .54735 L
.61805 .54575 L
.61799 .54567 L
.61688 .54414 L
.61638 .54351 L
.61568 .54254 L
.61477 .54136 L
.61447 .54093 L
.61326 .53933 L
.61317 .53921 L
.61212 .53772 L
.61156 .537 L
.61096 .53612 L
.60996 .5348 L
.60976 .53451 L
.60862 .53291 L
.60835 .53255 L
.60754 .5313 L
.60675 .5302 L
.60644 .5297 L
F
1 .71 0 r
.60675 .53518 m
.60753 .53612 L
.60835 .53702 L
.60893 .53772 L
.60996 .53892 L
.61029 .53933 L
.61156 .54086 L
.61163 .54093 L
.61291 .54254 L
.61317 .54284 L
.6142 .54414 L
.61477 .54484 L
.61549 .54575 L
.61638 .54685 L
.61678 .54735 L
.61799 .54881 L
.61806 .54896 L
.61929 .55057 L
.61959 .55093 L
.62054 .55217 L
.6212 .55299 L
.6218 .55378 L
.6228 .55506 L
.62305 .55538 L
.62428 .55699 L
.62441 .55715 L
.62548 .55859 L
.62601 .55926 L
.62671 .5602 L
.62762 .56137 L
.62793 .5618 L
.62914 .56341 L
.62922 .56351 L
.6303 .56501 L
.63083 .56569 L
.63149 .56662 L
.63243 .56788 L
.63268 .56822 L
.63381 .56983 L
.63404 .57012 L
.63488 .57143 L
.63564 .57248 L
.63598 .57304 L
.63564 .57356 L
.63522 .57304 L
.63404 .57179 L
.63375 .57143 L
.63243 .56993 L
.63236 .56983 L
.63104 .56822 L
.63083 .56798 L
.62976 .56662 L
.62922 .566 L
.62846 .56501 L
.62762 .56401 L
.62716 .56341 L
.62601 .56201 L
.62585 .5618 L
.62459 .5602 L
.62441 .55998 L
.62335 .55859 L
.6228 .55792 L
.6221 .55699 L
.6212 .55587 L
.62083 .55538 L
.61959 .55386 L
.61956 .55378 L
.61836 .55217 L
.61799 .55172 L
.61714 .55057 L
.61638 .54962 L
.6159 .54896 L
.61477 .54752 L
.61465 .54735 L
.61346 .54575 L
.61317 .54539 L
.61228 .54414 L
.61156 .54323 L
.61108 .54254 L
.60996 .54109 L
.60985 .54093 L
.60871 .53933 L
.60835 .53887 L
.6076 .53772 L
.60675 .5366 L
.60644 .53612 L
F
0 .48 1 r
.60675 .542 m
.60712 .54254 L
.60835 .54405 L
.60842 .54414 L
.60835 .54489 L
.60786 .54414 L
.60675 .5429 L
.6065 .54254 L
F
1 .7 0 r
.60675 .53544 m
.60733 .53612 L
.60835 .5372 L
.60879 .53772 L
.60996 .53906 L
.61018 .53933 L
.61151 .54093 L
.61156 .54099 L
.6128 .54254 L
.61317 .54297 L
.6141 .54414 L
.61477 .54495 L
.6154 .54575 L
.61638 .54695 L
.6167 .54735 L
.61797 .54896 L
.61799 .54898 L
.61921 .55057 L
.61959 .55103 L
.62046 .55217 L
.6212 .55309 L
.62172 .55378 L
.6228 .55516 L
.62297 .55538 L
.62419 .55699 L
.62441 .55726 L
.6254 .55859 L
.62601 .55937 L
.62662 .5602 L
.62762 .56149 L
.62785 .5618 L
.62904 .56341 L
.62922 .56364 L
.6302 .56501 L
.63083 .56583 L
.63138 .56662 L
.63243 .56803 L
.63257 .56822 L
.63243 .56977 L
.63118 .56822 L
.63083 .56784 L
.62987 .56662 L
.62922 .56588 L
.62856 .56501 L
.62762 .56391 L
.62724 .56341 L
.62601 .56192 L
.62592 .5618 L
.62467 .5602 L
.62441 .55988 L
.62343 .55859 L
.6228 .55783 L
.62217 .55699 L
.6212 .55578 L
.6209 .55538 L
.61963 .55378 L
.61959 .55373 L
.61843 .55217 L
.61799 .55162 L
.61722 .55057 L
.61638 .54952 L
.61597 .54896 L
.61477 .54743 L
.61472 .54735 L
.61355 .54575 L
.61317 .54528 L
.61237 .54414 L
.61156 .54312 L
.61116 .54254 L
.60996 .54097 L
.60993 .54093 L
.60884 .53933 L
.60835 .5387 L
.60774 .53772 L
.60675 .53639 L
.60659 .53612 L
F
0 .47 1 r
.60675 .54223 m
.60695 .54254 L
.60675 .5427 L
.60665 .54254 L
F
1 .97 .395 r
.60835 .59319 m
.60978 .59391 L
.60996 .59403 L
.61156 .59545 L
.61162 .59551 L
.6131 .59712 L
.61317 .59714 L
.61447 .59872 L
.61477 .59902 L
.61628 .60033 L
.61638 .60105 L
.61715 .60193 L
.61799 .60313 L
.61826 .60354 L
.61954 .60514 L
.61959 .60521 L
.62075 .60675 L
.6212 .60705 L
.62216 .60835 L
.6228 .60946 L
.6231 .60996 L
.62418 .61156 L
.62441 .61191 L
.6252 .61317 L
.62601 .61466 L
.62614 .61477 L
.62601 .61618 L
.62441 .61586 L
.62369 .61477 L
.6228 .61411 L
.62208 .61317 L
.6212 .61227 L
.62065 .61156 L
.61959 .61034 L
.61915 .60996 L
.61799 .60837 L
.61797 .60835 L
.6167 .60675 L
.61638 .60669 L
.61545 .60514 L
.61477 .60449 L
.61386 .60354 L
.61317 .60227 L
.61291 .60193 L
.61176 .60033 L
.61156 .60007 L
.61059 .59872 L
.60996 .59785 L
.60945 .59712 L
.60838 .59551 L
.60835 .59547 L
.60768 .59391 L
F
.114 .93 1 r
.60835 .59933 m
.60924 .60033 L
.60996 .60112 L
.6106 .60193 L
.61156 .60314 L
.61185 .60354 L
.61297 .60514 L
.61317 .60544 L
.61382 .60675 L
.61317 .60687 L
.61305 .60675 L
.61156 .60522 L
.6115 .60514 L
.61016 .60354 L
.60996 .6033 L
.60894 .60193 L
.60835 .60117 L
.60779 .60033 L
F
1 .97 .395 r
.60835 .5237 m
.60949 .52488 L
.60996 .52536 L
.61099 .52649 L
.61156 .52712 L
.61244 .52809 L
.61317 .52876 L
.61385 .5297 L
.61477 .53079 L
.61539 .5313 L
.61638 .53271 L
.61655 .53291 L
.61792 .53451 L
.61799 .53452 L
.61927 .53612 L
.61959 .53649 L
.62103 .53772 L
.6212 .5385 L
.6219 .53933 L
.6228 .54052 L
.62307 .54093 L
.62441 .54248 L
.62451 .54254 L
.6258 .54414 L
.62601 .54442 L
.62717 .54575 L
.62762 .54647 L
.62827 .54735 L
.62922 .54855 L
.62939 .54896 L
.63083 .55053 L
.63092 .55057 L
.63232 .55217 L
.63243 .5525 L
.63342 .55378 L
.63404 .5546 L
.63452 .55538 L
.63564 .55671 L
.63599 .55699 L
.63722 .55859 L
.63725 .55862 L
.63852 .5602 L
.63885 .56071 L
.63962 .5618 L
.64046 .56284 L
.64068 .56341 L
.64206 .56491 L
.64224 .56501 L
.64356 .56662 L
.64367 .56687 L
.64469 .56822 L
.64527 .569 L
.64577 .56983 L
.64688 .57112 L
.64722 .57143 L
.64844 .57304 L
.64848 .57309 L
.64973 .57464 L
.65009 .57519 L
.65082 .57625 L
.6517 .57733 L
.65188 .57785 L
.6533 .57939 L
.6534 .57946 L
.65474 .58106 L
.65491 .58142 L
.65584 .58267 L
.65651 .58355 L
.65692 .58428 L
.65812 .58567 L
.65833 .58588 L
.65956 .58749 L
.65972 .58768 L
.66085 .58909 L
.66133 .5898 L
.66192 .5907 L
.66293 .59194 L
.66303 .5923 L
.66446 .59391 L
.66454 .59397 L
.66586 .59551 L
.66614 .59608 L
.66691 .59712 L
.66775 .59823 L
.66801 .59872 L
.66935 .60033 L
.66935 .60033 L
.67056 .60193 L
.67096 .60237 L
.67188 .60354 L
.67256 .60455 L
.67295 .60514 L
.67417 .60671 L
.67418 .60675 L
.67541 .60835 L
.67577 .60866 L
.67686 .60996 L
.67738 .61091 L
.67784 .61156 L
.67898 .61313 L
.67901 .61317 L
.6802 .61477 L
.68059 .6153 L
.68195 .61638 L
.68219 .61734 L
.68267 .61799 L
.68375 .61959 L
.6838 .61966 L
.6849 .6212 L
.68541 .62189 L
.68606 .6228 L
.68701 .62396 L
.68734 .62441 L
.68832 .62601 L
.68862 .62643 L
.68941 .62762 L
.69022 .6288 L
.6905 .62922 L
.69149 .63083 L
.69183 .63136 L
.69235 .63243 L
.69183 .63291 L
.69134 .63243 L
.69022 .63138 L
.68972 .63083 L
.68862 .63006 L
.68823 .62922 L
.68701 .62793 L
.6868 .62762 L
.68541 .62601 L
.68541 .62601 L
.68407 .62441 L
.6838 .6241 L
.68274 .6228 L
.68219 .62239 L
.68141 .6212 L
.68059 .62028 L
.67979 .61959 L
.67898 .61824 L
.67874 .61799 L
.67749 .61638 L
.67738 .61624 L
.67622 .61477 L
.67577 .61435 L
.67494 .61317 L
.67417 .61225 L
.67351 .61156 L
.67256 .61018 L
.67238 .60996 L
.67113 .60835 L
.67096 .60826 L
.66987 .60675 L
.66935 .60618 L
.6683 .60514 L
.66775 .60407 L
.66729 .60354 L
.66614 .602 L
.6661 .60193 L
.66485 .60033 L
.66454 .60006 L
.66361 .59872 L
.66293 .59793 L
.6622 .59712 L
.66133 .59581 L
.6611 .59551 L
.65986 .59391 L
.65972 .59386 L
.65863 .5923 L
.65812 .59176 L
.65708 .5907 L
.65651 .58961 L
.65608 .58909 L
.65491 .5875 L
.65489 .58749 L
.65367 .58588 L
.6533 .58559 L
.65189 .58428 L
.6517 .58341 L
.65104 .58267 L
.65009 .58126 L
.64994 .58106 L
.64872 .57946 L
.64848 .57942 L
.6475 .57785 L
.64688 .57722 L
.64597 .57625 L
.64527 .57503 L
.64496 .57464 L
.64378 .57304 L
.64367 .57289 L
.64257 .57143 L
.64206 .57106 L
.64081 .56983 L
.64046 .5688 L
.63997 .56822 L
.63885 .56662 L
.63885 .56662 L
.63765 .56501 L
.63725 .5645 L
.63643 .56341 L
.63564 .56259 L
.63494 .5618 L
.63404 .56034 L
.63392 .5602 L
.63274 .55859 L
.63243 .5582 L
.63153 .55699 L
.63083 .55642 L
.62985 .55538 L
.62922 .55406 L
.62898 .55378 L
.62784 .55217 L
.62762 .55188 L
.62665 .55057 L
.62601 .54976 L
.62543 .54896 L
.62441 .54778 L
.62404 .54735 L
.62297 .54575 L
.6228 .54553 L
.62179 .54414 L
.6212 .54339 L
.62058 .54254 L
.61959 .54148 L
.61911 .54093 L
.61815 .53933 L
.61799 .53912 L
.61698 .53772 L
.61638 .53695 L
.61579 .53612 L
.61477 .53479 L
.61458 .53451 L
.6134 .53291 L
.61317 .53261 L
.61226 .5313 L
.61156 .53037 L
.61111 .5297 L
.60996 .52814 L
.60992 .52809 L
.60886 .52649 L
.60835 .52578 L
.60782 .52488 L
F
.045 .9 1 r
.60835 .53055 m
.60905 .5313 L
.60996 .53226 L
.61053 .53291 L
.61156 .53408 L
.61194 .53451 L
.61317 .53589 L
.61332 .53612 L
.61466 .53772 L
.61477 .53785 L
.616 .53933 L
.61638 .53977 L
.61734 .54093 L
.61799 .54139 L
.61866 .54254 L
.61959 .54364 L
.62016 .54414 L
.6212 .54568 L
.62126 .54575 L
.62254 .54735 L
.6228 .54767 L
.62383 .54896 L
.62441 .54953 L
.62571 .55057 L
.62601 .55168 L
.62645 .55217 L
.62762 .55373 L
.62764 .55378 L
.62891 .55538 L
.62922 .55552 L
.63018 .55699 L
.63083 .55773 L
.63164 .55859 L
.63243 .55987 L
.63269 .5602 L
.63393 .5618 L
.63404 .56193 L
.63518 .56341 L
.63564 .56383 L
.63692 .56501 L
.63725 .56603 L
.63773 .56662 L
.63885 .56816 L
.63889 .56822 L
.64013 .56983 L
.64046 .56991 L
.64137 .57143 L
.64206 .57223 L
.64279 .57304 L
.64367 .57443 L
.64383 .57464 L
.64504 .57625 L
.64527 .57656 L
.64625 .57785 L
.64688 .57843 L
.64791 .57946 L
.64848 .58075 L
.64873 .58106 L
.64988 .58267 L
.65009 .58294 L
.65108 .58428 L
.6517 .58509 L
.65228 .58588 L
.6533 .58716 L
.65357 .58749 L
.65465 .58909 L
.65491 .58943 L
.65582 .5907 L
.65651 .59163 L
.657 .5923 L
.65812 .5938 L
.65821 .59391 L
.65927 .59551 L
.65972 .59613 L
.66039 .59712 L
.66133 .59846 L
.6615 .59872 L
.66249 .60033 L
.66293 .60101 L
.66335 .60193 L
.66293 .60211 L
.66277 .60193 L
.66133 .60051 L
.66117 .60033 L
.65972 .59875 L
.65971 .59872 L
.65834 .59712 L
.65812 .59687 L
.65699 .59551 L
.65651 .59497 L
.65565 .59391 L
.65491 .59304 L
.65432 .5923 L
.6533 .59126 L
.65299 .5907 L
.6517 .58911 L
.65167 .58909 L
.65041 .58749 L
.65009 .5871 L
.64913 .58588 L
.64848 .58509 L
.64785 .58428 L
.64688 .58319 L
.64628 .58267 L
.64528 .58106 L
.64527 .58105 L
.64404 .57946 L
.64367 .579 L
.64279 .57785 L
.64206 .57724 L
.64153 .57625 L
.64046 .57496 L
.64015 .57464 L
.63901 .57304 L
.63885 .57284 L
.63778 .57143 L
.63725 .57077 L
.63654 .56983 L
.63564 .56886 L
.63499 .56822 L
.63404 .56663 L
.63402 .56662 L
.63282 .56501 L
.63243 .56453 L
.63159 .56341 L
.63083 .56278 L
.63035 .5618 L
.62922 .56041 L
.62903 .5602 L
.62788 .55859 L
.62762 .55826 L
.62667 .55699 L
.62601 .55615 L
.62545 .55538 L
.62441 .55417 L
.62403 .55378 L
.62299 .55217 L
.6228 .55193 L
.6218 .55057 L
.6212 .5498 L
.62059 .54896 L
.61959 .54792 L
.61936 .54735 L
.61815 .54575 L
.61799 .54554 L
.61698 .54414 L
.61638 .54337 L
.61579 .54254 L
.61477 .54121 L
.61458 .54093 L
.6134 .53933 L
.61317 .53903 L
.61226 .53772 L
.61156 .5368 L
.6111 .53612 L
.60996 .53457 L
.60992 .53451 L
.60886 .53291 L
.60835 .5322 L
.60783 .5313 L
F
1 .92 .084 r
.60835 .74388 m
.60996 .74347 L
.61156 .74391 L
.61317 .74454 L
.61383 .7448 L
.61477 .74528 L
.61638 .74613 L
.61689 .7464 L
.61799 .74703 L
.61959 .748 L
.61961 .74801 L
.6212 .749 L
.62216 .74961 L
.6228 .75004 L
.62441 .75111 L
.62457 .75122 L
.62601 .7522 L
.62691 .75283 L
.62762 .75332 L
.62918 .75443 L
.62922 .75446 L
.63083 .75562 L
.6314 .75604 L
.63243 .7568 L
.63357 .75764 L
.63404 .75799 L
.63564 .7592 L
.63571 .75925 L
.63725 .76042 L
.63781 .76085 L
.63885 .76165 L
.63989 .76246 L
.64046 .7629 L
.64194 .76406 L
.64206 .76416 L
.64367 .76543 L
.64397 .76567 L
.64527 .76671 L
.64598 .76727 L
.64688 .768 L
.64797 .76888 L
.64848 .7693 L
.64994 .77048 L
.65009 .7706 L
.6517 .77192 L
.6519 .77209 L
.6533 .77325 L
.65384 .77369 L
.65491 .77458 L
.65577 .7753 L
.65651 .77592 L
.65769 .7769 L
.65812 .77726 L
.65959 .77851 L
.65972 .77862 L
.66133 .77998 L
.66149 .78011 L
.66293 .78134 L
.66337 .78172 L
.66454 .78272 L
.66525 .78332 L
.66614 .7841 L
.66711 .78493 L
.66775 .78548 L
.66897 .78654 L
.66935 .78687 L
.67082 .78814 L
.67096 .78826 L
.67256 .78967 L
.67265 .78975 L
.67417 .79107 L
.67448 .79135 L
.67577 .79249 L
.67631 .79296 L
.67738 .79391 L
.67812 .79456 L
.67898 .79533 L
.67992 .79617 L
.68059 .79676 L
.68172 .79777 L
.68219 .7982 L
.6835 .79938 L
.6838 .79964 L
.68528 .80098 L
.68541 .8011 L
.68701 .80255 L
.68705 .80259 L
.68862 .80402 L
.6888 .80419 L
.69022 .80549 L
.69055 .8058 L
.69183 .80698 L
.69229 .8074 L
.69343 .80846 L
.69402 .80901 L
.69504 .80996 L
.69574 .81061 L
.69664 .81146 L
.69745 .81222 L
.69825 .81298 L
.69915 .81382 L
.69985 .81449 L
.70084 .81543 L
.70146 .81602 L
.70253 .81703 L
.70306 .81755 L
.70421 .81864 L
.70467 .81908 L
.70588 .82025 L
.70627 .82063 L
.70754 .82185 L
.70788 .82217 L
.7092 .82346 L
.70948 .82373 L
.71086 .82506 L
.71109 .82528 L
.71251 .82667 L
.71269 .82685 L
.71415 .82827 L
.7143 .82842 L
.71579 .82988 L
.7159 .82999 L
.71743 .83148 L
.71751 .83156 L
.71906 .83309 L
.71912 .83315 L
.72068 .83469 L
.72072 .83473 L
.7223 .8363 L
.72233 .83632 L
.72391 .8379 L
.72393 .83792 L
.72552 .83951 L
.72554 .83953 L
.72712 .84111 L
.72714 .84114 L
.72871 .84272 L
.72875 .84276 L
.73029 .84432 L
.73035 .84438 L
.73187 .84593 L
.73196 .84602 L
.73344 .84753 L
.73356 .84766 L
.73499 .84914 L
.73517 .84932 L
.73654 .85074 L
.73677 .85098 L
.73808 .85235 L
.73838 .85266 L
.73961 .85396 L
.73998 .85435 L
.74112 .85556 L
.74159 .85606 L
.74263 .85717 L
.74319 .85777 L
.74412 .85877 L
.7448 .8595 L
.7456 .86038 L
.7464 .86125 L
.74707 .86198 L
.74801 .86301 L
.74853 .86359 L
.74961 .86479 L
.74997 .86519 L
.75122 .86659 L
.7514 .8668 L
.75282 .8684 L
.75283 .86841 L
.75422 .87001 L
.75443 .87025 L
.75561 .87161 L
.75604 .87211 L
.75698 .87322 L
.75764 .874 L
.75833 .87482 L
.75925 .87592 L
.75966 .87643 L
.76085 .87788 L
.76097 .87803 L
.76226 .87964 L
.76246 .87988 L
.76352 .88124 L
.76406 .88193 L
.76476 .88285 L
.76567 .88406 L
.76595 .88445 L
.76711 .88606 L
.76727 .88628 L
.76822 .88767 L
.76888 .88864 L
.76927 .88927 L
.77024 .89088 L
.77048 .89117 L
.77111 .89248 L
.77182 .89409 L
.77209 .89502 L
.77221 .89569 L
.77209 .89673 L
.77156 .8973 L
.77048 .8975 L
.76929 .8973 L
.76888 .8972 L
.76727 .89662 L
.76567 .89588 L
.76526 .89569 L
.76406 .89506 L
.76246 .89416 L
.76233 .89409 L
.76085 .89321 L
.75966 .89248 L
.75925 .89222 L
.75764 .89118 L
.75717 .89088 L
.75604 .89012 L
.75478 .88927 L
.75443 .88903 L
.75283 .88791 L
.75247 .88767 L
.75122 .88678 L
.75022 .88606 L
.74961 .88562 L
.74802 .88445 L
.74801 .88445 L
.7464 .88326 L
.74586 .88285 L
.7448 .88206 L
.74373 .88124 L
.74319 .88084 L
.74163 .87964 L
.74159 .87961 L
.73998 .87836 L
.73956 .87803 L
.73838 .87711 L
.73752 .87643 L
.73677 .87584 L
.73549 .87482 L
.73517 .87457 L
.73356 .87328 L
.73349 .87322 L
.73196 .87198 L
.7315 .87161 L
.73035 .87068 L
.72953 .87001 L
.72875 .86937 L
.72758 .8684 L
.72714 .86804 L
.72564 .8668 L
.72554 .86671 L
.72393 .86538 L
.72371 .86519 L
.72233 .86403 L
.7218 .86359 L
.72072 .86268 L
.7199 .86198 L
.71912 .86132 L
.71801 .86038 L
.71751 .85995 L
.71613 .85877 L
.7159 .85858 L
.7143 .8572 L
.71426 .85717 L
.71269 .85581 L
.71241 .85556 L
.71109 .85442 L
.71056 .85396 L
.70948 .85302 L
.70872 .85235 L
.70788 .85161 L
.70689 .85074 L
.70627 .8502 L
.70507 .84914 L
.70467 .84878 L
.70326 .84753 L
.70306 .84735 L
.70146 .84593 L
.70146 .84592 L
.69985 .84449 L
.69967 .84432 L
.69825 .84304 L
.69788 .84272 L
.69664 .8416 L
.69611 .84111 L
.69504 .84014 L
.69434 .83951 L
.69343 .83868 L
.69258 .8379 L
.69183 .83722 L
.69082 .8363 L
.69022 .83575 L
.68908 .83469 L
.68862 .83427 L
.68734 .83309 L
.68701 .83279 L
.6856 .83148 L
.68541 .8313 L
.68388 .82988 L
.6838 .8298 L
.68219 .8283 L
.68216 .82827 L
.68059 .8268 L
.68045 .82667 L
.67898 .82528 L
.67875 .82506 L
.67738 .82376 L
.67705 .82346 L
.67577 .82224 L
.67536 .82185 L
.67417 .82071 L
.67368 .82025 L
.67256 .81917 L
.67201 .81864 L
.67096 .81763 L
.67034 .81703 L
.66935 .81608 L
.66868 .81543 L
.66775 .81453 L
.66702 .81382 L
.66614 .81297 L
.66538 .81222 L
.66454 .8114 L
.66374 .81061 L
.66293 .80982 L
.6621 .80901 L
.66133 .80824 L
.66048 .8074 L
.65972 .80665 L
.65886 .8058 L
.65812 .80506 L
.65725 .80419 L
.65651 .80346 L
.65565 .80259 L
.65491 .80184 L
.65405 .80098 L
.6533 .80023 L
.65246 .79938 L
.6517 .7986 L
.65088 .79777 L
.65009 .79696 L
.64931 .79617 L
.64848 .79532 L
.64775 .79456 L
.64688 .79367 L
.64619 .79296 L
.64527 .79201 L
.64464 .79135 L
.64367 .79033 L
.64311 .78975 L
.64206 .78865 L
.64158 .78814 L
.64046 .78696 L
.64006 .78654 L
.63885 .78526 L
.63855 .78493 L
.63725 .78354 L
.63705 .78332 L
.63564 .78181 L
.63556 .78172 L
.63408 .78011 L
.63404 .78007 L
.63261 .77851 L
.63243 .77831 L
.63116 .7769 L
.63083 .77654 L
.62972 .7753 L
.62922 .77475 L
.62829 .77369 L
.62762 .77294 L
.62687 .77209 L
.62601 .77111 L
.62547 .77048 L
.62441 .76925 L
.62409 .76888 L
.6228 .76737 L
.62272 .76727 L
.62137 .76567 L
.6212 .76546 L
.62004 .76406 L
.61959 .76351 L
.61874 .76246 L
.61799 .76152 L
.61745 .76085 L
.61638 .75948 L
.6162 .75925 L
.61498 .75764 L
.61477 .75737 L
.61379 .75604 L
.61317 .75518 L
.61265 .75443 L
.61156 .75283 L
.61156 .75283 L
.61054 .75122 L
.60996 .7503 L
.6096 .74961 L
.60877 .74801 L
.60835 .74698 L
.60815 .7464 L
.60787 .7448 L
F
1 .69 0 r
.60835 .53741 m
.60862 .53772 L
.60996 .53923 L
.61004 .53933 L
.60996 .54082 L
.609 .53933 L
.60835 .53848 L
.60792 .53772 L
F
1 1 1 r
.60996 .62113 m
.61044 .6212 L
.61156 .62177 L
.61248 .6228 L
.61317 .62362 L
.61421 .62441 L
.61477 .62578 L
.61513 .62601 L
.61627 .62762 L
.61638 .62776 L
.61747 .62922 L
.61799 .62989 L
.61868 .63083 L
.61959 .63174 L
.62009 .63243 L
.62111 .63404 L
.6212 .63415 L
.62225 .63564 L
.6228 .6364 L
.62338 .63725 L
.62441 .63873 L
.62448 .63885 L
.62532 .64046 L
.62441 .64123 L
.62332 .64046 L
.6228 .64007 L
.62142 .63885 L
.6212 .63872 L
.61977 .63725 L
.61959 .63706 L
.61824 .63564 L
.61799 .63532 L
.6168 .63404 L
.61638 .63344 L
.61565 .63243 L
.61477 .6314 L
.61405 .63083 L
.61317 .62972 L
.61276 .62922 L
.61156 .62768 L
.61151 .62762 L
.61033 .62601 L
.60996 .62591 L
.60945 .62441 L
.60835 .62337 L
.60798 .6228 L
.60835 .62121 L
.60843 .6212 L
F
.733 .99 1 r
.61638 .69974 m
.61799 .69964 L
.61959 .69961 L
.6212 .69965 L
.6228 .69974 L
.62415 .69985 L
.62441 .69988 L
.62601 .70008 L
.62762 .70034 L
.62922 .70065 L
.63083 .70101 L
.63243 .70143 L
.63255 .70146 L
.63404 .70192 L
.63564 .70247 L
.63721 .70306 L
.63725 .70308 L
.63885 .70377 L
.64046 .70451 L
.6408 .70467 L
.64206 .70531 L
.64367 .70617 L
.64386 .70627 L
.64527 .7071 L
.64655 .70788 L
.64688 .70809 L
.64848 .70915 L
.64897 .70948 L
.65009 .71029 L
.65116 .71109 L
.6517 .7115 L
.65316 .71269 L
.6533 .71281 L
.65491 .71423 L
.65498 .7143 L
.65651 .71581 L
.6566 .7159 L
.65801 .71751 L
.65812 .71762 L
.65914 .71912 L
.65972 .72027 L
.65987 .72072 L
.65989 .72233 L
.65972 .72271 L
.65826 .72393 L
.65812 .72401 L
.65651 .7246 L
.65491 .72491 L
.6533 .72509 L
.6517 .72521 L
.65009 .72528 L
.64848 .72533 L
.64688 .72535 L
.64527 .72534 L
.64367 .72531 L
.64206 .72525 L
.64046 .72517 L
.63885 .72505 L
.63725 .72489 L
.63564 .72469 L
.63404 .72444 L
.63243 .72413 L
.63154 .72393 L
.63083 .72375 L
.62922 .72329 L
.62762 .72274 L
.62655 .72233 L
.62601 .72209 L
.62441 .72134 L
.62322 .72072 L
.6228 .72049 L
.6212 .71952 L
.62058 .71912 L
.61959 .71843 L
.61835 .71751 L
.61799 .71722 L
.6164 .7159 L
.61638 .71589 L
.61477 .7144 L
.61467 .7143 L
.61317 .71274 L
.61313 .71269 L
.61178 .71109 L
.61156 .71082 L
.61061 .70948 L
.60996 .70845 L
.60966 .70788 L
.60898 .70627 L
.60867 .70467 L
.60891 .70306 L
.60996 .70154 L
.61023 .70146 L
.61156 .70072 L
.61317 .70022 L
.61477 .69992 L
.61525 .69985 L
F
1 .96 .289 r
.60996 .59485 m
.61087 .59551 L
.61156 .59609 L
.61259 .59712 L
.61317 .59737 L
.61405 .59872 L
.61477 .59943 L
.616 .60033 L
.61638 .60148 L
.6168 .60193 L
.61798 .60354 L
.61799 .60355 L
.61919 .60514 L
.61959 .60567 L
.62039 .60675 L
.6212 .60757 L
.62172 .60835 L
.62263 .60996 L
.6228 .61022 L
.62362 .61156 L
.62441 .61307 L
.62445 .61317 L
.62441 .61401 L
.6228 .61323 L
.62276 .61317 L
.6212 .61168 L
.62111 .61156 L
.61966 .60996 L
.61959 .60988 L
.61831 .60835 L
.61799 .60798 L
.61701 .60675 L
.61638 .60648 L
.61572 .60514 L
.61477 .60411 L
.61422 .60354 L
.61323 .60193 L
.61317 .60186 L
.61206 .60033 L
.61156 .59965 L
.61092 .59872 L
.60996 .59731 L
.60983 .59712 L
.60904 .59551 L
F
.033 .89 1 r
.60996 .53267 m
.61018 .53291 L
.61156 .53439 L
.61167 .53451 L
.61308 .53612 L
.61317 .53622 L
.61445 .53772 L
.61477 .53809 L
.61582 .53933 L
.61638 .53999 L
.61717 .54093 L
.61799 .54159 L
.6185 .54254 L
.61959 .54383 L
.61995 .54414 L
.62111 .54575 L
.6212 .54585 L
.62241 .54735 L
.6228 .54783 L
.62371 .54896 L
.62441 .54968 L
.62558 .55057 L
.62601 .55183 L
.62632 .55217 L
.62754 .55378 L
.62762 .55388 L
.6288 .55538 L
.62922 .55559 L
.63007 .55699 L
.63083 .55787 L
.63153 .55859 L
.63243 .56 L
.63259 .5602 L
.63383 .5618 L
.63404 .56206 L
.63508 .56341 L
.63564 .56394 L
.63683 .56501 L
.63725 .56616 L
.63763 .56662 L
.6388 .56822 L
.63885 .56829 L
.64003 .56983 L
.64046 .56997 L
.64127 .57143 L
.64206 .57236 L
.64267 .57304 L
.64367 .57457 L
.64372 .57464 L
.64493 .57625 L
.64527 .5767 L
.64615 .57785 L
.64688 .57857 L
.64777 .57946 L
.64848 .58092 L
.6486 .58106 L
.64976 .58267 L
.65009 .5831 L
.65096 .58428 L
.6517 .58525 L
.65216 .58588 L
.6533 .5874 L
.65338 .58749 L
.6545 .58909 L
.65491 .58963 L
.65566 .5907 L
.65651 .59185 L
.65683 .5923 L
.65796 .59391 L
.65812 .59412 L
.65904 .59551 L
.65972 .59648 L
.66013 .59712 L
.65972 .59837 L
.65863 .59712 L
.65812 .59659 L
.65722 .59551 L
.65651 .59473 L
.65584 .59391 L
.65491 .59284 L
.65448 .5923 L
.6533 .59101 L
.65313 .5907 L
.65182 .58909 L
.6517 .58894 L
.65054 .58749 L
.65009 .58695 L
.64925 .58588 L
.64848 .58496 L
.64796 .58428 L
.64688 .58304 L
.64645 .58267 L
.64539 .58106 L
.64527 .58093 L
.64414 .57946 L
.64367 .57888 L
.64288 .57785 L
.64206 .57712 L
.64161 .57625 L
.64046 .57484 L
.64027 .57464 L
.6391 .57304 L
.63885 .57274 L
.63786 .57143 L
.63725 .57067 L
.63662 .56983 L
.63564 .56874 L
.63511 .56822 L
.63411 .56662 L
.63404 .56653 L
.63289 .56501 L
.63243 .56443 L
.63166 .56341 L
.63083 .56266 L
.63042 .5618 L
.62922 .56029 L
.62914 .5602 L
.62796 .55859 L
.62762 .55815 L
.62675 .55699 L
.62601 .55604 L
.62552 .55538 L
.62441 .55403 L
.62417 .55378 L
.62308 .55217 L
.6228 .55182 L
.62189 .55057 L
.6212 .54968 L
.62068 .54896 L
.61959 .54772 L
.61944 .54735 L
.61826 .54575 L
.61799 .5454 L
.61709 .54414 L
.61638 .54322 L
.6159 .54254 L
.61477 .54106 L
.61469 .54093 L
.61355 .53933 L
.61317 .53883 L
.61243 .53772 L
.61156 .53656 L
.61127 .53612 L
.61015 .53451 L
.60996 .53424 L
.6092 .53291 L
F
.084 .92 1 r
.60996 .60184 m
.61003 .60193 L
.60996 .60249 L
.60962 .60193 L
F
1 1 1 r
.60996 .59068 m
.61156 .59063 L
.61317 .59061 L
.61408 .5907 L
.61477 .59111 L
.61529 .5923 L
.61638 .59327 L
.61686 .59391 L
.61799 .59539 L
.61808 .59551 L
.61925 .59712 L
.61959 .59768 L
.62024 .59872 L
.6212 .59955 L
.6218 .60033 L
.6228 .60166 L
.62302 .60193 L
.62422 .60354 L
.62441 .60379 L
.6253 .60514 L
.62601 .60597 L
.62673 .60675 L
.62762 .60812 L
.62795 .60835 L
.62917 .60996 L
.62922 .61002 L
.63031 .61156 L
.63083 .61209 L
.6313 .61317 L
.63243 .61421 L
.63287 .61477 L
.63404 .61633 L
.63408 .61638 L
.63528 .61799 L
.63564 .6185 L
.6363 .61959 L
.63564 .62072 L
.63404 .62078 L
.63243 .62082 L
.63096 .61959 L
.63083 .619 L
.62997 .61799 L
.62922 .6169 L
.62887 .61638 L
.62762 .61479 L
.62761 .61477 L
.62639 .61317 L
.62601 .61268 L
.62491 .61156 L
.62441 .61056 L
.62387 .60996 L
.6228 .60848 L
.62271 .60835 L
.62146 .60675 L
.6212 .60655 L
.6198 .60514 L
.61959 .60443 L
.61886 .60354 L
.61799 .60227 L
.61776 .60193 L
.61653 .60033 L
.61638 .60014 L
.61531 .59872 L
.61477 .59803 L
.61382 .59712 L
.61317 .59594 L
.61278 .59551 L
.6116 .59391 L
.61156 .59386 L
.6104 .5923 L
.60996 .5916 L
.60968 .5907 L
F
1 .51 0 r
.60996 .55225 m
.61089 .55378 L
.61156 .55477 L
.61185 .55538 L
.61156 .55559 L
.61137 .55538 L
.60996 .55395 L
.60982 .55378 L
F
1 .5 0 r
.60996 .55237 m
.61076 .55378 L
.60996 .55384 L
.60991 .55378 L
F
0 .51 1 r
.60996 .54575 m
.61109 .54735 L
.61156 .54794 L
.61226 .54896 L
.61317 .55012 L
.61347 .55057 L
.61317 .55124 L
.61266 .55057 L
.61156 .54933 L
.61129 .54896 L
.60996 .54738 L
.60994 .54735 L
F
1 .95 .212 r
.61156 .59679 m
.61194 .59712 L
.61317 .59793 L
.61358 .59872 L
.61477 .59996 L
.61534 .60033 L
.61634 .60193 L
.61638 .60198 L
.6176 .60354 L
.61799 .60403 L
.61882 .60514 L
.61959 .60618 L
.62 .60675 L
.6211 .60835 L
.6212 .6085 L
.62207 .60996 L
.6228 .61148 L
.62283 .61156 L
.6228 .61179 L
.62201 .61156 L
.6212 .61097 L
.62019 .60996 L
.61959 .60936 L
.61872 .60835 L
.61799 .60754 L
.61735 .60675 L
.61638 .606 L
.61603 .60514 L
.61477 .60359 L
.61472 .60354 L
.61356 .60193 L
.61317 .60142 L
.61241 .60033 L
.61156 .59913 L
.6113 .59872 L
.61045 .59712 L
F
1 .69 0 r
.61156 .54115 m
.61268 .54254 L
.61317 .5431 L
.61399 .54414 L
.61477 .54507 L
.61531 .54575 L
.61638 .54707 L
.61661 .54735 L
.61787 .54896 L
.61799 .54909 L
.61911 .55057 L
.61959 .55114 L
.62037 .55217 L
.6212 .5532 L
.62164 .55378 L
.6228 .55526 L
.62289 .55538 L
.62409 .55699 L
.62441 .55737 L
.62531 .55859 L
.62601 .55949 L
.62653 .5602 L
.62762 .56161 L
.62776 .5618 L
.62893 .56341 L
.62922 .56378 L
.63008 .56501 L
.63083 .56599 L
.63126 .56662 L
.63243 .56821 L
.63244 .56822 L
.63243 .56956 L
.63134 .56822 L
.63083 .56768 L
.63 .56662 L
.62922 .56575 L
.62866 .56501 L
.62762 .56379 L
.62732 .56341 L
.62601 .56182 L
.626 .5618 L
.62477 .5602 L
.62441 .55977 L
.62352 .55859 L
.6228 .55773 L
.62225 .55699 L
.6212 .55569 L
.62097 .55538 L
.61971 .55378 L
.61959 .55363 L
.61852 .55217 L
.61799 .55152 L
.61729 .55057 L
.61638 .54942 L
.61605 .54896 L
.61479 .54735 L
.61477 .54733 L
.61364 .54575 L
.61317 .54516 L
.61247 .54414 L
.61156 .54299 L
.61125 .54254 L
F
1 .68 0 r
.61156 .54132 m
.61254 .54254 L
.61317 .54325 L
.61388 .54414 L
.61477 .5452 L
.6152 .54575 L
.61638 .54719 L
.61651 .54735 L
.61777 .54896 L
.61799 .54922 L
.61902 .55057 L
.61959 .55126 L
.62028 .55217 L
.6212 .55331 L
.62155 .55378 L
.6228 .55538 L
.6228 .55538 L
.62399 .55699 L
.62441 .5575 L
.62521 .55859 L
.62601 .55961 L
.62644 .5602 L
.62762 .56174 L
.62766 .5618 L
.6288 .56341 L
.62922 .56394 L
.62995 .56501 L
.63083 .56617 L
.63113 .56662 L
.63083 .56748 L
.63015 .56662 L
.62922 .5656 L
.62877 .56501 L
.62762 .56367 L
.62742 .56341 L
.62611 .5618 L
.62601 .56169 L
.62487 .5602 L
.62441 .55965 L
.62361 .55859 L
.6228 .55762 L
.62233 .55699 L
.6212 .55559 L
.62104 .55538 L
.61981 .55378 L
.61959 .55352 L
.61861 .55217 L
.61799 .55141 L
.61738 .55057 L
.61638 .54932 L
.61613 .54896 L
.61489 .54735 L
.61477 .54721 L
.61375 .54575 L
.61317 .54502 L
.61257 .54414 L
.61156 .54285 L
.61136 .54254 L
F
0 .5 1 r
.61156 .54809 m
.61214 .54896 L
.61317 .55029 L
.61335 .55057 L
.61317 .55106 L
.61281 .55057 L
.61156 .54921 L
.61138 .54896 L
F
1 .67 0 r
.61156 .54154 m
.61236 .54254 L
.61317 .54342 L
.61374 .54414 L
.61477 .54535 L
.61509 .54575 L
.61638 .54732 L
.61641 .54735 L
.61765 .54896 L
.61799 .54935 L
.61891 .55057 L
.61959 .55139 L
.62018 .55217 L
.6212 .55344 L
.62145 .55378 L
.62269 .55538 L
.6228 .55551 L
.62388 .55699 L
.62441 .55763 L
.6251 .55859 L
.62601 .55975 L
.62633 .5602 L
.62601 .56155 L
.62499 .5602 L
.62441 .55952 L
.62371 .55859 L
.6228 .5575 L
.62242 .55699 L
.6212 .55548 L
.62112 .55538 L
.61991 .55378 L
.61959 .55339 L
.61871 .55217 L
.61799 .55129 L
.61747 .55057 L
.61638 .5492 L
.61621 .54896 L
.61501 .54735 L
.61477 .54706 L
.61388 .54575 L
.61317 .54487 L
.61269 .54414 L
.61156 .54268 L
.61147 .54254 L
F
.024 .88 1 r
.61156 .5348 m
.61277 .53612 L
.61317 .53653 L
.61421 .53772 L
.61477 .53834 L
.61561 .53933 L
.61638 .54021 L
.61698 .54093 L
.61799 .54186 L
.61833 .54254 L
.61959 .54405 L
.6197 .54414 L
.62096 .54575 L
.6212 .54603 L
.62227 .54735 L
.6228 .548 L
.62358 .54896 L
.62441 .54984 L
.6254 .55057 L
.62601 .55199 L
.62618 .55217 L
.62742 .55378 L
.62762 .55402 L
.62869 .55538 L
.62922 .55568 L
.62996 .55699 L
.63083 .55801 L
.63141 .55859 L
.63243 .56013 L
.63248 .5602 L
.63373 .5618 L
.63404 .5622 L
.63498 .56341 L
.63564 .56406 L
.63672 .56501 L
.63725 .5663 L
.63752 .56662 L
.6387 .56822 L
.63885 .56842 L
.63993 .56983 L
.64046 .57006 L
.64117 .57143 L
.64206 .57251 L
.64255 .57304 L
.64361 .57464 L
.64367 .57471 L
.64482 .57625 L
.64527 .57684 L
.64604 .57785 L
.64688 .57874 L
.6476 .57946 L
.64846 .58106 L
.64848 .5811 L
.64964 .58267 L
.65009 .58326 L
.65083 .58428 L
.6517 .58543 L
.65203 .58588 L
.6532 .58749 L
.6533 .58762 L
.65434 .58909 L
.65491 .58986 L
.65549 .5907 L
.65651 .59211 L
.65665 .5923 L
.65772 .59391 L
.65812 .59447 L
.65876 .59551 L
.65972 .59699 L
.65979 .59712 L
.65972 .59777 L
.65907 .59712 L
.65812 .59624 L
.65749 .59551 L
.65651 .59447 L
.65605 .59391 L
.65491 .59262 L
.65465 .5923 L
.6533 .59073 L
.65328 .5907 L
.65198 .58909 L
.6517 .58876 L
.65068 .58749 L
.65009 .58679 L
.64937 .58588 L
.64848 .58481 L
.64807 .58428 L
.64688 .58287 L
.64665 .58267 L
.6455 .58106 L
.64527 .5808 L
.64424 .57946 L
.64367 .57876 L
.64297 .57785 L
.64206 .57698 L
.6417 .57625 L
.64046 .57471 L
.6404 .57464 L
.63919 .57304 L
.63885 .57263 L
.63795 .57143 L
.63725 .57056 L
.63669 .56983 L
.63564 .56861 L
.63524 .56822 L
.63419 .56662 L
.63404 .56643 L
.63298 .56501 L
.63243 .56433 L
.63174 .56341 L
.63083 .56253 L
.63049 .5618 L
.62924 .5602 L
.62922 .56017 L
.62805 .55859 L
.62762 .55805 L
.62684 .55699 L
.62601 .55594 L
.6256 .55538 L
.62441 .55387 L
.62431 .55378 L
.62317 .55217 L
.6228 .5517 L
.62198 .55057 L
.6212 .54956 L
.62077 .54896 L
.61959 .54749 L
.61954 .54735 L
.61838 .54575 L
.61799 .54525 L
.61721 .54414 L
.61638 .54306 L
.61602 .54254 L
.61482 .54093 L
.61477 .54087 L
.61373 .53933 L
.61317 .53858 L
.61262 .53772 L
.61156 .53627 L
.61147 .53612 L
F
0 .49 1 r
.61156 .54828 m
.61196 .54896 L
.61317 .55055 L
.61317 .55057 L
.61317 .55069 L
.61311 .55057 L
.61156 .54905 L
.6115 .54896 L
F
1 .96 .289 r
.61317 .53006 m
.61436 .5313 L
.61477 .53172 L
.61585 .53291 L
.61638 .53348 L
.61729 .53451 L
.61799 .53475 L
.6187 .53612 L
.61959 .5371 L
.62057 .53772 L
.6212 .53908 L
.62144 .53933 L
.62275 .54093 L
.6228 .54099 L
.62409 .54254 L
.62441 .54281 L
.62542 .54414 L
.62601 .54487 L
.62687 .54575 L
.62762 .5469 L
.62797 .54735 L
.62922 .54888 L
.62926 .54896 L
.63061 .55057 L
.63083 .55081 L
.6322 .55217 L
.63243 .55287 L
.63317 .55378 L
.63404 .55493 L
.63431 .55538 L
.63564 .55693 L
.63572 .55699 L
.63699 .55859 L
.63725 .55892 L
.63833 .5602 L
.63885 .56101 L
.63942 .5618 L
.64046 .56309 L
.64057 .56341 L
.64202 .56501 L
.64206 .56506 L
.64346 .56662 L
.64367 .56713 L
.64451 .56822 L
.64527 .56924 L
.64561 .56983 L
.64688 .57131 L
.64702 .57143 L
.64826 .57304 L
.64848 .57331 L
.64957 .57464 L
.65009 .57543 L
.65066 .57625 L
.6517 .57754 L
.65179 .57785 L
.65321 .57946 L
.6533 .57955 L
.65464 .58106 L
.65491 .58164 L
.65568 .58267 L
.65651 .58378 L
.65679 .58428 L
.65812 .58585 L
.65815 .58588 L
.65938 .58749 L
.65972 .58789 L
.66069 .58909 L
.66133 .59004 L
.66176 .5907 L
.66293 .59216 L
.66297 .5923 L
.66427 .59391 L
.66454 .59415 L
.66573 .59551 L
.66614 .59633 L
.66672 .59712 L
.66775 .5985 L
.66787 .59872 L
.66913 .60033 L
.66935 .6004 L
.67034 .60193 L
.67096 .60265 L
.67166 .60354 L
.67256 .60488 L
.67273 .60514 L
.67394 .60675 L
.67417 .60705 L
.67513 .60835 L
.67577 .60898 L
.67658 .60996 L
.67738 .61136 L
.67753 .61156 L
.67867 .61317 L
.67898 .61359 L
.67983 .61477 L
.68059 .61581 L
.68146 .61638 L
.68215 .61799 L
.68219 .61805 L
.68325 .61959 L
.6838 .62037 L
.68436 .6212 L
.68541 .62272 L
.68546 .6228 L
.68642 .62441 L
.68701 .62537 L
.68732 .62601 L
.68701 .62651 L
.68648 .62601 L
.68541 .62503 L
.68484 .62441 L
.6838 .62332 L
.68336 .6228 L
.68219 .62167 L
.68193 .6212 L
.68059 .61966 L
.6805 .61959 L
.67921 .61799 L
.67898 .61773 L
.67788 .61638 L
.67738 .61579 L
.67656 .61477 L
.67577 .61398 L
.67524 .61317 L
.67417 .61189 L
.67384 .61156 L
.67264 .60996 L
.67256 .60986 L
.67137 .60835 L
.67096 .6081 L
.6701 .60675 L
.66935 .60592 L
.66852 .60514 L
.66775 .60382 L
.6675 .60354 L
.66628 .60193 L
.66614 .60176 L
.66503 .60033 L
.66454 .59988 L
.66377 .59872 L
.66293 .59772 L
.66237 .59712 L
.66133 .59561 L
.66124 .59551 L
.66001 .59391 L
.65972 .59379 L
.65877 .5923 L
.65812 .5916 L
.65722 .5907 L
.65651 .58944 L
.65622 .58909 L
.65502 .58749 L
.65491 .58734 L
.6538 .58588 L
.6533 .58547 L
.65199 .58428 L
.6517 .58326 L
.65117 .58267 L
.65009 .58111 L
.65006 .58106 L
.64884 .57946 L
.64848 .57936 L
.64761 .57785 L
.64688 .57708 L
.6461 .57625 L
.64527 .57487 L
.64509 .57464 L
.6439 .57304 L
.64367 .57275 L
.64269 .57143 L
.64206 .57093 L
.64094 .56983 L
.64046 .56863 L
.6401 .56822 L
.63898 .56662 L
.63885 .56646 L
.63777 .56501 L
.63725 .56435 L
.63655 .56341 L
.63564 .56241 L
.6351 .5618 L
.63407 .5602 L
.63404 .56016 L
.63288 .55859 L
.63243 .55803 L
.63166 .55699 L
.63083 .5562 L
.63005 .55538 L
.62922 .55383 L
.62918 .55378 L
.62801 .55217 L
.62762 .55167 L
.62681 .55057 L
.62601 .54954 L
.62559 .54896 L
.62441 .54746 L
.62432 .54735 L
.62318 .54575 L
.6228 .54526 L
.622 .54414 L
.6212 .5431 L
.6208 .54254 L
.61959 .54097 L
.61956 .54093 L
.61844 .53933 L
.61799 .53873 L
.61729 .53772 L
.61638 .53651 L
.61611 .53612 L
.61496 .53451 L
.61477 .53426 L
.6139 .53291 L
.61317 .53188 L
.61283 .5313 L
F
.733 .99 1 r
.61317 .59319 m
.61477 .59388 L
.61494 .59391 L
.61638 .59526 L
.61697 .59551 L
.61799 .5969 L
.6183 .59712 L
.61959 .59867 L
.61965 .59872 L
.62104 .60033 L
.6212 .6005 L
.6226 .60193 L
.6228 .60253 L
.62361 .60354 L
.62441 .60462 L
.62472 .60514 L
.62601 .6067 L
.62606 .60675 L
.62727 .60835 L
.62762 .60861 L
.62858 .60996 L
.62922 .61093 L
.62956 .61156 L
.63067 .61317 L
.63083 .61341 L
.63167 .61477 L
.63241 .61638 L
.63083 .6172 L
.63014 .61638 L
.62922 .61572 L
.62847 .61477 L
.62762 .61393 L
.62703 .61317 L
.62601 .612 L
.62548 .61156 L
.62441 .61002 L
.62435 .60996 L
.6231 .60835 L
.6228 .60799 L
.62185 .60675 L
.6212 .60616 L
.62015 .60514 L
.61959 .60392 L
.61927 .60354 L
.61814 .60193 L
.61799 .60173 L
.61696 .60033 L
.61638 .59956 L
.61578 .59872 L
.61477 .59734 L
.61451 .59712 L
.61359 .59551 L
.61317 .59477 L
.61283 .59391 L
F
1 .94 .156 r
.61317 .59898 m
.61449 .60033 L
.61477 .60063 L
.61587 .60193 L
.61638 .60253 L
.61716 .60354 L
.61799 .60459 L
.61839 .60514 L
.61951 .60675 L
.61959 .60686 L
.62043 .60835 L
.61959 .60868 L
.61928 .60835 L
.61799 .60701 L
.61777 .60675 L
.61639 .60514 L
.61638 .60514 L
.61515 .60354 L
.61477 .60306 L
.61397 .60193 L
.61317 .60084 L
.61284 .60033 L
F
1 .66 0 r
.61317 .54363 m
.61358 .54414 L
.61477 .54552 L
.61496 .54575 L
.61477 .54689 L
.61403 .54575 L
.61317 .54467 L
.61284 .54414 L
F
.018 .87 1 r
.61317 .53691 m
.6139 .53772 L
.61477 .53864 L
.61537 .53933 L
.61638 .54046 L
.61678 .54093 L
.61799 .5422 L
.61815 .54254 L
.61948 .54414 L
.61959 .54427 L
.62081 .54575 L
.6212 .54621 L
.62213 .54735 L
.6228 .54817 L
.62344 .54896 L
.62441 .55003 L
.62517 .55057 L
.62601 .55215 L
.62603 .55217 L
.6273 .55378 L
.62762 .55417 L
.62858 .55538 L
.62922 .5558 L
.62985 .55699 L
.63083 .55816 L
.63126 .55859 L
.63237 .5602 L
.63243 .56027 L
.63362 .5618 L
.63404 .56233 L
.63488 .56341 L
.63564 .5642 L
.63658 .56501 L
.63725 .56645 L
.63739 .56662 L
.63859 .56822 L
.63885 .56855 L
.63983 .56983 L
.64046 .57017 L
.64106 .57143 L
.64206 .57267 L
.6424 .57304 L
.6435 .57464 L
.64367 .57486 L
.64471 .57625 L
.64527 .57698 L
.64593 .57785 L
.64688 .57894 L
.6474 .57946 L
.64833 .58106 L
.64848 .58127 L
.64951 .58267 L
.65009 .58344 L
.6507 .58428 L
.6517 .58562 L
.65189 .58588 L
.65303 .58749 L
.6533 .58785 L
.65416 .58909 L
.65491 .59011 L
.65531 .5907 L
.65642 .5923 L
.65651 .59243 L
.65739 .59391 L
.65812 .59505 L
.65831 .59551 L
.65812 .5957 L
.65793 .59551 L
.65651 .59415 L
.65631 .59391 L
.65491 .59237 L
.65485 .5923 L
.65349 .5907 L
.6533 .59049 L
.65216 .58909 L
.6517 .58857 L
.65083 .58749 L
.65009 .58663 L
.64951 .58588 L
.64848 .58466 L
.64818 .58428 L
.64688 .58269 L
.64686 .58267 L
.64561 .58106 L
.64527 .58066 L
.64435 .57946 L
.64367 .57864 L
.64307 .57785 L
.64206 .57682 L
.64178 .57625 L
.64051 .57464 L
.64046 .57458 L
.63928 .57304 L
.63885 .57251 L
.63804 .57143 L
.63725 .57046 L
.63678 .56983 L
.63564 .56847 L
.63538 .56822 L
.63428 .56662 L
.63404 .56632 L
.63306 .56501 L
.63243 .56423 L
.63182 .56341 L
.63083 .56238 L
.63057 .5618 L
.62933 .5602 L
.62922 .56006 L
.62814 .55859 L
.62762 .55794 L
.62692 .55699 L
.62601 .55583 L
.62568 .55538 L
.62445 .55378 L
.62441 .55372 L
.62327 .55217 L
.6228 .55157 L
.62208 .55057 L
.6212 .54943 L
.62086 .54896 L
.61964 .54735 L
.61959 .54729 L
.6185 .54575 L
.61799 .54508 L
.61734 .54414 L
.61638 .54288 L
.61615 .54254 L
.615 .54093 L
.61477 .54063 L
.61394 .53933 L
.61317 .53826 L
.61286 .53772 L
F
1 .65 0 r
.61317 .54394 m
.61333 .54414 L
.61477 .54572 L
.6148 .54575 L
.61477 .54665 L
.61426 .54575 L
.61317 .54436 L
.61306 .54414 L
F
1 .91 .061 r
.61477 .74842 m
.61638 .74888 L
.61799 .74947 L
.61838 .74961 L
.61959 .75019 L
.6212 .75104 L
.62154 .75122 L
.6228 .75194 L
.62429 .75283 L
.62441 .7529 L
.62601 .75391 L
.62683 .75443 L
.62762 .75495 L
.62922 .75603 L
.62923 .75604 L
.63083 .75713 L
.63156 .75764 L
.63243 .75826 L
.63381 .75925 L
.63404 .75941 L
.63564 .76058 L
.63601 .76085 L
.63725 .76177 L
.63817 .76246 L
.63885 .76297 L
.64029 .76406 L
.64046 .76419 L
.64206 .76542 L
.64238 .76567 L
.64367 .76667 L
.64444 .76727 L
.64527 .76792 L
.64648 .76888 L
.64688 .76919 L
.64848 .77047 L
.6485 .77048 L
.65009 .77176 L
.65049 .77209 L
.6517 .77306 L
.65247 .77369 L
.6533 .77437 L
.65443 .7753 L
.65491 .77569 L
.65637 .7769 L
.65651 .77702 L
.65812 .77836 L
.6583 .77851 L
.65972 .7797 L
.66022 .78011 L
.66133 .78105 L
.66212 .78172 L
.66293 .78241 L
.66401 .78332 L
.66454 .78377 L
.66589 .78493 L
.66614 .78514 L
.66775 .78652 L
.66776 .78654 L
.66935 .78791 L
.66962 .78814 L
.67096 .7893 L
.67147 .78975 L
.67256 .7907 L
.67331 .79135 L
.67417 .7921 L
.67514 .79296 L
.67577 .79351 L
.67696 .79456 L
.67738 .79493 L
.67877 .79617 L
.67898 .79636 L
.68057 .79777 L
.68059 .79779 L
.68219 .79923 L
.68236 .79938 L
.6838 .80067 L
.68414 .80098 L
.68541 .80212 L
.68592 .80259 L
.68701 .80358 L
.68768 .80419 L
.68862 .80505 L
.68943 .8058 L
.69022 .80652 L
.69118 .8074 L
.69183 .808 L
.69291 .80901 L
.69343 .80949 L
.69464 .81061 L
.69504 .81099 L
.69635 .81222 L
.69664 .81249 L
.69806 .81382 L
.69825 .814 L
.69976 .81543 L
.69985 .81552 L
.70145 .81703 L
.70146 .81704 L
.70306 .81857 L
.70314 .81864 L
.70467 .82011 L
.70481 .82025 L
.70627 .82165 L
.70648 .82185 L
.70788 .8232 L
.70814 .82346 L
.70948 .82475 L
.7098 .82506 L
.71109 .82631 L
.71145 .82667 L
.71269 .82788 L
.7131 .82827 L
.7143 .82945 L
.71473 .82988 L
.7159 .83103 L
.71636 .83148 L
.71751 .83261 L
.71799 .83309 L
.71912 .8342 L
.71961 .83469 L
.72072 .8358 L
.72122 .8363 L
.72233 .8374 L
.72282 .8379 L
.72393 .83901 L
.72442 .83951 L
.72554 .84063 L
.72601 .84111 L
.72714 .84226 L
.72759 .84272 L
.72875 .8439 L
.72917 .84432 L
.73035 .84554 L
.73073 .84593 L
.73196 .8472 L
.73228 .84753 L
.73356 .84886 L
.73383 .84914 L
.73517 .85054 L
.73536 .85074 L
.73677 .85223 L
.73688 .85235 L
.73838 .85394 L
.7384 .85396 L
.7399 .85556 L
.73998 .85566 L
.74138 .85717 L
.74159 .85739 L
.74286 .85877 L
.74319 .85914 L
.74432 .86038 L
.7448 .86091 L
.74577 .86198 L
.7464 .86269 L
.7472 .86359 L
.74801 .8645 L
.74862 .86519 L
.74961 .86633 L
.75002 .8668 L
.75122 .86818 L
.75141 .8684 L
.75278 .87001 L
.75283 .87007 L
.75412 .87161 L
.75443 .87198 L
.75545 .87322 L
.75604 .87393 L
.75676 .87482 L
.75764 .87593 L
.75803 .87643 L
.75925 .87799 L
.75928 .87803 L
.76049 .87964 L
.76085 .88012 L
.76166 .88124 L
.76246 .88236 L
.76278 .88285 L
.76385 .88445 L
.76406 .88474 L
.76483 .88606 L
.76567 .88761 L
.76569 .88767 L
.76641 .88927 L
.7669 .89088 L
.76567 .89233 L
.76406 .89225 L
.76246 .89169 L
.76085 .89097 L
.76065 .89088 L
.75925 .89016 L
.75766 .88927 L
.75764 .88926 L
.75604 .88831 L
.75499 .88767 L
.75443 .88731 L
.75283 .88627 L
.75251 .88606 L
.75122 .8852 L
.75013 .88445 L
.74961 .8841 L
.74801 .88298 L
.74783 .88285 L
.7464 .88183 L
.74559 .88124 L
.7448 .88067 L
.7434 .87964 L
.74319 .87948 L
.74159 .87828 L
.74126 .87803 L
.73998 .87707 L
.73914 .87643 L
.73838 .87584 L
.73706 .87482 L
.73677 .8746 L
.73517 .87334 L
.73501 .87322 L
.73356 .87208 L
.73298 .87161 L
.73196 .8708 L
.73097 .87001 L
.73035 .86951 L
.72898 .8684 L
.72875 .86821 L
.72714 .86691 L
.72701 .8668 L
.72554 .86559 L
.72505 .86519 L
.72393 .86426 L
.72311 .86359 L
.72233 .86293 L
.72119 .86198 L
.72072 .86159 L
.71928 .86038 L
.71912 .86024 L
.71751 .85888 L
.71738 .85877 L
.7159 .85751 L
.7155 .85717 L
.7143 .85614 L
.71362 .85556 L
.71269 .85476 L
.71176 .85396 L
.71109 .85337 L
.70991 .85235 L
.70948 .85198 L
.70807 .85074 L
.70788 .85058 L
.70627 .84917 L
.70624 .84914 L
.70467 .84776 L
.70442 .84753 L
.70306 .84633 L
.70261 .84593 L
.70146 .84491 L
.7008 .84432 L
.69985 .84347 L
.69901 .84272 L
.69825 .84203 L
.69722 .84111 L
.69664 .84059 L
.69545 .83951 L
.69504 .83913 L
.69368 .8379 L
.69343 .83768 L
.69192 .8363 L
.69183 .83621 L
.69022 .83474 L
.69017 .83469 L
.68862 .83326 L
.68843 .83309 L
.68701 .83178 L
.68669 .83148 L
.68541 .83029 L
.68496 .82988 L
.6838 .82879 L
.68324 .82827 L
.68219 .82729 L
.68153 .82667 L
.68059 .82578 L
.67982 .82506 L
.67898 .82427 L
.67813 .82346 L
.67738 .82275 L
.67644 .82185 L
.67577 .82122 L
.67476 .82025 L
.67417 .81968 L
.67308 .81864 L
.67256 .81814 L
.67141 .81703 L
.67096 .8166 L
.66975 .81543 L
.66935 .81504 L
.6681 .81382 L
.66775 .81348 L
.66646 .81222 L
.66614 .81191 L
.66482 .81061 L
.66454 .81034 L
.66319 .80901 L
.66293 .80875 L
.66157 .8074 L
.66133 .80716 L
.65995 .8058 L
.65972 .80557 L
.65835 .80419 L
.65812 .80396 L
.65675 .80259 L
.65651 .80235 L
.65516 .80098 L
.65491 .80072 L
.65358 .79938 L
.6533 .79909 L
.65201 .79777 L
.6517 .79745 L
.65045 .79617 L
.65009 .7958 L
.64889 .79456 L
.64848 .79414 L
.64735 .79296 L
.64688 .79247 L
.64581 .79135 L
.64527 .79079 L
.64429 .78975 L
.64367 .78909 L
.64277 .78814 L
.64206 .78739 L
.64126 .78654 L
.64046 .78567 L
.63977 .78493 L
.63885 .78394 L
.63829 .78332 L
.63725 .78219 L
.63682 .78172 L
.63564 .78043 L
.63536 .78011 L
.63404 .77865 L
.63391 .77851 L
.63248 .7769 L
.63243 .77685 L
.63107 .7753 L
.63083 .77502 L
.62967 .77369 L
.62922 .77318 L
.62829 .77209 L
.62762 .7713 L
.62692 .77048 L
.62601 .7694 L
.62558 .76888 L
.62441 .76745 L
.62426 .76727 L
.62296 .76567 L
.6228 .76547 L
.62169 .76406 L
.6212 .76343 L
.62046 .76246 L
.61959 .76131 L
.61926 .76085 L
.6181 .75925 L
.61799 .75909 L
.61699 .75764 L
.61638 .75673 L
.61596 .75604 L
.61501 .75443 L
.61477 .75399 L
.61418 .75283 L
.61354 .75122 L
.61344 .74961 L
F
.013 .86 1 r
.61477 .53901 m
.61507 .53933 L
.61638 .54075 L
.61654 .54093 L
.61794 .54254 L
.61799 .54259 L
.61929 .54414 L
.61959 .54448 L
.62064 .54575 L
.6212 .5464 L
.62197 .54735 L
.6228 .54835 L
.6233 .54896 L
.62441 .55024 L
.62489 .55057 L
.62589 .55217 L
.62601 .55232 L
.62717 .55378 L
.62762 .55432 L
.62846 .55538 L
.62922 .55595 L
.62974 .55699 L
.63083 .55832 L
.6311 .55859 L
.63226 .5602 L
.63243 .56042 L
.63351 .5618 L
.63404 .56247 L
.63477 .56341 L
.63564 .56436 L
.63641 .56501 L
.63725 .5666 L
.63726 .56662 L
.63848 .56822 L
.63885 .56869 L
.63972 .56983 L
.64046 .57032 L
.64096 .57143 L
.64206 .57284 L
.64225 .57304 L
.64339 .57464 L
.64367 .57501 L
.64459 .57625 L
.64527 .57714 L
.64581 .57785 L
.64688 .57917 L
.64717 .57946 L
.64819 .58106 L
.64848 .58144 L
.64937 .58267 L
.65009 .58363 L
.65056 .58428 L
.6517 .58583 L
.65173 .58588 L
.65284 .58749 L
.6533 .58811 L
.65396 .58909 L
.65491 .59042 L
.65508 .5907 L
.65491 .59203 L
.65375 .5907 L
.6533 .59023 L
.65236 .58909 L
.6517 .58836 L
.651 .58749 L
.65009 .58644 L
.64965 .58588 L
.64848 .5845 L
.64831 .58428 L
.647 .58267 L
.64688 .58252 L
.64574 .58106 L
.64527 .58052 L
.64446 .57946 L
.64367 .57851 L
.64317 .57785 L
.64206 .57664 L
.64188 .57625 L
.64061 .57464 L
.64046 .57446 L
.63938 .57304 L
.63885 .5724 L
.63813 .57143 L
.63725 .57034 L
.63686 .56983 L
.63564 .56832 L
.63554 .56822 L
.63437 .56662 L
.63404 .56621 L
.63315 .56501 L
.63243 .56412 L
.6319 .56341 L
.63083 .56221 L
.63065 .5618 L
.62943 .5602 L
.62922 .55994 L
.62823 .55859 L
.62762 .55782 L
.62701 .55699 L
.62601 .55571 L
.62577 .55538 L
.62455 .55378 L
.62441 .55359 L
.62338 .55217 L
.6228 .55143 L
.62219 .55057 L
.6212 .54928 L
.62097 .54896 L
.61978 .54735 L
.61959 .54711 L
.61865 .54575 L
.61799 .54489 L
.61749 .54414 L
.61638 .54266 L
.6163 .54254 L
.61524 .54093 L
.61477 .54029 L
.61425 .53933 L
F
1 .93 .114 r
.61477 .60163 m
.61506 .60193 L
.61638 .60335 L
.61652 .60354 L
.61638 .60427 L
.61586 .60354 L
.61477 .60215 L
.61466 .60193 L
F
.538 .98 1 r
.61799 .70295 m
.61959 .70259 L
.6212 .70242 L
.6228 .7024 L
.62441 .70248 L
.62601 .70265 L
.62762 .7029 L
.62846 .70306 L
.62922 .70323 L
.63083 .70363 L
.63243 .7041 L
.63404 .70464 L
.63411 .70467 L
.63564 .70525 L
.63725 .70594 L
.63799 .70627 L
.63885 .70669 L
.64046 .70751 L
.64115 .70788 L
.64206 .7084 L
.64367 .70937 L
.64386 .70948 L
.64527 .71041 L
.64625 .71109 L
.64688 .71155 L
.64837 .71269 L
.64848 .71278 L
.65009 .71415 L
.65025 .7143 L
.6517 .71572 L
.65187 .7159 L
.65319 .71751 L
.6533 .71766 L
.65413 .71912 L
.65446 .72072 L
.65362 .72233 L
.6533 .72264 L
.6517 .72341 L
.65009 .7237 L
.64848 .72387 L
.64782 .72393 L
.64688 .72398 L
.64527 .72402 L
.64367 .724 L
.64214 .72393 L
.64206 .72393 L
.64046 .7238 L
.63885 .72361 L
.63725 .72337 L
.63564 .72306 L
.63404 .72267 L
.63283 .72233 L
.63243 .7222 L
.63083 .72165 L
.62922 .72099 L
.62862 .72072 L
.62762 .72023 L
.62601 .71936 L
.6256 .71912 L
.62441 .71837 L
.62317 .71751 L
.6228 .71724 L
.6212 .71596 L
.62113 .7159 L
.61959 .7145 L
.61939 .7143 L
.61799 .71279 L
.61791 .71269 L
.61667 .71109 L
.61638 .71071 L
.6157 .70948 L
.61506 .70788 L
.61485 .70627 L
.61538 .70467 L
.61638 .7036 L
.61767 .70306 L
F
.61638 .5964 m
.61723 .59712 L
.61799 .59779 L
.61888 .59872 L
.61959 .59911 L
.62033 .60033 L
.6212 .60125 L
.62206 .60193 L
.6228 .60331 L
.623 .60354 L
.62422 .60514 L
.62441 .60539 L
.62543 .60675 L
.62601 .60754 L
.62661 .60835 L
.62762 .60972 L
.62776 .60996 L
.62871 .61156 L
.62922 .61249 L
.62955 .61317 L
.62922 .61403 L
.62797 .61317 L
.62762 .61287 L
.62635 .61156 L
.62601 .61121 L
.62494 .60996 L
.62441 .60936 L
.6236 .60835 L
.6228 .60741 L
.62229 .60675 L
.6212 .6055 L
.62082 .60514 L
.61979 .60354 L
.61959 .60329 L
.61861 .60193 L
.61799 .60109 L
.61746 .60033 L
.61638 .5988 L
.61633 .59872 L
.61547 .59712 L
F
0 .55 1 r
.61638 .55403 m
.61726 .55538 L
.61799 .55634 L
.61838 .55699 L
.61799 .55743 L
.61764 .55699 L
.61638 .55561 L
.61621 .55538 L
F
0 .54 1 r
.61638 .55417 m
.61713 .55538 L
.61799 .55655 L
.61822 .55699 L
.61799 .55723 L
.61779 .55699 L
.61638 .55549 L
.6163 .55538 L
F
1 .66 0 r
.61638 .54748 m
.61751 .54896 L
.61799 .54951 L
.61878 .55057 L
.61959 .55153 L
.62007 .55217 L
.6212 .55357 L
.62135 .55378 L
.6212 .55536 L
.62003 .55378 L
.61959 .55325 L
.61882 .55217 L
.61799 .55116 L
.61757 .55057 L
.61638 .54907 L
.6163 .54896 L
F
.01 .85 1 r
.61799 .54288 m
.61906 .54414 L
.61959 .54472 L
.62045 .54575 L
.6212 .54661 L
.62181 .54735 L
.6228 .54854 L
.62314 .54896 L
.62441 .55047 L
.62454 .55057 L
.62575 .55217 L
.62601 .55249 L
.62704 .55378 L
.62762 .55448 L
.62833 .55538 L
.62922 .55615 L
.62962 .55699 L
.63083 .5585 L
.63092 .55859 L
.63214 .5602 L
.63243 .56056 L
.6334 .5618 L
.63404 .56261 L
.63466 .56341 L
.63564 .56453 L
.63621 .56501 L
.63714 .56662 L
.63725 .56675 L
.63837 .56822 L
.63885 .56884 L
.63961 .56983 L
.64046 .57051 L
.64084 .57143 L
.64206 .57303 L
.64207 .57304 L
.64326 .57464 L
.64367 .57517 L
.64447 .57625 L
.64527 .5773 L
.64569 .57785 L
.64688 .57943 L
.6469 .57946 L
.64805 .58106 L
.64848 .58164 L
.64922 .58267 L
.65009 .58384 L
.6504 .58428 L
.65154 .58588 L
.6517 .58609 L
.65262 .58749 L
.6533 .58844 L
.65371 .58909 L
.6533 .5899 L
.65263 .58909 L
.6517 .58811 L
.65119 .58749 L
.65009 .58624 L
.64981 .58588 L
.64848 .58433 L
.64844 .58428 L
.64716 .58267 L
.64688 .58235 L
.64587 .58106 L
.64527 .58036 L
.64458 .57946 L
.64367 .57837 L
.64328 .57785 L
.64206 .57644 L
.64198 .57625 L
.64073 .57464 L
.64046 .57432 L
.63948 .57304 L
.63885 .57227 L
.63822 .57143 L
.63725 .57023 L
.63695 .56983 L
.63568 .56822 L
.63564 .56818 L
.63447 .56662 L
.63404 .56609 L
.63324 .56501 L
.63243 .564 L
.63199 .56341 L
.63083 .56202 L
.63073 .5618 L
.62953 .5602 L
.62922 .55982 L
.62833 .55859 L
.62762 .5577 L
.6271 .55699 L
.62601 .55559 L
.62586 .55538 L
.62467 .55378 L
.62441 .55345 L
.6235 .55217 L
.6228 .55128 L
.6223 .55057 L
.6212 .54913 L
.62108 .54896 L
.61993 .54735 L
.61959 .54691 L
.61881 .54575 L
.61799 .54466 L
.61766 .54414 L
F
1 .95 .212 r
.61799 .53612 m
.61946 .53772 L
.61959 .53786 L
.62089 .53933 L
.6212 .53967 L
.62229 .54093 L
.6228 .54152 L
.62367 .54254 L
.62441 .54322 L
.62503 .54414 L
.62601 .54532 L
.62649 .54575 L
.62762 .54729 L
.62767 .54735 L
.629 .54896 L
.62922 .54923 L
.63032 .55057 L
.63083 .55113 L
.63202 .55217 L
.63243 .5532 L
.63292 .55378 L
.63404 .55522 L
.63414 .55538 L
.63547 .55699 L
.63564 .55712 L
.63676 .55859 L
.63725 .5592 L
.63814 .5602 L
.63885 .56128 L
.63923 .5618 L
.64046 .56331 L
.64049 .56341 L
.64182 .56501 L
.64206 .56528 L
.64335 .56662 L
.64367 .56738 L
.64433 .56822 L
.64527 .56947 L
.64548 .56983 L
.64683 .57143 L
.64688 .57147 L
.64808 .57304 L
.64848 .57353 L
.64942 .57464 L
.65009 .57565 L
.6505 .57625 L
.6517 .57774 L
.65173 .57785 L
.65304 .57946 L
.6533 .57972 L
.65453 .58106 L
.65491 .58186 L
.65552 .58267 L
.65651 .58399 L
.65667 .58428 L
.65797 .58588 L
.65812 .58596 L
.6592 .58749 L
.65972 .5881 L
.66053 .58909 L
.66133 .59028 L
.66161 .5907 L
.66286 .5923 L
.66293 .5924 L
.66407 .59391 L
.66454 .59435 L
.66557 .59551 L
.66614 .5966 L
.66652 .59712 L
.66771 .59872 L
.66775 .59878 L
.6689 .60033 L
.66935 .60055 L
.67011 .60193 L
.67096 .60298 L
.6714 .60354 L
.67249 .60514 L
.67256 .60524 L
.67366 .60675 L
.67417 .60743 L
.67484 .60835 L
.67577 .60947 L
.67617 .60996 L
.67716 .61156 L
.67738 .61186 L
.67829 .61317 L
.67898 .61413 L
.67943 .61477 L
.68055 .61638 L
.68059 .61644 L
.68157 .61799 L
.68219 .61892 L
.68259 .61959 L
.68219 .62058 L
.68126 .61959 L
.68059 .61893 L
.67977 .61799 L
.67898 .61715 L
.67834 .61638 L
.67738 .6153 L
.67695 .61477 L
.67577 .61349 L
.67558 .61317 L
.67425 .61156 L
.67417 .61148 L
.67295 .60996 L
.67256 .60951 L
.67164 .60835 L
.67096 .60784 L
.67034 .60675 L
.66935 .60562 L
.66882 .60514 L
.66775 .60354 L
.66774 .60354 L
.66649 .60193 L
.66614 .60152 L
.66522 .60033 L
.66454 .59968 L
.66395 .59872 L
.66293 .5975 L
.66257 .59712 L
.66141 .59551 L
.66133 .59541 L
.66017 .59391 L
.65972 .59368 L
.65892 .5923 L
.65812 .59142 L
.65739 .5907 L
.65651 .58926 L
.65637 .58909 L
.65516 .58749 L
.65491 .58717 L
.65393 .58588 L
.6533 .58533 L
.65213 .58428 L
.6517 .58309 L
.65132 .58267 L
.65018 .58106 L
.65009 .58095 L
.64896 .57946 L
.64848 .57927 L
.64773 .57785 L
.64688 .57692 L
.64624 .57625 L
.64527 .57471 L
.64522 .57464 L
.64402 .57304 L
.64367 .57259 L
.6428 .57143 L
.64206 .57077 L
.6411 .56983 L
.64046 .56846 L
.64026 .56822 L
.6391 .56662 L
.63885 .5663 L
.6379 .56501 L
.63725 .56419 L
.63667 .56341 L
.63564 .5622 L
.63529 .5618 L
.63421 .5602 L
.63404 .55998 L
.63302 .55859 L
.63243 .55784 L
.63181 .55699 L
.63083 .55594 L
.63031 .55538 L
.62936 .55378 L
.62922 .5536 L
.62818 .55217 L
.62762 .55144 L
.62699 .55057 L
.62601 .5493 L
.62577 .54896 L
.62457 .54735 L
.62441 .54715 L
.62342 .54575 L
.6228 .54495 L
.62224 .54414 L
.6212 .54276 L
.62105 .54254 L
.61991 .54093 L
.61959 .54051 L
.61881 .53933 L
.61799 .5382 L
.61769 .53772 L
F
1 .65 0 r
.61799 .54969 m
.61864 .55057 L
.61959 .55169 L
.61995 .55217 L
.6212 .55372 L
.62123 .55378 L
.6212 .55519 L
.62018 .55378 L
.61959 .55309 L
.61896 .55217 L
.61799 .551 L
.61769 .55057 L
F
1 .64 0 r
.61799 .54992 m
.61845 .55057 L
.61959 .55189 L
.61979 .55217 L
.61959 .55288 L
.61913 .55217 L
.61799 .5508 L
.61783 .55057 L
F
.007 .84 1 r
.61799 .54327 m
.61876 .54414 L
.61959 .545 L
.62022 .54575 L
.6212 .54685 L
.62162 .54735 L
.6228 .54875 L
.62298 .54896 L
.62429 .55057 L
.62441 .5507 L
.62559 .55217 L
.62601 .55267 L
.6269 .55378 L
.62762 .55465 L
.6282 .55538 L
.62922 .55639 L
.62949 .55699 L
.63076 .55859 L
.63083 .55867 L
.63201 .5602 L
.63243 .56071 L
.63328 .5618 L
.63404 .56276 L
.63454 .56341 L
.63564 .56473 L
.63598 .56501 L
.63702 .56662 L
.63725 .5669 L
.63825 .56822 L
.63885 .56899 L
.63949 .56983 L
.64046 .57075 L
.64073 .57143 L
.64194 .57304 L
.64206 .5732 L
.64313 .57464 L
.64367 .57533 L
.64434 .57625 L
.64527 .57747 L
.64556 .57785 L
.64674 .57946 L
.64688 .57964 L
.64789 .58106 L
.64848 .58186 L
.64905 .58267 L
.65009 .58408 L
.65022 .58428 L
.65129 .58588 L
.6517 .58644 L
.65232 .58749 L
.6533 .58902 L
.65333 .58909 L
.6533 .58925 L
.65313 .58909 L
.6517 .5878 L
.65144 .58749 L
.65009 .58601 L
.64999 .58588 L
.64863 .58428 L
.64848 .58411 L
.64733 .58267 L
.64688 .58216 L
.64602 .58106 L
.64527 .5802 L
.6447 .57946 L
.64367 .57822 L
.64339 .57785 L
.64208 .57625 L
.64206 .57623 L
.64084 .57464 L
.64046 .57418 L
.63959 .57304 L
.63885 .57214 L
.63832 .57143 L
.63725 .57011 L
.63704 .56983 L
.63579 .56822 L
.63564 .56805 L
.63457 .56662 L
.63404 .56596 L
.63334 .56501 L
.63243 .56388 L
.63208 .56341 L
.63083 .56182 L
.63082 .5618 L
.62964 .5602 L
.62922 .55968 L
.62843 .55859 L
.62762 .55756 L
.6272 .55699 L
.62601 .55546 L
.62596 .55538 L
.62479 .55378 L
.62441 .55329 L
.62362 .55217 L
.6228 .55111 L
.62242 .55057 L
.6212 .54896 L
.6212 .54895 L
.62011 .54735 L
.61959 .54667 L
.61901 .54575 L
.61799 .54435 L
.61787 .54414 L
F
1 .9 .045 r
.61959 .75355 m
.6212 .75365 L
.6228 .75425 L
.62335 .75443 L
.62441 .75497 L
.62601 .75582 L
.62643 .75604 L
.62762 .75673 L
.62913 .75764 L
.62922 .7577 L
.63083 .75872 L
.63164 .75925 L
.63243 .75978 L
.63401 .76085 L
.63404 .76087 L
.63564 .76198 L
.63632 .76246 L
.63725 .76312 L
.63855 .76406 L
.63885 .76429 L
.64046 .76547 L
.64073 .76567 L
.64206 .76667 L
.64286 .76727 L
.64367 .76788 L
.64496 .76888 L
.64527 .76912 L
.64688 .77036 L
.64703 .77048 L
.64848 .77162 L
.64908 .77209 L
.65009 .77289 L
.6511 .77369 L
.6517 .77417 L
.65309 .7753 L
.6533 .77547 L
.65491 .77677 L
.65507 .7769 L
.65651 .77808 L
.65703 .77851 L
.65812 .77941 L
.65897 .78011 L
.65972 .78074 L
.6609 .78172 L
.66133 .78208 L
.66281 .78332 L
.66293 .78343 L
.66454 .78478 L
.66471 .78493 L
.66614 .78615 L
.6666 .78654 L
.66775 .78752 L
.66847 .78814 L
.66935 .7889 L
.67034 .78975 L
.67096 .79028 L
.67219 .79135 L
.67256 .79168 L
.67403 .79296 L
.67417 .79308 L
.67577 .79449 L
.67586 .79456 L
.67738 .7959 L
.67768 .79617 L
.67898 .79733 L
.67949 .79777 L
.68059 .79876 L
.68128 .79938 L
.68219 .80019 L
.68307 .80098 L
.6838 .80164 L
.68485 .80259 L
.68541 .80309 L
.68662 .80419 L
.68701 .80455 L
.68838 .8058 L
.68862 .80601 L
.69013 .8074 L
.69022 .80749 L
.69183 .80897 L
.69187 .80901 L
.69343 .81046 L
.6936 .81061 L
.69504 .81195 L
.69532 .81222 L
.69664 .81346 L
.69704 .81382 L
.69825 .81497 L
.69874 .81543 L
.69985 .81648 L
.70044 .81703 L
.70146 .81801 L
.70212 .81864 L
.70306 .81954 L
.7038 .82025 L
.70467 .82108 L
.70547 .82185 L
.70627 .82262 L
.70714 .82346 L
.70788 .82417 L
.7088 .82506 L
.70948 .82573 L
.71045 .82667 L
.71109 .82729 L
.71209 .82827 L
.71269 .82887 L
.71372 .82988 L
.7143 .83044 L
.71535 .83148 L
.7159 .83203 L
.71697 .83309 L
.71751 .83362 L
.71859 .83469 L
.71912 .83522 L
.72019 .8363 L
.72072 .83683 L
.72179 .8379 L
.72233 .83845 L
.72338 .83951 L
.72393 .84007 L
.72496 .84111 L
.72554 .8417 L
.72653 .84272 L
.72714 .84335 L
.72809 .84432 L
.72875 .845 L
.72964 .84593 L
.73035 .84667 L
.73118 .84753 L
.73196 .84835 L
.73271 .84914 L
.73356 .85004 L
.73423 .85074 L
.73517 .85174 L
.73574 .85235 L
.73677 .85346 L
.73723 .85396 L
.73838 .8552 L
.73871 .85556 L
.73998 .85695 L
.74018 .85717 L
.74159 .85872 L
.74163 .85877 L
.74307 .86038 L
.74319 .86051 L
.74449 .86198 L
.7448 .86233 L
.7459 .86359 L
.7464 .86417 L
.74729 .86519 L
.74801 .86603 L
.74865 .8668 L
.74961 .86794 L
.75 .8684 L
.75122 .86988 L
.75132 .87001 L
.75262 .87161 L
.75283 .87187 L
.75389 .87322 L
.75443 .87391 L
.75512 .87482 L
.75604 .87604 L
.75631 .87643 L
.75746 .87803 L
.75764 .87827 L
.75855 .87964 L
.75925 .8807 L
.75955 .88124 L
.76046 .88285 L
.76085 .88369 L
.76118 .88445 L
.76168 .88606 L
.76085 .8874 L
.75925 .88749 L
.75764 .88692 L
.75604 .88619 L
.75573 .88606 L
.75443 .88538 L
.75283 .88447 L
.7528 .88445 L
.75122 .88351 L
.75015 .88285 L
.74961 .8825 L
.74801 .88145 L
.7477 .88124 L
.7464 .88036 L
.74535 .87964 L
.7448 .87925 L
.74319 .87812 L
.74308 .87803 L
.74159 .87696 L
.74086 .87643 L
.73998 .87578 L
.7387 .87482 L
.73838 .87458 L
.73677 .87337 L
.73657 .87322 L
.73517 .87214 L
.73448 .87161 L
.73356 .8709 L
.73242 .87001 L
.73196 .86965 L
.73038 .8684 L
.73035 .86838 L
.72875 .8671 L
.72837 .8668 L
.72714 .86581 L
.72638 .86519 L
.72554 .86451 L
.72441 .86359 L
.72393 .8632 L
.72246 .86198 L
.72233 .86187 L
.72072 .86054 L
.72052 .86038 L
.71912 .8592 L
.7186 .85877 L
.71751 .85786 L
.71669 .85717 L
.7159 .8565 L
.7148 .85556 L
.7143 .85513 L
.71292 .85396 L
.71269 .85376 L
.71109 .85238 L
.71105 .85235 L
.70948 .85099 L
.7092 .85074 L
.70788 .8496 L
.70735 .84914 L
.70627 .8482 L
.70552 .84753 L
.70467 .84679 L
.7037 .84593 L
.70306 .84537 L
.70188 .84432 L
.70146 .84395 L
.70008 .84272 L
.69985 .84251 L
.69829 .84111 L
.69825 .84108 L
.69664 .83963 L
.6965 .83951 L
.69504 .83818 L
.69473 .8379 L
.69343 .83672 L
.69296 .8363 L
.69183 .83526 L
.69121 .83469 L
.69022 .83379 L
.68946 .83309 L
.68862 .83231 L
.68772 .83148 L
.68701 .83083 L
.68599 .82988 L
.68541 .82934 L
.68426 .82827 L
.6838 .82784 L
.68255 .82667 L
.68219 .82633 L
.68084 .82506 L
.68059 .82482 L
.67914 .82346 L
.67898 .82331 L
.67745 .82185 L
.67738 .82178 L
.67577 .82025 L
.67577 .82025 L
.67417 .81871 L
.67409 .81864 L
.67256 .81716 L
.67243 .81703 L
.67096 .81561 L
.67077 .81543 L
.66935 .81405 L
.66912 .81382 L
.66775 .81248 L
.66748 .81222 L
.66614 .81091 L
.66584 .81061 L
.66454 .80932 L
.66422 .80901 L
.66293 .80773 L
.6626 .8074 L
.66133 .80613 L
.66099 .8058 L
.65972 .80452 L
.65939 .80419 L
.65812 .80291 L
.6578 .80259 L
.65651 .80128 L
.65622 .80098 L
.65491 .79964 L
.65465 .79938 L
.6533 .798 L
.65308 .79777 L
.6517 .79634 L
.65153 .79617 L
.65009 .79467 L
.64999 .79456 L
.64848 .79299 L
.64845 .79296 L
.64693 .79135 L
.64688 .7913 L
.64542 .78975 L
.64527 .78959 L
.64392 .78814 L
.64367 .78787 L
.64243 .78654 L
.64206 .78614 L
.64095 .78493 L
.64046 .78439 L
.63949 .78332 L
.63885 .78262 L
.63804 .78172 L
.63725 .78083 L
.63661 .78011 L
.63564 .77902 L
.63519 .77851 L
.63404 .77719 L
.63379 .7769 L
.63243 .77533 L
.63241 .7753 L
.63104 .77369 L
.63083 .77344 L
.6297 .77209 L
.62922 .77151 L
.62839 .77048 L
.62762 .76953 L
.6271 .76888 L
.62601 .76749 L
.62584 .76727 L
.62462 .76567 L
.62441 .76539 L
.62344 .76406 L
.6228 .76318 L
.62231 .76246 L
.62125 .76085 L
.6212 .76079 L
.62027 .75925 L
.61959 .75807 L
.61943 .75764 L
.61874 .75604 L
.61861 .75443 L
F
.395 .97 1 r
.61959 .60057 m
.62085 .60193 L
.6212 .6023 L
.62221 .60354 L
.6228 .60425 L
.62349 .60514 L
.62441 .60637 L
.62468 .60675 L
.62573 .60835 L
.62601 .60882 L
.62648 .60996 L
.62601 .61005 L
.62592 .60996 L
.62441 .60851 L
.62428 .60835 L
.62287 .60675 L
.6228 .60666 L
.62162 .60514 L
.6212 .60462 L
.62042 .60354 L
.61959 .60244 L
.61926 .60193 L
F
.005 .83 1 r
.61959 .54538 m
.61992 .54575 L
.6212 .54713 L
.62139 .54735 L
.6212 .54869 L
.62036 .54735 L
.61959 .5463 L
.6193 .54575 L
F
1 .94 .156 r
.61959 .53884 m
.62011 .53933 L
.6212 .54038 L
.62171 .54093 L
.6228 .54212 L
.62318 .54254 L
.62441 .54384 L
.62459 .54414 L
.62596 .54575 L
.62601 .54581 L
.62732 .54735 L
.62762 .5477 L
.62867 .54896 L
.62922 .54962 L
.63001 .55057 L
.63083 .55148 L
.63172 .55217 L
.63243 .55354 L
.63265 .55378 L
.63392 .55538 L
.63404 .55552 L
.63522 .55699 L
.63564 .55733 L
.63652 .55859 L
.63725 .55948 L
.63793 .5602 L
.63885 .56154 L
.63905 .5618 L
.64034 .56341 L
.64046 .56356 L
.64161 .56501 L
.64206 .5655 L
.64321 .56662 L
.64367 .56762 L
.64415 .56822 L
.64527 .5697 L
.64535 .56983 L
.64664 .57143 L
.64688 .5716 L
.6479 .57304 L
.64848 .57375 L
.64926 .57464 L
.65009 .57588 L
.65035 .57625 L
.65162 .57785 L
.6517 .57795 L
.65286 .57946 L
.6533 .57991 L
.6544 .58106 L
.65491 .58209 L
.65535 .58267 L
.65651 .58421 L
.65654 .58428 L
.65778 .58588 L
.65812 .58607 L
.65901 .58749 L
.65972 .58833 L
.66035 .58909 L
.66133 .59052 L
.66144 .5907 L
.66266 .5923 L
.66293 .59266 L
.66388 .59391 L
.66454 .5946 L
.66536 .59551 L
.66614 .5969 L
.66631 .59712 L
.66748 .59872 L
.66775 .59908 L
.66867 .60033 L
.66935 .60083 L
.66987 .60193 L
.67096 .60338 L
.67108 .60354 L
.6722 .60514 L
.67256 .60563 L
.67336 .60675 L
.67417 .60785 L
.67453 .60835 L
.67566 .60996 L
.67577 .61011 L
.67674 .61156 L
.67738 .61247 L
.67784 .61317 L
.67738 .61469 L
.67604 .61317 L
.67577 .61289 L
.67465 .61156 L
.67417 .61103 L
.67329 .60996 L
.67256 .60913 L
.67194 .60835 L
.67096 .60745 L
.6706 .60675 L
.66935 .60527 L
.66921 .60514 L
.66798 .60354 L
.66775 .60326 L
.6667 .60193 L
.66614 .60126 L
.66542 .60033 L
.66454 .59942 L
.66413 .59872 L
.66293 .59726 L
.6628 .59712 L
.66158 .59551 L
.66133 .5952 L
.66033 .59391 L
.65972 .59353 L
.65907 .5923 L
.65812 .59121 L
.65759 .5907 L
.65653 .58909 L
.65651 .58907 L
.6553 .58749 L
.65491 .58699 L
.65406 .58588 L
.6533 .58516 L
.65231 .58428 L
.6517 .58291 L
.65148 .58267 L
.65031 .58106 L
.65009 .58079 L
.64909 .57946 L
.64848 .57915 L
.64785 .57785 L
.64688 .57674 L
.64641 .57625 L
.64536 .57464 L
.64527 .57454 L
.64415 .57304 L
.64367 .57243 L
.64293 .57143 L
.64206 .57058 L
.64129 .56983 L
.64046 .56826 L
.64042 .56822 L
.63924 .56662 L
.63885 .56613 L
.63803 .56501 L
.63725 .56402 L
.6368 .56341 L
.63564 .56197 L
.6355 .5618 L
.63437 .5602 L
.63404 .55978 L
.63317 .55859 L
.63243 .55764 L
.63196 .55699 L
.63083 .55562 L
.63061 .55538 L
.62955 .55378 L
.62922 .55336 L
.62838 .55217 L
.62762 .55119 L
.62718 .55057 L
.62601 .54903 L
.62596 .54896 L
.62483 .54735 L
.62441 .5468 L
.62369 .54575 L
.6228 .54455 L
.62253 .54414 L
.6214 .54254 L
.6212 .54226 L
.6204 .54093 L
.61959 .53972 L
.61941 .53933 L
F
.395 .97 1 r
.6212 .70586 m
.6228 .70528 L
.62441 .70509 L
.62601 .7051 L
.62762 .70525 L
.62922 .70552 L
.63083 .70589 L
.63218 .70627 L
.63243 .70635 L
.63404 .7069 L
.63564 .70753 L
.63645 .70788 L
.63725 .70825 L
.63885 .70905 L
.63967 .70948 L
.64046 .70993 L
.64206 .71091 L
.64234 .71109 L
.64367 .71199 L
.64461 .71269 L
.64527 .7132 L
.64655 .7143 L
.64688 .71458 L
.64815 .7159 L
.64848 .71614 L
.64936 .71751 L
.65001 .71912 L
.64969 .72072 L
.64848 .72165 L
.64688 .72224 L
.64607 .72233 L
.64527 .7224 L
.64367 .72248 L
.64206 .72245 L
.64051 .72233 L
.64046 .72232 L
.63885 .72211 L
.63725 .72182 L
.63564 .72143 L
.63404 .72094 L
.63339 .72072 L
.63243 .72036 L
.63083 .71967 L
.62971 .71912 L
.62922 .71886 L
.62762 .71791 L
.627 .71751 L
.62601 .71682 L
.62485 .7159 L
.62441 .71554 L
.62309 .7143 L
.6228 .71402 L
.62167 .71269 L
.6212 .71216 L
.62059 .71109 L
.6199 .70948 L
.61976 .70788 L
.62066 .70627 L
F
.733 .99 1 r
.6212 .53437 m
.6214 .53451 L
.6228 .53575 L
.62317 .53612 L
.62441 .53718 L
.6247 .53772 L
.62601 .53916 L
.62631 .53933 L
.62757 .54093 L
.62762 .54099 L
.62897 .54254 L
.62922 .54283 L
.63036 .54414 L
.63083 .54463 L
.63173 .54575 L
.63243 .54664 L
.63313 .54735 L
.63404 .54861 L
.6343 .54896 L
.63564 .55053 L
.63565 .55057 L
.63702 .55217 L
.63725 .55245 L
.63851 .55378 L
.63885 .55448 L
.63956 .55538 L
.64046 .55653 L
.64071 .55699 L
.64206 .55852 L
.6422 .55859 L
.64348 .5602 L
.64367 .56045 L
.64477 .5618 L
.64527 .56253 L
.64587 .56341 L
.64688 .56463 L
.64696 .56501 L
.64848 .5666 L
.64856 .56662 L
.64989 .56822 L
.65009 .5686 L
.651 .56983 L
.6517 .57071 L
.65208 .57143 L
.6533 .57282 L
.6536 .57304 L
.6549 .57464 L
.65491 .57473 L
.65609 .57625 L
.65651 .57684 L
.65718 .57785 L
.65812 .57898 L
.6582 .57946 L
.65972 .58102 L
.65983 .58106 L
.66113 .58267 L
.66133 .58302 L
.66224 .58428 L
.66293 .58515 L
.66329 .58588 L
.66454 .58727 L
.6648 .58749 L
.66611 .58909 L
.66614 .58924 L
.66727 .5907 L
.66775 .59136 L
.66835 .5923 L
.66935 .5935 L
.66939 .59391 L
.67096 .59551 L
.67096 .59551 L
.67227 .59712 L
.67256 .5976 L
.67336 .59872 L
.67417 .59974 L
.67443 .60033 L
.67577 .60183 L
.67589 .60193 L
.67728 .60354 L
.67738 .60386 L
.67836 .60514 L
.67898 .60601 L
.67943 .60675 L
.68059 .60814 L
.68079 .60835 L
.682 .60996 L
.68219 .61016 L
.68335 .61156 L
.6838 .6123 L
.6844 .61317 L
.68541 .61446 L
.68553 .61477 L
.68686 .61638 L
.68701 .61647 L
.68838 .61799 L
.68862 .61862 L
.68934 .61959 L
.69022 .62083 L
.69043 .6212 L
.69169 .6228 L
.69183 .62298 L
.69289 .62441 L
.69343 .62496 L
.69425 .62601 L
.69504 .62726 L
.69527 .62762 L
.69645 .62922 L
.69664 .62949 L
.69762 .63083 L
.69825 .63131 L
.69914 .63243 L
.69985 .63386 L
.69998 .63404 L
.70108 .63564 L
.70146 .63617 L
.70221 .63725 L
.70306 .63846 L
.70333 .63885 L
.7044 .64046 L
.70467 .64086 L
.70541 .64206 L
.70627 .64344 L
.7064 .64367 L
.70627 .64483 L
.70502 .64367 L
.70467 .64335 L
.70348 .64206 L
.70306 .64165 L
.70203 .64046 L
.70146 .63984 L
.70062 .63885 L
.69985 .63832 L
.69924 .63725 L
.69825 .63616 L
.69752 .63564 L
.69664 .63416 L
.69651 .63404 L
.69524 .63243 L
.69504 .6322 L
.69394 .63083 L
.69343 .63039 L
.69264 .62922 L
.69183 .62827 L
.69114 .62762 L
.69022 .62622 L
.69004 .62601 L
.68879 .62441 L
.68862 .62436 L
.68753 .6228 L
.68701 .62227 L
.68581 .6212 L
.68541 .62015 L
.68489 .61959 L
.6838 .61808 L
.68373 .61799 L
.68248 .61638 L
.68219 .61617 L
.68123 .61477 L
.68059 .61404 L
.67975 .61317 L
.67898 .61192 L
.67869 .61156 L
.67747 .60996 L
.67738 .60984 L
.67624 .60835 L
.67577 .6079 L
.67457 .60675 L
.67417 .60575 L
.67364 .60514 L
.67256 .60363 L
.6725 .60354 L
.67127 .60193 L
.67096 .60174 L
.67004 .60033 L
.66935 .59957 L
.66857 .59872 L
.66775 .59741 L
.66751 .59712 L
.66631 .59551 L
.66614 .5953 L
.66509 .59391 L
.66454 .5934 L
.66344 .5923 L
.66293 .59119 L
.66251 .5907 L
.66136 .58909 L
.66133 .58904 L
.66015 .58749 L
.65972 .58725 L
.65893 .58588 L
.65812 .58498 L
.65748 .58428 L
.65651 .58278 L
.65642 .58267 L
.65522 .58106 L
.65491 .58067 L
.65401 .57946 L
.6533 .5788 L
.6524 .57785 L
.6517 .57653 L
.65146 .57625 L
.6503 .57464 L
.65009 .57438 L
.64909 .57304 L
.64848 .57267 L
.64787 .57143 L
.64688 .57028 L
.64649 .56983 L
.64539 .56822 L
.64527 .56807 L
.6442 .56662 L
.64367 .56595 L
.64298 .56501 L
.64206 .56405 L
.64149 .56341 L
.6405 .5618 L
.64046 .56175 L
.63932 .5602 L
.63885 .55961 L
.63811 .55859 L
.63725 .55749 L
.63688 .55699 L
.63564 .55538 L
.63564 .55538 L
.63447 .55378 L
.63404 .55322 L
.63328 .55217 L
.63243 .55108 L
.63207 .55057 L
.63083 .54896 L
.63083 .54895 L
.62968 .54735 L
.62922 .54676 L
.62852 .54575 L
.62762 .54457 L
.62732 .54414 L
.62614 .54254 L
.62601 .54237 L
.62503 .54093 L
.62441 .54009 L
.62392 .53933 L
.6228 .53778 L
.62277 .53772 L
.6218 .53612 L
.6212 .53513 L
.62103 .53451 L
F
1 .98 .538 r
.6228 .59787 m
.62372 .59872 L
.62441 .59939 L
.62527 .60033 L
.62601 .6008 L
.62669 .60193 L
.62762 .60297 L
.62828 .60354 L
.62922 .60504 L
.6293 .60514 L
.63053 .60675 L
.63083 .60714 L
.63173 .60835 L
.63243 .60934 L
.63288 .60996 L
.63392 .61156 L
.63404 .61176 L
.63481 .61317 L
.63404 .61408 L
.63303 .61317 L
.63243 .6126 L
.63151 .61156 L
.63083 .61081 L
.63014 .60996 L
.62922 .60889 L
.62881 .60835 L
.62762 .60697 L
.62751 .60675 L
.62629 .60514 L
.62601 .60479 L
.62511 .60354 L
.62441 .60262 L
.62393 .60193 L
.6228 .60037 L
.62277 .60033 L
.62183 .59872 L
F
1 .66 0 r
.6228 .55567 m
.62375 .55699 L
.62441 .55779 L
.62498 .55859 L
.62601 .55991 L
.62622 .5602 L
.62601 .56137 L
.62513 .5602 L
.62441 .55938 L
.62383 .55859 L
.6228 .55737 L
.62252 .55699 L
F
.005 .83 1 r
.6228 .54899 m
.6241 .55057 L
.62441 .55091 L
.62542 .55217 L
.62601 .55286 L
.62675 .55378 L
.62762 .55483 L
.62806 .55538 L
.62922 .55668 L
.62935 .55699 L
.63062 .55859 L
.63083 .55884 L
.63188 .5602 L
.63243 .56088 L
.63315 .5618 L
.63404 .56292 L
.63442 .56341 L
.63564 .56495 L
.63571 .56501 L
.63689 .56662 L
.63725 .56706 L
.63813 .56822 L
.63885 .56915 L
.63937 .56983 L
.64046 .57105 L
.6406 .57143 L
.6418 .57304 L
.64206 .57337 L
.643 .57464 L
.64367 .57552 L
.64421 .57625 L
.64527 .57766 L
.64541 .57785 L
.64656 .57946 L
.64688 .57987 L
.6477 .58106 L
.64848 .58211 L
.64886 .58267 L
.64848 .58385 L
.64754 .58267 L
.64688 .58195 L
.64619 .58106 L
.64527 .58002 L
.64485 .57946 L
.64367 .57806 L
.64351 .57785 L
.64222 .57625 L
.64206 .57606 L
.64097 .57464 L
.64046 .57403 L
.63971 .57304 L
.63885 .572 L
.63843 .57143 L
.63725 .56998 L
.63714 .56983 L
.6359 .56822 L
.63564 .56791 L
.63468 .56662 L
.63404 .56582 L
.63344 .56501 L
.63243 .56375 L
.63218 .56341 L
.63094 .5618 L
.63083 .56167 L
.62975 .5602 L
.62922 .55954 L
.62854 .55859 L
.62762 .55742 L
.62731 .55699 L
.62608 .55538 L
.62601 .5553 L
.62493 .55378 L
.62441 .55311 L
.62376 .55217 L
.6228 .55092 L
.62256 .55057 L
F
1 .65 0 r
.6228 .55585 m
.6236 .55699 L
.62441 .55797 L
.62484 .55859 L
.62601 .5601 L
.62608 .5602 L
.62601 .56115 L
.62532 .5602 L
.62441 .5592 L
.62397 .55859 L
.6228 .55723 L
.62263 .55699 L
F
.004 .82 1 r
.6228 .5493 m
.62385 .55057 L
.62441 .55116 L
.62522 .55217 L
.62601 .55308 L
.62657 .55378 L
.62762 .55503 L
.6279 .55538 L
.6292 .55699 L
.62922 .55701 L
.63046 .55859 L
.63083 .55903 L
.63174 .5602 L
.63243 .56105 L
.63302 .5618 L
.63404 .56309 L
.63429 .56341 L
.63553 .56501 L
.63564 .56515 L
.63676 .56662 L
.63725 .56723 L
.63799 .56822 L
.63885 .56932 L
.63924 .56983 L
.64046 .5714 L
.64047 .57143 L
.64165 .57304 L
.64206 .57357 L
.64284 .57464 L
.64367 .57572 L
.64405 .57625 L
.64525 .57785 L
.64527 .57789 L
.64635 .57946 L
.64688 .58016 L
.64748 .58106 L
.64848 .58245 L
.64862 .58267 L
.64848 .58347 L
.64784 .58267 L
.64688 .58169 L
.6464 .58106 L
.64527 .57981 L
.64501 .57946 L
.64367 .57788 L
.64365 .57785 L
.64239 .57625 L
.64206 .57588 L
.64112 .57464 L
.64046 .57387 L
.63984 .57304 L
.63885 .57185 L
.63854 .57143 L
.63725 .56983 L
.63724 .56983 L
.63603 .56822 L
.63564 .56775 L
.6348 .56662 L
.63404 .56568 L
.63355 .56501 L
.63243 .56361 L
.63228 .56341 L
.63107 .5618 L
.63083 .56151 L
.62988 .5602 L
.62922 .55938 L
.62867 .55859 L
.62762 .55726 L
.62742 .55699 L
.62623 .55538 L
.62601 .5551 L
.6251 .55378 L
.62441 .55289 L
.62393 .55217 L
.6228 .55069 L
.62272 .55057 L
F
1 .64 0 r
.6228 .55609 m
.6234 .55699 L
.62441 .55821 L
.62466 .55859 L
.62441 .55896 L
.62415 .55859 L
.6228 .55704 L
.62276 .55699 L
F
1 .89 .033 r
.62441 .75822 m
.62601 .75827 L
.62762 .7589 L
.62863 .75925 L
.62922 .75964 L
.63083 .76051 L
.63145 .76085 L
.63243 .76144 L
.63404 .76244 L
.63407 .76246 L
.63564 .76347 L
.63654 .76406 L
.63725 .76454 L
.63885 .76565 L
.63888 .76567 L
.64046 .76678 L
.64114 .76727 L
.64206 .76794 L
.64335 .76888 L
.64367 .76912 L
.64527 .77032 L
.6455 .77048 L
.64688 .77153 L
.64761 .77209 L
.64848 .77276 L
.64969 .77369 L
.65009 .77401 L
.6517 .77527 L
.65173 .7753 L
.6533 .77654 L
.65375 .7769 L
.65491 .77783 L
.65575 .77851 L
.65651 .77912 L
.65773 .78011 L
.65812 .78043 L
.65968 .78172 L
.65972 .78175 L
.66133 .78308 L
.66162 .78332 L
.66293 .78442 L
.66355 .78493 L
.66454 .78576 L
.66545 .78654 L
.66614 .78712 L
.66735 .78814 L
.66775 .78848 L
.66923 .78975 L
.66935 .78986 L
.67096 .79124 L
.67109 .79135 L
.67256 .79262 L
.67295 .79296 L
.67417 .79402 L
.67479 .79456 L
.67577 .79543 L
.67662 .79617 L
.67738 .79684 L
.67844 .79777 L
.67898 .79826 L
.68025 .79938 L
.68059 .79968 L
.68204 .80098 L
.68219 .80112 L
.6838 .80256 L
.68383 .80259 L
.68541 .80401 L
.68561 .80419 L
.68701 .80547 L
.68737 .8058 L
.68862 .80694 L
.68913 .8074 L
.69022 .80841 L
.69087 .80901 L
.69183 .80989 L
.69261 .81061 L
.69343 .81138 L
.69434 .81222 L
.69504 .81287 L
.69605 .81382 L
.69664 .81438 L
.69776 .81543 L
.69825 .81589 L
.69946 .81703 L
.69985 .81741 L
.70115 .81864 L
.70146 .81893 L
.70283 .82025 L
.70306 .82047 L
.7045 .82185 L
.70467 .82201 L
.70617 .82346 L
.70627 .82356 L
.70783 .82506 L
.70788 .82511 L
.70948 .82667 L
.70948 .82667 L
.71109 .82824 L
.71112 .82827 L
.71269 .82982 L
.71275 .82988 L
.7143 .83141 L
.71437 .83148 L
.7159 .833 L
.71599 .83309 L
.71751 .83461 L
.7176 .83469 L
.71912 .83622 L
.71919 .8363 L
.72072 .83784 L
.72078 .8379 L
.72233 .83947 L
.72236 .83951 L
.72393 .84111 L
.72393 .84111 L
.72549 .84272 L
.72554 .84276 L
.72704 .84432 L
.72714 .84443 L
.72858 .84593 L
.72875 .8461 L
.73011 .84753 L
.73035 .84779 L
.73162 .84914 L
.73196 .84949 L
.73313 .85074 L
.73356 .85121 L
.73461 .85235 L
.73517 .85295 L
.73609 .85396 L
.73677 .8547 L
.73755 .85556 L
.73838 .85648 L
.73899 .85717 L
.73998 .85828 L
.74042 .85877 L
.74159 .8601 L
.74183 .86038 L
.74319 .86195 L
.74322 .86198 L
.74459 .86359 L
.7448 .86383 L
.74593 .86519 L
.7464 .86575 L
.74726 .8668 L
.74801 .86772 L
.74855 .8684 L
.74961 .86976 L
.7498 .87001 L
.75103 .87161 L
.75122 .87186 L
.7522 .87322 L
.75283 .87408 L
.75332 .87482 L
.75436 .87643 L
.75443 .87646 L
.75531 .87803 L
.75604 .87953 L
.75608 .87964 L
.75665 .88124 L
.75604 .88271 L
.75443 .88282 L
.75283 .88227 L
.75122 .88152 L
.75061 .88124 L
.74961 .88069 L
.74801 .87976 L
.74781 .87964 L
.7464 .87878 L
.74522 .87803 L
.7448 .87775 L
.74319 .87668 L
.74281 .87643 L
.74159 .87559 L
.7405 .87482 L
.73998 .87446 L
.73838 .8733 L
.73826 .87322 L
.73677 .87213 L
.73607 .87161 L
.73517 .87094 L
.73393 .87001 L
.73356 .86972 L
.73196 .8685 L
.73184 .8684 L
.73035 .86725 L
.72977 .8668 L
.72875 .866 L
.72773 .86519 L
.72714 .86473 L
.72572 .86359 L
.72554 .86344 L
.72393 .86215 L
.72373 .86198 L
.72233 .86084 L
.72176 .86038 L
.72072 .85952 L
.71981 .85877 L
.71912 .8582 L
.71787 .85717 L
.71751 .85686 L
.71596 .85556 L
.7159 .85551 L
.7143 .85416 L
.71406 .85396 L
.71269 .8528 L
.71217 .85235 L
.71109 .85142 L
.7103 .85074 L
.70948 .85004 L
.70844 .84914 L
.70788 .84865 L
.70659 .84753 L
.70627 .84726 L
.70476 .84593 L
.70467 .84585 L
.70306 .84444 L
.70293 .84432 L
.70146 .84302 L
.70112 .84272 L
.69985 .84159 L
.69932 .84111 L
.69825 .84016 L
.69752 .83951 L
.69664 .83872 L
.69574 .8379 L
.69504 .83727 L
.69397 .8363 L
.69343 .83581 L
.69221 .83469 L
.69183 .83435 L
.69045 .83309 L
.69022 .83288 L
.68871 .83148 L
.68862 .8314 L
.68701 .82991 L
.68697 .82988 L
.68541 .82842 L
.68524 .82827 L
.6838 .82692 L
.68353 .82667 L
.68219 .82541 L
.68182 .82506 L
.68059 .8239 L
.68012 .82346 L
.67898 .82238 L
.67843 .82185 L
.67738 .82085 L
.67674 .82025 L
.67577 .81932 L
.67507 .81864 L
.67417 .81777 L
.6734 .81703 L
.67256 .81622 L
.67175 .81543 L
.67096 .81466 L
.6701 .81382 L
.66935 .81309 L
.66846 .81222 L
.66775 .81152 L
.66683 .81061 L
.66614 .80993 L
.66521 .80901 L
.66454 .80834 L
.6636 .8074 L
.66293 .80674 L
.66199 .8058 L
.66133 .80513 L
.6604 .80419 L
.65972 .80351 L
.65882 .80259 L
.65812 .80188 L
.65724 .80098 L
.65651 .80023 L
.65568 .79938 L
.65491 .79858 L
.65412 .79777 L
.6533 .79692 L
.65258 .79617 L
.6517 .79524 L
.65105 .79456 L
.65009 .79355 L
.64953 .79296 L
.64848 .79185 L
.64802 .79135 L
.64688 .79013 L
.64653 .78975 L
.64527 .78839 L
.64504 .78814 L
.64367 .78664 L
.64357 .78654 L
.64212 .78493 L
.64206 .78487 L
.64068 .78332 L
.64046 .78308 L
.63926 .78172 L
.63885 .78126 L
.63786 .78011 L
.63725 .77941 L
.63647 .77851 L
.63564 .77754 L
.63511 .7769 L
.63404 .77562 L
.63377 .7753 L
.63246 .77369 L
.63243 .77366 L
.63118 .77209 L
.63083 .77165 L
.62993 .77048 L
.62922 .76956 L
.62872 .76888 L
.62762 .76734 L
.62757 .76727 L
.62647 .76567 L
.62601 .76504 L
.62545 .76406 L
.62455 .76246 L
.62441 .76214 L
.62382 .76085 L
.62355 .75925 L
F
.733 .99 1 r
.62441 .62689 m
.6251 .62762 L
.62601 .6286 L
.62649 .62922 L
.62762 .63066 L
.62773 .63083 L
.62762 .6323 L
.62629 .63083 L
.62601 .63052 L
.62501 .62922 L
.62441 .62842 L
.62388 .62762 L
F
1 .93 .114 r
.62441 .54458 m
.62546 .54575 L
.62601 .54633 L
.6269 .54735 L
.62762 .54816 L
.6283 .54896 L
.62922 .55003 L
.62967 .55057 L
.63083 .5519 L
.63121 .55217 L
.63233 .55378 L
.63243 .55389 L
.63365 .55538 L
.63404 .55584 L
.63497 .55699 L
.63564 .55759 L
.63628 .55859 L
.63725 .55977 L
.63767 .5602 L
.63884 .5618 L
.63885 .56181 L
.64012 .56341 L
.64046 .56382 L
.64141 .56501 L
.64206 .56574 L
.64302 .56662 L
.64367 .56787 L
.64396 .56822 L
.64519 .56983 L
.64527 .56993 L
.64645 .57143 L
.64688 .57175 L
.64771 .57304 L
.64848 .57398 L
.64907 .57464 L
.65009 .57611 L
.65019 .57625 L
.65144 .57785 L
.6517 .57818 L
.65268 .57946 L
.6533 .58012 L
.65423 .58106 L
.65491 .58233 L
.65517 .58267 L
.65638 .58428 L
.65651 .58445 L
.6576 .58588 L
.65812 .58624 L
.65883 .58749 L
.65972 .58859 L
.66014 .58909 L
.66126 .5907 L
.66133 .59079 L
.66246 .5923 L
.66293 .59292 L
.66367 .59391 L
.66454 .59491 L
.66508 .59551 L
.66606 .59712 L
.66614 .59722 L
.66724 .59872 L
.66775 .5994 L
.66842 .60033 L
.66935 .60131 L
.66961 .60193 L
.67075 .60354 L
.67096 .60381 L
.67189 .60514 L
.67256 .60608 L
.67303 .60675 L
.67415 .60835 L
.67417 .60838 L
.67515 .60996 L
.67577 .61089 L
.67615 .61156 L
.67577 .61212 L
.67527 .61156 L
.67417 .61048 L
.67373 .60996 L
.67256 .60869 L
.67229 .60835 L
.67096 .60688 L
.6709 .60675 L
.66957 .60514 L
.66935 .6049 L
.66826 .60354 L
.66775 .60295 L
.66694 .60193 L
.66614 .60098 L
.66563 .60033 L
.66454 .59911 L
.66432 .59872 L
.66303 .59712 L
.66293 .597 L
.66177 .59551 L
.66133 .59497 L
.6605 .59391 L
.65972 .59331 L
.65923 .5923 L
.65812 .59098 L
.65782 .5907 L
.65669 .58909 L
.65651 .58887 L
.65545 .58749 L
.65491 .58681 L
.6542 .58588 L
.6533 .58495 L
.65253 .58428 L
.6517 .58271 L
.65166 .58267 L
.65045 .58106 L
.65009 .58061 L
.64922 .57946 L
.64848 .57897 L
.64798 .57785 L
.64688 .57653 L
.6466 .57625 L
.64549 .57464 L
.64527 .57437 L
.64428 .57304 L
.64367 .57227 L
.64305 .57143 L
.64206 .57036 L
.64152 .56983 L
.64058 .56822 L
.64046 .56808 L
.63938 .56662 L
.63885 .56595 L
.63817 .56501 L
.63725 .56384 L
.63694 .56341 L
.6357 .5618 L
.63564 .56172 L
.63453 .5602 L
.63404 .55957 L
.63334 .55859 L
.63243 .55742 L
.63212 .55699 L
.6309 .55538 L
.63083 .55528 L
.62976 .55378 L
.62922 .55308 L
.62859 .55217 L
.62762 .55089 L
.6274 .55057 L
.62624 .54896 L
.62601 .54865 L
.62516 .54735 L
.62441 .54632 L
.62406 .54575 L
F
.003 .81 1 r
.62441 .55149 m
.62497 .55217 L
.62601 .55333 L
.62637 .55378 L
.62762 .55525 L
.62772 .55538 L
.62901 .55699 L
.62922 .55723 L
.63029 .55859 L
.63083 .55923 L
.63158 .5602 L
.63243 .56124 L
.63287 .5618 L
.63404 .56327 L
.63414 .56341 L
.63537 .56501 L
.63564 .56534 L
.6366 .56662 L
.63725 .56742 L
.63785 .56822 L
.63885 .56951 L
.63909 .56983 L
.6403 .57143 L
.64046 .57163 L
.64147 .57304 L
.64206 .57379 L
.64267 .57464 L
.64367 .57595 L
.64388 .57625 L
.64367 .57763 L
.64259 .57625 L
.64206 .57566 L
.64129 .57464 L
.64046 .57368 L
.63998 .57304 L
.63885 .57168 L
.63867 .57143 L
.63739 .56983 L
.63725 .56966 L
.63618 .56822 L
.63564 .56758 L
.63494 .56662 L
.63404 .56552 L
.63367 .56501 L
.63243 .56346 L
.6324 .56341 L
.63122 .5618 L
.63083 .56133 L
.63003 .5602 L
.62922 .55919 L
.6288 .55859 L
.62762 .55708 L
.62755 .55699 L
.62643 .55538 L
.62601 .55486 L
.62531 .55378 L
.62441 .55261 L
.62414 .55217 L
F
.289 .96 1 r
.62601 .70832 m
.62762 .70797 L
.62922 .70801 L
.63083 .70825 L
.63243 .70864 L
.63404 .70916 L
.6349 .70948 L
.63564 .70979 L
.63725 .71053 L
.6383 .71109 L
.63885 .71139 L
.64046 .71239 L
.64089 .71269 L
.64206 .71353 L
.64295 .7143 L
.64367 .71482 L
.64452 .7159 L
.64527 .71704 L
.64549 .71751 L
.64547 .71912 L
.64527 .7194 L
.64367 .72028 L
.64206 .72061 L
.64046 .72055 L
.63885 .72037 L
.63725 .72006 L
.63564 .71961 L
.63425 .71912 L
.63404 .71904 L
.63243 .71835 L
.63088 .71751 L
.63083 .71748 L
.62922 .71647 L
.62849 .7159 L
.62762 .71524 L
.62669 .7143 L
.62601 .71374 L
.62539 .71269 L
.62463 .71109 L
.62466 .70948 L
F
.002 .8 1 r
.62601 .55368 m
.62609 .55378 L
.62601 .55448 L
.62565 .55378 L
F
1 .92 .084 r
.62601 .5471 m
.62627 .54735 L
.62762 .54872 L
.62783 .54896 L
.62922 .55051 L
.62927 .55057 L
.63065 .55217 L
.63083 .55237 L
.63201 .55378 L
.63243 .55426 L
.63336 .55538 L
.63404 .55619 L
.6347 .55699 L
.63564 .55794 L
.63602 .55859 L
.63725 .5601 L
.63735 .5602 L
.63861 .5618 L
.63885 .5621 L
.6399 .56341 L
.64046 .5641 L
.64119 .56501 L
.64206 .56601 L
.64276 .56662 L
.64367 .56814 L
.64374 .56822 L
.64499 .56983 L
.64527 .57018 L
.64626 .57143 L
.64688 .57195 L
.64752 .57304 L
.64848 .57423 L
.64886 .57464 L
.65001 .57625 L
.65009 .57635 L
.65125 .57785 L
.6517 .57842 L
.6525 .57946 L
.6533 .58036 L
.65401 .58106 L
.65491 .58258 L
.65497 .58267 L
.65618 .58428 L
.65651 .5847 L
.65741 .58588 L
.65812 .58647 L
.65864 .58749 L
.65972 .58889 L
.65989 .58909 L
.66105 .5907 L
.66133 .59106 L
.66225 .5923 L
.66293 .59321 L
.66345 .59391 L
.66454 .5953 L
.66473 .59551 L
.66581 .59712 L
.66614 .59756 L
.66698 .59872 L
.66775 .59976 L
.66815 .60033 L
.66931 .60193 L
.66935 .602 L
.67039 .60354 L
.67096 .60432 L
.6715 .60514 L
.67256 .60671 L
.67259 .60675 L
.67256 .60801 L
.67141 .60675 L
.67096 .60631 L
.66997 .60514 L
.66935 .60448 L
.66859 .60354 L
.66775 .6026 L
.66722 .60193 L
.66614 .60068 L
.66587 .60033 L
.66454 .59873 L
.66453 .59872 L
.66326 .59712 L
.66293 .59673 L
.66198 .59551 L
.66133 .59473 L
.66069 .59391 L
.65972 .59302 L
.65939 .5923 L
.65812 .59072 L
.65809 .5907 L
.65686 .58909 L
.65651 .58866 L
.65561 .58749 L
.65491 .58662 L
.65435 .58588 L
.6533 .58471 L
.6528 .58428 L
.65182 .58267 L
.6517 .58251 L
.6506 .58106 L
.65009 .58043 L
.64936 .57946 L
.64848 .57874 L
.64811 .57785 L
.64688 .57631 L
.64682 .57625 L
.64564 .57464 L
.64527 .57419 L
.64443 .57304 L
.64367 .57209 L
.64319 .57143 L
.64206 .5701 L
.64179 .56983 L
.64073 .56822 L
.64046 .56788 L
.63954 .56662 L
.63885 .56575 L
.63832 .56501 L
.63725 .56364 L
.63708 .56341 L
.63588 .5618 L
.63564 .56149 L
.63472 .5602 L
.63404 .55933 L
.63352 .55859 L
.63243 .55718 L
.6323 .55699 L
.63114 .55538 L
.63083 .55497 L
.63001 .55378 L
.62922 .55273 L
.62885 .55217 L
.62768 .55057 L
.62762 .55048 L
.62669 .54896 L
.62601 .54797 L
.62574 .54735 L
F
1 1 1 r
.62601 .52709 m
.62722 .52809 L
.62762 .52845 L
.62889 .5297 L
.62922 .53003 L
.63045 .5313 L
.63083 .53171 L
.63195 .53291 L
.63243 .53348 L
.63342 .53451 L
.63404 .53536 L
.63478 .53612 L
.63564 .53726 L
.63597 .53772 L
.63725 .5392 L
.6376 .53933 L
.63885 .54084 L
.63894 .54093 L
.6403 .54254 L
.64046 .5428 L
.64149 .54414 L
.64206 .54486 L
.64257 .54575 L
.64367 .54661 L
.64431 .54735 L
.64527 .54859 L
.64559 .54896 L
.64686 .55057 L
.64688 .5506 L
.64799 .55217 L
.64848 .55278 L
.64949 .55378 L
.65009 .55457 L
.65076 .55538 L
.6517 .55661 L
.65201 .55699 L
.65323 .55859 L
.6533 .55868 L
.65424 .5602 L
.65491 .56067 L
.65583 .5618 L
.65651 .56272 L
.65707 .56341 L
.65812 .56479 L
.6583 .56501 L
.65943 .56662 L
.65972 .56697 L
.66083 .56822 L
.66133 .5689 L
.66208 .56983 L
.66293 .57097 L
.6633 .57143 L
.66451 .57304 L
.66454 .57307 L
.66548 .57464 L
.66614 .57511 L
.66705 .57625 L
.66775 .57719 L
.66828 .57785 L
.66935 .57929 L
.66949 .57946 L
.67059 .58106 L
.67096 .5815 L
.672 .58267 L
.67256 .58343 L
.67324 .58428 L
.67417 .58552 L
.67445 .58588 L
.67563 .58749 L
.67577 .58766 L
.67655 .58909 L
.67738 .59001 L
.67819 .5907 L
.67898 .59177 L
.67941 .5923 L
.68059 .59388 L
.68061 .59391 L
.68166 .59551 L
.68219 .59613 L
.68312 .59712 L
.6838 .59803 L
.68435 .59872 L
.68541 .60014 L
.68556 .60033 L
.68669 .60193 L
.68701 .60231 L
.68758 .60354 L
.68862 .60463 L
.68929 .60514 L
.69022 .6064 L
.6905 .60675 L
.69168 .60835 L
.69183 .60853 L
.6927 .60996 L
.69343 .61077 L
.69422 .61156 L
.69504 .61267 L
.69544 .61317 L
.69664 .61477 L
.69664 .61478 L
.69774 .61638 L
.69825 .61696 L
.69914 .61799 L
.69985 .61922 L
.70037 .61959 L
.70146 .62104 L
.70158 .6212 L
.70275 .6228 L
.70306 .62318 L
.70374 .62441 L
.70467 .62539 L
.7053 .62601 L
.70627 .62732 L
.70651 .62762 L
.70772 .62922 L
.70788 .62943 L
.7088 .63083 L
.70948 .6316 L
.71022 .63243 L
.71109 .63378 L
.71144 .63404 L
.71266 .63564 L
.71269 .6357 L
.71381 .63725 L
.7143 .63783 L
.7148 .63885 L
.7159 .64 L
.71637 .64046 L
.71751 .64204 L
.71758 .64206 L
.71879 .64367 L
.71912 .64408 L
.71986 .64527 L
.72072 .64623 L
.72129 .64688 L
.72233 .64834 L
.7225 .64848 L
.72375 .65009 L
.72393 .65035 L
.72487 .6517 L
.72554 .65248 L
.72588 .6533 L
.72714 .65462 L
.72742 .65491 L
.72869 .65651 L
.72875 .65663 L
.72986 .65812 L
.73035 .65875 L
.73093 .65972 L
.73196 .66089 L
.73233 .66133 L
.73354 .66293 L
.73356 .66295 L
.73483 .66454 L
.73517 .66502 L
.73592 .66614 L
.73677 .66718 L
.73698 .66775 L
.73838 .6693 L
.73843 .66935 L
.73981 .67096 L
.73998 .67131 L
.74088 .67256 L
.74159 .67349 L
.74196 .67417 L
.74319 .67566 L
.74329 .67577 L
.74449 .67738 L
.7448 .6776 L
.74583 .67898 L
.7464 .67984 L
.74687 .68059 L
.74801 .68207 L
.74805 .68219 L
.74928 .6838 L
.74961 .68426 L
.75077 .68541 L
.75122 .68628 L
.75169 .68701 L
.75281 .68862 L
.75283 .68864 L
.75394 .69022 L
.75443 .69091 L
.75507 .69183 L
.75604 .69305 L
.75627 .69343 L
.75726 .69504 L
.75764 .69561 L
.75828 .69664 L
.75925 .6982 L
.75927 .69825 L
.75991 .69985 L
.75925 .70009 L
.75897 .69985 L
.75764 .69911 L
.75719 .69825 L
.75604 .69716 L
.75563 .69664 L
.75443 .69535 L
.75398 .69504 L
.75283 .69352 L
.75273 .69343 L
.75136 .69183 L
.75122 .69172 L
.75001 .69022 L
.74961 .68978 L
.74815 .68862 L
.74801 .68778 L
.74725 .68701 L
.7464 .68577 L
.74609 .68541 L
.7448 .68382 L
.74479 .6838 L
.74348 .68219 L
.74319 .68184 L
.74199 .68059 L
.74159 .67976 L
.74092 .67898 L
.73998 .67768 L
.73977 .67738 L
.73841 .67577 L
.73838 .67573 L
.73684 .67417 L
.73677 .67366 L
.73581 .67256 L
.73517 .67155 L
.73471 .67096 L
.73356 .66947 L
.73352 .66935 L
.73217 .66775 L
.73196 .66749 L
.73073 .66614 L
.73035 .66538 L
.72966 .66454 L
.72875 .66326 L
.72854 .66293 L
.7272 .66133 L
.72714 .66126 L
.72564 .65972 L
.72554 .65917 L
.72462 .65812 L
.72393 .65704 L
.72353 .65651 L
.72233 .65497 L
.72231 .65491 L
.72103 .6533 L
.72072 .65295 L
.71957 .6517 L
.71912 .65082 L
.71852 .65009 L
.71751 .64871 L
.71737 .64848 L
.71608 .64688 L
.7159 .6467 L
.71447 .64527 L
.7143 .6446 L
.7135 .64367 L
.71269 .64246 L
.7124 .64206 L
.71114 .64046 L
.71109 .64042 L
.70992 .63885 L
.70948 .63837 L
.70845 .63725 L
.70788 .63622 L
.70741 .63564 L
.70627 .63412 L
.70623 .63404 L
.70499 .63243 L
.70467 .63214 L
.70334 .63083 L
.70306 .62999 L
.7024 .62922 L
.70146 .62785 L
.70129 .62762 L
.70006 .62601 L
.69985 .6259 L
.69884 .62441 L
.69825 .62377 L
.69736 .6228 L
.69664 .6216 L
.69631 .6212 L
.69512 .61959 L
.69504 .61948 L
.69391 .61799 L
.69343 .61757 L
.69225 .61638 L
.69183 .61537 L
.69132 .61477 L
.69022 .61322 L
.69019 .61317 L
.68898 .61156 L
.68862 .61139 L
.68776 .60996 L
.68701 .60916 L
.68629 .60835 L
.68541 .60696 L
.68524 .60675 L
.68404 .60514 L
.6838 .60484 L
.68283 .60354 L
.68219 .60297 L
.6812 .60193 L
.68059 .60072 L
.68026 .60033 L
.67911 .59872 L
.67898 .59856 L
.6779 .59712 L
.67738 .59685 L
.67668 .59551 L
.67577 .59451 L
.67525 .59391 L
.67417 .5923 L
.67417 .59229 L
.67297 .5907 L
.67256 .59018 L
.67175 .58909 L
.67096 .58834 L
.67018 .58749 L
.66935 .58605 L
.66922 .58588 L
.66804 .58428 L
.66775 .58391 L
.66683 .58267 L
.66614 .5818 L
.6656 .58106 L
.66454 .57983 L
.66423 .57946 L
.66311 .57785 L
.66293 .57763 L
.66191 .57625 L
.66133 .57552 L
.66068 .57464 L
.65972 .57365 L
.6592 .57304 L
.65818 .57143 L
.65812 .57135 L
.65698 .56983 L
.65651 .56924 L
.65577 .56822 L
.65491 .56714 L
.65452 .56662 L
.6533 .56509 L
.65324 .56501 L
.65206 .56341 L
.6517 .56295 L
.65085 .5618 L
.65009 .56084 L
.64962 .5602 L
.64848 .55886 L
.64826 .55859 L
.64714 .55699 L
.64688 .55665 L
.64595 .55538 L
.64527 .55453 L
.64473 .55378 L
.64367 .55244 L
.64348 .55217 L
.64225 .55057 L
.64206 .55034 L
.64106 .54896 L
.64046 .5482 L
.63985 .54735 L
.63885 .54609 L
.63862 .54575 L
.63738 .54414 L
.63725 .54398 L
.63621 .54254 L
.63564 .54182 L
.63502 .54093 L
.63404 .53967 L
.6338 .53933 L
.63259 .53772 L
.63243 .53752 L
.63144 .53612 L
.63083 .53531 L
.63029 .53451 L
.62922 .53308 L
.62911 .53291 L
.62799 .5313 L
.62762 .53078 L
.62696 .5297 L
.62601 .52822 L
.62595 .52809 L
F
1 .98 .538 r
.62762 .62413 m
.6278 .62441 L
.62922 .62533 L
.62964 .62601 L
.63083 .62721 L
.63108 .62762 L
.63241 .62922 L
.63243 .62925 L
.63363 .63083 L
.63404 .63135 L
.63483 .63243 L
.63564 .63354 L
.63599 .63404 L
.63709 .63564 L
.63725 .63589 L
.63803 .63725 L
.63725 .63829 L
.63615 .63725 L
.63564 .63677 L
.63462 .63564 L
.63404 .63502 L
.6332 .63404 L
.63243 .63352 L
.63185 .63243 L
.63083 .63127 L
.63039 .63083 L
.62933 .62922 L
.62922 .62908 L
.62819 .62762 L
.62762 .62676 L
.62715 .62601 L
.62659 .62441 L
F
1 1 1 r
.62762 .62103 m
.62922 .62087 L
.63083 .62084 L
.63233 .6212 L
.63243 .62126 L
.63381 .6228 L
.63404 .62317 L
.63494 .62441 L
.63564 .62525 L
.636 .62601 L
.63725 .62736 L
.63745 .62762 L
.6388 .62922 L
.63885 .62945 L
.63995 .63083 L
.64046 .63156 L
.64104 .63243 L
.64206 .63368 L
.64211 .63404 L
.6436 .63564 L
.64367 .63566 L
.64496 .63725 L
.64527 .63769 L
.64605 .63885 L
.64688 .63986 L
.64713 .64046 L
.64848 .64202 L
.64851 .64206 L
.64998 .64367 L
.65009 .64416 L
.65103 .64527 L
.6517 .64629 L
.6521 .64688 L
.6533 .64845 L
.6533 .64848 L
.65424 .65009 L
.6533 .65072 L
.6517 .6507 L
.65013 .65009 L
.65009 .65007 L
.64848 .64856 L
.64842 .64848 L
.64696 .64688 L
.64688 .64664 L
.64579 .64527 L
.64527 .64462 L
.64469 .64367 L
.64367 .64255 L
.6433 .64206 L
.64207 .64046 L
.64206 .64045 L
.64075 .63885 L
.64046 .63829 L
.63964 .63725 L
.63885 .63611 L
.63858 .63564 L
.63725 .63405 L
.63712 .63404 L
.63575 .63243 L
.63564 .63213 L
.63463 .63083 L
.63404 .63001 L
.63354 .62922 L
.63243 .6279 L
.63219 .62762 L
.63097 .62601 L
.63083 .62581 L
.62962 .62441 L
.62922 .62368 L
.62855 .6228 L
.62762 .62143 L
.62752 .6212 L
F
1 .67 0 r
.62762 .5619 m
.62865 .56341 L
.62922 .56414 L
.62979 .56501 L
.63083 .56641 L
.63096 .56662 L
.63083 .56722 L
.63036 .56662 L
.62922 .56542 L
.62891 .56501 L
.62762 .56353 L
.62753 .56341 L
F
0 .67 1 r
.62762 .56871 m
.62812 .56983 L
.62762 .56983 L
.62761 .56983 L
F
1 .88 .024 r
.62922 .76274 m
.63083 .76279 L
.63243 .76349 L
.6336 .76406 L
.63404 .76427 L
.63564 .76516 L
.63654 .76567 L
.63725 .76611 L
.63885 .76713 L
.63907 .76727 L
.64046 .76819 L
.64149 .76888 L
.64206 .76928 L
.64367 .77041 L
.64377 .77048 L
.64527 .77156 L
.646 .77209 L
.64688 .77273 L
.64817 .77369 L
.64848 .77393 L
.65009 .77515 L
.65029 .7753 L
.6517 .77638 L
.65237 .7769 L
.6533 .77763 L
.65442 .77851 L
.65491 .77889 L
.65644 .78011 L
.65651 .78017 L
.65812 .78146 L
.65844 .78172 L
.65972 .78276 L
.66042 .78332 L
.66133 .78407 L
.66237 .78493 L
.66293 .7854 L
.6643 .78654 L
.66454 .78673 L
.66614 .78808 L
.66622 .78814 L
.66775 .78943 L
.66812 .78975 L
.66935 .79079 L
.67 .79135 L
.67096 .79217 L
.67188 .79296 L
.67256 .79355 L
.67373 .79456 L
.67417 .79494 L
.67558 .79617 L
.67577 .79634 L
.67738 .79775 L
.67741 .79777 L
.67898 .79916 L
.67923 .79938 L
.68059 .80059 L
.68103 .80098 L
.68219 .80202 L
.68283 .80259 L
.6838 .80346 L
.68461 .80419 L
.68541 .80491 L
.68639 .8058 L
.68701 .80637 L
.68815 .8074 L
.68862 .80783 L
.6899 .80901 L
.69022 .8093 L
.69164 .81061 L
.69183 .81078 L
.69337 .81222 L
.69343 .81227 L
.69504 .81377 L
.6951 .81382 L
.69664 .81527 L
.69681 .81543 L
.69825 .81679 L
.69851 .81703 L
.69985 .81831 L
.7002 .81864 L
.70146 .81984 L
.70188 .82025 L
.70306 .82137 L
.70356 .82185 L
.70467 .82292 L
.70522 .82346 L
.70627 .82447 L
.70688 .82506 L
.70788 .82603 L
.70853 .82667 L
.70948 .8276 L
.71017 .82827 L
.71109 .82918 L
.71179 .82988 L
.71269 .83077 L
.71341 .83148 L
.7143 .83236 L
.71502 .83309 L
.7159 .83397 L
.71663 .83469 L
.71751 .83558 L
.71822 .8363 L
.71912 .83721 L
.7198 .8379 L
.72072 .83884 L
.72137 .83951 L
.72233 .84049 L
.72293 .84111 L
.72393 .84215 L
.72448 .84272 L
.72554 .84383 L
.72601 .84432 L
.72714 .84551 L
.72754 .84593 L
.72875 .84721 L
.72905 .84753 L
.73035 .84893 L
.73054 .84914 L
.73196 .85067 L
.73203 .85074 L
.73349 .85235 L
.73356 .85243 L
.73494 .85396 L
.73517 .8542 L
.73638 .85556 L
.73677 .85601 L
.73779 .85717 L
.73838 .85784 L
.73919 .85877 L
.73998 .8597 L
.74056 .86038 L
.74159 .8616 L
.7419 .86198 L
.74319 .86355 L
.74322 .86359 L
.74451 .86519 L
.7448 .86555 L
.74576 .8668 L
.7464 .86763 L
.74697 .8684 L
.74801 .86984 L
.74812 .87001 L
.74922 .87161 L
.74961 .8721 L
.75021 .87322 L
.75108 .87482 L
.75122 .8752 L
.75171 .87643 L
.75147 .87803 L
.75122 .8782 L
.74961 .8782 L
.74907 .87803 L
.74801 .87769 L
.7464 .87691 L
.7454 .87643 L
.7448 .87604 L
.74319 .87509 L
.74275 .87482 L
.74159 .87409 L
.74024 .87322 L
.73998 .87304 L
.73838 .87195 L
.73789 .87161 L
.73677 .87083 L
.73561 .87001 L
.73517 .86969 L
.73356 .86851 L
.73341 .8684 L
.73196 .86732 L
.73126 .8668 L
.73035 .86611 L
.72915 .86519 L
.72875 .86488 L
.72714 .86363 L
.72708 .86359 L
.72554 .86237 L
.72504 .86198 L
.72393 .8611 L
.72303 .86038 L
.72233 .85981 L
.72104 .85877 L
.72072 .85851 L
.71912 .8572 L
.71907 .85717 L
.71751 .85588 L
.71713 .85556 L
.7159 .85454 L
.7152 .85396 L
.7143 .8532 L
.71329 .85235 L
.71269 .85185 L
.7114 .85074 L
.71109 .85048 L
.70952 .84914 L
.70948 .84911 L
.70788 .84773 L
.70765 .84753 L
.70627 .84634 L
.7058 .84593 L
.70467 .84494 L
.70397 .84432 L
.70306 .84353 L
.70214 .84272 L
.70146 .84212 L
.70033 .84111 L
.69985 .84069 L
.69852 .83951 L
.69825 .83926 L
.69673 .8379 L
.69664 .83782 L
.69504 .83637 L
.69495 .8363 L
.69343 .83492 L
.69318 .83469 L
.69183 .83346 L
.69142 .83309 L
.69022 .83199 L
.68967 .83148 L
.68862 .83051 L
.68793 .82988 L
.68701 .82902 L
.6862 .82827 L
.68541 .82753 L
.68448 .82667 L
.6838 .82603 L
.68277 .82506 L
.68219 .82452 L
.68107 .82346 L
.68059 .823 L
.67938 .82185 L
.67898 .82148 L
.67769 .82025 L
.67738 .81995 L
.67602 .81864 L
.67577 .8184 L
.67435 .81703 L
.67417 .81685 L
.6727 .81543 L
.67256 .8153 L
.67105 .81382 L
.67096 .81373 L
.66942 .81222 L
.66935 .81215 L
.66779 .81061 L
.66775 .81057 L
.66618 .80901 L
.66614 .80898 L
.66457 .8074 L
.66454 .80737 L
.66297 .8058 L
.66293 .80576 L
.66139 .80419 L
.66133 .80413 L
.65981 .80259 L
.65972 .8025 L
.65825 .80098 L
.65812 .80085 L
.65669 .79938 L
.65651 .79919 L
.65515 .79777 L
.65491 .79752 L
.65362 .79617 L
.6533 .79583 L
.6521 .79456 L
.6517 .79413 L
.6506 .79296 L
.65009 .79241 L
.64911 .79135 L
.64848 .79068 L
.64763 .78975 L
.64688 .78892 L
.64617 .78814 L
.64527 .78715 L
.64472 .78654 L
.64367 .78535 L
.6433 .78493 L
.64206 .78352 L
.64189 .78332 L
.6405 .78172 L
.64046 .78167 L
.63914 .78011 L
.63885 .77978 L
.6378 .77851 L
.63725 .77784 L
.63649 .7769 L
.63564 .77585 L
.63521 .7753 L
.63404 .77377 L
.63398 .77369 L
.63278 .77209 L
.63243 .77164 L
.63165 .77048 L
.63083 .76928 L
.63059 .76888 L
.62962 .76727 L
.62922 .76647 L
.62883 .76567 L
.62817 .76406 L
F
.002 .8 1 r
.62922 .5575 m
.63007 .55859 L
.63083 .55946 L
.63139 .5602 L
.63243 .56146 L
.6327 .5618 L
.63243 .56325 L
.6314 .5618 L
.63083 .56111 L
.6302 .5602 L
.62922 .55897 L
.62896 .55859 L
F
1 .66 0 r
.62922 .56441 m
.62957 .56501 L
.62922 .5652 L
.62908 .56501 L
F
.001 .79 1 r
.62922 .55789 m
.62976 .55859 L
.63083 .55977 L
.63116 .5602 L
.63243 .56172 L
.63249 .5618 L
.63243 .56297 L
.63166 .5618 L
.63083 .56081 L
.63044 .5602 L
.62922 .55867 L
.62917 .55859 L
F
1 .91 .061 r
.62922 .55122 m
.63011 .55217 L
.63083 .55289 L
.6316 .55378 L
.63243 .5547 L
.63301 .55538 L
.63404 .55657 L
.63439 .55699 L
.63564 .55843 L
.63573 .55859 L
.63704 .5602 L
.63725 .56044 L
.63835 .5618 L
.63885 .56241 L
.63966 .56341 L
.64046 .56439 L
.64096 .56501 L
.64206 .56633 L
.64241 .56662 L
.64352 .56822 L
.64367 .56841 L
.64478 .56983 L
.64527 .57044 L
.64606 .57143 L
.64688 .57222 L
.64732 .57304 L
.64848 .57451 L
.64861 .57464 L
.64981 .57625 L
.65009 .5766 L
.65106 .57785 L
.6517 .57867 L
.65231 .57946 L
.6533 .58065 L
.65372 .58106 L
.65476 .58267 L
.65491 .58285 L
.65598 .58428 L
.65651 .58496 L
.65721 .58588 L
.65812 .58681 L
.65843 .58749 L
.65963 .58909 L
.65972 .58921 L
.66082 .5907 L
.66133 .59136 L
.66202 .5923 L
.66293 .59352 L
.66321 .59391 L
.66438 .59551 L
.66454 .59572 L
.66552 .59712 L
.66614 .59795 L
.66668 .59872 L
.66775 .60021 L
.66783 .60033 L
.66886 .60193 L
.66935 .60263 L
.66987 .60354 L
.66935 .6039 L
.66905 .60354 L
.66775 .60216 L
.66756 .60193 L
.66615 .60033 L
.66614 .60032 L
.66484 .59872 L
.66454 .59839 L
.66353 .59712 L
.66293 .59644 L
.66221 .59551 L
.66133 .59447 L
.66089 .59391 L
.65972 .59263 L
.65958 .5923 L
.6583 .5907 L
.65812 .59047 L
.65705 .58909 L
.65651 .58844 L
.65579 .58749 L
.65491 .58641 L
.65451 .58588 L
.6533 .58443 L
.65312 .58428 L
.65199 .58267 L
.6517 .58231 L
.65076 .58106 L
.65009 .58024 L
.64951 .57946 L
.64848 .57844 L
.64825 .57785 L
.647 .57625 L
.64688 .5761 L
.6458 .57464 L
.64527 .57399 L
.64458 .57304 L
.64367 .57189 L
.64333 .57143 L
.64208 .56983 L
.64206 .5698 L
.6409 .56822 L
.64046 .56766 L
.63971 .56662 L
.63885 .56553 L
.63848 .56501 L
.63725 .56342 L
.63724 .56341 L
.63609 .5618 L
.63564 .56123 L
.63493 .5602 L
.63404 .55905 L
.63373 .55859 L
.63253 .55699 L
.63243 .55685 L
.63145 .55538 L
.63083 .55455 L
.63035 .55378 L
.62922 .55221 L
.6292 .55217 L
F
.538 .98 1 r
.63083 .54655 m
.63165 .54735 L
.63243 .54813 L
.6332 .54896 L
.63404 .54987 L
.63466 .55057 L
.63564 .55138 L
.63607 .55217 L
.63725 .55352 L
.6376 .55378 L
.6388 .55538 L
.63885 .55544 L
.64015 .55699 L
.64046 .55735 L
.6415 .55859 L
.64206 .55917 L
.64283 .5602 L
.64367 .56125 L
.64419 .5618 L
.64527 .56325 L
.64539 .56341 L
.64672 .56501 L
.64688 .56509 L
.64802 .56662 L
.64848 .56716 L
.64953 .56822 L
.65009 .56924 L
.65055 .56983 L
.6517 .57127 L
.65178 .57143 L
.65313 .57304 L
.6533 .57321 L
.65487 .57464 L
.65491 .57528 L
.6557 .57625 L
.65651 .57738 L
.65682 .57785 L
.65812 .57941 L
.65812 .57946 L
.65943 .58106 L
.65972 .5814 L
.66084 .58267 L
.66133 .58351 L
.66189 .58428 L
.66293 .58561 L
.66306 .58588 L
.66442 .58749 L
.66454 .58759 L
.66602 .58909 L
.66614 .58969 L
.66694 .5907 L
.66775 .59182 L
.66805 .5923 L
.66935 .59389 L
.66935 .59391 L
.6706 .59551 L
.67096 .59591 L
.672 .59712 L
.67256 .59806 L
.67303 .59872 L
.67417 .60019 L
.67423 .60033 L
.6755 .60193 L
.67577 .60214 L
.67712 .60354 L
.67738 .60434 L
.678 .60514 L
.67898 .60652 L
.67912 .60675 L
.68037 .60835 L
.68059 .60865 L
.68158 .60996 L
.68219 .61064 L
.68296 .61156 L
.6838 .6129 L
.68398 .61317 L
.68517 .61477 L
.68541 .61509 L
.68636 .61638 L
.68701 .61695 L
.68793 .61799 L
.68862 .6194 L
.68876 .61959 L
.68989 .6212 L
.69022 .62165 L
.69105 .6228 L
.69183 .62388 L
.6922 .62441 L
.69334 .62601 L
.69343 .62614 L
.69442 .62762 L
.69504 .62849 L
.69552 .62922 L
.69657 .63083 L
.69664 .63093 L
.69741 .63243 L
.69664 .63261 L
.69648 .63243 L
.69504 .63096 L
.69492 .63083 L
.69348 .62922 L
.69343 .62917 L
.69211 .62762 L
.69183 .62731 L
.69076 .62601 L
.69022 .6254 L
.68942 .62441 L
.68862 .62387 L
.68808 .6228 L
.68701 .6216 L
.6865 .6212 L
.68545 .61959 L
.68541 .61954 L
.68418 .61799 L
.6838 .61754 L
.6829 .61638 L
.68219 .61577 L
.68161 .61477 L
.68059 .61357 L
.68018 .61317 L
.67905 .61156 L
.67898 .61148 L
.67781 .60996 L
.67738 .60944 L
.67655 .60835 L
.67577 .60754 L
.6749 .60675 L
.67417 .60537 L
.67396 .60514 L
.67277 .60354 L
.67256 .60328 L
.67154 .60193 L
.67096 .6015 L
.67029 .60033 L
.66935 .59924 L
.66886 .59872 L
.66777 .59712 L
.66775 .59709 L
.66655 .59551 L
.66614 .595 L
.66532 .59391 L
.66454 .59311 L
.66372 .5923 L
.66293 .59088 L
.66278 .5907 L
.6616 .58909 L
.66133 .58876 L
.66038 .58749 L
.65972 .58701 L
.65914 .58588 L
.65812 .58466 L
.65777 .58428 L
.65666 .58267 L
.65651 .58248 L
.65545 .58106 L
.65491 .58037 L
.65423 .57946 L
.6533 .57846 L
.65273 .57785 L
.65175 .57625 L
.6517 .57619 L
.65055 .57464 L
.65009 .57406 L
.64934 .57304 L
.64848 .57229 L
.64811 .57143 L
.64688 .56986 L
.64686 .56983 L
.64568 .56822 L
.64527 .5677 L
.64449 .56662 L
.64367 .56557 L
.64327 .56501 L
.64206 .56348 L
.642 .56341 L
.64086 .5618 L
.64046 .56128 L
.63969 .5602 L
.63885 .55912 L
.63848 .55859 L
.63726 .55699 L
.63725 .55697 L
.63613 .55538 L
.63564 .55474 L
.63499 .55378 L
.63404 .5525 L
.63382 .55217 L
.63269 .55057 L
.63243 .55022 L
.63165 .54896 L
.63083 .54775 L
.63062 .54735 L
F
.212 .95 1 r
.63243 .71206 m
.63404 .71208 L
.63525 .71269 L
.63564 .71286 L
.63725 .71373 L
.63814 .7143 L
.63885 .71504 L
.63952 .7159 L
.63885 .71714 L
.63725 .71722 L
.63564 .71685 L
.63404 .71629 L
.6335 .7159 L
.63243 .71512 L
.63149 .7143 L
.63103 .71269 L
F
.733 .99 1 r
.63243 .62416 m
.63288 .62441 L
.63404 .62524 L
.63482 .62601 L
.63564 .6265 L
.6363 .62762 L
.63725 .62859 L
.63802 .62922 L
.63885 .63071 L
.63895 .63083 L
.64014 .63243 L
.64046 .63285 L
.64132 .63404 L
.64206 .63506 L
.64248 .63564 L
.64357 .63725 L
.64367 .63741 L
.64451 .63885 L
.64367 .64001 L
.64245 .63885 L
.64206 .63848 L
.64094 .63725 L
.64046 .63674 L
.63953 .63564 L
.63885 .63529 L
.63818 .63404 L
.63725 .63303 L
.63659 .63243 L
.63564 .63086 L
.63562 .63083 L
.63444 .62922 L
.63404 .62868 L
.6333 .62762 L
.63243 .62629 L
.63226 .62601 L
.63175 .62441 L
F
1 .9 .045 r
.63243 .55531 m
.6325 .55538 L
.63243 .55627 L
.63202 .55538 L
F
1 .98 .538 r
.63725 .72853 m
.63885 .72822 L
.64046 .72801 L
.64206 .72787 L
.64367 .72777 L
.64527 .7277 L
.64688 .72766 L
.64848 .72765 L
.65009 .72766 L
.6517 .72769 L
.6533 .72774 L
.65491 .72782 L
.65651 .72792 L
.65812 .72805 L
.65972 .72822 L
.66133 .72843 L
.66293 .72866 L
.66344 .72875 L
.66454 .72896 L
.66614 .72933 L
.66775 .72975 L
.66935 .73021 L
.66982 .73035 L
.67096 .73075 L
.67256 .73137 L
.67405 .73196 L
.67417 .73201 L
.67577 .73276 L
.67738 .73353 L
.67745 .73356 L
.67898 .7344 L
.68042 .73517 L
.68059 .73527 L
.68219 .73625 L
.68309 .73677 L
.6838 .73723 L
.68541 .73827 L
.68556 .73838 L
.68701 .7394 L
.68784 .73998 L
.68862 .74053 L
.69004 .74159 L
.69022 .74172 L
.69183 .74308 L
.69205 .74319 L
.69343 .74453 L
.69385 .7448 L
.69504 .74612 L
.69542 .7464 L
.69664 .74798 L
.69669 .74801 L
.69752 .74961 L
.69811 .75122 L
.69797 .75283 L
.69664 .75434 L
.69649 .75443 L
.69504 .75519 L
.69343 .75558 L
.69183 .75578 L
.69022 .75592 L
.68862 .75602 L
.68828 .75604 L
.68701 .75611 L
.68541 .75617 L
.6838 .75622 L
.68219 .75625 L
.68059 .75626 L
.67898 .75627 L
.67738 .75627 L
.67577 .75625 L
.67417 .75623 L
.67256 .75619 L
.67096 .75614 L
.66935 .75607 L
.66872 .75604 L
.66775 .75598 L
.66614 .75586 L
.66454 .75571 L
.66293 .75552 L
.66133 .75528 L
.65972 .755 L
.65812 .75465 L
.65715 .75443 L
.65651 .75425 L
.65491 .75375 L
.6533 .75317 L
.65233 .75283 L
.6517 .75256 L
.65009 .75178 L
.64882 .75122 L
.64848 .75104 L
.64688 .75001 L
.64605 .74961 L
.64527 .74913 L
.64367 .74812 L
.64351 .74801 L
.64206 .74693 L
.64142 .7464 L
.64046 .74557 L
.63988 .7448 L
.63885 .74403 L
.63826 .74319 L
.63725 .74196 L
.63686 .74159 L
.63564 .74006 L
.63555 .73998 L
.63447 .73838 L
.63404 .73766 L
.6336 .73677 L
.63291 .73517 L
.63251 .73356 L
.63255 .73196 L
.63342 .73035 L
.63404 .72973 L
.63564 .72896 L
.63644 .72875 L
F
1 .87 .018 r
.63404 .76716 m
.635 .76727 L
.63564 .76733 L
.63725 .76804 L
.63883 .76888 L
.63885 .76889 L
.64046 .76979 L
.64163 .77048 L
.64206 .77078 L
.64367 .77182 L
.64408 .77209 L
.64527 .7729 L
.64643 .77369 L
.64688 .77401 L
.64848 .77516 L
.64867 .7753 L
.65009 .77633 L
.65086 .7769 L
.6517 .77753 L
.65299 .77851 L
.6533 .77874 L
.65491 .77998 L
.65508 .78011 L
.65651 .78123 L
.65713 .78172 L
.65812 .7825 L
.65916 .78332 L
.65972 .78378 L
.66115 .78493 L
.66133 .78507 L
.66293 .78638 L
.66312 .78654 L
.66454 .7877 L
.66507 .78814 L
.66614 .78903 L
.66699 .78975 L
.66775 .79038 L
.6689 .79135 L
.66935 .79173 L
.67079 .79296 L
.67096 .7931 L
.67256 .79447 L
.67267 .79456 L
.67417 .79585 L
.67453 .79617 L
.67577 .79725 L
.67638 .79777 L
.67738 .79865 L
.67821 .79938 L
.67898 .80006 L
.68003 .80098 L
.68059 .80148 L
.68184 .80259 L
.68219 .80291 L
.68363 .80419 L
.6838 .80435 L
.68541 .80579 L
.68541 .8058 L
.68701 .80725 L
.68718 .8074 L
.68862 .80871 L
.68894 .80901 L
.69022 .81018 L
.69069 .81061 L
.69183 .81166 L
.69242 .81222 L
.69343 .81315 L
.69415 .81382 L
.69504 .81465 L
.69587 .81543 L
.69664 .81616 L
.69757 .81703 L
.69825 .81767 L
.69927 .81864 L
.69985 .8192 L
.70095 .82025 L
.70146 .82073 L
.70263 .82185 L
.70306 .82227 L
.70429 .82346 L
.70467 .82382 L
.70594 .82506 L
.70627 .82538 L
.70759 .82667 L
.70788 .82695 L
.70922 .82827 L
.70948 .82853 L
.71085 .82988 L
.71109 .83011 L
.71246 .83148 L
.71269 .83171 L
.71407 .83309 L
.7143 .83332 L
.71566 .83469 L
.7159 .83494 L
.71724 .8363 L
.71751 .83657 L
.71882 .8379 L
.71912 .83821 L
.72037 .83951 L
.72072 .83987 L
.72192 .84111 L
.72233 .84153 L
.72346 .84272 L
.72393 .84322 L
.72498 .84432 L
.72554 .84492 L
.72648 .84593 L
.72714 .84663 L
.72797 .84753 L
.72875 .84837 L
.72945 .84914 L
.73035 .85013 L
.73091 .85074 L
.73196 .85191 L
.73235 .85235 L
.73356 .85372 L
.73377 .85396 L
.73517 .85556 L
.73517 .85556 L
.73654 .85717 L
.73677 .85743 L
.73789 .85877 L
.73838 .85935 L
.73921 .86038 L
.73998 .86133 L
.74049 .86198 L
.74159 .86339 L
.74173 .86359 L
.74293 .86519 L
.74319 .86551 L
.74407 .8668 L
.7448 .86785 L
.74511 .8684 L
.74606 .87001 L
.7464 .87078 L
.74678 .87161 L
.74693 .87322 L
.7464 .87377 L
.7448 .87374 L
.74352 .87322 L
.74319 .87311 L
.74159 .87232 L
.74023 .87161 L
.73998 .87141 L
.73838 .87043 L
.73768 .87001 L
.73677 .86941 L
.73527 .8684 L
.73517 .86833 L
.73356 .86722 L
.73295 .8668 L
.73196 .86608 L
.73073 .86519 L
.73035 .86491 L
.72875 .86372 L
.72857 .86359 L
.72714 .86251 L
.72645 .86198 L
.72554 .86128 L
.72437 .86038 L
.72393 .86003 L
.72233 .85877 L
.72233 .85877 L
.72072 .85749 L
.72032 .85717 L
.71912 .85619 L
.71833 .85556 L
.71751 .85489 L
.71637 .85396 L
.7159 .85357 L
.71443 .85235 L
.7143 .85224 L
.71269 .8509 L
.71251 .85074 L
.71109 .84954 L
.71061 .84914 L
.70948 .84818 L
.70873 .84753 L
.70788 .84681 L
.70686 .84593 L
.70627 .84543 L
.705 .84432 L
.70467 .84403 L
.70316 .84272 L
.70306 .84263 L
.70146 .84122 L
.70133 .84111 L
.69985 .8398 L
.69952 .83951 L
.69825 .83838 L
.69772 .8379 L
.69664 .83694 L
.69593 .8363 L
.69504 .83549 L
.69415 .83469 L
.69343 .83404 L
.69238 .83309 L
.69183 .83258 L
.69063 .83148 L
.69022 .83111 L
.68888 .82988 L
.68862 .82963 L
.68715 .82827 L
.68701 .82814 L
.68542 .82667 L
.68541 .82665 L
.6838 .82515 L
.68371 .82506 L
.68219 .82363 L
.68201 .82346 L
.68059 .82211 L
.68031 .82185 L
.67898 .82058 L
.67863 .82025 L
.67738 .81905 L
.67696 .81864 L
.67577 .8175 L
.67529 .81703 L
.67417 .81594 L
.67364 .81543 L
.67256 .81438 L
.672 .81382 L
.67096 .8128 L
.67037 .81222 L
.66935 .81122 L
.66874 .81061 L
.66775 .80962 L
.66713 .80901 L
.66614 .80802 L
.66553 .8074 L
.66454 .8064 L
.66394 .8058 L
.66293 .80477 L
.66237 .80419 L
.66133 .80313 L
.6608 .80259 L
.65972 .80148 L
.65925 .80098 L
.65812 .79981 L
.6577 .79938 L
.65651 .79813 L
.65618 .79777 L
.65491 .79643 L
.65466 .79617 L
.6533 .79471 L
.65316 .79456 L
.6517 .79298 L
.65168 .79296 L
.65021 .79135 L
.65009 .79122 L
.64875 .78975 L
.64848 .78945 L
.64732 .78814 L
.64688 .78764 L
.64591 .78654 L
.64527 .78581 L
.64452 .78493 L
.64367 .78394 L
.64315 .78332 L
.64206 .78203 L
.64181 .78172 L
.64051 .78011 L
.64046 .78006 L
.63923 .77851 L
.63885 .77804 L
.638 .7769 L
.63725 .7759 L
.63683 .7753 L
.63572 .77369 L
.63564 .77356 L
.63469 .77209 L
.63404 .77086 L
.63384 .77048 L
.63309 .76888 L
.6337 .76727 L
F
.002 .8 1 r
.63404 .56348 m
.63518 .56501 L
.63564 .56556 L
.63643 .56662 L
.63725 .56764 L
.63768 .56822 L
.63885 .56973 L
.63893 .56983 L
.64009 .57143 L
.64046 .57189 L
.64126 .57304 L
.64206 .57407 L
.64246 .57464 L
.64206 .57539 L
.64151 .57464 L
.64046 .57345 L
.64015 .57304 L
.63885 .57149 L
.63881 .57143 L
.63758 .56983 L
.63725 .56944 L
.63635 .56822 L
.63564 .56738 L
.63509 .56662 L
.63404 .56533 L
.63381 .56501 L
F
1 .7 0 r
.63404 .57035 m
.63468 .57143 L
.63564 .57289 L
.6357 .57304 L
.63564 .57316 L
.63553 .57304 L
.63404 .5716 L
.6339 .57143 L
F
.001 .79 1 r
.63404 .56378 m
.63494 .56501 L
.63564 .56584 L
.63621 .56662 L
.63725 .56791 L
.63748 .56822 L
.63725 .56916 L
.63658 .56822 L
.63564 .56713 L
.63528 .56662 L
.63404 .56511 L
.63397 .56501 L
F
1 .9 .045 r
.63404 .55705 m
.63535 .55859 L
.63564 .55891 L
.63671 .5602 L
.63725 .56081 L
.63806 .5618 L
.63885 .56274 L
.63939 .56341 L
.64046 .5647 L
.64071 .56501 L
.642 .56662 L
.64206 .56669 L
.64328 .56822 L
.64367 .5687 L
.64456 .56983 L
.64527 .57072 L
.64584 .57143 L
.64688 .57258 L
.64711 .57304 L
.64836 .57464 L
.64848 .5748 L
.6496 .57625 L
.65009 .57687 L
.65085 .57785 L
.6517 .57894 L
.6521 .57946 L
.6533 .581 L
.65337 .58106 L
.65454 .58267 L
.65491 .58313 L
.65577 .58428 L
.65651 .58524 L
.65699 .58588 L
.65812 .58728 L
.65821 .58749 L
.65938 .58909 L
.65972 .58953 L
.66057 .5907 L
.66133 .5917 L
.66176 .5923 L
.66293 .59389 L
.66294 .59391 L
.66404 .59551 L
.66454 .59618 L
.66516 .59712 L
.66614 .5985 L
.66629 .59872 L
.66614 .59973 L
.66529 .59872 L
.66454 .59795 L
.66387 .59712 L
.66293 .59608 L
.66249 .59551 L
.66133 .59416 L
.66113 .59391 L
.6598 .5923 L
.65972 .59221 L
.65854 .5907 L
.65812 .5902 L
.65727 .58909 L
.65651 .58819 L
.65598 .58749 L
.65491 .58618 L
.65468 .58588 L
.65341 .58428 L
.6533 .58415 L
.65218 .58267 L
.6517 .58208 L
.65094 .58106 L
.65009 .58002 L
.64967 .57946 L
.64848 .57807 L
.6484 .57785 L
.64719 .57625 L
.64688 .57587 L
.64598 .57464 L
.64527 .57377 L
.64474 .57304 L
.64367 .57168 L
.64349 .57143 L
.64228 .56983 L
.64206 .56956 L
.6411 .56822 L
.64046 .56741 L
.6399 .56662 L
.63885 .56528 L
.63866 .56501 L
.63748 .56341 L
.63725 .56311 L
.63635 .5618 L
.63564 .56089 L
.63518 .5602 L
.63404 .55868 L
.63398 .55859 L
F
1 .89 .033 r
.63564 .55955 m
.63621 .5602 L
.63725 .56129 L
.63768 .5618 L
.63885 .56315 L
.63907 .56341 L
.63885 .56497 L
.6378 .56341 L
.63725 .56269 L
.6367 .5618 L
.63564 .56038 L
.63554 .5602 L
F
.001 .78 1 r
.63564 .56629 m
.63585 .56662 L
.63564 .56674 L
.63557 .56662 L
F
.395 .97 1 r
.63725 .55499 m
.63766 .55538 L
.63885 .55657 L
.63924 .55699 L
.64046 .55833 L
.64069 .55859 L
.64206 .56017 L
.64208 .5602 L
.64345 .5618 L
.64367 .56206 L
.6448 .56341 L
.64527 .56396 L
.64615 .56501 L
.64688 .56553 L
.64748 .56662 L
.64848 .56781 L
.64896 .56822 L
.65008 .56983 L
.65009 .56984 L
.65138 .57143 L
.6517 .57182 L
.65268 .57304 L
.6533 .57366 L
.65462 .57464 L
.65491 .57582 L
.65529 .57625 L
.6565 .57785 L
.65651 .57786 L
.65777 .57946 L
.65812 .5796 L
.65905 .58106 L
.65972 .58186 L
.66051 .58267 L
.66133 .58399 L
.66155 .58428 L
.6628 .58588 L
.66293 .58605 L
.66405 .58749 L
.66454 .58794 L
.66582 .58909 L
.66614 .59015 L
.66659 .5907 L
.66775 .59227 L
.66777 .5923 L
.669 .59391 L
.66935 .59399 L
.67024 .59551 L
.67096 .59635 L
.67165 .59712 L
.67256 .59855 L
.67269 .59872 L
.6739 .60033 L
.67417 .60068 L
.67512 .60193 L
.67577 .60255 L
.67677 .60354 L
.67738 .60489 L
.67758 .60514 L
.67874 .60675 L
.67898 .60708 L
.67993 .60835 L
.68059 .60923 L
.68113 .60996 L
.68219 .61135 L
.68238 .61156 L
.68347 .61317 L
.6838 .61361 L
.68464 .61477 L
.68541 .61583 L
.6858 .61638 L
.68694 .61799 L
.68701 .61808 L
.68802 .61959 L
.68862 .62043 L
.68912 .6212 L
.68862 .6225 L
.68749 .6212 L
.68701 .62069 L
.6861 .61959 L
.68541 .61882 L
.68473 .61799 L
.6838 .61691 L
.68338 .61638 L
.68219 .61507 L
.68204 .61477 L
.68074 .61317 L
.68059 .613 L
.67946 .61156 L
.67898 .611 L
.67818 .60996 L
.67738 .60899 L
.67689 .60835 L
.67577 .60706 L
.67541 .60675 L
.67433 .60514 L
.67417 .60495 L
.67308 .60354 L
.67256 .60291 L
.67182 .60193 L
.67096 .60112 L
.67055 .60033 L
.66935 .59884 L
.66923 .59872 L
.66805 .59712 L
.66775 .59675 L
.66682 .59551 L
.66614 .59468 L
.66557 .59391 L
.66454 .59273 L
.66409 .5923 L
.66306 .5907 L
.66293 .59054 L
.66185 .58909 L
.66133 .58844 L
.66062 .58749 L
.65972 .58664 L
.65937 .58588 L
.65812 .58428 L
.65811 .58428 L
.65692 .58267 L
.65651 .58216 L
.65571 .58106 L
.65491 .58005 L
.65447 .57946 L
.6533 .57801 L
.65315 .57785 L
.65203 .57625 L
.6517 .57583 L
.65083 .57464 L
.65009 .5737 L
.64962 .57304 L
.64848 .5717 L
.64838 .57143 L
.6472 .56983 L
.64688 .56942 L
.64602 .56822 L
.64527 .56726 L
.64483 .56662 L
.64367 .56511 L
.6436 .56501 L
.64246 .56341 L
.64206 .56289 L
.64133 .5618 L
.64046 .56065 L
.64016 .5602 L
.63901 .55859 L
.63885 .55837 L
.63801 .55699 L
.63725 .55586 L
.63703 .55538 L
F
1 .97 .395 r
.64848 .72871 m
.65009 .7287 L
.6517 .72872 L
.65268 .72875 L
.6533 .72879 L
.65491 .72889 L
.65651 .72904 L
.65812 .72923 L
.65972 .72947 L
.66133 .72977 L
.66293 .73011 L
.66397 .73035 L
.66454 .7305 L
.66614 .73097 L
.66775 .7315 L
.66902 .73196 L
.66935 .73209 L
.67096 .73275 L
.67256 .73347 L
.67277 .73356 L
.67417 .73426 L
.67577 .73511 L
.67588 .73517 L
.67738 .73604 L
.67861 .73677 L
.67898 .73701 L
.68059 .73806 L
.68106 .73838 L
.68219 .73918 L
.6833 .73998 L
.6838 .74036 L
.68535 .74159 L
.68541 .74163 L
.68701 .743 L
.68723 .74319 L
.68862 .74449 L
.68893 .7448 L
.69022 .74616 L
.69043 .7464 L
.69171 .74801 L
.69183 .74814 L
.69269 .74961 L
.69324 .75122 L
.69302 .75283 L
.69183 .75402 L
.69099 .75443 L
.69022 .75473 L
.68862 .75513 L
.68701 .75537 L
.68541 .75552 L
.6838 .75562 L
.68219 .75569 L
.68059 .75574 L
.67898 .75576 L
.67738 .75575 L
.67577 .75573 L
.67417 .75569 L
.67256 .75562 L
.67096 .75553 L
.66935 .7554 L
.66775 .75524 L
.66614 .75504 L
.66454 .75479 L
.66293 .75449 L
.66265 .75443 L
.66133 .75411 L
.65972 .75366 L
.65812 .75314 L
.65725 .75283 L
.65651 .75253 L
.65491 .75181 L
.65368 .75122 L
.6533 .75102 L
.6517 .75011 L
.65087 .74961 L
.65009 .74911 L
.64848 .74801 L
.64848 .74801 L
.64688 .74678 L
.64641 .7464 L
.64527 .74544 L
.64456 .7448 L
.64367 .74397 L
.6429 .74319 L
.64206 .74232 L
.64141 .74159 L
.64046 .74045 L
.6401 .73998 L
.63898 .73838 L
.63885 .7382 L
.63807 .73677 L
.63744 .73517 L
.63725 .73431 L
.63719 .73356 L
.63725 .73293 L
.63758 .73196 L
.63885 .73049 L
.63927 .73035 L
.64046 .7298 L
.64206 .72936 L
.64367 .72907 L
.64527 .72889 L
.64688 .72877 L
.64743 .72875 L
F
1 .98 .538 r
.63885 .62547 m
.63953 .62601 L
.64046 .62684 L
.64119 .62762 L
.64206 .62821 L
.64262 .62922 L
.64367 .63039 L
.64415 .63083 L
.6452 .63243 L
.64527 .63253 L
.64639 .63404 L
.64688 .63469 L
.64756 .63564 L
.64848 .63698 L
.64867 .63725 L
.64964 .63885 L
.65009 .63968 L
.6504 .64046 L
.65009 .64095 L
.64939 .64046 L
.64848 .63973 L
.64764 .63885 L
.64688 .63808 L
.64616 .63725 L
.64527 .63626 L
.64477 .63564 L
.64367 .63444 L
.64318 .63404 L
.64218 .63243 L
.64206 .63229 L
.64097 .63083 L
.64046 .63015 L
.6398 .62922 L
.63885 .62786 L
.63869 .62762 L
.63787 .62601 L
F
1 .86 .013 r
.63885 .77166 m
.64046 .77197 L
.64075 .77209 L
.64206 .77261 L
.64367 .7735 L
.64404 .77369 L
.64527 .77443 L
.64667 .7753 L
.64688 .77545 L
.64848 .77652 L
.64906 .7769 L
.65009 .77762 L
.65135 .77851 L
.6517 .77876 L
.6533 .77993 L
.65355 .78011 L
.65491 .78113 L
.6557 .78172 L
.65651 .78234 L
.65779 .78332 L
.65812 .78358 L
.65972 .78484 L
.65984 .78493 L
.66133 .78611 L
.66186 .78654 L
.66293 .78739 L
.66386 .78814 L
.66454 .7887 L
.66582 .78975 L
.66614 .79001 L
.66775 .79134 L
.66776 .79135 L
.66935 .79268 L
.66968 .79296 L
.67096 .79403 L
.67158 .79456 L
.67256 .7954 L
.67346 .79617 L
.67417 .79677 L
.67533 .79777 L
.67577 .79816 L
.67718 .79938 L
.67738 .79955 L
.67898 .80096 L
.67901 .80098 L
.68059 .80237 L
.68083 .80259 L
.68219 .8038 L
.68264 .80419 L
.6838 .80523 L
.68443 .8058 L
.68541 .80668 L
.68621 .8074 L
.68701 .80813 L
.68798 .80901 L
.68862 .80959 L
.68973 .81061 L
.69022 .81106 L
.69147 .81222 L
.69183 .81254 L
.6932 .81382 L
.69343 .81404 L
.69492 .81543 L
.69504 .81553 L
.69663 .81703 L
.69664 .81704 L
.69825 .81856 L
.69833 .81864 L
.69985 .82009 L
.70001 .82025 L
.70146 .82163 L
.70169 .82185 L
.70306 .82317 L
.70335 .82346 L
.70467 .82473 L
.70501 .82506 L
.70627 .8263 L
.70665 .82667 L
.70788 .82788 L
.70828 .82827 L
.70948 .82946 L
.7099 .82988 L
.71109 .83106 L
.71151 .83148 L
.71269 .83267 L
.7131 .83309 L
.7143 .8343 L
.71469 .83469 L
.7159 .83593 L
.71626 .8363 L
.71751 .83758 L
.71782 .8379 L
.71912 .83924 L
.71937 .83951 L
.72072 .84092 L
.7209 .84111 L
.72233 .84262 L
.72242 .84272 L
.72392 .84432 L
.72393 .84434 L
.7254 .84593 L
.72554 .84607 L
.72687 .84753 L
.72714 .84783 L
.72832 .84914 L
.72875 .84961 L
.72975 .85074 L
.73035 .85143 L
.73115 .85235 L
.73196 .85328 L
.73253 .85396 L
.73356 .85518 L
.73388 .85556 L
.73517 .85713 L
.73519 .85717 L
.73648 .85877 L
.73677 .85913 L
.73771 .86038 L
.73838 .86124 L
.73889 .86198 L
.73998 .86359 L
.73998 .8636 L
.74101 .86519 L
.74159 .86637 L
.7418 .8668 L
.74221 .8684 L
.74159 .86932 L
.73998 .86929 L
.73838 .86851 L
.73808 .8684 L
.73677 .86772 L
.73519 .8668 L
.73517 .86676 L
.73356 .86577 L
.73266 .86519 L
.73196 .86471 L
.73035 .86361 L
.73032 .86359 L
.72875 .86248 L
.72805 .86198 L
.72714 .86132 L
.72587 .86038 L
.72554 .86012 L
.72393 .85891 L
.72375 .85877 L
.72233 .85768 L
.72166 .85717 L
.72072 .85643 L
.71962 .85556 L
.71912 .85516 L
.71761 .85396 L
.71751 .85387 L
.7159 .85257 L
.71563 .85235 L
.7143 .85126 L
.71367 .85074 L
.71269 .84993 L
.71174 .84914 L
.71109 .84859 L
.70983 .84753 L
.70948 .84724 L
.70794 .84593 L
.70788 .84588 L
.70627 .84451 L
.70606 .84432 L
.70467 .84312 L
.7042 .84272 L
.70306 .84173 L
.70236 .84111 L
.70146 .84033 L
.70053 .83951 L
.69985 .83891 L
.69871 .8379 L
.69825 .83749 L
.69691 .8363 L
.69664 .83606 L
.69512 .83469 L
.69504 .83461 L
.69343 .83316 L
.69335 .83309 L
.69183 .8317 L
.69159 .83148 L
.69022 .83023 L
.68983 .82988 L
.68862 .82875 L
.68809 .82827 L
.68701 .82727 L
.68637 .82667 L
.68541 .82577 L
.68465 .82506 L
.6838 .82426 L
.68294 .82346 L
.68219 .82275 L
.68125 .82185 L
.68059 .82122 L
.67957 .82025 L
.67898 .81969 L
.67789 .81864 L
.67738 .81815 L
.67623 .81703 L
.67577 .81659 L
.67458 .81543 L
.67417 .81503 L
.67294 .81382 L
.67256 .81345 L
.67131 .81222 L
.67096 .81187 L
.6697 .81061 L
.66935 .81027 L
.66809 .80901 L
.66775 .80866 L
.6665 .8074 L
.66614 .80704 L
.66492 .8058 L
.66454 .80541 L
.66335 .80419 L
.66293 .80376 L
.6618 .80259 L
.66133 .8021 L
.66026 .80098 L
.65972 .80042 L
.65873 .79938 L
.65812 .79873 L
.65722 .79777 L
.65651 .79701 L
.65573 .79617 L
.65491 .79528 L
.65425 .79456 L
.6533 .79352 L
.65279 .79296 L
.6517 .79174 L
.65135 .79135 L
.65009 .78993 L
.64993 .78975 L
.64853 .78814 L
.64848 .78808 L
.64716 .78654 L
.64688 .78621 L
.64582 .78493 L
.64527 .78428 L
.64452 .78332 L
.64367 .78227 L
.64325 .78172 L
.64206 .78014 L
.64204 .78011 L
.64088 .77851 L
.64046 .77803 L
.6398 .7769 L
.63887 .7753 L
.63885 .77525 L
.63804 .77369 L
.63804 .77209 L
F
1 .75 0 r
.63885 .57626 m
.63984 .57785 L
.64046 .57876 L
.64081 .57946 L
.64046 .5797 L
.64025 .57946 L
.63885 .57802 L
.63871 .57785 L
F
1 .89 .033 r
.64046 .56507 m
.6417 .56662 L
.64206 .56704 L
.643 .56822 L
.64367 .56903 L
.6443 .56983 L
.64527 .57103 L
.6456 .57143 L
.64687 .57304 L
.64688 .57305 L
.64811 .57464 L
.64848 .57511 L
.64936 .57625 L
.65009 .57716 L
.65062 .57785 L
.6517 .57923 L
.65187 .57946 L
.65309 .58106 L
.6533 .58133 L
.6543 .58267 L
.65491 .58345 L
.65552 .58428 L
.65651 .58557 L
.65674 .58588 L
.65793 .58749 L
.65812 .58773 L
.65908 .58909 L
.65972 .58992 L
.66026 .5907 L
.66133 .59213 L
.66144 .5923 L
.66133 .59375 L
.66016 .5923 L
.65972 .59183 L
.65884 .5907 L
.65812 .58987 L
.65752 .58909 L
.65651 .5879 L
.6562 .58749 L
.65491 .58592 L
.65488 .58588 L
.65364 .58428 L
.6533 .58387 L
.6524 .58267 L
.6517 .58182 L
.65113 .58106 L
.65009 .57978 L
.64985 .57946 L
.64859 .57785 L
.64848 .57772 L
.6474 .57625 L
.64688 .57561 L
.64618 .57464 L
.64527 .57352 L
.64493 .57304 L
.64367 .57143 L
.64367 .57143 L
.64251 .56983 L
.64206 .56927 L
.64133 .56822 L
.64046 .56711 L
.64012 .56662 L
F
.001 .79 1 r
.64046 .57226 m
.64095 .57304 L
.64206 .5745 L
.64215 .57464 L
.64206 .57492 L
.64188 .57464 L
.64046 .57316 L
.64037 .57304 L
F
1 .96 .289 r
.64527 .73018 m
.64688 .72992 L
.64848 .72977 L
.65009 .72971 L
.6517 .72971 L
.6533 .72976 L
.65491 .72988 L
.65651 .73004 L
.65812 .73026 L
.65872 .73035 L
.65972 .73053 L
.66133 .73087 L
.66293 .73126 L
.66454 .73172 L
.66532 .73196 L
.66614 .73223 L
.66775 .73282 L
.66935 .73347 L
.66957 .73356 L
.67096 .73419 L
.67256 .73497 L
.67294 .73517 L
.67417 .73583 L
.67577 .73674 L
.67582 .73677 L
.67738 .73774 L
.67837 .73838 L
.67898 .73879 L
.68059 .73993 L
.68067 .73998 L
.68219 .74115 L
.68275 .74159 L
.6838 .74247 L
.68463 .74319 L
.68541 .7439 L
.68633 .7448 L
.68701 .7455 L
.68781 .7464 L
.68862 .74739 L
.68904 .74801 L
.68994 .74961 L
.69022 .75041 L
.69034 .75122 L
.69022 .75209 L
.68981 .75283 L
.68862 .75375 L
.68701 .75439 L
.68671 .75443 L
.68541 .75472 L
.6838 .75494 L
.68219 .75509 L
.68059 .75517 L
.67898 .75522 L
.67738 .75523 L
.67577 .7552 L
.67417 .75515 L
.67256 .75506 L
.67096 .75493 L
.66935 .75477 L
.66775 .75456 L
.66693 .75443 L
.66614 .75429 L
.66454 .75397 L
.66293 .75357 L
.66133 .75311 L
.66046 .75283 L
.65972 .75256 L
.65812 .75191 L
.65658 .75122 L
.65651 .75119 L
.65491 .75035 L
.65362 .74961 L
.6533 .74942 L
.6517 .74838 L
.65116 .74801 L
.65009 .74723 L
.64903 .7464 L
.64848 .74596 L
.64715 .7448 L
.64688 .74455 L
.64548 .74319 L
.64527 .74298 L
.64401 .74159 L
.64367 .74119 L
.64274 .73998 L
.64206 .73903 L
.64167 .73838 L
.64086 .73677 L
.64046 .73557 L
.64038 .73517 L
.64039 .73356 L
.64046 .7333 L
.64128 .73196 L
.64206 .73128 L
.64367 .73058 L
.64452 .73035 L
F
1 .88 .024 r
.64046 .56563 m
.64126 .56662 L
.64206 .5675 L
.64264 .56822 L
.64367 .56943 L
.64399 .56983 L
.64527 .5714 L
.6453 .57143 L
.64655 .57304 L
.64688 .57343 L
.64781 .57464 L
.64848 .57546 L
.64908 .57625 L
.65009 .57751 L
.65035 .57785 L
.65159 .57946 L
.6517 .57959 L
.65278 .58106 L
.6533 .58171 L
.654 .58267 L
.65491 .58383 L
.65523 .58428 L
.65491 .58554 L
.65395 .58428 L
.6533 .58353 L
.65267 .58267 L
.6517 .58151 L
.65137 .58106 L
.65009 .57949 L
.65007 .57946 L
.64887 .57785 L
.64848 .57739 L
.64766 .57625 L
.64688 .5753 L
.64642 .57464 L
.64527 .57321 L
.64515 .57304 L
.64397 .57143 L
.64367 .57106 L
.64283 .56983 L
.64206 .56887 L
.64164 .56822 L
.64046 .56669 L
.64041 .56662 L
F
1 .95 .212 r
.64527 .73172 m
.64688 .73118 L
.64848 .73089 L
.65009 .73073 L
.6517 .73068 L
.6533 .7307 L
.65491 .7308 L
.65651 .73097 L
.65812 .7312 L
.65972 .73149 L
.66133 .73184 L
.66179 .73196 L
.66293 .73226 L
.66454 .73275 L
.66614 .73331 L
.66683 .73356 L
.66775 .73393 L
.66935 .73462 L
.67053 .73517 L
.67096 .73538 L
.67256 .73621 L
.67359 .73677 L
.67417 .73711 L
.67577 .73808 L
.67625 .73838 L
.67738 .73912 L
.67861 .73998 L
.67898 .74025 L
.68059 .74147 L
.68074 .74159 L
.68219 .7428 L
.68264 .74319 L
.6838 .74426 L
.68434 .7448 L
.68541 .74594 L
.6858 .7464 L
.68698 .74801 L
.68701 .74806 L
.68779 .74961 L
.68801 .75122 L
.68708 .75283 L
.68701 .7529 L
.68541 .75382 L
.6838 .75418 L
.68219 .7544 L
.68188 .75443 L
.68059 .75455 L
.67898 .75464 L
.67738 .75467 L
.67577 .75466 L
.67417 .7546 L
.67256 .7545 L
.67176 .75443 L
.67096 .75435 L
.66935 .75415 L
.66775 .7539 L
.66614 .75358 L
.66454 .7532 L
.6632 .75283 L
.66293 .75274 L
.66133 .7522 L
.65972 .75157 L
.65891 .75122 L
.65812 .75085 L
.65651 .75003 L
.65577 .74961 L
.65491 .7491 L
.6533 .74807 L
.65322 .74801 L
.6517 .74691 L
.65104 .7464 L
.65009 .74563 L
.64914 .7448 L
.64848 .74419 L
.64747 .74319 L
.64688 .74257 L
.64602 .74159 L
.64527 .74066 L
.64479 .73998 L
.64379 .73838 L
.64367 .73815 L
.64309 .73677 L
.64279 .73517 L
.64313 .73356 L
.64367 .73256 L
.64481 .73196 L
F
1 .85 .01 r
.64367 .7762 m
.64527 .77652 L
.64608 .7769 L
.64688 .77721 L
.64848 .77815 L
.64915 .77851 L
.65009 .77911 L
.65163 .78011 L
.6517 .78017 L
.6533 .78126 L
.65398 .78172 L
.65491 .78238 L
.65621 .78332 L
.65651 .78355 L
.65812 .78474 L
.65836 .78493 L
.65972 .78596 L
.66048 .78654 L
.66133 .7872 L
.66253 .78814 L
.66293 .78846 L
.66454 .78974 L
.66455 .78975 L
.66614 .79103 L
.66654 .79135 L
.66775 .79234 L
.6685 .79296 L
.66935 .79366 L
.67044 .79456 L
.67096 .795 L
.67235 .79617 L
.67256 .79635 L
.67417 .79771 L
.67424 .79777 L
.67577 .79909 L
.67611 .79938 L
.67738 .80047 L
.67796 .80098 L
.67898 .80187 L
.6798 .80259 L
.68059 .80328 L
.68162 .80419 L
.68219 .8047 L
.68343 .8058 L
.6838 .80613 L
.68522 .8074 L
.68541 .80757 L
.68699 .80901 L
.68701 .80902 L
.68862 .81049 L
.68876 .81061 L
.69022 .81196 L
.69051 .81222 L
.69183 .81344 L
.69224 .81382 L
.69343 .81493 L
.69397 .81543 L
.69504 .81643 L
.69568 .81703 L
.69664 .81794 L
.69738 .81864 L
.69825 .81946 L
.69907 .82025 L
.69985 .821 L
.70074 .82185 L
.70146 .82254 L
.7024 .82346 L
.70306 .8241 L
.70405 .82506 L
.70467 .82566 L
.70569 .82667 L
.70627 .82724 L
.70732 .82827 L
.70788 .82883 L
.70893 .82988 L
.70948 .83043 L
.71053 .83148 L
.71109 .83204 L
.71212 .83309 L
.71269 .83367 L
.71369 .83469 L
.7143 .83531 L
.71525 .8363 L
.7159 .83697 L
.7168 .8379 L
.71751 .83864 L
.71833 .83951 L
.71912 .84034 L
.71984 .84111 L
.72072 .84205 L
.72134 .84272 L
.72233 .84379 L
.72281 .84432 L
.72393 .84555 L
.72427 .84593 L
.72554 .84735 L
.7257 .84753 L
.72711 .84914 L
.72714 .84917 L
.7285 .85074 L
.72875 .85103 L
.72985 .85235 L
.73035 .85294 L
.73116 .85396 L
.73196 .85493 L
.73243 .85556 L
.73356 .85705 L
.73364 .85717 L
.73481 .85877 L
.73517 .85933 L
.73587 .86038 L
.73676 .86198 L
.73677 .86205 L
.73758 .86359 L
.73677 .86479 L
.73517 .86484 L
.73356 .86391 L
.73297 .86359 L
.73196 .86308 L
.73035 .86208 L
.73019 .86198 L
.72875 .86106 L
.7277 .86038 L
.72714 .85998 L
.72554 .85885 L
.72543 .85877 L
.72393 .8577 L
.7232 .85717 L
.72233 .85651 L
.72106 .85556 L
.72072 .8553 L
.71912 .85406 L
.71898 .85396 L
.71751 .8528 L
.71693 .85235 L
.7159 .85153 L
.71492 .85074 L
.7143 .85024 L
.71295 .84914 L
.71269 .84893 L
.71109 .84761 L
.711 .84753 L
.70948 .84627 L
.70907 .84593 L
.70788 .84493 L
.70717 .84432 L
.70627 .84357 L
.70528 .84272 L
.70467 .84219 L
.70342 .84111 L
.70306 .84081 L
.70157 .83951 L
.70146 .83941 L
.69985 .838 L
.69974 .8379 L
.69825 .83658 L
.69792 .8363 L
.69664 .83516 L
.69612 .83469 L
.69504 .83372 L
.69434 .83309 L
.69343 .83227 L
.69256 .83148 L
.69183 .83081 L
.6908 .82988 L
.69022 .82934 L
.68906 .82827 L
.68862 .82786 L
.68733 .82667 L
.68701 .82637 L
.6856 .82506 L
.68541 .82487 L
.6839 .82346 L
.6838 .82336 L
.6822 .82185 L
.68219 .82184 L
.68059 .82031 L
.68052 .82025 L
.67898 .81877 L
.67884 .81864 L
.67738 .81722 L
.67719 .81703 L
.67577 .81566 L
.67554 .81543 L
.67417 .81409 L
.6739 .81382 L
.67256 .8125 L
.67228 .81222 L
.67096 .8109 L
.67067 .81061 L
.66935 .80929 L
.66907 .80901 L
.66775 .80766 L
.66749 .8074 L
.66614 .80602 L
.66592 .8058 L
.66454 .80437 L
.66437 .80419 L
.66293 .80269 L
.66283 .80259 L
.66133 .801 L
.66131 .80098 L
.6598 .79938 L
.65972 .79929 L
.65831 .79777 L
.65812 .79756 L
.65684 .79617 L
.65651 .79581 L
.65539 .79456 L
.65491 .79402 L
.65397 .79296 L
.6533 .7922 L
.65257 .79135 L
.6517 .79034 L
.65119 .78975 L
.65009 .78843 L
.64986 .78814 L
.64856 .78654 L
.64848 .78646 L
.64729 .78493 L
.64688 .78444 L
.64609 .78332 L
.64527 .7822 L
.64498 .78172 L
.64393 .78011 L
.64367 .77955 L
.64309 .77851 L
.64279 .7769 L
F
.289 .96 1 r
.64367 .56317 m
.6439 .56341 L
.64527 .56487 L
.6454 .56501 L
.6468 .56662 L
.64688 .5667 L
.64816 .56822 L
.64848 .56859 L
.64952 .56983 L
.65009 .5705 L
.65086 .57143 L
.6517 .57244 L
.65219 .57304 L
.6533 .57433 L
.6538 .57464 L
.65478 .57625 L
.65491 .5764 L
.65607 .57785 L
.65651 .5784 L
.65735 .57946 L
.65812 .58 L
.65864 .58106 L
.65972 .5824 L
.66 .58267 L
.66115 .58428 L
.66133 .58449 L
.66241 .58588 L
.66293 .58654 L
.66367 .58749 L
.66454 .58843 L
.66534 .58909 L
.66614 .59068 L
.66616 .5907 L
.66739 .5923 L
.66775 .59277 L
.66862 .59391 L
.66935 .59437 L
.66986 .59551 L
.67096 .59692 L
.67114 .59712 L
.67228 .59872 L
.67256 .59909 L
.67349 .60033 L
.67417 .60122 L
.6747 .60193 L
.67577 .60327 L
.67605 .60354 L
.67708 .60514 L
.67738 .60554 L
.67825 .60675 L
.67898 .60773 L
.67943 .60835 L
.68059 .60994 L
.6806 .60996 L
.6817 .61156 L
.68219 .61225 L
.68281 .61317 L
.6838 .6146 L
.68391 .61477 L
.6838 .61592 L
.6828 .61477 L
.68219 .61417 L
.68138 .61317 L
.68059 .61231 L
.68 .61156 L
.67898 .61041 L
.67863 .60996 L
.67738 .60847 L
.67729 .60835 L
.676 .60675 L
.67577 .60649 L
.67473 .60514 L
.67417 .60449 L
.67344 .60354 L
.67256 .60248 L
.67215 .60193 L
.67096 .60055 L
.67085 .60033 L
.6696 .59872 L
.66935 .59842 L
.66837 .59712 L
.66775 .59636 L
.66711 .59551 L
.66614 .59431 L
.66584 .59391 L
.66457 .5923 L
.66454 .59226 L
.66336 .5907 L
.66293 .59017 L
.66213 .58909 L
.66133 .58808 L
.66089 .58749 L
.65972 .58611 L
.65963 .58588 L
.65842 .58428 L
.65812 .5839 L
.65722 .58267 L
.65651 .58178 L
.65599 .58106 L
.65491 .57968 L
.65475 .57946 L
.65354 .57785 L
.6533 .57755 L
.65237 .57625 L
.6517 .57539 L
.65117 .57464 L
.65009 .57325 L
.64994 .57304 L
.64877 .57143 L
.64848 .57107 L
.64763 .56983 L
.64688 .56884 L
.64647 .56822 L
.64527 .56663 L
.64527 .56662 L
.64425 .56501 L
.64367 .56419 L
.64328 .56341 L
F
1 .94 .156 r
.65009 .73182 m
.6517 .73167 L
.6533 .73164 L
.65491 .73171 L
.65651 .73185 L
.65735 .73196 L
.65812 .73208 L
.65972 .73238 L
.66133 .73274 L
.66293 .73318 L
.66416 .73356 L
.66454 .73369 L
.66614 .73427 L
.66775 .73492 L
.66833 .73517 L
.66935 .73564 L
.67096 .73643 L
.67162 .73677 L
.67256 .73729 L
.67417 .73823 L
.67441 .73838 L
.67577 .73925 L
.67685 .73998 L
.67738 .74035 L
.67898 .74156 L
.67903 .74159 L
.68059 .74287 L
.68095 .74319 L
.68219 .74434 L
.68265 .7448 L
.6838 .74605 L
.68409 .7464 L
.68521 .74801 L
.68541 .74835 L
.68591 .74961 L
.68593 .75122 L
.68541 .7521 L
.68444 .75283 L
.6838 .75316 L
.68219 .75365 L
.68059 .7539 L
.67898 .75404 L
.67738 .7541 L
.67577 .7541 L
.67417 .75404 L
.67256 .75393 L
.67096 .75377 L
.66935 .75354 L
.66775 .75325 L
.66614 .7529 L
.66584 .75283 L
.66454 .75247 L
.66293 .75196 L
.66133 .75136 L
.66099 .75122 L
.65972 .75066 L
.65812 .74987 L
.65764 .74961 L
.65651 .74897 L
.65499 .74801 L
.65491 .74796 L
.6533 .74682 L
.65275 .7464 L
.6517 .74555 L
.65083 .7448 L
.65009 .74412 L
.64916 .74319 L
.64848 .74247 L
.64773 .74159 L
.64688 .74049 L
.64655 .73998 L
.64563 .73838 L
.64527 .73752 L
.64506 .73677 L
.64499 .73517 L
.64527 .7343 L
.6458 .73356 L
.64688 .7327 L
.64848 .73213 L
.64925 .73196 L
F
.003 .81 1 r
.64527 .5782 m
.64606 .57946 L
.64688 .58057 L
.64715 .58106 L
.64688 .58131 L
.64669 .58106 L
.64527 .57955 L
.64521 .57946 L
F
1 .98 .538 r
.64688 .56044 m
.64818 .5618 L
.64848 .56211 L
.64965 .56341 L
.65009 .56388 L
.65108 .56501 L
.6517 .56571 L
.65248 .56662 L
.6533 .56738 L
.65385 .56822 L
.65491 .56948 L
.6553 .56983 L
.65651 .57143 L
.65651 .57144 L
.65784 .57304 L
.65812 .57337 L
.65917 .57464 L
.65972 .57526 L
.66093 .57625 L
.66133 .57733 L
.66178 .57785 L
.66293 .57934 L
.66301 .57946 L
.66434 .58106 L
.66454 .58122 L
.66564 .58267 L
.66614 .5833 L
.66702 .58428 L
.66775 .58538 L
.66811 .58588 L
.66935 .5874 L
.66938 .58749 L
.67071 .58909 L
.67096 .58937 L
.67225 .5907 L
.67256 .59147 L
.67322 .5923 L
.67417 .59356 L
.67437 .59391 L
.67572 .59551 L
.67577 .59555 L
.67698 .59712 L
.67738 .59761 L
.67831 .59872 L
.67898 .59973 L
.67939 .60033 L
.68059 .60181 L
.68062 .60193 L
.68194 .60354 L
.68219 .6038 L
.68343 .60514 L
.6838 .60594 L
.68441 .60675 L
.68541 .60807 L
.68556 .60835 L
.68687 .60996 L
.68701 .61003 L
.6881 .61156 L
.68862 .61218 L
.68942 .61317 L
.69022 .61436 L
.6905 .61477 L
.69175 .61638 L
.69183 .61648 L
.69297 .61799 L
.69343 .61844 L
.69445 .61959 L
.69504 .62069 L
.6954 .6212 L
.69659 .6228 L
.69664 .62287 L
.69779 .62441 L
.69825 .62464 L
.69899 .62601 L
.69985 .6271 L
.70026 .62762 L
.70135 .62922 L
.70146 .62937 L
.70252 .63083 L
.70306 .63157 L
.70369 .63243 L
.70467 .63366 L
.70497 .63404 L
.70598 .63564 L
.70627 .63605 L
.7071 .63725 L
.70788 .63836 L
.70821 .63885 L
.70927 .64046 L
.70948 .64077 L
.71024 .64206 L
.71109 .64352 L
.71115 .64367 L
.71109 .64402 L
.71065 .64367 L
.70948 .64269 L
.70893 .64206 L
.70788 .64098 L
.70744 .64046 L
.70627 .63916 L
.70602 .63885 L
.70467 .63731 L
.70463 .63725 L
.70331 .63564 L
.70306 .63536 L
.702 .63404 L
.70146 .63341 L
.70069 .63243 L
.69985 .63174 L
.69937 .63083 L
.69825 .62951 L
.69792 .62922 L
.69678 .62762 L
.69664 .62745 L
.69552 .62601 L
.69504 .62543 L
.69425 .62441 L
.69343 .62359 L
.69297 .6228 L
.69183 .6214 L
.69162 .6212 L
.69044 .61959 L
.69022 .61933 L
.6892 .61799 L
.68862 .61764 L
.68794 .61638 L
.68701 .61533 L
.68645 .61477 L
.68541 .61317 L
.68541 .61316 L
.68419 .61156 L
.6838 .61108 L
.68295 .60996 L
.68219 .60925 L
.6817 .60835 L
.68059 .60699 L
.68037 .60675 L
.67921 .60514 L
.67898 .60486 L
.67799 .60354 L
.67738 .60277 L
.67675 .60193 L
.67577 .60081 L
.67531 .60033 L
.67426 .59872 L
.67417 .59861 L
.67305 .59712 L
.67256 .59651 L
.67183 .59551 L
.67096 .59466 L
.67019 .59391 L
.66935 .59234 L
.66932 .5923 L
.66813 .5907 L
.66775 .59021 L
.66692 .58909 L
.66614 .5881 L
.66569 .58749 L
.66454 .58606 L
.66437 .58588 L
.66324 .58428 L
.66293 .58388 L
.66205 .58267 L
.66133 .58175 L
.66083 .58106 L
.65972 .57976 L
.65944 .57946 L
.65839 .57785 L
.65812 .5775 L
.65721 .57625 L
.65651 .57535 L
.65601 .57464 L
.65491 .57321 L
.65478 .57304 L
.65361 .57143 L
.6533 .57103 L
.65246 .56983 L
.6517 .56883 L
.65128 .56822 L
.65009 .56665 L
.65007 .56662 L
.64897 .56501 L
.64848 .56435 L
.64788 .56341 L
.64688 .562 L
.64676 .5618 L
F
1 .87 .018 r
.64688 .574 m
.64735 .57464 L
.64848 .57597 L
.64869 .57625 L
.64848 .57688 L
.64808 .57625 L
.64688 .57482 L
.64677 .57464 L
F
1 .93 .114 r
.65009 .73304 m
.6517 .73272 L
.6533 .7326 L
.65491 .73261 L
.65651 .73273 L
.65812 .73294 L
.65972 .73323 L
.6612 .73356 L
.66133 .7336 L
.66293 .73404 L
.66454 .73456 L
.66614 .73516 L
.66617 .73517 L
.66775 .73583 L
.66935 .73657 L
.66977 .73677 L
.67096 .73739 L
.67256 .73829 L
.67272 .73838 L
.67417 .73927 L
.67526 .73998 L
.67577 .74034 L
.67738 .74151 L
.67748 .74159 L
.67898 .7428 L
.67944 .74319 L
.68059 .74425 L
.68113 .7448 L
.68219 .74596 L
.68254 .7464 L
.68361 .74801 L
.6838 .7484 L
.68419 .74961 L
.68393 .75122 L
.6838 .75142 L
.68219 .75258 L
.68152 .75283 L
.68059 .75308 L
.67898 .75335 L
.67738 .75348 L
.67577 .75351 L
.67417 .75346 L
.67256 .75335 L
.67096 .75318 L
.66935 .75293 L
.66876 .75283 L
.66775 .75262 L
.66614 .75223 L
.66454 .75176 L
.66299 .75122 L
.66293 .7512 L
.66133 .75054 L
.65972 .74979 L
.65937 .74961 L
.65812 .74893 L
.65659 .74801 L
.65651 .74796 L
.65491 .74686 L
.6543 .7464 L
.6533 .74562 L
.65235 .7448 L
.6517 .7442 L
.65068 .74319 L
.65009 .74256 L
.64928 .74159 L
.64848 .74054 L
.64814 .73998 L
.64732 .73838 L
.64691 .73677 L
.64715 .73517 L
.64848 .73364 L
.64876 .73356 L
F
1 1 1 r
.64848 .65192 m
.65009 .65227 L
.65131 .6533 L
.6517 .65375 L
.65269 .65491 L
.6533 .65547 L
.65396 .65651 L
.65491 .65763 L
.65533 .65812 L
.65637 .65972 L
.65651 .65991 L
.65748 .66133 L
.65812 .66224 L
.65856 .66293 L
.6595 .66454 L
.65812 .66509 L
.65746 .66454 L
.65651 .6642 L
.65572 .66293 L
.65491 .6623 L
.65416 .66133 L
.6533 .66047 L
.65251 .65972 L
.6517 .65857 L
.65132 .65812 L
.65009 .65656 L
.65006 .65651 L
.64886 .65491 L
.64848 .65433 L
.64742 .6533 L
F
1 .84 .007 r
.64848 .7809 m
.65009 .78114 L
.65115 .78172 L
.6517 .78189 L
.6533 .78287 L
.65413 .78332 L
.65491 .78386 L
.65649 .78493 L
.65651 .78495 L
.65812 .78606 L
.6588 .78654 L
.65972 .7872 L
.66099 .78814 L
.66133 .7884 L
.66293 .78962 L
.6631 .78975 L
.66454 .79085 L
.66518 .79135 L
.66614 .79211 L
.6672 .79296 L
.66775 .7934 L
.66918 .79456 L
.66935 .7947 L
.67096 .79602 L
.67114 .79617 L
.67256 .79735 L
.67307 .79777 L
.67417 .7987 L
.67497 .79938 L
.67577 .80006 L
.67685 .80098 L
.67738 .80143 L
.67871 .80259 L
.67898 .80282 L
.68055 .80419 L
.68059 .80423 L
.68219 .80564 L
.68238 .8058 L
.6838 .80706 L
.68418 .8074 L
.68541 .8085 L
.68597 .80901 L
.68701 .80995 L
.68775 .81061 L
.68862 .81141 L
.6895 .81222 L
.69022 .81288 L
.69125 .81382 L
.69183 .81436 L
.69298 .81543 L
.69343 .81585 L
.69469 .81703 L
.69504 .81736 L
.6964 .81864 L
.69664 .81887 L
.69808 .82025 L
.69825 .8204 L
.69976 .82185 L
.69985 .82194 L
.70142 .82346 L
.70146 .82349 L
.70306 .82506 L
.70307 .82506 L
.70467 .82664 L
.7047 .82667 L
.70627 .82823 L
.70632 .82827 L
.70788 .82983 L
.70792 .82988 L
.70948 .83145 L
.70951 .83148 L
.71109 .83309 L
.71109 .83309 L
.71265 .83469 L
.71269 .83474 L
.71419 .8363 L
.7143 .83641 L
.71572 .8379 L
.7159 .8381 L
.71723 .83951 L
.71751 .83981 L
.71872 .84111 L
.71912 .84154 L
.72018 .84272 L
.72072 .84331 L
.72162 .84432 L
.72233 .84511 L
.72304 .84593 L
.72393 .84695 L
.72442 .84753 L
.72554 .84886 L
.72577 .84914 L
.72707 .85074 L
.72714 .85081 L
.72834 .85235 L
.72875 .85278 L
.72954 .85396 L
.73035 .85505 L
.73063 .85556 L
.73171 .85717 L
.73196 .85794 L
.73237 .85877 L
.73196 .86006 L
.73035 .85988 L
.72875 .85923 L
.72796 .85877 L
.72714 .85837 L
.72554 .85733 L
.72526 .85717 L
.72393 .8563 L
.72283 .85556 L
.72233 .85519 L
.72072 .85403 L
.72062 .85396 L
.71912 .85285 L
.71844 .85235 L
.71751 .85164 L
.71634 .85074 L
.7159 .85041 L
.7143 .84914 L
.7143 .84914 L
.71269 .84786 L
.71228 .84753 L
.71109 .84657 L
.7103 .84593 L
.70948 .84526 L
.70836 .84432 L
.70788 .84392 L
.70644 .84272 L
.70627 .84258 L
.70467 .84122 L
.70455 .84111 L
.70306 .83984 L
.70267 .83951 L
.70146 .83846 L
.70082 .8379 L
.69985 .83706 L
.69898 .8363 L
.69825 .83565 L
.69717 .83469 L
.69664 .83423 L
.69537 .83309 L
.69504 .83279 L
.69358 .83148 L
.69343 .83135 L
.69183 .82989 L
.69181 .82988 L
.69022 .82842 L
.69006 .82827 L
.68862 .82694 L
.68832 .82667 L
.68701 .82545 L
.68659 .82506 L
.68541 .82395 L
.68488 .82346 L
.6838 .82244 L
.68318 .82185 L
.68219 .82091 L
.6815 .82025 L
.68059 .81938 L
.67983 .81864 L
.67898 .81783 L
.67817 .81703 L
.67738 .81627 L
.67653 .81543 L
.67577 .81469 L
.6749 .81382 L
.67417 .8131 L
.67328 .81222 L
.67256 .8115 L
.67168 .81061 L
.67096 .80989 L
.67009 .80901 L
.66935 .80825 L
.66852 .8074 L
.66775 .80661 L
.66697 .8058 L
.66614 .80494 L
.66543 .80419 L
.66454 .80325 L
.66392 .80259 L
.66293 .80154 L
.66242 .80098 L
.66133 .79981 L
.66094 .79938 L
.65972 .79804 L
.65948 .79777 L
.65812 .79624 L
.65805 .79617 L
.65664 .79456 L
.65651 .79441 L
.65527 .79296 L
.65491 .79255 L
.65393 .79135 L
.6533 .79061 L
.65264 .78975 L
.6517 .78855 L
.65141 .78814 L
.65023 .78654 L
.65009 .7863 L
.64913 .78493 L
.64848 .7837 L
.64827 .78332 L
.64779 .78172 L
F
.733 .99 1 r
.64848 .63141 m
.64932 .63243 L
.65009 .63335 L
.65059 .63404 L
.6517 .6356 L
.65172 .63564 L
.6517 .63638 L
.65096 .63564 L
.65009 .63478 L
.64951 .63404 L
.64848 .63281 L
.64823 .63243 L
F
1 .92 .084 r
.65009 .73456 m
.6517 .73391 L
.6533 .73364 L
.65491 .73356 L
.65651 .73362 L
.65812 .73379 L
.65972 .73407 L
.66133 .73443 L
.66293 .73487 L
.66386 .73517 L
.66454 .7354 L
.66614 .73601 L
.66775 .73669 L
.66793 .73677 L
.66935 .73746 L
.67096 .7383 L
.67109 .73838 L
.67256 .73924 L
.67374 .73998 L
.67417 .74026 L
.67577 .74139 L
.67603 .74159 L
.67738 .74265 L
.67802 .74319 L
.67898 .74406 L
.67971 .7448 L
.68059 .74573 L
.6811 .7464 L
.68209 .74801 L
.68219 .74825 L
.68251 .74961 L
.68219 .75082 L
.68188 .75122 L
.68059 .75223 L
.67898 .75259 L
.67738 .75277 L
.67656 .75283 L
.67577 .75286 L
.67417 .75284 L
.67371 .75283 L
.67256 .75275 L
.67096 .75257 L
.66935 .75232 L
.66775 .75198 L
.66614 .75156 L
.66504 .75122 L
.66454 .75105 L
.66293 .75045 L
.66133 .74975 L
.66105 .74961 L
.65972 .74894 L
.65812 .74801 L
.65811 .74801 L
.65651 .74696 L
.65574 .7464 L
.65491 .74576 L
.65377 .7448 L
.6533 .74439 L
.6521 .74319 L
.6517 .74277 L
.65073 .74159 L
.65009 .74076 L
.64966 .73998 L
.64895 .73838 L
.64875 .73677 L
.64946 .73517 L
F
1 1 1 r
.65009 .62186 m
.6517 .62236 L
.65254 .6228 L
.6533 .62344 L
.65481 .62441 L
.65491 .62454 L
.65651 .626 L
.65652 .62601 L
.65794 .62762 L
.65812 .62788 L
.65903 .62922 L
.65972 .62963 L
.66072 .63083 L
.66133 .63161 L
.662 .63243 L
.66293 .63365 L
.66325 .63404 L
.66446 .63564 L
.66454 .63574 L
.66552 .63725 L
.66614 .63793 L
.66698 .63885 L
.66775 .64015 L
.6682 .64046 L
.66935 .64203 L
.66938 .64206 L
.6705 .64367 L
.67096 .64405 L
.67141 .64527 L
.67256 .64624 L
.67289 .64688 L
.67413 .64848 L
.67394 .65009 L
.67256 .65032 L
.67164 .65009 L
.67096 .64976 L
.66962 .64848 L
.66935 .64803 L
.66827 .64688 L
.66775 .64618 L
.66698 .64527 L
.66614 .64418 L
.66552 .64367 L
.66454 .64217 L
.66442 .64206 L
.66321 .64046 L
.66293 .64032 L
.66199 .63885 L
.66133 .63818 L
.66038 .63725 L
.65972 .636 L
.65942 .63564 L
.65826 .63404 L
.65812 .63385 L
.65705 .63243 L
.65651 .63174 L
.65583 .63083 L
.65491 .62992 L
.65442 .62922 L
.65335 .62762 L
.6533 .62755 L
.65217 .62601 L
.6517 .62538 L
.65099 .62441 L
.65009 .62312 L
.64987 .6228 L
F
1 .91 .061 r
.6533 .73484 m
.65491 .73458 L
.65651 .73455 L
.65812 .73467 L
.65972 .73491 L
.66098 .73517 L
.66133 .73526 L
.66293 .73569 L
.66454 .73622 L
.66599 .73677 L
.66614 .73684 L
.66775 .73754 L
.66935 .73832 L
.66946 .73838 L
.67096 .7392 L
.67226 .73998 L
.67256 .74017 L
.67417 .74125 L
.67463 .74159 L
.67577 .74246 L
.67665 .74319 L
.67738 .74383 L
.67835 .7448 L
.67898 .74543 L
.6797 .7464 L
.68059 .74799 L
.6806 .74801 L
.68082 .74961 L
.68059 .75025 L
.67958 .75122 L
.67898 .75156 L
.67738 .75201 L
.67577 .75218 L
.67417 .7522 L
.67256 .75212 L
.67096 .75194 L
.66935 .75168 L
.66775 .75132 L
.66734 .75122 L
.66614 .75088 L
.66454 .75034 L
.66293 .7497 L
.66274 .74961 L
.66133 .74895 L
.65972 .74808 L
.6596 .74801 L
.65812 .74708 L
.65714 .7464 L
.65651 .74594 L
.65513 .7448 L
.65491 .74461 L
.65347 .74319 L
.6533 .74303 L
.65213 .74159 L
.6517 .74114 L
.65114 .73998 L
.65058 .73838 L
.65069 .73677 L
.6517 .73555 L
.65234 .73517 L
F
.212 .95 1 r
.6517 .57328 m
.65283 .57464 L
.6533 .57516 L
.65419 .57625 L
.65491 .57708 L
.65553 .57785 L
.65651 .57904 L
.65685 .57946 L
.65812 .58098 L
.65815 .58106 L
.65941 .58267 L
.65972 .58304 L
.66069 .58428 L
.66133 .58507 L
.66196 .58588 L
.66293 .5871 L
.66323 .58749 L
.66448 .58909 L
.66454 .58916 L
.6657 .5907 L
.66614 .59125 L
.66694 .5923 L
.66775 .59334 L
.66818 .59391 L
.66935 .59536 L
.66941 .59551 L
.67059 .59712 L
.67096 .59759 L
.67179 .59872 L
.67256 .59974 L
.673 .60033 L
.67417 .6019 L
.67419 .60193 L
.6753 .60354 L
.67577 .60417 L
.67643 .60514 L
.67738 .60646 L
.67757 .60675 L
.67738 .60756 L
.67672 .60675 L
.67577 .60576 L
.6753 .60514 L
.67417 .60387 L
.67392 .60354 L
.67256 .60194 L
.67256 .60193 L
.6713 .60033 L
.67096 .59993 L
.67004 .59872 L
.66935 .59791 L
.66876 .59712 L
.66775 .5959 L
.66746 .59551 L
.66617 .59391 L
.66614 .59388 L
.66496 .5923 L
.66454 .59179 L
.66373 .5907 L
.66293 .58972 L
.66248 .58909 L
.66133 .58766 L
.6612 .58749 L
.65999 .58588 L
.65972 .58555 L
.6588 .58428 L
.65812 .58342 L
.65759 .58267 L
.65651 .58131 L
.65634 .58106 L
.65515 .57946 L
.65491 .57916 L
.65401 .57785 L
.6533 .57695 L
.65283 .57625 L
.6517 .57477 L
.65162 .57464 L
F
1 .9 .045 r
.6533 .73641 m
.65491 .73574 L
.65651 .73556 L
.65812 .7356 L
.65972 .73579 L
.66133 .7361 L
.66293 .73653 L
.66373 .73677 L
.66454 .73705 L
.66614 .73767 L
.66774 .73838 L
.66775 .73838 L
.66935 .73919 L
.67076 .73998 L
.67096 .7401 L
.67256 .74112 L
.67323 .74159 L
.67417 .74227 L
.6753 .74319 L
.67577 .74358 L
.677 .7448 L
.67738 .74509 L
.6783 .7464 L
.67898 .74771 L
.67908 .74801 L
.679 .74961 L
.67898 .74965 L
.67738 .75091 L
.67636 .75122 L
.67577 .75131 L
.67417 .75145 L
.67256 .75142 L
.67096 .75126 L
.6706 .75122 L
.66935 .75101 L
.66775 .75065 L
.66614 .75018 L
.66455 .74961 L
.66454 .74961 L
.66293 .74893 L
.66133 .74812 L
.66112 .74801 L
.65972 .7472 L
.65854 .7464 L
.65812 .74611 L
.65651 .74483 L
.65648 .7448 L
.65491 .74329 L
.65482 .74319 L
.65353 .74159 L
.6533 .74124 L
.65264 .73998 L
.6523 .73838 L
.65296 .73677 L
F
1 .83 .005 r
.6533 .78601 m
.65491 .78591 L
.65594 .78654 L
.65651 .78682 L
.65812 .7877 L
.65895 .78814 L
.65972 .78869 L
.66127 .78975 L
.66133 .78981 L
.66293 .79095 L
.6635 .79135 L
.66454 .79212 L
.66566 .79296 L
.66614 .79333 L
.66772 .79456 L
.66775 .79458 L
.66935 .79584 L
.66976 .79617 L
.67096 .79712 L
.67176 .79777 L
.67256 .79843 L
.67371 .79938 L
.67417 .79976 L
.67563 .80098 L
.67577 .8011 L
.67738 .80246 L
.67752 .80259 L
.67898 .80384 L
.6794 .80419 L
.68059 .80523 L
.68125 .8058 L
.68219 .80663 L
.68307 .8074 L
.6838 .80805 L
.68488 .80901 L
.68541 .80948 L
.68667 .81061 L
.68701 .81092 L
.68844 .81222 L
.68862 .81238 L
.69019 .81382 L
.69022 .81385 L
.69183 .81534 L
.69193 .81543 L
.69343 .81683 L
.69365 .81703 L
.69504 .81834 L
.69536 .81864 L
.69664 .81986 L
.69705 .82025 L
.69825 .82139 L
.69872 .82185 L
.69985 .82294 L
.70038 .82346 L
.70146 .82451 L
.70202 .82506 L
.70306 .82608 L
.70365 .82667 L
.70467 .82768 L
.70526 .82827 L
.70627 .82929 L
.70685 .82988 L
.70788 .83091 L
.70843 .83148 L
.70948 .83256 L
.70999 .83309 L
.71109 .83423 L
.71153 .83469 L
.71269 .83592 L
.71305 .8363 L
.7143 .83764 L
.71454 .8379 L
.7159 .83938 L
.71602 .83951 L
.71746 .84111 L
.71751 .84116 L
.71889 .84272 L
.71912 .84296 L
.72027 .84432 L
.72072 .84482 L
.72162 .84593 L
.72233 .84676 L
.72291 .84753 L
.72393 .84885 L
.72412 .84914 L
.72532 .85074 L
.72554 .85117 L
.72638 .85235 L
.72697 .85396 L
.72554 .85502 L
.72393 .85442 L
.72317 .85396 L
.72233 .85357 L
.72072 .85248 L
.7205 .85235 L
.71912 .85143 L
.71809 .85074 L
.71751 .85031 L
.71594 .84914 L
.7159 .84911 L
.7143 .84792 L
.71379 .84753 L
.71269 .84669 L
.71172 .84593 L
.71109 .84543 L
.70971 .84432 L
.70948 .84414 L
.70788 .84283 L
.70774 .84272 L
.70627 .84151 L
.70579 .84111 L
.70467 .84017 L
.70388 .83951 L
.70306 .83882 L
.70199 .8379 L
.70146 .83745 L
.70013 .8363 L
.69985 .83606 L
.69829 .83469 L
.69825 .83465 L
.69664 .83324 L
.69647 .83309 L
.69504 .83181 L
.69467 .83148 L
.69343 .83037 L
.69288 .82988 L
.69183 .82892 L
.69112 .82827 L
.69022 .82745 L
.68937 .82667 L
.68862 .82597 L
.68764 .82506 L
.68701 .82448 L
.68592 .82346 L
.68541 .82297 L
.68422 .82185 L
.6838 .82145 L
.68254 .82025 L
.68219 .81992 L
.68087 .81864 L
.68059 .81837 L
.67921 .81703 L
.67898 .81681 L
.67758 .81543 L
.67738 .81524 L
.67595 .81382 L
.67577 .81365 L
.67435 .81222 L
.67417 .81204 L
.67276 .81061 L
.67256 .81042 L
.67119 .80901 L
.67096 .80878 L
.66963 .8074 L
.66935 .80711 L
.6681 .8058 L
.66775 .80543 L
.66659 .80419 L
.66614 .80372 L
.6651 .80259 L
.66454 .80199 L
.66363 .80098 L
.66293 .80022 L
.6622 .79938 L
.66133 .7984 L
.66079 .79777 L
.65972 .79653 L
.65943 .79617 L
.65812 .79457 L
.65811 .79456 L
.65681 .79296 L
.65651 .79275 L
.65559 .79135 L
.65491 .7903 L
.6545 .78975 L
.65361 .78814 L
.6533 .78745 L
.65309 .78654 L
F
1 .87 .018 r
.6533 .58231 m
.65353 .58267 L
.6533 .58296 L
.6531 .58267 L
F
1 .89 .033 r
.65812 .73665 m
.65972 .73675 L
.65993 .73677 L
.66133 .737 L
.66293 .73739 L
.66454 .7379 L
.66579 .73838 L
.66614 .73852 L
.66775 .73925 L
.66916 .73998 L
.66935 .74009 L
.67096 .74104 L
.67179 .74159 L
.67256 .74212 L
.67392 .74319 L
.67417 .74338 L
.67562 .7448 L
.67577 .74497 L
.67686 .7464 L
.67738 .74756 L
.67747 .74801 L
.67738 .74885 L
.67688 .74961 L
.67577 .7504 L
.67417 .75066 L
.67256 .75068 L
.67096 .75055 L
.66935 .75029 L
.66775 .74992 L
.66668 .74961 L
.66614 .74944 L
.66454 .74885 L
.66293 .74811 L
.66273 .74801 L
.66133 .74726 L
.65998 .7464 L
.65972 .74624 L
.65812 .74502 L
.65786 .7448 L
.65651 .74355 L
.6562 .74319 L
.65497 .74159 L
.65491 .74148 L
.65424 .73998 L
.65425 .73838 L
.65491 .73752 L
.65651 .73679 L
.65675 .73677 L
F
1 1 1 r
.65651 .75749 m
.65812 .75697 L
.65972 .75685 L
.66133 .7568 L
.66293 .75678 L
.66454 .75677 L
.66614 .75677 L
.66775 .75677 L
.66935 .75677 L
.67096 .75677 L
.67256 .75677 L
.67417 .75677 L
.67577 .75677 L
.67738 .75677 L
.67898 .75677 L
.68059 .75678 L
.68219 .75678 L
.6838 .75678 L
.68541 .75678 L
.68701 .75679 L
.68862 .7568 L
.69022 .7568 L
.69183 .75682 L
.69343 .75683 L
.69504 .75685 L
.69664 .75689 L
.69825 .75694 L
.69985 .75703 L
.70146 .75718 L
.70306 .75741 L
.70414 .75764 L
.70467 .7578 L
.70627 .75837 L
.70788 .75908 L
.70821 .75925 L
.70948 .75994 L
.71099 .76085 L
.71109 .76092 L
.71269 .76199 L
.71335 .76246 L
.7143 .76314 L
.71551 .76406 L
.7159 .76437 L
.71751 .76565 L
.71753 .76567 L
.71912 .76699 L
.71945 .76727 L
.72072 .76837 L
.72129 .76888 L
.72233 .76981 L
.72306 .77048 L
.72393 .7713 L
.72476 .77209 L
.72554 .77284 L
.7264 .77369 L
.72714 .77444 L
.72798 .7753 L
.72875 .77611 L
.72948 .7769 L
.73035 .77787 L
.7309 .77851 L
.73196 .77979 L
.73221 .78011 L
.73337 .78172 L
.73356 .78202 L
.73428 .78332 L
.73469 .78493 L
.73356 .78631 L
.73284 .78654 L
.73196 .78672 L
.73035 .78688 L
.72875 .78694 L
.72714 .78696 L
.72554 .78697 L
.72393 .78698 L
.72233 .78698 L
.72072 .78698 L
.71912 .78697 L
.71751 .78697 L
.7159 .78697 L
.7143 .78697 L
.71269 .78697 L
.71109 .78697 L
.70948 .78697 L
.70788 .78697 L
.70627 .78696 L
.70467 .78696 L
.70306 .78696 L
.70146 .78696 L
.69985 .78695 L
.69825 .78694 L
.69664 .78693 L
.69504 .78691 L
.69343 .78688 L
.69183 .78684 L
.69022 .78676 L
.68862 .78662 L
.68799 .78654 L
.68701 .78635 L
.68541 .78594 L
.6838 .78538 L
.68279 .78493 L
.68219 .78464 L
.68059 .78378 L
.67983 .78332 L
.67898 .7828 L
.67739 .78172 L
.67738 .78171 L
.67577 .78056 L
.67519 .78011 L
.67417 .77933 L
.67314 .77851 L
.67256 .77804 L
.6712 .7769 L
.67096 .7767 L
.66935 .77531 L
.66934 .7753 L
.66775 .77387 L
.66755 .77369 L
.66614 .77238 L
.66584 .77209 L
.66454 .77083 L
.66418 .77048 L
.66293 .76923 L
.66259 .76888 L
.66133 .76755 L
.66107 .76727 L
.65972 .76578 L
.65963 .76567 L
.65829 .76406 L
.65812 .76388 L
.65708 .76246 L
.65651 .76159 L
.65609 .76085 L
.65551 .75925 L
.65622 .75764 L
F
1 .88 .024 r
.65812 .7379 m
.65972 .73781 L
.66133 .73799 L
.66293 .73834 L
.66308 .73838 L
.66454 .73881 L
.66614 .73943 L
.66735 .73998 L
.66775 .74017 L
.66935 .74104 L
.67023 .74159 L
.67096 .74204 L
.67245 .74319 L
.67256 .74325 L
.67416 .7448 L
.67417 .74481 L
.67531 .7464 L
.67562 .74801 L
.67417 .74938 L
.67317 .74961 L
.67256 .74968 L
.67096 .74967 L
.67039 .74961 L
.66935 .74949 L
.66775 .74914 L
.66614 .74864 L
.66458 .74801 L
.66454 .74799 L
.66293 .74724 L
.66153 .7464 L
.66133 .74629 L
.65972 .74514 L
.65932 .7448 L
.65812 .74375 L
.65767 .74319 L
.65654 .74159 L
.65651 .74154 L
.65606 .73998 L
.65651 .73876 L
.65682 .73838 L
F
.65651 .58599 m
.65752 .58749 L
.65812 .58825 L
.65866 .58909 L
.65972 .59054 L
.65982 .5907 L
.65972 .59117 L
.65937 .5907 L
.65812 .58942 L
.65787 .58909 L
.65651 .58754 L
.65647 .58749 L
F
1 1 1 r
.65812 .65129 m
.65972 .65135 L
.66056 .6517 L
.66133 .65224 L
.66235 .6533 L
.66293 .65412 L
.66349 .65491 L
.66454 .65618 L
.66463 .65651 L
.66603 .65812 L
.66614 .65823 L
.66747 .65972 L
.66775 .66031 L
.66853 .66133 L
.66935 .66245 L
.66962 .66293 L
.67093 .66454 L
.67096 .66457 L
.67213 .66614 L
.67256 .66631 L
.67349 .66775 L
.67417 .6687 L
.67451 .66935 L
.67567 .67096 L
.67577 .6711 L
.67676 .67256 L
.67738 .67355 L
.67817 .67417 L
.67828 .67577 L
.67738 .67607 L
.67681 .67577 L
.67577 .67548 L
.67459 .67417 L
.67417 .67389 L
.67289 .67256 L
.67256 .67225 L
.67138 .67096 L
.67096 .67048 L
.66976 .66935 L
.66935 .66858 L
.66859 .66775 L
.66775 .66659 L
.6674 .66614 L
.66614 .66461 L
.66601 .66454 L
.66454 .66293 L
.66454 .66268 L
.66341 .66133 L
.66293 .6606 L
.66231 .65972 L
.66133 .65851 L
.66119 .65812 L
.65978 .65651 L
.65972 .65643 L
.6584 .65491 L
.65812 .65426 L
.65739 .6533 L
.65665 .6517 L
F
1 .87 .018 r
.65972 .73933 m
.66133 .7391 L
.66293 .7394 L
.66454 .73987 L
.66489 .73998 L
.66614 .74042 L
.66775 .74122 L
.6684 .74159 L
.66935 .74209 L
.67079 .74319 L
.67096 .74333 L
.67251 .7448 L
.67256 .74487 L
.67349 .7464 L
.6731 .74801 L
.67256 .74827 L
.67096 .74872 L
.66935 .74854 L
.66775 .74818 L
.66708 .74801 L
.66614 .74775 L
.66454 .74705 L
.66335 .7464 L
.66293 .74624 L
.66133 .74511 L
.66097 .7448 L
.65972 .74381 L
.65932 .74319 L
.65836 .74159 L
.65841 .73998 L
F
1 .82 .004 r
.65972 .7913 m
.65998 .79135 L
.66133 .79187 L
.66293 .79272 L
.66343 .79296 L
.66454 .79368 L
.66597 .79456 L
.66614 .79479 L
.66775 .79599 L
.668 .79617 L
.66935 .79717 L
.67016 .79777 L
.67096 .79839 L
.67222 .79938 L
.67256 .79966 L
.67417 .80097 L
.67419 .80098 L
.67577 .80227 L
.67616 .80259 L
.67738 .8036 L
.67808 .80419 L
.67898 .80495 L
.67998 .8058 L
.68059 .80632 L
.68183 .8074 L
.68219 .80772 L
.68366 .80901 L
.6838 .80913 L
.68541 .81055 L
.68547 .81061 L
.68701 .81199 L
.68726 .81222 L
.68862 .81344 L
.68903 .81382 L
.69022 .81491 L
.69078 .81543 L
.69183 .81639 L
.69251 .81703 L
.69343 .81789 L
.69422 .81864 L
.69504 .81941 L
.69592 .82025 L
.69664 .82094 L
.69759 .82185 L
.69825 .82248 L
.69925 .82346 L
.69985 .82404 L
.70088 .82506 L
.70146 .82562 L
.7025 .82667 L
.70306 .82722 L
.7041 .82827 L
.70467 .82884 L
.70568 .82988 L
.70627 .83048 L
.70723 .83148 L
.70788 .83215 L
.70876 .83309 L
.70948 .83384 L
.71027 .83469 L
.71109 .83556 L
.71175 .8363 L
.71269 .83733 L
.7132 .8379 L
.7143 .83914 L
.71461 .83951 L
.7159 .84103 L
.71597 .84111 L
.71732 .84272 L
.71751 .843 L
.71861 .84432 L
.71912 .84511 L
.71977 .84593 L
.72068 .84753 L
.72072 .8476 L
.72127 .84914 L
.72072 .84974 L
.71912 .84934 L
.71879 .84914 L
.71751 .84866 L
.71602 .84753 L
.7159 .84751 L
.7143 .84642 L
.71356 .84593 L
.71269 .84529 L
.71137 .84432 L
.71109 .84409 L
.70948 .84284 L
.70932 .84272 L
.70788 .84159 L
.70727 .84111 L
.70627 .84032 L
.70528 .83951 L
.70467 .83901 L
.70334 .8379 L
.70306 .83767 L
.70146 .83631 L
.70144 .8363 L
.69985 .83495 L
.69956 .83469 L
.69825 .83356 L
.6977 .83309 L
.69664 .83216 L
.69587 .83148 L
.69504 .83075 L
.69406 .82988 L
.69343 .82931 L
.69228 .82827 L
.69183 .82786 L
.69052 .82667 L
.69022 .82639 L
.68878 .82506 L
.68862 .82491 L
.68706 .82346 L
.68701 .82341 L
.68541 .82189 L
.68536 .82185 L
.6838 .82037 L
.68367 .82025 L
.68219 .81883 L
.682 .81864 L
.68059 .81727 L
.68035 .81703 L
.67898 .81569 L
.67872 .81543 L
.67738 .81409 L
.67711 .81382 L
.67577 .81248 L
.67552 .81222 L
.67417 .81084 L
.67395 .81061 L
.67256 .80918 L
.67241 .80901 L
.67096 .80748 L
.67088 .8074 L
.66938 .8058 L
.66935 .80577 L
.66791 .80419 L
.66775 .80404 L
.66646 .80259 L
.66614 .80227 L
.66505 .80098 L
.66454 .80044 L
.66369 .79938 L
.66293 .79851 L
.6624 .79777 L
.66133 .79637 L
.6612 .79617 L
.6601 .79456 L
.65972 .79395 L
.65919 .79296 L
.65914 .79135 L
F
.156 .94 1 r
.65972 .58398 m
.65995 .58428 L
.65972 .58468 L
.65949 .58428 L
F
1 .97 .395 r
.65972 .5774 m
.66016 .57785 L
.66133 .57906 L
.66168 .57946 L
.66293 .58089 L
.66309 .58106 L
.66444 .58267 L
.66454 .58278 L
.66578 .58428 L
.66614 .5847 L
.66711 .58588 L
.66775 .58665 L
.66843 .58749 L
.66935 .58862 L
.66974 .58909 L
.67096 .59059 L
.67109 .5907 L
.6723 .5923 L
.67256 .59263 L
.67358 .59391 L
.67417 .59465 L
.67486 .59551 L
.67577 .59645 L
.67612 .59712 L
.67737 .59872 L
.67738 .59874 L
.67861 .60033 L
.67898 .6008 L
.67986 .60193 L
.68059 .60287 L
.68111 .60354 L
.68219 .60489 L
.68246 .60514 L
.68356 .60675 L
.6838 .60706 L
.68478 .60835 L
.68541 .60917 L
.686 .60996 L
.68701 .6111 L
.68722 .61156 L
.6884 .61317 L
.68862 .61345 L
.68959 .61477 L
.69022 .61561 L
.69078 .61638 L
.69183 .61779 L
.69197 .61799 L
.6931 .61959 L
.69343 .62004 L
.69423 .6212 L
.69504 .62232 L
.69536 .6228 L
.69504 .62402 L
.69403 .6228 L
.69343 .62216 L
.69267 .6212 L
.69183 .62025 L
.69132 .61959 L
.69022 .61831 L
.68998 .61799 L
.68865 .61638 L
.68862 .61634 L
.6874 .61477 L
.68701 .61432 L
.68613 .61317 L
.68541 .6123 L
.68485 .61156 L
.6838 .61028 L
.68356 .60996 L
.68228 .60835 L
.68219 .60825 L
.68106 .60675 L
.68059 .60617 L
.67982 .60514 L
.67898 .60411 L
.67856 .60354 L
.67738 .60205 L
.67729 .60193 L
.67607 .60033 L
.67577 .59996 L
.67487 .59872 L
.67417 .59786 L
.67363 .59712 L
.67256 .59577 L
.67238 .59551 L
.67116 .59391 L
.67096 .59366 L
.66998 .5923 L
.66935 .59152 L
.66877 .5907 L
.66775 .58939 L
.66754 .58909 L
.66633 .58749 L
.66614 .58725 L
.66519 .58588 L
.66454 .58505 L
.66402 .58428 L
.66293 .58286 L
.66281 .58267 L
.66169 .58106 L
.66133 .58058 L
.66064 .57946 L
.65972 .57816 L
.65957 .57785 L
F
.733 .99 1 r
.66935 .75755 m
.67096 .75745 L
.67256 .75738 L
.67417 .75733 L
.67577 .7573 L
.67738 .75727 L
.67898 .75727 L
.68059 .75727 L
.68219 .75728 L
.6838 .7573 L
.68541 .75733 L
.68701 .75738 L
.68862 .75744 L
.69022 .75752 L
.69183 .75762 L
.69209 .75764 L
.69343 .75776 L
.69504 .75794 L
.69664 .75816 L
.69825 .75844 L
.69985 .75878 L
.70146 .75917 L
.70175 .75925 L
.70306 .75967 L
.70467 .76027 L
.7061 .76085 L
.70627 .76093 L
.70788 .76172 L
.70928 .76246 L
.70948 .76257 L
.71109 .76353 L
.71194 .76406 L
.71269 .76456 L
.7143 .76566 L
.7143 .76567 L
.7159 .76684 L
.71647 .76727 L
.71751 .76809 L
.71848 .76888 L
.71912 .76941 L
.72037 .77048 L
.72072 .77079 L
.72215 .77209 L
.72233 .77225 L
.72384 .77369 L
.72393 .77379 L
.72541 .7753 L
.72554 .77543 L
.72688 .7769 L
.72714 .7772 L
.72821 .77851 L
.72875 .7792 L
.72935 .78011 L
.73022 .78172 L
.73035 .78205 L
.7306 .78332 L
.73035 .78429 L
.72977 .78493 L
.72875 .78564 L
.72714 .78605 L
.72554 .78624 L
.72393 .78636 L
.72233 .78644 L
.72072 .78651 L
.71997 .78654 L
.71912 .78656 L
.71751 .7866 L
.7159 .78663 L
.7143 .78665 L
.71269 .78667 L
.71109 .78667 L
.70948 .78667 L
.70788 .78666 L
.70627 .78665 L
.70467 .78662 L
.70306 .78659 L
.70146 .78655 L
.70086 .78654 L
.69985 .7865 L
.69825 .78642 L
.69664 .78633 L
.69504 .7862 L
.69343 .78603 L
.69183 .78581 L
.69022 .78552 L
.68862 .78517 L
.6877 .78493 L
.68701 .78471 L
.68541 .78413 L
.6838 .78346 L
.68351 .78332 L
.68219 .78266 L
.68059 .78175 L
.68053 .78172 L
.67898 .78075 L
.67804 .78011 L
.67738 .77965 L
.67583 .77851 L
.67577 .77847 L
.67417 .77721 L
.6738 .7769 L
.67256 .77587 L
.6719 .7753 L
.67096 .77446 L
.67012 .77369 L
.66935 .77297 L
.66844 .77209 L
.66775 .77139 L
.66686 .77048 L
.66614 .76971 L
.6654 .76888 L
.66454 .76787 L
.66405 .76727 L
.66293 .76578 L
.66285 .76567 L
.66185 .76406 L
.66133 .76295 L
.66115 .76246 L
.66097 .76085 L
.66133 .75991 L
.66196 .75925 L
.66293 .75861 L
.66454 .75812 L
.66614 .75786 L
.66775 .75769 L
.66827 .75764 L
F
1 .86 .013 r
.66133 .74137 m
.66293 .74097 L
.66454 .74114 L
.66561 .74159 L
.66614 .7418 L
.66775 .74237 L
.6687 .74319 L
.66935 .74375 L
.67044 .7448 L
.67077 .7464 L
.66935 .74703 L
.66775 .74713 L
.66614 .74644 L
.66605 .7464 L
.66454 .7457 L
.66306 .7448 L
.66293 .74466 L
.66144 .74319 L
.66133 .74294 L
.6611 .74159 L
F
1 .89 .033 r
.66293 .5945 m
.6635 .59551 L
.66293 .59558 L
.66288 .59551 L
F
.538 .98 1 r
.66775 .75878 m
.66935 .75841 L
.67096 .75818 L
.67256 .75802 L
.67417 .75791 L
.67577 .75783 L
.67738 .75778 L
.67898 .75775 L
.68059 .75775 L
.68219 .75776 L
.6838 .75779 L
.68541 .75785 L
.68701 .75793 L
.68862 .75803 L
.69022 .75817 L
.69183 .75835 L
.69343 .75856 L
.69504 .75882 L
.69664 .75912 L
.69723 .75925 L
.69825 .7595 L
.69985 .75996 L
.70146 .76048 L
.70253 .76085 L
.70306 .76106 L
.70467 .76175 L
.7062 .76246 L
.70627 .76249 L
.70788 .76334 L
.70917 .76406 L
.70948 .76425 L
.71109 .76524 L
.71175 .76567 L
.71269 .76631 L
.71407 .76727 L
.7143 .76744 L
.7159 .76865 L
.71619 .76888 L
.71751 .76994 L
.71816 .77048 L
.71912 .7713 L
.72 .77209 L
.72072 .77276 L
.7217 .77369 L
.72233 .77431 L
.72328 .7753 L
.72393 .77601 L
.7247 .7769 L
.72554 .77793 L
.72596 .77851 L
.72697 .78011 L
.72714 .78045 L
.72762 .78172 L
.72761 .78332 L
.72714 .78409 L
.72589 .78493 L
.72554 .7851 L
.72393 .7856 L
.72233 .78587 L
.72072 .78604 L
.71912 .78615 L
.71751 .78623 L
.7159 .78629 L
.7143 .78633 L
.71269 .78636 L
.71109 .78637 L
.70948 .78637 L
.70788 .78636 L
.70627 .78633 L
.70467 .78629 L
.70306 .78623 L
.70146 .78616 L
.69985 .78606 L
.69825 .78593 L
.69664 .78576 L
.69504 .78555 L
.69343 .7853 L
.69183 .78498 L
.69158 .78493 L
.69022 .78458 L
.68862 .78409 L
.68701 .78352 L
.68651 .78332 L
.68541 .78284 L
.6838 .78207 L
.68313 .78172 L
.68219 .78119 L
.68059 .78022 L
.68043 .78011 L
.67898 .77915 L
.67808 .77851 L
.67738 .77799 L
.67597 .7769 L
.67577 .77674 L
.67417 .77541 L
.67404 .7753 L
.67256 .77398 L
.67225 .77369 L
.67096 .77245 L
.6706 .77209 L
.66935 .77079 L
.66907 .77048 L
.66775 .76896 L
.66768 .76888 L
.66645 .76727 L
.66614 .76685 L
.66541 .76567 L
.66463 .76406 L
.66454 .76382 L
.66424 .76246 L
.66454 .76086 L
.66454 .76085 L
.66614 .75941 L
.66649 .75925 L
F
.156 .94 1 r
.66454 .59003 m
.66502 .5907 L
.66614 .5921 L
.66629 .5923 L
.66614 .59304 L
.66564 .5923 L
.66454 .59104 L
.6643 .5907 L
F
1 .81 .003 r
.66614 .79754 m
.66696 .79777 L
.66775 .79814 L
.66935 .79899 L
.66984 .79938 L
.67096 .79996 L
.67217 .80098 L
.67256 .80115 L
.67417 .80246 L
.67434 .80259 L
.67577 .80368 L
.67643 .80419 L
.67738 .80495 L
.67843 .8058 L
.67898 .80626 L
.68034 .8074 L
.68059 .80761 L
.68219 .80901 L
.6822 .80901 L
.6838 .81039 L
.68406 .81061 L
.68541 .81179 L
.68589 .81222 L
.68701 .81321 L
.68769 .81382 L
.68862 .81465 L
.68946 .81543 L
.69022 .81612 L
.69121 .81703 L
.69183 .8176 L
.69293 .81864 L
.69343 .81911 L
.69462 .82025 L
.69504 .82063 L
.69629 .82185 L
.69664 .82218 L
.69794 .82346 L
.69825 .82375 L
.69956 .82506 L
.69985 .82533 L
.70117 .82667 L
.70146 .82694 L
.70274 .82827 L
.70306 .82858 L
.70429 .82988 L
.70467 .83024 L
.70581 .83148 L
.70627 .83193 L
.7073 .83309 L
.70788 .83366 L
.70874 .83469 L
.70948 .83546 L
.71013 .8363 L
.71109 .83739 L
.71145 .8379 L
.71266 .83951 L
.71269 .83956 L
.71376 .84111 L
.7143 .84208 L
.71455 .84272 L
.7143 .84347 L
.71269 .84304 L
.71208 .84272 L
.71109 .84214 L
.7095 .84111 L
.70948 .8411 L
.70788 .84002 L
.70712 .83951 L
.70627 .83886 L
.70499 .8379 L
.70467 .83761 L
.70308 .8363 L
.70306 .83628 L
.70146 .83498 L
.70111 .83469 L
.69985 .83366 L
.69917 .83309 L
.69825 .8323 L
.69729 .83148 L
.69664 .83092 L
.69545 .82988 L
.69504 .82952 L
.69364 .82827 L
.69343 .82808 L
.69187 .82667 L
.69183 .82663 L
.69022 .82516 L
.69011 .82506 L
.68862 .82368 L
.68838 .82346 L
.68701 .82218 L
.68666 .82185 L
.68541 .82066 L
.68497 .82025 L
.6838 .81912 L
.68331 .81864 L
.68219 .81756 L
.68166 .81703 L
.68059 .81598 L
.68005 .81543 L
.67898 .81437 L
.67846 .81382 L
.67738 .81273 L
.67689 .81222 L
.67577 .81106 L
.67536 .81061 L
.67417 .80936 L
.67386 .80901 L
.67256 .8076 L
.67239 .8074 L
.67097 .8058 L
.67096 .80578 L
.66952 .80419 L
.66935 .80389 L
.66815 .80259 L
.66775 .80187 L
.66693 .80098 L
.66614 .79951 L
.66604 .79938 L
.66559 .79777 L
F
.395 .97 1 r
.67096 .75903 m
.67256 .75872 L
.67417 .75851 L
.67577 .75838 L
.67738 .75829 L
.67898 .75824 L
.68059 .75822 L
.68219 .75823 L
.6838 .75827 L
.68541 .75834 L
.68701 .75845 L
.68862 .75858 L
.69022 .75875 L
.69183 .75897 L
.69343 .75922 L
.69356 .75925 L
.69504 .75955 L
.69664 .75993 L
.69825 .76038 L
.69979 .76085 L
.69985 .76087 L
.70146 .76147 L
.70306 .76213 L
.70382 .76246 L
.70467 .76286 L
.70627 .76367 L
.70701 .76406 L
.70788 .76456 L
.70948 .76551 L
.70973 .76567 L
.71109 .76655 L
.71216 .76727 L
.71269 .76765 L
.7143 .76883 L
.71436 .76888 L
.7159 .7701 L
.71638 .77048 L
.71751 .77144 L
.71824 .77209 L
.71912 .77289 L
.71996 .77369 L
.72072 .77445 L
.72153 .7753 L
.72233 .77618 L
.72293 .7769 L
.72393 .77822 L
.72412 .77851 L
.72504 .78011 L
.72553 .78172 L
.72522 .78332 L
.72393 .78445 L
.72278 .78493 L
.72233 .78508 L
.72072 .78545 L
.71912 .78568 L
.71751 .78583 L
.7159 .78593 L
.7143 .786 L
.71269 .78604 L
.71109 .78607 L
.70948 .78607 L
.70788 .78605 L
.70627 .78602 L
.70467 .78596 L
.70306 .78588 L
.70146 .78578 L
.69985 .78564 L
.69825 .78547 L
.69664 .78525 L
.69504 .78499 L
.6947 .78493 L
.69343 .78466 L
.69183 .78425 L
.69022 .78377 L
.6889 .78332 L
.68862 .78322 L
.68701 .78255 L
.68541 .78181 L
.68523 .78172 L
.6838 .78095 L
.68236 .78011 L
.68219 .78001 L
.68059 .77897 L
.67992 .77851 L
.67898 .77784 L
.67775 .7769 L
.67738 .77661 L
.67579 .7753 L
.67577 .77529 L
.67417 .77386 L
.67399 .77369 L
.67256 .7723 L
.67235 .77209 L
.67096 .7706 L
.67086 .77048 L
.66952 .76888 L
.66935 .76867 L
.66836 .76727 L
.66775 .76632 L
.66742 .76567 L
.66679 .76406 L
.66662 .76246 L
.66729 .76085 L
.66775 .7603 L
.66935 .75946 L
.67016 .75925 L
F
1 1 1 r
.66775 .65149 m
.66935 .65142 L
.6705 .6517 L
.67096 .65188 L
.67256 .65327 L
.67259 .6533 L
.67405 .65491 L
.67417 .65528 L
.67523 .65651 L
.67577 .65741 L
.67632 .65812 L
.67738 .65953 L
.67777 .65972 L
.67898 .66132 L
.67899 .66133 L
.68027 .66293 L
.68059 .6634 L
.68136 .66454 L
.68219 .66554 L
.68239 .66614 L
.6838 .66765 L
.68389 .66775 L
.68523 .66935 L
.68541 .66956 L
.6863 .67096 L
.68701 .67179 L
.68734 .67256 L
.68862 .67416 L
.68862 .67417 L
.68971 .67577 L
.69022 .67664 L
.69079 .67738 L
.69087 .67898 L
.69022 .67942 L
.68937 .67898 L
.68862 .67876 L
.68702 .67738 L
.68701 .67737 L
.68547 .67577 L
.68541 .67571 L
.68408 .67417 L
.6838 .67383 L
.68229 .67256 L
.68219 .67182 L
.68133 .67096 L
.68059 .66976 L
.6802 .66935 L
.67898 .66778 L
.67896 .66775 L
.67769 .66614 L
.67738 .6658 L
.67619 .66454 L
.67577 .6637 L
.67515 .66293 L
.67417 .66159 L
.67401 .66133 L
.67274 .65972 L
.67256 .65949 L
.67107 .65812 L
.67096 .65737 L
.67016 .65651 L
.66935 .65558 L
.6691 .65491 L
.66796 .6533 L
.66775 .65292 L
.66735 .6517 L
F
.289 .96 1 r
.67417 .75917 m
.67577 .75895 L
.67738 .75881 L
.67898 .75873 L
.68059 .75869 L
.68219 .7587 L
.6838 .75874 L
.68541 .75882 L
.68701 .75893 L
.68862 .75909 L
.68995 .75925 L
.69022 .75928 L
.69183 .75954 L
.69343 .75984 L
.69504 .7602 L
.69664 .76062 L
.69745 .76085 L
.69825 .76111 L
.69985 .76167 L
.70146 .7623 L
.70185 .76246 L
.70306 .763 L
.70467 .76378 L
.70522 .76406 L
.70627 .76463 L
.70788 .76555 L
.70807 .76567 L
.70948 .76656 L
.71058 .76727 L
.71109 .76763 L
.71269 .76877 L
.71283 .76888 L
.7143 .77001 L
.71489 .77048 L
.7159 .77133 L
.71678 .77209 L
.71751 .77275 L
.71851 .77369 L
.71912 .7743 L
.72007 .7753 L
.72072 .77603 L
.72144 .7769 L
.72233 .77809 L
.72258 .77851 L
.72342 .78011 L
.72377 .78172 L
.7232 .78332 L
.72233 .78405 L
.72072 .78481 L
.71998 .78493 L
.71912 .78512 L
.71751 .78538 L
.7159 .78554 L
.7143 .78565 L
.71269 .78572 L
.71109 .78575 L
.70948 .78576 L
.70788 .78575 L
.70627 .78571 L
.70467 .78564 L
.70306 .78554 L
.70146 .78541 L
.69985 .78525 L
.69825 .78504 L
.69749 .78493 L
.69664 .78478 L
.69504 .78446 L
.69343 .78407 L
.69183 .78362 L
.69091 .78332 L
.69022 .78308 L
.68862 .78244 L
.68701 .78173 L
.68698 .78172 L
.68541 .78091 L
.68397 .78011 L
.6838 .78001 L
.68219 .779 L
.68145 .77851 L
.68059 .7779 L
.67924 .7769 L
.67898 .77671 L
.67738 .77541 L
.67725 .7753 L
.67577 .77399 L
.67545 .77369 L
.67417 .77245 L
.67381 .77209 L
.67256 .77074 L
.67234 .77048 L
.67104 .76888 L
.67096 .76877 L
.66994 .76727 L
.66935 .7663 L
.66909 .76567 L
.66857 .76406 L
.66859 .76246 L
.66935 .76111 L
.66963 .76085 L
.67096 .75999 L
.67256 .75949 L
.67377 .75925 L
F
.212 .95 1 r
.67898 .75923 m
.68059 .75917 L
.68219 .75915 L
.6838 .75919 L
.68514 .75925 L
.68541 .75927 L
.68701 .7594 L
.68862 .75957 L
.69022 .75979 L
.69183 .76007 L
.69343 .7604 L
.69504 .76078 L
.69529 .76085 L
.69664 .76124 L
.69825 .76177 L
.69985 .76236 L
.70011 .76246 L
.70146 .76303 L
.70306 .76377 L
.70368 .76406 L
.70467 .76458 L
.70627 .76546 L
.70664 .76567 L
.70788 .76642 L
.70921 .76727 L
.70948 .76745 L
.71109 .76857 L
.71152 .76888 L
.71269 .76976 L
.71361 .77048 L
.7143 .77104 L
.71552 .77209 L
.7159 .77243 L
.71725 .77369 L
.71751 .77395 L
.7188 .7753 L
.71912 .77564 L
.72015 .7769 L
.72072 .77764 L
.72125 .77851 L
.72202 .78011 L
.72224 .78172 L
.72141 .78332 L
.72072 .78396 L
.71912 .78458 L
.71751 .78488 L
.71717 .78493 L
.7159 .78512 L
.7143 .78528 L
.71269 .78538 L
.71109 .78543 L
.70948 .78545 L
.70788 .78544 L
.70627 .7854 L
.70467 .78532 L
.70306 .78521 L
.70146 .78506 L
.70031 .78493 L
.69985 .78487 L
.69825 .78463 L
.69664 .78433 L
.69504 .78397 L
.69343 .78354 L
.6927 .78332 L
.69183 .78303 L
.69022 .78244 L
.68862 .78177 L
.68851 .78172 L
.68701 .78099 L
.68541 .78013 L
.68538 .78011 L
.6838 .77917 L
.68278 .77851 L
.68219 .77811 L
.68059 .77695 L
.68052 .7769 L
.67898 .77569 L
.67851 .7753 L
.67738 .77431 L
.6767 .77369 L
.67577 .7728 L
.67508 .77209 L
.67417 .77111 L
.67362 .77048 L
.67256 .76917 L
.67235 .76888 L
.6713 .76727 L
.67096 .7668 L
.67052 .76567 L
.67012 .76406 L
.67033 .76246 L
.67096 .76151 L
.67178 .76085 L
.67256 .76042 L
.67417 .75987 L
.67577 .75956 L
.67738 .75935 L
.67868 .75925 L
F
.156 .94 1 r
.67417 .76073 m
.67577 .76022 L
.67738 .75992 L
.67898 .75974 L
.68059 .75964 L
.68219 .75961 L
.6838 .75964 L
.68541 .75972 L
.68701 .75985 L
.68862 .76003 L
.69022 .76027 L
.69183 .76056 L
.69317 .76085 L
.69343 .76091 L
.69504 .76133 L
.69664 .76182 L
.69825 .76236 L
.6985 .76246 L
.69985 .76299 L
.70146 .76368 L
.70228 .76406 L
.70306 .76445 L
.70467 .76529 L
.70535 .76567 L
.70627 .7662 L
.70788 .76719 L
.708 .76727 L
.70948 .76826 L
.71036 .76888 L
.71109 .76941 L
.71248 .77048 L
.71269 .77065 L
.7143 .772 L
.71441 .77209 L
.7159 .77346 L
.71614 .77369 L
.71751 .7751 L
.71768 .7753 L
.71901 .7769 L
.71912 .77702 L
.72007 .77851 L
.72072 .77996 L
.72076 .78011 L
.72086 .78172 L
.72072 .78216 L
.71975 .78332 L
.71912 .78378 L
.71751 .78438 L
.7159 .78469 L
.7143 .78488 L
.71382 .78493 L
.71269 .78502 L
.71109 .7851 L
.70948 .78514 L
.70788 .78513 L
.70627 .78508 L
.70467 .785 L
.70366 .78493 L
.70306 .78488 L
.70146 .78471 L
.69985 .7845 L
.69825 .78423 L
.69664 .7839 L
.69504 .78351 L
.69437 .78332 L
.69343 .78304 L
.69183 .78249 L
.69022 .78186 L
.68989 .78172 L
.68862 .78113 L
.68701 .78032 L
.68663 .78011 L
.68541 .77941 L
.68396 .77851 L
.6838 .7784 L
.68219 .77729 L
.68166 .7769 L
.68059 .77608 L
.67963 .7753 L
.67898 .77475 L
.67781 .77369 L
.67738 .77328 L
.67619 .77209 L
.67577 .77165 L
.67475 .77048 L
.67417 .76977 L
.67352 .76888 L
.67256 .76737 L
.67251 .76727 L
.6718 .76567 L
.67152 .76406 L
.67193 .76246 L
.67256 .76148 L
.6739 .76085 L
F
1 1 1 r
.67256 .57408 m
.6733 .57464 L
.67417 .57546 L
.67497 .57625 L
.67577 .5771 L
.6765 .57785 L
.67738 .57868 L
.67796 .57946 L
.67898 .58067 L
.67952 .58106 L
.68059 .58252 L
.68072 .58267 L
.68214 .58428 L
.68219 .58434 L
.68353 .58588 L
.6838 .58622 L
.68533 .58749 L
.68541 .5882 L
.68615 .58909 L
.68701 .5902 L
.6873 .5907 L
.68862 .59218 L
.68888 .5923 L
.69017 .59391 L
.69022 .59398 L
.69149 .59551 L
.69183 .59602 L
.69261 .59712 L
.69343 .59811 L
.69366 .59872 L
.69504 .59991 L
.69538 .60033 L
.69664 .60193 L
.69664 .60194 L
.69785 .60354 L
.69825 .60404 L
.69892 .60514 L
.69985 .60622 L
.70051 .60675 L
.70146 .608 L
.70175 .60835 L
.70299 .60996 L
.70306 .61007 L
.70411 .61156 L
.70467 .61223 L
.70507 .61317 L
.70627 .61447 L
.7068 .61477 L
.70788 .61619 L
.70803 .61638 L
.70922 .61799 L
.70948 .61831 L
.71026 .61959 L
.71109 .62053 L
.71181 .6212 L
.71269 .62237 L
.71304 .6228 L
.71425 .62441 L
.7143 .62447 L
.71537 .62601 L
.7159 .62665 L
.71679 .62762 L
.71751 .6289 L
.71802 .62922 L
.71912 .63068 L
.71923 .63083 L
.72041 .63243 L
.72072 .63282 L
.72142 .63404 L
.72233 .63503 L
.72298 .63564 L
.72393 .63692 L
.7242 .63725 L
.7254 .63885 L
.72554 .63903 L
.72648 .64046 L
.72714 .64122 L
.72792 .64206 L
.72875 .64342 L
.72914 .64367 L
.73034 .64527 L
.73035 .64529 L
.7315 .64688 L
.73196 .64744 L
.7325 .64848 L
.73356 .64963 L
.73406 .65009 L
.73517 .65157 L
.73527 .6517 L
.73647 .6533 L
.73677 .65369 L
.73754 .65491 L
.73838 .65586 L
.73897 .65651 L
.73998 .65799 L
.74018 .65812 L
.74142 .65972 L
.74159 .65998 L
.74252 .66133 L
.74319 .66214 L
.74354 .66293 L
.7448 .66428 L
.74507 .66454 L
.74634 .66614 L
.7464 .6663 L
.74748 .66775 L
.74801 .66845 L
.74853 .66935 L
.74961 .67061 L
.74993 .67096 L
.75113 .67256 L
.75122 .67266 L
.75241 .67417 L
.75283 .67479 L
.75347 .67577 L
.75443 .67698 L
.75457 .67738 L
.75593 .67898 L
.75604 .67903 L
.75739 .68059 L
.75764 .68119 L
.75834 .68219 L
.75925 .68344 L
.75943 .6838 L
.76067 .68541 L
.76085 .68565 L
.76184 .68701 L
.76246 .68765 L
.76314 .68862 L
.76406 .69008 L
.76415 .69022 L
.76527 .69183 L
.76567 .69239 L
.76639 .69343 L
.76727 .69443 L
.76767 .69504 L
.76853 .69664 L
.76888 .69717 L
.76954 .69825 L
.76888 .69971 L
.76749 .69825 L
.76727 .69804 L
.76604 .69664 L
.76567 .69625 L
.76464 .69504 L
.76406 .69439 L
.76327 .69343 L
.76246 .69266 L
.76192 .69183 L
.76085 .6906 L
.76041 .69022 L
.75926 .68862 L
.75925 .6886 L
.75797 .68701 L
.75764 .68684 L
.75669 .68541 L
.75604 .68472 L
.75491 .6838 L
.75443 .68262 L
.75401 .68219 L
.75283 .68059 L
.75283 .68058 L
.75159 .67898 L
.75122 .67869 L
.75033 .67738 L
.74961 .67656 L
.74881 .67577 L
.74801 .67445 L
.74776 .67417 L
.74655 .67256 L
.7464 .67253 L
.74532 .67096 L
.7448 .67044 L
.7436 .66935 L
.74319 .6683 L
.74269 .66775 L
.74159 .66619 L
.74155 .66614 L
.74033 .66454 L
.73998 .66429 L
.7391 .66293 L
.73838 .66213 L
.7376 .66133 L
.73677 .65998 L
.73656 .65972 L
.73536 .65812 L
.73517 .65788 L
.73414 .65651 L
.73356 .65596 L
.73245 .65491 L
.73196 .65377 L
.73154 .6533 L
.7304 .6517 L
.73035 .65164 L
.72919 .65009 L
.72875 .6498 L
.72796 .64848 L
.72714 .64757 L
.72649 .64688 L
.72554 .64539 L
.72544 .64527 L
.72424 .64367 L
.72393 .64328 L
.72302 .64206 L
.72233 .64139 L
.72139 .64046 L
.72072 .63916 L
.72046 .63885 L
.7193 .63725 L
.71912 .63702 L
.71809 .63564 L
.71751 .63526 L
.71686 .63404 L
.7159 .63294 L
.71544 .63243 L
.71436 .63083 L
.7143 .63075 L
.71316 .62922 L
.71269 .62864 L
.71194 .62762 L
.71109 .62676 L
.71038 .62601 L
.70948 .62448 L
.70942 .62441 L
.70823 .6228 L
.70788 .62236 L
.70702 .6212 L
.70627 .62063 L
.70579 .61959 L
.70467 .61824 L
.70444 .61799 L
.70331 .61638 L
.70306 .61607 L
.70211 .61477 L
.70146 .61396 L
.70088 .61317 L
.69985 .61203 L
.69944 .61156 L
.69839 .60996 L
.69825 .60978 L
.6972 .60835 L
.69664 .60765 L
.69598 .60675 L
.69504 .60555 L
.69474 .60514 L
.69349 .60354 L
.69343 .60346 L
.6923 .60193 L
.69183 .60133 L
.6911 .60033 L
.69022 .59922 L
.68987 .59872 L
.68862 .59713 L
.6886 .59712 L
.68743 .59551 L
.68701 .59498 L
.68624 .59391 L
.68541 .59285 L
.68502 .5923 L
.6838 .59074 L
.68377 .5907 L
.6826 .58909 L
.68219 .58857 L
.68143 .58749 L
.68059 .5864 L
.68023 .58588 L
.679 .58428 L
.67898 .58426 L
.67786 .58267 L
.67738 .58203 L
.67673 .58106 L
.67577 .57979 L
.67557 .57946 L
.67443 .57785 L
.67417 .57748 L
.67342 .57625 L
.67256 .57487 L
.67248 .57464 L
F
.114 .93 1 r
.67738 .76053 m
.67898 .76027 L
.68059 .76013 L
.68219 .76007 L
.6838 .76009 L
.68541 .76016 L
.68701 .76029 L
.68862 .76048 L
.69022 .76073 L
.69092 .76085 L
.69183 .76103 L
.69343 .76141 L
.69504 .76185 L
.69664 .76235 L
.69697 .76246 L
.69825 .76292 L
.69985 .76357 L
.70099 .76406 L
.70146 .76428 L
.70306 .76508 L
.70418 .76567 L
.70467 .76594 L
.70627 .76688 L
.7069 .76727 L
.70788 .7679 L
.7093 .76888 L
.70948 .76901 L
.71109 .7702 L
.71146 .77048 L
.71269 .77149 L
.71339 .77209 L
.7143 .7729 L
.71513 .77369 L
.7159 .77447 L
.71667 .7753 L
.71751 .77628 L
.71798 .7769 L
.719 .77851 L
.71912 .77874 L
.71962 .78011 L
.71958 .78172 L
.71912 .78254 L
.71814 .78332 L
.71751 .78367 L
.7159 .7842 L
.7143 .78449 L
.71269 .78466 L
.71109 .78476 L
.70948 .78481 L
.70788 .78481 L
.70627 .78477 L
.70467 .78468 L
.70306 .78455 L
.70146 .78437 L
.69985 .78413 L
.69825 .78384 L
.69664 .78349 L
.69598 .78332 L
.69504 .78307 L
.69343 .78256 L
.69183 .78198 L
.69118 .78172 L
.69022 .78131 L
.68862 .78055 L
.68778 .78011 L
.68701 .77969 L
.68541 .77874 L
.68504 .77851 L
.6838 .77769 L
.6827 .7769 L
.68219 .77653 L
.68064 .7753 L
.68059 .77525 L
.67898 .77385 L
.67882 .77369 L
.67738 .77228 L
.6772 .77209 L
.67578 .77048 L
.67577 .77048 L
.67457 .76888 L
.67417 .76831 L
.67361 .76727 L
.67298 .76567 L
.67281 .76406 L
.67346 .76246 L
.67417 .76169 L
.67577 .76096 L
.67616 .76085 L
F
.084 .92 1 r
.67898 .76084 m
.68059 .76064 L
.68219 .76054 L
.6838 .76053 L
.68541 .7606 L
.68701 .76072 L
.68816 .76085 L
.68862 .76092 L
.69022 .76117 L
.69183 .76149 L
.69343 .76188 L
.69504 .76233 L
.69546 .76246 L
.69664 .76285 L
.69825 .76344 L
.69975 .76406 L
.69985 .7641 L
.70146 .76485 L
.70306 .76566 L
.70308 .76567 L
.70467 .76655 L
.70588 .76727 L
.70627 .76752 L
.70788 .76857 L
.70833 .76888 L
.70948 .76971 L
.71051 .77048 L
.71109 .77094 L
.71247 .77209 L
.71269 .77229 L
.71421 .77369 L
.7143 .77378 L
.71574 .7753 L
.7159 .77548 L
.71702 .7769 L
.71751 .77751 L
.718 .77851 L
.71854 .78011 L
.71836 .78172 L
.71751 .78274 L
.71652 .78332 L
.7159 .78359 L
.7143 .78403 L
.71269 .78428 L
.71109 .78442 L
.70948 .78449 L
.70788 .7845 L
.70627 .78446 L
.70467 .78437 L
.70306 .78422 L
.70146 .78403 L
.69985 .78378 L
.69825 .78347 L
.69759 .78332 L
.69664 .78309 L
.69504 .78264 L
.69343 .7821 L
.69239 .78172 L
.69183 .78149 L
.69022 .78079 L
.68885 .78011 L
.68862 .77999 L
.68701 .7791 L
.68604 .77851 L
.68541 .77811 L
.6838 .77701 L
.68365 .7769 L
.68219 .7758 L
.68158 .7753 L
.68059 .77446 L
.67975 .77369 L
.67898 .77296 L
.67813 .77209 L
.67738 .77127 L
.67673 .77048 L
.67577 .76923 L
.67555 .76888 L
.67464 .76727 L
.67417 .76604 L
.67408 .76567 L
.67404 .76406 L
.67417 .76363 L
.67497 .76246 L
.67577 .76182 L
.67738 .76119 L
.67894 .76085 L
F
1 .8 .002 r
.67577 .80614 m
.67738 .80712 L
.67779 .8074 L
.67898 .80826 L
.67998 .80901 L
.68059 .80948 L
.68202 .81061 L
.68219 .81076 L
.6838 .81206 L
.68399 .81222 L
.68541 .81339 L
.68591 .81382 L
.68701 .81476 L
.68776 .81543 L
.68862 .81616 L
.68956 .81703 L
.69022 .81759 L
.69132 .81864 L
.69183 .81906 L
.69303 .82025 L
.69343 .82055 L
.6947 .82185 L
.69504 .82206 L
.69635 .82346 L
.69664 .82391 L
.69796 .82506 L
.69825 .82554 L
.69955 .82667 L
.69985 .82722 L
.7011 .82827 L
.70146 .82896 L
.70227 .82988 L
.70306 .8308 L
.70363 .83148 L
.70467 .83281 L
.70487 .83309 L
.7058 .83469 L
.70467 .83503 L
.70402 .83469 L
.70306 .8341 L
.70159 .83309 L
.70146 .83299 L
.69985 .83186 L
.69931 .83148 L
.69825 .83069 L
.69718 .82988 L
.69664 .82943 L
.69555 .82827 L
.69504 .8281 L
.69369 .82667 L
.69343 .82644 L
.69188 .82506 L
.69183 .82501 L
.69022 .82356 L
.6901 .82346 L
.68862 .82209 L
.68836 .82185 L
.68701 .82059 L
.68666 .82025 L
.68541 .81905 L
.685 .81864 L
.6838 .81748 L
.68337 .81703 L
.68219 .81587 L
.68179 .81543 L
.68059 .8142 L
.68027 .81382 L
.67898 .81245 L
.6788 .81222 L
.67741 .81061 L
.67738 .81058 L
.67608 .80901 L
.67577 .80861 L
.67491 .8074 L
F
.061 .91 1 r
.67738 .76196 m
.67898 .76143 L
.68059 .76116 L
.68219 .76102 L
.6838 .76098 L
.68541 .76103 L
.68701 .76115 L
.68862 .76134 L
.69022 .7616 L
.69183 .76193 L
.69343 .76233 L
.69391 .76246 L
.69504 .76279 L
.69664 .76333 L
.69825 .76394 L
.69856 .76406 L
.69985 .76462 L
.70146 .76538 L
.70203 .76567 L
.70306 .76621 L
.70467 .76712 L
.70492 .76727 L
.70627 .76812 L
.70742 .76888 L
.70788 .7692 L
.70948 .77037 L
.70963 .77048 L
.71109 .77166 L
.7116 .77209 L
.71269 .77307 L
.71334 .77369 L
.7143 .77467 L
.71486 .7753 L
.7159 .77658 L
.71612 .7769 L
.71706 .77851 L
.71751 .77997 L
.71753 .78011 L
.71751 .78081 L
.71718 .78172 L
.7159 .78285 L
.71482 .78332 L
.7143 .78349 L
.71269 .78385 L
.71109 .78405 L
.70948 .78414 L
.70788 .78417 L
.70627 .78414 L
.70467 .78404 L
.70306 .7839 L
.70146 .78369 L
.69985 .78343 L
.6993 .78332 L
.69825 .7831 L
.69664 .7827 L
.69504 .78222 L
.69357 .78172 L
.69343 .78167 L
.69183 .78102 L
.69022 .78029 L
.68987 .78011 L
.68862 .77946 L
.68701 .77853 L
.68697 .77851 L
.68541 .7775 L
.68455 .7769 L
.6838 .77635 L
.68245 .7753 L
.68219 .77509 L
.68061 .77369 L
.68059 .77367 L
.679 .77209 L
.67898 .77207 L
.67761 .77048 L
.67738 .7702 L
.67646 .76888 L
.67577 .76774 L
.6756 .76727 L
.67512 .76567 L
.67524 .76406 L
.67577 .76312 L
.67652 .76246 L
F
.045 .9 1 r
.67898 .76212 m
.68059 .76171 L
.68219 .76151 L
.6838 .76144 L
.68541 .76147 L
.68701 .76158 L
.68862 .76177 L
.69022 .76203 L
.69183 .76236 L
.69224 .76246 L
.69343 .76276 L
.69504 .76324 L
.69664 .76379 L
.69737 .76406 L
.69825 .76441 L
.69985 .76511 L
.70102 .76567 L
.70146 .76589 L
.70306 .76674 L
.70399 .76727 L
.70467 .76768 L
.70627 .7687 L
.70655 .76888 L
.70788 .76981 L
.70879 .77048 L
.70948 .77102 L
.71078 .77209 L
.71109 .77236 L
.71253 .77369 L
.71269 .77386 L
.71404 .7753 L
.7143 .77559 L
.71527 .7769 L
.7159 .7777 L
.71616 .77851 L
.71655 .78011 L
.71601 .78172 L
.7159 .78184 L
.7143 .78302 L
.71288 .78332 L
.71269 .78337 L
.71109 .78364 L
.70948 .78378 L
.70788 .78383 L
.70627 .78381 L
.70467 .78372 L
.70306 .78357 L
.70146 .78336 L
.70123 .78332 L
.69985 .78308 L
.69825 .78274 L
.69664 .78232 L
.69504 .78182 L
.69474 .78172 L
.69343 .78124 L
.69183 .78057 L
.69085 .78011 L
.69022 .7798 L
.68862 .77894 L
.68787 .77851 L
.68701 .77798 L
.68541 .77691 L
.6854 .7769 L
.6838 .77571 L
.68328 .7753 L
.68219 .77439 L
.68143 .77369 L
.68059 .77289 L
.67982 .77209 L
.67898 .77116 L
.67845 .77048 L
.67738 .76896 L
.67733 .76888 L
.67652 .76727 L
.67613 .76567 L
.67642 .76406 L
.67738 .76271 L
.67819 .76246 L
F
.033 .89 1 r
.68059 .76234 m
.68219 .76204 L
.6838 .76192 L
.68541 .76191 L
.68701 .76201 L
.68862 .76219 L
.69022 .76245 L
.69027 .76246 L
.69183 .76278 L
.69343 .76319 L
.69504 .76368 L
.69617 .76406 L
.69664 .76423 L
.69825 .76487 L
.69985 .76558 L
.70003 .76567 L
.70146 .76638 L
.70306 .76725 L
.7031 .76727 L
.70467 .76821 L
.70571 .76888 L
.70627 .76925 L
.70788 .7704 L
.70799 .77048 L
.70948 .77166 L
.70999 .77209 L
.71109 .77306 L
.71175 .77369 L
.71269 .77466 L
.71325 .7753 L
.7143 .77664 L
.71446 .7769 L
.7153 .77851 L
.71559 .78011 L
.71483 .78172 L
.7143 .78225 L
.71269 .78293 L
.71109 .78322 L
.71032 .78332 L
.70948 .7834 L
.70788 .78348 L
.70627 .78347 L
.70467 .78339 L
.70379 .78332 L
.70306 .78324 L
.70146 .78302 L
.69985 .78274 L
.69825 .78238 L
.69664 .78194 L
.69592 .78172 L
.69504 .78142 L
.69343 .78082 L
.69183 .78012 L
.69181 .78011 L
.69022 .77933 L
.68873 .77851 L
.68862 .77844 L
.68701 .77744 L
.68621 .7769 L
.68541 .77633 L
.68407 .7753 L
.6838 .77508 L
.68221 .77369 L
.68219 .77368 L
.6806 .77209 L
.68059 .77207 L
.67925 .77048 L
.67898 .77017 L
.67816 .76888 L
.67741 .76727 L
.67738 .76717 L
.67713 .76567 L
.67738 .7645 L
.67763 .76406 L
.67898 .76283 L
.68016 .76246 L
F
.024 .88 1 r
.6838 .76241 m
.68541 .76237 L
.68701 .76244 L
.68723 .76246 L
.68862 .76261 L
.69022 .76286 L
.69183 .7632 L
.69343 .76361 L
.69491 .76406 L
.69504 .7641 L
.69664 .76467 L
.69825 .76532 L
.69904 .76567 L
.69985 .76605 L
.70146 .76686 L
.70223 .76727 L
.70306 .76775 L
.70467 .76873 L
.7049 .76888 L
.70627 .7698 L
.70721 .77048 L
.70788 .77099 L
.70924 .77209 L
.70948 .7723 L
.711 .77369 L
.71109 .77378 L
.71249 .7753 L
.71269 .77551 L
.71367 .7769 L
.7143 .77809 L
.71446 .77851 L
.71464 .78011 L
.7143 .78099 L
.7136 .78172 L
.71269 .78231 L
.71109 .78279 L
.70948 .78302 L
.70788 .78312 L
.70627 .78313 L
.70467 .78306 L
.70306 .78291 L
.70146 .78269 L
.69985 .78239 L
.69825 .78202 L
.69715 .78172 L
.69664 .78157 L
.69504 .78103 L
.69343 .7804 L
.69276 .78011 L
.69183 .77969 L
.69022 .77887 L
.68958 .77851 L
.68862 .77794 L
.68701 .77691 L
.687 .7769 L
.68541 .77575 L
.68483 .7753 L
.6838 .77445 L
.68296 .77369 L
.68219 .77297 L
.68136 .77209 L
.68059 .77122 L
.68002 .77048 L
.67898 .7689 L
.67897 .76888 L
.67829 .76727 L
.67812 .76567 L
.67888 .76406 L
.67898 .76394 L
.68059 .76297 L
.68219 .76259 L
.68327 .76246 L
F
.018 .87 1 r
.68059 .76381 m
.68219 .76318 L
.6838 .76292 L
.68541 .76283 L
.68701 .76288 L
.68862 .76303 L
.69022 .76328 L
.69183 .76361 L
.69343 .76403 L
.69355 .76406 L
.69504 .76452 L
.69664 .7651 L
.69804 .76567 L
.69825 .76576 L
.69985 .7665 L
.70137 .76727 L
.70146 .76732 L
.70306 .76823 L
.70411 .76888 L
.70467 .76924 L
.70627 .77035 L
.70646 .77048 L
.70788 .77157 L
.7085 .77209 L
.70948 .77294 L
.71027 .77369 L
.71109 .77453 L
.71175 .7753 L
.71269 .77652 L
.7129 .7769 L
.71363 .77851 L
.71368 .78011 L
.71269 .78146 L
.71229 .78172 L
.71109 .78226 L
.70948 .7826 L
.70788 .78275 L
.70627 .78278 L
.70467 .78272 L
.70306 .78257 L
.70146 .78235 L
.69985 .78204 L
.69847 .78172 L
.69825 .78166 L
.69664 .7812 L
.69504 .78064 L
.69371 .78011 L
.69343 .77999 L
.69183 .77925 L
.6904 .77851 L
.69022 .77841 L
.68862 .77745 L
.68777 .7769 L
.68701 .77638 L
.68557 .7753 L
.68541 .77517 L
.6838 .7738 L
.68369 .77369 L
.68219 .7722 L
.68209 .77209 L
.68078 .77048 L
.68059 .77029 L
.67977 .76888 L
.67915 .76727 L
.67912 .76567 L
.68024 .76406 L
F
1 1 1 r
.68059 .65271 m
.68164 .6533 L
.68219 .65366 L
.68358 .65491 L
.6838 .65514 L
.68508 .65651 L
.68541 .65692 L
.68657 .65812 L
.68701 .65887 L
.6877 .65972 L
.68862 .6609 L
.68885 .66133 L
.69022 .66288 L
.6903 .66293 L
.69169 .66454 L
.69183 .66489 L
.69275 .66614 L
.69343 .66705 L
.69381 .66775 L
.69504 .66923 L
.69514 .66935 L
.69629 .67096 L
.69664 .67147 L
.69752 .67256 L
.69825 .67368 L
.69842 .67417 L
.69931 .67577 L
.69825 .67733 L
.69664 .676 L
.6964 .67577 L
.69504 .67431 L
.6948 .67417 L
.69353 .67256 L
.69343 .67246 L
.69223 .67096 L
.69183 .67074 L
.69095 .66935 L
.69022 .66861 L
.68921 .66775 L
.68862 .66646 L
.68832 .66614 L
.68716 .66454 L
.68701 .66435 L
.68595 .66293 L
.68541 .66224 L
.68473 .66133 L
.6838 .66036 L
.68332 .65972 L
.68231 .65812 L
.68219 .65796 L
.68119 .65651 L
.68059 .65564 L
.68013 .65491 L
.67945 .6533 L
F
.013 .86 1 r
.68219 .76389 m
.6838 .76347 L
.68541 .76332 L
.68701 .76333 L
.68862 .76346 L
.69022 .7637 L
.69183 .76403 L
.69198 .76406 L
.69343 .76444 L
.69504 .76494 L
.69664 .76552 L
.697 .76567 L
.69825 .76619 L
.69985 .76694 L
.7005 .76727 L
.70146 .76778 L
.70306 .76872 L
.70332 .76888 L
.70467 .76975 L
.70572 .77048 L
.70627 .77089 L
.70778 .77209 L
.70788 .77217 L
.70948 .77362 L
.70955 .77369 L
.71102 .7753 L
.71109 .77535 L
.71215 .7769 L
.71269 .77811 L
.71281 .77851 L
.71271 .78011 L
.71269 .78015 L
.71109 .78159 L
.71079 .78172 L
.70948 .78211 L
.70788 .78234 L
.70627 .78241 L
.70467 .78236 L
.70306 .78223 L
.70146 .782 L
.69997 .78172 L
.69985 .78169 L
.69825 .7813 L
.69664 .78082 L
.69504 .78025 L
.69468 .78011 L
.69343 .77959 L
.69183 .77882 L
.69123 .77851 L
.69022 .77795 L
.68862 .77696 L
.68853 .7769 L
.68701 .77585 L
.68629 .7753 L
.68541 .77458 L
.6844 .77369 L
.6838 .77313 L
.68281 .77209 L
.68219 .7714 L
.68152 .77048 L
.68059 .76897 L
.68055 .76888 L
.68002 .76727 L
.68015 .76567 L
.68059 .76496 L
.68181 .76406 L
F
.01 .85 1 r
.68541 .76385 m
.68701 .76381 L
.68862 .76391 L
.69002 .76406 L
.69022 .76413 L
.69183 .76444 L
.69343 .76485 L
.69504 .76536 L
.69591 .76567 L
.69664 .76595 L
.69825 .76662 L
.69962 .76727 L
.69985 .76739 L
.70146 .76824 L
.70254 .76888 L
.70306 .7692 L
.70467 .77026 L
.70499 .77048 L
.70627 .77144 L
.70708 .77209 L
.70788 .77277 L
.70885 .77369 L
.70948 .77432 L
.71031 .7753 L
.71109 .77624 L
.71139 .7769 L
.71198 .77851 L
.7117 .78011 L
.71109 .78078 L
.70948 .78163 L
.70891 .78172 L
.70788 .78189 L
.70627 .78201 L
.70467 .78199 L
.70306 .78187 L
.70184 .78172 L
.70146 .78165 L
.69985 .78134 L
.69825 .78094 L
.69664 .78045 L
.69569 .78011 L
.69504 .77986 L
.69343 .77918 L
.69206 .77851 L
.69183 .77839 L
.69022 .77749 L
.68928 .7769 L
.68862 .77647 L
.68701 .7753 L
.68701 .7753 L
.68541 .77397 L
.68511 .77369 L
.6838 .7724 L
.68352 .77209 L
.68225 .77048 L
.68219 .7704 L
.68133 .76888 L
.68089 .76727 L
.68124 .76567 L
.68219 .76453 L
.6838 .76409 L
.68398 .76406 L
F
.007 .84 1 r
.6838 .76472 m
.68541 .76438 L
.68701 .76429 L
.68862 .76436 L
.69022 .76455 L
.69183 .76486 L
.69343 .76527 L
.69472 .76567 L
.69504 .76578 L
.69664 .76637 L
.69825 .76705 L
.69872 .76727 L
.69985 .76783 L
.70146 .76871 L
.70175 .76888 L
.70306 .76968 L
.70426 .77048 L
.70467 .77077 L
.70627 .77201 L
.70637 .77209 L
.70788 .77342 L
.70815 .77369 L
.70948 .77515 L
.70959 .7753 L
.71064 .7769 L
.71109 .77818 L
.71113 .77851 L
.71109 .77917 L
.71062 .78011 L
.70948 .78111 L
.70788 .78146 L
.70627 .7816 L
.70467 .78161 L
.70306 .7815 L
.70146 .78129 L
.69985 .78098 L
.69825 .78057 L
.69677 .78011 L
.69664 .78007 L
.69504 .77947 L
.69343 .77877 L
.6929 .77851 L
.69183 .77795 L
.69022 .77702 L
.69004 .7769 L
.68862 .77596 L
.68772 .7753 L
.68701 .77475 L
.6858 .77369 L
.68541 .77333 L
.68422 .77209 L
.6838 .77165 L
.68298 .77048 L
.68219 .76905 L
.68212 .76888 L
.6818 .76727 L
.68219 .76598 L
.68244 .76567 L
F
.733 .99 1 r
.68219 .59955 m
.68284 .60033 L
.6838 .60141 L
.68423 .60193 L
.68541 .60334 L
.68557 .60354 L
.68541 .60514 L
.68429 .60354 L
.6838 .60291 L
.68316 .60193 L
.68219 .60068 L
.68198 .60033 L
F
.005 .83 1 r
.68541 .765 m
.68701 .76481 L
.68862 .76483 L
.69022 .765 L
.69183 .7653 L
.69333 .76567 L
.69343 .7657 L
.69504 .7662 L
.69664 .76679 L
.69777 .76727 L
.69825 .76749 L
.69985 .76828 L
.70095 .76888 L
.70146 .76917 L
.70306 .77017 L
.70352 .77048 L
.70467 .7713 L
.70567 .77209 L
.70627 .77258 L
.70745 .77369 L
.70788 .77408 L
.70888 .7753 L
.70948 .77618 L
.70988 .7769 L
.71026 .77851 L
.70948 .78006 L
.70942 .78011 L
.70788 .78093 L
.70627 .78118 L
.70467 .78122 L
.70306 .78113 L
.70146 .78092 L
.69985 .78061 L
.69825 .78019 L
.69797 .78011 L
.69664 .77969 L
.69504 .77907 L
.69377 .77851 L
.69343 .77835 L
.69183 .77751 L
.6908 .7769 L
.69022 .77655 L
.68862 .77543 L
.68844 .7753 L
.68701 .77415 L
.6865 .77369 L
.68541 .77263 L
.68493 .77209 L
.6838 .77063 L
.68372 .77048 L
.68293 .76888 L
.68274 .76727 L
.6838 .76569 L
.68383 .76567 L
F
.004 .82 1 r
.68701 .76539 m
.68862 .76534 L
.69022 .76547 L
.69166 .76567 L
.69183 .76574 L
.69343 .76613 L
.69504 .76662 L
.69664 .76723 L
.69675 .76727 L
.69825 .76792 L
.69985 .76873 L
.70012 .76888 L
.70146 .76964 L
.70277 .77048 L
.70306 .77068 L
.70467 .77186 L
.70495 .77209 L
.70627 .77322 L
.70675 .77369 L
.70788 .7749 L
.70816 .7753 L
.7091 .7769 L
.70935 .77851 L
.708 .78011 L
.70788 .78018 L
.70627 .78066 L
.70467 .78078 L
.70306 .78072 L
.70146 .78053 L
.69985 .78022 L
.69938 .78011 L
.69825 .77981 L
.69664 .77929 L
.69504 .77866 L
.69469 .77851 L
.69343 .77792 L
.69183 .77705 L
.69158 .7769 L
.69022 .77606 L
.68916 .7753 L
.68862 .7749 L
.68721 .77369 L
.68701 .77353 L
.68564 .77209 L
.68541 .77193 L
.68446 .77048 L
.6838 .76903 L
.68376 .76888 L
.68377 .76727 L
.6838 .76719 L
.68541 .76577 L
.68571 .76567 L
F
.003 .81 1 r
.68541 .76674 m
.68701 .76596 L
.68862 .76586 L
.69022 .76595 L
.69183 .76619 L
.69343 .76657 L
.69504 .76707 L
.69562 .76727 L
.69664 .76766 L
.69825 .76838 L
.69925 .76888 L
.69985 .76919 L
.70146 .77013 L
.702 .77048 L
.70306 .77119 L
.70423 .77209 L
.70467 .77242 L
.70603 .77369 L
.70627 .77385 L
.70742 .7753 L
.70788 .77602 L
.70829 .7769 L
.70836 .77851 L
.70788 .77923 L
.70627 .78003 L
.70593 .78011 L
.70467 .78028 L
.70306 .78028 L
.70147 .78011 L
.70146 .78011 L
.69985 .77983 L
.69825 .77942 L
.69664 .77889 L
.69567 .77851 L
.69504 .77824 L
.69343 .77748 L
.69238 .7769 L
.69183 .77659 L
.69022 .77553 L
.6899 .7753 L
.68862 .77431 L
.68792 .77369 L
.68701 .77285 L
.68637 .77209 L
.68541 .77088 L
.68524 .77048 L
.68462 .76888 L
.6849 .76727 L
F
.002 .8 1 r
.68701 .76676 m
.68862 .76644 L
.69022 .76647 L
.69183 .76668 L
.69343 .76704 L
.69428 .76727 L
.69504 .76752 L
.69664 .76812 L
.69825 .76885 L
.69831 .76888 L
.69985 .76967 L
.7012 .77048 L
.70146 .77064 L
.70306 .77176 L
.70348 .77209 L
.70467 .77306 L
.70529 .77369 L
.70627 .77465 L
.70665 .7753 L
.70744 .7769 L
.70726 .77851 L
.70627 .7793 L
.70467 .77986 L
.70306 .77985 L
.70146 .77971 L
.69985 .77942 L
.69825 .779 L
.69678 .77851 L
.69664 .77846 L
.69504 .77781 L
.69343 .77701 L
.69324 .7769 L
.69183 .77609 L
.69066 .7753 L
.69022 .775 L
.68866 .77369 L
.68862 .77366 L
.68712 .77209 L
.68701 .77195 L
.68603 .77048 L
.68556 .76888 L
.68624 .76727 L
F
.001 .79 1 r
.68862 .7672 m
.69022 .76707 L
.69183 .76722 L
.69216 .76727 L
.69343 .76752 L
.69504 .76799 L
.69664 .7686 L
.69728 .76888 L
.69825 .76932 L
.69985 .77018 L
.70035 .77048 L
.70146 .77117 L
.7027 .77209 L
.70306 .77233 L
.70453 .77369 L
.70467 .77384 L
.70585 .7753 L
.70627 .77608 L
.70652 .7769 L
.70627 .77812 L
.70596 .77851 L
.70467 .77923 L
.70306 .77935 L
.70146 .77924 L
.69985 .77896 L
.69825 .77855 L
.69812 .77851 L
.69664 .77803 L
.69504 .77734 L
.69415 .7769 L
.69343 .77654 L
.69183 .77555 L
.69146 .7753 L
.69022 .77441 L
.68943 .77369 L
.68862 .77303 L
.6879 .77209 L
.68701 .77074 L
.68689 .77048 L
.6866 .76888 L
.68701 .76803 L
.68822 .76727 L
F
.733 .99 1 r
.68701 .60532 m
.68814 .60675 L
.68862 .60732 L
.68943 .60835 L
.69022 .60933 L
.69072 .60996 L
.69183 .61137 L
.69198 .61156 L
.69321 .61317 L
.69343 .61344 L
.69445 .61477 L
.69504 .61552 L
.69569 .61638 L
.69664 .61761 L
.69693 .61799 L
.69813 .61959 L
.69825 .61974 L
.69931 .6212 L
.69985 .6219 L
.7005 .6228 L
.70146 .62407 L
.7017 .62441 L
.70146 .62568 L
.70047 .62441 L
.69985 .62371 L
.69917 .6228 L
.69825 .62173 L
.69786 .6212 L
.69664 .61974 L
.69654 .61959 L
.69528 .61799 L
.69504 .61769 L
.69407 .61638 L
.69343 .61562 L
.69282 .61477 L
.69183 .61356 L
.69155 .61317 L
.69027 .61156 L
.69022 .6115 L
.6891 .60996 L
.68862 .60936 L
.68791 .60835 L
.68701 .60724 L
.68667 .60675 L
F
.001 .78 1 r
.68862 .76815 m
.69022 .76757 L
.69183 .76773 L
.69343 .76804 L
.69504 .76851 L
.69608 .76888 L
.69664 .7691 L
.69825 .76983 L
.69943 .77048 L
.69985 .77071 L
.70146 .77177 L
.70187 .77209 L
.70306 .77299 L
.70372 .77369 L
.70467 .77481 L
.70499 .7753 L
.70551 .7769 L
.70467 .7782 L
.7039 .77851 L
.70306 .77868 L
.70146 .77869 L
.70013 .77851 L
.69985 .77847 L
.69825 .77811 L
.69664 .77755 L
.69517 .7769 L
.69504 .77685 L
.69343 .77602 L
.69232 .7753 L
.69183 .77501 L
.69024 .77369 L
.69022 .77367 L
.68873 .77209 L
.68862 .77193 L
.68781 .77048 L
.6878 .76888 L
F
.001 .77 1 r
.69022 .7685 m
.69183 .76841 L
.69343 .76865 L
.69433 .76888 L
.69504 .76904 L
.69664 .76963 L
.69825 .77042 L
.69837 .77048 L
.69985 .77128 L
.70097 .77209 L
.70146 .77227 L
.70284 .77369 L
.70306 .77394 L
.70406 .7753 L
.70432 .7769 L
.70306 .77786 L
.70146 .77806 L
.69985 .77802 L
.69825 .77759 L
.69664 .77701 L
.69639 .7769 L
.69504 .77635 L
.69343 .7754 L
.69327 .7753 L
.69183 .77436 L
.69112 .77369 L
.69022 .7728 L
.68963 .77209 L
.68885 .77048 L
.68932 .76888 L
F
.001 .76 1 r
.69022 .77026 m
.69183 .76931 L
.69343 .76908 L
.69504 .76962 L
.69664 .77028 L
.6971 .77048 L
.69825 .77092 L
.69985 .77204 L
.69992 .77209 L
.70146 .77315 L
.70185 .77369 L
.70296 .7753 L
.70255 .7769 L
.70146 .77727 L
.69985 .77732 L
.69825 .77694 L
.6981 .7769 L
.69664 .77655 L
.69504 .77571 L
.69435 .7753 L
.69343 .77496 L
.6921 .77369 L
.69183 .77342 L
.69065 .77209 L
.69022 .77111 L
.69016 .77048 L
F
1 .96 .289 r
.69183 .71691 m
.69343 .71667 L
.69504 .71695 L
.69664 .71746 L
.6968 .71751 L
.69825 .71809 L
.69985 .71884 L
.70043 .71912 L
.70146 .71965 L
.70306 .72052 L
.70343 .72072 L
.70467 .72143 L
.70618 .72233 L
.70627 .72238 L
.70788 .72337 L
.70877 .72393 L
.70948 .72439 L
.71109 .72543 L
.71125 .72554 L
.71269 .72649 L
.71366 .72714 L
.7143 .72758 L
.7159 .72868 L
.716 .72875 L
.71751 .7298 L
.71829 .73035 L
.71912 .73094 L
.72054 .73196 L
.72072 .73209 L
.72233 .73325 L
.72275 .73356 L
.72393 .73443 L
.72493 .73517 L
.72554 .73562 L
.72708 .73677 L
.72714 .73682 L
.72875 .73803 L
.72921 .73838 L
.73035 .73925 L
.73131 .73998 L
.73196 .74048 L
.7334 .74159 L
.73356 .74172 L
.73517 .74297 L
.73546 .74319 L
.73677 .74422 L
.73751 .7448 L
.73838 .74549 L
.73954 .7464 L
.73998 .74676 L
.74155 .74801 L
.74159 .74804 L
.74319 .74933 L
.74355 .74961 L
.7448 .75062 L
.74554 .75122 L
.7464 .75192 L
.74751 .75283 L
.74801 .75323 L
.74948 .75443 L
.74961 .75454 L
.75122 .75586 L
.75143 .75604 L
.75283 .75719 L
.75337 .75764 L
.75443 .75852 L
.7553 .75925 L
.75604 .75986 L
.75722 .76085 L
.75764 .7612 L
.75913 .76246 L
.75925 .76255 L
.76085 .76391 L
.76103 .76406 L
.76246 .76527 L
.76293 .76567 L
.76406 .76663 L
.76481 .76727 L
.76567 .768 L
.76669 .76888 L
.76727 .76938 L
.76856 .77048 L
.76888 .77076 L
.77042 .77209 L
.77048 .77214 L
.77209 .77353 L
.77227 .77369 L
.77369 .77493 L
.77412 .7753 L
.7753 .77633 L
.77596 .7769 L
.7769 .77774 L
.77779 .77851 L
.77851 .77914 L
.77961 .78011 L
.78011 .78056 L
.78143 .78172 L
.78172 .78197 L
.78325 .78332 L
.78332 .7834 L
.78493 .78482 L
.78505 .78493 L
.78654 .78626 L
.78685 .78654 L
.78814 .78769 L
.78864 .78814 L
.78975 .78913 L
.79043 .78975 L
.79135 .79058 L
.79221 .79135 L
.79296 .79203 L
.79399 .79296 L
.79456 .79348 L
.79576 .79456 L
.79617 .79494 L
.79752 .79617 L
.79777 .7964 L
.79928 .79777 L
.79938 .79786 L
.80098 .79933 L
.80103 .79938 L
.80259 .80081 L
.80278 .80098 L
.80419 .80229 L
.80452 .80259 L
.8058 .80377 L
.80625 .80419 L
.8074 .80526 L
.80798 .8058 L
.80901 .80675 L
.80971 .8074 L
.81061 .80825 L
.81143 .80901 L
.81222 .80975 L
.81314 .81061 L
.81382 .81125 L
.81485 .81222 L
.81543 .81276 L
.81656 .81382 L
.81703 .81427 L
.81826 .81543 L
.81864 .81579 L
.81995 .81703 L
.82025 .81731 L
.82164 .81864 L
.82185 .81884 L
.82332 .82025 L
.82346 .82037 L
.825 .82185 L
.82506 .82191 L
.82667 .82345 L
.82668 .82346 L
.82827 .82499 L
.82834 .82506 L
.82988 .82654 L
.83001 .82667 L
.83148 .8281 L
.83166 .82827 L
.83309 .82966 L
.83331 .82988 L
.83469 .83122 L
.83496 .83148 L
.8363 .83279 L
.8366 .83309 L
.8379 .83436 L
.83824 .83469 L
.83951 .83594 L
.83987 .8363 L
.84111 .83753 L
.84149 .8379 L
.84272 .83911 L
.84311 .83951 L
.84432 .84071 L
.84473 .84111 L
.84593 .84231 L
.84634 .84272 L
.84753 .84391 L
.84794 .84432 L
.84914 .84553 L
.84954 .84593 L
.85074 .84714 L
.85113 .84753 L
.85235 .84877 L
.85272 .84914 L
.85396 .85039 L
.8543 .85074 L
.85556 .85203 L
.85587 .85235 L
.85717 .85367 L
.85744 .85396 L
.85877 .85532 L
.85901 .85556 L
.86038 .85697 L
.86056 .85717 L
.86198 .85863 L
.86211 .85877 L
.86359 .8603 L
.86366 .86038 L
.86519 .86198 L
.86519 .86198 L
.86672 .86359 L
.8668 .86366 L
.86825 .86519 L
.8684 .86536 L
.86976 .8668 L
.87001 .86706 L
.87127 .8684 L
.87161 .86877 L
.87277 .87001 L
.87322 .87049 L
.87427 .87161 L
.87482 .87221 L
.87575 .87322 L
.87643 .87395 L
.87723 .87482 L
.87803 .8757 L
.8787 .87643 L
.87964 .87746 L
.88016 .87803 L
.88124 .87923 L
.88161 .87964 L
.88285 .88102 L
.88305 .88124 L
.88445 .88281 L
.88449 .88285 L
.88591 .88445 L
.88606 .88462 L
.88732 .88606 L
.88767 .88645 L
.88872 .88767 L
.88927 .8883 L
.89011 .88927 L
.89088 .89016 L
.89149 .89088 L
.89248 .89204 L
.89285 .89248 L
.89409 .89395 L
.8942 .89409 L
.89554 .89569 L
.89569 .89588 L
.89685 .8973 L
.8973 .89784 L
.89816 .8989 L
.8989 .89983 L
.89944 .90051 L
.90051 .90186 L
.9007 .90211 L
.90195 .90372 L
.90211 .90394 L
.90316 .90532 L
.90372 .90607 L
.90435 .90693 L
.90532 .90827 L
.90551 .90853 L
.90664 .91014 L
.90693 .91056 L
.90772 .91174 L
.90853 .91299 L
.90875 .91335 L
.90973 .91495 L
.91014 .91563 L
.91064 .91656 L
.91145 .91816 L
.91174 .91858 L
.91212 .91977 L
.91259 .92138 L
.91266 .92298 L
.91174 .92408 L
.91014 .92433 L
.90853 .92403 L
.90693 .9235 L
.90555 .92298 L
.90532 .92285 L
.90372 .9221 L
.90228 .92138 L
.90211 .92128 L
.90051 .92041 L
.89938 .91977 L
.8989 .91949 L
.8973 .91853 L
.8967 .91816 L
.89569 .91754 L
.89415 .91656 L
.89409 .91652 L
.89248 .91548 L
.89169 .91495 L
.89088 .91441 L
.88931 .91335 L
.88927 .91332 L
.88767 .91222 L
.88698 .91174 L
.88606 .9111 L
.88471 .91014 L
.88445 .90996 L
.88285 .9088 L
.88247 .90853 L
.88124 .90764 L
.88028 .90693 L
.87964 .90646 L
.87811 .90532 L
.87803 .90527 L
.87643 .90406 L
.87597 .90372 L
.87482 .90285 L
.87386 .90211 L
.87322 .90162 L
.87177 .90051 L
.87161 .90039 L
.87001 .89914 L
.8697 .8989 L
.8684 .89789 L
.86765 .8973 L
.8668 .89662 L
.86562 .89569 L
.86519 .89535 L
.8636 .89409 L
.86359 .89407 L
.86198 .89279 L
.8616 .89248 L
.86038 .89149 L
.85961 .89088 L
.85877 .89019 L
.85763 .88927 L
.85717 .88889 L
.85566 .88767 L
.85556 .88758 L
.85396 .88627 L
.8537 .88606 L
.85235 .88495 L
.85175 .88445 L
.85074 .88362 L
.84981 .88285 L
.84914 .8823 L
.84787 .88124 L
.84753 .88097 L
.84593 .87964 L
.84593 .87964 L
.84432 .87831 L
.844 .87803 L
.84272 .87697 L
.84207 .87643 L
.84111 .87563 L
.84014 .87482 L
.83951 .87429 L
.83822 .87322 L
.8379 .87295 L
.8363 .87161 L
.8363 .87161 L
.83469 .87026 L
.83439 .87001 L
.83309 .86891 L
.83249 .8684 L
.83148 .86755 L
.83059 .8668 L
.82988 .86619 L
.8287 .86519 L
.82827 .86483 L
.82682 .86359 L
.82667 .86345 L
.82506 .86206 L
.82497 .86198 L
.82346 .86066 L
.82314 .86038 L
.82185 .85924 L
.82132 .85877 L
.82025 .8578 L
.81953 .85717 L
.81864 .85636 L
.81775 .85556 L
.81703 .8549 L
.816 .85396 L
.81543 .85342 L
.81427 .85235 L
.81382 .85193 L
.81256 .85074 L
.81222 .85042 L
.81086 .84914 L
.81061 .8489 L
.80917 .84753 L
.80901 .84738 L
.80749 .84593 L
.8074 .84584 L
.80582 .84432 L
.8058 .84431 L
.80419 .84277 L
.80414 .84272 L
.80259 .84123 L
.80247 .84111 L
.80098 .83969 L
.80079 .83951 L
.79938 .83816 L
.79911 .8379 L
.79777 .83663 L
.79742 .8363 L
.79617 .83511 L
.79572 .83469 L
.79456 .83359 L
.79402 .83309 L
.79296 .83209 L
.79231 .83148 L
.79135 .83059 L
.79059 .82988 L
.78975 .82909 L
.78886 .82827 L
.78814 .82761 L
.78712 .82667 L
.78654 .82613 L
.78538 .82506 L
.78493 .82465 L
.78362 .82346 L
.78332 .82319 L
.78185 .82185 L
.78172 .82173 L
.78011 .82028 L
.78008 .82025 L
.77851 .81883 L
.7783 .81864 L
.7769 .81739 L
.77652 .81703 L
.7753 .81595 L
.77473 .81543 L
.77369 .81451 L
.77294 .81382 L
.77209 .81306 L
.77116 .81222 L
.77048 .81161 L
.76939 .81061 L
.76888 .81016 L
.76763 .80901 L
.76727 .80868 L
.7659 .8074 L
.76567 .80719 L
.76419 .8058 L
.76406 .80568 L
.76253 .80419 L
.76246 .80413 L
.7609 .80259 L
.76085 .80254 L
.75931 .80098 L
.75925 .80091 L
.75776 .79938 L
.75764 .79925 L
.75624 .79777 L
.75604 .79755 L
.75474 .79617 L
.75443 .79583 L
.75325 .79456 L
.75283 .7941 L
.75176 .79296 L
.75122 .79236 L
.75028 .79135 L
.74961 .79062 L
.74879 .78975 L
.74801 .78889 L
.7473 .78814 L
.7464 .78716 L
.74581 .78654 L
.7448 .78544 L
.74432 .78493 L
.74319 .78372 L
.74282 .78332 L
.74159 .78201 L
.74131 .78172 L
.73998 .7803 L
.7398 .78011 L
.73838 .7786 L
.73829 .77851 L
.73678 .7769 L
.73677 .7769 L
.73526 .7753 L
.73517 .7752 L
.73374 .77369 L
.73356 .7735 L
.73222 .77209 L
.73196 .77181 L
.73071 .77048 L
.73035 .77011 L
.72919 .76888 L
.72875 .7684 L
.72769 .76727 L
.72714 .76669 L
.72618 .76567 L
.72554 .76498 L
.72469 .76406 L
.72393 .76325 L
.7232 .76246 L
.72233 .76151 L
.72172 .76085 L
.72072 .75976 L
.72026 .75925 L
.71912 .75799 L
.71881 .75764 L
.71751 .7562 L
.71737 .75604 L
.71594 .75443 L
.7159 .75439 L
.71453 .75283 L
.7143 .75256 L
.71314 .75122 L
.71269 .7507 L
.71177 .74961 L
.71109 .74882 L
.7104 .74801 L
.70948 .74691 L
.70906 .7464 L
.70788 .74498 L
.70773 .7448 L
.70642 .74319 L
.70627 .74301 L
.70513 .74159 L
.70467 .741 L
.70386 .73998 L
.70306 .73896 L
.70261 .73838 L
.70146 .73687 L
.70138 .73677 L
.70018 .73517 L
.69985 .73472 L
.69901 .73356 L
.69825 .73251 L
.69786 .73196 L
.69675 .73035 L
.69664 .73019 L
.69569 .72875 L
.69504 .72774 L
.69467 .72714 L
.69372 .72554 L
.69343 .72506 L
.69284 .72393 L
.69207 .72233 L
.69183 .72172 L
.69146 .72072 L
.69109 .71912 L
.6913 .71751 L
F
0 .75 1 r
.69343 .77016 m
.69493 .77048 L
.69504 .77051 L
.69664 .77105 L
.69825 .77178 L
.69867 .77209 L
.69985 .77296 L
.70069 .77369 L
.70146 .77499 L
.70152 .7753 L
.70146 .77565 L
.69985 .77638 L
.69825 .77618 L
.69664 .77578 L
.69565 .7753 L
.69504 .77489 L
.69343 .77384 L
.69331 .77369 L
.6919 .77209 L
.69231 .77048 L
F
0 .74 1 r
.69504 .77176 m
.69647 .77209 L
.69664 .77216 L
.69825 .77309 L
.69888 .77369 L
.69825 .77498 L
.69664 .77458 L
.69508 .77369 L
.69504 .77366 L
.69413 .77209 L
F
1 .96 .289 r
.70467 .78806 m
.70627 .78797 L
.70788 .78791 L
.70948 .78787 L
.71109 .78785 L
.71269 .78785 L
.7143 .78787 L
.7159 .78791 L
.71751 .78797 L
.71912 .78805 L
.72058 .78814 L
.72072 .78815 L
.72233 .78829 L
.72393 .78846 L
.72554 .78868 L
.72714 .78894 L
.72875 .78926 L
.73035 .78962 L
.73089 .78975 L
.73196 .79005 L
.73356 .79057 L
.73517 .79114 L
.73574 .79135 L
.73677 .79179 L
.73838 .79252 L
.73933 .79296 L
.73998 .79329 L
.74159 .79417 L
.74232 .79456 L
.74319 .79508 L
.7448 .79607 L
.74496 .79617 L
.7464 .79715 L
.74732 .79777 L
.74801 .79827 L
.74952 .79938 L
.74961 .79945 L
.75122 .80079 L
.75144 .80098 L
.75283 .80221 L
.75321 .80259 L
.75443 .80376 L
.75482 .80419 L
.75604 .8055 L
.75625 .8058 L
.75751 .8074 L
.75764 .80759 L
.75843 .80901 L
.75909 .81061 L
.75925 .81133 L
.75926 .81222 L
.75925 .81235 L
.75856 .81382 L
.75764 .81457 L
.75604 .81534 L
.75545 .81543 L
.75443 .81568 L
.75283 .81595 L
.75122 .81612 L
.74961 .81624 L
.74801 .81633 L
.7464 .81639 L
.7448 .81643 L
.74319 .81645 L
.74159 .81645 L
.73998 .81644 L
.73838 .81642 L
.73677 .81637 L
.73517 .81631 L
.73356 .81623 L
.73196 .81613 L
.73035 .81599 L
.72875 .81582 L
.72714 .81562 L
.72586 .81543 L
.72554 .81537 L
.72393 .81505 L
.72233 .81467 L
.72072 .81422 L
.71939 .81382 L
.71912 .81373 L
.71751 .81312 L
.7159 .81245 L
.71534 .81222 L
.7143 .81171 L
.71269 .81089 L
.71216 .81061 L
.71109 .81 L
.70948 .80905 L
.70942 .80901 L
.70788 .80796 L
.70704 .8074 L
.70627 .80685 L
.70485 .8058 L
.70467 .80565 L
.70306 .8043 L
.70294 .80419 L
.70146 .80283 L
.70121 .80259 L
.69985 .80123 L
.69963 .80098 L
.69825 .79943 L
.69821 .79938 L
.69701 .79777 L
.69664 .79723 L
.69605 .79617 L
.6953 .79456 L
.69504 .79367 L
.69494 .79296 L
.69504 .79172 L
.69516 .79135 L
.69664 .78976 L
.69666 .78975 L
.69825 .78899 L
.69985 .7886 L
.70146 .78836 L
.70306 .78819 L
.70361 .78814 L
F
1 .95 .212 r
.69985 .78936 m
.70146 .78891 L
.70306 .78863 L
.70467 .78845 L
.70627 .78832 L
.70788 .78823 L
.70948 .78817 L
.71109 .78815 L
.71269 .78814 L
.7143 .78816 L
.7159 .78821 L
.71751 .78828 L
.71912 .78838 L
.72072 .78851 L
.72233 .78867 L
.72393 .78888 L
.72554 .78914 L
.72714 .78944 L
.72856 .78975 L
.72875 .78979 L
.73035 .79023 L
.73196 .79073 L
.73356 .79129 L
.73374 .79135 L
.73517 .79194 L
.73677 .79266 L
.73742 .79296 L
.73838 .79344 L
.73998 .79431 L
.74045 .79456 L
.74159 .79525 L
.74308 .79617 L
.74319 .79624 L
.7448 .79734 L
.74542 .79777 L
.7464 .7985 L
.74756 .79938 L
.74801 .79973 L
.74952 .80098 L
.74961 .80106 L
.75122 .80252 L
.75129 .80259 L
.75283 .80411 L
.7529 .80419 L
.75433 .8058 L
.75443 .80592 L
.75554 .8074 L
.75604 .80811 L
.75652 .80901 L
.75717 .81061 L
.75731 .81222 L
.75647 .81382 L
.75604 .8143 L
.75443 .81509 L
.75283 .81541 L
.75271 .81543 L
.75122 .8157 L
.74961 .81589 L
.74801 .81602 L
.7464 .81611 L
.7448 .81616 L
.74319 .81619 L
.74159 .81621 L
.73998 .8162 L
.73838 .81617 L
.73677 .81611 L
.73517 .81604 L
.73356 .81594 L
.73196 .81581 L
.73035 .81565 L
.72875 .81545 L
.7286 .81543 L
.72714 .81519 L
.72554 .81488 L
.72393 .81451 L
.72233 .81407 L
.72148 .81382 L
.72072 .81357 L
.71912 .81297 L
.71751 .81232 L
.71728 .81222 L
.7159 .81156 L
.7143 .81074 L
.71406 .81061 L
.71269 .80982 L
.71134 .80901 L
.71109 .80884 L
.70948 .80776 L
.70897 .8074 L
.70788 .8066 L
.70683 .8058 L
.70627 .80535 L
.70489 .80419 L
.70467 .804 L
.70313 .80259 L
.70306 .80252 L
.70155 .80098 L
.70146 .80088 L
.70015 .79938 L
.69985 .79902 L
.69893 .79777 L
.69825 .79676 L
.69792 .79617 L
.69718 .79456 L
.69684 .79296 L
.69718 .79135 L
.69825 .79018 L
.69899 .78975 L
F
1 .94 .156 r
.70146 .78959 m
.70306 .78914 L
.70467 .78886 L
.70627 .78868 L
.70788 .78856 L
.70948 .78848 L
.71109 .78844 L
.71269 .78843 L
.7143 .78845 L
.7159 .7885 L
.71751 .78858 L
.71912 .7887 L
.72072 .78885 L
.72233 .78904 L
.72393 .78927 L
.72554 .78955 L
.7265 .78975 L
.72714 .78989 L
.72875 .7903 L
.73035 .79078 L
.73196 .79131 L
.73208 .79135 L
.73356 .79193 L
.73517 .79262 L
.73591 .79296 L
.73677 .79338 L
.73838 .79423 L
.739 .79456 L
.73998 .79514 L
.74159 .79612 L
.74166 .79617 L
.74319 .7972 L
.74402 .79777 L
.7448 .79834 L
.74617 .79938 L
.7464 .79957 L
.74801 .80089 L
.74812 .80098 L
.74961 .80233 L
.74989 .80259 L
.75122 .80391 L
.75149 .80419 L
.75283 .80569 L
.75292 .8058 L
.75413 .8074 L
.75443 .80782 L
.75509 .80901 L
.7557 .81061 L
.75576 .81222 L
.75474 .81382 L
.75443 .8141 L
.75283 .8149 L
.75122 .81526 L
.75009 .81543 L
.74961 .8155 L
.74801 .81569 L
.7464 .81581 L
.7448 .81589 L
.74319 .81594 L
.74159 .81596 L
.73998 .81595 L
.73838 .81592 L
.73677 .81586 L
.73517 .81577 L
.73356 .81566 L
.73196 .81551 L
.73122 .81543 L
.73035 .81532 L
.72875 .81508 L
.72714 .81479 L
.72554 .81444 L
.72393 .81403 L
.72321 .81382 L
.72233 .81354 L
.72072 .81297 L
.71912 .81234 L
.71883 .81222 L
.71751 .81161 L
.7159 .81081 L
.71553 .81061 L
.7143 .80992 L
.71278 .80901 L
.71269 .80896 L
.71109 .80789 L
.71038 .8074 L
.70948 .80675 L
.70824 .8058 L
.70788 .80551 L
.70629 .80419 L
.70627 .80417 L
.70467 .80271 L
.70454 .80259 L
.70306 .8011 L
.70296 .80098 L
.70154 .79938 L
.70146 .79927 L
.70033 .79777 L
.69985 .79708 L
.69934 .79617 L
.69864 .79456 L
.69836 .79296 L
.69883 .79135 L
.69985 .79012 L
.70105 .78975 L
F
1 1 1 r
.69985 .68466 m
.70101 .68541 L
.70146 .68577 L
.70266 .68701 L
.70306 .68744 L
.70404 .68862 L
.70467 .68938 L
.70531 .69022 L
.70627 .6915 L
.70651 .69183 L
.70759 .69343 L
.70788 .69387 L
.70853 .69504 L
.70788 .69584 L
.70698 .69504 L
.70627 .69439 L
.70538 .69343 L
.70467 .69268 L
.70394 .69183 L
.70306 .69081 L
.7026 .69022 L
.70146 .68879 L
.70133 .68862 L
.70021 .68701 L
.69985 .68645 L
.69934 .68541 L
F
1 .93 .114 r
.70306 .78973 m
.70467 .78932 L
.70627 .78906 L
.70788 .7889 L
.70948 .7888 L
.71109 .78874 L
.71269 .78872 L
.7143 .78874 L
.7159 .78879 L
.71751 .78888 L
.71912 .78901 L
.72072 .78917 L
.72233 .78938 L
.72393 .78964 L
.72454 .78975 L
.72554 .78995 L
.72714 .79033 L
.72875 .79077 L
.73035 .79126 L
.73061 .79135 L
.73196 .79185 L
.73356 .7925 L
.73461 .79296 L
.73517 .79322 L
.73677 .79403 L
.73777 .79456 L
.73838 .79491 L
.73998 .79586 L
.74047 .79617 L
.74159 .7969 L
.74287 .79777 L
.74319 .79801 L
.7448 .7992 L
.74502 .79938 L
.7464 .8005 L
.74698 .80098 L
.74801 .8019 L
.74875 .80259 L
.74961 .80343 L
.75035 .80419 L
.75122 .80514 L
.75177 .8058 L
.75283 .80718 L
.75297 .8074 L
.7539 .80901 L
.75443 .81044 L
.75447 .81061 L
.75444 .81222 L
.75443 .81224 L
.75319 .81382 L
.75283 .81409 L
.75122 .81477 L
.74961 .81512 L
.74801 .81535 L
.74723 .81543 L
.7464 .81551 L
.7448 .81562 L
.74319 .81568 L
.74159 .81571 L
.73998 .8157 L
.73838 .81567 L
.73677 .81561 L
.73517 .81551 L
.73408 .81543 L
.73356 .81538 L
.73196 .81521 L
.73035 .815 L
.72875 .81473 L
.72714 .81441 L
.72554 .81403 L
.72476 .81382 L
.72393 .81358 L
.72233 .81305 L
.72072 .81244 L
.72016 .81222 L
.71912 .81176 L
.71751 .81099 L
.71677 .81061 L
.7159 .81014 L
.7143 .80921 L
.71397 .80901 L
.71269 .80818 L
.71154 .8074 L
.71109 .80708 L
.70948 .80588 L
.70938 .8058 L
.70788 .80457 L
.70744 .80419 L
.70627 .80315 L
.70568 .80259 L
.70467 .80159 L
.7041 .80098 L
.70306 .79983 L
.70269 .79938 L
.70148 .79777 L
.70146 .79774 L
.70052 .79617 L
.69986 .79456 L
.69985 .79454 L
.69967 .79296 L
.69985 .79212 L
.7003 .79135 L
.70146 .79025 L
.70301 .78975 L
F
1 .95 .212 r
.70146 .72495 m
.70306 .72509 L
.70465 .72554 L
.70467 .72554 L
.70627 .72615 L
.70788 .72689 L
.70842 .72714 L
.70948 .72769 L
.71109 .72857 L
.71141 .72875 L
.71269 .72949 L
.71414 .73035 L
.7143 .73045 L
.7159 .73145 L
.71671 .73196 L
.71751 .73247 L
.71912 .73353 L
.71917 .73356 L
.72072 .7346 L
.72155 .73517 L
.72233 .7357 L
.72387 .73677 L
.72393 .73682 L
.72554 .73795 L
.72614 .73838 L
.72714 .7391 L
.72836 .73998 L
.72875 .74026 L
.73035 .74144 L
.73055 .74159 L
.73196 .74263 L
.73271 .74319 L
.73356 .74384 L
.73484 .7448 L
.73517 .74505 L
.73677 .74627 L
.73694 .7464 L
.73838 .74751 L
.73902 .74801 L
.73998 .74876 L
.74109 .74961 L
.74159 .75001 L
.74313 .75122 L
.74319 .75127 L
.7448 .75254 L
.74515 .75283 L
.7464 .75382 L
.74716 .75443 L
.74801 .75511 L
.74916 .75604 L
.74961 .75641 L
.75114 .75764 L
.75122 .75771 L
.75283 .75902 L
.7531 .75925 L
.75443 .76034 L
.75506 .76085 L
.75604 .76166 L
.757 .76246 L
.75764 .76299 L
.75893 .76406 L
.75925 .76432 L
.76085 .76566 L
.76085 .76567 L
.76246 .76701 L
.76276 .76727 L
.76406 .76837 L
.76466 .76888 L
.76567 .76973 L
.76656 .77048 L
.76727 .77109 L
.76844 .77209 L
.76888 .77247 L
.77031 .77369 L
.77048 .77384 L
.77209 .77522 L
.77218 .7753 L
.77369 .77661 L
.77403 .7769 L
.7753 .778 L
.77588 .77851 L
.7769 .7794 L
.77772 .78011 L
.77851 .78081 L
.77955 .78172 L
.78011 .78221 L
.78138 .78332 L
.78172 .78363 L
.7832 .78493 L
.78332 .78504 L
.78493 .78647 L
.78501 .78654 L
.78654 .78789 L
.78681 .78814 L
.78814 .78933 L
.78861 .78975 L
.78975 .79076 L
.7904 .79135 L
.79135 .79221 L
.79218 .79296 L
.79296 .79365 L
.79396 .79456 L
.79456 .7951 L
.79573 .79617 L
.79617 .79656 L
.7975 .79777 L
.79777 .79802 L
.79926 .79938 L
.79938 .79948 L
.80098 .80095 L
.80101 .80098 L
.80259 .80243 L
.80276 .80259 L
.80419 .80391 L
.8045 .80419 L
.8058 .80539 L
.80623 .8058 L
.8074 .80688 L
.80796 .8074 L
.80901 .80838 L
.80969 .80901 L
.81061 .80987 L
.81141 .81061 L
.81222 .81138 L
.81312 .81222 L
.81382 .81288 L
.81482 .81382 L
.81543 .8144 L
.81652 .81543 L
.81703 .81591 L
.81822 .81703 L
.81864 .81743 L
.81991 .81864 L
.82025 .81896 L
.82159 .82025 L
.82185 .82049 L
.82327 .82185 L
.82346 .82203 L
.82494 .82346 L
.82506 .82357 L
.82661 .82506 L
.82667 .82511 L
.82827 .82666 L
.82827 .82667 L
.82988 .82822 L
.82993 .82827 L
.83148 .82978 L
.83158 .82988 L
.83309 .83135 L
.83322 .83148 L
.83469 .83292 L
.83486 .83309 L
.8363 .8345 L
.83649 .83469 L
.8379 .83609 L
.83812 .8363 L
.83951 .83767 L
.83974 .8379 L
.84111 .83927 L
.84135 .83951 L
.84272 .84087 L
.84296 .84111 L
.84432 .84248 L
.84456 .84272 L
.84593 .84409 L
.84616 .84432 L
.84753 .84571 L
.84775 .84593 L
.84914 .84734 L
.84934 .84753 L
.85074 .84897 L
.85091 .84914 L
.85235 .85061 L
.85248 .85074 L
.85396 .85225 L
.85405 .85235 L
.85556 .85391 L
.85561 .85396 L
.85716 .85556 L
.85717 .85557 L
.8587 .85717 L
.85877 .85724 L
.86024 .85877 L
.86038 .85892 L
.86177 .86038 L
.86198 .8606 L
.86329 .86198 L
.86359 .8623 L
.8648 .86359 L
.86519 .864 L
.86631 .86519 L
.8668 .86571 L
.86781 .8668 L
.8684 .86744 L
.8693 .8684 L
.87001 .86917 L
.87078 .87001 L
.87161 .87092 L
.87225 .87161 L
.87322 .87267 L
.87371 .87322 L
.87482 .87444 L
.87517 .87482 L
.87643 .87623 L
.87661 .87643 L
.87803 .87803 L
.87804 .87803 L
.87946 .87964 L
.87964 .87984 L
.88087 .88124 L
.88124 .88167 L
.88227 .88285 L
.88285 .88352 L
.88365 .88445 L
.88445 .88539 L
.88502 .88606 L
.88606 .88729 L
.88638 .88767 L
.88767 .88921 L
.88772 .88927 L
.88904 .89088 L
.88927 .89116 L
.89034 .89248 L
.89088 .89314 L
.89163 .89409 L
.89248 .89516 L
.89289 .89569 L
.89409 .89724 L
.89413 .8973 L
.89534 .8989 L
.89569 .89937 L
.89653 .90051 L
.8973 .90158 L
.89767 .90211 L
.89878 .90372 L
.8989 .90389 L
.89984 .90532 L
.90051 .90637 L
.90084 .90693 L
.90177 .90853 L
.90211 .90909 L
.9026 .91014 L
.9033 .91174 L
.90372 .91317 L
.90376 .91335 L
.90373 .91495 L
.90372 .915 L
.90211 .91613 L
.90051 .91591 L
.8989 .91543 L
.89753 .91495 L
.8973 .91479 L
.89569 .91405 L
.89429 .91335 L
.89409 .91323 L
.89248 .91236 L
.89141 .91174 L
.89088 .91143 L
.88927 .91046 L
.88874 .91014 L
.88767 .90946 L
.88622 .90853 L
.88606 .90843 L
.88445 .90738 L
.88378 .90693 L
.88285 .9063 L
.88143 .90532 L
.88124 .9052 L
.87964 .90408 L
.87913 .90372 L
.87803 .90294 L
.87688 .90211 L
.87643 .90179 L
.87482 .90062 L
.87467 .90051 L
.87322 .89944 L
.87249 .8989 L
.87161 .89824 L
.87035 .8973 L
.87001 .89704 L
.8684 .89582 L
.86823 .89569 L
.8668 .89459 L
.86614 .89409 L
.86519 .89335 L
.86407 .89248 L
.86359 .89211 L
.86202 .89088 L
.86198 .89085 L
.86038 .88958 L
.85998 .88927 L
.85877 .88831 L
.85796 .88767 L
.85717 .88703 L
.85596 .88606 L
.85556 .88574 L
.85397 .88445 L
.85396 .88444 L
.85235 .88314 L
.85199 .88285 L
.85074 .88183 L
.85002 .88124 L
.84914 .88052 L
.84806 .87964 L
.84753 .8792 L
.84611 .87803 L
.84593 .87788 L
.84432 .87655 L
.84417 .87643 L
.84272 .87522 L
.84224 .87482 L
.84111 .87388 L
.84032 .87322 L
.83951 .87254 L
.8384 .87161 L
.8379 .8712 L
.83649 .87001 L
.8363 .86985 L
.83469 .86849 L
.83459 .8684 L
.83309 .86713 L
.8327 .8668 L
.83148 .86576 L
.83082 .86519 L
.82988 .86438 L
.82895 .86359 L
.82827 .863 L
.82709 .86198 L
.82667 .86161 L
.82524 .86038 L
.82506 .86022 L
.82346 .85881 L
.82341 .85877 L
.82185 .85739 L
.8216 .85717 L
.82025 .85596 L
.81979 .85556 L
.81864 .85452 L
.81801 .85396 L
.81703 .85307 L
.81623 .85235 L
.81543 .85162 L
.81447 .85074 L
.81382 .85015 L
.81272 .84914 L
.81222 .84868 L
.81097 .84753 L
.81061 .8472 L
.80924 .84593 L
.80901 .84571 L
.80752 .84432 L
.8074 .84422 L
.8058 .84272 L
.8058 .84272 L
.80419 .84122 L
.80408 .84111 L
.80259 .83971 L
.80237 .83951 L
.80098 .83821 L
.80065 .8379 L
.79938 .8367 L
.79894 .8363 L
.79777 .8352 L
.79723 .83469 L
.79617 .8337 L
.79551 .83309 L
.79456 .8322 L
.7938 .83148 L
.79296 .8307 L
.79208 .82988 L
.79135 .8292 L
.79036 .82827 L
.78975 .8277 L
.78863 .82667 L
.78814 .82621 L
.7869 .82506 L
.78654 .82472 L
.78517 .82346 L
.78493 .82323 L
.78344 .82185 L
.78332 .82174 L
.78172 .82025 L
.78171 .82025 L
.78011 .81877 L
.77998 .81864 L
.77851 .81728 L
.77825 .81703 L
.7769 .81578 L
.77653 .81543 L
.7753 .81428 L
.77481 .81382 L
.77369 .81278 L
.7731 .81222 L
.77209 .81127 L
.7714 .81061 L
.77048 .80974 L
.76972 .80901 L
.76888 .80821 L
.76805 .8074 L
.76727 .80666 L
.76639 .8058 L
.76567 .80509 L
.76476 .80419 L
.76406 .80351 L
.76314 .80259 L
.76246 .80191 L
.76154 .80098 L
.76085 .80029 L
.75995 .79938 L
.75925 .79865 L
.75838 .79777 L
.75764 .79701 L
.75683 .79617 L
.75604 .79534 L
.75528 .79456 L
.75443 .79367 L
.75374 .79296 L
.75283 .79199 L
.75221 .79135 L
.75122 .79031 L
.75068 .78975 L
.74961 .78862 L
.74916 .78814 L
.74801 .78692 L
.74764 .78654 L
.7464 .78522 L
.74613 .78493 L
.7448 .78352 L
.74461 .78332 L
.74319 .78182 L
.7431 .78172 L
.74159 .78012 L
.74159 .78011 L
.74008 .77851 L
.73998 .77841 L
.73857 .7769 L
.73838 .7767 L
.73707 .7753 L
.73677 .77498 L
.73557 .77369 L
.73517 .77326 L
.73408 .77209 L
.73356 .77153 L
.73259 .77048 L
.73196 .7698 L
.73111 .76888 L
.73035 .76805 L
.72964 .76727 L
.72875 .76629 L
.72818 .76567 L
.72714 .76453 L
.72672 .76406 L
.72554 .76274 L
.72528 .76246 L
.72393 .76094 L
.72385 .76085 L
.72243 .75925 L
.72233 .75912 L
.72103 .75764 L
.72072 .75728 L
.71964 .75604 L
.71912 .75542 L
.71827 .75443 L
.71751 .75353 L
.71692 .75283 L
.7159 .75161 L
.71558 .75122 L
.7143 .74966 L
.71426 .74961 L
.71296 .74801 L
.71269 .74768 L
.71168 .7464 L
.71109 .74565 L
.71043 .7448 L
.70948 .74357 L
.7092 .74319 L
.708 .74159 L
.70788 .74142 L
.70683 .73998 L
.70627 .7392 L
.7057 .73838 L
.70467 .73686 L
.70461 .73677 L
.70357 .73517 L
.70306 .73437 L
.70259 .73356 L
.7017 .73196 L
.70146 .73161 L
.7009 .73035 L
.70027 .72875 L
.69992 .72714 L
.70032 .72554 L
F
1 .92 .084 r
.70627 .78948 m
.70788 .78926 L
.70948 .78912 L
.71109 .78904 L
.71269 .78901 L
.7143 .78903 L
.7159 .78908 L
.71751 .78917 L
.71912 .78931 L
.72072 .78949 L
.72233 .78971 L
.72256 .78975 L
.72393 .78999 L
.72554 .79033 L
.72714 .79073 L
.72875 .79119 L
.72927 .79135 L
.73035 .79172 L
.73196 .79234 L
.73344 .79296 L
.73356 .79301 L
.73517 .79378 L
.73669 .79456 L
.73677 .7946 L
.73838 .79552 L
.73944 .79617 L
.73998 .79651 L
.74159 .79758 L
.74186 .79777 L
.74319 .79874 L
.74403 .79938 L
.7448 .79998 L
.746 .80098 L
.7464 .80133 L
.74778 .80259 L
.74801 .80281 L
.74938 .80419 L
.74961 .80445 L
.75078 .8058 L
.75122 .80634 L
.75196 .8074 L
.75283 .8089 L
.75287 .80901 L
.75338 .81061 L
.75324 .81222 L
.75283 .81294 L
.75174 .81382 L
.75122 .81412 L
.74961 .81469 L
.74801 .815 L
.7464 .8152 L
.7448 .81533 L
.74319 .81542 L
.74277 .81543 L
.74159 .81546 L
.73998 .81546 L
.73854 .81543 L
.73838 .81542 L
.73677 .81536 L
.73517 .81525 L
.73356 .81511 L
.73196 .81492 L
.73035 .81469 L
.72875 .8144 L
.72714 .81405 L
.72621 .81382 L
.72554 .81364 L
.72393 .81315 L
.72233 .81259 L
.72135 .81222 L
.72072 .81196 L
.71912 .81123 L
.71785 .81061 L
.71751 .81043 L
.7159 .80954 L
.71501 .80901 L
.7143 .80857 L
.71269 .8075 L
.71255 .8074 L
.71109 .80634 L
.71037 .8058 L
.70948 .80509 L
.70842 .80419 L
.70788 .80372 L
.70665 .80259 L
.70627 .80222 L
.70507 .80098 L
.70467 .80054 L
.70368 .79938 L
.70306 .7986 L
.70249 .79777 L
.70155 .79617 L
.70146 .79598 L
.70094 .79456 L
.70083 .79296 L
.70146 .79156 L
.70165 .79135 L
.70306 .7903 L
.70467 .78982 L
.70499 .78975 L
F
1 .91 .061 r
.70788 .78963 m
.70948 .78945 L
.71109 .78935 L
.71269 .78931 L
.7143 .78931 L
.7159 .78936 L
.71751 .78946 L
.71912 .7896 L
.72039 .78975 L
.72072 .78979 L
.72233 .79003 L
.72393 .79033 L
.72554 .79069 L
.72714 .79111 L
.72799 .79135 L
.72875 .79159 L
.73035 .79216 L
.73196 .79279 L
.73237 .79296 L
.73356 .7935 L
.73517 .79428 L
.73571 .79456 L
.73677 .79515 L
.73838 .79608 L
.73852 .79617 L
.73998 .79711 L
.74097 .79777 L
.74159 .79821 L
.74316 .79938 L
.74319 .7994 L
.7448 .8007 L
.74513 .80098 L
.7464 .80211 L
.74691 .80259 L
.74801 .80367 L
.74851 .80419 L
.74961 .80544 L
.7499 .8058 L
.75107 .8074 L
.75122 .80757 L
.75193 .80901 L
.75239 .81061 L
.75214 .81222 L
.75122 .8133 L
.75035 .81382 L
.74961 .81416 L
.74801 .81461 L
.7464 .81488 L
.7448 .81505 L
.74319 .81515 L
.74159 .8152 L
.73998 .81521 L
.73838 .81518 L
.73677 .81511 L
.73517 .815 L
.73356 .81484 L
.73196 .81464 L
.73035 .81439 L
.72875 .81408 L
.7276 .81382 L
.72714 .81371 L
.72554 .81327 L
.72393 .81275 L
.72245 .81222 L
.72233 .81217 L
.72072 .8115 L
.71912 .81075 L
.71884 .81061 L
.71751 .80991 L
.71594 .80901 L
.7159 .80899 L
.7143 .80797 L
.71345 .8074 L
.71269 .80687 L
.71125 .8058 L
.71109 .80567 L
.70948 .80436 L
.70928 .80419 L
.70788 .80293 L
.70752 .80259 L
.70627 .80134 L
.70594 .80098 L
.70467 .79952 L
.70456 .79938 L
.70339 .79777 L
.70306 .79732 L
.70248 .79617 L
.70192 .79456 L
.70191 .79296 L
.70292 .79135 L
.70306 .79122 L
.70467 .79033 L
.70627 .78991 L
.70716 .78975 L
F
1 .9 .045 r
.71109 .78966 m
.71269 .7896 L
.7143 .7896 L
.7159 .78965 L
.71751 .78974 L
.71754 .78975 L
.71912 .78989 L
.72072 .79009 L
.72233 .79035 L
.72393 .79066 L
.72554 .79103 L
.72675 .79135 L
.72714 .79147 L
.72875 .79198 L
.73035 .79256 L
.73136 .79296 L
.73196 .79321 L
.73356 .79395 L
.7348 .79456 L
.73517 .79475 L
.73677 .79565 L
.73766 .79617 L
.73838 .79661 L
.73998 .79766 L
.74015 .79777 L
.74159 .7988 L
.74235 .79938 L
.74319 .80004 L
.74434 .80098 L
.7448 .80138 L
.74613 .80259 L
.7464 .80285 L
.74772 .80419 L
.74801 .80451 L
.7491 .8058 L
.74961 .80645 L
.75024 .8074 L
.75108 .80901 L
.75122 .80939 L
.75147 .81061 L
.75122 .812 L
.75111 .81222 L
.74961 .81371 L
.74897 .81382 L
.74801 .81417 L
.7464 .81453 L
.7448 .81475 L
.74319 .81488 L
.74159 .81494 L
.73998 .81496 L
.73838 .81493 L
.73677 .81486 L
.73517 .81474 L
.73356 .81458 L
.73196 .81436 L
.73035 .8141 L
.72899 .81382 L
.72875 .81377 L
.72714 .81338 L
.72554 .81291 L
.72393 .81238 L
.72349 .81222 L
.72233 .81176 L
.72072 .81107 L
.71976 .81061 L
.71912 .81029 L
.71751 .80942 L
.71679 .80901 L
.7159 .80847 L
.7143 .80742 L
.71427 .8074 L
.71269 .80628 L
.71205 .8058 L
.71109 .80504 L
.71008 .80419 L
.70948 .80368 L
.70831 .80259 L
.70788 .80217 L
.70673 .80098 L
.70627 .80048 L
.70536 .79938 L
.70467 .79847 L
.70421 .79777 L
.70333 .79617 L
.70306 .79548 L
.70283 .79456 L
.70292 .79296 L
.70306 .7926 L
.70417 .79135 L
.70467 .79101 L
.70627 .79036 L
.70788 .79001 L
.70948 .7898 L
.70996 .78975 L
F
1 .89 .033 r
.70627 .79091 m
.70788 .79042 L
.70948 .79014 L
.71109 .78998 L
.71269 .7899 L
.7143 .78989 L
.7159 .78993 L
.71751 .79003 L
.71912 .79018 L
.72072 .79039 L
.72233 .79065 L
.72393 .79097 L
.72551 .79135 L
.72554 .79136 L
.72714 .79182 L
.72875 .79235 L
.73035 .79294 L
.73039 .79296 L
.73196 .79362 L
.73356 .79437 L
.73395 .79456 L
.73517 .79521 L
.73677 .79611 L
.73686 .79617 L
.73838 .79711 L
.73938 .79777 L
.73998 .79819 L
.74159 .79936 L
.74161 .79938 L
.74319 .80063 L
.74361 .80098 L
.7448 .80203 L
.7454 .80259 L
.7464 .80358 L
.74699 .80419 L
.74801 .80536 L
.74836 .8058 L
.74948 .8074 L
.74961 .80745 L
.75028 .80901 L
.75061 .81061 L
.75011 .81222 L
.74961 .81297 L
.74801 .81372 L
.74754 .81382 L
.7464 .81414 L
.7448 .81443 L
.74319 .81459 L
.74159 .81468 L
.73998 .81471 L
.73838 .81468 L
.73677 .81461 L
.73517 .81449 L
.73356 .81432 L
.73196 .81409 L
.73041 .81382 L
.73035 .81381 L
.72875 .81347 L
.72714 .81305 L
.72554 .81257 L
.72448 .81222 L
.72393 .81202 L
.72233 .81138 L
.72072 .81066 L
.72062 .81061 L
.71912 .80985 L
.71759 .80901 L
.71751 .80896 L
.7159 .80797 L
.71503 .8074 L
.7143 .8069 L
.71279 .8058 L
.71269 .80572 L
.71109 .80443 L
.71081 .80419 L
.70948 .80301 L
.70903 .80259 L
.70788 .80143 L
.70746 .80098 L
.70627 .7996 L
.7061 .79938 L
.70497 .79777 L
.70467 .7974 L
.70413 .79617 L
.70369 .79456 L
.70388 .79296 L
.70467 .79188 L
.70541 .79135 L
F
1 .88 .024 r
.70788 .79088 m
.70948 .79052 L
.71109 .79031 L
.71269 .7902 L
.7143 .79017 L
.7159 .79021 L
.71751 .79031 L
.71912 .79046 L
.72072 .79067 L
.72233 .79095 L
.72393 .79128 L
.72424 .79135 L
.72554 .79168 L
.72714 .79216 L
.72875 .7927 L
.72945 .79296 L
.73035 .79331 L
.73196 .79401 L
.73313 .79456 L
.73356 .79478 L
.73517 .79563 L
.73611 .79617 L
.73677 .79656 L
.73838 .79758 L
.73867 .79777 L
.73998 .79869 L
.74092 .79938 L
.74159 .79989 L
.74293 .80098 L
.74319 .80121 L
.74472 .80259 L
.7448 .80266 L
.7463 .80419 L
.7464 .8043 L
.74766 .8058 L
.74801 .80623 L
.74876 .8074 L
.74952 .80901 L
.74961 .8093 L
.74978 .81061 L
.74961 .81142 L
.74914 .81222 L
.74801 .81324 L
.7464 .81374 L
.74601 .81382 L
.7448 .81408 L
.74319 .81429 L
.74159 .81441 L
.73998 .81445 L
.73838 .81443 L
.73677 .81436 L
.73517 .81424 L
.73356 .81406 L
.73196 .81383 L
.73194 .81382 L
.73035 .81353 L
.72875 .81317 L
.72714 .81274 L
.72554 .81225 L
.72545 .81222 L
.72393 .81167 L
.72233 .81101 L
.72145 .81061 L
.72072 .81026 L
.71912 .80943 L
.71835 .80901 L
.71751 .80852 L
.7159 .80751 L
.71575 .8074 L
.7143 .8064 L
.71349 .8058 L
.71269 .80518 L
.71149 .80419 L
.71109 .80385 L
.70971 .80259 L
.70948 .80237 L
.70815 .80098 L
.70788 .80069 L
.7068 .79938 L
.70627 .7987 L
.70569 .79777 L
.70488 .79617 L
.70467 .79552 L
.7045 .79456 L
.70467 .79331 L
.70482 .79296 L
.70627 .79144 L
.70667 .79135 L
F
.733 .99 1 r
.70467 .62874 m
.70493 .62922 L
.70467 .62936 L
.70457 .62922 L
F
1 .87 .018 r
.70948 .79092 m
.71109 .79065 L
.71269 .79051 L
.7143 .79047 L
.7159 .79049 L
.71751 .79059 L
.71912 .79074 L
.72072 .79096 L
.72233 .79124 L
.7229 .79135 L
.72393 .79158 L
.72554 .792 L
.72714 .79248 L
.72853 .79296 L
.72875 .79304 L
.73035 .79367 L
.73196 .79438 L
.73234 .79456 L
.73356 .79517 L
.73517 .79604 L
.73539 .79617 L
.73677 .797 L
.73798 .79777 L
.73838 .79804 L
.73998 .79917 L
.74026 .79938 L
.74159 .80041 L
.74228 .80098 L
.74319 .80177 L
.74408 .80259 L
.7448 .80329 L
.74566 .80419 L
.7464 .80503 L
.74701 .8058 L
.74801 .80726 L
.74808 .8074 L
.7488 .80901 L
.74899 .81061 L
.74818 .81222 L
.74801 .81241 L
.7464 .81334 L
.7448 .81373 L
.74425 .81382 L
.74319 .81398 L
.74159 .81413 L
.73998 .81419 L
.73838 .81418 L
.73677 .81411 L
.73517 .81399 L
.73371 .81382 L
.73356 .8138 L
.73196 .81356 L
.73035 .81326 L
.72875 .81288 L
.72714 .81244 L
.72642 .81222 L
.72554 .81192 L
.72393 .81133 L
.72233 .81065 L
.72224 .81061 L
.72072 .80988 L
.71912 .80903 L
.71907 .80901 L
.71751 .80809 L
.71643 .8074 L
.7159 .80705 L
.7143 .80591 L
.71415 .8058 L
.71269 .80466 L
.71213 .80419 L
.71109 .80328 L
.71036 .80259 L
.70948 .80172 L
.70879 .80098 L
.70788 .79993 L
.70745 .79938 L
.70637 .79777 L
.70627 .79761 L
.7056 .79617 L
.70529 .79456 L
.70574 .79296 L
.70627 .79214 L
.70788 .79139 L
.70802 .79135 L
F
1 .86 .013 r
.71109 .79102 m
.71269 .79084 L
.7143 .79077 L
.7159 .79078 L
.71751 .79087 L
.71912 .79102 L
.72072 .79124 L
.7214 .79135 L
.72233 .79152 L
.72393 .79188 L
.72554 .7923 L
.72714 .7928 L
.72761 .79296 L
.72875 .79337 L
.73035 .79402 L
.73158 .79456 L
.73196 .79474 L
.73356 .79555 L
.7347 .79617 L
.73517 .79644 L
.73677 .79741 L
.73733 .79777 L
.73838 .79848 L
.73963 .79938 L
.73998 .79964 L
.74159 .80092 L
.74167 .80098 L
.74319 .80233 L
.74347 .80259 L
.7448 .80393 L
.74504 .80419 L
.74638 .8058 L
.7464 .80583 L
.74743 .8074 L
.74801 .80868 L
.74811 .80901 L
.74821 .81061 L
.74801 .81123 L
.74721 .81222 L
.7464 .81281 L
.7448 .81337 L
.74319 .81367 L
.74176 .81382 L
.74159 .81384 L
.73998 .81392 L
.73838 .81392 L
.73677 .81386 L
.73611 .81382 L
.73517 .81374 L
.73356 .81355 L
.73196 .8133 L
.73035 .81298 L
.72875 .8126 L
.72738 .81222 L
.72714 .81215 L
.72554 .81161 L
.72393 .811 L
.72302 .81061 L
.72233 .8103 L
.72072 .80952 L
.71976 .80901 L
.71912 .80864 L
.71751 .80768 L
.71708 .8074 L
.7159 .80661 L
.71477 .8058 L
.7143 .80544 L
.71275 .80419 L
.71269 .80415 L
.71109 .80271 L
.71097 .80259 L
.70948 .80107 L
.70941 .80098 L
.70808 .79938 L
.70788 .79913 L
.70702 .79777 L
.70629 .79617 L
.70627 .7961 L
.70605 .79456 L
.70627 .79361 L
.70666 .79296 L
.70788 .79187 L
.70948 .79136 L
.70952 .79135 L
F
1 .85 .01 r
.71269 .79117 m
.7143 .79107 L
.7159 .79107 L
.71751 .79115 L
.71912 .7913 L
.71956 .79135 L
.72072 .79152 L
.72233 .79181 L
.72393 .79217 L
.72554 .7926 L
.72669 .79296 L
.72714 .79311 L
.72875 .79369 L
.73035 .79435 L
.73083 .79456 L
.73196 .79509 L
.73356 .79591 L
.73403 .79617 L
.73517 .79682 L
.7367 .79777 L
.73677 .79782 L
.73838 .79891 L
.73903 .79938 L
.73998 .8001 L
.74107 .80098 L
.74159 .80142 L
.74288 .80259 L
.74319 .80289 L
.74445 .80419 L
.7448 .80457 L
.74578 .8058 L
.7464 .80664 L
.7468 .8074 L
.74744 .80901 L
.74745 .81061 L
.7464 .81209 L
.74622 .81222 L
.7448 .81295 L
.74319 .81334 L
.74159 .81355 L
.73998 .81365 L
.73838 .81367 L
.73677 .81361 L
.73517 .81349 L
.73356 .8133 L
.73196 .81304 L
.73035 .81272 L
.72875 .81232 L
.72837 .81222 L
.72714 .81185 L
.72554 .8113 L
.72393 .81068 L
.72378 .81061 L
.72233 .80996 L
.72072 .80916 L
.72044 .80901 L
.71912 .80826 L
.71771 .8074 L
.71751 .80728 L
.7159 .80618 L
.71538 .8058 L
.7143 .80498 L
.71334 .80419 L
.71269 .80364 L
.71155 .80259 L
.71109 .80214 L
.71 .80098 L
.70948 .8004 L
.70868 .79938 L
.70788 .79821 L
.70765 .79777 L
.70697 .79617 L
.70681 .79456 L
.70759 .79296 L
.70788 .79264 L
.70948 .79177 L
.71109 .7914 L
.71134 .79135 L
F
1 .94 .156 r
.70948 .73192 m
.70979 .73196 L
.71109 .73222 L
.71269 .73279 L
.7143 .73349 L
.71446 .73356 L
.7159 .73428 L
.71751 .73515 L
.71754 .73517 L
.71912 .73606 L
.72031 .73677 L
.72072 .73703 L
.72233 .73803 L
.72288 .73838 L
.72393 .73906 L
.72534 .73998 L
.72554 .74012 L
.72714 .7412 L
.72771 .74159 L
.72875 .7423 L
.73002 .74319 L
.73035 .74343 L
.73196 .74457 L
.73227 .7448 L
.73356 .74573 L
.73449 .7464 L
.73517 .7469 L
.73666 .74801 L
.73677 .74809 L
.73838 .74929 L
.7388 .74961 L
.73998 .75051 L
.74092 .75122 L
.74159 .75173 L
.74301 .75283 L
.74319 .75297 L
.7448 .75422 L
.74507 .75443 L
.7464 .75547 L
.74712 .75604 L
.74801 .75674 L
.74915 .75764 L
.74961 .75801 L
.75116 .75925 L
.75122 .7593 L
.75283 .76059 L
.75315 .76085 L
.75443 .76189 L
.75513 .76246 L
.75604 .7632 L
.75709 .76406 L
.75764 .76451 L
.75905 .76567 L
.75925 .76583 L
.76085 .76716 L
.76098 .76727 L
.76246 .7685 L
.76291 .76888 L
.76406 .76984 L
.76483 .77048 L
.76567 .77119 L
.76673 .77209 L
.76727 .77255 L
.76862 .77369 L
.76888 .77391 L
.77048 .77528 L
.77051 .7753 L
.77209 .77665 L
.77238 .7769 L
.77369 .77803 L
.77425 .77851 L
.7753 .77942 L
.7761 .78011 L
.7769 .78081 L
.77795 .78172 L
.77851 .78221 L
.77979 .78332 L
.78011 .78361 L
.78162 .78493 L
.78172 .78501 L
.78332 .78643 L
.78345 .78654 L
.78493 .78785 L
.78526 .78814 L
.78654 .78927 L
.78707 .78975 L
.78814 .7907 L
.78887 .79135 L
.78975 .79214 L
.79066 .79296 L
.79135 .79357 L
.79245 .79456 L
.79296 .79502 L
.79423 .79617 L
.79456 .79647 L
.796 .79777 L
.79617 .79792 L
.79777 .79938 L
.79777 .79938 L
.79938 .80085 L
.79953 .80098 L
.80098 .80232 L
.80128 .80259 L
.80259 .80379 L
.80302 .80419 L
.80419 .80527 L
.80476 .8058 L
.8058 .80676 L
.8065 .8074 L
.8074 .80825 L
.80822 .80901 L
.80901 .80974 L
.80995 .81061 L
.81061 .81124 L
.81166 .81222 L
.81222 .81274 L
.81337 .81382 L
.81382 .81425 L
.81507 .81543 L
.81543 .81577 L
.81677 .81703 L
.81703 .81729 L
.81846 .81864 L
.81864 .81881 L
.82014 .82025 L
.82025 .82034 L
.82182 .82185 L
.82185 .82188 L
.82346 .82342 L
.82349 .82346 L
.82506 .82497 L
.82516 .82506 L
.82667 .82652 L
.82682 .82667 L
.82827 .82808 L
.82847 .82827 L
.82988 .82964 L
.83012 .82988 L
.83148 .83121 L
.83176 .83148 L
.83309 .83279 L
.83339 .83309 L
.83469 .83437 L
.83502 .83469 L
.8363 .83595 L
.83664 .8363 L
.8379 .83755 L
.83826 .8379 L
.83951 .83915 L
.83987 .83951 L
.84111 .84075 L
.84147 .84111 L
.84272 .84237 L
.84307 .84272 L
.84432 .84399 L
.84466 .84432 L
.84593 .84561 L
.84624 .84593 L
.84753 .84725 L
.84782 .84753 L
.84914 .84889 L
.84939 .84914 L
.85074 .85054 L
.85095 .85074 L
.85235 .85219 L
.8525 .85235 L
.85396 .85386 L
.85405 .85396 L
.85556 .85553 L
.85559 .85556 L
.85712 .85717 L
.85717 .85721 L
.85864 .85877 L
.85877 .85891 L
.86016 .86038 L
.86038 .86061 L
.86166 .86198 L
.86198 .86232 L
.86316 .86359 L
.86359 .86405 L
.86465 .86519 L
.86519 .86578 L
.86613 .8668 L
.8668 .86753 L
.8676 .8684 L
.8684 .86929 L
.86906 .87001 L
.87001 .87106 L
.8705 .87161 L
.87161 .87285 L
.87194 .87322 L
.87322 .87466 L
.87337 .87482 L
.87478 .87643 L
.87482 .87648 L
.87618 .87803 L
.87643 .87832 L
.87757 .87964 L
.87803 .88018 L
.87894 .88124 L
.87964 .88207 L
.88029 .88285 L
.88124 .88399 L
.88163 .88445 L
.88285 .88594 L
.88295 .88606 L
.88425 .88767 L
.88445 .88792 L
.88553 .88927 L
.88606 .88994 L
.88678 .89088 L
.88767 .89202 L
.88801 .89248 L
.88921 .89409 L
.88927 .89417 L
.89037 .89569 L
.89088 .8964 L
.89149 .8973 L
.89248 .89878 L
.89256 .8989 L
.89357 .90051 L
.89409 .90134 L
.8945 .90211 L
.89533 .90372 L
.89569 .90453 L
.896 .90532 L
.89644 .90693 L
.89629 .90853 L
.89569 .90901 L
.89409 .90911 L
.89248 .90874 L
.89188 .90853 L
.89088 .90816 L
.88927 .90745 L
.88818 .90693 L
.88767 .90665 L
.88606 .90577 L
.88525 .90532 L
.88445 .90485 L
.88285 .90388 L
.88258 .90372 L
.88124 .90288 L
.88005 .90211 L
.87964 .90185 L
.87803 .90078 L
.87762 .90051 L
.87643 .8997 L
.87527 .8989 L
.87482 .89859 L
.87322 .89746 L
.87299 .8973 L
.87161 .89632 L
.87075 .89569 L
.87001 .89515 L
.86855 .89409 L
.8684 .89398 L
.8668 .89279 L
.86639 .89248 L
.86519 .89158 L
.86426 .89088 L
.86359 .89037 L
.86215 .88927 L
.86198 .88914 L
.86038 .8879 L
.86007 .88767 L
.85877 .88665 L
.85801 .88606 L
.85717 .88539 L
.85597 .88445 L
.85556 .88413 L
.85396 .88285 L
.85395 .88285 L
.85235 .88157 L
.85194 .88124 L
.85074 .88028 L
.84995 .87964 L
.84914 .87898 L
.84797 .87803 L
.84753 .87768 L
.84601 .87643 L
.84593 .87637 L
.84432 .87505 L
.84405 .87482 L
.84272 .87372 L
.84211 .87322 L
.84111 .87239 L
.84018 .87161 L
.83951 .87106 L
.83825 .87001 L
.8379 .86971 L
.83634 .8684 L
.8363 .86837 L
.83469 .86701 L
.83444 .8668 L
.83309 .86565 L
.83255 .86519 L
.83148 .86428 L
.83067 .86359 L
.82988 .86291 L
.8288 .86198 L
.82827 .86152 L
.82694 .86038 L
.82667 .86014 L
.8251 .85877 L
.82506 .85874 L
.82346 .85734 L
.82326 .85717 L
.82185 .85592 L
.82144 .85556 L
.82025 .8545 L
.81963 .85396 L
.81864 .85307 L
.81783 .85235 L
.81703 .85163 L
.81604 .85074 L
.81543 .85019 L
.81426 .84914 L
.81382 .84874 L
.81249 .84753 L
.81222 .84728 L
.81073 .84593 L
.81061 .84582 L
.80901 .84435 L
.80898 .84432 L
.8074 .84287 L
.80724 .84272 L
.8058 .84139 L
.8055 .84111 L
.80419 .8399 L
.80376 .83951 L
.80259 .83842 L
.80203 .8379 L
.80098 .83693 L
.8003 .8363 L
.79938 .83543 L
.79858 .83469 L
.79777 .83394 L
.79686 .83309 L
.79617 .83244 L
.79513 .83148 L
.79456 .83095 L
.79341 .82988 L
.79296 .82945 L
.79169 .82827 L
.79135 .82795 L
.78997 .82667 L
.78975 .82645 L
.78826 .82506 L
.78814 .82495 L
.78654 .82346 L
.78654 .82345 L
.78493 .82195 L
.78483 .82185 L
.78332 .82044 L
.78312 .82025 L
.78172 .81893 L
.78141 .81864 L
.78011 .81742 L
.77971 .81703 L
.77851 .8159 L
.77801 .81543 L
.7769 .81438 L
.77632 .81382 L
.7753 .81285 L
.77464 .81222 L
.77369 .81131 L
.77297 .81061 L
.77209 .80977 L
.77131 .80901 L
.77048 .80821 L
.76966 .8074 L
.76888 .80664 L
.76802 .8058 L
.76727 .80506 L
.76639 .80419 L
.76567 .80347 L
.76478 .80259 L
.76406 .80187 L
.76318 .80098 L
.76246 .80026 L
.76159 .79938 L
.76085 .79863 L
.76001 .79777 L
.75925 .79699 L
.75844 .79617 L
.75764 .79534 L
.75688 .79456 L
.75604 .79368 L
.75533 .79296 L
.75443 .79202 L
.75379 .79135 L
.75283 .79034 L
.75225 .78975 L
.75122 .78866 L
.75072 .78814 L
.74961 .78697 L
.7492 .78654 L
.74801 .78528 L
.74768 .78493 L
.7464 .78358 L
.74617 .78332 L
.7448 .78187 L
.74466 .78172 L
.74319 .78016 L
.74315 .78011 L
.74166 .77851 L
.74159 .77844 L
.74017 .7769 L
.73998 .77671 L
.73868 .7753 L
.73838 .77497 L
.7372 .77369 L
.73677 .77322 L
.73573 .77209 L
.73517 .77147 L
.73427 .77048 L
.73356 .7697 L
.73282 .76888 L
.73196 .76792 L
.73138 .76727 L
.73035 .76612 L
.72995 .76567 L
.72875 .7643 L
.72854 .76406 L
.72714 .76247 L
.72713 .76246 L
.72575 .76085 L
.72554 .76061 L
.72437 .75925 L
.72393 .75873 L
.72302 .75764 L
.72233 .75681 L
.72168 .75604 L
.72072 .75487 L
.72037 .75443 L
.71912 .75288 L
.71907 .75283 L
.7178 .75122 L
.71751 .75085 L
.71655 .74961 L
.7159 .74877 L
.71534 .74801 L
.7143 .74661 L
.71415 .7464 L
.713 .7448 L
.71269 .74436 L
.7119 .74319 L
.71109 .74197 L
.71085 .74159 L
.70986 .73998 L
.70948 .73938 L
.70896 .73838 L
.70818 .73677 L
.70788 .73603 L
.70757 .73517 L
.70728 .73356 L
.70788 .73226 L
.70862 .73196 L
F
1 .84 .007 r
.70948 .7923 m
.71109 .79178 L
.71269 .79151 L
.7143 .79139 L
.7159 .79136 L
.71751 .79143 L
.71912 .79158 L
.72072 .7918 L
.72233 .79209 L
.72393 .79246 L
.72554 .7929 L
.72573 .79296 L
.72714 .79341 L
.72875 .79401 L
.73008 .79456 L
.73035 .79468 L
.73196 .79544 L
.73337 .79617 L
.73356 .79627 L
.73517 .7972 L
.73609 .79777 L
.73677 .79821 L
.73838 .79933 L
.73844 .79938 L
.73998 .80056 L
.74051 .80098 L
.74159 .80191 L
.74232 .80259 L
.74319 .80345 L
.74388 .80419 L
.7448 .80526 L
.74519 .8058 L
.74619 .8074 L
.7464 .80785 L
.74678 .80901 L
.7467 .81061 L
.7464 .81118 L
.7452 .81222 L
.7448 .81244 L
.74319 .81298 L
.74159 .81325 L
.73998 .81337 L
.73838 .8134 L
.73677 .81336 L
.73517 .81323 L
.73356 .81304 L
.73196 .81278 L
.73035 .81245 L
.72939 .81222 L
.72875 .81205 L
.72714 .81156 L
.72554 .811 L
.72454 .81061 L
.72393 .81036 L
.72233 .80963 L
.72109 .80901 L
.72072 .80881 L
.71912 .80789 L
.71832 .8074 L
.71751 .80688 L
.71596 .8058 L
.7159 .80576 L
.7143 .80452 L
.71391 .80419 L
.71269 .80313 L
.71212 .80259 L
.71109 .80156 L
.71057 .80098 L
.70948 .79968 L
.70927 .79938 L
.70826 .79777 L
.70788 .79695 L
.70762 .79617 L
.70755 .79456 L
.70788 .79372 L
.70854 .79296 L
F
1 .83 .005 r
.71109 .79221 m
.71269 .79186 L
.7143 .7917 L
.7159 .79166 L
.71751 .79171 L
.71912 .79186 L
.72072 .79208 L
.72233 .79237 L
.72393 .79274 L
.72474 .79296 L
.72554 .79319 L
.72714 .79371 L
.72875 .79432 L
.72934 .79456 L
.73035 .795 L
.73196 .79577 L
.73273 .79617 L
.73356 .79662 L
.73517 .79757 L
.7355 .79777 L
.73677 .7986 L
.73788 .79938 L
.73838 .79974 L
.73995 .80098 L
.73998 .80101 L
.74159 .80242 L
.74177 .80259 L
.74319 .80404 L
.74333 .80419 L
.74463 .8058 L
.7448 .80595 L
.7456 .8074 L
.74613 .80901 L
.74594 .81061 L
.7448 .81185 L
.7441 .81222 L
.74319 .81257 L
.74159 .81292 L
.73998 .81308 L
.73838 .81314 L
.73677 .8131 L
.73517 .81298 L
.73356 .81279 L
.73196 .81252 L
.73049 .81222 L
.73035 .81219 L
.72875 .81177 L
.72714 .81128 L
.72554 .81071 L
.72529 .81061 L
.72393 .81005 L
.72233 .8093 L
.72174 .80901 L
.72072 .80846 L
.71912 .80753 L
.71891 .8074 L
.71751 .80649 L
.71652 .8058 L
.7159 .80534 L
.71446 .80419 L
.7143 .80406 L
.71269 .80262 L
.71266 .80259 L
.71112 .80098 L
.71109 .80095 L
.70983 .79938 L
.70948 .79897 L
.70885 .79777 L
.70827 .79617 L
.70829 .79456 L
.70948 .79299 L
.70954 .79296 L
F
1 .82 .004 r
.71109 .79272 m
.71269 .79224 L
.7143 .79203 L
.7159 .79196 L
.71751 .792 L
.71912 .79214 L
.72072 .79235 L
.72233 .79265 L
.72366 .79296 L
.72393 .79302 L
.72554 .79348 L
.72714 .79401 L
.72859 .79456 L
.72875 .79462 L
.73035 .79532 L
.73196 .7961 L
.73209 .79617 L
.73356 .79697 L
.73492 .79777 L
.73517 .79793 L
.73677 .79899 L
.73732 .79938 L
.73838 .80016 L
.73941 .80098 L
.73998 .80146 L
.74124 .80259 L
.74159 .80292 L
.7428 .80419 L
.74319 .80463 L
.74408 .8058 L
.7448 .80683 L
.74502 .8074 L
.74549 .80901 L
.74518 .81061 L
.7448 .81111 L
.74319 .81216 L
.74288 .81222 L
.74159 .81256 L
.73998 .81278 L
.73838 .81286 L
.73677 .81283 L
.73517 .81272 L
.73356 .81253 L
.73196 .81226 L
.73172 .81222 L
.73035 .81192 L
.72875 .8115 L
.72714 .811 L
.72605 .81061 L
.72554 .81042 L
.72393 .80974 L
.72238 .80901 L
.72233 .80898 L
.72072 .80812 L
.71949 .8074 L
.71912 .80717 L
.71751 .80611 L
.71708 .8058 L
.7159 .80492 L
.715 .80419 L
.7143 .8036 L
.7132 .80259 L
.71269 .8021 L
.71166 .80098 L
.71109 .80034 L
.71039 .79938 L
.70948 .79789 L
.70944 .79777 L
.70891 .79617 L
.70904 .79456 L
.70948 .79383 L
.71061 .79296 L
F
1 .81 .003 r
.71269 .79267 m
.7143 .79238 L
.7159 .79228 L
.71751 .7923 L
.71912 .79242 L
.72072 .79263 L
.72233 .79293 L
.72245 .79296 L
.72393 .79331 L
.72554 .79376 L
.72714 .7943 L
.72783 .79456 L
.72875 .79493 L
.73035 .79563 L
.73145 .79617 L
.73196 .79643 L
.73356 .79731 L
.73434 .79777 L
.73517 .79829 L
.73677 .79937 L
.73678 .79938 L
.73838 .80057 L
.73889 .80098 L
.73998 .80191 L
.74071 .80259 L
.74159 .80344 L
.74227 .80419 L
.74319 .8053 L
.74353 .8058 L
.74444 .8074 L
.7448 .80855 L
.74485 .80901 L
.7448 .80969 L
.7444 .81061 L
.74319 .81178 L
.74159 .81218 L
.74142 .81222 L
.73998 .81246 L
.73838 .81257 L
.73677 .81256 L
.73517 .81246 L
.73356 .81227 L
.73318 .81222 L
.73196 .81201 L
.73035 .81166 L
.72875 .81123 L
.72714 .81072 L
.72684 .81061 L
.72554 .81012 L
.72393 .80944 L
.72302 .80901 L
.72233 .80866 L
.72072 .80779 L
.72007 .8074 L
.71912 .80681 L
.71762 .8058 L
.71751 .80572 L
.7159 .8045 L
.71552 .80419 L
.7143 .80314 L
.71372 .80259 L
.71269 .80156 L
.71218 .80098 L
.71109 .79961 L
.71093 .79938 L
.71001 .79777 L
.70954 .79617 L
.7098 .79456 L
.71109 .79311 L
.71181 .79296 L
F
1 .8 .002 r
.7143 .79275 m
.7159 .7926 L
.71751 .7926 L
.71912 .79271 L
.72072 .79292 L
.72098 .79296 L
.72233 .79321 L
.72393 .79359 L
.72554 .79405 L
.72705 .79456 L
.72714 .7946 L
.72875 .79523 L
.73035 .79594 L
.73081 .79617 L
.73196 .79675 L
.73356 .79765 L
.73377 .79777 L
.73517 .79865 L
.73624 .79938 L
.73677 .79975 L
.73837 .80098 L
.73838 .80099 L
.73998 .80238 L
.7402 .80259 L
.74159 .804 L
.74175 .80419 L
.743 .8058 L
.74319 .8061 L
.74387 .8074 L
.74421 .80901 L
.74359 .81061 L
.74319 .81109 L
.74159 .81184 L
.73998 .81213 L
.7391 .81222 L
.73838 .81227 L
.73677 .81228 L
.73549 .81222 L
.73517 .81219 L
.73356 .81201 L
.73196 .81175 L
.73035 .8114 L
.72875 .81096 L
.72764 .81061 L
.72714 .81044 L
.72554 .80983 L
.72393 .80914 L
.72366 .80901 L
.72233 .80834 L
.72072 .80745 L
.72064 .8074 L
.71912 .80645 L
.71815 .8058 L
.71751 .80534 L
.71604 .80419 L
.7159 .80408 L
.7143 .80265 L
.71423 .80259 L
.7127 .80098 L
.71269 .80097 L
.71147 .79938 L
.71109 .7991 L
.71058 .79777 L
.71018 .79617 L
.71058 .79456 L
.71109 .79377 L
.71269 .79309 L
.71325 .79296 L
F
1 .79 .001 r
.7159 .79295 m
.71751 .79291 L
.7185 .79296 L
.71912 .793 L
.72072 .7932 L
.72233 .79349 L
.72393 .79387 L
.72554 .79433 L
.72623 .79456 L
.72714 .79489 L
.72875 .79553 L
.73017 .79617 L
.73035 .79625 L
.73196 .79707 L
.7332 .79777 L
.73356 .79799 L
.73517 .799 L
.73571 .79938 L
.73677 .80014 L
.73786 .80098 L
.73838 .80141 L
.7397 .80259 L
.73998 .80285 L
.74124 .80419 L
.74159 .80455 L
.74247 .8058 L
.74319 .80712 L
.74331 .8074 L
.74357 .80901 L
.74319 .81009 L
.74274 .81061 L
.74159 .81139 L
.73998 .8118 L
.73838 .81197 L
.73677 .81201 L
.73517 .81193 L
.73356 .81175 L
.73196 .81149 L
.73035 .81113 L
.72875 .81069 L
.72849 .81061 L
.72714 .81016 L
.72554 .80955 L
.7243 .80901 L
.72393 .80884 L
.72233 .80803 L
.72121 .8074 L
.72072 .80712 L
.71912 .8061 L
.71868 .8058 L
.71751 .80495 L
.71655 .80419 L
.7159 .80366 L
.71474 .80259 L
.7143 .80217 L
.71321 .80098 L
.71269 .8004 L
.712 .79938 L
.71115 .79777 L
.71109 .7976 L
.71082 .79617 L
.71109 .79504 L
.7114 .79456 L
.71269 .79353 L
.7143 .79313 L
.71577 .79296 L
F
1 .78 .001 r
.71269 .79418 m
.7143 .79352 L
.7159 .79328 L
.71751 .79322 L
.71912 .7933 L
.72072 .79348 L
.72233 .79377 L
.72393 .79415 L
.72535 .79456 L
.72554 .79462 L
.72714 .79518 L
.72875 .79582 L
.72952 .79617 L
.73035 .79656 L
.73196 .79739 L
.73263 .79777 L
.73356 .79832 L
.73517 .79936 L
.73519 .79938 L
.73677 .80052 L
.73735 .80098 L
.73838 .80183 L
.7392 .80259 L
.73998 .80335 L
.74074 .80419 L
.74159 .80521 L
.74194 .8058 L
.74274 .8074 L
.74291 .80901 L
.74182 .81061 L
.74159 .81078 L
.73998 .81142 L
.73838 .81166 L
.73677 .81172 L
.73517 .81166 L
.73356 .81149 L
.73196 .81122 L
.73035 .81086 L
.7294 .81061 L
.72875 .81042 L
.72714 .80989 L
.72554 .80926 L
.72496 .80901 L
.72393 .80854 L
.72233 .80771 L
.72177 .8074 L
.72072 .80678 L
.71921 .8058 L
.71912 .80574 L
.71751 .80456 L
.71706 .80419 L
.7159 .80322 L
.71524 .80259 L
.7143 .80165 L
.71372 .80098 L
.71269 .79966 L
.71253 .79938 L
.71172 .79777 L
.71147 .79617 L
.71228 .79456 L
F
1 .77 .001 r
.7143 .794 m
.7159 .79365 L
.71751 .79355 L
.71912 .7936 L
.72072 .79378 L
.72233 .79406 L
.72393 .79444 L
.7244 .79456 L
.72554 .7949 L
.72714 .79547 L
.72875 .79612 L
.72885 .79617 L
.73035 .79687 L
.73196 .79771 L
.73206 .79777 L
.73356 .79866 L
.73466 .79938 L
.73517 .79972 L
.73677 .80092 L
.73685 .80098 L
.73838 .80228 L
.7387 .80259 L
.73998 .8039 L
.74023 .80419 L
.74142 .8058 L
.74159 .80608 L
.74217 .8074 L
.74224 .80901 L
.74159 .81006 L
.74081 .81061 L
.73998 .81097 L
.73838 .81132 L
.73677 .81142 L
.73517 .81137 L
.73356 .81121 L
.73196 .81095 L
.73043 .81061 L
.73035 .81059 L
.72875 .81015 L
.72714 .80961 L
.72563 .80901 L
.72554 .80897 L
.72393 .80823 L
.72234 .8074 L
.72233 .80739 L
.72072 .80645 L
.71973 .8058 L
.71912 .80537 L
.71756 .80419 L
.71751 .80415 L
.7159 .80275 L
.71573 .80259 L
.7143 .80108 L
.71422 .80098 L
.71305 .79938 L
.71269 .79874 L
.71229 .79777 L
.71214 .79617 L
.71269 .79504 L
.71323 .79456 L
F
1 .76 .001 r
.7159 .79406 m
.71751 .79389 L
.71912 .79392 L
.72072 .79408 L
.72233 .79435 L
.72331 .79456 L
.72393 .79472 L
.72554 .79519 L
.72714 .79576 L
.72816 .79617 L
.72875 .79642 L
.73035 .79718 L
.73148 .79777 L
.73196 .79804 L
.73356 .799 L
.73413 .79938 L
.73517 .80009 L
.73635 .80098 L
.73677 .80132 L
.7382 .80259 L
.73838 .80274 L
.73973 .80419 L
.73998 .80439 L
.74089 .8058 L
.74159 .8074 L
.74154 .80901 L
.73998 .81045 L
.73962 .81061 L
.73838 .81093 L
.73677 .81109 L
.73517 .81108 L
.73356 .81093 L
.73196 .81067 L
.73164 .81061 L
.73035 .81032 L
.72875 .80987 L
.72714 .80932 L
.72633 .80901 L
.72554 .80868 L
.72393 .80793 L
.72292 .8074 L
.72233 .80708 L
.72072 .8061 L
.72026 .8058 L
.71912 .80501 L
.71806 .80419 L
.71751 .80375 L
.71623 .80259 L
.7159 .80229 L
.71473 .80098 L
.7143 .80057 L
.71358 .79938 L
.71287 .79777 L
.71284 .79617 L
.7143 .79459 L
.71435 .79456 L
F
1 .75 0 r
.7159 .79452 m
.71751 .79427 L
.71912 .79425 L
.72072 .79439 L
.72202 .79456 L
.72233 .79465 L
.72393 .79501 L
.72554 .79548 L
.72714 .79606 L
.72742 .79617 L
.72875 .79672 L
.73035 .79749 L
.73089 .79777 L
.73196 .79836 L
.73356 .79935 L
.7336 .79938 L
.73517 .80046 L
.73584 .80098 L
.73677 .80173 L
.73771 .80259 L
.73838 .80321 L
.73923 .80419 L
.73998 .80503 L
.74036 .8058 L
.741 .8074 L
.74081 .80901 L
.73998 .80986 L
.73838 .81055 L
.73786 .81061 L
.73677 .81075 L
.73517 .81077 L
.73356 .81064 L
.73331 .81061 L
.73196 .8104 L
.73035 .81005 L
.72875 .80959 L
.72714 .80904 L
.72707 .80901 L
.72554 .80838 L
.72393 .80762 L
.72351 .8074 L
.72233 .80675 L
.72079 .8058 L
.72072 .80575 L
.71912 .80462 L
.71856 .80419 L
.71751 .80332 L
.71672 .80259 L
.7159 .80179 L
.71523 .80098 L
.7143 .79977 L
.71411 .79938 L
.71346 .79777 L
.71357 .79617 L
.7143 .79526 L
.71576 .79456 L
F
1 .93 .114 r
.7143 .73837 m
.7159 .738 L
.71751 .73836 L
.71755 .73838 L
.71912 .73894 L
.72072 .73967 L
.7214 .73998 L
.72233 .74048 L
.72393 .74137 L
.72432 .74159 L
.72554 .7423 L
.72699 .74319 L
.72714 .74329 L
.72875 .74431 L
.72951 .7448 L
.73035 .74536 L
.73191 .7464 L
.73196 .74643 L
.73356 .74754 L
.73425 .74801 L
.73517 .74866 L
.73651 .74961 L
.73677 .7498 L
.73838 .75096 L
.73874 .75122 L
.73998 .75214 L
.74092 .75283 L
.74159 .75333 L
.74306 .75443 L
.74319 .75453 L
.7448 .75575 L
.74518 .75604 L
.7464 .75698 L
.74726 .75764 L
.74801 .75822 L
.74933 .75925 L
.74961 .75947 L
.75122 .76073 L
.75137 .76085 L
.75283 .76201 L
.75339 .76246 L
.75443 .76329 L
.75539 .76406 L
.75604 .76458 L
.75738 .76567 L
.75764 .76588 L
.75925 .76719 L
.75935 .76727 L
.76085 .7685 L
.76131 .76888 L
.76246 .76983 L
.76325 .77048 L
.76406 .77116 L
.76518 .77209 L
.76567 .77249 L
.7671 .77369 L
.76727 .77384 L
.76888 .77519 L
.76901 .7753 L
.77048 .77655 L
.7709 .7769 L
.77209 .77792 L
.77278 .77851 L
.77369 .77929 L
.77466 .78011 L
.7753 .78067 L
.77652 .78172 L
.7769 .78205 L
.77837 .78332 L
.77851 .78344 L
.78011 .78484 L
.78022 .78493 L
.78172 .78624 L
.78206 .78654 L
.78332 .78765 L
.78388 .78814 L
.78493 .78906 L
.7857 .78975 L
.78654 .79048 L
.78751 .79135 L
.78814 .79191 L
.78932 .79296 L
.78975 .79334 L
.79111 .79456 L
.79135 .79478 L
.7929 .79617 L
.79296 .79622 L
.79456 .79767 L
.79468 .79777 L
.79617 .79912 L
.79645 .79938 L
.79777 .80058 L
.79822 .80098 L
.79938 .80204 L
.79997 .80259 L
.80098 .80351 L
.80173 .80419 L
.80259 .80499 L
.80347 .8058 L
.80419 .80647 L
.80521 .8074 L
.8058 .80795 L
.80694 .80901 L
.8074 .80944 L
.80866 .81061 L
.80901 .81094 L
.81038 .81222 L
.81061 .81244 L
.81209 .81382 L
.81222 .81395 L
.81379 .81543 L
.81382 .81546 L
.81543 .81698 L
.81549 .81703 L
.81703 .8185 L
.81718 .81864 L
.81864 .82003 L
.81887 .82025 L
.82025 .82157 L
.82054 .82185 L
.82185 .82311 L
.82221 .82346 L
.82346 .82465 L
.82388 .82506 L
.82506 .82621 L
.82554 .82667 L
.82667 .82776 L
.82719 .82827 L
.82827 .82933 L
.82883 .82988 L
.82988 .8309 L
.83047 .83148 L
.83148 .83248 L
.8321 .83309 L
.83309 .83406 L
.83373 .83469 L
.83469 .83565 L
.83535 .8363 L
.8363 .83725 L
.83696 .8379 L
.8379 .83885 L
.83856 .83951 L
.83951 .84046 L
.84016 .84111 L
.84111 .84208 L
.84175 .84272 L
.84272 .8437 L
.84333 .84432 L
.84432 .84534 L
.8449 .84593 L
.84593 .84698 L
.84647 .84753 L
.84753 .84863 L
.84803 .84914 L
.84914 .85029 L
.84958 .85074 L
.85074 .85195 L
.85113 .85235 L
.85235 .85363 L
.85266 .85396 L
.85396 .85531 L
.85419 .85556 L
.85556 .85701 L
.85571 .85717 L
.85717 .85872 L
.85722 .85877 L
.85871 .86038 L
.85877 .86044 L
.8602 .86198 L
.86038 .86217 L
.86168 .86359 L
.86198 .86391 L
.86315 .86519 L
.86359 .86567 L
.86461 .8668 L
.86519 .86744 L
.86606 .8684 L
.8668 .86923 L
.86749 .87001 L
.8684 .87104 L
.86891 .87161 L
.87001 .87286 L
.87032 .87322 L
.87161 .87471 L
.87171 .87482 L
.87309 .87643 L
.87322 .87658 L
.87445 .87803 L
.87482 .87847 L
.8758 .87964 L
.87643 .8804 L
.87712 .88124 L
.87803 .88236 L
.87843 .88285 L
.87964 .88437 L
.87971 .88445 L
.88096 .88606 L
.88124 .88642 L
.88219 .88767 L
.88285 .88855 L
.88338 .88927 L
.88445 .89077 L
.88453 .89088 L
.88564 .89248 L
.88606 .89309 L
.88669 .89409 L
.88767 .89569 L
.88767 .89569 L
.88856 .8973 L
.88927 .89881 L
.8893 .8989 L
.88984 .90051 L
.88995 .90211 L
.88927 .90278 L
.88767 .90304 L
.88606 .90262 L
.88473 .90211 L
.88445 .902 L
.88285 .90127 L
.88135 .90051 L
.88124 .90044 L
.87964 .89955 L
.87852 .8989 L
.87803 .89861 L
.87643 .89762 L
.87591 .8973 L
.87482 .8966 L
.87344 .89569 L
.87322 .89554 L
.87161 .89446 L
.87106 .89409 L
.87001 .89336 L
.86875 .89248 L
.8684 .89223 L
.8668 .89109 L
.8665 .89088 L
.86519 .88993 L
.8643 .88927 L
.86359 .88875 L
.86213 .88767 L
.86198 .88755 L
.86038 .88635 L
.85999 .88606 L
.85877 .88513 L
.85789 .88445 L
.85717 .8839 L
.85581 .88285 L
.85556 .88266 L
.85396 .8814 L
.85375 .88124 L
.85235 .88014 L
.85171 .87964 L
.85074 .87887 L
.8497 .87803 L
.84914 .87759 L
.8477 .87643 L
.84753 .8763 L
.84593 .875 L
.84571 .87482 L
.84432 .8737 L
.84374 .87322 L
.84272 .87238 L
.84178 .87161 L
.84111 .87106 L
.83984 .87001 L
.83951 .86974 L
.8379 .8684 L
.8379 .8684 L
.8363 .86706 L
.83599 .8668 L
.83469 .86571 L
.83408 .86519 L
.83309 .86435 L
.83218 .86359 L
.83148 .86299 L
.8303 .86198 L
.82988 .86162 L
.82842 .86038 L
.82827 .86024 L
.82667 .85886 L
.82656 .85877 L
.82506 .85747 L
.82471 .85717 L
.82346 .85607 L
.82288 .85556 L
.82185 .85466 L
.82105 .85396 L
.82025 .85325 L
.81923 .85235 L
.81864 .85183 L
.81742 .85074 L
.81703 .8504 L
.81563 .84914 L
.81543 .84896 L
.81384 .84753 L
.81382 .84752 L
.81222 .84607 L
.81206 .84593 L
.81061 .84461 L
.81029 .84432 L
.80901 .84315 L
.80853 .84272 L
.8074 .84169 L
.80678 .84111 L
.8058 .84022 L
.80503 .83951 L
.80419 .83874 L
.80328 .8379 L
.80259 .83726 L
.80154 .8363 L
.80098 .83578 L
.79981 .83469 L
.79938 .83429 L
.79808 .83309 L
.79777 .8328 L
.79635 .83148 L
.79617 .83131 L
.79463 .82988 L
.79456 .82981 L
.79296 .82831 L
.79291 .82827 L
.79135 .82681 L
.79119 .82667 L
.78975 .82531 L
.78948 .82506 L
.78814 .8238 L
.78777 .82346 L
.78654 .82229 L
.78607 .82185 L
.78493 .82078 L
.78437 .82025 L
.78332 .81926 L
.78267 .81864 L
.78172 .81773 L
.78099 .81703 L
.78011 .81621 L
.7793 .81543 L
.77851 .81467 L
.77763 .81382 L
.7769 .81313 L
.77596 .81222 L
.7753 .81158 L
.7743 .81061 L
.77369 .81002 L
.77265 .80901 L
.77209 .80846 L
.77101 .8074 L
.77048 .80688 L
.76938 .8058 L
.76888 .8053 L
.76777 .80419 L
.76727 .8037 L
.76616 .80259 L
.76567 .8021 L
.76456 .80098 L
.76406 .80048 L
.76297 .79938 L
.76246 .79885 L
.76139 .79777 L
.76085 .79722 L
.75983 .79617 L
.75925 .79557 L
.75827 .79456 L
.75764 .79391 L
.75672 .79296 L
.75604 .79225 L
.75517 .79135 L
.75443 .79058 L
.75364 .78975 L
.75283 .78889 L
.75211 .78814 L
.75122 .7872 L
.75059 .78654 L
.74961 .7855 L
.74908 .78493 L
.74801 .7838 L
.74757 .78332 L
.7464 .78208 L
.74607 .78172 L
.7448 .78035 L
.74458 .78011 L
.74319 .77862 L
.7431 .77851 L
.74162 .7769 L
.74159 .77687 L
.74016 .7753 L
.73998 .77511 L
.7387 .77369 L
.73838 .77334 L
.73725 .77209 L
.73677 .77155 L
.73582 .77048 L
.73517 .76975 L
.7344 .76888 L
.73356 .76792 L
.73299 .76727 L
.73196 .76608 L
.7316 .76567 L
.73035 .76421 L
.73022 .76406 L
.72886 .76246 L
.72875 .76232 L
.72752 .76085 L
.72714 .76039 L
.7262 .75925 L
.72554 .75843 L
.7249 .75764 L
.72393 .75642 L
.72363 .75604 L
.72238 .75443 L
.72233 .75436 L
.72117 .75283 L
.72072 .75223 L
.71999 .75122 L
.71912 .75 L
.71885 .74961 L
.71776 .74801 L
.71751 .74765 L
.71673 .7464 L
.7159 .74503 L
.71578 .7448 L
.71493 .74319 L
.7143 .74172 L
.71425 .74159 L
.71382 .73998 L
.71429 .73838 L
F
1 .99 .733 r
.7143 .81574 m
.7159 .81552 L
.71751 .81565 L
.71912 .81573 L
.72072 .81597 L
.72233 .81617 L
.72393 .81635 L
.72554 .81649 L
.72714 .8166 L
.72875 .81669 L
.73035 .81676 L
.73196 .81681 L
.73356 .81685 L
.73517 .81689 L
.73677 .81691 L
.73838 .81692 L
.73998 .81693 L
.74159 .81694 L
.74319 .81694 L
.7448 .81693 L
.7464 .81692 L
.74801 .81691 L
.74961 .81689 L
.75122 .81685 L
.75283 .81681 L
.75443 .81676 L
.75604 .81669 L
.75764 .8166 L
.75925 .81647 L
.76085 .81628 L
.76246 .81601 L
.76406 .8157 L
.76567 .81552 L
.76727 .81565 L
.76888 .81612 L
.77048 .81688 L
.77077 .81703 L
.77209 .8178 L
.77337 .81864 L
.77369 .81886 L
.7753 .82 L
.77563 .82025 L
.7769 .82121 L
.77773 .82185 L
.77851 .82247 L
.77972 .82346 L
.78011 .82378 L
.78164 .82506 L
.78172 .82513 L
.78332 .82651 L
.78351 .82667 L
.78493 .82792 L
.78532 .82827 L
.78654 .82937 L
.78709 .82988 L
.78814 .83085 L
.78882 .83148 L
.78975 .83235 L
.79051 .83309 L
.79135 .8339 L
.79217 .83469 L
.79296 .83547 L
.79378 .8363 L
.79456 .83708 L
.79536 .8379 L
.79617 .83874 L
.79689 .83951 L
.79777 .84045 L
.79836 .84111 L
.79938 .84223 L
.79978 .84272 L
.80098 .84414 L
.80111 .84432 L
.80232 .84593 L
.80259 .84633 L
.8033 .84753 L
.80351 .84914 L
.80259 .84954 L
.80098 .84957 L
.79938 .84925 L
.79856 .84914 L
.79777 .84904 L
.79617 .84879 L
.79456 .84856 L
.79296 .84836 L
.79135 .84819 L
.78975 .84806 L
.78814 .84796 L
.78654 .84788 L
.78493 .84781 L
.78332 .84776 L
.78172 .84773 L
.78011 .8477 L
.77851 .84768 L
.7769 .84767 L
.7753 .84766 L
.77369 .84766 L
.77209 .84767 L
.77048 .84768 L
.76888 .84769 L
.76727 .84772 L
.76567 .84775 L
.76406 .84779 L
.76246 .84785 L
.76085 .84792 L
.75925 .84803 L
.75764 .84818 L
.75604 .84842 L
.75443 .84877 L
.75318 .84914 L
.75283 .84919 L
.75122 .84952 L
.74961 .84949 L
.74835 .84914 L
.74801 .84901 L
.7464 .84824 L
.74521 .84753 L
.7448 .84727 L
.74319 .84619 L
.74283 .84593 L
.74159 .84502 L
.74068 .84432 L
.73998 .84379 L
.73865 .84272 L
.73838 .8425 L
.73677 .84117 L
.7367 .84111 L
.73517 .83981 L
.73482 .83951 L
.73356 .83841 L
.73299 .8379 L
.73196 .83698 L
.73121 .8363 L
.73035 .83552 L
.72946 .83469 L
.72875 .83402 L
.72776 .83309 L
.72714 .8325 L
.72609 .83148 L
.72554 .83094 L
.72446 .82988 L
.72393 .82935 L
.72287 .82827 L
.72233 .82771 L
.72132 .82667 L
.72072 .82603 L
.71983 .82506 L
.71912 .82429 L
.71839 .82346 L
.71751 .82246 L
.71702 .82185 L
.7159 .82046 L
.71576 .82025 L
.71466 .81864 L
.7143 .81801 L
.7139 .81703 L
F
1 .74 0 r
.7159 .79485 m
.71751 .79465 L
.71912 .79459 L
.72072 .7947 L
.72233 .79494 L
.72393 .79531 L
.72554 .79578 L
.72665 .79617 L
.72714 .79635 L
.72875 .79703 L
.73028 .79777 L
.73035 .79781 L
.73196 .79869 L
.73306 .79938 L
.73356 .7997 L
.73517 .80085 L
.73533 .80098 L
.73677 .80218 L
.73721 .80259 L
.73838 .80376 L
.73872 .80419 L
.73983 .8058 L
.73998 .80611 L
.7404 .8074 L
.74001 .80901 L
.73998 .80905 L
.73838 .81022 L
.73677 .81042 L
.73517 .81046 L
.73356 .81035 L
.73196 .81012 L
.73035 .80977 L
.72875 .80931 L
.72785 .80901 L
.72714 .80875 L
.72554 .80809 L
.72412 .8074 L
.72393 .80731 L
.72233 .80642 L
.72132 .8058 L
.72072 .80541 L
.71912 .80423 L
.71907 .80419 L
.71751 .80287 L
.71722 .80259 L
.7159 .8012 L
.71574 .80098 L
.71465 .79938 L
.7143 .79861 L
.71407 .79777 L
.7143 .79626 L
.71435 .79617 L
F
1 .73 0 r
.7159 .79545 m
.71751 .79502 L
.71912 .79493 L
.72072 .79502 L
.72233 .79525 L
.72393 .79561 L
.72554 .79608 L
.72579 .79617 L
.72714 .79665 L
.72875 .79734 L
.72965 .79777 L
.73035 .79813 L
.73196 .79903 L
.73251 .79938 L
.73356 .80006 L
.73482 .80098 L
.73517 .80124 L
.73671 .80259 L
.73677 .80264 L
.73821 .80419 L
.73838 .80441 L
.73928 .8058 L
.73977 .8074 L
.73916 .80901 L
.73838 .80966 L
.73677 .81006 L
.73517 .81014 L
.73356 .81005 L
.73196 .80982 L
.73035 .80947 L
.72875 .80901 L
.72873 .80901 L
.72714 .80846 L
.72554 .80778 L
.72474 .8074 L
.72393 .807 L
.72233 .80608 L
.72187 .8058 L
.72072 .80504 L
.71958 .80419 L
.71912 .80384 L
.71773 .80259 L
.71751 .80241 L
.71625 .80098 L
.7159 .80052 L
.7152 .79938 L
.7147 .79777 L
.7152 .79617 L
F
1 .72 0 r
.71751 .7955 m
.71912 .79531 L
.72072 .79536 L
.72233 .79558 L
.72393 .79593 L
.72483 .79617 L
.72554 .79639 L
.72714 .79696 L
.72875 .79766 L
.72899 .79777 L
.73035 .79845 L
.73195 .79938 L
.73196 .79938 L
.73356 .80044 L
.73429 .80098 L
.73517 .80165 L
.73619 .80259 L
.73677 .80308 L
.73769 .80419 L
.73838 .80518 L
.73872 .8058 L
.73911 .8074 L
.73838 .80883 L
.73817 .80901 L
.73677 .80961 L
.73517 .80978 L
.73356 .80973 L
.73196 .80951 L
.73035 .80917 L
.72971 .80901 L
.72875 .80872 L
.72714 .80816 L
.72554 .80747 L
.7254 .8074 L
.72393 .80667 L
.72243 .8058 L
.72233 .80573 L
.72072 .80466 L
.72011 .80419 L
.71912 .80341 L
.71824 .80259 L
.71751 .80192 L
.71678 .80098 L
.7159 .79965 L
.71576 .79938 L
.71536 .79777 L
.7159 .79643 L
.71617 .79617 L
F
1 .71 0 r
.71751 .79613 m
.71912 .79574 L
.72072 .79573 L
.72233 .79592 L
.72371 .79617 L
.72393 .79625 L
.72554 .7967 L
.72714 .79728 L
.72829 .79777 L
.72875 .79798 L
.73035 .79879 L
.73137 .79938 L
.73196 .79973 L
.73356 .80083 L
.73376 .80098 L
.73517 .80211 L
.73567 .80259 L
.73677 .80367 L
.73715 .80419 L
.73814 .8058 L
.73838 .80654 L
.73841 .8074 L
.73838 .80755 L
.73687 .80901 L
.73677 .80905 L
.73517 .80938 L
.73356 .80938 L
.73196 .80919 L
.73085 .80901 L
.73035 .80887 L
.72875 .80842 L
.72714 .80784 L
.72609 .8074 L
.72554 .80715 L
.72393 .80634 L
.72301 .8058 L
.72233 .80539 L
.72072 .80425 L
.72064 .80419 L
.71912 .80294 L
.71876 .80259 L
.71751 .80127 L
.71731 .80098 L
.71635 .79938 L
.71606 .79777 L
.71742 .79617 L
F
1 .7 0 r
.72072 .79614 m
.72128 .79617 L
.72233 .79627 L
.72393 .79657 L
.72554 .79703 L
.72714 .79762 L
.72752 .79777 L
.72875 .79831 L
.73035 .79914 L
.73076 .79938 L
.73196 .8001 L
.73321 .80098 L
.73356 .80122 L
.73514 .80259 L
.73517 .8026 L
.7366 .80419 L
.73677 .80443 L
.73754 .8058 L
.73766 .8074 L
.73677 .80841 L
.73517 .80892 L
.73356 .809 L
.73196 .80887 L
.73035 .80856 L
.72875 .80811 L
.72714 .80752 L
.72686 .8074 L
.72554 .80683 L
.72393 .80598 L
.72361 .8058 L
.72233 .80501 L
.72119 .80419 L
.72072 .80387 L
.7193 .80259 L
.71912 .8025 L
.71787 .80098 L
.71751 .80046 L
.71695 .79938 L
.71682 .79777 L
.71751 .79686 L
.71912 .79624 L
.71971 .79617 L
F
1 .69 0 r
.71912 .79679 m
.72072 .79647 L
.72233 .79661 L
.72393 .79692 L
.72554 .79737 L
.72668 .79777 L
.72714 .79795 L
.72875 .79865 L
.73011 .79938 L
.73035 .7995 L
.73196 .8005 L
.73263 .80098 L
.73356 .80164 L
.73458 .80259 L
.73517 .80294 L
.73603 .80419 L
.73677 .80546 L
.7369 .8058 L
.7368 .8074 L
.73677 .80744 L
.73517 .80841 L
.73356 .80869 L
.73196 .80854 L
.73035 .80823 L
.72875 .80777 L
.72769 .8074 L
.72714 .8072 L
.72554 .80649 L
.72425 .8058 L
.72393 .80563 L
.72233 .80461 L
.72176 .80419 L
.72072 .80343 L
.71985 .80259 L
.71912 .80204 L
.71844 .80098 L
.7176 .79938 L
.71768 .79777 L
F
1 .68 0 r
.71912 .79749 m
.72072 .79693 L
.72233 .79702 L
.72393 .7973 L
.72554 .79775 L
.72562 .79777 L
.72714 .79829 L
.72875 .79903 L
.72942 .79938 L
.73035 .79987 L
.73196 .80093 L
.73203 .80098 L
.73356 .80215 L
.734 .80259 L
.73517 .8037 L
.73543 .80419 L
.73622 .8058 L
.73582 .8074 L
.73517 .80779 L
.73356 .80826 L
.73196 .80815 L
.73035 .80786 L
.72875 .80741 L
.72873 .8074 L
.72714 .80686 L
.72554 .80611 L
.72493 .8058 L
.72393 .80526 L
.72236 .80419 L
.72233 .80417 L
.72072 .80289 L
.72043 .80259 L
.71912 .80112 L
.71905 .80098 L
.71829 .79938 L
.7187 .79777 L
F
1 1 1 r
.71912 .81823 m
.72072 .81757 L
.72233 .81722 L
.72393 .8172 L
.72554 .81719 L
.72714 .81718 L
.72875 .81718 L
.73035 .81718 L
.73196 .81718 L
.73356 .81718 L
.73517 .81718 L
.73677 .81718 L
.73838 .81718 L
.73998 .81718 L
.74159 .81718 L
.74319 .81718 L
.7448 .81718 L
.7464 .81718 L
.74801 .81719 L
.74961 .81719 L
.75122 .81719 L
.75283 .81719 L
.75443 .81719 L
.75604 .8172 L
.75764 .81721 L
.75925 .81723 L
.76085 .81727 L
.76246 .81734 L
.76406 .81747 L
.76567 .81769 L
.76727 .81802 L
.76888 .81851 L
.76922 .81864 L
.77048 .81917 L
.77209 .81998 L
.77256 .82025 L
.77369 .82092 L
.77514 .82185 L
.7753 .82196 L
.7769 .82308 L
.77741 .82346 L
.77851 .82428 L
.77951 .82506 L
.78011 .82554 L
.78148 .82667 L
.78172 .82686 L
.78332 .82823 L
.78337 .82827 L
.78493 .82965 L
.78518 .82988 L
.78654 .83112 L
.78692 .83148 L
.78814 .83264 L
.7886 .83309 L
.78975 .83422 L
.79022 .83469 L
.79135 .83586 L
.79177 .8363 L
.79296 .83758 L
.79324 .8379 L
.79456 .83943 L
.79462 .83951 L
.79588 .84111 L
.79617 .84136 L
.79697 .84272 L
.79775 .84432 L
.79777 .84439 L
.79777 .84593 L
.79777 .84593 L
.79617 .84693 L
.79456 .84733 L
.79296 .84735 L
.79135 .84737 L
.78975 .84738 L
.78814 .84738 L
.78654 .84739 L
.78493 .84739 L
.78332 .84739 L
.78172 .84739 L
.78011 .84739 L
.77851 .84738 L
.7769 .84738 L
.7753 .84738 L
.77369 .84738 L
.77209 .84738 L
.77048 .84738 L
.76888 .84738 L
.76727 .84738 L
.76567 .84738 L
.76406 .84738 L
.76246 .84737 L
.76085 .84737 L
.75925 .84736 L
.75764 .84734 L
.75604 .8473 L
.75443 .84724 L
.75283 .84712 L
.75122 .84692 L
.74961 .84661 L
.74801 .84616 L
.74737 .84593 L
.7464 .84552 L
.7448 .84475 L
.74404 .84432 L
.74319 .84383 L
.74159 .84281 L
.74146 .84272 L
.73998 .8417 L
.73918 .84111 L
.73838 .84051 L
.73708 .83951 L
.73677 .83926 L
.73517 .83795 L
.73511 .8379 L
.73356 .83659 L
.73322 .8363 L
.73196 .83519 L
.73141 .83469 L
.73035 .83373 L
.72967 .83309 L
.72875 .83222 L
.72799 .83148 L
.72714 .83065 L
.72637 .82988 L
.72554 .82902 L
.72482 .82827 L
.72393 .82732 L
.72335 .82667 L
.72233 .8255 L
.72196 .82506 L
.72072 .82348 L
.7207 .82346 L
.71961 .82185 L
.71912 .82094 L
.71883 .82025 L
.71881 .81864 L
F
1 .67 0 r
.72072 .79759 m
.72233 .7975 L
.72393 .79772 L
.72424 .79777 L
.72554 .79808 L
.72714 .79867 L
.72865 .79938 L
.72875 .79942 L
.73035 .80028 L
.73139 .80098 L
.73196 .80129 L
.73339 .80259 L
.73356 .80276 L
.7348 .80419 L
.73517 .80485 L
.73546 .8058 L
.73517 .80684 L
.73437 .8074 L
.73356 .80767 L
.73196 .8077 L
.73035 .80745 L
.73008 .8074 L
.72875 .80708 L
.72714 .80649 L
.72569 .8058 L
.72554 .80573 L
.72393 .80485 L
.72299 .80419 L
.72233 .80381 L
.72104 .80259 L
.72072 .80226 L
.71968 .80098 L
.71912 .7997 L
.71906 .79938 L
.71912 .79885 L
.7202 .79777 L
F
1 .92 .084 r
.72072 .74361 m
.72233 .7436 L
.72393 .74411 L
.72554 .74479 L
.72555 .7448 L
.72714 .74557 L
.72869 .7464 L
.72875 .74644 L
.73035 .74737 L
.73143 .74801 L
.73196 .74834 L
.73356 .74936 L
.73396 .74961 L
.73517 .75041 L
.73638 .75122 L
.73677 .75149 L
.73838 .75259 L
.73872 .75283 L
.73998 .75372 L
.74099 .75443 L
.74159 .75486 L
.74319 .75603 L
.7432 .75604 L
.7448 .75721 L
.74538 .75764 L
.7464 .75841 L
.74752 .75925 L
.74801 .75962 L
.74961 .76085 L
.74962 .76085 L
.75122 .76208 L
.7517 .76246 L
.75283 .76333 L
.75376 .76406 L
.75443 .76459 L
.75579 .76567 L
.75604 .76587 L
.75764 .76715 L
.7578 .76727 L
.75925 .76844 L
.75979 .76888 L
.76085 .76974 L
.76177 .77048 L
.76246 .77105 L
.76372 .77209 L
.76406 .77237 L
.76567 .77369 L
.76567 .77369 L
.76727 .77503 L
.7676 .7753 L
.76888 .77637 L
.76952 .7769 L
.77048 .77772 L
.77142 .77851 L
.77209 .77907 L
.77331 .78011 L
.77369 .78044 L
.7752 .78172 L
.7753 .78181 L
.7769 .78318 L
.77707 .78332 L
.77851 .78457 L
.77893 .78493 L
.78011 .78596 L
.78078 .78654 L
.78172 .78736 L
.78262 .78814 L
.78332 .78876 L
.78445 .78975 L
.78493 .79017 L
.78627 .79135 L
.78654 .79159 L
.78808 .79296 L
.78814 .79301 L
.78975 .79444 L
.78989 .79456 L
.79135 .79587 L
.79168 .79617 L
.79296 .79731 L
.79347 .79777 L
.79456 .79876 L
.79525 .79938 L
.79617 .80021 L
.79702 .80098 L
.79777 .80166 L
.79879 .80259 L
.79938 .80313 L
.80054 .80419 L
.80098 .8046 L
.80229 .8058 L
.80259 .80607 L
.80403 .8074 L
.80419 .80755 L
.80577 .80901 L
.8058 .80904 L
.8074 .81053 L
.8075 .81061 L
.80901 .81203 L
.80922 .81222 L
.81061 .81353 L
.81093 .81382 L
.81222 .81504 L
.81263 .81543 L
.81382 .81655 L
.81433 .81703 L
.81543 .81808 L
.81602 .81864 L
.81703 .8196 L
.81771 .82025 L
.81864 .82114 L
.81939 .82185 L
.82025 .82268 L
.82106 .82346 L
.82185 .82422 L
.82272 .82506 L
.82346 .82577 L
.82438 .82667 L
.82506 .82733 L
.82603 .82827 L
.82667 .8289 L
.82767 .82988 L
.82827 .83047 L
.8293 .83148 L
.82988 .83205 L
.83093 .83309 L
.83148 .83363 L
.83255 .83469 L
.83309 .83522 L
.83417 .8363 L
.83469 .83682 L
.83577 .8379 L
.8363 .83843 L
.83737 .83951 L
.8379 .84005 L
.83896 .84111 L
.83951 .84167 L
.84054 .84272 L
.84111 .8433 L
.84212 .84432 L
.84272 .84494 L
.84368 .84593 L
.84432 .84659 L
.84524 .84753 L
.84593 .84825 L
.84679 .84914 L
.84753 .84991 L
.84833 .85074 L
.84914 .85159 L
.84986 .85235 L
.85074 .85328 L
.85139 .85396 L
.85235 .85498 L
.8529 .85556 L
.85396 .85669 L
.8544 .85717 L
.85556 .85841 L
.8559 .85877 L
.85717 .86015 L
.85738 .86038 L
.85877 .8619 L
.85885 .86198 L
.86031 .86359 L
.86038 .86366 L
.86175 .86519 L
.86198 .86544 L
.86319 .8668 L
.86359 .86724 L
.86461 .8684 L
.86519 .86907 L
.86601 .87001 L
.8668 .87091 L
.8674 .87161 L
.8684 .87278 L
.86878 .87322 L
.87001 .87467 L
.87013 .87482 L
.87147 .87643 L
.87161 .8766 L
.87278 .87803 L
.87322 .87857 L
.87407 .87964 L
.87482 .88059 L
.87533 .88124 L
.87643 .88267 L
.87657 .88285 L
.87777 .88445 L
.87803 .88481 L
.87892 .88606 L
.87964 .88708 L
.88003 .88767 L
.88108 .88927 L
.88124 .8895 L
.88205 .89088 L
.88285 .89234 L
.88291 .89248 L
.88363 .89409 L
.8841 .89569 L
.88337 .8973 L
.88285 .89749 L
.88124 .89733 L
.8811 .8973 L
.87964 .89685 L
.87803 .89615 L
.87702 .89569 L
.87643 .89536 L
.87482 .89448 L
.87412 .89409 L
.87322 .89355 L
.87161 .89256 L
.87148 .89248 L
.87001 .89155 L
.86898 .89088 L
.8684 .89049 L
.8668 .88941 L
.86659 .88927 L
.86519 .8883 L
.86428 .88767 L
.86359 .88717 L
.86203 .88606 L
.86198 .88602 L
.86038 .88486 L
.85983 .88445 L
.85877 .88367 L
.85767 .88285 L
.85717 .88247 L
.85556 .88126 L
.85554 .88124 L
.85396 .88003 L
.85344 .87964 L
.85235 .8788 L
.85137 .87803 L
.85074 .87755 L
.84932 .87643 L
.84914 .87629 L
.84753 .87501 L
.84729 .87482 L
.84593 .87373 L
.84529 .87322 L
.84432 .87244 L
.8433 .87161 L
.84272 .87114 L
.84132 .87001 L
.84111 .86984 L
.83951 .86852 L
.83937 .8684 L
.8379 .8672 L
.83742 .8668 L
.8363 .86586 L
.83549 .86519 L
.83469 .86452 L
.83358 .86359 L
.83309 .86317 L
.83167 .86198 L
.83148 .86182 L
.82988 .86046 L
.82978 .86038 L
.82827 .85909 L
.8279 .85877 L
.82667 .85771 L
.82604 .85717 L
.82506 .85632 L
.82418 .85556 L
.82346 .85493 L
.82234 .85396 L
.82185 .85353 L
.82051 .85235 L
.82025 .85212 L
.81868 .85074 L
.81864 .85071 L
.81703 .84928 L
.81687 .84914 L
.81543 .84785 L
.81507 .84753 L
.81382 .84642 L
.81328 .84593 L
.81222 .84498 L
.81149 .84432 L
.81061 .84353 L
.80972 .84272 L
.80901 .84207 L
.80795 .84111 L
.8074 .84061 L
.80619 .83951 L
.8058 .83915 L
.80444 .8379 L
.80419 .83768 L
.80269 .8363 L
.80259 .8362 L
.80098 .83472 L
.80095 .83469 L
.79938 .83324 L
.79921 .83309 L
.79777 .83175 L
.79748 .83148 L
.79617 .83026 L
.79576 .82988 L
.79456 .82876 L
.79404 .82827 L
.79296 .82726 L
.79232 .82667 L
.79135 .82576 L
.79061 .82506 L
.78975 .82425 L
.78891 .82346 L
.78814 .82273 L
.78721 .82185 L
.78654 .82122 L
.78551 .82025 L
.78493 .81969 L
.78382 .81864 L
.78332 .81816 L
.78214 .81703 L
.78172 .81663 L
.78047 .81543 L
.78011 .81509 L
.7788 .81382 L
.77851 .81354 L
.77714 .81222 L
.7769 .81199 L
.77549 .81061 L
.7753 .81042 L
.77385 .80901 L
.77369 .80885 L
.77222 .8074 L
.77209 .80727 L
.7706 .8058 L
.77048 .80568 L
.76899 .80419 L
.76888 .80408 L
.76738 .80259 L
.76727 .80248 L
.76579 .80098 L
.76567 .80086 L
.76421 .79938 L
.76406 .79923 L
.76263 .79777 L
.76246 .79759 L
.76107 .79617 L
.76085 .79594 L
.75951 .79456 L
.75925 .79428 L
.75797 .79296 L
.75764 .79262 L
.75643 .79135 L
.75604 .79094 L
.7549 .78975 L
.75443 .78925 L
.75338 .78814 L
.75283 .78755 L
.75187 .78654 L
.75122 .78585 L
.75036 .78493 L
.74961 .78413 L
.74887 .78332 L
.74801 .7824 L
.74738 .78172 L
.7464 .78066 L
.74591 .78011 L
.7448 .7789 L
.74444 .77851 L
.74319 .77713 L
.74299 .7769 L
.74159 .77535 L
.74154 .7753 L
.74011 .77369 L
.73998 .77355 L
.7387 .77209 L
.73838 .77172 L
.7373 .77048 L
.73677 .76988 L
.73591 .76888 L
.73517 .76801 L
.73454 .76727 L
.73356 .76612 L
.73319 .76567 L
.73196 .76418 L
.73186 .76406 L
.73055 .76246 L
.73035 .76221 L
.72926 .76085 L
.72875 .7602 L
.72801 .75925 L
.72714 .75811 L
.72679 .75764 L
.7256 .75604 L
.72554 .75595 L
.72446 .75443 L
.72393 .75368 L
.72337 .75283 L
.72234 .75122 L
.72233 .7512 L
.7214 .74961 L
.72072 .74836 L
.72059 .74801 L
.71994 .7464 L
.71957 .7448 L
F
1 .66 0 r
.72072 .79838 m
.72233 .79804 L
.72393 .79803 L
.72554 .79848 L
.72714 .7991 L
.72779 .79938 L
.72875 .79977 L
.73035 .80075 L
.73069 .80098 L
.73196 .80179 L
.73274 .80259 L
.73356 .80347 L
.73411 .80419 L
.73463 .8058 L
.73356 .80694 L
.73196 .80718 L
.73035 .80716 L
.72875 .8067 L
.72714 .80606 L
.72654 .8058 L
.72554 .80538 L
.72393 .80436 L
.72369 .80419 L
.72233 .80327 L
.7217 .80259 L
.72072 .80147 L
.72038 .80098 L
.71991 .79938 L
F
1 .65 0 r
.72233 .7987 m
.72393 .79851 L
.72554 .79897 L
.72688 .79938 L
.72714 .79944 L
.72875 .80023 L
.72993 .80098 L
.73035 .80128 L
.73196 .80253 L
.732 .80259 L
.73334 .80419 L
.73351 .8058 L
.73196 .80658 L
.73035 .80671 L
.72875 .80622 L
.72746 .8058 L
.72714 .80574 L
.72554 .80492 L
.72444 .80419 L
.72393 .80382 L
.72242 .80259 L
.72233 .80248 L
.72115 .80098 L
.72107 .79938 L
F
.733 .99 1 r
.72393 .81852 m
.72554 .81807 L
.72714 .81785 L
.72875 .81771 L
.73035 .81762 L
.73196 .81756 L
.73356 .81752 L
.73517 .81748 L
.73677 .81746 L
.73838 .81744 L
.73998 .81743 L
.74159 .81743 L
.74319 .81743 L
.7448 .81743 L
.7464 .81744 L
.74801 .81746 L
.74961 .81748 L
.75122 .81752 L
.75283 .81756 L
.75443 .81762 L
.75604 .81769 L
.75764 .81779 L
.75925 .81792 L
.76085 .81809 L
.76246 .81831 L
.76406 .81858 L
.76436 .81864 L
.76567 .81897 L
.76727 .81947 L
.76888 .82005 L
.76934 .82025 L
.77048 .82077 L
.77209 .8216 L
.77254 .82185 L
.77369 .82254 L
.77514 .82346 L
.7753 .82357 L
.7769 .82468 L
.77743 .82506 L
.77851 .82587 L
.77953 .82667 L
.78011 .82713 L
.7815 .82827 L
.78172 .82846 L
.78332 .82985 L
.78335 .82988 L
.78493 .83132 L
.78511 .83148 L
.78654 .83285 L
.78678 .83309 L
.78814 .83447 L
.78835 .83469 L
.78975 .8362 L
.78983 .8363 L
.7912 .8379 L
.79135 .83808 L
.79243 .83951 L
.79296 .84021 L
.79345 .84111 L
.79415 .84272 L
.79422 .84432 L
.79296 .84568 L
.79237 .84593 L
.79135 .84627 L
.78975 .84657 L
.78814 .84675 L
.78654 .84686 L
.78493 .84694 L
.78332 .84699 L
.78172 .84704 L
.78011 .84706 L
.77851 .84709 L
.7769 .8471 L
.7753 .84711 L
.77369 .84711 L
.77209 .8471 L
.77048 .84709 L
.76888 .84708 L
.76727 .84705 L
.76567 .84702 L
.76406 .84697 L
.76246 .84691 L
.76085 .84683 L
.75925 .84673 L
.75764 .84659 L
.75604 .84642 L
.75443 .8462 L
.75283 .84594 L
.75277 .84593 L
.75122 .84555 L
.74961 .84507 L
.74801 .8445 L
.74757 .84432 L
.7464 .8438 L
.7448 .843 L
.74428 .84272 L
.74319 .84209 L
.74162 .84111 L
.74159 .84109 L
.73998 .84001 L
.73928 .83951 L
.73838 .83884 L
.73714 .8379 L
.73677 .83761 L
.73517 .83631 L
.73515 .8363 L
.73356 .83495 L
.73327 .83469 L
.73196 .83352 L
.73149 .83309 L
.73035 .83202 L
.7298 .83148 L
.72875 .83044 L
.7282 .82988 L
.72714 .82876 L
.72669 .82827 L
.72554 .82695 L
.7253 .82667 L
.72404 .82506 L
.72393 .82494 L
.72297 .82346 L
.72233 .82216 L
.72221 .82185 L
.72205 .82025 L
.72233 .8196 L
.72367 .81864 L
F
1 .64 0 r
.72393 .7993 m
.72458 .79938 L
.72554 .79956 L
.72714 .7998 L
.72875 .80084 L
.72898 .80098 L
.73035 .8019 L
.73121 .80259 L
.73196 .80345 L
.73244 .80419 L
.73196 .80571 L
.73175 .8058 L
.73035 .80597 L
.7294 .8058 L
.72875 .80564 L
.72714 .80538 L
.72554 .8043 L
.72538 .80419 L
.72393 .80318 L
.72323 .80259 L
.72233 .80143 L
.72209 .80098 L
.72233 .79973 L
.72313 .79938 L
F
1 .63 0 r
.72393 .8003 m
.72554 .80026 L
.72714 .80061 L
.72797 .80098 L
.72875 .80155 L
.73015 .80259 L
.73035 .80279 L
.73119 .80419 L
.73035 .80506 L
.72875 .80497 L
.72714 .80458 L
.72641 .80419 L
.72554 .80358 L
.72409 .80259 L
.72393 .8022 L
.72311 .80098 L
F
.538 .98 1 r
.72875 .81839 m
.73035 .81815 L
.73196 .81799 L
.73356 .81788 L
.73517 .8178 L
.73677 .81775 L
.73838 .81771 L
.73998 .81769 L
.74159 .81767 L
.74319 .81767 L
.7448 .81768 L
.7464 .8177 L
.74801 .81773 L
.74961 .81777 L
.75122 .81783 L
.75283 .8179 L
.75443 .818 L
.75604 .81813 L
.75764 .81829 L
.75925 .81848 L
.76035 .81864 L
.76085 .81873 L
.76246 .81906 L
.76406 .81946 L
.76567 .81994 L
.76658 .82025 L
.76727 .82051 L
.76888 .8212 L
.77026 .82185 L
.77048 .82197 L
.77209 .82284 L
.77313 .82346 L
.77369 .82381 L
.7753 .82486 L
.77559 .82506 L
.7769 .826 L
.7778 .82667 L
.77851 .82722 L
.77983 .82827 L
.78011 .82851 L
.78172 .82988 L
.78172 .82988 L
.78332 .83133 L
.78349 .83148 L
.78493 .83287 L
.78515 .83309 L
.78654 .83452 L
.7867 .83469 L
.78812 .8363 L
.78814 .83632 L
.7894 .8379 L
.78975 .83835 L
.7905 .83951 L
.79133 .84111 L
.79135 .84117 L
.79173 .84272 L
.79135 .8442 L
.79126 .84432 L
.78975 .84563 L
.78814 .84592 L
.78806 .84593 L
.78654 .84623 L
.78493 .84643 L
.78332 .84657 L
.78172 .84666 L
.78011 .84673 L
.77851 .84678 L
.7769 .84681 L
.7753 .84683 L
.77369 .84683 L
.77209 .84683 L
.77048 .84681 L
.76888 .84678 L
.76727 .84674 L
.76567 .84668 L
.76406 .8466 L
.76246 .84649 L
.76085 .84636 L
.75925 .8462 L
.75764 .84601 L
.75708 .84593 L
.75604 .84575 L
.75443 .84541 L
.75283 .84501 L
.75122 .84455 L
.75052 .84432 L
.74961 .84398 L
.74801 .84332 L
.7467 .84272 L
.7464 .84257 L
.7448 .84172 L
.74374 .84111 L
.74319 .84078 L
.74159 .83976 L
.74121 .83951 L
.73998 .83865 L
.73895 .8379 L
.73838 .83748 L
.73687 .8363 L
.73677 .83622 L
.73517 .83489 L
.73493 .83469 L
.73356 .83349 L
.73312 .83309 L
.73196 .832 L
.73142 .83148 L
.73035 .83042 L
.72983 .82988 L
.72875 .82871 L
.72836 .82827 L
.72714 .82681 L
.72703 .82667 L
.72588 .82506 L
.72554 .82466 L
.72498 .82346 L
.72449 .82185 L
.72481 .82025 L
.72554 .81952 L
.72714 .81879 L
.72768 .81864 L
F
1 .91 .061 r
.72554 .74906 m
.72714 .74859 L
.72875 .74906 L
.73012 .74961 L
.73035 .74971 L
.73196 .75048 L
.73337 .75122 L
.73356 .75134 L
.73517 .75227 L
.7361 .75283 L
.73677 .75325 L
.73838 .75427 L
.73863 .75443 L
.73998 .75533 L
.74104 .75604 L
.74159 .75641 L
.74319 .75752 L
.74336 .75764 L
.7448 .75866 L
.74562 .75925 L
.7464 .75982 L
.74782 .76085 L
.74801 .76099 L
.74961 .76218 L
.74998 .76246 L
.75122 .76339 L
.7521 .76406 L
.75283 .76461 L
.7542 .76567 L
.75443 .76585 L
.75604 .7671 L
.75626 .76727 L
.75764 .76836 L
.7583 .76888 L
.75925 .76963 L
.76031 .77048 L
.76085 .77091 L
.76231 .77209 L
.76246 .77221 L
.76406 .77351 L
.76429 .77369 L
.76567 .77482 L
.76625 .7753 L
.76727 .77614 L
.76819 .7769 L
.76888 .77747 L
.77012 .77851 L
.77048 .77881 L
.77204 .78011 L
.77209 .78016 L
.77369 .78151 L
.77394 .78172 L
.7753 .78288 L
.77583 .78332 L
.7769 .78425 L
.7777 .78493 L
.77851 .78562 L
.77957 .78654 L
.78011 .78701 L
.78142 .78814 L
.78172 .7884 L
.78327 .78975 L
.78332 .78979 L
.78493 .7912 L
.7851 .79135 L
.78654 .79261 L
.78693 .79296 L
.78814 .79403 L
.78874 .79456 L
.78975 .79545 L
.79055 .79617 L
.79135 .79688 L
.79234 .79777 L
.79296 .79832 L
.79413 .79938 L
.79456 .79976 L
.79591 .80098 L
.79617 .80121 L
.79768 .80259 L
.79777 .80267 L
.79938 .80413 L
.79944 .80419 L
.80098 .8056 L
.8012 .8058 L
.80259 .80708 L
.80294 .8074 L
.80419 .80856 L
.80468 .80901 L
.8058 .81004 L
.80641 .81061 L
.8074 .81154 L
.80813 .81222 L
.80901 .81304 L
.80985 .81382 L
.81061 .81454 L
.81156 .81543 L
.81222 .81605 L
.81326 .81703 L
.81382 .81757 L
.81495 .81864 L
.81543 .8191 L
.81664 .82025 L
.81703 .82063 L
.81831 .82185 L
.81864 .82216 L
.81998 .82346 L
.82025 .82371 L
.82164 .82506 L
.82185 .82526 L
.8233 .82667 L
.82346 .82682 L
.82495 .82827 L
.82506 .82838 L
.82659 .82988 L
.82667 .82995 L
.82822 .83148 L
.82827 .83153 L
.82984 .83309 L
.82988 .83312 L
.83146 .83469 L
.83148 .83472 L
.83307 .8363 L
.83309 .83632 L
.83467 .8379 L
.83469 .83793 L
.83626 .83951 L
.8363 .83955 L
.83784 .84111 L
.8379 .84117 L
.83942 .84272 L
.83951 .84281 L
.84098 .84432 L
.84111 .84446 L
.84254 .84593 L
.84272 .84611 L
.84409 .84753 L
.84432 .84778 L
.84563 .84914 L
.84593 .84945 L
.84716 .85074 L
.84753 .85114 L
.84868 .85235 L
.84914 .85284 L
.85018 .85396 L
.85074 .85455 L
.85168 .85556 L
.85235 .85628 L
.85317 .85717 L
.85396 .85802 L
.85464 .85877 L
.85556 .85978 L
.85611 .86038 L
.85717 .86155 L
.85756 .86198 L
.85877 .86334 L
.85899 .86359 L
.86038 .86515 L
.86041 .86519 L
.86182 .8668 L
.86198 .86699 L
.86321 .8684 L
.86359 .86885 L
.86458 .87001 L
.86519 .87074 L
.86593 .87161 L
.8668 .87266 L
.86725 .87322 L
.8684 .87463 L
.86856 .87482 L
.86984 .87643 L
.87001 .87664 L
.87109 .87803 L
.87161 .87872 L
.8723 .87964 L
.87322 .88089 L
.87347 .88124 L
.87459 .88285 L
.87482 .88317 L
.87566 .88445 L
.87643 .88569 L
.87663 .88606 L
.87751 .88767 L
.87803 .88885 L
.8782 .88927 L
.87862 .89088 L
.87803 .89212 L
.87643 .89238 L
.87482 .89191 L
.87322 .89123 L
.87238 .89088 L
.87161 .89045 L
.87001 .88958 L
.86946 .88927 L
.8684 .88865 L
.86681 .88767 L
.8668 .88766 L
.86519 .88663 L
.86431 .88606 L
.86359 .88557 L
.86198 .88448 L
.86194 .88445 L
.86038 .88337 L
.85964 .88285 L
.85877 .88223 L
.8574 .88124 L
.85717 .88107 L
.85556 .8799 L
.85521 .87964 L
.85396 .8787 L
.85306 .87803 L
.85235 .87749 L
.85095 .87643 L
.85074 .87627 L
.84914 .87503 L
.84887 .87482 L
.84753 .87378 L
.84681 .87322 L
.84593 .87252 L
.84478 .87161 L
.84432 .87125 L
.84277 .87001 L
.84272 .86997 L
.84111 .86868 L
.84078 .8684 L
.83951 .86737 L
.8388 .8668 L
.8379 .86606 L
.83684 .86519 L
.8363 .86474 L
.8349 .86359 L
.83469 .86341 L
.83309 .86207 L
.83298 .86198 L
.83148 .86073 L
.83107 .86038 L
.82988 .85937 L
.82917 .85877 L
.82827 .85801 L
.82728 .85717 L
.82667 .85664 L
.82541 .85556 L
.82506 .85526 L
.82355 .85396 L
.82346 .85387 L
.82185 .85248 L
.8217 .85235 L
.82025 .85108 L
.81987 .85074 L
.81864 .84967 L
.81804 .84914 L
.81703 .84825 L
.81622 .84753 L
.81543 .84683 L
.81442 .84593 L
.81382 .8454 L
.81262 .84432 L
.81222 .84396 L
.81083 .84272 L
.81061 .84252 L
.80906 .84111 L
.80901 .84107 L
.8074 .83962 L
.80729 .83951 L
.8058 .83815 L
.80552 .8379 L
.80419 .83669 L
.80377 .8363 L
.80259 .83521 L
.80202 .83469 L
.80098 .83374 L
.80028 .83309 L
.79938 .83225 L
.79854 .83148 L
.79777 .83077 L
.79682 .82988 L
.79617 .82927 L
.79509 .82827 L
.79456 .82777 L
.79338 .82667 L
.79296 .82627 L
.79167 .82506 L
.79135 .82476 L
.78996 .82346 L
.78975 .82325 L
.78827 .82185 L
.78814 .82173 L
.78658 .82025 L
.78654 .82021 L
.78493 .81867 L
.78489 .81864 L
.78332 .81714 L
.78322 .81703 L
.78172 .81559 L
.78155 .81543 L
.78011 .81404 L
.77989 .81382 L
.77851 .81248 L
.77824 .81222 L
.7769 .81092 L
.77659 .81061 L
.7753 .80934 L
.77496 .80901 L
.77369 .80776 L
.77333 .8074 L
.77209 .80617 L
.77172 .8058 L
.77048 .80456 L
.77011 .80419 L
.76888 .80295 L
.76851 .80259 L
.76727 .80133 L
.76693 .80098 L
.76567 .7997 L
.76535 .79938 L
.76406 .79806 L
.76378 .79777 L
.76246 .79641 L
.76222 .79617 L
.76085 .79475 L
.76067 .79456 L
.75925 .79307 L
.75913 .79296 L
.75764 .79139 L
.7576 .79135 L
.75608 .78975 L
.75604 .7897 L
.75457 .78814 L
.75443 .78799 L
.75307 .78654 L
.75283 .78627 L
.75158 .78493 L
.75122 .78454 L
.7501 .78332 L
.74961 .78279 L
.74864 .78172 L
.74801 .78103 L
.74718 .78011 L
.7464 .77926 L
.74574 .77851 L
.7448 .77746 L
.7443 .7769 L
.74319 .77565 L
.74289 .7753 L
.74159 .77381 L
.74149 .77369 L
.7401 .77209 L
.73998 .77195 L
.73874 .77048 L
.73838 .77006 L
.73739 .76888 L
.73677 .76813 L
.73607 .76727 L
.73517 .76616 L
.73477 .76567 L
.73356 .76414 L
.7335 .76406 L
.73227 .76246 L
.73196 .76206 L
.73106 .76085 L
.73035 .75988 L
.72991 .75925 L
.7288 .75764 L
.72875 .75757 L
.72776 .75604 L
.72714 .75506 L
.72682 .75443 L
.72598 .75283 L
.72554 .75168 L
.72538 .75122 L
.72518 .74961 L
F
1 .62 0 r
.72714 .80176 m
.72854 .80259 L
.72714 .80342 L
.72589 .80259 L
F
.395 .97 1 r
.73196 .81847 m
.73356 .81828 L
.73517 .81814 L
.73677 .81805 L
.73838 .81799 L
.73998 .81795 L
.74159 .81792 L
.74319 .81792 L
.7448 .81792 L
.7464 .81795 L
.74801 .81799 L
.74961 .81805 L
.75122 .81812 L
.75283 .81823 L
.75443 .81836 L
.75604 .81852 L
.75704 .81864 L
.75764 .81873 L
.75925 .81899 L
.76085 .81932 L
.76246 .81971 L
.76406 .82017 L
.76432 .82025 L
.76567 .82073 L
.76727 .82137 L
.76836 .82185 L
.76888 .8221 L
.77048 .82294 L
.77142 .82346 L
.77209 .82385 L
.77369 .82486 L
.77401 .82506 L
.7753 .82595 L
.7763 .82667 L
.7769 .82712 L
.77838 .82827 L
.77851 .82837 L
.78011 .82971 L
.7803 .82988 L
.78172 .83114 L
.78209 .83148 L
.78332 .83267 L
.78374 .83309 L
.78493 .83433 L
.78526 .83469 L
.78654 .83616 L
.78665 .8363 L
.78786 .8379 L
.78814 .83828 L
.78886 .83951 L
.78955 .84111 L
.78973 .84272 L
.78888 .84432 L
.78814 .84495 L
.78654 .84556 L
.78493 .84586 L
.78448 .84593 L
.78332 .8461 L
.78172 .84627 L
.78011 .84638 L
.77851 .84646 L
.7769 .84652 L
.7753 .84655 L
.77369 .84656 L
.77209 .84655 L
.77048 .84653 L
.76888 .84649 L
.76727 .84643 L
.76567 .84635 L
.76406 .84625 L
.76246 .84611 L
.76085 .84595 L
.76067 .84593 L
.75925 .84573 L
.75764 .84546 L
.75604 .84513 L
.75443 .84474 L
.75291 .84432 L
.75283 .8443 L
.75122 .84374 L
.74961 .84311 L
.74869 .84272 L
.74801 .8424 L
.7464 .84159 L
.74552 .84111 L
.7448 .8407 L
.74319 .83973 L
.74285 .83951 L
.74159 .83867 L
.74049 .8379 L
.73998 .83754 L
.73838 .83633 L
.73834 .8363 L
.73677 .83503 L
.73636 .83469 L
.73517 .83366 L
.73453 .83309 L
.73356 .83219 L
.73282 .83148 L
.73196 .83062 L
.73124 .82988 L
.73035 .8289 L
.72981 .82827 L
.72875 .82696 L
.72853 .82667 L
.72746 .82506 L
.72714 .82449 L
.72668 .82346 L
.72639 .82185 L
.72707 .82025 L
.72714 .82018 L
.72875 .81907 L
.73035 .81873 L
.73099 .81864 L
F
.289 .96 1 r
.73517 .81851 m
.73677 .81837 L
.73838 .81827 L
.73998 .81821 L
.74159 .81817 L
.74319 .81816 L
.7448 .81817 L
.7464 .8182 L
.74801 .81824 L
.74961 .81831 L
.75122 .81841 L
.75283 .81853 L
.75395 .81864 L
.75443 .81869 L
.75604 .8189 L
.75764 .81915 L
.75925 .81946 L
.76085 .81983 L
.76239 .82025 L
.76246 .82027 L
.76406 .8208 L
.76567 .82141 L
.76674 .82185 L
.76727 .82209 L
.76888 .82288 L
.76997 .82346 L
.77048 .82375 L
.77209 .82471 L
.77265 .82506 L
.77369 .82575 L
.77501 .82667 L
.7753 .82688 L
.7769 .82809 L
.77713 .82827 L
.77851 .8294 L
.77908 .82988 L
.78011 .83079 L
.78087 .83148 L
.78172 .83229 L
.78252 .83309 L
.78332 .83393 L
.78402 .83469 L
.78493 .83574 L
.78537 .8363 L
.78654 .8379 L
.78654 .8379 L
.78746 .83951 L
.78804 .84111 L
.78805 .84272 L
.78685 .84432 L
.78654 .84456 L
.78493 .84526 L
.78332 .84562 L
.78172 .84585 L
.78097 .84593 L
.78011 .84602 L
.77851 .84614 L
.7769 .84621 L
.7753 .84626 L
.77369 .84628 L
.77209 .84628 L
.77048 .84626 L
.76888 .84621 L
.76727 .84614 L
.76567 .84604 L
.76418 .84593 L
.76406 .84592 L
.76246 .84575 L
.76085 .84554 L
.75925 .84529 L
.75764 .84497 L
.75604 .84461 L
.75494 .84432 L
.75443 .84417 L
.75283 .84365 L
.75122 .84305 L
.75038 .84272 L
.74961 .84238 L
.74801 .84161 L
.74703 .84111 L
.7464 .84077 L
.7448 .83984 L
.74425 .83951 L
.74319 .83883 L
.74181 .8379 L
.74159 .83775 L
.73998 .83658 L
.73961 .8363 L
.73838 .83532 L
.7376 .83469 L
.73677 .83399 L
.73575 .83309 L
.73517 .83255 L
.73404 .83148 L
.73356 .83101 L
.73247 .82988 L
.73196 .82931 L
.73106 .82827 L
.73035 .82739 L
.72982 .82667 L
.72882 .82506 L
.72875 .82493 L
.72814 .82346 L
.72801 .82185 L
.72875 .82047 L
.729 .82025 L
.73035 .81939 L
.73196 .81896 L
.73356 .8187 L
.73408 .81864 L
F
.212 .95 1 r
.73838 .81857 m
.73998 .81848 L
.74159 .81843 L
.74319 .81841 L
.7448 .81841 L
.7464 .81844 L
.74801 .8185 L
.74961 .81858 L
.75061 .81864 L
.75122 .81869 L
.75283 .81883 L
.75443 .81902 L
.75604 .81926 L
.75764 .81955 L
.75925 .81989 L
.76068 .82025 L
.76085 .82029 L
.76246 .82079 L
.76406 .82136 L
.76532 .82185 L
.76567 .822 L
.76727 .82274 L
.76869 .82346 L
.76888 .82356 L
.77048 .82447 L
.77146 .82506 L
.77209 .82546 L
.77369 .82654 L
.77387 .82667 L
.7753 .82771 L
.77603 .82827 L
.7769 .82897 L
.778 .82988 L
.77851 .83032 L
.7798 .83148 L
.78011 .83178 L
.78144 .83309 L
.78172 .83337 L
.78293 .83469 L
.78332 .83514 L
.78426 .8363 L
.78493 .8372 L
.78538 .8379 L
.78624 .83951 L
.78654 .84029 L
.78673 .84111 L
.78657 .84272 L
.78654 .84281 L
.78503 .84432 L
.78493 .84439 L
.78332 .84506 L
.78172 .84542 L
.78011 .84564 L
.77851 .8458 L
.7769 .84591 L
.7765 .84593 L
.7753 .84597 L
.77369 .84601 L
.77209 .84601 L
.77048 .84599 L
.76888 .84594 L
.76869 .84593 L
.76727 .84586 L
.76567 .84574 L
.76406 .84559 L
.76246 .8454 L
.76085 .84516 L
.75925 .84488 L
.75764 .84454 L
.75675 .84432 L
.75604 .84413 L
.75443 .84364 L
.75283 .84308 L
.75186 .84272 L
.75122 .84245 L
.74961 .84173 L
.74834 .84111 L
.74801 .84094 L
.7464 .84005 L
.74547 .83951 L
.7448 .8391 L
.74319 .83805 L
.74297 .8379 L
.74159 .83693 L
.74073 .8363 L
.73998 .83572 L
.73869 .83469 L
.73838 .83443 L
.73682 .83309 L
.73677 .83304 L
.73517 .83154 L
.73511 .83148 L
.73356 .82989 L
.73355 .82988 L
.73216 .82827 L
.73196 .82803 L
.73096 .82667 L
.73035 .82577 L
.73001 .82506 L
.72942 .82346 L
.72943 .82185 L
.73035 .82051 L
.73071 .82025 L
.73196 .81957 L
.73356 .81913 L
.73517 .81887 L
.73677 .8187 L
.73742 .81864 L
F
1 .9 .045 r
.73196 .75332 m
.73356 .75384 L
.73503 .75443 L
.73517 .75449 L
.73677 .75525 L
.73825 .75604 L
.73838 .75613 L
.73998 .75706 L
.74095 .75764 L
.74159 .75805 L
.74319 .75909 L
.74344 .75925 L
.7448 .76015 L
.74583 .76085 L
.7464 .76125 L
.74801 .76238 L
.74812 .76246 L
.74961 .76353 L
.75036 .76406 L
.75122 .76469 L
.75254 .76567 L
.75283 .76588 L
.75443 .76709 L
.75467 .76727 L
.75604 .76831 L
.75678 .76888 L
.75764 .76954 L
.75885 .77048 L
.75925 .77079 L
.76085 .77206 L
.76089 .77209 L
.76246 .77333 L
.76291 .77369 L
.76406 .77462 L
.76491 .7753 L
.76567 .77591 L
.76689 .7769 L
.76727 .77722 L
.76884 .77851 L
.76888 .77854 L
.77048 .77986 L
.77079 .78011 L
.77209 .7812 L
.77271 .78172 L
.77369 .78254 L
.77462 .78332 L
.7753 .78389 L
.77652 .78493 L
.7769 .78526 L
.77841 .78654 L
.77851 .78662 L
.78011 .788 L
.78028 .78814 L
.78172 .78939 L
.78214 .78975 L
.78332 .79078 L
.78398 .79135 L
.78493 .79218 L
.78582 .79296 L
.78654 .79358 L
.78765 .79456 L
.78814 .795 L
.78946 .79617 L
.78975 .79642 L
.79127 .79777 L
.79135 .79784 L
.79296 .79928 L
.79307 .79938 L
.79456 .80072 L
.79485 .80098 L
.79617 .80217 L
.79663 .80259 L
.79777 .80362 L
.7984 .80419 L
.79938 .80508 L
.80016 .8058 L
.80098 .80655 L
.80191 .8074 L
.80259 .80803 L
.80365 .80901 L
.80419 .80951 L
.80539 .81061 L
.8058 .811 L
.80711 .81222 L
.8074 .81249 L
.80883 .81382 L
.80901 .81399 L
.81054 .81543 L
.81061 .8155 L
.81222 .81701 L
.81224 .81703 L
.81382 .81853 L
.81394 .81864 L
.81543 .82006 L
.81562 .82025 L
.81703 .8216 L
.8173 .82185 L
.81864 .82314 L
.81897 .82346 L
.82025 .82469 L
.82063 .82506 L
.82185 .82625 L
.82228 .82667 L
.82346 .82781 L
.82393 .82827 L
.82506 .82938 L
.82556 .82988 L
.82667 .83096 L
.82719 .83148 L
.82827 .83255 L
.82881 .83309 L
.82988 .83415 L
.83042 .83469 L
.83148 .83575 L
.83202 .8363 L
.83309 .83737 L
.83362 .8379 L
.83469 .83899 L
.8352 .83951 L
.8363 .84062 L
.83678 .84111 L
.8379 .84226 L
.83835 .84272 L
.83951 .84392 L
.8399 .84432 L
.84111 .84558 L
.84145 .84593 L
.84272 .84725 L
.84299 .84753 L
.84432 .84894 L
.84451 .84914 L
.84593 .85064 L
.84603 .85074 L
.84753 .85235 L
.84753 .85235 L
.84903 .85396 L
.84914 .85408 L
.85051 .85556 L
.85074 .85582 L
.85197 .85717 L
.85235 .85758 L
.85343 .85877 L
.85396 .85936 L
.85487 .86038 L
.85556 .86116 L
.85629 .86198 L
.85717 .86298 L
.8577 .86359 L
.85877 .86483 L
.85908 .86519 L
.86038 .86671 L
.86045 .8668 L
.8618 .8684 L
.86198 .86862 L
.86313 .87001 L
.86359 .87057 L
.86442 .87161 L
.86519 .87257 L
.86569 .87322 L
.8668 .87465 L
.86693 .87482 L
.86812 .87643 L
.8684 .8768 L
.86927 .87803 L
.87001 .8791 L
.87035 .87964 L
.87136 .88124 L
.87161 .88149 L
.87226 .88285 L
.87301 .88445 L
.87322 .88519 L
.87339 .88606 L
.87322 .88693 L
.87161 .88749 L
.87001 .88714 L
.8684 .88646 L
.86744 .88606 L
.8668 .88568 L
.86519 .88479 L
.86459 .88445 L
.86359 .88385 L
.86198 .88285 L
.86198 .88285 L
.86038 .88182 L
.85951 .88124 L
.85877 .88075 L
.85717 .87964 L
.85716 .87964 L
.85556 .87852 L
.85488 .87803 L
.85396 .87737 L
.85267 .87643 L
.85235 .87619 L
.85074 .875 L
.8505 .87482 L
.84914 .8738 L
.84837 .87322 L
.84753 .87258 L
.84628 .87161 L
.84593 .87134 L
.84432 .87009 L
.84422 .87001 L
.84272 .86883 L
.84218 .8684 L
.84111 .86755 L
.84017 .8668 L
.83951 .86627 L
.83818 .86519 L
.8379 .86497 L
.8363 .86366 L
.83621 .86359 L
.83469 .86235 L
.83425 .86198 L
.83309 .86102 L
.83231 .86038 L
.83148 .85968 L
.83039 .85877 L
.82988 .85834 L
.82849 .85717 L
.82827 .85698 L
.82667 .85562 L
.82659 .85556 L
.82506 .85425 L
.82472 .85396 L
.82346 .85287 L
.82285 .85235 L
.82185 .85149 L
.821 .85074 L
.82025 .85009 L
.81916 .84914 L
.81864 .84869 L
.81733 .84753 L
.81703 .84728 L
.81551 .84593 L
.81543 .84586 L
.81382 .84444 L
.8137 .84432 L
.81222 .843 L
.8119 .84272 L
.81061 .84157 L
.81011 .84111 L
.80901 .84012 L
.80833 .83951 L
.8074 .83867 L
.80656 .8379 L
.8058 .83721 L
.8048 .8363 L
.80419 .83575 L
.80304 .83469 L
.80259 .83427 L
.8013 .83309 L
.80098 .8328 L
.79956 .83148 L
.79938 .83132 L
.79783 .82988 L
.79777 .82983 L
.79617 .82833 L
.7961 .82827 L
.79456 .82683 L
.79438 .82667 L
.79296 .82533 L
.79267 .82506 L
.79135 .82381 L
.79097 .82346 L
.78975 .8223 L
.78928 .82185 L
.78814 .82077 L
.78759 .82025 L
.78654 .81924 L
.78591 .81864 L
.78493 .8177 L
.78424 .81703 L
.78332 .81616 L
.78257 .81543 L
.78172 .81461 L
.78092 .81382 L
.78011 .81304 L
.77927 .81222 L
.77851 .81148 L
.77763 .81061 L
.7769 .8099 L
.776 .80901 L
.7753 .80831 L
.77438 .8074 L
.77369 .80672 L
.77277 .8058 L
.77209 .80511 L
.77117 .80419 L
.77048 .8035 L
.76958 .80259 L
.76888 .80188 L
.768 .80098 L
.76727 .80024 L
.76643 .79938 L
.76567 .7986 L
.76487 .79777 L
.76406 .79694 L
.76332 .79617 L
.76246 .79527 L
.76178 .79456 L
.76085 .79359 L
.76025 .79296 L
.75925 .7919 L
.75873 .79135 L
.75764 .7902 L
.75722 .78975 L
.75604 .78848 L
.75572 .78814 L
.75443 .78675 L
.75424 .78654 L
.75283 .785 L
.75276 .78493 L
.7513 .78332 L
.75122 .78323 L
.74986 .78172 L
.74961 .78145 L
.74842 .78011 L
.74801 .77965 L
.74701 .77851 L
.7464 .77782 L
.7456 .7769 L
.7448 .77597 L
.74422 .7753 L
.74319 .77409 L
.74286 .77369 L
.74159 .77217 L
.74152 .77209 L
.7402 .77048 L
.73998 .77022 L
.73891 .76888 L
.73838 .76821 L
.73765 .76727 L
.73677 .76613 L
.73643 .76567 L
.73525 .76406 L
.73517 .76395 L
.73412 .76246 L
.73356 .76166 L
.73306 .76085 L
.73208 .75925 L
.73196 .75901 L
.73122 .75764 L
.73055 .75604 L
.73042 .75443 L
F
.156 .94 1 r
.73356 .81967 m
.73517 .81927 L
.73677 .81903 L
.73838 .81886 L
.73998 .81876 L
.74159 .81869 L
.74319 .81866 L
.7448 .81866 L
.7464 .81868 L
.74801 .81874 L
.74961 .81884 L
.75122 .81896 L
.75283 .81913 L
.75443 .81934 L
.75604 .8196 L
.75764 .81991 L
.7591 .82025 L
.75925 .82028 L
.76085 .82074 L
.76246 .82126 L
.76405 .82185 L
.76406 .82186 L
.76567 .82255 L
.76727 .82331 L
.76755 .82346 L
.76888 .82417 L
.7704 .82506 L
.77048 .82511 L
.77209 .82614 L
.77286 .82667 L
.77369 .82726 L
.77505 .82827 L
.7753 .82846 L
.7769 .82977 L
.77703 .82988 L
.77851 .83118 L
.77884 .83148 L
.78011 .83271 L
.78048 .83309 L
.78172 .83441 L
.78196 .83469 L
.78326 .8363 L
.78332 .83638 L
.78435 .8379 L
.78493 .83884 L
.78515 .83951 L
.78555 .84111 L
.78524 .84272 L
.78493 .84318 L
.78334 .84432 L
.78332 .84433 L
.78172 .84491 L
.78011 .84525 L
.77851 .84546 L
.7769 .8456 L
.7753 .84568 L
.77369 .84573 L
.77209 .84574 L
.77048 .84572 L
.76888 .84566 L
.76727 .84557 L
.76567 .84545 L
.76406 .84528 L
.76246 .84507 L
.76085 .84481 L
.75925 .8445 L
.75845 .84432 L
.75764 .84412 L
.75604 .84368 L
.75443 .84316 L
.75319 .84272 L
.75283 .84258 L
.75122 .8419 L
.74961 .84116 L
.74952 .84111 L
.74801 .84032 L
.74655 .83951 L
.7464 .83942 L
.7448 .83842 L
.744 .8379 L
.74319 .83735 L
.74172 .8363 L
.74159 .8362 L
.73998 .83495 L
.73966 .83469 L
.73838 .83361 L
.73778 .83309 L
.73677 .83216 L
.73607 .83148 L
.73517 .83057 L
.73452 .82988 L
.73356 .82879 L
.73314 .82827 L
.73197 .82667 L
.73196 .82665 L
.73107 .82506 L
.73056 .82346 L
.7307 .82185 L
.73196 .82044 L
.73229 .82025 L
F
.114 .93 1 r
.73517 .81974 m
.73677 .81939 L
.73838 .81917 L
.73998 .81903 L
.74159 .81895 L
.74319 .81891 L
.7448 .8189 L
.7464 .81893 L
.74801 .81899 L
.74961 .81909 L
.75122 .81923 L
.75283 .81941 L
.75443 .81964 L
.75604 .81992 L
.75759 .82025 L
.75764 .82026 L
.75925 .82067 L
.76085 .82115 L
.76246 .8217 L
.76288 .82185 L
.76406 .82233 L
.76567 .82305 L
.76652 .82346 L
.76727 .82385 L
.76888 .82473 L
.76944 .82506 L
.77048 .82571 L
.77194 .82667 L
.77209 .82677 L
.77369 .82792 L
.77416 .82827 L
.7753 .82917 L
.77616 .82988 L
.7769 .83052 L
.77798 .83148 L
.77851 .83199 L
.77962 .83309 L
.78011 .83361 L
.78108 .83469 L
.78172 .83545 L
.78236 .8363 L
.78332 .83774 L
.78341 .8379 L
.78417 .83951 L
.78448 .84111 L
.78401 .84272 L
.78332 .84369 L
.78172 .84432 L
.78169 .84432 L
.78011 .8448 L
.77851 .84509 L
.7769 .84528 L
.7753 .84539 L
.77369 .84545 L
.77209 .84547 L
.77048 .84545 L
.76888 .84539 L
.76727 .84529 L
.76567 .84516 L
.76406 .84498 L
.76246 .84475 L
.76085 .84447 L
.76009 .84432 L
.75925 .84414 L
.75764 .84373 L
.75604 .84326 L
.75443 .84272 L
.75441 .84272 L
.75283 .8421 L
.75122 .8414 L
.75059 .84111 L
.74961 .84063 L
.74801 .83977 L
.74754 .83951 L
.7464 .83883 L
.74493 .8379 L
.7448 .83781 L
.74319 .83671 L
.74263 .8363 L
.74159 .83552 L
.74054 .83469 L
.73998 .83423 L
.73865 .83309 L
.73838 .83284 L
.73693 .83148 L
.73677 .83132 L
.73539 .82988 L
.73517 .82964 L
.73403 .82827 L
.73356 .82768 L
.73289 .82667 L
.73203 .82506 L
.73196 .82488 L
.73159 .82346 L
.73187 .82185 L
.73196 .8217 L
.73356 .82036 L
.7338 .82025 L
F
.084 .92 1 r
.73677 .8198 m
.73838 .81951 L
.73998 .81933 L
.74159 .81921 L
.74319 .81916 L
.7448 .81915 L
.7464 .81917 L
.74801 .81924 L
.74961 .81935 L
.75122 .8195 L
.75283 .81969 L
.75443 .81993 L
.75604 .82023 L
.7561 .82025 L
.75764 .8206 L
.75925 .82103 L
.76085 .82153 L
.76178 .82185 L
.76246 .82211 L
.76406 .82277 L
.76555 .82346 L
.76567 .82351 L
.76727 .82434 L
.76855 .82506 L
.76888 .82526 L
.77048 .82626 L
.7711 .82667 L
.77209 .82735 L
.77335 .82827 L
.77369 .82854 L
.7753 .82982 L
.77536 .82988 L
.7769 .83123 L
.77718 .83148 L
.77851 .83277 L
.77882 .83309 L
.78011 .8345 L
.78028 .83469 L
.78154 .8363 L
.78172 .83654 L
.78255 .8379 L
.78325 .83951 L
.78332 .83975 L
.78348 .84111 L
.78332 .84188 L
.78285 .84272 L
.78172 .84378 L
.78011 .8443 L
.78003 .84432 L
.77851 .84469 L
.7769 .84494 L
.7753 .84508 L
.77369 .84517 L
.77209 .8452 L
.77048 .84518 L
.76888 .84512 L
.76727 .84502 L
.76567 .84488 L
.76406 .84468 L
.76246 .84444 L
.76176 .84432 L
.76085 .84415 L
.75925 .84379 L
.75764 .84336 L
.75604 .84287 L
.75558 .84272 L
.75443 .8423 L
.75283 .84166 L
.75159 .84111 L
.75122 .84094 L
.74961 .84013 L
.74845 .83951 L
.74801 .83925 L
.7464 .83829 L
.74579 .8379 L
.7448 .83724 L
.74345 .8363 L
.74319 .83611 L
.74159 .83488 L
.74135 .83469 L
.73998 .83356 L
.73945 .83309 L
.73838 .83211 L
.73773 .83148 L
.73677 .83051 L
.73619 .82988 L
.73517 .82869 L
.73484 .82827 L
.73373 .82667 L
.73356 .82655 L
.73292 .82506 L
.73256 .82346 L
.73297 .82185 L
.73356 .82119 L
.73517 .82027 L
.73529 .82025 L
F
.061 .91 1 r
.73838 .81987 m
.73998 .81963 L
.74159 .81949 L
.74319 .81942 L
.7448 .81939 L
.7464 .81942 L
.74801 .81949 L
.74961 .8196 L
.75122 .81976 L
.75283 .81996 L
.75443 .82022 L
.75458 .82025 L
.75604 .82054 L
.75764 .82092 L
.75925 .82137 L
.76073 .82185 L
.76085 .82189 L
.76246 .8225 L
.76406 .82319 L
.76465 .82346 L
.76567 .82396 L
.76727 .82481 L
.76772 .82506 L
.76888 .82575 L
.77032 .82667 L
.77048 .82678 L
.77209 .8279 L
.77259 .82827 L
.77369 .82912 L
.77462 .82988 L
.7753 .83045 L
.77645 .83148 L
.7769 .83191 L
.77808 .83309 L
.77851 .83353 L
.77953 .83469 L
.78011 .8354 L
.78077 .8363 L
.78172 .83783 L
.78175 .8379 L
.7824 .83951 L
.78254 .84111 L
.78173 .84272 L
.78172 .84274 L
.78011 .84383 L
.77851 .84427 L
.77825 .84432 L
.7769 .84458 L
.7753 .84477 L
.77369 .84488 L
.77209 .84492 L
.77048 .84491 L
.76888 .84486 L
.76727 .84475 L
.76567 .8446 L
.76406 .8444 L
.76354 .84432 L
.76246 .84414 L
.76085 .84383 L
.75925 .84345 L
.75764 .84301 L
.75669 .84272 L
.75604 .8425 L
.75443 .8419 L
.75283 .84124 L
.75253 .84111 L
.75122 .8405 L
.74961 .83967 L
.74931 .83951 L
.74801 .83877 L
.74659 .8379 L
.7464 .83778 L
.7448 .8367 L
.74422 .8363 L
.74319 .83554 L
.7421 .83469 L
.74159 .83428 L
.74018 .83309 L
.73998 .83291 L
.73846 .83148 L
.73838 .8314 L
.73693 .82988 L
.73677 .8297 L
.7356 .82827 L
.73517 .82771 L
.73451 .82667 L
.73375 .82506 L
.73356 .82443 L
.73346 .82346 L
.73356 .82276 L
.73402 .82185 L
.73517 .82073 L
.73677 .82025 L
.73681 .82025 L
F
.045 .9 1 r
.73998 .81996 m
.74159 .81978 L
.74319 .81968 L
.7448 .81965 L
.7464 .81966 L
.74801 .81973 L
.74961 .81985 L
.75122 .82001 L
.75283 .82023 L
.75296 .82025 L
.75443 .8205 L
.75604 .82083 L
.75764 .82124 L
.75925 .8217 L
.75971 .82185 L
.76085 .82225 L
.76246 .82288 L
.76379 .82346 L
.76406 .82358 L
.76567 .82438 L
.76694 .82506 L
.76727 .82525 L
.76888 .82622 L
.76958 .82667 L
.77048 .82728 L
.77188 .82827 L
.77209 .82843 L
.77369 .82969 L
.77393 .82988 L
.7753 .83106 L
.77576 .83148 L
.7769 .83259 L
.77739 .83309 L
.77851 .83431 L
.77883 .83469 L
.78005 .8363 L
.78011 .83638 L
.781 .8379 L
.7816 .83951 L
.78164 .84111 L
.78064 .84272 L
.78011 .84315 L
.77851 .84385 L
.7769 .84421 L
.77618 .84432 L
.7753 .84444 L
.77369 .84458 L
.77209 .84464 L
.77048 .84464 L
.76888 .84459 L
.76727 .84448 L
.76567 .84433 L
.76562 .84432 L
.76406 .84412 L
.76246 .84385 L
.76085 .84352 L
.75925 .84313 L
.75779 .84272 L
.75764 .84267 L
.75604 .84214 L
.75443 .84153 L
.75342 .84111 L
.75283 .84085 L
.75122 .84008 L
.75011 .83951 L
.74961 .83924 L
.74801 .83831 L
.74735 .8379 L
.7464 .8373 L
.74494 .8363 L
.7448 .8362 L
.74319 .835 L
.7428 .83469 L
.74159 .8337 L
.74088 .83309 L
.73998 .83228 L
.73915 .83148 L
.73838 .8307 L
.73762 .82988 L
.73677 .82888 L
.73631 .82827 L
.73525 .82667 L
.73517 .82652 L
.73453 .82506 L
.73432 .82346 L
.73504 .82185 L
.73517 .82169 L
.73677 .82066 L
.73838 .82026 L
.73843 .82025 L
F
.033 .89 1 r
.74159 .82008 m
.74319 .81995 L
.7448 .8199 L
.7464 .81991 L
.74801 .81998 L
.74961 .82009 L
.75108 .82025 L
.75122 .82026 L
.75283 .82049 L
.75443 .82077 L
.75604 .82112 L
.75764 .82154 L
.7587 .82185 L
.75925 .82202 L
.76085 .82259 L
.76246 .82324 L
.76297 .82346 L
.76406 .82396 L
.76567 .82478 L
.7662 .82506 L
.76727 .82568 L
.76888 .82666 L
.76888 .82667 L
.77048 .82775 L
.77121 .82827 L
.77209 .82893 L
.77327 .82988 L
.77369 .83023 L
.77511 .83148 L
.7753 .83166 L
.77674 .83309 L
.7769 .83326 L
.77817 .83469 L
.77851 .8351 L
.77937 .8363 L
.78011 .83749 L
.78029 .8379 L
.78083 .83951 L
.78078 .84111 L
.78011 .84223 L
.77955 .84272 L
.77851 .84333 L
.7769 .84383 L
.7753 .84411 L
.77369 .84427 L
.7729 .84432 L
.77209 .84436 L
.77048 .84437 L
.76889 .84432 L
.76888 .84432 L
.76727 .84422 L
.76567 .84406 L
.76406 .84384 L
.76246 .84356 L
.76085 .84322 L
.75925 .84282 L
.75888 .84272 L
.75764 .84234 L
.75604 .84179 L
.75443 .84117 L
.75429 .84111 L
.75283 .84047 L
.75122 .83968 L
.75088 .83951 L
.74961 .83882 L
.74806 .8379 L
.74801 .83787 L
.7464 .83683 L
.74562 .8363 L
.7448 .83571 L
.74346 .83469 L
.74319 .83448 L
.74159 .83314 L
.74153 .83309 L
.73998 .83166 L
.7398 .83148 L
.73838 .82999 L
.73828 .82988 L
.73698 .82827 L
.73677 .82802 L
.73595 .82667 L
.73527 .82506 L
.73517 .82461 L
.73514 .82346 L
.73517 .82332 L
.73604 .82185 L
.73677 .82125 L
.73838 .82062 L
.73998 .8203 L
.7403 .82025 L
F
1 .89 .033 r
.73677 .75818 m
.73838 .75847 L
.73998 .75916 L
.74021 .75925 L
.74159 .75993 L
.74319 .76083 L
.74323 .76085 L
.7448 .76178 L
.7459 .76246 L
.7464 .76279 L
.74801 .76384 L
.74834 .76406 L
.74961 .76492 L
.75069 .76567 L
.75122 .76604 L
.75283 .76718 L
.75295 .76727 L
.75443 .76835 L
.75516 .76888 L
.75604 .76953 L
.75731 .77048 L
.75764 .77073 L
.75925 .77196 L
.75942 .77209 L
.76085 .77319 L
.7615 .77369 L
.76246 .77444 L
.76355 .7753 L
.76406 .77571 L
.76557 .7769 L
.76567 .77699 L
.76727 .77827 L
.76756 .77851 L
.76888 .77958 L
.76954 .78011 L
.77048 .78089 L
.77149 .78172 L
.77209 .78221 L
.77343 .78332 L
.77369 .78354 L
.7753 .78488 L
.77535 .78493 L
.7769 .78623 L
.77726 .78654 L
.77851 .78759 L
.77915 .78814 L
.78011 .78896 L
.78103 .78975 L
.78172 .79034 L
.78289 .79135 L
.78332 .79173 L
.78474 .79296 L
.78493 .79312 L
.78654 .79452 L
.78658 .79456 L
.78814 .79593 L
.78841 .79617 L
.78975 .79734 L
.79023 .79777 L
.79135 .79877 L
.79203 .79938 L
.79296 .8002 L
.79383 .80098 L
.79456 .80164 L
.79562 .80259 L
.79617 .80308 L
.79739 .80419 L
.79777 .80454 L
.79916 .8058 L
.79938 .806 L
.80092 .8074 L
.80098 .80747 L
.80259 .80894 L
.80266 .80901 L
.80419 .81042 L
.8044 .81061 L
.8058 .81191 L
.80613 .81222 L
.8074 .81341 L
.80785 .81382 L
.80901 .81491 L
.80956 .81543 L
.81061 .81642 L
.81127 .81703 L
.81222 .81794 L
.81296 .81864 L
.81382 .81946 L
.81465 .82025 L
.81543 .82099 L
.81632 .82185 L
.81703 .82253 L
.81799 .82346 L
.81864 .82408 L
.81965 .82506 L
.82025 .82564 L
.8213 .82667 L
.82185 .8272 L
.82294 .82827 L
.82346 .82877 L
.82458 .82988 L
.82506 .83035 L
.8262 .83148 L
.82667 .83194 L
.82782 .83309 L
.82827 .83354 L
.82942 .83469 L
.82988 .83515 L
.83102 .8363 L
.83148 .83676 L
.83261 .8379 L
.83309 .83839 L
.83418 .83951 L
.83469 .84003 L
.83575 .84111 L
.8363 .84167 L
.83731 .84272 L
.8379 .84333 L
.83886 .84432 L
.83951 .845 L
.84039 .84593 L
.84111 .84669 L
.84192 .84753 L
.84272 .84839 L
.84343 .84914 L
.84432 .8501 L
.84493 .85074 L
.84593 .85182 L
.84641 .85235 L
.84753 .85357 L
.84789 .85396 L
.84914 .85533 L
.84935 .85556 L
.85074 .85711 L
.85079 .85717 L
.85222 .85877 L
.85235 .85892 L
.85363 .86038 L
.85396 .86075 L
.85502 .86198 L
.85556 .86261 L
.85639 .86359 L
.85717 .86451 L
.85774 .86519 L
.85877 .86644 L
.85906 .8668 L
.86035 .8684 L
.86038 .86844 L
.86161 .87001 L
.86198 .87048 L
.86283 .87161 L
.86359 .87262 L
.86401 .87322 L
.86512 .87482 L
.86519 .8749 L
.86617 .87643 L
.8668 .87738 L
.86711 .87803 L
.86793 .87964 L
.86838 .88124 L
.8668 .88284 L
.86519 .8825 L
.86359 .8818 L
.86231 .88124 L
.86198 .88099 L
.86038 .88009 L
.85959 .87964 L
.85877 .87913 L
.85717 .87811 L
.85704 .87803 L
.85556 .87706 L
.85462 .87643 L
.85396 .87597 L
.85235 .87485 L
.85231 .87482 L
.85074 .87371 L
.85006 .87322 L
.84914 .87254 L
.84788 .87161 L
.84753 .87136 L
.84593 .87015 L
.84574 .87001 L
.84432 .86893 L
.84364 .8684 L
.84272 .86769 L
.84157 .8668 L
.84111 .86644 L
.83953 .86519 L
.83951 .86517 L
.8379 .8639 L
.83752 .86359 L
.8363 .86261 L
.83553 .86198 L
.83469 .8613 L
.83356 .86038 L
.83309 .85999 L
.83161 .85877 L
.83148 .85867 L
.82988 .85734 L
.82967 .85717 L
.82827 .85599 L
.82776 .85556 L
.82667 .85464 L
.82586 .85396 L
.82506 .85328 L
.82397 .85235 L
.82346 .85191 L
.8221 .85074 L
.82185 .85053 L
.82025 .84914 L
.82024 .84914 L
.81864 .84775 L
.8184 .84753 L
.81703 .84634 L
.81657 .84593 L
.81543 .84493 L
.81474 .84432 L
.81382 .84351 L
.81293 .84272 L
.81222 .84208 L
.81113 .84111 L
.81061 .84065 L
.80934 .83951 L
.80901 .83921 L
.80756 .8379 L
.8074 .83776 L
.8058 .8363 L
.80579 .8363 L
.80419 .83484 L
.80403 .83469 L
.80259 .83337 L
.80228 .83309 L
.80098 .83189 L
.80054 .83148 L
.79938 .83041 L
.7988 .82988 L
.79777 .82892 L
.79707 .82827 L
.79617 .82743 L
.79535 .82667 L
.79456 .82592 L
.79364 .82506 L
.79296 .82441 L
.79194 .82346 L
.79135 .8229 L
.79025 .82185 L
.78975 .82138 L
.78856 .82025 L
.78814 .81985 L
.78688 .81864 L
.78654 .81831 L
.78521 .81703 L
.78493 .81676 L
.78355 .81543 L
.78332 .81521 L
.7819 .81382 L
.78172 .81365 L
.78026 .81222 L
.78011 .81208 L
.77862 .81061 L
.77851 .8105 L
.777 .80901 L
.7769 .80891 L
.77538 .8074 L
.7753 .80732 L
.77378 .8058 L
.77369 .80571 L
.77219 .80419 L
.77209 .80409 L
.7706 .80259 L
.77048 .80247 L
.76903 .80098 L
.76888 .80083 L
.76747 .79938 L
.76727 .79918 L
.76592 .79777 L
.76567 .79751 L
.76437 .79617 L
.76406 .79584 L
.76285 .79456 L
.76246 .79415 L
.76133 .79296 L
.76085 .79245 L
.75982 .79135 L
.75925 .79073 L
.75833 .78975 L
.75764 .789 L
.75685 .78814 L
.75604 .78725 L
.75538 .78654 L
.75443 .78549 L
.75393 .78493 L
.75283 .7837 L
.75249 .78332 L
.75122 .78189 L
.75107 .78172 L
.74967 .78011 L
.74961 .78005 L
.74828 .77851 L
.74801 .77819 L
.74692 .7769 L
.7464 .77629 L
.74558 .7753 L
.7448 .77435 L
.74427 .77369 L
.74319 .77235 L
.74299 .77209 L
.74174 .77048 L
.74159 .77029 L
.74053 .76888 L
.73998 .76815 L
.73937 .76727 L
.73838 .76582 L
.73828 .76567 L
.73726 .76406 L
.73677 .76343 L
.73636 .76246 L
.7356 .76085 L
.73535 .75925 L
F
.024 .88 1 r
.74319 .82023 m
.7448 .82016 L
.7464 .82016 L
.74801 .82022 L
.74845 .82025 L
.74961 .82034 L
.75122 .82051 L
.75283 .82075 L
.75443 .82104 L
.75604 .8214 L
.75764 .82183 L
.7577 .82185 L
.75925 .82234 L
.76085 .82292 L
.76217 .82346 L
.76246 .82358 L
.76406 .82433 L
.76548 .82506 L
.76567 .82516 L
.76727 .82608 L
.76821 .82667 L
.76888 .8271 L
.77048 .82821 L
.77057 .82827 L
.77209 .82943 L
.77264 .82988 L
.77369 .83076 L
.77449 .83148 L
.7753 .83225 L
.77612 .83309 L
.7769 .83394 L
.77754 .83469 L
.77851 .83597 L
.77872 .8363 L
.77961 .8379 L
.78009 .83951 L
.77994 .84111 L
.77851 .84268 L
.77844 .84272 L
.7769 .8434 L
.7753 .84376 L
.77369 .84397 L
.77209 .84407 L
.77048 .8441 L
.76888 .84406 L
.76727 .84395 L
.76567 .84379 L
.76406 .84357 L
.76246 .84328 L
.76085 .84293 L
.75999 .84272 L
.75925 .84252 L
.75764 .84202 L
.75604 .84146 L
.75513 .84111 L
.75443 .84082 L
.75283 .8401 L
.75162 .83951 L
.75122 .8393 L
.74961 .83842 L
.74874 .8379 L
.74801 .83745 L
.7464 .83639 L
.74627 .8363 L
.7448 .83523 L
.74409 .83469 L
.74319 .83397 L
.74215 .83309 L
.74159 .83259 L
.74042 .83148 L
.73998 .83105 L
.7389 .82988 L
.73838 .82927 L
.73762 .82827 L
.73677 .827 L
.73661 .82667 L
.73599 .82506 L
.73594 .82346 L
.73677 .82208 L
.73705 .82185 L
.73838 .82107 L
.73998 .82063 L
.74159 .82038 L
.74298 .82025 L
F
.018 .87 1 r
.73838 .82165 m
.73998 .82101 L
.74159 .82069 L
.74319 .82051 L
.7448 .82042 L
.7464 .82041 L
.74801 .82047 L
.74961 .82059 L
.75122 .82076 L
.75283 .82101 L
.75443 .82131 L
.75604 .82168 L
.75669 .82185 L
.75764 .82212 L
.75925 .82264 L
.76085 .82324 L
.76139 .82346 L
.76246 .82392 L
.76406 .82469 L
.76479 .82506 L
.76567 .82554 L
.76727 .82648 L
.76757 .82667 L
.76888 .82752 L
.76996 .82827 L
.77048 .82866 L
.77205 .82988 L
.77209 .82991 L
.77369 .83129 L
.7739 .83148 L
.7753 .83284 L
.77553 .83309 L
.7769 .83465 L
.77694 .83469 L
.7781 .8363 L
.77851 .8368 L
.77895 .8379 L
.77938 .83951 L
.7791 .84111 L
.77851 .84191 L
.77729 .84272 L
.7769 .8429 L
.7753 .84338 L
.77369 .84365 L
.77209 .84378 L
.77048 .84382 L
.76888 .84379 L
.76727 .84369 L
.76567 .84353 L
.76406 .8433 L
.76246 .84301 L
.76114 .84272 L
.76085 .84265 L
.75925 .84222 L
.75764 .84172 L
.75604 .84114 L
.75596 .84111 L
.75443 .84048 L
.75283 .83975 L
.75233 .83951 L
.75122 .83893 L
.74961 .83803 L
.7494 .8379 L
.74801 .83704 L
.74689 .8363 L
.7464 .83596 L
.7448 .83478 L
.74469 .83469 L
.74319 .83348 L
.74274 .83309 L
.74159 .83204 L
.74101 .83148 L
.73998 .83042 L
.7395 .82988 L
.73838 .82848 L
.73823 .82827 L
.73725 .82667 L
.73677 .82546 L
.73667 .82506 L
.73672 .82346 L
.73677 .82332 L
.73806 .82185 L
F
.013 .86 1 r
.73998 .82145 m
.74159 .82102 L
.74319 .8208 L
.7448 .82069 L
.7464 .82067 L
.74801 .82072 L
.74961 .82083 L
.75122 .82101 L
.75283 .82126 L
.75443 .82157 L
.75564 .82185 L
.75604 .82195 L
.75764 .82241 L
.75925 .82294 L
.76061 .82346 L
.76085 .82355 L
.76246 .82425 L
.76406 .82503 L
.76412 .82506 L
.76567 .8259 L
.76696 .82667 L
.76727 .82686 L
.76888 .82793 L
.76937 .82827 L
.77048 .8291 L
.77147 .82988 L
.77209 .83038 L
.77333 .83148 L
.77369 .83182 L
.77496 .83309 L
.7753 .83344 L
.77636 .83469 L
.7769 .83538 L
.77749 .8363 L
.77831 .8379 L
.77851 .8385 L
.77868 .83951 L
.77851 .84063 L
.77828 .84111 L
.7769 .84248 L
.77605 .84272 L
.7753 .84297 L
.77369 .84331 L
.77209 .84348 L
.77048 .84354 L
.76888 .84352 L
.76727 .84342 L
.76567 .84326 L
.76406 .84303 L
.76246 .84273 L
.76238 .84272 L
.76085 .84237 L
.75925 .84193 L
.75764 .84141 L
.75679 .84111 L
.75604 .84083 L
.75443 .84015 L
.75303 .83951 L
.75283 .83941 L
.75122 .83857 L
.75004 .8379 L
.74961 .83765 L
.74801 .83664 L
.74749 .8363 L
.7464 .83554 L
.74527 .83469 L
.7448 .83432 L
.74331 .83309 L
.74319 .83299 L
.74159 .83149 L
.74158 .83148 L
.74007 .82988 L
.73998 .82978 L
.73882 .82827 L
.73838 .82773 L
.73787 .82667 L
.73735 .82506 L
.7375 .82346 L
.73838 .82232 L
.73911 .82185 L
F
.01 .85 1 r
.74159 .8214 m
.74319 .82111 L
.7448 .82097 L
.7464 .82093 L
.74801 .82097 L
.74961 .82108 L
.75122 .82126 L
.75283 .82151 L
.75443 .82183 L
.75452 .82185 L
.75604 .82222 L
.75764 .82269 L
.75925 .82323 L
.75985 .82346 L
.76085 .82386 L
.76246 .82457 L
.76347 .82506 L
.76406 .82537 L
.76567 .82626 L
.76635 .82667 L
.76727 .82724 L
.7688 .82827 L
.76888 .82833 L
.77048 .82953 L
.77092 .82988 L
.77209 .83086 L
.77278 .83148 L
.77369 .83235 L
.77441 .83309 L
.7753 .83407 L
.7758 .83469 L
.7769 .83628 L
.77691 .8363 L
.77769 .8379 L
.77799 .83951 L
.77744 .84111 L
.7769 .84182 L
.7753 .84256 L
.77465 .84272 L
.77369 .84294 L
.77209 .84316 L
.77048 .84325 L
.76888 .84325 L
.76727 .84316 L
.76567 .843 L
.76406 .84277 L
.76378 .84272 L
.76246 .84246 L
.76085 .84209 L
.75925 .84164 L
.75764 .84112 L
.75762 .84111 L
.75604 .84052 L
.75443 .83983 L
.75372 .83951 L
.75283 .83907 L
.75122 .83822 L
.75066 .8379 L
.74961 .83728 L
.74808 .8363 L
.74801 .83625 L
.7464 .83512 L
.74583 .83469 L
.7448 .83388 L
.74386 .83309 L
.74319 .8325 L
.74213 .83148 L
.74159 .83094 L
.74063 .82988 L
.73998 .82911 L
.73939 .82827 L
.73848 .82667 L
.73838 .82644 L
.738 .82506 L
.73826 .82346 L
.73838 .82326 L
.73998 .82189 L
.74023 .82185 L
F
.007 .84 1 r
.74159 .82181 m
.74319 .82144 L
.7448 .82126 L
.7464 .82119 L
.74801 .82122 L
.74961 .82133 L
.75122 .82151 L
.75283 .82177 L
.75329 .82185 L
.75443 .82209 L
.75604 .82249 L
.75764 .82297 L
.75907 .82346 L
.75925 .82352 L
.76085 .82416 L
.76246 .82489 L
.76282 .82506 L
.76406 .8257 L
.76567 .82661 L
.76577 .82667 L
.76727 .82761 L
.76824 .82827 L
.76888 .82873 L
.77038 .82988 L
.77048 .82996 L
.77209 .83133 L
.77225 .83148 L
.77369 .83289 L
.77388 .83309 L
.77525 .83469 L
.7753 .83474 L
.77634 .8363 L
.7769 .83742 L
.77708 .8379 L
.77731 .83951 L
.7769 .84071 L
.7766 .84111 L
.7753 .84211 L
.77369 .84257 L
.77292 .84272 L
.77209 .84283 L
.77048 .84295 L
.76888 .84297 L
.76727 .84289 L
.76567 .84273 L
.76555 .84272 L
.76406 .8425 L
.76246 .84219 L
.76085 .84181 L
.75925 .84136 L
.75847 .84111 L
.75764 .84083 L
.75604 .84021 L
.75443 .83952 L
.7544 .83951 L
.75283 .83874 L
.75126 .8379 L
.75122 .83788 L
.74961 .83692 L
.74864 .8363 L
.74801 .83587 L
.7464 .83471 L
.74638 .83469 L
.7448 .83343 L
.74439 .83309 L
.74319 .83201 L
.74266 .83148 L
.74159 .83037 L
.74117 .82988 L
.73998 .82833 L
.73995 .82827 L
.73906 .82667 L
.73865 .82506 L
.73904 .82346 L
.73998 .82227 L
.74146 .82185 L
F
.005 .83 1 r
.74319 .82179 m
.7448 .82156 L
.7464 .82147 L
.74801 .82148 L
.74961 .82158 L
.75122 .82176 L
.75184 .82185 L
.75283 .82202 L
.75443 .82235 L
.75604 .82275 L
.75764 .82324 L
.75829 .82346 L
.75925 .82381 L
.76085 .82446 L
.76218 .82506 L
.76246 .8252 L
.76406 .82603 L
.76519 .82667 L
.76567 .82695 L
.76727 .82798 L
.7677 .82827 L
.76888 .82912 L
.76986 .82988 L
.77048 .83039 L
.77173 .83148 L
.77209 .83181 L
.77336 .83309 L
.77369 .83344 L
.77472 .83469 L
.7753 .83543 L
.77579 .8363 L
.77649 .8379 L
.77663 .83951 L
.77572 .84111 L
.7753 .84148 L
.77369 .84219 L
.77209 .8425 L
.77048 .84265 L
.76888 .84268 L
.76727 .84262 L
.76567 .84247 L
.76406 .84224 L
.76246 .84193 L
.76085 .84154 L
.75935 .84111 L
.75925 .84108 L
.75764 .84054 L
.75604 .83992 L
.75508 .83951 L
.75443 .83921 L
.75283 .83842 L
.75186 .8379 L
.75122 .83754 L
.74961 .83657 L
.7492 .8363 L
.74801 .83549 L
.74691 .83469 L
.7464 .83431 L
.74491 .83309 L
.7448 .83299 L
.74319 .8315 L
.74317 .83148 L
.74169 .82988 L
.74159 .82977 L
.74049 .82827 L
.73998 .82741 L
.73964 .82667 L
.73929 .82506 L
.73982 .82346 L
.73998 .82319 L
.74159 .82215 L
.74292 .82185 L
F
.004 .82 1 r
.7464 .82175 m
.74801 .82175 L
.74961 .82184 L
.74975 .82185 L
.75122 .82201 L
.75283 .82227 L
.75443 .8226 L
.75604 .82302 L
.75748 .82346 L
.75764 .82351 L
.75925 .82409 L
.76085 .82475 L
.76154 .82506 L
.76246 .8255 L
.76406 .82635 L
.76462 .82667 L
.76567 .8273 L
.76716 .82827 L
.76727 .82835 L
.76888 .82951 L
.76934 .82988 L
.77048 .83082 L
.77123 .83148 L
.77209 .8323 L
.77285 .83309 L
.77369 .83403 L
.7742 .83469 L
.77524 .8363 L
.7753 .8364 L
.77589 .8379 L
.77594 .83951 L
.7753 .84068 L
.7748 .84111 L
.77369 .84173 L
.77209 .84215 L
.77048 .84235 L
.76888 .8424 L
.76727 .84235 L
.76567 .8422 L
.76406 .84197 L
.76246 .84166 L
.76085 .84127 L
.76027 .84111 L
.75925 .8408 L
.75764 .84025 L
.75604 .83962 L
.75577 .83951 L
.75443 .83891 L
.75283 .8381 L
.75246 .8379 L
.75122 .83721 L
.74975 .8363 L
.74961 .83621 L
.74801 .83512 L
.74743 .83469 L
.7464 .8339 L
.74542 .83309 L
.7448 .83254 L
.74368 .83148 L
.74319 .831 L
.74221 .82988 L
.74159 .82914 L
.74103 .82827 L
.74021 .82667 L
.73998 .82583 L
.73993 .82506 L
.73998 .82468 L
.74063 .82346 L
.74159 .82263 L
.74319 .82212 L
.7448 .82187 L
.74503 .82185 L
F
1 .88 .024 r
.74159 .76272 m
.74319 .76302 L
.7448 .76376 L
.74555 .76406 L
.7464 .76456 L
.74801 .76549 L
.74832 .76567 L
.74961 .76646 L
.75089 .76727 L
.75122 .76749 L
.75283 .76857 L
.75329 .76888 L
.75443 .76967 L
.75559 .77048 L
.75604 .7708 L
.75764 .77197 L
.75781 .77209 L
.75925 .77315 L
.75998 .77369 L
.76085 .77435 L
.7621 .7753 L
.76246 .77557 L
.76406 .77681 L
.76418 .7769 L
.76567 .77806 L
.76623 .77851 L
.76727 .77933 L
.76826 .78011 L
.76888 .78061 L
.77025 .78172 L
.77048 .78191 L
.77209 .78321 L
.77222 .78332 L
.77369 .78453 L
.77418 .78493 L
.7753 .78586 L
.77611 .78654 L
.7769 .7872 L
.77802 .78814 L
.77851 .78855 L
.77992 .78975 L
.78011 .78991 L
.78172 .79128 L
.78181 .79135 L
.78332 .79265 L
.78368 .79296 L
.78493 .79404 L
.78553 .79456 L
.78654 .79544 L
.78737 .79617 L
.78814 .79684 L
.7892 .79777 L
.78975 .79825 L
.79102 .79938 L
.79135 .79967 L
.79283 .80098 L
.79296 .8011 L
.79456 .80253 L
.79462 .80259 L
.79617 .80398 L
.79641 .80419 L
.79777 .80543 L
.79818 .8058 L
.79938 .80689 L
.79994 .8074 L
.80098 .80835 L
.8017 .80901 L
.80259 .80983 L
.80344 .81061 L
.80419 .81131 L
.80517 .81222 L
.8058 .8128 L
.8069 .81382 L
.8074 .8143 L
.80861 .81543 L
.80901 .8158 L
.81032 .81703 L
.81061 .81732 L
.81201 .81864 L
.81222 .81884 L
.8137 .82025 L
.81382 .82037 L
.81537 .82185 L
.81543 .8219 L
.81703 .82345 L
.81704 .82346 L
.81864 .825 L
.8187 .82506 L
.82025 .82657 L
.82035 .82667 L
.82185 .82814 L
.82199 .82827 L
.82346 .82972 L
.82362 .82988 L
.82506 .83131 L
.82524 .83148 L
.82667 .83291 L
.82685 .83309 L
.82827 .83452 L
.82845 .83469 L
.82988 .83614 L
.83004 .8363 L
.83148 .83777 L
.83162 .8379 L
.83309 .83941 L
.83318 .83951 L
.83469 .84106 L
.83474 .84111 L
.83629 .84272 L
.8363 .84273 L
.83782 .84432 L
.8379 .84441 L
.83934 .84593 L
.83951 .8461 L
.84085 .84753 L
.84111 .84781 L
.84235 .84914 L
.84272 .84954 L
.84383 .85074 L
.84432 .85128 L
.8453 .85235 L
.84593 .85305 L
.84675 .85396 L
.84753 .85483 L
.84818 .85556 L
.84914 .85665 L
.84959 .85717 L
.85074 .85849 L
.85099 .85877 L
.85235 .86037 L
.85236 .86038 L
.85371 .86198 L
.85396 .86228 L
.85503 .86359 L
.85556 .86424 L
.85632 .86519 L
.85717 .86627 L
.85757 .8668 L
.85877 .8684 L
.85877 .8684 L
.85993 .87001 L
.86038 .8706 L
.86102 .87161 L
.86198 .87317 L
.862 .87322 L
.86289 .87482 L
.86346 .87643 L
.86327 .87803 L
.86198 .87834 L
.86088 .87803 L
.86038 .87791 L
.85877 .8772 L
.85721 .87643 L
.85717 .87635 L
.85556 .87543 L
.85453 .87482 L
.85396 .87445 L
.85235 .87341 L
.85206 .87322 L
.85074 .87234 L
.84969 .87161 L
.84914 .87123 L
.84753 .87009 L
.84742 .87001 L
.84593 .86893 L
.84521 .8684 L
.84432 .86774 L
.84306 .8668 L
.84272 .86654 L
.84111 .86531 L
.84095 .86519 L
.83951 .86407 L
.83888 .86359 L
.8379 .86282 L
.83684 .86198 L
.8363 .86155 L
.83483 .86038 L
.83469 .86027 L
.83309 .85897 L
.83284 .85877 L
.83148 .85766 L
.83087 .85717 L
.82988 .85634 L
.82893 .85556 L
.82827 .85501 L
.827 .85396 L
.82667 .85367 L
.82509 .85235 L
.82506 .85232 L
.82346 .85096 L
.8232 .85074 L
.82185 .84959 L
.82132 .84914 L
.82025 .84821 L
.81946 .84753 L
.81864 .84682 L
.81761 .84593 L
.81703 .84543 L
.81578 .84432 L
.81543 .84402 L
.81395 .84272 L
.81382 .84261 L
.81222 .84118 L
.81214 .84111 L
.81061 .83975 L
.81034 .83951 L
.80901 .83831 L
.80855 .8379 L
.8074 .83687 L
.80677 .8363 L
.8058 .83542 L
.805 .83469 L
.80419 .83395 L
.80324 .83309 L
.80259 .83249 L
.80149 .83148 L
.80098 .83101 L
.79975 .82988 L
.79938 .82953 L
.79802 .82827 L
.79777 .82804 L
.7963 .82667 L
.79617 .82654 L
.79459 .82506 L
.79456 .82504 L
.79296 .82352 L
.79289 .82346 L
.79135 .822 L
.79119 .82185 L
.78975 .82048 L
.78951 .82025 L
.78814 .81894 L
.78783 .81864 L
.78654 .8174 L
.78616 .81703 L
.78493 .81584 L
.7845 .81543 L
.78332 .81428 L
.78286 .81382 L
.78172 .81271 L
.78122 .81222 L
.78011 .81113 L
.77959 .81061 L
.77851 .80954 L
.77797 .80901 L
.7769 .80795 L
.77636 .8074 L
.7753 .80634 L
.77477 .8058 L
.77369 .80472 L
.77318 .80419 L
.77209 .80308 L
.7716 .80259 L
.77048 .80144 L
.77004 .80098 L
.76888 .79978 L
.76849 .79938 L
.76727 .79811 L
.76695 .79777 L
.76567 .79643 L
.76542 .79617 L
.76406 .79473 L
.7639 .79456 L
.76246 .79302 L
.7624 .79296 L
.76091 .79135 L
.76085 .79129 L
.75943 .78975 L
.75925 .78954 L
.75798 .78814 L
.75764 .78777 L
.75653 .78654 L
.75604 .78598 L
.75511 .78493 L
.75443 .78416 L
.7537 .78332 L
.75283 .78232 L
.75231 .78172 L
.75122 .78044 L
.75095 .78011 L
.74961 .77851 L
.74961 .77851 L
.7483 .7769 L
.74801 .77655 L
.74702 .7753 L
.7464 .77452 L
.74578 .77369 L
.7448 .77238 L
.7446 .77209 L
.74346 .77048 L
.74319 .77017 L
.74239 .76888 L
.74159 .76757 L
.74145 .76727 L
.74061 .76567 L
.7402 .76406 L
F
.003 .81 1 r
.74159 .82334 m
.74319 .8225 L
.7448 .82218 L
.7464 .82204 L
.74801 .82202 L
.74961 .8221 L
.75122 .82227 L
.75283 .82252 L
.75443 .82286 L
.75604 .82328 L
.75664 .82346 L
.75764 .82378 L
.75925 .82437 L
.76085 .82504 L
.76089 .82506 L
.76246 .82581 L
.76405 .82667 L
.76406 .82667 L
.76567 .82764 L
.76664 .82827 L
.76727 .82871 L
.76884 .82988 L
.76888 .82991 L
.77048 .83126 L
.77073 .83148 L
.77209 .83281 L
.77235 .83309 L
.77368 .83469 L
.77369 .8347 L
.7747 .8363 L
.7753 .83789 L
.7753 .8379 L
.7753 .83934 L
.77525 .83951 L
.7738 .84111 L
.77369 .84117 L
.77209 .84177 L
.77048 .84202 L
.76888 .84211 L
.76727 .84207 L
.76567 .84193 L
.76406 .8417 L
.76246 .84139 L
.76127 .84111 L
.76085 .841 L
.75925 .84053 L
.75764 .83997 L
.75646 .83951 L
.75604 .83933 L
.75443 .8386 L
.75305 .8379 L
.75283 .83779 L
.75122 .83687 L
.75029 .8363 L
.74961 .83586 L
.74801 .83474 L
.74794 .83469 L
.7464 .83349 L
.74592 .83309 L
.7448 .83209 L
.74418 .83148 L
.74319 .83045 L
.74271 .82988 L
.74159 .82834 L
.74155 .82827 L
.74078 .82667 L
.74058 .82506 L
.74147 .82346 L
F
.002 .8 1 r
.74319 .82297 m
.7448 .82252 L
.7464 .82233 L
.74801 .82229 L
.74961 .82236 L
.75122 .82252 L
.75283 .82278 L
.75443 .82312 L
.75574 .82346 L
.75604 .82354 L
.75764 .82405 L
.75925 .82465 L
.76024 .82506 L
.76085 .82533 L
.76246 .82611 L
.76349 .82667 L
.76406 .82699 L
.76567 .82798 L
.76612 .82827 L
.76727 .82907 L
.76834 .82988 L
.76888 .8303 L
.77024 .83148 L
.77048 .8317 L
.77185 .83309 L
.77209 .83333 L
.77318 .83469 L
.77369 .83528 L
.77417 .8363 L
.77471 .8379 L
.77454 .83951 L
.77369 .84054 L
.77268 .84111 L
.77209 .84133 L
.77048 .84168 L
.76888 .8418 L
.76727 .84178 L
.76567 .84166 L
.76406 .84144 L
.76246 .84113 L
.7624 .84111 L
.76085 .84073 L
.75925 .84026 L
.75764 .83969 L
.75717 .83951 L
.75604 .83904 L
.75443 .8383 L
.75364 .8379 L
.75283 .83747 L
.75122 .83654 L
.75082 .8363 L
.74961 .83551 L
.74845 .83469 L
.74801 .83437 L
.74641 .83309 L
.7464 .83308 L
.7448 .83161 L
.74467 .83148 L
.74321 .82988 L
.74319 .82986 L
.74207 .82827 L
.74159 .82734 L
.74134 .82667 L
.74123 .82506 L
.74159 .82422 L
.74237 .82346 L
F
.001 .79 1 r
.7448 .8229 m
.7464 .82264 L
.74801 .82257 L
.74961 .82263 L
.75122 .82278 L
.75283 .82304 L
.75443 .82338 L
.75476 .82346 L
.75604 .8238 L
.75764 .82432 L
.75925 .82492 L
.75958 .82506 L
.76085 .82562 L
.76246 .82642 L
.76293 .82667 L
.76406 .82731 L
.7656 .82827 L
.76567 .82832 L
.76727 .82944 L
.76784 .82988 L
.76888 .83071 L
.76975 .83148 L
.77048 .83216 L
.77137 .83309 L
.77209 .83389 L
.77268 .83469 L
.77363 .8363 L
.77369 .83643 L
.77412 .8379 L
.77381 .83951 L
.77369 .83969 L
.77209 .84096 L
.77135 .84111 L
.77048 .8413 L
.76888 .84148 L
.76727 .84149 L
.76567 .84138 L
.76406 .84116 L
.76375 .84111 L
.76246 .84086 L
.76085 .84046 L
.75925 .83998 L
.7579 .83951 L
.75764 .83941 L
.75604 .83875 L
.75443 .838 L
.75423 .8379 L
.75283 .83716 L
.75135 .8363 L
.75122 .83622 L
.74961 .83516 L
.74895 .83469 L
.74801 .83399 L
.7469 .83309 L
.7464 .83266 L
.74515 .83148 L
.7448 .83114 L
.74371 .82988 L
.74319 .82932 L
.74259 .82827 L
.7419 .82667 L
.74189 .82506 L
.74319 .82355 L
.74335 .82346 L
F
.001 .78 1 r
.7448 .82334 m
.7464 .82298 L
.74801 .82287 L
.74961 .8229 L
.75122 .82305 L
.75283 .8233 L
.75364 .82346 L
.75443 .82364 L
.75604 .82407 L
.75764 .82459 L
.7589 .82506 L
.75925 .8252 L
.76085 .82591 L
.76236 .82667 L
.76246 .82672 L
.76406 .82763 L
.76508 .82827 L
.76567 .82866 L
.76727 .82981 L
.76735 .82988 L
.76888 .83113 L
.76927 .83148 L
.77048 .83265 L
.77088 .83309 L
.77209 .83456 L
.77218 .83469 L
.7731 .8363 L
.77352 .8379 L
.77305 .83951 L
.77209 .84049 L
.77048 .84094 L
.76914 .84111 L
.76888 .84114 L
.76727 .84118 L
.76593 .84111 L
.76567 .84109 L
.76406 .84089 L
.76246 .84059 L
.76085 .84019 L
.75925 .83971 L
.75866 .83951 L
.75764 .83913 L
.75604 .83846 L
.75483 .8379 L
.75443 .8377 L
.75283 .83685 L
.75189 .8363 L
.75122 .83589 L
.74961 .83481 L
.74945 .83469 L
.74801 .8336 L
.74739 .83309 L
.7464 .83223 L
.74564 .83148 L
.7448 .83062 L
.7442 .82988 L
.74319 .82846 L
.7431 .82827 L
.74247 .82667 L
.74257 .82506 L
.74319 .82421 L
.74448 .82346 L
F
.001 .77 1 r
.7464 .82336 m
.74801 .82319 L
.74961 .82319 L
.75122 .82332 L
.7523 .82346 L
.75283 .82356 L
.75443 .8239 L
.75604 .82433 L
.75764 .82486 L
.75819 .82506 L
.75925 .82548 L
.76085 .8262 L
.76178 .82667 L
.76246 .82702 L
.76406 .82795 L
.76457 .82827 L
.76567 .829 L
.76686 .82988 L
.76727 .83019 L
.76879 .83148 L
.76888 .83155 L
.7704 .83309 L
.77048 .83316 L
.77168 .83469 L
.77209 .83534 L
.77256 .8363 L
.7729 .8379 L
.77222 .83951 L
.77209 .83968 L
.77048 .84055 L
.76888 .84081 L
.76727 .84088 L
.76567 .84081 L
.76406 .84061 L
.76246 .84032 L
.76085 .83992 L
.75948 .83951 L
.75925 .83943 L
.75764 .83885 L
.75604 .83817 L
.75545 .8379 L
.75443 .83741 L
.75283 .83653 L
.75242 .8363 L
.75122 .83556 L
.74995 .83469 L
.74961 .83445 L
.74801 .83321 L
.74787 .83309 L
.7464 .83177 L
.74611 .83148 L
.7448 .83003 L
.74468 .82988 L
.74362 .82827 L
.74319 .82727 L
.74305 .82667 L
.74319 .82525 L
.74328 .82506 L
.7448 .82362 L
.74588 .82346 L
F
.001 .76 1 r
.7448 .82412 m
.7464 .82368 L
.74801 .82351 L
.74961 .82349 L
.75122 .8236 L
.75283 .82383 L
.75443 .82416 L
.75604 .8246 L
.75744 .82506 L
.75764 .82513 L
.75925 .82576 L
.76085 .82649 L
.7612 .82667 L
.76246 .82733 L
.76405 .82827 L
.76406 .82828 L
.76567 .82935 L
.76637 .82988 L
.76727 .83057 L
.76832 .83148 L
.76888 .83199 L
.76992 .83309 L
.77048 .83367 L
.77118 .83469 L
.77202 .8363 L
.77209 .83649 L
.77227 .8379 L
.77209 .83857 L
.77134 .83951 L
.77048 .84004 L
.76888 .84045 L
.76727 .84056 L
.76567 .84051 L
.76406 .84033 L
.76246 .84004 L
.76085 .83964 L
.76037 .83951 L
.75925 .83915 L
.75764 .83857 L
.75608 .8379 L
.75604 .83788 L
.75443 .8371 L
.75297 .8363 L
.75283 .83622 L
.75122 .83522 L
.75045 .83469 L
.74961 .83409 L
.74835 .83309 L
.74801 .83281 L
.74659 .83148 L
.7464 .83131 L
.74517 .82988 L
.7448 .82966 L
.74414 .82827 L
.74363 .82667 L
.74403 .82506 L
F
0 .75 1 r
.7464 .82407 m
.74801 .82382 L
.74961 .82378 L
.75122 .82388 L
.75283 .8241 L
.75443 .82444 L
.75604 .82488 L
.75663 .82506 L
.75764 .82541 L
.75925 .82605 L
.7606 .82667 L
.76085 .82679 L
.76246 .82764 L
.76352 .82827 L
.76406 .82861 L
.76567 .82972 L
.76588 .82988 L
.76727 .83098 L
.76784 .83148 L
.76888 .83246 L
.76944 .83309 L
.77048 .83436 L
.77067 .83469 L
.77147 .8363 L
.77162 .8379 L
.77048 .8394 L
.77032 .83951 L
.76888 .84004 L
.76727 .84022 L
.76567 .8402 L
.76406 .84004 L
.76246 .83975 L
.76138 .83951 L
.76085 .83936 L
.75925 .83887 L
.75764 .83828 L
.75673 .8379 L
.75604 .83759 L
.75443 .8368 L
.75352 .8363 L
.75283 .8359 L
.75122 .83487 L
.75096 .83469 L
.74961 .83372 L
.74883 .83309 L
.74801 .83239 L
.74707 .83148 L
.7464 .83083 L
.74567 .82988 L
.7448 .82869 L
.74467 .82827 L
.74423 .82667 L
.7448 .82511 L
.74484 .82506 L
F
0 .74 1 r
.7464 .82461 m
.74801 .82419 L
.74961 .82409 L
.75122 .82417 L
.75283 .82439 L
.75443 .82472 L
.75574 .82506 L
.75604 .82515 L
.75764 .82569 L
.75925 .82634 L
.75998 .82667 L
.76085 .82709 L
.76246 .82796 L
.76299 .82827 L
.76406 .82894 L
.76539 .82988 L
.76567 .83008 L
.76727 .83141 L
.76735 .83148 L
.76888 .833 L
.76895 .83309 L
.77016 .83469 L
.77048 .83525 L
.77091 .8363 L
.77093 .8379 L
.77048 .83863 L
.76902 .83951 L
.76888 .83955 L
.76727 .83985 L
.76567 .83987 L
.76406 .83973 L
.76258 .83951 L
.76246 .83946 L
.76085 .83908 L
.75925 .83859 L
.75764 .83799 L
.75742 .8379 L
.75604 .8373 L
.75443 .83649 L
.75408 .8363 L
.75283 .83558 L
.75146 .83469 L
.75122 .83453 L
.74961 .83333 L
.74932 .83309 L
.74801 .83194 L
.74755 .83148 L
.7464 .83022 L
.74616 .82988 L
.7452 .82827 L
.74485 .82667 L
.74573 .82506 L
F
1 .87 .018 r
.7464 .76719 m
.74681 .76727 L
.74801 .76755 L
.74961 .76833 L
.75085 .76888 L
.75122 .76918 L
.75283 .77013 L
.75342 .77048 L
.75443 .77113 L
.75589 .77209 L
.75604 .77219 L
.75764 .77328 L
.75824 .77369 L
.75925 .77441 L
.76049 .7753 L
.76085 .77556 L
.76246 .77675 L
.76267 .7769 L
.76406 .77795 L
.7648 .77851 L
.76567 .77917 L
.76689 .78011 L
.76727 .78041 L
.76888 .78167 L
.76894 .78172 L
.77048 .78294 L
.77096 .78332 L
.77209 .78423 L
.77296 .78493 L
.77369 .78553 L
.77493 .78654 L
.7753 .78684 L
.77687 .78814 L
.7769 .78817 L
.77851 .7895 L
.7788 .78975 L
.78011 .79085 L
.78071 .79135 L
.78172 .79221 L
.7826 .79296 L
.78332 .79358 L
.78447 .79456 L
.78493 .79496 L
.78633 .79617 L
.78654 .79634 L
.78814 .79774 L
.78818 .79777 L
.78975 .79915 L
.79001 .79938 L
.79135 .80056 L
.79183 .80098 L
.79296 .80198 L
.79363 .80259 L
.79456 .80342 L
.79543 .80419 L
.79617 .80486 L
.79721 .8058 L
.79777 .80631 L
.79898 .8074 L
.79938 .80777 L
.80074 .80901 L
.80098 .80923 L
.80249 .81061 L
.80259 .81071 L
.80419 .81219 L
.80423 .81222 L
.8058 .81368 L
.80595 .81382 L
.8074 .81518 L
.80767 .81543 L
.80901 .81669 L
.80938 .81703 L
.81061 .8182 L
.81107 .81864 L
.81222 .81973 L
.81276 .82025 L
.81382 .82126 L
.81444 .82185 L
.81543 .8228 L
.8161 .82346 L
.81703 .82436 L
.81776 .82506 L
.81864 .82592 L
.81941 .82667 L
.82025 .82749 L
.82104 .82827 L
.82185 .82907 L
.82267 .82988 L
.82346 .83066 L
.82428 .83148 L
.82506 .83226 L
.82589 .83309 L
.82667 .83387 L
.82748 .83469 L
.82827 .8355 L
.82906 .8363 L
.82988 .83713 L
.83063 .8379 L
.83148 .83878 L
.83219 .83951 L
.83309 .84044 L
.83373 .84111 L
.83469 .84212 L
.83527 .84272 L
.8363 .84381 L
.83679 .84432 L
.8379 .84551 L
.83829 .84593 L
.83951 .84724 L
.83978 .84753 L
.84111 .84898 L
.84126 .84914 L
.84271 .85074 L
.84272 .85075 L
.84415 .85235 L
.84432 .85254 L
.84557 .85396 L
.84593 .85436 L
.84697 .85556 L
.84753 .85621 L
.84835 .85717 L
.84914 .8581 L
.8497 .85877 L
.85074 .86004 L
.85101 .86038 L
.8523 .86198 L
.85235 .86205 L
.85354 .86359 L
.85396 .8641 L
.85474 .86519 L
.85556 .86633 L
.85587 .8668 L
.85692 .8684 L
.85717 .86883 L
.85786 .87001 L
.85866 .87161 L
.85874 .87322 L
.85717 .87395 L
.85556 .87332 L
.85533 .87322 L
.85396 .87262 L
.85235 .87172 L
.85214 .87161 L
.85074 .87079 L
.84948 .87001 L
.84914 .86977 L
.84753 .86871 L
.84707 .8684 L
.84593 .86762 L
.84476 .8668 L
.84432 .86649 L
.84272 .86532 L
.84254 .86519 L
.84111 .86414 L
.84037 .86359 L
.83951 .86294 L
.83825 .86198 L
.8379 .86171 L
.8363 .86047 L
.83618 .86038 L
.83469 .85921 L
.83413 .85877 L
.83309 .85794 L
.83212 .85717 L
.83148 .85665 L
.83014 .85556 L
.82988 .85535 L
.82827 .85403 L
.82818 .85396 L
.82667 .85271 L
.82624 .85235 L
.82506 .85137 L
.82432 .85074 L
.82346 .85002 L
.82242 .84914 L
.82185 .84866 L
.82053 .84753 L
.82025 .84729 L
.81866 .84593 L
.81864 .84591 L
.81703 .84452 L
.81681 .84432 L
.81543 .84312 L
.81497 .84272 L
.81382 .84171 L
.81315 .84111 L
.81222 .84029 L
.81133 .83951 L
.81061 .83887 L
.80953 .8379 L
.80901 .83743 L
.80774 .8363 L
.8074 .83599 L
.80597 .83469 L
.8058 .83454 L
.8042 .83309 L
.80419 .83308 L
.80259 .83161 L
.80244 .83148 L
.80098 .83014 L
.8007 .82988 L
.79938 .82865 L
.79896 .82827 L
.79777 .82716 L
.79724 .82667 L
.79617 .82566 L
.79552 .82506 L
.79456 .82416 L
.79382 .82346 L
.79296 .82264 L
.79212 .82185 L
.79135 .82111 L
.79044 .82025 L
.78975 .81958 L
.78876 .81864 L
.78814 .81804 L
.7871 .81703 L
.78654 .81649 L
.78544 .81543 L
.78493 .81493 L
.7838 .81382 L
.78332 .81336 L
.78217 .81222 L
.78172 .81178 L
.78054 .81061 L
.78011 .81019 L
.77893 .80901 L
.77851 .80859 L
.77733 .8074 L
.7769 .80698 L
.77574 .8058 L
.7753 .80535 L
.77416 .80419 L
.77369 .80371 L
.7726 .80259 L
.77209 .80206 L
.77104 .80098 L
.77048 .8004 L
.7695 .79938 L
.76888 .79872 L
.76797 .79777 L
.76727 .79703 L
.76646 .79617 L
.76567 .79532 L
.76496 .79456 L
.76406 .79359 L
.76348 .79296 L
.76246 .79184 L
.76201 .79135 L
.76085 .79007 L
.76056 .78975 L
.75925 .78827 L
.75913 .78814 L
.75772 .78654 L
.75764 .78645 L
.75633 .78493 L
.75604 .7846 L
.75496 .78332 L
.75443 .7827 L
.75362 .78172 L
.75283 .78076 L
.75231 .78011 L
.75122 .77874 L
.75104 .77851 L
.74981 .7769 L
.74961 .77666 L
.74863 .7753 L
.74801 .77445 L
.74753 .77369 L
.74652 .77209 L
.7464 .77188 L
.74561 .77048 L
.74505 .76888 L
.74551 .76727 L
F
0 .73 1 r
.74801 .82461 m
.74961 .82444 L
.75122 .82448 L
.75283 .82468 L
.75443 .825 L
.75468 .82506 L
.75604 .82543 L
.75764 .82597 L
.75925 .82663 L
.75932 .82667 L
.76085 .82739 L
.76244 .82827 L
.76246 .82828 L
.76406 .82929 L
.76488 .82988 L
.76567 .83046 L
.76687 .83148 L
.76727 .83182 L
.76846 .83309 L
.76888 .83339 L
.76965 .83469 L
.77033 .8363 L
.77019 .8379 L
.76888 .83902 L
.76727 .83946 L
.76657 .83951 L
.76567 .83953 L
.76514 .83951 L
.76406 .83942 L
.76246 .83917 L
.76085 .83879 L
.75925 .8383 L
.75816 .8379 L
.75764 .8377 L
.75604 .837 L
.75466 .8363 L
.75443 .83618 L
.75283 .83524 L
.75198 .83469 L
.75122 .83418 L
.74981 .83309 L
.74961 .83294 L
.74804 .83148 L
.74801 .83146 L
.74667 .82988 L
.7464 .8295 L
.74575 .82827 L
.7455 .82667 L
.7464 .8253 L
.74676 .82506 L
F
0 .72 1 r
.74961 .82482 m
.75122 .82482 L
.75283 .82499 L
.75335 .82506 L
.75443 .82529 L
.75604 .82572 L
.75764 .82627 L
.75864 .82667 L
.75925 .82693 L
.76085 .8277 L
.76188 .82827 L
.76246 .8286 L
.76406 .82965 L
.76437 .82988 L
.76567 .83086 L
.76637 .83148 L
.76727 .83229 L
.76796 .83309 L
.76888 .83415 L
.76912 .83469 L
.76973 .8363 L
.76938 .8379 L
.76888 .83837 L
.76727 .83912 L
.76567 .8392 L
.76406 .83911 L
.76246 .83887 L
.76085 .83849 L
.75925 .838 L
.75897 .8379 L
.75764 .8374 L
.75604 .83669 L
.75526 .8363 L
.75443 .83586 L
.75283 .8349 L
.75251 .83469 L
.75122 .8338 L
.75031 .83309 L
.74961 .83253 L
.74854 .83148 L
.74801 .83105 L
.74718 .82988 L
.7464 .82851 L
.74631 .82827 L
.7462 .82667 L
.7464 .82621 L
.74801 .82512 L
.74821 .82506 L
F
0 .71 1 r
.74801 .82568 m
.74961 .82516 L
.75122 .82515 L
.75283 .82529 L
.75443 .82558 L
.75604 .82602 L
.75764 .82657 L
.75788 .82667 L
.75925 .82723 L
.76085 .82803 L
.76129 .82827 L
.76246 .82894 L
.76384 .82988 L
.76406 .83002 L
.76567 .8313 L
.76586 .83148 L
.76727 .83287 L
.76744 .83309 L
.76857 .83469 L
.76888 .83538 L
.76909 .8363 L
.76888 .83736 L
.76848 .8379 L
.76727 .83863 L
.76567 .83883 L
.76406 .83878 L
.76246 .83855 L
.76085 .83818 L
.75987 .8379 L
.75925 .8377 L
.75764 .8371 L
.75604 .83637 L
.7559 .8363 L
.75443 .83553 L
.75306 .83469 L
.75283 .83455 L
.75122 .83341 L
.75082 .83309 L
.74961 .83207 L
.74904 .83148 L
.74801 .8304 L
.7477 .82988 L
.74689 .82827 L
.74694 .82667 L
F
0 .7 1 r
.74801 .82642 m
.74961 .8255 L
.75122 .82547 L
.75283 .82561 L
.75443 .8259 L
.75604 .82633 L
.75707 .82667 L
.75764 .82687 L
.75925 .82755 L
.76068 .82827 L
.76085 .82836 L
.76246 .8293 L
.7633 .82988 L
.76406 .8304 L
.76535 .83148 L
.76567 .8317 L
.76692 .83309 L
.76727 .83354 L
.76801 .83469 L
.76842 .8363 L
.76731 .8379 L
.76727 .83792 L
.76567 .83839 L
.76406 .8384 L
.76246 .83821 L
.76093 .8379 L
.76085 .83786 L
.75925 .83739 L
.75764 .83678 L
.75657 .8363 L
.75604 .83605 L
.75443 .83519 L
.75362 .83469 L
.75283 .83419 L
.75135 .83309 L
.75122 .833 L
.74961 .83154 L
.74956 .83148 L
.74825 .82988 L
.74801 .82949 L
.74751 .82827 L
.74778 .82667 L
F
0 .69 1 r
.74961 .82608 m
.75122 .82587 L
.75283 .82596 L
.75443 .82624 L
.75604 .82666 L
.75605 .82667 L
.75764 .82719 L
.75925 .82788 L
.76003 .82827 L
.76085 .82869 L
.76246 .82968 L
.76274 .82988 L
.76406 .83082 L
.76481 .83148 L
.76567 .83217 L
.76638 .83309 L
.76727 .83442 L
.76741 .83469 L
.76768 .8363 L
.76727 .83708 L
.76567 .83786 L
.76544 .8379 L
.76406 .83799 L
.76291 .8379 L
.76246 .83785 L
.76085 .83754 L
.75925 .83706 L
.75764 .83644 L
.75731 .8363 L
.75604 .83572 L
.75443 .83482 L
.75422 .83469 L
.75283 .83381 L
.75189 .83309 L
.75122 .83261 L
.7501 .83148 L
.74961 .83095 L
.74881 .82988 L
.74816 .82827 L
.74872 .82667 L
F
0 .68 1 r
.75122 .82637 m
.75283 .82637 L
.75443 .82661 L
.75479 .82667 L
.75604 .82697 L
.75764 .82753 L
.75925 .82824 L
.75931 .82827 L
.76085 .82905 L
.76214 .82988 L
.76246 .83005 L
.76406 .83131 L
.76425 .83148 L
.76567 .83288 L
.7658 .83309 L
.76678 .83469 L
.76687 .8363 L
.76567 .83727 L
.76406 .8377 L
.76246 .83752 L
.76085 .8372 L
.75925 .83671 L
.75811 .8363 L
.75764 .83611 L
.75604 .83536 L
.75484 .83469 L
.75443 .83447 L
.75283 .83337 L
.75246 .83309 L
.75122 .8321 L
.75066 .83148 L
.74961 .8302 L
.74941 .82988 L
.74886 .82827 L
.74961 .82692 L
.75012 .82667 L
F
0 .67 1 r
.75122 .82696 m
.75283 .82682 L
.75443 .82692 L
.75604 .82732 L
.75764 .8279 L
.75854 .82827 L
.75925 .82857 L
.76085 .82945 L
.76151 .82988 L
.76246 .83045 L
.76366 .83148 L
.76406 .83185 L
.76521 .83309 L
.76567 .83377 L
.7661 .83469 L
.76586 .8363 L
.76567 .83647 L
.76406 .83725 L
.76246 .83712 L
.76085 .83681 L
.75925 .83633 L
.75914 .8363 L
.75764 .83577 L
.75604 .83497 L
.75553 .83469 L
.75443 .83409 L
.75306 .83309 L
.75283 .833 L
.75125 .83148 L
.75122 .83145 L
.75004 .82988 L
.74967 .82827 L
F
1 .86 .013 r
.75122 .77158 m
.75256 .77209 L
.75283 .77213 L
.75443 .77291 L
.7558 .77369 L
.75604 .77381 L
.75764 .77478 L
.75848 .7753 L
.75925 .77581 L
.76085 .7769 L
.76085 .7769 L
.76246 .77802 L
.76316 .77851 L
.76406 .77916 L
.76536 .78011 L
.76567 .78034 L
.76727 .78155 L
.7675 .78172 L
.76888 .78277 L
.7696 .78332 L
.77048 .78401 L
.77165 .78493 L
.77209 .78528 L
.77367 .78654 L
.77369 .78656 L
.7753 .78785 L
.77566 .78814 L
.7769 .78915 L
.77763 .78975 L
.77851 .79047 L
.77957 .79135 L
.78011 .79181 L
.78149 .79296 L
.78172 .79315 L
.78332 .79451 L
.78338 .79456 L
.78493 .79588 L
.78527 .79617 L
.78654 .79726 L
.78713 .79777 L
.78814 .79865 L
.78898 .79938 L
.78975 .80005 L
.79081 .80098 L
.79135 .80146 L
.79263 .80259 L
.79296 .80287 L
.79444 .80419 L
.79456 .8043 L
.79617 .80574 L
.79623 .8058 L
.79777 .80719 L
.79801 .8074 L
.79938 .80864 L
.79978 .80901 L
.80098 .81011 L
.80153 .81061 L
.80259 .81158 L
.80328 .81222 L
.80419 .81307 L
.80501 .81382 L
.8058 .81456 L
.80673 .81543 L
.8074 .81606 L
.80844 .81703 L
.80901 .81757 L
.81014 .81864 L
.81061 .81909 L
.81182 .82025 L
.81222 .82062 L
.8135 .82185 L
.81382 .82216 L
.81517 .82346 L
.81543 .82371 L
.81682 .82506 L
.81703 .82527 L
.81846 .82667 L
.81864 .82684 L
.82009 .82827 L
.82025 .82842 L
.82171 .82988 L
.82185 .83001 L
.82332 .83148 L
.82346 .83161 L
.82492 .83309 L
.82506 .83323 L
.8265 .83469 L
.82667 .83486 L
.82808 .8363 L
.82827 .8365 L
.82963 .8379 L
.82988 .83815 L
.83118 .83951 L
.83148 .83982 L
.83271 .84111 L
.83309 .84151 L
.83423 .84272 L
.83469 .84321 L
.83573 .84432 L
.8363 .84494 L
.83721 .84593 L
.8379 .84668 L
.83868 .84753 L
.83951 .84845 L
.84013 .84914 L
.84111 .85025 L
.84155 .85074 L
.84272 .85208 L
.84295 .85235 L
.84432 .85395 L
.84433 .85396 L
.84568 .85556 L
.84593 .85585 L
.847 .85717 L
.84753 .85781 L
.84828 .85877 L
.84914 .85987 L
.84951 .86038 L
.85069 .86198 L
.85074 .86203 L
.8518 .86359 L
.85235 .86423 L
.85279 .86519 L
.8537 .8668 L
.85396 .86789 L
.85404 .8684 L
.85396 .86883 L
.85235 .86929 L
.85074 .86878 L
.84997 .8684 L
.84914 .86803 L
.84753 .8671 L
.84699 .8668 L
.84593 .86613 L
.84447 .86519 L
.84432 .86508 L
.84272 .864 L
.84211 .86359 L
.84111 .86288 L
.83986 .86198 L
.83951 .86173 L
.8379 .86054 L
.83768 .86038 L
.8363 .85934 L
.83555 .85877 L
.83469 .85811 L
.83347 .85717 L
.83309 .85687 L
.83148 .8556 L
.83143 .85556 L
.82988 .85432 L
.82942 .85396 L
.82827 .85303 L
.82743 .85235 L
.82667 .85172 L
.82548 .85074 L
.82506 .8504 L
.82355 .84914 L
.82346 .84906 L
.82185 .84771 L
.82164 .84753 L
.82025 .84636 L
.81974 .84593 L
.81864 .84499 L
.81787 .84432 L
.81703 .84361 L
.81601 .84272 L
.81543 .84221 L
.81417 .84111 L
.81382 .84081 L
.81234 .83951 L
.81222 .8394 L
.81061 .83798 L
.81053 .8379 L
.80901 .83655 L
.80873 .8363 L
.8074 .83511 L
.80694 .83469 L
.8058 .83366 L
.80516 .83309 L
.80419 .83221 L
.8034 .83148 L
.80259 .83074 L
.80165 .82988 L
.80098 .82926 L
.79991 .82827 L
.79938 .82778 L
.79818 .82667 L
.79777 .82629 L
.79646 .82506 L
.79617 .82478 L
.79476 .82346 L
.79456 .82327 L
.79306 .82185 L
.79296 .82175 L
.79138 .82025 L
.79135 .82022 L
.78975 .81868 L
.7897 .81864 L
.78814 .81713 L
.78804 .81703 L
.78654 .81557 L
.78639 .81543 L
.78493 .814 L
.78475 .81382 L
.78332 .81242 L
.78312 .81222 L
.78172 .81083 L
.7815 .81061 L
.78011 .80923 L
.77989 .80901 L
.77851 .80761 L
.7783 .8074 L
.7769 .80598 L
.77672 .8058 L
.7753 .80434 L
.77515 .80419 L
.77369 .80268 L
.7736 .80259 L
.77209 .80101 L
.77206 .80098 L
.77053 .79938 L
.77048 .79932 L
.76902 .79777 L
.76888 .79762 L
.76753 .79617 L
.76727 .79589 L
.76605 .79456 L
.76567 .79414 L
.76459 .79296 L
.76406 .79237 L
.76315 .79135 L
.76246 .79057 L
.76173 .78975 L
.76085 .78874 L
.76034 .78814 L
.75925 .78686 L
.75897 .78654 L
.75764 .78494 L
.75763 .78493 L
.75633 .78332 L
.75604 .78298 L
.75506 .78172 L
.75443 .78093 L
.75384 .78011 L
.75283 .7787 L
.7527 .77851 L
.75161 .7769 L
.75122 .77623 L
.75066 .7753 L
.74976 .77369 L
.74985 .77209 L
F
0 .66 1 r
.75122 .82769 m
.75283 .82731 L
.75443 .8273 L
.75604 .82772 L
.7576 .82827 L
.75764 .82829 L
.75925 .82895 L
.76081 .82988 L
.76085 .82989 L
.76246 .83095 L
.76303 .83148 L
.76406 .8325 L
.76456 .83309 L
.76535 .83469 L
.76443 .8363 L
.76406 .83648 L
.76246 .83661 L
.76085 .83637 L
.76041 .8363 L
.75925 .83601 L
.75764 .83537 L
.75628 .83469 L
.75604 .8346 L
.75443 .83364 L
.75371 .83309 L
.75283 .83262 L
.75188 .83148 L
.75122 .83068 L
.75073 .82988 L
.75057 .82827 L
F
0 .65 1 r
.75283 .82792 m
.75443 .82782 L
.75604 .8282 L
.75637 .82827 L
.75764 .82859 L
.75925 .8294 L
.76006 .82988 L
.76085 .83015 L
.76234 .83148 L
.76246 .8316 L
.76385 .83309 L
.76406 .83345 L
.76446 .83469 L
.76406 .8355 L
.76246 .83601 L
.76085 .83589 L
.75925 .8356 L
.75764 .83491 L
.75716 .83469 L
.75604 .83425 L
.75443 .83309 L
.75443 .83308 L
.75283 .83185 L
.75258 .83148 L
.75149 .82988 L
.7519 .82827 L
F
0 .64 1 r
.75283 .82886 m
.75443 .82849 L
.75604 .82871 L
.75764 .82906 L
.75917 .82988 L
.75925 .82995 L
.76085 .83074 L
.76157 .83148 L
.76246 .83236 L
.76304 .83309 L
.76357 .83469 L
.76246 .83526 L
.76085 .83533 L
.75925 .83506 L
.75834 .83469 L
.75764 .8344 L
.75604 .8337 L
.75521 .83309 L
.75443 .83247 L
.75333 .83148 L
.75283 .83077 L
.75241 .82988 L
F
0 .63 1 r
.75443 .82933 m
.75604 .82934 L
.75764 .82978 L
.7579 .82988 L
.75925 .83057 L
.76072 .83148 L
.76085 .8317 L
.76221 .83309 L
.76085 .83459 L
.75925 .83438 L
.75764 .83381 L
.75627 .83309 L
.75604 .83294 L
.75443 .83161 L
.75431 .83148 L
.75372 .82988 L
F
1 .85 .01 r
.75604 .77626 m
.75764 .77678 L
.75789 .7769 L
.75925 .77753 L
.76085 .77849 L
.76088 .77851 L
.76246 .77948 L
.76346 .78011 L
.76406 .78053 L
.76567 .78165 L
.76577 .78172 L
.76727 .78279 L
.76802 .78332 L
.76888 .78396 L
.77018 .78493 L
.77048 .78516 L
.77209 .78639 L
.77228 .78654 L
.77369 .78763 L
.77434 .78814 L
.7753 .7889 L
.77636 .78975 L
.7769 .79018 L
.77835 .79135 L
.77851 .79148 L
.78011 .7928 L
.7803 .79296 L
.78172 .79413 L
.78224 .79456 L
.78332 .79547 L
.78415 .79617 L
.78493 .79683 L
.78604 .79777 L
.78654 .79819 L
.78791 .79938 L
.78814 .79957 L
.78975 .80097 L
.78976 .80098 L
.79135 .80237 L
.7916 .80259 L
.79296 .80378 L
.79342 .80419 L
.79456 .8052 L
.79523 .8058 L
.79617 .80664 L
.79702 .8074 L
.79777 .80808 L
.7988 .80901 L
.79938 .80953 L
.80056 .81061 L
.80098 .811 L
.80231 .81222 L
.80259 .81247 L
.80405 .81382 L
.80419 .81396 L
.80577 .81543 L
.8058 .81545 L
.8074 .81696 L
.80748 .81703 L
.80901 .81847 L
.80919 .81864 L
.81061 .82 L
.81087 .82025 L
.81222 .82153 L
.81255 .82185 L
.81382 .82308 L
.81421 .82346 L
.81543 .82464 L
.81586 .82506 L
.81703 .82621 L
.8175 .82667 L
.81864 .82779 L
.81913 .82827 L
.82025 .82938 L
.82074 .82988 L
.82185 .83098 L
.82234 .83148 L
.82346 .8326 L
.82393 .83309 L
.82506 .83424 L
.82551 .83469 L
.82667 .83589 L
.82706 .8363 L
.82827 .83755 L
.82861 .8379 L
.82988 .83923 L
.83014 .83951 L
.83148 .84093 L
.83165 .84111 L
.83309 .84266 L
.83314 .84272 L
.83462 .84432 L
.83469 .8444 L
.83608 .84593 L
.8363 .84617 L
.83751 .84753 L
.8379 .84797 L
.83892 .84914 L
.83951 .84981 L
.8403 .85074 L
.84111 .85169 L
.84165 .85235 L
.84272 .85365 L
.84296 .85396 L
.84424 .85556 L
.84432 .85565 L
.84546 .85717 L
.84593 .85771 L
.84661 .85877 L
.84753 .86015 L
.84765 .86038 L
.84865 .86198 L
.84913 .86359 L
.84753 .86473 L
.84593 .86421 L
.84478 .86359 L
.84432 .86339 L
.84272 .86243 L
.84193 .86198 L
.84111 .86144 L
.83954 .86038 L
.83951 .86035 L
.8379 .85925 L
.83722 .85877 L
.8363 .85811 L
.83501 .85717 L
.83469 .85693 L
.83309 .85572 L
.83288 .85556 L
.83148 .85449 L
.83078 .85396 L
.82988 .85325 L
.82874 .85235 L
.82827 .85198 L
.82673 .85074 L
.82667 .85069 L
.82506 .84939 L
.82475 .84914 L
.82346 .84807 L
.8228 .84753 L
.82185 .84674 L
.82088 .84593 L
.82025 .8454 L
.81897 .84432 L
.81864 .84404 L
.81709 .84272 L
.81703 .84267 L
.81543 .84129 L
.81523 .84111 L
.81382 .8399 L
.81338 .83951 L
.81222 .83849 L
.81155 .8379 L
.81061 .83708 L
.80973 .8363 L
.80901 .83565 L
.80793 .83469 L
.8074 .83422 L
.80615 .83309 L
.8058 .83277 L
.80438 .83148 L
.80419 .83131 L
.80262 .82988 L
.80259 .82985 L
.80098 .82837 L
.80087 .82827 L
.79938 .82689 L
.79914 .82667 L
.79777 .82539 L
.79742 .82506 L
.79617 .82389 L
.79571 .82346 L
.79456 .82237 L
.79401 .82185 L
.79296 .82085 L
.79232 .82025 L
.79135 .81931 L
.79065 .81864 L
.78975 .81777 L
.78899 .81703 L
.78814 .81621 L
.78734 .81543 L
.78654 .81464 L
.78571 .81382 L
.78493 .81306 L
.78408 .81222 L
.78332 .81147 L
.78247 .81061 L
.78172 .80986 L
.78088 .80901 L
.78011 .80824 L
.77929 .8074 L
.77851 .8066 L
.77772 .8058 L
.7769 .80495 L
.77617 .80419 L
.7753 .80329 L
.77463 .80259 L
.77369 .8016 L
.77311 .80098 L
.77209 .7999 L
.7716 .79938 L
.77048 .79817 L
.77011 .79777 L
.76888 .79642 L
.76865 .79617 L
.76727 .79464 L
.7672 .79456 L
.76577 .79296 L
.76567 .79284 L
.76437 .79135 L
.76406 .791 L
.763 .78975 L
.76246 .78911 L
.76166 .78814 L
.76085 .78716 L
.76036 .78654 L
.75925 .78511 L
.75911 .78493 L
.7579 .78332 L
.75764 .78309 L
.75677 .78172 L
.75604 .78069 L
.75578 .78011 L
.7548 .77851 L
.7546 .7769 L
F
1 .97 .395 r
.75925 .84903 m
.76085 .84864 L
.76246 .84841 L
.76406 .84825 L
.76567 .84814 L
.76727 .84807 L
.76888 .84801 L
.77048 .84797 L
.77209 .84795 L
.77369 .84794 L
.7753 .84794 L
.7769 .84795 L
.77851 .84797 L
.78011 .84801 L
.78172 .84806 L
.78332 .84813 L
.78493 .84822 L
.78654 .84833 L
.78814 .84848 L
.78975 .84866 L
.79135 .84888 L
.79295 .84914 L
.79296 .84914 L
.79456 .84949 L
.79617 .8499 L
.79777 .85037 L
.799 .85074 L
.79938 .85088 L
.80098 .85153 L
.80259 .85221 L
.80295 .85235 L
.80419 .85297 L
.8058 .85383 L
.80607 .85396 L
.8074 .85474 L
.80892 .85556 L
.80901 .85562 L
.81061 .85666 L
.81134 .85717 L
.81222 .85806 L
.81333 .85877 L
.81382 .85917 L
.81529 .86038 L
.81543 .86051 L
.81689 .86198 L
.81703 .86214 L
.81823 .86359 L
.81864 .86412 L
.81937 .86519 L
.82025 .86647 L
.82043 .8668 L
.82133 .8684 L
.82185 .86958 L
.82195 .87001 L
.8222 .87161 L
.8219 .87322 L
.82185 .87332 L
.82036 .87482 L
.82025 .8749 L
.81864 .87561 L
.81703 .87599 L
.81543 .87624 L
.81382 .87641 L
.81358 .87643 L
.81222 .87654 L
.81061 .87663 L
.80901 .87669 L
.8074 .87673 L
.8058 .87675 L
.80419 .87675 L
.80259 .87673 L
.80098 .8767 L
.79938 .87665 L
.79777 .87658 L
.79617 .87648 L
.7954 .87643 L
.79456 .87636 L
.79296 .8762 L
.79135 .876 L
.78975 .87575 L
.78814 .87546 L
.78654 .87512 L
.78527 .87482 L
.78493 .87473 L
.78332 .87424 L
.78172 .87369 L
.78037 .87322 L
.78011 .87312 L
.77851 .87242 L
.7769 .8717 L
.7767 .87161 L
.7753 .87089 L
.77369 .87006 L
.7736 .87001 L
.77209 .86911 L
.77084 .8684 L
.77048 .86818 L
.76888 .86711 L
.7684 .8668 L
.76727 .86604 L
.766 .86519 L
.76567 .86496 L
.76406 .86379 L
.7638 .86359 L
.76246 .86224 L
.76182 .86198 L
.76085 .86084 L
.76006 .86038 L
.75925 .85922 L
.75856 .85877 L
.75764 .85762 L
.75732 .85717 L
.75644 .85556 L
.75604 .85497 L
.75586 .85396 L
.75564 .85235 L
.75604 .851 L
.75622 .85074 L
.75764 .84964 L
.75892 .84914 L
F
0 .62 1 r
.75604 .83037 m
.75764 .83064 L
.75924 .83148 L
.75925 .83149 L
.76037 .83309 L
.75925 .83346 L
.7579 .83309 L
.75764 .83297 L
.75604 .83189 L
.75567 .83148 L
F
1 .96 .289 r
.76246 .84912 m
.76406 .8488 L
.76567 .84859 L
.76727 .84845 L
.76888 .84835 L
.77048 .84829 L
.77209 .84824 L
.77369 .84822 L
.7753 .84822 L
.7769 .84823 L
.77851 .84826 L
.78011 .84831 L
.78172 .84838 L
.78332 .84848 L
.78493 .8486 L
.78654 .84876 L
.78814 .84895 L
.78948 .84914 L
.78975 .84918 L
.79135 .84948 L
.79296 .84985 L
.79456 .85028 L
.79612 .85074 L
.79617 .85076 L
.79777 .85136 L
.79938 .85202 L
.80014 .85235 L
.80098 .85276 L
.80259 .8536 L
.80324 .85396 L
.80419 .85452 L
.8058 .85551 L
.80587 .85556 L
.8074 .85663 L
.80815 .85717 L
.80901 .85782 L
.81021 .85877 L
.81061 .85911 L
.81207 .86038 L
.81222 .86052 L
.81374 .86198 L
.81382 .86207 L
.81523 .86359 L
.81543 .86381 L
.81655 .86519 L
.81703 .86583 L
.81768 .8668 L
.81862 .8684 L
.81864 .86841 L
.81926 .87001 L
.8195 .87161 L
.81906 .87322 L
.81864 .87376 L
.81705 .87482 L
.81703 .87483 L
.81543 .8754 L
.81382 .87574 L
.81222 .87597 L
.81061 .87612 L
.80901 .87622 L
.8074 .87629 L
.8058 .87633 L
.80419 .87634 L
.80259 .87632 L
.80098 .87628 L
.79938 .87621 L
.79777 .87611 L
.79617 .87598 L
.79456 .87582 L
.79296 .87561 L
.79135 .87536 L
.78975 .87507 L
.78858 .87482 L
.78814 .87472 L
.78654 .87429 L
.78493 .8738 L
.78332 .87326 L
.7832 .87322 L
.78172 .87262 L
.78011 .87193 L
.7794 .87161 L
.77851 .87117 L
.7769 .87033 L
.77629 .87001 L
.7753 .86944 L
.77369 .86848 L
.77357 .8684 L
.77209 .86743 L
.77114 .8668 L
.77048 .86633 L
.76891 .86519 L
.76888 .86517 L
.76727 .8639 L
.76689 .86359 L
.76567 .86255 L
.76503 .86198 L
.76406 .86109 L
.76334 .86038 L
.76246 .85948 L
.76182 .85877 L
.76085 .85763 L
.76051 .85717 L
.75943 .85556 L
.75925 .85545 L
.7587 .85396 L
.75845 .85235 L
.75911 .85074 L
.75925 .8506 L
.76085 .8494 L
.76239 .84914 L
F
1 .84 .007 r
.76085 .78094 m
.76246 .78145 L
.76296 .78172 L
.76406 .78221 L
.76567 .78323 L
.76584 .78332 L
.76727 .78423 L
.76835 .78493 L
.76888 .78532 L
.77048 .78646 L
.77059 .78654 L
.77209 .78762 L
.7728 .78814 L
.77369 .78882 L
.77492 .78975 L
.7753 .79004 L
.7769 .7913 L
.77697 .79135 L
.77851 .79256 L
.779 .79296 L
.78011 .79385 L
.78099 .79456 L
.78172 .79516 L
.78295 .79617 L
.78332 .79648 L
.78487 .79777 L
.78493 .79782 L
.78654 .79917 L
.78677 .79938 L
.78814 .80054 L
.78866 .80098 L
.78975 .80192 L
.79052 .80259 L
.79135 .80331 L
.79236 .80419 L
.79296 .80472 L
.79418 .8058 L
.79456 .80614 L
.79599 .8074 L
.79617 .80757 L
.79777 .80901 L
.79777 .80901 L
.79938 .81046 L
.79955 .81061 L
.80098 .81192 L
.80131 .81222 L
.80259 .81339 L
.80305 .81382 L
.80419 .81488 L
.80478 .81543 L
.8058 .81638 L
.8065 .81703 L
.8074 .81788 L
.8082 .81864 L
.80901 .8194 L
.80989 .82025 L
.81061 .82093 L
.81157 .82185 L
.81222 .82248 L
.81323 .82346 L
.81382 .82403 L
.81488 .82506 L
.81543 .8256 L
.81651 .82667 L
.81703 .82718 L
.81813 .82827 L
.81864 .82878 L
.81974 .82988 L
.82025 .83039 L
.82133 .83148 L
.82185 .83201 L
.8229 .83309 L
.82346 .83365 L
.82446 .83469 L
.82506 .83531 L
.82601 .8363 L
.82667 .83699 L
.82753 .8379 L
.82827 .83869 L
.82904 .83951 L
.82988 .84041 L
.83052 .84111 L
.83148 .84216 L
.83199 .84272 L
.83309 .84394 L
.83343 .84432 L
.83469 .84576 L
.83484 .84593 L
.83622 .84753 L
.8363 .84762 L
.83758 .84914 L
.8379 .84951 L
.83889 .85074 L
.83951 .85148 L
.84015 .85235 L
.84111 .85363 L
.84133 .85396 L
.84247 .85556 L
.84272 .85603 L
.84346 .85717 L
.84407 .85877 L
.84272 .86005 L
.84111 .85957 L
.83976 .85877 L
.83951 .85868 L
.8379 .8577 L
.83699 .85717 L
.8363 .85668 L
.83469 .85556 L
.83469 .85556 L
.83309 .85444 L
.83241 .85396 L
.83148 .85327 L
.83024 .85235 L
.82988 .85207 L
.82827 .85083 L
.82816 .85074 L
.82667 .84959 L
.8261 .84914 L
.82506 .84832 L
.82408 .84753 L
.82346 .84702 L
.82211 .84593 L
.82185 .84571 L
.82025 .84439 L
.82017 .84432 L
.81864 .84305 L
.81825 .84272 L
.81703 .84169 L
.81635 .84111 L
.81543 .84032 L
.81448 .83951 L
.81382 .83894 L
.81263 .8379 L
.81222 .83755 L
.81079 .8363 L
.81061 .83614 L
.80901 .83472 L
.80898 .83469 L
.8074 .83329 L
.80718 .83309 L
.8058 .83185 L
.80539 .83148 L
.80419 .8304 L
.80362 .82988 L
.80259 .82893 L
.80187 .82827 L
.80098 .82746 L
.80013 .82667 L
.79938 .82597 L
.7984 .82506 L
.79777 .82447 L
.79669 .82346 L
.79617 .82296 L
.79499 .82185 L
.79456 .82144 L
.79331 .82025 L
.79296 .81991 L
.79163 .81864 L
.79135 .81837 L
.78998 .81703 L
.78975 .81681 L
.78833 .81543 L
.78814 .81524 L
.7867 .81382 L
.78654 .81366 L
.78509 .81222 L
.78493 .81206 L
.78349 .81061 L
.78332 .81045 L
.7819 .80901 L
.78172 .80883 L
.78033 .8074 L
.78011 .80718 L
.77877 .8058 L
.77851 .80552 L
.77724 .80419 L
.7769 .80385 L
.77572 .80259 L
.7753 .80214 L
.77422 .80098 L
.77369 .80042 L
.77274 .79938 L
.77209 .79867 L
.77128 .79777 L
.77048 .79689 L
.76985 .79617 L
.76888 .79506 L
.76845 .79456 L
.76727 .79319 L
.76708 .79296 L
.76574 .79135 L
.76567 .79127 L
.76444 .78975 L
.76406 .78932 L
.7632 .78814 L
.76246 .78719 L
.76204 .78654 L
.76096 .78493 L
.76085 .78469 L
.75997 .78332 L
.7596 .78172 L
F
1 .95 .212 r
.76567 .8491 m
.76727 .84887 L
.76888 .84871 L
.77048 .84861 L
.77209 .84855 L
.77369 .84851 L
.7753 .8485 L
.7769 .84852 L
.77851 .84855 L
.78011 .84861 L
.78172 .8487 L
.78332 .84882 L
.78493 .84896 L
.78644 .84914 L
.78654 .84915 L
.78814 .84939 L
.78975 .84969 L
.79135 .85004 L
.79296 .85046 L
.79395 .85074 L
.79456 .85095 L
.79617 .85153 L
.79777 .85218 L
.79817 .85235 L
.79938 .85292 L
.80098 .85375 L
.80136 .85396 L
.80259 .85468 L
.80402 .85556 L
.80419 .85568 L
.8058 .85679 L
.80632 .85717 L
.8074 .85799 L
.80838 .85877 L
.80901 .85929 L
.81024 .86038 L
.81061 .86072 L
.81192 .86198 L
.81222 .86229 L
.81342 .86359 L
.81382 .86405 L
.81474 .86519 L
.81543 .86612 L
.81587 .8668 L
.81678 .8684 L
.81703 .86898 L
.81737 .87001 L
.81751 .87161 L
.81703 .87297 L
.81685 .87322 L
.81543 .87443 L
.8142 .87482 L
.81382 .87495 L
.81222 .87533 L
.81061 .87558 L
.80901 .87574 L
.8074 .87584 L
.8058 .8759 L
.80419 .87592 L
.80259 .87591 L
.80098 .87586 L
.79938 .87579 L
.79777 .87567 L
.79617 .87552 L
.79456 .87533 L
.79296 .87509 L
.79142 .87482 L
.79135 .87481 L
.78975 .87446 L
.78814 .87405 L
.78654 .87358 L
.78541 .87322 L
.78493 .87305 L
.78332 .87243 L
.78172 .87176 L
.78139 .87161 L
.78011 .871 L
.77851 .87018 L
.77817 .87001 L
.7769 .86929 L
.7754 .8684 L
.7753 .86834 L
.77369 .86729 L
.77295 .8668 L
.77209 .86619 L
.77072 .86519 L
.77048 .86501 L
.76888 .86374 L
.76869 .86359 L
.76727 .86238 L
.76683 .86198 L
.76567 .86089 L
.76515 .86038 L
.76406 .85924 L
.76364 .85877 L
.76246 .85733 L
.76234 .85717 L
.76129 .85556 L
.76085 .85469 L
.76059 .85396 L
.76041 .85235 L
.76085 .85122 L
.76128 .85074 L
.76246 .84983 L
.76406 .84936 L
.76542 .84914 L
F
1 .94 .156 r
.76888 .8491 m
.77048 .84896 L
.77209 .84886 L
.77369 .84881 L
.7753 .84879 L
.7769 .8488 L
.77851 .84884 L
.78011 .84891 L
.78172 .84901 L
.7833 .84914 L
.78332 .84914 L
.78493 .84932 L
.78654 .84954 L
.78814 .84981 L
.78975 .85015 L
.79135 .85054 L
.7921 .85074 L
.79296 .85101 L
.79456 .85156 L
.79617 .85219 L
.79656 .85235 L
.79777 .8529 L
.79938 .85371 L
.79985 .85396 L
.80098 .8546 L
.80256 .85556 L
.80259 .85558 L
.80419 .85666 L
.8049 .85717 L
.8058 .85784 L
.80698 .85877 L
.8074 .85912 L
.80885 .86038 L
.80901 .86052 L
.81052 .86198 L
.81061 .86207 L
.81202 .86359 L
.81222 .86381 L
.81333 .86519 L
.81382 .86585 L
.81444 .8668 L
.81531 .8684 L
.81543 .86869 L
.81583 .87001 L
.81585 .87161 L
.81543 .87263 L
.81494 .87322 L
.81382 .87406 L
.81222 .87463 L
.81139 .87482 L
.81061 .87499 L
.80901 .87523 L
.8074 .87538 L
.8058 .87547 L
.80419 .87551 L
.80259 .87551 L
.80098 .87546 L
.79938 .87538 L
.79777 .87525 L
.79617 .87508 L
.79456 .87487 L
.79423 .87482 L
.79296 .87461 L
.79135 .87428 L
.78975 .8739 L
.78814 .87346 L
.78733 .87322 L
.78654 .87295 L
.78493 .87237 L
.78332 .87173 L
.78305 .87161 L
.78172 .871 L
.78011 .87021 L
.77971 .87001 L
.77851 .86935 L
.7769 .86842 L
.77688 .8684 L
.7753 .8674 L
.77438 .8668 L
.77369 .86632 L
.77213 .86519 L
.77209 .86516 L
.77048 .86391 L
.77009 .86359 L
.76888 .86256 L
.76823 .86198 L
.76727 .8611 L
.76654 .86038 L
.76567 .85947 L
.76505 .85877 L
.76406 .85758 L
.76376 .85717 L
.76274 .85556 L
.76246 .85498 L
.76209 .85396 L
.76202 .85235 L
.76246 .8514 L
.76313 .85074 L
.76406 .85011 L
.76567 .84958 L
.76727 .8493 L
.76856 .84914 L
F
1 .93 .114 r
.77369 .84911 m
.7753 .84908 L
.7769 .84909 L
.77851 .84913 L
.7789 .84914 L
.78011 .8492 L
.78172 .84931 L
.78332 .84947 L
.78493 .84966 L
.78654 .84991 L
.78814 .85021 L
.78975 .85058 L
.79041 .85074 L
.79135 .85101 L
.79296 .85153 L
.79456 .85211 L
.79515 .85235 L
.79617 .85279 L
.79777 .85355 L
.79856 .85396 L
.79938 .8544 L
.80098 .85535 L
.80133 .85556 L
.80259 .85639 L
.8037 .85717 L
.80419 .85752 L
.8058 .85877 L
.8058 .85877 L
.8074 .86013 L
.80767 .86038 L
.80901 .86164 L
.80935 .86198 L
.81061 .86332 L
.81085 .86359 L
.81215 .86519 L
.81222 .86529 L
.81322 .8668 L
.81382 .86783 L
.81404 .8684 L
.81449 .87001 L
.81438 .87161 L
.81382 .8726 L
.81316 .87322 L
.81222 .87381 L
.81061 .87437 L
.80901 .87469 L
.8081 .87482 L
.8074 .8749 L
.8058 .87503 L
.80419 .8751 L
.80259 .87511 L
.80098 .87507 L
.79938 .87498 L
.79777 .87485 L
.79753 .87482 L
.79617 .87467 L
.79456 .87443 L
.79296 .87414 L
.79135 .8738 L
.78975 .87339 L
.78911 .87322 L
.78814 .87292 L
.78654 .87238 L
.78493 .87177 L
.78453 .87161 L
.78332 .87109 L
.78172 .87034 L
.78105 .87001 L
.78011 .86951 L
.77851 .86861 L
.77814 .8684 L
.7769 .86764 L
.7756 .8668 L
.7753 .86659 L
.77369 .86546 L
.77332 .86519 L
.77209 .86425 L
.77126 .86359 L
.77048 .86294 L
.76939 .86198 L
.76888 .86151 L
.76771 .86038 L
.76727 .85993 L
.76623 .85877 L
.76567 .85811 L
.76496 .85717 L
.76406 .85575 L
.76398 .85556 L
.76339 .85396 L
.76343 .85235 L
.76406 .85133 L
.76482 .85074 L
.76567 .85027 L
.76727 .84977 L
.76888 .84949 L
.77048 .84931 L
.77209 .84919 L
.77291 .84914 L
F
1 .92 .084 r
.76727 .85037 m
.76888 .84993 L
.77048 .84967 L
.77209 .84951 L
.77369 .84942 L
.7753 .84937 L
.7769 .84937 L
.77851 .84941 L
.78011 .84949 L
.78172 .84962 L
.78332 .84978 L
.78493 .85 L
.78654 .85027 L
.78814 .8506 L
.78879 .85074 L
.78975 .85099 L
.79135 .85146 L
.79296 .85201 L
.79387 .85235 L
.79456 .85263 L
.79617 .85335 L
.7974 .85396 L
.79777 .85415 L
.79938 .85505 L
.80023 .85556 L
.80098 .85604 L
.80259 .85712 L
.80265 .85717 L
.80419 .85832 L
.80476 .85877 L
.8058 .85963 L
.80665 .86038 L
.8074 .86107 L
.80833 .86198 L
.80901 .86269 L
.80981 .86359 L
.81061 .86455 L
.81109 .86519 L
.81215 .8668 L
.81222 .86686 L
.81291 .8684 L
.81328 .87001 L
.81301 .87161 L
.81222 .87265 L
.81142 .87322 L
.81061 .87363 L
.80901 .87412 L
.8074 .87441 L
.8058 .87459 L
.80419 .87468 L
.80259 .8747 L
.80098 .87467 L
.79938 .87459 L
.79777 .87445 L
.79617 .87426 L
.79456 .87401 L
.79296 .87371 L
.79135 .87334 L
.79084 .87322 L
.78975 .87292 L
.78814 .87242 L
.78654 .87185 L
.78589 .87161 L
.78493 .87122 L
.78332 .87051 L
.78226 .87001 L
.78172 .86973 L
.78011 .86887 L
.77927 .8684 L
.77851 .86795 L
.7769 .86694 L
.77668 .8668 L
.7753 .86585 L
.77437 .86519 L
.77369 .86469 L
.77229 .86359 L
.77209 .86342 L
.77048 .86204 L
.77041 .86198 L
.76888 .86052 L
.76873 .86038 L
.76727 .85879 L
.76726 .85877 L
.76602 .85717 L
.76567 .85673 L
.76507 .85556 L
.76454 .85396 L
.76472 .85235 L
.76567 .85121 L
.76644 .85074 L
F
1 .83 .005 r
.76567 .78586 m
.76727 .78627 L
.76774 .78654 L
.76888 .78699 L
.77048 .78807 L
.7706 .78814 L
.77209 .78908 L
.77311 .78975 L
.77369 .79019 L
.77528 .79135 L
.7753 .79136 L
.7769 .79255 L
.77746 .79296 L
.77851 .79376 L
.77955 .79456 L
.78011 .79501 L
.78157 .79617 L
.78172 .79629 L
.78332 .79758 L
.78356 .79777 L
.78493 .7989 L
.78552 .79938 L
.78654 .80023 L
.78744 .80098 L
.78814 .80157 L
.78933 .80259 L
.78975 .80294 L
.7912 .80419 L
.79135 .80432 L
.79296 .80572 L
.79305 .8058 L
.79456 .80713 L
.79488 .8074 L
.79617 .80855 L
.79668 .80901 L
.79777 .80998 L
.79847 .81061 L
.79938 .81143 L
.80025 .81222 L
.80098 .81289 L
.802 .81382 L
.80259 .81436 L
.80374 .81543 L
.80419 .81585 L
.80546 .81703 L
.8058 .81735 L
.80716 .81864 L
.8074 .81887 L
.80885 .82025 L
.80901 .82039 L
.81053 .82185 L
.81061 .82193 L
.81219 .82346 L
.81222 .82349 L
.81382 .82506 L
.81383 .82506 L
.81543 .82664 L
.81546 .82667 L
.81703 .82824 L
.81707 .82827 L
.81864 .82986 L
.81866 .82988 L
.82024 .83148 L
.82025 .83149 L
.8218 .83309 L
.82185 .83314 L
.82334 .83469 L
.82346 .83481 L
.82486 .8363 L
.82506 .83651 L
.82636 .8379 L
.82667 .83823 L
.82783 .83951 L
.82827 .83998 L
.82928 .84111 L
.82988 .84177 L
.8307 .84272 L
.83148 .84361 L
.83208 .84432 L
.83309 .84552 L
.83341 .84593 L
.83469 .84753 L
.8347 .84753 L
.83596 .84914 L
.8363 .84965 L
.83712 .85074 L
.8379 .85208 L
.83808 .85235 L
.83877 .85396 L
.8379 .85515 L
.8363 .85482 L
.83498 .85396 L
.83469 .85389 L
.83309 .85287 L
.8322 .85235 L
.83148 .85183 L
.82994 .85074 L
.82988 .85069 L
.82827 .84953 L
.82773 .84914 L
.82667 .84835 L
.82559 .84753 L
.82506 .84712 L
.82354 .84593 L
.82346 .84586 L
.82185 .84459 L
.82152 .84432 L
.82025 .84329 L
.81954 .84272 L
.81864 .84198 L
.8176 .84111 L
.81703 .84064 L
.81569 .83951 L
.81543 .83929 L
.81382 .83792 L
.81381 .8379 L
.81222 .83654 L
.81194 .8363 L
.81061 .83514 L
.8101 .83469 L
.80901 .83373 L
.80828 .83309 L
.8074 .83231 L
.80648 .83148 L
.8058 .83087 L
.80469 .82988 L
.80419 .82942 L
.80293 .82827 L
.80259 .82796 L
.80118 .82667 L
.80098 .82648 L
.79945 .82506 L
.79938 .82499 L
.79777 .82349 L
.79773 .82346 L
.79617 .82198 L
.79603 .82185 L
.79456 .82045 L
.79435 .82025 L
.79296 .81891 L
.79268 .81864 L
.79135 .81736 L
.79102 .81703 L
.78975 .81579 L
.78938 .81543 L
.78814 .8142 L
.78776 .81382 L
.78654 .8126 L
.78615 .81222 L
.78493 .81099 L
.78456 .81061 L
.78332 .80935 L
.78299 .80901 L
.78172 .80769 L
.78144 .8074 L
.78011 .80602 L
.77991 .8058 L
.77851 .80431 L
.7784 .80419 L
.77691 .80259 L
.7769 .80258 L
.77544 .80098 L
.7753 .80083 L
.774 .79938 L
.77369 .79905 L
.77259 .79777 L
.77209 .79721 L
.77122 .79617 L
.77048 .79531 L
.7699 .79456 L
.76888 .79329 L
.76863 .79296 L
.76741 .79135 L
.76727 .79111 L
.76625 .78975 L
.76567 .78862 L
.76537 .78814 L
.7649 .78654 L
F
1 .91 .061 r
.76888 .85045 m
.77048 .85008 L
.77209 .84986 L
.77369 .84974 L
.7753 .84967 L
.7769 .84967 L
.77851 .8497 L
.78011 .84979 L
.78172 .84992 L
.78332 .8501 L
.78493 .85033 L
.78654 .85062 L
.78717 .85074 L
.78814 .85097 L
.78975 .85139 L
.79135 .85189 L
.79266 .85235 L
.79296 .85246 L
.79456 .85313 L
.79617 .85387 L
.79634 .85396 L
.79777 .85471 L
.79924 .85556 L
.79938 .85564 L
.80098 .85668 L
.80169 .85717 L
.80259 .85781 L
.80383 .85877 L
.80419 .85906 L
.80573 .86038 L
.8058 .86044 L
.8074 .86198 L
.80741 .86198 L
.80888 .86359 L
.80901 .86373 L
.81014 .86519 L
.81061 .86585 L
.81116 .8668 L
.81187 .8684 L
.81215 .87001 L
.81171 .87161 L
.81061 .87286 L
.80964 .87322 L
.80901 .87347 L
.8074 .87389 L
.8058 .87412 L
.80419 .87425 L
.80259 .8743 L
.80098 .87428 L
.79938 .8742 L
.79777 .87406 L
.79617 .87386 L
.79456 .8736 L
.79296 .87329 L
.79263 .87322 L
.79135 .87291 L
.78975 .87246 L
.78814 .87195 L
.7872 .87161 L
.78654 .87136 L
.78493 .8707 L
.78339 .87001 L
.78332 .86998 L
.78172 .86917 L
.78031 .8684 L
.78011 .86829 L
.77851 .86733 L
.77766 .8668 L
.7769 .86629 L
.77532 .86519 L
.7753 .86518 L
.77369 .86396 L
.77323 .86359 L
.77209 .86264 L
.77134 .86198 L
.77048 .86119 L
.76966 .86038 L
.76888 .85956 L
.76819 .85877 L
.76727 .85761 L
.76697 .85717 L
.76607 .85556 L
.76567 .85435 L
.76561 .85396 L
.76567 .853 L
.76592 .85235 L
.76727 .85111 L
.76806 .85074 L
F
1 .9 .045 r
.77048 .85054 m
.77209 .85024 L
.77369 .85007 L
.7753 .84999 L
.7769 .84996 L
.77851 .85 L
.78011 .85008 L
.78172 .85022 L
.78332 .8504 L
.78493 .85065 L
.78547 .85074 L
.78654 .85096 L
.78814 .85133 L
.78975 .85178 L
.79135 .8523 L
.79151 .85235 L
.79296 .8529 L
.79456 .85359 L
.79534 .85396 L
.79617 .85437 L
.79777 .85525 L
.79831 .85556 L
.79938 .85622 L
.80081 .85717 L
.80098 .85729 L
.80259 .85847 L
.80297 .85877 L
.80419 .85978 L
.80487 .86038 L
.8058 .86123 L
.80655 .86198 L
.8074 .86288 L
.80802 .86359 L
.80901 .86483 L
.80926 .86519 L
.81025 .8668 L
.81061 .86758 L
.8109 .8684 L
.81108 .87001 L
.81061 .87137 L
.81044 .87161 L
.80901 .87279 L
.80768 .87322 L
.8074 .8733 L
.8058 .87363 L
.80419 .87381 L
.80259 .87389 L
.80098 .87389 L
.79938 .87381 L
.79777 .87368 L
.79617 .87347 L
.79459 .87322 L
.79456 .87321 L
.79296 .87288 L
.79135 .87249 L
.78975 .87203 L
.78847 .87161 L
.78814 .8715 L
.78654 .87089 L
.78493 .87022 L
.78446 .87001 L
.78332 .86946 L
.78172 .86864 L
.78128 .8684 L
.78011 .86773 L
.77858 .8668 L
.77851 .86675 L
.7769 .86568 L
.7762 .86519 L
.7753 .86453 L
.77408 .86359 L
.77369 .86327 L
.77219 .86198 L
.77209 .86189 L
.77051 .86038 L
.77048 .86035 L
.76905 .85877 L
.76888 .85857 L
.76786 .85717 L
.76727 .85639 L
.76699 .85556 L
.76661 .85396 L
.76708 .85235 L
.76727 .85211 L
.76888 .85093 L
.76975 .85074 L
F
1 .89 .033 r
.77209 .85066 m
.77369 .85043 L
.7753 .85031 L
.7769 .85027 L
.77851 .85029 L
.78011 .85038 L
.78172 .85052 L
.78332 .85071 L
.78356 .85074 L
.78493 .85097 L
.78654 .85129 L
.78814 .85168 L
.78975 .85215 L
.79037 .85235 L
.79135 .85269 L
.79296 .85333 L
.79438 .85396 L
.79456 .85404 L
.79617 .85485 L
.79744 .85556 L
.79777 .85576 L
.79938 .85676 L
.79998 .85717 L
.80098 .85788 L
.80216 .85877 L
.80259 .85911 L
.80408 .86038 L
.80419 .86048 L
.80576 .86198 L
.8058 .86202 L
.80722 .86359 L
.8074 .8638 L
.80844 .86519 L
.80901 .86602 L
.80938 .8668 L
.80998 .8684 L
.81005 .87001 L
.80916 .87161 L
.80901 .87177 L
.8074 .8727 L
.8058 .87311 L
.80522 .87322 L
.80419 .87335 L
.80259 .87347 L
.80098 .87349 L
.79938 .87343 L
.79777 .8733 L
.79705 .87322 L
.79617 .8731 L
.79456 .87283 L
.79296 .87249 L
.79135 .87208 L
.78975 .87161 L
.78975 .87161 L
.78814 .87106 L
.78654 .87044 L
.7855 .87001 L
.78493 .86975 L
.78332 .86898 L
.78221 .8684 L
.78172 .86814 L
.78011 .86721 L
.77944 .8668 L
.77851 .8662 L
.77703 .86519 L
.7769 .8651 L
.7753 .86391 L
.77489 .86359 L
.77369 .8626 L
.77299 .86198 L
.77209 .86115 L
.77131 .86038 L
.77048 .85951 L
.76986 .85877 L
.76888 .85748 L
.76869 .85717 L
.76787 .85556 L
.76756 .85396 L
.76822 .85235 L
.76888 .85163 L
.77048 .85098 L
.77166 .85074 L
F
1 .88 .024 r
.7753 .85065 m
.7769 .85059 L
.77851 .8506 L
.78011 .85068 L
.78108 .85074 L
.78172 .85081 L
.78332 .85102 L
.78493 .85129 L
.78654 .85162 L
.78814 .85203 L
.78923 .85235 L
.78975 .85251 L
.79135 .85308 L
.79296 .85374 L
.79346 .85396 L
.79456 .85448 L
.79617 .85532 L
.79661 .85556 L
.79777 .85625 L
.79919 .85717 L
.79938 .85729 L
.80098 .85845 L
.8014 .85877 L
.80259 .85973 L
.80333 .86038 L
.80419 .86117 L
.80501 .86198 L
.8058 .86282 L
.80645 .86359 L
.8074 .86481 L
.80765 .86519 L
.80856 .8668 L
.80901 .86804 L
.80909 .8684 L
.80903 .87001 L
.80901 .87008 L
.80784 .87161 L
.8074 .87192 L
.8058 .87257 L
.80419 .87288 L
.80259 .87304 L
.80098 .87309 L
.79938 .87304 L
.79777 .87292 L
.79617 .87272 L
.79456 .87245 L
.79296 .87211 L
.79135 .87169 L
.79106 .87161 L
.78975 .87121 L
.78814 .87065 L
.78654 .87002 L
.78651 .87001 L
.78493 .8693 L
.78332 .86852 L
.7831 .8684 L
.78172 .86765 L
.78026 .8668 L
.78011 .8667 L
.77851 .86567 L
.77781 .86519 L
.7769 .86454 L
.77565 .86359 L
.7753 .86331 L
.77374 .86198 L
.77369 .86194 L
.77209 .86041 L
.77206 .86038 L
.77062 .85877 L
.77048 .85862 L
.76948 .85717 L
.76888 .85603 L
.7687 .85556 L
.76849 .85396 L
.76888 .8529 L
.76935 .85235 L
.77048 .85153 L
.77209 .85106 L
.77369 .8508 L
.77414 .85074 L
F
1 .87 .018 r
.77209 .85153 m
.77369 .85118 L
.7753 .85099 L
.7769 .85091 L
.77851 .8509 L
.78011 .85097 L
.78172 .85112 L
.78332 .85132 L
.78493 .8516 L
.78654 .85195 L
.78807 .85235 L
.78814 .85237 L
.78975 .85287 L
.79135 .85346 L
.79255 .85396 L
.79296 .85414 L
.79456 .8549 L
.7958 .85556 L
.79617 .85577 L
.79777 .85674 L
.79843 .85717 L
.79938 .85781 L
.80067 .85877 L
.80098 .85901 L
.80259 .86036 L
.80261 .86038 L
.80419 .86188 L
.80429 .86198 L
.80573 .86359 L
.8058 .86367 L
.8069 .86519 L
.8074 .86587 L
.80776 .8668 L
.80822 .8684 L
.80802 .87001 L
.8074 .8709 L
.80642 .87161 L
.8058 .87191 L
.80419 .87238 L
.80259 .8726 L
.80098 .87268 L
.79938 .87266 L
.79777 .87254 L
.79617 .87234 L
.79456 .87207 L
.79296 .87173 L
.79248 .87161 L
.79135 .87131 L
.78975 .87081 L
.78814 .87024 L
.78753 .87001 L
.78654 .8696 L
.78493 .86887 L
.78397 .8684 L
.78332 .86807 L
.78172 .86718 L
.78106 .8668 L
.78011 .86621 L
.77856 .86519 L
.77851 .86515 L
.7769 .86399 L
.77638 .86359 L
.7753 .86271 L
.77445 .86198 L
.77369 .86129 L
.77277 .86038 L
.77209 .85965 L
.77135 .85877 L
.77048 .85762 L
.77023 .85717 L
.76951 .85556 L
.7694 .85396 L
.77048 .85238 L
.77052 .85235 L
F
1 .86 .013 r
.77209 .85216 m
.77369 .85161 L
.7753 .85135 L
.7769 .85123 L
.77851 .85122 L
.78011 .85128 L
.78172 .85142 L
.78332 .85163 L
.78493 .85192 L
.78654 .85227 L
.78684 .85235 L
.78814 .85271 L
.78975 .85323 L
.79135 .85384 L
.79165 .85396 L
.79296 .85453 L
.79456 .85532 L
.79501 .85556 L
.79617 .85621 L
.7977 .85717 L
.79777 .85721 L
.79938 .85833 L
.79997 .85877 L
.80098 .85957 L
.80192 .86038 L
.80259 .86098 L
.8036 .86198 L
.80419 .8626 L
.80502 .86359 L
.8058 .86459 L
.80617 .86519 L
.80699 .8668 L
.80736 .8684 L
.80699 .87001 L
.8058 .8713 L
.8048 .87161 L
.80419 .87181 L
.80259 .87213 L
.80098 .87226 L
.79938 .87226 L
.79777 .87216 L
.79617 .87197 L
.79456 .8717 L
.79411 .87161 L
.79296 .87135 L
.79135 .87093 L
.78975 .87043 L
.78856 .87001 L
.78814 .86985 L
.78654 .86919 L
.78493 .86845 L
.78483 .8684 L
.78332 .86763 L
.78183 .8668 L
.78172 .86673 L
.78011 .86574 L
.77929 .86519 L
.77851 .86465 L
.77708 .86359 L
.7769 .86345 L
.7753 .86212 L
.77514 .86198 L
.77369 .86061 L
.77347 .86038 L
.77209 .85881 L
.77206 .85877 L
.77096 .85717 L
.77048 .85616 L
.7703 .85556 L
.7703 .85396 L
.77048 .85354 L
.77175 .85235 L
F
1 .82 .004 r
.77209 .79144 m
.77369 .79189 L
.77508 .79296 L
.7753 .79309 L
.7769 .7941 L
.77765 .79456 L
.77851 .79519 L
.77988 .79617 L
.78011 .79638 L
.78172 .79761 L
.78193 .79777 L
.78332 .79884 L
.78401 .79938 L
.78493 .80011 L
.78602 .80098 L
.78654 .80141 L
.78797 .80259 L
.78814 .80274 L
.78975 .80408 L
.78988 .80419 L
.79135 .80544 L
.79177 .8058 L
.79296 .80681 L
.79364 .8074 L
.79456 .80821 L
.79548 .80901 L
.79617 .80962 L
.79729 .81061 L
.79777 .81105 L
.79907 .81222 L
.79938 .81249 L
.80084 .81382 L
.80098 .81395 L
.80258 .81543 L
.80259 .81543 L
.80419 .81692 L
.80431 .81703 L
.8058 .81842 L
.80603 .81864 L
.8074 .81994 L
.80772 .82025 L
.80901 .82148 L
.80939 .82185 L
.81061 .82303 L
.81105 .82346 L
.81222 .8246 L
.81269 .82506 L
.81382 .82618 L
.8143 .82667 L
.81543 .82779 L
.8159 .82827 L
.81703 .82942 L
.81748 .82988 L
.81864 .83107 L
.81903 .83148 L
.82025 .83274 L
.82057 .83309 L
.82185 .83445 L
.82207 .83469 L
.82346 .83619 L
.82355 .8363 L
.825 .8379 L
.82506 .83796 L
.82643 .83951 L
.82667 .83973 L
.82781 .84111 L
.82827 .84157 L
.82914 .84272 L
.82988 .84355 L
.83038 .84432 L
.83148 .84589 L
.8315 .84593 L
.83249 .84753 L
.83308 .84914 L
.83148 .84952 L
.8306 .84914 L
.82988 .84877 L
.82827 .84785 L
.82769 .84753 L
.82667 .84684 L
.82529 .84593 L
.82506 .8457 L
.82346 .84448 L
.82323 .84432 L
.82185 .84329 L
.8211 .84272 L
.82025 .84205 L
.81907 .84111 L
.81864 .84077 L
.8171 .83951 L
.81703 .83945 L
.81543 .83813 L
.81515 .8379 L
.81382 .83679 L
.81324 .8363 L
.81222 .83543 L
.81136 .83469 L
.81061 .83405 L
.8095 .83309 L
.80901 .83265 L
.80768 .83148 L
.8074 .83124 L
.80588 .82988 L
.8058 .8298 L
.80419 .82836 L
.8041 .82827 L
.80259 .8269 L
.80234 .82667 L
.80098 .82542 L
.80059 .82506 L
.79938 .82393 L
.79887 .82346 L
.79777 .82243 L
.79716 .82185 L
.79617 .82091 L
.79547 .82025 L
.79456 .81937 L
.79381 .81864 L
.79296 .81782 L
.79216 .81703 L
.79135 .81625 L
.79052 .81543 L
.78975 .81466 L
.78891 .81382 L
.78814 .81305 L
.78732 .81222 L
.78654 .81142 L
.78575 .81061 L
.78493 .80977 L
.7842 .80901 L
.78332 .8081 L
.78268 .8074 L
.78172 .80639 L
.78118 .8058 L
.78011 .80464 L
.77971 .80419 L
.77851 .80285 L
.77828 .80259 L
.7769 .80101 L
.77688 .80098 L
.7755 .79938 L
.7753 .79926 L
.77418 .79777 L
.77369 .79707 L
.77295 .79617 L
.77209 .79484 L
.77188 .79456 L
.771 .79296 L
F
1 .85 .01 r
.77369 .85212 m
.7753 .85175 L
.7769 .85158 L
.77851 .85154 L
.78011 .85159 L
.78172 .85173 L
.78332 .85194 L
.78493 .85223 L
.78549 .85235 L
.78654 .8526 L
.78814 .85305 L
.78975 .85358 L
.79074 .85396 L
.79135 .8542 L
.79296 .85492 L
.79423 .85556 L
.79456 .85573 L
.79617 .85665 L
.79699 .85717 L
.79777 .85768 L
.79929 .85877 L
.79938 .85884 L
.80098 .86014 L
.80125 .86038 L
.80259 .86163 L
.80293 .86198 L
.80419 .8634 L
.80434 .86359 L
.80546 .86519 L
.8058 .8658 L
.80623 .8668 L
.8065 .8684 L
.80591 .87001 L
.8058 .87019 L
.80419 .87124 L
.80261 .87161 L
.80259 .87162 L
.80098 .87181 L
.79938 .87185 L
.79777 .87177 L
.79621 .87161 L
.79617 .8716 L
.79456 .87133 L
.79296 .87098 L
.79135 .87056 L
.78975 .87005 L
.78963 .87001 L
.78814 .86946 L
.78654 .86879 L
.78568 .8684 L
.78493 .86804 L
.78332 .8672 L
.7826 .8668 L
.78172 .86628 L
.78011 .86527 L
.78 .86519 L
.77851 .86415 L
.77776 .86359 L
.7769 .86291 L
.77581 .86198 L
.7753 .86152 L
.77414 .86038 L
.77369 .85993 L
.77274 .85877 L
.77209 .85798 L
.77168 .85717 L
.77107 .85556 L
.77121 .85396 L
.77209 .85291 L
.77309 .85235 L
F
1 .84 .007 r
.7753 .8522 m
.7769 .85196 L
.77851 .85188 L
.78011 .85192 L
.78172 .85205 L
.78332 .85226 L
.7839 .85235 L
.78493 .85255 L
.78654 .85292 L
.78814 .85338 L
.78975 .85393 L
.78981 .85396 L
.79135 .85457 L
.79296 .85531 L
.79346 .85556 L
.79456 .85615 L
.79617 .85709 L
.79628 .85717 L
.79777 .85816 L
.79862 .85877 L
.79938 .85935 L
.8006 .86038 L
.80098 .86072 L
.80228 .86198 L
.80259 .8623 L
.80367 .86359 L
.80419 .86421 L
.80476 .86519 L
.80547 .8668 L
.80564 .8684 L
.80478 .87001 L
.80419 .87049 L
.80259 .87111 L
.80098 .87136 L
.79938 .87143 L
.79777 .87138 L
.79617 .87122 L
.79456 .87096 L
.79296 .87061 L
.79135 .87018 L
.79077 .87001 L
.78975 .86967 L
.78814 .86907 L
.78655 .8684 L
.78654 .8684 L
.78493 .86763 L
.78335 .8668 L
.78332 .86678 L
.78172 .86584 L
.7807 .86519 L
.78011 .8648 L
.77851 .86365 L
.77843 .86359 L
.7769 .86236 L
.77647 .86198 L
.7753 .8609 L
.77479 .86038 L
.77369 .85915 L
.77341 .85877 L
.77238 .85717 L
.77209 .8565 L
.77184 .85556 L
.77209 .85405 L
.77214 .85396 L
.77369 .8525 L
.77468 .85235 L
F
1 .83 .005 r
.77851 .85225 m
.78011 .85226 L
.78151 .85235 L
.78172 .85237 L
.78332 .85257 L
.78493 .85287 L
.78654 .85325 L
.78814 .85372 L
.78884 .85396 L
.78975 .85428 L
.79135 .85494 L
.79269 .85556 L
.79296 .85569 L
.79456 .85656 L
.79559 .85717 L
.79617 .85753 L
.79777 .85863 L
.79796 .85877 L
.79938 .85988 L
.79995 .86038 L
.80098 .86132 L
.80163 .86198 L
.80259 .86303 L
.80301 .86359 L
.80407 .86519 L
.80419 .86543 L
.80472 .8668 L
.80475 .8684 L
.80419 .86943 L
.80352 .87001 L
.80259 .87048 L
.80098 .87087 L
.79938 .87101 L
.79777 .87098 L
.79617 .87084 L
.79456 .87059 L
.79296 .87024 L
.79203 .87001 L
.79135 .86981 L
.78975 .8693 L
.78814 .86869 L
.78744 .8684 L
.78654 .86801 L
.78493 .86723 L
.78411 .8668 L
.78332 .86636 L
.78172 .8654 L
.78139 .86519 L
.78011 .86433 L
.77909 .86359 L
.77851 .86314 L
.77711 .86198 L
.7769 .8618 L
.77543 .86038 L
.7753 .86025 L
.77407 .85877 L
.77369 .85855 L
.77308 .85717 L
.77262 .85556 L
.7731 .85396 L
.77369 .85319 L
.7753 .8526 L
.7769 .85237 L
.77707 .85235 L
F
1 .82 .004 r
.7753 .85313 m
.7769 .85275 L
.77851 .8526 L
.78011 .85259 L
.78172 .85269 L
.78332 .8529 L
.78493 .85319 L
.78654 .85358 L
.78781 .85396 L
.78814 .85406 L
.78975 .85463 L
.79135 .85531 L
.7919 .85556 L
.79296 .85608 L
.79456 .85697 L
.79489 .85717 L
.79617 .85797 L
.7973 .85877 L
.79777 .85912 L
.79932 .86038 L
.79938 .86043 L
.80098 .86197 L
.801 .86198 L
.80236 .86359 L
.80259 .86376 L
.80338 .86519 L
.80395 .8668 L
.80382 .8684 L
.80259 .86972 L
.80201 .87001 L
.80098 .87032 L
.79938 .87054 L
.79777 .87056 L
.79617 .87044 L
.79456 .8702 L
.79353 .87001 L
.79296 .86987 L
.79135 .86944 L
.78975 .86892 L
.78836 .8684 L
.78814 .86831 L
.78654 .86762 L
.78493 .86683 L
.78487 .8668 L
.78332 .86594 L
.78209 .86519 L
.78172 .86496 L
.78011 .86386 L
.77974 .86359 L
.77851 .86263 L
.77775 .86198 L
.7769 .86123 L
.77607 .86038 L
.7753 .85956 L
.77472 .85877 L
.77378 .85717 L
.77369 .85697 L
.77341 .85556 L
.77369 .85451 L
.77413 .85396 L
F
1 .81 .003 r
.7753 .85394 m
.7769 .85322 L
.77851 .85299 L
.78011 .85295 L
.78172 .85303 L
.78332 .85323 L
.78493 .85353 L
.78654 .85392 L
.78667 .85396 L
.78814 .8544 L
.78975 .85499 L
.79109 .85556 L
.79135 .85568 L
.79296 .85647 L
.79419 .85717 L
.79456 .85739 L
.79617 .85843 L
.79665 .85877 L
.79777 .85961 L
.79868 .86038 L
.79938 .86098 L
.80036 .86198 L
.80098 .86262 L
.80171 .86359 L
.80259 .86492 L
.80268 .86519 L
.80317 .8668 L
.80283 .8684 L
.80259 .86872 L
.80098 .86978 L
.79974 .87001 L
.79938 .87004 L
.79777 .87012 L
.79617 .87003 L
.7958 .87001 L
.79456 .86982 L
.79296 .86949 L
.79135 .86907 L
.78975 .86854 L
.78935 .8684 L
.78814 .86793 L
.78654 .86722 L
.78566 .8668 L
.78493 .86642 L
.78332 .86552 L
.78278 .86519 L
.78172 .86452 L
.78039 .86359 L
.78011 .86338 L
.77851 .86209 L
.77838 .86198 L
.7769 .86059 L
.7767 .86038 L
.77537 .85877 L
.7753 .85866 L
.77448 .85717 L
.77422 .85556 L
.77528 .85396 L
F
1 .8 .002 r
.7769 .85383 m
.77851 .85344 L
.78011 .85333 L
.78172 .85339 L
.78332 .85358 L
.78493 .85387 L
.78533 .85396 L
.78654 .85426 L
.78814 .85475 L
.78975 .85535 L
.79025 .85556 L
.79135 .85605 L
.79296 .85687 L
.79348 .85717 L
.79456 .85781 L
.79599 .85877 L
.79617 .85889 L
.79777 .86014 L
.79805 .86038 L
.79938 .8616 L
.79973 .86198 L
.80098 .86348 L
.80105 .86359 L
.80198 .86519 L
.80236 .8668 L
.80175 .8684 L
.80098 .86908 L
.79938 .86955 L
.79777 .86968 L
.79617 .86962 L
.79456 .86943 L
.79296 .86911 L
.79135 .86869 L
.79043 .8684 L
.78975 .86817 L
.78814 .86755 L
.78654 .86683 L
.78647 .8668 L
.78493 .86602 L
.78349 .86519 L
.78332 .8651 L
.78172 .86406 L
.78105 .86359 L
.78011 .86289 L
.77901 .86198 L
.77851 .86155 L
.77734 .86038 L
.7769 .85999 L
.77603 .85877 L
.7753 .85745 L
.77519 .85717 L
.77506 .85556 L
.7753 .85501 L
.77662 .85396 L
F
1 .79 .001 r
.78011 .85376 m
.78172 .85378 L
.78332 .85394 L
.78344 .85396 L
.78493 .85421 L
.78654 .85461 L
.78814 .85511 L
.78935 .85556 L
.78975 .85572 L
.79135 .85644 L
.79275 .85717 L
.79296 .85728 L
.79456 .85825 L
.79533 .85877 L
.79617 .85937 L
.79741 .86038 L
.79777 .86067 L
.79909 .86198 L
.79938 .86222 L
.80039 .86359 L
.80098 .86458 L
.80126 .86519 L
.80151 .8668 L
.80098 .86795 L
.80049 .8684 L
.79938 .86893 L
.79777 .86919 L
.79617 .86918 L
.79456 .86901 L
.79296 .86871 L
.7917 .8684 L
.79135 .8683 L
.78975 .86778 L
.78814 .86716 L
.78732 .8668 L
.78654 .86643 L
.78493 .8656 L
.78421 .86519 L
.78332 .86467 L
.78172 .86359 L
.78171 .86359 L
.78011 .86237 L
.77965 .86198 L
.77851 .86095 L
.77798 .86038 L
.7769 .85914 L
.7767 .85877 L
.77592 .85717 L
.77596 .85556 L
.7769 .85455 L
.77851 .85396 L
.77852 .85396 L
F
1 .78 .001 r
.77851 .85427 m
.78011 .85416 L
.78172 .85416 L
.78332 .8543 L
.78493 .85457 L
.78654 .85497 L
.78814 .85548 L
.78836 .85556 L
.78975 .85609 L
.79135 .85684 L
.79199 .85717 L
.79296 .85769 L
.79456 .85871 L
.79465 .85877 L
.79617 .85988 L
.79676 .86038 L
.79777 .86126 L
.79844 .86198 L
.79938 .86301 L
.79971 .86359 L
.80051 .86519 L
.80059 .8668 L
.79938 .86813 L
.79897 .8684 L
.79777 .86862 L
.79617 .8687 L
.79456 .86858 L
.79348 .8684 L
.79296 .8683 L
.79135 .86791 L
.78975 .86739 L
.78824 .8668 L
.78814 .86676 L
.78654 .86603 L
.78496 .86519 L
.78493 .86518 L
.78332 .86422 L
.78239 .86359 L
.78172 .86312 L
.78031 .86198 L
.78011 .86184 L
.77863 .86038 L
.77851 .86035 L
.77738 .85877 L
.7769 .85787 L
.77668 .85717 L
.7769 .85563 L
.77695 .85556 L
F
1 .81 .003 r
.77851 .79767 m
.77877 .79777 L
.78011 .79844 L
.78165 .79938 L
.78172 .79942 L
.78332 .80046 L
.78415 .80098 L
.78493 .80159 L
.7863 .80259 L
.78654 .80283 L
.78814 .80416 L
.78819 .80419 L
.78975 .80543 L
.7902 .8058 L
.79135 .80674 L
.79215 .8074 L
.79296 .80808 L
.79404 .80901 L
.79456 .80946 L
.79589 .81061 L
.79617 .81086 L
.79769 .81222 L
.79777 .81229 L
.79938 .81373 L
.79948 .81382 L
.80098 .81518 L
.80126 .81543 L
.80259 .81665 L
.803 .81703 L
.80419 .81814 L
.80473 .81864 L
.8058 .81965 L
.80642 .82025 L
.8074 .82118 L
.8081 .82185 L
.80901 .82273 L
.80975 .82346 L
.81061 .8243 L
.81137 .82506 L
.81222 .82589 L
.81297 .82667 L
.81382 .82752 L
.81455 .82827 L
.81543 .82917 L
.81609 .82988 L
.81703 .83085 L
.81761 .83148 L
.81864 .83258 L
.81908 .83309 L
.82025 .83437 L
.82052 .83469 L
.82185 .83624 L
.8219 .8363 L
.82334 .8379 L
.82346 .8382 L
.82471 .83951 L
.82506 .84035 L
.8258 .84111 L
.82635 .84272 L
.82506 .84328 L
.82388 .84272 L
.82346 .84248 L
.82185 .84155 L
.82131 .84111 L
.82025 .8405 L
.81905 .83951 L
.81864 .8393 L
.81703 .83799 L
.81693 .8379 L
.81543 .83674 L
.81486 .8363 L
.81382 .83546 L
.81288 .83469 L
.81222 .83414 L
.81097 .83309 L
.81061 .83278 L
.80912 .83148 L
.80901 .83139 L
.8074 .82998 L
.80728 .82988 L
.8058 .82857 L
.80546 .82827 L
.80419 .82714 L
.80367 .82667 L
.80259 .82569 L
.80191 .82506 L
.80098 .82421 L
.80017 .82346 L
.79938 .82272 L
.79846 .82185 L
.79777 .82121 L
.79677 .82025 L
.79617 .81968 L
.7951 .81864 L
.79456 .81812 L
.79346 .81703 L
.79296 .81655 L
.79184 .81543 L
.79135 .81495 L
.79025 .81382 L
.78975 .81333 L
.78868 .81222 L
.78814 .81168 L
.78715 .81061 L
.78654 .81 L
.78564 .80901 L
.78493 .80828 L
.78417 .8074 L
.78332 .8065 L
.78275 .8058 L
.78172 .80463 L
.78139 .80419 L
.78011 .8026 L
.78011 .80259 L
.7789 .80098 L
.77851 .80041 L
.77787 .79938 L
.77739 .79777 L
F
1 .77 .001 r
.77851 .85511 m
.78011 .85462 L
.78172 .85457 L
.78332 .85469 L
.78493 .85496 L
.78654 .85535 L
.78725 .85556 L
.78814 .85585 L
.78975 .85649 L
.79118 .85717 L
.79135 .85725 L
.79296 .85813 L
.79395 .85877 L
.79456 .85917 L
.79609 .86038 L
.79617 .86043 L
.79777 .86198 L
.79777 .86198 L
.79901 .86359 L
.79938 .86425 L
.79972 .86519 L
.79956 .8668 L
.79938 .86705 L
.79777 .86816 L
.79617 .86822 L
.79456 .86814 L
.79296 .86789 L
.79135 .86749 L
.78975 .86697 L
.78926 .8668 L
.78814 .86635 L
.78654 .86561 L
.78574 .86519 L
.78493 .86475 L
.78332 .86374 L
.78309 .86359 L
.78172 .86261 L
.78097 .86198 L
.78011 .86127 L
.77929 .86038 L
.77851 .85974 L
.77808 .85877 L
.77748 .85717 L
.77807 .85556 L
F
1 .76 .001 r
.78011 .8553 m
.78172 .85506 L
.78332 .85513 L
.78493 .85537 L
.78589 .85556 L
.78654 .85574 L
.78814 .85625 L
.78975 .8569 L
.79032 .85717 L
.79135 .85766 L
.79296 .85861 L
.79321 .85877 L
.79456 .85969 L
.7954 .86038 L
.79617 .86097 L
.79708 .86198 L
.79777 .86282 L
.79828 .86359 L
.79888 .86519 L
.79835 .8668 L
.79777 .86732 L
.79617 .86769 L
.79456 .86766 L
.79296 .86743 L
.79135 .86705 L
.79046 .8668 L
.78975 .86656 L
.78814 .86593 L
.78659 .86519 L
.78654 .86516 L
.78493 .86429 L
.78382 .86359 L
.78332 .86327 L
.78172 .86203 L
.78166 .86198 L
.78011 .86054 L
.77998 .86038 L
.77881 .85877 L
.77851 .85808 L
.77835 .85717 L
.77851 .8565 L
.77946 .85556 L
F
1 .75 0 r
.78011 .85615 m
.78172 .85566 L
.78332 .85559 L
.78493 .85578 L
.78654 .85614 L
.78814 .85667 L
.78936 .85717 L
.78975 .85732 L
.79135 .85812 L
.79243 .85877 L
.79296 .85907 L
.79456 .86028 L
.79468 .86038 L
.79617 .86174 L
.79636 .86198 L
.7975 .86359 L
.79777 .86422 L
.79793 .86519 L
.79777 .86582 L
.79673 .8668 L
.79617 .86694 L
.79456 .86709 L
.79296 .86693 L
.79225 .8668 L
.79135 .86661 L
.78975 .86612 L
.78814 .86547 L
.78752 .86519 L
.78654 .86472 L
.78493 .8638 L
.7846 .86359 L
.78332 .86275 L
.78238 .86198 L
.78172 .86154 L
.78071 .86038 L
.78011 .85963 L
.77959 .85877 L
.7793 .85717 L
F
1 .74 0 r
.78172 .85635 m
.78332 .85599 L
.78493 .85622 L
.78654 .85661 L
.78814 .85715 L
.7882 .85717 L
.78975 .85777 L
.79135 .85864 L
.79158 .85877 L
.79296 .8596 L
.79391 .86038 L
.79456 .86073 L
.79559 .86198 L
.79617 .86274 L
.79666 .86359 L
.79686 .86519 L
.79617 .86598 L
.79456 .86643 L
.79296 .86647 L
.79135 .86613 L
.78975 .86563 L
.78859 .86519 L
.78814 .86501 L
.78654 .86423 L
.78544 .86359 L
.78493 .86332 L
.78332 .86212 L
.78316 .86198 L
.78172 .86071 L
.78148 .86038 L
.78044 .85877 L
.78042 .85717 L
F
1 .73 0 r
.78332 .85671 m
.78493 .85681 L
.78654 .85715 L
.7866 .85717 L
.78814 .85756 L
.78975 .85829 L
.79063 .85877 L
.79135 .85908 L
.79296 .86029 L
.79305 .86038 L
.79456 .8617 L
.79474 .86198 L
.79572 .86359 L
.79558 .86519 L
.79456 .86561 L
.79296 .86585 L
.79135 .86556 L
.79009 .86519 L
.78975 .86512 L
.78814 .86452 L
.78654 .86366 L
.78641 .86359 L
.78493 .86275 L
.784 .86198 L
.78332 .8614 L
.78232 .86038 L
.78172 .85949 L
.78141 .85877 L
.78172 .85743 L
.78208 .85717 L
F
1 1 1 r
.78493 .87781 m
.78654 .87768 L
.78814 .87763 L
.78975 .8776 L
.79135 .87759 L
.79296 .87759 L
.79456 .87759 L
.79617 .87759 L
.79777 .87759 L
.79938 .8776 L
.80098 .8776 L
.80259 .8776 L
.80419 .8776 L
.8058 .8776 L
.8074 .8776 L
.80901 .8776 L
.81061 .8776 L
.81222 .87761 L
.81382 .87761 L
.81543 .87761 L
.81703 .87762 L
.81864 .87763 L
.82025 .87764 L
.82185 .87766 L
.82346 .87769 L
.82506 .87775 L
.82667 .87784 L
.82827 .878 L
.82853 .87803 L
.82988 .87829 L
.83148 .87873 L
.83309 .87933 L
.83377 .87964 L
.83469 .88009 L
.8363 .88098 L
.83673 .88124 L
.8379 .88198 L
.83918 .88285 L
.83951 .88308 L
.84111 .88425 L
.84138 .88445 L
.84272 .88549 L
.84343 .88606 L
.84432 .88679 L
.84537 .88767 L
.84593 .88814 L
.84723 .88927 L
.84753 .88954 L
.84901 .89088 L
.84914 .89099 L
.85073 .89248 L
.85074 .8925 L
.85235 .89405 L
.85238 .89409 L
.85396 .89567 L
.85397 .89569 L
.85549 .8973 L
.85556 .89737 L
.85693 .8989 L
.85717 .89917 L
.85826 .90051 L
.85877 .90109 L
.85946 .90211 L
.86038 .90354 L
.86044 .90372 L
.861 .90532 L
.86038 .90683 L
.86021 .90693 L
.85877 .90749 L
.85717 .90766 L
.85556 .90773 L
.85396 .90776 L
.85235 .90778 L
.85074 .90778 L
.84914 .90779 L
.84753 .90779 L
.84593 .90779 L
.84432 .90779 L
.84272 .90779 L
.84111 .90779 L
.83951 .90779 L
.8379 .90779 L
.8363 .90779 L
.83469 .90778 L
.83309 .90778 L
.83148 .90778 L
.82988 .90777 L
.82827 .90776 L
.82667 .90775 L
.82506 .90774 L
.82346 .90772 L
.82185 .9077 L
.82025 .90766 L
.81864 .9076 L
.81703 .90752 L
.81543 .90738 L
.81382 .90717 L
.81261 .90693 L
.81222 .90682 L
.81061 .90627 L
.80901 .90559 L
.80846 .90532 L
.8074 .90476 L
.8058 .9038 L
.80566 .90372 L
.80419 .90275 L
.80328 .90211 L
.80259 .90161 L
.80112 .90051 L
.80098 .9004 L
.79938 .89913 L
.79909 .8989 L
.79777 .89781 L
.79717 .8973 L
.79617 .89643 L
.79533 .89569 L
.79456 .895 L
.79356 .89409 L
.79296 .89353 L
.79185 .89248 L
.79135 .892 L
.79021 .89088 L
.78975 .89041 L
.78863 .88927 L
.78814 .88875 L
.78713 .88767 L
.78654 .88701 L
.78571 .88606 L
.78493 .88513 L
.7844 .88445 L
.78332 .88298 L
.78324 .88285 L
.78233 .88124 L
.78193 .87964 L
.78332 .87817 L
.78382 .87803 L
F
1 .72 0 r
.78332 .85777 m
.78493 .85753 L
.78654 .85744 L
.78814 .85814 L
.78951 .85877 L
.78975 .85893 L
.79135 .85973 L
.79211 .86038 L
.79296 .86111 L
.79379 .86198 L
.79454 .86359 L
.79296 .86495 L
.79135 .86487 L
.78975 .86464 L
.78814 .86389 L
.78753 .86359 L
.78654 .86328 L
.78497 .86198 L
.78493 .86194 L
.78332 .86041 L
.7833 .86038 L
.78253 .85877 L
F
1 .71 0 r
.78493 .85853 m
.78654 .85838 L
.78762 .85877 L
.78814 .85895 L
.78975 .85967 L
.79101 .86038 L
.79135 .86073 L
.79269 .86198 L
.79278 .86359 L
.79135 .86399 L
.78975 .86376 L
.78932 .86359 L
.78814 .86311 L
.78654 .86235 L
.78614 .86198 L
.78493 .8609 L
.78446 .86038 L
.78441 .85877 L
F
1 .8 .002 r
.78654 .80572 m
.78682 .8058 L
.78814 .80646 L
.7896 .8074 L
.78975 .8075 L
.79135 .80856 L
.79179 .80901 L
.79296 .80968 L
.79382 .81061 L
.79456 .81122 L
.79577 .81222 L
.79617 .81256 L
.79764 .81382 L
.79777 .81394 L
.79938 .81534 L
.79948 .81543 L
.80098 .81676 L
.80128 .81703 L
.80259 .81821 L
.80304 .81864 L
.80419 .8197 L
.80476 .82025 L
.8058 .82121 L
.80643 .82185 L
.8074 .82276 L
.80807 .82346 L
.80901 .82434 L
.80967 .82506 L
.81061 .82596 L
.81122 .82667 L
.81222 .82765 L
.81272 .82827 L
.81382 .82944 L
.81414 .82988 L
.81543 .83147 L
.81544 .83148 L
.81667 .83309 L
.81703 .83362 L
.81761 .83469 L
.81703 .83526 L
.81583 .83469 L
.81543 .83446 L
.81382 .83355 L
.8134 .83309 L
.81222 .83221 L
.81128 .83148 L
.81061 .83096 L
.80928 .82988 L
.80901 .82965 L
.8074 .82831 L
.80735 .82827 L
.8058 .82696 L
.80546 .82667 L
.80419 .82558 L
.80362 .82506 L
.80259 .82416 L
.80183 .82346 L
.80098 .82271 L
.80009 .82185 L
.79938 .82123 L
.79839 .82025 L
.79777 .81972 L
.79672 .81864 L
.79617 .81819 L
.79509 .81703 L
.79456 .81665 L
.79349 .81543 L
.79296 .81471 L
.79194 .81382 L
.79135 .813 L
.79044 .81222 L
.78975 .81122 L
.78903 .81061 L
.78814 .80933 L
.78777 .80901 L
.78672 .8074 L
.78654 .80711 L
.78614 .8058 L
F
1 .7 0 r
.78654 .86021 m
.78814 .86008 L
.78888 .86038 L
.78975 .86092 L
.79057 .86198 L
.78975 .86246 L
.78817 .86198 L
.78814 .86196 L
.78654 .86051 L
.78651 .86038 L
F
.733 .99 1 r
.78975 .87913 m
.79135 .87869 L
.79296 .87848 L
.79456 .87834 L
.79617 .87825 L
.79777 .87818 L
.79938 .87812 L
.80098 .87809 L
.80259 .87806 L
.80419 .87804 L
.8058 .87804 L
.8074 .87804 L
.80901 .87805 L
.81061 .87807 L
.81222 .87811 L
.81382 .87815 L
.81543 .87821 L
.81703 .8783 L
.81864 .8784 L
.82025 .87854 L
.82185 .87872 L
.82346 .87895 L
.82506 .87924 L
.82667 .87959 L
.82688 .87964 L
.82827 .88005 L
.82988 .8806 L
.83147 .88124 L
.83148 .88125 L
.83309 .88202 L
.83462 .88285 L
.83469 .88289 L
.8363 .88387 L
.83718 .88445 L
.8379 .88495 L
.83943 .88606 L
.83951 .88612 L
.84111 .88738 L
.84146 .88767 L
.84272 .88873 L
.84333 .88927 L
.84432 .89017 L
.84507 .89088 L
.84593 .89171 L
.84669 .89248 L
.84753 .89337 L
.84818 .89409 L
.84914 .8952 L
.84954 .89569 L
.85074 .89728 L
.85075 .8973 L
.85178 .8989 L
.85235 .89989 L
.85254 .90051 L
.85293 .90211 L
.85263 .90372 L
.85235 .90414 L
.85074 .90532 L
.85074 .90532 L
.84914 .90591 L
.84753 .90624 L
.84593 .90646 L
.84432 .90662 L
.84272 .90673 L
.84111 .9068 L
.83951 .90685 L
.8379 .90688 L
.8363 .90689 L
.83469 .90688 L
.83309 .90685 L
.83148 .9068 L
.82988 .90673 L
.82827 .90664 L
.82667 .90651 L
.82506 .90635 L
.82346 .90616 L
.82185 .90592 L
.82025 .90563 L
.81872 .90532 L
.81864 .9053 L
.81703 .90488 L
.81543 .90439 L
.81382 .90384 L
.81347 .90372 L
.81222 .9032 L
.81061 .90248 L
.80981 .90211 L
.80901 .9017 L
.8074 .90082 L
.80684 .90051 L
.8058 .89988 L
.80424 .8989 L
.80419 .89887 L
.80259 .89777 L
.80191 .8973 L
.80098 .89662 L
.79976 .89569 L
.79938 .89539 L
.79777 .8941 L
.79776 .89409 L
.79617 .89272 L
.79589 .89248 L
.79456 .89126 L
.79415 .89088 L
.79296 .88971 L
.79253 .88927 L
.79135 .88801 L
.79104 .88767 L
.78975 .8861 L
.78971 .88606 L
.7886 .88445 L
.78814 .88363 L
.7878 .88285 L
.78759 .88124 L
.78814 .88015 L
.78882 .87964 L
F
.538 .98 1 r
.79456 .87936 m
.79617 .87903 L
.79777 .87882 L
.79938 .87869 L
.80098 .87859 L
.80259 .87853 L
.80419 .8785 L
.8058 .87848 L
.8074 .87848 L
.80901 .8785 L
.81061 .87854 L
.81222 .8786 L
.81382 .87868 L
.81543 .87879 L
.81703 .87893 L
.81864 .87911 L
.82025 .87933 L
.82185 .87961 L
.82201 .87964 L
.82346 .87996 L
.82506 .88038 L
.82667 .88088 L
.82769 .88124 L
.82827 .88147 L
.82988 .88217 L
.83128 .88285 L
.83148 .88296 L
.83309 .88385 L
.83409 .88445 L
.83469 .88484 L
.8363 .88594 L
.83647 .88606 L
.8379 .88714 L
.83858 .88767 L
.83951 .88843 L
.84048 .88927 L
.84111 .88984 L
.84221 .89088 L
.84272 .89138 L
.84378 .89248 L
.84432 .89307 L
.8452 .89409 L
.84593 .89499 L
.84645 .89569 L
.84752 .8973 L
.84753 .89732 L
.84834 .8989 L
.84883 .90051 L
.84881 .90211 L
.84782 .90372 L
.84753 .90398 L
.84593 .90484 L
.84432 .90527 L
.84406 .90532 L
.84272 .90557 L
.84111 .90577 L
.83951 .9059 L
.8379 .90598 L
.8363 .90602 L
.83469 .90602 L
.83309 .90598 L
.83148 .90592 L
.82988 .90581 L
.82827 .90567 L
.82667 .90549 L
.8254 .90532 L
.82506 .90527 L
.82346 .90499 L
.82185 .90466 L
.82025 .90427 L
.81864 .90382 L
.81828 .90372 L
.81703 .9033 L
.81543 .90271 L
.81393 .90211 L
.81382 .90207 L
.81222 .90133 L
.81061 .90054 L
.81055 .90051 L
.80901 .89966 L
.80768 .8989 L
.8074 .89873 L
.8058 .89772 L
.80514 .8973 L
.80419 .89664 L
.80285 .89569 L
.80259 .8955 L
.80098 .89428 L
.80074 .89409 L
.79938 .89297 L
.7988 .89248 L
.79777 .89157 L
.79702 .89088 L
.79617 .89006 L
.79539 .88927 L
.79456 .88839 L
.79393 .88767 L
.79296 .88646 L
.79267 .88606 L
.7917 .88445 L
.79135 .88366 L
.79114 .88285 L
.79135 .88128 L
.79137 .88124 L
.79296 .87993 L
.79369 .87964 L
F
.395 .97 1 r
.79938 .87936 m
.80098 .87917 L
.80259 .87905 L
.80419 .87898 L
.8058 .87894 L
.8074 .87893 L
.80901 .87895 L
.81061 .879 L
.81222 .87908 L
.81382 .87919 L
.81543 .87934 L
.81703 .87952 L
.81789 .87964 L
.81864 .87976 L
.82025 .88005 L
.82185 .88041 L
.82346 .88084 L
.82476 .88124 L
.82506 .88135 L
.82667 .88195 L
.82827 .88264 L
.82873 .88285 L
.82988 .88343 L
.83148 .88431 L
.83172 .88445 L
.83309 .88531 L
.83421 .88606 L
.83469 .8864 L
.8363 .8876 L
.83638 .88767 L
.8379 .88892 L
.83831 .88927 L
.83951 .89037 L
.84003 .89088 L
.84111 .89197 L
.84159 .89248 L
.84272 .89378 L
.84296 .89409 L
.84415 .89569 L
.84432 .89594 L
.84511 .8973 L
.84579 .8989 L
.84593 .89941 L
.84607 .90051 L
.84593 .90152 L
.84569 .90211 L
.84432 .90358 L
.84391 .90372 L
.84272 .90423 L
.84111 .90465 L
.83951 .90491 L
.8379 .90507 L
.8363 .90516 L
.83469 .90519 L
.83309 .90517 L
.83148 .9051 L
.82988 .90498 L
.82827 .90481 L
.82667 .9046 L
.82506 .90433 L
.82346 .90401 L
.82218 .90372 L
.82185 .90363 L
.82025 .90318 L
.81864 .90267 L
.81705 .90211 L
.81703 .9021 L
.81543 .90145 L
.81382 .90074 L
.81331 .90051 L
.81222 .89996 L
.81061 .89911 L
.81023 .8989 L
.80901 .89819 L
.80755 .8973 L
.8074 .8972 L
.8058 .89614 L
.80515 .89569 L
.80419 .895 L
.80298 .89409 L
.80259 .89378 L
.80099 .89248 L
.80098 .89247 L
.79938 .89105 L
.79919 .89088 L
.79777 .88949 L
.79756 .88927 L
.79617 .88772 L
.79612 .88767 L
.79493 .88606 L
.79456 .88575 L
.79406 .88445 L
.79369 .88285 L
.7943 .88124 L
.79456 .88099 L
.79617 .87992 L
.79777 .87965 L
.79782 .87964 L
F
.289 .96 1 r
.80259 .87962 m
.80419 .8795 L
.8058 .87942 L
.8074 .8794 L
.80901 .87942 L
.81061 .87947 L
.81222 .87956 L
.81327 .87964 L
.81382 .87969 L
.81543 .87987 L
.81703 .88009 L
.81864 .88038 L
.82025 .88072 L
.82185 .88114 L
.82223 .88124 L
.82346 .88163 L
.82506 .88221 L
.82659 .88285 L
.82667 .88288 L
.82827 .88365 L
.82977 .88445 L
.82988 .88452 L
.83148 .88549 L
.83236 .88606 L
.83309 .88656 L
.83458 .88767 L
.83469 .88775 L
.8363 .88907 L
.83653 .88927 L
.8379 .89052 L
.83826 .89088 L
.83951 .89216 L
.8398 .89248 L
.84111 .89405 L
.84114 .89409 L
.84226 .89569 L
.84272 .89639 L
.84313 .8973 L
.84368 .8989 L
.84373 .90051 L
.84293 .90211 L
.84272 .90236 L
.84111 .90334 L
.83987 .90372 L
.83951 .90381 L
.8379 .90412 L
.8363 .90429 L
.83469 .90437 L
.83309 .90437 L
.83148 .90431 L
.82988 .9042 L
.82827 .90402 L
.82667 .90379 L
.82623 .90372 L
.82506 .9035 L
.82346 .90314 L
.82185 .90273 L
.82025 .90225 L
.81981 .90211 L
.81864 .9017 L
.81703 .90109 L
.81565 .90051 L
.81543 .90041 L
.81382 .89965 L
.81234 .8989 L
.81222 .89884 L
.81061 .89794 L
.80953 .8973 L
.80901 .89698 L
.8074 .89594 L
.80704 .89569 L
.8058 .89482 L
.8048 .89409 L
.80419 .89362 L
.80278 .89248 L
.80259 .89232 L
.80098 .8909 L
.80096 .89088 L
.79938 .88932 L
.79933 .88927 L
.79792 .88767 L
.79777 .88749 L
.79678 .88606 L
.79617 .88487 L
.79601 .88445 L
.79583 .88285 L
.79617 .88196 L
.79683 .88124 L
.79777 .88058 L
.79938 .88007 L
.80098 .8798 L
.80245 .87964 L
F
.212 .95 1 r
.79938 .88116 m
.80098 .88053 L
.80259 .88022 L
.80419 .88003 L
.8058 .87993 L
.8074 .87988 L
.80901 .87989 L
.81061 .87994 L
.81222 .88004 L
.81382 .88019 L
.81543 .88039 L
.81703 .88065 L
.81864 .88097 L
.81982 .88124 L
.82025 .88136 L
.82185 .88182 L
.82346 .88237 L
.82468 .88285 L
.82506 .88301 L
.82667 .88374 L
.82806 .88445 L
.82827 .88457 L
.82988 .88551 L
.83075 .88606 L
.83148 .88655 L
.83302 .88767 L
.83309 .88771 L
.83469 .88901 L
.835 .88927 L
.8363 .89045 L
.83674 .89088 L
.8379 .89208 L
.83826 .89248 L
.83951 .89401 L
.83956 .89409 L
.84063 .89569 L
.84111 .89644 L
.84141 .8973 L
.8418 .8989 L
.8416 .90051 L
.84111 .90132 L
.84021 .90211 L
.83951 .90252 L
.8379 .90307 L
.8363 .90337 L
.83469 .90352 L
.83309 .90358 L
.83148 .90354 L
.82988 .90344 L
.82827 .90327 L
.82667 .90303 L
.82506 .90272 L
.82346 .90235 L
.82253 .90211 L
.82185 .90192 L
.82025 .90141 L
.81864 .90084 L
.81778 .90051 L
.81703 .9002 L
.81543 .89948 L
.81422 .8989 L
.81382 .8987 L
.81222 .89784 L
.81125 .8973 L
.81061 .89692 L
.80901 .89591 L
.80867 .89569 L
.8074 .89482 L
.80638 .89409 L
.8058 .89365 L
.80432 .89248 L
.80419 .89237 L
.80259 .89097 L
.80248 .89088 L
.80098 .8894 L
.80086 .88927 L
.79948 .88767 L
.79938 .88756 L
.79839 .88606 L
.79777 .88463 L
.79772 .88445 L
.79774 .88285 L
.79777 .88275 L
.79924 .88124 L
F
.156 .94 1 r
.80259 .88097 m
.80419 .88065 L
.8058 .88047 L
.8074 .88039 L
.80901 .88037 L
.81061 .88042 L
.81222 .88053 L
.81382 .88069 L
.81543 .88091 L
.81703 .88119 L
.81731 .88124 L
.81864 .88154 L
.82025 .88197 L
.82185 .88248 L
.82289 .88285 L
.82346 .88307 L
.82506 .88376 L
.82649 .88445 L
.82667 .88455 L
.82827 .88544 L
.82929 .88606 L
.82988 .88644 L
.83148 .88756 L
.83162 .88767 L
.83309 .88881 L
.83363 .88927 L
.83469 .89022 L
.83537 .89088 L
.8363 .89183 L
.83687 .89248 L
.8379 .89375 L
.83814 .89409 L
.83915 .89569 L
.83951 .89644 L
.83982 .8973 L
.84005 .8989 L
.83951 .90051 L
.83951 .90051 L
.8379 .90184 L
.8371 .90211 L
.8363 .90235 L
.83469 .90264 L
.83309 .90276 L
.83148 .90278 L
.82988 .9027 L
.82827 .90253 L
.82667 .9023 L
.82564 .90211 L
.82506 .90199 L
.82346 .90161 L
.82185 .90116 L
.82025 .90064 L
.81987 .90051 L
.81864 .90005 L
.81703 .89938 L
.81597 .8989 L
.81543 .89864 L
.81382 .89783 L
.81284 .8973 L
.81222 .89695 L
.81061 .89598 L
.81016 .89569 L
.80901 .89493 L
.8078 .89409 L
.8074 .8938 L
.8058 .89256 L
.80571 .89248 L
.80419 .89119 L
.80385 .89088 L
.80259 .88965 L
.80223 .88927 L
.80098 .88781 L
.80088 .88767 L
.79985 .88606 L
.79938 .88486 L
.79929 .88445 L
.79938 .88322 L
.79954 .88285 L
.80098 .88157 L
.80175 .88124 L
F
.114 .93 1 r
.8058 .88109 m
.8074 .88094 L
.80901 .88089 L
.81061 .88092 L
.81222 .88103 L
.81382 .88119 L
.81423 .88124 L
.81543 .88143 L
.81703 .88173 L
.81864 .88211 L
.82025 .88257 L
.82111 .88285 L
.82185 .88311 L
.82346 .88375 L
.825 .88445 L
.82506 .88449 L
.82667 .88532 L
.82793 .88606 L
.82827 .88627 L
.82988 .88734 L
.83032 .88767 L
.83148 .88855 L
.83236 .88927 L
.83309 .88991 L
.83411 .89088 L
.83469 .89147 L
.83559 .89248 L
.8363 .89333 L
.83682 .89409 L
.83776 .89569 L
.8379 .89601 L
.83832 .8973 L
.83833 .8989 L
.8379 .89986 L
.83731 .90051 L
.8363 .90117 L
.83469 .90167 L
.83309 .90191 L
.83148 .90199 L
.82988 .90195 L
.82827 .90181 L
.82667 .90159 L
.82506 .90128 L
.82346 .9009 L
.82207 .90051 L
.82185 .90044 L
.82025 .8999 L
.81864 .8993 L
.81769 .8989 L
.81703 .89861 L
.81543 .89785 L
.81434 .8973 L
.81382 .89702 L
.81222 .8961 L
.81154 .89569 L
.81061 .8951 L
.80912 .89409 L
.80901 .89401 L
.8074 .89281 L
.80699 .89248 L
.8058 .89149 L
.80511 .89088 L
.80419 .89 L
.8035 .88927 L
.80259 .88823 L
.80218 .88767 L
.80122 .88606 L
.80098 .88547 L
.80078 .88445 L
.80098 .88338 L
.80132 .88285 L
.80259 .88171 L
.80419 .88134 L
.80482 .88124 L
F
.084 .92 1 r
.80419 .88216 m
.8058 .88172 L
.8074 .88152 L
.80901 .88144 L
.81061 .88145 L
.81222 .88154 L
.81382 .8817 L
.81543 .88195 L
.81703 .88227 L
.81864 .88267 L
.81925 .88285 L
.82025 .88316 L
.82185 .88374 L
.82346 .88442 L
.82354 .88445 L
.82506 .8852 L
.82662 .88606 L
.82667 .88609 L
.82827 .8871 L
.82909 .88767 L
.82988 .88824 L
.83116 .88927 L
.83148 .88954 L
.83291 .89088 L
.83309 .89105 L
.83438 .89248 L
.83469 .89283 L
.83557 .89409 L
.8363 .8953 L
.83642 .89569 L
.83684 .8973 L
.83657 .8989 L
.8363 .89933 L
.83469 .9005 L
.83466 .90051 L
.83309 .90097 L
.83148 .90116 L
.82988 .90118 L
.82827 .90108 L
.82667 .90088 L
.82506 .90058 L
.82471 .90051 L
.82346 .9002 L
.82185 .89974 L
.82025 .8992 L
.81945 .8989 L
.81864 .89858 L
.81703 .89788 L
.81582 .8973 L
.81543 .8971 L
.81382 .89624 L
.81288 .89569 L
.81222 .89529 L
.81061 .89425 L
.81037 .89409 L
.80901 .89311 L
.8082 .89248 L
.8074 .89184 L
.80631 .89088 L
.8058 .89041 L
.8047 .88927 L
.80419 .88874 L
.80341 .88767 L
.80259 .88622 L
.80252 .88606 L
.80224 .88445 L
.80259 .88348 L
.80317 .88285 L
F
.061 .91 1 r
.8058 .8826 m
.8074 .88219 L
.80901 .88202 L
.81061 .882 L
.81222 .88207 L
.81382 .88224 L
.81543 .88249 L
.81703 .88282 L
.81715 .88285 L
.81864 .88324 L
.82025 .88376 L
.82185 .88437 L
.82206 .88445 L
.82346 .88508 L
.82506 .88591 L
.82533 .88606 L
.82667 .88685 L
.82789 .88767 L
.82827 .88793 L
.82988 .88917 L
.83 .88927 L
.83148 .8906 L
.83176 .89088 L
.83309 .89232 L
.83321 .89248 L
.83434 .89409 L
.83469 .89472 L
.8351 .89569 L
.83534 .8973 L
.83469 .89884 L
.83463 .8989 L
.83309 .89992 L
.83148 .90026 L
.82988 .90037 L
.82827 .90033 L
.82667 .90016 L
.82506 .89988 L
.82346 .89951 L
.82185 .89905 L
.82138 .8989 L
.82025 .89851 L
.81864 .89788 L
.81732 .8973 L
.81703 .89716 L
.81543 .89636 L
.8142 .89569 L
.81382 .89548 L
.81222 .89449 L
.8116 .89409 L
.81061 .89341 L
.80937 .89248 L
.80901 .8922 L
.80746 .89088 L
.8074 .89083 L
.80586 .88927 L
.8058 .88922 L
.80461 .88767 L
.80419 .88696 L
.80381 .88606 L
.80373 .88445 L
.80419 .88363 L
.80527 .88285 L
F
.045 .9 1 r
.80901 .88272 m
.81061 .88261 L
.81222 .88265 L
.81382 .8828 L
.81425 .88285 L
.81543 .88304 L
.81703 .88338 L
.81864 .88382 L
.82025 .88436 L
.82049 .88445 L
.82185 .885 L
.82346 .88576 L
.82404 .88606 L
.82506 .88663 L
.82667 .88764 L
.82671 .88767 L
.82827 .8888 L
.82886 .88927 L
.82988 .89014 L
.83063 .89088 L
.83148 .89176 L
.83205 .89248 L
.83309 .89401 L
.83312 .89409 L
.83376 .89569 L
.83374 .8973 L
.83309 .89831 L
.83223 .8989 L
.83148 .89919 L
.82988 .89949 L
.82827 .89954 L
.82667 .89942 L
.82506 .89917 L
.82378 .8989 L
.82346 .89881 L
.82185 .89836 L
.82025 .89781 L
.81892 .8973 L
.81864 .89718 L
.81703 .89645 L
.81554 .89569 L
.81543 .89563 L
.81382 .89472 L
.81282 .89409 L
.81222 .8937 L
.81061 .89255 L
.81053 .89248 L
.80901 .89125 L
.80859 .89088 L
.8074 .88973 L
.807 .88927 L
.8058 .88767 L
.8058 .88767 L
.80511 .88606 L
.80529 .88445 L
.8058 .88386 L
.8074 .88291 L
.8081 .88285 L
F
.033 .89 1 r
.8074 .88406 m
.80901 .88341 L
.81061 .88325 L
.81222 .88325 L
.81382 .88338 L
.81543 .88362 L
.81703 .88397 L
.81864 .88443 L
.81872 .88445 L
.82025 .88498 L
.82185 .88566 L
.82268 .88606 L
.82346 .88645 L
.82506 .88738 L
.8255 .88767 L
.82667 .88846 L
.82771 .88927 L
.82827 .88972 L
.82949 .89088 L
.82988 .89122 L
.83089 .89248 L
.83148 .89336 L
.83188 .89409 L
.83234 .89569 L
.83191 .8973 L
.83148 .89789 L
.82988 .89852 L
.82827 .89867 L
.82667 .89863 L
.82506 .89843 L
.82346 .8981 L
.82185 .89766 L
.82075 .8973 L
.82025 .89711 L
.81864 .89647 L
.81703 .89573 L
.81696 .89569 L
.81543 .89489 L
.81407 .89409 L
.81382 .89394 L
.81222 .89287 L
.8117 .89248 L
.81061 .89165 L
.80973 .89088 L
.80901 .89024 L
.80815 .88927 L
.8074 .8886 L
.807 .88767 L
.80646 .88606 L
.80706 .88445 L
F
.024 .88 1 r
.81061 .88408 m
.81222 .88396 L
.81382 .88404 L
.81543 .88426 L
.81646 .88445 L
.81703 .8846 L
.81864 .88506 L
.82025 .88565 L
.82121 .88606 L
.82185 .88635 L
.82346 .88719 L
.82424 .88767 L
.82506 .88818 L
.82653 .88927 L
.82667 .88937 L
.82827 .89082 L
.82832 .89088 L
.82968 .89248 L
.82988 .89278 L
.83056 .89409 L
.83077 .89569 L
.82988 .89702 L
.82953 .8973 L
.82827 .89765 L
.82667 .89776 L
.82506 .89763 L
.82346 .89734 L
.82326 .8973 L
.82185 .89693 L
.82025 .89639 L
.81864 .89574 L
.81853 .89569 L
.81703 .89499 L
.81543 .89411 L
.81538 .89409 L
.81382 .89313 L
.8129 .89248 L
.81222 .892 L
.8109 .89088 L
.81061 .89068 L
.80933 .88927 L
.80901 .88886 L
.80826 .88767 L
.80793 .88606 L
.80901 .88464 L
.80932 .88445 L
F
.018 .87 1 r
.81061 .88525 m
.81222 .88464 L
.81382 .88473 L
.81543 .88493 L
.81703 .88527 L
.81864 .88575 L
.8195 .88606 L
.82025 .88635 L
.82185 .8871 L
.82288 .88767 L
.82346 .88799 L
.82506 .8891 L
.82528 .88927 L
.82667 .89042 L
.82709 .89088 L
.82827 .89224 L
.82839 .89248 L
.82911 .89409 L
.82885 .89569 L
.82827 .89619 L
.82667 .89681 L
.82506 .89677 L
.82346 .89653 L
.82185 .89614 L
.82045 .89569 L
.82025 .89561 L
.81864 .89498 L
.81703 .89419 L
.81684 .89409 L
.81543 .8933 L
.81419 .89248 L
.81382 .89225 L
.81222 .89096 L
.81213 .89088 L
.81061 .88932 L
.81058 .88927 L
.80962 .88767 L
.80964 .88606 L
F
.013 .86 1 r
.81222 .88606 m
.81382 .88567 L
.81543 .88577 L
.81693 .88606 L
.81703 .88607 L
.81864 .88649 L
.82025 .88714 L
.8213 .88767 L
.82185 .88791 L
.82346 .88894 L
.82389 .88927 L
.82506 .8901 L
.82573 .89088 L
.82667 .89204 L
.82694 .89248 L
.82736 .89409 L
.82667 .89513 L
.82506 .8956 L
.82346 .89561 L
.82185 .89529 L
.82025 .89478 L
.81864 .8941 L
.8186 .89409 L
.81703 .89335 L
.81564 .89248 L
.81543 .89239 L
.81382 .89119 L
.81349 .89088 L
.81222 .88977 L
.81197 .88927 L
.8112 .88767 L
.81221 .88606 L
F
.01 .85 1 r
.81382 .88725 m
.81543 .8869 L
.81703 .88692 L
.81864 .88748 L
.81916 .88767 L
.82025 .8879 L
.82185 .889 L
.82221 .88927 L
.82346 .89024 L
.82412 .89088 L
.82506 .89233 L
.82512 .89248 L
.82506 .8935 L
.82433 .89409 L
.82346 .89431 L
.82185 .89414 L
.82161 .89409 L
.82025 .89394 L
.81864 .89316 L
.81741 .89248 L
.81703 .89223 L
.81543 .8912 L
.81511 .89088 L
.81382 .88951 L
.81365 .88927 L
.81335 .88767 L
F
.007 .84 1 r
.81703 .88884 m
.81864 .889 L
.81938 .88927 L
.82025 .88972 L
.82162 .89088 L
.82025 .89211 L
.81864 .89152 L
.8176 .89088 L
.81703 .89038 L
.81648 .88927 L
F
1 .98 .538 r
.82667 .90956 m
.82827 .90924 L
.82988 .90906 L
.83148 .90893 L
.83309 .90885 L
.83469 .90879 L
.8363 .90875 L
.8379 .90874 L
.83951 .90875 L
.84111 .90877 L
.84272 .90882 L
.84432 .90889 L
.84593 .90898 L
.84753 .90911 L
.84914 .90927 L
.85074 .90947 L
.85235 .90972 L
.85396 .91003 L
.85445 .91014 L
.85556 .91041 L
.85717 .91087 L
.85877 .91141 L
.85966 .91174 L
.86038 .91204 L
.86198 .91278 L
.86312 .91335 L
.86359 .91361 L
.86519 .91455 L
.86584 .91495 L
.8668 .9156 L
.86813 .91656 L
.8684 .91677 L
.87001 .91806 L
.87013 .91816 L
.87161 .9195 L
.8719 .91977 L
.87322 .92109 L
.87348 .92138 L
.87482 .92291 L
.87488 .92298 L
.8761 .92459 L
.87643 .92505 L
.87713 .92619 L
.87794 .9278 L
.87803 .92802 L
.87846 .9294 L
.87855 .93101 L
.87803 .93248 L
.87795 .93261 L
.87643 .93396 L
.87579 .93422 L
.87482 .93458 L
.87322 .93499 L
.87161 .93525 L
.87001 .93541 L
.8684 .9355 L
.8668 .93554 L
.86519 .93553 L
.86359 .93547 L
.86198 .93537 L
.86038 .93523 L
.85877 .93504 L
.85717 .9348 L
.85556 .93451 L
.85415 .93422 L
.85396 .93417 L
.85235 .93377 L
.85074 .9333 L
.84914 .93278 L
.84863 .93261 L
.84753 .9322 L
.84593 .93155 L
.84466 .93101 L
.84432 .93085 L
.84272 .93007 L
.8414 .9294 L
.84111 .92925 L
.83951 .92834 L
.83856 .9278 L
.8379 .9274 L
.8363 .92638 L
.836 .92619 L
.83469 .9253 L
.83367 .92459 L
.83309 .92416 L
.83153 .92298 L
.83148 .92294 L
.82988 .92163 L
.82958 .92138 L
.82827 .92021 L
.8278 .91977 L
.82667 .91865 L
.82621 .91816 L
.82506 .91684 L
.82485 .91656 L
.82378 .91495 L
.82346 .91431 L
.82314 .91335 L
.82324 .91174 L
.82346 .91134 L
.82506 .91015 L
.82509 .91014 L
F
1 .97 .395 r
.83469 .90998 m
.8363 .90985 L
.8379 .90978 L
.83951 .90977 L
.84111 .90979 L
.84272 .90986 L
.84432 .90997 L
.84593 .91013 L
.84603 .91014 L
.84753 .91033 L
.84914 .91059 L
.85074 .91092 L
.85235 .91132 L
.85382 .91174 L
.85396 .91179 L
.85556 .91235 L
.85717 .91301 L
.85792 .91335 L
.85877 .91376 L
.86038 .91463 L
.86093 .91495 L
.86198 .91561 L
.86338 .91656 L
.86359 .91671 L
.86519 .91794 L
.86546 .91816 L
.8668 .91933 L
.86726 .91977 L
.8684 .92091 L
.86883 .92138 L
.87001 .92275 L
.87019 .92298 L
.87131 .92459 L
.87161 .92502 L
.87218 .92619 L
.87273 .9278 L
.87282 .9294 L
.87214 .93101 L
.87161 .93161 L
.87001 .93247 L
.86956 .93261 L
.8684 .93293 L
.8668 .93318 L
.86519 .9333 L
.86359 .93332 L
.86198 .93326 L
.86038 .93312 L
.85877 .93291 L
.85717 .93264 L
.85702 .93261 L
.85556 .9323 L
.85396 .93189 L
.85235 .93142 L
.85108 .93101 L
.85074 .93089 L
.84914 .93028 L
.84753 .92962 L
.84704 .9294 L
.84593 .92888 L
.84432 .92808 L
.84377 .9278 L
.84272 .92722 L
.84111 .92629 L
.84096 .92619 L
.83951 .92528 L
.83847 .92459 L
.8379 .9242 L
.8363 .92303 L
.83623 .92298 L
.83469 .92177 L
.83422 .92138 L
.83309 .92038 L
.83243 .91977 L
.83148 .91883 L
.83088 .91816 L
.82988 .91697 L
.8296 .91656 L
.82868 .91495 L
.82834 .91335 L
.82908 .91174 L
.82988 .91099 L
.83148 .91044 L
.83309 .91019 L
.8335 .91014 L
F
1 .96 .289 r
.83469 .9116 m
.8363 .91119 L
.8379 .91099 L
.83951 .9109 L
.84111 .91089 L
.84272 .91096 L
.84432 .91108 L
.84593 .91128 L
.84753 .91154 L
.84858 .91174 L
.84914 .91187 L
.85074 .91228 L
.85235 .91278 L
.85391 .91335 L
.85396 .91337 L
.85556 .91406 L
.85717 .91485 L
.85735 .91495 L
.85877 .91577 L
.86 .91656 L
.86038 .91682 L
.86198 .91801 L
.86218 .91816 L
.86359 .91937 L
.86401 .91977 L
.86519 .92097 L
.86556 .92138 L
.8668 .92293 L
.86683 .92298 L
.86782 .92459 L
.8684 .926 L
.86846 .92619 L
.86861 .9278 L
.8684 .92862 L
.86793 .9294 L
.8668 .93035 L
.86519 .93088 L
.86473 .93101 L
.86359 .93115 L
.86198 .93123 L
.86038 .93118 L
.85877 .93102 L
.85863 .93101 L
.85717 .93078 L
.85556 .93044 L
.85396 .93003 L
.85235 .92954 L
.85193 .9294 L
.85074 .92898 L
.84914 .92834 L
.84789 .9278 L
.84753 .92763 L
.84593 .92685 L
.84468 .92619 L
.84432 .92599 L
.84272 .92506 L
.84196 .92459 L
.84111 .92404 L
.83959 .92298 L
.83951 .92293 L
.8379 .9217 L
.8375 .92138 L
.8363 .92034 L
.83569 .91977 L
.83469 .91877 L
.83416 .91816 L
.83309 .91676 L
.83298 .91656 L
.83227 .91495 L
.83234 .91335 L
.83309 .91242 L
.83432 .91174 L
F
1 .95 .212 r
.8379 .91256 m
.83951 .91227 L
.84111 .91217 L
.84272 .91218 L
.84432 .91229 L
.84593 .9125 L
.84753 .91279 L
.84914 .91317 L
.84977 .91335 L
.85074 .91365 L
.85235 .91423 L
.85396 .91492 L
.85403 .91495 L
.85556 .91573 L
.85698 .91656 L
.85717 .91667 L
.85877 .91777 L
.85929 .91816 L
.86038 .91904 L
.86117 .91977 L
.86198 .92056 L
.86268 .92138 L
.86359 .92252 L
.86385 .92298 L
.86463 .92459 L
.86488 .92619 L
.86418 .9278 L
.86359 .92834 L
.86198 .92893 L
.86038 .92912 L
.85877 .92911 L
.85717 .92895 L
.85556 .92867 L
.85396 .92828 L
.85235 .92781 L
.85232 .9278 L
.85074 .92724 L
.84914 .92659 L
.84826 .92619 L
.84753 .92585 L
.84593 .92502 L
.84515 .92459 L
.84432 .9241 L
.84272 .92308 L
.84257 .92298 L
.84111 .92195 L
.84038 .92138 L
.83951 .92067 L
.83853 .91977 L
.8379 .91919 L
.83704 .91816 L
.8363 .91711 L
.83599 .91656 L
.83559 .91495 L
.8363 .91351 L
.83649 .91335 L
F
1 .94 .156 r
.83951 .91486 m
.84111 .91372 L
.84272 .91367 L
.84432 .91372 L
.84593 .91389 L
.84753 .91419 L
.84914 .91461 L
.8502 .91495 L
.85074 .91514 L
.85235 .9158 L
.85385 .91656 L
.85396 .91661 L
.85556 .91757 L
.8564 .91816 L
.85717 .91871 L
.85834 .91977 L
.85877 .9201 L
.8598 .92138 L
.86038 .92222 L
.86078 .92298 L
.86113 .92459 L
.86038 .92605 L
.86023 .92619 L
.85877 .92678 L
.85717 .92689 L
.85556 .92675 L
.85396 .92645 L
.85289 .92619 L
.85235 .92602 L
.85074 .92548 L
.84914 .92481 L
.84865 .92459 L
.84753 .92405 L
.84593 .92315 L
.84564 .92298 L
.84432 .92215 L
.84326 .92138 L
.84272 .92099 L
.84136 .91977 L
.84111 .91968 L
.83994 .91816 L
.83951 .91748 L
.83913 .91656 L
.83943 .91495 L
F
1 .93 .114 r
.84432 .91613 m
.84593 .91569 L
.84753 .91601 L
.84914 .91647 L
.84942 .91656 L
.85074 .91693 L
.85235 .91783 L
.85288 .91816 L
.85396 .91865 L
.855 .91977 L
.85556 .92037 L
.85631 .92138 L
.85669 .92298 L
.85556 .92389 L
.85396 .92405 L
.85235 .92391 L
.85074 .92337 L
.84973 .92298 L
.84914 .92279 L
.84753 .9219 L
.84675 .92138 L
.84593 .92079 L
.8447 .91977 L
.84432 .91937 L
.84345 .91816 L
.84347 .91656 L
F
1 1 1 r
.84753 .93863 m
.84914 .93818 L
.85074 .93809 L
.85235 .93805 L
.85396 .93804 L
.85556 .93803 L
.85717 .93803 L
.85877 .93803 L
.86038 .93803 L
.86198 .93803 L
.86359 .93804 L
.86519 .93804 L
.8668 .93804 L
.8684 .93804 L
.87001 .93804 L
.87161 .93805 L
.87322 .93805 L
.87482 .93805 L
.87643 .93806 L
.87803 .93807 L
.87964 .93808 L
.88124 .93809 L
.88285 .93811 L
.88445 .93814 L
.88606 .93818 L
.88767 .93825 L
.88927 .93836 L
.89088 .93853 L
.89248 .93879 L
.89351 .93903 L
.89409 .9392 L
.89569 .93975 L
.8973 .94047 L
.89764 .94064 L
.8989 .94131 L
.90044 .94224 L
.90051 .94229 L
.90211 .94335 L
.90281 .94385 L
.90372 .94451 L
.90496 .94545 L
.90532 .94574 L
.90693 .94703 L
.90697 .94706 L
.90853 .94838 L
.90886 .94866 L
.91014 .94979 L
.91067 .95027 L
.91174 .95125 L
.91241 .95187 L
.91335 .95278 L
.91406 .95348 L
.91495 .95437 L
.91565 .95509 L
.91656 .95604 L
.91715 .95669 L
.91816 .95782 L
.91857 .9583 L
.91977 .95977 L
.91987 .9599 L
.92102 .96151 L
.92138 .96207 L
.92194 .96311 L
.92245 .96472 L
.92196 .96632 L
.92138 .96692 L
.91977 .96741 L
.91816 .96762 L
.91656 .96775 L
.91495 .96784 L
.91335 .96791 L
.91277 .96793 L
.91174 .96796 L
.91014 .96799 L
.90853 .96802 L
.90693 .96804 L
.90532 .96805 L
.90372 .96806 L
.90211 .96806 L
.90051 .96806 L
.8989 .96806 L
.8973 .96805 L
.89569 .96804 L
.89409 .96803 L
.89248 .96801 L
.89088 .96799 L
.88927 .96796 L
.88773 .96793 L
.88767 .96793 L
.88606 .96787 L
.88445 .96778 L
.88285 .96767 L
.88124 .96751 L
.87964 .96729 L
.87803 .967 L
.87643 .96665 L
.87517 .96632 L
.87482 .9662 L
.87322 .96557 L
.87161 .96486 L
.87132 .96472 L
.87001 .964 L
.86847 .96311 L
.8684 .96307 L
.8668 .96202 L
.86603 .96151 L
.86519 .96091 L
.86382 .9599 L
.86359 .95972 L
.86198 .95847 L
.86177 .9583 L
.86038 .95716 L
.85982 .95669 L
.85877 .95579 L
.85796 .95509 L
.85717 .95437 L
.85619 .95348 L
.85556 .95289 L
.85449 .95187 L
.85396 .95136 L
.85286 .95027 L
.85235 .94975 L
.85131 .94866 L
.85074 .94806 L
.84985 .94706 L
.84914 .94624 L
.84849 .94545 L
.84753 .94422 L
.84728 .94385 L
.84629 .94224 L
.84593 .94143 L
.84574 .94064 L
.84593 .93957 L
.8465 .93903 L
F
.733 .99 1 r
.8668 .9419 m
.8684 .94148 L
.87001 .9413 L
.87161 .94123 L
.87322 .94124 L
.87482 .94133 L
.87643 .94149 L
.87803 .94171 L
.87964 .94201 L
.88065 .94224 L
.88124 .94239 L
.88285 .94286 L
.88445 .94343 L
.88547 .94385 L
.88606 .94411 L
.88767 .94491 L
.88864 .94545 L
.88927 .94583 L
.89088 .94691 L
.89108 .94706 L
.89248 .94817 L
.89305 .94866 L
.89409 .94964 L
.89467 .95027 L
.89569 .95146 L
.89599 .95187 L
.89699 .95348 L
.8973 .95415 L
.89761 .95509 L
.89772 .95669 L
.8973 .95782 L
.89692 .9583 L
.89569 .95915 L
.89409 .9596 L
.89248 .95977 L
.89088 .95977 L
.88927 .95963 L
.88767 .95938 L
.88606 .95904 L
.88445 .95861 L
.88341 .9583 L
.88285 .95811 L
.88124 .95752 L
.87964 .95686 L
.87925 .95669 L
.87803 .95613 L
.87643 .95531 L
.876 .95509 L
.87482 .95442 L
.87327 .95348 L
.87322 .95345 L
.87161 .95238 L
.87091 .95187 L
.87001 .9512 L
.86886 .95027 L
.8684 .94988 L
.86713 .94866 L
.8668 .94837 L
.86574 .94706 L
.86519 .94623 L
.86481 .94545 L
.86462 .94385 L
.86519 .94286 L
.86609 .94224 L
F
0 g
gsave
.5 .17949 -71.7812 -10.3125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20.625 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.188 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 12.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.188 moveto
(t) show
66.500 13.188 moveto
(=) show
74.562 13.188 moveto
(5) show
80.562 13.188 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% Start of sub-graphic
p
-0.00313059 0.606838 0.5 0.980769 MathSubStart
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0300481 0.5 0.0534188 [
[.74038 -0.0125 -5 -9.8125 ]
[.74038 -0.0125 5 0 ]
[.5 -0.0125 -5 -9.8125 ]
[.5 -0.0125 5 0 ]
[.25962 -0.0125 -8.3125 -9.8125 ]
[.25962 -0.0125 8.3125 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .17949 -16.625 -4.90625 ]
[-0.0125 .17949 0 4.90625 ]
[-0.0125 .5 -10 -4.90625 ]
[-0.0125 .5 0 4.90625 ]
[-0.0125 .82051 -10 -4.90625 ]
[-0.0125 .82051 0 4.90625 ]
[ 0 0 -0.125 0 ]
[.74038 1.0125 -5 0 ]
[.74038 1.0125 5 9.8125 ]
[.5 1.0125 -5 0 ]
[.5 1.0125 5 9.8125 ]
[.25962 1.0125 -8.3125 0 ]
[.25962 1.0125 8.3125 9.8125 ]
[ 0 1 .125 0 ]
[1.0125 .17949 0 -4.90625 ]
[1.0125 .17949 16.625 4.90625 ]
[1.0125 .5 0 -4.90625 ]
[1.0125 .5 10 4.90625 ]
[1.0125 .82051 0 -4.90625 ]
[1.0125 .82051 10 4.90625 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.74038 0 m
.74038 .00625 L
s
gsave
.74038 -0.0125 -66 -13.8125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -66 -13.8125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 0 m
.25962 .00625 L
s
gsave
.25962 -0.0125 -69.3125 -13.8125 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.625 11.250 moveto
(8) show
1.000 setlinewidth
grestore
0 0 m
1 0 L
s
0 .17949 m
.00625 .17949 L
s
gsave
-0.0125 .17949 -77.625 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.625 11.250 moveto
(6) show
1.000 setlinewidth
grestore
0 .5 m
.00625 .5 L
s
gsave
-0.0125 .5 -71 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
0 .82051 m
.00625 .82051 L
s
gsave
-0.0125 .82051 -71 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
0 0 m
0 1 L
s
.74038 .99375 m
.74038 1 L
s
gsave
.74038 1.0125 -66 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 .99375 m
.5 1 L
s
gsave
.5 1.0125 -66 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 .99375 m
.25962 1 L
s
gsave
.25962 1.0125 -69.3125 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.625 11.250 moveto
(8) show
1.000 setlinewidth
grestore
0 1 m
1 1 L
s
.99375 .17949 m
1 .17949 L
s
gsave
1.0125 .17949 -61 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.625 11.250 moveto
(6) show
1.000 setlinewidth
grestore
.99375 .5 m
1 .5 L
s
gsave
1.0125 .5 -61 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.99375 .82051 m
1 .82051 L
s
gsave
1.0125 .82051 -61 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(6) show
1.000 setlinewidth
grestore
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
.09693 .67897 m
.10664 .6774 L
.11636 .67784 L
.12426 .67968 L
.12607 .68034 L
.13578 .68521 L
.14193 .68939 L
.14549 .69244 L
.1521 .69911 L
.15521 .70291 L
.15934 .70882 L
.16492 .71834 L
.16504 .71853 L
.17122 .72824 L
.17463 .73096 L
.18434 .73145 L
.19406 .7314 L
.20377 .72951 L
.21348 .72841 L
.21575 .72824 L
.22319 .72775 L
.23291 .72737 L
.24262 .72717 L
.25233 .72708 L
.26204 .72706 L
.27176 .72711 L
.28147 .72725 L
.29118 .72753 L
.30089 .72804 L
.30333 .72824 L
.31061 .72888 L
.32032 .73035 L
.33003 .72922 L
.33974 .73253 L
.34838 .72824 L
.34946 .72622 L
.35412 .71853 L
.35917 .70975 L
.35973 .70882 L
.36678 .69911 L
.36888 .69635 L
.37726 .68939 L
.37859 .68837 L
.38831 .68461 L
.39621 .67968 L
.39802 .67958 L
.40773 .67682 L
.41744 .678 L
.42547 .67968 L
.42716 .68057 L
.43687 .68558 L
.44252 .68939 L
.44658 .69292 L
.45254 .69911 L
.45629 .7034 L
.46021 .70882 L
.46601 .71771 L
.46644 .71853 L
.47126 .72824 L
.47572 .7379 L
.47574 .73796 L
.47883 .74767 L
.48187 .75738 L
.48456 .76709 L
.48543 .77068 L
.48625 .77681 L
.48752 .78652 L
.48859 .79623 L
.48935 .80594 L
.48974 .81566 L
.48974 .82537 L
.48935 .83508 L
.48859 .84479 L
.48752 .85451 L
.48625 .86422 L
.48543 .87035 L
.48456 .87393 L
.48187 .88364 L
.47883 .89336 L
.47574 .90307 L
.47572 .90312 L
.47128 .91278 L
.46643 .92249 L
.46601 .92331 L
.46021 .93221 L
.45629 .93758 L
.45262 .94192 L
.44658 .948 L
.44238 .95163 L
.43687 .95542 L
.42716 .96045 L
.42473 .96134 L
.41744 .96309 L
.40773 .96365 L
.39802 .96221 L
.39432 .96134 L
.38831 .95852 L
.37859 .95253 L
.37738 .95163 L
.36888 .94377 L
.36715 .94192 L
.35917 .9324 L
.35905 .93221 L
.35233 .92249 L
.34946 .91999 L
.34621 .91278 L
.34603 .90307 L
.34563 .89336 L
.34245 .88364 L
.33974 .87851 L
.33003 .87638 L
.32032 .87641 L
.31061 .87686 L
.30089 .87718 L
.29118 .87736 L
.28147 .87746 L
.27176 .87751 L
.26204 .87753 L
.25233 .87753 L
.24262 .87749 L
.23291 .87742 L
.22319 .87728 L
.21348 .87704 L
.20377 .87664 L
.19406 .87624 L
.18434 .87474 L
.17676 .88364 L
.17463 .88878 L
.17357 .89336 L
.17314 .90307 L
.17303 .91278 L
.16786 .92249 L
.16492 .9262 L
.15992 .93221 L
.15521 .93831 L
.15208 .94192 L
.14549 .94849 L
.14186 .95163 L
.13578 .95579 L
.12607 .96068 L
.12425 .96134 L
.11636 .96318 L
.10664 .96362 L
.09693 .96205 L
.09401 .96134 L
.08722 .95821 L
.07751 .95211 L
.07686 .95163 L
.06779 .94323 L
.0666 .94192 L
.0589 .93221 L
.05808 .93104 L
.05294 .92249 L
.04837 .91415 L
.04781 .91278 L
.04384 .90307 L
.04008 .89336 L
.03866 .88927 L
.03739 .88364 L
.03515 .87393 L
.03308 .86422 L
.03137 .85451 L
.03008 .84479 L
.02922 .83508 L
.02894 .8299 L
.0288 .82537 L
.0288 .81566 L
.02894 .81113 L
.02922 .80594 L
.03008 .79623 L
.03137 .78652 L
.03308 .77681 L
.03515 .76709 L
.03739 .75738 L
.03866 .75176 L
.04008 .74767 L
.04384 .73796 L
.04781 .72824 L
.04837 .72687 L
.05294 .71853 L
.05808 .70999 L
.0589 .70882 L
.0666 .69911 L
.06779 .69779 L
.07686 .68939 L
.07751 .68891 L
.08722 .68282 L
.09401 .67968 L
F
.10664 .69878 m
.11511 .69911 L
.11636 .69931 L
.12607 .70239 L
.13578 .70811 L
.13674 .70882 L
.14549 .71706 L
.14679 .71853 L
.15416 .72824 L
.15521 .72978 L
.1599 .73796 L
.16492 .74658 L
.16537 .74767 L
.16769 .75738 L
.16896 .76709 L
.17069 .77681 L
.17463 .78608 L
.17489 .78652 L
.18434 .79177 L
.19406 .79061 L
.20377 .78919 L
.21348 .78833 L
.22319 .78787 L
.23291 .78761 L
.24262 .78748 L
.25233 .78742 L
.26204 .78741 L
.27176 .78744 L
.28147 .78754 L
.29118 .78772 L
.30089 .78806 L
.31061 .7887 L
.32032 .78983 L
.33003 .79141 L
.33974 .78747 L
.34453 .78652 L
.34859 .77681 L
.34946 .7729 L
.35034 .76709 L
.35145 .75738 L
.35499 .74767 L
.35906 .73796 L
.35917 .73745 L
.36516 .72824 L
.36888 .72294 L
.37243 .71853 L
.37859 .7121 L
.38237 .70882 L
.38831 .70481 L
.39802 .70053 L
.40431 .69911 L
.40773 .69877 L
.41559 .69911 L
.41744 .69942 L
.42716 .70267 L
.43687 .70854 L
.43724 .70882 L
.44658 .71766 L
.44734 .71853 L
.45459 .72824 L
.45629 .73092 L
.46012 .73796 L
.46474 .74767 L
.46601 .75066 L
.46825 .75738 L
.4712 .76709 L
.47369 .77681 L
.47567 .78652 L
.47572 .78681 L
.47677 .79623 L
.47754 .80594 L
.47794 .81566 L
.47794 .82537 L
.47754 .83508 L
.47677 .84479 L
.47572 .85422 L
.47567 .85451 L
.47369 .86422 L
.4712 .87393 L
.46825 .88364 L
.46601 .89037 L
.46474 .89336 L
.46012 .90307 L
.45629 .9101 L
.45458 .91278 L
.44734 .92249 L
.44658 .92337 L
.43724 .93221 L
.43687 .93248 L
.42716 .93835 L
.41744 .9416 L
.41557 .94192 L
.40773 .94228 L
.40417 .94192 L
.39802 .9405 L
.38831 .93611 L
.3824 .93221 L
.37859 .92893 L
.3723 .92249 L
.36888 .91833 L
.36511 .91278 L
.35973 .90307 L
.35917 .90182 L
.35588 .89336 L
.35226 .88364 L
.34946 .87763 L
.3469 .87393 L
.33974 .86859 L
.33003 .87049 L
.32032 .87341 L
.31733 .87393 L
.31061 .87519 L
.30089 .87615 L
.29118 .87666 L
.28147 .87693 L
.27176 .87707 L
.26204 .87713 L
.25233 .87711 L
.24262 .87702 L
.23291 .87682 L
.22319 .87645 L
.21348 .87574 L
.20377 .87442 L
.20128 .87393 L
.19406 .8721 L
.18434 .86892 L
.17463 .87132 L
.17161 .87393 L
.16701 .88364 L
.16492 .88881 L
.16331 .89336 L
.15946 .90307 L
.15521 .91127 L
.15424 .91278 L
.14692 .92249 L
.14549 .92412 L
.13677 .93221 L
.13578 .93294 L
.12607 .93863 L
.11636 .94172 L
.11511 .94192 L
.10664 .94224 L
.10368 .94192 L
.09693 .9403 L
.08722 .93575 L
.08193 .93221 L
.07751 .92834 L
.0719 .92249 L
.06779 .91733 L
.0647 .91278 L
.059 .90307 L
.05808 .90131 L
.05463 .89336 L
.05089 .88364 L
.04837 .87603 L
.04787 .87393 L
.04572 .86422 L
.04391 .85451 L
.04251 .84479 L
.04157 .83508 L
.0411 .82537 L
.0411 .81566 L
.04157 .80594 L
.04251 .79623 L
.04391 .78652 L
.04572 .77681 L
.04787 .76709 L
.04837 .76499 L
.05089 .75738 L
.05463 .74767 L
.05808 .73971 L
.059 .73796 L
.0647 .72824 L
.06779 .72369 L
.0719 .71853 L
.07751 .71269 L
.08193 .70882 L
.08722 .70527 L
.09693 .70073 L
.10368 .69911 L
F
.08722 .71804 m
.09693 .71302 L
.10664 .71086 L
.11636 .71146 L
.12607 .71486 L
.13244 .71853 L
.13578 .7213 L
.14285 .72824 L
.14549 .73143 L
.15012 .73796 L
.15521 .74642 L
.15575 .74767 L
.15974 .75738 L
.16254 .76709 L
.16491 .77681 L
.16492 .77684 L
.16781 .78652 L
.17259 .79623 L
.17463 .80047 L
.17542 .80594 L
.17463 .80781 L
.17121 .81566 L
.16928 .82537 L
.16853 .83508 L
.16893 .84479 L
.16977 .85451 L
.16785 .86422 L
.16492 .87141 L
.16363 .87393 L
.15952 .88364 L
.15527 .89336 L
.15521 .8935 L
.14998 .90307 L
.14549 .90957 L
.14287 .91278 L
.13578 .91975 L
.13246 .92249 L
.12607 .92617 L
.11636 .92956 L
.10664 .93017 L
.09693 .928 L
.08722 .92298 L
.08649 .92249 L
.07751 .91453 L
.07592 .91278 L
.06868 .90307 L
.06779 .90168 L
.06327 .89336 L
.05888 .88364 L
.05808 .88165 L
.05559 .87393 L
.05292 .86422 L
.05078 .85451 L
.04919 .84479 L
.04837 .83792 L
.0482 .83508 L
.04779 .82537 L
.04779 .81566 L
.0482 .80594 L
.04837 .80311 L
.04919 .79623 L
.05078 .78652 L
.05292 .77681 L
.05559 .76709 L
.05808 .75938 L
.05888 .75738 L
.06327 .74767 L
.06779 .73935 L
.06868 .73796 L
.07592 .72824 L
.07751 .72649 L
.08649 .71853 L
F
.08722 .72759 m
.09693 .72207 L
.10664 .71971 L
.11636 .72037 L
.12607 .72408 L
.13258 .72824 L
.13578 .73117 L
.14208 .73796 L
.14549 .74255 L
.14869 .74767 L
.15363 .75738 L
.15521 .76128 L
.15718 .76709 L
.16001 .77681 L
.16271 .78652 L
.16492 .79327 L
.16559 .79623 L
.16709 .80594 L
.16605 .81566 L
.1651 .82537 L
.16492 .82737 L
.16441 .83508 L
.16416 .84479 L
.16336 .85451 L
.1608 .86422 L
.15752 .87393 L
.15521 .87991 L
.15351 .88364 L
.14853 .89336 L
.14549 .89828 L
.14202 .90307 L
.13578 .90985 L
.13259 .91278 L
.12607 .91695 L
.11636 .92066 L
.10664 .92131 L
.09693 .91896 L
.08722 .91343 L
.08634 .91278 L
.07751 .90403 L
.07672 .90307 L
.0701 .89336 L
.06779 .88922 L
.06516 .88364 L
.06129 .87393 L
.05821 .86422 L
.05808 .86377 L
.05607 .85451 L
.05447 .84479 L
.0534 .83508 L
.05286 .82537 L
.05286 .81566 L
.0534 .80594 L
.05447 .79623 L
.05607 .78652 L
.05808 .77725 L
.05821 .77681 L
.06129 .76709 L
.06516 .75738 L
.06779 .7518 L
.0701 .74767 L
.07672 .73796 L
.07751 .73699 L
.08634 .72824 L
F
.10664 .72694 m
.11636 .72763 L
.11857 .72824 L
.12607 .73164 L
.13444 .73796 L
.13578 .73939 L
.14258 .74767 L
.14549 .7522 L
.14828 .75738 L
.15249 .76709 L
.15521 .7751 L
.15572 .77681 L
.15836 .78652 L
.16045 .79623 L
.16186 .80594 L
.16202 .81566 L
.16143 .82537 L
.16079 .83508 L
.16004 .84479 L
.15851 .85451 L
.15614 .86422 L
.15521 .86764 L
.15271 .87393 L
.14824 .88364 L
.14549 .88865 L
.1425 .89336 L
.13578 .9016 L
.13442 .90307 L
.12607 .90939 L
.11857 .91278 L
.11636 .9134 L
.10664 .91409 L
.1002 .91278 L
.09693 .91157 L
.08722 .90553 L
.08437 .90307 L
.07751 .89515 L
.07622 .89336 L
.07044 .88364 L
.06779 .87811 L
.06612 .87393 L
.06284 .86422 L
.06031 .85451 L
.05847 .84479 L
.05808 .84254 L
.05736 .83508 L
.05683 .82537 L
.05683 .81566 L
.05736 .80594 L
.05808 .79849 L
.05847 .79623 L
.06031 .78652 L
.06284 .77681 L
.06612 .76709 L
.06779 .76291 L
.07044 .75738 L
.07622 .74767 L
.07751 .74587 L
.08437 .73796 L
.08722 .73549 L
.09693 .72945 L
.1002 .72824 L
F
.09693 .73587 m
.10664 .73317 L
.11636 .73392 L
.12569 .73796 L
.12607 .73819 L
.13578 .74665 L
.13667 .74767 L
.14346 .75738 L
.14549 .76113 L
.14824 .76709 L
.15183 .77681 L
.15471 .78652 L
.15521 .78828 L
.15673 .79623 L
.15793 .80594 L
.15843 .81566 L
.15815 .82537 L
.1575 .83508 L
.15652 .84479 L
.15521 .85321 L
.15491 .85451 L
.15212 .86422 L
.14834 .87393 L
.14549 .87992 L
.14343 .88364 L
.13663 .89336 L
.13578 .89433 L
.12607 .90283 L
.12568 .90307 L
.11636 .90711 L
.10664 .90786 L
.09693 .90516 L
.09244 .90307 L
.08722 .89863 L
.08204 .89336 L
.07751 .88719 L
.07531 .88364 L
.07042 .87393 L
.06779 .86734 L
.06677 .86422 L
.06412 .85451 L
.06218 .84479 L
.06092 .83508 L
.06029 .82537 L
.06029 .81566 L
.06092 .80594 L
.06218 .79623 L
.06412 .78652 L
.06677 .77681 L
.06779 .77369 L
.07042 .76709 L
.07531 .75738 L
.07751 .75384 L
.08204 .74767 L
.08722 .74239 L
.09244 .73796 L
F
.09693 .74161 m
.10664 .73871 L
.11636 .73951 L
.12607 .74413 L
.13073 .74767 L
.13578 .75333 L
.13878 .75738 L
.14428 .76709 L
.14549 .76975 L
.14825 .77681 L
.15126 .78652 L
.15355 .79623 L
.155 .80594 L
.15521 .80849 L
.15543 .81566 L
.15521 .82462 L
.15517 .82537 L
.15447 .83508 L
.15332 .84479 L
.15136 .85451 L
.1484 .86422 L
.14549 .87155 L
.14436 .87393 L
.13877 .88364 L
.13578 .88766 L
.13071 .89336 L
.12607 .89689 L
.11636 .90151 L
.10664 .90232 L
.09693 .89941 L
.08802 .89336 L
.08722 .89238 L
.07994 .88364 L
.07751 .87973 L
.07444 .87393 L
.0704 .86422 L
.06779 .85591 L
.06744 .85451 L
.06542 .84479 L
.0641 .83508 L
.06345 .82537 L
.06345 .81566 L
.0641 .80594 L
.06542 .79623 L
.06744 .78652 L
.06779 .78512 L
.0704 .77681 L
.07444 .76709 L
.07751 .7613 L
.07994 .75738 L
.08722 .74865 L
.08802 .74767 L
F
.09693 .74689 m
.10664 .74381 L
.11636 .74466 L
.12317 .74767 L
.12607 .7496 L
.13417 .75738 L
.13578 .75965 L
.14045 .76709 L
.14489 .77681 L
.14549 .77839 L
.14811 .78652 L
.15044 .79623 L
.15192 .80594 L
.15251 .81566 L
.15235 .82537 L
.15164 .83508 L
.15031 .84479 L
.14817 .85451 L
.14549 .863 L
.14502 .86422 L
.14049 .87393 L
.13578 .88138 L
.13416 .88364 L
.12607 .89142 L
.12316 .89336 L
.11636 .89637 L
.10664 .89722 L
.09693 .89413 L
.09527 .89336 L
.08722 .88652 L
.08465 .88364 L
.07827 .87393 L
.07751 .87248 L
.07383 .86422 L
.07062 .85451 L
.06835 .84479 L
.06779 .84207 L
.06695 .83508 L
.06627 .82537 L
.06627 .81566 L
.06695 .80594 L
.06779 .79896 L
.06835 .79623 L
.07062 .78652 L
.07383 .77681 L
.07751 .76855 L
.07827 .76709 L
.08465 .75738 L
.08722 .7545 L
.09527 .74767 L
F
.09693 .75187 m
.10664 .74855 L
.11636 .74946 L
.12607 .75477 L
.12919 .75738 L
.13578 .76577 L
.13663 .76709 L
.14163 .77681 L
.14516 .78652 L
.14549 .78759 L
.1476 .79623 L
.14914 .80594 L
.14982 .81566 L
.14972 .82537 L
.14897 .83508 L
.14752 .84479 L
.14549 .85356 L
.14521 .85451 L
.1417 .86422 L
.13665 .87393 L
.13578 .87528 L
.12918 .88364 L
.12607 .88625 L
.11636 .89156 L
.10664 .89248 L
.09693 .88916 L
.08926 .88364 L
.08722 .88094 L
.08205 .87393 L
.07751 .86516 L
.0771 .86422 L
.07362 .85451 L
.0712 .84479 L
.06966 .83508 L
.06891 .82537 L
.06891 .81566 L
.06966 .80594 L
.0712 .79623 L
.07362 .78652 L
.0771 .77681 L
.07751 .77587 L
.08205 .76709 L
.08722 .76009 L
.08926 .75738 L
F
.09693 .7566 m
.10664 .75306 L
.11636 .75404 L
.12299 .75738 L
.12607 .75974 L
.13288 .76709 L
.13578 .77185 L
.1384 .77681 L
.14227 .78652 L
.14494 .79623 L
.14549 .79834 L
.14657 .80594 L
.1473 .81566 L
.14723 .82537 L
.14643 .83508 L
.14549 .84189 L
.14486 .84479 L
.1423 .85451 L
.13844 .86422 L
.13578 .86923 L
.1329 .87393 L
.12607 .88128 L
.12299 .88364 L
.11636 .88699 L
.10664 .88796 L
.09693 .88442 L
.09547 .88364 L
.08722 .87549 L
.08602 .87393 L
.0803 .86422 L
.07751 .85747 L
.0765 .85451 L
.0739 .84479 L
.07226 .83508 L
.07146 .82537 L
.07146 .81566 L
.07226 .80594 L
.0739 .79623 L
.0765 .78652 L
.07751 .78355 L
.0803 .77681 L
.08602 .76709 L
.08722 .76554 L
.09547 .75738 L
F
.09693 .7612 m
.10664 .75739 L
.11636 .75844 L
.12607 .7646 L
.12864 .76709 L
.13517 .77681 L
.13578 .77806 L
.13943 .78652 L
.1423 .79623 L
.14409 .80594 L
.14489 .81566 L
.14483 .82537 L
.14398 .83508 L
.14226 .84479 L
.13945 .85451 L
.13578 .86304 L
.1352 .86422 L
.12865 .87393 L
.12607 .87643 L
.11636 .88259 L
.10664 .88363 L
.09693 .87983 L
.08971 .87393 L
.08722 .87008 L
.08355 .86422 L
.0793 .85451 L
.07751 .84885 L
.0765 .84479 L
.07474 .83508 L
.0739 .82537 L
.0739 .81566 L
.07474 .80594 L
.0765 .79623 L
.07751 .79217 L
.0793 .78652 L
.08355 .77681 L
.08722 .77095 L
.08971 .76709 L
F
.09693 .76571 m
.10664 .76162 L
.11636 .76274 L
.12356 .76709 L
.12607 .76941 L
.13195 .77681 L
.13578 .78461 L
.13657 .78652 L
.13972 .79623 L
.14163 .80594 L
.14252 .81566 L
.14248 .82537 L
.14156 .83508 L
.13968 .84479 L
.13659 .85451 L
.13578 .85647 L
.13197 .86422 L
.12607 .87163 L
.12357 .87393 L
.11636 .87829 L
.10664 .87941 L
.09693 .87531 L
.09479 .87393 L
.08722 .86457 L
.087 .86422 L
.08212 .85451 L
.07904 .84479 L
.07751 .83765 L
.07716 .83508 L
.07626 .82537 L
.07626 .81566 L
.07716 .80594 L
.07751 .80337 L
.07904 .79623 L
.08212 .78652 L
.087 .77681 L
.08722 .77646 L
.09479 .76709 L
F
.10664 .76577 m
.11636 .76698 L
.11662 .76709 L
.12607 .77426 L
.12825 .77681 L
.1338 .78652 L
.13578 .79181 L
.13713 .79623 L
.13922 .80594 L
.14018 .81566 L
.14015 .82537 L
.13917 .83508 L
.13711 .84479 L
.13578 .84919 L
.13381 .85451 L
.12827 .86422 L
.12607 .86678 L
.11662 .87393 L
.11636 .87405 L
.10664 .87525 L
.1022 .87393 L
.09693 .87082 L
.09005 .86422 L
.08722 .85886 L
.08504 .85451 L
.08159 .84479 L
.07954 .83508 L
.07857 .82537 L
.07857 .81566 L
.07954 .80594 L
.08159 .79623 L
.08504 .78652 L
.08722 .78216 L
.09005 .77681 L
.09693 .7702 L
.1022 .76709 L
F
.09693 .77475 m
.10664 .76991 L
.11636 .77122 L
.12394 .77681 L
.12607 .77923 L
.13085 .78652 L
.1346 .79623 L
.13578 .8004 L
.13679 .80594 L
.13785 .81566 L
.13783 .82537 L
.13675 .83508 L
.13578 .84043 L
.13458 .84479 L
.13086 .85451 L
.12607 .86181 L
.12395 .86422 L
.11636 .86981 L
.10664 .87111 L
.09693 .86628 L
.09435 .86422 L
.08792 .85451 L
.08722 .8527 L
.0842 .84479 L
.08192 .83508 L
.08086 .82537 L
.08086 .81566 L
.08192 .80594 L
.0842 .79623 L
.08722 .78833 L
.08792 .78652 L
.09435 .77681 L
F
.10664 .77409 m
.11636 .77552 L
.11854 .77681 L
.12607 .78448 L
.12746 .78652 L
.13202 .79623 L
.13443 .80594 L
.13551 .81566 L
.13549 .82537 L
.1344 .83508 L
.132 .84479 L
.12747 .85451 L
.12607 .85656 L
.11855 .86422 L
.11636 .86551 L
.10664 .86694 L
.10022 .86422 L
.09693 .86163 L
.09075 .85451 L
.08722 .84557 L
.08695 .84479 L
.08438 .83508 L
.0832 .82537 L
.0832 .81566 L
.08438 .80594 L
.08695 .79623 L
.08722 .79545 L
.09075 .78652 L
.09693 .7794 L
.10022 .77681 L
F
.09693 .7843 m
.10664 .77835 L
.11636 .77992 L
.12363 .78652 L
.12607 .7901 L
.12914 .79623 L
.13201 .80594 L
.13325 .81566 L
.13324 .82537 L
.13199 .83508 L
.12913 .84479 L
.12607 .85093 L
.12363 .85451 L
.11636 .86111 L
.10664 .86267 L
.09693 .85673 L
.09473 .85451 L
.08931 .84479 L
.08722 .83645 L
.08696 .83508 L
.08563 .82537 L
.08563 .81566 L
.08696 .80594 L
.08722 .80457 L
.08931 .79623 L
.09473 .78652 L
F
.10664 .78279 m
.11636 .78457 L
.1189 .78652 L
.12583 .79623 L
.12607 .79665 L
.12932 .80594 L
.13081 .81566 L
.1308 .82537 L
.12931 .83508 L
.12607 .84436 L
.12582 .84479 L
.1189 .85451 L
.11636 .85646 L
.10664 .85824 L
.09986 .85451 L
.09693 .85151 L
.0923 .84479 L
.08915 .83508 L
.08796 .82537 L
.08796 .81566 L
.08915 .80594 L
.0923 .79623 L
.09693 .78952 L
.09986 .78652 L
F
.09693 .79557 m
.10664 .78751 L
.11636 .7895 L
.12218 .79623 L
.12607 .80523 L
.12625 .80594 L
.12806 .81566 L
.12805 .82537 L
.12624 .83508 L
.12607 .83575 L
.12218 .84479 L
.11636 .85153 L
.10664 .85352 L
.09693 .84546 L
.09645 .84479 L
.09187 .83508 L
.09022 .82537 L
.09022 .81566 L
.09187 .80594 L
.09645 .79623 L
F
.10664 .79265 m
.11636 .79516 L
.11742 .79623 L
.12293 .80594 L
.12499 .81566 L
.12498 .82537 L
.12292 .83508 L
.11741 .84479 L
.11636 .84586 L
.10664 .84838 L
.10139 .84479 L
.09693 .8384 L
.09555 .83508 L
.09319 .82537 L
.09319 .81566 L
.09555 .80594 L
.09693 .80263 L
.10139 .79623 L
F
.10664 .79838 m
.11636 .80154 L
.11881 .80594 L
.12156 .81566 L
.12156 .82537 L
.11881 .83508 L
.11636 .83948 L
.10664 .84265 L
.09995 .83508 L
.09716 .82537 L
.09716 .81566 L
.09995 .80594 L
F
.10664 .8068 m
.11636 .81294 L
.11707 .81566 L
.11707 .82537 L
.11636 .82807 L
.10664 .83422 L
.10174 .82537 L
.10174 .81566 L
F
.18434 .81364 m
.19406 .81415 L
.20377 .81533 L
.20834 .81566 L
.21348 .81606 L
.22319 .81646 L
.23291 .81667 L
.24262 .81679 L
.25233 .81684 L
.26204 .81685 L
.27176 .81682 L
.28147 .81674 L
.29118 .81658 L
.30089 .81629 L
.31061 .81575 L
.31186 .81566 L
.32032 .81478 L
.33003 .81359 L
.33969 .81566 L
.33974 .81566 L
.3453 .82537 L
.34624 .83508 L
.34424 .84479 L
.33974 .85131 L
.33003 .85211 L
.32032 .85035 L
.31061 .84919 L
.30089 .84855 L
.29118 .84821 L
.28147 .84803 L
.27176 .84794 L
.26204 .84791 L
.25233 .84792 L
.24262 .84798 L
.23291 .84811 L
.22319 .84835 L
.21348 .84882 L
.20377 .84968 L
.19406 .85118 L
.18434 .85267 L
.17498 .84479 L
.17463 .84387 L
.17297 .83508 L
.17387 .82537 L
.17463 .82082 L
.17954 .81566 L
F
.18434 .7551 m
.19406 .75447 L
.20377 .75523 L
.21348 .75579 L
.22319 .7561 L
.23291 .75628 L
.24262 .75637 L
.25233 .75641 L
.26204 .75642 L
.27176 .75639 L
.28147 .75633 L
.29118 .7562 L
.30089 .75597 L
.31061 .75555 L
.32032 .75485 L
.33003 .75431 L
.33844 .75738 L
.33974 .75885 L
.34277 .76709 L
.34203 .77681 L
.33974 .78141 L
.33319 .78652 L
.33003 .78726 L
.32032 .78776 L
.31061 .78756 L
.30089 .78737 L
.29118 .78725 L
.28147 .78718 L
.27176 .78715 L
.26204 .78713 L
.25233 .78714 L
.24262 .78716 L
.23291 .78721 L
.22319 .7873 L
.21348 .78745 L
.20377 .78768 L
.19406 .78771 L
.18612 .78652 L
.18434 .78573 L
.17716 .77681 L
.1764 .76709 L
.18071 .75738 L
F
.18434 .81916 m
.19406 .81676 L
.20377 .81665 L
.21348 .81682 L
.22319 .81694 L
.23291 .81702 L
.24262 .81706 L
.25233 .81708 L
.26204 .81708 L
.27176 .81707 L
.28147 .81704 L
.29118 .81698 L
.30089 .81689 L
.31061 .81673 L
.32032 .81662 L
.33003 .81736 L
.33974 .8227 L
.34026 .82537 L
.34146 .83508 L
.33974 .84059 L
.33636 .84479 L
.33003 .84763 L
.32032 .84823 L
.31061 .84805 L
.30089 .84787 L
.29118 .84775 L
.28147 .84769 L
.27176 .84765 L
.26204 .84764 L
.25233 .84765 L
.24262 .84767 L
.23291 .84771 L
.22319 .8478 L
.21348 .84795 L
.20377 .84816 L
.19406 .84815 L
.18434 .84589 L
.18282 .84479 L
.17773 .83508 L
.17898 .82537 L
F
.18434 .82517 m
.19406 .81926 L
.20377 .81795 L
.21348 .81756 L
.22319 .81742 L
.23291 .81736 L
.24262 .81733 L
.25233 .81731 L
.26204 .81731 L
.27176 .81732 L
.28147 .81734 L
.29118 .81738 L
.30089 .81748 L
.31061 .81771 L
.32032 .8184 L
.33003 .82102 L
.33509 .82537 L
.33673 .83508 L
.33003 .84343 L
.32691 .84479 L
.32032 .8462 L
.31061 .84694 L
.30089 .84719 L
.29118 .84729 L
.28147 .84734 L
.27176 .84737 L
.26204 .84738 L
.25233 .84737 L
.24262 .84736 L
.23291 .84732 L
.22319 .84725 L
.21348 .84709 L
.20377 .84667 L
.19406 .84529 L
.19238 .84479 L
.18434 .83902 L
.18256 .83508 L
.1842 .82537 L
F
.22319 .75715 m
.23291 .75702 L
.24262 .75695 L
.25233 .75692 L
.26204 .75692 L
.27176 .75693 L
.28147 .75698 L
.29118 .75707 L
.30089 .75726 L
.30489 .75738 L
.31061 .75764 L
.32032 .7586 L
.33003 .76182 L
.33495 .76709 L
.33537 .77681 L
.33003 .78254 L
.32032 .78558 L
.31061 .78639 L
.30736 .78652 L
.30089 .78666 L
.29118 .78677 L
.28147 .78682 L
.27176 .78685 L
.26204 .78686 L
.25233 .78686 L
.24262 .78684 L
.23291 .7868 L
.22319 .78673 L
.21348 .78656 L
.2119 .78652 L
.20377 .7861 L
.19406 .78458 L
.18434 .77758 L
.18395 .77681 L
.18434 .76715 L
.18437 .76709 L
.19406 .75969 L
.20377 .75799 L
.21348 .75741 L
.21438 .75738 L
F
.19406 .79369 m
.20377 .79072 L
.21348 .78921 L
.22319 .78843 L
.23291 .78802 L
.24262 .7878 L
.25233 .7877 L
.26204 .78768 L
.27176 .78774 L
.28147 .78789 L
.29118 .78819 L
.30089 .78876 L
.31061 .78984 L
.32032 .79195 L
.33003 .79617 L
.33013 .79623 L
.33445 .80594 L
.33003 .80899 L
.32032 .81281 L
.31061 .81472 L
.30133 .81566 L
.30089 .81569 L
.29118 .81618 L
.28147 .81644 L
.27176 .81657 L
.26204 .81662 L
.25233 .8166 L
.24262 .81651 L
.23291 .81633 L
.22319 .81597 L
.21797 .81566 L
.21348 .81529 L
.20377 .81393 L
.19406 .81123 L
.18475 .80594 L
.18911 .79623 L
F
.19406 .88071 m
.20377 .87894 L
.21348 .87837 L
.22319 .87814 L
.23291 .87803 L
.24262 .87797 L
.25233 .87795 L
.26204 .87794 L
.27176 .87796 L
.28147 .87799 L
.29118 .87807 L
.30089 .87823 L
.31061 .87859 L
.32032 .87956 L
.33003 .88301 L
.33089 .88364 L
.33434 .89336 L
.33003 .90044 L
.32582 .90307 L
.32032 .90495 L
.31061 .90648 L
.30089 .90712 L
.29118 .90743 L
.28147 .90758 L
.27176 .90766 L
.26204 .90769 L
.25233 .90768 L
.24262 .90763 L
.23291 .90752 L
.22319 .9073 L
.21348 .90687 L
.20377 .90589 L
.19406 .90332 L
.19348 .90307 L
.18498 .89336 L
.18826 .88364 L
F
.19406 .82187 m
.20377 .81926 L
.21348 .81831 L
.22319 .8179 L
.23291 .8177 L
.24262 .8176 L
.25233 .81755 L
.26204 .81754 L
.27176 .81757 L
.28147 .81764 L
.29118 .81778 L
.30089 .81807 L
.31061 .81868 L
.32032 .8202 L
.33003 .82529 L
.33011 .82537 L
.33222 .83508 L
.33003 .83866 L
.32032 .84416 L
.3177 .84479 L
.31061 .84583 L
.30089 .84651 L
.29118 .84684 L
.28147 .847 L
.27176 .84708 L
.26204 .84711 L
.25233 .8471 L
.24262 .84705 L
.23291 .84693 L
.22319 .8467 L
.21348 .84624 L
.20377 .8452 L
.20151 .84479 L
.19406 .84235 L
.18701 .83508 L
.18902 .82537 L
F
.19406 .76451 m
.20377 .76038 L
.21348 .75881 L
.22319 .75808 L
.23291 .7577 L
.24262 .75751 L
.25233 .75742 L
.26204 .75741 L
.27176 .75746 L
.28147 .75759 L
.29118 .75786 L
.30089 .75838 L
.31061 .75944 L
.32032 .76188 L
.32789 .76709 L
.32917 .77681 L
.32032 .78311 L
.31061 .78511 L
.30089 .7859 L
.29118 .78627 L
.28147 .78646 L
.27676 .78652 L
.27176 .78655 L
.26204 .78658 L
.25233 .78657 L
.24318 .78652 L
.24262 .78651 L
.23291 .78638 L
.22319 .78612 L
.21348 .78558 L
.20377 .78436 L
.19406 .78083 L
.18998 .77681 L
.19129 .76709 L
F
.20377 .91093 m
.21348 .90973 L
.22319 .90913 L
.23291 .90882 L
.24262 .90865 L
.25233 .90858 L
.26204 .90857 L
.27176 .90861 L
.28147 .90872 L
.29118 .90895 L
.30089 .90938 L
.31061 .91022 L
.32032 .91196 L
.32311 .91278 L
.32857 .92249 L
.32032 .92929 L
.3123 .93221 L
.31061 .93284 L
.30089 .93484 L
.29118 .93591 L
.28147 .93649 L
.27176 .93678 L
.26204 .93689 L
.25233 .93685 L
.24262 .93666 L
.23291 .93624 L
.22319 .93546 L
.21348 .934 L
.20672 .93221 L
.20377 .93133 L
.19406 .92619 L
.19067 .92249 L
.19406 .91384 L
.19612 .91278 L
F
.20377 .85129 m
.21348 .84971 L
.22319 .84891 L
.23291 .8485 L
.24262 .84829 L
.25233 .84819 L
.26204 .84817 L
.27176 .84823 L
.28147 .84838 L
.29118 .84868 L
.30089 .84925 L
.31061 .85036 L
.32032 .85267 L
.32458 .85451 L
.32835 .86422 L
.32032 .87038 L
.31061 .87354 L
.30858 .87393 L
.30089 .87513 L
.29118 .87597 L
.28147 .87641 L
.27176 .87664 L
.26204 .87672 L
.25233 .87669 L
.24262 .87655 L
.23291 .87623 L
.22319 .87562 L
.21348 .87446 L
.21086 .87393 L
.20377 .87225 L
.19406 .86748 L
.19089 .86422 L
.19406 .85493 L
.19486 .85451 L
F
.19406 .82487 m
.20377 .82059 L
.21348 .81907 L
.22319 .81838 L
.23291 .81804 L
.24262 .81787 L
.25233 .81779 L
.26204 .81777 L
.27176 .81782 L
.28147 .81794 L
.29118 .81818 L
.30089 .81866 L
.31061 .81967 L
.32032 .8221 L
.32582 .82537 L
.32817 .83508 L
.32032 .84205 L
.31061 .84472 L
.31017 .84479 L
.30089 .84584 L
.29118 .84638 L
.28147 .84666 L
.27176 .8468 L
.26204 .84685 L
.25233 .84683 L
.24262 .84674 L
.23291 .84654 L
.22319 .84616 L
.21348 .84539 L
.20906 .84479 L
.20377 .8437 L
.19406 .83903 L
.191 .83508 L
.19345 .82537 L
F
.20377 .7923 m
.21348 .79009 L
.22319 .78899 L
.23291 .78842 L
.24262 .78812 L
.25233 .78798 L
.26204 .78795 L
.27176 .78803 L
.28147 .78824 L
.29118 .78866 L
.30089 .78945 L
.31061 .791 L
.32032 .79424 L
.32363 .79623 L
.32668 .80594 L
.32032 .81063 L
.31061 .81365 L
.30089 .81506 L
.29333 .81566 L
.29118 .81577 L
.28147 .81613 L
.27176 .81632 L
.26204 .81638 L
.25233 .81636 L
.24262 .81624 L
.23291 .81598 L
.22588 .81566 L
.22319 .81548 L
.21348 .81448 L
.20377 .81245 L
.19406 .80755 L
.19255 .80594 L
.19406 .79781 L
.19602 .79623 L
F
.20377 .88147 m
.21348 .87976 L
.22319 .87901 L
.23291 .87865 L
.24262 .87846 L
.25233 .87837 L
.26204 .87836 L
.27176 .87841 L
.28147 .87854 L
.29118 .8788 L
.30089 .87932 L
.31061 .88042 L
.32032 .88327 L
.32104 .88364 L
.32506 .89336 L
.32032 .89894 L
.31069 .90307 L
.31061 .90309 L
.30089 .90502 L
.29118 .90599 L
.28147 .90649 L
.27176 .90675 L
.26204 .90685 L
.25233 .90681 L
.24262 .90665 L
.23291 .90628 L
.22319 .90558 L
.21348 .90423 L
.20859 .90307 L
.20377 .90151 L
.19419 .89336 L
.19819 .88364 L
F
.22319 .69897 m
.23291 .69818 L
.24262 .69776 L
.25233 .69756 L
.26204 .69753 L
.27176 .69764 L
.28147 .69794 L
.29118 .6985 L
.29726 .69911 L
.30089 .69952 L
.31061 .7013 L
.32032 .70513 L
.32413 .70882 L
.32508 .71853 L
.32032 .72164 L
.31061 .72416 L
.30089 .72511 L
.29118 .72555 L
.28147 .72577 L
.27176 .72587 L
.26204 .72591 L
.25233 .7259 L
.24262 .72583 L
.23291 .72567 L
.22319 .72537 L
.21348 .72473 L
.20377 .72324 L
.19422 .71853 L
.19497 .70882 L
.20377 .70281 L
.21348 .70024 L
.22198 .69911 L
F
.20377 .82198 m
.21348 .81983 L
.22319 .81887 L
.23291 .81838 L
.24262 .81814 L
.25233 .81802 L
.26204 .818 L
.27176 .81807 L
.28147 .81824 L
.29118 .81859 L
.30089 .81926 L
.31061 .82067 L
.32032 .82419 L
.32203 .82537 L
.3247 .83508 L
.32032 .83972 L
.31061 .8436 L
.30395 .84479 L
.30089 .84517 L
.29118 .84593 L
.28147 .84632 L
.27176 .84651 L
.26204 .84659 L
.25233 .84656 L
.24262 .84644 L
.23291 .84616 L
.22319 .84561 L
.21528 .84479 L
.21348 .84453 L
.20377 .84215 L
.19457 .83508 L
.19724 .82537 L
F
.20377 .7628 m
.21348 .76018 L
.22319 .75896 L
.23291 .75834 L
.24262 .75802 L
.25233 .75787 L
.26204 .75784 L
.27176 .75793 L
.28147 .75815 L
.29118 .7586 L
.30089 .75947 L
.31061 .76122 L
.32032 .76544 L
.32225 .76709 L
.32408 .77681 L
.32032 .78023 L
.31061 .78375 L
.30089 .78511 L
.29118 .78575 L
.28147 .78607 L
.27176 .78623 L
.26204 .78629 L
.25233 .78627 L
.24262 .78616 L
.23291 .78593 L
.22319 .78548 L
.21348 .78457 L
.20377 .78247 L
.1952 .77681 L
.19703 .76709 L
F
.25233 .7282 m
.26204 .72815 L
.26972 .72824 L
.27176 .72828 L
.28147 .7286 L
.29118 .72921 L
.30089 .73037 L
.31061 .73259 L
.32032 .73751 L
.32084 .73796 L
.32325 .74767 L
.32032 .74985 L
.31061 .75319 L
.30089 .75461 L
.29118 .7553 L
.28147 .75566 L
.27176 .75584 L
.26204 .75591 L
.25233 .75588 L
.24262 .75577 L
.23291 .75551 L
.22319 .75501 L
.21348 .75403 L
.20377 .75192 L
.19649 .74767 L
.19918 .73796 L
.20377 .7345 L
.21348 .73129 L
.22319 .7297 L
.23291 .72886 L
.24262 .72841 L
.24951 .72824 L
F
.20377 .85306 m
.21348 .85062 L
.22319 .84948 L
.23291 .8489 L
.24262 .8486 L
.25233 .84847 L
.26204 .84844 L
.27176 .84852 L
.28147 .84873 L
.29118 .84915 L
.30089 .84995 L
.31061 .85159 L
.31845 .85451 L
.32032 .85583 L
.32253 .86422 L
.32032 .86679 L
.31061 .8719 L
.30193 .87393 L
.30089 .87412 L
.29118 .87528 L
.28147 .87589 L
.27176 .8762 L
.26204 .87632 L
.25233 .87628 L
.24262 .87608 L
.23291 .87564 L
.22319 .87479 L
.21732 .87393 L
.21348 .8732 L
.20377 .86998 L
.19725 .86422 L
.20172 .85451 L
F
.20377 .79398 m
.21348 .79098 L
.22319 .78956 L
.23291 .78882 L
.24262 .78844 L
.25233 .78826 L
.26204 .78822 L
.27176 .78833 L
.28147 .78859 L
.29118 .78913 L
.30089 .79015 L
.31061 .79218 L
.31925 .79623 L
.32032 .79714 L
.32234 .80594 L
.32032 .808 L
.31061 .81254 L
.30089 .81443 L
.29118 .81536 L
.28595 .81566 L
.28147 .81583 L
.27176 .81606 L
.26204 .81615 L
.25233 .81612 L
.24262 .81597 L
.23331 .81566 L
.23291 .81564 L
.22319 .81497 L
.21348 .81366 L
.20377 .81085 L
.19751 .80594 L
.20081 .79623 L
F
.20377 .82347 m
.21348 .82061 L
.22319 .81935 L
.23291 .81873 L
.24262 .81841 L
.25233 .81826 L
.26204 .81824 L
.27176 .81832 L
.28147 .81854 L
.29118 .81899 L
.30089 .81987 L
.31061 .82171 L
.31868 .82537 L
.32032 .82716 L
.32163 .83508 L
.32032 .83689 L
.31061 .84244 L
.30089 .84449 L
.29854 .84479 L
.29118 .84547 L
.28147 .84598 L
.27176 .84623 L
.26204 .84632 L
.25233 .84629 L
.24262 .84613 L
.23291 .84577 L
.22319 .84507 L
.2207 .84479 L
.21348 .84367 L
.20377 .8405 L
.19765 .83508 L
.20053 .82537 L
F
.20377 .76544 m
.21348 .76156 L
.22319 .75984 L
.23291 .75897 L
.24262 .75852 L
.25233 .75831 L
.26204 .75827 L
.27176 .75839 L
.28147 .75871 L
.29118 .75934 L
.30089 .76055 L
.31061 .76305 L
.31759 .76709 L
.31977 .77681 L
.31061 .7823 L
.30089 .7843 L
.29118 .78521 L
.28147 .78567 L
.27176 .7859 L
.26204 .78598 L
.25233 .78596 L
.24262 .78581 L
.23291 .78548 L
.22319 .78483 L
.21348 .78351 L
.20377 .78031 L
.19948 .77681 L
.20162 .76709 L
F
.20377 .82514 m
.21348 .8214 L
.22319 .81984 L
.23291 .81907 L
.24262 .81868 L
.25233 .8185 L
.26204 .81847 L
.27176 .81857 L
.28147 .81884 L
.29118 .81939 L
.30089 .82048 L
.31061 .8228 L
.31574 .82537 L
.31888 .83508 L
.31061 .84123 L
.30089 .84381 L
.29354 .84479 L
.29118 .84502 L
.28147 .84564 L
.27176 .84595 L
.26204 .84606 L
.25233 .84602 L
.24262 .84582 L
.23291 .84538 L
.22567 .84479 L
.22319 .84452 L
.21348 .84278 L
.20377 .83865 L
.20036 .83508 L
.20343 .82537 L
F
.21348 .88125 m
.22319 .87992 L
.23291 .87928 L
.24262 .87895 L
.25233 .87881 L
.26204 .87878 L
.27176 .87886 L
.28147 .87909 L
.29118 .87954 L
.30089 .88045 L
.31061 .88247 L
.31364 .88364 L
.31826 .89336 L
.31061 .89992 L
.30089 .90299 L
.3005 .90307 L
.29118 .90459 L
.28147 .90543 L
.27176 .90586 L
.26204 .90602 L
.25233 .90597 L
.24262 .90569 L
.23291 .90508 L
.22319 .90392 L
.21877 .90307 L
.21348 .90176 L
.20377 .89688 L
.20097 .89336 L
.20377 .8849 L
.20558 .88364 L
F
.20377 .79586 m
.21348 .79189 L
.22319 .79012 L
.23291 .78922 L
.24262 .78875 L
.25233 .78854 L
.26204 .7885 L
.27176 .78862 L
.28147 .78895 L
.29118 .7896 L
.30089 .79085 L
.31061 .79342 L
.3156 .79623 L
.31886 .80594 L
.31061 .81136 L
.30089 .81377 L
.29118 .81493 L
.28147 .81552 L
.27852 .81566 L
.27176 .81581 L
.26204 .81592 L
.25233 .81588 L
.24262 .81569 L
.24128 .81566 L
.23291 .81527 L
.22319 .81445 L
.21348 .81281 L
.20377 .80904 L
.20104 .80594 L
.20345 .79623 L
F
.21348 .85158 m
.22319 .85006 L
.23291 .84931 L
.24262 .84892 L
.25233 .84874 L
.26204 .84871 L
.27176 .84881 L
.28147 .84908 L
.29118 .84962 L
.30089 .85068 L
.31061 .85292 L
.3139 .85451 L
.3182 .86422 L
.31061 .87019 L
.30089 .87313 L
.29626 .87393 L
.29118 .8746 L
.28147 .87538 L
.27176 .87577 L
.26204 .87592 L
.25233 .87587 L
.24262 .87561 L
.23291 .87505 L
.22319 .87397 L
.22294 .87393 L
.21348 .87194 L
.20377 .86736 L
.20152 .86422 L
.20377 .8553 L
.20494 .85451 L
F
.21348 .82222 m
.22319 .82034 L
.23291 .81942 L
.24262 .81895 L
.25233 .81874 L
.26204 .8187 L
.27176 .81882 L
.28147 .81915 L
.29118 .8198 L
.30089 .8211 L
.31061 .82397 L
.31313 .82537 L
.31641 .83508 L
.31061 .83994 L
.30089 .84311 L
.29118 .84456 L
.28878 .84479 L
.28147 .8453 L
.27176 .84566 L
.26204 .8458 L
.25233 .84576 L
.24262 .84551 L
.23291 .84499 L
.23049 .84479 L
.22319 .84396 L
.21348 .84187 L
.20377 .8364 L
.20277 .83508 L
.20377 .82776 L
.2061 .82537 L
F
.21348 .76297 m
.22319 .76072 L
.23291 .7596 L
.24262 .75902 L
.25233 .75875 L
.26204 .7587 L
.27176 .75885 L
.28147 .75926 L
.29118 .76007 L
.30089 .76164 L
.31061 .76501 L
.31369 .76709 L
.31609 .77681 L
.31061 .7807 L
.30089 .78345 L
.29118 .78467 L
.28147 .78527 L
.27176 .78557 L
.26204 .78568 L
.25233 .78564 L
.24262 .78545 L
.23291 .78502 L
.22319 .78417 L
.21348 .78239 L
.20377 .77756 L
.20308 .77681 L
.20377 .76909 L
.20551 .76709 L
F
.21348 .79283 m
.22319 .79069 L
.23291 .78962 L
.24262 .78907 L
.25233 .78881 L
.26204 .78877 L
.27176 .78891 L
.28147 .7893 L
.29118 .79007 L
.30089 .79157 L
.31061 .79476 L
.31279 .79623 L
.31585 .80594 L
.31061 .81009 L
.30089 .81311 L
.29118 .8145 L
.28147 .8152 L
.27176 .81555 L
.26543 .81566 L
.26204 .81568 L
.25376 .81566 L
.25233 .81564 L
.24262 .81541 L
.23291 .81491 L
.22319 .81392 L
.21348 .81192 L
.20377 .8068 L
.20328 .80594 L
.20377 .79873 L
.20625 .79623 L
F
.21348 .85259 m
.22319 .85065 L
.23291 .84972 L
.24262 .84924 L
.25233 .84902 L
.26204 .84898 L
.27176 .8491 L
.28147 .84944 L
.29118 .85011 L
.30089 .85144 L
.31061 .8544 L
.31078 .85451 L
.31469 .86422 L
.31061 .8683 L
.30089 .87213 L
.29118 .87391 L
.29103 .87393 L
.28147 .87486 L
.27176 .87534 L
.26204 .87552 L
.25233 .87547 L
.24262 .87515 L
.23291 .87447 L
.2282 .87393 L
.22319 .87317 L
.21348 .87063 L
.20419 .86422 L
.20865 .85451 L
F
.21348 .73419 m
.22319 .73153 L
.23291 .73018 L
.24262 .72947 L
.25233 .72914 L
.26204 .72907 L
.27176 .72926 L
.28147 .72976 L
.29118 .73074 L
.30089 .73262 L
.31061 .7366 L
.31223 .73796 L
.31441 .74767 L
.31061 .75036 L
.30089 .75314 L
.29118 .75436 L
.28147 .75497 L
.27176 .75527 L
.26204 .75538 L
.25233 .75535 L
.24262 .75515 L
.23291 .75472 L
.22319 .75386 L
.21348 .75206 L
.20445 .74767 L
.20691 .73796 L
F
.21348 .82308 m
.22319 .82084 L
.23291 .81977 L
.24262 .81923 L
.25233 .81898 L
.26204 .81893 L
.27176 .81907 L
.28147 .81945 L
.29118 .82021 L
.30089 .82174 L
.31061 .82526 L
.31078 .82537 L
.31418 .83508 L
.31061 .83852 L
.30089 .8424 L
.29118 .8441 L
.2839 .84479 L
.28147 .84495 L
.27176 .84538 L
.26204 .84554 L
.25233 .84549 L
.24262 .84521 L
.23524 .84479 L
.23291 .8446 L
.22319 .8434 L
.21348 .84092 L
.205 .83508 L
.20852 .82537 L
F
.21348 .79381 m
.22319 .79127 L
.23291 .79002 L
.24262 .78939 L
.25233 .78909 L
.26204 .78904 L
.27176 .7892 L
.28147 .78965 L
.29118 .79054 L
.30089 .7923 L
.31059 .79623 L
.31061 .79625 L
.31342 .80594 L
.31061 .80867 L
.30089 .81242 L
.29118 .81406 L
.28147 .81488 L
.27176 .81529 L
.26204 .81544 L
.25233 .81539 L
.24262 .81512 L
.23291 .81454 L
.22319 .81339 L
.21348 .81099 L
.20556 .80594 L
.20887 .79623 L
F
.22319 .94064 m
.23291 .93992 L
.24262 .93957 L
.25233 .93941 L
.26204 .93938 L
.27176 .93947 L
.28147 .93972 L
.29118 .94022 L
.30089 .94126 L
.30445 .94192 L
.31061 .94468 L
.31321 .95163 L
.31061 .95507 L
.30089 .96004 L
.29603 .96134 L
.29118 .96245 L
.28147 .96386 L
.27176 .96458 L
.26204 .96485 L
.25233 .96476 L
.24262 .96428 L
.23291 .96326 L
.22319 .96135 L
.22318 .96134 L
.21348 .95815 L
.206 .95163 L
.21348 .94231 L
.21476 .94192 L
F
.21348 .8829 m
.22319 .88087 L
.23291 .87993 L
.24262 .87946 L
.25233 .87925 L
.26204 .87921 L
.27176 .87933 L
.28147 .87965 L
.29118 .88031 L
.30089 .88167 L
.3078 .88364 L
.31061 .88547 L
.31297 .89336 L
.31061 .89623 L
.30089 .90109 L
.29203 .90307 L
.29118 .90321 L
.28147 .90439 L
.27176 .90498 L
.26204 .90521 L
.25233 .90514 L
.24262 .90474 L
.23291 .9039 L
.22719 .90307 L
.22319 .90233 L
.21348 .89926 L
.20625 .89336 L
.21143 .88364 L
F
.21348 .76446 m
.22319 .76161 L
.23291 .76023 L
.24262 .75951 L
.25233 .75919 L
.26204 .75913 L
.27176 .75931 L
.28147 .75981 L
.29118 .7608 L
.30089 .76275 L
.31037 .76709 L
.31061 .7673 L
.31292 .77681 L
.31061 .77882 L
.30089 .78257 L
.29118 .78411 L
.28147 .78486 L
.27176 .78523 L
.26204 .78537 L
.25233 .78533 L
.24262 .78508 L
.23291 .78455 L
.22319 .78348 L
.21348 .78117 L
.2063 .77681 L
.20894 .76709 L
F
.21348 .82399 m
.22319 .82135 L
.23291 .82012 L
.24262 .8195 L
.25233 .81922 L
.26204 .81917 L
.27176 .81933 L
.28147 .81976 L
.29118 .82063 L
.30089 .8224 L
.30854 .82537 L
.31061 .82716 L
.31217 .83508 L
.31061 .83686 L
.30089 .84167 L
.29118 .84363 L
.28147 .84461 L
.27915 .84479 L
.27176 .84509 L
.26204 .84527 L
.25233 .84522 L
.24262 .8449 L
.24054 .84479 L
.23291 .8442 L
.22319 .84283 L
.21348 .83991 L
.20709 .83508 L
.21072 .82537 L
F
.21348 .85368 m
.22319 .85126 L
.23291 .85013 L
.24262 .84956 L
.25233 .8493 L
.26204 .84925 L
.27176 .8494 L
.28147 .8498 L
.29118 .8506 L
.30089 .85222 L
.30762 .85451 L
.31061 .85677 L
.31198 .86422 L
.31061 .86605 L
.30089 .87111 L
.29118 .87325 L
.28592 .87393 L
.28147 .87435 L
.27176 .87492 L
.26204 .87513 L
.25233 .87506 L
.24262 .87469 L
.23335 .87393 L
.23291 .87388 L
.22319 .87237 L
.21348 .86924 L
.20721 .86422 L
.21166 .85451 L
F
.21348 .79486 m
.22319 .79185 L
.23291 .79043 L
.24262 .7897 L
.25233 .78937 L
.26204 .78931 L
.27176 .7895 L
.28147 .79 L
.29118 .79102 L
.30089 .79305 L
.30819 .79623 L
.31061 .79849 L
.31144 .80594 L
.31061 .80696 L
.30089 .81171 L
.29118 .81362 L
.28147 .81456 L
.27176 .81502 L
.26204 .81519 L
.25233 .81514 L
.24262 .81483 L
.23291 .81416 L
.22319 .81284 L
.21348 .80999 L
.20784 .80594 L
.21113 .79623 L
F
.22319 .91115 m
.23291 .9102 L
.24262 .90973 L
.25233 .90952 L
.26204 .90948 L
.27176 .9096 L
.28147 .90992 L
.29118 .91059 L
.30089 .91196 L
.30416 .91278 L
.31061 .91698 L
.31123 .92249 L
.31061 .92358 L
.30089 .92967 L
.29118 .93216 L
.29092 .93221 L
.28147 .93361 L
.27176 .93435 L
.26204 .93463 L
.25233 .93454 L
.24262 .93405 L
.23291 .933 L
.22831 .93221 L
.22319 .93113 L
.21348 .9275 L
.2081 .92249 L
.21348 .91337 L
.21497 .91278 L
F
.21348 .82497 m
.22319 .82188 L
.23291 .82048 L
.24262 .81978 L
.25233 .81946 L
.26204 .8194 L
.27176 .81958 L
.28147 .82007 L
.29118 .82105 L
.30089 .82308 L
.30644 .82537 L
.31031 .83508 L
.30089 .84092 L
.29118 .84316 L
.28147 .84426 L
.27221 .84479 L
.27176 .84481 L
.26204 .84501 L
.25233 .84494 L
.24715 .84479 L
.24262 .84459 L
.23291 .84381 L
.22319 .84225 L
.21348 .83883 L
.20901 .83508 L
.21275 .82537 L
F
.21348 .76608 m
.22319 .76251 L
.23291 .76085 L
.24262 .76001 L
.25233 .75962 L
.26204 .75955 L
.27176 .75977 L
.28147 .76036 L
.29118 .76154 L
.30089 .76391 L
.30728 .76709 L
.31013 .77681 L
.30089 .78163 L
.29118 .78354 L
.28147 .78445 L
.27176 .78489 L
.26204 .78506 L
.25233 .785 L
.24262 .78471 L
.23291 .78407 L
.22319 .78277 L
.21348 .77983 L
.20917 .77681 L
.21194 .76709 L
F
.22319 .85189 m
.23291 .85055 L
.24262 .84989 L
.25233 .84958 L
.26204 .84953 L
.27176 .8497 L
.28147 .85016 L
.29118 .8511 L
.30089 .85305 L
.30481 .85451 L
.3096 .86422 L
.30089 .87005 L
.29118 .87258 L
.28147 .87384 L
.28067 .87393 L
.27176 .87449 L
.26204 .87473 L
.25233 .87465 L
.24262 .87422 L
.23862 .87393 L
.23291 .87331 L
.22319 .87154 L
.21348 .8677 L
.2098 .86422 L
.21348 .85499 L
.21431 .85451 L
F
.21348 .79599 m
.22319 .79245 L
.23291 .79084 L
.24262 .79002 L
.25233 .78965 L
.26204 .78958 L
.27176 .78979 L
.28147 .79036 L
.29118 .79151 L
.30089 .79383 L
.30602 .79623 L
.30954 .80594 L
.30089 .81097 L
.29118 .81316 L
.28147 .81423 L
.27176 .81475 L
.26204 .81494 L
.25233 .81488 L
.24262 .81454 L
.23291 .81379 L
.22319 .81227 L
.21348 .8089 L
.20986 .80594 L
.21312 .79623 L
F
.21348 .73749 m
.22319 .73338 L
.23291 .73148 L
.24262 .7305 L
.25233 .73005 L
.26204 .72996 L
.27176 .73022 L
.28147 .73091 L
.29118 .73227 L
.30089 .73498 L
.30629 .73796 L
.30887 .74767 L
.30089 .75149 L
.29118 .75337 L
.28147 .75426 L
.27176 .75469 L
.26204 .75485 L
.25233 .7548 L
.24262 .75451 L
.23291 .75389 L
.22319 .75261 L
.21348 .74969 L
.21049 .74767 L
.21288 .73796 L
F
.22319 .88187 m
.23291 .8806 L
.24262 .87998 L
.25233 .87969 L
.26204 .87964 L
.27176 .8798 L
.28147 .88023 L
.29118 .88112 L
.30089 .883 L
.30285 .88364 L
.3086 .89336 L
.30089 .89909 L
.29118 .90193 L
.28393 .90307 L
.28147 .90336 L
.27176 .90412 L
.26204 .90441 L
.25233 .90431 L
.24262 .90381 L
.23521 .90307 L
.23291 .90275 L
.22319 .90077 L
.21348 .89637 L
.21067 .89336 L
.21348 .88531 L
.21638 .88364 L
F
.22319 .82241 m
.23291 .82084 L
.24262 .82006 L
.25233 .8197 L
.26204 .81964 L
.27176 .81984 L
.28147 .82038 L
.29118 .82148 L
.30089 .82379 L
.30449 .82537 L
.30848 .83508 L
.30089 .84013 L
.29118 .84268 L
.28147 .84392 L
.27176 .84452 L
.26204 .84475 L
.25233 .84467 L
.24262 .84428 L
.23291 .84341 L
.22319 .84165 L
.21348 .83763 L
.21078 .83508 L
.21348 .82623 L
.21469 .82537 L
F
.21348 .70881 m
.22319 .70414 L
.23291 .70205 L
.24262 .70098 L
.25233 .70048 L
.26204 .70038 L
.27176 .70067 L
.28147 .70143 L
.29118 .70292 L
.30089 .70594 L
.30571 .70882 L
.30762 .71853 L
.30089 .72149 L
.29118 .7233 L
.28147 .72414 L
.27176 .72454 L
.26204 .72469 L
.25233 .72464 L
.24262 .72438 L
.23291 .72379 L
.22319 .72258 L
.21348 .71967 L
.21162 .71853 L
.21347 .70882 L
F
.22319 .79307 m
.23291 .79125 L
.24262 .79034 L
.25233 .78993 L
.26204 .78985 L
.27176 .79009 L
.28147 .79072 L
.29118 .792 L
.30089 .79465 L
.30404 .79623 L
.30761 .80594 L
.30089 .81018 L
.29118 .8127 L
.28147 .8139 L
.27176 .81448 L
.26204 .8147 L
.25233 .81463 L
.24262 .81425 L
.23291 .8134 L
.22319 .81169 L
.21348 .80766 L
.21166 .80594 L
.21348 .79752 L
.21512 .79623 L
F
.22319 .76343 m
.23291 .76148 L
.24262 .7605 L
.25233 .76005 L
.26204 .75997 L
.27176 .76023 L
.28147 .76091 L
.29118 .76229 L
.30089 .76513 L
.3045 .76709 L
.30749 .77681 L
.30089 .78062 L
.29118 .78295 L
.28147 .78403 L
.27176 .78455 L
.26204 .78474 L
.25233 .78468 L
.24262 .78434 L
.23291 .78358 L
.22319 .78202 L
.21348 .77826 L
.21174 .77681 L
.21348 .76811 L
.21469 .76709 L
F
.22319 .85254 m
.23291 .85098 L
.24262 .85022 L
.25233 .84987 L
.26204 .84981 L
.27176 .85 L
.28147 .85053 L
.29118 .85162 L
.30089 .85394 L
.30229 .85451 L
.30719 .86422 L
.30089 .86891 L
.29118 .8719 L
.28147 .87334 L
.27455 .87393 L
.27176 .87406 L
.26204 .87434 L
.25233 .87425 L
.24519 .87393 L
.24262 .87377 L
.23291 .87274 L
.22319 .8707 L
.21348 .86589 L
.21205 .86422 L
.21348 .85697 L
.21693 .85451 L
F
.22319 .82296 m
.23291 .8212 L
.24262 .82034 L
.25233 .81994 L
.26204 .81987 L
.27176 .82009 L
.28147 .82069 L
.29118 .82192 L
.30089 .82455 L
.30266 .82537 L
.30677 .83508 L
.30089 .8393 L
.29118 .8422 L
.28147 .84357 L
.27176 .84423 L
.26204 .84448 L
.25233 .8444 L
.24262 .84396 L
.23291 .843 L
.22319 .84104 L
.21348 .83623 L
.21243 .83508 L
.21348 .82796 L
.21657 .82537 L
F
.22319 .7937 m
.23291 .79166 L
.24262 .79066 L
.25233 .79021 L
.26204 .79012 L
.27176 .79038 L
.28147 .79108 L
.29118 .7925 L
.30089 .79552 L
.3022 .79623 L
.30583 .80594 L
.30089 .80935 L
.29118 .81223 L
.28147 .81356 L
.27176 .81421 L
.26204 .81445 L
.25233 .81437 L
.24262 .81395 L
.23291 .81302 L
.22319 .81109 L
.21348 .80616 L
.21329 .80594 L
.21348 .79969 L
.21704 .79623 L
F
.22319 .82353 m
.23291 .82157 L
.24262 .82062 L
.25233 .82019 L
.26204 .82011 L
.27176 .82035 L
.28147 .82101 L
.29118 .82237 L
.30089 .82536 L
.30092 .82537 L
.30515 .83508 L
.30089 .8384 L
.29118 .8417 L
.28147 .84321 L
.27176 .84394 L
.26204 .84421 L
.25233 .84413 L
.24262 .84365 L
.23291 .84259 L
.22319 .84041 L
.21402 .83508 L
.21836 .82537 L
F
.22319 .76439 m
.23291 .76212 L
.24262 .761 L
.25233 .76049 L
.26204 .76039 L
.27176 .76068 L
.28147 .76146 L
.29118 .76305 L
.30089 .76646 L
.30195 .76709 L
.30507 .77681 L
.30089 .77952 L
.29118 .78234 L
.28147 .7836 L
.27176 .7842 L
.26204 .78442 L
.25233 .78435 L
.24262 .78396 L
.23291 .78308 L
.22319 .78124 L
.2141 .77681 L
.2173 .76709 L
F
.22319 .85323 m
.23291 .85142 L
.24262 .85055 L
.25233 .85016 L
.26204 .85009 L
.27176 .85031 L
.28147 .85091 L
.29118 .85215 L
.29993 .85451 L
.30089 .85502 L
.30501 .86422 L
.30089 .86768 L
.29118 .87121 L
.28147 .87284 L
.27176 .87364 L
.26269 .87393 L
.26204 .87394 L
.25671 .87393 L
.25233 .87384 L
.24262 .87332 L
.23291 .87216 L
.22319 .86982 L
.21411 .86422 L
.21936 .85451 L
F
.22319 .88296 m
.23291 .88129 L
.24262 .8805 L
.25233 .88015 L
.26204 .88009 L
.27176 .88029 L
.28147 .88083 L
.29118 .88197 L
.29843 .88364 L
.30089 .88485 L
.30472 .89336 L
.30089 .89684 L
.29118 .90063 L
.28147 .90238 L
.275 .90307 L
.27176 .90326 L
.26204 .90361 L
.25233 .9035 L
.2448 .90307 L
.24262 .9029 L
.23291 .90165 L
.22319 .89914 L
.21446 .89336 L
.22082 .88364 L
F
.22319 .79435 m
.23291 .79209 L
.24262 .79099 L
.25233 .79049 L
.26204 .7904 L
.27176 .79068 L
.28147 .79144 L
.29118 .79301 L
.30045 .79623 L
.30089 .79652 L
.30418 .80594 L
.30089 .80844 L
.29118 .81175 L
.28147 .81323 L
.27176 .81393 L
.26204 .81419 L
.25233 .81411 L
.24262 .81365 L
.23291 .81262 L
.22319 .81047 L
.21497 .80594 L
.21885 .79623 L
F
.22319 .73533 m
.23291 .73279 L
.24262 .73153 L
.25233 .73095 L
.26204 .73085 L
.27176 .73117 L
.28147 .73205 L
.29118 .73383 L
.30089 .73767 L
.30131 .73796 L
.304 .74767 L
.30089 .74955 L
.29118 .7523 L
.28147 .75351 L
.27176 .75409 L
.26204 .7543 L
.25233 .75423 L
.24262 .75385 L
.23291 .75302 L
.22319 .75124 L
.21515 .74767 L
.21797 .73796 L
F
.22319 .82413 m
.23291 .82194 L
.24262 .8209 L
.25233 .82044 L
.26204 .82035 L
.27176 .82061 L
.28147 .82133 L
.29118 .82282 L
.29919 .82537 L
.30089 .82648 L
.30362 .83508 L
.30089 .83742 L
.29118 .8412 L
.28147 .84286 L
.27176 .84365 L
.26204 .84395 L
.25233 .84385 L
.24262 .84333 L
.23291 .84218 L
.22319 .83975 L
.21558 .83508 L
.22007 .82537 L
F
.22319 .85395 m
.23291 .85187 L
.24262 .85089 L
.25233 .85045 L
.26204 .85037 L
.27176 .85062 L
.28147 .85129 L
.29118 .8527 L
.29761 .85451 L
.30089 .85653 L
.30301 .86422 L
.30089 .86628 L
.29118 .87049 L
.28147 .87234 L
.27176 .87323 L
.26204 .87356 L
.25233 .87345 L
.24262 .87287 L
.23291 .87158 L
.22319 .8689 L
.21619 .86422 L
.22163 .85451 L
F
.22319 .7654 m
.23291 .76276 L
.24262 .7615 L
.25233 .76092 L
.26204 .76082 L
.27176 .76114 L
.28147 .76202 L
.29118 .76383 L
.29952 .76709 L
.30089 .76814 L
.30284 .77681 L
.30089 .77825 L
.29118 .7817 L
.28147 .78316 L
.27176 .78385 L
.26204 .7841 L
.25233 .78402 L
.24262 .78357 L
.23291 .78256 L
.22319 .7804 L
.21639 .77681 L
.21975 .76709 L
F
.22319 .79504 m
.23291 .79251 L
.24262 .79131 L
.25233 .79077 L
.26204 .79067 L
.27176 .79098 L
.28147 .79181 L
.29118 .79353 L
.29869 .79623 L
.30089 .79785 L
.30263 .80594 L
.30089 .80741 L
.29118 .81125 L
.28147 .81288 L
.27176 .81365 L
.26204 .81394 L
.25233 .81385 L
.24262 .81334 L
.23291 .81222 L
.22319 .80981 L
.21659 .80594 L
.22057 .79623 L
F
.22319 .82476 m
.23291 .82232 L
.24262 .82119 L
.25233 .82068 L
.26204 .82059 L
.27176 .82088 L
.28147 .82165 L
.29118 .82329 L
.29752 .82537 L
.30089 .82786 L
.30216 .83508 L
.30089 .83631 L
.29118 .84068 L
.28147 .84249 L
.27176 .84336 L
.26204 .84368 L
.25233 .84357 L
.24262 .84301 L
.23291 .84175 L
.22319 .83906 L
.21708 .83508 L
.22171 .82537 L
F
.23291 .91172 m
.24262 .91088 L
.25233 .9105 L
.26204 .91044 L
.27176 .91065 L
.28147 .91122 L
.29118 .91246 L
.29282 .91278 L
.30089 .91703 L
.30173 .92249 L
.30089 .92358 L
.29118 .92883 L
.28147 .931 L
.27176 .93206 L
.26934 .93221 L
.26204 .93249 L
.25233 .93234 L
.24988 .93221 L
.24262 .93163 L
.23291 .93011 L
.22319 .92694 L
.21753 .92249 L
.22319 .91386 L
.2264 .91278 L
F
.23291 .88203 m
.24262 .88105 L
.25233 .88062 L
.26204 .88054 L
.27176 .88078 L
.28147 .88145 L
.29118 .88288 L
.29429 .88364 L
.30089 .88807 L
.30129 .89336 L
.30089 .89386 L
.29118 .89927 L
.28147 .90142 L
.27176 .90245 L
.26204 .90284 L
.25233 .90271 L
.24262 .90203 L
.23291 .90054 L
.22319 .89736 L
.21798 .89336 L
.22319 .88435 L
.22492 .88364 L
F
.22319 .79577 m
.23291 .79295 L
.24262 .79164 L
.25233 .79106 L
.26204 .79095 L
.27176 .79128 L
.28147 .79218 L
.29118 .79407 L
.297 .79623 L
.30089 .79961 L
.30116 .80594 L
.30089 .80621 L
.29118 .81074 L
.28147 .81253 L
.27176 .81337 L
.26204 .81368 L
.25233 .81358 L
.24262 .81304 L
.23291 .8118 L
.22319 .80911 L
.21813 .80594 L
.22222 .79623 L
F
.23291 .85233 m
.24262 .85123 L
.25233 .85075 L
.26204 .85066 L
.27176 .85093 L
.28147 .85168 L
.29118 .85328 L
.29539 .85451 L
.30089 .85872 L
.30115 .86422 L
.30089 .86453 L
.29118 .86976 L
.28147 .87182 L
.27176 .87281 L
.26204 .87317 L
.25233 .87305 L
.24262 .87241 L
.23291 .87098 L
.22319 .86791 L
.21814 .86422 L
.22319 .85479 L
.22381 .85451 L
F
.23291 .82271 m
.24262 .82148 L
.25233 .82093 L
.26204 .82084 L
.27176 .82114 L
.28147 .82198 L
.29118 .82378 L
.29589 .82537 L
.30076 .83508 L
.29118 .84014 L
.28147 .84213 L
.27176 .84306 L
.26204 .84341 L
.25233 .84329 L
.24262 .84269 L
.23291 .84132 L
.22319 .83833 L
.21852 .83508 L
.22319 .82543 L
.22331 .82537 L
F
.22319 .7665 m
.23291 .76343 L
.24262 .762 L
.25233 .76136 L
.26204 .76124 L
.27176 .7616 L
.28147 .76258 L
.29118 .76464 L
.29716 .76709 L
.30074 .77681 L
.29118 .78103 L
.28147 .78271 L
.27176 .78349 L
.26204 .78377 L
.25233 .78368 L
.24262 .78317 L
.23291 .78203 L
.22319 .77949 L
.21854 .77681 L
.22206 .76709 L
F
.22319 .73753 m
.23291 .73413 L
.24262 .73256 L
.25233 .73186 L
.26204 .73172 L
.27176 .73213 L
.28147 .73321 L
.29118 .73547 L
.29676 .73796 L
.29986 .74767 L
.29118 .75114 L
.28147 .75273 L
.27176 .75346 L
.26204 .75373 L
.25233 .75364 L
.24262 .75317 L
.23291 .75209 L
.22319 .74965 L
.21943 .74767 L
.22246 .73796 L
F
.23291 .79339 m
.24262 .79197 L
.25233 .79134 L
.26204 .79123 L
.27176 .79158 L
.28147 .79255 L
.29118 .79463 L
.29536 .79623 L
.29968 .80594 L
.29118 .81021 L
.28147 .81218 L
.27176 .81309 L
.26204 .81342 L
.25233 .81331 L
.24262 .81272 L
.23291 .81138 L
.22319 .80836 L
.2196 .80594 L
.22319 .79662 L
.22384 .79623 L
F
.23291 .82311 m
.24262 .82178 L
.25233 .82119 L
.26204 .82108 L
.27176 .82141 L
.28147 .82232 L
.29118 .82428 L
.29431 .82537 L
.29935 .83508 L
.29118 .83959 L
.28147 .84176 L
.27176 .84276 L
.26204 .84313 L
.25233 .84301 L
.24262 .84236 L
.23291 .84088 L
.22319 .83754 L
.21991 .83508 L
.22319 .82634 L
.2249 .82537 L
F
.23291 .8528 m
.24262 .85158 L
.25233 .85104 L
.26204 .85095 L
.27176 .85125 L
.28147 .85208 L
.29118 .85388 L
.29324 .85451 L
.2993 .86422 L
.29118 .86899 L
.28147 .8713 L
.27176 .87239 L
.26204 .87279 L
.25233 .87266 L
.24262 .87195 L
.23291 .87037 L
.22319 .86681 L
.21998 .86422 L
.22319 .85594 L
.22597 .85451 L
F
.22319 .67863 m
.23291 .67509 L
.24262 .67342 L
.25233 .67266 L
.26204 .67252 L
.27176 .67293 L
.28147 .67417 L
.29118 .67641 L
.29778 .67968 L
.29882 .68939 L
.29118 .69175 L
.28147 .69301 L
.27176 .69357 L
.26204 .69378 L
.25233 .69371 L
.24262 .69334 L
.23291 .69249 L
.22319 .69058 L
.22008 .68939 L
.22156 .67968 L
F
.23291 .7641 m
.24262 .76251 L
.25233 .7618 L
.26204 .76167 L
.27176 .76207 L
.28147 .76316 L
.29118 .7655 L
.2949 .76709 L
.29867 .77681 L
.29118 .78032 L
.28147 .78225 L
.27176 .78312 L
.26204 .78344 L
.25233 .78333 L
.24262 .78277 L
.23291 .78148 L
.22319 .77847 L
.22058 .77681 L
.22319 .76782 L
.22431 .76709 L
F
.23291 .79385 m
.24262 .79231 L
.25233 .79163 L
.26204 .79151 L
.27176 .79189 L
.28147 .79294 L
.29118 .79521 L
.29375 .79623 L
.29824 .80594 L
.29118 .80965 L
.28147 .81182 L
.27176 .8128 L
.26204 .81316 L
.25233 .81304 L
.24262 .81241 L
.23291 .81095 L
.22319 .80754 L
.22102 .80594 L
.22319 .79769 L
.22545 .79623 L
F
.23291 .8828 m
.24262 .88162 L
.25233 .8811 L
.26204 .88101 L
.27176 .8813 L
.28147 .88209 L
.29034 .88364 L
.29118 .88394 L
.29803 .89336 L
.29118 .89781 L
.28147 .90043 L
.27176 .90165 L
.26204 .9021 L
.25233 .90195 L
.24262 .90116 L
.23291 .89938 L
.22319 .89523 L
.22121 .89336 L
.22319 .88647 L
.2289 .88364 L
F
.23291 .82352 m
.24262 .82207 L
.25233 .82144 L
.26204 .82133 L
.27176 .82168 L
.28147 .82266 L
.29118 .82481 L
.29274 .82537 L
.29798 .83508 L
.29118 .83901 L
.28147 .84138 L
.27176 .84246 L
.26204 .84286 L
.25233 .84273 L
.24262 .84203 L
.23291 .84043 L
.22319 .83666 L
.22126 .83508 L
.22319 .82741 L
.22647 .82537 L
F
.23291 .8533 m
.24262 .85194 L
.25233 .85135 L
.26204 .85124 L
.27176 .85157 L
.28147 .85249 L
.29114 .85451 L
.29118 .85452 L
.2975 .86422 L
.29118 .86818 L
.28147 .87077 L
.27176 .87196 L
.26204 .8724 L
.25233 .87226 L
.24262 .87148 L
.23291 .86973 L
.22319 .86556 L
.22174 .86422 L
.22319 .85737 L
.22809 .85451 L
F
.23291 .79432 m
.24262 .79265 L
.25233 .79192 L
.26204 .79179 L
.27176 .7922 L
.28147 .79333 L
.29118 .79582 L
.29218 .79623 L
.29683 .80594 L
.29118 .80906 L
.28147 .81145 L
.27176 .81251 L
.26204 .8129 L
.25233 .81277 L
.24262 .81209 L
.23291 .8105 L
.22319 .8066 L
.22239 .80594 L
.22319 .79901 L
.22704 .79623 L
F
.23291 .76481 m
.24262 .76303 L
.25233 .76224 L
.26204 .7621 L
.27176 .76254 L
.28147 .76375 L
.29118 .76641 L
.2927 .76709 L
.29669 .77681 L
.29118 .77957 L
.28147 .78177 L
.27176 .78274 L
.26204 .78309 L
.25233 .78298 L
.24262 .78235 L
.23291 .7809 L
.22319 .77728 L
.22253 .77681 L
.22319 .76959 L
.22651 .76709 L
F
.23291 .82394 m
.24262 .82238 L
.25233 .8217 L
.26204 .82158 L
.27176 .82196 L
.28147 .82301 L
.29118 .82536 L
.2912 .82537 L
.29665 .83508 L
.29118 .8384 L
.28147 .841 L
.27176 .84216 L
.26204 .84258 L
.25233 .84244 L
.24262 .84169 L
.23291 .83996 L
.22319 .83565 L
.22257 .83508 L
.22319 .82875 L
.22802 .82537 L
F
.23291 .70577 m
.24262 .70385 L
.25233 .70299 L
.26204 .70284 L
.27176 .70332 L
.28147 .70463 L
.29118 .70747 L
.29381 .70882 L
.29639 .71853 L
.29118 .72052 L
.28147 .72229 L
.27176 .72307 L
.26204 .72335 L
.25233 .72326 L
.24262 .72276 L
.23291 .72159 L
.22319 .71873 L
.22282 .71853 L
.22319 .71044 L
.22539 .70882 L
F
.23291 .73555 m
.24262 .73362 L
.25233 .73277 L
.26204 .73261 L
.27176 .73309 L
.28147 .7344 L
.29118 .7373 L
.29252 .73796 L
.29594 .74767 L
.29118 .74982 L
.28147 .7519 L
.27176 .75281 L
.26204 .75314 L
.25233 .75303 L
.24262 .75245 L
.23291 .75108 L
.22326 .74767 L
.22669 .73796 L
F
.23291 .85381 m
.24262 .8523 L
.25233 .85166 L
.26204 .85154 L
.27176 .8519 L
.28147 .85291 L
.28906 .85451 L
.29118 .85542 L
.29576 .86422 L
.29118 .8673 L
.28147 .87023 L
.27176 .87153 L
.26204 .872 L
.25233 .87185 L
.24262 .87101 L
.23291 .86908 L
.22344 .86422 L
.2302 .85451 L
F
.23291 .7948 m
.24262 .793 L
.25233 .79222 L
.26204 .79208 L
.27176 .79251 L
.28147 .79372 L
.29063 .79623 L
.29118 .79652 L
.29546 .80594 L
.29118 .80844 L
.28147 .81107 L
.27176 .81221 L
.26204 .81263 L
.25233 .81249 L
.24262 .81176 L
.23291 .81004 L
.22374 .80594 L
.22861 .79623 L
F
.23291 .82437 m
.24262 .82268 L
.25233 .82196 L
.26204 .82183 L
.27176 .82224 L
.28147 .82336 L
.28968 .82537 L
.29118 .8261 L
.29534 .83508 L
.29118 .83775 L
.28147 .8406 L
.27176 .84185 L
.26204 .8423 L
.25233 .84215 L
.24262 .84135 L
.23291 .83948 L
.22386 .83508 L
.22957 .82537 L
F
.23291 .88364 m
.24262 .8822 L
.25233 .8816 L
.26204 .88149 L
.27176 .88183 L
.28147 .88278 L
.28642 .88364 L
.29118 .8855 L
.29494 .89336 L
.29118 .89616 L
.28147 .89942 L
.27176 .90084 L
.26204 .90135 L
.25233 .90119 L
.24262 .90027 L
.23291 .89815 L
.22427 .89336 L
.23288 .88364 L
F
.23291 .76554 m
.24262 .76355 L
.25233 .76269 L
.26204 .76254 L
.27176 .76302 L
.28147 .76435 L
.29054 .76709 L
.29118 .76745 L
.29476 .77681 L
.29118 .77874 L
.28147 .78127 L
.27176 .78236 L
.26204 .78275 L
.25233 .78262 L
.24262 .78193 L
.23291 .78029 L
.22445 .77681 L
.22869 .76709 L
F
.23291 .79531 m
.24262 .79335 L
.25233 .79252 L
.26204 .79236 L
.27176 .79283 L
.28147 .79413 L
.28908 .79623 L
.29118 .79739 L
.29412 .80594 L
.29118 .80776 L
.28147 .81068 L
.27176 .81191 L
.26204 .81236 L
.25233 .81221 L
.24262 .81142 L
.23291 .80956 L
.22508 .80594 L
.23018 .79623 L
F
.23291 .85435 m
.24262 .85268 L
.25233 .85197 L
.26204 .85184 L
.27176 .85224 L
.28147 .85334 L
.28697 .85451 L
.29118 .85647 L
.29406 .86422 L
.29118 .86634 L
.28147 .86967 L
.27176 .87109 L
.26204 .87161 L
.25233 .87144 L
.24262 .87053 L
.23291 .86839 L
.22514 .86422 L
.23232 .85451 L
F
.23291 .82483 m
.24262 .823 L
.25233 .82222 L
.26204 .82209 L
.27176 .82252 L
.28147 .82373 L
.28816 .82537 L
.29118 .82693 L
.29406 .83508 L
.29118 .83704 L
.28147 .8402 L
.27176 .84154 L
.26204 .84202 L
.25233 .84186 L
.24262 .84101 L
.23291 .83899 L
.22515 .83508 L
.23111 .82537 L
F
.24262 .91213 m
.25233 .91157 L
.26204 .91146 L
.27176 .91178 L
.28147 .91267 L
.28225 .91278 L
.29118 .91573 L
.29399 .92249 L
.29118 .92485 L
.28147 .92846 L
.27176 .93 L
.26204 .93056 L
.25233 .93038 L
.24262 .92939 L
.23291 .92708 L
.22521 .92249 L
.23291 .91374 L
.2368 .91278 L
F
.23291 .76632 m
.24262 .76409 L
.25233 .76315 L
.26204 .76298 L
.27176 .7635 L
.28147 .76498 L
.28841 .76709 L
.29118 .76879 L
.29288 .77681 L
.29118 .77781 L
.28147 .78076 L
.27176 .78197 L
.26204 .78239 L
.25233 .78226 L
.24262 .78149 L
.23291 .77964 L
.22634 .77681 L
.23086 .76709 L
F
.23291 .79583 m
.24262 .79371 L
.25233 .79282 L
.26204 .79266 L
.27176 .79315 L
.28147 .79455 L
.28753 .79623 L
.29118 .7984 L
.2928 .80594 L
.29118 .80702 L
.28147 .81028 L
.27176 .81161 L
.26204 .81208 L
.25233 .81193 L
.24262 .81108 L
.23291 .80905 L
.22641 .80594 L
.23175 .79623 L
F
.23291 .8253 m
.24262 .82332 L
.25233 .82249 L
.26204 .82234 L
.27176 .8228 L
.28147 .8241 L
.28662 .82537 L
.29118 .82791 L
.2928 .83508 L
.29118 .83627 L
.28147 .83979 L
.27176 .84122 L
.26204 .84173 L
.25233 .84157 L
.24262 .84065 L
.23291 .83847 L
.22642 .83508 L
.23268 .82537 L
F
.24262 .85306 m
.25233 .85229 L
.26204 .85215 L
.27176 .85258 L
.28147 .8538 L
.28483 .85451 L
.29118 .85779 L
.2924 .86422 L
.29118 .86522 L
.28147 .8691 L
.27176 .87065 L
.26204 .8712 L
.25233 .87103 L
.24262 .87003 L
.23291 .86766 L
.22681 .86422 L
.23291 .85505 L
.23436 .85451 L
F
.23291 .7371 m
.24262 .73471 L
.25233 .73369 L
.26204 .73351 L
.27176 .73408 L
.28147 .73566 L
.28844 .73796 L
.29118 .7397 L
.29225 .74767 L
.29118 .74823 L
.28147 .751 L
.27176 .75212 L
.26204 .75252 L
.25233 .75239 L
.24262 .75168 L
.23291 .74996 L
.22697 .74767 L
.23083 .73796 L
F
.24262 .88282 m
.25233 .88211 L
.26204 .88199 L
.27176 .88238 L
.28147 .88351 L
.28227 .88364 L
.29118 .88777 L
.29197 .89336 L
.29118 .89409 L
.28147 .89834 L
.27176 .90001 L
.26204 .9006 L
.25233 .90041 L
.24262 .89935 L
.23291 .8968 L
.22725 .89336 L
.23291 .88488 L
.23678 .88364 L
F
.24262 .82364 m
.25233 .82276 L
.26204 .82261 L
.27176 .8231 L
.28147 .82449 L
.28504 .82537 L
.29118 .82917 L
.29154 .83508 L
.29118 .83537 L
.28147 .83936 L
.27176 .8409 L
.26204 .84144 L
.25233 .84126 L
.24262 .84029 L
.23291 .83792 L
.22768 .83508 L
.23291 .8259 L
.23416 .82537 L
F
.24262 .79407 m
.25233 .79312 L
.26204 .79295 L
.27176 .79348 L
.28147 .79498 L
.28596 .79623 L
.29118 .79967 L
.29149 .80594 L
.29118 .80617 L
.28147 .80987 L
.27176 .8113 L
.26204 .8118 L
.25233 .81164 L
.24262 .81073 L
.23291 .80852 L
.22773 .80594 L
.23291 .79642 L
.23331 .79623 L
F
.24262 .76464 m
.25233 .76361 L
.26204 .76343 L
.27176 .764 L
.28147 .76563 L
.28624 .76709 L
.29102 .77681 L
.28147 .78022 L
.27176 .78156 L
.26204 .78203 L
.25233 .78188 L
.24262 .78103 L
.23291 .77894 L
.2282 .77681 L
.23291 .76716 L
.23305 .76709 L
F
.24262 .85346 m
.25233 .85262 L
.26204 .85247 L
.27176 .85294 L
.28147 .85427 L
.28259 .85451 L
.29077 .86422 L
.28147 .8685 L
.27176 .8702 L
.26204 .8708 L
.25233 .8706 L
.24262 .86953 L
.23291 .86688 L
.22846 .86422 L
.23291 .85587 L
.23647 .85451 L
F
.24262 .82398 m
.25233 .82304 L
.26204 .82287 L
.27176 .82339 L
.28147 .82489 L
.28342 .82537 L
.2903 .83508 L
.28147 .83892 L
.27176 .84057 L
.26204 .84114 L
.25233 .84096 L
.24262 .83992 L
.23291 .83733 L
.22893 .83508 L
.23291 .82659 L
.23569 .82537 L
F
.24262 .79445 m
.25233 .79343 L
.26204 .79325 L
.27176 .79382 L
.28147 .79543 L
.28434 .79623 L
.2902 .80594 L
.28147 .80944 L
.27176 .81098 L
.26204 .81152 L
.25233 .81134 L
.24262 .81038 L
.23291 .80795 L
.22904 .80594 L
.23291 .79714 L
.23482 .79623 L
F
.24262 .76521 m
.25233 .76408 L
.26204 .76388 L
.27176 .76451 L
.28147 .76631 L
.284 .76709 L
.2892 .77681 L
.28147 .77965 L
.27176 .78114 L
.26204 .78166 L
.25233 .78149 L
.24262 .78056 L
.23291 .77818 L
.23006 .77681 L
.23291 .76824 L
.23514 .76709 L
F
.24262 .85387 m
.25233 .85295 L
.26204 .85279 L
.27176 .8533 L
.28056 .85451 L
.28147 .85484 L
.28915 .86422 L
.28147 .86787 L
.27176 .86973 L
.26204 .87038 L
.25233 .87017 L
.24262 .869 L
.23291 .86601 L
.23011 .86422 L
.23291 .85684 L
.23876 .85451 L
F
.24262 .82432 m
.25233 .82332 L
.26204 .82314 L
.27176 .8237 L
.28147 .8253 L
.28174 .82537 L
.28907 .83508 L
.28147 .83846 L
.27176 .84023 L
.26204 .84084 L
.25233 .84065 L
.24262 .83954 L
.23291 .8367 L
.23019 .83508 L
.23291 .82736 L
.23729 .82537 L
F
.24262 .88348 m
.25233 .88265 L
.26204 .8825 L
.27176 .88296 L
.27845 .88364 L
.28147 .88451 L
.28907 .89336 L
.28147 .89719 L
.27176 .89914 L
.26204 .89982 L
.25233 .8996 L
.24262 .89838 L
.23291 .89523 L
.23019 .89336 L
.23291 .88646 L
.24136 .88364 L
F
.24262 .79483 m
.25233 .79375 L
.26204 .79356 L
.27176 .79416 L
.28147 .79589 L
.28267 .79623 L
.28891 .80594 L
.28147 .80899 L
.27176 .81065 L
.26204 .81123 L
.25233 .81104 L
.24262 .81001 L
.23291 .80734 L
.23035 .80594 L
.23291 .79795 L
.2364 .79623 L
F
.24262 .73585 m
.25233 .73465 L
.26204 .73443 L
.27176 .7351 L
.28147 .73702 L
.28425 .73796 L
.28867 .74767 L
.28147 .75002 L
.27176 .7514 L
.26204 .75187 L
.25233 .75172 L
.24262 .75086 L
.23291 .74865 L
.2306 .74767 L
.23291 .73901 L
.2349 .73796 L
F
.24262 .82468 m
.25233 .82361 L
.26204 .82342 L
.27176 .82401 L
.28037 .82537 L
.28147 .82583 L
.28783 .83508 L
.28147 .83798 L
.27176 .83989 L
.26204 .84054 L
.25233 .84033 L
.24262 .83915 L
.23291 .836 L
.23145 .83508 L
.23291 .82826 L
.23901 .82537 L
F
.24262 .79523 m
.25233 .79407 L
.26204 .79387 L
.27176 .7945 L
.28108 .79623 L
.28147 .79641 L
.28762 .80594 L
.28147 .80852 L
.27176 .81032 L
.26204 .81093 L
.25233 .81074 L
.24262 .80963 L
.23291 .80666 L
.23166 .80594 L
.23291 .79891 L
.23807 .79623 L
F
.24262 .8543 m
.25233 .8533 L
.26204 .85312 L
.27176 .85367 L
.2785 .85451 L
.28147 .85553 L
.28752 .86422 L
.28147 .8672 L
.27176 .86926 L
.26204 .86995 L
.25233 .86973 L
.24262 .86846 L
.23291 .86502 L
.23177 .86422 L
.23291 .85805 L
.2413 .85451 L
F
.24262 .76581 m
.25233 .76457 L
.26204 .76435 L
.27176 .76503 L
.28147 .76704 L
.28165 .76709 L
.28736 .77681 L
.28147 .77904 L
.27176 .78071 L
.26204 .78128 L
.25233 .78109 L
.24262 .78007 L
.23291 .77731 L
.23193 .77681 L
.23291 .76955 L
.23738 .76709 L
F
.25233 .91274 m
.26204 .91259 L
.26772 .91278 L
.27176 .91314 L
.28147 .9151 L
.28685 .92249 L
.28147 .92552 L
.27176 .92783 L
.26204 .9286 L
.25233 .92836 L
.24262 .92694 L
.23291 .92291 L
.23244 .92249 L
.23291 .91781 L
.24262 .91386 L
.25146 .91278 L
F
.24262 .70693 m
.25233 .70559 L
.26204 .70535 L
.27176 .70609 L
.28147 .70825 L
.28303 .70882 L
.2867 .71853 L
.28147 .72003 L
.27176 .72139 L
.26204 .72185 L
.25233 .7217 L
.24262 .72087 L
.23291 .71865 L
.23259 .71853 L
.23291 .71058 L
.23606 .70882 L
F
.24262 .82504 m
.25233 .8239 L
.26204 .8237 L
.27176 .82432 L
.27887 .82537 L
.28147 .82642 L
.28658 .83508 L
.28147 .83747 L
.27176 .83954 L
.26204 .84023 L
.25233 .84001 L
.24262 .83875 L
.23291 .83521 L
.23272 .83508 L
.23291 .82942 L
.24087 .82537 L
F
.24262 .79564 m
.25233 .7944 L
.26204 .79418 L
.27176 .79486 L
.27969 .79623 L
.28147 .79704 L
.28631 .80594 L
.28147 .80803 L
.27176 .80998 L
.26204 .81063 L
.25233 .81042 L
.24262 .80923 L
.23298 .80594 L
.23988 .79623 L
F
.25233 .88321 m
.26204 .88304 L
.27176 .88357 L
.27261 .88364 L
.28147 .88577 L
.28614 .89336 L
.28147 .89589 L
.27176 .89824 L
.26204 .89902 L
.25233 .89877 L
.24262 .89735 L
.23314 .89336 L
.24262 .88436 L
.24682 .88364 L
F
.24262 .9439 m
.25233 .94277 L
.26204 .94258 L
.27176 .94318 L
.28147 .94519 L
.28598 .95163 L
.28147 .9544 L
.27176 .95689 L
.26204 .95771 L
.25233 .95745 L
.24262 .95595 L
.23329 .95163 L
F
.25233 .85365 m
.26204 .85346 L
.27176 .85406 L
.27581 .85451 L
.28147 .85632 L
.28586 .86422 L
.28147 .86647 L
.27176 .86876 L
.26204 .86952 L
.25233 .86928 L
.24262 .86789 L
.2334 .86422 L
.24262 .85481 L
.24407 .85451 L
F
.24262 .76643 m
.25233 .76507 L
.26204 .76483 L
.27176 .76557 L
.27971 .76709 L
.28147 .76795 L
.28548 .77681 L
.28147 .77838 L
.27176 .78026 L
.26204 .78088 L
.25233 .78068 L
.24262 .77955 L
.23375 .77681 L
.23985 .76709 L
F
.25233 .8242 m
.26204 .82399 L
.27176 .82465 L
.27705 .82537 L
.28147 .82707 L
.2853 .83508 L
.28147 .83693 L
.27176 .83918 L
.26204 .83991 L
.25233 .83968 L
.24262 .83833 L
.23393 .83508 L
.24262 .82543 L
.24289 .82537 L
F
.24262 .73709 m
.25233 .73565 L
.26204 .7354 L
.27176 .73619 L
.28014 .73796 L
.28147 .73863 L
.28502 .74767 L
.28147 .7489 L
.27176 .75062 L
.26204 .75119 L
.25233 .75101 L
.24262 .74996 L
.23419 .74767 L
.23931 .73796 L
F
.24262 .79607 m
.25233 .79473 L
.26204 .7945 L
.27176 .79523 L
.27803 .79623 L
.28147 .79774 L
.28497 .80594 L
.28147 .8075 L
.27176 .80963 L
.26204 .81032 L
.25233 .8101 L
.24262 .80882 L
.23423 .80594 L
.24185 .79623 L
F
.25233 .85402 m
.26204 .85381 L
.27176 .85446 L
.27221 .85451 L
.28147 .85723 L
.28415 .86422 L
.28147 .86567 L
.27176 .86825 L
.26204 .86907 L
.25233 .86881 L
.24262 .86729 L
.235 .86422 L
.24262 .85543 L
.24714 .85451 L
F
.25233 .8245 m
.26204 .82428 L
.27176 .82499 L
.27481 .82537 L
.28147 .8278 L
.28399 .83508 L
.28147 .83635 L
.27176 .83881 L
.26204 .83959 L
.25233 .83934 L
.24262 .83789 L
.23515 .83508 L
.24262 .82593 L
.24497 .82537 L
F
.25233 .79508 m
.26204 .79483 L
.27176 .79561 L
.27599 .79623 L
.28147 .79853 L
.2836 .80594 L
.28147 .80693 L
.27176 .80926 L
.26204 .81001 L
.25233 .80977 L
.24262 .80839 L
.23552 .80594 L
.24262 .79657 L
.24391 .79623 L
F
.25233 .76558 m
.26204 .76532 L
.27176 .76614 L
.27732 .76709 L
.28147 .76901 L
.28354 .77681 L
.28147 .77766 L
.27176 .77979 L
.26204 .78047 L
.25233 .78026 L
.24262 .77899 L
.23557 .77681 L
.24262 .76709 L
.24262 .76709 L
F
.26204 .88362 m
.26315 .88364 L
.27176 .88442 L
.28147 .88747 L
.28307 .89336 L
.28147 .89434 L
.27176 .89728 L
.26204 .89818 L
.25233 .8979 L
.24262 .89621 L
.23602 .89336 L
.24262 .88545 L
.25233 .88386 L
.2562 .88364 L
F
.25233 .82482 m
.26204 .82458 L
.27176 .82534 L
.27203 .82537 L
.28147 .82868 L
.28265 .83508 L
.28147 .8357 L
.27176 .83842 L
.26204 .83926 L
.25233 .83899 L
.24262 .83743 L
.23642 .83508 L
.24262 .82647 L
.24729 .82537 L
F
.25233 .8544 m
.26204 .85418 L
.26819 .85451 L
.27176 .85499 L
.28147 .8584 L
.28239 .86422 L
.28147 .86476 L
.27176 .86772 L
.26204 .86861 L
.25233 .86833 L
.24262 .86665 L
.23667 .86422 L
.24262 .85612 L
.251 .85451 L
F
.25233 .79543 m
.26204 .79517 L
.27176 .796 L
.27345 .79623 L
.28147 .79947 L
.28218 .80594 L
.28147 .80629 L
.27176 .80889 L
.26204 .80968 L
.25233 .80943 L
.24262 .80794 L
.23686 .80594 L
.24262 .79715 L
.24613 .79623 L
F
.25233 .76612 m
.26204 .76583 L
.27176 .76673 L
.27412 .76709 L
.28147 .77036 L
.28152 .77681 L
.28147 .77683 L
.27176 .7793 L
.26204 .78005 L
.25233 .77981 L
.24262 .7784 L
.23751 .77681 L
.24262 .76792 L
.24556 .76709 L
F
.25233 .82514 m
.26204 .82489 L
.26918 .82537 L
.27176 .82578 L
.28132 .83508 L
.27176 .83802 L
.26204 .83892 L
.25233 .83863 L
.24262 .83694 L
.23775 .83508 L
.24262 .82705 L
.25004 .82537 L
F
.25233 .73671 m
.26204 .73641 L
.27176 .73736 L
.27522 .73796 L
.28121 .74767 L
.27176 .74977 L
.26204 .75045 L
.25233 .75024 L
.24262 .74896 L
.2379 .74767 L
.24262 .73854 L
.24461 .73796 L
F
.25233 .7958 m
.26204 .79552 L
.27058 .79623 L
.27176 .79645 L
.28093 .80594 L
.27176 .80849 L
.26204 .80935 L
.25233 .80908 L
.24262 .80746 L
.23828 .80594 L
.24262 .79779 L
.24867 .79623 L
F
.24262 .8569 m
.25233 .85488 L
.26204 .85457 L
.27176 .85558 L
.2808 .86422 L
.27176 .86715 L
.26204 .86813 L
.25233 .86783 L
.24262 .86596 L
.23845 .86422 L
F
.26204 .82521 m
.26536 .82537 L
.27176 .82626 L
.28025 .83508 L
.27176 .8376 L
.26204 .83856 L
.25233 .83826 L
.24262 .83642 L
.23917 .83508 L
.24262 .82771 L
.25233 .82551 L
.25384 .82537 L
F
.24262 .88682 m
.25233 .88473 L
.26204 .88441 L
.27176 .88543 L
.28021 .89336 L
.27176 .89623 L
.26204 .89729 L
.25233 .89696 L
.24262 .8949 L
.23922 .89336 L
F
.25233 .76668 m
.26204 .76636 L
.27016 .76709 L
.27176 .7674 L
.2799 .77681 L
.27176 .77877 L
.26204 .7796 L
.25233 .77934 L
.24262 .77775 L
.23961 .77681 L
.24262 .76887 L
.24908 .76709 L
F
.25233 .79618 m
.26204 .79588 L
.26733 .79623 L
.27176 .79697 L
.27976 .80594 L
.27176 .80808 L
.26204 .809 L
.25233 .80872 L
.24262 .80694 L
.23979 .80594 L
.24262 .7985 L
.25184 .79623 L
F
.24262 .91676 m
.25233 .9146 L
.26204 .91429 L
.27176 .91531 L
.27966 .92249 L
.27176 .92529 L
.26204 .92643 L
.25233 .92608 L
.24262 .92383 L
.23991 .92249 L
F
.24262 .85785 m
.25233 .85542 L
.26204 .85507 L
.27176 .85623 L
.27927 .86422 L
.27176 .86655 L
.26204 .86764 L
.25233 .8673 L
.24262 .86518 L
.24039 .86422 L
F
.24262 .82847 m
.25233 .82595 L
.26204 .82558 L
.27176 .82679 L
.27903 .83508 L
.27176 .83716 L
.26204 .8382 L
.25233 .83788 L
.24262 .83585 L
.24068 .83508 L
F
.24262 .79934 m
.25233 .79665 L
.26204 .79626 L
.27176 .79754 L
.2784 .80594 L
.27176 .80765 L
.26204 .80865 L
.25233 .80834 L
.24262 .80638 L
.24142 .80594 L
F
.26204 .76692 m
.26495 .76709 L
.27176 .7682 L
.27795 .77681 L
.27176 .77821 L
.26204 .77914 L
.25233 .77885 L
.24262 .77703 L
.24193 .77681 L
.24262 .77002 L
.25233 .7673 L
.25426 .76709 L
F
.25233 .73788 m
.26204 .73752 L
.26746 .73796 L
.27176 .73876 L
.27764 .74767 L
.27176 .74882 L
.26204 .74966 L
.25233 .74939 L
.24262 .74776 L
.24228 .74767 L
.24262 .74049 L
.25171 .73796 L
F
.24262 .82942 m
.25233 .82642 L
.26204 .82601 L
.27176 .82736 L
.27762 .83508 L
.27176 .8367 L
.26204 .83782 L
.25233 .83748 L
.24262 .83521 L
.2423 .83508 L
F
.24262 .85911 m
.25233 .85602 L
.26204 .85562 L
.27176 .85697 L
.27742 .86422 L
.27176 .8659 L
.26204 .86711 L
.25233 .86674 L
.24262 .86427 L
.24251 .86422 L
F
.25233 .88574 m
.26204 .88534 L
.27176 .88669 L
.27702 .89336 L
.27176 .89502 L
.26204 .89632 L
.25233 .89592 L
.24292 .89336 L
F
.25233 .79716 m
.26204 .79673 L
.27176 .79816 L
.27681 .80594 L
.27176 .80719 L
.26204 .80827 L
.25233 .80794 L
.24313 .80594 L
F
.25233 .70857 m
.26204 .70819 L
.26865 .70882 L
.27176 .70943 L
.27664 .71853 L
.27176 .71931 L
.26204 .72007 L
.25233 .71984 L
.24329 .71853 L
.25055 .70882 L
F
.25233 .82692 m
.26204 .82647 L
.27176 .828 L
.27594 .83508 L
.27176 .8362 L
.26204 .83743 L
.25233 .83705 L
.24395 .83508 L
F
.25233 .76804 m
.26204 .76758 L
.27176 .76912 L
.27545 .77681 L
.27176 .77759 L
.26204 .77864 L
.25233 .77832 L
.2444 .77681 L
F
.25233 .85669 m
.26204 .85622 L
.27176 .85784 L
.27511 .86422 L
.27176 .86518 L
.26204 .86656 L
.25233 .86614 L
.2447 .86422 L
F
.25233 .79771 m
.26204 .79723 L
.27176 .79887 L
.27489 .80594 L
.27176 .80669 L
.26204 .80788 L
.25233 .80752 L
.24489 .80594 L
F
.25233 .82748 m
.26204 .82697 L
.27176 .82876 L
.27395 .83508 L
.27176 .83565 L
.26204 .83701 L
.25233 .8366 L
.24571 .83508 L
F
.25233 .79832 m
.26204 .79778 L
.27176 .79972 L
.2726 .80594 L
.27176 .80614 L
.26204 .80747 L
.25233 .80707 L
.24683 .80594 L
F
.25233 .88701 m
.26204 .88646 L
.27176 .88852 L
.27227 .89336 L
.27176 .89352 L
.26204 .89523 L
.25233 .89473 L
.24709 .89336 L
F
.25233 .76888 m
.26204 .76834 L
.27176 .77023 L
.27222 .77681 L
.27176 .7769 L
.26204 .77811 L
.25233 .77775 L
.24714 .77681 L
F
.25233 .85747 m
.26204 .8569 L
.27176 .85899 L
.27221 .86422 L
.27176 .86435 L
.26204 .86596 L
.25233 .86548 L
.24715 .86422 L
F
.25233 .73936 m
.26204 .73884 L
.27176 .74062 L
.2719 .74767 L
.27176 .74769 L
.26204 .74876 L
.25233 .74844 L
.2474 .74767 L
F
.25233 .82811 m
.26204 .82752 L
.27161 .83508 L
.26204 .83657 L
.25233 .83612 L
.24766 .83508 L
F
.25233 .79902 m
.26204 .79838 L
.27021 .80594 L
.26204 .80703 L
.25233 .80659 L
.24903 .80594 L
F
.25233 .82884 m
.26204 .82813 L
.26931 .83508 L
.26204 .8361 L
.25233 .83559 L
.24991 .83508 L
F
.25233 .85842 m
.26204 .8577 L
.26916 .86422 L
.26204 .8653 L
.25233 .86474 L
.25006 .86422 L
F
.25233 .91769 m
.26204 .91695 L
.26875 .92249 L
.26204 .92365 L
.25233 .92301 L
.25045 .92249 L
F
.25233 .76987 m
.26204 .7692 L
.26874 .77681 L
.26204 .77754 L
.25233 .77711 L
.25047 .77681 L
F
.25233 .79985 m
.26204 .79906 L
.26747 .80594 L
.26204 .80656 L
.25233 .80606 L
.2517 .80594 L
F
.26204 .82885 m
.26641 .83508 L
.26204 .83559 L
.25275 .83508 L
F
.26204 .88798 m
.26618 .89336 L
.26204 .89392 L
.25299 .89336 L
F
.26204 .85869 m
.265 .86422 L
.26204 .86455 L
.25422 .86422 L
F
.26204 .77024 m
.26335 .77681 L
.26204 .77689 L
.25597 .77681 L
F
.26204 .79988 m
.2633 .80594 L
.26204 .80604 L
.25603 .80594 L
F
.26204 .74056 m
.26303 .74767 L
.26204 .74772 L
.25633 .74767 L
F
.26204 .51035 m
.26271 .51457 L
.26204 .51655 L
.25853 .51457 L
F
.26204 .47333 m
.26273 .47572 L
.26204 .4778 L
.25942 .47572 L
F
.28147 .47856 m
.2878 .48543 L
.28195 .49514 L
.29118 .50265 L
.29497 .49514 L
.30089 .48976 L
.30334 .48543 L
.31061 .47687 L
.31665 .48543 L
.31091 .49514 L
.32032 .50139 L
.32433 .49514 L
.33003 .48868 L
.33877 .49514 L
.33221 .50486 L
.33974 .51324 L
.34555 .50486 L
.34946 .50039 L
.35384 .49514 L
.35917 .48764 L
.36721 .49514 L
.36102 .50486 L
.36888 .51215 L
.37503 .50486 L
.37859 .49943 L
.38327 .49514 L
.38831 .48657 L
.39621 .49514 L
.38885 .50486 L
.39802 .51122 L
.40463 .50486 L
.40773 .4987 L
.41667 .50486 L
.41158 .51457 L
.41744 .52337 L
.42466 .52428 L
.42415 .53399 L
.41744 .54129 L
.41142 .53399 L
.41704 .52428 L
.40773 .51706 L
.40408 .52428 L
.39802 .53002 L
.39567 .53399 L
.38831 .54286 L
.38248 .53399 L
.38823 .52428 L
.37859 .51841 L
.37469 .52428 L
.36888 .5311 L
.36047 .52428 L
.36687 .51457 L
.35917 .50653 L
.35349 .51457 L
.34946 .51942 L
.3452 .52428 L
.33974 .53213 L
.33189 .52428 L
.33818 .51457 L
.33003 .50764 L
.324 .51457 L
.32032 .52037 L
.31579 .52428 L
.31061 .53317 L
.30283 .52428 L
.31052 .51457 L
.30089 .50858 L
.2944 .51457 L
.29118 .52112 L
.2823 .51457 L
.28796 .50486 L
.28147 .4962 L
.273 .50486 L
.27176 .50808 L
.26362 .50486 L
.26782 .49514 L
.27176 .49222 L
.27453 .48543 L
F
.28147 .44103 m
.28918 .44658 L
.2823 .45629 L
.29118 .46494 L
.29573 .45629 L
.30089 .45168 L
.3039 .44658 L
.31061 .43899 L
.31771 .44658 L
.31168 .45629 L
.32032 .4634 L
.32493 .45629 L
.33003 .45055 L
.33325 .44658 L
.33974 .43789 L
.34655 .44658 L
.3402 .45629 L
.34946 .46227 L
.35443 .45629 L
.35917 .44959 L
.36813 .45629 L
.36203 .46601 L
.36888 .47428 L
.37559 .46601 L
.37859 .46128 L
.38396 .45629 L
.38831 .44869 L
.39674 .45629 L
.39049 .46601 L
.39802 .47321 L
.40517 .46601 L
.40773 .46053 L
.41714 .46601 L
.41223 .47572 L
.40773 .47909 L
.40459 .48543 L
.39802 .49193 L
.38995 .48543 L
.39664 .47572 L
.38831 .46748 L
.38352 .47572 L
.37859 .48026 L
.37524 .48543 L
.36888 .49311 L
.36162 .48543 L
.36771 .47572 L
.35917 .46857 L
.35409 .47572 L
.34946 .48126 L
.34583 .48543 L
.33974 .49431 L
.33261 .48543 L
.3396 .47572 L
.33003 .46955 L
.32455 .47572 L
.32032 .48226 L
.31144 .47572 L
.31731 .46601 L
.31061 .45774 L
.30343 .46601 L
.30089 .4704 L
.29498 .47572 L
.29118 .48312 L
.2828 .47572 L
.28973 .46601 L
.28147 .45801 L
.27322 .46601 L
.27176 .46959 L
.26443 .46601 L
.27034 .45629 L
.27176 .45521 L
.27556 .44658 L
F
.27176 .5307 m
.28091 .53399 L
.27227 .54371 L
.27176 .54514 L
.26464 .54371 L
.26743 .53399 L
F
.28147 .46004 m
.28826 .46601 L
.28203 .47572 L
.29118 .48385 L
.29538 .47572 L
.30089 .47076 L
.30364 .46601 L
.31061 .45799 L
.31712 .46601 L
.3113 .47572 L
.32032 .48238 L
.32463 .47572 L
.33003 .46964 L
.3395 .47572 L
.33254 .48543 L
.33974 .49438 L
.34589 .48543 L
.34946 .48132 L
.35414 .47572 L
.35917 .46865 L
.36763 .47572 L
.36155 .48543 L
.36888 .49319 L
.37531 .48543 L
.37859 .48037 L
.38365 .47572 L
.38831 .46769 L
.39644 .47572 L
.38967 .48543 L
.39802 .49224 L
.40491 .48543 L
.40773 .47971 L
.41712 .48543 L
.41163 .49514 L
.41744 .50478 L
.4248 .50486 L
.42515 .51457 L
.41744 .5215 L
.41277 .51457 L
.41741 .50486 L
.40773 .4981 L
.40432 .50486 L
.39802 .51092 L
.38912 .50486 L
.39638 .49514 L
.38831 .48638 L
.38316 .49514 L
.37859 .49933 L
.37496 .50486 L
.36888 .51207 L
.3611 .50486 L
.36728 .49514 L
.35917 .48757 L
.35379 .49514 L
.34946 .50033 L
.3455 .50486 L
.33974 .51317 L
.33227 .50486 L
.33886 .49514 L
.33003 .4886 L
.32426 .49514 L
.32032 .50128 L
.31105 .49514 L
.31679 .48543 L
.31061 .47667 L
.30316 .48543 L
.30089 .48945 L
.29463 .49514 L
.29118 .502 L
.28265 .49514 L
.28894 .48543 L
.28147 .47692 L
.27289 .48543 L
.27176 .48831 L
.2647 .48543 L
.26982 .47572 L
.27176 .47426 L
.27525 .46601 L
F
.44658 .44871 m
.45304 .45629 L
.44693 .46601 L
.45239 .47572 L
.44695 .48543 L
.45629 .49307 L
.46013 .48543 L
.46601 .47851 L
.47521 .48543 L
.46801 .49514 L
.47431 .50486 L
.46776 .51457 L
.47572 .52323 L
.48102 .51457 L
.48543 .50869 L
.48933 .50486 L
.48543 .49957 L
.48141 .49514 L
.48543 .4922 L
.48958 .48543 L
.49514 .4777 L
.50329 .48543 L
.49708 .49514 L
.50276 .50486 L
.49663 .51457 L
.50486 .52241 L
.51048 .51457 L
.51457 .50792 L
.51877 .50486 L
.51457 .50026 L
.5108 .49514 L
.51457 .49143 L
.51907 .48543 L
.52428 .47694 L
.53212 .48543 L
.52533 .49514 L
.53175 .50486 L
.5246 .51457 L
.53399 .52172 L
.54005 .51457 L
.54371 .50731 L
.55266 .51457 L
.54686 .52428 L
.55203 .53399 L
.54624 .54371 L
.55342 .55244 L
.56106 .54371 L
.56313 .53872 L
.56889 .53399 L
.56313 .52831 L
.56162 .52428 L
.56313 .52164 L
.56917 .52428 L
.57284 .52884 L
.58038 .53399 L
.5731 .54371 L
.57284 .54425 L
.56602 .55342 L
.56313 .56138 L
.55342 .55804 L
.55269 .55342 L
.54371 .54659 L
.53911 .55342 L
.54371 .56305 L
.5439 .56313 L
.55342 .56985 L
.56313 .56605 L
.5655 .57284 L
.56313 .57464 L
.55861 .58256 L
.55342 .58978 L
.54654 .58256 L
.55247 .57284 L
.54371 .56325 L
.53873 .57284 L
.53399 .57836 L
.53043 .58256 L
.53399 .59206 L
.53498 .59227 L
.53399 .59291 L
.52464 .59227 L
.52428 .59221 L
.51725 .58256 L
.52318 .57284 L
.51457 .56468 L
.50948 .57284 L
.50486 .57935 L
.50112 .58256 L
.50486 .59133 L
.50804 .59227 L
.50486 .59459 L
.49599 .59227 L
.49514 .59209 L
.48822 .58256 L
.49491 .57284 L
.48543 .56535 L
.47994 .57284 L
.47572 .58003 L
.46693 .57284 L
.47319 .56313 L
.46729 .55342 L
.47325 .54371 L
.46601 .53531 L
.45911 .54371 L
.45629 .54971 L
.45051 .55342 L
.45629 .56147 L
.45827 .56313 L
.45629 .56552 L
.44748 .56313 L
.44658 .56237 L
.43888 .55342 L
.44589 .54371 L
.43687 .53489 L
.42956 .54371 L
.42716 .54816 L
.42306 .55342 L
.41744 .55959 L
.41116 .55342 L
.41717 .54371 L
.40773 .53587 L
.40358 .54371 L
.39802 .54898 L
.39533 .55342 L
.38831 .56169 L
.38207 .55342 L
.38784 .54371 L
.37859 .5374 L
.37438 .54371 L
.36888 .55013 L
.3598 .54371 L
.36653 .53399 L
.35917 .52538 L
.35316 .53399 L
.34946 .53847 L
.34488 .54371 L
.33974 .55111 L
.33151 .54371 L
.33762 .53399 L
.33003 .52659 L
.3237 .53399 L
.32032 .53941 L
.31538 .54371 L
.31061 .55201 L
.30264 .54371 L
.3097 .53399 L
.30089 .52753 L
.29403 .53399 L
.29118 .53996 L
.28227 .53399 L
.28753 .52428 L
.28147 .51471 L
.27241 .52428 L
.27176 .52606 L
.26488 .52428 L
.2683 .51457 L
.27176 .51199 L
.27453 .50486 L
.28147 .49776 L
.2869 .50486 L
.28153 .51457 L
.29118 .5218 L
.29474 .51457 L
.30089 .50889 L
.31022 .51457 L
.30264 .52428 L
.31061 .5334 L
.31593 .52428 L
.32032 .52048 L
.32407 .51457 L
.33003 .50772 L
.33809 .51457 L
.33182 .52428 L
.33974 .53221 L
.34525 .52428 L
.34946 .51948 L
.35355 .51457 L
.35917 .5066 L
.3668 .51457 L
.36038 .52428 L
.36888 .5312 L
.37477 .52428 L
.37859 .51852 L
.38807 .52428 L
.38232 .53399 L
.38831 .54311 L
.39588 .53399 L
.39802 .53036 L
.40444 .52428 L
.40773 .51774 L
.41625 .52428 L
.41019 .53399 L
.41744 .54316 L
.42578 .53399 L
.42716 .53254 L
.43687 .53251 L
.43747 .53399 L
.44658 .54275 L
.45194 .53399 L
.44681 .52428 L
.4519 .51457 L
.45629 .50972 L
.45993 .50486 L
.45629 .49866 L
.45266 .49514 L
.44658 .48656 L
.43835 .49514 L
.44615 .50486 L
.43828 .51457 L
.43687 .51906 L
.42879 .51457 L
.4294 .50486 L
.42716 .50302 L
.42606 .49514 L
.42716 .49342 L
.432 .48543 L
.43687 .47978 L
.43966 .47572 L
.43687 .46692 L
.42984 .46601 L
.43687 .46498 L
.43966 .45629 L
F
.27176 .44024 m
.27245 .44658 L
.27176 .44837 L
.26717 .44658 L
F
.27176 .42324 m
.27218 .42716 L
.27176 .4283 L
.26848 .42716 L
F
.27176 .55191 m
.27778 .55342 L
.27176 .56002 L
.26973 .55342 L
F
.27176 .57197 m
.27508 .57284 L
.27176 .57684 L
.27056 .57284 L
F
.28147 .42374 m
.28879 .42716 L
.28202 .43687 L
.28147 .438 L
.2735 .43687 L
.27767 .42716 L
F
.28147 .51646 m
.28642 .52428 L
.28147 .53363 L
.27414 .52428 L
F
.28147 .55474 m
.28502 .56313 L
.28147 .57046 L
.2745 .56313 L
F
.28147 .5359 m
.28552 .54371 L
.28147 .55172 L
.27455 .54371 L
F
.28147 .40613 m
.28874 .40773 L
.28196 .41744 L
.28147 .41843 L
.27474 .41744 L
.27958 .40773 L
F
.28147 .51827 m
.28524 .52428 L
.28147 .53157 L
.27582 .52428 L
F
.28147 .49934 m
.28576 .50486 L
.28147 .51286 L
.27603 .50486 L
F
.28147 .4802 m
.28653 .48543 L
.28147 .49448 L
.27611 .48543 L
F
.28147 .57597 m
.28329 .58256 L
.28147 .58666 L
.27675 .58256 L
F
.28147 .53845 m
.284 .54371 L
.28147 .54897 L
.27682 .54371 L
F
.28147 .46209 m
.28651 .46601 L
.28147 .47497 L
.27727 .46601 L
F
.28147 .52026 m
.28391 .52428 L
.28147 .52933 L
.27761 .52428 L
F
.28147 .50105 m
.28447 .50486 L
.28147 .51083 L
.27761 .50486 L
F
.28147 .48193 m
.28507 .48543 L
.28147 .49234 L
.27778 .48543 L
F
.28147 .55919 m
.2827 .56313 L
.28147 .56601 L
.27833 .56313 L
F
.28147 .44408 m
.28639 .44658 L
.28147 .4555 L
.27865 .44658 L
F
.28147 .50306 m
.2829 .50486 L
.28147 .50827 L
.27951 .50486 L
F
.28147 .59769 m
.28179 .60198 L
.28147 .60284 L
.27957 .60198 L
F
.28147 .4644 m
.28413 .46601 L
.28147 .47186 L
.27961 .46601 L
F
.28147 .54189 m
.28215 .54371 L
.28147 .54547 L
.27976 .54371 L
F
.28147 .48396 m
.28316 .48543 L
.28147 .48953 L
.27979 .48543 L
F
.28147 .52279 m
.28229 .52428 L
.28147 .52641 L
.2799 .52428 L
F
.30089 .5279 m
.30934 .53399 L
.30237 .54371 L
.31061 .55231 L
.31555 .54371 L
.32032 .53956 L
.32379 .53399 L
.33003 .52669 L
.33752 .53399 L
.3314 .54371 L
.33974 .55122 L
.34495 .54371 L
.34946 .53855 L
.35323 .53399 L
.35917 .52547 L
.36645 .53399 L
.35967 .54371 L
.36888 .55026 L
.37449 .54371 L
.37859 .53755 L
.38764 .54371 L
.38182 .55342 L
.38831 .56205 L
.39562 .55342 L
.39802 .54946 L
.40407 .54371 L
.40773 .53674 L
.41622 .54371 L
.40936 .55342 L
.41744 .56221 L
.42532 .56313 L
.42363 .57284 L
.41744 .57716 L
.41125 .57284 L
.41693 .56313 L
.40773 .55476 L
.40324 .56313 L
.39802 .56801 L
.39504 .57284 L
.38831 .58065 L
.38156 .57284 L
.38745 .56313 L
.37859 .55638 L
.37409 .56313 L
.36888 .56921 L
.36576 .57284 L
.35917 .58178 L
.35257 .57284 L
.35905 .56313 L
.34946 .55752 L
.34458 .56313 L
.33974 .57016 L
.33105 .56313 L
.33711 .55342 L
.33003 .54549 L
.32343 .55342 L
.32032 .55849 L
.31504 .56313 L
.31061 .57099 L
.30237 .56313 L
.30886 .55342 L
.30089 .54652 L
.29377 .55342 L
.29118 .55901 L
.28202 .55342 L
.28692 .54371 L
.29118 .54082 L
.29444 .53399 L
F
.30089 .54706 m
.30836 .55342 L
.30194 .56313 L
.31061 .57146 L
.3153 .56313 L
.32032 .55871 L
.32356 .55342 L
.33003 .54563 L
.33698 .55342 L
.33088 .56313 L
.33974 .57033 L
.3447 .56313 L
.34946 .55764 L
.35887 .56313 L
.35239 .57284 L
.35917 .58203 L
.36594 .57284 L
.36888 .56941 L
.37425 .56313 L
.37859 .55661 L
.38716 .56313 L
.38111 .57284 L
.38831 .58127 L
.39555 .57284 L
.39802 .5688 L
.40756 .57284 L
.40231 .58256 L
.39802 .58649 L
.39441 .59227 L
.38831 .59925 L
.3813 .59227 L
.38727 .58256 L
.37859 .57514 L
.37367 .58256 L
.36888 .58815 L
.36533 .59227 L
.35917 .60059 L
.35231 .59227 L
.35853 .58256 L
.34946 .57644 L
.34422 .58256 L
.33974 .58913 L
.33066 .58256 L
.33673 .57284 L
.33003 .56422 L
.32307 .57284 L
.32032 .57741 L
.31456 .58256 L
.31061 .58972 L
.30237 .58256 L
.30839 .57284 L
.30089 .56515 L
.2932 .57284 L
.29118 .57732 L
.28262 .57284 L
.28705 .56313 L
.29118 .56029 L
.29435 .55342 L
F
.30089 .56605 m
.30758 .57284 L
.30154 .58256 L
.31061 .5906 L
.31503 .58256 L
.32032 .57781 L
.32329 .57284 L
.33003 .56446 L
.33652 .57284 L
.33031 .58256 L
.33974 .58945 L
.34443 .58256 L
.34946 .57667 L
.35822 .58256 L
.35194 .59227 L
.35917 .60109 L
.36568 .59227 L
.36888 .58855 L
.37399 .58256 L
.37859 .57556 L
.38676 .58256 L
.38033 .59227 L
.38831 .60049 L
.39542 .59227 L
.39802 .58803 L
.40695 .59227 L
.40124 .60198 L
.39802 .60496 L
.39372 .61169 L
.38831 .6178 L
.38103 .61169 L
.38708 .60198 L
.37859 .59384 L
.37324 .60198 L
.36888 .60708 L
.36491 .61169 L
.35917 .61944 L
.35203 .61169 L
.35806 .60198 L
.34946 .59532 L
.34387 .60198 L
.33974 .60811 L
.33019 .60198 L
.33637 .59227 L
.33003 .5829 L
.32272 .59227 L
.32032 .59632 L
.31413 .60198 L
.31061 .60851 L
.30234 .60198 L
.30791 .59227 L
.30089 .5838 L
.29272 .59227 L
.29118 .59578 L
.28303 .59227 L
.28691 .58256 L
.29118 .57958 L
.29417 .57284 L
F
.31061 .47707 m
.31651 .48543 L
.31077 .49514 L
.32032 .5015 L
.3244 .49514 L
.33003 .48876 L
.33868 .49514 L
.33215 .50486 L
.33974 .51331 L
.3456 .50486 L
.34946 .50044 L
.35389 .49514 L
.35917 .48771 L
.36714 .49514 L
.36094 .50486 L
.36888 .51223 L
.3751 .50486 L
.37859 .49954 L
.38339 .49514 L
.38831 .48675 L
.39604 .49514 L
.38858 .50486 L
.39802 .51152 L
.40495 .50486 L
.40773 .4993 L
.41596 .50486 L
.41045 .51457 L
.40773 .51637 L
.40372 .52428 L
.39802 .52967 L
.38847 .52428 L
.39626 .51457 L
.38831 .50505 L
.38267 .51457 L
.37859 .51829 L
.37461 .52428 L
.36888 .53101 L
.36057 .52428 L
.36694 .51457 L
.35917 .50646 L
.35344 .51457 L
.34946 .51935 L
.34514 .52428 L
.33974 .53205 L
.33196 .52428 L
.33826 .51457 L
.33003 .50756 L
.32392 .51457 L
.32032 .52025 L
.31071 .51457 L
.31643 .50486 L
.31061 .49537 L
.30277 .50486 L
.30089 .50827 L
.29405 .51457 L
.29118 .52044 L
.28304 .51457 L
.28897 .50486 L
.29118 .50331 L
.29531 .49514 L
.30089 .49007 L
.30351 .48543 L
F
.30089 .5092 m
.30992 .51457 L
.30244 .52428 L
.31061 .53362 L
.31606 .52428 L
.32032 .5206 L
.32414 .51457 L
.33003 .50781 L
.33801 .51457 L
.33174 .52428 L
.33974 .53229 L
.34531 .52428 L
.34946 .51955 L
.3536 .51457 L
.35917 .50667 L
.36674 .51457 L
.36029 .52428 L
.36888 .53129 L
.37485 .52428 L
.37859 .51864 L
.38792 .52428 L
.38216 .53399 L
.38831 .54336 L
.39609 .53399 L
.39802 .53071 L
.40481 .52428 L
.40773 .51843 L
.41549 .52428 L
.40903 .53399 L
.40773 .53501 L
.40309 .54371 L
.39802 .5485 L
.39503 .55342 L
.38831 .56133 L
.38232 .55342 L
.38803 .54371 L
.37859 .53725 L
.37428 .54371 L
.36888 .55001 L
.35994 .54371 L
.3666 .53399 L
.35917 .5253 L
.35309 .53399 L
.34946 .53839 L
.3448 .54371 L
.33974 .551 L
.33161 .54371 L
.33772 .53399 L
.33003 .52649 L
.32361 .53399 L
.32032 .53927 L
.31521 .54371 L
.31061 .55171 L
.3029 .54371 L
.31005 .53399 L
.30089 .52716 L
.29362 .53399 L
.29118 .53911 L
.28323 .53399 L
.2886 .52428 L
.29118 .5225 L
.29508 .51457 L
F
.29118 .44659 m
.29517 .45629 L
.29118 .46398 L
.2833 .45629 L
F
.31061 .45824 m
.31694 .46601 L
.31115 .47572 L
.32032 .4825 L
.32472 .47572 L
.33003 .46973 L
.3394 .47572 L
.33248 .48543 L
.33974 .49446 L
.34594 .48543 L
.34946 .48139 L
.3542 .47572 L
.35917 .46872 L
.36755 .47572 L
.36147 .48543 L
.36888 .49327 L
.37539 .48543 L
.37859 .48048 L
.38377 .47572 L
.38831 .46789 L
.39625 .47572 L
.38939 .48543 L
.39802 .49254 L
.40522 .48543 L
.40773 .48034 L
.41639 .48543 L
.41081 .49514 L
.40773 .49749 L
.40401 .50486 L
.39802 .51062 L
.3894 .50486 L
.39655 .49514 L
.38831 .48619 L
.38305 .49514 L
.37859 .49922 L
.37489 .50486 L
.36888 .51199 L
.36117 .50486 L
.36734 .49514 L
.35917 .4875 L
.35374 .49514 L
.34946 .50027 L
.34545 .50486 L
.33974 .5131 L
.33234 .50486 L
.33894 .49514 L
.33003 .48852 L
.32419 .49514 L
.32032 .50118 L
.31118 .49514 L
.31693 .48543 L
.31061 .47647 L
.30299 .48543 L
.30089 .48915 L
.29429 .49514 L
.29118 .50136 L
.28334 .49514 L
.29001 .48543 L
.29118 .48458 L
.29578 .47572 L
.30089 .47112 L
.30385 .46601 L
F
.30089 .52828 m
.30897 .53399 L
.3021 .54371 L
.31061 .55262 L
.31573 .54371 L
.32032 .53971 L
.32388 .53399 L
.33003 .52679 L
.33743 .53399 L
.33129 .54371 L
.33974 .55133 L
.34503 .54371 L
.34946 .53864 L
.35329 .53399 L
.35917 .52555 L
.36637 .53399 L
.35954 .54371 L
.36888 .55039 L
.37459 .54371 L
.37859 .5377 L
.38745 .54371 L
.38158 .55342 L
.38831 .56242 L
.39592 .55342 L
.39802 .54994 L
.40457 .54371 L
.40773 .53762 L
.41529 .54371 L
.40773 .55342 L
.40773 .55342 L
.40243 .56313 L
.39802 .56722 L
.39454 .57284 L
.38831 .58005 L
.38202 .57284 L
.38774 .56313 L
.37859 .55615 L
.37392 .56313 L
.36888 .56901 L
.35924 .56313 L
.3663 .55342 L
.35917 .54404 L
.35272 .55342 L
.34946 .55739 L
.34447 .56313 L
.33974 .56999 L
.33123 .56313 L
.33724 .55342 L
.33003 .54535 L
.32329 .55342 L
.32032 .55827 L
.31478 .56313 L
.31061 .57052 L
.3028 .56313 L
.30936 .55342 L
.30089 .54599 L
.29318 .55342 L
.29118 .55775 L
.28347 .55342 L
.28826 .54371 L
.29118 .54169 L
.29484 .53399 L
F
.31061 .43935 m
.31743 .44658 L
.31149 .45629 L
.32032 .46355 L
.32504 .45629 L
.33003 .45068 L
.33336 .44658 L
.33974 .43803 L
.34644 .44658 L
.34009 .45629 L
.34946 .46236 L
.3545 .45629 L
.35917 .44969 L
.36801 .45629 L
.36194 .46601 L
.36888 .47439 L
.37568 .46601 L
.37859 .46143 L
.38412 .45629 L
.38831 .44897 L
.39647 .45629 L
.39016 .46601 L
.39802 .47358 L
.40556 .46601 L
.40773 .46136 L
.41613 .46601 L
.41135 .47572 L
.40773 .47845 L
.40428 .48543 L
.39802 .49163 L
.39023 .48543 L
.39684 .47572 L
.38831 .46726 L
.3834 .47572 L
.37859 .48015 L
.37517 .48543 L
.36888 .49302 L
.3617 .48543 L
.36779 .47572 L
.35917 .46849 L
.35403 .47572 L
.34946 .48119 L
.34578 .48543 L
.33974 .49424 L
.33267 .48543 L
.33971 .47572 L
.33003 .46945 L
.32447 .47572 L
.32032 .48214 L
.31159 .47572 L
.31749 .46601 L
.31061 .45749 L
.30321 .46601 L
.30089 .47004 L
.29457 .47572 L
.29118 .48239 L
.28355 .47572 L
.29103 .46601 L
.29118 .46589 L
.29628 .45629 L
.30089 .45218 L
.3042 .44658 L
F
.29118 .42785 m
.2955 .43687 L
.29118 .44513 L
.28357 .43687 L
F
.31061 .47727 m
.31637 .48543 L
.31063 .49514 L
.32032 .50161 L
.32447 .49514 L
.33003 .48884 L
.3386 .49514 L
.33208 .50486 L
.33974 .51338 L
.34565 .50486 L
.34946 .5005 L
.35394 .49514 L
.35917 .48777 L
.36708 .49514 L
.36086 .50486 L
.36888 .51231 L
.37516 .50486 L
.37859 .49964 L
.3835 .49514 L
.38831 .48694 L
.39587 .49514 L
.38831 .50486 L
.39802 .51182 L
.40527 .50486 L
.40773 .4999 L
.41526 .50486 L
.40937 .51457 L
.40773 .51567 L
.40336 .52428 L
.39802 .52932 L
.38879 .52428 L
.39643 .51457 L
.38831 .50486 L
.38254 .51457 L
.37859 .51818 L
.37453 .52428 L
.36888 .53092 L
.36066 .52428 L
.367 .51457 L
.35917 .50639 L
.35339 .51457 L
.34946 .51929 L
.34508 .52428 L
.33974 .53197 L
.33204 .52428 L
.33835 .51457 L
.33003 .50748 L
.32385 .51457 L
.32032 .52014 L
.31087 .51457 L
.31656 .50486 L
.31061 .49518 L
.3026 .50486 L
.30089 .50795 L
.2937 .51457 L
.29118 .51975 L
.28378 .51457 L
.28995 .50486 L
.29118 .50397 L
.29565 .49514 L
.30089 .49038 L
.30368 .48543 L
F
.31061 .45848 m
.31676 .46601 L
.311 .47572 L
.32032 .48262 L
.3248 .47572 L
.33003 .46982 L
.33929 .47572 L
.33242 .48543 L
.33974 .49453 L
.346 .48543 L
.34946 .48145 L
.35425 .47572 L
.35917 .4688 L
.36747 .47572 L
.3614 .48543 L
.36888 .49336 L
.37546 .48543 L
.37859 .4806 L
.3839 .47572 L
.38831 .4681 L
.39605 .47572 L
.38912 .48543 L
.39802 .49285 L
.40554 .48543 L
.40773 .48097 L
.41566 .48543 L
.40999 .49514 L
.40773 .49688 L
.4037 .50486 L
.39802 .51032 L
.38969 .50486 L
.39672 .49514 L
.38831 .48601 L
.38293 .49514 L
.37859 .49912 L
.37482 .50486 L
.36888 .51191 L
.36125 .50486 L
.36741 .49514 L
.35917 .48744 L
.35369 .49514 L
.34946 .50021 L
.3454 .50486 L
.33974 .51303 L
.3324 .50486 L
.33903 .49514 L
.33003 .48844 L
.32412 .49514 L
.32032 .50107 L
.31132 .49514 L
.31707 .48543 L
.31061 .47626 L
.30281 .48543 L
.30089 .48884 L
.29394 .49514 L
.29118 .5007 L
.28402 .49514 L
.29103 .48543 L
.29118 .48532 L
.29617 .47572 L
.30089 .47148 L
.30406 .46601 L
F
.30089 .50951 m
.30961 .51457 L
.30224 .52428 L
.31061 .53385 L
.3162 .52428 L
.32032 .52071 L
.32422 .51457 L
.33003 .50789 L
.33792 .51457 L
.33167 .52428 L
.33974 .53237 L
.34536 .52428 L
.34946 .51961 L
.35365 .51457 L
.35917 .50674 L
.36667 .51457 L
.36019 .52428 L
.36888 .53138 L
.37492 .52428 L
.37859 .51875 L
.38776 .52428 L
.382 .53399 L
.38831 .54361 L
.3963 .53399 L
.39802 .53107 L
.40519 .52428 L
.40773 .51913 L
.41473 .52428 L
.4079 .53399 L
.40773 .53413 L
.4026 .54371 L
.39802 .54803 L
.39474 .55342 L
.38831 .56098 L
.38257 .55342 L
.38823 .54371 L
.37859 .5371 L
.37417 .54371 L
.36888 .54988 L
.36007 .54371 L
.36668 .53399 L
.35917 .52521 L
.35303 .53399 L
.34946 .53831 L
.34473 .54371 L
.33974 .5509 L
.33172 .54371 L
.33781 .53399 L
.33003 .52639 L
.32352 .53399 L
.32032 .53912 L
.31503 .54371 L
.31061 .55142 L
.30316 .54371 L
.3104 .53399 L
.30089 .52678 L
.29319 .53399 L
.29118 .53825 L
.28418 .53399 L
.28966 .52428 L
.29118 .52321 L
.29542 .51457 L
F
.29118 .4478 m
.29459 .45629 L
.29118 .463 L
.28426 .45629 L
F
.29118 .46682 m
.29416 .47572 L
.29118 .48165 L
.2843 .47572 L
F
.30089 .49069 m
.31036 .49514 L
.30242 .50486 L
.30089 .50764 L
.29334 .51457 L
.29118 .51906 L
.28452 .51457 L
.2909 .50486 L
.29118 .50465 L
.29598 .49514 L
F
.29118 .48616 m
.29358 .49514 L
.29118 .50004 L
.2847 .49514 L
F
.29118 .41013 m
.29524 .41744 L
.29118 .42545 L
.28477 .41744 L
F
.30089 .52866 m
.30859 .53399 L
.30182 .54371 L
.31061 .55292 L
.3159 .54371 L
.32032 .53985 L
.32397 .53399 L
.33003 .52689 L
.33733 .53399 L
.33119 .54371 L
.33974 .55144 L
.3451 .54371 L
.34946 .53872 L
.35336 .53399 L
.35917 .52564 L
.36629 .53399 L
.35941 .54371 L
.36888 .55051 L
.3747 .54371 L
.37859 .53785 L
.38726 .54371 L
.38133 .55342 L
.38831 .56279 L
.39623 .55342 L
.39802 .55043 L
.40689 .55342 L
.40162 .56313 L
.39802 .56644 L
.39404 .57284 L
.38831 .57945 L
.38248 .57284 L
.38803 .56313 L
.37859 .55592 L
.37375 .56313 L
.36888 .5688 L
.35946 .56313 L
.36641 .55342 L
.35917 .54392 L
.35262 .55342 L
.34946 .55727 L
.34436 .56313 L
.33974 .56982 L
.3314 .56313 L
.33737 .55342 L
.33003 .54521 L
.32316 .55342 L
.32032 .55805 L
.31451 .56313 L
.31061 .57006 L
.30323 .56313 L
.30985 .55342 L
.30089 .54546 L
.29257 .55342 L
.29118 .55646 L
.28496 .55342 L
.2896 .54371 L
.29118 .5426 L
.29525 .53399 L
F
.29118 .46777 m
.29374 .47572 L
.29118 .48089 L
.28505 .47572 L
F
.29118 .4297 m
.29454 .43687 L
.29118 .44357 L
.28507 .43687 L
F
.30089 .50983 m
.30929 .51457 L
.30204 .52428 L
.30089 .5264 L
.29275 .53399 L
.29118 .53737 L
.28516 .53399 L
.29072 .52428 L
.29118 .52395 L
.29576 .51457 L
F
.29118 .44903 m
.294 .45629 L
.29118 .46198 L
.28524 .45629 L
F
.29118 .50551 m
.29297 .51457 L
.29118 .51834 L
.28529 .51457 L
F
.30089 .5476 m
.30783 .55342 L
.30149 .56313 L
.31061 .57194 L
.31556 .56313 L
.32032 .55893 L
.32369 .55342 L
.33003 .54577 L
.33685 .55342 L
.3307 .56313 L
.33974 .5705 L
.34481 .56313 L
.34946 .55777 L
.35869 .56313 L
.35222 .57284 L
.35917 .58228 L
.36611 .57284 L
.36888 .56962 L
.37442 .56313 L
.37859 .55684 L
.38688 .56313 L
.38066 .57284 L
.38831 .5819 L
.39606 .57284 L
.39802 .56961 L
.40623 .57284 L
.40071 .58256 L
.39802 .58498 L
.3934 .59227 L
.38831 .59804 L
.3823 .59227 L
.38778 .58256 L
.37859 .57472 L
.37336 .58256 L
.36888 .58776 L
.36498 .59227 L
.35917 .6001 L
.35267 .59227 L
.35884 .58256 L
.34946 .57622 L
.34402 .58256 L
.33974 .5888 L
.331 .58256 L
.33694 .57284 L
.33003 .56399 L
.32284 .57284 L
.32032 .57702 L
.31409 .58256 L
.31061 .58886 L
.30319 .58256 L
.30919 .57284 L
.30089 .56427 L
.29217 .57284 L
.29118 .57506 L
.28535 .57284 L
.28903 .56313 L
.29118 .56164 L
.29492 .55342 L
F
.29118 .48704 m
.29321 .49514 L
.29118 .49935 L
.2854 .49514 L
F
.29118 .46876 m
.2933 .47572 L
.29118 .4801 L
.28583 .47572 L
F
.29118 .39218 m
.29501 .39802 L
.29118 .406 L
.28586 .39802 L
F
.29118 .50651 m
.2926 .51457 L
.29118 .5176 L
.28609 .51457 L
F
.29118 .48799 m
.29284 .49514 L
.29118 .49864 L
.28614 .49514 L
F
.29118 .52497 m
.2923 .53399 L
.29118 .53644 L
.28622 .53399 L
F
.29118 .45031 m
.29338 .45629 L
.29118 .46089 L
.28626 .45629 L
F
.29118 .43163 m
.2935 .43687 L
.29118 .44185 L
.28664 .43687 L
F
.30089 .52904 m
.3082 .53399 L
.30154 .54371 L
.31061 .55323 L
.31607 .54371 L
.32032 .54 L
.32406 .53399 L
.33003 .52699 L
.33723 .53399 L
.33108 .54371 L
.33974 .55154 L
.34517 .54371 L
.34946 .5388 L
.35342 .53399 L
.35917 .52572 L
.36622 .53399 L
.35928 .54371 L
.36888 .55064 L
.3748 .54371 L
.37859 .538 L
.38707 .54371 L
.38108 .55342 L
.37859 .55569 L
.37359 .56313 L
.36888 .5686 L
.35968 .56313 L
.36652 .55342 L
.35917 .5438 L
.35252 .55342 L
.34946 .55714 L
.34424 .56313 L
.33974 .56965 L
.33158 .56313 L
.3375 .55342 L
.33003 .54506 L
.32303 .55342 L
.32032 .55783 L
.31425 .56313 L
.31061 .5696 L
.30365 .56313 L
.31033 .55342 L
.30089 .54493 L
.29193 .55342 L
.29118 .55509 L
.28665 .55342 L
.29099 .54371 L
.29118 .54357 L
.29565 .53399 L
F
.29118 .46982 m
.29284 .47572 L
.29118 .47926 L
.28666 .47572 L
F
.29118 .48902 m
.29245 .49514 L
.29118 .49788 L
.28694 .49514 L
F
.29118 .50763 m
.2922 .51457 L
.29118 .51681 L
.28698 .51457 L
F
.29118 .45171 m
.29272 .45629 L
.29118 .4597 L
.28738 .45629 L
F
.29118 .52638 m
.29183 .53399 L
.29118 .53545 L
.28745 .53399 L
F
.29118 .471 m
.29237 .47572 L
.29118 .47835 L
.28757 .47572 L
F
.29118 .41365 m
.29316 .41744 L
.29118 .42215 L
.28769 .41744 L
F
.29118 .4902 m
.29204 .49514 L
.29118 .49706 L
.28783 .49514 L
F
.29118 .50896 m
.29179 .51457 L
.29118 .51595 L
.28801 .51457 L
F
.29118 .43387 m
.29235 .43687 L
.29118 .43975 L
.28848 .43687 L
F
.29118 .47241 m
.29186 .47572 L
.29118 .47732 L
.28865 .47572 L
F
.29118 .45338 m
.29201 .45629 L
.29118 .4583 L
.28871 .45629 L
F
.29118 .49169 m
.2916 .49514 L
.29118 .49614 L
.28895 .49514 L
F
.29118 .5283 m
.29132 .53399 L
.29118 .53433 L
.28923 .53399 L
F
.29118 .54557 m
.29123 .55342 L
.29118 .55353 L
.2893 .55342 L
F
.29118 .60073 m
.29939 .60198 L
.29118 .60998 L
.28941 .60198 L
F
.29118 .51081 m
.29136 .51457 L
.29118 .51499 L
.28947 .51457 L
F
.29118 .47456 m
.29131 .47572 L
.29118 .47606 L
.2903 .47572 L
F
.29118 .58212 m
.30015 .58256 L
.29118 .59046 L
.29055 .58256 L
F
.29118 .45617 m
.2912 .45629 L
.29118 .45635 L
.29105 .45629 L
F
.30089 .54814 m
.30729 .55342 L
.30103 .56313 L
.31061 .57244 L
.31582 .56313 L
.32032 .55916 L
.32382 .55342 L
.33003 .54592 L
.33672 .55342 L
.33052 .56313 L
.33974 .57068 L
.34493 .56313 L
.34946 .5579 L
.35851 .56313 L
.35204 .57284 L
.35917 .58254 L
.36629 .57284 L
.36888 .56982 L
.37459 .56313 L
.37859 .55707 L
.38659 .56313 L
.38021 .57284 L
.37859 .57431 L
.37304 .58256 L
.36888 .58738 L
.36464 .59227 L
.35917 .59962 L
.35304 .59227 L
.35915 .58256 L
.34946 .57599 L
.34381 .58256 L
.33974 .58848 L
.33135 .58256 L
.33715 .57284 L
.33003 .56376 L
.32261 .57284 L
.32032 .57662 L
.31361 .58256 L
.31061 .588 L
.30401 .58256 L
.30997 .57284 L
.30089 .56339 L
.29119 .56313 L
.29549 .55342 L
F
.31061 .42015 m
.31822 .42716 L
.31193 .43687 L
.32032 .44456 L
.32529 .43687 L
.33003 .43154 L
.3336 .42716 L
.33974 .41899 L
.3469 .42716 L
.34074 .43687 L
.34946 .44331 L
.35475 .43687 L
.35917 .43056 L
.36863 .43687 L
.36242 .44658 L
.36888 .45551 L
.37591 .44658 L
.37859 .44229 L
.38434 .43687 L
.38831 .42979 L
.39691 .43687 L
.39105 .44658 L
.39802 .45444 L
.40558 .44658 L
.40773 .44192 L
.41687 .44658 L
.4128 .45629 L
.40773 .45971 L
.40479 .46601 L
.39802 .47284 L
.39082 .46601 L
.39701 .45629 L
.38831 .44841 L
.38381 .45629 L
.37859 .46114 L
.3755 .46601 L
.36888 .47418 L
.36212 .46601 L
.36824 .45629 L
.35917 .44948 L
.35436 .45629 L
.34946 .46219 L
.34031 .45629 L
.34665 .44658 L
.33974 .43775 L
.33315 .44658 L
.33003 .45043 L
.32482 .45629 L
.32032 .46324 L
.31186 .45629 L
.31799 .44658 L
.31061 .43863 L
.30359 .44658 L
.30089 .45118 L
.29119 .44658 L
.29643 .43687 L
.30089 .4329 L
.30433 .42716 L
F
.30089 .491 m
.31005 .49514 L
.30225 .50486 L
.30089 .50732 L
.29158 .50486 L
.29632 .49514 L
F
.30089 .51014 m
.30896 .51457 L
.30183 .52428 L
.30089 .52602 L
.29159 .52428 L
.29609 .51457 L
F
.31061 .45873 m
.31657 .46601 L
.31085 .47572 L
.32032 .48274 L
.32488 .47572 L
.33003 .46992 L
.33919 .47572 L
.33236 .48543 L
.33974 .49461 L
.34605 .48543 L
.34946 .48152 L
.35431 .47572 L
.35917 .46888 L
.36739 .47572 L
.36132 .48543 L
.36888 .49344 L
.37553 .48543 L
.37859 .48071 L
.38402 .47572 L
.38831 .46831 L
.39586 .47572 L
.38885 .48543 L
.39802 .49316 L
.40587 .48543 L
.40773 .48161 L
.41492 .48543 L
.40916 .49514 L
.40773 .49625 L
.4034 .50486 L
.39802 .51002 L
.38999 .50486 L
.3969 .49514 L
.38831 .48582 L
.38282 .49514 L
.37859 .49901 L
.37475 .50486 L
.36888 .51183 L
.36133 .50486 L
.36748 .49514 L
.35917 .48737 L
.35364 .49514 L
.34946 .50015 L
.34535 .50486 L
.33974 .51296 L
.33246 .50486 L
.33911 .49514 L
.33003 .48836 L
.32405 .49514 L
.32032 .50096 L
.31145 .49514 L
.31721 .48543 L
.31061 .47606 L
.30263 .48543 L
.30089 .48852 L
.29163 .48543 L
.29657 .47572 L
.30089 .47184 L
.30427 .46601 L
F
.31061 .40123 m
.31885 .40773 L
.3122 .41744 L
.32032 .42578 L
.32566 .41744 L
.33003 .41251 L
.33393 .40773 L
.33974 .4 L
.34732 .40773 L
.34123 .41744 L
.34946 .42439 L
.35506 .41744 L
.35917 .41151 L
.36338 .40773 L
.36888 .39913 L
.37625 .40773 L
.36932 .41744 L
.37859 .4233 L
.38467 .41744 L
.38831 .41079 L
.39717 .41744 L
.3916 .42716 L
.39802 .43565 L
.40585 .42716 L
.40773 .423 L
.41496 .41744 L
.41744 .41202 L
.42444 .41744 L
.41781 .42716 L
.41744 .4275 L
.4128 .43687 L
.40773 .4407 L
.40503 .44658 L
.39802 .4539 L
.3915 .44658 L
.39737 .43687 L
.38831 .42934 L
.3841 .43687 L
.37859 .44207 L
.37578 .44658 L
.36888 .45537 L
.36254 .44658 L
.36882 .43687 L
.35917 .43039 L
.35464 .43687 L
.34946 .44318 L
.3409 .43687 L
.34709 .42716 L
.33974 .41874 L
.33343 .42716 L
.33003 .43133 L
.32512 .43687 L
.32032 .44432 L
.3122 .43687 L
.31873 .42716 L
.31061 .41953 L
.3038 .42716 L
.30089 .43207 L
.29165 .42716 L
.29709 .41744 L
.30089 .41408 L
.30473 .40773 L
F
.31061 .4397 m
.31714 .44658 L
.31131 .45629 L
.32032 .46371 L
.32514 .45629 L
.33003 .45081 L
.33346 .44658 L
.33974 .43817 L
.34634 .44658 L
.33998 .45629 L
.34946 .46244 L
.35457 .45629 L
.35917 .4498 L
.3679 .45629 L
.36186 .46601 L
.36888 .47449 L
.37577 .46601 L
.37859 .46157 L
.38428 .45629 L
.38831 .44924 L
.3962 .45629 L
.38984 .46601 L
.39802 .47395 L
.40595 .46601 L
.40773 .46218 L
.41513 .46601 L
.41048 .47572 L
.40773 .47781 L
.40397 .48543 L
.39802 .49132 L
.39052 .48543 L
.39704 .47572 L
.38831 .46705 L
.38328 .47572 L
.37859 .48003 L
.3751 .48543 L
.36888 .49294 L
.36177 .48543 L
.36787 .47572 L
.35917 .46841 L
.35398 .47572 L
.34946 .48113 L
.3398 .47572 L
.34638 .46601 L
.33974 .45651 L
.33272 .46601 L
.33003 .46936 L
.32439 .47572 L
.32032 .48202 L
.31173 .47572 L
.31767 .46601 L
.31061 .45724 L
.303 .46601 L
.30089 .46967 L
.2917 .46601 L
.29683 .45629 L
.30089 .45268 L
.3045 .44658 L
F
.31061 .42076 m
.3177 .42716 L
.31166 .43687 L
.32032 .44481 L
.32547 .43687 L
.33003 .43174 L
.33378 .42716 L
.33974 .41923 L
.34671 .42716 L
.34058 .43687 L
.34946 .44344 L
.35486 .43687 L
.35917 .43073 L
.36843 .43687 L
.3623 .44658 L
.36888 .45566 L
.37604 .44658 L
.37859 .44251 L
.38458 .43687 L
.38831 .43023 L
.39647 .43687 L
.3906 .44658 L
.39802 .45496 L
.40614 .44658 L
.40773 .44313 L
.4153 .44658 L
.41152 .45629 L
.40773 .45886 L
.40441 .46601 L
.39802 .47247 L
.39115 .46601 L
.39729 .45629 L
.38831 .44812 L
.38365 .45629 L
.37859 .46099 L
.37541 .46601 L
.36888 .47408 L
.3622 .46601 L
.36836 .45629 L
.35917 .44938 L
.35428 .45629 L
.34946 .4621 L
.34042 .45629 L
.34676 .44658 L
.33974 .43761 L
.33304 .44658 L
.33003 .4503 L
.32471 .45629 L
.32032 .46308 L
.31204 .45629 L
.31827 .44658 L
.31061 .43826 L
.30328 .44658 L
.30089 .45067 L
.29198 .44658 L
.29734 .43687 L
.30089 .43373 L
.30485 .42716 L
F
.30089 .49131 m
.30974 .49514 L
.30207 .50486 L
.30089 .507 L
.29214 .50486 L
.29665 .49514 L
F
.31061 .45898 m
.31638 .46601 L
.3107 .47572 L
.32032 .48287 L
.32496 .47572 L
.33003 .47001 L
.33908 .47572 L
.33229 .48543 L
.33974 .49468 L
.34611 .48543 L
.34946 .48158 L
.35436 .47572 L
.35917 .46895 L
.36731 .47572 L
.36125 .48543 L
.36888 .49353 L
.3756 .48543 L
.37859 .48082 L
.38415 .47572 L
.38831 .46852 L
.39566 .47572 L
.38859 .48543 L
.39802 .49347 L
.40621 .48543 L
.40773 .48226 L
.41415 .48543 L
.40833 .49514 L
.40773 .49561 L
.40309 .50486 L
.39802 .50972 L
.39029 .50486 L
.39707 .49514 L
.38831 .48563 L
.3827 .49514 L
.37859 .49891 L
.37468 .50486 L
.36888 .51174 L
.3614 .50486 L
.36755 .49514 L
.35917 .4873 L
.35359 .49514 L
.34946 .50009 L
.3453 .50486 L
.33974 .51289 L
.33252 .50486 L
.3392 .49514 L
.33003 .48828 L
.32398 .49514 L
.32032 .50085 L
.31159 .49514 L
.31735 .48543 L
.31061 .47585 L
.30245 .48543 L
.30089 .48821 L
.29215 .48543 L
.29697 .47572 L
.30089 .47221 L
.30448 .46601 L
F
.30089 .52942 m
.30779 .53399 L
.30126 .54371 L
.30089 .54439 L
.29216 .54371 L
.29605 .53399 L
F
.31061 .44006 m
.31685 .44658 L
.31112 .45629 L
.32032 .46387 L
.32525 .45629 L
.33003 .45093 L
.33357 .44658 L
.33974 .43832 L
.34623 .44658 L
.33987 .45629 L
.34946 .46252 L
.35465 .45629 L
.35917 .4499 L
.36778 .45629 L
.36177 .46601 L
.36888 .47459 L
.37586 .46601 L
.37859 .46172 L
.38445 .45629 L
.38831 .44952 L
.39593 .45629 L
.38952 .46601 L
.39802 .47433 L
.40636 .46601 L
.40773 .46303 L
.4141 .46601 L
.4096 .47572 L
.40773 .47714 L
.40366 .48543 L
.39802 .49101 L
.39082 .48543 L
.39725 .47572 L
.38831 .46684 L
.38315 .47572 L
.37859 .47992 L
.37503 .48543 L
.36888 .49286 L
.36185 .48543 L
.36796 .47572 L
.35917 .46834 L
.35393 .47572 L
.34946 .48107 L
.33989 .47572 L
.34645 .46601 L
.33974 .45641 L
.33265 .46601 L
.33003 .46927 L
.32431 .47572 L
.32032 .4819 L
.31187 .47572 L
.31785 .46601 L
.31061 .45699 L
.30278 .46601 L
.30089 .4693 L
.29228 .46601 L
.29739 .45629 L
.30089 .45319 L
.30481 .44658 L
F
.30089 .51046 m
.30862 .51457 L
.30163 .52428 L
.30089 .52564 L
.29232 .52428 L
.29643 .51457 L
F
.30089 .47258 m
.31048 .47572 L
.30227 .48543 L
.30089 .48789 L
.29268 .48543 L
.29737 .47572 L
F
.30089 .49163 m
.3094 .49514 L
.30189 .50486 L
.30089 .50668 L
.29271 .50486 L
.29699 .49514 L
F
.31061 .42137 m
.31717 .42716 L
.31138 .43687 L
.32032 .44505 L
.32564 .43687 L
.33003 .43195 L
.33395 .42716 L
.33974 .41946 L
.34652 .42716 L
.34041 .43687 L
.34946 .44357 L
.35498 .43687 L
.35917 .4309 L
.36824 .43687 L
.36218 .44658 L
.36888 .4558 L
.37618 .44658 L
.37859 .44273 L
.38483 .43687 L
.38831 .43067 L
.39603 .43687 L
.39016 .44658 L
.39802 .45549 L
.40673 .44658 L
.40773 .44438 L
.41367 .44658 L
.41022 .45629 L
.40773 .45798 L
.40403 .46601 L
.39802 .47209 L
.39149 .46601 L
.39758 .45629 L
.38831 .44784 L
.38349 .45629 L
.37859 .46085 L
.37532 .46601 L
.36888 .47398 L
.36229 .46601 L
.36847 .45629 L
.35917 .44927 L
.35421 .45629 L
.34946 .46202 L
.34053 .45629 L
.34687 .44658 L
.33974 .43746 L
.33294 .44658 L
.33003 .45017 L
.3246 .45629 L
.32032 .46292 L
.31222 .45629 L
.31855 .44658 L
.31061 .43789 L
.30296 .44658 L
.30089 .45015 L
.29275 .44658 L
.29826 .43687 L
.30089 .43456 L
.30537 .42716 L
F
.31061 .38338 m
.31859 .38831 L
.3121 .39802 L
.32032 .40738 L
.32632 .39802 L
.33003 .39385 L
.33454 .38831 L
.33974 .3814 L
.34743 .38831 L
.34146 .39802 L
.34946 .40573 L
.35553 .39802 L
.35917 .39272 L
.36405 .38831 L
.36888 .38067 L
.3761 .38831 L
.36969 .39802 L
.37859 .40467 L
.38531 .39802 L
.38831 .39244 L
.39674 .39802 L
.39163 .40773 L
.38831 .40995 L
.38423 .41744 L
.37859 .4229 L
.36982 .41744 L
.37672 .40773 L
.36888 .39852 L
.36301 .40773 L
.35917 .41118 L
.35485 .41744 L
.34946 .42416 L
.3415 .41744 L
.34772 .40773 L
.33974 .39952 L
.33359 .40773 L
.33003 .41211 L
.32532 .41744 L
.32032 .42533 L
.31269 .41744 L
.31992 .40773 L
.31061 .39995 L
.30366 .40773 L
.30089 .41242 L
.29285 .40773 L
.29927 .39802 L
.30089 .39661 L
.30606 .38831 L
F
.31061 .44041 m
.31656 .44658 L
.31093 .45629 L
.32032 .46403 L
.32536 .45629 L
.33003 .45106 L
.33367 .44658 L
.33974 .43846 L
.34613 .44658 L
.33976 .45629 L
.34946 .46261 L
.35472 .45629 L
.35917 .45001 L
.36767 .45629 L
.36168 .46601 L
.36888 .47469 L
.37595 .46601 L
.37859 .46186 L
.38461 .45629 L
.38831 .4498 L
.39566 .45629 L
.3892 .46601 L
.39802 .4747 L
.40678 .46601 L
.40773 .46391 L
.413 .46601 L
.40869 .47572 L
.40773 .47645 L
.40336 .48543 L
.39802 .49071 L
.39112 .48543 L
.39745 .47572 L
.38831 .46662 L
.38303 .47572 L
.37859 .47981 L
.37496 .48543 L
.36888 .49277 L
.36192 .48543 L
.36804 .47572 L
.35917 .46826 L
.35387 .47572 L
.34946 .481 L
.33998 .47572 L
.34652 .46601 L
.33974 .45631 L
.33257 .46601 L
.33003 .46917 L
.32423 .47572 L
.32032 .48178 L
.31202 .47572 L
.31803 .46601 L
.31061 .45673 L
.30256 .46601 L
.30089 .46893 L
.29287 .46601 L
.29795 .45629 L
.30089 .4537 L
.30511 .44658 L
F
.31061 .40247 m
.31773 .40773 L
.31171 .41744 L
.32032 .42621 L
.32599 .41744 L
.33003 .41291 L
.33427 .40773 L
.33974 .40048 L
.34692 .40773 L
.34095 .41744 L
.34946 .42463 L
.35527 .41744 L
.35917 .41183 L
.36884 .41744 L
.3626 .42716 L
.35917 .43022 L
.35452 .43687 L
.34946 .44305 L
.34106 .43687 L
.34728 .42716 L
.33974 .4185 L
.33326 .42716 L
.33003 .43112 L
.32494 .43687 L
.32032 .44407 L
.31247 .43687 L
.31923 .42716 L
.31061 .41889 L
.30327 .42716 L
.30089 .43121 L
.29288 .42716 L
.29888 .41744 L
.30089 .41569 L
.30579 .40773 L
F
.30089 .51079 m
.30826 .51457 L
.30142 .52428 L
.30089 .52525 L
.29309 .52428 L
.29678 .51457 L
F
.30089 .47295 m
.31011 .47572 L
.30209 .48543 L
.30089 .48757 L
.29322 .48543 L
.29777 .47572 L
F
.30089 .49194 m
.30905 .49514 L
.30171 .50486 L
.30089 .50635 L
.2933 .50486 L
.29734 .49514 L
F
.30089 .52982 m
.30737 .53399 L
.30096 .54371 L
.30089 .54384 L
.29342 .54371 L
.29646 .53399 L
F
.31061 .44077 m
.31626 .44658 L
.31074 .45629 L
.32032 .46419 L
.32547 .45629 L
.33003 .45119 L
.33962 .45629 L
.3325 .46601 L
.33003 .46908 L
.32415 .47572 L
.32032 .48166 L
.31216 .47572 L
.31822 .46601 L
.31061 .45647 L
.30234 .46601 L
.30089 .46855 L
.29347 .46601 L
.29852 .45629 L
.30089 .45422 L
.30542 .44658 L
F
.31061 .42198 m
.31662 .42716 L
.31109 .43687 L
.32032 .44529 L
.32582 .43687 L
.33003 .43216 L
.33413 .42716 L
.33974 .4197 L
.34633 .42716 L
.34025 .43687 L
.34946 .4437 L
.35509 .43687 L
.35917 .43107 L
.36805 .43687 L
.36207 .44658 L
.36888 .45594 L
.37631 .44658 L
.37859 .44295 L
.38508 .43687 L
.38831 .4311 L
.39559 .43687 L
.38972 .44658 L
.39802 .45602 L
.40734 .44658 L
.40773 .44571 L
.41171 .44658 L
.40885 .45629 L
.40773 .45705 L
.40366 .46601 L
.39802 .47171 L
.39184 .46601 L
.39787 .45629 L
.38831 .44755 L
.38333 .45629 L
.37859 .4607 L
.37523 .46601 L
.36888 .47388 L
.36238 .46601 L
.36859 .45629 L
.35917 .44917 L
.35414 .45629 L
.34946 .46194 L
.34064 .45629 L
.34697 .44658 L
.33974 .43732 L
.33283 .44658 L
.33003 .45004 L
.32449 .45629 L
.32032 .46276 L
.3124 .45629 L
.31883 .44658 L
.31061 .43752 L
.30264 .44658 L
.30089 .44962 L
.29354 .44658 L
.29921 .43687 L
.30089 .43541 L
.3059 .42716 L
F
.30089 .47333 m
.30971 .47572 L
.3019 .48543 L
.30089 .48724 L
.29377 .48543 L
.29819 .47572 L
F
.30089 .51112 m
.30789 .51457 L
.3012 .52428 L
.30089 .52485 L
.29391 .52428 L
.29712 .51457 L
F
.30089 .49227 m
.30869 .49514 L
.30153 .50486 L
.30089 .50602 L
.29392 .50486 L
.29769 .49514 L
F
.30089 .37931 m
.30347 .38831 L
.30089 .3928 L
.29396 .38831 L
F
.30089 .45475 m
.31044 .45629 L
.30211 .46601 L
.30089 .46816 L
.29408 .46601 L
.29911 .45629 L
F
.31061 .40372 m
.3165 .40773 L
.31121 .41744 L
.32032 .42664 L
.32633 .41744 L
.33003 .41331 L
.33462 .40773 L
.33974 .40096 L
.34651 .40773 L
.34067 .41744 L
.34946 .42486 L
.35548 .41744 L
.35917 .41215 L
.36846 .41744 L
.36241 .42716 L
.35917 .43005 L
.35441 .43687 L
.34946 .44292 L
.34122 .43687 L
.34748 .42716 L
.33974 .41826 L
.33308 .42716 L
.33003 .43091 L
.32476 .43687 L
.32032 .44382 L
.31274 .43687 L
.31973 .42716 L
.31061 .41823 L
.30272 .42716 L
.30089 .43032 L
.29412 .42716 L
.30076 .41744 L
.30089 .41733 L
.30688 .40773 L
F
.31061 .42259 m
.31605 .42716 L
.3108 .43687 L
.32032 .44553 L
.326 .43687 L
.33003 .43236 L
.3343 .42716 L
.33974 .41993 L
.34614 .42716 L
.34009 .43687 L
.34946 .44383 L
.3552 .43687 L
.35917 .43123 L
.36785 .43687 L
.36195 .44658 L
.36888 .45609 L
.37644 .44658 L
.37859 .44317 L
.38533 .43687 L
.38831 .43154 L
.39515 .43687 L
.38929 .44658 L
.38831 .44725 L
.38317 .45629 L
.37859 .46056 L
.37514 .46601 L
.36888 .47378 L
.36247 .46601 L
.36871 .45629 L
.35917 .44906 L
.35407 .45629 L
.34946 .46185 L
.34075 .45629 L
.34708 .44658 L
.33974 .43717 L
.33273 .44658 L
.33003 .44991 L
.32438 .45629 L
.32032 .4626 L
.31258 .45629 L
.31911 .44658 L
.31061 .43713 L
.30231 .44658 L
.30089 .44907 L
.29434 .44658 L
.30021 .43687 L
.30089 .43628 L
.30643 .42716 L
F
.30089 .47371 m
.30929 .47572 L
.30171 .48543 L
.30089 .4869 L
.29435 .48543 L
.29861 .47572 L
F
.30089 .4926 m
.30829 .49514 L
.30134 .50486 L
.30089 .50568 L
.29459 .50486 L
.29804 .49514 L
F
.30089 .58557 m
.30636 .59227 L
.30089 .60133 L
.29465 .59227 L
F
.30089 .45529 m
.30989 .45629 L
.30188 .46601 L
.30089 .46776 L
.29472 .46601 L
.29973 .45629 L
F
.30089 .51145 m
.30749 .51457 L
.30098 .52428 L
.30089 .52445 L
.29485 .52428 L
.29748 .51457 L
F
.30089 .47411 m
.30883 .47572 L
.30152 .48543 L
.30089 .48656 L
.29497 .48543 L
.29905 .47572 L
F
.30089 .56696 m
.30673 .57284 L
.30089 .5822 L
.29513 .57284 L
F
.30089 .60503 m
.30527 .61169 L
.30089 .61918 L
.29518 .61169 L
F
.30089 .43725 m
.30198 .44658 L
.30089 .4485 L
.2952 .44658 L
F
.30089 .39993 m
.30253 .40773 L
.30089 .41062 L
.29522 .40773 L
F
.30089 .49294 m
.30788 .49514 L
.30115 .50486 L
.30089 .50533 L
.29533 .50486 L
.29841 .49514 L
F
.30089 .45586 m
.30925 .45629 L
.30164 .46601 L
.30089 .46735 L
.29541 .46601 L
.30038 .45629 L
F
.30089 .41902 m
.30214 .42716 L
.30089 .42938 L
.29545 .42716 L
F
.30089 .47451 m
.30831 .47572 L
.30132 .48543 L
.30089 .48621 L
.29565 .48543 L
.2995 .47572 L
F
.30089 .5487 m
.30673 .55342 L
.30089 .56255 L
.29607 .55342 L
F
.30089 .56792 m
.30584 .57284 L
.30089 .58086 L
.29609 .57284 L
F
.30089 .43839 m
.30163 .44658 L
.30089 .44791 L
.29615 .44658 L
F
.30089 .45652 m
.3014 .46601 L
.30089 .46692 L
.29618 .46601 L
F
.30089 .49328 m
.30742 .49514 L
.30096 .50486 L
.30089 .50497 L
.2962 .50486 L
.29878 .49514 L
F
.30089 .47493 m
.30772 .47572 L
.30112 .48543 L
.30089 .48585 L
.29642 .48543 L
.29998 .47572 L
F
.30089 .58754 m
.30469 .59227 L
.30089 .59872 L
.29659 .59227 L
F
.30089 .54928 m
.30614 .55342 L
.30089 .56171 L
.29665 .55342 L
F
.30089 .53022 m
.30693 .53399 L
.30089 .54325 L
.29688 .53399 L
F
.30089 .42099 m
.30154 .42716 L
.30089 .42834 L
.29701 .42716 L
F
.30089 .45741 m
.30115 .46601 L
.30089 .46647 L
.29709 .46601 L
F
.30089 .56895 m
.30488 .57284 L
.30089 .57946 L
.29709 .57284 L
F
.30089 .54988 m
.30552 .55342 L
.30089 .56085 L
.29725 .55342 L
F
.30089 .43972 m
.30127 .44658 L
.30089 .44727 L
.29729 .44658 L
F
.30089 .53062 m
.30647 .53399 L
.30089 .54263 L
.2973 .53399 L
F
.30089 .47537 m
.30703 .47572 L
.30091 .48543 L
.30089 .48547 L
.29742 .48543 L
.30048 .47572 L
F
.30089 .53104 m
.30597 .53399 L
.30089 .54199 L
.29773 .53399 L
F
.30089 .51179 m
.30708 .51457 L
.30089 .52397 L
.29784 .51457 L
F
.30089 .5505 m
.30484 .55342 L
.30089 .55993 L
.29788 .55342 L
F
.30089 .57007 m
.3038 .57284 L
.30089 .57793 L
.29818 .57284 L
F
.30089 .53148 m
.30545 .53399 L
.30089 .54131 L
.29818 .53399 L
F
.30089 .51214 m
.30663 .51457 L
.30089 .52343 L
.29821 .51457 L
F
.30089 .40385 m
.30127 .40773 L
.30089 .40846 L
.29833 .40773 L
F
.30089 .55117 m
.30409 .55342 L
.30089 .55892 L
.29855 .55342 L
F
.30089 .5125 m
.30616 .51457 L
.30089 .52285 L
.29859 .51457 L
F
.30089 .53193 m
.30487 .53399 L
.30089 .54058 L
.29865 .53399 L
F
.30089 .58997 m
.30267 .59227 L
.30089 .59569 L
.29883 .59227 L
F
.30089 .51287 m
.30563 .51457 L
.30089 .52224 L
.29899 .51457 L
F
.30089 .53241 m
.30422 .53399 L
.30089 .53978 L
.29915 .53399 L
F
.30089 .49364 m
.30692 .49514 L
.30089 .50448 L
.29917 .49514 L
F
.30089 .5519 m
.30323 .55342 L
.30089 .55777 L
.29929 .55342 L
F
.30089 .51325 m
.30504 .51457 L
.30089 .52156 L
.2994 .51457 L
F
.30089 .57139 m
.3025 .57284 L
.30089 .57605 L
.29944 .57284 L
F
.30089 .494 m
.30636 .49514 L
.30089 .50389 L
.29958 .49514 L
F
.30089 .53291 m
.30347 .53399 L
.30089 .53886 L
.29969 .53399 L
F
.30089 .51366 m
.30435 .51457 L
.30089 .52081 L
.29985 .51457 L
F
.30089 .49438 m
.30571 .49514 L
.30089 .50323 L
.30001 .49514 L
F
.30089 .55272 m
.30213 .55342 L
.30089 .55628 L
.30013 .55342 L
F
.30089 .53346 m
.3025 .53399 L
.30089 .53772 L
.30029 .53399 L
F
.30089 .51408 m
.30348 .51457 L
.30089 .51991 L
.30033 .51457 L
F
.30089 .49478 m
.30489 .49514 L
.30089 .50248 L
.30047 .49514 L
F
.30089 .51454 m
.30187 .51457 L
.30089 .51873 L
.30086 .51457 L
F
.31061 .36613 m
.31768 .36888 L
.31191 .37859 L
.31061 .38027 L
.30172 .37859 L
.30795 .36888 L
F
.31061 .40502 m
.31511 .40773 L
.31068 .41744 L
.32032 .42707 L
.32667 .41744 L
.33003 .41371 L
.33496 .40773 L
.33974 .40143 L
.34611 .40773 L
.34038 .41744 L
.34946 .42509 L
.35569 .41744 L
.35917 .41247 L
.36807 .41744 L
.36222 .42716 L
.35917 .42988 L
.3543 .43687 L
.34946 .44279 L
.34138 .43687 L
.34767 .42716 L
.33974 .41801 L
.3329 .42716 L
.33003 .4307 L
.32458 .43687 L
.32032 .44357 L
.31301 .43687 L
.32022 .42716 L
.31061 .41754 L
.30277 .41744 L
.30803 .40773 L
F
.31061 .49556 m
.31631 .50486 L
.31061 .51451 L
.30294 .50486 L
F
.31061 .51472 m
.31566 .52428 L
.31061 .53294 L
.30303 .52428 L
F
.31061 .49576 m
.31618 .50486 L
.31061 .51431 L
.30311 .50486 L
F
.31061 .38648 m
.31512 .38831 L
.31102 .39802 L
.31061 .39857 L
.30315 .39802 L
.30881 .38831 L
F
.31061 .51493 m
.31552 .52428 L
.31061 .53272 L
.30322 .52428 L
F
.31061 .49595 m
.31605 .50486 L
.31061 .51411 L
.30328 .50486 L
F
.31061 .51515 m
.31538 .52428 L
.31061 .53249 L
.30341 .52428 L
F
.31061 .5341 m
.31486 .54371 L
.31061 .55112 L
.30343 .54371 L
F
.31061 .49615 m
.31593 .50486 L
.31061 .51391 L
.30345 .50486 L
F
.31061 .51537 m
.31524 .52428 L
.31061 .53227 L
.3036 .52428 L
F
.31061 .49634 m
.3158 .50486 L
.31061 .51371 L
.30361 .50486 L
F
.31061 .53439 m
.31468 .54371 L
.31061 .55083 L
.30369 .54371 L
F
.31061 .49653 m
.31567 .50486 L
.31061 .51351 L
.30378 .50486 L
F
.31061 .51559 m
.31511 .52428 L
.31061 .53205 L
.3038 .52428 L
F
.31061 .47747 m
.31623 .48543 L
.31061 .49497 L
.30386 .48543 L
F
.31061 .49673 m
.31554 .50486 L
.31061 .51331 L
.30395 .50486 L
F
.31061 .53469 m
.31451 .54371 L
.31061 .55053 L
.30395 .54371 L
F
.31061 .51581 m
.31497 .52428 L
.31061 .53182 L
.30399 .52428 L
F
.31061 .47768 m
.31609 .48543 L
.31061 .49476 L
.30403 .48543 L
F
.31061 .5536 m
.31398 .56313 L
.31061 .56913 L
.30408 .56313 L
F
.32032 .59717 m
.32912 .60198 L
.32195 .61169 L
.32032 .61442 L
.3128 .62141 L
.31061 .62555 L
.3041 .62141 L
.30868 .61169 L
.31061 .61048 L
.31512 .60198 L
F
.31061 .49692 m
.31541 .50486 L
.31061 .51311 L
.30411 .50486 L
F
.31061 .51604 m
.31483 .52428 L
.31061 .5316 L
.30418 .52428 L
F
.31061 .47788 m
.31595 .48543 L
.31061 .49455 L
.3042 .48543 L
F
.32032 .57821 m
.32991 .58256 L
.32225 .59227 L
.32032 .59549 L
.31312 .60198 L
.31061 .60662 L
.30421 .60198 L
.30941 .59227 L
.31061 .59151 L
.31549 .58256 L
F
.31061 .53498 m
.31433 .54371 L
.31061 .55023 L
.30421 .54371 L
F
.31061 .49712 m
.31528 .50486 L
.31061 .5129 L
.30428 .50486 L
F
.31061 .47808 m
.3158 .48543 L
.31061 .49434 L
.30437 .48543 L
F
.31061 .51626 m
.31469 .52428 L
.31061 .53137 L
.30437 .52428 L
F
.31061 .49731 m
.31515 .50486 L
.31061 .5127 L
.30445 .50486 L
F
.31061 .53529 m
.31415 .54371 L
.31061 .54994 L
.30448 .54371 L
F
.31061 .55407 m
.31371 .56313 L
.31061 .56867 L
.30451 .56313 L
F
.31061 .47828 m
.31566 .48543 L
.31061 .49413 L
.30454 .48543 L
F
.31061 .51649 m
.31455 .52428 L
.31061 .53114 L
.30457 .52428 L
F
.31061 .49751 m
.31502 .50486 L
.31061 .5125 L
.30462 .50486 L
F
.31061 .45922 m
.31619 .46601 L
.31061 .47563 L
.30469 .46601 L
F
.31061 .47848 m
.31551 .48543 L
.31061 .49392 L
.30472 .48543 L
F
.31061 .53559 m
.31397 .54371 L
.31061 .54964 L
.30474 .54371 L
F
.31061 .51672 m
.3144 .52428 L
.31061 .53092 L
.30476 .52428 L
F
.31061 .49771 m
.31489 .50486 L
.31061 .5123 L
.30478 .50486 L
F
.31061 .57301 m
.31312 .58256 L
.31061 .58714 L
.30485 .58256 L
F
.31061 .47868 m
.31537 .48543 L
.31061 .49371 L
.30489 .48543 L
F
.31061 .45947 m
.31601 .46601 L
.31061 .47537 L
.3049 .46601 L
F
.31061 .55455 m
.31343 .56313 L
.31061 .5682 L
.30495 .56313 L
F
.31061 .49791 m
.31475 .50486 L
.31061 .51209 L
.30495 .50486 L
F
.31061 .51695 m
.31426 .52428 L
.31061 .53069 L
.30495 .52428 L
F
.31061 .53591 m
.31378 .54371 L
.31061 .54933 L
.30501 .54371 L
F
.31061 .47889 m
.31522 .48543 L
.31061 .49349 L
.30506 .48543 L
F
.31061 .45971 m
.31581 .46601 L
.31061 .47511 L
.30511 .46601 L
F
.31061 .49811 m
.31462 .50486 L
.31061 .51188 L
.30512 .50486 L
F
.31061 .51718 m
.31412 .52428 L
.31061 .53046 L
.30515 .52428 L
F
.31061 .47909 m
.31507 .48543 L
.31061 .49327 L
.30523 .48543 L
F
.31061 .53623 m
.3136 .54371 L
.31061 .54903 L
.30528 .54371 L
F
.31061 .49831 m
.31449 .50486 L
.31061 .51168 L
.30529 .50486 L
F
.31061 .45996 m
.31562 .46601 L
.31061 .47485 L
.30532 .46601 L
F
.31061 .51742 m
.31397 .52428 L
.31061 .53022 L
.30535 .52428 L
F
.31061 .55505 m
.31315 .56313 L
.31061 .56772 L
.30539 .56313 L
F
.31061 .4793 m
.31492 .48543 L
.31061 .49305 L
.30541 .48543 L
F
.31061 .49852 m
.31435 .50486 L
.31061 .51147 L
.30546 .50486 L
F
.31061 .46021 m
.31543 .46601 L
.31061 .47458 L
.30554 .46601 L
F
.31061 .51766 m
.31382 .52428 L
.31061 .52999 L
.30555 .52428 L
F
.31061 .53656 m
.31341 .54371 L
.31061 .54872 L
.30556 .54371 L
F
.31061 .47951 m
.31477 .48543 L
.31061 .49283 L
.30558 .48543 L
F
.31061 .49873 m
.31421 .50486 L
.31061 .51125 L
.30563 .50486 L
F
.31061 .44112 m
.31596 .44658 L
.31061 .45617 L
.30572 .44658 L
F
.31061 .57391 m
.31261 .58256 L
.31061 .58624 L
.30573 .58256 L
F
.31061 .46046 m
.31523 .46601 L
.31061 .47431 L
.30575 .46601 L
F
.31061 .51791 m
.31367 .52428 L
.31061 .52975 L
.30575 .52428 L
F
.31061 .47972 m
.31462 .48543 L
.31061 .49261 L
.30576 .48543 L
F
.31061 .49893 m
.31407 .50486 L
.31061 .51104 L
.30581 .50486 L
F
.31061 .5369 m
.31322 .54371 L
.31061 .54841 L
.30584 .54371 L
F
.31061 .55559 m
.31286 .56313 L
.31061 .56723 L
.30585 .56313 L
F
.31061 .47993 m
.31447 .48543 L
.31061 .49238 L
.30594 .48543 L
F
.31061 .51816 m
.31352 .52428 L
.31061 .52951 L
.30596 .52428 L
F
.31061 .46071 m
.31503 .46601 L
.31061 .47403 L
.30597 .46601 L
F
.31061 .49915 m
.31393 .50486 L
.31061 .51082 L
.30598 .50486 L
F
.31061 .44148 m
.31565 .44658 L
.31061 .45579 L
.30603 .44658 L
F
.31061 .48014 m
.31431 .48543 L
.31061 .49215 L
.30612 .48543 L
F
.31061 .53725 m
.31302 .54371 L
.31061 .54809 L
.30613 .54371 L
F
.31061 .49936 m
.31379 .50486 L
.31061 .5106 L
.30616 .50486 L
F
.31061 .51841 m
.31337 .52428 L
.31061 .52927 L
.30616 .52428 L
F
.31061 .46097 m
.31482 .46601 L
.31061 .47375 L
.30618 .46601 L
F
.31061 .59269 m
.31203 .60198 L
.31061 .60465 L
.30626 .60198 L
F
.31061 .48036 m
.31415 .48543 L
.31061 .49191 L
.3063 .48543 L
F
.31061 .55616 m
.31256 .56313 L
.31061 .56673 L
.30633 .56313 L
F
.31061 .49958 m
.31365 .50486 L
.31061 .51038 L
.30634 .50486 L
F
.31061 .44185 m
.31533 .44658 L
.31061 .4554 L
.30635 .44658 L
F
.31061 .51867 m
.31321 .52428 L
.31061 .52902 L
.30637 .52428 L
F
.31061 .46122 m
.31462 .46601 L
.31061 .47346 L
.3064 .46601 L
F
.31061 .53762 m
.31282 .54371 L
.31061 .54776 L
.30642 .54371 L
F
.31061 .48058 m
.31399 .48543 L
.31061 .49167 L
.30649 .48543 L
F
.31061 .4998 m
.3135 .50486 L
.31061 .51015 L
.30652 .50486 L
F
.31061 .51894 m
.31306 .52428 L
.31061 .52877 L
.30659 .52428 L
F
.31061 .46149 m
.31441 .46601 L
.31061 .47316 L
.30663 .46601 L
F
.31061 .44222 m
.31501 .44658 L
.31061 .45499 L
.30667 .44658 L
F
.31061 .4808 m
.31383 .48543 L
.31061 .49143 L
.30667 .48543 L
F
.31061 .57494 m
.31207 .58256 L
.31061 .5853 L
.30668 .58256 L
F
.31061 .50002 m
.31335 .50486 L
.31061 .50992 L
.30671 .50486 L
F
.31061 .538 m
.31262 .54371 L
.31061 .54742 L
.30672 .54371 L
F
.31061 .51921 m
.3129 .52428 L
.31061 .52851 L
.30681 .52428 L
F
.31061 .55677 m
.31226 .56313 L
.31061 .56621 L
.30683 .56313 L
F
.31061 .46175 m
.31419 .46601 L
.31061 .47286 L
.30686 .46601 L
F
.31061 .48102 m
.31367 .48543 L
.31061 .49118 L
.30686 .48543 L
F
.31061 .50025 m
.3132 .50486 L
.31061 .50969 L
.3069 .50486 L
F
.31061 .42322 m
.31545 .42716 L
.31061 .43665 L
.30698 .42716 L
F
.31061 .44259 m
.31467 .44658 L
.31061 .45457 L
.30699 .44658 L
F
.31061 .51949 m
.31274 .52428 L
.31061 .52824 L
.30703 .52428 L
F
.31061 .53839 m
.31242 .54371 L
.31061 .54708 L
.30704 .54371 L
F
.31061 .48125 m
.3135 .48543 L
.31061 .49093 L
.30706 .48543 L
F
.31061 .46202 m
.31397 .46601 L
.31061 .47254 L
.30709 .46601 L
F
.31061 .50049 m
.31305 .50486 L
.31061 .50945 L
.30709 .50486 L
F
.31061 .48149 m
.31333 .48543 L
.31061 .49067 L
.30725 .48543 L
F
.31061 .51978 m
.31257 .52428 L
.31061 .52797 L
.30727 .52428 L
F
.31061 .50073 m
.3129 .50486 L
.31061 .5092 L
.30729 .50486 L
F
.31061 .4623 m
.31375 .46601 L
.31061 .47222 L
.30732 .46601 L
F
.31061 .44298 m
.31433 .44658 L
.31061 .45412 L
.30733 .44658 L
F
.31061 .53881 m
.3122 .54371 L
.31061 .54672 L
.30737 .54371 L
F
.31061 .55745 m
.31194 .56313 L
.31061 .56566 L
.30738 .56313 L
F
.31061 .48173 m
.31315 .48543 L
.31061 .4904 L
.30746 .48543 L
F
.31061 .50097 m
.31274 .50486 L
.31061 .50895 L
.30749 .50486 L
F
.31061 .52008 m
.3124 .52428 L
.31061 .52769 L
.3075 .52428 L
F
.31061 .42387 m
.31481 .42716 L
.31061 .43596 L
.30755 .42716 L
F
.31061 .46258 m
.31352 .46601 L
.31061 .47188 L
.30757 .46601 L
F
.31061 .48197 m
.31298 .48543 L
.31061 .49012 L
.30766 .48543 L
F
.31061 .44337 m
.31397 .44658 L
.31061 .45365 L
.30767 .44658 L
F
.31061 .50123 m
.31258 .50486 L
.31061 .50869 L
.3077 .50486 L
F
.31061 .53926 m
.31199 .54371 L
.31061 .54635 L
.30771 .54371 L
F
.31061 .52039 m
.31223 .52428 L
.31061 .52741 L
.30775 .52428 L
F
.31061 .57619 m
.3115 .58256 L
.31061 .58428 L
.30779 .58256 L
F
.31061 .46287 m
.31328 .46601 L
.31061 .47153 L
.30782 .46601 L
F
.31061 .48222 m
.31279 .48543 L
.31061 .48983 L
.30787 .48543 L
F
.31061 .50149 m
.31241 .50486 L
.31061 .50842 L
.30791 .50486 L
F
.31061 .55821 m
.31161 .56313 L
.31061 .56507 L
.30797 .56313 L
F
.31061 .52072 m
.31205 .52428 L
.31061 .52711 L
.30801 .52428 L
F
.31061 .44378 m
.31359 .44658 L
.31061 .45314 L
.30803 .44658 L
F
.31061 .46316 m
.31303 .46601 L
.31061 .47116 L
.30807 .46601 L
F
.31061 .53974 m
.31176 .54371 L
.31061 .54596 L
.30808 .54371 L
F
.31061 .48248 m
.31261 .48543 L
.31061 .48954 L
.30809 .48543 L
F
.31061 .50176 m
.31224 .50486 L
.31061 .50814 L
.30813 .50486 L
F
.31061 .42454 m
.31411 .42716 L
.31061 .43519 L
.30815 .42716 L
F
.31061 .52107 m
.31187 .52428 L
.31061 .52679 L
.30828 .52428 L
F
.31061 .48275 m
.31241 .48543 L
.31061 .48923 L
.30832 .48543 L
F
.31061 .46347 m
.31278 .46601 L
.31061 .47078 L
.30834 .46601 L
F
.31061 .50204 m
.31207 .50486 L
.31061 .50785 L
.30836 .50486 L
F
.31061 .4442 m
.31319 .44658 L
.31061 .4526 L
.30841 .44658 L
F
.31061 .54027 m
.31153 .54371 L
.31061 .54555 L
.30848 .54371 L
F
.32032 .61656 m
.32781 .62141 L
.32088 .63112 L
.32032 .63202 L
.31077 .64083 L
.31061 .64118 L
.3085 .64083 L
.31005 .63112 L
.31061 .63077 L
.31531 .62141 L
F
.31061 .48303 m
.31221 .48543 L
.31061 .4889 L
.30855 .48543 L
F
.31061 .52144 m
.31168 .52428 L
.31061 .52647 L
.30856 .52428 L
F
.31061 .50234 m
.31189 .50486 L
.31061 .50754 L
.3086 .50486 L
F
.31061 .46379 m
.31251 .46601 L
.31061 .47036 L
.30862 .46601 L
F
.31061 .55912 m
.31126 .56313 L
.31061 .56444 L
.30866 .56313 L
F
.31061 .42525 m
.31333 .42716 L
.31061 .43432 L
.30879 .42716 L
F
.31061 .48332 m
.31201 .48543 L
.31061 .48855 L
.3088 .48543 L
F
.31061 .44464 m
.31276 .44658 L
.31061 .452 L
.3088 .44658 L
F
.31061 .50265 m
.31171 .50486 L
.31061 .50722 L
.30885 .50486 L
F
.31061 .52183 m
.31149 .52428 L
.31061 .52612 L
.30887 .52428 L
F
.31061 .46412 m
.31223 .46601 L
.31061 .46992 L
.30891 .46601 L
F
.31061 .54087 m
.31129 .54371 L
.31061 .5451 L
.30892 .54371 L
F
.31061 .48363 m
.31179 .48543 L
.31061 .48818 L
.30906 .48543 L
F
.31061 .50298 m
.31152 .50486 L
.31061 .50687 L
.30912 .50486 L
F
.31061 .52227 m
.31129 .52428 L
.31061 .52574 L
.3092 .52428 L
F
.31061 .46448 m
.31193 .46601 L
.31061 .46943 L
.30922 .46601 L
F
.31061 .44511 m
.31229 .44658 L
.31061 .45132 L
.30922 .44658 L
F
.31061 .57792 m
.31088 .58256 L
.31061 .5831 L
.30933 .58256 L
F
.31061 .40644 m
.31333 .40773 L
.31061 .41617 L
.30933 .40773 L
F
.31061 .48395 m
.31157 .48543 L
.31061 .48777 L
.30933 .48543 L
F
.31061 .59523 m
.31079 .60198 L
.31061 .60234 L
.30934 .60198 L
F
.31061 .50334 m
.31132 .50486 L
.31061 .5065 L
.30941 .50486 L
F
.31061 .54158 m
.31104 .54371 L
.31061 .54462 L
.30943 .54371 L
F
.31061 .42602 m
.31241 .42716 L
.31061 .43326 L
.3095 .42716 L
F
.31061 .56033 m
.31089 .56313 L
.31061 .56373 L
.30954 .56313 L
F
.31061 .46485 m
.31161 .46601 L
.31061 .46887 L
.30955 .46601 L
F
.31061 .52277 m
.31108 .52428 L
.31061 .52533 L
.30957 .52428 L
F
.31061 .4843 m
.31133 .48543 L
.31061 .48732 L
.30963 .48543 L
F
.31061 .44562 m
.31176 .44658 L
.31061 .45051 L
.30969 .44658 L
F
.31061 .50374 m
.31111 .50486 L
.31061 .50608 L
.30972 .50486 L
F
.31061 .46526 m
.31126 .46601 L
.31061 .4682 L
.30991 .46601 L
F
.31061 .48468 m
.31108 .48543 L
.31061 .48679 L
.30995 .48543 L
F
.31061 .52337 m
.31086 .52428 L
.31061 .52487 L
.31001 .52428 L
F
.31061 .54256 m
.31077 .54371 L
.31061 .54407 L
.31007 .54371 L
F
.31061 .50419 m
.31089 .50486 L
.31061 .5056 L
.31008 .50486 L
F
.31061 .44617 m
.31113 .44658 L
.31061 .44944 L
.31021 .44658 L
F
.31061 .4851 m
.3108 .48543 L
.31061 .48612 L
.31032 .48543 L
F
.31061 .4657 m
.31087 .46601 L
.31061 .46728 L
.31032 .46601 L
F
.31061 .42689 m
.31115 .42716 L
.31061 .43182 L
.31033 .42716 L
F
.31061 .50473 m
.31066 .50486 L
.31061 .505 L
.31051 .50486 L
F
.31061 .5242 m
.31062 .52428 L
.31061 .52433 L
.31056 .52428 L
F
.33003 .50797 m
.33784 .51457 L
.33159 .52428 L
.33974 .53245 L
.34542 .52428 L
.34946 .51967 L
.3537 .51457 L
.35917 .50681 L
.3666 .51457 L
.3601 .52428 L
.36888 .53148 L
.375 .52428 L
.37859 .51887 L
.38761 .52428 L
.38183 .53399 L
.37859 .53695 L
.37407 .54371 L
.36888 .54976 L
.3602 .54371 L
.36676 .53399 L
.35917 .52513 L
.35296 .53399 L
.34946 .53823 L
.34466 .54371 L
.33974 .55079 L
.33182 .54371 L
.33791 .53399 L
.33003 .52629 L
.32343 .53399 L
.32032 .53897 L
.31068 .53399 L
.31633 .52428 L
.32032 .52083 L
.32429 .51457 L
F
.33003 .54606 m
.33659 .55342 L
.33034 .56313 L
.33974 .57085 L
.34504 .56313 L
.34946 .55802 L
.35833 .56313 L
.35186 .57284 L
.34946 .57576 L
.34359 .58256 L
.33974 .58816 L
.33169 .58256 L
.33736 .57284 L
.33003 .56352 L
.32238 .57284 L
.32032 .57623 L
.31072 .57284 L
.31608 .56313 L
.32032 .55939 L
.32395 .55342 L
F
.33003 .52709 m
.33714 .53399 L
.33098 .54371 L
.33974 .55165 L
.34525 .54371 L
.34946 .53888 L
.35915 .54371 L
.35242 .55342 L
.34946 .55702 L
.34413 .56313 L
.33974 .56948 L
.33175 .56313 L
.33763 .55342 L
.33003 .54492 L
.3229 .55342 L
.32032 .55761 L
.31074 .55342 L
.31624 .54371 L
.32032 .54015 L
.32415 .53399 L
F
.33003 .50805 m
.33776 .51457 L
.33152 .52428 L
.33974 .53253 L
.34548 .52428 L
.34946 .51974 L
.35376 .51457 L
.35917 .50688 L
.36654 .51457 L
.36001 .52428 L
.36888 .53157 L
.37508 .52428 L
.37859 .51898 L
.38745 .52428 L
.38167 .53399 L
.37859 .5368 L
.37396 .54371 L
.36888 .54963 L
.36034 .54371 L
.36684 .53399 L
.35917 .52504 L
.3529 .53399 L
.34946 .53814 L
.34458 .54371 L
.33974 .55068 L
.33192 .54371 L
.33801 .53399 L
.33003 .52619 L
.32334 .53399 L
.32032 .53883 L
.31088 .53399 L
.31647 .52428 L
.32032 .52095 L
.32436 .51457 L
F
.32032 .57862 m
.32935 .58256 L
.32177 .59227 L
.32032 .59466 L
.3109 .59227 L
.31596 .58256 L
F
.33003 .48892 m
.33851 .49514 L
.33202 .50486 L
.33974 .51345 L
.3457 .50486 L
.34946 .50056 L
.35399 .49514 L
.35917 .48784 L
.36701 .49514 L
.36079 .50486 L
.36888 .51239 L
.37523 .50486 L
.37859 .49974 L
.38816 .50486 L
.38242 .51457 L
.37859 .51806 L
.37446 .52428 L
.36888 .53083 L
.36075 .52428 L
.36707 .51457 L
.35917 .50632 L
.35334 .51457 L
.34946 .51923 L
.34503 .52428 L
.33974 .53189 L
.33211 .52428 L
.33843 .51457 L
.33003 .5074 L
.32378 .51457 L
.32032 .52002 L
.31102 .51457 L
.31669 .50486 L
.32032 .50172 L
.32455 .49514 L
F
.33003 .52719 m
.33704 .53399 L
.33087 .54371 L
.33974 .55176 L
.34532 .54371 L
.34946 .53897 L
.35902 .54371 L
.35232 .55342 L
.34946 .55689 L
.34401 .56313 L
.33974 .56931 L
.33193 .56313 L
.33777 .55342 L
.33003 .54478 L
.32277 .55342 L
.32032 .55738 L
.31105 .55342 L
.31642 .54371 L
.32032 .5403 L
.32424 .53399 L
F
.33003 .50813 m
.33767 .51457 L
.33144 .52428 L
.33974 .53261 L
.34553 .52428 L
.34946 .5198 L
.35381 .51457 L
.35917 .50695 L
.36647 .51457 L
.35991 .52428 L
.36888 .53166 L
.37516 .52428 L
.37859 .5191 L
.3873 .52428 L
.38151 .53399 L
.37859 .53666 L
.37386 .54371 L
.36888 .54951 L
.36047 .54371 L
.36692 .53399 L
.35917 .52496 L
.35283 .53399 L
.34946 .53806 L
.34451 .54371 L
.33974 .55058 L
.33203 .54371 L
.3381 .53399 L
.33003 .52609 L
.32325 .53399 L
.32032 .53868 L
.31108 .53399 L
.31661 .52428 L
.32032 .52106 L
.32444 .51457 L
F
.33003 .489 m
.33842 .49514 L
.33196 .50486 L
.33974 .51353 L
.34575 .50486 L
.34946 .50062 L
.35404 .49514 L
.35917 .48791 L
.36694 .49514 L
.36071 .50486 L
.36888 .51247 L
.3753 .50486 L
.37859 .49985 L
.38801 .50486 L
.38229 .51457 L
.37859 .51795 L
.37438 .52428 L
.36888 .53073 L
.36085 .52428 L
.36714 .51457 L
.35917 .50625 L
.35329 .51457 L
.34946 .51916 L
.34497 .52428 L
.33974 .53181 L
.33219 .52428 L
.33851 .51457 L
.33003 .50731 L
.3237 .51457 L
.32032 .5199 L
.31117 .51457 L
.31681 .50486 L
.32032 .50183 L
.32462 .49514 L
F
.33003 .50822 m
.33759 .51457 L
.33136 .52428 L
.33974 .53269 L
.34559 .52428 L
.34946 .51987 L
.35386 .51457 L
.35917 .50702 L
.36641 .51457 L
.35982 .52428 L
.36888 .53176 L
.37524 .52428 L
.37859 .51921 L
.38715 .52428 L
.38135 .53399 L
.37859 .53651 L
.37376 .54371 L
.36888 .54938 L
.3606 .54371 L
.367 .53399 L
.35917 .52487 L
.35276 .53399 L
.34946 .53798 L
.34444 .54371 L
.33974 .55047 L
.33213 .54371 L
.3382 .53399 L
.33003 .52599 L
.32316 .53399 L
.32032 .53853 L
.31128 .53399 L
.31674 .52428 L
.32032 .52118 L
.32451 .51457 L
F
.33003 .54621 m
.33645 .55342 L
.33016 .56313 L
.33974 .57103 L
.34515 .56313 L
.34946 .55815 L
.35816 .56313 L
.35169 .57284 L
.34946 .57554 L
.34338 .58256 L
.33974 .58785 L
.33204 .58256 L
.33757 .57284 L
.33003 .56329 L
.32215 .57284 L
.32032 .57584 L
.31132 .57284 L
.31634 .56313 L
.32032 .55961 L
.32408 .55342 L
F
.33003 .48908 m
.33834 .49514 L
.33189 .50486 L
.33974 .5136 L
.34581 .50486 L
.34946 .50068 L
.35408 .49514 L
.35917 .48798 L
.36687 .49514 L
.36063 .50486 L
.36888 .51255 L
.37537 .50486 L
.37859 .49995 L
.38787 .50486 L
.38217 .51457 L
.37859 .51783 L
.3743 .52428 L
.36888 .53064 L
.36094 .52428 L
.3672 .51457 L
.35917 .50618 L
.35323 .51457 L
.34946 .5191 L
.34491 .52428 L
.33974 .53173 L
.33226 .52428 L
.3386 .51457 L
.33003 .50723 L
.32363 .51457 L
.32032 .51979 L
.31132 .51457 L
.31694 .50486 L
.32032 .50194 L
.32469 .49514 L
F
.33003 .52729 m
.33694 .53399 L
.33076 .54371 L
.33974 .55187 L
.34539 .54371 L
.34946 .53905 L
.3589 .54371 L
.35222 .55342 L
.34946 .55677 L
.3439 .56313 L
.33974 .56914 L
.3321 .56313 L
.3379 .55342 L
.33003 .54464 L
.32263 .55342 L
.32032 .55716 L
.31137 .55342 L
.31659 .54371 L
.32032 .54045 L
.32433 .53399 L
F
.33003 .48916 m
.33825 .49514 L
.33183 .50486 L
.33974 .51367 L
.34586 .50486 L
.34946 .50074 L
.35413 .49514 L
.35917 .48804 L
.36681 .49514 L
.36056 .50486 L
.36888 .51263 L
.37544 .50486 L
.37859 .50006 L
.38772 .50486 L
.38204 .51457 L
.37859 .51772 L
.37422 .52428 L
.36888 .53055 L
.36103 .52428 L
.36727 .51457 L
.35917 .50611 L
.35318 .51457 L
.34946 .51904 L
.34486 .52428 L
.33974 .53165 L
.33234 .52428 L
.33868 .51457 L
.33003 .50715 L
.32356 .51457 L
.32032 .51967 L
.31147 .51457 L
.31706 .50486 L
.32032 .50204 L
.32476 .49514 L
F
.33003 .5083 m
.3375 .51457 L
.33129 .52428 L
.33974 .53278 L
.34565 .52428 L
.34946 .51993 L
.35391 .51457 L
.35917 .50709 L
.36634 .51457 L
.35973 .52428 L
.36888 .53185 L
.37532 .52428 L
.37859 .51933 L
.38699 .52428 L
.38119 .53399 L
.37859 .53636 L
.37365 .54371 L
.36888 .54926 L
.36074 .54371 L
.36707 .53399 L
.35917 .52479 L
.3527 .53399 L
.34946 .5379 L
.34436 .54371 L
.33974 .55036 L
.33224 .54371 L
.3383 .53399 L
.33003 .52589 L
.32307 .53399 L
.32032 .53839 L
.31148 .53399 L
.31688 .52428 L
.32032 .5213 L
.32458 .51457 L
F
.33003 .48924 m
.33816 .49514 L
.33177 .50486 L
.33974 .51374 L
.34591 .50486 L
.34946 .5008 L
.35418 .49514 L
.35917 .48811 L
.36674 .49514 L
.36048 .50486 L
.36888 .51272 L
.37551 .50486 L
.37859 .50016 L
.38757 .50486 L
.38192 .51457 L
.37859 .5176 L
.37415 .52428 L
.36888 .53046 L
.36113 .52428 L
.36734 .51457 L
.35917 .50604 L
.35313 .51457 L
.34946 .51897 L
.3448 .52428 L
.33974 .53157 L
.33241 .52428 L
.33877 .51457 L
.33003 .50707 L
.32348 .51457 L
.32032 .51956 L
.31162 .51457 L
.31719 .50486 L
.32032 .50215 L
.32483 .49514 L
F
.33003 .52739 m
.33685 .53399 L
.33065 .54371 L
.33974 .55198 L
.34547 .54371 L
.34946 .53913 L
.35878 .54371 L
.35213 .55342 L
.34946 .55664 L
.34378 .56313 L
.33974 .56897 L
.33227 .56313 L
.33803 .55342 L
.33003 .5445 L
.3225 .55342 L
.32032 .55694 L
.31168 .55342 L
.31676 .54371 L
.32032 .5406 L
.32442 .53399 L
F
.33003 .50838 m
.33742 .51457 L
.33121 .52428 L
.33974 .53286 L
.3457 .52428 L
.34946 .51999 L
.35396 .51457 L
.35917 .50716 L
.36627 .51457 L
.35963 .52428 L
.36888 .53194 L
.3754 .52428 L
.37859 .51944 L
.38684 .52428 L
.38103 .53399 L
.37859 .53621 L
.37355 .54371 L
.36888 .54913 L
.36087 .54371 L
.36715 .53399 L
.35917 .5247 L
.35263 .53399 L
.34946 .53782 L
.34429 .54371 L
.33974 .55026 L
.33234 .54371 L
.33839 .53399 L
.33003 .52579 L
.32298 .53399 L
.32032 .53824 L
.31168 .53399 L
.31701 .52428 L
.32032 .52142 L
.32465 .51457 L
F
.33003 .4701 m
.33898 .47572 L
.33223 .48543 L
.33974 .49475 L
.34616 .48543 L
.34946 .48165 L
.35442 .47572 L
.35917 .46903 L
.36723 .47572 L
.36117 .48543 L
.36888 .49361 L
.37568 .48543 L
.37859 .48093 L
.38427 .47572 L
.38831 .46873 L
.39547 .47572 L
.38832 .48543 L
.39802 .49378 L
.40753 .49514 L
.40278 .50486 L
.39802 .50941 L
.3906 .50486 L
.39725 .49514 L
.38831 .48544 L
.38259 .49514 L
.37859 .4988 L
.37461 .50486 L
.36888 .51166 L
.36148 .50486 L
.36762 .49514 L
.35917 .48723 L
.35355 .49514 L
.34946 .50003 L
.34524 .50486 L
.33974 .51282 L
.33259 .50486 L
.33929 .49514 L
.33003 .4882 L
.32391 .49514 L
.32032 .50074 L
.31172 .49514 L
.31749 .48543 L
.32032 .48299 L
.32504 .47572 L
F
.33003 .48932 m
.33808 .49514 L
.3317 .50486 L
.33974 .51381 L
.34596 .50486 L
.34946 .50086 L
.35423 .49514 L
.35917 .48818 L
.36667 .49514 L
.3604 .50486 L
.36888 .5128 L
.37558 .50486 L
.37859 .50027 L
.38743 .50486 L
.38179 .51457 L
.37859 .51749 L
.37407 .52428 L
.36888 .53037 L
.36122 .52428 L
.3674 .51457 L
.35917 .50597 L
.35308 .51457 L
.34946 .51891 L
.34475 .52428 L
.33974 .53149 L
.33248 .52428 L
.33885 .51457 L
.33003 .50698 L
.32341 .51457 L
.32032 .51944 L
.31177 .51457 L
.31732 .50486 L
.32032 .50226 L
.3249 .49514 L
F
.33003 .47019 m
.33887 .47572 L
.33217 .48543 L
.33974 .49483 L
.34622 .48543 L
.34946 .48171 L
.35447 .47572 L
.35917 .46911 L
.36715 .47572 L
.36109 .48543 L
.36888 .49369 L
.37575 .48543 L
.37859 .48105 L
.38815 .48543 L
.38248 .49514 L
.37859 .4987 L
.37455 .50486 L
.36888 .51158 L
.36156 .50486 L
.36768 .49514 L
.35917 .48716 L
.3535 .49514 L
.34946 .49997 L
.34519 .50486 L
.33974 .51275 L
.33265 .50486 L
.33937 .49514 L
.33003 .48812 L
.32384 .49514 L
.32032 .50063 L
.31186 .49514 L
.31763 .48543 L
.32032 .48311 L
.32512 .47572 L
F
.33003 .50846 m
.33733 .51457 L
.33114 .52428 L
.33974 .53294 L
.34576 .52428 L
.34946 .52006 L
.35402 .51457 L
.35917 .50723 L
.36621 .51457 L
.35954 .52428 L
.36888 .53204 L
.37548 .52428 L
.37859 .51956 L
.38669 .52428 L
.38086 .53399 L
.37859 .53606 L
.37344 .54371 L
.36888 .54901 L
.36101 .54371 L
.36723 .53399 L
.35917 .52462 L
.35256 .53399 L
.34946 .53773 L
.34422 .54371 L
.33974 .55015 L
.33244 .54371 L
.33849 .53399 L
.33003 .52569 L
.32288 .53399 L
.32032 .53809 L
.31188 .53399 L
.31715 .52428 L
.32032 .52154 L
.32473 .51457 L
F
.32032 .55984 m
.32993 .56313 L
.32191 .57284 L
.32032 .57544 L
.31192 .57284 L
.3166 .56313 L
F
.33003 .4894 m
.33799 .49514 L
.33164 .50486 L
.33974 .51388 L
.34601 .50486 L
.34946 .50092 L
.35428 .49514 L
.35917 .48825 L
.36661 .49514 L
.36032 .50486 L
.36888 .51288 L
.37565 .50486 L
.37859 .50037 L
.38728 .50486 L
.38167 .51457 L
.37859 .51737 L
.37399 .52428 L
.36888 .53027 L
.36131 .52428 L
.36747 .51457 L
.35917 .5059 L
.35302 .51457 L
.34946 .51884 L
.34469 .52428 L
.33974 .53141 L
.33256 .52428 L
.33894 .51457 L
.33003 .5069 L
.32334 .51457 L
.32032 .51933 L
.31192 .51457 L
.31744 .50486 L
.32032 .50237 L
.32497 .49514 L
F
.33003 .47028 m
.33877 .47572 L
.3321 .48543 L
.33974 .4949 L
.34627 .48543 L
.34946 .48178 L
.35453 .47572 L
.35917 .46918 L
.36707 .47572 L
.36102 .48543 L
.36888 .49378 L
.37582 .48543 L
.37859 .48116 L
.38798 .48543 L
.38236 .49514 L
.37859 .49859 L
.37448 .50486 L
.36888 .5115 L
.36164 .50486 L
.36775 .49514 L
.35917 .4871 L
.35345 .49514 L
.34946 .49991 L
.34514 .50486 L
.33974 .51268 L
.33271 .50486 L
.33946 .49514 L
.33003 .48804 L
.32377 .49514 L
.32032 .50053 L
.31199 .49514 L
.31777 .48543 L
.32032 .48323 L
.3252 .47572 L
F
.33003 .52749 m
.33675 .53399 L
.33054 .54371 L
.33974 .55209 L
.34554 .54371 L
.34946 .53922 L
.35866 .54371 L
.35203 .55342 L
.34946 .55652 L
.34367 .56313 L
.33974 .5688 L
.33245 .56313 L
.33816 .55342 L
.33003 .54436 L
.32236 .55342 L
.32032 .55672 L
.312 .55342 L
.31693 .54371 L
.32032 .54075 L
.32451 .53399 L
F
.33003 .48948 m
.3379 .49514 L
.33157 .50486 L
.33974 .51395 L
.34606 .50486 L
.34946 .50098 L
.35433 .49514 L
.35917 .48831 L
.36654 .49514 L
.36024 .50486 L
.36888 .51296 L
.37572 .50486 L
.37859 .50048 L
.38714 .50486 L
.38154 .51457 L
.37859 .51726 L
.37391 .52428 L
.36888 .53018 L
.36141 .52428 L
.36754 .51457 L
.35917 .50583 L
.35297 .51457 L
.34946 .51878 L
.34463 .52428 L
.33974 .53133 L
.33263 .52428 L
.33902 .51457 L
.33003 .50682 L
.32326 .51457 L
.32032 .51921 L
.31207 .51457 L
.31757 .50486 L
.32032 .50248 L
.32504 .49514 L
F
.33003 .50855 m
.33725 .51457 L
.33106 .52428 L
.33974 .53302 L
.34581 .52428 L
.34946 .52012 L
.35407 .51457 L
.35917 .5073 L
.36614 .51457 L
.35944 .52428 L
.36888 .53213 L
.37555 .52428 L
.37859 .51968 L
.38654 .52428 L
.3807 .53399 L
.37859 .5359 L
.37334 .54371 L
.36888 .54888 L
.36115 .54371 L
.36731 .53399 L
.35917 .52453 L
.3525 .53399 L
.34946 .53765 L
.34414 .54371 L
.33974 .55004 L
.33255 .54371 L
.33859 .53399 L
.33003 .52559 L
.32279 .53399 L
.32032 .53794 L
.31208 .53399 L
.31729 .52428 L
.32032 .52165 L
.3248 .51457 L
F
.33003 .47038 m
.33866 .47572 L
.33204 .48543 L
.33974 .49497 L
.34633 .48543 L
.34946 .48184 L
.35458 .47572 L
.35917 .46926 L
.36699 .47572 L
.36094 .48543 L
.36888 .49386 L
.37589 .48543 L
.37859 .48127 L
.38782 .48543 L
.38225 .49514 L
.37859 .49849 L
.37441 .50486 L
.36888 .51142 L
.36171 .50486 L
.36782 .49514 L
.35917 .48703 L
.3534 .49514 L
.34946 .49986 L
.34509 .50486 L
.33974 .51261 L
.33277 .50486 L
.33955 .49514 L
.33003 .48796 L
.3237 .49514 L
.32032 .50042 L
.31213 .49514 L
.31791 .48543 L
.32032 .48335 L
.32528 .47572 L
F
.33003 .48956 m
.33781 .49514 L
.33151 .50486 L
.33974 .51403 L
.34611 .50486 L
.34946 .50103 L
.35438 .49514 L
.35917 .48838 L
.36648 .49514 L
.36017 .50486 L
.36888 .51304 L
.37579 .50486 L
.37859 .50058 L
.38699 .50486 L
.38142 .51457 L
.37859 .51714 L
.37384 .52428 L
.36888 .53009 L
.3615 .52428 L
.36761 .51457 L
.35917 .50576 L
.35292 .51457 L
.34946 .51872 L
.34458 .52428 L
.33974 .53125 L
.33271 .52428 L
.33911 .51457 L
.33003 .50674 L
.32319 .51457 L
.32032 .51909 L
.31222 .51457 L
.3177 .50486 L
.32032 .50259 L
.32511 .49514 L
F
.33003 .47047 m
.33856 .47572 L
.33198 .48543 L
.33974 .49505 L
.34638 .48543 L
.34946 .4819 L
.35464 .47572 L
.35917 .46934 L
.36691 .47572 L
.36087 .48543 L
.36888 .49395 L
.37597 .48543 L
.37859 .48138 L
.38765 .48543 L
.38213 .49514 L
.37859 .49838 L
.37434 .50486 L
.36888 .51134 L
.36179 .50486 L
.36789 .49514 L
.35917 .48696 L
.35335 .49514 L
.34946 .4998 L
.34504 .50486 L
.33974 .51253 L
.33283 .50486 L
.33963 .49514 L
.33003 .48788 L
.32362 .49514 L
.32032 .50031 L
.31226 .49514 L
.31805 .48543 L
.32032 .48347 L
.32536 .47572 L
F
.33003 .50863 m
.33716 .51457 L
.33098 .52428 L
.33974 .5331 L
.34587 .52428 L
.34946 .52019 L
.35412 .51457 L
.35917 .50737 L
.36608 .51457 L
.35935 .52428 L
.36888 .53223 L
.37563 .52428 L
.37859 .51979 L
.38638 .52428 L
.38053 .53399 L
.37859 .53575 L
.37323 .54371 L
.36888 .54876 L
.36128 .54371 L
.36739 .53399 L
.35917 .52445 L
.35243 .53399 L
.34946 .53757 L
.34407 .54371 L
.33974 .54994 L
.33265 .54371 L
.33869 .53399 L
.33003 .52549 L
.3227 .53399 L
.32032 .5378 L
.31228 .53399 L
.31742 .52428 L
.32032 .52177 L
.32487 .51457 L
F
.32032 .57904 m
.32877 .58256 L
.32128 .59227 L
.32032 .59383 L
.31229 .59227 L
.31643 .58256 L
F
.33003 .45131 m
.33947 .45629 L
.33242 .46601 L
.33003 .46899 L
.32407 .47572 L
.32032 .48154 L
.3123 .47572 L
.3184 .46601 L
.32032 .46434 L
.32558 .45629 L
F
.32032 .59806 m
.32793 .60198 L
.32075 .61169 L
.32032 .61239 L
.31231 .61169 L
.31611 .60198 L
F
.33003 .52759 m
.33665 .53399 L
.33043 .54371 L
.33974 .55221 L
.34561 .54371 L
.34946 .5393 L
.35853 .54371 L
.35193 .55342 L
.34946 .55639 L
.34355 .56313 L
.33974 .56863 L
.33262 .56313 L
.3383 .55342 L
.33003 .54422 L
.32222 .55342 L
.32032 .5565 L
.31232 .55342 L
.31711 .54371 L
.32032 .54091 L
.3246 .53399 L
F
.33003 .48964 m
.33772 .49514 L
.33145 .50486 L
.33974 .5141 L
.34616 .50486 L
.34946 .50109 L
.35443 .49514 L
.35917 .48845 L
.36641 .49514 L
.36009 .50486 L
.36888 .51313 L
.37586 .50486 L
.37859 .50069 L
.38684 .50486 L
.38129 .51457 L
.37859 .51702 L
.37376 .52428 L
.36888 .53 L
.3616 .52428 L
.36768 .51457 L
.35917 .50569 L
.35287 .51457 L
.34946 .51865 L
.34452 .52428 L
.33974 .53117 L
.33278 .52428 L
.33919 .51457 L
.33003 .50665 L
.32311 .51457 L
.32032 .51898 L
.31237 .51457 L
.31783 .50486 L
.32032 .5027 L
.32518 .49514 L
F
.33003 .47056 m
.33845 .47572 L
.33191 .48543 L
.33974 .49512 L
.34644 .48543 L
.34946 .48197 L
.35469 .47572 L
.35917 .46941 L
.36683 .47572 L
.36079 .48543 L
.36888 .49403 L
.37604 .48543 L
.37859 .4815 L
.38749 .48543 L
.38202 .49514 L
.37859 .49828 L
.37427 .50486 L
.36888 .51126 L
.36187 .50486 L
.36796 .49514 L
.35917 .48689 L
.3533 .49514 L
.34946 .49974 L
.34499 .50486 L
.33974 .51246 L
.3329 .50486 L
.33972 .49514 L
.33003 .4878 L
.32355 .49514 L
.32032 .5002 L
.31239 .49514 L
.31819 .48543 L
.32032 .48359 L
.32544 .47572 L
F
.33003 .45144 m
.33932 .45629 L
.33235 .46601 L
.33003 .46889 L
.32399 .47572 L
.32032 .48142 L
.31244 .47572 L
.31858 .46601 L
.32032 .4645 L
.32569 .45629 L
F
.33003 .50871 m
.33708 .51457 L
.3309 .52428 L
.33974 .53319 L
.34593 .52428 L
.34946 .52025 L
.35417 .51457 L
.35917 .50744 L
.36601 .51457 L
.35926 .52428 L
.36888 .53232 L
.37571 .52428 L
.37859 .51991 L
.38623 .52428 L
.38037 .53399 L
.37859 .5356 L
.37313 .54371 L
.36888 .54863 L
.36142 .54371 L
.36747 .53399 L
.35917 .52436 L
.35237 .53399 L
.34946 .53749 L
.34399 .54371 L
.33974 .54983 L
.33276 .54371 L
.33879 .53399 L
.33003 .52539 L
.32261 .53399 L
.32032 .53765 L
.31248 .53399 L
.31756 .52428 L
.32032 .52189 L
.32494 .51457 L
F
.33003 .48972 m
.33764 .49514 L
.33138 .50486 L
.33974 .51417 L
.34622 .50486 L
.34946 .50115 L
.35448 .49514 L
.35917 .48852 L
.36634 .49514 L
.36001 .50486 L
.36888 .51321 L
.37593 .50486 L
.37859 .50079 L
.3867 .50486 L
.38117 .51457 L
.37859 .51691 L
.37368 .52428 L
.36888 .5299 L
.36169 .52428 L
.36775 .51457 L
.35917 .50562 L
.35281 .51457 L
.34946 .51859 L
.34446 .52428 L
.33974 .53109 L
.33285 .52428 L
.33928 .51457 L
.33003 .50657 L
.32304 .51457 L
.32032 .51886 L
.31252 .51457 L
.31795 .50486 L
.32032 .50282 L
.32525 .49514 L
F
.33003 .47065 m
.33835 .47572 L
.33185 .48543 L
.33003 .48771 L
.32348 .49514 L
.32032 .50009 L
.31253 .49514 L
.31833 .48543 L
.32032 .48371 L
.32552 .47572 L
F
.32032 .56008 m
.32961 .56313 L
.32167 .57284 L
.32032 .57504 L
.31254 .57284 L
.31686 .56313 L
F
.33003 .45157 m
.33917 .45629 L
.33227 .46601 L
.33003 .4688 L
.3239 .47572 L
.32032 .4813 L
.31258 .47572 L
.31876 .46601 L
.32032 .46466 L
.3258 .45629 L
F
.33003 .52769 m
.33655 .53399 L
.33032 .54371 L
.33974 .55232 L
.34569 .54371 L
.34946 .53938 L
.35841 .54371 L
.35182 .55342 L
.34946 .55627 L
.34344 .56313 L
.33974 .56847 L
.3328 .56313 L
.33843 .55342 L
.33003 .54408 L
.32209 .55342 L
.32032 .55627 L
.31264 .55342 L
.31728 .54371 L
.32032 .54106 L
.32468 .53399 L
F
.33003 .47075 m
.33824 .47572 L
.33178 .48543 L
.33003 .48763 L
.32341 .49514 L
.32032 .49998 L
.31266 .49514 L
.31847 .48543 L
.32032 .48384 L
.3256 .47572 L
F
.33003 .4898 m
.33755 .49514 L
.33132 .50486 L
.33974 .51424 L
.34627 .50486 L
.34946 .50121 L
.35453 .49514 L
.35917 .48858 L
.36628 .49514 L
.35993 .50486 L
.36888 .51329 L
.376 .50486 L
.37859 .5009 L
.38655 .50486 L
.38104 .51457 L
.37859 .51679 L
.3736 .52428 L
.36888 .52981 L
.36179 .52428 L
.36781 .51457 L
.35917 .50555 L
.35276 .51457 L
.34946 .51852 L
.34441 .52428 L
.33974 .53101 L
.33293 .52428 L
.33936 .51457 L
.33003 .50649 L
.32296 .51457 L
.32032 .51874 L
.31267 .51457 L
.31808 .50486 L
.32032 .50293 L
.32532 .49514 L
F
.33003 .50879 m
.33699 .51457 L
.33083 .52428 L
.33974 .53327 L
.34598 .52428 L
.34946 .52032 L
.35916 .52428 L
.3523 .53399 L
.34946 .5374 L
.34392 .54371 L
.33974 .54972 L
.33286 .54371 L
.33888 .53399 L
.33003 .52529 L
.32251 .53399 L
.32032 .5375 L
.31268 .53399 L
.3177 .52428 L
.32032 .52201 L
.32502 .51457 L
F
.33003 .45169 m
.33902 .45629 L
.3322 .46601 L
.33003 .4687 L
.32382 .47572 L
.32032 .48118 L
.31272 .47572 L
.31895 .46601 L
.32032 .46482 L
.32591 .45629 L
F
.33974 .42017 m
.34595 .42716 L
.33992 .43687 L
.34946 .44395 L
.35532 .43687 L
.35917 .4314 L
.36766 .43687 L
.36183 .44658 L
.36888 .45623 L
.37658 .44658 L
.37859 .44339 L
.38558 .43687 L
.38831 .43198 L
.39471 .43687 L
.38885 .44658 L
.38831 .44695 L
.38301 .45629 L
.37859 .46041 L
.37505 .46601 L
.36888 .47367 L
.36255 .46601 L
.36883 .45629 L
.35917 .44896 L
.354 .45629 L
.34946 .46177 L
.34086 .45629 L
.34719 .44658 L
.33974 .43703 L
.33262 .44658 L
.33003 .44978 L
.32427 .45629 L
.32032 .46244 L
.31276 .45629 L
.31939 .44658 L
.32032 .44578 L
.32617 .43687 L
.33003 .43257 L
.33447 .42716 L
F
.33003 .47084 m
.33813 .47572 L
.33172 .48543 L
.33003 .48755 L
.32334 .49514 L
.32032 .49987 L
.31279 .49514 L
.31861 .48543 L
.32032 .48396 L
.32568 .47572 L
F
.33003 .48988 m
.33746 .49514 L
.33125 .50486 L
.33974 .51432 L
.34632 .50486 L
.34946 .50127 L
.35458 .49514 L
.35917 .48865 L
.36621 .49514 L
.35985 .50486 L
.36888 .51338 L
.37607 .50486 L
.37859 .50101 L
.38641 .50486 L
.38091 .51457 L
.37859 .51667 L
.37352 .52428 L
.36888 .52972 L
.36189 .52428 L
.36788 .51457 L
.35917 .50548 L
.35271 .51457 L
.34946 .51846 L
.34435 .52428 L
.33974 .53093 L
.333 .52428 L
.33945 .51457 L
.33003 .5064 L
.32288 .51457 L
.32032 .51862 L
.31282 .51457 L
.31821 .50486 L
.32032 .50304 L
.32539 .49514 L
F
.33003 .45182 m
.33887 .45629 L
.33212 .46601 L
.33003 .46861 L
.32374 .47572 L
.32032 .48105 L
.31287 .47572 L
.31913 .46601 L
.32032 .46498 L
.32602 .45629 L
F
.33003 .50888 m
.33691 .51457 L
.33075 .52428 L
.33974 .53335 L
.34604 .52428 L
.34946 .52038 L
.35906 .52428 L
.35223 .53399 L
.34946 .53732 L
.34384 .54371 L
.33974 .54962 L
.33297 .54371 L
.33898 .53399 L
.33003 .52519 L
.32242 .53399 L
.32032 .53735 L
.31289 .53399 L
.31784 .52428 L
.32032 .52213 L
.32509 .51457 L
F
.33003 .47093 m
.33802 .47572 L
.33165 .48543 L
.33003 .48747 L
.32326 .49514 L
.32032 .49976 L
.31293 .49514 L
.31875 .48543 L
.32032 .48408 L
.32576 .47572 L
F
.33974 .4204 m
.34576 .42716 L
.33976 .43687 L
.34946 .44408 L
.35543 .43687 L
.35917 .43157 L
.36747 .43687 L
.36171 .44658 L
.35917 .44885 L
.35392 .45629 L
.34946 .46168 L
.34097 .45629 L
.34729 .44658 L
.33974 .43688 L
.33252 .44658 L
.33003 .44965 L
.32415 .45629 L
.32032 .46228 L
.31294 .45629 L
.31967 .44658 L
.32032 .44602 L
.32635 .43687 L
.33003 .43278 L
.33465 .42716 L
F
.33003 .48996 m
.33737 .49514 L
.33119 .50486 L
.33974 .51439 L
.34637 .50486 L
.34946 .50133 L
.35463 .49514 L
.35917 .48872 L
.36614 .49514 L
.35978 .50486 L
.36888 .51346 L
.37614 .50486 L
.37859 .50111 L
.38626 .50486 L
.38078 .51457 L
.37859 .51656 L
.37345 .52428 L
.36888 .52963 L
.36198 .52428 L
.36795 .51457 L
.35917 .5054 L
.35266 .51457 L
.34946 .5184 L
.34429 .52428 L
.33974 .53085 L
.33308 .52428 L
.33953 .51457 L
.33003 .50632 L
.32281 .51457 L
.32032 .51851 L
.31297 .51457 L
.31834 .50486 L
.32032 .50315 L
.32546 .49514 L
F
.33003 .52779 m
.33646 .53399 L
.33021 .54371 L
.33974 .55243 L
.34576 .54371 L
.34946 .53947 L
.35829 .54371 L
.35172 .55342 L
.34946 .55614 L
.34332 .56313 L
.33974 .5683 L
.33297 .56313 L
.33856 .55342 L
.33003 .54393 L
.32195 .55342 L
.32032 .55605 L
.31297 .55342 L
.31746 .54371 L
.32032 .54122 L
.32477 .53399 L
F
.33003 .45195 m
.33872 .45629 L
.33205 .46601 L
.33003 .46852 L
.32366 .47572 L
.32032 .48093 L
.31301 .47572 L
.31931 .46601 L
.32032 .46514 L
.32613 .45629 L
F
.33003 .47102 m
.33791 .47572 L
.33159 .48543 L
.33003 .48739 L
.32319 .49514 L
.32032 .49965 L
.31306 .49514 L
.3189 .48543 L
.32032 .48421 L
.32584 .47572 L
F
.33003 .50896 m
.33682 .51457 L
.33067 .52428 L
.33974 .53344 L
.3461 .52428 L
.34946 .52045 L
.35896 .52428 L
.35216 .53399 L
.34946 .53724 L
.34377 .54371 L
.33974 .54951 L
.33307 .54371 L
.33908 .53399 L
.33003 .52509 L
.32232 .53399 L
.32032 .5372 L
.31309 .53399 L
.31798 .52428 L
.32032 .52226 L
.32516 .51457 L
F
.33003 .43298 m
.33951 .43687 L
.33241 .44658 L
.33003 .44952 L
.32404 .45629 L
.32032 .46212 L
.31311 .45629 L
.31995 .44658 L
.32032 .44626 L
.32653 .43687 L
F
.32032 .38879 m
.32556 .39802 L
.32032 .40646 L
.31312 .39802 L
F
.33003 .49004 m
.33728 .49514 L
.33112 .50486 L
.33974 .51446 L
.34642 .50486 L
.34946 .50139 L
.35468 .49514 L
.35917 .48879 L
.36608 .49514 L
.3597 .50486 L
.36888 .51354 L
.37622 .50486 L
.37859 .50122 L
.38611 .50486 L
.38066 .51457 L
.37859 .51644 L
.37337 .52428 L
.36888 .52953 L
.36208 .52428 L
.36802 .51457 L
.35917 .50533 L
.3526 .51457 L
.34946 .51833 L
.34424 .52428 L
.33974 .53077 L
.33315 .52428 L
.33962 .51457 L
.33003 .50623 L
.32273 .51457 L
.32032 .51839 L
.31312 .51457 L
.31847 .50486 L
.32032 .50327 L
.32553 .49514 L
F
.33003 .45207 m
.33856 .45629 L
.33197 .46601 L
.33003 .46842 L
.32357 .47572 L
.32032 .48081 L
.31315 .47572 L
.3195 .46601 L
.32032 .4653 L
.32624 .45629 L
F
.32032 .40811 m
.32498 .41744 L
.32032 .42488 L
.31316 .41744 L
F
.32032 .56031 m
.32927 .56313 L
.32143 .57284 L
.32032 .57464 L
.31319 .57284 L
.31713 .56313 L
F
.33003 .47112 m
.3378 .47572 L
.33152 .48543 L
.33003 .48731 L
.32312 .49514 L
.32032 .49954 L
.3132 .49514 L
.31904 .48543 L
.32032 .48433 L
.32593 .47572 L
F
.33003 .49012 m
.33719 .49514 L
.33105 .50486 L
.33974 .51453 L
.34647 .50486 L
.34946 .50145 L
.35472 .49514 L
.35917 .48886 L
.36601 .49514 L
.35962 .50486 L
.36888 .51363 L
.37629 .50486 L
.37859 .50133 L
.38596 .50486 L
.38053 .51457 L
.37859 .51632 L
.37329 .52428 L
.36888 .52944 L
.36217 .52428 L
.36809 .51457 L
.35917 .50526 L
.35255 .51457 L
.34946 .51827 L
.34418 .52428 L
.33974 .53069 L
.33322 .52428 L
.3397 .51457 L
.33003 .50615 L
.32266 .51457 L
.32032 .51827 L
.31327 .51457 L
.3186 .50486 L
.32032 .50338 L
.3256 .49514 L
F
.32032 .42743 m
.32441 .43687 L
.32032 .44332 L
.31328 .43687 L
F
.33003 .4522 m
.33841 .45629 L
.33189 .46601 L
.33003 .46832 L
.32349 .47572 L
.32032 .48068 L
.31329 .47572 L
.31969 .46601 L
.32032 .46546 L
.32635 .45629 L
F
.33003 .43319 m
.33926 .43687 L
.3323 .44658 L
.33003 .44939 L
.32393 .45629 L
.32032 .46196 L
.31329 .45629 L
.32023 .44658 L
.32032 .4465 L
.32671 .43687 L
F
.33003 .50904 m
.33673 .51457 L
.33059 .52428 L
.33974 .53352 L
.34616 .52428 L
.34946 .52051 L
.35886 .52428 L
.3521 .53399 L
.34946 .53716 L
.34369 .54371 L
.33974 .5494 L
.33318 .54371 L
.33918 .53399 L
.33003 .52499 L
.32223 .53399 L
.32032 .53705 L
.3133 .53399 L
.31812 .52428 L
.32032 .52238 L
.32524 .51457 L
F
.33003 .52789 m
.33636 .53399 L
.3301 .54371 L
.33974 .55254 L
.34584 .54371 L
.34946 .53955 L
.35816 .54371 L
.35162 .55342 L
.34946 .55601 L
.3432 .56313 L
.33974 .56813 L
.33315 .56313 L
.3387 .55342 L
.33003 .54379 L
.32181 .55342 L
.32032 .55582 L
.31331 .55342 L
.31764 .54371 L
.32032 .54137 L
.32486 .53399 L
F
.33003 .47121 m
.3377 .47572 L
.33146 .48543 L
.33003 .48722 L
.32304 .49514 L
.32032 .49943 L
.31333 .49514 L
.31919 .48543 L
.32032 .48446 L
.32601 .47572 L
F
.33003 .4902 m
.3371 .49514 L
.33099 .50486 L
.33003 .50607 L
.32258 .51457 L
.32032 .51815 L
.31343 .51457 L
.31873 .50486 L
.32032 .50349 L
.32567 .49514 L
F
.33003 .45233 m
.33825 .45629 L
.33181 .46601 L
.33003 .46823 L
.32341 .47572 L
.32032 .48056 L
.31343 .47572 L
.31987 .46601 L
.32032 .46562 L
.32646 .45629 L
F
.33003 .4713 m
.33758 .47572 L
.33139 .48543 L
.33003 .48714 L
.32297 .49514 L
.32032 .49931 L
.31347 .49514 L
.31933 .48543 L
.32032 .48458 L
.32609 .47572 L
F
.32032 .44673 m
.32382 .45629 L
.32032 .46179 L
.31347 .45629 L
F
.33003 .50913 m
.33665 .51457 L
.33051 .52428 L
.33974 .5336 L
.34621 .52428 L
.34946 .52058 L
.35876 .52428 L
.35203 .53399 L
.34946 .53707 L
.34362 .54371 L
.33974 .5493 L
.33328 .54371 L
.33928 .53399 L
.33003 .52489 L
.32213 .53399 L
.32032 .5369 L
.31351 .53399 L
.31826 .52428 L
.32032 .5225 L
.32531 .51457 L
F
.32032 .42778 m
.32423 .43687 L
.32032 .44307 L
.31354 .43687 L
F
.33003 .45246 m
.33809 .45629 L
.33174 .46601 L
.33003 .46813 L
.32332 .47572 L
.32032 .48044 L
.31358 .47572 L
.32006 .46601 L
.32032 .46579 L
.32658 .45629 L
F
.33003 .49029 m
.33701 .49514 L
.33092 .50486 L
.33003 .50598 L
.3225 .51457 L
.32032 .51803 L
.31358 .51457 L
.31887 .50486 L
.32032 .50361 L
.32574 .49514 L
F
.33003 .4714 m
.33747 .47572 L
.33133 .48543 L
.33003 .48706 L
.3229 .49514 L
.32032 .4992 L
.3136 .49514 L
.31948 .48543 L
.32032 .48471 L
.32617 .47572 L
F
.32032 .40874 m
.32464 .41744 L
.32032 .42442 L
.31364 .41744 L
F
.32032 .44696 m
.32371 .45629 L
.32032 .46163 L
.31365 .45629 L
F
.32032 .54153 m
.32994 .54371 L
.32167 .55342 L
.32032 .55559 L
.31366 .55342 L
.31782 .54371 L
F
.33003 .45259 m
.33793 .45629 L
.33166 .46601 L
.33003 .46804 L
.32324 .47572 L
.32032 .48031 L
.31372 .47572 L
.32025 .46601 L
.32032 .46595 L
.32669 .45629 L
F
.33003 .50921 m
.33656 .51457 L
.33043 .52428 L
.33974 .53369 L
.34627 .52428 L
.34946 .52064 L
.35866 .52428 L
.35196 .53399 L
.34946 .53699 L
.34354 .54371 L
.33974 .54919 L
.33339 .54371 L
.33938 .53399 L
.33003 .52479 L
.32204 .53399 L
.32032 .53674 L
.31372 .53399 L
.3184 .52428 L
.32032 .52263 L
.32538 .51457 L
F
.33003 .47149 m
.33736 .47572 L
.33126 .48543 L
.33003 .48697 L
.32282 .49514 L
.32032 .49909 L
.31374 .49514 L
.31963 .48543 L
.32032 .48484 L
.32625 .47572 L
F
.33003 .49037 m
.33692 .49514 L
.33085 .50486 L
.33003 .5059 L
.32242 .51457 L
.32032 .51791 L
.31374 .51457 L
.319 .50486 L
.32032 .50373 L
.32581 .49514 L
F
.32032 .42813 m
.32404 .43687 L
.32032 .44281 L
.31381 .43687 L
F
.32032 .44719 m
.32359 .45629 L
.32032 .46146 L
.31383 .45629 L
F
.32032 .46612 m
.32315 .47572 L
.32032 .48018 L
.31386 .47572 L
F
.32032 .57947 m
.32816 .58256 L
.32077 .59227 L
.32032 .59299 L
.31387 .59227 L
.3169 .58256 L
F
.32032 .56055 m
.32892 .56313 L
.32118 .57284 L
.32032 .57423 L
.31388 .57284 L
.3174 .56313 L
F
.33003 .47158 m
.33725 .47572 L
.33119 .48543 L
.33003 .48689 L
.32275 .49514 L
.32032 .49898 L
.31388 .49514 L
.31977 .48543 L
.32032 .48497 L
.32634 .47572 L
F
.33003 .49045 m
.33683 .49514 L
.33079 .50486 L
.33003 .50581 L
.32235 .51457 L
.32032 .51779 L
.3139 .51457 L
.31914 .50486 L
.32032 .50384 L
.32589 .49514 L
F
.33003 .50929 m
.33647 .51457 L
.33035 .52428 L
.33974 .53377 L
.34633 .52428 L
.34946 .52071 L
.35856 .52428 L
.35189 .53399 L
.34946 .53691 L
.34347 .54371 L
.33974 .54908 L
.33349 .54371 L
.33948 .53399 L
.33003 .52468 L
.32194 .53399 L
.32032 .53659 L
.31394 .53399 L
.31854 .52428 L
.32032 .52275 L
.32546 .51457 L
F
.32032 .4663 m
.32307 .47572 L
.32032 .48006 L
.31401 .47572 L
F
.32032 .44742 m
.32348 .45629 L
.32032 .4613 L
.31401 .45629 L
F
.32032 .54169 m
.32972 .54371 L
.32152 .55342 L
.32032 .55536 L
.31401 .55342 L
.318 .54371 L
F
.33003 .47168 m
.33714 .47572 L
.33113 .48543 L
.33003 .48681 L
.32267 .49514 L
.32032 .49886 L
.31402 .49514 L
.31992 .48543 L
.32032 .48509 L
.32642 .47572 L
F
.33003 .49053 m
.33674 .49514 L
.33072 .50486 L
.33003 .50573 L
.32227 .51457 L
.32032 .51767 L
.31406 .51457 L
.31927 .50486 L
.32032 .50396 L
.32596 .49514 L
F
.32032 .42847 m
.32386 .43687 L
.32032 .44255 L
.31408 .43687 L
F
.32032 .40935 m
.3243 .41744 L
.32032 .42395 L
.31411 .41744 L
F
.32032 .39011 m
.32479 .39802 L
.32032 .40549 L
.31412 .39802 L
F
.33003 .47177 m
.33702 .47572 L
.33106 .48543 L
.33003 .48672 L
.3226 .49514 L
.32032 .49875 L
.31415 .49514 L
.32008 .48543 L
.32032 .48522 L
.3265 .47572 L
F
.32032 .46648 m
.32298 .47572 L
.32032 .47993 L
.31416 .47572 L
F
.33003 .50938 m
.33639 .51457 L
.33027 .52428 L
.33974 .53386 L
.34638 .52428 L
.34946 .52077 L
.35846 .52428 L
.35183 .53399 L
.34946 .53683 L
.34339 .54371 L
.33974 .54897 L
.3336 .54371 L
.33958 .53399 L
.33003 .52458 L
.32184 .53399 L
.32032 .53643 L
.31416 .53399 L
.31869 .52428 L
.32032 .52288 L
.32553 .51457 L
F
.32032 .44765 m
.32336 .45629 L
.32032 .46113 L
.31419 .45629 L
F
.33003 .49061 m
.33665 .49514 L
.33065 .50486 L
.33003 .50564 L
.32219 .51457 L
.32032 .51754 L
.31422 .51457 L
.31941 .50486 L
.32032 .50408 L
.32603 .49514 L
F
.33003 .47187 m
.33691 .47572 L
.33099 .48543 L
.33003 .48664 L
.32252 .49514 L
.32032 .49863 L
.3143 .49514 L
.32023 .48543 L
.32032 .48536 L
.32658 .47572 L
F
.32032 .46666 m
.3229 .47572 L
.32032 .4798 L
.3143 .47572 L
F
.32032 .42882 m
.32368 .43687 L
.32032 .44229 L
.31435 .43687 L
F
.32032 .44789 m
.32325 .45629 L
.32032 .46096 L
.31438 .45629 L
F
.33003 .49069 m
.33655 .49514 L
.33058 .50486 L
.33003 .50555 L
.32211 .51457 L
.32032 .51742 L
.31438 .51457 L
.31955 .50486 L
.32032 .5042 L
.3261 .49514 L
F
.33003 .50946 m
.3363 .51457 L
.33019 .52428 L
.33974 .53395 L
.34644 .52428 L
.34946 .52084 L
.35836 .52428 L
.35176 .53399 L
.34946 .53674 L
.34332 .54371 L
.33974 .54887 L
.3337 .54371 L
.33969 .53399 L
.33003 .52448 L
.32174 .53399 L
.32032 .53628 L
.31438 .53399 L
.31883 .52428 L
.32032 .523 L
.3256 .51457 L
F
.32032 .54185 m
.32948 .54371 L
.32138 .55342 L
.32032 .55512 L
.31438 .55342 L
.31818 .54371 L
F
.32032 .4855 m
.32244 .49514 L
.32032 .49852 L
.31444 .49514 L
F
.32032 .37121 m
.32506 .37859 L
.32032 .38682 L
.31444 .37859 L
F
.32032 .46685 m
.32281 .47572 L
.32032 .47967 L
.31445 .47572 L
F
.33003 .49078 m
.33646 .49514 L
.33052 .50486 L
.33003 .50547 L
.32203 .51457 L
.32032 .51729 L
.31454 .51457 L
.31969 .50486 L
.32032 .50432 L
.32617 .49514 L
F
.32032 .44812 m
.32313 .45629 L
.32032 .46079 L
.31456 .45629 L
F
.32032 .48567 m
.32237 .49514 L
.32032 .4984 L
.31458 .49514 L
F
.32032 .40997 m
.32395 .41744 L
.32032 .42346 L
.31459 .41744 L
F
.32032 .46704 m
.32273 .47572 L
.32032 .47954 L
.3146 .47572 L
F
.33003 .50955 m
.33621 .51457 L
.33011 .52428 L
.33003 .52438 L
.32164 .53399 L
.32032 .53612 L
.31461 .53399 L
.31898 .52428 L
.32032 .52313 L
.32568 .51457 L
F
.32032 .42917 m
.32349 .43687 L
.32032 .44202 L
.31462 .43687 L
F
.32032 .56079 m
.32855 .56313 L
.32092 .57284 L
.32032 .57382 L
.31463 .57284 L
.31767 .56313 L
F
.33003 .49086 m
.33637 .49514 L
.33045 .50486 L
.33003 .50538 L
.32195 .51457 L
.32032 .51717 L
.31471 .51457 L
.31983 .50486 L
.32032 .50444 L
.32625 .49514 L
F
.32032 .48584 m
.32229 .49514 L
.32032 .49828 L
.31473 .49514 L
F
.32032 .44836 m
.32301 .45629 L
.32032 .46061 L
.31475 .45629 L
F
.32032 .46722 m
.32264 .47572 L
.32032 .47941 L
.31475 .47572 L
F
.32032 .54201 m
.32924 .54371 L
.32123 .55342 L
.32032 .55489 L
.31477 .55342 L
.31837 .54371 L
F
.32032 .52326 m
.33002 .52428 L
.32154 .53399 L
.32032 .53596 L
.31484 .53399 L
.31913 .52428 L
F
.32032 .48601 m
.32221 .49514 L
.32032 .49816 L
.31487 .49514 L
F
.33003 .49094 m
.33627 .49514 L
.33038 .50486 L
.33003 .50529 L
.32187 .51457 L
.32032 .51704 L
.31488 .51457 L
.31997 .50486 L
.32032 .50456 L
.32632 .49514 L
F
.32032 .42953 m
.3233 .43687 L
.32032 .44175 L
.3149 .43687 L
F
.32032 .46741 m
.32255 .47572 L
.32032 .47928 L
.3149 .47572 L
F
.32032 .4486 m
.32289 .45629 L
.32032 .46044 L
.31494 .45629 L
F
.32032 .48619 m
.32214 .49514 L
.32032 .49804 L
.31502 .49514 L
F
.33003 .49102 m
.33618 .49514 L
.33031 .50486 L
.33003 .5052 L
.32178 .51457 L
.32032 .51692 L
.31505 .51457 L
.32012 .50486 L
.32032 .50468 L
.32639 .49514 L
F
.32032 .46761 m
.32246 .47572 L
.32032 .47915 L
.31506 .47572 L
F
.32032 .4106 m
.32359 .41744 L
.32032 .42296 L
.31508 .41744 L
F
.32032 .52339 m
.32983 .52428 L
.32144 .53399 L
.32032 .5358 L
.31509 .53399 L
.31928 .52428 L
F
.32032 .44885 m
.32278 .45629 L
.32032 .46026 L
.31513 .45629 L
F
.32032 .39141 m
.32399 .39802 L
.32032 .40444 L
.31513 .39802 L
F
.32032 .48637 m
.32206 .49514 L
.32032 .49792 L
.31517 .49514 L
F
.32032 .54218 m
.32898 .54371 L
.32108 .55342 L
.32032 .55465 L
.31518 .55342 L
.31855 .54371 L
F
.32032 .42989 m
.32311 .43687 L
.32032 .44147 L
.31518 .43687 L
F
.32032 .4678 m
.32237 .47572 L
.32032 .47901 L
.31521 .47572 L
F
.33003 .49111 m
.33608 .49514 L
.33024 .50486 L
.33003 .50512 L
.3217 .51457 L
.32032 .51679 L
.31523 .51457 L
.32026 .50486 L
.32032 .50481 L
.32646 .49514 L
F
.32032 .44909 m
.32266 .45629 L
.32032 .46008 L
.31532 .45629 L
F
.32032 .48655 m
.32198 .49514 L
.32032 .4978 L
.31533 .49514 L
F
.32032 .52353 m
.32963 .52428 L
.32134 .53399 L
.32032 .53564 L
.31534 .53399 L
.31944 .52428 L
F
.32032 .468 m
.32228 .47572 L
.32032 .47888 L
.31537 .47572 L
F
.32032 .50497 m
.32162 .51457 L
.32032 .51666 L
.31541 .51457 L
F
.32032 .43026 m
.32292 .43687 L
.32032 .44118 L
.31547 .43687 L
F
.32032 .48673 m
.3219 .49514 L
.32032 .49768 L
.31548 .49514 L
F
.32032 .56104 m
.32817 .56313 L
.32066 .57284 L
.32032 .57339 L
.3155 .57284 L
.31795 .56313 L
F
.32032 .44935 m
.32253 .45629 L
.32032 .4599 L
.31552 .45629 L
F
.32032 .46821 m
.32219 .47572 L
.32032 .47874 L
.31553 .47572 L
F
.32032 .41124 m
.32322 .41744 L
.32032 .42243 L
.31558 .41744 L
F
.32032 .50516 m
.32153 .51457 L
.32032 .51653 L
.31559 .51457 L
F
.32032 .52366 m
.32943 .52428 L
.32123 .53399 L
.32032 .53547 L
.31559 .53399 L
.31959 .52428 L
F
.32032 .54234 m
.32872 .54371 L
.32093 .55342 L
.32032 .5544 L
.31562 .55342 L
.31874 .54371 L
F
.32032 .48692 m
.32182 .49514 L
.32032 .49755 L
.31564 .49514 L
F
.32032 .46841 m
.3221 .47572 L
.32032 .4786 L
.31569 .47572 L
F
.32032 .4496 m
.32241 .45629 L
.32032 .45972 L
.31572 .45629 L
F
.32032 .43063 m
.32272 .43687 L
.32032 .44089 L
.31576 .43687 L
F
.32032 .50536 m
.32145 .51457 L
.32032 .51639 L
.31578 .51457 L
F
.32032 .48712 m
.32174 .49514 L
.32032 .49743 L
.3158 .49514 L
F
.32032 .46862 m
.32201 .47572 L
.32032 .47846 L
.31586 .47572 L
F
.32032 .52379 m
.32922 .52428 L
.32113 .53399 L
.32032 .5353 L
.31586 .53399 L
.31975 .52428 L
F
.32032 .44986 m
.32229 .45629 L
.32032 .45953 L
.31592 .45629 L
F
.32032 .48731 m
.32165 .49514 L
.32032 .4973 L
.31597 .49514 L
F
.32032 .50556 m
.32136 .51457 L
.32032 .51626 L
.31598 .51457 L
F
.32032 .46884 m
.32191 .47572 L
.32032 .47832 L
.31603 .47572 L
F
.32032 .43101 m
.32252 .43687 L
.32032 .4406 L
.31606 .43687 L
F
.32032 .4119 m
.32285 .41744 L
.32032 .42188 L
.3161 .41744 L
F
.32032 .54251 m
.32844 .54371 L
.32077 .55342 L
.32032 .55415 L
.3161 .55342 L
.31893 .54371 L
F
.32032 .45013 m
.32216 .45629 L
.32032 .45934 L
.31613 .45629 L
F
.32032 .48752 m
.32157 .49514 L
.32032 .49717 L
.31613 .49514 L
F
.32032 .52393 m
.32899 .52428 L
.32102 .53399 L
.32032 .53513 L
.31615 .53399 L
.31991 .52428 L
F
.32032 .50577 m
.32128 .51457 L
.32032 .51612 L
.31618 .51457 L
F
.32032 .39276 m
.32315 .39802 L
.32032 .40327 L
.31619 .39802 L
F
.32032 .46906 m
.32182 .47572 L
.32032 .47817 L
.3162 .47572 L
F
.32032 .48772 m
.32149 .49514 L
.32032 .49705 L
.31631 .49514 L
F
.32032 .45041 m
.32203 .45629 L
.32032 .45914 L
.31634 .45629 L
F
.32032 .43141 m
.32232 .43687 L
.32032 .44029 L
.31637 .43687 L
F
.32032 .46928 m
.32173 .47572 L
.32032 .47802 L
.31638 .47572 L
F
.32032 .35434 m
.32388 .35917 L
.32032 .36666 L
.31638 .35917 L
F
.32032 .50598 m
.32119 .51457 L
.32032 .51599 L
.31639 .51457 L
F
.32032 .52407 m
.32876 .52428 L
.32091 .53399 L
.32032 .53496 L
.31645 .53399 L
.32007 .52428 L
F
.32032 .48794 m
.3214 .49514 L
.32032 .49691 L
.31649 .49514 L
F
.32032 .46951 m
.32163 .47572 L
.32032 .47788 L
.31656 .47572 L
F
.32032 .45069 m
.3219 .45629 L
.32032 .45894 L
.31656 .45629 L
F
.32032 .56129 m
.32776 .56313 L
.32039 .57284 L
.32032 .57296 L
.3166 .57284 L
.31823 .56313 L
F
.32032 .5062 m
.3211 .51457 L
.32032 .51585 L
.3166 .51457 L
F
.32032 .41259 m
.32246 .41744 L
.32032 .4213 L
.31664 .41744 L
F
.32032 .54268 m
.32814 .54371 L
.32061 .55342 L
.32032 .5539 L
.31665 .55342 L
.31913 .54371 L
F
.32032 .48816 m
.32132 .49514 L
.32032 .49678 L
.31667 .49514 L
F
.32032 .43182 m
.32211 .43687 L
.32032 .43997 L
.31669 .43687 L
F
.32032 .46975 m
.32153 .47572 L
.32032 .47772 L
.31675 .47572 L
F
.32032 .52421 m
.3285 .52428 L
.32081 .53399 L
.32032 .53479 L
.31677 .53399 L
.32024 .52428 L
F
.32032 .45098 m
.32177 .45629 L
.32032 .45874 L
.31679 .45629 L
F
.32032 .50643 m
.32101 .51457 L
.32032 .5157 L
.31683 .51457 L
F
.32032 .48839 m
.32123 .49514 L
.32032 .49665 L
.31686 .49514 L
F
.32032 .47 m
.32143 .47572 L
.32032 .47757 L
.31694 .47572 L
F
.32032 .45129 m
.32164 .45629 L
.32032 .45853 L
.31702 .45629 L
F
.32032 .43225 m
.3219 .43687 L
.32032 .43964 L
.31702 .43687 L
F
.32032 .48863 m
.32115 .49514 L
.32032 .49651 L
.31706 .49514 L
F
.32032 .50667 m
.32092 .51457 L
.32032 .51556 L
.31707 .51457 L
F
.32032 .37459 m
.3228 .37859 L
.32032 .38391 L
.3171 .37859 L
F
.32032 .59899 m
.32663 .60198 L
.32032 .61059 L
.31712 .60198 L
F
.32032 .52441 m
.3207 .53399 L
.32032 .53461 L
.31713 .53399 L
F
.32032 .47026 m
.32133 .47572 L
.32032 .47741 L
.31714 .47572 L
F
.32032 .41333 m
.32205 .41744 L
.32032 .42067 L
.31722 .41744 L
F
.32032 .48887 m
.32106 .49514 L
.32032 .49637 L
.31726 .49514 L
F
.32032 .4516 m
.3215 .45629 L
.32032 .45832 L
.31727 .45629 L
F
.32032 .54286 m
.32783 .54371 L
.32045 .55342 L
.32032 .55364 L
.31731 .55342 L
.31933 .54371 L
F
.32032 .50692 m
.32083 .51457 L
.32032 .51541 L
.31733 .51457 L
F
.32032 .47053 m
.32123 .47572 L
.32032 .47725 L
.31735 .47572 L
F
.32032 .39424 m
.32225 .39802 L
.32032 .40192 L
.31736 .39802 L
F
.32032 .43271 m
.32168 .43687 L
.32032 .43929 L
.31738 .43687 L
F
.32032 .5799 m
.32751 .58256 L
.32032 .59213 L
.31738 .58256 L
F
.32032 .48913 m
.32097 .49514 L
.32032 .49623 L
.31748 .49514 L
F
.32032 .45194 m
.32136 .45629 L
.32032 .4581 L
.31752 .45629 L
F
.32032 .52467 m
.32058 .53399 L
.32032 .53443 L
.31753 .53399 L
F
.32032 .47081 m
.32113 .47572 L
.32032 .47709 L
.31757 .47572 L
F
.32032 .50719 m
.32074 .51457 L
.32032 .51527 L
.3176 .51457 L
F
.32032 .48941 m
.32088 .49514 L
.32032 .49608 L
.31771 .49514 L
F
.32032 .43319 m
.32146 .43687 L
.32032 .43893 L
.31775 .43687 L
F
.32032 .45229 m
.32122 .45629 L
.32032 .45787 L
.31779 .45629 L
F
.32032 .4711 m
.32103 .47572 L
.32032 .47692 L
.3178 .47572 L
F
.32032 .41414 m
.32162 .41744 L
.32032 .41997 L
.31786 .41744 L
F
.32032 .58036 m
.3268 .58256 L
.32032 .59128 L
.31788 .58256 L
F
.32032 .61901 m
.32462 .62141 L
.32032 .62763 L
.3179 .62141 L
F
.32032 .50747 m
.32065 .51457 L
.32032 .51511 L
.31791 .51457 L
F
.32032 .48969 m
.32079 .49514 L
.32032 .49593 L
.31796 .49514 L
F
.32032 .52495 m
.32047 .53399 L
.32032 .53424 L
.31802 .53399 L
F
.32032 .47142 m
.32092 .47572 L
.32032 .47675 L
.31805 .47572 L
F
.32032 .45267 m
.32108 .45629 L
.32032 .45763 L
.31808 .45629 L
F
.32032 .43372 m
.32122 .43687 L
.32032 .43854 L
.31816 .43687 L
F
.32032 .6 m
.32514 .60198 L
.32032 .60878 L
.3182 .60198 L
F
.32032 .49001 m
.3207 .49514 L
.32032 .49578 L
.31824 .49514 L
F
.32032 .50777 m
.32055 .51457 L
.32032 .51496 L
.31825 .51457 L
F
.32032 .47176 m
.32081 .47572 L
.32032 .47657 L
.31831 .47572 L
F
.32032 .45308 m
.32093 .45629 L
.32032 .45739 L
.3184 .45629 L
F
.32032 .58083 m
.32603 .58256 L
.32032 .59037 L
.3184 .58256 L
F
.32032 .56155 m
.32733 .56313 L
.32032 .57247 L
.31851 .56313 L
F
.32032 .49034 m
.3206 .49514 L
.32032 .49563 L
.31854 .49514 L
F
.32032 .41507 m
.32116 .41744 L
.32032 .41918 L
.31859 .41744 L
F
.32032 .47214 m
.32071 .47572 L
.32032 .47639 L
.31861 .47572 L
F
.32032 .43432 m
.32098 .43687 L
.32032 .43813 L
.31862 .43687 L
F
.32032 .639 m
.32294 .64083 L
.32032 .64483 L
.31867 .64083 L
F
.32032 .50809 m
.32046 .51457 L
.32032 .5148 L
.31868 .51457 L
F
.32032 .52525 m
.32035 .53399 L
.32032 .53405 L
.31869 .53399 L
F
.32032 .45354 m
.32078 .45629 L
.32032 .45713 L
.31874 .45629 L
F
.32032 .39603 m
.32122 .39802 L
.32032 .40017 L
.31878 .39802 L
F
.32032 .56181 m
.32687 .56313 L
.32032 .57194 L
.31881 .56313 L
F
.32032 .49072 m
.32051 .49514 L
.32032 .49547 L
.3189 .49514 L
F
.32032 .58132 m
.32514 .58256 L
.32032 .58938 L
.31894 .58256 L
F
.32032 .47256 m
.32059 .47572 L
.32032 .4762 L
.31894 .47572 L
F
.32032 .56208 m
.32636 .56313 L
.32032 .57138 L
.31911 .56313 L
F
.32032 .45408 m
.32063 .45629 L
.32032 .45686 L
.31914 .45629 L
F
.32032 .43502 m
.32072 .43687 L
.32032 .43767 L
.31915 .43687 L
F
.32032 .50844 m
.32036 .51457 L
.32032 .51464 L
.31928 .51457 L
F
.32032 .47307 m
.32048 .47572 L
.32032 .47601 L
.31935 .47572 L
F
.32032 .49115 m
.32041 .49514 L
.32032 .4953 L
.31936 .49514 L
F
.32032 .60114 m
.32317 .60198 L
.32032 .60656 L
.31941 .60198 L
F
.32032 .56236 m
.32579 .56313 L
.32032 .57077 L
.31943 .56313 L
F
.32032 .41627 m
.32066 .41744 L
.32032 .41822 L
.3195 .41744 L
F
.32032 .58185 m
.32405 .58256 L
.32032 .58823 L
.31952 .58256 L
F
.32032 .54303 m
.3275 .54371 L
.32032 .55335 L
.31953 .54371 L
F
.32032 .45479 m
.32046 .45629 L
.32032 .45657 L
.31964 .45629 L
F
.32032 .54321 m
.32713 .54371 L
.32032 .55298 L
.31974 .54371 L
F
.32032 .56264 m
.32513 .56313 L
.32032 .57011 L
.31975 .56313 L
F
.32032 .43599 m
.32046 .43687 L
.32032 .43716 L
.31983 .43687 L
F
.32032 .47375 m
.32037 .47572 L
.32032 .4758 L
.31992 .47572 L
F
.32032 .5434 m
.32674 .54371 L
.32032 .55258 L
.31996 .54371 L
F
.32032 .56294 m
.3243 .56313 L
.32032 .56935 L
.3201 .56313 L
F
.32032 .58242 m
.32238 .58256 L
.32032 .58671 L
.32016 .58256 L
F
.32032 .54359 m
.32629 .54371 L
.32032 .55215 L
.32018 .54371 L
F
.33003 .47196 m
.33679 .47572 L
.33092 .48543 L
.33003 .48655 L
.3204 .48543 L
.32667 .47572 L
F
.33003 .45271 m
.33777 .45629 L
.33158 .46601 L
.33003 .46794 L
.32045 .46601 L
.3268 .45629 L
F
.33003 .49119 m
.33599 .49514 L
.33017 .50486 L
.33003 .50503 L
.32045 .50486 L
.32654 .49514 L
F
.33003 .4334 m
.339 .43687 L
.33219 .44658 L
.33003 .44926 L
.32049 .44658 L
.32689 .43687 L
F
.33003 .47206 m
.33667 .47572 L
.33086 .48543 L
.33003 .48647 L
.32058 .48543 L
.32675 .47572 L
F
.33974 .4019 m
.34569 .40773 L
.34009 .41744 L
.34946 .42532 L
.3559 .41744 L
.35917 .41278 L
.36769 .41744 L
.36202 .42716 L
.35917 .42971 L
.35418 .43687 L
.34946 .44266 L
.34154 .43687 L
.34786 .42716 L
.33974 .41775 L
.33273 .42716 L
.33003 .43048 L
.32063 .42716 L
.32701 .41744 L
.33003 .41411 L
.33531 .40773 L
F
.33003 .45284 m
.3376 .45629 L
.3315 .46601 L
.33003 .46784 L
.32064 .46601 L
.32691 .45629 L
F
.33003 .49127 m
.33589 .49514 L
.3301 .50486 L
.33003 .50494 L
.32067 .50486 L
.32661 .49514 L
F
.33003 .4336 m
.33873 .43687 L
.33209 .44658 L
.33003 .44913 L
.32074 .44658 L
.32707 .43687 L
F
.33974 .38252 m
.3464 .38831 L
.34089 .39802 L
.34946 .40622 L
.356 .39802 L
.35917 .39344 L
.3687 .39802 L
.36264 .40773 L
.35917 .41086 L
.35464 .41744 L
.34946 .42392 L
.34178 .41744 L
.34813 .40773 L
.33974 .39902 L
.33324 .40773 L
.33003 .4117 L
.32075 .40773 L
.32708 .39802 L
.33003 .39476 L
.33535 .38831 L
F
.33003 .47215 m
.33655 .47572 L
.33079 .48543 L
.33003 .48638 L
.32077 .48543 L
.32684 .47572 L
F
.33003 .45297 m
.33743 .45629 L
.33142 .46601 L
.33003 .46774 L
.32084 .46601 L
.32703 .45629 L
F
.33974 .36297 m
.34737 .36888 L
.34163 .37859 L
.34946 .38717 L
.35606 .37859 L
.35917 .37405 L
.36482 .36888 L
.36888 .36239 L
.37574 .36888 L
.36994 .37859 L
.37859 .38616 L
.38603 .37859 L
.38831 .3743 L
.39608 .37859 L
.39163 .38831 L
.38831 .39056 L
.38437 .39802 L
.37859 .40381 L
.37072 .39802 L
.37727 .38831 L
.36888 .37924 L
.36321 .38831 L
.35917 .39198 L
.35507 .39802 L
.34946 .40523 L
.34203 .39802 L
.34845 .38831 L
.33974 .38023 L
.33373 .38831 L
.33003 .39292 L
.32087 .38831 L
.32711 .37859 L
.33003 .37537 L
.33528 .36888 L
F
.33003 .47225 m
.33643 .47572 L
.33072 .48543 L
.33003 .48629 L
.32097 .48543 L
.32692 .47572 L
F
.33003 .43381 m
.33846 .43687 L
.33198 .44658 L
.33003 .44899 L
.321 .44658 L
.32725 .43687 L
F
.33974 .40237 m
.34528 .40773 L
.3398 .41744 L
.34946 .42555 L
.35612 .41744 L
.35917 .4131 L
.3673 .41744 L
.36183 .42716 L
.35917 .42954 L
.35407 .43687 L
.34946 .44253 L
.3417 .43687 L
.34805 .42716 L
.33974 .4175 L
.33255 .42716 L
.33003 .43027 L
.32102 .42716 L
.32735 .41744 L
.33003 .41451 L
.33566 .40773 L
F
.33003 .4531 m
.33726 .45629 L
.33134 .46601 L
.33003 .46764 L
.32105 .46601 L
.32714 .45629 L
F
.33003 .47235 m
.33631 .47572 L
.33065 .48543 L
.33003 .48621 L
.32116 .48543 L
.32701 .47572 L
F
.33003 .43402 m
.33818 .43687 L
.33187 .44658 L
.33003 .44886 L
.32125 .44658 L
.32744 .43687 L
F
.33003 .45323 m
.33709 .45629 L
.33126 .46601 L
.33003 .46754 L
.32125 .46601 L
.32726 .45629 L
F
.33003 .47244 m
.33619 .47572 L
.33058 .48543 L
.33003 .48612 L
.32137 .48543 L
.32709 .47572 L
F
.33003 .41491 m
.33933 .41744 L
.33237 .42716 L
.33003 .43005 L
.32141 .42716 L
.3277 .41744 L
F
.33974 .38365 m
.34534 .38831 L
.3403 .39802 L
.34946 .40671 L
.35647 .39802 L
.35917 .39416 L
.36779 .39802 L
.36227 .40773 L
.35917 .41052 L
.35443 .41744 L
.34946 .42368 L
.34205 .41744 L
.34854 .40773 L
.33974 .3985 L
.33289 .40773 L
.33003 .41128 L
.32146 .40773 L
.32786 .39802 L
.33003 .39567 L
.33618 .38831 L
F
.33003 .45337 m
.33691 .45629 L
.33118 .46601 L
.33003 .46744 L
.32146 .46601 L
.32738 .45629 L
F
.33003 .43423 m
.33789 .43687 L
.33176 .44658 L
.33003 .44872 L
.32151 .44658 L
.32762 .43687 L
F
.33003 .47254 m
.33607 .47572 L
.33051 .48543 L
.33003 .48603 L
.32157 .48543 L
.32718 .47572 L
F
.33003 .4535 m
.33673 .45629 L
.3311 .46601 L
.33003 .46734 L
.32167 .46601 L
.32749 .45629 L
F
.33003 .43445 m
.33759 .43687 L
.33165 .44658 L
.33003 .44859 L
.32178 .44658 L
.32781 .43687 L
F
.33003 .47264 m
.33594 .47572 L
.33044 .48543 L
.33003 .48594 L
.32179 .48543 L
.32726 .47572 L
F
.33003 .41531 m
.33879 .41744 L
.33219 .42716 L
.33003 .42983 L
.3218 .42716 L
.32806 .41744 L
F
.33003 .45363 m
.33655 .45629 L
.33102 .46601 L
.33003 .46724 L
.32189 .46601 L
.32761 .45629 L
F
.33003 .47274 m
.33582 .47572 L
.33037 .48543 L
.33003 .48585 L
.32201 .48543 L
.32735 .47572 L
F
.33003 .43466 m
.33728 .43687 L
.33153 .44658 L
.33003 .44845 L
.32205 .44658 L
.328 .43687 L
F
.33003 .45377 m
.33636 .45629 L
.33094 .46601 L
.33003 .46714 L
.32211 .46601 L
.32773 .45629 L
F
.33003 .39658 m
.33962 .39802 L
.33253 .40773 L
.33003 .41085 L
.32217 .40773 L
.32867 .39802 L
F
.33003 .41572 m
.3382 .41744 L
.332 .42716 L
.33003 .42961 L
.3222 .42716 L
.32843 .41744 L
F
.33003 .47284 m
.33569 .47572 L
.3303 .48543 L
.33003 .48576 L
.32224 .48543 L
.32744 .47572 L
F
.33003 .43488 m
.33696 .43687 L
.33142 .44658 L
.33003 .44831 L
.32232 .44658 L
.3282 .43687 L
F
.33003 .4539 m
.33617 .45629 L
.33086 .46601 L
.33003 .46704 L
.32234 .46601 L
.32785 .45629 L
F
.33974 .36621 m
.34404 .36888 L
.34019 .37859 L
.33974 .37898 L
.33291 .38831 L
.33003 .39195 L
.32241 .38831 L
.32924 .37859 L
.33003 .37778 L
.33765 .36888 L
F
.33003 .47294 m
.33556 .47572 L
.33023 .48543 L
.33003 .48567 L
.32247 .48543 L
.32753 .47572 L
F
.33003 .45404 m
.33598 .45629 L
.33078 .46601 L
.33003 .46693 L
.32258 .46601 L
.32797 .45629 L
F
.33003 .4351 m
.33662 .43687 L
.33131 .44658 L
.33003 .44817 L
.3226 .44658 L
.32839 .43687 L
F
.33003 .41614 m
.33756 .41744 L
.33182 .42716 L
.33003 .42938 L
.32261 .42716 L
.3288 .41744 L
F
.33003 .47304 m
.33543 .47572 L
.33015 .48543 L
.33003 .48558 L
.32272 .48543 L
.32762 .47572 L
F
.33003 .45418 m
.33578 .45629 L
.33069 .46601 L
.33003 .46683 L
.32282 .46601 L
.32809 .45629 L
F
.33003 .43532 m
.33627 .43687 L
.33119 .44658 L
.33003 .44803 L
.32289 .44658 L
.32859 .43687 L
F
.33003 .39751 m
.33822 .39802 L
.33217 .40773 L
.33003 .41041 L
.3229 .40773 L
.32954 .39802 L
F
.33003 .47314 m
.3353 .47572 L
.33008 .48543 L
.33003 .48549 L
.32298 .48543 L
.3277 .47572 L
F
.33003 .41656 m
.33683 .41744 L
.33163 .42716 L
.33003 .42915 L
.32303 .42716 L
.32919 .41744 L
F
.33003 .45431 m
.33557 .45629 L
.33061 .46601 L
.33003 .46673 L
.32306 .46601 L
.32822 .45629 L
F
.33003 .60218 m
.33546 .61169 L
.33003 .62019 L
.32307 .61169 L
F
.33003 .35962 m
.33302 .36888 L
.33003 .37277 L
.32308 .36888 L
F
.33003 .58336 m
.33597 .59227 L
.33003 .60146 L
.32318 .59227 L
F
.33003 .43555 m
.33589 .43687 L
.33108 .44658 L
.33003 .44788 L
.32319 .44658 L
.3288 .43687 L
F
.33003 .45446 m
.33536 .45629 L
.33052 .46601 L
.33003 .46662 L
.32332 .46601 L
.32834 .45629 L
F
.33003 .417 m
.33597 .41744 L
.33144 .42716 L
.33003 .42892 L
.32347 .42716 L
.3296 .41744 L
F
.33003 .43578 m
.33548 .43687 L
.33096 .44658 L
.33003 .44774 L
.32349 .44658 L
.32901 .43687 L
F
.33003 .5647 m
.33631 .57284 L
.33003 .58248 L
.32352 .57284 L
F
.33003 .4546 m
.33514 .45629 L
.33044 .46601 L
.33003 .46651 L
.32359 .46601 L
.32847 .45629 L
F
.33003 .58383 m
.33557 .59227 L
.33003 .60083 L
.32364 .59227 L
F
.33003 .39844 m
.3318 .40773 L
.33003 .40996 L
.32367 .40773 L
F
.33003 .56494 m
.3361 .57284 L
.33003 .58216 L
.32374 .57284 L
F
.33003 .43601 m
.33504 .43687 L
.33084 .44658 L
.33003 .44759 L
.32381 .44658 L
.32922 .43687 L
F
.33003 .45474 m
.33491 .45629 L
.33035 .46601 L
.33003 .4664 L
.32388 .46601 L
.3286 .45629 L
F
.33003 .41745 m
.33124 .42716 L
.33003 .42868 L
.32393 .42716 L
F
.33003 .56518 m
.33589 .57284 L
.33003 .58185 L
.32396 .57284 L
F
.33003 .37989 m
.33206 .38831 L
.33003 .39091 L
.32401 .38831 L
F
.33003 .58431 m
.33516 .59227 L
.33003 .60022 L
.32409 .59227 L
F
.33003 .62195 m
.33407 .63112 L
.33003 .63751 L
.32414 .63112 L
F
.33003 .43625 m
.33454 .43687 L
.33072 .44658 L
.33003 .44744 L
.32415 .44658 L
.32944 .43687 L
F
.33003 .45488 m
.33467 .45629 L
.33026 .46601 L
.33003 .4663 L
.32418 .46601 L
.32873 .45629 L
F
.33003 .60325 m
.33455 .61169 L
.33003 .61876 L
.32418 .61169 L
F
.33003 .56543 m
.33567 .57284 L
.33003 .58153 L
.32419 .57284 L
F
.33003 .54635 m
.33632 .55342 L
.33003 .56307 L
.3242 .55342 L
F
.33003 .54649 m
.33619 .55342 L
.33003 .56288 L
.32433 .55342 L
F
.33003 .41795 m
.33105 .42716 L
.33003 .42843 L
.32441 .42716 L
F
.33003 .56568 m
.33546 .57284 L
.33003 .58121 L
.32441 .57284 L
F
.33003 .54664 m
.33606 .55342 L
.33003 .56269 L
.32446 .55342 L
F
.33003 .39938 m
.33142 .40773 L
.33003 .40949 L
.32448 .40773 L
F
.33003 .45503 m
.33442 .45629 L
.33017 .46601 L
.33003 .46619 L
.3245 .46601 L
.32886 .45629 L
F
.33003 .43649 m
.33396 .43687 L
.3306 .44658 L
.33003 .44729 L
.3245 .44658 L
.32967 .43687 L
F
.33003 .58481 m
.33475 .59227 L
.33003 .5996 L
.32455 .59227 L
F
.33003 .54679 m
.33593 .55342 L
.33003 .5625 L
.32459 .55342 L
F
.33003 .56593 m
.33525 .57284 L
.33003 .5809 L
.32464 .57284 L
F
.33003 .54694 m
.33579 .55342 L
.33003 .56231 L
.32472 .55342 L
F
.33003 .45518 m
.33416 .45629 L
.33008 .46601 L
.33003 .46607 L
.32485 .46601 L
.329 .45629 L
F
.33003 .54708 m
.33566 .55342 L
.33003 .56212 L
.32485 .55342 L
F
.33003 .56619 m
.33503 .57284 L
.33003 .58058 L
.32486 .57284 L
F
.33003 .43674 m
.33323 .43687 L
.33048 .44658 L
.33003 .44714 L
.32488 .44658 L
.32991 .43687 L
F
.33003 .41849 m
.33085 .42716 L
.33003 .42818 L
.32492 .42716 L
F
.33003 .528 m
.33626 .53399 L
.33003 .54365 L
.32495 .53399 L
F
.33003 .54723 m
.33553 .55342 L
.33003 .56193 L
.32499 .55342 L
F
.33003 .58533 m
.33434 .59227 L
.33003 .59899 L
.32502 .59227 L
F
.33003 .5281 m
.33616 .53399 L
.33003 .54352 L
.32504 .53399 L
F
.33003 .56645 m
.33481 .57284 L
.33003 .58027 L
.32509 .57284 L
F
.33003 .54738 m
.33539 .55342 L
.33003 .56174 L
.32512 .55342 L
F
.33003 .5282 m
.33606 .53399 L
.33003 .54338 L
.32513 .53399 L
F
.33003 .5283 m
.33596 .53399 L
.33003 .54325 L
.32522 .53399 L
F
.33003 .54753 m
.33526 .55342 L
.33003 .56155 L
.32525 .55342 L
F
.33003 .43704 m
.33035 .44658 L
.33003 .44698 L
.3253 .44658 L
F
.33003 .52841 m
.33586 .53399 L
.33003 .54311 L
.32531 .53399 L
F
.33003 .60445 m
.3336 .61169 L
.33003 .61732 L
.32532 .61169 L
F
.33003 .56671 m
.33459 .57284 L
.33003 .57995 L
.32532 .57284 L
F
.33003 .40039 m
.33102 .40773 L
.33003 .409 L
.32538 .40773 L
F
.33003 .54769 m
.33512 .55342 L
.33003 .56135 L
.32538 .55342 L
F
.33003 .52851 m
.33576 .53399 L
.33003 .54297 L
.3254 .53399 L
F
.33003 .41907 m
.33064 .42716 L
.33003 .42793 L
.32549 .42716 L
F
.33003 .58587 m
.33392 .59227 L
.33003 .59836 L
.32549 .59227 L
F
.33003 .52861 m
.33566 .53399 L
.33003 .54284 L
.32549 .53399 L
F
.33003 .54784 m
.33498 .55342 L
.33003 .56116 L
.32551 .55342 L
F
.33003 .56698 m
.33437 .57284 L
.33003 .57963 L
.32555 .57284 L
F
.33003 .52872 m
.33556 .53399 L
.33003 .5427 L
.32558 .53399 L
F
.33003 .548 m
.33484 .55342 L
.33003 .56096 L
.32565 .55342 L
F
.33003 .52882 m
.33546 .53399 L
.33003 .54256 L
.32568 .53399 L
F
.33003 .50963 m
.33612 .51457 L
.33003 .52427 L
.32575 .51457 L
F
.33003 .43739 m
.33022 .44658 L
.33003 .44682 L
.32576 .44658 L
F
.33003 .52893 m
.33536 .53399 L
.33003 .54242 L
.32577 .53399 L
F
.33003 .54815 m
.3347 .55342 L
.33003 .56077 L
.32578 .55342 L
F
.33003 .56726 m
.33415 .57284 L
.33003 .57931 L
.32578 .57284 L
F
.33003 .50972 m
.33603 .51457 L
.33003 .52416 L
.32583 .51457 L
F
.33003 .38205 m
.33114 .38831 L
.33003 .38977 L
.32585 .38831 L
F
.33003 .52904 m
.33525 .53399 L
.33003 .54228 L
.32586 .53399 L
F
.33003 .5098 m
.33594 .51457 L
.33003 .52404 L
.3259 .51457 L
F
.33003 .54831 m
.33456 .55342 L
.33003 .56057 L
.32592 .55342 L
F
.33003 .52914 m
.33515 .53399 L
.33003 .54214 L
.32595 .53399 L
F
.33003 .50989 m
.33585 .51457 L
.33003 .52393 L
.32597 .51457 L
F
.33003 .58644 m
.33348 .59227 L
.33003 .59772 L
.32598 .59227 L
F
.33003 .56754 m
.33392 .57284 L
.33003 .57898 L
.32602 .57284 L
F
.33003 .52925 m
.33505 .53399 L
.33003 .542 L
.32604 .53399 L
F
.33003 .50997 m
.33576 .51457 L
.33003 .52381 L
.32605 .51457 L
F
.33003 .54847 m
.33442 .55342 L
.33003 .56037 L
.32605 .55342 L
F
.33003 .51006 m
.33567 .51457 L
.33003 .5237 L
.32612 .51457 L
F
.33003 .41969 m
.33043 .42716 L
.33003 .42766 L
.32613 .42716 L
F
.33003 .52936 m
.33494 .53399 L
.33003 .54186 L
.32614 .53399 L
F
.33003 .54863 m
.33428 .55342 L
.33003 .56017 L
.32619 .55342 L
F
.33003 .51014 m
.33558 .51457 L
.33003 .52358 L
.3262 .51457 L
F
.33003 .52947 m
.33484 .53399 L
.33003 .54172 L
.32623 .53399 L
F
.33003 .56782 m
.33368 .57284 L
.33003 .57865 L
.32626 .57284 L
F
.33003 .51023 m
.33549 .51457 L
.33003 .52346 L
.32628 .51457 L
F
.33003 .43777 m
.3301 .44658 L
.33003 .44666 L
.32631 .44658 L
F
.33003 .52958 m
.33473 .53399 L
.33003 .54157 L
.32633 .53399 L
F
.33003 .5488 m
.33413 .55342 L
.33003 .55997 L
.32633 .55342 L
F
.33003 .51032 m
.3354 .51457 L
.33003 .52334 L
.32635 .51457 L
F
.33003 .52969 m
.33462 .53399 L
.33003 .54143 L
.32642 .53399 L
F
.33003 .51041 m
.33531 .51457 L
.33003 .52322 L
.32643 .51457 L
F
.33003 .40155 m
.33061 .40773 L
.33003 .40848 L
.32644 .40773 L
F
.33003 .64267 m
.33189 .65054 L
.33003 .65364 L
.32645 .65054 L
F
.33003 .54896 m
.33398 .55342 L
.33003 .55976 L
.32647 .55342 L
F
.33003 .58705 m
.33303 .59227 L
.33003 .59707 L
.32648 .59227 L
F
.33003 .51049 m
.33521 .51457 L
.33003 .5231 L
.32651 .51457 L
F
.33003 .56812 m
.33345 .57284 L
.33003 .57831 L
.32651 .57284 L
F
.33003 .5298 m
.33452 .53399 L
.33003 .54128 L
.32652 .53399 L
F
.33003 .60585 m
.33259 .61169 L
.33003 .61582 L
.32654 .61169 L
F
.33003 .34464 m
.33136 .34946 L
.33003 .35142 L
.32658 .34946 L
F
.33003 .51058 m
.33512 .51457 L
.33003 .52298 L
.32658 .51457 L
F
.33003 .54913 m
.33384 .55342 L
.33003 .55956 L
.32661 .55342 L
F
.33003 .52991 m
.33441 .53399 L
.33003 .54113 L
.32661 .53399 L
F
.33003 .51067 m
.33502 .51457 L
.33003 .52286 L
.32666 .51457 L
F
.33003 .49136 m
.33579 .49514 L
.33003 .50485 L
.32669 .49514 L
F
.33003 .53002 m
.3343 .53399 L
.33003 .54098 L
.32671 .53399 L
F
.33003 .51076 m
.33493 .51457 L
.33003 .52274 L
.32674 .51457 L
F
.33003 .5493 m
.33368 .55342 L
.33003 .55935 L
.32676 .55342 L
F
.33003 .56842 m
.3332 .57284 L
.33003 .57796 L
.32676 .57284 L
F
.33003 .49144 m
.3357 .49514 L
.33003 .50473 L
.32676 .49514 L
F
.33003 .53014 m
.33418 .53399 L
.33003 .54083 L
.32681 .53399 L
F
.33003 .51085 m
.33483 .51457 L
.33003 .52261 L
.32682 .51457 L
F
.33003 .49153 m
.3356 .49514 L
.33003 .50462 L
.32683 .49514 L
F
.33003 .51094 m
.33473 .51457 L
.33003 .52249 L
.32689 .51457 L
F
.33003 .54947 m
.33353 .55342 L
.33003 .55913 L
.3269 .55342 L
F
.33003 .53025 m
.33407 .53399 L
.33003 .54068 L
.3269 .53399 L
F
.33003 .49161 m
.3355 .49514 L
.33003 .5045 L
.32691 .49514 L
F
.33003 .42039 m
.33021 .42716 L
.33003 .42739 L
.32693 .42716 L
F
.33003 .51103 m
.33464 .51457 L
.33003 .52236 L
.32697 .51457 L
F
.33003 .4917 m
.3354 .49514 L
.33003 .50438 L
.32698 .49514 L
F
.33003 .53037 m
.33396 .53399 L
.33003 .54053 L
.327 .53399 L
F
.33003 .58771 m
.33256 .59227 L
.33003 .59638 L
.32701 .59227 L
F
.33003 .56874 m
.33295 .57284 L
.33003 .5776 L
.32702 .57284 L
F
.33003 .54965 m
.33338 .55342 L
.33003 .55891 L
.32705 .55342 L
F
.33003 .51112 m
.33454 .51457 L
.33003 .52223 L
.32705 .51457 L
F
.33003 .49179 m
.3353 .49514 L
.33003 .50426 L
.32706 .49514 L
F
.33003 .53048 m
.33384 .53399 L
.33003 .54037 L
.3271 .53399 L
F
.33003 .51122 m
.33444 .51457 L
.33003 .5221 L
.32713 .51457 L
F
.33003 .49187 m
.33519 .49514 L
.33003 .50414 L
.32714 .49514 L
F
.33003 .54983 m
.33322 .55342 L
.33003 .55869 L
.3272 .55342 L
F
.33003 .5306 m
.33373 .53399 L
.33003 .54021 L
.3272 .53399 L
F
.33003 .49196 m
.33509 .49514 L
.33003 .50402 L
.32721 .49514 L
F
.33003 .51131 m
.33434 .51457 L
.33003 .52197 L
.32721 .51457 L
F
.33003 .56907 m
.33269 .57284 L
.33003 .57723 L
.32728 .57284 L
F
.33003 .49205 m
.33499 .49514 L
.33003 .5039 L
.32729 .49514 L
F
.33003 .5114 m
.33423 .51457 L
.33003 .52184 L
.3273 .51457 L
F
.33003 .53072 m
.33361 .53399 L
.33003 .54005 L
.32731 .53399 L
F
.33003 .55001 m
.33306 .55342 L
.33003 .55847 L
.32735 .55342 L
F
.33003 .49214 m
.33488 .49514 L
.33003 .50377 L
.32737 .49514 L
F
.33003 .5115 m
.33413 .51457 L
.33003 .5217 L
.32738 .51457 L
F
.33003 .53084 m
.33349 .53399 L
.33003 .53989 L
.32741 .53399 L
F
.33003 .49223 m
.33477 .49514 L
.33003 .50365 L
.32745 .49514 L
F
.33003 .51159 m
.33402 .51457 L
.33003 .52157 L
.32746 .51457 L
F
.33003 .5502 m
.33289 .55342 L
.33003 .55824 L
.3275 .55342 L
F
.33003 .53097 m
.33337 .53399 L
.33003 .53972 L
.32751 .53399 L
F
.33003 .49231 m
.33467 .49514 L
.33003 .50352 L
.32752 .49514 L
F
.33003 .51169 m
.33392 .51457 L
.33003 .52143 L
.32754 .51457 L
F
.33003 .56941 m
.33243 .57284 L
.33003 .57685 L
.32755 .57284 L
F
.33003 .58843 m
.33205 .59227 L
.33003 .59564 L
.32758 .59227 L
F
.33003 .4924 m
.33456 .49514 L
.33003 .50339 L
.3276 .49514 L
F
.33003 .53109 m
.33324 .53399 L
.33003 .53955 L
.32762 .53399 L
F
.33003 .51179 m
.33381 .51457 L
.33003 .52129 L
.32763 .51457 L
F
.33003 .55039 m
.33272 .55342 L
.33003 .558 L
.32766 .55342 L
F
.33003 .4925 m
.33445 .49514 L
.33003 .50326 L
.32768 .49514 L
F
.33003 .51188 m
.3337 .51457 L
.33003 .52115 L
.32771 .51457 L
F
.33003 .53121 m
.33312 .53399 L
.33003 .53938 L
.32772 .53399 L
F
.33003 .49259 m
.33433 .49514 L
.33003 .50312 L
.32776 .49514 L
F
.33003 .47324 m
.33516 .47572 L
.33003 .48538 L
.32779 .47572 L
F
.33003 .51198 m
.33359 .51457 L
.33003 .52101 L
.3278 .51457 L
F
.33003 .62578 m
.33132 .63112 L
.33003 .63327 L
.3278 .63112 L
F
.33003 .55059 m
.33255 .55342 L
.33003 .55775 L
.32782 .55342 L
F
.33003 .53134 m
.33299 .53399 L
.33003 .53921 L
.32783 .53399 L
F
.33003 .56977 m
.33215 .57284 L
.33003 .57645 L
.32784 .57284 L
F
.33003 .49268 m
.33422 .49514 L
.33003 .50299 L
.32784 .49514 L
F
.33003 .51208 m
.33348 .51457 L
.33003 .52086 L
.32788 .51457 L
F
.33003 .47334 m
.33502 .47572 L
.33003 .48525 L
.32789 .47572 L
F
.33003 .49277 m
.3341 .49514 L
.33003 .50285 L
.32792 .49514 L
F
.33003 .53147 m
.33286 .53399 L
.33003 .53903 L
.32794 .53399 L
F
.33003 .60765 m
.33146 .61169 L
.33003 .61411 L
.32795 .61169 L
F
.33003 .40302 m
.33017 .40773 L
.33003 .40791 L
.32797 .40773 L
F
.33003 .51218 m
.33337 .51457 L
.33003 .52071 L
.32797 .51457 L
F
.33003 .47345 m
.33488 .47572 L
.33003 .4851 L
.32798 .47572 L
F
.33003 .55079 m
.33237 .55342 L
.33003 .5575 L
.32799 .55342 L
F
.33003 .49287 m
.33399 .49514 L
.33003 .50271 L
.32801 .49514 L
F
.33003 .5316 m
.33273 .53399 L
.33003 .53885 L
.32805 .53399 L
F
.33003 .51228 m
.33325 .51457 L
.33003 .52056 L
.32806 .51457 L
F
.33003 .47355 m
.33474 .47572 L
.33003 .48496 L
.32807 .47572 L
F
.33003 .49296 m
.33387 .49514 L
.33003 .50256 L
.32809 .49514 L
F
.33003 .36562 m
.33043 .36888 L
.33003 .36946 L
.32812 .36888 L
F
.33003 .57015 m
.33186 .57284 L
.33003 .57603 L
.32813 .57284 L
F
.33003 .51239 m
.33313 .51457 L
.33003 .5204 L
.32815 .51457 L
F
.33003 .551 m
.33219 .55342 L
.33003 .55724 L
.32815 .55342 L
F
.33003 .47366 m
.33459 .47572 L
.33003 .48481 L
.32816 .47572 L
F
.33003 .53174 m
.33259 .53399 L
.33003 .53866 L
.32816 .53399 L
F
.33003 .49305 m
.33374 .49514 L
.33003 .50242 L
.32817 .49514 L
F
.33003 .58926 m
.33151 .59227 L
.33003 .59482 L
.3282 .59227 L
F
.33003 .51249 m
.33301 .51457 L
.33003 .52024 L
.32824 .51457 L
F
.33003 .47376 m
.33444 .47572 L
.33003 .48466 L
.32826 .47572 L
F
.33003 .49315 m
.33362 .49514 L
.33003 .50227 L
.32826 .49514 L
F
.33003 .53187 m
.33245 .53399 L
.33003 .53846 L
.32828 .53399 L
F
.33003 .55121 m
.332 .55342 L
.33003 .55697 L
.32833 .55342 L
F
.33003 .5126 m
.33289 .51457 L
.33003 .52008 L
.32833 .51457 L
F
.33003 .49325 m
.33349 .49514 L
.33003 .50212 L
.32834 .49514 L
F
.33003 .47387 m
.33429 .47572 L
.33003 .48451 L
.32835 .47572 L
F
.33003 .53201 m
.33231 .53399 L
.33003 .53827 L
.3284 .53399 L
F
.33003 .5127 m
.33276 .51457 L
.33003 .51992 L
.32842 .51457 L
F
.33003 .49335 m
.33336 .49514 L
.33003 .50196 L
.32843 .49514 L
F
.33003 .57056 m
.33156 .57284 L
.33003 .57557 L
.32845 .57284 L
F
.33003 .47398 m
.33413 .47572 L
.33003 .48435 L
.32845 .47572 L
F
.33003 .55143 m
.33181 .55342 L
.33003 .55668 L
.3285 .55342 L
F
.33003 .51281 m
.33263 .51457 L
.33003 .51974 L
.32851 .51457 L
F
.33003 .53215 m
.33217 .53399 L
.33003 .53806 L
.32851 .53399 L
F
.33003 .49345 m
.33323 .49514 L
.33003 .5018 L
.32852 .49514 L
F
.33003 .47409 m
.33397 .47572 L
.33003 .48419 L
.32855 .47572 L
F
.33003 .49355 m
.33309 .49514 L
.33003 .50164 L
.32861 .49514 L
F
.33003 .51292 m
.3325 .51457 L
.33003 .51957 L
.32861 .51457 L
F
.33003 .5323 m
.33201 .53399 L
.33003 .53785 L
.32863 .53399 L
F
.33003 .4742 m
.3338 .47572 L
.33003 .48402 L
.32864 .47572 L
F
.33003 .55166 m
.3316 .55342 L
.33003 .55638 L
.32869 .55342 L
F
.33003 .49365 m
.33295 .49514 L
.33003 .50147 L
.3287 .49514 L
F
.33003 .51303 m
.33237 .51457 L
.33003 .51939 L
.3287 .51457 L
F
.33003 .47431 m
.33363 .47572 L
.33003 .48385 L
.32874 .47572 L
F
.33003 .53245 m
.33186 .53399 L
.33003 .53762 L
.32876 .53399 L
F
.33003 .571 m
.33124 .57284 L
.33003 .57508 L
.32878 .57284 L
F
.33003 .49375 m
.33281 .49514 L
.33003 .5013 L
.32879 .49514 L
F
.33003 .51315 m
.33223 .51457 L
.33003 .5192 L
.3288 .51457 L
F
.33003 .47442 m
.33345 .47572 L
.33003 .48368 L
.32885 .47572 L
F
.33003 .38526 m
.33012 .38831 L
.33003 .38843 L
.32887 .38831 L
F
.33003 .5519 m
.33139 .55342 L
.33003 .55606 L
.32888 .55342 L
F
.33003 .49385 m
.33266 .49514 L
.33003 .50112 L
.32888 .49514 L
F
.33003 .5326 m
.3317 .53399 L
.33003 .53739 L
.32888 .53399 L
F
.33003 .51326 m
.33208 .51457 L
.33003 .51901 L
.3289 .51457 L
F
.33003 .59026 m
.33091 .59227 L
.33003 .59388 L
.32891 .59227 L
F
.33003 .47453 m
.33327 .47572 L
.33003 .4835 L
.32895 .47572 L
F
.33003 .49396 m
.3325 .49514 L
.33003 .50093 L
.32897 .49514 L
F
.33003 .51338 m
.33193 .51457 L
.33003 .5188 L
.329 .51457 L
F
.33003 .53275 m
.33153 .53399 L
.33003 .53714 L
.32901 .53399 L
F
.33003 .47465 m
.33307 .47572 L
.33003 .48331 L
.32905 .47572 L
F
.33003 .49407 m
.33234 .49514 L
.33003 .50074 L
.32907 .49514 L
F
.33003 .55215 m
.33117 .55342 L
.33003 .55571 L
.32908 .55342 L
F
.33003 .5135 m
.33178 .51457 L
.33003 .51859 L
.32911 .51457 L
F
.33003 .45533 m
.33388 .45629 L
.33003 .46593 L
.32914 .45629 L
F
.33003 .57149 m
.33089 .57284 L
.33003 .57452 L
.32914 .57284 L
F
.33003 .53291 m
.33135 .53399 L
.33003 .53688 L
.32915 .53399 L
F
.33003 .47477 m
.33287 .47572 L
.33003 .48312 L
.32916 .47572 L
F
.33003 .49417 m
.33217 .49514 L
.33003 .50054 L
.32916 .49514 L
F
.33003 .51362 m
.33161 .51457 L
.33003 .51836 L
.32921 .51457 L
F
.33003 .49428 m
.33199 .49514 L
.33003 .50033 L
.32926 .49514 L
F
.33003 .47488 m
.33265 .47572 L
.33003 .48291 L
.32927 .47572 L
F
.33003 .45548 m
.33358 .45629 L
.33003 .46572 L
.32928 .45629 L
F
.33003 .53308 m
.33117 .53399 L
.33003 .5366 L
.32928 .53399 L
F
.33003 .55242 m
.33093 .55342 L
.33003 .55533 L
.32928 .55342 L
F
.33003 .51374 m
.33144 .51457 L
.33003 .51813 L
.32932 .51457 L
F
.33003 .4944 m
.33181 .49514 L
.33003 .50011 L
.32936 .49514 L
F
.33003 .47501 m
.33242 .47572 L
.33003 .4827 L
.32938 .47572 L
F
.33003 .45564 m
.33326 .45629 L
.33003 .46551 L
.32942 .45629 L
F
.33003 .53325 m
.33097 .53399 L
.33003 .53629 L
.32943 .53399 L
F
.33003 .51387 m
.33126 .51457 L
.33003 .51787 L
.32943 .51457 L
F
.33003 .49451 m
.33161 .49514 L
.33003 .49988 L
.32946 .49514 L
F
.33003 .47513 m
.33217 .47572 L
.33003 .48248 L
.32949 .47572 L
F
.33003 .55271 m
.33067 .55342 L
.33003 .55489 L
.3295 .55342 L
F
.33003 .57206 m
.33051 .57284 L
.33003 .57386 L
.32953 .57284 L
F
.33003 .514 m
.33107 .51457 L
.33003 .51759 L
.32954 .51457 L
F
.33003 .4558 m
.33289 .45629 L
.33003 .46529 L
.32956 .45629 L
F
.33003 .49463 m
.33139 .49514 L
.33003 .49963 L
.32957 .49514 L
F
.33003 .53343 m
.33076 .53399 L
.33003 .53594 L
.32957 .53399 L
F
.33003 .47525 m
.33189 .47572 L
.33003 .48225 L
.3296 .47572 L
F
.33003 .51413 m
.33086 .51457 L
.33003 .51728 L
.32966 .51457 L
F
.33003 .49475 m
.33115 .49514 L
.33003 .49936 L
.32967 .49514 L
F
.33003 .45596 m
.33247 .45629 L
.33003 .46505 L
.32971 .45629 L
F
.33003 .47538 m
.33157 .47572 L
.33003 .482 L
.32972 .47572 L
F
.33003 .53361 m
.33054 .53399 L
.33003 .53553 L
.32972 .53399 L
F
.33003 .55302 m
.33039 .55342 L
.33003 .55436 L
.32974 .55342 L
F
.33003 .51427 m
.33063 .51457 L
.33003 .51692 L
.32977 .51457 L
F
.33003 .59171 m
.33021 .59227 L
.33003 .59265 L
.32978 .59227 L
F
.33003 .49487 m
.33088 .49514 L
.33003 .49906 L
.32978 .49514 L
F
.33003 .47551 m
.33119 .47572 L
.33003 .48174 L
.32984 .47572 L
F
.33003 .45612 m
.33193 .45629 L
.33003 .4648 L
.32987 .45629 L
F
.33003 .53381 m
.33029 .53399 L
.33003 .53499 L
.32988 .53399 L
F
.33003 .49499 m
.33056 .49514 L
.33003 .49873 L
.32989 .49514 L
F
.33003 .51441 m
.33036 .51457 L
.33003 .51648 L
.3299 .51457 L
F
.33003 .47564 m
.33066 .47572 L
.33003 .48145 L
.32996 .47572 L
F
.33003 .57277 m
.33007 .57284 L
.33003 .57295 L
.32999 .57284 L
F
.33003 .55336 m
.33008 .55342 L
.33003 .55359 L
.32999 .55342 L
F
.33003 .61143 m
.33005 .61169 L
.33003 .61173 L
.33 .61169 L
F
.33003 .49512 m
.33014 .49514 L
.33003 .49833 L
.33001 .49514 L
F
.33003 .51456 m
.33005 .51457 L
.33003 .5158 L
.33002 .51457 L
F
.33003 .45629 m
.33103 .45629 L
.33003 .46454 L
.33003 .45629 L
F
.34946 .59581 m
.35744 .60198 L
.35111 .61169 L
.35917 .62062 L
.36571 .61169 L
.36888 .60798 L
.37395 .60198 L
.37859 .59474 L
.38604 .60198 L
.37864 .61169 L
.38831 .62086 L
.39672 .62141 L
.39059 .63112 L
.38831 .63355 L
.38372 .63112 L
.38785 .62141 L
.37859 .61174 L
.37212 .62141 L
.36888 .62513 L
.36369 .63112 L
.35917 .63718 L
.35272 .63112 L
.35819 .62141 L
.34946 .61367 L
.34309 .62141 L
.33974 .62637 L
.33046 .62141 L
.33636 .61169 L
.33974 .60884 L
.34433 .60198 L
F
.34946 .5769 m
.35792 .58256 L
.35157 .59227 L
.35917 .60159 L
.36603 .59227 L
.36888 .58894 L
.3743 .58256 L
.37859 .57599 L
.38627 .58256 L
.37939 .59227 L
.38831 .60183 L
.39741 .60198 L
.39124 .61169 L
.38831 .61487 L
.3838 .61169 L
.38818 .60198 L
.37859 .59298 L
.37254 .60198 L
.36888 .6062 L
.3641 .61169 L
.35917 .6183 L
.35295 .61169 L
.35869 .60198 L
.34946 .59483 L
.34341 .60198 L
.33974 .60739 L
.331 .60198 L
.33677 .59227 L
.33974 .58978 L
.34464 .58256 L
F
.33974 .34905 m
.34143 .34946 L
.34016 .35917 L
.33974 .35953 L
.33104 .35917 L
.3394 .34946 L
F
.34946 .6149 m
.3567 .62141 L
.34999 .63112 L
.35917 .64052 L
.36592 .63112 L
.36888 .62757 L
.37706 .63112 L
.37014 .64083 L
.36888 .64217 L
.36128 .65054 L
.35917 .65327 L
.35502 .65054 L
.35878 .64083 L
.34946 .63172 L
.34194 .64083 L
.33974 .64404 L
.33142 .64083 L
.33651 .63112 L
.33974 .62834 L
.34427 .62141 L
F
.34946 .57713 m
.35761 .58256 L
.3512 .59227 L
.34946 .59436 L
.34295 .60198 L
.33974 .60667 L
.33181 .60198 L
.33717 .59227 L
.33974 .59011 L
.34485 .58256 L
F
.34946 .55828 m
.35798 .56313 L
.35151 .57284 L
.34946 .57531 L
.34317 .58256 L
.33974 .58753 L
.33239 .58256 L
.33779 .57284 L
.33974 .57121 L
.34527 .56313 L
F
.34946 .57737 m
.35731 .58256 L
.35082 .59227 L
.34946 .59388 L
.34248 .60198 L
.33974 .60596 L
.33264 .60198 L
.33758 .59227 L
.33974 .59045 L
.34506 .58256 L
F
.33974 .47577 m
.34573 .48543 L
.33974 .49416 L
.33273 .48543 L
F
.34946 .55841 m
.3578 .56313 L
.35133 .57284 L
.34946 .57509 L
.34295 .58256 L
.33974 .58721 L
.33273 .58256 L
.338 .57284 L
.33974 .57139 L
.34538 .56313 L
F
.34946 .59631 m
.35683 .60198 L
.35017 .61169 L
.34946 .61251 L
.34186 .62141 L
.33974 .62448 L
.33278 .62141 L
.33727 .61169 L
.33974 .6096 L
.34478 .60198 L
F
.33974 .47585 m
.34567 .48543 L
.33974 .49409 L
.3328 .48543 L
F
.33974 .45661 m
.34631 .46601 L
.33974 .47569 L
.3328 .46601 L
F
.33974 .47593 m
.34562 .48543 L
.33974 .49402 L
.33286 .48543 L
F
.33974 .45671 m
.34624 .46601 L
.33974 .4756 L
.33287 .46601 L
F
.33974 .47601 m
.34556 .48543 L
.33974 .49394 L
.33292 .48543 L
F
.33974 .45681 m
.34617 .46601 L
.33974 .47551 L
.33295 .46601 L
F
.33974 .4952 m
.34494 .50486 L
.33974 .51239 L
.33296 .50486 L
F
.33974 .47609 m
.34551 .48543 L
.33974 .49387 L
.33298 .48543 L
F
.33974 .49528 m
.34489 .50486 L
.33974 .51232 L
.33302 .50486 L
F
.33974 .4569 m
.3461 .46601 L
.33974 .47542 L
.33302 .46601 L
F
.33974 .47617 m
.34545 .48543 L
.33974 .4938 L
.33305 .48543 L
F
.33974 .49535 m
.34484 .50486 L
.33974 .51225 L
.33308 .50486 L
F
.34946 .55854 m
.35762 .56313 L
.35115 .57284 L
.34946 .57486 L
.34274 .58256 L
.33974 .58689 L
.33309 .58256 L
.33822 .57284 L
.33974 .57157 L
.3455 .56313 L
F
.33974 .457 m
.34603 .46601 L
.33974 .47533 L
.3331 .46601 L
F
.33974 .47625 m
.3454 .48543 L
.33974 .49372 L
.33311 .48543 L
F
.33974 .49543 m
.34479 .50486 L
.33974 .51218 L
.33315 .50486 L
F
.33974 .47633 m
.34534 .48543 L
.33974 .49365 L
.33317 .48543 L
F
.33974 .4571 m
.34596 .46601 L
.33974 .47524 L
.33317 .46601 L
F
.33974 .49551 m
.34473 .50486 L
.33974 .51211 L
.33321 .50486 L
F
.33974 .47641 m
.34529 .48543 L
.33974 .49358 L
.33323 .48543 L
F
.33974 .4572 m
.34589 .46601 L
.33974 .47515 L
.33324 .46601 L
F
.33974 .49559 m
.34468 .50486 L
.33974 .51204 L
.33327 .50486 L
F
.33974 .47649 m
.34523 .48543 L
.33974 .4935 L
.33329 .48543 L
F
.33974 .51462 m
.34412 .52428 L
.33974 .53061 L
.3333 .52428 L
F
.33974 .4573 m
.34582 .46601 L
.33974 .47506 L
.33332 .46601 L
F
.34946 .53964 m
.35804 .54371 L
.35152 .55342 L
.34946 .55589 L
.34309 .56313 L
.33974 .56796 L
.33333 .56313 L
.33884 .55342 L
.33974 .55266 L
.34591 .54371 L
F
.33974 .49566 m
.34463 .50486 L
.33974 .51197 L
.33333 .50486 L
F
.33974 .47657 m
.34518 .48543 L
.33974 .49343 L
.33336 .48543 L
F
.33974 .5147 m
.34407 .52428 L
.33974 .53053 L
.33337 .52428 L
F
.33974 .4574 m
.34575 .46601 L
.33974 .47497 L
.33339 .46601 L
F
.33974 .49574 m
.34458 .50486 L
.33974 .5119 L
.3334 .50486 L
F
.33974 .47665 m
.34512 .48543 L
.33974 .49335 L
.33342 .48543 L
F
.33974 .51479 m
.34401 .52428 L
.33974 .53045 L
.33345 .52428 L
F
.34946 .55867 m
.35744 .56313 L
.35097 .57284 L
.34946 .57464 L
.34252 .58256 L
.33974 .58657 L
.33345 .58256 L
.33844 .57284 L
.33974 .57175 L
.34561 .56313 L
F
.33974 .49582 m
.34453 .50486 L
.33974 .51183 L
.33346 .50486 L
F
.33974 .45749 m
.34568 .46601 L
.33974 .47488 L
.33347 .46601 L
F
.33974 .47674 m
.34507 .48543 L
.33974 .49328 L
.33348 .48543 L
F
.34946 .5776 m
.357 .58256 L
.35043 .59227 L
.34946 .59341 L
.342 .60198 L
.33974 .60524 L
.3335 .60198 L
.33799 .59227 L
.33974 .5908 L
.34527 .58256 L
F
.34946 .53972 m
.35792 .54371 L
.35142 .55342 L
.34946 .55576 L
.34297 .56313 L
.33974 .56778 L
.33351 .56313 L
.33897 .55342 L
.33974 .55277 L
.34599 .54371 L
F
.33974 .4959 m
.34448 .50486 L
.33974 .51176 L
.33352 .50486 L
F
.33974 .51488 m
.34395 .52428 L
.33974 .53037 L
.33352 .52428 L
F
.33974 .45759 m
.34561 .46601 L
.33974 .47479 L
.33354 .46601 L
F
.33974 .47682 m
.34501 .48543 L
.33974 .4932 L
.33354 .48543 L
F
.33974 .49598 m
.34443 .50486 L
.33974 .51168 L
.33358 .50486 L
F
.33974 .51497 m
.34389 .52428 L
.33974 .53029 L
.3336 .52428 L
F
.33974 .4769 m
.34496 .48543 L
.33974 .49313 L
.33361 .48543 L
F
.33974 .45769 m
.34554 .46601 L
.33974 .4747 L
.33361 .46601 L
F
.33974 .49606 m
.34437 .50486 L
.33974 .51161 L
.33365 .50486 L
F
.33974 .47698 m
.3449 .48543 L
.33974 .49306 L
.33367 .48543 L
F
.33974 .51506 m
.34384 .52428 L
.33974 .53021 L
.33367 .52428 L
F
.34946 .53981 m
.35779 .54371 L
.35132 .55342 L
.34946 .55564 L
.34285 .56313 L
.33974 .56761 L
.33369 .56313 L
.33911 .55342 L
.33974 .55289 L
.34606 .54371 L
F
.33974 .45779 m
.34547 .46601 L
.33974 .47461 L
.33369 .46601 L
F
.33974 .49613 m
.34432 .50486 L
.33974 .51154 L
.33371 .50486 L
F
.33974 .47706 m
.34485 .48543 L
.33974 .49298 L
.33373 .48543 L
F
.33974 .51515 m
.34378 .52428 L
.33974 .53013 L
.33374 .52428 L
F
.33974 .45788 m
.3454 .46601 L
.33974 .47452 L
.33376 .46601 L
F
.33974 .49621 m
.34427 .50486 L
.33974 .51147 L
.33377 .50486 L
F
.33974 .4386 m
.34602 .44658 L
.33974 .45619 L
.33377 .44658 L
F
.33974 .47714 m
.34479 .48543 L
.33974 .49291 L
.33379 .48543 L
F
.33974 .53405 m
.34324 .54371 L
.33974 .54876 L
.33381 .54371 L
F
.34946 .5588 m
.35726 .56313 L
.35078 .57284 L
.34946 .57441 L
.34229 .58256 L
.33974 .58624 L
.33382 .58256 L
.33866 .57284 L
.33974 .57194 L
.34573 .56313 L
F
.33974 .51524 m
.34372 .52428 L
.33974 .53005 L
.33382 .52428 L
F
.33974 .49629 m
.34422 .50486 L
.33974 .5114 L
.33383 .50486 L
F
.33974 .45798 m
.34533 .46601 L
.33974 .47443 L
.33384 .46601 L
F
.33974 .47722 m
.34474 .48543 L
.33974 .49283 L
.33386 .48543 L
F
.34946 .53989 m
.35767 .54371 L
.35121 .55342 L
.34946 .55551 L
.34273 .56313 L
.33974 .56744 L
.33387 .56313 L
.33925 .55342 L
.33974 .55301 L
.34614 .54371 L
F
.33974 .43873 m
.34591 .44658 L
.33974 .45606 L
.33388 .44658 L
F
.33974 .51533 m
.34366 .52428 L
.33974 .52997 L
.3339 .52428 L
F
.33974 .49637 m
.34417 .50486 L
.33974 .51133 L
.3339 .50486 L
F
.33974 .45808 m
.34526 .46601 L
.33974 .47434 L
.33391 .46601 L
F
.33974 .53417 m
.34316 .54371 L
.33974 .54865 L
.33392 .54371 L
F
.33974 .4773 m
.34468 .48543 L
.33974 .49276 L
.33392 .48543 L
F
.33974 .49645 m
.34411 .50486 L
.33974 .51125 L
.33396 .50486 L
F
.33974 .51542 m
.34361 .52428 L
.33974 .52989 L
.33397 .52428 L
F
.33974 .47738 m
.34462 .48543 L
.33974 .49268 L
.33398 .48543 L
F
.33974 .43887 m
.34581 .44658 L
.33974 .45593 L
.33398 .44658 L
F
.33974 .45818 m
.34519 .46601 L
.33974 .47425 L
.33398 .46601 L
F
.33974 .49653 m
.34406 .50486 L
.33974 .51118 L
.33402 .50486 L
F
.33974 .53429 m
.34309 .54371 L
.33974 .54854 L
.33403 .54371 L
F
.33974 .47746 m
.34457 .48543 L
.33974 .49261 L
.33404 .48543 L
F
.33974 .51552 m
.34355 .52428 L
.33974 .5298 L
.33405 .52428 L
F
.34946 .53998 m
.35754 .54371 L
.35111 .55342 L
.34946 .55538 L
.34261 .56313 L
.33974 .56727 L
.33405 .56313 L
.33939 .55342 L
.33974 .55312 L
.34621 .54371 L
F
.33974 .45827 m
.34512 .46601 L
.33974 .47416 L
.33406 .46601 L
F
.33974 .49661 m
.34401 .50486 L
.33974 .51111 L
.33409 .50486 L
F
.33974 .43901 m
.3457 .44658 L
.33974 .4558 L
.33409 .44658 L
F
.33974 .47754 m
.34451 .48543 L
.33974 .49253 L
.33411 .48543 L
F
.33974 .51561 m
.34349 .52428 L
.33974 .52972 L
.33412 .52428 L
F
.33974 .45837 m
.34505 .46601 L
.33974 .47406 L
.33413 .46601 L
F
.33974 .53441 m
.34301 .54371 L
.33974 .54843 L
.33413 .54371 L
F
.33974 .49669 m
.34396 .50486 L
.33974 .51104 L
.33415 .50486 L
F
.33974 .47763 m
.34446 .48543 L
.33974 .49246 L
.33417 .48543 L
F
.33974 .43915 m
.3456 .44658 L
.33974 .45567 L
.33419 .44658 L
F
.34946 .55893 m
.35708 .56313 L
.3506 .57284 L
.34946 .57419 L
.34207 .58256 L
.33974 .58591 L
.33419 .58256 L
.33888 .57284 L
.33974 .57212 L
.34584 .56313 L
F
.33974 .5157 m
.34343 .52428 L
.33974 .52964 L
.3342 .52428 L
F
.33974 .45847 m
.34498 .46601 L
.33974 .47397 L
.33421 .46601 L
F
.33974 .49677 m
.3439 .50486 L
.33974 .51097 L
.33421 .50486 L
F
.33974 .47771 m
.3444 .48543 L
.33974 .49238 L
.33423 .48543 L
F
.34946 .54006 m
.35742 .54371 L
.351 .55342 L
.34946 .55526 L
.34248 .56313 L
.33974 .56709 L
.33424 .56313 L
.33953 .55342 L
.33974 .55324 L
.34629 .54371 L
F
.33974 .53453 m
.34293 .54371 L
.33974 .54832 L
.33424 .54371 L
F
.33974 .5158 m
.34337 .52428 L
.33974 .52956 L
.33427 .52428 L
F
.33974 .49685 m
.34385 .50486 L
.33974 .51089 L
.33428 .50486 L
F
.33974 .45857 m
.34491 .46601 L
.33974 .47388 L
.33428 .46601 L
F
.33974 .43929 m
.34549 .44658 L
.33974 .45554 L
.33429 .44658 L
F
.33974 .47779 m
.34434 .48543 L
.33974 .4923 L
.3343 .48543 L
F
.33974 .49694 m
.3438 .50486 L
.33974 .51082 L
.33434 .50486 L
F
.33974 .51589 m
.34331 .52428 L
.33974 .52948 L
.33435 .52428 L
F
.33974 .53466 m
.34285 .54371 L
.33974 .54821 L
.33435 .54371 L
F
.33974 .45866 m
.34483 .46601 L
.33974 .47378 L
.33436 .46601 L
F
.33974 .47787 m
.34429 .48543 L
.33974 .49223 L
.33436 .48543 L
F
.33974 .43943 m
.34538 .44658 L
.33974 .45541 L
.3344 .44658 L
F
.33974 .49702 m
.34375 .50486 L
.33974 .51075 L
.3344 .50486 L
F
.33974 .47795 m
.34423 .48543 L
.33974 .49215 L
.33442 .48543 L
F
.34946 .57784 m
.3567 .58256 L
.35004 .59227 L
.34946 .59294 L
.34149 .60198 L
.33974 .6045 L
.33442 .60198 L
.33841 .59227 L
.33974 .59115 L
.34548 .58256 L
F
.34946 .54015 m
.35729 .54371 L
.3509 .55342 L
.34946 .55513 L
.34236 .56313 L
.33974 .56692 L
.33443 .56313 L
.33968 .55342 L
.33974 .55336 L
.34636 .54371 L
F
.33974 .51599 m
.34325 .52428 L
.33974 .52939 L
.33443 .52428 L
F
.33974 .45876 m
.34476 .46601 L
.33974 .47369 L
.33443 .46601 L
F
.33974 .53479 m
.34278 .54371 L
.33974 .5481 L
.33446 .54371 L
F
.33974 .4971 m
.34369 .50486 L
.33974 .51067 L
.33447 .50486 L
F
.33974 .47804 m
.34418 .48543 L
.33974 .49207 L
.33449 .48543 L
F
.33974 .43957 m
.34528 .44658 L
.33974 .45528 L
.3345 .44658 L
F
.33974 .45886 m
.34469 .46601 L
.33974 .4736 L
.33451 .46601 L
F
.33974 .51608 m
.34319 .52428 L
.33974 .52931 L
.33451 .52428 L
F
.33974 .49718 m
.34364 .50486 L
.33974 .5106 L
.33453 .50486 L
F
.33974 .47812 m
.34412 .48543 L
.33974 .492 L
.33455 .48543 L
F
.33974 .53492 m
.3427 .54371 L
.33974 .54799 L
.33457 .54371 L
F
.34946 .55906 m
.3569 .56313 L
.35041 .57284 L
.34946 .57396 L
.34184 .58256 L
.33974 .58558 L
.33458 .58256 L
.33911 .57284 L
.33974 .57232 L
.34596 .56313 L
F
.33974 .45896 m
.34462 .46601 L
.33974 .4735 L
.33458 .46601 L
F
.33974 .51618 m
.34313 .52428 L
.33974 .52923 L
.33458 .52428 L
F
.33974 .49726 m
.34359 .50486 L
.33974 .51053 L
.3346 .50486 L
F
.33974 .43971 m
.34517 .44658 L
.33974 .45515 L
.33461 .44658 L
F
.33974 .4782 m
.34406 .48543 L
.33974 .49192 L
.33461 .48543 L
F
.33974 .55352 m
.34224 .56313 L
.33974 .56674 L
.33462 .56313 L
F
.33974 .45906 m
.34455 .46601 L
.33974 .47341 L
.33466 .46601 L
F
.33974 .51627 m
.34307 .52428 L
.33974 .52914 L
.33466 .52428 L
F
.33974 .49735 m
.34353 .50486 L
.33974 .51045 L
.33466 .50486 L
F
.33974 .47829 m
.34401 .48543 L
.33974 .49184 L
.33468 .48543 L
F
.33974 .53505 m
.34262 .54371 L
.33974 .54788 L
.33469 .54371 L
F
.33974 .43985 m
.34506 .44658 L
.33974 .45501 L
.33471 .44658 L
F
.33974 .49743 m
.34348 .50486 L
.33974 .51038 L
.33473 .50486 L
F
.33974 .45916 m
.34448 .46601 L
.33974 .47331 L
.33473 .46601 L
F
.33974 .51637 m
.34301 .52428 L
.33974 .52906 L
.33474 .52428 L
F
.33974 .47837 m
.34395 .48543 L
.33974 .49176 L
.33474 .48543 L
F
.33974 .49751 m
.34343 .50486 L
.33974 .5103 L
.33479 .50486 L
F
.33974 .53518 m
.34254 .54371 L
.33974 .54776 L
.3348 .54371 L
F
.33974 .47845 m
.34389 .48543 L
.33974 .49169 L
.33481 .48543 L
F
.33974 .45925 m
.3444 .46601 L
.33974 .47322 L
.33481 .46601 L
F
.33974 .55372 m
.34211 .56313 L
.33974 .56656 L
.33481 .56313 L
F
.33974 .51647 m
.34295 .52428 L
.33974 .52898 L
.33482 .52428 L
F
.33974 .43999 m
.34495 .44658 L
.33974 .45488 L
.33482 .44658 L
F
.33974 .42064 m
.34557 .42716 L
.33974 .43667 L
.33482 .42716 L
F
.33974 .4976 m
.34337 .50486 L
.33974 .51023 L
.33486 .50486 L
F
.33974 .47854 m
.34383 .48543 L
.33974 .49161 L
.33487 .48543 L
F
.33974 .45935 m
.34433 .46601 L
.33974 .47312 L
.33488 .46601 L
F
.33974 .51657 m
.34289 .52428 L
.33974 .52889 L
.3349 .52428 L
F
.33974 .53531 m
.34246 .54371 L
.33974 .54765 L
.33491 .54371 L
F
.33974 .49768 m
.34332 .50486 L
.33974 .51015 L
.33492 .50486 L
F
.33974 .44013 m
.34484 .44658 L
.33974 .45474 L
.33493 .44658 L
F
.33974 .47862 m
.34378 .48543 L
.33974 .49153 L
.33494 .48543 L
F
.33974 .45945 m
.34426 .46601 L
.33974 .47302 L
.33496 .46601 L
F
.33974 .51667 m
.34283 .52428 L
.33974 .52881 L
.33498 .52428 L
F
.34946 .55919 m
.35672 .56313 L
.35022 .57284 L
.34946 .57373 L
.3416 .58256 L
.33974 .58524 L
.33498 .58256 L
.33934 .57284 L
.33974 .57251 L
.34608 .56313 L
F
.33974 .49777 m
.34326 .50486 L
.33974 .51008 L
.33499 .50486 L
F
.33974 .42087 m
.34538 .42716 L
.33974 .43645 L
.335 .42716 L
F
.33974 .47871 m
.34372 .48543 L
.33974 .49145 L
.335 .48543 L
F
.33974 .55392 m
.34199 .56313 L
.33974 .56638 L
.33501 .56313 L
F
.33974 .53545 m
.34238 .54371 L
.33974 .54754 L
.33503 .54371 L
F
.33974 .44027 m
.34473 .44658 L
.33974 .45461 L
.33503 .44658 L
F
.33974 .45955 m
.34419 .46601 L
.33974 .47293 L
.33503 .46601 L
F
.33974 .49785 m
.34321 .50486 L
.33974 .51 L
.33505 .50486 L
F
.33974 .51677 m
.34277 .52428 L
.33974 .52872 L
.33506 .52428 L
F
.33974 .47879 m
.34366 .48543 L
.33974 .49137 L
.33507 .48543 L
F
.33974 .45965 m
.34411 .46601 L
.33974 .47283 L
.33511 .46601 L
F
.33974 .49794 m
.34315 .50486 L
.33974 .50993 L
.33512 .50486 L
F
.33974 .47888 m
.3436 .48543 L
.33974 .49129 L
.33513 .48543 L
F
.33974 .51687 m
.34271 .52428 L
.33974 .52864 L
.33514 .52428 L
F
.33974 .44041 m
.34463 .44658 L
.33974 .45447 L
.33514 .44658 L
F
.33974 .53558 m
.3423 .54371 L
.33974 .54742 L
.33514 .54371 L
F
.33974 .42111 m
.34518 .42716 L
.33974 .43623 L
.33518 .42716 L
F
.33974 .49803 m
.3431 .50486 L
.33974 .50985 L
.33519 .50486 L
F
.33974 .45975 m
.34404 .46601 L
.33974 .47273 L
.33519 .46601 L
F
.33974 .47896 m
.34354 .48543 L
.33974 .49121 L
.3352 .48543 L
F
.33974 .55413 m
.34186 .56313 L
.33974 .5662 L
.33521 .56313 L
F
.33974 .51697 m
.34265 .52428 L
.33974 .52855 L
.33522 .52428 L
F
.33974 .44055 m
.34452 .44658 L
.33974 .45433 L
.33525 .44658 L
F
.33974 .49811 m
.34304 .50486 L
.33974 .50978 L
.33525 .50486 L
F
.33974 .53572 m
.34221 .54371 L
.33974 .54731 L
.33526 .54371 L
F
.33974 .47905 m
.34349 .48543 L
.33974 .49113 L
.33526 .48543 L
F
.33974 .45985 m
.34397 .46601 L
.33974 .47263 L
.33527 .46601 L
F
.33974 .51708 m
.34259 .52428 L
.33974 .52846 L
.3353 .52428 L
F
.33974 .4982 m
.34299 .50486 L
.33974 .5097 L
.33532 .50486 L
F
.33974 .47913 m
.34343 .48543 L
.33974 .49105 L
.33533 .48543 L
F
.33974 .45996 m
.34389 .46601 L
.33974 .47253 L
.33534 .46601 L
F
.33974 .42135 m
.34499 .42716 L
.33974 .43601 L
.33535 .42716 L
F
.33974 .44069 m
.3444 .44658 L
.33974 .45419 L
.33535 .44658 L
F
.33974 .53587 m
.34213 .54371 L
.33974 .54719 L
.33538 .54371 L
F
.33974 .51718 m
.34253 .52428 L
.33974 .52838 L
.33538 .52428 L
F
.33974 .49829 m
.34293 .50486 L
.33974 .50962 L
.33539 .50486 L
F
.33974 .47922 m
.34337 .48543 L
.33974 .49097 L
.33539 .48543 L
F
.34946 .55932 m
.35653 .56313 L
.35002 .57284 L
.34946 .5735 L
.34136 .58256 L
.33974 .58489 L
.33541 .58256 L
.33958 .57284 L
.33974 .57271 L
.34619 .56313 L
F
.33974 .55434 m
.34173 .56313 L
.33974 .56601 L
.33541 .56313 L
F
.33974 .46006 m
.34382 .46601 L
.33974 .47243 L
.33542 .46601 L
F
.34946 .57808 m
.35639 .58256 L
.34964 .59227 L
.34946 .59247 L
.34097 .60198 L
.33974 .60374 L
.33545 .60198 L
.33885 .59227 L
.33974 .59152 L
.3457 .58256 L
F
.33974 .49838 m
.34288 .50486 L
.33974 .50954 L
.33546 .50486 L
F
.33974 .47931 m
.34331 .48543 L
.33974 .49089 L
.33546 .48543 L
F
.33974 .44083 m
.34429 .44658 L
.33974 .45404 L
.33546 .44658 L
F
.33974 .51729 m
.34246 .52428 L
.33974 .52829 L
.33546 .52428 L
F
.33974 .46016 m
.34374 .46601 L
.33974 .47233 L
.3355 .46601 L
F
.33974 .53601 m
.34205 .54371 L
.33974 .54707 L
.3355 .54371 L
F
.33974 .49847 m
.34282 .50486 L
.33974 .50947 L
.33553 .50486 L
F
.33974 .4794 m
.34325 .48543 L
.33974 .49081 L
.33553 .48543 L
F
.33974 .42158 m
.34479 .42716 L
.33974 .43578 L
.33553 .42716 L
F
.33974 .51739 m
.3424 .52428 L
.33974 .5282 L
.33555 .52428 L
F
.33974 .44097 m
.34418 .44658 L
.33974 .4539 L
.33557 .44658 L
F
.33974 .46026 m
.34367 .46601 L
.33974 .47223 L
.33558 .46601 L
F
.33974 .49856 m
.34276 .50486 L
.33974 .50939 L
.33559 .50486 L
F
.33974 .47948 m
.34319 .48543 L
.33974 .49072 L
.3356 .48543 L
F
.33974 .61041 m
.34899 .61169 L
.34053 .62141 L
.33974 .62252 L
.33562 .62141 L
.33822 .61169 L
F
.33974 .53616 m
.34196 .54371 L
.33974 .54695 L
.33562 .54371 L
F
.33974 .55456 m
.3416 .56313 L
.33974 .56582 L
.33563 .56313 L
F
.33974 .5175 m
.34234 .52428 L
.33974 .52811 L
.33563 .52428 L
F
.33974 .46037 m
.34359 .46601 L
.33974 .47213 L
.33566 .46601 L
F
.33974 .47957 m
.34313 .48543 L
.33974 .49064 L
.33566 .48543 L
F
.33974 .49865 m
.34271 .50486 L
.33974 .50931 L
.33566 .50486 L
F
.33974 .44112 m
.34407 .44658 L
.33974 .45375 L
.33568 .44658 L
F
.33974 .42182 m
.34459 .42716 L
.33974 .43554 L
.33571 .42716 L
F
.33974 .51761 m
.34227 .52428 L
.33974 .52802 L
.33572 .52428 L
F
.33974 .47966 m
.34307 .48543 L
.33974 .49056 L
.33573 .48543 L
F
.33974 .49874 m
.34265 .50486 L
.33974 .50923 L
.33573 .50486 L
F
.33974 .46047 m
.34352 .46601 L
.33974 .47203 L
.33574 .46601 L
F
.33974 .53631 m
.34188 .54371 L
.33974 .54683 L
.33575 .54371 L
F
.33974 .44126 m
.34395 .44658 L
.33974 .4536 L
.33579 .44658 L
F
.33974 .47975 m
.34301 .48543 L
.33974 .49047 L
.3358 .48543 L
F
.33974 .51772 m
.34221 .52428 L
.33974 .52793 L
.3358 .52428 L
F
.33974 .49883 m
.34259 .50486 L
.33974 .50915 L
.3358 .50486 L
F
.33974 .46057 m
.34344 .46601 L
.33974 .47192 L
.33581 .46601 L
F
.33974 .55479 m
.34146 .56313 L
.33974 .56563 L
.33584 .56313 L
F
.33974 .57296 m
.34111 .58256 L
.33974 .58454 L
.33585 .58256 L
F
.33974 .47984 m
.34295 .48543 L
.33974 .49039 L
.33587 .48543 L
F
.33974 .53646 m
.3418 .54371 L
.33974 .54671 L
.33587 .54371 L
F
.33974 .49892 m
.34254 .50486 L
.33974 .50907 L
.33587 .50486 L
F
.33974 .51783 m
.34215 .52428 L
.33974 .52784 L
.33589 .52428 L
F
.33974 .46068 m
.34336 .46601 L
.33974 .47182 L
.3359 .46601 L
F
.33974 .42206 m
.34439 .42716 L
.33974 .4353 L
.3359 .42716 L
F
.33974 .44141 m
.34384 .44658 L
.33974 .45345 L
.3359 .44658 L
F
.33974 .47993 m
.34289 .48543 L
.33974 .49031 L
.33594 .48543 L
F
.33974 .49901 m
.34248 .50486 L
.33974 .50899 L
.33594 .50486 L
F
.33974 .51794 m
.34208 .52428 L
.33974 .52775 L
.33597 .52428 L
F
.33974 .46079 m
.34329 .46601 L
.33974 .47171 L
.33598 .46601 L
F
.33974 .53661 m
.34171 .54371 L
.33974 .54659 L
.336 .54371 L
F
.33974 .48002 m
.34282 .48543 L
.33974 .49022 L
.33601 .48543 L
F
.33974 .44155 m
.34372 .44658 L
.33974 .4533 L
.33601 .44658 L
F
.33974 .49911 m
.34242 .50486 L
.33974 .50891 L
.33602 .50486 L
F
.33974 .40285 m
.34485 .40773 L
.33974 .4171 L
.33602 .40773 L
F
.33974 .46089 m
.34321 .46601 L
.33974 .4716 L
.33606 .46601 L
F
.33974 .51806 m
.34202 .52428 L
.33974 .52766 L
.33606 .52428 L
F
.33974 .55503 m
.34133 .56313 L
.33974 .56544 L
.33606 .56313 L
F
.33974 .48012 m
.34276 .48543 L
.33974 .49013 L
.33608 .48543 L
F
.33974 .4223 m
.34418 .42716 L
.33974 .43505 L
.33608 .42716 L
F
.33974 .4992 m
.34236 .50486 L
.33974 .50883 L
.33609 .50486 L
F
.33974 .4417 m
.34361 .44658 L
.33974 .45315 L
.33613 .44658 L
F
.33974 .53677 m
.34162 .54371 L
.33974 .54647 L
.33613 .54371 L
F
.33974 .461 m
.34313 .46601 L
.33974 .4715 L
.33614 .46601 L
F
.33974 .48021 m
.3427 .48543 L
.33974 .49005 L
.33615 .48543 L
F
.33974 .51817 m
.34195 .52428 L
.33974 .52757 L
.33615 .52428 L
F
.33974 .4993 m
.3423 .50486 L
.33974 .50874 L
.33616 .50486 L
F
.33974 .4803 m
.34264 .48543 L
.33974 .48996 L
.33622 .48543 L
F
.33974 .46111 m
.34305 .46601 L
.33974 .47139 L
.33622 .46601 L
F
.33974 .49939 m
.34224 .50486 L
.33974 .50866 L
.33623 .50486 L
F
.33974 .51829 m
.34188 .52428 L
.33974 .52747 L
.33624 .52428 L
F
.33974 .44185 m
.34349 .44658 L
.33974 .45299 L
.33624 .44658 L
F
.33974 .53694 m
.34154 .54371 L
.33974 .54635 L
.33626 .54371 L
F
.33974 .42255 m
.34397 .42716 L
.33974 .4348 L
.33627 .42716 L
F
.33974 .4804 m
.34257 .48543 L
.33974 .48987 L
.33629 .48543 L
F
.33974 .55528 m
.34119 .56313 L
.33974 .56524 L
.3363 .56313 L
F
.33974 .46122 m
.34297 .46601 L
.33974 .47128 L
.3363 .46601 L
F
.33974 .49949 m
.34218 .50486 L
.33974 .50858 L
.33631 .50486 L
F
.33974 .51841 m
.34182 .52428 L
.33974 .52738 L
.33633 .52428 L
F
.33974 .57335 m
.34086 .58256 L
.33974 .58417 L
.33634 .58256 L
F
.33974 .442 m
.34337 .44658 L
.33974 .45283 L
.33635 .44658 L
F
.33974 .48049 m
.34251 .48543 L
.33974 .48978 L
.33636 .48543 L
F
.33974 .49959 m
.34212 .50486 L
.33974 .50849 L
.33638 .50486 L
F
.33974 .40333 m
.34441 .40773 L
.33974 .41664 L
.33639 .40773 L
F
.33974 .46133 m
.34289 .46601 L
.33974 .47117 L
.33639 .46601 L
F
.33974 .5371 m
.34145 .54371 L
.33974 .54622 L
.33639 .54371 L
F
.33974 .51853 m
.34175 .52428 L
.33974 .52729 L
.33642 .52428 L
F
.33974 .48059 m
.34245 .48543 L
.33974 .48969 L
.33644 .48543 L
F
.33974 .4228 m
.34376 .42716 L
.33974 .43453 L
.33646 .42716 L
F
.33974 .49969 m
.34206 .50486 L
.33974 .50841 L
.33646 .50486 L
F
.33974 .44215 m
.34325 .44658 L
.33974 .45267 L
.33647 .44658 L
F
.33974 .46144 m
.34281 .46601 L
.33974 .47106 L
.33647 .46601 L
F
.33974 .48068 m
.34238 .48543 L
.33974 .4896 L
.33651 .48543 L
F
.33974 .51865 m
.34168 .52428 L
.33974 .52719 L
.33651 .52428 L
F
.33974 .53727 m
.34136 .54371 L
.33974 .54609 L
.33653 .54371 L
F
.33974 .49979 m
.342 .50486 L
.33974 .50832 L
.33653 .50486 L
F
.33974 .55553 m
.34105 .56313 L
.33974 .56504 L
.33654 .56313 L
F
.33974 .46155 m
.34273 .46601 L
.33974 .47094 L
.33656 .46601 L
F
.33974 .48078 m
.34232 .48543 L
.33974 .48951 L
.33658 .48543 L
F
.33974 .44231 m
.34313 .44658 L
.33974 .45251 L
.33659 .44658 L
F
.33974 .51878 m
.34162 .52428 L
.33974 .52709 L
.33661 .52428 L
F
.33974 .49989 m
.34194 .50486 L
.33974 .50823 L
.33661 .50486 L
F
.33974 .46166 m
.34265 .46601 L
.33974 .47083 L
.33664 .46601 L
F
.33974 .42305 m
.34355 .42716 L
.33974 .43426 L
.33665 .42716 L
F
.33974 .48088 m
.34225 .48543 L
.33974 .48942 L
.33666 .48543 L
F
.33974 .53745 m
.34127 .54371 L
.33974 .54596 L
.33667 .54371 L
F
.33974 .5 m
.34188 .50486 L
.33974 .50815 L
.33669 .50486 L
F
.33974 .5919 m
.34899 .59227 L
.34041 .60198 L
.33974 .60293 L
.33669 .60198 L
.3393 .59227 L
F
.33974 .5189 m
.34155 .52428 L
.33974 .527 L
.3367 .52428 L
F
.33974 .44246 m
.34301 .44658 L
.33974 .45234 L
.33671 .44658 L
F
.33974 .46177 m
.34257 .46601 L
.33974 .47071 L
.33673 .46601 L
F
.33974 .48098 m
.34219 .48543 L
.33974 .48933 L
.33673 .48543 L
F
.33974 .40382 m
.34396 .40773 L
.33974 .41616 L
.33676 .40773 L
F
.33974 .5001 m
.34182 .50486 L
.33974 .50806 L
.33676 .50486 L
F
.33974 .5558 m
.34091 .56313 L
.33974 .56484 L
.33679 .56313 L
F
.33974 .51903 m
.34148 .52428 L
.33974 .5269 L
.3368 .52428 L
F
.33974 .48108 m
.34212 .48543 L
.33974 .48923 L
.33681 .48543 L
F
.33974 .53763 m
.34118 .54371 L
.33974 .54583 L
.33681 .54371 L
F
.33974 .46189 m
.34248 .46601 L
.33974 .47059 L
.33682 .46601 L
F
.33974 .44262 m
.34288 .44658 L
.33974 .45217 L
.33683 .44658 L
F
.33974 .50021 m
.34176 .50486 L
.33974 .50797 L
.33684 .50486 L
F
.33974 .42331 m
.34333 .42716 L
.33974 .43399 L
.33684 .42716 L
F
.33974 .57377 m
.3406 .58256 L
.33974 .58379 L
.33687 .58256 L
F
.33974 .48118 m
.34205 .48543 L
.33974 .48914 L
.33688 .48543 L
F
.33974 .51916 m
.34141 .52428 L
.33974 .5268 L
.3369 .52428 L
F
.33974 .46201 m
.3424 .46601 L
.33974 .47048 L
.3369 .46601 L
F
.33974 .50031 m
.34169 .50486 L
.33974 .50788 L
.33692 .50486 L
F
.33974 .44278 m
.34276 .44658 L
.33974 .45199 L
.33695 .44658 L
F
.33974 .53782 m
.34108 .54371 L
.33974 .5457 L
.33696 .54371 L
F
.33974 .48129 m
.34199 .48543 L
.33974 .48904 L
.33696 .48543 L
F
.33974 .46212 m
.34231 .46601 L
.33974 .47036 L
.33699 .46601 L
F
.33974 .5193 m
.34134 .52428 L
.33974 .5267 L
.337 .52428 L
F
.33974 .50042 m
.34163 .50486 L
.33974 .50779 L
.337 .50486 L
F
.33974 .48139 m
.34192 .48543 L
.33974 .48894 L
.33704 .48543 L
F
.33974 .42357 m
.3431 .42716 L
.33974 .4337 L
.33704 .42716 L
F
.33974 .38481 m
.34421 .38831 L
.33974 .39792 L
.33705 .38831 L
F
.33974 .55609 m
.34077 .56313 L
.33974 .56463 L
.33705 .56313 L
F
.33974 .44294 m
.34263 .44658 L
.33974 .45182 L
.33707 .44658 L
F
.33974 .50053 m
.34157 .50486 L
.33974 .5077 L
.33708 .50486 L
F
.33974 .46224 m
.34223 .46601 L
.33974 .47023 L
.33708 .46601 L
F
.33974 .51944 m
.34127 .52428 L
.33974 .52659 L
.3371 .52428 L
F
.33974 .53801 m
.34099 .54371 L
.33974 .54556 L
.33711 .54371 L
F
.33974 .4815 m
.34185 .48543 L
.33974 .48885 L
.33712 .48543 L
F
.33974 .40433 m
.34348 .40773 L
.33974 .41563 L
.33715 .40773 L
F
.33974 .50065 m
.3415 .50486 L
.33974 .5076 L
.33717 .50486 L
F
.33974 .46236 m
.34214 .46601 L
.33974 .47011 L
.33718 .46601 L
F
.33974 .4431 m
.3425 .44658 L
.33974 .45163 L
.33719 .44658 L
F
.33974 .4816 m
.34178 .48543 L
.33974 .48875 L
.3372 .48543 L
F
.33974 .51958 m
.34119 .52428 L
.33974 .52649 L
.3372 .52428 L
F
.33974 .42383 m
.34287 .42716 L
.33974 .43339 L
.33724 .42716 L
F
.33974 .50076 m
.34144 .50486 L
.33974 .50751 L
.33725 .50486 L
F
.33974 .53821 m
.3409 .54371 L
.33974 .54543 L
.33726 .54371 L
F
.33974 .46249 m
.34205 .46601 L
.33974 .46998 L
.33727 .46601 L
F
.33974 .48171 m
.34171 .48543 L
.33974 .48864 L
.33728 .48543 L
F
.33974 .51972 m
.34112 .52428 L
.33974 .52638 L
.33731 .52428 L
F
.33974 .44327 m
.34236 .44658 L
.33974 .45145 L
.33732 .44658 L
F
.33974 .55639 m
.34062 .56313 L
.33974 .56442 L
.33733 .56313 L
F
.33974 .50088 m
.34137 .50486 L
.33974 .50741 L
.33733 .50486 L
F
.33974 .48182 m
.34164 .48543 L
.33974 .48854 L
.33736 .48543 L
F
.33974 .46261 m
.34196 .46601 L
.33974 .46985 L
.33736 .46601 L
F
.33974 .51987 m
.34105 .52428 L
.33974 .52628 L
.33741 .52428 L
F
.33974 .50099 m
.3413 .50486 L
.33974 .50732 L
.33742 .50486 L
F
.33974 .53842 m
.3408 .54371 L
.33974 .54529 L
.33742 .54371 L
F
.33974 .48194 m
.34157 .48543 L
.33974 .48844 L
.33744 .48543 L
F
.33974 .44344 m
.34223 .44658 L
.33974 .45126 L
.33745 .44658 L
F
.33974 .4241 m
.34263 .42716 L
.33974 .43308 L
.33745 .42716 L
F
.33974 .46274 m
.34187 .46601 L
.33974 .46972 L
.33746 .46601 L
F
.33974 .57423 m
.34033 .58256 L
.33974 .5834 L
.33749 .58256 L
F
.33974 .50112 m
.34124 .50486 L
.33974 .50722 L
.33751 .50486 L
F
.33974 .52002 m
.34097 .52428 L
.33974 .52617 L
.33752 .52428 L
F
.33974 .48205 m
.3415 .48543 L
.33974 .48833 L
.33753 .48543 L
F
.33974 .40486 m
.34298 .40773 L
.33974 .41507 L
.33755 .40773 L
F
.33974 .46287 m
.34178 .46601 L
.33974 .46959 L
.33755 .46601 L
F
.33974 .44361 m
.34209 .44658 L
.33974 .45106 L
.33758 .44658 L
F
.33974 .53864 m
.3407 .54371 L
.33974 .54515 L
.33759 .54371 L
F
.33974 .50124 m
.34117 .50486 L
.33974 .50712 L
.3376 .50486 L
F
.33974 .48217 m
.34142 .48543 L
.33974 .48823 L
.33761 .48543 L
F
.33974 .55672 m
.34047 .56313 L
.33974 .5642 L
.33763 .56313 L
F
.33974 .52017 m
.3409 .52428 L
.33974 .52606 L
.33764 .52428 L
F
.33974 .463 m
.34169 .46601 L
.33974 .46945 L
.33765 .46601 L
F
.33974 .42438 m
.34238 .42716 L
.33974 .43275 L
.33767 .42716 L
F
.33974 .50136 m
.3411 .50486 L
.33974 .50702 L
.33769 .50486 L
F
.33974 .48228 m
.34135 .48543 L
.33974 .48812 L
.3377 .48543 L
F
.33974 .44379 m
.34195 .44658 L
.33974 .45085 L
.33771 .44658 L
F
.33974 .46313 m
.34159 .46601 L
.33974 .46931 L
.33775 .46601 L
F
.33974 .52033 m
.34082 .52428 L
.33974 .52595 L
.33775 .52428 L
F
.33974 .53886 m
.3406 .54371 L
.33974 .545 L
.33776 .54371 L
F
.33974 .50149 m
.34103 .50486 L
.33974 .50692 L
.33778 .50486 L
F
.33974 .4824 m
.34128 .48543 L
.33974 .48801 L
.33779 .48543 L
F
.33974 .46326 m
.3415 .46601 L
.33974 .46917 L
.33785 .46601 L
F
.33974 .44397 m
.34181 .44658 L
.33974 .45064 L
.33785 .44658 L
F
.33974 .5205 m
.34074 .52428 L
.33974 .52583 L
.33787 .52428 L
F
.33974 .50163 m
.34096 .50486 L
.33974 .50681 L
.33787 .50486 L
F
.33974 .48253 m
.3412 .48543 L
.33974 .48789 L
.33788 .48543 L
F
.33974 .42467 m
.34213 .42716 L
.33974 .4324 L
.33789 .42716 L
F
.33974 .5391 m
.3405 .54371 L
.33974 .54485 L
.33794 .54371 L
F
.33974 .4634 m
.3414 .46601 L
.33974 .46902 L
.33795 .46601 L
F
.33974 .55707 m
.34031 .56313 L
.33974 .56397 L
.33796 .56313 L
F
.33974 .48265 m
.34112 .48543 L
.33974 .48778 L
.33797 .48543 L
F
.33974 .40541 m
.34245 .40773 L
.33974 .41444 L
.33797 .40773 L
F
.33974 .50176 m
.34089 .50486 L
.33974 .50671 L
.33797 .50486 L
F
.33974 .38604 m
.34292 .38831 L
.33974 .39679 L
.33798 .38831 L
F
.33974 .44415 m
.34166 .44658 L
.33974 .45043 L
.33799 .44658 L
F
.33974 .52067 m
.34067 .52428 L
.33974 .52572 L
.33799 .52428 L
F
.33974 .46354 m
.3413 .46601 L
.33974 .46887 L
.33806 .46601 L
F
.33974 .48278 m
.34105 .48543 L
.33974 .48766 L
.33806 .48543 L
F
.33974 .5019 m
.34082 .50486 L
.33974 .5066 L
.33807 .50486 L
F
.33974 .42497 m
.34186 .42716 L
.33974 .43202 L
.33811 .42716 L
F
.33974 .52086 m
.34059 .52428 L
.33974 .5256 L
.33812 .52428 L
F
.33974 .44434 m
.34151 .44658 L
.33974 .4502 L
.33813 .44658 L
F
.33974 .53936 m
.3404 .54371 L
.33974 .5447 L
.33814 .54371 L
F
.33974 .48291 m
.34097 .48543 L
.33974 .48754 L
.33815 .48543 L
F
.33974 .46369 m
.3412 .46601 L
.33974 .46872 L
.33816 .46601 L
F
.33974 .50205 m
.34074 .50486 L
.33974 .50649 L
.33817 .50486 L
F
.33974 .52104 m
.34051 .52428 L
.33974 .52548 L
.33825 .52428 L
F
.33974 .48305 m
.34089 .48543 L
.33974 .48742 L
.33825 .48543 L
F
.33974 .57475 m
.34004 .58256 L
.33974 .58299 L
.33826 .58256 L
F
.33974 .50219 m
.34067 .50486 L
.33974 .50638 L
.33827 .50486 L
F
.33974 .46384 m
.3411 .46601 L
.33974 .46856 L
.33827 .46601 L
F
.33974 .44454 m
.34135 .44658 L
.33974 .44996 L
.33828 .44658 L
F
.33974 .55745 m
.34015 .56313 L
.33974 .56374 L
.33834 .56313 L
F
.33974 .53964 m
.34029 .54371 L
.33974 .54454 L
.33834 .54371 L
F
.33974 .42528 m
.34158 .42716 L
.33974 .43162 L
.33835 .42716 L
F
.33974 .48319 m
.34081 .48543 L
.33974 .48729 L
.33835 .48543 L
F
.33974 .50235 m
.3406 .50486 L
.33974 .50626 L
.33838 .50486 L
F
.33974 .52124 m
.34042 .52428 L
.33974 .52536 L
.33838 .52428 L
F
.33974 .46399 m
.34099 .46601 L
.33974 .46839 L
.33838 .46601 L
F
.33974 .40599 m
.34185 .40773 L
.33974 .41372 L
.33841 .40773 L
F
.33974 .44474 m
.34119 .44658 L
.33974 .44971 L
.33843 .44658 L
F
.33974 .48333 m
.34072 .48543 L
.33974 .48716 L
.33845 .48543 L
F
.33974 .50251 m
.34052 .50486 L
.33974 .50614 L
.33848 .50486 L
F
.33974 .46415 m
.34089 .46601 L
.33974 .46822 L
.3385 .46601 L
F
.33974 .52146 m
.34034 .52428 L
.33974 .52523 L
.33852 .52428 L
F
.33974 .48348 m
.34064 .48543 L
.33974 .48703 L
.33855 .48543 L
F
.33974 .53994 m
.34018 .54371 L
.33974 .54438 L
.33856 .54371 L
F
.33974 .44495 m
.34103 .44658 L
.33974 .44944 L
.33858 .44658 L
F
.33974 .4256 m
.34128 .42716 L
.33974 .43117 L
.33859 .42716 L
F
.33974 .50268 m
.34044 .50486 L
.33974 .50602 L
.3386 .50486 L
F
.33974 .46431 m
.34078 .46601 L
.33974 .46804 L
.33861 .46601 L
F
.33974 .48364 m
.34055 .48543 L
.33974 .48689 L
.33866 .48543 L
F
.33974 .52168 m
.34026 .52428 L
.33974 .5251 L
.33867 .52428 L
F
.33974 .50286 m
.34036 .50486 L
.33974 .5059 L
.33871 .50486 L
F
.33974 .46448 m
.34066 .46601 L
.33974 .46786 L
.33874 .46601 L
F
.33974 .44517 m
.34085 .44658 L
.33974 .44916 L
.33874 .44658 L
F
.33974 .4838 m
.34047 .48543 L
.33974 .48675 L
.33877 .48543 L
F
.33974 .55789 m
.33999 .56313 L
.33974 .56349 L
.33878 .56313 L
F
.33974 .54027 m
.34008 .54371 L
.33974 .54422 L
.3388 .54371 L
F
.33974 .59231 m
.3398 .60198 L
.33974 .60207 L
.33881 .60198 L
F
.33974 .52193 m
.34017 .52428 L
.33974 .52497 L
.33883 .52428 L
F
.33974 .50304 m
.34028 .50486 L
.33974 .50577 L
.33883 .50486 L
F
.33974 .42595 m
.34096 .42716 L
.33974 .43067 L
.33885 .42716 L
F
.33974 .46466 m
.34055 .46601 L
.33974 .46766 L
.33886 .46601 L
F
.33974 .48397 m
.34038 .48543 L
.33974 .4866 L
.33888 .48543 L
F
.33974 .40662 m
.34118 .40773 L
.33974 .41286 L
.3389 .40773 L
F
.33974 .44539 m
.34067 .44658 L
.33974 .44885 L
.33891 .44658 L
F
.33974 .50325 m
.3402 .50486 L
.33974 .50564 L
.33896 .50486 L
F
.33974 .46484 m
.34043 .46601 L
.33974 .46745 L
.33899 .46601 L
F
.33974 .5222 m
.34008 .52428 L
.33974 .52483 L
.33899 .52428 L
F
.33974 .48414 m
.34029 .48543 L
.33974 .48645 L
.339 .48543 L
F
.33974 .38742 m
.34127 .38831 L
.33974 .39531 L
.33905 .38831 L
F
.33974 .54066 m
.33996 .54371 L
.33974 .54405 L
.33907 .54371 L
F
.33974 .44563 m
.34048 .44658 L
.33974 .4485 L
.33909 .44658 L
F
.33974 .50346 m
.34012 .50486 L
.33974 .5055 L
.33909 .50486 L
F
.33974 .48433 m
.34019 .48543 L
.33974 .48629 L
.33912 .48543 L
F
.33974 .63058 m
.34536 .63112 L
.33974 .6381 L
.33912 .63112 L
F
.33974 .46504 m
.3403 .46601 L
.33974 .46723 L
.33912 .46601 L
F
.33974 .42631 m
.34061 .42716 L
.33974 .43009 L
.33913 .42716 L
F
.33974 .52251 m
.33999 .52428 L
.33974 .52469 L
.33917 .52428 L
F
.33974 .5037 m
.34003 .50486 L
.33974 .50536 L
.33923 .50486 L
F
.33974 .61127 m
.34698 .61169 L
.33974 .6203 L
.33924 .61169 L
F
.33974 .48454 m
.3401 .48543 L
.33974 .48612 L
.33925 .48543 L
F
.33974 .46524 m
.34018 .46601 L
.33974 .46699 L
.33926 .46601 L
F
.33974 .44589 m
.34028 .44658 L
.33974 .44811 L
.33927 .44658 L
F
.33974 .52289 m
.3399 .52428 L
.33974 .52454 L
.33937 .52428 L
F
.33974 .5584 m
.33982 .56313 L
.33974 .56324 L
.33937 .56313 L
F
.33974 .50398 m
.33994 .50486 L
.33974 .50521 L
.33938 .50486 L
F
.33974 .48476 m
.34 .48543 L
.33974 .48594 L
.33938 .48543 L
F
.33974 .54113 m
.33985 .54371 L
.33974 .54387 L
.33939 .54371 L
F
.33974 .46547 m
.34004 .46601 L
.33974 .46672 L
.33941 .46601 L
F
.33974 .42671 m
.34022 .42716 L
.33974 .42933 L
.33942 .42716 L
F
.33974 .40732 m
.34033 .40773 L
.33974 .41172 L
.33943 .40773 L
F
.33974 .44616 m
.34007 .44658 L
.33974 .44764 L
.33946 .44658 L
F
.33974 .485 m
.3399 .48543 L
.33974 .48574 L
.33952 .48543 L
F
.33974 .5043 m
.33986 .50486 L
.33974 .50506 L
.33953 .50486 L
F
.33974 .46571 m
.33991 .46601 L
.33974 .46641 L
.33956 .46601 L
F
.33974 .5234 m
.33981 .52428 L
.33974 .52438 L
.33958 .52428 L
F
.33974 .44646 m
.33983 .44658 L
.33974 .44697 L
.33967 .44658 L
F
.33974 .48528 m
.33979 .48543 L
.33974 .48553 L
.33967 .48543 L
F
.33974 .50473 m
.33976 .50486 L
.33974 .50489 L
.3397 .50486 L
F
.33974 .46598 m
.33976 .46601 L
.33974 .46605 L
.33973 .46601 L
F
.33974 .42715 m
.33975 .42716 L
.33974 .42786 L
.33974 .42716 L
F
.35917 .48892 m
.36594 .49514 L
.35954 .50486 L
.36888 .51371 L
.37636 .50486 L
.37859 .50144 L
.38581 .50486 L
.3804 .51457 L
.37859 .5162 L
.37321 .52428 L
.36888 .52935 L
.36227 .52428 L
.36816 .51457 L
.35917 .50519 L
.3525 .51457 L
.34946 .5182 L
.3398 .51457 L
.34653 .50486 L
.34946 .50151 L
.35477 .49514 L
F
.34946 .5209 m
.35825 .52428 L
.35169 .53399 L
.34946 .53666 L
.3398 .53399 L
.3465 .52428 L
F
.35917 .46949 m
.36675 .47572 L
.36072 .48543 L
.36888 .49411 L
.37612 .48543 L
.37859 .48161 L
.38732 .48543 L
.38191 .49514 L
.37859 .49817 L
.3742 .50486 L
.36888 .51118 L
.36195 .50486 L
.36803 .49514 L
.35917 .48682 L
.35325 .49514 L
.34946 .49968 L
.3398 .49514 L
.3465 .48543 L
.34946 .48203 L
.35475 .47572 L
F
.34946 .54023 m
.35716 .54371 L
.35079 .55342 L
.34946 .555 L
.33986 .55342 L
.34644 .54371 L
F
.34946 .55946 m
.35635 .56313 L
.34983 .57284 L
.34946 .57327 L
.33988 .57284 L
.34631 .56313 L
F
.35917 .46957 m
.36667 .47572 L
.36064 .48543 L
.36888 .4942 L
.37619 .48543 L
.37859 .48172 L
.38716 .48543 L
.38179 .49514 L
.37859 .49807 L
.37414 .50486 L
.36888 .5111 L
.36202 .50486 L
.3681 .49514 L
.35917 .48675 L
.3532 .49514 L
.34946 .49962 L
.33989 .49514 L
.34655 .48543 L
.34946 .4821 L
.3548 .47572 L
F
.35917 .48899 m
.36588 .49514 L
.35946 .50486 L
.36888 .5138 L
.37643 .50486 L
.37859 .50154 L
.38566 .50486 L
.38026 .51457 L
.37859 .51608 L
.37313 .52428 L
.36888 .52926 L
.36237 .52428 L
.36823 .51457 L
.35917 .50512 L
.35244 .51457 L
.34946 .51814 L
.33989 .51457 L
.34658 .50486 L
.34946 .50157 L
.35482 .49514 L
F
.34946 .52097 m
.35815 .52428 L
.35162 .53399 L
.34946 .53657 L
.33993 .53399 L
.34656 .52428 L
F
.35917 .46965 m
.36659 .47572 L
.36056 .48543 L
.36888 .49428 L
.37626 .48543 L
.37859 .48184 L
.38699 .48543 L
.38168 .49514 L
.37859 .49796 L
.37407 .50486 L
.36888 .51102 L
.3621 .50486 L
.36817 .49514 L
.35917 .48669 L
.35315 .49514 L
.34946 .49956 L
.33997 .49514 L
.34661 .48543 L
.34946 .48216 L
.35486 .47572 L
F
.35917 .48906 m
.36581 .49514 L
.35938 .50486 L
.36888 .51388 L
.37651 .50486 L
.37859 .50165 L
.38551 .50486 L
.38013 .51457 L
.37859 .51596 L
.37305 .52428 L
.36888 .52916 L
.36247 .52428 L
.3683 .51457 L
.35917 .50505 L
.35239 .51457 L
.34946 .51807 L
.33999 .51457 L
.34663 .50486 L
.34946 .50163 L
.35487 .49514 L
F
.35917 .46972 m
.36651 .47572 L
.36049 .48543 L
.36888 .49437 L
.37634 .48543 L
.37859 .48195 L
.38682 .48543 L
.38156 .49514 L
.37859 .49785 L
.374 .50486 L
.36888 .51094 L
.36218 .50486 L
.36824 .49514 L
.35917 .48662 L
.3531 .49514 L
.34946 .4995 L
.34006 .49514 L
.34666 .48543 L
.34946 .48223 L
.35491 .47572 L
F
.35917 .45011 m
.36755 .45629 L
.3616 .46601 L
.36888 .47479 L
.37604 .46601 L
.37859 .462 L
.38477 .45629 L
.38831 .45008 L
.39539 .45629 L
.38888 .46601 L
.39802 .47508 L
.40773 .47572 L
.40305 .48543 L
.39802 .49039 L
.39143 .48543 L
.39766 .47572 L
.38831 .46641 L
.38291 .47572 L
.37859 .47969 L
.37488 .48543 L
.36888 .49269 L
.362 .48543 L
.36812 .47572 L
.35917 .46818 L
.35382 .47572 L
.34946 .48094 L
.34007 .47572 L
.34659 .46601 L
.34946 .46269 L
.35479 .45629 L
F
.34946 .52104 m
.35805 .52428 L
.35155 .53399 L
.34946 .53649 L
.34007 .53399 L
.34661 .52428 L
F
.34946 .54032 m
.35703 .54371 L
.35069 .55342 L
.34946 .55487 L
.34008 .55342 L
.34651 .54371 L
F
.35917 .48913 m
.36574 .49514 L
.3593 .50486 L
.36888 .51397 L
.37658 .50486 L
.37859 .50176 L
.38536 .50486 L
.38 .51457 L
.37859 .51584 L
.37297 .52428 L
.36888 .52907 L
.36257 .52428 L
.36837 .51457 L
.35917 .50497 L
.35234 .51457 L
.34946 .51801 L
.34009 .51457 L
.34668 .50486 L
.34946 .50169 L
.35492 .49514 L
F
.35917 .4698 m
.36643 .47572 L
.36041 .48543 L
.36888 .49445 L
.37641 .48543 L
.37859 .48207 L
.38666 .48543 L
.38144 .49514 L
.37859 .49775 L
.37393 .50486 L
.36888 .51086 L
.36226 .50486 L
.36831 .49514 L
.35917 .48655 L
.35305 .49514 L
.34946 .49944 L
.34014 .49514 L
.34672 .48543 L
.34946 .48229 L
.35497 .47572 L
F
.35917 .45021 m
.36744 .45629 L
.36151 .46601 L
.36888 .47489 L
.37613 .46601 L
.37859 .46215 L
.38493 .45629 L
.38831 .45035 L
.39512 .45629 L
.38857 .46601 L
.39802 .47546 L
.40684 .47572 L
.40273 .48543 L
.39802 .49008 L
.39174 .48543 L
.39788 .47572 L
.38831 .46619 L
.38278 .47572 L
.37859 .47958 L
.37481 .48543 L
.36888 .49261 L
.36207 .48543 L
.3682 .47572 L
.35917 .4681 L
.35376 .47572 L
.34946 .48087 L
.34016 .47572 L
.34666 .46601 L
.34946 .46278 L
.35486 .45629 L
F
.35917 .4892 m
.36568 .49514 L
.35922 .50486 L
.36888 .51405 L
.37665 .50486 L
.37859 .50187 L
.38521 .50486 L
.37987 .51457 L
.37859 .51571 L
.37289 .52428 L
.36888 .52897 L
.36267 .52428 L
.36845 .51457 L
.35917 .5049 L
.35228 .51457 L
.34946 .51794 L
.34018 .51457 L
.34673 .50486 L
.34946 .50175 L
.35497 .49514 L
F
.34946 .5211 m
.35794 .52428 L
.35148 .53399 L
.34946 .53641 L
.3402 .53399 L
.34667 .52428 L
F
.35917 .46988 m
.36635 .47572 L
.36033 .48543 L
.36888 .49454 L
.37649 .48543 L
.37859 .48218 L
.38649 .48543 L
.38133 .49514 L
.37859 .49764 L
.37386 .50486 L
.36888 .51077 L
.36234 .50486 L
.36838 .49514 L
.35917 .48648 L
.353 .49514 L
.34946 .49938 L
.34023 .49514 L
.34677 .48543 L
.34946 .48236 L
.35502 .47572 L
F
.35917 .45032 m
.36733 .45629 L
.36142 .46601 L
.36888 .475 L
.37622 .46601 L
.37859 .46229 L
.38827 .46601 L
.38266 .47572 L
.37859 .47947 L
.37474 .48543 L
.36888 .49252 L
.36215 .48543 L
.36828 .47572 L
.35917 .46802 L
.35371 .47572 L
.34946 .48081 L
.34024 .47572 L
.34673 .46601 L
.34946 .46286 L
.35493 .45629 L
F
.34946 .50181 m
.35913 .50486 L
.35223 .51457 L
.34946 .51788 L
.34028 .51457 L
.34679 .50486 L
F
.34946 .54041 m
.3569 .54371 L
.35058 .55342 L
.34946 .55474 L
.3403 .55342 L
.34659 .54371 L
F
.35917 .46995 m
.36627 .47572 L
.36026 .48543 L
.36888 .49462 L
.37656 .48543 L
.37859 .4823 L
.38632 .48543 L
.38121 .49514 L
.37859 .49753 L
.37379 .50486 L
.36888 .51069 L
.36242 .50486 L
.36845 .49514 L
.35917 .48641 L
.35295 .49514 L
.34946 .49932 L
.34031 .49514 L
.34683 .48543 L
.34946 .48242 L
.35508 .47572 L
F
.34946 .55959 m
.35616 .56313 L
.34963 .57284 L
.34946 .57304 L
.34033 .57284 L
.34643 .56313 L
F
.35917 .45042 m
.36721 .45629 L
.36133 .46601 L
.36888 .4751 L
.37631 .46601 L
.37859 .46244 L
.38804 .46601 L
.38254 .47572 L
.37859 .47935 L
.37467 .48543 L
.36888 .49244 L
.36222 .48543 L
.36837 .47572 L
.35917 .46795 L
.35365 .47572 L
.34946 .48074 L
.34033 .47572 L
.3468 .46601 L
.34946 .46294 L
.35501 .45629 L
F
.34946 .52117 m
.35784 .52428 L
.35141 .53399 L
.34946 .53632 L
.34034 .53399 L
.34673 .52428 L
F
.34946 .50187 m
.35904 .50486 L
.35218 .51457 L
.34946 .51781 L
.34038 .51457 L
.34684 .50486 L
F
.35917 .47003 m
.36619 .47572 L
.36018 .48543 L
.36888 .49471 L
.37664 .48543 L
.37859 .48241 L
.38615 .48543 L
.38109 .49514 L
.37859 .49742 L
.37372 .50486 L
.36888 .51061 L
.3625 .50486 L
.36852 .49514 L
.35917 .48634 L
.3529 .49514 L
.34946 .49926 L
.3404 .49514 L
.34688 .48543 L
.34946 .48249 L
.35513 .47572 L
F
.35917 .45053 m
.3671 .45629 L
.36125 .46601 L
.36888 .4752 L
.3764 .46601 L
.37859 .46258 L
.38782 .46601 L
.38241 .47572 L
.37859 .47924 L
.3746 .48543 L
.36888 .49235 L
.3623 .48543 L
.36845 .47572 L
.35917 .46787 L
.3536 .47572 L
.34946 .48068 L
.34042 .47572 L
.34687 .46601 L
.34946 .46303 L
.35508 .45629 L
F
.34946 .52123 m
.35774 .52428 L
.35134 .53399 L
.34946 .53624 L
.34047 .53399 L
.34679 .52428 L
F
.34946 .50193 m
.35894 .50486 L
.35212 .51457 L
.34946 .51775 L
.34048 .51457 L
.34689 .50486 L
F
.35917 .47011 m
.36611 .47572 L
.3601 .48543 L
.36888 .4948 L
.37672 .48543 L
.37859 .48253 L
.38598 .48543 L
.38098 .49514 L
.37859 .49731 L
.37365 .50486 L
.36888 .51053 L
.36257 .50486 L
.36859 .49514 L
.35917 .48627 L
.35285 .49514 L
.34946 .4992 L
.34048 .49514 L
.34694 .48543 L
.34946 .48255 L
.35519 .47572 L
F
.35917 .45063 m
.36698 .45629 L
.36116 .46601 L
.36888 .4753 L
.37649 .46601 L
.37859 .46273 L
.3876 .46601 L
.38229 .47572 L
.37859 .47912 L
.37453 .48543 L
.36888 .49227 L
.36238 .48543 L
.36853 .47572 L
.35917 .46779 L
.35354 .47572 L
.34946 .48061 L
.34051 .47572 L
.34694 .46601 L
.34946 .46311 L
.35515 .45629 L
F
.34946 .54049 m
.35677 .54371 L
.35047 .55342 L
.34946 .55461 L
.34053 .55342 L
.34667 .54371 L
F
.35917 .47018 m
.36603 .47572 L
.36002 .48543 L
.36888 .49488 L
.37679 .48543 L
.37859 .48265 L
.3858 .48543 L
.38086 .49514 L
.37859 .4972 L
.37359 .50486 L
.36888 .51045 L
.36265 .50486 L
.36866 .49514 L
.35917 .4862 L
.3528 .49514 L
.34946 .49914 L
.34057 .49514 L
.347 .48543 L
.34946 .48262 L
.35524 .47572 L
F
.34946 .50199 m
.35884 .50486 L
.35207 .51457 L
.34946 .51768 L
.34058 .51457 L
.34694 .50486 L
F
.35917 .45073 m
.36687 .45629 L
.36107 .46601 L
.36888 .4754 L
.37659 .46601 L
.37859 .46287 L
.38737 .46601 L
.38216 .47572 L
.37859 .47901 L
.37445 .48543 L
.36888 .49219 L
.36245 .48543 L
.36862 .47572 L
.35917 .46771 L
.35349 .47572 L
.34946 .48055 L
.3406 .47572 L
.34701 .46601 L
.34946 .46319 L
.35523 .45629 L
F
.34946 .5213 m
.35763 .52428 L
.35127 .53399 L
.34946 .53615 L
.34061 .53399 L
.34685 .52428 L
F
.35917 .47026 m
.36595 .47572 L
.35995 .48543 L
.36888 .49497 L
.37687 .48543 L
.37859 .48277 L
.38563 .48543 L
.38074 .49514 L
.37859 .49709 L
.37352 .50486 L
.36888 .51037 L
.36273 .50486 L
.36874 .49514 L
.35917 .48613 L
.35275 .49514 L
.34946 .49908 L
.34066 .49514 L
.34705 .48543 L
.34946 .48268 L
.3553 .47572 L
F
.34946 .50205 m
.35874 .50486 L
.35201 .51457 L
.34946 .51762 L
.34068 .51457 L
.347 .50486 L
F
.35917 .45084 m
.36676 .45629 L
.36098 .46601 L
.36888 .4755 L
.37668 .46601 L
.37859 .46302 L
.38715 .46601 L
.38204 .47572 L
.37859 .47889 L
.37438 .48543 L
.36888 .4921 L
.36253 .48543 L
.3687 .47572 L
.35917 .46763 L
.35343 .47572 L
.34946 .48048 L
.34069 .47572 L
.34708 .46601 L
.34946 .46328 L
.3553 .45629 L
F
.35917 .47034 m
.36587 .47572 L
.35987 .48543 L
.36888 .49506 L
.37695 .48543 L
.37859 .48288 L
.38545 .48543 L
.38062 .49514 L
.37859 .49698 L
.37345 .50486 L
.36888 .51029 L
.36281 .50486 L
.36881 .49514 L
.35917 .48606 L
.3527 .49514 L
.34946 .49902 L
.34074 .49514 L
.34711 .48543 L
.34946 .48275 L
.35535 .47572 L
F
.34946 .52137 m
.35752 .52428 L
.3512 .53399 L
.34946 .53607 L
.34076 .53399 L
.34691 .52428 L
F
.34946 .54058 m
.35664 .54371 L
.35036 .55342 L
.34946 .55448 L
.34077 .55342 L
.34674 .54371 L
F
.35917 .45094 m
.36664 .45629 L
.36089 .46601 L
.36888 .47561 L
.37677 .46601 L
.37859 .46317 L
.38692 .46601 L
.38191 .47572 L
.37859 .47877 L
.37431 .48543 L
.36888 .49202 L
.3626 .48543 L
.36879 .47572 L
.35917 .46755 L
.35338 .47572 L
.34946 .48042 L
.34078 .47572 L
.34716 .46601 L
.34946 .46336 L
.35537 .45629 L
F
.34946 .50211 m
.35864 .50486 L
.35196 .51457 L
.34946 .51755 L
.34078 .51457 L
.34705 .50486 L
F
.35917 .47042 m
.36579 .47572 L
.35979 .48543 L
.36888 .49514 L
.37703 .48543 L
.37859 .483 L
.38527 .48543 L
.3805 .49514 L
.37859 .49687 L
.37338 .50486 L
.36888 .5102 L
.36289 .50486 L
.36888 .49514 L
.35917 .48599 L
.35265 .49514 L
.34946 .49896 L
.34083 .49514 L
.34717 .48543 L
.34946 .48282 L
.35541 .47572 L
F
.35917 .45104 m
.36653 .45629 L
.3608 .46601 L
.36888 .47571 L
.37687 .46601 L
.37859 .46331 L
.38669 .46601 L
.38179 .47572 L
.37859 .47866 L
.37424 .48543 L
.36888 .49193 L
.36268 .48543 L
.36887 .47572 L
.35917 .46747 L
.35332 .47572 L
.34946 .48035 L
.34087 .47572 L
.34723 .46601 L
.34946 .46345 L
.35545 .45629 L
F
.34946 .50217 m
.35854 .50486 L
.35191 .51457 L
.34946 .51749 L
.34088 .51457 L
.3471 .50486 L
F
.34946 .52144 m
.35742 .52428 L
.35113 .53399 L
.34946 .53598 L
.3409 .53399 L
.34697 .52428 L
F
.35917 .47049 m
.36571 .47572 L
.35971 .48543 L
.35917 .48592 L
.3526 .49514 L
.34946 .4989 L
.34092 .49514 L
.34722 .48543 L
.34946 .48288 L
.35547 .47572 L
F
.35917 .45115 m
.36641 .45629 L
.36072 .46601 L
.35917 .46739 L
.35327 .47572 L
.34946 .48029 L
.34096 .47572 L
.3473 .46601 L
.34946 .46353 L
.35552 .45629 L
F
.34946 .50224 m
.35844 .50486 L
.35185 .51457 L
.34946 .51742 L
.34098 .51457 L
.34716 .50486 L
F
.35917 .47057 m
.36563 .47572 L
.35963 .48543 L
.35917 .48585 L
.35255 .49514 L
.34946 .49884 L
.341 .49514 L
.34728 .48543 L
.34946 .48295 L
.35552 .47572 L
F
.34946 .54067 m
.35651 .54371 L
.35025 .55342 L
.34946 .55435 L
.34102 .55342 L
.34682 .54371 L
F
.34946 .5215 m
.35731 .52428 L
.35106 .53399 L
.34946 .5359 L
.34104 .53399 L
.34702 .52428 L
F
.35917 .45125 m
.3663 .45629 L
.36063 .46601 L
.35917 .46731 L
.35321 .47572 L
.34946 .48022 L
.34105 .47572 L
.34737 .46601 L
.34946 .46362 L
.35559 .45629 L
F
.35917 .43173 m
.36728 .43687 L
.36159 .44658 L
.35917 .44874 L
.35385 .45629 L
.34946 .4616 L
.34108 .45629 L
.3474 .44658 L
.34946 .44421 L
.35555 .43687 L
F
.34946 .5023 m
.35834 .50486 L
.3518 .51457 L
.34946 .51736 L
.34109 .51457 L
.34721 .50486 L
F
.35917 .47065 m
.36554 .47572 L
.35955 .48543 L
.35917 .48577 L
.3525 .49514 L
.34946 .49878 L
.34109 .49514 L
.34734 .48543 L
.34946 .48301 L
.35558 .47572 L
F
.35917 .45136 m
.36618 .45629 L
.36054 .46601 L
.35917 .46723 L
.35316 .47572 L
.34946 .48015 L
.34113 .47572 L
.34744 .46601 L
.34946 .4637 L
.35567 .45629 L
F
.35917 .47073 m
.36546 .47572 L
.35947 .48543 L
.35917 .4857 L
.35245 .49514 L
.34946 .49872 L
.34118 .49514 L
.34739 .48543 L
.34946 .48308 L
.35564 .47572 L
F
.34946 .50236 m
.35824 .50486 L
.35174 .51457 L
.34946 .51729 L
.34119 .51457 L
.34726 .50486 L
F
.34946 .52157 m
.3572 .52428 L
.35099 .53399 L
.34946 .53581 L
.34119 .53399 L
.34708 .52428 L
F
.35917 .4319 m
.36708 .43687 L
.36147 .44658 L
.35917 .44863 L
.35378 .45629 L
.34946 .46151 L
.34119 .45629 L
.34751 .44658 L
.34946 .44434 L
.35566 .43687 L
F
.35917 .45146 m
.36607 .45629 L
.36045 .46601 L
.35917 .46715 L
.3531 .47572 L
.34946 .48009 L
.34122 .47572 L
.34751 .46601 L
.34946 .46379 L
.35574 .45629 L
F
.35917 .47081 m
.36538 .47572 L
.35939 .48543 L
.35917 .48563 L
.3524 .49514 L
.34946 .49866 L
.34127 .49514 L
.34745 .48543 L
.34946 .48315 L
.35569 .47572 L
F
.34946 .54076 m
.35638 .54371 L
.35014 .55342 L
.34946 .55422 L
.34128 .55342 L
.3469 .54371 L
F
.34946 .50242 m
.35814 .50486 L
.35169 .51457 L
.34946 .51722 L
.34129 .51457 L
.34732 .50486 L
F
.35917 .43206 m
.36689 .43687 L
.36135 .44658 L
.35917 .44853 L
.35371 .45629 L
.34946 .46143 L
.3413 .45629 L
.34762 .44658 L
.34946 .44447 L
.35578 .43687 L
F
.35917 .45157 m
.36595 .45629 L
.36036 .46601 L
.35917 .46707 L
.35305 .47572 L
.34946 .48002 L
.34131 .47572 L
.34759 .46601 L
.34946 .46387 L
.35582 .45629 L
F
.34946 .52164 m
.35709 .52428 L
.35092 .53399 L
.34946 .53572 L
.34134 .53399 L
.34714 .52428 L
F
.35917 .47089 m
.3653 .47572 L
.35931 .48543 L
.35917 .48556 L
.35235 .49514 L
.34946 .4986 L
.34136 .49514 L
.34751 .48543 L
.34946 .48321 L
.35575 .47572 L
F
.34946 .50248 m
.35803 .50486 L
.35163 .51457 L
.34946 .51716 L
.3414 .51457 L
.34737 .50486 L
F
.35917 .45167 m
.36584 .45629 L
.36026 .46601 L
.35917 .46699 L
.35299 .47572 L
.34946 .47996 L
.3414 .47572 L
.34766 .46601 L
.34946 .46396 L
.35589 .45629 L
F
.35917 .43223 m
.3667 .43687 L
.36122 .44658 L
.35917 .44842 L
.35363 .45629 L
.34946 .46134 L
.34141 .45629 L
.34773 .44658 L
.34946 .4446 L
.35589 .43687 L
F
.35917 .47096 m
.36522 .47572 L
.35923 .48543 L
.35917 .48549 L
.3523 .49514 L
.34946 .49854 L
.34144 .49514 L
.34757 .48543 L
.34946 .48328 L
.35581 .47572 L
F
.34946 .52171 m
.35698 .52428 L
.35085 .53399 L
.34946 .53564 L
.34149 .53399 L
.3472 .52428 L
F
.35917 .45178 m
.36572 .45629 L
.36017 .46601 L
.35917 .4669 L
.35293 .47572 L
.34946 .47989 L
.34149 .47572 L
.34773 .46601 L
.34946 .46404 L
.35597 .45629 L
F
.34946 .50254 m
.35793 .50486 L
.35158 .51457 L
.34946 .51709 L
.34151 .51457 L
.34742 .50486 L
F
.35917 .4324 m
.3665 .43687 L
.3611 .44658 L
.35917 .44831 L
.35356 .45629 L
.34946 .46126 L
.34152 .45629 L
.34783 .44658 L
.34946 .44473 L
.35601 .43687 L
F
.34946 .48335 m
.35914 .48543 L
.35225 .49514 L
.34946 .49848 L
.34153 .49514 L
.34762 .48543 L
F
.34946 .54085 m
.35624 .54371 L
.35003 .55342 L
.34946 .55408 L
.34155 .55342 L
.34698 .54371 L
F
.35917 .45188 m
.3656 .45629 L
.36008 .46601 L
.35917 .46682 L
.35288 .47572 L
.34946 .47983 L
.34159 .47572 L
.34781 .46601 L
.34946 .46413 L
.35604 .45629 L
F
.34946 .50261 m
.35782 .50486 L
.35152 .51457 L
.34946 .51702 L
.34161 .51457 L
.34748 .50486 L
F
.34946 .48341 m
.35903 .48543 L
.3522 .49514 L
.34946 .49842 L
.34162 .49514 L
.34768 .48543 L
F
.35917 .43257 m
.3663 .43687 L
.36098 .44658 L
.35917 .4482 L
.35349 .45629 L
.34946 .46117 L
.34163 .45629 L
.34794 .44658 L
.34946 .44486 L
.35612 .43687 L
F
.34946 .52178 m
.35687 .52428 L
.35077 .53399 L
.34946 .53555 L
.34165 .53399 L
.34726 .52428 L
F
.35917 .45199 m
.36548 .45629 L
.35999 .46601 L
.35917 .46674 L
.35282 .47572 L
.34946 .47976 L
.34168 .47572 L
.34788 .46601 L
.34946 .46421 L
.35612 .45629 L
F
.34946 .48348 m
.35891 .48543 L
.35215 .49514 L
.34946 .49836 L
.34171 .49514 L
.34774 .48543 L
F
.34946 .50267 m
.35772 .50486 L
.35146 .51457 L
.34946 .51696 L
.34172 .51457 L
.34753 .50486 L
F
.35917 .43273 m
.36611 .43687 L
.36086 .44658 L
.35917 .44809 L
.35341 .45629 L
.34946 .46109 L
.34174 .45629 L
.34805 .44658 L
.34946 .44498 L
.35624 .43687 L
F
.35917 .45209 m
.36537 .45629 L
.3599 .46601 L
.35917 .46666 L
.35277 .47572 L
.34946 .47969 L
.34177 .47572 L
.34795 .46601 L
.34946 .4643 L
.35619 .45629 L
F
.34946 .48355 m
.3588 .48543 L
.3521 .49514 L
.34946 .4983 L
.3418 .49514 L
.3478 .48543 L
F
.34946 .52184 m
.35676 .52428 L
.3507 .53399 L
.34946 .53546 L
.34181 .53399 L
.34732 .52428 L
F
.34946 .50273 m
.35761 .50486 L
.35141 .51457 L
.34946 .51689 L
.34183 .51457 L
.34759 .50486 L
F
.34946 .54094 m
.35611 .54371 L
.34991 .55342 L
.34946 .55395 L
.34183 .55342 L
.34706 .54371 L
F
.35917 .4329 m
.36591 .43687 L
.36073 .44658 L
.35917 .44798 L
.35334 .45629 L
.34946 .461 L
.34185 .45629 L
.34817 .44658 L
.34946 .44511 L
.35636 .43687 L
F
.35917 .41342 m
.36691 .41744 L
.36163 .42716 L
.35917 .42936 L
.35396 .43687 L
.34946 .44239 L
.34186 .43687 L
.34825 .42716 L
.34946 .42579 L
.35633 .41744 L
F
.35917 .4522 m
.36525 .45629 L
.3598 .46601 L
.35917 .46657 L
.35271 .47572 L
.34946 .47963 L
.34186 .47572 L
.34803 .46601 L
.34946 .46438 L
.35627 .45629 L
F
.34946 .48362 m
.35868 .48543 L
.35205 .49514 L
.34946 .49824 L
.3419 .49514 L
.34786 .48543 L
F
.34946 .50279 m
.3575 .50486 L
.35135 .51457 L
.34946 .51682 L
.34194 .51457 L
.34764 .50486 L
F
.35917 .45231 m
.36513 .45629 L
.35971 .46601 L
.35917 .46649 L
.35265 .47572 L
.34946 .47956 L
.34195 .47572 L
.3481 .46601 L
.34946 .46447 L
.35634 .45629 L
F
.35917 .43307 m
.3657 .43687 L
.36061 .44658 L
.35917 .44787 L
.35327 .45629 L
.34946 .46091 L
.34196 .45629 L
.34828 .44658 L
.34946 .44524 L
.35648 .43687 L
F
.34946 .52191 m
.35664 .52428 L
.35063 .53399 L
.34946 .53538 L
.34197 .53399 L
.34738 .52428 L
F
.34946 .48368 m
.35856 .48543 L
.35199 .49514 L
.34946 .49817 L
.34199 .49514 L
.34792 .48543 L
F
.35917 .41374 m
.36651 .41744 L
.36143 .42716 L
.35917 .42918 L
.35384 .43687 L
.34946 .44226 L
.34201 .43687 L
.34845 .42716 L
.34946 .42602 L
.35655 .41744 L
F
.35917 .45242 m
.365 .45629 L
.35962 .46601 L
.35917 .4664 L
.3526 .47572 L
.34946 .47949 L
.34204 .47572 L
.34818 .46601 L
.34946 .46456 L
.35642 .45629 L
F
.34946 .50286 m
.35739 .50486 L
.3513 .51457 L
.34946 .51675 L
.34205 .51457 L
.3477 .50486 L
F
.35917 .43324 m
.3655 .43687 L
.36048 .44658 L
.35917 .44775 L
.35319 .45629 L
.34946 .46083 L
.34207 .45629 L
.34839 .44658 L
.34946 .44537 L
.3566 .43687 L
F
.34946 .48375 m
.35844 .48543 L
.35194 .49514 L
.34946 .49811 L
.34208 .49514 L
.34798 .48543 L
F
.34946 .54103 m
.35597 .54371 L
.3498 .55342 L
.34946 .55381 L
.34213 .55342 L
.34713 .54371 L
F
.34946 .52198 m
.35653 .52428 L
.35055 .53399 L
.34946 .53529 L
.34213 .53399 L
.34744 .52428 L
F
.35917 .45252 m
.36488 .45629 L
.35952 .46601 L
.35917 .46632 L
.35254 .47572 L
.34946 .47942 L
.34214 .47572 L
.34825 .46601 L
.34946 .46464 L
.3565 .45629 L
F
.34946 .50292 m
.35728 .50486 L
.35124 .51457 L
.34946 .51669 L
.34216 .51457 L
.34775 .50486 L
F
.34946 .48382 m
.35832 .48543 L
.35189 .49514 L
.34946 .49805 L
.34217 .49514 L
.34803 .48543 L
F
.35917 .41406 m
.3661 .41744 L
.36123 .42716 L
.35917 .42901 L
.35373 .43687 L
.34946 .44213 L
.34217 .43687 L
.34865 .42716 L
.34946 .42625 L
.35677 .41744 L
F
.35917 .43342 m
.36529 .43687 L
.36036 .44658 L
.35917 .44764 L
.35312 .45629 L
.34946 .46074 L
.34218 .45629 L
.3485 .44658 L
.34946 .4455 L
.35672 .43687 L
F
.35917 .45263 m
.36476 .45629 L
.35943 .46601 L
.35917 .46623 L
.35248 .47572 L
.34946 .47936 L
.34223 .47572 L
.34833 .46601 L
.34946 .46473 L
.35658 .45629 L
F
.34946 .48389 m
.35819 .48543 L
.35184 .49514 L
.34946 .49799 L
.34227 .49514 L
.34809 .48543 L
F
.34946 .50298 m
.35717 .50486 L
.35118 .51457 L
.34946 .51662 L
.34228 .51457 L
.34781 .50486 L
F
.35917 .43359 m
.36508 .43687 L
.36023 .44658 L
.35917 .44753 L
.35305 .45629 L
.34946 .46065 L
.3423 .45629 L
.34862 .44658 L
.34946 .44563 L
.35684 .43687 L
F
.34946 .52205 m
.35641 .52428 L
.35048 .53399 L
.34946 .5352 L
.3423 .53399 L
.34751 .52428 L
F
.35917 .45274 m
.36464 .45629 L
.35933 .46601 L
.35917 .46615 L
.35243 .47572 L
.34946 .47929 L
.34232 .47572 L
.3484 .46601 L
.34946 .46482 L
.35665 .45629 L
F
.35917 .39488 m
.36684 .39802 L
.36189 .40773 L
.35917 .41019 L
.35422 .41744 L
.34946 .42344 L
.34233 .41744 L
.34896 .40773 L
.34946 .40718 L
.35695 .39802 L
F
.35917 .41438 m
.36569 .41744 L
.36103 .42716 L
.35917 .42883 L
.35362 .43687 L
.34946 .442 L
.34234 .43687 L
.34885 .42716 L
.34946 .42648 L
.357 .41744 L
F
.34946 .48396 m
.35807 .48543 L
.35179 .49514 L
.34946 .49793 L
.34236 .49514 L
.34815 .48543 L
F
.34946 .50305 m
.35705 .50486 L
.35112 .51457 L
.34946 .51655 L
.34239 .51457 L
.34786 .50486 L
F
.35917 .43376 m
.36487 .43687 L
.3601 .44658 L
.35917 .44741 L
.35297 .45629 L
.34946 .46056 L
.34241 .45629 L
.34873 .44658 L
.34946 .44577 L
.35697 .43687 L
F
.35917 .45285 m
.36451 .45629 L
.35923 .46601 L
.35917 .46606 L
.35237 .47572 L
.34946 .47922 L
.34242 .47572 L
.34848 .46601 L
.34946 .4649 L
.35673 .45629 L
F
.34946 .54112 m
.35583 .54371 L
.34968 .55342 L
.34946 .55368 L
.34244 .55342 L
.34721 .54371 L
F
.34946 .48403 m
.35794 .48543 L
.35173 .49514 L
.34946 .49786 L
.34245 .49514 L
.34821 .48543 L
F
.34946 .52212 m
.3563 .52428 L
.3504 .53399 L
.34946 .53511 L
.34247 .53399 L
.34757 .52428 L
F
.35917 .41471 m
.36526 .41744 L
.36083 .42716 L
.35917 .42864 L
.3535 .43687 L
.34946 .44186 L
.3425 .43687 L
.34905 .42716 L
.34946 .42671 L
.35723 .41744 L
F
.34946 .50311 m
.35694 .50486 L
.35107 .51457 L
.34946 .51648 L
.34251 .51457 L
.34792 .50486 L
F
.34946 .46499 m
.35911 .46601 L
.35231 .47572 L
.34946 .47915 L
.34251 .47572 L
.34856 .46601 L
F
.35917 .43394 m
.36465 .43687 L
.35997 .44658 L
.35917 .4473 L
.3529 .45629 L
.34946 .46048 L
.34252 .45629 L
.34885 .44658 L
.34946 .4459 L
.35709 .43687 L
F
.34946 .48409 m
.35781 .48543 L
.35168 .49514 L
.34946 .4978 L
.34255 .49514 L
.34828 .48543 L
F
.34946 .38833 m
.35461 .39802 L
.34946 .40471 L
.34259 .39802 L
F
.35917 .3956 m
.36583 .39802 L
.36151 .40773 L
.35917 .40984 L
.354 .41744 L
.34946 .42319 L
.3426 .41744 L
.34939 .40773 L
.34946 .40766 L
.35745 .39802 L
F
.34946 .46508 m
.35895 .46601 L
.35226 .47572 L
.34946 .47909 L
.3426 .47572 L
.34863 .46601 L
F
.34946 .50318 m
.35682 .50486 L
.35101 .51457 L
.34946 .51641 L
.34262 .51457 L
.34798 .50486 L
F
.35917 .43411 m
.36443 .43687 L
.35984 .44658 L
.35917 .44718 L
.35282 .45629 L
.34946 .46039 L
.34263 .45629 L
.34896 .44658 L
.34946 .44603 L
.35721 .43687 L
F
.34946 .48416 m
.35768 .48543 L
.35163 .49514 L
.34946 .49774 L
.34265 .49514 L
.34834 .48543 L
F
.34946 .52219 m
.35618 .52428 L
.35033 .53399 L
.34946 .53502 L
.34265 .53399 L
.34763 .52428 L
F
.35917 .41504 m
.36481 .41744 L
.36062 .42716 L
.35917 .42846 L
.35339 .43687 L
.34946 .44173 L
.34266 .43687 L
.34926 .42716 L
.34946 .42694 L
.35746 .41744 L
F
.34946 .46517 m
.35879 .46601 L
.3522 .47572 L
.34946 .47902 L
.3427 .47572 L
.34871 .46601 L
F
.34946 .48423 m
.35755 .48543 L
.35158 .49514 L
.34946 .49767 L
.34274 .49514 L
.3484 .48543 L
F
.34946 .50324 m
.3567 .50486 L
.35095 .51457 L
.34946 .51634 L
.34274 .51457 L
.34803 .50486 L
F
.35917 .43429 m
.36421 .43687 L
.35971 .44658 L
.35917 .44706 L
.35275 .45629 L
.34946 .4603 L
.34275 .45629 L
.34908 .44658 L
.34946 .44616 L
.35734 .43687 L
F
.34946 .54121 m
.35569 .54371 L
.34956 .55342 L
.34946 .55354 L
.34278 .55342 L
.34729 .54371 L
F
.34946 .46526 m
.35862 .46601 L
.35214 .47572 L
.34946 .47895 L
.3428 .47572 L
.34879 .46601 L
F
.34946 .42717 m
.35327 .43687 L
.34946 .44159 L
.34282 .43687 L
F
.34946 .52226 m
.35606 .52428 L
.35025 .53399 L
.34946 .53493 L
.34283 .53399 L
.34769 .52428 L
F
.34946 .4843 m
.35741 .48543 L
.35152 .49514 L
.34946 .49761 L
.34284 .49514 L
.34846 .48543 L
F
.35917 .43447 m
.36398 .43687 L
.35957 .44658 L
.35917 .44694 L
.35267 .45629 L
.34946 .46021 L
.34286 .45629 L
.3492 .44658 L
.34946 .4463 L
.35747 .43687 L
F
.34946 .5033 m
.35658 .50486 L
.35089 .51457 L
.34946 .51627 L
.34286 .51457 L
.34809 .50486 L
F
.34946 .40805 m
.35379 .41744 L
.34946 .42295 L
.34288 .41744 L
F
.34946 .46535 m
.35844 .46601 L
.35208 .47572 L
.34946 .47888 L
.34289 .47572 L
.34887 .46601 L
F
.34946 .48437 m
.35727 .48543 L
.35147 .49514 L
.34946 .49755 L
.34294 .49514 L
.34852 .48543 L
F
.35917 .43466 m
.36374 .43687 L
.35944 .44658 L
.35917 .44682 L
.3526 .45629 L
.34946 .46012 L
.34298 .45629 L
.34932 .44658 L
.34946 .44643 L
.3576 .43687 L
F
.34946 .42738 m
.35315 .43687 L
.34946 .44145 L
.34298 .43687 L
F
.34946 .50337 m
.35646 .50486 L
.35083 .51457 L
.34946 .5162 L
.34299 .51457 L
.34815 .50486 L
F
.34946 .46544 m
.35826 .46601 L
.35203 .47572 L
.34946 .47881 L
.34299 .47572 L
.34895 .46601 L
F
.34946 .3695 m
.35486 .37859 L
.34946 .38592 L
.343 .37859 L
F
.34946 .52233 m
.35594 .52428 L
.35018 .53399 L
.34946 .53484 L
.34302 .53399 L
.34775 .52428 L
F
.34946 .48445 m
.35713 .48543 L
.35142 .49514 L
.34946 .49748 L
.34304 .49514 L
.34858 .48543 L
F
.34946 .46553 m
.35808 .46601 L
.35197 .47572 L
.34946 .47874 L
.34309 .47572 L
.34903 .46601 L
F
.35917 .43484 m
.36349 .43687 L
.3593 .44658 L
.35917 .4467 L
.35252 .45629 L
.34946 .46003 L
.34309 .45629 L
.34944 .44658 L
.34946 .44657 L
.35773 .43687 L
F
.34946 .50343 m
.35634 .50486 L
.35078 .51457 L
.34946 .51613 L
.34311 .51457 L
.3482 .50486 L
F
.34946 .48452 m
.35698 .48543 L
.35136 .49514 L
.34946 .49742 L
.34314 .49514 L
.34864 .48543 L
F
.34946 .42759 m
.35304 .43687 L
.34946 .44131 L
.34315 .43687 L
F
.34946 .38911 m
.35414 .39802 L
.34946 .40418 L
.34315 .39802 L
F
.34946 .40842 m
.35358 .41744 L
.34946 .4227 L
.34316 .41744 L
F
.34946 .46562 m
.35789 .46601 L
.35191 .47572 L
.34946 .47867 L
.34319 .47572 L
.34911 .46601 L
F
.34946 .44671 m
.35245 .45629 L
.34946 .45994 L
.34321 .45629 L
F
.34946 .52241 m
.35581 .52428 L
.3501 .53399 L
.34946 .53475 L
.34322 .53399 L
.34781 .52428 L
F
.34946 .5035 m
.35621 .50486 L
.35072 .51457 L
.34946 .51606 L
.34324 .51457 L
.34826 .50486 L
F
.34946 .48459 m
.35683 .48543 L
.35131 .49514 L
.34946 .49735 L
.34324 .49514 L
.34871 .48543 L
F
.34946 .46571 m
.35769 .46601 L
.35185 .47572 L
.34946 .4786 L
.34328 .47572 L
.34919 .46601 L
F
.34946 .4278 m
.35292 .43687 L
.34946 .44117 L
.34331 .43687 L
F
.34946 .44685 m
.35237 .45629 L
.34946 .45985 L
.34332 .45629 L
F
.34946 .48466 m
.35668 .48543 L
.35125 .49514 L
.34946 .49729 L
.34334 .49514 L
.34877 .48543 L
F
.34946 .50357 m
.35608 .50486 L
.35066 .51457 L
.34946 .51599 L
.34337 .51457 L
.34832 .50486 L
F
.34946 .4658 m
.35748 .46601 L
.35179 .47572 L
.34946 .47853 L
.34338 .47572 L
.34927 .46601 L
F
.34946 .52248 m
.35569 .52428 L
.35002 .53399 L
.34946 .53465 L
.34342 .53399 L
.34788 .52428 L
F
.34946 .40879 m
.35336 .41744 L
.34946 .42244 L
.34344 .41744 L
F
.34946 .44699 m
.3523 .45629 L
.34946 .45976 L
.34344 .45629 L
F
.34946 .48473 m
.35653 .48543 L
.3512 .49514 L
.34946 .49722 L
.34345 .49514 L
.34883 .48543 L
F
.34946 .42802 m
.3528 .43687 L
.34946 .44103 L
.34348 .43687 L
F
.34946 .4659 m
.35727 .46601 L
.35173 .47572 L
.34946 .47846 L
.34349 .47572 L
.34936 .46601 L
F
.34946 .50363 m
.35595 .50486 L
.3506 .51457 L
.34946 .51592 L
.3435 .51457 L
.34838 .50486 L
F
.34946 .4848 m
.35636 .48543 L
.35114 .49514 L
.34946 .49716 L
.34355 .49514 L
.3489 .48543 L
F
.34946 .44714 m
.35222 .45629 L
.34946 .45967 L
.34356 .45629 L
F
.34946 .46599 m
.35704 .46601 L
.35167 .47572 L
.34946 .47839 L
.34359 .47572 L
.34944 .46601 L
F
.34946 .52255 m
.35556 .52428 L
.34994 .53399 L
.34946 .53456 L
.34363 .53399 L
.34794 .52428 L
F
.34946 .5037 m
.35582 .50486 L
.35054 .51457 L
.34946 .51585 L
.34363 .51457 L
.34844 .50486 L
F
.34946 .42823 m
.35268 .43687 L
.34946 .44089 L
.34365 .43687 L
F
.34946 .48488 m
.3562 .48543 L
.35109 .49514 L
.34946 .49709 L
.34366 .49514 L
.34896 .48543 L
F
.34946 .44728 m
.35214 .45629 L
.34946 .45957 L
.34368 .45629 L
F
.34946 .4661 m
.35161 .47572 L
.34946 .47832 L
.34369 .47572 L
F
.34946 .38988 m
.35367 .39802 L
.34946 .40364 L
.34372 .39802 L
F
.34946 .40916 m
.35315 .41744 L
.34946 .42218 L
.34372 .41744 L
F
.34946 .48495 m
.35603 .48543 L
.35103 .49514 L
.34946 .49703 L
.34377 .49514 L
.34903 .48543 L
F
.34946 .50377 m
.35569 .50486 L
.35048 .51457 L
.34946 .51578 L
.34377 .51457 L
.34849 .50486 L
F
.34946 .46622 m
.35155 .47572 L
.34946 .47824 L
.34379 .47572 L
F
.34946 .44743 m
.35206 .45629 L
.34946 .45948 L
.3438 .45629 L
F
.34946 .42845 m
.35256 .43687 L
.34946 .44075 L
.34382 .43687 L
F
.38831 .71766 m
.39802 .71282 L
.40773 .71081 L
.41744 .71159 L
.42716 .71516 L
.43292 .71853 L
.43687 .72181 L
.44332 .72824 L
.44658 .73227 L
.45051 .73796 L
.45605 .74767 L
.45629 .74814 L
.46024 .75738 L
.46372 .76709 L
.46601 .77481 L
.46645 .77681 L
.46835 .78652 L
.46981 .79623 L
.4708 .80594 L
.4713 .81566 L
.4713 .82537 L
.4708 .83508 L
.46981 .84479 L
.46835 .85451 L
.46645 .86422 L
.46601 .86622 L
.46372 .87393 L
.46024 .88364 L
.45629 .89288 L
.45605 .89336 L
.45051 .90307 L
.44658 .90876 L
.44332 .91278 L
.43687 .91921 L
.43291 .92249 L
.42716 .92586 L
.41744 .92943 L
.40773 .93021 L
.39802 .92822 L
.38831 .92339 L
.38694 .92249 L
.37859 .9152 L
.37638 .91278 L
.36922 .90307 L
.36888 .90253 L
.36398 .89336 L
.35968 .88364 L
.35917 .88246 L
.35597 .87393 L
.3523 .86422 L
.34947 .85451 L
.35027 .84479 L
.35076 .83508 L
.35002 .82537 L
.34946 .8214 L
.34837 .81566 L
.34382 .80594 L
.34665 .79623 L
.34946 .7895 L
.35131 .78652 L
.35428 .77681 L
.35666 .76709 L
.35917 .75799 L
.35938 .75738 L
.36357 .74767 L
.36888 .73815 L
.36901 .73796 L
.3764 .72824 L
.37859 .72586 L
.38697 .71853 L
F
.34946 .52262 m
.35543 .52428 L
.34986 .53399 L
.34946 .53447 L
.34385 .53399 L
.348 .52428 L
F
.34946 .48502 m
.35585 .48543 L
.35098 .49514 L
.34946 .49696 L
.34388 .49514 L
.34909 .48543 L
F
.34946 .46633 m
.35149 .47572 L
.34946 .47817 L
.3439 .47572 L
F
.34946 .50383 m
.35555 .50486 L
.35042 .51457 L
.34946 .5157 L
.34391 .51457 L
.34855 .50486 L
F
.34946 .44758 m
.35199 .45629 L
.34946 .45939 L
.34392 .45629 L
F
.34946 .4851 m
.35566 .48543 L
.35092 .49514 L
.34946 .49689 L
.34399 .49514 L
.34916 .48543 L
F
.34946 .42867 m
.35244 .43687 L
.34946 .44061 L
.34399 .43687 L
F
.34946 .46645 m
.35143 .47572 L
.34946 .4781 L
.34401 .47572 L
F
.34946 .40954 m
.35293 .41744 L
.34946 .42192 L
.34401 .41744 L
F
.34946 .44773 m
.35191 .45629 L
.34946 .45929 L
.34405 .45629 L
F
.34946 .5039 m
.35541 .50486 L
.35035 .51457 L
.34946 .51563 L
.34406 .51457 L
.34861 .50486 L
F
.34946 .52269 m
.3553 .52428 L
.34978 .53399 L
.34946 .53437 L
.34408 .53399 L
.34807 .52428 L
F
.34946 .48517 m
.35547 .48543 L
.35087 .49514 L
.34946 .49683 L
.3441 .49514 L
.34923 .48543 L
F
.34946 .46657 m
.35137 .47572 L
.34946 .47803 L
.34411 .47572 L
F
.34946 .42889 m
.35232 .43687 L
.34946 .44046 L
.34416 .43687 L
F
.34946 .44788 m
.35183 .45629 L
.34946 .4592 L
.34417 .45629 L
F
.34946 .35176 m
.35432 .35917 L
.34946 .36642 L
.3442 .35917 L
F
.34946 .50397 m
.35526 .50486 L
.35029 .51457 L
.34946 .51556 L
.3442 .51457 L
.34867 .50486 L
F
.34946 .48525 m
.35527 .48543 L
.35081 .49514 L
.34946 .49676 L
.34421 .49514 L
.34929 .48543 L
F
.34946 .46669 m
.35131 .47572 L
.34946 .47795 L
.34422 .47572 L
F
.34946 .44804 m
.35175 .45629 L
.34946 .4591 L
.3443 .45629 L
F
.34946 .40992 m
.35271 .41744 L
.34946 .42165 L
.3443 .41744 L
F
.34946 .39066 m
.35319 .39802 L
.34946 .40307 L
.3443 .39802 L
F
.34946 .48533 m
.35505 .48543 L
.35075 .49514 L
.34946 .49669 L
.34433 .49514 L
.34936 .48543 L
F
.34946 .46682 m
.35125 .47572 L
.34946 .47788 L
.34433 .47572 L
F
.34946 .52277 m
.35517 .52428 L
.3497 .53399 L
.34946 .53428 L
.34433 .53399 L
.34813 .52428 L
F
.34946 .42911 m
.3522 .43687 L
.34946 .44031 L
.34434 .43687 L
F
.34946 .50404 m
.35511 .50486 L
.35023 .51457 L
.34946 .51548 L
.34436 .51457 L
.34873 .50486 L
F
.34946 .37141 m
.35363 .37859 L
.34946 .38455 L
.34438 .37859 L
F
.34946 .44819 m
.35167 .45629 L
.34946 .45901 L
.34443 .45629 L
F
.34946 .46694 m
.35118 .47572 L
.34946 .4778 L
.34444 .47572 L
F
.34946 .4854 m
.35482 .48543 L
.3507 .49514 L
.34946 .49662 L
.34445 .49514 L
.34943 .48543 L
F
.34946 .50411 m
.35496 .50486 L
.35017 .51457 L
.34946 .51541 L
.34451 .51457 L
.34879 .50486 L
F
.34946 .42934 m
.35208 .43687 L
.34946 .44016 L
.34452 .43687 L
F
.34946 .46707 m
.35112 .47572 L
.34946 .47773 L
.34456 .47572 L
F
.34946 .44835 m
.35159 .45629 L
.34946 .45891 L
.34456 .45629 L
F
.34946 .4855 m
.35064 .49514 L
.34946 .49655 L
.34457 .49514 L
F
.34946 .41031 m
.35248 .41744 L
.34946 .42138 L
.3446 .41744 L
F
.34946 .52284 m
.35503 .52428 L
.34962 .53399 L
.34946 .53418 L
.3446 .53399 L
.3482 .52428 L
F
.34946 .46719 m
.35106 .47572 L
.34946 .47765 L
.34467 .47572 L
F
.34946 .50418 m
.3548 .50486 L
.3501 .51457 L
.34946 .51533 L
.34468 .51457 L
.34886 .50486 L
F
.34946 .44851 m
.35151 .45629 L
.34946 .45881 L
.34469 .45629 L
F
.34946 .48561 m
.35058 .49514 L
.34946 .49648 L
.34469 .49514 L
F
.34946 .42957 m
.35195 .43687 L
.34946 .44001 L
.3447 .43687 L
F
.34946 .46732 m
.351 .47572 L
.34946 .47758 L
.34479 .47572 L
F
.34946 .48573 m
.35052 .49514 L
.34946 .49642 L
.34482 .49514 L
F
.34946 .44867 m
.35142 .45629 L
.34946 .45871 L
.34482 .45629 L
F
.34946 .50425 m
.35463 .50486 L
.35004 .51457 L
.34946 .51526 L
.34484 .51457 L
.34892 .50486 L
F
.34946 .4298 m
.35183 .43687 L
.34946 .43986 L
.34488 .43687 L
F
.34946 .52292 m
.3549 .52428 L
.34954 .53399 L
.34946 .53409 L
.34489 .53399 L
.34826 .52428 L
F
.34946 .39146 m
.3527 .39802 L
.34946 .40248 L
.3449 .39802 L
F
.34946 .4107 m
.35225 .41744 L
.34946 .4211 L
.3449 .41744 L
F
.34946 .46745 m
.35093 .47572 L
.34946 .4775 L
.34491 .47572 L
F
.34946 .48584 m
.35046 .49514 L
.34946 .49635 L
.34495 .49514 L
F
.34946 .44884 m
.35134 .45629 L
.34946 .45861 L
.34496 .45629 L
F
.34946 .50432 m
.35446 .50486 L
.34998 .51457 L
.34946 .51518 L
.34502 .51457 L
.34898 .50486 L
F
.34946 .46759 m
.35087 .47572 L
.34946 .47742 L
.34503 .47572 L
F
.34946 .43004 m
.3517 .43687 L
.34946 .43971 L
.34507 .43687 L
F
.34946 .48596 m
.3504 .49514 L
.34946 .49627 L
.34508 .49514 L
F
.34946 .449 m
.35126 .45629 L
.34946 .45851 L
.34509 .45629 L
F
.34946 .46772 m
.3508 .47572 L
.34946 .47735 L
.34515 .47572 L
F
.34946 .50439 m
.35428 .50486 L
.34991 .51457 L
.34946 .5151 L
.3452 .51457 L
.34904 .50486 L
F
.34946 .48608 m
.35035 .49514 L
.34946 .4962 L
.34521 .49514 L
F
.34946 .41111 m
.35202 .41744 L
.34946 .42082 L
.34522 .41744 L
F
.34946 .44917 m
.35117 .45629 L
.34946 .45841 L
.34523 .45629 L
F
.34946 .59682 m
.35621 .60198 L
.34946 .61147 L
.34524 .60198 L
F
.34946 .43028 m
.35157 .43687 L
.34946 .43955 L
.34526 .43687 L
F
.34946 .46786 m
.35074 .47572 L
.34946 .47727 L
.34527 .47572 L
F
.34946 .48621 m
.35029 .49514 L
.34946 .49613 L
.34535 .49514 L
F
.34946 .44935 m
.35109 .45629 L
.34946 .45831 L
.34538 .45629 L
F
.34946 .50446 m
.35409 .50486 L
.34985 .51457 L
.34946 .51503 L
.3454 .51457 L
.3491 .50486 L
F
.34946 .468 m
.35067 .47572 L
.34946 .47719 L
.3454 .47572 L
F
.34946 .61621 m
.35521 .62141 L
.34946 .62948 L
.34546 .62141 L
F
.34946 .43053 m
.35144 .43687 L
.34946 .43939 L
.34546 .43687 L
F
.34946 .48633 m
.35022 .49514 L
.34946 .49606 L
.3455 .49514 L
F
.34946 .44952 m
.351 .45629 L
.34946 .45821 L
.34552 .45629 L
F
.34946 .39228 m
.35219 .39802 L
.34946 .40184 L
.34553 .39802 L
F
.34946 .46815 m
.35061 .47572 L
.34946 .47711 L
.34553 .47572 L
F
.34946 .41153 m
.35178 .41744 L
.34946 .42052 L
.34554 .41744 L
F
.34946 .63539 m
.35446 .64083 L
.34946 .64787 L
.34559 .64083 L
F
.34946 .50453 m
.35389 .50486 L
.34978 .51457 L
.34946 .51495 L
.3456 .51457 L
.34917 .50486 L
F
.34946 .48646 m
.35016 .49514 L
.34946 .49599 L
.34564 .49514 L
F
.34946 .43079 m
.35131 .43687 L
.34946 .43923 L
.34566 .43687 L
F
.34946 .46829 m
.35054 .47572 L
.34946 .47703 L
.34567 .47572 L
F
.34946 .44971 m
.35092 .45629 L
.34946 .4581 L
.34567 .45629 L
F
.34946 .59735 m
.35558 .60198 L
.34946 .61064 L
.34571 .60198 L
F
.34946 .4866 m
.3501 .49514 L
.34946 .49591 L
.3458 .49514 L
F
.34946 .46844 m
.35047 .47572 L
.34946 .47695 L
.34581 .47572 L
F
.34946 .5046 m
.35368 .50486 L
.34971 .51457 L
.34946 .51487 L
.34583 .51457 L
.34923 .50486 L
F
.34946 .44989 m
.35083 .45629 L
.34946 .458 L
.34583 .45629 L
F
.34946 .37339 m
.35233 .37859 L
.34946 .38297 L
.34586 .37859 L
F
.34946 .43105 m
.35117 .43687 L
.34946 .43906 L
.34587 .43687 L
F
.34946 .41196 m
.35154 .41744 L
.34946 .42022 L
.34588 .41744 L
F
.34946 .57832 m
.35608 .58256 L
.34946 .59204 L
.34591 .58256 L
F
.34946 .4686 m
.3504 .47572 L
.34946 .47687 L
.34595 .47572 L
F
.34946 .48673 m
.35004 .49514 L
.34946 .49584 L
.34596 .49514 L
F
.34946 .45008 m
.35074 .45629 L
.34946 .45789 L
.34598 .45629 L
F
.34946 .50468 m
.35345 .50486 L
.34965 .51457 L
.34946 .51479 L
.34607 .51457 L
.3493 .50486 L
F
.34946 .43132 m
.35104 .43687 L
.34946 .43889 L
.34608 .43687 L
F
.34946 .46876 m
.35034 .47572 L
.34946 .47679 L
.3461 .47572 L
F
.34946 .48687 m
.34998 .49514 L
.34946 .49577 L
.34613 .49514 L
F
.34946 .57857 m
.35576 .58256 L
.34946 .59164 L
.34613 .58256 L
F
.34946 .45028 m
.35065 .45629 L
.34946 .45778 L
.34615 .45629 L
F
.34946 .59789 m
.35494 .60198 L
.34946 .6098 L
.34619 .60198 L
F
.34946 .39316 m
.35166 .39802 L
.34946 .40116 L
.3462 .39802 L
F
.34946 .41242 m
.35129 .41744 L
.34946 .4199 L
.34623 .41744 L
F
.34946 .46892 m
.35027 .47572 L
.34946 .4767 L
.34625 .47572 L
F
.34946 .4316 m
.3509 .43687 L
.34946 .43872 L
.3463 .43687 L
F
.34946 .48701 m
.34992 .49514 L
.34946 .49569 L
.34631 .49514 L
F
.34946 .45048 m
.35056 .45629 L
.34946 .45767 L
.34631 .45629 L
F
.34946 .50475 m
.35321 .50486 L
.34958 .51457 L
.34946 .51471 L
.34633 .51457 L
.34936 .50486 L
F
.34946 .57882 m
.35544 .58256 L
.34946 .59123 L
.34635 .58256 L
F
.34946 .46908 m
.3502 .47572 L
.34946 .47662 L
.34641 .47572 L
F
.34946 .45069 m
.35047 .45629 L
.34946 .45756 L
.34649 .45629 L
F
.34946 .48716 m
.34985 .49514 L
.34946 .49562 L
.34649 .49514 L
F
.34946 .43189 m
.35076 .43687 L
.34946 .43854 L
.34653 .43687 L
F
.34946 .55973 m
.35597 .56313 L
.34946 .5728 L
.34655 .56313 L
F
.34946 .57908 m
.35511 .58256 L
.34946 .59082 L
.34657 .58256 L
F
.34946 .46926 m
.35013 .47572 L
.34946 .47653 L
.34657 .47572 L
F
.34946 .4129 m
.35103 .41744 L
.34946 .41957 L
.3466 .41744 L
F
.34946 .50483 m
.35293 .50486 L
.34951 .51457 L
.34946 .51463 L
.34664 .51457 L
.34943 .50486 L
F
.34946 .4509 m
.35038 .45629 L
.34946 .45744 L
.34667 .45629 L
F
.34946 .55987 m
.35578 .56313 L
.34946 .57257 L
.34667 .56313 L
F
.34946 .59847 m
.35427 .60198 L
.34946 .60895 L
.34667 .60198 L
F
.34946 .48731 m
.34979 .49514 L
.34946 .49554 L
.3467 .49514 L
F
.34946 .61769 m
.35362 .62141 L
.34946 .62741 L
.34671 .62141 L
F
.34946 .46943 m
.35006 .47572 L
.34946 .47645 L
.34674 .47572 L
F
.34946 .4322 m
.35061 .43687 L
.34946 .43836 L
.34677 .43687 L
F
.34946 .56001 m
.35559 .56313 L
.34946 .57234 L
.34679 .56313 L
F
.34946 .57934 m
.35478 .58256 L
.34946 .5904 L
.34679 .58256 L
F
.34946 .45113 m
.35029 .45629 L
.34946 .45733 L
.34686 .45629 L
F
.34946 .56015 m
.35539 .56313 L
.34946 .5721 L
.34691 .56313 L
F
.34946 .48746 m
.34972 .49514 L
.34946 .49546 L
.34692 .49514 L
F
.34946 .46962 m
.34998 .47572 L
.34946 .47636 L
.34693 .47572 L
F
.34946 .39413 m
.35109 .39802 L
.34946 .40042 L
.34694 .39802 L
F
.34946 .41341 m
.35076 .41744 L
.34946 .41923 L
.347 .41744 L
F
.34946 .57961 m
.35443 .58256 L
.34946 .58997 L
.34702 .58256 L
F
.34946 .43252 m
.35047 .43687 L
.34946 .43818 L
.34703 .43687 L
F
.34946 .56029 m
.35519 .56313 L
.34946 .57186 L
.34704 .56313 L
F
.34946 .45136 m
.35019 .45629 L
.34946 .45721 L
.34705 .45629 L
F
.34946 .46981 m
.34991 .47572 L
.34946 .47627 L
.34712 .47572 L
F
.34946 .56043 m
.35499 .56313 L
.34946 .57162 L
.34716 .56313 L
F
.34946 .48762 m
.34966 .49514 L
.34946 .49538 L
.34716 .49514 L
F
.34946 .59907 m
.35355 .60198 L
.34946 .60804 L
.34718 .60198 L
F
.34946 .57988 m
.35408 .58256 L
.34946 .58953 L
.34726 .58256 L
F
.34946 .45161 m
.35009 .45629 L
.34946 .45709 L
.34727 .45629 L
F
.34946 .56058 m
.35478 .56313 L
.34946 .57137 L
.34729 .56313 L
F
.34946 .43286 m
.35031 .43687 L
.34946 .43799 L
.3473 .43687 L
F
.34946 .47001 m
.34984 .47572 L
.34946 .47618 L
.34733 .47572 L
F
.34946 .5413 m
.35555 .54371 L
.34946 .5534 L
.34737 .54371 L
F
.34946 .56072 m
.35457 .56313 L
.34946 .57111 L
.34741 .56313 L
F
.34946 .41398 m
.35048 .41744 L
.34946 .41886 L
.34743 .41744 L
F
.34946 .48779 m
.34959 .49514 L
.34946 .4953 L
.34744 .49514 L
F
.34946 .54139 m
.3554 .54371 L
.34946 .55324 L
.34745 .54371 L
F
.34946 .45187 m
.35 .45629 L
.34946 .45697 L
.34749 .45629 L
F
.34946 .58016 m
.35371 .58256 L
.34946 .58907 L
.3475 .58256 L
F
.34946 .54149 m
.35525 .54371 L
.34946 .55307 L
.34754 .54371 L
F
.34946 .56087 m
.35435 .56313 L
.34946 .57086 L
.34754 .56313 L
F
.34946 .47022 m
.34976 .47572 L
.34946 .47609 L
.34756 .47572 L
F
.34946 .43324 m
.35016 .43687 L
.34946 .43779 L
.34759 .43687 L
F
.34946 .37574 m
.35083 .37859 L
.34946 .38095 L
.34761 .37859 L
F
.34946 .54158 m
.35511 .54371 L
.34946 .55291 L
.34762 .54371 L
F
.34946 .56102 m
.35413 .56313 L
.34946 .57059 L
.34767 .56313 L
F
.34946 .54168 m
.35495 .54371 L
.34946 .55274 L
.3477 .54371 L
F
.34946 .59973 m
.35278 .60198 L
.34946 .60707 L
.34772 .60198 L
F
.34946 .45216 m
.3499 .45629 L
.34946 .45685 L
.34774 .45629 L
F
.34946 .58045 m
.35332 .58256 L
.34946 .5886 L
.34774 .58256 L
F
.34946 .54177 m
.3548 .54371 L
.34946 .55257 L
.34778 .54371 L
F
.34946 .48796 m
.34952 .49514 L
.34946 .49522 L
.34779 .49514 L
F
.34946 .39526 m
.35047 .39802 L
.34946 .39956 L
.34779 .39802 L
F
.34946 .56118 m
.3539 .56313 L
.34946 .57032 L
.3478 .56313 L
F
.34946 .47045 m
.34969 .47572 L
.34946 .476 L
.34782 .47572 L
F
.34946 .54187 m
.35464 .54371 L
.34946 .5524 L
.34787 .54371 L
F
.34946 .41462 m
.35019 .41744 L
.34946 .41847 L
.34791 .41744 L
F
.34946 .43365 m
.35 .43687 L
.34946 .43758 L
.34791 .43687 L
F
.34946 .56133 m
.35367 .56313 L
.34946 .57004 L
.34794 .56313 L
F
.34946 .54196 m
.35448 .54371 L
.34946 .55222 L
.34795 .54371 L
F
.34946 .58075 m
.35291 .58256 L
.34946 .58809 L
.34799 .58256 L
F
.34946 .45246 m
.34979 .45629 L
.34946 .45672 L
.34801 .45629 L
F
.34946 .54206 m
.35432 .54371 L
.34946 .55204 L
.34804 .54371 L
F
.34946 .56149 m
.35342 .56313 L
.34946 .56975 L
.34807 .56313 L
F
.34946 .54216 m
.35415 .54371 L
.34946 .55185 L
.34812 .54371 L
F
.34946 .61948 m
.35173 .62141 L
.34946 .62497 L
.34813 .62141 L
F
.34946 .47069 m
.34961 .47572 L
.34946 .47591 L
.34813 .47572 L
F
.34946 .54226 m
.35398 .54371 L
.34946 .55167 L
.34821 .54371 L
F
.34946 .56165 m
.35317 .56313 L
.34946 .56945 L
.34821 .56313 L
F
.34946 .58106 m
.35246 .58256 L
.34946 .58755 L
.34825 .58256 L
F
.34946 .43413 m
.34984 .43687 L
.34946 .43737 L
.34828 .43687 L
F
.34946 .60044 m
.3519 .60198 L
.34946 .60595 L
.34829 .60198 L
F
.34946 .54236 m
.3538 .54371 L
.34946 .55147 L
.3483 .54371 L
F
.34946 .45281 m
.34969 .45629 L
.34946 .45659 L
.34832 .45629 L
F
.34946 .52299 m
.35475 .52428 L
.34946 .53399 L
.34833 .52428 L
F
.34946 .56181 m
.3529 .56313 L
.34946 .56914 L
.34835 .56313 L
F
.34946 .54246 m
.35362 .54371 L
.34946 .55127 L
.34838 .54371 L
F
.34946 .52307 m
.35461 .52428 L
.34946 .53385 L
.34839 .52428 L
F
.34946 .52314 m
.35446 .52428 L
.34946 .53372 L
.34846 .52428 L
F
.34946 .54257 m
.35343 .54371 L
.34946 .55107 L
.34847 .54371 L
F
.34946 .41541 m
.34987 .41744 L
.34946 .41804 L
.34847 .41744 L
F
.34946 .56198 m
.35262 .56313 L
.34946 .56881 L
.34849 .56313 L
F
.34946 .58139 m
.35198 .58256 L
.34946 .58695 L
.34852 .58256 L
F
.34946 .47095 m
.34953 .47572 L
.34946 .47581 L
.34852 .47572 L
F
.34946 .52322 m
.35431 .52428 L
.34946 .53358 L
.34853 .52428 L
F
.34946 .54267 m
.35323 .54371 L
.34946 .55086 L
.34856 .54371 L
F
.34946 .5233 m
.35415 .52428 L
.34946 .53343 L
.34859 .52428 L
F
.34946 .56215 m
.35232 .56313 L
.34946 .56847 L
.34864 .56313 L
F
.34946 .54278 m
.35302 .54371 L
.34946 .55065 L
.34866 .54371 L
F
.34946 .52337 m
.35399 .52428 L
.34946 .53329 L
.34866 .52428 L
F
.34946 .45321 m
.34958 .45629 L
.34946 .45646 L
.34871 .45629 L
F
.34946 .43471 m
.34967 .43687 L
.34946 .43715 L
.34871 .43687 L
F
.34946 .52345 m
.35382 .52428 L
.34946 .53314 L
.34873 .52428 L
F
.34946 .54288 m
.3528 .54371 L
.34946 .55042 L
.34875 .54371 L
F
.34946 .56233 m
.35199 .56313 L
.34946 .56809 L
.34879 .56313 L
F
.34946 .52353 m
.35365 .52428 L
.34946 .53299 L
.3488 .52428 L
F
.34946 .58173 m
.35142 .58256 L
.34946 .58628 L
.3488 .58256 L
F
.34946 .54299 m
.35257 .54371 L
.34946 .55019 L
.34884 .54371 L
F
.34946 .52361 m
.35346 .52428 L
.34946 .53283 L
.34887 .52428 L
F
.34946 .39684 m
.34976 .39802 L
.34946 .39852 L
.34888 .39802 L
F
.34946 .60125 m
.35079 .60198 L
.34946 .60453 L
.34892 .60198 L
F
.34946 .5431 m
.35232 .54371 L
.34946 .54994 L
.34894 .54371 L
F
.34946 .56251 m
.35162 .56313 L
.34946 .56769 L
.34894 .56313 L
F
.34946 .52369 m
.35327 .52428 L
.34946 .53267 L
.34894 .52428 L
F
.34946 .52377 m
.35307 .52428 L
.34946 .5325 L
.34901 .52428 L
F
.34946 .54321 m
.35205 .54371 L
.34946 .54968 L
.34903 .54371 L
F
.34946 .52385 m
.35285 .52428 L
.34946 .53233 L
.34908 .52428 L
F
.34946 .5627 m
.3512 .56313 L
.34946 .56723 L
.3491 .56313 L
F
.34946 .5821 m
.35075 .58256 L
.34946 .58545 L
.3491 .58256 L
F
.34946 .54333 m
.35175 .54371 L
.34946 .54941 L
.34913 .54371 L
F
.34946 .52394 m
.35262 .52428 L
.34946 .53216 L
.34915 .52428 L
F
.34946 .35874 m
.34966 .35917 L
.34946 .35985 L
.34921 .35917 L
F
.34946 .41664 m
.34954 .41744 L
.34946 .41757 L
.34922 .41744 L
F
.34946 .52402 m
.35236 .52428 L
.34946 .53197 L
.34923 .52428 L
F
.34946 .54344 m
.3514 .54371 L
.34946 .54911 L
.34923 .54371 L
F
.34946 .56289 m
.35068 .56313 L
.34946 .56671 L
.34926 .56313 L
F
.34946 .45371 m
.34948 .45629 L
.34946 .45632 L
.34928 .45629 L
F
.34946 .4356 m
.34949 .43687 L
.34946 .43692 L
.3493 .43687 L
F
.34946 .52411 m
.35207 .52428 L
.34946 .53178 L
.3493 .52428 L
F
.34946 .54356 m
.35097 .54371 L
.34946 .5488 L
.34933 .54371 L
F
.34946 .52419 m
.35172 .52428 L
.34946 .53159 L
.34938 .52428 L
F
.34946 .5825 m
.34972 .58256 L
.34946 .58417 L
.34941 .58256 L
F
.34946 .56309 m
.34985 .56313 L
.34946 .56604 L
.34942 .56313 L
F
.34946 .54368 m
.35029 .54371 L
.34946 .54844 L
.34944 .54371 L
F
.34946 .52428 m
.35127 .52428 L
.34946 .53138 L
.34945 .52428 L
F
.35917 .41538 m
.36434 .41744 L
.36041 .42716 L
.35917 .42827 L
.34948 .42716 L
.3577 .41744 L
F
.35917 .37597 m
.36738 .37859 L
.36235 .38831 L
.35917 .39122 L
.3495 .38831 L
.35731 .37859 L
F
.35917 .41572 m
.36384 .41744 L
.3602 .42716 L
.35917 .42808 L
.34986 .42716 L
.35794 .41744 L
F
.35917 .39635 m
.36472 .39802 L
.36112 .40773 L
.35917 .40949 L
.35003 .40773 L
.35797 .39802 L
F
.35917 .41607 m
.3633 .41744 L
.35999 .42716 L
.35917 .42789 L
.35026 .42716 L
.35819 .41744 L
F
.35917 .35778 m
.36696 .35917 L
.36252 .36888 L
.35917 .37203 L
.35059 .36888 L
.35815 .35917 L
F
.35917 .41643 m
.3627 .41744 L
.35977 .42716 L
.35917 .42769 L
.3507 .42716 L
.35845 .41744 L
F
.35917 .39712 m
.3634 .39802 L
.36072 .40773 L
.35917 .40913 L
.35075 .40773 L
.35851 .39802 L
F
.35917 .37792 m
.3641 .37859 L
.36148 .38831 L
.35917 .39043 L
.35096 .38831 L
.35867 .37859 L
F
.35917 .41681 m
.36198 .41744 L
.35954 .42716 L
.35917 .42749 L
.35117 .42716 L
.35871 .41744 L
F
.35917 .39793 m
.36135 .39802 L
.36031 .40773 L
.35917 .40876 L
.35154 .40773 L
.3591 .39802 L
F
.35917 .41719 m
.36103 .41744 L
.35931 .42716 L
.35917 .42728 L
.35169 .42716 L
.35899 .41744 L
F
.35917 .39885 m
.35988 .40773 L
.35917 .40837 L
.35245 .40773 L
F
.35917 .37988 m
.36055 .38831 L
.35917 .38958 L
.35266 .38831 L
F
.35917 .56319 m
.36558 .57284 L
.35917 .58154 L
.35274 .57284 L
F
.35917 .54416 m
.36619 .55342 L
.35917 .56303 L
.35282 .55342 L
F
.35917 .56339 m
.3654 .57284 L
.35917 .58129 L
.35291 .57284 L
F
.35917 .54428 m
.36608 .55342 L
.35917 .56288 L
.35292 .55342 L
F
.35917 .54441 m
.36597 .55342 L
.35917 .56273 L
.35301 .55342 L
F
.35917 .56359 m
.36523 .57284 L
.35917 .58105 L
.35309 .57284 L
F
.35917 .54453 m
.36587 .55342 L
.35917 .56259 L
.35311 .55342 L
F
.38831 .72715 m
.39802 .72183 L
.40773 .71966 L
.41744 .72051 L
.42716 .72441 L
.43305 .72824 L
.43687 .73176 L
.44252 .73796 L
.44658 .74356 L
.44911 .74767 L
.45411 .75738 L
.45629 .76245 L
.45794 .76709 L
.46089 .77681 L
.46321 .78652 L
.46492 .79623 L
.46601 .80555 L
.46603 .80594 L
.4665 .81566 L
.4665 .82537 L
.46603 .83508 L
.46601 .83547 L
.46492 .84479 L
.46321 .85451 L
.46089 .86422 L
.45794 .87393 L
.45629 .87857 L
.45411 .88364 L
.44911 .89336 L
.44658 .89747 L
.44252 .90307 L
.43687 .90927 L
.43305 .91278 L
.42716 .91661 L
.41744 .92052 L
.40773 .92136 L
.39802 .9192 L
.38831 .91388 L
.3868 .91278 L
.37859 .90474 L
.37723 .90307 L
.37068 .89336 L
.36888 .8901 L
.36574 .88364 L
.36162 .87393 L
.35917 .86782 L
.35875 .86422 L
.35656 .85451 L
.35513 .84479 L
.35477 .83508 L
.35411 .82537 L
.35315 .81566 L
.35321 .80594 L
.35478 .79623 L
.35659 .78652 L
.35917 .77697 L
.35922 .77681 L
.36206 .76709 L
.36566 .75738 L
.36888 .75049 L
.37048 .74767 L
.37717 .73796 L
.37859 .73624 L
.38681 .72824 L
F
.35917 .54465 m
.36576 .55342 L
.35917 .56244 L
.35321 .55342 L
F
.35917 .5638 m
.36505 .57284 L
.35917 .58081 L
.35326 .57284 L
F
.35917 .54477 m
.36565 .55342 L
.35917 .5623 L
.35331 .55342 L
F
.35917 .54489 m
.36555 .55342 L
.35917 .56215 L
.35341 .55342 L
F
.35917 .58292 m
.36429 .59227 L
.35917 .59914 L
.35341 .59227 L
F
.35917 .564 m
.36487 .57284 L
.35917 .58056 L
.35344 .57284 L
F
.35917 .52581 m
.36614 .53399 L
.35917 .54369 L
.35349 .53399 L
F
.35917 .54502 m
.36544 .55342 L
.35917 .56201 L
.35351 .55342 L
F
.35917 .52589 m
.36606 .53399 L
.35917 .54359 L
.35355 .53399 L
F
.35917 .39989 m
.35943 .40773 L
.35917 .40796 L
.35356 .40773 L
F
.35917 .54514 m
.36533 .55342 L
.35917 .56186 L
.35361 .55342 L
F
.35917 .56421 m
.36469 .57284 L
.35917 .58032 L
.35362 .57284 L
F
.35917 .52598 m
.36598 .53399 L
.35917 .54348 L
.35362 .53399 L
F
.35917 .52607 m
.36591 .53399 L
.35917 .54338 L
.35369 .53399 L
F
.35917 .54527 m
.36522 .55342 L
.35917 .56172 L
.3537 .55342 L
F
.35917 .52615 m
.36583 .53399 L
.35917 .54328 L
.35375 .53399 L
F
.35917 .58333 m
.36394 .59227 L
.35917 .59867 L
.35379 .59227 L
F
.35917 .56442 m
.36452 .57284 L
.35917 .58008 L
.35379 .57284 L
F
.35917 .54539 m
.36512 .55342 L
.35917 .56157 L
.3538 .55342 L
F
.35917 .52624 m
.36575 .53399 L
.35917 .54318 L
.35382 .53399 L
F
.35917 .52632 m
.36568 .53399 L
.35917 .54308 L
.35388 .53399 L
F
.35917 .60222 m
.36328 .61169 L
.35917 .61718 L
.35389 .61169 L
F
.35917 .54552 m
.36501 .55342 L
.35917 .56143 L
.3539 .55342 L
F
.35917 .52641 m
.3656 .53399 L
.35917 .54297 L
.35395 .53399 L
F
.35917 .56464 m
.36434 .57284 L
.35917 .57984 L
.35397 .57284 L
F
.35917 .54564 m
.3649 .55342 L
.35917 .56129 L
.354 .55342 L
F
.35917 .5265 m
.36552 .53399 L
.35917 .54287 L
.35402 .53399 L
F
.35917 .52658 m
.36544 .53399 L
.35917 .54277 L
.35408 .53399 L
F
.35917 .54577 m
.36479 .55342 L
.35917 .56114 L
.3541 .55342 L
F
.35917 .52667 m
.36537 .53399 L
.35917 .54267 L
.35415 .53399 L
F
.35917 .56486 m
.36416 .57284 L
.35917 .5796 L
.35415 .57284 L
F
.35917 .58376 m
.36358 .59227 L
.35917 .59819 L
.35417 .59227 L
F
.35917 .34281 m
.36099 .34946 L
.35917 .35127 L
.3542 .34946 L
F
.35917 .5459 m
.36468 .55342 L
.35917 .561 L
.3542 .55342 L
F
.35917 .52676 m
.36529 .53399 L
.35917 .54257 L
.35421 .53399 L
F
.35917 .50751 m
.36595 .51457 L
.35917 .52428 L
.35423 .51457 L
F
.35917 .50758 m
.36588 .51457 L
.35917 .52419 L
.35428 .51457 L
F
.35917 .52685 m
.36521 .53399 L
.35917 .54247 L
.35428 .53399 L
F
.35917 .54603 m
.36458 .55342 L
.35917 .56085 L
.3543 .55342 L
F
.35917 .56508 m
.36398 .57284 L
.35917 .57936 L
.35433 .57284 L
F
.35917 .50765 m
.36581 .51457 L
.35917 .52411 L
.35433 .51457 L
F
.35917 .52693 m
.36513 .53399 L
.35917 .54236 L
.35435 .53399 L
F
.35917 .50773 m
.36575 .51457 L
.35917 .52402 L
.35438 .51457 L
F
.35917 .54616 m
.36447 .55342 L
.35917 .56071 L
.3544 .55342 L
F
.35917 .52702 m
.36506 .53399 L
.35917 .54226 L
.35441 .53399 L
F
.35917 .5078 m
.36568 .51457 L
.35917 .52394 L
.35444 .51457 L
F
.35917 .52711 m
.36498 .53399 L
.35917 .54216 L
.35448 .53399 L
F
.35917 .50787 m
.36562 .51457 L
.35917 .52385 L
.35449 .51457 L
F
.35917 .54629 m
.36436 .55342 L
.35917 .56056 L
.3545 .55342 L
F
.35917 .5653 m
.36379 .57284 L
.35917 .57912 L
.35451 .57284 L
F
.35917 .50794 m
.36555 .51457 L
.35917 .52377 L
.35454 .51457 L
F
.35917 .5272 m
.3649 .53399 L
.35917 .54206 L
.35455 .53399 L
F
.35917 .5842 m
.36322 .59227 L
.35917 .59771 L
.35455 .59227 L
F
.35917 .50801 m
.36549 .51457 L
.35917 .52369 L
.35459 .51457 L
F
.35917 .54642 m
.36425 .55342 L
.35917 .56042 L
.3546 .55342 L
F
.35917 .52729 m
.36482 .53399 L
.35917 .54195 L
.35461 .53399 L
F
.35917 .50808 m
.36542 .51457 L
.35917 .5236 L
.35465 .51457 L
F
.35917 .52738 m
.36475 .53399 L
.35917 .54185 L
.35468 .53399 L
F
.35917 .56553 m
.36361 .57284 L
.35917 .57887 L
.35469 .57284 L
F
.35917 .50815 m
.36535 .51457 L
.35917 .52352 L
.3547 .51457 L
F
.35917 .54655 m
.36414 .55342 L
.35917 .56027 L
.35471 .55342 L
F
.35917 .52747 m
.36467 .53399 L
.35917 .54175 L
.35475 .53399 L
F
.35917 .50822 m
.36529 .51457 L
.35917 .52343 L
.35475 .51457 L
F
.35917 .50829 m
.36522 .51457 L
.35917 .52335 L
.35481 .51457 L
F
.35917 .54668 m
.36403 .55342 L
.35917 .56013 L
.35481 .55342 L
F
.35917 .52756 m
.36459 .53399 L
.35917 .54165 L
.35482 .53399 L
F
.35917 .50837 m
.36515 .51457 L
.35917 .52326 L
.35486 .51457 L
F
.35917 .56577 m
.36343 .57284 L
.35917 .57863 L
.35488 .57284 L
F
.35917 .60321 m
.36243 .61169 L
.35917 .61603 L
.35488 .61169 L
F
.35917 .52765 m
.36451 .53399 L
.35917 .54154 L
.35489 .53399 L
F
.35917 .54682 m
.36392 .55342 L
.35917 .55998 L
.35491 .55342 L
F
.35917 .50844 m
.36509 .51457 L
.35917 .52318 L
.35491 .51457 L
F
.35917 .58467 m
.36285 .59227 L
.35917 .59721 L
.35495 .59227 L
F
.35917 .52774 m
.36443 .53399 L
.35917 .54144 L
.35495 .53399 L
F
.35917 .50851 m
.36502 .51457 L
.35917 .52309 L
.35497 .51457 L
F
.35917 .38217 m
.35954 .38831 L
.35917 .38865 L
.355 .38831 L
F
.35917 .54696 m
.36381 .55342 L
.35917 .55983 L
.35501 .55342 L
F
.35917 .50858 m
.36495 .51457 L
.35917 .523 L
.35502 .51457 L
F
.35917 .52783 m
.36435 .53399 L
.35917 .54133 L
.35502 .53399 L
F
.35917 .48926 m
.36561 .49514 L
.35917 .50483 L
.35502 .49514 L
F
.35917 .56601 m
.36324 .57284 L
.35917 .57838 L
.35506 .57284 L
F
.35917 .50866 m
.36489 .51457 L
.35917 .52292 L
.35507 .51457 L
F
.35917 .48933 m
.36554 .49514 L
.35917 .50474 L
.35507 .49514 L
F
.35917 .52792 m
.36427 .53399 L
.35917 .54123 L
.35509 .53399 L
F
.35917 .36312 m
.36 .36888 L
.35917 .36967 L
.35512 .36888 L
F
.35917 .54709 m
.36369 .55342 L
.35917 .55968 L
.35512 .55342 L
F
.35917 .4894 m
.36547 .49514 L
.35917 .50466 L
.35512 .49514 L
F
.35917 .50873 m
.36482 .51457 L
.35917 .52283 L
.35513 .51457 L
F
.35917 .52801 m
.36419 .53399 L
.35917 .54112 L
.35516 .53399 L
F
.35917 .48947 m
.36541 .49514 L
.35917 .50458 L
.35517 .49514 L
F
.35917 .5088 m
.36475 .51457 L
.35917 .52274 L
.35518 .51457 L
F
.35917 .54723 m
.36358 .55342 L
.35917 .55953 L
.35522 .55342 L
F
.35917 .48954 m
.36534 .49514 L
.35917 .5045 L
.35522 .49514 L
F
.35917 .52811 m
.36411 .53399 L
.35917 .54102 L
.35523 .53399 L
F
.35917 .50887 m
.36469 .51457 L
.35917 .52266 L
.35523 .51457 L
F
.35917 .56625 m
.36305 .57284 L
.35917 .57813 L
.35525 .57284 L
F
.35917 .48961 m
.36527 .49514 L
.35917 .50441 L
.35527 .49514 L
F
.35917 .50895 m
.36462 .51457 L
.35917 .52257 L
.35529 .51457 L
F
.35917 .5282 m
.36403 .53399 L
.35917 .54091 L
.3553 .53399 L
F
.35917 .48968 m
.36521 .49514 L
.35917 .50433 L
.35532 .49514 L
F
.35917 .54737 m
.36347 .55342 L
.35917 .55938 L
.35533 .55342 L
F
.35917 .50902 m
.36455 .51457 L
.35917 .52248 L
.35534 .51457 L
F
.35917 .58516 m
.36248 .59227 L
.35917 .59671 L
.35536 .59227 L
F
.35917 .52829 m
.36395 .53399 L
.35917 .54081 L
.35537 .53399 L
F
.35917 .48975 m
.36514 .49514 L
.35917 .50425 L
.35537 .49514 L
F
.35917 .50909 m
.36448 .51457 L
.35917 .52239 L
.3554 .51457 L
F
.35917 .48981 m
.36507 .49514 L
.35917 .50416 L
.35543 .49514 L
F
.35917 .54751 m
.36335 .55342 L
.35917 .55923 L
.35543 .55342 L
F
.35917 .52839 m
.36387 .53399 L
.35917 .5407 L
.35544 .53399 L
F
.35917 .5665 m
.36286 .57284 L
.35917 .57787 L
.35544 .57284 L
F
.35917 .50917 m
.36441 .51457 L
.35917 .52231 L
.35545 .51457 L
F
.35917 .48988 m
.365 .49514 L
.35917 .50408 L
.35548 .49514 L
F
.35917 .52848 m
.36379 .53399 L
.35917 .54059 L
.35551 .53399 L
F
.35917 .50924 m
.36435 .51457 L
.35917 .52222 L
.35551 .51457 L
F
.35917 .48995 m
.36493 .49514 L
.35917 .50399 L
.35553 .49514 L
F
.35917 .54766 m
.36324 .55342 L
.35917 .55908 L
.35554 .55342 L
F
.35917 .50932 m
.36428 .51457 L
.35917 .52213 L
.35556 .51457 L
F
.35917 .52858 m
.36371 .53399 L
.35917 .54049 L
.35558 .53399 L
F
.35917 .49002 m
.36486 .49514 L
.35917 .50391 L
.35558 .49514 L
F
.35917 .50939 m
.36421 .51457 L
.35917 .52204 L
.35562 .51457 L
F
.35917 .49009 m
.3648 .49514 L
.35917 .50382 L
.35563 .49514 L
F
.35917 .56676 m
.36266 .57284 L
.35917 .57762 L
.35564 .57284 L
F
.35917 .52867 m
.36363 .53399 L
.35917 .54038 L
.35565 .53399 L
F
.35917 .5478 m
.36312 .55342 L
.35917 .55893 L
.35565 .55342 L
F
.35917 .50947 m
.36414 .51457 L
.35917 .52195 L
.35567 .51457 L
F
.35917 .49016 m
.36473 .49514 L
.35917 .50374 L
.35568 .49514 L
F
.35917 .52877 m
.36354 .53399 L
.35917 .54027 L
.35572 .53399 L
F
.35917 .50954 m
.36407 .51457 L
.35917 .52186 L
.35573 .51457 L
F
.35917 .49023 m
.36466 .49514 L
.35917 .50365 L
.35573 .49514 L
F
.35917 .62243 m
.3613 .63112 L
.35917 .63392 L
.35573 .63112 L
F
.35917 .54795 m
.363 .55342 L
.35917 .55877 L
.35576 .55342 L
F
.35917 .58569 m
.36209 .59227 L
.35917 .5962 L
.35578 .59227 L
F
.35917 .50962 m
.364 .51457 L
.35917 .52177 L
.35578 .51457 L
F
.35917 .4903 m
.36459 .49514 L
.35917 .50356 L
.35578 .49514 L
F
.35917 .52887 m
.36346 .53399 L
.35917 .54016 L
.35579 .53399 L
F
.35917 .49038 m
.36452 .49514 L
.35917 .50347 L
.35584 .49514 L
F
.35917 .56702 m
.36247 .57284 L
.35917 .57735 L
.35584 .57284 L
F
.35917 .50969 m
.36393 .51457 L
.35917 .52168 L
.35584 .51457 L
F
.35917 .52896 m
.36338 .53399 L
.35917 .54005 L
.35586 .53399 L
F
.35917 .47104 m
.36513 .47572 L
.35917 .48541 L
.35586 .47572 L
F
.35917 .5481 m
.36289 .55342 L
.35917 .55862 L
.35587 .55342 L
F
.35917 .49045 m
.36445 .49514 L
.35917 .50339 L
.35589 .49514 L
F
.35917 .50977 m
.36386 .51457 L
.35917 .52158 L
.3559 .51457 L
F
.35917 .47112 m
.36505 .47572 L
.35917 .48531 L
.35592 .47572 L
F
.35917 .52906 m
.36329 .53399 L
.35917 .53994 L
.35593 .53399 L
F
.35917 .49052 m
.36438 .49514 L
.35917 .5033 L
.35594 .49514 L
F
.35917 .50985 m
.36379 .51457 L
.35917 .52149 L
.35595 .51457 L
F
.35917 .60438 m
.36152 .61169 L
.35917 .61481 L
.35596 .61169 L
F
.35917 .4712 m
.36497 .47572 L
.35917 .48522 L
.35598 .47572 L
F
.35917 .54825 m
.36277 .55342 L
.35917 .55846 L
.35598 .55342 L
F
.35917 .49059 m
.36431 .49514 L
.35917 .50321 L
.35599 .49514 L
F
.35917 .52916 m
.36321 .53399 L
.35917 .53983 L
.35601 .53399 L
F
.35917 .50993 m
.36372 .51457 L
.35917 .5214 L
.35601 .51457 L
F
.35917 .47128 m
.36488 .47572 L
.35917 .48512 L
.35604 .47572 L
F
.35917 .56729 m
.36226 .57284 L
.35917 .57709 L
.35604 .57284 L
F
.35917 .49066 m
.36424 .49514 L
.35917 .50312 L
.35604 .49514 L
F
.35917 .51 m
.36365 .51457 L
.35917 .52131 L
.35607 .51457 L
F
.35917 .52926 m
.36312 .53399 L
.35917 .53971 L
.35608 .53399 L
F
.35917 .5484 m
.36264 .55342 L
.35917 .5583 L
.35609 .55342 L
F
.35917 .47136 m
.3648 .47572 L
.35917 .48502 L
.35609 .47572 L
F
.35917 .49073 m
.36417 .49514 L
.35917 .50303 L
.3561 .49514 L
F
.35917 .51008 m
.36358 .51457 L
.35917 .52121 L
.35612 .51457 L
F
.35917 .49081 m
.36409 .49514 L
.35917 .50294 L
.35615 .49514 L
F
.35917 .47144 m
.36472 .47572 L
.35917 .48492 L
.35615 .47572 L
F
.35917 .52936 m
.36304 .53399 L
.35917 .5396 L
.35615 .53399 L
F
.35917 .51016 m
.3635 .51457 L
.35917 .52112 L
.35618 .51457 L
F
.35917 .54856 m
.36252 .55342 L
.35917 .55814 L
.3562 .55342 L
F
.35917 .49088 m
.36402 .49514 L
.35917 .50285 L
.3562 .49514 L
F
.35917 .47152 m
.36463 .47572 L
.35917 .48482 L
.35621 .47572 L
F
.35917 .58627 m
.36168 .59227 L
.35917 .59566 L
.35622 .59227 L
F
.35917 .52946 m
.36295 .53399 L
.35917 .53949 L
.35623 .53399 L
F
.35917 .51024 m
.36343 .51457 L
.35917 .52102 L
.35624 .51457 L
F
.35917 .56758 m
.36206 .57284 L
.35917 .57682 L
.35624 .57284 L
F
.35917 .49095 m
.36395 .49514 L
.35917 .50276 L
.35626 .49514 L
F
.35917 .4716 m
.36455 .47572 L
.35917 .48472 L
.35627 .47572 L
F
.35917 .51032 m
.36336 .51457 L
.35917 .52093 L
.35629 .51457 L
F
.35917 .52957 m
.36286 .53399 L
.35917 .53937 L
.3563 .53399 L
F
.35917 .49103 m
.36388 .49514 L
.35917 .50266 L
.35631 .49514 L
F
.35917 .54872 m
.3624 .55342 L
.35917 .55797 L
.35632 .55342 L
F
.35917 .47168 m
.36446 .47572 L
.35917 .48462 L
.35633 .47572 L
F
.35917 .5104 m
.36328 .51457 L
.35917 .52083 L
.35635 .51457 L
F
.35917 .4911 m
.3638 .49514 L
.35917 .50257 L
.35636 .49514 L
F
.35917 .52967 m
.36277 .53399 L
.35917 .53925 L
.35638 .53399 L
F
.35917 .47177 m
.36437 .47572 L
.35917 .48452 L
.35639 .47572 L
F
.35917 .51048 m
.36321 .51457 L
.35917 .52073 L
.35641 .51457 L
F
.35917 .49117 m
.36373 .49514 L
.35917 .50248 L
.35642 .49514 L
F
.35917 .54888 m
.36227 .55342 L
.35917 .55781 L
.35643 .55342 L
F
.35917 .47185 m
.36429 .47572 L
.35917 .48442 L
.35645 .47572 L
F
.35917 .52977 m
.36268 .53399 L
.35917 .53914 L
.35645 .53399 L
F
.35917 .56787 m
.36185 .57284 L
.35917 .57654 L
.35646 .57284 L
F
.35917 .51056 m
.36314 .51457 L
.35917 .52064 L
.35647 .51457 L
F
.35917 .49125 m
.36366 .49514 L
.35917 .50238 L
.35647 .49514 L
F
.35917 .47193 m
.3642 .47572 L
.35917 .48431 L
.3565 .47572 L
F
.35917 .49132 m
.36358 .49514 L
.35917 .50229 L
.35653 .49514 L
F
.35917 .52988 m
.36259 .53399 L
.35917 .53902 L
.35653 .53399 L
F
.35917 .51064 m
.36306 .51457 L
.35917 .52054 L
.35653 .51457 L
F
.35917 .54904 m
.36215 .55342 L
.35917 .55764 L
.35655 .55342 L
F
.35917 .47201 m
.36411 .47572 L
.35917 .48421 L
.35656 .47572 L
F
.35917 .4914 m
.36351 .49514 L
.35917 .50219 L
.35658 .49514 L
F
.35917 .51072 m
.36298 .51457 L
.35917 .52044 L
.35659 .51457 L
F
.35917 .52999 m
.3625 .53399 L
.35917 .5389 L
.35661 .53399 L
F
.35917 .4721 m
.36402 .47572 L
.35917 .4841 L
.35662 .47572 L
F
.35917 .49147 m
.36343 .49514 L
.35917 .50209 L
.35664 .49514 L
F
.35917 .51081 m
.36291 .51457 L
.35917 .52034 L
.35665 .51457 L
F
.35917 .54921 m
.36202 .55342 L
.35917 .55747 L
.35667 .55342 L
F
.35917 .56817 m
.36163 .57284 L
.35917 .57625 L
.35667 .57284 L
F
.35917 .5301 m
.36241 .53399 L
.35917 .53878 L
.35668 .53399 L
F
.35917 .47218 m
.36393 .47572 L
.35917 .48399 L
.35668 .47572 L
F
.35917 .49155 m
.36336 .49514 L
.35917 .50199 L
.35669 .49514 L
F
.35917 .58689 m
.36126 .59227 L
.35917 .5951 L
.35669 .59227 L
F
.35917 .51089 m
.36283 .51457 L
.35917 .52023 L
.35671 .51457 L
F
.35917 .47226 m
.36384 .47572 L
.35917 .48389 L
.35675 .47572 L
F
.35917 .49163 m
.36328 .49514 L
.35917 .50189 L
.35675 .49514 L
F
.35917 .53021 m
.36232 .53399 L
.35917 .53865 L
.35676 .53399 L
F
.35917 .51097 m
.36275 .51457 L
.35917 .52013 L
.35677 .51457 L
F
.35917 .54938 m
.36189 .55342 L
.35917 .55729 L
.35679 .55342 L
F
.35917 .4917 m
.3632 .49514 L
.35917 .50179 L
.3568 .49514 L
F
.35917 .47235 m
.36375 .47572 L
.35917 .48378 L
.35681 .47572 L
F
.35917 .45296 m
.36438 .45629 L
.35917 .46596 L
.35681 .45629 L
F
.35917 .51106 m
.36268 .51457 L
.35917 .52003 L
.35683 .51457 L
F
.35917 .53032 m
.36223 .53399 L
.35917 .53853 L
.35684 .53399 L
F
.35917 .49178 m
.36312 .49514 L
.35917 .50169 L
.35686 .49514 L
F
.35917 .47243 m
.36366 .47572 L
.35917 .48367 L
.35687 .47572 L
F
.35917 .51114 m
.3626 .51457 L
.35917 .51992 L
.35689 .51457 L
F
.35917 .45307 m
.36426 .45629 L
.35917 .46583 L
.35689 .45629 L
F
.35917 .56849 m
.36141 .57284 L
.35917 .57596 L
.3569 .57284 L
F
.35917 .54955 m
.36175 .55342 L
.35917 .55712 L
.35691 .55342 L
F
.35917 .49186 m
.36305 .49514 L
.35917 .50159 L
.35691 .49514 L
F
.35917 .53043 m
.36213 .53399 L
.35917 .5384 L
.35692 .53399 L
F
.35917 .47252 m
.36357 .47572 L
.35917 .48355 L
.35693 .47572 L
F
.35917 .51123 m
.36252 .51457 L
.35917 .51982 L
.35695 .51457 L
F
.35917 .49194 m
.36297 .49514 L
.35917 .50149 L
.35697 .49514 L
F
.35917 .45318 m
.36413 .45629 L
.35917 .46569 L
.35697 .45629 L
F
.35917 .4726 m
.36348 .47572 L
.35917 .48344 L
.35699 .47572 L
F
.35917 .53054 m
.36204 .53399 L
.35917 .53828 L
.357 .53399 L
F
.35917 .51131 m
.36244 .51457 L
.35917 .51971 L
.35701 .51457 L
F
.35917 .49202 m
.36289 .49514 L
.35917 .50138 L
.35703 .49514 L
F
.35917 .54973 m
.36162 .55342 L
.35917 .55693 L
.35704 .55342 L
F
.35917 .4533 m
.364 .45629 L
.35917 .46555 L
.35705 .45629 L
F
.35917 .47269 m
.36338 .47572 L
.35917 .48332 L
.35705 .47572 L
F
.35917 .5114 m
.36236 .51457 L
.35917 .5196 L
.35708 .51457 L
F
.35917 .53066 m
.36194 .53399 L
.35917 .53815 L
.35708 .53399 L
F
.35917 .4921 m
.36281 .49514 L
.35917 .50128 L
.35709 .49514 L
F
.35917 .47278 m
.36329 .47572 L
.35917 .48321 L
.35712 .47572 L
F
.35917 .56883 m
.36118 .57284 L
.35917 .57565 L
.35713 .57284 L
F
.35917 .45341 m
.36386 .45629 L
.35917 .46541 L
.35713 .45629 L
F
.35917 .51149 m
.36227 .51457 L
.35917 .51949 L
.35714 .51457 L
F
.35917 .49218 m
.36272 .49514 L
.35917 .50117 L
.35714 .49514 L
F
.35917 .53077 m
.36184 .53399 L
.35917 .53801 L
.35716 .53399 L
F
.35917 .54992 m
.36148 .55342 L
.35917 .55675 L
.35716 .55342 L
F
.35917 .47286 m
.36319 .47572 L
.35917 .48309 L
.35718 .47572 L
F
.35917 .5876 m
.3608 .59227 L
.35917 .5945 L
.3572 .59227 L
F
.35917 .49226 m
.36264 .49514 L
.35917 .50106 L
.3572 .49514 L
F
.35917 .51158 m
.36219 .51457 L
.35917 .51938 L
.3572 .51457 L
F
.35917 .45352 m
.36373 .45629 L
.35917 .46527 L
.35722 .45629 L
F
.35917 .60588 m
.3605 .61169 L
.35917 .61346 L
.35723 .61169 L
F
.35917 .47295 m
.36309 .47572 L
.35917 .48297 L
.35724 .47572 L
F
.35917 .53089 m
.36174 .53399 L
.35917 .53788 L
.35725 .53399 L
F
.35917 .49234 m
.36256 .49514 L
.35917 .50095 L
.35726 .49514 L
F
.35917 .51167 m
.36211 .51457 L
.35917 .51927 L
.35727 .51457 L
F
.40773 .72689 m
.41744 .72778 L
.41906 .72824 L
.42716 .73201 L
.43492 .73796 L
.43687 .74005 L
.44302 .74767 L
.44658 .75329 L
.44877 .75738 L
.45312 .76709 L
.45629 .77616 L
.45648 .77681 L
.45886 .78652 L
.46063 .79623 L
.46179 .80594 L
.46237 .81566 L
.46237 .82537 L
.46179 .83508 L
.46063 .84479 L
.45886 .85451 L
.45648 .86422 L
.45629 .86487 L
.45312 .87393 L
.44877 .88364 L
.44658 .88774 L
.44302 .89336 L
.43687 .90098 L
.43492 .90307 L
.42716 .90902 L
.41906 .91278 L
.41744 .91325 L
.40773 .91414 L
.40068 .91278 L
.39802 .91183 L
.38831 .90602 L
.38485 .90307 L
.37859 .89591 L
.37675 .89336 L
.37098 .88364 L
.36888 .87941 L
.36656 .87393 L
.36307 .86422 L
.36045 .85451 L
.35917 .84548 L
.35911 .84479 L
.35843 .83508 L
.35777 .82537 L
.35729 .81566 L
.3581 .80594 L
.35876 .79623 L
.35917 .79241 L
.3608 .78652 L
.36354 .77681 L
.36674 .76709 L
.36888 .76172 L
.37092 .75738 L
.37667 .74767 L
.37859 .74502 L
.38483 .73796 L
.38831 .735 L
.39802 .7292 L
.40067 .72824 L
F
.35917 .55011 m
.36133 .55342 L
.35917 .55656 L
.35729 .55342 L
F
.35917 .45364 m
.36359 .45629 L
.35917 .46512 L
.3573 .45629 L
F
.35917 .47304 m
.36299 .47572 L
.35917 .48285 L
.35731 .47572 L
F
.35917 .49242 m
.36247 .49514 L
.35917 .50084 L
.35732 .49514 L
F
.35917 .53101 m
.36164 .53399 L
.35917 .53774 L
.35733 .53399 L
F
.35917 .51176 m
.36202 .51457 L
.35917 .51915 L
.35733 .51457 L
F
.35917 .56919 m
.36094 .57284 L
.35917 .57533 L
.35737 .57284 L
F
.35917 .47313 m
.36289 .47572 L
.35917 .48272 L
.35737 .47572 L
F
.35917 .49251 m
.36239 .49514 L
.35917 .50073 L
.35738 .49514 L
F
.35917 .45376 m
.36345 .45629 L
.35917 .46497 L
.35738 .45629 L
F
.35917 .51185 m
.36193 .51457 L
.35917 .51904 L
.3574 .51457 L
F
.35917 .53114 m
.36154 .53399 L
.35917 .5376 L
.35741 .53399 L
F
.35917 .5503 m
.36119 .55342 L
.35917 .55636 L
.35742 .55342 L
F
.35917 .47322 m
.36279 .47572 L
.35917 .4826 L
.35744 .47572 L
F
.35917 .49259 m
.3623 .49514 L
.35917 .50062 L
.35744 .49514 L
F
.35917 .51195 m
.36185 .51457 L
.35917 .51892 L
.35746 .51457 L
F
.35917 .45387 m
.36331 .45629 L
.35917 .46482 L
.35746 .45629 L
F
.35917 .49267 m
.36221 .49514 L
.35917 .5005 L
.3575 .49514 L
F
.35917 .47331 m
.36269 .47572 L
.35917 .48247 L
.3575 .47572 L
F
.35917 .53126 m
.36143 .53399 L
.35917 .53746 L
.3575 .53399 L
F
.35917 .51204 m
.36176 .51457 L
.35917 .5188 L
.35753 .51457 L
F
.35917 .45399 m
.36317 .45629 L
.35917 .46467 L
.35755 .45629 L
F
.35917 .49276 m
.36213 .49514 L
.35917 .50038 L
.35756 .49514 L
F
.35917 .55051 m
.36104 .55342 L
.35917 .55616 L
.35756 .55342 L
F
.35917 .47341 m
.36258 .47572 L
.35917 .48234 L
.35757 .47572 L
F
.35917 .53139 m
.36132 .53399 L
.35917 .53732 L
.35759 .53399 L
F
.35917 .51214 m
.36167 .51457 L
.35917 .51868 L
.3576 .51457 L
F
.35917 .56957 m
.36069 .57284 L
.35917 .575 L
.35762 .57284 L
F
.35917 .49285 m
.36204 .49514 L
.35917 .50026 L
.35762 .49514 L
F
.35917 .4735 m
.36248 .47572 L
.35917 .48221 L
.35763 .47572 L
F
.35917 .45411 m
.36302 .45629 L
.35917 .46451 L
.35763 .45629 L
F
.35917 .51223 m
.36158 .51457 L
.35917 .51855 L
.35766 .51457 L
F
.35917 .53152 m
.36122 .53399 L
.35917 .53717 L
.35768 .53399 L
F
.35917 .49293 m
.36194 .49514 L
.35917 .50014 L
.35768 .49514 L
F
.35917 .55072 m
.36089 .55342 L
.35917 .55595 L
.3577 .55342 L
F
.35917 .47359 m
.36237 .47572 L
.35917 .48207 L
.3577 .47572 L
F
.35917 .45423 m
.36287 .45629 L
.35917 .46434 L
.35772 .45629 L
F
.35917 .51233 m
.36148 .51457 L
.35917 .51842 L
.35773 .51457 L
F
.35917 .49302 m
.36185 .49514 L
.35917 .50001 L
.35774 .49514 L
F
.35917 .58844 m
.36032 .59227 L
.35917 .59385 L
.35776 .59227 L
F
.35917 .53165 m
.3611 .53399 L
.35917 .53701 L
.35777 .53399 L
F
.35917 .47369 m
.36226 .47572 L
.35917 .48193 L
.35777 .47572 L
F
.35917 .51243 m
.36139 .51457 L
.35917 .51829 L
.3578 .51457 L
F
.35917 .49311 m
.36176 .49514 L
.35917 .49989 L
.35781 .49514 L
F
.35917 .45435 m
.36271 .45629 L
.35917 .46418 L
.35781 .45629 L
F
.35917 .47378 m
.36215 .47572 L
.35917 .48179 L
.35784 .47572 L
F
.35917 .55093 m
.36073 .55342 L
.35917 .55574 L
.35784 .55342 L
F
.35917 .53179 m
.36099 .53399 L
.35917 .53686 L
.35786 .53399 L
F
.35917 .43503 m
.36323 .43687 L
.35917 .44657 L
.35787 .43687 L
F
.35917 .4932 m
.36166 .49514 L
.35917 .49976 L
.35787 .49514 L
F
.35917 .51253 m
.36129 .51457 L
.35917 .51816 L
.35787 .51457 L
F
.35917 .56999 m
.36043 .57284 L
.35917 .57465 L
.35788 .57284 L
F
.35917 .45448 m
.36256 .45629 L
.35917 .464 L
.3579 .45629 L
F
.35917 .47388 m
.36203 .47572 L
.35917 .48164 L
.3579 .47572 L
F
.35917 .49329 m
.36156 .49514 L
.35917 .49962 L
.35793 .49514 L
F
.35917 .51264 m
.36119 .51457 L
.35917 .51802 L
.35794 .51457 L
F
.35917 .53193 m
.36087 .53399 L
.35917 .5367 L
.35795 .53399 L
F
.35917 .47398 m
.36192 .47572 L
.35917 .48149 L
.35797 .47572 L
F
.35917 .55116 m
.36057 .55342 L
.35917 .55551 L
.35798 .55342 L
F
.35917 .4546 m
.36239 .45629 L
.35917 .46383 L
.35799 .45629 L
F
.35917 .49338 m
.36146 .49514 L
.35917 .49949 L
.358 .49514 L
F
.35917 .43522 m
.36297 .43687 L
.35917 .44635 L
.358 .43687 L
F
.35917 .51274 m
.36109 .51457 L
.35917 .51788 L
.35801 .51457 L
F
.35917 .47408 m
.3618 .47572 L
.35917 .48134 L
.35804 .47572 L
F
.35917 .53207 m
.36075 .53399 L
.35917 .53653 L
.35804 .53399 L
F
.35917 .49348 m
.36136 .49514 L
.35917 .49935 L
.35806 .49514 L
F
.35917 .45473 m
.36222 .45629 L
.35917 .46364 L
.35808 .45629 L
F
.35917 .51285 m
.36099 .51457 L
.35917 .51774 L
.35808 .51457 L
F
.35917 .47418 m
.36167 .47572 L
.35917 .48118 L
.35811 .47572 L
F
.35917 .49357 m
.36126 .49514 L
.35917 .4992 L
.35813 .49514 L
F
.35917 .55141 m
.3604 .55342 L
.35917 .55528 L
.35813 .55342 L
F
.35917 .43541 m
.36269 .43687 L
.35917 .44612 L
.35814 .43687 L
F
.35917 .53222 m
.36063 .53399 L
.35917 .53636 L
.35814 .53399 L
F
.35917 .51296 m
.36089 .51457 L
.35917 .51759 L
.35816 .51457 L
F
.35917 .57046 m
.36015 .57284 L
.35917 .57427 L
.35816 .57284 L
F
.35917 .45486 m
.36205 .45629 L
.35917 .46345 L
.35817 .45629 L
F
.35917 .47428 m
.36155 .47572 L
.35917 .48102 L
.35819 .47572 L
F
.35917 .49367 m
.36115 .49514 L
.35917 .49905 L
.3582 .49514 L
F
.35917 .51307 m
.36078 .51457 L
.35917 .51744 L
.35823 .51457 L
F
.35917 .53237 m
.3605 .53399 L
.35917 .53618 L
.35824 .53399 L
F
.35917 .47438 m
.36142 .47572 L
.35917 .48085 L
.35826 .47572 L
F
.35917 .45499 m
.36187 .45629 L
.35917 .46326 L
.35826 .45629 L
F
.35917 .49377 m
.36104 .49514 L
.35917 .4989 L
.35826 .49514 L
F
.35917 .43561 m
.36239 .43687 L
.35917 .44587 L
.35828 .43687 L
F
.35917 .55166 m
.36022 .55342 L
.35917 .55503 L
.35829 .55342 L
F
.35917 .51318 m
.36067 .51457 L
.35917 .51728 L
.35831 .51457 L
F
.35917 .47449 m
.36128 .47572 L
.35917 .48068 L
.35833 .47572 L
F
.35917 .49387 m
.36092 .49514 L
.35917 .49874 L
.35833 .49514 L
F
.35917 .53253 m
.36037 .53399 L
.35917 .53599 L
.35834 .53399 L
F
.35917 .45512 m
.36168 .45629 L
.35917 .46305 L
.35835 .45629 L
F
.35917 .5133 m
.36055 .51457 L
.35917 .51711 L
.35838 .51457 L
F
.35917 .58952 m
.35977 .59227 L
.35917 .59311 L
.3584 .59227 L
F
.35917 .49397 m
.36081 .49514 L
.35917 .49857 L
.3584 .49514 L
F
.35917 .47459 m
.36114 .47572 L
.35917 .4805 L
.35841 .47572 L
F
.35917 .43581 m
.36207 .43687 L
.35917 .44562 L
.35842 .43687 L
F
.35917 .53269 m
.36024 .53399 L
.35917 .53579 L
.35844 .53399 L
F
.35917 .45526 m
.36148 .45629 L
.35917 .46284 L
.35845 .45629 L
F
.35917 .55194 m
.36003 .55342 L
.35917 .55477 L
.35845 .55342 L
F
.35917 .51342 m
.36043 .51457 L
.35917 .51694 L
.35846 .51457 L
F
.35917 .57101 m
.35986 .57284 L
.35917 .57385 L
.35846 .57284 L
F
.35917 .49407 m
.36069 .49514 L
.35917 .4984 L
.35847 .49514 L
F
.35917 .4747 m
.361 .47572 L
.35917 .48031 L
.35848 .47572 L
F
.35917 .51354 m
.36031 .51457 L
.35917 .51676 L
.35854 .51457 L
F
.35917 .49418 m
.36056 .49514 L
.35917 .49822 L
.35854 .49514 L
F
.35917 .53287 m
.3601 .53399 L
.35917 .53558 L
.35854 .53399 L
F
.35917 .45539 m
.36127 .45629 L
.35917 .46261 L
.35854 .45629 L
F
.35917 .47481 m
.36084 .47572 L
.35917 .48011 L
.35856 .47572 L
F
.35917 .43602 m
.36172 .43687 L
.35917 .44535 L
.35857 .43687 L
F
.35917 .49428 m
.36043 .49514 L
.35917 .49803 L
.35861 .49514 L
F
.35917 .55224 m
.35984 .55342 L
.35917 .55448 L
.35862 .55342 L
F
.35917 .51366 m
.36018 .51457 L
.35917 .51656 L
.35862 .51457 L
F
.35917 .47492 m
.36068 .47572 L
.35917 .4799 L
.35863 .47572 L
F
.35917 .45553 m
.36104 .45629 L
.35917 .46237 L
.35864 .45629 L
F
.35917 .53304 m
.35995 .53399 L
.35917 .53536 L
.35865 .53399 L
F
.35917 .49439 m
.36029 .49514 L
.35917 .49782 L
.35869 .49514 L
F
.35917 .51379 m
.36005 .51457 L
.35917 .51635 L
.3587 .51457 L
F
.35917 .47504 m
.36051 .47572 L
.35917 .47968 L
.35871 .47572 L
F
.35917 .43623 m
.36133 .43687 L
.35917 .44506 L
.35872 .43687 L
F
.35917 .45568 m
.36079 .45629 L
.35917 .46212 L
.35874 .45629 L
F
.35917 .49451 m
.36015 .49514 L
.35917 .4976 L
.35876 .49514 L
F
.35917 .53323 m
.35979 .53399 L
.35917 .53512 L
.35876 .53399 L
F
.35917 .51392 m
.35991 .51457 L
.35917 .51613 L
.35878 .51457 L
F
.35917 .47516 m
.36033 .47572 L
.35917 .47943 L
.35879 .47572 L
F
.35917 .55257 m
.35963 .55342 L
.35917 .55417 L
.35879 .55342 L
F
.35917 .57169 m
.35953 .57284 L
.35917 .57339 L
.35879 .57284 L
F
.35917 .49462 m
.35999 .49514 L
.35917 .49736 L
.35884 .49514 L
F
.35917 .45582 m
.36052 .45629 L
.35917 .46185 L
.35884 .45629 L
F
.35917 .51406 m
.35976 .51457 L
.35917 .51588 L
.35887 .51457 L
F
.35917 .43645 m
.36087 .43687 L
.35917 .44476 L
.35887 .43687 L
F
.35917 .47527 m
.36013 .47572 L
.35917 .47917 L
.35887 .47572 L
F
.35917 .53343 m
.35963 .53399 L
.35917 .53485 L
.35887 .53399 L
F
.35917 .49474 m
.35983 .49514 L
.35917 .49709 L
.35891 .49514 L
F
.35917 .45597 m
.36021 .45629 L
.35917 .46156 L
.35895 .45629 L
F
.35917 .4754 m
.35991 .47572 L
.35917 .47888 L
.35895 .47572 L
F
.35917 .51421 m
.3596 .51457 L
.35917 .5156 L
.35896 .51457 L
F
.35917 .55296 m
.35941 .55342 L
.35917 .55382 L
.35898 .55342 L
F
.35917 .49486 m
.35965 .49514 L
.35917 .49678 L
.35899 .49514 L
F
.35917 .53365 m
.35945 .53399 L
.35917 .53455 L
.35899 .53399 L
F
.35917 .43667 m
.36028 .43687 L
.35917 .44443 L
.35903 .43687 L
F
.35917 .60839 m
.35925 .61169 L
.35917 .6118 L
.35903 .61169 L
F
.35917 .47552 m
.35967 .47572 L
.35917 .47854 L
.35904 .47572 L
F
.35917 .51435 m
.35943 .51457 L
.35917 .51526 L
.35905 .51457 L
F
.35917 .45613 m
.35982 .45629 L
.35917 .46123 L
.35905 .45629 L
F
.35917 .49499 m
.35945 .49514 L
.35917 .49639 L
.35907 .49514 L
F
.35917 .53388 m
.35926 .53399 L
.35917 .53419 L
.35911 .53399 L
F
.35917 .47565 m
.35936 .47572 L
.35917 .47813 L
.35912 .47572 L
F
.35917 .51451 m
.35924 .51457 L
.35917 .51481 L
.35914 .51457 L
F
.35917 .49512 m
.35922 .49514 L
.35917 .49575 L
.35915 .49514 L
F
.35917 .45628 m
.35923 .45629 L
.35917 .46087 L
.35916 .45629 L
F
.35917 .57282 m
.35917 .57284 L
.35917 .57285 L
.35916 .57284 L
F
.36888 .58935 m
.37847 .59227 L
.37183 .60198 L
.36888 .60533 L
.35944 .60198 L
.36638 .59227 L
F
.37859 .55731 m
.38631 .56313 L
.37977 .57284 L
.37859 .5739 L
.37273 .58256 L
.36888 .58699 L
.35958 .58256 L
.36647 .57284 L
.36888 .57003 L
.37476 .56313 L
F
.37859 .53815 m
.38687 .54371 L
.38083 .55342 L
.37859 .55546 L
.37342 .56313 L
.36888 .5684 L
.3599 .56313 L
.36663 .55342 L
.36888 .55077 L
.37491 .54371 L
F
.37859 .55755 m
.38603 .56313 L
.37932 .57284 L
.37859 .57349 L
.37241 .58256 L
.36888 .58661 L
.36003 .58256 L
.36666 .57284 L
.36888 .57024 L
.37492 .56313 L
F
.37859 .5383 m
.38668 .54371 L
.38059 .55342 L
.37859 .55523 L
.37326 .56313 L
.36888 .5682 L
.36013 .56313 L
.36673 .55342 L
.36888 .5509 L
.37501 .54371 L
F
.36888 .60892 m
.37691 .61169 L
.37016 .62141 L
.36888 .62279 L
.36035 .62141 L
.36654 .61169 L
F
.37859 .53846 m
.3865 .54371 L
.38034 .55342 L
.37859 .555 L
.37309 .56313 L
.36888 .568 L
.36036 .56313 L
.36684 .55342 L
.36888 .55102 L
.37512 .54371 L
F
.37859 .55779 m
.38576 .56313 L
.37886 .57284 L
.37859 .57308 L
.37209 .58256 L
.36888 .58622 L
.36049 .58256 L
.36684 .57284 L
.36888 .57045 L
.37509 .56313 L
F
.36888 .58976 m
.37766 .59227 L
.37109 .60198 L
.36888 .60446 L
.36055 .60198 L
.36674 .59227 L
F
.37859 .53861 m
.38631 .54371 L
.38009 .55342 L
.37859 .55477 L
.37292 .56313 L
.36888 .5678 L
.36059 .56313 L
.36696 .55342 L
.36888 .55115 L
.37522 .54371 L
F
.39802 .73559 m
.40773 .73311 L
.41744 .73408 L
.42616 .73796 L
.42716 .7386 L
.43687 .74737 L
.43713 .74767 L
.44394 .75738 L
.44658 .76226 L
.4488 .76709 L
.45244 .77681 L
.45519 .78652 L
.45629 .79141 L
.4571 .79623 L
.45829 .80594 L
.45888 .81566 L
.45888 .82537 L
.45829 .83508 L
.4571 .84479 L
.45629 .84962 L
.45519 .85451 L
.45244 .86422 L
.4488 .87393 L
.44658 .87877 L
.44394 .88364 L
.43713 .89336 L
.43687 .89366 L
.42716 .90243 L
.42616 .90307 L
.41744 .90695 L
.40773 .90791 L
.39802 .90543 L
.39278 .90307 L
.38831 .89916 L
.38254 .89336 L
.37859 .88804 L
.37582 .88364 L
.37085 .87393 L
.36888 .86931 L
.36715 .86422 L
.36448 .85451 L
.36273 .84479 L
.36174 .83508 L
.36108 .82537 L
.36068 .81566 L
.361 .80594 L
.36241 .79623 L
.3646 .78652 L
.36739 .77681 L
.36888 .77242 L
.37098 .76709 L
.3758 .75738 L
.37859 .75291 L
.3825 .74767 L
.38831 .74185 L
.39277 .73796 L
F
.37859 .53876 m
.38612 .54371 L
.37984 .55342 L
.37859 .55454 L
.37275 .56313 L
.36888 .56759 L
.36082 .56313 L
.36707 .55342 L
.36888 .55128 L
.37533 .54371 L
F
.36888 .57067 m
.37841 .57284 L
.37176 .58256 L
.36888 .58584 L
.36098 .58256 L
.36702 .57284 L
F
.37859 .53892 m
.38593 .54371 L
.37958 .55342 L
.37859 .55431 L
.37258 .56313 L
.36888 .56739 L
.36105 .56313 L
.36718 .55342 L
.36888 .55142 L
.37544 .54371 L
F
.37859 .53907 m
.38574 .54371 L
.37932 .55342 L
.37859 .55407 L
.37241 .56313 L
.36888 .56719 L
.36129 .56313 L
.36729 .55342 L
.36888 .55155 L
.37555 .54371 L
F
.36888 .57088 m
.37796 .57284 L
.37143 .58256 L
.36888 .58544 L
.36149 .58256 L
.36721 .57284 L
F
.37859 .53923 m
.38555 .54371 L
.37907 .55342 L
.37859 .55384 L
.37224 .56313 L
.36888 .56699 L
.36154 .56313 L
.3674 .55342 L
.36888 .55168 L
.37566 .54371 L
F
.37859 .52003 m
.38608 .52428 L
.3802 .53399 L
.37859 .53545 L
.37302 .54371 L
.36888 .54851 L
.36156 .54371 L
.36755 .53399 L
.36888 .53242 L
.3758 .52428 L
F
.37859 .52015 m
.38592 .52428 L
.38004 .53399 L
.37859 .5353 L
.37292 .54371 L
.36888 .54838 L
.3617 .54371 L
.36764 .53399 L
.36888 .53252 L
.37588 .52428 L
F
.37859 .53939 m
.38535 .54371 L
.3788 .55342 L
.37859 .5536 L
.37207 .56313 L
.36888 .56678 L
.36178 .56313 L
.36752 .55342 L
.36888 .55181 L
.37576 .54371 L
F
.36888 .59018 m
.37683 .59227 L
.37032 .60198 L
.36888 .60356 L
.36184 .60198 L
.36711 .59227 L
F
.37859 .52027 m
.38577 .52428 L
.37987 .53399 L
.37859 .53514 L
.37281 .54371 L
.36888 .54826 L
.36184 .54371 L
.36772 .53399 L
.36888 .53261 L
.37596 .52428 L
F
.37859 .52039 m
.38562 .52428 L
.3797 .53399 L
.37859 .53499 L
.3727 .54371 L
.36888 .54813 L
.36198 .54371 L
.3678 .53399 L
.36888 .53271 L
.37604 .52428 L
F
.36888 .5711 m
.37749 .57284 L
.3711 .58256 L
.36888 .58505 L
.36202 .58256 L
.3674 .57284 L
F
.36888 .55195 m
.37853 .55342 L
.3719 .56313 L
.36888 .56658 L
.36204 .56313 L
.36763 .55342 L
F
.37859 .52051 m
.38546 .52428 L
.37953 .53399 L
.37859 .53483 L
.3726 .54371 L
.36888 .548 L
.36213 .54371 L
.36788 .53399 L
.36888 .53281 L
.37612 .52428 L
F
.37859 .52063 m
.3853 .52428 L
.37935 .53399 L
.37859 .53467 L
.37249 .54371 L
.36888 .54787 L
.36227 .54371 L
.36796 .53399 L
.36888 .53291 L
.3762 .52428 L
F
.36888 .55208 m
.37823 .55342 L
.37172 .56313 L
.36888 .56637 L
.3623 .56313 L
.36775 .55342 L
F
.37859 .52075 m
.38515 .52428 L
.37918 .53399 L
.37859 .53452 L
.37238 .54371 L
.36888 .54775 L
.36242 .54371 L
.36805 .53399 L
.36888 .53301 L
.37628 .52428 L
F
.36888 .55222 m
.37792 .55342 L
.37154 .56313 L
.36888 .56616 L
.36256 .56313 L
.36786 .55342 L
F
.37859 .52087 m
.38499 .52428 L
.379 .53399 L
.37859 .53436 L
.37227 .54371 L
.36888 .54762 L
.36256 .54371 L
.36813 .53399 L
.36888 .53311 L
.37637 .52428 L
F
.36888 .57133 m
.37702 .57284 L
.37075 .58256 L
.36888 .58464 L
.36259 .58256 L
.36759 .57284 L
F
.36888 .45636 m
.37496 .46601 L
.36888 .47357 L
.36264 .46601 L
F
.36888 .437 m
.37565 .44658 L
.36888 .45522 L
.36266 .44658 L
F
.37859 .52099 m
.38483 .52428 L
.37882 .53399 L
.37859 .53419 L
.37216 .54371 L
.36888 .54749 L
.36271 .54371 L
.36822 .53399 L
.36888 .53321 L
.37645 .52428 L
F
.36888 .45649 m
.37488 .46601 L
.36888 .47347 L
.36273 .46601 L
F
.36888 .47581 m
.37417 .48543 L
.36888 .49185 L
.36276 .48543 L
F
.37859 .50198 m
.38505 .50486 L
.37973 .51457 L
.37859 .51559 L
.37281 .52428 L
.36888 .52888 L
.36277 .52428 L
.36852 .51457 L
.36888 .51414 L
.37673 .50486 L
F
.36888 .43718 m
.37552 .44658 L
.36888 .45508 L
.36278 .44658 L
F
.36888 .41772 m
.37623 .42716 L
.36888 .4368 L
.3628 .42716 L
F
.36888 .45661 m
.37479 .46601 L
.36888 .47336 L
.36281 .46601 L
F
.36888 .55236 m
.3776 .55342 L
.37136 .56313 L
.36888 .56595 L
.36283 .56313 L
.36798 .55342 L
F
.36888 .47592 m
.3741 .48543 L
.36888 .49177 L
.36283 .48543 L
F
.37859 .52112 m
.38466 .52428 L
.37864 .53399 L
.37859 .53403 L
.37205 .54371 L
.36888 .54736 L
.36286 .54371 L
.3683 .53399 L
.36888 .53331 L
.37654 .52428 L
F
.37859 .5021 m
.3849 .50486 L
.37959 .51457 L
.37859 .51546 L
.37273 .52428 L
.36888 .52879 L
.36287 .52428 L
.36859 .51457 L
.36888 .51422 L
.3768 .50486 L
F
.36888 .43736 m
.37539 .44658 L
.36888 .45493 L
.3629 .44658 L
F
.36888 .45674 m
.3747 .46601 L
.36888 .47326 L
.3629 .46601 L
F
.36888 .47602 m
.37402 .48543 L
.36888 .49168 L
.36291 .48543 L
F
.37859 .50221 m
.38474 .50486 L
.37945 .51457 L
.37859 .51534 L
.37265 .52428 L
.36888 .52869 L
.36297 .52428 L
.36866 .51457 L
.36888 .51431 L
.37688 .50486 L
F
.36888 .49525 m
.37331 .50486 L
.36888 .51012 L
.36297 .50486 L
F
.36888 .47612 m
.37395 .48543 L
.36888 .4916 L
.36299 .48543 L
F
.36888 .45686 m
.37461 .46601 L
.36888 .47316 L
.36299 .46601 L
F
.36888 .41803 m
.376 .42716 L
.36888 .43656 L
.36299 .42716 L
F
.36888 .53341 m
.37841 .53399 L
.37194 .54371 L
.36888 .54723 L
.36302 .54371 L
.36839 .53399 L
F
.36888 .43753 m
.37526 .44658 L
.36888 .45479 L
.36302 .44658 L
F
.36888 .49535 m
.37324 .50486 L
.36888 .51004 L
.36306 .50486 L
F
.36888 .47623 m
.37388 .48543 L
.36888 .49151 L
.36306 .48543 L
F
.37859 .50232 m
.38458 .50486 L
.37932 .51457 L
.37859 .51521 L
.37257 .52428 L
.36888 .5286 L
.36307 .52428 L
.36874 .51457 L
.36888 .5144 L
.37695 .50486 L
F
.36888 .45699 m
.37452 .46601 L
.36888 .47305 L
.36308 .46601 L
F
.36888 .5525 m
.37727 .55342 L
.37118 .56313 L
.36888 .56574 L
.36311 .56313 L
.3681 .55342 L
F
.36888 .49545 m
.37317 .50486 L
.36888 .50996 L
.36314 .50486 L
F
.36888 .43771 m
.37513 .44658 L
.36888 .45464 L
.36314 .44658 L
F
.36888 .47633 m
.37381 .48543 L
.36888 .49143 L
.36314 .48543 L
F
.36888 .45711 m
.37443 .46601 L
.36888 .47295 L
.36316 .46601 L
F
.37859 .50244 m
.38441 .50486 L
.37917 .51457 L
.37859 .51509 L
.37249 .52428 L
.36888 .5285 L
.36317 .52428 L
.36881 .51457 L
.36888 .51449 L
.37703 .50486 L
F
.36888 .53351 m
.37816 .53399 L
.37183 .54371 L
.36888 .5471 L
.36317 .54371 L
.36847 .53399 L
F
.36888 .41833 m
.37577 .42716 L
.36888 .43632 L
.36318 .42716 L
F
.36888 .57155 m
.37652 .57284 L
.37039 .58256 L
.36888 .58423 L
.36321 .58256 L
.36779 .57284 L
F
.36888 .49555 m
.3731 .50486 L
.36888 .50987 L
.36322 .50486 L
F
.36888 .47644 m
.37374 .48543 L
.36888 .49134 L
.36322 .48543 L
F
.36888 .45724 m
.37434 .46601 L
.36888 .47285 L
.36325 .46601 L
F
.36888 .43789 m
.375 .44658 L
.36888 .45449 L
.36326 .44658 L
F
.36888 .51458 m
.37241 .52428 L
.36888 .5284 L
.36327 .52428 L
F
.36888 .47654 m
.37366 .48543 L
.36888 .49125 L
.3633 .48543 L
F
.36888 .49566 m
.37303 .50486 L
.36888 .50979 L
.3633 .50486 L
F
.36888 .53361 m
.3779 .53399 L
.37172 .54371 L
.36888 .54697 L
.36333 .54371 L
.36856 .53399 L
F
.36888 .45737 m
.37425 .46601 L
.36888 .47274 L
.36334 .46601 L
F
.36888 .47665 m
.37359 .48543 L
.36888 .49117 L
.36337 .48543 L
F
.36888 .41863 m
.37554 .42716 L
.36888 .43608 L
.36338 .42716 L
F
.36888 .43807 m
.37487 .44658 L
.36888 .45434 L
.36338 .44658 L
F
.36888 .51469 m
.37233 .52428 L
.36888 .52831 L
.36338 .52428 L
F
.36888 .49576 m
.37296 .50486 L
.36888 .50971 L
.36338 .50486 L
F
.36888 .55264 m
.37693 .55342 L
.371 .56313 L
.36888 .56552 L
.3634 .56313 L
.36822 .55342 L
F
.36888 .45749 m
.37416 .46601 L
.36888 .47264 L
.36343 .46601 L
F
.36888 .47676 m
.37352 .48543 L
.36888 .49108 L
.36345 .48543 L
F
.36888 .49587 m
.37289 .50486 L
.36888 .50962 L
.36346 .50486 L
F
.36888 .51482 m
.37225 .52428 L
.36888 .52821 L
.36348 .52428 L
F
.36888 .53372 m
.37763 .53399 L
.37161 .54371 L
.36888 .54683 L
.36349 .54371 L
.36865 .53399 L
F
.36888 .59062 m
.37596 .59227 L
.36949 .60198 L
.36888 .60263 L
.36349 .60198 L
.36748 .59227 L
F
.36888 .43824 m
.37474 .44658 L
.36888 .45419 L
.3635 .44658 L
F
.36888 .45762 m
.37408 .46601 L
.36888 .47253 L
.36352 .46601 L
F
.36888 .47686 m
.37344 .48543 L
.36888 .49099 L
.36353 .48543 L
F
.36888 .49597 m
.37282 .50486 L
.36888 .50954 L
.36355 .50486 L
F
.36888 .41893 m
.37531 .42716 L
.36888 .43584 L
.36357 .42716 L
F
.36888 .51494 m
.37217 .52428 L
.36888 .52811 L
.36359 .52428 L
F
.36888 .45774 m
.37399 .46601 L
.36888 .47243 L
.36361 .46601 L
F
.36888 .47697 m
.37337 .48543 L
.36888 .49091 L
.36361 .48543 L
F
.36888 .43842 m
.37461 .44658 L
.36888 .45404 L
.36362 .44658 L
F
.36888 .49608 m
.37274 .50486 L
.36888 .50945 L
.36363 .50486 L
F
.36888 .53382 m
.37736 .53399 L
.37149 .54371 L
.36888 .5467 L
.36365 .54371 L
.36874 .53399 L
F
.36888 .47708 m
.3733 .48543 L
.36888 .49082 L
.36369 .48543 L
F
.36888 .51506 m
.37208 .52428 L
.36888 .52802 L
.36369 .52428 L
F
.36888 .45787 m
.3739 .46601 L
.36888 .47232 L
.3637 .46601 L
F
.36888 .55278 m
.37658 .55342 L
.37081 .56313 L
.36888 .5653 L
.3637 .56313 L
.36834 .55342 L
F
.36888 .49619 m
.37267 .50486 L
.36888 .50937 L
.36371 .50486 L
F
.36888 .4386 m
.37447 .44658 L
.36888 .45389 L
.36374 .44658 L
F
.36888 .39973 m
.37578 .40773 L
.36888 .4174 L
.36375 .40773 L
F
.36888 .41922 m
.37509 .42716 L
.36888 .43559 L
.36376 .42716 L
F
.36888 .47719 m
.37322 .48543 L
.36888 .49073 L
.36377 .48543 L
F
.36888 .458 m
.37381 .46601 L
.36888 .47221 L
.36379 .46601 L
F
.36888 .4963 m
.3726 .50486 L
.36888 .50928 L
.3638 .50486 L
F
.36888 .51519 m
.372 .52428 L
.36888 .52792 L
.3638 .52428 L
F
.36888 .53393 m
.37706 .53399 L
.37138 .54371 L
.36888 .54657 L
.36381 .54371 L
.36882 .53399 L
F
.36888 .47729 m
.37315 .48543 L
.36888 .49065 L
.36385 .48543 L
F
.36888 .43878 m
.37434 .44658 L
.36888 .45374 L
.36386 .44658 L
F
.36888 .45813 m
.37372 .46601 L
.36888 .47211 L
.36388 .46601 L
F
.36888 .49641 m
.37253 .50486 L
.36888 .5092 L
.36388 .50486 L
F
.39802 .74132 m
.40773 .73865 L
.41744 .73968 L
.42716 .74456 L
.43117 .74767 L
.43687 .75411 L
.43926 .75738 L
.44482 .76709 L
.44658 .77097 L
.44881 .77681 L
.45174 .78652 L
.45384 .79623 L
.4552 .80594 L
.45587 .81566 L
.45587 .82537 L
.4552 .83508 L
.45384 .84479 L
.45174 .85451 L
.44881 .86422 L
.44658 .87006 L
.44482 .87393 L
.43926 .88364 L
.43687 .88692 L
.43117 .89336 L
.42716 .89647 L
.41744 .90134 L
.40773 .90238 L
.39802 .89971 L
.38862 .89336 L
.38831 .89295 L
.38044 .88364 L
.37859 .88072 L
.3749 .87393 L
.37077 .86422 L
.36888 .85857 L
.36786 .85451 L
.36595 .84479 L
.36478 .83508 L
.3641 .82537 L
.3639 .81566 L
.36442 .80594 L
.3658 .79623 L
.36795 .78652 L
.36888 .78313 L
.37097 .77681 L
.37496 .76709 L
.37859 .76031 L
.38042 .75738 L
.38831 .74806 L
.38861 .74767 L
F
.36888 .57178 m
.376 .57284 L
.37002 .58256 L
.36888 .58381 L
.36391 .58256 L
.36798 .57284 L
F
.36888 .51531 m
.37192 .52428 L
.36888 .52782 L
.36391 .52428 L
F
.36888 .4774 m
.37308 .48543 L
.36888 .49056 L
.36393 .48543 L
F
.36888 .41952 m
.37486 .42716 L
.36888 .43534 L
.36396 .42716 L
F
.36888 .45825 m
.37362 .46601 L
.36888 .472 L
.36397 .46601 L
F
.36888 .49652 m
.37246 .50486 L
.36888 .50911 L
.36397 .50486 L
F
.36888 .43895 m
.37421 .44658 L
.36888 .45358 L
.36398 .44658 L
F
.36888 .53405 m
.37126 .54371 L
.36888 .54643 L
.36398 .54371 L
F
.36888 .47751 m
.373 .48543 L
.36888 .49047 L
.36401 .48543 L
F
.36888 .55293 m
.3762 .55342 L
.37062 .56313 L
.36888 .56508 L
.36402 .56313 L
.36846 .55342 L
F
.36888 .51544 m
.37183 .52428 L
.36888 .52772 L
.36402 .52428 L
F
.36888 .49663 m
.37238 .50486 L
.36888 .50903 L
.36406 .50486 L
F
.36888 .45838 m
.37353 .46601 L
.36888 .47189 L
.36406 .46601 L
F
.36888 .47762 m
.37293 .48543 L
.36888 .49038 L
.36409 .48543 L
F
.36888 .43913 m
.37408 .44658 L
.36888 .45343 L
.3641 .44658 L
F
.36888 .40031 m
.37531 .40773 L
.36888 .41693 L
.36413 .40773 L
F
.36888 .51557 m
.37175 .52428 L
.36888 .52762 L
.36413 .52428 L
F
.36888 .49674 m
.37231 .50486 L
.36888 .50894 L
.36414 .50486 L
F
.36888 .45851 m
.37344 .46601 L
.36888 .47178 L
.36415 .46601 L
F
.36888 .53422 m
.37114 .54371 L
.36888 .54629 L
.36415 .54371 L
F
.36888 .41981 m
.37463 .42716 L
.36888 .43508 L
.36415 .42716 L
F
.36888 .47773 m
.37285 .48543 L
.36888 .49029 L
.36417 .48543 L
F
.36888 .43931 m
.37395 .44658 L
.36888 .45327 L
.36423 .44658 L
F
.36888 .49685 m
.37224 .50486 L
.36888 .50885 L
.36423 .50486 L
F
.36888 .5157 m
.37166 .52428 L
.36888 .52752 L
.36424 .52428 L
F
.36888 .45864 m
.37335 .46601 L
.36888 .47167 L
.36424 .46601 L
F
.36888 .47785 m
.37278 .48543 L
.36888 .4902 L
.36425 .48543 L
F
.36888 .49697 m
.37216 .50486 L
.36888 .50876 L
.36432 .50486 L
F
.36888 .5344 m
.37102 .54371 L
.36888 .54615 L
.36433 .54371 L
F
.36888 .45877 m
.37326 .46601 L
.36888 .47156 L
.36434 .46601 L
F
.36888 .47796 m
.3727 .48543 L
.36888 .49011 L
.36434 .48543 L
F
.36888 .55307 m
.37581 .55342 L
.37042 .56313 L
.36888 .56486 L
.36435 .56313 L
.36859 .55342 L
F
.36888 .43949 m
.37381 .44658 L
.36888 .45311 L
.36435 .44658 L
F
.36888 .42011 m
.3744 .42716 L
.36888 .43482 L
.36435 .42716 L
F
.36888 .51584 m
.37158 .52428 L
.36888 .52742 L
.36435 .52428 L
F
.36888 .49708 m
.37209 .50486 L
.36888 .50868 L
.36441 .50486 L
F
.36888 .47807 m
.37263 .48543 L
.36888 .49002 L
.36442 .48543 L
F
.36888 .4589 m
.37317 .46601 L
.36888 .47145 L
.36443 .46601 L
F
.36888 .51597 m
.37149 .52428 L
.36888 .52732 L
.36447 .52428 L
F
.36888 .43967 m
.37368 .44658 L
.36888 .45295 L
.36447 .44658 L
F
.36888 .4972 m
.37201 .50486 L
.36888 .50859 L
.36449 .50486 L
F
.36888 .47818 m
.37255 .48543 L
.36888 .48993 L
.3645 .48543 L
F
.36888 .4009 m
.37483 .40773 L
.36888 .41644 L
.36451 .40773 L
F
.36888 .53458 m
.3709 .54371 L
.36888 .54601 L
.36451 .54371 L
F
.36888 .45903 m
.37307 .46601 L
.36888 .47134 L
.36452 .46601 L
F
.36888 .42041 m
.37417 .42716 L
.36888 .43456 L
.36455 .42716 L
F
.36888 .49731 m
.37194 .50486 L
.36888 .5085 L
.36458 .50486 L
F
.36888 .51611 m
.3714 .52428 L
.36888 .52721 L
.36459 .52428 L
F
.36888 .4783 m
.37247 .48543 L
.36888 .48984 L
.36459 .48543 L
F
.36888 .43985 m
.37355 .44658 L
.36888 .45279 L
.3646 .44658 L
F
.36888 .45916 m
.37298 .46601 L
.36888 .47123 L
.36462 .46601 L
F
.36888 .47841 m
.3724 .48543 L
.36888 .48974 L
.36467 .48543 L
F
.36888 .49743 m
.37186 .50486 L
.36888 .50841 L
.36468 .50486 L
F
.36888 .53476 m
.37078 .54371 L
.36888 .54587 L
.36469 .54371 L
F
.36888 .55322 m
.37538 .55342 L
.37022 .56313 L
.36888 .56463 L
.3647 .56313 L
.36871 .55342 L
F
.36888 .51625 m
.37131 .52428 L
.36888 .52711 L
.3647 .52428 L
F
.36888 .4593 m
.37289 .46601 L
.36888 .47111 L
.36471 .46601 L
F
.36888 .57202 m
.37544 .57284 L
.36963 .58256 L
.36888 .58338 L
.36471 .58256 L
.36818 .57284 L
F
.36888 .44003 m
.37341 .44658 L
.36888 .45263 L
.36473 .44658 L
F
.36888 .4207 m
.37394 .42716 L
.36888 .43429 L
.36475 .42716 L
F
.36888 .47853 m
.37232 .48543 L
.36888 .48965 L
.36476 .48543 L
F
.36888 .49755 m
.37179 .50486 L
.36888 .50832 L
.36477 .50486 L
F
.36888 .45943 m
.37279 .46601 L
.36888 .471 L
.36481 .46601 L
F
.36888 .5164 m
.37122 .52428 L
.36888 .52701 L
.36482 .52428 L
F
.36888 .47865 m
.37224 .48543 L
.36888 .48956 L
.36484 .48543 L
F
.36888 .44022 m
.37327 .44658 L
.36888 .45247 L
.36485 .44658 L
F
.36888 .49767 m
.37171 .50486 L
.36888 .50823 L
.36486 .50486 L
F
.36888 .53495 m
.37066 .54371 L
.36888 .54573 L
.36488 .54371 L
F
.36888 .40148 m
.37436 .40773 L
.36888 .41594 L
.36489 .40773 L
F
.36888 .45957 m
.3727 .46601 L
.36888 .47088 L
.3649 .46601 L
F
.36888 .38204 m
.37495 .38831 L
.36888 .39781 L
.36491 .38831 L
F
.36888 .47877 m
.37216 .48543 L
.36888 .48946 L
.36493 .48543 L
F
.36888 .51654 m
.37113 .52428 L
.36888 .5269 L
.36494 .52428 L
F
.36888 .4978 m
.37163 .50486 L
.36888 .50814 L
.36495 .50486 L
F
.36888 .421 m
.3737 .42716 L
.36888 .43401 L
.36496 .42716 L
F
.36888 .4404 m
.37314 .44658 L
.36888 .4523 L
.36498 .44658 L
F
.36888 .4597 m
.3726 .46601 L
.36888 .47077 L
.365 .46601 L
F
.36888 .47889 m
.37208 .48543 L
.36888 .48937 L
.36501 .48543 L
F
.36888 .49792 m
.37156 .50486 L
.36888 .50804 L
.36505 .50486 L
F
.36888 .51669 m
.37104 .52428 L
.36888 .52679 L
.36507 .52428 L
F
.36888 .55337 m
.3749 .55342 L
.37002 .56313 L
.36888 .56439 L
.36507 .56313 L
.36884 .55342 L
F
.36888 .53514 m
.37053 .54371 L
.36888 .54558 L
.36508 .54371 L
F
.36888 .45984 m
.37251 .46601 L
.36888 .47065 L
.3651 .46601 L
F
.36888 .47901 m
.372 .48543 L
.36888 .48927 L
.3651 .48543 L
F
.36888 .44059 m
.373 .44658 L
.36888 .45213 L
.36511 .44658 L
F
.36888 .49805 m
.37148 .50486 L
.36888 .50795 L
.36514 .50486 L
F
.36888 .42131 m
.37347 .42716 L
.36888 .43373 L
.36516 .42716 L
F
.36888 .47913 m
.37192 .48543 L
.36888 .48918 L
.36519 .48543 L
F
.36888 .51684 m
.37095 .52428 L
.36888 .52669 L
.36519 .52428 L
F
.36888 .45998 m
.37241 .46601 L
.36888 .47053 L
.36519 .46601 L
F
.36888 .49817 m
.3714 .50486 L
.36888 .50786 L
.36524 .50486 L
F
.36888 .44078 m
.37286 .44658 L
.36888 .45196 L
.36524 .44658 L
F
.36888 .53534 m
.37041 .54371 L
.36888 .54544 L
.36528 .54371 L
F
.36888 .40207 m
.37387 .40773 L
.36888 .4154 L
.36528 .40773 L
F
.36888 .47925 m
.37184 .48543 L
.36888 .48908 L
.36528 .48543 L
F
.36888 .46012 m
.37231 .46601 L
.36888 .47041 L
.36529 .46601 L
F
.36888 .51699 m
.37086 .52428 L
.36888 .52658 L
.36532 .52428 L
F
.36888 .4983 m
.37132 .50486 L
.36888 .50776 L
.36534 .50486 L
F
.36888 .47938 m
.37176 .48543 L
.36888 .48898 L
.36537 .48543 L
F
.36888 .42161 m
.37322 .42716 L
.36888 .43344 L
.36537 .42716 L
F
.36888 .44097 m
.37272 .44658 L
.36888 .45179 L
.36538 .44658 L
F
.36888 .46026 m
.37221 .46601 L
.36888 .47029 L
.36539 .46601 L
F
.36888 .49843 m
.37124 .50486 L
.36888 .50767 L
.36544 .50486 L
F
.36888 .51715 m
.37077 .52428 L
.36888 .52647 L
.36545 .52428 L
F
.36888 .4795 m
.37168 .48543 L
.36888 .48888 L
.36546 .48543 L
F
.36888 .55361 m
.36981 .56313 L
.36888 .56416 L
.36548 .56313 L
F
.36888 .53555 m
.37028 .54371 L
.36888 .54529 L
.36549 .54371 L
F
.36888 .4604 m
.37211 .46601 L
.36888 .47017 L
.36549 .46601 L
F
.36888 .44116 m
.37257 .44658 L
.36888 .45161 L
.36551 .44658 L
F
.36888 .49857 m
.37116 .50486 L
.36888 .50757 L
.36554 .50486 L
F
.36888 .47963 m
.3716 .48543 L
.36888 .48878 L
.36555 .48543 L
F
.36888 .51731 m
.37067 .52428 L
.36888 .52636 L
.36558 .52428 L
F
.36888 .42192 m
.37298 .42716 L
.36888 .43314 L
.36558 .42716 L
F
.36888 .46055 m
.37201 .46601 L
.36888 .47005 L
.3656 .46601 L
F
.36888 .4987 m
.37108 .50486 L
.36888 .50747 L
.36564 .50486 L
F
.36888 .44135 m
.37243 .44658 L
.36888 .45143 L
.36565 .44658 L
F
.36888 .47976 m
.37151 .48543 L
.36888 .48868 L
.36565 .48543 L
F
.36888 .40267 m
.37338 .40773 L
.36888 .41483 L
.36568 .40773 L
F
.36888 .46069 m
.37191 .46601 L
.36888 .46992 L
.3657 .46601 L
F
.36888 .53576 m
.37015 .54371 L
.36888 .54514 L
.36571 .54371 L
F
.36888 .51748 m
.37058 .52428 L
.36888 .52625 L
.36572 .52428 L
F
.36888 .57226 m
.37483 .57284 L
.36922 .58256 L
.36888 .58293 L
.36574 .58256 L
.36839 .57284 L
F
.36888 .49884 m
.37099 .50486 L
.36888 .50738 L
.36574 .50486 L
F
.36888 .47989 m
.37143 .48543 L
.36888 .48858 L
.36574 .48543 L
F
.36888 .44155 m
.37228 .44658 L
.36888 .45125 L
.36578 .44658 L
F
.36888 .42224 m
.37273 .42716 L
.36888 .43283 L
.3658 .42716 L
F
.36888 .38343 m
.37375 .38831 L
.36888 .39664 L
.3658 .38831 L
F
.36888 .46084 m
.37181 .46601 L
.36888 .4698 L
.36581 .46601 L
F
.36888 .48002 m
.37134 .48543 L
.36888 .48848 L
.36584 .48543 L
F
.36888 .49898 m
.37091 .50486 L
.36888 .50728 L
.36585 .50486 L
F
.36888 .51765 m
.37048 .52428 L
.36888 .52613 L
.36586 .52428 L
F
.36888 .46099 m
.3717 .46601 L
.36888 .46967 L
.36591 .46601 L
F
.36888 .44175 m
.37213 .44658 L
.36888 .45106 L
.36592 .44658 L
F
.36888 .48016 m
.37126 .48543 L
.36888 .48837 L
.36593 .48543 L
F
.36888 .53599 m
.37001 .54371 L
.36888 .54498 L
.36594 .54371 L
F
.36888 .55391 m
.36959 .56313 L
.36888 .56391 L
.36594 .56313 L
F
.36888 .49913 m
.37083 .50486 L
.36888 .50718 L
.36595 .50486 L
F
.36888 .51782 m
.37038 .52428 L
.36888 .52602 L
.366 .52428 L
F
.36888 .46114 m
.3716 .46601 L
.36888 .46954 L
.36602 .46601 L
F
.36888 .42256 m
.37248 .42716 L
.36888 .43252 L
.36602 .42716 L
F
.36888 .4803 m
.37117 .48543 L
.36888 .48827 L
.36603 .48543 L
F
.36888 .49927 m
.37074 .50486 L
.36888 .50708 L
.36606 .50486 L
F
.36888 .44196 m
.37198 .44658 L
.36888 .45088 L
.36606 .44658 L
F
.36888 .40328 m
.37286 .40773 L
.36888 .41423 L
.36609 .40773 L
F
.36888 .4613 m
.37149 .46601 L
.36888 .46941 L
.36613 .46601 L
F
.36888 .48044 m
.37108 .48543 L
.36888 .48816 L
.36613 .48543 L
F
.36888 .518 m
.37028 .52428 L
.36888 .5259 L
.36615 .52428 L
F
.36888 .49942 m
.37066 .50486 L
.36888 .50697 L
.36617 .50486 L
F
.36888 .53622 m
.36988 .54371 L
.36888 .54483 L
.36618 .54371 L
F
.36888 .44216 m
.37183 .44658 L
.36888 .45068 L
.36621 .44658 L
F
.36888 .48058 m
.37099 .48543 L
.36888 .48805 L
.36623 .48543 L
F
.36888 .46146 m
.37139 .46601 L
.36888 .46928 L
.36624 .46601 L
F
.36888 .42289 m
.37221 .42716 L
.36888 .43219 L
.36625 .42716 L
F
.36888 .49957 m
.37057 .50486 L
.36888 .50687 L
.36629 .50486 L
F
.36888 .51819 m
.37018 .52428 L
.36888 .52578 L
.3663 .52428 L
F
.36888 .48072 m
.37091 .48543 L
.36888 .48794 L
.36634 .48543 L
F
.36888 .46162 m
.37128 .46601 L
.36888 .46914 L
.36635 .46601 L
F
.36888 .44238 m
.37167 .44658 L
.36888 .45048 L
.36635 .44658 L
F
.36888 .49973 m
.37048 .50486 L
.36888 .50676 L
.3664 .50486 L
F
.36888 .53647 m
.36974 .54371 L
.36888 .54467 L
.36644 .54371 L
F
.36888 .48087 m
.37081 .48543 L
.36888 .48783 L
.36644 .48543 L
F
.36888 .51838 m
.37008 .52428 L
.36888 .52567 L
.36646 .52428 L
F
.36888 .46178 m
.37117 .46601 L
.36888 .469 L
.36646 .46601 L
F
.36888 .55423 m
.36936 .56313 L
.36888 .56366 L
.36647 .56313 L
F
.36888 .42323 m
.37194 .42716 L
.36888 .43185 L
.36648 .42716 L
F
.36888 .44259 m
.37151 .44658 L
.36888 .45028 L
.3665 .44658 L
F
.36888 .49989 m
.37039 .50486 L
.36888 .50666 L
.36652 .50486 L
F
.36888 .40393 m
.37232 .40773 L
.36888 .41357 L
.36652 .40773 L
F
.36888 .48102 m
.37072 .48543 L
.36888 .48772 L
.36655 .48543 L
F
.36888 .46195 m
.37105 .46601 L
.36888 .46886 L
.36658 .46601 L
F
.36888 .51858 m
.36997 .52428 L
.36888 .52554 L
.36662 .52428 L
F
.36888 .50006 m
.3703 .50486 L
.36888 .50655 L
.36664 .50486 L
F
.36888 .44282 m
.37135 .44658 L
.36888 .45007 L
.36665 .44658 L
F
.36888 .48118 m
.37063 .48543 L
.36888 .48761 L
.36665 .48543 L
F
.36888 .46212 m
.37094 .46601 L
.36888 .46872 L
.3667 .46601 L
F
.36888 .42358 m
.37167 .42716 L
.36888 .43149 L
.36671 .42716 L
F
.36888 .53673 m
.36959 .54371 L
.36888 .54451 L
.36672 .54371 L
F
.39802 .74658 m
.40773 .74374 L
.41744 .74484 L
.42364 .74767 L
.42716 .75006 L
.43466 .75738 L
.43687 .76049 L
.44096 .76709 L
.44543 .77681 L
.44658 .77991 L
.4486 .78652 L
.45082 .79623 L
.45225 .80594 L
.45296 .81566 L
.45296 .82537 L
.45225 .83508 L
.45082 .84479 L
.4486 .85451 L
.44658 .86112 L
.44543 .86422 L
.44096 .87393 L
.43687 .88054 L
.43466 .88364 L
.42716 .89096 L
.42364 .89336 L
.41744 .89618 L
.40773 .89728 L
.39802 .89444 L
.39557 .89336 L
.38831 .88714 L
.38513 .88364 L
.37874 .87393 L
.37859 .87365 L
.37425 .86422 L
.37102 .85451 L
.36888 .84487 L
.36887 .84479 L
.36758 .83508 L
.36688 .82537 L
.36674 .81566 L
.36734 .80594 L
.36871 .79623 L
.36888 .79531 L
.3711 .78652 L
.37436 .77681 L
.37859 .76747 L
.37879 .76709 L
.38512 .75738 L
.38831 .75387 L
.39556 .74767 L
F
.36888 .38488 m
.37246 .38831 L
.36888 .39525 L
.36676 .38831 L
F
.36888 .50023 m
.37021 .50486 L
.36888 .50644 L
.36676 .50486 L
F
.36888 .48134 m
.37053 .48543 L
.36888 .48749 L
.36677 .48543 L
F
.36888 .51879 m
.36987 .52428 L
.36888 .52542 L
.36679 .52428 L
F
.36888 .44304 m
.37118 .44658 L
.36888 .44986 L
.36681 .44658 L
F
.36888 .4623 m
.37082 .46601 L
.36888 .46857 L
.36682 .46601 L
F
.36888 .4815 m
.37044 .48543 L
.36888 .48737 L
.36688 .48543 L
F
.36888 .50041 m
.37011 .50486 L
.36888 .50633 L
.36689 .50486 L
F
.36888 .46248 m
.37071 .46601 L
.36888 .46842 L
.36694 .46601 L
F
.36888 .42395 m
.37138 .42716 L
.36888 .43111 L
.36696 .42716 L
F
.36888 .44328 m
.37101 .44658 L
.36888 .44964 L
.36697 .44658 L
F
.36888 .51901 m
.36976 .52428 L
.36888 .52529 L
.36697 .52428 L
F
.36888 .4046 m
.37174 .40773 L
.36888 .41284 L
.36697 .40773 L
F
.36888 .48167 m
.37034 .48543 L
.36888 .48725 L
.36699 .48543 L
F
.36888 .50059 m
.37002 .50486 L
.36888 .50622 L
.36702 .50486 L
F
.36888 .53701 m
.36945 .54371 L
.36888 .54434 L
.36702 .54371 L
F
.36888 .46266 m
.37059 .46601 L
.36888 .46827 L
.36706 .46601 L
F
.36888 .48185 m
.37024 .48543 L
.36888 .48713 L
.36711 .48543 L
F
.36888 .44352 m
.37084 .44658 L
.36888 .44941 L
.36713 .44658 L
F
.36888 .55457 m
.36913 .56313 L
.36888 .5634 L
.36715 .56313 L
F
.36888 .50078 m
.36992 .50486 L
.36888 .5061 L
.36715 .50486 L
F
.36888 .51924 m
.36965 .52428 L
.36888 .52517 L
.36716 .52428 L
F
.36888 .46286 m
.37046 .46601 L
.36888 .46812 L
.36719 .46601 L
F
.36888 .42433 m
.37107 .42716 L
.36888 .4307 L
.36721 .42716 L
F
.36888 .48203 m
.37014 .48543 L
.36888 .48701 L
.36723 .48543 L
F
.36888 .50098 m
.36982 .50486 L
.36888 .50598 L
.36729 .50486 L
F
.36888 .44378 m
.37065 .44658 L
.36888 .44917 L
.3673 .44658 L
F
.36888 .46306 m
.37034 .46601 L
.36888 .46795 L
.36732 .46601 L
F
.36888 .36636 m
.37207 .36888 L
.36888 .37664 L
.36733 .36888 L
F
.36888 .51949 m
.36954 .52428 L
.36888 .52504 L
.36736 .52428 L
F
.36888 .48221 m
.37004 .48543 L
.36888 .48688 L
.36736 .48543 L
F
.36888 .5373 m
.3693 .54371 L
.36888 .54417 L
.36737 .54371 L
F
.36888 .60993 m
.37506 .61169 L
.36888 .62048 L
.36741 .61169 L
F
.36888 .50119 m
.36972 .50486 L
.36888 .50586 L
.36744 .50486 L
F
.36888 .40533 m
.37111 .40773 L
.36888 .41201 L
.36745 .40773 L
F
.36888 .46326 m
.37021 .46601 L
.36888 .46779 L
.36746 .46601 L
F
.36888 .44404 m
.37047 .44658 L
.36888 .44892 L
.36747 .44658 L
F
.36888 .42474 m
.37075 .42716 L
.36888 .43027 L
.36748 .42716 L
F
.36888 .48241 m
.36993 .48543 L
.36888 .48675 L
.36749 .48543 L
F
.36888 .51975 m
.36942 .52428 L
.36888 .5249 L
.36757 .52428 L
F
.36888 .50142 m
.36962 .50486 L
.36888 .50574 L
.36759 .50486 L
F
.36888 .46348 m
.37007 .46601 L
.36888 .46762 L
.3676 .46601 L
F
.36888 .48262 m
.36982 .48543 L
.36888 .48661 L
.36762 .48543 L
F
.36888 .44432 m
.37027 .44658 L
.36888 .44865 L
.36765 .44658 L
F
.36888 .46371 m
.36994 .46601 L
.36888 .46744 L
.36774 .46601 L
F
.36888 .50166 m
.36952 .50486 L
.36888 .50561 L
.36775 .50486 L
F
.36888 .42517 m
.37041 .42716 L
.36888 .42979 L
.36775 .42716 L
F
.36888 .48284 m
.36971 .48543 L
.36888 .48648 L
.36776 .48543 L
F
.36888 .53763 m
.36914 .54371 L
.36888 .54399 L
.36778 .54371 L
F
.36888 .52004 m
.3693 .52428 L
.36888 .52477 L
.3678 .52428 L
F
.36888 .38654 m
.37091 .38831 L
.36888 .3934 L
.36782 .38831 L
F
.36888 .44462 m
.37007 .44658 L
.36888 .44838 L
.36784 .44658 L
F
.36888 .59107 m
.37501 .59227 L
.36888 .60164 L
.36787 .59227 L
F
.36888 .46395 m
.3698 .46601 L
.36888 .46726 L
.36789 .46601 L
F
.36888 .48307 m
.3696 .48543 L
.36888 .48634 L
.3679 .48543 L
F
.36888 .50192 m
.36941 .50486 L
.36888 .50549 L
.36792 .50486 L
F
.36888 .40615 m
.3704 .40773 L
.36888 .411 L
.36797 .40773 L
F
.36888 .44494 m
.36985 .44658 L
.36888 .44808 L
.36803 .44658 L
F
.36888 .46421 m
.36965 .46601 L
.36888 .46706 L
.36805 .46601 L
F
.36888 .48332 m
.36948 .48543 L
.36888 .48619 L
.36805 .48543 L
F
.36888 .42564 m
.37004 .42716 L
.36888 .42925 L
.36805 .42716 L
F
.36888 .52035 m
.36918 .52428 L
.36888 .52463 L
.36806 .52428 L
F
.36888 .5022 m
.3693 .50486 L
.36888 .50535 L
.3681 .50486 L
F
.36888 .4836 m
.36936 .48543 L
.36888 .48604 L
.36821 .48543 L
F
.36888 .4645 m
.3695 .46601 L
.36888 .46686 L
.36821 .46601 L
F
.36888 .44528 m
.36963 .44658 L
.36888 .44775 L
.36823 .44658 L
F
.36888 .59154 m
.37393 .59227 L
.36888 .60054 L
.36827 .59227 L
F
.36888 .50253 m
.36918 .50486 L
.36888 .50522 L
.36829 .50486 L
F
.36888 .53798 m
.36898 .54371 L
.36888 .54382 L
.36833 .54371 L
F
.36888 .61104 m
.37274 .61169 L
.36888 .61798 L
.36834 .61169 L
F
.36888 .52071 m
.36906 .52428 L
.36888 .52448 L
.36836 .52428 L
F
.36888 .42617 m
.36963 .42716 L
.36888 .42861 L
.36836 .42716 L
F
.36888 .48392 m
.36924 .48543 L
.36888 .48588 L
.36837 .48543 L
F
.36888 .46481 m
.36934 .46601 L
.36888 .46665 L
.36838 .46601 L
F
.36888 .63051 m
.3718 .63112 L
.36888 .63584 L
.3684 .63112 L
F
.36888 .44567 m
.36938 .44658 L
.36888 .44739 L
.36845 .44658 L
F
.36888 .50292 m
.36907 .50486 L
.36888 .50508 L
.3685 .50486 L
F
.36888 .55495 m
.36888 .56313 L
.36888 .56314 L
.36854 .56313 L
F
.36888 .40711 m
.36951 .40773 L
.36888 .40958 L
.36854 .40773 L
F
.36888 .48429 m
.36911 .48543 L
.36888 .48572 L
.36855 .48543 L
F
.36888 .46518 m
.36917 .46601 L
.36888 .46642 L
.36856 .46601 L
F
.36888 .57251 m
.37414 .57284 L
.36888 .58243 L
.3686 .57284 L
F
.36888 .44613 m
.36912 .44658 L
.36888 .44698 L
.36868 .44658 L
F
.36888 .59204 m
.37252 .59227 L
.36888 .59925 L
.36869 .59227 L
F
.36888 .4268 m
.36915 .42716 L
.36888 .42777 L
.3687 .42716 L
F
.36888 .52114 m
.36893 .52428 L
.36888 .52434 L
.36872 .52428 L
F
.36888 .50345 m
.36895 .50486 L
.36888 .50493 L
.36874 .50486 L
F
.36888 .4848 m
.36897 .48543 L
.36888 .48555 L
.36874 .48543 L
F
.36888 .46563 m
.369 .46601 L
.36888 .46617 L
.36875 .46601 L
F
.36888 .57276 m
.37332 .57284 L
.36888 .5818 L
.36881 .57284 L
F
.37859 .50255 m
.38425 .50486 L
.37903 .51457 L
.37859 .51496 L
.36889 .51457 L
.3771 .50486 L
F
.38831 .43243 m
.39426 .43687 L
.3884 .44658 L
.38831 .44665 L
.38285 .45629 L
.37859 .46026 L
.36899 .45629 L
.37671 .44658 L
.37859 .44361 L
.38584 .43687 L
F
.37859 .46346 m
.38646 .46601 L
.38166 .47572 L
.37859 .47854 L
.36902 .47572 L
.37696 .46601 L
F
.37859 .48312 m
.38509 .48543 L
.38037 .49514 L
.37859 .49676 L
.36903 .49514 L
.3771 .48543 L
F
.37859 .50267 m
.38408 .50486 L
.37888 .51457 L
.37859 .51483 L
.36907 .51457 L
.37718 .50486 L
F
.38831 .41162 m
.39631 .41744 L
.39089 .42716 L
.39802 .43652 L
.40681 .42716 L
.40773 .42512 L
.41492 .42716 L
.41111 .43687 L
.40773 .43943 L
.40449 .44658 L
.39802 .45337 L
.39195 .44658 L
.39783 .43687 L
.38831 .42889 L
.38386 .43687 L
.37859 .44185 L
.36908 .43687 L
.37646 .42716 L
.37859 .4237 L
.38511 .41744 L
F
.37859 .44383 m
.38803 .44658 L
.38269 .45629 L
.37859 .46012 L
.36918 .45629 L
.37685 .44658 L
F
.37859 .46361 m
.38622 .46601 L
.38154 .47572 L
.37859 .47842 L
.36918 .47572 L
.37706 .46601 L
F
.37859 .48324 m
.38491 .48543 L
.38025 .49514 L
.37859 .49664 L
.36919 .49514 L
.37718 .48543 L
F
.37859 .50278 m
.38391 .50486 L
.37874 .51457 L
.37859 .5147 L
.36926 .51457 L
.37726 .50486 L
F
.37859 .46376 m
.38598 .46601 L
.38141 .47572 L
.37859 .4783 L
.36935 .47572 L
.37715 .46601 L
F
.37859 .48337 m
.38472 .48543 L
.38013 .49514 L
.37859 .49653 L
.36935 .49514 L
.37726 .48543 L
F
.39802 .75153 m
.40773 .74848 L
.41744 .74966 L
.42716 .75527 L
.42962 .75738 L
.43687 .76669 L
.43712 .76709 L
.44214 .77681 L
.44564 .78652 L
.44658 .78976 L
.44803 .79623 L
.44954 .80594 L
.45028 .81566 L
.45028 .82537 L
.44954 .83508 L
.44803 .84479 L
.44658 .85127 L
.44564 .85451 L
.44214 .86422 L
.43712 .87393 L
.43687 .87433 L
.42962 .88364 L
.42716 .88575 L
.41744 .89137 L
.40773 .89254 L
.39802 .8895 L
.38976 .88364 L
.38831 .88162 L
.38252 .87393 L
.37859 .86657 L
.37755 .86422 L
.37406 .85451 L
.3717 .84479 L
.37024 .83508 L
.36948 .82537 L
.36936 .81566 L
.37002 .80594 L
.3716 .79623 L
.3741 .78652 L
.37762 .77681 L
.37859 .77461 L
.38254 .76709 L
.38831 .7594 L
.38975 .75738 L
F
.38831 .41244 m
.39545 .41744 L
.39019 .42716 L
.38831 .42843 L
.38361 .43687 L
.37859 .44163 L
.36936 .43687 L
.37669 .42716 L
.37859 .42409 L
.38556 .41744 L
F
.37859 .44405 m
.38766 .44658 L
.38254 .45629 L
.37859 .45997 L
.36938 .45629 L
.37699 .44658 L
F
.37859 .46391 m
.38574 .46601 L
.38128 .47572 L
.37859 .47818 L
.36951 .47572 L
.37725 .46601 L
F
.37859 .48349 m
.38453 .48543 L
.38 .49514 L
.37859 .49641 L
.36952 .49514 L
.37734 .48543 L
F
.37859 .44427 m
.3873 .44658 L
.38238 .45629 L
.37859 .45982 L
.36958 .45629 L
.37713 .44658 L
F
.38831 .41327 m
.39458 .41744 L
.38948 .42716 L
.38831 .42796 L
.38337 .43687 L
.37859 .4414 L
.36965 .43687 L
.37693 .42716 L
.37859 .42449 L
.38602 .41744 L
F
.37859 .46406 m
.3855 .46601 L
.38115 .47572 L
.37859 .47806 L
.36968 .47572 L
.37735 .46601 L
F
.37859 .48361 m
.38434 .48543 L
.37987 .49514 L
.37859 .4963 L
.36969 .49514 L
.37742 .48543 L
F
.37859 .44449 m
.38692 .44658 L
.38221 .45629 L
.37859 .45967 L
.36978 .45629 L
.37727 .44658 L
F
.37859 .46422 m
.38524 .46601 L
.38102 .47572 L
.37859 .47794 L
.36986 .47572 L
.37745 .46601 L
F
.37859 .48374 m
.38414 .48543 L
.37975 .49514 L
.37859 .49618 L
.36987 .49514 L
.3775 .48543 L
F
.38831 .41412 m
.39367 .41744 L
.38876 .42716 L
.38831 .42747 L
.38313 .43687 L
.37859 .44118 L
.36995 .43687 L
.37716 .42716 L
.37859 .42488 L
.3865 .41744 L
F
.37859 .44472 m
.38654 .44658 L
.38205 .45629 L
.37859 .45952 L
.36999 .45629 L
.37741 .44658 L
F
.37859 .46437 m
.38498 .46601 L
.38089 .47572 L
.37859 .47782 L
.37004 .47572 L
.37754 .46601 L
F
.37859 .48386 m
.38393 .48543 L
.37962 .49514 L
.37859 .49606 L
.37006 .49514 L
.37759 .48543 L
F
.37859 .44494 m
.38615 .44658 L
.38189 .45629 L
.37859 .45936 L
.37021 .45629 L
.37755 .44658 L
F
.37859 .46453 m
.38472 .46601 L
.38076 .47572 L
.37859 .4777 L
.37022 .47572 L
.37764 .46601 L
F
.37859 .42528 m
.38804 .42716 L
.38289 .43687 L
.37859 .44095 L
.37025 .43687 L
.37741 .42716 L
F
.37859 .48399 m
.38372 .48543 L
.37949 .49514 L
.37859 .49594 L
.37025 .49514 L
.37767 .48543 L
F
.38831 .39428 m
.39474 .39802 L
.3903 .40773 L
.38831 .40907 L
.38379 .41744 L
.37859 .4225 L
.37033 .41744 L
.37721 .40773 L
.37859 .4055 L
.38629 .39802 L
F
.37859 .46468 m
.38444 .46601 L
.38062 .47572 L
.37859 .47757 L
.37041 .47572 L
.37775 .46601 L
F
.37859 .44517 m
.38574 .44658 L
.38173 .45629 L
.37859 .45921 L
.37042 .45629 L
.37769 .44658 L
F
.37859 .48412 m
.3835 .48543 L
.37935 .49514 L
.37859 .49582 L
.37045 .49514 L
.37775 .48543 L
F
.37859 .42567 m
.38733 .42716 L
.38265 .43687 L
.37859 .44072 L
.37055 .43687 L
.37765 .42716 L
F
.37859 .46484 m
.38415 .46601 L
.38049 .47572 L
.37859 .47745 L
.3706 .47572 L
.37785 .46601 L
F
.37859 .4454 m
.38531 .44658 L
.38156 .45629 L
.37859 .45905 L
.37065 .45629 L
.37784 .44658 L
F
.37859 .48425 m
.38328 .48543 L
.37922 .49514 L
.37859 .4957 L
.37066 .49514 L
.37783 .48543 L
F
.37859 .465 m
.38385 .46601 L
.38035 .47572 L
.37859 .47732 L
.3708 .47572 L
.37795 .46601 L
F
.38831 .39621 m
.39246 .39802 L
.38891 .40773 L
.38831 .40814 L
.38336 .41744 L
.37859 .42209 L
.37084 .41744 L
.37771 .40773 L
.37859 .40633 L
.38734 .39802 L
F
.37859 .42607 m
.38657 .42716 L
.3824 .43687 L
.37859 .44049 L
.37087 .43687 L
.3779 .42716 L
F
.37859 .48438 m
.38304 .48543 L
.37908 .49514 L
.37859 .49558 L
.37088 .49514 L
.37792 .48543 L
F
.37859 .44564 m
.38486 .44658 L
.38139 .45629 L
.37859 .4589 L
.37088 .45629 L
.37799 .44658 L
F
.37859 .46516 m
.38353 .46601 L
.38022 .47572 L
.37859 .4772 L
.37101 .47572 L
.37805 .46601 L
F
.37859 .48451 m
.3828 .48543 L
.37894 .49514 L
.37859 .49545 L
.37111 .49514 L
.37801 .48543 L
F
.37859 .44587 m
.38438 .44658 L
.38123 .45629 L
.37859 .45874 L
.37111 .45629 L
.37814 .44658 L
F
.37859 .42648 m
.38575 .42716 L
.38215 .43687 L
.37859 .44025 L
.37119 .43687 L
.37816 .42716 L
F
.37859 .46533 m
.3832 .46601 L
.38008 .47572 L
.37859 .47707 L
.37123 .47572 L
.37816 .46601 L
F
.37859 .48464 m
.38253 .48543 L
.3788 .49514 L
.37859 .49533 L
.37136 .49514 L
.37809 .48543 L
F
.37859 .44611 m
.38385 .44658 L
.38106 .45629 L
.37859 .45858 L
.37136 .45629 L
.37829 .44658 L
F
.37859 .40715 m
.38732 .40773 L
.38292 .41744 L
.37859 .42167 L
.37137 .41744 L
.37822 .40773 L
F
.37859 .46549 m
.38283 .46601 L
.37994 .47572 L
.37859 .47694 L
.37145 .47572 L
.37827 .46601 L
F
.37859 .42689 m
.38481 .42716 L
.3819 .43687 L
.37859 .44001 L
.37152 .43687 L
.37842 .42716 L
F
.37859 .44635 m
.38324 .44658 L
.38088 .45629 L
.37859 .45842 L
.37161 .45629 L
.37845 .44658 L
F
.37859 .48478 m
.38225 .48543 L
.37866 .49514 L
.37859 .4952 L
.37162 .49514 L
.37818 .48543 L
F
.37859 .46566 m
.38242 .46601 L
.37979 .47572 L
.37859 .47681 L
.37168 .47572 L
.37837 .46601 L
F
.37859 .38817 m
.38831 .37965 L
.3885 .38831 L
.38831 .38843 L
.38344 .39802 L
.37859 .40293 L
.37176 .39802 L
.3785 .38831 L
F
.37859 .42731 m
.38165 .43687 L
.37859 .43977 L
.37186 .43687 L
F
.37859 .4466 m
.38071 .45629 L
.37859 .45825 L
.37187 .45629 L
F
.39802 .75624 m
.40773 .75299 L
.41744 .75425 L
.42347 .75738 L
.42716 .76028 L
.43337 .76709 L
.43687 .77288 L
.43889 .77681 L
.44275 .78652 L
.44536 .79623 L
.44658 .80245 L
.447 .80594 L
.44777 .81566 L
.44777 .82537 L
.447 .83508 L
.44658 .83857 L
.44536 .84479 L
.44275 .85451 L
.43889 .86422 L
.43687 .86814 L
.43337 .87393 L
.42716 .88075 L
.42347 .88364 L
.41744 .88678 L
.40773 .88803 L
.39802 .88478 L
.39578 .88364 L
.38831 .87625 L
.38647 .87393 L
.38075 .86422 L
.37859 .85918 L
.37695 .85451 L
.37439 .84479 L
.3728 .83508 L
.372 .82537 L
.37192 .81566 L
.37266 .80594 L
.37433 .79623 L
.37698 .78652 L
.37859 .78199 L
.3808 .77681 L
.38649 .76709 L
.38831 .76479 L
.39578 .75738 L
F
.37859 .40795 m
.38247 .41744 L
.37859 .42124 L
.37192 .41744 L
F
.37859 .46583 m
.38194 .46601 L
.37965 .47572 L
.37859 .47667 L
.37193 .47572 L
.37848 .46601 L
F
.37859 .44691 m
.38053 .45629 L
.37859 .45809 L
.37214 .45629 L
F
.37859 .46601 m
.3795 .47572 L
.37859 .47654 L
.37219 .47572 L
F
.37859 .42774 m
.38139 .43687 L
.37859 .43953 L
.37222 .43687 L
F
.37859 .36952 m
.38364 .37859 L
.37859 .38398 L
.37241 .37859 L
F
.37859 .44722 m
.38035 .45629 L
.37859 .45792 L
.37242 .45629 L
F
.37859 .46627 m
.37935 .47572 L
.37859 .4764 L
.37246 .47572 L
F
.37859 .40869 m
.38202 .41744 L
.37859 .4208 L
.37249 .41744 L
F
.37859 .42818 m
.38113 .43687 L
.37859 .43928 L
.37259 .43687 L
F
.37859 .44754 m
.38017 .45629 L
.37859 .45775 L
.37272 .45629 L
F
.37859 .46653 m
.3792 .47572 L
.37859 .47626 L
.37276 .47572 L
F
.37859 .3897 m
.38248 .39802 L
.37859 .402 L
.37287 .39802 L
F
.37859 .42864 m
.38086 .43687 L
.37859 .43902 L
.37297 .43687 L
F
.37859 .44787 m
.37999 .45629 L
.37859 .45757 L
.37303 .45629 L
F
.37859 .46681 m
.37904 .47572 L
.37859 .47612 L
.37308 .47572 L
F
.37859 .40945 m
.38156 .41744 L
.37859 .42035 L
.3731 .41744 L
F
.37859 .44822 m
.3798 .45629 L
.37859 .4574 L
.37336 .45629 L
F
.37859 .42912 m
.38059 .43687 L
.37859 .43876 L
.37338 .43687 L
F
.37859 .46711 m
.37888 .47572 L
.37859 .47598 L
.37343 .47572 L
F
.37859 .44859 m
.3796 .45629 L
.37859 .45722 L
.37372 .45629 L
F
.37859 .41025 m
.38108 .41744 L
.37859 .41988 L
.37375 .41744 L
F
.37859 .42962 m
.38031 .43687 L
.37859 .43849 L
.37382 .43687 L
F
.37859 .46742 m
.37872 .47572 L
.37859 .47583 L
.37383 .47572 L
F
.37859 .61391 m
.38525 .62141 L
.37859 .62992 L
.374 .62141 L
F
.37859 .39127 m
.38149 .39802 L
.37859 .401 L
.37408 .39802 L
F
.37859 .44898 m
.3794 .45629 L
.37859 .45703 L
.37411 .45629 L
F
.37859 .43016 m
.38002 .43687 L
.37859 .43821 L
.3743 .43687 L
F
.40773 .75732 m
.41224 .75738 L
.41744 .75866 L
.42716 .76518 L
.42908 .76709 L
.43569 .77681 L
.43687 .77924 L
.4399 .78652 L
.44274 .79623 L
.44451 .80594 L
.44536 .81566 L
.44536 .82537 L
.44451 .83508 L
.44274 .84479 L
.4399 .85451 L
.43687 .86178 L
.43569 .86422 L
.42908 .87393 L
.42716 .87584 L
.41744 .88236 L
.41224 .88364 L
.40773 .88371 L
.40726 .88364 L
.39802 .88022 L
.39017 .87393 L
.38831 .87093 L
.38401 .86422 L
.37977 .85451 L
.37859 .85096 L
.37699 .84479 L
.37527 .83508 L
.37442 .82537 L
.37437 .81566 L
.37518 .80594 L
.37695 .79623 L
.37859 .79006 L
.37979 .78652 L
.38404 .77681 L
.38831 .77012 L
.39018 .76709 L
.39802 .76081 L
.40725 .75738 L
F
.37859 .4111 m
.38057 .41744 L
.37859 .41938 L
.37445 .41744 L
F
.37859 .4494 m
.3792 .45629 L
.37859 .45684 L
.37455 .45629 L
F
.37859 .35294 m
.38228 .35917 L
.37859 .36356 L
.37455 .35917 L
F
.37859 .57642 m
.38578 .58256 L
.37859 .59216 L
.37462 .58256 L
F
.37859 .59568 m
.38502 .60198 L
.37859 .61037 L
.37466 .60198 L
F
.37859 .43073 m
.37972 .43687 L
.37859 .43792 L
.37482 .43687 L
F
.37859 .57686 m
.38529 .58256 L
.37859 .59152 L
.37494 .58256 L
F
.37859 .44985 m
.37899 .45629 L
.37859 .45665 L
.37505 .45629 L
F
.37859 .37331 m
.38111 .37859 L
.37859 .38139 L
.37522 .37859 L
F
.37859 .41205 m
.38004 .41744 L
.37859 .41886 L
.37525 .41744 L
F
.37859 .55803 m
.38547 .56313 L
.37859 .57269 L
.37527 .56313 L
F
.37859 .57732 m
.38479 .58256 L
.37859 .59088 L
.37527 .58256 L
F
.37859 .59669 m
.38398 .60198 L
.37859 .60903 L
.3754 .60198 L
F
.37859 .43137 m
.3794 .43687 L
.37859 .43763 L
.37542 .43687 L
F
.37859 .55827 m
.38519 .56313 L
.37859 .57233 L
.37544 .56313 L
F
.37859 .39304 m
.38039 .39802 L
.37859 .39988 L
.37549 .39802 L
F
.37859 .57778 m
.38429 .58256 L
.37859 .59024 L
.3756 .58256 L
F
.37859 .55852 m
.38491 .56313 L
.37859 .57197 L
.37561 .56313 L
F
.37859 .45035 m
.37877 .45629 L
.37859 .45645 L
.37569 .45629 L
F
.37859 .55877 m
.38462 .56313 L
.37859 .5716 L
.37579 .56313 L
F
.37859 .53954 m
.38516 .54371 L
.37859 .55337 L
.37587 .54371 L
F
.37859 .57826 m
.38377 .58256 L
.37859 .58958 L
.37594 .58256 L
F
.37859 .55903 m
.38433 .56313 L
.37859 .57123 L
.37597 .56313 L
F
.37859 .5397 m
.38497 .54371 L
.37859 .55312 L
.37598 .54371 L
F
.37859 .61655 m
.38263 .62141 L
.37859 .62656 L
.37599 .62141 L
F
.37859 .53986 m
.38477 .54371 L
.37859 .55288 L
.37609 .54371 L
F
.37859 .55928 m
.38404 .56313 L
.37859 .57085 L
.37614 .56313 L
F
.37859 .4321 m
.37907 .43687 L
.37859 .43731 L
.37616 .43687 L
F
.37859 .59779 m
.38289 .60198 L
.37859 .60763 L
.37617 .60198 L
F
.37859 .54003 m
.38457 .54371 L
.37859 .55263 L
.37621 .54371 L
F
.37859 .41316 m
.37947 .41744 L
.37859 .41829 L
.37621 .41744 L
F
.37859 .63584 m
.38192 .64083 L
.37859 .64509 L
.37624 .64083 L
F
.37859 .57877 m
.38324 .58256 L
.37859 .58889 L
.37628 .58256 L
F
.37859 .54019 m
.38437 .54371 L
.37859 .55238 L
.37632 .54371 L
F
.37859 .55955 m
.38373 .56313 L
.37859 .57046 L
.37633 .56313 L
F
.37859 .54036 m
.38417 .54371 L
.37859 .55212 L
.37643 .54371 L
F
.37859 .55982 m
.38342 .56313 L
.37859 .57007 L
.37651 .56313 L
F
.37859 .54053 m
.38396 .54371 L
.37859 .55187 L
.37655 .54371 L
F
.37859 .52124 m
.3845 .52428 L
.37859 .53385 L
.37662 .52428 L
F
.37859 .5793 m
.38268 .58256 L
.37859 .58818 L
.37664 .58256 L
F
.37859 .5407 m
.38375 .54371 L
.37859 .5516 L
.37666 .54371 L
F
.37859 .5601 m
.38311 .56313 L
.37859 .56966 L
.3767 .56313 L
F
.37859 .52137 m
.38434 .52428 L
.37859 .53365 L
.3767 .52428 L
F
.39802 .76529 m
.40773 .76154 L
.41744 .76298 L
.42405 .76709 L
.42716 .77004 L
.43242 .77681 L
.43687 .78607 L
.43705 .78652 L
.44017 .79623 L
.44208 .80594 L
.44299 .81566 L
.44299 .82537 L
.44208 .83508 L
.44017 .84479 L
.43705 .85451 L
.43687 .85496 L
.43242 .86422 L
.42716 .87098 L
.42405 .87393 L
.41744 .87805 L
.40773 .87949 L
.39802 .87574 L
.39509 .87393 L
.38831 .86553 L
.38745 .86422 L
.38258 .85451 L
.37954 .84479 L
.37859 .84094 L
.37769 .83508 L
.37677 .82537 L
.37673 .81566 L
.37761 .80594 L
.37859 .79967 L
.3795 .79623 L
.3826 .78652 L
.38747 .77681 L
.38831 .77553 L
.3951 .76709 L
F
.37859 .54087 m
.38354 .54371 L
.37859 .55133 L
.37678 .54371 L
F
.37859 .52149 m
.38417 .52428 L
.37859 .53345 L
.37679 .52428 L
F
.37859 .52162 m
.384 .52428 L
.37859 .53325 L
.37688 .52428 L
F
.37859 .56038 m
.38278 .56313 L
.37859 .56924 L
.37689 .56313 L
F
.37859 .54104 m
.38332 .54371 L
.37859 .55106 L
.3769 .54371 L
F
.37859 .52175 m
.38382 .52428 L
.37859 .53304 L
.37696 .52428 L
F
.37859 .59905 m
.38166 .60198 L
.37859 .60608 L
.37701 .60198 L
F
.37859 .57986 m
.38208 .58256 L
.37859 .58742 L
.37701 .58256 L
F
.37859 .54122 m
.3831 .54371 L
.37859 .55077 L
.37702 .54371 L
F
.37859 .52188 m
.38365 .52428 L
.37859 .53283 L
.37705 .52428 L
F
.37859 .56067 m
.38243 .56313 L
.37859 .5688 L
.37709 .56313 L
F
.37859 .5414 m
.38287 .54371 L
.37859 .55048 L
.37714 .54371 L
F
.37859 .52202 m
.38347 .52428 L
.37859 .53261 L
.37714 .52428 L
F
.37859 .52215 m
.38328 .52428 L
.37859 .53239 L
.37723 .52428 L
F
.37859 .43303 m
.37872 .43687 L
.37859 .43699 L
.37725 .43687 L
F
.37859 .54159 m
.38263 .54371 L
.37859 .55018 L
.37726 .54371 L
F
.37859 .56098 m
.38207 .56313 L
.37859 .56834 L
.37729 .56313 L
F
.37859 .52228 m
.38309 .52428 L
.37859 .53217 L
.37732 .52428 L
F
.37859 .5029 m
.38374 .50486 L
.37859 .51456 L
.37734 .50486 L
F
.37859 .54177 m
.38238 .54371 L
.37859 .54987 L
.37739 .54371 L
F
.37859 .58046 m
.38142 .58256 L
.37859 .58658 L
.3774 .58256 L
F
.37859 .52242 m
.3829 .52428 L
.37859 .53193 L
.37741 .52428 L
F
.37859 .50302 m
.38356 .50486 L
.37859 .51437 L
.37741 .50486 L
F
.37859 .3955 m
.3791 .39802 L
.37859 .39855 L
.37744 .39802 L
F
.37859 .56129 m
.38169 .56313 L
.37859 .56785 L
.37749 .56313 L
F
.37859 .50314 m
.38337 .50486 L
.37859 .51418 L
.37749 .50486 L
F
.37859 .52256 m
.3827 .52428 L
.37859 .5317 L
.3775 .52428 L
F
.37859 .54197 m
.38213 .54371 L
.37859 .54955 L
.37751 .54371 L
F
.37859 .50326 m
.38319 .50486 L
.37859 .51398 L
.37757 .50486 L
F
.37859 .5227 m
.3825 .52428 L
.37859 .53145 L
.37759 .52428 L
F
.37859 .41471 m
.37882 .41744 L
.37859 .41767 L
.37762 .41744 L
F
.37859 .54216 m
.38186 .54371 L
.37859 .54921 L
.37764 .54371 L
F
.37859 .50339 m
.38299 .50486 L
.37859 .51378 L
.37765 .50486 L
F
.37859 .52284 m
.38228 .52428 L
.37859 .53119 L
.37769 .52428 L
F
.37859 .56162 m
.38127 .56313 L
.37859 .56732 L
.3777 .56313 L
F
.37859 .50351 m
.38279 .50486 L
.37859 .51357 L
.37773 .50486 L
F
.37859 .54237 m
.38157 .54371 L
.37859 .54885 L
.37777 .54371 L
F
.37859 .52299 m
.38206 .52428 L
.37859 .53093 L
.37778 .52428 L
F
.37859 .58113 m
.38067 .58256 L
.37859 .58561 L
.37781 .58256 L
F
.37859 .50364 m
.38258 .50486 L
.37859 .51336 L
.37782 .50486 L
F
.37859 .52314 m
.38182 .52428 L
.37859 .53065 L
.37788 .52428 L
F
.37859 .50376 m
.38237 .50486 L
.37859 .51313 L
.3779 .50486 L
F
.37859 .54257 m
.38126 .54371 L
.37859 .54847 L
.3779 .54371 L
F
.37859 .56197 m
.38081 .56313 L
.37859 .56673 L
.37792 .56313 L
F
.37859 .60063 m
.38011 .60198 L
.37859 .60411 L
.37794 .60198 L
F
.37859 .52329 m
.38157 .52428 L
.37859 .53036 L
.37797 .52428 L
F
.37859 .50389 m
.38214 .50486 L
.37859 .5129 L
.37798 .50486 L
F
.37859 .54279 m
.38093 .54371 L
.37859 .54805 L
.37804 .54371 L
F
.37859 .50402 m
.3819 .50486 L
.37859 .51266 L
.37807 .50486 L
F
.37859 .52344 m
.38131 .52428 L
.37859 .53005 L
.37807 .52428 L
F
.37859 .56234 m
.38028 .56313 L
.37859 .56604 L
.37814 .56313 L
F
.37859 .50416 m
.38164 .50486 L
.37859 .51241 L
.37815 .50486 L
F
.37859 .5236 m
.38102 .52428 L
.37859 .52972 L
.37817 .52428 L
F
.37859 .54301 m
.38056 .54371 L
.37859 .54759 L
.37818 .54371 L
F
.37859 .50429 m
.38136 .50486 L
.37859 .51215 L
.37824 .50486 L
F
.37859 .5819 m
.37971 .58256 L
.37859 .58435 L
.37826 .58256 L
F
.37859 .48492 m
.38195 .48543 L
.37859 .49502 L
.37827 .48543 L
F
.37859 .52376 m
.38069 .52428 L
.37859 .52936 L
.37827 .52428 L
F
.37859 .54324 m
.38012 .54371 L
.37859 .54705 L
.37832 .54371 L
F
.37859 .50443 m
.38104 .50486 L
.37859 .51187 L
.37833 .50486 L
F
.37859 .48506 m
.38161 .48543 L
.37859 .4948 L
.37836 .48543 L
F
.37859 .52393 m
.38031 .52428 L
.37859 .52897 L
.37838 .52428 L
F
.37859 .56275 m
.37961 .56313 L
.37859 .56515 L
.37838 .56313 L
F
.37859 .50457 m
.38068 .50486 L
.37859 .51157 L
.37842 .50486 L
F
.37859 .4852 m
.38122 .48543 L
.37859 .49456 L
.37845 .48543 L
F
.37859 .54348 m
.37956 .54371 L
.37859 .54639 L
.37846 .54371 L
F
.37859 .5241 m
.37983 .52428 L
.37859 .52852 L
.37848 .52428 L
F
.37859 .50472 m
.38022 .50486 L
.37859 .51125 L
.37851 .50486 L
F
.37859 .62115 m
.37878 .62141 L
.37859 .62166 L
.37852 .62141 L
F
.37859 .48534 m
.38074 .48543 L
.37859 .49431 L
.37854 .48543 L
F
.37859 .52427 m
.37891 .52428 L
.37859 .52798 L
.37859 .52428 L
F
.40773 .76569 m
.4171 .76709 L
.41744 .76724 L
.42716 .77497 L
.42869 .77681 L
.43429 .78652 L
.43687 .79372 L
.43759 .79623 L
.43967 .80594 L
.44065 .81566 L
.44065 .82537 L
.43967 .83508 L
.43759 .84479 L
.43687 .8473 L
.43429 .85451 L
.42869 .86422 L
.42716 .86606 L
.41744 .87379 L
.4171 .87393 L
.40773 .87534 L
.40268 .87393 L
.39802 .87129 L
.39048 .86422 L
.38831 .85996 L
.3855 .85451 L
.38207 .84479 L
.38005 .83508 L
.37908 .82537 L
.37905 .81566 L
.37999 .80594 L
.38205 .79623 L
.38551 .78652 L
.38831 .7811 L
.39049 .77681 L
.39802 .76975 L
.40269 .76709 L
F
.38831 .3625 m
.38843 .36888 L
.38831 .36896 L
.38044 .36888 L
F
.39802 .77424 m
.40773 .76982 L
.41744 .7715 L
.42443 .77681 L
.42716 .78002 L
.4313 .78652 L
.43508 .79623 L
.43687 .80355 L
.43725 .80594 L
.43832 .81566 L
.43832 .82537 L
.43725 .83508 L
.43687 .83748 L
.43508 .84479 L
.4313 .85451 L
.42716 .86101 L
.42443 .86422 L
.41744 .86953 L
.40773 .87121 L
.39802 .86679 L
.39465 .86422 L
.38851 .85451 L
.38831 .85395 L
.38467 .84479 L
.38242 .83508 L
.38136 .82537 L
.38134 .81566 L
.38238 .80594 L
.38466 .79623 L
.38831 .78709 L
.38852 .78652 L
.39466 .77681 L
F
.38831 .5244 m
.39546 .53399 L
.38831 .54261 L
.38264 .53399 L
F
.38831 .50525 m
.39608 .51457 L
.38831 .52418 L
.38279 .51457 L
F
.38831 .52464 m
.39526 .53399 L
.38831 .54236 L
.38281 .53399 L
F
.38831 .54392 m
.39445 .55342 L
.38831 .56062 L
.38283 .55342 L
F
.38831 .50544 m
.39591 .51457 L
.38831 .52398 L
.38292 .51457 L
F
.38831 .56318 m
.39354 .57284 L
.38831 .57885 L
.38295 .57284 L
F
.38831 .52487 m
.39505 .53399 L
.38831 .54211 L
.38297 .53399 L
F
.38831 .50563 m
.39574 .51457 L
.38831 .52378 L
.38304 .51457 L
F
.38831 .54426 m
.39415 .55342 L
.38831 .56027 L
.38308 .55342 L
F
.38831 .52511 m
.39485 .53399 L
.38831 .54186 L
.38313 .53399 L
F
.38831 .50582 m
.39557 .51457 L
.38831 .52357 L
.38317 .51457 L
F
.38831 .50602 m
.3954 .51457 L
.38831 .52337 L
.38329 .51457 L
F
.38831 .52535 m
.39464 .53399 L
.38831 .54162 L
.3833 .53399 L
F
.38831 .5446 m
.39386 .55342 L
.38831 .55992 L
.38334 .55342 L
F
.38831 .58257 m
.39238 .59227 L
.38831 .59682 L
.38336 .59227 L
F
.38831 .50621 m
.39523 .51457 L
.38831 .52316 L
.38342 .51457 L
F
.38831 .56376 m
.39304 .57284 L
.38831 .57824 L
.38344 .57284 L
F
.38831 .52559 m
.39444 .53399 L
.38831 .54137 L
.38347 .53399 L
F
.38831 .5064 m
.39506 .51457 L
.38831 .52296 L
.38355 .51457 L
F
.38831 .54496 m
.39356 .55342 L
.38831 .55956 L
.38361 .55342 L
F
.38831 .48712 m
.39571 .49514 L
.38831 .50467 L
.38362 .49514 L
F
.38831 .52583 m
.39423 .53399 L
.38831 .54112 L
.38363 .53399 L
F
.40773 .77399 m
.41744 .77583 L
.41904 .77681 L
.42716 .7854 L
.42789 .78652 L
.43247 .79623 L
.43492 .80594 L
.43602 .81566 L
.43602 .82537 L
.43492 .83508 L
.43247 .84479 L
.42789 .85451 L
.42716 .85563 L
.41904 .86422 L
.41744 .86519 L
.40773 .86704 L
.4007 .86422 L
.39802 .86219 L
.39114 .85451 L
.38831 .84724 L
.38742 .84479 L
.38486 .83508 L
.38369 .82537 L
.38367 .81566 L
.38483 .80594 L
.3874 .79623 L
.38831 .79377 L
.39115 .78652 L
.39802 .77884 L
.4007 .77681 L
F
.38831 .5066 m
.39489 .51457 L
.38831 .52275 L
.38367 .51457 L
F
.38831 .48731 m
.39554 .49514 L
.38831 .50447 L
.38373 .49514 L
F
.38831 .52607 m
.39403 .53399 L
.38831 .54087 L
.3838 .53399 L
F
.38831 .50679 m
.39472 .51457 L
.38831 .52255 L
.3838 .51457 L
F
.38831 .48749 m
.39537 .49514 L
.38831 .50427 L
.38385 .49514 L
F
.38831 .54532 m
.39327 .55342 L
.38831 .5592 L
.38387 .55342 L
F
.38831 .50699 m
.39455 .51457 L
.38831 .52234 L
.38393 .51457 L
F
.38831 .56438 m
.39252 .57284 L
.38831 .57763 L
.38394 .57284 L
F
.38831 .48768 m
.39521 .49514 L
.38831 .50408 L
.38397 .49514 L
F
.38831 .52632 m
.39382 .53399 L
.38831 .54062 L
.38397 .53399 L
F
.38831 .50719 m
.39438 .51457 L
.38831 .52214 L
.38406 .51457 L
F
.38831 .48786 m
.39504 .49514 L
.38831 .50388 L
.38408 .49514 L
F
.38831 .54569 m
.39296 .55342 L
.38831 .55884 L
.38414 .55342 L
F
.38831 .52657 m
.39361 .53399 L
.38831 .54037 L
.38414 .53399 L
F
.38831 .50739 m
.39421 .51457 L
.38831 .52193 L
.38419 .51457 L
F
.38831 .48805 m
.39487 .49514 L
.38831 .50368 L
.3842 .49514 L
F
.38831 .48823 m
.39471 .49514 L
.38831 .50348 L
.38432 .49514 L
F
.38831 .52683 m
.3934 .53399 L
.38831 .54012 L
.38432 .53399 L
F
.38831 .50759 m
.39404 .51457 L
.38831 .52172 L
.38432 .51457 L
F
.38831 .46894 m
.39528 .47572 L
.38831 .48522 L
.3844 .47572 L
F
.38831 .54608 m
.39266 .55342 L
.38831 .55847 L
.38442 .55342 L
F
.38831 .48842 m
.39454 .49514 L
.38831 .50328 L
.38443 .49514 L
F
.38831 .50779 m
.39387 .51457 L
.38831 .52151 L
.38445 .51457 L
F
.38831 .56504 m
.39199 .57284 L
.38831 .577 L
.38446 .57284 L
F
.38831 .52709 m
.39319 .53399 L
.38831 .53986 L
.38449 .53399 L
F
.38831 .46914 m
.39508 .47572 L
.38831 .485 L
.38453 .47572 L
F
.38831 .58381 m
.39129 .59227 L
.38831 .59555 L
.38453 .59227 L
F
.38831 .48861 m
.39437 .49514 L
.38831 .50308 L
.38455 .49514 L
F
.38831 .50799 m
.39369 .51457 L
.38831 .5213 L
.38459 .51457 L
F
.38831 .46935 m
.39489 .47572 L
.38831 .48477 L
.38465 .47572 L
F
.38831 .52735 m
.39298 .53399 L
.38831 .5396 L
.38467 .53399 L
F
.38831 .4888 m
.3942 .49514 L
.38831 .50287 L
.38467 .49514 L
F
.38831 .54648 m
.39234 .55342 L
.38831 .5581 L
.3847 .55342 L
F
.38831 .5082 m
.39352 .51457 L
.38831 .52109 L
.38472 .51457 L
F
.38831 .46956 m
.39469 .47572 L
.38831 .48455 L
.38478 .47572 L
F
.38831 .48899 m
.39404 .49514 L
.38831 .50266 L
.38479 .49514 L
F
.38831 .52762 m
.39276 .53399 L
.38831 .53934 L
.38485 .53399 L
F
.38831 .50841 m
.39335 .51457 L
.38831 .52088 L
.38486 .51457 L
F
.38831 .46978 m
.3945 .47572 L
.38831 .48431 L
.38491 .47572 L
F
.38831 .48918 m
.39387 .49514 L
.38831 .50246 L
.38491 .49514 L
F
.38831 .50862 m
.39317 .51457 L
.38831 .52066 L
.38499 .51457 L
F
.38831 .54689 m
.39202 .55342 L
.38831 .55772 L
.38499 .55342 L
F
.38831 .56576 m
.39143 .57284 L
.38831 .57635 L
.38502 .57284 L
F
.38831 .52789 m
.39254 .53399 L
.38831 .53908 L
.38503 .53399 L
F
.38831 .48938 m
.39369 .49514 L
.38831 .50225 L
.38504 .49514 L
F
.38831 .46999 m
.3943 .47572 L
.38831 .48408 L
.38504 .47572 L
F
.38831 .45063 m
.39486 .45629 L
.38831 .46595 L
.3851 .45629 L
F
.38831 .50883 m
.39299 .51457 L
.38831 .52044 L
.38513 .51457 L
F
.38831 .48957 m
.39352 .49514 L
.38831 .50203 L
.38516 .49514 L
F
.38831 .4702 m
.39411 .47572 L
.38831 .48384 L
.38517 .47572 L
F
.38831 .52817 m
.39232 .53399 L
.38831 .53881 L
.38522 .53399 L
F
.38831 .45091 m
.39458 .45629 L
.38831 .46565 L
.38527 .45629 L
F
.38831 .50905 m
.39281 .51457 L
.38831 .52022 L
.38527 .51457 L
F
.38831 .48977 m
.39335 .49514 L
.38831 .50182 L
.38528 .49514 L
F
.38831 .54732 m
.3917 .55342 L
.38831 .55733 L
.38529 .55342 L
F
.38831 .47042 m
.39391 .47572 L
.38831 .4836 L
.3853 .47572 L
F
.38831 .52846 m
.39209 .53399 L
.38831 .53853 L
.38541 .53399 L
F
.38831 .48997 m
.39317 .49514 L
.38831 .5016 L
.38541 .49514 L
F
.38831 .50927 m
.39262 .51457 L
.38831 .51999 L
.38541 .51457 L
F
.38831 .4512 m
.39431 .45629 L
.38831 .46534 L
.38543 .45629 L
F
.38831 .47063 m
.3937 .47572 L
.38831 .48336 L
.38544 .47572 L
F
.38831 .49017 m
.39299 .49514 L
.38831 .50138 L
.38554 .49514 L
F
.38831 .50949 m
.39244 .51457 L
.38831 .51976 L
.38555 .51457 L
F
.38831 .47085 m
.3935 .47572 L
.38831 .48311 L
.38557 .47572 L
F
.38831 .52876 m
.39186 .53399 L
.38831 .53825 L
.3856 .53399 L
F
.38831 .45148 m
.39404 .45629 L
.38831 .46503 L
.3856 .45629 L
F
.38831 .54778 m
.39136 .55342 L
.38831 .55693 L
.3856 .55342 L
F
.38831 .56656 m
.39085 .57284 L
.38831 .57566 L
.38561 .57284 L
F
.38831 .49038 m
.39281 .49514 L
.38831 .50116 L
.38567 .49514 L
F
.38831 .50972 m
.39225 .51457 L
.38831 .51953 L
.3857 .51457 L
F
.38831 .47108 m
.3933 .47572 L
.38831 .48285 L
.38571 .47572 L
F
.38831 .45177 m
.39375 .45629 L
.38831 .4647 L
.38577 .45629 L
F
.38831 .49058 m
.39263 .49514 L
.38831 .50093 L
.38579 .49514 L
F
.38831 .52906 m
.39162 .53399 L
.38831 .53796 L
.3858 .53399 L
F
.38831 .4713 m
.39309 .47572 L
.38831 .48259 L
.38584 .47572 L
F
.38831 .50995 m
.39206 .51457 L
.38831 .51929 L
.38585 .51457 L
F
.38831 .58536 m
.39008 .59227 L
.38831 .59416 L
.38592 .59227 L
F
.38831 .4908 m
.39244 .49514 L
.38831 .50069 L
.38593 .49514 L
F
.38831 .54827 m
.391 .55342 L
.38831 .55651 L
.38593 .55342 L
F
.38831 .45206 m
.39347 .45629 L
.38831 .46436 L
.38595 .45629 L
F
.38831 .47153 m
.39287 .47572 L
.38831 .48233 L
.38598 .47572 L
F
.38831 .51019 m
.39186 .51457 L
.38831 .51905 L
.386 .51457 L
F
.38831 .52938 m
.39138 .53399 L
.38831 .53767 L
.386 .53399 L
F
.38831 .49101 m
.39226 .49514 L
.38831 .50046 L
.38606 .49514 L
F
.39802 .78365 m
.40773 .77825 L
.41744 .78027 L
.4241 .78652 L
.42716 .79119 L
.42956 .79623 L
.43246 .80594 L
.43373 .81566 L
.43373 .82537 L
.43246 .83508 L
.42956 .84479 L
.42716 .84983 L
.4241 .85451 L
.41744 .86076 L
.40773 .86278 L
.39802 .85738 L
.39502 .85451 L
.3898 .84479 L
.38831 .83915 L
.38743 .83508 L
.38611 .82537 L
.3861 .81566 L
.38741 .80594 L
.38831 .80177 L
.38979 .79623 L
.39503 .78652 L
F
.38831 .43288 m
.39379 .43687 L
.38831 .4462 L
.3861 .43687 L
F
.38831 .47176 m
.39266 .47572 L
.38831 .48206 L
.38612 .47572 L
F
.38831 .45236 m
.39318 .45629 L
.38831 .46402 L
.38613 .45629 L
F
.38831 .51043 m
.39166 .51457 L
.38831 .5188 L
.38615 .51457 L
F
.38831 .49123 m
.39206 .49514 L
.38831 .50021 L
.38619 .49514 L
F
.38831 .52971 m
.39113 .53399 L
.38831 .53736 L
.38621 .53399 L
F
.38831 .54879 m
.39063 .55342 L
.38831 .55607 L
.38627 .55342 L
F
.38831 .56748 m
.39021 .57284 L
.38831 .57493 L
.38627 .57284 L
F
.38831 .472 m
.39244 .47572 L
.38831 .48178 L
.38627 .47572 L
F
.38831 .51069 m
.39145 .51457 L
.38831 .51854 L
.3863 .51457 L
F
.38831 .45266 m
.39288 .45629 L
.38831 .46366 L
.3863 .45629 L
F
.38831 .49145 m
.39186 .49514 L
.38831 .49996 L
.38633 .49514 L
F
.38831 .43335 m
.39331 .43687 L
.38831 .44569 L
.38637 .43687 L
F
.38831 .47224 m
.39221 .47572 L
.38831 .48149 L
.38641 .47572 L
F
.38831 .53005 m
.39087 .53399 L
.38831 .53705 L
.38642 .53399 L
F
.38831 .51094 m
.39124 .51457 L
.38831 .51828 L
.38646 .51457 L
F
.38831 .49168 m
.39166 .49514 L
.38831 .4997 L
.38647 .49514 L
F
.38831 .45297 m
.39257 .45629 L
.38831 .46328 L
.38649 .45629 L
F
.38831 .47248 m
.39198 .47572 L
.38831 .48119 L
.38656 .47572 L
F
.38831 .49192 m
.39145 .49514 L
.38831 .49944 L
.38661 .49514 L
F
.38831 .51121 m
.39102 .51457 L
.38831 .51801 L
.38662 .51457 L
F
.38831 .54936 m
.39024 .55342 L
.38831 .55561 L
.38663 .55342 L
F
.38831 .53042 m
.3906 .53399 L
.38831 .53672 L
.38664 .53399 L
F
.38831 .43382 m
.39281 .43687 L
.38831 .44514 L
.38665 .43687 L
F
.38831 .45329 m
.39225 .45629 L
.38831 .46288 L
.38667 .45629 L
F
.38831 .47273 m
.39174 .47572 L
.38831 .48088 L
.38671 .47572 L
F
.38831 .49216 m
.39124 .49514 L
.38831 .49916 L
.38676 .49514 L
F
.38831 .51149 m
.39079 .51457 L
.38831 .51772 L
.38679 .51457 L
F
.38831 .47299 m
.39149 .47572 L
.38831 .48056 L
.38686 .47572 L
F
.38831 .45361 m
.39192 .45629 L
.38831 .46247 L
.38686 .45629 L
F
.38831 .5308 m
.39031 .53399 L
.38831 .53638 L
.38687 .53399 L
F
.38831 .49241 m
.39101 .49514 L
.38831 .49888 L
.3869 .49514 L
F
.38831 .43431 m
.39228 .43687 L
.38831 .44454 L
.38693 .43687 L
F
.38831 .51178 m
.39056 .51457 L
.38831 .51743 L
.38696 .51457 L
F
.38831 .41501 m
.39268 .41744 L
.38831 .4268 L
.38699 .41744 L
F
.38831 .55001 m
.38981 .55342 L
.38831 .55511 L
.38701 .55342 L
F
.38831 .5686 m
.38949 .57284 L
.38831 .57412 L
.38701 .57284 L
F
.38831 .47326 m
.39123 .47572 L
.38831 .48022 L
.38702 .47572 L
F
.38831 .49267 m
.39078 .49514 L
.38831 .49858 L
.38705 .49514 L
F
.38831 .45395 m
.39157 .45629 L
.38831 .46202 L
.38706 .45629 L
F
.38831 .53122 m
.39001 .53399 L
.38831 .53601 L
.38711 .53399 L
F
.38831 .51208 m
.39031 .51457 L
.38831 .51712 L
.38713 .51457 L
F
.38831 .47354 m
.39095 .47572 L
.38831 .47986 L
.38718 .47572 L
F
.38831 .49293 m
.39054 .49514 L
.38831 .49826 L
.38721 .49514 L
F
.38831 .43483 m
.39171 .43687 L
.38831 .44389 L
.38722 .43687 L
F
.38831 .4543 m
.3912 .45629 L
.38831 .46154 L
.38726 .45629 L
F
.38831 .51241 m
.39005 .51457 L
.38831 .51679 L
.38731 .51457 L
F
.38831 .47383 m
.39066 .47572 L
.38831 .47948 L
.38734 .47572 L
F
.38831 .53168 m
.38968 .53399 L
.38831 .53562 L
.38736 .53399 L
F
.38831 .49322 m
.39028 .49514 L
.38831 .49793 L
.38736 .49514 L
F
.38831 .55077 m
.38934 .55342 L
.38831 .55457 L
.38743 .55342 L
F
.38831 .45466 m
.39079 .45629 L
.38831 .46101 L
.38746 .45629 L
F
.38831 .51275 m
.38976 .51457 L
.38831 .51644 L
.3875 .51457 L
F
.38831 .47413 m
.39035 .47572 L
.38831 .47906 L
.38751 .47572 L
F
.38831 .41595 m
.39152 .41744 L
.38831 .42574 L
.38752 .41744 L
F
.38831 .43537 m
.39106 .43687 L
.38831 .44314 L
.38752 .43687 L
F
.38831 .49351 m
.39 .49514 L
.38831 .49756 L
.38753 .49514 L
F
.38831 .5322 m
.38933 .53399 L
.38831 .5352 L
.38763 .53399 L
F
.38831 .45505 m
.39035 .45629 L
.38831 .46042 L
.38767 .45629 L
F
.38831 .47445 m
.39002 .47572 L
.38831 .4786 L
.38768 .47572 L
F
.38831 .51313 m
.38946 .51457 L
.38831 .51605 L
.38769 .51457 L
F
.38831 .49383 m
.38971 .49514 L
.38831 .49717 L
.38769 .49514 L
F
.38831 .43596 m
.3903 .43687 L
.38831 .44225 L
.38784 .43687 L
F
.38831 .47478 m
.38964 .47572 L
.38831 .47807 L
.38786 .47572 L
F
.38831 .49417 m
.38937 .49514 L
.38831 .49672 L
.38787 .49514 L
F
.38831 .45546 m
.38982 .45629 L
.38831 .45972 L
.38789 .45629 L
F
.38831 .51355 m
.38912 .51457 L
.38831 .51562 L
.3879 .51457 L
F
.38831 .55179 m
.3888 .55342 L
.38831 .55396 L
.3879 .55342 L
F
.38831 .53282 m
.38893 .53399 L
.38831 .53472 L
.38791 .53399 L
F
.38831 .58775 m
.38854 .59227 L
.38831 .5925 L
.38792 .59227 L
F
.38831 .57029 m
.38863 .57284 L
.38831 .57318 L
.38794 .57284 L
F
.38831 .47515 m
.38919 .47572 L
.38831 .47743 L
.38804 .47572 L
F
.38831 .49455 m
.38899 .49514 L
.38831 .4962 L
.38805 .49514 L
F
.38831 .41701 m
.38989 .41744 L
.38831 .42438 L
.38808 .41744 L
F
.38831 .51404 m
.38873 .51457 L
.38831 .51512 L
.38811 .51457 L
F
.38831 .45591 m
.38916 .45629 L
.38831 .4588 L
.38812 .45629 L
F
.38831 .4366 m
.3892 .43687 L
.38831 .44106 L
.38817 .43687 L
F
.38831 .53367 m
.38845 .53399 L
.38831 .53416 L
.38822 .53399 L
F
.38831 .47555 m
.38861 .47572 L
.38831 .47649 L
.38823 .47572 L
F
.38831 .49497 m
.38852 .49514 L
.38831 .4955 L
.38823 .49514 L
F
.39802 .57045 m
.40488 .57284 L
.39901 .58256 L
.39802 .58342 L
.38833 .58256 L
.39659 .57284 L
F
.39802 .55093 m
.40604 .55342 L
.40079 .56313 L
.39802 .56565 L
.38837 .56313 L
.39654 .55342 L
F
.40773 .78266 m
.41744 .78496 L
.41939 .78652 L
.4263 .79623 L
.42716 .79785 L
.42975 .80594 L
.43125 .81566 L
.43125 .82537 L
.42975 .83508 L
.42716 .84318 L
.4263 .84479 L
.41939 .85451 L
.41744 .85606 L
.40773 .85836 L
.40033 .85451 L
.39802 .85224 L
.39264 .84479 L
.38966 .83508 L
.38856 .82537 L
.38855 .81566 L
.38965 .80594 L
.39263 .79623 L
.39802 .78879 L
.40033 .78652 L
F
.39802 .53142 m
.40718 .53399 L
.40211 .54371 L
.39802 .54755 L
.38859 .54371 L
.39651 .53399 L
F
.39802 .53179 m
.40653 .53399 L
.40162 .54371 L
.39802 .54707 L
.38906 .54371 L
.39673 .53399 L
F
.40773 .50052 m
.41456 .50486 L
.40831 .51457 L
.40773 .51496 L
.403 .52428 L
.39802 .52897 L
.38913 .52428 L
.39661 .51457 L
.39802 .51212 L
.40559 .50486 L
F
.39802 .55145 m
.40516 .55342 L
.39992 .56313 L
.39802 .56484 L
.38917 .56313 L
.39685 .55342 L
F
.39802 .51243 m
.40746 .51457 L
.40264 .52428 L
.39802 .52863 L
.38947 .52428 L
.39679 .51457 L
F
.39802 .53216 m
.40586 .53399 L
.40111 .54371 L
.39802 .54658 L
.38956 .54371 L
.39695 .53399 L
F
.39802 .51274 m
.40685 .51457 L
.40228 .52428 L
.39802 .52827 L
.38983 .52428 L
.39697 .51457 L
F
.39802 .53253 m
.40517 .53399 L
.40059 .54371 L
.39802 .54608 L
.39011 .54371 L
.39717 .53399 L
F
.39802 .55198 m
.40422 .55342 L
.39899 .56313 L
.39802 .56399 L
.39014 .56313 L
.39718 .55342 L
F
.39802 .51306 m
.40624 .51457 L
.40191 .52428 L
.39802 .52792 L
.39021 .52428 L
.39715 .51457 L
F
.39802 .51338 m
.4056 .51457 L
.40154 .52428 L
.39802 .52756 L
.39061 .52428 L
.39734 .51457 L
F
.39802 .79462 m
.40773 .78737 L
.41744 .78995 L
.42266 .79623 L
.42671 .80594 L
.42716 .80769 L
.42849 .81566 L
.42849 .82537 L
.42716 .83333 L
.42671 .83508 L
.42266 .84479 L
.41744 .85108 L
.40773 .85366 L
.39802 .8464 L
.39676 .84479 L
.39223 .83508 L
.39066 .82537 L
.39065 .81566 L
.39222 .80594 L
.39676 .79623 L
F
.39802 .53292 m
.40443 .53399 L
.40006 .54371 L
.39802 .54557 L
.39073 .54371 L
.3974 .53399 L
F
.39802 .4941 m
.40687 .49514 L
.40247 .50486 L
.39802 .50911 L
.39092 .50486 L
.39743 .49514 L
F
.39802 .5137 m
.40492 .51457 L
.40116 .52428 L
.39802 .52719 L
.39103 .52428 L
.39752 .51457 L
F
.39802 .49442 m
.40617 .49514 L
.40215 .50486 L
.39802 .5088 L
.39125 .50486 L
.39761 .49514 L
F
.39802 .53332 m
.40361 .53399 L
.3995 .54371 L
.39802 .54504 L
.39143 .54371 L
.39763 .53399 L
F
.39802 .51404 m
.40418 .51457 L
.40078 .52428 L
.39802 .52682 L
.39148 .52428 L
.39772 .51457 L
F
.39802 .49475 m
.40543 .49514 L
.40184 .50486 L
.39802 .50848 L
.3916 .50486 L
.3978 .49514 L
F
.39802 .49509 m
.40459 .49514 L
.40151 .50486 L
.39802 .50816 L
.39196 .50486 L
.39799 .49514 L
F
.39802 .51438 m
.40334 .51457 L
.40038 .52428 L
.39802 .52644 L
.39197 .52428 L
.39791 .51457 L
F
.39802 .47587 m
.40242 .48543 L
.39802 .48976 L
.39207 .48543 L
F
.39802 .45655 m
.40328 .46601 L
.39802 .47133 L
.3922 .46601 L
F
.39802 .53373 m
.40264 .53399 L
.3989 .54371 L
.39802 .54448 L
.39226 .54371 L
.39787 .53399 L
F
.39802 .4175 m
.40494 .42716 L
.39802 .43477 L
.39231 .42716 L
F
.39802 .49552 m
.40118 .50486 L
.39802 .50784 L
.39234 .50486 L
F
.39802 .47632 m
.4021 .48543 L
.39802 .48944 L
.39241 .48543 L
F
.39802 .43731 m
.40395 .44658 L
.39802 .45283 L
.39242 .44658 L
F
.39802 .51482 m
.39996 .52428 L
.39802 .52605 L
.3925 .52428 L
F
.39802 .45708 m
.4029 .46601 L
.39802 .47094 L
.39256 .46601 L
F
.39802 .496 m
.40085 .50486 L
.39802 .50751 L
.39274 .50486 L
F
.39802 .47678 m
.40178 .48543 L
.39802 .48911 L
.39275 .48543 L
F
.39802 .43804 m
.40341 .44658 L
.39802 .45227 L
.3929 .44658 L
F
.39802 .45761 m
.40251 .46601 L
.39802 .47055 L
.39294 .46601 L
F
.39802 .39891 m
.40495 .40773 L
.39802 .41581 L
.39297 .40773 L
F
.39802 .41871 m
.40403 .42716 L
.39802 .43385 L
.39305 .42716 L
F
.39802 .51541 m
.39953 .52428 L
.39802 .52564 L
.3931 .52428 L
F
.39802 .47726 m
.40145 .48543 L
.39802 .48878 L
.39312 .48543 L
F
.39802 .4965 m
.4005 .50486 L
.39802 .50717 L
.39317 .50486 L
F
.39802 .45817 m
.40212 .46601 L
.39802 .47015 L
.39333 .46601 L
F
.39802 .53431 m
.39824 .54371 L
.39802 .5439 L
.39337 .54371 L
F
.39802 .43879 m
.40286 .44658 L
.39802 .4517 L
.39339 .44658 L
F
.39802 .47776 m
.40111 .48543 L
.39802 .48843 L
.3935 .48543 L
F
.40773 .79248 m
.41744 .79574 L
.41791 .79623 L
.4234 .80594 L
.42546 .81566 L
.42546 .82537 L
.4234 .83508 L
.41791 .84479 L
.41744 .84529 L
.40773 .84855 L
.40187 .84479 L
.39802 .83976 L
.39586 .83508 L
.39351 .82537 L
.3935 .81566 L
.39585 .80594 L
.39802 .80124 L
.40186 .79623 L
F
.39802 .49704 m
.40014 .50486 L
.39802 .50682 L
.39363 .50486 L
F
.39802 .45874 m
.40172 .46601 L
.39802 .46973 L
.39374 .46601 L
F
.39802 .51607 m
.39907 .52428 L
.39802 .52521 L
.3938 .52428 L
F
.39802 .41992 m
.40312 .42716 L
.39802 .43289 L
.39381 .42716 L
F
.39802 .47828 m
.40076 .48543 L
.39802 .48808 L
.3939 .48543 L
F
.39802 .43955 m
.4023 .44658 L
.39802 .45111 L
.39391 .44658 L
F
.39802 .49761 m
.39976 .50486 L
.39802 .50646 L
.39413 .50486 L
F
.39802 .45933 m
.4013 .46601 L
.39802 .4693 L
.39416 .46601 L
F
.39802 .47884 m
.4004 .48543 L
.39802 .48771 L
.39433 .48543 L
F
.39802 .40127 m
.40311 .40773 L
.39802 .41391 L
.39439 .40773 L
F
.39802 .44035 m
.40172 .44658 L
.39802 .45049 L
.39445 .44658 L
F
.39802 .45996 m
.40087 .46601 L
.39802 .46886 L
.39462 .46601 L
F
.39802 .42117 m
.40217 .42716 L
.39802 .43186 L
.39462 .42716 L
F
.39802 .38218 m
.40338 .38831 L
.39802 .39539 L
.39467 .38831 L
F
.39802 .51682 m
.39858 .52428 L
.39802 .52477 L
.39469 .52428 L
F
.39802 .49825 m
.39937 .50486 L
.39802 .50608 L
.3947 .50486 L
F
.39802 .47943 m
.40002 .48543 L
.39802 .48734 L
.39479 .48543 L
F
.39802 .4412 m
.40111 .44658 L
.39802 .44984 L
.39503 .44658 L
F
.39802 .46063 m
.40042 .46601 L
.39802 .46839 L
.3951 .46601 L
F
.39802 .48008 m
.39962 .48543 L
.39802 .48694 L
.3953 .48543 L
F
.39802 .49897 m
.39895 .50486 L
.39802 .50569 L
.39537 .50486 L
F
.39802 .42252 m
.40115 .42716 L
.39802 .43072 L
.3955 .42716 L
F
.39802 .46136 m
.39994 .46601 L
.39802 .4679 L
.39563 .46601 L
F
.39802 .44212 m
.40045 .44658 L
.39802 .44913 L
.39566 .44658 L
F
.39802 .48082 m
.39919 .48543 L
.39802 .48652 L
.39588 .48543 L
F
.39802 .40384 m
.40108 .40773 L
.39802 .41161 L
.39598 .40773 L
F
.39802 .60858 m
.40451 .61169 L
.39802 .62044 L
.39616 .61169 L
F
.39802 .51773 m
.39804 .52428 L
.39802 .5243 L
.39618 .52428 L
F
.39802 .4622 m
.39942 .46601 L
.39802 .46737 L
.39622 .46601 L
F
.39802 .49984 m
.39849 .50486 L
.39802 .50527 L
.39624 .50486 L
F
.39802 .44318 m
.39973 .44658 L
.39802 .44835 L
.39636 .44658 L
F
.39802 .58967 m
.40447 .59227 L
.39802 .60153 L
.39648 .59227 L
F
.39802 .4241 m
.39997 .42716 L
.39802 .42939 L
.3965 .42716 L
F
.39802 .48171 m
.39872 .48543 L
.39802 .48607 L
.39657 .48543 L
F
.39802 .36645 m
.40069 .36888 L
.39802 .37383 L
.39683 .36888 L
F
.39802 .46323 m
.39884 .46601 L
.39802 .46678 L
.39691 .46601 L
F
.39802 .57135 m
.4034 .57284 L
.39802 .58168 L
.39715 .57284 L
F
.39802 .44453 m
.39888 .44658 L
.39802 .44745 L
.39719 .44658 L
F
.39802 .55254 m
.40317 .55342 L
.39802 .56306 L
.39751 .55342 L
F
.40773 .79819 m
.41744 .80237 L
.4193 .80594 L
.42204 .81566 L
.42204 .82537 L
.4193 .83508 L
.41744 .83865 L
.40773 .84284 L
.40043 .83508 L
.39802 .82775 L
.39753 .82537 L
.39753 .81566 L
.39802 .81325 L
.40043 .80594 L
F
.39802 .48296 m
.3982 .48543 L
.39802 .48559 L
.39755 .48543 L
F
.39802 .59157 m
.40136 .59227 L
.39802 .59769 L
.39763 .59227 L
F
.39802 .57234 m
.40151 .57284 L
.39802 .57951 L
.39773 .57284 L
F
.39802 .42642 m
.39839 .42716 L
.39802 .42758 L
.39776 .42716 L
F
.39802 .46491 m
.39815 .46601 L
.39802 .46612 L
.39783 .46601 L
F
.39802 .55313 m
.40184 .55342 L
.39802 .56176 L
.39786 .55342 L
F
.39802 .63086 m
.39929 .63112 L
.39802 .63284 L
.3979 .63112 L
F
.40773 .4057 m
.41516 .40773 L
.41205 .41744 L
.40773 .42084 L
.39811 .41744 L
.40684 .40773 L
F
.40773 .42748 m
.40933 .43687 L
.40773 .43807 L
.39885 .43687 L
F
.40773 .3887 m
.41165 .39802 L
.40773 .40095 L
.39999 .39802 L
F
.40773 .4107 m
.40897 .41744 L
.40773 .4184 L
.401 .41744 L
F
.40773 .80647 m
.41744 .81508 L
.41757 .81566 L
.41757 .82537 L
.41744 .82595 L
.40773 .83456 L
.40222 .82537 L
.40222 .81566 L
F
.40773 .57504 m
.41492 .58256 L
.40773 .59118 L
.40392 .58256 L
F
.40773 .55612 m
.41541 .56313 L
.40773 .57261 L
.40407 .56313 L
F
.40773 .55755 m
.41393 .56313 L
.40773 .57074 L
.40492 .56313 L
F
.40773 .59606 m
.41259 .60198 L
.40773 .60749 L
.40495 .60198 L
F
.40773 .53852 m
.41436 .54371 L
.40773 .55221 L
.40509 .54371 L
F
.40773 .51984 m
.41396 .52428 L
.40773 .53317 L
.40557 .52428 L
F
.40773 .53946 m
.41339 .54371 L
.40773 .55096 L
.40562 .54371 L
F
.40773 .57795 m
.41212 .58256 L
.40773 .5877 L
.40567 .58256 L
F
.40773 .55913 m
.41237 .56313 L
.40773 .56877 L
.40583 .56313 L
F
.40773 .50115 m
.41384 .50486 L
.40773 .51416 L
.40592 .50486 L
F
.40773 .52059 m
.41317 .52428 L
.40773 .53214 L
.40597 .52428 L
F
.40773 .54047 m
.41235 .54371 L
.40773 .54961 L
.40618 .54371 L
F
.40773 .5018 m
.41309 .50486 L
.40773 .51323 L
.40626 .50486 L
F
.40773 .52137 m
.41232 .52428 L
.40773 .53104 L
.40637 .52428 L
F
.40773 .48294 m
.41333 .48543 L
.40773 .49484 L
.40655 .48543 L
F
.40773 .50249 m
.41229 .50486 L
.40773 .5122 L
.40662 .50486 L
F
.40773 .54159 m
.41115 .54371 L
.40773 .54806 L
.40677 .54371 L
F
.40773 .52222 m
.41137 .52428 L
.40773 .52978 L
.4068 .52428 L
F
.40773 .56102 m
.4105 .56313 L
.40773 .56643 L
.40683 .56313 L
F
.40773 .48366 m
.41242 .48543 L
.40773 .49378 L
.4069 .48543 L
F
.40773 .50322 m
.41139 .50486 L
.40773 .51103 L
.40698 .50486 L
F
.40773 .46485 m
.41171 .46601 L
.40773 .47571 L
.40721 .46601 L
F
.40773 .52317 m
.41022 .52428 L
.40773 .52824 L
.40725 .52428 L
F
.40773 .48443 m
.41135 .48543 L
.40773 .49252 L
.40727 .48543 L
F
.40773 .50402 m
.41027 .50486 L
.40773 .50958 L
.40736 .50486 L
F
.40773 .54293 m
.40953 .54371 L
.40773 .54595 L
.40741 .54371 L
F
.40773 .48527 m
.40975 .48543 L
.40773 .49082 L
.40766 .48543 L
F
.40773 .46587 m
.40976 .46601 L
.40773 .47421 L
.40767 .46601 L
F
.41744 .48626 m
.42484 .49514 L
.41744 .50333 L
.41248 .49514 L
F
.41744 .5254 m
.42254 .53399 L
.41744 .53944 L
.41277 .53399 L
F
.41744 .46727 m
.42483 .47572 L
.41744 .48474 L
.41313 .47572 L
F
.41744 .54584 m
.42081 .55342 L
.41744 .55697 L
.41333 .55342 L
F
.41744 .48772 m
.42362 .49514 L
.41744 .50189 L
.41337 .49514 L
F
.41744 .58416 m
.41849 .59227 L
.41744 .59319 L
.41385 .59227 L
F
.41744 .46902 m
.42346 .47572 L
.41744 .48308 L
.41406 .47572 L
F
.41744 .50683 m
.42298 .51457 L
.41744 .51957 L
.41408 .51457 L
F
.41744 .44847 m
.42477 .45629 L
.41744 .46528 L
.41413 .45629 L
F
.41744 .48926 m
.42235 .49514 L
.41744 .5004 L
.41431 .49514 L
F
.41744 .5278 m
.4208 .53399 L
.41744 .53746 L
.41433 .53399 L
F
.41744 .43095 m
.42438 .43687 L
.41744 .44531 L
.41453 .43687 L
F
.41744 .47084 m
.42199 .47572 L
.41744 .48126 L
.41507 .47572 L
F
.41744 .49096 m
.42095 .49514 L
.41744 .49878 L
.41535 .49514 L
F
.41744 .4515 m
.42202 .45629 L
.41744 .46241 L
.41557 .45629 L
F
.41744 .50939 m
.42073 .51457 L
.41744 .51737 L
.4156 .51457 L
F
.41744 .47294 m
.42025 .47572 L
.41744 .47907 L
.41621 .47572 L
F
.41744 .53115 m
.41856 .53399 L
.41744 .53505 L
.41641 .53399 L
F
.41744 .43468 m
.42077 .43687 L
.41744 .44093 L
.41648 .43687 L
F
.41744 .49312 m
.41918 .49514 L
.41744 .4968 L
.41658 .49514 L
F
.41744 .55076 m
.41779 .55342 L
.41744 .55374 L
.41686 .55342 L
F
.41744 .45568 m
.41827 .45629 L
.41744 .45759 L
.41727 .45629 L
F
.42716 .47234 m
.43687 .46947 L
.43878 .47572 L
.43687 .47857 L
.43099 .48543 L
.42716 .49165 L
.4182 .48543 L
.42619 .47572 L
F
.42716 .53528 m
.42809 .54371 L
.42716 .54549 L
.41914 .54371 L
F
.42716 .47656 m
.42995 .48543 L
.42716 .48995 L
.41965 .48543 L
F
.42716 .47933 m
.42883 .48543 L
.42716 .48818 L
.42137 .48543 L
F
.42716 .42074 m
.43059 .42716 L
.42716 .43187 L
.42194 .42716 L
F
.42716 .48292 m
.42756 .48543 L
.42716 .48614 L
.4239 .48543 L
F
.43687 .53688 m
.44473 .54371 L
.43755 .55342 L
.43761 .56313 L
.4372 .57284 L
.44658 .58194 L
.45095 .57284 L
.45629 .56672 L
.45947 .56313 L
.45629 .56051 L
.45129 .55342 L
.45629 .55018 L
.45933 .54371 L
.46601 .53565 L
.47305 .54371 L
.46698 .55342 L
.47215 .56313 L
.46654 .57284 L
.47572 .58044 L
.48016 .57284 L
.48543 .56572 L
.49461 .57284 L
.48785 .58256 L
.49274 .59227 L
.48736 .60198 L
.49514 .61095 L
.50123 .60198 L
.50486 .5958 L
.51018 .59227 L
.50486 .59067 L
.50145 .58256 L
.50486 .57962 L
.50967 .57284 L
.51457 .56507 L
.5229 .57284 L
.51671 .58256 L
.52139 .59227 L
.51592 .60198 L
.52428 .61032 L
.53086 .60198 L
.53399 .59571 L
.54305 .60198 L
.53694 .61169 L
.53399 .61755 L
.52428 .61913 L
.52283 .61169 L
.51457 .60396 L
.50853 .61169 L
.50486 .62034 L
.49514 .61911 L
.49404 .61169 L
.48543 .60546 L
.479 .61169 L
.47572 .61993 L
.46676 .61169 L
.47214 .60198 L
.47572 .59679 L
.48081 .59227 L
.47572 .59014 L
.47238 .58256 L
.46601 .57412 L
.45837 .58256 L
.46192 .59227 L
.45783 .60198 L
.45629 .60562 L
.44801 .61169 L
.44658 .61542 L
.44143 .61169 L
.44581 .60198 L
.44658 .60087 L
.45441 .59227 L
.44658 .58726 L
.44534 .58256 L
.43687 .57406 L
.43098 .57284 L
.4353 .56313 L
.42716 .56166 L
.4252 .55342 L
.42716 .5508 L
.43094 .54371 L
F
.44658 .46748 m
.45168 .47572 L
.44663 .48543 L
.45629 .49342 L
.46028 .48543 L
.46601 .4787 L
.47505 .48543 L
.46781 .49514 L
.474 .50486 L
.46765 .51457 L
.47572 .52338 L
.4811 .51457 L
.48543 .5088 L
.48945 .50486 L
.48543 .49942 L
.48157 .49514 L
.48543 .49231 L
.48964 .48543 L
.49514 .47779 L
.50321 .48543 L
.49694 .49514 L
.50262 .50486 L
.49655 .51457 L
.50486 .5225 L
.51054 .51457 L
.51457 .50802 L
.51893 .50486 L
.51457 .50011 L
.51092 .49514 L
.51457 .49154 L
.51914 .48543 L
.52428 .47709 L
.53201 .48543 L
.52503 .49514 L
.53155 .50486 L
.52444 .51457 L
.53399 .52191 L
.5402 .51457 L
.54371 .50764 L
.55236 .51457 L
.54615 .52428 L
.55113 .53399 L
.54567 .54371 L
.54371 .54598 L
.53869 .55342 L
.54184 .56313 L
.53821 .57284 L
.53399 .57776 L
.5299 .58256 L
.52428 .59105 L
.5178 .58256 L
.52346 .57284 L
.51457 .56425 L
.5093 .57284 L
.50486 .57908 L
.49521 .57284 L
.50243 .56313 L
.49584 .55342 L
.50215 .54371 L
.49514 .53441 L
.48853 .54371 L
.48543 .54891 L
.48005 .55342 L
.48543 .56185 L
.48753 .56313 L
.48543 .56495 L
.47972 .57284 L
.47572 .57964 L
.46732 .57284 L
.47424 .56313 L
.4676 .55342 L
.47345 .54371 L
.46601 .53496 L
.4589 .54371 L
.45629 .54925 L
.44678 .54371 L
.45291 .53399 L
.44746 .52428 L
.45223 .51457 L
.45629 .51008 L
.46022 .50486 L
.45629 .49813 L
.45333 .49514 L
.44658 .48559 L
.43737 .49514 L
.44341 .50486 L
.43775 .51457 L
.43687 .51743 L
.43069 .51457 L
.43478 .50486 L
.42752 .49514 L
.433 .48543 L
.43687 .48096 L
.44054 .47572 L
F
.43687 .4719 m
.43786 .47572 L
.43687 .47726 L
.42785 .47572 L
F
.47572 .39074 m
.48323 .39802 L
.47612 .40773 L
.48284 .41744 L
.47687 .42716 L
.48543 .43525 L
.49048 .42716 L
.49514 .4206 L
.49883 .41744 L
.49514 .40879 L
.49159 .40773 L
.49514 .40519 L
.50462 .40773 L
.50486 .40778 L
.51184 .41744 L
.50514 .42716 L
.51457 .43459 L
.52002 .42716 L
.52428 .4199 L
.53313 .42716 L
.52698 .43687 L
.53276 .44658 L
.52678 .45629 L
.53399 .46463 L
.54085 .45629 L
.54371 .4502 L
.54943 .44658 L
.54371 .43872 L
.54151 .43687 L
.54371 .43426 L
.55335 .43687 L
.55342 .43694 L
.56125 .44658 L
.55429 .45629 L
.56313 .46469 L
.56652 .46601 L
.57284 .46993 L
.57532 .46601 L
.57284 .45791 L
.57215 .45629 L
.57284 .44946 L
.57439 .45629 L
.58256 .45917 L
.5883 .46601 L
.58283 .47572 L
.59227 .48279 L
.59596 .47572 L
.60198 .46997 L
.60433 .46601 L
.61169 .45715 L
.61752 .46601 L
.61177 .47572 L
.62141 .48159 L
.62531 .47572 L
.63112 .4689 L
.63953 .47572 L
.63313 .48543 L
.64083 .49347 L
.64651 .48543 L
.65054 .48058 L
.6548 .47572 L
.66026 .46787 L
.66811 .47572 L
.66182 .48543 L
.66997 .49236 L
.676 .48543 L
.67968 .47963 L
.68421 .47572 L
.68939 .46683 L
.69717 .47572 L
.68948 .48543 L
.69911 .49142 L
.7056 .48543 L
.70882 .47888 L
.7177 .48543 L
.71204 .49514 L
.71853 .5038 L
.727 .49514 L
.72824 .49192 L
.73638 .49514 L
.73218 .50486 L
.72824 .50778 L
.72547 .51457 L
.71853 .52144 L
.7122 .51457 L
.71805 .50486 L
.70882 .49735 L
.70503 .50486 L
.69911 .51024 L
.69666 .51457 L
.68939 .52313 L
.68335 .51457 L
.68909 .50486 L
.67968 .49861 L
.67567 .50486 L
.66997 .51132 L
.66123 .50486 L
.66779 .49514 L
.66026 .48676 L
.65445 .49514 L
.65054 .49961 L
.64616 .50486 L
.64083 .51236 L
.63279 .50486 L
.63898 .49514 L
.63112 .48785 L
.62497 .49514 L
.62141 .50057 L
.61672 .50486 L
.61169 .51344 L
.60379 .50486 L
.61115 .49514 L
.60198 .48878 L
.5954 .49514 L
.59227 .50141 L
.58315 .49514 L
.58895 .48543 L
.58256 .47624 L
.57474 .48543 L
.57284 .48887 L
.5678 .49514 L
.56884 .50486 L
.57002 .51457 L
.57284 .5226 L
.57315 .52428 L
.57284 .52497 L
.57229 .52428 L
.56313 .52011 L
.56063 .52428 L
.56313 .53052 L
.56648 .53399 L
.56313 .53691 L
.56035 .54371 L
.55342 .5515 L
.54681 .54371 L
.55295 .53399 L
.54757 .52428 L
.55297 .51457 L
.54371 .50697 L
.5399 .51457 L
.53399 .52152 L
.52476 .51457 L
.53195 .50486 L
.52564 .49514 L
.53223 .48543 L
.52428 .47679 L
.51899 .48543 L
.51457 .49132 L
.51069 .49514 L
.51457 .5004 L
.51862 .50486 L
.51457 .50781 L
.51043 .51457 L
.50486 .52231 L
.4967 .51457 L
.5029 .50486 L
.49722 .49514 L
.50336 .48543 L
.49514 .47761 L
.48953 .48543 L
.48543 .4921 L
.48125 .49514 L
.48543 .49972 L
.48922 .50486 L
.48543 .50859 L
.48095 .51457 L
.47572 .52308 L
.46786 .51457 L
.47462 .50486 L
.46821 .49514 L
.47537 .48543 L
.46601 .47832 L
.45998 .48543 L
.45629 .49273 L
.44725 .48543 L
.45309 .47572 L
.44788 .46601 L
.45363 .45629 L
.44658 .44776 L
.43891 .45629 L
.43687 .4623 L
.42893 .45629 L
.43117 .44658 L
.42801 .43687 L
.43413 .42716 L
.43687 .42374 L
.44105 .41744 L
.44658 .40924 L
.45397 .41744 L
.44768 .42716 L
.45629 .43642 L
.46119 .42716 L
.46601 .42154 L
.46948 .41744 L
.46601 .40818 L
.4639 .40773 L
.46601 .40647 L
.46991 .39802 L
F
.43687 .5207 m
.44541 .52428 L
.44658 .52702 L
.45096 .53399 L
.44658 .54126 L
.439 .53399 L
.43687 .52973 L
.42924 .52428 L
F
.43687 .41247 m
.43823 .41744 L
.43687 .41961 L
.4302 .41744 L
F
.43687 .44787 m
.43812 .45629 L
.43687 .46001 L
.43111 .45629 L
F
.43687 .53863 m
.44343 .54371 L
.43687 .55209 L
.43232 .54371 L
F
.43687 .50841 m
.4372 .51457 L
.43687 .51569 L
.43283 .51457 L
F
.43687 .52251 m
.443 .52428 L
.44658 .52902 L
.44995 .53399 L
.44658 .53973 L
.44051 .53399 L
.43687 .52713 L
.43299 .52428 L
F
.43687 .58013 m
.43983 .58256 L
.43687 .58646 L
.43322 .58256 L
F
.43687 .45223 m
.43729 .45629 L
.43687 .45762 L
.43365 .45629 L
F
.43687 .54036 m
.44189 .54371 L
.43687 .5496 L
.43378 .54371 L
F
.43687 .48215 m
.44587 .48543 L
.43687 .49385 L
.43403 .48543 L
F
.43687 .4834 m
.44485 .48543 L
.43687 .49139 L
.43512 .48543 L
F
.43687 .60072 m
.43799 .60198 L
.43687 .60388 L
.43537 .60198 L
F
.43687 .54225 m
.43981 .54371 L
.43687 .54678 L
.43548 .54371 L
F
.43687 .48481 m
.44351 .48543 L
.43687 .48838 L
.43634 .48543 L
F
.44658 .41398 m
.45094 .41744 L
.4468 .42716 L
.44658 .42782 L
.43771 .42716 L
.44393 .41744 L
F
.47572 .40877 m
.48229 .41744 L
.47659 .42716 L
.48543 .43567 L
.49067 .42716 L
.49514 .42087 L
.50484 .42716 L
.49765 .43687 L
.5042 .44658 L
.49786 .45629 L
.50486 .46555 L
.51146 .45629 L
.51457 .45107 L
.51991 .44658 L
.51457 .4382 L
.51238 .43687 L
.51457 .43498 L
.52025 .42716 L
.52428 .42029 L
.53275 .42716 L
.52594 .43687 L
.53245 .44658 L
.52658 .45629 L
.53399 .46498 L
.54107 .45629 L
.54371 .45066 L
.55326 .45629 L
.54732 .46601 L
.55274 .47572 L
.54778 .48543 L
.54371 .48998 L
.53982 .49514 L
.54371 .50182 L
.54684 .50486 L
.55342 .51416 L
.5628 .50486 L
.55527 .49514 L
.56208 .48543 L
.56313 .48259 L
.57128 .47572 L
.57284 .47296 L
.58125 .47572 L
.57362 .48543 L
.57284 .48688 L
.56617 .49514 L
.56538 .50486 L
.56821 .51457 L
.56313 .51864 L
.55968 .52428 L
.56313 .53305 L
.56393 .53399 L
.56313 .53475 L
.55487 .53399 L
.55342 .53269 L
.54831 .52428 L
.55329 .51457 L
.54371 .50662 L
.53975 .51457 L
.53399 .52133 L
.52492 .51457 L
.53216 .50486 L
.52595 .49514 L
.53233 .48543 L
.52428 .47664 L
.51892 .48543 L
.51457 .49122 L
.51057 .49514 L
.51457 .50055 L
.51846 .50486 L
.51457 .50771 L
.51037 .51457 L
.50486 .52222 L
.49678 .51457 L
.50304 .50486 L
.49736 .49514 L
.50344 .48543 L
.49514 .47751 L
.48947 .48543 L
.48543 .492 L
.4811 .49514 L
.48543 .49987 L
.4891 .50486 L
.48543 .50848 L
.48087 .51457 L
.47572 .52294 L
.46797 .51457 L
.47492 .50486 L
.46842 .49514 L
.47553 .48543 L
.46601 .47812 L
.45983 .48543 L
.45629 .4924 L
.44756 .48543 L
.45377 .47572 L
.44879 .46601 L
.45422 .45629 L
.44658 .44671 L
.4381 .44658 L
.44658 .44509 L
.44667 .44658 L
.45629 .45392 L
.46123 .44658 L
.45777 .43687 L
.4617 .42716 L
.46601 .42214 L
.47001 .41744 L
F
.44658 .43046 m
.45552 .43687 L
.45629 .43718 L
.46081 .44658 L
.45629 .45331 L
.44745 .44658 L
.44658 .44176 L
.43823 .43687 L
F
.44658 .50552 m
.45157 .51457 L
.44658 .52375 L
.4388 .51457 L
F
.44658 .56412 m
.45006 .57284 L
.44658 .57992 L
.43891 .57284 L
F
.44658 .48752 m
.45197 .49514 L
.45629 .49916 L
.45964 .50486 L
.45629 .50936 L
.44709 .50486 L
.44658 .50316 L
.43929 .49514 L
F
.44658 .50629 m
.45123 .51457 L
.44658 .523 L
.4393 .51457 L
F
.44658 .507 m
.45089 .51457 L
.44658 .5223 L
.4398 .51457 L
F
.44658 .54435 m
.4497 .55342 L
.45629 .56253 L
.45699 .56313 L
.45629 .56408 L
.451 .56313 L
.44658 .56017 L
.44019 .55342 L
F
.44658 .48848 m
.45127 .49514 L
.45629 .49965 L
.45934 .50486 L
.45629 .50899 L
.44774 .50486 L
.44658 .50171 L
.44021 .49514 L
F
.44658 .50768 m
.45054 .51457 L
.44658 .52162 L
.4403 .51457 L
F
.44658 .44961 m
.45243 .45629 L
.44658 .46503 L
.4404 .45629 L
F
.44658 .56676 m
.44913 .57284 L
.44658 .57806 L
.44057 .57284 L
F
.44658 .50834 m
.45019 .51457 L
.44658 .52097 L
.4408 .51457 L
F
.44658 .45048 m
.45179 .45629 L
.44658 .46375 L
.44113 .45629 L
F
.44658 .48947 m
.45054 .49514 L
.45629 .50014 L
.45904 .50486 L
.45629 .50862 L
.44837 .50486 L
.44658 .50049 L
.44114 .49514 L
F
.44658 .50898 m
.44983 .51457 L
.44658 .52032 L
.44131 .51457 L
F
.44658 .46915 m
.45093 .47572 L
.44658 .4844 L
.44143 .47572 L
F
.44658 .54622 m
.44886 .55342 L
.44658 .55827 L
.44156 .55342 L
F
.44658 .50963 m
.44945 .51457 L
.44658 .51967 L
.44184 .51457 L
F
.44658 .45135 m
.45112 .45629 L
.44658 .4626 L
.44188 .45629 L
F
.44658 .43316 m
.45215 .43687 L
.45629 .43827 L
.46038 .44658 L
.45629 .4527 L
.4482 .44658 L
.44658 .43939 L
.44197 .43687 L
F
.44658 .49051 m
.44977 .49514 L
.45629 .50062 L
.45874 .50486 L
.45629 .50823 L
.449 .50486 L
.44658 .49935 L
.44211 .49514 L
F
.44658 .53074 m
.44887 .53399 L
.44658 .53807 L
.44212 .53399 L
F
.44658 .39337 m
.45397 .39802 L
.44658 .4046 L
.44213 .39802 L
F
.44658 .4706 m
.45014 .47572 L
.44658 .48309 L
.44235 .47572 L
F
.44658 .56904 m
.44813 .57284 L
.44658 .57614 L
.44237 .57284 L
F
.44658 .51028 m
.44907 .51457 L
.44658 .51901 L
.44238 .51457 L
F
.44658 .45223 m
.45041 .45629 L
.44658 .46149 L
.44266 .45629 L
F
.44658 .51095 m
.44866 .51457 L
.44658 .51833 L
.44295 .51457 L
F
.44658 .54839 m
.44794 .55342 L
.44658 .55636 L
.44312 .55342 L
F
.44658 .49164 m
.44894 .49514 L
.45629 .50111 L
.45843 .50486 L
.45629 .50784 L
.44963 .50486 L
.44658 .4982 L
.44316 .49514 L
F
.44658 .47198 m
.44927 .47572 L
.44658 .48163 L
.44334 .47572 L
F
.44658 .45314 m
.44963 .45629 L
.44658 .46037 L
.44348 .45629 L
F
.44658 .51165 m
.44824 .51457 L
.44658 .51761 L
.44356 .51457 L
F
.44658 .53248 m
.44764 .53399 L
.44658 .53608 L
.44407 .53399 L
F
.44658 .5124 m
.44779 .51457 L
.44658 .51684 L
.44424 .51457 L
F
.44658 .49294 m
.44801 .49514 L
.45629 .50161 L
.45811 .50486 L
.45629 .50743 L
.45029 .50486 L
.44658 .49698 L
.44436 .49514 L
F
.44658 .45413 m
.44876 .45629 L
.44658 .45917 L
.44439 .45629 L
F
.44658 .47343 m
.44829 .47572 L
.44658 .4799 L
.44447 .47572 L
F
.44658 .57162 m
.44701 .57284 L
.44658 .57387 L
.44476 .57284 L
F
.44658 .51323 m
.4473 .51457 L
.44658 .51599 L
.44503 .51457 L
F
.44658 .55155 m
.44689 .55342 L
.44658 .55415 L
.44532 .55342 L
F
.44658 .45524 m
.4477 .45629 L
.44658 .45777 L
.44547 .45629 L
F
.44658 .47508 m
.44707 .47572 L
.44658 .4774 L
.44592 .47572 L
F
.44658 .49463 m
.44688 .49514 L
.45629 .50213 L
.45779 .50486 L
.45629 .50701 L
.45098 .50486 L
.44658 .49553 L
.44602 .49514 L
F
.44658 .51422 m
.44676 .51457 L
.44658 .51495 L
.4461 .51457 L
F
.46601 .47889 m
.47489 .48543 L
.4676 .49514 L
.47368 .50486 L
.46754 .51457 L
.47572 .52354 L
.48117 .51457 L
.48543 .50891 L
.48957 .50486 L
.48543 .49927 L
.48172 .49514 L
.48543 .49242 L
.4897 .48543 L
.49514 .47788 L
.50314 .48543 L
.4968 .49514 L
.50248 .50486 L
.49647 .51457 L
.50486 .5226 L
.5106 .51457 L
.51457 .50812 L
.52428 .51457 L
.51791 .52428 L
.52314 .53399 L
.51758 .54371 L
.52428 .55328 L
.53166 .54371 L
.53399 .53885 L
.54097 .53399 L
.53399 .52896 L
.53206 .52428 L
.53399 .52211 L
.54036 .51457 L
.54371 .50797 L
.55206 .51457 L
.54545 .52428 L
.55022 .53399 L
.54511 .54371 L
.54371 .54536 L
.53827 .55342 L
.53965 .56313 L
.5377 .57284 L
.53399 .57716 L
.52937 .58256 L
.52428 .59004 L
.51836 .58256 L
.52375 .57284 L
.51457 .56378 L
.50911 .57284 L
.50486 .57882 L
.4955 .57284 L
.50294 .56313 L
.49607 .55342 L
.50225 .54371 L
.49514 .53422 L
.48844 .54371 L
.48543 .54875 L
.47986 .55342 L
.48543 .56217 L
.48699 .56313 L
.48543 .56453 L
.47949 .57284 L
.47572 .57925 L
.4677 .57284 L
.47532 .56313 L
.46791 .55342 L
.47365 .54371 L
.46601 .53458 L
.45868 .54371 L
.45629 .54879 L
.44731 .54371 L
.45389 .53399 L
.4481 .52428 L
.45256 .51457 L
.45629 .51044 L
.46052 .50486 L
.45629 .49758 L
.45401 .49514 L
.45629 .49379 L
.46043 .48543 L
F
.46601 .47908 m
.47472 .48543 L
.46739 .49514 L
.47337 .50486 L
.46743 .51457 L
.47572 .52369 L
.48125 .51457 L
.48543 .50901 L
.48968 .50486 L
.48543 .49912 L
.48188 .49514 L
.48543 .49252 L
.48976 .48543 L
.49514 .47797 L
.50306 .48543 L
.49666 .49514 L
.50234 .50486 L
.4964 .51457 L
.50486 .52269 L
.51066 .51457 L
.51457 .50823 L
.52417 .51457 L
.51776 .52428 L
.52282 .53399 L
.51745 .54371 L
.51457 .54757 L
.50932 .55342 L
.51457 .56306 L
.51471 .56313 L
.52428 .57226 L
.53399 .56327 L
.53717 .57284 L
.53399 .57656 L
.52884 .58256 L
.52428 .58911 L
.51893 .58256 L
.52404 .57284 L
.51457 .56324 L
.50893 .57284 L
.50486 .57855 L
.49579 .57284 L
.50346 .56313 L
.4963 .55342 L
.50234 .54371 L
.49514 .53402 L
.48835 .54371 L
.48543 .5486 L
.47967 .55342 L
.48543 .5625 L
.48644 .56313 L
.48543 .56408 L
.4766 .56313 L
.47572 .56264 L
.46822 .55342 L
.47385 .54371 L
.46601 .53417 L
.45846 .54371 L
.45629 .54834 L
.44785 .54371 L
.45491 .53399 L
.44874 .52428 L
.45289 .51457 L
.45629 .5108 L
.46081 .50486 L
.45629 .49698 L
.45468 .49514 L
.45629 .49417 L
.46058 .48543 L
F
.47572 .40979 m
.48173 .41744 L
.4763 .42716 L
.48543 .43614 L
.49085 .42716 L
.49514 .42114 L
.50455 .42716 L
.49715 .43687 L
.50397 .44658 L
.49777 .45629 L
.50486 .46575 L
.51155 .45629 L
.51457 .45122 L
.52011 .44658 L
.51457 .43789 L
.51292 .43687 L
.51457 .43539 L
.52047 .42716 L
.52428 .42068 L
.53236 .42716 L
.52487 .43687 L
.53214 .44658 L
.52638 .45629 L
.53399 .46536 L
.54128 .45629 L
.54371 .45112 L
.55271 .45629 L
.54631 .46601 L
.5521 .47572 L
.54746 .48543 L
.54371 .48963 L
.53953 .49514 L
.54371 .50237 L
.54614 .50486 L
.54371 .50626 L
.5396 .51457 L
.53399 .52114 L
.52508 .51457 L
.53236 .50486 L
.52626 .49514 L
.53244 .48543 L
.52428 .47649 L
.51884 .48543 L
.51457 .49111 L
.51045 .49514 L
.51457 .5007 L
.51831 .50486 L
.51457 .5076 L
.51031 .51457 L
.50486 .52213 L
.49685 .51457 L
.50318 .50486 L
.4975 .49514 L
.50351 .48543 L
.49514 .47742 L
.48941 .48543 L
.48543 .49189 L
.48094 .49514 L
.48543 .50001 L
.48898 .50486 L
.48543 .50837 L
.48079 .51457 L
.47572 .52279 L
.46807 .51457 L
.47522 .50486 L
.46862 .49514 L
.47569 .48543 L
.46601 .47792 L
.45968 .48543 L
.45629 .49208 L
.44786 .48543 L
.45445 .47572 L
.44971 .46601 L
.45479 .45629 L
.45629 .45454 L
.46165 .44658 L
.45989 .43687 L
.46222 .42716 L
.46601 .42273 L
.47054 .41744 L
F
.47572 .41073 m
.48117 .41744 L
.47601 .42716 L
.48543 .43666 L
.49104 .42716 L
.49514 .4214 L
.50426 .42716 L
.49663 .43687 L
.50374 .44658 L
.49767 .45629 L
.50486 .46595 L
.51164 .45629 L
.51457 .45137 L
.5203 .44658 L
.51457 .43756 L
.51346 .43687 L
.51457 .43584 L
.52364 .43687 L
.52428 .43723 L
.53183 .44658 L
.52618 .45629 L
.53399 .46576 L
.5415 .45629 L
.54371 .45158 L
.55218 .45629 L
.54526 .46601 L
.55147 .47572 L
.54714 .48543 L
.54371 .48927 L
.53924 .49514 L
.54371 .50296 L
.54544 .50486 L
.54371 .50587 L
.53945 .51457 L
.53399 .52095 L
.52525 .51457 L
.53257 .50486 L
.52658 .49514 L
.53255 .48543 L
.52428 .47634 L
.51876 .48543 L
.51457 .49101 L
.51034 .49514 L
.51457 .50085 L
.51815 .50486 L
.51457 .5075 L
.51025 .51457 L
.50486 .52204 L
.49693 .51457 L
.50332 .50486 L
.49764 .49514 L
.50359 .48543 L
.49514 .47733 L
.48935 .48543 L
.48543 .49179 L
.47581 .48543 L
.48221 .47572 L
.47713 .46601 L
.48253 .45629 L
.48543 .4524 L
.49065 .44658 L
.48543 .437 L
.48515 .43687 L
.47572 .42786 L
.46611 .43687 L
.47559 .44658 L
.46822 .45629 L
.46601 .4609 L
.45857 .46601 L
.46601 .47133 L
.46778 .47572 L
.46601 .47772 L
.45952 .48543 L
.45629 .49176 L
.44816 .48543 L
.45512 .47572 L
.45065 .46601 L
.45535 .45629 L
.45629 .45518 L
.46208 .44658 L
.46289 .43687 L
.46274 .42716 L
.46601 .42333 L
.47107 .41744 L
F
.46601 .47927 m
.47456 .48543 L
.46718 .49514 L
.47304 .50486 L
.46732 .51457 L
.47572 .52385 L
.48132 .51457 L
.48543 .50912 L
.4898 .50486 L
.48543 .49897 L
.48203 .49514 L
.48543 .49263 L
.48982 .48543 L
.49514 .47806 L
.50299 .48543 L
.49651 .49514 L
.5022 .50486 L
.49632 .51457 L
.50486 .52279 L
.51072 .51457 L
.51457 .50833 L
.52406 .51457 L
.51761 .52428 L
.5225 .53399 L
.51732 .54371 L
.51457 .54741 L
.50917 .55342 L
.51357 .56313 L
.50874 .57284 L
.50486 .57829 L
.49608 .57284 L
.504 .56313 L
.49653 .55342 L
.50243 .54371 L
.50486 .5397 L
.51103 .53399 L
.50486 .52826 L
.50298 .52428 L
.49514 .51654 L
.48845 .52428 L
.49484 .53399 L
.48825 .54371 L
.48543 .54845 L
.47948 .55342 L
.48543 .56286 L
.48587 .56313 L
.48543 .56356 L
.47817 .56313 L
.47572 .56197 L
.46852 .55342 L
.47405 .54371 L
.47572 .54142 L
.48174 .53399 L
.47572 .52628 L
.47501 .52428 L
.46601 .51745 L
.4582 .52428 L
.46535 .53399 L
.45824 .54371 L
.45629 .54788 L
.44838 .54371 L
.45602 .53399 L
.44939 .52428 L
.45322 .51457 L
.45629 .51116 L
.4611 .50486 L
.45629 .49629 L
.45538 .49514 L
.45629 .49458 L
.46073 .48543 L
F
.46601 .53597 m
.47285 .54371 L
.46666 .55342 L
.47108 .56313 L
.46614 .57284 L
.47572 .58085 L
.48038 .57284 L
.48543 .56608 L
.49432 .57284 L
.48748 .58256 L
.48921 .59227 L
.48667 .60198 L
.48543 .60426 L
.47773 .61169 L
.47572 .61634 L
.46927 .61169 L
.47327 .60198 L
.47572 .59849 L
.48345 .59227 L
.47572 .58908 L
.47306 .58256 L
.46601 .57317 L
.45751 .58256 L
.45629 .58733 L
.44841 .58256 L
.45183 .57284 L
.45629 .56782 L
.46065 .56313 L
.45629 .55959 L
.45207 .55342 L
.45629 .55066 L
.45954 .54371 L
F
.46601 .4386 m
.4751 .44658 L
.46807 .45629 L
.46601 .46059 L
.45803 .46601 L
.46601 .4717 L
.46759 .47572 L
.46601 .47751 L
.45937 .48543 L
.45629 .49145 L
.44846 .48543 L
.4558 .47572 L
.45164 .46601 L
.45592 .45629 L
.45629 .45584 L
.46251 .44658 L
F
.45629 .41747 m
.46067 .42716 L
.45629 .43501 L
.44852 .42716 L
F
.45629 .47587 m
.45921 .48543 L
.45629 .49114 L
.44875 .48543 L
F
.45629 .53489 m
.45802 .54371 L
.45629 .54742 L
.44892 .54371 L
F
.45629 .43923 m
.45995 .44658 L
.45629 .45209 L
.44893 .44658 L
F
.45629 .47639 m
.45906 .48543 L
.45629 .49083 L
.44905 .48543 L
F
.45629 .41872 m
.46014 .42716 L
.45629 .43386 L
.44934 .42716 L
F
.45629 .47688 m
.4589 .48543 L
.45629 .49052 L
.44935 .48543 L
F
.45629 .53593 m
.45779 .54371 L
.45629 .54695 L
.44948 .54371 L
F
.45629 .47736 m
.45874 .48543 L
.45629 .49022 L
.44965 .48543 L
F
.45629 .44012 m
.45951 .44658 L
.45629 .45147 L
.44966 .44658 L
F
.45629 .47783 m
.45858 .48543 L
.45629 .48991 L
.44996 .48543 L
F
.46601 .47945 m
.47439 .48543 L
.46697 .49514 L
.47271 .50486 L
.46722 .51457 L
.47572 .52401 L
.4814 .51457 L
.48543 .50922 L
.48992 .50486 L
.48543 .49882 L
.48219 .49514 L
.48543 .49274 L
.48988 .48543 L
.49514 .47815 L
.50291 .48543 L
.49637 .49514 L
.50206 .50486 L
.49625 .51457 L
.50486 .52288 L
.51078 .51457 L
.51457 .50843 L
.52395 .51457 L
.51745 .52428 L
.52217 .53399 L
.5172 .54371 L
.51457 .54724 L
.50901 .55342 L
.51214 .56313 L
.50856 .57284 L
.50486 .57803 L
.49638 .57284 L
.50456 .56313 L
.49676 .55342 L
.50253 .54371 L
.50486 .53986 L
.51121 .53399 L
.50486 .52806 L
.50311 .52428 L
.49514 .51641 L
.48834 .52428 L
.49448 .53399 L
.48816 .54371 L
.48543 .5483 L
.47928 .55342 L
.47572 .56137 L
.46883 .55342 L
.47425 .54371 L
.47572 .54169 L
.48197 .53399 L
.47572 .52574 L
.47529 .52428 L
.46601 .51722 L
.45791 .52428 L
.45629 .53165 L
.45005 .52428 L
.45355 .51457 L
.45629 .51151 L
.46139 .50486 L
.45629 .49544 L
.45609 .49514 L
.45629 .49501 L
.46088 .48543 L
F
.45629 .53691 m
.45756 .54371 L
.45629 .54648 L
.45005 .54371 L
F
.45629 .41989 m
.4596 .42716 L
.45629 .43282 L
.45017 .42716 L
F
.45629 .47829 m
.45842 .48543 L
.45629 .4896 L
.45027 .48543 L
F
.45629 .38136 m
.46038 .38831 L
.45629 .39522 L
.45039 .38831 L
F
.45629 .44098 m
.45906 .44658 L
.45629 .45083 L
.4504 .44658 L
F
.45629 .47876 m
.45826 .48543 L
.45629 .48929 L
.45058 .48543 L
F
.45629 .53788 m
.45732 .54371 L
.45629 .54599 L
.45066 .54371 L
F
.46601 .47964 m
.47422 .48543 L
.46675 .49514 L
.47237 .50486 L
.46711 .51457 L
.47572 .52418 L
.48148 .51457 L
.48543 .50932 L
.49003 .50486 L
.48543 .49867 L
.48235 .49514 L
.48543 .49285 L
.48993 .48543 L
.49514 .47824 L
.50284 .48543 L
.49623 .49514 L
.50192 .50486 L
.49617 .51457 L
.50486 .52298 L
.51084 .51457 L
.51457 .50853 L
.52384 .51457 L
.5173 .52428 L
.52185 .53399 L
.51707 .54371 L
.51457 .54707 L
.50885 .55342 L
.50486 .56278 L
.497 .55342 L
.50262 .54371 L
.50486 .54001 L
.51141 .53399 L
.50486 .52787 L
.50323 .52428 L
.49514 .51629 L
.48823 .52428 L
.49412 .53399 L
.48807 .54371 L
.48543 .54815 L
.47908 .55342 L
.47572 .56081 L
.46914 .55342 L
.47445 .54371 L
.47572 .54196 L
.48221 .53399 L
.47572 .52503 L
.47556 .52428 L
.46601 .51698 L
.45761 .52428 L
.45629 .52983 L
.45075 .52428 L
.45388 .51457 L
.45629 .51188 L
.46169 .50486 L
.45679 .49514 L
.46103 .48543 L
F
.45629 .47922 m
.45809 .48543 L
.45629 .48898 L
.45091 .48543 L
F
.45629 .42104 m
.45904 .42716 L
.45629 .43182 L
.45101 .42716 L
F
.45629 .44183 m
.4586 .44658 L
.45629 .45017 L
.45116 .44658 L
F
.45629 .47969 m
.45792 .48543 L
.45629 .48867 L
.45124 .48543 L
F
.45629 .53887 m
.45708 .54371 L
.45629 .54548 L
.45132 .54371 L
F
.45629 .56887 m
.46542 .57284 L
.45659 .58256 L
.45629 .58358 L
.45138 .58256 L
.45273 .57284 L
F
.46601 .47982 m
.47405 .48543 L
.46653 .49514 L
.47203 .50486 L
.467 .51457 L
.46601 .51674 L
.4573 .52428 L
.45629 .52833 L
.4515 .52428 L
.45422 .51457 L
.45629 .51224 L
.46199 .50486 L
.45752 .49514 L
.46118 .48543 L
F
.45629 .48016 m
.45775 .48543 L
.45629 .48834 L
.45158 .48543 L
F
.45629 .50267 m
.45746 .50486 L
.45629 .50656 L
.45171 .50486 L
F
.45629 .4222 m
.45846 .42716 L
.45629 .43083 L
.45191 .42716 L
F
.45629 .48065 m
.45758 .48543 L
.45629 .48802 L
.45194 .48543 L
F
.45629 .44271 m
.45812 .44658 L
.45629 .44947 L
.45197 .44658 L
F
.45629 .53994 m
.45683 .54371 L
.45629 .54495 L
.45205 .54371 L
F
.45629 .48115 m
.4574 .48543 L
.45629 .48768 L
.45232 .48543 L
F
.46601 .48 m
.47387 .48543 L
.4663 .49514 L
.47167 .50486 L
.46688 .51457 L
.46601 .5165 L
.45697 .52428 L
.45629 .52695 L
.45235 .52428 L
.45456 .51457 L
.45629 .51261 L
.46229 .50486 L
.45831 .49514 L
.46133 .48543 L
F
.45629 .50325 m
.45711 .50486 L
.45629 .50609 L
.45254 .50486 L
F
.45629 .60904 m
.46271 .61169 L
.45629 .61745 L
.4527 .61169 L
F
.45629 .48168 m
.45722 .48543 L
.45629 .48733 L
.45272 .48543 L
F
.45629 .45679 m
.45744 .46601 L
.46601 .47207 L
.4674 .47572 L
.46601 .4773 L
.45646 .47572 L
.45629 .47027 L
.45276 .46601 L
F
.46601 .53628 m
.47265 .54371 L
.46634 .55342 L
.46995 .56313 L
.46601 .57169 L
.46186 .56313 L
.45629 .55868 L
.45284 .55342 L
.45629 .55115 L
.45975 .54371 L
F
.45629 .44365 m
.45762 .44658 L
.45629 .44873 L
.45286 .44658 L
F
.45629 .42343 m
.45785 .42716 L
.45629 .4298 L
.45289 .42716 L
F
.45629 .5412 m
.45658 .54371 L
.45629 .54438 L
.45294 .54371 L
F
.45629 .48225 m
.45704 .48543 L
.45629 .48697 L
.45316 .48543 L
F
.46601 .48019 m
.4737 .48543 L
.46607 .49514 L
.4713 .50486 L
.46677 .51457 L
.46601 .51626 L
.45664 .52428 L
.45629 .52562 L
.45338 .52428 L
.4549 .51457 L
.45629 .51299 L
.4626 .50486 L
.4592 .49514 L
.46148 .48543 L
F
.45629 .5039 m
.45675 .50486 L
.45629 .50557 L
.45352 .50486 L
F
.46601 .53658 m
.47244 .54371 L
.46601 .55342 L
.4687 .56313 L
.46601 .56962 L
.46318 .56313 L
.45629 .55773 L
.45364 .55342 L
.45629 .55167 L
.45996 .54371 L
F
.45629 .48286 m
.45685 .48543 L
.45629 .4866 L
.45364 .48543 L
F
.45629 .56992 m
.46443 .57284 L
.45629 .58114 L
.45364 .57284 L
F
.45629 .36609 m
.45816 .36888 L
.45629 .37103 L
.45375 .36888 L
F
.45629 .4447 m
.45708 .44658 L
.45629 .4479 L
.45391 .44658 L
F
.45629 .42484 m
.45718 .42716 L
.45629 .4287 L
.45405 .42716 L
F
.45629 .45871 m
.45682 .46601 L
.46601 .47246 L
.4672 .47572 L
.46601 .47709 L
.45703 .47572 L
.45629 .46782 L
.45415 .46601 L
F
.45629 .48357 m
.45665 .48543 L
.45629 .4862 L
.45421 .48543 L
F
.45629 .54329 m
.45631 .54371 L
.45629 .54375 L
.45426 .54371 L
F
.45629 .40468 m
.45726 .40773 L
.46601 .40952 L
.46894 .41744 L
.46601 .42093 L
.45632 .41744 L
.45629 .4086 L
.45427 .40773 L
F
.45629 .55221 m
.46519 .55342 L
.46601 .56187 L
.46718 .56313 L
.46601 .56667 L
.46476 .56313 L
.45629 .5567 L
.45446 .55342 L
F
.45629 .57102 m
.46324 .57284 L
.45629 .57899 L
.45462 .57284 L
F
.45629 .48444 m
.45645 .48543 L
.45629 .48578 L
.45497 .48543 L
F
.45629 .50467 m
.45637 .50486 L
.45629 .50498 L
.45505 .50486 L
F
.46601 .49748 m
.47092 .50486 L
.46666 .51457 L
.46601 .51602 L
.45629 .52427 L
.45525 .51457 L
.45629 .51338 L
.46292 .50486 L
F
.45629 .55279 m
.46419 .55342 L
.45629 .55548 L
.45534 .55342 L
F
.45629 .44603 m
.45649 .44658 L
.45629 .44693 L
.4554 .44658 L
F
.46601 .49876 m
.47052 .50486 L
.46655 .51457 L
.46601 .51577 L
.45629 .52307 L
.45561 .51457 L
.45629 .51378 L
.46324 .50486 L
F
.45629 .5722 m
.46163 .57284 L
.45629 .57631 L
.4557 .57284 L
F
.45629 .42672 m
.45642 .42716 L
.45629 .4274 L
.45578 .42716 L
F
.46601 .49977 m
.4701 .50486 L
.46643 .51457 L
.46601 .51552 L
.45629 .52174 L
.45597 .51457 L
.45629 .5142 L
.46357 .50486 L
F
.46601 .50066 m
.46966 .50486 L
.46632 .51457 L
.46601 .51526 L
.45636 .51457 L
.46391 .50486 L
F
.46601 .44003 m
.47457 .44658 L
.46793 .45629 L
.46601 .46029 L
.45642 .45629 L
.46294 .44658 L
F
.46601 .50149 m
.46917 .50486 L
.4662 .51457 L
.46601 .515 L
.45678 .51457 L
.46427 .50486 L
F
.46601 .44125 m
.474 .44658 L
.46778 .45629 L
.46601 .45998 L
.45682 .45629 L
.46339 .44658 L
F
.46601 .44236 m
.47338 .44658 L
.46763 .45629 L
.46601 .45968 L
.45721 .45629 L
.46384 .44658 L
F
.46601 .5023 m
.46864 .50486 L
.46608 .51457 L
.46601 .51474 L
.45722 .51457 L
.46465 .50486 L
F
.46601 .38385 m
.47572 .38154 L
.47693 .38831 L
.48543 .39628 L
.49165 .38831 L
.49514 .38031 L
.50486 .38151 L
.50572 .38831 L
.51457 .39474 L
.52121 .38831 L
.52428 .38074 L
.53283 .38831 L
.52767 .39802 L
.52428 .40291 L
.51876 .40773 L
.52428 .41004 L
.5275 .41744 L
.53399 .42604 L
.54177 .41744 L
.54371 .40799 L
.55342 .4136 L
.554 .41744 L
.55342 .41779 L
.54886 .42716 L
.54371 .4331 L
.54033 .43687 L
.54371 .43967 L
.54863 .44658 L
.54371 .44973 L
.54064 .45629 L
.53399 .4643 L
.52698 .45629 L
.53307 .44658 L
.52803 .43687 L
.53353 .42716 L
.52428 .41949 L
.5198 .42716 L
.51457 .43422 L
.50544 .42716 L
.51221 .41744 L
.50781 .40773 L
.51276 .39802 L
.50486 .38888 L
.49868 .39802 L
.49514 .40401 L
.48945 .40773 L
.49514 .40944 L
.4985 .41744 L
.49514 .42033 L
.4903 .42716 L
.48543 .43486 L
.47715 .42716 L
.48339 .41744 L
.47912 .40773 L
.48425 .39802 L
.47572 .38945 L
.46898 .39802 L
.46601 .40392 L
.4573 .39802 L
.4636 .38831 L
F
.46601 .41075 m
.4684 .41744 L
.46601 .42031 L
.45757 .41744 L
F
.46601 .44341 m
.4727 .44658 L
.46748 .45629 L
.46601 .45937 L
.45762 .45629 L
.46431 .44658 L
F
.46601 .47288 m
.467 .47572 L
.46601 .47687 L
.45762 .47572 L
F
.46601 .44442 m
.47191 .44658 L
.46733 .45629 L
.46601 .45906 L
.45803 .45629 L
.46481 .44658 L
F
.46601 .47331 m
.4668 .47572 L
.46601 .47664 L
.45824 .47572 L
F
.46601 .44541 m
.47096 .44658 L
.46718 .45629 L
.46601 .45875 L
.45845 .45629 L
.46534 .44658 L
F
.46601 .51768 m
.47474 .52428 L
.47572 .52673 L
.4815 .53399 L
.47572 .54115 L
.46616 .53399 L
.46601 .53376 L
.45849 .52428 L
F
.46601 .51792 m
.47447 .52428 L
.47572 .52714 L
.48127 .53399 L
.47572 .54088 L
.46654 .53399 L
.46601 .53325 L
.45878 .52428 L
F
.46601 .41197 m
.46784 .41744 L
.46601 .41966 L
.45883 .41744 L
F
.46601 .44641 m
.46963 .44658 L
.46702 .45629 L
.46601 .45844 L
.45888 .45629 L
.4659 .44658 L
F
.46601 .4738 m
.46659 .47572 L
.46601 .47641 L
.45889 .47572 L
F
.46601 .51815 m
.4742 .52428 L
.47572 .52752 L
.48103 .53399 L
.47572 .54061 L
.46691 .53399 L
.46601 .53279 L
.45906 .52428 L
F
.47572 .44676 m
.4824 .45629 L
.47681 .46601 L
.48206 .47572 L
.47572 .4854 L
.46797 .47572 L
.46601 .47098 L
.4591 .46601 L
.46601 .4612 L
.46836 .45629 L
F
.46601 .57504 m
.4717 .58256 L
.47572 .59122 L
.47831 .59227 L
.47572 .59486 L
.46897 .59227 L
.46601 .59135 L
.4592 .58256 L
F
.46601 .59438 m
.47101 .60198 L
.46601 .6102 L
.45931 .60198 L
F
.46601 .38932 m
.46801 .39802 L
.46601 .4019 L
.45932 .39802 L
F
.46601 .44724 m
.46687 .45629 L
.46601 .45811 L
.45933 .45629 L
F
.46601 .51838 m
.47393 .52428 L
.47572 .52787 L
.4808 .53399 L
.47572 .54034 L
.46727 .53399 L
.46601 .53237 L
.45933 .52428 L
F
.46601 .47434 m
.46638 .47572 L
.46601 .47616 L
.45961 .47572 L
F
.46601 .51862 m
.47365 .52428 L
.47572 .52821 L
.48056 .53399 L
.47572 .54007 L
.46763 .53399 L
.46601 .53197 L
.45961 .52428 L
F
.47572 .44699 m
.48228 .45629 L
.47648 .46601 L
.48191 .47572 L
.47572 .48517 L
.46816 .47572 L
.46601 .47062 L
.45961 .46601 L
.46601 .46151 L
.46851 .45629 L
F
.46601 .44805 m
.46671 .45629 L
.46601 .45779 L
.45981 .45629 L
F
.46601 .51885 m
.47337 .52428 L
.47572 .52854 L
.48033 .53399 L
.47572 .5398 L
.46798 .53399 L
.46601 .53159 L
.45988 .52428 L
F
.46601 .57595 m
.47101 .58256 L
.46601 .59009 L
.46002 .58256 L
F
.47572 .44722 m
.48215 .45629 L
.47616 .46601 L
.48175 .47572 L
.47572 .48495 L
.46835 .47572 L
.46601 .47028 L
.46012 .46601 L
.46601 .46183 L
.46865 .45629 L
F
.46601 .51909 m
.4731 .52428 L
.47572 .52886 L
.48009 .53399 L
.47572 .53953 L
.46833 .53399 L
.46601 .53123 L
.46016 .52428 L
F
.46601 .53688 m
.47224 .54371 L
.46601 .55304 L
.46018 .54371 L
F
.46601 .41326 m
.46726 .41744 L
.46601 .41898 L
.46018 .41744 L
F
.46601 .4489 m
.46654 .45629 L
.46601 .45745 L
.46032 .45629 L
F
.46601 .53716 m
.47203 .54371 L
.46601 .55266 L
.46039 .54371 L
F
.46601 .47502 m
.46617 .47572 L
.46601 .47591 L
.46042 .47572 L
F
.46601 .51932 m
.47282 .52428 L
.47572 .52916 L
.47985 .53399 L
.47572 .53925 L
.46868 .53399 L
.46601 .53088 L
.46043 .52428 L
F
.46601 .53745 m
.47183 .54371 L
.46601 .55229 L
.4606 .54371 L
F
.47572 .44744 m
.48202 .45629 L
.47583 .46601 L
.4816 .47572 L
.47572 .48473 L
.46854 .47572 L
.46601 .46993 L
.46061 .46601 L
.46601 .46215 L
.46879 .45629 L
F
.46601 .51956 m
.47253 .52428 L
.47572 .52947 L
.47961 .53399 L
.47572 .53897 L
.46903 .53399 L
.46601 .53054 L
.4607 .52428 L
F
.46601 .59654 m
.46985 .60198 L
.46601 .60823 L
.46077 .60198 L
F
.46601 .53773 m
.47162 .54371 L
.46601 .55193 L
.46081 .54371 L
F
.46601 .57688 m
.4703 .58256 L
.46601 .58893 L
.46085 .58256 L
F
.46601 .44983 m
.46638 .45629 L
.46601 .4571 L
.46087 .45629 L
F
.46601 .5198 m
.47224 .52428 L
.47572 .52977 L
.47937 .53399 L
.47572 .53869 L
.46938 .53399 L
.46601 .5302 L
.46098 .52428 L
F
.46601 .53801 m
.4714 .54371 L
.46601 .55158 L
.46102 .54371 L
F
.46601 .46247 m
.47535 .46601 L
.47572 .46634 L
.48144 .47572 L
.47572 .48451 L
.46872 .47572 L
.46601 .46958 L
.4611 .46601 L
F
.46601 .53828 m
.47119 .54371 L
.46601 .55123 L
.46124 .54371 L
F
.46601 .52005 m
.47195 .52428 L
.47572 .53007 L
.47913 .53399 L
.47572 .5384 L
.46973 .53399 L
.46601 .52987 L
.46125 .52428 L
F
.46601 .53855 m
.47097 .54371 L
.46601 .55089 L
.46146 .54371 L
F
.46601 .45089 m
.46621 .45629 L
.46601 .45675 L
.46151 .45629 L
F
.46601 .5203 m
.47165 .52428 L
.47572 .53036 L
.47888 .53399 L
.47572 .53811 L
.47009 .53399 L
.46601 .52953 L
.46153 .52428 L
F
.46601 .4628 m
.47479 .46601 L
.47572 .46677 L
.48129 .47572 L
.47572 .48429 L
.46891 .47572 L
.46601 .46923 L
.46159 .46601 L
F
.46601 .39278 m
.46697 .39802 L
.46601 .39991 L
.46161 .39802 L
F
.46601 .48037 m
.47352 .48543 L
.46601 .49488 L
.46163 .48543 L
F
.46601 .53883 m
.47075 .54371 L
.46601 .55054 L
.46167 .54371 L
F
.46601 .57784 m
.46956 .58256 L
.46601 .5878 L
.4617 .58256 L
F
.46601 .41477 m
.46665 .41744 L
.46601 .41824 L
.46177 .41744 L
F
.46601 .48055 m
.47334 .48543 L
.46601 .49453 L
.46178 .48543 L
F
.46601 .52055 m
.47135 .52428 L
.47572 .53066 L
.47863 .53399 L
.47572 .53781 L
.47046 .53399 L
.46601 .5292 L
.46181 .52428 L
F
.46601 .5391 m
.47053 .54371 L
.46601 .5502 L
.46189 .54371 L
F
.46601 .48073 m
.47316 .48543 L
.46601 .49419 L
.46193 .48543 L
F
.46601 .48092 m
.47297 .48543 L
.46601 .49386 L
.46209 .48543 L
F
.46601 .46314 m
.4742 .46601 L
.47572 .46716 L
.48114 .47572 L
.47572 .48407 L
.46909 .47572 L
.46601 .46887 L
.46209 .46601 L
F
.46601 .5208 m
.47104 .52428 L
.47572 .53096 L
.47838 .53399 L
.47572 .53751 L
.47083 .53399 L
.46601 .52887 L
.46209 .52428 L
F
.46601 .53937 m
.4703 .54371 L
.46601 .54986 L
.46212 .54371 L
F
.46601 .4811 m
.47278 .48543 L
.46601 .49353 L
.46224 .48543 L
F
.46601 .45226 m
.46604 .45629 L
.46601 .45637 L
.46229 .45629 L
F
.46601 .59844 m
.4686 .60198 L
.46601 .60626 L
.46233 .60198 L
F
.46601 .53964 m
.47007 .54371 L
.46601 .54951 L
.46234 .54371 L
F
.46601 .52106 m
.47072 .52428 L
.47572 .53126 L
.47812 .53399 L
.47572 .53719 L
.47122 .53399 L
.46601 .52854 L
.46238 .52428 L
F
.46601 .48128 m
.47259 .48543 L
.46601 .49322 L
.4624 .48543 L
F
.46601 .48147 m
.4724 .48543 L
.46601 .4929 L
.46255 .48543 L
F
.46601 .53992 m
.46983 .54371 L
.46601 .54916 L
.46258 .54371 L
F
.46601 .4635 m
.47358 .46601 L
.47572 .46752 L
.48098 .47572 L
.47572 .48384 L
.46928 .47572 L
.46601 .46851 L
.46259 .46601 L
F
.46601 .57885 m
.46878 .58256 L
.46601 .58666 L
.46261 .58256 L
F
.46601 .52132 m
.47039 .52428 L
.47572 .53157 L
.47785 .53399 L
.47572 .53686 L
.47161 .53399 L
.46601 .5282 L
.46268 .52428 L
F
.46601 .48165 m
.4722 .48543 L
.46601 .49259 L
.46271 .48543 L
F
.46601 .5402 m
.46958 .54371 L
.46601 .54881 L
.46281 .54371 L
F
.46601 .48184 m
.47199 .48543 L
.46601 .49228 L
.46287 .48543 L
F
.46601 .5216 m
.47005 .52428 L
.47572 .53188 L
.47758 .53399 L
.47572 .53653 L
.47203 .53399 L
.46601 .52786 L
.46298 .52428 L
F
.46601 .48203 m
.47178 .48543 L
.46601 .49198 L
.46303 .48543 L
F
.46601 .54048 m
.46933 .54371 L
.46601 .54845 L
.46305 .54371 L
F
.46601 .46386 m
.47291 .46601 L
.47572 .46786 L
.48083 .47572 L
.47572 .48362 L
.46946 .47572 L
.46601 .46813 L
.46311 .46601 L
F
.46601 .48222 m
.47157 .48543 L
.46601 .49167 L
.46319 .48543 L
F
.46601 .42394 m
.47571 .42716 L
.46601 .43524 L
.46327 .42716 L
F
.46601 .52187 m
.46969 .52428 L
.47572 .5322 L
.47729 .53399 L
.47572 .53617 L
.47247 .53399 L
.46601 .52751 L
.46329 .52428 L
F
.46601 .54077 m
.46907 .54371 L
.46601 .54809 L
.4633 .54371 L
F
.46601 .48241 m
.47135 .48543 L
.46601 .49136 L
.46336 .48543 L
F
.46601 .4826 m
.47113 .48543 L
.46601 .49105 L
.46352 .48543 L
F
.46601 .54106 m
.4688 .54371 L
.46601 .54771 L
.46355 .54371 L
F
.46601 .52216 m
.46932 .52428 L
.47572 .53253 L
.477 .53399 L
.47572 .5358 L
.47294 .53399 L
.46601 .52714 L
.4636 .52428 L
F
.46601 .57997 m
.46791 .58256 L
.46601 .58542 L
.46361 .58256 L
F
.46601 .46425 m
.47217 .46601 L
.47572 .46818 L
.48067 .47572 L
.47572 .4834 L
.46964 .47572 L
.46601 .46774 L
.46364 .46601 L
F
.46601 .35707 m
.46655 .35917 L
.46601 .35989 L
.46369 .35917 L
F
.46601 .4828 m
.47089 .48543 L
.46601 .49073 L
.46369 .48543 L
F
.46601 .42457 m
.47507 .42716 L
.46601 .43377 L
.46381 .42716 L
F
.46601 .54136 m
.46852 .54371 L
.46601 .54732 L
.46381 .54371 L
F
.46601 .63754 m
.46699 .64083 L
.46601 .64271 L
.46386 .64083 L
F
.46601 .48299 m
.47065 .48543 L
.46601 .49041 L
.46387 .48543 L
F
.46601 .52246 m
.46893 .52428 L
.47572 .53288 L
.47669 .53399 L
.47572 .5354 L
.47346 .53399 L
.46601 .52677 L
.46394 .52428 L
F
.46601 .4832 m
.4704 .48543 L
.46601 .49008 L
.46404 .48543 L
F
.46601 .54166 m
.46823 .54371 L
.46601 .54691 L
.46409 .54371 L
F
.46601 .46465 m
.47135 .46601 L
.47572 .46848 L
.48051 .47572 L
.47572 .48317 L
.46983 .47572 L
.46601 .46734 L
.4642 .46601 L
F
.46601 .60045 m
.46715 .60198 L
.46601 .60398 L
.46421 .60198 L
F
.46601 .4834 m
.47014 .48543 L
.46601 .48975 L
.46422 .48543 L
F
.46601 .52277 m
.4685 .52428 L
.47572 .53324 L
.47637 .53399 L
.47572 .53496 L
.47405 .53399 L
.46601 .52637 L
.46428 .52428 L
F
.46601 .54198 m
.46792 .54371 L
.46601 .54649 L
.46437 .54371 L
F
.46601 .42522 m
.47436 .42716 L
.46601 .43239 L
.46437 .42716 L
F
.46601 .48361 m
.46986 .48543 L
.46601 .4894 L
.4644 .48543 L
F
.46601 .48383 m
.46957 .48543 L
.46601 .48904 L
.46459 .48543 L
F
.46601 .5231 m
.46804 .52428 L
.47572 .53363 L
.47603 .53399 L
.47572 .53447 L
.47478 .53399 L
.46601 .52595 L
.46465 .52428 L
F
.46601 .54231 m
.46759 .54371 L
.46601 .54603 L
.46467 .54371 L
F
.46601 .48404 m
.46926 .48543 L
.46601 .48867 L
.46478 .48543 L
F
.46601 .46509 m
.47039 .46601 L
.47572 .46878 L
.48035 .47572 L
.47572 .48295 L
.47002 .47572 L
.46601 .4669 L
.46479 .46601 L
F
.46601 .58129 m
.46691 .58256 L
.46601 .58398 L
.46481 .58256 L
F
.46601 .4259 m
.47353 .42716 L
.46601 .43095 L
.46496 .42716 L
F
.46601 .48427 m
.46892 .48543 L
.46601 .48827 L
.46498 .48543 L
F
.46601 .54266 m
.46723 .54371 L
.46601 .54553 L
.46499 .54371 L
F
.46601 .52345 m
.46752 .52428 L
.46601 .52549 L
.46504 .52428 L
F
.46601 .5031 m
.46803 .50486 L
.46601 .51433 L
.46505 .50486 L
F
.46601 .4845 m
.46855 .48543 L
.46601 .48783 L
.46519 .48543 L
F
.46601 .54302 m
.46683 .54371 L
.46601 .54497 L
.46533 .54371 L
F
.46601 .48474 m
.46813 .48543 L
.46601 .48736 L
.4654 .48543 L
F
.46601 .46558 m
.46913 .46601 L
.47572 .46907 L
.4802 .47572 L
.47572 .48272 L
.4702 .47572 L
.46601 .46643 L
.46544 .46601 L
F
.46601 .52383 m
.46691 .52428 L
.46601 .52497 L
.46547 .52428 L
F
.46601 .50392 m
.46728 .50486 L
.46601 .51362 L
.46548 .50486 L
F
.46601 .42665 m
.47251 .42716 L
.46601 .4292 L
.46559 .42716 L
F
.46601 .48499 m
.46762 .48543 L
.46601 .4868 L
.46562 .48543 L
F
.46601 .54342 m
.46637 .54371 L
.46601 .5443 L
.46572 .54371 L
F
.46601 .48526 m
.46693 .48543 L
.46601 .4861 L
.46585 .48543 L
F
.46601 .52424 m
.4661 .52428 L
.46601 .52435 L
.46596 .52428 L
F
.46601 .50479 m
.46614 .50486 L
.46601 .51275 L
.46597 .50486 L
F
.47572 .42855 m
.48436 .43687 L
.48543 .43737 L
.49049 .44658 L
.48543 .45223 L
.47591 .44658 L
.47572 .44385 L
.46702 .43687 L
F
.47572 .35816 m
.4781 .35917 L
.47598 .36888 L
.47572 .36955 L
.46786 .36888 L
.475 .35917 L
F
.47572 .42924 m
.48361 .43687 L
.48543 .43771 L
.49034 .44658 L
.48543 .45206 L
.47617 .44658 L
.47572 .44286 L
.46786 .43687 L
F
.47572 .62571 m
.47788 .63112 L
.47572 .63511 L
.46806 .63112 L
F
.47572 .56371 m
.47927 .57284 L
.47572 .57887 L
.46809 .57284 L
F
.47572 .48564 m
.48079 .49514 L
.48543 .50016 L
.48886 .50486 L
.48543 .50826 L
.48072 .51457 L
.47572 .52265 L
.46818 .51457 L
.47553 .50486 L
.46882 .49514 L
F
.47572 .50493 m
.48064 .51457 L
.47572 .52251 L
.46829 .51457 L
F
.47572 .50512 m
.48057 .51457 L
.47572 .52237 L
.46839 .51457 L
F
.47572 .56448 m
.47904 .57284 L
.47572 .57848 L
.46847 .57284 L
F
.47572 .50531 m
.48049 .51457 L
.47572 .52223 L
.4685 .51457 L
F
.47572 .50549 m
.48041 .51457 L
.47572 .5221 L
.4686 .51457 L
F
.47572 .42993 m
.48286 .43687 L
.48543 .43803 L
.49018 .44658 L
.48543 .4519 L
.47643 .44658 L
.47572 .44207 L
.46866 .43687 L
F
.47572 .50567 m
.48034 .51457 L
.47572 .52196 L
.46871 .51457 L
F
.47572 .50585 m
.48026 .51457 L
.47572 .52183 L
.46881 .51457 L
F
.47572 .56516 m
.47882 .57284 L
.47572 .5781 L
.46885 .57284 L
F
.47572 .50602 m
.48018 .51457 L
.47572 .5217 L
.46891 .51457 L
F
.47572 .44765 m
.4819 .45629 L
.47572 .4658 L
.46893 .45629 L
F
.47572 .50619 m
.48011 .51457 L
.47572 .52156 L
.46902 .51457 L
F
.47572 .48589 m
.48063 .49514 L
.48543 .50031 L
.48875 .50486 L
.48543 .50815 L
.4758 .50486 L
.47572 .50449 L
.46902 .49514 L
F
.47572 .44787 m
.48177 .45629 L
.47572 .4655 L
.46908 .45629 L
F
.47572 .50636 m
.48003 .51457 L
.47572 .52143 L
.46912 .51457 L
F
.47572 .44807 m
.48164 .45629 L
.47572 .46523 L
.46922 .45629 L
F
.47572 .48614 m
.48047 .49514 L
.48543 .50045 L
.48863 .50486 L
.48543 .50804 L
.47604 .50486 L
.47572 .50379 L
.46922 .49514 L
F
.47572 .50652 m
.47995 .51457 L
.47572 .5213 L
.46923 .51457 L
F
.47572 .56578 m
.47858 .57284 L
.47572 .57772 L
.46924 .57284 L
F
.47572 .50668 m
.47988 .51457 L
.47572 .52117 L
.46933 .51457 L
F
.47572 .44828 m
.48152 .45629 L
.47572 .46496 L
.46936 .45629 L
F
.47572 .48639 m
.48031 .49514 L
.48543 .5006 L
.48851 .50486 L
.48543 .50793 L
.47627 .50486 L
.47572 .50325 L
.46942 .49514 L
F
.47572 .43063 m
.48212 .43687 L
.48543 .43834 L
.49003 .44658 L
.48543 .45173 L
.47668 .44658 L
.47572 .44136 L
.46944 .43687 L
F
.47572 .50684 m
.4798 .51457 L
.47572 .52104 L
.46944 .51457 L
F
.49514 .47833 m
.50276 .48543 L
.49608 .49514 L
.50178 .50486 L
.49609 .51457 L
.50486 .52308 L
.51089 .51457 L
.51457 .50863 L
.52373 .51457 L
.51714 .52428 L
.52152 .53399 L
.51694 .54371 L
.51457 .54691 L
.5087 .55342 L
.50486 .56217 L
.49723 .55342 L
.50272 .54371 L
.50486 .54017 L
.5116 .53399 L
.50486 .52767 L
.50336 .52428 L
.49514 .51616 L
.48811 .52428 L
.49375 .53399 L
.48798 .54371 L
.48543 .54799 L
.47888 .55342 L
.47572 .56029 L
.46945 .55342 L
.47465 .54371 L
.47572 .54223 L
.48245 .53399 L
.47582 .52428 L
.48155 .51457 L
.48543 .50943 L
.49015 .50486 L
.48543 .49851 L
.4825 .49514 L
.48543 .49296 L
.48999 .48543 L
F
.47572 .44848 m
.48139 .45629 L
.47572 .4647 L
.4695 .45629 L
F
.47572 .507 m
.47972 .51457 L
.47572 .52091 L
.46955 .51457 L
F
.47572 .48665 m
.48015 .49514 L
.48543 .50075 L
.48839 .50486 L
.48543 .50782 L
.47651 .50486 L
.47572 .50279 L
.46962 .49514 L
F
.47572 .56638 m
.47835 .57284 L
.47572 .57733 L
.46964 .57284 L
F
.47572 .44868 m
.48126 .45629 L
.47572 .46446 L
.46964 .45629 L
F
.47572 .50716 m
.47964 .51457 L
.47572 .52079 L
.46965 .51457 L
F
.47572 .50731 m
.47956 .51457 L
.47572 .52066 L
.46976 .51457 L
F
.49514 .47842 m
.50268 .48543 L
.49594 .49514 L
.50164 .50486 L
.49602 .51457 L
.50486 .52318 L
.51095 .51457 L
.51457 .50873 L
.52362 .51457 L
.51698 .52428 L
.52119 .53399 L
.51681 .54371 L
.51457 .54674 L
.50854 .55342 L
.50486 .56162 L
.49747 .55342 L
.50281 .54371 L
.50486 .54033 L
.51179 .53399 L
.50486 .52746 L
.50349 .52428 L
.49514 .51603 L
.488 .52428 L
.49336 .53399 L
.48789 .54371 L
.48543 .54784 L
.47868 .55342 L
.47572 .55978 L
.46976 .55342 L
.47485 .54371 L
.47572 .5425 L
.4827 .53399 L
.47606 .52428 L
.48163 .51457 L
.48543 .50953 L
.49027 .50486 L
.48543 .49836 L
.48266 .49514 L
.48543 .49307 L
.49005 .48543 L
F
.47572 .44888 m
.48113 .45629 L
.47572 .46422 L
.46978 .45629 L
F
.47572 .4869 m
.47999 .49514 L
.48543 .5009 L
.48827 .50486 L
.48543 .50771 L
.47675 .50486 L
.47572 .50238 L
.46982 .49514 L
F
.47572 .50747 m
.47949 .51457 L
.47572 .52053 L
.46986 .51457 L
F
.47572 .44908 m
.481 .45629 L
.47572 .46398 L
.46992 .45629 L
F
.47572 .50762 m
.47941 .51457 L
.47572 .5204 L
.46997 .51457 L
F
.47572 .48716 m
.47983 .49514 L
.48543 .50105 L
.48815 .50486 L
.48543 .5076 L
.47698 .50486 L
.47572 .502 L
.47003 .49514 L
F
.47572 .56695 m
.47811 .57284 L
.47572 .57694 L
.47004 .57284 L
F
.47572 .44927 m
.48088 .45629 L
.47572 .46376 L
.47006 .45629 L
F
.47572 .50777 m
.47933 .51457 L
.47572 .52027 L
.47008 .51457 L
F
.49514 .47851 m
.50261 .48543 L
.49579 .49514 L
.5015 .50486 L
.49594 .51457 L
.50486 .52328 L
.51101 .51457 L
.51457 .50883 L
.52351 .51457 L
.51683 .52428 L
.52085 .53399 L
.51669 .54371 L
.51457 .54657 L
.50838 .55342 L
.50486 .56111 L
.4977 .55342 L
.50291 .54371 L
.50486 .54048 L
.51199 .53399 L
.50486 .52725 L
.50362 .52428 L
.49514 .5159 L
.48788 .52428 L
.49296 .53399 L
.4878 .54371 L
.48543 .54769 L
.47848 .55342 L
.47572 .5593 L
.47008 .55342 L
.47506 .54371 L
.47572 .54278 L
.48295 .53399 L
.47631 .52428 L
.4817 .51457 L
.48543 .50964 L
.49039 .50486 L
.48543 .4982 L
.48282 .49514 L
.48543 .49319 L
.49011 .48543 L
F
.47572 .50793 m
.47925 .51457 L
.47572 .52015 L
.47019 .51457 L
F
.47572 .44946 m
.48075 .45629 L
.47572 .46353 L
.47021 .45629 L
F
.47572 .43134 m
.48137 .43687 L
.48543 .43864 L
.48987 .44658 L
.48543 .45156 L
.47693 .44658 L
.47572 .4407 L
.47021 .43687 L
F
.47572 .48743 m
.47967 .49514 L
.48543 .5012 L
.48803 .50486 L
.48543 .50748 L
.47722 .50486 L
.47572 .50164 L
.47023 .49514 L
F
.47572 .50808 m
.47917 .51457 L
.47572 .52002 L
.47029 .51457 L
F
.47572 .44966 m
.48062 .45629 L
.47572 .46331 L
.47035 .45629 L
F
.47572 .46935 m
.48004 .47572 L
.47572 .48249 L
.47039 .47572 L
F
.47572 .50823 m
.47909 .51457 L
.47572 .51989 L
.4704 .51457 L
F
.49514 .4786 m
.50253 .48543 L
.49565 .49514 L
.50136 .50486 L
.49586 .51457 L
.50486 .52338 L
.51107 .51457 L
.51457 .50893 L
.5234 .51457 L
.51667 .52428 L
.52051 .53399 L
.51656 .54371 L
.51457 .5464 L
.50822 .55342 L
.50486 .56064 L
.49795 .55342 L
.503 .54371 L
.50486 .54064 L
.51219 .53399 L
.50486 .52702 L
.50375 .52428 L
.49514 .51578 L
.48776 .52428 L
.49255 .53399 L
.48771 .54371 L
.48543 .54754 L
.47827 .55342 L
.47572 .55882 L
.47041 .55342 L
.47526 .54371 L
.47572 .54306 L
.4832 .53399 L
.47656 .52428 L
.48178 .51457 L
.48543 .50974 L
.4905 .50486 L
.48543 .49804 L
.48298 .49514 L
.48543 .4933 L
.49017 .48543 L
F
.47572 .48769 m
.47951 .49514 L
.48543 .50135 L
.48791 .50486 L
.48543 .50737 L
.47746 .50486 L
.47572 .5013 L
.47044 .49514 L
F
.47572 .56751 m
.47787 .57284 L
.47572 .57655 L
.47046 .57284 L
F
.47572 .44985 m
.48048 .45629 L
.47572 .46309 L
.47049 .45629 L
F
.47572 .50838 m
.47901 .51457 L
.47572 .51976 L
.47051 .51457 L
F
.47572 .46962 m
.47987 .47572 L
.47572 .48226 L
.47058 .47572 L
F
.47572 .50853 m
.47893 .51457 L
.47572 .51964 L
.47062 .51457 L
F
.47572 .45004 m
.48035 .45629 L
.47572 .46288 L
.47063 .45629 L
F
.47572 .48796 m
.47934 .49514 L
.48543 .5015 L
.48779 .50486 L
.48543 .50725 L
.47771 .50486 L
.47572 .50097 L
.47064 .49514 L
F
.47572 .50868 m
.47884 .51457 L
.47572 .51951 L
.47073 .51457 L
F
.49514 .47868 m
.50246 .48543 L
.4955 .49514 L
.50122 .50486 L
.49579 .51457 L
.50486 .52349 L
.51113 .51457 L
.51457 .50903 L
.52329 .51457 L
.51651 .52428 L
.52016 .53399 L
.51643 .54371 L
.51457 .54623 L
.50806 .55342 L
.50486 .5602 L
.49819 .55342 L
.5031 .54371 L
.50486 .5408 L
.51239 .53399 L
.50486 .52679 L
.50388 .52428 L
.49514 .51565 L
.48765 .52428 L
.49212 .53399 L
.48761 .54371 L
.48543 .54739 L
.47806 .55342 L
.47572 .55835 L
.47074 .55342 L
.47546 .54371 L
.47572 .54335 L
.48345 .53399 L
.47681 .52428 L
.48186 .51457 L
.48543 .50984 L
.49062 .50486 L
.48543 .49788 L
.48314 .49514 L
.48543 .49342 L
.49023 .48543 L
F
.47572 .46989 m
.47971 .47572 L
.47572 .48203 L
.47077 .47572 L
F
.47572 .45023 m
.48022 .45629 L
.47572 .46267 L
.47078 .45629 L
F
.47572 .39195 m
.48219 .39802 L
.47572 .40548 L
.47084 .39802 L
F
.47572 .50882 m
.47876 .51457 L
.47572 .51938 L
.47084 .51457 L
F
.47572 .48823 m
.47918 .49514 L
.48543 .50166 L
.48766 .50486 L
.48543 .50713 L
.47795 .50486 L
.47572 .50065 L
.47085 .49514 L
F
.47572 .56806 m
.47763 .57284 L
.47572 .57615 L
.47088 .57284 L
F
.47572 .45042 m
.48009 .45629 L
.47572 .46246 L
.47092 .45629 L
F
.47572 .50897 m
.47868 .51457 L
.47572 .51925 L
.47095 .51457 L
F
.47572 .47016 m
.47955 .47572 L
.47572 .4818 L
.47096 .47572 L
F
.47572 .43208 m
.4806 .43687 L
.48543 .43893 L
.48971 .44658 L
.48543 .45139 L
.47718 .44658 L
.47572 .44006 L
.47099 .43687 L
F
.47572 .48851 m
.47901 .49514 L
.48543 .50182 L
.48754 .50486 L
.48543 .50701 L
.4782 .50486 L
.47572 .50034 L
.47106 .49514 L
F
.47572 .50912 m
.4786 .51457 L
.47572 .51912 L
.47107 .51457 L
F
.47572 .45061 m
.47995 .45629 L
.47572 .46225 L
.47107 .45629 L
F
.49514 .47877 m
.50238 .48543 L
.49535 .49514 L
.50107 .50486 L
.49571 .51457 L
.50486 .52359 L
.51119 .51457 L
.51457 .50913 L
.52318 .51457 L
.51635 .52428 L
.5198 .53399 L
.5163 .54371 L
.51457 .54606 L
.50789 .55342 L
.50486 .55977 L
.49844 .55342 L
.50319 .54371 L
.50486 .54096 L
.5126 .53399 L
.50486 .52655 L
.50401 .52428 L
.49514 .51552 L
.48753 .52428 L
.49166 .53399 L
.48752 .54371 L
.48543 .54723 L
.47785 .55342 L
.47572 .55789 L
.47108 .55342 L
.47567 .54371 L
.47572 .54364 L
.48371 .53399 L
.47706 .52428 L
.48193 .51457 L
.48543 .50994 L
.49074 .50486 L
.48543 .49771 L
.4833 .49514 L
.48543 .49353 L
.49029 .48543 L
F
.47572 .47042 m
.47938 .47572 L
.47572 .48156 L
.47115 .47572 L
F
.47572 .50927 m
.47851 .51457 L
.47572 .51899 L
.47118 .51457 L
F
.47572 .4508 m
.47982 .45629 L
.47572 .46204 L
.47122 .45629 L
F
.47572 .4888 m
.47884 .49514 L
.48543 .50197 L
.48741 .50486 L
.48543 .50689 L
.47846 .50486 L
.47572 .50003 L
.47128 .49514 L
F
.47572 .50942 m
.47843 .51457 L
.47572 .51886 L
.4713 .51457 L
F
.47572 .56863 m
.47737 .57284 L
.47572 .57573 L
.47133 .57284 L
F
.47572 .47069 m
.47921 .47572 L
.47572 .48132 L
.47135 .47572 L
F
.47572 .45099 m
.47968 .45629 L
.47572 .46183 L
.47136 .45629 L
F
.47572 .50958 m
.47834 .51457 L
.47572 .51873 L
.47141 .51457 L
F
.47572 .54408 m
.47763 .55342 L
.47572 .55742 L
.47144 .55342 L
F
.47572 .48909 m
.47866 .49514 L
.48543 .50214 L
.48729 .50486 L
.48543 .50677 L
.47872 .50486 L
.47572 .49973 L
.4715 .49514 L
F
.47572 .45119 m
.47954 .45629 L
.47572 .46162 L
.47151 .45629 L
F
.47572 .50973 m
.47826 .51457 L
.47572 .5186 L
.47153 .51457 L
F
.47572 .47095 m
.47904 .47572 L
.47572 .48107 L
.47155 .47572 L
F
.47572 .41162 m
.48058 .41744 L
.47572 .42715 L
.47162 .41744 L
F
.47572 .50988 m
.47817 .51457 L
.47572 .51847 L
.47165 .51457 L
F
.47572 .45138 m
.4794 .45629 L
.47572 .46142 L
.47166 .45629 L
F
.47572 .48938 m
.47849 .49514 L
.48543 .5023 L
.48716 .50486 L
.48543 .50664 L
.47898 .50486 L
.47572 .49943 L
.47172 .49514 L
F
.47572 .47121 m
.47887 .47572 L
.47572 .48082 L
.47175 .47572 L
F
.47572 .51003 m
.47809 .51457 L
.47572 .51833 L
.47177 .51457 L
F
.47572 .39315 m
.48111 .39802 L
.47572 .40376 L
.47178 .39802 L
F
.47572 .43286 m
.4798 .43687 L
.48543 .43921 L
.48956 .44658 L
.48543 .45122 L
.47743 .44658 L
.47572 .43943 L
.47179 .43687 L
F
.47572 .54459 m
.47741 .55342 L
.47572 .55696 L
.4718 .55342 L
F
.47572 .5692 m
.47711 .57284 L
.47572 .57531 L
.47181 .57284 L
F
.47572 .45157 m
.47926 .45629 L
.47572 .46121 L
.47182 .45629 L
F
.47572 .51019 m
.478 .51457 L
.47572 .5182 L
.47189 .51457 L
F
.47572 .48968 m
.47831 .49514 L
.48543 .50247 L
.48703 .50486 L
.48543 .50652 L
.47925 .50486 L
.47572 .49913 L
.47195 .49514 L
F
.47572 .47147 m
.4787 .47572 L
.47572 .48057 L
.47195 .47572 L
F
.47572 .45177 m
.47912 .45629 L
.47572 .461 L
.47197 .45629 L
F
.47572 .51034 m
.47791 .51457 L
.47572 .51806 L
.47201 .51457 L
F
.47572 .45196 m
.47897 .45629 L
.47572 .46079 L
.47213 .45629 L
F
.47572 .5105 m
.47782 .51457 L
.47572 .51793 L
.47214 .51457 L
F
.47572 .47173 m
.47852 .47572 L
.47572 .48031 L
.47216 .47572 L
F
.47572 .49 m
.47813 .49514 L
.48543 .50264 L
.4869 .50486 L
.48543 .50639 L
.47953 .50486 L
.47572 .49884 L
.47218 .49514 L
F
.47572 .4125 m
.47997 .41744 L
.47572 .4262 L
.47218 .41744 L
F
.47572 .54514 m
.47718 .55342 L
.47572 .55648 L
.47219 .55342 L
F
.47572 .51066 m
.47773 .51457 L
.47572 .51779 L
.47226 .51457 L
F
.47572 .45216 m
.47883 .45629 L
.47572 .46058 L
.47228 .45629 L
F
.47572 .5698 m
.47685 .57284 L
.47572 .57486 L
.47232 .57284 L
F
.47572 .472 m
.47834 .47572 L
.47572 .48004 L
.47237 .47572 L
F
.47572 .60016 m
.48543 .59537 L
.48596 .60198 L
.48543 .60298 L
.47633 .61169 L
.47572 .61306 L
.47239 .61169 L
.47443 .60198 L
F
.47572 .51082 m
.47764 .51457 L
.47572 .51765 L
.47239 .51457 L
F
.47572 .49032 m
.47794 .49514 L
.48543 .50281 L
.48677 .50486 L
.48543 .50626 L
.47981 .50486 L
.47572 .49854 L
.47241 .49514 L
F
.47572 .45236 m
.47868 .45629 L
.47572 .46037 L
.47245 .45629 L
F
.47572 .51098 m
.47755 .51457 L
.47572 .51751 L
.47252 .51457 L
F
.47572 .47227 m
.47815 .47572 L
.47572 .47977 L
.47259 .47572 L
F
.47572 .54573 m
.47695 .55342 L
.47572 .556 L
.4726 .55342 L
F
.47572 .45257 m
.47852 .45629 L
.47572 .46016 L
.47261 .45629 L
F
.47572 .43369 m
.47894 .43687 L
.48543 .43949 L
.4894 .44658 L
.48543 .45105 L
.47768 .44658 L
.47572 .43879 L
.47265 .43687 L
F
.47572 .51114 m
.47745 .51457 L
.47572 .51737 L
.47266 .51457 L
F
.47572 .49065 m
.47775 .49514 L
.48543 .50299 L
.48664 .50486 L
.48543 .50612 L
.48011 .50486 L
.47572 .49824 L
.47266 .49514 L
F
.47572 .41337 m
.47933 .41744 L
.47572 .42519 L
.47277 .41744 L
F
.47572 .45277 m
.47837 .45629 L
.47572 .45994 L
.47277 .45629 L
F
.47572 .39438 m
.47994 .39802 L
.47572 .40223 L
.47278 .39802 L
F
.47572 .51131 m
.47736 .51457 L
.47572 .51722 L
.47279 .51457 L
F
.47572 .47254 m
.47796 .47572 L
.47572 .47949 L
.47281 .47572 L
F
.47572 .57044 m
.47657 .57284 L
.47572 .5744 L
.47289 .57284 L
F
.47572 .491 m
.47756 .49514 L
.48543 .50318 L
.4865 .50486 L
.48543 .50598 L
.48042 .50486 L
.47572 .49794 L
.47291 .49514 L
F
.47572 .51148 m
.47726 .51457 L
.47572 .51708 L
.47293 .51457 L
F
.47572 .45298 m
.47821 .45629 L
.47572 .45973 L
.47294 .45629 L
F
.47572 .47281 m
.47777 .47572 L
.47572 .4792 L
.47304 .47572 L
F
.47572 .54638 m
.47671 .55342 L
.47572 .55551 L
.47305 .55342 L
F
.47572 .51165 m
.47717 .51457 L
.47572 .51693 L
.47307 .51457 L
F
.47572 .45319 m
.47805 .45629 L
.47572 .4595 L
.47312 .45629 L
F
.47572 .49136 m
.47736 .49514 L
.48543 .50337 L
.48636 .50486 L
.48543 .50585 L
.48074 .50486 L
.47572 .49763 L
.47318 .49514 L
F
.47572 .51183 m
.47707 .51457 L
.47572 .51678 L
.47322 .51457 L
F
.47572 .4731 m
.47757 .47572 L
.47572 .4789 L
.47328 .47572 L
F
.47572 .45341 m
.47789 .45629 L
.47572 .45928 L
.47329 .45629 L
F
.47572 .51201 m
.47697 .51457 L
.47572 .51662 L
.47337 .51457 L
F
.47572 .41427 m
.47864 .41744 L
.47572 .42407 L
.47339 .41744 L
F
.47572 .49174 m
.47715 .49514 L
.48543 .50356 L
.48623 .50486 L
.48543 .5057 L
.48108 .50486 L
.47572 .49732 L
.47345 .49514 L
F
.47572 .45363 m
.47772 .45629 L
.47572 .45905 L
.47348 .45629 L
F
.47572 .51219 m
.47687 .51457 L
.47572 .51646 L
.47352 .51457 L
F
.47572 .47338 m
.47736 .47572 L
.47572 .47859 L
.47353 .47572 L
F
.47572 .57114 m
.47629 .57284 L
.47572 .5739 L
.47354 .57284 L
F
.47572 .54712 m
.47646 .55342 L
.47572 .55499 L
.47354 .55342 L
F
.47572 .43463 m
.47799 .43687 L
.48543 .43976 L
.48924 .44658 L
.48543 .45088 L
.47793 .44658 L
.47572 .43814 L
.47358 .43687 L
F
.47572 .45386 m
.47755 .45629 L
.47572 .45881 L
.47366 .45629 L
F
.47572 .51238 m
.47676 .51457 L
.47572 .5163 L
.47368 .51457 L
F
.47572 .49215 m
.47694 .49514 L
.48543 .50377 L
.48608 .50486 L
.48543 .50556 L
.48145 .50486 L
.47572 .497 L
.47374 .49514 L
F
.48543 .56643 m
.49402 .57284 L
.48711 .58256 L
.48543 .5899 L
.47572 .58801 L
.47374 .58256 L
.47572 .58128 L
.4806 .57284 L
F
.47572 .47368 m
.47715 .47572 L
.47572 .47826 L
.47379 .47572 L
F
.47572 .51257 m
.47666 .51457 L
.47572 .51614 L
.47385 .51457 L
F
.47572 .4541 m
.47737 .45629 L
.47572 .45857 L
.47386 .45629 L
F
.47572 .39572 m
.47859 .39802 L
.47572 .40068 L
.47386 .39802 L
F
.47572 .51277 m
.47655 .51457 L
.47572 .51597 L
.47402 .51457 L
F
.47572 .49258 m
.47672 .49514 L
.48543 .50399 L
.48594 .50486 L
.48543 .5054 L
.48186 .50486 L
.47572 .49666 L
.47405 .49514 L
F
.47572 .45434 m
.47718 .45629 L
.47572 .45832 L
.47406 .45629 L
F
.47572 .41521 m
.47786 .41744 L
.47572 .42279 L
.47406 .41744 L
F
.47572 .47399 m
.47693 .47572 L
.47572 .47791 L
.47406 .47572 L
F
.47572 .54798 m
.4762 .55342 L
.47572 .55445 L
.47412 .55342 L
F
.47572 .51298 m
.47644 .51457 L
.47572 .5158 L
.47421 .51457 L
F
.47572 .45459 m
.47699 .45629 L
.47572 .45806 L
.47427 .45629 L
F
.47572 .47431 m
.4767 .47572 L
.47572 .47754 L
.47435 .47572 L
F
.47572 .57196 m
.47598 .57284 L
.47572 .57335 L
.47438 .57284 L
F
.47572 .49306 m
.47649 .49514 L
.48543 .50422 L
.48579 .50486 L
.48543 .50525 L
.48231 .50486 L
.47572 .49632 L
.47439 .49514 L
F
.47572 .5132 m
.47633 .51457 L
.47572 .51562 L
.4744 .51457 L
F
.48543 .56676 m
.49372 .57284 L
.48672 .58256 L
.48543 .58714 L
.47572 .58684 L
.47444 .58256 L
.47572 .58172 L
.48082 .57284 L
F
.47572 .45485 m
.4768 .45629 L
.47572 .45779 L
.47449 .45629 L
F
.47572 .51343 m
.47622 .51457 L
.47572 .51543 L
.4746 .51457 L
F
.47572 .43574 m
.47686 .43687 L
.48543 .44003 L
.48908 .44658 L
.48543 .45071 L
.47818 .44658 L
.47572 .43744 L
.47466 .43687 L
F
.47572 .47465 m
.47646 .47572 L
.47572 .47714 L
.47467 .47572 L
F
.47572 .45512 m
.47659 .45629 L
.47572 .45751 L
.47472 .45629 L
F
.47572 .49361 m
.47625 .49514 L
.48543 .50447 L
.48564 .50486 L
.48543 .50509 L
.48286 .50486 L
.47572 .49596 L
.47476 .49514 L
F
.47572 .41625 m
.47695 .41744 L
.47572 .42119 L
.47482 .41744 L
F
.47572 .51367 m
.4761 .51457 L
.47572 .51524 L
.47483 .51457 L
F
.47572 .54909 m
.47592 .55342 L
.47572 .55387 L
.47485 .55342 L
F
.47572 .45541 m
.47637 .45629 L
.47572 .45721 L
.47496 .45629 L
F
.47572 .47502 m
.4762 .47572 L
.47572 .47668 L
.47501 .47572 L
F
.47572 .51393 m
.47598 .51457 L
.47572 .51504 L
.47507 .51457 L
F
.47572 .3973 m
.47679 .39802 L
.47572 .39887 L
.47515 .39802 L
F
.48543 .56709 m
.49342 .57284 L
.48633 .58256 L
.48543 .58535 L
.47572 .5854 L
.47517 .58256 L
.47572 .58219 L
.48104 .57284 L
F
.47572 .49425 m
.476 .49514 L
.48543 .50475 L
.48549 .50486 L
.48543 .50492 L
.4836 .50486 L
.47572 .49557 L
.47519 .49514 L
F
.47572 .45573 m
.47614 .45629 L
.47572 .45689 L
.47523 .45629 L
F
.47572 .51421 m
.47586 .51457 L
.47572 .51482 L
.47535 .51457 L
F
.47572 .47541 m
.47593 .47572 L
.47572 .47616 L
.4754 .47572 L
F
.47572 .45606 m
.47589 .45629 L
.47572 .45653 L
.47552 .45629 L
F
.47572 .51453 m
.47574 .51457 L
.47572 .5146 L
.47567 .51457 L
F
.47572 .60196 m
.48488 .60198 L
.47572 .60842 L
.4757 .60198 L
F
.47572 .49513 m
.47572 .49514 L
.47572 .49515 L
.47571 .49514 L
F
.49514 .47886 m
.50231 .48543 L
.4952 .49514 L
.50093 .50486 L
.49563 .51457 L
.50486 .5237 L
.51125 .51457 L
.51457 .50923 L
.52307 .51457 L
.51618 .52428 L
.51942 .53399 L
.51617 .54371 L
.51457 .54588 L
.50773 .55342 L
.50486 .55936 L
.49869 .55342 L
.50329 .54371 L
.50486 .54111 L
.51281 .53399 L
.50486 .52629 L
.50415 .52428 L
.49514 .51539 L
.48741 .52428 L
.49117 .53399 L
.48743 .54371 L
.48543 .54708 L
.47588 .54371 L
.48398 .53399 L
.47732 .52428 L
.48201 .51457 L
.48543 .51005 L
.49086 .50486 L
.48543 .49754 L
.48347 .49514 L
.48543 .49365 L
.49034 .48543 L
F
.49514 .42167 m
.50397 .42716 L
.4961 .43687 L
.50351 .44658 L
.49758 .45629 L
.49514 .46033 L
.48901 .46601 L
.49514 .47171 L
.49704 .47572 L
.50486 .48344 L
.51153 .47572 L
.5051 .46601 L
.51173 .45629 L
.51457 .45152 L
.52049 .44658 L
.51457 .4372 L
.51403 .43687 L
.51457 .43635 L
.52212 .43687 L
.52428 .43792 L
.53153 .44658 L
.52598 .45629 L
.52428 .45863 L
.5183 .46601 L
.52428 .47364 L
.52503 .47572 L
.53399 .48251 L
.54174 .47572 L
.53446 .46601 L
.54172 .45629 L
.54371 .45204 L
.55164 .45629 L
.54412 .46601 L
.55083 .47572 L
.54681 .48543 L
.54371 .48892 L
.53895 .49514 L
.54371 .50364 L
.54473 .50486 L
.54371 .50547 L
.5393 .51457 L
.53399 .52076 L
.52542 .51457 L
.53278 .50486 L
.5269 .49514 L
.53266 .48543 L
.52428 .47618 L
.51869 .48543 L
.51457 .4909 L
.51022 .49514 L
.51457 .501 L
.51799 .50486 L
.51457 .50739 L
.51019 .51457 L
.50486 .52195 L
.497 .51457 L
.50346 .50486 L
.49778 .49514 L
.50366 .48543 L
.49514 .47723 L
.48929 .48543 L
.48543 .49169 L
.47592 .48543 L
.48237 .47572 L
.47745 .46601 L
.48265 .45629 L
.48543 .45256 L
.49081 .44658 L
.48621 .43687 L
.49123 .42716 L
F
.48543 .56741 m
.49311 .57284 L
.48592 .58256 L
.48543 .58393 L
.47601 .58256 L
.48127 .57284 L
F
.49514 .42193 m
.50367 .42716 L
.49554 .43687 L
.50328 .44658 L
.49749 .45629 L
.49514 .46017 L
.48882 .46601 L
.49514 .4719 L
.49692 .47572 L
.50486 .48357 L
.51164 .47572 L
.50546 .46601 L
.51182 .45629 L
.51457 .45168 L
.52069 .44658 L
.52428 .43853 L
.53122 .44658 L
.52578 .45629 L
.52428 .45836 L
.51807 .46601 L
.52428 .47416 L
.52476 .47572 L
.53399 .48275 L
.54203 .47572 L
.54371 .46806 L
.55018 .47572 L
.54649 .48543 L
.54371 .48856 L
.53865 .49514 L
.54371 .50446 L
.544 .50486 L
.54371 .50503 L
.53915 .51457 L
.53399 .52058 L
.52558 .51457 L
.533 .50486 L
.52723 .49514 L
.53277 .48543 L
.52428 .47601 L
.51861 .48543 L
.51457 .4908 L
.5101 .49514 L
.51457 .50115 L
.51784 .50486 L
.51457 .50728 L
.51013 .51457 L
.50486 .52186 L
.49708 .51457 L
.5036 .50486 L
.49792 .49514 L
.50374 .48543 L
.49514 .47713 L
.48923 .48543 L
.48543 .49159 L
.47603 .48543 L
.48252 .47572 L
.47777 .46601 L
.48278 .45629 L
.48543 .45273 L
.49096 .44658 L
.48759 .43687 L
.49141 .42716 L
F
.48543 .49377 m
.49497 .49514 L
.49514 .49587 L
.50079 .50486 L
.49555 .51457 L
.50486 .52381 L
.51131 .51457 L
.51457 .50932 L
.52296 .51457 L
.51602 .52428 L
.51903 .53399 L
.51604 .54371 L
.51457 .54571 L
.50756 .55342 L
.50486 .55896 L
.49894 .55342 L
.50338 .54371 L
.50486 .54127 L
.51302 .53399 L
.50486 .52602 L
.50428 .52428 L
.49514 .51526 L
.48729 .52428 L
.49064 .53399 L
.48733 .54371 L
.48543 .54692 L
.4761 .54371 L
.48426 .53399 L
.47758 .52428 L
.48208 .51457 L
.48543 .51015 L
.49098 .50486 L
.48543 .49737 L
.48363 .49514 L
F
.49514 .4371 m
.50304 .44658 L
.49739 .45629 L
.49514 .46001 L
.48863 .46601 L
.49514 .4721 L
.49679 .47572 L
.50486 .48369 L
.51175 .47572 L
.50582 .46601 L
.51191 .45629 L
.51457 .45183 L
.52088 .44658 L
.52428 .4391 L
.53091 .44658 L
.52558 .45629 L
.52428 .45809 L
.51783 .46601 L
.52428 .47482 L
.52449 .47572 L
.53399 .48298 L
.54233 .47572 L
.54371 .46993 L
.54949 .47572 L
.54616 .48543 L
.54371 .4882 L
.53836 .49514 L
.54328 .50486 L
.539 .51457 L
.53399 .52039 L
.52575 .51457 L
.53321 .50486 L
.52757 .49514 L
.53288 .48543 L
.52428 .47585 L
.51854 .48543 L
.51457 .49069 L
.50999 .49514 L
.51457 .5013 L
.51768 .50486 L
.51457 .50717 L
.51008 .51457 L
.50486 .52177 L
.49715 .51457 L
.50375 .50486 L
.49806 .49514 L
.50382 .48543 L
.49514 .47704 L
.48917 .48543 L
.48543 .49149 L
.47614 .48543 L
.48268 .47572 L
.4781 .46601 L
.48291 .45629 L
.48543 .4529 L
.49112 .44658 L
F
.49514 .43774 m
.50281 .44658 L
.4973 .45629 L
.49514 .45986 L
.48843 .46601 L
.49514 .4723 L
.49666 .47572 L
.50486 .48382 L
.51187 .47572 L
.50619 .46601 L
.512 .45629 L
.51457 .45198 L
.52108 .44658 L
.52428 .43963 L
.5306 .44658 L
.52538 .45629 L
.52428 .45782 L
.51759 .46601 L
.52422 .47572 L
.51846 .48543 L
.51457 .49059 L
.50987 .49514 L
.51457 .50146 L
.51752 .50486 L
.51457 .50706 L
.51002 .51457 L
.50486 .52168 L
.49723 .51457 L
.50389 .50486 L
.4982 .49514 L
.50389 .48543 L
.49514 .47694 L
.48912 .48543 L
.48543 .49139 L
.47625 .48543 L
.48283 .47572 L
.47842 .46601 L
.48304 .45629 L
.48543 .45307 L
.49128 .44658 L
F
.48543 .4939 m
.4947 .49514 L
.49514 .49652 L
.50064 .50486 L
.49548 .51457 L
.50486 .52392 L
.51137 .51457 L
.51457 .50942 L
.52286 .51457 L
.51586 .52428 L
.51862 .53399 L
.5159 .54371 L
.51457 .54553 L
.5074 .55342 L
.50486 .55856 L
.4992 .55342 L
.50348 .54371 L
.50486 .54143 L
.51324 .53399 L
.50486 .52572 L
.50442 .52428 L
.49514 .51513 L
.48717 .52428 L
.49005 .53399 L
.48724 .54371 L
.48543 .54677 L
.47631 .54371 L
.48454 .53399 L
.47784 .52428 L
.48216 .51457 L
.48543 .51025 L
.4911 .50486 L
.48543 .49719 L
.4838 .49514 L
F
.49514 .43829 m
.50257 .44658 L
.49721 .45629 L
.49514 .4597 L
.48824 .46601 L
.49514 .47251 L
.49653 .47572 L
.50486 .48395 L
.51198 .47572 L
.50657 .46601 L
.51209 .45629 L
.51457 .45213 L
.52128 .44658 L
.52428 .44013 L
.53029 .44658 L
.52518 .45629 L
.52428 .45754 L
.51734 .46601 L
.52398 .47572 L
.51839 .48543 L
.51457 .49049 L
.50975 .49514 L
.51457 .50161 L
.51737 .50486 L
.51457 .50695 L
.50996 .51457 L
.50486 .52159 L
.4973 .51457 L
.50404 .50486 L
.49834 .49514 L
.50397 .48543 L
.49514 .47684 L
.48906 .48543 L
.48543 .49129 L
.47636 .48543 L
.48299 .47572 L
.47875 .46601 L
.48316 .45629 L
.48543 .45323 L
.49143 .44658 L
F
.49514 .4388 m
.50234 .44658 L
.49711 .45629 L
.49514 .45954 L
.48804 .46601 L
.49514 .47272 L
.4964 .47572 L
.50486 .48407 L
.5121 .47572 L
.50697 .46601 L
.51219 .45629 L
.51457 .45228 L
.52149 .44658 L
.52428 .44062 L
.52997 .44658 L
.52498 .45629 L
.52428 .45726 L
.5171 .46601 L
.52373 .47572 L
.51831 .48543 L
.51457 .49038 L
.50963 .49514 L
.51457 .50177 L
.51721 .50486 L
.51457 .50683 L
.5099 .51457 L
.50486 .52151 L
.49738 .51457 L
.50418 .50486 L
.49848 .49514 L
.50405 .48543 L
.49514 .47674 L
.489 .48543 L
.48543 .49119 L
.47647 .48543 L
.48315 .47572 L
.47909 .46601 L
.48329 .45629 L
.48543 .4534 L
.49159 .44658 L
F
.48543 .49402 m
.49441 .49514 L
.49514 .49701 L
.5005 .50486 L
.4954 .51457 L
.50486 .52403 L
.51143 .51457 L
.51457 .50952 L
.52275 .51457 L
.51569 .52428 L
.51817 .53399 L
.51577 .54371 L
.51457 .54536 L
.50723 .55342 L
.50486 .55818 L
.49947 .55342 L
.50358 .54371 L
.50486 .54159 L
.51346 .53399 L
.50486 .52537 L
.50455 .52428 L
.49514 .515 L
.48705 .52428 L
.48938 .53399 L
.48714 .54371 L
.48543 .54661 L
.47653 .54371 L
.48483 .53399 L
.47811 .52428 L
.48224 .51457 L
.48543 .51035 L
.49122 .50486 L
.48543 .497 L
.48397 .49514 L
F
.49514 .43928 m
.5021 .44658 L
.49702 .45629 L
.49514 .45939 L
.48784 .46601 L
.49514 .47294 L
.49627 .47572 L
.50486 .4842 L
.51222 .47572 L
.50738 .46601 L
.51228 .45629 L
.51457 .45244 L
.52169 .44658 L
.52428 .4411 L
.52965 .44658 L
.52477 .45629 L
.52428 .45698 L
.51685 .46601 L
.52349 .47572 L
.51823 .48543 L
.51457 .49028 L
.50952 .49514 L
.51457 .50193 L
.51705 .50486 L
.51457 .50672 L
.50984 .51457 L
.50486 .52142 L
.49745 .51457 L
.50433 .50486 L
.49862 .49514 L
.50412 .48543 L
.49514 .47663 L
.48894 .48543 L
.48543 .49109 L
.47658 .48543 L
.48331 .47572 L
.47943 .46601 L
.48342 .45629 L
.48543 .45357 L
.49175 .44658 L
F
.49514 .43973 m
.50185 .44658 L
.49692 .45629 L
.49514 .45923 L
.48764 .46601 L
.49514 .47317 L
.49614 .47572 L
.50486 .48433 L
.51233 .47572 L
.50781 .46601 L
.51237 .45629 L
.51457 .45259 L
.5219 .44658 L
.52428 .44157 L
.52931 .44658 L
.52457 .45629 L
.52428 .4567 L
.51659 .46601 L
.52324 .47572 L
.51816 .48543 L
.51457 .49018 L
.5094 .49514 L
.51457 .5021 L
.51689 .50486 L
.51457 .5066 L
.50978 .51457 L
.50486 .52133 L
.49753 .51457 L
.50448 .50486 L
.49876 .49514 L
.5042 .48543 L
.49514 .47653 L
.48888 .48543 L
.48543 .49099 L
.47669 .48543 L
.48347 .47572 L
.47978 .46601 L
.48355 .45629 L
.48543 .45374 L
.49192 .44658 L
F
.48543 .49415 m
.49412 .49514 L
.49514 .49743 L
.50035 .50486 L
.49532 .51457 L
.50486 .52414 L
.51149 .51457 L
.51457 .50962 L
.52264 .51457 L
.51552 .52428 L
.51769 .53399 L
.51564 .54371 L
.51457 .54518 L
.50705 .55342 L
.50486 .5578 L
.49974 .55342 L
.50368 .54371 L
.50486 .54175 L
.51369 .53399 L
.50486 .52497 L
.50469 .52428 L
.49514 .51486 L
.48693 .52428 L
.48853 .53399 L
.48705 .54371 L
.48543 .54646 L
.47675 .54371 L
.48514 .53399 L
.47838 .52428 L
.48232 .51457 L
.48543 .51046 L
.49134 .50486 L
.48543 .49681 L
.48414 .49514 L
F
.49514 .44016 m
.50161 .44658 L
.49682 .45629 L
.49514 .45907 L
.48744 .46601 L
.49514 .47341 L
.49601 .47572 L
.50486 .48446 L
.51245 .47572 L
.50826 .46601 L
.51246 .45629 L
.51457 .45274 L
.52211 .44658 L
.52428 .44203 L
.52897 .44658 L
.52436 .45629 L
.52428 .45641 L
.51633 .46601 L
.52298 .47572 L
.51808 .48543 L
.51457 .49007 L
.50928 .49514 L
.51457 .50226 L
.51672 .50486 L
.51457 .50649 L
.50972 .51457 L
.50486 .52125 L
.4976 .51457 L
.50463 .50486 L
.4989 .49514 L
.50428 .48543 L
.49514 .47643 L
.48882 .48543 L
.48543 .49089 L
.4768 .48543 L
.48363 .47572 L
.48014 .46601 L
.48368 .45629 L
.48543 .45391 L
.49208 .44658 L
F
.49514 .44057 m
.50136 .44658 L
.49673 .45629 L
.49514 .45891 L
.48723 .46601 L
.49514 .47366 L
.49588 .47572 L
.50486 .48459 L
.51257 .47572 L
.50875 .46601 L
.51256 .45629 L
.51457 .45289 L
.52415 .45629 L
.51606 .46601 L
.52273 .47572 L
.518 .48543 L
.51457 .48997 L
.50916 .49514 L
.51457 .50243 L
.51656 .50486 L
.51457 .50637 L
.50967 .51457 L
.50486 .52116 L
.49768 .51457 L
.50478 .50486 L
.49904 .49514 L
.50435 .48543 L
.49514 .47632 L
.48876 .48543 L
.48543 .49079 L
.47691 .48543 L
.48379 .47572 L
.48051 .46601 L
.48381 .45629 L
.48543 .45409 L
.49224 .44658 L
F
.48543 .53404 m
.48695 .54371 L
.48543 .5463 L
.47698 .54371 L
F
.49514 .44098 m
.5011 .44658 L
.49663 .45629 L
.49514 .45876 L
.48702 .46601 L
.49514 .47393 L
.49574 .47572 L
.50486 .48472 L
.51269 .47572 L
.50927 .46601 L
.51265 .45629 L
.51457 .45305 L
.52394 .45629 L
.51579 .46601 L
.52247 .47572 L
.51793 .48543 L
.51457 .48987 L
.50904 .49514 L
.51457 .5026 L
.51639 .50486 L
.51457 .50625 L
.50499 .50486 L
.50486 .50427 L
.49919 .49514 L
.50443 .48543 L
.49514 .47621 L
.4887 .48543 L
.48543 .49069 L
.47702 .48543 L
.48395 .47572 L
.4809 .46601 L
.48394 .45629 L
.48543 .45426 L
.49241 .44658 L
F
.49514 .44137 m
.50084 .44658 L
.49653 .45629 L
.49514 .4586 L
.4868 .46601 L
.49514 .47423 L
.49561 .47572 L
.50486 .48485 L
.51281 .47572 L
.50984 .46601 L
.51274 .45629 L
.51457 .4532 L
.52373 .45629 L
.51551 .46601 L
.52221 .47572 L
.51785 .48543 L
.51457 .48977 L
.50892 .49514 L
.51457 .50278 L
.51623 .50486 L
.51457 .50612 L
.50526 .50486 L
.50486 .50358 L
.49933 .49514 L
.50451 .48543 L
.49514 .4761 L
.48864 .48543 L
.48543 .49059 L
.47713 .48543 L
.48412 .47572 L
.48131 .46601 L
.48407 .45629 L
.48543 .45444 L
.49258 .44658 L
F
.48543 .53455 m
.48686 .54371 L
.48543 .54614 L
.47721 .54371 L
F
.48543 .56773 m
.4928 .57284 L
.48551 .58256 L
.48543 .58275 L
.47723 .58256 L
.48149 .57284 L
F
.49514 .44176 m
.50058 .44658 L
.49644 .45629 L
.49514 .45844 L
.48658 .46601 L
.49514 .47456 L
.49547 .47572 L
.50486 .48498 L
.51293 .47572 L
.5105 .46601 L
.51284 .45629 L
.51457 .45336 L
.52351 .45629 L
.51522 .46601 L
.52194 .47572 L
.51777 .48543 L
.51457 .48966 L
.5088 .49514 L
.51457 .50296 L
.51606 .50486 L
.51457 .506 L
.50554 .50486 L
.50486 .50307 L
.49948 .49514 L
.50459 .48543 L
.49514 .47599 L
.48858 .48543 L
.48543 .4905 L
.47724 .48543 L
.48428 .47572 L
.48175 .46601 L
.48421 .45629 L
.48543 .45461 L
.49274 .44658 L
F
.49514 .44214 m
.50031 .44658 L
.49634 .45629 L
.49514 .45828 L
.48635 .46601 L
.49514 .47496 L
.49533 .47572 L
.50486 .48511 L
.51305 .47572 L
.51131 .46601 L
.51293 .45629 L
.51457 .45352 L
.52329 .45629 L
.51491 .46601 L
.52166 .47572 L
.5177 .48543 L
.51457 .48956 L
.50868 .49514 L
.51457 .50315 L
.51589 .50486 L
.51457 .50587 L
.50583 .50486 L
.50486 .50264 L
.49962 .49514 L
.50467 .48543 L
.49514 .47587 L
.48852 .48543 L
.48543 .4904 L
.47734 .48543 L
.48445 .47572 L
.48222 .46601 L
.48434 .45629 L
.48543 .45479 L
.49292 .44658 L
F
.49514 .3834 m
.50403 .38831 L
.49811 .39802 L
.49514 .40295 L
.4871 .40773 L
.49514 .41007 L
.49817 .41744 L
.49514 .42005 L
.49011 .42716 L
.48543 .43449 L
.47743 .42716 L
.48393 .41744 L
.48237 .40773 L
.48528 .39802 L
.48543 .39778 L
.49275 .38831 L
F
.48543 .53503 m
.48676 .54371 L
.48543 .54598 L
.47744 .54371 L
F
.49514 .44252 m
.50003 .44658 L
.49624 .45629 L
.49514 .45811 L
.48611 .46601 L
.49514 .47547 L
.49519 .47572 L
.50486 .48525 L
.51318 .47572 L
.51254 .46601 L
.51303 .45629 L
.51457 .45367 L
.52306 .45629 L
.51459 .46601 L
.52138 .47572 L
.51762 .48543 L
.51457 .48946 L
.50856 .49514 L
.51457 .50335 L
.51571 .50486 L
.51457 .50574 L
.50614 .50486 L
.50486 .50225 L
.49977 .49514 L
.50475 .48543 L
.49514 .47576 L
.48846 .48543 L
.48543 .4903 L
.47745 .48543 L
.48462 .47572 L
.48276 .46601 L
.48447 .45629 L
.48543 .45498 L
.49309 .44658 L
F
.49514 .4429 m
.49974 .44658 L
.49614 .45629 L
.49514 .45795 L
.48587 .46601 L
.49495 .47572 L
.4884 .48543 L
.48543 .4902 L
.47757 .48543 L
.4848 .47572 L
.48338 .46601 L
.48461 .45629 L
.48543 .45516 L
.49327 .44658 L
F
.49514 .44327 m
.49944 .44658 L
.49604 .45629 L
.49514 .45779 L
.48561 .46601 L
.49465 .47572 L
.48834 .48543 L
.48543 .4901 L
.47768 .48543 L
.48497 .47572 L
.48421 .46601 L
.48475 .45629 L
.48543 .45535 L
.49345 .44658 L
F
.48543 .53549 m
.48666 .54371 L
.48543 .54582 L
.47768 .54371 L
F
.48543 .41469 m
.49514 .41069 L
.49783 .41744 L
.49514 .41977 L
.48993 .42716 L
.48543 .43413 L
.4777 .42716 L
.48449 .41744 L
F
.48543 .47463 m
.49433 .47572 L
.48828 .48543 L
.48543 .49001 L
.47779 .48543 L
.48515 .47572 L
F
.48543 .47538 m
.49399 .47572 L
.48822 .48543 L
.48543 .48991 L
.4779 .48543 L
.48533 .47572 L
F
.48543 .53595 m
.48656 .54371 L
.48543 .54565 L
.47792 .54371 L
F
.48543 .41656 m
.49514 .41131 L
.4975 .41744 L
.49514 .41949 L
.48974 .42716 L
.48543 .43379 L
.47798 .42716 L
.48505 .41744 L
F
.48543 .47581 m
.48816 .48543 L
.48543 .48981 L
.47801 .48543 L
F
.48543 .47601 m
.4881 .48543 L
.48543 .48971 L
.47812 .48543 L
F
.48543 .5364 m
.48646 .54371 L
.48543 .54549 L
.47817 .54371 L
F
.48543 .4762 m
.48804 .48543 L
.48543 .48962 L
.47823 .48543 L
F
.48543 .41759 m
.48955 .42716 L
.48543 .43346 L
.47825 .42716 L
F
.48543 .37956 m
.49057 .38831 L
.48543 .39488 L
.47833 .38831 L
F
.48543 .47639 m
.48798 .48543 L
.48543 .48952 L
.47835 .48543 L
F
.48543 .53684 m
.48636 .54371 L
.48543 .54532 L
.47843 .54371 L
F
.48543 .4403 m
.48893 .44658 L
.48543 .45054 L
.47843 .44658 L
F
.48543 .47658 m
.48792 .48543 L
.48543 .48942 L
.47846 .48543 L
F
.48543 .41804 m
.48937 .42716 L
.48543 .43314 L
.47853 .42716 L
F
.48543 .47677 m
.48785 .48543 L
.48543 .48932 L
.47858 .48543 L
F
.48543 .49428 m
.49381 .49514 L
.49514 .49781 L
.5002 .50486 L
.49524 .51457 L
.50486 .52426 L
.51155 .51457 L
.51457 .50972 L
.52253 .51457 L
.51535 .52428 L
.51715 .53399 L
.5155 .54371 L
.51457 .54499 L
.50688 .55342 L
.50486 .55742 L
.50002 .55342 L
.50378 .54371 L
.50486 .54191 L
.51393 .53399 L
.50486 .52441 L
.50483 .52428 L
.49514 .51473 L
.4868 .52428 L
.48543 .53293 L
.47867 .52428 L
.48239 .51457 L
.48543 .51056 L
.49146 .50486 L
.48543 .49662 L
.48432 .49514 L
F
.48543 .44057 m
.48877 .44658 L
.48543 .45036 L
.47869 .44658 L
F
.48543 .47695 m
.48779 .48543 L
.48543 .48922 L
.47869 .48543 L
F
.48543 .53729 m
.48626 .54371 L
.48543 .54515 L
.4787 .54371 L
F
.48543 .41847 m
.48918 .42716 L
.48543 .43282 L
.4788 .42716 L
F
.48543 .47713 m
.48773 .48543 L
.48543 .48912 L
.47881 .48543 L
F
.48543 .47732 m
.48767 .48543 L
.48543 .48902 L
.47892 .48543 L
F
.48543 .44083 m
.4886 .44658 L
.48543 .45018 L
.47894 .44658 L
F
.48543 .49442 m
.49348 .49514 L
.49514 .49816 L
.50006 .50486 L
.49516 .51457 L
.49514 .5146 L
.48668 .52428 L
.48543 .53086 L
.47896 .52428 L
.48247 .51457 L
.48543 .51066 L
.49159 .50486 L
.48543 .49641 L
.48449 .49514 L
F
.48543 .53775 m
.48616 .54371 L
.48543 .54497 L
.47898 .54371 L
F
.48543 .4775 m
.4876 .48543 L
.48543 .48893 L
.47904 .48543 L
F
.48543 .41889 m
.48899 .42716 L
.48543 .4325 L
.47908 .42716 L
F
.48543 .47768 m
.48754 .48543 L
.48543 .48883 L
.47916 .48543 L
F
.48543 .4411 m
.48844 .44658 L
.48543 .45001 L
.4792 .44658 L
F
.48543 .51077 m
.49505 .51457 L
.48655 .52428 L
.48543 .5297 L
.47926 .52428 L
.48255 .51457 L
F
.48543 .53822 m
.48605 .54371 L
.48543 .5448 L
.47927 .54371 L
F
.48543 .47786 m
.48748 .48543 L
.48543 .48873 L
.47928 .48543 L
F
.48543 .41931 m
.48879 .42716 L
.48543 .43219 L
.47936 .42716 L
F
.48543 .47805 m
.48741 .48543 L
.48543 .48863 L
.4794 .48543 L
F
.48543 .44136 m
.48828 .44658 L
.48543 .44983 L
.47946 .44658 L
F
.48543 .36114 m
.49015 .36888 L
.48543 .37502 L
.47952 .36888 L
F
.48543 .47823 m
.48735 .48543 L
.48543 .48852 L
.47952 .48543 L
F
.48543 .51087 m
.49493 .51457 L
.48642 .52428 L
.48543 .52878 L
.47957 .52428 L
.48263 .51457 L
F
.48543 .53872 m
.48595 .54371 L
.48543 .54462 L
.47957 .54371 L
F
.48543 .47841 m
.48729 .48543 L
.48543 .48842 L
.47965 .48543 L
F
.48543 .41972 m
.4886 .42716 L
.48543 .43189 L
.47965 .42716 L
F
.48543 .44163 m
.48811 .44658 L
.48543 .44964 L
.47972 .44658 L
F
.48543 .38149 m
.48947 .38831 L
.48543 .39349 L
.47972 .38831 L
F
.48543 .47859 m
.48722 .48543 L
.48543 .48832 L
.47977 .48543 L
F
.48543 .53924 m
.48584 .54371 L
.48543 .54444 L
.4799 .54371 L
F
.48543 .47877 m
.48716 .48543 L
.48543 .48822 L
.4799 .48543 L
F
.48543 .51097 m
.49481 .51457 L
.48629 .52428 L
.48543 .52799 L
.4799 .52428 L
.4827 .51457 L
F
.48543 .42014 m
.4884 .42716 L
.48543 .43158 L
.47994 .42716 L
F
.48543 .4419 m
.48794 .44658 L
.48543 .44946 L
.47999 .44658 L
F
.48543 .47896 m
.48709 .48543 L
.48543 .48812 L
.48003 .48543 L
F
.48543 .47914 m
.48702 .48543 L
.48543 .48801 L
.48016 .48543 L
F
.48543 .60664 m
.49259 .61169 L
.48543 .62003 L
.48022 .61169 L
F
.48543 .42055 m
.4882 .42716 L
.48543 .43127 L
.48023 .42716 L
F
.48543 .53981 m
.48574 .54371 L
.48543 .54425 L
.48025 .54371 L
F
.48543 .51108 m
.49468 .51457 L
.48616 .52428 L
.48543 .52729 L
.48025 .52428 L
.48278 .51457 L
F
.49514 .5346 m
.50206 .54371 L
.49561 .55342 L
.50194 .56313 L
.49514 .57238 L
.48805 .56313 L
.48543 .56154 L
.48025 .55342 L
.48543 .54906 L
.48862 .54371 L
F
.48543 .44217 m
.48777 .44658 L
.48543 .44927 L
.48026 .44658 L
F
.48543 .47933 m
.48696 .48543 L
.48543 .48791 L
.48029 .48543 L
F
.48543 .47952 m
.48689 .48543 L
.48543 .4878 L
.48042 .48543 L
F
.49514 .53478 m
.50197 .54371 L
.49538 .55342 L
.50144 .56313 L
.49514 .5718 L
.48856 .56313 L
.48543 .56124 L
.48044 .55342 L
.48543 .54921 L
.48871 .54371 L
F
.48543 .42096 m
.488 .42716 L
.48543 .43097 L
.48053 .42716 L
F
.48543 .44244 m
.4876 .44658 L
.48543 .44908 L
.48054 .44658 L
F
.48543 .47971 m
.48682 .48543 L
.48543 .4877 L
.48056 .48543 L
F
.48543 .51118 m
.49456 .51457 L
.48603 .52428 L
.48543 .52664 L
.48062 .52428 L
.48286 .51457 L
F
.48543 .54046 m
.48563 .54371 L
.48543 .54406 L
.48063 .54371 L
F
.49514 .53495 m
.50188 .54371 L
.49515 .55342 L
.50095 .56313 L
.49514 .5712 L
.48907 .56313 L
.48543 .56095 L
.48063 .55342 L
.48543 .54937 L
.4888 .54371 L
F
.48543 .4799 m
.48676 .48543 L
.48543 .48759 L
.4807 .48543 L
F
.48543 .54952 m
.49488 .55342 L
.49514 .5576 L
.50046 .56313 L
.49514 .57059 L
.48959 .56313 L
.48543 .56067 L
.48082 .55342 L
F
.48543 .44273 m
.48743 .44658 L
.48543 .44888 L
.48083 .44658 L
F
.48543 .42138 m
.4878 .42716 L
.48543 .43066 L
.48083 .42716 L
F
.48543 .4801 m
.48669 .48543 L
.48543 .48748 L
.48084 .48543 L
F
.48543 .48029 m
.48662 .48543 L
.48543 .48738 L
.48098 .48543 L
F
.48543 .54968 m
.49461 .55342 L
.49514 .55837 L
.49996 .56313 L
.49514 .56996 L
.4901 .56313 L
.48543 .56039 L
.48101 .55342 L
F
.48543 .51128 m
.49443 .51457 L
.48589 .52428 L
.48543 .52604 L
.48102 .52428 L
.48294 .51457 L
F
.48543 .54127 m
.48552 .54371 L
.48543 .54386 L
.48106 .54371 L
F
.48543 .62602 m
.49085 .63112 L
.48543 .63872 L
.48107 .63112 L
F
.48543 .44301 m
.48725 .44658 L
.48543 .44868 L
.48113 .44658 L
F
.48543 .4805 m
.48655 .48543 L
.48543 .48727 L
.48113 .48543 L
F
.48543 .42181 m
.48759 .42716 L
.48543 .43035 L
.48115 .42716 L
F
.48543 .38334 m
.48832 .38831 L
.48543 .39205 L
.48118 .38831 L
F
.48543 .54984 m
.49433 .55342 L
.49514 .55905 L
.49945 .56313 L
.49514 .56931 L
.49063 .56313 L
.48543 .56011 L
.4812 .55342 L
F
.48543 .4807 m
.48648 .48543 L
.48543 .48716 L
.48128 .48543 L
F
.48543 .55 m
.49406 .55342 L
.49514 .55968 L
.49892 .56313 L
.49514 .56863 L
.49118 .56313 L
.48543 .55984 L
.48139 .55342 L
F
.48543 .44331 m
.48707 .44658 L
.48543 .44848 L
.48143 .44658 L
F
.48543 .48091 m
.48641 .48543 L
.48543 .48704 L
.48144 .48543 L
F
.48543 .60785 m
.49111 .61169 L
.48543 .61813 L
.48145 .61169 L
F
.48543 .51139 m
.49431 .51457 L
.48576 .52428 L
.48543 .52547 L
.48146 .52428 L
.48302 .51457 L
F
.48543 .42224 m
.48738 .42716 L
.48543 .43003 L
.48148 .42716 L
F
.48543 .55016 m
.49378 .55342 L
.49514 .56029 L
.49837 .56313 L
.49514 .56791 L
.49174 .56313 L
.48543 .55957 L
.48159 .55342 L
F
.48543 .48112 m
.48634 .48543 L
.48543 .48693 L
.4816 .48543 L
F
.48543 .56805 m
.49249 .57284 L
.48543 .58213 L
.48172 .57284 L
F
.48543 .44361 m
.48688 .44658 L
.48543 .44827 L
.48175 .44658 L
F
.48543 .48135 m
.48627 .48543 L
.48543 .48682 L
.48177 .48543 L
F
.48543 .55032 m
.4935 .55342 L
.49514 .56088 L
.4978 .56313 L
.49514 .56714 L
.49234 .56313 L
.48543 .5593 L
.48178 .55342 L
F
.48543 .42269 m
.48716 .42716 L
.48543 .42971 L
.48182 .42716 L
F
.48543 .48157 m
.4862 .48543 L
.48543 .4867 L
.48194 .48543 L
F
.48543 .56836 m
.49217 .57284 L
.48543 .58162 L
.48194 .57284 L
F
.48543 .55048 m
.49321 .55342 L
.49514 .56148 L
.49718 .56313 L
.49514 .56629 L
.49298 .56313 L
.48543 .55903 L
.48197 .55342 L
F
.48543 .51149 m
.49418 .51457 L
.48562 .52428 L
.48543 .52494 L
.48198 .52428 L
.4831 .51457 L
F
.48543 .44393 m
.48669 .44658 L
.48543 .44806 L
.48209 .44658 L
F
.48543 .48181 m
.48612 .48543 L
.48543 .48658 L
.48212 .48543 L
F
.48543 .55065 m
.49292 .55342 L
.49514 .56209 L
.4965 .56313 L
.49514 .56532 L
.49369 .56313 L
.48543 .55876 L
.48217 .55342 L
F
.48543 .56867 m
.49185 .57284 L
.48543 .58111 L
.48217 .57284 L
F
.48543 .42316 m
.48693 .42716 L
.48543 .42938 L
.48217 .42716 L
F
.48543 .48205 m
.48605 .48543 L
.48543 .48647 L
.48231 .48543 L
F
.48543 .55081 m
.49262 .55342 L
.49514 .56273 L
.4957 .56313 L
.49514 .56411 L
.49454 .56313 L
.48543 .55848 L
.48237 .55342 L
F
.48543 .56898 m
.49152 .57284 L
.48543 .58062 L
.48241 .57284 L
F
.48543 .44427 m
.4865 .44658 L
.48543 .44784 L
.48245 .44658 L
F
.48543 .48231 m
.48598 .48543 L
.48543 .48635 L
.4825 .48543 L
F
.48543 .42365 m
.4867 .42716 L
.48543 .42905 L
.48255 .42716 L
F
.48543 .55098 m
.49232 .55342 L
.48543 .55821 L
.48257 .55342 L
F
.48543 .5116 m
.49405 .51457 L
.48547 .52428 L
.48543 .52442 L
.48264 .52428 L
.48318 .51457 L
F
.48543 .56929 m
.49118 .57284 L
.48543 .58012 L
.48264 .57284 L
F
.48543 .48258 m
.4859 .48543 L
.48543 .48622 L
.48271 .48543 L
F
.48543 .60913 m
.4895 .61169 L
.48543 .61624 L
.48276 .61169 L
F
.48543 .55115 m
.492 .55342 L
.48543 .55793 L
.48277 .55342 L
F
.48543 .44463 m
.4863 .44658 L
.48543 .44761 L
.48284 .44658 L
F
.48543 .38534 m
.48704 .38831 L
.48543 .39044 L
.48285 .38831 L
F
.48543 .56961 m
.49082 .57284 L
.48543 .57961 L
.48288 .57284 L
F
.48543 .48287 m
.48583 .48543 L
.48543 .4861 L
.48294 .48543 L
F
.48543 .42417 m
.48647 .42716 L
.48543 .4287 L
.48296 .42716 L
F
.48543 .55133 m
.49168 .55342 L
.48543 .55765 L
.48298 .55342 L
F
.48543 .56993 m
.49046 .57284 L
.48543 .5791 L
.48313 .57284 L
F
.48543 .5515 m
.49135 .55342 L
.48543 .55735 L
.48319 .55342 L
F
.48543 .48319 m
.48575 .48543 L
.48543 .48597 L
.48319 .48543 L
F
.48543 .5117 m
.49391 .51457 L
.48543 .5241 L
.48326 .51457 L
F
.48543 .44501 m
.48609 .44658 L
.48543 .44737 L
.48327 .44658 L
F
.48543 .51181 m
.49378 .51457 L
.48543 .52385 L
.48334 .51457 L
F
.48543 .57025 m
.49008 .57284 L
.48543 .57858 L
.48338 .57284 L
F
.48543 .36629 m
.4869 .36888 L
.48543 .37055 L
.48338 .36888 L
F
.48543 .55168 m
.491 .55342 L
.48543 .55706 L
.4834 .55342 L
F
.48543 .42474 m
.48622 .42716 L
.48543 .42834 L
.48341 .42716 L
F
.48543 .51191 m
.49364 .51457 L
.48543 .5236 L
.48342 .51457 L
F
.48543 .48354 m
.48567 .48543 L
.48543 .48584 L
.48347 .48543 L
F
.48543 .51202 m
.4935 .51457 L
.48543 .52336 L
.4835 .51457 L
F
.48543 .51213 m
.49336 .51457 L
.48543 .52311 L
.48358 .51457 L
F
.48543 .55187 m
.49064 .55342 L
.48543 .55675 L
.48361 .55342 L
F
.48543 .57058 m
.48968 .57284 L
.48543 .57804 L
.48363 .57284 L
F
.48543 .51224 m
.49322 .51457 L
.48543 .52286 L
.48367 .51457 L
F
.48543 .51235 m
.49307 .51457 L
.48543 .52261 L
.48375 .51457 L
F
.48543 .44544 m
.48588 .44658 L
.48543 .44712 L
.48377 .44658 L
F
.48543 .48395 m
.48559 .48543 L
.48543 .48571 L
.48379 .48543 L
F
.48543 .51245 m
.49292 .51457 L
.48543 .52237 L
.48383 .51457 L
F
.48543 .55206 m
.49026 .55342 L
.48543 .55643 L
.48383 .55342 L
F
.48543 .57091 m
.48925 .57284 L
.48543 .57748 L
.4839 .57284 L
F
.48543 .51256 m
.49277 .51457 L
.48543 .52212 L
.48392 .51457 L
F
.48543 .42538 m
.48596 .42716 L
.48543 .42796 L
.48393 .42716 L
F
.48543 .51268 m
.49261 .51457 L
.48543 .52186 L
.484 .51457 L
F
.48543 .55225 m
.48986 .55342 L
.48543 .55609 L
.48406 .55342 L
F
.48543 .51279 m
.49245 .51457 L
.48543 .52161 L
.48409 .51457 L
F
.48543 .57125 m
.48879 .57284 L
.48543 .57688 L
.48417 .57284 L
F
.48543 .5129 m
.49229 .51457 L
.48543 .52135 L
.48417 .51457 L
F
.48543 .48446 m
.48551 .48543 L
.48543 .48557 L
.4842 .48543 L
F
.48543 .61058 m
.4875 .61169 L
.48543 .61402 L
.48425 .61169 L
F
.48543 .51301 m
.49212 .51457 L
.48543 .52109 L
.48426 .51457 L
F
.48543 .55245 m
.48942 .55342 L
.48543 .55573 L
.48429 .55342 L
F
.48543 .51313 m
.49194 .51457 L
.48543 .52082 L
.48435 .51457 L
F
.48543 .44594 m
.48566 .44658 L
.48543 .44686 L
.48438 .44658 L
F
.48543 .51325 m
.49176 .51457 L
.48543 .52055 L
.48444 .51457 L
F
.48543 .57161 m
.48828 .57284 L
.48543 .57623 L
.48445 .57284 L
F
.48543 .51336 m
.49158 .51457 L
.48543 .52027 L
.48453 .51457 L
F
.48543 .55265 m
.48894 .55342 L
.48543 .55535 L
.48453 .55342 L
F
.48543 .42616 m
.48569 .42716 L
.48543 .42755 L
.48456 .42716 L
F
.48543 .51348 m
.49138 .51457 L
.48543 .51998 L
.48462 .51457 L
F
.48543 .49455 m
.49314 .49514 L
.49514 .49849 L
.4999 .50486 L
.49514 .5144 L
.49171 .50486 L
.48543 .4962 L
.48467 .49514 L
F
.48543 .5136 m
.49118 .51457 L
.48543 .51967 L
.48471 .51457 L
F
.48543 .57198 m
.48769 .57284 L
.48543 .57549 L
.48474 .57284 L
F
.48543 .55286 m
.4884 .55342 L
.48543 .55492 L
.48478 .55342 L
F
.48543 .51372 m
.49097 .51457 L
.48543 .51936 L
.4848 .51457 L
F
.48543 .49469 m
.49276 .49514 L
.49514 .4988 L
.49975 .50486 L
.49514 .51419 L
.49184 .50486 L
.48543 .49597 L
.48485 .49514 L
F
.48543 .63055 m
.48631 .63112 L
.48543 .63238 L
.48486 .63112 L
F
.49514 .44365 m
.49912 .44658 L
.49594 .45629 L
.49514 .45762 L
.48543 .46574 L
.48489 .45629 L
.48543 .45554 L
.49363 .44658 L
F
.48543 .51385 m
.49075 .51457 L
.48543 .51903 L
.48489 .51457 L
F
.48543 .48539 m
.48543 .48543 L
.48543 .48543 L
.48496 .48543 L
F
.48543 .51397 m
.49052 .51457 L
.48543 .51867 L
.48499 .51457 L
F
.49514 .44403 m
.49879 .44658 L
.49584 .45629 L
.49514 .45745 L
.48543 .46491 L
.48503 .45629 L
.48543 .45573 L
.49382 .44658 L
F
.48543 .55308 m
.48774 .55342 L
.48543 .55443 L
.48504 .55342 L
F
.48543 .49484 m
.49236 .49514 L
.49514 .4991 L
.4996 .50486 L
.49514 .51397 L
.49196 .50486 L
.48543 .49572 L
.48504 .49514 L
F
.48543 .57237 m
.48697 .57284 L
.48543 .5746 L
.48506 .57284 L
F
.48543 .5141 m
.49027 .51457 L
.48543 .51829 L
.48508 .51457 L
F
.49514 .44441 m
.49844 .44658 L
.49574 .45629 L
.49514 .45729 L
.48543 .46408 L
.48517 .45629 L
.48543 .45592 L
.49401 .44658 L
F
.48543 .51423 m
.48999 .51457 L
.48543 .51786 L
.48518 .51457 L
F
.48543 .49499 m
.49192 .49514 L
.49514 .49939 L
.49944 .50486 L
.49514 .51375 L
.49209 .50486 L
.48543 .49545 L
.48523 .49514 L
F
.48543 .51436 m
.4897 .51457 L
.48543 .51736 L
.48528 .51457 L
F
.48543 .55331 m
.4868 .55342 L
.48543 .5538 L
.48531 .55342 L
F
.49514 .4448 m
.49806 .44658 L
.49563 .45629 L
.49514 .45711 L
.48543 .4632 L
.48531 .45629 L
.48543 .45613 L
.49421 .44658 L
F
.48543 .38824 m
.48546 .38831 L
.48543 .38834 L
.48537 .38831 L
F
.48543 .5145 m
.48936 .51457 L
.48543 .51671 L
.48538 .51457 L
F
.48543 .57279 m
.48578 .57284 L
.48543 .5732 L
.48539 .57284 L
F
.48543 .44658 m
.48543 .44658 L
.48543 .44658 L
.48542 .44658 L
F
.48543 .49514 m
.49141 .49514 L
.49514 .49967 L
.49929 .50486 L
.49514 .51352 L
.49222 .50486 L
.48543 .49515 L
.48543 .49514 L
F
.49514 .44519 m
.49764 .44658 L
.49553 .45629 L
.49514 .45694 L
.48547 .45629 L
.49441 .44658 L
F
.49514 .41193 m
.49715 .41744 L
.49514 .4192 L
.48566 .41744 L
F
.49514 .4456 m
.49716 .44658 L
.49542 .45629 L
.49514 .45676 L
.48572 .45629 L
.49463 .44658 L
F
.49514 .44601 m
.49657 .44658 L
.49532 .45629 L
.49514 .45659 L
.48598 .45629 L
.49484 .44658 L
F
.49514 .44645 m
.4957 .44658 L
.49521 .45629 L
.49514 .4564 L
.48625 .45629 L
.49507 .44658 L
F
.49514 .386 m
.50177 .38831 L
.49754 .39802 L
.49514 .40194 L
.48638 .39802 L
.49392 .38831 L
F
.49514 .41259 m
.49681 .41744 L
.49514 .4189 L
.48639 .41744 L
F
.49514 .41327 m
.49645 .41744 L
.49514 .41859 L
.48717 .41744 L
F
.49514 .38845 m
.49695 .39802 L
.49514 .40096 L
.48756 .39802 L
F
.49514 .41403 m
.49608 .41744 L
.49514 .41827 L
.48802 .41744 L
F
.49514 .5928 m
.50067 .60198 L
.49514 .61004 L
.48803 .60198 L
F
.49514 .35286 m
.49773 .35917 L
.49514 .3616 L
.48835 .35917 L
F
.49514 .51666 m
.50285 .52428 L
.50486 .52845 L
.51084 .53399 L
.50486 .53954 L
.49518 .53399 L
.49514 .53396 L
.48857 .52428 L
F
.49514 .57295 m
.50079 .58256 L
.50486 .59204 L
.5057 .59227 L
.50486 .593 L
.50038 .59227 L
.49514 .59138 L
.48859 .58256 L
F
.49514 .51679 m
.50273 .52428 L
.50486 .52863 L
.51065 .53399 L
.50486 .53939 L
.49544 .53399 L
.49514 .53367 L
.48868 .52428 L
F
.49514 .5943 m
.50011 .60198 L
.49514 .60917 L
.4887 .60198 L
F
.49514 .51691 m
.5026 .52428 L
.50486 .52882 L
.51046 .53399 L
.50486 .53923 L
.4957 .53399 L
.49514 .5334 L
.48879 .52428 L
F
.49514 .53512 m
.50178 .54371 L
.49514 .55325 L
.48888 .54371 L
F
.49514 .39053 m
.49633 .39802 L
.49514 .39995 L
.48889 .39802 L
F
.49514 .51704 m
.50248 .52428 L
.50486 .529 L
.51028 .53399 L
.50486 .53907 L
.49596 .53399 L
.49514 .53316 L
.48891 .52428 L
F
.49514 .57347 m
.50046 .58256 L
.49514 .59073 L
.48896 .58256 L
F
.49514 .53528 m
.50169 .54371 L
.49514 .55309 L
.48897 .54371 L
F
.49514 .41492 m
.4957 .41744 L
.49514 .41794 L
.48899 .41744 L
F
.49514 .51717 m
.50235 .52428 L
.50486 .52918 L
.51009 .53399 L
.50486 .53891 L
.49622 .53399 L
.49514 .53293 L
.48902 .52428 L
F
.49514 .53544 m
.5016 .54371 L
.49514 .55292 L
.48906 .54371 L
F
.49514 .51729 m
.50223 .52428 L
.50486 .52936 L
.5099 .53399 L
.50486 .53875 L
.49648 .53399 L
.49514 .53271 L
.48913 .52428 L
F
.49514 .5356 m
.50151 .54371 L
.49514 .55276 L
.48915 .54371 L
F
.49514 .46048 m
.50478 .46601 L
.50486 .46609 L
.51141 .47572 L
.50486 .48332 L
.49717 .47572 L
.49514 .47152 L
.4892 .46601 L
F
.49514 .51742 m
.5021 .52428 L
.50486 .52953 L
.50972 .53399 L
.50486 .53859 L
.49673 .53399 L
.49514 .53249 L
.48924 .52428 L
F
.49514 .53575 m
.50141 .54371 L
.49514 .55261 L
.48924 .54371 L
F
.49514 .57399 m
.50013 .58256 L
.49514 .59013 L
.48933 .58256 L
F
.49514 .53591 m
.50132 .54371 L
.49514 .55245 L
.48933 .54371 L
F
.49514 .51754 m
.50198 .52428 L
.50486 .52971 L
.50953 .53399 L
.50486 .53842 L
.49699 .53399 L
.49514 .53229 L
.48936 .52428 L
F
.49514 .62926 m
.50486 .62467 L
.50745 .63112 L
.50486 .63497 L
.49854 .64083 L
.49514 .64657 L
.48937 .64083 L
.49437 .63112 L
F
.49514 .59543 m
.49954 .60198 L
.49514 .60832 L
.48938 .60198 L
F
.49514 .46064 m
.50452 .46601 L
.50486 .46638 L
.5113 .47572 L
.50486 .48319 L
.49729 .47572 L
.49514 .47134 L
.48938 .46601 L
F
.49514 .53605 m
.50123 .54371 L
.49514 .5523 L
.48942 .54371 L
F
.49514 .51767 m
.50185 .52428 L
.50486 .52989 L
.50934 .53399 L
.50486 .53826 L
.49725 .53399 L
.49514 .53209 L
.48947 .52428 L
F
.49514 .5362 m
.50114 .54371 L
.49514 .55214 L
.48951 .54371 L
F
.49514 .4608 m
.50425 .46601 L
.50486 .46664 L
.51119 .47572 L
.50486 .48306 L
.49742 .47572 L
.49514 .47115 L
.48957 .46601 L
F
.49514 .51779 m
.50173 .52428 L
.50486 .53006 L
.50916 .53399 L
.50486 .53809 L
.49751 .53399 L
.49514 .5319 L
.48958 .52428 L
F
.49514 .53635 m
.50104 .54371 L
.49514 .55199 L
.4896 .54371 L
F
.49514 .53649 m
.50095 .54371 L
.49514 .55185 L
.48969 .54371 L
F
.49514 .51792 m
.5016 .52428 L
.50486 .53024 L
.50897 .53399 L
.50486 .53793 L
.49777 .53399 L
.49514 .53171 L
.48969 .52428 L
F
.49514 .5745 m
.4998 .58256 L
.49514 .58955 L
.4897 .58256 L
F
.49514 .46096 m
.504 .46601 L
.50486 .46688 L
.51107 .47572 L
.50486 .48294 L
.49755 .47572 L
.49514 .47097 L
.48976 .46601 L
F
.49514 .53663 m
.50086 .54371 L
.49514 .5517 L
.48978 .54371 L
F
.49514 .51804 m
.50148 .52428 L
.50486 .53042 L
.50878 .53399 L
.50486 .53776 L
.49803 .53399 L
.49514 .53153 L
.4898 .52428 L
F
.49514 .53677 m
.50076 .54371 L
.49514 .55155 L
.48987 .54371 L
F
.49514 .51817 m
.50135 .52428 L
.50486 .53059 L
.50859 .53399 L
.50486 .53759 L
.49829 .53399 L
.49514 .53135 L
.48992 .52428 L
F
.49514 .46112 m
.50374 .46601 L
.50486 .46711 L
.51096 .47572 L
.50486 .48281 L
.49767 .47572 L
.49514 .47079 L
.48994 .46601 L
F
.49514 .53691 m
.50067 .54371 L
.49514 .55141 L
.48996 .54371 L
F
.49514 .5183 m
.50123 .52428 L
.50486 .53077 L
.5084 .53399 L
.50486 .53741 L
.49856 .53399 L
.49514 .53117 L
.49003 .52428 L
F
.49514 .53705 m
.50058 .54371 L
.49514 .55126 L
.49005 .54371 L
F
.49514 .59643 m
.49897 .60198 L
.49514 .60748 L
.49007 .60198 L
F
.49514 .57503 m
.49946 .58256 L
.49514 .58899 L
.49007 .58256 L
F
.49514 .46128 m
.50348 .46601 L
.50486 .46733 L
.51085 .47572 L
.50486 .48269 L
.4978 .47572 L
.49514 .47061 L
.49013 .46601 L
F
.49514 .51842 m
.5011 .52428 L
.50486 .53095 L
.5082 .53399 L
.50486 .53724 L
.49883 .53399 L
.49514 .531 L
.49014 .52428 L
F
.49514 .53718 m
.50048 .54371 L
.49514 .55112 L
.49014 .54371 L
F
.49514 .41618 m
.4953 .41744 L
.49514 .41759 L
.4902 .41744 L
F
.49514 .53732 m
.50039 .54371 L
.49514 .55098 L
.49023 .54371 L
F
.49514 .51855 m
.50097 .52428 L
.50486 .53113 L
.50801 .53399 L
.50486 .53706 L
.49911 .53399 L
.49514 .53082 L
.49026 .52428 L
F
.49514 .46144 m
.50322 .46601 L
.50486 .46754 L
.51074 .47572 L
.50486 .48256 L
.49792 .47572 L
.49514 .47044 L
.49031 .46601 L
F
.49514 .53745 m
.50029 .54371 L
.49514 .55083 L
.49033 .54371 L
F
.49514 .51868 m
.50085 .52428 L
.50486 .53131 L
.50781 .53399 L
.50486 .53688 L
.49939 .53399 L
.49514 .53065 L
.49037 .52428 L
F
.49514 .47894 m
.50223 .48543 L
.49514 .49505 L
.4904 .48543 L
F
.49514 .53759 m
.5002 .54371 L
.49514 .55069 L
.49042 .54371 L
F
.49514 .57556 m
.49912 .58256 L
.49514 .58844 L
.49045 .58256 L
F
.49514 .47903 m
.50216 .48543 L
.49514 .4949 L
.49046 .48543 L
F
.49514 .51881 m
.50072 .52428 L
.50486 .53149 L
.50761 .53399 L
.50486 .53669 L
.49967 .53399 L
.49514 .53049 L
.49048 .52428 L
F
.49514 .4616 m
.50297 .46601 L
.50486 .46774 L
.51063 .47572 L
.50486 .48244 L
.49805 .47572 L
.49514 .47026 L
.4905 .46601 L
F
.49514 .53772 m
.5001 .54371 L
.49514 .55055 L
.49051 .54371 L
F
.49514 .47911 m
.50208 .48543 L
.49514 .49476 L
.49052 .48543 L
F
.49514 .39299 m
.49567 .39802 L
.49514 .39889 L
.49052 .39802 L
F
.49514 .4792 m
.50201 .48543 L
.49514 .49462 L
.49058 .48543 L
F
.49514 .51894 m
.50059 .52428 L
.50486 .53168 L
.50741 .53399 L
.50486 .5365 L
.49997 .53399 L
.49514 .53032 L
.4906 .52428 L
F
.49514 .53785 m
.50001 .54371 L
.49514 .55041 L
.4906 .54371 L
F
.49514 .47928 m
.50193 .48543 L
.49514 .49448 L
.49064 .48543 L
F
.49514 .46177 m
.50271 .46601 L
.50486 .46794 L
.51051 .47572 L
.50486 .48231 L
.49817 .47572 L
.49514 .47008 L
.49069 .46601 L
F
.49514 .53798 m
.49991 .54371 L
.49514 .55027 L
.49069 .54371 L
F
.49514 .47937 m
.50186 .48543 L
.49514 .49434 L
.4907 .48543 L
F
.49514 .51907 m
.50047 .52428 L
.50486 .53187 L
.5072 .53399 L
.50486 .53631 L
.50027 .53399 L
.49514 .53015 L
.49071 .52428 L
F
.49514 .47945 m
.50178 .48543 L
.49514 .49421 L
.49076 .48543 L
F
.49514 .59737 m
.49837 .60198 L
.49514 .60663 L
.49078 .60198 L
F
.49514 .53811 m
.49981 .54371 L
.49514 .55013 L
.49079 .54371 L
F
.49514 .47954 m
.5017 .48543 L
.49514 .49408 L
.49082 .48543 L
F
.49514 .5192 m
.50034 .52428 L
.50486 .53206 L
.50699 .53399 L
.50486 .53611 L
.50058 .53399 L
.49514 .52999 L
.49083 .52428 L
F
.49514 .5761 m
.49877 .58256 L
.49514 .58789 L
.49084 .58256 L
F
.49514 .47962 m
.50163 .48543 L
.49514 .49395 L
.49087 .48543 L
F
.49514 .46193 m
.50245 .46601 L
.50486 .46813 L
.5104 .47572 L
.50486 .48219 L
.49829 .47572 L
.49514 .46991 L
.49087 .46601 L
F
.49514 .53824 m
.49972 .54371 L
.49514 .54999 L
.49088 .54371 L
F
.49514 .47971 m
.50155 .48543 L
.49514 .49382 L
.49093 .48543 L
F
.49514 .51933 m
.50021 .52428 L
.50486 .53225 L
.50677 .53399 L
.50486 .5359 L
.50091 .53399 L
.49514 .52983 L
.49094 .52428 L
F
.49514 .53838 m
.49962 .54371 L
.49514 .54985 L
.49097 .54371 L
F
.49514 .47979 m
.50147 .48543 L
.49514 .49369 L
.49099 .48543 L
F
.49514 .47987 m
.5014 .48543 L
.49514 .49357 L
.49105 .48543 L
F
.49514 .51946 m
.50008 .52428 L
.50486 .53245 L
.50655 .53399 L
.50486 .53569 L
.50125 .53399 L
.49514 .52966 L
.49106 .52428 L
F
.49514 .4621 m
.50219 .46601 L
.50486 .46832 L
.51029 .47572 L
.50486 .48206 L
.49842 .47572 L
.49514 .46973 L
.49106 .46601 L
F
.49514 .53851 m
.49952 .54371 L
.49514 .54971 L
.49107 .54371 L
F
.49514 .47996 m
.50132 .48543 L
.49514 .49344 L
.49111 .48543 L
F
.49514 .53864 m
.49942 .54371 L
.49514 .54957 L
.49116 .54371 L
F
.49514 .48004 m
.50124 .48543 L
.49514 .49332 L
.49117 .48543 L
F
.49514 .5196 m
.49995 .52428 L
.50486 .53266 L
.50633 .53399 L
.50486 .53548 L
.5016 .53399 L
.49514 .5295 L
.49118 .52428 L
F
.49514 .48013 m
.50117 .48543 L
.49514 .4932 L
.49123 .48543 L
F
.49514 .57666 m
.49841 .58256 L
.49514 .58735 L
.49124 .58256 L
F
.49514 .46227 m
.50193 .46601 L
.50486 .4685 L
.51018 .47572 L
.50486 .48193 L
.49854 .47572 L
.49514 .46955 L
.49125 .46601 L
F
.49514 .53877 m
.49932 .54371 L
.49514 .54943 L
.49126 .54371 L
F
.49514 .48021 m
.50109 .48543 L
.49514 .49308 L
.49129 .48543 L
F
.49514 .51973 m
.49981 .52428 L
.50486 .53287 L
.50609 .53399 L
.50486 .53525 L
.50199 .53399 L
.49514 .52934 L
.4913 .52428 L
F
.49514 .4803 m
.50101 .48543 L
.49514 .49296 L
.49135 .48543 L
F
.49514 .5389 m
.49922 .54371 L
.49514 .54929 L
.49135 .54371 L
F
.49514 .48038 m
.50093 .48543 L
.49514 .49283 L
.49141 .48543 L
F
.49514 .51987 m
.49968 .52428 L
.50486 .53309 L
.50585 .53399 L
.50486 .53501 L
.5024 .53399 L
.49514 .52918 L
.49141 .52428 L
F
.49514 .46244 m
.50166 .46601 L
.50486 .46868 L
.51006 .47572 L
.50486 .48181 L
.49867 .47572 L
.49514 .46938 L
.49144 .46601 L
F
.49514 .53903 m
.49912 .54371 L
.49514 .54915 L
.49145 .54371 L
F
.49514 .48046 m
.50085 .48543 L
.49514 .49272 L
.49147 .48543 L
F
.49514 .52 m
.49955 .52428 L
.50486 .53331 L
.5056 .53399 L
.50486 .53476 L
.50287 .53399 L
.49514 .52902 L
.49153 .52428 L
F
.49514 .48055 m
.50077 .48543 L
.49514 .4926 L
.49153 .48543 L
F
.49514 .5983 m
.49775 .60198 L
.49514 .60576 L
.49154 .60198 L
F
.49514 .53916 m
.49902 .54371 L
.49514 .549 L
.49155 .54371 L
F
.49514 .48063 m
.50069 .48543 L
.49514 .49248 L
.4916 .48543 L
F
.49514 .42219 m
.50337 .42716 L
.49514 .43662 L
.4916 .42716 L
F
.49514 .46262 m
.50139 .46601 L
.50486 .46886 L
.50995 .47572 L
.50486 .48168 L
.49879 .47572 L
.49514 .4692 L
.49163 .46601 L
F
.49514 .53929 m
.49892 .54371 L
.49514 .54886 L
.49165 .54371 L
F
.49514 .52014 m
.49941 .52428 L
.50486 .53355 L
.50534 .53399 L
.50486 .5345 L
.5034 .53399 L
.49514 .52886 L
.49165 .52428 L
F
.49514 .48072 m
.50061 .48543 L
.49514 .49236 L
.49166 .48543 L
F
.49514 .57724 m
.49804 .58256 L
.49514 .58679 L
.49166 .58256 L
F
.49514 .4808 m
.50053 .48543 L
.49514 .49224 L
.49172 .48543 L
F
.49514 .53942 m
.49882 .54371 L
.49514 .54872 L
.49174 .54371 L
F
.49514 .52028 m
.49927 .52428 L
.50486 .5338 L
.50506 .53399 L
.50486 .53421 L
.50409 .53399 L
.49514 .52869 L
.49178 .52428 L
F
.49514 .48088 m
.50045 .48543 L
.49514 .49212 L
.49178 .48543 L
F
.49514 .42246 m
.50307 .42716 L
.49514 .43594 L
.49179 .42716 L
F
.49514 .46279 m
.50112 .46601 L
.50486 .46903 L
.50984 .47572 L
.50486 .48155 L
.49892 .47572 L
.49514 .46902 L
.49183 .46601 L
F
.49514 .48097 m
.50037 .48543 L
.49514 .49201 L
.49184 .48543 L
F
.49514 .53955 m
.49871 .54371 L
.49514 .54857 L
.49184 .54371 L
F
.49514 .52042 m
.49913 .52428 L
.49514 .52853 L
.4919 .52428 L
F
.49514 .48105 m
.50029 .48543 L
.49514 .49189 L
.4919 .48543 L
F
.49514 .53969 m
.49861 .54371 L
.49514 .54843 L
.49194 .54371 L
F
.49514 .48114 m
.50021 .48543 L
.49514 .49177 L
.49197 .48543 L
F
.49514 .42272 m
.50277 .42716 L
.49514 .43534 L
.49198 .42716 L
F
.49514 .52056 m
.49899 .52428 L
.49514 .52837 L
.49202 .52428 L
F
.49514 .46297 m
.50084 .46601 L
.50486 .46921 L
.50973 .47572 L
.50486 .48143 L
.49905 .47572 L
.49514 .46884 L
.49202 .46601 L
F
.49514 .48122 m
.50013 .48543 L
.49514 .49166 L
.49203 .48543 L
F
.49514 .53982 m
.4985 .54371 L
.49514 .54828 L
.49205 .54371 L
F
.49514 .57785 m
.49765 .58256 L
.49514 .58623 L
.49209 .58256 L
F
.49514 .48131 m
.50004 .48543 L
.49514 .49154 L
.49209 .48543 L
F
.49514 .53995 m
.49839 .54371 L
.49514 .54814 L
.49215 .54371 L
F
.49514 .52071 m
.49885 .52428 L
.49514 .5282 L
.49215 .52428 L
F
.49514 .4814 m
.49996 .48543 L
.49514 .49142 L
.49216 .48543 L
F
.49514 .42298 m
.50246 .42716 L
.49514 .4348 L
.49217 .42716 L
F
.49514 .48148 m
.49988 .48543 L
.49514 .49131 L
.49222 .48543 L
F
.49514 .46316 m
.50056 .46601 L
.50486 .46938 L
.50961 .47572 L
.50486 .4813 L
.49917 .47572 L
.49514 .46866 L
.49222 .46601 L
F
.49514 .54009 m
.49828 .54371 L
.49514 .54799 L
.49225 .54371 L
F
.49514 .52085 m
.49871 .52428 L
.49514 .52804 L
.49228 .52428 L
F
.49514 .48157 m
.49979 .48543 L
.49514 .49119 L
.49228 .48543 L
F
.49514 .48165 m
.49971 .48543 L
.49514 .49107 L
.49235 .48543 L
F
.49514 .49995 m
.49913 .50486 L
.49514 .51329 L
.49235 .50486 L
F
.49514 .54022 m
.49818 .54371 L
.49514 .54784 L
.49236 .54371 L
F
.49514 .59925 m
.49708 .60198 L
.49514 .60482 L
.49237 .60198 L
F
.49514 .42325 m
.50214 .42716 L
.49514 .43428 L
.49237 .42716 L
F
.49514 .521 m
.49856 .52428 L
.49514 .52787 L
.4924 .52428 L
F
.49514 .48174 m
.49962 .48543 L
.49514 .49095 L
.49241 .48543 L
F
.49514 .46334 m
.50028 .46601 L
.50486 .46954 L
.5095 .47572 L
.50486 .48117 L
.4993 .47572 L
.49514 .46848 L
.49242 .46601 L
F
.49514 .54036 m
.49806 .54371 L
.49514 .54769 L
.49246 .54371 L
F
.49514 .48183 m
.49953 .48543 L
.49514 .49084 L
.49248 .48543 L
F
.49514 .50022 m
.49896 .50486 L
.49514 .51305 L
.49248 .50486 L
F
.49514 .52115 m
.49841 .52428 L
.49514 .5277 L
.49253 .52428 L
F
.49514 .48192 m
.49945 .48543 L
.49514 .49072 L
.49254 .48543 L
F
.49514 .57849 m
.49725 .58256 L
.49514 .58565 L
.49255 .58256 L
F
.49514 .42352 m
.50182 .42716 L
.49514 .43379 L
.49256 .42716 L
F
.49514 .5405 m
.49795 .54371 L
.49514 .54754 L
.49257 .54371 L
F
.49514 .482 m
.49936 .48543 L
.49514 .4906 L
.49261 .48543 L
F
.49514 .50049 m
.4988 .50486 L
.49514 .5128 L
.49261 .50486 L
F
.49514 .46353 m
.49998 .46601 L
.50486 .46971 L
.50938 .47572 L
.50486 .48104 L
.49943 .47572 L
.49514 .46829 L
.49263 .46601 L
F
.49514 .52131 m
.49826 .52428 L
.49514 .52753 L
.49267 .52428 L
F
.49514 .48209 m
.49927 .48543 L
.49514 .49048 L
.49267 .48543 L
F
.49514 .54064 m
.49784 .54371 L
.49514 .54738 L
.49268 .54371 L
F
.49514 .48218 m
.49918 .48543 L
.49514 .49036 L
.49274 .48543 L
F
.49514 .50075 m
.49863 .50486 L
.49514 .51254 L
.49275 .50486 L
F
.49514 .42379 m
.50149 .42716 L
.49514 .43331 L
.49276 .42716 L
F
.49514 .54078 m
.49772 .54371 L
.49514 .54723 L
.49279 .54371 L
F
.49514 .52146 m
.49811 .52428 L
.49514 .52736 L
.4928 .52428 L
F
.49514 .48227 m
.49909 .48543 L
.49514 .49024 L
.49281 .48543 L
F
.49514 .46373 m
.49968 .46601 L
.50486 .46987 L
.50927 .47572 L
.50486 .48091 L
.49956 .47572 L
.49514 .4681 L
.49284 .46601 L
F
.49514 .48236 m
.499 .48543 L
.49514 .49012 L
.49287 .48543 L
F
.49514 .50101 m
.49846 .50486 L
.49514 .51228 L
.49289 .50486 L
F
.49514 .54092 m
.4976 .54371 L
.49514 .54707 L
.4929 .54371 L
F
.49514 .52162 m
.49795 .52428 L
.49514 .52719 L
.49294 .52428 L
F
.49514 .48245 m
.49891 .48543 L
.49514 .49 L
.49294 .48543 L
F
.49514 .42407 m
.50115 .42716 L
.49514 .43284 L
.49296 .42716 L
F
.49514 .48254 m
.49881 .48543 L
.49514 .48988 L
.49301 .48543 L
F
.49514 .54106 m
.49748 .54371 L
.49514 .54691 L
.49301 .54371 L
F
.49514 .50127 m
.49828 .50486 L
.49514 .51201 L
.49303 .50486 L
F
.49514 .57919 m
.49683 .58256 L
.49514 .58504 L
.49303 .58256 L
F
.49514 .46393 m
.49936 .46601 L
.50486 .47004 L
.50915 .47572 L
.50486 .48078 L
.49968 .47572 L
.49514 .46791 L
.49305 .46601 L
F
.50486 .35481 m
.50954 .35917 L
.50501 .36888 L
.50486 .36926 L
.49514 .37404 L
.49305 .36888 L
.49514 .36573 L
.50225 .35917 L
F
.49514 .52178 m
.49779 .52428 L
.49514 .52701 L
.49307 .52428 L
F
.49514 .48263 m
.49872 .48543 L
.49514 .48975 L
.49308 .48543 L
F
.49514 .54121 m
.49736 .54371 L
.49514 .54674 L
.49313 .54371 L
F
.49514 .48273 m
.49862 .48543 L
.49514 .48963 L
.49315 .48543 L
F
.49514 .42435 m
.50079 .42716 L
.49514 .43238 L
.49317 .42716 L
F
.49514 .50153 m
.4981 .50486 L
.49514 .51173 L
.49317 .50486 L
F
.49514 .52195 m
.49762 .52428 L
.49514 .52683 L
.49322 .52428 L
F
.49514 .48282 m
.49852 .48543 L
.49514 .4895 L
.49322 .48543 L
F
.49514 .54136 m
.49724 .54371 L
.49514 .54658 L
.49324 .54371 L
F
.49514 .46413 m
.49904 .46601 L
.50486 .4702 L
.50904 .47572 L
.50486 .48065 L
.49981 .47572 L
.49514 .46771 L
.49326 .46601 L
F
.49514 .48291 m
.49842 .48543 L
.49514 .48937 L
.49329 .48543 L
F
.49514 .60027 m
.49635 .60198 L
.49514 .60379 L
.49331 .60198 L
F
.49514 .50179 m
.49791 .50486 L
.49514 .51143 L
.49331 .50486 L
F
.49514 .48301 m
.49832 .48543 L
.49514 .48925 L
.49336 .48543 L
F
.49514 .52211 m
.49745 .52428 L
.49514 .52665 L
.49336 .52428 L
F
.49514 .54151 m
.49711 .54371 L
.49514 .54641 L
.49336 .54371 L
F
.49514 .42464 m
.50043 .42716 L
.49514 .43191 L
.49337 .42716 L
F
.49514 .4831 m
.49822 .48543 L
.49514 .48912 L
.49343 .48543 L
F
.49514 .50205 m
.49772 .50486 L
.49514 .51112 L
.49346 .50486 L
F
.49514 .46434 m
.49869 .46601 L
.50486 .47036 L
.50892 .47572 L
.50486 .48051 L
.49994 .47572 L
.49514 .46751 L
.49348 .46601 L
F
.49514 .54166 m
.49698 .54371 L
.49514 .54623 L
.49349 .54371 L
F
.49514 .4832 m
.49812 .48543 L
.49514 .48899 L
.4935 .48543 L
F
.49514 .52229 m
.49728 .52428 L
.49514 .52646 L
.49351 .52428 L
F
.49514 .57996 m
.49637 .58256 L
.49514 .58438 L
.49357 .58256 L
F
.49514 .4833 m
.49801 .48543 L
.49514 .48885 L
.49357 .48543 L
F
.49514 .42493 m
.50004 .42716 L
.49514 .43143 L
.49359 .42716 L
F
.49514 .50231 m
.49752 .50486 L
.49514 .5108 L
.49361 .50486 L
F
.49514 .54182 m
.49685 .54371 L
.49514 .54605 L
.49361 .54371 L
F
.49514 .4834 m
.49791 .48543 L
.49514 .48872 L
.49365 .48543 L
F
.49514 .52246 m
.4971 .52428 L
.49514 .52627 L
.49366 .52428 L
F
.49514 .46456 m
.49833 .46601 L
.50486 .47053 L
.5088 .47572 L
.50486 .48038 L
.50008 .47572 L
.49514 .46731 L
.49371 .46601 L
F
.49514 .4835 m
.4978 .48543 L
.49514 .48858 L
.49372 .48543 L
F
.49514 .54197 m
.49671 .54371 L
.49514 .54587 L
.49374 .54371 L
F
.49514 .50258 m
.49732 .50486 L
.49514 .51046 L
.49376 .50486 L
F
.49514 .4836 m
.49768 .48543 L
.49514 .48844 L
.4938 .48543 L
F
.49514 .42523 m
.49963 .42716 L
.49514 .43094 L
.4938 .42716 L
F
.49514 .52265 m
.49691 .52428 L
.49514 .52607 L
.49381 .52428 L
F
.49514 .40668 m
.50056 .40773 L
.50486 .40851 L
.51147 .41744 L
.50486 .42713 L
.49915 .41744 L
.49514 .40809 L
.49387 .40773 L
F
.49514 .54214 m
.49657 .54371 L
.49514 .54568 L
.49387 .54371 L
F
.49514 .4837 m
.49757 .48543 L
.49514 .4883 L
.49387 .48543 L
F
.49514 .50284 m
.4971 .50486 L
.49514 .5101 L
.49392 .50486 L
F
.49514 .46479 m
.49795 .46601 L
.50486 .47069 L
.50868 .47572 L
.50486 .48025 L
.50021 .47572 L
.49514 .46709 L
.49395 .46601 L
F
.49514 .4838 m
.49745 .48543 L
.49514 .48815 L
.49395 .48543 L
F
.49514 .52284 m
.49672 .52428 L
.49514 .52586 L
.49397 .52428 L
F
.49514 .5423 m
.49642 .54371 L
.49514 .54549 L
.494 .54371 L
F
.49514 .42554 m
.4992 .42716 L
.49514 .43043 L
.49403 .42716 L
F
.49514 .48391 m
.49733 .48543 L
.49514 .488 L
.49403 .48543 L
F
.49514 .50312 m
.49688 .50486 L
.49514 .50971 L
.49408 .50486 L
F
.49514 .48401 m
.49721 .48543 L
.49514 .48785 L
.49411 .48543 L
F
.49514 .52303 m
.49652 .52428 L
.49514 .52565 L
.49414 .52428 L
F
.49514 .54247 m
.49627 .54371 L
.49514 .54528 L
.49414 .54371 L
F
.49514 .58088 m
.49587 .58256 L
.49514 .58366 L
.49418 .58256 L
F
.49514 .48412 m
.49708 .48543 L
.49514 .4877 L
.49419 .48543 L
F
.49514 .46503 m
.49752 .46601 L
.50486 .47085 L
.50857 .47572 L
.50486 .48011 L
.50034 .47572 L
.49514 .46687 L
.49419 .46601 L
F
.49514 .50339 m
.49664 .50486 L
.49514 .50928 L
.49425 .50486 L
F
.49514 .42586 m
.49872 .42716 L
.49514 .42989 L
.49425 .42716 L
F
.49514 .48423 m
.49695 .48543 L
.49514 .48754 L
.49427 .48543 L
F
.49514 .54265 m
.49612 .54371 L
.49514 .54507 L
.49428 .54371 L
F
.49514 .52324 m
.4963 .52428 L
.49514 .52543 L
.49431 .52428 L
F
.49514 .48434 m
.49681 .48543 L
.49514 .48737 L
.49435 .48543 L
F
.49514 .50368 m
.49639 .50486 L
.49514 .50881 L
.49442 .50486 L
F
.49514 .54283 m
.49595 .54371 L
.49514 .54485 L
.49443 .54371 L
F
.49514 .48445 m
.49667 .48543 L
.49514 .4872 L
.49443 .48543 L
F
.49514 .46528 m
.49705 .46601 L
.50486 .47101 L
.50845 .47572 L
.50486 .47997 L
.50048 .47572 L
.49514 .46665 L
.49444 .46601 L
F
.49514 .52345 m
.49607 .52428 L
.49514 .5252 L
.49448 .52428 L
F
.49514 .4262 m
.49818 .42716 L
.49514 .42931 L
.49449 .42716 L
F
.49514 .60145 m
.49551 .60198 L
.49514 .60255 L
.49452 .60198 L
F
.49514 .48457 m
.49652 .48543 L
.49514 .48702 L
.49452 .48543 L
F
.49514 .54302 m
.49578 .54371 L
.49514 .54462 L
.49458 .54371 L
F
.49514 .50397 m
.49611 .50486 L
.49514 .50828 L
.4946 .50486 L
F
.49514 .48469 m
.49636 .48543 L
.49514 .48683 L
.49461 .48543 L
F
.49514 .52368 m
.49583 .52428 L
.49514 .52495 L
.49467 .52428 L
F
.49514 .48481 m
.4962 .48543 L
.49514 .48664 L
.49469 .48543 L
F
.49514 .46555 m
.49649 .46601 L
.50486 .47117 L
.50832 .47572 L
.50486 .47984 L
.50061 .47572 L
.49514 .46641 L
.49471 .46601 L
F
.49514 .42655 m
.49754 .42716 L
.49514 .42864 L
.49474 .42716 L
F
.49514 .54322 m
.4956 .54371 L
.49514 .54437 L
.49474 .54371 L
F
.49514 .48493 m
.49602 .48543 L
.49514 .48643 L
.49478 .48543 L
F
.49514 .50428 m
.49581 .50486 L
.49514 .50764 L
.49479 .50486 L
F
.49514 .52392 m
.49556 .52428 L
.49514 .52468 L
.49486 .52428 L
F
.49514 .48506 m
.49583 .48543 L
.49514 .4862 L
.49488 .48543 L
F
.49514 .54342 m
.49541 .54371 L
.49514 .5441 L
.49491 .54371 L
F
.49514 .5821 m
.49531 .58256 L
.49514 .58281 L
.49491 .58256 L
F
.49514 .48519 m
.49561 .48543 L
.49514 .48596 L
.49497 .48543 L
F
.49514 .46584 m
.49576 .46601 L
.50486 .47133 L
.5082 .47572 L
.50486 .4797 L
.50075 .47572 L
.49514 .46615 L
.49499 .46601 L
F
.49514 .5046 m
.49546 .50486 L
.49514 .50677 L
.49499 .50486 L
F
.49514 .42693 m
.49665 .42716 L
.49514 .42782 L
.49499 .42716 L
F
.49514 .52418 m
.49526 .52428 L
.49514 .5244 L
.49507 .52428 L
F
.49514 .48532 m
.49537 .48543 L
.49514 .48568 L
.49507 .48543 L
F
.49514 .54364 m
.49521 .54371 L
.49514 .5438 L
.49509 .54371 L
F
.51457 .56545 m
.52262 .57284 L
.51616 .58256 L
.51826 .59227 L
.5149 .60198 L
.51457 .60249 L
.50744 .61169 L
.50486 .61707 L
.49563 .61169 L
.50179 .60198 L
.50486 .59688 L
.51247 .59227 L
.50486 .59004 L
.50178 .58256 L
.50486 .5799 L
.50986 .57284 L
F
.50486 .56351 m
.50837 .57284 L
.50486 .57776 L
.49668 .57284 L
F
.50486 .56417 m
.50818 .57284 L
.50486 .5775 L
.49698 .57284 L
F
.50486 .56476 m
.50799 .57284 L
.50486 .57724 L
.49728 .57284 L
F
.50486 .56529 m
.5078 .57284 L
.50486 .57697 L
.4976 .57284 L
F
.50486 .50493 m
.50961 .51457 L
.50486 .52107 L
.49775 .51457 L
F
.50486 .59789 m
.51381 .60198 L
.50628 .61169 L
.50486 .61442 L
.4978 .61169 L
.50236 .60198 L
F
.50486 .50508 m
.50955 .51457 L
.50486 .52099 L
.49783 .51457 L
F
.50486 .50522 m
.50949 .51457 L
.50486 .5209 L
.4979 .51457 L
F
.50486 .5658 m
.5076 .57284 L
.50486 .5767 L
.49791 .57284 L
F
.50486 .42771 m
.51186 .43687 L
.51457 .43851 L
.51972 .44658 L
.51457 .45091 L
.51137 .45629 L
.50486 .46537 L
.49795 .45629 L
.50443 .44658 L
.49815 .43687 L
F
.50486 .50536 m
.50943 .51457 L
.50486 .52082 L
.49798 .51457 L
F
.50486 .42831 m
.51135 .43687 L
.51457 .43881 L
.51953 .44658 L
.51457 .45076 L
.51128 .45629 L
.50486 .46519 L
.49805 .45629 L
.50466 .44658 L
.49864 .43687 L
F
.50486 .5055 m
.50937 .51457 L
.50486 .52073 L
.49806 .51457 L
F
.50486 .50563 m
.50931 .51457 L
.50486 .52065 L
.49813 .51457 L
F
.50486 .44661 m
.51119 .45629 L
.50486 .46502 L
.49814 .45629 L
F
.50486 .50577 m
.50925 .51457 L
.50486 .52056 L
.49821 .51457 L
F
.50486 .44678 m
.5111 .45629 L
.50486 .46485 L
.49823 .45629 L
F
.50486 .56629 m
.5074 .57284 L
.50486 .57643 L
.49824 .57284 L
F
.50486 .5059 m
.50919 .51457 L
.50486 .52048 L
.49828 .51457 L
F
.50486 .44694 m
.51101 .45629 L
.50486 .46469 L
.49832 .45629 L
F
.50486 .50603 m
.50914 .51457 L
.50486 .52039 L
.49836 .51457 L
F
.50486 .4471 m
.51092 .45629 L
.50486 .46453 L
.49842 .45629 L
F
.50486 .50616 m
.50908 .51457 L
.50486 .52031 L
.49844 .51457 L
F
.50486 .44726 m
.51083 .45629 L
.50486 .46437 L
.49851 .45629 L
F
.50486 .50628 m
.50902 .51457 L
.50486 .52022 L
.49851 .51457 L
F
.50486 .56677 m
.50721 .57284 L
.50486 .57616 L
.49857 .57284 L
F
.50486 .50641 m
.50896 .51457 L
.50486 .52014 L
.49859 .51457 L
F
.50486 .44742 m
.51074 .45629 L
.50486 .46422 L
.4986 .45629 L
F
.50486 .50653 m
.5089 .51457 L
.50486 .52006 L
.49867 .51457 L
F
.50486 .44758 m
.51065 .45629 L
.50486 .46407 L
.49869 .45629 L
F
.50486 .50666 m
.50884 .51457 L
.50486 .51997 L
.49874 .51457 L
F
.50486 .44773 m
.51056 .45629 L
.50486 .46392 L
.49879 .45629 L
F
.50486 .50678 m
.50878 .51457 L
.50486 .51989 L
.49882 .51457 L
F
.50486 .44788 m
.51047 .45629 L
.50486 .46377 L
.49888 .45629 L
F
.50486 .5069 m
.50872 .51457 L
.50486 .5198 L
.4989 .51457 L
F
.50486 .56724 m
.507 .57284 L
.50486 .57588 L
.49891 .57284 L
F
.50486 .44803 m
.51038 .45629 L
.50486 .46363 L
.49897 .45629 L
F
.50486 .50702 m
.50866 .51457 L
.50486 .51972 L
.49898 .51457 L
F
.50486 .50714 m
.5086 .51457 L
.50486 .51964 L
.49906 .51457 L
F
.50486 .44818 m
.51029 .45629 L
.50486 .46349 L
.49907 .45629 L
F
.50486 .42891 m
.51084 .43687 L
.51457 .43909 L
.51934 .44658 L
.51457 .4506 L
.5049 .44658 L
.50486 .44319 L
.49913 .43687 L
F
.50486 .50726 m
.50854 .51457 L
.50486 .51955 L
.49913 .51457 L
F
.50486 .44833 m
.5102 .45629 L
.50486 .46335 L
.49916 .45629 L
F
.50486 .50738 m
.50848 .51457 L
.50486 .51947 L
.49921 .51457 L
F
.50486 .38981 m
.51208 .39802 L
.50486 .40757 L
.49924 .39802 L
F
.50486 .44847 m
.51011 .45629 L
.50486 .46321 L
.49925 .45629 L
F
.50486 .5677 m
.5068 .57284 L
.50486 .5756 L
.49927 .57284 L
F
.50486 .5075 m
.50841 .51457 L
.50486 .51938 L
.49929 .51457 L
F
.50486 .44862 m
.51002 .45629 L
.50486 .46307 L
.49935 .45629 L
F
.50486 .50762 m
.50835 .51457 L
.50486 .5193 L
.49937 .51457 L
F
.50486 .44876 m
.50993 .45629 L
.50486 .46293 L
.49944 .45629 L
F
.50486 .50774 m
.50829 .51457 L
.50486 .51921 L
.49945 .51457 L
F
.50486 .40916 m
.5111 .41744 L
.50486 .42662 L
.49948 .41744 L
F
.50486 .50786 m
.50823 .51457 L
.50486 .51913 L
.49953 .51457 L
F
.50486 .44891 m
.50984 .45629 L
.50486 .46279 L
.49953 .45629 L
F
.50486 .50797 m
.50817 .51457 L
.50486 .51904 L
.49961 .51457 L
F
.50486 .44905 m
.50975 .45629 L
.50486 .46266 L
.49963 .45629 L
F
.50486 .42952 m
.51033 .43687 L
.51457 .43938 L
.51915 .44658 L
.51457 .45045 L
.50517 .44658 L
.50486 .44226 L
.49963 .43687 L
F
.50486 .56817 m
.50659 .57284 L
.50486 .57531 L
.49964 .57284 L
F
.50486 .50809 m
.50811 .51457 L
.50486 .51896 L
.49969 .51457 L
F
.50486 .44919 m
.50966 .45629 L
.50486 .46253 L
.49972 .45629 L
F
.50486 .50821 m
.50804 .51457 L
.50486 .51888 L
.49978 .51457 L
F
.50486 .39069 m
.51141 .39802 L
.50486 .40592 L
.4998 .39802 L
F
.50486 .40977 m
.51074 .41744 L
.50486 .4261 L
.49981 .41744 L
F
.50486 .44933 m
.50957 .45629 L
.50486 .46239 L
.49982 .45629 L
F
.50486 .50832 m
.50798 .51457 L
.50486 .51879 L
.49986 .51457 L
F
.50486 .44947 m
.50948 .45629 L
.50486 .46226 L
.49991 .45629 L
F
.51457 .4689 m
.52109 .47572 L
.51754 .48543 L
.51457 .48935 L
.50843 .49514 L
.51457 .50355 L
.51554 .50486 L
.51457 .50561 L
.50646 .50486 L
.50486 .5019 L
.49992 .49514 L
.50483 .48543 L
.50486 .48538 L
.5133 .47572 L
F
.50486 .50844 m
.50792 .51457 L
.50486 .5187 L
.49994 .51457 L
F
.50486 .44961 m
.50938 .45629 L
.50486 .46213 L
.50001 .45629 L
F
.50486 .56865 m
.50638 .57284 L
.50486 .57502 L
.50002 .57284 L
F
.50486 .50856 m
.50786 .51457 L
.50486 .51862 L
.50002 .51457 L
F
.50486 .48556 m
.50831 .49514 L
.51457 .50377 L
.51536 .50486 L
.51457 .50547 L
.5068 .50486 L
.50486 .50156 L
.50007 .49514 L
F
.50486 .44975 m
.50929 .45629 L
.50486 .462 L
.50011 .45629 L
F
.50486 .50867 m
.50779 .51457 L
.50486 .51853 L
.50011 .51457 L
F
.50486 .43015 m
.50981 .43687 L
.51457 .43966 L
.51896 .44658 L
.51457 .45029 L
.50544 .44658 L
.50486 .44151 L
.50013 .43687 L
F
.50486 .41036 m
.51037 .41744 L
.50486 .42558 L
.50015 .41744 L
F
.50486 .50879 m
.50773 .51457 L
.50486 .51845 L
.50019 .51457 L
F
.50486 .44989 m
.5092 .45629 L
.50486 .46186 L
.5002 .45629 L
F
.50486 .48577 m
.50818 .49514 L
.51457 .50399 L
.51518 .50486 L
.51457 .50533 L
.50717 .50486 L
.50486 .50125 L
.50022 .49514 L
F
.50486 .50891 m
.50766 .51457 L
.50486 .51836 L
.50028 .51457 L
F
.50486 .45003 m
.5091 .45629 L
.50486 .46173 L
.5003 .45629 L
F
.51457 .50981 m
.52242 .51457 L
.51518 .52428 L
.5165 .53399 L
.51537 .54371 L
.51457 .54481 L
.5067 .55342 L
.50486 .55704 L
.50031 .55342 L
.50388 .54371 L
.50486 .54208 L
.51418 .53399 L
.5051 .52428 L
.51161 .51457 L
F
.50486 .39154 m
.51074 .39802 L
.50486 .40475 L
.50036 .39802 L
F
.50486 .50903 m
.5076 .51457 L
.50486 .51827 L
.50036 .51457 L
F
.50486 .48599 m
.50806 .49514 L
.51457 .50424 L
.51499 .50486 L
.51457 .50519 L
.50757 .50486 L
.50486 .50095 L
.50037 .49514 L
F
.50486 .45018 m
.50901 .45629 L
.50486 .4616 L
.5004 .45629 L
F
.50486 .56914 m
.50616 .57284 L
.50486 .57472 L
.50044 .57284 L
F
.50486 .50914 m
.50754 .51457 L
.50486 .51819 L
.50045 .51457 L
F
.50486 .41092 m
.50999 .41744 L
.50486 .42506 L
.50048 .41744 L
F
.50486 .45032 m
.50892 .45629 L
.50486 .46147 L
.50049 .45629 L
F
.50486 .48621 m
.50793 .49514 L
.51457 .5045 L
.5148 .50486 L
.51457 .50504 L
.508 .50486 L
.50486 .50066 L
.50053 .49514 L
F
.50486 .50926 m
.50747 .51457 L
.50486 .5181 L
.50054 .51457 L
F
.50486 .45046 m
.50882 .45629 L
.50486 .46134 L
.50059 .45629 L
F
.51457 .50991 m
.52231 .51457 L
.515 .52428 L
.5156 .53399 L
.51523 .54371 L
.51457 .54462 L
.50652 .55342 L
.50486 .55666 L
.50062 .55342 L
.50398 .54371 L
.50486 .54224 L
.51443 .53399 L
.5054 .52428 L
.51167 .51457 L
F
.50486 .50938 m
.5074 .51457 L
.50486 .51801 L
.50063 .51457 L
F
.50486 .4308 m
.50928 .43687 L
.51457 .43993 L
.51877 .44658 L
.51457 .45013 L
.50571 .44658 L
.50486 .44084 L
.50064 .43687 L
F
.50486 .48644 m
.5078 .49514 L
.51457 .50479 L
.51461 .50486 L
.51457 .50489 L
.5085 .50486 L
.50486 .50037 L
.50069 .49514 L
F
.50486 .4506 m
.50873 .45629 L
.50486 .46121 L
.50069 .45629 L
F
.50486 .5095 m
.50734 .51457 L
.50486 .51792 L
.50071 .51457 L
F
.50486 .45074 m
.50863 .45629 L
.50486 .46108 L
.50079 .45629 L
F
.50486 .50962 m
.50727 .51457 L
.50486 .51783 L
.5008 .51457 L
F
.50486 .41147 m
.50961 .41744 L
.50486 .42453 L
.50083 .41744 L
F
.50486 .48667 m
.50767 .49514 L
.50486 .5001 L
.50085 .49514 L
F
.50486 .56966 m
.50594 .57284 L
.50486 .57441 L
.50088 .57284 L
F
.50486 .4715 m
.50808 .47572 L
.50486 .47955 L
.50089 .47572 L
F
.50486 .45088 m
.50853 .45629 L
.50486 .46095 L
.50089 .45629 L
F
.50486 .50974 m
.50721 .51457 L
.50486 .51774 L
.50089 .51457 L
F
.50486 .54241 m
.51457 .5344 L
.51509 .54371 L
.51457 .54443 L
.50634 .55342 L
.50486 .55629 L
.50093 .55342 L
.50408 .54371 L
F
.50486 .39237 m
.51005 .39802 L
.50486 .40373 L
.50093 .39802 L
F
.50486 .50986 m
.50714 .51457 L
.50486 .51765 L
.50099 .51457 L
F
.50486 .45102 m
.50844 .45629 L
.50486 .46082 L
.501 .45629 L
F
.50486 .48691 m
.50754 .49514 L
.50486 .49983 L
.50101 .49514 L
F
.50486 .47166 m
.50796 .47572 L
.50486 .47941 L
.50103 .47572 L
F
.50486 .59888 m
.51265 .60198 L
.50499 .61169 L
.50486 .61194 L
.50104 .61169 L
.50295 .60198 L
F
.50486 .50998 m
.50707 .51457 L
.50486 .51756 L
.50108 .51457 L
F
.50486 .45116 m
.50834 .45629 L
.50486 .46069 L
.5011 .45629 L
F
.50486 .43149 m
.50873 .43687 L
.51457 .4402 L
.51857 .44658 L
.51457 .44998 L
.50599 .44658 L
.50486 .44021 L
.50117 .43687 L
F
.50486 .5101 m
.507 .51457 L
.50486 .51747 L
.50117 .51457 L
F
.50486 .47182 m
.50783 .47572 L
.50486 .47927 L
.50117 .47572 L
F
.50486 .41202 m
.50922 .41744 L
.50486 .42399 L
.50117 .41744 L
F
.50486 .48716 m
.50741 .49514 L
.50486 .49956 L
.50117 .49514 L
F
.50486 .45131 m
.50824 .45629 L
.50486 .46056 L
.5012 .45629 L
F
.50486 .51023 m
.50693 .51457 L
.50486 .51738 L
.50127 .51457 L
F
.50486 .54257 m
.51457 .53523 L
.51495 .54371 L
.51457 .54424 L
.50615 .55342 L
.50486 .55591 L
.50127 .55342 L
.50418 .54371 L
F
.50486 .45145 m
.50814 .45629 L
.50486 .46042 L
.50131 .45629 L
F
.50486 .47199 m
.5077 .47572 L
.50486 .47912 L
.50132 .47572 L
F
.50486 .48741 m
.50727 .49514 L
.50486 .49929 L
.50134 .49514 L
F
.50486 .51035 m
.50687 .51457 L
.50486 .51729 L
.50136 .51457 L
F
.50486 .5702 m
.50571 .57284 L
.50486 .57408 L
.50137 .57284 L
F
.50486 .4516 m
.50804 .45629 L
.50486 .46029 L
.50141 .45629 L
F
.50486 .51048 m
.5068 .51457 L
.50486 .5172 L
.50146 .51457 L
F
.50486 .47216 m
.50757 .47572 L
.50486 .47897 L
.50146 .47572 L
F
.50486 .48767 m
.50714 .49514 L
.50486 .49903 L
.50151 .49514 L
F
.50486 .45174 m
.50794 .45629 L
.50486 .46016 L
.50152 .45629 L
F
.50486 .39322 m
.50934 .39802 L
.50486 .40278 L
.50153 .39802 L
F
.50486 .41256 m
.50882 .41744 L
.50486 .42343 L
.50153 .41744 L
F
.50486 .5106 m
.50673 .51457 L
.50486 .5171 L
.50156 .51457 L
F
.50486 .47232 m
.50744 .47572 L
.50486 .47882 L
.50161 .47572 L
F
.50486 .45189 m
.50783 .45629 L
.50486 .46002 L
.50162 .45629 L
F
.50486 .54274 m
.51457 .53607 L
.51481 .54371 L
.51457 .54404 L
.50595 .55342 L
.50486 .55552 L
.50163 .55342 L
.50428 .54371 L
F
.50486 .51073 m
.50665 .51457 L
.50486 .51701 L
.50166 .51457 L
F
.50486 .48794 m
.507 .49514 L
.50486 .49877 L
.50169 .49514 L
F
.50486 .43221 m
.50816 .43687 L
.51457 .44048 L
.51838 .44658 L
.51457 .44982 L
.50627 .44658 L
.50486 .43961 L
.50172 .43687 L
F
.50486 .45204 m
.50773 .45629 L
.50486 .45989 L
.50173 .45629 L
F
.50486 .51086 m
.50658 .51457 L
.50486 .51691 L
.50176 .51457 L
F
.50486 .4725 m
.50731 .47572 L
.50486 .47867 L
.50176 .47572 L
F
.50486 .45219 m
.50763 .45629 L
.50486 .45975 L
.50184 .45629 L
F
.50486 .51099 m
.50651 .51457 L
.50486 .51682 L
.50186 .51457 L
F
.50486 .48823 m
.50686 .49514 L
.50486 .49851 L
.50187 .49514 L
F
.50486 .41311 m
.50841 .41744 L
.50486 .42286 L
.5019 .41744 L
F
.50486 .47267 m
.50718 .47572 L
.50486 .47851 L
.50192 .47572 L
F
.50486 .5708 m
.50547 .57284 L
.50486 .57374 L
.50192 .57284 L
F
.50486 .45234 m
.50752 .45629 L
.50486 .45962 L
.50196 .45629 L
F
.50486 .51113 m
.50644 .51457 L
.50486 .51672 L
.50197 .51457 L
F
.50486 .54292 m
.51457 .53696 L
.51466 .54371 L
.51457 .54384 L
.50575 .55342 L
.50486 .55513 L
.50201 .55342 L
.50439 .54371 L
F
.50486 .48852 m
.50671 .49514 L
.50486 .49826 L
.50205 .49514 L
F
.50486 .45249 m
.50741 .45629 L
.50486 .45948 L
.50207 .45629 L
F
.50486 .51126 m
.50636 .51457 L
.50486 .51662 L
.50208 .51457 L
F
.50486 .47284 m
.50704 .47572 L
.50486 .47835 L
.50208 .47572 L
F
.51457 .56581 m
.52234 .57284 L
.51561 .58256 L
.51457 .58577 L
.50486 .58942 L
.50211 .58256 L
.50486 .58018 L
.51004 .57284 L
F
.50486 .39409 m
.50859 .39802 L
.50486 .40186 L
.50214 .39802 L
F
.50486 .45264 m
.5073 .45629 L
.50486 .45934 L
.50218 .45629 L
F
.50486 .5114 m
.50629 .51457 L
.50486 .51652 L
.50218 .51457 L
F
.50486 .47302 m
.5069 .47572 L
.50486 .47819 L
.50224 .47572 L
F
.50486 .48882 m
.50657 .49514 L
.50486 .498 L
.50225 .49514 L
F
.50486 .41367 m
.50798 .41744 L
.50486 .42226 L
.50228 .41744 L
F
.50486 .51154 m
.50622 .51457 L
.50486 .51642 L
.5023 .51457 L
F
.50486 .4528 m
.50719 .45629 L
.50486 .4592 L
.5023 .45629 L
F
.50486 .433 m
.50756 .43687 L
.51457 .44075 L
.51819 .44658 L
.51457 .44965 L
.50655 .44658 L
.50486 .43902 L
.5023 .43687 L
F
.50486 .4732 m
.50676 .47572 L
.50486 .47803 L
.5024 .47572 L
F
.50486 .51168 m
.50614 .51457 L
.50486 .51632 L
.50241 .51457 L
F
.50486 .45296 m
.50708 .45629 L
.50486 .45906 L
.50242 .45629 L
F
.50486 .54309 m
.51448 .54371 L
.50555 .55342 L
.50486 .55474 L
.50244 .55342 L
.50449 .54371 L
F
.50486 .48914 m
.50642 .49514 L
.50486 .49773 L
.50244 .49514 L
F
.51457 .56615 m
.52207 .57284 L
.51505 .58256 L
.51457 .5837 L
.50486 .5888 L
.50245 .58256 L
.50486 .58046 L
.51023 .57284 L
F
.50486 .51182 m
.50606 .51457 L
.50486 .51622 L
.50253 .51457 L
F
.50486 .45312 m
.50697 .45629 L
.50486 .45891 L
.50254 .45629 L
F
.50486 .47339 m
.50662 .47572 L
.50486 .47786 L
.50257 .47572 L
F
.50486 .57148 m
.50522 .57284 L
.50486 .57339 L
.50259 .57284 L
F
.50486 .48948 m
.50626 .49514 L
.50486 .49747 L
.50265 .49514 L
F
.50486 .51197 m
.50598 .51457 L
.50486 .51611 L
.50265 .51457 L
F
.50486 .45329 m
.50685 .45629 L
.50486 .45877 L
.50266 .45629 L
F
.50486 .41425 m
.50753 .41744 L
.50486 .42162 L
.50268 .41744 L
F
.50486 .47357 m
.50647 .47572 L
.50486 .47768 L
.50275 .47572 L
F
.50486 .51212 m
.50591 .51457 L
.50486 .51601 L
.50277 .51457 L
F
.50486 .45345 m
.50674 .45629 L
.50486 .45862 L
.50279 .45629 L
F
.50486 .58075 m
.51446 .58256 L
.50486 .58817 L
.50279 .58256 L
F
.50486 .39501 m
.50778 .39802 L
.50486 .40091 L
.5028 .39802 L
F
.50486 .48984 m
.50611 .49514 L
.50486 .4972 L
.50286 .49514 L
F
.50486 .51228 m
.50583 .51457 L
.50486 .5159 L
.5029 .51457 L
F
.50486 .45362 m
.50662 .45629 L
.50486 .45847 L
.50291 .45629 L
F
.50486 .43386 m
.50691 .43687 L
.51457 .44102 L
.51799 .44658 L
.51457 .44949 L
.50684 .44658 L
.50486 .43842 L
.50293 .43687 L
F
.50486 .47377 m
.50632 .47572 L
.50486 .4775 L
.50293 .47572 L
F
.50486 .54327 m
.51423 .54371 L
.50534 .55342 L
.50486 .55433 L
.50293 .55342 L
.5046 .54371 L
F
.50486 .51244 m
.50575 .51457 L
.50486 .51579 L
.50303 .51457 L
F
.50486 .4538 m
.50649 .45629 L
.50486 .45831 L
.50304 .45629 L
F
.50486 .63916 m
.51021 .64083 L
.50486 .64568 L
.50308 .64083 L
F
.50486 .49022 m
.50594 .49514 L
.50486 .49693 L
.50308 .49514 L
F
.50486 .41486 m
.50705 .41744 L
.50486 .42094 L
.5031 .41744 L
F
.50486 .47397 m
.50616 .47572 L
.50486 .47732 L
.50312 .47572 L
F
.50486 .58105 m
.51374 .58256 L
.50486 .58753 L
.50313 .58256 L
F
.50486 .5126 m
.50566 .51457 L
.50486 .51568 L
.50316 .51457 L
F
.50486 .45398 m
.50637 .45629 L
.50486 .45816 L
.50318 .45629 L
F
.50486 .51277 m
.50558 .51457 L
.50486 .51557 L
.50331 .51457 L
F
.50486 .45416 m
.50624 .45629 L
.50486 .458 L
.50331 .45629 L
F
.50486 .47417 m
.506 .47572 L
.50486 .47713 L
.50331 .47572 L
F
.50486 .49064 m
.50578 .49514 L
.50486 .49665 L
.50332 .49514 L
F
.50486 .51295 m
.50549 .51457 L
.50486 .51545 L
.50345 .51457 L
F
.50486 .45435 m
.50611 .45629 L
.50486 .45784 L
.50346 .45629 L
F
.50486 .58136 m
.51297 .58256 L
.50486 .58685 L
.50349 .58256 L
F
.50486 .47439 m
.50584 .47572 L
.50486 .47693 L
.50352 .47572 L
F
.50486 .39602 m
.50686 .39802 L
.50486 .39991 L
.50352 .39802 L
F
.50486 .54344 m
.51397 .54371 L
.50512 .55342 L
.50486 .55391 L
.50355 .55342 L
.5047 .54371 L
F
.50486 .4155 m
.50653 .41744 L
.50486 .42018 L
.50355 .41744 L
F
.50486 .57235 m
.50497 .57284 L
.50486 .57301 L
.50356 .57284 L
F
.50486 .59988 m
.51135 .60198 L
.50486 .60984 L
.50356 .60198 L
F
.50486 .4911 m
.50561 .49514 L
.50486 .49637 L
.50357 .49514 L
F
.50486 .45455 m
.50598 .45629 L
.50486 .45767 L
.5036 .45629 L
F
.50486 .51314 m
.50541 .51457 L
.50486 .51533 L
.50361 .51457 L
F
.50486 .43486 m
.50617 .43687 L
.51457 .44129 L
.5178 .44658 L
.51457 .44933 L
.50713 .44658 L
.50486 .4378 L
.50363 .43687 L
F
.50486 .47461 m
.50566 .47572 L
.50486 .47673 L
.50374 .47572 L
F
.50486 .45475 m
.50584 .45629 L
.50486 .4575 L
.50375 .45629 L
F
.50486 .51333 m
.50532 .51457 L
.50486 .51521 L
.50377 .51457 L
F
.50486 .49163 m
.50543 .49514 L
.50486 .49608 L
.50384 .49514 L
F
.50486 .58168 m
.51213 .58256 L
.50486 .5861 L
.50385 .58256 L
F
.50486 .45496 m
.50569 .45629 L
.50486 .45732 L
.50391 .45629 L
F
.50486 .51354 m
.50523 .51457 L
.50486 .51509 L
.50395 .51457 L
F
.50486 .47485 m
.50549 .47572 L
.50486 .47651 L
.50397 .47572 L
F
.50486 .41621 m
.50593 .41744 L
.50486 .41929 L
.50404 .41744 L
F
.50486 .45519 m
.50554 .45629 L
.50486 .45714 L
.50407 .45629 L
F
.50486 .49224 m
.50524 .49514 L
.50486 .49577 L
.50414 .49514 L
F
.50486 .51376 m
.50514 .51457 L
.50486 .51497 L
.50414 .51457 L
F
.50486 .60092 m
.50979 .60198 L
.50486 .60749 L
.50421 .60198 L
F
.50486 .4751 m
.5053 .47572 L
.50486 .47628 L
.50421 .47572 L
F
.50486 .58201 m
.51118 .58256 L
.50486 .58524 L
.50423 .58256 L
F
.50486 .45542 m
.50539 .45629 L
.50486 .45695 L
.50425 .45629 L
F
.50486 .39721 m
.50572 .39802 L
.50486 .39876 L
.50434 .39802 L
F
.50486 .514 m
.50505 .51457 L
.50486 .51484 L
.50435 .51457 L
F
.50486 .45568 m
.50523 .45629 L
.50486 .45675 L
.50443 .45629 L
F
.50486 .43614 m
.5053 .43687 L
.51457 .44156 L
.5176 .44658 L
.51457 .44916 L
.50743 .44658 L
.50486 .43715 L
.50445 .43687 L
F
.50486 .49305 m
.50505 .49514 L
.50486 .49546 L
.50448 .49514 L
F
.50486 .47536 m
.50511 .47572 L
.50486 .47604 L
.50449 .47572 L
F
.50486 .54363 m
.5137 .54371 L
.50489 .55342 L
.50486 .55348 L
.50455 .55342 L
.50481 .54371 L
F
.50486 .51427 m
.50495 .51457 L
.50486 .5147 L
.50459 .51457 L
F
.50486 .41704 m
.50522 .41744 L
.50486 .41815 L
.50459 .41744 L
F
.50486 .45595 m
.50506 .45629 L
.50486 .45654 L
.50462 .45629 L
F
.50486 .58235 m
.51003 .58256 L
.50486 .58409 L
.50463 .58256 L
F
.50486 .47566 m
.5049 .47572 L
.50486 .47577 L
.50479 .47572 L
F
.50486 .45625 m
.50488 .45629 L
.50486 .45632 L
.50483 .45629 L
F
.51457 .47013 m
.52079 .47572 L
.51747 .48543 L
.51457 .48925 L
.50493 .48543 L
.51343 .47572 L
F
.51457 .47108 m
.52048 .47572 L
.51739 .48543 L
.51457 .48915 L
.50505 .48543 L
.51355 .47572 L
F
.51457 .47188 m
.52016 .47572 L
.51731 .48543 L
.51457 .48905 L
.50517 .48543 L
.51368 .47572 L
F
.51457 .4726 m
.51982 .47572 L
.51723 .48543 L
.51457 .48894 L
.50529 .48543 L
.51381 .47572 L
F
.51457 .47325 m
.51945 .47572 L
.51715 .48543 L
.51457 .48884 L
.50542 .48543 L
.51395 .47572 L
F
.51457 .47386 m
.51905 .47572 L
.51707 .48543 L
.51457 .48873 L
.50554 .48543 L
.51408 .47572 L
F
.51457 .47443 m
.51862 .47572 L
.51699 .48543 L
.51457 .48863 L
.50567 .48543 L
.51422 .47572 L
F
.51457 .51001 m
.52219 .51457 L
.51482 .52428 L
.51457 .52523 L
.50572 .52428 L
.51173 .51457 L
F
.52428 .3842 m
.53028 .38831 L
.52654 .39802 L
.52428 .40123 L
.51604 .40773 L
.52428 .41109 L
.52682 .41744 L
.53399 .427 L
.54263 .41744 L
.54371 .41339 L
.5513 .41744 L
.54799 .42716 L
.54371 .43201 L
.53915 .43687 L
.54371 .44059 L
.54784 .44658 L
.54371 .44924 L
.54043 .45629 L
.53399 .46398 L
.52719 .45629 L
.53339 .44658 L
.5291 .43687 L
.53393 .42716 L
.52428 .41908 L
.51958 .42716 L
.51457 .43386 L
.50573 .42716 L
.51258 .41744 L
.51155 .40773 L
.51345 .39802 L
.51457 .39595 L
.52249 .38831 L
F
.51457 .47497 m
.51811 .47572 L
.51692 .48543 L
.51457 .48853 L
.5058 .48543 L
.51436 .47572 L
F
.51457 .47549 m
.51749 .47572 L
.51684 .48543 L
.51457 .48842 L
.50593 .48543 L
.5145 .47572 L
F
.51457 .41071 m
.52428 .41218 L
.52614 .41744 L
.52428 .41865 L
.51936 .42716 L
.51457 .43352 L
.50603 .42716 L
.51296 .41744 L
F
.51457 .47586 m
.51675 .48543 L
.51457 .48832 L
.50606 .48543 L
F
.51457 .51011 m
.52208 .51457 L
.51464 .52428 L
.51457 .52451 L
.50607 .52428 L
.51179 .51457 L
F
.51457 .47611 m
.51667 .48543 L
.51457 .48821 L
.5062 .48543 L
F
.51457 .4132 m
.52428 .41338 L
.52544 .41744 L
.52428 .4182 L
.51914 .42716 L
.51457 .43318 L
.50633 .42716 L
.51334 .41744 L
F
.51457 .47635 m
.51659 .48543 L
.51457 .4881 L
.50633 .48543 L
F
.51457 .4766 m
.51651 .48543 L
.51457 .488 L
.50647 .48543 L
F
.51457 .47685 m
.51643 .48543 L
.51457 .48789 L
.50661 .48543 L
F
.51457 .41492 m
.52428 .41491 L
.52471 .41744 L
.52428 .41772 L
.51892 .42716 L
.51457 .43285 L
.50663 .42716 L
.51374 .41744 L
F
.51457 .4771 m
.51635 .48543 L
.51457 .48778 L
.50676 .48543 L
F
.51457 .47734 m
.51626 .48543 L
.51457 .48767 L
.5069 .48543 L
F
.51457 .41628 m
.5238 .41744 L
.51869 .42716 L
.51457 .43253 L
.50694 .42716 L
.51415 .41744 L
F
.51457 .47759 m
.51618 .48543 L
.51457 .48756 L
.50705 .48543 L
F
.51457 .37963 m
.51999 .38831 L
.51457 .39356 L
.50716 .38831 L
F
.51457 .47784 m
.5161 .48543 L
.51457 .48745 L
.50721 .48543 L
F
.51457 .41744 m
.52254 .41744 L
.51847 .42716 L
.51457 .43222 L
.50725 .42716 L
.51457 .41744 L
F
.51457 .47809 m
.51601 .48543 L
.51457 .48734 L
.50736 .48543 L
F
.51457 .47835 m
.51593 .48543 L
.51457 .48723 L
.50752 .48543 L
F
.51457 .41796 m
.51825 .42716 L
.51457 .4319 L
.50756 .42716 L
F
.51457 .4786 m
.51584 .48543 L
.51457 .48712 L
.50769 .48543 L
F
.51457 .44184 m
.5174 .44658 L
.51457 .44899 L
.50774 .44658 L
F
.51457 .47887 m
.51575 .48543 L
.51457 .487 L
.50785 .48543 L
F
.51457 .41847 m
.51802 .42716 L
.51457 .43159 L
.50788 .42716 L
F
.51457 .47913 m
.51567 .48543 L
.51457 .48689 L
.50803 .48543 L
F
.51457 .44212 m
.51719 .44658 L
.51457 .44882 L
.50805 .44658 L
F
.51457 .41897 m
.51779 .42716 L
.51457 .43128 L
.50821 .42716 L
F
.51457 .47941 m
.51558 .48543 L
.51457 .48677 L
.50821 .48543 L
F
.51457 .4424 m
.51699 .44658 L
.51457 .44864 L
.50837 .44658 L
F
.51457 .47969 m
.51549 .48543 L
.51457 .48666 L
.50839 .48543 L
F
.51457 .41947 m
.51755 .42716 L
.51457 .43097 L
.50854 .42716 L
F
.51457 .36037 m
.51945 .36888 L
.51457 .37479 L
.50855 .36888 L
F
.51457 .47997 m
.5154 .48543 L
.51457 .48654 L
.50858 .48543 L
F
.51457 .38155 m
.51876 .38831 L
.51457 .39236 L
.50863 .38831 L
F
.51457 .4427 m
.51678 .44658 L
.51457 .44847 L
.50871 .44658 L
F
.51457 .48027 m
.51531 .48543 L
.51457 .48642 L
.50878 .48543 L
F
.51457 .41997 m
.51732 .42716 L
.51457 .43065 L
.50888 .42716 L
F
.51457 .48059 m
.51521 .48543 L
.51457 .4863 L
.50899 .48543 L
F
.51457 .443 m
.51657 .44658 L
.51457 .44829 L
.50906 .44658 L
F
.51457 .48092 m
.51512 .48543 L
.51457 .48617 L
.50921 .48543 L
F
.51457 .42047 m
.51708 .42716 L
.51457 .43034 L
.50924 .42716 L
F
.51457 .44331 m
.51635 .44658 L
.51457 .4481 L
.50942 .44658 L
F
.51457 .48127 m
.51503 .48543 L
.51457 .48605 L
.50944 .48543 L
F
.51457 .54774 m
.52413 .55342 L
.52428 .55595 L
.53313 .56313 L
.52428 .57156 L
.5155 .56313 L
.51457 .56269 L
.50948 .55342 L
F
.51457 .42098 m
.51683 .42716 L
.51457 .43002 L
.5096 .42716 L
F
.51457 .60535 m
.52143 .61169 L
.51457 .62009 L
.50961 .61169 L
F
.51457 .54791 m
.52387 .55342 L
.52428 .55699 L
.53228 .56313 L
.52428 .57088 L
.51627 .56313 L
.51457 .56235 L
.50964 .55342 L
F
.51457 .48164 m
.51493 .48543 L
.51457 .48592 L
.50969 .48543 L
F
.51457 .54808 m
.52362 .55342 L
.52428 .55781 L
.53147 .56313 L
.52428 .57019 L
.51701 .56313 L
.51457 .56202 L
.50979 .55342 L
F
.51457 .44363 m
.51613 .44658 L
.51457 .44791 L
.5098 .44658 L
F
.51457 .54824 m
.52336 .55342 L
.52428 .55853 L
.53069 .56313 L
.52428 .56949 L
.51776 .56313 L
.51457 .56171 L
.50995 .55342 L
F
.51457 .48207 m
.51484 .48543 L
.51457 .48579 L
.50996 .48543 L
F
.51457 .42151 m
.51658 .42716 L
.51457 .4297 L
.50999 .42716 L
F
.51457 .54841 m
.52311 .55342 L
.52428 .55919 L
.52992 .56313 L
.52428 .56878 L
.5185 .56313 L
.51457 .56141 L
.5101 .55342 L
F
.51457 .44397 m
.5159 .44658 L
.51457 .44772 L
.51021 .44658 L
F
.51457 .38343 m
.51747 .38831 L
.51457 .3911 L
.51021 .38831 L
F
.51457 .48255 m
.51474 .48543 L
.51457 .48566 L
.51025 .48543 L
F
.58256 .03691 m
.59227 .03635 L
.60198 .03779 L
.60568 .03866 L
.61169 .04148 L
.62141 .04747 L
.62262 .04837 L
.63112 .05623 L
.63285 .05808 L
.64083 .0676 L
.64095 .06779 L
.64767 .07751 L
.65054 .08001 L
.65379 .08722 L
.65397 .09693 L
.65437 .10664 L
.65755 .11636 L
.66026 .12149 L
.66997 .12362 L
.67968 .12359 L
.68939 .12314 L
.69911 .12282 L
.70882 .12264 L
.71853 .12254 L
.72824 .12249 L
.73796 .12247 L
.74767 .12247 L
.75738 .12251 L
.76709 .12258 L
.77681 .12272 L
.78652 .12296 L
.79623 .12336 L
.80594 .12376 L
.81566 .12526 L
.82324 .11636 L
.82537 .11122 L
.82643 .10664 L
.82686 .09693 L
.82697 .08722 L
.83214 .07751 L
.83508 .0738 L
.84008 .06779 L
.84479 .06169 L
.84792 .05808 L
.85451 .05151 L
.85814 .04837 L
.86422 .04421 L
.87393 .03932 L
.87575 .03866 L
.88364 .03682 L
.89336 .03638 L
.90307 .03795 L
.90599 .03866 L
.91278 .04179 L
.92249 .04789 L
.92314 .04837 L
.93221 .05677 L
.9334 .05808 L
.9411 .06779 L
.94192 .06896 L
.94706 .07751 L
.95163 .08585 L
.95219 .08722 L
.95616 .09693 L
.95992 .10664 L
.96134 .11073 L
.96261 .11636 L
.96485 .12607 L
.96692 .13578 L
.96863 .14549 L
.96992 .15521 L
.97078 .16492 L
.97106 .1701 L
.9712 .17463 L
.9712 .18434 L
.97106 .18887 L
.97078 .19406 L
.96992 .20377 L
.96863 .21348 L
.96692 .22319 L
.96485 .23291 L
.96261 .24262 L
.96134 .24824 L
.95992 .25233 L
.95616 .26204 L
.95219 .27176 L
.95163 .27313 L
.94706 .28147 L
.94192 .29001 L
.9411 .29118 L
.9334 .30089 L
.93221 .30221 L
.92314 .31061 L
.92249 .31109 L
.91278 .31718 L
.90599 .32032 L
.90307 .32103 L
.89336 .3226 L
.88364 .32216 L
.87574 .32032 L
.87393 .31966 L
.86422 .31479 L
.85807 .31061 L
.85451 .30756 L
.8479 .30089 L
.84479 .29709 L
.84066 .29118 L
.83508 .28166 L
.83496 .28147 L
.82878 .27176 L
.82537 .26904 L
.81566 .26855 L
.80594 .2686 L
.79623 .27049 L
.78652 .27159 L
.78425 .27176 L
.77681 .27225 L
.76709 .27263 L
.75738 .27283 L
.74767 .27292 L
.73796 .27294 L
.72824 .27289 L
.71853 .27275 L
.70882 .27247 L
.69911 .27196 L
.69667 .27176 L
.68939 .27112 L
.67968 .26965 L
.66997 .27078 L
.66026 .26747 L
.65162 .27176 L
.65054 .27378 L
.64588 .28147 L
.64083 .29025 L
.64027 .29118 L
.63322 .30089 L
.63112 .30365 L
.62274 .31061 L
.62141 .31163 L
.61169 .31539 L
.60379 .32032 L
.60198 .32043 L
.59227 .32317 L
.58256 .32198 L
.57449 .32032 L
.57284 .31942 L
.56313 .31438 L
.55778 .31061 L
.55342 .30687 L
.5473 .30089 L
.54371 .2965 L
.53979 .29118 L
.53399 .28227 L
.53358 .28147 L
.5287 .27176 L
.52428 .26209 L
.52427 .26204 L
.52118 .25233 L
.51813 .24262 L
.51544 .23291 L
.51457 .22932 L
.51375 .22319 L
.51248 .21348 L
.51141 .20377 L
.51065 .19406 L
.51026 .18434 L
.51026 .17463 L
.51065 .16492 L
.51141 .15521 L
.51248 .14549 L
.51375 .13578 L
.51457 .12965 L
.51544 .12607 L
.51813 .11636 L
.52117 .10664 L
.52426 .09693 L
.52428 .09688 L
.52872 .08722 L
.53357 .07751 L
.53399 .07669 L
.53979 .06779 L
.54371 .06242 L
.54738 .05808 L
.55342 .052 L
.55762 .04837 L
.56313 .04458 L
.57284 .03955 L
.57527 .03866 L
F
.51457 .54858 m
.52286 .55342 L
.52428 .55984 L
.52914 .56313 L
.52428 .56805 L
.51927 .56313 L
.51457 .56112 L
.51026 .55342 L
F
.51457 .6258 m
.51989 .63112 L
.51457 .63803 L
.51035 .63112 L
F
.51457 .42205 m
.51632 .42716 L
.51457 .42937 L
.51039 .42716 L
F
.51457 .56648 m
.52179 .57284 L
.51457 .58248 L
.51041 .57284 L
F
.51457 .54875 m
.52261 .55342 L
.52428 .56047 L
.52834 .56313 L
.52428 .56728 L
.52007 .56313 L
.51457 .56083 L
.51042 .55342 L
F
.51457 .54892 m
.52236 .55342 L
.52428 .5611 L
.5275 .56313 L
.52428 .56645 L
.52091 .56313 L
.51457 .56056 L
.51057 .55342 L
F
.51457 .48316 m
.51464 .48543 L
.51457 .48553 L
.51058 .48543 L
F
.51457 .56681 m
.52152 .57284 L
.51457 .58204 L
.5106 .57284 L
F
.51457 .44433 m
.51567 .44658 L
.51457 .44752 L
.51066 .44658 L
F
.51457 .60674 m
.52004 .61169 L
.51457 .6182 L
.51072 .61169 L
F
.51457 .54909 m
.52211 .55342 L
.52428 .56175 L
.52659 .56313 L
.52428 .56554 L
.52185 .56313 L
.51457 .56028 L
.51073 .55342 L
F
.51457 .56713 m
.52124 .57284 L
.51457 .5816 L
.51079 .57284 L
F
.51457 .42262 m
.51606 .42716 L
.51457 .42903 L
.51083 .42716 L
F
.51457 .54926 m
.52186 .55342 L
.52428 .56244 L
.52554 .56313 L
.52428 .56447 L
.52293 .56313 L
.51457 .56001 L
.51089 .55342 L
F
.51457 .56744 m
.52096 .57284 L
.51457 .58118 L
.51098 .57284 L
F
.52428 .47723 m
.53191 .48543 L
.52472 .49514 L
.53135 .50486 L
.52428 .51457 L
.51908 .50486 L
.51457 .49996 L
.51104 .49514 L
.51457 .49165 L
.51922 .48543 L
F
.51457 .54943 m
.52161 .55342 L
.51457 .55974 L
.51105 .55342 L
F
.51457 .44472 m
.51543 .44658 L
.51457 .44731 L
.51114 .44658 L
F
.52428 .47737 m
.5318 .48543 L
.52442 .49514 L
.53115 .50486 L
.52428 .51432 L
.51924 .50486 L
.51457 .49982 L
.51116 .49514 L
.51457 .49175 L
.51929 .48543 L
F
.51457 .56775 m
.52068 .57284 L
.51457 .58076 L
.51117 .57284 L
F
.51457 .54961 m
.52136 .55342 L
.51457 .55948 L
.51121 .55342 L
F
.51457 .49186 m
.52416 .49514 L
.52428 .49565 L
.53095 .50486 L
.52428 .51407 L
.5194 .50486 L
.51457 .49967 L
.51127 .49514 L
F
.51457 .42323 m
.51579 .42716 L
.51457 .42869 L
.51129 .42716 L
F
.51457 .56806 m
.5204 .57284 L
.51457 .58035 L
.51137 .57284 L
F
.51457 .54979 m
.5211 .55342 L
.51457 .55921 L
.51137 .55342 L
F
.51457 .49197 m
.52392 .49514 L
.52428 .49631 L
.53074 .50486 L
.52428 .51382 L
.51956 .50486 L
.51457 .49952 L
.51139 .49514 L
F
.51457 .49208 m
.52369 .49514 L
.52428 .49683 L
.53054 .50486 L
.52428 .51356 L
.51971 .50486 L
.51457 .49937 L
.51151 .49514 L
F
.51457 .54996 m
.52085 .55342 L
.51457 .55895 L
.51153 .55342 L
F
.51457 .56837 m
.52011 .57284 L
.51457 .57993 L
.51156 .57284 L
F
.51457 .4922 m
.52345 .49514 L
.52428 .49728 L
.53034 .50486 L
.52428 .51331 L
.51987 .50486 L
.51457 .49923 L
.51163 .49514 L
F
.51457 .55014 m
.52059 .55342 L
.51457 .55868 L
.5117 .55342 L
F
.51457 .44516 m
.51518 .44658 L
.51457 .4471 L
.5117 .44658 L
F
.51457 .49231 m
.52321 .49514 L
.52428 .49769 L
.53014 .50486 L
.52428 .51305 L
.52003 .50486 L
.51457 .49908 L
.51175 .49514 L
F
.51457 .56867 m
.51982 .57284 L
.51457 .57952 L
.51176 .57284 L
F
.51457 .42389 m
.5155 .42716 L
.51457 .42833 L
.51181 .42716 L
F
.51457 .51021 m
.52197 .51457 L
.51457 .52415 L
.51185 .51457 L
F
.51457 .55033 m
.52032 .55342 L
.51457 .55842 L
.51186 .55342 L
F
.51457 .49242 m
.52298 .49514 L
.52428 .49806 L
.52994 .50486 L
.52428 .51279 L
.52019 .50486 L
.51457 .49893 L
.51187 .49514 L
F
.51457 .60821 m
.51856 .61169 L
.51457 .61634 L
.51188 .61169 L
F
.51457 .5103 m
.52186 .51457 L
.51457 .52396 L
.51191 .51457 L
F
.51457 .56898 m
.51952 .57284 L
.51457 .57911 L
.51196 .57284 L
F
.51457 .5104 m
.52175 .51457 L
.51457 .52377 L
.51197 .51457 L
F
.51457 .49254 m
.52274 .49514 L
.52428 .49842 L
.52973 .50486 L
.52428 .51253 L
.52036 .50486 L
.51457 .49878 L
.51199 .49514 L
F
.51457 .55051 m
.52006 .55342 L
.51457 .55815 L
.51203 .55342 L
F
.51457 .5105 m
.52163 .51457 L
.51457 .52358 L
.51203 .51457 L
F
.51457 .5106 m
.52152 .51457 L
.51457 .52339 L
.51209 .51457 L
F
.51457 .38555 m
.51602 .38831 L
.51457 .38969 L
.51211 .38831 L
F
.51457 .49265 m
.52249 .49514 L
.52428 .49876 L
.52953 .50486 L
.52428 .51226 L
.52052 .50486 L
.51457 .49862 L
.51211 .49514 L
F
.51457 .5107 m
.5214 .51457 L
.51457 .5232 L
.51216 .51457 L
F
.51457 .56929 m
.51922 .57284 L
.51457 .57869 L
.51217 .57284 L
F
.51457 .5507 m
.51979 .55342 L
.51457 .55788 L
.5122 .55342 L
F
.51457 .51079 m
.52129 .51457 L
.51457 .52302 L
.51222 .51457 L
F
.51457 .49277 m
.52225 .49514 L
.52428 .49909 L
.52932 .50486 L
.52428 .51199 L
.52069 .50486 L
.51457 .49847 L
.51223 .49514 L
F
.51457 .51089 m
.52117 .51457 L
.51457 .52283 L
.51228 .51457 L
F
.51457 .51099 m
.52106 .51457 L
.51457 .52265 L
.51234 .51457 L
F
.51457 .49289 m
.522 .49514 L
.52428 .49941 L
.52911 .50486 L
.52428 .51172 L
.52085 .50486 L
.51457 .49831 L
.51236 .49514 L
F
.51457 .55089 m
.51951 .55342 L
.51457 .5576 L
.51237 .55342 L
F
.51457 .5696 m
.5189 .57284 L
.51457 .57827 L
.51238 .57284 L
F
.51457 .44567 m
.51492 .44658 L
.51457 .44688 L
.51239 .44658 L
F
.51457 .51109 m
.52094 .51457 L
.51457 .52247 L
.51241 .51457 L
F
.51457 .42464 m
.5152 .42716 L
.51457 .42795 L
.51242 .42716 L
F
.51457 .51119 m
.52082 .51457 L
.51457 .52229 L
.51247 .51457 L
F
.51457 .49301 m
.52175 .49514 L
.52428 .49972 L
.5289 .50486 L
.52428 .51144 L
.52102 .50486 L
.51457 .49816 L
.51248 .49514 L
F
.51457 .51129 m
.5207 .51457 L
.51457 .52211 L
.51253 .51457 L
F
.51457 .55108 m
.51922 .55342 L
.51457 .55732 L
.51254 .55342 L
F
.51457 .56991 m
.51858 .57284 L
.51457 .57783 L
.51259 .57284 L
F
.51457 .51139 m
.52058 .51457 L
.51457 .52192 L
.5126 .51457 L
F
.51457 .49313 m
.5215 .49514 L
.52428 .50002 L
.52868 .50486 L
.52428 .51115 L
.52119 .50486 L
.51457 .498 L
.51261 .49514 L
F
.51457 .36623 m
.51592 .36888 L
.51457 .37028 L
.51266 .36888 L
F
.51457 .51149 m
.52046 .51457 L
.51457 .52174 L
.51266 .51457 L
F
.51457 .55128 m
.51893 .55342 L
.51457 .55704 L
.51272 .55342 L
F
.51457 .51159 m
.52033 .51457 L
.51457 .52156 L
.51273 .51457 L
F
.51457 .49325 m
.52124 .49514 L
.52428 .50032 L
.52846 .50486 L
.52428 .51086 L
.52137 .50486 L
.51457 .49784 L
.51273 .49514 L
F
.51457 .5117 m
.52021 .51457 L
.51457 .52138 L
.51279 .51457 L
F
.51457 .57023 m
.51824 .57284 L
.51457 .57738 L
.51281 .57284 L
F
.51457 .5118 m
.52008 .51457 L
.51457 .52119 L
.51286 .51457 L
F
.51457 .49338 m
.52098 .49514 L
.52428 .50062 L
.52824 .50486 L
.52428 .51057 L
.52154 .50486 L
.51457 .49767 L
.51286 .49514 L
F
.51457 .55148 m
.51862 .55342 L
.51457 .55674 L
.5129 .55342 L
F
.51457 .5119 m
.51995 .51457 L
.51457 .52101 L
.51292 .51457 L
F
.51457 .512 m
.51982 .51457 L
.51457 .52082 L
.51299 .51457 L
F
.51457 .49351 m
.52071 .49514 L
.52428 .50092 L
.52801 .50486 L
.52428 .51026 L
.52172 .50486 L
.51457 .49751 L
.51299 .49514 L
F
.51457 .57056 m
.51789 .57284 L
.51457 .57692 L
.51303 .57284 L
F
.51457 .51211 m
.51969 .51457 L
.51457 .52064 L
.51305 .51457 L
F
.51457 .55169 m
.5183 .55342 L
.51457 .55644 L
.51309 .55342 L
F
.51457 .51221 m
.51956 .51457 L
.51457 .52045 L
.51312 .51457 L
F
.51457 .49364 m
.52043 .49514 L
.52428 .50122 L
.52778 .50486 L
.52428 .50995 L
.5219 .50486 L
.51457 .49733 L
.51312 .49514 L
F
.51457 .45383 m
.52283 .45629 L
.51457 .46553 L
.51313 .45629 L
F
.51457 .42558 m
.51489 .42716 L
.51457 .42756 L
.51318 .42716 L
F
.51457 .51232 m
.51942 .51457 L
.51457 .52026 L
.51319 .51457 L
F
.51457 .60987 m
.51682 .61169 L
.51457 .61428 L
.51319 .61169 L
F
.51457 .45399 m
.5226 .45629 L
.51457 .46505 L
.51322 .45629 L
F
.51457 .49377 m
.52014 .49514 L
.52428 .50151 L
.52754 .50486 L
.52428 .50963 L
.52209 .50486 L
.51457 .49716 L
.51325 .49514 L
F
.51457 .51243 m
.51928 .51457 L
.51457 .52007 L
.51325 .51457 L
F
.51457 .57089 m
.51751 .57284 L
.51457 .57644 L
.51326 .57284 L
F
.51457 .5519 m
.51797 .55342 L
.51457 .55612 L
.51328 .55342 L
F
.51457 .51253 m
.51914 .51457 L
.51457 .51987 L
.51332 .51457 L
F
.51457 .45416 m
.52236 .45629 L
.51457 .46458 L
.51332 .45629 L
F
.51457 .4939 m
.51984 .49514 L
.52428 .50181 L
.5273 .50486 L
.52428 .50929 L
.52228 .50486 L
.51457 .49698 L
.51339 .49514 L
F
.51457 .51264 m
.51899 .51457 L
.51457 .51967 L
.51339 .51457 L
F
.51457 .45432 m
.52212 .45629 L
.51457 .46413 L
.51342 .45629 L
F
.51457 .44633 m
.51465 .44658 L
.51457 .44665 L
.51344 .44658 L
F
.51457 .51275 m
.51884 .51457 L
.51457 .51947 L
.51346 .51457 L
F
.51457 .55212 m
.51761 .55342 L
.51457 .55579 L
.51347 .55342 L
F
.51457 .57124 m
.51711 .57284 L
.51457 .57592 L
.51349 .57284 L
F
.51457 .45449 m
.52187 .45629 L
.51457 .46368 L
.51352 .45629 L
F
.51457 .49404 m
.51953 .49514 L
.52428 .50212 L
.52704 .50486 L
.52428 .50894 L
.52247 .50486 L
.51457 .49679 L
.51352 .49514 L
F
.51457 .51286 m
.51869 .51457 L
.51457 .51926 L
.51353 .51457 L
F
.51457 .51297 m
.51853 .51457 L
.51457 .51905 L
.5136 .51457 L
F
.51457 .45465 m
.52161 .45629 L
.51457 .46323 L
.51362 .45629 L
F
.51457 .49418 m
.5192 .49514 L
.52428 .50242 L
.52678 .50486 L
.52428 .50858 L
.52268 .50486 L
.51457 .4966 L
.51366 .49514 L
F
.51457 .55235 m
.51723 .55342 L
.51457 .55544 L
.51367 .55342 L
F
.51457 .51309 m
.51837 .51457 L
.51457 .51884 L
.51367 .51457 L
F
.51457 .45482 m
.52135 .45629 L
.51457 .46278 L
.51372 .45629 L
F
.51457 .5716 m
.51667 .57284 L
.51457 .57536 L
.51374 .57284 L
F
.51457 .5132 m
.51821 .51457 L
.51457 .51862 L
.51374 .51457 L
F
.51457 .49432 m
.51886 .49514 L
.52428 .50274 L
.5265 .50486 L
.52428 .50819 L
.52288 .50486 L
.51457 .4964 L
.5138 .49514 L
F
.51457 .63027 m
.51571 .63112 L
.51457 .63256 L
.5138 .63112 L
F
.51457 .51332 m
.51803 .51457 L
.51457 .51839 L
.51381 .51457 L
F
.51457 .455 m
.52107 .45629 L
.51457 .46233 L
.51383 .45629 L
F
.51457 .55259 m
.5168 .55342 L
.51457 .55506 L
.51387 .55342 L
F
.51457 .51344 m
.51785 .51457 L
.51457 .51815 L
.51389 .51457 L
F
.51457 .45517 m
.52078 .45629 L
.51457 .46186 L
.51393 .45629 L
F
.51457 .49447 m
.51848 .49514 L
.52428 .50306 L
.5262 .50486 L
.52428 .50778 L
.5231 .50486 L
.51457 .49619 L
.51394 .49514 L
F
.51457 .51355 m
.51766 .51457 L
.51457 .5179 L
.51396 .51457 L
F
.51457 .57198 m
.51617 .57284 L
.51457 .57473 L
.51399 .57284 L
F
.51457 .45535 m
.52048 .45629 L
.51457 .46137 L
.51403 .45629 L
F
.51457 .51368 m
.51746 .51457 L
.51457 .51764 L
.51404 .51457 L
F
.51457 .55283 m
.51632 .55342 L
.51457 .55464 L
.51408 .55342 L
F
.51457 .49462 m
.51807 .49514 L
.52428 .50339 L
.52589 .50486 L
.52428 .50734 L
.52332 .50486 L
.51457 .49597 L
.51408 .49514 L
F
.51457 .5138 m
.51725 .51457 L
.51457 .51737 L
.51411 .51457 L
F
.51457 .45553 m
.52016 .45629 L
.51457 .46085 L
.51414 .45629 L
F
.52428 .38752 m
.52684 .38831 L
.52536 .39802 L
.52428 .39955 L
.51457 .40369 L
.51417 .39802 L
.51457 .39725 L
.52393 .38831 L
F
.51457 .51392 m
.51702 .51457 L
.51457 .51707 L
.51419 .51457 L
F
.51457 .49478 m
.5176 .49514 L
.52428 .50374 L
.52555 .50486 L
.52428 .50685 L
.52355 .50486 L
.51457 .49574 L
.51423 .49514 L
F
.51457 .45572 m
.51981 .45629 L
.51457 .46029 L
.51425 .45629 L
F
.51457 .57237 m
.51556 .57284 L
.51457 .57399 L
.51426 .57284 L
F
.51457 .51405 m
.51677 .51457 L
.51457 .51675 L
.51426 .51457 L
F
.51457 .55309 m
.51573 .55342 L
.51457 .55415 L
.5143 .55342 L
F
.51457 .51418 m
.51648 .51457 L
.51457 .51639 L
.51434 .51457 L
F
.51457 .45591 m
.51944 .45629 L
.51457 .45966 L
.51435 .45629 L
F
.51457 .49494 m
.51704 .49514 L
.52428 .50411 L
.52517 .50486 L
.52428 .50629 L
.52379 .50486 L
.51457 .49548 L
.51438 .49514 L
F
.51457 .51431 m
.51615 .51457 L
.51457 .51597 L
.51442 .51457 L
F
.51457 .45611 m
.51902 .45629 L
.51457 .45888 L
.51446 .45629 L
F
.51457 .51445 m
.51571 .51457 L
.51457 .51543 L
.5145 .51457 L
F
.51457 .55337 m
.51485 .55342 L
.51457 .55355 L
.51453 .55342 L
F
.51457 .49511 m
.51622 .49514 L
.52428 .5045 L
.52473 .50486 L
.52428 .50562 L
.52405 .50486 L
.51457 .4952 L
.51454 .49514 L
F
.51457 .57281 m
.51468 .57284 L
.51457 .57296 L
.51454 .57284 L
F
.52428 .59245 m
.52993 .60198 L
.52428 .60905 L
.51694 .60198 L
F
.52428 .35538 m
.52538 .35917 L
.52428 .35993 L
.51739 .35917 L
F
.52428 .51479 m
.53187 .52428 L
.53399 .52931 L
.54046 .53399 L
.53399 .53854 L
.53152 .54371 L
.52428 .55305 L
.5177 .54371 L
.52346 .53399 L
.51807 .52428 L
F
.52428 .51501 m
.53168 .52428 L
.53399 .52966 L
.53996 .53399 L
.53399 .53823 L
.53137 .54371 L
.52428 .55282 L
.51783 .54371 L
.52379 .53399 L
.51822 .52428 L
F
.52428 .51523 m
.5315 .52428 L
.53399 .53001 L
.53946 .53399 L
.53399 .53791 L
.53123 .54371 L
.52428 .5526 L
.51796 .54371 L
.52412 .53399 L
.51838 .52428 L
F
.52428 .59484 m
.529 .60198 L
.52428 .60785 L
.51799 .60198 L
F
.52428 .53415 m
.53109 .54371 L
.52428 .55238 L
.51808 .54371 L
F
.52428 .53445 m
.53095 .54371 L
.52428 .55217 L
.51821 .54371 L
F
.52428 .53473 m
.53081 .54371 L
.52428 .55196 L
.51834 .54371 L
F
.52428 .535 m
.53067 .54371 L
.52428 .55176 L
.51846 .54371 L
F
.52428 .51545 m
.53131 .52428 L
.53399 .53036 L
.53897 .53399 L
.53399 .53759 L
.52455 .53399 L
.52428 .53374 L
.51853 .52428 L
F
.52428 .4589 m
.53377 .46601 L
.53399 .46633 L
.54145 .47572 L
.53399 .48228 L
.5253 .47572 L
.52428 .47319 L
.51854 .46601 L
F
.52428 .53525 m
.53052 .54371 L
.52428 .55155 L
.51859 .54371 L
F
.52428 .51567 m
.53112 .52428 L
.53399 .53071 L
.53848 .53399 L
.53399 .53726 L
.52511 .53399 L
.52428 .5333 L
.51868 .52428 L
F
.52428 .5355 m
.53038 .54371 L
.52428 .55135 L
.51872 .54371 L
F
.52428 .45917 m
.5334 .46601 L
.53399 .46683 L
.54117 .47572 L
.53399 .48204 L
.52557 .47572 L
.52428 .47279 L
.51877 .46601 L
F
.52428 .5159 m
.53094 .52428 L
.53399 .53106 L
.53799 .53399 L
.53399 .53692 L
.52569 .53399 L
.52428 .5329 L
.51884 .52428 L
F
.52428 .53574 m
.53024 .54371 L
.52428 .55115 L
.51885 .54371 L
F
.52428 .53598 m
.5301 .54371 L
.52428 .55096 L
.51897 .54371 L
F
.52428 .51612 m
.53076 .52428 L
.53399 .53143 L
.53749 .53399 L
.53399 .53657 L
.52631 .53399 L
.52428 .53254 L
.51899 .52428 L
F
.52428 .45943 m
.53303 .46601 L
.53399 .46729 L
.54089 .47572 L
.53399 .48181 L
.52585 .47572 L
.52428 .47242 L
.51901 .46601 L
F
.52428 .5965 m
.52805 .60198 L
.52428 .60665 L
.51908 .60198 L
F
.52428 .53621 m
.52996 .54371 L
.52428 .55076 L
.5191 .54371 L
F
.52428 .51634 m
.53057 .52428 L
.53399 .5318 L
.53698 .53399 L
.53399 .53621 L
.52697 .53399 L
.52428 .5322 L
.51915 .52428 L
F
.52428 .53643 m
.52982 .54371 L
.52428 .55057 L
.51923 .54371 L
F
.52428 .62879 m
.53399 .63057 L
.53411 .63112 L
.53399 .63128 L
.52662 .64083 L
.52428 .64423 L
.51924 .64083 L
.52338 .63112 L
F
.52428 .4597 m
.53267 .46601 L
.53399 .4677 L
.54061 .47572 L
.53399 .48158 L
.52612 .47572 L
.52428 .47207 L
.51924 .46601 L
F
.52428 .51656 m
.53039 .52428 L
.53399 .53218 L
.53645 .53399 L
.53399 .53582 L
.52769 .53399 L
.52428 .53188 L
.5193 .52428 L
F
.52428 .53665 m
.52968 .54371 L
.52428 .55038 L
.51936 .54371 L
F
.52428 .47751 m
.5317 .48543 L
.52428 .49504 L
.51937 .48543 L
F
.52428 .47765 m
.53159 .48543 L
.52428 .49485 L
.51945 .48543 L
F
.52428 .51679 m
.5302 .52428 L
.53399 .53259 L
.5359 .53399 L
.53399 .53542 L
.52849 .53399 L
.52428 .53157 L
.51946 .52428 L
F
.52428 .45997 m
.53231 .46601 L
.53399 .46809 L
.54034 .47572 L
.53399 .48134 L
.52639 .47572 L
.52428 .47173 L
.51948 .46601 L
F
.52428 .53687 m
.52953 .54371 L
.52428 .55018 L
.51949 .54371 L
F
.52428 .57301 m
.52829 .58256 L
.52428 .58823 L
.51952 .58256 L
F
.52428 .47779 m
.53149 .48543 L
.52428 .49466 L
.51952 .48543 L
F
.52428 .47792 m
.53138 .48543 L
.52428 .49448 L
.5196 .48543 L
F
.52428 .51701 m
.53002 .52428 L
.53399 .53302 L
.53531 .53399 L
.53399 .53499 L
.52942 .53399 L
.52428 .53127 L
.51962 .52428 L
F
.52428 .53709 m
.52939 .54371 L
.52428 .54999 L
.51962 .54371 L
F
.52428 .47806 m
.53128 .48543 L
.52428 .4943 L
.51967 .48543 L
F
.52428 .46024 m
.53196 .46601 L
.53399 .46847 L
.54007 .47572 L
.53399 .48111 L
.52667 .47572 L
.52428 .47141 L
.51971 .46601 L
F
.52428 .47819 m
.53117 .48543 L
.52428 .49412 L
.51975 .48543 L
F
.52428 .5373 m
.52925 .54371 L
.52428 .5498 L
.51976 .54371 L
F
.52428 .51724 m
.52983 .52428 L
.53399 .53348 L
.53468 .53399 L
.53399 .53452 L
.5306 .53399 L
.52428 .53098 L
.51978 .52428 L
F
.52428 .47833 m
.53107 .48543 L
.52428 .49395 L
.51983 .48543 L
F
.52428 .53751 m
.5291 .54371 L
.52428 .54961 L
.51989 .54371 L
F
.52428 .47846 m
.53096 .48543 L
.52428 .49378 L
.5199 .48543 L
F
.52428 .51747 m
.52964 .52428 L
.52428 .5307 L
.51994 .52428 L
F
.52428 .46052 m
.53161 .46601 L
.53399 .46883 L
.53979 .47572 L
.53399 .48087 L
.52695 .47572 L
.52428 .47109 L
.51995 .46601 L
F
.52428 .47859 m
.53086 .48543 L
.52428 .49362 L
.51998 .48543 L
F
.52428 .53772 m
.52896 .54371 L
.52428 .54942 L
.52002 .54371 L
F
.52428 .47872 m
.53075 .48543 L
.52428 .49345 L
.52006 .48543 L
F
.52428 .5177 m
.52945 .52428 L
.52428 .53042 L
.5201 .52428 L
F
.52428 .57397 m
.52772 .58256 L
.52428 .58735 L
.52013 .58256 L
F
.52428 .47885 m
.53065 .48543 L
.52428 .49329 L
.52014 .48543 L
F
.52428 .53793 m
.52881 .54371 L
.52428 .54923 L
.52016 .54371 L
F
.52428 .46079 m
.53126 .46601 L
.53399 .46918 L
.53952 .47572 L
.53399 .48064 L
.52723 .47572 L
.52428 .47078 L
.52019 .46601 L
F
.52428 .47898 m
.53054 .48543 L
.52428 .49313 L
.52021 .48543 L
F
.52428 .51793 m
.52926 .52428 L
.52428 .53015 L
.52026 .52428 L
F
.52428 .59803 m
.52705 .60198 L
.52428 .6054 L
.52028 .60198 L
F
.52428 .47911 m
.53044 .48543 L
.52428 .49297 L
.52029 .48543 L
F
.52428 .53813 m
.52866 .54371 L
.52428 .54904 L
.5203 .54371 L
F
.52428 .47924 m
.53033 .48543 L
.52428 .49282 L
.52037 .48543 L
F
.52428 .51816 m
.52907 .52428 L
.52428 .52989 L
.52042 .52428 L
F
.52428 .46107 m
.53091 .46601 L
.53399 .46952 L
.53925 .47572 L
.53399 .4804 L
.52752 .47572 L
.52428 .47048 L
.52043 .46601 L
F
.52428 .53834 m
.52851 .54371 L
.52428 .54885 L
.52043 .54371 L
F
.52428 .47936 m
.53023 .48543 L
.52428 .49266 L
.52045 .48543 L
F
.52428 .47949 m
.53012 .48543 L
.52428 .49251 L
.52053 .48543 L
F
.52428 .53855 m
.52836 .54371 L
.52428 .54865 L
.52057 .54371 L
F
.52428 .5184 m
.52888 .52428 L
.52428 .52962 L
.52059 .52428 L
F
.52428 .47962 m
.53001 .48543 L
.52428 .49235 L
.52061 .48543 L
F
.52428 .46136 m
.53056 .46601 L
.53399 .46986 L
.53898 .47572 L
.53399 .48016 L
.5278 .47572 L
.52428 .47018 L
.52067 .46601 L
F
.52428 .47975 m
.5299 .48543 L
.52428 .4922 L
.52069 .48543 L
F
.52428 .42107 m
.53198 .42716 L
.52428 .43643 L
.52069 .42716 L
F
.52428 .53876 m
.52821 .54371 L
.52428 .54846 L
.52072 .54371 L
F
.52428 .51864 m
.52869 .52428 L
.52428 .52936 L
.52076 .52428 L
F
.52428 .47987 m
.5298 .48543 L
.52428 .49205 L
.52077 .48543 L
F
.52428 .575 m
.52713 .58256 L
.52428 .58648 L
.52078 .58256 L
F
.52428 .48 m
.52969 .48543 L
.52428 .4919 L
.52085 .48543 L
F
.52428 .53896 m
.52806 .54371 L
.52428 .54827 L
.52086 .54371 L
F
.52428 .46165 m
.5302 .46601 L
.53399 .47019 L
.5387 .47572 L
.53399 .47991 L
.5281 .47572 L
.52428 .46988 L
.52091 .46601 L
F
.52428 .42145 m
.5316 .42716 L
.52428 .43564 L
.52092 .42716 L
F
.52428 .48013 m
.52958 .48543 L
.52428 .49175 L
.52093 .48543 L
F
.52428 .51889 m
.52849 .52428 L
.52428 .5291 L
.52093 .52428 L
F
.52428 .53917 m
.5279 .54371 L
.52428 .54807 L
.521 .54371 L
F
.52428 .48026 m
.52947 .48543 L
.52428 .4916 L
.52101 .48543 L
F
.52428 .48039 m
.52936 .48543 L
.52428 .49145 L
.52109 .48543 L
F
.52428 .51914 m
.52829 .52428 L
.52428 .52883 L
.5211 .52428 L
F
.52428 .42183 m
.53121 .42716 L
.52428 .43495 L
.52115 .42716 L
F
.52428 .53938 m
.52774 .54371 L
.52428 .54787 L
.52115 .54371 L
F
.52428 .46194 m
.52984 .46601 L
.53399 .47052 L
.53842 .47572 L
.53399 .47967 L
.5284 .47572 L
.52428 .46958 L
.52116 .46601 L
F
.52428 .48051 m
.52925 .48543 L
.52428 .4913 L
.52117 .48543 L
F
.52428 .48064 m
.52914 .48543 L
.52428 .49115 L
.52125 .48543 L
F
.52428 .40478 m
.53182 .40773 L
.53399 .40841 L
.54094 .41744 L
.53399 .42512 L
.52818 .41744 L
.52428 .40897 L
.52126 .40773 L
F
.52428 .51939 m
.52808 .52428 L
.52428 .52857 L
.52127 .52428 L
F
.52428 .53959 m
.52758 .54371 L
.52428 .54767 L
.5213 .54371 L
F
.52428 .48077 m
.52903 .48543 L
.52428 .491 L
.52133 .48543 L
F
.52428 .42222 m
.53082 .42716 L
.52428 .43432 L
.52138 .42716 L
F
.52428 .46224 m
.52948 .46601 L
.53399 .47085 L
.53814 .47572 L
.53399 .47942 L
.5287 .47572 L
.52428 .46929 L
.52141 .46601 L
F
.52428 .4809 m
.52891 .48543 L
.52428 .49085 L
.52142 .48543 L
F
.52428 .5398 m
.52742 .54371 L
.52428 .54747 L
.52145 .54371 L
F
.52428 .51965 m
.52787 .52428 L
.52428 .52831 L
.52145 .52428 L
F
.52428 .57613 m
.5265 .58256 L
.52428 .58557 L
.52149 .58256 L
F
.52428 .48103 m
.5288 .48543 L
.52428 .4907 L
.5215 .48543 L
F
.52428 .48116 m
.52869 .48543 L
.52428 .49055 L
.52159 .48543 L
F
.52428 .54002 m
.52725 .54371 L
.52428 .54726 L
.5216 .54371 L
F
.52428 .4226 m
.53043 .42716 L
.52428 .43372 L
.52161 .42716 L
F
.52428 .51991 m
.52766 .52428 L
.52428 .52805 L
.52163 .52428 L
F
.52428 .46255 m
.5291 .46601 L
.53399 .47118 L
.53786 .47572 L
.53399 .47916 L
.52901 .47572 L
.52428 .46899 L
.52167 .46601 L
F
.52428 .5996 m
.52594 .60198 L
.52428 .60404 L
.52167 .60198 L
F
.52428 .48129 m
.52857 .48543 L
.52428 .4904 L
.52167 .48543 L
F
.52428 .48142 m
.52845 .48543 L
.52428 .49025 L
.52176 .48543 L
F
.52428 .54024 m
.52709 .54371 L
.52428 .54705 L
.52176 .54371 L
F
.52428 .52018 m
.52745 .52428 L
.52428 .52778 L
.52182 .52428 L
F
.52428 .48156 m
.52833 .48543 L
.52428 .4901 L
.52184 .48543 L
F
.52428 .42299 m
.53003 .42716 L
.52428 .43315 L
.52185 .42716 L
F
.52428 .54046 m
.52691 .54371 L
.52428 .54684 L
.52192 .54371 L
F
.52428 .46286 m
.52872 .46601 L
.53399 .47151 L
.53757 .47572 L
.53399 .4789 L
.52933 .47572 L
.52428 .46869 L
.52193 .46601 L
F
.52428 .48169 m
.52821 .48543 L
.52428 .48994 L
.52193 .48543 L
F
.52428 .52046 m
.52722 .52428 L
.52428 .52751 L
.52201 .52428 L
F
.52428 .48182 m
.52809 .48543 L
.52428 .48979 L
.52202 .48543 L
F
.59227 .05772 m
.59583 .05808 L
.60198 .0595 L
.61169 .06389 L
.6176 .06779 L
.62141 .07107 L
.6277 .07751 L
.63112 .08167 L
.63489 .08722 L
.64027 .09693 L
.64083 .09818 L
.64412 .10664 L
.64774 .11636 L
.65054 .12237 L
.6531 .12607 L
.66026 .13141 L
.66997 .12951 L
.67968 .12659 L
.68267 .12607 L
.68939 .12481 L
.69911 .12385 L
.70882 .12334 L
.71853 .12307 L
.72824 .12293 L
.73796 .12287 L
.74767 .12289 L
.75738 .12298 L
.76709 .12318 L
.77681 .12355 L
.78652 .12426 L
.79623 .12558 L
.79872 .12607 L
.80594 .1279 L
.81566 .13108 L
.82537 .12868 L
.82839 .12607 L
.83299 .11636 L
.83508 .11119 L
.83669 .10664 L
.84054 .09693 L
.84479 .08873 L
.84576 .08722 L
.85308 .07751 L
.85451 .07588 L
.86323 .06779 L
.86422 .06706 L
.87393 .06137 L
.88364 .05828 L
.88489 .05808 L
.89336 .05776 L
.89632 .05808 L
.90307 .0597 L
.91278 .06425 L
.91807 .06779 L
.92249 .07166 L
.9281 .07751 L
.93221 .08267 L
.9353 .08722 L
.941 .09693 L
.94192 .09869 L
.94537 .10664 L
.94911 .11636 L
.95163 .12397 L
.95213 .12607 L
.95428 .13578 L
.95609 .14549 L
.95749 .15521 L
.95843 .16492 L
.9589 .17463 L
.9589 .18434 L
.95843 .19406 L
.95749 .20377 L
.95609 .21348 L
.95428 .22319 L
.95213 .23291 L
.95163 .23501 L
.94911 .24262 L
.94537 .25233 L
.94192 .26029 L
.941 .26204 L
.9353 .27176 L
.93221 .27631 L
.9281 .28147 L
.92249 .28731 L
.91807 .29118 L
.91278 .29473 L
.90307 .29927 L
.89632 .30089 L
.89336 .30122 L
.88489 .30089 L
.88364 .30069 L
.87393 .29761 L
.86422 .29189 L
.86326 .29118 L
.85451 .28294 L
.85321 .28147 L
.84584 .27176 L
.84479 .27022 L
.8401 .26204 L
.83508 .25342 L
.83463 .25233 L
.83231 .24262 L
.83104 .23291 L
.82931 .22319 L
.82537 .21392 L
.82511 .21348 L
.81566 .20823 L
.80594 .20939 L
.79623 .21081 L
.78652 .21167 L
.77681 .21213 L
.76709 .21239 L
.75738 .21252 L
.74767 .21258 L
.73796 .21259 L
.72824 .21256 L
.71853 .21246 L
.70882 .21228 L
.69911 .21194 L
.68939 .2113 L
.67968 .21017 L
.66997 .20859 L
.66026 .21253 L
.65547 .21348 L
.65141 .22319 L
.65054 .2271 L
.64966 .23291 L
.64855 .24262 L
.64501 .25233 L
.64094 .26204 L
.64083 .26255 L
.63484 .27176 L
.63112 .27706 L
.62757 .28147 L
.62141 .2879 L
.61763 .29118 L
.61169 .29519 L
.60198 .29947 L
.59568 .30089 L
.59227 .30122 L
.5844 .30089 L
.58256 .30059 L
.57284 .29733 L
.56313 .29146 L
.56276 .29118 L
.55342 .28234 L
.55266 .28147 L
.54542 .27176 L
.54371 .26907 L
.53988 .26204 L
.53526 .25233 L
.53399 .24934 L
.53175 .24262 L
.5288 .23291 L
.52631 .22319 L
.52433 .21348 L
.52428 .21319 L
.52323 .20377 L
.52246 .19406 L
.52206 .18434 L
.52206 .17463 L
.52246 .16492 L
.52323 .15521 L
.52428 .14578 L
.52433 .14549 L
.52631 .13578 L
.5288 .12607 L
.53175 .11636 L
.53399 .10963 L
.53526 .10664 L
.53988 .09693 L
.54371 .0899 L
.54542 .08722 L
.55266 .07751 L
.55342 .07663 L
.56276 .06779 L
.56313 .06752 L
.57284 .06165 L
.58256 .0584 L
.58443 .05808 L
F
.52428 .54068 m
.52674 .54371 L
.52428 .54663 L
.52208 .54371 L
F
.52428 .42338 m
.52962 .42716 L
.52428 .43259 L
.52209 .42716 L
F
.52428 .48196 m
.52797 .48543 L
.52428 .48963 L
.52211 .48543 L
F
.52428 .4821 m
.52784 .48543 L
.52428 .48948 L
.5222 .48543 L
F
.52428 .46319 m
.52831 .46601 L
.53399 .47185 L
.53727 .47572 L
.53399 .47863 L
.52966 .47572 L
.52428 .46838 L
.5222 .46601 L
F
.52428 .52075 m
.52699 .52428 L
.52428 .52723 L
.5222 .52428 L
F
.52428 .54091 m
.52656 .54371 L
.52428 .5464 L
.52225 .54371 L
F
.52428 .57745 m
.52582 .58256 L
.52428 .58462 L
.52228 .58256 L
F
.52428 .48223 m
.52772 .48543 L
.52428 .48932 L
.52229 .48543 L
F
.52428 .4425 m
.52862 .44658 L
.52428 .456 L
.52233 .44658 L
F
.52428 .42378 m
.52919 .42716 L
.52428 .43203 L
.52233 .42716 L
F
.52428 .48237 m
.52759 .48543 L
.52428 .48916 L
.52238 .48543 L
F
.52428 .52105 m
.52676 .52428 L
.52428 .52695 L
.5224 .52428 L
F
.52428 .54115 m
.52637 .54371 L
.52428 .54618 L
.52242 .54371 L
F
.52428 .48251 m
.52746 .48543 L
.52428 .48899 L
.52247 .48543 L
F
.52428 .46353 m
.52789 .46601 L
.53399 .4722 L
.53697 .47572 L
.53399 .47836 L
.53001 .47572 L
.52428 .46806 L
.52247 .46601 L
F
.52428 .44297 m
.52826 .44658 L
.52428 .4555 L
.52255 .44658 L
F
.52428 .48266 m
.52732 .48543 L
.52428 .48883 L
.52256 .48543 L
F
.52428 .42419 m
.52875 .42716 L
.52428 .43147 L
.52258 .42716 L
F
.52428 .54139 m
.52618 .54371 L
.52428 .54595 L
.5226 .54371 L
F
.52428 .52136 m
.52651 .52428 L
.52428 .52666 L
.5226 .52428 L
F
.52428 .4828 m
.52719 .48543 L
.52428 .48866 L
.52266 .48543 L
F
.52428 .36583 m
.53079 .36888 L
.52428 .37292 L
.52267 .36888 L
F
.52428 .48295 m
.52705 .48543 L
.52428 .48849 L
.52275 .48543 L
F
.52428 .46389 m
.52745 .46601 L
.53399 .47255 L
.53666 .47572 L
.53399 .47808 L
.53036 .47572 L
.52428 .46774 L
.52276 .46601 L
F
.52428 .44344 m
.52787 .44658 L
.52428 .45496 L
.52278 .44658 L
F
.52428 .54164 m
.52598 .54371 L
.52428 .5457 L
.52278 .54371 L
F
.52428 .52168 m
.52625 .52428 L
.52428 .52637 L
.52281 .52428 L
F
.52428 .42462 m
.52828 .42716 L
.52428 .4309 L
.52284 .42716 L
F
.52428 .4831 m
.5269 .48543 L
.52428 .48832 L
.52285 .48543 L
F
.52428 .48325 m
.52676 .48543 L
.52428 .48814 L
.52295 .48543 L
F
.52428 .54189 m
.52577 .54371 L
.52428 .54546 L
.52297 .54371 L
F
.52428 .44392 m
.52747 .44658 L
.52428 .45437 L
.52301 .44658 L
F
.52428 .52203 m
.52598 .52428 L
.52428 .52606 L
.52303 .52428 L
F
.52428 .4834 m
.52661 .48543 L
.52428 .48796 L
.52305 .48543 L
F
.52428 .46427 m
.52697 .46601 L
.53399 .47291 L
.53634 .47572 L
.53399 .47779 L
.53074 .47572 L
.52428 .46741 L
.52305 .46601 L
F
.52428 .42506 m
.52777 .42716 L
.52428 .4303 L
.52311 .42716 L
F
.52428 .48356 m
.52645 .48543 L
.52428 .48778 L
.52315 .48543 L
F
.52428 .54216 m
.52555 .54371 L
.52428 .5452 L
.52317 .54371 L
F
.52428 .57915 m
.52504 .58256 L
.52428 .58356 L
.52323 .58256 L
F
.52428 .44441 m
.52703 .44658 L
.52428 .45373 L
.52325 .44658 L
F
.52428 .48372 m
.52629 .48543 L
.52428 .48759 L
.52325 .48543 L
F
.52428 .5224 m
.5257 .52428 L
.52428 .52574 L
.52326 .52428 L
F
.52428 .48389 m
.52612 .48543 L
.52428 .4874 L
.52336 .48543 L
F
.52428 .46468 m
.52644 .46601 L
.53399 .47329 L
.53601 .47572 L
.53399 .47749 L
.53114 .47572 L
.52428 .46706 L
.52336 .46601 L
F
.52428 .54244 m
.52532 .54371 L
.52428 .54492 L
.52338 .54371 L
F
.52428 .42552 m
.52722 .42716 L
.52428 .42967 L
.52338 .42716 L
F
.52428 .48406 m
.52595 .48543 L
.52428 .48719 L
.52346 .48543 L
F
.52428 .44492 m
.52654 .44658 L
.52428 .45302 L
.5235 .44658 L
F
.52428 .52279 m
.52539 .52428 L
.52428 .52541 L
.5235 .52428 L
F
.52428 .48423 m
.52576 .48543 L
.52428 .48698 L
.52357 .48543 L
F
.52428 .54274 m
.52508 .54371 L
.52428 .54464 L
.52359 .54371 L
F
.52428 .6015 m
.5246 .60198 L
.52428 .60238 L
.52365 .60198 L
F
.52428 .42602 m
.52658 .42716 L
.52428 .42898 L
.52366 .42716 L
F
.52428 .46512 m
.52584 .46601 L
.53399 .47369 L
.53566 .47572 L
.53399 .47718 L
.53156 .47572 L
.52428 .46669 L
.52368 .46601 L
F
.52428 .48441 m
.52557 .48543 L
.52428 .48676 L
.52368 .48543 L
F
.52428 .52324 m
.52505 .52428 L
.52428 .52505 L
.52376 .52428 L
F
.52428 .44546 m
.52599 .44658 L
.52428 .45218 L
.52376 .44658 L
F
.52428 .4846 m
.52536 .48543 L
.52428 .48653 L
.5238 .48543 L
F
.52428 .54306 m
.52482 .54371 L
.52428 .54433 L
.52382 .54371 L
F
.52428 .4848 m
.52514 .48543 L
.52428 .48629 L
.52392 .48543 L
F
.52428 .42655 m
.52579 .42716 L
.52428 .42819 L
.52396 .42716 L
F
.52428 .52375 m
.52467 .52428 L
.52428 .52466 L
.52403 .52428 L
F
.52428 .44603 m
.52529 .44658 L
.52428 .45112 L
.52403 .44658 L
F
.52428 .46562 m
.52507 .46601 L
.53399 .47412 L
.53529 .47572 L
.53399 .47685 L
.53203 .47572 L
.52428 .4663 L
.52403 .46601 L
F
.52428 .485 m
.52489 .48543 L
.52428 .48603 L
.52404 .48543 L
F
.52428 .5434 m
.52453 .54371 L
.52428 .544 L
.52407 .54371 L
F
.52428 .40749 m
.52569 .40773 L
.53399 .4097 L
.54012 .41744 L
.53399 .4242 L
.52887 .41744 L
.52428 .4078 L
.5241 .40773 L
F
.52428 .48521 m
.5246 .48543 L
.52428 .48574 L
.52416 .48543 L
F
.52428 .42715 m
.52432 .42716 L
.52428 .42717 L
.52428 .42716 L
F
.53399 .56503 m
.53664 .57284 L
.53399 .57595 L
.52439 .57284 L
F
.54371 .50828 m
.55176 .51457 L
.54476 .52428 L
.54929 .53399 L
.54455 .54371 L
.54371 .54473 L
.53785 .55342 L
.53399 .56298 L
.52449 .55342 L
.53181 .54371 L
.53399 .53916 L
.5415 .53399 L
.53399 .5286 L
.53225 .52428 L
.53399 .52232 L
.54051 .51457 L
F
.54371 .5086 m
.55146 .51457 L
.54405 .52428 L
.54829 .53399 L
.544 .54371 L
.54371 .54407 L
.53742 .55342 L
.53399 .56114 L
.52499 .55342 L
.53195 .54371 L
.53399 .53946 L
.54205 .53399 L
.53399 .52823 L
.53244 .52428 L
.53399 .52252 L
.54066 .51457 L
F
.53399 .56647 m
.53609 .57284 L
.53399 .57532 L
.52504 .57284 L
F
.53399 .53977 m
.54352 .54371 L
.53698 .55342 L
.53399 .55976 L
.52553 .55342 L
.5321 .54371 L
F
.53399 .56785 m
.53553 .57284 L
.53399 .57467 L
.52578 .57284 L
F
.54371 .47144 m
.54875 .47572 L
.54583 .48543 L
.54371 .48784 L
.53806 .49514 L
.54255 .50486 L
.53885 .51457 L
.53399 .52021 L
.52592 .51457 L
.53343 .50486 L
.52791 .49514 L
.53299 .48543 L
.53399 .48322 L
.54264 .47572 L
F
.54371 .4728 m
.54793 .47572 L
.5455 .48543 L
.54371 .48747 L
.53776 .49514 L
.54177 .50486 L
.5387 .51457 L
.53399 .52003 L
.5261 .51457 L
.53366 .50486 L
.52826 .49514 L
.5331 .48543 L
.53399 .48346 L
.54296 .47572 L
F
.53399 .54007 m
.54313 .54371 L
.53654 .55342 L
.53399 .55856 L
.5261 .55342 L
.53224 .54371 L
F
.54371 .47412 m
.54695 .47572 L
.54516 .48543 L
.54371 .48709 L
.53745 .49514 L
.54089 .50486 L
.53855 .51457 L
.53399 .51984 L
.52627 .51457 L
.53389 .50486 L
.52863 .49514 L
.53321 .48543 L
.53399 .4837 L
.54329 .47572 L
F
.53399 .50506 m
.5384 .51457 L
.53399 .51966 L
.52645 .51457 L
F
.53399 .56932 m
.53493 .57284 L
.53399 .57397 L
.52663 .57284 L
F
.53399 .50541 m
.53825 .51457 L
.53399 .51948 L
.52663 .51457 L
F
.53399 .54038 m
.54273 .54371 L
.53608 .55342 L
.53399 .55746 L
.52673 .55342 L
.53239 .54371 L
F
.53399 .50575 m
.53809 .51457 L
.53399 .5193 L
.52681 .51457 L
F
.53399 .50609 m
.53794 .51457 L
.53399 .51911 L
.527 .51457 L
F
.53399 .50641 m
.53779 .51457 L
.53399 .51893 L
.52719 .51457 L
F
.53399 .50673 m
.53763 .51457 L
.53399 .51875 L
.52738 .51457 L
F
.53399 .42862 m
.53793 .43687 L
.54371 .44151 L
.54705 .44658 L
.54371 .44874 L
.54021 .45629 L
.53399 .46367 L
.52739 .45629 L
.53371 .44658 L
.53025 .43687 L
F
.53399 .54068 m
.54233 .54371 L
.5356 .55342 L
.53399 .55643 L
.52742 .55342 L
.53254 .54371 L
F
.53399 .50705 m
.53747 .51457 L
.53399 .51856 L
.52757 .51457 L
F
.53399 .44664 m
.54 .45629 L
.53399 .46337 L
.52759 .45629 L
F
.53399 .5712 m
.53429 .57284 L
.53399 .57321 L
.52769 .57284 L
F
.53399 .50736 m
.53732 .51457 L
.53399 .51838 L
.52777 .51457 L
F
.53399 .44703 m
.53979 .45629 L
.53399 .46307 L
.5278 .45629 L
F
.53399 .50767 m
.53716 .51457 L
.53399 .51819 L
.52797 .51457 L
F
.53399 .44741 m
.53958 .45629 L
.53399 .46279 L
.528 .45629 L
F
.53399 .50798 m
.537 .51457 L
.53399 .518 L
.52818 .51457 L
F
.53399 .44777 m
.53937 .45629 L
.53399 .4625 L
.52821 .45629 L
F
.53399 .54099 m
.54192 .54371 L
.53511 .55342 L
.53399 .55542 L
.52823 .55342 L
.53269 .54371 L
F
.53399 .50828 m
.53683 .51457 L
.53399 .51781 L
.52839 .51457 L
F
.53399 .44813 m
.53915 .45629 L
.53399 .46222 L
.52842 .45629 L
F
.53399 .50859 m
.53667 .51457 L
.53399 .51762 L
.52861 .51457 L
F
.53399 .44848 m
.53894 .45629 L
.53399 .46195 L
.52863 .45629 L
F
.57284 .07414 m
.58256 .07057 L
.59227 .06979 L
.60198 .07178 L
.61169 .07661 L
.61306 .07751 L
.62141 .0848 L
.62362 .08722 L
.63078 .09693 L
.63112 .09747 L
.63602 .10664 L
.64032 .11636 L
.64083 .11754 L
.64403 .12607 L
.6477 .13578 L
.65053 .14549 L
.64973 .15521 L
.64924 .16492 L
.64998 .17463 L
.65054 .1786 L
.65163 .18434 L
.65618 .19406 L
.65335 .20377 L
.65054 .2105 L
.64869 .21348 L
.64572 .22319 L
.64334 .23291 L
.64083 .24201 L
.64062 .24262 L
.63643 .25233 L
.63112 .26185 L
.63099 .26204 L
.6236 .27176 L
.62141 .27414 L
.61303 .28147 L
.61169 .28234 L
.60198 .28718 L
.59227 .28919 L
.58256 .28841 L
.57284 .28483 L
.56709 .28147 L
.56313 .27819 L
.55667 .27176 L
.55342 .26773 L
.54949 .26204 L
.54395 .25233 L
.54371 .25186 L
.53976 .24262 L
.53628 .23291 L
.53399 .22519 L
.53355 .22319 L
.53165 .21348 L
.53019 .20377 L
.5292 .19406 L
.5287 .18434 L
.5287 .17463 L
.5292 .16492 L
.53019 .15521 L
.53165 .14549 L
.53355 .13578 L
.53399 .13378 L
.53628 .12607 L
.53976 .11636 L
.54371 .10712 L
.54395 .10664 L
.54949 .09693 L
.55342 .09124 L
.55668 .08722 L
.56313 .08079 L
.56709 .07751 L
F
.53399 .38946 m
.54093 .39802 L
.53399 .40606 L
.5288 .39802 L
F
.53399 .50891 m
.5365 .51457 L
.53399 .51743 L
.52884 .51457 L
F
.53399 .44883 m
.53872 .45629 L
.53399 .46167 L
.52885 .45629 L
F
.54371 .47544 m
.5455 .47572 L
.54482 .48543 L
.54371 .48671 L
.53714 .49514 L
.53399 .50281 L
.52901 .49514 L
.53332 .48543 L
.53399 .48394 L
.54363 .47572 L
F
.53399 .44917 m
.53851 .45629 L
.53399 .4614 L
.52907 .45629 L
F
.53399 .50922 m
.53633 .51457 L
.53399 .51723 L
.52907 .51457 L
F
.53399 .5413 m
.5415 .54371 L
.53458 .55342 L
.53399 .55443 L
.52922 .55342 L
.53285 .54371 L
F
.53399 .44952 m
.53829 .45629 L
.53399 .46113 L
.52929 .45629 L
F
.53399 .50954 m
.53616 .51457 L
.53399 .51704 L
.52931 .51457 L
F
.53399 .48419 m
.54371 .47666 L
.54447 .48543 L
.54371 .48631 L
.53682 .49514 L
.53399 .50144 L
.5294 .49514 L
.53343 .48543 L
F
.53399 .44986 m
.53807 .45629 L
.53399 .46085 L
.52951 .45629 L
F
.53399 .50987 m
.53599 .51457 L
.53399 .51683 L
.52956 .51457 L
F
.53399 .41087 m
.53929 .41744 L
.53399 .42328 L
.52957 .41744 L
F
.53399 .4502 m
.53784 .45629 L
.53399 .46058 L
.52974 .45629 L
F
.53399 .48444 m
.54371 .47794 L
.54411 .48543 L
.54371 .4859 L
.53649 .49514 L
.53399 .5004 L
.52982 .49514 L
.53355 .48543 L
F
.53399 .5102 m
.53581 .51457 L
.53399 .51663 L
.52982 .51457 L
F
.53399 .39144 m
.53948 .39802 L
.53399 .40379 L
.52995 .39802 L
F
.53399 .45055 m
.53762 .45629 L
.53399 .46031 L
.52998 .45629 L
F
.53399 .51054 m
.53563 .51457 L
.53399 .51642 L
.53009 .51457 L
F
.53399 .4509 m
.53738 .45629 L
.53399 .46003 L
.53022 .45629 L
F
.53399 .48469 m
.54371 .47948 L
.54374 .48543 L
.54371 .48547 L
.53615 .49514 L
.53399 .4995 L
.53026 .49514 L
.53366 .48543 L
F
.53399 .412 m
.53845 .41744 L
.53399 .42233 L
.5303 .41744 L
F
.53399 .5109 m
.53544 .51457 L
.53399 .51621 L
.53038 .51457 L
F
.53399 .45125 m
.53715 .45629 L
.53399 .45975 L
.53046 .45629 L
F
.53399 .54162 m
.54106 .54371 L
.534 .55342 L
.53399 .55343 L
.53068 .55342 L
.533 .54371 L
F
.53399 .51128 m
.53525 .51457 L
.53399 .51599 L
.53069 .51457 L
F
.53399 .45161 m
.53691 .45629 L
.53399 .45947 L
.53071 .45629 L
F
.53399 .48495 m
.54332 .48543 L
.53579 .49514 L
.53399 .49866 L
.53073 .49514 L
.53378 .48543 L
F
.54371 .56476 m
.55161 .57284 L
.54402 .58256 L
.54788 .59227 L
.54371 .59838 L
.54134 .59227 L
.53399 .59069 L
.53097 .58256 L
.53399 .57896 L
.53925 .57284 L
F
.53399 .45198 m
.53666 .45629 L
.53399 .45918 L
.53098 .45629 L
F
.53399 .51167 m
.53505 .51457 L
.53399 .51576 L
.53102 .51457 L
F
.53399 .41314 m
.53756 .41744 L
.53399 .42133 L
.53108 .41744 L
F
.53399 .3934 m
.53794 .39802 L
.53399 .40187 L
.53118 .39802 L
F
.53399 .45236 m
.5364 .45629 L
.53399 .45889 L
.53125 .45629 L
F
.53399 .48522 m
.54289 .48543 L
.53542 .49514 L
.53399 .49785 L
.53125 .49514 L
.5339 .48543 L
F
.53399 .5121 m
.53485 .51457 L
.53399 .51553 L
.53139 .51457 L
F
.53399 .57958 m
.54263 .58256 L
.53399 .58945 L
.53151 .58256 L
F
.53399 .43078 m
.53659 .43687 L
.54371 .44247 L
.54624 .44658 L
.54371 .44822 L
.53411 .44658 L
.53399 .43997 L
.53153 .43687 L
F
.53399 .45275 m
.53614 .45629 L
.53399 .45859 L
.53153 .45629 L
F
.53399 .51257 m
.53464 .51457 L
.53399 .51529 L
.5318 .51457 L
F
.53399 .59777 m
.54104 .60198 L
.53399 .61125 L
.53182 .60198 L
F
.53399 .45316 m
.53586 .45629 L
.53399 .45828 L
.53183 .45629 L
F
.53399 .48556 m
.53503 .49514 L
.53399 .49705 L
.53185 .49514 L
F
.53399 .41435 m
.53658 .41744 L
.53399 .42023 L
.53193 .41744 L
F
.53399 .58023 m
.54137 .58256 L
.53399 .58823 L
.53206 .58256 L
F
.53399 .45359 m
.53558 .45629 L
.53399 .45796 L
.53214 .45629 L
F
.53399 .51311 m
.53442 .51457 L
.53399 .51504 L
.53229 .51457 L
F
.53399 .45406 m
.53527 .45629 L
.53399 .45763 L
.53248 .45629 L
F
.53399 .48625 m
.5346 .49514 L
.53399 .49623 L
.53256 .49514 L
F
.53399 .47459 m
.53489 .47572 L
.53399 .47649 L
.53256 .47572 L
F
.53399 .3956 m
.53614 .39802 L
.53399 .39991 L
.53259 .39802 L
F
.53399 .52273 m
.54341 .52428 L
.54371 .53016 L
.54715 .53399 L
.54371 .543 L
.54263 .53399 L
.53399 .52786 L
.53264 .52428 L
F
.53399 .5809 m
.54004 .58256 L
.53399 .58696 L
.53264 .58256 L
F
.53399 .52295 m
.54283 .52428 L
.54371 .53248 L
.54569 .53399 L
.54371 .54099 L
.54326 .53399 L
.53399 .52746 L
.53284 .52428 L
F
.53399 .45457 m
.53495 .45629 L
.53399 .45728 L
.53284 .45629 L
F
.53399 .59975 m
.53883 .60198 L
.53399 .60786 L
.53284 .60198 L
F
.53399 .41574 m
.53543 .41744 L
.53399 .41896 L
.5329 .41744 L
F
.53399 .51378 m
.53418 .51457 L
.53399 .51478 L
.53294 .51457 L
F
.53399 .52317 m
.54224 .52428 L
.53399 .52705 L
.53304 .52428 L
F
.53399 .43402 m
.53493 .43687 L
.54371 .44353 L
.54539 .44658 L
.54371 .44767 L
.53497 .44658 L
.53399 .43779 L
.53311 .43687 L
F
.53399 .54194 m
.54061 .54371 L
.53399 .55264 L
.53316 .54371 L
F
.53399 .47512 m
.53446 .47572 L
.53399 .47611 L
.53319 .47572 L
F
.53399 .5234 m
.54161 .52428 L
.53399 .5266 L
.53324 .52428 L
F
.53399 .58163 m
.53851 .58256 L
.53399 .58551 L
.53325 .58256 L
F
.53399 .45514 m
.5346 .45629 L
.53399 .45691 L
.53325 .45629 L
F
.53399 .54227 m
.54013 .54371 L
.53399 .55182 L
.53332 .54371 L
F
.53399 .52363 m
.54095 .52428 L
.53399 .52611 L
.53345 .52428 L
F
.53399 .54261 m
.53962 .54371 L
.53399 .55095 L
.53348 .54371 L
F
.57284 .08339 m
.58256 .07948 L
.59227 .07864 L
.60198 .0808 L
.61169 .08612 L
.6132 .08722 L
.62141 .09526 L
.62277 .09693 L
.62932 .10664 L
.63112 .1099 L
.63426 .11636 L
.63838 .12607 L
.64083 .13218 L
.64125 .13578 L
.64344 .14549 L
.64487 .15521 L
.64523 .16492 L
.64589 .17463 L
.64685 .18434 L
.64679 .19406 L
.64522 .20377 L
.64341 .21348 L
.64083 .22303 L
.64078 .22319 L
.63794 .23291 L
.63434 .24262 L
.63112 .24951 L
.62952 .25233 L
.62283 .26204 L
.62141 .26376 L
.61319 .27176 L
.61169 .27285 L
.60198 .27817 L
.59227 .28034 L
.58256 .27949 L
.57284 .27559 L
.56695 .27176 L
.56313 .26824 L
.55748 .26204 L
.55342 .25644 L
.55089 .25233 L
.54589 .24262 L
.54371 .23755 L
.54206 .23291 L
.53911 .22319 L
.53679 .21348 L
.53508 .20377 L
.53399 .19445 L
.53397 .19406 L
.5335 .18434 L
.5335 .17463 L
.53397 .16492 L
.53399 .16453 L
.53508 .15521 L
.53679 .14549 L
.53911 .13578 L
.54206 .12607 L
.54371 .12143 L
.54589 .11636 L
.55089 .10664 L
.55342 .10253 L
.55748 .09693 L
.56313 .09073 L
.56695 .08722 L
F
.53399 .48708 m
.53413 .49514 L
.53399 .49538 L
.53357 .49514 L
F
.53399 .54295 m
.53905 .54371 L
.53399 .55001 L
.53365 .54371 L
F
.53399 .52388 m
.54022 .52428 L
.53399 .52555 L
.53366 .52428 L
F
.53399 .45584 m
.53421 .45629 L
.53399 .45651 L
.53372 .45629 L
F
.53399 .54331 m
.5384 .54371 L
.53399 .54892 L
.53382 .54371 L
F
.53399 .52413 m
.53937 .52428 L
.53399 .52484 L
.53387 .52428 L
F
.53399 .58243 m
.53622 .58256 L
.53399 .5833 L
.5339 .58256 L
F
.53399 .54369 m
.53758 .54371 L
.53399 .54745 L
.53399 .54371 L
F
.53399 .60197 m
.53486 .60198 L
.53399 .60211 L
.53399 .60198 L
F
.54371 .41697 m
.54813 .41744 L
.54711 .42716 L
.54371 .43097 L
.53474 .42716 L
.54356 .41744 L
F
.54371 .41919 m
.54619 .42716 L
.54371 .42991 L
.53575 .42716 L
F
.54371 .44484 m
.54448 .44658 L
.54371 .44708 L
.53602 .44658 L
F
.54371 .38157 m
.54807 .38831 L
.54371 .39153 L
.53643 .38831 L
F
.54371 .42136 m
.54522 .42716 L
.54371 .42882 L
.53698 .42716 L
F
.58256 .08675 m
.59227 .08586 L
.59932 .08722 L
.60198 .08817 L
.61169 .09398 L
.61515 .09693 L
.62141 .10409 L
.62325 .10664 L
.62902 .11636 L
.63112 .12059 L
.63344 .12607 L
.63693 .13578 L
.63955 .14549 L
.64083 .15452 L
.64089 .15521 L
.64157 .16492 L
.64223 .17463 L
.64271 .18434 L
.6419 .19406 L
.64124 .20377 L
.64083 .20759 L
.6392 .21348 L
.63646 .22319 L
.63326 .23291 L
.63112 .23828 L
.62908 .24262 L
.62333 .25233 L
.62141 .25498 L
.61517 .26204 L
.61169 .265 L
.60198 .2708 L
.59933 .27176 L
.59227 .27311 L
.58256 .27222 L
.58094 .27176 L
.57284 .26799 L
.56508 .26204 L
.56313 .25995 L
.55698 .25233 L
.55342 .24671 L
.55123 .24262 L
.54688 .23291 L
.54371 .22384 L
.54352 .22319 L
.54114 .21348 L
.53937 .20377 L
.53821 .19406 L
.53763 .18434 L
.53763 .17463 L
.53821 .16492 L
.53937 .15521 L
.54114 .14549 L
.54352 .13578 L
.54371 .13513 L
.54688 .12607 L
.55123 .11636 L
.55342 .11226 L
.55698 .10664 L
.56313 .09902 L
.56508 .09693 L
.57284 .09098 L
.58094 .08722 L
F
.54371 .42422 m
.54412 .42716 L
.54371 .42761 L
.53869 .42716 L
F
.54371 .5472 m
.55195 .55342 L
.55342 .56051 L
.55893 .56313 L
.55342 .56704 L
.54746 .56313 L
.54371 .56192 L
.53954 .55342 L
F
.54371 .56595 m
.55078 .57284 L
.54371 .58147 L
.53978 .57284 L
F
.54371 .54781 m
.55122 .55342 L
.54371 .56095 L
.53997 .55342 L
F
.55342 .4574 m
.56237 .46601 L
.56313 .46711 L
.56962 .47572 L
.56313 .48128 L
.56158 .48543 L
.55364 .49514 L
.56168 .50486 L
.55342 .51316 L
.54754 .50486 L
.54371 .5013 L
.54011 .49514 L
.54371 .49034 L
.54811 .48543 L
.55338 .47572 L
.54833 .46601 L
F
.54371 .60571 m
.54886 .61169 L
.54371 .61764 L
.54019 .61169 L
F
.54371 .56701 m
.54995 .57284 L
.54371 .58028 L
.54032 .57284 L
F
.54371 .54843 m
.5505 .55342 L
.54371 .56006 L
.5404 .55342 L
F
.54371 .4907 m
.55287 .49514 L
.55342 .49712 L
.56064 .50486 L
.55342 .51216 L
.54826 .50486 L
.54371 .50079 L
.5404 .49514 L
F
.54371 .49107 m
.55225 .49514 L
.55342 .4986 L
.55963 .50486 L
.55342 .51115 L
.54899 .50486 L
.54371 .5003 L
.5407 .49514 L
F
.54371 .50891 m
.55116 .51457 L
.54371 .52401 L
.54082 .51457 L
F
.54371 .54906 m
.54977 .55342 L
.54371 .5592 L
.54085 .55342 L
F
.54371 .56802 m
.54911 .57284 L
.54371 .57914 L
.54087 .57284 L
F
.54371 .50922 m
.55086 .51457 L
.54371 .5235 L
.54097 .51457 L
F
.54371 .49144 m
.55162 .49514 L
.55342 .49986 L
.55862 .50486 L
.55342 .51011 L
.54976 .50486 L
.54371 .49982 L
.541 .49514 L
F
.58256 .09305 m
.59227 .09209 L
.60198 .09457 L
.60722 .09693 L
.61169 .10084 L
.61746 .10664 L
.62141 .11196 L
.62418 .11636 L
.62915 .12607 L
.63112 .13069 L
.63285 .13578 L
.63552 .14549 L
.63727 .15521 L
.63826 .16492 L
.63892 .17463 L
.63932 .18434 L
.639 .19406 L
.63759 .20377 L
.6354 .21348 L
.63261 .22319 L
.63112 .22758 L
.62902 .23291 L
.6242 .24262 L
.62141 .24709 L
.6175 .25233 L
.61169 .25815 L
.60723 .26204 L
.60198 .26441 L
.59227 .26689 L
.58256 .26592 L
.57384 .26204 L
.57284 .2614 L
.56313 .25263 L
.56287 .25233 L
.55606 .24262 L
.55342 .23774 L
.5512 .23291 L
.54756 .22319 L
.54481 .21348 L
.54371 .20859 L
.5429 .20377 L
.54171 .19406 L
.54112 .18434 L
.54112 .17463 L
.54171 .16492 L
.5429 .15521 L
.54371 .15038 L
.54481 .14549 L
.54756 .13578 L
.5512 .12607 L
.55342 .12123 L
.55606 .11636 L
.56287 .10664 L
.56313 .10634 L
.57284 .09757 L
.57384 .09693 L
F
.54371 .50953 m
.55056 .51457 L
.54371 .52301 L
.54113 .51457 L
F
.54371 .50983 m
.55025 .51457 L
.54371 .52253 L
.54129 .51457 L
F
.54371 .49183 m
.551 .49514 L
.55342 .50107 L
.55755 .50486 L
.55342 .509 L
.55058 .50486 L
.54371 .49933 L
.5413 .49514 L
F
.54371 .54971 m
.54902 .55342 L
.54371 .55835 L
.5413 .55342 L
F
.54371 .36611 m
.54493 .36888 L
.54371 .37006 L
.54131 .36888 L
F
.54371 .56901 m
.54822 .57284 L
.54371 .57798 L
.54145 .57284 L
F
.54371 .51014 m
.54995 .51457 L
.54371 .52206 L
.54145 .51457 L
F
.54371 .49222 m
.55036 .49514 L
.55342 .5023 L
.55639 .50486 L
.55342 .50777 L
.55147 .50486 L
.54371 .49884 L
.54161 .49514 L
F
.54371 .51045 m
.54964 .51457 L
.54371 .5216 L
.54161 .51457 L
F
.54371 .51076 m
.54932 .51457 L
.54371 .52113 L
.54178 .51457 L
F
.54371 .55039 m
.54822 .55342 L
.54371 .55747 L
.54178 .55342 L
F
.54371 .49263 m
.54971 .49514 L
.55342 .50366 L
.55497 .50486 L
.55342 .5063 L
.55251 .50486 L
.54371 .49834 L
.54193 .49514 L
F
.54371 .51108 m
.54899 .51457 L
.54371 .52067 L
.54194 .51457 L
F
.54371 .4525 m
.5511 .45629 L
.54371 .46523 L
.54195 .45629 L
F
.54371 .57003 m
.54725 .57284 L
.54371 .57676 L
.54206 .57284 L
F
.54371 .51139 m
.54866 .51457 L
.54371 .5202 L
.54211 .51457 L
F
.54371 .45297 m
.55054 .45629 L
.54371 .46418 L
.54217 .45629 L
F
.54371 .49305 m
.54902 .49514 L
.54371 .49782 L
.54225 .49514 L
F
.54371 .55112 m
.54735 .55342 L
.54371 .55656 L
.54228 .55342 L
F
.54371 .51172 m
.54831 .51457 L
.54371 .51972 L
.54228 .51457 L
F
.54371 .45344 m
.54996 .45629 L
.54371 .46319 L
.54241 .45629 L
F
.54371 .39494 m
.55305 .39802 L
.54371 .40715 L
.54242 .39802 L
F
.54371 .51205 m
.54795 .51457 L
.54371 .51923 L
.54246 .51457 L
F
.54371 .4935 m
.54828 .49514 L
.54371 .49727 L
.54258 .49514 L
F
.54371 .51239 m
.54756 .51457 L
.54371 .51872 L
.54264 .51457 L
F
.54371 .45393 m
.54936 .45629 L
.54371 .46223 L
.54264 .45629 L
F
.54371 .57113 m
.54613 .57284 L
.54371 .57539 L
.54272 .57284 L
F
.54371 .43563 m
.55002 .43687 L
.55342 .43946 L
.55986 .44658 L
.55342 .45575 L
.55024 .44658 L
.54371 .43768 L
.54276 .43687 L
F
.54371 .55193 m
.54635 .55342 L
.54371 .55554 L
.54281 .55342 L
F
.54371 .51274 m
.54715 .51457 L
.54371 .51819 L
.54282 .51457 L
F
.54371 .45444 m
.54871 .45629 L
.54371 .46125 L
.54288 .45629 L
F
.54371 .49398 m
.54744 .49514 L
.54371 .49668 L
.54293 .49514 L
F
.54371 .5131 m
.54671 .51457 L
.54371 .51761 L
.54301 .51457 L
F
.54371 .45497 m
.54799 .45629 L
.54371 .46019 L
.54313 .45629 L
F
.54371 .51349 m
.54621 .51457 L
.54371 .51698 L
.5432 .51457 L
F
.54371 .4945 m
.54643 .49514 L
.54371 .49602 L
.54329 .49514 L
F
.54371 .55285 m
.54502 .55342 L
.54371 .55429 L
.54339 .55342 L
F
.54371 .45554 m
.54713 .45629 L
.54371 .45897 L
.54339 .45629 L
F
.54371 .51389 m
.54561 .51457 L
.54371 .51625 L
.54339 .51457 L
F
.54371 .57239 m
.54456 .57284 L
.54371 .57362 L
.54346 .57284 L
F
.54371 .51433 m
.54478 .51457 L
.54371 .5153 L
.5436 .51457 L
F
.54371 .45615 m
.54591 .45629 L
.54371 .45717 L
.54365 .45629 L
F
.54371 .49509 m
.54471 .49514 L
.54371 .49523 L
.54367 .49514 L
F
.57284 .10353 m
.58256 .09866 L
.59227 .09762 L
.60198 .10029 L
.61138 .10664 L
.61169 .10705 L
.61956 .11636 L
.62141 .11928 L
.6251 .12607 L
.62923 .13578 L
.63112 .14143 L
.63214 .14549 L
.63405 .15521 L
.63522 .16492 L
.6359 .17463 L
.6361 .18434 L
.63558 .19406 L
.6342 .20377 L
.63205 .21348 L
.63112 .21687 L
.62903 .22319 L
.62504 .23291 L
.62141 .23969 L
.61958 .24262 L
.61169 .25194 L
.61139 .25233 L
.60198 .25868 L
.59227 .26135 L
.58256 .26032 L
.57284 .25544 L
.56883 .25233 L
.56313 .24589 L
.56074 .24262 L
.55518 .23291 L
.55342 .22903 L
.55119 .22319 L
.54826 .21348 L
.54616 .20377 L
.5448 .19406 L
.54413 .18434 L
.54413 .17463 L
.5448 .16492 L
.54616 .15521 L
.54826 .14549 L
.55119 .13578 L
.55342 .12994 L
.55518 .12607 L
.56074 .11636 L
.56313 .11308 L
.56883 .10664 L
F
.55342 .59665 m
.55691 .60198 L
.55342 .60577 L
.54689 .60198 L
F
.58256 .10382 m
.59227 .10272 L
.60198 .10556 L
.60443 .10664 L
.61169 .11286 L
.61487 .11636 L
.62126 .12607 L
.62141 .12635 L
.62575 .13578 L
.62898 .14549 L
.63112 .15513 L
.63113 .15521 L
.63242 .16492 L
.63312 .17463 L
.63326 .18434 L
.63266 .19406 L
.63129 .20377 L
.63112 .20469 L
.6289 .21348 L
.62564 .22319 L
.62141 .23253 L
.62121 .23291 L
.61488 .24262 L
.61169 .24613 L
.60444 .25233 L
.60198 .25342 L
.59227 .25626 L
.58256 .25516 L
.57636 .25233 L
.57284 .24994 L
.56534 .24262 L
.56313 .23951 L
.55904 .23291 L
.55457 .22319 L
.55342 .22009 L
.5514 .21348 L
.54918 .20377 L
.54775 .19406 L
.54704 .18434 L
.54704 .17463 L
.54775 .16492 L
.54918 .15521 L
.5514 .14549 L
.55342 .13888 L
.55457 .13578 L
.55904 .12607 L
.56313 .11946 L
.56534 .11636 L
.57284 .10904 L
.57636 .10664 L
F
.55342 .53474 m
.55965 .54371 L
.55342 .55062 L
.54741 .54371 L
F
.55342 .53599 m
.55895 .54371 L
.55342 .54976 L
.54802 .54371 L
F
.55342 .47644 m
.56109 .48543 L
.55342 .49445 L
.54844 .48543 L
F
.55342 .53712 m
.55824 .54371 L
.55342 .54891 L
.54867 .54371 L
F
.55342 .47715 m
.56061 .48543 L
.55342 .4937 L
.54877 .48543 L
F
.55342 .51534 m
.55872 .52428 L
.55342 .53088 L
.54908 .52428 L
F
.55342 .47783 m
.56013 .48543 L
.55342 .493 L
.54911 .48543 L
F
.55342 .45899 m
.56064 .46601 L
.56313 .4693 L
.56804 .47572 L
.56313 .47997 L
.55474 .47572 L
.55342 .47215 L
.54935 .46601 L
F
.55342 .5382 m
.5575 .54371 L
.55342 .54806 L
.54935 .54371 L
F
.55342 .47848 m
.55965 .48543 L
.55342 .49234 L
.54945 .48543 L
F
.57284 .11425 m
.58256 .10863 L
.59227 .10746 L
.60198 .1105 L
.61024 .11636 L
.61169 .11838 L
.61748 .12607 L
.62141 .13343 L
.62245 .13578 L
.62594 .14549 L
.6283 .15521 L
.62976 .16492 L
.63052 .17463 L
.63064 .18434 L
.62998 .19406 L
.6284 .20377 L
.6259 .21348 L
.62238 .22319 L
.62141 .22539 L
.61746 .23291 L
.61169 .2406 L
.61025 .24262 L
.60198 .24847 L
.59227 .25152 L
.58256 .25034 L
.57284 .24473 L
.57038 .24262 L
.56313 .23331 L
.56288 .23291 L
.55786 .22319 L
.55436 .21348 L
.55342 .21024 L
.55197 .20377 L
.55046 .19406 L
.54972 .18434 L
.54972 .17463 L
.55046 .16492 L
.55197 .15521 L
.55342 .14873 L
.55436 .14549 L
.55786 .13578 L
.56288 .12607 L
.56313 .12567 L
.57038 .11636 L
F
.55342 .41979 m
.56148 .42716 L
.55342 .43678 L
.54975 .42716 L
F
.55342 .47911 m
.55917 .48543 L
.55342 .4917 L
.5498 .48543 L
F
.55342 .51672 m
.55774 .52428 L
.55342 .52936 L
.5499 .52428 L
F
.55342 .57267 m
.56026 .57284 L
.55539 .58256 L
.55342 .58493 L
.55002 .58256 L
.55337 .57284 L
F
.55342 .53928 m
.55673 .54371 L
.55342 .54718 L
.55009 .54371 L
F
.55342 .47974 m
.55868 .48543 L
.55342 .49106 L
.55015 .48543 L
F
.55342 .46064 m
.55897 .46601 L
.56313 .47131 L
.56642 .47572 L
.56313 .47857 L
.55643 .47572 L
.55342 .47027 L
.55042 .46601 L
F
.55342 .48037 m
.55817 .48543 L
.55342 .49043 L
.55052 .48543 L
F
.55342 .42161 m
.55988 .42716 L
.55342 .43389 L
.55065 .42716 L
F
.55342 .51826 m
.55668 .52428 L
.55342 .52792 L
.5508 .52428 L
F
.55342 .48101 m
.55764 .48543 L
.55342 .48979 L
.5509 .48543 L
F
.55342 .54041 m
.55589 .54371 L
.55342 .54624 L
.55091 .54371 L
F
.55342 .44149 m
.55845 .44658 L
.55342 .45382 L
.5511 .44658 L
F
.55342 .48167 m
.55709 .48543 L
.55342 .48913 L
.5513 .48543 L
F
.55342 .46248 m
.55718 .46601 L
.56313 .47356 L
.5646 .47572 L
.56313 .47698 L
.55873 .47572 L
.55342 .46855 L
.55157 .46601 L
F
.55342 .42344 m
.55818 .42716 L
.55342 .4316 L
.55162 .42716 L
F
.55342 .48236 m
.55649 .48543 L
.55342 .48844 L
.55171 .48543 L
F
.55342 .52012 m
.55547 .52428 L
.55342 .52641 L
.55183 .52428 L
F
.55342 .54168 m
.55493 .54371 L
.55342 .5452 L
.55186 .54371 L
F
.55342 .44348 m
.55686 .44658 L
.55342 .4516 L
.55204 .44658 L
F
.55342 .48311 m
.55584 .48543 L
.55342 .48771 L
.55216 .48543 L
F
.58256 .11322 m
.59227 .11197 L
.60198 .11522 L
.60422 .11636 L
.61169 .12375 L
.61353 .12607 L
.61925 .13578 L
.62141 .14082 L
.62305 .14549 L
.62561 .15521 L
.6272 .16492 L
.628 .17463 L
.62808 .18434 L
.62734 .19406 L
.62567 .20377 L
.62302 .21348 L
.62141 .21801 L
.6192 .22319 L
.61351 .23291 L
.61169 .23521 L
.60422 .24262 L
.60198 .24376 L
.59227 .24701 L
.58256 .24575 L
.57653 .24262 L
.57284 .23972 L
.56663 .23291 L
.56313 .22712 L
.56111 .22319 L
.55725 .21348 L
.55464 .20377 L
.55342 .19755 L
.553 .19406 L
.55223 .18434 L
.55223 .17463 L
.553 .16492 L
.55342 .16143 L
.55464 .15521 L
.55725 .14549 L
.56111 .13578 L
.56313 .13186 L
.56663 .12607 L
.57284 .11925 L
.57653 .11636 L
F
.55342 .48393 m
.55507 .48543 L
.55342 .4869 L
.55263 .48543 L
F
.55342 .42552 m
.55606 .42716 L
.55342 .42916 L
.55269 .42716 L
F
.55342 .46488 m
.5548 .46601 L
.55342 .46669 L
.55293 .46601 L
F
.55342 .38698 m
.55604 .38831 L
.55342 .39639 L
.55295 .38831 L
F
.55342 .44579 m
.55465 .44658 L
.55342 .44842 L
.5531 .44658 L
F
.55342 .523 m
.55385 .52428 L
.55342 .52467 L
.55312 .52428 L
F
.55342 .54332 m
.55369 .54371 L
.55342 .54396 L
.55313 .54371 L
F
.55342 .4849 m
.55408 .48543 L
.55342 .48594 L
.55316 .48543 L
F
.55342 .61169 m
.55858 .61169 L
.55342 .61299 L
.55342 .61169 L
F
.56313 .54045 m
.5713 .54371 L
.56333 .55342 L
.56313 .55381 L
.55357 .55342 L
.56179 .54371 L
F
.56313 .50742 m
.56639 .51457 L
.56313 .51716 L
.55401 .51457 L
F
.59227 .11629 m
.59274 .11636 L
.60198 .11978 L
.60983 .12607 L
.61169 .12907 L
.61599 .13578 L
.62023 .14549 L
.62141 .14904 L
.62301 .15521 L
.62473 .16492 L
.62558 .17463 L
.62563 .18434 L
.62482 .19406 L
.62305 .20377 L
.62141 .20994 L
.62021 .21348 L
.61596 .22319 L
.61169 .22988 L
.60982 .23291 L
.60198 .23919 L
.59275 .24262 L
.59227 .24268 L
.58776 .24262 L
.58256 .24134 L
.57284 .23482 L
.57092 .23291 L
.56431 .22319 L
.56313 .22076 L
.5601 .21348 L
.55726 .20377 L
.55549 .19406 L
.55464 .18434 L
.55464 .17463 L
.55549 .16492 L
.55726 .15521 L
.5601 .14549 L
.56313 .13822 L
.56431 .13578 L
.57092 .12607 L
.57284 .12416 L
.58256 .11764 L
.58776 .11636 L
F
.56313 .51092 m
.56438 .51457 L
.56313 .51553 L
.55522 .51457 L
F
.56313 .42718 m
.5659 .43687 L
.56747 .44658 L
.56987 .45629 L
.57284 .46456 L
.57304 .46601 L
.57284 .46636 L
.57205 .46601 L
.56313 .46228 L
.55568 .45629 L
.5627 .44658 L
.55904 .43687 L
F
.58256 .12195 m
.59227 .12051 L
.60198 .12426 L
.60491 .12607 L
.61169 .13447 L
.61255 .13578 L
.61742 .14549 L
.62046 .15521 L
.62141 .15906 L
.62231 .16492 L
.62323 .17463 L
.62327 .18434 L
.62239 .19406 L
.62141 .20033 L
.6205 .20377 L
.6174 .21348 L
.61253 .22319 L
.61169 .22447 L
.6049 .23291 L
.60198 .23471 L
.59227 .23846 L
.58256 .23702 L
.57595 .23291 L
.57284 .22996 L
.56758 .22319 L
.56313 .21393 L
.56295 .21348 L
.55983 .20377 L
.55792 .19406 L
.55701 .18434 L
.55701 .17463 L
.55792 .16492 L
.55983 .15521 L
.56295 .14549 L
.56313 .14504 L
.56758 .13578 L
.57284 .12902 L
.57595 .12607 L
F
.56313 .44902 m
.56774 .45629 L
.56313 .4602 L
.55735 .45629 L
F
.56313 .48394 m
.5723 .48543 L
.56436 .49514 L
.56313 .49845 L
.55754 .49514 L
.56259 .48543 L
F
.56313 .41116 m
.56809 .41744 L
.56313 .42214 L
.55816 .41744 L
F
.59227 .12466 m
.59732 .12607 L
.60198 .12871 L
.60952 .13578 L
.61169 .14004 L
.6145 .14549 L
.61793 .15521 L
.61995 .16492 L
.62092 .17463 L
.62095 .18434 L
.62001 .19406 L
.61795 .20377 L
.61449 .21348 L
.61169 .2189 L
.60951 .22319 L
.60198 .23025 L
.59731 .23291 L
.59227 .23431 L
.5829 .23291 L
.58256 .23276 L
.57284 .22503 L
.57131 .22319 L
.56571 .21348 L
.56313 .20628 L
.56241 .20377 L
.56033 .19406 L
.55935 .18434 L
.55935 .17463 L
.56033 .16492 L
.56241 .15521 L
.56313 .1527 L
.56571 .14549 L
.57131 .13578 L
.57284 .13394 L
.58256 .12621 L
.5829 .12607 L
F
.56313 .45242 m
.56539 .45629 L
.56313 .45805 L
.55963 .45629 L
F
.56313 .39481 m
.56578 .39802 L
.56313 .39989 L
.56138 .39802 L
F
.56313 .57986 m
.56833 .58256 L
.56313 .5873 L
.56167 .58256 L
F
.58256 .13047 m
.59227 .12879 L
.60198 .13321 L
.60535 .13578 L
.61149 .14549 L
.61169 .14605 L
.61533 .15521 L
.61758 .16492 L
.61864 .17463 L
.61866 .18434 L
.61762 .19406 L
.61534 .20377 L
.61169 .21291 L
.61148 .21348 L
.60534 .22319 L
.60198 .22576 L
.59227 .23018 L
.58256 .2285 L
.57557 .22319 L
.57284 .21998 L
.5687 .21348 L
.56492 .20377 L
.56313 .19645 L
.56275 .19406 L
.56168 .18434 L
.56168 .17463 L
.56275 .16492 L
.56313 .16252 L
.56492 .15521 L
.5687 .14549 L
.57284 .13899 L
.57557 .13578 L
F
.56313 .59967 m
.5683 .60198 L
.56313 .60716 L
.56203 .60198 L
F
.56313 .54228 m
.56917 .54371 L
.56313 .54976 L
.56257 .54371 L
F
.56313 .52341 m
.56604 .52428 L
.57284 .53245 L
.57693 .53399 L
.57284 .5393 L
.57162 .53399 L
.56313 .5258 L
.56267 .52428 L
F
.56313 .48542 m
.57045 .48543 L
.56313 .4927 L
.56313 .48543 L
F
.57284 .41818 m
.57425 .42716 L
.57284 .42958 L
.56314 .42716 L
F
.58256 .13481 m
.59227 .13296 L
.5993 .13578 L
.60198 .13781 L
.60886 .14549 L
.61169 .15276 L
.61258 .15521 L
.61514 .16492 L
.61631 .17463 L
.61633 .18434 L
.61517 .19406 L
.6126 .20377 L
.61169 .20623 L
.60885 .21348 L
.60198 .22116 L
.5993 .22319 L
.59227 .22601 L
.58256 .22417 L
.58096 .22319 L
.57284 .2146 L
.57211 .21348 L
.56753 .20377 L
.56508 .19406 L
.56398 .18434 L
.56398 .17463 L
.56508 .16492 L
.56753 .15521 L
.57211 .14549 L
.57284 .14437 L
.58096 .13578 L
F
.58256 .13924 m
.59227 .13722 L
.60198 .14262 L
.60498 .14549 L
.6102 .15521 L
.61169 .16085 L
.61257 .16492 L
.61389 .17463 L
.6139 .18434 L
.61259 .19406 L
.61169 .19823 L
.61021 .20377 L
.60497 .21348 L
.60198 .21635 L
.59227 .22175 L
.58256 .21973 L
.5759 .21348 L
.57284 .20881 L
.57044 .20377 L
.56754 .19406 L
.56627 .18434 L
.56627 .17463 L
.56754 .16492 L
.57044 .15521 L
.57284 .15017 L
.5759 .14549 L
F
.57284 .54764 m
.5799 .55342 L
.57284 .5623 L
.56856 .55342 L
F
.58256 .14394 m
.59227 .14164 L
.59967 .14549 L
.60198 .14776 L
.60736 .15521 L
.61034 .16492 L
.61144 .17463 L
.61145 .18434 L
.61035 .19406 L
.60737 .20377 L
.60198 .21121 L
.59967 .21348 L
.59227 .21734 L
.58256 .21504 L
.58061 .21348 L
.5737 .20377 L
.57284 .20215 L
.57025 .19406 L
.56875 .18434 L
.56875 .17463 L
.57025 .16492 L
.57284 .15682 L
.5737 .15521 L
.58061 .14549 L
F
.57284 .4908 m
.58231 .49514 L
.57307 .50486 L
.57514 .51457 L
.58256 .51637 L
.5864 .52428 L
.58256 .53222 L
.57518 .52428 L
.57284 .51662 L
.57201 .51457 L
.57228 .50486 L
.56939 .49514 L
F
.57284 .49288 m
.58033 .49514 L
.57284 .50117 L
.57108 .49514 L
F
.58256 .42151 m
.58949 .42716 L
.58307 .43687 L
.59227 .44538 L
.59678 .43687 L
.60198 .43199 L
.60496 .42716 L
.61169 .41935 L
.61844 .42716 L
.61255 .43687 L
.62141 .44362 L
.62591 .43687 L
.63112 .43079 L
.63424 .42716 L
.64083 .41822 L
.64743 .42716 L
.64095 .43687 L
.65054 .44248 L
.65542 .43687 L
.66026 .42984 L
.66895 .43687 L
.66289 .44658 L
.66997 .45451 L
.67657 .44658 L
.67968 .44151 L
.68496 .43687 L
.68939 .42901 L
.69763 .43687 L
.69114 .44658 L
.69911 .45348 L
.70623 .44658 L
.70882 .44099 L
.71798 .44658 L
.71308 .45629 L
.70882 .45918 L
.70556 .46601 L
.69911 .4721 L
.69066 .46601 L
.69763 .45629 L
.68939 .44769 L
.68445 .45629 L
.67968 .46044 L
.67621 .46601 L
.66997 .47331 L
.66248 .46601 L
.6686 .45629 L
.66026 .44878 L
.65505 .45629 L
.65054 .46145 L
.64677 .46601 L
.64083 .47453 L
.63355 .46601 L
.64033 .45629 L
.63112 .44974 L
.62551 .45629 L
.62141 .46245 L
.61236 .45629 L
.61817 .44658 L
.61169 .43795 L
.60437 .44658 L
.60198 .45055 L
.59585 .45629 L
.59227 .46327 L
.58398 .45629 L
.59055 .44658 L
.58256 .43798 L
.57284 .4438 L
.57143 .43687 L
.57284 .43523 L
.57764 .42716 L
F
.57284 .55149 m
.57611 .55342 L
.57284 .55681 L
.57147 .55342 L
F
.58256 .14892 m
.59227 .14634 L
.60198 .1536 L
.60324 .15521 L
.60777 .16492 L
.60934 .17463 L
.60935 .18434 L
.60778 .19406 L
.60324 .20377 L
.60198 .20538 L
.59227 .21263 L
.58256 .21005 L
.57734 .20377 L
.57329 .19406 L
.57284 .19231 L
.57151 .18434 L
.57151 .17463 L
.57284 .16667 L
.57329 .16492 L
.57734 .15521 L
F
.58256 .15471 m
.59227 .15145 L
.59813 .15521 L
.60198 .16024 L
.60414 .16492 L
.60649 .17463 L
.6065 .18434 L
.60415 .19406 L
.60198 .19876 L
.59814 .20377 L
.59227 .20752 L
.58256 .20426 L
.58209 .20377 L
.5766 .19406 L
.57454 .18434 L
.57454 .17463 L
.5766 .16492 L
.58209 .15521 L
F
.58256 .53415 m
.58663 .54371 L
.58256 .5514 L
.57476 .54371 L
F
.58256 .49652 m
.58714 .50486 L
.58256 .51451 L
.57485 .50486 L
F
.58256 .47765 m
.58807 .48543 L
.58256 .49492 L
.57584 .48543 L
F
.58256 .55358 m
.58524 .56313 L
.58256 .56946 L
.57602 .56313 L
F
.58256 .44117 m
.58828 .44658 L
.58293 .45629 L
.59227 .46416 L
.59635 .45629 L
.60198 .45104 L
.60467 .44658 L
.61169 .43831 L
.61793 .44658 L
.61216 .45629 L
.62141 .4626 L
.62562 .45629 L
.63112 .44987 L
.6402 .45629 L
.63347 .46601 L
.64083 .47462 L
.64684 .46601 L
.65054 .46153 L
.65512 .45629 L
.66026 .44889 L
.66849 .45629 L
.66238 .46601 L
.66997 .47341 L
.6763 .46601 L
.67968 .46059 L
.68462 .45629 L
.68939 .44799 L
.69736 .45629 L
.6903 .46601 L
.69911 .47247 L
.70597 .46601 L
.70882 .46004 L
.71773 .46601 L
.71247 .47572 L
.71853 .48529 L
.72759 .47572 L
.72824 .47394 L
.73512 .47572 L
.7317 .48543 L
.72824 .48801 L
.72547 .49514 L
.71853 .50224 L
.7131 .49514 L
.71847 .48543 L
.70882 .4782 L
.70526 .48543 L
.69911 .49111 L
.68978 .48543 L
.69736 .47572 L
.68939 .4666 L
.68407 .47572 L
.67968 .47952 L
.67593 .48543 L
.66997 .49228 L
.66191 .48543 L
.66818 .47572 L
.66026 .46779 L
.65475 .47572 L
.65054 .48052 L
.64645 .48543 L
.64083 .4934 L
.6332 .48543 L
.63962 .47572 L
.63112 .4688 L
.62523 .47572 L
.62141 .48148 L
.61192 .47572 L
.61768 .46601 L
.61169 .4569 L
.60412 .46601 L
.60198 .46962 L
.5956 .47572 L
.59227 .48214 L
.58358 .47572 L
.58969 .46601 L
.58256 .45706 L
.57882 .45629 L
.57616 .44658 L
F
.58256 .5363 m
.5855 .54371 L
.58256 .54935 L
.57646 .54371 L
F
.58256 .49821 m
.58612 .50486 L
.58256 .51263 L
.57648 .50486 L
F
.58256 .47904 m
.58714 .48543 L
.58256 .49341 L
.57695 .48543 L
F
.58256 .51832 m
.58531 .52428 L
.58256 .53023 L
.57704 .52428 L
F
.58256 .57441 m
.58443 .58256 L
.58256 .58709 L
.57719 .58256 L
F
.58256 .46127 m
.58674 .46601 L
.58256 .47431 L
.57742 .46601 L
F
.58256 .16135 m
.59227 .15716 L
.59957 .16492 L
.60198 .17225 L
.60247 .17463 L
.60247 .18434 L
.60198 .18675 L
.59957 .19406 L
.59227 .20181 L
.58256 .19763 L
.5807 .19406 L
.57796 .18434 L
.57796 .17463 L
.5807 .16492 L
F
.58256 .48047 m
.58614 .48543 L
.58256 .49183 L
.57813 .48543 L
F
.58256 .50005 m
.58501 .50486 L
.58256 .5106 L
.57815 .50486 L
F
.58256 .53876 m
.58426 .54371 L
.58256 .54715 L
.5784 .54371 L
F
.58256 .52057 m
.58409 .52428 L
.58256 .52797 L
.57905 .52428 L
F
.58256 .48203 m
.58501 .48543 L
.58256 .49007 L
.57943 .48543 L
F
.58256 .46359 m
.58482 .46601 L
.58256 .47158 L
.57974 .46601 L
F
.58256 .44463 m
.58512 .44658 L
.58256 .4535 L
.57997 .44658 L
F
.58256 .50229 m
.58373 .50486 L
.58256 .50812 L
.5801 .50486 L
F
.58256 .55848 m
.58313 .56313 L
.58256 .56473 L
.58022 .56313 L
F
.58256 .48389 m
.58365 .48543 L
.58256 .48783 L
.58105 .48543 L
F
.58256 .54249 m
.58279 .54371 L
.58256 .54428 L
.58139 .54371 L
F
.58256 .42606 m
.58496 .42716 L
.58256 .4326 L
.58152 .42716 L
F
.58256 .40738 m
.58522 .40773 L
.58256 .41655 L
.58209 .40773 L
F
.58256 .52403 m
.58262 .52428 L
.58256 .52453 L
.58224 .52428 L
F
.58256 .17405 m
.59227 .16544 L
.59778 .17463 L
.59778 .18434 L
.59227 .19353 L
.58256 .18492 L
.58243 .18434 L
.58243 .17463 L
F
.60198 .52716 m
.60919 .53399 L
.60298 .54371 L
.61169 .55159 L
.6162 .54371 L
.62141 .53886 L
.6245 .53399 L
.63112 .52582 L
.63788 .53399 L
.63176 .54371 L
.64083 .55052 L
.64564 .54371 L
.65054 .53781 L
.65969 .54371 L
.65335 .55342 L
.66026 .56225 L
.66685 .55342 L
.66997 .54957 L
.67518 .54371 L
.67968 .53676 L
.68814 .54371 L
.68201 .55342 L
.68939 .56137 L
.69641 .55342 L
.69911 .54882 L
.70881 .55342 L
.70357 .56313 L
.69911 .5671 L
.69567 .57284 L
.68939 .57985 L
.68178 .57284 L
.68807 .56313 L
.67968 .55544 L
.67471 .56313 L
.66997 .56846 L
.6664 .57284 L
.66026 .58101 L
.6531 .57284 L
.65926 .56313 L
.65054 .55669 L
.64525 .56313 L
.64083 .56944 L
.63137 .56313 L
.63758 .55342 L
.63112 .54449 L
.62409 .55342 L
.62141 .55771 L
.61566 .56313 L
.61169 .57022 L
.60309 .56313 L
.60896 .55342 L
.60198 .54556 L
.59445 .55342 L
.59227 .55816 L
.58263 .55342 L
.5877 .54371 L
.59227 .54015 L
.59523 .53399 L
F
.60198 .50808 m
.61004 .51457 L
.60336 .52428 L
.61169 .53252 L
.61647 .52428 L
.62141 .51974 L
.62476 .51457 L
.63112 .50689 L
.63838 .51457 L
.63229 .52428 L
.64083 .53143 L
.64591 .52428 L
.65054 .51874 L
.65417 .51457 L
.66026 .50569 L
.66739 .51457 L
.6604 .52428 L
.66997 .53045 L
.67545 .52428 L
.67968 .51774 L
.68856 .52428 L
.68269 .53399 L
.68939 .54226 L
.69657 .53399 L
.69911 .5296 L
.70502 .52428 L
.70882 .51688 L
.7172 .52428 L
.71027 .53399 L
.71853 .54199 L
.72678 .53399 L
.72824 .53041 L
.73557 .53399 L
.72966 .54371 L
.72824 .54479 L
.72444 .55342 L
.71853 .55897 L
.71082 .55342 L
.7177 .54371 L
.70882 .53506 L
.70427 .54371 L
.69911 .54832 L
.6961 .55342 L
.68939 .56101 L
.68229 .55342 L
.68832 .54371 L
.67968 .5366 L
.67507 .54371 L
.66997 .54945 L
.66675 .55342 L
.66026 .56211 L
.65345 .55342 L
.6598 .54371 L
.65054 .53773 L
.64557 .54371 L
.64083 .55041 L
.63187 .54371 L
.63797 .53399 L
.63112 .52572 L
.62441 .53399 L
.62141 .53872 L
.61604 .54371 L
.61169 .55131 L
.60326 .54371 L
.60952 .53399 L
.60198 .52679 L
.59485 .53399 L
.59227 .53936 L
.58263 .53399 L
.58743 .52428 L
.59227 .52095 L
.59536 .51457 L
F
.60198 .54608 m
.60851 .55342 L
.60264 .56313 L
.61169 .57066 L
.6159 .56313 L
.62141 .55793 L
.62422 .55342 L
.63112 .54463 L
.63746 .55342 L
.63118 .56313 L
.64083 .56961 L
.64536 .56313 L
.65054 .55682 L
.6591 .56313 L
.65291 .57284 L
.66026 .58126 L
.66657 .57284 L
.66997 .56867 L
.67488 .56313 L
.67968 .55568 L
.6878 .56313 L
.68127 .57284 L
.68939 .58047 L
.6962 .57284 L
.69911 .56793 L
.70835 .57284 L
.70291 .58256 L
.69911 .58592 L
.69527 .59227 L
.68939 .59877 L
.68115 .59227 L
.6878 .58256 L
.67968 .57422 L
.67434 .58256 L
.66997 .58749 L
.66607 .59227 L
.66026 .6 L
.65268 .59227 L
.65877 .58256 L
.65054 .57561 L
.64494 .58256 L
.64083 .58849 L
.63662 .59227 L
.63112 .60087 L
.62375 .59227 L
.63068 .58256 L
.62141 .5767 L
.61533 .58256 L
.61169 .5892 L
.60284 .58256 L
.60839 .57284 L
.60198 .56435 L
.59412 .57284 L
.59227 .57701 L
.5832 .57284 L
.58707 .56313 L
.59227 .55938 L
.59499 .55342 L
F
.60198 .48908 m
.61088 .49514 L
.60362 .50486 L
.61169 .51362 L
.61684 .50486 L
.62141 .50067 L
.62504 .49514 L
.63112 .48793 L
.6389 .49514 L
.63272 .50486 L
.64083 .51243 L
.64621 .50486 L
.65054 .49967 L
.6545 .49514 L
.66026 .48683 L
.66773 .49514 L
.66114 .50486 L
.66997 .5114 L
.67574 .50486 L
.67968 .49872 L
.68895 .50486 L
.68321 .51457 L
.68939 .52333 L
.69684 .51457 L
.69911 .51055 L
.70537 .50486 L
.70882 .498 L
.71735 .50486 L
.71106 .51457 L
.71853 .52308 L
.72711 .51457 L
.72824 .51169 L
.7353 .51457 L
.73018 .52428 L
.72824 .52574 L
.72475 .53399 L
.71853 .53996 L
.71174 .53399 L
.71797 .52428 L
.70882 .51615 L
.70462 .52428 L
.69911 .52924 L
.69636 .53399 L
.68939 .54201 L
.68288 .53399 L
.6887 .52428 L
.67968 .51762 L
.67537 .52428 L
.66997 .53036 L
.6605 .52428 L
.66746 .51457 L
.66026 .50562 L
.65411 .51457 L
.65054 .51868 L
.64586 .52428 L
.64083 .53135 L
.63237 .52428 L
.63845 .51457 L
.63112 .50681 L
.62469 .51457 L
.62141 .51963 L
.61635 .52428 L
.61169 .53231 L
.60356 .52428 L
.61033 .51457 L
.60198 .50777 L
.59504 .51457 L
.59227 .5203 L
.58336 .51457 L
.5881 .50486 L
.59227 .50202 L
.59571 .49514 L
F
.60198 .50839 m
.60976 .51457 L
.60316 .52428 L
.61169 .53273 L
.6166 .52428 L
.62141 .51985 L
.62483 .51457 L
.63112 .50698 L
.6383 .51457 L
.63221 .52428 L
.64083 .53151 L
.64597 .52428 L
.65054 .51881 L
.65422 .51457 L
.66026 .50576 L
.66733 .51457 L
.66029 .52428 L
.66997 .53055 L
.67553 .52428 L
.67968 .51786 L
.68841 .52428 L
.68251 .53399 L
.68939 .54251 L
.69679 .53399 L
.69911 .52996 L
.70543 .52428 L
.70882 .51761 L
.71645 .52428 L
.70897 .53399 L
.70882 .53411 L
.70372 .54371 L
.69911 .54782 L
.6958 .55342 L
.68939 .56065 L
.68257 .55342 L
.68851 .54371 L
.67968 .53645 L
.67496 .54371 L
.66997 .54932 L
.66664 .55342 L
.66026 .56197 L
.65356 .55342 L
.65991 .54371 L
.65054 .53764 L
.6455 .54371 L
.64083 .55031 L
.63199 .54371 L
.63806 .53399 L
.63112 .52561 L
.62432 .53399 L
.62141 .53857 L
.61588 .54371 L
.61169 .55103 L
.60353 .54371 L
.60984 .53399 L
.60198 .52642 L
.59447 .53399 L
.59227 .53857 L
.58361 .53399 L
.58843 .52428 L
.59227 .52161 L
.59567 .51457 L
F
.60198 .47032 m
.61153 .47572 L
.60374 .48543 L
.61169 .49494 L
.61733 .48543 L
.62141 .48171 L
.62539 .47572 L
.63112 .46899 L
.63943 .47572 L
.63306 .48543 L
.64083 .49354 L
.64656 .48543 L
.65054 .48065 L
.65486 .47572 L
.66026 .46795 L
.66804 .47572 L
.66174 .48543 L
.66997 .49244 L
.67608 .48543 L
.67968 .47975 L
.68929 .48543 L
.68357 .49514 L
.68939 .50463 L
.69723 .49514 L
.69911 .49173 L
.70595 .48543 L
.70882 .47956 L
.71696 .48543 L
.71103 .49514 L
.70882 .49669 L
.70469 .50486 L
.69911 .50993 L
.69649 .51457 L
.68939 .52293 L
.68349 .51457 L
.68923 .50486 L
.67968 .4985 L
.6756 .50486 L
.66997 .51124 L
.66132 .50486 L
.66785 .49514 L
.66026 .48669 L
.6544 .49514 L
.65054 .49956 L
.64611 .50486 L
.64083 .51229 L
.63286 .50486 L
.63906 .49514 L
.63112 .48777 L
.6249 .49514 L
.62141 .50047 L
.61661 .50486 L
.61169 .51325 L
.60396 .50486 L
.61142 .49514 L
.60198 .48848 L
.59509 .49514 L
.59227 .50081 L
.58384 .49514 L
.58981 .48543 L
.59227 .48345 L
.59632 .47572 L
F
.60198 .52753 m
.60885 .53399 L
.6027 .54371 L
.61169 .55188 L
.61635 .54371 L
.62141 .53901 L
.62459 .53399 L
.63112 .52592 L
.6378 .53399 L
.63164 .54371 L
.64083 .55062 L
.64572 .54371 L
.65054 .5379 L
.65958 .54371 L
.65324 .55342 L
.66026 .56239 L
.66696 .55342 L
.66997 .5497 L
.67529 .54371 L
.67968 .53692 L
.68796 .54371 L
.68173 .55342 L
.68939 .56174 L
.69672 .55342 L
.69911 .54933 L
.70802 .55342 L
.70266 .56313 L
.69911 .56627 L
.69515 .57284 L
.68939 .57924 L
.6823 .57284 L
.68834 .56313 L
.67968 .55519 L
.67453 .56313 L
.66997 .56826 L
.66622 .57284 L
.66026 .58077 L
.65329 .57284 L
.65942 .56313 L
.65054 .55656 L
.64514 .56313 L
.64083 .56927 L
.63157 .56313 L
.6377 .55342 L
.63112 .54434 L
.62396 .55342 L
.62141 .55749 L
.61541 .56313 L
.61169 .56977 L
.60353 .56313 L
.6094 .55342 L
.60198 .54503 L
.59389 .55342 L
.59227 .55695 L
.58412 .55342 L
.58877 .54371 L
.59227 .54096 L
.59561 .53399 L
F
.60198 .48938 m
.6106 .49514 L
.60345 .50486 L
.61169 .51381 L
.61695 .50486 L
.62141 .50078 L
.62511 .49514 L
.63112 .48801 L
.63883 .49514 L
.63266 .50486 L
.64083 .5125 L
.64626 .50486 L
.65054 .49973 L
.65455 .49514 L
.66026 .4869 L
.66766 .49514 L
.66106 .50486 L
.66997 .51148 L
.67581 .50486 L
.67968 .49882 L
.68882 .50486 L
.68307 .51457 L
.68939 .52353 L
.69701 .51457 L
.69911 .51085 L
.70571 .50486 L
.70882 .49864 L
.71666 .50486 L
.70999 .51457 L
.70882 .51542 L
.70422 .52428 L
.69911 .52888 L
.69615 .53399 L
.68939 .54176 L
.68306 .53399 L
.68885 .52428 L
.67968 .5175 L
.67528 .52428 L
.66997 .53027 L
.6606 .52428 L
.66752 .51457 L
.66026 .50554 L
.65406 .51457 L
.65054 .51861 L
.6458 .52428 L
.64083 .53128 L
.63245 .52428 L
.63853 .51457 L
.63112 .50673 L
.62461 .51457 L
.62141 .51952 L
.61623 .52428 L
.61169 .5321 L
.60376 .52428 L
.6106 .51457 L
.60198 .50747 L
.59471 .51457 L
.59227 .51965 L
.58415 .51457 L
.58903 .50486 L
.59227 .50262 L
.59602 .49514 L
F
.61169 .43867 m
.61768 .44658 L
.61197 .45629 L
.62141 .46275 L
.62572 .45629 L
.63112 .44999 L
.64006 .45629 L
.6334 .46601 L
.64083 .4747 L
.64691 .46601 L
.65054 .46161 L
.6552 .45629 L
.66026 .449 L
.66839 .45629 L
.66228 .46601 L
.66997 .47351 L
.67639 .46601 L
.67968 .46073 L
.68479 .45629 L
.68939 .44829 L
.6971 .45629 L
.68995 .46601 L
.69911 .47284 L
.70638 .46601 L
.70882 .46089 L
.71677 .46601 L
.7114 .47572 L
.70882 .4775 L
.70492 .48543 L
.69911 .4908 L
.69008 .48543 L
.69756 .47572 L
.68939 .46638 L
.68394 .47572 L
.67968 .4794 L
.67586 .48543 L
.66997 .49219 L
.66199 .48543 L
.66826 .47572 L
.66026 .46771 L
.65469 .47572 L
.65054 .48045 L
.6464 .48543 L
.64083 .49333 L
.63326 .48543 L
.63971 .47572 L
.63112 .46871 L
.62515 .47572 L
.62141 .48136 L
.61208 .47572 L
.61784 .46601 L
.61169 .45664 L
.60391 .46601 L
.60198 .46927 L
.59524 .47572 L
.59227 .48148 L
.58432 .47572 L
.59098 .46601 L
.59227 .46506 L
.59685 .45629 L
.60198 .45152 L
.60497 .44658 L
F
.60198 .47066 m
.61121 .47572 L
.60357 .48543 L
.61169 .49514 L
.61746 .48543 L
.62141 .48182 L
.62547 .47572 L
.63112 .46908 L
.63934 .47572 L
.633 .48543 L
.64083 .49361 L
.64661 .48543 L
.65054 .48071 L
.65492 .47572 L
.66026 .46803 L
.66796 .47572 L
.66165 .48543 L
.66997 .49252 L
.67615 .48543 L
.67968 .47986 L
.68913 .48543 L
.68344 .49514 L
.68939 .50482 L
.6974 .49514 L
.69911 .49205 L
.7063 .48543 L
.70882 .48025 L
.71622 .48543 L
.71005 .49514 L
.70882 .49603 L
.70435 .50486 L
.69911 .50962 L
.69632 .51457 L
.68939 .52273 L
.68363 .51457 L
.68937 .50486 L
.67968 .49839 L
.67553 .50486 L
.66997 .51116 L
.6614 .50486 L
.66792 .49514 L
.66026 .48662 L
.65435 .49514 L
.65054 .4995 L
.64606 .50486 L
.64083 .51223 L
.63292 .50486 L
.63914 .49514 L
.63112 .48769 L
.62484 .49514 L
.62141 .50036 L
.6165 .50486 L
.61169 .51307 L
.60413 .50486 L
.61168 .49514 L
.60198 .48818 L
.59477 .49514 L
.59227 .50021 L
.58452 .49514 L
.59065 .48543 L
.59227 .48411 L
.59667 .47572 L
F
.59227 .42724 m
.59596 .43687 L
.59227 .444 L
.58455 .43687 L
F
.60198 .5087 m
.60947 .51457 L
.60296 .52428 L
.61169 .53295 L
.61672 .52428 L
.62141 .51997 L
.6249 .51457 L
.63112 .50706 L
.63823 .51457 L
.63213 .52428 L
.64083 .53159 L
.64602 .52428 L
.65054 .51887 L
.6602 .52428 L
.65362 .53399 L
.66026 .54349 L
.66728 .53399 L
.66997 .53064 L
.67561 .52428 L
.67968 .51798 L
.68827 .52428 L
.68233 .53399 L
.68939 .54276 L
.697 .53399 L
.69911 .53033 L
.7083 .53399 L
.70317 .54371 L
.69911 .54732 L
.6955 .55342 L
.68939 .5603 L
.68286 .55342 L
.68869 .54371 L
.67968 .53629 L
.67486 .54371 L
.66997 .54919 L
.66654 .55342 L
.66026 .56183 L
.65366 .55342 L
.66002 .54371 L
.65054 .53756 L
.64543 .54371 L
.64083 .5502 L
.6321 .54371 L
.63814 .53399 L
.63112 .52551 L
.62423 .53399 L
.62141 .53843 L
.61572 .54371 L
.61169 .55076 L
.6038 .54371 L
.61017 .53399 L
.60198 .52605 L
.59407 .53399 L
.59227 .53777 L
.58459 .53399 L
.58941 .52428 L
.59227 .52228 L
.59599 .51457 L
F
.59227 .57926 m
.6019 .58256 L
.59317 .59227 L
.59227 .59429 L
.58462 .59227 L
.58775 .58256 L
F
.60198 .48968 m
.61031 .49514 L
.60328 .50486 L
.61169 .51399 L
.61707 .50486 L
.62141 .50088 L
.62518 .49514 L
.63112 .48809 L
.63875 .49514 L
.63259 .50486 L
.64083 .51256 L
.64631 .50486 L
.65054 .49979 L
.6546 .49514 L
.66026 .48697 L
.6676 .49514 L
.66097 .50486 L
.66997 .51156 L
.67588 .50486 L
.67968 .49893 L
.68868 .50486 L
.68293 .51457 L
.68939 .52374 L
.69719 .51457 L
.69911 .51116 L
.70606 .50486 L
.70882 .4993 L
.71598 .50486 L
.70897 .51457 L
.70882 .51468 L
.70383 .52428 L
.69911 .52852 L
.69594 .53399 L
.68939 .54152 L
.68324 .53399 L
.689 .52428 L
.67968 .51738 L
.6752 .52428 L
.66997 .53018 L
.66071 .52428 L
.66758 .51457 L
.66026 .50547 L
.654 .51457 L
.65054 .51855 L
.64575 .52428 L
.64083 .5312 L
.63253 .52428 L
.6386 .51457 L
.63112 .50664 L
.62454 .51457 L
.62141 .5194 L
.6161 .52428 L
.61169 .5319 L
.60395 .52428 L
.61088 .51457 L
.60198 .50716 L
.59438 .51457 L
.59227 .51899 L
.58493 .51457 L
.58995 .50486 L
.59227 .50324 L
.59632 .49514 L
F
.59227 .44672 m
.59533 .45629 L
.59227 .46236 L
.58497 .45629 L
F
.59227 .4088 m
.59617 .41744 L
.59227 .42485 L
.58501 .41744 L
F
.61169 .43902 m
.61742 .44658 L
.61177 .45629 L
.62141 .4629 L
.62583 .45629 L
.63112 .45012 L
.63993 .45629 L
.63332 .46601 L
.64083 .47479 L
.64697 .46601 L
.65054 .46169 L
.65527 .45629 L
.66026 .4491 L
.66828 .45629 L
.66219 .46601 L
.66997 .47361 L
.67648 .46601 L
.67968 .46088 L
.68497 .45629 L
.68939 .44858 L
.69684 .45629 L
.6896 .46601 L
.69911 .47322 L
.70681 .46601 L
.70882 .46175 L
.71582 .46601 L
.71034 .47572 L
.70882 .47679 L
.70458 .48543 L
.69911 .49049 L
.69039 .48543 L
.69776 .47572 L
.68939 .46615 L
.6838 .47572 L
.67968 .47929 L
.67578 .48543 L
.66997 .49211 L
.66208 .48543 L
.66833 .47572 L
.66026 .46763 L
.65464 .47572 L
.65054 .48039 L
.64635 .48543 L
.64083 .49326 L
.63333 .48543 L
.63981 .47572 L
.63112 .46862 L
.62508 .47572 L
.62141 .48125 L
.61224 .47572 L
.618 .46601 L
.61169 .45639 L
.6037 .46601 L
.60198 .46892 L
.59487 .47572 L
.59227 .48081 L
.58505 .47572 L
.59221 .46601 L
.59227 .46596 L
.59735 .45629 L
.60198 .45199 L
.60526 .44658 L
F
.60198 .47101 m
.61088 .47572 L
.60339 .48543 L
.60198 .48788 L
.59445 .49514 L
.59227 .49959 L
.5852 .49514 L
.59149 .48543 L
.59227 .48479 L
.59703 .47572 L
F
.60198 .509 m
.60917 .51457 L
.60275 .52428 L
.61169 .53316 L
.61685 .52428 L
.62141 .52008 L
.62497 .51457 L
.63112 .50714 L
.63815 .51457 L
.63204 .52428 L
.64083 .53166 L
.64607 .52428 L
.65054 .51893 L
.66011 .52428 L
.65355 .53399 L
.66026 .54359 L
.66735 .53399 L
.66997 .53073 L
.67569 .52428 L
.67968 .5181 L
.68813 .52428 L
.68215 .53399 L
.68939 .54301 L
.69722 .53399 L
.69911 .5307 L
.70772 .53399 L
.70261 .54371 L
.69911 .54681 L
.69519 .55342 L
.68939 .55994 L
.68315 .55342 L
.68888 .54371 L
.67968 .53613 L
.67475 .54371 L
.66997 .54907 L
.66643 .55342 L
.66026 .56168 L
.65377 .55342 L
.66013 .54371 L
.65054 .53748 L
.64535 .54371 L
.64083 .5501 L
.63222 .54371 L
.63823 .53399 L
.63112 .52541 L
.62414 .53399 L
.62141 .53828 L
.61556 .54371 L
.61169 .55048 L
.60407 .54371 L
.61049 .53399 L
.60198 .52567 L
.59367 .53399 L
.59227 .53695 L
.5856 .53399 L
.59041 .52428 L
.59227 .52298 L
.5963 .51457 L
F
.60198 .5279 m
.60851 .53399 L
.60242 .54371 L
.61169 .55216 L
.61651 .54371 L
.62141 .53915 L
.62468 .53399 L
.63112 .52602 L
.63771 .53399 L
.63153 .54371 L
.64083 .55073 L
.64579 .54371 L
.65054 .53798 L
.65947 .54371 L
.65313 .55342 L
.66026 .56254 L
.66706 .55342 L
.66997 .54983 L
.6754 .54371 L
.67968 .53708 L
.68778 .54371 L
.68145 .55342 L
.68939 .56211 L
.69704 .55342 L
.69911 .54985 L
.70725 .55342 L
.70174 .56313 L
.69911 .56544 L
.69463 .57284 L
.68939 .57863 L
.68283 .57284 L
.68862 .56313 L
.67968 .55495 L
.67436 .56313 L
.66997 .56805 L
.66605 .57284 L
.66026 .58054 L
.65348 .57284 L
.65959 .56313 L
.65054 .55643 L
.64502 .56313 L
.64083 .5691 L
.63176 .56313 L
.63782 .55342 L
.63112 .5442 L
.62382 .55342 L
.62141 .55727 L
.61517 .56313 L
.61169 .56934 L
.60397 .56313 L
.60984 .55342 L
.60198 .5445 L
.59332 .55342 L
.59227 .55572 L
.58569 .55342 L
.58984 .54371 L
.59227 .5418 L
.59598 .53399 L
F
.60198 .48997 m
.61002 .49514 L
.6031 .50486 L
.61169 .51418 L
.61718 .50486 L
.62141 .50099 L
.62525 .49514 L
.63112 .48817 L
.63867 .49514 L
.63252 .50486 L
.64083 .51263 L
.64636 .50486 L
.65054 .49985 L
.65465 .49514 L
.66026 .48704 L
.66754 .49514 L
.66089 .50486 L
.66997 .51164 L
.67595 .50486 L
.67968 .49904 L
.68855 .50486 L
.68279 .51457 L
.68939 .52394 L
.69737 .51457 L
.69911 .51148 L
.70837 .51457 L
.70343 .52428 L
.69911 .52816 L
.69573 .53399 L
.68939 .54127 L
.68343 .53399 L
.68915 .52428 L
.67968 .51726 L
.67512 .52428 L
.66997 .53008 L
.66081 .52428 L
.66764 .51457 L
.66026 .50539 L
.65395 .51457 L
.65054 .51848 L
.64569 .52428 L
.64083 .53112 L
.63261 .52428 L
.63868 .51457 L
.63112 .50656 L
.62447 .51457 L
.62141 .51929 L
.61598 .52428 L
.61169 .53169 L
.60415 .52428 L
.61115 .51457 L
.60198 .50685 L
.59405 .51457 L
.59227 .51832 L
.58571 .51457 L
.59087 .50486 L
.59227 .50387 L
.59662 .49514 L
F
.59227 .46691 m
.59449 .47572 L
.59227 .48013 L
.58579 .47572 L
F
.59227 .4855 m
.59412 .49514 L
.59227 .49896 L
.5859 .49514 L
F
.59227 .44797 m
.5948 .45629 L
.59227 .46142 L
.58596 .45629 L
F
.59227 .4291 m
.59511 .43687 L
.59227 .44256 L
.586 .43687 L
F
.60198 .54662 m
.60806 .55342 L
.60217 .56313 L
.61169 .57111 L
.61614 .56313 L
.62141 .55815 L
.63092 .56313 L
.62354 .57284 L
.62141 .5763 L
.61489 .58256 L
.61169 .58838 L
.6037 .58256 L
.6091 .57284 L
.60198 .56348 L
.59314 .57284 L
.59227 .5748 L
.58617 .57284 L
.58884 .56313 L
.59227 .56064 L
.59553 .55342 L
F
.60198 .49028 m
.60972 .49514 L
.60293 .50486 L
.61169 .51437 L
.61729 .50486 L
.62141 .50109 L
.62532 .49514 L
.63112 .48826 L
.6386 .49514 L
.63245 .50486 L
.64083 .5127 L
.64641 .50486 L
.65054 .49991 L
.6547 .49514 L
.66026 .48711 L
.66748 .49514 L
.6608 .50486 L
.66997 .51172 L
.67602 .50486 L
.67968 .49915 L
.68841 .50486 L
.68265 .51457 L
.68939 .52415 L
.69755 .51457 L
.69911 .51179 L
.70785 .51457 L
.70303 .52428 L
.69911 .52779 L
.69552 .53399 L
.68939 .54102 L
.68362 .53399 L
.6893 .52428 L
.67968 .51713 L
.67504 .52428 L
.66997 .52999 L
.66092 .52428 L
.66771 .51457 L
.66026 .50532 L
.65389 .51457 L
.65054 .51842 L
.64564 .52428 L
.64083 .53105 L
.63269 .52428 L
.63875 .51457 L
.63112 .50647 L
.6244 .51457 L
.62141 .51918 L
.61585 .52428 L
.61169 .53148 L
.60434 .52428 L
.61142 .51457 L
.60198 .50654 L
.59371 .51457 L
.59227 .51763 L
.58652 .51457 L
.59181 .50486 L
.59227 .50453 L
.59693 .49514 L
F
.59227 .46791 m
.5941 .47572 L
.59227 .47942 L
.58656 .47572 L
F
.59227 .48641 m
.59379 .49514 L
.59227 .49832 L
.58663 .49514 L
F
.60198 .50932 m
.60887 .51457 L
.60255 .52428 L
.61169 .53337 L
.61697 .52428 L
.62141 .52019 L
.62504 .51457 L
.63112 .50723 L
.63808 .51457 L
.63196 .52428 L
.64083 .53174 L
.64613 .52428 L
.65054 .519 L
.66002 .52428 L
.65348 .53399 L
.66026 .54369 L
.66743 .53399 L
.66997 .53083 L
.67577 .52428 L
.67968 .51822 L
.68798 .52428 L
.68197 .53399 L
.68939 .54327 L
.69744 .53399 L
.69911 .53107 L
.70713 .53399 L
.70205 .54371 L
.69911 .5463 L
.69489 .55342 L
.68939 .55959 L
.68344 .55342 L
.68907 .54371 L
.67968 .53597 L
.67464 .54371 L
.66997 .54894 L
.66633 .55342 L
.66026 .56154 L
.65387 .55342 L
.66024 .54371 L
.65054 .53739 L
.64528 .54371 L
.64083 .54999 L
.63233 .54371 L
.63832 .53399 L
.63112 .52531 L
.62405 .53399 L
.62141 .53814 L
.61539 .54371 L
.61169 .5502 L
.60433 .54371 L
.6108 .53399 L
.60198 .5253 L
.59326 .53399 L
.59227 .53611 L
.58668 .53399 L
.59144 .52428 L
.59227 .5237 L
.59661 .51457 L
F
.59227 .44928 m
.59425 .45629 L
.59227 .46042 L
.58698 .45629 L
F
.59227 .50538 m
.59335 .51457 L
.59227 .51692 L
.58738 .51457 L
F
.59227 .46897 m
.5937 .47572 L
.59227 .47867 L
.58738 .47572 L
F
.59227 .48741 m
.59344 .49514 L
.59227 .49764 L
.58741 .49514 L
F
.59227 .43106 m
.59421 .43687 L
.59227 .44098 L
.58754 .43687 L
F
.60198 .52828 m
.60816 .53399 L
.60213 .54371 L
.61169 .55245 L
.61667 .54371 L
.62141 .5393 L
.62477 .53399 L
.63112 .52612 L
.63762 .53399 L
.63141 .54371 L
.64083 .55083 L
.64586 .54371 L
.65054 .53806 L
.65936 .54371 L
.65303 .55342 L
.66026 .56268 L
.66717 .55342 L
.66997 .54996 L
.67551 .54371 L
.67968 .53724 L
.6876 .54371 L
.68117 .55342 L
.68939 .56248 L
.69736 .55342 L
.69911 .55038 L
.70646 .55342 L
.70079 .56313 L
.69911 .56459 L
.6941 .57284 L
.68939 .57802 L
.68338 .57284 L
.68891 .56313 L
.67968 .55471 L
.67418 .56313 L
.66997 .56784 L
.66587 .57284 L
.66026 .5803 L
.65367 .57284 L
.65975 .56313 L
.65054 .5563 L
.64491 .56313 L
.64083 .56893 L
.63195 .56313 L
.63793 .55342 L
.63112 .54406 L
.62369 .55342 L
.62141 .55705 L
.61492 .56313 L
.61169 .5689 L
.60441 .56313 L
.61028 .55342 L
.60198 .54398 L
.59271 .55342 L
.59227 .5544 L
.58755 .55342 L
.59096 .54371 L
.59227 .54269 L
.59635 .53399 L
F
.59227 .39274 m
.59488 .39802 L
.59227 .40386 L
.58759 .39802 L
F
.59227 .41215 m
.59446 .41744 L
.59227 .42209 L
.58767 .41744 L
F
.59227 .52459 m
.59282 .53399 L
.59227 .53521 L
.58793 .53399 L
F
.59227 .45071 m
.59368 .45629 L
.59227 .45935 L
.58809 .45629 L
F
.59227 .48853 m
.59308 .49514 L
.59227 .49691 L
.58828 .49514 L
F
.59227 .47016 m
.59328 .47572 L
.59227 .47787 L
.58829 .47572 L
F
.59227 .5065 m
.59299 .51457 L
.59227 .51616 L
.58834 .51457 L
F
.59227 .59887 m
.60008 .60198 L
.59227 .61138 L
.58846 .60198 L
F
.59227 .4899 m
.5927 .49514 L
.59227 .49613 L
.58934 .49514 L
F
.59227 .43338 m
.59322 .43687 L
.59227 .43911 L
.58936 .43687 L
F
.59227 .47159 m
.59284 .47572 L
.59227 .47699 L
.58938 .47572 L
F
.59227 .45239 m
.59306 .45629 L
.59227 .45813 L
.58938 .45629 L
F
.59227 .50788 m
.59261 .51457 L
.59227 .51534 L
.58954 .51457 L
F
.59227 .52614 m
.59237 .53399 L
.59227 .53422 L
.5897 .53399 L
F
.59227 .56202 m
.60114 .56313 L
.59227 .57231 L
.59071 .56313 L
F
.59227 .4738 m
.59237 .47572 L
.59227 .47596 L
.59106 .47572 L
F
.59227 .49196 m
.59231 .49514 L
.59227 .49524 L
.59109 .49514 L
F
.59227 .58183 m
.59883 .58256 L
.59227 .58912 L
.59124 .58256 L
F
.59227 .45503 m
.59239 .45629 L
.59227 .45661 L
.59138 .45629 L
F
.59227 .417 m
.59237 .41744 L
.59227 .41779 L
.59178 .41744 L
F
.59227 .54365 m
.60153 .54371 L
.59227 .55273 L
.59219 .54371 L
F
.59227 .37856 m
.59229 .37859 L
.59227 .37923 L
.59222 .37859 L
F
.60198 .47136 m
.61053 .47572 L
.60321 .48543 L
.60198 .48757 L
.59232 .48543 L
.59738 .47572 L
F
.61169 .40075 m
.6187 .40773 L
.61273 .41744 L
.62141 .42486 L
.62633 .41744 L
.63112 .41185 L
.63467 .40773 L
.64083 .39941 L
.64769 .40773 L
.64147 .41744 L
.65054 .42356 L
.65578 .41744 L
.66026 .41087 L
.66934 .41744 L
.66327 .42716 L
.66997 .43578 L
.67693 .42716 L
.67968 .42259 L
.68544 .41744 L
.68939 .41028 L
.69763 .41744 L
.69161 .42716 L
.69911 .43485 L
.7068 .42716 L
.70882 .42268 L
.71738 .42716 L
.71295 .43687 L
.70882 .43971 L
.70565 .44658 L
.69911 .45294 L
.69164 .44658 L
.69806 .43687 L
.68939 .42854 L
.6847 .43687 L
.67968 .44129 L
.67644 .44658 L
.66997 .45437 L
.66302 .44658 L
.66912 .43687 L
.66026 .42967 L
.6553 .43687 L
.65054 .44236 L
.64113 .43687 L
.64761 .42716 L
.64083 .41797 L
.63406 .42716 L
.63112 .43059 L
.62575 .43687 L
.62141 .44339 L
.61284 .43687 L
.61889 .42716 L
.61169 .41873 L
.60446 .42716 L
.60198 .4312 L
.59232 .42716 L
.59774 .41744 L
.60198 .41349 L
.60559 .40773 L
F
.61169 .41995 m
.61799 .42716 L
.61226 .43687 L
.62141 .44385 L
.62608 .43687 L
.63112 .43099 L
.64076 .43687 L
.6337 .44658 L
.64083 .45596 L
.64728 .44658 L
.65054 .44261 L
.65553 .43687 L
.66026 .43001 L
.66877 .43687 L
.66276 .44658 L
.66997 .45465 L
.67671 .44658 L
.67968 .44173 L
.68522 .43687 L
.68939 .42948 L
.6972 .43687 L
.69064 .44658 L
.69911 .45401 L
.70682 .44658 L
.70882 .44225 L
.71653 .44658 L
.71174 .45629 L
.70882 .45831 L
.70516 .46601 L
.69911 .47172 L
.69103 .46601 L
.6979 .45629 L
.68939 .44738 L
.68427 .45629 L
.67968 .46029 L
.67612 .46601 L
.66997 .47321 L
.66257 .46601 L
.66871 .45629 L
.66026 .44867 L
.65497 .45629 L
.65054 .46136 L
.64671 .46601 L
.64083 .47445 L
.63363 .46601 L
.64046 .45629 L
.63112 .44961 L
.62541 .45629 L
.62141 .4623 L
.61255 .45629 L
.61842 .44658 L
.61169 .43758 L
.60407 .44658 L
.60198 .45007 L
.59236 .44658 L
.59758 .43687 L
.60198 .43277 L
.60546 .42716 L
F
.60198 .50963 m
.60855 .51457 L
.60234 .52428 L
.61169 .53359 L
.61709 .52428 L
.62141 .52031 L
.62512 .51457 L
.63112 .50731 L
.638 .51457 L
.63188 .52428 L
.64083 .53182 L
.64618 .52428 L
.65054 .51906 L
.65993 .52428 L
.65341 .53399 L
.65054 .53731 L
.64521 .54371 L
.64083 .54989 L
.63245 .54371 L
.6384 .53399 L
.63112 .52521 L
.62396 .53399 L
.62141 .53799 L
.61523 .54371 L
.61169 .54992 L
.6046 .54371 L
.61112 .53399 L
.60198 .52492 L
.59248 .52428 L
.59693 .51457 L
F
.60198 .49058 m
.60941 .49514 L
.60275 .50486 L
.61169 .51456 L
.61741 .50486 L
.62141 .5012 L
.62539 .49514 L
.63112 .48834 L
.63852 .49514 L
.63238 .50486 L
.64083 .51277 L
.64645 .50486 L
.65054 .49997 L
.65476 .49514 L
.66026 .48718 L
.66741 .49514 L
.66071 .50486 L
.66997 .5118 L
.67609 .50486 L
.67968 .49926 L
.68828 .50486 L
.68251 .51457 L
.67968 .51701 L
.67496 .52428 L
.66997 .5299 L
.66102 .52428 L
.66777 .51457 L
.66026 .50525 L
.65384 .51457 L
.65054 .51835 L
.64558 .52428 L
.64083 .53097 L
.63277 .52428 L
.63883 .51457 L
.63112 .50639 L
.62432 .51457 L
.62141 .51907 L
.61573 .52428 L
.61169 .53127 L
.60453 .52428 L
.61168 .51457 L
.60198 .50622 L
.59261 .50486 L
.59724 .49514 L
F
.60198 .45247 m
.61141 .45629 L
.60349 .46601 L
.60198 .46857 L
.59289 .46601 L
.59785 .45629 L
F
.60198 .47171 m
.61017 .47572 L
.60303 .48543 L
.60198 .48726 L
.59291 .48543 L
.59774 .47572 L
F
.61169 .38221 m
.61897 .38831 L
.61292 .39802 L
.62141 .40616 L
.62676 .39802 L
.63112 .39292 L
.63509 .38831 L
.64083 .38056 L
.64797 .38831 L
.64194 .39802 L
.65054 .40468 L
.65613 .39802 L
.66026 .39189 L
.66981 .39802 L
.66363 .40773 L
.66997 .4171 L
.67728 .40773 L
.67968 .40368 L
.68587 .39802 L
.68939 .39149 L
.69766 .39802 L
.69209 .40773 L
.69911 .4162 L
.70728 .40773 L
.70882 .40422 L
.71697 .40773 L
.71309 .41744 L
.70882 .42042 L
.70583 .42716 L
.69911 .43395 L
.69242 .42716 L
.69846 .41744 L
.68939 .4094 L
.68497 .41744 L
.67968 .42219 L
.67671 .42716 L
.66997 .43554 L
.66348 .42716 L
.66969 .41744 L
.66026 .41055 L
.65557 .41744 L
.65054 .42333 L
.64178 .41744 L
.64806 .40773 L
.64083 .39891 L
.63432 .40773 L
.63112 .41145 L
.62601 .41744 L
.62141 .42444 L
.61324 .41744 L
.61967 .40773 L
.61169 .39951 L
.60458 .40773 L
.60198 .41195 L
.59307 .40773 L
.59871 .39802 L
.60198 .39507 L
.60628 .38831 L
F
.61169 .42055 m
.61752 .42716 L
.61197 .43687 L
.62141 .44408 L
.62625 .43687 L
.63112 .4312 L
.64054 .43687 L
.63359 .44658 L
.64083 .45608 L
.64738 .44658 L
.65054 .44273 L
.65564 .43687 L
.66026 .43018 L
.6686 .43687 L
.66263 .44658 L
.66997 .45479 L
.67684 .44658 L
.67968 .44195 L
.68549 .43687 L
.68939 .42994 L
.69677 .43687 L
.69015 .44658 L
.69911 .45454 L
.70743 .44658 L
.70882 .44354 L
.71504 .44658 L
.7104 .45629 L
.70882 .4574 L
.70475 .46601 L
.69911 .47134 L
.69141 .46601 L
.69818 .45629 L
.68939 .44708 L
.6841 .45629 L
.67968 .46015 L
.67603 .46601 L
.66997 .47311 L
.66267 .46601 L
.66881 .45629 L
.66026 .44856 L
.6549 .45629 L
.65054 .46128 L
.64664 .46601 L
.64083 .47436 L
.63371 .46601 L
.64059 .45629 L
.63112 .44949 L
.6253 .45629 L
.62141 .46215 L
.61275 .45629 L
.61867 .44658 L
.61169 .43721 L
.60377 .44658 L
.60198 .44957 L
.59322 .44658 L
.59839 .43687 L
.60198 .43355 L
.60596 .42716 L
F
.60198 .49088 m
.60909 .49514 L
.60257 .50486 L
.60198 .5059 L
.59328 .50486 L
.59754 .49514 L
F
.60198 .50994 m
.60824 .51457 L
.60212 .52428 L
.61169 .53381 L
.61722 .52428 L
.62141 .52042 L
.62519 .51457 L
.63112 .50739 L
.63793 .51457 L
.6318 .52428 L
.64083 .5319 L
.64624 .52428 L
.65054 .51913 L
.65984 .52428 L
.65334 .53399 L
.65054 .53722 L
.64514 .54371 L
.64083 .54979 L
.63256 .54371 L
.63849 .53399 L
.63112 .52511 L
.62387 .53399 L
.62141 .53785 L
.61507 .54371 L
.61169 .54965 L
.60487 .54371 L
.61143 .53399 L
.60198 .52454 L
.59339 .52428 L
.59725 .51457 L
F
.60198 .47206 m
.6098 .47572 L
.60285 .48543 L
.60198 .48695 L
.59351 .48543 L
.5981 .47572 L
F
.60198 .45296 m
.61094 .45629 L
.60327 .46601 L
.60198 .4682 L
.59355 .46601 L
.59836 .45629 L
F
.61169 .40196 m
.6177 .40773 L
.61222 .41744 L
.62141 .42528 L
.62664 .41744 L
.63112 .41224 L
.63502 .40773 L
.64083 .3999 L
.64733 .40773 L
.64116 .41744 L
.65054 .42378 L
.65598 .41744 L
.66026 .4112 L
.669 .41744 L
.66306 .42716 L
.66997 .43601 L
.67716 .42716 L
.67968 .42298 L
.68591 .41744 L
.68939 .41114 L
.69681 .41744 L
.69081 .42716 L
.69911 .43573 L
.70783 .42716 L
.70882 .42494 L
.71465 .42716 L
.71097 .43687 L
.70882 .43836 L
.70508 .44658 L
.69911 .4524 L
.69217 .44658 L
.69851 .43687 L
.68939 .42806 L
.68444 .43687 L
.67968 .44107 L
.67631 .44658 L
.66997 .45423 L
.66315 .44658 L
.6693 .43687 L
.66026 .4295 L
.65519 .43687 L
.65054 .44223 L
.64131 .43687 L
.64778 .42716 L
.64083 .41772 L
.63389 .42716 L
.63112 .43038 L
.62558 .43687 L
.62141 .44316 L
.61312 .43687 L
.61934 .42716 L
.61169 .41809 L
.60394 .42716 L
.60198 .4304 L
.59364 .42716 L
.59931 .41744 L
.60198 .41499 L
.60659 .40773 L
F
.60198 .49119 m
.60876 .49514 L
.60239 .50486 L
.60198 .50558 L
.59398 .50486 L
.59785 .49514 L
F
.60198 .43434 m
.61163 .43687 L
.60346 .44658 L
.60198 .44907 L
.59408 .44658 L
.59922 .43687 L
F
.60198 .47242 m
.6094 .47572 L
.60267 .48543 L
.60198 .48663 L
.59414 .48543 L
.59847 .47572 L
F
.60198 .45345 m
.61043 .45629 L
.60305 .46601 L
.60198 .46784 L
.59422 .46601 L
.59887 .45629 L
F
.60198 .4915 m
.60841 .49514 L
.6022 .50486 L
.60198 .50525 L
.59474 .50486 L
.59817 .49514 L
F
.60198 .47279 m
.60898 .47572 L
.60248 .48543 L
.60198 .4863 L
.5948 .48543 L
.59884 .47572 L
F
.60198 .45396 m
.60987 .45629 L
.60283 .46601 L
.60198 .46746 L
.59492 .46601 L
.5994 .45629 L
F
.60198 .43515 m
.61083 .43687 L
.60314 .44658 L
.60198 .44855 L
.59496 .44658 L
.60008 .43687 L
F
.60198 .41655 m
.61167 .41744 L
.60341 .42716 L
.60198 .42956 L
.59498 .42716 L
.60097 .41744 L
F
.60198 .5842 m
.60703 .59227 L
.60198 .60109 L
.59505 .59227 L
F
.60198 .56524 m
.60767 .57284 L
.60198 .58251 L
.59505 .57284 L
F
.60198 .47316 m
.60854 .47572 L
.60229 .48543 L
.60198 .48597 L
.59552 .48543 L
.59923 .47572 L
F
.60198 .39851 m
.60352 .40773 L
.60198 .41031 L
.59556 .40773 L
F
.60198 .37957 m
.60383 .38831 L
.60198 .39142 L
.59558 .38831 L
F
.60198 .49182 m
.60805 .49514 L
.60201 .50486 L
.60198 .50491 L
.5956 .50486 L
.59849 .49514 L
F
.60198 .45447 m
.60925 .45629 L
.6026 .46601 L
.60198 .46707 L
.59566 .46601 L
.59995 .45629 L
F
.60198 .436 m
.60986 .43687 L
.60282 .44658 L
.60198 .44801 L
.59591 .44658 L
.601 .43687 L
F
.60198 .56616 m
.60694 .57284 L
.60198 .58129 L
.59596 .57284 L
F
.60198 .54716 m
.60759 .55342 L
.60198 .5627 L
.59606 .55342 L
F
.60198 .47354 m
.60805 .47572 L
.6021 .48543 L
.60198 .48563 L
.59633 .48543 L
.59962 .47572 L
F
.60198 .41827 m
.60286 .42716 L
.60198 .42866 L
.59645 .42716 L
F
.60198 .45501 m
.60854 .45629 L
.60237 .46601 L
.60198 .46668 L
.59649 .46601 L
.60053 .45629 L
F
.60198 .60458 m
.60535 .61169 L
.60198 .61784 L
.5966 .61169 L
F
.60198 .54771 m
.60712 .55342 L
.60198 .56196 L
.5966 .55342 L
F
.60198 .52866 m
.60781 .53399 L
.60198 .54345 L
.59673 .53399 L
F
.60198 .5861 m
.60562 .59227 L
.60198 .59873 L
.59689 .59227 L
F
.60198 .56713 m
.60617 .57284 L
.60198 .58007 L
.59689 .57284 L
F
.60198 .43692 m
.60248 .44658 L
.60198 .44745 L
.59697 .44658 L
F
.60198 .52905 m
.60744 .53399 L
.60198 .54292 L
.59711 .53399 L
F
.60198 .54828 m
.60662 .55342 L
.60198 .56122 L
.59714 .55342 L
F
.60198 .45557 m
.60768 .45629 L
.60213 .46601 L
.60198 .46626 L
.59746 .46601 L
.60114 .45629 L
F
.60198 .52944 m
.60707 .53399 L
.60198 .54239 L
.59749 .53399 L
F
.60198 .51026 m
.60791 .51457 L
.60198 .52413 L
.59757 .51457 L
F
.60198 .54887 m
.60611 .55342 L
.60198 .56046 L
.5977 .55342 L
F
.60198 .56817 m
.60535 .57284 L
.60198 .57881 L
.59785 .57284 L
F
.60198 .52985 m
.60668 .53399 L
.60198 .54184 L
.59788 .53399 L
F
.60198 .51059 m
.60757 .51457 L
.60198 .52367 L
.59789 .51457 L
F
.60198 .51092 m
.60721 .51457 L
.60198 .52321 L
.59822 .51457 L
F
.60198 .54948 m
.60557 .55342 L
.60198 .55967 L
.59827 .55342 L
F
.60198 .53026 m
.60628 .53399 L
.60198 .54127 L
.59828 .53399 L
F
.60198 .42043 m
.60228 .42716 L
.60198 .42768 L
.59831 .42716 L
F
.60198 .43823 m
.60214 .44658 L
.60198 .44686 L
.59832 .44658 L
F
.60198 .51126 m
.60685 .51457 L
.60198 .52273 L
.59856 .51457 L
F
.60198 .40235 m
.60237 .40773 L
.60198 .40842 L
.59867 .40773 L
F
.60198 .53069 m
.60585 .53399 L
.60198 .54068 L
.59869 .53399 L
F
.60198 .49214 m
.60768 .49514 L
.60198 .50447 L
.59882 .49514 L
F
.60198 .55013 m
.605 .55342 L
.60198 .55883 L
.59888 .55342 L
F
.60198 .56932 m
.60446 .57284 L
.60198 .57744 L
.59888 .57284 L
F
.60198 .5116 m
.60646 .51457 L
.60198 .52222 L
.5989 .51457 L
F
.60198 .5884 m
.60403 .59227 L
.60198 .59617 L
.59892 .59227 L
F
.60198 .53113 m
.6054 .53399 L
.60198 .54005 L
.59912 .53399 L
F
.60198 .49247 m
.60728 .49514 L
.60198 .504 L
.59915 .49514 L
F
.60198 .51196 m
.60605 .51457 L
.60198 .52169 L
.59926 .51457 L
F
.60198 .62619 m
.60314 .63112 L
.60198 .63351 L
.59936 .63112 L
F
.60198 .49281 m
.60685 .49514 L
.60198 .5035 L
.59949 .49514 L
F
.60198 .55083 m
.60438 .55342 L
.60198 .55791 L
.59953 .55342 L
F
.60198 .53159 m
.60492 .53399 L
.60198 .53939 L
.59957 .53399 L
F
.60198 .51233 m
.60562 .51457 L
.60198 .52113 L
.59963 .51457 L
F
.60198 .49316 m
.6064 .49514 L
.60198 .50296 L
.59985 .49514 L
F
.60198 .51271 m
.60515 .51457 L
.60198 .52053 L
.60001 .51457 L
F
.60198 .47393 m
.60753 .47572 L
.60198 .4852 L
.60003 .47572 L
F
.60198 .53209 m
.6044 .53399 L
.60198 .53866 L
.60004 .53399 L
F
.60198 .57067 m
.60345 .57284 L
.60198 .57584 L
.60008 .57284 L
F
.60198 .49352 m
.6059 .49514 L
.60198 .50239 L
.60022 .49514 L
F
.60198 .55161 m
.60368 .55342 L
.60198 .55686 L
.60024 .55342 L
F
.60198 .51311 m
.60463 .51457 L
.60198 .51987 L
.60042 .51457 L
F
.60198 .47433 m
.60693 .47572 L
.60198 .48461 L
.60045 .47572 L
F
.60198 .36704 m
.60212 .36888 L
.60198 .36918 L
.60056 .36888 L
F
.60198 .53261 m
.60381 .53399 L
.60198 .53783 L
.60056 .53399 L
F
.60198 .49389 m
.60534 .49514 L
.60198 .50176 L
.60061 .49514 L
F
.60198 .51354 m
.60403 .51457 L
.60198 .51911 L
.60086 .51457 L
F
.60198 .47475 m
.60624 .47572 L
.60198 .48396 L
.6009 .47572 L
F
.60198 .49429 m
.60468 .49514 L
.60198 .50104 L
.60103 .49514 L
F
.60198 .5525 m
.60286 .55342 L
.60198 .55554 L
.60108 .55342 L
F
.60198 .53319 m
.60312 .53399 L
.60198 .53682 L
.60114 .53399 L
F
.60198 .51399 m
.60331 .51457 L
.60198 .51819 L
.60134 .51457 L
F
.60198 .4752 m
.60538 .47572 L
.60198 .48322 L
.60139 .47572 L
F
.60198 .4947 m
.60383 .49514 L
.60198 .50019 L
.60148 .49514 L
F
.60198 .57253 m
.60217 .57284 L
.60198 .57341 L
.6017 .57284 L
F
.60198 .53384 m
.60223 .53399 L
.60198 .53521 L
.60182 .53399 L
F
.60198 .45616 m
.60653 .45629 L
.60198 .46568 L
.60182 .45629 L
F
.60198 .51449 m
.60224 .51457 L
.60198 .51681 L
.60189 .51457 L
F
.60198 .47567 m
.604 .47572 L
.60198 .48232 L
.60192 .47572 L
F
.61169 .38514 m
.61619 .38831 L
.61182 .39802 L
.62141 .40702 L
.62746 .39802 L
.63112 .3938 L
.6359 .38831 L
.64083 .3817 L
.64705 .38831 L
.64131 .39802 L
.65054 .40517 L
.65659 .39802 L
.66026 .39261 L
.669 .39802 L
.66323 .40773 L
.66026 .41022 L
.65536 .41744 L
.65054 .4231 L
.64208 .41744 L
.64843 .40773 L
.64083 .39841 L
.63397 .40773 L
.63112 .41106 L
.6257 .41744 L
.62141 .42401 L
.61373 .41744 L
.62061 .40773 L
.61169 .39817 L
.60265 .39802 L
.60876 .38831 L
F
.62141 .5771 m
.63018 .58256 L
.62328 .59227 L
.63112 .60148 L
.63699 .59227 L
.64083 .58882 L
.64515 .58256 L
.65054 .57584 L
.6585 .58256 L
.65228 .59227 L
.66026 .60048 L
.66641 .59227 L
.66997 .58789 L
.67468 .58256 L
.67968 .57467 L
.68731 .58256 L
.68008 .59227 L
.68939 .60005 L
.69634 .59227 L
.69911 .58758 L
.70715 .59227 L
.70073 .60198 L
.69911 .60339 L
.69394 .61169 L
.68939 .61662 L
.68141 .61169 L
.6879 .60198 L
.67968 .59262 L
.67368 .60198 L
.66997 .60615 L
.66546 .61169 L
.66026 .6186 L
.65257 .61169 L
.65854 .60198 L
.65054 .59427 L
.64447 .60198 L
.64083 .60728 L
.63595 .61169 L
.63112 .61933 L
.6239 .61169 L
.63031 .60198 L
.62141 .59533 L
.61469 .60198 L
.61169 .60756 L
.60325 .60198 L
.60837 .59227 L
.61169 .59005 L
.61577 .58256 L
F
.61169 .36644 m
.61629 .36888 L
.61215 .37859 L
.62141 .38827 L
.62788 .37859 L
.63112 .37487 L
.63631 .36888 L
.64083 .36282 L
.64728 .36888 L
.64181 .37859 L
.65054 .38633 L
.65691 .37859 L
.66026 .37363 L
.66954 .37859 L
.66364 .38831 L
.66026 .39116 L
.65567 .39802 L
.65054 .40419 L
.64256 .39802 L
.64889 .38831 L
.64083 .37938 L
.63429 .38831 L
.63112 .39202 L
.62605 .39802 L
.62141 .40526 L
.61396 .39802 L
.62136 .38831 L
.61169 .37914 L
.60328 .37859 L
.60941 .36888 L
F
.61169 .47581 m
.61721 .48543 L
.61169 .49475 L
.60392 .48543 L
F
.62141 .59619 m
.62928 .60198 L
.62273 .61169 L
.63112 .62076 L
.63679 .61169 L
.64083 .60802 L
.64493 .60198 L
.65054 .59477 L
.65797 .60198 L
.65155 .61169 L
.66026 .61977 L
.66627 .61169 L
.66997 .60708 L
.67913 .61169 L
.67289 .62141 L
.66997 .62463 L
.66472 .63112 L
.66026 .63703 L
.65263 .63112 L
.65837 .62141 L
.65054 .61283 L
.64394 .62141 L
.64083 .62595 L
.63518 .63112 L
.63112 .63761 L
.62426 .63112 L
.63006 .62141 L
.62141 .61384 L
.61397 .62141 L
.61169 .6257 L
.60392 .62141 L
.60837 .61169 L
.61169 .60944 L
.61563 .60198 L
F
.61169 .47602 m
.61708 .48543 L
.61169 .49456 L
.60409 .48543 L
F
.61169 .47622 m
.61696 .48543 L
.61169 .49437 L
.60426 .48543 L
F
.61169 .49533 m
.61638 .50486 L
.61169 .51288 L
.6043 .50486 L
F
.61169 .47643 m
.61683 .48543 L
.61169 .49417 L
.60443 .48543 L
F
.61169 .49553 m
.61627 .50486 L
.61169 .5127 L
.60446 .50486 L
F
.61169 .4574 m
.61736 .46601 L
.61169 .47559 L
.60454 .46601 L
F
.62141 .55837 m
.63064 .56313 L
.62331 .57284 L
.62141 .57591 L
.61444 .58256 L
.61169 .58756 L
.60456 .58256 L
.60981 .57284 L
.61169 .57157 L
.61638 .56313 L
F
.61169 .47663 m
.61671 .48543 L
.61169 .49398 L
.6046 .48543 L
F
.61169 .49572 m
.61615 .50486 L
.61169 .51251 L
.60463 .50486 L
F
.61169 .51478 m
.6156 .52428 L
.61169 .53106 L
.60473 .52428 L
F
.61169 .45764 m
.61719 .46601 L
.61169 .47536 L
.60474 .46601 L
F
.61169 .47683 m
.61658 .48543 L
.61169 .49379 L
.60477 .48543 L
F
.61169 .49592 m
.61603 .50486 L
.61169 .51233 L
.6048 .50486 L
F
.63112 .52622 m
.63753 .53399 L
.63129 .54371 L
.64083 .55094 L
.64593 .54371 L
.65054 .53815 L
.65925 .54371 L
.65292 .55342 L
.66026 .56283 L
.66727 .55342 L
.66997 .55009 L
.67562 .54371 L
.67968 .5374 L
.68742 .54371 L
.68089 .55342 L
.68939 .56287 L
.69769 .55342 L
.69911 .55093 L
.70566 .55342 L
.69979 .56313 L
.69911 .56372 L
.69357 .57284 L
.68939 .57741 L
.68395 .57284 L
.6892 .56313 L
.67968 .55447 L
.674 .56313 L
.66997 .56764 L
.6657 .57284 L
.66026 .58007 L
.65386 .57284 L
.65991 .56313 L
.65054 .55617 L
.6448 .56313 L
.64083 .56877 L
.63215 .56313 L
.63805 .55342 L
.63112 .54391 L
.62356 .55342 L
.62141 .55683 L
.61467 .56313 L
.61169 .56846 L
.60485 .56313 L
.61071 .55342 L
.61169 .55275 L
.61683 .54371 L
.62141 .53944 L
.62486 .53399 L
F
.61169 .515 m
.61547 .52428 L
.61169 .53085 L
.60492 .52428 L
F
.61169 .47704 m
.61646 .48543 L
.61169 .49359 L
.60494 .48543 L
F
.61169 .45789 m
.61703 .46601 L
.61169 .47513 L
.60495 .46601 L
F
.61169 .49612 m
.61592 .50486 L
.61169 .51214 L
.60496 .50486 L
F
.61169 .47724 m
.61633 .48543 L
.61169 .4934 L
.60511 .48543 L
F
.61169 .51523 m
.61535 .52428 L
.61169 .53064 L
.60511 .52428 L
F
.61169 .49632 m
.6158 .50486 L
.61169 .51195 L
.60513 .50486 L
F
.61169 .53404 m
.6149 .54371 L
.61169 .54937 L
.60514 .54371 L
F
.61169 .45814 m
.61687 .46601 L
.61169 .47489 L
.60515 .46601 L
F
.62141 .5775 m
.62967 .58256 L
.62279 .59227 L
.62141 .5945 L
.61371 .60198 L
.61169 .60572 L
.60525 .60198 L
.6097 .59227 L
.61169 .59092 L
.61621 .58256 L
F
.61169 .47745 m
.6162 .48543 L
.61169 .4932 L
.60528 .48543 L
F
.61169 .49652 m
.61568 .50486 L
.61169 .51177 L
.60529 .50486 L
F
.63112 .52633 m
.63745 .53399 L
.63117 .54371 L
.64083 .55104 L
.646 .54371 L
.65054 .53823 L
.65914 .54371 L
.65281 .55342 L
.66026 .56297 L
.66738 .55342 L
.66997 .55022 L
.67573 .54371 L
.67968 .53756 L
.68724 .54371 L
.68061 .55342 L
.67968 .55422 L
.67383 .56313 L
.66997 .56743 L
.66553 .57284 L
.66026 .57983 L
.65405 .57284 L
.66008 .56313 L
.65054 .55605 L
.64468 .56313 L
.64083 .5686 L
.63234 .56313 L
.63817 .55342 L
.63112 .54377 L
.62342 .55342 L
.62141 .55661 L
.61442 .56313 L
.61169 .56802 L
.6053 .56313 L
.61115 .55342 L
.61169 .55304 L
.61699 .54371 L
.62141 .53959 L
.62495 .53399 L
F
.61169 .51546 m
.61522 .52428 L
.61169 .53043 L
.60531 .52428 L
F
.61169 .45839 m
.6167 .46601 L
.61169 .47465 L
.60536 .46601 L
F
.61169 .53435 m
.61474 .54371 L
.61169 .54909 L
.60541 .54371 L
F
.62141 .5586 m
.63035 .56313 L
.62307 .57284 L
.62141 .57551 L
.61398 .58256 L
.61169 .58673 L
.60543 .58256 L
.61052 .57284 L
.61169 .57205 L
.61663 .56313 L
F
.61169 .47765 m
.61607 .48543 L
.61169 .49301 L
.60545 .48543 L
F
.61169 .49672 m
.61556 .50486 L
.61169 .51158 L
.60546 .50486 L
F
.61169 .51569 m
.61509 .52428 L
.61169 .53022 L
.6055 .52428 L
F
.61169 .43938 m
.61717 .44658 L
.61169 .45608 L
.60555 .44658 L
F
.61169 .45863 m
.61653 .46601 L
.61169 .47441 L
.60556 .46601 L
F
.61169 .47786 m
.61594 .48543 L
.61169 .49281 L
.60562 .48543 L
F
.61169 .49692 m
.61545 .50486 L
.61169 .51139 L
.60563 .50486 L
F
.61169 .53465 m
.61457 .54371 L
.61169 .54881 L
.60568 .54371 L
F
.61169 .51592 m
.61496 .52428 L
.61169 .53001 L
.6057 .52428 L
F
.62141 .53974 m
.63101 .54371 L
.62329 .55342 L
.62141 .55639 L
.61416 .56313 L
.61169 .56757 L
.60575 .56313 L
.61159 .55342 L
.61169 .55335 L
.61715 .54371 L
F
.61169 .45888 m
.61637 .46601 L
.61169 .47417 L
.60577 .46601 L
F
.61169 .47807 m
.61581 .48543 L
.61169 .49261 L
.60579 .48543 L
F
.61169 .49713 m
.61533 .50486 L
.61169 .5112 L
.6058 .50486 L
F
.61169 .43973 m
.61691 .44658 L
.61169 .45574 L
.60585 .44658 L
F
.61169 .51616 m
.61483 .52428 L
.61169 .5298 L
.6059 .52428 L
F
.61169 .53497 m
.6144 .54371 L
.61169 .54852 L
.60596 .54371 L
F
.61169 .47827 m
.61568 .48543 L
.61169 .49241 L
.60596 .48543 L
F
.61169 .49733 m
.61521 .50486 L
.61169 .51101 L
.60597 .50486 L
F
.61169 .45913 m
.6162 .46601 L
.61169 .47392 L
.60597 .46601 L
F
.61169 .5164 m
.6147 .52428 L
.61169 .52958 L
.6061 .52428 L
F
.61169 .47848 m
.61555 .48543 L
.61169 .49221 L
.60613 .48543 L
F
.61169 .49754 m
.61508 .50486 L
.61169 .51082 L
.60614 .50486 L
F
.61169 .44009 m
.61666 .44658 L
.61169 .4554 L
.60614 .44658 L
F
.61169 .45938 m
.61603 .46601 L
.61169 .47368 L
.60618 .46601 L
F
.61169 .55379 m
.6139 .56313 L
.61169 .56712 L
.60621 .56313 L
F
.61169 .5353 m
.61423 .54371 L
.61169 .54823 L
.60624 .54371 L
F
.61169 .51665 m
.61456 .52428 L
.61169 .52936 L
.6063 .52428 L
F
.61169 .47869 m
.61542 .48543 L
.61169 .49201 L
.6063 .48543 L
F
.61169 .49775 m
.61496 .50486 L
.61169 .51062 L
.60631 .50486 L
F
.62141 .55882 m
.63005 .56313 L
.62284 .57284 L
.62141 .57512 L
.6135 .58256 L
.61169 .58588 L
.60634 .58256 L
.61124 .57284 L
.61169 .57254 L
.61687 .56313 L
F
.61169 .45963 m
.61586 .46601 L
.61169 .47343 L
.60639 .46601 L
F
.61169 .44044 m
.61639 .44658 L
.61169 .45504 L
.60644 .44658 L
F
.61169 .42115 m
.61705 .42716 L
.61169 .43682 L
.60646 .42716 L
F
.61169 .47891 m
.61528 .48543 L
.61169 .4918 L
.60648 .48543 L
F
.61169 .49797 m
.61484 .50486 L
.61169 .51043 L
.60648 .50486 L
F
.61169 .5169 m
.61443 .52428 L
.61169 .52914 L
.6065 .52428 L
F
.61169 .53563 m
.61405 .54371 L
.61169 .54794 L
.60652 .54371 L
F
.61169 .45989 m
.61568 .46601 L
.61169 .47317 L
.6066 .46601 L
F
.61169 .47912 m
.61515 .48543 L
.61169 .49159 L
.60665 .48543 L
F
.61169 .49818 m
.61471 .50486 L
.61169 .51023 L
.60665 .50486 L
F
.61169 .55431 m
.61363 .56313 L
.61169 .56666 L
.60669 .56313 L
F
.61169 .51715 m
.61429 .52428 L
.61169 .52892 L
.60671 .52428 L
F
.61169 .4408 m
.61613 .44658 L
.61169 .45468 L
.60674 .44658 L
F
.61169 .46014 m
.61551 .46601 L
.61169 .47291 L
.60681 .46601 L
F
.61169 .53598 m
.61388 .54371 L
.61169 .54765 L
.60681 .54371 L
F
.61169 .47934 m
.61501 .48543 L
.61169 .49138 L
.60683 .48543 L
F
.61169 .4984 m
.61459 .50486 L
.61169 .51003 L
.60683 .50486 L
F
.61169 .51741 m
.61415 .52428 L
.61169 .5287 L
.60692 .52428 L
F
.61169 .42175 m
.61657 .42716 L
.61169 .43624 L
.60696 .42716 L
F
.61169 .47956 m
.61487 .48543 L
.61169 .49117 L
.60701 .48543 L
F
.61169 .49862 m
.61446 .50486 L
.61169 .50983 L
.60701 .50486 L
F
.61169 .4604 m
.61533 .46601 L
.61169 .47265 L
.60702 .46601 L
F
.61169 .44116 m
.61585 .44658 L
.61169 .45431 L
.60704 .44658 L
F
.61169 .53634 m
.6137 .54371 L
.61169 .54734 L
.60711 .54371 L
F
.61169 .51768 m
.61401 .52428 L
.61169 .52847 L
.60713 .52428 L
F
.61169 .47978 m
.61473 .48543 L
.61169 .49095 L
.60719 .48543 L
F
.61169 .55485 m
.61335 .56313 L
.61169 .56618 L
.60719 .56313 L
F
.61169 .49884 m
.61433 .50486 L
.61169 .50962 L
.60719 .50486 L
F
.61169 .46066 m
.61515 .46601 L
.61169 .47238 L
.60724 .46601 L
F
.61169 .57321 m
.613 .58256 L
.61169 .58499 L
.60734 .58256 L
F
.61169 .44153 m
.61558 .44658 L
.61169 .45392 L
.60734 .44658 L
F
.61169 .51795 m
.61387 .52428 L
.61169 .52824 L
.60735 .52428 L
F
.61169 .48 m
.61459 .48543 L
.61169 .49073 L
.60737 .48543 L
F
.61169 .49907 m
.6142 .50486 L
.61169 .50942 L
.60737 .50486 L
F
.61169 .53672 m
.61352 .54371 L
.61169 .54703 L
.60742 .54371 L
F
.61169 .46093 m
.61496 .46601 L
.61169 .47211 L
.60746 .46601 L
F
.61169 .42237 m
.61606 .42716 L
.61169 .43562 L
.60748 .42716 L
F
.62141 .57791 m
.62916 .58256 L
.62229 .59227 L
.62141 .59367 L
.61266 .60198 L
.61169 .60379 L
.60753 .60198 L
.61109 .59227 L
.61169 .59186 L
.61664 .58256 L
F
.61169 .48023 m
.61445 .48543 L
.61169 .49051 L
.60756 .48543 L
F
.61169 .49931 m
.61407 .50486 L
.61169 .5092 L
.60756 .50486 L
F
.61169 .51823 m
.61373 .52428 L
.61169 .528 L
.60757 .52428 L
F
.61169 .40318 m
.61664 .40773 L
.61169 .41743 L
.60762 .40773 L
F
.61169 .4419 m
.61529 .44658 L
.61169 .45352 L
.60766 .44658 L
F
.61169 .4612 m
.61478 .46601 L
.61169 .47182 L
.60768 .46601 L
F
.61169 .55545 m
.61307 .56313 L
.61169 .56569 L
.60772 .56313 L
F
.61169 .53711 m
.61333 .54371 L
.61169 .54672 L
.60774 .54371 L
F
.61169 .48047 m
.61431 .48543 L
.61169 .49028 L
.60775 .48543 L
F
.61169 .49955 m
.61394 .50486 L
.61169 .50899 L
.60775 .50486 L
F
.61169 .51852 m
.61359 .52428 L
.61169 .52776 L
.6078 .52428 L
F
.61169 .46147 m
.61459 .46601 L
.61169 .47154 L
.60791 .46601 L
F
.61169 .4807 m
.61416 .48543 L
.61169 .49005 L
.60794 .48543 L
F
.61169 .49979 m
.6138 .50486 L
.61169 .50877 L
.60794 .50486 L
F
.61169 .44228 m
.615 .44658 L
.61169 .45311 L
.60798 .44658 L
F
.61169 .423 m
.61554 .42716 L
.61169 .43496 L
.60801 .42716 L
F
.61169 .51882 m
.61344 .52428 L
.61169 .52751 L
.60803 .52428 L
F
.61169 .53753 m
.61314 .54371 L
.61169 .54639 L
.60807 .54371 L
F
.61169 .48095 m
.61401 .48543 L
.61169 .48981 L
.60813 .48543 L
F
.61169 .46175 m
.6144 .46601 L
.61169 .47124 L
.60814 .46601 L
F
.61169 .50004 m
.61367 .50486 L
.61169 .50855 L
.60814 .50486 L
F
.61169 .51913 m
.61329 .52428 L
.61169 .52726 L
.60827 .52428 L
F
.61169 .55611 m
.61278 .56313 L
.61169 .56517 L
.6083 .56313 L
F
.61169 .44267 m
.6147 .44658 L
.61169 .45268 L
.60831 .44658 L
F
.61169 .4812 m
.61386 .48543 L
.61169 .48957 L
.60834 .48543 L
F
.61169 .5003 m
.61353 .50486 L
.61169 .50832 L
.60834 .50486 L
F
.61169 .46204 m
.6142 .46601 L
.61169 .47094 L
.60838 .46601 L
F
.61169 .53797 m
.61295 .54371 L
.61169 .54606 L
.60842 .54371 L
F
.61169 .57427 m
.61248 .58256 L
.61169 .58404 L
.60849 .58256 L
F
.61169 .51945 m
.61314 .52428 L
.61169 .527 L
.60852 .52428 L
F
.61169 .48145 m
.6137 .48543 L
.61169 .48932 L
.60854 .48543 L
F
.61169 .50056 m
.61339 .50486 L
.61169 .50808 L
.60855 .50486 L
F
.61169 .42365 m
.61499 .42716 L
.61169 .43424 L
.60856 .42716 L
F
.61169 .46233 m
.614 .46601 L
.61169 .47062 L
.60862 .46601 L
F
.61169 .44308 m
.61439 .44658 L
.61169 .45222 L
.60865 .44658 L
F
.61169 .40445 m
.61546 .40773 L
.61169 .41619 L
.60871 .40773 L
F
.61169 .48171 m
.61354 .48543 L
.61169 .48906 L
.60875 .48543 L
F
.61169 .50084 m
.61324 .50486 L
.61169 .50784 L
.60877 .50486 L
F
.61169 .51979 m
.61298 .52428 L
.61169 .52674 L
.60878 .52428 L
F
.61169 .53845 m
.61275 .54371 L
.61169 .54571 L
.60879 .54371 L
F
.61169 .46264 m
.61379 .46601 L
.61169 .47029 L
.60887 .46601 L
F
.61169 .55686 m
.61248 .56313 L
.61169 .56463 L
.60894 .56313 L
F
.61169 .48199 m
.61338 .48543 L
.61169 .48879 L
.60897 .48543 L
F
.61169 .50113 m
.6131 .50486 L
.61169 .50759 L
.60899 .50486 L
F
.61169 .4435 m
.61407 .44658 L
.61169 .45173 L
.609 .44658 L
F
.61169 .52015 m
.61282 .52428 L
.61169 .52646 L
.60905 .52428 L
F
.61169 .46295 m
.61357 .46601 L
.61169 .46994 L
.60913 .46601 L
F
.61169 .42433 m
.61439 .42716 L
.61169 .43345 L
.60915 .42716 L
F
.61169 .53898 m
.61254 .54371 L
.61169 .54534 L
.60919 .54371 L
F
.61169 .48227 m
.61322 .48543 L
.61169 .48852 L
.6092 .48543 L
F
.61169 .50143 m
.61295 .50486 L
.61169 .50733 L
.60922 .50486 L
F
.61169 .52053 m
.61266 .52428 L
.61169 .52617 L
.60934 .52428 L
F
.61169 .44394 m
.61373 .44658 L
.61169 .45121 L
.60937 .44658 L
F
.61169 .46328 m
.61335 .46601 L
.61169 .46958 L
.60941 .46601 L
F
.61169 .48256 m
.61305 .48543 L
.61169 .48823 L
.60944 .48543 L
F
.61169 .50174 m
.61279 .50486 L
.61169 .50706 L
.60947 .50486 L
F
.61169 .53957 m
.61233 .54371 L
.61169 .54496 L
.60964 .54371 L
F
.61169 .52095 m
.61249 .52428 L
.61169 .52587 L
.60965 .52428 L
F
.61169 .48287 m
.61287 .48543 L
.61169 .48792 L
.60968 .48543 L
F
.61169 .46363 m
.61312 .46601 L
.61169 .46919 L
.60969 .46601 L
F
.61169 .55775 m
.61216 .56313 L
.61169 .56404 L
.60971 .56313 L
F
.61169 .50208 m
.61263 .50486 L
.61169 .50678 L
.60973 .50486 L
F
.61169 .4444 m
.61337 .44658 L
.61169 .45063 L
.60977 .44658 L
F
.61169 .42506 m
.61374 .42716 L
.61169 .43253 L
.60979 .42716 L
F
.61169 .40584 m
.61408 .40773 L
.61169 .41464 L
.60993 .40773 L
F
.61169 .4832 m
.61269 .48543 L
.61169 .4876 L
.60995 .48543 L
F
.61169 .52141 m
.61232 .52428 L
.61169 .52555 L
.60999 .52428 L
F
.61169 .46399 m
.61288 .46601 L
.61169 .46877 L
.61 .46601 L
F
.61169 .50244 m
.61247 .50486 L
.61169 .50648 L
.61 .50486 L
F
.61169 .57563 m
.61192 .58256 L
.61169 .58299 L
.61012 .58256 L
F
.61169 .54027 m
.61211 .54371 L
.61169 .54455 L
.61016 .54371 L
F
.61169 .44489 m
.61298 .44658 L
.61169 .44999 L
.6102 .44658 L
F
.61169 .48355 m
.61251 .48543 L
.61169 .48726 L
.61023 .48543 L
F
.61169 .50284 m
.6123 .50486 L
.61169 .50617 L
.6103 .50486 L
F
.61169 .46438 m
.61263 .46601 L
.61169 .46831 L
.61032 .46601 L
F
.61169 .52194 m
.61214 .52428 L
.61169 .52521 L
.61037 .52428 L
F
.61169 .42587 m
.613 .42716 L
.61169 .4314 L
.6105 .42716 L
F
.61169 .48394 m
.61231 .48543 L
.61169 .48688 L
.61053 .48543 L
F
.61169 .50328 m
.61213 .50486 L
.61169 .50582 L
.61063 .50486 L
F
.61169 .44544 m
.61256 .44658 L
.61169 .44922 L
.61067 .44658 L
F
.61169 .46481 m
.61237 .46601 L
.61169 .46779 L
.61068 .46601 L
F
.61169 .55893 m
.61183 .56313 L
.61169 .5634 L
.61081 .56313 L
F
.61169 .52258 m
.61196 .52428 L
.61169 .52484 L
.61082 .52428 L
F
.61169 .54118 m
.61188 .54371 L
.61169 .5441 L
.61082 .54371 L
F
.61169 .48436 m
.61211 .48543 L
.61169 .48646 L
.61087 .48543 L
F
.61169 .50381 m
.61195 .50486 L
.61169 .50545 L
.61101 .50486 L
F
.61169 .46529 m
.61208 .46601 L
.61169 .46717 L
.61108 .46601 L
F
.61169 .44605 m
.61209 .44658 L
.61169 .4482 L
.61121 .44658 L
F
.61169 .48486 m
.6119 .48543 L
.61169 .48598 L
.61126 .48543 L
F
.61169 .4268 m
.61207 .42716 L
.61169 .42973 L
.61136 .42716 L
F
.61169 .52354 m
.61176 .52428 L
.61169 .52444 L
.6114 .52428 L
F
.61169 .4075 m
.61207 .40773 L
.61169 .41225 L
.61146 .40773 L
F
.61169 .50451 m
.61176 .50486 L
.61169 .50502 L
.61149 .50486 L
F
.62141 .59707 m
.62824 .60198 L
.6215 .61169 L
.62141 .61183 L
.61169 .62035 L
.6115 .61169 L
.61169 .61156 L
.61656 .60198 L
F
.61169 .46584 m
.61178 .46601 L
.61169 .46632 L
.61155 .46601 L
F
.61169 .63104 m
.61955 .63112 L
.61169 .63749 L
.61158 .63112 L
F
.63112 .50748 m
.63785 .51457 L
.63172 .52428 L
.64083 .53198 L
.64629 .52428 L
.65054 .51919 L
.65976 .52428 L
.65327 .53399 L
.65054 .53714 L
.64507 .54371 L
.64083 .54968 L
.63267 .54371 L
.63858 .53399 L
.63112 .525 L
.62378 .53399 L
.62141 .53771 L
.61173 .53399 L
.61734 .52428 L
.62141 .52053 L
.62526 .51457 L
F
.63112 .46917 m
.63925 .47572 L
.63293 .48543 L
.64083 .49368 L
.64666 .48543 L
.65054 .48077 L
.65497 .47572 L
.66026 .46811 L
.66789 .47572 L
.66157 .48543 L
.66997 .4926 L
.67622 .48543 L
.67968 .47998 L
.68898 .48543 L
.68331 .49514 L
.67968 .49828 L
.67545 .50486 L
.66997 .51108 L
.66149 .50486 L
.66798 .49514 L
.66026 .48655 L
.6543 .49514 L
.65054 .49944 L
.64601 .50486 L
.64083 .51216 L
.63299 .50486 L
.63921 .49514 L
.63112 .48761 L
.62477 .49514 L
.62141 .50026 L
.61184 .49514 L
.61758 .48543 L
.62141 .48194 L
.62554 .47572 L
F
.63112 .48842 m
.63844 .49514 L
.63232 .50486 L
.64083 .51284 L
.6465 .50486 L
.65054 .50003 L
.65481 .49514 L
.66026 .48725 L
.66735 .49514 L
.66063 .50486 L
.66997 .51188 L
.67616 .50486 L
.67968 .49937 L
.68814 .50486 L
.68237 .51457 L
.67968 .51689 L
.67488 .52428 L
.66997 .52981 L
.66113 .52428 L
.66783 .51457 L
.66026 .50517 L
.65378 .51457 L
.65054 .51829 L
.64553 .52428 L
.64083 .53089 L
.63285 .52428 L
.63891 .51457 L
.63112 .50631 L
.62425 .51457 L
.62141 .51895 L
.61185 .51457 L
.61752 .50486 L
.62141 .5013 L
.62545 .49514 L
F
.63112 .50756 m
.63778 .51457 L
.63163 .52428 L
.64083 .53205 L
.64635 .52428 L
.65054 .51926 L
.65967 .52428 L
.6532 .53399 L
.65054 .53706 L
.64499 .54371 L
.64083 .54958 L
.63279 .54371 L
.63867 .53399 L
.63112 .5249 L
.62369 .53399 L
.62141 .53756 L
.61195 .53399 L
.61746 .52428 L
.62141 .52065 L
.62533 .51457 L
F
.62141 .55905 m
.62975 .56313 L
.62259 .57284 L
.62141 .57472 L
.61197 .57284 L
.61711 .56313 L
F
.62141 .53988 m
.63082 .54371 L
.62315 .55342 L
.62141 .55617 L
.61197 .55342 L
.61731 .54371 L
F
.63112 .46927 m
.63915 .47572 L
.63286 .48543 L
.64083 .49375 L
.64671 .48543 L
.65054 .48084 L
.65503 .47572 L
.66026 .46819 L
.66781 .47572 L
.66149 .48543 L
.66997 .49269 L
.6763 .48543 L
.67968 .4801 L
.68883 .48543 L
.68319 .49514 L
.67968 .49817 L
.67538 .50486 L
.66997 .511 L
.66158 .50486 L
.66804 .49514 L
.66026 .48647 L
.65425 .49514 L
.65054 .49938 L
.64596 .50486 L
.64083 .51209 L
.63306 .50486 L
.63929 .49514 L
.63112 .48753 L
.6247 .49514 L
.62141 .50015 L
.61198 .49514 L
.61771 .48543 L
.62141 .48205 L
.62562 .47572 L
F
.63112 .4885 m
.63836 .49514 L
.63225 .50486 L
.64083 .5129 L
.64655 .50486 L
.65054 .50009 L
.65486 .49514 L
.66026 .48732 L
.66729 .49514 L
.66054 .50486 L
.66997 .51196 L
.67623 .50486 L
.67968 .49947 L
.68801 .50486 L
.68223 .51457 L
.67968 .51677 L
.6748 .52428 L
.66997 .52972 L
.66123 .52428 L
.6679 .51457 L
.66026 .5051 L
.65373 .51457 L
.65054 .51822 L
.64547 .52428 L
.64083 .53082 L
.63293 .52428 L
.63898 .51457 L
.63112 .50622 L
.62418 .51457 L
.62141 .51884 L
.61202 .51457 L
.61764 .50486 L
.62141 .50141 L
.62552 .49514 L
F
.63112 .46936 m
.63906 .47572 L
.6328 .48543 L
.64083 .49382 L
.64677 .48543 L
.65054 .4809 L
.65509 .47572 L
.66026 .46827 L
.66774 .47572 L
.6614 .48543 L
.66997 .49277 L
.67637 .48543 L
.67968 .48021 L
.68868 .48543 L
.68306 .49514 L
.67968 .49806 L
.67531 .50486 L
.66997 .51092 L
.66166 .50486 L
.66811 .49514 L
.66026 .4864 L
.65419 .49514 L
.65054 .49932 L
.64592 .50486 L
.64083 .51202 L
.63313 .50486 L
.63937 .49514 L
.63112 .48745 L
.62463 .49514 L
.62141 .50005 L
.61213 .49514 L
.61783 .48543 L
.62141 .48217 L
.6257 .47572 L
F
.63112 .50765 m
.6377 .51457 L
.63155 .52428 L
.64083 .53213 L
.6464 .52428 L
.65054 .51932 L
.65958 .52428 L
.65313 .53399 L
.65054 .53697 L
.64492 .54371 L
.64083 .54947 L
.6329 .54371 L
.63875 .53399 L
.63112 .5248 L
.6236 .53399 L
.62141 .53742 L
.61218 .53399 L
.61759 .52428 L
.62141 .52076 L
.6254 .51457 L
F
.63112 .48858 m
.63829 .49514 L
.63218 .50486 L
.64083 .51297 L
.6466 .50486 L
.65054 .50014 L
.65491 .49514 L
.66026 .48739 L
.66723 .49514 L
.66045 .50486 L
.66997 .51204 L
.6763 .50486 L
.67968 .49958 L
.68787 .50486 L
.68209 .51457 L
.67968 .51665 L
.67472 .52428 L
.66997 .52962 L
.66134 .52428 L
.66796 .51457 L
.66026 .50503 L
.65367 .51457 L
.65054 .51816 L
.64542 .52428 L
.64083 .53074 L
.63301 .52428 L
.63906 .51457 L
.63112 .50614 L
.6241 .51457 L
.62141 .51873 L
.61218 .51457 L
.61775 .50486 L
.62141 .50151 L
.62559 .49514 L
F
.63112 .46945 m
.63897 .47572 L
.63273 .48543 L
.64083 .49389 L
.64682 .48543 L
.65054 .48096 L
.65514 .47572 L
.66026 .46835 L
.66766 .47572 L
.66132 .48543 L
.66997 .49285 L
.67644 .48543 L
.67968 .48033 L
.68853 .48543 L
.68294 .49514 L
.67968 .49796 L
.67524 .50486 L
.66997 .51084 L
.66175 .50486 L
.66817 .49514 L
.66026 .48633 L
.65414 .49514 L
.65054 .49926 L
.64587 .50486 L
.64083 .51196 L
.63319 .50486 L
.63944 .49514 L
.63112 .48737 L
.62456 .49514 L
.62141 .49994 L
.61228 .49514 L
.61796 .48543 L
.62141 .48228 L
.62578 .47572 L
F
.62141 .54003 m
.63062 .54371 L
.62301 .55342 L
.62141 .55595 L
.61233 .55342 L
.61747 .54371 L
F
.63112 .48866 m
.63821 .49514 L
.63211 .50486 L
.64083 .51304 L
.64665 .50486 L
.65054 .5002 L
.65496 .49514 L
.66026 .48747 L
.66717 .49514 L
.66037 .50486 L
.66997 .51212 L
.67638 .50486 L
.67968 .49969 L
.68774 .50486 L
.68195 .51457 L
.67968 .51653 L
.67464 .52428 L
.66997 .52953 L
.66144 .52428 L
.66802 .51457 L
.66026 .50495 L
.65362 .51457 L
.65054 .5181 L
.64536 .52428 L
.64083 .53066 L
.63309 .52428 L
.63913 .51457 L
.63112 .50605 L
.62403 .51457 L
.62141 .51862 L
.61235 .51457 L
.61786 .50486 L
.62141 .50162 L
.62566 .49514 L
F
.63112 .45024 m
.6398 .45629 L
.63324 .46601 L
.64083 .47487 L
.64704 .46601 L
.65054 .46177 L
.65534 .45629 L
.66026 .44921 L
.66818 .45629 L
.66209 .46601 L
.66997 .47371 L
.67657 .46601 L
.67968 .46103 L
.68932 .46601 L
.68367 .47572 L
.67968 .47917 L
.67571 .48543 L
.66997 .49203 L
.66216 .48543 L
.66841 .47572 L
.66026 .46755 L
.65458 .47572 L
.65054 .48033 L
.6463 .48543 L
.64083 .49319 L
.6334 .48543 L
.6399 .47572 L
.63112 .46852 L
.625 .47572 L
.62141 .48113 L
.61239 .47572 L
.61817 .46601 L
.62141 .46305 L
.62593 .45629 L
F
.63112 .50773 m
.63762 .51457 L
.63147 .52428 L
.64083 .53221 L
.64646 .52428 L
.65054 .51939 L
.65949 .52428 L
.65306 .53399 L
.65054 .53689 L
.64485 .54371 L
.64083 .54937 L
.63302 .54371 L
.63884 .53399 L
.63112 .5247 L
.62351 .53399 L
.62141 .53727 L
.6124 .53399 L
.61771 .52428 L
.62141 .52088 L
.62547 .51457 L
F
.63112 .46954 m
.63887 .47572 L
.63266 .48543 L
.64083 .49396 L
.64687 .48543 L
.65054 .48103 L
.6552 .47572 L
.66026 .46843 L
.66759 .47572 L
.66123 .48543 L
.66997 .49293 L
.67652 .48543 L
.67968 .48044 L
.68838 .48543 L
.68281 .49514 L
.67968 .49785 L
.67517 .50486 L
.66997 .51076 L
.66184 .50486 L
.66823 .49514 L
.66026 .48626 L
.65409 .49514 L
.65054 .4992 L
.64582 .50486 L
.64083 .51189 L
.63326 .50486 L
.63952 .49514 L
.63112 .48728 L
.62449 .49514 L
.62141 .49984 L
.61242 .49514 L
.61808 .48543 L
.62141 .4824 L
.62585 .47572 L
F
.63112 .48874 m
.63813 .49514 L
.63204 .50486 L
.64083 .51311 L
.6467 .50486 L
.65054 .50026 L
.65501 .49514 L
.66026 .48754 L
.6671 .49514 L
.66028 .50486 L
.66997 .5122 L
.67645 .50486 L
.67968 .4998 L
.68761 .50486 L
.68181 .51457 L
.67968 .51641 L
.67456 .52428 L
.66997 .52944 L
.66155 .52428 L
.66809 .51457 L
.66026 .50488 L
.65356 .51457 L
.65054 .51803 L
.64531 .52428 L
.64083 .53059 L
.63317 .52428 L
.63921 .51457 L
.63112 .50597 L
.62396 .51457 L
.62141 .5185 L
.61252 .51457 L
.61798 .50486 L
.62141 .50172 L
.62573 .49514 L
F
.63112 .45037 m
.63966 .45629 L
.63316 .46601 L
.64083 .47496 L
.6471 .46601 L
.65054 .46186 L
.65542 .45629 L
.66026 .44932 L
.66808 .45629 L
.66199 .46601 L
.66997 .47381 L
.67666 .46601 L
.67968 .46117 L
.68912 .46601 L
.68353 .47572 L
.67968 .47905 L
.67564 .48543 L
.66997 .49195 L
.66224 .48543 L
.66848 .47572 L
.66026 .46747 L
.65452 .47572 L
.65054 .48026 L
.64624 .48543 L
.64083 .49312 L
.63346 .48543 L
.63999 .47572 L
.63112 .46843 L
.62492 .47572 L
.62141 .48102 L
.61255 .47572 L
.61833 .46601 L
.62141 .4632 L
.62604 .45629 L
F
.63112 .46963 m
.63878 .47572 L
.6326 .48543 L
.64083 .49403 L
.64692 .48543 L
.65054 .48109 L
.65525 .47572 L
.66026 .46851 L
.66752 .47572 L
.66115 .48543 L
.66997 .49302 L
.67659 .48543 L
.67968 .48056 L
.68823 .48543 L
.68268 .49514 L
.67968 .49774 L
.6751 .50486 L
.66997 .51068 L
.66192 .50486 L
.6683 .49514 L
.66026 .48619 L
.65404 .49514 L
.65054 .49914 L
.64577 .50486 L
.64083 .51182 L
.63333 .50486 L
.6396 .49514 L
.63112 .4872 L
.62442 .49514 L
.62141 .49973 L
.61257 .49514 L
.61821 .48543 L
.62141 .48251 L
.62593 .47572 L
F
.63112 .50781 m
.63755 .51457 L
.63138 .52428 L
.64083 .53229 L
.64651 .52428 L
.65054 .51945 L
.6594 .52428 L
.65299 .53399 L
.65054 .53681 L
.64477 .54371 L
.64083 .54927 L
.63313 .54371 L
.63893 .53399 L
.63112 .5246 L
.62341 .53399 L
.62141 .53713 L
.61263 .53399 L
.61783 .52428 L
.62141 .52099 L
.62555 .51457 L
F
.62141 .57833 m
.62863 .58256 L
.62178 .59227 L
.62141 .59285 L
.61268 .59227 L
.61708 .58256 L
F
.62141 .55928 m
.62945 .56313 L
.62235 .57284 L
.62141 .57433 L
.61268 .57284 L
.61735 .56313 L
F
.63112 .48882 m
.63805 .49514 L
.63197 .50486 L
.64083 .51318 L
.64675 .50486 L
.65054 .50032 L
.6602 .50486 L
.6535 .51457 L
.65054 .51797 L
.64525 .52428 L
.64083 .53051 L
.63325 .52428 L
.63928 .51457 L
.63112 .50589 L
.62388 .51457 L
.62141 .51839 L
.61268 .51457 L
.61809 .50486 L
.62141 .50183 L
.6258 .49514 L
F
.62141 .54018 m
.63042 .54371 L
.62287 .55342 L
.62141 .55573 L
.6127 .55342 L
.61763 .54371 L
F
.63112 .45049 m
.63953 .45629 L
.63308 .46601 L
.64083 .47504 L
.64717 .46601 L
.65054 .46194 L
.65549 .45629 L
.66026 .44942 L
.66797 .45629 L
.6619 .46601 L
.66997 .47391 L
.67675 .46601 L
.67968 .46132 L
.68892 .46601 L
.68339 .47572 L
.67968 .47894 L
.67556 .48543 L
.66997 .49187 L
.66233 .48543 L
.66856 .47572 L
.66026 .46739 L
.65447 .47572 L
.65054 .4802 L
.64619 .48543 L
.64083 .49305 L
.63353 .48543 L
.64009 .47572 L
.63112 .46834 L
.62484 .47572 L
.62141 .4809 L
.6127 .47572 L
.61849 .46601 L
.62141 .46334 L
.62614 .45629 L
F
.63112 .46973 m
.63869 .47572 L
.63253 .48543 L
.64083 .4941 L
.64698 .48543 L
.65054 .48116 L
.65531 .47572 L
.66026 .46859 L
.66744 .47572 L
.66106 .48543 L
.66997 .4931 L
.67666 .48543 L
.67968 .48067 L
.68808 .48543 L
.68256 .49514 L
.67968 .49763 L
.67503 .50486 L
.66997 .5106 L
.66201 .50486 L
.66836 .49514 L
.66026 .48612 L
.65399 .49514 L
.65054 .49908 L
.64572 .50486 L
.64083 .51175 L
.63339 .50486 L
.63968 .49514 L
.63112 .48712 L
.62435 .49514 L
.62141 .49963 L
.61272 .49514 L
.61833 .48543 L
.62141 .48263 L
.62601 .47572 L
F
.63112 .4889 m
.63798 .49514 L
.6319 .50486 L
.64083 .51325 L
.6468 .50486 L
.65054 .50038 L
.66011 .50486 L
.65345 .51457 L
.65054 .5179 L
.6452 .52428 L
.64083 .53043 L
.63333 .52428 L
.63936 .51457 L
.63112 .5058 L
.62381 .51457 L
.62141 .51828 L
.61285 .51457 L
.61821 .50486 L
.62141 .50193 L
.62586 .49514 L
F
.63112 .5079 m
.63747 .51457 L
.6313 .52428 L
.64083 .53237 L
.64657 .52428 L
.65054 .51952 L
.65931 .52428 L
.65292 .53399 L
.65054 .53672 L
.6447 .54371 L
.64083 .54916 L
.63324 .54371 L
.63902 .53399 L
.63112 .5245 L
.62332 .53399 L
.62141 .53698 L
.61285 .53399 L
.61796 .52428 L
.62141 .52111 L
.62562 .51457 L
F
.63112 .45062 m
.6394 .45629 L
.633 .46601 L
.64083 .47513 L
.64724 .46601 L
.65054 .46202 L
.65556 .45629 L
.66026 .44953 L
.66787 .45629 L
.6618 .46601 L
.66997 .47401 L
.67684 .46601 L
.67968 .46147 L
.68872 .46601 L
.68326 .47572 L
.67968 .47882 L
.67549 .48543 L
.66997 .49178 L
.66241 .48543 L
.66864 .47572 L
.66026 .46731 L
.65441 .47572 L
.65054 .48013 L
.64614 .48543 L
.64083 .49298 L
.63359 .48543 L
.64018 .47572 L
.63112 .46824 L
.62476 .47572 L
.62141 .48079 L
.61285 .47572 L
.61865 .46601 L
.62141 .46349 L
.62624 .45629 L
F
.63112 .46982 m
.63859 .47572 L
.63246 .48543 L
.64083 .49417 L
.64703 .48543 L
.65054 .48122 L
.65537 .47572 L
.66026 .46867 L
.66737 .47572 L
.66098 .48543 L
.66997 .49318 L
.67674 .48543 L
.67968 .48079 L
.68793 .48543 L
.68243 .49514 L
.67968 .49752 L
.67496 .50486 L
.66997 .51052 L
.6621 .50486 L
.66843 .49514 L
.66026 .48605 L
.65394 .49514 L
.65054 .49902 L
.64567 .50486 L
.64083 .51169 L
.63346 .50486 L
.63976 .49514 L
.63112 .48704 L
.62428 .49514 L
.62141 .49952 L
.61286 .49514 L
.61846 .48543 L
.62141 .48274 L
.62609 .47572 L
F
.63112 .4314 m
.64032 .43687 L
.63348 .44658 L
.64083 .4562 L
.64748 .44658 L
.65054 .44286 L
.65576 .43687 L
.66026 .43035 L
.66842 .43687 L
.6625 .44658 L
.66997 .45494 L
.67697 .44658 L
.67968 .44217 L
.68575 .43687 L
.68939 .4304 L
.69635 .43687 L
.68967 .44658 L
.69911 .45507 L
.70807 .44658 L
.70882 .44491 L
.71335 .44658 L
.70901 .45629 L
.70882 .45643 L
.70435 .46601 L
.69911 .47096 L
.6918 .46601 L
.69846 .45629 L
.68939 .44677 L
.68393 .45629 L
.67968 .46 L
.67594 .46601 L
.66997 .47301 L
.66277 .46601 L
.66892 .45629 L
.66026 .44846 L
.65483 .45629 L
.65054 .4612 L
.64658 .46601 L
.64083 .47428 L
.63378 .46601 L
.64072 .45629 L
.63112 .44936 L
.6252 .45629 L
.62141 .462 L
.61294 .45629 L
.61892 .44658 L
.62141 .44431 L
.62641 .43687 L
F
.63112 .45074 m
.63926 .45629 L
.63293 .46601 L
.64083 .47521 L
.6473 .46601 L
.65054 .4621 L
.65564 .45629 L
.66026 .44964 L
.66776 .45629 L
.6617 .46601 L
.66997 .47411 L
.67693 .46601 L
.67968 .46161 L
.68852 .46601 L
.68312 .47572 L
.67968 .4787 L
.67542 .48543 L
.66997 .4917 L
.6625 .48543 L
.66871 .47572 L
.66026 .46722 L
.65435 .47572 L
.65054 .48007 L
.64609 .48543 L
.64083 .49291 L
.63366 .48543 L
.64027 .47572 L
.63112 .46815 L
.62468 .47572 L
.62141 .48067 L
.613 .47572 L
.61881 .46601 L
.62141 .46364 L
.62635 .45629 L
F
.63112 .46991 m
.6385 .47572 L
.63239 .48543 L
.64083 .49424 L
.64708 .48543 L
.65054 .48128 L
.65542 .47572 L
.66026 .46875 L
.66729 .47572 L
.66089 .48543 L
.66997 .49326 L
.67681 .48543 L
.67968 .48091 L
.68778 .48543 L
.6823 .49514 L
.67968 .49741 L
.67489 .50486 L
.66997 .51044 L
.66219 .50486 L
.66849 .49514 L
.66026 .48597 L
.65389 .49514 L
.65054 .49897 L
.64562 .50486 L
.64083 .51162 L
.63352 .50486 L
.63983 .49514 L
.63112 .48696 L
.62421 .49514 L
.62141 .49942 L
.61301 .49514 L
.61858 .48543 L
.62141 .48286 L
.62616 .47572 L
F
.63112 .48898 m
.6379 .49514 L
.63183 .50486 L
.64083 .51331 L
.64685 .50486 L
.65054 .50044 L
.66003 .50486 L
.65339 .51457 L
.65054 .51784 L
.64514 .52428 L
.64083 .53035 L
.63341 .52428 L
.63944 .51457 L
.63112 .50572 L
.62374 .51457 L
.62141 .51816 L
.61301 .51457 L
.61832 .50486 L
.62141 .50204 L
.62593 .49514 L
F
.62141 .54033 m
.63022 .54371 L
.62273 .55342 L
.62141 .55551 L
.61307 .55342 L
.61779 .54371 L
F
.63112 .50798 m
.6374 .51457 L
.63121 .52428 L
.64083 .53245 L
.64662 .52428 L
.65054 .51958 L
.65922 .52428 L
.65284 .53399 L
.65054 .53664 L
.64463 .54371 L
.64083 .54906 L
.63336 .54371 L
.63911 .53399 L
.63112 .52439 L
.62323 .53399 L
.62141 .53683 L
.61308 .53399 L
.61808 .52428 L
.62141 .52123 L
.62569 .51457 L
F
.63112 .4316 m
.6401 .43687 L
.63337 .44658 L
.63112 .44923 L
.62509 .45629 L
.62141 .46185 L
.61313 .45629 L
.61917 .44658 L
.62141 .44454 L
.62658 .43687 L
F
.63112 .47 m
.6384 .47572 L
.63232 .48543 L
.64083 .49431 L
.64713 .48543 L
.65054 .48135 L
.65548 .47572 L
.66026 .46883 L
.66722 .47572 L
.66081 .48543 L
.66997 .49335 L
.67689 .48543 L
.67968 .48102 L
.68763 .48543 L
.68217 .49514 L
.67968 .4973 L
.67482 .50486 L
.66997 .51036 L
.66228 .50486 L
.66855 .49514 L
.66026 .4859 L
.65384 .49514 L
.65054 .49891 L
.64557 .50486 L
.64083 .51155 L
.63359 .50486 L
.63991 .49514 L
.63112 .48687 L
.62414 .49514 L
.62141 .49931 L
.61315 .49514 L
.61871 .48543 L
.62141 .48297 L
.62624 .47572 L
F
.63112 .45087 m
.63913 .45629 L
.63285 .46601 L
.64083 .4753 L
.64737 .46601 L
.65054 .46218 L
.65571 .45629 L
.66026 .44974 L
.66766 .45629 L
.66161 .46601 L
.66997 .47421 L
.67702 .46601 L
.67968 .46176 L
.68832 .46601 L
.68299 .47572 L
.67968 .47858 L
.67535 .48543 L
.66997 .49162 L
.66258 .48543 L
.66879 .47572 L
.66026 .46714 L
.6543 .47572 L
.65054 .48001 L
.64604 .48543 L
.64083 .49284 L
.63373 .48543 L
.64037 .47572 L
.63112 .46806 L
.6246 .47572 L
.62141 .48056 L
.61316 .47572 L
.61897 .46601 L
.62141 .46379 L
.62645 .45629 L
F
.63112 .48906 m
.63782 .49514 L
.63176 .50486 L
.64083 .51338 L
.6469 .50486 L
.65054 .5005 L
.65994 .50486 L
.65334 .51457 L
.65054 .51777 L
.64509 .52428 L
.64083 .53028 L
.63349 .52428 L
.63951 .51457 L
.63112 .50563 L
.62366 .51457 L
.62141 .51805 L
.61318 .51457 L
.61844 .50486 L
.62141 .50215 L
.626 .49514 L
F
.63112 .4701 m
.63831 .47572 L
.63225 .48543 L
.64083 .49438 L
.64719 .48543 L
.65054 .48141 L
.65554 .47572 L
.66026 .46891 L
.66715 .47572 L
.66072 .48543 L
.66997 .49343 L
.67696 .48543 L
.67968 .48114 L
.68748 .48543 L
.68205 .49514 L
.67968 .49718 L
.67475 .50486 L
.66997 .51028 L
.66236 .50486 L
.66862 .49514 L
.66026 .48583 L
.65378 .49514 L
.65054 .49885 L
.64552 .50486 L
.64083 .51148 L
.63366 .50486 L
.63999 .49514 L
.63112 .48679 L
.62407 .49514 L
.62141 .49921 L
.6133 .49514 L
.61883 .48543 L
.62141 .48309 L
.62632 .47572 L
F
.63112 .50807 m
.63732 .51457 L
.63113 .52428 L
.64083 .53253 L
.64668 .52428 L
.65054 .51965 L
.65913 .52428 L
.65277 .53399 L
.65054 .53655 L
.64455 .54371 L
.64083 .54896 L
.63347 .54371 L
.6392 .53399 L
.63112 .52429 L
.62313 .53399 L
.62141 .53669 L
.61331 .53399 L
.61821 .52428 L
.62141 .52134 L
.62576 .51457 L
F
.63112 .45099 m
.63899 .45629 L
.63277 .46601 L
.64083 .47538 L
.64744 .46601 L
.65054 .46227 L
.65578 .45629 L
.66026 .44985 L
.66756 .45629 L
.66151 .46601 L
.66997 .47431 L
.67712 .46601 L
.67968 .46191 L
.68812 .46601 L
.68285 .47572 L
.67968 .47846 L
.67527 .48543 L
.66997 .49154 L
.66267 .48543 L
.66886 .47572 L
.66026 .46706 L
.65424 .47572 L
.65054 .47994 L
.64598 .48543 L
.64083 .49277 L
.63379 .48543 L
.64046 .47572 L
.63112 .46796 L
.62452 .47572 L
.62141 .48044 L
.61331 .47572 L
.61914 .46601 L
.62141 .46394 L
.62656 .45629 L
F
.63112 .4318 m
.63987 .43687 L
.63327 .44658 L
.63112 .4491 L
.62499 .45629 L
.62141 .4617 L
.61332 .45629 L
.61941 .44658 L
.62141 .44477 L
.62674 .43687 L
F
.63112 .48914 m
.63774 .49514 L
.63169 .50486 L
.64083 .51345 L
.64695 .50486 L
.65054 .50056 L
.65986 .50486 L
.65328 .51457 L
.65054 .51771 L
.64503 .52428 L
.64083 .5302 L
.63357 .52428 L
.63959 .51457 L
.63112 .50555 L
.62359 .51457 L
.62141 .51793 L
.61335 .51457 L
.61856 .50486 L
.62141 .50225 L
.62607 .49514 L
F
.64083 .40038 m
.64696 .40773 L
.64085 .41744 L
.65054 .42401 L
.65619 .41744 L
.66026 .41152 L
.66865 .41744 L
.66285 .42716 L
.66997 .43624 L
.67739 .42716 L
.67968 .42338 L
.68639 .41744 L
.68939 .412 L
.69599 .41744 L
.69003 .42716 L
.69911 .43661 L
.70881 .43687 L
.70451 .44658 L
.69911 .45186 L
.69271 .44658 L
.69897 .43687 L
.68939 .42756 L
.68418 .43687 L
.67968 .44084 L
.67618 .44658 L
.66997 .45408 L
.66328 .44658 L
.66948 .43687 L
.66026 .42932 L
.65507 .43687 L
.65054 .4421 L
.64149 .43687 L
.64796 .42716 L
.64083 .41746 L
.63371 .42716 L
.63112 .43018 L
.62541 .43687 L
.62141 .44293 L
.6134 .43687 L
.61979 .42716 L
.62141 .42569 L
.62696 .41744 L
.63112 .41262 L
.63536 .40773 L
F
.62141 .55951 m
.62913 .56313 L
.6221 .57284 L
.62141 .57393 L
.61344 .57284 L
.6176 .56313 L
F
.63112 .47019 m
.63821 .47572 L
.63219 .48543 L
.64083 .49445 L
.64724 .48543 L
.65054 .48148 L
.65559 .47572 L
.66026 .46899 L
.66707 .47572 L
.66064 .48543 L
.66997 .49351 L
.67704 .48543 L
.67968 .48126 L
.68733 .48543 L
.68192 .49514 L
.67968 .49707 L
.67468 .50486 L
.66997 .5102 L
.66245 .50486 L
.66868 .49514 L
.66026 .48576 L
.65373 .49514 L
.65054 .49879 L
.64547 .50486 L
.64083 .51142 L
.63372 .50486 L
.64007 .49514 L
.63112 .48671 L
.624 .49514 L
.62141 .4991 L
.61345 .49514 L
.61896 .48543 L
.62141 .48321 L
.6264 .47572 L
F
.62141 .54048 m
.63001 .54371 L
.62259 .55342 L
.62141 .55528 L
.61345 .55342 L
.61795 .54371 L
F
.63112 .45112 m
.63885 .45629 L
.63269 .46601 L
.64083 .47547 L
.6475 .46601 L
.65054 .46235 L
.65586 .45629 L
.66026 .44996 L
.66745 .45629 L
.66141 .46601 L
.66997 .47441 L
.67721 .46601 L
.67968 .46206 L
.68792 .46601 L
.68271 .47572 L
.67968 .47835 L
.6752 .48543 L
.66997 .49145 L
.66275 .48543 L
.66894 .47572 L
.66026 .46698 L
.65419 .47572 L
.65054 .47988 L
.64593 .48543 L
.64083 .4927 L
.63386 .48543 L
.64056 .47572 L
.63112 .46787 L
.62445 .47572 L
.62141 .48032 L
.61346 .47572 L
.6193 .46601 L
.62141 .4641 L
.62666 .45629 L
F
.63112 .432 m
.63964 .43687 L
.63316 .44658 L
.63112 .44898 L
.62488 .45629 L
.62141 .46154 L
.61351 .45629 L
.61966 .44658 L
.62141 .445 L
.62691 .43687 L
F
.63112 .48923 m
.63766 .49514 L
.63162 .50486 L
.64083 .51352 L
.647 .50486 L
.65054 .50062 L
.65977 .50486 L
.65323 .51457 L
.65054 .51764 L
.64498 .52428 L
.64083 .53012 L
.63365 .52428 L
.63967 .51457 L
.63112 .50546 L
.62351 .51457 L
.62141 .51782 L
.61352 .51457 L
.61867 .50486 L
.62141 .50236 L
.62614 .49514 L
F
.62141 .52146 m
.63098 .52428 L
.62304 .53399 L
.62141 .53654 L
.61354 .53399 L
.61834 .52428 L
F
.63112 .47028 m
.63811 .47572 L
.63212 .48543 L
.64083 .49452 L
.64729 .48543 L
.65054 .48154 L
.65565 .47572 L
.66026 .46907 L
.667 .47572 L
.66055 .48543 L
.66997 .4936 L
.67712 .48543 L
.67968 .48138 L
.68718 .48543 L
.68179 .49514 L
.67968 .49696 L
.67461 .50486 L
.66997 .51012 L
.66254 .50486 L
.66875 .49514 L
.66026 .48568 L
.65368 .49514 L
.65054 .49873 L
.64542 .50486 L
.64083 .51135 L
.63379 .50486 L
.64015 .49514 L
.63112 .48662 L
.62393 .49514 L
.62141 .49899 L
.61359 .49514 L
.61909 .48543 L
.62141 .48333 L
.62648 .47572 L
F
.63112 .45124 m
.63872 .45629 L
.63261 .46601 L
.64083 .47555 L
.64757 .46601 L
.65054 .46243 L
.65593 .45629 L
.66026 .45006 L
.66735 .45629 L
.66131 .46601 L
.66997 .47451 L
.6773 .46601 L
.67968 .4622 L
.68772 .46601 L
.68258 .47572 L
.67968 .47823 L
.67513 .48543 L
.66997 .49137 L
.66284 .48543 L
.66902 .47572 L
.66026 .4669 L
.65413 .47572 L
.65054 .47981 L
.64588 .48543 L
.64083 .49263 L
.63392 .48543 L
.64065 .47572 L
.63112 .46777 L
.62437 .47572 L
.62141 .48021 L
.61361 .47572 L
.61946 .46601 L
.62141 .46425 L
.62677 .45629 L
F
.63112 .48931 m
.63758 .49514 L
.63155 .50486 L
.64083 .51359 L
.64705 .50486 L
.65054 .50068 L
.65969 .50486 L
.65317 .51457 L
.65054 .51758 L
.64492 .52428 L
.64083 .53005 L
.63373 .52428 L
.63974 .51457 L
.63112 .50538 L
.62344 .51457 L
.62141 .5177 L
.61368 .51457 L
.61879 .50486 L
.62141 .50247 L
.62621 .49514 L
F
.63112 .41301 m
.64042 .41744 L
.63353 .42716 L
.63112 .42997 L
.62524 .43687 L
.62141 .44269 L
.61368 .43687 L
.62023 .42716 L
.62141 .4261 L
.62727 .41744 L
F
.63112 .4322 m
.63941 .43687 L
.63304 .44658 L
.63112 .44885 L
.62477 .45629 L
.62141 .46139 L
.6137 .45629 L
.61991 .44658 L
.62141 .44523 L
.62708 .43687 L
F
.63112 .47037 m
.63802 .47572 L
.63205 .48543 L
.64083 .4946 L
.64734 .48543 L
.65054 .4816 L
.65571 .47572 L
.66026 .46915 L
.66692 .47572 L
.66047 .48543 L
.66997 .49368 L
.67719 .48543 L
.67968 .48149 L
.68703 .48543 L
.68166 .49514 L
.67968 .49685 L
.67454 .50486 L
.66997 .51004 L
.66263 .50486 L
.66881 .49514 L
.66026 .48561 L
.65363 .49514 L
.65054 .49867 L
.64537 .50486 L
.64083 .51128 L
.63386 .50486 L
.64022 .49514 L
.63112 .48654 L
.62386 .49514 L
.62141 .49889 L
.61374 .49514 L
.61922 .48543 L
.62141 .48344 L
.62655 .47572 L
F
.63112 .45137 m
.63858 .45629 L
.63253 .46601 L
.64083 .47564 L
.64763 .46601 L
.65054 .46251 L
.65601 .45629 L
.66026 .45017 L
.66724 .45629 L
.66121 .46601 L
.66997 .47461 L
.67739 .46601 L
.67968 .46235 L
.68752 .46601 L
.68244 .47572 L
.67968 .47811 L
.67506 .48543 L
.66997 .49129 L
.66292 .48543 L
.6691 .47572 L
.66026 .46681 L
.65407 .47572 L
.65054 .47975 L
.64583 .48543 L
.64083 .49256 L
.63399 .48543 L
.64074 .47572 L
.63112 .46768 L
.62429 .47572 L
.62141 .48009 L
.61377 .47572 L
.61963 .46601 L
.62141 .4644 L
.62687 .45629 L
F
.62141 .52158 m
.63082 .52428 L
.62294 .53399 L
.62141 .53639 L
.61378 .53399 L
.61846 .52428 L
F
.62141 .54064 m
.62979 .54371 L
.62245 .55342 L
.62141 .55506 L
.61385 .55342 L
.61811 .54371 L
F
.63112 .48939 m
.6375 .49514 L
.63148 .50486 L
.64083 .51366 L
.6471 .50486 L
.65054 .50074 L
.6596 .50486 L
.65312 .51457 L
.65054 .51751 L
.64487 .52428 L
.64083 .52997 L
.63381 .52428 L
.63982 .51457 L
.63112 .50529 L
.62336 .51457 L
.62141 .51759 L
.61385 .51457 L
.61891 .50486 L
.62141 .50258 L
.62628 .49514 L
F
.63112 .43241 m
.63918 .43687 L
.63293 .44658 L
.63112 .44872 L
.62467 .45629 L
.62141 .46124 L
.61389 .45629 L
.62016 .44658 L
.62141 .44546 L
.62725 .43687 L
F
.63112 .47047 m
.63792 .47572 L
.63198 .48543 L
.64083 .49467 L
.6474 .48543 L
.65054 .48167 L
.65576 .47572 L
.66026 .46923 L
.66685 .47572 L
.66038 .48543 L
.66997 .49377 L
.67727 .48543 L
.67968 .48161 L
.68688 .48543 L
.68153 .49514 L
.67968 .49673 L
.67447 .50486 L
.66997 .50996 L
.66272 .50486 L
.66888 .49514 L
.66026 .48554 L
.65358 .49514 L
.65054 .49861 L
.64532 .50486 L
.64083 .51121 L
.63392 .50486 L
.6403 .49514 L
.63112 .48646 L
.62378 .49514 L
.62141 .49878 L
.61389 .49514 L
.61935 .48543 L
.62141 .48356 L
.62663 .47572 L
F
.63112 .45149 m
.63844 .45629 L
.63245 .46601 L
.63112 .46758 L
.62421 .47572 L
.62141 .47997 L
.61392 .47572 L
.6198 .46601 L
.62141 .46455 L
.62698 .45629 L
F
.63112 .41339 m
.63997 .41744 L
.63334 .42716 L
.63112 .42976 L
.62508 .43687 L
.62141 .44245 L
.61396 .43687 L
.62068 .42716 L
.62141 .42651 L
.62759 .41744 L
F
.62141 .5217 m
.63065 .52428 L
.62285 .53399 L
.62141 .53624 L
.61401 .53399 L
.61859 .52428 L
F
.63112 .48947 m
.63743 .49514 L
.63141 .50486 L
.64083 .51373 L
.64715 .50486 L
.65054 .5008 L
.65952 .50486 L
.65306 .51457 L
.65054 .51745 L
.64481 .52428 L
.64083 .52989 L
.63389 .52428 L
.6399 .51457 L
.63112 .5052 L
.62328 .51457 L
.62141 .51747 L
.61403 .51457 L
.61902 .50486 L
.62141 .50269 L
.62635 .49514 L
F
.63112 .47056 m
.63783 .47572 L
.63191 .48543 L
.64083 .49474 L
.64745 .48543 L
.65054 .48173 L
.65582 .47572 L
.66026 .46931 L
.66678 .47572 L
.6603 .48543 L
.66997 .49385 L
.67734 .48543 L
.67968 .48173 L
.68673 .48543 L
.6814 .49514 L
.67968 .49662 L
.6744 .50486 L
.66997 .50988 L
.66281 .50486 L
.66895 .49514 L
.66026 .48547 L
.65353 .49514 L
.65054 .49855 L
.64528 .50486 L
.64083 .51114 L
.63399 .50486 L
.64038 .49514 L
.63112 .48637 L
.62371 .49514 L
.62141 .49867 L
.61404 .49514 L
.61947 .48543 L
.62141 .48368 L
.62671 .47572 L
F
.63112 .45162 m
.6383 .45629 L
.63236 .46601 L
.63112 .46748 L
.62412 .47572 L
.62141 .47985 L
.61407 .47572 L
.61996 .46601 L
.62141 .4647 L
.62708 .45629 L
F
.63112 .43261 m
.63895 .43687 L
.63282 .44658 L
.63112 .44858 L
.62456 .45629 L
.62141 .46108 L
.61407 .45629 L
.62042 .44658 L
.62141 .44569 L
.62742 .43687 L
F
.63112 .47065 m
.63773 .47572 L
.63184 .48543 L
.64083 .49481 L
.6475 .48543 L
.65054 .4818 L
.6602 .48543 L
.65347 .49514 L
.65054 .49849 L
.64523 .50486 L
.64083 .51108 L
.63406 .50486 L
.64046 .49514 L
.63112 .48629 L
.62364 .49514 L
.62141 .49856 L
.61418 .49514 L
.6196 .48543 L
.62141 .4838 L
.62679 .47572 L
F
.63112 .48955 m
.63735 .49514 L
.63134 .50486 L
.64083 .5138 L
.6472 .50486 L
.65054 .50086 L
.65943 .50486 L
.653 .51457 L
.65054 .51738 L
.64476 .52428 L
.64083 .52982 L
.63397 .52428 L
.63998 .51457 L
.63112 .50512 L
.62321 .51457 L
.62141 .51735 L
.6142 .51457 L
.61914 .50486 L
.62141 .5028 L
.62641 .49514 L
F
.62141 .40784 m
.62538 .41744 L
.62141 .42358 L
.61422 .41744 L
F
.63112 .45174 m
.63816 .45629 L
.63228 .46601 L
.63112 .46739 L
.62404 .47572 L
.62141 .47973 L
.61423 .47572 L
.62013 .46601 L
.62141 .46486 L
.62719 .45629 L
F
.63112 .41378 m
.63951 .41744 L
.63316 .42716 L
.63112 .42955 L
.62491 .43687 L
.62141 .44221 L
.61424 .43687 L
.62114 .42716 L
.62141 .42692 L
.62791 .41744 L
F
.62141 .54079 m
.62958 .54371 L
.62231 .55342 L
.62141 .55483 L
.61425 .55342 L
.61827 .54371 L
F
.62141 .52182 m
.63049 .52428 L
.62275 .53399 L
.62141 .53609 L
.61426 .53399 L
.61872 .52428 L
F
.62141 .55975 m
.62881 .56313 L
.62184 .57284 L
.62141 .57352 L
.61426 .57284 L
.61785 .56313 L
F
.63112 .43281 m
.63871 .43687 L
.63271 .44658 L
.63112 .44845 L
.62445 .45629 L
.62141 .46093 L
.61427 .45629 L
.62068 .44658 L
.62141 .44593 L
.62759 .43687 L
F
.63112 .47074 m
.63763 .47572 L
.63177 .48543 L
.64083 .49488 L
.64756 .48543 L
.65054 .48186 L
.66011 .48543 L
.65342 .49514 L
.65054 .49843 L
.64518 .50486 L
.64083 .51101 L
.63412 .50486 L
.64054 .49514 L
.63112 .4862 L
.62357 .49514 L
.62141 .49846 L
.61433 .49514 L
.61974 .48543 L
.62141 .48392 L
.62687 .47572 L
F
.63112 .48963 m
.63727 .49514 L
.63126 .50486 L
.64083 .51387 L
.64725 .50486 L
.65054 .50092 L
.65934 .50486 L
.65295 .51457 L
.65054 .51732 L
.6447 .52428 L
.64083 .52974 L
.63405 .52428 L
.64005 .51457 L
.63112 .50503 L
.62313 .51457 L
.62141 .51723 L
.61437 .51457 L
.61926 .50486 L
.62141 .50291 L
.62648 .49514 L
F
.63112 .45187 m
.63802 .45629 L
.6322 .46601 L
.63112 .46729 L
.62396 .47572 L
.62141 .47961 L
.61438 .47572 L
.6203 .46601 L
.62141 .46501 L
.6273 .45629 L
F
.63112 .43301 m
.63846 .43687 L
.6326 .44658 L
.63112 .44832 L
.62434 .45629 L
.62141 .46077 L
.61446 .45629 L
.62094 .44658 L
.62141 .44616 L
.62776 .43687 L
F
.63112 .47084 m
.63753 .47572 L
.6317 .48543 L
.64083 .49495 L
.64761 .48543 L
.65054 .48193 L
.66001 .48543 L
.65337 .49514 L
.65054 .49837 L
.64513 .50486 L
.64083 .51094 L
.63419 .50486 L
.64062 .49514 L
.63112 .48612 L
.62349 .49514 L
.62141 .49835 L
.61449 .49514 L
.61987 .48543 L
.62141 .48404 L
.62695 .47572 L
F
.62141 .52194 m
.63032 .52428 L
.62265 .53399 L
.62141 .53594 L
.6145 .53399 L
.61885 .52428 L
F
.62141 .42731 m
.62473 .43687 L
.62141 .44197 L
.61452 .43687 L
F
.63112 .452 m
.63787 .45629 L
.63212 .46601 L
.63112 .46719 L
.62388 .47572 L
.62141 .47949 L
.61454 .47572 L
.62047 .46601 L
.62141 .46517 L
.6274 .45629 L
F
.63112 .48971 m
.63719 .49514 L
.63119 .50486 L
.64083 .51394 L
.6473 .50486 L
.65054 .50098 L
.65926 .50486 L
.65289 .51457 L
.65054 .51725 L
.64465 .52428 L
.64083 .52966 L
.63413 .52428 L
.64013 .51457 L
.63112 .50494 L
.62305 .51457 L
.62141 .51712 L
.61455 .51457 L
.61938 .50486 L
.62141 .50302 L
.62655 .49514 L
F
.63112 .47093 m
.63743 .47572 L
.63163 .48543 L
.64083 .49503 L
.64766 .48543 L
.65054 .48199 L
.65991 .48543 L
.65332 .49514 L
.65054 .49831 L
.64508 .50486 L
.64083 .51087 L
.63426 .50486 L
.6407 .49514 L
.63112 .48603 L
.62342 .49514 L
.62141 .49824 L
.61464 .49514 L
.62 .48543 L
.62141 .48416 L
.62703 .47572 L
F
.63112 .43322 m
.63822 .43687 L
.63248 .44658 L
.63112 .44819 L
.62424 .45629 L
.62141 .46061 L
.61465 .45629 L
.6212 .44658 L
.62141 .4464 L
.62793 .43687 L
F
.62141 .54095 m
.62935 .54371 L
.62216 .55342 L
.62141 .5546 L
.61468 .55342 L
.61844 .54371 L
F
.63112 .45213 m
.63773 .45629 L
.63204 .46601 L
.63112 .46709 L
.6238 .47572 L
.62141 .47937 L
.61469 .47572 L
.62065 .46601 L
.62141 .46533 L
.62751 .45629 L
F
.62141 .40848 m
.62506 .41744 L
.62141 .42314 L
.61471 .41744 L
F
.63112 .4898 m
.63711 .49514 L
.63112 .50486 L
.64083 .51401 L
.64735 .50486 L
.65054 .50104 L
.65917 .50486 L
.65283 .51457 L
.65054 .51718 L
.64459 .52428 L
.64083 .52958 L
.63421 .52428 L
.64021 .51457 L
.63112 .50486 L
.62297 .51457 L
.62141 .517 L
.61473 .51457 L
.6195 .50486 L
.62141 .50313 L
.62662 .49514 L
F
.62141 .37008 m
.626 .37859 L
.62141 .38609 L
.61475 .37859 L
F
.62141 .52206 m
.63014 .52428 L
.62255 .53399 L
.62141 .53578 L
.61476 .53399 L
.61898 .52428 L
F
.63112 .47103 m
.63733 .47572 L
.63155 .48543 L
.64083 .4951 L
.64772 .48543 L
.65054 .48206 L
.65982 .48543 L
.65327 .49514 L
.65054 .49825 L
.64503 .50486 L
.64083 .5108 L
.63432 .50486 L
.64078 .49514 L
.63112 .48595 L
.62335 .49514 L
.62141 .49813 L
.61479 .49514 L
.62013 .48543 L
.62141 .48429 L
.62711 .47572 L
F
.62141 .42767 m
.62456 .43687 L
.62141 .44173 L
.61481 .43687 L
F
.62141 .44663 m
.62413 .45629 L
.62141 .46046 L
.61484 .45629 L
F
.63112 .45225 m
.63758 .45629 L
.63195 .46601 L
.63112 .46699 L
.62372 .47572 L
.62141 .47925 L
.61485 .47572 L
.62082 .46601 L
.62141 .46549 L
.62762 .45629 L
F
.62141 .50324 m
.63097 .50486 L
.6229 .51457 L
.62141 .51688 L
.61491 .51457 L
.61963 .50486 L
F
.63112 .47112 m
.63723 .47572 L
.63148 .48543 L
.63112 .48586 L
.62327 .49514 L
.62141 .49802 L
.61495 .49514 L
.62027 .48543 L
.62141 .48441 L
.62719 .47572 L
F
.62141 .38963 m
.62534 .39802 L
.62141 .40432 L
.61498 .39802 L
F
.63112 .45238 m
.63744 .45629 L
.63187 .46601 L
.63112 .46689 L
.62363 .47572 L
.62141 .47913 L
.61501 .47572 L
.621 .46601 L
.62141 .46564 L
.62773 .45629 L
F
.62141 .52218 m
.62996 .52428 L
.62246 .53399 L
.62141 .53563 L
.61501 .53399 L
.61911 .52428 L
F
.62141 .44688 m
.62402 .45629 L
.62141 .4603 L
.61504 .45629 L
F
.62141 .42803 m
.62439 .43687 L
.62141 .44148 L
.61509 .43687 L
F
.62141 .50336 m
.63081 .50486 L
.62282 .51457 L
.62141 .51676 L
.6151 .51457 L
.61975 .50486 L
F
.63112 .47121 m
.63713 .47572 L
.63141 .48543 L
.63112 .48578 L
.6232 .49514 L
.62141 .4979 L
.6151 .49514 L
.62041 .48543 L
.62141 .48453 L
.62727 .47572 L
F
.62141 .5411 m
.62912 .54371 L
.62201 .55342 L
.62141 .55437 L
.61513 .55342 L
.61861 .54371 L
F
.63112 .45251 m
.63729 .45629 L
.63178 .46601 L
.63112 .46679 L
.62355 .47572 L
.62141 .47901 L
.61517 .47572 L
.62118 .46601 L
.62141 .46581 L
.62784 .45629 L
F
.62141 .55999 m
.62848 .56313 L
.62158 .57284 L
.62141 .57311 L
.6152 .57284 L
.6181 .56313 L
F
.62141 .40912 m
.62473 .41744 L
.62141 .42268 L
.61521 .41744 L
F
.62141 .44712 m
.6239 .45629 L
.62141 .46014 L
.61523 .45629 L
F
.63112 .47131 m
.63703 .47572 L
.63134 .48543 L
.63112 .48569 L
.62312 .49514 L
.62141 .49779 L
.61526 .49514 L
.62054 .48543 L
.62141 .48466 L
.62735 .47572 L
F
.62141 .5223 m
.62978 .52428 L
.62236 .53399 L
.62141 .53547 L
.61528 .53399 L
.61924 .52428 L
F
.62141 .50347 m
.63065 .50486 L
.62274 .51457 L
.62141 .51663 L
.61528 .51457 L
.61987 .50486 L
F
.63112 .45264 m
.63714 .45629 L
.6317 .46601 L
.63112 .46669 L
.62347 .47572 L
.62141 .47888 L
.61533 .47572 L
.62136 .46601 L
.62141 .46597 L
.62795 .45629 L
F
.62141 .4284 m
.62421 .43687 L
.62141 .44123 L
.61538 .43687 L
F
.63112 .4714 m
.63693 .47572 L
.63126 .48543 L
.63112 .4856 L
.62305 .49514 L
.62141 .49768 L
.61542 .49514 L
.62068 .48543 L
.62141 .48479 L
.62743 .47572 L
F
.62141 .44737 m
.62379 .45629 L
.62141 .45997 L
.61543 .45629 L
F
.62141 .50359 m
.63048 .50486 L
.62266 .51457 L
.62141 .51651 L
.61547 .51457 L
.62 .50486 L
F
.62141 .46615 m
.62338 .47572 L
.62141 .47876 L
.6155 .47572 L
F
.62141 .52243 m
.62959 .52428 L
.62225 .53399 L
.62141 .53532 L
.61556 .53399 L
.61938 .52428 L
F
.63112 .4715 m
.63683 .47572 L
.63119 .48543 L
.63112 .48551 L
.62297 .49514 L
.62141 .49756 L
.61558 .49514 L
.62083 .48543 L
.62141 .48491 L
.62751 .47572 L
F
.62141 .54126 m
.62889 .54371 L
.62186 .55342 L
.62141 .55413 L
.61561 .55342 L
.61877 .54371 L
F
.62141 .44762 m
.62368 .45629 L
.62141 .45981 L
.61563 .45629 L
F
.62141 .46635 m
.6233 .47572 L
.62141 .47863 L
.61566 .47572 L
F
.62141 .42877 m
.62404 .43687 L
.62141 .44098 L
.61567 .43687 L
F
.62141 .5037 m
.63031 .50486 L
.62258 .51457 L
.62141 .51639 L
.61567 .51457 L
.62013 .50486 L
F
.62141 .40976 m
.6244 .41744 L
.62141 .42222 L
.61571 .41744 L
F
.62141 .48504 m
.63111 .48543 L
.6229 .49514 L
.62141 .49745 L
.61575 .49514 L
.62097 .48543 L
F
.62141 .46655 m
.62321 .47572 L
.62141 .47851 L
.61583 .47572 L
F
.62141 .44788 m
.62357 .45629 L
.62141 .45964 L
.61583 .45629 L
F
.62141 .52255 m
.6294 .52428 L
.62215 .53399 L
.62141 .53516 L
.61584 .53399 L
.61951 .52428 L
F
.62141 .50382 m
.63013 .50486 L
.6225 .51457 L
.62141 .51626 L
.61587 .51457 L
.62025 .50486 L
F
.62141 .48517 m
.63093 .48543 L
.62282 .49514 L
.62141 .49733 L
.61592 .49514 L
.62111 .48543 L
F
.62141 .42915 m
.62386 .43687 L
.62141 .44072 L
.61596 .43687 L
F
.62141 .46675 m
.62312 .47572 L
.62141 .47838 L
.616 .47572 L
F
.62141 .39097 m
.6246 .39802 L
.62141 .40331 L
.61602 .39802 L
F
.62141 .44814 m
.62345 .45629 L
.62141 .45947 L
.61604 .45629 L
F
.62141 .50394 m
.62994 .50486 L
.62241 .51457 L
.62141 .51614 L
.61607 .51457 L
.62038 .50486 L
F
.62141 .4853 m
.63074 .48543 L
.62274 .49514 L
.62141 .49722 L
.61609 .49514 L
.62126 .48543 L
F
.62141 .52268 m
.6292 .52428 L
.62205 .53399 L
.62141 .535 L
.61615 .53399 L
.61965 .52428 L
F
.62141 .54142 m
.62864 .54371 L
.62171 .55342 L
.62141 .55389 L
.61615 .55342 L
.61894 .54371 L
F
.62141 .46696 m
.62304 .47572 L
.62141 .47825 L
.61617 .47572 L
F
.62141 .41042 m
.62406 .41744 L
.62141 .42174 L
.61622 .41744 L
F
.62141 .4484 m
.62334 .45629 L
.62141 .4593 L
.61625 .45629 L
F
.62141 .48544 m
.62266 .49514 L
.62141 .4971 L
.61626 .49514 L
F
.62141 .42954 m
.62367 .43687 L
.62141 .44045 L
.61627 .43687 L
F
.62141 .50406 m
.62975 .50486 L
.62233 .51457 L
.62141 .51601 L
.61628 .51457 L
.62051 .50486 L
F
.62141 .46717 m
.62295 .47572 L
.62141 .47812 L
.61635 .47572 L
F
.62141 .61602 m
.62759 .62141 L
.62141 .63048 L
.61636 .62141 L
F
.62141 .48563 m
.62259 .49514 L
.62141 .49698 L
.61644 .49514 L
F
.62141 .5228 m
.62899 .52428 L
.62195 .53399 L
.62141 .53484 L
.61646 .53399 L
.61978 .52428 L
F
.62141 .44867 m
.62322 .45629 L
.62141 .45913 L
.61646 .45629 L
F
.62141 .50418 m
.62955 .50486 L
.62225 .51457 L
.62141 .51588 L
.6165 .51457 L
.62065 .50486 L
F
.62141 .46739 m
.62286 .47572 L
.62141 .47798 L
.61653 .47572 L
F
.62141 .42993 m
.62349 .43687 L
.62141 .44018 L
.61658 .43687 L
F
.62141 .48582 m
.62251 .49514 L
.62141 .49686 L
.61662 .49514 L
F
.62141 .44894 m
.6231 .45629 L
.62141 .45896 L
.61668 .45629 L
F
.62141 .46761 m
.62277 .47572 L
.62141 .47785 L
.61672 .47572 L
F
.62141 .5043 m
.62934 .50486 L
.62216 .51457 L
.62141 .51575 L
.61673 .51457 L
.62078 .50486 L
F
.62141 .54158 m
.62839 .54371 L
.62155 .55342 L
.62141 .55365 L
.61675 .55342 L
.61912 .54371 L
F
.62141 .41111 m
.62372 .41744 L
.62141 .42123 L
.61676 .41744 L
F
.62141 .52293 m
.62877 .52428 L
.62184 .53399 L
.62141 .53467 L
.6168 .53399 L
.61992 .52428 L
F
.62141 .48601 m
.62243 .49514 L
.62141 .49674 L
.61681 .49514 L
F
.62141 .43034 m
.6233 .43687 L
.62141 .4399 L
.61689 .43687 L
F
.62141 .46783 m
.62268 .47572 L
.62141 .47772 L
.6169 .47572 L
F
.62141 .44923 m
.62298 .45629 L
.62141 .45878 L
.61691 .45629 L
F
.62141 .50442 m
.62912 .50486 L
.62208 .51457 L
.62141 .51562 L
.61696 .51457 L
.62092 .50486 L
F
.62141 .48622 m
.62235 .49514 L
.62141 .49661 L
.61701 .49514 L
F
.62141 .46807 m
.62259 .47572 L
.62141 .47758 L
.6171 .47572 L
F
.62141 .39237 m
.62383 .39802 L
.62141 .40221 L
.61712 .39802 L
F
.62141 .44952 m
.62286 .45629 L
.62141 .4586 L
.61714 .45629 L
F
.62141 .52306 m
.62855 .52428 L
.62173 .53399 L
.62141 .53451 L
.61717 .53399 L
.62006 .52428 L
F
.62141 .48643 m
.62227 .49514 L
.62141 .49649 L
.61721 .49514 L
F
.62141 .50455 m
.62889 .50486 L
.62199 .51457 L
.62141 .51549 L
.61721 .51457 L
.62106 .50486 L
F
.62141 .43076 m
.62311 .43687 L
.62141 .43962 L
.61722 .43687 L
F
.62141 .4683 m
.6225 .47572 L
.62141 .47744 L
.6173 .47572 L
F
.62141 .41182 m
.62336 .41744 L
.62141 .42071 L
.61732 .41744 L
F
.62141 .37344 m
.62401 .37859 L
.62141 .38345 L
.61737 .37859 L
F
.62141 .44982 m
.62274 .45629 L
.62141 .45841 L
.61737 .45629 L
F
.62141 .48664 m
.62218 .49514 L
.62141 .49636 L
.61741 .49514 L
F
.62141 .50467 m
.62864 .50486 L
.62191 .51457 L
.62141 .51536 L
.61747 .51457 L
.6212 .50486 L
F
.62141 .46855 m
.62241 .47572 L
.62141 .4773 L
.6175 .47572 L
F
.62141 .598 m
.62713 .60198 L
.62141 .6103 L
.61752 .60198 L
F
.62141 .57876 m
.62808 .58256 L
.62141 .59205 L
.61753 .58256 L
F
.62141 .4312 m
.62291 .43687 L
.62141 .43933 L
.61757 .43687 L
F
.62141 .52319 m
.62832 .52428 L
.62163 .53399 L
.62141 .53434 L
.61758 .53399 L
.62021 .52428 L
F
.62141 .45013 m
.62261 .45629 L
.62141 .45823 L
.61762 .45629 L
F
.62141 .48686 m
.6221 .49514 L
.62141 .49624 L
.61763 .49514 L
F
.62141 .46881 m
.62231 .47572 L
.62141 .47716 L
.61772 .47572 L
F
.62141 .63644 m
.62545 .64083 L
.62141 .64706 L
.61772 .64083 L
F
.62141 .5048 m
.62838 .50486 L
.62182 .51457 L
.62141 .51522 L
.61775 .51457 L
.62134 .50486 L
F
.62141 .4871 m
.62202 .49514 L
.62141 .49611 L
.61786 .49514 L
F
.62141 .45045 m
.62249 .45629 L
.62141 .45803 L
.61788 .45629 L
F
.62141 .41258 m
.62299 .41744 L
.62141 .42014 L
.61792 .41744 L
F
.62141 .43166 m
.62271 .43687 L
.62141 .43902 L
.61793 .43687 L
F
.62141 .46907 m
.62222 .47572 L
.62141 .47701 L
.61794 .47572 L
F
.62141 .5792 m
.6275 .58256 L
.62141 .59131 L
.61798 .58256 L
F
.62141 .52333 m
.62807 .52428 L
.62152 .53399 L
.62141 .53417 L
.61805 .53399 L
.62035 .52428 L
F
.62141 .50498 m
.62173 .51457 L
.62141 .51508 L
.61805 .51457 L
F
.62141 .35491 m
.62376 .35917 L
.62141 .36416 L
.61808 .35917 L
F
.62141 .48734 m
.62193 .49514 L
.62141 .49598 L
.6181 .49514 L
F
.62141 .45079 m
.62236 .45629 L
.62141 .45784 L
.61815 .45629 L
F
.62141 .46935 m
.62212 .47572 L
.62141 .47686 L
.61818 .47572 L
F
.62141 .43215 m
.62251 .43687 L
.62141 .43871 L
.61831 .43687 L
F
.62141 .39393 m
.62299 .39802 L
.62141 .40095 L
.61834 .39802 L
F
.62141 .56023 m
.62814 .56313 L
.62141 .57269 L
.61835 .56313 L
F
.62141 .48759 m
.62185 .49514 L
.62141 .49584 L
.61836 .49514 L
F
.62141 .5052 m
.62164 .51457 L
.62141 .51494 L
.61839 .51457 L
F
.62141 .46964 m
.62203 .47572 L
.62141 .47671 L
.61842 .47572 L
F
.62141 .45115 m
.62223 .45629 L
.62141 .45763 L
.61843 .45629 L
F
.62141 .57965 m
.6269 .58256 L
.62141 .59055 L
.61844 .58256 L
F
.62141 .599 m
.62592 .60198 L
.62141 .60873 L
.61851 .60198 L
F
.62141 .41342 m
.6226 .41744 L
.62141 .41954 L
.61857 .41744 L
F
.62141 .56047 m
.62778 .56313 L
.62141 .57226 L
.61861 .56313 L
F
.62141 .48785 m
.62176 .49514 L
.62141 .49571 L
.61864 .49514 L
F
.62141 .46995 m
.62193 .47572 L
.62141 .47656 L
.61869 .47572 L
F
.62141 .43268 m
.6223 .43687 L
.62141 .43838 L
.61873 .43687 L
F
.62141 .45154 m
.6221 .45629 L
.62141 .45743 L
.61874 .45629 L
F
.62141 .50544 m
.62155 .51457 L
.62141 .5148 L
.61878 .51457 L
F
.62141 .56072 m
.62741 .56313 L
.62141 .57182 L
.61887 .56313 L
F
.62141 .61861 m
.62478 .62141 L
.62141 .62669 L
.61889 .62141 L
F
.62141 .58012 m
.62625 .58256 L
.62141 .58975 L
.61892 .58256 L
F
.62141 .48813 m
.62167 .49514 L
.62141 .49557 L
.61896 .49514 L
F
.62141 .47028 m
.62183 .47572 L
.62141 .4764 L
.61898 .47572 L
F
.62141 .45195 m
.62196 .45629 L
.62141 .45721 L
.61907 .45629 L
F
.62141 .56098 m
.62703 .56313 L
.62141 .57136 L
.61914 .56313 L
F
.62141 .43327 m
.62208 .43687 L
.62141 .43803 L
.61919 .43687 L
F
.62141 .50569 m
.62146 .51457 L
.62141 .51465 L
.61927 .51457 L
F
.62141 .54175 m
.62813 .54371 L
.62141 .5534 L
.61929 .54371 L
F
.62141 .47064 m
.62173 .47572 L
.62141 .47624 L
.61931 .47572 L
F
.62141 .48843 m
.62158 .49514 L
.62141 .49543 L
.61932 .49514 L
F
.62141 .41439 m
.62219 .41744 L
.62141 .41887 L
.61933 .41744 L
F
.62141 .56124 m
.62662 .56313 L
.62141 .57088 L
.61941 .56313 L
F
.62141 .58062 m
.62555 .58256 L
.62141 .5889 L
.61943 .58256 L
F
.62141 .45242 m
.62182 .45629 L
.62141 .45699 L
.61944 .45629 L
F
.62141 .54191 m
.62786 .54371 L
.62141 .55309 L
.61947 .54371 L
F
.62141 .60012 m
.62451 .60198 L
.62141 .60696 L
.61961 .60198 L
F
.62141 .54208 m
.62758 .54371 L
.62141 .55278 L
.61965 .54371 L
F
.62141 .47103 m
.62162 .47572 L
.62141 .47607 L
.61969 .47572 L
F
.62141 .56151 m
.62618 .56313 L
.62141 .57038 L
.61969 .56313 L
F
.62141 .43396 m
.62186 .43687 L
.62141 .43766 L
.61972 .43687 L
F
.62141 .48875 m
.62149 .49514 L
.62141 .49529 L
.61978 .49514 L
F
.62141 .54225 m
.62729 .54371 L
.62141 .55246 L
.61983 .54371 L
F
.62141 .45295 m
.62168 .45629 L
.62141 .45676 L
.61988 .45629 L
F
.62141 .39589 m
.62206 .39802 L
.62141 .39937 L
.61989 .39802 L
F
.62141 .58114 m
.62475 .58256 L
.62141 .58795 L
.61996 .58256 L
F
.62141 .56179 m
.6257 .56313 L
.62141 .56984 L
.61998 .56313 L
F
.62141 .54243 m
.62697 .54371 L
.62141 .55213 L
.62001 .54371 L
F
.62141 .47148 m
.62152 .47572 L
.62141 .4759 L
.62016 .47572 L
F
.62141 .5426 m
.62664 .54371 L
.62141 .55178 L
.6202 .54371 L
F
.62141 .56208 m
.62518 .56313 L
.62141 .56927 L
.62028 .56313 L
F
.62141 .41564 m
.62174 .41744 L
.62141 .4181 L
.62029 .41744 L
F
.62141 .43485 m
.62162 .43687 L
.62141 .43725 L
.62039 .43687 L
F
.62141 .54278 m
.62628 .54371 L
.62141 .55141 L
.6204 .54371 L
F
.62141 .45361 m
.62154 .45629 L
.62141 .45652 L
.62044 .45629 L
F
.62141 .52346 m
.62781 .52428 L
.62141 .53399 L
.6205 .52428 L
F
.62141 .58171 m
.62379 .58256 L
.62141 .58684 L
.62053 .58256 L
F
.62141 .56238 m
.62458 .56313 L
.62141 .56863 L
.6206 .56313 L
F
.62141 .54297 m
.62589 .54371 L
.62141 .55102 L
.6206 .54371 L
F
.62141 .5236 m
.62754 .52428 L
.62141 .53373 L
.62065 .52428 L
F
.62141 .54316 m
.62545 .54371 L
.62141 .55061 L
.6208 .54371 L
F
.62141 .52374 m
.62724 .52428 L
.62141 .53347 L
.6208 .52428 L
F
.62141 .60145 m
.62256 .60198 L
.62141 .60451 L
.62089 .60198 L
F
.62141 .56269 m
.62384 .56313 L
.62141 .56789 L
.62093 .56313 L
F
.62141 .52388 m
.62692 .52428 L
.62141 .53319 L
.62096 .52428 L
F
.62141 .54335 m
.62495 .54371 L
.62141 .55015 L
.62101 .54371 L
F
.62141 .47202 m
.62141 .47572 L
.62141 .47573 L
.62109 .47572 L
F
.62141 .52402 m
.62657 .52428 L
.62141 .53289 L
.62112 .52428 L
F
.62141 .58233 m
.62238 .58256 L
.62141 .58528 L
.62118 .58256 L
F
.62141 .37834 m
.62148 .37859 L
.62141 .37885 L
.62122 .37859 L
F
.62141 .54355 m
.62432 .54371 L
.62141 .54965 L
.62123 .54371 L
F
.62141 .56301 m
.62274 .56313 L
.62141 .56697 L
.62128 .56313 L
F
.62141 .52417 m
.62617 .52428 L
.62141 .53258 L
.62128 .52428 L
F
.63112 .43342 m
.63796 .43687 L
.63237 .44658 L
.63112 .44805 L
.62147 .44658 L
.6281 .43687 L
F
.63112 .39467 m
.64056 .39802 L
.63362 .40773 L
.63112 .41065 L
.62154 .40773 L
.62817 .39802 L
F
.63112 .45277 m
.63698 .45629 L
.63161 .46601 L
.63112 .46659 L
.62159 .46601 L
.62806 .45629 L
F
.63112 .41416 m
.63902 .41744 L
.63298 .42716 L
.63112 .42933 L
.62159 .42716 L
.62824 .41744 L
F
.63112 .43363 m
.6377 .43687 L
.63225 .44658 L
.63112 .44792 L
.62177 .44658 L
.62828 .43687 L
F
.63112 .4529 m
.63683 .45629 L
.63153 .46601 L
.63112 .46649 L
.62184 .46601 L
.62817 .45629 L
F
.63112 .41456 m
.63851 .41744 L
.63279 .42716 L
.63112 .42912 L
.62204 .42716 L
.62857 .41744 L
F
.63112 .43384 m
.63744 .43687 L
.63214 .44658 L
.63112 .44778 L
.62208 .44658 L
.62846 .43687 L
F
.63112 .45303 m
.63667 .45629 L
.63144 .46601 L
.63112 .46639 L
.6221 .46601 L
.62828 .45629 L
F
.63112 .39554 m
.63945 .39802 L
.63326 .40773 L
.63112 .41024 L
.62234 .40773 L
.62891 .39802 L
F
.63112 .45317 m
.63651 .45629 L
.63135 .46601 L
.63112 .46628 L
.62237 .46601 L
.62839 .45629 L
F
.63112 .43405 m
.63717 .43687 L
.63202 .44658 L
.63112 .44764 L
.6224 .44658 L
.62864 .43687 L
F
.63112 .41495 m
.63798 .41744 L
.6326 .42716 L
.63112 .4289 L
.62251 .42716 L
.6289 .41744 L
F
.63112 .4533 m
.63635 .45629 L
.63126 .46601 L
.63112 .46618 L
.62264 .46601 L
.62851 .45629 L
F
.63112 .43426 m
.63689 .43687 L
.6319 .44658 L
.63112 .4475 L
.62273 .44658 L
.62882 .43687 L
F
.63112 .45343 m
.63619 .45629 L
.63118 .46601 L
.63112 .46607 L
.62294 .46601 L
.62862 .45629 L
F
.64083 .34673 m
.64498 .34946 L
.64122 .35917 L
.65054 .36828 L
.65806 .35917 L
.66026 .35596 L
.66858 .35917 L
.66349 .36888 L
.66026 .37166 L
.65573 .37859 L
.65054 .3851 L
.6433 .37859 L
.65001 .36888 L
.64083 .35948 L
.63408 .36888 L
.63112 .37243 L
.62294 .36888 L
.62986 .35917 L
.63112 .35783 L
.63872 .34946 L
F
.63112 .41536 m
.63741 .41744 L
.63241 .42716 L
.63112 .42867 L
.62298 .42716 L
.62925 .41744 L
F
.63112 .43448 m
.6366 .43687 L
.63178 .44658 L
.63112 .44736 L
.62307 .44658 L
.629 .43687 L
F
.63112 .37721 m
.63965 .37859 L
.63346 .38831 L
.63112 .39108 L
.62309 .38831 L
.62984 .37859 L
F
.63112 .39644 m
.63816 .39802 L
.63289 .40773 L
.63112 .40982 L
.62317 .40773 L
.62968 .39802 L
F
.63112 .4347 m
.6363 .43687 L
.63166 .44658 L
.63112 .44722 L
.62342 .44658 L
.62919 .43687 L
F
.63112 .41577 m
.63679 .41744 L
.63221 .42716 L
.63112 .42845 L
.62348 .42716 L
.62961 .41744 L
F
.63112 .5632 m
.6372 .57284 L
.63112 .58228 L
.62377 .57284 L
F
.63112 .43492 m
.63598 .43687 L
.63154 .44658 L
.63112 .44707 L
.6238 .44658 L
.62938 .43687 L
F
.63112 .41619 m
.6361 .41744 L
.63202 .42716 L
.63112 .42822 L
.624 .42716 L
.62998 .41744 L
F
.63112 .56344 m
.63701 .57284 L
.63112 .58197 L
.624 .57284 L
F
.63112 .39737 m
.63651 .39802 L
.63252 .40773 L
.63112 .40938 L
.62404 .40773 L
.63051 .39802 L
F
.63112 .43514 m
.63565 .43687 L
.63141 .44658 L
.63112 .44693 L
.62419 .44658 L
.62958 .43687 L
F
.63112 .5826 m
.63625 .59227 L
.63112 .60027 L
.62422 .59227 L
F
.63112 .56368 m
.63682 .57284 L
.63112 .58167 L
.62423 .57284 L
F
.63112 .54478 m
.63734 .55342 L
.63112 .563 L
.62435 .55342 L
F
.63112 .56392 m
.63662 .57284 L
.63112 .58137 L
.62446 .57284 L
F
.63112 .54492 m
.63722 .55342 L
.63112 .56282 L
.62448 .55342 L
F
.63112 .41662 m
.63529 .41744 L
.63182 .42716 L
.63112 .42798 L
.62456 .42716 L
.63037 .41744 L
F
.63112 .54507 m
.6371 .55342 L
.63112 .56264 L
.62461 .55342 L
F
.63112 .43537 m
.6353 .43687 L
.63129 .44658 L
.63112 .44678 L
.62462 .44658 L
.62978 .43687 L
F
.63112 .56416 m
.63643 .57284 L
.63112 .58107 L
.62469 .57284 L
F
.63112 .58307 m
.63587 .59227 L
.63112 .59969 L
.62469 .59227 L
F
.63112 .54521 m
.63698 .55342 L
.63112 .56247 L
.62474 .55342 L
F
.63112 .54536 m
.63686 .55342 L
.63112 .56229 L
.62487 .55342 L
F
.63112 .56441 m
.63624 .57284 L
.63112 .58078 L
.62491 .57284 L
F
.63112 .37952 m
.63259 .38831 L
.63112 .39007 L
.62494 .38831 L
F
.63112 .39836 m
.63213 .40773 L
.63112 .40893 L
.62499 .40773 L
F
.63112 .54551 m
.63674 .55342 L
.63112 .56211 L
.625 .55342 L
F
.63112 .52643 m
.63736 .53399 L
.63112 .54364 L
.62504 .53399 L
F
.63112 .60219 m
.63509 .61169 L
.63112 .61796 L
.62505 .61169 L
F
.63112 .43561 m
.63493 .43687 L
.63116 .44658 L
.63112 .44663 L
.6251 .44658 L
.62998 .43687 L
F
.63112 .52653 m
.63727 .53399 L
.63112 .54351 L
.62512 .53399 L
F
.63112 .54566 m
.63662 .55342 L
.63112 .56193 L
.62513 .55342 L
F
.63112 .56466 m
.63604 .57284 L
.63112 .58048 L
.62514 .57284 L
F
.63112 .58356 m
.63549 .59227 L
.63112 .5991 L
.62517 .59227 L
F
.63112 .41707 m
.63426 .41744 L
.63161 .42716 L
.63112 .42774 L
.62517 .42716 L
.63078 .41744 L
F
.63112 .52664 m
.63719 .53399 L
.63112 .54339 L
.62521 .53399 L
F
.63112 .54581 m
.6365 .55342 L
.63112 .56176 L
.62526 .55342 L
F
.63112 .52674 m
.6371 .53399 L
.63112 .54326 L
.6253 .53399 L
F
.63112 .56492 m
.63585 .57284 L
.63112 .58019 L
.62537 .57284 L
F
.63112 .52684 m
.63701 .53399 L
.63112 .54314 L
.62539 .53399 L
F
.63112 .54596 m
.63638 .55342 L
.63112 .56158 L
.62539 .55342 L
F
.63112 .52695 m
.63692 .53399 L
.63112 .54301 L
.62548 .53399 L
F
.63112 .54611 m
.63626 .55342 L
.63112 .5614 L
.62553 .55342 L
F
.63112 .52705 m
.63684 .53399 L
.63112 .54289 L
.62557 .53399 L
F
.63112 .56518 m
.63565 .57284 L
.63112 .57989 L
.6256 .57284 L
F
.63112 .58406 m
.63511 .59227 L
.63112 .59852 L
.62564 .59227 L
F
.63112 .54626 m
.63614 .55342 L
.63112 .56122 L
.62566 .55342 L
F
.63112 .52715 m
.63675 .53399 L
.63112 .54276 L
.62566 .53399 L
F
.63112 .52726 m
.63666 .53399 L
.63112 .54263 L
.62575 .53399 L
F
.63112 .54642 m
.63602 .55342 L
.63112 .56105 L
.62579 .55342 L
F
.63112 .56544 m
.63545 .57284 L
.63112 .57959 L
.62583 .57284 L
F
.63112 .50815 m
.63724 .51457 L
.63112 .52419 L
.62583 .51457 L
F
.63112 .52736 m
.63657 .53399 L
.63112 .54251 L
.62584 .53399 L
F
.63112 .41757 m
.6314 .42716 L
.63112 .42749 L
.62586 .42716 L
F
.63112 .50823 m
.63717 .51457 L
.63112 .52408 L
.6259 .51457 L
F
.63112 .54657 m
.6359 .55342 L
.63112 .56087 L
.62592 .55342 L
F
.63112 .52747 m
.63648 .53399 L
.63112 .54238 L
.62592 .53399 L
F
.63112 .50832 m
.63709 .51457 L
.63112 .52398 L
.62598 .51457 L
F
.63112 .52757 m
.63639 .53399 L
.63112 .54226 L
.62601 .53399 L
F
.63112 .5084 m
.63701 .51457 L
.63112 .52388 L
.62605 .51457 L
F
.63112 .54673 m
.63577 .55342 L
.63112 .56069 L
.62605 .55342 L
F
.63112 .56571 m
.63525 .57284 L
.63112 .5793 L
.62606 .57284 L
F
.63112 .39946 m
.63173 .40773 L
.63112 .40846 L
.62607 .40773 L
F
.63112 .52768 m
.6363 .53399 L
.63112 .54213 L
.6261 .53399 L
F
.63112 .50849 m
.63694 .51457 L
.63112 .52377 L
.62612 .51457 L
F
.63112 .5846 m
.63472 .59227 L
.63112 .59793 L
.62613 .59227 L
F
.63112 .54689 m
.63565 .55342 L
.63112 .56051 L
.62619 .55342 L
F
.63112 .50857 m
.63686 .51457 L
.63112 .52367 L
.62619 .51457 L
F
.63112 .52779 m
.63621 .53399 L
.63112 .542 L
.62619 .53399 L
F
.63112 .60336 m
.6342 .61169 L
.63112 .61657 L
.62625 .61169 L
F
.63112 .50866 m
.63678 .51457 L
.63112 .52356 L
.62626 .51457 L
F
.63112 .52789 m
.63612 .53399 L
.63112 .54187 L
.62628 .53399 L
F
.63112 .56599 m
.63504 .57284 L
.63112 .579 L
.6263 .57284 L
F
.63112 .54705 m
.63553 .55342 L
.63112 .56033 L
.62632 .55342 L
F
.63112 .50875 m
.6367 .51457 L
.63112 .52346 L
.62634 .51457 L
F
.63112 .528 m
.63603 .53399 L
.63112 .54175 L
.62638 .53399 L
F
.63112 .50883 m
.63663 .51457 L
.63112 .52335 L
.62641 .51457 L
F
.63112 .54721 m
.6354 .55342 L
.63112 .56015 L
.62645 .55342 L
F
.63112 .52811 m
.63594 .53399 L
.63112 .54162 L
.62647 .53399 L
F
.63112 .50892 m
.63655 .51457 L
.63112 .52324 L
.62648 .51457 L
F
.63112 .56627 m
.63484 .57284 L
.63112 .57869 L
.62653 .57284 L
F
.63112 .50901 m
.63647 .51457 L
.63112 .52314 L
.62656 .51457 L
F
.63112 .52822 m
.63585 .53399 L
.63112 .54149 L
.62656 .53399 L
F
.63112 .54737 m
.63527 .55342 L
.63112 .55997 L
.62659 .55342 L
F
.63112 .58517 m
.63432 .59227 L
.63112 .59733 L
.62662 .59227 L
F
.63112 .50909 m
.63639 .51457 L
.63112 .52303 L
.62663 .51457 L
F
.63112 .52833 m
.63576 .53399 L
.63112 .54136 L
.62665 .53399 L
F
.63112 .4182 m
.63119 .42716 L
.63112 .42724 L
.62668 .42716 L
F
.63112 .48988 m
.63703 .49514 L
.63112 .50475 L
.62669 .49514 L
F
.63112 .50918 m
.63631 .51457 L
.63112 .52292 L
.6267 .51457 L
F
.63112 .54753 m
.63515 .55342 L
.63112 .55978 L
.62673 .55342 L
F
.63112 .52844 m
.63566 .53399 L
.63112 .54123 L
.62674 .53399 L
F
.63112 .48996 m
.63695 .49514 L
.63112 .50465 L
.62676 .49514 L
F
.63112 .56656 m
.63463 .57284 L
.63112 .57839 L
.62678 .57284 L
F
.63112 .50927 m
.63623 .51457 L
.63112 .52281 L
.62678 .51457 L
F
.63112 .49004 m
.63686 .49514 L
.63112 .50455 L
.62683 .49514 L
F
.63112 .52855 m
.63557 .53399 L
.63112 .5411 L
.62683 .53399 L
F
.63112 .50935 m
.63615 .51457 L
.63112 .52271 L
.62685 .51457 L
F
.63112 .5477 m
.63502 .55342 L
.63112 .5596 L
.62686 .55342 L
F
.63112 .49013 m
.63678 .49514 L
.63112 .50445 L
.6269 .49514 L
F
.63112 .50944 m
.63607 .51457 L
.63112 .5226 L
.62692 .51457 L
F
.63112 .52866 m
.63548 .53399 L
.63112 .54097 L
.62693 .53399 L
F
.63112 .49021 m
.6367 .49514 L
.63112 .50434 L
.62697 .49514 L
F
.63112 .50953 m
.63599 .51457 L
.63112 .52249 L
.627 .51457 L
F
.63112 .54787 m
.63489 .55342 L
.63112 .55941 L
.627 .55342 L
F
.63112 .52877 m
.63538 .53399 L
.63112 .54084 L
.62702 .53399 L
F
.63112 .56686 m
.63442 .57284 L
.63112 .57808 L
.62702 .57284 L
F
.63112 .49029 m
.63662 .49514 L
.63112 .50424 L
.62704 .49514 L
F
.63112 .50962 m
.63591 .51457 L
.63112 .52238 L
.62707 .51457 L
F
.63112 .52889 m
.63529 .53399 L
.63112 .5407 L
.62711 .53399 L
F
.63112 .49038 m
.63654 .49514 L
.63112 .50413 L
.62711 .49514 L
F
.63112 .58577 m
.63391 .59227 L
.63112 .59672 L
.62714 .59227 L
F
.63112 .54804 m
.63476 .55342 L
.63112 .55922 L
.62714 .55342 L
F
.63112 .50971 m
.63583 .51457 L
.63112 .52227 L
.62715 .51457 L
F
.63112 .49046 m
.63645 .49514 L
.63112 .50403 L
.62718 .49514 L
F
.63112 .529 m
.63519 .53399 L
.63112 .54057 L
.62721 .53399 L
F
.63112 .5098 m
.63575 .51457 L
.63112 .52215 L
.62722 .51457 L
F
.63112 .38202 m
.63166 .38831 L
.63112 .38896 L
.62726 .38831 L
F
.63112 .49055 m
.63637 .49514 L
.63112 .50392 L
.62726 .49514 L
F
.63112 .56717 m
.6342 .57284 L
.63112 .57776 L
.62727 .57284 L
F
.63112 .54821 m
.63462 .55342 L
.63112 .55903 L
.62728 .55342 L
F
.63112 .50989 m
.63566 .51457 L
.63112 .52204 L
.6273 .51457 L
F
.63112 .52912 m
.6351 .53399 L
.63112 .54043 L
.6273 .53399 L
F
.63112 .49063 m
.63629 .49514 L
.63112 .50381 L
.62733 .49514 L
F
.63112 .50998 m
.63558 .51457 L
.63112 .52193 L
.62737 .51457 L
F
.63112 .52923 m
.635 .53399 L
.63112 .5403 L
.6274 .53399 L
F
.63112 .49072 m
.6362 .49514 L
.63112 .5037 L
.6274 .49514 L
F
.63112 .54839 m
.63449 .55342 L
.63112 .55884 L
.62743 .55342 L
F
.63112 .51007 m
.6355 .51457 L
.63112 .52182 L
.62745 .51457 L
F
.63112 .4908 m
.63612 .49514 L
.63112 .50359 L
.62747 .49514 L
F
.63112 .40075 m
.63131 .40773 L
.63112 .40796 L
.62748 .40773 L
F
.63112 .52935 m
.6349 .53399 L
.63112 .54016 L
.62749 .53399 L
F
.63112 .56748 m
.63398 .57284 L
.63112 .57744 L
.62753 .57284 L
F
.63112 .51016 m
.63541 .51457 L
.63112 .5217 L
.62753 .51457 L
F
.63112 .60475 m
.63324 .61169 L
.63112 .61512 L
.62754 .61169 L
F
.63112 .49089 m
.63603 .49514 L
.63112 .50348 L
.62754 .49514 L
F
.63112 .54857 m
.63435 .55342 L
.63112 .55865 L
.62757 .55342 L
F
.63112 .4716 m
.63673 .47572 L
.63112 .48542 L
.62759 .47572 L
F
.63112 .52947 m
.63481 .53399 L
.63112 .54002 L
.62759 .53399 L
F
.63112 .51026 m
.63533 .51457 L
.63112 .52159 L
.6276 .51457 L
F
.63112 .49097 m
.63594 .49514 L
.63112 .50337 L
.62762 .49514 L
F
.63112 .47169 m
.63662 .47572 L
.63112 .48531 L
.62767 .47572 L
F
.63112 .58643 m
.63348 .59227 L
.63112 .59607 L
.62768 .59227 L
F
.63112 .51035 m
.63524 .51457 L
.63112 .52147 L
.62768 .51457 L
F
.63112 .52959 m
.63471 .53399 L
.63112 .53988 L
.62769 .53399 L
F
.63112 .49106 m
.63586 .49514 L
.63112 .50326 L
.62769 .49514 L
F
.63112 .54875 m
.63422 .55342 L
.63112 .55845 L
.62772 .55342 L
F
.63112 .47179 m
.63652 .47572 L
.63112 .48518 L
.62775 .47572 L
F
.63112 .51044 m
.63516 .51457 L
.63112 .52135 L
.62776 .51457 L
F
.63112 .49115 m
.63577 .49514 L
.63112 .50315 L
.62776 .49514 L
F
.63112 .56781 m
.63375 .57284 L
.63112 .57711 L
.62779 .57284 L
F
.63112 .52971 m
.63461 .53399 L
.63112 .53974 L
.62779 .53399 L
F
.63112 .47189 m
.63641 .47572 L
.63112 .48506 L
.62783 .47572 L
F
.63112 .49124 m
.63568 .49514 L
.63112 .50303 L
.62784 .49514 L
F
.63112 .51054 m
.63507 .51457 L
.63112 .52123 L
.62784 .51457 L
F
.63112 .54894 m
.63408 .55342 L
.63112 .55825 L
.62787 .55342 L
F
.63112 .52983 m
.63451 .53399 L
.63112 .5396 L
.62789 .53399 L
F
.63112 .49132 m
.63559 .49514 L
.63112 .50292 L
.62791 .49514 L
F
.63112 .47198 m
.63631 .47572 L
.63112 .48494 L
.62792 .47572 L
F
.63112 .51063 m
.63499 .51457 L
.63112 .52111 L
.62792 .51457 L
F
.63112 .62336 m
.63267 .63112 L
.63112 .63364 L
.62793 .63112 L
F
.63112 .49141 m
.63551 .49514 L
.63112 .5028 L
.62799 .49514 L
F
.63112 .52995 m
.6344 .53399 L
.63112 .53945 L
.62799 .53399 L
F
.63112 .51073 m
.6349 .51457 L
.63112 .52099 L
.628 .51457 L
F
.63112 .47208 m
.6362 .47572 L
.63112 .48481 L
.628 .47572 L
F
.63112 .54912 m
.63394 .55342 L
.63112 .55804 L
.62802 .55342 L
F
.63112 .56815 m
.63352 .57284 L
.63112 .57677 L
.62806 .57284 L
F
.63112 .4915 m
.63542 .49514 L
.63112 .50269 L
.62806 .49514 L
F
.63112 .51082 m
.63481 .51457 L
.63112 .52087 L
.62808 .51457 L
F
.63112 .47218 m
.63609 .47572 L
.63112 .48469 L
.62808 .47572 L
F
.63112 .53008 m
.6343 .53399 L
.63112 .53931 L
.62809 .53399 L
F
.63112 .49159 m
.63532 .49514 L
.63112 .50257 L
.62814 .49514 L
F
.63112 .51092 m
.63472 .51457 L
.63112 .52075 L
.62816 .51457 L
F
.63112 .47228 m
.63598 .47572 L
.63112 .48456 L
.62817 .47572 L
F
.63112 .54932 m
.63379 .55342 L
.63112 .55784 L
.62817 .55342 L
F
.63112 .5302 m
.63419 .53399 L
.63112 .53916 L
.62819 .53399 L
F
.63112 .36416 m
.6316 .36888 L
.63112 .36949 L
.6282 .36888 L
F
.63112 .49168 m
.63523 .49514 L
.63112 .50245 L
.62821 .49514 L
F
.63112 .51102 m
.63463 .51457 L
.63112 .52062 L
.62824 .51457 L
F
.63112 .47238 m
.63587 .47572 L
.63112 .48443 L
.62825 .47572 L
F
.63112 .58716 m
.63303 .59227 L
.63112 .5954 L
.62826 .59227 L
F
.63112 .49177 m
.63514 .49514 L
.63112 .50233 L
.62829 .49514 L
F
.63112 .53033 m
.63409 .53399 L
.63112 .53901 L
.6283 .53399 L
F
.63112 .51112 m
.63454 .51457 L
.63112 .5205 L
.62832 .51457 L
F
.63112 .54952 m
.63365 .55342 L
.63112 .55762 L
.62833 .55342 L
F
.63112 .56851 m
.63329 .57284 L
.63112 .57642 L
.62833 .57284 L
F
.63112 .47248 m
.63576 .47572 L
.63112 .4843 L
.62834 .47572 L
F
.63112 .49186 m
.63505 .49514 L
.63112 .5022 L
.62837 .49514 L
F
.63112 .53046 m
.63398 .53399 L
.63112 .53886 L
.6284 .53399 L
F
.63112 .51122 m
.63445 .51457 L
.63112 .52037 L
.6284 .51457 L
F
.63112 .47258 m
.63565 .47572 L
.63112 .48416 L
.62842 .47572 L
F
.63112 .49196 m
.63495 .49514 L
.63112 .50208 L
.62844 .49514 L
F
.63112 .51132 m
.63435 .51457 L
.63112 .52024 L
.62849 .51457 L
F
.63112 .54972 m
.6335 .55342 L
.63112 .55741 L
.62849 .55342 L
F
.63112 .53059 m
.63387 .53399 L
.63112 .5387 L
.62851 .53399 L
F
.63112 .47268 m
.63553 .47572 L
.63112 .48403 L
.62851 .47572 L
F
.63112 .49205 m
.63486 .49514 L
.63112 .50195 L
.62852 .49514 L
F
.63112 .51142 m
.63426 .51457 L
.63112 .52011 L
.62857 .51457 L
F
.63112 .47279 m
.63542 .47572 L
.63112 .48389 L
.6286 .47572 L
F
.63112 .49214 m
.63476 .49514 L
.63112 .50183 L
.6286 .49514 L
F
.63112 .53072 m
.63376 .53399 L
.63112 .53854 L
.62861 .53399 L
F
.63112 .56889 m
.63304 .57284 L
.63112 .57605 L
.62862 .57284 L
F
.63112 .54993 m
.63335 .55342 L
.63112 .55718 L
.62865 .55342 L
F
.63112 .51152 m
.63416 .51457 L
.63112 .51998 L
.62866 .51457 L
F
.63112 .49224 m
.63466 .49514 L
.63112 .5017 L
.62868 .49514 L
F
.63112 .47289 m
.6353 .47572 L
.63112 .48375 L
.62869 .47572 L
F
.63112 .53086 m
.63365 .53399 L
.63112 .53838 L
.62872 .53399 L
F
.63112 .45357 m
.63602 .45629 L
.63112 .46595 L
.62874 .45629 L
F
.63112 .51163 m
.63407 .51457 L
.63112 .51984 L
.62874 .51457 L
F
.63112 .49233 m
.63456 .49514 L
.63112 .50157 L
.62876 .49514 L
F
.63112 .47299 m
.63518 .47572 L
.63112 .4836 L
.62878 .47572 L
F
.63112 .55014 m
.63319 .55342 L
.63112 .55696 L
.62882 .55342 L
F
.63112 .51173 m
.63397 .51457 L
.63112 .5197 L
.62883 .51457 L
F
.63112 .531 m
.63354 .53399 L
.63112 .53822 L
.62883 .53399 L
F
.63112 .49243 m
.63446 .49514 L
.63112 .50143 L
.62884 .49514 L
F
.63112 .45371 m
.63585 .45629 L
.63112 .46578 L
.62886 .45629 L
F
.63112 .4731 m
.63506 .47572 L
.63112 .48346 L
.62887 .47572 L
F
.63112 .58799 m
.63255 .59227 L
.63112 .59467 L
.62889 .59227 L
F
.63112 .51184 m
.63387 .51457 L
.63112 .51956 L
.62892 .51457 L
F
.63112 .49253 m
.63436 .49514 L
.63112 .5013 L
.62892 .49514 L
F
.63112 .5693 m
.63279 .57284 L
.63112 .57567 L
.62893 .57284 L
F
.63112 .53114 m
.63342 .53399 L
.63112 .53805 L
.62894 .53399 L
F
.63112 .47321 m
.63493 .47572 L
.63112 .48331 L
.62896 .47572 L
F
.63112 .45385 m
.63567 .45629 L
.63112 .4656 L
.62898 .45629 L
F
.63112 .55036 m
.63303 .55342 L
.63112 .55672 L
.62899 .55342 L
F
.63112 .51195 m
.63377 .51457 L
.63112 .51942 L
.62901 .51457 L
F
.63112 .49262 m
.63426 .49514 L
.63112 .50116 L
.62901 .49514 L
F
.63112 .47331 m
.63481 .47572 L
.63112 .48316 L
.62905 .47572 L
F
.63112 .53128 m
.6333 .53399 L
.63112 .53788 L
.62906 .53399 L
F
.63112 .49272 m
.63415 .49514 L
.63112 .50102 L
.62909 .49514 L
F
.63112 .6066 m
.63218 .61169 L
.63112 .61346 L
.62909 .61169 L
F
.63112 .51206 m
.63366 .51457 L
.63112 .51928 L
.62909 .51457 L
F
.63112 .45399 m
.63549 .45629 L
.63112 .46542 L
.6291 .45629 L
F
.63112 .47342 m
.63468 .47572 L
.63112 .48301 L
.62914 .47572 L
F
.63112 .55059 m
.63287 .55342 L
.63112 .55648 L
.62916 .55342 L
F
.63112 .49282 m
.63405 .49514 L
.63112 .50087 L
.62917 .49514 L
F
.63112 .53143 m
.63318 .53399 L
.63112 .5377 L
.62918 .53399 L
F
.63112 .51217 m
.63356 .51457 L
.63112 .51913 L
.62919 .51457 L
F
.63112 .45413 m
.63531 .45629 L
.63112 .46524 L
.62922 .45629 L
F
.63112 .47353 m
.63455 .47572 L
.63112 .48285 L
.62923 .47572 L
F
.63112 .56973 m
.63252 .57284 L
.63112 .57526 L
.62925 .57284 L
F
.63112 .49292 m
.63394 .49514 L
.63112 .50073 L
.62926 .49514 L
F
.63112 .51228 m
.63345 .51457 L
.63112 .51898 L
.62928 .51457 L
F
.63112 .53158 m
.63306 .53399 L
.63112 .53752 L
.62929 .53399 L
F
.63112 .47364 m
.63442 .47572 L
.63112 .48269 L
.62933 .47572 L
F
.63112 .45427 m
.63512 .45629 L
.63112 .46505 L
.62934 .45629 L
F
.63112 .49303 m
.63383 .49514 L
.63112 .50058 L
.62934 .49514 L
F
.63112 .55083 m
.6327 .55342 L
.63112 .55622 L
.62935 .55342 L
F
.63112 .51239 m
.63335 .51457 L
.63112 .51882 L
.62937 .51457 L
F
.63112 .53173 m
.63294 .53399 L
.63112 .53734 L
.62941 .53399 L
F
.63112 .47375 m
.63428 .47572 L
.63112 .48252 L
.62942 .47572 L
F
.63112 .49313 m
.63371 .49514 L
.63112 .50043 L
.62943 .49514 L
F
.63112 .51251 m
.63323 .51457 L
.63112 .51866 L
.62947 .51457 L
F
.63112 .45442 m
.63492 .45629 L
.63112 .46486 L
.62947 .45629 L
F
.63112 .49324 m
.6336 .49514 L
.63112 .50027 L
.62952 .49514 L
F
.63112 .47387 m
.63414 .47572 L
.63112 .48235 L
.62952 .47572 L
F
.63112 .55108 m
.63253 .55342 L
.63112 .55596 L
.62953 .55342 L
F
.63112 .53188 m
.63281 .53399 L
.63112 .53714 L
.62954 .53399 L
F
.63112 .51263 m
.63312 .51457 L
.63112 .5185 L
.62956 .51457 L
F
.63112 .57021 m
.63224 .57284 L
.63112 .57483 L
.62959 .57284 L
F
.63112 .45456 m
.63472 .45629 L
.63112 .46466 L
.62959 .45629 L
F
.63112 .589 m
.63203 .59227 L
.63112 .59385 L
.6296 .59227 L
F
.63112 .49334 m
.63348 .49514 L
.63112 .50011 L
.62961 .49514 L
F
.63112 .47398 m
.634 .47572 L
.63112 .48218 L
.62962 .47572 L
F
.63112 .51275 m
.63301 .51457 L
.63112 .51833 L
.62966 .51457 L
F
.63112 .53205 m
.63268 .53399 L
.63112 .53694 L
.62966 .53399 L
F
.63112 .49345 m
.63336 .49514 L
.63112 .49994 L
.6297 .49514 L
F
.63112 .4741 m
.63385 .47572 L
.63112 .482 L
.62972 .47572 L
F
.63112 .45471 m
.63451 .45629 L
.63112 .46445 L
.62972 .45629 L
F
.63112 .55135 m
.63235 .55342 L
.63112 .55568 L
.62973 .55342 L
F
.63112 .51287 m
.63289 .51457 L
.63112 .51815 L
.62976 .51457 L
F
.63112 .49356 m
.63324 .49514 L
.63112 .49977 L
.62979 .49514 L
F
.63112 .53221 m
.63254 .53399 L
.63112 .53674 L
.62979 .53399 L
F
.63112 .47422 m
.6337 .47572 L
.63112 .48181 L
.62982 .47572 L
F
.63112 .45486 m
.63429 .45629 L
.63112 .46424 L
.62985 .45629 L
F
.63112 .51299 m
.63277 .51457 L
.63112 .51797 L
.62986 .51457 L
F
.63112 .49367 m
.63311 .49514 L
.63112 .49959 L
.62989 .49514 L
F
.63112 .47433 m
.63354 .47572 L
.63112 .48162 L
.62992 .47572 L
F
.63112 .53238 m
.6324 .53399 L
.63112 .53652 L
.62993 .53399 L
F
.63112 .55162 m
.63216 .55342 L
.63112 .55538 L
.62993 .55342 L
F
.63112 .57075 m
.63195 .57284 L
.63112 .57436 L
.62996 .57284 L
F
.63112 .51312 m
.63264 .51457 L
.63112 .51779 L
.62996 .51457 L
F
.63112 .49378 m
.63298 .49514 L
.63112 .49941 L
.62998 .49514 L
F
.63112 .45502 m
.63406 .45629 L
.63112 .46401 L
.62999 .45629 L
F
.63112 .47446 m
.63338 .47572 L
.63112 .48142 L
.63003 .47572 L
F
.63112 .53256 m
.63226 .53399 L
.63112 .53629 L
.63006 .53399 L
F
.63112 .51325 m
.63251 .51457 L
.63112 .51759 L
.63007 .51457 L
F
.63112 .4939 m
.63285 .49514 L
.63112 .49922 L
.63008 .49514 L
F
.63112 .45517 m
.63382 .45629 L
.63112 .46378 L
.63012 .45629 L
F
.63112 .47458 m
.63321 .47572 L
.63112 .48121 L
.63013 .47572 L
F
.63112 .55192 m
.63197 .55342 L
.63112 .55507 L
.63015 .55342 L
F
.63112 .49402 m
.63271 .49514 L
.63112 .49902 L
.63018 .49514 L
F
.63112 .51339 m
.63238 .51457 L
.63112 .51738 L
.63018 .51457 L
F
.63112 .43584 m
.63452 .43687 L
.63112 .44639 L
.63019 .43687 L
F
.63112 .53274 m
.63211 .53399 L
.63112 .53605 L
.6302 .53399 L
F
.63112 .47471 m
.63303 .47572 L
.63112 .48099 L
.63024 .47572 L
F
.63112 .45533 m
.63356 .45629 L
.63112 .46353 L
.63026 .45629 L
F
.63112 .49414 m
.63256 .49514 L
.63112 .49881 L
.63028 .49514 L
F
.63112 .51352 m
.63224 .51457 L
.63112 .51716 L
.63029 .51457 L
F
.63112 .53294 m
.63195 .53399 L
.63112 .53579 L
.63035 .53399 L
F
.63112 .47483 m
.63284 .47572 L
.63112 .48076 L
.63035 .47572 L
F
.63112 .57139 m
.63164 .57284 L
.63112 .57383 L
.63037 .57284 L
F
.63112 .55225 m
.63177 .55342 L
.63112 .55472 L
.63037 .55342 L
F
.63112 .49426 m
.63241 .49514 L
.63112 .49858 L
.63038 .49514 L
F
.63112 .51366 m
.6321 .51457 L
.63112 .51693 L
.6304 .51457 L
F
.63112 .45549 m
.63328 .45629 L
.63112 .46327 L
.63041 .45629 L
F
.63112 .43609 m
.63406 .43687 L
.63112 .44609 L
.63041 .43687 L
F
.63112 .47496 m
.63264 .47572 L
.63112 .48051 L
.63046 .47572 L
F
.63112 .49439 m
.63225 .49514 L
.63112 .49834 L
.63048 .49514 L
F
.63112 .59042 m
.63146 .59227 L
.63112 .59289 L
.63049 .59227 L
F
.63112 .53314 m
.63179 .53399 L
.63112 .5355 L
.6305 .53399 L
F
.63112 .51381 m
.63195 .51457 L
.63112 .51668 L
.63052 .51457 L
F
.63112 .45566 m
.63298 .45629 L
.63112 .46299 L
.63055 .45629 L
F
.63112 .4751 m
.63243 .47572 L
.63112 .48025 L
.63058 .47572 L
F
.63112 .49451 m
.63208 .49514 L
.63112 .49808 L
.63059 .49514 L
F
.63112 .55261 m
.63155 .55342 L
.63112 .55433 L
.63062 .55342 L
F
.63112 .43634 m
.63353 .43687 L
.63112 .44577 L
.63064 .43687 L
F
.63112 .51396 m
.63179 .51457 L
.63112 .5164 L
.63064 .51457 L
F
.63112 .53335 m
.63162 .53399 L
.63112 .53519 L
.63066 .53399 L
F
.63112 .47523 m
.6322 .47572 L
.63112 .47996 L
.6307 .47572 L
F
.63112 .49465 m
.6319 .49514 L
.63112 .4978 L
.6307 .49514 L
F
.63112 .45583 m
.63263 .45629 L
.63112 .4627 L
.6307 .45629 L
F
.63112 .51412 m
.63163 .51457 L
.63112 .51608 L
.63076 .51457 L
F
.63112 .49478 m
.63171 .49514 L
.63112 .49747 L
.63082 .49514 L
F
.63112 .47537 m
.63194 .47572 L
.63112 .47965 L
.63082 .47572 L
F
.63112 .53358 m
.63144 .53399 L
.63112 .53482 L
.63083 .53399 L
F
.63112 .57223 m
.6313 .57284 L
.63112 .5732 L
.63085 .57284 L
F
.63112 .45601 m
.63222 .45629 L
.63112 .46237 L
.63086 .45629 L
F
.63112 .4366 m
.63285 .43687 L
.63112 .44543 L
.63087 .43687 L
F
.63112 .55302 m
.63132 .55342 L
.63112 .55387 L
.63088 .55342 L
F
.63112 .51428 m
.63145 .51457 L
.63112 .51571 L
.63089 .51457 L
F
.63112 .49492 m
.6315 .49514 L
.63112 .49708 L
.63093 .49514 L
F
.63112 .47552 m
.63164 .47572 L
.63112 .47929 L
.63094 .47572 L
F
.63112 .53383 m
.63125 .53399 L
.63112 .53437 L
.631 .53399 L
F
.63112 .45618 m
.63167 .45629 L
.63112 .46202 L
.63102 .45629 L
F
.63112 .51445 m
.63126 .51457 L
.63112 .5152 L
.63103 .51457 L
F
.63112 .49507 m
.63126 .49514 L
.63112 .49655 L
.63105 .49514 L
F
.63112 .47566 m
.63128 .47572 L
.63112 .47886 L
.63107 .47572 L
F
.63112 .43686 m
.63147 .43687 L
.63112 .44505 L
.63112 .43687 L
F
.65054 .55695 m
.65894 .56313 L
.65272 .57284 L
.66026 .5815 L
.66674 .57284 L
.66997 .56888 L
.67506 .56313 L
.67968 .55593 L
.68753 .56313 L
.68077 .57284 L
.68939 .58111 L
.69673 .57284 L
.69911 .56879 L
.70712 .57284 L
.70112 .58256 L
.69911 .58431 L
.69421 .59227 L
.68939 .59753 L
.68227 .59227 L
.68829 .58256 L
.67968 .57379 L
.67401 .58256 L
.66997 .58709 L
.66573 .59227 L
.66026 .59952 L
.65308 .59227 L
.65905 .58256 L
.65054 .57537 L
.64473 .58256 L
.64083 .58817 L
.63116 .58256 L
.6374 .57284 L
.64083 .56978 L
.64548 .56313 L
F
.65054 .57608 m
.65822 .58256 L
.65187 .59227 L
.66026 .60098 L
.66676 .59227 L
.66997 .5883 L
.67925 .59227 L
.67292 .60198 L
.66997 .60524 L
.66465 .61169 L
.66026 .61748 L
.6536 .61169 L
.65911 .60198 L
.65054 .59378 L
.644 .60198 L
.64083 .60656 L
.6313 .60198 L
.63736 .59227 L
.64083 .58914 L
.64536 .58256 L
F
.65054 .55708 m
.65878 .56313 L
.65252 .57284 L
.66026 .58174 L
.66692 .57284 L
.66997 .56909 L
.67524 .56313 L
.67968 .55618 L
.68726 .56313 L
.68027 .57284 L
.68939 .58177 L
.69728 .57284 L
.69911 .56968 L
.70588 .57284 L
.69924 .58256 L
.69911 .58267 L
.69312 .59227 L
.68939 .59628 L
.6835 .59227 L
.68879 .58256 L
.67968 .57336 L
.67367 .58256 L
.66997 .58669 L
.66538 .59227 L
.66026 .59904 L
.65349 .59227 L
.65933 .58256 L
.65054 .57514 L
.64452 .58256 L
.64083 .58785 L
.63154 .58256 L
.63759 .57284 L
.64083 .56995 L
.64559 .56313 L
F
.65054 .55721 m
.65862 .56313 L
.65233 .57284 L
.66026 .58199 L
.6671 .57284 L
.66997 .5693 L
.67542 .56313 L
.67968 .55643 L
.68699 .56313 L
.67978 .57284 L
.68939 .58246 L
.69723 .58256 L
.69197 .59227 L
.68939 .59498 L
.68489 .59227 L
.68932 .58256 L
.67968 .57293 L
.67333 .58256 L
.66997 .58629 L
.66504 .59227 L
.66026 .59857 L
.65389 .59227 L
.65962 .58256 L
.65054 .57491 L
.64431 .58256 L
.64083 .58753 L
.63193 .58256 L
.63778 .57284 L
.64083 .57012 L
.6457 .56313 L
F
.65054 .57632 m
.65795 .58256 L
.65146 .59227 L
.66026 .6015 L
.66711 .59227 L
.66997 .58872 L
.67854 .59227 L
.67214 .60198 L
.66997 .60433 L
.66382 .61169 L
.66026 .61635 L
.65466 .61169 L
.6597 .60198 L
.65054 .59329 L
.64353 .60198 L
.64083 .60584 L
.63221 .60198 L
.63773 .59227 L
.64083 .58948 L
.64557 .58256 L
F
.65054 .55734 m
.65846 .56313 L
.65214 .57284 L
.66026 .58225 L
.66727 .57284 L
.66997 .56952 L
.67937 .57284 L
.67299 .58256 L
.66997 .58589 L
.66469 .59227 L
.66026 .5981 L
.65431 .59227 L
.65991 .58256 L
.65054 .57468 L
.6441 .58256 L
.64083 .58722 L
.63231 .58256 L
.63798 .57284 L
.64083 .57029 L
.64582 .56313 L
F
.65054 .53832 m
.65903 .54371 L
.65271 .55342 L
.66026 .56312 L
.66748 .55342 L
.66997 .55035 L
.67585 .54371 L
.67968 .53772 L
.68706 .54371 L
.68033 .55342 L
.67968 .55398 L
.67365 .56313 L
.66997 .56722 L
.66535 .57284 L
.66026 .5796 L
.65424 .57284 L
.66024 .56313 L
.65054 .55592 L
.64457 .56313 L
.64083 .56843 L
.63253 .56313 L
.63829 .55342 L
.64083 .55115 L
.64608 .54371 L
F
.64083 .60878 m
.6505 .61169 L
.64269 .62141 L
.64083 .62403 L
.63262 .62141 L
.63765 .61169 L
F
.65054 .55747 m
.6583 .56313 L
.65195 .57284 L
.66026 .5825 L
.66745 .57284 L
.66997 .56973 L
.67898 .57284 L
.67265 .58256 L
.66997 .58549 L
.66434 .59227 L
.66026 .59763 L
.65472 .59227 L
.6602 .58256 L
.65054 .57445 L
.64388 .58256 L
.64083 .5869 L
.6327 .58256 L
.63817 .57284 L
.64083 .57046 L
.64593 .56313 L
F
.65054 .5384 m
.65892 .54371 L
.6526 .55342 L
.65054 .55579 L
.64445 .56313 L
.64083 .56827 L
.63272 .56313 L
.63841 .55342 L
.64083 .55126 L
.64615 .54371 L
F
.65054 .53849 m
.65881 .54371 L
.65249 .55342 L
.65054 .55566 L
.64434 .56313 L
.64083 .5681 L
.63292 .56313 L
.63853 .55342 L
.64083 .55137 L
.64622 .54371 L
F
.64083 .62797 m
.64941 .63112 L
.64185 .64083 L
.64083 .64222 L
.63304 .64083 L
.63748 .63112 L
F
.65054 .55761 m
.65814 .56313 L
.65175 .57284 L
.65054 .57421 L
.64367 .58256 L
.64083 .58658 L
.63309 .58256 L
.63837 .57284 L
.64083 .57064 L
.64604 .56313 L
F
.65054 .53857 m
.6587 .54371 L
.65238 .55342 L
.65054 .55553 L
.64422 .56313 L
.64083 .56794 L
.63311 .56313 L
.63865 .55342 L
.64083 .55147 L
.64629 .54371 L
F
.65054 .57656 m
.65767 .58256 L
.65104 .59227 L
.65054 .59282 L
.64305 .60198 L
.64083 .60512 L
.63316 .60198 L
.63811 .59227 L
.64083 .58981 L
.64578 .58256 L
F
.65054 .53866 m
.65859 .54371 L
.65227 .55342 L
.65054 .5554 L
.64411 .56313 L
.64083 .56777 L
.6333 .56313 L
.63878 .55342 L
.64083 .55158 L
.64637 .54371 L
F
.65054 .55774 m
.65799 .56313 L
.65155 .57284 L
.65054 .57398 L
.64345 .58256 L
.64083 .58626 L
.63349 .58256 L
.63857 .57284 L
.64083 .57082 L
.64616 .56313 L
F
.65054 .53874 m
.65848 .54371 L
.65217 .55342 L
.65054 .55527 L
.64399 .56313 L
.64083 .5676 L
.6335 .56313 L
.6389 .55342 L
.64083 .55169 L
.64644 .54371 L
F
.65054 .51971 m
.65904 .52428 L
.6527 .53399 L
.65054 .53647 L
.64448 .54371 L
.64083 .54885 L
.63359 .54371 L
.63928 .53399 L
.64083 .53261 L
.64673 .52428 L
F
.65054 .53883 m
.65837 .54371 L
.65206 .55342 L
.65054 .55514 L
.64388 .56313 L
.64083 .56743 L
.6337 .56313 L
.63902 .55342 L
.64083 .5518 L
.64651 .54371 L
F
.65054 .51978 m
.65895 .52428 L
.65263 .53399 L
.65054 .53638 L
.64441 .54371 L
.64083 .54875 L
.6337 .54371 L
.63937 .53399 L
.64083 .53269 L
.64679 .52428 L
F
.64083 .43697 m
.64718 .44658 L
.64083 .45584 L
.63381 .44658 L
F
.65054 .51985 m
.65887 .52428 L
.65256 .53399 L
.65054 .5363 L
.64433 .54371 L
.64083 .54864 L
.63382 .54371 L
.63946 .53399 L
.64083 .53277 L
.64684 .52428 L
F
.64083 .45631 m
.64651 .46601 L
.64083 .47419 L
.63386 .46601 L
F
.65054 .53891 m
.65826 .54371 L
.65195 .55342 L
.65054 .55502 L
.64376 .56313 L
.64083 .56727 L
.63389 .56313 L
.63914 .55342 L
.64083 .55191 L
.64659 .54371 L
F
.65054 .55787 m
.65783 .56313 L
.65135 .57284 L
.65054 .57375 L
.64323 .58256 L
.64083 .58594 L
.6339 .58256 L
.63877 .57284 L
.64083 .57099 L
.64627 .56313 L
F
.64083 .43712 m
.64708 .44658 L
.64083 .45572 L
.63392 .44658 L
F
.65054 .51991 m
.65878 .52428 L
.65249 .53399 L
.65054 .53621 L
.64426 .54371 L
.64083 .54854 L
.63393 .54371 L
.63955 .53399 L
.64083 .53285 L
.6469 .52428 L
F
.64083 .45641 m
.64645 .46601 L
.64083 .47411 L
.63394 .46601 L
F
.64083 .45652 m
.64638 .46601 L
.64083 .47402 L
.63402 .46601 L
F
.64083 .43727 m
.64699 .44658 L
.64083 .45559 L
.63403 .44658 L
F
.65054 .51998 m
.65869 .52428 L
.65241 .53399 L
.65054 .53613 L
.64418 .54371 L
.64083 .54843 L
.63405 .54371 L
.63964 .53399 L
.64083 .53293 L
.64695 .52428 L
F
.64083 .47572 m
.64577 .48543 L
.64083 .49249 L
.63405 .48543 L
F
.64083 .45662 m
.64631 .46601 L
.64083 .47393 L
.63409 .46601 L
F
.65054 .539 m
.65815 .54371 L
.65183 .55342 L
.65054 .55489 L
.64364 .56313 L
.64083 .5671 L
.63409 .56313 L
.63927 .55342 L
.64083 .55202 L
.64666 .54371 L
F
.64083 .47581 m
.64572 .48543 L
.64083 .49242 L
.63412 .48543 L
F
.64083 .43741 m
.64689 .44658 L
.64083 .45547 L
.63413 .44658 L
F
.65054 .52004 m
.6586 .52428 L
.65234 .53399 L
.65054 .53604 L
.64411 .54371 L
.64083 .54833 L
.63416 .54371 L
.63974 .53399 L
.64083 .53301 L
.64701 .52428 L
F
.65054 .57681 m
.6574 .58256 L
.65061 .59227 L
.65054 .59234 L
.64255 .60198 L
.64083 .6044 L
.63417 .60198 L
.63849 .59227 L
.64083 .59016 L
.646 .58256 L
F
.64083 .45672 m
.64625 .46601 L
.64083 .47385 L
.63417 .46601 L
F
.64083 .47589 m
.64567 .48543 L
.64083 .49235 L
.63419 .48543 L
F
.64083 .43756 m
.64679 .44658 L
.64083 .45535 L
.63424 .44658 L
F
.64083 .45682 m
.64618 .46601 L
.64083 .47376 L
.63425 .46601 L
F
.64083 .47598 m
.64562 .48543 L
.64083 .49227 L
.63425 .48543 L
F
.65054 .52011 m
.65851 .52428 L
.65227 .53399 L
.65054 .53596 L
.64403 .54371 L
.64083 .54822 L
.63428 .54371 L
.63983 .53399 L
.64083 .5331 L
.64707 .52428 L
F
.65054 .5011 m
.65908 .50486 L
.65278 .51457 L
.65054 .51712 L
.64453 .52428 L
.64083 .52951 L
.63429 .52428 L
.64029 .51457 L
.64083 .51408 L
.6474 .50486 L
F
.65054 .53909 m
.65804 .54371 L
.65172 .55342 L
.65054 .55476 L
.64352 .56313 L
.64083 .56693 L
.6343 .56313 L
.63939 .55342 L
.64083 .55213 L
.64673 .54371 L
F
.65054 .558 m
.65766 .56313 L
.65115 .57284 L
.65054 .57352 L
.643 .58256 L
.64083 .58562 L
.63431 .58256 L
.63897 .57284 L
.64083 .57117 L
.64638 .56313 L
F
.64083 .47606 m
.64556 .48543 L
.64083 .4922 L
.63432 .48543 L
F
.64083 .45692 m
.64612 .46601 L
.64083 .47368 L
.63432 .46601 L
F
.64083 .4377 m
.64669 .44658 L
.64083 .45523 L
.63435 .44658 L
F
.65054 .50116 m
.659 .50486 L
.65272 .51457 L
.65054 .51705 L
.64448 .52428 L
.64083 .52943 L
.63437 .52428 L
.64037 .51457 L
.64083 .51415 L
.64745 .50486 L
F
.64083 .47615 m
.64551 .48543 L
.64083 .49213 L
.63438 .48543 L
F
.64083 .49517 m
.64498 .50486 L
.64083 .51074 L
.63439 .50486 L
F
.65054 .52017 m
.65841 .52428 L
.65219 .53399 L
.65054 .53587 L
.64396 .54371 L
.64083 .54812 L
.6344 .54371 L
.63992 .53399 L
.64083 .53318 L
.64712 .52428 L
F
.64083 .45703 m
.64605 .46601 L
.64083 .47359 L
.6344 .46601 L
F
.64083 .41846 m
.64726 .42716 L
.64083 .43681 L
.63442 .42716 L
F
.64083 .47623 m
.64546 .48543 L
.64083 .49206 L
.63445 .48543 L
F
.64083 .43785 m
.64659 .44658 L
.64083 .45511 L
.63445 .44658 L
F
.65054 .50122 m
.65891 .50486 L
.65266 .51457 L
.65054 .51699 L
.64442 .52428 L
.64083 .52935 L
.63446 .52428 L
.64045 .51457 L
.64083 .51423 L
.6475 .50486 L
F
.64083 .49526 m
.64493 .50486 L
.64083 .51067 L
.63446 .50486 L
F
.64083 .45713 m
.64598 .46601 L
.64083 .4735 L
.63448 .46601 L
F
.65054 .53917 m
.65793 .54371 L
.65161 .55342 L
.65054 .55463 L
.6434 .56313 L
.64083 .56676 L
.6345 .56313 L
.63952 .55342 L
.64083 .55225 L
.64681 .54371 L
F
.64083 .47631 m
.64541 .48543 L
.64083 .49199 L
.63451 .48543 L
F
.65054 .52024 m
.65832 .52428 L
.65212 .53399 L
.65054 .53579 L
.64388 .54371 L
.64083 .54801 L
.63452 .54371 L
.64001 .53399 L
.64083 .53326 L
.64718 .52428 L
F
.64083 .49534 m
.64488 .50486 L
.64083 .5106 L
.63453 .50486 L
F
.65054 .50128 m
.65882 .50486 L
.65261 .51457 L
.65054 .51692 L
.64436 .52428 L
.64083 .52927 L
.63454 .52428 L
.64053 .51457 L
.64083 .5143 L
.64755 .50486 L
F
.64083 .45723 m
.64592 .46601 L
.64083 .47342 L
.63456 .46601 L
F
.64083 .43799 m
.64649 .44658 L
.64083 .45498 L
.63456 .44658 L
F
.64083 .4764 m
.64535 .48543 L
.64083 .49192 L
.63458 .48543 L
F
.64083 .49542 m
.64483 .50486 L
.64083 .51053 L
.63459 .50486 L
F
.64083 .41871 m
.64709 .42716 L
.64083 .43661 L
.6346 .42716 L
F
.65054 .50134 m
.65873 .50486 L
.65255 .51457 L
.65054 .51685 L
.64431 .52428 L
.64083 .52919 L
.63462 .52428 L
.64061 .51457 L
.64083 .51437 L
.6476 .50486 L
F
.64083 .45733 m
.64585 .46601 L
.64083 .47333 L
.63463 .46601 L
F
.65054 .52031 m
.65823 .52428 L
.65205 .53399 L
.65054 .5357 L
.64381 .54371 L
.64083 .54791 L
.63463 .54371 L
.6401 .53399 L
.64083 .53334 L
.64723 .52428 L
F
.64083 .47648 m
.6453 .48543 L
.64083 .49185 L
.63465 .48543 L
F
.64083 .4955 m
.64478 .50486 L
.64083 .51046 L
.63466 .50486 L
F
.64083 .43814 m
.64639 .44658 L
.64083 .45486 L
.63467 .44658 L
F
.65054 .5014 m
.65864 .50486 L
.65249 .51457 L
.65054 .51679 L
.64425 .52428 L
.64083 .52911 L
.6347 .52428 L
.64069 .51457 L
.64083 .51444 L
.64765 .50486 L
F
.65054 .53926 m
.65782 .54371 L
.6515 .55342 L
.65054 .5545 L
.64328 .56313 L
.64083 .56658 L
.63471 .56313 L
.63964 .55342 L
.64083 .55236 L
.64688 .54371 L
F
.64083 .45743 m
.64579 .46601 L
.64083 .47324 L
.63471 .46601 L
F
.64083 .47657 m
.64525 .48543 L
.64083 .49178 L
.63471 .48543 L
F
.64083 .49559 m
.64473 .50486 L
.64083 .51039 L
.63473 .50486 L
F
.65054 .55814 m
.6575 .56313 L
.65095 .57284 L
.65054 .57329 L
.64277 .58256 L
.64083 .58529 L
.63474 .58256 L
.63917 .57284 L
.64083 .57136 L
.6465 .56313 L
F
.65054 .52037 m
.65814 .52428 L
.65197 .53399 L
.65054 .53562 L
.64373 .54371 L
.64083 .5478 L
.63475 .54371 L
.6402 .53399 L
.64083 .53343 L
.64729 .52428 L
F
.64083 .41895 m
.64691 .42716 L
.64083 .43641 L
.63477 .42716 L
F
.64083 .43828 m
.6463 .44658 L
.64083 .45473 L
.63478 .44658 L
F
.64083 .47665 m
.64519 .48543 L
.64083 .49171 L
.63478 .48543 L
F
.65054 .50146 m
.65856 .50486 L
.65243 .51457 L
.65054 .51672 L
.64419 .52428 L
.64083 .52904 L
.63478 .52428 L
.64077 .51457 L
.64083 .51451 L
.6477 .50486 L
F
.64083 .45753 m
.64572 .46601 L
.64083 .47315 L
.63479 .46601 L
F
.64083 .49567 m
.64468 .50486 L
.64083 .51032 L
.63479 .50486 L
F
.64083 .47674 m
.64514 .48543 L
.64083 .49163 L
.63485 .48543 L
F
.64083 .49575 m
.64463 .50486 L
.64083 .51025 L
.63486 .50486 L
F
.64083 .45764 m
.64565 .46601 L
.64083 .47307 L
.63487 .46601 L
F
.64083 .51459 m
.64414 .52428 L
.64083 .52896 L
.63487 .52428 L
F
.65054 .52044 m
.65805 .52428 L
.6519 .53399 L
.65054 .53553 L
.64366 .54371 L
.64083 .54769 L
.63487 .54371 L
.64029 .53399 L
.64083 .53351 L
.64735 .52428 L
F
.64083 .43843 m
.6462 .44658 L
.64083 .45461 L
.63488 .44658 L
F
.64083 .47682 m
.64509 .48543 L
.64083 .49156 L
.63491 .48543 L
F
.65054 .53935 m
.6577 .54371 L
.65138 .55342 L
.65054 .55437 L
.64316 .56313 L
.64083 .56641 L
.63492 .56313 L
.63977 .55342 L
.64083 .55247 L
.64695 .54371 L
F
.64083 .49584 m
.64457 .50486 L
.64083 .51019 L
.63493 .50486 L
F
.64083 .45774 m
.64559 .46601 L
.64083 .47298 L
.63494 .46601 L
F
.64083 .51469 m
.64408 .52428 L
.64083 .52888 L
.63495 .52428 L
F
.64083 .41919 m
.64674 .42716 L
.64083 .4362 L
.63495 .42716 L
F
.64083 .47691 m
.64503 .48543 L
.64083 .49149 L
.63498 .48543 L
F
.64083 .43857 m
.6461 .44658 L
.64083 .45448 L
.63499 .44658 L
F
.65054 .52051 m
.65796 .52428 L
.65182 .53399 L
.65054 .53544 L
.64358 .54371 L
.64083 .54758 L
.63499 .54371 L
.64038 .53399 L
.64083 .5336 L
.6474 .52428 L
F
.64083 .49592 m
.64452 .50486 L
.64083 .51012 L
.635 .50486 L
F
.64083 .45784 m
.64552 .46601 L
.64083 .47289 L
.63502 .46601 L
F
.64083 .51478 m
.64402 .52428 L
.64083 .5288 L
.63503 .52428 L
F
.64083 .477 m
.64498 .48543 L
.64083 .49142 L
.63505 .48543 L
F
.64083 .49601 m
.64447 .50486 L
.64083 .51005 L
.63507 .50486 L
F
.64083 .45794 m
.64545 .46601 L
.64083 .4728 L
.6351 .46601 L
F
.64083 .43871 m
.646 .44658 L
.64083 .45436 L
.6351 .44658 L
F
.64083 .47708 m
.64493 .48543 L
.64083 .49134 L
.63511 .48543 L
F
.64083 .51488 m
.64396 .52428 L
.64083 .52872 L
.63512 .52428 L
F
.65054 .52058 m
.65786 .52428 L
.65175 .53399 L
.65054 .53536 L
.6435 .54371 L
.64083 .54748 L
.63512 .54371 L
.64048 .53399 L
.64083 .53368 L
.64746 .52428 L
F
.65054 .53944 m
.65759 .54371 L
.65127 .55342 L
.65054 .55423 L
.64303 .56313 L
.64083 .56624 L
.63513 .56313 L
.6399 .55342 L
.64083 .55259 L
.64703 .54371 L
F
.64083 .41944 m
.64656 .42716 L
.64083 .436 L
.63513 .42716 L
F
.64083 .49609 m
.64442 .50486 L
.64083 .50998 L
.63514 .50486 L
F
.64083 .45805 m
.64539 .46601 L
.64083 .47271 L
.63518 .46601 L
F
.64083 .47717 m
.64487 .48543 L
.64083 .49127 L
.63518 .48543 L
F
.65054 .55827 m
.65734 .56313 L
.65074 .57284 L
.65054 .57306 L
.64254 .58256 L
.64083 .58496 L
.63519 .58256 L
.63938 .57284 L
.64083 .57154 L
.64661 .56313 L
F
.64083 .51498 m
.64391 .52428 L
.64083 .52864 L
.6352 .52428 L
F
.64083 .49618 m
.64437 .50486 L
.64083 .50991 L
.6352 .50486 L
F
.64083 .43886 m
.6459 .44658 L
.64083 .45423 L
.63521 .44658 L
F
.65054 .52064 m
.65777 .52428 L
.65167 .53399 L
.65054 .53527 L
.64342 .54371 L
.64083 .54737 L
.63524 .54371 L
.64057 .53399 L
.64083 .53377 L
.64752 .52428 L
F
.64083 .47726 m
.64482 .48543 L
.64083 .4912 L
.63525 .48543 L
F
.64083 .45815 m
.64532 .46601 L
.64083 .47262 L
.63525 .46601 L
F
.64083 .49626 m
.64432 .50486 L
.64083 .50984 L
.63527 .50486 L
F
.64083 .59051 m
.64997 .59227 L
.64203 .60198 L
.64083 .60365 L
.63528 .60198 L
.63888 .59227 L
F
.64083 .51508 m
.64385 .52428 L
.64083 .52856 L
.63528 .52428 L
F
.64083 .41968 m
.64638 .42716 L
.64083 .43579 L
.63531 .42716 L
F
.64083 .47734 m
.64477 .48543 L
.64083 .49113 L
.63531 .48543 L
F
.64083 .439 m
.6458 .44658 L
.64083 .4541 L
.63532 .44658 L
F
.64083 .45825 m
.64525 .46601 L
.64083 .47253 L
.63533 .46601 L
F
.64083 .49635 m
.64427 .50486 L
.64083 .50977 L
.63534 .50486 L
F
.65054 .53952 m
.65748 .54371 L
.65115 .55342 L
.65054 .5541 L
.64291 .56313 L
.64083 .56606 L
.63535 .56313 L
.64003 .55342 L
.64083 .5527 L
.6471 .54371 L
F
.65054 .52071 m
.65768 .52428 L
.6516 .53399 L
.65054 .53518 L
.64335 .54371 L
.64083 .54726 L
.63536 .54371 L
.64067 .53399 L
.64083 .53385 L
.64757 .52428 L
F
.64083 .51518 m
.64379 .52428 L
.64083 .52848 L
.63537 .52428 L
F
.64083 .47743 m
.64471 .48543 L
.64083 .49105 L
.63538 .48543 L
F
.64083 .45835 m
.64518 .46601 L
.64083 .47244 L
.63541 .46601 L
F
.64083 .49644 m
.64422 .50486 L
.64083 .5097 L
.63541 .50486 L
F
.64083 .43915 m
.6457 .44658 L
.64083 .45397 L
.63542 .44658 L
F
.64083 .47752 m
.64466 .48543 L
.64083 .49098 L
.63545 .48543 L
F
.64083 .51528 m
.64373 .52428 L
.64083 .5284 L
.63545 .52428 L
F
.64083 .49653 m
.64416 .50486 L
.64083 .50962 L
.63548 .50486 L
F
.64083 .41992 m
.64621 .42716 L
.64083 .43558 L
.63548 .42716 L
F
.65054 .52078 m
.65758 .52428 L
.65152 .53399 L
.65054 .5351 L
.64327 .54371 L
.64083 .54715 L
.63549 .54371 L
.64077 .53399 L
.64083 .53394 L
.64763 .52428 L
F
.64083 .45846 m
.64511 .46601 L
.64083 .47235 L
.63549 .46601 L
F
.64083 .47761 m
.6446 .48543 L
.64083 .49091 L
.63552 .48543 L
F
.64083 .43929 m
.6456 .44658 L
.64083 .45384 L
.63553 .44658 L
F
.64083 .51538 m
.64367 .52428 L
.64083 .52832 L
.63554 .52428 L
F
.64083 .49661 m
.64411 .50486 L
.64083 .50955 L
.63555 .50486 L
F
.65054 .53961 m
.65737 .54371 L
.65104 .55342 L
.65054 .55397 L
.64279 .56313 L
.64083 .56589 L
.63557 .56313 L
.64016 .55342 L
.64083 .55282 L
.64718 .54371 L
F
.64083 .45856 m
.64505 .46601 L
.64083 .47226 L
.63557 .46601 L
F
.64083 .47769 m
.64455 .48543 L
.64083 .49083 L
.63559 .48543 L
F
.64083 .53404 m
.64319 .54371 L
.64083 .54704 L
.63562 .54371 L
F
.64083 .4967 m
.64406 .50486 L
.64083 .50948 L
.63562 .50486 L
F
.64083 .51548 m
.64361 .52428 L
.64083 .52823 L
.63563 .52428 L
F
.64083 .43944 m
.6455 .44658 L
.64083 .45371 L
.63564 .44658 L
F
.64083 .45867 m
.64498 .46601 L
.64083 .47217 L
.63565 .46601 L
F
.64083 .47778 m
.64449 .48543 L
.64083 .49076 L
.63565 .48543 L
F
.64083 .57173 m
.65052 .57284 L
.6423 .58256 L
.64083 .58462 L
.63566 .58256 L
.63959 .57284 L
F
.64083 .42016 m
.64603 .42716 L
.64083 .43536 L
.63566 .42716 L
F
.64083 .49679 m
.64401 .50486 L
.64083 .50941 L
.63569 .50486 L
F
.64083 .40086 m
.64659 .40773 L
.64083 .41708 L
.63571 .40773 L
F
.64083 .51558 m
.64355 .52428 L
.64083 .52815 L
.63571 .52428 L
F
.64083 .47787 m
.64444 .48543 L
.64083 .49068 L
.63572 .48543 L
F
.64083 .45877 m
.64491 .46601 L
.64083 .47208 L
.63573 .46601 L
F
.64083 .53417 m
.64311 .54371 L
.64083 .54693 L
.63574 .54371 L
F
.64083 .43958 m
.6454 .44658 L
.64083 .45358 L
.63575 .44658 L
F
.64083 .49688 m
.64396 .50486 L
.64083 .50934 L
.63576 .50486 L
F
.64083 .47796 m
.64438 .48543 L
.64083 .49061 L
.63579 .48543 L
F
.65054 .5397 m
.65725 .54371 L
.65092 .55342 L
.65054 .55384 L
.64266 .56313 L
.64083 .56571 L
.63579 .56313 L
.64029 .55342 L
.64083 .55294 L
.64725 .54371 L
F
.64083 .51569 m
.6435 .52428 L
.64083 .52807 L
.6358 .52428 L
F
.64083 .45888 m
.64484 .46601 L
.64083 .47199 L
.63581 .46601 L
F
.64083 .49697 m
.6439 .50486 L
.64083 .50927 L
.63583 .50486 L
F
.64083 .4204 m
.64585 .42716 L
.64083 .43514 L
.63584 .42716 L
F
.64083 .47805 m
.64433 .48543 L
.64083 .49053 L
.63586 .48543 L
F
.64083 .43973 m
.64529 .44658 L
.64083 .45345 L
.63586 .44658 L
F
.64083 .53431 m
.64303 .54371 L
.64083 .54682 L
.63587 .54371 L
F
.64083 .45898 m
.64477 .46601 L
.64083 .47189 L
.63589 .46601 L
F
.64083 .51579 m
.64344 .52428 L
.64083 .52799 L
.63589 .52428 L
F
.64083 .60957 m
.64904 .61169 L
.64133 .62141 L
.64083 .62208 L
.6359 .62141 L
.63852 .61169 L
F
.64083 .49706 m
.64385 .50486 L
.64083 .50919 L
.63591 .50486 L
F
.64083 .47814 m
.64427 .48543 L
.64083 .49046 L
.63593 .48543 L
F
.64083 .45909 m
.6447 .46601 L
.64083 .4718 L
.63597 .46601 L
F
.64083 .43987 m
.64519 .44658 L
.64083 .45332 L
.63597 .44658 L
F
.64083 .5159 m
.64338 .52428 L
.64083 .5279 L
.63598 .52428 L
F
.64083 .49715 m
.6438 .50486 L
.64083 .50912 L
.63598 .50486 L
F
.64083 .47823 m
.64422 .48543 L
.64083 .49038 L
.636 .48543 L
F
.64083 .53445 m
.64295 .54371 L
.64083 .5467 L
.636 .54371 L
F
.64083 .42064 m
.64567 .42716 L
.64083 .43492 L
.63602 .42716 L
F
.65054 .53979 m
.65714 .54371 L
.6508 .55342 L
.65054 .5537 L
.64253 .56313 L
.64083 .56553 L
.63602 .56313 L
.64043 .55342 L
.64083 .55306 L
.64733 .54371 L
F
.64083 .45919 m
.64463 .46601 L
.64083 .47171 L
.63605 .46601 L
F
.64083 .49724 m
.64374 .50486 L
.64083 .50905 L
.63605 .50486 L
F
.64083 .40133 m
.64621 .40773 L
.64083 .41667 L
.63606 .40773 L
F
.64083 .51601 m
.64332 .52428 L
.64083 .52782 L
.63607 .52428 L
F
.64083 .47832 m
.64416 .48543 L
.64083 .49031 L
.63607 .48543 L
F
.64083 .44002 m
.64509 .44658 L
.64083 .45318 L
.63608 .44658 L
F
.64083 .49734 m
.64369 .50486 L
.64083 .50897 L
.63612 .50486 L
F
.64083 .4593 m
.64456 .46601 L
.64083 .47161 L
.63613 .46601 L
F
.64083 .53459 m
.64287 .54371 L
.64083 .54659 L
.63614 .54371 L
F
.64083 .47842 m
.6441 .48543 L
.64083 .49023 L
.63614 .48543 L
F
.64083 .57192 m
.65014 .57284 L
.64206 .58256 L
.64083 .58428 L
.63616 .58256 L
.6398 .57284 L
F
.64083 .51611 m
.64325 .52428 L
.64083 .52774 L
.63616 .52428 L
F
.64083 .44017 m
.64499 .44658 L
.64083 .45304 L
.63619 .44658 L
F
.64083 .49743 m
.64364 .50486 L
.64083 .5089 L
.6362 .50486 L
F
.64083 .42088 m
.64549 .42716 L
.64083 .4347 L
.63621 .42716 L
F
.64083 .45941 m
.64449 .46601 L
.64083 .47152 L
.63621 .46601 L
F
.64083 .47851 m
.64405 .48543 L
.64083 .49015 L
.63621 .48543 L
F
.64083 .51622 m
.64319 .52428 L
.64083 .52765 L
.63625 .52428 L
F
.65054 .53988 m
.65702 .54371 L
.65068 .55342 L
.65054 .55357 L
.6424 .56313 L
.64083 .56534 L
.63626 .56313 L
.64056 .55342 L
.64083 .55318 L
.6474 .54371 L
F
.64083 .49752 m
.64358 .50486 L
.64083 .50883 L
.63627 .50486 L
F
.64083 .53473 m
.64278 .54371 L
.64083 .54648 L
.63627 .54371 L
F
.64083 .4786 m
.64399 .48543 L
.64083 .49007 L
.63628 .48543 L
F
.64083 .45951 m
.64442 .46601 L
.64083 .47142 L
.63629 .46601 L
F
.64083 .44032 m
.64488 .44658 L
.64083 .45291 L
.63631 .44658 L
F
.64083 .51633 m
.64313 .52428 L
.64083 .52757 L
.63634 .52428 L
F
.64083 .49762 m
.64353 .50486 L
.64083 .50875 L
.63634 .50486 L
F
.64083 .47869 m
.64393 .48543 L
.64083 .49 L
.63635 .48543 L
F
.64083 .45962 m
.64435 .46601 L
.64083 .47133 L
.63637 .46601 L
F
.64083 .42113 m
.64531 .42716 L
.64083 .43447 L
.63639 .42716 L
F
.64083 .53488 m
.6427 .54371 L
.64083 .54636 L
.63641 .54371 L
F
.64083 .49771 m
.64347 .50486 L
.64083 .50868 L
.63642 .50486 L
F
.64083 .40181 m
.64583 .40773 L
.64083 .41624 L
.63642 .40773 L
F
.64083 .44047 m
.64478 .44658 L
.64083 .45277 L
.63642 .44658 L
F
.64083 .47879 m
.64388 .48543 L
.64083 .48992 L
.63642 .48543 L
F
.64083 .51645 m
.64307 .52428 L
.64083 .52748 L
.63643 .52428 L
F
.64083 .45973 m
.64428 .46601 L
.64083 .47123 L
.63646 .46601 L
F
.64083 .49781 m
.64342 .50486 L
.64083 .5086 L
.63649 .50486 L
F
.64083 .47888 m
.64382 .48543 L
.64083 .48984 L
.6365 .48543 L
F
.65054 .53997 m
.65691 .54371 L
.65056 .55342 L
.65054 .55343 L
.64227 .56313 L
.64083 .56516 L
.63651 .56313 L
.6407 .55342 L
.64083 .5533 L
.64748 .54371 L
F
.64083 .51656 m
.64301 .52428 L
.64083 .5274 L
.63653 .52428 L
F
.64083 .44062 m
.64467 .44658 L
.64083 .45263 L
.63653 .44658 L
F
.64083 .45984 m
.64421 .46601 L
.64083 .47113 L
.63654 .46601 L
F
.64083 .53503 m
.64262 .54371 L
.64083 .54624 L
.63655 .54371 L
F
.64083 .49791 m
.64336 .50486 L
.64083 .50853 L
.63657 .50486 L
F
.64083 .47898 m
.64376 .48543 L
.64083 .48976 L
.63657 .48543 L
F
.64083 .42137 m
.64512 .42716 L
.64083 .43423 L
.63657 .42716 L
F
.64083 .59087 m
.64925 .59227 L
.64149 .60198 L
.64083 .60288 L
.6366 .60198 L
.63928 .59227 L
F
.64083 .51668 m
.64295 .52428 L
.64083 .52731 L
.63662 .52428 L
F
.64083 .45995 m
.64414 .46601 L
.64083 .47104 L
.63662 .46601 L
F
.64083 .47907 m
.64371 .48543 L
.64083 .48968 L
.63664 .48543 L
F
.64083 .49801 m
.64331 .50486 L
.64083 .50845 L
.63664 .50486 L
F
.64083 .44077 m
.64457 .44658 L
.64083 .45249 L
.63665 .44658 L
F
.64083 .53518 m
.64254 .54371 L
.64083 .54613 L
.63669 .54371 L
F
.64083 .57211 m
.64974 .57284 L
.64181 .58256 L
.64083 .58393 L
.6367 .58256 L
.64001 .57284 L
F
.64083 .46006 m
.64407 .46601 L
.64083 .47094 L
.63671 .46601 L
F
.64083 .51679 m
.64288 .52428 L
.64083 .52722 L
.63671 .52428 L
F
.64083 .47917 m
.64365 .48543 L
.64083 .4896 L
.63672 .48543 L
F
.64083 .38282 m
.64611 .38831 L
.64083 .39778 L
.63672 .38831 L
F
.64083 .49811 m
.64325 .50486 L
.64083 .50837 L
.63672 .50486 L
F
.64083 .42162 m
.64494 .42716 L
.64083 .43399 L
.63676 .42716 L
F
.64083 .44092 m
.64446 .44658 L
.64083 .45234 L
.63676 .44658 L
F
.64083 .55343 m
.64213 .56313 L
.64083 .56497 L
.63677 .56313 L
F
.64083 .40229 m
.64545 .40773 L
.64083 .4158 L
.63678 .40773 L
F
.64083 .47927 m
.64359 .48543 L
.64083 .48952 L
.63679 .48543 L
F
.64083 .46017 m
.64399 .46601 L
.64083 .47084 L
.63679 .46601 L
F
.64083 .49821 m
.6432 .50486 L
.64083 .5083 L
.6368 .50486 L
F
.64083 .51691 m
.64282 .52428 L
.64083 .52714 L
.63681 .52428 L
F
.64083 .53533 m
.64245 .54371 L
.64083 .54601 L
.63683 .54371 L
F
.64083 .47936 m
.64353 .48543 L
.64083 .48944 L
.63686 .48543 L
F
.64083 .49831 m
.64314 .50486 L
.64083 .50822 L
.63688 .50486 L
F
.64083 .46029 m
.64392 .46601 L
.64083 .47074 L
.63688 .46601 L
F
.64083 .44107 m
.64435 .44658 L
.64083 .4522 L
.63688 .44658 L
F
.64083 .51703 m
.64276 .52428 L
.64083 .52705 L
.63691 .52428 L
F
.64083 .47946 m
.64347 .48543 L
.64083 .48936 L
.63694 .48543 L
F
.64083 .42187 m
.64475 .42716 L
.64083 .43375 L
.63695 .42716 L
F
.64083 .49841 m
.64309 .50486 L
.64083 .50814 L
.63695 .50486 L
F
.64083 .4604 m
.64385 .46601 L
.64083 .47064 L
.63696 .46601 L
F
.64083 .53549 m
.64237 .54371 L
.64083 .54589 L
.63698 .54371 L
F
.64083 .44123 m
.64424 .44658 L
.64083 .45205 L
.637 .44658 L
F
.64083 .51715 m
.64269 .52428 L
.64083 .52696 L
.63701 .52428 L
F
.64083 .47956 m
.64341 .48543 L
.64083 .48928 L
.63702 .48543 L
F
.64083 .49851 m
.64303 .50486 L
.64083 .50806 L
.63703 .50486 L
F
.64083 .55365 m
.642 .56313 L
.64083 .56478 L
.63703 .56313 L
F
.64083 .46051 m
.64377 .46601 L
.64083 .47054 L
.63705 .46601 L
F
.64083 .47966 m
.64335 .48543 L
.64083 .48919 L
.63709 .48543 L
F
.64083 .51728 m
.64263 .52428 L
.64083 .52687 L
.63711 .52428 L
F
.64083 .49862 m
.64297 .50486 L
.64083 .50798 L
.63711 .50486 L
F
.64083 .44138 m
.64413 .44658 L
.64083 .4519 L
.63711 .44658 L
F
.64083 .53566 m
.64228 .54371 L
.64083 .54577 L
.63713 .54371 L
F
.64083 .46063 m
.6437 .46601 L
.64083 .47043 L
.63714 .46601 L
F
.64083 .42213 m
.64456 .42716 L
.64083 .4335 L
.63714 .42716 L
F
.64083 .40279 m
.64505 .40773 L
.64083 .41533 L
.63715 .40773 L
F
.64083 .47977 m
.64329 .48543 L
.64083 .48911 L
.63717 .48543 L
F
.64083 .49872 m
.64291 .50486 L
.64083 .5079 L
.63719 .50486 L
F
.64083 .5174 m
.64256 .52428 L
.64083 .52678 L
.63721 .52428 L
F
.64083 .46075 m
.64362 .46601 L
.64083 .47033 L
.63723 .46601 L
F
.64083 .44154 m
.64402 .44658 L
.64083 .45175 L
.63723 .44658 L
F
.64083 .47987 m
.64323 .48543 L
.64083 .48903 L
.63725 .48543 L
F
.64083 .49883 m
.64286 .50486 L
.64083 .50782 L
.63728 .50486 L
F
.64083 .53582 m
.64219 .54371 L
.64083 .54565 L
.63729 .54371 L
F
.64083 .57231 m
.6493 .57284 L
.64155 .58256 L
.64083 .58357 L
.6373 .58256 L
.64023 .57284 L
F
.64083 .51753 m
.6425 .52428 L
.64083 .52669 L
.63731 .52428 L
F
.64083 .55388 m
.64186 .56313 L
.64083 .56459 L
.63731 .56313 L
F
.64083 .46086 m
.64355 .46601 L
.64083 .47023 L
.63732 .46601 L
F
.64083 .47997 m
.64317 .48543 L
.64083 .48894 L
.63732 .48543 L
F
.64083 .42238 m
.64436 .42716 L
.64083 .43324 L
.63734 .42716 L
F
.64083 .4417 m
.64391 .44658 L
.64083 .4516 L
.63736 .44658 L
F
.64083 .49894 m
.6428 .50486 L
.64083 .50774 L
.63736 .50486 L
F
.64083 .48008 m
.64311 .48543 L
.64083 .48886 L
.6374 .48543 L
F
.64083 .46098 m
.64347 .46601 L
.64083 .47012 L
.63741 .46601 L
F
.64083 .51766 m
.64243 .52428 L
.64083 .52659 L
.63742 .52428 L
F
.64083 .49905 m
.64274 .50486 L
.64083 .50766 L
.63744 .50486 L
F
.64083 .536 m
.6421 .54371 L
.64083 .54552 L
.63744 .54371 L
F
.64083 .44186 m
.6438 .44658 L
.64083 .45144 L
.63748 .44658 L
F
.64083 .48018 m
.64305 .48543 L
.64083 .48877 L
.63748 .48543 L
F
.64083 .4611 m
.64339 .46601 L
.64083 .47001 L
.6375 .46601 L
F
.64083 .51779 m
.64237 .52428 L
.64083 .5265 L
.63752 .52428 L
F
.64083 .40329 m
.64464 .40773 L
.64083 .41484 L
.63752 .40773 L
F
.64083 .49916 m
.64268 .50486 L
.64083 .50758 L
.63753 .50486 L
F
.64083 .42265 m
.64416 .42716 L
.64083 .43298 L
.63753 .42716 L
F
.64083 .48029 m
.64299 .48543 L
.64083 .48869 L
.63756 .48543 L
F
.64083 .38397 m
.64512 .38831 L
.64083 .39679 L
.63757 .38831 L
F
.64083 .46122 m
.64332 .46601 L
.64083 .4699 L
.63759 .46601 L
F
.64083 .44203 m
.64368 .44658 L
.64083 .45128 L
.6376 .44658 L
F
.64083 .53617 m
.64201 .54371 L
.64083 .5454 L
.63761 .54371 L
F
.64083 .49927 m
.64262 .50486 L
.64083 .50749 L
.63761 .50486 L
F
.64083 .55413 m
.64172 .56313 L
.64083 .56439 L
.63761 .56313 L
F
.64083 .51793 m
.6423 .52428 L
.64083 .52641 L
.63763 .52428 L
F
.64083 .4804 m
.64292 .48543 L
.64083 .4886 L
.63764 .48543 L
F
.64083 .46135 m
.64324 .46601 L
.64083 .46979 L
.63768 .46601 L
F
.64083 .49938 m
.64256 .50486 L
.64083 .50741 L
.6377 .50486 L
F
.64083 .48051 m
.64286 .48543 L
.64083 .48851 L
.63773 .48543 L
F
.64083 .44219 m
.64357 .44658 L
.64083 .45112 L
.63773 .44658 L
F
.64083 .42291 m
.64396 .42716 L
.64083 .43271 L
.63774 .42716 L
F
.64083 .51807 m
.64223 .52428 L
.64083 .52631 L
.63774 .52428 L
F
.64083 .46147 m
.64316 .46601 L
.64083 .46968 L
.63777 .46601 L
F
.64083 .53636 m
.64192 .54371 L
.64083 .54527 L
.63778 .54371 L
F
.64083 .4995 m
.6425 .50486 L
.64083 .50733 L
.63779 .50486 L
F
.64083 .48062 m
.6428 .48543 L
.64083 .48842 L
.63781 .48543 L
F
.64083 .51821 m
.64216 .52428 L
.64083 .52622 L
.63785 .52428 L
F
.64083 .44236 m
.64345 .44658 L
.64083 .45096 L
.63785 .44658 L
F
.64083 .4616 m
.64308 .46601 L
.64083 .46957 L
.63787 .46601 L
F
.64083 .49962 m
.64244 .50486 L
.64083 .50724 L
.63787 .50486 L
F
.64083 .48073 m
.64273 .48543 L
.64083 .48833 L
.63789 .48543 L
F
.64083 .4038 m
.64422 .40773 L
.64083 .41431 L
.63791 .40773 L
F
.64083 .55438 m
.64158 .56313 L
.64083 .56419 L
.63793 .56313 L
F
.64083 .42318 m
.64376 .42716 L
.64083 .43242 L
.63794 .42716 L
F
.64083 .53655 m
.64183 .54371 L
.64083 .54514 L
.63795 .54371 L
F
.64083 .46172 m
.643 .46601 L
.64083 .46946 L
.63796 .46601 L
F
.64083 .49974 m
.64238 .50486 L
.64083 .50715 L
.63796 .50486 L
F
.64083 .51836 m
.6421 .52428 L
.64083 .52612 L
.63797 .52428 L
F
.64083 .48085 m
.64267 .48543 L
.64083 .48824 L
.63798 .48543 L
F
.64083 .44253 m
.64333 .44658 L
.64083 .45079 L
.63798 .44658 L
F
.64083 .57251 m
.64883 .57284 L
.64129 .58256 L
.64083 .58319 L
.63802 .58256 L
.64046 .57284 L
F
.64083 .49986 m
.64232 .50486 L
.64083 .50707 L
.63806 .50486 L
F
.64083 .46185 m
.64292 .46601 L
.64083 .46934 L
.63806 .46601 L
F
.64083 .48096 m
.6426 .48543 L
.64083 .48815 L
.63807 .48543 L
F
.64083 .51851 m
.64203 .52428 L
.64083 .52602 L
.63808 .52428 L
F
.64083 .44271 m
.64321 .44658 L
.64083 .45062 L
.63811 .44658 L
F
.64083 .53674 m
.64174 .54371 L
.64083 .54501 L
.63813 .54371 L
F
.64083 .49999 m
.64226 .50486 L
.64083 .50698 L
.63815 .50486 L
F
.64083 .42346 m
.64354 .42716 L
.64083 .43213 L
.63815 .42716 L
F
.64083 .48108 m
.64254 .48543 L
.64083 .48805 L
.63815 .48543 L
F
.64083 .46199 m
.64284 .46601 L
.64083 .46923 L
.63816 .46601 L
F
.64083 .51866 m
.64196 .52428 L
.64083 .52592 L
.6382 .52428 L
F
.64083 .4812 m
.64247 .48543 L
.64083 .48796 L
.63824 .48543 L
F
.64083 .50011 m
.64219 .50486 L
.64083 .50689 L
.63824 .50486 L
F
.64083 .44288 m
.64309 .44658 L
.64083 .45045 L
.63825 .44658 L
F
.64083 .46212 m
.64275 .46601 L
.64083 .46911 L
.63826 .46601 L
F
.64083 .55465 m
.64143 .56313 L
.64083 .56398 L
.63828 .56313 L
F
.64083 .40434 m
.64378 .40773 L
.64083 .41373 L
.63832 .40773 L
F
.64083 .53695 m
.64165 .54371 L
.64083 .54488 L
.63832 .54371 L
F
.64083 .51882 m
.64189 .52428 L
.64083 .52582 L
.63833 .52428 L
F
.64083 .48132 m
.6424 .48543 L
.64083 .48786 L
.63833 .48543 L
F
.64083 .50024 m
.64213 .50486 L
.64083 .5068 L
.63834 .50486 L
F
.64083 .46226 m
.64267 .46601 L
.64083 .46899 L
.63836 .46601 L
F
.64083 .42375 m
.64333 .42716 L
.64083 .43183 L
.63837 .42716 L
F
.64083 .44307 m
.64296 .44658 L
.64083 .45027 L
.63838 .44658 L
F
.64083 .48145 m
.64234 .48543 L
.64083 .48777 L
.63842 .48543 L
F
.64083 .50038 m
.64207 .50486 L
.64083 .50671 L
.63844 .50486 L
F
.64083 .51898 m
.64181 .52428 L
.64083 .52572 L
.63845 .52428 L
F
.64083 .4624 m
.64259 .46601 L
.64083 .46886 L
.63846 .46601 L
F
.64083 .38519 m
.64404 .38831 L
.64083 .39562 L
.63848 .38831 L
F
.64083 .48158 m
.64227 .48543 L
.64083 .48767 L
.63852 .48543 L
F
.64083 .53716 m
.64155 .54371 L
.64083 .54474 L
.63852 .54371 L
F
.64083 .44325 m
.64284 .44658 L
.64083 .45008 L
.63852 .44658 L
F
.64083 .50051 m
.642 .50486 L
.64083 .50662 L
.63854 .50486 L
F
.64083 .46254 m
.6425 .46601 L
.64083 .46874 L
.63857 .46601 L
F
.64083 .51915 m
.64174 .52428 L
.64083 .52562 L
.63858 .52428 L
F
.64083 .42404 m
.6431 .42716 L
.64083 .43151 L
.63859 .42716 L
F
.64083 .48171 m
.6422 .48543 L
.64083 .48757 L
.63861 .48543 L
F
.64083 .50065 m
.64194 .50486 L
.64083 .50652 L
.63864 .50486 L
F
.64083 .59124 m
.64846 .59227 L
.6409 .60198 L
.64083 .60207 L
.63865 .60198 L
.63969 .59227 L
F
.64083 .44344 m
.64271 .44658 L
.64083 .44989 L
.63867 .44658 L
F
.64083 .55494 m
.64128 .56313 L
.64083 .56377 L
.63867 .56313 L
F
.64083 .46268 m
.64241 .46601 L
.64083 .46861 L
.63868 .46601 L
F
.64083 .36608 m
.64427 .36888 L
.64083 .37757 L
.6387 .36888 L
F
.64083 .48184 m
.64213 .48543 L
.64083 .48747 L
.63871 .48543 L
F
.64083 .51932 m
.64167 .52428 L
.64083 .52551 L
.63872 .52428 L
F
.64083 .53739 m
.64146 .54371 L
.64083 .54461 L
.63873 .54371 L
F
.64083 .4049 m
.64331 .40773 L
.64083 .41311 L
.63874 .40773 L
F
.64083 .5008 m
.64187 .50486 L
.64083 .50643 L
.63874 .50486 L
F
.64083 .46283 m
.64232 .46601 L
.64083 .46848 L
.63878 .46601 L
F
.64083 .48198 m
.64206 .48543 L
.64083 .48736 L
.63881 .48543 L
F
.64083 .44364 m
.64258 .44658 L
.64083 .4497 L
.63881 .44658 L
F
.64083 .42435 m
.64287 .42716 L
.64083 .43117 L
.63882 .42716 L
F
.64083 .50095 m
.6418 .50486 L
.64083 .50633 L
.63885 .50486 L
F
.64083 .5195 m
.64159 .52428 L
.64083 .52541 L
.63886 .52428 L
F
.64083 .46299 m
.64223 .46601 L
.64083 .46835 L
.6389 .46601 L
F
.64083 .48212 m
.64199 .48543 L
.64083 .48726 L
.63891 .48543 L
F
.64083 .44384 m
.64244 .44658 L
.64083 .44949 L
.63896 .44658 L
F
.64083 .53763 m
.64136 .54371 L
.64083 .54447 L
.63896 .54371 L
F
.64083 .5011 m
.64174 .50486 L
.64083 .50623 L
.63896 .50486 L
F
.64083 .57272 m
.64831 .57284 L
.64101 .58256 L
.64083 .58281 L
.63897 .58256 L
.64069 .57284 L
F
.64083 .51969 m
.64152 .52428 L
.64083 .5253 L
.639 .52428 L
F
.64083 .64873 m
.6458 .65054 L
.64083 .65719 L
.63901 .65054 L
F
.64083 .46314 m
.64214 .46601 L
.64083 .46821 L
.63901 .46601 L
F
.64083 .48226 m
.64192 .48543 L
.64083 .48715 L
.63901 .48543 L
F
.64083 .42467 m
.64263 .42716 L
.64083 .43081 L
.63906 .42716 L
F
.64083 .50126 m
.64167 .50486 L
.64083 .50613 L
.63908 .50486 L
F
.64083 .44405 m
.6423 .44658 L
.64083 .44928 L
.63911 .44658 L
F
.64083 .48241 m
.64184 .48543 L
.64083 .48704 L
.63911 .48543 L
F
.64083 .4633 m
.64205 .46601 L
.64083 .46807 L
.63913 .46601 L
F
.64083 .55524 m
.64113 .56313 L
.64083 .56355 L
.63913 .56313 L
F
.64083 .51989 m
.64144 .52428 L
.64083 .52519 L
.63916 .52428 L
F
.64083 .50143 m
.6416 .50486 L
.64083 .50603 L
.63919 .50486 L
F
.64083 .4055 m
.6428 .40773 L
.64083 .4124 L
.6392 .40773 L
F
.64083 .53788 m
.64126 .54371 L
.64083 .54432 L
.63921 .54371 L
F
.64083 .48256 m
.64177 .48543 L
.64083 .48693 L
.63922 .48543 L
F
.64083 .46347 m
.64196 .46601 L
.64083 .46793 L
.63925 .46601 L
F
.64083 .44426 m
.64216 .44658 L
.64083 .44907 L
.63927 .44658 L
F
.64083 .425 m
.64238 .42716 L
.64083 .43043 L
.63931 .42716 L
F
.64083 .5016 m
.64153 .50486 L
.64083 .50593 L
.63931 .50486 L
F
.64083 .5201 m
.64137 .52428 L
.64083 .52508 L
.63932 .52428 L
F
.64083 .48272 m
.64169 .48543 L
.64083 .48682 L
.63933 .48543 L
F
.64083 .46364 m
.64186 .46601 L
.64083 .46778 L
.63937 .46601 L
F
.64083 .44449 m
.64202 .44658 L
.64083 .44884 L
.63943 .44658 L
F
.64083 .50178 m
.64146 .50486 L
.64083 .50582 L
.63944 .50486 L
F
.64083 .61042 m
.64734 .61169 L
.64083 .62012 L
.63945 .61169 L
F
.64083 .48289 m
.64162 .48543 L
.64083 .4867 L
.63945 .48543 L
F
.64083 .53815 m
.64116 .54371 L
.64083 .54418 L
.63948 .54371 L
F
.64083 .52032 m
.64129 .52428 L
.64083 .52496 L
.63949 .52428 L
F
.64083 .46382 m
.64176 .46601 L
.64083 .46763 L
.6395 .46601 L
F
.64083 .38654 m
.64277 .38831 L
.64083 .39412 L
.6395 .38831 L
F
.64083 .48306 m
.64154 .48543 L
.64083 .48658 L
.63957 .48543 L
F
.64083 .42535 m
.64212 .42716 L
.64083 .43001 L
.63957 .42716 L
F
.64083 .50197 m
.64139 .50486 L
.64083 .50572 L
.63957 .50486 L
F
.64083 .44472 m
.64187 .44658 L
.64083 .44859 L
.6396 .44658 L
F
.64083 .46401 m
.64166 .46601 L
.64083 .46747 L
.63963 .46601 L
F
.64083 .52057 m
.64121 .52428 L
.64083 .52484 L
.63967 .52428 L
F
.64083 .40615 m
.64224 .40773 L
.64083 .41156 L
.63968 .40773 L
F
.64083 .48324 m
.64146 .48543 L
.64083 .48646 L
.63969 .48543 L
F
.64083 .50218 m
.64131 .50486 L
.64083 .50561 L
.63971 .50486 L
F
.64083 .55557 m
.64097 .56313 L
.64083 .56333 L
.63972 .56313 L
F
.64083 .46421 m
.64156 .46601 L
.64083 .46731 L
.63976 .46601 L
F
.64083 .44497 m
.64171 .44658 L
.64083 .44834 L
.63978 .44658 L
F
.64083 .53844 m
.64105 .54371 L
.64083 .54403 L
.63979 .54371 L
F
.64083 .48344 m
.64138 .48543 L
.64083 .48634 L
.63982 .48543 L
F
.64083 .42573 m
.64184 .42716 L
.64083 .42954 L
.63985 .42716 L
F
.64083 .5024 m
.64124 .50486 L
.64083 .50549 L
.63985 .50486 L
F
.64083 .52083 m
.64113 .52428 L
.64083 .52473 L
.63987 .52428 L
F
.64083 .46442 m
.64146 .46601 L
.64083 .46713 L
.6399 .46601 L
F
.64083 .48365 m
.6413 .48543 L
.64083 .48621 L
.63995 .48543 L
F
.64083 .44523 m
.64155 .44658 L
.64083 .44806 L
.63997 .44658 L
F
.64083 .63033 m
.64488 .63112 L
.64083 .63688 L
.64 .63112 L
F
.64083 .50264 m
.64116 .50486 L
.64083 .50538 L
.64001 .50486 L
F
.64083 .46464 m
.64135 .46601 L
.64083 .46696 L
.64005 .46601 L
F
.64083 .52112 m
.64105 .52428 L
.64083 .5246 L
.64009 .52428 L
F
.64083 .48387 m
.64122 .48543 L
.64083 .48608 L
.64009 .48543 L
F
.64083 .59163 m
.64755 .59227 L
.64083 .60115 L
.64012 .59227 L
F
.64083 .42615 m
.64154 .42716 L
.64083 .42899 L
.64014 .42716 L
F
.64083 .44552 m
.64138 .44658 L
.64083 .44776 L
.64016 .44658 L
F
.64083 .50291 m
.64109 .50486 L
.64083 .50526 L
.64017 .50486 L
F
.64083 .53877 m
.64095 .54371 L
.64083 .54387 L
.64018 .54371 L
F
.64083 .46488 m
.64124 .46601 L
.64083 .46677 L
.64021 .46601 L
F
.64083 .40689 m
.6416 .40773 L
.64083 .41048 L
.64023 .40773 L
F
.64083 .48412 m
.64113 .48543 L
.64083 .48594 L
.64024 .48543 L
F
.64083 .52146 m
.64096 .52428 L
.64083 .52448 L
.64033 .52428 L
F
.64083 .50322 m
.64101 .50486 L
.64083 .50514 L
.64035 .50486 L
F
.64083 .44583 m
.64121 .44658 L
.64083 .44743 L
.64037 .44658 L
F
.64083 .46515 m
.64113 .46601 L
.64083 .46657 L
.64037 .46601 L
F
.64083 .4844 m
.64104 .48543 L
.64083 .48579 L
.6404 .48543 L
F
.64083 .61135 m
.645 .61169 L
.64083 .61783 L
.64046 .61169 L
F
.64083 .42661 m
.64121 .42716 L
.64083 .42831 L
.64047 .42716 L
F
.64083 .46545 m
.64101 .46601 L
.64083 .46635 L
.64055 .46601 L
F
.64083 .50361 m
.64093 .50486 L
.64083 .50501 L
.64055 .50486 L
F
.64083 .48474 m
.64095 .48543 L
.64083 .48565 L
.64057 .48543 L
F
.64083 .59204 m
.64644 .59227 L
.64083 .60011 L
.64057 .59227 L
F
.64083 .44618 m
.64102 .44658 L
.64083 .44704 L
.64059 .44658 L
F
.64083 .52187 m
.64088 .52428 L
.64083 .52435 L
.64064 .52428 L
F
.64083 .46581 m
.64089 .46601 L
.64083 .46612 L
.64074 .46601 L
F
.64083 .3882 m
.64097 .38831 L
.64083 .39161 L
.64075 .38831 L
F
.64083 .48519 m
.64086 .48543 L
.64083 .48549 L
.64076 .48543 L
F
.64083 .53913 m
.64084 .54371 L
.64083 .54372 L
.64077 .54371 L
F
.64083 .50425 m
.64085 .50486 L
.64083 .50488 L
.64078 .50486 L
F
.64083 .42715 m
.64084 .42716 L
.64083 .42718 L
.64083 .42716 L
F
.66026 .45028 m
.66714 .45629 L
.66112 .46601 L
.66997 .47471 L
.67749 .46601 L
.67968 .4625 L
.68732 .46601 L
.6823 .47572 L
.67968 .47799 L
.67498 .48543 L
.66997 .49121 L
.66301 .48543 L
.66917 .47572 L
.66026 .46673 L
.65402 .47572 L
.65054 .47968 L
.64084 .47572 L
.6477 .46601 L
.65054 .4626 L
.65608 .45629 L
F
.66026 .43052 m
.66825 .43687 L
.66237 .44658 L
.66997 .45508 L
.6771 .44658 L
.67968 .44239 L
.68926 .44658 L
.68376 .45629 L
.67968 .45985 L
.67585 .46601 L
.66997 .47291 L
.66286 .46601 L
.66902 .45629 L
.66026 .44835 L
.65475 .45629 L
.65054 .46112 L
.64085 .45629 L
.64758 .44658 L
.65054 .44298 L
.65587 .43687 L
F
.65054 .50152 m
.65847 .50486 L
.65238 .51457 L
.65054 .51665 L
.64086 .51457 L
.64775 .50486 L
F
.65054 .48212 m
.65972 .48543 L
.65321 .49514 L
.65054 .49819 L
.64087 .49514 L
.64777 .48543 L
F
.65054 .52085 m
.65749 .52428 L
.65144 .53399 L
.65054 .53501 L
.64089 .53399 L
.64769 .52428 L
F
.66026 .45038 m
.66703 .45629 L
.66102 .46601 L
.66997 .47481 L
.67758 .46601 L
.67968 .46265 L
.68711 .46601 L
.68216 .47572 L
.67968 .47787 L
.67491 .48543 L
.66997 .49112 L
.66309 .48543 L
.66925 .47572 L
.66026 .46665 L
.65396 .47572 L
.65054 .47962 L
.64094 .47572 L
.64777 .46601 L
.65054 .46268 L
.65616 .45629 L
F
.65054 .48219 m
.65962 .48543 L
.65316 .49514 L
.65054 .49813 L
.64096 .49514 L
.64782 .48543 L
F
.65054 .50158 m
.65838 .50486 L
.65232 .51457 L
.65054 .51659 L
.64097 .51457 L
.6478 .50486 L
F
.66026 .43069 m
.66807 .43687 L
.66223 .44658 L
.66997 .45522 L
.67723 .44658 L
.67968 .44262 L
.68895 .44658 L
.68358 .45629 L
.67968 .4597 L
.67576 .46601 L
.66997 .47281 L
.66296 .46601 L
.66913 .45629 L
.66026 .44824 L
.65468 .45629 L
.65054 .46103 L
.64098 .45629 L
.64768 .44658 L
.65054 .44311 L
.65599 .43687 L
F
.66026 .45049 m
.66693 .45629 L
.66092 .46601 L
.66997 .47491 L
.67768 .46601 L
.67968 .4628 L
.68691 .46601 L
.68202 .47572 L
.67968 .47774 L
.67484 .48543 L
.66997 .49104 L
.66318 .48543 L
.66933 .47572 L
.66026 .46656 L
.6539 .47572 L
.65054 .47955 L
.64104 .47572 L
.64784 .46601 L
.65054 .46276 L
.65623 .45629 L
F
.65054 .52091 m
.6574 .52428 L
.65137 .53399 L
.65054 .53492 L
.64105 .53399 L
.64774 .52428 L
F
.65054 .48225 m
.65952 .48543 L
.65311 .49514 L
.65054 .49807 L
.64106 .49514 L
.64788 .48543 L
F
.65054 .50164 m
.65829 .50486 L
.65226 .51457 L
.65054 .51652 L
.64109 .51457 L
.64785 .50486 L
F
.66026 .43086 m
.6679 .43687 L
.6621 .44658 L
.66997 .45536 L
.67737 .44658 L
.67968 .44284 L
.68863 .44658 L
.68341 .45629 L
.67968 .45955 L
.67567 .46601 L
.66997 .47271 L
.66306 .46601 L
.66924 .45629 L
.66026 .44813 L
.65461 .45629 L
.65054 .46095 L
.6411 .45629 L
.64778 .44658 L
.65054 .44323 L
.6561 .43687 L
F
.66026 .4506 m
.66682 .45629 L
.66082 .46601 L
.66997 .47501 L
.67777 .46601 L
.67968 .46295 L
.6867 .46601 L
.68188 .47572 L
.67968 .47762 L
.67476 .48543 L
.66997 .49096 L
.66327 .48543 L
.66941 .47572 L
.66026 .46648 L
.65384 .47572 L
.65054 .47949 L
.64114 .47572 L
.6479 .46601 L
.65054 .46284 L
.65631 .45629 L
F
.65054 .48232 m
.65942 .48543 L
.65306 .49514 L
.65054 .49801 L
.64116 .49514 L
.64793 .48543 L
F
.65054 .5017 m
.6582 .50486 L
.6522 .51457 L
.65054 .51645 L
.6412 .51457 L
.6479 .50486 L
F
.65054 .52098 m
.6573 .52428 L
.65129 .53399 L
.65054 .53483 L
.64121 .53399 L
.6478 .52428 L
F
.66026 .43103 m
.66773 .43687 L
.66197 .44658 L
.66997 .4555 L
.6775 .44658 L
.67968 .44306 L
.68832 .44658 L
.68324 .45629 L
.67968 .4594 L
.67558 .46601 L
.66997 .47261 L
.66315 .46601 L
.66935 .45629 L
.66026 .44802 L
.65453 .45629 L
.65054 .46087 L
.64122 .45629 L
.64787 .44658 L
.65054 .44336 L
.65622 .43687 L
F
.66026 .4507 m
.66672 .45629 L
.66072 .46601 L
.66997 .47511 L
.67787 .46601 L
.67968 .4631 L
.68649 .46601 L
.68174 .47572 L
.67968 .4775 L
.67469 .48543 L
.66997 .49087 L
.66335 .48543 L
.66949 .47572 L
.66026 .4664 L
.65379 .47572 L
.65054 .47942 L
.64124 .47572 L
.64797 .46601 L
.65054 .46293 L
.65638 .45629 L
F
.65054 .48238 m
.65932 .48543 L
.653 .49514 L
.65054 .49795 L
.64126 .49514 L
.64799 .48543 L
F
.65054 .50176 m
.6581 .50486 L
.65214 .51457 L
.65054 .51638 L
.64132 .51457 L
.64795 .50486 L
F
.66026 .45081 m
.66661 .45629 L
.66062 .46601 L
.66997 .47521 L
.67796 .46601 L
.67968 .46326 L
.68628 .46601 L
.6816 .47572 L
.67968 .47737 L
.67462 .48543 L
.66997 .49079 L
.66344 .48543 L
.66957 .47572 L
.66026 .46631 L
.65373 .47572 L
.65054 .47936 L
.64134 .47572 L
.64804 .46601 L
.65054 .46301 L
.65646 .45629 L
F
.66026 .4312 m
.66755 .43687 L
.66184 .44658 L
.66997 .45564 L
.67764 .44658 L
.67968 .44328 L
.688 .44658 L
.68307 .45629 L
.67968 .45925 L
.67549 .46601 L
.66997 .47251 L
.66325 .46601 L
.66946 .45629 L
.66026 .44791 L
.65446 .45629 L
.65054 .46078 L
.64134 .45629 L
.64797 .44658 L
.65054 .44348 L
.65633 .43687 L
F
.65054 .48245 m
.65922 .48543 L
.65295 .49514 L
.65054 .49789 L
.64136 .49514 L
.64804 .48543 L
F
.65054 .52105 m
.6572 .52428 L
.65121 .53399 L
.65054 .53474 L
.64138 .53399 L
.64786 .52428 L
F
.66026 .45092 m
.66651 .45629 L
.66052 .46601 L
.66997 .47532 L
.67806 .46601 L
.67968 .46341 L
.68606 .46601 L
.68146 .47572 L
.67968 .47725 L
.67454 .48543 L
.66997 .49071 L
.66353 .48543 L
.66965 .47572 L
.66026 .46623 L
.65367 .47572 L
.65054 .47929 L
.64144 .47572 L
.64811 .46601 L
.65054 .46309 L
.65653 .45629 L
F
.65054 .50183 m
.65801 .50486 L
.65208 .51457 L
.65054 .51632 L
.64144 .51457 L
.64801 .50486 L
F
.65054 .48251 m
.65912 .48543 L
.6529 .49514 L
.65054 .49783 L
.64146 .49514 L
.64809 .48543 L
F
.66026 .43137 m
.66738 .43687 L
.6617 .44658 L
.66997 .45578 L
.67778 .44658 L
.67968 .4435 L
.68768 .44658 L
.68289 .45629 L
.67968 .45909 L
.6754 .46601 L
.66997 .47241 L
.66335 .46601 L
.66957 .45629 L
.66026 .44779 L
.65439 .45629 L
.65054 .4607 L
.64147 .45629 L
.64807 .44658 L
.65054 .44361 L
.65645 .43687 L
F
.66026 .45103 m
.6664 .45629 L
.66042 .46601 L
.66997 .47542 L
.67816 .46601 L
.67968 .46357 L
.68584 .46601 L
.68131 .47572 L
.67968 .47712 L
.67447 .48543 L
.66997 .49062 L
.66361 .48543 L
.66973 .47572 L
.66026 .46614 L
.65362 .47572 L
.65054 .47923 L
.64154 .47572 L
.64817 .46601 L
.65054 .46317 L
.65661 .45629 L
F
.65054 .48258 m
.65902 .48543 L
.65284 .49514 L
.65054 .49776 L
.64156 .49514 L
.64815 .48543 L
F
.65054 .52112 m
.65711 .52428 L
.65113 .53399 L
.65054 .53465 L
.64156 .53399 L
.64792 .52428 L
F
.65054 .50189 m
.65792 .50486 L
.65202 .51457 L
.65054 .51625 L
.64156 .51457 L
.64806 .50486 L
F
.66026 .43153 m
.6672 .43687 L
.66157 .44658 L
.66997 .45592 L
.67791 .44658 L
.67968 .44373 L
.68736 .44658 L
.68272 .45629 L
.67968 .45894 L
.67532 .46601 L
.66997 .47231 L
.66345 .46601 L
.66968 .45629 L
.66026 .44768 L
.65431 .45629 L
.65054 .46062 L
.64159 .45629 L
.64818 .44658 L
.65054 .44373 L
.65656 .43687 L
F
.66026 .45113 m
.6663 .45629 L
.66031 .46601 L
.66997 .47552 L
.67826 .46601 L
.67968 .46372 L
.68562 .46601 L
.68117 .47572 L
.67968 .477 L
.6744 .48543 L
.66997 .49054 L
.6637 .48543 L
.66981 .47572 L
.66026 .46605 L
.65356 .47572 L
.65054 .47916 L
.64164 .47572 L
.64824 .46601 L
.65054 .46326 L
.65668 .45629 L
F
.65054 .48264 m
.65891 .48543 L
.65279 .49514 L
.65054 .4977 L
.64166 .49514 L
.6482 .48543 L
F
.66026 .41184 m
.66831 .41744 L
.66264 .42716 L
.66997 .43648 L
.67762 .42716 L
.67968 .42377 L
.68928 .42716 L
.68392 .43687 L
.67968 .44061 L
.67605 .44658 L
.66997 .45394 L
.66341 .44658 L
.66966 .43687 L
.66026 .42915 L
.65496 .43687 L
.65054 .44198 L
.64167 .43687 L
.64814 .42716 L
.65054 .42424 L
.65641 .41744 L
F
.65054 .50195 m
.65783 .50486 L
.65197 .51457 L
.65054 .51618 L
.64168 .51457 L
.64811 .50486 L
F
.66026 .4317 m
.66703 .43687 L
.66144 .44658 L
.66997 .45607 L
.67805 .44658 L
.67968 .44395 L
.68703 .44658 L
.68254 .45629 L
.67968 .45878 L
.67523 .46601 L
.66997 .47221 L
.66354 .46601 L
.66979 .45629 L
.66026 .44757 L
.65424 .45629 L
.65054 .46053 L
.64171 .45629 L
.64828 .44658 L
.65054 .44386 L
.65668 .43687 L
F
.65054 .52119 m
.65701 .52428 L
.65105 .53399 L
.65054 .53456 L
.64174 .53399 L
.64797 .52428 L
F
.65054 .46334 m
.6602 .46601 L
.6535 .47572 L
.65054 .4791 L
.64175 .47572 L
.64831 .46601 L
F
.65054 .48271 m
.65881 .48543 L
.65274 .49514 L
.65054 .49764 L
.64176 .49514 L
.64826 .48543 L
F
.65054 .50201 m
.65773 .50486 L
.65191 .51457 L
.65054 .51611 L
.64181 .51457 L
.64816 .50486 L
F
.66026 .43187 m
.66685 .43687 L
.6613 .44658 L
.66997 .45621 L
.67819 .44658 L
.67968 .44418 L
.68669 .44658 L
.68236 .45629 L
.67968 .45863 L
.67514 .46601 L
.66997 .47211 L
.66364 .46601 L
.6699 .45629 L
.66026 .44746 L
.65416 .45629 L
.65054 .46045 L
.64184 .45629 L
.64838 .44658 L
.65054 .44399 L
.6568 .43687 L
F
.66026 .41215 m
.66796 .41744 L
.66243 .42716 L
.66997 .43671 L
.67785 .42716 L
.67968 .42416 L
.68868 .42716 L
.68366 .43687 L
.67968 .44039 L
.67592 .44658 L
.66997 .45379 L
.66355 .44658 L
.66984 .43687 L
.66026 .42897 L
.65485 .43687 L
.65054 .44185 L
.64184 .43687 L
.64831 .42716 L
.65054 .42446 L
.65662 .41744 L
F
.65054 .46343 m
.66007 .46601 L
.65344 .47572 L
.65054 .47903 L
.64185 .47572 L
.64838 .46601 L
F
.65054 .48278 m
.65871 .48543 L
.65268 .49514 L
.65054 .49758 L
.64186 .49514 L
.64831 .48543 L
F
.65054 .52126 m
.65691 .52428 L
.65097 .53399 L
.65054 .53447 L
.64192 .53399 L
.64803 .52428 L
F
.65054 .50207 m
.65764 .50486 L
.65185 .51457 L
.65054 .51604 L
.64193 .51457 L
.64821 .50486 L
F
.65054 .46351 m
.65993 .46601 L
.65339 .47572 L
.65054 .47896 L
.64195 .47572 L
.64845 .46601 L
F
.66026 .43204 m
.66667 .43687 L
.66116 .44658 L
.66026 .44734 L
.65409 .45629 L
.65054 .46036 L
.64196 .45629 L
.64848 .44658 L
.65054 .44411 L
.65691 .43687 L
F
.65054 .48284 m
.6586 .48543 L
.65263 .49514 L
.65054 .49752 L
.64197 .49514 L
.64837 .48543 L
F
.66026 .41247 m
.66761 .41744 L
.66221 .42716 L
.66026 .42879 L
.65473 .43687 L
.65054 .44172 L
.64202 .43687 L
.64849 .42716 L
.65054 .42469 L
.65683 .41744 L
F
.65054 .46359 m
.6598 .46601 L
.65333 .47572 L
.65054 .4789 L
.64206 .47572 L
.64852 .46601 L
F
.65054 .50214 m
.65755 .50486 L
.65179 .51457 L
.65054 .51597 L
.64206 .51457 L
.64827 .50486 L
F
.65054 .48291 m
.65849 .48543 L
.65258 .49514 L
.65054 .49746 L
.64207 .49514 L
.64842 .48543 L
F
.66026 .43222 m
.66649 .43687 L
.66103 .44658 L
.66026 .44723 L
.65401 .45629 L
.65054 .46028 L
.64208 .45629 L
.64858 .44658 L
.65054 .44424 L
.65703 .43687 L
F
.65054 .52133 m
.65681 .52428 L
.65089 .53399 L
.65054 .53438 L
.64211 .53399 L
.64809 .52428 L
F
.65054 .46368 m
.65966 .46601 L
.65327 .47572 L
.65054 .47883 L
.64216 .47572 L
.64859 .46601 L
F
.65054 .48298 m
.65839 .48543 L
.65252 .49514 L
.65054 .49739 L
.64218 .49514 L
.64848 .48543 L
F
.65054 .5022 m
.65745 .50486 L
.65172 .51457 L
.65054 .51591 L
.64219 .51457 L
.64832 .50486 L
F
.66026 .41279 m
.66727 .41744 L
.662 .42716 L
.66026 .42861 L
.65462 .43687 L
.65054 .44159 L
.6422 .43687 L
.64867 .42716 L
.65054 .42491 L
.65705 .41744 L
F
.66026 .43239 m
.66631 .43687 L
.66089 .44658 L
.66026 .44711 L
.65394 .45629 L
.65054 .46019 L
.64221 .45629 L
.64868 .44658 L
.65054 .44436 L
.65715 .43687 L
F
.65054 .46376 m
.65953 .46601 L
.65321 .47572 L
.65054 .47877 L
.64226 .47572 L
.64866 .46601 L
F
.65054 .48304 m
.65828 .48543 L
.65247 .49514 L
.65054 .49733 L
.64228 .49514 L
.64854 .48543 L
F
.65054 .5214 m
.65672 .52428 L
.65081 .53399 L
.65054 .53429 L
.64231 .53399 L
.64815 .52428 L
F
.65054 .50226 m
.65735 .50486 L
.65166 .51457 L
.65054 .51584 L
.64232 .51457 L
.64837 .50486 L
F
.66026 .43256 m
.66613 .43687 L
.66075 .44658 L
.66026 .44699 L
.65386 .45629 L
.65054 .46011 L
.64233 .45629 L
.64879 .44658 L
.65054 .44449 L
.65727 .43687 L
F
.65054 .46385 m
.65939 .46601 L
.65315 .47572 L
.65054 .4787 L
.64237 .47572 L
.64873 .46601 L
F
.66026 .41311 m
.66691 .41744 L
.66178 .42716 L
.66026 .42843 L
.6545 .43687 L
.65054 .44146 L
.64238 .43687 L
.64885 .42716 L
.65054 .42514 L
.65726 .41744 L
F
.66026 .39333 m
.66819 .39802 L
.66283 .40773 L
.66026 .40989 L
.65515 .41744 L
.65054 .42287 L
.64239 .41744 L
.6488 .40773 L
.65054 .40564 L
.65705 .39802 L
F
.65054 .48311 m
.65817 .48543 L
.65241 .49514 L
.65054 .49727 L
.64239 .49514 L
.64859 .48543 L
F
.65054 .50233 m
.65726 .50486 L
.6516 .51457 L
.65054 .51577 L
.64245 .51457 L
.64842 .50486 L
F
.66026 .43273 m
.66595 .43687 L
.66061 .44658 L
.66026 .44688 L
.65379 .45629 L
.65054 .46002 L
.64246 .45629 L
.64889 .44658 L
.65054 .44462 L
.65739 .43687 L
F
.65054 .46393 m
.65924 .46601 L
.65309 .47572 L
.65054 .47863 L
.64248 .47572 L
.6488 .46601 L
F
.65054 .48318 m
.65806 .48543 L
.65236 .49514 L
.65054 .49721 L
.6425 .49514 L
.64865 .48543 L
F
.65054 .52147 m
.65662 .52428 L
.65073 .53399 L
.65054 .5342 L
.64252 .53399 L
.64821 .52428 L
F
.66026 .41343 m
.66655 .41744 L
.66156 .42716 L
.66026 .42825 L
.65439 .43687 L
.65054 .44133 L
.64256 .43687 L
.64903 .42716 L
.65054 .42536 L
.65748 .41744 L
F
.65054 .46402 m
.6591 .46601 L
.65303 .47572 L
.65054 .47856 L
.64258 .47572 L
.64887 .46601 L
F
.66026 .43291 m
.66576 .43687 L
.66047 .44658 L
.66026 .44676 L
.65371 .45629 L
.65054 .45994 L
.64258 .45629 L
.649 .44658 L
.65054 .44474 L
.65752 .43687 L
F
.65054 .50239 m
.65716 .50486 L
.65154 .51457 L
.65054 .5157 L
.64259 .51457 L
.64848 .50486 L
F
.65054 .48325 m
.65795 .48543 L
.6523 .49514 L
.65054 .49714 L
.64261 .49514 L
.6487 .48543 L
F
.65054 .4641 m
.65896 .46601 L
.65298 .47572 L
.65054 .4785 L
.64269 .47572 L
.64894 .46601 L
F
.66026 .39404 m
.66736 .39802 L
.66242 .40773 L
.66026 .40955 L
.65494 .41744 L
.65054 .42263 L
.64269 .41744 L
.64918 .40773 L
.65054 .40612 L
.65752 .39802 L
F
.66026 .43308 m
.66557 .43687 L
.66032 .44658 L
.66026 .44664 L
.65364 .45629 L
.65054 .45985 L
.64271 .45629 L
.6491 .44658 L
.65054 .44487 L
.65764 .43687 L
F
.65054 .48331 m
.65784 .48543 L
.65225 .49514 L
.65054 .49708 L
.64272 .49514 L
.64876 .48543 L
F
.65054 .50245 m
.65706 .50486 L
.65148 .51457 L
.65054 .51563 L
.64273 .51457 L
.64853 .50486 L
F
.65054 .52154 m
.65651 .52428 L
.65064 .53399 L
.65054 .5341 L
.64273 .53399 L
.64827 .52428 L
F
.66026 .41376 m
.66618 .41744 L
.66134 .42716 L
.66026 .42806 L
.65427 .43687 L
.65054 .4412 L
.64274 .43687 L
.64922 .42716 L
.65054 .42559 L
.65771 .41744 L
F
.65054 .46419 m
.65881 .46601 L
.65292 .47572 L
.65054 .47843 L
.6428 .47572 L
.64901 .46601 L
F
.65054 .48338 m
.65772 .48543 L
.65219 .49514 L
.65054 .49702 L
.64283 .49514 L
.64882 .48543 L
F
.65054 .445 m
.66014 .44658 L
.65356 .45629 L
.65054 .45977 L
.64284 .45629 L
.64921 .44658 L
F
.65054 .50252 m
.65696 .50486 L
.65142 .51457 L
.65054 .51555 L
.64287 .51457 L
.64858 .50486 L
F
.65054 .46428 m
.65866 .46601 L
.65286 .47572 L
.65054 .47836 L
.64291 .47572 L
.64908 .46601 L
F
.66026 .41409 m
.66581 .41744 L
.66112 .42716 L
.66026 .42788 L
.65416 .43687 L
.65054 .44107 L
.64292 .43687 L
.6494 .42716 L
.65054 .42581 L
.65793 .41744 L
F
.65054 .48345 m
.65761 .48543 L
.65214 .49514 L
.65054 .49695 L
.64295 .49514 L
.64888 .48543 L
F
.65054 .52161 m
.65641 .52428 L
.65056 .53399 L
.65054 .53401 L
.64296 .53399 L
.64833 .52428 L
F
.65054 .44513 m
.65992 .44658 L
.65349 .45629 L
.65054 .45968 L
.64297 .45629 L
.64931 .44658 L
F
.66026 .39476 m
.6665 .39802 L
.66201 .40773 L
.66026 .4092 L
.65473 .41744 L
.65054 .4224 L
.643 .41744 L
.64957 .40773 L
.65054 .40659 L
.658 .39802 L
F
.65054 .50258 m
.65686 .50486 L
.65136 .51457 L
.65054 .51548 L
.64302 .51457 L
.64864 .50486 L
F
.65054 .46436 m
.65851 .46601 L
.6528 .47572 L
.65054 .47829 L
.64302 .47572 L
.64915 .46601 L
F
.65054 .48352 m
.65749 .48543 L
.65208 .49514 L
.65054 .49689 L
.64306 .49514 L
.64893 .48543 L
F
.65054 .44526 m
.6597 .44658 L
.65341 .45629 L
.65054 .45959 L
.6431 .45629 L
.64942 .44658 L
F
.66026 .41442 m
.66542 .41744 L
.66089 .42716 L
.66026 .42768 L
.65404 .43687 L
.65054 .44094 L
.6431 .43687 L
.64959 .42716 L
.65054 .42604 L
.65816 .41744 L
F
.65054 .46445 m
.65835 .46601 L
.65274 .47572 L
.65054 .47822 L
.64313 .47572 L
.64923 .46601 L
F
.65054 .50265 m
.65676 .50486 L
.65129 .51457 L
.65054 .51541 L
.64317 .51457 L
.64869 .50486 L
F
.66026 .37552 m
.66722 .37859 L
.66273 .38831 L
.66026 .3904 L
.65522 .39802 L
.65054 .40369 L
.64317 .39802 L
.64983 .38831 L
.65054 .38749 L
.65814 .37859 L
F
.65054 .48359 m
.65738 .48543 L
.65202 .49514 L
.65054 .49682 L
.64318 .49514 L
.64899 .48543 L
F
.65054 .44539 m
.65947 .44658 L
.65333 .45629 L
.65054 .45951 L
.64323 .45629 L
.64953 .44658 L
F
.65054 .46454 m
.65819 .46601 L
.65268 .47572 L
.65054 .47816 L
.64324 .47572 L
.6493 .46601 L
F
.66026 .41476 m
.66502 .41744 L
.66066 .42716 L
.66026 .42749 L
.65392 .43687 L
.65054 .44081 L
.64328 .43687 L
.64978 .42716 L
.65054 .42627 L
.6584 .41744 L
F
.65054 .48366 m
.65726 .48543 L
.65197 .49514 L
.65054 .49676 L
.6433 .49514 L
.64905 .48543 L
F
.66026 .3955 m
.66558 .39802 L
.66159 .40773 L
.66026 .40885 L
.65452 .41744 L
.65054 .42216 L
.6433 .41744 L
.64996 .40773 L
.65054 .40706 L
.65851 .39802 L
F
.65054 .50271 m
.65666 .50486 L
.65123 .51457 L
.65054 .51534 L
.64332 .51457 L
.64875 .50486 L
F
.65054 .46462 m
.65803 .46601 L
.65262 .47572 L
.65054 .47809 L
.64336 .47572 L
.64937 .46601 L
F
.65054 .44552 m
.65923 .44658 L
.65326 .45629 L
.65054 .45942 L
.64336 .45629 L
.64964 .44658 L
F
.65054 .48373 m
.65714 .48543 L
.65191 .49514 L
.65054 .4967 L
.64342 .49514 L
.64911 .48543 L
F
.66026 .41511 m
.66459 .41744 L
.66042 .42716 L
.66026 .42729 L
.65381 .43687 L
.65054 .44068 L
.64347 .43687 L
.64998 .42716 L
.65054 .4265 L
.65864 .41744 L
F
.65054 .46471 m
.65787 .46601 L
.65256 .47572 L
.65054 .47802 L
.64347 .47572 L
.64945 .46601 L
F
.65054 .50278 m
.65655 .50486 L
.65117 .51457 L
.65054 .51527 L
.64347 .51457 L
.6488 .50486 L
F
.65054 .44565 m
.65898 .44658 L
.65318 .45629 L
.65054 .45933 L
.64349 .45629 L
.64975 .44658 L
F
.65054 .4838 m
.65701 .48543 L
.65185 .49514 L
.65054 .49663 L
.64354 .49514 L
.64917 .48543 L
F
.65054 .4648 m
.6577 .46601 L
.65249 .47572 L
.65054 .47795 L
.64359 .47572 L
.64952 .46601 L
F
.66026 .39626 m
.66455 .39802 L
.66115 .40773 L
.66026 .40848 L
.6543 .41744 L
.65054 .42192 L
.64361 .41744 L
.65036 .40773 L
.65054 .40753 L
.65903 .39802 L
F
.65054 .44578 m
.65872 .44658 L
.6531 .45629 L
.65054 .45924 L
.64362 .45629 L
.64986 .44658 L
F
.65054 .50284 m
.65645 .50486 L
.6511 .51457 L
.65054 .5152 L
.64364 .51457 L
.64886 .50486 L
F
.65054 .42673 m
.66012 .42716 L
.65369 .43687 L
.65054 .44054 L
.64365 .43687 L
.65017 .42716 L
F
.65054 .48387 m
.65689 .48543 L
.6518 .49514 L
.65054 .49657 L
.64366 .49514 L
.64922 .48543 L
F
.65054 .46489 m
.65753 .46601 L
.65243 .47572 L
.65054 .47788 L
.6437 .47572 L
.6496 .46601 L
F
.65054 .44592 m
.65845 .44658 L
.65302 .45629 L
.65054 .45915 L
.64376 .45629 L
.64997 .44658 L
F
.65054 .48394 m
.65676 .48543 L
.65174 .49514 L
.65054 .4965 L
.64379 .49514 L
.64928 .48543 L
F
.65054 .38853 m
.65476 .39802 L
.65054 .40318 L
.64379 .39802 L
F
.65054 .50291 m
.65634 .50486 L
.65104 .51457 L
.65054 .51512 L
.6438 .51457 L
.64891 .50486 L
F
.65054 .46498 m
.65735 .46601 L
.65237 .47572 L
.65054 .47781 L
.64382 .47572 L
.64967 .46601 L
F
.65054 .42696 m
.65967 .42716 L
.65357 .43687 L
.65054 .44041 L
.64384 .43687 L
.65037 .42716 L
F
.65054 .44605 m
.65817 .44658 L
.65294 .45629 L
.65054 .45906 L
.64389 .45629 L
.65009 .44658 L
F
.65054 .48401 m
.65663 .48543 L
.65168 .49514 L
.65054 .49643 L
.64392 .49514 L
.64934 .48543 L
F
.65054 .40796 m
.65409 .41744 L
.65054 .42168 L
.64392 .41744 L
F
.65054 .46507 m
.65717 .46601 L
.65231 .47572 L
.65054 .47774 L
.64394 .47572 L
.64975 .46601 L
F
.65054 .50297 m
.65623 .50486 L
.65097 .51457 L
.65054 .51505 L
.64397 .51457 L
.64897 .50486 L
F
.65054 .4272 m
.65345 .43687 L
.65054 .44027 L
.64403 .43687 L
F
.65054 .44619 m
.65787 .44658 L
.65287 .45629 L
.65054 .45897 L
.64403 .45629 L
.6502 .44658 L
F
.65054 .48408 m
.6565 .48543 L
.65162 .49514 L
.65054 .49637 L
.64405 .49514 L
.6494 .48543 L
F
.65054 .46516 m
.65698 .46601 L
.65225 .47572 L
.65054 .47767 L
.64406 .47572 L
.64982 .46601 L
F
.65054 .50304 m
.65612 .50486 L
.65091 .51457 L
.65054 .51498 L
.64415 .51457 L
.64902 .50486 L
F
.65054 .44632 m
.65756 .44658 L
.65279 .45629 L
.65054 .45888 L
.64417 .45629 L
.65032 .44658 L
F
.65054 .48415 m
.65637 .48543 L
.65156 .49514 L
.65054 .4963 L
.64418 .49514 L
.64946 .48543 L
F
.65054 .46525 m
.65678 .46601 L
.65219 .47572 L
.65054 .47759 L
.64419 .47572 L
.6499 .46601 L
F
.65054 .42743 m
.65333 .43687 L
.65054 .44013 L
.64422 .43687 L
F
.65054 .40836 m
.65387 .41744 L
.65054 .42143 L
.64424 .41744 L
F
.65054 .46535 m
.65658 .46601 L
.65212 .47572 L
.65054 .47752 L
.64431 .47572 L
.64998 .46601 L
F
.65054 .44646 m
.65722 .44658 L
.65271 .45629 L
.65054 .45879 L
.64431 .45629 L
.65044 .44658 L
F
.65054 .48422 m
.65623 .48543 L
.65151 .49514 L
.65054 .49623 L
.64431 .49514 L
.64952 .48543 L
F
.65054 .50311 m
.65601 .50486 L
.65084 .51457 L
.65054 .5149 L
.64434 .51457 L
.64908 .50486 L
F
.65054 .42766 m
.65321 .43687 L
.65054 .43999 L
.64441 .43687 L
F
.65054 .38936 m
.65429 .39802 L
.65054 .40265 L
.64442 .39802 L
F
.65054 .46544 m
.65637 .46601 L
.65206 .47572 L
.65054 .47745 L
.64444 .47572 L
.65006 .46601 L
F
.65054 .4843 m
.65609 .48543 L
.65145 .49514 L
.65054 .49617 L
.64445 .49514 L
.64958 .48543 L
F
.65054 .4466 m
.65263 .45629 L
.65054 .4587 L
.64445 .45629 L
F
.65054 .50317 m
.6559 .50486 L
.65077 .51457 L
.65054 .51483 L
.64453 .51457 L
.64913 .50486 L
F
.65054 .40877 m
.65365 .41744 L
.65054 .42118 L
.64456 .41744 L
F
.65054 .46553 m
.65615 .46601 L
.652 .47572 L
.65054 .47738 L
.64457 .47572 L
.65014 .46601 L
F
.65054 .48437 m
.65594 .48543 L
.65139 .49514 L
.65054 .4961 L
.64459 .49514 L
.64965 .48543 L
F
.65054 .44676 m
.65255 .45629 L
.65054 .45861 L
.6446 .45629 L
F
.65054 .4279 m
.65309 .43687 L
.65054 .43985 L
.64461 .43687 L
F
.65054 .46563 m
.65592 .46601 L
.65193 .47572 L
.65054 .47731 L
.6447 .47572 L
.65022 .46601 L
F
.65054 .50324 m
.65579 .50486 L
.65071 .51457 L
.65054 .51475 L
.64473 .51457 L
.64919 .50486 L
F
.65054 .48444 m
.6558 .48543 L
.65133 .49514 L
.65054 .49603 L
.64474 .49514 L
.64971 .48543 L
F
.65054 .44693 m
.65246 .45629 L
.65054 .45851 L
.64475 .45629 L
F
.65054 .37052 m
.65454 .37859 L
.65054 .38379 L
.64479 .37859 L
F
.65054 .42814 m
.65296 .43687 L
.65054 .43971 L
.64481 .43687 L
F
.65054 .46572 m
.65567 .46601 L
.65187 .47572 L
.65054 .47723 L
.64483 .47572 L
.6503 .46601 L
F
.65054 .40918 m
.65343 .41744 L
.65054 .42092 L
.64489 .41744 L
F
.65054 .48452 m
.65564 .48543 L
.65127 .49514 L
.65054 .49596 L
.64489 .49514 L
.64977 .48543 L
F
.65054 .44709 m
.65238 .45629 L
.65054 .45842 L
.64489 .45629 L
F
.65054 .50331 m
.65567 .50486 L
.65064 .51457 L
.65054 .51467 L
.64495 .51457 L
.64925 .50486 L
F
.65054 .46582 m
.6554 .46601 L
.6518 .47572 L
.65054 .47716 L
.64496 .47572 L
.65038 .46601 L
F
.65054 .42838 m
.65284 .43687 L
.65054 .43957 L
.64501 .43687 L
F
.65054 .48459 m
.65549 .48543 L
.65121 .49514 L
.65054 .49589 L
.64504 .49514 L
.64983 .48543 L
F
.65054 .44726 m
.6523 .45629 L
.65054 .45832 L
.64505 .45629 L
F
.65054 .3902 m
.65381 .39802 L
.65054 .40211 L
.64506 .39802 L
F
.65054 .46591 m
.65511 .46601 L
.65174 .47572 L
.65054 .47708 L
.6451 .47572 L
.65046 .46601 L
F
.65054 .61408 m
.657 .62141 L
.65054 .6305 L
.64514 .62141 L
F
.65054 .50338 m
.65555 .50486 L
.65057 .51457 L
.65054 .5146 L
.64518 .51457 L
.6493 .50486 L
F
.65054 .44743 m
.65222 .45629 L
.65054 .45823 L
.6452 .45629 L
F
.65054 .48467 m
.65532 .48543 L
.65114 .49514 L
.65054 .49582 L
.6452 .49514 L
.6499 .48543 L
F
.65054 .42863 m
.65271 .43687 L
.65054 .43942 L
.64522 .43687 L
F
.65054 .4096 m
.65321 .41744 L
.65054 .42066 L
.64522 .41744 L
F
.65054 .46601 m
.65167 .47572 L
.65054 .47701 L
.64525 .47572 L
F
.65054 .4476 m
.65213 .45629 L
.65054 .45813 L
.64536 .45629 L
F
.65054 .48474 m
.65516 .48543 L
.65108 .49514 L
.65054 .49575 L
.64537 .49514 L
.64996 .48543 L
F
.65054 .46615 m
.65161 .47572 L
.65054 .47693 L
.64539 .47572 L
F
.65054 .59529 m
.65741 .60198 L
.65054 .61167 L
.64539 .60198 L
F
.65054 .42889 m
.65259 .43687 L
.65054 .43928 L
.64543 .43687 L
F
.65054 .44778 m
.65205 .45629 L
.65054 .45804 L
.64552 .45629 L
F
.65054 .35213 m
.65441 .35917 L
.65054 .36461 L
.64554 .35917 L
F
.65054 .46628 m
.65154 .47572 L
.65054 .47686 L
.64554 .47572 L
F
.65054 .48482 m
.65498 .48543 L
.65102 .49514 L
.65054 .49568 L
.64554 .49514 L
.65002 .48543 L
F
.65054 .41003 m
.65298 .41744 L
.65054 .42039 L
.64557 .41744 L
F
.65054 .42914 m
.65246 .43687 L
.65054 .43913 L
.64565 .43687 L
F
.65054 .63358 m
.6558 .64083 L
.65054 .64824 L
.64568 .64083 L
F
.65054 .44796 m
.65196 .45629 L
.65054 .45794 L
.64568 .45629 L
F
.65054 .46642 m
.65147 .47572 L
.65054 .47678 L
.64569 .47572 L
F
.65054 .4849 m
.6548 .48543 L
.65096 .49514 L
.65054 .49561 L
.64572 .49514 L
.65009 .48543 L
F
.65054 .39105 m
.65333 .39802 L
.65054 .40153 L
.64573 .39802 L
F
.65054 .46657 m
.65141 .47572 L
.65054 .4767 L
.64585 .47572 L
F
.65054 .44815 m
.65188 .45629 L
.65054 .45784 L
.64585 .45629 L
F
.65054 .59582 m
.65685 .60198 L
.65054 .61089 L
.64586 .60198 L
F
.65054 .42941 m
.65233 .43687 L
.65054 .43898 L
.64587 .43687 L
F
.65054 .48497 m
.6546 .48543 L
.6509 .49514 L
.65054 .49554 L
.64591 .49514 L
.65015 .48543 L
F
.65054 .41047 m
.65274 .41744 L
.65054 .42012 L
.64592 .41744 L
F
.65054 .46671 m
.65134 .47572 L
.65054 .47663 L
.64601 .47572 L
F
.65054 .44833 m
.65179 .45629 L
.65054 .45774 L
.64602 .45629 L
F
.65054 .42968 m
.6522 .43687 L
.65054 .43882 L
.6461 .43687 L
F
.65054 .48505 m
.6544 .48543 L
.65083 .49514 L
.65054 .49547 L
.64611 .49514 L
.65022 .48543 L
F
.65054 .46686 m
.65127 .47572 L
.65054 .47655 L
.64618 .47572 L
F
.65054 .44853 m
.6517 .45629 L
.65054 .45764 L
.6462 .45629 L
F
.65054 .57705 m
.65712 .58256 L
.65054 .59195 L
.64621 .58256 L
F
.65054 .41093 m
.6525 .41744 L
.65054 .41984 L
.64629 .41744 L
F
.65054 .48513 m
.65417 .48543 L
.65077 .49514 L
.65054 .4954 L
.64632 .49514 L
.65029 .48543 L
F
.65054 .59636 m
.65628 .60198 L
.65054 .61012 L
.64633 .60198 L
F
.65054 .42996 m
.65206 .43687 L
.65054 .43867 L
.64633 .43687 L
F
.65054 .46701 m
.6512 .47572 L
.65054 .47647 L
.64635 .47572 L
F
.65054 .61545 m
.65562 .62141 L
.65054 .62859 L
.64637 .62141 L
F
.65054 .37259 m
.65329 .37859 L
.65054 .38231 L
.64638 .37859 L
F
.65054 .44873 m
.65162 .45629 L
.65054 .45754 L
.64638 .45629 L
F
.65054 .5773 m
.65684 .58256 L
.65054 .59158 L
.64642 .58256 L
F
.65054 .39196 m
.65282 .39802 L
.65054 .40093 L
.64645 .39802 L
F
.65054 .46717 m
.65113 .47572 L
.65054 .47639 L
.64654 .47572 L
F
.65054 .48521 m
.65393 .48543 L
.6507 .49514 L
.65054 .49532 L
.64655 .49514 L
.65035 .48543 L
F
.65054 .44893 m
.65153 .45629 L
.65054 .45743 L
.64657 .45629 L
F
.65054 .43025 m
.65193 .43687 L
.65054 .43851 L
.64658 .43687 L
F
.65054 .57756 m
.65656 .58256 L
.65054 .59121 L
.64664 .58256 L
F
.65054 .4114 m
.65226 .41744 L
.65054 .41955 L
.64668 .41744 L
F
.65054 .46733 m
.65106 .47572 L
.65054 .47631 L
.64673 .47572 L
F
.65054 .55841 m
.65718 .56313 L
.65054 .57283 L
.64673 .56313 L
F
.65054 .44914 m
.65144 .45629 L
.65054 .45733 L
.64677 .45629 L
F
.65054 .48529 m
.65367 .48543 L
.65064 .49514 L
.65054 .49525 L
.64679 .49514 L
.65042 .48543 L
F
.65054 .59693 m
.6557 .60198 L
.65054 .60934 L
.64681 .60198 L
F
.65054 .43055 m
.65179 .43687 L
.65054 .43835 L
.64683 .43687 L
F
.65054 .55855 m
.65702 .56313 L
.65054 .57262 L
.64685 .56313 L
F
.65054 .57782 m
.65628 .58256 L
.65054 .59084 L
.64685 .58256 L
F
.65054 .4675 m
.65099 .47572 L
.65054 .47623 L
.64693 .47572 L
F
.65054 .55869 m
.65685 .56313 L
.65054 .57241 L
.64696 .56313 L
F
.65054 .44935 m
.65134 .45629 L
.65054 .45722 L
.64698 .45629 L
F
.65054 .57808 m
.65599 .58256 L
.65054 .59046 L
.64707 .58256 L
F
.65054 .48537 m
.65336 .48543 L
.65057 .49514 L
.65054 .49517 L
.64707 .49514 L
.65049 .48543 L
F
.65054 .55883 m
.65669 .56313 L
.65054 .5722 L
.64708 .56313 L
F
.65054 .41191 m
.65201 .41744 L
.65054 .41925 L
.64709 .41744 L
F
.65054 .43086 m
.65165 .43687 L
.65054 .43819 L
.6471 .43687 L
F
.65054 .46767 m
.65092 .47572 L
.65054 .47615 L
.64715 .47572 L
F
.65054 .55897 m
.65652 .56313 L
.65054 .57198 L
.6472 .56313 L
F
.65054 .44958 m
.65125 .45629 L
.65054 .45712 L
.6472 .45629 L
F
.65054 .39293 m
.65228 .39802 L
.65054 .40027 L
.64722 .39802 L
F
.65054 .57835 m
.6557 .58256 L
.65054 .59008 L
.64729 .58256 L
F
.65054 .59752 m
.6551 .60198 L
.65054 .60854 L
.6473 .60198 L
F
.65054 .55911 m
.65635 .56313 L
.65054 .57177 L
.64732 .56313 L
F
.65054 .43119 m
.65151 .43687 L
.65054 .43802 L
.64738 .43687 L
F
.65054 .46784 m
.65085 .47572 L
.65054 .47606 L
.64738 .47572 L
F
.65054 .44981 m
.65116 .45629 L
.65054 .45701 L
.64743 .45629 L
F
.65054 .55925 m
.65618 .56313 L
.65054 .57155 L
.64744 .56313 L
F
.65054 .57862 m
.6554 .58256 L
.65054 .58969 L
.64752 .58256 L
F
.65054 .41245 m
.65175 .41744 L
.65054 .41894 L
.64754 .41744 L
F
.65054 .54006 m
.65679 .54371 L
.65054 .55329 L
.64755 .54371 L
F
.65054 .55939 m
.65601 .56313 L
.65054 .57133 L
.64756 .56313 L
F
.65054 .54015 m
.65668 .54371 L
.65054 .55315 L
.64763 .54371 L
F
.65054 .46803 m
.65077 .47572 L
.65054 .47598 L
.64764 .47572 L
F
.65054 .61703 m
.65414 .62141 L
.65054 .62661 L
.64767 .62141 L
F
.65054 .55954 m
.65584 .56313 L
.65054 .57111 L
.64768 .56313 L
F
.65054 .45006 m
.65106 .45629 L
.65054 .4569 L
.64768 .45629 L
F
.65054 .43153 m
.65136 .43687 L
.65054 .43785 L
.64768 .43687 L
F
.65054 .54024 m
.65656 .54371 L
.65054 .55301 L
.6477 .54371 L
F
.65054 .5789 m
.6551 .58256 L
.65054 .5893 L
.64775 .58256 L
F
.65054 .54033 m
.65644 .54371 L
.65054 .55286 L
.64778 .54371 L
F
.65054 .55969 m
.65566 .56313 L
.65054 .57089 L
.6478 .56313 L
F
.65054 .59816 m
.65447 .60198 L
.65054 .60772 L
.64781 .60198 L
F
.65054 .54043 m
.65632 .54371 L
.65054 .55272 L
.64786 .54371 L
F
.65054 .55984 m
.65548 .56313 L
.65054 .57066 L
.64792 .56313 L
F
.65054 .46822 m
.6507 .47572 L
.65054 .47589 L
.64793 .47572 L
F
.65054 .54052 m
.6562 .54371 L
.65054 .55257 L
.64794 .54371 L
F
.65054 .45032 m
.65097 .45629 L
.65054 .45679 L
.64795 .45629 L
F
.65054 .57918 m
.65478 .58256 L
.65054 .58889 L
.64798 .58256 L
F
.65054 .43191 m
.65121 .43687 L
.65054 .43767 L
.64801 .43687 L
F
.65054 .54061 m
.65608 .54371 L
.65054 .55242 L
.64801 .54371 L
F
.65054 .41305 m
.65148 .41744 L
.65054 .41861 L
.64802 .41744 L
F
.65054 .55999 m
.6553 .56313 L
.65054 .57043 L
.64805 .56313 L
F
.65054 .54071 m
.65595 .54371 L
.65054 .55227 L
.64809 .54371 L
F
.65054 .39405 m
.65171 .39802 L
.65054 .39956 L
.6481 .39802 L
F
.65054 .5408 m
.65583 .54371 L
.65054 .55212 L
.64817 .54371 L
F
.65054 .56014 m
.65512 .56313 L
.65054 .5702 L
.64817 .56313 L
F
.65054 .57948 m
.65446 .58256 L
.65054 .58847 L
.64822 .58256 L
F
.65054 .45059 m
.65087 .45629 L
.65054 .45667 L
.64825 .45629 L
F
.65054 .5409 m
.6557 .54371 L
.65054 .55196 L
.64825 .54371 L
F
.65054 .37503 m
.65187 .37859 L
.65054 .38052 L
.64827 .37859 L
F
.65054 .46841 m
.65062 .47572 L
.65054 .47581 L
.64828 .47572 L
F
.65054 .56029 m
.65493 .56313 L
.65054 .56996 L
.6483 .56313 L
F
.65054 .54099 m
.65557 .54371 L
.65054 .55181 L
.64833 .54371 L
F
.65054 .59884 m
.6538 .60198 L
.65054 .60684 L
.64834 .60198 L
F
.65054 .43231 m
.65106 .43687 L
.65054 .43749 L
.64838 .43687 L
F
.65054 .52168 m
.65631 .52428 L
.65054 .5339 L
.64839 .52428 L
F
.65054 .54109 m
.65544 .54371 L
.65054 .55165 L
.64841 .54371 L
F
.65054 .56045 m
.65474 .56313 L
.65054 .56972 L
.64843 .56313 L
F
.65054 .52176 m
.65621 .52428 L
.65054 .53378 L
.64845 .52428 L
F
.65054 .57978 m
.65412 .58256 L
.65054 .58804 L
.64846 .58256 L
F
.65054 .54119 m
.65531 .54371 L
.65054 .55149 L
.64849 .54371 L
F
.65054 .52183 m
.6561 .52428 L
.65054 .53367 L
.64851 .52428 L
F
.65054 .56061 m
.65454 .56313 L
.65054 .56947 L
.64856 .56313 L
F
.65054 .5219 m
.65599 .52428 L
.65054 .53355 L
.64857 .52428 L
F
.65054 .54129 m
.65518 .54371 L
.65054 .55133 L
.64858 .54371 L
F
.65054 .41372 m
.6512 .41744 L
.65054 .41827 L
.64858 .41744 L
F
.65054 .45089 m
.65077 .45629 L
.65054 .45656 L
.6486 .45629 L
F
.65054 .52197 m
.65589 .52428 L
.65054 .53343 L
.64863 .52428 L
F
.65054 .54139 m
.65504 .54371 L
.65054 .55116 L
.64866 .54371 L
F
.65054 .52205 m
.65578 .52428 L
.65054 .53331 L
.64869 .52428 L
F
.65054 .56077 m
.65434 .56313 L
.65054 .56921 L
.64869 .56313 L
F
.65054 .5801 m
.65377 .58256 L
.65054 .58758 L
.64871 .58256 L
F
.65054 .46862 m
.65055 .47572 L
.65054 .47572 L
.64873 .47572 L
F
.65054 .54149 m
.65491 .54371 L
.65054 .551 L
.64874 .54371 L
F
.65054 .52212 m
.65567 .52428 L
.65054 .53318 L
.64875 .52428 L
F
.65054 .43277 m
.6509 .43687 L
.65054 .4373 L
.6488 .43687 L
F
.65054 .5222 m
.65556 .52428 L
.65054 .53306 L
.64882 .52428 L
F
.65054 .54159 m
.65477 .54371 L
.65054 .55083 L
.64883 .54371 L
F
.65054 .56094 m
.65413 .56313 L
.65054 .56895 L
.64883 .56313 L
F
.65054 .52227 m
.65544 .52428 L
.65054 .53293 L
.64888 .52428 L
F
.65054 .54169 m
.65462 .54371 L
.65054 .55065 L
.64891 .54371 L
F
.65054 .59958 m
.65306 .60198 L
.65054 .60587 L
.64891 .60198 L
F
.65054 .52235 m
.65533 .52428 L
.65054 .53281 L
.64894 .52428 L
F
.65054 .56111 m
.65392 .56313 L
.65054 .56868 L
.64896 .56313 L
F
.65054 .58043 m
.6534 .58256 L
.65054 .5871 L
.64897 .58256 L
F
.65054 .54179 m
.65448 .54371 L
.65054 .55048 L
.649 .54371 L
F
.65054 .52242 m
.65521 .52428 L
.65054 .53268 L
.649 .52428 L
F
.65054 .4512 m
.65067 .45629 L
.65054 .45644 L
.64903 .45629 L
F
.65054 .5225 m
.65509 .52428 L
.65054 .53255 L
.64907 .52428 L
F
.65054 .5419 m
.65433 .54371 L
.65054 .55029 L
.64908 .54371 L
F
.65054 .56128 m
.6537 .56313 L
.65054 .5684 L
.6491 .56313 L
F
.65054 .52258 m
.65497 .52428 L
.65054 .53241 L
.64913 .52428 L
F
.65054 .61905 m
.65239 .62141 L
.65054 .62426 L
.64917 .62141 L
F
.65054 .542 m
.65417 .54371 L
.65054 .55011 L
.64917 .54371 L
F
.65054 .52265 m
.65485 .52428 L
.65054 .53228 L
.6492 .52428 L
F
.65054 .39547 m
.65108 .39802 L
.65054 .39875 L
.64921 .39802 L
F
.65054 .58077 m
.653 .58256 L
.65054 .58659 L
.64924 .58256 L
F
.65054 .56146 m
.65347 .56313 L
.65054 .56811 L
.64924 .56313 L
F
.65054 .41455 m
.6509 .41744 L
.65054 .4179 L
.64925 .41744 L
F
.65054 .54211 m
.65402 .54371 L
.65054 .54992 L
.64926 .54371 L
F
.65054 .52273 m
.65473 .52428 L
.65054 .53214 L
.64926 .52428 L
F
.65054 .43329 m
.65074 .43687 L
.65054 .43711 L
.64932 .43687 L
F
.65054 .52281 m
.6546 .52428 L
.65054 .532 L
.64933 .52428 L
F
.65054 .54222 m
.65385 .54371 L
.65054 .54972 L
.64935 .54371 L
F
.65054 .50345 m
.65543 .50486 L
.65054 .5145 L
.64936 .50486 L
F
.65054 .56164 m
.65323 .56313 L
.65054 .5678 L
.64939 .56313 L
F
.65054 .52289 m
.65447 .52428 L
.65054 .53185 L
.64939 .52428 L
F
.65054 .50352 m
.65531 .50486 L
.65054 .51439 L
.64942 .50486 L
F
.65054 .54233 m
.65369 .54371 L
.65054 .54952 L
.64944 .54371 L
F
.65054 .52297 m
.65433 .52428 L
.65054 .53171 L
.64946 .52428 L
F
.65054 .50358 m
.65518 .50486 L
.65054 .51427 L
.64948 .50486 L
F
.65054 .58114 m
.65257 .58256 L
.65054 .58602 L
.64952 .58256 L
F
.65054 .52305 m
.65419 .52428 L
.65054 .53156 L
.64953 .52428 L
F
.65054 .54244 m
.65351 .54371 L
.65054 .54931 L
.64953 .54371 L
F
.65054 .60044 m
.65221 .60198 L
.65054 .60474 L
.64953 .60198 L
F
.65054 .56182 m
.65297 .56313 L
.65054 .56748 L
.64953 .56313 L
F
.65054 .50365 m
.65505 .50486 L
.65054 .51416 L
.64954 .50486 L
F
.65054 .52313 m
.65405 .52428 L
.65054 .5314 L
.6496 .52428 L
F
.65054 .50373 m
.65492 .50486 L
.65054 .51404 L
.6496 .50486 L
F
.65054 .54256 m
.65333 .54371 L
.65054 .5491 L
.64962 .54371 L
F
.65054 .5038 m
.65479 .50486 L
.65054 .51392 L
.64965 .50486 L
F
.65054 .52321 m
.6539 .52428 L
.65054 .53124 L
.64966 .52428 L
F
.65054 .56201 m
.6527 .56313 L
.65054 .56714 L
.64969 .56313 L
F
.65054 .45156 m
.65056 .45629 L
.65054 .45632 L
.64971 .45629 L
F
.65054 .54267 m
.65314 .54371 L
.65054 .54887 L
.64971 .54371 L
F
.65054 .50387 m
.65465 .50486 L
.65054 .51379 L
.64971 .50486 L
F
.65054 .5233 m
.65375 .52428 L
.65054 .53108 L
.64973 .52428 L
F
.65054 .50394 m
.6545 .50486 L
.65054 .51367 L
.64978 .50486 L
F
.65054 .52338 m
.65359 .52428 L
.65054 .53092 L
.6498 .52428 L
F
.65054 .54279 m
.65295 .54371 L
.65054 .54864 L
.64981 .54371 L
F
.65054 .58153 m
.65209 .58256 L
.65054 .58538 L
.64981 .58256 L
F
.65054 .50401 m
.65436 .50486 L
.65054 .51354 L
.64984 .50486 L
F
.65054 .56221 m
.65241 .56313 L
.65054 .56676 L
.64984 .56313 L
F
.65054 .52347 m
.65343 .52428 L
.65054 .53074 L
.64987 .52428 L
F
.65054 .50409 m
.6542 .50486 L
.65054 .5134 L
.6499 .50486 L
F
.65054 .54291 m
.65273 .54371 L
.65054 .54839 L
.64991 .54371 L
F
.65054 .52355 m
.65326 .52428 L
.65054 .53057 L
.64994 .52428 L
F
.65054 .50416 m
.65404 .50486 L
.65054 .51327 L
.64996 .50486 L
F
.65054 .56242 m
.65209 .56313 L
.65054 .56635 L
.65 .56313 L
F
.65054 .54303 m
.65251 .54371 L
.65054 .54813 L
.65 .54371 L
F
.65054 .52364 m
.65307 .52428 L
.65054 .53038 L
.65002 .52428 L
F
.65054 .50423 m
.65387 .50486 L
.65054 .51313 L
.65002 .50486 L
F
.65054 .50431 m
.65369 .50486 L
.65054 .51299 L
.65008 .50486 L
F
.65054 .52373 m
.65288 .52428 L
.65054 .53019 L
.65009 .52428 L
F
.65054 .54315 m
.65226 .54371 L
.65054 .54784 L
.6501 .54371 L
F
.65054 .58196 m
.65153 .58256 L
.65054 .58459 L
.65013 .58256 L
F
.65054 .43396 m
.65058 .43687 L
.65054 .43691 L
.65015 .43687 L
F
.65054 .50438 m
.65351 .50486 L
.65054 .51284 L
.65015 .50486 L
F
.65054 .52382 m
.65267 .52428 L
.65054 .52999 L
.65016 .52428 L
F
.65054 .56263 m
.65172 .56313 L
.65054 .56587 L
.65016 .56313 L
F
.65054 .54328 m
.65199 .54371 L
.65054 .54754 L
.65021 .54371 L
F
.65054 .50446 m
.6533 .50486 L
.65054 .51269 L
.65021 .50486 L
F
.65054 .52391 m
.65244 .52428 L
.65054 .52978 L
.65024 .52428 L
F
.65054 .60148 m
.65112 .60198 L
.65054 .60316 L
.65024 .60198 L
F
.65054 .50454 m
.65308 .50486 L
.65054 .51254 L
.65028 .50486 L
F
.65054 .41583 m
.65059 .41744 L
.65054 .4175 L
.65028 .41744 L
F
.65054 .54341 m
.65168 .54371 L
.65054 .54719 L
.65031 .54371 L
F
.65054 .524 m
.65218 .52428 L
.65054 .52955 L
.65031 .52428 L
F
.65054 .56285 m
.65129 .56313 L
.65054 .56529 L
.65033 .56313 L
F
.65054 .64015 m
.65079 .64083 L
.65054 .64126 L
.65034 .64083 L
F
.65054 .50462 m
.65284 .50486 L
.65054 .51238 L
.65034 .50486 L
F
.65054 .52409 m
.65187 .52428 L
.65054 .52931 L
.65039 .52428 L
F
.65054 .5047 m
.65256 .50486 L
.65054 .51221 L
.65041 .50486 L
F
.65054 .54354 m
.65129 .54371 L
.65054 .54679 L
.65042 .54371 L
F
.65054 .58243 m
.65078 .58256 L
.65054 .58336 L
.65046 .58256 L
F
.65054 .52419 m
.65148 .52428 L
.65054 .52905 L
.65047 .52428 L
F
.65054 .50478 m
.65221 .50486 L
.65054 .51204 L
.65048 .50486 L
F
.65054 .56308 m
.6507 .56313 L
.65054 .5644 L
.65051 .56313 L
F
.65054 .54368 m
.65072 .54371 L
.65054 .54629 L
.65052 .54371 L
F
.66026 .37748 m
.66438 .37859 L
.66178 .38831 L
.66026 .38959 L
.65101 .38831 L
.65947 .37859 L
F
.66026 .39707 m
.66331 .39802 L
.6607 .40773 L
.66026 .4081 L
.65101 .40773 L
.65959 .39802 L
F
.66026 .3797 m
.66076 .38831 L
.66026 .38873 L
.65302 .38831 L
F
.66026 .52431 m
.6672 .53399 L
.66026 .54339 L
.65369 .53399 L
F
.66026 .14869 m
.66997 .14789 L
.67968 .14965 L
.68939 .15081 L
.69911 .15145 L
.70882 .15179 L
.71853 .15197 L
.72824 .15206 L
.73796 .15209 L
.74767 .15208 L
.75738 .15202 L
.76709 .15189 L
.77681 .15165 L
.78652 .15118 L
.79623 .15032 L
.80594 .14882 L
.81566 .14733 L
.82502 .15521 L
.82537 .15613 L
.82703 .16492 L
.82613 .17463 L
.82537 .17918 L
.82046 .18434 L
.81566 .18636 L
.80594 .18585 L
.79623 .18467 L
.79166 .18434 L
.78652 .18394 L
.77681 .18354 L
.76709 .18333 L
.75738 .18321 L
.74767 .18316 L
.73796 .18315 L
.72824 .18318 L
.71853 .18326 L
.70882 .18342 L
.69911 .18371 L
.68939 .18425 L
.68814 .18434 L
.67968 .18522 L
.66997 .18641 L
.66031 .18434 L
.66026 .18434 L
.6547 .17463 L
.65376 .16492 L
.65576 .15521 L
F
.66026 .5244 m
.66713 .53399 L
.66026 .54329 L
.65376 .53399 L
F
.66026 .52449 m
.66705 .53399 L
.66026 .54319 L
.65383 .53399 L
F
.66026 .52458 m
.66698 .53399 L
.66026 .5431 L
.6539 .53399 L
F
.66026 .52467 m
.6669 .53399 L
.66026 .543 L
.65397 .53399 L
F
.66026 .54381 m
.66623 .55342 L
.66026 .5614 L
.65398 .55342 L
F
.66026 .52476 m
.66683 .53399 L
.66026 .5429 L
.65404 .53399 L
F
.66026 .54394 m
.66612 .55342 L
.66026 .56127 L
.65409 .55342 L
F
.66026 .52485 m
.66676 .53399 L
.66026 .5428 L
.65411 .53399 L
F
.66026 .52494 m
.66668 .53399 L
.66026 .5427 L
.65418 .53399 L
F
.66026 .54407 m
.66602 .55342 L
.66026 .56113 L
.65419 .55342 L
F
.66026 .52503 m
.66661 .53399 L
.66026 .5426 L
.65425 .53399 L
F
.66026 .50584 m
.66727 .51457 L
.66026 .52423 L
.65427 .51457 L
F
.66026 .5442 m
.66591 .55342 L
.66026 .56099 L
.6543 .55342 L
F
.66026 .52512 m
.66653 .53399 L
.66026 .54251 L
.65432 .53399 L
F
.66026 .50591 m
.6672 .51457 L
.66026 .52415 L
.65433 .51457 L
F
.66026 .50598 m
.66714 .51457 L
.66026 .52407 L
.65438 .51457 L
F
.66026 .52521 m
.66646 .53399 L
.66026 .54241 L
.65439 .53399 L
F
.66026 .54433 m
.66581 .55342 L
.66026 .56085 L
.6544 .55342 L
F
.66026 .56333 m
.66518 .57284 L
.66026 .57936 L
.65443 .57284 L
F
.66026 .50606 m
.66708 .51457 L
.66026 .52399 L
.65444 .51457 L
F
.66026 .5253 m
.66639 .53399 L
.66026 .54231 L
.65446 .53399 L
F
.66026 .50613 m
.66702 .51457 L
.66026 .52391 L
.65449 .51457 L
F
.66026 .54446 m
.66571 .55342 L
.66026 .56071 L
.65451 .55342 L
F
.66026 .52539 m
.66631 .53399 L
.66026 .54221 L
.65453 .53399 L
F
.66026 .5062 m
.66695 .51457 L
.66026 .52383 L
.65455 .51457 L
F
.66026 .52548 m
.66624 .53399 L
.66026 .54212 L
.6546 .53399 L
F
.66026 .50628 m
.66689 .51457 L
.66026 .52375 L
.6546 .51457 L
F
.66026 .54459 m
.6656 .55342 L
.66026 .56057 L
.65462 .55342 L
F
.66026 .56355 m
.665 .57284 L
.66026 .57913 L
.65462 .57284 L
F
.66026 .3619 m
.66088 .36888 L
.66026 .36942 L
.65464 .36888 L
F
.66026 .50635 m
.66683 .51457 L
.66026 .52367 L
.65466 .51457 L
F
.66026 .52557 m
.66616 .53399 L
.66026 .54202 L
.65467 .53399 L
F
.66026 .50642 m
.66677 .51457 L
.66026 .52359 L
.65471 .51457 L
F
.66026 .54472 m
.6655 .55342 L
.66026 .56043 L
.65472 .55342 L
F
.66026 .52566 m
.66609 .53399 L
.66026 .54192 L
.65474 .53399 L
F
.66026 .5065 m
.66671 .51457 L
.66026 .52351 L
.65477 .51457 L
F
.66026 .52575 m
.66602 .53399 L
.66026 .54182 L
.65481 .53399 L
F
.66026 .56377 m
.66482 .57284 L
.66026 .57889 L
.65482 .57284 L
F
.66026 .50657 m
.66664 .51457 L
.66026 .52343 L
.65482 .51457 L
F
.66026 .54485 m
.66539 .55342 L
.66026 .56029 L
.65483 .55342 L
F
.66026 .50665 m
.66658 .51457 L
.66026 .52335 L
.65488 .51457 L
F
.66026 .52584 m
.66594 .53399 L
.66026 .54173 L
.65488 .53399 L
F
.66026 .50672 m
.66652 .51457 L
.66026 .52326 L
.65493 .51457 L
F
.66026 .54499 m
.66529 .55342 L
.66026 .56015 L
.65494 .55342 L
F
.66026 .52594 m
.66587 .53399 L
.66026 .54163 L
.65495 .53399 L
F
.66026 .5068 m
.66646 .51457 L
.66026 .52318 L
.65499 .51457 L
F
.66026 .56399 m
.66465 .57284 L
.66026 .57865 L
.65501 .57284 L
F
.66026 .52603 m
.66579 .53399 L
.66026 .54153 L
.65502 .53399 L
F
.66026 .50687 m
.66639 .51457 L
.66026 .5231 L
.65504 .51457 L
F
.66026 .54512 m
.66518 .55342 L
.66026 .56001 L
.65505 .55342 L
F
.66026 .48761 m
.66704 .49514 L
.66026 .5048 L
.65506 .49514 L
F
.66026 .52612 m
.66572 .53399 L
.66026 .54143 L
.65509 .53399 L
F
.66026 .50694 m
.66633 .51457 L
.66026 .52302 L
.6551 .51457 L
F
.66026 .48768 m
.66698 .49514 L
.66026 .50472 L
.65511 .49514 L
F
.66026 .5829 m
.66398 .59227 L
.66026 .59715 L
.65515 .59227 L
F
.66026 .50702 m
.66627 .51457 L
.66026 .52294 L
.65515 .51457 L
F
.66026 .54526 m
.66507 .55342 L
.66026 .55987 L
.65516 .55342 L
F
.66026 .48775 m
.66692 .49514 L
.66026 .50465 L
.65516 .49514 L
F
.66026 .52622 m
.66564 .53399 L
.66026 .54134 L
.65517 .53399 L
F
.66026 .50709 m
.66621 .51457 L
.66026 .52286 L
.65521 .51457 L
F
.66026 .56422 m
.66447 .57284 L
.66026 .57842 L
.65521 .57284 L
F
.66026 .48782 m
.66685 .49514 L
.66026 .50457 L
.65521 .49514 L
F
.66026 .52631 m
.66557 .53399 L
.66026 .54124 L
.65524 .53399 L
F
.66026 .50717 m
.66614 .51457 L
.66026 .52278 L
.65526 .51457 L
F
.66026 .54539 m
.66497 .55342 L
.66026 .55973 L
.65527 .55342 L
F
.66026 .48789 m
.66679 .49514 L
.66026 .50449 L
.65527 .49514 L
F
.66026 .5264 m
.66549 .53399 L
.66026 .54114 L
.65531 .53399 L
F
.66026 .48796 m
.66673 .49514 L
.66026 .50441 L
.65532 .49514 L
F
.66026 .50724 m
.66608 .51457 L
.66026 .5227 L
.65532 .51457 L
F
.66026 .48803 m
.66667 .49514 L
.66026 .50434 L
.65537 .49514 L
F
.66026 .54553 m
.66486 .55342 L
.66026 .55959 L
.65537 .55342 L
F
.66026 .50732 m
.66602 .51457 L
.66026 .52262 L
.65538 .51457 L
F
.66026 .5265 m
.66542 .53399 L
.66026 .54104 L
.65538 .53399 L
F
.66026 .56446 m
.66429 .57284 L
.66026 .57818 L
.65541 .57284 L
F
.66026 .4881 m
.6666 .49514 L
.66026 .50426 L
.65542 .49514 L
F
.66026 .50739 m
.66596 .51457 L
.66026 .52254 L
.65543 .51457 L
F
.66026 .52659 m
.66534 .53399 L
.66026 .54094 L
.65545 .53399 L
F
.66026 .48817 m
.66654 .49514 L
.66026 .50418 L
.65547 .49514 L
F
.66026 .54567 m
.66475 .55342 L
.66026 .55945 L
.65548 .55342 L
F
.66026 .50747 m
.66589 .51457 L
.66026 .52246 L
.65549 .51457 L
F
.66026 .48824 m
.66648 .49514 L
.66026 .5041 L
.65552 .49514 L
F
.66026 .52669 m
.66527 .53399 L
.66026 .54084 L
.65552 .53399 L
F
.66026 .50754 m
.66583 .51457 L
.66026 .52237 L
.65554 .51457 L
F
.66026 .48832 m
.66642 .49514 L
.66026 .50402 L
.65557 .49514 L
F
.66026 .58336 m
.66361 .59227 L
.66026 .59667 L
.65559 .59227 L
F
.66026 .52678 m
.66519 .53399 L
.66026 .54075 L
.6556 .53399 L
F
.66026 .54581 m
.66465 .55342 L
.66026 .55931 L
.6556 .55342 L
F
.66026 .50762 m
.66577 .51457 L
.66026 .52229 L
.6556 .51457 L
F
.66026 .5647 m
.6641 .57284 L
.66026 .57794 L
.65561 .57284 L
F
.66026 .48839 m
.66635 .49514 L
.66026 .50394 L
.65563 .49514 L
F
.66026 .5077 m
.6657 .51457 L
.66026 .52221 L
.65566 .51457 L
F
.66026 .52688 m
.66512 .53399 L
.66026 .54065 L
.65567 .53399 L
F
.66026 .48846 m
.66629 .49514 L
.66026 .50387 L
.65568 .49514 L
F
.66026 .54596 m
.66454 .55342 L
.66026 .55917 L
.65571 .55342 L
F
.66026 .50777 m
.66564 .51457 L
.66026 .52213 L
.65571 .51457 L
F
.66026 .48853 m
.66623 .49514 L
.66026 .50379 L
.65573 .49514 L
F
.66026 .52698 m
.66504 .53399 L
.66026 .54055 L
.65574 .53399 L
F
.66026 .50785 m
.66558 .51457 L
.66026 .52205 L
.65577 .51457 L
F
.66026 .4886 m
.66617 .49514 L
.66026 .50371 L
.65578 .49514 L
F
.66026 .60208 m
.66295 .61169 L
.66026 .61519 L
.65579 .61169 L
F
.66026 .52707 m
.66497 .53399 L
.66026 .54045 L
.65581 .53399 L
F
.66026 .56495 m
.66392 .57284 L
.66026 .5777 L
.65582 .57284 L
F
.66026 .5461 m
.66443 .55342 L
.66026 .55903 L
.65582 .55342 L
F
.66026 .50793 m
.66551 .51457 L
.66026 .52196 L
.65582 .51457 L
F
.66026 .48867 m
.6661 .49514 L
.66026 .50363 L
.65583 .49514 L
F
.66026 .46939 m
.6667 .47572 L
.66026 .48538 L
.65588 .47572 L
F
.66026 .508 m
.66545 .51457 L
.66026 .52188 L
.65588 .51457 L
F
.66026 .48875 m
.66604 .49514 L
.66026 .50355 L
.65589 .49514 L
F
.66026 .52717 m
.66489 .53399 L
.66026 .54035 L
.65589 .53399 L
F
.66026 .54625 m
.66432 .55342 L
.66026 .55888 L
.65593 .55342 L
F
.66026 .46947 m
.66663 .47572 L
.66026 .4853 L
.65593 .47572 L
F
.66026 .50808 m
.66539 .51457 L
.66026 .5218 L
.65594 .51457 L
F
.66026 .48882 m
.66598 .49514 L
.66026 .50347 L
.65594 .49514 L
F
.66026 .52727 m
.66481 .53399 L
.66026 .54025 L
.65596 .53399 L
F
.66997 .60805 m
.67759 .61169 L
.67076 .62141 L
.66997 .62222 L
.66235 .63112 L
.66026 .63379 L
.65596 .63112 L
.65981 .62141 L
.66026 .62102 L
.66709 .61169 L
F
.66026 .48889 m
.66591 .49514 L
.66026 .50339 L
.65599 .49514 L
F
.66026 .46955 m
.66655 .47572 L
.66026 .48521 L
.65599 .47572 L
F
.66026 .50816 m
.66532 .51457 L
.66026 .52171 L
.65599 .51457 L
F
.66026 .5652 m
.66373 .57284 L
.66026 .57745 L
.65603 .57284 L
F
.66026 .52737 m
.66473 .53399 L
.66026 .54015 L
.65603 .53399 L
F
.66026 .58384 m
.66324 .59227 L
.66026 .59618 L
.65604 .59227 L
F
.66026 .48896 m
.66585 .49514 L
.66026 .50331 L
.65604 .49514 L
F
.66026 .5464 m
.66421 .55342 L
.66026 .55874 L
.65605 .55342 L
F
.66026 .46963 m
.66648 .47572 L
.66026 .48512 L
.65605 .47572 L
F
.66026 .50824 m
.66526 .51457 L
.66026 .52163 L
.65605 .51457 L
F
.66026 .48903 m
.66579 .49514 L
.66026 .50323 L
.6561 .49514 L
F
.66026 .46971 m
.6664 .47572 L
.66026 .48503 L
.65611 .47572 L
F
.66026 .52747 m
.66466 .53399 L
.66026 .54004 L
.65611 .53399 L
F
.66026 .50831 m
.66519 .51457 L
.66026 .52155 L
.65611 .51457 L
F
.66026 .48911 m
.66572 .49514 L
.66026 .50315 L
.65615 .49514 L
F
.66026 .54655 m
.6641 .55342 L
.66026 .55859 L
.65616 .55342 L
F
.66026 .46979 m
.66633 .47572 L
.66026 .48494 L
.65616 .47572 L
F
.66026 .50839 m
.66513 .51457 L
.66026 .52146 L
.65617 .51457 L
F
.66026 .52757 m
.66458 .53399 L
.66026 .53994 L
.65618 .53399 L
F
.66026 .48918 m
.66566 .49514 L
.66026 .50306 L
.6562 .49514 L
F
.66026 .46987 m
.66626 .47572 L
.66026 .48485 L
.65622 .47572 L
F
.66026 .50847 m
.66506 .51457 L
.66026 .52138 L
.65622 .51457 L
F
.66026 .56547 m
.66354 .57284 L
.66026 .5772 L
.65624 .57284 L
F
.66026 .48925 m
.6656 .49514 L
.66026 .50298 L
.65625 .49514 L
F
.66026 .52767 m
.6645 .53399 L
.66026 .53984 L
.65626 .53399 L
F
.66026 .5467 m
.66399 .55342 L
.66026 .55845 L
.65628 .55342 L
F
.66026 .46995 m
.66618 .47572 L
.66026 .48476 L
.65628 .47572 L
F
.66026 .50855 m
.665 .51457 L
.66026 .52129 L
.65628 .51457 L
F
.66026 .48933 m
.66553 .49514 L
.66026 .5029 L
.65631 .49514 L
F
.66026 .52777 m
.66442 .53399 L
.66026 .53974 L
.65633 .53399 L
F
.66026 .47003 m
.6661 .47572 L
.66026 .48467 L
.65634 .47572 L
F
.66026 .50863 m
.66493 .51457 L
.66026 .52121 L
.65634 .51457 L
F
.66026 .4894 m
.66547 .49514 L
.66026 .50282 L
.65636 .49514 L
F
.66026 .54685 m
.66387 .55342 L
.66026 .5583 L
.65639 .55342 L
F
.66026 .47011 m
.66603 .47572 L
.66026 .48458 L
.65639 .47572 L
F
.66026 .50871 m
.66487 .51457 L
.66026 .52112 L
.6564 .51457 L
F
.66026 .52787 m
.66434 .53399 L
.66026 .53963 L
.65641 .53399 L
F
.66026 .48947 m
.6654 .49514 L
.66026 .50274 L
.65641 .49514 L
F
.66026 .4702 m
.66595 .47572 L
.66026 .48448 L
.65645 .47572 L
F
.66026 .56574 m
.66335 .57284 L
.66026 .57695 L
.65645 .57284 L
F
.66026 .50879 m
.6648 .51457 L
.66026 .52104 L
.65646 .51457 L
F
.66026 .48955 m
.66534 .49514 L
.66026 .50265 L
.65647 .49514 L
F
.66026 .52797 m
.66426 .53399 L
.66026 .53953 L
.65648 .53399 L
F
.66026 .54701 m
.66376 .55342 L
.66026 .55815 L
.65651 .55342 L
F
.66026 .47028 m
.66588 .47572 L
.66026 .48439 L
.65651 .47572 L
F
.66026 .50887 m
.66474 .51457 L
.66026 .52095 L
.65651 .51457 L
F
.66026 .58437 m
.66285 .59227 L
.66026 .59567 L
.65652 .59227 L
F
.66026 .48962 m
.66527 .49514 L
.66026 .50257 L
.65652 .49514 L
F
.66026 .52808 m
.66419 .53399 L
.66026 .53943 L
.65656 .53399 L
F
.66026 .47036 m
.6658 .47572 L
.66026 .4843 L
.65657 .47572 L
F
.66026 .50895 m
.66467 .51457 L
.66026 .52087 L
.65657 .51457 L
F
.66026 .4897 m
.66521 .49514 L
.66026 .50249 L
.65657 .49514 L
F
.66026 .48977 m
.66514 .49514 L
.66026 .5024 L
.65663 .49514 L
F
.66026 .47044 m
.66573 .47572 L
.66026 .4842 L
.65663 .47572 L
F
.66026 .54717 m
.66365 .55342 L
.66026 .558 L
.65663 .55342 L
F
.66026 .50903 m
.66461 .51457 L
.66026 .52078 L
.65663 .51457 L
F
.66026 .52818 m
.6641 .53399 L
.66026 .53932 L
.65664 .53399 L
F
.66026 .56601 m
.66316 .57284 L
.66026 .57669 L
.65667 .57284 L
F
.66026 .48985 m
.66508 .49514 L
.66026 .50232 L
.65668 .49514 L
F
.66026 .47052 m
.66565 .47572 L
.66026 .48411 L
.65669 .47572 L
F
.66026 .50911 m
.66454 .51457 L
.66026 .52069 L
.65669 .51457 L
F
.66026 .52829 m
.66402 .53399 L
.66026 .53921 L
.65671 .53399 L
F
.66026 .48992 m
.66501 .49514 L
.66026 .50223 L
.65674 .49514 L
F
.66026 .47061 m
.66557 .47572 L
.66026 .48401 L
.65675 .47572 L
F
.66026 .54733 m
.66353 .55342 L
.66026 .55785 L
.65675 .55342 L
F
.66026 .50919 m
.66447 .51457 L
.66026 .5206 L
.65675 .51457 L
F
.66026 .45124 m
.66619 .45629 L
.66026 .46595 L
.65676 .45629 L
F
.66026 .49 m
.66495 .49514 L
.66026 .50215 L
.65679 .49514 L
F
.66026 .5284 m
.66394 .53399 L
.66026 .53911 L
.65679 .53399 L
F
.66026 .47069 m
.66549 .47572 L
.66026 .48392 L
.65681 .47572 L
F
.66026 .50928 m
.6644 .51457 L
.66026 .52052 L
.65681 .51457 L
F
.66026 .45135 m
.66608 .45629 L
.66026 .46583 L
.65684 .45629 L
F
.66026 .49007 m
.66488 .49514 L
.66026 .50206 L
.65685 .49514 L
F
.66026 .47077 m
.66542 .47572 L
.66026 .48382 L
.65687 .47572 L
F
.66026 .5285 m
.66386 .53399 L
.66026 .539 L
.65687 .53399 L
F
.66026 .54749 m
.66341 .55342 L
.66026 .55769 L
.65687 .55342 L
F
.66026 .50936 m
.66434 .51457 L
.66026 .52043 L
.65687 .51457 L
F
.66026 .5663 m
.66296 .57284 L
.66026 .57643 L
.6569 .57284 L
F
.66026 .49015 m
.66481 .49514 L
.66026 .50197 L
.6569 .49514 L
F
.66026 .45146 m
.66597 .45629 L
.66026 .46571 L
.65691 .45629 L
F
.66026 .47086 m
.66534 .47572 L
.66026 .48373 L
.65693 .47572 L
F
.66026 .50944 m
.66427 .51457 L
.66026 .52034 L
.65693 .51457 L
F
.66026 .52861 m
.66378 .53399 L
.66026 .53889 L
.65695 .53399 L
F
.66026 .49022 m
.66475 .49514 L
.66026 .50189 L
.65696 .49514 L
F
.66026 .47094 m
.66526 .47572 L
.66026 .48363 L
.65699 .47572 L
F
.66026 .45157 m
.66587 .45629 L
.66026 .46559 L
.65699 .45629 L
F
.66026 .50953 m
.6642 .51457 L
.66026 .52025 L
.65699 .51457 L
F
.66026 .54766 m
.66329 .55342 L
.66026 .55754 L
.65699 .55342 L
F
.66026 .4903 m
.66468 .49514 L
.66026 .5018 L
.65701 .49514 L
F
.66026 .58493 m
.66245 .59227 L
.66026 .59514 L
.65702 .59227 L
F
.66026 .52872 m
.6637 .53399 L
.66026 .53878 L
.65703 .53399 L
F
.66026 .47102 m
.66518 .47572 L
.66026 .48353 L
.65705 .47572 L
F
.66026 .50961 m
.66413 .51457 L
.66026 .52016 L
.65705 .51457 L
F
.66026 .49038 m
.66461 .49514 L
.66026 .50171 L
.65707 .49514 L
F
.66026 .45168 m
.66576 .45629 L
.66026 .46547 L
.65707 .45629 L
F
.66026 .60321 m
.66202 .61169 L
.66026 .61396 L
.65708 .61169 L
F
.66026 .47111 m
.6651 .47572 L
.66026 .48343 L
.65711 .47572 L
F
.66026 .52883 m
.66361 .53399 L
.66026 .53867 L
.65711 .53399 L
F
.66026 .50969 m
.66406 .51457 L
.66026 .52007 L
.65711 .51457 L
F
.66026 .54783 m
.66317 .55342 L
.66026 .55738 L
.65712 .55342 L
F
.66026 .49046 m
.66454 .49514 L
.66026 .50162 L
.65712 .49514 L
F
.66026 .56661 m
.66276 .57284 L
.66026 .57617 L
.65713 .57284 L
F
.66026 .45179 m
.66565 .45629 L
.66026 .46534 L
.65715 .45629 L
F
.66026 .47119 m
.66502 .47572 L
.66026 .48333 L
.65717 .47572 L
F
.66026 .50978 m
.66399 .51457 L
.66026 .51998 L
.65718 .51457 L
F
.66026 .49053 m
.66447 .49514 L
.66026 .50153 L
.65718 .49514 L
F
.66026 .52894 m
.66353 .53399 L
.66026 .53856 L
.65719 .53399 L
F
.66026 .4519 m
.66554 .45629 L
.66026 .46521 L
.65722 .45629 L
F
.66997 .21274 m
.67968 .21224 L
.68939 .21244 L
.69911 .21263 L
.70882 .21275 L
.71853 .21282 L
.72824 .21285 L
.73796 .21287 L
.74767 .21286 L
.75738 .21284 L
.76709 .21279 L
.77681 .2127 L
.78652 .21255 L
.79623 .21232 L
.80594 .21229 L
.81388 .21348 L
.81566 .21427 L
.82284 .22319 L
.8236 .23291 L
.81929 .24262 L
.81566 .2449 L
.80594 .24553 L
.79623 .24477 L
.78652 .24421 L
.77681 .2439 L
.76709 .24372 L
.75738 .24363 L
.74767 .24359 L
.73796 .24358 L
.72824 .24361 L
.71853 .24367 L
.70882 .2438 L
.69911 .24403 L
.68939 .24445 L
.67968 .24515 L
.66997 .24569 L
.66156 .24262 L
.66026 .24115 L
.65723 .23291 L
.65797 .22319 L
.66026 .21859 L
.66681 .21348 L
F
.66026 .47128 m
.66494 .47572 L
.66026 .48323 L
.65723 .47572 L
F
.66026 .49061 m
.66441 .49514 L
.66026 .50144 L
.65724 .49514 L
F
.66026 .50987 m
.66392 .51457 L
.66026 .51988 L
.65724 .51457 L
F
.66026 .54801 m
.66305 .55342 L
.66026 .55722 L
.65724 .55342 L
F
.66026 .52906 m
.66344 .53399 L
.66026 .53845 L
.65727 .53399 L
F
.66026 .47136 m
.66486 .47572 L
.66026 .48313 L
.65729 .47572 L
F
.66026 .49069 m
.66434 .49514 L
.66026 .50135 L
.65729 .49514 L
F
.66026 .50995 m
.66385 .51457 L
.66026 .51979 L
.6573 .51457 L
F
.66026 .45201 m
.66543 .45629 L
.66026 .46508 L
.6573 .45629 L
F
.66026 .49077 m
.66427 .49514 L
.66026 .50126 L
.65735 .49514 L
F
.66026 .47145 m
.66478 .47572 L
.66026 .48303 L
.65735 .47572 L
F
.66026 .52917 m
.66336 .53399 L
.66026 .53834 L
.65735 .53399 L
F
.66026 .51004 m
.66378 .51457 L
.66026 .5197 L
.65736 .51457 L
F
.66026 .56692 m
.66255 .57284 L
.66026 .5759 L
.65737 .57284 L
F
.66026 .54818 m
.66293 .55342 L
.66026 .55706 L
.65737 .55342 L
F
.66026 .45212 m
.66531 .45629 L
.66026 .46495 L
.65738 .45629 L
F
.66026 .49085 m
.6642 .49514 L
.66026 .50117 L
.65741 .49514 L
F
.66026 .47154 m
.6647 .47572 L
.66026 .48292 L
.65741 .47572 L
F
.66026 .51013 m
.66371 .51457 L
.66026 .5196 L
.65743 .51457 L
F
.66026 .52929 m
.66327 .53399 L
.66026 .53823 L
.65743 .53399 L
F
.66026 .45224 m
.6652 .45629 L
.66026 .46482 L
.65746 .45629 L
F
.66026 .49093 m
.66413 .49514 L
.66026 .50108 L
.65746 .49514 L
F
.66026 .47162 m
.66462 .47572 L
.66026 .48282 L
.65747 .47572 L
F
.66026 .51022 m
.66364 .51457 L
.66026 .51951 L
.65749 .51457 L
F
.66026 .54837 m
.66281 .55342 L
.66026 .5569 L
.6575 .55342 L
F
.66026 .52941 m
.66318 .53399 L
.66026 .53811 L
.65752 .53399 L
F
.66026 .49101 m
.66406 .49514 L
.66026 .50099 L
.65752 .49514 L
F
.66026 .47171 m
.66454 .47572 L
.66026 .48271 L
.65754 .47572 L
F
.66026 .45235 m
.66509 .45629 L
.66026 .46469 L
.65754 .45629 L
F
.66026 .51031 m
.66356 .51457 L
.66026 .51941 L
.65755 .51457 L
F
.66026 .58556 m
.66203 .59227 L
.66026 .59459 L
.65755 .59227 L
F
.66026 .49109 m
.66398 .49514 L
.66026 .50089 L
.65758 .49514 L
F
.66026 .4718 m
.66445 .47572 L
.66026 .48261 L
.6576 .47572 L
F
.66026 .52952 m
.6631 .53399 L
.66026 .53799 L
.6576 .53399 L
F
.66026 .56725 m
.66233 .57284 L
.66026 .57562 L
.65762 .57284 L
F
.66026 .5104 m
.66349 .51457 L
.66026 .51932 L
.65762 .51457 L
F
.66026 .45246 m
.66497 .45629 L
.66026 .46455 L
.65762 .45629 L
F
.66026 .54855 m
.66268 .55342 L
.66026 .55673 L
.65764 .55342 L
F
.66026 .49117 m
.66391 .49514 L
.66026 .5008 L
.65764 .49514 L
F
.66026 .47189 m
.66437 .47572 L
.66026 .4825 L
.65766 .47572 L
F
.66026 .51049 m
.66342 .51457 L
.66026 .51922 L
.65768 .51457 L
F
.66026 .52964 m
.66301 .53399 L
.66026 .53788 L
.65769 .53399 L
F
.66026 .49126 m
.66384 .49514 L
.66026 .5007 L
.6577 .49514 L
F
.66026 .45258 m
.66486 .45629 L
.66026 .46442 L
.6577 .45629 L
F
.66026 .47198 m
.66428 .47572 L
.66026 .48239 L
.65773 .47572 L
F
.66026 .51058 m
.66334 .51457 L
.66026 .51912 L
.65775 .51457 L
F
.66026 .49134 m
.66377 .49514 L
.66026 .50061 L
.65776 .49514 L
F
.66026 .43326 m
.66538 .43687 L
.66026 .44648 L
.65776 .43687 L
F
.66026 .54874 m
.66255 .55342 L
.66026 .55656 L
.65777 .55342 L
F
.66026 .52977 m
.66292 .53399 L
.66026 .53776 L
.65777 .53399 L
F
.66026 .45269 m
.66474 .45629 L
.66026 .46428 L
.65779 .45629 L
F
.66026 .47207 m
.6642 .47572 L
.66026 .48228 L
.65779 .47572 L
F
.66026 .51067 m
.66327 .51457 L
.66026 .51902 L
.65781 .51457 L
F
.66026 .49142 m
.66369 .49514 L
.66026 .50051 L
.65782 .49514 L
F
.66026 .47216 m
.66411 .47572 L
.66026 .48217 L
.65785 .47572 L
F
.66026 .52989 m
.66282 .53399 L
.66026 .53764 L
.65786 .53399 L
F
.66026 .45281 m
.66462 .45629 L
.66026 .46413 L
.65787 .45629 L
F
.66026 .5676 m
.66211 .57284 L
.66026 .57533 L
.65787 .57284 L
F
.66026 .49151 m
.66362 .49514 L
.66026 .50041 L
.65788 .49514 L
F
.66026 .51077 m
.66319 .51457 L
.66026 .51892 L
.65788 .51457 L
F
.66026 .43344 m
.66519 .43687 L
.66026 .44628 L
.65789 .43687 L
F
.66026 .54894 m
.66242 .55342 L
.66026 .55639 L
.65791 .55342 L
F
.66026 .47225 m
.66403 .47572 L
.66026 .48206 L
.65792 .47572 L
F
.66026 .49159 m
.66354 .49514 L
.66026 .50031 L
.65794 .49514 L
F
.66026 .51086 m
.66312 .51457 L
.66026 .51882 L
.65795 .51457 L
F
.66026 .53002 m
.66273 .53399 L
.66026 .53751 L
.65795 .53399 L
F
.66026 .45293 m
.6645 .45629 L
.66026 .46399 L
.65795 .45629 L
F
.66026 .47234 m
.66394 .47572 L
.66026 .48194 L
.65798 .47572 L
F
.66026 .49168 m
.66347 .49514 L
.66026 .50021 L
.658 .49514 L
F
.66026 .51096 m
.66304 .51457 L
.66026 .51871 L
.65801 .51457 L
F
.66026 .43362 m
.66499 .43687 L
.66026 .44608 L
.65801 .43687 L
F
.66026 .45305 m
.66438 .45629 L
.66026 .46384 L
.65804 .45629 L
F
.66026 .53015 m
.66264 .53399 L
.66026 .53739 L
.65804 .53399 L
F
.66026 .54915 m
.66229 .55342 L
.66026 .55621 L
.65805 .55342 L
F
.66026 .47243 m
.66385 .47572 L
.66026 .48183 L
.65805 .47572 L
F
.66026 .49177 m
.66339 .49514 L
.66026 .50011 L
.65806 .49514 L
F
.66026 .51106 m
.66296 .51457 L
.66026 .51861 L
.65808 .51457 L
F
.66026 .47253 m
.66376 .47572 L
.66026 .48171 L
.65812 .47572 L
F
.66026 .49185 m
.66331 .49514 L
.66026 .5 L
.65812 .49514 L
F
.66026 .45317 m
.66425 .45629 L
.66026 .46369 L
.65812 .45629 L
F
.66026 .53028 m
.66254 .53399 L
.66026 .53726 L
.65813 .53399 L
F
.66026 .56798 m
.66189 .57284 L
.66026 .57503 L
.65814 .57284 L
F
.66026 .4338 m
.66479 .43687 L
.66026 .44587 L
.65814 .43687 L
F
.66026 .58628 m
.66159 .59227 L
.66026 .59401 L
.65815 .59227 L
F
.66026 .51115 m
.66288 .51457 L
.66026 .5185 L
.65815 .51457 L
F
.66026 .49194 m
.66324 .49514 L
.66026 .4999 L
.65818 .49514 L
F
.66026 .47262 m
.66367 .47572 L
.66026 .48159 L
.65818 .47572 L
F
.66026 .54936 m
.66215 .55342 L
.66026 .55603 L
.65819 .55342 L
F
.66026 .45329 m
.66413 .45629 L
.66026 .46354 L
.6582 .45629 L
F
.66026 .51125 m
.6628 .51457 L
.66026 .5184 L
.65822 .51457 L
F
.66026 .53041 m
.66245 .53399 L
.66026 .53713 L
.65822 .53399 L
F
.66026 .49203 m
.66316 .49514 L
.66026 .49979 L
.65824 .49514 L
F
.66026 .47271 m
.66358 .47572 L
.66026 .48147 L
.65825 .47572 L
F
.66026 .43399 m
.66459 .43687 L
.66026 .44566 L
.65827 .43687 L
F
.66026 .51136 m
.66272 .51457 L
.66026 .51829 L
.65829 .51457 L
F
.66026 .45341 m
.664 .45629 L
.66026 .46339 L
.65829 .45629 L
F
.66026 .49212 m
.66308 .49514 L
.66026 .49969 L
.65831 .49514 L
F
.66026 .53055 m
.66235 .53399 L
.66026 .537 L
.65831 .53399 L
F
.66026 .47281 m
.66349 .47572 L
.66026 .48135 L
.65832 .47572 L
F
.66026 .54957 m
.66201 .55342 L
.66026 .55585 L
.65834 .55342 L
F
.66026 .51146 m
.66264 .51457 L
.66026 .51818 L
.65836 .51457 L
F
.66026 .49221 m
.663 .49514 L
.66026 .49958 L
.65837 .49514 L
F
.66026 .45353 m
.66387 .45629 L
.66026 .46323 L
.65838 .45629 L
F
.66026 .47291 m
.66339 .47572 L
.66026 .48122 L
.65838 .47572 L
F
.66026 .43418 m
.66437 .43687 L
.66026 .44544 L
.6584 .43687 L
F
.66026 .53069 m
.66225 .53399 L
.66026 .53687 L
.65841 .53399 L
F
.66026 .56838 m
.66165 .57284 L
.66026 .57472 L
.65842 .57284 L
F
.66026 .51156 m
.66256 .51457 L
.66026 .51806 L
.65843 .51457 L
F
.66026 .4923 m
.66292 .49514 L
.66026 .49947 L
.65843 .49514 L
F
.66026 .473 m
.6633 .47572 L
.66026 .4811 L
.65845 .47572 L
F
.66026 .45365 m
.66374 .45629 L
.66026 .46306 L
.65846 .45629 L
F
.66026 .5498 m
.66187 .55342 L
.66026 .55566 L
.65849 .55342 L
F
.66026 .4924 m
.66283 .49514 L
.66026 .49935 L
.6585 .49514 L
F
.66026 .51167 m
.66247 .51457 L
.66026 .51795 L
.6585 .51457 L
F
.66026 .53083 m
.66215 .53399 L
.66026 .53674 L
.6585 .53399 L
F
.66026 .4731 m
.6632 .47572 L
.66026 .48097 L
.65852 .47572 L
F
.66026 .43437 m
.66416 .43687 L
.66026 .44521 L
.65854 .43687 L
F
.66997 .15237 m
.67968 .15177 L
.68939 .15195 L
.69911 .15213 L
.70882 .15225 L
.71853 .15231 L
.72824 .15235 L
.73796 .15236 L
.74767 .15235 L
.75738 .15233 L
.76709 .15229 L
.77681 .1522 L
.78652 .15205 L
.79623 .15184 L
.80594 .15185 L
.81566 .15411 L
.81718 .15521 L
.82227 .16492 L
.82102 .17463 L
.81566 .18084 L
.80594 .18324 L
.79623 .18335 L
.78652 .18318 L
.77681 .18306 L
.76709 .18298 L
.75738 .18294 L
.74767 .18292 L
.73796 .18292 L
.72824 .18293 L
.71853 .18296 L
.70882 .18302 L
.69911 .18311 L
.68939 .18327 L
.67968 .18338 L
.66997 .18264 L
.66026 .1773 L
.65974 .17463 L
.65854 .16492 L
.66026 .15941 L
.66364 .15521 L
F
.66026 .45378 m
.66361 .45629 L
.66026 .4629 L
.65855 .45629 L
F
.66026 .49249 m
.66275 .49514 L
.66026 .49924 L
.65856 .49514 L
F
.66026 .64047 m
.66896 .64083 L
.6606 .65054 L
.66026 .65095 L
.65857 .65054 L
.65984 .64083 L
F
.66026 .51177 m
.66239 .51457 L
.66026 .51783 L
.65858 .51457 L
F
.66026 .4732 m
.6631 .47572 L
.66026 .48084 L
.65859 .47572 L
F
.66026 .53098 m
.66205 .53399 L
.66026 .5366 L
.6586 .53399 L
F
.66026 .49259 m
.66267 .49514 L
.66026 .49912 L
.65863 .49514 L
F
.66026 .45391 m
.66347 .45629 L
.66026 .46273 L
.65864 .45629 L
F
.66026 .55004 m
.66172 .55342 L
.66026 .55546 L
.65865 .55342 L
F
.66026 .51188 m
.6623 .51457 L
.66026 .51772 L
.65865 .51457 L
F
.66026 .4733 m
.663 .47572 L
.66026 .4807 L
.65866 .47572 L
F
.66026 .43456 m
.66394 .43687 L
.66026 .44497 L
.65867 .43687 L
F
.66026 .49268 m
.66258 .49514 L
.66026 .49901 L
.6587 .49514 L
F
.66026 .53113 m
.66194 .53399 L
.66026 .53646 L
.6587 .53399 L
F
.66026 .56883 m
.66141 .57284 L
.66026 .5744 L
.65872 .57284 L
F
.66026 .51199 m
.66221 .51457 L
.66026 .5176 L
.65872 .51457 L
F
.66026 .60469 m
.66095 .61169 L
.66026 .61258 L
.65873 .61169 L
F
.66026 .45404 m
.66333 .45629 L
.66026 .46255 L
.65873 .45629 L
F
.66026 .47341 m
.6629 .47572 L
.66026 .48056 L
.65873 .47572 L
F
.66026 .49278 m
.66249 .49514 L
.66026 .49888 L
.65876 .49514 L
F
.66026 .51211 m
.66212 .51457 L
.66026 .51747 L
.6588 .51457 L
F
.66026 .53128 m
.66184 .53399 L
.66026 .53631 L
.6588 .53399 L
F
.66026 .55029 m
.66157 .55342 L
.66026 .55526 L
.65881 .55342 L
F
.66026 .47351 m
.6628 .47572 L
.66026 .48042 L
.65881 .47572 L
F
.66026 .43476 m
.6637 .43687 L
.66026 .44472 L
.65881 .43687 L
F
.66026 .58714 m
.6611 .59227 L
.66026 .59338 L
.65882 .59227 L
F
.66026 .45417 m
.66319 .45629 L
.66026 .46237 L
.65882 .45629 L
F
.66026 .49288 m
.6624 .49514 L
.66026 .49876 L
.65883 .49514 L
F
.66026 .51222 m
.66203 .51457 L
.66026 .51735 L
.65888 .51457 L
F
.66026 .47362 m
.66269 .47572 L
.66026 .48028 L
.65888 .47572 L
F
.66026 .41546 m
.66415 .41744 L
.66026 .42704 L
.65889 .41744 L
F
.66026 .49298 m
.66231 .49514 L
.66026 .49864 L
.6589 .49514 L
F
.66026 .53144 m
.66173 .53399 L
.66026 .53616 L
.6589 .53399 L
F
.66026 .4543 m
.66304 .45629 L
.66026 .46218 L
.65892 .45629 L
F
.66026 .43496 m
.66346 .43687 L
.66026 .44447 L
.65895 .43687 L
F
.66026 .47372 m
.66259 .47572 L
.66026 .48013 L
.65895 .47572 L
F
.66026 .51234 m
.66194 .51457 L
.66026 .51722 L
.65895 .51457 L
F
.66026 .49308 m
.66222 .49514 L
.66026 .49851 L
.65897 .49514 L
F
.66026 .55056 m
.66142 .55342 L
.66026 .55505 L
.65897 .55342 L
F
.66026 .53161 m
.66162 .53399 L
.66026 .53601 L
.65901 .53399 L
F
.66026 .45444 m
.66289 .45629 L
.66026 .46199 L
.65901 .45629 L
F
.66026 .47383 m
.66248 .47572 L
.66026 .47998 L
.65903 .47572 L
F
.66026 .51246 m
.66185 .51457 L
.66026 .51709 L
.65903 .51457 L
F
.66026 .56933 m
.66115 .57284 L
.66026 .57405 L
.65904 .57284 L
F
.66026 .49319 m
.66213 .49514 L
.66026 .49837 L
.65904 .49514 L
F
.66026 .43516 m
.66321 .43687 L
.66026 .4442 L
.65909 .43687 L
F
.66026 .47394 m
.66236 .47572 L
.66026 .47983 L
.6591 .47572 L
F
.66026 .45457 m
.66274 .45629 L
.66026 .46179 L
.6591 .45629 L
F
.66026 .49329 m
.66203 .49514 L
.66026 .49824 L
.65911 .49514 L
F
.66026 .51258 m
.66175 .51457 L
.66026 .51695 L
.65911 .51457 L
F
.66026 .53178 m
.6615 .53399 L
.66026 .53585 L
.65911 .53399 L
F
.66026 .41583 m
.66366 .41744 L
.66026 .42665 L
.65914 .41744 L
F
.66026 .55084 m
.66126 .55342 L
.66026 .55483 L
.65915 .55342 L
F
.66026 .47405 m
.66225 .47572 L
.66026 .47967 L
.65918 .47572 L
F
.66026 .4934 m
.66193 .49514 L
.66026 .4981 L
.65918 .49514 L
F
.66026 .51271 m
.66165 .51457 L
.66026 .51681 L
.65919 .51457 L
F
.66026 .45471 m
.66258 .45629 L
.66026 .46158 L
.6592 .45629 L
F
.66026 .53196 m
.66139 .53399 L
.66026 .53569 L
.65922 .53399 L
F
.66026 .43537 m
.66295 .43687 L
.66026 .44391 L
.65923 .43687 L
F
.66026 .49351 m
.66183 .49514 L
.66026 .49795 L
.65926 .49514 L
F
.66026 .47417 m
.66213 .47572 L
.66026 .4795 L
.65926 .47572 L
F
.66026 .51284 m
.66155 .51457 L
.66026 .51667 L
.65928 .51457 L
F
.66026 .45485 m
.66241 .45629 L
.66026 .46136 L
.6593 .45629 L
F
.66026 .55115 m
.66109 .55342 L
.66026 .55461 L
.65933 .55342 L
F
.66026 .49362 m
.66173 .49514 L
.66026 .49781 L
.65933 .49514 L
F
.66026 .47428 m
.66201 .47572 L
.66026 .47933 L
.65933 .47572 L
F
.66026 .53214 m
.66126 .53399 L
.66026 .53552 L
.65934 .53399 L
F
.66026 .51297 m
.66145 .51457 L
.66026 .51652 L
.65936 .51457 L
F
.66026 .43558 m
.66267 .43687 L
.66026 .44361 L
.65938 .43687 L
F
.66026 .56991 m
.66087 .57284 L
.66026 .57369 L
.65939 .57284 L
F
.66026 .455 m
.66224 .45629 L
.66026 .46114 L
.6594 .45629 L
F
.66026 .41621 m
.66313 .41744 L
.66026 .42623 L
.6594 .41744 L
F
.66026 .49374 m
.66162 .49514 L
.66026 .49765 L
.6594 .49514 L
F
.66026 .4744 m
.66188 .47572 L
.66026 .47914 L
.65941 .47572 L
F
.66026 .51311 m
.66134 .51457 L
.66026 .51636 L
.65945 .51457 L
F
.66026 .53234 m
.66114 .53399 L
.66026 .53534 L
.65945 .53399 L
F
.66026 .49386 m
.66152 .49514 L
.66026 .49749 L
.65948 .49514 L
F
.66026 .47452 m
.66175 .47572 L
.66026 .47896 L
.65949 .47572 L
F
.66026 .45515 m
.66206 .45629 L
.66026 .4609 L
.6595 .45629 L
F
.66026 .5515 m
.66091 .55342 L
.66026 .55437 L
.65952 .55342 L
F
.66026 .51325 m
.66123 .51457 L
.66026 .5162 L
.65953 .51457 L
F
.66026 .4358 m
.66237 .43687 L
.66026 .44328 L
.65953 .43687 L
F
.66026 .49398 m
.6614 .49514 L
.66026 .49732 L
.65956 .49514 L
F
.66026 .53255 m
.66101 .53399 L
.66026 .53516 L
.65957 .53399 L
F
.66026 .47464 m
.66162 .47572 L
.66026 .47876 L
.65958 .47572 L
F
.66026 .4553 m
.66186 .45629 L
.66026 .46064 L
.6596 .45629 L
F
.66026 .5134 m
.66112 .51457 L
.66026 .51603 L
.65962 .51457 L
F
.66026 .4941 m
.66129 .49514 L
.66026 .49714 L
.65964 .49514 L
F
.66026 .47477 m
.66148 .47572 L
.66026 .47854 L
.65966 .47572 L
F
.66026 .58828 m
.66057 .59227 L
.66026 .59268 L
.65967 .59227 L
F
.66026 .4166 m
.66251 .41744 L
.66026 .42577 L
.65967 .41744 L
F
.66026 .43603 m
.66204 .43687 L
.66026 .44293 L
.65969 .43687 L
F
.66026 .53277 m
.66088 .53399 L
.66026 .53496 L
.6597 .53399 L
F
.66026 .45546 m
.66166 .45629 L
.66026 .46036 L
.65971 .45629 L
F
.66026 .51355 m
.661 .51457 L
.66026 .51586 L
.65971 .51457 L
F
.66026 .55189 m
.66073 .55342 L
.66026 .55411 L
.65972 .55342 L
F
.66026 .49423 m
.66117 .49514 L
.66026 .49696 L
.65972 .49514 L
F
.66026 .4749 m
.66133 .47572 L
.66026 .47832 L
.65974 .47572 L
F
.66026 .57067 m
.66058 .57284 L
.66026 .57329 L
.65978 .57284 L
F
.66026 .49436 m
.66104 .49514 L
.66026 .49675 L
.6598 .49514 L
F
.66026 .51371 m
.66088 .51457 L
.66026 .51567 L
.65981 .51457 L
F
.66026 .45562 m
.66144 .45629 L
.66026 .46006 L
.65982 .45629 L
F
.66026 .53301 m
.66074 .53399 L
.66026 .53476 L
.65982 .53399 L
F
.66026 .47503 m
.66117 .47572 L
.66026 .47807 L
.65983 .47572 L
F
.66026 .43626 m
.66166 .43687 L
.66026 .44255 L
.65985 .43687 L
F
.66026 .4945 m
.66091 .49514 L
.66026 .49654 L
.65988 .49514 L
F
.66026 .51388 m
.66075 .51457 L
.66026 .51546 L
.6599 .51457 L
F
.66026 .47517 m
.66101 .47572 L
.66026 .4778 L
.65992 .47572 L
F
.66026 .45578 m
.6612 .45629 L
.66026 .45973 L
.65992 .45629 L
F
.66026 .55236 m
.66054 .55342 L
.66026 .55384 L
.65993 .55342 L
F
.66026 .53328 m
.66059 .53399 L
.66026 .53453 L
.65996 .53399 L
F
.66026 .41701 m
.66174 .41744 L
.66026 .42525 L
.65996 .41744 L
F
.66026 .49464 m
.66077 .49514 L
.66026 .4963 L
.65997 .49514 L
F
.66026 .51406 m
.66062 .51457 L
.66026 .51524 L
.66 .51457 L
F
.66026 .47531 m
.66083 .47572 L
.66026 .47749 L
.66001 .47572 L
F
.66026 .43651 m
.66122 .43687 L
.66026 .44211 L
.66001 .43687 L
F
.66026 .45595 m
.66093 .45629 L
.66026 .45934 L
.66004 .45629 L
F
.66026 .49479 m
.66062 .49514 L
.66026 .49602 L
.66006 .49514 L
F
.66026 .53359 m
.66044 .53399 L
.66026 .53429 L
.66009 .53399 L
F
.66026 .47546 m
.66063 .47572 L
.66026 .47711 L
.6601 .47572 L
F
.66026 .51426 m
.66048 .51457 L
.66026 .515 L
.6601 .51457 L
F
.66026 .49494 m
.66047 .49514 L
.66026 .4957 L
.66014 .49514 L
F
.66026 .45613 m
.66061 .45629 L
.66026 .45887 L
.66015 .45629 L
F
.66026 .55303 m
.66033 .55342 L
.66026 .55354 L
.66017 .55342 L
F
.66026 .43676 m
.66063 .43687 L
.66026 .4416 L
.66018 .43687 L
F
.66026 .47562 m
.66042 .47572 L
.66026 .4766 L
.66019 .47572 L
F
.66026 .39793 m
.66119 .39802 L
.66026 .40769 L
.6602 .39802 L
F
.66026 .51447 m
.66033 .51457 L
.66026 .51472 L
.66021 .51457 L
F
.66026 .49511 m
.6603 .49514 L
.66026 .49527 L
.66024 .49514 L
F
.66026 .53395 m
.66027 .53399 L
.66026 .53402 L
.66024 .53399 L
F
.66026 .57214 m
.66026 .57284 L
.66026 .57285 L
.66025 .57284 L
F
.66997 .58915 m
.67783 .59227 L
.67133 .60198 L
.66997 .60342 L
.66038 .60198 L
.66747 .59227 L
F
.67968 .51834 m
.68784 .52428 L
.68178 .53399 L
.68939 .54353 L
.69766 .53399 L
.69911 .53145 L
.70653 .53399 L
.70148 .54371 L
.69911 .54578 L
.69458 .55342 L
.68939 .55923 L
.68374 .55342 L
.68926 .54371 L
.67968 .53581 L
.67453 .54371 L
.66997 .54881 L
.66038 .54371 L
.6675 .53399 L
.66997 .53092 L
.67585 .52428 L
F
.67968 .53788 m
.68689 .54371 L
.68005 .55342 L
.67968 .55374 L
.67347 .56313 L
.66997 .56702 L
.66049 .56313 L
.66759 .55342 L
.66997 .55048 L
.67596 .54371 L
F
.67968 .51846 m
.6877 .52428 L
.6816 .53399 L
.67968 .53566 L
.67442 .54371 L
.66997 .54869 L
.66053 .54371 L
.66758 .53399 L
.66997 .53101 L
.67593 .52428 L
F
.66997 .56995 m
.67859 .57284 L
.6723 .58256 L
.66997 .58509 L
.66067 .58256 L
.66763 .57284 L
F
.67968 .51858 m
.68756 .52428 L
.68142 .53399 L
.67968 .5355 L
.67431 .54371 L
.66997 .54856 L
.66068 .54371 L
.66765 .53399 L
.66997 .53111 L
.67601 .52428 L
F
.67968 .53804 m
.68671 .54371 L
.67977 .55342 L
.67968 .5535 L
.67329 .56313 L
.66997 .56681 L
.66074 .56313 L
.6677 .55342 L
.66997 .55061 L
.67607 .54371 L
F
.67968 .5187 m
.68742 .52428 L
.68124 .53399 L
.67968 .53534 L
.6742 .54371 L
.66997 .54843 L
.66083 .54371 L
.66773 .53399 L
.66997 .5312 L
.6761 .52428 L
F
.67968 .51882 m
.68728 .52428 L
.68105 .53399 L
.67968 .53518 L
.67409 .54371 L
.66997 .54831 L
.66098 .54371 L
.6678 .53399 L
.66997 .5313 L
.67618 .52428 L
F
.66997 .55074 m
.67951 .55342 L
.67311 .56313 L
.66997 .5666 L
.661 .56313 L
.66781 .55342 L
F
.67968 .51895 m
.68713 .52428 L
.68087 .53399 L
.67968 .53502 L
.67398 .54371 L
.66997 .54818 L
.66113 .54371 L
.66788 .53399 L
.66997 .53139 L
.67626 .52428 L
F
.66997 .57017 m
.6782 .57284 L
.67194 .58256 L
.66997 .58469 L
.66121 .58256 L
.66781 .57284 L
F
.66997 .55087 m
.67926 .55342 L
.67293 .56313 L
.66997 .5664 L
.66127 .56313 L
.66791 .55342 L
F
.67968 .51907 m
.68699 .52428 L
.68069 .53399 L
.67968 .53486 L
.67387 .54371 L
.66997 .54805 L
.66128 .54371 L
.66795 .53399 L
.66997 .53148 L
.67634 .52428 L
F
.67968 .51919 m
.68685 .52428 L
.6805 .53399 L
.67968 .5347 L
.67376 .54371 L
.66997 .54793 L
.66144 .54371 L
.66803 .53399 L
.66997 .53158 L
.67643 .52428 L
F
.66997 .55101 m
.679 .55342 L
.67275 .56313 L
.66997 .56619 L
.66154 .56313 L
.66802 .55342 L
F
.67968 .51932 m
.68671 .52428 L
.68031 .53399 L
.67968 .53454 L
.67365 .54371 L
.66997 .5478 L
.66159 .54371 L
.66811 .53399 L
.66997 .53168 L
.67651 .52428 L
F
.67968 .49991 m
.68747 .50486 L
.68167 .51457 L
.67968 .51629 L
.67448 .52428 L
.66997 .52935 L
.66165 .52428 L
.66815 .51457 L
.66997 .51229 L
.67652 .50486 L
F
.67968 .51944 m
.68657 .52428 L
.68013 .53399 L
.67968 .53438 L
.67354 .54371 L
.66997 .54767 L
.66175 .54371 L
.66819 .53399 L
.66997 .53177 L
.67659 .52428 L
F
.67968 .50002 m
.68734 .50486 L
.68153 .51457 L
.67968 .51616 L
.6744 .52428 L
.66997 .52925 L
.66176 .52428 L
.66822 .51457 L
.66997 .51237 L
.67659 .50486 L
F
.66997 .58959 m
.6771 .59227 L
.67046 .60198 L
.66997 .60249 L
.66178 .60198 L
.66783 .59227 L
F
.66997 .57039 m
.6778 .57284 L
.67157 .58256 L
.66997 .58428 L
.6618 .58256 L
.668 .57284 L
F
.66997 .55114 m
.67875 .55342 L
.67256 .56313 L
.66997 .56598 L
.66182 .56313 L
.66813 .55342 L
F
.67968 .50013 m
.68721 .50486 L
.68139 .51457 L
.67968 .51604 L
.67432 .52428 L
.66997 .52916 L
.66187 .52428 L
.66828 .51457 L
.66997 .51245 L
.67666 .50486 L
F
.67968 .51956 m
.68642 .52428 L
.67994 .53399 L
.67968 .53421 L
.67342 .54371 L
.66997 .54754 L
.66191 .54371 L
.66826 .53399 L
.66997 .53187 L
.67668 .52428 L
F
.67968 .50024 m
.68707 .50486 L
.68125 .51457 L
.67968 .51592 L
.67424 .52428 L
.66997 .52907 L
.66198 .52428 L
.66835 .51457 L
.66997 .51253 L
.67674 .50486 L
F
.67968 .51969 m
.68628 .52428 L
.67975 .53399 L
.67968 .53405 L
.67331 .54371 L
.66997 .54741 L
.66207 .54371 L
.66834 .53399 L
.66997 .53196 L
.67676 .52428 L
F
.67968 .50035 m
.68694 .50486 L
.6811 .51457 L
.67968 .51579 L
.67416 .52428 L
.66997 .52898 L
.66209 .52428 L
.66841 .51457 L
.66997 .51261 L
.67681 .50486 L
F
.66997 .55128 m
.67849 .55342 L
.67238 .56313 L
.66997 .56577 L
.66211 .56313 L
.66824 .55342 L
F
.67968 .50046 m
.6868 .50486 L
.68096 .51457 L
.67968 .51567 L
.67407 .52428 L
.66997 .52888 L
.6622 .52428 L
.66848 .51457 L
.66997 .51269 L
.67688 .50486 L
F
.66997 .53206 m
.67955 .53399 L
.6732 .54371 L
.66997 .54729 L
.66223 .54371 L
.66842 .53399 L
F
.67968 .50057 m
.68667 .50486 L
.68081 .51457 L
.67968 .51554 L
.67399 .52428 L
.66997 .52879 L
.6623 .52428 L
.66854 .51457 L
.66997 .51278 L
.67696 .50486 L
F
.66997 .53216 m
.67936 .53399 L
.67309 .54371 L
.66997 .54716 L
.6624 .54371 L
.6685 .53399 L
F
.66997 .55141 m
.67822 .55342 L
.67219 .56313 L
.66997 .56555 L
.66241 .56313 L
.66835 .55342 L
F
.67968 .50069 m
.68653 .50486 L
.68067 .51457 L
.67968 .51542 L
.67391 .52428 L
.66997 .5287 L
.66242 .52428 L
.66861 .51457 L
.66997 .51286 L
.67703 .50486 L
F
.66997 .57062 m
.67739 .57284 L
.6712 .58256 L
.66997 .58386 L
.66244 .58256 L
.66818 .57284 L
F
.67968 .5008 m
.6864 .50486 L
.68052 .51457 L
.67968 .51529 L
.67383 .52428 L
.66997 .5286 L
.66253 .52428 L
.66867 .51457 L
.66997 .51294 L
.6771 .50486 L
F
.66997 .53226 m
.67916 .53399 L
.67297 .54371 L
.66997 .54703 L
.66257 .54371 L
.66858 .53399 L
F
.67968 .50091 m
.68626 .50486 L
.68037 .51457 L
.67968 .51516 L
.67375 .52428 L
.66997 .52851 L
.66264 .52428 L
.66874 .51457 L
.66997 .51303 L
.67718 .50486 L
F
.66997 .55155 m
.67795 .55342 L
.672 .56313 L
.66997 .56534 L
.66272 .56313 L
.66847 .55342 L
F
.66997 .53236 m
.67895 .53399 L
.67286 .54371 L
.66997 .5469 L
.66274 .54371 L
.66866 .53399 L
F
.67968 .50102 m
.68612 .50486 L
.68023 .51457 L
.67968 .51503 L
.67366 .52428 L
.66997 .52842 L
.66275 .52428 L
.66881 .51457 L
.66997 .51311 L
.67725 .50486 L
F
.67968 .50114 m
.68598 .50486 L
.68008 .51457 L
.67968 .51491 L
.67358 .52428 L
.66997 .52832 L
.66286 .52428 L
.66887 .51457 L
.66997 .51319 L
.67733 .50486 L
F
.67968 .48185 m
.68657 .48543 L
.68127 .49514 L
.67968 .49651 L
.67433 .50486 L
.66997 .5098 L
.6629 .50486 L
.66901 .49514 L
.66997 .49393 L
.67742 .48543 L
F
.66997 .53246 m
.67875 .53399 L
.67274 .54371 L
.66997 .54677 L
.66291 .54371 L
.66874 .53399 L
F
.67968 .50125 m
.68585 .50486 L
.67992 .51457 L
.67968 .51478 L
.6735 .52428 L
.66997 .52823 L
.66298 .52428 L
.66894 .51457 L
.66997 .51328 L
.6774 .50486 L
F
.67968 .48197 m
.68642 .48543 L
.68113 .49514 L
.67968 .49639 L
.67426 .50486 L
.66997 .50971 L
.66299 .50486 L
.66908 .49514 L
.66997 .49402 L
.6775 .48543 L
F
.66997 .55169 m
.67768 .55342 L
.6718 .56313 L
.66997 .56512 L
.66304 .56313 L
.66858 .55342 L
F
.67968 .48209 m
.68626 .48543 L
.681 .49514 L
.67968 .49627 L
.67419 .50486 L
.66997 .50963 L
.66308 .50486 L
.66915 .49514 L
.66997 .4941 L
.67758 .48543 L
F
.66997 .53256 m
.67854 .53399 L
.67262 .54371 L
.66997 .54663 L
.66309 .54371 L
.66882 .53399 L
F
.67968 .50137 m
.6857 .50486 L
.67977 .51457 L
.67968 .51464 L
.67342 .52428 L
.66997 .52813 L
.66309 .52428 L
.66901 .51457 L
.66997 .51336 L
.67748 .50486 L
F
.66997 .57085 m
.67697 .57284 L
.67081 .58256 L
.66997 .58344 L
.66317 .58256 L
.66837 .57284 L
F
.67968 .48221 m
.6861 .48543 L
.68086 .49514 L
.67968 .49616 L
.67411 .50486 L
.66997 .50955 L
.66317 .50486 L
.66921 .49514 L
.66997 .49419 L
.67765 .48543 L
F
.66997 .51345 m
.6796 .51457 L
.67333 .52428 L
.66997 .52804 L
.66321 .52428 L
.66908 .51457 L
F
.67968 .48233 m
.68594 .48543 L
.68073 .49514 L
.67968 .49604 L
.67404 .50486 L
.66997 .50947 L
.66326 .50486 L
.66928 .49514 L
.66997 .49427 L
.67773 .48543 L
F
.66997 .53266 m
.67833 .53399 L
.67251 .54371 L
.66997 .5465 L
.66327 .54371 L
.6689 .53399 L
F
.67968 .1538 m
.68939 .15306 L
.69911 .15281 L
.70882 .15271 L
.71853 .15266 L
.72824 .15263 L
.73796 .15262 L
.74767 .15263 L
.75738 .15264 L
.76709 .15268 L
.77681 .15275 L
.78652 .15291 L
.79623 .15333 L
.80594 .15471 L
.80762 .15521 L
.81566 .16098 L
.81744 .16492 L
.8158 .17463 L
.81566 .17483 L
.80594 .18074 L
.79623 .18205 L
.78652 .18244 L
.77681 .18258 L
.76709 .18264 L
.75738 .18267 L
.74767 .18269 L
.73796 .18269 L
.72824 .18268 L
.71853 .18266 L
.70882 .18262 L
.69911 .18252 L
.68939 .18229 L
.67968 .1816 L
.66997 .17898 L
.66491 .17463 L
.66327 .16492 L
.66997 .15657 L
.67309 .15521 L
F
.66997 .51353 m
.67942 .51457 L
.67325 .52428 L
.66997 .52794 L
.66333 .52428 L
.66914 .51457 L
F
.67968 .48246 m
.68578 .48543 L
.68059 .49514 L
.67968 .49592 L
.67397 .50486 L
.66997 .50939 L
.66335 .50486 L
.66935 .49514 L
.66997 .49436 L
.67781 .48543 L
F
.66997 .55183 m
.6774 .55342 L
.67161 .56313 L
.66997 .5649 L
.66338 .56313 L
.66869 .55342 L
F
.66997 .51362 m
.67923 .51457 L
.67316 .52428 L
.66997 .52785 L
.66345 .52428 L
.66921 .51457 L
F
.67968 .48258 m
.68562 .48543 L
.68045 .49514 L
.67968 .4958 L
.6739 .50486 L
.66997 .50931 L
.66345 .50486 L
.66942 .49514 L
.66997 .49445 L
.67789 .48543 L
F
.66997 .53276 m
.67811 .53399 L
.67239 .54371 L
.66997 .54637 L
.66345 .54371 L
.66898 .53399 L
F
.67968 .48271 m
.68546 .48543 L
.68031 .49514 L
.67968 .49568 L
.67383 .50486 L
.66997 .50922 L
.66354 .50486 L
.66948 .49514 L
.66997 .49453 L
.67797 .48543 L
F
.66997 .51371 m
.67903 .51457 L
.67308 .52428 L
.66997 .52775 L
.66357 .52428 L
.66928 .51457 L
F
.67968 .48283 m
.68529 .48543 L
.68017 .49514 L
.67968 .49556 L
.67375 .50486 L
.66997 .50914 L
.66363 .50486 L
.66955 .49514 L
.66997 .49462 L
.67805 .48543 L
F
.66997 .53286 m
.67789 .53399 L
.67227 .54371 L
.66997 .54623 L
.66364 .54371 L
.66906 .53399 L
F
.66997 .43693 m
.6758 .44658 L
.66997 .45365 L
.66368 .44658 L
F
.66997 .51379 m
.67884 .51457 L
.67299 .52428 L
.66997 .52765 L
.66369 .52428 L
.66935 .51457 L
F
.66997 .41752 m
.67648 .42716 L
.66997 .4353 L
.66369 .42716 L
F
.67968 .48296 m
.68512 .48543 L
.68003 .49514 L
.67968 .49544 L
.67368 .50486 L
.66997 .50906 L
.66373 .50486 L
.66962 .49514 L
.66997 .49471 L
.67813 .48543 L
F
.66997 .55197 m
.67711 .55342 L
.67141 .56313 L
.66997 .56468 L
.66373 .56313 L
.66881 .55342 L
F
.66997 .45635 m
.67505 .46601 L
.66997 .472 L
.66374 .46601 L
F
.67968 .46388 m
.68539 .46601 L
.68102 .47572 L
.67968 .47687 L
.67432 .48543 L
.66997 .49045 L
.66379 .48543 L
.66989 .47572 L
.66997 .47562 L
.67836 .46601 L
F
.66997 .51388 m
.67863 .51457 L
.67291 .52428 L
.66997 .52756 L
.66381 .52428 L
.66942 .51457 L
F
.66997 .43712 m
.67567 .44658 L
.66997 .45351 L
.66381 .44658 L
F
.67968 .48308 m
.68495 .48543 L
.67988 .49514 L
.67968 .49532 L
.67361 .50486 L
.66997 .50898 L
.66382 .50486 L
.66969 .49514 L
.66997 .4948 L
.67822 .48543 L
F
.66997 .53296 m
.67766 .53399 L
.67215 .54371 L
.66997 .5461 L
.66383 .54371 L
.66914 .53399 L
F
.66997 .45648 m
.67496 .46601 L
.66997 .4719 L
.66384 .46601 L
F
.66997 .47573 m
.67425 .48543 L
.66997 .49037 L
.66388 .48543 L
F
.66997 .41784 m
.67626 .42716 L
.66997 .43506 L
.6639 .42716 L
F
.67968 .48321 m
.68477 .48543 L
.67974 .49514 L
.67968 .49519 L
.67354 .50486 L
.66997 .50889 L
.66392 .50486 L
.66976 .49514 L
.66997 .49488 L
.6783 .48543 L
F
.66997 .51397 m
.67843 .51457 L
.67282 .52428 L
.66997 .52746 L
.66393 .52428 L
.66949 .51457 L
F
.66997 .45662 m
.67487 .46601 L
.66997 .4718 L
.66394 .46601 L
F
.66997 .43731 m
.67554 .44658 L
.66997 .45336 L
.66394 .44658 L
F
.66997 .47584 m
.67417 .48543 L
.66997 .49028 L
.66397 .48543 L
F
.66997 .49497 m
.67955 .49514 L
.67346 .50486 L
.66997 .50881 L
.66401 .50486 L
.66983 .49514 L
F
.66997 .53307 m
.67742 .53399 L
.67203 .54371 L
.66997 .54596 L
.66402 .54371 L
.66922 .53399 L
F
.66997 .57108 m
.67653 .57284 L
.6704 .58256 L
.66997 .583 L
.66403 .58256 L
.66856 .57284 L
F
.66997 .39854 m
.67682 .40773 L
.66997 .41664 L
.66403 .40773 L
F
.66997 .45675 m
.67478 .46601 L
.66997 .4717 L
.66404 .46601 L
F
.66997 .51406 m
.67821 .51457 L
.67274 .52428 L
.66997 .52736 L
.66406 .52428 L
.66956 .51457 L
F
.66997 .47596 m
.6741 .48543 L
.66997 .4902 L
.66406 .48543 L
F
.66997 .4375 m
.67541 .44658 L
.66997 .45321 L
.66407 .44658 L
F
.66997 .49506 m
.67933 .49514 L
.67339 .50486 L
.66997 .50873 L
.66411 .50486 L
.6699 .49514 L
F
.66997 .55212 m
.67681 .55342 L
.6712 .56313 L
.66997 .56445 L
.66411 .56313 L
.66892 .55342 L
F
.66997 .41815 m
.67604 .42716 L
.66997 .43482 L
.66411 .42716 L
F
.66997 .45689 m
.67469 .46601 L
.66997 .47159 L
.66414 .46601 L
F
.66997 .47607 m
.67403 .48543 L
.66997 .49011 L
.66415 .48543 L
F
.66997 .51415 m
.67799 .51457 L
.67265 .52428 L
.66997 .52726 L
.66418 .52428 L
.66963 .51457 L
F
.66997 .49515 m
.67331 .50486 L
.66997 .50864 L
.66421 .50486 L
F
.66997 .43769 m
.67528 .44658 L
.66997 .45306 L
.66421 .44658 L
F
.66997 .53317 m
.67718 .53399 L
.67191 .54371 L
.66997 .54582 L
.66422 .54371 L
.66931 .53399 L
F
.66997 .47619 m
.67395 .48543 L
.66997 .49003 L
.66424 .48543 L
F
.66997 .45703 m
.6746 .46601 L
.66997 .47149 L
.66424 .46601 L
F
.66997 .49527 m
.67324 .50486 L
.66997 .50856 L
.6643 .50486 L
F
.66997 .51424 m
.67776 .51457 L
.67256 .52428 L
.66997 .52716 L
.66431 .52428 L
.6697 .51457 L
F
.66997 .41847 m
.67581 .42716 L
.66997 .43457 L
.66433 .42716 L
F
.66997 .4763 m
.67388 .48543 L
.66997 .48994 L
.66433 .48543 L
F
.66997 .45716 m
.67451 .46601 L
.66997 .47139 L
.66434 .46601 L
F
.66997 .43788 m
.67515 .44658 L
.66997 .45292 L
.66434 .44658 L
F
.66997 .49538 m
.67317 .50486 L
.66997 .50847 L
.6644 .50486 L
F
.66997 .47642 m
.6738 .48543 L
.66997 .48986 L
.66442 .48543 L
F
.66997 .53327 m
.67694 .53399 L
.67178 .54371 L
.66997 .54569 L
.66443 .54371 L
.66939 .53399 L
F
.66997 .39917 m
.67636 .40773 L
.66997 .41617 L
.66443 .40773 L
F
.66997 .4573 m
.67442 .46601 L
.66997 .47128 L
.66444 .46601 L
F
.66997 .51433 m
.67753 .51457 L
.67247 .52428 L
.66997 .52706 L
.66444 .52428 L
.66977 .51457 L
F
.66997 .43807 m
.67501 .44658 L
.66997 .45277 L
.66447 .44658 L
F
.66997 .4955 m
.67309 .50486 L
.66997 .50839 L
.6645 .50486 L
F
.66997 .47654 m
.67372 .48543 L
.66997 .48977 L
.66451 .48543 L
F
.66997 .55226 m
.67651 .55342 L
.67099 .56313 L
.66997 .56422 L
.66452 .56313 L
.66904 .55342 L
F
.66997 .41879 m
.67559 .42716 L
.66997 .43432 L
.66454 .42716 L
F
.66997 .45744 m
.67432 .46601 L
.66997 .47118 L
.66454 .46601 L
F
.66997 .37981 m
.67693 .38831 L
.66997 .39782 L
.66454 .38831 L
F
.66997 .51442 m
.67728 .51457 L
.67238 .52428 L
.66997 .52696 L
.66457 .52428 L
.66985 .51457 L
F
.66997 .47666 m
.67365 .48543 L
.66997 .48968 L
.6646 .48543 L
F
.66997 .49562 m
.67302 .50486 L
.66997 .5083 L
.6646 .50486 L
F
.66997 .43826 m
.67488 .44658 L
.66997 .45262 L
.66461 .44658 L
F
.69911 .21334 m
.70882 .21323 L
.71853 .21318 L
.72824 .21315 L
.73796 .21314 L
.74767 .21314 L
.75738 .21316 L
.76709 .2132 L
.77681 .21327 L
.78652 .21344 L
.7881 .21348 L
.79623 .2139 L
.80594 .21542 L
.81566 .22242 L
.81605 .22319 L
.81566 .23285 L
.81563 .23291 L
.80594 .24031 L
.79623 .24201 L
.78652 .24259 L
.78562 .24262 L
.77681 .24285 L
.76709 .24298 L
.75738 .24305 L
.74767 .24308 L
.73796 .24308 L
.72824 .24307 L
.71853 .24302 L
.70882 .24293 L
.69911 .24274 L
.69511 .24262 L
.68939 .24236 L
.67968 .2414 L
.66997 .23818 L
.66505 .23291 L
.66463 .22319 L
.66997 .21746 L
.67968 .21442 L
.68939 .21361 L
.69264 .21348 L
F
.66997 .53338 m
.67668 .53399 L
.67166 .54371 L
.66997 .54554 L
.66464 .54371 L
.66948 .53399 L
F
.66997 .45758 m
.67423 .46601 L
.66997 .47107 L
.66464 .46601 L
F
.66997 .47678 m
.67357 .48543 L
.66997 .48959 L
.66469 .48543 L
F
.66997 .49574 m
.67294 .50486 L
.66997 .50821 L
.6647 .50486 L
F
.66997 .51451 m
.67702 .51457 L
.6723 .52428 L
.66997 .52686 L
.6647 .52428 L
.66992 .51457 L
F
.66997 .43845 m
.67475 .44658 L
.66997 .45247 L
.66474 .44658 L
F
.66997 .45772 m
.67414 .46601 L
.66997 .47096 L
.66475 .46601 L
F
.66997 .4191 m
.67536 .42716 L
.66997 .43407 L
.66475 .42716 L
F
.66997 .4769 m
.67349 .48543 L
.66997 .48951 L
.66479 .48543 L
F
.66997 .49586 m
.67286 .50486 L
.66997 .50813 L
.66481 .50486 L
F
.66997 .39978 m
.67591 .40773 L
.66997 .41569 L
.66484 .40773 L
F
.66997 .51462 m
.67221 .52428 L
.66997 .52676 L
.66484 .52428 L
F
.66997 .45786 m
.67405 .46601 L
.66997 .47086 L
.66485 .46601 L
F
.66997 .53349 m
.67641 .53399 L
.67153 .54371 L
.66997 .5454 L
.66486 .54371 L
.66956 .53399 L
F
.66997 .43865 m
.67462 .44658 L
.66997 .45231 L
.66488 .44658 L
F
.66997 .47702 m
.67342 .48543 L
.66997 .48942 L
.66488 .48543 L
F
.66997 .49598 m
.67279 .50486 L
.66997 .50804 L
.66491 .50486 L
F
.66997 .458 m
.67396 .46601 L
.66997 .47075 L
.66495 .46601 L
F
.66997 .55241 m
.67619 .55342 L
.67078 .56313 L
.66997 .56399 L
.66496 .56313 L
.66916 .55342 L
F
.66997 .41942 m
.67514 .42716 L
.66997 .43381 L
.66497 .42716 L
F
.66997 .47714 m
.67334 .48543 L
.66997 .48933 L
.66498 .48543 L
F
.66997 .51475 m
.67211 .52428 L
.66997 .52666 L
.66498 .52428 L
F
.66997 .4961 m
.67271 .50486 L
.66997 .50795 L
.66501 .50486 L
F
.66997 .43884 m
.67449 .44658 L
.66997 .45216 L
.66502 .44658 L
F
.66997 .45814 m
.67386 .46601 L
.66997 .47064 L
.66506 .46601 L
F
.66997 .47726 m
.67326 .48543 L
.66997 .48924 L
.66507 .48543 L
F
.66997 .5336 m
.67612 .53399 L
.6714 .54371 L
.66997 .54526 L
.66509 .54371 L
.66965 .53399 L
F
.66997 .49623 m
.67263 .50486 L
.66997 .50786 L
.66512 .50486 L
F
.66997 .5149 m
.67202 .52428 L
.66997 .52655 L
.66512 .52428 L
F
.66997 .43904 m
.67435 .44658 L
.66997 .452 L
.66516 .44658 L
F
.66997 .45828 m
.67377 .46601 L
.66997 .47053 L
.66516 .46601 L
F
.66997 .47739 m
.67318 .48543 L
.66997 .48915 L
.66517 .48543 L
F
.66997 .41973 m
.67491 .42716 L
.66997 .43355 L
.66519 .42716 L
F
.66997 .49635 m
.67255 .50486 L
.66997 .50777 L
.66523 .50486 L
F
.66997 .4004 m
.67545 .40773 L
.66997 .41519 L
.66525 .40773 L
F
.66997 .51504 m
.67193 .52428 L
.66997 .52645 L
.66526 .52428 L
F
.66997 .47751 m
.67311 .48543 L
.66997 .48906 L
.66527 .48543 L
F
.66997 .45843 m
.67367 .46601 L
.66997 .47042 L
.66527 .46601 L
F
.66997 .43923 m
.67422 .44658 L
.66997 .45185 L
.6653 .44658 L
F
.66997 .5337 m
.67582 .53399 L
.67127 .54371 L
.66997 .54512 L
.66533 .54371 L
.66974 .53399 L
F
.66997 .49648 m
.67248 .50486 L
.66997 .50769 L
.66533 .50486 L
F
.66997 .47764 m
.67303 .48543 L
.66997 .48897 L
.66536 .48543 L
F
.66997 .45857 m
.67358 .46601 L
.66997 .47031 L
.66538 .46601 L
F
.66997 .42005 m
.67468 .42716 L
.66997 .43329 L
.66541 .42716 L
F
.66997 .51519 m
.67184 .52428 L
.66997 .52634 L
.66541 .52428 L
F
.66997 .43943 m
.67408 .44658 L
.66997 .45169 L
.66544 .44658 L
F
.66997 .49661 m
.6724 .50486 L
.66997 .5076 L
.66544 .50486 L
F
.66997 .38124 m
.67582 .38831 L
.66997 .39675 L
.66545 .38831 L
F
.66997 .55256 m
.67585 .55342 L
.67056 .56313 L
.66997 .56375 L
.66546 .56313 L
.66928 .55342 L
F
.66997 .47777 m
.67295 .48543 L
.66997 .48888 L
.66546 .48543 L
F
.66997 .45872 m
.67348 .46601 L
.66997 .4702 L
.66548 .46601 L
F
.69911 .18431 m
.70882 .18382 L
.71853 .18356 L
.72824 .18343 L
.73796 .18338 L
.74767 .1834 L
.75738 .18349 L
.76709 .18367 L
.77681 .18403 L
.78203 .18434 L
.78652 .18471 L
.79623 .18607 L
.80594 .18877 L
.81525 .19406 L
.81089 .20377 L
.80594 .20631 L
.79623 .20928 L
.78652 .21079 L
.77681 .21157 L
.76709 .21198 L
.75738 .2122 L
.74767 .2123 L
.73796 .21232 L
.72824 .21226 L
.71853 .21211 L
.70882 .21181 L
.69911 .21124 L
.68939 .21016 L
.67968 .20805 L
.66997 .20383 L
.66987 .20377 L
.66555 .19406 L
.66997 .19101 L
.67968 .18719 L
.68939 .18528 L
.69867 .18434 L
F
.66997 .49674 m
.67232 .50486 L
.66997 .5075 L
.66555 .50486 L
F
.66997 .51534 m
.67174 .52428 L
.66997 .52624 L
.66556 .52428 L
F
.66997 .4779 m
.67287 .48543 L
.66997 .48878 L
.66556 .48543 L
F
.66997 .53381 m
.6755 .53399 L
.67114 .54371 L
.66997 .54497 L
.66558 .54371 L
.66983 .53399 L
F
.66997 .43963 m
.67395 .44658 L
.66997 .45153 L
.66558 .44658 L
F
.66997 .45887 m
.67339 .46601 L
.66997 .47009 L
.66559 .46601 L
F
.66997 .42037 m
.67445 .42716 L
.66997 .43302 L
.66563 .42716 L
F
.66997 .40101 m
.67498 .40773 L
.66997 .41467 L
.66566 .40773 L
F
.67968 .09505 m
.68939 .09352 L
.69911 .09288 L
.70882 .09257 L
.71853 .09242 L
.72824 .09234 L
.73796 .09231 L
.74767 .09232 L
.75738 .09237 L
.76709 .09248 L
.77681 .0927 L
.78652 .09313 L
.79623 .09411 L
.80594 .09668 L
.80652 .09693 L
.81502 .10664 L
.81174 .11636 L
.80594 .11929 L
.79623 .12106 L
.78652 .12163 L
.77681 .12186 L
.76709 .12197 L
.75738 .12203 L
.74767 .12205 L
.73796 .12206 L
.72824 .12204 L
.71853 .12201 L
.70882 .12193 L
.69911 .12177 L
.68939 .12141 L
.67968 .12044 L
.66997 .11699 L
.66911 .11636 L
.66566 .10664 L
.66997 .09956 L
.67418 .09693 L
F
.66997 .47803 m
.67279 .48543 L
.66997 .48869 L
.66566 .48543 L
F
.66997 .49688 m
.67224 .50486 L
.66997 .50741 L
.66567 .50486 L
F
.66997 .45902 m
.67329 .46601 L
.66997 .46998 L
.6657 .46601 L
F
.66997 .51549 m
.67165 .52428 L
.66997 .52613 L
.66571 .52428 L
F
.66997 .43983 m
.67381 .44658 L
.66997 .45137 L
.66572 .44658 L
F
.66997 .47816 m
.6727 .48543 L
.66997 .4886 L
.66577 .48543 L
F
.66997 .49701 m
.67216 .50486 L
.66997 .50732 L
.66578 .50486 L
F
.66997 .45917 m
.67319 .46601 L
.66997 .46986 L
.66582 .46601 L
F
.66997 .53393 m
.67515 .53399 L
.671 .54371 L
.66997 .54482 L
.66584 .54371 L
.66992 .53399 L
F
.66997 .42069 m
.67422 .42716 L
.66997 .43274 L
.66585 .42716 L
F
.66997 .44003 m
.67367 .44658 L
.66997 .4512 L
.66587 .44658 L
F
.66997 .51565 m
.67155 .52428 L
.66997 .52602 L
.66587 .52428 L
F
.66997 .4783 m
.67262 .48543 L
.66997 .4885 L
.66587 .48543 L
F
.66997 .49715 m
.67208 .50486 L
.66997 .50723 L
.6659 .50486 L
F
.66997 .36249 m
.67586 .36888 L
.66997 .37805 L
.66593 .36888 L
F
.66997 .45932 m
.6731 .46601 L
.66997 .46975 L
.66593 .46601 L
F
.66997 .47843 m
.67254 .48543 L
.66997 .48841 L
.66598 .48543 L
F
.66997 .49729 m
.67199 .50486 L
.66997 .50713 L
.66601 .50486 L
F
.66997 .44024 m
.67353 .44658 L
.66997 .45104 L
.66602 .44658 L
F
.66997 .51581 m
.67145 .52428 L
.66997 .52591 L
.66603 .52428 L
F
.66997 .55271 m
.6755 .55342 L
.67033 .56313 L
.66997 .56351 L
.66604 .56313 L
.6694 .55342 L
F
.66997 .45947 m
.673 .46601 L
.66997 .46963 L
.66604 .46601 L
F
.66997 .47857 m
.67246 .48543 L
.66997 .48831 L
.66608 .48543 L
F
.66997 .42102 m
.67398 .42716 L
.66997 .43246 L
.66608 .42716 L
F
.66997 .40164 m
.67451 .40773 L
.66997 .41413 L
.66608 .40773 L
F
.66997 .53407 m
.67086 .54371 L
.66997 .54467 L
.66612 .54371 L
F
.66997 .49744 m
.67191 .50486 L
.66997 .50704 L
.66613 .50486 L
F
.66997 .45963 m
.6729 .46601 L
.66997 .46952 L
.66616 .46601 L
F
.66997 .44044 m
.67339 .44658 L
.66997 .45087 L
.66616 .44658 L
F
.66997 .47871 m
.67237 .48543 L
.66997 .48821 L
.66619 .48543 L
F
.66997 .51598 m
.67136 .52428 L
.66997 .5258 L
.6662 .52428 L
F
.66997 .49758 m
.67183 .50486 L
.66997 .50695 L
.66626 .50486 L
F
.66997 .45979 m
.6728 .46601 L
.66997 .4694 L
.66627 .46601 L
F
.66997 .47885 m
.67229 .48543 L
.66997 .48812 L
.6663 .48543 L
F
.66997 .44065 m
.67324 .44658 L
.66997 .4507 L
.66632 .44658 L
F
.66997 .42135 m
.67374 .42716 L
.66997 .43218 L
.66632 .42716 L
F
.66997 .51615 m
.67126 .52428 L
.66997 .52569 L
.66637 .52428 L
F
.66997 .49773 m
.67174 .50486 L
.66997 .50685 L
.66638 .50486 L
F
.66997 .45995 m
.67269 .46601 L
.66997 .46928 L
.66639 .46601 L
F
.66997 .38268 m
.67468 .38831 L
.66997 .39555 L
.6664 .38831 L
F
.66997 .47899 m
.6722 .48543 L
.66997 .48802 L
.66641 .48543 L
F
.66997 .53428 m
.67072 .54371 L
.66997 .54452 L
.66642 .54371 L
F
.66997 .44087 m
.6731 .44658 L
.66997 .45053 L
.66647 .44658 L
F
.66997 .49788 m
.67166 .50486 L
.66997 .50675 L
.66651 .50486 L
F
.66997 .46011 m
.67259 .46601 L
.66997 .46916 L
.66651 .46601 L
F
.66997 .40228 m
.67402 .40773 L
.66997 .41356 L
.66652 .40773 L
F
.66997 .47914 m
.67212 .48543 L
.66997 .48792 L
.66652 .48543 L
F
.66997 .51632 m
.67115 .52428 L
.66997 .52558 L
.66655 .52428 L
F
.66997 .42169 m
.67349 .42716 L
.66997 .43188 L
.66655 .42716 L
F
.66997 .44109 m
.67295 .44658 L
.66997 .45035 L
.66662 .44658 L
F
.66997 .46028 m
.67249 .46601 L
.66997 .46903 L
.66663 .46601 L
F
.66997 .47929 m
.67203 .48543 L
.66997 .48782 L
.66663 .48543 L
F
.66997 .49804 m
.67157 .50486 L
.66997 .50665 L
.66664 .50486 L
F
.66997 .5165 m
.67105 .52428 L
.66997 .52547 L
.66673 .52428 L
F
.66997 .53449 m
.67058 .54371 L
.66997 .54436 L
.66674 .54371 L
F
.66997 .47944 m
.67194 .48543 L
.66997 .48772 L
.66675 .48543 L
F
.66997 .46045 m
.67238 .46601 L
.66997 .46891 L
.66676 .46601 L
F
.66997 .55286 m
.67512 .55342 L
.67009 .56313 L
.66997 .56326 L
.66677 .56313 L
.66952 .55342 L
F
.66997 .4982 m
.67148 .50486 L
.66997 .50655 L
.66677 .50486 L
F
.66997 .44131 m
.6728 .44658 L
.66997 .45017 L
.66678 .44658 L
F
.66997 .42204 m
.67324 .42716 L
.66997 .43158 L
.6668 .42716 L
F
.66997 .4796 m
.67185 .48543 L
.66997 .48761 L
.66687 .48543 L
F
.66997 .46062 m
.67228 .46601 L
.66997 .46879 L
.66688 .46601 L
F
.66997 .49836 m
.67139 .50486 L
.66997 .50645 L
.66691 .50486 L
F
.66997 .51669 m
.67095 .52428 L
.66997 .52535 L
.66693 .52428 L
F
.66997 .44153 m
.67265 .44658 L
.66997 .44999 L
.66694 .44658 L
F
.66997 .40293 m
.67352 .40773 L
.66997 .41295 L
.66697 .40773 L
F
.66997 .62723 m
.67692 .63112 L
.66997 .64038 L
.66698 .63112 L
F
.66997 .47976 m
.67176 .48543 L
.66997 .48751 L
.66699 .48543 L
F
.66997 .46079 m
.67217 .46601 L
.66997 .46866 L
.66701 .46601 L
F
.66997 .4224 m
.67298 .42716 L
.66997 .43126 L
.66705 .42716 L
F
.66997 .49853 m
.6713 .50486 L
.66997 .50635 L
.66705 .50486 L
F
.66997 .53471 m
.67044 .54371 L
.66997 .5442 L
.66711 .54371 L
F
.66997 .44176 m
.6725 .44658 L
.66997 .4498 L
.66711 .44658 L
F
.66997 .47992 m
.67167 .48543 L
.66997 .4874 L
.66711 .48543 L
F
.66997 .51688 m
.67084 .52428 L
.66997 .52523 L
.66713 .52428 L
F
.66997 .46097 m
.67206 .46601 L
.66997 .46853 L
.66714 .46601 L
F
.66997 .4987 m
.67121 .50486 L
.66997 .50625 L
.66719 .50486 L
F
.66997 .48008 m
.67158 .48543 L
.66997 .4873 L
.66724 .48543 L
F
.66997 .46115 m
.67195 .46601 L
.66997 .4684 L
.66727 .46601 L
F
.66997 .442 m
.67234 .44658 L
.66997 .44961 L
.66728 .44658 L
F
.66997 .42277 m
.67272 .42716 L
.66997 .43093 L
.66731 .42716 L
F
.66997 .49888 m
.67112 .50486 L
.66997 .50615 L
.66734 .50486 L
F
.66997 .51709 m
.67073 .52428 L
.66997 .52512 L
.66735 .52428 L
F
.66997 .48026 m
.67149 .48543 L
.66997 .48719 L
.66737 .48543 L
F
.66997 .46134 m
.67184 .46601 L
.66997 .46826 L
.66741 .46601 L
F
.66997 .38418 m
.67346 .38831 L
.66997 .39415 L
.66741 .38831 L
F
.66997 .40362 m
.67299 .40773 L
.66997 .41229 L
.66744 .40773 L
F
.66997 .44225 m
.67218 .44658 L
.66997 .44941 L
.66745 .44658 L
F
.66997 .48043 m
.67139 .48543 L
.66997 .48708 L
.6675 .48543 L
F
.66997 .49907 m
.67103 .50486 L
.66997 .50604 L
.6675 .50486 L
F
.66997 .53495 m
.67029 .54371 L
.66997 .54404 L
.66753 .54371 L
F
.66997 .46154 m
.67172 .46601 L
.66997 .46813 L
.66755 .46601 L
F
.66997 .42315 m
.67245 .42716 L
.66997 .43059 L
.66757 .42716 L
F
.66997 .5173 m
.67062 .52428 L
.66997 .52499 L
.66758 .52428 L
F
.66997 .4425 m
.67201 .44658 L
.66997 .44921 L
.66763 .44658 L
F
.66997 .48061 m
.6713 .48543 L
.66997 .48697 L
.66763 .48543 L
F
.66997 .49926 m
.67093 .50486 L
.66997 .50593 L
.66766 .50486 L
F
.66997 .46173 m
.6716 .46601 L
.66997 .46799 L
.66769 .46601 L
F
.66997 .4808 m
.6712 .48543 L
.66997 .48685 L
.66777 .48543 L
F
.68939 .15417 m
.69911 .15349 L
.70882 .15316 L
.71853 .153 L
.72824 .15292 L
.73796 .15289 L
.74767 .1529 L
.75738 .15295 L
.76709 .15307 L
.77681 .1533 L
.78652 .15376 L
.79623 .1548 L
.79849 .15521 L
.80594 .15765 L
.81299 .16492 L
.81098 .17463 L
.80594 .17813 L
.79623 .18074 L
.78652 .18169 L
.77681 .1821 L
.76709 .1823 L
.75738 .1824 L
.74767 .18245 L
.73796 .18246 L
.72824 .18243 L
.71853 .18236 L
.70882 .18222 L
.69911 .18193 L
.68939 .18132 L
.67968 .1798 L
.66997 .17471 L
.66989 .17463 L
.66778 .16492 L
.66997 .16134 L
.67968 .15584 L
.6823 .15521 L
F
.66997 .44276 m
.67185 .44658 L
.66997 .449 L
.66781 .44658 L
F
.66997 .49946 m
.67084 .50486 L
.66997 .50583 L
.66783 .50486 L
F
.66997 .46194 m
.67149 .46601 L
.66997 .46785 L
.66783 .46601 L
F
.66997 .51752 m
.67051 .52428 L
.66997 .52487 L
.66783 .52428 L
F
.66997 .42355 m
.67216 .42716 L
.66997 .43023 L
.66785 .42716 L
F
.66997 .48099 m
.6711 .48543 L
.66997 .48674 L
.66792 .48543 L
F
.66997 .60909 m
.67599 .61169 L
.66997 .62011 L
.66794 .61169 L
F
.66997 .40436 m
.67242 .40773 L
.66997 .41157 L
.66795 .40773 L
F
.66997 .46215 m
.67137 .46601 L
.66997 .4677 L
.66799 .46601 L
F
.66997 .44303 m
.67167 .44658 L
.66997 .44879 L
.668 .44658 L
F
.66997 .49967 m
.67074 .50486 L
.66997 .50572 L
.66801 .50486 L
F
.66997 .5352 m
.67013 .54371 L
.66997 .54388 L
.66807 .54371 L
F
.66997 .4812 m
.671 .48543 L
.66997 .48662 L
.66807 .48543 L
F
.66997 .34636 m
.67355 .34946 L
.66997 .35733 L
.66811 .34946 L
F
.66997 .51775 m
.6704 .52428 L
.66997 .52475 L
.66811 .52428 L
F
.66997 .42397 m
.67187 .42716 L
.66997 .42985 L
.66814 .42716 L
F
.66997 .46238 m
.67124 .46601 L
.66997 .46755 L
.66814 .46601 L
F
.66997 .49989 m
.67064 .50486 L
.66997 .5056 L
.66819 .50486 L
F
.66997 .44332 m
.6715 .44658 L
.66997 .44857 L
.66819 .44658 L
F
.66997 .59004 m
.67633 .59227 L
.66997 .60156 L
.6682 .59227 L
F
.66997 .48141 m
.67089 .48543 L
.66997 .4865 L
.66822 .48543 L
F
.66997 .46261 m
.67112 .46601 L
.66997 .4674 L
.6683 .46601 L
F
.66997 .48164 m
.67079 .48543 L
.66997 .48638 L
.66839 .48543 L
F
.66997 .50012 m
.67054 .50486 L
.66997 .50549 L
.66839 .50486 L
F
.66997 .44362 m
.67131 .44658 L
.66997 .44834 L
.6684 .44658 L
F
.66997 .518 m
.67028 .52428 L
.66997 .52462 L
.66843 .52428 L
F
.66997 .42443 m
.67155 .42716 L
.66997 .42944 L
.66844 .42716 L
F
.66997 .46286 m
.67099 .46601 L
.66997 .46725 L
.66847 .46601 L
F
.66997 .40518 m
.6718 .40773 L
.66997 .41074 L
.66849 .40773 L
F
.66997 .38589 m
.67205 .38831 L
.66997 .39235 L
.66854 .38831 L
F
.66997 .48187 m
.67068 .48543 L
.66997 .48626 L
.66856 .48543 L
F
.66997 .59051 m
.67552 .59227 L
.66997 .60062 L
.66858 .59227 L
F
.66997 .44394 m
.67112 .44658 L
.66997 .4481 L
.66861 .44658 L
F
.66997 .50037 m
.67043 .50486 L
.66997 .50537 L
.66861 .50486 L
F
.66997 .64858 m
.67342 .65054 L
.66997 .65536 L
.66864 .65054 L
F
.66997 .46312 m
.67085 .46601 L
.66997 .46709 L
.66865 .46601 L
F
.66997 .36673 m
.6722 .36888 L
.66997 .37422 L
.66868 .36888 L
F
.66997 .48213 m
.67057 .48543 L
.66997 .48613 L
.66874 .48543 L
F
.66997 .57132 m
.67607 .57284 L
.66997 .58255 L
.66876 .57284 L
F
.66997 .42492 m
.67122 .42716 L
.66997 .429 L
.66876 .42716 L
F
.66997 .51826 m
.67016 .52428 L
.66997 .52449 L
.66881 .52428 L
F
.66997 .4634 m
.67072 .46601 L
.66997 .46692 L
.66883 .46601 L
F
.66997 .44429 m
.67092 .44658 L
.66997 .44785 L
.66883 .44658 L
F
.66997 .50064 m
.67033 .50486 L
.66997 .50525 L
.66885 .50486 L
F
.66997 .61023 m
.67415 .61169 L
.66997 .61795 L
.66886 .61169 L
F
.66997 .48241 m
.67046 .48543 L
.66997 .486 L
.66893 .48543 L
F
.66997 .57157 m
.67559 .57284 L
.66997 .58205 L
.66895 .57284 L
F
.66997 .53546 m
.66997 .54371 L
.66997 .54371 L
.66897 .54371 L
F
.66997 .591 m
.67462 .59227 L
.66997 .59961 L
.66898 .59227 L
F
.66997 .46371 m
.67057 .46601 L
.66997 .46675 L
.66903 .46601 L
F
.66997 .44467 m
.67072 .44658 L
.66997 .44758 L
.66907 .44658 L
F
.66997 .40612 m
.67109 .40773 L
.66997 .40974 L
.66909 .40773 L
F
.66997 .42548 m
.67086 .42716 L
.66997 .42851 L
.66911 .42716 L
F
.66997 .50094 m
.67022 .50486 L
.66997 .50513 L
.66912 .50486 L
F
.66997 .48272 m
.67034 .48543 L
.66997 .48587 L
.66914 .48543 L
F
.66997 .57182 m
.67508 .57284 L
.66997 .58151 L
.66915 .57284 L
F
.66997 .46406 m
.67043 .46601 L
.66997 .46657 L
.66924 .46601 L
F
.66997 .44511 m
.6705 .44658 L
.66997 .44729 L
.66933 .44658 L
F
.66997 .51855 m
.67004 .52428 L
.66997 .52436 L
.66934 .52428 L
F
.66997 .57207 m
.67451 .57284 L
.66997 .58093 L
.66936 .57284 L
F
.66997 .48308 m
.67023 .48543 L
.66997 .48573 L
.66937 .48543 L
F
.66997 .59152 m
.67356 .59227 L
.66997 .59845 L
.66939 .59227 L
F
.66997 .50127 m
.67011 .50486 L
.66997 .50501 L
.66944 .50486 L
F
.66997 .46447 m
.67028 .46601 L
.66997 .46639 L
.66946 .46601 L
F
.66997 .42614 m
.67047 .42716 L
.66997 .42794 L
.66949 .42716 L
F
.66997 .63054 m
.67188 .63112 L
.66997 .63438 L
.66957 .63112 L
F
.66997 .57234 m
.67387 .57284 L
.66997 .58031 L
.66957 .57284 L
F
.66997 .44564 m
.67026 .44658 L
.66997 .44698 L
.66961 .44658 L
F
.66997 .48352 m
.6701 .48543 L
.66997 .48559 L
.66964 .48543 L
F
.66997 .55302 m
.6747 .55342 L
.66997 .56296 L
.66965 .55342 L
F
.66997 .46501 m
.67012 .46601 L
.66997 .46619 L
.66971 .46601 L
F
.66997 .55318 m
.67424 .55342 L
.66997 .56261 L
.66978 .55342 L
F
.66997 .40735 m
.67022 .40773 L
.66997 .40829 L
.66979 .40773 L
F
.66997 .57261 m
.67307 .57284 L
.66997 .57961 L
.66979 .57284 L
F
.66997 .59209 m
.67203 .59227 L
.66997 .59698 L
.66983 .59227 L
F
.66997 .50167 m
.66999 .50486 L
.66997 .50488 L
.66986 .50486 L
F
.66997 .61157 m
.67113 .61169 L
.66997 .61474 L
.66988 .61169 L
F
.66997 .55334 m
.67369 .55342 L
.66997 .56223 L
.6699 .55342 L
F
.66997 .44641 m
.67001 .44658 L
.66997 .44664 L
.66992 .44658 L
F
.66997 .42705 m
.67001 .42716 L
.66997 .42723 L
.66993 .42716 L
F
.66997 .4842 m
.66998 .48543 L
.66997 .48544 L
.66995 .48543 L
F
.66997 .38827 m
.67 .38831 L
.66997 .38857 L
.66995 .38831 L
F
.67968 .46404 m
.68516 .46601 L
.68087 .47572 L
.67968 .47674 L
.66998 .47572 L
.67846 .46601 L
F
.67968 .44441 m
.68634 .44658 L
.68218 .45629 L
.67968 .45847 L
.67006 .45629 L
.67833 .44658 L
F
.67968 .42456 m
.68808 .42716 L
.6834 .43687 L
.67968 .44016 L
.67007 .43687 L
.67809 .42716 L
F
.68939 .39338 m
.69579 .39802 L
.69059 .40773 L
.68939 .40849 L
.68451 .41744 L
.67968 .42179 L
.67009 .41744 L
.67775 .40773 L
.67968 .40451 L
.68688 .39802 L
F
.67968 .4642 m
.68491 .46601 L
.68072 .47572 L
.67968 .47661 L
.67017 .47572 L
.67856 .46601 L
F
.67968 .44464 m
.68599 .44658 L
.682 .45629 L
.67968 .45831 L
.67028 .45629 L
.67848 .44658 L
F
.67968 .46436 m
.68466 .46601 L
.68056 .47572 L
.67968 .47647 L
.67037 .47572 L
.67866 .46601 L
F
.67968 .42496 m
.68746 .42716 L
.68314 .43687 L
.67968 .43992 L
.67039 .43687 L
.67833 .42716 L
F
.67968 .44488 m
.68562 .44658 L
.68182 .45629 L
.67968 .45815 L
.67052 .45629 L
.67862 .44658 L
F
.67968 .46453 m
.68441 .46601 L
.68041 .47572 L
.67968 .47634 L
.67057 .47572 L
.67877 .46601 L
F
.67968 .40534 m
.6891 .40773 L
.68404 .41744 L
.67968 .42138 L
.67065 .41744 L
.67823 .40773 L
F
.67968 .42536 m
.68681 .42716 L
.68287 .43687 L
.67968 .43969 L
.67073 .43687 L
.67857 .42716 L
F
.67968 .44511 m
.68523 .44658 L
.68163 .45629 L
.67968 .45799 L
.67076 .45629 L
.67877 .44658 L
F
.67968 .4647 m
.68414 .46601 L
.68025 .47572 L
.67968 .47621 L
.67078 .47572 L
.67887 .46601 L
F
.72824 .21345 m
.73796 .21342 L
.74767 .21343 L
.75682 .21348 L
.75738 .21349 L
.76709 .21362 L
.77681 .21388 L
.78652 .21442 L
.79623 .21564 L
.80594 .21917 L
.81002 .22319 L
.80871 .23291 L
.80594 .23549 L
.79623 .23962 L
.78652 .24119 L
.77681 .24192 L
.76709 .2423 L
.75738 .24249 L
.74767 .24258 L
.73796 .24259 L
.72824 .24254 L
.71853 .24241 L
.70882 .24214 L
.69911 .24162 L
.68939 .24056 L
.67968 .23812 L
.67211 .23291 L
.67083 .22319 L
.67968 .21689 L
.68939 .21489 L
.69911 .2141 L
.70882 .21373 L
.71853 .21354 L
.72324 .21348 L
F
.68939 .37445 m
.6959 .37859 L
.69132 .38831 L
.68939 .38952 L
.68488 .39802 L
.67968 .40283 L
.67088 .39802 L
.67805 .38831 L
.67968 .38558 L
.6872 .37859 L
F
.67968 .46487 m
.68385 .46601 L
.68009 .47572 L
.67968 .47607 L
.67101 .47572 L
.67898 .46601 L
F
.67968 .44535 m
.68482 .44658 L
.68145 .45629 L
.67968 .45782 L
.67102 .45629 L
.67892 .44658 L
F
.67968 .42577 m
.68612 .42716 L
.6826 .43687 L
.67968 .43945 L
.67108 .43687 L
.67882 .42716 L
F
.67968 .40617 m
.68771 .40773 L
.68357 .41744 L
.67968 .42096 L
.67123 .41744 L
.67872 .40773 L
F
.67968 .46504 m
.68355 .46601 L
.67993 .47572 L
.67968 .47593 L
.67124 .47572 L
.67909 .46601 L
F
.67968 .4456 m
.68438 .44658 L
.68126 .45629 L
.67968 .45766 L
.67128 .45629 L
.67907 .44658 L
F
.68939 .06716 m
.69911 .06516 L
.70882 .06409 L
.71853 .06351 L
.72824 .06322 L
.73796 .06311 L
.74767 .06315 L
.75738 .06334 L
.76709 .06376 L
.77681 .06454 L
.78652 .066 L
.79328 .06779 L
.79623 .06867 L
.80594 .07381 L
.80933 .07751 L
.80594 .08616 L
.80388 .08722 L
.79623 .08907 L
.78652 .09027 L
.77681 .09087 L
.76709 .09118 L
.75738 .09135 L
.74767 .09142 L
.73796 .09143 L
.72824 .09139 L
.71853 .09128 L
.70882 .09105 L
.69911 .09062 L
.68939 .08978 L
.67968 .08804 L
.67689 .08722 L
.67143 .07751 L
.67968 .07071 L
.6877 .06779 L
F
.67968 .42618 m
.68537 .42716 L
.68233 .43687 L
.67968 .43921 L
.67145 .43687 L
.67908 .42716 L
F
.67968 .46521 m
.68323 .46601 L
.67976 .47572 L
.67968 .47579 L
.6715 .47572 L
.67919 .46601 L
F
.67968 .44585 m
.6839 .44658 L
.68107 .45629 L
.67968 .45749 L
.67156 .45629 L
.67923 .44658 L
F
.69911 .12487 m
.70882 .12403 L
.71853 .12359 L
.72824 .12336 L
.73796 .12328 L
.74767 .12331 L
.75738 .12345 L
.76709 .12377 L
.77681 .12438 L
.78652 .12554 L
.78914 .12607 L
.79623 .12775 L
.80594 .13252 L
.80911 .13578 L
.80594 .14507 L
.80514 .14549 L
.79623 .14871 L
.78652 .15029 L
.77681 .15109 L
.76709 .1515 L
.75738 .15171 L
.74767 .15181 L
.73796 .15183 L
.72824 .15177 L
.71853 .15162 L
.70882 .15132 L
.69911 .15075 L
.68939 .14964 L
.67968 .14733 L
.67542 .14549 L
.67165 .13578 L
.67968 .12962 L
.68939 .12646 L
.69142 .12607 L
F
.69911 .15416 m
.70882 .15362 L
.71853 .15334 L
.72824 .1532 L
.73796 .15315 L
.74767 .15317 L
.75738 .15326 L
.76709 .15346 L
.77681 .15384 L
.78652 .15461 L
.79094 .15521 L
.79623 .1563 L
.80594 .16097 L
.809 .16492 L
.80655 .17463 L
.80594 .17513 L
.79623 .17941 L
.78652 .18093 L
.77681 .18162 L
.76709 .18196 L
.75738 .18213 L
.74767 .18221 L
.73796 .18223 L
.72824 .18218 L
.71853 .18206 L
.70882 .18182 L
.69911 .18134 L
.68939 .18033 L
.67968 .1779 L
.67418 .17463 L
.67183 .16492 L
.67968 .15795 L
.68939 .15528 L
.68983 .15521 L
F
.67968 .42661 m
.6845 .42716 L
.68205 .43687 L
.67968 .43896 L
.67183 .43687 L
.67934 .42716 L
F
.67968 .40701 m
.68613 .40773 L
.6831 .41744 L
.67968 .42053 L
.67184 .41744 L
.67923 .40773 L
F
.67968 .4461 m
.68335 .44658 L
.68087 .45629 L
.67968 .45732 L
.67186 .45629 L
.67939 .44658 L
F
.67968 .38761 m
.68769 .38831 L
.68389 .39802 L
.67968 .40194 L
.67207 .39802 L
.67925 .38831 L
F
.67968 .44636 m
.68269 .44658 L
.68067 .45629 L
.67968 .45714 L
.67217 .45629 L
.67955 .44658 L
F
.68939 .35882 m
.6915 .35917 L
.68995 .36888 L
.68939 .36923 L
.68469 .37859 L
.67968 .38344 L
.67219 .37859 L
.67912 .36888 L
.67968 .36798 L
.68923 .35917 L
F
.67968 .42704 m
.6834 .42716 L
.68177 .43687 L
.67968 .43871 L
.67224 .43687 L
.67961 .42716 L
F
.67968 .40787 m
.68262 .41744 L
.67968 .4201 L
.67249 .41744 L
F
.67968 .44665 m
.68047 .45629 L
.67968 .45697 L
.6725 .45629 L
F
.67968 .42753 m
.68149 .43687 L
.67968 .43845 L
.67267 .43687 L
F
.67968 .44702 m
.68026 .45629 L
.67968 .45679 L
.67287 .45629 L
F
.67968 .42806 m
.68119 .43687 L
.67968 .43819 L
.67313 .43687 L
F
.67968 .40872 m
.68212 .41744 L
.67968 .41964 L
.6732 .41744 L
F
.67968 .44742 m
.68004 .45629 L
.67968 .4566 L
.67326 .45629 L
F
.70882 .18423 m
.71853 .18387 L
.72824 .18368 L
.73796 .18362 L
.74767 .18364 L
.75738 .18376 L
.76709 .18402 L
.77412 .18434 L
.77681 .18452 L
.78652 .18552 L
.79623 .18755 L
.80594 .19245 L
.80745 .19406 L
.80594 .20219 L
.80398 .20377 L
.79623 .2077 L
.78652 .20991 L
.77681 .21101 L
.76709 .21158 L
.75738 .21188 L
.74767 .21202 L
.73796 .21205 L
.72824 .21197 L
.71853 .21176 L
.70882 .21134 L
.69911 .21055 L
.68939 .209 L
.67968 .20576 L
.67637 .20377 L
.67332 .19406 L
.67968 .18937 L
.68939 .18635 L
.69911 .18494 L
.70667 .18434 L
F
.67968 .38941 m
.68288 .39802 L
.67968 .40101 L
.67337 .39802 L
F
.67968 .42862 m
.68089 .43687 L
.67968 .43792 L
.67364 .43687 L
F
.67968 .44785 m
.67982 .45629 L
.67968 .45641 L
.67371 .45629 L
F
.67968 .40963 m
.6816 .41744 L
.67968 .41917 L
.67397 .41744 L
F
.67968 .42923 m
.68057 .43687 L
.67968 .43764 L
.67421 .43687 L
F
.67968 .59354 m
.68688 .60198 L
.67968 .61121 L
.67444 .60198 L
F
.67968 .41062 m
.68106 .41744 L
.67968 .41868 L
.67486 .41744 L
F
.67968 .39122 m
.6818 .39802 L
.67968 .4 L
.67486 .39802 L
F
.67968 .42989 m
.68025 .43687 L
.67968 .43736 L
.67487 .43687 L
F
.67968 .27836 m
.68939 .27584 L
.69911 .27489 L
.70882 .27445 L
.71853 .27423 L
.72824 .27413 L
.73796 .27409 L
.74767 .2741 L
.75738 .27417 L
.76709 .27433 L
.77681 .27463 L
.78652 .27527 L
.79623 .27676 L
.80578 .28147 L
.80503 .29118 L
.79623 .29719 L
.78652 .29976 L
.77802 .30089 L
.77681 .30103 L
.76709 .30182 L
.75738 .30224 L
.74767 .30244 L
.73796 .30247 L
.72824 .30236 L
.71853 .30206 L
.70882 .3015 L
.70274 .30089 L
.69911 .30048 L
.68939 .2987 L
.67968 .29487 L
.67587 .29118 L
.67492 .28147 L
F
.68939 .09691 m
.69911 .09498 L
.70882 .09401 L
.71853 .09351 L
.72824 .09325 L
.73796 .09315 L
.74767 .09319 L
.75738 .09335 L
.76709 .09372 L
.77681 .09442 L
.78652 .09577 L
.79141 .09693 L
.79623 .09849 L
.80581 .10664 L
.80181 .11636 L
.79623 .11853 L
.78652 .12024 L
.77681 .12099 L
.76709 .12135 L
.75738 .12154 L
.74767 .12163 L
.73796 .12164 L
.72824 .12159 L
.71853 .12146 L
.70882 .1212 L
.69911 .12068 L
.68939 .11958 L
.67968 .11673 L
.67896 .11636 L
.67494 .10664 L
.67968 .10106 L
.68931 .09693 L
F
.67968 .61318 m
.68556 .62141 L
.67968 .62879 L
.67494 .62141 L
F
.67968 .57512 m
.68684 .58256 L
.67968 .59189 L
.67502 .58256 L
F
.67968 .59451 m
.68588 .60198 L
.67968 .60989 L
.67521 .60198 L
F
.69911 .15483 m
.70882 .15407 L
.71853 .15368 L
.72824 .15349 L
.73796 .15341 L
.74767 .15344 L
.75738 .15356 L
.76709 .15384 L
.77681 .15439 L
.78472 .15521 L
.78652 .15547 L
.79623 .15785 L
.80543 .16492 L
.80276 .17463 L
.79623 .17802 L
.78652 .18017 L
.77681 .18113 L
.76709 .18162 L
.75738 .18186 L
.74767 .18198 L
.73796 .182 L
.72824 .18193 L
.71853 .18176 L
.70882 .18141 L
.69911 .18074 L
.68939 .17933 L
.67968 .17581 L
.67797 .17463 L
.6753 .16492 L
.67968 .16028 L
.68939 .1564 L
.69605 .15521 L
F
.67968 .57558 m
.68636 .58256 L
.67968 .59126 L
.67536 .58256 L
F
.67968 .37237 m
.6821 .37859 L
.67968 .38099 L
.67538 .37859 L
F
.67968 .55668 m
.68672 .56313 L
.67968 .57257 L
.67559 .56313 L
F
.67968 .43065 m
.6799 .43687 L
.67968 .43706 L
.6757 .43687 L
F
.67968 .57605 m
.68589 .58256 L
.67968 .59065 L
.6757 .58256 L
F
.67968 .55693 m
.68646 .56313 L
.67968 .57222 L
.67577 .56313 L
F
.67968 .21977 m
.68939 .21625 L
.69911 .21489 L
.70882 .21425 L
.71853 .21393 L
.72824 .21377 L
.73796 .21371 L
.74767 .21373 L
.75738 .21384 L
.76709 .21407 L
.77681 .21452 L
.78652 .21543 L
.79623 .21753 L
.8048 .22319 L
.80297 .23291 L
.79623 .2372 L
.78652 .23982 L
.77681 .24104 L
.76709 .24166 L
.75738 .24198 L
.74767 .24213 L
.73796 .24216 L
.72824 .24207 L
.71853 .24185 L
.70882 .2414 L
.69911 .24053 L
.68939 .23878 L
.67968 .23456 L
.67775 .23291 L
.67592 .22319 L
F
.67968 .41177 m
.68048 .41744 L
.67968 .41815 L
.67595 .41744 L
F
.67968 .55719 m
.68619 .56313 L
.67968 .57187 L
.67596 .56313 L
F
.67968 .59556 m
.68487 .60198 L
.67968 .60859 L
.67601 .60198 L
F
.67968 .57654 m
.68541 .58256 L
.67968 .59003 L
.67605 .58256 L
F
.67968 .63334 m
.68362 .64083 L
.67968 .64566 L
.67612 .64083 L
F
.67968 .55745 m
.68592 .56313 L
.67968 .57153 L
.67614 .56313 L
F
.67968 .53821 m
.68653 .54371 L
.67968 .55327 L
.67618 .54371 L
F
.67968 .53837 m
.68635 .54371 L
.67968 .55304 L
.67629 .54371 L
F
.67968 .55771 m
.68565 .56313 L
.67968 .57118 L
.67632 .56313 L
F
.67968 .53854 m
.68617 .54371 L
.67968 .55281 L
.67641 .54371 L
F
.67968 .57704 m
.68492 .58256 L
.67968 .5894 L
.67641 .58256 L
F
.67968 .55798 m
.68538 .56313 L
.67968 .57083 L
.67651 .56313 L
F
.67968 .5387 m
.68599 .54371 L
.67968 .55258 L
.67652 .54371 L
F
.67968 .53887 m
.68581 .54371 L
.67968 .55235 L
.67664 .54371 L
F
.67968 .55825 m
.6851 .56313 L
.67968 .57047 L
.6767 .56313 L
F
.67968 .25015 m
.68939 .24681 L
.69911 .24539 L
.70882 .2447 L
.71853 .24434 L
.72824 .24416 L
.73796 .24409 L
.74767 .24412 L
.75738 .24423 L
.76709 .24449 L
.77681 .24499 L
.78652 .24597 L
.79623 .24808 L
.80351 .25233 L
.80082 .26204 L
.79623 .2655 L
.78652 .26871 L
.77681 .2703 L
.76709 .27114 L
.75738 .27159 L
.75049 .27176 L
.74767 .2718 L
.73796 .27185 L
.73028 .27176 L
.72824 .27172 L
.71853 .2714 L
.70882 .27079 L
.69911 .26963 L
.68939 .26741 L
.67968 .26249 L
.67916 .26204 L
.67675 .25233 L
F
.67968 .53904 m
.68562 .54371 L
.67968 .55211 L
.67675 .54371 L
F
.67968 .57757 m
.68442 .58256 L
.67968 .58876 L
.67678 .58256 L
F
.67968 .39344 m
.68059 .39802 L
.67968 .39886 L
.67683 .39802 L
F
.67968 .59673 m
.68381 .60198 L
.67968 .60724 L
.67685 .60198 L
F
.67968 .51982 m
.68614 .52428 L
.67968 .53388 L
.67685 .52428 L
F
.67968 .53921 m
.68544 .54371 L
.67968 .55188 L
.67687 .54371 L
F
.67968 .55853 m
.68482 .56313 L
.67968 .57011 L
.67689 .56313 L
F
.67968 .51994 m
.68599 .52428 L
.67968 .5337 L
.67693 .52428 L
F
.67968 .53939 m
.68525 .54371 L
.67968 .55164 L
.67699 .54371 L
F
.67968 .52007 m
.68584 .52428 L
.67968 .53352 L
.67702 .52428 L
F
.67968 .35517 m
.68133 .35917 L
.67968 .361 L
.67706 .35917 L
F
.67968 .55882 m
.68453 .56313 L
.67968 .56974 L
.67708 .56313 L
F
.67968 .5202 m
.6857 .52428 L
.67968 .53334 L
.6771 .52428 L
F
.67968 .53956 m
.68506 .54371 L
.67968 .5514 L
.67711 .54371 L
F
.67968 .57812 m
.6839 .58256 L
.67968 .5881 L
.67715 .58256 L
F
.67968 .52033 m
.68555 .52428 L
.67968 .53315 L
.67719 .52428 L
F
.67968 .61609 m
.6829 .62141 L
.67968 .62541 L
.6772 .62141 L
F
.67968 .53974 m
.68487 .54371 L
.67968 .55115 L
.67722 .54371 L
F
.67968 .52046 m
.6854 .52428 L
.67968 .53296 L
.67727 .52428 L
F
.67968 .55911 m
.68424 .56313 L
.67968 .56937 L
.67728 .56313 L
F
.67968 .53992 m
.68468 .54371 L
.67968 .55091 L
.67734 .54371 L
F
.67968 .52059 m
.68525 .52428 L
.67968 .53278 L
.67736 .52428 L
F
.67968 .52072 m
.6851 .52428 L
.67968 .53259 L
.67745 .52428 L
F
.67968 .5401 m
.68448 .54371 L
.67968 .55065 L
.67747 .54371 L
F
.69911 .12588 m
.70882 .12472 L
.71853 .12411 L
.72824 .1238 L
.73796 .12368 L
.74767 .12372 L
.75738 .12392 L
.76709 .12436 L
.77681 .12521 L
.78268 .12607 L
.78652 .1268 L
.79623 .13002 L
.80275 .13578 L
.79828 .14549 L
.79623 .14694 L
.78652 .14938 L
.77681 .15052 L
.76709 .1511 L
.75738 .1514 L
.74767 .15153 L
.73796 .15156 L
.72824 .15148 L
.71853 .15127 L
.70882 .15085 L
.69911 .15005 L
.68939 .14841 L
.68155 .14549 L
.67968 .14417 L
.67747 .13578 L
.67968 .13321 L
.68939 .1281 L
.69807 .12607 L
F
.67968 .5594 m
.68394 .56313 L
.67968 .56899 L
.67748 .56313 L
F
.67968 .52085 m
.68494 .52428 L
.67968 .53239 L
.67754 .52428 L
F
.67968 .5787 m
.68336 .58256 L
.67968 .58741 L
.67754 .58256 L
F
.67968 .50148 m
.68556 .50486 L
.67968 .5145 L
.67756 .50486 L
F
.67968 .54028 m
.68428 .54371 L
.67968 .5504 L
.67759 .54371 L
F
.67968 .41329 m
.67984 .41744 L
.67968 .41758 L
.67762 .41744 L
F
.67968 .52099 m
.68479 .52428 L
.67968 .5322 L
.67763 .52428 L
F
.67968 .5016 m
.68542 .50486 L
.67968 .51433 L
.67763 .50486 L
F
.71853 .18417 m
.72824 .18394 L
.73796 .18385 L
.74767 .18388 L
.75738 .18403 L
.76669 .18434 L
.76709 .18436 L
.77681 .18503 L
.78652 .18634 L
.79623 .18915 L
.80249 .19406 L
.79919 .20377 L
.79623 .20602 L
.78652 .20902 L
.77681 .21044 L
.76709 .21118 L
.75738 .21156 L
.74767 .21174 L
.73796 .21178 L
.72824 .21167 L
.71853 .21141 L
.70882 .21087 L
.69911 .20985 L
.68939 .20782 L
.68075 .20377 L
.67968 .20286 L
.67766 .19406 L
.67968 .192 L
.68939 .18746 L
.69911 .18557 L
.70882 .18464 L
.71405 .18434 L
F
.67968 .55971 m
.68363 .56313 L
.67968 .56859 L
.67768 .56313 L
F
.67968 .50172 m
.68527 .50486 L
.67968 .51416 L
.67771 .50486 L
F
.67968 .54047 m
.68408 .54371 L
.67968 .55014 L
.67771 .54371 L
F
.67968 .52112 m
.68463 .52428 L
.67968 .532 L
.67772 .52428 L
F
.67968 .59808 m
.68264 .60198 L
.67968 .60576 L
.67775 .60198 L
F
.67968 .50184 m
.68513 .50486 L
.67968 .51399 L
.67779 .50486 L
F
.67968 .52126 m
.68447 .52428 L
.67968 .53179 L
.67781 .52428 L
F
.67968 .54066 m
.68387 .54371 L
.67968 .54987 L
.67784 .54371 L
F
.67968 .50196 m
.68498 .50486 L
.67968 .51381 L
.67786 .50486 L
F
.67968 .56003 m
.68331 .56313 L
.67968 .56818 L
.67789 .56313 L
F
.67968 .5214 m
.68431 .52428 L
.67968 .53159 L
.6779 .52428 L
F
.67968 .50208 m
.68483 .50486 L
.67968 .51363 L
.67794 .50486 L
F
.67968 .57933 m
.68278 .58256 L
.67968 .58667 L
.67795 .58256 L
F
.67968 .54086 m
.68366 .54371 L
.67968 .54959 L
.67797 .54371 L
F
.67968 .52154 m
.68414 .52428 L
.67968 .53138 L
.67799 .52428 L
F
.67968 .5022 m
.68467 .50486 L
.67968 .51345 L
.67802 .50486 L
F
.67968 .52168 m
.68397 .52428 L
.67968 .53116 L
.67809 .52428 L
F
.67968 .54106 m
.68344 .54371 L
.67968 .54931 L
.6781 .54371 L
F
.67968 .56036 m
.68298 .56313 L
.67968 .56775 L
.6781 .56313 L
F
.67968 .50232 m
.68452 .50486 L
.67968 .51327 L
.6781 .50486 L
F
.67968 .52183 m
.6838 .52428 L
.67968 .53094 L
.67818 .52428 L
F
.67968 .50245 m
.68436 .50486 L
.67968 .51308 L
.67818 .50486 L
F
.67968 .54126 m
.68321 .54371 L
.67968 .54902 L
.67823 .54371 L
F
.67968 .50257 m
.6842 .50486 L
.67968 .51288 L
.67826 .50486 L
F
.67968 .52198 m
.68362 .52428 L
.67968 .53072 L
.67827 .52428 L
F
.67968 .56071 m
.68262 .56313 L
.67968 .56729 L
.67832 .56313 L
F
.67968 .5027 m
.68403 .50486 L
.67968 .51269 L
.67835 .50486 L
F
.67968 .54147 m
.68298 .54371 L
.67968 .54871 L
.67836 .54371 L
F
.67968 .52212 m
.68344 .52428 L
.67968 .53049 L
.67837 .52428 L
F
.70882 .15453 m
.71853 .15402 L
.72824 .15377 L
.73796 .15368 L
.74767 .15371 L
.75738 .15387 L
.76709 .15423 L
.77681 .15493 L
.7793 .15521 L
.78652 .15633 L
.79623 .1595 L
.80235 .16492 L
.79947 .17463 L
.79623 .17653 L
.78652 .17939 L
.77681 .18065 L
.76709 .18127 L
.75738 .18159 L
.74767 .18174 L
.73796 .18176 L
.72824 .18168 L
.71853 .18146 L
.70882 .18101 L
.69911 .18013 L
.68939 .17829 L
.68132 .17463 L
.67968 .17284 L
.67837 .16492 L
.67968 .16311 L
.68939 .15756 L
.69911 .15551 L
.70146 .15521 L
F
.67968 .58003 m
.68214 .58256 L
.67968 .58586 L
.67838 .58256 L
F
.67968 .48334 m
.68459 .48543 L
.67968 .49503 L
.67838 .48543 L
F
.67968 .50283 m
.68387 .50486 L
.67968 .51248 L
.67843 .50486 L
F
.67968 .48347 m
.68441 .48543 L
.67968 .49484 L
.67847 .48543 L
F
.67968 .52228 m
.68325 .52428 L
.67968 .53025 L
.67847 .52428 L
F
.67968 .54168 m
.68273 .54371 L
.67968 .5484 L
.6785 .54371 L
F
.67968 .50295 m
.68369 .50486 L
.67968 .51228 L
.67851 .50486 L
F
.67968 .56107 m
.68225 .56313 L
.67968 .56681 L
.67854 .56313 L
F
.67968 .48361 m
.68422 .48543 L
.67968 .49464 L
.67855 .48543 L
F
.67968 .52243 m
.68306 .52428 L
.67968 .53 L
.67857 .52428 L
F
.67968 .50309 m
.68351 .50486 L
.67968 .51206 L
.6786 .50486 L
F
.67968 .48374 m
.68402 .48543 L
.67968 .49444 L
.67864 .48543 L
F
.67968 .5419 m
.68248 .54371 L
.67968 .54806 L
.67864 .54371 L
F
.67968 .52259 m
.68286 .52428 L
.67968 .52974 L
.67867 .52428 L
F
.67968 .50322 m
.68333 .50486 L
.67968 .51184 L
.67868 .50486 L
F
.67968 .48388 m
.68382 .48543 L
.67968 .49423 L
.67872 .48543 L
F
.67968 .50335 m
.68314 .50486 L
.67968 .51161 L
.67877 .50486 L
F
.67968 .52275 m
.68265 .52428 L
.67968 .52947 L
.67877 .52428 L
F
.67968 .54213 m
.68221 .54371 L
.67968 .54771 L
.67878 .54371 L
F
.67968 .56146 m
.68184 .56313 L
.67968 .56628 L
.67878 .56313 L
F
.67968 .59983 m
.68122 .60198 L
.67968 .60397 L
.67878 .60198 L
F
.67968 .48401 m
.68361 .48543 L
.67968 .49402 L
.67881 .48543 L
F
.67968 .58082 m
.68141 .58256 L
.67968 .58493 L
.67884 .58256 L
F
.67968 .50349 m
.68294 .50486 L
.67968 .51137 L
.67885 .50486 L
F
.67968 .52291 m
.68243 .52428 L
.67968 .52919 L
.67887 .52428 L
F
.67968 .48415 m
.6834 .48543 L
.67968 .4938 L
.6789 .48543 L
F
.67968 .54237 m
.68192 .54371 L
.67968 .54733 L
.67892 .54371 L
F
.67968 .50363 m
.68274 .50486 L
.67968 .51113 L
.67894 .50486 L
F
.67968 .52308 m
.6822 .52428 L
.67968 .5289 L
.67897 .52428 L
F
.67968 .4843 m
.68317 .48543 L
.67968 .49357 L
.67899 .48543 L
F
.67968 .56187 m
.68138 .56313 L
.67968 .56568 L
.67902 .56313 L
F
.67968 .50377 m
.68252 .50486 L
.67968 .51087 L
.67903 .50486 L
F
.67968 .54261 m
.6816 .54371 L
.67968 .54692 L
.67907 .54371 L
F
.67968 .48444 m
.68293 .48543 L
.67968 .49333 L
.67908 .48543 L
F
.67968 .52325 m
.68195 .52428 L
.67968 .52858 L
.67908 .52428 L
F
.67968 .50392 m
.68229 .50486 L
.67968 .51059 L
.67912 .50486 L
F
.67968 .48459 m
.68267 .48543 L
.67968 .49308 L
.67917 .48543 L
F
.67968 .52343 m
.68169 .52428 L
.67968 .52824 L
.67919 .52428 L
F
.67968 .50407 m
.68204 .50486 L
.67968 .51031 L
.67921 .50486 L
F
.67968 .54287 m
.68126 .54371 L
.67968 .54646 L
.67922 .54371 L
F
.67968 .48473 m
.6824 .48543 L
.67968 .49281 L
.67926 .48543 L
F
.67968 .56233 m
.68085 .56313 L
.67968 .56498 L
.67928 .56313 L
F
.67968 .52361 m
.68139 .52428 L
.67968 .52786 L
.67929 .52428 L
F
.67968 .50422 m
.68176 .50486 L
.67968 .50999 L
.6793 .50486 L
F
.67968 .46539 m
.68287 .46601 L
.67968 .47559 L
.6793 .46601 L
F
.67968 .58178 m
.6805 .58256 L
.67968 .58373 L
.67934 .58256 L
F
.67968 .48489 m
.68209 .48543 L
.67968 .49253 L
.67935 .48543 L
F
.67968 .54314 m
.68086 .54371 L
.67968 .54592 L
.67937 .54371 L
F
.67968 .50437 m
.68146 .50486 L
.67968 .50966 L
.6794 .50486 L
F
.67968 .5238 m
.68106 .52428 L
.67968 .52744 L
.67941 .52428 L
F
.67968 .46557 m
.68247 .46601 L
.67968 .47533 L
.67942 .46601 L
F
.67968 .48504 m
.68175 .48543 L
.67968 .49223 L
.67945 .48543 L
F
.67968 .50453 m
.6811 .50486 L
.67968 .50928 L
.67949 .50486 L
F
.67968 .52399 m
.68065 .52428 L
.67968 .52693 L
.67952 .52428 L
F
.67968 .46576 m
.68198 .46601 L
.67968 .47505 L
.67953 .46601 L
F
.67968 .54343 m
.68036 .54371 L
.67968 .54521 L
.67954 .54371 L
F
.67968 .56284 m
.68017 .56313 L
.67968 .56401 L
.67954 .56313 L
F
.67968 .4852 m
.68132 .48543 L
.67968 .49191 L
.67954 .48543 L
F
.67968 .5047 m
.68064 .50486 L
.67968 .50885 L
.67959 .50486 L
F
.67968 .5242 m
.68008 .52428 L
.67968 .52625 L
.67963 .52428 L
F
.67968 .48536 m
.68072 .48543 L
.67968 .49156 L
.67964 .48543 L
F
.67968 .46595 m
.68131 .46601 L
.67968 .47475 L
.67965 .46601 L
F
.68939 .2177 m
.69911 .2157 L
.70882 .21479 L
.71853 .21433 L
.72824 .2141 L
.73796 .21402 L
.74767 .21404 L
.75738 .21419 L
.76709 .21452 L
.77681 .21517 L
.78652 .21649 L
.79623 .21969 L
.80052 .22319 L
.79838 .23291 L
.79623 .23456 L
.78652 .23844 L
.77681 .24016 L
.76709 .24103 L
.75738 .24148 L
.74767 .24169 L
.73796 .24173 L
.72824 .24161 L
.71853 .24129 L
.70882 .24066 L
.69911 .23945 L
.68939 .23695 L
.68241 .23291 L
.68023 .22319 L
F
.70882 .15498 m
.71853 .15436 L
.72824 .15405 L
.73796 .15394 L
.74767 .15398 L
.75738 .15418 L
.76709 .15462 L
.77433 .15521 L
.77681 .15548 L
.78652 .15722 L
.79623 .16135 L
.79964 .16492 L
.79657 .17463 L
.79623 .17486 L
.78652 .1786 L
.77681 .18016 L
.76709 .18093 L
.75738 .18132 L
.74767 .1815 L
.73796 .18153 L
.72824 .18143 L
.71853 .18116 L
.70882 .18061 L
.69911 .17952 L
.68939 .1772 L
.68426 .17463 L
.68112 .16492 L
.68939 .15877 L
.69911 .15619 L
.70646 .15521 L
F
.72824 .18419 m
.73796 .18408 L
.74767 .18412 L
.75738 .18431 L
.75872 .18434 L
.76709 .18473 L
.77681 .18555 L
.78652 .18719 L
.79623 .19096 L
.79896 .19406 L
.79655 .20377 L
.79623 .20414 L
.78652 .20811 L
.77681 .20988 L
.76709 .21078 L
.75738 .21125 L
.74767 .21146 L
.73796 .2115 L
.72824 .21138 L
.71853 .21105 L
.70882 .2104 L
.69911 .20915 L
.68939 .20658 L
.6844 .20377 L
.68114 .19406 L
.68939 .18864 L
.69911 .18623 L
.70882 .18507 L
.71853 .18448 L
.72148 .18434 L
F
.70882 .09541 m
.71853 .09457 L
.72824 .09414 L
.73796 .09398 L
.74767 .09403 L
.75738 .09431 L
.76709 .09492 L
.77681 .09608 L
.78123 .09693 L
.78652 .09824 L
.79623 .10312 L
.79903 .10664 L
.79623 .1151 L
.79442 .11636 L
.78652 .11875 L
.77681 .12008 L
.76709 .12072 L
.75738 .12105 L
.74767 .12119 L
.73796 .12122 L
.72824 .12114 L
.71853 .12091 L
.70882 .12046 L
.69911 .11955 L
.68939 .11753 L
.68636 .11636 L
.68174 .10664 L
.68939 .10008 L
.69911 .09701 L
.6995 .09693 L
F
.70882 .1254 m
.71853 .12462 L
.72824 .12423 L
.73796 .12408 L
.74767 .12413 L
.75738 .12439 L
.76709 .12495 L
.77681 .12603 L
.77706 .12607 L
.78652 .12806 L
.79623 .13264 L
.79848 .13578 L
.79623 .1447 L
.79506 .14549 L
.78652 .14842 L
.77681 .14994 L
.76709 .15069 L
.75738 .15108 L
.74767 .15126 L
.73796 .15129 L
.72824 .15119 L
.71853 .15092 L
.70882 .15038 L
.69911 .14932 L
.68939 .14708 L
.6861 .14549 L
.6818 .13578 L
.68939 .12981 L
.69911 .12687 L
.70374 .12607 L
F
.68939 .61973 m
.69828 .62141 L
.69205 .63112 L
.68939 .63387 L
.68232 .63112 L
.68809 .62141 L
F
.71853 .1547 m
.72824 .15434 L
.73796 .1542 L
.74767 .15424 L
.75738 .15449 L
.76709 .15501 L
.76951 .15521 L
.77681 .15604 L
.78652 .15813 L
.79623 .1636 L
.79723 .16492 L
.79623 .17224 L
.7939 .17463 L
.78652 .17778 L
.77681 .17966 L
.76709 .18058 L
.75738 .18105 L
.74767 .18126 L
.73796 .1813 L
.72824 .18118 L
.71853 .18085 L
.70882 .1802 L
.69911 .1789 L
.68939 .17603 L
.68687 .17463 L
.68359 .16492 L
.68939 .16006 L
.69911 .15689 L
.70882 .15544 L
.71122 .15521 L
F
.68939 .48549 m
.69706 .49514 L
.68939 .50444 L
.68369 .49514 L
F
.68939 .50503 m
.69614 .51457 L
.68939 .52253 L
.68377 .51457 L
F
.68939 .52437 m
.69531 .53399 L
.68939 .54078 L
.68381 .53399 L
F
.68939 .48569 m
.69689 .49514 L
.68939 .50424 L
.68382 .49514 L
F
.68939 .2193 m
.69911 .21655 L
.70882 .21533 L
.71853 .21473 L
.72824 .21443 L
.73796 .21432 L
.74767 .21436 L
.75738 .21455 L
.76709 .21498 L
.77681 .21583 L
.78652 .21761 L
.79623 .22244 L
.79692 .22319 L
.79623 .23091 L
.79449 .23291 L
.78652 .23703 L
.77681 .23928 L
.76709 .2404 L
.75738 .24098 L
.74767 .24125 L
.73796 .2413 L
.72824 .24115 L
.71853 .24074 L
.70882 .23993 L
.69911 .23836 L
.68939 .23499 L
.68631 .23291 L
.68391 .22319 L
F
.68939 .50524 m
.69597 .51457 L
.68939 .52232 L
.68391 .51457 L
F
.68939 .48589 m
.69672 .49514 L
.68939 .50405 L
.68395 .49514 L
F
.68939 .52463 m
.6951 .53399 L
.68939 .54053 L
.68399 .53399 L
F
.68939 .54383 m
.69428 .55342 L
.68939 .55888 L
.68404 .55342 L
F
.68939 .50545 m
.6958 .51457 L
.68939 .52212 L
.68405 .51457 L
F
.68939 .48609 m
.69655 .49514 L
.68939 .50385 L
.68407 .49514 L
F
.73796 .18432 m
.74624 .18434 L
.74767 .18436 L
.75738 .18459 L
.76709 .18509 L
.77681 .18608 L
.78652 .18808 L
.79623 .1932 L
.79672 .19406 L
.79623 .20127 L
.79375 .20377 L
.78652 .20717 L
.77681 .20931 L
.76709 .21038 L
.75738 .21093 L
.74767 .21119 L
.73796 .21123 L
.72824 .21109 L
.71853 .2107 L
.70882 .20993 L
.69911 .20843 L
.68939 .20524 L
.68721 .20377 L
.68415 .19406 L
.68939 .18991 L
.69911 .18689 L
.70882 .1855 L
.71853 .1848 L
.72824 .18445 L
.73457 .18434 L
F
.68939 .52489 m
.69489 .53399 L
.68939 .54029 L
.68419 .53399 L
F
.68939 .50566 m
.69563 .51457 L
.68939 .52192 L
.6842 .51457 L
F
.68939 .48629 m
.69639 .49514 L
.68939 .50366 L
.6842 .49514 L
F
.68939 .48649 m
.69622 .49514 L
.68939 .50347 L
.68433 .49514 L
F
.68939 .50587 m
.69546 .51457 L
.68939 .52172 L
.68434 .51457 L
F
.68939 .46706 m
.69697 .47572 L
.68939 .48528 L
.68434 .47572 L
F
.68939 .54421 m
.69397 .55342 L
.68939 .55852 L
.68435 .55342 L
F
.68939 .52515 m
.69468 .53399 L
.68939 .54004 L
.68438 .53399 L
F
.68939 .48669 m
.69605 .49514 L
.68939 .50327 L
.68446 .49514 L
F
.68939 .46728 m
.69678 .47572 L
.68939 .48507 L
.68448 .47572 L
F
.68939 .50608 m
.69528 .51457 L
.68939 .52152 L
.68449 .51457 L
F
.68939 .56335 m
.69302 .57284 L
.68939 .57678 L
.68455 .57284 L
F
.68939 .52542 m
.69446 .53399 L
.68939 .53979 L
.68457 .53399 L
F
.68939 .48689 m
.69589 .49514 L
.68939 .50308 L
.68459 .49514 L
F
.68939 .46751 m
.69659 .47572 L
.68939 .48485 L
.68462 .47572 L
F
.68939 .50629 m
.69511 .51457 L
.68939 .52132 L
.68463 .51457 L
F
.68939 .5446 m
.69365 .55342 L
.68939 .55815 L
.68467 .55342 L
F
.68939 .4871 m
.69572 .49514 L
.68939 .50288 L
.68472 .49514 L
F
.68939 .46773 m
.6964 .47572 L
.68939 .48463 L
.68476 .47572 L
F
.68939 .52569 m
.69425 .53399 L
.68939 .53954 L
.68477 .53399 L
F
.68939 .50651 m
.69494 .51457 L
.68939 .52111 L
.68478 .51457 L
F
.68939 .4873 m
.69555 .49514 L
.68939 .50269 L
.68485 .49514 L
F
.68939 .60143 m
.69685 .60198 L
.69119 .61169 L
.68939 .61352 L
.68488 .61169 L
.68898 .60198 L
F
.68939 .46795 m
.6962 .47572 L
.68939 .48441 L
.68489 .47572 L
F
.68939 .50673 m
.69477 .51457 L
.68939 .52091 L
.68493 .51457 L
F
.68939 .52597 m
.69403 .53399 L
.68939 .53929 L
.68497 .53399 L
F
.68939 .4875 m
.69538 .49514 L
.68939 .50249 L
.68498 .49514 L
F
.68939 .54501 m
.69333 .55342 L
.68939 .55778 L
.68499 .55342 L
F
.68939 .46818 m
.69601 .47572 L
.68939 .48419 L
.68503 .47572 L
F
.68939 .50695 m
.69459 .51457 L
.68939 .5207 L
.68508 .51457 L
F
.68939 .4877 m
.69522 .49514 L
.68939 .50229 L
.68511 .49514 L
F
.68939 .44888 m
.69657 .45629 L
.68939 .4659 L
.68514 .45629 L
F
.68939 .4684 m
.69582 .47572 L
.68939 .48396 L
.68517 .47572 L
F
.68939 .52625 m
.69382 .53399 L
.68939 .53903 L
.68518 .53399 L
F
.68939 .56404 m
.69245 .57284 L
.68939 .57613 L
.68519 .57284 L
F
.68939 .50717 m
.69442 .51457 L
.68939 .52049 L
.68523 .51457 L
F
.68939 .48791 m
.69505 .49514 L
.68939 .50209 L
.68525 .49514 L
F
.71853 .12514 m
.72824 .12466 L
.73796 .12448 L
.74767 .12453 L
.75738 .12485 L
.76709 .12553 L
.7718 .12607 L
.77681 .12683 L
.78652 .12937 L
.79581 .13578 L
.79135 .14549 L
.78652 .14741 L
.77681 .14935 L
.76709 .15028 L
.75738 .15076 L
.74767 .15098 L
.73796 .15102 L
.72824 .1509 L
.71853 .15056 L
.70882 .14989 L
.69911 .14856 L
.68939 .1456 L
.68922 .14549 L
.68531 .13578 L
.68939 .1317 L
.69911 .12787 L
.70882 .12609 L
.70897 .12607 L
F
.68939 .46863 m
.69563 .47572 L
.68939 .48374 L
.68531 .47572 L
F
.68939 .44917 m
.69631 .45629 L
.68939 .46561 L
.68532 .45629 L
F
.68939 .54543 m
.69301 .55342 L
.68939 .55741 L
.68533 .55342 L
F
.68939 .50739 m
.69424 .51457 L
.68939 .52028 L
.68538 .51457 L
F
.68939 .48812 m
.69488 .49514 L
.68939 .50189 L
.68538 .49514 L
F
.68939 .52654 m
.6936 .53399 L
.68939 .53878 L
.68538 .53399 L
F
.68939 .46886 m
.69543 .47572 L
.68939 .48351 L
.68545 .47572 L
F
.68939 .44947 m
.69605 .45629 L
.68939 .46531 L
.68549 .45629 L
F
.68939 .48832 m
.69471 .49514 L
.68939 .50169 L
.68551 .49514 L
F
.68939 .50762 m
.69406 .51457 L
.68939 .52007 L
.68553 .51457 L
F
.68939 .52684 m
.69337 .53399 L
.68939 .53851 L
.68559 .53399 L
F
.68939 .24964 m
.69911 .24686 L
.70882 .24564 L
.71853 .24503 L
.72824 .24473 L
.73796 .24462 L
.74767 .24465 L
.75738 .24485 L
.76709 .24528 L
.77681 .24614 L
.78652 .24794 L
.79555 .25233 L
.79309 .26204 L
.78652 .26581 L
.77681 .26847 L
.76709 .26982 L
.75738 .27053 L
.74767 .27086 L
.73796 .27093 L
.72824 .27074 L
.71853 .27024 L
.70882 .26926 L
.69911 .26738 L
.68939 .2634 L
.68777 .26204 L
.68559 .25233 L
F
.68939 .46908 m
.69524 .47572 L
.68939 .48328 L
.6856 .47572 L
F
.68939 .48853 m
.69454 .49514 L
.68939 .50148 L
.68565 .49514 L
F
.68939 .54588 m
.69267 .55342 L
.68939 .55702 L
.68567 .55342 L
F
.68939 .44977 m
.69579 .45629 L
.68939 .46502 L
.68567 .45629 L
F
.68939 .50785 m
.69388 .51457 L
.68939 .51986 L
.68569 .51457 L
F
.68939 .46931 m
.69505 .47572 L
.68939 .48305 L
.68574 .47572 L
F
.68939 .48875 m
.69437 .49514 L
.68939 .50127 L
.68579 .49514 L
F
.68939 .52714 m
.69314 .53399 L
.68939 .53825 L
.68581 .53399 L
F
.71853 .15505 m
.72824 .15462 L
.73796 .15446 L
.74767 .15451 L
.75738 .15479 L
.76476 .15521 L
.76709 .1554 L
.77681 .1566 L
.78652 .15908 L
.795 .16492 L
.79148 .17463 L
.78652 .17692 L
.77681 .17916 L
.76709 .18023 L
.75738 .18077 L
.74767 .18102 L
.73796 .18107 L
.72824 .18093 L
.71853 .18055 L
.70882 .17979 L
.69911 .17826 L
.68939 .17474 L
.68922 .17463 L
.68582 .16492 L
.68939 .16148 L
.69911 .1576 L
.70882 .1559 L
.7161 .15521 L
F
.68939 .50809 m
.6937 .51457 L
.68939 .51964 L
.68585 .51457 L
F
.68939 .45006 m
.69552 .45629 L
.68939 .46471 L
.68585 .45629 L
F
.68939 .46954 m
.69485 .47572 L
.68939 .48282 L
.68588 .47572 L
F
.68939 .56481 m
.69185 .57284 L
.68939 .57546 L
.68589 .57284 L
F
.68939 .48896 m
.69419 .49514 L
.68939 .50107 L
.68593 .49514 L
F
.68939 .50833 m
.69351 .51457 L
.68939 .51942 L
.68601 .51457 L
F
.68939 .43087 m
.69592 .43687 L
.68939 .4464 L
.68602 .43687 L
F
.68939 .52746 m
.69291 .53399 L
.68939 .53798 L
.68603 .53399 L
F
.68939 .46978 m
.69465 .47572 L
.68939 .48258 L
.68603 .47572 L
F
.68939 .54635 m
.69233 .55342 L
.68939 .55663 L
.68603 .55342 L
F
.68939 .45036 m
.69526 .45629 L
.68939 .46441 L
.68603 .45629 L
F
.68939 .48918 m
.69402 .49514 L
.68939 .50085 L
.68607 .49514 L
F
.68939 .50857 m
.69333 .51457 L
.68939 .5192 L
.68617 .51457 L
F
.68939 .47001 m
.69445 .47572 L
.68939 .48234 L
.68618 .47572 L
F
.68939 .4894 m
.69384 .49514 L
.68939 .50064 L
.68621 .49514 L
F
.68939 .45067 m
.69499 .45629 L
.68939 .46409 L
.68622 .45629 L
F
.68939 .52778 m
.69268 .53399 L
.68939 .5377 L
.68625 .53399 L
F
.68939 .43133 m
.69549 .43687 L
.68939 .44593 L
.68629 .43687 L
F
.68939 .47025 m
.69425 .47572 L
.68939 .48209 L
.68633 .47572 L
F
.68939 .50882 m
.69314 .51457 L
.68939 .51898 L
.68633 .51457 L
F
.68939 .48962 m
.69366 .49514 L
.68939 .50042 L
.68635 .49514 L
F
.68939 .45097 m
.69472 .45629 L
.68939 .46377 L
.6864 .45629 L
F
.68939 .54686 m
.69197 .55342 L
.68939 .55622 L
.68641 .55342 L
F
.68939 .47049 m
.69404 .47572 L
.68939 .48184 L
.68648 .47572 L
F
.68939 .52812 m
.69243 .53399 L
.68939 .53742 L
.68648 .53399 L
F
.68939 .48985 m
.69348 .49514 L
.68939 .5002 L
.6865 .49514 L
F
.68939 .50907 m
.69294 .51457 L
.68939 .51875 L
.6865 .51457 L
F
.68939 .4318 m
.69505 .43687 L
.68939 .44545 L
.68657 .43687 L
F
.68939 .19133 m
.69911 .18758 L
.70882 .18594 L
.71853 .18512 L
.72824 .18471 L
.73796 .18456 L
.74767 .18461 L
.75738 .18488 L
.76709 .18546 L
.77681 .18661 L
.78652 .18901 L
.79444 .19406 L
.79113 .20377 L
.78652 .20619 L
.77681 .20873 L
.76709 .20998 L
.75738 .21061 L
.74767 .21091 L
.73796 .21096 L
.72824 .2108 L
.71853 .21035 L
.70882 .20946 L
.69911 .2077 L
.68941 .20377 L
.68939 .20375 L
.68658 .19406 L
F
.68939 .45128 m
.69444 .45629 L
.68939 .46344 L
.68659 .45629 L
F
.68939 .47073 m
.69384 .47572 L
.68939 .48159 L
.68663 .47572 L
F
.68939 .49008 m
.69329 .49514 L
.68939 .49998 L
.68665 .49514 L
F
.68939 .56568 m
.69121 .57284 L
.68939 .57475 L
.68667 .57284 L
F
.68939 .50933 m
.69275 .51457 L
.68939 .51851 L
.68667 .51457 L
F
.68939 .58383 m
.69067 .59227 L
.68939 .59356 L
.68667 .59227 L
F
.68939 .52847 m
.69218 .53399 L
.68939 .53713 L
.68672 .53399 L
F
.68939 .45159 m
.69416 .45629 L
.68939 .4631 L
.68678 .45629 L
F
.68939 .47098 m
.69363 .47572 L
.68939 .48133 L
.68679 .47572 L
F
.70882 .03755 m
.71853 .03614 L
.72824 .03542 L
.73796 .03515 L
.74767 .03524 L
.75738 .03572 L
.76709 .03674 L
.77681 .03865 L
.77682 .03866 L
.78652 .04185 L
.794 .04837 L
.78652 .05769 L
.78524 .05808 L
.77681 .05936 L
.76709 .06008 L
.75738 .06043 L
.74767 .06059 L
.73796 .06062 L
.72824 .06053 L
.71853 .06028 L
.70882 .05978 L
.69911 .05874 L
.69555 .05808 L
.68939 .05532 L
.68679 .04837 L
.68939 .04493 L
.69911 .03996 L
.70397 .03866 L
F
.68939 .49031 m
.6931 .49514 L
.68939 .49975 L
.6868 .49514 L
F
.68939 .5474 m
.69159 .55342 L
.68939 .5558 L
.68681 .55342 L
F
.68939 .5096 m
.69254 .51457 L
.68939 .51827 L
.68685 .51457 L
F
.68939 .43228 m
.69461 .43687 L
.68939 .44495 L
.68685 .43687 L
F
.68939 .41286 m
.69515 .41744 L
.68939 .42699 L
.68688 .41744 L
F
.68939 .47123 m
.69341 .47572 L
.68939 .48106 L
.68694 .47572 L
F
.68939 .49055 m
.69291 .49514 L
.68939 .49951 L
.68695 .49514 L
F
.68939 .52884 m
.69193 .53399 L
.68939 .53684 L
.68697 .53399 L
F
.68939 .45191 m
.69387 .45629 L
.68939 .46275 L
.68698 .45629 L
F
.68939 .50988 m
.69234 .51457 L
.68939 .51803 L
.68702 .51457 L
F
.70882 .09679 m
.71853 .09561 L
.72824 .09502 L
.73796 .09479 L
.74767 .09486 L
.75738 .09526 L
.76709 .0961 L
.77281 .09693 L
.77681 .09767 L
.78652 .10074 L
.79375 .10664 L
.78857 .11636 L
.78652 .1171 L
.77681 .11913 L
.76709 .12007 L
.75738 .12054 L
.74767 .12075 L
.73796 .12079 L
.72824 .12067 L
.71853 .12035 L
.70882 .11969 L
.69911 .11833 L
.6922 .11636 L
.68939 .11453 L
.68703 .10664 L
.68939 .10377 L
.69911 .09891 L
.70797 .09693 L
F
.68939 .22118 m
.69911 .21743 L
.70882 .21589 L
.71853 .21514 L
.72824 .21477 L
.73796 .21463 L
.74767 .21467 L
.75738 .21492 L
.76709 .21545 L
.77681 .21652 L
.78652 .21883 L
.7937 .22319 L
.79106 .23291 L
.78652 .23554 L
.77681 .23839 L
.76709 .23977 L
.75738 .24049 L
.74767 .24081 L
.73796 .24087 L
.72824 .24069 L
.71853 .24019 L
.70882 .2392 L
.69911 .23725 L
.68963 .23291 L
.68939 .2327 L
.68708 .22319 L
F
.68939 .47149 m
.69319 .47572 L
.68939 .48079 L
.6871 .47572 L
F
.68939 .4908 m
.69271 .49514 L
.68939 .49927 L
.6871 .49514 L
F
.68939 .43277 m
.69415 .43687 L
.68939 .44441 L
.68714 .43687 L
F
.68939 .45224 m
.69358 .45629 L
.68939 .46238 L
.68718 .45629 L
F
.68939 .51017 m
.69213 .51457 L
.68939 .51778 L
.68721 .51457 L
F
.68939 .52922 m
.69166 .53399 L
.68939 .53653 L
.68722 .53399 L
F
.68939 .548 m
.6912 .55342 L
.68939 .55536 L
.68724 .55342 L
F
.68939 .49105 m
.69251 .49514 L
.68939 .49903 L
.68726 .49514 L
F
.68939 .47176 m
.69297 .47572 L
.68939 .48051 L
.68726 .47572 L
F
.68939 .45258 m
.69328 .45629 L
.68939 .462 L
.68738 .45629 L
F
.68939 .41376 m
.69427 .41744 L
.68939 .42609 L
.68739 .41744 L
F
.68939 .51046 m
.69191 .51457 L
.68939 .51752 L
.68739 .51457 L
F
.68939 .49131 m
.6923 .49514 L
.68939 .49877 L
.68742 .49514 L
F
.68939 .47203 m
.69273 .47572 L
.68939 .48022 L
.68743 .47572 L
F
.68939 .43327 m
.69367 .43687 L
.68939 .44384 L
.68744 .43687 L
F
.68939 .52964 m
.69138 .53399 L
.68939 .53621 L
.68749 .53399 L
F
.68939 .45292 m
.69296 .45629 L
.68939 .46161 L
.68758 .45629 L
F
.68939 .51077 m
.69168 .51457 L
.68939 .51725 L
.68759 .51457 L
F
.68939 .49158 m
.69209 .49514 L
.68939 .49851 L
.68759 .49514 L
F
.68939 .56674 m
.6905 .57284 L
.68939 .57398 L
.68759 .57284 L
F
.68939 .47231 m
.6925 .47572 L
.68939 .47992 L
.6876 .47572 L
F
.68939 .54868 m
.69078 .55342 L
.68939 .55489 L
.68771 .55342 L
F
.68939 .43379 m
.69317 .43687 L
.68939 .44323 L
.68774 .43687 L
F
.68939 .49186 m
.69187 .49514 L
.68939 .49824 L
.68776 .49514 L
F
.68939 .53008 m
.69109 .53399 L
.68939 .53588 L
.68777 .53399 L
F
.68939 .47259 m
.69225 .47572 L
.68939 .47961 L
.68777 .47572 L
F
.68939 .5111 m
.69145 .51457 L
.68939 .51697 L
.68779 .51457 L
F
.68939 .45328 m
.69263 .45629 L
.68939 .46119 L
.6878 .45629 L
F
.72824 .15491 m
.73796 .15473 L
.74767 .15478 L
.75738 .1551 L
.75946 .15521 L
.76709 .1558 L
.77681 .15717 L
.78652 .16009 L
.79291 .16492 L
.78928 .17463 L
.78652 .17601 L
.77681 .17865 L
.76709 .17988 L
.75738 .1805 L
.74767 .18078 L
.73796 .18083 L
.72824 .18067 L
.71853 .18024 L
.70882 .17937 L
.69911 .1776 L
.69146 .17463 L
.68939 .17284 L
.68783 .16492 L
.68939 .16314 L
.69911 .15833 L
.70882 .15637 L
.71853 .15539 L
.72085 .15521 L
F
.68939 .4147 m
.69332 .41744 L
.68939 .42506 L
.68793 .41744 L
F
.68939 .49215 m
.69164 .49514 L
.68939 .49796 L
.68793 .49514 L
F
.68939 .47289 m
.69199 .47572 L
.68939 .47928 L
.68795 .47572 L
F
.68939 .39535 m
.69374 .39802 L
.68939 .40731 L
.68797 .39802 L
F
.68939 .51145 m
.6912 .51457 L
.68939 .51668 L
.68799 .51457 L
F
.68939 .45365 m
.69229 .45629 L
.68939 .46074 L
.68801 .45629 L
F
.71853 .12565 m
.72824 .12508 L
.73796 .12487 L
.74767 .12494 L
.75738 .12531 L
.76665 .12607 L
.76709 .12612 L
.77681 .12763 L
.78652 .13076 L
.79279 .13578 L
.78834 .14549 L
.78652 .14632 L
.77681 .14874 L
.76709 .14987 L
.75738 .15044 L
.74767 .1507 L
.73796 .15075 L
.72824 .1506 L
.71853 .1502 L
.70882 .1494 L
.69911 .14778 L
.69238 .14549 L
.68939 .14323 L
.68802 .13578 L
.68939 .13395 L
.69911 .12889 L
.70882 .12675 L
.71408 .12607 L
F
.68939 .43434 m
.69262 .43687 L
.68939 .44255 L
.68806 .43687 L
F
.68939 .53057 m
.69078 .53399 L
.68939 .53552 L
.68807 .53399 L
F
.68939 .49246 m
.6914 .49514 L
.68939 .49766 L
.68811 .49514 L
F
.68939 .47321 m
.69172 .47572 L
.68939 .47893 L
.68813 .47572 L
F
.68939 .51182 m
.69094 .51457 L
.68939 .51637 L
.68821 .51457 L
F
.68939 .45404 m
.69192 .45629 L
.68939 .46026 L
.68824 .45629 L
F
.68939 .54949 m
.69031 .55342 L
.68939 .55438 L
.68824 .55342 L
F
.68939 .49278 m
.69115 .49514 L
.68939 .49735 L
.68829 .49514 L
F
.68939 .47353 m
.69144 .47572 L
.68939 .47856 L
.68832 .47572 L
F
.68939 .53113 m
.69045 .53399 L
.68939 .53515 L
.68839 .53399 L
F
.68939 .43493 m
.69203 .43687 L
.68939 .44179 L
.68839 .43687 L
F
.68939 .51223 m
.69067 .51457 L
.68939 .51605 L
.68843 .51457 L
F
.68939 .45445 m
.69152 .45629 L
.68939 .45973 L
.68847 .45629 L
F
.68939 .49313 m
.69088 .49514 L
.68939 .49702 L
.68848 .49514 L
F
.68939 .41572 m
.69221 .41744 L
.68939 .42381 L
.6885 .41744 L
F
.68939 .47388 m
.69113 .47572 L
.68939 .47817 L
.68851 .47572 L
F
.68939 .19304 m
.69911 .18829 L
.70882 .18638 L
.71853 .18544 L
.72824 .18498 L
.73796 .18481 L
.74767 .18486 L
.75738 .18517 L
.76709 .18584 L
.77681 .18716 L
.78652 .19001 L
.79216 .19406 L
.78887 .20377 L
.78652 .20514 L
.77681 .20815 L
.76709 .20957 L
.75738 .2103 L
.74767 .21063 L
.73796 .21069 L
.72824 .2105 L
.71853 .21 L
.70882 .20898 L
.69911 .20695 L
.69181 .20377 L
.68939 .20151 L
.68856 .19406 L
F
.68939 .51268 m
.69037 .51457 L
.68939 .5157 L
.68867 .51457 L
F
.68939 .4935 m
.69059 .49514 L
.68939 .49666 L
.68868 .49514 L
F
.68939 .4549 m
.69108 .45629 L
.68939 .45913 L
.68871 .45629 L
F
.68939 .47426 m
.6908 .47572 L
.68939 .47773 L
.68871 .47572 L
F
.68939 .5318 m
.69009 .53399 L
.68939 .53474 L
.68874 .53399 L
F
.68939 .43556 m
.69134 .43687 L
.68939 .44088 L
.68874 .43687 L
F
.71853 .06639 m
.72824 .06565 L
.73796 .06537 L
.74767 .06546 L
.75738 .06595 L
.76709 .067 L
.77169 .06779 L
.77681 .06887 L
.78652 .0725 L
.7919 .07751 L
.78652 .08663 L
.78503 .08722 L
.77681 .08885 L
.76709 .0898 L
.75738 .09027 L
.74767 .09048 L
.73796 .09052 L
.72824 .0904 L
.71853 .09008 L
.70882 .08941 L
.69911 .08804 L
.69584 .08722 L
.68939 .08302 L
.68877 .07751 L
.68939 .07642 L
.69911 .07033 L
.70882 .06784 L
.70908 .06779 L
F
.68939 .56818 m
.68967 .57284 L
.68939 .57311 L
.68885 .57284 L
F
.68939 .55056 m
.68979 .55342 L
.68939 .55383 L
.68887 .55342 L
F
.68939 .49392 m
.69028 .49514 L
.68939 .49626 L
.68889 .49514 L
F
.68939 .51321 m
.69005 .51457 L
.68939 .51532 L
.68892 .51457 L
F
.68939 .47467 m
.69043 .47572 L
.68939 .47723 L
.68892 .47572 L
F
.68939 .45538 m
.69057 .45629 L
.68939 .45842 L
.68896 .45629 L
F
.68939 .43627 m
.69046 .43687 L
.68939 .43967 L
.68911 .43687 L
F
.68939 .4944 m
.68992 .49514 L
.68939 .49581 L
.68911 .49514 L
F
.68939 .4169 m
.69067 .41744 L
.68939 .42208 L
.68912 .41744 L
F
.68939 .53272 m
.68968 .53399 L
.68939 .5343 L
.68913 .53399 L
F
.68939 .47513 m
.68999 .47572 L
.68939 .47663 L
.68914 .47572 L
F
.68939 .51388 m
.68968 .51457 L
.68939 .5149 L
.6892 .51457 L
F
.68939 .39766 m
.69066 .39802 L
.68939 .40477 L
.68921 .39802 L
F
.68939 .45593 m
.68993 .45629 L
.68939 .45744 L
.68923 .45629 L
F
.68939 .495 m
.68949 .49514 L
.68939 .49527 L
.68934 .49514 L
F
.68939 .47567 m
.68944 .47572 L
.68939 .4758 L
.68938 .47572 L
F
.69911 .51211 m
.70732 .51457 L
.70263 .52428 L
.69911 .52742 L
.68952 .52428 L
.69773 .51457 L
F
.69911 .53184 m
.70592 .53399 L
.70089 .54371 L
.69911 .54525 L
.68956 .54371 L
.69789 .53399 L
F
.70882 .48094 m
.71548 .48543 L
.7091 .49514 L
.70882 .49535 L
.70402 .50486 L
.69911 .50931 L
.68964 .50486 L
.69758 .49514 L
.69911 .49236 L
.70666 .48543 L
F
.72824 .15519 m
.73796 .15499 L
.74767 .15506 L
.75285 .15521 L
.75738 .15541 L
.76709 .15619 L
.77681 .15775 L
.78652 .16117 L
.79099 .16492 L
.78725 .17463 L
.78652 .17503 L
.77681 .17812 L
.76709 .17952 L
.75738 .18022 L
.74767 .18054 L
.73796 .1806 L
.72824 .18042 L
.71853 .17993 L
.70882 .17895 L
.69911 .17692 L
.69356 .17463 L
.68969 .16492 L
.69911 .15908 L
.70882 .15684 L
.71853 .15574 L
.72779 .15521 L
F
.69911 .21837 m
.70882 .21646 L
.71853 .21555 L
.72824 .21511 L
.73796 .21494 L
.74767 .215 L
.75738 .21529 L
.76709 .21593 L
.77681 .21723 L
.78652 .22017 L
.79083 .22319 L
.78806 .23291 L
.78652 .23392 L
.77681 .23749 L
.76709 .23915 L
.75738 .23999 L
.74767 .24038 L
.73796 .24045 L
.72824 .24023 L
.71853 .23964 L
.70882 .23846 L
.69911 .23609 L
.69272 .23291 L
.68987 .22319 L
F
.69911 .51243 m
.70678 .51457 L
.70223 .52428 L
.69911 .52705 L
.68989 .52428 L
.69791 .51457 L
F
.69911 .49268 m
.70842 .49514 L
.70368 .50486 L
.69911 .509 L
.68995 .50486 L
.69775 .49514 L
F
.69911 .53224 m
.70528 .53399 L
.70027 .54371 L
.69911 .54471 L
.69011 .54371 L
.69812 .53399 L
F
.69911 .493 m
.70786 .49514 L
.70335 .50486 L
.69911 .50869 L
.69026 .50486 L
.69793 .49514 L
F
.69911 .51276 m
.70623 .51457 L
.70181 .52428 L
.69911 .52667 L
.69029 .52428 L
.6981 .51457 L
F
.72824 .12551 m
.73796 .12527 L
.74767 .12535 L
.75738 .12578 L
.76138 .12607 L
.76709 .12669 L
.77681 .12846 L
.78652 .1323 L
.7902 .13578 L
.78652 .14501 L
.78569 .14549 L
.77681 .14811 L
.76709 .14945 L
.75738 .15011 L
.74767 .15042 L
.73796 .15047 L
.72824 .1503 L
.71853 .14984 L
.70882 .1489 L
.69911 .14695 L
.69519 .14549 L
.6904 .13578 L
.69911 .12995 L
.70882 .12742 L
.71853 .12616 L
.71933 .12607 L
F
.69911 .18903 m
.70882 .18684 L
.71853 .18577 L
.72824 .18525 L
.73796 .18506 L
.74767 .18512 L
.75738 .18546 L
.76709 .18621 L
.77681 .18773 L
.78652 .1911 L
.79014 .19406 L
.78688 .20377 L
.78652 .20401 L
.77681 .20755 L
.76709 .20916 L
.75738 .20998 L
.74767 .21035 L
.73796 .21042 L
.72824 .21021 L
.71853 .20964 L
.70882 .20849 L
.69911 .20617 L
.69398 .20377 L
.69046 .19406 L
F
.69911 .49332 m
.70729 .49514 L
.70301 .50486 L
.69911 .50837 L
.6906 .50486 L
.69811 .49514 L
F
.70882 .46263 m
.71484 .46601 L
.70928 .47572 L
.70882 .47605 L
.70424 .48543 L
.69911 .49017 L
.69071 .48543 L
.69796 .47572 L
.69911 .4736 L
.70725 .46601 L
F
.69911 .5131 m
.70565 .51457 L
.70139 .52428 L
.69911 .52629 L
.69071 .52428 L
.69829 .51457 L
F
.69911 .53265 m
.70459 .53399 L
.69962 .54371 L
.69911 .54414 L
.69075 .54371 L
.69836 .53399 L
F
.69911 .49365 m
.7067 .49514 L
.70266 .50486 L
.69911 .50806 L
.69095 .50486 L
.69829 .49514 L
F
.69911 .47398 m
.70841 .47572 L
.70391 .48543 L
.69911 .48986 L
.69104 .48543 L
.69817 .47572 L
F
.69911 .24851 m
.70882 .24663 L
.71853 .24574 L
.72824 .24531 L
.73796 .24515 L
.74767 .2452 L
.75738 .24549 L
.76709 .24611 L
.77681 .24739 L
.78652 .25031 L
.78951 .25233 L
.78712 .26204 L
.78652 .26251 L
.77681 .26662 L
.76709 .26852 L
.75738 .2695 L
.74767 .26995 L
.73796 .27004 L
.72824 .26978 L
.71853 .26909 L
.70882 .26773 L
.69911 .26502 L
.69371 .26204 L
.69113 .25233 L
F
.69911 .51344 m
.70503 .51457 L
.70095 .52428 L
.69911 .52589 L
.69117 .52428 L
.69848 .51457 L
F
.69911 .49398 m
.70608 .49514 L
.70231 .50486 L
.69911 .50773 L
.69131 .50486 L
.69847 .49514 L
F
.69911 .47436 m
.70768 .47572 L
.70357 .48543 L
.69911 .48954 L
.69138 .48543 L
.69837 .47572 L
F
.71853 .09664 m
.72824 .09588 L
.73796 .09559 L
.74767 .09569 L
.75738 .09619 L
.76479 .09693 L
.76709 .09725 L
.77681 .09923 L
.78652 .10363 L
.78933 .10664 L
.78652 .11469 L
.78362 .11636 L
.77681 .11813 L
.76709 .1194 L
.75738 .12002 L
.74767 .12031 L
.73796 .12036 L
.72824 .1202 L
.71853 .11977 L
.70882 .11888 L
.69911 .117 L
.69715 .11636 L
.6914 .10664 L
.69911 .10091 L
.70882 .09807 L
.71607 .09693 L
F
.69911 .15987 m
.70882 .15732 L
.71853 .15608 L
.72824 .15548 L
.73796 .15525 L
.74767 .15533 L
.75738 .15572 L
.76709 .15659 L
.77681 .15835 L
.78652 .16237 L
.78922 .16492 L
.78652 .17377 L
.78531 .17463 L
.77681 .17759 L
.76709 .17916 L
.75738 .17994 L
.74767 .1803 L
.73796 .18036 L
.72824 .18016 L
.71853 .17962 L
.70882 .17852 L
.69911 .17621 L
.69551 .17463 L
.69152 .16492 L
F
.69911 .51379 m
.70435 .51457 L
.7005 .52428 L
.69911 .52549 L
.69169 .52428 L
.69868 .51457 L
F
.69911 .49432 m
.70541 .49514 L
.70196 .50486 L
.69911 .5074 L
.69171 .50486 L
.69866 .49514 L
F
.69911 .47475 m
.70691 .47572 L
.70322 .48543 L
.69911 .48921 L
.69174 .48543 L
.69858 .47572 L
F
.69911 .47515 m
.70609 .47572 L
.70288 .48543 L
.69911 .48888 L
.69211 .48543 L
.6988 .47572 L
F
.69911 .49467 m
.70467 .49514 L
.70159 .50486 L
.69911 .50706 L
.69212 .50486 L
.69885 .49514 L
F
.69911 .45561 m
.70784 .45629 L
.70395 .46601 L
.69911 .47058 L
.69221 .46601 L
.69874 .45629 L
F
.69911 .51415 m
.70358 .51457 L
.70002 .52428 L
.69911 .52507 L
.69228 .52428 L
.69888 .51457 L
F
.69911 .27851 m
.70882 .2767 L
.71853 .27586 L
.72824 .27546 L
.73796 .27531 L
.74767 .27536 L
.75738 .27562 L
.76709 .27621 L
.77681 .27742 L
.78652 .28033 L
.78838 .28147 L
.78653 .29118 L
.78652 .29119 L
.77681 .29586 L
.76709 .29795 L
.75738 .29902 L
.74767 .29952 L
.73796 .29962 L
.72824 .29933 L
.71853 .29857 L
.70882 .29708 L
.69911 .29406 L
.69429 .29118 L
.69238 .28147 L
F
.69911 .18982 m
.70882 .1873 L
.71853 .1861 L
.72824 .18552 L
.73796 .1853 L
.74767 .18537 L
.75738 .18575 L
.76709 .1866 L
.77681 .18831 L
.78652 .19234 L
.78834 .19406 L
.78652 .20248 L
.78488 .20377 L
.77681 .20693 L
.76709 .20875 L
.75738 .20966 L
.74767 .21007 L
.73796 .21015 L
.72824 .20991 L
.71853 .20928 L
.70882 .208 L
.69911 .20535 L
.69596 .20377 L
.69239 .19406 L
F
.69911 .47555 m
.70515 .47572 L
.70252 .48543 L
.69911 .48855 L
.69251 .48543 L
.69902 .47572 L
F
.69911 .21938 m
.70882 .21705 L
.71853 .21597 L
.72824 .21545 L
.73796 .21526 L
.74767 .21532 L
.75738 .21566 L
.76709 .21642 L
.77681 .21798 L
.78652 .22174 L
.78826 .22319 L
.78652 .23189 L
.78531 .23291 L
.77681 .23657 L
.76709 .23852 L
.75738 .2395 L
.74767 .23995 L
.73796 .24003 L
.72824 .23977 L
.71853 .23909 L
.70882 .23771 L
.69911 .23487 L
.6955 .23291 L
.69251 .22319 L
F
.69911 .49503 m
.7038 .49514 L
.70122 .50486 L
.69911 .50672 L
.69258 .50486 L
.69904 .49514 L
F
.69911 .45616 m
.70658 .45629 L
.70354 .46601 L
.69911 .47018 L
.69263 .46601 L
.69904 .45629 L
F
.72824 .12594 m
.73796 .12566 L
.74767 .12575 L
.75481 .12607 L
.75738 .12623 L
.76709 .12726 L
.77681 .1293 L
.78652 .13411 L
.78795 .13578 L
.78652 .14303 L
.78307 .14549 L
.77681 .14746 L
.76709 .14902 L
.75738 .14978 L
.74767 .15013 L
.73796 .15019 L
.72824 .15 L
.71853 .14947 L
.70882 .14838 L
.69911 .14606 L
.69771 .14549 L
.69281 .13578 L
.69911 .13109 L
.70882 .1281 L
.71853 .12666 L
.72545 .12607 L
F
.69911 .47603 m
.70216 .48543 L
.69911 .48821 L
.69292 .48543 L
F
.69911 .51453 m
.70258 .51457 L
.69952 .52428 L
.69911 .52463 L
.69297 .52428 L
.69909 .51457 L
F
.69911 .45675 m
.70312 .46601 L
.69911 .46978 L
.69307 .46601 L
F
.69911 .49552 m
.70083 .50486 L
.69911 .50636 L
.69308 .50486 L
F
.69911 .1607 m
.70882 .1578 L
.71853 .15643 L
.72824 .15577 L
.73796 .15552 L
.74767 .1556 L
.75738 .15604 L
.76709 .157 L
.77681 .15896 L
.78652 .16377 L
.78757 .16492 L
.78652 .17204 L
.78343 .17463 L
.77681 .17704 L
.76709 .1788 L
.75738 .17966 L
.74767 .18006 L
.73796 .18013 L
.72824 .17991 L
.71853 .17931 L
.70882 .17808 L
.69911 .17545 L
.69734 .17463 L
.69323 .16492 L
F
.69911 .43745 m
.70393 .44658 L
.69911 .4513 L
.69327 .44658 L
F
.69911 .4178 m
.70487 .42716 L
.69911 .43304 L
.69327 .42716 L
F
.69911 .47657 m
.70179 .48543 L
.69911 .48786 L
.69337 .48543 L
F
.69911 .45737 m
.7027 .46601 L
.69911 .46938 L
.69353 .46601 L
F
.69911 .39867 m
.70535 .40773 L
.69911 .41443 L
.69364 .40773 L
F
.69911 .49611 m
.70042 .50486 L
.69911 .506 L
.69364 .50486 L
F
.69911 .47715 m
.70141 .48543 L
.69911 .4875 L
.69384 .48543 L
F
.69911 .43829 m
.70335 .44658 L
.69911 .45072 L
.69386 .44658 L
F
.69911 .45801 m
.70227 .46601 L
.69911 .46896 L
.69403 .46601 L
F
.69911 .41914 m
.70391 .42716 L
.69911 .43208 L
.69416 .42716 L
F
.69911 .19065 m
.70882 .18777 L
.71853 .18644 L
.72824 .18579 L
.73796 .18555 L
.74767 .18563 L
.75738 .18605 L
.76709 .18698 L
.77681 .18891 L
.78652 .19384 L
.78671 .19406 L
.78652 .20031 L
.78296 .20377 L
.77681 .2063 L
.76709 .20834 L
.75738 .20934 L
.74767 .20979 L
.73796 .20988 L
.72824 .20962 L
.71853 .20892 L
.70882 .2075 L
.69911 .20448 L
.6978 .20377 L
.69417 .19406 L
F
.69911 .49677 m
.69999 .50486 L
.69911 .50562 L
.69429 .50486 L
F
.69911 .47776 m
.70101 .48543 L
.69911 .48713 L
.69437 .48543 L
F
.69911 .43915 m
.70275 .44658 L
.69911 .45012 L
.69448 .44658 L
F
.69911 .45869 m
.70182 .46601 L
.69911 .46852 L
.69455 .46601 L
F
.69911 .38082 m
.70482 .38831 L
.69911 .39497 L
.69473 .38831 L
F
.69911 .1616 m
.70882 .1583 L
.71853 .15679 L
.72824 .15606 L
.73796 .15579 L
.74767 .15587 L
.75738 .15635 L
.76709 .15741 L
.77681 .15959 L
.78598 .16492 L
.78164 .17463 L
.77681 .17647 L
.76709 .17843 L
.75738 .17938 L
.74767 .17981 L
.73796 .17989 L
.72824 .17965 L
.71853 .17899 L
.70882 .17763 L
.69911 .17464 L
.69908 .17463 L
.69485 .16492 L
F
.69911 .22048 m
.70882 .21766 L
.71853 .2164 L
.72824 .2158 L
.73796 .21558 L
.74767 .21565 L
.75738 .21604 L
.76709 .21692 L
.77681 .21876 L
.7859 .22319 L
.7827 .23291 L
.77681 .23561 L
.76709 .23788 L
.75738 .239 L
.74767 .23951 L
.73796 .23961 L
.72824 .23932 L
.71853 .23854 L
.70882 .23695 L
.69911 .23354 L
.69805 .23291 L
.69493 .22319 L
F
.69911 .47844 m
.7006 .48543 L
.69911 .48675 L
.69496 .48543 L
F
.73796 .12606 m
.74329 .12607 L
.74767 .12616 L
.75738 .12668 L
.76709 .12784 L
.77681 .13018 L
.78589 .13578 L
.78064 .14549 L
.77681 .14677 L
.76709 .14858 L
.75738 .14945 L
.74767 .14984 L
.73796 .14991 L
.72824 .14969 L
.71853 .14909 L
.70882 .14785 L
.70007 .14549 L
.69911 .14498 L
.69499 .13578 L
.69911 .13232 L
.70882 .12879 L
.71853 .12716 L
.72824 .12636 L
.73731 .12607 L
F
.69911 .49752 m
.69953 .50486 L
.69911 .50522 L
.69511 .50486 L
F
.69911 .42054 m
.70291 .42716 L
.69911 .43105 L
.69512 .42716 L
F
.69911 .45942 m
.70135 .46601 L
.69911 .46807 L
.69513 .46601 L
F
.69911 .44007 m
.70212 .44658 L
.69911 .4495 L
.69516 .44658 L
F
.72824 .09674 m
.73796 .09639 L
.74767 .0965 L
.7552 .09693 L
.75738 .0971 L
.76709 .09835 L
.77681 .10086 L
.78554 .10664 L
.77918 .11636 L
.77681 .11704 L
.76709 .11871 L
.75738 .1195 L
.74767 .11985 L
.73796 .11991 L
.72824 .11971 L
.71853 .11917 L
.70882 .11803 L
.70157 .11636 L
.69911 .11515 L
.69528 .10664 L
.69911 .10316 L
.70882 .09937 L
.71853 .09762 L
.725 .09693 L
F
.69911 .40128 m
.70341 .40773 L
.69911 .41246 L
.69531 .40773 L
F
.69911 .47919 m
.70015 .48543 L
.69911 .48634 L
.69565 .48543 L
F
.69911 .46022 m
.70085 .46601 L
.69911 .46759 L
.69578 .46601 L
F
.69911 .19156 m
.70882 .18825 L
.71853 .18677 L
.72824 .18607 L
.73796 .18581 L
.74767 .18589 L
.75738 .18635 L
.76709 .18738 L
.77681 .18953 L
.78503 .19406 L
.78115 .20377 L
.77681 .20565 L
.76709 .20791 L
.75738 .20901 L
.74767 .20951 L
.73796 .2096 L
.72824 .20932 L
.71853 .20856 L
.70882 .20699 L
.69955 .20377 L
.69911 .20348 L
.69582 .19406 L
F
.69911 .44108 m
.70145 .44658 L
.69911 .44883 L
.69591 .44658 L
F
.69911 .25045 m
.70882 .2477 L
.71853 .24649 L
.72824 .24591 L
.73796 .2457 L
.74767 .24577 L
.75738 .24615 L
.76709 .24698 L
.77681 .24876 L
.78485 .25233 L
.78203 .26204 L
.77681 .26467 L
.76709 .26721 L
.75738 .26847 L
.74767 .26905 L
.73796 .26915 L
.72824 .26883 L
.71853 .26795 L
.70882 .26617 L
.69911 .26233 L
.69869 .26204 L
.696 .25233 L
F
.69911 .42207 m
.70182 .42716 L
.69911 .42993 L
.6962 .42716 L
F
.69911 .16258 m
.70882 .1588 L
.71853 .15714 L
.72824 .15635 L
.73796 .15605 L
.74767 .15615 L
.75738 .15667 L
.76709 .15782 L
.77681 .16025 L
.78442 .16492 L
.77993 .17463 L
.77681 .17587 L
.76709 .17806 L
.75738 .1791 L
.74767 .17956 L
.73796 .17965 L
.72824 .17939 L
.71853 .17867 L
.70882 .17718 L
.70081 .17463 L
.69911 .17352 L
.69638 .16492 L
F
.69911 .48009 m
.69967 .48543 L
.69911 .48592 L
.69652 .48543 L
F
.69911 .6072 m
.70604 .61169 L
.69911 .62069 L
.69653 .61169 L
F
.69911 .46114 m
.70031 .46601 L
.69911 .46709 L
.69653 .46601 L
F
.69911 .44223 m
.70071 .44658 L
.69911 .4481 L
.69677 .44658 L
F
.69911 .13372 m
.70882 .12951 L
.71853 .12766 L
.72824 .12677 L
.73796 .12644 L
.74767 .12655 L
.75738 .12713 L
.76709 .12842 L
.77681 .1311 L
.78381 .13578 L
.77837 .14549 L
.77681 .14605 L
.76709 .14813 L
.75738 .14911 L
.74767 .14955 L
.73796 .14963 L
.72824 .14938 L
.71853 .14871 L
.70882 .1473 L
.70239 .14549 L
.69911 .14347 L
.69699 .13578 L
F
.69911 .22175 m
.70882 .2183 L
.71853 .21684 L
.72824 .21615 L
.73796 .2159 L
.74767 .21598 L
.75738 .21643 L
.76709 .21744 L
.77681 .2196 L
.78361 .22319 L
.78025 .23291 L
.77681 .2346 L
.76709 .23724 L
.75738 .2385 L
.74767 .23908 L
.73796 .23918 L
.72824 .23886 L
.71853 .23798 L
.70882 .23617 L
.70048 .23291 L
.69911 .23186 L
.69716 .22319 L
F
.69911 .40431 m
.70117 .40773 L
.69911 .41003 L
.69733 .40773 L
F
.69911 .19259 m
.70882 .18875 L
.71853 .18712 L
.72824 .18635 L
.73796 .18606 L
.74767 .18615 L
.75738 .18666 L
.76709 .18778 L
.77681 .19019 L
.78341 .19406 L
.77943 .20377 L
.77681 .20496 L
.76709 .20749 L
.75738 .20869 L
.74767 .20923 L
.73796 .20933 L
.72824 .20902 L
.71853 .20819 L
.70882 .20647 L
.70131 .20377 L
.69911 .20215 L
.69737 .19406 L
F
.69911 .58938 m
.70478 .59227 L
.69911 .60007 L
.69747 .59227 L
F
.69911 .46228 m
.69971 .46601 L
.69911 .46654 L
.6975 .46601 L
F
.69911 .42395 m
.70056 .42716 L
.69911 .42861 L
.6975 .42716 L
F
.69911 .16369 m
.70882 .15932 L
.71853 .15751 L
.72824 .15664 L
.73796 .15632 L
.74767 .15643 L
.75738 .15699 L
.76709 .15825 L
.77681 .16094 L
.78292 .16492 L
.77829 .17463 L
.77681 .17524 L
.76709 .17768 L
.75738 .17881 L
.74767 .17932 L
.73796 .17941 L
.72824 .17912 L
.71853 .17835 L
.70882 .17671 L
.70248 .17463 L
.69911 .17214 L
.69784 .16492 L
F
.69911 .57062 m
.70455 .57284 L
.69911 .58098 L
.69786 .57284 L
F
.69911 .44372 m
.69987 .44658 L
.69911 .44728 L
.69787 .44658 L
F
.69911 .5515 m
.7048 .55342 L
.69911 .56275 L
.69802 .55342 L
F
.69911 .48127 m
.69914 .48543 L
.69911 .48546 L
.69813 .48543 L
F
.73796 .06751 m
.74767 .06766 L
.75012 .06779 L
.75738 .06837 L
.76709 .06989 L
.77681 .07306 L
.78247 .07751 L
.77681 .08614 L
.7736 .08722 L
.76709 .08828 L
.75738 .08912 L
.74767 .0895 L
.73796 .08956 L
.72824 .08935 L
.71853 .08878 L
.70882 .08754 L
.70718 .08722 L
.69911 .08297 L
.69827 .07751 L
.69911 .07642 L
.70882 .07117 L
.71853 .069 L
.72824 .06794 L
.73066 .06779 L
F
.69911 .55209 m
.70385 .55342 L
.69911 .56161 L
.69837 .55342 L
F
.69911 .57166 m
.70299 .57284 L
.69911 .57901 L
.69846 .57284 L
F
.69911 .53308 m
.70382 .53399 L
.69911 .54348 L
.6986 .53399 L
F
.69911 .10614 m
.70882 .10073 L
.71853 .09858 L
.72824 .09755 L
.73796 .09716 L
.74767 .09729 L
.75738 .09797 L
.76709 .09946 L
.77681 .10264 L
.78202 .10664 L
.77681 .11565 L
.77508 .11636 L
.76709 .11797 L
.75738 .11895 L
.74767 .11938 L
.73796 .11946 L
.72824 .11922 L
.71853 .11855 L
.70882 .11712 L
.70571 .11636 L
.69911 .11193 L
.69871 .10664 L
F
.69911 .59154 m
.70167 .59227 L
.69911 .59615 L
.69873 .59227 L
F
.69911 .55273 m
.70271 .55342 L
.69911 .56028 L
.69873 .55342 L
F
.69911 .19379 m
.70882 .18926 L
.71853 .18747 L
.72824 .18663 L
.73796 .18632 L
.74767 .18642 L
.75738 .18696 L
.76709 .1882 L
.77681 .19089 L
.78187 .19406 L
.77778 .20377 L
.77681 .20423 L
.76709 .20705 L
.75738 .20836 L
.74767 .20894 L
.73796 .20905 L
.72824 .20872 L
.71853 .20782 L
.70882 .20593 L
.703 .20377 L
.69911 .20039 L
.69884 .19406 L
F
.69911 .13547 m
.70882 .13024 L
.71853 .12818 L
.72824 .12719 L
.73796 .12683 L
.74767 .12695 L
.75738 .12759 L
.76709 .12902 L
.77681 .13209 L
.78186 .13578 L
.77681 .14521 L
.77619 .14549 L
.76709 .14767 L
.75738 .14877 L
.74767 .14925 L
.73796 .14934 L
.72824 .14907 L
.71853 .14832 L
.70882 .14672 L
.70461 .14549 L
.69911 .14128 L
.69885 .13578 L
F
.69911 .53353 m
.70291 .53399 L
.69911 .54259 L
.69885 .53399 L
F
.70882 .15986 m
.71853 .15787 L
.72824 .15694 L
.73796 .15659 L
.74767 .15671 L
.75738 .15731 L
.76709 .15868 L
.77681 .16167 L
.78148 .16492 L
.77681 .17457 L
.77669 .17463 L
.76709 .17729 L
.75738 .17852 L
.74767 .17907 L
.73796 .17916 L
.72824 .17886 L
.71853 .17802 L
.70882 .17622 L
.70411 .17463 L
.69924 .16492 L
F
.70882 .21897 m
.71853 .21729 L
.72824 .21651 L
.73796 .21623 L
.74767 .21632 L
.75738 .21683 L
.76709 .21797 L
.77681 .22051 L
.78146 .22319 L
.77794 .23291 L
.77681 .2335 L
.76709 .23657 L
.75738 .238 L
.74767 .23864 L
.73796 .23876 L
.72824 .2384 L
.71853 .23742 L
.70882 .23536 L
.70284 .23291 L
.69926 .22319 L
F
.70882 .40954 m
.70945 .41744 L
.70882 .41788 L
.69985 .41744 L
F
.70882 .24886 m
.71853 .24727 L
.72824 .24654 L
.73796 .24627 L
.74767 .24636 L
.75738 .24683 L
.76709 .24791 L
.77681 .25035 L
.78057 .25233 L
.77754 .26204 L
.77681 .26247 L
.76709 .26587 L
.75738 .26744 L
.74767 .26814 L
.73796 .26828 L
.72824 .26787 L
.71853 .26679 L
.70882 .26453 L
.70324 .26204 L
.70014 .25233 L
F
.70882 .18979 m
.71853 .18782 L
.72824 .18691 L
.73796 .18658 L
.74767 .18669 L
.75738 .18728 L
.76709 .18862 L
.77681 .19164 L
.7804 .19406 L
.77681 .20338 L
.77616 .20377 L
.76709 .20661 L
.75738 .20803 L
.74767 .20866 L
.73796 .20877 L
.72824 .20842 L
.71853 .20745 L
.70882 .20537 L
.70464 .20377 L
.70032 .19406 L
F
.70882 .39002 m
.71059 .39802 L
.70882 .39927 L
.70061 .39802 L
F
.70882 .16041 m
.71853 .15824 L
.72824 .15724 L
.73796 .15687 L
.74767 .15699 L
.75738 .15764 L
.76709 .15912 L
.77681 .16246 L
.78009 .16492 L
.77681 .17366 L
.7751 .17463 L
.76709 .17689 L
.75738 .17822 L
.74767 .17881 L
.73796 .17892 L
.72824 .17859 L
.71853 .17768 L
.70882 .17572 L
.70569 .17463 L
.70065 .16492 L
F
.70882 .13101 m
.71853 .1287 L
.72824 .12761 L
.73796 .12721 L
.74767 .12734 L
.75738 .12805 L
.76709 .12963 L
.77681 .13319 L
.78002 .13578 L
.77681 .14406 L
.77403 .14549 L
.76709 .1472 L
.75738 .14842 L
.74767 .14896 L
.73796 .14905 L
.72824 .14875 L
.71853 .14792 L
.70882 .14612 L
.70676 .14549 L
.7007 .13578 L
F
.70882 .30825 m
.71853 .30699 L
.72824 .30643 L
.73796 .30622 L
.74767 .30629 L
.75738 .30666 L
.76709 .30751 L
.77681 .30942 L
.77992 .31061 L
.77844 .32032 L
.77681 .32137 L
.76709 .32491 L
.75738 .32658 L
.74767 .32734 L
.73796 .32748 L
.72824 .32707 L
.71853 .32583 L
.70882 .32359 L
.70222 .32032 L
.70118 .31061 L
F
.70882 .21968 m
.71853 .21775 L
.72824 .21688 L
.73796 .21656 L
.74767 .21667 L
.75738 .21723 L
.76709 .21852 L
.77681 .22153 L
.77942 .22319 L
.77681 .23218 L
.77569 .23291 L
.76709 .2359 L
.75738 .23749 L
.74767 .2382 L
.73796 .23833 L
.72824 .23793 L
.71853 .23684 L
.70882 .2345 L
.7051 .23291 L
.70133 .22319 L
F
.70882 .19035 m
.71853 .18818 L
.72824 .1872 L
.73796 .18684 L
.74767 .18696 L
.75738 .18759 L
.76709 .18905 L
.77681 .19246 L
.77898 .19406 L
.77681 .20231 L
.77455 .20377 L
.76709 .20615 L
.75738 .20769 L
.74767 .20837 L
.73796 .20849 L
.72824 .20811 L
.71853 .20706 L
.70882 .20479 L
.70625 .20377 L
.70176 .19406 L
F
.70882 .10219 m
.71853 .09957 L
.72824 .09835 L
.73796 .0979 L
.74767 .09805 L
.75738 .09884 L
.76709 .10062 L
.77681 .10477 L
.77879 .10664 L
.77681 .11353 L
.7711 .11636 L
.76709 .1172 L
.75738 .11838 L
.74767 .1189 L
.73796 .11899 L
.72824 .1187 L
.71853 .11791 L
.70966 .11636 L
.70882 .11606 L
.70197 .10664 L
F
.70882 .16099 m
.71853 .15862 L
.72824 .15754 L
.73796 .15714 L
.74767 .15727 L
.75738 .15797 L
.76709 .15957 L
.77681 .16334 L
.77874 .16492 L
.77681 .17259 L
.77353 .17463 L
.76709 .17648 L
.75738 .17793 L
.74767 .17856 L
.73796 .17867 L
.72824 .17832 L
.71853 .17734 L
.70882 .17519 L
.70726 .17463 L
.70202 .16492 L
F
.70882 .13182 m
.71853 .12923 L
.72824 .12804 L
.73796 .1276 L
.74767 .12774 L
.75738 .12852 L
.76709 .13027 L
.77681 .13444 L
.77826 .13578 L
.77681 .14263 L
.77191 .14549 L
.76709 .1467 L
.75738 .14806 L
.74767 .14865 L
.73796 .14876 L
.72824 .14843 L
.71853 .14751 L
.70886 .14549 L
.70882 .14548 L
.7025 .13578 L
F
.70882 .19094 m
.71853 .18855 L
.72824 .18749 L
.73796 .1871 L
.74767 .18723 L
.75738 .18791 L
.76709 .1895 L
.77681 .1934 L
.77761 .19406 L
.77681 .20099 L
.77296 .20377 L
.76709 .20568 L
.75738 .20735 L
.74767 .20808 L
.73796 .20821 L
.72824 .2078 L
.71853 .20667 L
.70882 .20418 L
.70782 .20377 L
.70317 .19406 L
F
.70882 .22043 m
.71853 .21823 L
.72824 .21726 L
.73796 .21691 L
.74767 .21702 L
.75738 .21765 L
.76709 .2191 L
.77681 .22272 L
.77747 .22319 L
.77681 .23041 L
.77349 .23291 L
.76709 .23519 L
.75738 .23697 L
.74767 .23776 L
.73796 .2379 L
.72824 .23746 L
.71853 .23625 L
.70882 .23359 L
.7073 .23291 L
.70331 .22319 L
F
.70882 .1616 m
.71853 .159 L
.72824 .15784 L
.73796 .15742 L
.74767 .15756 L
.75738 .15831 L
.76709 .16004 L
.77681 .16435 L
.77743 .16492 L
.77681 .17125 L
.77198 .17463 L
.76709 .17606 L
.75738 .17762 L
.74767 .1783 L
.73796 .17842 L
.72824 .17804 L
.71853 .17699 L
.70882 .17464 L
.7088 .17463 L
.70335 .16492 L
F
.70882 .27948 m
.71853 .27771 L
.72824 .27693 L
.73796 .27665 L
.74767 .27674 L
.75738 .27724 L
.76709 .27841 L
.77681 .28127 L
.77718 .28147 L
.77681 .28956 L
.77461 .29118 L
.76709 .29423 L
.75738 .29615 L
.74767 .29701 L
.73796 .29716 L
.72824 .29668 L
.71853 .29537 L
.70882 .29253 L
.70619 .29118 L
.70361 .28147 L
F
.70882 .25018 m
.71853 .2481 L
.72824 .24719 L
.73796 .24686 L
.74767 .24697 L
.75738 .24755 L
.76709 .24892 L
.77674 .25233 L
.77331 .26204 L
.76709 .26445 L
.75738 .26638 L
.74767 .26723 L
.73796 .26739 L
.72824 .26691 L
.71853 .2656 L
.70882 .2627 L
.70748 .26204 L
.70406 .25233 L
F
.70882 .1327 m
.71853 .12977 L
.72824 .12847 L
.73796 .128 L
.74767 .12815 L
.75738 .12899 L
.76709 .13092 L
.77656 .13578 L
.7698 .14549 L
.76709 .14619 L
.75738 .1477 L
.74767 .14834 L
.73796 .14846 L
.72824 .1481 L
.71853 .14709 L
.71094 .14549 L
.70882 .14458 L
.70424 .13578 L
F
.70882 .55487 m
.71643 .56313 L
.70882 .57215 L
.7045 .56313 L
F
.70882 .19156 m
.71853 .18893 L
.72824 .18779 L
.73796 .18737 L
.74767 .18751 L
.75738 .18824 L
.76709 .18996 L
.77626 .19406 L
.77139 .20377 L
.76709 .2052 L
.75738 .207 L
.74767 .20778 L
.73796 .20792 L
.72824 .20749 L
.71853 .20628 L
.70937 .20377 L
.70882 .20348 L
.70454 .19406 L
F
.70882 .16225 m
.71853 .1594 L
.72824 .15815 L
.73796 .1577 L
.74767 .15785 L
.75738 .15865 L
.76709 .16052 L
.77614 .16492 L
.77043 .17463 L
.76709 .17563 L
.75738 .17732 L
.74767 .17804 L
.73796 .17817 L
.72824 .17776 L
.71853 .17664 L
.71032 .17463 L
.70882 .1739 L
.70466 .16492 L
F
.70882 .57455 m
.71523 .58256 L
.70882 .58987 L
.70476 .58256 L
F
.70882 .53602 m
.7167 .54371 L
.70882 .55341 L
.70483 .54371 L
F
.70882 .594 m
.71414 .60198 L
.70882 .60782 L
.70499 .60198 L
F
.70882 .10384 m
.71853 .10058 L
.72824 .09916 L
.73796 .09865 L
.74767 .09881 L
.75738 .09973 L
.76709 .10185 L
.77573 .10664 L
.76712 .11636 L
.76709 .11636 L
.75738 .1178 L
.74767 .1184 L
.73796 .11851 L
.72824 .11817 L
.71853 .11722 L
.71358 .11636 L
.70882 .1145 L
.70506 .10664 L
F
.70882 .22126 m
.71853 .21873 L
.72824 .21764 L
.73796 .21725 L
.74767 .21738 L
.75738 .21807 L
.76709 .21971 L
.77555 .22319 L
.77131 .23291 L
.76709 .23446 L
.75738 .23645 L
.74767 .23731 L
.73796 .23746 L
.72824 .23698 L
.71853 .23565 L
.70946 .23291 L
.70882 .23255 L
.70524 .22319 L
F
.70882 .537 m
.71574 .54371 L
.70882 .5522 L
.70541 .54371 L
F
.70882 .55643 m
.71493 .56313 L
.70882 .5703 L
.70546 .56313 L
F
.70882 .51835 m
.7157 .52428 L
.70882 .53318 L
.70584 .52428 L
F
.70882 .19224 m
.71853 .18932 L
.72824 .18809 L
.73796 .18764 L
.74767 .18779 L
.75738 .18858 L
.76709 .19044 L
.77492 .19406 L
.76982 .20377 L
.76709 .20469 L
.75738 .20665 L
.74767 .20748 L
.73796 .20764 L
.72824 .20717 L
.71853 .20587 L
.71092 .20377 L
.70882 .20261 L
.70588 .19406 L
F
.70882 .13366 m
.71853 .13033 L
.72824 .12891 L
.73796 .12839 L
.74767 .12856 L
.75738 .12947 L
.76709 .13161 L
.77486 .13578 L
.76768 .14549 L
.76709 .14565 L
.75738 .14732 L
.74767 .14803 L
.73796 .14816 L
.72824 .14776 L
.71853 .14666 L
.71303 .14549 L
.70882 .14353 L
.70594 .13578 L
F
.70882 .16296 m
.71853 .1598 L
.72824 .15846 L
.73796 .15798 L
.74767 .15814 L
.75738 .15899 L
.76709 .16101 L
.77485 .16492 L
.76889 .17463 L
.76709 .17517 L
.75738 .177 L
.74767 .17778 L
.73796 .17791 L
.72824 .17748 L
.71853 .17627 L
.71184 .17463 L
.70882 .17307 L
.70594 .16492 L
F
.70882 .53802 m
.71476 .54371 L
.70882 .55097 L
.706 .54371 L
F
.70882 .07515 m
.71853 .07154 L
.72824 .07 L
.73796 .06944 L
.74767 .06962 L
.75738 .07061 L
.76709 .07292 L
.77479 .07751 L
.76709 .08626 L
.7632 .08722 L
.75738 .08787 L
.74767 .08843 L
.73796 .08854 L
.72824 .08822 L
.71853 .08733 L
.71775 .08722 L
.70882 .08427 L
.70601 .07751 L
F
.70882 .51911 m
.71495 .52428 L
.70882 .53223 L
.70626 .52428 L
F
.70882 .49996 m
.7153 .50486 L
.70882 .51384 L
.70642 .50486 L
F
.70882 .55815 m
.71336 .56313 L
.70882 .56837 L
.7065 .56313 L
F
.70882 .53911 m
.71374 .54371 L
.70882 .54969 L
.70662 .54371 L
F
.70882 .5199 m
.71417 .52428 L
.70882 .53124 L
.7067 .52428 L
F
.70882 .50065 m
.7146 .50486 L
.70882 .51296 L
.70679 .50486 L
F
.70882 .57785 m
.71231 .58256 L
.70882 .58635 L
.70684 .58256 L
F
.70882 .48166 m
.71471 .48543 L
.70882 .49449 L
.70703 .48543 L
F
.70882 .22219 m
.71853 .21924 L
.72824 .21803 L
.73796 .21761 L
.74767 .21774 L
.75738 .21851 L
.76709 .22036 L
.77366 .22319 L
.76914 .23291 L
.76709 .23368 L
.75738 .23591 L
.74767 .23685 L
.73796 .23702 L
.72824 .2365 L
.71853 .23502 L
.71159 .23291 L
.70882 .23121 L
.70712 .22319 L
F
.70882 .52074 m
.71334 .52428 L
.70882 .53018 L
.70716 .52428 L
F
.70882 .50136 m
.71386 .50486 L
.70882 .51201 L
.70716 .50486 L
F
.70882 .19298 m
.71853 .18972 L
.72824 .18839 L
.73796 .18792 L
.74767 .18807 L
.75738 .18892 L
.76709 .19095 L
.77359 .19406 L
.76825 .20377 L
.76709 .20417 L
.75738 .20629 L
.74767 .20718 L
.73796 .20734 L
.72824 .20685 L
.71853 .20545 L
.71247 .20377 L
.70882 .2016 L
.7072 .19406 L
F
.70882 .16373 m
.71853 .16021 L
.72824 .15878 L
.73796 .15827 L
.74767 .15843 L
.75738 .15935 L
.76709 .16153 L
.77358 .16492 L
.76732 .17463 L
.76709 .1747 L
.75738 .17668 L
.74767 .17751 L
.73796 .17766 L
.72824 .1772 L
.71853 .1759 L
.71338 .17463 L
.70882 .17209 L
.7072 .16492 L
F
.70882 .5403 m
.71262 .54371 L
.70882 .54829 L
.70728 .54371 L
F
.70882 .4824 m
.71391 .48543 L
.70882 .49349 L
.7074 .48543 L
F
.70882 .50212 m
.71306 .50486 L
.70882 .51098 L
.70755 .50486 L
F
.70882 .13478 m
.71853 .1309 L
.72824 .12935 L
.73796 .1288 L
.74767 .12897 L
.75738 .12997 L
.76709 .13234 L
.77319 .13578 L
.76709 .14495 L
.76564 .14549 L
.75738 .14694 L
.74767 .14771 L
.73796 .14785 L
.72824 .14742 L
.71853 .1462 L
.71517 .14549 L
.70882 .14221 L
.7076 .13578 L
F
.70882 .52165 m
.71243 .52428 L
.70882 .529 L
.70763 .52428 L
F
.70882 .56025 m
.71152 .56313 L
.70882 .56613 L
.70765 .56313 L
F
.70882 .46356 m
.71378 .46601 L
.70882 .47503 L
.7077 .46601 L
F
.70882 .25177 m
.71853 .249 L
.72824 .24788 L
.73796 .24748 L
.74767 .24761 L
.75738 .24832 L
.76709 .25004 L
.77303 .25233 L
.76917 .26204 L
.76709 .2629 L
.75738 .26529 L
.74767 .26631 L
.73796 .26649 L
.72824 .26592 L
.71853 .26434 L
.71156 .26204 L
.70882 .2603 L
.70775 .25233 L
F
.70882 .48319 m
.71302 .48543 L
.70882 .49237 L
.7078 .48543 L
F
.70882 .50294 m
.71217 .50486 L
.70882 .5098 L
.70796 .50486 L
F
.70882 .5417 m
.71129 .54371 L
.70882 .54662 L
.70799 .54371 L
F
.70882 .10591 m
.71853 .10166 L
.72824 .09999 L
.73796 .0994 L
.74767 .09959 L
.75738 .10065 L
.76709 .1032 L
.77275 .10664 L
.76709 .11512 L
.76322 .11636 L
.75738 .11718 L
.74767 .11789 L
.73796 .11801 L
.72824 .11762 L
.71853 .11649 L
.71773 .11636 L
.70882 .11223 L
.70803 .10664 L
F
.70882 .52268 m
.71135 .52428 L
.70882 .52759 L
.70814 .52428 L
F
.70882 .46455 m
.71255 .46601 L
.70882 .47362 L
.70817 .46601 L
F
.70882 .48405 m
.71199 .48543 L
.70882 .49104 L
.70821 .48543 L
F
.70882 .50386 m
.71105 .50486 L
.70882 .50831 L
.7084 .50486 L
F
.70882 .16463 m
.71853 .16064 L
.72824 .1591 L
.73796 .15856 L
.74767 .15874 L
.75738 .15971 L
.76709 .16208 L
.77232 .16492 L
.76709 .1741 L
.76584 .17463 L
.75738 .17636 L
.74767 .17724 L
.73796 .17739 L
.72824 .1769 L
.71853 .17551 L
.71496 .17463 L
.70882 .17083 L
.70846 .16492 L
F
.70882 .19383 m
.71853 .19013 L
.72824 .1887 L
.73796 .1882 L
.74767 .18836 L
.75738 .18927 L
.76709 .19148 L
.77227 .19406 L
.76709 .20358 L
.76669 .20377 L
.75738 .20593 L
.74767 .20688 L
.73796 .20705 L
.72824 .20652 L
.71853 .20502 L
.71404 .20377 L
.70882 .20033 L
.70851 .19406 L
F
.70882 .48501 m
.71053 .48543 L
.70882 .48919 L
.70864 .48543 L
F
.70882 .46567 m
.71077 .46601 L
.70882 .4717 L
.70868 .46601 L
F
.70882 .52394 m
.7097 .52428 L
.70882 .52544 L
.70869 .52428 L
F
.70882 .44647 m
.7107 .44658 L
.70882 .45443 L
.70877 .44658 L
F
.70882 .54365 m
.70895 .54371 L
.70882 .54383 L
.7088 .54371 L
F
.71853 .21978 m
.72824 .21844 L
.73796 .21797 L
.74767 .21812 L
.75738 .21897 L
.76709 .22106 L
.7718 .22319 L
.76709 .23284 L
.76695 .23291 L
.75738 .23536 L
.74767 .23639 L
.73796 .23657 L
.72824 .236 L
.71853 .23437 L
.71376 .23291 L
.70898 .22319 L
F
.71853 .1315 m
.72824 .1298 L
.73796 .1292 L
.74767 .1294 L
.75738 .13047 L
.76709 .13312 L
.77154 .13578 L
.76709 .14413 L
.76353 .14549 L
.75738 .14654 L
.74767 .14738 L
.73796 .14753 L
.72824 .14706 L
.71853 .14573 L
.71741 .14549 L
.70923 .13578 L
F
.71853 .16108 m
.72824 .15943 L
.73796 .15886 L
.74767 .15904 L
.75738 .16008 L
.76709 .16267 L
.77107 .16492 L
.76709 .17341 L
.76431 .17463 L
.75738 .17602 L
.74767 .17696 L
.73796 .17713 L
.72824 .17661 L
.71853 .17511 L
.71658 .17463 L
.7097 .16492 L
F
.71853 .19056 m
.72824 .18902 L
.73796 .18848 L
.74767 .18866 L
.75738 .18962 L
.76709 .19205 L
.77096 .19406 L
.76709 .20286 L
.76518 .20377 L
.75738 .20555 L
.74767 .20657 L
.73796 .20675 L
.72824 .20618 L
.71853 .20457 L
.71566 .20377 L
.7098 .19406 L
F
.71853 .22035 m
.72824 .21886 L
.73796 .21834 L
.74767 .21851 L
.75738 .21944 L
.76709 .22182 L
.76994 .22319 L
.76709 .23176 L
.76486 .23291 L
.75738 .23479 L
.74767 .23592 L
.73796 .23612 L
.72824 .23549 L
.71853 .23369 L
.716 .23291 L
.7108 .22319 L
F
.71853 .13213 m
.72824 .13027 L
.73796 .12962 L
.74767 .12983 L
.75738 .131 L
.76709 .13399 L
.76989 .13578 L
.76709 .14316 L
.76124 .14549 L
.75738 .14613 L
.74767 .14705 L
.73796 .14721 L
.72824 .1467 L
.71944 .14549 L
.71853 .14516 L
.71085 .13578 L
F
.71853 .16154 m
.72824 .15977 L
.73796 .15916 L
.74767 .15935 L
.75738 .16046 L
.76709 .1633 L
.76981 .16492 L
.76709 .17264 L
.76271 .17463 L
.75738 .17568 L
.74767 .17668 L
.73796 .17686 L
.72824 .1763 L
.71853 .1747 L
.71826 .17463 L
.71093 .16492 L
F
.71853 .10281 m
.72824 .10086 L
.73796 .10018 L
.74767 .1004 L
.75738 .10162 L
.76709 .10477 L
.76981 .10664 L
.76709 .11354 L
.75864 .11636 L
.75738 .11652 L
.74767 .11735 L
.73796 .1175 L
.72824 .11704 L
.72155 .11636 L
.71853 .11549 L
.71093 .10664 L
F
.71853 .19101 m
.72824 .18935 L
.73796 .18877 L
.74767 .18896 L
.75738 .18999 L
.76709 .19266 L
.76965 .19406 L
.76709 .20205 L
.7636 .20377 L
.75738 .20517 L
.74767 .20625 L
.73796 .20644 L
.72824 .20584 L
.71853 .20411 L
.71733 .20377 L
.71109 .19406 L
F
.71853 .562 m
.7265 .56313 L
.72233 .57284 L
.71853 .57626 L
.71121 .57284 L
.71798 .56313 L
F
.71853 .58157 m
.72526 .58256 L
.72042 .59227 L
.71853 .59387 L
.71126 .59227 L
.71804 .58256 L
F
.71853 .24998 m
.72824 .2486 L
.73796 .24813 L
.74767 .24828 L
.75738 .24914 L
.76709 .25135 L
.7694 .25233 L
.76709 .26099 L
.7651 .26204 L
.75738 .26415 L
.74767 .26535 L
.73796 .26557 L
.72824 .2649 L
.71853 .26298 L
.71575 .26204 L
.71133 .25233 L
F
.71853 .16202 m
.72824 .16011 L
.73796 .15946 L
.74767 .15967 L
.75738 .16085 L
.76709 .164 L
.76855 .16492 L
.76709 .17174 L
.76099 .17463 L
.75738 .17532 L
.74767 .17639 L
.73796 .17658 L
.72824 .17599 L
.71963 .17463 L
.71853 .17417 L
.71217 .16492 L
F
.71853 .19148 m
.72824 .18968 L
.73796 .18907 L
.74767 .18926 L
.75738 .19037 L
.76709 .19334 L
.76834 .19406 L
.76709 .20109 L
.76193 .20377 L
.75738 .20477 L
.74767 .20593 L
.73796 .20613 L
.72824 .2055 L
.71892 .20377 L
.71853 .20359 L
.71238 .19406 L
F
.71853 .1328 m
.72824 .13074 L
.73796 .13005 L
.74767 .13027 L
.75738 .13154 L
.76709 .13498 L
.76823 .13578 L
.76709 .14195 L
.7587 .14549 L
.75738 .1457 L
.74767 .1467 L
.73796 .14688 L
.72824 .14633 L
.7215 .14549 L
.71853 .14447 L
.71248 .13578 L
F
.71853 .22096 m
.72824 .21929 L
.73796 .21872 L
.74767 .21891 L
.75738 .21993 L
.76709 .22269 L
.76807 .22319 L
.76709 .23045 L
.76262 .23291 L
.75738 .23419 L
.74767 .23543 L
.73796 .23565 L
.72824 .23497 L
.71853 .23296 L
.71835 .23291 L
.71264 .22319 L
F
.71853 .07448 m
.72824 .07217 L
.73796 .0714 L
.74767 .07164 L
.75738 .07306 L
.76709 .07709 L
.76756 .07751 L
.76709 .08219 L
.75738 .08614 L
.74854 .08722 L
.74767 .08726 L
.73796 .08741 L
.73228 .08722 L
.72824 .08686 L
.71853 .0849 L
.71315 .07751 L
F
.71853 .27997 m
.72824 .27861 L
.73796 .27815 L
.74767 .2783 L
.75738 .27913 L
.76709 .28135 L
.76741 .28147 L
.76709 .28942 L
.76394 .29118 L
.75738 .29307 L
.74767 .29441 L
.73796 .29465 L
.72824 .29391 L
.71853 .29175 L
.71697 .29118 L
.7133 .28147 L
F
.71853 .16253 m
.72824 .16046 L
.73796 .15977 L
.74767 .15999 L
.75738 .16125 L
.76709 .16479 L
.76728 .16492 L
.76709 .17058 L
.75913 .17463 L
.75738 .17496 L
.74767 .1761 L
.73796 .1763 L
.72824 .17568 L
.72113 .17463 L
.71853 .17358 L
.71342 .16492 L
F
.71853 .50552 m
.72389 .51457 L
.71853 .5198 L
.71347 .51457 L
F
.71853 .52503 m
.72273 .53399 L
.71853 .53791 L
.71349 .53399 L
F
.71853 .46637 m
.72586 .47572 L
.71853 .48354 L
.71358 .47572 L
F
.71853 .5445 m
.72135 .55342 L
.71853 .55592 L
.71361 .55342 L
F
.71853 .19197 m
.72824 .19002 L
.73796 .18937 L
.74767 .18958 L
.75738 .19077 L
.76702 .19406 L
.76012 .20377 L
.75738 .20436 L
.74767 .2056 L
.73796 .20582 L
.72824 .20514 L
.72031 .20377 L
.71853 .20296 L
.71369 .19406 L
F
.71853 .10411 m
.72824 .10176 L
.73796 .10098 L
.74767 .10123 L
.75738 .10265 L
.76686 .10664 L
.75738 .11564 L
.75318 .11636 L
.74767 .11679 L
.73796 .11696 L
.72824 .11643 L
.72739 .11636 L
.71853 .11423 L
.71386 .10664 L
F
.71853 .0456 m
.72824 .04311 L
.73796 .04229 L
.74767 .04255 L
.75738 .04405 L
.76671 .04837 L
.75738 .0561 L
.74767 .05723 L
.73796 .05742 L
.72824 .05682 L
.71853 .05481 L
.71402 .04837 L
F
.71853 .13353 m
.72824 .13124 L
.73796 .13048 L
.74767 .13072 L
.75738 .13211 L
.7666 .13578 L
.75738 .14519 L
.75593 .14549 L
.74767 .14635 L
.73796 .14654 L
.72824 .14594 L
.72419 .14549 L
.71853 .14368 L
.71414 .13578 L
F
.71853 .48714 m
.72397 .49514 L
.71853 .50066 L
.71424 .49514 L
F
.71853 .44828 m
.72545 .45629 L
.71853 .4641 L
.71448 .45629 L
F
.71853 .22162 m
.72824 .21974 L
.73796 .21912 L
.74767 .21932 L
.75738 .22045 L
.76625 .22319 L
.76015 .23291 L
.75738 .23357 L
.74767 .23493 L
.73796 .23517 L
.72824 .23443 L
.72029 .23291 L
.71853 .23205 L
.71452 .22319 L
F
.71853 .16307 m
.72824 .16082 L
.73796 .16009 L
.74767 .16032 L
.75738 .16167 L
.76607 .16492 L
.75738 .17457 L
.75711 .17463 L
.74767 .1758 L
.73796 .17601 L
.72824 .17535 L
.72295 .17463 L
.71853 .17293 L
.7147 .16492 L
F
.71853 .46843 m
.72418 .47572 L
.71853 .48173 L
.71476 .47572 L
F
.71853 .50766 m
.72222 .51457 L
.71853 .51807 L
.71493 .51457 L
F
.71853 .42954 m
.7255 .43687 L
.71853 .44526 L
.71498 .43687 L
F
.71853 .2511 m
.72824 .24938 L
.73796 .24881 L
.74767 .24899 L
.75738 .25004 L
.76581 .25233 L
.76069 .26204 L
.75738 .26291 L
.74767 .26435 L
.73796 .2646 L
.72824 .26381 L
.71986 .26204 L
.71853 .26137 L
.71498 .25233 L
F
.71853 .1925 m
.72824 .19037 L
.73796 .18968 L
.74767 .1899 L
.75738 .19118 L
.76577 .19406 L
.75815 .20377 L
.75738 .20393 L
.74767 .20527 L
.73796 .2055 L
.72824 .20477 L
.72197 .20377 L
.71853 .20226 L
.71503 .19406 L
F
.71853 .48917 m
.72239 .49514 L
.71853 .49895 L
.71553 .49514 L
F
.71853 .13433 m
.72824 .13175 L
.73796 .13093 L
.74767 .13119 L
.75738 .13271 L
.765 .13578 L
.75738 .14457 L
.75286 .14549 L
.74767 .14598 L
.73796 .14619 L
.72824 .14554 L
.72779 .14549 L
.71853 .14277 L
.71585 .13578 L
F
.71853 .52814 m
.72039 .53399 L
.71853 .5356 L
.71587 .53399 L
F
.71853 .45103 m
.72318 .45629 L
.71853 .46155 L
.716 .45629 L
F
.71853 .16365 m
.72824 .16119 L
.73796 .16041 L
.74767 .16066 L
.75738 .16211 L
.76485 .16492 L
.75738 .17407 L
.75503 .17463 L
.74767 .1755 L
.73796 .17572 L
.72824 .17501 L
.72519 .17463 L
.71853 .1722 L
.71601 .16492 L
F
.71853 .47067 m
.72239 .47572 L
.71853 .47974 L
.71609 .47572 L
F
.71853 .19307 m
.72824 .19074 L
.73796 .18999 L
.74767 .19023 L
.75738 .19161 L
.76448 .19406 L
.75738 .20343 L
.75609 .20377 L
.74767 .20492 L
.73796 .20517 L
.72824 .20439 L
.72401 .20377 L
.71853 .20147 L
.7164 .19406 L
F
.71853 .22234 m
.72824 .22021 L
.73796 .21953 L
.74767 .21974 L
.75738 .22101 L
.76443 .22319 L
.75738 .23291 L
.75738 .23291 L
.74767 .23442 L
.73796 .23468 L
.72824 .23386 L
.72268 .23291 L
.71853 .23099 L
.71646 .22319 L
F
.71853 .41334 m
.72325 .41744 L
.71853 .42403 L
.71671 .41744 L
F
.71853 .51047 m
.72021 .51457 L
.71853 .51604 L
.71684 .51457 L
F
.71853 .10566 m
.72824 .10272 L
.73796 .10182 L
.74767 .1021 L
.75738 .10379 L
.76398 .10664 L
.75738 .11455 L
.74767 .11614 L
.7438 .11636 L
.73796 .11638 L
.73685 .11636 L
.72824 .11558 L
.71853 .11253 L
.71693 .10664 L
F
.71853 .49173 m
.72049 .49514 L
.71853 .49694 L
.7171 .49514 L
F
.71853 .43399 m
.72167 .43687 L
.71853 .44081 L
.7173 .43687 L
F
.71853 .1643 m
.72824 .16158 L
.73796 .16074 L
.74767 .16101 L
.75738 .16257 L
.76358 .16492 L
.75738 .17353 L
.75271 .17463 L
.74767 .17518 L
.73796 .17542 L
.72824 .17466 L
.72797 .17463 L
.71853 .17132 L
.71735 .16492 L
F
.71853 .13524 m
.72824 .13228 L
.73796 .13139 L
.74767 .13167 L
.75738 .13335 L
.76333 .13578 L
.75738 .14388 L
.749 .14549 L
.74767 .1456 L
.73796 .14582 L
.73181 .14549 L
.72824 .14501 L
.71853 .1416 L
.71761 .13578 L
F
.71853 .47359 m
.7201 .47572 L
.71853 .47721 L
.71771 .47572 L
F
.71853 .19371 m
.72824 .19111 L
.73796 .19032 L
.74767 .19057 L
.75738 .19206 L
.76314 .19406 L
.75738 .20285 L
.75387 .20377 L
.74767 .20457 L
.73796 .20483 L
.72824 .204 L
.72655 .20377 L
.71853 .20053 L
.71782 .19406 L
F
.71853 .45453 m
.72024 .45629 L
.71853 .45811 L
.71785 .45629 L
F
.71853 .39716 m
.72043 .39802 L
.71853 .40231 L
.71821 .39802 L
F
.71853 .22317 m
.72824 .2207 L
.73796 .21995 L
.74767 .22019 L
.75738 .2216 L
.76249 .22319 L
.75738 .23208 L
.75444 .23291 L
.74767 .23388 L
.73796 .23417 L
.72824 .23327 L
.72588 .23291 L
.71853 .22964 L
.71848 .22319 L
F
.72824 .16198 m
.73796 .16108 L
.74767 .16137 L
.75738 .16306 L
.76225 .16492 L
.75738 .17295 L
.74996 .17463 L
.74767 .17486 L
.73796 .17511 L
.73082 .17463 L
.72824 .17422 L
.71868 .16492 L
F
.72824 .25023 m
.73796 .24955 L
.74767 .24976 L
.75738 .25104 L
.7621 .25233 L
.75738 .26146 L
.75539 .26204 L
.74767 .26329 L
.73796 .26359 L
.72824 .26264 L
.72478 .26204 L
.71879 .25233 L
F
.72824 .19151 m
.73796 .19065 L
.74767 .19092 L
.75738 .19254 L
.76172 .19406 L
.75738 .20221 L
.75133 .20377 L
.74767 .2042 L
.73796 .20448 L
.72942 .20377 L
.72824 .20355 L
.71907 .19406 L
F
.72824 .45486 m
.73536 .45629 L
.73257 .46601 L
.72824 .4693 L
.71909 .46601 L
.72773 .45629 L
F
.72824 .13285 m
.73796 .13187 L
.74767 .13217 L
.75738 .13404 L
.76155 .13578 L
.75738 .1431 L
.74767 .14512 L
.73796 .14543 L
.72824 .14442 L
.7192 .13578 L
F
.72824 .1624 m
.73796 .16144 L
.74767 .16174 L
.75738 .16358 L
.76083 .16492 L
.75738 .17229 L
.74767 .17449 L
.74616 .17463 L
.73796 .17479 L
.73464 .17463 L
.72824 .17374 L
.71975 .16492 L
F
.72824 .10377 m
.73796 .10271 L
.74767 .10304 L
.75738 .1051 L
.76078 .10664 L
.75738 .11318 L
.74767 .11527 L
.73796 .11559 L
.72824 .11457 L
.71979 .10664 L
F
.72824 .22123 m
.73796 .2204 L
.74767 .22066 L
.75738 .22225 L
.76039 .22319 L
.75738 .23113 L
.75092 .23291 L
.74767 .23332 L
.73796 .23364 L
.72984 .23291 L
.72824 .2326 L
.7201 .22319 L
F
.72824 .19192 m
.73796 .191 L
.74767 .19128 L
.75738 .19306 L
.76021 .19406 L
.75738 .2015 L
.74816 .20377 L
.74767 .20382 L
.73796 .20412 L
.73267 .20377 L
.72824 .20303 L
.72024 .19406 L
F
.72824 .07471 m
.73796 .07357 L
.74767 .07392 L
.75738 .07617 L
.76009 .07751 L
.75738 .08324 L
.74767 .0854 L
.73796 .08571 L
.72824 .08469 L
.72034 .07751 L
F
.72824 .13345 m
.73796 .13236 L
.74767 .1327 L
.75738 .13482 L
.75961 .13578 L
.75738 .14215 L
.74767 .14458 L
.73796 .14493 L
.72824 .14377 L
.72073 .13578 L
F
.72824 .16284 m
.73796 .1618 L
.74767 .16212 L
.75738 .16415 L
.75932 .16492 L
.75738 .17153 L
.74767 .17405 L
.73796 .17442 L
.72824 .17321 L
.72097 .16492 L
F
.72824 .19235 m
.73796 .19135 L
.74767 .19166 L
.75738 .19362 L
.75858 .19406 L
.75738 .20066 L
.74767 .20335 L
.73796 .20374 L
.72824 .20246 L
.7216 .19406 L
F
.72824 .22179 m
.73796 .22086 L
.74767 .22115 L
.75738 .22297 L
.75807 .22319 L
.75738 .22998 L
.74767 .2327 L
.74574 .23291 L
.73796 .23308 L
.73505 .23291 L
.72824 .2318 L
.72205 .22319 L
F
.72824 .43998 m
.73027 .44658 L
.72824 .44809 L
.72222 .44658 L
F
.72824 .25118 m
.73796 .25034 L
.74767 .25061 L
.75738 .25224 L
.75772 .25233 L
.75738 .25951 L
.74829 .26204 L
.74767 .26212 L
.73796 .26248 L
.73254 .26204 L
.72824 .26124 L
.72236 .25233 L
F
.72824 .1633 m
.73796 .16218 L
.74767 .16252 L
.75738 .16479 L
.7577 .16492 L
.75738 .17058 L
.74767 .17358 L
.73796 .17399 L
.72824 .17264 L
.72238 .16492 L
F
.72824 .1341 m
.73796 .13289 L
.74767 .13326 L
.75738 .13573 L
.75749 .13578 L
.75738 .14089 L
.74767 .14398 L
.73796 .14438 L
.72824 .14303 L
.72258 .13578 L
F
.72824 .10498 m
.73796 .10368 L
.74767 .10408 L
.75708 .10664 L
.74767 .11426 L
.73796 .11466 L
.72824 .11331 L
.72298 .10664 L
F
.72824 .19281 m
.73796 .19173 L
.74767 .19206 L
.75687 .19406 L
.74767 .20284 L
.73796 .20327 L
.72824 .20184 L
.72319 .19406 L
F
.72824 .28069 m
.73796 .27993 L
.74767 .28016 L
.75671 .28147 L
.74945 .29118 L
.74767 .29143 L
.73796 .29181 L
.73135 .29118 L
.72824 .29057 L
.72336 .28147 L
F
.72824 .1638 m
.73796 .16257 L
.74767 .16295 L
.75605 .16492 L
.74767 .17308 L
.73796 .17353 L
.72824 .172 L
.72406 .16492 L
F
.72824 .22241 m
.73796 .22136 L
.74767 .22168 L
.7556 .22319 L
.74767 .23196 L
.73796 .23242 L
.72824 .23088 L
.72455 .22319 L
F
.72824 .13482 m
.73796 .13344 L
.74767 .13386 L
.7553 .13578 L
.74767 .14331 L
.73796 .14378 L
.72824 .14216 L
.72489 .13578 L
F
.72824 .42316 m
.72944 .42716 L
.72824 .42803 L
.72492 .42716 L
F
.72824 .19331 m
.73796 .19212 L
.74767 .19248 L
.75511 .19406 L
.74767 .20229 L
.73796 .20277 L
.72824 .20113 L
.72511 .19406 L
F
.72824 .16435 m
.73796 .16299 L
.74767 .1634 L
.75429 .16492 L
.74767 .17252 L
.73796 .17303 L
.72824 .17124 L
.72605 .16492 L
F
.72824 .19386 m
.73796 .19253 L
.74767 .19293 L
.75317 .19406 L
.74767 .20168 L
.73796 .20222 L
.72824 .20028 L
.7274 .19406 L
F
.72824 .55163 m
.73283 .55342 L
.72824 .55976 L
.72755 .55342 L
F
.72824 .10648 m
.73796 .10477 L
.74767 .10527 L
.75291 .10664 L
.74767 .11299 L
.73796 .11354 L
.72824 .11148 L
.72773 .10664 L
F
.72824 .2231 m
.73796 .22189 L
.74767 .22225 L
.75286 .22319 L
.74767 .23112 L
.73796 .23166 L
.72824 .22977 L
.72778 .22319 L
F
.72824 .13565 m
.73796 .13404 L
.74767 .13452 L
.75285 .13578 L
.74767 .14253 L
.73796 .1431 L
.72824 .14101 L
.72779 .13578 L
F
.72824 .5717 m
.73152 .57284 L
.72824 .57676 L
.72782 .57284 L
F
.72824 .25231 m
.73796 .25124 L
.74767 .25156 L
.7526 .25233 L
.74767 .26064 L
.73796 .26116 L
.72824 .25938 L
.7281 .25233 L
F
.73796 .16343 m
.74767 .16388 L
.75234 .16492 L
.74767 .17189 L
.73796 .17248 L
.72839 .16492 L
F
.73796 .19297 m
.74767 .19341 L
.75097 .19406 L
.74767 .20098 L
.73796 .20162 L
.72979 .19406 L
F
.73796 .1639 m
.74767 .16441 L
.75009 .16492 L
.74767 .17116 L
.73796 .17187 L
.73069 .16492 L
F
.73796 .1347 m
.74767 .13526 L
.74994 .13578 L
.74767 .14158 L
.73796 .1423 L
.73084 .13578 L
F
.73796 .07635 m
.74767 .07699 L
.74955 .07751 L
.74767 .08231 L
.73796 .08305 L
.73125 .07751 L
F
.73796 .22246 m
.74767 .22289 L
.74953 .22319 L
.74767 .23013 L
.73796 .2308 L
.73126 .22319 L
F
.73796 .19344 m
.74767 .19394 L
.7483 .19406 L
.74767 .20015 L
.73796 .20094 L
.73253 .19406 L
F
.73796 .16441 m
.74725 .16492 L
.73796 .17115 L
.73359 .16492 L
F
.73796 .10608 m
.74701 .10664 L
.73796 .11202 L
.73382 .10664 L
F
.73796 .13545 m
.74578 .13578 L
.73796 .14131 L
.735 .13578 L
F
.73796 .22311 m
.74403 .22319 L
.73796 .22976 L
.73665 .22319 L
F
.73796 .19396 m
.74397 .19406 L
.73796 .20012 L
.7367 .19406 L
F
.73796 .25228 m
.74367 .25233 L
.73796 .25944 L
.73697 .25233 L
F
.73796 .5222 m
.74058 .52428 L
.73796 .52667 L
.73727 .52428 L
F
.73796 .48345 m
.74147 .48543 L
.73796 .48965 L
.73729 .48543 L
F
.87393 .07383 m
.88364 .07044 L
.89336 .06983 L
.90307 .072 L
.91278 .07702 L
.91351 .07751 L
.92249 .08547 L
.92408 .08722 L
.93132 .09693 L
.93221 .09832 L
.93673 .10664 L
.94112 .11636 L
.94192 .11835 L
.94441 .12607 L
.94708 .13578 L
.94922 .14549 L
.95081 .15521 L
.95163 .16208 L
.9518 .16492 L
.95221 .17463 L
.95221 .18434 L
.9518 .19406 L
.95163 .19689 L
.95081 .20377 L
.94922 .21348 L
.94708 .22319 L
.94441 .23291 L
.94192 .24062 L
.94112 .24262 L
.93673 .25233 L
.93221 .26065 L
.93132 .26204 L
.92408 .27176 L
.92249 .27351 L
.91351 .28147 L
.91278 .28196 L
.90307 .28698 L
.89336 .28914 L
.88364 .28854 L
.87393 .28514 L
.86756 .28147 L
.86422 .2787 L
.85715 .27176 L
.85451 .26857 L
.84988 .26204 L
.84479 .25358 L
.84425 .25233 L
.84026 .24262 L
.83746 .23291 L
.83509 .22319 L
.83508 .22316 L
.83219 .21348 L
.82741 .20377 L
.82537 .19953 L
.82458 .19406 L
.82537 .19219 L
.82879 .18434 L
.83072 .17463 L
.83147 .16492 L
.83107 .15521 L
.83023 .14549 L
.83215 .13578 L
.83508 .12859 L
.83637 .12607 L
.84048 .11636 L
.84473 .10664 L
.84479 .1065 L
.85002 .09693 L
.85451 .09043 L
.85713 .08722 L
.86422 .08025 L
.86754 .07751 L
F
.87393 .08305 m
.88364 .07934 L
.89336 .07869 L
.90307 .08104 L
.91278 .08657 L
.91366 .08722 L
.92249 .09597 L
.92328 .09693 L
.9299 .10664 L
.93221 .11078 L
.93484 .11636 L
.93871 .12607 L
.94179 .13578 L
.94192 .13623 L
.94393 .14549 L
.94553 .15521 L
.9466 .16492 L
.94714 .17463 L
.94714 .18434 L
.9466 .19406 L
.94553 .20377 L
.94393 .21348 L
.94192 .22275 L
.94179 .22319 L
.93871 .23291 L
.93484 .24262 L
.93221 .2482 L
.9299 .25233 L
.92328 .26204 L
.92249 .26301 L
.91366 .27176 L
.91278 .27241 L
.90307 .27793 L
.89336 .28029 L
.88364 .27963 L
.87393 .27592 L
.86742 .27176 L
.86422 .26883 L
.85792 .26204 L
.85451 .25745 L
.85131 .25233 L
.84637 .24262 L
.84479 .23872 L
.84282 .23291 L
.83999 .22319 L
.83729 .21348 L
.83508 .20673 L
.83441 .20377 L
.83291 .19406 L
.83395 .18434 L
.8349 .17463 L
.83508 .17263 L
.83559 .16492 L
.83584 .15521 L
.83664 .14549 L
.8392 .13578 L
.84248 .12607 L
.84479 .12009 L
.84649 .11636 L
.85147 .10664 L
.85451 .10172 L
.85798 .09693 L
.86422 .09015 L
.86741 .08722 L
F
.88364 .0866 m
.89336 .08591 L
.8998 .08722 L
.90307 .08843 L
.91278 .09447 L
.91563 .09693 L
.92249 .10485 L
.92378 .10664 L
.92956 .11636 L
.93221 .12189 L
.93388 .12607 L
.93716 .13578 L
.93969 .14549 L
.94153 .15521 L
.94192 .15746 L
.94264 .16492 L
.94317 .17463 L
.94317 .18434 L
.94264 .19406 L
.94192 .20151 L
.94153 .20377 L
.93969 .21348 L
.93716 .22319 L
.93388 .23291 L
.93221 .23709 L
.92956 .24262 L
.92378 .25233 L
.92249 .25413 L
.91563 .26204 L
.91278 .26451 L
.90307 .27055 L
.8998 .27176 L
.89336 .27306 L
.88364 .27237 L
.88143 .27176 L
.87393 .26836 L
.86556 .26204 L
.86422 .26061 L
.85742 .25233 L
.85451 .2478 L
.85172 .24262 L
.84751 .23291 L
.84479 .2249 L
.84428 .22319 L
.84164 .21348 L
.83955 .20377 L
.83814 .19406 L
.83798 .18434 L
.83857 .17463 L
.83921 .16492 L
.83996 .15521 L
.84149 .14549 L
.84386 .13578 L
.84479 .13236 L
.84729 .12607 L
.85176 .11636 L
.85451 .11135 L
.8575 .10664 L
.86422 .0984 L
.86558 .09693 L
.87393 .09061 L
.88143 .08722 L
F
.88364 .09289 m
.89336 .09214 L
.90307 .09484 L
.90756 .09693 L
.91278 .10137 L
.91796 .10664 L
.92249 .11281 L
.92469 .11636 L
.92958 .12607 L
.93221 .13266 L
.93323 .13578 L
.93588 .14549 L
.93782 .15521 L
.93908 .16492 L
.93971 .17463 L
.93971 .18434 L
.93908 .19406 L
.93782 .20377 L
.93588 .21348 L
.93323 .22319 L
.93221 .22631 L
.92958 .23291 L
.92469 .24262 L
.92249 .24616 L
.91796 .25233 L
.91278 .25761 L
.90756 .26204 L
.90307 .26413 L
.89336 .26683 L
.88364 .26608 L
.87431 .26204 L
.87393 .26181 L
.86422 .25335 L
.86333 .25233 L
.85654 .24262 L
.85451 .23887 L
.85176 .23291 L
.84817 .22319 L
.84529 .21348 L
.84479 .21172 L
.84327 .20377 L
.84207 .19406 L
.84157 .18434 L
.84185 .17463 L
.8425 .16492 L
.84348 .15521 L
.84479 .14679 L
.84509 .14549 L
.84788 .13578 L
.85166 .12607 L
.85451 .12008 L
.85657 .11636 L
.86337 .10664 L
.86422 .10567 L
.87393 .09717 L
.87432 .09693 L
F
.87393 .10311 m
.88364 .09849 L
.89336 .09768 L
.90307 .10059 L
.91198 .10664 L
.91278 .10762 L
.92006 .11636 L
.92249 .12027 L
.92556 .12607 L
.9296 .13578 L
.93221 .14409 L
.93256 .14549 L
.93458 .15521 L
.9359 .16492 L
.93655 .17463 L
.93655 .18434 L
.9359 .19406 L
.93458 .20377 L
.93256 .21348 L
.93221 .21488 L
.9296 .22319 L
.92556 .23291 L
.92249 .2387 L
.92006 .24262 L
.91278 .25135 L
.91198 .25233 L
.90307 .25839 L
.89336 .26129 L
.88364 .26049 L
.87393 .25587 L
.86927 .25233 L
.86422 .24667 L
.86122 .24262 L
.85572 .23291 L
.85451 .23025 L
.85175 .22319 L
.84874 .21348 L
.84645 .20377 L
.845 .19406 L
.84479 .19151 L
.84457 .18434 L
.84479 .17538 L
.84483 .17463 L
.84553 .16492 L
.84668 .15521 L
.84864 .14549 L
.8516 .13578 L
.85451 .12845 L
.85564 .12607 L
.86123 .11636 L
.86422 .11234 L
.86929 .10664 L
F
.88364 .10363 m
.89336 .10278 L
.90307 .10587 L
.90473 .10664 L
.91278 .11348 L
.91535 .11636 L
.92173 .12607 L
.92249 .12752 L
.92617 .13578 L
.92938 .14549 L
.93165 .15521 L
.93221 .15793 L
.93305 .16492 L
.93373 .17463 L
.93373 .18434 L
.93305 .19406 L
.93221 .20104 L
.93165 .20377 L
.92938 .21348 L
.92617 .22319 L
.92249 .23145 L
.92173 .23291 L
.91535 .24262 L
.91278 .2455 L
.90473 .25233 L
.90307 .25311 L
.89336 .25619 L
.88364 .25534 L
.87683 .25233 L
.87393 .2504 L
.86583 .24262 L
.86422 .24035 L
.85955 .23291 L
.85511 .22319 L
.85451 .22161 L
.85189 .21348 L
.84956 .20377 L
.84808 .19406 L
.84749 .18434 L
.84765 .17463 L
.84836 .16492 L
.84969 .15521 L
.85183 .14549 L
.85451 .137 L
.85498 .13578 L
.85951 .12607 L
.86422 .11862 L
.86584 .11636 L
.87393 .10858 L
.87684 .10664 L
F
.87393 .11375 m
.88364 .10844 L
.89336 .10752 L
.90307 .11084 L
.91074 .11636 L
.91278 .11906 L
.91795 .12607 L
.92249 .13484 L
.9229 .13578 L
.92638 .14549 L
.9288 .15521 L
.93034 .16492 L
.93109 .17463 L
.93109 .18434 L
.93034 .19406 L
.9288 .20377 L
.92638 .21348 L
.9229 .22319 L
.92249 .22413 L
.91795 .23291 L
.91278 .23991 L
.91074 .24262 L
.90307 .24813 L
.89336 .25145 L
.88364 .25054 L
.87393 .24523 L
.87081 .24262 L
.86422 .23423 L
.86337 .23291 L
.85837 .22319 L
.85484 .21348 L
.85451 .21241 L
.8524 .20377 L
.85086 .19406 L
.85018 .18434 L
.85028 .17463 L
.85103 .16492 L
.85248 .15521 L
.85451 .14644 L
.85479 .14549 L
.8583 .13578 L
.86335 .12607 L
.86422 .12472 L
.87082 .11636 L
F
.88364 .11301 m
.89336 .11204 L
.90307 .11558 L
.90453 .11636 L
.91278 .12451 L
.91398 .12607 L
.9197 .13578 L
.92249 .14253 L
.9235 .14549 L
.9261 .15521 L
.92774 .16492 L
.92854 .17463 L
.92854 .18434 L
.92774 .19406 L
.9261 .20377 L
.9235 .21348 L
.92249 .21645 L
.9197 .22319 L
.91398 .23291 L
.91278 .23446 L
.90453 .24262 L
.90307 .2434 L
.89336 .24694 L
.88364 .24596 L
.87701 .24262 L
.87393 .24026 L
.86712 .23291 L
.86422 .22815 L
.8616 .22319 L
.85773 .21348 L
.85506 .20377 L
.85451 .20166 L
.85343 .19406 L
.8527 .18434 L
.85277 .17463 L
.85357 .16492 L
.85451 .15811 L
.85514 .15521 L
.8577 .14549 L
.86156 .13578 L
.86422 .13077 L
.8671 .12607 L
.87393 .11872 L
.87701 .11636 L
F
.87393 .12357 m
.88364 .11741 L
.89336 .11637 L
.90307 .12017 L
.91029 .12607 L
.91278 .12992 L
.91645 .13578 L
.9207 .14549 L
.92249 .15115 L
.9235 .15521 L
.92526 .16492 L
.9261 .17463 L
.9261 .18434 L
.92526 .19406 L
.9235 .20377 L
.92249 .20783 L
.9207 .21348 L
.91645 .22319 L
.91278 .22905 L
.91029 .23291 L
.90307 .2388 L
.89336 .24261 L
.88364 .24156 L
.87393 .2354 L
.87136 .23291 L
.86483 .22319 L
.86422 .22194 L
.86057 .21348 L
.8577 .20377 L
.85591 .19406 L
.85511 .18434 L
.85517 .17463 L
.85602 .16492 L
.85774 .15521 L
.86055 .14549 L
.86422 .13696 L
.8648 .13578 L
.87135 .12607 L
F
.88364 .12171 m
.89336 .12059 L
.90307 .12469 L
.90521 .12607 L
.91278 .13543 L
.913 .13578 L
.91788 .14549 L
.92096 .15521 L
.92249 .16235 L
.92284 .16492 L
.92374 .17463 L
.92374 .18434 L
.92284 .19406 L
.92249 .19663 L
.92096 .20377 L
.91788 .21348 L
.913 .22319 L
.91278 .22354 L
.90521 .23291 L
.90307 .23429 L
.89336 .23838 L
.88364 .23726 L
.87644 .23291 L
.87393 .23059 L
.86805 .22319 L
.86422 .21539 L
.86343 .21348 L
.86028 .20377 L
.85837 .19406 L
.85748 .18434 L
.85752 .17463 L
.85844 .16492 L
.86032 .15521 L
.86341 .14549 L
.86422 .14353 L
.86803 .13578 L
.87393 .12837 L
.87643 .12607 L
F
.88364 .12595 m
.89336 .12475 L
.8978 .12607 L
.90307 .12918 L
.90995 .13578 L
.91278 .14114 L
.91496 .14549 L
.91841 .15521 L
.92046 .16492 L
.92143 .17463 L
.92143 .18434 L
.92046 .19406 L
.91841 .20377 L
.91496 .21348 L
.91278 .21784 L
.90995 .22319 L
.90307 .2298 L
.8978 .23291 L
.89336 .23423 L
.88364 .23302 L
.88338 .23291 L
.87393 .22574 L
.87175 .22319 L
.8662 .21348 L
.86422 .20819 L
.86287 .20377 L
.86078 .19406 L
.85982 .18434 L
.85985 .17463 L
.86083 .16492 L
.86289 .15521 L
.86422 .15081 L
.86619 .14549 L
.87173 .13578 L
.87393 .13322 L
.88338 .12607 L
F
.88364 .13019 m
.89336 .12889 L
.90307 .13372 L
.90565 .13578 L
.91208 .14549 L
.91278 .1473 L
.9158 .15521 L
.91808 .16492 L
.91914 .17463 L
.91914 .18434 L
.91808 .19406 L
.9158 .20377 L
.91278 .21167 L
.91208 .21348 L
.90565 .22319 L
.90307 .22525 L
.89336 .23009 L
.88364 .22878 L
.87606 .22319 L
.87393 .22077 L
.86915 .21348 L
.8654 .20377 L
.86422 .1996 L
.86321 .19406 L
.86215 .18434 L
.86217 .17463 L
.86325 .16492 L
.86422 .15957 L
.86542 .15521 L
.86914 .14549 L
.87393 .13819 L
.87605 .13578 L
F
.88364 .13449 m
.89336 .13306 L
.89978 .13578 L
.90307 .13837 L
.90925 .14549 L
.91278 .15443 L
.91305 .15521 L
.91562 .16492 L
.9168 .17463 L
.9168 .18434 L
.91562 .19406 L
.91305 .20377 L
.91278 .20455 L
.90925 .21348 L
.90307 .2206 L
.89978 .22319 L
.89336 .22591 L
.88364 .22448 L
.88146 .22319 L
.87393 .21552 L
.87254 .21348 L
.86798 .20377 L
.86557 .19406 L
.86449 .18434 L
.86451 .17463 L
.8656 .16492 L
.868 .15521 L
.87253 .14549 L
.87393 .14344 L
.88145 .13578 L
F
.88364 .13889 m
.89336 .13733 L
.90307 .14327 L
.90527 .14549 L
.91069 .15521 L
.91278 .16355 L
.91304 .16492 L
.91437 .17463 L
.91437 .18434 L
.91304 .19406 L
.91278 .19543 L
.91069 .20377 L
.90527 .21348 L
.90307 .2157 L
.89336 .22165 L
.88364 .22008 L
.87637 .21348 L
.87393 .2099 L
.87086 .20377 L
.86799 .19406 L
.86675 .18434 L
.86676 .17463 L
.86801 .16492 L
.87087 .15521 L
.87393 .14907 L
.87637 .14549 L
F
.88364 .14354 m
.89336 .14176 L
.90014 .14549 L
.90307 .14849 L
.9077 .15521 L
.91085 .16492 L
.91204 .17463 L
.91204 .18434 L
.91085 .19406 L
.9077 .20377 L
.90307 .21048 L
.90014 .21348 L
.89336 .21721 L
.88364 .21543 L
.8811 .21348 L
.87417 .20377 L
.87393 .20335 L
.87068 .19406 L
.86919 .18434 L
.8692 .17463 L
.87069 .16492 L
.87393 .15564 L
.87418 .15521 L
.8811 .14549 L
F
.88364 .14847 m
.89336 .14648 L
.90307 .15454 L
.90355 .15521 L
.90813 .16492 L
.90978 .17463 L
.90978 .18434 L
.90813 .19406 L
.90355 .20377 L
.90307 .20443 L
.89336 .21249 L
.88364 .2105 L
.87782 .20377 L
.87393 .19477 L
.87375 .19406 L
.87194 .18434 L
.87195 .17463 L
.87376 .16492 L
.87393 .16425 L
.87782 .15521 L
F
.88364 .15414 m
.89336 .15162 L
.89861 .15521 L
.90307 .1616 L
.90445 .16492 L
.90681 .17463 L
.90681 .18434 L
.90445 .19406 L
.90307 .19737 L
.89861 .20377 L
.89336 .20735 L
.88364 .20484 L
.88258 .20377 L
.87707 .19406 L
.87501 .18434 L
.87502 .17463 L
.87708 .16492 L
.88259 .15521 L
F
.88364 .16052 m
.89336 .15735 L
.90005 .16492 L
.90284 .17463 L
.90284 .18434 L
.90005 .19406 L
.89336 .20162 L
.88364 .19846 L
.88119 .19406 L
.87844 .18434 L
.87844 .17463 L
.88119 .16492 L
F
.88364 .17193 m
.89336 .16578 L
.89826 .17463 L
.89826 .18434 L
.89336 .1932 L
.88364 .18706 L
.88293 .18434 L
.88293 .17463 L
F
0 g
gsave
.25962 .17949 -70.3438 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(t) show
65.938 11.812 moveto
(=) show
72.688 11.812 moveto
(0) show
77.688 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
MathSubEnd
P
% End of sub-graphic
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[38]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3o
oolP0?ooo`40fMWI001>0?ooo`@000000P3oool4000003H0oooo0P00000i0?ooo`@000000P3oool4
000004`0oooo0@3IfMT004h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0f0?oo
o`040000003oool0oooo000003P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1=
0?ooo`40fMWI001?0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0=@3oool01000
0000oooo0?ooo`00000i0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0C03oool1
0=WIf@00B03oool4000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0d0?oo
o`040000003oool0oooo000003X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1;
0?ooo`40fMWI001A0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0<`3oool01000
0000oooo0?ooo`00000k0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0BP3oool1
0=WIf@00CP3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000003D0oooo00@0
00000?ooo`3oool00000>03oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
04`0oooo0@3IfMT004l0oooo0P0000040?ooo`800000=`3oool2000003X0oooo0P0000040?ooo`80
0000C@3oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool1
0=WIf@00o`3ooolP0?ooo`40fMWI000?0?ooool000000P00000?0?ooo`40fMWI000?0?ooo`030000
003oool0oooo03h0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`0l0?ooo`030000
003oool0oooo03h0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?oo
o`3m0?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool0o@3oool0
0`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0?d0oooo00<000000?oo
o`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`3m0?ooo`030000003oool0oooo00d0
oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3oooof0?om^`D0oooo00<000000?ooo`3oool0
3@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooooH0oofk1@3oool00`000000oooo0?oo
o`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooomP3ooK/50?ooo`030000003oool0
oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3oool?0?om^``0oooof`3ooK/50?oo
o`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3oool?0?om^`h0
oooof@3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool0
0P3oool@0?om^`D0oooo102koOl60?ooomL0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI
000?0?ooo`030000003oool0oooo0080oooo4@3ooK/40?ooo`H0^ogo1@3ooooF0?om^`D0oooo00<0
00000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooo`X0oofk0P3onXT6
0?om^`@0oooo1P2koOl50?ooo`D0oofk0P3onXW>0?om^`D0oooo00<000000?ooo`3oool03@3oool1
0=WIf@003`3oool00`000000oooo0?ooo`020?ooo`X0oofk103onXT50?om^`@0oooo1P2koOl40?oo
o`H0oofk0`3onXW<0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000
oooo0?ooo`020?ooo`X0oofk1@3onXT50?om^`D0oooo102koOl50?ooo`D0oofk1@3onXW:0?om^`D0
oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooo`/0oofk
1P3onXT60?om^`X0oooo1`3ooK/60?ojRLP0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI
000?0?ooo`030000003oool0oooo0080oooo303ooK/20?ojR@80ooQU0P3onXT90?om^`D0ooZ9203o
oK/30?ojR@040?ohI@3onXT0ooZ90?ojRLL0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI
000?0?ooo`030000003oool0oooo0080oooo303ooK/20?ojR@@0ooQU0P3onXT60?om^`030?ojR@3o
n6D0ooQU00<0ooE900<0ooQU0?ojR@3onXT01P3ooK/20?ojR@@0ooQU0P3onXW50?om^`D0oooo00<0
00000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooo`d0oofk0P3onXT4
0?ohI@80ooZ91@3ooK/20?ojR@050?oeB@3olcH0oo<f0?o`9`3olcH00P3omDT20?ojR@D0oofk00<0
ooZ90?ohI@3on6D00`3on6D20?ojRL@0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?
0?ooo`030000003oool0oooo0080oooo3P3ooK/20?ojR@030?ohI@3omDT0ooE90080ooQU0P3onXT4
0?om^`060?ojR@3on6D0ooE90?oc=P3ol2L0onhM0P3ol2L00`3omDT0ooQU0?ojR@040?om^`80ooZ9
0P3on6D20?oeB@80ooQU00<0ooZ90?om^`3ooK/0`@3ooK/50?ooo`030000003oool0oooo00d0oooo
0@3IfMT000l0oooo00<000000?ooo`3oool00P3oool?0?om^`030?ojR@3on6D0ooE900<0ooE900<0
ooQU0?ojR@3onXT0103ooK/0103onXT0ooQU0?oeB@3ol2L30?o^7@040?o`9`3olcH0ooQU0?ojR@@0
oofk0P3onXT00`3on6D0ooE90?oeB@020?oeB@030?ohI@3onXT0ooZ90<40oofk1@3oool00`000000
oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo3`3ooK/20?ojR@040?oh
I@3omDT0oo<f0?oc=P80ooE900<0ooQU0?ojR@3ooK/00`3ooK/0103onXT0ooQU0?oeB@3olcH30?o`
9`040?oc=P3omDT0ooQU0?ojR@@0oofk00@0ooZ90?ohI@3on6D0ooE90P3olcH0103omDT0ooQU0?oj
R@3onXW00?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?oo
o`020?oooa00oofk0P3onXT00`3on6D0ooE90?oc=P020?oc=P030?oeB@3on6D0ooZ900D0oofk0P3o
nXT20?ohI@030?oeB@3on6D0ooQU0080ooZ91@3ooK/00`3onXT0ooQU0?oeB@040?oc=P030?oeB@3o
n6D0ooZ90;l0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0
oooo0080oooo4@3ooK/0103onXT0ooQU0?oeB@3olcH20?o`9`80oo<f00<0ooQU0?ojR@3onXT00`3o
oK/;0?ooo`@0oofk00@0ooZ90?ohI@3omDT0oo<f0P3ol2L0103olcH0ooE90?ohI@3onXVn0?om^`D0
oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oooa80oofk
00@0ooZ90?ohI@3omDT0oo<f0`3ol2L0103olcH0ooE90?ohI@3onXT20?om^`040?ooo`2koOl0^ogo
06Gho`80BOGo0P0flol01019mOl0IOSo08Wjo`2koOl20?ooo`80oofk00<0ooZ90?ohI@3olcH0103o
l2L0103olcH0ooE90?ojR@3onXVl0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3o
ool00`000000oooo0?ooo`020?oooa<0oofk00@0ooZ90?ohI@3olcH0oo0W0`3okQd01@3ol2L0ooE9
0?ohI@3onXT0oofk0080oooo00d0^ogo06Gho`0flol07Nko00oXo`0;i_l03nSo01G[o`0Wl?l0BOGo
08Wjo`2koOl0oooo0080oofk00@0ooZ90?oeB@3olcH0oo0W0P3okQd01@3ol2L0oo<f0?oeB@3on6D0
ooZ90;/0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo
0080oooo503ooK/02`3onXT0ooQU0?oc=P3ol2L0onhM0?o[5@3okQd0oo0W0?oc=P3on6D0ooZ90080
oofk00h0^ogo08Wjo`19mOl09o3o00oXo`06hOl00mco00CNo`06hOl05N_o02O`o`19mOl0^ogo0?oo
o`80oofk00@0ooQU0?oeB@3olcH0onhM0P3ojaD01@3okQd0oo0W0?oeB@3on6D0ooZ90;X0oofk1@3o
ool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo5@3ooK/0
6P3onXT0ooQU0?oc=P3okQd0on/E0?oX3`3ojaD0onhM0?oc=P3omDT0ooZ90?om^`3oool0^ogo08Wj
o`19mOl07Nko00SSo`03g?l00MOo00;Io`04g_l02nKo01g^o`19mOl0RO[o0P3oool20?ojR@0:0?oe
B@3ol2L0onhM0?o[5@3oj0l0on/E0?o^7@3olcH0ooQU0?ojRKT0oofk1@3oool00`000000oooo0?oo
o`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo5@3ooK/20?ojR@030?oeB@3ol2L0
on/E00<0onP?00`0on/E0?o`9`3omDT0ooZ90?om^`3oool0^ogo08Wjo`19mOl07Nko00SSo`04g_l2
00;Io`0<00CNo`0;i_l09o3o04Weo`29n_l0oooo0?om^`3onXT0ooQU0?oeB@3ol2L0on/E0`3oj0l0
103okQd0oo<f0?ohI@3onXVh0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool0
0`000000oooo0?ooo`020?oooaL0oofk00@0ooZ90?oeB@3ol2L0on/E0`3oiP/0303oj0l0onhM0?oc
=P3on6D0ooZ90?om^`3oool0^ogo06Gho`0flol05N_o00_Vo`802>?o00H02nKo01g^o`0flol0IOSo
0;_mo`3oool20?om^`040?ohI@3omDT0onhM0?o[5@<0onH;00@0on/E0?o`9`3omDT0ooQU]`3ooK/5
0?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooolG0?om
^`060?ojR@3on6D0ooE90?o`9`3oj0l0onH;0P3oh`P01P3oj0l0onhM0?oc=P3on6D0ooZ90?om^`80
oooo00@0^ogo08Wjo`1Un?l0BOGo0P0flol01019mOl0IOSo08Wjo`2koOl20?ooo`060?om^`3onXT0
ooQU0?oc=P3okQd0onP?0P3oh`P01P3oiP/0onP?0?o`9`3omDT0ooQU0?ojRKD0oofk1@3oool00`00
0000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo603ooK/20?ojR@04
0?oeB@3ol2L0onP?0?oS2080on4600D0onH;0?o[5@3ol2L0ooQU0?ojR@030?om^`80ooZ900<0ooQU
0?oeB@3omDT00P3omDT00`3on6D0ooZ90?ojR@030?om^`0=0?ojR@3on6D0oo<f0?o[5@3oiP/0on<8
0?oQ1P3oh`P0onP?0?o^7@3omDT0ooQU0?ojR@2d0?om^`D0oooo00<000000?ooo`3oool03@3oool1
0=WIf@003`3oool00`000000oooo0?ooo`020?oooaT0oofk00H0ooZ90?ohI@3olcH0onhM0?oV2`3o
h@H20?oN10040?oS203oj0l0oo0W0?oeB@<0ooZ900D0ooQU0?oeB@3okQd0onH;0?oQ1P020?oL0`05
0?oQ1P3oiP/0onhM0?oc=P3on6D00`3onXT0303on6D0oo0W0?o[5@3oiP/0on460?oN103oh@H0onH;
0?o^7@3olcH0ooQU0?ojRK<0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`03
0000003oool0oooo0080oooo6P3ooK/03@3onXT0ooQU0?oc=P3okQd0onP?0?oQ1P3og0<0omh40?oQ
1P3oj0l0onhM0?oc=P3on6D00P3onXT01@3omDT0onhM0?oV2`3of@80ol`00080olL000H0olX00?oG
0@3oh@H0on/E0?oc=P3on6D20?ojR@0<0?oeB@3olcH0on/E0?oS203ogP@0om`30?oN103oh`P0on/E
0?o`9`3on6D0ooZ9/P3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<00000
0?ooo`3oool00P3ooolK0?om^`0D0?ojR@3on6D0oo<f0?o^7@3oiP/0omh40?oI0P3og0<0on460?oV
2`3okQd0ooE90?ohI@3onXT0ooQU0?oc=P3okQd0on460?oA0@3o`P020?nh00060?no003obP00omL1
0?oV2`3ol2L0ooQU0P3onXT0303on6D0oo0W0?o[5@3oh`P0om`30?oI0P3og0<0on460?oX3`3ol2L0
ooE90?ojRK40oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0
oooo0080oooo703ooK/01P3onXT0ooQU0?oc=P3ojaD0on<80?oL0`80omT200`0omh40?oV2`3okQd0
oo<f0?ohI@3onXT0ooQU0?oc=P3ojaD0omh40?o?003o_`020?ne000<0?nj003oa`00omT20?oV2`3o
l2L0ooQU0?ojR@3on6D0ooE90?o`9`3oj0l0on460`3of@801@3oh@H0onP?0?o`9`3omDT0ooZ90;00
oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo
7@3ooK/01P3onXT0ooQU0?oc=P3ojaD0on<80?oL0`80omL100D0omT20?oS203oj0l0oo<f0?ohI@02
0?ojR@0=0?ohI@3okQd0onH;0?oD0@3obP00okl00?nm003o`P00oll00?oL0`3oj0l0oo0W0?ohI@02
0?ojR@050?oeB@3ol2L0onP?0?oQ1P3of@800P3oe`401@3ogP@0on<80?o^7@3olcH0ooZ90:l0oofk
1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo7P3o
oK/01P3onXT0ooQU0?oc=P3ojaD0on460?oI0P80om@100D0omT20?oQ1P3ojaD0oo<f0?ohI@020?oj
R@0<0?ohI@3olcH0on/E0?oS203of@80om@10?oA0@3oe`40omh40?oX3`3ol2L0ooE90`3onXT0303o
mDT0oo0W0?oX3`3ogP@0omL10?oD0@3oe`40om`30?oS203okQd0ooE90?ohIJh0oofk1@3oool00`00
0000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo7`3ooK/01P3onXT0
ooQU0?oc=P3ojaD0on460?oI0P80om@100H0omL10?oQ1P3oj0l0oo<f0?oeB@3onXT20?om^`80ooZ9
0P3omDT30?oc=P040?oeB@3on6D0ooZ90?ojR@80oofk00h0ooZ90?oeB@3ol2L0onH;0?oN103oe`40
om410?oD0@3of@80on460?o^7@3olcH0ooQU0?ojRJ`0oofk1@3oool00`000000oooo0?ooo`0=0?oo
o`40fMWI000?0?ooo`030000003oool0oooo0080oooo803ooK/01P3onXT0ooQU0?oc=P3oj0l0on46
0?oG0@80om4101/0omL10?oN103oj0l0oo0W0?oeB@3onXT0oofk0?ooo`29n_l0BOGo03Kco`0Mk_l0
5N_o00oXo`0Ejol07Nko04Weo`1Un?l0RO[o0?ooo`3ooK/0ooZ90?oeB@3okQd0onH;0?oN103oe040
0P3od@401P3oe`40on460?o[5@3olcH0ooQU0?ojRJ/0oofk1@3oool00`000000oooo0?ooo`0=0?oo
o`40fMWI000?0?ooo`030000003oool0oooo0080oooo8@3ooK/08`3onXT0ooQU0?o`9`3ojaD0on<8
0?oG0@3od@40oll00?oD0@3ogP@0onH;0?o^7@3omDT0ooZ90?ooo`29n_l0=_?o01G[o`04g_l00<oo
003:o`00aol00<[o007Do`04g_l03nSo04Weo`29n_l0oooo0?om^`3omDT0oo0W0?oX3`3og0<0omL1
0080oll000H0omL10?oN103oiP/0oo<f0?ohI@3onXVZ0?om^`D0oooo00<000000?ooo`3oool03@3o
ool10=WIf@003`3oool00`000000oooo0?ooo`020?ooob80oofk00H0ooZ90?ohI@3olcH0on/E0?oQ
1P3oe`420?o?000K0?oD0@3og0<0on<80?o^7@3omDT0oofk0?ooo`1Un?l09o3o00KQo`01dOl00;go
002`o`00Zol00;?o002mo`00b_l01^7o01G[o`1Un?l0^ogo0?ojR@3on6D0oo0W0?oV2`3ogP@0om@1
0080oll000H0om@10?oN103oj0l0oo0W0?ohI@3onXVY0?om^`D0oooo00<000000?ooo`3oool03@3o
ool10=WIf@003`3oool00`000000oooo0?ooo`020?ooob<0oofk02/0ooZ90?ohI@3ol2L0onP?0?oN
103oe040oll00?o<003od@40om`30?oV2`3okQd0ooE90?om^`2koOl0IOSo01G[o`03g?l00<Oo002e
o`00Y_l009ko002So`00/ol00<Oo00?Lo`0Ejol0BOGo0;_mo`3ooK/0ooE90?o`9`3oiP/0om`30?oA
0@3oc000oll00?oD0@3ogP@0onP?0?o`9`3on6D0ooZ90:P0oofk1@3oool00`000000oooo0?ooo`0=
0?ooo`40fMWI00080?ooo`8000001@3oool00`000000oooo0?ooo`020?ooob@0oofk02<0ooZ90?oh
I@3olcH0on/E0?oN103oe`40oll00?o<003oc`00omT20?oQ1P3okQd0ooE90?ojR@3oool0RO[o01g^
o`08hol00<co002jo`00Z?l00:?o002Xo`00]Ol00<Oo00?Lo`0?j?l0IOSo0;_mo`3ooK/0ooQU0?o`
9`3oiP/0omh40?oA0@020?o<00060?oD0@3og0<0onH;0?o^7@3on6D0ooZ9903ooK/00`000000oofk
0?om^`080?om^`<00000M@3ooK/50?ooo`030000003oool0oooo00T0oooo0P0000020?ooo`40fMWI
00070?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3ooolU0?om^`0S0?oj
R@3on6D0oo<f0?oX3`3ogP@0om@10?o?003oc000oll00?oI0P3oh`P0onhM0?oeB@3onXT0oooo08Wj
o`0flol02nKo00;Io`00aol00;go002eo`00^_l00<Go007Do`08hol09o3o06Gho`2koOl0oofk0?oh
I@3ol2L0onH;0?oL0`3od@400P3oc0001P3od@40om`30?oV2`3ol2L0ooE90?ojRB80oofk00<00000
0?om^`0000002@3ooK/010000000oofk0?om^`00001d0?om^`D0oooo00<000000?ooo`3oool0203o
ool01@000000oooo0?ooo`000000oooo0040fMWI00070?ooo`040000003oool0oooo000000@0oooo
0P0000030?ooobH0oofk02<0ooZ90?ohI@3olcH0on/E0?oN103oe`40oll00?o<003oc`00omT20?oQ
1P3okQd0oo<f0?ohI@3ooK/0oooo06Gho`0flol03nSo00KQo`02fOl00MCo007Go`06hOl03nSo03Kc
o`1Un?l0^ogo0?ooo`3ooK/0ooQU0?o`9`3oiP/0omh40?oD0@020?o<00060?oA0@3of@80onH;0?o^
7@3omDT0ooZ98@3ooK/010000000oofk0?om^`3ooK/6000000H0oofk00<000000?om^`3ooK/0L@3o
oK/40?ooo`8000002P3oool01@000000oooo0?ooo`000000oooo0040fMWI00000`3oool000000000
000200000080oooo0`0000050?ooo`030000003oool0oooo0080oooo9`3ooK/0403onXT0ooQU0?oc
=P3oj0l0on460?oG0@3oc`00ol`00?o?003oe`40on<80?o[5@3olcH0ooQU0?ojR@3ooK/30?ooo`H0
^ogo0P3oool20?om^`060?ojR@3on6D0oo0W0?oX3`3ogP@0om@10P3oc0001P3od@40om`30?oS203o
kQd0ooE90?ojRB40oofk00<000000?om^`3ooK/0303ooK/00`000000oofk0?om^`1a0?om^`D0oooo
00<000000?ooo`3oool00P3oool400000080oooo0`0000020?ooo`40fMWI00070?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool00P3ooolX0?om^`0>0?ojR@3on6D0oo<f0?o[5@3oh`P0
omL10?o?003oc000oll00?oI0P3oh@H0onP?0?oc=P3on6D20?ojR@050?oeB@3ol2L0on/E0?oQ1P3o
gP@00P3og0<01@3oh@H0onH;0?o^7@3omDT0ooQU0080ooZ900D0ooE90?o`9`3ojaD0omh40?oG0@02
0?o<00060?oA0@3of@80on<80?o^7@3omDT0ooZ9803ooK/00`000000oofk0?om^`06000000H0oofk
00<000000?om^`3ooK/0L@3ooK/50?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
0P3oool10=WIf@001`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo:P3o
oK/0303on6D0ooE90?o^7@3oh@H0omT20?o?003oc000oll00?oG0@3oh@H0on/E0?oc=P<0ooQU00`0
oo<f0?oX3`3og0<0ol`00?nm003o^P00okd00?o2003oc`00omh40?oX3`3omDT30?ohI@0<0?oc=P3o
j0l0on460?oD0@3oc`00ol`00?oA0@3of@80on<80?o^7@3omDT0ooZ97P3ooK/4000000T0oofk0`00
001d0?om^`D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`020?ooo`40fMWI0008
0?ooo`<00000103oool00`000000oooo0?ooo`020?ooob/0oofk00`0ooQU0?oc=P3ojaD0on460?oI
0P3od@40ol`00?oA0@3of@80on460?o[5@3olcH20?ohI@060?oeB@3okQd0on460?oA0@3o_@00ojh0
0P3oYP001@3o/`00olD00?oG0@3oiP/0oo0W0080ooQU00D0ooE90?o`9`3oj0l0omh40?oD0@020?o?
00060?oA0@3og0<0onH;0?o^7@3omDT0ooZ97`3ooK/00`000000oofk0?om^`080?om^`030000003o
oK/0oofk07@0oofk1@3oool00`000000oooo0?ooo`090?ooo`<000000@3oool10=WIf@003`3oool0
0`000000oooo0?ooo`020?ooob`0oofk00`0ooZ90?oeB@3okQd0on<80?oL0`3od@40oll00?oA0@3o
e`40on460?o[5@3olcH20?ohI@060?oeB@3okQd0on<80?o?003o_`00ojP00P3oX@001P3oZ`00okX0
0?oA0@3oh@H0oo0W0?oeB@80ooQU00`0oo<f0?o[5@3oh@H0omL10?oA0@3oc`00om410?oI0P3oiP/0
onhM0?oeB@3onXTZ0?om^`030000003ooK/0oofk07<0oofk1@3oool00`000000oooo0?ooo`0=0?oo
o`40fMWI000?0?ooo`030000003oool0oooo0080oooo;@3ooK/0303onXT0ooE90?o^7@3oiP/0om`3
0?oD0@3oc`00om410?oI0P3oh`P0on/E0?oc=P<0ooQU00D0oo0W0?oV2`3oe`40ol800?ne00020?n[
00050?ne003oa@00omL10?oV2`3ol2L00`3on6D0303olcH0on/E0?oQ1P3of@80om410?o?003oe040
om`30?oV2`3okQd0ooE90?ojRBT0oofk1000001b0?om^`D0oooo00<000000?ooo`3oool03@3oool1
0=WIf@003`3oool00`000000oooo0?ooo`020?ooobh0oofk01@0ooZ90?oeB@3ol2L0onH;0?oN103o
e`40om410?oD0@3of@80on460?o[5@3olcH0ooQU0?ojR@3on6D0ooE90?o^7@3oh@H0omL10?o<0080
ol8001@0ol`00?oG0@3oh`P0onhM0?oeB@3on6D0ooZ90?ohI@3omDT0on/E0?oS203og0<0om@10?oA
0@3oe040om`30?oV2`3okQd0oo<f0?ojRIh0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI
000?0?ooo`030000003oool0oooo0080oooo;`3ooK/01P3onXT0ooE90?o`9`3oj0l0omh40?oG0@80
om@100D0omT20?oS203ojaD0oo<f0?ohI@030?ojR@040?oeB@3ol2L0on/E0?oV2`80on4600@0onH;
0?o[5@3ol2L0ooE90`3onXT03@3on6D0oo<f0?o^7@3oiP/0om`30?oG0@3oe040omL10?oN103oiP/0
onhM0?oeB@3onXT0W@3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<00000
0?ooo`3oool00P3oool`0?om^`0=0?ojR@3omDT0oo0W0?o[5@3oh@H0omT20?oD0@3oe`40om`30?oS
203ojaD0oo<f0?ohI@020?om^`<0oooo1P2koOl30?ooo`80oofk00d0ooZ90?oeB@3ol2L0onH;0?oN
103oe`40om@10?oI0P3ogP@0on<80?o^7@3omDT0ooZ909`0oofk1@3oool00`000000oooo0?ooo`0=
0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo<@3ooK/0503onXT0ooQU0?oc=P3ojaD0
on<80?oL0`3oe`40omT20?oL0`3oh`P0onhM0?oc=P3on6D0oofk0?ooo`2koOl0IOSo02O`o`0?j?l0
1^7o0P04g_l05006hOl02nKo01g^o`19mOl0RO[o0;_mo`3ooK/0ooZ90?ohI@3ol2L0onP?0?oN103o
f@80omL10?oI0P3ogP@0onH;0?o^7@3omDT0ooZ9V`3ooK/50?ooo`030000003oool0oooo00d0oooo
0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooolb0?om^`060?ojR@3on6D0oo<f0?o[5@3oh`P0
om`30P3of@808P3ogP@0onH;0?o^7@3omDT0ooZ90?om^`2koOl0IOSo03Kco`0?j?l00mco007Ao`00
b_l00<Oo003<o`01eol02>?o01g^o`1Un?l0^ogo0?ooo`3onXT0ooE90?o`9`3oj0l0on460?oL0`3o
f@80om`30?oQ1P3oj0l0oo0W0?oeB@3onXVJ0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WI
f@003`3oool00`000000oooo0?ooo`020?oooc@0oofk00D0ooQU0?oeB@3okQd0onH;0?oN10020?oL
0`0K0?oQ1P3oiP/0onhM0?oc=P3onXT0oofk0?ooo`1Un?l0=_?o00SSo`02fOl00<[o0032o`00_Ol0
0<;o003<o`04g_l03nSo04Weo`29n_l0oooo0?om^`3on6D0oo<f0?o[5@3oh`P0omh40080om`300D0
on460?oX3`3ol2L0ooE90?ojR@2I0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3o
ool00`000000oooo0?ooo`020?oooc@0oofk00H0ooZ90?ohI@3omDT0onhM0?oV2`3oh@H20?oN100K
0?oQ1P3oj0l0oo0W0?oeB@3onXT0oofk0;_mo`1Un?l09o3o00_Vo`01eol00<co0032o`00_ol00<Go
007Ao`04g_l05N_o04Weo`29n_l0oooo0?om^`3on6D0oo<f0?o[5@3oiP/0on460080omh400D0on<8
0?o[5@3ol2L0ooE90?ojR@2H0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool0
0`000000oooo0?ooo`020?ooocH0oofk00D0ooZ90?oeB@3ol2L0on/E0?oV2`020?oQ1P0K0?oS203o
j0l0oo0W0?oeB@3on6D0oofk0?ooo`29n_l0BOGo01G[o`06hOl00]Wo003?o`00c?l00MCo00?Lo`08
hol07Nko04Weo`2koOl0oooo0?om^`3onXT0oo<f0?o^7@3oj0l0on<80080on4600D0on<80?o[5@3o
l2L0ooE90?ojR@2G0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000
oooo0?ooo`020?ooocL0oofk00D0ooZ90?oeB@3olcH0on/E0?oV2`020?oS200R0?oV2`3ojaD0oo0W
0?oeB@3onXT0oofk0?ooo`2koOl0IOSo03Kco`0Mk_l02nKo00KQo`04g_l01^7o00oXo`0Wl?l0BOGo
08Wjo`2koOl0oooo0?om^`3on6D0ooE90?o`9`3oj0l0onH;0?oQ1P3oh`P0onH;0?o[5@3olcH0ooQU
0?ojRIH0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo
0080oooo>03ooK/0303onXT0ooQU0?oc=P3okQd0onP?0?oS203oiP/0onP?0?o[5@3ol2L0ooE90?oj
R@80oofk0P3oool00`2koOl0RO[o06Gho`0304Weo`0306Gho`29n_l0^ogo0080oooo0P3ooK/0303o
nXT0ooQU0?o`9`3okQd0onH;0?oS203oiP/0onP?0?o[5@3olcH0ooE90?ojRID0oofk1@3oool00`00
0000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo>@3ooK/01@3onXT0
ooQU0?oc=P3ol2L0on/E0080onH;00D0onP?0?o^7@3olcH0ooE90?ojR@040?om^`80ooZ91@3on6D2
0?ojR@@0oofk00D0ooZ90?ohI@3olcH0onhM0?oX3`020?oV2`050?o[5@3okQd0oo<f0?ohI@3onXT0
U03ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3o
oolj0?om^`050?ojR@3on6D0ooE90?o`9`3ojaD00P3oj0l01@3ojaD0onhM0?oc=P3on6D0ooZ90080
oofk00d0ooZ90?ohI@3omDT0oo0W0?o[5@3oj0l0onH;0?oX3`3ojaD0oo0W0?oeB@3on6D0ooZ90080
oofk00D0ooZ90?ohI@3olcH0onhM0?o[5@020?oX3`050?o[5@3ol2L0ooE90?ohI@3onXT0T`3ooK/5
0?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooolk0?om
^`80ooZ900<0ooE90?oc=P3okQd00`3ojaD00`3ol2L0oo<f0?ohI@020?ojR@060?om^`3onXT0ooQU
0?oc=P3okQd0onH;0`3ogP@0103oh`P0on/E0?o`9`3on6D20?ojR@060?om^`3onXT0ooQU0?oeB@3o
l2L0onhM0P3ojaD01@3okQd0oo0W0?oeB@3on6D0ooZ90980oofk1@3oool00`000000oooo0?ooo`0=
0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo?@3ooK/0103onXT0ooQU0?oc=P3ol2L3
0?o^7@040?o`9`3omDT0ooQU0?ojR@80oofk00H0ooZ90?ohI@3olcH0on/E0?oS203ogP@20?oL0`04
0?oQ1P3oj0l0oo0W0?oeB@80ooZ900D0oofk0?ojR@3on6D0ooE90?oc=P040?o^7@040?oc=P3omDT0
ooQU0?ojRI40oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0
oooo0080oooo?P3ooK/0103onXT0ooQU0?oeB@3olcH20?o^7@050?o`9`3olcH0ooE90?ohI@3onXT0
0P3ooK/03@3onXT0ooQU0?oc=P3okQd0onP?0?oQ1P3ogP@0on460?oV2`3ojaD0oo0W0?oeB@3onXT0
0P3ooK/20?ojR@030?ohI@3omDT0oo0W0080onhM00D0oo0W0?oc=P3omDT0ooQU0?ojR@2@0?om^`D0
oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooocl0oofk
00@0ooZ90?ohI@3omDT0oo<f0`3ol2L0103olcH0ooE90?ohI@3onXT30?om^`0<0?ojR@3on6D0oo<f
0?o^7@3oj0l0onH;0?oX3`3ojaD0oo0W0?oeB@3on6D0ooZ90`3ooK/0103onXT0ooQU0?oeB@3olcH2
0?o`9`040?oc=P3omDT0ooQU0?ojRI00oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?
0?ooo`030000003oool0oooo0080oooo@03ooK/20?ojR@030?ohI@3omDT0oo<f0080oo<f0P3omDT2
0?ojR@@0oofk00D0ooZ90?ohI@3omDT0oo<f0?o`9`020?oc=P030?oeB@3onXT0ooZ900@0oofk00<0
ooZ90?ohI@3omDT0103olcH00`3omDT0ooQU0?ojR@2?0?om^`D0oooo00<000000?ooo`3oool03@3o
ool10=WIf@003`3oool00`000000oooo0?ooo`020?oood80oofk00<0ooZ90?ohI@3omDT00`3olcH0
0`3omDT0ooQU0?ojR@080?om^`@0ooZ91`3ooK/20?ojR@040?ohI@3omDT0oo<f0?oc=P80ooE900<0
ooQU0?ojR@3ooK/0S@3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<00000
0?ooo`3oool00P3ooom30?om^`030?ojR@3on6D0ooE900@0ooE900<0ooQU0?ojR@3ooK/00P3ooK/3
0?ooo`L0^ogo103oool20?om^`80ooZ900<0ooQU0?oeB@3omDT00P3omDT00`3on6D0ooZ90?ojR@2=
0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oo
od@0oofk0P3onXT0103on6D0ooE90?oeB@3omDT20?ohI@040?ojR@3ooK/0oofk0?om^`80oooo00@0
^ogo08Wjo`29n_l0IOSo0P19mOl0101Un?l0RO[o08Wjo`2koOl20?ooo`<0oofk00<0ooZ90?ohI@3o
n6D00`3omDT00`3on6D0ooZ90?ojR@2<0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@00
3`3oool00`000000oooo0?ooo`020?ooodD0oofk0P3onXT50?ohI@80ooZ90`3ooK/20?ooo`040;_m
o`29n_l0IOSo04Weo`80=_?o00@0BOGo06Gho`29n_l0^ogo0P3oool30?om^`80ooZ91@3on6D20?oj
RH/0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080
ooooA`3ooK/20?ojR@@0ooQU0P3onXT30?om^`80oooo00<0^ogo08Wjo`1Un?l01019mOl00`1Un?l0
RO[o0;_mo`030?ooo`<0oofk00<0ooZ90?ohI@3on6D00P3on6D20?ojRH/0oofk1@3oool00`000000
oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080ooooB03ooK/30?ojR@80ooQU
0P3onXT40?om^`80oooo0P2koOl01P29n_l0IOSo04Weo`19mOl0IOSo08Wjo`80^ogo0`3oool30?om
^`80ooZ90`3on6D20?ojRHX0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`03
0000003oool0oooo0080ooooBP3ooK/60?ojR@@0oofk0`3oool20;_mo`@0RO[o0P2koOl30?ooo`@0
oofk1`3onXV90?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo
0?ooo`020?oood/0oofk1P3onXT40?om^`D0oooo102koOl50?ooo`D0oofk1@3onXV90?om^`D0oooo
00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooocH0oofk00<0
oooo0?om^`3ooK/0503ooK/40?ojR@L0oofk2P3oool70?om^`D0ooZ9R03ooK/50?ooo`030000003o
ool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooolg0?om^`040?ooo`3ooK/0
oofk0?oooa<0oofk0`3onXTJ0?om^`<0ooZ9R03ooK/50?ooo`030000003oool0oooo00d0oooo0@3I
fMT000l0oooo00<000000?ooo`3oool00P3ooolg0?om^`040?ooo`3ooK/0oofk0?ooo`80oofk00<0
oooo0?om^`3ooK/07@3ooK/50?ojRI@0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?
0?ooo`030000003oool0oooo0080oooo>03ooK/0103oool0oofk0?om^`3oool20?om^`030?ooo`3o
oK/0oofk01d0oofk1@3onXVC0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool0
0`000000oooo0?ooo`020?ooocT0oofk00H0oooo0?om^`3ooK/0oooo0?om^`3ooolP0?om^`D0ooZ9
TP3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3o
oolj0?om^`060?ooo`3ooK/0oofk0?ooo`3ooK/0oooo2@3ooK/0103oool0oofk0?om^`3ooonY0?om
^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oooc/0
oofk00<0oooo0?om^`3oool00P3ooK/0103oool0oofk0?om^`3oool60?om^`030?ooo`3ooK/0oooo
00h0oofk00<0oooo0?om^`3ooK/0V03ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0
oooo00<000000?ooo`3oool00P3ooolk0?om^`050?ooo`3ooK/0oofk0?ooo`3ooK/00P3oool00`3o
oK/0oooo0?om^`050?om^`040?ooo`3ooK/0oofk0?ooo`80oofk00<0oooo0?om^`3ooK/02@3ooK/0
0`3oool0oofk0?om^`2G0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`00
0000oooo0?ooo`020?oooc`0oofk00D0oooo0?om^`3ooK/0oooo0?om^`020?ooo`030?om^`3oool0
oofk00D0oofk00D0oooo0?om^`3ooK/0oooo0?om^`020?ooo`/0oofk00D0oooo0?om^`3oool0oooo
0?om^`070?ooohd0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003o
ool0oooo0080oooo?@3ooK/01P3oool0oofk0?ooo`3oool0oofk0?ooo`80oofk00<0oooo0?om^`3o
oK/0103ooK/01P3oool0oofk0?ooo`3oool0oofk0?ooo`T0oofk00D0oooo0?om^`3ooK/0oooo0?om
^`0=0?ooohT0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0
oooo0080oooo?P3ooK/01P3oool0oofk0?ooo`3oool0oofk0?ooo`80oofk00<0oooo0?om^`3ooK/0
103ooK/01P3oool0oofk0?ooo`3oool0oofk0?ooo`T0oofk00L0oooo0?om^`3oool0oooo0?om^`3o
ool0oofk00/0ooooR03ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<00000
0?ooo`3oool00P3oooln0?om^`040?ooo`3ooK/0oofk0?ooo`80oofk00H0oooo0?om^`3oool0oooo
0?om^`3oool30?om^`80oooo00D0oofk0?ooo`3ooK/0oofk0?ooo`080?om^`80oooo00H0oofk0?oo
o`3ooK/0oofk0?ooo`3ooK/<0?ooohH0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?
0?ooo`030000003oool0oooo0080oooo?`3ooK/01@3oool0oofk0?om^`3oool0oofk0080oooo00D0
oofk0?ooo`3oool0oofk0?ooo`050?om^`030?ooo`3ooK/0oooo0080oofk00<0oooo0?om^`3ooK/0
1@3ooK/01@3oool0oofk0?om^`3oool0oofk0080oooo00<0oofk0?ooo`3oool02P3ooon50?om^`D0
oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oood00oofk
00H0oooo0?om^`3ooK/0oooo0?om^`3oool20?om^`040?ooo`3ooK/0oofk0?ooo`80oofk00H0oooo
0?om^`3oool0oooo0?om^`3oool20?om^`030?ooo`3ooK/0oofk00D0oofk00D0oooo0?om^`3oool0
oooo0?om^`020?ooo`030?om^`3oool0oooo00T0ooooQ@3ooK/50?ooo`030000003oool0oooo00d0
oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooom10?om^`060?ooo`3ooK/0oooo0?ooo`3o
oK/0^ogo0P3ooK/01P3oool0oofk0?ooo`3oool0oofk0?ooo`80oofk00D0oooo0?om^`3ooK/0oooo
0?om^`020?ooo`030?om^`3oool0oofk00@0oofk00H0oooo0?om^`3oool0oooo0?ojR@2koOl20?om
^`030?ooo`3ooK/0oooo00L0ooooQ@3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0
oooo00<000000?ooo`3oool00P3ooom10?om^`80oooo00H0oofk0?ooo`3oool0oofk0;_mo`3onXT2
0?ooo`050?om^`3oool0oofk0?om^`3oool00P3ooK/01@3oool0oofk0?ooo`3oool0ooZ90080oooo
00<0oofk0?ooo`3ooK/0103ooK/01`3oool0oofk0;_mo`3ooK/0ooZ90;_mo`3ooK/00P3oool00`3o
oK/0oooo0?ooo`040?ooohH0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`03
0000003oool0oooo0080oooo@P3ooK/02@3oool0oofk0?om^`3oool0ooZ90?ooo`2koOl0ooZ90;_m
o`020?om^`050?ooo`3ooK/0oofk0?ooo`3ooK/00P3oool01@3onXT0^ogo0?ooo`3onXT0^ogo0080
oofk00<0oooo0?om^`3oool00P3ooK/02@3oool0oofk0?om^`2koOl0ooZ90?ooo`2koOl0ooZ90?oo
o`020?om^`030?ooo`3ooK/0oofk08P0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?
0?ooo`030000003oool0oooo0080oooo@`3ooK/01@3oool0oofk0?om^`3oool0ooZ90080oooo00H0
ooQU0;_mo`3ooK/0oofk0?ooo`3ooK/20?ooo`090?om^`3oool0oofk0?om^`2koOl0oofk0?ojR@2k
oOl0ooZ90080oooo00D0oofk0?ooo`3ooK/0oofk0?ooo`020?om^`060;_mo`3on6D0oooo0?ooo`3o
nXT0^ogo0P3ooK/00`3oool0oofk0?om^`270?om^`D0oooo00<000000?ooo`3oool03@3oool10=WI
f@003`3oool00`000000oooo0?ooo`020?oood@0oofk00X0oooo0?om^`3oool0oooo0?ojR@29n_l0
oofk0?ojR@29n_l0ooZ90P3oool01@3ooK/0oooo0?om^`3ooK/0oooo0080oofk00H0^ogo0?ojR@3o
ool0oooo0?om^`3oool20?om^`090?ooo`3ooK/0oofk0?ooo`3ooK/0oooo0;_mo`3on6D0RO[o0080
oofk00@0^ogo0?om^`3ooK/0ooooR03ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0
oooo00<000000?ooo`3oool00P3ooom40?om^`80oooo00T0oofk0?ooo`3oool0ooZ908Wjo`3omDT0
ooZ90;_mo`3on6D00P3oool01P3ooK/0oooo0?om^`3ooK/0oooo0?om^`80oooo00D0oofk0?ooo`3o
oK/0oofk0?ooo`020?om^`0>0?ooo`3ooK/0oooo0?ooo`3ooK/0^ogo0?ooo`3on6D0IOSo0?ohI@3o
oK/0RO[o0?ojR@3ooon80?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`00
0000oooo0?ooo`020?ooodD0oofk00`0oooo0?om^`3ooK/0^ogo0?ojR@3ooK/0RO[o0?oc=P1Un?l0
^ogo0?ohI@2koOl20?om^`050?ooo`3ooK/0oooo0?om^`3oool00P3ooK/01P3oool0oofk0?ooo`3o
ool0oofk0?ooo`<0oofk0P3oool02P3onXT0RO[o0?ohI@3onXT0IOSo0?oc=P2koOl0oooo0?ojR@3o
oon70?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`02
0?ooodH0oofk00d0oooo0?om^`3ooK/0^ogo0?ohI@29n_l0^ogo0?oc=P19mOl0ooQU0?ojR@2koOl0
oofk00<0oooo0P3ooK/01P3oool0ooZ90;_mo`3oool0ooQU08Wjo`80oofk00D0oooo0?om^`3oool0
oofk0?ooo`020?om^`0:08Wjo`3omDT0RO[o08Wjo`3olcH0IOSo0?ojR@3ooK/0oooo0?om^`80oooo
P`3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3o
oom70?om^`0=0?ooo`3ooK/0oooo0?ooo`3on6D0RO[o0?ohI@3olcH09o3o0?oc=P3onXT0^ogo0?oj
R@030?ooo`80oofk01X0oooo0?ohI@1Un?l0oooo0?oc=P19mOl0ooQU0?ooo`2koOl0oofk0?ooo`3o
oK/0oooo0?om^`3oool0RO[o0?oc=P1Un?l0^ogo0?oc=P0flol0ooQU0?om^`2koOl0oofk0?oooh<0
oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo
B03ooK/0;03oool0oofk0?ooo`3ooK/0ooQU03Kco`3olcH0oofk02O`o`3okQd0IOSo0?ooo`3onXT0
oooo0?om^`3oool0oofk0?ooo`3ooK/0ooQU03Kco`3olcH0oofk03Kco`3olcH0^ogo0?ooo`3ooK/0
oooo0?om^`3oool0ooZ90;_mo`3ooK/0oo<f01g^o`3ol2L0ooE903Kco`3omDT0^ogo0?ooo`3ooK/0
ooooPP3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool0
0P3ooom90?om^`030?ooo`3ooK/0oooo0080oofk00H0=_?o0?o^7@1Un?l09o3o0?o[5@19mOl20?oj
R@0O0;_mo`3ooK/0oooo0?om^`2koOl0ooZ90?ohI@0Wl?l0on/E0?om^`1Un?l0oo0W06Gho`3ooK/0
ooZ90?ooo`3ooK/0oooo0?ojR@29n_l0ooZ90?oc=P0Ejol0on/E04Weo`0flol0oo0W08Wjo`3oool0
oofk0?ooo`210?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo
0?ooo`020?ooodT0oofk01`0oooo0?om^`3ooK/0oooo0?ohI@3oool0IOSo0?oV2`0Ejol0ooE90?o^
7@0Wl?l0ooE90?om^`3oool0oofk0?ooo`3ooK/0^ogo0?ohI@3oool0IOSo0?o^7@0Wl?l0oofk0?oh
I@1Un?l0ooZ90`3oool20?om^`0>08Wjo`3olcH0^ogo02O`o`3oh@H05N_o0?om^`3ol2L0IOSo0?oj
R@3ooK/0oooo0?om^`3ooomn0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool0
0`000000oooo0?ooo`020?ooodX0oofk00D0oooo0?om^`3ooK/0oooo0?ohI@020?ooo`060?oV2`04
g_l0oo<f0;_mo`0Ejol0oo0W0P2koOl03@3ooK/0oooo0?ooo`3oool0ooZ908Wjo`2koOl0ooE903Kc
o`3olcH0ooZ908Wjo`3onXT00`3oool20?om^`0:08Wjo`3ol2L0RO[o0?om^`3ogP@02>?o0?oc=P3o
kQd0BOGo0?ohI@80oooo00<0oofk0?ooo`3ooK/0O03ooK/50?ooo`030000003oool0oooo00d0oooo
0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooom;0?om^`060?ooo`3ooK/0oooo0?ooo`3on6D0
=_?o0P3omDT01P03g?l0omT204Weo`0Wl?l0onhM06Gho`80oofk00D0oooo0?om^`3ooK/0oofk0?oo
o`020?om^`090?ooo`3onXT0oooo0?ooo`3ooK/0oooo0?om^`3oool0oofk0080oooo00X0oo0W00_V
o`3olcH0onP?00?Lo`3oh@H0RO[o06Gho`3on6D0^ogo0P3ooK/00`3oool0oofk0?om^`1j0?om^`D0
oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oood/0oofk
00@0oooo0?om^`3ooK/0oooo0P3ooK/02P0flol0on<801g^o`0flol0om@100?Lo`3omDT0oo<f04We
o`3onXT20?ooo`050?om^`3oool0oooo0?ohI@1Un?l00P3on6D01@19mOl0ooE90?ooo`3oool0oofk
0080oooo00h0oofk08Wjo`3onXT0ooE900SSo`3of@80=_?o01G[o`3of@803nSo0?ojR@3omDT0^ogo
0?om^`80ooooN`3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?oo
o`3oool00P3ooom?0?om^`0=0?ooo`3onXT0oofk04Weo`3oh@H00mco03Kco`3oc0000M7o0?oX3`3o
oK/0=_?o0?ohI@020?ooo`0=0?om^`2koOl0oofk0?oc=P0Ejol0onhM0?oc=P0?j?l0onP?04Weo`2k
oOl0ooZ90?ooo`020?om^`0908Wjo`3olcH0ooZ900SSo`3od@403nSo08Wjo`3od@401^7o0080ooQU
00@0RO[o0?om^`3oool0ooooNP3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo
00<000000?ooo`3oool00P3ooom=0?om^`0A0?ooo`3ooK/0oofk0?ooo`3onXT0IOSo0?ooo`3oiP/0
0M7o0?oL0`3okQd00<oo0?oG0@19mOl0oooo0?oeB@2koOl00P3ooK/03029n_l0oo<f0?ooo`08hol0
om4100_Vo`0flol0omT200oXo`3omDT0ooZ90;_mo`80oofk00X0^ogo0?o`9`0flol0=_?o0?oA0@00
aol0omT20?o`9`03g?l0onH;0P2koOl00`3onXT0oooo0?om^`1i0?om^`D0oooo00<000000?ooo`3o
ool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooodh0oofk0140oooo0?om^`3oool0
oooo0?ojR@1Un?l0oo0W0?oX3`00col0olD00?oeB@02fOl0olX000SSo`3oool0oo<f0;_mo`020?om
^`0L08Wjo`3ojaD0oooo00KQo`3obP000]Wo0?o[5@3oe0401^7o0?o`9`3on6D0^ogo0?ojR@3oool0
^ogo0?o`9`0Ejol0^ogo0?oN1000_Ol0okl00?oeB@01e?l0on4606Gho`3ooK/0ooZ90?ooogT0oofk
1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080ooooD@3o
oK/0;`3oool0oofk0?ojR@19mOl0on/E0?ooo`01eol0ok<00032o`1Un?l0om`300?Lo`3ol2L0oofk
0;_mo`3onXT0oooo0;_mo`3okQd05N_o0?ooo`3oe0400;oo0?oG0@0flol01^7o0?oX3`29n_l0oooo
0?ojR@2koOl0oofk0?oc=P08hol0om`30?ojR@00col0ok00007Go`29n_l0on4601g^o`3onXT0oofk
0?ooo`3ooK/0oooo07H0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000
003oool0oooo0080ooooDP3ooK/0503oool0oofk0?ooo`19mOl0onP?00_Vo`03g?l0okX0002co`3o
a`00omh4003?o`3oiP/0oofk0?ooo`3onXT0^ogo0?ooo`3olcH05N_o0P3on6D03@01e?l0oll003Kc
o`0?j?l0on/E06Gho`3ooK/0ooZ90;_mo`3onXT0ooE900_Vo`3oe`400P01dOl02P3oYP000;[o06Gh
o`3okQd03nSo0?oeB@3ooK/0oooo0?om^`3ooome0?om^`D0oooo00<000000?ooo`3oool03@3oool1
0=WIf@003`3oool00`000000oooo0?ooo`020?oooe<0oofk00h0oooo0?ojR@3oool0RO[o0?oS2001
eol0omT20?o:0000Z?l0ok<00;_mo`06hOl0omh404Weo`80oofk01l0oooo0?om^`3onXT0BOGo0?o[
5@2koOl0IOSo0?oS200Wl?l0oofk0?oeB@29n_l0ooZ90?om^`2koOl0ooE908Wjo`0Mk_l0olL0002o
o`3olcH0okd0002Xo`3oa`00oooo04Weo`3ol2L0^ogo0?ooo`3ooK/0oooo07@0oofk1@3oool00`00
0000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080ooooD`3ooK/20?ooo`0D
0?om^`29n_l0ooQU0?o`9`00b_l0okD000KQo`00aOl0oi`0002oo`3omDT0onP?02O`o`3on6D0oofk
0?ooo`3ooK/0oooo0?om^`3oool20?om^`030?ooo`3ooK/0oooo00<0oofk0P3oool03@3omDT07Nko
0?oS203ogP@00:So0?nV0019mOl00;So0?nh0003g?l0ooZ90?oeB@29n_l00P3ooK/00`3oool0oofk
0?om^`1a0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?oo
o`020?oooe@0oofk0P3oool04@3ooK/0RO[o0?ohI@3onXT00<oo0?n[0000_ol00<[o0?nI0000Zol0
omT20?oS200Mk_l0ooE90?ooo`3ooK/0^ogo0080ooQU01P07Nko0?oL0`0Wl?l0IOSo0?oG0@0;i_l0
ooZ90?oeB@2koOl0oofk0?ooo`3on6D03nSo0?o`9`3oh`P00:_o0?nD0000_Ol00<Go0?nh0000c?l0
ooQU0?oeB@1Un?l20?om^`030?ooo`3ooK/0oofk0700oofk1@3oool00`000000oooo0?ooo`0=0?oo
o`40fMWI000?0?ooo`030000003oool0oooo0080ooooE@3ooK/07P3oool0oofk0?om^`29n_l0on/E
01G[o`1Un?l0ojP0002<o`3o_`00olX0002Qo`3o_@007Nko03Kco`3omDT0oooo0?om^`1Un?l0on/E
00oXo`0Mk_l0okX0002co`3of@80onH;003:o`3ogP@0^ogo08Wjo`<0oofk00X07Nko0?oA0@01dOl0
0]Wo0?n50000Qol0om410?o?0000`_l0on460P2koOl00`3onXT0oooo0?om^`1a0?om^`D0oooo00<0
00000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oooeH0oofk01l0oooo
0?om^`3ooK/0^ogo0?o^7@02fOl0IOSo0?n^0000P_l0ojH000oXo`00Uol0ok<000SSo`0flol0oo<f
0;_mo`3oool0IOSo0?oV2`04g_l09o3o0?nj0000S?l0oi`00?oN1000Zol0ol`003Kco`3oool0ooQU
0080oofk00h09o3o0?o?0003g?l0ooQU0?n50000N?l0okP00?oA0@00`_l0omL104Weo`29n_l0oofk
0?ooog40oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo
0080ooooE`3ooK/0403oool0oofk0;_mo`3ooK/0oo<f00;Io`3oc`00onhM002?o`3oIP000;3o0?oc
=P3oZ`000<oo0?oc=P3on6D20?ooo`0<0?om^`3oj0l00<co0?nj003ojaD009Wo0?me0000`_l01^7o
0?o50008hol0ooQU0P3ooK/03`29n_l0oooo0?oG0@00[_l0ok000?oeB@00MOl0ofh0003<o`08hol0
om@101g^o`3onXT0oofk0?ooo`1`0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3o
ool00`000000oooo0?ooo`020?oooeL0oofk0P3oool03P3ooK/0oooo0?ohI@3omDT00mco0?ne003o
ool00]Wo0?mG0000G_l0onP?0?nQ0000aOl0onP?0`2koOl0303onXT0oo0W00?Lo`3oa`000<Oo002[
o`3oO@0009ko02O`o`3ogP@01=ko0?o`9`80oofk0140IOSo0?om^`3okQd00;3o0?mo0019mOl007?o
0?mS0000/ol0on/E0?o?000?j?l0ooQU0?om^`3oool0oofk0?ooo`1]0?om^`D0oooo00<000000?oo
o`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oooeP0oofk02h0oooo0?om^`3o
oK/0^ogo0?ohI@2koOl05N_o0?nc0000TOl0=_?o0?nV0000FOl0oiT003Kco`00aol0om`306Gho`3o
oK/0oooo0?ojR@29n_l05N_o0?o:0000b_l0oooo0?nh0000Zol0olX00?oeB@0Wl?l0oo<f0?ooo`3o
oK/0BOGo0?oS202koOl00MOo0?mm0000S?l0BOGo0?me0000N?l0olD004Weo`0;i_l0oo<f0P3oool0
0`3ooK/0oooo0?om^`1[0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`00
0000oooo0?ooo`020?oooeT0oofk01l0oooo0?om^`3oool0oooo0?oeB@0Mk_l0ooE90?o<0000Qol0
og0001g^o`00Ool0of40002eo`29n_l0on4602O`o`3onXT0oooo0?ojR@1Un?l0ooZ90?o^7@02fOl0
om`30?oc=P08hol0on4603Kco`3ooK/0ooZ90080oooo00h0RO[o0?oQ1P01dOl0^ogo0?nN0000G?l0
og<000_Vo`00U?l0oi`000CNo`2koOl0oo<f0;_mo`80oofk00<0oooo0?om^`3ooK/0J@3ooK/50?oo
o`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooomJ0?om^`0B
0?ooo`3ooK/0oooo0?ooo`3on6D07Nko0?oN103of@8009co0?mS000Ejol009co0?mI0000S?l0onhM
0?oeB@0Ejol0ooQU0P3oool02@3onXT0oooo08Wjo`3ol2L07Nko0?o^7@3ol2L0IOSo0?oeB@020?oo
o`0A0?ojR@2koOl0^ogo0?oV2`00col0on/E0?nj0000Col0od8002O`o`00b_l0ohX0003<o`3on6D0
oo0W08Wjo`3ooK/00P3ooomZ0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool0
0`000000oooo0?ooo`020?oooed0oofk02l0oooo0?om^`3onXT05N_o0?oA0@00c?l00<Go0?mA0000
C?l0olX00?nN0000OOl0okX00;_mo`0flol0ooE90;_mo`3oool0oo0W00KQo`3ojaD0omL1002Xo`3o
Z0007Nko007Go`3oe0405N_o0?om^`3on6D0RO[o0?oeB@3olcH00<Oo0?nS000Wl?l009Wo0?lm0000
E?l0om@10?nc0000^_l0on<80?om^`2koOl0oofk0?ooo`1Z0?om^`D0oooo00<000000?ooo`3oool0
3@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oooeh0oofk01l0oooo0?om^`3oool0=_?o
0?oD0@00c?l00MOo0?mc0000>_l0oeh00?nQ0000Zol0ojH003Kco`29n_l0oo<f08Wjo`3oool0onP?
003?o`3oh@H0oo<f001co`3oH`000;Go002mo`3o^0000]Wo0?oc=P3omDT0RO[o0080ooQU00H00MCo
0?nX0000Uol00;3o0?mS0000>_l20?o?0006002[o`3of@80oooo0?ooo`3onXT0ooooJ@3ooK/50?oo
o`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooomO0?om^`0>
0?ooo`3onXT0^ogo0?om^`3oe`400:ko0?n^003oa@0004Oo0?l[0000Qol00;3o0?nQ0001e?l20?oh
I@0L06Gho`3omDT0ooQU003<o`3oU`000;So00;Io`3o@P00057o0?o?003oc0000<[o0?oV2`2koOl0
RO[o0?o`9`0Mk_l0=_?o0?nV0000K_l0ofP00?nS0000;_l0oeT0007Go`03g?l0om4102O`o`80oofk
00<0oooo0?om^`3ooK/0IP3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<0
00000?ooo`3oool00P3ooomP0?om^`0M0?ooo`3ooK/0IOSo0?ohI@3oh@H00;Go0?n[0000]Ol005Oo
0?l[0000J?l00<[o0?nm0000aOl0onP?0?ojR@1Un?l0oo0W0?om^`08hol0oi`0001[o`19mOl0od`0
0017o`3o/000IOSo0032o`3oh@H00P29n_l0403olcH0=_?o0?o^7@3o]@0007[o0?mc003o_@0005ko
0?m50000Uol01^7o0?oS200Ejol0ooZ90?om^`3ooomW0?om^`D0oooo00<000000?ooo`3oool03@3o
ool10=WIf@00203oool2000000D0oooo00<000000?ooo`3oool00P3ooomP0?om^`0^0?ooo`3ooK/0
oofk06Gho`3ol2L0oofk0035o`3oO@0008[o0?no003o>00003Go0?nL003oc0000M7o0?oS2029n_l0
^ogo0?oc=P0Ejol0^ogo0?o70000P_l0oj<00?o<0000MOl0ohL0007Go`3oool0on<804Weo`3ooK/0
ooE900_Vo`3of@80=_?o0027o`3o<`0006?o0037o`3oH@0007Go0?o5003ojaD03nSo0?oeB@80oooo
00<0oofk0?ooo`3ooK/0H`3ooK/50?ooo`030000003oool0oooo00<0oooo0P0000080?ooo`40fMWI
00070?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3ooomQ0?om^`0_0?oo
o`3ooK/0oooo08Wjo`3oj0l00]Wo0?om^`3oU`0003So0?mV003oh@H005Co0?mS0000b_l0BOGo0?oS
2019mOl0oofk0?ohI@0Mk_l0on<80?o^7@00_Ol0oi@0002`o`19mOl0ok<00035o`3okQd0ooQU06Gh
o`3on6D0oooo01g^o`3oa@000;So03Kco`3oF@00017o0?mj003oZ`0008Go0?n^000Ejol0^ogo0?oe
B@2koOl00P3ooK/00`3oool0oofk0?om^`1Q0?om^`D0oooo00<000000?ooo`3oool00P3oool01000
0000oooo0?ooo`0000070?ooo`40fMWI00070?ooo`040000003oool0oooo000000@0oooo0P000003
0?ooof80oofk02l0oooo0?om^`3oool0oooo0?o^7@01dOl0^ogo0?oV2`00FOl0oe@00032o`00G?l0
of40002eo`1Un?l0on4603Kco`3onXT0oofk0;_mo`3omDT0oooo06Gho`3ogP@00]Wo0?ooo`3olcH0
BOGo0?ojR@3ooK/0oooo0?ojR@3oool0RO[o0?o<0000^_l0on/E0?m`00007?l0oe`0002jo`00P_l0
oi`000CNo`29n_l0ooQU0;_mo`020?om^`030?ooo`3ooK/0oofk0600oofk103oool2000000@0oooo
00@000000?ooo`3oool000001`3oool10=WIf@001`3oool010000000oooo0?ooo`0000040?ooo`03
0000003oool0oooo0080ooooH`3ooK/07P3oool0oofk0?ooo`3ooK/0ooE900;Io`3oZ`007Nko002<
o`3o6@0004Oo0?oD0@3oQ@00097o0?oD0@3ooK/0BOGo0?ojR@3oool0ooZ904Weo`3oj0l0^ogo00SS
o`3oe`401^7o0?om^`3oj0l0=_?o0?ohI@80oofk0140IOSo0?ooo`3ogP@00:So0?n50008hol005ko
0?l?0000Lol07Nko0?nc0000col0oo0W0?om^`3oool0oofk0?ooo`1R0?om^`D0oooo00<000000?oo
o`3oool00P3oool010000000oooo0?ooo`0000070?ooo`40fMWI00070?ooo`040000003oool0oooo
000000@0oooo00<000000?ooo`3oool00P3ooomV0?om^`0=0?ooo`3on6D0ooQU00_Vo`3o/`00RO[o
00CNo`3o<`00017o0?o5003oRP0008oo0?o5000204Weo`80oofk01X0ooQU00_Vo`3oa`000<co002o
o`3oW00009Oo0?o`9`3og0<00M7o0?o[5@3oool0oofk08Wjo`3on6D0oo0W002`o`3oJ0003nSo003?
o`3o700005Oo0?o<003o/0000<co0?oX3`80^ogo00<0oofk0?ooo`3ooK/0H03ooK/50?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool000001`3oool10=WIf@001`3oool010000000oooo
0?ooo`0000040?ooo`030000003oool0oooo0080ooooI`3ooK/0;`3oool0ooQU03Kco`19mOl0okX0
002:o`3oa`00ojH0000Io`3o?`001^7o002jo`3o^P002nKo0?ojR@3ooK/0ooQU06Gho`0Mk_l0ok00
002?o`3o]@00oih0001Io`3oO`007Nko00?Lo`3of@80BOGo0?om^`29n_l0on/E02O`o`03g?l0ogl0
000oo`3o^P00ogP0000co`3oO`00=_?o00;Io`3oiP/0IOSo0?ooo`3ooK/0oooo0600oofk1@3oool0
0`000000oooo0?ooo`020?ooo`040000003oool0oooo000000L0oooo0@3IfMT000P0oooo0P000005
0?ooo`030000003oool0oooo0080ooooI`3ooK/20?ooo`0[0?ojR@19mOl0RO[o0?oD0@00TOl0of40
0?oD0@009_l0ob<00032o`2koOl0okD000KQo`3on6D0oofk0?oeB@1Un?l0ooE90?nj0000Ool0oiL0
0?nX0000G_l0ofH0002^o`02fOl0on<802O`o`3ooK/0^ogo0?o^7@02fOl05N_o0?nc0000AOl0ok<0
0?oQ1P00>_l0of<000?Lo`3ooK/0on<806Gho`020?om^`030?ooo`3ooK/0oofk05d0oofk1@3oool0
0`000000oooo0?ooo`030?ooo`800000203oool10=WIf@003`3oool00`000000oooo0?ooo`020?oo
ofP0oofk00P0oooo0?om^`3onXT0=_?o0?oV2`3olcH00:ko0?mQ00800:7o0200ocP0001Vo`3oe`40
ooE900?Lo`3olcH0oooo0?ohI@0Ejol0onH;0?oeB@00Uol0of40002Qo`00^_l0og00002Go`3oe`40
onH;01g^o`3onXT0oooo0?o`9`02fOl0okX00?oI0P00G_l0ob/0002So`00aol0ofP0002Vo`80onhM
00@0BOGo0?ojR@3oool0ooooGP3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo
00<000000?ooo`3oool00P3ooomY0?om^`0[0?ooo`3ooK/0oofk04Weo`3og0<00MCo02O`o`3oL`00
03So0?n7003o_`0006ko0?nI000?j?l0=_?o0?o`9`3oool0oofk03Kco`3of@800<oo01G[o`3oRP00
06_o0?nj003oe0400:ko0?o<0019mOl0^ogo0?ojR@3on6D0oofk00CNo`3o[P000;[o002eo`3o?`00
03Go0?nD003oc0000:Ko0?o<000208Wjo`030?ojR@3oool0oofk05d0oofk1@3oool00`000000oooo
0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080ooooJP3ooK/0;`3oool0oofk0?oo
o`29n_l0onH;00;Io`2koOl0oiL00015o`3oE`00oj<0002So`3oS`000mco08Wjo`3okQd0^ogo0?om
^`2koOl0onhM01g^o`3ooK/0oll00032o`3oe`40=_?o00;Io`3ogP@0BOGo0;_mo`3ooK/0ooZ90;_m
o`0?j?l0okd0002Vo`0Ejol0ogX0000co`3oH`00om41002Qo`3obP00BOGo0?ooo`3onXT0oooo05d0
oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo
J`3ooK/0;`3oool0oofk0;_mo`3ooK/0onhM0037o`3o^000oofk001jo`3o=@0007go00oXo`3oX`00
0<Go0?o^7@3onXT0RO[o0?om^`3oool0oofk08Wjo`3onXT0oofk08Wjo`3omDT0RO[o0?ooo`3onXT0
^ogo0?om^`3oool0ooQU04Weo`3ooK/0oll0002?o`3oU`00on/E001Xo`3oD@000;3o03Kco`3oc`00
3nSo0?ojR@3ooK/0oooo05`0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`03
0000003oool0oooo0080ooooKP3ooK/0;`2koOl0ooZ90?oc=P02fOl0okX00035o`00Uol0oeL0001`
o`2koOl0okl0002jo`3oh@H0oofk0;_mo`3onXT0oooo0;_mo`3okQd02>?o0?ojR@3olcH00<co0?oD
0@2koOl05N_o0?oc=P29n_l0oofk0?ohI@1Un?l0ooE90?oN1000Zol0oi@0002Qo`00P_l0odX0002?
o`0Wl?l0omh400SSo`3omDT0oofk0?ooo`3ooK/0oooo05T0oofk1@3oool00`000000oooo0?ooo`0=
0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080ooooK03ooK/07`3oool0oofk0?om^`2koOl0
ooE90;_mo`0?j?l0ok<0002Lo`3oa@00ohl0001Ao`3oU000oooo007Ao`3ogP@0BOGo0?ooo`3on6D0
IOSo0?ohI@3oj0l00<Go0?n^001Un?l00;Go0?nQ0000c?l0oofk0?oX3`19mOl00P3onXT03@19mOl0
on<804Weo`00b_l0ogP0001oo`3omDT0ohX0001mo`3o_@00oofk02O`o`3olcH00P3oool00`3ooK/0
oooo0?om^`1G0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo
0?ooo`020?ooofd0oofk0380oooo0?om^`3ooK/0oooo0?oeB@29n_l0oofk0?o50000U?l0okd00?nX
0000L?l0ohX0003:o`02fOl0onH;03Kco`3oool0ooZ904Weo`3oj0l0on/E003:o`3oU0007Nko00?L
o`3oO`000:So0?oc=P3onXT09o3o0?ohI@3oool0IOSo0?oS200Wl?l0ooE90?nI0000QOl0ojP00?nN
0000Uol0ok<000SSo`0flol0oo0W0;_mo`3oool0oofk0?oooeL0oofk1@3oool00`000000oooo0?oo
o`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080ooooKP3ooK/0;`3oool0oofk0?ooo`3o
ool0ooQU01g^o`3olcH0ooQU002Vo`3oQ@000:ko002eo`3oQ`000;3o0?oV2`3oj0l09o3o0?ohI@3o
oK/0BOGo0?oV2`03g?l01^7o0?nD0000QOl0om`30?o20000XOl0olX00;_mo`19mOl0ooE90;_mo`3o
ool0on/E003?o`3oh`P0olX0001ho`3oN0000;oo002jo`3o^0000]Wo0?om^`3on6D0^ogo05T0oofk
1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080ooooL@3o
oK/01@3oool0oofk0?om^`0flol0om`300801=ko00T0ohX0001jo`3oc`00olL0002^o`3od@40RO[o
06Gho`3on6D00P2koOl06@3oj0l00MOo0?oQ1P3of@8009Oo0?nA0002fOl00MOo0?o:000?j?l0oofk
0?ojR@29n_l0ooZ90?ohI@02fOl0okP0002oo`00aol0og<0002:o`3oh`P0omL1007Go`3okQd00P3o
ool00`3ooK/0oooo0?om^`1E0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool0
0`000000oooo0?ooo`020?ooog80oofk02/0oooo0?om^`3ooK/0IOSo0?oQ1P0;i_l0IOSo0?nQ0000
Qol0okD00;_mo`00/ol0oll004Weo`29n_l0ooQU0;_mo`3ooK/0ooE900oXo`3oh@H0onhM0032o`3o
/`000<;o00oXo`3og0<07Nko0?ojR@3ooK/0^ogo0?oeB@3onXT02>?o0?no0001eol09o3o0?n70000
Sol0om@10?oL0`02fOl0onP?0080^ogo00<0oofk0?ooo`3ooK/0E03ooK/50?ooo`030000003oool0
oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooomc0?om^`0>0?ooo`3ooK/0^ogo
0?ooo`3oj0l00<oo0?o?003oiP/009co0?n?0001dOl03nSo0?oA0@0?j?l20?ojR@0=0;_mo`3onXT0
oofk06Gho`3oj0l09o3o06Gho`3og0<01^7o0?oc=P3on6D0IOSo0?ojR@020?ooo`0=0?ohI@1Un?l0
^ogo0?o?0000Zol0okX00?oV2`00W?l0ojH000oXo`0Wl?l0on/E06Gho`020?om^`030?ooo`3ooK/0
oofk0580oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo
0080ooooL`3ooK/20?ooo`0>0?om^`2koOl0oofk0?oc=P02fOl0okd00?ohI@01eol0oiL0003:o`3o
oK/0om@100oXo`3on6D20?ooo`030?om^`3oool0oofk0080oooo00<0oofk0?ooo`3ooK/00P3oool2
0?om^`80oooo00d0ooZ904Weo`3oool0onH;002jo`3oWP00oo0W002Xo`3o[P001^7o0?ojR@3ojaD0
IOSo0080oofk00<0oooo0?om^`3ooK/0D@3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT0
00l0oooo00<000000?ooo`3oool00P3ooomd0?om^`0^0?ooo`3ooK/0oofk0;_mo`3on6D0oooo00oX
o`3o`P000;[o04Weo`3o/`000;?o0?oG0@2koOl07Nko0?oc=P3oool0oofk0?ooo`3onXT0oooo03Kc
o`3oh`P03nSo0;_mo`3oh@H03nSo0?oc=P3ooK/0oooo0?om^`3oool0ooZ904Weo`3oiP/0oooo00;I
o`3oZ0000<;o04Weo`3o_@000<[o0?o[5@3oool0IOSo0?ojR@80ooooDP3ooK/50?ooo`030000003o
ool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooome0?om^`0N0?ooo`3ooK/0
oooo0?ooo`3omDT09o3o0?ohI@3of@800;[o0?nm0029n_l00<[o0?o7000Ejol0^ogo0?ohI@2koOl0
oofk0?ooo`3omDT09o3o0?ojR@3oh@H00<Oo0?oG0@3olcH01^7o0?oS201Un?l0oooo0P3ooK/03`3o
ool0RO[o0?oV2`06hOl0^ogo0?o50000[_l0olD006Gho`02fOl0on4606Gho`3oool0oofk0?ooo`1B
0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oo
ogH0oofk01l0oooo0?om^`3oool0oooo0?ohI@19mOl0onhM0?oX3`00aOl0okl00;_mo`01e?l0ol`0
00SSo`3onXT0ooQU0;_mo`3ooK/0oooo0?oeB@0Ejol0ooZ90?oQ1P00aol0olX001g^o`04g_l0omh4
03Kco`3oool0ooZ90080oooo00h0^ogo0?o^7@0;i_l0ooE90?oG0@00]Ol0okd00?ooo`0Ejol0on46
04Weo`3ooK/0ooZ90?oooe40oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`03
0000003oool0oooo0080ooooN@3ooK/03@3oool0oofk0?om^`0flol0onH;04Weo`08hol0okd00037
o`3olcH0on4600SSo`3olcH00`3oool07`3ooK/0ooZ902O`o`3oh@H09o3o00KQo`3o_`000M7o0?o`
9`3oj0l07Nko0?ohI@3oool0oofk0;_mo`3onXT0ooE900SSo`3oe`40RO[o00;Io`3o`P000MCo0?oe
B@3okQd0=_?o0?ojR@3ooK/0oooo0?om^`3oool0CP3ooK/50?ooo`030000003oool0oooo00d0oooo
0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooomj0?om^`0=0?ooo`3ooK/0oooo06Gho`3okQd0
7Nko02O`o`3oc0000<co0?oL0`3oj0l02>?o0?o`9`020?ooo`<0oofk00H0BOGo0?oX3`1Un?l0IOSo
0?oD0@02fOl20?o`9`0302O`o`3on6D0oooo0080oooo00`0oofk0?ojR@0Ejol0omh400KQo`0;i_l0
oll0007Do`3on6D0oo<f03Kco`3on6D20?ooo`030?om^`3oool0oofk04`0oofk1@3oool00`000000
oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080ooooN`3ooK/01P3oool0oofk
0?ooo`3oool0onhM00SSo`80on/E00T00M7o0?oD0@19mOl0=_?o0?o`9`29n_l0oofk0?ooo`3ooK/0
0P3oool01P3olcH05N_o0?oc=P3omDT02nKo0?o[5@80^ogo00D0ooZ90?ooo`3ooK/0oooo0?ohI@02
08Wjo`060?oQ1P01eol0on460?oV2`01eol0on<80P29n_l01@3on6D0oooo0?om^`3ooK/0oooo04`0
oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo
O03ooK/03P3oool0oofk0?ooo`3ooK/0ooE901G[o`3ojaD0BOGo00;Io`3oe`405N_o06Gho`3omDT0
RO[o0`3ooK/20?ooo`060?om^`29n_l0ooE90?om^`29n_l0ooQU0P3oool04@3ooK/0oooo0?om^`3o
ool0ooZ90;_mo`3onXT0onP?00KQo`3oh`P0oo0W00KQo`3oh`P0BOGo08Wjo`3onXT0oooo0080oofk
00<0oooo0?om^`3ooK/0B@3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<0
00000?ooo`3oool00P3oooml0?om^`0@0?ooo`3ooK/0oofk0;_mo`3onXT0oofk02O`o`3oh@H05N_o
06Gho`3oh@H02nKo0?oeB@3on6D0^ogo0?om^`80oooo00T0oofk0?ooo`3oool0oofk0;_mo`3onXT0
oofk0;_mo`3ooK/00P3oool04P3ooK/0oooo0?om^`3onXT0IOSo0?oeB@3ooK/02nKo0?oI0P0Ejol0
BOGo0?oX3`0flol0ooZ90?om^`3oool0oofk0?oood/0oofk1@3oool00`000000oooo0?ooo`0=0?oo
o`40fMWI000?0?ooo`030000003oool0oooo0080ooooO@3ooK/04@3oool0oofk0?ooo`3oool0ooQU
06Gho`3oool0on/E00KQo`3ojaD0ooQU01g^o`3ol2L0^ogo0?ooo`3ooK/0oooo0080oofk00T0^ogo
0?ojR@3onXT0BOGo0?o`9`1Un?l0oooo0?ohI@2koOl00P3ooK/03@3oool0oofk0?om^`29n_l0oo0W
03Kco`2koOl0on<800KQo`3ol2L0ooE904Weo`3on6D00P3oool00`3ooK/0oooo0?om^`190?om^`D0
oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooogh0oofk
0140oooo0?om^`3oool0oooo0?ojR@1Un?l0oooo0?o`9`0?j?l0on/E0;_mo`0Wl?l0oo0W0;_mo`3o
ool0oofk0?ooo`020?om^`090;_mo`3on6D0oooo04Weo`3ojaD09o3o0;_mo`3on6D0RO[o0080oofk
00d0oooo0?om^`3oool0oooo0?oeB@19mOl0oooo0?o[5@0;i_l0onhM0;_mo`19mOl0ooQU0080oooo
00<0oofk0?ooo`3ooK/0B03ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<0
00000?ooo`3oool00P3ooon10?om^`0<0?ooo`3ooK/0oofk08Wjo`3omDT0oooo03Kco`3oiP/09o3o
0?om^`3omDT0RO[o0P3ooK/03@3oool0oofk0?ooo`2koOl0ooE904Weo`3ooK/0oo0W01g^o`3olcH0
oooo08Wjo`3onXT00P3oool03@3ooK/0oooo0?ooo`3on6D0=_?o0?o`9`2koOl09o3o0?oX3`1Un?l0
oooo0?ojR@2koOl00P3ooK/00`3oool0oofk0?om^`160?om^`D0oooo00<000000?ooo`3oool03@3o
ool10=WIf@003`3oool00`000000oooo0?ooo`020?oooh80oofk00d0oooo0?om^`3ooK/0^ogo0?oe
B@3oool0RO[o0?o^7@0Wl?l0ooZ90?ohI@29n_l0ooZ90080oooo00`0oofk0?ooo`3oool0ooQU06Gh
o`3on6D0ooE903Kco`3olcH0oooo0;_mo`3onXT20?ooo`0>0?om^`3oool0oofk0?ojR@1Un?l0onhM
0?ooo`1Un?l0onhM04Weo`3ooK/0ooZ90?ooo`3ooK/20?ooodL0oofk1@3oool00`000000oooo0?oo
o`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080ooooP`3ooK/03P3oool0oofk0?ooo`3o
ool0ooQU04Weo`3onXT0ooE903Kco`3olcH0oooo0;_mo`3onXT0oooo0P3ooK/02@3oool0oofk0?om
^`29n_l0ooE90;_mo`29n_l0oo<f08Wjo`020?om^`0=0?ooo`3ooK/0oofk0?ooo`3onXT0oooo0;_m
o`3olcH0=_?o0?ojR@3omDT0BOGo0?ohI@020?ooo`030?om^`3oool0oofk04H0oofk1@3oool00`00
0000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080ooooQ03ooK/02P3oool0
oofk0?ooo`3oool0ooZ906Gho`3olcH0ooZ904Weo`3olcH20?ooo`060?ojR@3oool0oofk0?om^`3o
ool0oofk0P3oool01@3onXT0^ogo0?ooo`3onXT0^ogo0080oofk00T0oooo0?om^`3ooK/0oooo0?om
^`2koOl0oooo0?ohI@19mOl00P3onXT01P1Un?l0ooQU0?ooo`3oool0oofk0?ooodH0oofk1@3oool0
0`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo:`3ooK/20000
00`0oofk0P00000@0?om^`800000>P3ooK/02@3oool0oofk0?om^`29n_l0ooE90;_mo`29n_l0ooE9
08Wjo`020?om^`050?ooo`3ooK/0oofk0?ooo`3ooK/00P3oool01P3ooK/0oooo0?om^`3ooK/0oooo
0?om^`80oooo00D0oofk0?ooo`3oool0oofk0;_mo`020?ojR@0606Gho`3olcH0^ogo0;_mo`3on6D0
^ogo0P3ooK/00`3oool0oofk0?om^`130?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@00
3`3oool00`000000oooo0?ooo`020?ooobX0oofk00@000000?om^`3ooK/000002P3ooK/010000000
oofk0?om^`00000>0?om^`040000003ooK/0oofk000003X0oofk00H0oooo0?ojR@3oool0oooo0?oh
I@1Un?l20?ojR@040;_mo`3onXT0oooo0?ooo`<0oofk00H0oooo0?om^`3oool0oooo0?om^`3oool2
0?om^`050?ooo`3ooK/0oooo0?om^`3oool00P3ooK/01P2koOl0ooZ90;_mo`2koOl0ooE908Wjo`80
oofk00@0oooo0?om^`3oool0ooooA03ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0
oooo00<000000?ooo`3oool00P3ooolZ0?om^`040000003ooK/0oofk000000X0oofk00@000000?om
^`3ooK/000003P3ooK/010000000oofk0?om^`00000k0?om^`0:0?ooo`3ooK/0oooo0?ooo`3onXT0
RO[o0?ohI@3onXT0^ogo0?ojR@80oooo0`3ooK/01`3oool0oofk0?ooo`3oool0ooZ90;_mo`3ooK/0
0P3oool01@3ooK/0oooo0?ooo`3oool0oofk0080oooo00T0ooZ90;_mo`3oool0ooQU08Wjo`3onXT0
oofk0?ooo`3ooK/00P3ooom30?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool0
0`000000oooo0?ooo`020?ooob<0oofk100000040?om^`8000002`3ooK/010000000oofk0?om^`00
000?0?om^`800000?03ooK/0303oool0oofk0?om^`2koOl0ooZ90?om^`2koOl0ooQU0;_mo`3oool0
oofk0?ooo`<0oofk00P0oooo0?om^`3ooK/0^ogo0?ojR@3ooK/0^ogo0?ojR@80oooo00D0oofk0?oo
o`3ooK/0oooo0?om^`020?ooo`060?om^`2koOl0ooZ90?ojR@2koOl0ooZ90P3oool00`3ooK/0oooo
0?om^`120?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?oo
o`020?ooobX0oofk00@000000?om^`3ooK/000002P3ooK/010000000oofk0?om^`00000>0?om^`04
0000003ooK/0oofk000003`0oofk00`0oooo0?om^`3ooK/0oooo0?om^`3oool0^ogo0?ojR@2koOl0
oooo0?om^`3oool30?om^`090?ooo`3ooK/0oofk0?ooo`3onXT0oofk0?ooo`3onXT0oooo0080oofk
00D0oooo0?om^`3ooK/0oofk0?ooo`020?om^`050;_mo`3onXT0oooo0;_mo`3onXT00P3oool00`3o
oK/0oooo0?om^`110?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000
oooo0?ooo`020?ooobX0oofk00@000000?om^`3ooK/000002P3ooK/010000000oofk0?om^`00000>
0?om^`040000003ooK/0oofk000003P0oofk1P3oool01@3ooK/0oooo0?ooo`3ooK/0oooo0080oofk
00@0^ogo0?om^`3ooK/0oooo0`3ooK/01P3oool0oofk0?ooo`3oool0oofk0;_mo`80oofk00@0oooo
0?om^`3ooK/0oooo0`3ooK/01P3oool0oofk0?ooo`3oool0ooZ90;_mo`80oofk00@0oooo0?om^`3o
oK/0oooo@@3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3o
ool00P3oool[0?om^`800000303ooK/200000100oofk0P00000h0?om^`P0oooo00D0oofk0?ooo`3o
ool0oofk0?ooo`020?om^`040?ooo`3ooK/0oooo0?ooo`D0oofk0P3oool01P3ooK/0oooo0?om^`3o
oK/0oooo0?om^`80oooo0`3ooK/01P3oool0oofk0?ooo`3oool0oofk0?ooo`80oofk00@0oooo0?om
^`3oool0oooo@03ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?oo
o`3oool00P3ooolE0?om^d`00000903ooK/;0?ooo`80oofk00H0oooo0?om^`3oool0oooo0?om^`3o
ool60?om^`050?ooo`3ooK/0oofk0?ooo`3ooK/00P3oool00`3ooK/0oooo0?om^`020?om^`80oooo
00H0oofk0?ooo`3ooK/0oofk0?ooo`3ooK/20?ooo`030?om^`3oool0oofk03l0oofk1@3oool00`00
0000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo5@3ooK/00`000000
oofk0?om^`0A0?om^`030000003ooK/0oofk00h0oofk00<000000?om^`3ooK/03`3ooK/00`000000
oofk0?om^`0A0?om^`030000003ooK/0oofk02<0oofk2`3oool01@3ooK/0oooo0?ooo`3ooK/0oooo
0080oofk00<0oooo0?om^`3ooK/01`3ooK/00`3oool0oofk0?ooo`020?om^`050?ooo`3ooK/0oofk
0?om^`3oool00P3ooK/01P3oool0oofk0?ooo`3oool0oofk0?ooo`80oofk00<0oooo0?om^`3ooK/0
?@3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3o
oolE0?om^`030000003ooK/0oofk04P0oofk00<000000?om^`3ooK/0903ooK/;0?ooo`050?om^`3o
ool0oooo0?om^`3oool00P3ooK/00`3oool0oofk0?om^`050?om^`050?ooo`3ooK/0oofk0?ooo`3o
oK/00P3oool01@3ooK/0oooo0?om^`3ooK/0oooo0080oofk00H0oooo0?om^`3oool0oooo0?om^`3o
ool20?om^`030?ooo`3ooK/0oofk03`0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?
0?ooo`030000003oool0oooo0080oooo5@3ooK/00`000000oofk0000001600000080oofk00<00000
0?om^`3ooK/09@3ooK/;0?ooo`070?om^`3oool0oofk0?om^`3oool0oofk0?ooo`080?om^`060?oo
o`3ooK/0oooo0?ooo`3ooK/0oooo0P3ooK/01@3oool0oofk0?om^`3oool0oofk0080oooo00H0oofk
0?ooo`3ooK/0oofk0?ooo`3ooK/20?ooocd0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI
000?0?ooo`030000003oool0oooo0080oooo5@3ooK/00`000000oofk0000001600000080oofk00<0
00000?om^`3ooK/09P3ooK/;0?ooo`050?om^`3oool0oofk0?om^`3oool02P3ooK/00`3oool0oofk
0?ooo`020?om^`040?ooo`3ooK/0oofk0?ooo`@0oofk00@0oooo0?om^`3ooK/0oooo0P3ooK/00`3o
ool0oofk0?ooo`0m0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000
oooo0?ooo`020?oooaD0oofk00<000000?om^`000000AP0000020?om^`030000003ooK/0oofk02X0
oofk1`3oool20?om^`030?ooo`3ooK/0oooo0080oofk00<0oooo0?om^`3ooK/0203ooK/01P3oool0
oofk0?om^`3oool0oofk0?ooo`D0oofk00D0oooo0?om^`3ooK/0oooo0?om^`020?ooo`030?om^`3o
ool0oofk03/0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0
oooo0080oooo5@3ooK/00`000000oofk0000001600000080oofk00<000000?om^`3ooK/0=P3ooK/0
0`3oool0oofk0?om^`0;0?om^`060?ooo`3ooK/0oooo0?ooo`3ooK/0oooo1@3ooK/01@3oool0oofk
0?ooo`3oool0oofk0080oooo00<0oofk0?ooo`3ooK/0>P3ooK/50?ooo`030000003oool0oooo00d0
oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooolE0?om^`030000003ooK/0000004H00000
0P3ooK/00`000000oofk0?om^`0g0?om^`030?ooo`3ooK/0oofk00/0oofk00<0oooo0?om^`3oool0
0P3ooK/00`3oool0oofk0?om^`030?om^`030?ooo`3ooK/0oooo0080oofk00@0oooo0?om^`3ooK/0
oooo>P3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool0
0P3ooolE0?om^`030000003ooK/0000004H000000P3ooK/00`000000oofk0?om^`0`0?om^`030?oj
R@3ooK/0oofk01D0oofk00<0oooo0?om^`3ooK/0203ooK/01P3oool0oofk0?om^`3oool0oofk0?oo
ocX0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080
oooo5@3ooK/00`000000oofk0000001600000080oofk00<000000?om^`3ooK/0<03ooK/40?ojRB00
oofk00H0oooo0?om^`3oool0oooo0?om^`3oooli0?om^`D0oooo00<000000?ooo`3oool03@3oool1
0=WIf@003`3oool00`000000oooo0?ooo`020?oooaD0oofk00<000000?om^`000000AP0000020?om
^`030000003ooK/0oofk0300oofk1@3onXTF0?om^`030?ooo`3ooK/0oofk00T0oofk00@0oooo0?om
^`3ooK/0oooo>03ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?oo
o`3oool00P3ooolE0?om^`030000003ooK/0000004H000000P3ooK/00`000000oofk0?om^`0b0?om
^`@0ooZ95P3ooK/00`3oool0oofk0?om^`090?om^`040?ooo`3ooK/0oofk0?ooocL0oofk1@3oool0
0`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo3P3ooK/20000
00D0oofk00<000000?om^`000000AP0000020?om^`030000003ooK/0oofk00P0oofk0P00000K0?om
^`<0ooZ96P3ooK/30?ojRA@0oofk00<0oooo0?om^`3ooK/0=`3ooK/50?ooo`030000003oool0oooo
00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3oool=0?om^`040000003ooK/0oofk0000
00@0oofk00<000000?om^`000000AP0000020?om^`030000003ooK/0oofk00L0oofk00@000000?om
^`3ooK/000006P3ooK/50?ojR@H0oofk2`3oool70?om^`D0ooZ94`3ooK/00`3oool0oofk0?om^`0f
0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oo
o`d0oofk00@000000?om^`3ooK/00000103ooK]9000000030?om^`000000000000T0oofk00@00000
0?om^`3ooK/000006`3ooK/60?ojR@@0oofk103oool60;_mo`@0oooo1@3ooK/50?ojRD/0oofk1@3o
ool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo1`3ooK/4
00000080oofk0`0000050?om^`030000003ooK/0000004H000000P3ooK/010000000oofk0?om^`3o
oK/400000080oofk0`00000L0?om^`L0ooZ9103ooK/30?ooo`80^ogo1029n_l20;_mo`<0oooo103o
oK/70?ojRDT0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0
oooo0080oooo3@3ooK/00`000000oofk0?om^`050?om^`030000003ooK/0000004H000000P3ooK/0
0`000000oofk0?om^`070?om^`030000003ooK/0oofk01d0oofk0P3onXT30?ohI@80ooZ9103ooK/2
0?ooo`80^ogo00@0RO[o06Gho`19mOl0BOGo0P1Un?l00`29n_l0^ogo0?ooo`020?ooo`<0oofk0P3o
nXT30?ohI@80ooZ9B03ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<00000
0?ooo`3oool00P3oool=0?om^`030000003ooK/0oofk00D0oofk00<000000?om^`000000AP000002
0?om^`030000003ooK/0oofk00L0oofk00<000000?om^`3ooK/07P3ooK/20?ojR@@0ooQU0P3onXT3
0?om^`80oooo00<0^ogo08Wjo`1Un?l00P19mOl01@0flol0BOGo06Gho`29n_l0^ogo00<0oooo0`3o
oK/00`3onXT0ooQU0?ohI@020?ohI@80ooZ9A`3ooK/50?ooo`030000003oool0oooo00d0oooo0@3I
fMT000l0oooo00<000000?ooo`3oool00P3oool>0?om^`<00000103ooK/00`000000oofk00000016
00000080oofk00<000000?om^`3ooK/0203ooK/3000001h0oofk00<0ooZ90?ohI@3on6D0103on6D0
103onXT0oofk0?om^`3ooK/20?ooo`80^ogo00L0IOSo04Weo`19mOl0=_?o04Weo`1Un?l0RO[o0080
^ogo0P3oool30?om^`030?ojR@3on6D0ooQU00<0ooQU0P3onXU50?om^`D0oooo00<000000?ooo`3o
ool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oooaD0oofk00<000000?om^`000000
AP0000020?om^`030000003ooK/0oofk02T0oofk0P3onXT0103on6D0ooE90?oeB@3omDT20?ohI@04
0?ojR@3ooK/0oofk0?om^`<0oooo00H0^ogo08Wjo`1Un?l0IOSo04Weo`1Un?l208Wjo`030;_mo`3o
ool0oooo00<0oofk0P3onXT0103on6D0ooE90?oeB@3omDT20?ohI@030?ojR@3ooK/0oofk0480oofk
1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo5@3o
oK/00`000000oofk0000001600000080oofk00<000000?om^`3ooK/0:P3ooK/20?ojR@030?ohI@3o
mDT0ooE90080ooE90P3on6D0103onXT0oofk0?om^`3ooK/30?ooo`H0^ogo103oool30?om^`030?oj
R@3on6D0ooQU00@0ooE900<0ooQU0?ojR@3onXT0@P3ooK/50?ooo`030000003oool0oooo00d0oooo
0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooolE0?om^`030000003ooK/0000004H000000P3o
oK/00`000000oofk0?om^`0[0?om^`040?ojR@3on6D0ooQU0?oeB@80oo<f0P3omDT00`3on6D0ooZ9
0?om^`060?om^`D0ooZ91`3ooK/00`3onXT0ooQU0?oeB@030?oc=P040?oeB@3on6D0ooZ90?ojRD40
oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo
5@3ooK/00`000000oofk0000001600000080oofk00<000000?om^`3ooK/0;03ooK/00`3onXT0ooQU
0?oeB@040?oc=P030?oeB@3on6D0ooZ900@0oofk00@0ooZ90?ohI@3omDT0oo<f0P3ol2L20?oc=P03
0?ohI@3onXT0ooZ900<0oofk0P3onXT00`3on6D0ooE90?oc=P030?oc=P030?oeB@3on6D0ooZ90400
oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo
5@3ooK/00`000000oofk0000001600000080oofk00<000000?om^`3ooK/0;@3ooK/0103onXT0ooQU
0?oeB@3olcH30?o`9`040?oc=P3on6D0ooZ90?ojR@80oofk00D0ooZ90?ohI@3omDT0oo0W0?o[5@02
0?oV2`060?oX3`3ojaD0oo0W0?oeB@3on6D0ooZ90P3ooK/20?ojR@030?ohI@3omDT0oo0W0080oo0W
00@0oo<f0?oeB@3on6D0ooZ9?`3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo
00<000000?ooo`3oool00P3ooolE0?om^`030000003ooK/0000004H000000P3ooK/00`000000oofk
0?om^`0^0?om^`040?ojR@3on6D0oo<f0?o`9`80onhM00D0oo0W0?oc=P3omDT0ooQU0?ojR@020?om
^`0=0?ojR@3on6D0oo<f0?o[5@3oiP/0on460?oN103oh@H0onH;0?o[5@3olcH0ooQU0?ojR@020?om
^`050?ojR@3on6D0ooE90?oc=P3ol2L00P3okQd0103ol2L0oo<f0?ohI@3onXTn0?om^`D0oooo00<0
00000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oooaD0oofk00<00000
0?om^`000000AP0000020?om^`030000003ooK/0oofk02h0oofk0P3onXT02P3on6D0oo<f0?o`9`3o
kQd0on/E0?o^7@3ol2L0oo<f0?ohI@3onXT20?om^`0<0?ojR@3on6D0oo<f0?o[5@3oiP/0omh40?oL
0`3ogP@0on460?oX3`3ol2L0ooE90P3onXT01@3ooK/0ooZ90?ohI@3omDT0oo<f00@0onhM00@0oo0W
0?oeB@3on6D0ooZ9?03ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<00000
0?ooo`3oool00P3ooolE0?om^`030000003ooK/0000004H000000P3ooK/00`000000oofk0?om^`0_
0?om^`80ooZ900<0ooE90?oc=P3okQd00`3ojaD0103ol2L0oo<f0?ohI@3onXT20?om^`0=0?ojR@3o
n6D0oo<f0?o^7@3oiP/0on460?oN103oh@H0on<80?o[5@3ol2L0ooE90?ojR@020?om^`050?ojR@3o
n6D0ooE90?o`9`3okQd00P3ojaD01@3okQd0oo0W0?oeB@3on6D0ooZ903/0oofk1@3oool00`000000
oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo5@3ooK/00`000000oofk
0000001600000080oofk00<000000?om^`3ooK/0<@3ooK/0103on6D0ooE90?o`9`3okQd30?oX3`04
0?o^7@3ol2L0ooQU0?ojR@<0oofk00`0ooZ90?ohI@3olcH0onhM0?oX3`3oiP/0onP?0?o^7@3ol2L0
ooE90?ohI@3onXT20?om^`050?ojR@3on6D0oo<f0?o`9`3ojaD00P3oj0l01@3ojaD0onhM0?oc=P3o
n6D0ooZ903X0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0
oooo0080oooo5@3ooK/00`000000oofk0000001600000080oofk00<000000?om^`3ooK/0<@3ooK/0
1@3onXT0ooQU0?oeB@3ol2L0on/E0080onH;00@0onP?0?o[5@3ol2L0ooE90P3onXT40?om^`030?oj
R@3on6D0ooQU00<0ooQU0P3onXT40?om^`050?ojR@3on6D0oo<f0?o^7@3oj0l00P3oiP/01@3oj0l0
onhM0?oc=P3on6D0ooZ903T0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`03
0000003oool0oooo0080oooo5@3ooK/00`000000oofk0000001600000080oofk00<000000?om^`3o
oK/0<P3ooK/0303onXT0ooQU0?oc=P3okQd0onP?0?oV2`3oh`P0onH;0?o[5@3ol2L0ooE90?ojR@80
oofk0P3oool01@2koOl0RO[o06Gho`19mOl0=_?o0080BOGo00@0IOSo08Wjo`2koOl0oooo0P3ooK/0
1@3onXT0ooQU0?oc=P3okQd0onP?0080on<800D0onP?0?o[5@3olcH0ooE90?ojR@0h0?om^`D0oooo
00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oooaD0oofk00<0
00000?om^`000000AP0000020?om^`030000003ooK/0oofk03<0oofk01@0ooZ90?ohI@3olcH0onhM
0?oX3`3oh`P0on460?oS203oj0l0onhM0?oc=P3on6D0ooZ90?om^`3oool0RO[o04Weo`0Mk_l02nKo
00KQo`801=ko01@02>?o01G[o`0Wl?l0BOGo0;_mo`3oool0oofk0?ojR@3omDT0oo<f0?o[5@3oiP/0
on<80?oQ1P3oh`P0on/E0?o`9`3omDT0ooQU0?ojRCH0oofk1@3oool00`000000oooo0?ooo`0=0?oo
o`40fMWI000?0?ooo`030000003oool0oooo0080oooo5@3ooK/00`000000oofk0000001600000080
oofk00<000000?om^`3ooK/0=03ooK/01@3onXT0ooQU0?oc=P3ojaD0onH;00<0on4600`0onH;0?o^
7@3olcH0ooQU0?ojR@3oool0^ogo06Gho`0Wl?l02nKo00;Io`00col2003<o`0<007Do`04g_l03nSo
03Kco`29n_l0^ogo0?om^`3onXT0ooE90?o`9`3ojaD0on<80P3oh@H01P3oh`P0onP?0?o^7@3omDT0
ooQU0?ojRCD0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0
oooo0080oooo5@3ooK/00`000000oofk0000001600000080oofk00<000000?om^`3ooK/0=@3ooK/0
1P3onXT0ooQU0?oc=P3ojaD0onH;0?oQ1P80omh401X0on<80?oX3`3ol2L0ooE90?ojR@3ooK/0^ogo
06Gho`0Mk_l01^7o007Do`00aol00;oo0032o`00aol00M7o00SSo`0Mk_l0IOSo0;_mo`3ooK/0ooZ9
0?ohI@3ol2L0on/E0?oS2080omh400H0on460?oS203okQd0oo<f0?ohI@3onXTd0?om^`D0oooo00<0
00000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oooaD0oofk00<00000
0?om^`000000AP0000020?om^`030000003ooK/0oofk03H0oofk00H0ooZ90?ohI@3olcH0on/E0?oS
203ogP@20?oL0`0<0?oQ1P3oj0l0oo0W0?oeB@3onXT0oooo0;_mo`19mOl07Nko00KQo`01dOl00<Oo
0P00_ol03000aol00MCo00KQo`0Mk_l0IOSo0;_mo`3ooK/0ooZ90?oeB@3ol2L0onP?0?oQ1P80om`3
00H0omh40?oS203ojaD0oo<f0?ohI@3onXTc0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WI
f@003`3oool00`000000oooo0?ooo`020?oooaD0oofk00<000000?om^`000000AP0000020?om^`03
0000003ooK/0oofk03L0oofk00H0ooZ90?ohI@3olcH0on/E0?oS203og0<20?oI0P0<0?oQ1P3oiP/0
oo0W0?oeB@3onXT0oofk0?ooo`1Un?l0=_?o00_Vo`03g?l00<oo0P00b_l05001e?l00mco00_Vo`0W
l?l0IOSo0;_mo`3oool0ooZ90?ohI@3ol2L0onP?0?oN103og0<0omT20?oL0`3oh@H0on/E0?o`9`3o
n6D0ooZ9<P3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3o
ool00P3ooolE0?om^`030000003ooK/0000004H000000P3ooK/00`000000oofk0?om^`0h0?om^`0D
0?ojR@3on6D0oo0W0?oX3`3oh@H0omT20?oG0@3of@80omh40?oV2`3okQd0ooE90?ohI@3ooK/0oooo
0;_mo`1Un?l0=_?o00oXo`08hol200CNo`0D00SSo`0Ejol0=_?o06Gho`2koOl0oooo0?om^`3onXT0
ooE90?o`9`3oiP/0omh40?oI0P3oe`40omT20?oQ1P3oj0l0oo0W0?oeB@3onXTa0?om^`D0oooo00<0
00000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooo`h0oofk0P000005
0?om^`030000003ooK/0000004H000000P3ooK/00`000000oofk0?om^`020?om^`800000=@3ooK/0
3@3onXT0ooE90?o`9`3oj0l0omh40?oI0P3oe040omL10?oL0`3oiP/0onhM0?oeB@3on6D00P3ooK/3
0?ooo`H0^ogo0`3oool20?om^`0=0?ohI@3omDT0onhM0?oV2`3og0<0omL10?oD0@3of@80omh40?oX
3`3ol2L0ooE90?ojR@0`0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`00
0000oooo0?ooo`020?ooo`d0oofk00@000000?om^`3ooK/00000103ooK]9000000030?om^`000000
000000<0oofk00@000000?om^`3ooK/00000=@3ooK/01P3onXT0ooQU0?o`9`3oj0l0on460?oG0@80
om@100D0omT20?oS203ojaD0oo<f0?ohI@020?ojR@050?ohI@3omDT0onhM0?oX3`3oh`P00P3oh@H0
1@3oh`P0onP?0?o^7@3olcH0ooQU00<0ooZ900D0ooE90?o^7@3oiP/0om`30?oG0@020?oD0@050?oN
103oh`P0onhM0?oeB@3on6D0;`3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo
00<000000?ooo`3oool00P3oool=0?om^`040000003ooK/0oofk000000@0oofk00<000000?om^`00
0000AP0000020?om^`050000003ooK/0oofk0?om^`0000000P3ooK/00`000000oofk0?om^`0d0?om
^`060?ojR@3omDT0oo0W0?oV2`3ogP@0omL10P3od@408P3of@80on460?o[5@3olcH0ooQU0?ojR@3o
n6D0ooE90?o^7@3oh@H0om@10?o7003o`P00okl00?o7003od@40omh40?o[5@3olcH0ooQU0?ojR@3o
n6D0ooE90?o^7@3oh`P0om`30?oD0@3od@40om@10?oL0`3oh`P0onhM0?oeB@3onXT^0?om^`D0oooo
00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooo`d0oofk00@0
00000?om^`3ooK/00000103ooK/00`000000oofk0000001600000080oofk00D000000?om^`3ooK/0
oofk000000020?om^`030000003ooK/0oofk03D0oofk00H0ooZ90?ohI@3ol2L0onP?0?oN103oe042
0?oA0@040?oG0@3ogP@0onP?0?o`9`<0ooQU00d0oo<f0?oX3`3of@80olX00?nh003oZ`00ojP00?n`
003o^P00om410?oN103okQd0ooE90080ooQU00`0ooE90?o^7@3oiP/0omT20?oD0@3oc`00om410?oG
0@3oh`P0on/E0?oc=P3on6D]0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool0
0`000000oooo0?ooo`020?ooo`d0oofk00@000000?om^`3ooK/00000103ooK/00`000000oofk0000
001600000080oofk00D000000?om^`3ooK/0oofk000000020?om^`030000003ooK/0oofk03H0oofk
00H0ooZ90?oeB@3ol2L0onH;0?oL0`3oe0420?o?00050?oD0@3ogP@0onP?0?o`9`3omDT00P3on6D0
3@3ol2L0onH;0?oG0@3o`P00ok000?nQ003oWP00ojH00?nh003obP00omh40?o[5@3omDT00P3on6D0
3@3omDT0onhM0?oS203of@80om410?o?003od@40omL10?oQ1P3ojaD0oo<f0?ohI@3onXT0:`3ooK/5
0?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3oool=0?om
^`040000003ooK/0oofk000000@0oofk00<000000?om^`000000AP0000020?om^`050000003ooK/0
oofk0?om^`0000000P3ooK/00`000000oofk0?om^`0g0?om^`060?ojR@3on6D0oo<f0?oV2`3ogP@0
om@10P3oc`001@3oe040om`30?oX3`3okQd0ooE90080ooQU00d0oo<f0?o[5@3of@80olX00?nc003o
Z000ojH00?n^003o^P00oll00?oN103okQd0oo<f0080ooQU00D0ooE90?o^7@3oiP/0omT20?oA0@02
0?o?00060?oD0@3oh@H0onP?0?oc=P3on6D0ooZ9:P3ooK/50?ooo`030000003oool0oooo00d0oooo
0@3IfMT000P0oooo0P0000050?ooo`030000003oool0oooo0080oooo3P3ooK/2000000D0oofk00<0
00000?om^`000000AP0000020?om^`030000003ooK/0oofk0080oofk0P00000k0?om^`0=0?ojR@3o
n6D0oo0W0?oX3`3og0<0om@10?o?003oc000om410?oL0`3oiP/0oo0W0?oeB@020?ohI@0<0?oeB@3o
kQd0on<80?oD0@3oa`00okl00?nj003o_`00ol`00?oL0`3oiP/0oo0W0`3on6D03@3omDT0onhM0?oS
203of@80om410?o<003oc`00omL10?oN103ojaD0oo0W0?ohI@3onXT0:@3ooK/50?ooo`030000003o
ool0oooo00<0oooo0P0000080?ooo`40fMWI00070?ooo`040000003oool0oooo000000@0oooo00<0
00000?ooo`3oool00P3ooolE0?om^`030000003ooK/0000004H000000P3ooK/00`000000oofk0?om
^`100?om^`060?ojR@3omDT0oo0W0?oV2`3og0<0om410P3oc0001@3od@40om`30?oV2`3ol2L0ooE9
00<0ooZ900/0ooE90?o`9`3oj0l0on<80?oN103og0<0omh40?oS203ojaD0oo<f0?ohI@020?ojR@0>
0?ohI@3omDT0onhM0?oS203of@80oll00?o<003oc`00omL10?oN103oj0l0oo<f0?ohI@3onXTX0?om
^`D0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000070?ooo`40fMWI00070?oo
o`040000003oool0oooo000000@0oooo0P0000030?oooaD0oofk00<000000?om^`000000AP000002
0?om^`030000003ooK/0oofk0440oofk00H0ooZ90?ohI@3ol2L0onP?0?oN103oe0420?o<00070?o?
003og0<0on<80?o^7@3omDT0ooZ90?om^`030?ooo`L0^ogo0P3oool20?om^`060?ojR@3omDT0onhM
0?oV2`3of@80om410P3oc0001P3oe040om`30?oV2`3ol2L0ooE90?ojRBL0oofk103oool2000000@0
oooo00@000000?ooo`3oool000001`3oool10=WIf@001`3oool3000000D0oooo00<000000?ooo`3o
ool00P3ooolE0?om^`030000003ooK/0000004H000000P3ooK/00`000000oofk0?om^`120?om^`06
0?ojR@3on6D0oo0W0?oX3`3ogP@0om@10P3oc0006`3od@40omT20?oV2`3okQd0ooE90?ojR@3oool0
^ogo06Gho`0Wl?l02nKo00?Lo`01eol00MCo007Go`04g_l02nKo02O`o`1Un?l0^ogo0?ooo`3onXT0
ooE90?o^7@3oh`P0omT20?oA0@020?o<00060?oD0@3ogP@0onP?0?o`9`3on6D0ooZ99P3ooK/50?oo
o`030000003oool0oooo0080oooo0`0000080?ooo`40fMWI00070?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool00P3ooolE0?om^`030000003ooK/0000004H000000P3ooK/00`000000
oofk0?om^`130?om^`0S0?ojR@3on6D0oo<f0?oX3`3oh@H0om@10?o?003oc000oll00?oG0@3oh`P0
on/E0?oeB@3onXT0oooo08Wjo`0flol02nKo007Do`00aOl00;So002eo`00^?l00;oo007Do`06hOl0
9o3o06Gho`3oool0oofk0?ohI@3ol2L0onP?0?oL0`3oe0400P3oc0001P3od@40om`30?oV2`3ol2L0
ooE90?ojRBD0oofk1@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00P0oooo0@3I
fMT000L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?oooaD0oofk00<00000
0?om^`000000AP0000020?om^`030000003ooK/0oofk04@0oofk00H0ooZ90?ohI@3olcH0onP?0?oN
103oe0420?o<000K0?oA0@3of@80on<80?o^7@3omDT0oofk0?ooo`1Un?l07Nko00CNo`00c?l00;So
002Xo`00XOl00:?o002co`00aol00mco01G[o`1Un?l0^ogo0?om^`3on6D0oo0W0?oV2`3og0<0om41
0080ol`000H0om@10?oL0`3oj0l0oo0W0?ohI@3onXTT0?om^`D0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`080?ooo`40fMWI00080?ooo`<00000103oool00`000000oooo0?ooo`02
0?oooaD0oofk00<000000?om^`000000AP0000020?om^`030000003ooK/0oofk04H0oofk0280ooQU
0?oc=P3oj0l0on460?oD0@3oc`00ol`00?oA0@3oe`40on<80?o[5@3omDT0ooZ90?ooo`1Un?l09o3o
00CNo`00col00;Go002Xo`00XOl00:?o002`o`00aOl00MOo01G[o`19mOl0RO[o0?om^`3on6D0oo0W
0?oX3`3og0<0om@10P3oc`001P3od@40om`30?oV2`3ol2L0ooE90?ojRB<0oofk1@3oool00`000000
oooo0?ooo`030?ooo`<000001`3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oooaD0oofk
00<000000?om^`000000AP0000020?om^`030000003ooK/0oofk04H0oofk02<0ooZ90?ohI@3olcH0
on/E0?oQ1P3of@80om410?o?003od@40omT20?oS203okQd0ooE90?ojR@3oool0RO[o02O`o`0;i_l0
0M7o0035o`00^?l00:ko002co`00_Ol00<oo00CNo`0Mk_l0BOGo0;_mo`3ooK/0ooQU0?o`9`3oiP/0
omh40?oG0@020?o?00060?oD0@3og0<0onP?0?o`9`3omDT0ooZ98P3ooK/50?ooo`030000003oool0
oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooolE0?om^`030000003ooK/00000
04H000000P3ooK/00`000000oofk0?om^`170?om^`0S0?ojR@3on6D0oo<f0?o[5@3oh@H0omL10?oA
0@3oc`00om@10?oL0`3oiP/0onhM0?oeB@3onXT0oooo0;_mo`19mOl07Nko00KQo`01eol00<co0037
o`00b_l00M7o00CNo`0Ejol0=_?o08Wjo`3oool0oofk0?ohI@3ol2L0onP?0?oN103oe0400P3oc`00
1P3oe`40omh40?oX3`3ol2L0ooQU0?ojRB40oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI
000?0?ooo`030000003oool0oooo0080oooo5@3ooK/00`000000oofk0000001600000080oofk00<0
00000?om^`3ooK/0B@3ooK/0503onXT0oo<f0?o^7@3oiP/0omT20?oD0@3od@40om@10?oL0`3oh`P0
onhM0?oeB@3on6D0oofk0?ooo`2koOl0RO[o04Weo`0Wl?l07Nko0P0Ejol01@0Wl?l0=_?o06Gho`2k
oOl0oooo0080oofk00D0ooQU0?oc=P3ojaD0on460?oI0P020?oA0@060?oG0@3ogP@0onH;0?o`9`3o
mDT0ooZ9803ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3o
ool00P3ooolE0?om^`030000003ooK/0000004H000000P3ooK/00`000000oofk0?om^`1:0?om^`0<
0?ohI@3omDT0onhM0?oS203og0<0om@10?oA0@3oe`40om`30?oV2`3okQd0ooE90P3onXT00`3ooK/0
ooZ90?ojR@020?oeB@070?oc=P3ol2L0oo<f0?oc=P3omDT0ooQU0?ojR@020?om^`060?ojR@3on6D0
oo<f0?o[5@3oh@H0omT20P3oe0401P3oe`40omh40?oX3`3ol2L0ooE90?ojRAl0oofk1@3oool00`00
0000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo5@3ooK/00`000000
oofk0000001600000080oofk00<000000?om^`3ooK/0B`3ooK/03@3onXT0ooE90?o`9`3oj0l0omh4
0?oG0@3oe040omL10?oL0`3oiP/0onhM0?oeB@3on6D00P3onXT01@3omDT0oo0W0?oV2`3og0<0om@1
0080om4100D0omL10?oQ1P3oj0l0oo<f0?ohI@020?ojR@050?ohI@3olcH0onhM0?oS203og0<00P3o
e0401P3oe`40omh40?oV2`3ol2L0ooE90?ojRAh0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40
fMWI000?0?ooo`030000003oool0oooo0080oooo5@3ooK/00`000000oofk0000001600000080oofk
00<000000?om^`3ooK/0C03ooK/0503onXT0ooE90?o`9`3oj0l0on460?oI0P3oe`40omT20?oN103o
iP/0onhM0?oeB@3on6D0ooZ90?ohI@3olcH0on/E0?oN103oc`00ol800P3o_@00303oa@00om410?oQ
1P3ojaD0ooE90?ohI@3onXT0ooQU0?oeB@3okQd0onH;0?oL0`80omL100H0omT20?oQ1P3oj0l0oo0W
0?ohI@3onXTM0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo
0?ooo`020?oooaD0oofk00<000000?om^`000000AP0000020?om^`030000003ooK/0oofk04d0oofk
00H0ooZ90?ohI@3ol2L0on/E0?oQ1P3og0<20?oI0P0<0?oN103oiP/0onhM0?oeB@3on6D0ooZ90?oh
I@3olcH0onP?0?oL0`3obP00okd00P3o]@00503o^P00ol`00?oI0P3oj0l0oo<f0?ohI@3onXT0ooQU
0?oeB@3ol2L0onH;0?oQ1P3og0<0omT20?oL0`3oh@H0onP?0?oc=P3omDT0ooZ9703ooK/50?ooo`03
0000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooolE0?om^`030000
003ooK/0000004H000000P3ooK/00`000000oofk0?om^`1>0?om^`0R0?ojR@3on6D0oo<f0?o[5@3o
h`P0omh40?oI0P3og0<0on460?oX3`3ol2L0ooE90?ohI@3onXT0ooQU0?oc=P3ojaD0om`30?o?003o
a@00okP00?nj003o`P00oll00?oN103oj0l0oo<f0?ohI@3onXT0ooQU0?oeB@3ol2L0onP?0?oQ1P<0
om`300D0on<80?o[5@3ol2L0ooQU0?ojR@0K0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WI
f@003`3oool00`000000oooo0?ooo`020?oooaD0oofk00<000000?om^`000000AP0000020?om^`03
0000003ooK/0oofk04l0oofk00`0ooZ90?ohI@3olcH0on/E0?oS203ogP@0om`30?oN103oh`P0onP?
0?o`9`3omDT20?ojR@060?ohI@3omDT0onhM0?oS203of@80oll00P3oa`001@3oc`00omT20?oS203o
kQd0ooE900<0ooZ900`0ooE90?o`9`3oj0l0on<80?oN103og0<0omh40?oV2`3ojaD0oo<f0?ohI@3o
nXTJ0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`02
0?oooaD0oofk00<000000?om^`000000AP0000020?om^`030000003ooK/0oofk0500oofk00`0ooZ9
0?ohI@3omDT0oo0W0?oX3`3oh`P0omh40?oQ1P3oh`P0onP?0?o`9`3omDT30?ojR@050?ohI@3omDT0
oo0W0?oX3`3oh`P00P3ogP@01@3oh`P0onP?0?o^7@3omDT0ooQU00<0ooZ900`0ooQU0?oc=P3ojaD0
onH;0?oQ1P3ogP@0on460?oV2`3ojaD0oo<f0?ohI@3onXTI0?om^`D0oooo00<000000?ooo`3oool0
3@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?oooaD0oofk00<000000?om^`000000AP00
00020?om^`030000003ooK/0oofk0540oofk00H0ooZ90?ohI@3omDT0oo0W0?oX3`3oh`P20?oQ1P05
0?oV2`3ojaD0oo<f0?ohI@3onXT0103ooK/00`3onXT0ooQU0?oeB@030?oeB@030?ohI@3onXT0ooZ9
00<0oofk00d0ooZ90?ohI@3olcH0onhM0?oV2`3oh`P0on460?oS203oj0l0onhM0?oc=P3on6D0ooZ9
01P0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080
oooo3P3ooK/2000000D0oofk00<000000?om^`000000AP0000020?om^`030000003ooK/0oofk0080
oofk0P00001?0?om^`050?ojR@3omDT0oo<f0?o[5@3oiP/00P3oh`P01P3oiP/0on/E0?o`9`3on6D0
ooZ90?om^`80oooo00@0^ogo08Wjo`1Un?l0BOGo0P0flol01019mOl0IOSo08Wjo`2koOl20?ooo`80
oofk00@0ooQU0?oeB@3okQd0on/E0`3oh`P01@3oj0l0onhM0?oc=P3on6D0ooZ901L0oofk1@3oool0
0`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo3@3ooK/01000
0000oofk0?om^`0000040?om^dT0000000<0oofk0000000000000`3ooK/010000000oofk0?om^`00
001?0?om^`050?ojR@3on6D0oo<f0?o^7@3oj0l00P3oiP/0303oj0l0onhM0?oc=P3on6D0ooZ90?om
^`3oool0^ogo06Gho`0flol07Nko00_Vo`802>?o00d02nKo00oXo`0Wl?l0BOGo08Wjo`2koOl0oooo
0?om^`3onXT0ooE90?o`9`3ojaD0onP?0080onH;00D0on/E0?o`9`3omDT0ooQU0?ojR@0F0?om^`D0
oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooo`d0oofk
00@000000?om^`3ooK/00000103ooK/00`000000oofk0000001600000080oofk00D000000?om^`3o
oK/0oofk000000020?om^`030000003ooK/0oofk04h0oofk00D0ooZ90?ohI@3olcH0onhM0?o[5@02
0?oX3`0<0?o[5@3ol2L0oo<f0?ohI@3onXT0oofk0?ooo`2koOl0IOSo02O`o`0?j?l01^7o0P02fOl0
3@03g?l02>?o01G[o`0flol0IOSo0;_mo`3oool0oofk0?ojR@3on6D0oo0W0?o^7@3ojaD00P3oj0l0
1@3ojaD0oo0W0?oeB@3on6D0ooZ901D0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?
0?ooo`030000003oool0oooo0080oooo3@3ooK/3000000D0oofk00<000000?om^`000000AP000002
0?om^`040000003ooK/0oofk0?om^`<00000DP3ooK/01@3onXT0ooQU0?oeB@3ol2L0onhM00<0on/E
00/0oo0W0?oeB@3on6D0ooZ90?om^`3oool0^ogo06Gho`0Wl?l03nSo00KQo`0200;Io`0D00?Lo`06
hOl05N_o03Kco`1Un?l0^ogo0?ooo`3ooK/0ooZ90?ohI@3olcH0oo0W0?o[5@3oj0l0on/E0?o^7@3o
lcH0ooE90?ohI@3onXTD0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`00
0000oooo0?ooo`020?ooo`d0oofk00<000000?om^`3ooK/01@3ooK/00`000000oofk000000160000
0080oofk00D000000?om^`3ooK/0oofk0000001E0?om^`050?ojR@3on6D0ooE90?o`9`3okQd00P3o
jaD0303okQd0oo<f0?oeB@3on6D0ooZ90?om^`3oool0^ogo06Gho`0flol05N_o00SSo`801=ko00d0
1^7o00_Vo`0Mk_l0BOGo08Wjo`2koOl0oooo0?om^`3onXT0ooQU0?oc=P3ol2L0onhM0080on/E00@0
oo0W0?oc=P3on6D0ooZ9503ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<0
00000?ooo`3oool00P3oool=0?om^`030000003ooK/0oofk00D0oofk00<000000?om^`000000AP00
00020?om^`050000003ooK/0oofk0?om^`000000EP3ooK/20?ojR@030?ohI@3olcH0oo0W0080onhM
01<0oo0W0?oc=P3omDT0ooQU0?ojR@3ooK/0oooo0;_mo`29n_l0IOSo03Kco`0Mk_l03nSo00_Vo`0E
jol07Nko03Kco`1Un?l0RO[o0080oooo00D0oofk0?ojR@3onXT0ooE90?oc=P030?o^7@040?o`9`3o
lcH0ooQU0?ojRA<0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003o
ool0oooo0080oooo3P3ooK/3000000@0oofk00<000000?om^`000000AP0000020?om^`030000003o
oK/0oofk0080oofk0`00001E0?om^`030?ojR@3on6D0ooE900@0oo0W00<0oo<f0?ohI@3onXT00P3o
oK/20?ooo`80^ogo00P0RO[o04Weo`19mOl0=_?o04Weo`1Un?l0RO[o0;_mo`80oooo0P3ooK/20?oj
R@030?oeB@3olcH0oo0W0080oo0W00@0oo<f0?oeB@3on6D0ooZ94P3ooK/50?ooo`030000003oool0
oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooolE0?om^`030000003ooK/00000
04H000000P3ooK/00`000000oofk0?om^`1K0?om^`040?ojR@3on6D0ooE90?oc=P80oo0W00<0oo<f
0?oeB@3on6D00P3onXT30?om^`/0oooo103ooK/0103onXT0ooQU0?oeB@3olcH20?o`9`040?oc=P3o
mDT0ooQU0?ojRA40oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003o
ool0oooo0080oooo5@3ooK/00`000000oofk0000001600000080oofk00<000000?om^`3ooK/0G03o
oK/0103onXT0ooQU0?ohI@3omDT30?oc=P030?oeB@3on6D0ooZ900D0oofk00<0ooZ90?ohI@3on6D0
0`3omDT00`3on6D0ooZ90?ojR@050?om^`030?ojR@3on6D0ooE900<0oo<f0P3omDT00`3on6D0ooZ9
0?om^`0?0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?oo
o`020?oooaD0oofk00<000000?om^`000000AP0000020?om^`030000003ooK/0oofk05d0oofk0P3o
nXT0103on6D0ooE90?oeB@3olcH20?oeB@030?ohI@3onXT0oofk00<0oofk0P3onXT00`3omDT0oo<f
0?o`9`020?o`9`040?oc=P3omDT0ooQU0?ojR@@0oofk00D0ooZ90?ohI@3on6D0ooE90?oc=P020?oe
B@030?ohI@3onXT0ooZ900l0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`03
0000003oool0oooo0080oooo5@3ooK/00`000000oofk0000001600000080oofk00<000000?om^`3o
oK/0G`3ooK/00`3onXT0ooQU0?ohI@030?oeB@030?ohI@3onXT0ooZ900@0oofk00@0ooZ90?ohI@3o
mDT0oo<f0`3okQd0103ol2L0ooE90?ohI@3onXT40?om^`80ooZ900<0ooQU0?oeB@3omDT00P3omDT0
0`3on6D0ooZ90?ojR@0>0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`00
0000oooo0?ooo`020?oooaD0oofk00<000000?om^`000000AP0000020?om^`030000003ooK/0oofk
0600oofk0P3onXT00`3on6D0ooE90?oeB@020?ohI@80ooZ9103ooK/01@3onXT0ooQU0?oeB@3olcH0
oo0W0080onhM00@0oo0W0?oeB@3on6D0ooZ91@3ooK/00`3onXT0ooQU0?ohI@020?oeB@80ooQU00<0
ooZ90?om^`3ooK/0303ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<00000
0?ooo`3oool00P3ooolE0?om^`030000003ooK/0000004H000000P3ooK/00`000000oofk0?om^`1R
0?om^`030?ojR@3on6D0ooQU00<0ooQU0P3onXT50?om^`030?ojR@3on6D0ooE900<0oo<f0P3omDT0
0`3on6D0ooZ90?om^`040?om^`80ooZ9103on6D20?ojR@d0oofk1@3oool00`000000oooo0?ooo`0=
0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080oooo5@3ooK/00`000000oofk000000160000
0080oofk00<000000?om^`3ooK/0H`3ooK/20?ojR@<0ooQU0P3onXT60?om^`80ooZ90P3on6D20?oe
B@030?ohI@3onXT0ooZ900H0oofk0`3onXT30?ohI@80ooZ9303ooK/50?ooo`030000003oool0oooo
00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3ooolE0?om^`030000003ooK/0oofk0140
oofk00<000000?om^`3ooK/03P3ooK/00`000000oofk0?om^`0?0?om^`030000003ooK/0oofk0140
oofk00<000000?om^`3ooK/0I03ooK/30?ojR@040?ohI@3onXT0ooZ90?ojR@T0oofk103onXT90?om
^`<0ooZ900@0ooQU0?ojR@3onXT0ooZ92`3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT0
00l0oooo00<000000?ooo`3oool00P3ooolE0?om^d`00000J03ooK/60?ojR@D0oofk2`3oool60?om
^`H0ooZ92`3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3o
ool00P3oooo:0?om^`D0ooZ91@3ooK/50?ooo`@0^ogo1@3oool50?om^`D0ooZ92P3ooK/50?ooo`03
0000003oool0oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool00P3oooo<0?om^`@0ooZ9
1@3ooK/40?ooo`H0^ogo103oool50?om^`@0ooZ92P3ooK/50?ooo`030000003oool0oooo00d0oooo
0@3IfMT000l0oooo00<000000?ooo`3oool00P3oooo>0?om^`80ooZ91P3ooK/40?ooo`H0^ogo103o
ool60?om^`80ooZ92P3ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<00000
0?ooo`3oool00P3oool[0?om^`800000303ooK/200000100oofk0P00002:0?om^`@0oooo1P2koOl4
0?oooa40oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo
0080oooo:P3ooK/010000000oofk0?om^`00000:0?om^`040000003ooK/0oofk000000h0oofk00@0
00000?om^`3ooK/00000RP3ooK/50?ooo`@0^ogo1@3oool@0?om^`D0oooo00<000000?ooo`3oool0
3@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooobX0oofk00@000000?om^`3ooK/00000
2P3ooK/010000000oofk0?om^`00000>0?om^`040000003ooK/0oofk000008/0oofk3P3oool?0?om
^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`020?ooob<0
oofk100000040?om^`8000002`3ooK/010000000oofk0?om^`00000?0?om^`800000SP3ooK/<0?oo
o`l0oofk1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0080
oooo:P3ooK/010000000oofk0?om^`00000:0?om^`040000003ooK/0oofk000000h0oofk00@00000
0?om^`3ooK/00000Z03ooK/50?ooo`030000003oool0oooo00d0oooo0@3IfMT000l0oooo00<00000
0?ooo`3oool00P3ooolZ0?om^`040000003ooK/0oofk000000X0oofk00@000000?om^`3ooK/00000
3P3ooK/010000000oofk0?om^`00002X0?om^`D0oooo00<000000?ooo`3oool03@3oool10=WIf@00
3`3oool00`000000oooo0?ooo`020?ooob/0oofk0P00000<0?om^`800000403ooK/200000:T0oofk
1@3oool00`000000oooo0?ooo`0=0?ooo`40fMWI000?0?ooo`030000003oool0oooo0?d0oooo00<0
00000?ooo`3oool03@3oool10=WIf@003`3oool00`000000oooo0?ooo`3m0?ooo`030000003oool0
oooo00d0oooo0@3IfMT000l0oooo00<000000?ooo`3oool0o@3oool00`000000oooo0?ooo`0=0?oo
o`40fMWI000?0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool0?03oool00`000000
oooo0?ooo`0l0?ooo`030000003oool0oooo03h0oooo00<000000?ooo`3oool03@3oool10=WIf@00
3`3ooooo0000008000003`3oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT0
0?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT004h0oooo1000
00020?ooo`@00000=P3oool2000003T0oooo100000020?ooo`@00000C03oool10=WIf@00CP3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo03H0oooo00@000000?ooo`3oool00000>03o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo04d0oooo0@3IfMT004l0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0e0?ooo`040000003oool0oooo000003T0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`1<0?ooo`40fMWI00180?ooo`@00000103oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo03@0oooo00@000000?ooo`3oool00000>P3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo04/0oooo0@3IfMT00540oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0c0?ooo`040000003oool0oooo000003/0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`1:0?ooo`40fMWI001>0?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool00000=@3oool010000000oooo0?ooo`00000h0?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool00000C03oool10=WIf@00C`3oool20000
00@0oooo0P00000g0?ooo`800000>P3oool2000000@0oooo0P00001=0?ooo`40fMWI003o0?ooob00
oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI0000\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-50.0213, -10.4696, 0.348581, \
0.0729589}, {{14.375, 143.5}, {116.062, 20.125}} -> {-35.2857, -55.0423, \
0.447008, 0.251442}}],

Cell[BoxData[
    RowBox[{\(expgolormapwhite1::"\<color\>"\), \(\(:\)\(\ \)\), \
"\<\"expcolormapwhite1[0.49500000000000005`] is not a valid color or \
gray-level specification. \\!\\( \\*ButtonBox[\\(More\[Ellipsis]\\), \
ButtonData:>\\\"General::color\\\", ButtonStyle->\\\"RefGuideLinkText\\\", \
ButtonFrame->\\\"None\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[38]:=",
  GeneratedCell->False,
  CellAutoOverwrite->False],

Cell[BoxData[
    RowBox[{\(ContourGraphics::"color"\), \(\(:\)\(\ \)\), \
"\<\"\\!\\(expcolormapwhite1[0.49500000000000005`]\\) is not a valid color or \
gray-level specification. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::color\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[38]:="],

Cell[BoxData[
    RowBox[{\(expcolormapwhite1::"color"\), \(\(:\)\(\ \)\), \
"\<\"\\!\\(expcolormapwhite1[0.5`]\\) is not a valid color or gray-level \
specification. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::color\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[38]:="],

Cell[BoxData[
    RowBox[{\(ContourGraphics::"color"\), \(\(:\)\(\ \)\), \
"\<\"\\!\\(expcolormapwhite1[0.5`]\\) is not a valid color or gray-level \
specification. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::color\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[38]:="],

Cell[BoxData[
    RowBox[{\(expcolormapwhite1::"color"\), \(\(:\)\(\ \)\), \
"\<\"\\!\\(expcolormapwhite1[0.505`]\\) is not a valid color or gray-level \
specification. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::color\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[38]:="],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(expcolormapwhite1 :: \\\"color\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[38]:="],

Cell[BoxData[
    RowBox[{\(ContourGraphics::"color"\), \(\(:\)\(\ \)\), \
"\<\"\\!\\(expcolormapwhite1[0.505`]\\) is not a valid color or gray-level \
specification. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::color\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[38]:="],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(ContourGraphics :: \\\"color\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[38]:="],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  ContourGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[38]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(predictability = 
      Block[{xg = \(-8\), pg = 1, l = 5, h = 2\ sx\ sp\ r, r = 1, sp = 1/6, 
          sx = 1, basethick = 0.008, P = 0.7}, 
        ContourPlot[\((gs1 + gs2 + gs3)\), {x, 
            xg - l - 3\ sx, \(-xg\) + l + 3\ sx}, {p, \(-pg\) - 3\ sp, 
            pg + 3\ sp}, PlotPoints \[Rule] 300, PlotRange -> All, 
          Contours \[Rule] Join[{0.002}, Table[i, {i, 0.05, 1, 0.05}]], 
          FrameTicks -> {{\(-xg\), 0, xg}, {}, {}, {\(-pg\), 0, pg}}, \ 
          Background -> White, ContourShading \[Rule] False, 
          TextStyle \[Rule] 
            m10, \[IndentingNewLine]Prolog \[Rule] {{GrayLevel[ .7], \
{Thickness[Sqrt[1 - P\^2] \((1 - P)\)\ basethick], Dashing[{0.27, 0.26}], 
                  Line[{{xg - l, pg}, {\(-xg\) - l, \(-pg\)}}]}, {Thickness[
                    Sqrt[1 - P\^2] \((1 + P)\)\ basethick], 
                  Dashing[{0.27, 0.26}], 
                  Line[{{xg + l, pg}, {\(-xg\) + l, \(-pg\)}}]}, {Thickness[
                    Sqrt[1 - P\^2] \((1 + P)\)\ basethick], 
                  Dashing[{0.22, 0.23}], 
                  Line[{{xg + l, pg}, {\(-xg\) - l, \(-pg\)}}]}, {Thickness[
                    Sqrt[1 - P\^2] \((1 - P)\)\ basethick], 
                  Dashing[{0.40, 0.21}], 
                  Line[{{xg - l, 
                        pg}, {\(-xg\) + l, \(-pg\)}}]}, {Thickness[\((1 - 
                          P\^2)\)\ basethick], Dashing[{0.09, 0.12}], 
                  Line[{{xg - l, pg}, {xg + l, 
                        pg}}]}, {Thickness[\((1 - P\^2)\)\ basethick], 
                  Dashing[{0.09, 0.12}], 
                  Line[{{\(-xg\) - l, \(-pg\)}, {\(-xg\) + l, \(-pg\)}}]}}, 
              Text["\<r r\>", {xg - l, pg + 2.5  sp}, {0, 0}, 
                TextStyle \[Rule] tx10], 
              Text["\<t t\>", {xg + l, pg + 2.5  sp}, {0, 0}, 
                TextStyle \[Rule] 
                  tx10], \[IndentingNewLine]Text["\<r t\>", {\(-xg\) + 
                    l, \(-pg\) - 2.5  sp}, {0, 0}, 
                TextStyle \[Rule] 
                  tx10], \[IndentingNewLine]Text["\<t r\>", {\(-xg\) - 
                    l, \(-pg\) - 2.5  sp}, {0, 0}, TextStyle \[Rule] tx10], 
              Text["\<\[ScriptCapitalP] = \>" <> 
                  ToString[0.7], {\(-8\), \(-1\)}]}]]\)], "Input",
  CellLabel->"In[80]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.5 0.0300481 0.5 0.320513 [
[.74038 -0.0125 -4.5 -10.9375 ]
[.74038 -0.0125 4.5 0 ]
[.5 -0.0125 -4.5 -10.9375 ]
[.5 -0.0125 4.5 0 ]
[.25962 -0.0125 -7.5625 -10.9375 ]
[.25962 -0.0125 7.5625 0 ]
[ 0 0 -0.125 0 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[1.0125 .17949 0 -5.46875 ]
[1.0125 .17949 15.125 5.46875 ]
[1.0125 .5 0 -5.46875 ]
[1.0125 .5 9 5.46875 ]
[1.0125 .82051 0 -5.46875 ]
[1.0125 .82051 9 5.46875 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.74038 0 m
.74038 .00625 L
s
gsave
.74038 -0.0125 -65.5 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(8) show
1.000 setlinewidth
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -65.5 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.25962 0 m
.25962 .00625 L
s
gsave
.25962 -0.0125 -68.5625 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(8) show
1.000 setlinewidth
grestore
0 0 m
1 0 L
s
0 0 m
0 1 L
s
0 1 m
1 1 L
s
.99375 .17949 m
1 .17949 L
s
gsave
1.0125 .17949 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(1) show
1.000 setlinewidth
grestore
.99375 .5 m
1 .5 L
s
gsave
1.0125 .5 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.99375 .82051 m
1 .82051 L
s
gsave
1.0125 .82051 -61 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.7 g
.00171 w
[ .27 .26 ] 0 setdash
.10938 .82051 m
.59014 .17949 L
s
.00971 w
.40986 .82051 m
.89063 .17949 L
s
[ .22 .23 ] 0 setdash
.40986 .82051 m
.59014 .17949 L
s
.00171 w
[ .4 .21 ] 0 setdash
.10938 .82051 m
.89063 .17949 L
s
.00408 w
[ .09 .12 ] 0 setdash
.10938 .82051 m
.40986 .82051 L
s
.59014 .17949 m
.89063 .17949 L
s
0 g
gsave
.10938 .95406 -68.3125 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(r) show
69.562 11.812 moveto
(r) show
73.625 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.40986 .95406 -67.1875 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(t) show
68.438 11.812 moveto
(t) show
71.375 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.89063 .04594 -67.75 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(r) show
69.562 11.812 moveto
(t) show
72.500 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.59014 .04594 -67.75 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(t) show
68.438 11.812 moveto
(r) show
72.500 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.25962 .17949 -78.0938 -9.46875 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
%%IncludeResource: font Mathematica5
%%IncludeFont: Mathematica5
/Mathematica5 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(P) show
72.562 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
80.688 11.812 moveto
(0.7) show
93.188 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.5 Mabswid
[ ] 0 setdash
.63024 .53517 m
.63204 .53698 L
.63024 .53803 L
.62969 .53698 L
.63024 .53517 L
s
.67526 .51629 m
.67731 .51769 L
.67552 .5209 L
.67526 .52132 L
.67347 .52412 L
.67205 .52629 L
.67133 .52733 L
.6691 .53055 L
.66883 .53109 L
.66675 .53377 L
.66562 .53532 L
.66434 .53698 L
.6624 .53954 L
.66187 .5402 L
.6593 .54341 L
.65918 .54362 L
.65657 .54663 L
.65597 .54733 L
.65359 .54985 L
.65275 .55071 L
.6507 .54985 L
.6524 .54663 L
.65275 .54604 L
.65442 .54341 L
.65597 .54102 L
.65654 .5402 L
.65875 .53698 L
.65918 .53636 L
.66108 .53377 L
.6624 .53194 L
.66346 .53055 L
.66562 .52769 L
.6659 .52733 L
.66844 .52412 L
.66883 .52333 L
.67112 .5209 L
.67205 .51979 L
.67397 .51769 L
.67526 .51629 L
s
.67848 .51394 m
.67866 .51447 L
.67848 .51518 L
.6774 .51447 L
.67848 .51394 L
s
.67526 .47545 m
.67639 .47588 L
.67544 .4791 L
.67526 .47948 L
.67378 .48231 L
.67205 .48533 L
.67193 .48553 L
.67062 .48874 L
.66883 .49043 L
.66782 .49196 L
.66568 .49518 L
.66562 .49526 L
.66376 .49839 L
.6624 .50012 L
.66115 .50161 L
.65918 .50469 L
.65884 .50482 L
.65659 .50804 L
.65597 .5088 L
.6546 .51126 L
.65275 .51322 L
.65163 .51447 L
.64954 .51747 L
.64915 .51769 L
.64671 .5209 L
.64632 .52131 L
.64463 .52412 L
.64311 .52538 L
.64132 .52733 L
.63989 .52945 L
.63853 .53055 L
.63667 .53262 L
.63554 .53377 L
.63346 .53584 L
.63087 .53377 L
.63256 .53055 L
.63346 .52898 L
.63446 .52733 L
.6364 .52412 L
.63667 .5237 L
.63782 .5209 L
.63989 .51826 L
.64076 .51769 L
.64296 .51447 L
.64311 .51428 L
.64494 .51126 L
.64632 .50957 L
.64761 .50804 L
.64954 .50507 L
.64997 .50482 L
Mistroke
.65229 .50161 L
.65275 .50106 L
.65433 .49839 L
.65597 .49672 L
.65733 .49518 L
.65918 .49246 L
.65987 .49196 L
.6624 .48881 L
.66246 .48874 L
.66479 .48553 L
.66562 .48489 L
.66797 .48231 L
.66883 .48104 L
.67099 .4791 L
.67205 .47801 L
.67462 .47588 L
.67526 .47545 L
Mfstroke
.65918 .45413 m
.66122 .45659 L
.65949 .4598 L
.65918 .46032 L
.65752 .46302 L
.65597 .46548 L
.65547 .46623 L
.65358 .46945 L
.65275 .47054 L
.65109 .47267 L
.64954 .47488 L
.64882 .47588 L
.64656 .4791 L
.64632 .47939 L
.64471 .48231 L
.64311 .48396 L
.64169 .48553 L
.63989 .48791 L
.63923 .48874 L
.63675 .49196 L
.63667 .49204 L
.63412 .49518 L
.63346 .49618 L
.63144 .49839 L
.63024 .50042 L
.62864 .50161 L
.62703 .5034 L
.6256 .50482 L
.62381 .50655 L
.62181 .50482 L
.6234 .50161 L
.62381 .50088 L
.62529 .49839 L
.62703 .49558 L
.62729 .49518 L
.62893 .49196 L
.63024 .49025 L
.63159 .48874 L
.63346 .48604 L
.63382 .48553 L
.63595 .48231 L
.63667 .48143 L
.63848 .4791 L
.63989 .47681 L
.64088 .47588 L
.64311 .47293 L
.64331 .47267 L
.6456 .46945 L
.64632 .46872 L
.64839 .46623 L
Mistroke
.64954 .46451 L
.65105 .46302 L
.65275 .46098 L
.6538 .4598 L
.65597 .45736 L
.65673 .45659 L
.65918 .45413 L
Mfstroke
.6624 .45215 m
.66258 .45337 L
.6624 .45396 L
.66011 .45337 L
.6624 .45215 L
s
.64954 .55068 m
.65114 .55306 L
.64954 .5545 L
.64843 .55306 L
.64954 .55068 L
s
.63024 .53407 m
.63282 .53698 L
.63024 .53914 L
.62894 .53698 L
.63024 .53407 L
s
.67526 .51557 m
.67794 .51769 L
.67599 .5209 L
.67526 .52206 L
.6739 .52412 L
.67205 .52688 L
.67173 .52733 L
.66947 .53055 L
.66883 .53179 L
.66713 .53377 L
.66562 .53582 L
.66473 .53698 L
.6624 .54004 L
.66228 .5402 L
.65972 .54341 L
.65918 .54431 L
.65706 .54663 L
.65597 .54794 L
.65425 .54985 L
.65275 .5515 L
.65001 .54985 L
.65192 .54663 L
.65275 .5453 L
.654 .54341 L
.65597 .54044 L
.65614 .5402 L
.6584 .53698 L
.65918 .53587 L
.66073 .53377 L
.6624 .53147 L
.6631 .53055 L
.66546 .52733 L
.66562 .52718 L
.66806 .52412 L
.66883 .52262 L
.67068 .5209 L
.67205 .51922 L
.6734 .51769 L
.67526 .51557 L
s
.67848 .51239 m
.67965 .51447 L
.67848 .51676 L
.67634 .51447 L
.67848 .51239 L
s
.62059 .50616 m
.62287 .50804 L
.62059 .50972 L
.61986 .50804 L
.62059 .50616 L
s
.67526 .47458 m
.67731 .47588 L
.67591 .4791 L
.67526 .48033 L
.67414 .48231 L
.67229 .48553 L
.67205 .48592 L
.67096 .48874 L
.66883 .49082 L
.66807 .49196 L
.66594 .49518 L
.66562 .49563 L
.664 .49839 L
.6624 .50042 L
.66136 .50161 L
.65918 .50478 L
.65905 .50482 L
.65682 .50804 L
.65597 .50909 L
.65482 .51126 L
.65275 .51347 L
.65183 .51447 L
.64954 .5176 L
.64936 .51769 L
.64699 .5209 L
.64632 .52162 L
.64498 .52412 L
.64311 .52571 L
.6416 .52733 L
.63989 .52977 L
.63886 .53055 L
.63667 .53304 L
.63598 .53377 L
.63346 .5364 L
.6304 .53377 L
.63221 .53055 L
.63346 .52845 L
.63415 .52733 L
.63607 .52412 L
.63667 .52322 L
.63755 .5209 L
.63989 .51802 L
.64054 .51769 L
.64272 .51447 L
.64311 .51395 L
.64471 .51126 L
.64632 .5093 L
.64741 .50804 L
.64954 .50494 L
.64977 .50482 L
Mistroke
.65205 .50161 L
.65275 .50078 L
.65409 .49839 L
.65597 .49645 L
.65712 .49518 L
.65918 .49227 L
.65964 .49196 L
.66215 .48874 L
.6624 .48849 L
.66434 .48553 L
.66562 .48451 L
.66764 .48231 L
.66883 .48059 L
.67055 .4791 L
.67205 .4775 L
.67377 .47588 L
.67526 .47458 L
Mfstroke
.65918 .4535 m
.6617 .45659 L
.65985 .4598 L
.65918 .4609 L
.65784 .46302 L
.65597 .46591 L
.65575 .46623 L
.65393 .46945 L
.65275 .47097 L
.65133 .47267 L
.64954 .47521 L
.64905 .47588 L
.64684 .4791 L
.64632 .47973 L
.645 .48231 L
.64311 .48427 L
.64192 .48553 L
.63989 .48821 L
.63947 .48874 L
.63709 .49196 L
.63667 .49239 L
.63439 .49518 L
.63346 .49657 L
.63175 .49839 L
.63024 .50082 L
.62901 .50161 L
.62703 .50387 L
.62612 .50482 L
.62381 .50721 L
.62125 .50482 L
.623 .50161 L
.62381 .50023 L
.62494 .49839 L
.62697 .49518 L
.62703 .49509 L
.62857 .49196 L
.63024 .48982 L
.63133 .48874 L
.63346 .48569 L
.63357 .48553 L
.63566 .48231 L
.63667 .48107 L
.63824 .4791 L
.63989 .47654 L
.64064 .47588 L
.64306 .47267 L
.64311 .47261 L
.64526 .46945 L
.64632 .46836 L
.64812 .46623 L
Mistroke
.64954 .46415 L
.65074 .46302 L
.65275 .46058 L
.65343 .4598 L
.65597 .45689 L
.65626 .45659 L
.65918 .4535 L
Mfstroke
.6624 .45074 m
.6633 .45337 L
.6624 .45529 L
.65932 .45337 L
.6624 .45074 L
s
.64632 .55601 m
.64858 .55628 L
.64632 .55754 L
.64624 .55628 L
.64632 .55601 L
s
.67526 .51497 m
.67845 .51769 L
.67641 .5209 L
.67526 .52267 L
.67428 .52412 L
.67211 .52733 L
.67205 .52742 L
.66981 .53055 L
.66883 .53236 L
.66747 .53377 L
.66562 .53628 L
.66508 .53698 L
.66274 .5402 L
.6624 .54055 L
.6601 .54341 L
.65918 .5449 L
.65748 .54663 L
.65597 .54847 L
.65477 .54985 L
.65275 .55215 L
.65189 .55306 L
.64954 .55547 L
.6477 .55306 L
.64948 .54985 L
.64954 .54975 L
.65151 .54663 L
.65275 .5447 L
.65362 .54341 L
.65571 .5402 L
.65597 .53987 L
.65808 .53698 L
.65918 .53543 L
.66041 .53377 L
.6624 .53104 L
.66278 .53055 L
.66492 .52733 L
.66562 .52666 L
.66772 .52412 L
.66883 .52206 L
.67029 .5209 L
.67205 .51873 L
.67294 .51769 L
.67526 .51497 L
s
.67848 .51153 m
.68029 .51447 L
.67848 .51764 L
.67572 .51447 L
.67848 .51153 L
s
.6817 .50897 m
.6819 .51126 L
.6817 .51174 L
.67877 .51126 L
.6817 .50897 L
s
.62059 .50515 m
.62355 .50804 L
.62059 .51074 L
.61918 .50804 L
.62059 .50515 L
s
.67526 .47389 m
.67793 .47588 L
.67632 .4791 L
.67526 .481 L
.67449 .48231 L
.67265 .48553 L
.67205 .48649 L
.67124 .48874 L
.66883 .49118 L
.66831 .49196 L
.66619 .49518 L
.66562 .49597 L
.66422 .49839 L
.6624 .50069 L
.66156 .50161 L
.65925 .50482 L
.65918 .50491 L
.65704 .50804 L
.65597 .50936 L
.65501 .51126 L
.65275 .51371 L
.65203 .51447 L
.64958 .51769 L
.64954 .51774 L
.64726 .5209 L
.64632 .52191 L
.64527 .52412 L
.64311 .52601 L
.64186 .52733 L
.63989 .53004 L
.63917 .53055 L
.63667 .53343 L
.63637 .53377 L
.63346 .5369 L
.63338 .53698 L
.63024 .53992 L
.62837 .53698 L
.62987 .53377 L
.63024 .53334 L
.63188 .53055 L
.63346 .52798 L
.63387 .52733 L
.63577 .52412 L
.63667 .52279 L
.63733 .5209 L
.63989 .51785 L
.64032 .51769 L
.64249 .51447 L
.64311 .51365 L
.6445 .51126 L
Mistroke
.64632 .50905 L
.64722 .50804 L
.64954 .50484 L
.64958 .50482 L
.65184 .50161 L
.65275 .50051 L
.65388 .49839 L
.65597 .49621 L
.65692 .49518 L
.65918 .49211 L
.65942 .49196 L
.66186 .48874 L
.6624 .48818 L
.66395 .48553 L
.66562 .48417 L
.66734 .48231 L
.66883 .48021 L
.67016 .4791 L
.67205 .47703 L
.6732 .47588 L
.67526 .47389 L
Mfstroke
.67848 .47193 m
.67892 .47267 L
.67848 .47455 L
.67687 .47267 L
.67848 .47193 L
s
.6624 .44971 m
.66522 .45015 L
.66384 .45337 L
.6624 .4561 L
.66212 .45659 L
.66018 .4598 L
.65918 .4614 L
.65813 .46302 L
.65603 .46623 L
.65597 .46632 L
.65423 .46945 L
.65275 .47134 L
.65156 .47267 L
.64954 .47553 L
.64928 .47588 L
.6471 .4791 L
.64632 .48005 L
.64525 .48231 L
.64311 .48455 L
.64214 .48553 L
.63989 .48851 L
.6397 .48874 L
.6374 .49196 L
.63667 .49272 L
.63464 .49518 L
.63346 .49691 L
.63203 .49839 L
.63024 .50112 L
.62935 .50161 L
.62703 .50431 L
.62655 .50482 L
.62381 .50778 L
.62077 .50482 L
.62263 .50161 L
.62381 .49967 L
.62462 .49839 L
.62662 .49518 L
.62703 .49457 L
.62826 .49196 L
.63024 .48948 L
.63107 .48874 L
.63331 .48553 L
.63346 .48533 L
.63539 .48231 L
.63667 .48074 L
.63801 .4791 L
.63989 .4763 L
.6404 .47588 L
.64278 .47267 L
.64311 .47228 L
Mistroke
.64495 .46945 L
.64632 .46803 L
.64786 .46623 L
.64954 .46384 L
.65045 .46302 L
.65275 .4602 L
.6531 .4598 L
.65578 .45659 L
.65597 .45644 L
.6588 .45337 L
.65918 .45285 L
.66211 .45015 L
.6624 .44971 L
Mfstroke
.64632 .55451 m
.64947 .55628 L
.64632 .55915 L
.64543 .55628 L
.64632 .55451 L
s
.6817 .50774 m
.68395 .50804 L
.68259 .51126 L
.6817 .51295 L
.68081 .51447 L
.67912 .51769 L
.67848 .51864 L
.67679 .5209 L
.67526 .52321 L
.67464 .52412 L
.67254 .52733 L
.67205 .52797 L
.67013 .53055 L
.66883 .53281 L
.66779 .53377 L
.66562 .53671 L
.66541 .53698 L
.66319 .5402 L
.6624 .54103 L
.66045 .54341 L
.65918 .54538 L
.65787 .54663 L
.65597 .54897 L
.65521 .54985 L
.65275 .55273 L
.65245 .55306 L
.64954 .55622 L
.64715 .55306 L
.64906 .54985 L
.64954 .54908 L
.65114 .54663 L
.65275 .54417 L
.65328 .54341 L
.65526 .5402 L
.65597 .53932 L
.65778 .53698 L
.65918 .53502 L
.66011 .53377 L
.6624 .53064 L
.66247 .53055 L
.66446 .52733 L
.66562 .5262 L
.66741 .52412 L
.66883 .52164 L
.66995 .5209 L
.67205 .51828 L
.67254 .51769 L
.67524 .51447 L
.67526 .51443 L
.67813 .51126 L
Mistroke
.67848 .51067 L
.68137 .50804 L
.6817 .50774 L
Mfstroke
.67526 .47329 m
.67845 .47588 L
.6767 .4791 L
.67526 .48156 L
.67481 .48231 L
.67298 .48553 L
.67205 .48697 L
.67146 .48874 L
.66883 .49153 L
.66854 .49196 L
.66642 .49518 L
.66562 .49629 L
.66443 .49839 L
.6624 .50093 L
.66176 .50161 L
.65946 .50482 L
.65918 .50518 L
.65725 .50804 L
.65597 .50961 L
.65518 .51126 L
.65275 .51393 L
.65223 .51447 L
.6498 .51769 L
.64954 .51801 L
.6475 .5209 L
.64632 .52219 L
.64552 .52412 L
.64311 .52629 L
.64211 .52733 L
.63989 .53026 L
.63945 .53055 L
.63673 .53377 L
.63667 .53381 L
.6338 .53698 L
.63346 .53742 L
.63062 .5402 L
.63024 .54069 L
.62703 .54293 L
.62642 .5402 L
.62703 .53874 L
.62789 .53698 L
.62933 .53377 L
.63024 .53274 L
.63157 .53055 L
.63346 .52755 L
.6336 .52733 L
.63549 .52412 L
.63667 .52241 L
.63715 .5209 L
.63989 .51775 L
Mistroke
.64011 .51769 L
.64227 .51447 L
.64311 .51336 L
.64431 .51126 L
.64632 .50881 L
.64703 .50804 L
.64938 .50482 L
.64954 .50462 L
.65163 .50161 L
.65275 .50026 L
.65369 .49839 L
.65597 .49598 L
.65672 .49518 L
.65918 .49198 L
.65921 .49196 L
.66158 .48874 L
.6624 .48789 L
.66362 .48553 L
.66562 .48385 L
.66705 .48231 L
.66883 .47988 L
.66982 .4791 L
.67205 .47659 L
.67273 .47588 L
.67526 .47329 L
Mfstroke
.67848 .47067 m
.67981 .47267 L
.67848 .47581 L
.67597 .47267 L
.67848 .47067 L
s
.62381 .46159 m
.62406 .46302 L
.62381 .46326 L
.62326 .46302 L
.62381 .46159 L
s
.62703 .45638 m
.62973 .45659 L
.62715 .4598 L
.62703 .45996 L
.62487 .4598 L
.62689 .45659 L
.62703 .45638 L
s
.63024 .45193 m
.63212 .45337 L
.63024 .45595 L
.6292 .45337 L
.63024 .45193 L
s
.63346 .44785 m
.63439 .45015 L
.63346 .45157 L
.63165 .45015 L
.63346 .44785 L
s
.66562 .44674 m
.66666 .44694 L
.66593 .45015 L
.66562 .45085 L
.66431 .45337 L
.66253 .45659 L
.6624 .4568 L
.66049 .4598 L
.65918 .46185 L
.65841 .46302 L
.65633 .46623 L
.65597 .46675 L
.65451 .46945 L
.65275 .47166 L
.65179 .47267 L
.64954 .47583 L
.6495 .47588 L
.64735 .4791 L
.64632 .48036 L
.64547 .48231 L
.64311 .4848 L
.64236 .48553 L
.63993 .48874 L
.63989 .48879 L
.63768 .49196 L
.63667 .49303 L
.63489 .49518 L
.63346 .49722 L
.6323 .49839 L
.63024 .50134 L
.62966 .50161 L
.62703 .50472 L
.62693 .50482 L
.62403 .50804 L
.62381 .50833 L
.62083 .51126 L
.62059 .51158 L
.61738 .51354 L
.6172 .51126 L
.61738 .51077 L
.61863 .50804 L
.62026 .50482 L
.62059 .50419 L
.62229 .50161 L
.62381 .49917 L
.62431 .49839 L
.62629 .49518 L
.62703 .49412 L
.628 .49196 L
.63024 .48921 L
Mistroke
.63083 .48874 L
.63305 .48553 L
.63346 .48499 L
.63514 .48231 L
.63667 .48043 L
.63779 .4791 L
.63989 .4761 L
.64017 .47588 L
.64252 .47267 L
.64311 .47196 L
.64467 .46945 L
.64632 .46772 L
.64761 .46623 L
.64954 .46357 L
.65017 .46302 L
.65275 .45984 L
.65279 .4598 L
.65523 .45659 L
.65597 .45599 L
.65837 .45337 L
.65918 .45227 L
.66145 .45015 L
.6624 .44865 L
.66528 .44694 L
.66562 .44674 L
Mfstroke
.6817 .50694 m
.68483 .50804 L
.68315 .51126 L
.6817 .51378 L
.68127 .51447 L
.6797 .51769 L
.67848 .51943 L
.67715 .5209 L
.67526 .5237 L
.67498 .52412 L
.67293 .52733 L
.67205 .52846 L
.67043 .53055 L
.66883 .53316 L
.66809 .53377 L
.66573 .53698 L
.66562 .53712 L
.6636 .5402 L
.6624 .54147 L
.66077 .54341 L
.65918 .54578 L
.65822 .54663 L
.65597 .54942 L
.65561 .54985 L
.65301 .55306 L
.65275 .55327 L
.65005 .55628 L
.64954 .557 L
.64692 .55949 L
.64632 .56008 L
.64324 .55949 L
.64484 .55628 L
.64632 .55364 L
.64668 .55306 L
.64868 .54985 L
.64954 .54851 L
.65079 .54663 L
.65275 .5437 L
.65295 .54341 L
.65486 .5402 L
.65597 .53883 L
.6575 .53698 L
.65918 .53464 L
.65983 .53377 L
.66214 .53055 L
.6624 .53024 L
.66405 .52733 L
.66562 .52579 L
.66711 .52412 L
.66883 .52133 L
Mistroke
.66963 .5209 L
.67205 .51786 L
.67219 .51769 L
.67486 .51447 L
.67526 .51387 L
.67764 .51126 L
.67848 .50989 L
.68063 .50804 L
.6817 .50694 L
Mfstroke
.68491 .50439 m
.68581 .50482 L
.68491 .50787 L
.68423 .50482 L
.68491 .50439 L
s
.67848 .46982 m
.68044 .47267 L
.67909 .47588 L
.67848 .47661 L
.67706 .4791 L
.67526 .48207 L
.67511 .48231 L
.67329 .48553 L
.67205 .48739 L
.67164 .48874 L
.66883 .49186 L
.66876 .49196 L
.66665 .49518 L
.66562 .4966 L
.66461 .49839 L
.6624 .50115 L
.66195 .50161 L
.65966 .50482 L
.65918 .50545 L
.65744 .50804 L
.65597 .50986 L
.65533 .51126 L
.65275 .51413 L
.65242 .51447 L
.65002 .51769 L
.64954 .51827 L
.64773 .5209 L
.64632 .52245 L
.64572 .52412 L
.64311 .52655 L
.64235 .52733 L
.63989 .53045 L
.63973 .53055 L
.63716 .53377 L
.63667 .5342 L
.63418 .53698 L
.63346 .5379 L
.63115 .5402 L
.63024 .5414 L
.62766 .54341 L
.62703 .54392 L
.62472 .54341 L
.62584 .5402 L
.62703 .53779 L
.62746 .53698 L
.62888 .53377 L
.63024 .53222 L
.63128 .53055 L
.63332 .52733 L
.63346 .52712 L
Mistroke
.63523 .52412 L
.63667 .52208 L
.63701 .5209 L
.63989 .51769 L
.63991 .51769 L
.64206 .51447 L
.64311 .51308 L
.64413 .51126 L
.64632 .5086 L
.64685 .50804 L
.64919 .50482 L
.64954 .50437 L
.65143 .50161 L
.65275 .50002 L
.65353 .49839 L
.65597 .49576 L
.65652 .49518 L
.65898 .49196 L
.65918 .49173 L
.66132 .48874 L
.6624 .4876 L
.66333 .48553 L
.66562 .48355 L
.66679 .48231 L
.66883 .47961 L
.6695 .4791 L
.67205 .47618 L
.67233 .47588 L
.67526 .47276 L
.67536 .47267 L
.67848 .46982 L
Mfstroke
.62059 .46525 m
.6224 .46623 L
.62059 .46798 L
.6201 .46623 L
.62059 .46525 L
s
.62381 .45995 m
.6253 .46302 L
.62381 .46479 L
.62191 .46302 L
.62381 .45995 L
s
.63024 .4509 m
.63288 .45337 L
.63049 .45659 L
.63024 .45693 L
.62796 .4598 L
.62703 .461 L
.62391 .4598 L
.62612 .45659 L
.62703 .45528 L
.62843 .45337 L
.63024 .4509 L
s
.66562 .44574 m
.66783 .44694 L
.66647 .45015 L
.66562 .4518 L
.66473 .45337 L
.66297 .45659 L
.6624 .45754 L
.66079 .4598 L
.65918 .46227 L
.65868 .46302 L
.65661 .46623 L
.65597 .46714 L
.65475 .46945 L
.65275 .47194 L
.652 .47267 L
.64973 .47588 L
.64954 .47613 L
.64758 .4791 L
.64632 .48064 L
.64565 .48231 L
.64311 .48502 L
.64256 .48553 L
.64017 .48874 L
.63989 .48908 L
.63795 .49196 L
.63667 .49333 L
.63512 .49518 L
.63346 .49751 L
.63256 .49839 L
.63024 .50149 L
.62995 .50161 L
.62737 .50482 L
.62703 .50512 L
.62443 .50804 L
.62381 .50887 L
.62141 .51126 L
.62059 .51244 L
.61786 .51447 L
.61738 .51484 L
.61554 .51447 L
.61654 .51126 L
.61738 .50952 L
.61816 .50804 L
.61974 .50482 L
.62059 .50331 L
.62196 .50161 L
.62381 .49871 L
.62402 .49839 L
.62599 .49518 L
.62703 .4937 L
Mistroke
.62777 .49196 L
.63024 .48899 L
.6306 .48874 L
.63281 .48553 L
.63346 .48466 L
.63491 .48231 L
.63667 .48015 L
.63757 .4791 L
.63989 .47593 L
.63995 .47588 L
.64227 .47267 L
.64311 .47166 L
.64443 .46945 L
.64632 .46742 L
.64737 .46623 L
.64954 .46333 L
.64991 .46302 L
.65244 .4598 L
.65275 .45948 L
.65475 .45659 L
.65597 .45557 L
.65799 .45337 L
.65918 .45176 L
.66093 .45015 L
.6624 .44791 L
.66422 .44694 L
.66562 .44574 L
Mfstroke
.63667 .44293 m
.63943 .44372 L
.63737 .44694 L
.63667 .44801 L
.63516 .45015 L
.63346 .4526 L
.63082 .45015 L
.63332 .44694 L
.63346 .44676 L
.63601 .44372 L
.63667 .44293 L
s
.63989 .43956 m
.64116 .44051 L
.63989 .44298 L
.63896 .44051 L
.63989 .43956 L
s
.68491 .50323 m
.68694 .50482 L
.68544 .50804 L
.68491 .50902 L
.68363 .51126 L
.6817 .51447 L
.68169 .51447 L
.68018 .51769 L
.67848 .52001 L
.67749 .5209 L
.6753 .52412 L
.67526 .52417 L
.67328 .52733 L
.67205 .5289 L
.67073 .53055 L
.66883 .53344 L
.66838 .53377 L
.66607 .53698 L
.66562 .53753 L
.66395 .5402 L
.6624 .54187 L
.66108 .54341 L
.65918 .54611 L
.65855 .54663 L
.65598 .54985 L
.65597 .54986 L
.65364 .55306 L
.65275 .5538 L
.65052 .55628 L
.64954 .55767 L
.64758 .55949 L
.64632 .56081 L
.64425 .56271 L
.64311 .56366 L
.64124 .56271 L
.64257 .55949 L
.64311 .55846 L
.64435 .55628 L
.64624 .55306 L
.64632 .55293 L
.64833 .54985 L
.64954 .54801 L
.65047 .54663 L
.65264 .54341 L
.65275 .54325 L
.6545 .5402 L
.65597 .53841 L
.65723 .53698 L
.65918 .53428 L
.65956 .53377 L
Mistroke
.66181 .53055 L
.6624 .52986 L
.66371 .52733 L
.66562 .52543 L
.66684 .52412 L
.66883 .52112 L
.66933 .5209 L
.6718 .51769 L
.67205 .51744 L
.67451 .51447 L
.67526 .51337 L
.67723 .51126 L
.67848 .50928 L
.68008 .50804 L
.6817 .50627 L
.68318 .50482 L
.68491 .50323 L
Mfstroke
.67848 .46903 m
.6817 .46689 L
.68236 .46945 L
.6817 .47113 L
.68097 .47267 L
.67966 .47588 L
.67848 .47727 L
.67739 .4791 L
.67542 .48231 L
.67526 .48257 L
.67357 .48553 L
.67205 .48775 L
.67178 .48874 L
.66899 .49196 L
.66883 .49219 L
.66686 .49518 L
.66562 .49688 L
.66478 .49839 L
.6624 .50135 L
.66214 .50161 L
.65985 .50482 L
.65918 .5057 L
.65763 .50804 L
.65597 .5101 L
.65546 .51126 L
.65275 .51432 L
.65261 .51447 L
.65023 .51769 L
.64954 .51852 L
.64794 .5209 L
.64632 .52271 L
.64589 .52412 L
.64311 .5268 L
.64258 .52733 L
.64 .53055 L
.63989 .53067 L
.63754 .53377 L
.63667 .53456 L
.63452 .53698 L
.63346 .53833 L
.6316 .5402 L
.63024 .54197 L
.62841 .54341 L
.62703 .54469 L
.62388 .54341 L
.62534 .5402 L
.62703 .53706 L
.62707 .53698 L
.62849 .53377 L
.63024 .53174 L
Mistroke
.631 .53055 L
.63305 .52733 L
.63346 .52671 L
.63499 .52412 L
.63667 .52179 L
.63689 .5209 L
.6397 .51769 L
.63989 .51741 L
.64186 .51447 L
.64311 .51282 L
.64397 .51126 L
.64632 .5084 L
.64667 .50804 L
.64899 .50482 L
.64954 .50413 L
.65124 .50161 L
.65275 .49978 L
.65338 .49839 L
.65597 .49556 L
.65634 .49518 L
.65877 .49196 L
.65918 .49147 L
.66108 .48874 L
.6624 .48733 L
.6631 .48553 L
.66562 .48328 L
.66653 .48231 L
.66883 .47937 L
.66921 .4791 L
.67194 .47588 L
.67205 .47579 L
.67491 .47267 L
.67526 .47223 L
.67814 .46945 L
.67848 .46903 L
Mfstroke
.61738 .46944 m
.62046 .46945 L
.61738 .47223 L
.61737 .46945 L
.61738 .46944 L
s
.62059 .46389 m
.62333 .46623 L
.62059 .46932 L
.61918 .46623 L
.62059 .46389 L
s
.66562 .44496 m
.66855 .44694 L
.66694 .45015 L
.66562 .45252 L
.66511 .45337 L
.66337 .45659 L
.6624 .45815 L
.66107 .4598 L
.65918 .46266 L
.65894 .46302 L
.65688 .46623 L
.65597 .4675 L
.65497 .46945 L
.65275 .47218 L
.65221 .47267 L
.64995 .47588 L
.64954 .47643 L
.6478 .4791 L
.64632 .48091 L
.64581 .48231 L
.64311 .48522 L
.64276 .48553 L
.6404 .48874 L
.63989 .48936 L
.63819 .49196 L
.63667 .49361 L
.63534 .49518 L
.63346 .49776 L
.6328 .49839 L
.63024 .5016 L
.63022 .50161 L
.62781 .50482 L
.62703 .50552 L
.62478 .50804 L
.62381 .50935 L
.62188 .51126 L
.62059 .51311 L
.6187 .51447 L
.61738 .51568 L
.61457 .51447 L
.616 .51126 L
.61738 .50867 L
.61773 .50804 L
.6193 .50482 L
.62059 .50266 L
.62165 .50161 L
.62373 .49839 L
.62381 .49827 L
.62571 .49518 L
.62703 .49333 L
Mistroke
.62759 .49196 L
.63024 .48882 L
.63036 .48874 L
.63257 .48553 L
.63346 .48435 L
.6347 .48231 L
.63667 .47988 L
.63736 .4791 L
.63973 .47588 L
.63989 .47568 L
.64203 .47267 L
.64311 .47137 L
.6442 .46945 L
.64632 .46715 L
.64713 .46623 L
.64954 .46312 L
.64966 .46302 L
.65212 .4598 L
.65275 .45913 L
.65434 .45659 L
.65597 .45519 L
.65763 .45337 L
.65918 .45133 L
.66049 .45015 L
.6624 .44742 L
.66355 .44694 L
.66562 .44496 L
Mfstroke
.66883 .44288 m
.66952 .44372 L
.66883 .44629 L
.66724 .44372 L
.66883 .44288 L
s
.63989 .43836 m
.64211 .44051 L
.64014 .44372 L
.63989 .44411 L
.63797 .44694 L
.63667 .44885 L
.63573 .45015 L
.63346 .45336 L
.63345 .45337 L
.63103 .45659 L
.63024 .45764 L
.62854 .4598 L
.62703 .46176 L
.62599 .46302 L
.62381 .46569 L
.62116 .46302 L
.62328 .4598 L
.62381 .45902 L
.62552 .45659 L
.62703 .45446 L
.62784 .45337 L
.63018 .45015 L
.63024 .45009 L
.6327 .44694 L
.63346 .44596 L
.63529 .44372 L
.63667 .44203 L
.63801 .44051 L
.63989 .43836 L
s
.64311 .43524 m
.64389 .43729 L
.64311 .43884 L
.64095 .43729 L
.64311 .43524 L
s
.63989 .56384 m
.64138 .56592 L
.63989 .56668 L
.63935 .56592 L
.63989 .56384 L
s
.68491 .5024 m
.68767 .50482 L
.68597 .50804 L
.68491 .50986 L
.68407 .51126 L
.68215 .51447 L
.6817 .51518 L
.68057 .51769 L
.67848 .52042 L
.67781 .5209 L
.67563 .52412 L
.67526 .52463 L
.6736 .52733 L
.67205 .5293 L
.67101 .53055 L
.66883 .53365 L
.66866 .53377 L
.66638 .53698 L
.66562 .53792 L
.66426 .5402 L
.6624 .54224 L
.66137 .54341 L
.65918 .54638 L
.65887 .54663 L
.65639 .54985 L
.65597 .55029 L
.65417 .55306 L
.65275 .55429 L
.65095 .55628 L
.64954 .55822 L
.64811 .55949 L
.64632 .56146 L
.64507 .56271 L
.64311 .56461 L
.64038 .56271 L
.64203 .55949 L
.64311 .5576 L
.6439 .55628 L
.64575 .55306 L
.64632 .55217 L
.64801 .54985 L
.64954 .54755 L
.65017 .54663 L
.6523 .54341 L
.65275 .5428 L
.65419 .5402 L
.65597 .53805 L
.65698 .53698 L
.65918 .53393 L
.65931 .53377 L
Mistroke
.66151 .53055 L
.6624 .5295 L
.66341 .52733 L
.66562 .5251 L
.66657 .52412 L
.66883 .52098 L
.66905 .5209 L
.67141 .51769 L
.67205 .51704 L
.67419 .51447 L
.67526 .51293 L
.67686 .51126 L
.67848 .50882 L
.67961 .50804 L
.6817 .50569 L
.68253 .50482 L
.68491 .5024 L
Mfstroke
.68813 .49994 m
.68898 .50161 L
.68813 .50386 L
.68582 .50161 L
.68813 .49994 L
s
.61416 .47423 m
.61443 .47588 L
.61416 .47597 L
.61399 .47588 L
.61416 .47423 L
s
.6817 .46579 m
.68401 .46623 L
.68301 .46945 L
.6817 .47219 L
.68145 .47267 L
.68012 .47588 L
.67848 .47784 L
.67771 .4791 L
.67573 .48231 L
.67526 .48305 L
.67382 .48553 L
.67205 .48806 L
.67188 .48874 L
.66921 .49196 L
.66883 .49251 L
.66707 .49518 L
.66562 .49715 L
.66494 .49839 L
.6624 .50154 L
.66233 .50161 L
.66004 .50482 L
.65918 .50595 L
.65781 .50804 L
.65597 .51033 L
.65558 .51126 L
.65279 .51447 L
.65275 .51452 L
.65043 .51769 L
.64954 .51877 L
.64814 .5209 L
.64632 .52296 L
.64602 .52412 L
.64311 .52703 L
.6428 .52733 L
.64028 .53055 L
.63989 .53097 L
.63789 .53377 L
.63667 .53491 L
.63483 .53698 L
.63346 .53873 L
.632 .5402 L
.63024 .54245 L
.62897 .54341 L
.62703 .54534 L
.6255 .54663 L
.62381 .54786 L
.62215 .54663 L
.62327 .54341 L
.62381 .54228 L
.6249 .5402 L
Mistroke
.62665 .53698 L
.62703 .53629 L
.62816 .53377 L
.63024 .5313 L
.63073 .53055 L
.63278 .52733 L
.63346 .52632 L
.63477 .52412 L
.63667 .52152 L
.63681 .5209 L
.63949 .51769 L
.63989 .51713 L
.64167 .51447 L
.64311 .51257 L
.64382 .51126 L
.64632 .50821 L
.64649 .50804 L
.64881 .50482 L
.64954 .50389 L
.65106 .50161 L
.65275 .49955 L
.65325 .49839 L
.65597 .49536 L
.65615 .49518 L
.65856 .49196 L
.65918 .49122 L
.66086 .48874 L
.6624 .48707 L
.66291 .48553 L
.66562 .48301 L
.66629 .48231 L
.66883 .47916 L
.66893 .4791 L
.67149 .47588 L
.67205 .47539 L
.67451 .47267 L
.67526 .47173 L
.67757 .46945 L
.67848 .46829 L
.68112 .46623 L
.6817 .46579 L
Mfstroke
.66883 .44162 m
.6705 .44372 L
.66931 .44694 L
.66883 .44748 L
.66736 .45015 L
.66562 .45313 L
.66547 .45337 L
.66373 .45659 L
.6624 .45864 L
.66134 .4598 L
.65919 .46302 L
.65918 .46303 L
.65713 .46623 L
.65597 .46783 L
.65516 .46945 L
.65275 .47238 L
.65242 .47267 L
.65016 .47588 L
.64954 .47671 L
.648 .4791 L
.64632 .48116 L
.64594 .48231 L
.64311 .4854 L
.64296 .48553 L
.64062 .48874 L
.63989 .48963 L
.63841 .49196 L
.63667 .49387 L
.63555 .49518 L
.63346 .49799 L
.63303 .49839 L
.63052 .50161 L
.63024 .50191 L
.6282 .50482 L
.62703 .50588 L
.62511 .50804 L
.62381 .50977 L
.62229 .51126 L
.62059 .51361 L
.6193 .51447 L
.61738 .51639 L
.61584 .51769 L
.61416 .51888 L
.61278 .51769 L
.61389 .51447 L
.61416 .5139 L
.61552 .51126 L
.61733 .50804 L
.61738 .50795 L
.61891 .50482 L
Mistroke
.62059 .5022 L
.62135 .50161 L
.62344 .49839 L
.62381 .49783 L
.62545 .49518 L
.62703 .49299 L
.62743 .49196 L
.63014 .48874 L
.63024 .4886 L
.63234 .48553 L
.63346 .48405 L
.6345 .48231 L
.63667 .47963 L
.63715 .4791 L
.63951 .47588 L
.63989 .47539 L
.64181 .47267 L
.64311 .47109 L
.64401 .46945 L
.64632 .46688 L
.6469 .46623 L
.6494 .46302 L
.64954 .46286 L
.65181 .4598 L
.65275 .4588 L
.65399 .45659 L
.65597 .45482 L
.6573 .45337 L
.65918 .45095 L
.66009 .45015 L
.6624 .44712 L
.66302 .44694 L
.66562 .44429 L
.66625 .44372 L
.66883 .44162 L
Mfstroke
.63989 .43749 m
.64277 .44051 L
.64066 .44372 L
.63989 .44489 L
.63846 .44694 L
.63667 .44952 L
.63622 .45015 L
.63389 .45337 L
.63346 .45419 L
.63148 .45659 L
.63024 .45825 L
.62903 .4598 L
.62703 .46241 L
.62653 .46302 L
.62394 .46623 L
.62381 .46645 L
.6212 .46945 L
.62059 .47017 L
.61826 .47267 L
.61738 .4736 L
.61485 .47267 L
.61656 .46945 L
.61738 .46805 L
.61851 .46623 L
.62055 .46302 L
.62059 .46296 L
.62275 .4598 L
.62381 .45827 L
.62501 .45659 L
.62703 .45377 L
.62732 .45337 L
.62934 .45015 L
.63024 .44927 L
.63218 .44694 L
.63346 .44528 L
.63471 .44372 L
.63667 .44128 L
.63733 .44051 L
.63989 .43749 L
s
.64311 .43396 m
.64632 .43123 L
.64648 .43408 L
.64632 .43441 L
.64471 .43729 L
.64311 .43999 L
.64007 .43729 L
.64304 .43408 L
.64311 .43396 L
s
.40835 .80226 m
.41156 .80231 L
.41436 .8039 L
.41478 .80427 L
.41714 .80711 L
.418 .80905 L
.41853 .81033 L
.4195 .81355 L
.42005 .81676 L
.42026 .81998 L
.42016 .82319 L
.41973 .82641 L
.41891 .82962 L
.418 .83198 L
.41766 .83284 L
.41555 .83606 L
.41478 .83676 L
.41156 .83871 L
.40835 .83877 L
.40513 .83694 L
.40412 .83606 L
.40208 .83284 L
.40192 .83241 L
.40079 .82962 L
.39998 .82641 L
.39955 .82319 L
.39945 .81998 L
.39966 .81676 L
.4002 .81355 L
.40118 .81033 L
.40192 .80861 L
.40257 .80711 L
.40513 .80409 L
.40535 .8039 L
.40835 .80226 L
s
.68813 .49873 m
.68984 .50161 L
.68833 .50482 L
.68813 .50508 L
.68644 .50804 L
.68491 .51057 L
.68448 .51126 L
.68257 .51447 L
.6817 .5158 L
.68088 .51769 L
.67848 .52069 L
.67812 .5209 L
.67595 .52412 L
.67526 .52507 L
.67389 .52733 L
.67205 .52966 L
.67128 .53055 L
.66894 .53377 L
.66883 .53391 L
.66667 .53698 L
.66562 .53829 L
.66453 .5402 L
.6624 .54258 L
.66165 .54341 L
.65918 .54662 L
.65917 .54663 L
.65676 .54985 L
.65597 .55071 L
.65461 .55306 L
.65275 .55473 L
.65134 .55628 L
.64954 .55867 L
.64858 .55949 L
.64632 .56204 L
.64569 .56271 L
.64311 .56538 L
.64251 .56592 L
.63989 .56815 L
.63827 .56592 L
.63964 .56271 L
.63989 .56244 L
.64156 .55949 L
.64311 .55691 L
.6435 .55628 L
.64531 .55306 L
.64632 .55155 L
.6477 .54985 L
.64954 .54712 L
.64988 .54663 L
.65199 .54341 L
Mistroke
.65275 .54239 L
.65392 .5402 L
.65597 .53774 L
.65673 .53698 L
.65905 .53377 L
.65918 .53359 L
.66123 .53055 L
.6624 .52916 L
.66317 .52733 L
.66562 .52482 L
.66632 .52412 L
.66878 .5209 L
.66883 .52084 L
.67106 .51769 L
.67205 .51666 L
.67389 .51447 L
.67526 .51254 L
.67651 .51126 L
.67848 .50848 L
.6792 .50804 L
.6817 .50516 L
.682 .50482 L
.68491 .5017 L
.685 .50161 L
.68813 .49873 L
Mfstroke
.6817 .46497 m
.68491 .46322 L
.68497 .46623 L
.68491 .46638 L
.68356 .46945 L
.68191 .47267 L
.6817 .4731 L
.68051 .47588 L
.67848 .47836 L
.67802 .4791 L
.67602 .48231 L
.67526 .48348 L
.67406 .48553 L
.67205 .48833 L
.67196 .48874 L
.66943 .49196 L
.66883 .49282 L
.66727 .49518 L
.66562 .49741 L
.66509 .49839 L
.66251 .50161 L
.6624 .50177 L
.66023 .50482 L
.65918 .5062 L
.65797 .50804 L
.65597 .51055 L
.65568 .51126 L
.65298 .51447 L
.65275 .51476 L
.65062 .51769 L
.64954 .51901 L
.64833 .5209 L
.64632 .5232 L
.64613 .52412 L
.64311 .52725 L
.64302 .52733 L
.64055 .53055 L
.63989 .53127 L
.6382 .53377 L
.63667 .53524 L
.63513 .53698 L
.63346 .5391 L
.63236 .5402 L
.63024 .54283 L
.62945 .54341 L
.62703 .54594 L
.62629 .54663 L
.62381 .5488 L
.62131 .54663 L
.62275 .54341 L
Mistroke
.62381 .5414 L
.62448 .5402 L
.62625 .53698 L
.62703 .53564 L
.62788 .53377 L
.63024 .53089 L
.63046 .53055 L
.63253 .52733 L
.63346 .52596 L
.63456 .52412 L
.63667 .52129 L
.63675 .5209 L
.63929 .51769 L
.63989 .51685 L
.64148 .51447 L
.64311 .51233 L
.64368 .51126 L
.64632 .50804 L
.64632 .50803 L
.64863 .50482 L
.64954 .50365 L
.65089 .50161 L
.65275 .49934 L
.65314 .49839 L
.65597 .49518 L
.65597 .49518 L
.65835 .49196 L
.65918 .49097 L
.66065 .48874 L
.6624 .48682 L
.66275 .48553 L
.66562 .48277 L
.66606 .48231 L
.66863 .4791 L
.66883 .47889 L
.67109 .47588 L
.67205 .47502 L
.67416 .47267 L
.67526 .47127 L
.67709 .46945 L
.67848 .46769 L
.6803 .46623 L
.6817 .46497 L
Mfstroke
.66562 .44368 m
.66883 .4407 L
.6712 .44372 L
.67006 .44694 L
.66883 .4483 L
.66775 .45015 L
.66583 .45337 L
.66562 .45372 L
.66405 .45659 L
.6624 .45903 L
.6616 .4598 L
.65945 .46302 L
.65918 .4634 L
.65737 .46623 L
.65597 .46814 L
.65533 .46945 L
.65275 .47256 L
.65262 .47267 L
.65037 .47588 L
.64954 .47698 L
.64819 .4791 L
.64632 .4814 L
.64605 .48231 L
.64315 .48553 L
.64311 .48559 L
.64083 .48874 L
.63989 .48989 L
.63862 .49196 L
.63667 .49413 L
.63576 .49518 L
.63346 .49821 L
.63326 .49839 L
.63081 .50161 L
.63024 .50222 L
.62854 .50482 L
.62703 .50623 L
.62542 .50804 L
.62381 .51015 L
.62267 .51126 L
.62059 .51399 L
.61979 .51447 L
.61738 .51701 L
.61666 .51769 L
.61416 .5199 L
.61189 .51769 L
.61334 .51447 L
.61416 .51291 L
.61508 .51126 L
.61691 .50804 L
.61738 .50723 L
Mistroke
.61858 .50482 L
.62059 .50189 L
.62106 .50161 L
.62316 .49839 L
.62381 .49743 L
.6252 .49518 L
.62703 .49269 L
.6273 .49196 L
.62991 .48874 L
.63024 .48828 L
.63213 .48553 L
.63346 .48376 L
.63432 .48231 L
.63667 .4794 L
.63694 .4791 L
.6393 .47588 L
.63989 .47512 L
.64159 .47267 L
.64311 .47082 L
.64383 .46945 L
.64632 .46663 L
.64668 .46623 L
.64915 .46302 L
.64954 .46256 L
.65153 .4598 L
.65275 .45848 L
.6537 .45659 L
.65597 .45448 L
.65699 .45337 L
.65918 .45061 L
.65972 .45015 L
.6624 .44697 L
.66255 .44694 L
.66558 .44372 L
.66562 .44368 L
Mfstroke
.67205 .43912 m
.67235 .44051 L
.67205 .44162 L
.66909 .44051 L
.67205 .43912 L
s
.64632 .42984 m
.64893 .43086 L
.64725 .43408 L
.64632 .4357 L
.64533 .43729 L
.64342 .44051 L
.64311 .44094 L
.64112 .44372 L
.63989 .44554 L
.6389 .44694 L
.63667 .45011 L
.63664 .45015 L
.63429 .45337 L
.63346 .45487 L
.63189 .45659 L
.63024 .4588 L
.62946 .4598 L
.62703 .46297 L
.62699 .46302 L
.62441 .46623 L
.62381 .46722 L
.62176 .46945 L
.62059 .47086 L
.61899 .47267 L
.61738 .47449 L
.61602 .47588 L
.61416 .4777 L
.61238 .47588 L
.61401 .47267 L
.61416 .47239 L
.61592 .46945 L
.61738 .4671 L
.61795 .46623 L
.61982 .46302 L
.62059 .462 L
.62228 .4598 L
.62381 .45762 L
.62455 .45659 L
.62683 .45337 L
.62703 .45313 L
.62867 .45015 L
.63024 .44859 L
.63171 .44694 L
.63346 .44467 L
.63421 .44372 L
.63667 .44063 L
.63677 .44051 L
.63944 .43729 L
.63989 .43664 L
.64225 .43408 L
Mistroke
.64311 .43263 L
.6453 .43086 L
.64632 .42984 L
Mfstroke
.40513 .79356 m
.40835 .79241 L
.41156 .79244 L
.41478 .79367 L
.41582 .79425 L
.418 .79627 L
.41906 .79747 L
.42116 .80068 L
.42121 .80078 L
.42271 .8039 L
.42384 .80711 L
.42443 .80927 L
.42467 .81033 L
.42525 .81355 L
.4256 .81676 L
.42574 .81998 L
.42567 .82319 L
.42539 .82641 L
.42489 .82962 L
.42443 .83177 L
.42415 .83284 L
.42313 .83606 L
.42173 .83927 L
.42121 .84025 L
.41987 .84249 L
.418 .84476 L
.41718 .8457 L
.41478 .84736 L
.41156 .84858 L
.40835 .84862 L
.40513 .84747 L
.40253 .8457 L
.40192 .84497 L
.39984 .84249 L
.3987 .84061 L
.39798 .83927 L
.39658 .83606 L
.39557 .83284 L
.39548 .83254 L
.39482 .82962 L
.39432 .82641 L
.39404 .82319 L
.39397 .81998 L
.39411 .81676 L
.39446 .81355 L
.39504 .81033 L
.39548 .80848 L
.39587 .80711 L
.397 .8039 L
.39855 .80068 L
Mistroke
.3987 .80042 L
.40064 .79747 L
.40192 .79606 L
.40386 .79425 L
.40513 .79356 L
Mfstroke
.67526 .5594 m
.6761 .55949 L
.67526 .56074 L
.6752 .55949 L
.67526 .5594 L
s
.62059 .54674 m
.6235 .54985 L
.62059 .55182 L
.61946 .54985 L
.62059 .54674 L
s
.61095 .51825 m
.61394 .5209 L
.61095 .52297 L
.60997 .5209 L
.61095 .51825 L
s
.48874 .5134 m
.48918 .51447 L
.48874 .51538 L
.48822 .51447 L
.48874 .5134 L
s
.68813 .49765 m
.69134 .49543 L
.69198 .49839 L
.69134 .4999 L
.69051 .50161 L
.68903 .50482 L
.68813 .50595 L
.68687 .50804 L
.68491 .51119 L
.68487 .51126 L
.68296 .51447 L
.6817 .51632 L
.68113 .51769 L
.67848 .52087 L
.67842 .5209 L
.67625 .52412 L
.67526 .52548 L
.67415 .52733 L
.67205 .52998 L
.67155 .53055 L
.66922 .53377 L
.66883 .53428 L
.66695 .53698 L
.66562 .53864 L
.66477 .5402 L
.6624 .54289 L
.66193 .54341 L
.65948 .54663 L
.65918 .54698 L
.65711 .54985 L
.65597 .5511 L
.65496 .55306 L
.65275 .55514 L
.65171 .55628 L
.64954 .55906 L
.64901 .55949 L
.64632 .56259 L
.64621 .56271 L
.64324 .56592 L
.64311 .56608 L
.6399 .56914 L
.63989 .56916 L
.63667 .57118 L
.6362 .56914 L
.63667 .56779 L
.63753 .56592 L
.6388 .56271 L
.63989 .56155 L
.64113 .55949 L
.64311 .5563 L
Mistroke
.64312 .55628 L
.64492 .55306 L
.64632 .55104 L
.6474 .54985 L
.64954 .54672 L
.6496 .54663 L
.65171 .54341 L
.65275 .54201 L
.65368 .5402 L
.65597 .53747 L
.65649 .53698 L
.65879 .53377 L
.65918 .53326 L
.66097 .53055 L
.6624 .52885 L
.66297 .52733 L
.66562 .52456 L
.66608 .52412 L
.66849 .5209 L
.66883 .5205 L
.67074 .51769 L
.67205 .51631 L
.67361 .51447 L
.67526 .51219 L
.67619 .51126 L
.67848 .50823 L
.67883 .50804 L
.68149 .50482 L
.6817 .50465 L
.68445 .50161 L
.68491 .501 L
.68758 .49839 L
.68813 .49765 L
Mfstroke
.49518 .48301 m
.49779 .48553 L
.49576 .48874 L
.49518 .48988 L
.49378 .48874 L
.4942 .48553 L
.49518 .48301 L
s
.61095 .47698 m
.61376 .4791 L
.61095 .48159 L
.60994 .4791 L
.61095 .47698 L
s
.49839 .4787 m
.49927 .4791 L
.49906 .48231 L
.49839 .48424 L
.49554 .48231 L
.49787 .4791 L
.49839 .4787 L
s
.68491 .46175 m
.68672 .46302 L
.68564 .46623 L
.68491 .46779 L
.68406 .46945 L
.68238 .47267 L
.6817 .47395 L
.68083 .47588 L
.67848 .47884 L
.67832 .4791 L
.6763 .48231 L
.67526 .48388 L
.67428 .48553 L
.67205 .48856 L
.67201 .48874 L
.66965 .49196 L
.66883 .49312 L
.66746 .49518 L
.66562 .49766 L
.66522 .49839 L
.6627 .50161 L
.6624 .50202 L
.66041 .50482 L
.65918 .50643 L
.65814 .50804 L
.65597 .51076 L
.65578 .51126 L
.65316 .51447 L
.65275 .51499 L
.65081 .51769 L
.64954 .51925 L
.6485 .5209 L
.64632 .52343 L
.6462 .52412 L
.64324 .52733 L
.64311 .5275 L
.6408 .53055 L
.63989 .53156 L
.63848 .53377 L
.63667 .53556 L
.63542 .53698 L
.63346 .53944 L
.6327 .5402 L
.63024 .54316 L
.62988 .54341 L
.62703 .54649 L
.62688 .54663 L
.62381 .54959 L
.62065 .54663 L
.62228 .54341 L
Mistroke
.62381 .54069 L
.6241 .5402 L
.62589 .53698 L
.62703 .5351 L
.62765 .53377 L
.6302 .53055 L
.63024 .53049 L
.63229 .52733 L
.63346 .52563 L
.63437 .52412 L
.63667 .52108 L
.6367 .5209 L
.63909 .51769 L
.63989 .51658 L
.64131 .51447 L
.64311 .5121 L
.64355 .51126 L
.64614 .50804 L
.64632 .5078 L
.64846 .50482 L
.64954 .50343 L
.65073 .50161 L
.65275 .49912 L
.65304 .49839 L
.65579 .49518 L
.65597 .49495 L
.65816 .49196 L
.65918 .49073 L
.66046 .48874 L
.6624 .48657 L
.66263 .48553 L
.66562 .48253 L
.66583 .48231 L
.66835 .4791 L
.66883 .47858 L
.67074 .47588 L
.67205 .47466 L
.67382 .47267 L
.67526 .47086 L
.67666 .46945 L
.67848 .46719 L
.67969 .46623 L
.6817 .46426 L
.68317 .46302 L
.68491 .46175 L
Mfstroke
.66883 .43983 m
.67205 .43744 L
.67323 .44051 L
.67205 .4432 L
.67178 .44372 L
.67066 .44694 L
.66883 .44899 L
.66812 .45015 L
.66618 .45337 L
.66562 .45428 L
.66434 .45659 L
.6624 .45934 L
.66186 .4598 L
.6597 .46302 L
.65918 .46376 L
.65759 .46623 L
.65597 .46843 L
.65548 .46945 L
.65283 .47267 L
.65275 .47276 L
.65057 .47588 L
.64954 .47724 L
.64837 .4791 L
.64632 .48163 L
.64613 .48231 L
.64335 .48553 L
.64311 .48584 L
.64104 .48874 L
.63989 .49014 L
.63881 .49196 L
.63667 .49437 L
.63597 .49518 L
.63348 .49839 L
.63346 .49842 L
.63107 .50161 L
.63024 .50252 L
.62884 .50482 L
.62703 .50656 L
.62571 .50804 L
.62381 .51049 L
.62301 .51126 L
.62059 .51427 L
.62022 .51447 L
.61738 .51757 L
.61726 .51769 L
.61416 .52072 L
.61121 .51769 L
.61284 .51447 L
.61416 .51212 L
.61467 .51126 L
Mistroke
.61652 .50804 L
.61738 .50661 L
.61829 .50482 L
.62059 .50169 L
.62078 .50161 L
.62289 .49839 L
.62381 .49704 L
.62497 .49518 L
.62703 .49241 L
.62719 .49196 L
.62969 .48874 L
.63024 .48797 L
.63192 .48553 L
.63346 .48349 L
.63415 .48231 L
.63667 .47917 L
.63674 .4791 L
.63909 .47588 L
.63989 .47485 L
.64139 .47267 L
.64311 .47056 L
.64367 .46945 L
.64632 .46639 L
.64647 .46623 L
.6489 .46302 L
.64954 .46226 L
.65127 .4598 L
.65275 .45817 L
.65346 .45659 L
.65597 .45416 L
.6567 .45337 L
.65918 .45032 L
.65937 .45015 L
.66206 .44694 L
.6624 .44664 L
.66507 .44372 L
.66562 .44308 L
.66825 .44051 L
.66883 .43983 L
Mfstroke
.64954 .42586 m
.65133 .42764 L
.64976 .43086 L
.64954 .43126 L
.64786 .43408 L
.64632 .43658 L
.64586 .43729 L
.64411 .44051 L
.64311 .44185 L
.64154 .44372 L
.63989 .44612 L
.6393 .44694 L
.63713 .45015 L
.63667 .45071 L
.63465 .45337 L
.63346 .45541 L
.63226 .45659 L
.63024 .45929 L
.62984 .4598 L
.62754 .46302 L
.62703 .46354 L
.62483 .46623 L
.62381 .46785 L
.62223 .46945 L
.62059 .47147 L
.61956 .47267 L
.61738 .47523 L
.61678 .47588 L
.61416 .47871 L
.61153 .47588 L
.61337 .47267 L
.61416 .47136 L
.61536 .46945 L
.61738 .46633 L
.61744 .46623 L
.61922 .46302 L
.62059 .46126 L
.62184 .4598 L
.62381 .45702 L
.62412 .45659 L
.62632 .45337 L
.62703 .45251 L
.62815 .45015 L
.63024 .44803 L
.63128 .44694 L
.63346 .4441 L
.63376 .44372 L
.63616 .44051 L
.63667 .43999 L
.63892 .43729 L
Mistroke
.63989 .43591 L
.64163 .43408 L
.64311 .43175 L
.64448 .43086 L
.64632 .42887 L
.64759 .42764 L
.64954 .42586 L
Mfstroke
.40192 .78743 m
.40513 .78554 L
.40835 .78464 L
.41156 .78467 L
.41478 .78563 L
.418 .78758 L
.4183 .78782 L
.42121 .79074 L
.42145 .79103 L
.42369 .79425 L
.42443 .79556 L
.42539 .79747 L
.42674 .80068 L
.42764 .80337 L
.4278 .8039 L
.42863 .80711 L
.42926 .81033 L
.42971 .81355 L
.42998 .81676 L
.43009 .81998 L
.43003 .82319 L
.42982 .82641 L
.42943 .82962 L
.42887 .83284 L
.4281 .83606 L
.42764 .83766 L
.42712 .83927 L
.42588 .84249 L
.42443 .84547 L
.4243 .8457 L
.42228 .84892 L
.42121 .85028 L
.41954 .85214 L
.418 .85344 L
.4149 .85535 L
.41478 .8554 L
.41156 .85635 L
.40835 .85638 L
.40513 .85549 L
.40477 .85535 L
.40192 .8536 L
.40017 .85214 L
.3987 .85052 L
.39743 .84892 L
.39548 .84583 L
.39541 .8457 L
.39383 .84249 L
.39259 .83927 L
.39227 .8383 L
.39161 .83606 L
Mistroke
.39084 .83284 L
.39028 .82962 L
.38989 .82641 L
.38968 .82319 L
.38962 .81998 L
.38973 .81676 L
.39001 .81355 L
.39045 .81033 L
.39108 .80711 L
.39191 .8039 L
.39227 .80273 L
.39297 .80068 L
.39432 .79747 L
.39548 .79519 L
.39602 .79425 L
.39826 .79103 L
.3987 .79051 L
.4014 .78782 L
.40192 .78743 L
Mfstroke
.66562 .57192 m
.66714 .57236 L
.66562 .57361 L
.66543 .57236 L
.66562 .57192 L
s
.66883 .56645 m
.6702 .56914 L
.66883 .57071 L
.6672 .56914 L
.66883 .56645 L
s
.67526 .55739 m
.67781 .55949 L
.67544 .56271 L
.67526 .56294 L
.6729 .56592 L
.67205 .567 L
.66919 .56592 L
.6714 .56271 L
.67205 .56176 L
.67373 .55949 L
.67526 .55739 L
s
.67848 .55325 m
.68008 .55628 L
.67848 .55859 L
.67614 .55628 L
.67848 .55325 L
s
.6817 .54945 m
.6842 .54985 L
.68225 .55306 L
.6817 .55392 L
.67864 .55306 L
.68136 .54985 L
.6817 .54945 L
s
.68491 .54627 m
.6857 .54663 L
.68491 .54858 L
.68452 .54663 L
.68491 .54627 L
s
.48874 .50986 m
.49172 .51126 L
.49073 .51447 L
.48914 .51769 L
.48874 .51861 L
.48557 .51769 L
.48662 .51447 L
.48815 .51126 L
.48874 .50986 L
s
.69134 .49419 m
.69404 .49518 L
.69275 .49839 L
.69134 .50116 L
.6911 .50161 L
.68962 .50482 L
.68813 .50668 L
.68729 .50804 L
.68526 .51126 L
.68491 .51181 L
.6833 .51447 L
.6817 .51677 L
.68134 .51769 L
.67872 .5209 L
.67848 .52124 L
.67654 .52412 L
.67526 .52586 L
.67439 .52733 L
.67205 .53029 L
.67181 .53055 L
.66949 .53377 L
.66883 .53463 L
.66721 .53698 L
.66562 .53897 L
.66498 .5402 L
.6624 .54319 L
.66219 .54341 L
.65977 .54663 L
.65918 .54734 L
.65742 .54985 L
.65597 .55148 L
.65525 .55306 L
.65275 .55552 L
.65205 .55628 L
.64954 .55938 L
.6494 .55949 L
.64678 .56271 L
.64632 .56313 L
.64379 .56592 L
.64311 .56676 L
.64072 .56914 L
.63989 .57015 L
.63713 .57236 L
.63667 .57294 L
.63429 .57236 L
.63533 .56914 L
.63667 .56638 L
.63692 .56592 L
.63814 .56271 L
.63989 .56083 L
Mistroke
.64073 .55949 L
.64273 .55628 L
.64311 .55569 L
.64458 .55306 L
.64632 .55063 L
.64711 .54985 L
.64932 .54663 L
.64954 .54632 L
.65144 .54341 L
.65275 .54167 L
.65348 .5402 L
.65597 .53724 L
.65625 .53698 L
.65854 .53377 L
.65918 .53294 L
.66074 .53055 L
.6624 .52855 L
.6628 .52733 L
.66562 .52433 L
.66584 .52412 L
.66822 .5209 L
.66883 .52018 L
.67045 .51769 L
.67205 .51598 L
.67334 .51447 L
.67526 .51187 L
.67589 .51126 L
.67848 .50805 L
.67849 .50804 L
.68093 .50482 L
.6817 .50416 L
.68398 .50161 L
.68491 .50039 L
.68693 .49839 L
.68813 .49674 L
.69022 .49518 L
.69134 .49419 L
Mfstroke
.49839 .47663 m
.50073 .4791 L
.49994 .48231 L
.49868 .48553 L
.49839 .48629 L
.49698 .48874 L
.49518 .49184 L
.49248 .48874 L
.49332 .48553 L
.49464 .48231 L
.49518 .48097 L
.49647 .4791 L
.49839 .47663 L
s
.68491 .46074 m
.68765 .46302 L
.68622 .46623 L
.68491 .46874 L
.68452 .46945 L
.6828 .47267 L
.6817 .47462 L
.6811 .47588 L
.67861 .4791 L
.67848 .47931 L
.67656 .48231 L
.67526 .48425 L
.67449 .48553 L
.67207 .48874 L
.67205 .48878 L
.66985 .49196 L
.66883 .4934 L
.66765 .49518 L
.66562 .49789 L
.66535 .49839 L
.66288 .50161 L
.6624 .50226 L
.66058 .50482 L
.65918 .50666 L
.65829 .50804 L
.65597 .51097 L
.65586 .51126 L
.65334 .51447 L
.65275 .51523 L
.65099 .51769 L
.64954 .51948 L
.64867 .5209 L
.64632 .52366 L
.64626 .52412 L
.64346 .52733 L
.64311 .52776 L
.64104 .53055 L
.63989 .53185 L
.63872 .53377 L
.63667 .53586 L
.63569 .53698 L
.63346 .53976 L
.63302 .5402 L
.63027 .54341 L
.63024 .54344 L
.62756 .54663 L
.62703 .54703 L
.62424 .54985 L
.62381 .55033 L
.62059 .553 L
Mistroke
.61862 .54985 L
.61991 .54663 L
.62059 .54567 L
.62184 .54341 L
.62372 .5402 L
.62381 .54004 L
.62556 .53698 L
.62703 .53466 L
.62745 .53377 L
.62995 .53055 L
.63024 .5301 L
.63205 .52733 L
.63346 .52532 L
.63419 .52412 L
.63665 .5209 L
.63667 .52087 L
.6389 .51769 L
.63989 .51633 L
.64113 .51447 L
.64311 .51188 L
.64343 .51126 L
.64597 .50804 L
.64632 .50757 L
.64829 .50482 L
.64954 .50321 L
.65058 .50161 L
.65275 .49892 L
.65295 .49839 L
.65561 .49518 L
.65597 .49472 L
.65797 .49196 L
.65918 .49049 L
.66028 .48874 L
.6624 .48633 L
.66254 .48553 L
.66561 .48231 L
.66562 .4823 L
.66807 .4791 L
.66883 .47827 L
.67042 .47588 L
.67205 .47432 L
.67351 .47267 L
.67526 .47047 L
.67628 .46945 L
.67848 .46677 L
.67918 .46623 L
.6817 .46362 L
.68233 .46302 L
.68491 .46074 L
Mfstroke
.68813 .45961 m
.68822 .4598 L
.68813 .4615 L
.6864 .4598 L
.68813 .45961 L
s
.67205 .43597 m
.67521 .43729 L
.67392 .44051 L
.67235 .44372 L
.67205 .44438 L
.67111 .44694 L
.66883 .44959 L
.66848 .45015 L
.66652 .45337 L
.66562 .45478 L
.6646 .45659 L
.6624 .45958 L
.66211 .4598 L
.65994 .46302 L
.65918 .46409 L
.6578 .46623 L
.65597 .46869 L
.65561 .46945 L
.65303 .47267 L
.65275 .47304 L
.65077 .47588 L
.64954 .4775 L
.64854 .4791 L
.64632 .48184 L
.64621 .48231 L
.64354 .48553 L
.64311 .48609 L
.64123 .48874 L
.63989 .49038 L
.63898 .49196 L
.63667 .4946 L
.63617 .49518 L
.63371 .49839 L
.63346 .49869 L
.63133 .50161 L
.63024 .50281 L
.6291 .50482 L
.62703 .50687 L
.62598 .50804 L
.62381 .5108 L
.62333 .51126 L
.62061 .51447 L
.62059 .51449 L
.61799 .51769 L
.61738 .51813 L
.61466 .5209 L
.61416 .5215 L
.61105 .52412 L
.61095 .52424 L
.60822 .52412 L
Mistroke
.60913 .5209 L
.61052 .51769 L
.61095 .51707 L
.61238 .51447 L
.61416 .51144 L
.61428 .51126 L
.61615 .50804 L
.61738 .50609 L
.61804 .50482 L
.6205 .50161 L
.62059 .50146 L
.62263 .49839 L
.62381 .49668 L
.62476 .49518 L
.62703 .49215 L
.62709 .49196 L
.62947 .48874 L
.63024 .48767 L
.63171 .48553 L
.63346 .48322 L
.63399 .48231 L
.63654 .4791 L
.63667 .47892 L
.63889 .47588 L
.63989 .47458 L
.6412 .47267 L
.64311 .47031 L
.64352 .46945 L
.64625 .46623 L
.64632 .46615 L
.64867 .46302 L
.64954 .46198 L
.65103 .4598 L
.65275 .45787 L
.65326 .45659 L
.65597 .45385 L
.65642 .45337 L
.65903 .45015 L
.65918 .45 L
.66158 .44694 L
.6624 .44619 L
.66462 .44372 L
.66562 .44253 L
.66763 .44051 L
.66883 .43908 L
.671 .43729 L
.67205 .43597 L
Mfstroke
.64954 .42474 m
.6522 .42764 L
.65037 .43086 L
.64954 .43225 L
.64838 .43408 L
.64632 .43729 L
.64632 .4373 L
.64467 .44051 L
.64311 .44254 L
.64192 .44372 L
.63989 .44663 L
.63967 .44694 L
.63757 .45015 L
.63667 .45125 L
.63499 .45337 L
.63346 .45584 L
.63261 .45659 L
.63024 .45975 L
.6302 .4598 L
.62803 .46302 L
.62703 .46406 L
.62521 .46623 L
.62381 .46836 L
.62266 .46945 L
.62059 .47202 L
.62005 .47267 L
.61738 .47587 L
.61737 .47588 L
.61452 .4791 L
.61416 .47961 L
.61143 .48231 L
.61095 .48311 L
.60773 .48515 L
.60755 .48231 L
.60773 .48187 L
.60908 .4791 L
.61082 .47588 L
.61095 .47566 L
.61281 .47267 L
.61416 .47053 L
.61486 .46945 L
.61691 .46623 L
.61738 .46557 L
.61873 .46302 L
.62059 .46067 L
.62143 .4598 L
.62371 .45659 L
.62381 .45646 L
.62587 .45337 L
.62703 .45195 L
Mistroke
.62776 .45015 L
.63024 .44757 L
.63088 .44694 L
.63332 .44372 L
.63346 .44356 L
.63561 .44051 L
.63667 .43939 L
.63845 .43729 L
.63989 .43529 L
.6411 .43408 L
.64311 .43122 L
.64384 .43086 L
.64632 .42806 L
.64672 .42764 L
.64954 .42474 L
Mfstroke
.65275 .42209 m
.65373 .42443 L
.65275 .4266 L
.64988 .42443 L
.65275 .42209 L
s
.40835 .77773 m
.41156 .77775 L
.41362 .77817 L
.41478 .77855 L
.418 .78016 L
.41975 .78139 L
.42121 .7827 L
.42304 .7846 L
.42443 .78636 L
.42546 .78782 L
.42736 .79103 L
.42764 .79157 L
.42892 .79425 L
.43019 .79747 L
.43086 .79945 L
.43123 .80068 L
.43209 .8039 L
.43276 .80711 L
.43328 .81033 L
.43365 .81355 L
.43388 .81676 L
.43397 .81998 L
.43392 .82319 L
.43374 .82641 L
.43342 .82962 L
.43295 .83284 L
.43233 .83606 L
.43154 .83927 L
.43086 .84157 L
.43056 .84249 L
.42937 .8457 L
.42792 .84892 L
.42764 .84946 L
.42614 .85214 L
.42443 .85467 L
.42391 .85535 L
.42121 .85833 L
.42097 .85857 L
.418 .86086 L
.41655 .86178 L
.41478 .86248 L
.41156 .86327 L
.40835 .8633 L
.40513 .86255 L
.40314 .86178 L
.40192 .86099 L
.39875 .85857 L
.3987 .85852 L
.3958 .85535 L
.39548 .85494 L
Mistroke
.39357 .85214 L
.39227 .84984 L
.39179 .84892 L
.39034 .8457 L
.38915 .84249 L
.38905 .8422 L
.38817 .83927 L
.38738 .83606 L
.38676 .83284 L
.38629 .82962 L
.38597 .82641 L
.38584 .82434 L
.38579 .82319 L
.38574 .81998 L
.38584 .81676 L
.38584 .81671 L
.38606 .81355 L
.38643 .81033 L
.38695 .80711 L
.38763 .8039 L
.38848 .80068 L
.38905 .79884 L
.38952 .79747 L
.3908 .79425 L
.39227 .79119 L
.39235 .79103 L
.39425 .78782 L
.39548 .78609 L
.39667 .7846 L
.3987 .78251 L
.39996 .78139 L
.40192 .78003 L
.40513 .77848 L
.40609 .77817 L
.40835 .77773 L
Mfstroke
.66562 .56992 m
.66865 .57236 L
.6658 .57557 L
.66562 .57594 L
.66251 .57879 L
.6624 .57888 L
.66089 .57879 L
.66219 .57557 L
.6624 .57518 L
.66411 .57236 L
.66562 .56992 L
s
.68491 .54445 m
.68733 .54663 L
.68536 .54985 L
.68491 .55053 L
.68322 .55306 L
.6817 .5553 L
.681 .55628 L
.67888 .55949 L
.67848 .55991 L
.67631 .56271 L
.67526 .56411 L
.67384 .56592 L
.67205 .56823 L
.6713 .56914 L
.66883 .57215 L
.66614 .56914 L
.66831 .56592 L
.66883 .56516 L
.67059 .56271 L
.67205 .56065 L
.67291 .55949 L
.67526 .5563 L
.67528 .55628 L
.67778 .55306 L
.67848 .55215 L
.68036 .54985 L
.6817 .54818 L
.68304 .54663 L
.68491 .54445 L
s
.68813 .54118 m
.68912 .54341 L
.68813 .54529 L
.6859 .54341 L
.68813 .54118 L
s
.51769 .51466 m
.51979 .51769 L
.51804 .5209 L
.51769 .52169 L
.51546 .5209 L
.51627 .51769 L
.51769 .51466 L
s
.49196 .50479 m
.49202 .50482 L
.49306 .50804 L
.49264 .51126 L
.49196 .51351 L
.49159 .51447 L
.49005 .51769 L
.48874 .52035 L
.48806 .5209 L
.48553 .52323 L
.4841 .5209 L
.48462 .51769 L
.48553 .51496 L
.48572 .51447 L
.48719 .51126 L
.48874 .50818 L
.48889 .50804 L
.49167 .50482 L
.49196 .50479 L
s
.69456 .49081 m
.69602 .49196 L
.69498 .49518 L
.69456 .49609 L
.6934 .49839 L
.69167 .50161 L
.69134 .50222 L
.69009 .50482 L
.68813 .50734 L
.68768 .50804 L
.68564 .51126 L
.68491 .51237 L
.68362 .51447 L
.6817 .51716 L
.6815 .51769 L
.67901 .5209 L
.67848 .52166 L
.67681 .52412 L
.67526 .52622 L
.67461 .52733 L
.67206 .53055 L
.67205 .53057 L
.66974 .53377 L
.66883 .53497 L
.66746 .53698 L
.66562 .5393 L
.66516 .5402 L
.66246 .54341 L
.6624 .54349 L
.66006 .54663 L
.65918 .54769 L
.65771 .54985 L
.65597 .55184 L
.65548 .55306 L
.65275 .55588 L
.65238 .55628 L
.6498 .55949 L
.64954 .55978 L
.6473 .56271 L
.64632 .56364 L
.64428 .56592 L
.64311 .56737 L
.64136 .56914 L
.63989 .57094 L
.63818 .57236 L
.63667 .57443 L
.63411 .57557 L
.63346 .57588 L
.6326 .57557 L
.63313 .57236 L
Mistroke
.63346 .57158 L
.63464 .56914 L
.63632 .56592 L
.63667 .56523 L
.63764 .56271 L
.63989 .5602 L
.64035 .55949 L
.64236 .55628 L
.64311 .55515 L
.64428 .55306 L
.64632 .55031 L
.64683 .54985 L
.64904 .54663 L
.64954 .54593 L
.65118 .54341 L
.65275 .54134 L
.6533 .5402 L
.65597 .53703 L
.65602 .53698 L
.65831 .53377 L
.65918 .53263 L
.66051 .53055 L
.6624 .52827 L
.66267 .52733 L
.66562 .52412 L
.66562 .52412 L
.66796 .5209 L
.66883 .51987 L
.67019 .51769 L
.67205 .51567 L
.67308 .51447 L
.67526 .51159 L
.67561 .51126 L
.67812 .50804 L
.67848 .50766 L
.68044 .50482 L
.6817 .5037 L
.68356 .50161 L
.68491 .49985 L
.68639 .49839 L
.68813 .49608 L
.68941 .49518 L
.69134 .49326 L
.6929 .49196 L
.69456 .49081 L
Mfstroke
.49839 .47494 m
.50161 .47467 L
.50185 .47588 L
.50161 .47897 L
.50158 .4791 L
.50063 .48231 L
.49933 .48553 L
.49839 .48777 L
.49778 .48874 L
.496 .49196 L
.49518 .49326 L
.49196 .49488 L
.49134 .49196 L
.49145 .48874 L
.49196 .48759 L
.49262 .48553 L
.49397 .48231 L
.49518 .47966 L
.49561 .4791 L
.49768 .47588 L
.49839 .47494 L
s
.68813 .45757 m
.68958 .4598 L
.68846 .46302 L
.68813 .46353 L
.68675 .46623 L
.68496 .46945 L
.68491 .46954 L
.68319 .47267 L
.6817 .47513 L
.68131 .47588 L
.6789 .4791 L
.67848 .47976 L
.67682 .48231 L
.67526 .48459 L
.67469 .48553 L
.67229 .48874 L
.67205 .4891 L
.67006 .49196 L
.66883 .49368 L
.66783 .49518 L
.66562 .49812 L
.66547 .49839 L
.66306 .50161 L
.6624 .50251 L
.66075 .50482 L
.65918 .50689 L
.65844 .50804 L
.65597 .51117 L
.65594 .51126 L
.65351 .51447 L
.65275 .51545 L
.65116 .51769 L
.64954 .51971 L
.64882 .5209 L
.64632 .52388 L
.6463 .52412 L
.64367 .52733 L
.64311 .52802 L
.64126 .53055 L
.63989 .53213 L
.63894 .53377 L
.63667 .53616 L
.63595 .53698 L
.63346 .54006 L
.63332 .5402 L
.6307 .54341 L
.63024 .54386 L
.62819 .54663 L
.62703 .54754 L
.62481 .54985 L
Mistroke
.62381 .55101 L
.62153 .55306 L
.62059 .55411 L
.61738 .55594 L
.61663 .55306 L
.61738 .55109 L
.61794 .54985 L
.61928 .54663 L
.62059 .54484 L
.62142 .54341 L
.62334 .5402 L
.62381 .53941 L
.62525 .53698 L
.62703 .5343 L
.62729 .53377 L
.62969 .53055 L
.63024 .52973 L
.63183 .52733 L
.63346 .52503 L
.63401 .52412 L
.63646 .5209 L
.63667 .52059 L
.63872 .51769 L
.63989 .51608 L
.64097 .51447 L
.64311 .51167 L
.64332 .51126 L
.6458 .50804 L
.64632 .50734 L
.64812 .50482 L
.64954 .50299 L
.65043 .50161 L
.65275 .49872 L
.65287 .49839 L
.65543 .49518 L
.65597 .49449 L
.65779 .49196 L
.65918 .49026 L
.66011 .48874 L
.6624 .4861 L
.66248 .48553 L
.66538 .48231 L
.66562 .48204 L
.66782 .4791 L
.66883 .47798 L
.67014 .47588 L
.67205 .47399 L
.67321 .47267 L
.67526 .47012 L
.67592 .46945 L
Mistroke
.67848 .46642 L
.67873 .46623 L
.6817 .46303 L
.6817 .46302 L
.68491 .4599 L
.68503 .4598 L
.68813 .45757 L
Mfstroke
.67526 .43314 m
.67699 .43408 L
.67606 .43729 L
.67526 .43904 L
.67452 .44051 L
.67291 .44372 L
.67205 .44542 L
.67146 .44694 L
.66883 .45013 L
.66882 .45015 L
.66683 .45337 L
.66562 .45521 L
.66483 .45659 L
.6624 .45977 L
.66235 .4598 L
.66017 .46302 L
.65918 .46441 L
.658 .46623 L
.65597 .46894 L
.65573 .46945 L
.65322 .47267 L
.65275 .47331 L
.65095 .47588 L
.64954 .47774 L
.6487 .4791 L
.64632 .48205 L
.64626 .48231 L
.64373 .48553 L
.64311 .48633 L
.64141 .48874 L
.63989 .49062 L
.63914 .49196 L
.63667 .49482 L
.63636 .49518 L
.63392 .49839 L
.63346 .49895 L
.63156 .50161 L
.63024 .5031 L
.62933 .50482 L
.62703 .50716 L
.62624 .50804 L
.62381 .51109 L
.62363 .51126 L
.62105 .51447 L
.62059 .51491 L
.61865 .51769 L
.61738 .51865 L
.61522 .5209 L
.61416 .52219 L
.61202 .52412 L
Mistroke
.61095 .52544 L
.60773 .52727 L
.60707 .52412 L
.60773 .52244 L
.60843 .5209 L
.60988 .51769 L
.61095 .51619 L
.61194 .51447 L
.61389 .51126 L
.61416 .51079 L
.61581 .50804 L
.61738 .50565 L
.61782 .50482 L
.62023 .50161 L
.62059 .50105 L
.62238 .49839 L
.62381 .49635 L
.62455 .49518 L
.62698 .49196 L
.62703 .49189 L
.62926 .48874 L
.63024 .48738 L
.63152 .48553 L
.63346 .48297 L
.63383 .48231 L
.63635 .4791 L
.63667 .47865 L
.63869 .47588 L
.63989 .47432 L
.64101 .47267 L
.64311 .47006 L
.64339 .46945 L
.64604 .46623 L
.64632 .46588 L
.64845 .46302 L
.64954 .46169 L
.6508 .4598 L
.65275 .45757 L
.6531 .45659 L
.65597 .45356 L
.65614 .45337 L
.65869 .45015 L
.65918 .44962 L
.66116 .44694 L
.6624 .44576 L
.66421 .44372 L
.66562 .44202 L
.6671 .44051 L
.66883 .43845 L
.6702 .43729 L
Mistroke
.67205 .43497 L
.67386 .43408 L
.67526 .43314 L
Mfstroke
.65275 .42049 m
.65597 .4187 L
.65612 .42121 L
.65597 .42161 L
.65463 .42443 L
.65293 .42764 L
.65275 .42797 L
.65091 .43086 L
.64954 .43304 L
.64886 .43408 L
.64684 .43729 L
.64632 .43803 L
.64513 .44051 L
.64311 .44304 L
.64228 .44372 L
.64003 .44694 L
.63989 .44713 L
.63796 .45015 L
.63667 .45172 L
.63531 .45337 L
.63346 .45617 L
.63293 .45659 L
.63058 .4598 L
.63024 .46021 L
.62845 .46302 L
.62703 .46453 L
.62556 .46623 L
.62381 .46878 L
.62304 .46945 L
.62059 .47253 L
.62048 .47267 L
.61811 .47588 L
.61738 .47651 L
.61509 .4791 L
.61416 .48042 L
.61221 .48231 L
.61095 .48437 L
.60905 .48553 L
.60773 .48674 L
.60521 .48553 L
.60664 .48231 L
.60773 .48025 L
.60838 .4791 L
.61007 .47588 L
.61095 .47443 L
.6123 .47267 L
.61416 .46979 L
.61439 .46945 L
.61643 .46623 L
.61738 .4649 L
Mistroke
.61833 .46302 L
.62059 .46022 L
.62104 .4598 L
.6233 .45659 L
.62381 .45591 L
.62547 .45337 L
.62703 .45145 L
.62747 .45015 L
.63024 .44718 L
.6305 .44694 L
.63288 .44372 L
.63346 .44303 L
.63513 .44051 L
.63667 .43886 L
.63801 .43729 L
.63989 .43478 L
.64061 .43408 L
.64311 .43092 L
.64327 .43086 L
.64591 .42764 L
.64632 .4273 L
.64898 .42443 L
.64954 .42373 L
.65222 .42121 L
.65275 .42049 L
Mfstroke
.40835 .7712 m
.41156 .77122 L
.41422 .77174 L
.41478 .77191 L
.418 .77329 L
.42061 .77495 L
.42121 .77544 L
.42416 .77817 L
.42443 .77847 L
.42681 .78139 L
.42764 .78258 L
.42893 .7846 L
.43068 .78782 L
.43086 .78819 L
.43215 .79103 L
.43338 .79425 L
.43408 .79632 L
.43443 .79747 L
.4353 .80068 L
.43602 .8039 L
.43659 .80711 L
.43704 .81033 L
.43729 .81271 L
.43736 .81355 L
.43756 .81676 L
.43763 .81998 L
.43759 .82319 L
.43744 .82641 L
.43729 .82837 L
.43716 .82962 L
.43676 .83284 L
.43622 .83606 L
.43555 .83927 L
.43473 .84249 L
.43408 .8447 L
.43375 .8457 L
.43258 .84892 L
.43119 .85214 L
.43086 .85284 L
.42955 .85535 L
.42764 .85845 L
.42756 .85857 L
.42512 .86178 L
.42443 .86256 L
.42193 .865 L
.42121 .86558 L
.418 .86773 L
.4172 .86821 L
.41478 .86912 L
.41156 .86981 L
Mistroke
.40835 .86983 L
.40513 .86918 L
.40252 .86821 L
.40192 .86784 L
.3987 .86574 L
.39778 .865 L
.39548 .86278 L
.39459 .86178 L
.39227 .85874 L
.39215 .85857 L
.39016 .85535 L
.38905 .85324 L
.38852 .85214 L
.38713 .84892 L
.38596 .8457 L
.38584 .84533 L
.38497 .84249 L
.38415 .83927 L
.38348 .83606 L
.38295 .83284 L
.38262 .8303 L
.38255 .82962 L
.38227 .82641 L
.38212 .82319 L
.38208 .81998 L
.38216 .81676 L
.38236 .81355 L
.38262 .81077 L
.38268 .81033 L
.38312 .80711 L
.3837 .8039 L
.38442 .80068 L
.38529 .79747 L
.38584 .7957 L
.38633 .79425 L
.38757 .79103 L
.38904 .78782 L
.38905 .78778 L
.39078 .7846 L
.39227 .78228 L
.3929 .78139 L
.39548 .77825 L
.39556 .77817 L
.3987 .77528 L
.39911 .77495 L
.40192 .77319 L
.40513 .77185 L
.4055 .77174 L
.40835 .7712 L
Mfstroke
.65918 .57895 m
.6609 .582 L
.65918 .58358 L
.65769 .582 L
.65918 .57895 L
s
.69134 .53647 m
.69356 .53698 L
.69209 .5402 L
.69134 .54156 L
.69025 .54341 L
.68835 .54663 L
.68813 .54696 L
.68617 .54985 L
.68491 .55171 L
.68398 .55306 L
.68175 .55628 L
.6817 .55634 L
.67998 .55949 L
.67848 .56107 L
.67703 .56271 L
.67526 .56506 L
.67459 .56592 L
.67213 .56914 L
.67205 .56922 L
.66952 .57236 L
.66883 .57339 L
.66683 .57557 L
.66562 .57776 L
.664 .57879 L
.6624 .58054 L
.65928 .57879 L
.66122 .57557 L
.6624 .57367 L
.66327 .57236 L
.66527 .56914 L
.66562 .5687 L
.66765 .56592 L
.66883 .56423 L
.66994 .56271 L
.67205 .55978 L
.67227 .55949 L
.67467 .55628 L
.67526 .55523 L
.67713 .55306 L
.67848 .5513 L
.67964 .54985 L
.6817 .54724 L
.6822 .54663 L
.68485 .54341 L
.68491 .54332 L
.68768 .5402 L
.68813 .53969 L
.69082 .53698 L
.69134 .53647 L
s
.5209 .50875 m
.52256 .51126 L
.52201 .51447 L
.5209 .51764 L
.52088 .51769 L
.51929 .5209 L
.51769 .52388 L
.51725 .52412 L
.51447 .52566 L
.5139 .52412 L
.51419 .5209 L
.51447 .51987 L
.51525 .51769 L
.51673 .51447 L
.51769 .51232 L
.51862 .51126 L
.5209 .50875 L
s
.69456 .48952 m
.69718 .49196 L
.69572 .49518 L
.69456 .49737 L
.69399 .49839 L
.69222 .50161 L
.69134 .50313 L
.69049 .50482 L
.68813 .50795 L
.68807 .50804 L
.686 .51126 L
.68491 .51288 L
.68392 .51447 L
.6817 .51751 L
.68163 .51769 L
.67929 .5209 L
.67848 .52206 L
.67708 .52412 L
.67526 .52656 L
.67481 .52733 L
.67232 .53055 L
.67205 .53092 L
.67 .53377 L
.66883 .5353 L
.66769 .53698 L
.66562 .53961 L
.66533 .5402 L
.66272 .54341 L
.6624 .54382 L
.66033 .54663 L
.65918 .54804 L
.65798 .54985 L
.65597 .55219 L
.65566 .55306 L
.65275 .55622 L
.6527 .55628 L
.65018 .55949 L
.64954 .56021 L
.64775 .56271 L
.64632 .56412 L
.64473 .56592 L
.64311 .56792 L
.64191 .56914 L
.63989 .57157 L
.63894 .57236 L
.63667 .57521 L
.63565 .57557 L
.63346 .5774 L
.63099 .57557 L
.63235 .57236 L
Mistroke
.63346 .57019 L
.63404 .56914 L
.63574 .56592 L
.63667 .56425 L
.63727 .56271 L
.63989 .55963 L
.63998 .55949 L
.64201 .55628 L
.64311 .55466 L
.64402 .55306 L
.64632 .55004 L
.64656 .54985 L
.64878 .54663 L
.64954 .54557 L
.65094 .54341 L
.65275 .54105 L
.65314 .5402 L
.6558 .53698 L
.65597 .53675 L
.65808 .53377 L
.65918 .53234 L
.66031 .53055 L
.6624 .52801 L
.66257 .52733 L
.66538 .52412 L
.66562 .52383 L
.66771 .5209 L
.66883 .51957 L
.66995 .51769 L
.67205 .51537 L
.67283 .51447 L
.67526 .51133 L
.67534 .51126 L
.67777 .50804 L
.67848 .50728 L
.68003 .50482 L
.6817 .50328 L
.68318 .50161 L
.68491 .49938 L
.68592 .49839 L
.68813 .4956 L
.68878 .49518 L
.69134 .49246 L
.69187 .49196 L
.69456 .48952 L
Mfstroke
.69777 .48827 m
.69795 .48874 L
.69777 .49016 L
.69567 .48874 L
.69777 .48827 L
s
.50161 .47145 m
.50239 .47267 L
.50275 .47588 L
.50258 .4791 L
.50161 .4812 L
.50122 .48231 L
.4999 .48553 L
.49844 .48874 L
.49839 .48883 L
.49682 .49196 L
.49524 .49518 L
.49518 .49532 L
.49374 .49839 L
.49343 .50161 L
.49396 .50482 L
.49396 .50804 L
.49334 .51126 L
.49238 .51447 L
.49196 .51529 L
.49076 .51769 L
.489 .5209 L
.48874 .52134 L
.48668 .52412 L
.48553 .52528 L
.48314 .52412 L
.48311 .5209 L
.48388 .51769 L
.48481 .51447 L
.48553 .51313 L
.48645 .51126 L
.48797 .50804 L
.48874 .50649 L
.48955 .50482 L
.49096 .50161 L
.49117 .49839 L
.4906 .49518 L
.49051 .49196 L
.49042 .48874 L
.49196 .48571 L
.49203 .48553 L
.49338 .48231 L
.49485 .4791 L
.49518 .47864 L
.49676 .47588 L
.49839 .47333 L
.49894 .47267 L
.50161 .47145 L
s
.68813 .4563 m
.69134 .45555 L
.69145 .45659 L
.69134 .45718 L
.69047 .4598 L
.68926 .46302 L
.68813 .46464 L
.68725 .46623 L
.6854 .46945 L
.68491 .47031 L
.68354 .47267 L
.6817 .47551 L
.68149 .47588 L
.67918 .4791 L
.67848 .48018 L
.67707 .48231 L
.67526 .4849 L
.67487 .48553 L
.6725 .48874 L
.67205 .48941 L
.67026 .49196 L
.66883 .49394 L
.668 .49518 L
.66562 .49834 L
.66559 .49839 L
.66323 .50161 L
.6624 .50274 L
.66092 .50482 L
.65918 .50711 L
.65859 .50804 L
.65606 .51126 L
.65597 .51138 L
.65368 .51447 L
.65275 .51568 L
.65133 .51769 L
.64954 .51993 L
.64896 .5209 L
.64632 .5241 L
.64632 .52412 L
.64387 .52733 L
.64311 .52827 L
.64148 .53055 L
.63989 .5324 L
.63914 .53377 L
.63667 .53645 L
.63621 .53698 L
.63362 .5402 L
.63346 .54038 L
.63109 .54341 L
.63024 .54426 L
Mistroke
.62871 .54663 L
.62703 .54802 L
.62531 .54985 L
.62381 .55161 L
.62226 .55306 L
.62059 .55498 L
.61877 .55628 L
.61738 .55735 L
.61473 .55628 L
.61581 .55306 L
.61733 .54985 L
.61738 .54975 L
.61877 .54663 L
.62059 .54413 L
.62103 .54341 L
.62299 .5402 L
.62381 .53885 L
.62496 .53698 L
.62703 .534 L
.62715 .53377 L
.62945 .53055 L
.63024 .52937 L
.63161 .52733 L
.63346 .52476 L
.63385 .52412 L
.63626 .5209 L
.63667 .52032 L
.63853 .51769 L
.63989 .51583 L
.64081 .51447 L
.64311 .51146 L
.64321 .51126 L
.64564 .50804 L
.64632 .50712 L
.64796 .50482 L
.64954 .50277 L
.65028 .50161 L
.65275 .49852 L
.6528 .49839 L
.65526 .49518 L
.65597 .49427 L
.65762 .49196 L
.65918 .49004 L
.65996 .48874 L
.6624 .48588 L
.66244 .48553 L
.66516 .48231 L
.66562 .48177 L
.66758 .4791 L
.66883 .47769 L
Mistroke
.66989 .47588 L
.67205 .47367 L
.67293 .47267 L
.67526 .46978 L
.67559 .46945 L
.67829 .46623 L
.67848 .46605 L
.68093 .46302 L
.6817 .46244 L
.68429 .4598 L
.68491 .4591 L
.68785 .45659 L
.68813 .4563 L
Mfstroke
.67526 .43192 m
.67816 .43408 L
.67675 .43729 L
.67526 .44014 L
.67506 .44051 L
.6734 .44372 L
.67205 .44613 L
.6717 .44694 L
.66916 .45015 L
.66883 .45067 L
.66713 .45337 L
.66562 .4556 L
.66504 .45659 L
.6626 .4598 L
.6624 .46009 L
.66039 .46302 L
.65918 .46472 L
.65819 .46623 L
.65597 .46917 L
.65584 .46945 L
.65341 .47267 L
.65275 .47357 L
.65113 .47588 L
.64954 .47798 L
.64885 .4791 L
.64632 .48226 L
.64631 .48231 L
.64391 .48553 L
.64311 .48657 L
.64159 .48874 L
.63989 .49085 L
.63928 .49196 L
.63667 .49504 L
.63655 .49518 L
.63414 .49839 L
.63346 .49921 L
.63179 .50161 L
.63024 .50337 L
.62953 .50482 L
.62703 .50745 L
.6265 .50804 L
.62393 .51126 L
.62381 .51139 L
.62145 .51447 L
.62059 .51531 L
.61919 .51769 L
.61738 .51913 L
.61571 .5209 L
.61416 .52279 L
.61272 .52412 L
Mistroke
.61095 .5263 L
.60935 .52733 L
.60773 .52865 L
.60508 .52733 L
.60625 .52412 L
.60773 .52107 L
.60782 .5209 L
.60934 .51769 L
.61095 .51543 L
.61152 .51447 L
.61351 .51126 L
.61416 .51019 L
.61549 .50804 L
.61738 .50527 L
.61763 .50482 L
.61996 .50161 L
.62059 .50066 L
.62213 .49839 L
.62381 .49603 L
.62435 .49518 L
.62676 .49196 L
.62703 .49158 L
.62905 .48874 L
.63024 .4871 L
.63132 .48553 L
.63346 .48272 L
.63369 .48231 L
.63615 .4791 L
.63667 .47839 L
.6385 .47588 L
.63989 .47407 L
.64083 .47267 L
.64311 .46981 L
.64327 .46945 L
.64583 .46623 L
.64632 .46561 L
.64823 .46302 L
.64954 .46142 L
.65059 .4598 L
.65275 .45728 L
.65298 .45659 L
.65587 .45337 L
.65597 .45326 L
.65837 .45015 L
.65918 .44926 L
.66079 .44694 L
.6624 .44534 L
.66383 .44372 L
.66562 .44155 L
.66663 .44051 L
Mistroke
.66883 .43791 L
.66956 .43729 L
.67205 .43439 L
.67277 .43408 L
.67526 .43192 L
Mfstroke
.67848 .43072 m
.67858 .43086 L
.67848 .43309 L
.67704 .43086 L
.67848 .43072 L
s
.65597 .41681 m
.65845 .418 L
.65707 .42121 L
.65597 .42333 L
.65534 .42443 L
.6537 .42764 L
.65275 .42927 L
.65139 .43086 L
.64954 .43371 L
.64929 .43408 L
.64729 .43729 L
.64632 .43866 L
.64549 .44051 L
.64311 .44339 L
.64263 .44372 L
.6404 .44694 L
.63989 .44761 L
.63831 .45015 L
.63667 .45215 L
.63562 .45337 L
.63346 .45643 L
.63324 .45659 L
.63094 .4598 L
.63024 .46064 L
.62882 .46302 L
.62703 .46495 L
.6259 .46623 L
.62381 .46911 L
.6234 .46945 L
.62094 .47267 L
.62059 .47303 L
.61874 .47588 L
.61738 .47708 L
.61558 .4791 L
.61416 .48107 L
.61282 .48231 L
.61095 .48509 L
.60992 .48553 L
.60773 .48781 L
.60671 .48874 L
.60452 .49055 L
.60286 .48874 L
.60395 .48553 L
.60452 .48489 L
.60589 .48231 L
.60773 .47914 L
.60776 .4791 L
.60945 .47588 L
.61095 .47359 L
.61181 .47267 L
Mistroke
.61393 .46945 L
.61416 .46911 L
.61599 .46623 L
.61738 .46431 L
.61801 .46302 L
.62059 .45986 L
.62066 .4598 L
.62291 .45659 L
.62381 .45539 L
.62511 .45337 L
.62703 .45099 L
.62727 .45015 L
.63012 .44694 L
.63024 .44679 L
.63247 .44372 L
.63346 .44253 L
.63473 .44051 L
.63667 .43836 L
.63759 .43729 L
.63989 .43433 L
.64016 .43408 L
.64271 .43086 L
.64311 .43045 L
.64512 .42764 L
.64632 .42659 L
.6483 .42443 L
.64954 .42286 L
.65127 .42121 L
.65275 .41921 L
.65459 .418 L
.65597 .41681 L
Mfstroke
.40835 .7648 m
.41156 .76482 L
.41434 .76531 L
.41478 .76543 L
.418 .76664 L
.42121 .76852 L
.42122 .76852 L
.42443 .77112 L
.42508 .77174 L
.42764 .77457 L
.42796 .77495 L
.43028 .77817 L
.43086 .77908 L
.43222 .78139 L
.43386 .7846 L
.43408 .78505 L
.43528 .78782 L
.43649 .79103 L
.43729 .79345 L
.43754 .79425 L
.43843 .79747 L
.43918 .80068 L
.43981 .8039 L
.44031 .80711 L
.44051 .80858 L
.4407 .81033 L
.44099 .81355 L
.44116 .81676 L
.44123 .81998 L
.44119 .82319 L
.44106 .82641 L
.44081 .82962 L
.44051 .83244 L
.44045 .83284 L
.43999 .83606 L
.4394 .83927 L
.43869 .84249 L
.43785 .8457 L
.43729 .84758 L
.43686 .84892 L
.4357 .85214 L
.43436 .85535 L
.43408 .85597 L
.4328 .85857 L
.43096 .86178 L
.43086 .86195 L
.42879 .865 L
.42764 .86646 L
.42612 .86821 L
.42443 .86991 L
Mistroke
.42268 .87143 L
.42121 .87251 L
.418 .87438 L
.41752 .87465 L
.41478 .8756 L
.41156 .87621 L
.40835 .87623 L
.40513 .87565 L
.40221 .87465 L
.40192 .87448 L
.3987 .87265 L
.39703 .87143 L
.39548 .87009 L
.39359 .86821 L
.39227 .8667 L
.39093 .865 L
.38905 .86227 L
.38875 .86178 L
.38692 .85857 L
.38584 .8564 L
.38535 .85535 L
.38401 .85214 L
.38285 .84892 L
.38262 .84821 L
.38186 .8457 L
.38101 .84249 L
.3803 .83927 L
.37972 .83606 L
.37941 .83401 L
.37925 .83284 L
.3789 .82962 L
.37865 .82641 L
.37851 .82319 L
.37848 .81998 L
.37855 .81676 L
.37873 .81355 L
.37901 .81033 L
.37941 .80711 L
.37941 .80711 L
.37991 .8039 L
.38054 .80068 L
.38129 .79747 L
.38218 .79425 L
.38262 .79282 L
.38322 .79103 L
.38444 .78782 L
.38584 .78462 L
.38585 .7846 L
.38749 .78139 L
.38905 .77876 L
Mistroke
.38943 .77817 L
.39175 .77495 L
.39227 .77432 L
.39463 .77174 L
.39548 .77093 L
.39849 .76852 L
.3987 .76838 L
.40192 .76655 L
.40513 .76537 L
.40537 .76531 L
.40835 .7648 L
Mfstroke
.65597 .5829 m
.65915 .58522 L
.65597 .58813 L
.65479 .58522 L
.65597 .5829 L
s
.50804 .54932 m
.51088 .54985 L
.50804 .55243 L
.5079 .54985 L
.50804 .54932 L
s
.51126 .54271 m
.51274 .54341 L
.5123 .54663 L
.51126 .54919 L
.50911 .54663 L
.51092 .54341 L
.51126 .54271 L
s
.69456 .53194 m
.69651 .53377 L
.69494 .53698 L
.69456 .53767 L
.69309 .5402 L
.69134 .54305 L
.69111 .54341 L
.6894 .54663 L
.68813 .54837 L
.68686 .54985 L
.68491 .55269 L
.68465 .55306 L
.68252 .55628 L
.6817 .55733 L
.68074 .55949 L
.67848 .5619 L
.67766 .56271 L
.67526 .5659 L
.67525 .56592 L
.67299 .56914 L
.67205 .57015 L
.67023 .57236 L
.66883 .57436 L
.66763 .57557 L
.66562 .57858 L
.66494 .57879 L
.6624 .58173 L
.66215 .582 L
.65918 .58519 L
.65649 .582 L
.65841 .57879 L
.65918 .57755 L
.66048 .57557 L
.6624 .57264 L
.6626 .57236 L
.66437 .56914 L
.66562 .5676 L
.66709 .56592 L
.66883 .56346 L
.66939 .56271 L
.67162 .55949 L
.67205 .55898 L
.67414 .55628 L
.67526 .55441 L
.67658 .55306 L
.67848 .55056 L
.67905 .54985 L
.68149 .54663 L
.6817 .54643 L
.68417 .54341 L
Mistroke
.68491 .54225 L
.68685 .5402 L
.68813 .53867 L
.68964 .53698 L
.69134 .53508 L
.69266 .53377 L
.69456 .53194 L
Mfstroke
.5209 .5063 m
.52378 .50804 L
.52366 .51126 L
.52286 .51447 L
.5221 .51769 L
.5209 .51963 L
.52018 .5209 L
.51845 .52412 L
.51769 .52541 L
.51631 .52733 L
.51447 .52876 L
.51302 .52733 L
.51278 .52412 L
.5134 .5209 L
.51447 .51775 L
.5145 .51769 L
.51596 .51447 L
.51752 .51126 L
.51769 .51108 L
.51958 .50804 L
.5209 .5063 L
s
.6013 .48973 m
.60443 .49196 L
.6013 .49418 L
.60045 .49196 L
.6013 .48973 L
s
.69456 .48847 m
.69777 .48593 L
.6994 .48874 L
.69813 .49196 L
.69777 .4925 L
.69638 .49518 L
.69456 .49836 L
.69454 .49839 L
.69271 .50161 L
.69134 .50384 L
.69081 .50482 L
.68844 .50804 L
.68813 .50853 L
.68634 .51126 L
.68491 .51335 L
.6842 .51447 L
.68182 .51769 L
.6817 .51787 L
.67957 .5209 L
.67848 .52244 L
.67733 .52412 L
.67526 .52689 L
.67501 .52733 L
.67256 .53055 L
.67205 .53126 L
.67024 .53377 L
.66883 .53563 L
.66792 .53698 L
.66562 .53991 L
.66548 .5402 L
.66297 .54341 L
.6624 .54415 L
.66059 .54663 L
.65918 .54837 L
.65822 .54985 L
.65597 .55253 L
.6558 .55306 L
.65301 .55628 L
.65275 .55659 L
.65054 .55949 L
.64954 .56063 L
.64814 .56271 L
.64632 .56459 L
.64515 .56592 L
.64311 .56843 L
.64242 .56914 L
.63989 .5721 L
.63958 .57236 L
.63667 .57555 L
.63656 .57557 L
Mistroke
.63346 .57854 L
.63316 .57879 L
.63024 .58083 L
.62882 .57879 L
.62992 .57557 L
.63024 .57512 L
.63167 .57236 L
.63346 .5692 L
.6335 .56914 L
.63524 .56592 L
.63667 .56356 L
.63701 .56271 L
.63962 .55949 L
.63989 .55908 L
.64169 .55628 L
.64311 .55423 L
.64378 .55306 L
.6463 .54985 L
.64632 .54981 L
.64852 .54663 L
.64954 .54523 L
.65072 .54341 L
.65275 .54077 L
.65301 .5402 L
.65557 .53698 L
.65597 .53645 L
.65786 .53377 L
.65918 .53206 L
.66012 .53055 L
.6624 .52776 L
.6625 .52733 L
.66516 .52412 L
.66562 .52354 L
.66748 .5209 L
.66883 .51928 L
.66974 .51769 L
.67205 .51509 L
.67259 .51447 L
.67506 .51126 L
.67526 .51102 L
.67745 .50804 L
.67848 .50691 L
.67968 .50482 L
.6817 .50288 L
.68283 .50161 L
.68491 .49896 L
.6855 .49839 L
.68813 .49525 L
.68825 .49518 L
.69102 .49196 L
Mistroke
.69134 .49173 L
.69432 .48874 L
.69456 .48847 L
Mfstroke
.52412 .48691 m
.52731 .48874 L
.52537 .49196 L
.52412 .4931 L
.52327 .49196 L
.52353 .48874 L
.52412 .48691 L
s
.52733 .48167 m
.5291 .48231 L
.52856 .48553 L
.52733 .48869 L
.52474 .48553 L
.52677 .48231 L
.52733 .48167 L
s
.50161 .46765 m
.50275 .46945 L
.50354 .47267 L
.50347 .47588 L
.50334 .4791 L
.50176 .48231 L
.50161 .4827 L
.50041 .48553 L
.49915 .48874 L
.49839 .49003 L
.49749 .49196 L
.49612 .49518 L
.49518 .49827 L
.49515 .49839 L
.49485 .50161 L
.49493 .50482 L
.49468 .50804 L
.49393 .51126 L
.49315 .51447 L
.49196 .51663 L
.49136 .51769 L
.48969 .5209 L
.48874 .52262 L
.48779 .52412 L
.48553 .52717 L
.48231 .52655 L
.48197 .52412 L
.48231 .52101 L
.48234 .5209 L
.48324 .51769 L
.48404 .51447 L
.48553 .51178 L
.4858 .51126 L
.48724 .50804 L
.48845 .50482 L
.48874 .50429 L
.48955 .50161 L
.4898 .49839 L
.48965 .49518 L
.48981 .49196 L
.4897 .48874 L
.49142 .48553 L
.49196 .48423 L
.49285 .48231 L
.49411 .4791 L
.49518 .47748 L
.49603 .47588 L
.49778 .47267 L
.49839 .47173 L
.49975 .46945 L
Mistroke
.50161 .46765 L
Mfstroke
.69134 .45288 m
.69308 .45337 L
.69259 .45659 L
.69134 .45955 L
.69122 .4598 L
.6899 .46302 L
.68813 .46554 L
.68772 .46623 L
.68581 .46945 L
.68491 .47097 L
.68387 .47267 L
.6817 .47581 L
.68165 .47588 L
.67946 .4791 L
.67848 .48058 L
.67731 .48231 L
.67526 .48519 L
.67505 .48553 L
.67271 .48874 L
.67205 .48971 L
.67045 .49196 L
.66883 .4942 L
.66817 .49518 L
.66575 .49839 L
.66562 .49858 L
.6634 .50161 L
.6624 .50298 L
.66109 .50482 L
.65918 .50733 L
.65873 .50804 L
.65623 .51126 L
.65597 .51161 L
.65385 .51447 L
.65275 .5159 L
.6515 .51769 L
.64954 .52015 L
.6491 .5209 L
.64649 .52412 L
.64632 .52434 L
.64407 .52733 L
.64311 .52852 L
.64168 .53055 L
.63989 .53267 L
.63931 .53377 L
.63667 .53673 L
.63645 .53698 L
.63392 .5402 L
.63346 .54072 L
.63144 .54341 L
.63024 .54465 L
Mistroke
.62912 .54663 L
.62703 .54848 L
.62576 .54985 L
.62381 .55215 L
.62286 .55306 L
.62059 .55564 L
.61972 .55628 L
.61738 .55842 L
.61592 .55949 L
.61416 .56044 L
.61293 .55949 L
.61326 .55628 L
.61416 .55506 L
.6151 .55306 L
.61672 .54985 L
.61738 .54848 L
.61834 .54663 L
.62059 .54349 L
.62064 .54341 L
.62264 .5402 L
.62381 .53836 L
.62469 .53698 L
.62701 .53377 L
.62703 .53374 L
.62921 .53055 L
.63024 .52903 L
.6314 .52733 L
.63346 .5245 L
.63369 .52412 L
.63607 .5209 L
.63667 .52005 L
.63835 .51769 L
.63989 .5156 L
.64065 .51447 L
.64311 .51126 L
.64311 .51126 L
.64547 .50804 L
.64632 .5069 L
.6478 .50482 L
.64954 .50257 L
.65015 .50161 L
.6527 .49839 L
.65275 .49832 L
.65509 .49518 L
.65597 .49405 L
.65745 .49196 L
.65918 .48981 L
.65981 .48874 L
.6624 .48565 L
.66241 .48553 L
Mistroke
.66495 .48231 L
.66562 .48151 L
.66735 .4791 L
.66883 .4774 L
.66967 .47588 L
.67205 .47336 L
.67266 .47267 L
.67526 .46946 L
.67527 .46945 L
.67784 .46623 L
.67848 .46561 L
.68029 .46302 L
.6817 .4619 L
.68369 .4598 L
.68491 .45838 L
.68686 .45659 L
.68813 .45518 L
.69083 .45337 L
.69134 .45288 L
Mfstroke
.50482 .44842 m
.50784 .45015 L
.50687 .45337 L
.50552 .45659 L
.50482 .45835 L
.50383 .4598 L
.50161 .46174 L
.50112 .4598 L
.50136 .45659 L
.50161 .45557 L
.50239 .45337 L
.50404 .45015 L
.50482 .44842 L
s
.67848 .42853 m
.68024 .43086 L
.67924 .43408 L
.67848 .43516 L
.67737 .43729 L
.67559 .44051 L
.67526 .44112 L
.67383 .44372 L
.67205 .44659 L
.67188 .44694 L
.66948 .45015 L
.66883 .45117 L
.66741 .45337 L
.66562 .45595 L
.66524 .45659 L
.66283 .4598 L
.6624 .46043 L
.66061 .46302 L
.65918 .46501 L
.65838 .46623 L
.65597 .46939 L
.65594 .46945 L
.6536 .47267 L
.65275 .47382 L
.65131 .47588 L
.64954 .4782 L
.64899 .4791 L
.64644 .48231 L
.64632 .48248 L
.64409 .48553 L
.64311 .4868 L
.64176 .48874 L
.63989 .49108 L
.63942 .49196 L
.63674 .49518 L
.63667 .49526 L
.63434 .49839 L
.63346 .49947 L
.63199 .50161 L
.63024 .50364 L
.6297 .50482 L
.62703 .50772 L
.62674 .50804 L
.62424 .51126 L
.62381 .51173 L
.62181 .51447 L
.62059 .5157 L
.61962 .51769 L
.61738 .51958 L
.61615 .5209 L
Mistroke
.61416 .52331 L
.61329 .52412 L
.61095 .52689 L
.61024 .52733 L
.60773 .52971 L
.60666 .53055 L
.60452 .53189 L
.60313 .53055 L
.60376 .52733 L
.60452 .52627 L
.60554 .52412 L
.60721 .5209 L
.60773 .51987 L
.60888 .51769 L
.61095 .51474 L
.61112 .51447 L
.61314 .51126 L
.61416 .50965 L
.61519 .50804 L
.61738 .50494 L
.61744 .50482 L
.61969 .50161 L
.62059 .50028 L
.62189 .49839 L
.62381 .49572 L
.62416 .49518 L
.62655 .49196 L
.62703 .49128 L
.62884 .48874 L
.63024 .48683 L
.63114 .48553 L
.63346 .48247 L
.63355 .48231 L
.63596 .4791 L
.63667 .47813 L
.63831 .47588 L
.63989 .47382 L
.64066 .47267 L
.64311 .46957 L
.64316 .46945 L
.64563 .46623 L
.64632 .46535 L
.64802 .46302 L
.64954 .46114 L
.6504 .4598 L
.65275 .457 L
.65287 .45659 L
.6556 .45337 L
.65597 .45294 L
.65807 .45015 L
Mistroke
.65918 .4489 L
.66047 .44694 L
.6624 .44494 L
.66347 .44372 L
.66562 .44111 L
.66619 .44051 L
.66883 .43744 L
.66901 .43729 L
.67198 .43408 L
.67205 .43403 L
.67526 .43092 L
.67534 .43086 L
.67848 .42853 L
Mfstroke
.65918 .41302 m
.66084 .41478 L
.65954 .418 L
.65918 .41871 L
.65783 .42121 L
.65597 .42441 L
.65596 .42443 L
.65433 .42764 L
.65275 .4301 L
.65184 .43086 L
.64972 .43408 L
.64954 .43434 L
.6477 .43729 L
.64632 .43919 L
.64577 .44051 L
.64311 .44363 L
.64295 .44372 L
.64074 .44694 L
.63989 .44805 L
.63862 .45015 L
.63667 .45252 L
.63592 .45337 L
.63355 .45659 L
.63346 .4567 L
.63127 .4598 L
.63024 .46105 L
.62914 .46302 L
.62703 .46533 L
.62621 .46623 L
.62381 .46939 L
.62374 .46945 L
.62137 .47267 L
.62059 .4735 L
.61924 .47588 L
.61738 .47759 L
.61602 .4791 L
.61416 .48159 L
.61335 .48231 L
.61095 .48544 L
.61059 .48553 L
.60773 .48869 L
.60768 .48874 L
.60452 .49189 L
.60175 .48874 L
.60276 .48553 L
.60452 .48355 L
.60524 .48231 L
.60713 .4791 L
.60773 .4781 L
.60894 .47588 L
Mistroke
.61095 .47302 L
.61135 .47267 L
.61349 .46945 L
.61416 .46846 L
.61559 .46623 L
.61738 .46379 L
.61774 .46302 L
.62029 .4598 L
.62059 .45938 L
.62255 .45659 L
.62381 .45491 L
.62478 .45337 L
.62703 .45056 L
.62713 .45015 L
.62975 .44694 L
.63024 .44631 L
.6321 .44372 L
.63346 .44206 L
.63438 .44051 L
.63667 .4379 L
.6372 .43729 L
.63972 .43408 L
.63989 .43388 L
.64219 .43086 L
.64311 .42987 L
.6445 .42764 L
.64632 .42595 L
.6477 .42443 L
.64954 .42215 L
.65053 .42121 L
.65275 .41844 L
.65352 .418 L
.65597 .41557 L
.65689 .41478 L
.65918 .41302 L
Mfstroke
.40513 .75885 m
.40835 .75834 L
.41156 .75835 L
.4147 .75888 L
.41478 .7589 L
.418 .75998 L
.42121 .76164 L
.42193 .76209 L
.42443 .76393 L
.42602 .76531 L
.42764 .76691 L
.4291 .76852 L
.43086 .77072 L
.4316 .77174 L
.43371 .77495 L
.43408 .77558 L
.43551 .77817 L
.43708 .78139 L
.43729 .78186 L
.43845 .7846 L
.43964 .78782 L
.44051 .79045 L
.44069 .79103 L
.44159 .79425 L
.44237 .79747 L
.44304 .80068 L
.44359 .8039 L
.44372 .80475 L
.44404 .80711 L
.44439 .81033 L
.44464 .81355 L
.4448 .81676 L
.44486 .81998 L
.44483 .82319 L
.44471 .82641 L
.44449 .82962 L
.44417 .83284 L
.44375 .83606 L
.44372 .83627 L
.44323 .83927 L
.44261 .84249 L
.44187 .8457 L
.441 .84892 L
.44051 .85058 L
.44001 .85214 L
.43886 .85535 L
.43756 .85857 L
.43729 .85917 L
.43606 .86178 L
.43434 .865 L
Mistroke
.43408 .86545 L
.43234 .86821 L
.43086 .8703 L
.42999 .87143 L
.42764 .87412 L
.42713 .87465 L
.42443 .8771 L
.42347 .87786 L
.42121 .87938 L
.418 .88104 L
.41793 .88108 L
.41478 .88213 L
.41156 .88267 L
.40835 .88269 L
.40513 .88218 L
.40192 .88113 L
.40179 .88108 L
.3987 .8795 L
.39625 .87786 L
.39548 .87726 L
.39258 .87465 L
.39227 .87432 L
.38973 .87143 L
.38905 .87057 L
.38737 .86821 L
.38584 .86579 L
.38538 .865 L
.38365 .86178 L
.38262 .85961 L
.38216 .85857 L
.38085 .85535 L
.3797 .85214 L
.37941 .85122 L
.37871 .84892 L
.37784 .8457 L
.3771 .84249 L
.37647 .83927 L
.37619 .83764 L
.37595 .83606 L
.37553 .83284 L
.37522 .82962 L
.375 .82641 L
.37488 .82319 L
.37485 .81998 L
.37491 .81676 L
.37507 .81355 L
.37533 .81033 L
.37568 .80711 L
.37613 .8039 L
.37619 .80351 L
Mistroke
.37668 .80068 L
.37734 .79747 L
.37812 .79425 L
.37903 .79103 L
.37941 .78981 L
.38007 .78782 L
.38126 .7846 L
.38262 .78141 L
.38263 .78139 L
.3842 .77817 L
.38584 .77523 L
.386 .77495 L
.38811 .77174 L
.38905 .77045 L
.39061 .76852 L
.39227 .7667 L
.39369 .76531 L
.39548 .76376 L
.39778 .76209 L
.3987 .76152 L
.40192 .7599 L
.40499 .75888 L
.40513 .75885 L
Mfstroke
.4791 .5458 m
.48115 .54663 L
.4791 .5486 L
.47889 .54663 L
.4791 .5458 L
s
.48231 .5404 m
.48249 .54341 L
.48231 .54407 L
.48004 .54341 L
.48231 .5404 L
s
.51126 .53972 m
.51447 .53746 L
.51482 .5402 L
.51456 .54341 L
.51447 .54384 L
.51365 .54663 L
.51228 .54985 L
.51126 .55215 L
.51044 .55306 L
.50804 .55593 L
.50576 .55306 L
.50657 .54985 L
.50778 .54663 L
.50804 .5459 L
.50927 .54341 L
.51086 .5402 L
.51126 .53972 L
s
.6013 .53234 m
.60398 .53377 L
.6013 .53425 L
.60116 .53377 L
.6013 .53234 L
s
.69456 .5305 m
.69777 .52744 L
.69938 .53055 L
.69777 .53372 L
.69775 .53377 L
.69589 .53698 L
.69456 .53916 L
.69391 .5402 L
.69193 .54341 L
.69134 .54429 L
.69016 .54663 L
.68813 .54926 L
.6875 .54985 L
.68528 .55306 L
.68491 .55358 L
.68317 .55628 L
.6817 .55815 L
.68123 .55949 L
.67848 .5625 L
.67824 .56271 L
.6759 .56592 L
.67526 .56671 L
.67369 .56914 L
.67205 .57096 L
.67086 .57236 L
.66883 .57509 L
.66831 .57557 L
.66573 .57879 L
.66562 .57891 L
.66331 .582 L
.6624 .5828 L
.66021 .58522 L
.65918 .58657 L
.65724 .58844 L
.65597 .59032 L
.65389 .59165 L
.65275 .59261 L
.65061 .59165 L
.65196 .58844 L
.65275 .58691 L
.65372 .58522 L
.6555 .582 L
.65597 .58123 L
.65771 .57879 L
.65918 .57654 L
.65984 .57557 L
.66193 .57236 L
.6624 .57171 L
.66368 .56914 L
.66562 .56682 L
Mistroke
.66658 .56592 L
.66883 .56278 L
.66888 .56271 L
.67101 .55949 L
.67205 .55827 L
.67366 .55628 L
.67526 .5538 L
.67608 .55306 L
.67848 .5499 L
.67852 .54985 L
.68074 .54663 L
.6817 .54566 L
.68359 .54341 L
.68491 .54144 L
.68618 .5402 L
.68813 .53781 L
.68884 .53698 L
.69134 .53404 L
.69159 .53377 L
.69453 .53055 L
.69456 .5305 L
Mfstroke
.5209 .50334 m
.52412 .50225 L
.5247 .50482 L
.52492 .50804 L
.5246 .51126 L
.52412 .51275 L
.52359 .51447 L
.52295 .51769 L
.52093 .5209 L
.5209 .52095 L
.51932 .52412 L
.51769 .5273 L
.51767 .52733 L
.5159 .53055 L
.51447 .53328 L
.51227 .53055 L
.51173 .52733 L
.51195 .52412 L
.51274 .5209 L
.51368 .51769 L
.51447 .51613 L
.51531 .51447 L
.51629 .51126 L
.51769 .5096 L
.51852 .50804 L
.5202 .50482 L
.5209 .50334 L
s
.69777 .48436 m
.70099 .48259 L
.70168 .48553 L
.70099 .48739 L
.7004 .48874 L
.69902 .49196 L
.69777 .49379 L
.69699 .49518 L
.69508 .49839 L
.69456 .4993 L
.69317 .50161 L
.69134 .50439 L
.69109 .50482 L
.68881 .50804 L
.68813 .50909 L
.68667 .51126 L
.68491 .51378 L
.68447 .51447 L
.68211 .51769 L
.6817 .51829 L
.67985 .5209 L
.67848 .52281 L
.67758 .52412 L
.67526 .52721 L
.67519 .52733 L
.67281 .53055 L
.67205 .53159 L
.67048 .53377 L
.66883 .53595 L
.66814 .53698 L
.66563 .5402 L
.66562 .54021 L
.66322 .54341 L
.6624 .54448 L
.66084 .54663 L
.65918 .5487 L
.65845 .54985 L
.65597 .55286 L
.65591 .55306 L
.65332 .55628 L
.65275 .55697 L
.65088 .55949 L
.64954 .56104 L
.64848 .56271 L
.64632 .56503 L
.64555 .56592 L
.64311 .5689 L
.64288 .56914 L
.64018 .57236 L
.63989 .57264 L
Mistroke
.6375 .57557 L
.63667 .57623 L
.63417 .57879 L
.63346 .57957 L
.63068 .582 L
.63024 .58244 L
.62703 .58387 L
.62658 .582 L
.62703 .58046 L
.6277 .57879 L
.62889 .57557 L
.63024 .5738 L
.63107 .57236 L
.63295 .56914 L
.63346 .56826 L
.6348 .56592 L
.63667 .56309 L
.63683 .56271 L
.63927 .55949 L
.63989 .55857 L
.64139 .55628 L
.64311 .55385 L
.64356 .55306 L
.64603 .54985 L
.64632 .54944 L
.64828 .54663 L
.64954 .5449 L
.65051 .54341 L
.65275 .54051 L
.65289 .5402 L
.65536 .53698 L
.65597 .53616 L
.65765 .53377 L
.65918 .53179 L
.65994 .53055 L
.6624 .52752 L
.66244 .52733 L
.66494 .52412 L
.66562 .52326 L
.66726 .5209 L
.66883 .519 L
.66955 .51769 L
.67205 .51482 L
.67235 .51447 L
.67479 .51126 L
.67526 .51069 L
.67715 .50804 L
.67848 .50656 L
.67938 .50482 L
.6817 .5025 L
Mistroke
.68249 .50161 L
.68491 .49858 L
.6851 .49839 L
.68769 .49518 L
.68813 .49476 L
.69011 .49196 L
.69134 .49104 L
.69354 .48874 L
.69456 .48753 L
.69678 .48553 L
.69777 .48436 L
Mfstroke
.53055 .47788 m
.53099 .4791 L
.53091 .48231 L
.53055 .48309 L
.52979 .48553 L
.52852 .48874 L
.52733 .49152 L
.52707 .49196 L
.52548 .49518 L
.52412 .49817 L
.52166 .49518 L
.5217 .49196 L
.52242 .48874 L
.52363 .48553 L
.52412 .48422 L
.52531 .48231 L
.52733 .47928 L
.5275 .4791 L
.53055 .47788 L
s
.69134 .45107 m
.69456 .4503 L
.69491 .45337 L
.69456 .45393 L
.69348 .45659 L
.69196 .4598 L
.69134 .46119 L
.69041 .46302 L
.68817 .46623 L
.68813 .46632 L
.68621 .46945 L
.68491 .47154 L
.68418 .47267 L
.68191 .47588 L
.6817 .47622 L
.67973 .4791 L
.67848 .48096 L
.67755 .48231 L
.67526 .48547 L
.67523 .48553 L
.67292 .48874 L
.67205 .49 L
.67065 .49196 L
.66883 .49446 L
.66834 .49518 L
.66592 .49839 L
.66562 .49882 L
.66358 .50161 L
.6624 .50321 L
.66125 .50482 L
.65918 .50754 L
.65887 .50804 L
.65639 .51126 L
.65597 .51183 L
.65402 .51447 L
.65275 .51612 L
.65166 .51769 L
.64954 .52037 L
.64923 .5209 L
.64667 .52412 L
.64632 .52457 L
.64426 .52733 L
.64311 .52877 L
.64188 .53055 L
.63989 .53293 L
.63947 .53377 L
.63669 .53698 L
.63667 .53701 L
.63421 .5402 L
.63346 .54106 L
Mistroke
.63177 .54341 L
.63024 .54504 L
.62946 .54663 L
.62703 .54892 L
.62618 .54985 L
.62381 .55265 L
.62339 .55306 L
.62059 .55617 L
.62045 .55628 L
.61738 .55936 L
.61723 .55949 L
.61416 .56202 L
.6115 .55949 L
.61204 .55628 L
.61416 .55361 L
.61446 .55306 L
.61617 .54985 L
.61738 .54761 L
.61798 .54663 L
.62026 .54341 L
.62059 .54286 L
.62231 .5402 L
.62381 .53792 L
.62443 .53698 L
.62675 .53377 L
.62703 .53335 L
.62897 .53055 L
.63024 .52871 L
.63119 .52733 L
.63346 .52425 L
.63354 .52412 L
.63589 .5209 L
.63667 .51979 L
.63818 .51769 L
.63989 .51537 L
.64049 .51447 L
.64295 .51126 L
.64311 .51104 L
.64531 .50804 L
.64632 .50668 L
.64764 .50482 L
.64954 .50236 L
.65001 .50161 L
.65254 .49839 L
.65275 .49811 L
.65492 .49518 L
.65597 .49383 L
.65729 .49196 L
.65918 .48959 L
.65967 .48874 L
Mistroke
.66232 .48553 L
.6624 .48542 L
.66475 .48231 L
.66562 .48125 L
.66713 .4791 L
.66883 .47712 L
.66948 .47588 L
.67205 .47306 L
.67239 .47267 L
.67494 .46945 L
.67526 .46909 L
.67744 .46623 L
.67848 .46518 L
.67978 .46302 L
.6817 .46138 L
.68316 .4598 L
.68491 .45775 L
.68613 .45659 L
.68813 .45432 L
.6894 .45337 L
.69134 .45107 L
Mfstroke
.50482 .4469 m
.50804 .44388 L
.50965 .44694 L
.50902 .45015 L
.50804 .45314 L
.50795 .45337 L
.50664 .45659 L
.50533 .4598 L
.50482 .46073 L
.5042 .46302 L
.50378 .46623 L
.50414 .46945 L
.50439 .47267 L
.5041 .47588 L
.50391 .4791 L
.50231 .48231 L
.50161 .48396 L
.50089 .48553 L
.49975 .48874 L
.49839 .49125 L
.49809 .49196 L
.49684 .49518 L
.49601 .49839 L
.49609 .50161 L
.49586 .50482 L
.49532 .50804 L
.49518 .50863 L
.49447 .51126 L
.49376 .51447 L
.49196 .51759 L
.4919 .51769 L
.49029 .5209 L
.48874 .52387 L
.4886 .52412 L
.48675 .52733 L
.48553 .52918 L
.48455 .53055 L
.48231 .53066 L
.48225 .53055 L
.4812 .52733 L
.48112 .52412 L
.48154 .5209 L
.48231 .51872 L
.48266 .51769 L
.48344 .51447 L
.48519 .51126 L
.48553 .51055 L
.48659 .50804 L
.48735 .50482 L
.48855 .50161 L
Mistroke
.48874 .50047 L
.48886 .49839 L
.48888 .49518 L
.48919 .49196 L
.48923 .48874 L
.49087 .48553 L
.49196 .4831 L
.49236 .48231 L
.4935 .4791 L
.49518 .47632 L
.4954 .47588 L
.49696 .47267 L
.49829 .46945 L
.49839 .46929 L
.49932 .46623 L
.49956 .46302 L
.49969 .4598 L
.50027 .45659 L
.50116 .45337 L
.50161 .45257 L
.50287 .45015 L
.5048 .44694 L
.50482 .4469 L
Mfstroke
.61416 .4321 m
.61524 .43408 L
.61416 .43536 L
.61297 .43408 L
.61416 .4321 L
s
.67848 .42709 m
.6817 .42551 L
.68238 .42764 L
.6817 .42983 L
.68127 .43086 L
.68014 .43408 L
.67848 .43635 L
.67794 .43729 L
.67609 .44051 L
.67526 .44196 L
.67422 .44372 L
.67205 .44687 L
.67201 .44694 L
.6698 .45015 L
.66883 .45163 L
.66768 .45337 L
.66562 .45626 L
.66542 .45659 L
.66307 .4598 L
.6624 .46077 L
.66083 .46302 L
.65918 .46528 L
.65856 .46623 L
.65611 .46945 L
.65597 .46965 L
.65378 .47267 L
.65275 .47407 L
.65148 .47588 L
.64954 .47843 L
.64913 .4791 L
.64662 .48231 L
.64632 .48271 L
.64426 .48553 L
.64311 .48703 L
.64193 .48874 L
.63989 .4913 L
.63954 .49196 L
.63693 .49518 L
.63667 .4955 L
.63454 .49839 L
.63346 .49972 L
.63219 .50161 L
.63024 .5039 L
.62985 .50482 L
.62703 .50799 L
.62698 .50804 L
.62452 .51126 L
.62381 .51206 L
.62214 .51447 L
.62059 .51608 L
Mistroke
.61995 .51769 L
.61738 .52 L
.61655 .5209 L
.61416 .52378 L
.6138 .52412 L
.61095 .52732 L
.61092 .52733 L
.6078 .53055 L
.60773 .53062 L
.60452 .53341 L
.60184 .53055 L
.60264 .52733 L
.60452 .52482 L
.60489 .52412 L
.60665 .5209 L
.60773 .51894 L
.60848 .51769 L
.61072 .51447 L
.61095 .5141 L
.61279 .51126 L
.61416 .50916 L
.6149 .50804 L
.6172 .50482 L
.61738 .50455 L
.61943 .50161 L
.62059 .49992 L
.62165 .49839 L
.62381 .49542 L
.62397 .49518 L
.62634 .49196 L
.62703 .49098 L
.62864 .48874 L
.63024 .48656 L
.63095 .48553 L
.63339 .48231 L
.63346 .48222 L
.63577 .4791 L
.63667 .47788 L
.63812 .47588 L
.63989 .47357 L
.64049 .47267 L
.64301 .46945 L
.64311 .46933 L
.64543 .46623 L
.64632 .46508 L
.64781 .46302 L
.64954 .46087 L
.65021 .4598 L
.65275 .45672 L
.65279 .45659 L
Mistroke
.65535 .45337 L
.65597 .45262 L
.65779 .45015 L
.65918 .44855 L
.66018 .44694 L
.6624 .44456 L
.66312 .44372 L
.66562 .44068 L
.66578 .44051 L
.66846 .43729 L
.66883 .43693 L
.67111 .43408 L
.67205 .43333 L
.67446 .43086 L
.67526 .42998 L
.67792 .42764 L
.67848 .42709 L
Mfstroke
.61738 .4274 m
.62041 .42764 L
.61792 .43086 L
.61738 .43158 L
.61501 .43086 L
.6172 .42764 L
.61738 .4274 L
s
.62059 .42314 m
.62267 .42443 L
.62059 .4274 L
.61962 .42443 L
.62059 .42314 L
s
.62381 .41926 m
.62483 .42121 L
.62381 .42284 L
.6222 .42121 L
.62381 .41926 L
s
.65918 .41147 m
.6624 .40935 L
.66331 .41156 L
.6624 .41399 L
.66203 .41478 L
.66035 .418 L
.65918 .42004 L
.65848 .42121 L
.65659 .42443 L
.65597 .42545 L
.65483 .42764 L
.65275 .43059 L
.65227 .43086 L
.65013 .43408 L
.64954 .43494 L
.64807 .43729 L
.64632 .43964 L
.64599 .44051 L
.64328 .44372 L
.64311 .44396 L
.64106 .44694 L
.63989 .44847 L
.63889 .45015 L
.63667 .45286 L
.6362 .45337 L
.63385 .45659 L
.63346 .45709 L
.63158 .4598 L
.63024 .46143 L
.6294 .46302 L
.62703 .46567 L
.62651 .46623 L
.62408 .46945 L
.62381 .46977 L
.62176 .47267 L
.62059 .47395 L
.61965 .47588 L
.61738 .47805 L
.61643 .4791 L
.61416 .48202 L
.61382 .48231 L
.61121 .48553 L
.61095 .48578 L
.60834 .48874 L
.60773 .48953 L
.60539 .49196 L
.60452 .49308 L
.60211 .49518 L
.6013 .49627 L
.59808 .4975 L
Mistroke
.59798 .49518 L
.59808 .49484 L
.59926 .49196 L
.60078 .48874 L
.6013 .48761 L
.60201 .48553 L
.60452 .48249 L
.60463 .48231 L
.60656 .4791 L
.60773 .47726 L
.6085 .47588 L
.61091 .47267 L
.61095 .4726 L
.61306 .46945 L
.61416 .46787 L
.61522 .46623 L
.61738 .46332 L
.61752 .46302 L
.61993 .4598 L
.62059 .45888 L
.6222 .45659 L
.62381 .45445 L
.62448 .45337 L
.62702 .45015 L
.62703 .45015 L
.6294 .44694 L
.63024 .44585 L
.63175 .44372 L
.63346 .4416 L
.63408 .44051 L
.63667 .43746 L
.63682 .43729 L
.63929 .43408 L
.63989 .43336 L
.64172 .43086 L
.64311 .42931 L
.64402 .42764 L
.64632 .42535 L
.64716 .42443 L
.64954 .42154 L
.64988 .42121 L
.6527 .418 L
.65275 .41795 L
.65555 .41478 L
.65597 .41451 L
.6591 .41156 L
.65918 .41147 L
Mfstroke
.40513 .75208 m
.40835 .75162 L
.41156 .75164 L
.41478 .75213 L
.41617 .75244 L
.418 .75311 L
.42121 .75459 L
.42303 .75566 L
.42443 .75662 L
.42723 .75888 L
.42764 .75925 L
.43045 .76209 L
.43086 .76256 L
.43309 .76531 L
.43408 .76667 L
.43533 .76852 L
.43726 .77174 L
.43729 .77179 L
.43896 .77495 L
.44046 .77817 L
.44051 .77828 L
.44179 .78139 L
.44296 .7846 L
.44372 .78693 L
.444 .78782 L
.44491 .79103 L
.44571 .79425 L
.4464 .79747 L
.44694 .80034 L
.447 .80068 L
.44749 .8039 L
.4479 .80711 L
.44821 .81033 L
.44844 .81355 L
.44858 .81676 L
.44863 .81998 L
.44861 .82319 L
.44849 .82641 L
.44829 .82962 L
.44801 .83284 L
.44764 .83606 L
.44717 .83927 L
.44694 .84069 L
.44661 .84249 L
.44595 .8457 L
.44519 .84892 L
.44432 .85214 L
.44372 .8541 L
.44332 .85535 L
.44219 .85857 L
Mistroke
.44092 .86178 L
.44051 .86275 L
.43948 .865 L
.43785 .86821 L
.43729 .86924 L
.436 .87143 L
.43408 .87436 L
.43387 .87465 L
.43138 .87786 L
.43086 .87847 L
.42839 .88108 L
.42764 .88177 L
.42458 .88429 L
.42443 .8844 L
.42121 .88643 L
.41904 .88751 L
.418 .88792 L
.41478 .8889 L
.41156 .88939 L
.40835 .8894 L
.40513 .88894 L
.40192 .88799 L
.40067 .88751 L
.3987 .88654 L
.39548 .88455 L
.39513 .88429 L
.39227 .88196 L
.39133 .88108 L
.38905 .87869 L
.38833 .87786 L
.38584 .87465 L
.38584 .87464 L
.38371 .87143 L
.38262 .86959 L
.38186 .86821 L
.38023 .865 L
.37941 .86319 L
.3788 .86178 L
.37752 .85857 L
.37639 .85535 L
.37619 .85473 L
.3754 .85214 L
.37452 .84892 L
.37375 .8457 L
.37309 .84249 L
.37297 .84189 L
.37252 .83927 L
.37206 .83606 L
.37168 .83284 L
.3714 .82962 L
Mistroke
.37121 .82641 L
.3711 .82319 L
.37108 .81998 L
.37114 .81676 L
.37128 .81355 L
.37151 .81033 L
.37183 .80711 L
.37224 .8039 L
.37273 .80068 L
.37297 .79928 L
.37332 .79747 L
.37401 .79425 L
.37481 .79103 L
.37572 .78782 L
.37619 .7863 L
.37675 .7846 L
.37792 .78139 L
.37925 .77817 L
.37941 .77781 L
.38074 .77495 L
.38244 .77174 L
.38262 .77143 L
.38438 .76852 L
.38584 .76638 L
.38662 .76531 L
.38905 .76233 L
.38926 .76209 L
.39227 .75907 L
.39248 .75888 L
.39548 .75648 L
.39668 .75566 L
.3987 .75448 L
.40192 .75303 L
.40351 .75244 L
.40513 .75208 L
Mfstroke
.70099 .52296 m
.7036 .52412 L
.70224 .52733 L
.70099 .52975 L
.70055 .53055 L
.69895 .53377 L
.69777 .53577 L
.69671 .53698 L
.69466 .5402 L
.69456 .54035 L
.69266 .54341 L
.69134 .54531 L
.6907 .54663 L
.68813 .54982 L
.6881 .54985 L
.68589 .55306 L
.68491 .5544 L
.68372 .55628 L
.6817 .55886 L
.68152 .55949 L
.6788 .56271 L
.67848 .56313 L
.67649 .56592 L
.67526 .56745 L
.67424 .56914 L
.67205 .57167 L
.67145 .57236 L
.66895 .57557 L
.66883 .57571 L
.66651 .57879 L
.66562 .57977 L
.66422 .582 L
.6624 .58374 L
.66106 .58522 L
.65918 .5876 L
.65828 .58844 L
.65597 .59138 L
.65536 .59165 L
.65275 .59433 L
.65216 .59487 L
.64954 .5971 L
.64765 .59487 L
.64914 .59165 L
.64954 .5909 L
.65095 .58844 L
.65275 .58543 L
.65289 .58522 L
.65458 .582 L
.65597 .57993 L
.65709 .57879 L
Mistroke
.65918 .57569 L
.65927 .57557 L
.66132 .57236 L
.6624 .5709 L
.66318 .56914 L
.66562 .5663 L
.6661 .56592 L
.66837 .56271 L
.66883 .56212 L
.67049 .55949 L
.67205 .55765 L
.67322 .55628 L
.67526 .55335 L
.67562 .55306 L
.67798 .54985 L
.67848 .54926 L
.68013 .54663 L
.6817 .545 L
.68307 .54341 L
.68491 .54083 L
.68561 .5402 L
.68813 .53705 L
.68818 .53698 L
.69055 .53377 L
.69134 .5331 L
.69361 .53055 L
.69456 .52924 L
.69652 .52733 L
.69777 .52542 L
.69971 .52412 L
.70099 .52296 L
Mfstroke
.70099 .48073 m
.70405 .48231 L
.70283 .48553 L
.70128 .48874 L
.70099 .48939 L
.69973 .49196 L
.69777 .49484 L
.69757 .49518 L
.6956 .49839 L
.69456 .50009 L
.69359 .50161 L
.69135 .50482 L
.69134 .50484 L
.68917 .50804 L
.68813 .50961 L
.687 .51126 L
.68491 .51419 L
.68473 .51447 L
.68239 .51769 L
.6817 .5187 L
.68012 .5209 L
.67848 .52317 L
.67782 .52412 L
.67541 .52733 L
.67526 .52754 L
.67305 .53055 L
.67205 .53192 L
.67072 .53377 L
.66883 .53626 L
.66835 .53698 L
.66586 .5402 L
.66562 .54053 L
.66346 .54341 L
.6624 .5448 L
.66108 .54663 L
.65918 .54903 L
.65867 .54985 L
.65607 .55306 L
.65597 .5532 L
.65362 .55628 L
.65275 .55734 L
.65119 .55949 L
.64954 .56144 L
.64878 .56271 L
.64632 .56547 L
.64593 .56592 L
.64333 .56914 L
.64311 .56939 L
.64075 .57236 L
.63989 .57324 L
Mistroke
.63827 .57557 L
.63667 .57695 L
.63495 .57879 L
.63346 .58048 L
.63185 .582 L
.63024 .58376 L
.62828 .58522 L
.62703 .58659 L
.62425 .58522 L
.62529 .582 L
.62677 .57879 L
.62703 .57817 L
.62814 .57557 L
.63024 .57278 L
.6305 .57236 L
.63245 .56914 L
.63346 .56749 L
.63441 .56592 L
.63667 .56278 L
.6367 .56271 L
.63894 .55949 L
.63989 .55809 L
.6411 .55628 L
.64311 .55351 L
.64337 .55306 L
.64578 .54985 L
.64632 .54908 L
.64804 .54663 L
.64954 .54459 L
.65031 .54341 L
.65275 .54026 L
.65278 .5402 L
.65514 .53698 L
.65597 .53588 L
.65745 .53377 L
.65918 .53153 L
.65977 .53055 L
.66236 .52733 L
.6624 .52728 L
.66473 .52412 L
.66562 .52299 L
.66706 .5209 L
.66883 .51873 L
.66938 .51769 L
.67205 .51455 L
.67212 .51447 L
.67453 .51126 L
.67526 .51037 L
.67688 .50804 L
.67848 .50622 L
Mistroke
.67914 .50482 L
.6817 .50214 L
.68217 .50161 L
.68472 .49839 L
.68491 .49818 L
.68718 .49518 L
.68813 .49424 L
.68941 .49196 L
.69134 .49041 L
.6929 .48874 L
.69456 .48674 L
.69586 .48553 L
.69777 .48324 L
.69913 .48231 L
.70099 .48073 L
Mfstroke
.53055 .47431 m
.53227 .47588 L
.53243 .4791 L
.53259 .48231 L
.53077 .48553 L
.53055 .48608 L
.52946 .48874 L
.52848 .49196 L
.52733 .49384 L
.52685 .49518 L
.52594 .49839 L
.52573 .50161 L
.52591 .50482 L
.52581 .50804 L
.52546 .51126 L
.52425 .51447 L
.52412 .51486 L
.52352 .51769 L
.52167 .5209 L
.5209 .52237 L
.52008 .52412 L
.51902 .52733 L
.51769 .52941 L
.51731 .53055 L
.51646 .53377 L
.51625 .53698 L
.51612 .5402 L
.51559 .54341 L
.51466 .54663 L
.51447 .54709 L
.51325 .54985 L
.51178 .55306 L
.51126 .55371 L
.50959 .55628 L
.50804 .5583 L
.50482 .55922 L
.50415 .55628 L
.50452 .55306 L
.50482 .55231 L
.50563 .54985 L
.50689 .54663 L
.50804 .54382 L
.50825 .54341 L
.50962 .5402 L
.51069 .53698 L
.51111 .53377 L
.51065 .53055 L
.51067 .52733 L
.51126 .52412 L
.51126 .52412 L
Mistroke
.51215 .5209 L
.51301 .51769 L
.51447 .51495 L
.51473 .51447 L
.51545 .51126 L
.51769 .50808 L
.51771 .50804 L
.5191 .50482 L
.52008 .50161 L
.52039 .49839 L
.5204 .49518 L
.52066 .49196 L
.5209 .49117 L
.52159 .48874 L
.52284 .48553 L
.52412 .48264 L
.52437 .48231 L
.52622 .4791 L
.52733 .47734 L
.52856 .47588 L
.53055 .47431 L
Mfstroke
.46945 .47388 m
.47073 .47588 L
.47024 .4791 L
.46945 .4814 L
.46905 .48231 L
.4673 .48553 L
.46623 .48773 L
.4633 .48553 L
.46418 .48231 L
.46555 .4791 L
.46623 .47745 L
.46744 .47588 L
.46945 .47388 L
s
.69456 .44809 m
.69695 .45015 L
.69659 .45337 L
.69456 .45601 L
.69427 .45659 L
.69262 .4598 L
.69134 .46226 L
.69083 .46302 L
.68862 .46623 L
.68813 .46706 L
.68659 .46945 L
.68491 .47203 L
.68448 .47267 L
.6822 .47588 L
.6817 .47667 L
.68 .4791 L
.67848 .48131 L
.67778 .48231 L
.67543 .48553 L
.67526 .48579 L
.67313 .48874 L
.67205 .49028 L
.67084 .49196 L
.66883 .4947 L
.66851 .49518 L
.66609 .49839 L
.66562 .49907 L
.66375 .50161 L
.6624 .50344 L
.66141 .50482 L
.65918 .50775 L
.659 .50804 L
.65655 .51126 L
.65597 .51205 L
.65418 .51447 L
.65275 .51634 L
.65181 .51769 L
.64954 .52059 L
.64936 .5209 L
.64685 .52412 L
.64632 .52481 L
.64445 .52733 L
.64311 .52902 L
.64207 .53055 L
.63989 .53319 L
.63961 .53377 L
.63694 .53698 L
.63667 .5373 L
.63448 .5402 L
.63346 .54139 L
Mistroke
.63206 .54341 L
.63024 .54541 L
.62972 .54663 L
.62703 .54934 L
.62658 .54985 L
.62388 .55306 L
.62381 .55313 L
.62119 .55628 L
.62059 .55679 L
.61805 .55949 L
.61738 .56023 L
.61475 .56271 L
.61416 .5633 L
.61095 .56552 L
.60926 .56271 L
.61036 .55949 L
.61095 .55851 L
.61137 .55628 L
.61385 .55306 L
.61416 .55245 L
.61566 .54985 L
.61738 .54702 L
.61767 .54663 L
.61989 .54341 L
.62059 .54229 L
.62199 .5402 L
.62381 .53752 L
.62418 .53698 L
.6265 .53377 L
.62703 .53297 L
.62873 .53055 L
.63024 .5284 L
.63099 .52733 L
.63337 .52412 L
.63346 .52399 L
.6357 .5209 L
.63667 .51953 L
.638 .51769 L
.63989 .51514 L
.64034 .51447 L
.64279 .51126 L
.64311 .51081 L
.64515 .50804 L
.64632 .50646 L
.64749 .50482 L
.64954 .50216 L
.64988 .50161 L
.65238 .49839 L
.65275 .49789 L
.65476 .49518 L
Mistroke
.65597 .49362 L
.65713 .49196 L
.65918 .48938 L
.65954 .48874 L
.66213 .48553 L
.6624 .48519 L
.66455 .48231 L
.66562 .481 L
.66693 .4791 L
.66883 .47685 L
.66931 .47588 L
.67205 .47277 L
.67214 .47267 L
.67463 .46945 L
.67526 .46874 L
.67707 .46623 L
.67848 .46476 L
.67937 .46302 L
.6817 .46089 L
.68269 .4598 L
.68491 .45717 L
.68551 .45659 L
.68813 .45366 L
.6885 .45337 L
.69134 .4503 L
.69185 .45015 L
.69456 .44809 L
Mfstroke
.47588 .44732 m
.47657 .45015 L
.47588 .45188 L
.47401 .45015 L
.47588 .44732 L
s
.60452 .44505 m
.60557 .44694 L
.60452 .44777 L
.60378 .44694 L
.60452 .44505 L
s
.50804 .44138 m
.5111 .44372 L
.51079 .44694 L
.50992 .45015 L
.50902 .45337 L
.50804 .45538 L
.50751 .45659 L
.50629 .4598 L
.50568 .46302 L
.50506 .46623 L
.50519 .46945 L
.50517 .47267 L
.50482 .4751 L
.50468 .47588 L
.50431 .4791 L
.50279 .48231 L
.50161 .48497 L
.50134 .48553 L
.50025 .48874 L
.49866 .49196 L
.49839 .49249 L
.49748 .49518 L
.49674 .49839 L
.49708 .50161 L
.49666 .50482 L
.49596 .50804 L
.49518 .51061 L
.49497 .51126 L
.49423 .51447 L
.49244 .51769 L
.49196 .51862 L
.49084 .5209 L
.48941 .52412 L
.48874 .52513 L
.48768 .52733 L
.48627 .53055 L
.48553 .53288 L
.4853 .53377 L
.48499 .53698 L
.48477 .5402 L
.48407 .54341 L
.48288 .54663 L
.48231 .54811 L
.48112 .54985 L
.4791 .55252 L
.4763 .54985 L
.47714 .54663 L
.47828 .54341 L
.4791 .54116 L
.47952 .5402 L
Mistroke
.4806 .53698 L
.48095 .53377 L
.48052 .53055 L
.48018 .52733 L
.48038 .52412 L
.48087 .5209 L
.4821 .51769 L
.48231 .51711 L
.48299 .51447 L
.48461 .51126 L
.48553 .50924 L
.486 .50804 L
.48658 .50482 L
.48759 .50161 L
.48795 .49839 L
.48813 .49518 L
.48861 .49196 L
.48874 .49109 L
.48894 .48874 L
.49038 .48553 L
.49189 .48231 L
.49196 .48215 L
.49301 .4791 L
.49478 .47588 L
.49518 .47516 L
.49625 .47267 L
.49681 .46945 L
.49798 .46623 L
.49839 .46302 L
.49839 .46301 L
.49871 .4598 L
.49943 .45659 L
.50001 .45337 L
.50161 .45075 L
.50198 .45015 L
.50374 .44694 L
.50482 .44514 L
.50588 .44372 L
.50804 .44138 L
Mfstroke
.6817 .42312 m
.6846 .42443 L
.6836 .42764 L
.68219 .43086 L
.6817 .43212 L
.68079 .43408 L
.67849 .43729 L
.67848 .4373 L
.67656 .44051 L
.67526 .44264 L
.67456 .44372 L
.67226 .44694 L
.67205 .44728 L
.67011 .45015 L
.66883 .45205 L
.66793 .45337 L
.66562 .45655 L
.66559 .45659 L
.6633 .4598 L
.6624 .46108 L
.66104 .46302 L
.65918 .46555 L
.65873 .46623 L
.65629 .46945 L
.65597 .46991 L
.65397 .47267 L
.65275 .47431 L
.65165 .47588 L
.64954 .47865 L
.64926 .4791 L
.64679 .48231 L
.64632 .48294 L
.64443 .48553 L
.64311 .48725 L
.64209 .48874 L
.63989 .49151 L
.63966 .49196 L
.63711 .49518 L
.63667 .49574 L
.63473 .49839 L
.63346 .49997 L
.63238 .50161 L
.63024 .50416 L
.62998 .50482 L
.62722 .50804 L
.62703 .50827 L
.62479 .51126 L
.62381 .51239 L
.62243 .51447 L
.62059 .51645 L
Mistroke
.62019 .51769 L
.61738 .52041 L
.61693 .5209 L
.61427 .52412 L
.61416 .52423 L
.61167 .52733 L
.61095 .52796 L
.60854 .53055 L
.60773 .53149 L
.60536 .53377 L
.60452 .53468 L
.60137 .53698 L
.6013 .53704 L
.5992 .53698 L
.59955 .53377 L
.60077 .53055 L
.6013 .52964 L
.60194 .52733 L
.60428 .52412 L
.60452 .52367 L
.60612 .5209 L
.60773 .51826 L
.60812 .51769 L
.61033 .51447 L
.61095 .51349 L
.61244 .51126 L
.61416 .50871 L
.61462 .50804 L
.61693 .50482 L
.61738 .50414 L
.61917 .50161 L
.62059 .49957 L
.62142 .49839 L
.62378 .49518 L
.62381 .49513 L
.62613 .49196 L
.62703 .49069 L
.62843 .48874 L
.63024 .48629 L
.63077 .48553 L
.63321 .48231 L
.63346 .48196 L
.63558 .4791 L
.63667 .47763 L
.63794 .47588 L
.63989 .47332 L
.64033 .47267 L
.64283 .46945 L
.64311 .46907 L
.64523 .46623 L
Mistroke
.64632 .46482 L
.64762 .46302 L
.64954 .4606 L
.65003 .4598 L
.65264 .45659 L
.65275 .45644 L
.65509 .45337 L
.65597 .4523 L
.65752 .45015 L
.65918 .4482 L
.65992 .44694 L
.6624 .44417 L
.66279 .44372 L
.66538 .44051 L
.66562 .44025 L
.66795 .43729 L
.66883 .4364 L
.67042 .43408 L
.67205 .43268 L
.67375 .43086 L
.67526 .42915 L
.67685 .42764 L
.67848 .42589 L
.68042 .42443 L
.6817 .42312 L
Mfstroke
.63024 .40957 m
.63265 .41156 L
.6307 .41478 L
.63024 .41551 L
.62857 .418 L
.62703 .42031 L
.62639 .42121 L
.62412 .42443 L
.62381 .42509 L
.62175 .42764 L
.62059 .42923 L
.61934 .43086 L
.61738 .43345 L
.61688 .43408 L
.61434 .43729 L
.61416 .43762 L
.61166 .44051 L
.61095 .44137 L
.60883 .44372 L
.60773 .44494 L
.6052 .44372 L
.60702 .44051 L
.60773 .43935 L
.60905 .43729 L
.61095 .43439 L
.61116 .43408 L
.61339 .43086 L
.61416 .42915 L
.61569 .42764 L
.61738 .42533 L
.61806 .42443 L
.62043 .42121 L
.62059 .42105 L
.62303 .418 L
.62381 .41658 L
.62566 .41478 L
.62703 .41315 L
.62844 .41156 L
.63024 .40957 L
s
.6624 .40708 m
.66562 .40577 L
.66589 .40835 L
.66562 .40916 L
.66457 .41156 L
.66307 .41478 L
.6624 .4157 L
.66105 .418 L
.65918 .42104 L
.65908 .42121 L
.65715 .42443 L
.65597 .42626 L
.65523 .42764 L
.65275 .43083 L
.65268 .43086 L
.65052 .43408 L
.64954 .43548 L
.6484 .43729 L
.64632 .44003 L
.64615 .44051 L
.64359 .44372 L
.64311 .44439 L
.64135 .44694 L
.63989 .44885 L
.63913 .45015 L
.63667 .45317 L
.63648 .45337 L
.63414 .45659 L
.63346 .45747 L
.63187 .4598 L
.63024 .46179 L
.62963 .46302 L
.62703 .466 L
.6268 .46623 L
.62441 .46945 L
.62381 .47017 L
.62211 .47267 L
.62059 .47436 L
.61996 .47588 L
.61738 .47847 L
.6168 .4791 L
.61426 .48231 L
.61416 .48242 L
.61184 .48553 L
.61095 .48639 L
.60891 .48874 L
.60773 .49026 L
.60612 .49196 L
.60452 .494 L
.60318 .49518 L
Mistroke
.6013 .49766 L
.59992 .49839 L
.59808 .49996 L
.5954 .49839 L
.59668 .49518 L
.59808 .49237 L
.5983 .49196 L
.59991 .48874 L
.6013 .48623 L
.60158 .48553 L
.60403 .48231 L
.60452 .48152 L
.60603 .4791 L
.60773 .47657 L
.60813 .47588 L
.61047 .47267 L
.61095 .47195 L
.61266 .46945 L
.61416 .46731 L
.61487 .46623 L
.61727 .46302 L
.61738 .46286 L
.61957 .4598 L
.62059 .45839 L
.62186 .45659 L
.62381 .454 L
.6242 .45337 L
.62669 .45015 L
.62703 .4497 L
.62906 .44694 L
.63024 .4454 L
.63141 .44372 L
.63346 .44116 L
.63382 .44051 L
.63645 .43729 L
.63667 .437 L
.63889 .43408 L
.63989 .43286 L
.6413 .43086 L
.64311 .42878 L
.64365 .42764 L
.64632 .4248 L
.64665 .42443 L
.64928 .42121 L
.64954 .42093 L
.65187 .418 L
.65275 .41716 L
.65427 .41478 L
.65597 .41353 L
.65792 .41156 L
Mistroke
.65918 .41013 L
.66128 .40835 L
.6624 .40708 L
Mfstroke
.63346 .40657 m
.63433 .40835 L
.63346 .41017 L
.63149 .40835 L
.63346 .40657 L
s
.40192 .74572 m
.40513 .74486 L
.40835 .74444 L
.41156 .74446 L
.41478 .7449 L
.418 .74579 L
.41865 .74601 L
.42121 .74712 L
.42443 .74894 L
.42487 .74923 L
.42764 .75128 L
.42902 .75244 L
.43086 .75419 L
.43227 .75566 L
.43408 .75775 L
.43498 .75888 L
.43729 .76208 L
.4373 .76209 L
.43933 .76531 L
.44051 .76737 L
.44113 .76852 L
.44273 .77174 L
.44372 .77394 L
.44415 .77495 L
.44543 .77817 L
.44658 .78139 L
.44694 .78247 L
.44761 .7846 L
.44852 .78782 L
.44933 .79103 L
.45004 .79425 L
.45015 .7948 L
.45066 .79747 L
.45119 .80068 L
.45164 .8039 L
.452 .80711 L
.45229 .81033 L
.45249 .81355 L
.45262 .81676 L
.45267 .81998 L
.45264 .82319 L
.45254 .82641 L
.45236 .82962 L
.4521 .83284 L
.45177 .83606 L
.45135 .83927 L
.45085 .84249 L
.45026 .8457 L
.45015 .84622 L
.44958 .84892 L
Mistroke
.4488 .85214 L
.44792 .85535 L
.44694 .85856 L
.44694 .85857 L
.44583 .86178 L
.4446 .865 L
.44372 .86708 L
.44322 .86821 L
.44168 .87143 L
.44051 .87366 L
.43995 .87465 L
.43801 .87786 L
.43729 .87895 L
.43579 .88108 L
.43408 .88328 L
.43322 .88429 L
.43086 .88684 L
.43018 .88751 L
.42764 .88975 L
.42639 .89073 L
.42443 .89208 L
.42121 .8939 L
.42113 .89394 L
.418 .89524 L
.41478 .89612 L
.41156 .89657 L
.40835 .89658 L
.40513 .89616 L
.40192 .89531 L
.3987 .894 L
.39858 .89394 L
.39548 .89221 L
.39332 .89073 L
.39227 .88991 L
.38953 .88751 L
.38905 .88704 L
.38649 .88429 L
.38584 .88352 L
.38392 .88108 L
.38262 .87924 L
.38171 .87786 L
.37976 .87465 L
.37941 .87401 L
.37804 .87143 L
.3765 .86821 L
.37619 .86752 L
.37513 .865 L
.37389 .86178 L
.37297 .85914 L
.37278 .85857 L
Mistroke
.37179 .85535 L
.37091 .85214 L
.37013 .84892 L
.36976 .84725 L
.36944 .8457 L
.36884 .84249 L
.36834 .83927 L
.36791 .83606 L
.36758 .83284 L
.36732 .82962 L
.36715 .82641 L
.36705 .82319 L
.36704 .81998 L
.3671 .81676 L
.36724 .81355 L
.36745 .81033 L
.36774 .80711 L
.3681 .8039 L
.36855 .80068 L
.36907 .79747 L
.36969 .79425 L
.36976 .79391 L
.37039 .79103 L
.3712 .78782 L
.3721 .7846 L
.37297 .78184 L
.37313 .78139 L
.37427 .77817 L
.37555 .77495 L
.37619 .77347 L
.37698 .77174 L
.37858 .76852 L
.37941 .76699 L
.38037 .76531 L
.38241 .76209 L
.38262 .76178 L
.38473 .75888 L
.38584 .7575 L
.38744 .75566 L
.38905 .75399 L
.39069 .75244 L
.39227 .75112 L
.39484 .74923 L
.39548 .74881 L
.3987 .74703 L
.40105 .74601 L
.40192 .74572 L
Mfstroke
.70421 .51838 m
.70663 .5209 L
.70575 .52412 L
.70421 .52589 L
.70341 .52733 L
.70159 .53055 L
.70099 .53158 L
.69983 .53377 L
.69777 .53676 L
.69747 .53698 L
.69538 .5402 L
.69456 .54143 L
.6933 .54341 L
.69134 .54613 L
.69111 .54663 L
.68868 .54985 L
.68813 .55063 L
.68645 .55306 L
.68491 .55514 L
.6842 .55628 L
.6817 .55949 L
.68169 .55949 L
.67934 .56271 L
.67848 .56384 L
.67702 .56592 L
.67526 .56814 L
.67469 .56914 L
.67205 .57231 L
.67201 .57236 L
.66956 .57557 L
.66883 .57647 L
.66716 .57879 L
.66562 .58056 L
.66486 .582 L
.6624 .58456 L
.66181 .58522 L
.65918 .5884 L
.65914 .58844 L
.65649 .59165 L
.65597 .59215 L
.65399 .59487 L
.65275 .59574 L
.65041 .59808 L
.64954 .59908 L
.64684 .6013 L
.64632 .60189 L
.64356 .6013 L
.64469 .59808 L
.64627 .59487 L
.64632 .59476 L
Mistroke
.64815 .59165 L
.64954 .58936 L
.65012 .58844 L
.65208 .58522 L
.65275 .58418 L
.6539 .582 L
.65597 .57918 L
.65653 .57879 L
.65871 .57557 L
.65918 .5749 L
.6608 .57236 L
.6624 .57025 L
.66283 .56914 L
.66562 .56595 L
.66566 .56592 L
.66791 .56271 L
.66883 .56152 L
.67006 .55949 L
.67205 .55712 L
.6728 .55628 L
.67519 .55306 L
.67526 .55297 L
.67749 .54985 L
.67848 .54867 L
.67964 .54663 L
.6817 .54443 L
.6826 .54341 L
.68491 .54035 L
.68509 .5402 L
.6875 .53698 L
.68813 .53632 L
.68967 .53377 L
.69134 .53227 L
.69289 .53055 L
.69456 .5283 L
.69561 .52733 L
.69777 .52442 L
.69843 .52412 L
.70099 .52138 L
.70147 .5209 L
.70421 .51838 L
Mfstroke
.35689 .52018 m
.35849 .5209 L
.35689 .52306 L
.3564 .5209 L
.35689 .52018 L
s
.70742 .51738 m
.70748 .51769 L
.70742 .51834 L
.70518 .51769 L
.70742 .51738 L
s
.36011 .51602 m
.36083 .51769 L
.36011 .51878 L
.35885 .51769 L
.36011 .51602 L
s
.3376 .50361 m
.34024 .50482 L
.3376 .50768 L
.3369 .50482 L
.3376 .50361 L
s
.34082 .49863 m
.34295 .50161 L
.34082 .5042 L
.33888 .50161 L
.34082 .49863 L
s
.34725 .48974 m
.35037 .49196 L
.34799 .49518 L
.34725 .49618 L
.34551 .49839 L
.34403 .50031 L
.34098 .49839 L
.34325 .49518 L
.34403 .49406 L
.34561 .49196 L
.34725 .48974 L
s
.35046 .48564 m
.3526 .48874 L
.35046 .49183 L
.34804 .48874 L
.35046 .48564 L
s
.35368 .48183 m
.35678 .48231 L
.35475 .48553 L
.35368 .48719 L
.35056 .48553 L
.35327 .48231 L
.35368 .48183 L
s
.70421 .47678 m
.70658 .4791 L
.70593 .48231 L
.70421 .48472 L
.7038 .48553 L
.70211 .48874 L
.70099 .49086 L
.70031 .49196 L
.69813 .49518 L
.69777 .49578 L
.6961 .49839 L
.69456 .50077 L
.694 .50161 L
.69173 .50482 L
.69134 .50544 L
.68953 .50804 L
.68813 .5101 L
.68732 .51126 L
.68499 .51447 L
.68491 .51459 L
.68267 .51769 L
.6817 .51909 L
.68038 .5209 L
.67848 .52352 L
.67806 .52412 L
.67564 .52733 L
.67526 .52788 L
.67329 .53055 L
.67205 .53225 L
.67095 .53377 L
.66883 .53657 L
.66856 .53698 L
.66609 .5402 L
.66562 .54084 L
.6637 .54341 L
.6624 .54512 L
.66132 .54663 L
.65918 .54935 L
.65888 .54985 L
.65634 .55306 L
.65597 .55354 L
.6539 .55628 L
.65275 .55771 L
.65149 .55949 L
.64954 .56184 L
.64904 .56271 L
.64632 .5659 L
.6463 .56592 L
.64376 .56914 L
.64311 .5699 L
Mistroke
.64126 .57236 L
.63989 .57382 L
.63885 .57557 L
.63667 .57764 L
.63562 .57879 L
.63346 .5813 L
.63274 .582 L
.63024 .58475 L
.62966 .58522 L
.62703 .58806 L
.62612 .58844 L
.62381 .59003 L
.62172 .58844 L
.62275 .58522 L
.62381 .58294 L
.62428 .582 L
.6259 .57879 L
.62703 .57654 L
.6276 .57557 L
.62996 .57236 L
.63024 .57189 L
.63198 .56914 L
.63346 .56686 L
.63407 .56592 L
.63642 .56271 L
.63667 .56232 L
.63861 .55949 L
.63989 .55765 L
.64082 .55628 L
.64311 .55319 L
.64318 .55306 L
.64553 .54985 L
.64632 .54873 L
.64781 .54663 L
.64954 .54429 L
.65011 .54341 L
.65259 .5402 L
.65275 .53998 L
.65493 .53698 L
.65597 .5356 L
.65725 .53377 L
.65918 .53127 L
.65961 .53055 L
.66216 .52733 L
.6624 .52701 L
.66452 .52412 L
.66562 .52272 L
.66686 .5209 L
.66883 .51846 L
.66923 .51769 L
Mistroke
.67189 .51447 L
.67205 .51427 L
.67428 .51126 L
.67526 .51006 L
.67662 .50804 L
.67848 .50589 L
.67894 .50482 L
.6817 .5018 L
.68186 .50161 L
.68434 .49839 L
.68491 .49775 L
.68673 .49518 L
.68813 .49374 L
.6889 .49196 L
.69134 .48983 L
.69234 .48874 L
.69456 .48607 L
.69513 .48553 L
.69777 .4825 L
.69806 .48231 L
.70099 .47938 L
.70131 .4791 L
.70421 .47678 L
Mfstroke
.35689 .47848 m
.35841 .4791 L
.35689 .48213 L
.35628 .4791 L
.35689 .47848 L
s
.53055 .47141 m
.5334 .47267 L
.53377 .47418 L
.53391 .47588 L
.53377 .47741 L
.5335 .4791 L
.53343 .48231 L
.53168 .48553 L
.53055 .48814 L
.53028 .48874 L
.52949 .49196 L
.52799 .49518 L
.52733 .49734 L
.52713 .49839 L
.5269 .50161 L
.52688 .50482 L
.52659 .50804 L
.52614 .51126 L
.5249 .51447 L
.52412 .51648 L
.52389 .51769 L
.52232 .5209 L
.5209 .5238 L
.52076 .52412 L
.51992 .52733 L
.51849 .53055 L
.51769 .53373 L
.51768 .53377 L
.51742 .53698 L
.51712 .5402 L
.51646 .54341 L
.51561 .54663 L
.51447 .5491 L
.51408 .54985 L
.51294 .55306 L
.51126 .55544 L
.51076 .55628 L
.50879 .55949 L
.50804 .56053 L
.50599 .56271 L
.50482 .56296 L
.50416 .56271 L
.5029 .55949 L
.50303 .55628 L
.50337 .55306 L
.50482 .54991 L
.50485 .54985 L
.50614 .54663 L
.5073 .54341 L
.50804 .54196 L
Mistroke
.50869 .5402 L
.50962 .53698 L
.51002 .53377 L
.50922 .53055 L
.50973 .52733 L
.51056 .52412 L
.51126 .52199 L
.51161 .5209 L
.51247 .51769 L
.51418 .51447 L
.51447 .51388 L
.51492 .51126 L
.51689 .50804 L
.51769 .50652 L
.51825 .50482 L
.51906 .50161 L
.51936 .49839 L
.51952 .49518 L
.51965 .49196 L
.52089 .48874 L
.5209 .4887 L
.52216 .48553 L
.52348 .48231 L
.52412 .4813 L
.52532 .4791 L
.52698 .47588 L
.52733 .47555 L
.52929 .47267 L
.53055 .47141 L
Mfstroke
.46945 .46938 m
.47174 .46945 L
.47251 .47267 L
.47227 .47588 L
.47141 .4791 L
.47017 .48231 L
.46945 .48415 L
.46863 .48553 L
.46684 .48874 L
.46623 .48977 L
.46457 .49196 L
.46302 .49324 L
.46146 .49196 L
.46119 .48874 L
.46179 .48553 L
.4628 .48231 L
.46302 .48179 L
.4642 .4791 L
.46545 .47588 L
.46623 .4749 L
.46745 .47267 L
.4694 .46945 L
.46945 .46938 L
s
.69456 .44657 m
.69777 .44449 L
.69933 .44694 L
.69836 .45015 L
.69777 .4512 L
.69741 .45337 L
.69501 .45659 L
.69456 .45749 L
.69322 .4598 L
.69134 .46285 L
.69119 .46302 L
.68905 .46623 L
.68813 .46773 L
.68697 .46945 L
.68491 .47246 L
.68477 .47267 L
.68249 .47588 L
.6817 .47709 L
.68027 .4791 L
.67848 .48166 L
.67801 .48231 L
.67565 .48553 L
.67526 .4861 L
.67333 .48874 L
.67205 .49056 L
.67104 .49196 L
.66883 .49495 L
.66867 .49518 L
.66626 .49839 L
.66562 .49931 L
.66392 .50161 L
.6624 .50366 L
.66157 .50482 L
.65918 .50796 L
.65914 .50804 L
.65671 .51126 L
.65597 .51226 L
.65434 .51447 L
.65275 .51656 L
.65197 .51769 L
.64954 .5208 L
.64948 .5209 L
.64703 .52412 L
.64632 .52504 L
.64464 .52733 L
.64311 .52927 L
.64224 .53055 L
.63989 .53345 L
.63974 .53377 L
.63717 .53698 L
Mistroke
.63667 .53759 L
.63474 .5402 L
.63346 .54171 L
.63233 .54341 L
.63024 .54578 L
.62993 .54663 L
.62703 .54976 L
.62695 .54985 L
.62437 .55306 L
.62381 .55365 L
.62184 .55628 L
.62059 .55743 L
.61873 .55949 L
.61738 .56105 L
.61573 .56271 L
.61416 .56441 L
.6124 .56592 L
.61095 .56739 L
.60773 .56896 L
.60686 .56592 L
.60773 .56345 L
.60805 .56271 L
.60938 .55949 L
.61095 .55704 L
.61105 .55628 L
.61326 .55306 L
.61416 .55146 L
.6152 .54985 L
.61738 .54663 L
.61738 .54663 L
.61953 .54341 L
.62059 .54177 L
.62168 .5402 L
.62381 .53716 L
.62394 .53698 L
.62625 .53377 L
.62703 .53261 L
.6285 .53055 L
.63024 .5281 L
.63079 .52733 L
.63318 .52412 L
.63346 .52371 L
.63551 .5209 L
.63667 .51928 L
.63783 .51769 L
.63989 .51492 L
.64019 .51447 L
.64263 .51126 L
.64311 .51059 L
.64499 .50804 L
Mistroke
.64632 .50625 L
.64734 .50482 L
.64954 .50196 L
.64976 .50161 L
.65222 .49839 L
.65275 .49769 L
.6546 .49518 L
.65597 .49341 L
.65697 .49196 L
.65918 .48916 L
.65942 .48874 L
.66195 .48553 L
.6624 .48495 L
.66435 .48231 L
.66562 .48075 L
.66673 .4791 L
.66883 .47657 L
.66916 .47588 L
.67188 .47267 L
.67205 .47247 L
.67434 .46945 L
.67526 .46838 L
.67675 .46623 L
.67848 .46436 L
.67906 .46302 L
.6817 .46042 L
.68225 .4598 L
.68491 .45664 L
.68496 .45659 L
.68768 .45337 L
.68813 .45299 L
.69081 .45015 L
.69134 .44958 L
.69419 .44694 L
.69456 .44657 L
Mfstroke
.47588 .44351 m
.4791 .44157 L
.47985 .44372 L
.4794 .44694 L
.4791 .44801 L
.47832 .45015 L
.47693 .45337 L
.47588 .4558 L
.47534 .45659 L
.47352 .4598 L
.47267 .46071 L
.47014 .4598 L
.47016 .45659 L
.47088 .45337 L
.47158 .45015 L
.47267 .44862 L
.47368 .44694 L
.47572 .44372 L
.47588 .44351 L
s
.50804 .43905 m
.51126 .43814 L
.51222 .44051 L
.51294 .44372 L
.51178 .44694 L
.51126 .44845 L
.51069 .45015 L
.50985 .45337 L
.50829 .45659 L
.50804 .45715 L
.5071 .4598 L
.50686 .46302 L
.50626 .46623 L
.50615 .46945 L
.50589 .47267 L
.50523 .47588 L
.50482 .47787 L
.50459 .4791 L
.50324 .48231 L
.50178 .48553 L
.50161 .48591 L
.50067 .48874 L
.4992 .49196 L
.49839 .49397 L
.49806 .49518 L
.49739 .49839 L
.49773 .50161 L
.49727 .50482 L
.49652 .50804 L
.49546 .51126 L
.49518 .51209 L
.4946 .51447 L
.49294 .51769 L
.49196 .51962 L
.49135 .5209 L
.49011 .52412 L
.48874 .52663 L
.48846 .52733 L
.48729 .53055 L
.48659 .53377 L
.48629 .53698 L
.48608 .5402 L
.48553 .54195 L
.48511 .54341 L
.48389 .54663 L
.48236 .54985 L
.48231 .54992 L
.48039 .55306 L
.4791 .55491 L
.47769 .55628 L
Mistroke
.47588 .55727 L
.47471 .55628 L
.47437 .55306 L
.47451 .54985 L
.47588 .54694 L
.47599 .54663 L
.47716 .54341 L
.47795 .5402 L
.4791 .53746 L
.47917 .53698 L
.47952 .53377 L
.47938 .53055 L
.47932 .52733 L
.47971 .52412 L
.48031 .5209 L
.48157 .51769 L
.48231 .51577 L
.48264 .51447 L
.48408 .51126 L
.48544 .50804 L
.48553 .50785 L
.48606 .50482 L
.48684 .50161 L
.48719 .49839 L
.48747 .49518 L
.48805 .49196 L
.48874 .48901 L
.48879 .48874 L
.48995 .48553 L
.49143 .48231 L
.49196 .48115 L
.49261 .4791 L
.49421 .47588 L
.49518 .47382 L
.4956 .47267 L
.49591 .46945 L
.49677 .46623 L
.49725 .46302 L
.49782 .4598 L
.49839 .45716 L
.49869 .45659 L
.49924 .45337 L
.50118 .45015 L
.50161 .44937 L
.50289 .44694 L
.50465 .44372 L
.50482 .44351 L
.50683 .44051 L
.50804 .43905 L
Mfstroke
.68491 .41974 m
.687 .42121 L
.68606 .42443 L
.68491 .427 L
.68459 .42764 L
.68302 .43086 L
.6817 .43354 L
.68127 .43408 L
.67901 .43729 L
.67848 .4382 L
.67701 .44051 L
.67526 .44318 L
.67489 .44372 L
.6726 .44694 L
.67205 .44779 L
.67041 .45015 L
.66883 .45244 L
.66819 .45337 L
.66582 .45659 L
.66562 .45689 L
.66352 .4598 L
.6624 .46139 L
.66124 .46302 L
.65918 .46581 L
.6589 .46623 L
.65648 .46945 L
.65597 .47017 L
.65415 .47267 L
.65275 .47455 L
.65182 .47588 L
.64954 .47886 L
.64939 .4791 L
.64695 .48231 L
.64632 .48316 L
.6446 .48553 L
.64311 .48747 L
.64224 .48874 L
.63989 .49173 L
.63977 .49196 L
.63729 .49518 L
.63667 .49597 L
.63492 .49839 L
.63346 .50021 L
.63255 .50161 L
.63024 .50441 L
.63009 .50482 L
.62745 .50804 L
.62703 .50856 L
.62505 .51126 L
.62381 .51271 L
Mistroke
.62269 .51447 L
.62059 .5168 L
.62037 .51769 L
.61738 .5208 L
.61728 .5209 L
.61475 .52412 L
.61416 .52473 L
.6123 .52733 L
.61095 .52857 L
.60917 .53055 L
.60773 .53226 L
.60625 .53377 L
.60452 .53573 L
.60306 .53698 L
.6013 .53889 L
.59895 .5402 L
.59808 .54059 L
.59687 .5402 L
.59713 .53698 L
.59808 .5345 L
.5984 .53377 L
.59982 .53055 L
.6013 .52818 L
.60151 .52733 L
.60368 .52412 L
.60452 .52266 L
.60563 .5209 L
.60773 .51775 L
.60778 .51769 L
.60995 .51447 L
.61095 .51292 L
.6121 .51126 L
.61416 .50829 L
.61434 .50804 L
.61666 .50482 L
.61738 .50374 L
.61891 .50161 L
.62059 .49923 L
.62119 .49839 L
.62357 .49518 L
.62381 .49482 L
.62592 .49196 L
.62703 .4904 L
.62823 .48874 L
.63024 .48603 L
.63059 .48553 L
.63303 .48231 L
.63346 .4817 L
.6354 .4791 L
.63667 .47738 L
Mistroke
.63775 .47588 L
.63989 .47308 L
.64016 .47267 L
.64264 .46945 L
.64311 .46882 L
.64504 .46623 L
.64632 .46457 L
.64742 .46302 L
.64954 .46034 L
.64986 .4598 L
.65242 .45659 L
.65275 .45616 L
.65485 .45337 L
.65597 .45199 L
.65727 .45015 L
.65918 .44786 L
.6597 .44694 L
.6624 .4438 L
.66246 .44372 L
.66499 .44051 L
.66562 .4398 L
.66749 .43729 L
.66883 .43587 L
.66989 .43408 L
.67205 .43205 L
.67313 .43086 L
.67526 .42839 L
.67602 .42764 L
.67848 .42495 L
.67911 .42443 L
.6817 .4217 L
.68271 .42121 L
.68491 .41974 L
Mfstroke
.66562 .40318 m
.66859 .40513 L
.66722 .40835 L
.66562 .41145 L
.66555 .41156 L
.66396 .41478 L
.6624 .41687 L
.66169 .418 L
.65966 .42121 L
.65918 .42196 L
.65764 .42443 L
.65597 .42689 L
.65555 .42764 L
.65308 .43086 L
.65275 .43133 L
.65089 .43408 L
.64954 .43596 L
.6487 .43729 L
.64632 .44037 L
.64628 .44051 L
.6439 .44372 L
.64311 .4448 L
.64164 .44694 L
.63989 .44921 L
.63935 .45015 L
.63675 .45337 L
.63667 .45348 L
.63442 .45659 L
.63346 .45783 L
.63213 .4598 L
.63024 .46213 L
.62983 .46302 L
.62709 .46623 L
.62703 .46631 L
.62472 .46945 L
.62381 .47056 L
.62242 .47267 L
.62059 .47476 L
.6202 .47588 L
.61738 .47886 L
.61716 .4791 L
.61471 .48231 L
.61416 .48292 L
.61237 .48553 L
.61095 .48696 L
.60941 .48874 L
.60773 .4909 L
.60673 .49196 L
.60452 .49471 L
.60397 .49518 L
Mistroke
.6013 .4983 L
.60107 .49839 L
.59808 .50144 L
.5979 .50161 L
.59487 .50415 L
.59263 .50161 L
.59361 .49839 L
.59487 .49663 L
.59563 .49518 L
.59741 .49196 L
.59808 .4907 L
.5992 .48874 L
.6013 .48559 L
.60133 .48553 L
.60346 .48231 L
.60452 .48067 L
.60554 .4791 L
.60773 .47598 L
.60779 .47588 L
.61005 .47267 L
.61095 .47134 L
.61226 .46945 L
.61416 .46679 L
.61453 .46623 L
.61692 .46302 L
.61738 .46235 L
.61923 .4598 L
.62059 .45792 L
.62153 .45659 L
.62381 .45357 L
.62393 .45337 L
.62636 .45015 L
.62703 .44926 L
.62873 .44694 L
.63024 .44496 L
.6311 .44372 L
.63346 .44072 L
.63357 .44051 L
.63608 .43729 L
.63667 .43653 L
.63851 .43408 L
.63989 .43237 L
.64092 .43086 L
.64311 .42826 L
.64337 .42764 L
.64617 .42443 L
.64632 .42424 L
.6487 .42121 L
.64954 .42028 L
.65119 .418 L
Mistroke
.65275 .41641 L
.65346 .41478 L
.65597 .41266 L
.65702 .41156 L
.65918 .40908 L
.66 .40835 L
.6624 .40567 L
.6633 .40513 L
.66562 .40318 L
Mfstroke
.63667 .40077 m
.6397 .40192 L
.63796 .40513 L
.63667 .40735 L
.63604 .40835 L
.63439 .41156 L
.63346 .41239 L
.63183 .41478 L
.63024 .41713 L
.62963 .418 L
.62751 .42121 L
.62703 .42181 L
.62503 .42443 L
.62381 .4267 L
.62267 .42764 L
.62059 .43047 L
.62029 .43086 L
.61811 .43408 L
.61738 .43482 L
.61534 .43729 L
.61416 .43928 L
.6128 .44051 L
.61095 .44284 L
.61021 .44372 L
.60773 .44672 L
.60754 .44694 L
.60472 .45015 L
.60452 .45048 L
.60163 .45337 L
.6013 .4537 L
.59829 .45337 L
.59981 .45015 L
.6013 .44748 L
.60162 .44694 L
.60285 .44372 L
.60452 .44225 L
.60565 .44051 L
.60773 .43737 L
.60779 .43729 L
.6097 .43408 L
.61095 .43249 L
.61227 .43086 L
.61416 .42782 L
.61459 .42764 L
.61687 .42443 L
.61738 .42381 L
.61887 .42121 L
.62059 .41942 L
.62185 .418 L
.62381 .41513 L
Mistroke
.62438 .41478 L
.62695 .41156 L
.62703 .41149 L
.6292 .40835 L
.63024 .40756 L
.63248 .40513 L
.63346 .40369 L
.63553 .40192 L
.63667 .40077 L
Mfstroke
.63989 .39833 m
.64065 .3987 L
.63989 .40152 L
.63926 .3987 L
.63989 .39833 L
s
.2572 .8294 m
.26042 .82935 L
.26364 .82951 L
.26502 .82962 L
.26685 .82989 L
.27007 .83054 L
.27328 .83165 L
.27527 .83284 L
.27629 .83606 L
.27328 .83851 L
.27137 .83927 L
.27007 .83974 L
.26685 .84052 L
.26364 .84093 L
.26042 .84109 L
.2572 .84104 L
.25399 .84076 L
.25077 .84019 L
.24787 .83927 L
.24756 .83916 L
.24434 .83757 L
.24295 .83606 L
.24397 .83284 L
.24434 .83256 L
.24756 .83102 L
.25077 .83017 L
.25399 .82968 L
.25448 .82962 L
.2572 .8294 L
s
.3987 .73882 m
.40192 .73764 L
.40513 .73687 L
.40835 .73649 L
.41156 .7365 L
.41478 .7369 L
.418 .7377 L
.42121 .73891 L
.42266 .73958 L
.42443 .74054 L
.42764 .74262 L
.42789 .7428 L
.43086 .74519 L
.43176 .74601 L
.43408 .74831 L
.43492 .74923 L
.43729 .75204 L
.43761 .75244 L
.43994 .75566 L
.44051 .7565 L
.44201 .75888 L
.44372 .76184 L
.44386 .76209 L
.44552 .76531 L
.44694 .76835 L
.44702 .76852 L
.44837 .77174 L
.4496 .77495 L
.45015 .77653 L
.45071 .77817 L
.45171 .78139 L
.45261 .7846 L
.45337 .78761 L
.45342 .78782 L
.45414 .79103 L
.45477 .79425 L
.45533 .79747 L
.45581 .80068 L
.45621 .8039 L
.45654 .80711 L
.45659 .80764 L
.45679 .81033 L
.45698 .81355 L
.45709 .81676 L
.45714 .81998 L
.45712 .82319 L
.45703 .82641 L
.45686 .82962 L
.45663 .83284 L
.45659 .83338 L
Mistroke
.45633 .83606 L
.45595 .83927 L
.4555 .84249 L
.45497 .8457 L
.45436 .84892 L
.45367 .85214 L
.45337 .85342 L
.45289 .85535 L
.45202 .85857 L
.45105 .86178 L
.45015 .8645 L
.44998 .865 L
.44879 .86821 L
.44748 .87143 L
.44694 .87268 L
.44603 .87465 L
.44443 .87786 L
.44372 .87918 L
.44265 .88108 L
.44066 .88429 L
.44051 .88453 L
.43842 .88751 L
.43729 .88898 L
.43586 .89073 L
.43408 .89272 L
.43288 .89394 L
.43086 .89583 L
.42929 .89716 L
.42764 .8984 L
.42463 .90037 L
.42443 .90049 L
.42121 .90212 L
.418 .90332 L
.41724 .90359 L
.41478 .90412 L
.41156 .90452 L
.40835 .90454 L
.40513 .90416 L
.40248 .90359 L
.40192 .90339 L
.3987 .90221 L
.39548 .9006 L
.39508 .90037 L
.39227 .89855 L
.39043 .89716 L
.38905 .89601 L
.38683 .89394 L
.38584 .89293 L
.38385 .89073 L
.38262 .88924 L
Mistroke
.38129 .88751 L
.37941 .88483 L
.37905 .88429 L
.37707 .88108 L
.37619 .87954 L
.37529 .87786 L
.37369 .87465 L
.37297 .87309 L
.37225 .87143 L
.37094 .86821 L
.36976 .86501 L
.36975 .865 L
.36868 .86178 L
.36771 .85857 L
.36683 .85535 L
.36654 .85422 L
.36604 .85214 L
.36534 .84892 L
.36471 .8457 L
.36417 .84249 L
.36371 .83927 L
.36333 .83607 L
.36333 .83606 L
.36302 .83284 L
.36279 .82962 L
.36264 .82641 L
.36257 .82319 L
.36256 .81998 L
.36263 .81676 L
.36276 .81355 L
.36296 .81033 L
.36323 .80711 L
.36333 .80607 L
.36356 .8039 L
.36396 .80068 L
.36443 .79747 L
.36497 .79425 L
.36559 .79103 L
.3663 .78782 L
.36654 .7868 L
.3671 .7846 L
.36799 .78139 L
.36899 .77817 L
.36976 .7759 L
.3701 .77495 L
.37132 .77174 L
.37268 .76852 L
.37297 .76787 L
.37418 .76531 L
.37585 .76209 L
Mistroke
.37619 .76147 L
.3777 .75888 L
.37941 .75619 L
.37977 .75566 L
.38211 .75244 L
.38262 .75179 L
.38479 .74923 L
.38584 .7481 L
.38795 .74601 L
.38905 .74502 L
.39183 .7428 L
.39227 .74248 L
.39548 .74042 L
.39705 .73958 L
.3987 .73882 L
Mfstroke
.68491 .58732 m
.6863 .58844 L
.68491 .59025 L
.68417 .58844 L
.68491 .58732 L
s
.68813 .58307 m
.68871 .58522 L
.68813 .58606 L
.68653 .58522 L
.68813 .58307 L
s
.32795 .51656 m
.33089 .51769 L
.32795 .52006 L
.32746 .51769 L
.32795 .51656 L
s
.70742 .5133 m
.71064 .5118 L
.711 .51447 L
.71064 .51551 L
.70973 .51769 L
.70828 .5209 L
.70742 .52281 L
.70697 .52412 L
.70443 .52733 L
.70421 .52772 L
.70251 .53055 L
.70099 .53293 L
.7005 .53377 L
.69819 .53698 L
.69777 .53763 L
.69605 .5402 L
.69456 .54236 L
.69387 .54341 L
.69151 .54663 L
.69134 .54688 L
.68924 .54985 L
.68813 .55141 L
.68697 .55306 L
.68491 .55584 L
.68464 .55628 L
.6822 .55949 L
.6817 .56019 L
.67985 .56271 L
.67848 .56453 L
.67751 .56592 L
.67526 .5688 L
.67507 .56914 L
.67255 .57236 L
.67205 .57301 L
.67013 .57557 L
.66883 .57719 L
.66773 .57879 L
.66562 .58132 L
.66531 .582 L
.6625 .58522 L
.6624 .58534 L
.65996 .58844 L
.65918 .58931 L
.65748 .59165 L
.65597 .5932 L
.65522 .59487 L
.65275 .59696 L
.65168 .59808 L
.64954 .60056 L
.6487 .6013 L
Mistroke
.64632 .60404 L
.64544 .60452 L
.64311 .60651 L
.64022 .60452 L
.64166 .6013 L
.64311 .59856 L
.64338 .59808 L
.64502 .59487 L
.64632 .59254 L
.6473 .59165 L
.64937 .58844 L
.64954 .58818 L
.65138 .58522 L
.65275 .58321 L
.65339 .582 L
.65597 .5788 L
.65599 .57879 L
.65819 .57557 L
.65918 .57419 L
.66035 .57236 L
.6624 .5697 L
.66259 .56914 L
.66522 .56592 L
.66562 .5654 L
.66748 .56271 L
.66883 .56098 L
.66969 .55949 L
.67205 .55666 L
.6724 .55628 L
.67476 .55306 L
.67526 .55243 L
.67705 .54985 L
.67848 .54813 L
.67925 .54663 L
.6817 .54392 L
.68216 .54341 L
.68459 .5402 L
.68491 .53982 L
.68691 .53698 L
.68813 .53566 L
.68903 .53377 L
.69134 .53156 L
.69226 .53055 L
.69456 .52761 L
.69487 .52733 L
.69746 .52412 L
.69777 .52383 L
.70033 .5209 L
.70099 .52007 L
.70327 .51769 L
Mistroke
.70421 .51651 L
.70651 .51447 L
.70742 .5133 L
Mfstroke
.4598 .50271 m
.46302 .50236 L
.46319 .50482 L
.46302 .50773 L
.46297 .50804 L
.46208 .51126 L
.46071 .51447 L
.4598 .5166 L
.45881 .51769 L
.45659 .52019 L
.45448 .51769 L
.45513 .51447 L
.45597 .51126 L
.45659 .51023 L
.45758 .50804 L
.45898 .50482 L
.4598 .50271 L
s
.37297 .49822 m
.37497 .49839 L
.3736 .50161 L
.37297 .50277 L
.37176 .50482 L
.36981 .50804 L
.36976 .50811 L
.36765 .51126 L
.36654 .51291 L
.36545 .51447 L
.36333 .5175 L
.36319 .51769 L
.36084 .5209 L
.36011 .52221 L
.35842 .52412 L
.35689 .52613 L
.35595 .52733 L
.35368 .53023 L
.35341 .53055 L
.35077 .53377 L
.35046 .53426 L
.34798 .53698 L
.34725 .53782 L
.34493 .5402 L
.34403 .54108 L
.34184 .5402 L
.34347 .53698 L
.34403 .53599 L
.3454 .53377 L
.34725 .53084 L
.34744 .53055 L
.34962 .52733 L
.35046 .5261 L
.35187 .52412 L
.35368 .52156 L
.35417 .5209 L
.35628 .51769 L
.35689 .51706 L
.35898 .51447 L
.36011 .51298 L
.36149 .51126 L
.36333 .50891 L
.36405 .50804 L
.36654 .50502 L
.36671 .50482 L
.36956 .50161 L
.36976 .50125 L
.37279 .49839 L
.37297 .49822 L
s
.70742 .4726 m
.7097 .47267 L
.70934 .47588 L
.70818 .4791 L
.70742 .48042 L
.70694 .48231 L
.70469 .48553 L
.70421 .48646 L
.70285 .48874 L
.70099 .49174 L
.70082 .49196 L
.69868 .49518 L
.69777 .49664 L
.69658 .49839 L
.69456 .50138 L
.6944 .50161 L
.69211 .50482 L
.69134 .50601 L
.68989 .50804 L
.68813 .51057 L
.68764 .51126 L
.68527 .51447 L
.68491 .51502 L
.68295 .51769 L
.6817 .51948 L
.68065 .5209 L
.67848 .52387 L
.6783 .52412 L
.67588 .52733 L
.67526 .52822 L
.67353 .53055 L
.67205 .53257 L
.67118 .53377 L
.66883 .53688 L
.66876 .53698 L
.66632 .5402 L
.66562 .54116 L
.66394 .54341 L
.6624 .54544 L
.66155 .54663 L
.65918 .54968 L
.65908 .54985 L
.6566 .55306 L
.65597 .55388 L
.65418 .55628 L
.65275 .55808 L
.65177 .55949 L
.64954 .56224 L
.64928 .56271 L
.64666 .56592 L
Mistroke
.64632 .56634 L
.64417 .56914 L
.64311 .5704 L
.64171 .57236 L
.63989 .5744 L
.63929 .57557 L
.63667 .5783 L
.63624 .57879 L
.63351 .582 L
.63346 .58205 L
.63075 .58522 L
.63024 .58567 L
.62795 .58844 L
.62703 .58904 L
.62419 .59165 L
.62381 .59202 L
.62059 .59414 L
.61891 .59165 L
.61988 .58844 L
.62059 .58727 L
.62163 .58522 L
.62338 .582 L
.62381 .58116 L
.62517 .57879 L
.62703 .57577 L
.62721 .57557 L
.62944 .57236 L
.63024 .57108 L
.63154 .56914 L
.63346 .56634 L
.63374 .56592 L
.63607 .56271 L
.63667 .56181 L
.6383 .55949 L
.63989 .55724 L
.64056 .55628 L
.64296 .55306 L
.64311 .55285 L
.64528 .54985 L
.64632 .5484 L
.64758 .54663 L
.64954 .54401 L
.64993 .54341 L
.65239 .5402 L
.65275 .53969 L
.65473 .53698 L
.65597 .53533 L
.65706 .53377 L
.65918 .53102 L
.65946 .53055 L
Mistroke
.66196 .52733 L
.6624 .52675 L
.66432 .52412 L
.66562 .52246 L
.66667 .5209 L
.66883 .5182 L
.66909 .51769 L
.67167 .51447 L
.67205 .51399 L
.67405 .51126 L
.67526 .50976 L
.67639 .50804 L
.67848 .50557 L
.67877 .50482 L
.68156 .50161 L
.6817 .50145 L
.68398 .49839 L
.68491 .49733 L
.68633 .49518 L
.68813 .49327 L
.68855 .49196 L
.69134 .48929 L
.69184 .48874 L
.69449 .48553 L
.69456 .48546 L
.69708 .48231 L
.69777 .48172 L
.7002 .4791 L
.70099 .47819 L
.70338 .47588 L
.70421 .47499 L
.70734 .47267 L
.70742 .4726 L
Mfstroke
.33117 .47103 m
.33267 .47267 L
.33117 .47449 L
.33015 .47267 L
.33117 .47103 L
s
.36333 .46871 m
.36627 .46945 L
.36462 .47267 L
.36333 .47494 L
.36275 .47588 L
.3612 .4791 L
.36011 .48062 L
.3586 .48231 L
.35689 .48484 L
.35641 .48553 L
.35434 .48874 L
.35368 .48956 L
.35183 .49196 L
.35046 .4944 L
.34947 .49518 L
.34725 .49816 L
.34707 .49839 L
.3449 .50161 L
.34403 .50247 L
.34206 .50482 L
.34082 .50685 L
.33946 .50804 L
.3376 .51032 L
.33678 .51126 L
.33438 .51403 L
.33397 .51447 L
.33117 .51743 L
.32904 .51447 L
.33063 .51126 L
.33117 .51077 L
.33289 .50804 L
.33438 .50573 L
.33499 .50482 L
.337 .50161 L
.3376 .50083 L
.33943 .49839 L
.34082 .49578 L
.34173 .49518 L
.34403 .49202 L
.34407 .49196 L
.34611 .48874 L
.34725 .48756 L
.34896 .48553 L
.35046 .48307 L
.35148 .48231 L
.35368 .47954 L
.35405 .4791 L
.35657 .47588 L
.35689 .47563 L
.35953 .47267 L
Mistroke
.36011 .47176 L
.36259 .46945 L
.36333 .46871 L
Mfstroke
.33438 .46642 m
.33526 .46945 L
.33438 .47063 L
.33227 .46945 L
.33438 .46642 L
s
.3376 .46223 m
.33991 .46302 L
.33771 .46623 L
.3376 .46639 L
.33452 .46623 L
.337 .46302 L
.3376 .46223 L
s
.34082 .45847 m
.34195 .4598 L
.34082 .46171 L
.33968 .4598 L
.34082 .45847 L
s
.53698 .44918 m
.53782 .45015 L
.53757 .45337 L
.53698 .4555 L
.53662 .45659 L
.53546 .4598 L
.53444 .46302 L
.53414 .46623 L
.53467 .46945 L
.53512 .47267 L
.53531 .47588 L
.53449 .4791 L
.53377 .48141 L
.53373 .48231 L
.53245 .48553 L
.53106 .48874 L
.53055 .48998 L
.53013 .49196 L
.52896 .49518 L
.52821 .49839 L
.52793 .50161 L
.52776 .50482 L
.52733 .50797 L
.52732 .50804 L
.5267 .51126 L
.52549 .51447 L
.52415 .51769 L
.52412 .51776 L
.52289 .5209 L
.52142 .52412 L
.5209 .52528 L
.5205 .52733 L
.51946 .53055 L
.51881 .53377 L
.51847 .53698 L
.51801 .5402 L
.51769 .54206 L
.51724 .54341 L
.51637 .54663 L
.51485 .54985 L
.51447 .55064 L
.51372 .55306 L
.51178 .55628 L
.51126 .55714 L
.51005 .55949 L
.50866 .56271 L
.50804 .56332 L
.50686 .56592 L
.50574 .56914 L
.50542 .57236 L
Mistroke
.50502 .57557 L
.50482 .57634 L
.50394 .57879 L
.50213 .582 L
.50161 .5831 L
.49946 .582 L
.50015 .57879 L
.50126 .57557 L
.50161 .57454 L
.5025 .57236 L
.50313 .56914 L
.50254 .56592 L
.5018 .56271 L
.50165 .55949 L
.50212 .55628 L
.50257 .55306 L
.50409 .54985 L
.50482 .5481 L
.50546 .54663 L
.5065 .54341 L
.50788 .5402 L
.50804 .53988 L
.50875 .53698 L
.50913 .53377 L
.50844 .53055 L
.50905 .52733 L
.50995 .52412 L
.5111 .5209 L
.51126 .52046 L
.51204 .51769 L
.51365 .51447 L
.51447 .51277 L
.51462 .51126 L
.5162 .50804 L
.5175 .50482 L
.51769 .50439 L
.51822 .50161 L
.51852 .49839 L
.51877 .49518 L
.5189 .49196 L
.52019 .48874 L
.5209 .48693 L
.52155 .48553 L
.52272 .48231 L
.52412 .47994 L
.52456 .4791 L
.52555 .47588 L
.52733 .47356 L
.52776 .47267 L
.52925 .46945 L
Mistroke
.53028 .46623 L
.53055 .46399 L
.53061 .46302 L
.5309 .4598 L
.53171 .45659 L
.53311 .45337 L
.53377 .45177 L
.5354 .45015 L
.53698 .44918 L
Mfstroke
.69777 .4423 m
.70099 .4407 L
.70198 .44372 L
.70099 .44657 L
.70084 .44694 L
.69954 .45015 L
.69777 .45301 L
.69773 .45337 L
.69571 .45659 L
.69456 .45863 L
.69377 .4598 L
.69161 .46302 L
.69134 .46347 L
.68948 .46623 L
.68813 .46833 L
.68733 .46945 L
.68506 .47267 L
.68491 .47291 L
.68279 .47588 L
.6817 .47751 L
.68054 .4791 L
.67848 .48199 L
.67824 .48231 L
.67586 .48553 L
.67526 .48642 L
.67354 .48874 L
.67205 .49084 L
.67123 .49196 L
.66884 .49518 L
.66883 .49518 L
.66643 .49839 L
.66562 .49954 L
.66409 .50161 L
.6624 .50388 L
.66173 .50482 L
.65928 .50804 L
.65918 .50818 L
.65687 .51126 L
.65597 .51248 L
.6545 .51447 L
.65275 .51677 L
.65212 .51769 L
.64962 .5209 L
.64954 .52102 L
.6472 .52412 L
.64632 .52527 L
.64482 .52733 L
.64311 .52951 L
.64242 .53055 L
.63989 .53371 L
Mistroke
.63986 .53377 L
.6374 .53698 L
.63667 .53788 L
.63498 .5402 L
.63346 .54204 L
.63258 .54341 L
.63024 .54615 L
.63009 .54663 L
.62732 .54985 L
.62703 .55018 L
.62482 .55306 L
.62381 .55416 L
.62238 .55628 L
.62059 .55805 L
.61933 .55949 L
.61738 .5618 L
.61652 .56271 L
.61416 .56536 L
.61356 .56592 L
.61095 .56867 L
.61029 .56914 L
.60773 .57182 L
.60579 .57236 L
.60452 .57257 L
.60419 .57236 L
.60406 .56914 L
.60452 .56825 L
.60545 .56592 L
.60697 .56271 L
.60773 .56093 L
.60861 .55949 L
.61072 .55628 L
.61095 .55586 L
.6127 .55306 L
.61416 .55068 L
.61476 .54985 L
.61699 .54663 L
.61738 .546 L
.61917 .54341 L
.62059 .54128 L
.62137 .5402 L
.62369 .53698 L
.62381 .53679 L
.62599 .53377 L
.62703 .53226 L
.62827 .53055 L
.63024 .52781 L
.63059 .52733 L
.63299 .52412 L
.63346 .52343 L
Mistroke
.63533 .5209 L
.63667 .51904 L
.63765 .51769 L
.63989 .5147 L
.64004 .51447 L
.64247 .51126 L
.64311 .51037 L
.64483 .50804 L
.64632 .50604 L
.64719 .50482 L
.64954 .50176 L
.64963 .50161 L
.65207 .49839 L
.65275 .49748 L
.65444 .49518 L
.65597 .4932 L
.65682 .49196 L
.65918 .48895 L
.6593 .48874 L
.66177 .48553 L
.6624 .48472 L
.66416 .48231 L
.66562 .4805 L
.66655 .4791 L
.66883 .4763 L
.66902 .47588 L
.67163 .47267 L
.67205 .47216 L
.67406 .46945 L
.67526 .46803 L
.67645 .46623 L
.67848 .46395 L
.67882 .46302 L
.6817 .45996 L
.68184 .4598 L
.68441 .45659 L
.68491 .45606 L
.68693 .45337 L
.68813 .45226 L
.69003 .45015 L
.69134 .44864 L
.69302 .44694 L
.69456 .44526 L
.69634 .44372 L
.69777 .4423 L
Mfstroke
.4791 .43708 m
.4805 .43729 L
.48165 .44051 L
.48141 .44372 L
.48057 .44694 L
.47952 .45015 L
.4791 .45105 L
.47804 .45337 L
.47706 .45659 L
.47588 .4583 L
.47526 .4598 L
.47416 .46302 L
.47371 .46623 L
.47381 .46945 L
.47378 .47267 L
.47351 .47588 L
.47267 .47806 L
.47231 .4791 L
.47102 .48231 L
.46961 .48553 L
.46945 .48581 L
.46797 .48874 L
.46644 .49196 L
.46623 .49219 L
.46471 .49518 L
.46336 .49839 L
.46302 .50008 L
.46028 .49839 L
.4598 .49616 L
.45964 .49518 L
.4593 .49196 L
.4598 .48874 L
.4598 .48873 L
.46063 .48553 L
.46158 .48231 L
.46302 .47926 L
.4631 .4791 L
.46398 .47588 L
.46587 .47267 L
.46623 .47207 L
.46717 .46945 L
.46793 .46623 L
.46811 .46302 L
.4682 .4598 L
.46845 .45659 L
.46945 .45377 L
.46958 .45337 L
.46998 .45015 L
.47225 .44694 L
.47267 .44623 L
Mistroke
.47403 .44372 L
.47588 .4406 L
.47594 .44051 L
.47861 .43729 L
.4791 .43708 L
Mfstroke
.51126 .43235 m
.51214 .43408 L
.51325 .43729 L
.5136 .44051 L
.51396 .44372 L
.51265 .44694 L
.51141 .45015 L
.51126 .45057 L
.51047 .45337 L
.50902 .45659 L
.50804 .45912 L
.50783 .4598 L
.50756 .46302 L
.50709 .46623 L
.50689 .46945 L
.50651 .47267 L
.50576 .47588 L
.50482 .479 L
.50479 .4791 L
.50364 .48231 L
.5022 .48553 L
.50161 .48688 L
.50103 .48874 L
.49969 .49196 L
.49862 .49518 L
.49839 .49589 L
.49799 .49839 L
.49813 .50161 L
.49774 .50482 L
.49701 .50804 L
.49592 .51126 L
.49518 .51328 L
.49489 .51447 L
.49339 .51769 L
.49196 .52062 L
.49183 .5209 L
.49068 .52412 L
.48919 .52733 L
.48874 .52829 L
.48814 .53055 L
.48756 .53377 L
.48724 .53698 L
.48721 .5402 L
.48602 .54341 L
.48553 .54477 L
.48472 .54663 L
.48355 .54985 L
.48231 .5517 L
.48153 .55306 L
.47958 .55628 L
Mistroke
.4791 .557 L
.47709 .55949 L
.47588 .56048 L
.4732 .55949 L
.47267 .55705 L
.47265 .55628 L
.47267 .55601 L
.47307 .55306 L
.47338 .54985 L
.47493 .54663 L
.47588 .54425 L
.47621 .54341 L
.47685 .5402 L
.47791 .53698 L
.47833 .53377 L
.47836 .53055 L
.47852 .52733 L
.47907 .52412 L
.4791 .52396 L
.47981 .5209 L
.48106 .51769 L
.48231 .51464 L
.48236 .51447 L
.4836 .51126 L
.4849 .50804 L
.48553 .50631 L
.48571 .50482 L
.48626 .50161 L
.48656 .49839 L
.48689 .49518 L
.48753 .49196 L
.4885 .48874 L
.48874 .48798 L
.48955 .48553 L
.49099 .48231 L
.49196 .48016 L
.49227 .4791 L
.49369 .47588 L
.49499 .47267 L
.49518 .47227 L
.49542 .46945 L
.49598 .46623 L
.4964 .46302 L
.49704 .4598 L
.498 .45659 L
.49839 .45537 L
.49876 .45337 L
.50044 .45015 L
.50161 .44797 L
.50213 .44694 L
Mistroke
.50352 .44372 L
.50482 .44178 L
.5055 .44051 L
.50726 .43729 L
.50804 .43607 L
.50913 .43408 L
.51126 .43235 L
Mfstroke
.68491 .41781 m
.68813 .4158 L
.68972 .418 L
.68887 .42121 L
.68813 .4225 L
.6872 .42443 L
.6855 .42764 L
.68491 .42884 L
.68372 .43086 L
.6817 .43404 L
.68163 .43408 L
.67952 .43729 L
.67848 .43896 L
.67743 .44051 L
.67526 .44363 L
.67519 .44372 L
.67293 .44694 L
.67205 .44827 L
.67071 .45015 L
.66883 .45281 L
.66843 .45337 L
.66606 .45659 L
.66562 .45724 L
.66375 .4598 L
.6624 .46169 L
.66145 .46302 L
.65918 .46606 L
.65907 .46623 L
.65666 .46945 L
.65597 .47042 L
.65432 .47267 L
.65275 .47478 L
.65198 .47588 L
.64954 .47907 L
.64952 .4791 L
.64712 .48231 L
.64632 .48339 L
.64476 .48553 L
.64311 .48769 L
.64239 .48874 L
.63989 .49194 L
.63988 .49196 L
.63747 .49518 L
.63667 .4962 L
.6351 .49839 L
.63346 .50045 L
.63272 .50161 L
.63024 .50466 L
.63018 .50482 L
.62768 .50804 L
Mistroke
.62703 .50885 L
.62529 .51126 L
.62381 .51302 L
.62293 .51447 L
.62059 .51715 L
.62049 .51769 L
.61764 .5209 L
.61738 .5212 L
.61518 .52412 L
.61416 .52522 L
.61282 .52733 L
.61095 .52916 L
.60973 .53055 L
.60773 .53297 L
.60698 .53377 L
.60452 .5366 L
.60409 .53698 L
.6013 .53998 L
.60096 .5402 L
.59808 .54273 L
.59707 .54341 L
.59487 .54428 L
.59404 .54341 L
.59439 .5402 L
.59487 .53925 L
.59581 .53698 L
.59737 .53377 L
.59808 .53218 L
.59904 .53055 L
.60111 .52733 L
.6013 .52699 L
.6031 .52412 L
.60452 .52183 L
.60516 .5209 L
.60738 .51769 L
.60773 .51711 L
.60957 .51447 L
.61095 .5124 L
.61176 .51126 L
.61406 .50804 L
.61416 .50787 L
.61638 .50482 L
.61738 .50335 L
.61865 .50161 L
.62059 .4989 L
.62096 .49839 L
.62336 .49518 L
.62381 .49451 L
.6257 .49196 L
.62703 .49011 L
Mistroke
.62803 .48874 L
.63024 .48577 L
.63041 .48553 L
.63285 .48231 L
.63346 .48145 L
.63521 .4791 L
.63667 .47713 L
.63757 .47588 L
.63989 .47284 L
.64 .47267 L
.64246 .46945 L
.64311 .46857 L
.64484 .46623 L
.64632 .46431 L
.64723 .46302 L
.64954 .46007 L
.6497 .4598 L
.6522 .45659 L
.65275 .45587 L
.65461 .45337 L
.65597 .45168 L
.65702 .45015 L
.65918 .44752 L
.65949 .44694 L
.66215 .44372 L
.6624 .44342 L
.66463 .44051 L
.66562 .43935 L
.66708 .43729 L
.66883 .43535 L
.66948 .43408 L
.67205 .43145 L
.67257 .43086 L
.67526 .42769 L
.67531 .42764 L
.67809 .42443 L
.67848 .42409 L
.68095 .42121 L
.6817 .42073 L
.68471 .418 L
.68491 .41781 L
Mfstroke
.66562 .40143 m
.66883 .39876 L
.67147 .40192 L
.67054 .40513 L
.66883 .40735 L
.66828 .40835 L
.66647 .41156 L
.66562 .41311 L
.66464 .41478 L
.6624 .41784 L
.6623 .418 L
.6602 .42121 L
.65918 .42276 L
.65809 .42443 L
.65597 .42738 L
.65582 .42764 L
.65346 .43086 L
.65275 .43188 L
.65124 .43408 L
.64954 .43641 L
.64897 .43729 L
.6465 .44051 L
.64632 .44075 L
.64419 .44372 L
.64311 .44519 L
.6419 .44694 L
.63989 .44955 L
.63955 .45015 L
.63702 .45337 L
.63667 .45384 L
.63469 .45659 L
.63346 .45817 L
.63238 .4598 L
.63024 .46245 L
.62999 .46302 L
.62737 .46623 L
.62703 .46667 L
.62502 .46945 L
.62381 .47093 L
.62271 .47267 L
.62059 .47514 L
.62037 .47588 L
.61751 .4791 L
.61738 .47926 L
.61512 .48231 L
.61416 .4834 L
.61282 .48553 L
.61095 .48749 L
.60988 .48874 L
.60773 .49148 L
Mistroke
.60728 .49196 L
.60466 .49518 L
.60452 .49532 L
.60214 .49839 L
.6013 .4991 L
.599 .50161 L
.59808 .50271 L
.59593 .50482 L
.59487 .50606 L
.59241 .50804 L
.59165 .50888 L
.58858 .50804 L
.58961 .50482 L
.59103 .50161 L
.59165 .50001 L
.59242 .49839 L
.59469 .49518 L
.59487 .49484 L
.59659 .49196 L
.59808 .4895 L
.59858 .48874 L
.60079 .48553 L
.6013 .48471 L
.60291 .48231 L
.60452 .47991 L
.60507 .4791 L
.60737 .47588 L
.60773 .47532 L
.60962 .47267 L
.61095 .47075 L
.61187 .46945 L
.61416 .46629 L
.6142 .46623 L
.61657 .46302 L
.61738 .46186 L
.61888 .4598 L
.62059 .45746 L
.62121 .45659 L
.62365 .45337 L
.62381 .45313 L
.62604 .45015 L
.62703 .44881 L
.6284 .44694 L
.63024 .44452 L
.63079 .44372 L
.6333 .44051 L
.63346 .44029 L
.63573 .43729 L
.63667 .43607 L
.63814 .43408 L
Mistroke
.63989 .43188 L
.64056 .43086 L
.64311 .42775 L
.64315 .42764 L
.6457 .42443 L
.64632 .42367 L
.64818 .42121 L
.64954 .41964 L
.65063 .418 L
.65275 .41568 L
.65301 .41478 L
.65597 .41185 L
.65623 .41156 L
.659 .40835 L
.65918 .40817 L
.6618 .40513 L
.6624 .40465 L
.66514 .40192 L
.66562 .40143 L
Mfstroke
.67205 .39784 m
.67229 .3987 L
.67205 .4002 L
.66892 .3987 L
.67205 .39784 L
s
.63989 .39527 m
.64311 .39236 L
.64485 .39548 L
.64324 .3987 L
.64311 .39885 L
.64126 .40192 L
.63989 .40414 L
.63925 .40513 L
.63729 .40835 L
.63667 .40924 L
.63573 .41156 L
.63346 .41375 L
.63273 .41478 L
.63052 .418 L
.63024 .41836 L
.62852 .42121 L
.62703 .42302 L
.6258 .42443 L
.62381 .42746 L
.62345 .42764 L
.62116 .43086 L
.62059 .43154 L
.61914 .43408 L
.61738 .43592 L
.61615 .43729 L
.61416 .44018 L
.61367 .44051 L
.61123 .44372 L
.61095 .44402 L
.60857 .44694 L
.60773 .44815 L
.60593 .45015 L
.60452 .45226 L
.60323 .45337 L
.6013 .45562 L
.60041 .45659 L
.59808 .45911 L
.59738 .4598 L
.59487 .46209 L
.59308 .4598 L
.59437 .45659 L
.59487 .45601 L
.59633 .45337 L
.59808 .45042 L
.59825 .45015 L
.60005 .44694 L
.6013 .44506 L
.60161 .44372 L
.60452 .44053 L
.60453 .44051 L
Mistroke
.60664 .43729 L
.60773 .43578 L
.60868 .43408 L
.61095 .43124 L
.6113 .43086 L
.6136 .42764 L
.61416 .4269 L
.61583 .42443 L
.61738 .42251 L
.61797 .42121 L
.62059 .41828 L
.62086 .418 L
.62329 .41478 L
.62381 .41416 L
.62563 .41156 L
.62703 .41005 L
.62764 .40835 L
.63024 .40603 L
.63111 .40513 L
.63346 .40216 L
.63383 .40192 L
.63666 .3987 L
.63667 .39869 L
.63971 .39548 L
.63989 .39527 L
Mfstroke
.72993 .16026 m
.73315 .15948 L
.73636 .15907 L
.73958 .15891 L
.7428 .15896 L
.74601 .15924 L
.74923 .15981 L
.75213 .16073 L
.75244 .16084 L
.75566 .16243 L
.75705 .16394 L
.75603 .16716 L
.75566 .16744 L
.75244 .16898 L
.74923 .16983 L
.74601 .17032 L
.74552 .17038 L
.7428 .1706 L
.73958 .17065 L
.73636 .17049 L
.73498 .17038 L
.73315 .17011 L
.72993 .16946 L
.72672 .16835 L
.72474 .16716 L
.72372 .16394 L
.72672 .16149 L
.72863 .16073 L
.72993 .16026 L
s
.25077 .82638 m
.25399 .82614 L
.2572 .82601 L
.26042 .82598 L
.26364 .82606 L
.26685 .82624 L
.26885 .82641 L
.27007 .82652 L
.27328 .8269 L
.2765 .82745 L
.27971 .82828 L
.28293 .82959 L
.283 .82962 L
.28615 .83158 L
.28729 .83284 L
.28789 .83606 L
.28615 .83858 L
.28528 .83927 L
.28293 .84086 L
.27971 .84203 L
.27759 .84249 L
.2765 .84276 L
.27328 .84342 L
.27007 .84388 L
.26685 .84419 L
.26364 .84438 L
.26042 .84445 L
.2572 .84443 L
.25399 .8443 L
.25077 .84405 L
.24756 .84367 L
.24434 .84311 L
.24165 .84249 L
.24112 .84239 L
.23791 .84154 L
.23469 .83985 L
.23398 .83927 L
.23148 .83634 L
.23138 .83606 L
.23148 .8338 L
.23197 .83284 L
.23469 .83045 L
.23625 .82962 L
.23791 .82886 L
.24112 .82782 L
.24434 .82715 L
.24756 .82669 L
.25043 .82641 L
.25077 .82638 L
s
.2572 .76814 m
.26042 .76801 L
.26364 .76842 L
.26418 .76852 L
.26612 .77174 L
.26364 .77251 L
.26042 .7729 L
.2572 .77277 L
.25399 .77202 L
.25334 .77174 L
.25399 .76894 L
.25518 .76852 L
.2572 .76814 L
s
.3987 .72932 m
.40192 .72827 L
.40513 .72757 L
.40835 .72723 L
.41156 .72724 L
.41478 .7276 L
.418 .72832 L
.42121 .7294 L
.4225 .72993 L
.42443 .73086 L
.42764 .73271 L
.42831 .73315 L
.43086 .73499 L
.43255 .73636 L
.43408 .73772 L
.43599 .73958 L
.43729 .74095 L
.43892 .7428 L
.44051 .74475 L
.44147 .74601 L
.44372 .74921 L
.44373 .74923 L
.44577 .75244 L
.44694 .75446 L
.4476 .75566 L
.44927 .75888 L
.45015 .76071 L
.45079 .76209 L
.45218 .76531 L
.45337 .76832 L
.45345 .76852 L
.45461 .77174 L
.45567 .77495 L
.45659 .778 L
.45663 .77817 L
.45751 .78139 L
.45831 .7846 L
.45902 .78782 L
.45966 .79103 L
.4598 .79179 L
.46023 .79425 L
.46072 .79747 L
.46115 .80068 L
.46151 .8039 L
.4618 .80711 L
.46203 .81033 L
.4622 .81355 L
.46231 .81676 L
.46235 .81998 L
.46233 .82319 L
Mistroke
.46224 .82641 L
.4621 .82962 L
.46189 .83284 L
.46161 .83606 L
.46128 .83927 L
.46087 .84249 L
.4604 .8457 L
.45986 .84892 L
.4598 .84923 L
.45924 .85214 L
.45855 .85535 L
.45779 .85857 L
.45694 .86178 L
.45659 .86302 L
.456 .865 L
.45497 .86821 L
.45385 .87143 L
.45337 .87271 L
.45261 .87465 L
.45127 .87786 L
.45015 .88032 L
.44979 .88108 L
.44818 .88429 L
.44694 .88656 L
.4464 .88751 L
.44443 .89073 L
.44372 .89181 L
.44225 .89394 L
.44051 .89627 L
.4398 .89716 L
.43729 .90007 L
.43702 .90037 L
.43408 .90331 L
.43377 .90359 L
.43086 .90604 L
.42985 .9068 L
.42764 .90831 L
.42471 .91002 L
.42443 .91017 L
.42121 .91162 L
.418 .91271 L
.41593 .91324 L
.41478 .91342 L
.41156 .91378 L
.40835 .9138 L
.40513 .91346 L
.40375 .91324 L
.40192 .91276 L
.3987 .9117 L
.39548 .91027 L
Mistroke
.395 .91002 L
.39227 .90844 L
.38986 .9068 L
.38905 .90619 L
.38594 .90359 L
.38584 .9035 L
.38269 .90037 L
.38262 .9003 L
.3799 .89716 L
.37941 .89654 L
.37745 .89394 L
.37619 .89212 L
.37527 .89073 L
.37331 .88751 L
.37297 .88692 L
.37154 .88429 L
.36993 .88108 L
.36976 .88072 L
.36846 .87786 L
.36713 .87465 L
.36654 .87315 L
.3659 .87143 L
.36479 .86821 L
.36376 .865 L
.36333 .86354 L
.36282 .86178 L
.36197 .85857 L
.36118 .85535 L
.36047 .85214 L
.36011 .85041 L
.35982 .84892 L
.35925 .8457 L
.35875 .84249 L
.35832 .83927 L
.35797 .83606 L
.35769 .83284 L
.3575 .82962 L
.35738 .82641 L
.35733 .82319 L
.35735 .81998 L
.35743 .81676 L
.35758 .81355 L
.35777 .81033 L
.35802 .80711 L
.35832 .8039 L
.35868 .80068 L
.35909 .79747 L
.35956 .79425 L
.3601 .79103 L
.36011 .79097 L
Mistroke
.36071 .78782 L
.3614 .7846 L
.36218 .78139 L
.36304 .77817 L
.36333 .77717 L
.364 .77495 L
.36506 .77174 L
.36622 .76852 L
.36654 .76769 L
.3675 .76531 L
.3689 .76209 L
.36976 .76025 L
.37043 .75888 L
.3721 .75566 L
.37297 .7541 L
.37394 .75244 L
.37598 .74923 L
.37619 .74891 L
.37825 .74601 L
.37941 .7445 L
.3808 .7428 L
.38262 .74074 L
.38372 .73958 L
.38584 .73753 L
.38716 .73636 L
.38905 .73483 L
.3914 .73315 L
.39227 .73258 L
.39548 .73076 L
.39721 .72993 L
.3987 .72932 L
Mfstroke
.66883 .60808 m
.6699 .61095 L
.66883 .61178 L
.6677 .61095 L
.66883 .60808 L
s
.70099 .56435 m
.70401 .56592 L
.7022 .56914 L
.70099 .57112 L
.70021 .57236 L
.69828 .57557 L
.69777 .57626 L
.69596 .57879 L
.69456 .58082 L
.69372 .582 L
.69144 .58522 L
.69134 .58535 L
.6895 .58844 L
.68813 .5899 L
.68664 .59165 L
.68491 .59446 L
.68416 .59487 L
.6817 .59799 L
.68162 .59808 L
.6794 .6013 L
.67848 .60202 L
.67623 .60452 L
.67526 .60607 L
.67329 .60773 L
.67205 .60903 L
.66902 .60773 L
.67087 .60452 L
.67205 .60256 L
.67287 .6013 L
.67473 .59808 L
.67526 .59739 L
.67718 .59487 L
.67848 .59298 L
.67944 .59165 L
.6817 .58848 L
.68173 .58844 L
.68411 .58522 L
.68491 .58371 L
.68653 .582 L
.68813 .57987 L
.68898 .57879 L
.69134 .57573 L
.69147 .57557 L
.69406 .57236 L
.69456 .57151 L
.69675 .56914 L
.69777 .56791 L
.69957 .56592 L
.70099 .56435 L
s
.70421 .56136 m
.70549 .56271 L
.70421 .56556 L
.70268 .56271 L
.70421 .56136 L
s
.36654 .54843 m
.36834 .54985 L
.36654 .55214 L
.36561 .54985 L
.36654 .54843 L
s
.36976 .54405 m
.37079 .54663 L
.36976 .54807 L
.36789 .54663 L
.36976 .54405 L
s
.54341 .54215 m
.54389 .54341 L
.5437 .54663 L
.54341 .54779 L
.54274 .54985 L
.54132 .55306 L
.5402 .55551 L
.53938 .55628 L
.53698 .55853 L
.53568 .55628 L
.53626 .55306 L
.53698 .55096 L
.53746 .54985 L
.53906 .54663 L
.5402 .54422 L
.54109 .54341 L
.54341 .54215 L
s
.37297 .54005 m
.37512 .5402 L
.37311 .54341 L
.37297 .54361 L
.37028 .54341 L
.37286 .5402 L
.37297 .54005 L
s
.37619 .53677 m
.37671 .53698 L
.37619 .53838 L
.37596 .53698 L
.37619 .53677 L
s
.32152 .52419 m
.32403 .52733 L
.32152 .52933 L
.32019 .52733 L
.32152 .52419 L
s
.54985 .5127 m
.55209 .51447 L
.55138 .51769 L
.55013 .5209 L
.54985 .52166 L
.54848 .52412 L
.54663 .52727 L
.54417 .52412 L
.54501 .5209 L
.54637 .51769 L
.54663 .51702 L
.54835 .51447 L
.54985 .5127 L
s
.71385 .50622 m
.71556 .50804 L
.71479 .51126 L
.71385 .51267 L
.71299 .51447 L
.7113 .51769 L
.71064 .51899 L
.70957 .5209 L
.70743 .52412 L
.70742 .52413 L
.7054 .52733 L
.70421 .52923 L
.70334 .53055 L
.7011 .53377 L
.70099 .53395 L
.69889 .53698 L
.69777 .53865 L
.6967 .5402 L
.69456 .54321 L
.69442 .54341 L
.69207 .54663 L
.69134 .5477 L
.68979 .54985 L
.68813 .55215 L
.68748 .55306 L
.68508 .55628 L
.68491 .55652 L
.6827 .55949 L
.6817 .56088 L
.68035 .56271 L
.67848 .5652 L
.67798 .56592 L
.67549 .56914 L
.67526 .56945 L
.67307 .57236 L
.67205 .5737 L
.67067 .57557 L
.66883 .57791 L
.66824 .57879 L
.66565 .582 L
.66562 .58205 L
.66316 .58522 L
.6624 .58615 L
.66069 .58844 L
.65918 .59021 L
.65824 .59165 L
.65597 .59419 L
.65579 .59487 L
.65275 .59805 L
.65272 .59808 L
Mistroke
.65003 .6013 L
.64954 .6018 L
.64736 .60452 L
.64632 .60539 L
.64405 .60773 L
.64311 .60875 L
.64067 .61095 L
.63989 .61172 L
.63667 .61366 L
.63559 .61095 L
.63667 .60813 L
.63686 .60773 L
.63794 .60452 L
.63989 .60209 L
.64036 .6013 L
.64224 .59808 L
.64311 .59661 L
.64412 .59487 L
.64632 .59173 L
.64653 .59165 L
.64866 .58844 L
.64954 .58713 L
.65078 .58522 L
.65275 .58249 L
.65302 .582 L
.65548 .57879 L
.65597 .57809 L
.65771 .57557 L
.65918 .57357 L
.65995 .57236 L
.6624 .56924 L
.66243 .56914 L
.66481 .56592 L
.66562 .56485 L
.66709 .56271 L
.66883 .56048 L
.66938 .55949 L
.67202 .55628 L
.67205 .55624 L
.67436 .55306 L
.67526 .55192 L
.67666 .54985 L
.67848 .54763 L
.67895 .54663 L
.6817 .54346 L
.68174 .54341 L
.68411 .5402 L
.68491 .53924 L
.68641 .53698 L
.68813 .53505 L
Mistroke
.6886 .53377 L
.69134 .53094 L
.6917 .53055 L
.69418 .52733 L
.69456 .52692 L
.69654 .52412 L
.69777 .5229 L
.69949 .5209 L
.70099 .51897 L
.70219 .51769 L
.70421 .51517 L
.70498 .51447 L
.70742 .51154 L
.70795 .51126 L
.71064 .50862 L
.71132 .50804 L
.71385 .50622 L
Mfstroke
.37941 .48843 m
.38262 .48653 L
.38277 .48874 L
.38262 .48917 L
.38135 .49196 L
.37973 .49518 L
.37941 .49579 L
.37771 .49839 L
.37619 .50083 L
.37569 .50161 L
.37371 .50482 L
.37297 .50589 L
.372 .50804 L
.36976 .51079 L
.36917 .51126 L
.36695 .51447 L
.36654 .51501 L
.36486 .51769 L
.36333 .51957 L
.36221 .5209 L
.36011 .5239 L
.35983 .52412 L
.35748 .52733 L
.35689 .52804 L
.35533 .53055 L
.35368 .53228 L
.35239 .53377 L
.35046 .53643 L
.34983 .53698 L
.34725 .54016 L
.34721 .5402 L
.34477 .54341 L
.34403 .54401 L
.34163 .54663 L
.34082 .54773 L
.33855 .54985 L
.3376 .55135 L
.33472 .55306 L
.33438 .55326 L
.33334 .55306 L
.33407 .54985 L
.33438 .54915 L
.33569 .54663 L
.33747 .54341 L
.3376 .5432 L
.33951 .5402 L
.34082 .53815 L
.34159 .53698 L
.34367 .53377 L
.34403 .53325 L
Mistroke
.34549 .53055 L
.34725 .52834 L
.34821 .52733 L
.35046 .52417 L
.3505 .52412 L
.35265 .5209 L
.35368 .51964 L
.35453 .51769 L
.35689 .5152 L
.35764 .51447 L
.36007 .51126 L
.36011 .51121 L
.36231 .50804 L
.36333 .50697 L
.36511 .50482 L
.36654 .50277 L
.3677 .50161 L
.36976 .49866 L
.37034 .49839 L
.37297 .49528 L
.37307 .49518 L
.37597 .49196 L
.37619 .49167 L
.37918 .48874 L
.37941 .48843 L
Mfstroke
.71064 .46729 m
.71332 .46945 L
.7124 .47267 L
.711 .47588 L
.71064 .47681 L
.70947 .4791 L
.70748 .48231 L
.70742 .48243 L
.70555 .48553 L
.70421 .4878 L
.70356 .48874 L
.70138 .49196 L
.70099 .49262 L
.69923 .49518 L
.69777 .49741 L
.69707 .49839 L
.69479 .50161 L
.69456 .50199 L
.6925 .50482 L
.69134 .50655 L
.69025 .50804 L
.68813 .51102 L
.68796 .51126 L
.68556 .51447 L
.68491 .51545 L
.68324 .51769 L
.6817 .51986 L
.68092 .5209 L
.67854 .52412 L
.67848 .52421 L
.67612 .52733 L
.67526 .52856 L
.67377 .53055 L
.67205 .53289 L
.67141 .53377 L
.66897 .53698 L
.66883 .53718 L
.66655 .5402 L
.66562 .54147 L
.66417 .54341 L
.6624 .54575 L
.66178 .54663 L
.6593 .54985 L
.65918 .55 L
.65686 .55306 L
.65597 .55423 L
.65445 .55628 L
.65275 .55845 L
.65204 .55949 L
.64954 .56264 L
Mistroke
.6495 .56271 L
.64701 .56592 L
.64632 .56678 L
.64456 .56914 L
.64311 .5709 L
.64212 .57236 L
.63989 .57497 L
.63962 .57557 L
.63681 .57879 L
.63667 .57895 L
.63424 .582 L
.63346 .58285 L
.6317 .58522 L
.63024 .58664 L
.6293 .58844 L
.62703 .59027 L
.62569 .59165 L
.62381 .59367 L
.62248 .59487 L
.62059 .59673 L
.61856 .59808 L
.61738 .59905 L
.6152 .59808 L
.61579 .59487 L
.6171 .59165 L
.61738 .59115 L
.6185 .58844 L
.62059 .58527 L
.62062 .58522 L
.62254 .582 L
.62381 .57984 L
.62454 .57879 L
.62678 .57557 L
.62703 .57517 L
.62893 .57236 L
.63024 .57038 L
.63111 .56914 L
.63343 .56592 L
.63346 .56589 L
.63573 .56271 L
.63667 .56133 L
.63799 .55949 L
.63989 .55686 L
.6403 .55628 L
.64271 .55306 L
.64311 .55249 L
.64504 .54985 L
.64632 .54808 L
.64736 .54663 L
.64954 .54373 L
Mistroke
.64975 .54341 L
.65218 .5402 L
.65275 .53941 L
.65453 .53698 L
.65597 .53507 L
.65688 .53377 L
.65918 .53078 L
.65932 .53055 L
.66177 .52733 L
.6624 .52649 L
.66413 .52412 L
.66562 .5222 L
.66648 .5209 L
.66883 .51794 L
.66896 .51769 L
.67145 .51447 L
.67205 .51371 L
.67382 .51126 L
.67526 .50946 L
.67617 .50804 L
.67848 .50525 L
.67863 .50482 L
.68127 .50161 L
.6817 .50109 L
.68366 .49839 L
.68491 .49692 L
.68599 .49518 L
.68813 .4928 L
.68832 .49196 L
.69134 .48877 L
.69137 .48874 L
.69386 .48553 L
.69456 .48479 L
.69625 .48231 L
.69777 .48089 L
.69936 .4791 L
.70099 .47714 L
.70219 .47588 L
.70421 .47358 L
.70522 .47267 L
.70742 .47028 L
.70869 .46945 L
.71064 .46729 L
Mfstroke
.36976 .45931 m
.37297 .45707 L
.37359 .4598 L
.37297 .46127 L
.37211 .46302 L
.37067 .46623 L
.36976 .46726 L
.36843 .46945 L
.36654 .47245 L
.3664 .47267 L
.36451 .47588 L
.36333 .47758 L
.36285 .4791 L
.36011 .48225 L
.35989 .48231 L
.35773 .48553 L
.35689 .48664 L
.35569 .48874 L
.35368 .49118 L
.35297 .49196 L
.35062 .49518 L
.35046 .49538 L
.34837 .49839 L
.34725 .49974 L
.34631 .50161 L
.34403 .50402 L
.34328 .50482 L
.34082 .50802 L
.34079 .50804 L
.33842 .51126 L
.3376 .51211 L
.33638 .51447 L
.33438 .51615 L
.33295 .51769 L
.33117 .52012 L
.33018 .5209 L
.32795 .52341 L
.32727 .52412 L
.32474 .52671 L
.32155 .52412 L
.3233 .5209 L
.32474 .51844 L
.32519 .51769 L
.32702 .51447 L
.32795 .51303 L
.32854 .51126 L
.33117 .50847 L
.33146 .50804 L
.33358 .50482 L
.33438 .50371 L
Mistroke
.33557 .50161 L
.3376 .49907 L
.33824 .49839 L
.34054 .49518 L
.34082 .49482 L
.34275 .49196 L
.34403 .49039 L
.34482 .48874 L
.34725 .48607 L
.34777 .48553 L
.3502 .48231 L
.35046 .48199 L
.3525 .4791 L
.35368 .47781 L
.35448 .47588 L
.35689 .47371 L
.35789 .47267 L
.36011 .46974 L
.36055 .46945 L
.36327 .46623 L
.36333 .46619 L
.3662 .46302 L
.36654 .46258 L
.36938 .4598 L
.36976 .45931 L
Mfstroke
.53698 .4446 m
.5402 .44385 L
.54093 .44694 L
.54052 .45015 L
.5402 .45119 L
.53956 .45337 L
.53902 .45659 L
.53751 .4598 L
.53698 .46104 L
.53661 .46302 L
.53629 .46623 L
.53639 .46945 L
.53643 .47267 L
.53628 .47588 L
.53537 .4791 L
.53424 .48231 L
.53377 .48367 L
.53312 .48553 L
.53179 .48874 L
.53058 .49196 L
.53055 .49202 L
.52975 .49518 L
.52912 .49839 L
.52885 .50161 L
.52858 .50482 L
.52802 .50804 L
.52733 .51092 L
.52719 .51126 L
.52605 .51447 L
.52469 .51769 L
.52412 .51907 L
.52342 .5209 L
.52205 .52412 L
.5209 .52721 L
.52089 .52733 L
.5202 .53055 L
.51971 .53377 L
.51937 .53698 L
.51883 .5402 L
.51797 .54341 L
.51769 .54438 L
.517 .54663 L
.51556 .54985 L
.51447 .55218 L
.51424 .55306 L
.51268 .55628 L
.51126 .55914 L
.5111 .55949 L
.5104 .56271 L
.50908 .56592 L
Mistroke
.50829 .56914 L
.50804 .57061 L
.50779 .57236 L
.5071 .57557 L
.50675 .57879 L
.50482 .58162 L
.50457 .582 L
.50272 .58522 L
.50161 .58692 L
.50028 .58844 L
.49839 .59008 L
.49608 .58844 L
.49621 .58522 L
.49701 .582 L
.49796 .57879 L
.49839 .57778 L
.4992 .57557 L
.50016 .57236 L
.50004 .56914 L
.50018 .56592 L
.50015 .56271 L
.50052 .55949 L
.50129 .55628 L
.50161 .55491 L
.50202 .55306 L
.50342 .54985 L
.50482 .54665 L
.50483 .54663 L
.50586 .54341 L
.50712 .5402 L
.50797 .53698 L
.50804 .53656 L
.50834 .53377 L
.50811 .53055 L
.50855 .52733 L
.50942 .52412 L
.51061 .5209 L
.51126 .5192 L
.51169 .51769 L
.51317 .51447 L
.51447 .51165 L
.51449 .51126 L
.51564 .50804 L
.51678 .50482 L
.51747 .50161 L
.51769 .4995 L
.51777 .49839 L
.51809 .49518 L
.51835 .49196 L
.51958 .48874 L
Mistroke
.5209 .48569 L
.52098 .48553 L
.52211 .48231 L
.52386 .4791 L
.52412 .47861 L
.52471 .47588 L
.52654 .47267 L
.52733 .47107 L
.52778 .46945 L
.52843 .46623 L
.52877 .46302 L
.52925 .4598 L
.52994 .45659 L
.53055 .4552 L
.53142 .45337 L
.53306 .45015 L
.53377 .44888 L
.53511 .44694 L
.53698 .4446 L
Mfstroke
.35046 .44378 m
.35285 .44694 L
.35094 .45015 L
.35046 .45092 L
.34886 .45337 L
.34725 .45583 L
.34672 .45659 L
.34474 .4598 L
.34403 .46068 L
.34222 .46302 L
.34082 .46498 L
.33989 .46623 L
.3376 .46936 L
.33753 .46945 L
.33554 .47267 L
.33438 .4738 L
.33259 .47588 L
.33117 .47836 L
.33005 .4791 L
.32795 .48172 L
.32746 .48231 L
.32476 .48553 L
.32474 .48557 L
.32187 .48874 L
.32152 .48933 L
.31863 .49196 L
.3183 .49226 L
.31605 .49196 L
.31741 .48874 L
.3183 .48705 L
.31919 .48553 L
.32088 .48231 L
.32152 .48136 L
.32321 .4791 L
.32474 .47679 L
.32536 .47588 L
.32746 .47267 L
.32795 .47203 L
.32987 .46945 L
.33117 .46719 L
.33221 .46623 L
.33438 .46329 L
.33459 .46302 L
.33681 .4598 L
.3376 .45897 L
.33955 .45659 L
.34082 .45462 L
.34213 .45337 L
.34403 .45103 L
.34479 .45015 L
Mistroke
.34725 .44727 L
.34755 .44694 L
.35046 .44378 L
Mfstroke
.35368 .44084 m
.35457 .44372 L
.35368 .44549 L
.35053 .44372 L
.35368 .44084 L
s
.70421 .4363 m
.70546 .43729 L
.70533 .44051 L
.70421 .4425 L
.70368 .44372 L
.70216 .44694 L
.70099 .44952 L
.70044 .45015 L
.69838 .45337 L
.69777 .45446 L
.69639 .45659 L
.69456 .45947 L
.69431 .4598 L
.69209 .46302 L
.69134 .46422 L
.68992 .46623 L
.68813 .46888 L
.68771 .46945 L
.68537 .47267 L
.68491 .47339 L
.68308 .47588 L
.6817 .4779 L
.68081 .4791 L
.67848 .48231 L
.67848 .48231 L
.67607 .48553 L
.67526 .48672 L
.67375 .48874 L
.67205 .49111 L
.67142 .49196 L
.669 .49518 L
.66883 .49544 L
.66661 .49839 L
.66562 .49978 L
.66426 .50161 L
.6624 .50411 L
.66189 .50482 L
.65943 .50804 L
.65918 .50839 L
.65703 .51126 L
.65597 .5127 L
.65466 .51447 L
.65275 .51699 L
.65227 .51769 L
.64979 .5209 L
.64954 .52124 L
.64738 .52412 L
.64632 .5255 L
.645 .52733 L
.64311 .52976 L
Mistroke
.64259 .53055 L
.64005 .53377 L
.63989 .53397 L
.63762 .53698 L
.63667 .53818 L
.63522 .5402 L
.63346 .54237 L
.63281 .54341 L
.63024 .54651 L
.63021 .54663 L
.62767 .54985 L
.62703 .55061 L
.62523 .55306 L
.62381 .55467 L
.62282 .55628 L
.62059 .55866 L
.61989 .55949 L
.61738 .56253 L
.61722 .56271 L
.61451 .56592 L
.61416 .56626 L
.61179 .56914 L
.61095 .5698 L
.6084 .57236 L
.60773 .57304 L
.60471 .57557 L
.60452 .57574 L
.6013 .57702 L
.60053 .57557 L
.60125 .57236 L
.6013 .57224 L
.60213 .56914 L
.60425 .56592 L
.60452 .56535 L
.606 .56271 L
.60773 .55971 L
.60796 .55949 L
.61008 .55628 L
.61095 .55482 L
.61215 .55306 L
.61416 .55005 L
.61432 .54985 L
.61659 .54663 L
.61738 .5454 L
.61881 .54341 L
.62059 .54083 L
.62106 .5402 L
.62343 .53698 L
.62381 .53638 L
.62574 .53377 L
Mistroke
.62703 .53192 L
.62803 .53055 L
.63024 .52753 L
.63039 .52733 L
.6328 .52412 L
.63346 .52316 L
.63514 .5209 L
.63667 .51879 L
.63748 .51769 L
.63989 .51448 L
.6399 .51447 L
.64231 .51126 L
.64311 .51015 L
.64467 .50804 L
.64632 .50584 L
.64704 .50482 L
.6495 .50161 L
.64954 .50156 L
.65192 .49839 L
.65275 .49727 L
.65429 .49518 L
.65597 .49298 L
.65667 .49196 L
.65918 .48874 L
.65918 .48874 L
.6616 .48553 L
.6624 .48449 L
.66398 .48231 L
.66562 .48025 L
.66637 .4791 L
.66883 .47604 L
.6689 .47588 L
.67139 .47267 L
.67205 .47185 L
.67379 .46945 L
.67526 .46768 L
.67618 .46623 L
.67848 .46356 L
.67865 .46302 L
.68143 .4598 L
.6817 .4595 L
.68391 .45659 L
.68491 .45549 L
.68632 .45337 L
.68813 .45156 L
.68935 .45015 L
.69134 .44777 L
.69211 .44694 L
.69456 .44416 L
.69502 .44372 L
Mistroke
.69777 .44081 L
.69818 .44051 L
.70099 .43769 L
.70208 .43729 L
.70421 .4363 L
Mfstroke
.51447 .41397 m
.51769 .41354 L
.51797 .41478 L
.51769 .41781 L
.51765 .418 L
.51677 .42121 L
.51577 .42443 L
.51508 .42764 L
.51447 .43016 L
.51441 .43086 L
.51447 .4334 L
.51453 .43408 L
.51485 .43729 L
.51474 .44051 L
.51447 .44218 L
.51439 .44372 L
.51337 .44694 L
.51209 .45015 L
.51126 .45228 L
.51095 .45337 L
.50967 .45659 L
.50853 .4598 L
.50804 .4614 L
.50794 .46302 L
.50766 .46623 L
.50746 .46945 L
.50705 .47267 L
.50625 .47588 L
.50516 .4791 L
.50482 .48006 L
.50402 .48231 L
.5026 .48553 L
.50161 .48787 L
.50135 .48874 L
.50015 .49196 L
.49915 .49518 L
.49856 .49839 L
.49839 .5001 L
.49836 .50161 L
.49812 .50482 L
.49744 .50804 L
.49636 .51126 L
.49518 .51423 L
.49512 .51447 L
.49381 .51769 L
.4923 .5209 L
.49196 .52161 L
.49116 .52412 L
.48986 .52733 L
.48891 .53055 L
Mistroke
.48874 .53143 L
.4884 .53377 L
.48808 .53698 L
.48797 .5402 L
.48683 .54341 L
.48553 .54651 L
.48547 .54663 L
.4844 .54985 L
.48247 .55306 L
.48231 .55333 L
.48076 .55628 L
.4791 .55937 L
.47903 .55949 L
.47717 .56271 L
.47588 .56466 L
.47267 .56511 L
.47159 .56271 L
.47108 .55949 L
.47103 .55628 L
.47194 .55306 L
.47267 .55037 L
.4728 .54985 L
.47404 .54663 L
.47533 .54341 L
.47588 .5419 L
.47617 .5402 L
.47695 .53698 L
.47733 .53377 L
.47747 .53055 L
.47778 .52733 L
.47846 .52412 L
.4791 .52156 L
.47937 .5209 L
.48058 .51769 L
.48193 .51447 L
.48231 .51352 L
.48314 .51126 L
.48438 .50804 L
.48534 .50482 L
.48553 .50411 L
.48579 .50161 L
.48604 .49839 L
.48637 .49518 L
.48704 .49196 L
.48806 .48874 L
.48874 .48676 L
.48918 .48553 L
.49057 .48231 L
.49196 .47915 L
.49198 .4791 L
Mistroke
.49321 .47588 L
.49441 .47267 L
.49518 .46992 L
.49519 .46945 L
.49546 .46623 L
.49578 .46302 L
.49638 .4598 L
.49735 .45659 L
.49839 .45378 L
.49846 .45337 L
.49981 .45015 L
.50144 .44694 L
.50161 .4466 L
.50268 .44372 L
.50441 .44051 L
.50482 .4398 L
.50582 .43729 L
.50685 .43408 L
.50706 .43086 L
.5079 .42764 L
.50804 .42709 L
.5087 .42443 L
.5099 .42121 L
.51126 .4183 L
.51152 .418 L
.51379 .41478 L
.51447 .41397 L
Mfstroke
.48553 .41199 m
.48746 .41478 L
.4867 .418 L
.48564 .42121 L
.48553 .42141 L
.48429 .42443 L
.48315 .42764 L
.48255 .43086 L
.48275 .43408 L
.48316 .43729 L
.48341 .44051 L
.48256 .44372 L
.48231 .4449 L
.48152 .44694 L
.48057 .45015 L
.4791 .45308 L
.47895 .45337 L
.47825 .45659 L
.47653 .4598 L
.47588 .46126 L
.47552 .46302 L
.47511 .46623 L
.47502 .46945 L
.47476 .47267 L
.47449 .47588 L
.47313 .4791 L
.47267 .48026 L
.47176 .48231 L
.47055 .48553 L
.46945 .48752 L
.46887 .48874 L
.46802 .49196 L
.46626 .49518 L
.46623 .49521 L
.46541 .49839 L
.46509 .50161 L
.46489 .50482 L
.46435 .50804 L
.46355 .51126 L
.46302 .51247 L
.46207 .51447 L
.46093 .51769 L
.4598 .519 L
.45863 .5209 L
.45659 .52394 L
.45642 .52412 L
.45337 .52615 L
.45197 .52412 L
.45183 .5209 L
.45221 .51769 L
Mistroke
.45337 .5146 L
.45341 .51447 L
.45395 .51126 L
.45568 .50804 L
.45659 .50591 L
.45691 .50482 L
.45766 .50161 L
.45787 .49839 L
.45782 .49518 L
.45771 .49196 L
.45855 .48874 L
.4596 .48553 L
.4598 .48489 L
.46064 .48231 L
.46209 .4791 L
.46302 .47697 L
.46323 .47588 L
.46454 .47267 L
.46566 .46945 L
.46623 .46668 L
.46628 .46623 L
.46652 .46302 L
.46684 .4598 L
.46721 .45659 L
.46842 .45337 L
.46945 .4508 L
.46949 .45015 L
.47103 .44694 L
.47267 .44386 L
.47273 .44372 L
.47379 .44051 L
.4758 .43729 L
.47588 .43719 L
.47714 .43408 L
.47793 .43086 L
.47824 .42764 L
.47869 .42443 L
.4791 .42279 L
.47961 .42121 L
.48101 .418 L
.48231 .41532 L
.48292 .41478 L
.48553 .41199 L
Mfstroke
.69134 .41121 m
.6929 .41156 L
.69281 .41478 L
.69161 .418 L
.69134 .41851 L
.69028 .42121 L
.68822 .42443 L
.68813 .42461 L
.68634 .42764 L
.68491 .4301 L
.68435 .43086 L
.68215 .43408 L
.6817 .43483 L
.68002 .43729 L
.67848 .43962 L
.67784 .44051 L
.67553 .44372 L
.67526 .44415 L
.67326 .44694 L
.67205 .44872 L
.671 .45015 L
.66883 .45316 L
.66868 .45337 L
.66629 .45659 L
.66562 .45757 L
.66397 .4598 L
.6624 .46198 L
.66165 .46302 L
.65923 .46623 L
.65918 .46631 L
.65685 .46945 L
.65597 .47067 L
.6545 .47267 L
.65275 .47501 L
.65214 .47588 L
.64968 .4791 L
.64954 .47929 L
.64728 .48231 L
.64632 .48361 L
.64492 .48553 L
.64311 .4879 L
.64254 .48874 L
.64004 .49196 L
.63989 .49216 L
.63764 .49518 L
.63667 .49643 L
.63527 .49839 L
.63346 .50069 L
.63288 .50161 L
.63031 .50482 L
Mistroke
.63024 .50491 L
.6279 .50804 L
.62703 .50913 L
.62552 .51126 L
.62381 .51334 L
.62315 .51447 L
.62059 .51749 L
.62057 .51769 L
.61798 .5209 L
.61738 .52161 L
.61558 .52412 L
.61416 .5257 L
.61323 .52733 L
.61095 .52973 L
.61025 .53055 L
.60773 .53364 L
.60762 .53377 L
.60499 .53698 L
.60452 .53743 L
.60243 .5402 L
.6013 .54106 L
.59901 .54341 L
.59808 .5444 L
.59552 .54663 L
.59487 .54722 L
.59165 .54858 L
.59081 .54663 L
.59165 .54341 L
.59165 .54341 L
.59267 .5402 L
.59465 .53698 L
.59487 .53652 L
.59642 .53377 L
.59808 .53087 L
.59835 .53055 L
.60046 .52733 L
.6013 .52592 L
.60253 .52412 L
.60452 .52113 L
.60468 .5209 L
.60696 .51769 L
.60773 .51647 L
.60918 .51447 L
.61095 .5119 L
.61142 .51126 L
.61378 .50804 L
.61416 .50743 L
.6161 .50482 L
.61738 .50297 L
.61839 .50161 L
Mistroke
.62059 .49857 L
.62073 .49839 L
.62315 .49518 L
.62381 .4942 L
.62549 .49196 L
.62703 .48983 L
.62783 .48874 L
.63023 .48553 L
.63024 .48551 L
.63266 .48231 L
.63346 .48119 L
.63503 .4791 L
.63667 .47688 L
.63739 .47588 L
.63984 .47267 L
.63989 .4726 L
.64227 .46945 L
.64311 .46832 L
.64465 .46623 L
.64632 .46405 L
.64705 .46302 L
.64954 .4598 L
.64954 .4598 L
.65198 .45659 L
.65275 .45558 L
.65438 .45337 L
.65597 .45136 L
.65679 .45015 L
.65918 .44717 L
.65931 .44694 L
.66184 .44372 L
.6624 .44303 L
.66428 .44051 L
.66562 .43891 L
.66671 .43729 L
.66883 .43484 L
.66917 .43408 L
.67204 .43086 L
.67205 .43085 L
.67461 .42764 L
.67526 .42695 L
.67716 .42443 L
.67848 .42316 L
.67957 .42121 L
.6817 .41955 L
.68321 .418 L
.68491 .41618 L
.68649 .41478 L
.68813 .4132 L
.69079 .41156 L
Mistroke
.69134 .41121 L
Mfstroke
.67205 .39367 m
.67526 .39243 L
.67581 .39548 L
.67526 .39707 L
.67457 .3987 L
.67313 .40192 L
.67205 .40357 L
.6716 .40513 L
.66922 .40835 L
.66883 .40903 L
.66727 .41156 L
.66562 .41417 L
.66519 .41478 L
.66287 .418 L
.6624 .41873 L
.66071 .42121 L
.65918 .42343 L
.6585 .42443 L
.65611 .42764 L
.65597 .42786 L
.65383 .43086 L
.65275 .43239 L
.65157 .43408 L
.64954 .43681 L
.64923 .43729 L
.64679 .44051 L
.64632 .44116 L
.64447 .44372 L
.64311 .44556 L
.64216 .44694 L
.63989 .44988 L
.63974 .45015 L
.63728 .45337 L
.63667 .45418 L
.63494 .45659 L
.63346 .45851 L
.63261 .4598 L
.63024 .46277 L
.63014 .46302 L
.62764 .46623 L
.62703 .46702 L
.62529 .46945 L
.62381 .47129 L
.62296 .47267 L
.62059 .4755 L
.6205 .47588 L
.61785 .4791 L
.61738 .47968 L
.61549 .48231 L
.61416 .48386 L
Mistroke
.61319 .48553 L
.61095 .48799 L
.61031 .48874 L
.60779 .49196 L
.60773 .49202 L
.60534 .49518 L
.60452 .49604 L
.60301 .49839 L
.6013 .49997 L
.59985 .50161 L
.59808 .50377 L
.59707 .50482 L
.59487 .50742 L
.59415 .50804 L
.59165 .51091 L
.59101 .51126 L
.58844 .5136 L
.58729 .51447 L
.58522 .51563 L
.58399 .51447 L
.58469 .51126 L
.58522 .5104 L
.58631 .50804 L
.58797 .50482 L
.58844 .50386 L
.5897 .50161 L
.59165 .49843 L
.59172 .49839 L
.59378 .49518 L
.59487 .49337 L
.59581 .49196 L
.59799 .48874 L
.59808 .48859 L
.60019 .48553 L
.6013 .48381 L
.60236 .48231 L
.60452 .47922 L
.6046 .4791 L
.60693 .47588 L
.60773 .47467 L
.60919 .47267 L
.61095 .47018 L
.61147 .46945 L
.61386 .46623 L
.61416 .46577 L
.61621 .46302 L
.61738 .46137 L
.61853 .4598 L
.62059 .45701 L
.62089 .45659 L
Mistroke
.62334 .45337 L
.62381 .45269 L
.62572 .45015 L
.62703 .44838 L
.62808 .44694 L
.63024 .44409 L
.63049 .44372 L
.63297 .44051 L
.63346 .43985 L
.63538 .43729 L
.63667 .43561 L
.63778 .43408 L
.63989 .43139 L
.64023 .43086 L
.64279 .42764 L
.64311 .42723 L
.64525 .42443 L
.64632 .4231 L
.64769 .42121 L
.64954 .419 L
.65016 .418 L
.65275 .41497 L
.65279 .41478 L
.6555 .41156 L
.65597 .41104 L
.65807 .40835 L
.65918 .40718 L
.66058 .40513 L
.6624 .40345 L
.66382 .40192 L
.66562 .39991 L
.66685 .3987 L
.66883 .39661 L
.67022 .39548 L
.67205 .39367 L
Mfstroke
.64954 .38406 m
.65146 .38584 L
.65014 .38905 L
.64954 .39024 L
.64842 .39227 L
.64659 .39548 L
.64632 .39595 L
.64504 .3987 L
.64311 .40087 L
.64241 .40192 L
.64031 .40513 L
.63989 .40575 L
.63833 .40835 L
.63667 .4106 L
.63641 .41156 L
.63351 .41478 L
.63346 .41486 L
.63134 .418 L
.63024 .41943 L
.62925 .42121 L
.62703 .42388 L
.62649 .42443 L
.62415 .42764 L
.62381 .42808 L
.62193 .43086 L
.62059 .43246 L
.61984 .43408 L
.61738 .43675 L
.61685 .43729 L
.61444 .44051 L
.61416 .44084 L
.61218 .44372 L
.61095 .44506 L
.60939 .44694 L
.60773 .44923 L
.60685 .45015 L
.60452 .45322 L
.60429 .45337 L
.60183 .45659 L
.6013 .45708 L
.59896 .4598 L
.59808 .46098 L
.59616 .46302 L
.59487 .46478 L
.59317 .46623 L
.59165 .46776 L
.58959 .46945 L
.58844 .47017 L
.58714 .46945 L
.58788 .46623 L
Mistroke
.58844 .46492 L
.58933 .46302 L
.59092 .4598 L
.59165 .4584 L
.59238 .45659 L
.59487 .45341 L
.59489 .45337 L
.59689 .45015 L
.59808 .44834 L
.59891 .44694 L
.60129 .44372 L
.6013 .4437 L
.60349 .44051 L
.60452 .43903 L
.60568 .43729 L
.60773 .43451 L
.60796 .43408 L
.6104 .43086 L
.61095 .4301 L
.6127 .42764 L
.61416 .4257 L
.615 .42443 L
.61738 .4214 L
.61745 .42121 L
.61994 .418 L
.62059 .41715 L
.62233 .41478 L
.62381 .41294 L
.62468 .41156 L
.62703 .40882 L
.62709 .40835 L
.62996 .40513 L
.63024 .4048 L
.63247 .40192 L
.63346 .40083 L
.63487 .3987 L
.63667 .39695 L
.63799 .39548 L
.63989 .3932 L
.64084 .39227 L
.64311 .38959 L
.64386 .38905 L
.64632 .38663 L
.64724 .38584 L
.64954 .38406 L
Mfstroke
.73636 .22749 m
.73958 .22711 L
.7428 .22723 L
.74601 .22798 L
.74666 .22826 L
.74601 .23106 L
.74482 .23148 L
.7428 .23186 L
.73958 .23199 L
.73636 .23158 L
.73583 .23148 L
.73389 .22826 L
.73636 .22749 L
s
.7235 .15724 m
.72672 .15659 L
.72993 .15612 L
.73315 .15581 L
.73636 .15562 L
.73958 .15555 L
.7428 .15557 L
.74601 .1557 L
.74923 .15595 L
.75244 .15633 L
.75566 .15688 L
.75835 .15751 L
.75888 .15761 L
.76209 .15846 L
.76531 .16014 L
.76603 .16073 L
.76852 .16365 L
.76862 .16394 L
.76852 .16622 L
.76803 .16716 L
.76531 .16955 L
.76375 .17038 L
.76209 .17114 L
.75888 .17218 L
.75566 .17285 L
.75244 .17331 L
.74957 .17359 L
.74923 .17362 L
.74601 .17386 L
.7428 .17399 L
.73958 .17402 L
.73636 .17394 L
.73315 .17376 L
.73115 .17359 L
.72993 .17348 L
.72672 .1731 L
.7235 .17255 L
.72029 .17172 L
.71707 .1704 L
.71702 .17038 L
.71385 .16839 L
.71274 .16716 L
.71214 .16394 L
.71385 .16144 L
.71474 .16073 L
.71707 .15915 L
.72029 .15797 L
.72242 .15751 L
.7235 .15724 L
s
.23148 .82628 m
.23469 .82547 L
.23791 .82486 L
.24112 .8244 L
.24434 .82404 L
.24756 .82378 L
.25077 .82359 L
.25399 .82346 L
.2572 .8234 L
.26042 .82338 L
.26364 .82342 L
.26685 .82352 L
.27007 .82368 L
.27328 .8239 L
.2765 .82421 L
.27971 .82461 L
.28293 .82514 L
.28615 .82583 L
.28825 .82641 L
.28936 .82671 L
.29258 .82787 L
.29549 .82962 L
.29579 .82985 L
.29846 .83284 L
.29889 .83606 L
.29703 .83927 L
.29579 .84057 L
.29258 .84235 L
.29218 .84249 L
.28936 .84364 L
.28615 .84461 L
.28293 .84533 L
.28081 .8457 L
.27971 .84588 L
.2765 .84633 L
.27328 .84667 L
.27007 .84692 L
.26685 .8471 L
.26364 .84721 L
.26042 .84726 L
.2572 .84724 L
.25399 .84716 L
.25077 .84702 L
.24756 .84681 L
.24434 .84651 L
.24112 .84612 L
.23845 .8457 L
.23791 .84561 L
.23469 .84499 L
.23148 .84415 L
Mistroke
.22826 .843 L
.22713 .84249 L
.22505 .84161 L
.22234 .83927 L
.22183 .83869 L
.2205 .83606 L
.22093 .83284 L
.22183 .83147 L
.22386 .82962 L
.22505 .82879 L
.22826 .82725 L
.23104 .82641 L
.23148 .82628 L
Mfstroke
.24756 .76187 m
.25077 .76145 L
.25399 .76117 L
.2572 .76103 L
.26042 .761 L
.26364 .76109 L
.26685 .76129 L
.27007 .76164 L
.27302 .76209 L
.27328 .76213 L
.2765 .76274 L
.27971 .76365 L
.28293 .76509 L
.28331 .76531 L
.28615 .76736 L
.28707 .76852 L
.28741 .77174 L
.28615 .77351 L
.28414 .77495 L
.28293 .77569 L
.27971 .77698 L
.2765 .77769 L
.27328 .77812 L
.27275 .77817 L
.27007 .77851 L
.26685 .77879 L
.26364 .77896 L
.26042 .77904 L
.2572 .77901 L
.25399 .77889 L
.25077 .77867 L
.24756 .77832 L
.24649 .77817 L
.24434 .77793 L
.24112 .77738 L
.23791 .77642 L
.23512 .77495 L
.23469 .7747 L
.23185 .77174 L
.23219 .76852 L
.23469 .76607 L
.23594 .76531 L
.23791 .76429 L
.24112 .76315 L
.24434 .76241 L
.24621 .76209 L
.24756 .76187 L
s
.40192 .71647 m
.40513 .71586 L
.40835 .71556 L
.41156 .71557 L
.41478 .71589 L
.418 .71653 L
.41999 .71707 L
.42121 .71748 L
.42443 .71877 L
.42745 .72029 L
.42764 .7204 L
.43086 .72238 L
.43244 .7235 L
.43408 .72476 L
.43639 .72672 L
.43729 .72754 L
.43972 .72993 L
.44051 .73077 L
.44261 .73315 L
.44372 .7345 L
.44517 .73636 L
.44694 .7388 L
.44748 .73958 L
.44956 .7428 L
.45015 .74376 L
.45147 .74601 L
.45321 .74923 L
.45337 .74953 L
.45482 .75244 L
.4563 .75566 L
.45659 .75632 L
.45766 .75888 L
.45892 .76209 L
.4598 .76449 L
.46009 .76531 L
.46116 .76852 L
.46215 .77174 L
.46302 .77479 L
.46306 .77495 L
.4639 .77817 L
.46466 .78139 L
.46535 .7846 L
.46598 .78782 L
.46623 .78925 L
.46654 .79103 L
.46703 .79425 L
.46747 .79747 L
.46785 .80068 L
.46817 .8039 L
.46843 .80711 L
Mistroke
.46863 .81033 L
.46878 .81355 L
.46887 .81676 L
.46891 .81998 L
.46889 .82319 L
.46882 .82641 L
.46869 .82962 L
.4685 .83284 L
.46826 .83606 L
.46796 .83927 L
.4676 .84249 L
.46719 .8457 L
.46671 .84892 L
.46623 .85178 L
.46617 .85214 L
.46557 .85535 L
.46489 .85857 L
.46416 .86178 L
.46335 .865 L
.46302 .86624 L
.46246 .86821 L
.4615 .87143 L
.46046 .87465 L
.4598 .87654 L
.45932 .87786 L
.45809 .88108 L
.45677 .88429 L
.45659 .88471 L
.45532 .88751 L
.45376 .89073 L
.45337 .8915 L
.45207 .89394 L
.45022 .89716 L
.45015 .89726 L
.44819 .90037 L
.44694 .90222 L
.44597 .90359 L
.44372 .90652 L
.4435 .9068 L
.44072 .91002 L
.44051 .91026 L
.43756 .91324 L
.43729 .91349 L
.43408 .91627 L
.43384 .91645 L
.43086 .91864 L
.42927 .91967 L
.42764 .92063 L
.42443 .92226 L
.42298 .92288 L
Mistroke
.42121 .92354 L
.418 .9245 L
.41478 .92514 L
.41156 .92546 L
.40835 .92547 L
.40513 .92517 L
.40192 .92455 L
.3987 .92361 L
.39673 .92288 L
.39548 .92235 L
.39227 .92074 L
.39044 .91967 L
.38905 .91877 L
.38587 .91645 L
.38584 .91643 L
.38262 .91367 L
.38215 .91324 L
.37941 .91048 L
.37898 .91002 L
.37621 .9068 L
.37619 .90678 L
.37373 .90359 L
.37297 .90253 L
.3715 .90037 L
.36976 .89763 L
.36947 .89716 L
.36762 .89394 L
.36654 .89192 L
.36593 .89073 L
.36438 .88751 L
.36333 .88516 L
.36296 .88429 L
.36165 .88108 L
.36045 .87786 L
.36011 .8769 L
.35935 .87465 L
.35833 .87143 L
.35739 .86821 L
.35689 .86644 L
.35651 .865 L
.35569 .86178 L
.35493 .85857 L
.35421 .85535 L
.35368 .85285 L
.35354 .85214 L
.35292 .84892 L
.35235 .8457 L
.35186 .84249 L
.35144 .83927 L
.3511 .83606 L
Mistroke
.35085 .83284 L
.35071 .82962 L
.35065 .82641 L
.35067 .82319 L
.35076 .81998 L
.35091 .81676 L
.3511 .81355 L
.35133 .81033 L
.35158 .80711 L
.35186 .8039 L
.35217 .80068 L
.3525 .79747 L
.35288 .79425 L
.35331 .79103 L
.35368 .78852 L
.35379 .78782 L
.35435 .7846 L
.35498 .78139 L
.35571 .77817 L
.35652 .77495 L
.35689 .77358 L
.35743 .77174 L
.35843 .76852 L
.35953 .76531 L
.36011 .76369 L
.36072 .76209 L
.362 .75888 L
.36333 .75581 L
.36339 .75566 L
.36489 .75244 L
.36651 .74923 L
.36654 .74916 L
.36826 .74601 L
.36976 .74346 L
.37017 .7428 L
.37225 .73958 L
.37297 .73854 L
.37455 .73636 L
.37619 .73427 L
.37711 .73315 L
.37941 .73056 L
.38 .72993 L
.38262 .72736 L
.38332 .72672 L
.38584 .7246 L
.38727 .7235 L
.38905 .72225 L
.39226 .72029 L
.39227 .72028 L
.39548 .71867 L
Mistroke
.3987 .71741 L
.3997 .71707 L
.40192 .71647 L
Mfstroke
.63024 .61758 m
.63224 .62059 L
.63024 .621 L
.62992 .62059 L
.63024 .61758 L
s
.61095 .60159 m
.6137 .60452 L
.61095 .60498 L
.61067 .60452 L
.61095 .60159 L
s
.34725 .57402 m
.34969 .57557 L
.34725 .57724 L
.34667 .57557 L
.34725 .57402 L
s
.71385 .54809 m
.71537 .54985 L
.71421 .55306 L
.71385 .5535 L
.71241 .55628 L
.71064 .55938 L
.71057 .55949 L
.70884 .56271 L
.70742 .56493 L
.70722 .56592 L
.70447 .56914 L
.70421 .56954 L
.70239 .57236 L
.70099 .57435 L
.70033 .57557 L
.6978 .57879 L
.69777 .57883 L
.69555 .582 L
.69456 .58335 L
.69333 .58522 L
.69134 .58777 L
.69107 .58844 L
.68841 .59165 L
.68813 .59202 L
.68605 .59487 L
.68491 .59629 L
.68374 .59808 L
.6817 .60046 L
.68153 .6013 L
.67848 .60448 L
.67845 .60452 L
.67593 .60773 L
.67526 .60847 L
.67353 .61095 L
.67205 .61236 L
.67043 .61416 L
.66883 .61613 L
.66756 .61738 L
.66562 .61983 L
.66449 .62059 L
.6624 .62262 L
.66094 .62381 L
.65918 .62501 L
.65787 .62381 L
.65903 .62059 L
.65918 .62027 L
.66075 .61738 L
.6624 .61452 L
.66262 .61416 L
.6642 .61095 L
Mistroke
.66562 .60945 L
.66676 .60773 L
.66883 .60464 L
.66892 .60452 L
.6709 .6013 L
.67205 .59975 L
.67264 .59808 L
.67526 .5951 L
.67571 .59487 L
.67794 .59165 L
.67848 .59096 L
.67999 .58844 L
.6817 .58643 L
.68278 .58522 L
.68491 .58215 L
.68517 .582 L
.68746 .57879 L
.68813 .57801 L
.68951 .57557 L
.69134 .57369 L
.69254 .57236 L
.69456 .56949 L
.69504 .56914 L
.6975 .56592 L
.69777 .56564 L
.70018 .56271 L
.70099 .56156 L
.70285 .55949 L
.70421 .55752 L
.70559 .55628 L
.70742 .55418 L
.70848 .55306 L
.71064 .55081 L
.71169 .54985 L
.71385 .54809 L
Mfstroke
.38905 .51733 m
.39223 .51769 L
.39074 .5209 L
.38905 .524 L
.38898 .52412 L
.38704 .52733 L
.38584 .52924 L
.38499 .53055 L
.38292 .53377 L
.38262 .5342 L
.38112 .53698 L
.37941 .53915 L
.37843 .5402 L
.37619 .54335 L
.37615 .54341 L
.37398 .54663 L
.37297 .54787 L
.37212 .54985 L
.36976 .55229 L
.36899 .55306 L
.36654 .55626 L
.36653 .55628 L
.36422 .55949 L
.36333 .56041 L
.3614 .56271 L
.36011 .56451 L
.35873 .56592 L
.35689 .56864 L
.35596 .56914 L
.35368 .57168 L
.35302 .57236 L
.35046 .57492 L
.34806 .57236 L
.34982 .56914 L
.35046 .56805 L
.35178 .56592 L
.35368 .56293 L
.35383 .56271 L
.3555 .55949 L
.35689 .55767 L
.3582 .55628 L
.36011 .55353 L
.36045 .55306 L
.36257 .54985 L
.36333 .54892 L
.36512 .54663 L
.36654 .54429 L
.36751 .54341 L
.36976 .5404 L
.36992 .5402 L
Mistroke
.37213 .53698 L
.37297 .53611 L
.37492 .53377 L
.37619 .5318 L
.37748 .53055 L
.37941 .52816 L
.38011 .52733 L
.38262 .52433 L
.38281 .52412 L
.38568 .5209 L
.38584 .52067 L
.38884 .51769 L
.38905 .51733 L
Mfstroke
.55306 .504 m
.5554 .50482 L
.55614 .50804 L
.55583 .51126 L
.55544 .51447 L
.55389 .51769 L
.55306 .51966 L
.55249 .5209 L
.55127 .52412 L
.54985 .52695 L
.54969 .52733 L
.54848 .53055 L
.54771 .53377 L
.54807 .53698 L
.54759 .5402 L
.54699 .54341 L
.54663 .54487 L
.54615 .54663 L
.54528 .54985 L
.54369 .55306 L
.54341 .55364 L
.5428 .55628 L
.54066 .55949 L
.5402 .5602 L
.53897 .56271 L
.53748 .56592 L
.53698 .56733 L
.5365 .56914 L
.53642 .57236 L
.53623 .57557 L
.53551 .57879 L
.53429 .582 L
.53377 .58336 L
.53257 .58522 L
.53055 .58797 L
.52774 .58522 L
.52875 .582 L
.53003 .57879 L
.53055 .57738 L
.53148 .57557 L
.53288 .57236 L
.53366 .56914 L
.53331 .56592 L
.53275 .56271 L
.53276 .55949 L
.53319 .55628 L
.53377 .55482 L
.53438 .55306 L
.53494 .54985 L
.53698 .54676 L
Mistroke
.53706 .54663 L
.53852 .54341 L
.53962 .5402 L
.5402 .53945 L
.54086 .53698 L
.5413 .53377 L
.54129 .53055 L
.54147 .52733 L
.54211 .52412 L
.54306 .5209 L
.54341 .52009 L
.54451 .51769 L
.54578 .51447 L
.54663 .51329 L
.54776 .51126 L
.54957 .50804 L
.54985 .50762 L
.55178 .50482 L
.55306 .504 L
Mfstroke
.71707 .49993 m
.72029 .49855 L
.7209 .50161 L
.72029 .50342 L
.71972 .50482 L
.71833 .50804 L
.71707 .51017 L
.71672 .51126 L
.71461 .51447 L
.71385 .51584 L
.71269 .51769 L
.71064 .52087 L
.71061 .5209 L
.70846 .52412 L
.70742 .52577 L
.70634 .52733 L
.70421 .53046 L
.70414 .53055 L
.70184 .53377 L
.70099 .53507 L
.69961 .53698 L
.69777 .53961 L
.69735 .5402 L
.69497 .54341 L
.69456 .54406 L
.69264 .54663 L
.69134 .54849 L
.69034 .54985 L
.68813 .55288 L
.688 .55306 L
.68556 .55628 L
.68491 .55722 L
.6832 .55949 L
.6817 .56156 L
.68085 .56271 L
.67848 .56586 L
.67843 .56592 L
.67598 .56914 L
.67526 .57012 L
.67358 .57236 L
.67205 .57439 L
.67119 .57557 L
.66883 .57862 L
.66872 .57879 L
.66622 .582 L
.66562 .5828 L
.66378 .58522 L
.6624 .58697 L
.66134 .58844 L
.65918 .5911 L
Mistroke
.65885 .59165 L
.65621 .59487 L
.65597 .59516 L
.65368 .59808 L
.65275 .59917 L
.65116 .6013 L
.64954 .6031 L
.64868 .60452 L
.64632 .60693 L
.64561 .60773 L
.64311 .61061 L
.64278 .61095 L
.63989 .61408 L
.63979 .61416 L
.63667 .61729 L
.63651 .61738 L
.63346 .61988 L
.63031 .61738 L
.63168 .61416 L
.63332 .61095 L
.63346 .61066 L
.63499 .60773 L
.63667 .60532 L
.63689 .60452 L
.63922 .6013 L
.63989 .60021 L
.64127 .59808 L
.64311 .59536 L
.64345 .59487 L
.6458 .59165 L
.64632 .59088 L
.64801 .58844 L
.64954 .58627 L
.65025 .58522 L
.65268 .582 L
.65275 .5819 L
.65499 .57879 L
.65597 .57742 L
.65727 .57557 L
.65918 .57302 L
.6596 .57236 L
.66209 .56914 L
.6624 .56871 L
.66442 .56592 L
.66562 .56433 L
.66673 .56271 L
.66883 .56001 L
.66912 .55949 L
.67165 .55628 L
.67205 .55575 L
Mistroke
.67399 .55306 L
.67526 .55143 L
.67631 .54985 L
.67848 .54717 L
.67871 .54663 L
.68133 .54341 L
.6817 .54295 L
.68368 .5402 L
.68491 .53869 L
.68598 .53698 L
.68813 .53448 L
.68833 .53377 L
.69117 .53055 L
.69134 .53034 L
.69355 .52733 L
.69456 .52618 L
.69583 .52412 L
.69777 .52207 L
.69875 .5209 L
.70099 .51804 L
.70132 .51769 L
.70386 .51447 L
.70421 .51412 L
.70628 .51126 L
.70742 .51026 L
.70941 .50804 L
.71064 .50655 L
.71235 .50482 L
.71385 .50307 L
.71558 .50161 L
.71707 .49993 L
Mfstroke
.38584 .4788 m
.38905 .47625 L
.39054 .4791 L
.38917 .48231 L
.38905 .48249 L
.38838 .48553 L
.38584 .4883 L
.38557 .48874 L
.38371 .49196 L
.38262 .49373 L
.38187 .49518 L
.37941 .49839 L
.3794 .49839 L
.37728 .50161 L
.37619 .5032 L
.37517 .50482 L
.37297 .50776 L
.37288 .50804 L
.37046 .51126 L
.36976 .51223 L
.36822 .51447 L
.36654 .51669 L
.36596 .51769 L
.36339 .5209 L
.36333 .52099 L
.36105 .52412 L
.36011 .52533 L
.35874 .52733 L
.35689 .52961 L
.35643 .53055 L
.35368 .53376 L
.35368 .53377 L
.35125 .53698 L
.35046 .53793 L
.34889 .5402 L
.34725 .54204 L
.34667 .54341 L
.34403 .54605 L
.34349 .54663 L
.34085 .54985 L
.34082 .54988 L
.33826 .55306 L
.3376 .55367 L
.33523 .55628 L
.33438 .55729 L
.33218 .55949 L
.33117 .56069 L
.32867 .56271 L
.32795 .56358 L
.32517 .56271 L
Mistroke
.32629 .55949 L
.32785 .55628 L
.32795 .55605 L
.32902 .55306 L
.33117 .55061 L
.33164 .54985 L
.33359 .54663 L
.33438 .54538 L
.33548 .54341 L
.3376 .54049 L
.33797 .5402 L
.34014 .53698 L
.34082 .53602 L
.34227 .53377 L
.34403 .5314 L
.34443 .53055 L
.34704 .52733 L
.34725 .52705 L
.3493 .52412 L
.35046 .52259 L
.35152 .5209 L
.35368 .51823 L
.35382 .51769 L
.35652 .51447 L
.35689 .51399 L
.35883 .51126 L
.36011 .5097 L
.36108 .50804 L
.36333 .50548 L
.3639 .50482 L
.36637 .50161 L
.36654 .5014 L
.36875 .49839 L
.36976 .49728 L
.37098 .49518 L
.37297 .49323 L
.37411 .49196 L
.37619 .4893 L
.37677 .48874 L
.37941 .48559 L
.37952 .48553 L
.38227 .48231 L
.38262 .48207 L
.38558 .4791 L
.38584 .4788 L
Mfstroke
.71385 .46266 m
.71707 .46125 L
.71795 .46302 L
.71719 .46623 L
.71707 .4665 L
.71618 .46945 L
.71421 .47267 L
.71385 .47345 L
.71247 .47588 L
.71064 .47899 L
.71053 .4791 L
.70846 .48231 L
.70742 .48406 L
.70641 .48553 L
.70425 .48874 L
.70421 .48883 L
.70199 .49196 L
.70099 .49355 L
.6998 .49518 L
.69777 .49812 L
.69757 .49839 L
.69519 .50161 L
.69456 .50262 L
.6929 .50482 L
.69134 .50709 L
.69063 .50804 L
.68825 .51126 L
.68813 .51148 L
.68585 .51447 L
.68491 .51587 L
.68353 .51769 L
.6817 .52024 L
.6812 .5209 L
.67876 .52412 L
.67848 .52456 L
.67636 .52733 L
.67526 .52889 L
.67402 .53055 L
.67205 .53321 L
.67164 .53377 L
.66918 .53698 L
.66883 .5375 L
.66678 .5402 L
.66562 .54179 L
.66441 .54341 L
.6624 .54607 L
.66201 .54663 L
.65953 .54985 L
.65918 .55032 L
.65712 .55306 L
Mistroke
.65597 .55458 L
.65472 .55628 L
.65275 .55882 L
.6523 .55949 L
.64978 .56271 L
.64954 .56303 L
.64734 .56592 L
.64632 .56722 L
.64493 .56914 L
.64311 .5714 L
.64249 .57236 L
.63989 .57554 L
.63988 .57557 L
.63737 .57879 L
.63667 .57961 L
.63489 .582 L
.63346 .58365 L
.63243 .58522 L
.63024 .5876 L
.62998 .58844 L
.62703 .59144 L
.62683 .59165 L
.62407 .59487 L
.62381 .59511 L
.62122 .59808 L
.62059 .59858 L
.6178 .6013 L
.61738 .60171 L
.61416 .60425 L
.61103 .6013 L
.61166 .59808 L
.61389 .59487 L
.61416 .59425 L
.6156 .59165 L
.61738 .58887 L
.61757 .58844 L
.61969 .58522 L
.62059 .5837 L
.62176 .582 L
.62381 .57896 L
.62395 .57879 L
.62622 .57557 L
.62703 .57432 L
.62844 .57236 L
.63024 .56976 L
.6307 .56914 L
.63307 .56592 L
.63346 .56534 L
.63538 .56271 L
.63667 .56087 L
Mistroke
.63769 .55949 L
.63989 .5565 L
.64005 .55628 L
.64246 .55306 L
.64311 .55213 L
.6448 .54985 L
.64632 .54776 L
.64714 .54663 L
.64954 .54346 L
.64957 .54341 L
.65198 .5402 L
.65275 .53913 L
.65433 .53698 L
.65597 .53481 L
.6567 .53377 L
.65917 .53055 L
.65918 .53054 L
.66157 .52733 L
.6624 .52624 L
.66394 .52412 L
.66562 .52194 L
.66631 .5209 L
.66883 .51769 L
.66883 .51769 L
.67124 .51447 L
.67205 .51343 L
.6736 .51126 L
.67526 .50916 L
.67597 .50804 L
.67848 .50494 L
.67852 .50482 L
.68098 .50161 L
.6817 .50073 L
.68335 .49839 L
.68491 .49652 L
.6857 .49518 L
.68813 .49235 L
.68819 .49196 L
.6909 .48874 L
.69134 .48823 L
.6933 .48553 L
.69456 .48414 L
.69562 .48231 L
.69777 .48011 L
.69863 .4791 L
.70099 .47619 L
.70127 .47588 L
.70393 .47267 L
.70421 .47241 L
.70655 .46945 L
Mistroke
.70742 .46879 L
.70991 .46623 L
.71064 .46546 L
.71345 .46302 L
.71385 .46266 L
Mfstroke
.37619 .44991 m
.37941 .44734 L
.38114 .45015 L
.37987 .45337 L
.37941 .45403 L
.37802 .45659 L
.37619 .45975 L
.37616 .4598 L
.37434 .46302 L
.37297 .46521 L
.37249 .46623 L
.36997 .46945 L
.36976 .46977 L
.36787 .47267 L
.36654 .47458 L
.36576 .47588 L
.36333 .47905 L
.36332 .4791 L
.36103 .48231 L
.36011 .48359 L
.35881 .48553 L
.35689 .48804 L
.35653 .48874 L
.35397 .49196 L
.35368 .49236 L
.35166 .49518 L
.35046 .49672 L
.34937 .49839 L
.34725 .50101 L
.34702 .50161 L
.34433 .50482 L
.34403 .50521 L
.34197 .50804 L
.34082 .50943 L
.33966 .51126 L
.3376 .51359 L
.33743 .51447 L
.33438 .51762 L
.33432 .51769 L
.33184 .5209 L
.33117 .52163 L
.32948 .52412 L
.32795 .52557 L
.32639 .52733 L
.32474 .5294 L
.3236 .53055 L
.32152 .5331 L
.32066 .53377 L
.3183 .53618 L
.31742 .53698 L
Mistroke
.31509 .53895 L
.31263 .53698 L
.31396 .53377 L
.31509 .53155 L
.31563 .53055 L
.31734 .52733 L
.3183 .52558 L
.31899 .52412 L
.32149 .5209 L
.32152 .52085 L
.32352 .51769 L
.32474 .51587 L
.32558 .51447 L
.32795 .5113 L
.32796 .51126 L
.33022 .50804 L
.33117 .50669 L
.33241 .50482 L
.33438 .50219 L
.33469 .50161 L
.33718 .49839 L
.3376 .49782 L
.33948 .49518 L
.34082 .49341 L
.34176 .49196 L
.34403 .4891 L
.34417 .48874 L
.34672 .48553 L
.34725 .48485 L
.34907 .48231 L
.35046 .4806 L
.35139 .4791 L
.35368 .47641 L
.35376 .47588 L
.35661 .47267 L
.35689 .47233 L
.35904 .46945 L
.36011 .46825 L
.36136 .46623 L
.36333 .46424 L
.3644 .46302 L
.36654 .46035 L
.36709 .4598 L
.36976 .45666 L
.36986 .45659 L
.37267 .45337 L
.37297 .45315 L
.37597 .45015 L
.37619 .44991 L
Mfstroke
.3183 .44674 m
.32091 .44694 L
.3183 .44992 L
.31818 .44694 L
.3183 .44674 L
s
.32152 .44195 m
.32348 .44372 L
.32152 .44624 L
.32032 .44372 L
.32152 .44195 L
s
.5402 .43739 m
.54341 .44051 L
.54341 .44053 L
.5436 .44372 L
.54341 .4451 L
.54307 .44694 L
.54237 .45015 L
.54114 .45337 L
.5402 .45598 L
.54009 .45659 L
.53909 .4598 L
.53828 .46302 L
.53792 .46623 L
.53783 .46945 L
.53761 .47267 L
.53705 .47588 L
.53698 .47625 L
.53619 .4791 L
.53498 .48231 L
.53377 .48548 L
.53375 .48553 L
.53249 .48874 L
.5313 .49196 L
.53055 .49455 L
.53044 .49518 L
.52994 .49839 L
.52967 .50161 L
.52935 .50482 L
.5287 .50804 L
.52773 .51126 L
.52733 .51252 L
.5266 .51447 L
.52523 .51769 L
.52412 .52038 L
.52393 .5209 L
.52265 .52412 L
.52153 .52733 L
.5209 .52984 L
.52081 .53055 L
.52045 .53377 L
.52014 .53698 L
.51959 .5402 L
.51867 .54341 L
.51769 .54624 L
.51755 .54663 L
.51623 .54985 L
.51477 .55306 L
.51447 .55371 L
.51346 .55628 L
.51207 .55949 L
Mistroke
.51126 .56163 L
.51114 .56271 L
.51053 .56592 L
.51005 .56914 L
.50948 .57236 L
.50862 .57557 L
.50804 .57737 L
.5079 .57879 L
.50627 .582 L
.50482 .58463 L
.5045 .58522 L
.50306 .58844 L
.50161 .59031 L
.50075 .59165 L
.49839 .59483 L
.49836 .59487 L
.49518 .59614 L
.49402 .59487 L
.49333 .59165 L
.49304 .58844 L
.4943 .58522 L
.49518 .5824 L
.49548 .582 L
.49637 .57879 L
.4977 .57557 L
.49839 .57354 L
.49866 .57236 L
.49861 .56914 L
.49885 .56592 L
.49907 .56271 L
.49961 .55949 L
.50053 .55628 L
.50161 .55315 L
.50164 .55306 L
.50283 .54985 L
.50423 .54663 L
.50482 .54519 L
.50534 .54341 L
.50645 .5402 L
.50723 .53698 L
.5076 .53377 L
.50782 .53055 L
.50804 .52875 L
.50817 .52733 L
.50894 .52412 L
.51014 .5209 L
.51126 .51816 L
.51139 .51769 L
.51273 .51447 L
.51415 .51126 L
Mistroke
.51447 .51053 L
.51517 .50804 L
.51616 .50482 L
.51676 .50161 L
.51707 .49839 L
.51746 .49518 L
.51769 .4937 L
.51796 .49196 L
.51904 .48874 L
.52044 .48553 L
.5209 .48448 L
.52162 .48231 L
.5232 .4791 L
.52412 .47719 L
.52427 .47588 L
.52555 .47267 L
.52657 .46945 L
.52714 .46623 L
.52733 .46453 L
.5275 .46302 L
.52807 .4598 L
.52857 .45659 L
.53018 .45337 L
.53055 .45262 L
.53174 .45015 L
.53328 .44694 L
.53377 .44624 L
.53522 .44372 L
.53698 .44087 L
.53723 .44051 L
.5402 .43739 L
Mfstroke
.32474 .43756 m
.32591 .44051 L
.32474 .44214 L
.32258 .44051 L
.32474 .43756 L
s
.32795 .43354 m
.33037 .43408 L
.32826 .43729 L
.32795 .43774 L
.32495 .43729 L
.32752 .43408 L
.32795 .43354 L
s
.70742 .43081 m
.70945 .43086 L
.70952 .43408 L
.70851 .43729 L
.70742 .43938 L
.70712 .44051 L
.70515 .44372 L
.70421 .44561 L
.70331 .44694 L
.70125 .45015 L
.70099 .45064 L
.69917 .45337 L
.69777 .45562 L
.69707 .45659 L
.69483 .4598 L
.69456 .46027 L
.69258 .46302 L
.69134 .46491 L
.69036 .46623 L
.68813 .46939 L
.68808 .46945 L
.68568 .47267 L
.68491 .47386 L
.68339 .47588 L
.6817 .47829 L
.68109 .4791 L
.67868 .48231 L
.67848 .48265 L
.67629 .48553 L
.67526 .48703 L
.67396 .48874 L
.67205 .49137 L
.67161 .49196 L
.66917 .49518 L
.66883 .49569 L
.66678 .49839 L
.66562 .50001 L
.66443 .50161 L
.6624 .50433 L
.66204 .50482 L
.65958 .50804 L
.65918 .50861 L
.65719 .51126 L
.65597 .51291 L
.65482 .51447 L
.65275 .5172 L
.65242 .51769 L
.64995 .5209 L
.64954 .52146 L
.64755 .52412 L
Mistroke
.64632 .52573 L
.64517 .52733 L
.64311 .53 L
.64275 .53055 L
.64025 .53377 L
.63989 .53423 L
.63784 .53698 L
.63667 .53847 L
.63545 .5402 L
.63346 .54269 L
.63302 .54341 L
.63044 .54663 L
.63024 .54688 L
.62801 .54985 L
.62703 .55104 L
.62561 .55306 L
.62381 .55518 L
.62319 .55628 L
.62059 .55926 L
.6204 .55949 L
.61788 .56271 L
.61738 .56326 L
.61538 .56592 L
.61416 .56719 L
.61295 .56914 L
.61095 .57099 L
.60971 .57236 L
.60773 .57461 L
.60678 .57557 L
.60452 .57797 L
.60357 .57879 L
.6013 .58096 L
.59957 .582 L
.59808 .58311 L
.59622 .582 L
.59662 .57879 L
.59785 .57557 L
.59808 .57483 L
.59929 .57236 L
.60122 .56914 L
.6013 .56898 L
.60312 .56592 L
.60452 .56351 L
.60511 .56271 L
.60728 .55949 L
.60773 .55872 L
.60943 .55628 L
.61095 .55394 L
.6116 .55306 L
.6139 .54985 L
Mistroke
.61416 .5494 L
.61619 .54663 L
.61738 .54484 L
.61845 .54341 L
.62059 .5404 L
.62075 .5402 L
.62316 .53698 L
.62381 .53599 L
.62548 .53377 L
.62703 .53158 L
.6278 .53055 L
.63019 .52733 L
.63024 .52725 L
.63261 .52412 L
.63346 .52289 L
.63495 .5209 L
.63667 .51855 L
.63731 .51769 L
.63975 .51447 L
.63989 .51426 L
.64215 .51126 L
.64311 .50994 L
.64452 .50804 L
.64632 .50563 L
.64689 .50482 L
.64936 .50161 L
.64954 .50135 L
.65176 .49839 L
.65275 .49706 L
.65413 .49518 L
.65597 .49278 L
.65652 .49196 L
.65902 .48874 L
.65918 .48852 L
.66142 .48553 L
.6624 .48426 L
.6638 .48231 L
.66562 .48 L
.6662 .4791 L
.66874 .47588 L
.66883 .47577 L
.67116 .47267 L
.67205 .47155 L
.67354 .46945 L
.67526 .46733 L
.67593 .46623 L
.67848 .46316 L
.67852 .46302 L
.68104 .4598 L
.6817 .45903 L
Mistroke
.68345 .45659 L
.68491 .45492 L
.68583 .45337 L
.68813 .45088 L
.68873 .45015 L
.69134 .44694 L
.69134 .44693 L
.69392 .44372 L
.69456 .4431 L
.69647 .44051 L
.69777 .43943 L
.69979 .43729 L
.70099 .436 L
.70305 .43408 L
.70421 .43296 L
.70735 .43086 L
.70742 .43081 L
Mfstroke
.36011 .43016 m
.36333 .42771 L
.36441 .43086 L
.36333 .43323 L
.36289 .43408 L
.36166 .43729 L
.36011 .43894 L
.35914 .44051 L
.35714 .44372 L
.35689 .44411 L
.35531 .44694 L
.35368 .44924 L
.3528 .45015 L
.35059 .45337 L
.35046 .45355 L
.34848 .45659 L
.34725 .45822 L
.34646 .4598 L
.34403 .46269 L
.34367 .46302 L
.34138 .46623 L
.34082 .46696 L
.33919 .46945 L
.3376 .47135 L
.33715 .47267 L
.33438 .47559 L
.33408 .47588 L
.33169 .4791 L
.33117 .47972 L
.32946 .48231 L
.32795 .48391 L
.32657 .48553 L
.32474 .48803 L
.32401 .48874 L
.32152 .4919 L
.3214 .49196 L
.31889 .49518 L
.3183 .49568 L
.31587 .49839 L
.31509 .49942 L
.31287 .50161 L
.31187 .50298 L
.30943 .50482 L
.30866 .50545 L
.30638 .50482 L
.30749 .50161 L
.30866 .49921 L
.30909 .49839 L
.31056 .49518 L
.31187 .49355 L
Mistroke
.31285 .49196 L
.31487 .48874 L
.31509 .4884 L
.31681 .48553 L
.3183 .48337 L
.31873 .48231 L
.32138 .4791 L
.32152 .4789 L
.32355 .47588 L
.32474 .47427 L
.32569 .47267 L
.32795 .46981 L
.32828 .46945 L
.3306 .46623 L
.33117 .46549 L
.33287 .46302 L
.33438 .46114 L
.33509 .4598 L
.3376 .45691 L
.33789 .45659 L
.34033 .45337 L
.34082 .45278 L
.34268 .45015 L
.34403 .44865 L
.34484 .44694 L
.34725 .4446 L
.34806 .44372 L
.35046 .44072 L
.35073 .44051 L
.35341 .43729 L
.35368 .43705 L
.35639 .43408 L
.35689 .43346 L
.35953 .43086 L
.36011 .43016 L
Mfstroke
.33117 .43 m
.33223 .43086 L
.33117 .43286 L
.33037 .43086 L
.33117 .43 L
s
.69134 .40828 m
.69456 .4059 L
.69739 .40835 L
.69697 .41156 L
.69482 .41478 L
.69456 .41541 L
.69317 .418 L
.69134 .42096 L
.69123 .42121 L
.68918 .42443 L
.68813 .42622 L
.68713 .42764 L
.68495 .43086 L
.68491 .43093 L
.68272 .43408 L
.6817 .43566 L
.68051 .43729 L
.67848 .44021 L
.67825 .44051 L
.67589 .44372 L
.67526 .44468 L
.67359 .44694 L
.67205 .44915 L
.6713 .45015 L
.66892 .45337 L
.66883 .45351 L
.66653 .45659 L
.66562 .4579 L
.6642 .4598 L
.6624 .46227 L
.66185 .46302 L
.65942 .46623 L
.65918 .46658 L
.65703 .46945 L
.65597 .47092 L
.65468 .47267 L
.65275 .47523 L
.6523 .47588 L
.64984 .4791 L
.64954 .47952 L
.64745 .48231 L
.64632 .48383 L
.64508 .48553 L
.64311 .48812 L
.64269 .48874 L
.6402 .49196 L
.63989 .49238 L
.63781 .49518 L
.63667 .49666 L
.63545 .49839 L
Mistroke
.63346 .50093 L
.63304 .50161 L
.63051 .50482 L
.63024 .50517 L
.62811 .50804 L
.62703 .50941 L
.62575 .51126 L
.62381 .51365 L
.62335 .51447 L
.62072 .51769 L
.62059 .51784 L
.61831 .5209 L
.61738 .52202 L
.61593 .52412 L
.61416 .52618 L
.61357 .52733 L
.61095 .53028 L
.61073 .53055 L
.60823 .53377 L
.60773 .53432 L
.60579 .53698 L
.60452 .5383 L
.60348 .5402 L
.6013 .54216 L
.60018 .54341 L
.59808 .54585 L
.59731 .54663 L
.59487 .54927 L
.59419 .54985 L
.59165 .55234 L
.59034 .55306 L
.58844 .55464 L
.58677 .55306 L
.5864 .54985 L
.58839 .54663 L
.58844 .54649 L
.58983 .54341 L
.59165 .54021 L
.59165 .5402 L
.59355 .53698 L
.59487 .53467 L
.59551 .53377 L
.59766 .53055 L
.59808 .5298 L
.59979 .52733 L
.6013 .525 L
.60195 .52412 L
.60424 .5209 L
.60452 .52042 L
.60653 .51769 L
Mistroke
.60773 .51587 L
.60878 .51447 L
.61095 .51142 L
.61107 .51126 L
.61349 .50804 L
.61416 .50699 L
.61581 .50482 L
.61738 .50259 L
.61812 .50161 L
.62051 .49839 L
.62059 .49824 L
.62293 .49518 L
.62381 .49389 L
.62528 .49196 L
.62703 .48955 L
.62763 .48874 L
.63006 .48553 L
.63024 .48525 L
.63248 .48231 L
.63346 .48094 L
.63484 .4791 L
.63667 .47663 L
.63722 .47588 L
.63967 .47267 L
.63989 .47235 L
.64209 .46945 L
.64311 .46807 L
.64446 .46623 L
.64632 .46379 L
.64686 .46302 L
.64934 .4598 L
.64954 .45954 L
.65177 .45659 L
.65275 .45529 L
.65416 .45337 L
.65597 .45105 L
.65657 .45015 L
.6591 .44694 L
.65918 .44683 L
.66154 .44372 L
.6624 .44264 L
.66395 .44051 L
.66562 .43846 L
.66637 .43729 L
.66883 .43432 L
.66893 .43408 L
.67153 .43086 L
.67205 .43025 L
.674 .42764 L
.67526 .42621 L
Mistroke
.67644 .42443 L
.67848 .42226 L
.67883 .42121 L
.6817 .41843 L
.68208 .418 L
.6849 .41478 L
.68491 .41477 L
.68783 .41156 L
.68813 .41134 L
.69127 .40835 L
.69134 .40828 L
Mfstroke
.51769 .40683 m
.52076 .40835 L
.5209 .40889 L
.52108 .41156 L
.5209 .41276 L
.52051 .41478 L
.52002 .418 L
.51863 .42121 L
.51769 .42381 L
.51748 .42443 L
.51703 .42764 L
.51641 .43086 L
.51627 .43408 L
.51619 .43729 L
.51577 .44051 L
.51497 .44372 L
.51447 .44563 L
.514 .44694 L
.51273 .45015 L
.51141 .45337 L
.51126 .45377 L
.51027 .45659 L
.50918 .4598 L
.50845 .46302 L
.50811 .46623 L
.50804 .46744 L
.50794 .46945 L
.50755 .47267 L
.50672 .47588 L
.50558 .4791 L
.50482 .48112 L
.50438 .48231 L
.503 .48553 L
.50166 .48874 L
.50161 .48888 L
.50058 .49196 L
.49965 .49518 L
.4991 .49839 L
.49882 .50161 L
.49845 .50482 L
.49839 .50522 L
.49784 .50804 L
.49677 .51126 L
.49546 .51447 L
.49518 .51518 L
.4942 .51769 L
.49274 .5209 L
.49196 .5227 L
.49156 .52412 L
.49045 .52733 L
Mistroke
.48963 .53055 L
.48918 .53377 L
.48884 .53698 L
.48874 .53765 L
.48848 .5402 L
.48751 .54341 L
.48617 .54663 L
.48553 .5481 L
.485 .54985 L
.48335 .55306 L
.48231 .55504 L
.48174 .55628 L
.48056 .55949 L
.4791 .56257 L
.47905 .56271 L
.47809 .56592 L
.47751 .56914 L
.477 .57236 L
.47634 .57557 L
.47588 .5766 L
.47491 .57879 L
.4732 .582 L
.47267 .58291 L
.47079 .58522 L
.46945 .58653 L
.46676 .58522 L
.46689 .582 L
.46762 .57879 L
.46815 .57557 L
.46931 .57236 L
.46945 .57172 L
.46977 .56914 L
.46968 .56592 L
.46945 .56318 L
.46943 .56271 L
.46945 .56033 L
.46952 .55949 L
.46993 .55628 L
.47092 .55306 L
.47211 .54985 L
.47267 .54831 L
.47326 .54663 L
.4745 .54341 L
.47555 .5402 L
.47588 .53908 L
.47618 .53698 L
.47649 .53377 L
.47668 .53055 L
.47708 .52733 L
.47787 .52412 L
Mistroke
.47892 .5209 L
.4791 .52034 L
.48011 .51769 L
.48148 .51447 L
.48231 .51237 L
.48271 .51126 L
.48388 .50804 L
.4848 .50482 L
.48532 .50161 L
.48553 .49905 L
.48557 .49839 L
.48588 .49518 L
.48657 .49196 L
.48762 .48874 L
.48874 .48576 L
.48883 .48553 L
.49016 .48231 L
.49156 .4791 L
.49196 .47816 L
.49275 .47588 L
.49386 .47267 L
.49463 .46945 L
.49504 .46623 L
.49518 .46473 L
.4953 .46302 L
.4958 .4598 L
.49676 .45659 L
.498 .45337 L
.49839 .45241 L
.49925 .45015 L
.50077 .44694 L
.50161 .44517 L
.50206 .44372 L
.50345 .44051 L
.50464 .43729 L
.50482 .43675 L
.50541 .43408 L
.50519 .43086 L
.50591 .42764 L
.50697 .42443 L
.50804 .42172 L
.50828 .42121 L
.50927 .418 L
.51126 .41507 L
.51143 .41478 L
.51341 .41156 L
.51447 .41003 L
.51587 .40835 L
.51769 .40683 L
Mfstroke
.60452 .40362 m
.60563 .40513 L
.60452 .40651 L
.60357 .40513 L
.60452 .40362 L
s
.48874 .40464 m
.48972 .40513 L
.49081 .40835 L
.49053 .41156 L
.49002 .41478 L
.48874 .41764 L
.48861 .418 L
.48815 .42121 L
.48637 .42443 L
.48553 .42653 L
.48525 .42764 L
.48471 .43086 L
.48463 .43408 L
.48461 .43729 L
.48463 .44051 L
.48359 .44372 L
.48236 .44694 L
.48231 .44706 L
.48135 .45015 L
.4798 .45337 L
.4791 .45493 L
.47886 .45659 L
.47758 .4598 L
.47666 .46302 L
.47624 .46623 L
.47603 .46945 L
.47588 .47083 L
.47561 .47267 L
.47518 .47588 L
.47386 .4791 L
.47267 .48184 L
.47244 .48231 L
.47129 .48553 L
.46967 .48874 L
.46945 .4892 L
.46892 .49196 L
.46759 .49518 L
.4668 .49839 L
.46644 .50161 L
.46623 .50364 L
.46609 .50482 L
.46542 .50804 L
.46476 .51126 L
.46313 .51447 L
.46302 .5147 L
.46234 .51769 L
.46012 .5209 L
.4598 .5214 L
.45842 .52412 L
.45701 .52733 L
Mistroke
.45659 .52777 L
.45535 .53055 L
.45424 .53377 L
.45382 .53698 L
.45348 .5402 L
.45337 .54075 L
.45252 .54341 L
.45078 .54663 L
.45015 .54745 L
.44802 .54663 L
.44855 .54341 L
.44949 .5402 L
.45015 .53888 L
.45039 .53698 L
.45056 .53377 L
.45015 .53172 L
.44969 .53055 L
.44912 .52733 L
.44931 .52412 L
.44993 .5209 L
.45015 .51969 L
.45069 .51769 L
.45192 .51447 L
.45318 .51126 L
.45337 .51075 L
.45422 .50804 L
.45526 .50482 L
.45592 .50161 L
.45617 .49839 L
.45634 .49518 L
.45659 .49298 L
.4567 .49196 L
.45748 .48874 L
.45861 .48553 L
.4598 .48243 L
.45984 .48231 L
.46115 .4791 L
.46248 .47588 L
.46302 .47449 L
.46351 .47267 L
.46436 .46945 L
.46485 .46623 L
.46515 .46302 L
.46562 .4598 L
.46623 .45694 L
.46635 .45659 L
.4674 .45337 L
.46876 .45015 L
.46945 .44853 L
.47006 .44694 L
Mistroke
.47156 .44372 L
.47267 .44126 L
.47281 .44051 L
.47394 .43729 L
.47488 .43408 L
.47544 .43086 L
.47588 .42778 L
.4759 .42764 L
.47657 .42443 L
.47732 .42121 L
.4789 .418 L
.4791 .41759 L
.47991 .41478 L
.48227 .41156 L
.48231 .41151 L
.48436 .40835 L
.48553 .40682 L
.4873 .40513 L
.48874 .40464 L
Mfstroke
.60773 .39906 m
.60822 .40192 L
.60773 .4026 L
.60571 .40192 L
.60773 .39906 L
s
.61095 .39498 m
.61271 .39548 L
.61095 .39824 L
.61054 .39548 L
.61095 .39498 L
s
.61416 .3916 m
.61458 .39227 L
.61416 .39319 L
.61348 .39227 L
.61416 .3916 L
s
.67526 .38855 m
.67848 .38629 L
.68072 .38905 L
.67987 .39227 L
.67848 .39446 L
.67795 .39548 L
.67622 .3987 L
.67526 .40058 L
.67438 .40192 L
.67219 .40513 L
.67205 .40537 L
.6701 .40835 L
.66883 .41035 L
.66798 .41156 L
.66568 .41478 L
.66562 .41488 L
.66343 .418 L
.6624 .41953 L
.6612 .42121 L
.65918 .42402 L
.65889 .42443 L
.6565 .42764 L
.65597 .42842 L
.6542 .43086 L
.65275 .43286 L
.65189 .43408 L
.64954 .4372 L
.64947 .43729 L
.64708 .44051 L
.64632 .44156 L
.64475 .44372 L
.64311 .44592 L
.6424 .44694 L
.63992 .45015 L
.63989 .45019 L
.63754 .45337 L
.63667 .45452 L
.63519 .45659 L
.63346 .45883 L
.63283 .4598 L
.63029 .46302 L
.63024 .46308 L
.6279 .46623 L
.62703 .46737 L
.62556 .46945 L
.62381 .47164 L
.6232 .47267 L
.62059 .47586 L
.62059 .47588 L
.61818 .4791 L
Mistroke
.61738 .48009 L
.61583 .48231 L
.61416 .48431 L
.6135 .48553 L
.61095 .48848 L
.61072 .48874 L
.60829 .49196 L
.60773 .49261 L
.60592 .49518 L
.60452 .49672 L
.60364 .49839 L
.6013 .50077 L
.60058 .50161 L
.59808 .5047 L
.59797 .50482 L
.5954 .50804 L
.59487 .50855 L
.59292 .51126 L
.59165 .5123 L
.58965 .51447 L
.58844 .5159 L
.58665 .51769 L
.58522 .51932 L
.58338 .5209 L
.582 .52244 L
.57879 .52401 L
.57809 .5209 L
.57879 .5189 L
.57929 .51769 L
.5807 .51447 L
.582 .51238 L
.58239 .51126 L
.58454 .50804 L
.58522 .50682 L
.5865 .50482 L
.58844 .50178 L
.58857 .50161 L
.59075 .49839 L
.59165 .49692 L
.59287 .49518 L
.59487 .4922 L
.59504 .49196 L
.59735 .48874 L
.59808 .48756 L
.59956 .48553 L
.6013 .48298 L
.60179 .48231 L
.60416 .4791 L
.60452 .4785 L
.60648 .47588 L
Mistroke
.60773 .47403 L
.60875 .47267 L
.61095 .46962 L
.61107 .46945 L
.61351 .46623 L
.61416 .46525 L
.61585 .46302 L
.61738 .46088 L
.61818 .4598 L
.62057 .45659 L
.62059 .45655 L
.62302 .45337 L
.62381 .45225 L
.62539 .45015 L
.62703 .44794 L
.62776 .44694 L
.6302 .44372 L
.63024 .44366 L
.63265 .44051 L
.63346 .4394 L
.63504 .43729 L
.63667 .43514 L
.63744 .43408 L
.63989 .4309 L
.63992 .43086 L
.64239 .42764 L
.64311 .42671 L
.64481 .42443 L
.64632 .42252 L
.64724 .42121 L
.64954 .41836 L
.64975 .418 L
.65233 .41478 L
.65275 .41426 L
.65482 .41156 L
.65597 .4102 L
.6573 .40835 L
.65918 .4062 L
.65978 .40513 L
.6624 .4023 L
.66273 .40192 L
.66545 .3987 L
.66562 .39853 L
.66821 .39548 L
.66883 .39492 L
.67102 .39227 L
.67205 .39155 L
.67472 .38905 L
.67526 .38855 L
Mfstroke
.65597 .37516 m
.65831 .37619 L
.65727 .37941 L
.65597 .38215 L
.65572 .38262 L
.65425 .38584 L
.65275 .38777 L
.65196 .38905 L
.64995 .39227 L
.64954 .39295 L
.648 .39548 L
.64632 .39798 L
.64596 .3987 L
.64341 .40192 L
.64311 .40236 L
.64125 .40513 L
.63989 .40704 L
.63909 .40835 L
.63667 .41144 L
.63666 .41156 L
.63426 .41478 L
.63346 .41587 L
.63203 .418 L
.63024 .4203 L
.62977 .42121 L
.62712 .42443 L
.62703 .42455 L
.62481 .42764 L
.62381 .42893 L
.62256 .43086 L
.62059 .43325 L
.62028 .43408 L
.61749 .43729 L
.61738 .43743 L
.61516 .44051 L
.61416 .44171 L
.61291 .44372 L
.61095 .44595 L
.61011 .44694 L
.60773 .45006 L
.60764 .45015 L
.60526 .45337 L
.60452 .4542 L
.60301 .45659 L
.6013 .45833 L
.60004 .4598 L
.59808 .46237 L
.59746 .46302 L
.59487 .46621 L
.59483 .46623 L
Mistroke
.59237 .46945 L
.59165 .47001 L
.58919 .47267 L
.58844 .47358 L
.58589 .47588 L
.58522 .4766 L
.582 .47703 L
.58189 .47588 L
.582 .4751 L
.58269 .47267 L
.58375 .46945 L
.58522 .46707 L
.58566 .46623 L
.58743 .46302 L
.58844 .46125 L
.58929 .4598 L
.59147 .45659 L
.59165 .45629 L
.59358 .45337 L
.59487 .45141 L
.59571 .45015 L
.59799 .44694 L
.59808 .44679 L
.60026 .44372 L
.6013 .44221 L
.60251 .44051 L
.60452 .43772 L
.60481 .43729 L
.6072 .43408 L
.60773 .4333 L
.60953 .43086 L
.61095 .42891 L
.61185 .42764 L
.61416 .42457 L
.61426 .42443 L
.6167 .42121 L
.61738 .42028 L
.61908 .418 L
.62059 .41601 L
.62147 .41478 L
.62381 .41179 L
.62394 .41156 L
.62647 .40835 L
.62703 .40763 L
.62892 .40513 L
.63024 .40349 L
.63136 .40192 L
.63346 .39942 L
.63384 .3987 L
.63664 .39548 L
Mistroke
.63667 .39544 L
.63923 .39227 L
.63989 .39154 L
.6418 .38905 L
.64311 .38773 L
.64423 .38584 L
.64632 .38407 L
.64772 .38262 L
.64954 .3806 L
.65086 .37941 L
.65275 .37736 L
.65451 .37619 L
.65597 .37516 L
Mfstroke
.72993 .22149 m
.73315 .22121 L
.73636 .22104 L
.73958 .22096 L
.7428 .22099 L
.74601 .22111 L
.74923 .22133 L
.75244 .22168 L
.75351 .22183 L
.75566 .22207 L
.75888 .22262 L
.76209 .22357 L
.76488 .22505 L
.76531 .22529 L
.76815 .22826 L
.76781 .23148 L
.76531 .23394 L
.76406 .23469 L
.76209 .23571 L
.75888 .23685 L
.75566 .23759 L
.75379 .23791 L
.75244 .23813 L
.74923 .23855 L
.74601 .23883 L
.7428 .23897 L
.73958 .239 L
.73636 .23891 L
.73315 .2387 L
.72993 .23836 L
.72699 .23791 L
.72672 .23787 L
.7235 .23725 L
.72029 .23635 L
.71707 .2349 L
.71671 .23469 L
.71385 .23262 L
.71296 .23148 L
.71262 .22826 L
.71385 .22651 L
.71588 .22505 L
.71707 .22432 L
.72029 .22303 L
.7235 .22231 L
.72672 .22188 L
.72726 .22183 L
.72993 .22149 L
s
.72029 .15412 m
.7235 .15367 L
.72672 .15333 L
.72993 .15308 L
.73315 .1529 L
.73636 .15279 L
.73958 .15274 L
.7428 .15276 L
.74601 .15284 L
.74923 .15298 L
.75244 .15319 L
.75566 .15349 L
.75888 .15388 L
.76156 .1543 L
.76209 .15439 L
.76531 .15501 L
.76852 .15585 L
.77174 .157 L
.77288 .15751 L
.77495 .15839 L
.77768 .16073 L
.77817 .16128 L
.77952 .16394 L
.77909 .16716 L
.77817 .16856 L
.77615 .17038 L
.77495 .17122 L
.77174 .17276 L
.76897 .17359 L
.76852 .17372 L
.76531 .17453 L
.76209 .17514 L
.75888 .1756 L
.75566 .17596 L
.75244 .17622 L
.74923 .17641 L
.74601 .17654 L
.7428 .1766 L
.73958 .17662 L
.73636 .17658 L
.73315 .17648 L
.72993 .17632 L
.72672 .1761 L
.7235 .17579 L
.72029 .17539 L
.71707 .17486 L
.71385 .17416 L
.7118 .17359 L
.71064 .17328 L
.70742 .1721 L
Mistroke
.70461 .17038 L
.70421 .17007 L
.70168 .16716 L
.70125 .16394 L
.70309 .16073 L
.70421 .15952 L
.70742 .15767 L
.70789 .15751 L
.71064 .15637 L
.71385 .1554 L
.71707 .15468 L
.71921 .1543 L
.72029 .15412 L
Mfstroke
.88751 .14643 m
.89073 .14597 L
.89394 .14649 L
.89707 .14786 L
.89716 .14805 L
.90037 .1508 L
.90064 .15108 L
.90307 .1543 L
.90359 .15515 L
.90487 .15751 L
.90625 .16073 L
.9068 .16228 L
.90733 .16394 L
.90816 .16716 L
.90877 .17038 L
.90919 .17359 L
.90942 .17681 L
.90948 .18002 L
.90936 .18324 L
.90907 .18645 L
.90859 .18967 L
.90791 .19289 L
.907 .1961 L
.9068 .19669 L
.90583 .19932 L
.90432 .20253 L
.90359 .20382 L
.90236 .20575 L
.90037 .20818 L
.89965 .20897 L
.89716 .21093 L
.89516 .21218 L
.89394 .21248 L
.89073 .213 L
.88751 .21254 L
.88648 .21218 L
.88429 .21106 L
.88161 .20897 L
.88108 .20839 L
.87889 .20575 L
.87786 .20415 L
.87693 .20253 L
.87542 .19932 L
.87465 .19726 L
.87426 .1961 L
.87335 .19289 L
.87266 .18967 L
.87218 .18645 L
.87189 .18324 L
.87177 .18002 L
Mistroke
.87183 .17681 L
.87206 .17359 L
.87247 .17038 L
.87308 .16716 L
.87391 .16394 L
.87465 .16168 L
.87499 .16073 L
.87638 .15751 L
.87786 .15481 L
.87818 .1543 L
.88061 .15108 L
.88108 .15058 L
.88429 .14792 L
.88438 .14786 L
.88751 .14643 L
Mfstroke
.58522 .14713 m
.58844 .14611 L
.59165 .14608 L
.59487 .14704 L
.59659 .14786 L
.59808 .14909 L
.60019 .15108 L
.6013 .15246 L
.6026 .1543 L
.60439 .15751 L
.60452 .15778 L
.60578 .16073 L
.60686 .16394 L
.60768 .16716 L
.60773 .16737 L
.6083 .17038 L
.60871 .17359 L
.60894 .17681 L
.609 .18002 L
.60888 .18324 L
.60858 .18645 L
.6081 .18967 L
.60773 .19156 L
.60742 .19289 L
.60652 .1961 L
.60534 .19932 L
.60452 .20117 L
.60384 .20253 L
.60186 .20575 L
.6013 .2065 L
.59915 .20897 L
.59808 .20989 L
.59487 .21193 L
.59429 .21218 L
.59165 .2129 L
.58844 .21287 L
.586 .21218 L
.58522 .21184 L
.582 .20972 L
.58114 .20897 L
.57879 .20624 L
.57843 .20575 L
.57644 .20253 L
.57557 .20076 L
.57494 .19932 L
.57376 .1961 L
.57286 .19289 L
.57236 .19061 L
.57218 .18967 L
.5717 .18645 L
Mistroke
.57141 .18324 L
.57129 .18002 L
.57135 .17681 L
.57158 .17359 L
.572 .17038 L
.57236 .16835 L
.57261 .16716 L
.57344 .16394 L
.57452 .16073 L
.57557 .15822 L
.5759 .15751 L
.5777 .1543 L
.57879 .15273 L
.5801 .15108 L
.582 .14926 L
.58373 .14786 L
.58522 .14713 L
Mfstroke
.24112 .89314 m
.24434 .89249 L
.24756 .89204 L
.25077 .89175 L
.25399 .89156 L
.2572 .89146 L
.26042 .89144 L
.26364 .8915 L
.26685 .89164 L
.27007 .89188 L
.27328 .89224 L
.2765 .89278 L
.27971 .89357 L
.28086 .89394 L
.28293 .89468 L
.28615 .89652 L
.28683 .89716 L
.28785 .90037 L
.28615 .90305 L
.28552 .90359 L
.28293 .90546 L
.27971 .90661 L
.27888 .9068 L
.2765 .9075 L
.27328 .9082 L
.27007 .9087 L
.26685 .90904 L
.26364 .90925 L
.26042 .90934 L
.2572 .90931 L
.25399 .90916 L
.25077 .90889 L
.24756 .90847 L
.24434 .90788 L
.24112 .90705 L
.24036 .9068 L
.23791 .90613 L
.23469 .90443 L
.23374 .90359 L
.23148 .90061 L
.23142 .90037 L
.23148 .89881 L
.23244 .89716 L
.23469 .89546 L
.23791 .8941 L
.2384 .89394 L
.24112 .89314 L
s
.22826 .82272 m
.23148 .82232 L
.23469 .82199 L
.23791 .82173 L
.24112 .82153 L
.24434 .82137 L
.24756 .82125 L
.25077 .82116 L
.25399 .8211 L
.2572 .82107 L
.26042 .82106 L
.26364 .82108 L
.26685 .82113 L
.27007 .8212 L
.27328 .82131 L
.2765 .82144 L
.27971 .82162 L
.28293 .82185 L
.28615 .82214 L
.28936 .82249 L
.29258 .82294 L
.29415 .82319 L
.29579 .82348 L
.29901 .82417 L
.30223 .82506 L
.30544 .82626 L
.30577 .82641 L
.30866 .82777 L
.31102 .82962 L
.31187 .83047 L
.3134 .83284 L
.31374 .83606 L
.31219 .83927 L
.31187 .83974 L
.30866 .84239 L
.30845 .84249 L
.30544 .84414 L
.30223 .84539 L
.30124 .8457 L
.29901 .84636 L
.29579 .84714 L
.29258 .84775 L
.28936 .84824 L
.28615 .84863 L
.28329 .84892 L
.28293 .84895 L
.27971 .84921 L
.2765 .84941 L
.27328 .84957 L
.27007 .84969 L
Mistroke
.26685 .84977 L
.26364 .84982 L
.26042 .84985 L
.2572 .84984 L
.25399 .8498 L
.25077 .84973 L
.24756 .84963 L
.24434 .84949 L
.24112 .84931 L
.23791 .84908 L
.23601 .84892 L
.23469 .84879 L
.23148 .84844 L
.22826 .84799 L
.22505 .84742 L
.22183 .84671 L
.21861 .84578 L
.21838 .8457 L
.2154 .84461 L
.21218 .84291 L
.21157 .84249 L
.20897 .84044 L
.20819 .83927 L
.20685 .83606 L
.20716 .83284 L
.20897 .82996 L
.20929 .82962 L
.21218 .82732 L
.21412 .82641 L
.2154 .82584 L
.21861 .8247 L
.22183 .82387 L
.22505 .82324 L
.22529 .82319 L
.22826 .82272 L
Mfstroke
.23148 .75887 m
.23469 .75823 L
.23791 .75772 L
.24112 .75732 L
.24434 .757 L
.24756 .75676 L
.25077 .75658 L
.25399 .75646 L
.2572 .7564 L
.26042 .75639 L
.26364 .75642 L
.26685 .75651 L
.27007 .75666 L
.27328 .75687 L
.2765 .75715 L
.27971 .7575 L
.28293 .75795 L
.28615 .75852 L
.28785 .75888 L
.28936 .75922 L
.29258 .76011 L
.29579 .76126 L
.29761 .76209 L
.29901 .76274 L
.30223 .76505 L
.30247 .76531 L
.30476 .76852 L
.305 .77174 L
.30301 .77495 L
.30223 .77578 L
.29901 .77772 L
.29757 .77817 L
.29579 .77884 L
.29258 .77976 L
.28936 .78043 L
.28615 .78094 L
.28293 .78133 L
.28242 .78139 L
.27971 .78166 L
.2765 .78191 L
.27328 .78211 L
.27007 .78225 L
.26685 .78235 L
.26364 .78242 L
.26042 .78244 L
.2572 .78243 L
.25399 .78239 L
.25077 .78231 L
.24756 .78218 L
.24434 .78201 L
Mistroke
.24112 .78179 L
.23791 .7815 L
.23686 .78139 L
.23469 .78114 L
.23148 .78069 L
.22826 .7801 L
.22505 .77929 L
.22188 .77817 L
.22183 .77816 L
.21861 .77678 L
.21657 .77495 L
.2154 .77351 L
.21463 .77174 L
.21484 .76852 L
.2154 .76736 L
.21704 .76531 L
.21861 .76388 L
.22178 .76209 L
.22183 .76207 L
.22505 .76069 L
.22826 .75966 L
.23144 .75888 L
.23148 .75887 L
Mfstroke
.39548 .70086 m
.3987 .69977 L
.40192 .69896 L
.40513 .69841 L
.40835 .69814 L
.41156 .69815 L
.41478 .69843 L
.418 .69898 L
.42121 .69981 L
.42443 .70091 L
.42464 .70099 L
.42764 .70228 L
.43086 .70395 L
.4313 .70421 L
.43408 .70593 L
.4362 .70742 L
.43729 .70825 L
.44019 .71064 L
.44051 .71092 L
.44361 .71385 L
.44372 .71397 L
.44663 .71707 L
.44694 .71742 L
.44935 .72029 L
.45015 .72129 L
.45183 .7235 L
.45337 .72567 L
.45408 .72672 L
.45616 .72993 L
.45659 .73063 L
.45807 .73315 L
.4598 .73628 L
.45985 .73636 L
.4615 .73958 L
.46302 .74275 L
.46304 .7428 L
.46447 .74601 L
.46581 .74923 L
.46623 .75028 L
.46707 .75244 L
.46824 .75566 L
.46933 .75888 L
.46945 .75924 L
.47035 .76209 L
.47129 .76531 L
.47218 .76852 L
.47267 .77041 L
.47299 .77174 L
.47375 .77495 L
.47444 .77817 L
Mistroke
.47508 .78139 L
.47567 .7846 L
.47588 .78585 L
.4762 .78782 L
.47667 .79103 L
.47709 .79425 L
.47746 .79747 L
.47778 .80068 L
.47806 .8039 L
.47828 .80711 L
.47846 .81033 L
.47859 .81355 L
.47866 .81676 L
.4787 .81998 L
.47868 .82319 L
.47862 .82641 L
.47851 .82962 L
.47835 .83284 L
.47814 .83606 L
.47788 .83927 L
.47758 .84249 L
.47722 .8457 L
.47682 .84892 L
.47636 .85214 L
.47588 .85517 L
.47585 .85535 L
.47528 .85857 L
.47466 .86178 L
.47399 .865 L
.47325 .86821 L
.47267 .87062 L
.47246 .87143 L
.4716 .87465 L
.47067 .87786 L
.46968 .88108 L
.46945 .88179 L
.46861 .88429 L
.46747 .88751 L
.46624 .89073 L
.46623 .89075 L
.46493 .89394 L
.46353 .89716 L
.46302 .89827 L
.46202 .90037 L
.46041 .90359 L
.4598 .90474 L
.45867 .9068 L
.45681 .91002 L
.45659 .91039 L
.45479 .91324 L
Mistroke
.45337 .91535 L
.4526 .91645 L
.45021 .91967 L
.45015 .91974 L
.44758 .92288 L
.44694 .92363 L
.44467 .9261 L
.44372 .92707 L
.44138 .92932 L
.44051 .9301 L
.43759 .93253 L
.43729 .93276 L
.43408 .93508 L
.43305 .93575 L
.43086 .93706 L
.42764 .93874 L
.42718 .93896 L
.42443 .94013 L
.42121 .94122 L
.418 .94204 L
.41744 .94218 L
.41478 .94259 L
.41156 .94286 L
.40835 .94287 L
.40513 .94261 L
.40229 .94218 L
.40192 .94208 L
.3987 .94128 L
.39548 .9402 L
.39253 .93896 L
.39227 .93884 L
.38905 .93718 L
.38667 .93575 L
.38584 .93521 L
.38262 .93291 L
.38213 .93253 L
.37941 .93027 L
.37834 .92932 L
.37619 .92726 L
.37505 .9261 L
.37297 .92385 L
.37213 .92288 L
.36976 .92 L
.3695 .91967 L
.3671 .91645 L
.36654 .91566 L
.3649 .91324 L
.36333 .91078 L
.36286 .91002 L
.36096 .9068 L
Mistroke
.36011 .90529 L
.3592 .90359 L
.35756 .90037 L
.35689 .89901 L
.35604 .89716 L
.35464 .89394 L
.35368 .89156 L
.35336 .89073 L
.3522 .88751 L
.35116 .88429 L
.35046 .88196 L
.35021 .88108 L
.34936 .87786 L
.34857 .87465 L
.34783 .87143 L
.34725 .86882 L
.34711 .86821 L
.3464 .865 L
.34568 .86178 L
.34492 .85857 L
.34414 .85535 L
.34403 .85493 L
.34332 .85214 L
.34248 .84892 L
.34164 .8457 L
.34084 .84249 L
.34082 .84237 L
.34019 .83927 L
.33972 .83606 L
.33952 .83284 L
.3396 .82962 L
.3399 .82641 L
.34034 .82319 L
.34082 .82012 L
.34084 .81998 L
.34135 .81676 L
.34183 .81355 L
.34225 .81033 L
.34261 .80711 L
.3429 .8039 L
.34314 .80068 L
.34332 .79747 L
.34347 .79425 L
.34361 .79103 L
.34377 .78782 L
.34398 .7846 L
.34403 .7839 L
.34427 .78139 L
.3447 .77817 L
.34528 .77495 L
Mistroke
.34601 .77174 L
.34688 .76852 L
.34725 .76727 L
.34787 .76531 L
.34897 .76209 L
.35013 .75888 L
.35046 .75798 L
.35135 .75566 L
.35263 .75244 L
.35368 .74988 L
.35395 .74923 L
.35534 .74601 L
.35679 .7428 L
.35689 .74257 L
.35833 .73958 L
.35996 .73636 L
.36011 .73608 L
.36171 .73315 L
.36333 .73039 L
.36361 .72993 L
.36566 .72672 L
.36654 .72541 L
.36789 .7235 L
.36976 .72102 L
.37034 .72029 L
.37297 .71715 L
.37305 .71707 L
.37608 .71385 L
.37619 .71374 L
.37941 .71074 L
.37952 .71064 L
.38262 .70811 L
.38354 .70742 L
.38584 .70583 L
.38846 .70421 L
.38905 .70387 L
.39227 .70222 L
.39514 .70099 L
.39548 .70086 L
Mfstroke
.64632 .63854 m
.64914 .63989 L
.64632 .64048 L
.64616 .63989 L
.64632 .63854 L
s
.52412 .60644 m
.52614 .60773 L
.52525 .61095 L
.52412 .61326 L
.52276 .61095 L
.52377 .60773 L
.52412 .60644 L
s
.36333 .59486 m
.36612 .59487 L
.36333 .59675 L
.36332 .59487 L
.36333 .59486 L
s
.36654 .58886 m
.36929 .59165 L
.36654 .5945 L
.36495 .59165 L
.36654 .58886 L
s
.39227 .55445 m
.39526 .55628 L
.39339 .55949 L
.39227 .5613 L
.39136 .56271 L
.38931 .56592 L
.38905 .56627 L
.38701 .56914 L
.38584 .57149 L
.38471 .57236 L
.38262 .57521 L
.38235 .57557 L
.3802 .57879 L
.37941 .57958 L
.37741 .582 L
.37619 .58407 L
.37482 .58522 L
.37297 .58746 L
.37213 .58844 L
.36976 .59116 L
.36681 .58844 L
.36888 .58522 L
.36976 .58386 L
.37104 .582 L
.37297 .57916 L
.37324 .57879 L
.37555 .57557 L
.37619 .57424 L
.37791 .57236 L
.37941 .57031 L
.38031 .56914 L
.38262 .56607 L
.38274 .56592 L
.38528 .56271 L
.38584 .56171 L
.38791 .55949 L
.38905 .55809 L
.39066 .55628 L
.39227 .55445 L
s
.39548 .55135 m
.39682 .55306 L
.39548 .55587 L
.39366 .55306 L
.39548 .55135 L
s
.30223 .55114 m
.30438 .55306 L
.30223 .55309 L
.30221 .55306 L
.30223 .55114 L
s
.7235 .53367 m
.72672 .53211 L
.72721 .53377 L
.72672 .53564 L
.72623 .53698 L
.72512 .5402 L
.7235 .54265 L
.72309 .54341 L
.72129 .54663 L
.72029 .54843 L
.71943 .54985 L
.71729 .55306 L
.71707 .55343 L
.71521 .55628 L
.71385 .55839 L
.71311 .55949 L
.71086 .56271 L
.71064 .56308 L
.70863 .56592 L
.70742 .56772 L
.70642 .56914 L
.70421 .57225 L
.70413 .57236 L
.70177 .57557 L
.70099 .57672 L
.69947 .57879 L
.69777 .58115 L
.69716 .582 L
.69475 .58522 L
.69456 .58551 L
.69235 .58844 L
.69134 .58984 L
.69 .59165 L
.68813 .59414 L
.68761 .59487 L
.68513 .59808 L
.68491 .59838 L
.68268 .6013 L
.6817 .6026 L
.68026 .60452 L
.67848 .60678 L
.67782 .60773 L
.67526 .61091 L
.67524 .61095 L
.6727 .61416 L
.67205 .61496 L
.67019 .61738 L
.66883 .61897 L
.66769 .62059 L
.66562 .6229 L
Mistroke
.66522 .62381 L
.6624 .6267 L
.66211 .62703 L
.65929 .63024 L
.65918 .63035 L
.65641 .63346 L
.65597 .63382 L
.65335 .63667 L
.65275 .637 L
.64954 .63964 L
.64695 .63667 L
.64776 .63346 L
.64954 .63141 L
.6502 .63024 L
.65202 .62703 L
.65275 .62571 L
.65379 .62381 L
.65597 .62104 L
.65627 .62059 L
.65837 .61738 L
.65918 .61615 L
.66044 .61416 L
.6624 .61145 L
.66263 .61095 L
.66517 .60773 L
.66562 .60709 L
.66737 .60452 L
.66883 .60254 L
.66958 .6013 L
.67205 .5982 L
.67206 .59808 L
.67447 .59487 L
.67526 .59382 L
.67672 .59165 L
.67848 .58942 L
.67898 .58844 L
.68168 .58522 L
.6817 .5852 L
.684 .582 L
.68491 .58086 L
.68626 .57879 L
.68813 .57654 L
.6885 .57557 L
.69134 .57238 L
.69136 .57236 L
.6937 .56914 L
.69456 .56812 L
.69595 .56592 L
.69777 .56389 L
.69877 .56271 L
Mistroke
.70099 .55976 L
.70125 .55949 L
.70367 .55628 L
.70421 .55569 L
.70593 .55306 L
.70742 .55159 L
.70892 .54985 L
.71064 .54758 L
.71154 .54663 L
.71385 .54372 L
.71422 .54341 L
.71699 .5402 L
.71707 .54013 L
.72001 .53698 L
.72029 .53665 L
.72341 .53377 L
.7235 .53367 L
Mfstroke
.40513 .4974 m
.40584 .49839 L
.40519 .50161 L
.40513 .50171 L
.40379 .50482 L
.40215 .50804 L
.40192 .50849 L
.4005 .51126 L
.3987 .51417 L
.3986 .51447 L
.39626 .51769 L
.39548 .51891 L
.39421 .5209 L
.39227 .5237 L
.39203 .52412 L
.3897 .52733 L
.38905 .5283 L
.3875 .53055 L
.38584 .53288 L
.38525 .53377 L
.38285 .53698 L
.38262 .53732 L
.38054 .5402 L
.37941 .54177 L
.37825 .54341 L
.37619 .54614 L
.37589 .54663 L
.37342 .54985 L
.37297 .55045 L
.37105 .55306 L
.36976 .55475 L
.36869 .55628 L
.36654 .55899 L
.36627 .55949 L
.36368 .56271 L
.36333 .56315 L
.36124 .56592 L
.36011 .56731 L
.35883 .56914 L
.35689 .5714 L
.35645 .57236 L
.35368 .57539 L
.35351 .57557 L
.35092 .57879 L
.35046 .57929 L
.34837 .582 L
.34725 .5831 L
.34605 .58522 L
.34403 .58677 L
.3424 .58844 L
Mistroke
.34082 .59025 L
.3392 .59165 L
.3376 .5935 L
.33522 .59487 L
.33438 .59533 L
.333 .59487 L
.33361 .59165 L
.33438 .58985 L
.33508 .58844 L
.33661 .58522 L
.3376 .58388 L
.33873 .582 L
.34073 .57879 L
.34082 .57865 L
.34268 .57557 L
.34403 .57351 L
.34465 .57236 L
.34719 .56914 L
.34725 .56905 L
.34935 .56592 L
.35046 .56435 L
.3515 .56271 L
.35368 .55985 L
.3538 .55949 L
.35631 .55628 L
.35689 .55547 L
.35855 .55306 L
.36011 .55102 L
.36079 .54985 L
.36333 .54674 L
.36343 .54663 L
.36576 .54341 L
.36654 .54241 L
.36804 .5402 L
.36976 .5381 L
.3703 .53698 L
.37297 .5339 L
.3731 .53377 L
.37549 .53055 L
.37619 .5297 L
.37779 .52733 L
.37941 .52551 L
.37997 .52412 L
.38262 .52139 L
.38308 .5209 L
.38558 .51769 L
.38584 .51741 L
.38797 .51447 L
.38905 .51339 L
.39088 .51126 L
Mistroke
.39227 .50946 L
.39359 .50804 L
.39548 .50563 L
.39639 .50482 L
.3987 .50192 L
.39938 .50161 L
.40192 .49919 L
.40296 .49839 L
.40513 .4974 L
Mfstroke
.72672 .48804 m
.72924 .48874 L
.72875 .49196 L
.72757 .49518 L
.72672 .49686 L
.72615 .49839 L
.72421 .50161 L
.7235 .50301 L
.72238 .50482 L
.72038 .50804 L
.72029 .50822 L
.71827 .51126 L
.71707 .51325 L
.71621 .51447 L
.71401 .51769 L
.71385 .51799 L
.71174 .5209 L
.71064 .52266 L
.70956 .52412 L
.70742 .52721 L
.70733 .52733 L
.7049 .53055 L
.70421 .5317 L
.70263 .53377 L
.70099 .53615 L
.70036 .53698 L
.69796 .5402 L
.69777 .54054 L
.69556 .54341 L
.69456 .54492 L
.69325 .54663 L
.69134 .54928 L
.69092 .54985 L
.68846 .55306 L
.68813 .5536 L
.68606 .55628 L
.68491 .55793 L
.68372 .55949 L
.6817 .56224 L
.68135 .56271 L
.67888 .56592 L
.67848 .56652 L
.67647 .56914 L
.67526 .5708 L
.6741 .57236 L
.67205 .57509 L
.6717 .57557 L
.66922 .57879 L
.66883 .57932 L
.66679 .582 L
Mistroke
.66562 .58357 L
.66439 .58522 L
.6624 .5878 L
.66196 .58844 L
.65945 .59165 L
.65918 .59199 L
.65699 .59487 L
.65597 .59616 L
.65455 .59808 L
.65275 .60032 L
.65208 .6013 L
.64954 .60442 L
.64949 .60452 L
.64693 .60773 L
.64632 .60844 L
.6444 .61095 L
.64311 .61242 L
.64188 .61416 L
.63989 .6163 L
.63938 .61738 L
.63667 .62005 L
.63617 .62059 L
.63346 .6236 L
.63324 .62381 L
.63024 .62689 L
.63007 .62703 L
.62703 .62987 L
.62633 .63024 L
.62381 .63176 L
.62172 .63024 L
.62167 .62703 L
.62381 .62409 L
.62395 .62381 L
.62551 .62059 L
.62703 .61822 L
.62734 .61738 L
.62951 .61416 L
.63024 .61289 L
.63154 .61095 L
.63346 .60802 L
.63371 .60773 L
.63598 .60452 L
.63667 .60343 L
.63818 .6013 L
.63989 .59882 L
.64043 .59808 L
.64281 .59487 L
.64311 .59442 L
.64511 .59165 L
.64632 .58993 L
Mistroke
.64741 .58844 L
.64954 .58554 L
.64977 .58522 L
.65218 .582 L
.65275 .58119 L
.65452 .57879 L
.65597 .57681 L
.65685 .57557 L
.65918 .57251 L
.65928 .57236 L
.6617 .56914 L
.6624 .56818 L
.66404 .56592 L
.66562 .56384 L
.66639 .56271 L
.66883 .55958 L
.66888 .55949 L
.67129 .55628 L
.67205 .55527 L
.67363 .55306 L
.67526 .55097 L
.67599 .54985 L
.67848 .54672 L
.67852 .54663 L
.68094 .54341 L
.6817 .54245 L
.68328 .5402 L
.68491 .53817 L
.68562 .53698 L
.68813 .53394 L
.68816 .53377 L
.69066 .53055 L
.69134 .52971 L
.69299 .52733 L
.69456 .52548 L
.6953 .52412 L
.69777 .52129 L
.6981 .5209 L
.70052 .51769 L
.70099 .51714 L
.70287 .51447 L
.70421 .513 L
.70511 .51126 L
.70742 .50892 L
.70817 .50804 L
.71064 .50494 L
.71075 .50482 L
.71326 .50161 L
.71385 .50105 L
.71564 .49839 L
Mistroke
.71707 .49727 L
.71902 .49518 L
.72029 .49371 L
.72212 .49196 L
.7235 .49049 L
.72588 .48874 L
.72672 .48804 L
Mfstroke
.29579 .4759 m
.29715 .4791 L
.29579 .47986 L
.29491 .4791 L
.29579 .4759 L
s
.55949 .47302 m
.56215 .47588 L
.56229 .4791 L
.5621 .48231 L
.56206 .48553 L
.56098 .48874 L
.56017 .49196 L
.55973 .49518 L
.55975 .49839 L
.56006 .50161 L
.56 .50482 L
.55949 .50757 L
.5594 .50804 L
.55843 .51126 L
.55716 .51447 L
.55628 .51668 L
.55586 .51769 L
.55444 .5209 L
.5531 .52412 L
.55306 .52421 L
.55196 .52733 L
.55102 .53055 L
.55046 .53377 L
.55016 .53698 L
.54985 .53981 L
.54981 .5402 L
.54917 .54341 L
.54813 .54663 L
.54691 .54985 L
.54663 .55062 L
.54564 .55306 L
.54423 .55628 L
.54341 .55829 L
.54304 .55949 L
.54197 .56271 L
.5412 .56592 L
.54075 .56914 L
.54034 .57236 L
.5402 .57322 L
.53984 .57557 L
.53876 .57879 L
.53741 .582 L
.53698 .58299 L
.53612 .58522 L
.5344 .58844 L
.53377 .58959 L
.53322 .59165 L
.53115 .59487 L
.53055 .59572 L
.52939 .59808 L
Mistroke
.52788 .6013 L
.52733 .6029 L
.52413 .6013 L
.52412 .60127 L
.52333 .59808 L
.52291 .59487 L
.52281 .59165 L
.52384 .58844 L
.52412 .58735 L
.52497 .58522 L
.52598 .582 L
.52733 .57914 L
.52749 .57879 L
.52814 .57557 L
.52944 .57236 L
.53011 .56914 L
.5303 .56592 L
.53048 .56271 L
.53055 .56211 L
.53099 .55949 L
.53153 .55628 L
.53295 .55306 L
.53377 .55115 L
.53391 .54985 L
.53551 .54663 L
.53698 .54348 L
.53701 .54341 L
.53753 .5402 L
.53854 .53698 L
.53902 .53377 L
.53931 .53055 L
.53985 .52733 L
.5402 .52549 L
.54073 .52412 L
.54157 .5209 L
.54317 .51769 L
.54341 .51717 L
.54417 .51447 L
.54598 .51126 L
.54663 .51002 L
.54744 .50804 L
.54814 .50482 L
.54918 .50161 L
.54966 .49839 L
.54985 .49667 L
.55001 .49518 L
.55064 .49196 L
.55166 .48874 L
.55289 .48553 L
.55306 .48524 L
Mistroke
.5545 .48231 L
.55612 .4791 L
.55628 .47879 L
.55792 .47588 L
.55949 .47302 L
Mfstroke
.3987 .46231 m
.40192 .46193 L
.40195 .46302 L
.40192 .46321 L
.40094 .46623 L
.39959 .46945 L
.3987 .47089 L
.3982 .47267 L
.39589 .47588 L
.39548 .47663 L
.394 .4791 L
.39227 .48188 L
.39197 .48231 L
.38976 .48553 L
.38905 .48666 L
.38765 .48874 L
.38584 .49141 L
.38546 .49196 L
.38315 .49518 L
.38262 .49598 L
.38091 .49839 L
.37941 .50054 L
.37865 .50161 L
.37629 .50482 L
.37619 .50497 L
.37394 .50804 L
.37297 .50941 L
.37163 .51126 L
.36976 .5138 L
.36929 .51447 L
.36685 .51769 L
.36654 .51812 L
.36448 .5209 L
.36333 .52246 L
.36213 .52412 L
.36011 .52676 L
.35973 .52733 L
.35724 .53055 L
.35689 .53101 L
.35483 .53377 L
.35368 .53526 L
.35245 .53698 L
.35046 .53949 L
.35002 .5402 L
.34743 .54341 L
.34725 .54365 L
.34499 .54663 L
.34403 .5478 L
.34257 .54985 L
.34082 .55191 L
Mistroke
.34015 .55306 L
.3376 .55595 L
.33732 .55628 L
.33475 .55949 L
.33438 .5599 L
.33221 .56271 L
.33117 .56378 L
.32977 .56592 L
.32795 .56753 L
.32646 .56914 L
.32474 .57111 L
.32345 .57236 L
.32152 .57445 L
.32008 .57557 L
.3183 .57747 L
.31509 .57833 L
.31484 .57557 L
.31509 .57477 L
.31605 .57236 L
.31752 .56914 L
.3183 .56727 L
.31903 .56592 L
.32134 .56271 L
.32152 .56238 L
.32329 .55949 L
.32474 .55717 L
.32533 .55628 L
.32762 .55306 L
.32795 .55255 L
.32979 .54985 L
.33117 .54782 L
.33198 .54663 L
.33434 .54341 L
.33438 .54335 L
.33663 .5402 L
.3376 .53881 L
.33889 .53698 L
.34082 .53436 L
.34121 .53377 L
.34364 .53055 L
.34403 .53 L
.34597 .52733 L
.34725 .52561 L
.34829 .52412 L
.35046 .52128 L
.35069 .5209 L
.35316 .51769 L
.35368 .51699 L
.35551 .51447 L
.35689 .51268 L
Mistroke
.35786 .51126 L
.36011 .50841 L
.3603 .50804 L
.36283 .50482 L
.36333 .50419 L
.36521 .50161 L
.36654 .49995 L
.36756 .49839 L
.36976 .49576 L
.36998 .49518 L
.3727 .49196 L
.37297 .49163 L
.37512 .48874 L
.37619 .4875 L
.37748 .48553 L
.37941 .48344 L
.37973 .48231 L
.38262 .47947 L
.38296 .4791 L
.38558 .47588 L
.38584 .47562 L
.38814 .47267 L
.38905 .47187 L
.39129 .46945 L
.39227 .46832 L
.3944 .46623 L
.39548 .46504 L
.39799 .46302 L
.3987 .46231 L
Mfstroke
.7235 .45182 m
.725 .45337 L
.72461 .45659 L
.7235 .45895 L
.72315 .4598 L
.72161 .46302 L
.72029 .46584 L
.71988 .46623 L
.7179 .46945 L
.71707 .471 L
.71594 .47267 L
.71388 .47588 L
.71385 .47594 L
.71163 .4791 L
.71064 .48077 L
.7095 .48231 L
.70742 .48539 L
.70731 .48553 L
.7049 .48874 L
.70421 .48994 L
.70266 .49196 L
.70099 .49442 L
.70041 .49518 L
.69799 .49839 L
.69777 .49883 L
.69562 .50161 L
.69456 .50324 L
.69333 .50482 L
.69134 .50761 L
.69101 .50804 L
.68853 .51126 L
.68813 .51194 L
.68616 .51447 L
.68491 .51629 L
.68383 .51769 L
.6817 .52061 L
.68148 .5209 L
.67899 .52412 L
.67848 .52491 L
.67661 .52733 L
.67526 .52923 L
.67426 .53055 L
.67205 .53353 L
.67188 .53377 L
.6694 .53698 L
.66883 .53781 L
.66701 .5402 L
.66562 .5421 L
.66464 .54341 L
.6624 .54639 L
Mistroke
.66223 .54663 L
.65976 .54985 L
.65918 .55065 L
.65737 .55306 L
.65597 .55493 L
.65499 .55628 L
.65275 .5592 L
.65256 .55949 L
.65008 .56271 L
.64954 .56343 L
.64768 .56592 L
.64632 .56768 L
.64528 .56914 L
.64311 .57192 L
.64283 .57236 L
.64031 .57557 L
.63989 .57611 L
.63789 .57879 L
.63667 .58029 L
.63547 .582 L
.63346 .58446 L
.63301 .58522 L
.63036 .58844 L
.63024 .58857 L
.62786 .59165 L
.62703 .59261 L
.62538 .59487 L
.62381 .59659 L
.62292 .59808 L
.62059 .60047 L
.61987 .6013 L
.61738 .60419 L
.61707 .60452 L
.61416 .60768 L
.61411 .60773 L
.61095 .61085 L
.61081 .61095 L
.60773 .61364 L
.60642 .61416 L
.60452 .61464 L
.60385 .61416 L
.6036 .61095 L
.60452 .60901 L
.60503 .60773 L
.60649 .60452 L
.60773 .60234 L
.60821 .6013 L
.61024 .59808 L
.61095 .59679 L
.61223 .59487 L
Mistroke
.61416 .59185 L
.61434 .59165 L
.61658 .58844 L
.61738 .58713 L
.61876 .58522 L
.62059 .58252 L
.621 .582 L
.62335 .57879 L
.62381 .57806 L
.62565 .57557 L
.62703 .57357 L
.62794 .57236 L
.63024 .56921 L
.63029 .56914 L
.63271 .56592 L
.63346 .56481 L
.63504 .56271 L
.63667 .56044 L
.63738 .55949 L
.6398 .55628 L
.63989 .55613 L
.64221 .55306 L
.64311 .55179 L
.64456 .54985 L
.64632 .54746 L
.64693 .54663 L
.64937 .54341 L
.64954 .54318 L
.65178 .5402 L
.65275 .53886 L
.65414 .53698 L
.65597 .53455 L
.65652 .53377 L
.65899 .53055 L
.65918 .53028 L
.66139 .52733 L
.6624 .52598 L
.66375 .52412 L
.66562 .52169 L
.66614 .5209 L
.66864 .51769 L
.66883 .51743 L
.67103 .51447 L
.67205 .51315 L
.67339 .51126 L
.67526 .50887 L
.67577 .50804 L
.67833 .50482 L
.67848 .50463 L
.68071 .50161 L
Mistroke
.6817 .50037 L
.68306 .49839 L
.68491 .49612 L
.68543 .49518 L
.68808 .49196 L
.68813 .4919 L
.69047 .48874 L
.69134 .48769 L
.69282 .48553 L
.69456 .4835 L
.69515 .48231 L
.69777 .47935 L
.69798 .4791 L
.70043 .47588 L
.70099 .47525 L
.70281 .47267 L
.70421 .4712 L
.70508 .46945 L
.70742 .46723 L
.70828 .46623 L
.71064 .4634 L
.71099 .46302 L
.71382 .4598 L
.71385 .45977 L
.71691 .45659 L
.71707 .45642 L
.72029 .45344 L
.72054 .45337 L
.7235 .45182 L
Mfstroke
.57236 .44393 m
.57433 .44694 L
.57241 .45015 L
.57236 .45024 L
.57054 .45337 L
.56914 .45584 L
.56872 .45659 L
.56688 .4598 L
.56592 .46169 L
.56503 .46302 L
.56316 .46623 L
.56271 .46669 L
.56093 .46623 L
.56082 .46302 L
.56134 .4598 L
.56246 .45659 L
.56271 .45583 L
.56414 .45337 L
.56592 .45069 L
.56633 .45015 L
.56914 .44696 L
.56917 .44694 L
.57236 .44393 L
s
.57557 .44073 m
.5765 .44372 L
.57557 .44502 L
.57257 .44372 L
.57557 .44073 L
s
.45015 .43223 m
.45076 .43408 L
.45149 .43729 L
.4515 .44051 L
.45086 .44372 L
.45015 .44598 L
.44979 .44694 L
.44841 .45015 L
.44694 .45334 L
.44692 .45337 L
.44525 .45659 L
.44372 .45961 L
.44362 .4598 L
.4419 .46302 L
.44065 .46623 L
.44119 .46945 L
.44154 .47267 L
.44112 .47588 L
.44051 .47804 L
.44011 .4791 L
.43858 .48231 L
.43729 .48505 L
.43659 .48553 L
.43408 .48724 L
.43336 .48553 L
.4336 .48231 L
.43408 .48032 L
.43444 .4791 L
.4356 .47588 L
.43696 .47267 L
.43729 .47222 L
.43848 .46945 L
.43958 .46623 L
.43869 .46302 L
.43808 .4598 L
.4382 .45659 L
.43827 .45337 L
.4399 .45015 L
.44051 .44864 L
.44129 .44694 L
.44259 .44372 L
.44372 .44185 L
.44441 .44051 L
.44611 .43729 L
.44694 .436 L
.44791 .43408 L
.45015 .43223 L
s
.38905 .43377 m
.39181 .43408 L
.39119 .43729 L
.39002 .44051 L
.38905 .44207 L
.38879 .44372 L
.38637 .44694 L
.38584 .44793 L
.38451 .45015 L
.38262 .45313 L
.38244 .45337 L
.38024 .45659 L
.37941 .4579 L
.37812 .4598 L
.37619 .4626 L
.3759 .46302 L
.37359 .46623 L
.37297 .46715 L
.37135 .46945 L
.36976 .4717 L
.36908 .47267 L
.36669 .47588 L
.36654 .47611 L
.36436 .4791 L
.36333 .48055 L
.36206 .48231 L
.36011 .48494 L
.35971 .48553 L
.35726 .48874 L
.35689 .48926 L
.35491 .49196 L
.35368 .49361 L
.35256 .49518 L
.35046 .49791 L
.35016 .49839 L
.34767 .50161 L
.34725 .50218 L
.34529 .50482 L
.34403 .50645 L
.34293 .50804 L
.34082 .51069 L
.3405 .51126 L
.33793 .51447 L
.3376 .51489 L
.33552 .51769 L
.33438 .51909 L
.33314 .5209 L
.33117 .52324 L
.33074 .52412 L
.32795 .52733 L
Mistroke
.32795 .52733 L
.32547 .53055 L
.32474 .53138 L
.32304 .53377 L
.32152 .53537 L
.32074 .53698 L
.3183 .53927 L
.31746 .5402 L
.31509 .54301 L
.31468 .54341 L
.31187 .54654 L
.31176 .54663 L
.30866 .54982 L
.30855 .54985 L
.30544 .55244 L
.30258 .54985 L
.30306 .54663 L
.30544 .5435 L
.30548 .54341 L
.30717 .5402 L
.30866 .5375 L
.30905 .53698 L
.31124 .53377 L
.31187 .53271 L
.31328 .53055 L
.31509 .52782 L
.31543 .52733 L
.3177 .52412 L
.3183 .52319 L
.31991 .5209 L
.32152 .51857 L
.32214 .51769 L
.3245 .51447 L
.32474 .51411 L
.3268 .51126 L
.32795 .50962 L
.32909 .50804 L
.33117 .50522 L
.33144 .50482 L
.33385 .50161 L
.33438 .50085 L
.3362 .49839 L
.3376 .49649 L
.33854 .49518 L
.34082 .49218 L
.34095 .49196 L
.34339 .48874 L
.34403 .48788 L
.34576 .48553 L
.34725 .48359 L
Mistroke
.34813 .48231 L
.35046 .47934 L
.3506 .4791 L
.35309 .47588 L
.35368 .47512 L
.35549 .47267 L
.35689 .4709 L
.35787 .46945 L
.36011 .46672 L
.36034 .46623 L
.36299 .46302 L
.36333 .4626 L
.36544 .4598 L
.36654 .4585 L
.36785 .45659 L
.36976 .45446 L
.3702 .45337 L
.37297 .45052 L
.3733 .45015 L
.37595 .44694 L
.37619 .44669 L
.37858 .44372 L
.37941 .44298 L
.3817 .44051 L
.38262 .43947 L
.38487 .43729 L
.38584 .43628 L
.3887 .43408 L
.38905 .43377 L
Mfstroke
.71064 .42407 m
.71385 .42189 L
.71642 .42443 L
.71581 .42764 L
.71408 .43086 L
.71385 .43146 L
.71246 .43408 L
.71064 .43723 L
.71061 .43729 L
.70859 .44051 L
.70742 .44256 L
.70658 .44372 L
.70441 .44694 L
.70421 .44734 L
.70219 .45015 L
.70099 .45208 L
.70001 .45337 L
.69778 .45659 L
.69777 .45659 L
.69536 .4598 L
.69456 .46111 L
.6931 .46302 L
.69134 .46556 L
.69082 .46623 L
.68839 .46945 L
.68813 .46993 L
.68601 .47267 L
.68491 .47432 L
.6837 .47588 L
.6817 .47867 L
.68137 .4791 L
.6789 .48231 L
.67848 .48299 L
.67652 .48553 L
.67526 .48733 L
.67418 .48874 L
.67205 .49164 L
.67181 .49196 L
.66934 .49518 L
.66883 .49594 L
.66695 .49839 L
.66562 .50025 L
.6646 .50161 L
.6624 .50455 L
.6622 .50482 L
.65974 .50804 L
.65918 .50883 L
.65735 .51126 L
.65597 .51313 L
.65498 .51447 L
Mistroke
.65275 .51741 L
.65257 .51769 L
.65011 .5209 L
.64954 .52168 L
.64772 .52412 L
.64632 .52597 L
.64534 .52733 L
.64311 .53025 L
.64291 .53055 L
.64044 .53377 L
.63989 .53449 L
.63805 .53698 L
.63667 .53876 L
.63568 .5402 L
.63346 .54302 L
.63323 .54341 L
.63073 .54663 L
.63024 .54725 L
.62833 .54985 L
.62703 .55148 L
.62595 .55306 L
.62381 .55569 L
.62351 .55628 L
.6209 .55949 L
.62059 .55986 L
.61848 .56271 L
.61738 .56401 L
.61608 .56592 L
.61416 .56812 L
.61368 .56914 L
.61095 .57216 L
.61078 .57236 L
.60822 .57557 L
.60773 .57608 L
.60568 .57879 L
.60452 .5799 L
.60322 .582 L
.6013 .58354 L
.59969 .58522 L
.59808 .58692 L
.59643 .58844 L
.59487 .58988 L
.59213 .59165 L
.59165 .59192 L
.58961 .59165 L
.58955 .58844 L
.59054 .58522 L
.59165 .58301 L
.59199 .582 L
.59387 .57879 L
Mistroke
.59487 .57678 L
.59572 .57557 L
.59779 .57236 L
.59808 .5718 L
.59989 .56914 L
.6013 .56685 L
.602 .56592 L
.60427 .56271 L
.60452 .56224 L
.60654 .55949 L
.60773 .55763 L
.60876 .55628 L
.61095 .55317 L
.61104 .55306 L
.61347 .54985 L
.61416 .54873 L
.61577 .54663 L
.61738 .54431 L
.61807 .54341 L
.62047 .5402 L
.62059 .53997 L
.62289 .53698 L
.62381 .5356 L
.62522 .53377 L
.62703 .53126 L
.62757 .53055 L
.63001 .52733 L
.63024 .52696 L
.63241 .52412 L
.63346 .52263 L
.63477 .5209 L
.63667 .51831 L
.63714 .51769 L
.63959 .51447 L
.63989 .51403 L
.642 .51126 L
.64311 .50972 L
.64436 .50804 L
.64632 .50542 L
.64675 .50482 L
.64921 .50161 L
.64954 .50115 L
.65161 .49839 L
.65275 .49686 L
.65398 .49518 L
.65597 .49257 L
.65638 .49196 L
.65886 .48874 L
.65918 .4883 L
.66125 .48553 L
Mistroke
.6624 .48402 L
.66362 .48231 L
.66562 .47975 L
.66603 .4791 L
.66854 .47588 L
.66883 .4755 L
.67093 .47267 L
.67205 .47124 L
.6733 .46945 L
.67526 .46699 L
.67571 .46623 L
.67828 .46302 L
.67848 .46276 L
.68068 .4598 L
.6817 .45855 L
.68304 .45659 L
.68491 .45435 L
.68543 .45337 L
.68813 .45019 L
.68815 .45015 L
.6906 .44694 L
.69134 .44609 L
.693 .44372 L
.69456 .44202 L
.69535 .44051 L
.69777 .43803 L
.69841 .43729 L
.70099 .43418 L
.70109 .43408 L
.7038 .43086 L
.70421 .43051 L
.70659 .42764 L
.70742 .42708 L
.71026 .42443 L
.71064 .42407 L
Mfstroke
.54663 .41323 m
.5484 .41478 L
.54852 .418 L
.54855 .42121 L
.54726 .42443 L
.54663 .42673 L
.54648 .42764 L
.54615 .43086 L
.54629 .43408 L
.54653 .43729 L
.54647 .44051 L
.54588 .44372 L
.5449 .44694 L
.54374 .45015 L
.54341 .45115 L
.54258 .45337 L
.54135 .45659 L
.54036 .4598 L
.5402 .46035 L
.53971 .46302 L
.53937 .46623 L
.53917 .46945 L
.53875 .47267 L
.53797 .47588 L
.53699 .4791 L
.53698 .47913 L
.53574 .48231 L
.53439 .48553 L
.53377 .48726 L
.5332 .48874 L
.53203 .49196 L
.53117 .49518 L
.53071 .49839 L
.53055 .50054 L
.53047 .50161 L
.53011 .50482 L
.52938 .50804 L
.52831 .51126 L
.52733 .51401 L
.52714 .51447 L
.52577 .51769 L
.52442 .5209 L
.52412 .52171 L
.52324 .52412 L
.52219 .52733 L
.52151 .53055 L
.52116 .53377 L
.5209 .53665 L
.52087 .53698 L
.52031 .5402 L
Mistroke
.51935 .54341 L
.51815 .54663 L
.51769 .54786 L
.51688 .54985 L
.51545 .55306 L
.51447 .5554 L
.51417 .55628 L
.51297 .55949 L
.51203 .56271 L
.51147 .56592 L
.51126 .56785 L
.51116 .56914 L
.51074 .57236 L
.50992 .57557 L
.50875 .57879 L
.50804 .58056 L
.50751 .582 L
.50599 .58522 L
.50482 .58762 L
.50458 .58844 L
.50308 .59165 L
.50161 .59487 L
.50161 .59487 L
.50125 .59808 L
.50022 .6013 L
.49931 .60452 L
.49839 .6074 L
.49831 .60773 L
.49715 .61095 L
.49584 .61416 L
.49518 .61491 L
.49344 .61738 L
.49196 .61914 L
.48874 .61984 L
.48819 .61738 L
.48861 .61416 L
.48874 .61375 L
.48948 .61095 L
.49033 .60773 L
.49043 .60452 L
.49069 .6013 L
.49049 .59808 L
.49052 .59487 L
.49101 .59165 L
.49187 .58844 L
.49196 .58806 L
.49284 .58522 L
.49415 .582 L
.49518 .57937 L
.49534 .57879 L
Mistroke
.49644 .57557 L
.49736 .57236 L
.49788 .56914 L
.49808 .56592 L
.49834 .56271 L
.49839 .56231 L
.49885 .55949 L
.49982 .55628 L
.50106 .55306 L
.50161 .55161 L
.50228 .54985 L
.50366 .54663 L
.50482 .54364 L
.50488 .54341 L
.50584 .5402 L
.50655 .53698 L
.50691 .53377 L
.50719 .53055 L
.50772 .52733 L
.50804 .52573 L
.50851 .52412 L
.5097 .5209 L
.51105 .51769 L
.51126 .51719 L
.51232 .51447 L
.51369 .51126 L
.51447 .50925 L
.51476 .50804 L
.51559 .50482 L
.51612 .50161 L
.51642 .49839 L
.51686 .49518 L
.51763 .49196 L
.51769 .49174 L
.51857 .48874 L
.51993 .48553 L
.5209 .48331 L
.52121 .48231 L
.52262 .4791 L
.52397 .47588 L
.52412 .47558 L
.52481 .47267 L
.52558 .46945 L
.52601 .46623 L
.52639 .46302 L
.52704 .4598 L
.52733 .45864 L
.52775 .45659 L
.52911 .45337 L
.53055 .45035 L
Mistroke
.53064 .45015 L
.53188 .44694 L
.53358 .44372 L
.53377 .44341 L
.53441 .44051 L
.53596 .43729 L
.53698 .43431 L
.53703 .43408 L
.53758 .43086 L
.53813 .42764 L
.53901 .42443 L
.5402 .42136 L
.54029 .42121 L
.54208 .418 L
.54341 .41596 L
.54454 .41478 L
.54663 .41323 L
Mfstroke
.37297 .41277 m
.37619 .41201 L
.37633 .41478 L
.37619 .41522 L
.37506 .418 L
.37353 .42121 L
.37297 .42248 L
.37206 .42443 L
.36976 .42751 L
.36968 .42764 L
.36771 .43086 L
.36654 .43274 L
.3657 .43408 L
.36335 .43729 L
.36333 .43732 L
.36117 .44051 L
.36011 .44206 L
.35899 .44372 L
.35689 .4466 L
.3567 .44694 L
.35431 .45015 L
.35368 .45104 L
.35204 .45337 L
.35046 .45551 L
.34976 .45659 L
.34727 .4598 L
.34725 .45983 L
.34493 .46302 L
.34403 .46422 L
.34262 .46623 L
.34082 .46856 L
.34028 .46945 L
.33771 .47267 L
.3376 .47281 L
.33534 .47588 L
.33438 .4771 L
.33301 .4791 L
.33117 .48136 L
.33067 .48231 L
.32796 .48553 L
.32795 .48553 L
.32555 .48874 L
.32474 .48973 L
.32321 .49196 L
.32152 .49389 L
.32093 .49518 L
.3183 .49797 L
.31793 .49839 L
.31541 .50161 L
.31509 .50196 L
Mistroke
.31298 .50482 L
.31187 .50593 L
.31077 .50804 L
.30866 .50978 L
.30729 .51126 L
.30544 .5135 L
.3044 .51447 L
.30223 .51704 L
.30127 .51769 L
.29901 .51975 L
.29738 .5209 L
.29579 .52161 L
.29489 .5209 L
.29525 .51769 L
.29579 .51684 L
.29684 .51447 L
.29843 .51126 L
.29901 .51004 L
.30006 .50804 L
.30223 .50485 L
.30224 .50482 L
.30423 .50161 L
.30544 .49967 L
.30627 .49839 L
.30852 .49518 L
.30866 .49496 L
.31071 .49196 L
.31187 .49023 L
.3129 .48874 L
.31509 .48568 L
.31519 .48553 L
.31752 .48231 L
.3183 .48117 L
.31979 .4791 L
.32152 .47671 L
.3221 .47588 L
.32451 .47267 L
.32474 .47234 L
.32687 .46945 L
.32795 .46797 L
.32921 .46623 L
.33117 .46364 L
.33158 .46302 L
.33406 .4598 L
.33438 .45937 L
.33646 .45659 L
.3376 .4551 L
.33884 .45337 L
.34082 .45086 L
.34126 .45015 L
Mistroke
.34384 .44694 L
.34403 .44669 L
.34629 .44372 L
.34725 .44253 L
.34871 .44051 L
.35046 .43842 L
.35113 .43729 L
.35368 .43439 L
.35395 .43408 L
.35652 .43086 L
.35689 .43044 L
.35907 .42764 L
.36011 .42657 L
.36152 .42443 L
.36333 .42282 L
.36482 .42121 L
.36654 .41924 L
.36783 .418 L
.36976 .41588 L
.37119 .41478 L
.37297 .41277 L
Mfstroke
.45659 .40924 m
.45773 .41156 L
.45711 .41478 L
.45659 .41636 L
.45593 .418 L
.45446 .42121 L
.45337 .42373 L
.45287 .42443 L
.45107 .42764 L
.45015 .42933 L
.44912 .42764 L
.44887 .42443 L
.44934 .42121 L
.45015 .41853 L
.45036 .418 L
.45184 .41478 L
.45337 .41182 L
.45385 .41156 L
.45659 .40924 L
s
.35046 .40221 m
.35287 .40513 L
.35122 .40835 L
.35046 .40968 L
.34934 .41156 L
.34738 .41478 L
.34725 .415 L
.34567 .418 L
.34403 .42037 L
.3431 .42121 L
.34092 .42443 L
.34082 .42458 L
.33886 .42764 L
.3376 .42933 L
.33695 .43086 L
.33438 .43383 L
.33405 .43408 L
.33179 .43729 L
.33117 .43809 L
.32966 .44051 L
.32795 .44253 L
.32692 .44372 L
.32474 .44677 L
.32452 .44694 L
.32219 .45015 L
.32152 .45094 L
.32005 .45337 L
.3183 .4552 L
.31709 .45659 L
.31509 .45935 L
.31457 .4598 L
.31205 .46302 L
.31187 .4632 L
.30977 .46623 L
.30866 .46719 L
.30664 .46945 L
.30544 .47111 L
.30382 .47267 L
.30223 .47501 L
.30079 .47588 L
.29901 .47763 L
.2958 .47588 L
.29734 .47267 L
.29901 .46962 L
.29911 .46945 L
.30073 .46623 L
.30223 .46381 L
.30303 .46302 L
.3051 .4598 L
.30544 .45927 L
Mistroke
.30712 .45659 L
.30866 .4544 L
.30915 .45337 L
.31171 .45015 L
.31187 .44991 L
.31392 .44694 L
.31509 .44535 L
.31611 .44372 L
.3183 .44093 L
.31842 .44051 L
.32102 .43729 L
.32152 .43663 L
.32333 .43408 L
.32474 .43232 L
.3256 .43086 L
.32795 .42811 L
.32836 .42764 L
.33084 .42443 L
.33117 .42403 L
.33326 .42121 L
.33438 .41996 L
.33554 .418 L
.3376 .41598 L
.33868 .41478 L
.34082 .41212 L
.34142 .41156 L
.34403 .40844 L
.34427 .40835 L
.34725 .4052 L
.34731 .40513 L
.35046 .40221 L
Mfstroke
.35368 .40046 m
.35407 .40192 L
.35368 .40325 L
.35084 .40192 L
.35368 .40046 L
s
.70099 .39662 m
.70421 .39683 L
.70441 .3987 L
.70421 .39942 L
.70345 .40192 L
.70211 .40513 L
.70099 .40722 L
.70049 .40835 L
.69852 .41156 L
.69777 .413 L
.69658 .41478 L
.69456 .41795 L
.69451 .418 L
.6923 .42121 L
.69134 .42279 L
.69014 .42443 L
.68813 .4274 L
.68793 .42764 L
.68557 .43086 L
.68491 .43192 L
.68329 .43408 L
.6817 .43641 L
.68102 .43729 L
.67864 .44051 L
.67848 .44078 L
.67625 .44372 L
.67526 .44519 L
.67393 .44694 L
.67205 .44956 L
.67159 .45015 L
.66915 .45337 L
.66883 .45388 L
.66677 .45659 L
.66562 .45823 L
.66442 .4598 L
.6624 .46254 L
.66205 .46302 L
.6596 .46623 L
.65918 .46684 L
.65721 .46945 L
.65597 .47116 L
.65485 .47267 L
.65275 .47546 L
.65245 .47588 L
.64999 .4791 L
.64954 .47974 L
.64761 .48231 L
.64632 .48404 L
.64524 .48553 L
.64311 .48833 L
Mistroke
.64283 .48874 L
.64036 .49196 L
.63989 .4926 L
.63798 .49518 L
.63667 .49689 L
.63561 .49839 L
.63346 .50117 L
.63319 .50161 L
.6307 .50482 L
.63024 .50542 L
.62832 .50804 L
.62703 .50969 L
.62596 .51126 L
.62381 .51396 L
.62353 .51447 L
.62099 .51769 L
.62059 .51819 L
.61861 .5209 L
.61738 .52243 L
.61626 .52412 L
.61416 .52665 L
.61385 .52733 L
.61119 .53055 L
.61095 .53084 L
.60879 .53377 L
.60773 .53501 L
.60645 .53698 L
.60452 .53915 L
.60412 .5402 L
.6013 .54322 L
.60113 .54341 L
.59862 .54663 L
.59808 .54719 L
.59617 .54985 L
.59487 .55104 L
.59308 .55306 L
.59165 .5547 L
.59011 .55628 L
.58844 .55803 L
.58675 .55949 L
.58522 .56087 L
.582 .56253 L
.58041 .55949 L
.58144 .55628 L
.582 .55495 L
.58276 .55306 L
.58458 .54985 L
.58522 .54839 L
.58634 .54663 L
.5883 .54341 L
Mistroke
.58844 .54311 L
.59038 .5402 L
.59165 .53802 L
.59241 .53698 L
.59464 .53377 L
.59487 .53331 L
.59689 .53055 L
.59808 .52866 L
.59909 .52733 L
.6013 .52416 L
.60134 .52412 L
.60379 .5209 L
.60452 .5197 L
.60607 .51769 L
.60773 .51528 L
.60836 .51447 L
.61078 .51126 L
.61095 .51093 L
.61319 .50804 L
.61416 .50657 L
.61551 .50482 L
.61738 .50222 L
.61785 .50161 L
.62031 .49839 L
.62059 .49791 L
.62271 .49518 L
.62381 .49359 L
.62506 .49196 L
.62703 .48927 L
.62742 .48874 L
.62989 .48553 L
.63024 .48499 L
.63229 .48231 L
.63346 .48068 L
.63465 .4791 L
.63667 .47638 L
.63704 .47588 L
.6395 .47267 L
.63989 .47211 L
.6419 .46945 L
.64311 .46782 L
.64428 .46623 L
.64632 .46353 L
.64668 .46302 L
.64915 .4598 L
.64954 .45927 L
.65155 .45659 L
.65275 .455 L
.65393 .45337 L
.65597 .45073 L
Mistroke
.65635 .45015 L
.65884 .44694 L
.65918 .44649 L
.66125 .44372 L
.6624 .44225 L
.66364 .44051 L
.66562 .43801 L
.66606 .43729 L
.66862 .43408 L
.66883 .43381 L
.67104 .43086 L
.67205 .42963 L
.67345 .42764 L
.67526 .42546 L
.67587 .42443 L
.67848 .42134 L
.67851 .42121 L
.68109 .418 L
.6817 .41731 L
.68357 .41478 L
.68491 .41334 L
.68601 .41156 L
.68813 .40947 L
.68911 .40835 L
.69134 .40578 L
.69195 .40513 L
.69456 .40233 L
.69499 .40192 L
.69777 .39922 L
.69848 .3987 L
.70099 .39662 L
Mfstroke
.5209 .38729 m
.52404 .38905 L
.52351 .39227 L
.52311 .39548 L
.52324 .3987 L
.52381 .40192 L
.52412 .40413 L
.52418 .40513 L
.52412 .40731 L
.52411 .40835 L
.52348 .41156 L
.52242 .41478 L
.52122 .418 L
.5209 .4189 L
.52011 .42121 L
.51897 .42443 L
.5181 .42764 L
.51769 .43013 L
.51764 .43086 L
.51749 .43408 L
.51727 .43729 L
.51671 .44051 L
.51575 .44372 L
.51459 .44694 L
.51447 .4473 L
.51334 .45015 L
.51199 .45337 L
.51126 .45531 L
.51084 .45659 L
.50981 .4598 L
.50911 .46302 L
.50877 .46623 L
.5085 .46945 L
.50804 .47253 L
.50802 .47267 L
.50718 .47588 L
.50599 .4791 L
.50482 .48205 L
.50472 .48231 L
.50338 .48553 L
.50205 .48874 L
.50161 .4899 L
.501 .49196 L
.50014 .49518 L
.49963 .49839 L
.49934 .50161 L
.49892 .50482 L
.49839 .50752 L
.49822 .50804 L
.49717 .51126 L
Mistroke
.49585 .51447 L
.49518 .51611 L
.49457 .51769 L
.49317 .5209 L
.49196 .52398 L
.49193 .52412 L
.49099 .52733 L
.49028 .53055 L
.4899 .53377 L
.48955 .53698 L
.48893 .5402 L
.48874 .541 L
.48809 .54341 L
.48682 .54663 L
.48553 .54958 L
.48546 .54985 L
.4841 .55306 L
.48263 .55628 L
.48231 .55691 L
.4816 .55949 L
.48055 .56271 L
.47987 .56592 L
.47944 .56914 L
.4791 .57126 L
.47891 .57236 L
.47848 .57557 L
.47706 .57879 L
.47588 .5812 L
.47548 .582 L
.47415 .58522 L
.47267 .58745 L
.4721 .58844 L
.47064 .59165 L
.46945 .5927 L
.46784 .59487 L
.46623 .59621 L
.46306 .59487 L
.46302 .59478 L
.46206 .59165 L
.46236 .58844 L
.46302 .58547 L
.46302 .58522 L
.46392 .582 L
.46509 .57879 L
.46614 .57557 L
.46623 .57529 L
.46686 .57236 L
.46735 .56914 L
.46749 .56592 L
.46763 .56271 L
Mistroke
.4681 .55949 L
.46894 .55628 L
.46945 .55435 L
.46997 .55306 L
.47125 .54985 L
.47252 .54663 L
.47267 .54621 L
.47369 .54341 L
.47473 .5402 L
.47541 .53698 L
.47572 .53377 L
.47588 .53123 L
.47594 .53055 L
.47641 .52733 L
.47727 .52412 L
.47843 .5209 L
.4791 .519 L
.47964 .51769 L
.48102 .51447 L
.48228 .51126 L
.48231 .51116 L
.48339 .50804 L
.48426 .50482 L
.48476 .50161 L
.48503 .49839 L
.48541 .49518 L
.48553 .49431 L
.4861 .49196 L
.48719 .48874 L
.48846 .48553 L
.48874 .48477 L
.48976 .48231 L
.49115 .4791 L
.49196 .47702 L
.49232 .47588 L
.49333 .47267 L
.49402 .46945 L
.49439 .46623 L
.49472 .46302 L
.49518 .46027 L
.49528 .4598 L
.4962 .45659 L
.49745 .45337 L
.49839 .45106 L
.49873 .45015 L
.50015 .44694 L
.50152 .44372 L
.50161 .44355 L
.50262 .44051 L
.50357 .43729 L
Mistroke
.50417 .43408 L
.50454 .43086 L
.50482 .42888 L
.50493 .42764 L
.50569 .42443 L
.50691 .42121 L
.50804 .41863 L
.50819 .418 L
.5097 .41478 L
.51126 .41184 L
.51139 .41156 L
.51267 .40835 L
.51443 .40513 L
.51447 .40507 L
.51578 .40192 L
.51682 .3987 L
.51759 .39548 L
.51769 .39512 L
.51853 .39227 L
.51998 .38905 L
.5209 .38729 L
Mfstroke
.6817 .3792 m
.68491 .37632 L
.68813 .37619 L
.68818 .37941 L
.68813 .37955 L
.6878 .38262 L
.68546 .38584 L
.68491 .38717 L
.68378 .38905 L
.68173 .39227 L
.6817 .39234 L
.67971 .39548 L
.67848 .39754 L
.67763 .3987 L
.6754 .40192 L
.67526 .40214 L
.67316 .40513 L
.67205 .40684 L
.67094 .40835 L
.66883 .41133 L
.66865 .41156 L
.66628 .41478 L
.66562 .41579 L
.66398 .418 L
.6624 .42023 L
.66167 .42121 L
.65927 .42443 L
.65918 .42456 L
.65689 .42764 L
.65597 .42895 L
.65455 .43086 L
.65275 .43331 L
.6522 .43408 L
.64975 .43729 L
.64954 .4376 L
.64737 .44051 L
.64632 .44195 L
.64502 .44372 L
.64311 .44626 L
.64264 .44694 L
.64017 .45015 L
.63989 .45054 L
.63779 .45337 L
.63667 .45485 L
.63543 .45659 L
.63346 .45915 L
.63304 .4598 L
.63053 .46302 L
.63024 .46341 L
.62816 .46623 L
Mistroke
.62703 .4677 L
.62581 .46945 L
.62381 .47198 L
.62341 .47267 L
.62086 .47588 L
.62059 .47623 L
.61849 .4791 L
.61738 .48049 L
.61615 .48231 L
.61416 .48475 L
.61377 .48553 L
.61112 .48874 L
.61095 .48896 L
.60875 .49196 L
.60773 .49318 L
.60642 .49518 L
.60452 .49738 L
.60408 .49839 L
.6013 .50152 L
.60123 .50161 L
.5988 .50482 L
.59808 .50564 L
.59644 .50804 L
.59487 .50972 L
.59415 .51126 L
.59165 .51375 L
.59104 .51447 L
.58845 .51769 L
.58844 .5177 L
.58597 .5209 L
.58522 .52165 L
.58368 .52412 L
.582 .52556 L
.58046 .52733 L
.57879 .52935 L
.57765 .53055 L
.57557 .53279 L
.57424 .53377 L
.57236 .53476 L
.57136 .53377 L
.57113 .53055 L
.57183 .52733 L
.57236 .52604 L
.57282 .52412 L
.57468 .5209 L
.57557 .51917 L
.57646 .51769 L
.5785 .51447 L
.57879 .514 L
.58062 .51126 L
Mistroke
.582 .50913 L
.5828 .50804 L
.58507 .50482 L
.58522 .50455 L
.58742 .50161 L
.58844 .49999 L
.58966 .49839 L
.59165 .4955 L
.5919 .49518 L
.59436 .49196 L
.59487 .49104 L
.59665 .48874 L
.59808 .48658 L
.5989 .48553 L
.60124 .48231 L
.6013 .48218 L
.60369 .4791 L
.60452 .47779 L
.60599 .47588 L
.60773 .47341 L
.6083 .47267 L
.61074 .46945 L
.61095 .46907 L
.61315 .46623 L
.61416 .46473 L
.61548 .46302 L
.61738 .4604 L
.61783 .4598 L
.62029 .45659 L
.62059 .4561 L
.6227 .45337 L
.62381 .4518 L
.62506 .45015 L
.62703 .44749 L
.62743 .44694 L
.6299 .44372 L
.63024 .44322 L
.63232 .44051 L
.63346 .43895 L
.63469 .43729 L
.63667 .43466 L
.63709 .43408 L
.63957 .43086 L
.63989 .43042 L
.642 .42764 L
.64311 .42618 L
.64439 .42443 L
.64632 .42193 L
.64681 .42121 L
.64932 .418 L
Mistroke
.64954 .41772 L
.65177 .41478 L
.65275 .41353 L
.65419 .41156 L
.65597 .40935 L
.65664 .40835 L
.65918 .40521 L
.65922 .40513 L
.66175 .40192 L
.6624 .40115 L
.66424 .3987 L
.66562 .39712 L
.66672 .39548 L
.66883 .39317 L
.66921 .39227 L
.67205 .38934 L
.67231 .38905 L
.67511 .38584 L
.67526 .3857 L
.67804 .38262 L
.67848 .38227 L
.68131 .37941 L
.6817 .3792 L
Mfstroke
.49518 .3788 m
.49626 .37941 L
.49664 .38262 L
.49598 .38584 L
.49518 .38862 L
.49504 .38905 L
.4941 .39227 L
.49346 .39548 L
.49336 .3987 L
.49432 .40192 L
.49405 .40513 L
.4934 .40835 L
.49243 .41156 L
.49196 .41321 L
.49152 .41478 L
.49014 .418 L
.48879 .42121 L
.48874 .42133 L
.48785 .42443 L
.48686 .42764 L
.4863 .43086 L
.48609 .43408 L
.48583 .43729 L
.48553 .43911 L
.48536 .44051 L
.48443 .44372 L
.48314 .44694 L
.48231 .44898 L
.48194 .45015 L
.48055 .45337 L
.47922 .45659 L
.4791 .45688 L
.47837 .4598 L
.47762 .46302 L
.47723 .46623 L
.47694 .46945 L
.4764 .47267 L
.47588 .47503 L
.47566 .47588 L
.4745 .4791 L
.47307 .48231 L
.47267 .48323 L
.47188 .48553 L
.47042 .48874 L
.46945 .4911 L
.46936 .49196 L
.46853 .49518 L
.46794 .49839 L
.4676 .50161 L
.46715 .50482 L
Mistroke
.46634 .50804 L
.46623 .50845 L
.46557 .51126 L
.46409 .51447 L
.46302 .51673 L
.46292 .51769 L
.46136 .5209 L
.4598 .52409 L
.45979 .52412 L
.45919 .52733 L
.45806 .53055 L
.45743 .53377 L
.45698 .53698 L
.45659 .53907 L
.45633 .5402 L
.45535 .54341 L
.45429 .54663 L
.45337 .54823 L
.45252 .54985 L
.45113 .55306 L
.45015 .55415 L
.44879 .55628 L
.44694 .55877 L
.4462 .55949 L
.44372 .56021 L
.44295 .55949 L
.44201 .55628 L
.44183 .55306 L
.44276 .54985 L
.44372 .54663 L
.44372 .54663 L
.44461 .54341 L
.44564 .5402 L
.44635 .53698 L
.44662 .53377 L
.44664 .53055 L
.4468 .52733 L
.44694 .52619 L
.44729 .52412 L
.44821 .5209 L
.44938 .51769 L
.45015 .51546 L
.45055 .51447 L
.45184 .51126 L
.45298 .50804 L
.45337 .50676 L
.4538 .50482 L
.45435 .50161 L
.45462 .49839 L
.45494 .49518 L
Mistroke
.45557 .49196 L
.45647 .48874 L
.45659 .48828 L
.45762 .48553 L
.45898 .48231 L
.4598 .48013 L
.46021 .4791 L
.4615 .47588 L
.46255 .47267 L
.46302 .47067 L
.4632 .46945 L
.46358 .46623 L
.46389 .46302 L
.46446 .4598 L
.46537 .45659 L
.46623 .45391 L
.46645 .45337 L
.46779 .45015 L
.46917 .44694 L
.46945 .44626 L
.47047 .44372 L
.47172 .44051 L
.47266 .43729 L
.47267 .43726 L
.4732 .43408 L
.47357 .43086 L
.47405 .42764 L
.47485 .42443 L
.47588 .42132 L
.47591 .42121 L
.47718 .418 L
.47868 .41478 L
.4791 .41391 L
.48008 .41156 L
.48167 .40835 L
.48231 .4071 L
.48271 .40513 L
.48401 .40192 L
.48506 .3987 L
.48553 .39669 L
.48577 .39548 L
.48649 .39227 L
.48754 .38905 L
.48874 .38626 L
.48901 .38584 L
.49098 .38262 L
.49196 .38125 L
.49402 .37941 L
.49518 .3788 L
Mfstroke
.66562 .36189 m
.66758 .36333 L
.66689 .36654 L
.66562 .36949 L
.66548 .36976 L
.66402 .37297 L
.6624 .37532 L
.66227 .37619 L
.65992 .37941 L
.65918 .38066 L
.65792 .38262 L
.65597 .38557 L
.65575 .38584 L
.65344 .38905 L
.65275 .3901 L
.65126 .39227 L
.64954 .39474 L
.64902 .39548 L
.64661 .3987 L
.64632 .39912 L
.64433 .40192 L
.64311 .40362 L
.64205 .40513 L
.63989 .40801 L
.63968 .40835 L
.63724 .41156 L
.63667 .41235 L
.63493 .41478 L
.63346 .41674 L
.63262 .418 L
.63024 .42104 L
.63016 .42121 L
.62772 .42443 L
.62703 .42535 L
.6254 .42764 L
.62381 .42969 L
.62308 .43086 L
.62059 .43394 L
.62055 .43408 L
.6181 .43729 L
.61738 .43822 L
.61578 .44051 L
.61416 .4425 L
.61347 .44372 L
.61095 .44673 L
.61077 .44694 L
.60838 .45015 L
.60773 .45095 L
.60607 .45337 L
.60452 .45519 L
Mistroke
.6038 .45659 L
.6013 .45938 L
.60094 .4598 L
.59852 .46302 L
.59808 .46353 L
.59622 .46623 L
.59487 .46769 L
.59411 .46945 L
.59165 .47179 L
.59089 .47267 L
.58844 .47574 L
.58829 .47588 L
.58575 .4791 L
.58522 .4795 L
.58253 .48231 L
.582 .48287 L
.57879 .48525 L
.57648 .48231 L
.57703 .4791 L
.57859 .47588 L
.57879 .47528 L
.58006 .47267 L
.58186 .46945 L
.582 .46914 L
.58376 .46623 L
.58522 .46379 L
.58573 .46302 L
.58791 .4598 L
.58844 .45892 L
.59008 .45659 L
.59165 .45423 L
.59227 .45337 L
.5946 .45015 L
.59487 .4497 L
.59693 .44694 L
.59808 .44522 L
.59921 .44372 L
.6013 .4408 L
.60152 .44051 L
.60397 .43729 L
.60452 .43644 L
.60631 .43408 L
.60773 .43207 L
.60864 .43086 L
.61095 .42774 L
.61101 .42764 L
.61349 .42443 L
.61416 .42344 L
.61586 .42121 L
.61738 .41914 L
Mistroke
.61823 .418 L
.62059 .41486 L
.62065 .41478 L
.62313 .41156 L
.62381 .41063 L
.62554 .40835 L
.62703 .4064 L
.62795 .40513 L
.63024 .40218 L
.63042 .40192 L
.63294 .3987 L
.63346 .39803 L
.63541 .39548 L
.63667 .3939 L
.63787 .39227 L
.63989 .3898 L
.64037 .38905 L
.64305 .38584 L
.64311 .38577 L
.64563 .38262 L
.64632 .38183 L
.64821 .37941 L
.64954 .37796 L
.65076 .37619 L
.65275 .37423 L
.65311 .37297 L
.65597 .37066 L
.65687 .36976 L
.65918 .36734 L
.6601 .36654 L
.6624 .36432 L
.66404 .36333 L
.66562 .36189 L
Mfstroke
.63346 .36305 m
.63667 .36115 L
.63706 .36333 L
.63667 .3644 L
.63566 .36654 L
.63423 .36976 L
.63346 .37056 L
.63197 .37297 L
.63024 .37573 L
.62994 .37619 L
.62807 .37941 L
.62703 .38091 L
.6256 .38262 L
.62381 .38523 L
.62338 .38584 L
.62123 .38905 L
.62059 .38989 L
.6193 .39227 L
.61738 .39456 L
.61646 .39548 L
.61416 .39864 L
.61412 .3987 L
.61194 .40192 L
.61095 .40309 L
.61003 .40513 L
.60773 .4075 L
.60688 .40835 L
.60452 .41155 L
.60444 .41156 L
.6022 .41478 L
.6013 .41572 L
.59941 .418 L
.59808 .41993 L
.59683 .42121 L
.59487 .42405 L
.59421 .42443 L
.59165 .42748 L
.59151 .42764 L
.58866 .43086 L
.58844 .43117 L
.58564 .43408 L
.58522 .43471 L
.58245 .43729 L
.582 .43775 L
.57924 .44051 L
.57879 .441 L
.57576 .44051 L
.57817 .43729 L
.57879 .43639 L
.58023 .43408 L
Mistroke
.582 .43117 L
.58219 .43086 L
.58379 .42764 L
.58522 .42589 L
.58611 .42443 L
.58813 .42121 L
.58844 .42071 L
.59006 .418 L
.59165 .41565 L
.59199 .41478 L
.59452 .41156 L
.59487 .41105 L
.59667 .40835 L
.59808 .40639 L
.59882 .40513 L
.6013 .40196 L
.60134 .40192 L
.60366 .3987 L
.60452 .39756 L
.60595 .39548 L
.60773 .39324 L
.60823 .39227 L
.61095 .38907 L
.61096 .38905 L
.61341 .38584 L
.61416 .38493 L
.61581 .38262 L
.61738 .38086 L
.61802 .37941 L
.62059 .3769 L
.62125 .37619 L
.62381 .37311 L
.62398 .37297 L
.62675 .36976 L
.62703 .36952 L
.62983 .36654 L
.63024 .36608 L
.63321 .36333 L
.63346 .36305 L
Mfstroke
.72029 .21835 m
.7235 .21809 L
.72672 .21789 L
.72993 .21775 L
.73315 .21765 L
.73636 .21758 L
.73958 .21756 L
.7428 .21757 L
.74601 .21761 L
.74923 .21769 L
.75244 .21782 L
.75566 .21799 L
.75888 .21821 L
.76209 .2185 L
.76315 .21861 L
.76531 .21886 L
.76852 .21931 L
.77174 .2199 L
.77495 .2207 L
.77816 .22183 L
.77817 .22183 L
.78139 .22319 L
.78348 .22505 L
.7846 .22641 L
.78543 .22826 L
.78521 .23148 L
.7846 .23272 L
.783 .23469 L
.78139 .23615 L
.77824 .23791 L
.77817 .23794 L
.77495 .23932 L
.77174 .24034 L
.76857 .24112 L
.76852 .24113 L
.76531 .24177 L
.76209 .24228 L
.75888 .24268 L
.75566 .243 L
.75244 .24324 L
.74923 .24342 L
.74601 .24354 L
.7428 .2436 L
.73958 .24361 L
.73636 .24358 L
.73315 .24349 L
.72993 .24334 L
.72672 .24313 L
.7235 .24285 L
.72029 .2425 L
Mistroke
.71707 .24204 L
.71385 .24147 L
.7122 .24112 L
.71064 .24076 L
.70742 .23987 L
.70421 .23869 L
.70253 .23791 L
.70099 .23717 L
.69777 .2347 L
.69777 .23469 L
.69556 .23148 L
.69534 .22826 L
.69729 .22505 L
.69777 .22451 L
.70099 .22237 L
.70261 .22183 L
.70421 .22122 L
.70742 .22027 L
.71064 .21958 L
.71385 .21907 L
.71707 .21867 L
.71762 .21861 L
.72029 .21835 L
Mfstroke
.71707 .15105 m
.72029 .15079 L
.7235 .15059 L
.72672 .15043 L
.72993 .15031 L
.73315 .15023 L
.73636 .15018 L
.73958 .15015 L
.7428 .15016 L
.74601 .1502 L
.74923 .15027 L
.75244 .15037 L
.75566 .15051 L
.75888 .15069 L
.76209 .15092 L
.764 .15108 L
.76531 .1512 L
.76852 .15156 L
.77174 .15201 L
.77495 .15257 L
.77817 .15328 L
.78139 .1542 L
.78168 .1543 L
.7846 .15536 L
.78782 .15703 L
.78854 .15751 L
.79103 .15939 L
.79196 .16073 L
.79333 .16394 L
.79301 .16716 L
.79103 .17019 L
.79085 .17038 L
.78782 .17274 L
.78597 .17359 L
.7846 .1742 L
.78139 .17532 L
.77817 .17614 L
.77495 .17677 L
.77474 .17681 L
.77174 .17728 L
.76852 .17769 L
.76531 .17801 L
.76209 .17827 L
.75888 .17847 L
.75566 .17863 L
.75244 .17875 L
.74923 .17884 L
.74601 .1789 L
.7428 .17893 L
.73958 .17894 L
Mistroke
.73636 .17892 L
.73315 .17887 L
.72993 .1788 L
.72672 .17869 L
.7235 .17855 L
.72029 .17837 L
.71707 .17814 L
.71385 .17786 L
.71064 .1775 L
.70742 .17704 L
.70603 .17681 L
.70421 .17648 L
.70099 .17576 L
.69777 .1748 L
.6948 .17359 L
.69456 .1735 L
.69134 .1717 L
.68992 .17038 L
.68813 .168 L
.68776 .16716 L
.68744 .16394 L
.68813 .16186 L
.68881 .16073 L
.69134 .158 L
.69223 .15751 L
.69456 .15611 L
.69777 .15474 L
.69909 .1543 L
.70099 .15371 L
.70421 .1529 L
.70742 .15227 L
.71064 .15177 L
.71385 .15137 L
.71677 .15108 L
.71707 .15105 L
Mfstroke
.88429 .10911 m
.88751 .10843 L
.89073 .10822 L
.89394 .10846 L
.89716 .10917 L
.89753 .10927 L
.90037 .11036 L
.90359 .11205 L
.9043 .11249 L
.9068 .11428 L
.90852 .11571 L
.91002 .11712 L
.91176 .11892 L
.91324 .12064 L
.91443 .12214 L
.91645 .12498 L
.9167 .12535 L
.91868 .12857 L
.91967 .13036 L
.92041 .13179 L
.92194 .135 L
.92288 .13718 L
.92331 .13822 L
.92452 .14143 L
.9256 .14465 L
.9261 .14629 L
.92655 .14786 L
.92739 .15108 L
.92813 .1543 L
.92876 .15751 L
.9293 .16073 L
.92932 .16083 L
.92975 .16394 L
.93011 .16716 L
.93038 .17038 L
.93058 .17359 L
.93068 .17681 L
.93071 .18002 L
.93066 .18324 L
.93052 .18645 L
.9303 .18967 L
.93 .19289 L
.92961 .1961 L
.92932 .19815 L
.92913 .19932 L
.92856 .20253 L
.92789 .20575 L
.92712 .20897 L
.92625 .21218 L
.9261 .21268 L
Mistroke
.92525 .2154 L
.92413 .21861 L
.92288 .2218 L
.92287 .22183 L
.92145 .22505 L
.91986 .22826 L
.91967 .22861 L
.91805 .23148 L
.91645 .23399 L
.91598 .23469 L
.91359 .23791 L
.91324 .23834 L
.91075 .24112 L
.91002 .24186 L
.90725 .24434 L
.9068 .24469 L
.90359 .24693 L
.90252 .24756 L
.90037 .24862 L
.89716 .2498 L
.89394 .25051 L
.89073 .25076 L
.88751 .25054 L
.88429 .24986 L
.88108 .24871 L
.87873 .24756 L
.87786 .24705 L
.87465 .24485 L
.874 .24434 L
.87143 .24206 L
.87049 .24112 L
.86821 .23859 L
.86765 .23791 L
.86525 .23469 L
.865 .23432 L
.86318 .23148 L
.86178 .22904 L
.86137 .22826 L
.85977 .22505 L
.85857 .22235 L
.85835 .22183 L
.8571 .21861 L
.85599 .2154 L
.85535 .21332 L
.85502 .21218 L
.85417 .20897 L
.85342 .20575 L
.85278 .20253 L
.85222 .19932 L
.85214 .19876 L
Mistroke
.85175 .1961 L
.85136 .19289 L
.85104 .18967 L
.85079 .18645 L
.85062 .18324 L
.85052 .18002 L
.85051 .17681 L
.85059 .17359 L
.85076 .17038 L
.85102 .16716 L
.85138 .16394 L
.85185 .16073 L
.85214 .159 L
.85241 .15751 L
.85307 .1543 L
.85383 .15108 L
.8547 .14786 L
.85535 .14566 L
.85567 .14465 L
.85676 .14143 L
.85798 .13822 L
.85857 .13678 L
.85934 .135 L
.86087 .13179 L
.86178 .13004 L
.8626 .12857 L
.86457 .12535 L
.865 .1247 L
.86683 .12214 L
.86821 .1204 L
.8695 .11892 L
.87143 .11692 L
.87273 .11571 L
.87465 .11412 L
.87695 .11249 L
.87786 .11193 L
.88108 .11027 L
.88371 .10927 L
.88429 .10911 L
Mfstroke
.58522 .10876 m
.58844 .10828 L
.59165 .10827 L
.59487 .10871 L
.5972 .10927 L
.59808 .10963 L
.6013 .11103 L
.60383 .11249 L
.60452 .11295 L
.60773 .11544 L
.60803 .11571 L
.61095 .11857 L
.61127 .11892 L
.61393 .12214 L
.61416 .12244 L
.6162 .12535 L
.61738 .12722 L
.61817 .12857 L
.6199 .13179 L
.62059 .1332 L
.62143 .135 L
.62279 .13822 L
.62381 .14088 L
.62401 .14143 L
.6251 .14465 L
.62607 .14786 L
.62694 .15108 L
.62703 .15143 L
.6277 .1543 L
.62836 .15751 L
.62892 .16073 L
.62938 .16394 L
.62975 .16716 L
.63001 .17038 L
.63018 .17359 L
.63024 .17576 L
.63026 .17681 L
.63025 .18002 L
.63024 .18024 L
.63015 .18324 L
.62998 .18645 L
.62973 .18967 L
.62941 .19289 L
.62902 .1961 L
.62855 .19932 L
.62799 .20253 L
.62735 .20575 L
.62703 .20719 L
.6266 .20897 L
.62575 .21218 L
Mistroke
.62478 .2154 L
.62381 .21823 L
.62367 .21861 L
.62242 .22183 L
.621 .22505 L
.62059 .2259 L
.6194 .22826 L
.61759 .23148 L
.61738 .23182 L
.61551 .23469 L
.61416 .23656 L
.61312 .23791 L
.61095 .24042 L
.61028 .24112 L
.60773 .24353 L
.60677 .24434 L
.60452 .24602 L
.60204 .24756 L
.6013 .24794 L
.59808 .24935 L
.59487 .25026 L
.59165 .25071 L
.58844 .25069 L
.58522 .25022 L
.582 .24927 L
.57879 .24784 L
.57826 .24756 L
.57557 .24588 L
.57352 .24434 L
.57236 .24336 L
.57002 .24112 L
.56914 .24019 L
.56718 .23791 L
.56592 .23628 L
.56479 .23469 L
.56272 .23148 L
.56271 .23145 L
.56091 .22826 L
.55949 .22542 L
.55932 .22505 L
.5579 .22183 L
.55664 .21861 L
.55628 .21762 L
.55552 .2154 L
.55452 .21218 L
.55365 .20897 L
.55306 .20656 L
.55288 .20575 L
.55221 .20253 L
.55164 .19932 L
Mistroke
.55116 .1961 L
.55077 .19289 L
.55047 .18967 L
.55025 .18645 L
.55011 .18324 L
.55006 .18002 L
.55008 .17681 L
.55019 .17359 L
.55038 .17038 L
.55066 .16716 L
.55102 .16394 L
.55147 .16073 L
.55201 .15751 L
.55264 .1543 L
.55306 .15241 L
.55338 .15108 L
.55422 .14786 L
.55517 .14465 L
.55625 .14143 L
.55628 .14135 L
.55746 .13822 L
.55882 .135 L
.55949 .13355 L
.56036 .13179 L
.56209 .12857 L
.56271 .12752 L
.56407 .12535 L
.56592 .1227 L
.56634 .12214 L
.56901 .11892 L
.56914 .11878 L
.57226 .11571 L
.57236 .11562 L
.57557 .11309 L
.57646 .11249 L
.57879 .11114 L
.582 .1097 L
.5831 .10927 L
.58522 .10876 L
Mfstroke
.7235 .09251 m
.72672 .0918 L
.72993 .0913 L
.73315 .09096 L
.73636 .09075 L
.73958 .09066 L
.7428 .09069 L
.74601 .09084 L
.74923 .09111 L
.75244 .09153 L
.75566 .09212 L
.75888 .09295 L
.75964 .0932 L
.76209 .09387 L
.76531 .09557 L
.76627 .09641 L
.76852 .09937 L
.76859 .09963 L
.76852 .10121 L
.76757 .10284 L
.76531 .10454 L
.76209 .1059 L
.76161 .10606 L
.75888 .10686 L
.75566 .10752 L
.75244 .10796 L
.74923 .10825 L
.74601 .10844 L
.7428 .10854 L
.73958 .10856 L
.73636 .1085 L
.73315 .10836 L
.72993 .10812 L
.72672 .10776 L
.7235 .10722 L
.72029 .10642 L
.71916 .10606 L
.71707 .10531 L
.71385 .10346 L
.7132 .10284 L
.71218 .09963 L
.71385 .09697 L
.7145 .09641 L
.71707 .09455 L
.72029 .09339 L
.72113 .0932 L
.7235 .09251 L
s
.22505 .95789 m
.22826 .95711 L
.23148 .95656 L
.23469 .95617 L
.23791 .95588 L
.24112 .95566 L
.24434 .9555 L
.24756 .95538 L
.25077 .9553 L
.25399 .95524 L
.2572 .95522 L
.26042 .95521 L
.26364 .95523 L
.26685 .95527 L
.27007 .95534 L
.27328 .95544 L
.2765 .95557 L
.27971 .95576 L
.28293 .956 L
.28615 .95634 L
.28936 .95679 L
.29258 .95742 L
.29559 .95826 L
.29579 .95832 L
.29901 .95955 L
.30185 .96147 L
.30223 .9619 L
.30321 .96469 L
.30223 .96745 L
.3019 .96791 L
.29901 .97081 L
.29827 .97112 L
.29579 .97259 L
.29258 .97401 L
.29168 .97434 L
.28936 .97513 L
.28615 .97604 L
.28293 .97677 L
.27971 .97737 L
.27856 .97755 L
.2765 .97785 L
.27328 .97822 L
.27007 .97851 L
.26685 .97871 L
.26364 .97884 L
.26042 .97889 L
.2572 .97887 L
.25399 .97878 L
.25077 .97862 L
.24756 .97837 L
Mistroke
.24434 .97804 L
.24112 .97762 L
.24069 .97755 L
.23791 .97708 L
.23469 .97642 L
.23148 .9756 L
.22826 .97457 L
.22762 .97434 L
.22505 .97331 L
.22183 .9716 L
.22111 .97112 L
.21861 .96947 L
.21758 .96791 L
.21635 .96469 L
.21773 .96147 L
.21861 .9607 L
.22183 .95897 L
.22386 .95826 L
.22505 .95789 L
Mfstroke
.17359 .78444 m
.17681 .78373 L
.18002 .78356 L
.18324 .78365 L
.18645 .78383 L
.18967 .78403 L
.19289 .78423 L
.1961 .7844 L
.19932 .78455 L
.20064 .7846 L
.20253 .78467 L
.20575 .78477 L
.20897 .78486 L
.21218 .78492 L
.2154 .78498 L
.21861 .78502 L
.22183 .78506 L
.22505 .78509 L
.22826 .78511 L
.23148 .78513 L
.23469 .78514 L
.23791 .78515 L
.24112 .78516 L
.24434 .78517 L
.24756 .78518 L
.25077 .78518 L
.25399 .78519 L
.2572 .78519 L
.26042 .78519 L
.26364 .78519 L
.26685 .78518 L
.27007 .78518 L
.27328 .78518 L
.2765 .78517 L
.27971 .78516 L
.28293 .78515 L
.28615 .78514 L
.28936 .78513 L
.29258 .78512 L
.29579 .78512 L
.29901 .78512 L
.30223 .78513 L
.30544 .78518 L
.30866 .78528 L
.31187 .78548 L
.31509 .78585 L
.3183 .78654 L
.32152 .78779 L
.32157 .78782 L
.32474 .7901 L
Mistroke
.32559 .79103 L
.32759 .79425 L
.32795 .79497 L
.32868 .79747 L
.32915 .80068 L
.32911 .8039 L
.32853 .80711 L
.32795 .80903 L
.3273 .81033 L
.32505 .81355 L
.32474 .81388 L
.32152 .81621 L
.32035 .81676 L
.3183 .81748 L
.31509 .81819 L
.31187 .81858 L
.30866 .8188 L
.30544 .81891 L
.30223 .81896 L
.29901 .81899 L
.29579 .81899 L
.29258 .81899 L
.28936 .81899 L
.28615 .81898 L
.28293 .81897 L
.27971 .81897 L
.2765 .81896 L
.27328 .81896 L
.27007 .81895 L
.26685 .81895 L
.26364 .81895 L
.26042 .81895 L
.2572 .81895 L
.25399 .81895 L
.25077 .81895 L
.24756 .81895 L
.24434 .81896 L
.24112 .81897 L
.23791 .81897 L
.23469 .81898 L
.23148 .81899 L
.22826 .81901 L
.22505 .81903 L
.22183 .81905 L
.21861 .81908 L
.2154 .81911 L
.21218 .81915 L
.20897 .81921 L
.20575 .81927 L
.20253 .81935 L
Mistroke
.19932 .81944 L
.1961 .81954 L
.19289 .81966 L
.18967 .81978 L
.18645 .81988 L
.18324 .81992 L
.18002 .81981 L
.17681 .81938 L
.17359 .81836 L
.17102 .81676 L
.17038 .8162 L
.16823 .81355 L
.16716 .81158 L
.16665 .81033 L
.16571 .80711 L
.16521 .8039 L
.16508 .80068 L
.1653 .79747 L
.16592 .79425 L
.16703 .79103 L
.16716 .79074 L
.16894 .78782 L
.17038 .78632 L
.17317 .7846 L
.17359 .78444 L
Mfstroke
.74601 .58793 m
.74817 .58844 L
.74735 .59165 L
.74601 .59465 L
.74591 .59487 L
.74448 .59808 L
.7428 .60072 L
.74278 .6013 L
.74056 .60452 L
.73958 .60619 L
.73862 .60773 L
.73649 .61095 L
.73636 .61117 L
.73436 .61416 L
.73315 .61605 L
.73224 .61738 L
.73001 .62059 L
.72993 .62073 L
.72773 .62381 L
.72672 .62534 L
.7255 .62703 L
.7235 .62987 L
.72324 .63024 L
.72084 .63346 L
.72029 .6343 L
.71851 .63667 L
.71707 .63871 L
.7162 .63989 L
.71385 .64306 L
.71382 .64311 L
.71135 .64632 L
.71064 .64733 L
.70896 .64954 L
.70742 .65159 L
.70656 .65275 L
.70421 .6558 L
.70409 .65597 L
.70155 .65918 L
.70099 .65992 L
.69906 .6624 L
.69777 .66402 L
.69657 .66562 L
.69456 .66805 L
.69404 .66883 L
.69134 .67199 L
.69133 .67205 L
.68862 .67526 L
.68813 .67581 L
.68593 .67848 L
.68491 .67953 L
Mistroke
.68328 .6817 L
.6817 .6831 L
.67994 .68491 L
.67848 .68645 L
.67664 .68813 L
.67526 .68951 L
.67253 .69134 L
.67205 .69177 L
.67025 .69134 L
.67091 .68813 L
.67205 .68562 L
.67242 .68491 L
.67373 .6817 L
.67526 .67999 L
.67621 .67848 L
.67823 .67526 L
.67848 .67485 L
.68009 .67205 L
.6817 .66963 L
.68262 .66883 L
.68484 .66562 L
.68491 .66551 L
.68695 .6624 L
.68813 .66077 L
.68898 .65918 L
.69134 .65625 L
.69175 .65597 L
.69402 .65275 L
.69456 .65203 L
.69618 .64954 L
.69777 .64753 L
.69825 .64632 L
.70099 .64325 L
.70119 .64311 L
.70348 .63989 L
.70421 .63898 L
.70563 .63667 L
.70742 .63459 L
.70842 .63346 L
.71064 .63039 L
.71082 .63024 L
.71312 .62703 L
.71385 .62617 L
.71523 .62381 L
.71707 .62186 L
.71817 .62059 L
.72029 .61768 L
.72063 .61738 L
.72299 .61416 L
.7235 .61362 L
Mistroke
.72509 .61095 L
.72672 .60942 L
.72818 .60773 L
.72993 .6053 L
.73074 .60452 L
.73315 .60139 L
.73334 .6013 L
.73604 .59808 L
.73636 .59764 L
.73884 .59487 L
.73958 .59387 L
.74183 .59165 L
.7428 .59032 L
.74533 .58844 L
.74601 .58793 L
Mfstroke
.42121 .54885 m
.42228 .54985 L
.42253 .55306 L
.42253 .55628 L
.423 .55949 L
.42218 .56271 L
.42143 .56592 L
.42121 .5668 L
.42048 .56914 L
.41901 .57236 L
.418 .5744 L
.41738 .57557 L
.41544 .57879 L
.41478 .57985 L
.41337 .582 L
.41156 .58462 L
.41115 .58522 L
.40875 .58844 L
.40835 .589 L
.40629 .59165 L
.40513 .59324 L
.40386 .59487 L
.40192 .59747 L
.40144 .59808 L
.39892 .6013 L
.3987 .60167 L
.39644 .60452 L
.39548 .60591 L
.39407 .60773 L
.39227 .61021 L
.39171 .61095 L
.38925 .61416 L
.38905 .61448 L
.38681 .61738 L
.38584 .61875 L
.38445 .62059 L
.38262 .62307 L
.38208 .62381 L
.37962 .62703 L
.37941 .62734 L
.37719 .63024 L
.37619 .6316 L
.37482 .63346 L
.37297 .6359 L
.37243 .63667 L
.36996 .63989 L
.36976 .64015 L
.36753 .64311 L
.36654 .64438 L
.36515 .64632 L
Mistroke
.36333 .64867 L
.36275 .64954 L
.36024 .65275 L
.36011 .65289 L
.35777 .65597 L
.35689 .657 L
.35534 .65918 L
.35368 .66115 L
.35288 .6624 L
.35046 .66514 L
.35037 .66562 L
.34725 .66883 L
.34725 .66883 L
.34403 .67201 L
.34399 .67205 L
.34082 .67443 L
.3376 .67468 L
.33715 .67205 L
.3376 .66993 L
.33796 .66883 L
.33899 .66562 L
.34082 .6626 L
.34093 .6624 L
.34269 .65918 L
.34403 .65672 L
.34462 .65597 L
.34686 .65275 L
.34725 .65213 L
.34898 .64954 L
.35046 .64727 L
.35116 .64632 L
.35354 .64311 L
.35368 .64289 L
.3558 .63989 L
.35689 .63829 L
.35805 .63667 L
.36011 .63385 L
.36039 .63346 L
.36282 .63024 L
.36333 .62952 L
.36513 .62703 L
.36654 .62508 L
.36743 .62381 L
.36976 .62078 L
.36987 .62059 L
.37229 .61738 L
.37297 .61645 L
.37461 .61416 L
.37619 .61208 L
.37693 .61095 L
Mistroke
.37941 .60783 L
.37945 .60773 L
.38186 .60452 L
.38262 .60352 L
.38418 .6013 L
.38584 .5992 L
.38651 .59808 L
.38905 .59497 L
.38908 .59487 L
.39151 .59165 L
.39227 .59069 L
.39383 .58844 L
.39548 .58638 L
.39614 .58522 L
.3987 .58213 L
.39872 .582 L
.40112 .57879 L
.40192 .57777 L
.40335 .57557 L
.40513 .5733 L
.40552 .57236 L
.40807 .56914 L
.40835 .56876 L
.41003 .56592 L
.41156 .56396 L
.41241 .56271 L
.41433 .55949 L
.41478 .55895 L
.41645 .55628 L
.418 .55362 L
.41836 .55306 L
.42044 .54985 L
.42121 .54885 L
Mfstroke
.75566 .53196 m
.75858 .53377 L
.75784 .53698 L
.75656 .5402 L
.75566 .54273 L
.75508 .54341 L
.75325 .54663 L
.75244 .5483 L
.75146 .54985 L
.74946 .55306 L
.74923 .55361 L
.74738 .55628 L
.74601 .55865 L
.7454 .55949 L
.74307 .56271 L
.7428 .56344 L
.74088 .56592 L
.73958 .56812 L
.73879 .56914 L
.73661 .57236 L
.73636 .57268 L
.73401 .57557 L
.73315 .57718 L
.73185 .57879 L
.72993 .58165 L
.72965 .582 L
.727 .58522 L
.72672 .58603 L
.72472 .58844 L
.7235 .59042 L
.72251 .59165 L
.72029 .5948 L
.72023 .59487 L
.71756 .59808 L
.71707 .5991 L
.71527 .6013 L
.71385 .60345 L
.71301 .60452 L
.71065 .60773 L
.71064 .60779 L
.70805 .61095 L
.70742 .61205 L
.70573 .61416 L
.70421 .61637 L
.70342 .61738 L
.70102 .62059 L
.70099 .62068 L
.69847 .62381 L
.69777 .62491 L
.69612 .62703 L
Mistroke
.69456 .62922 L
.69378 .63024 L
.69137 .63346 L
.69134 .63351 L
.68884 .63667 L
.68813 .63771 L
.68645 .63989 L
.68491 .64198 L
.68407 .64311 L
.6817 .64625 L
.68164 .64632 L
.67912 .64954 L
.67848 .6504 L
.67669 .65275 L
.67526 .65461 L
.67426 .65597 L
.67205 .65882 L
.67179 .65918 L
.66924 .6624 L
.66883 .6629 L
.66673 .66562 L
.66562 .66698 L
.66423 .66883 L
.6624 .67103 L
.66168 .67205 L
.65918 .675 L
.65904 .67526 L
.65628 .67848 L
.65597 .67881 L
.65354 .6817 L
.65275 .68249 L
.65073 .68491 L
.64954 .68599 L
.64786 .68813 L
.64632 .68921 L
.64391 .69134 L
.64311 .69202 L
.63989 .69404 L
.63747 .69134 L
.63817 .68813 L
.63989 .68545 L
.64017 .68491 L
.6419 .6817 L
.64311 .67985 L
.64378 .67848 L
.64603 .67526 L
.64632 .67476 L
.64814 .67205 L
.64954 .66981 L
.6503 .66883 L
Mistroke
.65266 .66562 L
.65275 .66546 L
.65492 .6624 L
.65597 .66084 L
.65719 .65918 L
.65918 .65638 L
.65952 .65597 L
.66194 .65275 L
.6624 .65208 L
.66426 .64954 L
.66562 .64763 L
.66657 .64632 L
.66883 .64333 L
.66899 .64311 L
.67142 .63989 L
.67205 .63902 L
.67375 .63667 L
.67526 .63464 L
.67609 .63346 L
.67848 .63038 L
.67856 .63024 L
.68098 .62703 L
.6817 .62607 L
.68331 .62381 L
.68491 .62173 L
.68564 .62059 L
.68813 .61749 L
.68817 .61738 L
.69059 .61416 L
.69134 .61318 L
.6929 .61095 L
.69456 .60886 L
.69521 .60773 L
.69777 .60462 L
.69779 .60452 L
.70022 .6013 L
.70099 .60032 L
.7025 .59808 L
.70421 .59601 L
.70478 .59487 L
.70742 .59178 L
.70754 .59165 L
.70987 .58844 L
.71064 .5875 L
.71213 .58522 L
.71385 .58321 L
.71435 .582 L
.71707 .57898 L
.71724 .57879 L
.71957 .57557 L
Mistroke
.72029 .57474 L
.72179 .57236 L
.7235 .57048 L
.72458 .56914 L
.72672 .56627 L
.72702 .56592 L
.72938 .56271 L
.72993 .5621 L
.73158 .55949 L
.73315 .55791 L
.73447 .55628 L
.73636 .55377 L
.73698 .55306 L
.73949 .54985 L
.73958 .54976 L
.7418 .54663 L
.7428 .54576 L
.7448 .54341 L
.74601 .54189 L
.74757 .5402 L
.74923 .53821 L
.75051 .53698 L
.75244 .53482 L
.75388 .53377 L
.75566 .53196 L
Mfstroke
.75888 .48808 m
.75987 .48874 L
.7601 .49196 L
.75888 .49518 L
.75888 .49518 L
.75752 .49839 L
.75588 .50161 L
.75566 .50219 L
.75407 .50482 L
.75244 .50782 L
.75228 .50804 L
.75002 .51126 L
.74923 .51293 L
.74806 .51447 L
.74605 .51769 L
.74601 .51774 L
.74343 .5209 L
.7428 .5224 L
.74137 .52412 L
.73958 .52695 L
.73926 .52733 L
.73701 .53055 L
.73636 .5314 L
.7343 .53377 L
.73315 .53583 L
.73217 .53698 L
.72995 .5402 L
.72993 .54022 L
.72712 .54341 L
.72672 .54456 L
.72492 .54663 L
.7235 .54891 L
.72272 .54985 L
.72043 .55306 L
.72029 .55324 L
.71766 .55628 L
.71707 .55754 L
.71542 .55949 L
.71385 .56186 L
.71316 .56271 L
.71083 .56592 L
.71064 .56616 L
.70814 .56914 L
.70742 .57045 L
.70586 .57236 L
.70421 .57477 L
.70356 .57557 L
.70107 .57879 L
.70099 .57905 L
.69858 .582 L
Mistroke
.69777 .58333 L
.69627 .58522 L
.69456 .58764 L
.69394 .58844 L
.69147 .59165 L
.69134 .59192 L
.689 .59487 L
.68813 .59619 L
.68666 .59808 L
.68491 .6005 L
.68431 .6013 L
.68184 .60452 L
.6817 .60477 L
.67939 .60773 L
.67848 .60903 L
.67703 .61095 L
.67526 .61334 L
.67466 .61416 L
.6722 .61738 L
.67205 .61761 L
.66975 .62059 L
.66883 .62185 L
.66738 .62381 L
.66562 .62616 L
.665 .62703 L
.66254 .63024 L
.6624 .63042 L
.66009 .63346 L
.65918 .63463 L
.6577 .63667 L
.65597 .63892 L
.65529 .63989 L
.65281 .64311 L
.65275 .64318 L
.65035 .64632 L
.64954 .64733 L
.64793 .64954 L
.64632 .65155 L
.6455 .65275 L
.64311 .65575 L
.64298 .65597 L
.64043 .65918 L
.63989 .6598 L
.63794 .6624 L
.63667 .66385 L
.63543 .66562 L
.63346 .66784 L
.63288 .66883 L
.63024 .67168 L
.62993 .67205 L
Mistroke
.62708 .67526 L
.62703 .67531 L
.62405 .67848 L
.62381 .67867 L
.62059 .68165 L
.62053 .6817 L
.61738 .68406 L
.61416 .68469 L
.61311 .6817 L
.61416 .67919 L
.61443 .67848 L
.61582 .67526 L
.61738 .67253 L
.61759 .67205 L
.61959 .66883 L
.62059 .66692 L
.6216 .66562 L
.62377 .6624 L
.62381 .66233 L
.62602 .65918 L
.62703 .65755 L
.62824 .65597 L
.63024 .65304 L
.63052 .65275 L
.6329 .64954 L
.63346 .64865 L
.63522 .64632 L
.63667 .64419 L
.63754 .64311 L
.63989 .63992 L
.63992 .63989 L
.64234 .63667 L
.64311 .63554 L
.64469 .63346 L
.64632 .63117 L
.64705 .63024 L
.64948 .62703 L
.64954 .62694 L
.65189 .62381 L
.65275 .62258 L
.65425 .62059 L
.65597 .61825 L
.65663 .61738 L
.65909 .61416 L
.65918 .61402 L
.66149 .61095 L
.6624 .60968 L
.66385 .60773 L
.66562 .60537 L
.66622 .60452 L
Mistroke
.66871 .6013 L
.66883 .60113 L
.6711 .59808 L
.67205 .59681 L
.67345 .59487 L
.67526 .5925 L
.67583 .59165 L
.67835 .58844 L
.67848 .58826 L
.68072 .58522 L
.6817 .58394 L
.68306 .582 L
.68491 .57964 L
.68543 .57879 L
.68799 .57557 L
.68813 .5754 L
.69035 .57236 L
.69134 .57109 L
.69267 .56914 L
.69456 .56679 L
.69502 .56592 L
.69764 .56271 L
.69777 .56254 L
.69998 .55949 L
.70099 .55824 L
.70227 .55628 L
.70421 .55395 L
.7046 .55306 L
.7073 .54985 L
.70742 .5497 L
.70962 .54663 L
.71064 .54541 L
.71188 .54341 L
.71385 .54113 L
.71415 .5402 L
.71699 .53698 L
.71707 .53688 L
.71928 .53377 L
.72029 .53261 L
.72149 .53055 L
.7235 .52835 L
.72431 .52733 L
.72672 .52413 L
.72672 .52412 L
.72902 .5209 L
.72993 .5199 L
.73118 .51769 L
.73315 .51569 L
.73413 .51447 L
.73636 .51153 L
Mistroke
.7366 .51126 L
.73898 .50804 L
.73958 .50744 L
.74116 .50482 L
.7428 .50339 L
.7443 .50161 L
.74601 .49947 L
.74698 .49839 L
.74923 .49575 L
.74979 .49518 L
.75244 .49232 L
.75288 .49196 L
.75566 .48933 L
.75686 .48874 L
.75888 .48808 L
Mfstroke
.41478 .47803 m
.418 .4772 L
.41898 .4791 L
.41894 .48231 L
.41831 .48553 L
.418 .48694 L
.41718 .48874 L
.41526 .49196 L
.41478 .4944 L
.4143 .49518 L
.41226 .49839 L
.41156 .50001 L
.41049 .50161 L
.40841 .50482 L
.40835 .50499 L
.40614 .50804 L
.40513 .50967 L
.40394 .51126 L
.40192 .51416 L
.40168 .51447 L
.39917 .51769 L
.3987 .51851 L
.3968 .5209 L
.39548 .52284 L
.39447 .52412 L
.39227 .52713 L
.39211 .52733 L
.38955 .53055 L
.38905 .5314 L
.38717 .53377 L
.38584 .53569 L
.38483 .53698 L
.38262 .53999 L
.38246 .5402 L
.37994 .54341 L
.37941 .54426 L
.37756 .54663 L
.37619 .54855 L
.37521 .54985 L
.37297 .55285 L
.37282 .55306 L
.37033 .55628 L
.36976 .55711 L
.36794 .55949 L
.36654 .56141 L
.36558 .56271 L
.36333 .56571 L
.36317 .56592 L
.3607 .56914 L
.36011 .56996 L
Mistroke
.35831 .57236 L
.35689 .57425 L
.35593 .57557 L
.35368 .57854 L
.35351 .57879 L
.35105 .582 L
.35046 .58278 L
.34865 .58522 L
.34725 .58705 L
.34627 .58844 L
.34403 .59134 L
.34383 .59165 L
.34136 .59487 L
.34082 .59555 L
.33895 .59808 L
.3376 .5998 L
.33656 .6013 L
.33438 .60405 L
.33411 .60452 L
.33158 .60773 L
.33117 .60822 L
.32915 .61095 L
.32795 .61239 L
.32673 .61416 L
.32474 .61654 L
.32427 .61738 L
.32156 .62059 L
.32152 .62063 L
.31903 .62381 L
.3183 .6246 L
.31652 .62703 L
.31509 .62851 L
.31404 .63024 L
.31187 .63229 L
.31083 .63346 L
.30866 .63586 L
.30787 .63667 L
.30544 .63914 L
.3046 .63989 L
.30223 .64195 L
.30023 .64311 L
.29901 .64371 L
.29708 .64311 L
.29705 .63989 L
.29821 .63667 L
.29901 .6351 L
.29973 .63346 L
.30166 .63024 L
.30223 .62906 L
.30357 .62703 L
Mistroke
.30544 .62391 L
.30559 .62381 L
.30777 .62059 L
.30866 .61906 L
.3099 .61738 L
.31187 .61441 L
.31209 .61416 L
.31445 .61095 L
.31509 .60987 L
.31671 .60773 L
.3183 .60536 L
.31898 .60452 L
.32136 .6013 L
.32152 .60101 L
.32375 .59808 L
.32474 .59659 L
.32607 .59487 L
.32795 .59223 L
.32841 .59165 L
.33085 .58844 L
.33117 .58793 L
.33324 .58522 L
.33438 .58357 L
.33559 .582 L
.3376 .57926 L
.33796 .57879 L
.34042 .57557 L
.34082 .57498 L
.34281 .57236 L
.34403 .57065 L
.34517 .56914 L
.34725 .56636 L
.34756 .56592 L
.35002 .56271 L
.35046 .56208 L
.35241 .55949 L
.35368 .55776 L
.35477 .55628 L
.35689 .55348 L
.35718 .55306 L
.35964 .54985 L
.36011 .5492 L
.36202 .54663 L
.36333 .5449 L
.36439 .54341 L
.36654 .54061 L
.36681 .5402 L
.36928 .53698 L
.36976 .53634 L
.37165 .53377 L
Mistroke
.37297 .53204 L
.37401 .53055 L
.37619 .52776 L
.37643 .52733 L
.37892 .52412 L
.37941 .52349 L
.38128 .5209 L
.38262 .5192 L
.38363 .51769 L
.38584 .51492 L
.38606 .51447 L
.38857 .51126 L
.38905 .51065 L
.39091 .50804 L
.39227 .50634 L
.39321 .50482 L
.39548 .50203 L
.39563 .50161 L
.39816 .49839 L
.3987 .49772 L
.40041 .49518 L
.40192 .49338 L
.40254 .49196 L
.40513 .48906 L
.40538 .48874 L
.40772 .48553 L
.40835 .4849 L
.41049 .48231 L
.41156 .48105 L
.41357 .4791 L
.41478 .47803 L
Mfstroke
.75244 .45187 m
.75566 .45066 L
.75694 .45337 L
.75624 .45659 L
.75566 .45826 L
.75508 .4598 L
.75344 .46302 L
.75244 .46536 L
.75181 .46623 L
.74974 .46945 L
.74923 .47074 L
.74783 .47267 L
.74601 .47573 L
.74589 .47588 L
.74332 .4791 L
.7428 .48049 L
.74127 .48231 L
.73958 .48507 L
.7392 .48553 L
.73696 .48874 L
.73636 .48955 L
.73423 .49196 L
.73315 .49398 L
.73212 .49518 L
.72993 .49835 L
.7299 .49839 L
.72704 .50161 L
.72672 .5027 L
.72485 .50482 L
.7235 .50705 L
.72266 .50804 L
.72037 .51126 L
.72029 .51136 L
.71758 .51447 L
.71707 .51567 L
.71534 .51769 L
.71385 .51999 L
.71309 .5209 L
.71077 .52412 L
.71064 .52428 L
.70806 .52733 L
.70742 .52857 L
.70578 .53055 L
.70421 .53288 L
.70349 .53377 L
.70103 .53698 L
.70099 .53717 L
.6985 .5402 L
.69777 .54145 L
.69619 .54341 L
Mistroke
.69456 .54575 L
.69387 .54663 L
.69142 .54985 L
.69134 .55004 L
.68892 .55306 L
.68813 .55432 L
.68658 .55628 L
.68491 .55862 L
.68424 .55949 L
.6818 .56271 L
.6817 .56291 L
.67932 .56592 L
.67848 .56717 L
.67697 .56914 L
.67526 .57148 L
.67461 .57236 L
.67217 .57557 L
.67205 .57577 L
.66971 .57879 L
.66883 .58003 L
.66734 .582 L
.66562 .58434 L
.66497 .58522 L
.66253 .58844 L
.6624 .58862 L
.66009 .59165 L
.65918 .59288 L
.65771 .59487 L
.65597 .59718 L
.65533 .59808 L
.65288 .6013 L
.65275 .60147 L
.65045 .60452 L
.64954 .60571 L
.64808 .60773 L
.64632 .61002 L
.64569 .61095 L
.64321 .61416 L
.64311 .6143 L
.6408 .61738 L
.63989 .61852 L
.63842 .62059 L
.63667 .62281 L
.63602 .62381 L
.63351 .62703 L
.63346 .62709 L
.63109 .63024 L
.63024 .63127 L
.6287 .63346 L
.62703 .63552 L
Mistroke
.6263 .63667 L
.62381 .63975 L
.62375 .63989 L
.62125 .64311 L
.62059 .64384 L
.61881 .64632 L
.61738 .64795 L
.61638 .64954 L
.61416 .65199 L
.61389 .65275 L
.61095 .6559 L
.61089 .65597 L
.60816 .65918 L
.60773 .65958 L
.60531 .6624 L
.60452 .663 L
.60176 .66562 L
.6013 .66602 L
.59808 .66839 L
.59691 .66883 L
.59487 .66891 L
.59479 .66883 L
.59398 .66562 L
.59487 .663 L
.59488 .6624 L
.59647 .65918 L
.59808 .65618 L
.59819 .65597 L
.60016 .65275 L
.6013 .65057 L
.60215 .64954 L
.60433 .64632 L
.60452 .64594 L
.60659 .64311 L
.60773 .6412 L
.60879 .63989 L
.61095 .63677 L
.61105 .63667 L
.6135 .63346 L
.61416 .63232 L
.6158 .63024 L
.61738 .6279 L
.61811 .62703 L
.6205 .62381 L
.62059 .62363 L
.62295 .62059 L
.62381 .61924 L
.62529 .61738 L
.62703 .6149 L
.62763 .61416 L
Mistroke
.63007 .61095 L
.63024 .61065 L
.6325 .60773 L
.63346 .60631 L
.63486 .60452 L
.63667 .602 L
.63723 .6013 L
.63968 .59808 L
.63989 .59775 L
.6421 .59487 L
.64311 .59342 L
.64446 .59165 L
.64632 .58912 L
.64684 .58844 L
.6493 .58522 L
.64954 .58487 L
.65171 .582 L
.65275 .58055 L
.65408 .57879 L
.65597 .57626 L
.65647 .57557 L
.65893 .57236 L
.65918 .572 L
.66133 .56914 L
.6624 .56769 L
.66369 .56592 L
.66562 .5634 L
.66609 .56271 L
.66857 .55949 L
.66883 .55914 L
.67095 .55628 L
.67205 .55483 L
.67331 .55306 L
.67526 .55054 L
.6757 .54985 L
.67821 .54663 L
.67848 .54628 L
.68058 .54341 L
.6817 .54198 L
.68292 .5402 L
.68491 .53768 L
.68531 .53698 L
.68786 .53377 L
.68813 .53342 L
.69021 .53055 L
.69134 .52912 L
.69253 .52733 L
.69456 .52483 L
.6949 .52412 L
.6975 .5209 L
Mistroke
.69777 .52056 L
.69983 .51769 L
.70099 .51627 L
.70213 .51447 L
.70421 .51199 L
.70448 .51126 L
.70716 .50804 L
.70742 .50772 L
.70947 .50482 L
.71064 .50344 L
.71172 .50161 L
.71385 .49916 L
.71404 .49839 L
.71684 .49518 L
.71707 .49491 L
.71913 .49196 L
.72029 .49065 L
.72133 .48874 L
.7235 .48639 L
.72418 .48553 L
.72659 .48231 L
.72672 .48217 L
.72887 .4791 L
.72993 .47796 L
.73103 .47588 L
.73315 .47378 L
.73404 .47267 L
.73636 .46966 L
.73654 .46945 L
.73896 .46623 L
.73958 .46564 L
.7412 .46302 L
.7428 .46173 L
.74448 .4598 L
.74601 .45802 L
.74739 .45659 L
.74923 .45465 L
.75069 .45337 L
.75244 .45187 L
Mfstroke
.74923 .41763 m
.74981 .418 L
.75066 .42121 L
.74955 .42443 L
.74923 .42536 L
.74828 .42764 L
.74659 .43086 L
.74601 .43232 L
.74485 .43408 L
.74287 .43729 L
.7428 .43765 L
.74068 .44051 L
.73958 .44265 L
.73871 .44372 L
.73661 .44694 L
.73636 .44729 L
.73394 .45015 L
.73315 .45186 L
.73186 .45337 L
.72993 .45631 L
.72969 .45659 L
.72738 .4598 L
.72672 .4607 L
.72468 .46302 L
.7235 .46507 L
.7225 .46623 L
.72029 .4694 L
.72024 .46945 L
.71746 .47267 L
.71707 .47372 L
.71521 .47588 L
.71385 .47805 L
.71296 .4791 L
.71066 .48231 L
.71064 .48234 L
.70794 .48553 L
.70742 .48664 L
.70565 .48874 L
.70421 .49095 L
.70337 .49196 L
.701 .49518 L
.70099 .49523 L
.69839 .49839 L
.69777 .49952 L
.69607 .50161 L
.69456 .50382 L
.69376 .50482 L
.69136 .50804 L
.69134 .50811 L
.68881 .51126 L
Mistroke
.68813 .51239 L
.68647 .51447 L
.68491 .51669 L
.68413 .51769 L
.68173 .5209 L
.6817 .52097 L
.67922 .52412 L
.67848 .52525 L
.67686 .52733 L
.67526 .52955 L
.6745 .53055 L
.67209 .53377 L
.67205 .53384 L
.66961 .53698 L
.66883 .53811 L
.66724 .5402 L
.66562 .54241 L
.66487 .54341 L
.66245 .54663 L
.6624 .5467 L
.65999 .54985 L
.65918 .55097 L
.65762 .55306 L
.65597 .55527 L
.65524 .55628 L
.6528 .55949 L
.65275 .55956 L
.65037 .56271 L
.64954 .56382 L
.64799 .56592 L
.64632 .56812 L
.64561 .56914 L
.64315 .57236 L
.64311 .57242 L
.64073 .57557 L
.63989 .57667 L
.63836 .57879 L
.63667 .58097 L
.63598 .582 L
.6335 .58522 L
.63346 .58527 L
.63109 .58844 L
.63024 .58951 L
.62873 .59165 L
.62703 .59381 L
.62635 .59487 L
.62383 .59808 L
.62381 .5981 L
.62143 .6013 L
.62059 .60232 L
Mistroke
.61908 .60452 L
.61738 .60661 L
.61671 .60773 L
.61416 .61089 L
.61414 .61095 L
.61173 .61416 L
.61095 .61507 L
.60937 .61738 L
.60773 .6193 L
.60701 .62059 L
.60452 .62351 L
.60447 .62381 L
.60182 .62703 L
.6013 .62758 L
.59939 .63024 L
.59808 .63161 L
.59699 .63346 L
.59487 .63553 L
.5939 .63667 L
.59165 .63927 L
.59109 .63989 L
.58844 .64275 L
.58808 .64311 L
.58522 .64591 L
.58474 .64632 L
.582 .64863 L
.58059 .64954 L
.57879 .6506 L
.57591 .64954 L
.5763 .64632 L
.5775 .64311 L
.57879 .64059 L
.57913 .63989 L
.58106 .63667 L
.582 .63478 L
.58305 .63346 L
.58516 .63024 L
.58522 .63006 L
.5875 .62703 L
.58844 .62525 L
.58963 .62381 L
.59165 .62074 L
.5918 .62059 L
.59434 .61738 L
.59487 .61625 L
.59657 .61416 L
.59808 .61178 L
.5988 .61095 L
.60122 .60773 L
.6013 .60746 L
Mistroke
.60367 .60452 L
.60452 .60306 L
.60595 .6013 L
.60773 .59871 L
.60826 .59808 L
.61075 .59487 L
.61095 .59443 L
.61317 .59165 L
.61416 .59009 L
.6155 .58844 L
.61738 .58578 L
.61784 .58522 L
.62033 .582 L
.62059 .58152 L
.62275 .57879 L
.62381 .5772 L
.62509 .57557 L
.62703 .5729 L
.62746 .57236 L
.62994 .56914 L
.63024 .56864 L
.63235 .56592 L
.63346 .56432 L
.63471 .56271 L
.63667 .56003 L
.63709 .55949 L
.63956 .55628 L
.63989 .55577 L
.64196 .55306 L
.64311 .55146 L
.64433 .54985 L
.64632 .54717 L
.64672 .54663 L
.64918 .54341 L
.64954 .5429 L
.65158 .5402 L
.65275 .5386 L
.65395 .53698 L
.65597 .53431 L
.65635 .53377 L
.65882 .53055 L
.65918 .53004 L
.66121 .52733 L
.6624 .52574 L
.66357 .52412 L
.66562 .52145 L
.66598 .5209 L
.66845 .51769 L
.66883 .51718 L
.67083 .51447 L
Mistroke
.67205 .51288 L
.67319 .51126 L
.67526 .50859 L
.6756 .50804 L
.67809 .50482 L
.67848 .50432 L
.68046 .50161 L
.6817 .50003 L
.6828 .49839 L
.68491 .49574 L
.68521 .49518 L
.68774 .49196 L
.68813 .49147 L
.69008 .48874 L
.69134 .48718 L
.6924 .48553 L
.69456 .48289 L
.69481 .48231 L
.69738 .4791 L
.69777 .47862 L
.69971 .47588 L
.70099 .47434 L
.702 .47267 L
.70421 .47005 L
.70439 .46945 L
.70705 .46623 L
.70742 .46579 L
.70935 .46302 L
.71064 .46152 L
.71161 .4598 L
.71385 .45725 L
.71436 .45659 L
.71675 .45337 L
.71707 .45301 L
.71904 .45015 L
.72029 .44878 L
.72125 .44694 L
.7235 .44455 L
.72415 .44372 L
.7266 .44051 L
.72672 .44038 L
.72893 .43729 L
.72993 .43628 L
.73114 .43408 L
.73315 .43225 L
.7343 .43086 L
.73636 .42836 L
.73699 .42764 L
.73958 .4247 L
.73984 .42443 L
Mistroke
.7428 .42141 L
.74302 .42121 L
.74601 .41871 L
.74751 .418 L
.74923 .41763 L
Mfstroke
.73958 .38868 m
.74028 .38905 L
.74126 .39227 L
.74007 .39548 L
.73958 .39685 L
.73881 .3987 L
.73709 .40192 L
.73636 .40368 L
.73534 .40513 L
.73329 .40835 L
.73315 .40884 L
.73113 .41156 L
.72993 .41378 L
.72911 .41478 L
.72696 .418 L
.72672 .41834 L
.72434 .42121 L
.7235 .42289 L
.72219 .42443 L
.72029 .4273 L
.71999 .42764 L
.7173 .43086 L
.71707 .43167 L
.71501 .43408 L
.71385 .43604 L
.71278 .43729 L
.71064 .44034 L
.7105 .44051 L
.70781 .44372 L
.70742 .44466 L
.70551 .44694 L
.70421 .44898 L
.70323 .45015 L
.70099 .45327 L
.7009 .45337 L
.69828 .45659 L
.69777 .45757 L
.69594 .4598 L
.69456 .46188 L
.69363 .46302 L
.69134 .46615 L
.69128 .46623 L
.6887 .46945 L
.68813 .47044 L
.68635 .47267 L
.68491 .47475 L
.68401 .47588 L
.6817 .47902 L
.68164 .4791 L
.67911 .48231 L
Mistroke
.67848 .48331 L
.67674 .48553 L
.67526 .48761 L
.67439 .48874 L
.67205 .49189 L
.672 .49196 L
.6695 .49518 L
.66883 .49617 L
.66712 .49839 L
.66562 .50047 L
.66476 .50161 L
.6624 .50476 L
.66235 .50482 L
.65988 .50804 L
.65918 .50903 L
.6575 .51126 L
.65597 .51333 L
.65513 .51447 L
.65275 .51762 L
.65271 .51769 L
.65026 .5209 L
.64954 .52189 L
.64788 .52412 L
.64632 .52619 L
.64551 .52733 L
.64311 .53048 L
.64306 .53055 L
.64063 .53377 L
.63989 .53475 L
.63826 .53698 L
.63667 .53905 L
.63588 .5402 L
.63346 .54334 L
.63342 .54341 L
.631 .54663 L
.63024 .5476 L
.62863 .54985 L
.62703 .5519 L
.62627 .55306 L
.62381 .5562 L
.62377 .55628 L
.62136 .55949 L
.62059 .56045 L
.61901 .56271 L
.61738 .56474 L
.61665 .56592 L
.61416 .56904 L
.61412 .56914 L
.61171 .57236 L
.61095 .57328 L
Mistroke
.60937 .57557 L
.60773 .57756 L
.60703 .57879 L
.60452 .58185 L
.60448 .582 L
.60203 .58522 L
.6013 .58608 L
.59971 .58844 L
.59808 .59035 L
.5974 .59165 L
.59487 .59464 L
.5947 .59487 L
.59234 .59808 L
.59165 .59886 L
.59008 .6013 L
.58844 .60312 L
.58797 .60452 L
.58522 .60735 L
.58492 .60773 L
.58248 .61095 L
.582 .61136 L
.57958 .61416 L
.57879 .615 L
.57602 .61738 L
.57557 .61767 L
.57279 .61738 L
.57236 .61643 L
.57215 .61416 L
.57236 .6118 L
.57239 .61095 L
.57342 .60773 L
.57487 .60452 L
.57557 .60223 L
.57622 .6013 L
.57815 .59808 L
.57879 .59663 L
.58001 .59487 L
.582 .59168 L
.58203 .59165 L
.5844 .58844 L
.58522 .58697 L
.58661 .58522 L
.58844 .58251 L
.58886 .582 L
.59141 .57879 L
.59165 .57818 L
.59382 .57557 L
.59487 .57384 L
.59612 .57236 L
.59808 .56956 L
Mistroke
.59844 .56914 L
.60104 .56592 L
.6013 .56529 L
.60343 .56271 L
.60452 .56098 L
.60574 .55949 L
.60773 .55669 L
.60807 .55628 L
.61062 .55306 L
.61095 .55242 L
.61302 .54985 L
.61416 .54811 L
.61535 .54663 L
.61738 .54382 L
.6177 .54341 L
.62022 .5402 L
.62059 .53954 L
.62261 .53698 L
.62381 .53524 L
.62496 .53377 L
.62703 .53095 L
.62734 .53055 L
.62983 .52733 L
.63024 .52668 L
.63222 .52412 L
.63346 .52238 L
.63458 .5209 L
.63667 .51809 L
.63697 .51769 L
.63945 .51447 L
.63989 .51381 L
.64184 .51126 L
.64311 .50952 L
.64421 .50804 L
.64632 .50523 L
.64661 .50482 L
.64907 .50161 L
.64954 .50095 L
.65146 .49839 L
.65275 .49666 L
.65383 .49518 L
.65597 .49237 L
.65624 .49196 L
.65871 .48874 L
.65918 .48809 L
.66109 .48553 L
.6624 .4838 L
.66345 .48231 L
.66562 .47951 L
.66587 .4791 L
Mistroke
.66834 .47588 L
.66883 .47524 L
.67071 .47267 L
.67205 .47095 L
.67307 .46945 L
.67526 .46665 L
.6755 .46623 L
.67798 .46302 L
.67848 .46238 L
.68034 .4598 L
.6817 .45809 L
.68268 .45659 L
.68491 .4538 L
.68512 .45337 L
.68763 .45015 L
.68813 .44954 L
.68997 .44694 L
.69134 .44525 L
.69229 .44372 L
.69456 .44096 L
.69473 .44051 L
.69728 .43729 L
.69777 .43671 L
.69961 .43408 L
.70099 .43244 L
.70191 .43086 L
.70421 .42815 L
.70433 .42764 L
.70698 .42443 L
.70742 .42393 L
.7093 .42121 L
.71064 .41969 L
.71156 .418 L
.71385 .41546 L
.71438 .41478 L
.71682 .41156 L
.71707 .4113 L
.71918 .40835 L
.72029 .40721 L
.72145 .40513 L
.7235 .40318 L
.72455 .40192 L
.72672 .39931 L
.72725 .3987 L
.72993 .39569 L
.73013 .39548 L
.73315 .39245 L
.73336 .39227 L
.73636 .38982 L
.73793 .38905 L
Mistroke
.73958 .38868 L
Mfstroke
.40513 .3686 m
.40835 .36736 L
.4097 .36976 L
.40917 .37297 L
.40835 .37496 L
.40801 .37619 L
.40626 .37941 L
.40513 .38185 L
.40447 .38262 L
.40243 .38584 L
.40192 .38678 L
.40034 .38905 L
.3987 .39168 L
.3982 .39227 L
.39588 .39548 L
.39548 .39621 L
.3936 .3987 L
.39227 .40077 L
.39136 .40192 L
.38906 .40513 L
.38905 .40514 L
.38659 .40835 L
.38584 .40958 L
.38428 .41156 L
.38262 .41397 L
.38197 .41478 L
.37955 .418 L
.37941 .41827 L
.37713 .42121 L
.37619 .42264 L
.37479 .42443 L
.37297 .42697 L
.37244 .42764 L
.36999 .43086 L
.36976 .43125 L
.36758 .43408 L
.36654 .43558 L
.36523 .43729 L
.36333 .43989 L
.36285 .44051 L
.3604 .44372 L
.36011 .44416 L
.35799 .44694 L
.35689 .44848 L
.35563 .45015 L
.35368 .45277 L
.35324 .45337 L
.35078 .45659 L
.35046 .45704 L
.34838 .4598 L
Mistroke
.34725 .46135 L
.34601 .46302 L
.34403 .46564 L
.34362 .46623 L
.34115 .46945 L
.34082 .46991 L
.33876 .47267 L
.3376 .47421 L
.3364 .47588 L
.33438 .4785 L
.33399 .4791 L
.33151 .48231 L
.33117 .48277 L
.32913 .48553 L
.32795 .48706 L
.32677 .48874 L
.32474 .49135 L
.32437 .49196 L
.32186 .49518 L
.32152 .49562 L
.31949 .49839 L
.3183 .4999 L
.31715 .50161 L
.31509 .50419 L
.31475 .50482 L
.3122 .50804 L
.31187 .50845 L
.30984 .51126 L
.30866 .51272 L
.30752 .51447 L
.30544 .517 L
.30513 .51769 L
.3025 .5209 L
.30223 .52124 L
.30016 .52412 L
.29901 .52548 L
.29786 .52733 L
.29579 .52973 L
.29551 .53055 L
.29272 .53377 L
.29258 .53393 L
.29037 .53698 L
.28936 .53811 L
.28808 .5402 L
.28615 .54226 L
.28522 .54341 L
.28293 .54635 L
.2827 .54663 L
.28019 .54985 L
.27971 .55032 L
Mistroke
.27778 .55306 L
.2765 .55419 L
.27465 .55628 L
.27328 .55785 L
.2717 .55949 L
.27007 .56119 L
.26834 .56271 L
.26685 .56399 L
.26364 .56543 L
.26217 .56271 L
.26292 .55949 L
.26364 .55768 L
.26415 .55628 L
.26585 .55306 L
.26685 .55083 L
.26756 .54985 L
.26958 .54663 L
.27007 .54558 L
.27158 .54341 L
.27328 .54059 L
.27359 .5402 L
.27599 .53698 L
.2765 .53587 L
.27815 .53377 L
.27971 .53127 L
.28029 .53055 L
.28277 .52733 L
.28293 .5268 L
.28511 .52412 L
.28615 .52235 L
.28732 .5209 L
.28936 .51796 L
.28958 .51769 L
.29219 .51447 L
.29258 .5136 L
.29451 .51126 L
.29579 .50925 L
.29677 .50804 L
.29901 .50493 L
.29909 .50482 L
.30169 .50161 L
.30223 .50061 L
.30402 .49839 L
.30544 .49629 L
.30633 .49518 L
.30866 .49199 L
.30868 .49196 L
.31124 .48874 L
.31187 .4877 L
.31359 .48553 L
Mistroke
.31509 .48339 L
.31593 .48231 L
.3183 .4791 L
.3183 .47909 L
.32083 .47588 L
.32152 .47481 L
.32319 .47267 L
.32474 .47051 L
.32554 .46945 L
.32794 .46623 L
.32795 .46622 L
.33043 .46302 L
.33117 .46195 L
.3328 .4598 L
.33438 .45765 L
.33517 .45659 L
.33759 .45337 L
.3376 .45336 L
.34005 .45015 L
.34082 .44909 L
.34243 .44694 L
.34403 .4448 L
.34481 .44372 L
.34725 .44051 L
.34725 .4405 L
.34969 .43729 L
.35046 .43626 L
.35207 .43408 L
.35368 .43196 L
.35445 .43086 L
.35689 .42767 L
.35691 .42764 L
.35935 .42443 L
.36011 .42344 L
.36173 .42121 L
.36333 .41916 L
.36411 .418 L
.36654 .41489 L
.3666 .41478 L
.36905 .41156 L
.36976 .41068 L
.37143 .40835 L
.37297 .40644 L
.37382 .40513 L
.37619 .4022 L
.37632 .40192 L
.37886 .3987 L
.37941 .39805 L
.38127 .39548 L
.38262 .39391 L
Mistroke
.38368 .39227 L
.38584 .3898 L
.38615 .38905 L
.38899 .38584 L
.38905 .38577 L
.39155 .38262 L
.39227 .38189 L
.39411 .37941 L
.39548 .37811 L
.3966 .37619 L
.3987 .37453 L
.40022 .37297 L
.40192 .37128 L
.40369 .36976 L
.40513 .3686 L
Mfstroke
.43729 .36289 m
.4383 .36333 L
.43961 .36654 L
.44023 .36976 L
.44014 .37297 L
.43946 .37619 L
.43879 .37941 L
.43729 .38251 L
.43715 .38262 L
.43629 .38584 L
.4344 .38905 L
.43408 .38969 L
.433 .39227 L
.43216 .39548 L
.43123 .3987 L
.43097 .40192 L
.4309 .40513 L
.43086 .40576 L
.43049 .40835 L
.42967 .41156 L
.42867 .41478 L
.42772 .418 L
.42764 .41827 L
.4269 .42121 L
.42644 .42443 L
.42624 .42764 L
.42651 .43086 L
.42577 .43408 L
.42487 .43729 L
.42443 .4388 L
.42377 .44051 L
.42224 .44372 L
.42121 .44576 L
.42056 .44694 L
.41863 .45015 L
.418 .45118 L
.41654 .45337 L
.41478 .45589 L
.41426 .45659 L
.41178 .4598 L
.41156 .46011 L
.40912 .46302 L
.40835 .46416 L
.40652 .46623 L
.40513 .46823 L
.40406 .46945 L
.40192 .47236 L
.40165 .47267 L
.39896 .47588 L
.3987 .47656 L
Mistroke
.39658 .4791 L
.39548 .48084 L
.39428 .48231 L
.39227 .48513 L
.39195 .48553 L
.38941 .48874 L
.38905 .48943 L
.38703 .49196 L
.38584 .49374 L
.38471 .49518 L
.38262 .49805 L
.38236 .49839 L
.37985 .50161 L
.37941 .50234 L
.37746 .50482 L
.37619 .50664 L
.37511 .50804 L
.37297 .51094 L
.37274 .51126 L
.37025 .51447 L
.36976 .51522 L
.36786 .51769 L
.36654 .51952 L
.3655 .5209 L
.36333 .52381 L
.3631 .52412 L
.36063 .52733 L
.36011 .52808 L
.35824 .53055 L
.35689 .53238 L
.35587 .53377 L
.35368 .53667 L
.35346 .53698 L
.351 .5402 L
.35046 .54093 L
.34861 .54341 L
.34725 .54522 L
.34624 .54663 L
.34403 .54952 L
.34382 .54985 L
.34136 .55306 L
.34082 .55377 L
.33897 .55628 L
.3376 .55806 L
.3366 .55949 L
.33438 .56235 L
.33416 .56271 L
.33169 .56592 L
.33117 .56659 L
.32931 .56914 L
Mistroke
.32795 .57086 L
.32694 .57236 L
.32474 .57514 L
.3245 .57557 L
.32199 .57879 L
.32152 .57936 L
.3196 .582 L
.3183 .58359 L
.31724 .58522 L
.31509 .58782 L
.3148 .58844 L
.31217 .59165 L
.31187 .59199 L
.30975 .59487 L
.30866 .59612 L
.30737 .59808 L
.30544 .60022 L
.30498 .6013 L
.30223 .60422 L
.30198 .60452 L
.29935 .60773 L
.29901 .60807 L
.29671 .61095 L
.29579 .61174 L
.29407 .61416 L
.29258 .61515 L
.29021 .61738 L
.28936 .61815 L
.28615 .62056 L
.28318 .61738 L
.2839 .61416 L
.28555 .61095 L
.28615 .6093 L
.28717 .60773 L
.28907 .60452 L
.28936 .60388 L
.29106 .6013 L
.29258 .59869 L
.29308 .59808 L
.29536 .59487 L
.29579 .59401 L
.29756 .59165 L
.29901 .58936 L
.29975 .58844 L
.3021 .58522 L
.30223 .58493 L
.3045 .582 L
.30544 .58046 L
.30677 .57879 L
.30866 .57607 L
Mistroke
.30906 .57557 L
.31154 .57236 L
.31187 .57174 L
.31392 .56914 L
.31509 .56737 L
.31624 .56592 L
.3183 .56306 L
.31858 .56271 L
.32108 .55949 L
.32152 .55875 L
.32346 .55628 L
.32474 .55443 L
.3258 .55306 L
.32795 .55013 L
.32817 .54985 L
.33066 .54663 L
.33117 .54584 L
.33304 .54341 L
.33438 .54153 L
.3354 .5402 L
.3376 .53724 L
.33779 .53698 L
.34026 .53377 L
.34082 .53296 L
.34265 .53055 L
.34403 .52865 L
.34502 .52733 L
.34725 .52437 L
.34743 .52412 L
.34988 .5209 L
.35046 .52009 L
.35227 .51769 L
.35368 .51579 L
.35464 .51447 L
.35689 .51151 L
.35706 .51126 L
.35951 .50804 L
.36011 .50723 L
.36189 .50482 L
.36333 .50293 L
.36426 .50161 L
.36654 .49865 L
.3667 .49839 L
.36915 .49518 L
.36976 .49438 L
.37152 .49196 L
.37297 .49009 L
.37388 .48874 L
.37619 .4858 L
.37634 .48553 L
Mistroke
.3788 .48231 L
.37941 .48154 L
.38116 .4791 L
.38262 .47726 L
.38351 .47588 L
.38584 .47299 L
.38598 .47267 L
.38849 .46945 L
.38905 .46876 L
.39085 .46623 L
.39227 .46451 L
.3932 .46302 L
.39548 .46028 L
.39568 .4598 L
.39828 .45659 L
.3987 .45608 L
.40065 .45337 L
.40192 .45185 L
.403 .45015 L
.40513 .44754 L
.40542 .44694 L
.40788 .44372 L
.40835 .44313 L
.41005 .44051 L
.41156 .43846 L
.41208 .43729 L
.41433 .43408 L
.41478 .43345 L
.4158 .43086 L
.41797 .42764 L
.418 .42761 L
.41944 .42443 L
.42012 .42121 L
.42121 .41864 L
.42134 .418 L
.4219 .41478 L
.42226 .41156 L
.42224 .40835 L
.42121 .40606 L
.418 .4073 L
.41686 .40835 L
.41478 .41103 L
.41402 .41156 L
.41205 .41478 L
.41156 .41553 L
.40945 .418 L
.40835 .42041 L
.40768 .42121 L
.40528 .42443 L
.40513 .42509 L
Mistroke
.40317 .42764 L
.40192 .42976 L
.40105 .43086 L
.39876 .43408 L
.3987 .43424 L
.39634 .43729 L
.39548 .43872 L
.39407 .44051 L
.39227 .44311 L
.39178 .44372 L
.38931 .44694 L
.38905 .44744 L
.3869 .45015 L
.38584 .45178 L
.38458 .45337 L
.38262 .45609 L
.38223 .45659 L
.37974 .4598 L
.37941 .46038 L
.37734 .46302 L
.37619 .46469 L
.37499 .46623 L
.37297 .46899 L
.37262 .46945 L
.37014 .47267 L
.36976 .47327 L
.36774 .47588 L
.36654 .47757 L
.36538 .4791 L
.36333 .48187 L
.363 .48231 L
.36052 .48553 L
.36011 .48614 L
.35813 .48874 L
.35689 .49044 L
.35576 .49196 L
.35368 .49474 L
.35336 .49518 L
.3509 .49839 L
.35046 .49901 L
.34851 .50161 L
.34725 .5033 L
.34614 .50482 L
.34403 .5076 L
.34373 .50804 L
.34127 .51126 L
.34082 .51187 L
.33888 .51447 L
.3376 .51616 L
.33651 .51769 L
Mistroke
.33438 .52045 L
.3341 .5209 L
.33162 .52412 L
.33117 .52471 L
.32925 .52733 L
.32795 .529 L
.32688 .53055 L
.32474 .53329 L
.32446 .53377 L
.32196 .53698 L
.32152 .53754 L
.3196 .5402 L
.3183 .54182 L
.31725 .54341 L
.31509 .54609 L
.31482 .54663 L
.31227 .54985 L
.31187 .55034 L
.30991 .55306 L
.30866 .55458 L
.30758 .55628 L
.30544 .55883 L
.30517 .55949 L
.30251 .56271 L
.30223 .56304 L
.30013 .56592 L
.29901 .56721 L
.29781 .56914 L
.29579 .57137 L
.29548 .57236 L
.29258 .57547 L
.29249 .57557 L
.29001 .57879 L
.28936 .57944 L
.28757 .582 L
.28615 .58331 L
.28448 .58522 L
.28293 .58698 L
.28155 .58844 L
.27971 .59034 L
.27825 .59165 L
.2765 .59318 L
.27333 .59487 L
.27328 .59488 L
.27223 .59487 L
.27126 .59165 L
.27209 .58844 L
.27328 .58568 L
.27345 .58522 L
.27517 .582 L
Mistroke
.2765 .57928 L
.27695 .57879 L
.27904 .57557 L
.27971 .57422 L
.28106 .57236 L
.28293 .56938 L
.28313 .56914 L
.28554 .56592 L
.28615 .56472 L
.28773 .56271 L
.28936 .56017 L
.28992 .55949 L
.29238 .55628 L
.29258 .55575 L
.29474 .55306 L
.29579 .55132 L
.29699 .54985 L
.29901 .54696 L
.29928 .54663 L
.30183 .54341 L
.30223 .54262 L
.30418 .5402 L
.30544 .53827 L
.30648 .53698 L
.30866 .53396 L
.30881 .53377 L
.31136 .53055 L
.31187 .52965 L
.31372 .52733 L
.31509 .52534 L
.31605 .52412 L
.3183 .52104 L
.31841 .5209 L
.32093 .51769 L
.32152 .51675 L
.3233 .51447 L
.32474 .51244 L
.32565 .51126 L
.32795 .50816 L
.32804 .50804 L
.33053 .50482 L
.33117 .50387 L
.33291 .50161 L
.33438 .49957 L
.33527 .49839 L
.3376 .49528 L
.33768 .49518 L
.34015 .49196 L
.34082 .49101 L
.34253 .48874 L
Mistroke
.34403 .48671 L
.3449 .48553 L
.34725 .48242 L
.34732 .48231 L
.34977 .4791 L
.35046 .47815 L
.35215 .47588 L
.35368 .47385 L
.35453 .47267 L
.35689 .46956 L
.35697 .46945 L
.35941 .46623 L
.36011 .4653 L
.36178 .46302 L
.36333 .46101 L
.36416 .4598 L
.36654 .45672 L
.36662 .45659 L
.36906 .45337 L
.36976 .45247 L
.37142 .45015 L
.37297 .44818 L
.37379 .44694 L
.37619 .4439 L
.37628 .44372 L
.37873 .44051 L
.37941 .43966 L
.38109 .43729 L
.38262 .43539 L
.38344 .43408 L
.38584 .43112 L
.38594 .43086 L
.38844 .42764 L
.38905 .42692 L
.3908 .42443 L
.39227 .4227 L
.39312 .42121 L
.39548 .41851 L
.39589 .418 L
.39838 .41478 L
.3987 .41443 L
.40083 .41156 L
.40192 .41049 L
.40324 .40835 L
.40513 .40673 L
.40662 .40513 L
.40835 .40328 L
.40976 .40192 L
.41156 .40015 L
.41321 .3987 L
Mistroke
.41478 .39716 L
.41648 .39548 L
.418 .39376 L
.41924 .39227 L
.42121 .38941 L
.42146 .38905 L
.42345 .38584 L
.42443 .38421 L
.4253 .38262 L
.42722 .37941 L
.42764 .37871 L
.42896 .37619 L
.43086 .37312 L
.43094 .37297 L
.43216 .36976 L
.43408 .36767 L
.43472 .36654 L
.43691 .36333 L
.43729 .36289 L
Mfstroke
.57557 .35868 m
.5771 .36011 L
.57557 .36036 L
.57543 .36011 L
.57557 .35868 L
s
.38905 .34964 m
.39227 .35009 L
.39235 .35046 L
.39227 .35211 L
.39189 .35368 L
.39082 .35689 L
.38906 .36011 L
.38905 .36012 L
.38726 .36333 L
.38584 .36605 L
.38533 .36654 L
.38318 .36976 L
.38262 .37075 L
.38105 .37297 L
.37941 .37555 L
.37887 .37619 L
.37656 .37941 L
.37619 .38002 L
.37427 .38262 L
.37297 .38458 L
.372 .38584 L
.36976 .38895 L
.36967 .38905 L
.36725 .39227 L
.36654 .39335 L
.36492 .39548 L
.36333 .39775 L
.36259 .3987 L
.36018 .40192 L
.36011 .40203 L
.35776 .40513 L
.35689 .40639 L
.35541 .40835 L
.35368 .41073 L
.35305 .41156 L
.3506 .41478 L
.35046 .41499 L
.3482 .418 L
.34725 .41932 L
.34584 .42121 L
.34403 .42364 L
.34346 .42443 L
.34099 .42764 L
.34082 .4279 L
.3386 .43086 L
.3376 .43222 L
.33624 .43408 L
.33438 .43652 L
.33386 .43729 L
.33136 .44051 L
Mistroke
.33117 .44078 L
.32898 .44372 L
.32795 .44508 L
.32663 .44694 L
.32474 .44938 L
.32424 .45015 L
.32172 .45337 L
.32152 .45364 L
.31935 .45659 L
.3183 .45793 L
.31701 .4598 L
.31509 .46222 L
.31463 .46302 L
.31206 .46623 L
.31187 .46648 L
.30971 .46945 L
.30866 .47076 L
.30739 .47267 L
.30544 .47504 L
.30503 .47588 L
.30238 .4791 L
.30223 .47929 L
.30004 .48231 L
.29901 .48356 L
.29774 .48553 L
.29579 .48782 L
.29542 .48874 L
.29265 .49196 L
.29258 .49204 L
.29031 .49518 L
.28936 .49627 L
.28804 .49839 L
.28615 .50048 L
.28581 .50161 L
.28293 .50465 L
.28278 .50482 L
.28039 .50804 L
.27971 .50876 L
.27811 .51126 L
.2765 .51284 L
.27515 .51447 L
.27328 .51682 L
.27253 .51769 L
.27007 .52065 L
.26983 .5209 L
.26704 .52412 L
.26685 .52426 L
.26384 .52733 L
.26364 .52755 L
.26042 .53046 L
Mistroke
.25986 .53055 L
.2572 .53111 L
.25673 .53055 L
.25679 .52733 L
.2572 .52607 L
.25758 .52412 L
.25932 .5209 L
.26042 .51828 L
.26093 .51769 L
.26285 .51447 L
.26364 .51289 L
.26474 .51126 L
.26677 .50804 L
.26685 .50781 L
.26901 .50482 L
.27007 .50292 L
.27107 .50161 L
.27326 .49839 L
.27328 .49828 L
.27573 .49518 L
.2765 .4937 L
.2779 .49196 L
.27971 .48922 L
.28009 .48874 L
.28266 .48553 L
.28293 .4848 L
.28497 .48231 L
.28615 .4804 L
.2872 .4791 L
.28936 .47603 L
.28948 .47588 L
.2921 .47267 L
.29258 .47169 L
.29441 .46945 L
.29579 .46735 L
.29669 .46623 L
.29901 .46303 L
.29902 .46302 L
.30162 .4598 L
.30223 .45873 L
.30394 .45659 L
.30544 .45441 L
.30626 .45337 L
.30864 .45015 L
.30866 .4501 L
.31117 .44694 L
.31187 .44583 L
.31352 .44372 L
.31509 .44152 L
.31586 .44051 L
Mistroke
.31827 .43729 L
.3183 .43722 L
.32077 .43408 L
.32152 .43295 L
.32313 .43086 L
.32474 .42865 L
.32549 .42764 L
.32791 .42443 L
.32795 .42436 L
.33039 .42121 L
.33117 .42011 L
.33276 .418 L
.33438 .41582 L
.33514 .41478 L
.33758 .41156 L
.3376 .41153 L
.34004 .40835 L
.34082 .4073 L
.34243 .40513 L
.34403 .40302 L
.34482 .40192 L
.34725 .39875 L
.34728 .3987 L
.34974 .39548 L
.35046 .39455 L
.35214 .39227 L
.35368 .39031 L
.35455 .38905 L
.35689 .38607 L
.35704 .38584 L
.35954 .38262 L
.36011 .38193 L
.36198 .37941 L
.36333 .37777 L
.36442 .37619 L
.36654 .37365 L
.36692 .37297 L
.36962 .36976 L
.36976 .36961 L
.37219 .36654 L
.37297 .36569 L
.37476 .36333 L
.37619 .36187 L
.37731 .36011 L
.37941 .35823 L
.38066 .35689 L
.38262 .35486 L
.38388 .35368 L
.38584 .35189 L
.38781 .35046 L
Mistroke
.38905 .34964 L
Mfstroke
.71064 .34328 m
.7127 .34403 L
.71381 .34725 L
.71259 .35046 L
.71097 .35368 L
.71064 .35454 L
.70905 .35689 L
.70742 .35974 L
.70702 .36011 L
.70468 .36333 L
.70421 .36428 L
.70245 .36654 L
.70099 .36888 L
.70024 .36976 L
.69788 .37297 L
.69777 .37324 L
.69546 .37619 L
.69456 .37771 L
.69318 .37941 L
.69134 .38209 L
.69089 .38262 L
.6884 .38584 L
.68813 .38639 L
.68602 .38905 L
.68491 .39077 L
.6837 .39227 L
.6817 .39508 L
.68135 .39548 L
.67886 .3987 L
.67848 .39936 L
.67646 .40192 L
.67526 .40369 L
.67412 .40513 L
.67205 .40798 L
.67175 .40835 L
.66926 .41156 L
.66883 .41226 L
.66687 .41478 L
.66562 .41658 L
.66451 .418 L
.6624 .42086 L
.66212 .42121 L
.65965 .42443 L
.65918 .42513 L
.65726 .42764 L
.65597 .42944 L
.65489 .43086 L
.65275 .43372 L
.65249 .43408 L
.65003 .43729 L
Mistroke
.64954 .438 L
.64764 .44051 L
.64632 .4423 L
.64527 .44372 L
.64311 .44659 L
.64286 .44694 L
.6404 .45015 L
.63989 .45086 L
.63802 .45337 L
.63667 .45516 L
.63566 .45659 L
.63346 .45945 L
.63323 .4598 L
.63077 .46302 L
.63024 .46372 L
.6284 .46623 L
.62703 .46802 L
.62604 .46945 L
.62381 .47231 L
.62361 .47267 L
.62113 .47588 L
.62059 .47658 L
.61878 .4791 L
.61738 .48088 L
.61643 .48231 L
.61416 .48516 L
.61399 .48553 L
.61149 .48874 L
.61095 .48943 L
.60915 .49196 L
.60773 .49372 L
.60683 .49518 L
.60452 .498 L
.60437 .49839 L
.60183 .50161 L
.6013 .50226 L
.5995 .50482 L
.59808 .50653 L
.59719 .50804 L
.59487 .51081 L
.59473 .51126 L
.59215 .51447 L
.59165 .51507 L
.58985 .51769 L
.58844 .5194 L
.58758 .5209 L
.58522 .52382 L
.58515 .52412 L
.5828 .52733 L
.582 .52836 L
Mistroke
.58077 .53055 L
.57879 .53317 L
.5784 .53377 L
.57655 .53698 L
.57557 .53831 L
.5745 .5402 L
.57299 .54341 L
.57236 .54422 L
.57131 .54663 L
.57012 .54985 L
.56933 .55306 L
.56914 .55373 L
.56878 .55628 L
.56914 .55881 L
.57236 .55936 L
.57557 .55698 L
.57626 .55628 L
.57879 .55348 L
.57929 .55306 L
.58168 .54985 L
.582 .54943 L
.5848 .54663 L
.58522 .5451 L
.58671 .54341 L
.58844 .54072 L
.58888 .5402 L
.5915 .53698 L
.59165 .53636 L
.59381 .53377 L
.59487 .53198 L
.59604 .53055 L
.59808 .52765 L
.59834 .52733 L
.60094 .52412 L
.6013 .52334 L
.6033 .5209 L
.60452 .51903 L
.6056 .51769 L
.60773 .51474 L
.60794 .51447 L
.61051 .51126 L
.61095 .51046 L
.61289 .50804 L
.61416 .50616 L
.61522 .50482 L
.61738 .50187 L
.61758 .50161 L
.62011 .49839 L
.62059 .49759 L
.62249 .49518 L
Mistroke
.62381 .4933 L
.62484 .49196 L
.62703 .48901 L
.62722 .48874 L
.62972 .48553 L
.63024 .48473 L
.63211 .48231 L
.63346 .48044 L
.63447 .4791 L
.63667 .47614 L
.63686 .47588 L
.63934 .47267 L
.63989 .47187 L
.64173 .46945 L
.64311 .46758 L
.64409 .46623 L
.64632 .46328 L
.6465 .46302 L
.64897 .4598 L
.64954 .45902 L
.65135 .45659 L
.65275 .45472 L
.65372 .45337 L
.65597 .45042 L
.65614 .45015 L
.6586 .44694 L
.65918 .44616 L
.66098 .44372 L
.6624 .44187 L
.66334 .44051 L
.66562 .43756 L
.66578 .43729 L
.66823 .43408 L
.66883 .43331 L
.6706 .43086 L
.67205 .42902 L
.67297 .42764 L
.67526 .42472 L
.67542 .42443 L
.67788 .42121 L
.67848 .42047 L
.68024 .418 L
.6817 .41618 L
.68259 .41478 L
.68491 .41189 L
.68506 .41156 L
.68755 .40835 L
.68813 .40766 L
.68989 .40513 L
.69134 .40339 L
Mistroke
.69223 .40192 L
.69456 .39911 L
.6947 .3987 L
.69727 .39548 L
.69777 .39491 L
.69962 .39227 L
.70099 .39071 L
.70194 .38905 L
.70421 .38651 L
.70435 .38584 L
.7072 .38262 L
.70742 .3824 L
.70963 .37941 L
.71064 .37837 L
.71198 .37619 L
.71385 .3744 L
.71504 .37297 L
.71707 .37056 L
.71777 .36976 L
.72029 .3669 L
.72062 .36654 L
.7235 .36355 L
.72374 .36333 L
.72672 .36072 L
.72777 .36011 L
.72993 .35903 L
.73169 .36011 L
.73213 .36333 L
.73044 .36654 L
.72993 .36768 L
.72896 .36976 L
.72716 .37297 L
.72672 .37404 L
.72533 .37619 L
.7235 .37936 L
.72344 .37941 L
.72121 .38262 L
.72029 .38442 L
.71918 .38584 L
.71707 .38905 L
.71707 .38905 L
.71457 .39227 L
.71385 .39369 L
.71238 .39548 L
.71064 .39817 L
.71017 .3987 L
.70763 .40192 L
.70742 .40253 L
.70528 .40513 L
.70421 .40693 L
Mistroke
.70302 .40835 L
.70099 .41125 L
.70072 .41156 L
.69814 .41478 L
.69777 .41556 L
.69578 .418 L
.69456 .4199 L
.69348 .42121 L
.69134 .42418 L
.69114 .42443 L
.68858 .42764 L
.68813 .42848 L
.68621 .43086 L
.68491 .43279 L
.68388 .43408 L
.6817 .43707 L
.68152 .43729 L
.67899 .44051 L
.67848 .44136 L
.67662 .44372 L
.67526 .44567 L
.67426 .44694 L
.67205 .44994 L
.67188 .45015 L
.66939 .45337 L
.66883 .45423 L
.667 .45659 L
.66562 .45853 L
.66464 .4598 L
.6624 .46281 L
.66224 .46302 L
.65977 .46623 L
.65918 .46709 L
.65739 .46945 L
.65597 .47139 L
.65502 .47267 L
.65275 .47567 L
.6526 .47588 L
.65015 .4791 L
.64954 .47995 L
.64776 .48231 L
.64632 .48425 L
.64539 .48553 L
.64311 .48853 L
.64296 .48874 L
.64052 .49196 L
.63989 .49281 L
.63814 .49518 L
.63667 .49711 L
.63577 .49839 L
Mistroke
.63346 .50139 L
.63333 .50161 L
.63088 .50482 L
.63024 .50567 L
.62852 .50804 L
.62703 .50996 L
.62616 .51126 L
.62381 .51425 L
.62369 .51447 L
.62125 .51769 L
.62059 .51852 L
.6189 .5209 L
.61738 .52282 L
.61655 .52412 L
.61416 .52711 L
.61407 .52733 L
.61161 .53055 L
.61095 .53138 L
.60928 .53377 L
.60773 .53567 L
.60696 .53698 L
.60452 .53997 L
.60445 .5402 L
.60198 .54341 L
.6013 .54423 L
.59967 .54663 L
.59808 .54851 L
.59739 .54985 L
.59487 .55278 L
.59465 .55306 L
.59226 .55628 L
.59165 .55697 L
.58994 .55949 L
.58844 .56112 L
.58762 .56271 L
.58522 .56518 L
.58461 .56592 L
.582 .56913 L
.582 .56914 L
.57941 .57236 L
.57879 .57303 L
.57683 .57557 L
.57557 .5771 L
.57437 .57879 L
.57236 .58159 L
.57209 .582 L
.57003 .58522 L
.56914 .58666 L
.56818 .58844 L
.56646 .59165 L
Mistroke
.56592 .59264 L
.56503 .59487 L
.56379 .59808 L
.56293 .6013 L
.56271 .60264 L
.56247 .60452 L
.56203 .60773 L
.56139 .61095 L
.56033 .61416 L
.55976 .61738 L
.55949 .61806 L
.55846 .62059 L
.55708 .62381 L
.55628 .62673 L
.55619 .62703 L
.55523 .63024 L
.55459 .63346 L
.55408 .63667 L
.5534 .63989 L
.55306 .64114 L
.55249 .64311 L
.55116 .64632 L
.54985 .64907 L
.5497 .64954 L
.54798 .65275 L
.54663 .65495 L
.54603 .65597 L
.54403 .65918 L
.54341 .65982 L
.54121 .6624 L
.5402 .66315 L
.53698 .66264 L
.53685 .6624 L
.53619 .65918 L
.53642 .65597 L
.53698 .65424 L
.53743 .65275 L
.53802 .64954 L
.53965 .64632 L
.5402 .64499 L
.54086 .64311 L
.54125 .63989 L
.54194 .63667 L
.54213 .63346 L
.5423 .63024 L
.54287 .62703 L
.54341 .6251 L
.5438 .62381 L
.54464 .62059 L
.54615 .61738 L
Mistroke
.54663 .61626 L
.54702 .61416 L
.54848 .61095 L
.54961 .60773 L
.54985 .60687 L
.55025 .60452 L
.5501 .6013 L
.55048 .59808 L
.55114 .59487 L
.55217 .59165 L
.55306 .58911 L
.55327 .58844 L
.55467 .58522 L
.55625 .582 L
.55628 .58194 L
.5576 .57879 L
.55913 .57557 L
.55949 .57484 L
.5604 .57236 L
.56155 .56914 L
.56233 .56592 L
.56264 .56271 L
.56271 .5598 L
.56273 .55949 L
.56319 .55628 L
.56387 .55306 L
.56452 .54985 L
.56498 .54663 L
.56496 .54341 L
.56539 .5402 L
.56575 .53698 L
.56592 .53578 L
.56626 .53377 L
.56728 .53055 L
.56863 .52733 L
.56914 .52614 L
.57019 .52412 L
.57202 .5209 L
.57236 .5203 L
.57402 .51769 L
.57557 .51531 L
.57617 .51447 L
.57853 .51126 L
.57879 .51085 L
.58108 .50804 L
.582 .50664 L
.58357 .50482 L
.58522 .5025 L
.586 .50161 L
.58841 .49839 L
Mistroke
.58844 .49836 L
.59125 .49518 L
.59165 .49418 L
.59358 .49196 L
.59487 .48994 L
.59586 .48874 L
.59808 .48567 L
.5982 .48553 L
.60086 .48231 L
.6013 .4814 L
.60319 .4791 L
.60452 .4771 L
.60549 .47588 L
.60773 .4728 L
.60784 .47267 L
.61042 .46945 L
.61095 .46853 L
.61277 .46623 L
.61416 .46423 L
.6151 .46302 L
.61738 .45993 L
.61747 .4598 L
.62001 .45659 L
.62059 .45566 L
.62238 .45337 L
.62381 .45136 L
.62473 .45015 L
.62703 .44706 L
.62712 .44694 L
.62962 .44372 L
.63024 .4428 L
.63199 .44051 L
.63346 .4385 L
.63436 .43729 L
.63667 .4342 L
.63676 .43408 L
.63924 .43086 L
.63989 .42995 L
.64162 .42764 L
.64311 .42565 L
.64399 .42443 L
.64632 .42134 L
.64641 .42121 L
.64886 .418 L
.64954 .4171 L
.65125 .41478 L
.65275 .4128 L
.65362 .41156 L
.65597 .40849 L
.65606 .40835 L
Mistroke
.6585 .40513 L
.65918 .40426 L
.66088 .40192 L
.6624 .39996 L
.66326 .3987 L
.66562 .39566 L
.66572 .39548 L
.66816 .39227 L
.66883 .39144 L
.67053 .38905 L
.67205 .38716 L
.67291 .38584 L
.67526 .38286 L
.67539 .38262 L
.67786 .37941 L
.67848 .37867 L
.68023 .37619 L
.6817 .37442 L
.68261 .37297 L
.68491 .37017 L
.68509 .36976 L
.68766 .36654 L
.68813 .36603 L
.69007 .36333 L
.69134 .36189 L
.69246 .36011 L
.69456 .35778 L
.69488 .35689 L
.69777 .35382 L
.69789 .35368 L
.70064 .35046 L
.70099 .35015 L
.70374 .34725 L
.70421 .34693 L
.70742 .34447 L
.70831 .34403 L
.71064 .34328 L
Mfstroke
.36654 .33741 m
.36976 .33577 L
.3713 .3376 L
.37073 .34082 L
.36976 .34254 L
.36905 .34403 L
.36739 .34725 L
.36654 .34911 L
.36559 .35046 L
.36342 .35368 L
.36333 .35384 L
.36134 .35689 L
.36011 .3589 L
.35921 .36011 L
.35691 .36333 L
.35689 .36335 L
.35465 .36654 L
.35368 .36801 L
.3524 .36976 L
.35046 .3725 L
.3501 .37297 L
.34769 .37619 L
.34725 .37685 L
.34538 .37941 L
.34403 .3813 L
.34306 .38262 L
.34082 .38562 L
.34066 .38584 L
.33825 .38905 L
.3376 .38996 L
.33591 .39227 L
.33438 .39433 L
.33357 .39548 L
.33117 .3986 L
.33111 .3987 L
.3287 .40192 L
.32795 .40293 L
.32636 .40513 L
.32474 .40726 L
.32401 .40835 L
.32152 .41151 L
.32149 .41156 L
.3191 .41478 L
.3183 .41582 L
.31677 .418 L
.31509 .42013 L
.31443 .42121 L
.31187 .42438 L
.31186 .42443 L
.30946 .42764 L
Mistroke
.30866 .42867 L
.30715 .43086 L
.30544 .43296 L
.30483 .43408 L
.30223 .4372 L
.30215 .43729 L
.29979 .44051 L
.29901 .44146 L
.2975 .44372 L
.29579 .44573 L
.29522 .44694 L
.29258 .44995 L
.29241 .45015 L
.29004 .45337 L
.28936 .45417 L
.28777 .45659 L
.28615 .45839 L
.28558 .4598 L
.28293 .46256 L
.28254 .46302 L
.28012 .46623 L
.27971 .46667 L
.27782 .46945 L
.2765 .47078 L
.27494 .47267 L
.27328 .47481 L
.27235 .47588 L
.27007 .47871 L
.2697 .4791 L
.26699 .48231 L
.26685 .48243 L
.264 .48553 L
.26364 .48595 L
.26072 .48874 L
.26042 .48904 L
.2572 .49119 L
.25534 .48874 L
.25614 .48553 L
.2572 .48327 L
.25738 .48231 L
.25924 .4791 L
.26042 .47667 L
.26097 .47588 L
.26296 .47267 L
.26364 .47136 L
.26491 .46945 L
.26685 .46632 L
.26691 .46623 L
.2692 .46302 L
.27007 .46147 L
Mistroke
.2713 .4598 L
.27328 .45679 L
.27343 .45659 L
.27589 .45337 L
.2765 .45221 L
.2781 .45015 L
.27971 .44769 L
.2803 .44694 L
.28275 .44372 L
.28293 .44325 L
.28512 .44051 L
.28615 .43883 L
.28736 .43729 L
.28936 .43444 L
.28964 .43408 L
.29219 .43086 L
.29258 .43009 L
.29453 .42764 L
.29579 .42574 L
.29682 .42443 L
.29901 .4214 L
.29915 .42121 L
.3017 .418 L
.30223 .41711 L
.30406 .41478 L
.30544 .41279 L
.30639 .41156 L
.30866 .40848 L
.30875 .40835 L
.31129 .40513 L
.31187 .40423 L
.31366 .40192 L
.31509 .39994 L
.31602 .3987 L
.3183 .39564 L
.31842 .39548 L
.32093 .39227 L
.32152 .39143 L
.32334 .38905 L
.32474 .38717 L
.32573 .38584 L
.32795 .38291 L
.32816 .38262 L
.33067 .37941 L
.33117 .37874 L
.33311 .37619 L
.33438 .37454 L
.33554 .37297 L
.3376 .37035 L
.33801 .36976 L
Mistroke
.34057 .36654 L
.34082 .36624 L
.34308 .36333 L
.34403 .36217 L
.34558 .36011 L
.34725 .35814 L
.34811 .35689 L
.35046 .35419 L
.35072 .35368 L
.35359 .35046 L
.35368 .35037 L
.35635 .34725 L
.35689 .34671 L
.35919 .34403 L
.36011 .34325 L
.36215 .34082 L
.36333 .34008 L
.3663 .3376 L
.36654 .33741 L
Mfstroke
.34082 .33262 m
.3427 .33438 L
.34153 .3376 L
.34082 .33908 L
.33988 .34082 L
.33813 .34403 L
.3376 .34506 L
.33653 .34725 L
.33438 .34982 L
.33396 .35046 L
.33189 .35368 L
.33117 .35479 L
.32988 .35689 L
.32795 .3596 L
.32777 .36011 L
.32512 .36333 L
.32474 .36387 L
.32295 .36654 L
.32152 .36848 L
.32079 .36976 L
.3183 .37283 L
.31812 .37297 L
.31584 .37619 L
.31509 .37719 L
.31363 .37941 L
.31187 .38162 L
.31142 .38262 L
.30866 .38582 L
.30864 .38584 L
.30634 .38905 L
.30544 .39018 L
.30413 .39227 L
.30223 .39452 L
.30195 .39548 L
.29901 .39868 L
.29898 .3987 L
.29668 .40192 L
.29579 .40296 L
.29449 .40513 L
.29258 .40723 L
.29161 .40835 L
.28936 .41137 L
.28916 .41156 L
.28679 .41478 L
.28615 .41548 L
.28463 .418 L
.28293 .41964 L
.28158 .42121 L
.27971 .42372 L
.27901 .42443 L
Mistroke
.2765 .42758 L
.2764 .42764 L
.27369 .43086 L
.27328 .43139 L
.27087 .43408 L
.27007 .43511 L
.26785 .43729 L
.26685 .43858 L
.26432 .44051 L
.26364 .44102 L
.26128 .44051 L
.26207 .43729 L
.26347 .43408 L
.26364 .43365 L
.26485 .43086 L
.26685 .42776 L
.26692 .42764 L
.26881 .42443 L
.27007 .4223 L
.27075 .42121 L
.27291 .418 L
.27328 .41736 L
.27502 .41478 L
.2765 .41251 L
.27715 .41156 L
.27941 .40835 L
.27971 .40785 L
.28166 .40513 L
.28293 .40324 L
.28389 .40192 L
.28615 .39874 L
.28617 .3987 L
.28856 .39548 L
.28936 .39429 L
.29087 .39227 L
.29258 .38988 L
.29318 .38905 L
.2956 .38584 L
.29579 .38554 L
.29801 .38262 L
.29901 .38123 L
.30038 .37941 L
.30223 .37695 L
.30277 .37619 L
.30526 .37297 L
.30544 .37272 L
.30773 .36976 L
.30866 .36854 L
.31017 .36654 L
.31187 .36438 L
Mistroke
.31264 .36333 L
.31509 .36029 L
.31519 .36011 L
.3178 .35689 L
.3183 .35628 L
.32036 .35368 L
.32152 .35233 L
.32291 .35046 L
.32474 .34846 L
.32543 .34725 L
.32795 .34473 L
.32859 .34403 L
.33117 .34116 L
.33152 .34082 L
.33438 .3378 L
.33466 .3376 L
.3376 .3345 L
.33824 .33438 L
.34082 .33262 L
Mfstroke
.47588 .32745 m
.4791 .32631 L
.47932 .32795 L
.47994 .33117 L
.48073 .33438 L
.48113 .3376 L
.48127 .34082 L
.4803 .34403 L
.47914 .34725 L
.4791 .34737 L
.47815 .35046 L
.47678 .35368 L
.47588 .35607 L
.47577 .35689 L
.47496 .36011 L
.47441 .36333 L
.47419 .36654 L
.4739 .36976 L
.47326 .37297 L
.47267 .37502 L
.47242 .37619 L
.47122 .37941 L
.46981 .38262 L
.46945 .38348 L
.46863 .38584 L
.4673 .38905 L
.46623 .39223 L
.46623 .39227 L
.46572 .39548 L
.46536 .3987 L
.46508 .40192 L
.46451 .40513 L
.46357 .40835 L
.46302 .41014 L
.46258 .41156 L
.4612 .41478 L
.4598 .41788 L
.45978 .418 L
.45863 .42121 L
.45738 .42443 L
.45659 .42715 L
.45656 .42764 L
.45623 .43086 L
.45596 .43408 L
.45553 .43729 L
.4547 .44051 L
.45355 .44372 L
.45337 .44421 L
.4525 .44694 L
.45099 .45015 L
Mistroke
.45015 .45199 L
.44983 .45337 L
.4485 .45659 L
.44737 .4598 L
.44694 .46132 L
.44686 .46302 L
.44662 .46623 L
.44634 .46945 L
.44572 .47267 L
.44464 .47588 L
.44372 .47831 L
.44337 .4791 L
.44235 .48231 L
.44078 .48553 L
.44051 .48612 L
.44002 .48874 L
.43871 .49196 L
.43784 .49518 L
.4374 .49839 L
.43729 .4996 L
.4371 .50161 L
.43689 .50482 L
.4359 .50804 L
.43456 .51126 L
.43408 .51238 L
.43337 .51447 L
.43172 .51769 L
.43086 .51932 L
.43025 .5209 L
.42858 .52412 L
.42764 .52579 L
.42699 .52733 L
.42533 .53055 L
.42443 .53224 L
.4234 .53377 L
.42121 .53572 L
.41971 .53698 L
.418 .53767 L
.41481 .5402 L
.41478 .54022 L
.41157 .54341 L
.41156 .54342 L
.40887 .54663 L
.40835 .54725 L
.40583 .54985 L
.40513 .55143 L
.40376 .55306 L
.40192 .55577 L
.40152 .55628 L
.39896 .55949 L
Mistroke
.3987 .56012 L
.39664 .56271 L
.39548 .56449 L
.39437 .56592 L
.39227 .56885 L
.39205 .56914 L
.38953 .57236 L
.38905 .57314 L
.38716 .57557 L
.38584 .57746 L
.38482 .57879 L
.38262 .58178 L
.38245 .582 L
.37994 .58522 L
.37941 .58603 L
.37755 .58844 L
.37619 .59032 L
.37519 .59165 L
.37297 .59462 L
.37279 .59487 L
.3703 .59808 L
.36976 .59884 L
.36789 .6013 L
.36654 .60311 L
.36551 .60452 L
.36333 .60739 L
.36309 .60773 L
.3606 .61095 L
.36011 .61159 L
.35818 .61416 L
.35689 .61583 L
.35577 .61738 L
.35368 .62007 L
.35333 .62059 L
.3508 .62381 L
.35046 .62423 L
.34834 .62703 L
.34725 .62838 L
.34589 .63024 L
.34403 .63252 L
.34341 .63346 L
.34082 .6366 L
.34078 .63667 L
.33818 .63989 L
.3376 .64054 L
.3356 .64311 L
.33438 .64441 L
.33301 .64632 L
.33117 .64813 L
.33048 .64954 L
Mistroke
.32795 .65158 L
.32675 .65275 L
.32474 .65463 L
.32297 .65597 L
.32152 .65697 L
.3183 .65757 L
.31741 .65597 L
.3179 .65275 L
.3183 .65178 L
.31903 .64954 L
.32099 .64632 L
.32152 .64519 L
.32286 .64311 L
.32474 .63998 L
.32493 .63989 L
.32712 .63667 L
.32795 .6353 L
.32928 .63346 L
.33117 .63064 L
.33151 .63024 L
.33385 .62703 L
.33438 .62619 L
.33613 .62381 L
.3376 .62166 L
.33842 .62059 L
.3408 .61738 L
.34082 .61735 L
.34318 .61416 L
.34403 .61291 L
.3455 .61095 L
.34725 .60853 L
.34785 .60773 L
.35029 .60452 L
.35046 .60425 L
.35267 .6013 L
.35368 .59988 L
.35502 .59808 L
.35689 .59555 L
.35739 .59487 L
.35986 .59165 L
.36011 .59129 L
.36223 .58844 L
.36333 .58695 L
.36459 .58522 L
.36654 .58265 L
.36698 .582 L
.36946 .57879 L
.36976 .57839 L
.37183 .57557 L
.37297 .57406 L
Mistroke
.37418 .57236 L
.37619 .56977 L
.37657 .56914 L
.37909 .56592 L
.37941 .56551 L
.38145 .56271 L
.38262 .5612 L
.38378 .55949 L
.38584 .55691 L
.38617 .55628 L
.38874 .55306 L
.38905 .55266 L
.39108 .54985 L
.39227 .54838 L
.3934 .54663 L
.39548 .54414 L
.39577 .54341 L
.39851 .5402 L
.3987 .53997 L
.40092 .53698 L
.40192 .53583 L
.40333 .53377 L
.40513 .53174 L
.40585 .53055 L
.40835 .52772 L
.40856 .52733 L
.41117 .52412 L
.41156 .52361 L
.41355 .5209 L
.41478 .51917 L
.41578 .51769 L
.41785 .51447 L
.418 .51423 L
.41972 .51126 L
.42121 .50841 L
.42138 .50804 L
.42283 .50482 L
.424 .50161 L
.42443 .49997 L
.4247 .49839 L
.42518 .49518 L
.42561 .49196 L
.42653 .48874 L
.42624 .48553 L
.42702 .48231 L
.42764 .48022 L
.42807 .4791 L
.42872 .47588 L
.4293 .47267 L
.42958 .46945 L
Mistroke
.43003 .46623 L
.43052 .46302 L
.43086 .46126 L
.43146 .4598 L
.43277 .45659 L
.43404 .45337 L
.43408 .45322 L
.43555 .45015 L
.43701 .44694 L
.43729 .44598 L
.43824 .44372 L
.4395 .44051 L
.44031 .43729 L
.44051 .43512 L
.44063 .43408 L
.44096 .43086 L
.44144 .42764 L
.44231 .42443 L
.44345 .42121 L
.44372 .41976 L
.44449 .418 L
.44599 .41478 L
.44694 .41194 L
.44708 .41156 L
.44838 .40835 L
.4494 .40513 L
.44994 .40192 L
.45015 .39876 L
.45016 .3987 L
.45056 .39548 L
.45129 .39227 L
.45238 .38905 L
.45337 .3861 L
.45348 .38584 L
.45492 .38262 L
.45632 .37941 L
.45659 .37871 L
.45759 .37619 L
.45881 .37297 L
.45965 .36976 L
.4598 .36888 L
.46018 .36654 L
.4606 .36333 L
.4612 .36011 L
.46213 .35689 L
.46302 .35433 L
.46326 .35368 L
.46469 .35046 L
.46623 .34725 L
.46623 .34723 L
Mistroke
.4678 .34403 L
.46945 .34086 L
.46946 .34082 L
.47088 .3376 L
.47264 .33438 L
.47267 .33434 L
.47415 .33117 L
.47562 .32795 L
.47588 .32745 L
Mfstroke
.64311 .29403 m
.64419 .29579 L
.64311 .29814 L
.63993 .29579 L
.64311 .29403 L
s
.70742 .2829 m
.71064 .28278 L
.71385 .28268 L
.71707 .2826 L
.72029 .28253 L
.7235 .28248 L
.72672 .28244 L
.72993 .28242 L
.73315 .2824 L
.73636 .28239 L
.73958 .28239 L
.7428 .28239 L
.74601 .2824 L
.74923 .28241 L
.75244 .28243 L
.75566 .28247 L
.75888 .28251 L
.76209 .28256 L
.76531 .28263 L
.76852 .28271 L
.77174 .28281 L
.77475 .28293 L
.77495 .28294 L
.77817 .28308 L
.78139 .28327 L
.7846 .2835 L
.78782 .2838 L
.79103 .28419 L
.79425 .28471 L
.79747 .28541 L
.79995 .28615 L
.80068 .28631 L
.8039 .28748 L
.80629 .28936 L
.80711 .29018 L
.8083 .29258 L
.80803 .29579 L
.80711 .29773 L
.8062 .29901 L
.8039 .3015 L
.80294 .30223 L
.80068 .30387 L
.79795 .30544 L
.79747 .30569 L
.79425 .30715 L
.79103 .30832 L
.78999 .30866 L
.78782 .30928 L
.7846 .31006 L
.78139 .31071 L
Mistroke
.77817 .31125 L
.77495 .31169 L
.77345 .31187 L
.77174 .31205 L
.76852 .31235 L
.76531 .31259 L
.76209 .31279 L
.75888 .31295 L
.75566 .31307 L
.75244 .31317 L
.74923 .31324 L
.74601 .31329 L
.7428 .31333 L
.73958 .31336 L
.73636 .31338 L
.73315 .31335 L
.72993 .31327 L
.72672 .31311 L
.7235 .31287 L
.72029 .31261 L
.71707 .31241 L
.71385 .31234 L
.71064 .31242 L
.70742 .31261 L
.70421 .31272 L
.70099 .31222 L
.70003 .31187 L
.69777 .31021 L
.69572 .30866 L
.69456 .30788 L
.69134 .30647 L
.68813 .30612 L
.68491 .30667 L
.6817 .3081 L
.68117 .30866 L
.67848 .31076 L
.67738 .31187 L
.67526 .315 L
.67521 .31509 L
.67351 .3183 L
.67205 .32067 L
.67174 .32152 L
.66971 .32474 L
.66883 .32645 L
.66778 .32795 L
.66563 .33117 L
.66562 .33119 L
.66346 .33438 L
.6624 .3361 L
.66127 .3376 L
Mistroke
.65918 .34062 L
.65899 .34082 L
.65663 .34403 L
.65597 .34504 L
.65432 .34725 L
.65275 .34952 L
.65201 .35046 L
.64959 .35368 L
.64954 .35377 L
.64721 .35689 L
.64632 .35818 L
.64487 .36011 L
.64311 .36255 L
.64251 .36333 L
.64005 .36654 L
.63989 .36678 L
.63767 .36976 L
.63667 .37115 L
.63532 .37297 L
.63346 .37547 L
.63294 .37619 L
.63046 .37941 L
.63024 .37971 L
.62808 .38262 L
.62703 .38405 L
.62574 .38584 L
.62381 .38836 L
.62335 .38905 L
.62084 .39227 L
.62059 .3926 L
.61847 .39548 L
.61738 .39692 L
.61614 .3987 L
.61416 .40123 L
.61376 .40192 L
.6112 .40513 L
.61095 .40547 L
.60886 .40835 L
.60773 .40979 L
.60655 .41156 L
.60452 .41408 L
.60419 .41478 L
.60155 .418 L
.6013 .41832 L
.59922 .42121 L
.59808 .42261 L
.59694 .42443 L
.59487 .42686 L
.59459 .42764 L
.59179 .43086 L
Mistroke
.59165 .43103 L
.58942 .43408 L
.58844 .43523 L
.58706 .43729 L
.58522 .43941 L
.58461 .44051 L
.582 .44358 L
.58194 .44372 L
.57953 .44694 L
.57879 .44793 L
.57729 .45015 L
.57557 .45262 L
.57513 .45337 L
.57311 .45659 L
.57236 .45785 L
.57137 .4598 L
.56974 .46302 L
.56914 .46435 L
.56857 .46623 L
.56758 .46945 L
.56684 .47267 L
.56671 .47588 L
.56655 .4791 L
.56641 .48231 L
.56631 .48553 L
.56914 .48743 L
.57021 .48553 L
.57194 .48231 L
.57236 .48155 L
.57368 .4791 L
.57557 .47589 L
.57558 .47588 L
.57826 .47267 L
.57879 .47069 L
.57971 .46945 L
.58173 .46623 L
.582 .46585 L
.5842 .46302 L
.58522 .46121 L
.58631 .4598 L
.58844 .45672 L
.58854 .45659 L
.59114 .45337 L
.59165 .45236 L
.59345 .45015 L
.59487 .44802 L
.59574 .44694 L
.59808 .44372 L
.59808 .44371 L
.60072 .44051 L
Mistroke
.6013 .43946 L
.60305 .43729 L
.60452 .43516 L
.60537 .43408 L
.60773 .43086 L
.60773 .43086 L
.61032 .42764 L
.61095 .42661 L
.61267 .42443 L
.61416 .42231 L
.615 .42121 L
.61738 .418 L
.61738 .418 L
.61992 .41478 L
.62059 .41376 L
.62228 .41156 L
.62381 .40945 L
.62464 .40835 L
.62703 .40514 L
.62703 .40513 L
.62953 .40192 L
.63024 .40091 L
.63191 .3987 L
.63346 .39661 L
.63428 .39548 L
.63667 .39229 L
.63669 .39227 L
.63916 .38905 L
.63989 .38808 L
.64155 .38584 L
.64311 .38378 L
.64393 .38262 L
.64632 .37947 L
.64636 .37941 L
.64882 .37619 L
.64954 .37527 L
.65121 .37297 L
.65275 .37098 L
.6536 .36976 L
.65597 .36669 L
.65606 .36654 L
.65852 .36333 L
.65918 .36252 L
.66093 .36011 L
.6624 .35827 L
.66333 .35689 L
.66562 .35403 L
.66582 .35368 L
.66835 .35046 L
.66883 .34992 L
Mistroke
.67082 .34725 L
.67205 .34582 L
.67329 .34403 L
.67526 .3418 L
.67581 .34082 L
.67848 .33796 L
.67879 .3376 L
.6817 .33441 L
.68173 .33438 L
.68491 .33129 L
.68506 .33117 L
.68813 .32877 L
.6897 .32795 L
.69134 .32743 L
.6927 .32795 L
.69331 .33117 L
.69259 .33438 L
.69134 .33723 L
.6912 .3376 L
.68944 .34082 L
.68813 .34341 L
.68751 .34403 L
.68532 .34725 L
.68491 .34801 L
.68311 .35046 L
.6817 .3527 L
.68088 .35368 L
.67855 .35689 L
.67848 .35703 L
.67614 .36011 L
.67526 .3615 L
.67383 .36333 L
.67205 .36589 L
.6715 .36654 L
.66906 .36976 L
.66883 .37015 L
.66666 .37297 L
.66562 .37453 L
.66432 .37619 L
.6624 .37885 L
.66195 .37941 L
.6595 .38262 L
.65918 .38311 L
.6571 .38584 L
.65597 .38745 L
.65474 .38905 L
.65275 .39175 L
.65235 .39227 L
.64989 .39548 L
.64954 .39601 L
Mistroke
.6475 .3987 L
.64632 .40034 L
.64514 .40192 L
.64311 .40463 L
.64274 .40513 L
.64027 .40835 L
.63989 .40889 L
.63789 .41156 L
.63667 .41321 L
.63553 .41478 L
.63346 .41749 L
.63312 .418 L
.63064 .42121 L
.63024 .42176 L
.62827 .42443 L
.62703 .42607 L
.62591 .42764 L
.62381 .43035 L
.6235 .43086 L
.621 .43408 L
.62059 .43462 L
.61864 .43729 L
.61738 .43892 L
.61631 .44051 L
.61416 .44321 L
.61389 .44372 L
.61136 .44694 L
.61095 .44747 L
.60902 .45015 L
.60773 .45178 L
.6067 .45337 L
.60452 .45607 L
.60429 .45659 L
.60173 .4598 L
.6013 .46035 L
.59942 .46302 L
.59808 .46466 L
.59716 .46623 L
.59487 .46898 L
.59477 .46945 L
.59216 .47267 L
.59165 .47328 L
.58993 .47588 L
.58844 .4776 L
.58784 .4791 L
.58522 .48186 L
.58485 .48231 L
.58242 .48553 L
.582 .48594 L
.58011 .48874 L
Mistroke
.57879 .48971 L
.57652 .49196 L
.57557 .49288 L
.57237 .49518 L
.57236 .49518 L
.56914 .49689 L
.5675 .49839 L
.56592 .5008 L
.56552 .50161 L
.56394 .50482 L
.56271 .50757 L
.56239 .50804 L
.5608 .51126 L
.55949 .51412 L
.55931 .51447 L
.55771 .51769 L
.55633 .5209 L
.55628 .52108 L
.555 .52412 L
.55387 .52733 L
.5532 .53055 L
.55306 .53266 L
.55294 .53377 L
.55262 .53698 L
.55203 .5402 L
.55101 .54341 L
.5499 .54663 L
.54985 .5474 L
.54877 .54985 L
.54729 .55306 L
.54663 .55535 L
.54629 .55628 L
.54513 .55949 L
.54432 .56271 L
.54393 .56592 L
.54369 .56914 L
.54341 .5719 L
.54332 .57236 L
.54241 .57557 L
.54118 .57879 L
.5402 .5816 L
.54002 .582 L
.53857 .58522 L
.53723 .58844 L
.53698 .58913 L
.53611 .59165 L
.53512 .59487 L
.53451 .59808 L
.53419 .6013 L
.53388 .60452 L
Mistroke
.53377 .60552 L
.53325 .60773 L
.53218 .61095 L
.53092 .61416 L
.53055 .61526 L
.52964 .61738 L
.5282 .62059 L
.52733 .62283 L
.527 .62381 L
.52585 .62703 L
.52501 .63024 L
.52453 .63346 L
.52419 .63667 L
.52412 .63725 L
.52366 .63989 L
.52273 .64311 L
.5215 .64632 L
.5209 .64782 L
.52019 .64954 L
.51864 .65275 L
.51769 .65472 L
.5172 .65597 L
.51567 .65918 L
.51447 .66179 L
.51439 .6624 L
.51337 .66562 L
.51225 .66883 L
.51126 .67176 L
.51116 .67205 L
.51003 .67526 L
.50887 .67848 L
.50804 .67927 L
.50626 .6817 L
.50482 .68328 L
.50175 .6817 L
.50217 .67848 L
.50278 .67526 L
.50316 .67205 L
.50308 .66883 L
.50216 .66562 L
.50231 .6624 L
.50284 .65918 L
.50375 .65597 L
.50482 .65292 L
.50486 .65275 L
.50602 .64954 L
.50732 .64632 L
.50804 .64432 L
.50836 .64311 L
.50921 .63989 L
Mistroke
.50973 .63667 L
.50997 .63346 L
.51027 .63024 L
.51091 .62703 L
.51126 .62576 L
.51179 .62381 L
.51303 .62059 L
.51439 .61738 L
.51447 .61716 L
.51563 .61416 L
.51693 .61095 L
.51769 .60868 L
.51789 .60773 L
.51854 .60452 L
.5189 .6013 L
.51919 .59808 L
.51975 .59487 L
.52067 .59165 L
.5209 .59081 L
.52172 .58844 L
.52309 .58522 L
.52412 .5828 L
.52439 .582 L
.52569 .57879 L
.52688 .57557 L
.52733 .57414 L
.52763 .57236 L
.5281 .56914 L
.52838 .56592 L
.5288 .56271 L
.5296 .55949 L
.53055 .55651 L
.53064 .55628 L
.53183 .55306 L
.53328 .54985 L
.53377 .54871 L
.53446 .54663 L
.53576 .54341 L
.5368 .5402 L
.53698 .53956 L
.53728 .53698 L
.53759 .53377 L
.53792 .53055 L
.53856 .52733 L
.53959 .52412 L
.5402 .52238 L
.54064 .5209 L
.54205 .51769 L
.54341 .5147 L
.54346 .51447 L
Mistroke
.54466 .51126 L
.54591 .50804 L
.54663 .50574 L
.54671 .50482 L
.54708 .50161 L
.54732 .49839 L
.54774 .49518 L
.5486 .49196 L
.54978 .48874 L
.54985 .48856 L
.55066 .48553 L
.55222 .48231 L
.55306 .48045 L
.55357 .4791 L
.55425 .47588 L
.55525 .47267 L
.55578 .46945 L
.5561 .46623 L
.55628 .46486 L
.55642 .46302 L
.55722 .4598 L
.55845 .45659 L
.55949 .4542 L
.5598 .45337 L
.56137 .45015 L
.56271 .44764 L
.56304 .44694 L
.56483 .44372 L
.56592 .44198 L
.56677 .44051 L
.569 .43729 L
.56914 .43722 L
.57177 .43408 L
.57236 .43367 L
.57504 .43086 L
.57557 .43043 L
.57815 .42764 L
.57879 .42702 L
.58095 .42443 L
.582 .42324 L
.58406 .42121 L
.58522 .41916 L
.58625 .418 L
.58844 .41491 L
.58854 .41478 L
.59131 .41156 L
.59165 .41065 L
.59355 .40835 L
.59487 .40631 L
.5958 .40513 L
Mistroke
.59808 .40197 L
.59812 .40192 L
.60073 .3987 L
.6013 .3977 L
.60306 .39548 L
.60452 .39338 L
.60537 .39227 L
.60773 .38905 L
.60773 .38905 L
.6103 .38584 L
.61095 .38482 L
.61266 .38262 L
.61416 .38052 L
.615 .37941 L
.61738 .3762 L
.61739 .37619 L
.61992 .37297 L
.62059 .372 L
.6223 .36976 L
.62381 .36771 L
.62467 .36654 L
.62703 .3634 L
.62708 .36333 L
.62958 .36011 L
.63024 .35923 L
.63199 .35689 L
.63346 .35496 L
.63438 .35368 L
.63667 .35068 L
.63682 .35046 L
.63933 .34725 L
.63989 .34654 L
.64176 .34403 L
.64311 .34234 L
.6442 .34082 L
.64632 .33815 L
.64669 .3376 L
.64927 .33438 L
.64954 .33408 L
.65181 .33117 L
.65275 .33009 L
.65435 .32795 L
.65597 .32614 L
.65693 .32474 L
.65918 .32233 L
.65953 .32152 L
.6624 .31868 L
.66274 .3183 L
.66562 .31516 L
.66569 .31509 L
Mistroke
.66856 .31187 L
.66883 .31164 L
.67092 .30866 L
.67205 .30743 L
.67273 .30544 L
.67421 .30223 L
.67492 .29901 L
.67526 .29656 L
.67538 .29579 L
.67606 .29258 L
.67782 .28936 L
.67848 .28846 L
.6817 .28636 L
.68221 .28615 L
.68491 .28512 L
.68813 .28431 L
.69134 .28381 L
.69456 .28349 L
.69777 .28329 L
.70099 .28315 L
.70421 .28302 L
.70668 .28293 L
.70742 .2829 L
Mfstroke
.66883 .1826 m
.67205 .1817 L
.67526 .18123 L
.67848 .181 L
.6817 .1809 L
.68491 .18086 L
.68813 .18086 L
.69134 .18088 L
.69456 .1809 L
.69777 .18092 L
.70099 .18095 L
.70421 .18097 L
.70742 .18099 L
.71064 .181 L
.71385 .18101 L
.71707 .18102 L
.72029 .18103 L
.7235 .18104 L
.72672 .18104 L
.72993 .18105 L
.73315 .18105 L
.73636 .18105 L
.73958 .18105 L
.7428 .18105 L
.74601 .18105 L
.74923 .18105 L
.75244 .18105 L
.75566 .18104 L
.75888 .18104 L
.76209 .18103 L
.76531 .18102 L
.76852 .18101 L
.77174 .18099 L
.77495 .18098 L
.77817 .18096 L
.78139 .18094 L
.7846 .18091 L
.78782 .18089 L
.79103 .18087 L
.79425 .18086 L
.79747 .18087 L
.80068 .18094 L
.8039 .1811 L
.80711 .18143 L
.81033 .18208 L
.81341 .18324 L
.81355 .18331 L
.81676 .18561 L
.81753 .18645 L
.81959 .18967 L
Mistroke
.81998 .19044 L
.82073 .19289 L
.82129 .1961 L
.82136 .19932 L
.82094 .20253 L
.81998 .20575 L
.81998 .20576 L
.81822 .20897 L
.81676 .21066 L
.81483 .21218 L
.81355 .21291 L
.81033 .21407 L
.80711 .21466 L
.8039 .21495 L
.80068 .21507 L
.79747 .21511 L
.79425 .2151 L
.79103 .21507 L
.78782 .21503 L
.7846 .215 L
.78139 .21496 L
.77817 .21493 L
.77495 .21491 L
.77174 .21489 L
.76852 .21487 L
.76531 .21486 L
.76209 .21484 L
.75888 .21484 L
.75566 .21483 L
.75244 .21482 L
.74923 .21482 L
.74601 .21481 L
.7428 .21481 L
.73958 .21481 L
.73636 .21481 L
.73315 .21482 L
.72993 .21482 L
.72672 .21482 L
.7235 .21483 L
.72029 .21484 L
.71707 .21485 L
.71385 .21486 L
.71064 .21488 L
.70742 .2149 L
.70421 .21492 L
.70099 .21495 L
.69777 .21498 L
.69456 .21501 L
.69134 .21505 L
.68813 .21508 L
Mistroke
.68491 .2151 L
.6817 .2151 L
.67848 .21503 L
.67526 .21484 L
.67205 .21442 L
.66883 .21358 L
.66593 .21218 L
.66562 .21197 L
.66255 .20897 L
.6624 .20876 L
.66079 .20575 L
.65982 .20253 L
.65941 .19932 L
.65948 .1961 L
.66004 .19289 L
.66118 .18967 L
.6624 .18751 L
.66324 .18645 L
.66562 .18427 L
.66736 .18324 L
.66883 .1826 L
Mfstroke
.66562 .11505 m
.66883 .11379 L
.67205 .11323 L
.67526 .11304 L
.67848 .11302 L
.6817 .11309 L
.68491 .11318 L
.68813 .11328 L
.69134 .11338 L
.69456 .11346 L
.69777 .11353 L
.70099 .11359 L
.70421 .11364 L
.70742 .11369 L
.71064 .11372 L
.71385 .11375 L
.71707 .11377 L
.72029 .11379 L
.7235 .11381 L
.72672 .11382 L
.72993 .11383 L
.73315 .11383 L
.73636 .11384 L
.73958 .11384 L
.7428 .11384 L
.74601 .11383 L
.74923 .11383 L
.75244 .11382 L
.75566 .11381 L
.75888 .1138 L
.76209 .11378 L
.76531 .11376 L
.76852 .11374 L
.77174 .11371 L
.77495 .11367 L
.77817 .11362 L
.78139 .11357 L
.7846 .1135 L
.78782 .11342 L
.79103 .11333 L
.79425 .11323 L
.79747 .11313 L
.80068 .11305 L
.8039 .11302 L
.80711 .11311 L
.81033 .11345 L
.81355 .1143 L
.81621 .11571 L
.81676 .11613 L
.81925 .11892 L
Mistroke
.81998 .12015 L
.82085 .12214 L
.82173 .12535 L
.82211 .12857 L
.82206 .13179 L
.82156 .135 L
.82055 .13822 L
.81998 .13951 L
.81878 .14143 L
.81676 .14371 L
.81553 .14465 L
.81355 .1458 L
.81033 .14691 L
.80711 .14749 L
.8039 .14778 L
.80225 .14786 L
.80068 .14791 L
.79747 .14795 L
.79425 .14794 L
.79103 .14792 L
.78782 .14789 L
.78549 .14786 L
.7846 .14786 L
.78139 .14783 L
.77817 .1478 L
.77495 .14778 L
.77174 .14776 L
.76852 .14774 L
.76531 .14773 L
.76209 .14771 L
.75888 .14771 L
.75566 .1477 L
.75244 .14769 L
.74923 .14769 L
.74601 .14769 L
.7428 .14768 L
.73958 .14768 L
.73636 .14769 L
.73315 .14769 L
.72993 .14769 L
.72672 .1477 L
.7235 .1477 L
.72029 .14771 L
.71707 .14772 L
.71385 .14773 L
.71064 .14775 L
.70742 .14776 L
.70421 .14779 L
.70099 .14781 L
.69777 .14784 L
Mistroke
.69525 .14786 L
.69456 .14787 L
.69134 .1479 L
.68813 .14793 L
.68491 .14795 L
.6817 .14793 L
.67859 .14786 L
.67848 .14786 L
.67526 .14766 L
.67205 .14725 L
.66883 .14644 L
.66562 .14491 L
.66523 .14465 L
.6624 .14199 L
.66199 .14143 L
.66022 .13822 L
.65921 .135 L
.65918 .13491 L
.65871 .13179 L
.65866 .12857 L
.65904 .12535 L
.65918 .12457 L
.65992 .12214 L
.66152 .11892 L
.6624 .11773 L
.66456 .11571 L
.66562 .11505 L
Mfstroke
.57557 .02856 m
.57879 .02769 L
.582 .02704 L
.58522 .02661 L
.58844 .02639 L
.59165 .02638 L
.59487 .02659 L
.59808 .02701 L
.6013 .02764 L
.60452 .0285 L
.60573 .02888 L
.60773 .02958 L
.61095 .03088 L
.61352 .03209 L
.61416 .03242 L
.61738 .0342 L
.6192 .03531 L
.62059 .03622 L
.62381 .03851 L
.62384 .03853 L
.62703 .04107 L
.62782 .04174 L
.63024 .04392 L
.63132 .04496 L
.63346 .04713 L
.63443 .04817 L
.63667 .05075 L
.6372 .05139 L
.63965 .05461 L
.63989 .05494 L
.64184 .05782 L
.64311 .05986 L
.6438 .06104 L
.6456 .06425 L
.64632 .06558 L
.64733 .06747 L
.64905 .07068 L
.64954 .07156 L
.6509 .0739 L
.65275 .07675 L
.65302 .07712 L
.65572 .08033 L
.65597 .08057 L
.65918 .08304 L
.66009 .08355 L
.6624 .08436 L
.66562 .08485 L
.66883 .08481 L
.67205 .08449 L
.67526 .08404 L
Mistroke
.67848 .08357 L
.67867 .08355 L
.6817 .08314 L
.68491 .08276 L
.68813 .08243 L
.69134 .08215 L
.69456 .08192 L
.69777 .08172 L
.70099 .08156 L
.70421 .08143 L
.70742 .08132 L
.71064 .08124 L
.71385 .08116 L
.71707 .08111 L
.72029 .08106 L
.7235 .08102 L
.72672 .08099 L
.72993 .08097 L
.73315 .08095 L
.73636 .08094 L
.73958 .08094 L
.7428 .08094 L
.74601 .08095 L
.74923 .08096 L
.75244 .08098 L
.75566 .081 L
.75888 .08104 L
.76209 .08108 L
.76531 .08113 L
.76852 .0812 L
.77174 .08128 L
.77495 .08138 L
.77817 .08149 L
.78139 .08164 L
.7846 .08181 L
.78782 .08203 L
.79103 .08228 L
.79425 .08259 L
.79747 .08294 L
.80068 .08335 L
.80205 .08355 L
.8039 .08381 L
.80711 .08427 L
.81033 .08467 L
.81355 .08488 L
.81676 .08469 L
.81998 .08383 L
.82063 .08355 L
.82319 .08197 L
.82505 .08033 L
Mistroke
.82641 .07885 L
.82775 .07712 L
.82962 .07431 L
.82987 .0739 L
.83172 .07068 L
.83284 .06861 L
.83344 .06747 L
.83516 .06425 L
.83606 .06264 L
.83697 .06104 L
.83893 .05782 L
.83927 .05729 L
.84112 .05461 L
.84249 .05276 L
.84357 .05139 L
.8457 .04888 L
.84634 .04817 L
.84892 .04548 L
.84945 .04496 L
.85214 .04246 L
.85295 .04174 L
.85535 .03975 L
.85693 .03853 L
.85857 .03733 L
.86157 .03531 L
.86178 .03518 L
.865 .03328 L
.86725 .03209 L
.86821 .03162 L
.87143 .0302 L
.87465 .02901 L
.87504 .02888 L
.87786 .02804 L
.88108 .0273 L
.88429 .02677 L
.88751 .02646 L
.89073 .02636 L
.89394 .02647 L
.89716 .0268 L
.90037 .02734 L
.90359 .0281 L
.90621 .02888 L
.9068 .02908 L
.91002 .03029 L
.91324 .03172 L
.91399 .03209 L
.91645 .0334 L
.91965 .03531 L
.91967 .03532 L
.92288 .0375 L
Mistroke
.92428 .03853 L
.9261 .03994 L
.92826 .04174 L
.92932 .04267 L
.93177 .04496 L
.93253 .0457 L
.93494 .04817 L
.93575 .04905 L
.93782 .05139 L
.93896 .05274 L
.94047 .05461 L
.94218 .05681 L
.94293 .05782 L
.94522 .06104 L
.94539 .0613 L
.94735 .06425 L
.94861 .06625 L
.94935 .06747 L
.95124 .07068 L
.95183 .07173 L
.95301 .0739 L
.95468 .07712 L
.95504 .07783 L
.95626 .08033 L
.95776 .08355 L
.95826 .08466 L
.95917 .08676 L
.96051 .08998 L
.96147 .09239 L
.96178 .0932 L
.96298 .09641 L
.96412 .09963 L
.96469 .1013 L
.96519 .10284 L
.96621 .10606 L
.96717 .10927 L
.96791 .11185 L
.96808 .11249 L
.96893 .11571 L
.96973 .11892 L
.97049 .12214 L
.97112 .12498 L
.9712 .12535 L
.97185 .12857 L
.97247 .13179 L
.97304 .135 L
.97357 .13822 L
.97406 .14143 L
.97434 .14341 L
.9745 .14465 L
Mistroke
.9749 .14786 L
.97526 .15108 L
.97558 .1543 L
.97586 .15751 L
.9761 .16073 L
.97631 .16394 L
.97647 .16716 L
.9766 .17038 L
.97669 .17359 L
.97674 .17681 L
.97676 .18002 L
.97673 .18324 L
.97667 .18645 L
.97656 .18967 L
.97642 .19289 L
.97624 .1961 L
.97603 .19932 L
.97577 .20253 L
.97548 .20575 L
.97514 .20897 L
.97477 .21218 L
.97436 .2154 L
.97434 .21557 L
.9739 .21861 L
.9734 .22183 L
.97285 .22505 L
.97227 .22826 L
.97164 .23148 L
.97112 .23399 L
.97097 .23469 L
.97024 .23791 L
.96947 .24112 L
.96865 .24434 L
.96791 .24712 L
.96778 .24756 L
.96685 .25077 L
.96587 .25399 L
.96484 .2572 L
.96469 .25767 L
.96374 .26042 L
.96259 .26364 L
.96147 .26658 L
.96137 .26685 L
.96007 .27007 L
.95871 .27328 L
.95826 .27432 L
.95727 .2765 L
.95575 .27971 L
.95504 .28115 L
.95414 .28293 L
Mistroke
.95243 .28615 L
.95183 .28724 L
.95062 .28936 L
.9487 .29258 L
.94861 .29273 L
.94665 .29579 L
.94539 .29768 L
.94447 .29901 L
.94218 .30216 L
.94213 .30223 L
.93961 .30544 L
.93896 .30623 L
.93689 .30866 L
.93575 .30993 L
.93392 .31187 L
.93253 .31327 L
.93064 .31509 L
.92932 .3163 L
.92699 .3183 L
.9261 .31903 L
.92288 .32148 L
.92282 .32152 L
.91967 .32365 L
.91791 .32474 L
.91645 .32557 L
.91324 .32725 L
.91173 .32795 L
.91002 .32869 L
.9068 .32989 L
.90359 .33088 L
.90248 .33117 L
.90037 .33164 L
.89716 .33218 L
.89394 .3325 L
.89073 .33262 L
.88751 .33252 L
.88429 .3322 L
.88108 .33168 L
.87877 .33117 L
.87786 .33093 L
.87465 .32996 L
.87143 .32877 L
.86953 .32795 L
.86821 .32734 L
.865 .32568 L
.86336 .32474 L
.86178 .32377 L
.85857 .3216 L
.85845 .32152 L
.85535 .31917 L
Mistroke
.85428 .3183 L
.85214 .31647 L
.8506 .31509 L
.84892 .3135 L
.84726 .31187 L
.8457 .31028 L
.84417 .30866 L
.84249 .30683 L
.84123 .30544 L
.83927 .30322 L
.83841 .30223 L
.83606 .29948 L
.83566 .29901 L
.83301 .29579 L
.83284 .29558 L
.8306 .29258 L
.82962 .29114 L
.82863 .28936 L
.82732 .28615 L
.82667 .28293 L
.82642 .27971 L
.82641 .27925 L
.82634 .2765 L
.82627 .27328 L
.8261 .27007 L
.82577 .26685 L
.82523 .26364 L
.8244 .26042 L
.82319 .2572 L
.82319 .2572 L
.8214 .25399 L
.81998 .25218 L
.81845 .25077 L
.81676 .24959 L
.81355 .24822 L
.81033 .24756 L
.81031 .24756 L
.80711 .24728 L
.8039 .24721 L
.80068 .24725 L
.79747 .24734 L
.79425 .24744 L
.79103 .24754 L
.79058 .24756 L
.78782 .24763 L
.7846 .24771 L
.78139 .24778 L
.77817 .24784 L
.77495 .24788 L
.77174 .24792 L
Mistroke
.76852 .24796 L
.76531 .24798 L
.76209 .248 L
.75888 .24802 L
.75566 .24803 L
.75244 .24804 L
.74923 .24805 L
.74601 .24806 L
.7428 .24806 L
.73958 .24806 L
.73636 .24806 L
.73315 .24806 L
.72993 .24805 L
.72672 .24804 L
.7235 .24803 L
.72029 .24801 L
.71707 .24799 L
.71385 .24797 L
.71064 .24794 L
.70742 .2479 L
.70421 .24786 L
.70099 .24781 L
.69777 .24775 L
.69456 .24768 L
.69134 .24759 L
.69008 .24756 L
.68813 .2475 L
.68491 .24739 L
.6817 .24729 L
.67848 .24721 L
.67526 .24721 L
.67205 .24736 L
.67025 .24756 L
.66883 .24781 L
.66562 .24879 L
.6624 .25073 L
.66235 .25077 L
.65942 .25399 L
.65918 .25432 L
.65762 .2572 L
.65638 .26042 L
.65597 .26174 L
.65549 .26364 L
.65481 .26685 L
.65425 .27007 L
.65374 .27328 L
.65321 .2765 L
.65275 .27909 L
.65264 .27971 L
.65203 .28293 L
Mistroke
.65275 .28558 L
.65597 .28582 L
.65904 .28615 L
.65918 .28619 L
.66226 .28936 L
.66079 .29258 L
.65918 .29502 L
.65886 .29579 L
.65654 .29901 L
.65597 .30002 L
.6545 .30223 L
.65275 .30469 L
.65243 .30544 L
.65019 .30866 L
.64954 .30977 L
.64816 .31187 L
.64632 .31475 L
.64601 .31509 L
.64372 .3183 L
.64311 .31928 L
.64156 .32152 L
.63989 .324 L
.63933 .32474 L
.63692 .32795 L
.63667 .32831 L
.63464 .33117 L
.63346 .33287 L
.63237 .33438 L
.63024 .33727 L
.63001 .3376 L
.62755 .34082 L
.62703 .34156 L
.62525 .34403 L
.62381 .34599 L
.62294 .34725 L
.62059 .35027 L
.62049 .35046 L
.61804 .35368 L
.61738 .35457 L
.61573 .35689 L
.61416 .35895 L
.61343 .36011 L
.61095 .36319 L
.61091 .36333 L
.60845 .36654 L
.60773 .36748 L
.60616 .36976 L
.60452 .37182 L
.60386 .37297 L
.6013 .37605 L
Mistroke
.60116 .37619 L
.59882 .37941 L
.59808 .38034 L
.59654 .38262 L
.59487 .38468 L
.59428 .38584 L
.59165 .38894 L
.59154 .38905 L
.58927 .39227 L
.58844 .39332 L
.58711 .39548 L
.58522 .39778 L
.5845 .3987 L
.58227 .40192 L
.582 .40225 L
.58039 .40513 L
.57879 .40687 L
.5777 .40835 L
.57557 .41139 L
.57543 .41156 L
.57282 .41478 L
.57236 .4153 L
.5693 .41478 L
.56914 .41399 L
.56896 .41156 L
.56914 .40878 L
.56919 .40835 L
.56951 .40513 L
.57062 .40192 L
.57194 .3987 L
.57236 .39762 L
.57344 .39548 L
.57527 .39227 L
.57557 .39172 L
.57727 .38905 L
.57879 .38671 L
.57939 .38584 L
.5817 .38262 L
.582 .38215 L
.58409 .37941 L
.58522 .37778 L
.58645 .37619 L
.58844 .37347 L
.58882 .37297 L
.59136 .36976 L
.59165 .36924 L
.59381 .36654 L
.59487 .36498 L
.59615 .36333 L
.59808 .36066 L
Mistroke
.5985 .36011 L
.60101 .35689 L
.6013 .35641 L
.60342 .35368 L
.60452 .35211 L
.60576 .35046 L
.60773 .34776 L
.60811 .34725 L
.61059 .34403 L
.61095 .34351 L
.61298 .34082 L
.61416 .33919 L
.61531 .3376 L
.61738 .3348 L
.61767 .33438 L
.62013 .33117 L
.62059 .33056 L
.62249 .32795 L
.62381 .32618 L
.6248 .32474 L
.62703 .32169 L
.62714 .32152 L
.62958 .3183 L
.63024 .31756 L
.63186 .31509 L
.63346 .31294 L
.6341 .31187 L
.63653 .30866 L
.63667 .30821 L
.63882 .30544 L
.63989 .30344 L
.64079 .30223 L
.64263 .29901 L
.63989 .29582 L
.63667 .29807 L
.63564 .29901 L
.63346 .3007 L
.63181 .30223 L
.63024 .30355 L
.62756 .30544 L
.62703 .30653 L
.62451 .30866 L
.62381 .30963 L
.6214 .31187 L
.62059 .31283 L
.61832 .31509 L
.61738 .31614 L
.61529 .3183 L
.61416 .31955 L
.61234 .32152 L
Mistroke
.61095 .32305 L
.60946 .32474 L
.60773 .32664 L
.60667 .32795 L
.60452 .33031 L
.60395 .33117 L
.6013 .33405 L
.60124 .33438 L
.59828 .3376 L
.59808 .33782 L
.59571 .34082 L
.59487 .34171 L
.59336 .34403 L
.59165 .34564 L
.59015 .34725 L
.58844 .34955 L
.58741 .35046 L
.58522 .35339 L
.58453 .35368 L
.582 .3563 L
.58136 .35689 L
.57879 .35909 L
.57617 .35689 L
.57696 .35368 L
.57879 .35088 L
.57899 .35046 L
.58049 .34725 L
.582 .34425 L
.58209 .34403 L
.58374 .34082 L
.58522 .3376 L
.58522 .33759 L
.58667 .33438 L
.58805 .33117 L
.58792 .32795 L
.58522 .32563 L
.582 .32662 L
.57881 .32795 L
.57879 .32796 L
.57557 .32951 L
.57236 .33105 L
.57208 .33117 L
.56914 .33195 L
.56691 .33117 L
.56592 .3301 L
.56458 .32795 L
.56315 .32474 L
.56271 .32384 L
.56136 .32152 L
.55949 .31937 L
Mistroke
.55854 .3183 L
.55628 .31726 L
.55306 .31643 L
.54985 .31651 L
.54663 .31726 L
.54341 .31716 L
.54277 .31509 L
.5423 .31187 L
.54175 .30866 L
.54071 .30544 L
.5402 .30419 L
.53919 .30223 L
.53731 .29901 L
.53698 .29848 L
.53534 .29579 L
.53377 .29337 L
.53326 .29258 L
.53094 .28936 L
.53055 .28886 L
.52839 .28615 L
.52733 .28475 L
.52608 .28293 L
.52435 .27971 L
.52412 .27921 L
.52299 .2765 L
.52178 .27328 L
.5209 .27094 L
.52058 .27007 L
.51938 .26685 L
.5182 .26364 L
.51769 .26219 L
.51708 .26042 L
.51601 .2572 L
.51497 .25399 L
.51447 .2524 L
.51398 .25077 L
.51303 .24756 L
.51214 .24434 L
.5113 .24112 L
.51126 .24096 L
.51052 .23791 L
.5098 .23469 L
.50912 .23148 L
.50849 .22826 L
.50804 .22582 L
.5079 .22505 L
.50737 .22183 L
.50687 .21861 L
.50642 .2154 L
.506 .21218 L
Mistroke
.50562 .20897 L
.50529 .20575 L
.50499 .20253 L
.50482 .20053 L
.50473 .19932 L
.50452 .1961 L
.50434 .19289 L
.5042 .18967 L
.5041 .18645 L
.50404 .18324 L
.50402 .18002 L
.50403 .17681 L
.50408 .17359 L
.50417 .17038 L
.50429 .16716 L
.50446 .16394 L
.50466 .16073 L
.50482 .15844 L
.5049 .15751 L
.50518 .1543 L
.50551 .15108 L
.50587 .14786 L
.50627 .14465 L
.50672 .14143 L
.5072 .13822 L
.50773 .135 L
.50804 .13318 L
.50829 .13179 L
.50891 .12857 L
.50958 .12535 L
.51028 .12214 L
.51103 .11892 L
.51126 .118 L
.51184 .11571 L
.5127 .11249 L
.5136 .10927 L
.51447 .10633 L
.51456 .10606 L
.51558 .10284 L
.51665 .09963 L
.51769 .09668 L
.51778 .09641 L
.51899 .0932 L
.52026 .08998 L
.5209 .0884 L
.5216 .08676 L
.52301 .08355 L
.52412 .08114 L
.5245 .08033 L
.52609 .07712 L
Mistroke
.52733 .07469 L
.52776 .0739 L
.52953 .07068 L
.53055 .06892 L
.53142 .06747 L
.53342 .06425 L
.53377 .06371 L
.53555 .06104 L
.53698 .059 L
.53784 .05782 L
.5402 .05473 L
.54029 .05461 L
.54295 .05139 L
.54341 .05085 L
.54583 .04817 L
.54663 .04733 L
.549 .04496 L
.54985 .04415 L
.55251 .04174 L
.55306 .04127 L
.55628 .03869 L
.55649 .03853 L
.55949 .03638 L
.56112 .03531 L
.56271 .03433 L
.56592 .03253 L
.56678 .03209 L
.56914 .03098 L
.57236 .02966 L
.57456 .02888 L
.57557 .02856 L
Mfstroke
.7235 .02216 m
.72672 .02178 L
.72993 .02149 L
.73315 .02129 L
.73636 .02116 L
.73958 .02111 L
.7428 .02113 L
.74601 .02122 L
.74923 .02138 L
.75244 .02163 L
.75566 .02196 L
.75888 .02238 L
.75932 .02245 L
.76209 .02292 L
.76531 .02358 L
.76852 .0244 L
.77174 .02542 L
.77239 .02566 L
.77495 .02669 L
.77817 .02839 L
.77891 .02888 L
.78139 .0305 L
.78245 .03209 L
.78369 .03531 L
.78232 .03853 L
.78139 .03933 L
.77817 .04105 L
.77617 .04174 L
.77495 .04212 L
.77174 .0429 L
.76852 .04344 L
.76531 .04384 L
.76209 .04412 L
.75888 .04434 L
.75566 .0445 L
.75244 .04462 L
.74923 .0447 L
.74601 .04476 L
.7428 .04478 L
.73958 .04479 L
.73636 .04477 L
.73315 .04473 L
.72993 .04466 L
.72672 .04456 L
.7235 .04442 L
.72029 .04424 L
.71707 .04399 L
.71385 .04365 L
.71064 .04319 L
.70742 .04255 L
Mistroke
.7046 .04174 L
.70421 .04162 L
.70099 .04032 L
.69845 .03853 L
.69777 .03768 L
.69707 .03531 L
.69777 .03293 L
.69832 .03209 L
.70099 .02925 L
.70186 .02888 L
.70421 .02746 L
.70742 .02602 L
.70838 .02566 L
.71064 .02488 L
.71385 .02397 L
.71707 .02323 L
.72029 .02263 L
.72145 .02245 L
.7235 .02216 L
Mfstroke
.45911 .98077 m
.4598 .98009 L
.46228 .97755 L
.46302 .97677 L
.46522 .97434 L
.46623 .97317 L
.46795 .97112 L
.46945 .96926 L
.4705 .96791 L
.47267 .96502 L
.4729 .96469 L
.47516 .96147 L
.47588 .96041 L
.47729 .95826 L
.4791 .95541 L
.47932 .95504 L
.48124 .95183 L
.48231 .94996 L
.48306 .94861 L
.4848 .94539 L
.48553 .94401 L
.48645 .94218 L
.48803 .93896 L
.48874 .93747 L
.48954 .93575 L
.49098 .93253 L
.49196 .93026 L
.49235 .92932 L
.49366 .9261 L
.49492 .92288 L
.49518 .92221 L
.49611 .91967 L
.49725 .91645 L
.49835 .91324 L
.49839 .91312 L
.49938 .91002 L
.50038 .9068 L
.50133 .90359 L
.50161 .90263 L
.50223 .90037 L
.50308 .89716 L
.5039 .89394 L
.50468 .89073 L
.50482 .89012 L
.50541 .88751 L
.50609 .88429 L
.50675 .88108 L
.50737 .87786 L
.50796 .87465 L
.50804 .8742 L
Mistroke
.5085 .87143 L
.509 .86821 L
.50947 .865 L
.5099 .86178 L
.51031 .85857 L
.51068 .85535 L
.51102 .85214 L
.51126 .84973 L
.51133 .84892 L
.51159 .8457 L
.51182 .84249 L
.51202 .83927 L
.51219 .83606 L
.51233 .83284 L
.51243 .82962 L
.51251 .82641 L
.51255 .82319 L
.51256 .81998 L
.51254 .81676 L
.51248 .81355 L
.5124 .81033 L
.51228 .80711 L
.51214 .8039 L
.51196 .80068 L
.51175 .79747 L
.5115 .79425 L
.51126 .7913 L
.51123 .79103 L
.51091 .78782 L
.51056 .7846 L
.51018 .78139 L
.50977 .77817 L
.50932 .77495 L
.50884 .77174 L
.50833 .76852 L
.50804 .76679 L
.50778 .76531 L
.50718 .76209 L
.50654 .75888 L
.50587 .75566 L
.50515 .75244 L
.50482 .75104 L
.50438 .74923 L
.50355 .74601 L
.50271 .7428 L
.50184 .73958 L
.50161 .73874 L
.50092 .73636 L
.49995 .73315 L
.49897 .72993 L
Mistroke
.49839 .728 L
.49801 .72672 L
.49711 .7235 L
.49628 .72029 L
.49544 .71707 L
.49518 .71614 L
.49442 .71385 L
.49296 .71064 L
.49196 .709 L
.49089 .70742 L
.48874 .70461 L
.48842 .70421 L
.48587 .70099 L
.48553 .70048 L
.48324 .69777 L
.48231 .6962 L
.48122 .69456 L
.4798 .69134 L
.47919 .68813 L
.47914 .68491 L
.47953 .6817 L
.48019 .67848 L
.48094 .67526 L
.48162 .67205 L
.48166 .66883 L
.48225 .66562 L
.48231 .66529 L
.48328 .6624 L
.48467 .65918 L
.48553 .65652 L
.48589 .65597 L
.4875 .65275 L
.48874 .64979 L
.48887 .64954 L
.49033 .64632 L
.49155 .64311 L
.49196 .64153 L
.49237 .63989 L
.49296 .63667 L
.49332 .63346 L
.49381 .63024 L
.49461 .62703 L
.49518 .62469 L
.49563 .62381 L
.49696 .62059 L
.49832 .61738 L
.49839 .61717 L
.49965 .61416 L
.50094 .61095 L
.50161 .60885 L
Mistroke
.50189 .60773 L
.50258 .60452 L
.50296 .6013 L
.50328 .59808 L
.50387 .59487 L
.50477 .59165 L
.50482 .59145 L
.50591 .58844 L
.50728 .58522 L
.50804 .58334 L
.50857 .582 L
.5099 .57879 L
.51105 .57557 L
.51126 .57492 L
.51182 .57236 L
.51231 .56914 L
.5126 .56592 L
.51303 .56271 L
.51382 .55949 L
.51447 .55717 L
.51482 .55628 L
.5161 .55306 L
.5175 .54985 L
.51769 .54938 L
.51875 .54663 L
.52002 .54341 L
.5209 .54063 L
.52098 .5402 L
.52155 .53698 L
.52189 .53377 L
.52222 .53055 L
.52285 .52733 L
.52383 .52412 L
.52412 .52321 L
.52492 .5209 L
.52631 .51769 L
.52733 .51533 L
.52761 .51447 L
.52889 .51126 L
.53006 .50804 L
.53055 .50646 L
.53077 .50482 L
.53118 .50161 L
.53145 .49839 L
.53192 .49518 L
.53278 .49196 L
.53377 .48908 L
.53385 .48874 L
.53507 .48553 L
.53651 .48231 L
Mistroke
.53698 .48127 L
.53767 .4791 L
.53894 .47588 L
.53992 .47267 L
.5402 .47165 L
.54038 .46945 L
.54064 .46623 L
.54098 .46302 L
.54168 .4598 L
.54276 .45659 L
.54341 .45485 L
.54385 .45337 L
.54527 .45015 L
.54663 .44715 L
.54667 .44694 L
.54786 .44372 L
.54906 .44051 L
.54985 .43766 L
.54987 .43729 L
.55017 .43408 L
.55035 .43086 L
.55073 .42764 L
.55159 .42443 L
.55278 .42121 L
.55306 .4205 L
.55357 .418 L
.55503 .41478 L
.55628 .41156 L
.55628 .41156 L
.55662 .40835 L
.55737 .40513 L
.55776 .40192 L
.55809 .3987 L
.55867 .39548 L
.55949 .39249 L
.55956 .39227 L
.56071 .38905 L
.5621 .38584 L
.56271 .38456 L
.56353 .38262 L
.56504 .37941 L
.56592 .37783 L
.56649 .37619 L
.56792 .37297 L
.56914 .36987 L
.56918 .36976 L
.56984 .36654 L
.56914 .36549 L
.56592 .36455 L
.56333 .36333 L
Mistroke
.56271 .36316 L
.55949 .36241 L
.55885 .36333 L
.55709 .36654 L
.55628 .36849 L
.55538 .36976 L
.55353 .37297 L
.55306 .37522 L
.55241 .37619 L
.55058 .37941 L
.54985 .38167 L
.54932 .38262 L
.54764 .38584 L
.54663 .38891 L
.54657 .38905 L
.5454 .39227 L
.54456 .39548 L
.5441 .3987 L
.54375 .40192 L
.54345 .40513 L
.54341 .40532 L
.54245 .40835 L
.54112 .41156 L
.5402 .41438 L
.54 .41478 L
.53851 .418 L
.5372 .42121 L
.53698 .42214 L
.53618 .42443 L
.53527 .42764 L
.53475 .43086 L
.53446 .43408 L
.53406 .43729 L
.53377 .4397 L
.53341 .44051 L
.53226 .44372 L
.53095 .44694 L
.53055 .44822 L
.52969 .45015 L
.52827 .45337 L
.52733 .4561 L
.52717 .45659 L
.52615 .4598 L
.52547 .46302 L
.52512 .46623 L
.5248 .46945 L
.52426 .47267 L
.52412 .47355 L
.52336 .47588 L
.5221 .4791 L
Mistroke
.5209 .4822 L
.52086 .48231 L
.51946 .48553 L
.51815 .48874 L
.51769 .49013 L
.51714 .49196 L
.51631 .49518 L
.51584 .49839 L
.51555 .50161 L
.5151 .50482 L
.51447 .50782 L
.51438 .50804 L
.51326 .51126 L
.51194 .51447 L
.51126 .51625 L
.51066 .51769 L
.50929 .5209 L
.50812 .52412 L
.50804 .5243 L
.50722 .52733 L
.5066 .53055 L
.50628 .53377 L
.50593 .53698 L
.50529 .5402 L
.50482 .54209 L
.50437 .54341 L
.50312 .54663 L
.50179 .54985 L
.50161 .55029 L
.50048 .55306 L
.49917 .55628 L
.49839 .55852 L
.49817 .55949 L
.49743 .56271 L
.49701 .56592 L
.49673 .56914 L
.49622 .57236 L
.49538 .57557 L
.49518 .57629 L
.49431 .57879 L
.49297 .582 L
.49196 .58442 L
.49167 .58522 L
.49035 .58844 L
.48917 .59165 L
.48874 .59313 L
.48835 .59487 L
.48783 .59808 L
.48754 .6013 L
.48717 .60452 L
Mistroke
.48646 .60773 L
.48553 .61076 L
.48547 .61095 L
.48429 .61416 L
.48292 .61738 L
.48231 .61874 L
.48168 .62059 L
.48045 .62381 L
.47947 .62703 L
.4791 .62888 L
.47892 .63024 L
.47866 .63346 L
.47845 .63667 L
.47795 .63989 L
.47706 .64311 L
.47596 .64632 L
.47588 .64652 L
.47478 .64954 L
.47348 .65275 L
.47267 .65481 L
.47238 .65597 L
.47139 .65918 L
.47059 .6624 L
.46997 .66562 L
.46945 .66783 L
.46909 .66883 L
.46662 .67205 L
.46623 .67229 L
.46302 .67251 L
.46212 .67205 L
.4598 .66989 L
.45884 .66883 L
.45685 .66562 L
.45659 .66497 L
.45558 .6624 L
.4551 .65918 L
.45545 .65597 L
.45635 .65275 L
.45659 .65139 L
.45739 .64954 L
.45882 .64632 L
.45964 .64311 L
.4598 .64259 L
.46058 .63989 L
.46121 .63667 L
.46165 .63346 L
.46224 .63024 L
.46297 .62703 L
.46302 .62627 L
.46405 .62381 L
Mistroke
.46551 .62059 L
.46623 .61838 L
.46673 .61738 L
.46823 .61416 L
.46939 .61095 L
.46945 .61066 L
.47041 .60773 L
.47116 .60452 L
.47156 .6013 L
.47189 .59808 L
.47243 .59487 L
.47267 .59324 L
.47328 .59165 L
.47454 .58844 L
.47581 .58522 L
.47588 .58496 L
.47718 .582 L
.47853 .57879 L
.4791 .57702 L
.47956 .57557 L
.48044 .57236 L
.48095 .56914 L
.48125 .56592 L
.48167 .56271 L
.48231 .55959 L
.48234 .55949 L
.48343 .55628 L
.48475 .55306 L
.48553 .55098 L
.48602 .54985 L
.4874 .54663 L
.4886 .54341 L
.48874 .54297 L
.48954 .5402 L
.4902 .53698 L
.49055 .53377 L
.49088 .53055 L
.49148 .52733 L
.49196 .52513 L
.49235 .52412 L
.49358 .5209 L
.49491 .51769 L
.49518 .51699 L
.49622 .51447 L
.49755 .51126 L
.49839 .50879 L
.49859 .50804 L
.49937 .50482 L
.49984 .50161 L
.50012 .49839 L
Mistroke
.50059 .49518 L
.50138 .49196 L
.50161 .4911 L
.50242 .48874 L
.50375 .48553 L
.50482 .48293 L
.50506 .48231 L
.50639 .4791 L
.50761 .47588 L
.50804 .47474 L
.50848 .47267 L
.50907 .46945 L
.5094 .46623 L
.50974 .46302 L
.51041 .4598 L
.51126 .4569 L
.51136 .45659 L
.51255 .45337 L
.51393 .45015 L
.51447 .44889 L
.5152 .44694 L
.51651 .44372 L
.51759 .44051 L
.51769 .44012 L
.51825 .43729 L
.51865 .43408 L
.51894 .43086 L
.51945 .42764 L
.52032 .42443 L
.5209 .42265 L
.52137 .42121 L
.52269 .418 L
.52408 .41478 L
.52412 .4147 L
.52529 .41156 L
.5265 .40835 L
.52733 .40544 L
.52737 .40513 L
.52781 .40192 L
.52807 .3987 L
.52843 .39548 L
.52914 .39227 L
.53019 .38905 L
.53055 .38807 L
.5313 .38584 L
.53267 .38262 L
.53377 .38002 L
.53393 .37941 L
.53505 .37619 L
.53601 .37297 L
Mistroke
.53656 .36976 L
.53675 .36654 L
.53689 .36333 L
.53698 .36216 L
.53728 .36011 L
.53805 .35689 L
.5391 .35368 L
.54016 .35046 L
.5402 .35032 L
.5411 .34725 L
.54191 .34403 L
.54241 .34082 L
.5418 .3376 L
.54055 .33438 L
.5402 .33382 L
.53698 .33382 L
.53638 .33438 L
.53418 .3376 L
.53377 .33835 L
.53163 .34082 L
.53055 .34397 L
.5305 .34403 L
.52851 .34725 L
.52733 .3502 L
.52719 .35046 L
.52557 .35368 L
.5243 .35689 L
.52412 .35801 L
.52352 .36011 L
.52289 .36333 L
.52248 .36654 L
.52195 .36976 L
.52116 .37297 L
.5209 .37435 L
.52013 .37619 L
.51875 .37941 L
.51769 .38216 L
.51746 .38262 L
.51604 .38584 L
.51479 .38905 L
.51447 .39011 L
.51383 .39227 L
.51312 .39548 L
.51273 .3987 L
.5124 .40192 L
.51182 .40513 L
.51126 .40745 L
.51098 .40835 L
.50977 .41156 L
.50842 .41478 L
Mistroke
.50804 .41583 L
.50712 .418 L
.50578 .42121 L
.50482 .42401 L
.5047 .42443 L
.50387 .42764 L
.50337 .43086 L
.50307 .43408 L
.50264 .43729 L
.50189 .44051 L
.50161 .4417 L
.50088 .44372 L
.49957 .44694 L
.49839 .44981 L
.49825 .45015 L
.49692 .45337 L
.49567 .45659 L
.49518 .45806 L
.49476 .4598 L
.49412 .46302 L
.49377 .46623 L
.49345 .46945 L
.49283 .47267 L
.49196 .47577 L
.49191 .47588 L
.49075 .4791 L
.48937 .48231 L
.48874 .48383 L
.48809 .48553 L
.48677 .48874 L
.48566 .49196 L
.48553 .49228 L
.48494 .49518 L
.48449 .49839 L
.48421 .50161 L
.48374 .50482 L
.48291 .50804 L
.48231 .50999 L
.48188 .51126 L
.48058 .51447 L
.47918 .51769 L
.4791 .51788 L
.47794 .5209 L
.47669 .52412 L
.47588 .52668 L
.47578 .52733 L
.47525 .53055 L
.47494 .53377 L
.4746 .53698 L
.47392 .5402 L
Mistroke
.4729 .54341 L
.47267 .54409 L
.4718 .54663 L
.47039 .54985 L
.46945 .55197 L
.46912 .55306 L
.46784 .55628 L
.46672 .55949 L
.46623 .56099 L
.46606 .56271 L
.46571 .56592 L
.46544 .56914 L
.46493 .57236 L
.46403 .57557 L
.46302 .57839 L
.46292 .57879 L
.4617 .582 L
.46026 .58522 L
.4598 .58617 L
.45911 .58844 L
.4579 .59165 L
.45699 .59487 L
.45659 .59721 L
.45653 .59808 L
.45635 .6013 L
.45605 .60452 L
.45537 .60773 L
.4543 .61095 L
.45337 .61338 L
.45318 .61416 L
.45193 .61738 L
.45061 .62059 L
.45015 .62144 L
.44965 .62381 L
.44881 .62703 L
.44831 .63024 L
.44809 .63346 L
.44779 .63667 L
.44708 .63989 L
.44694 .64039 L
.44604 .64311 L
.4442 .64632 L
.44372 .64699 L
.44201 .64954 L
.44051 .65038 L
.43729 .65165 L
.43408 .65099 L
.43205 .64954 L
.43086 .64635 L
.43085 .64632 L
Mistroke
.43031 .64311 L
.43018 .63989 L
.42965 .63667 L
.42921 .63346 L
.42891 .63024 L
.42932 .62703 L
.43065 .62381 L
.43086 .62336 L
.43223 .62059 L
.43391 .61738 L
.43408 .61706 L
.43541 .61416 L
.43676 .61095 L
.43729 .60955 L
.43798 .60773 L
.43893 .60452 L
.43944 .6013 L
.43994 .59808 L
.44021 .59487 L
.44051 .59376 L
.44145 .59165 L
.443 .58844 L
.44372 .58593 L
.4441 .58522 L
.44573 .582 L
.44682 .57879 L
.44694 .5785 L
.44808 .57557 L
.44906 .57236 L
.44962 .56914 L
.44991 .56592 L
.45005 .56271 L
.45015 .56201 L
.45087 .55949 L
.45209 .55628 L
.4533 .55306 L
.45337 .55255 L
.45462 .54985 L
.45607 .54663 L
.45659 .54477 L
.45709 .54341 L
.45816 .5402 L
.45886 .53698 L
.4592 .53377 L
.45949 .53055 L
.4598 .52766 L
.45993 .52733 L
.46094 .52412 L
.46224 .5209 L
.46302 .51856 L
Mistroke
.46341 .51769 L
.46487 .51447 L
.46611 .51126 L
.46623 .51078 L
.46716 .50804 L
.46802 .50482 L
.46849 .50161 L
.46877 .49839 L
.46919 .49518 L
.46945 .49331 L
.46989 .49196 L
.47106 .48874 L
.47236 .48553 L
.47267 .48456 L
.47364 .48231 L
.47504 .4791 L
.47588 .47664 L
.47612 .47588 L
.47709 .47267 L
.47772 .46945 L
.47804 .46623 L
.47839 .46302 L
.47897 .4598 L
.4791 .45912 L
.47992 .45659 L
.4812 .45337 L
.48231 .45049 L
.48245 .45015 L
.48384 .44694 L
.48512 .44372 L
.48553 .44265 L
.48611 .44051 L
.48688 .43729 L
.48731 .43408 L
.4876 .43086 L
.48809 .42764 L
.48874 .42478 L
.48886 .42443 L
.49 .42121 L
.49134 .418 L
.49196 .41642 L
.49262 .41478 L
.49397 .41156 L
.4951 .40835 L
.49518 .40806 L
.49595 .40513 L
.4965 .40192 L
.49679 .3987 L
.49716 .39548 L
.49785 .39227 L
Mistroke
.49839 .39028 L
.4988 .38905 L
.50006 .38584 L
.50139 .38262 L
.50161 .38214 L
.50266 .37941 L
.50391 .37619 L
.50482 .37309 L
.50484 .37297 L
.50544 .36976 L
.50573 .36654 L
.50596 .36333 L
.50647 .36011 L
.50735 .35689 L
.50804 .35468 L
.50838 .35368 L
.50962 .35046 L
.51085 .34725 L
.51126 .34591 L
.51185 .34403 L
.51267 .34082 L
.51306 .3376 L
.51296 .33438 L
.51258 .33117 L
.51254 .32795 L
.51239 .32474 L
.51273 .32152 L
.51229 .3183 L
.51126 .31773 L
.51017 .3183 L
.50804 .32031 L
.50723 .32152 L
.5055 .32474 L
.50482 .32641 L
.50407 .32795 L
.50272 .33117 L
.50242 .33438 L
.50161 .33682 L
.50122 .3376 L
.49977 .34082 L
.4984 .34403 L
.49839 .34406 L
.49685 .34725 L
.49536 .35046 L
.49518 .35097 L
.49401 .35368 L
.49277 .35689 L
.49196 .35988 L
.49191 .36011 L
.49137 .36333 L
Mistroke
.49101 .36654 L
.49053 .36976 L
.48971 .37297 L
.48874 .3759 L
.48865 .37619 L
.48738 .37941 L
.48597 .38262 L
.48553 .38371 L
.48469 .38584 L
.4834 .38905 L
.48237 .39227 L
.48231 .39249 L
.48176 .39548 L
.48139 .3987 L
.48107 .40192 L
.48047 .40513 L
.47952 .40835 L
.4791 .40974 L
.47843 .41156 L
.47705 .41478 L
.47588 .41751 L
.47572 .418 L
.47445 .42121 L
.47326 .42443 L
.47267 .42645 L
.47248 .42764 L
.47204 .43086 L
.47176 .43408 L
.47132 .43729 L
.47051 .44051 L
.46945 .44365 L
.46942 .44372 L
.46825 .44694 L
.46681 .45015 L
.46623 .45148 L
.4656 .45337 L
.46432 .45659 L
.46328 .4598 L
.46302 .46076 L
.46276 .46302 L
.46246 .46623 L
.46215 .46945 L
.46151 .47267 L
.46049 .47588 L
.4598 .47781 L
.45943 .4791 L
.45805 .48231 L
.4566 .48553 L
.45659 .48556 L
.45551 .48874 L
Mistroke
.45431 .49196 L
.45347 .49518 L
.45337 .49578 L
.4532 .49839 L
.45297 .50161 L
.45251 .50482 L
.45162 .50804 L
.45041 .51126 L
.45015 .51191 L
.44933 .51447 L
.44782 .51769 L
.44694 .51962 L
.44664 .5209 L
.44539 .52412 L
.44432 .52733 L
.44372 .53009 L
.44371 .53055 L
.44357 .53377 L
.44335 .53698 L
.44272 .5402 L
.44163 .54341 L
.44051 .54619 L
.44033 .54663 L
.43937 .54985 L
.43787 .55306 L
.43729 .55435 L
.43668 .55628 L
.43615 .55949 L
.43546 .56271 L
.43511 .56592 L
.43476 .56914 L
.43411 .57236 L
.43408 .5725 L
.43328 .57557 L
.43199 .57879 L
.43086 .58133 L
.43062 .582 L
.42919 .58522 L
.42771 .58844 L
.42764 .58858 L
.42634 .59165 L
.42507 .59487 L
.42443 .59686 L
.42408 .59808 L
.42373 .6013 L
.42443 .60343 L
.42514 .60452 L
.42578 .60773 L
.42646 .61095 L
.42585 .61416 L
Mistroke
.42511 .61738 L
.42547 .62059 L
.42546 .62381 L
.42522 .62703 L
.42443 .62955 L
.42409 .63024 L
.42204 .63346 L
.42121 .6345 L
.41903 .63667 L
.418 .63797 L
.41581 .63989 L
.41478 .64075 L
.41156 .64304 L
.41147 .64311 L
.40835 .64498 L
.40513 .64628 L
.40192 .64609 L
.40143 .64311 L
.40192 .64164 L
.40218 .63989 L
.40386 .63667 L
.40513 .634 L
.40544 .63346 L
.40718 .63024 L
.40835 .62801 L
.4088 .62703 L
.41058 .62381 L
.41156 .62173 L
.412 .62059 L
.4139 .61738 L
.41467 .61416 L
.41478 .61383 L
.41535 .61095 L
.41478 .60961 L
.41156 .61079 L
.41142 .61095 L
.40835 .61368 L
.40795 .61416 L
.40513 .61727 L
.40501 .61738 L
.40236 .62059 L
.40192 .621 L
.39977 .62381 L
.3987 .625 L
.39677 .62703 L
.39548 .62908 L
.39447 .63024 L
.39227 .63314 L
.392 .63346 L
.38921 .63667 L
Mistroke
.38905 .63708 L
.3866 .63989 L
.38584 .64099 L
.38402 .64311 L
.38262 .64486 L
.38137 .64632 L
.37941 .64865 L
.37865 .64954 L
.37619 .65235 L
.37586 .65275 L
.37298 .65597 L
.37297 .65598 L
.37006 .65918 L
.36976 .65951 L
.3671 .6624 L
.36654 .66298 L
.36409 .66562 L
.36333 .66637 L
.36102 .66883 L
.36011 .6697 L
.35792 .67205 L
.35689 .67299 L
.35479 .67526 L
.35368 .67625 L
.35165 .67848 L
.35046 .67952 L
.3485 .6817 L
.34725 .68281 L
.34534 .68491 L
.34403 .68606 L
.34207 .68813 L
.34082 .68915 L
.33833 .69134 L
.3376 .6918 L
.33438 .69379 L
.33117 .69446 L
.32795 .694 L
.32474 .69334 L
.32152 .69309 L
.3183 .69296 L
.31509 .6927 L
.31187 .69218 L
.30866 .69139 L
.30847 .69134 L
.30544 .69045 L
.30223 .68952 L
.29901 .68878 L
.29579 .68829 L
.29434 .68813 L
.29258 .68797 L
Mistroke
.28936 .68774 L
.28615 .68754 L
.28293 .68735 L
.27971 .68717 L
.2765 .68701 L
.27328 .68687 L
.27007 .68677 L
.26685 .68671 L
.26364 .68667 L
.26042 .68666 L
.2572 .68667 L
.25399 .6867 L
.25077 .68675 L
.24756 .68682 L
.24434 .68692 L
.24112 .68705 L
.23791 .68721 L
.23469 .68741 L
.23148 .68765 L
.22826 .68795 L
.22658 .68813 L
.22505 .68831 L
.22183 .68876 L
.21861 .6893 L
.2154 .68996 L
.21218 .69076 L
.21019 .69134 L
.20897 .69174 L
.20575 .69297 L
.20253 .69453 L
.20248 .69456 L
.19932 .69655 L
.19783 .69777 L
.1961 .69939 L
.19499 .70099 L
.19356 .70421 L
.19358 .70742 L
.19554 .71064 L
.1961 .71125 L
.19932 .71327 L
.20123 .71385 L
.20253 .7143 L
.20575 .71513 L
.20897 .71572 L
.21218 .71615 L
.2154 .71647 L
.21861 .71672 L
.22183 .71691 L
.22505 .71706 L
.22537 .71707 L
Mistroke
.22826 .71719 L
.23148 .71729 L
.23469 .71737 L
.23791 .71744 L
.24112 .71749 L
.24434 .71753 L
.24756 .71757 L
.25077 .71759 L
.25399 .7176 L
.2572 .71761 L
.26042 .71761 L
.26364 .71761 L
.26685 .7176 L
.27007 .71758 L
.27328 .71755 L
.2765 .71752 L
.27971 .71747 L
.28293 .71741 L
.28615 .71734 L
.28936 .71725 L
.29258 .71715 L
.29465 .71707 L
.29579 .71703 L
.29901 .7169 L
.30223 .71675 L
.30544 .71658 L
.30866 .7164 L
.31187 .71621 L
.31509 .71607 L
.3183 .7161 L
.32152 .71657 L
.32313 .71707 L
.32474 .71806 L
.32703 .72029 L
.32795 .72164 L
.32895 .7235 L
.3301 .72672 L
.33074 .72993 L
.33095 .73315 L
.33075 .73636 L
.33012 .73958 L
.32895 .7428 L
.32795 .74471 L
.32697 .74601 L
.32474 .74826 L
.32328 .74923 L
.32152 .75012 L
.3183 .75115 L
.31509 .7517 L
.31187 .75197 L
Mistroke
.30866 .7521 L
.30544 .75214 L
.30223 .75214 L
.29901 .75213 L
.29579 .7521 L
.29258 .75207 L
.28936 .75205 L
.28615 .75202 L
.28293 .752 L
.27971 .75198 L
.2765 .75197 L
.27328 .75196 L
.27007 .75195 L
.26685 .75194 L
.26364 .75194 L
.26042 .75194 L
.2572 .75194 L
.25399 .75194 L
.25077 .75195 L
.24756 .75196 L
.24434 .75197 L
.24112 .75198 L
.23791 .752 L
.23469 .75202 L
.23148 .75205 L
.22826 .75208 L
.22505 .75212 L
.22183 .75217 L
.21861 .75223 L
.2154 .75231 L
.21218 .75241 L
.21118 .75244 L
.20897 .75253 L
.20575 .75269 L
.20253 .75288 L
.19932 .75311 L
.1961 .75341 L
.19289 .75377 L
.18967 .75421 L
.18645 .75472 L
.18324 .75531 L
.18159 .75566 L
.18002 .75594 L
.17681 .75652 L
.17359 .75688 L
.17038 .75675 L
.16716 .75576 L
.16695 .75566 L
.16394 .75354 L
.16283 .75244 L
Mistroke
.16073 .74985 L
.16029 .74923 L
.15829 .74601 L
.15751 .74462 L
.15655 .7428 L
.15492 .73958 L
.1543 .73833 L
.15331 .73636 L
.15163 .73315 L
.15108 .73215 L
.14979 .72993 L
.14786 .72691 L
.14773 .72672 L
.14536 .7235 L
.14465 .72262 L
.14262 .72029 L
.14143 .71903 L
.13942 .71707 L
.13822 .71598 L
.13565 .71385 L
.135 .71336 L
.13179 .71111 L
.13104 .71064 L
.12857 .7092 L
.12535 .70761 L
.12492 .70742 L
.12214 .70633 L
.11892 .70535 L
.11571 .70465 L
.11249 .70424 L
.11209 .70421 L
.10927 .70411 L
.10667 .70421 L
.10606 .70426 L
.10284 .70469 L
.09963 .70541 L
.09641 .70641 L
.09385 .70742 L
.0932 .70772 L
.08998 .70933 L
.08775 .71064 L
.08676 .71127 L
.08355 .71355 L
.08315 .71385 L
.08033 .71619 L
.07935 .71707 L
.07712 .71922 L
.07607 .72029 L
.0739 .72267 L
.07319 .7235 L
Mistroke
.07068 .7266 L
.0706 .72672 L
.06825 .72993 L
.06747 .73107 L
.0661 .73315 L
.06425 .73616 L
.06413 .73636 L
.06231 .73958 L
.06104 .74199 L
.06063 .7428 L
.05907 .74601 L
.05782 .74875 L
.05761 .74923 L
.05626 .75244 L
.055 .75566 L
.05461 .75672 L
.05383 .75888 L
.05274 .76209 L
.05173 .76531 L
.05139 .76644 L
.05079 .76852 L
.04992 .77174 L
.04912 .77495 L
.04838 .77817 L
.04817 .77913 L
.04771 .78139 L
.04709 .7846 L
.04654 .78782 L
.04603 .79103 L
.04559 .79425 L
.04519 .79747 L
.04496 .79964 L
.04485 .80068 L
.04457 .8039 L
.04434 .80711 L
.04415 .81033 L
.04402 .81355 L
.04393 .81676 L
.0439 .81998 L
.04392 .82319 L
.04398 .82641 L
.0441 .82962 L
.04427 .83284 L
.04449 .83606 L
.04475 .83927 L
.04496 .84138 L
.04507 .84249 L
.04545 .8457 L
.04588 .84892 L
.04636 .85214 L
Mistroke
.0469 .85535 L
.0475 .85857 L
.04815 .86178 L
.04817 .86189 L
.04887 .865 L
.04965 .86821 L
.0505 .87143 L
.05139 .87458 L
.05141 .87465 L
.0524 .87786 L
.05346 .88108 L
.0546 .88429 L
.05461 .88431 L
.05583 .88751 L
.05715 .89073 L
.05782 .89228 L
.05857 .89394 L
.06009 .89716 L
.06104 .89903 L
.06174 .90037 L
.06351 .90359 L
.06425 .90486 L
.06543 .9068 L
.06747 .90995 L
.06751 .91002 L
.06979 .91324 L
.07068 .91442 L
.07229 .91645 L
.0739 .91835 L
.07507 .91967 L
.07712 .92181 L
.07821 .92288 L
.08033 .92484 L
.08181 .9261 L
.08355 .92748 L
.0861 .92932 L
.08676 .92976 L
.08998 .93169 L
.09157 .93253 L
.0932 .93331 L
.09641 .93461 L
.09963 .93562 L
.10007 .93575 L
.10284 .93634 L
.10606 .93677 L
.10927 .93692 L
.11249 .93678 L
.11571 .93637 L
.11865 .93575 L
.11892 .93567 L
Mistroke
.12214 .93468 L
.12535 .93338 L
.12715 .93253 L
.12857 .93178 L
.13179 .92985 L
.13259 .92932 L
.135 .92758 L
.13686 .9261 L
.13822 .92495 L
.14048 .92288 L
.14143 .92196 L
.14367 .91967 L
.14465 .91862 L
.1466 .91645 L
.14786 .915 L
.14937 .91324 L
.15108 .91121 L
.15207 .91002 L
.1543 .90738 L
.15478 .9068 L
.15751 .90363 L
.15754 .90359 L
.16029 .90037 L
.16073 .89989 L
.16256 .89716 L
.16394 .89468 L
.16412 .89394 L
.16416 .89073 L
.16394 .88876 L
.16375 .88751 L
.16326 .88429 L
.16286 .88108 L
.16261 .87786 L
.16254 .87465 L
.16267 .87143 L
.16303 .86821 L
.16366 .865 L
.16394 .86386 L
.16463 .86178 L
.16608 .85857 L
.16716 .85683 L
.16836 .85535 L
.17038 .85355 L
.17302 .85214 L
.17359 .85193 L
.17681 .85119 L
.18002 .85096 L
.18324 .85097 L
.18645 .8511 L
.18967 .85126 L
Mistroke
.19289 .85143 L
.1961 .85159 L
.19932 .85172 L
.20253 .85184 L
.20575 .85193 L
.20897 .85201 L
.21218 .85207 L
.2154 .85212 L
.21659 .85214 L
.21861 .85216 L
.22183 .85219 L
.22505 .85222 L
.22826 .85224 L
.23148 .85226 L
.23469 .85227 L
.23791 .85229 L
.24112 .85229 L
.24434 .8523 L
.24756 .85231 L
.25077 .85231 L
.25399 .85231 L
.2572 .85232 L
.26042 .85232 L
.26364 .85232 L
.26685 .85231 L
.27007 .85231 L
.27328 .85231 L
.2765 .8523 L
.27971 .85229 L
.28293 .85228 L
.28615 .85228 L
.28936 .85227 L
.29258 .85226 L
.29579 .85225 L
.29901 .85225 L
.30223 .85227 L
.30544 .85232 L
.30866 .85242 L
.31187 .85262 L
.31509 .85299 L
.3183 .85367 L
.32152 .8549 L
.32234 .85535 L
.32474 .85712 L
.32603 .85857 L
.32794 .86178 L
.32795 .86179 L
.329 .865 L
.32946 .86821 L
.32942 .87143 L
Mistroke
.32887 .87465 L
.32795 .87737 L
.32771 .87786 L
.32558 .88108 L
.32474 .88193 L
.32152 .88411 L
.32112 .88429 L
.3183 .88524 L
.31509 .88584 L
.31187 .88615 L
.30866 .88629 L
.30544 .88634 L
.30223 .88635 L
.29901 .88634 L
.29579 .88632 L
.29258 .88629 L
.28936 .88627 L
.28615 .88624 L
.28293 .88622 L
.27971 .88621 L
.2765 .88619 L
.27328 .88618 L
.27007 .88617 L
.26685 .88617 L
.26364 .88616 L
.26042 .88616 L
.2572 .88616 L
.25399 .88617 L
.25077 .88617 L
.24756 .88618 L
.24434 .88619 L
.24112 .8862 L
.23791 .88622 L
.23469 .88624 L
.23148 .88627 L
.22826 .8863 L
.22505 .88634 L
.22183 .88639 L
.21861 .88645 L
.2154 .88653 L
.21218 .88662 L
.20897 .88675 L
.20575 .8869 L
.20253 .8871 L
.19932 .88735 L
.19757 .88751 L
.1961 .88766 L
.19289 .88804 L
.18967 .88855 L
.18645 .88921 L
Mistroke
.18324 .89009 L
.18148 .89073 L
.18002 .89116 L
.17681 .89267 L
.17571 .89394 L
.17359 .89577 L
.17306 .89716 L
.17351 .90037 L
.17359 .90057 L
.17551 .90359 L
.17681 .90541 L
.17838 .9068 L
.18002 .90828 L
.18251 .91002 L
.18324 .9105 L
.18645 .91225 L
.18869 .91324 L
.18967 .91363 L
.19289 .91472 L
.1961 .9156 L
.19932 .9163 L
.20013 .91645 L
.20253 .91685 L
.20575 .91729 L
.20897 .91765 L
.21218 .91793 L
.2154 .91816 L
.21861 .91835 L
.22183 .9185 L
.22505 .91862 L
.22826 .91872 L
.23148 .9188 L
.23469 .91887 L
.23791 .91892 L
.24112 .91896 L
.24434 .919 L
.24756 .91902 L
.25077 .91904 L
.25399 .91905 L
.2572 .91906 L
.26042 .91906 L
.26364 .91906 L
.26685 .91905 L
.27007 .91903 L
.27328 .91901 L
.2765 .91898 L
.27971 .91894 L
.28293 .9189 L
.28615 .91884 L
.28936 .91878 L
Mistroke
.29258 .9187 L
.29579 .91861 L
.29901 .9185 L
.30223 .91839 L
.30544 .91827 L
.30866 .91816 L
.31187 .91809 L
.31509 .91812 L
.3183 .91834 L
.32152 .9189 L
.32385 .91967 L
.32474 .92006 L
.32795 .92222 L
.32864 .92288 L
.33115 .9261 L
.33117 .92612 L
.33283 .92932 L
.33405 .93253 L
.33438 .93352 L
.33499 .93575 L
.33573 .93896 L
.33638 .94218 L
.33703 .94539 L
.3376 .94792 L
.33778 .94861 L
.33875 .95183 L
.34006 .95504 L
.34082 .95658 L
.34176 .95826 L
.34382 .96147 L
.34403 .96179 L
.34617 .96469 L
.34725 .96608 L
.34872 .96791 L
.35046 .97 L
.35143 .97112 L
.35368 .97366 L
.35429 .97434 L
.35689 .97711 L
.35732 .97755 L
.36011 .98034 L
.36056 .98077 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[80]:=",
  ImageSize->{389, 389},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000650001QB000`400?l00000o`00003oo`3IfMV6
0=WIf@00o`3ooon50?ooo`40fMWI003o0?ooohD0oooo0@3IfMT00?l0ooooQ@3oool10=WIf@00o`3o
oon50?ooo`40fMWI003o0?ooohD0oooo0@3IfMT00?l0ooooQ@3oool10=WIf@00H@3oool2000005<0
oooo0P00001G0?ooo`800000L`3oool10=WIf@00H03oool010000000oooo0?ooo`00001A0?ooo`04
0000003oool0oooo000005D0oooo00@000000?ooo`3oool00000LP3oool10=WIf@00FP3oool30000
00<0oooo00@000000?ooo`3oool00000D@3oool010000000oooo0?ooo`00001E0?ooo`040000003o
ool0oooo00000780oooo0@3IfMT00640oooo0P00001B0?ooo`040000003oool0oooo000005H0oooo
0P00001c0?ooo`40fMWI001P0?ooo`040000003oool0oooo00000540oooo00@000000?ooo`3oool0
0000E@3oool010000000oooo0?ooo`00001b0?ooo`40fMWI001P0?ooo`040000003oool0oooo0000
0540oooo00@000000?ooo`3oool00000E@3oool010000000oooo0?ooo`00001b0?ooo`40fMWI001Q
0?ooo`800000D`3oool2000005L0oooo0P00001c0?ooo`40fMWI003o0?ooohD0oooo0@3IfMT00?l0
ooooQ@3oool10=WIf@00o`3ooon50?ooo`40fMWI003o0?ooohD0oooo0@3IfMT00?l00000LP00000C
0?ooo`40fMWI00000`000000oooo0?ooo`1L0?ooo`030000003oool0oooo05H0oooo00<000000?oo
o`3oool0E@3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo0140oooo0@3IfMT00003
0000003oool0oooo05`0oooo00<000000?ooo`3oool0EP3oool00`000000oooo0?ooo`1E0?ooo`03
0000003oool0oooo05d0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0
o`3ooom^0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0?l0ooooKP3o
ool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`3o0?ooofh0oooo00<00000
0?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0o`3ooom^0?ooo`030000003oool0oooo
0140oooo0@3IfMT000030000003oool0oooo0?l0ooooKP3oool00`000000oooo0?ooo`0A0?ooo`40
fMWI00000`000000oooo0?ooo`3o0?ooo`L0oooo3`00001H0?ooo`030000003oool0oooo0140oooo
0@3IfMT000030000003oool0oooo0?l0oooo0`3oool5000000h0oooo1000001D0?ooo`030000003o
ool0oooo0140oooo0@3IfMT000030000003oool0oooo0=80oooo2@00000U0?ooo`8000005`3oool2
000002H0oooo2000000T0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo
0<l0oooo0`0000090?ooo`8000008P3oool00`000000oooo0?ooo`0I0?ooo`800000803oool40000
00P0oooo1000000P0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0<d0
oooo0P00000>0?ooo`<000007P3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo01/0
oooo0P00000@0?ooo`8000007P3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo
0?ooo`3;0?ooo`8000004`3oool2000001/0oooo00<000000?ooo`3oool07@3oool00`000000oooo
0?ooo`0J0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`390?ooo`<000005@3oool2000001/0oooo00<0
00000?ooo`3oool0703oool00`000000oooo0?ooo`0H0?ooo`8000005P3oool2000001/0oooo00<0
00000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0b03oool00`000000oooo0?ooo`0H
0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool06@3oool2000001/0oooo00<00000
0?ooo`3oool05`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo0140oooo0@3IfMT0
00030000003oool0oooo0<L0oooo0P0000080?ooo`800000103oool00`000000oooo0?ooo`0:0?oo
o`8000006P3oool7000000h0oooo1P00000K0?ooo`800000203oool00`000000oooo0?ooo`030?oo
o`8000002P3oool2000001T0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3o
ool0a`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool02`3oool00`000000oooo0?ooo`0O0?ooo`h00000803oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0<H0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
B`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
303oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003o
ool0oooo0<D0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`8000003@3o
ool00`000000oooo0?ooo`190?ooo`030000003oool0oooo00/0oooo0P0000040?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0A0?ooo`40fMWI0000
0`000000oooo0?ooo`340?ooo`030000003oool0oooo00X0oooo100000030?ooo`030000003oool0
000000d0oooo00<000000?ooo`3oool0A`3oool2000000d0oooo00<000000?ooo`0000000P3oool4
000000`0oooo0P00000E0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo
0<<0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo
04D0oooo0P00000E0?ooo`030000003oool0oooo00`0oooo0P00000D0?ooo`030000003oool0oooo
0140oooo0@3IfMT000030000003oool0oooo0<80oooo00<000000?ooo`3oool0903oool00`000000
oooo0?ooo`150?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool04P3oool00`000000
oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`320?ooo`030000003oool0oooo02D0oooo
00<000000?ooo`3oool0@`3oool2000002L0oooo00<000000?ooo`3oool04@3oool00`000000oooo
0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`310?ooo`030000003oool0oooo02H0oooo0P00
00140?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`300?ooo`030000003oool0oooo02P0oooo00<00000
0?ooo`3oool0@@3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo0100oooo00<00000
0?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0`03oool00`000000oooo0?ooo`0Y0?oo
o`030000003oool0oooo0400oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0;l0oooo00<000000?ooo`3o
ool0:P3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2o0?ooo`030000
003oool0oooo02/0oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`0Z0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0_P3o
ool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo03d0oooo00<000000?ooo`3oool0;03o
ool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0
oooo0;h0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0:0?ooobH000002`3oool0
0`000000oooo0?ooo`0^0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool04@3oool1
0=WIf@0000<000000?ooo`3oool0_@3oool00`000000oooo0?ooo`0_0?ooo``000009P3oool;0000
0340oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000
oooo0?ooo`2m0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool0303oool00`000000
oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2l0?ooo`030000003oool0oooo09l0oooo
00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?oo
o`2l0?ooo`030000003oool0oooo04P0oooo3P00001:0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0_03oool00`000000oooo0?ooo`16
0?ooo`8000003@3oool3000004P0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0A
0?ooo`40fMWI00000`000000oooo0?ooo`2k0?ooo`030000003oool0oooo04D0oooo0P00000B0?oo
o`030000003oool0oooo04D0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0A0?oo
o`40fMWI00000`000000oooo0?ooo`2k0?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3o
ool04P3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool04@3oool10=WIf@0000<000000?ooo`3oool0^P3oool00`000000oooo0?ooo`160?ooo`030000
003oool0oooo0140oooo00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0;X0oooo00<000000?ooo`3oool0A`3o
ool3000000h0oooo0P0000190?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool04@3o
ool10=WIf@0000<000000?ooo`3oool0^P3oool00`000000oooo0?ooo`0F0?ooo`H00000;P3oool>
000002d0oooo1P00000I0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool04@3oool1
0=WIf@0000<000000?ooo`3oool0^P3oool00`000000oooo0?ooo`0E0?ooo`8000001@3oool20000
06D0oooo0P0000060?ooo`8000005`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
0140oooo0@3IfMT000030000003oool0oooo0;T0oooo00<000000?ooo`3oool0503oool2000000T0
oooo00<000000?ooo`3oool05@3ooolf000001H0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`0D0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool04@3oool10=WIf@00
00<000000?ooo`3oool0^@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool04P3oool2000003H0oooo00<000000?ooo`3oool04@3oool2000000`0oooo
0P00000D0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<0
00000?ooo`3oool0^@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00`0oooo0P00
000A0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`2h0?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool03`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo03P0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2h0?oo
o`030000003oool0oooo0140oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo03T0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo0140oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0A0?oo
o`40fMWI00000`000000oooo0?ooo`2h0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3o
ool04@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2h0?ooo`030000
003oool0oooo0140oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0<0?ooo`030000
003oool0oooo03T0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0B0?ooo`030000
003oool0oooo0100oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0A0?ooo`40fMWI
00000`000000oooo0?ooo`2h0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0303o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2h0?ooo`030000003oool0
oooo00l0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0;0?ooo`030000003oool0
oooo03T0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo0100oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`2g0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`0;0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool02P3oool20000
01H0oooo0P00000A0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool04@3oool10=WI
f@0000<000000?ooo`3oool0]`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01H0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0]`3oool00`000000oooo
0?ooo`0?0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool02`3oool2000003H0oooo
00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?oo
o`2g0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0203oool5000000X0oooo00<0
00000?ooo`3oool0303oool300000340oooo0`00000?0?ooo`030000003oool0oooo00P0oooo1000
000;0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`2g0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool01`3oool2000000<0oooo0P0000090?ooo`030000003oool0oooo00l0oooo<@00000A
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0A
0?ooo`40fMWI00000`000000oooo0?ooo`2g0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool06P3ooolK000001`0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0;L0oooo00<000000?ooo`3o
ool03P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0F0?ooo`<000000`3oool700000080oooo0`0000000`3oool0
000000000005000000@0oooo0`00000I0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2g0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool0503oool2000000@0oooo0P0000030?ooo`H00000
0`3oool600000080oooo0`0000040?ooo`8000005P3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0]P3o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool00P3o
ool2000000<0oooo0P0000030?ooo`X000000P3oool300000080oooo0P0000040?ooo`030000003o
ool0oooo01<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo0140oooo0@3IfMT000030000003oool0oooo0;H0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0000
00040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00P3oool010000000oooo0?oo
o`0000040?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0;H0oooo00<0
00000?ooo`3oool03P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0080oooo00D0
00000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
0P3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool04P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool04@3oool10=WIf@00
00<000000?ooo`3oool0]P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01<0oooo
00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000<0oooo0P0000080?ooo`<0
00000`3oool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool04@3oool10=WI
f@0000<000000?ooo`3oool0]P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01<0
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`3oool300000080oooo200000040?oo
o`8000000`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01<0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0140oooo0@3IfMT00003
0000003oool0oooo0;H0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0D0?ooo`03
0000003oool0oooo0080oooo0`0000030?ooo`h0000000<0oooo0000000000000P0000030?ooo`<0
00005P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool04@3oool10=WIf@0000<000000?ooo`3oool0C@3oool200000140oooo0P0000030?ooo`040000
003oool0oooo000004d0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00<0oooo0`2c/k<50?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool05@3oool500000080oooo4P0000030?ooo`@000006@3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool02`3oool3000000<0oooo0@3IfMT000030000
003oool0oooo04h0oooo00<000000?ooo`3oool01P3oool5000000<0oooo00@000000?ooo`3oool0
00001@3oool00`000000oooo0?ooo`1;0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`030?ooo`P0/k>c00<000000;>c/`2c/k<01@2c/k<00`000000
/k>c0;>c/`0@0;>c/`X0oooo5`00000:0?oooa<0/k>c00<000000;>c/`2c/k<01@2c/k<00`000000
/k>c0;>c/`050;>c/`D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00<0oooo1000000>0?ooo`030000003oool0oooo0080oooo0@3IfMT000030000
003oool0oooo04l0oooo0P00000>0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3o
ool0B`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool00`3oool30;>c/`D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0;0?ooocD0
00003P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0`2c/k<50?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00<0oooo0`0000060?ooo`030000003oool0oooo0080oooo0@3IfMT000030000
003oool0oooo04d0oooo00@000000?ooo`000000oooo0P0000040?ooo`D000000`3oool010000000
oooo0?ooo`0000060?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3oool03P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0`2c/k<60?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050;>c/`D0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`020?ooo`40fMWI00000`000000oooo0?ooo`1=0?ooo`03
0000003oool0000000<0oooo00<000000?ooo`3oool02@3oool010000000oooo0?ooo`0000060?oo
o`030000003oool0oooo04X0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo0080oooo0`2c/k<60?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0203oool2000003L0oooo0P00000;0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`2c/k<0102c/k<60?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool03P3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool00P3oool10=WI
f@0000<000000?ooo`3oool0C@3oool2000000050?ooo`000000oooo0?ooo`0000002`3oool01000
0000oooo0?ooo`0000040?ooo`040000003oool0oooo000004/0oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0`2c/k<50?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0g0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool01@3oool00`000000/k>c0;>c/`030;>c/`L0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool02`3oool2000000@0oooo0@3IfMT000030000003oool0oooo04l0oooo1000000=
0?ooo`8000001@3oool4000004/0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00@0/k>c1@3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`2c/k<00P2c/k<80?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool00P3oool10=WIf@0000<000000?ooo`3oool0]P3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`2c/k<00`2c/k<60?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool0103oool00`2c/k<000000;>c/`030;>c/`P0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool04@3oool10=WIf@0000<000000?ooo`3oool0]P3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo00D0oooo00<000000;>c/`3oool00`2c/k<60?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool00P3oool20;>c/`030?ooo`2c/k<000000080/k>c203oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2f0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool01@3oool2000000040?ooo`2c/k<0/k>c0;>c/`D0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3o
ool0203oool01@000000oooo0?ooo`3oool0/k>c0080oooo0P2c/k<00`000000/k>c0?ooo`080?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0;L0oooo00<000000?ooo`3o
ool03P3oool00`000000oooo0?ooo`050?ooo`030;>c/`000000/k>c0080/k>c1P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0>03oool00`000000
oooo0?ooo`090?ooo`030000003oool0/k>c00<0oooo0P2c/k<2000000P0oooo0P0000070?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0A0?ooo`40
fMWI00000`000000oooo0?ooo`2g0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0
103oool0102c/k<0oooo0?ooo`0000020;>c/`D0oooo00<000000?ooo`3oool01P3oool2000000/0
oooo00<000000?ooo`3oool0=`3oool2000000/0oooo00<000000;>c/`3oool00P3oool40;>c/`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0
]`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00<0oooo00L0/k>c0?ooo`3oool0
oooo0;>c/`000000/k>c00@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0:0?oo
o`800000>03oool00`000000oooo0?ooo`0:0?ooo`040000003oool0oooo0?ooo`@0/k>c0P3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo
0;L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`020?ooo`040;>c/`3oool0oooo
0?ooo`80/k>c00<000000?ooo`3oool00P00000:0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool0=03oool00`000000oooo0?ooo`090?ooo`80/k>c00<000000?ooo`3oool0102c/k<4
0?ooo`8000000P3oool2000000X0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0;L0oooo00<000000?oo
o`3oool03`3oool01@000000oooo0?ooo`3oool0/k>c00<0oooo0`2c/k<00`3oool000000000000<
0?ooo`030000003oool0oooo00d0oooo=P00000;0?ooo`060;>c/`3oool0oooo0?ooo`000000oooo
0`2c/k<70?ooo`8000002`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0]`3oool00`000000oooo0?oo
o`0?0?ooo`040000003oool0oooo0;>c/`@0oooo0`2c/k<?0?ooo`030000003oool0oooo0240oooo
3@00000O0?ooo`030;>c/`3oool0oooo0080oooo00<000000;>c/`2c/k<00P2c/k<D0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI
00000`000000oooo0?ooo`2g0?ooo`030000003oool0oooo0100oooo00<000000;>c/`3oool0103o
ool30;>c/`h0oooo00<000000?ooo`3oool0703oool6000000d0oooo1`00000G0?ooo`030;>c/`3o
ool0oooo00<0oooo00@000000;>c/`2c/k<0/k>c5@3oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0]`3o
ool00`000000oooo0?ooo`0@0?ooo`030000002c/k<0oooo00<0oooo0`2c/k<?0?ooo`030000003o
ool0oooo01X0oooo0P0000050?ooo`l000001P3oool2000001<0oooo0P2c/k<50?ooo`80/k>c00<0
00000;>c/`3oool0503oool200000140oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`2h0?ooo`030000003oool0oooo00l0oooo00<0/k>c
0000003oool00`3oool30;>c/`h0oooo00<000000?ooo`3oool06@3oool2000000D0oooo0P00000?
0?ooo`8000001P3oool00`000000oooo0?ooo`0?0?ooo`030;>c/`3oool0oooo00D0oooo0P2c/k<0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2h0?ooo`030000003oool0oooo
00h0oooo00<0/k>c0?ooo`000000103oool30;>c/`h0oooo00<000000?ooo`3oool06@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00D0oooo1P0000060?ooo`030000003oool0oooo
00<0oooo0P00000?0?ooo`030;>c/`3oool0oooo00D0oooo102c/k<00`000000oooo0?ooo`0B0?oo
o`030000003oool0oooo0140oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0A0?oo
o`40fMWI00000`000000oooo0?ooo`2h0?ooo`030000003oool0oooo00d0oooo00D0/k>c0?ooo`3o
ool0oooo000000030?ooo`<0/k>c3@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`0000070?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0303oool00`2c/k<0oooo0?ooo`050?ooo`@0/k>c00<0oooo
0000003oool04`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0^03oool00`000000oooo0?ooo`0=0?oo
o`050;>c/`3oool0oooo0?ooo`0000000P3oool30;>c/`h0oooo00<000000?ooo`3oool06P3oool2
000000@0oooo00<000000?ooo`3oool01`3oool2000000L0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`0<0?ooo`030;>c/`3oool0oooo00D0oooo102c/k<30?ooo`030000003oool0
oooo0100oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo0140oooo0@3IfMT000030000003oool0oooo0;P0oooo00<000000?ooo`3oool0303oool00`2c
/k<0oooo0?ooo`030?ooo`030000003oool0/k>c0080/k>c3@3oool00`000000oooo0?ooo`0L0?oo
o`030000003oool0oooo00<0oooo0`00000=0?ooo`<000001@3oool2000000`0oooo0P2c/k<80?oo
o`<0/k>c103oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0140oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2i0?ooo`03
0000003oool0oooo00X0oooo00<0/k>c0?ooo`3oool0103oool00`000000oooo0;>c/`020;>c/``0
oooo00<000000?ooo`3oool07P3oool2000000H0oooo3@0000060?ooo`8000003@3oool00`2c/k<0
oooo0?ooo`070?ooo`@0/k>c1@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0180
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo
0?ooo`2i0?ooo`030000003oool0oooo00T0oooo00<0/k>c0?ooo`3oool01P3oool00`000000/k>c
0;>c/`0<0?ooo`8000008P3oool6000000h0oooo1@00000>0?ooo`030;>c/`3oool0oooo00L0oooo
102c/k<70?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool04`3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0;T0oooo00<0
00000?ooo`3oool02@3oool00`2c/k<0oooo0?ooo`060?ooo`030;>c/`000000000000/0oooo00<0
00000?ooo`3oool0:03oool>00000180oooo00<0/k>c0?ooo`3oool01`3oool40;>c/`T0oooo0P00
000:0?ooo`8000005@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0140oooo0@3I
fMT000030000003oool0oooo0;T0oooo00<000000?ooo`3oool0203oool00`2c/k<0oooo0?ooo`07
0?ooo`<0/k>c0P0000070?ooo`8000005`3ooolD000000h0oooo4`0000090?ooo`<0/k>c303oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2i0?ooo`030000003oool0oooo
00L0oooo00<0/k>c0?ooo`3oool0203oool30;>c/`80oooo1`00000G0?ooo`800000503oool>0000
00l0oooo0P2c/k<20?ooo`8000001P3oool40;>c/`d0oooo0`0000020?ooo`<00000603oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0;X0
oooo00<000000?ooo`3oool01@3oool00`2c/k<0oooo0?ooo`080?ooo`<0/k>c803oool00`000000
oooo0?ooo`0`0?ooo`030;>c/`3oool0oooo00@0oooo00<000000?ooo`3oool00P3oool40;>c/a40
oooo0P00000K0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool04@3oool10=WIf@00
00<000000?ooo`3oool0^P3oool00`000000oooo0?ooo`040?ooo`030;>c/`3oool0oooo00T0oooo
0`2c/k<O0?ooo`030000003oool0oooo0300oooo00<0/k>c0?ooo`3oool01P3oool00`000000oooo
0?ooo`040;>c/bh0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0A0?ooo`40fMWI
00000`000000oooo0?ooo`2k0?ooo`030000003oool0oooo00<0oooo00<0/k>c0?ooo`3oool02@3o
ool30;>c/al0oooo00<000000?ooo`3oool0;`3oool00`2c/k<0oooo0?ooo`080?ooo`030000003o
ool0/k>c0080/k>c;`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0140oooo0@3I
fMT000030000003oool0oooo0;/0oooo00<000000?ooo`3oool00P3oool00`2c/k<0oooo0?ooo`09
0?ooo`<0/k>c7`3oool00`000000oooo0?ooo`0_0?ooo`030;>c/`3oool0oooo00T0oooo00<00000
0;>c/`2c/k<00P2c/k<^0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool04@3oool1
0=WIf@0000<000000?ooo`3oool0^`3oool01@000000oooo0?ooo`3oool0/k>c00`0oooo0`2c/k<O
0?ooo`030000003oool0oooo02d0oooo0P2c/k<<0?ooo`040000002c/k<0/k>c0;>c/bl0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2l
0?ooo`030000003oool0/k>c00d0oooo0`2c/k<O0?ooo`030000003oool0oooo02`0oooo00<0/k>c
0?ooo`3oool02`3oool20;>c/`030000002c/k<0oooo02l0oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2l0?ooo`030000003oool0/k>c
00d0oooo0`2c/k<O0?ooo`030000003oool0oooo02/0oooo00<0/k>c0?ooo`3oool0303oool20;>c
/`030000003oool0oooo02l0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0A0?oo
o`40fMWI00000`000000oooo0?ooo`2l0?ooo`030000002c/k<0oooo00`0oooo0`2c/k<O0?ooo`03
0000003oool0oooo02/0oooo00<0/k>c0?ooo`3oool0303oool30;>c/`030000003oool0oooo02h0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo
0?ooo`2l0?ooo`030;>c/`000000oooo00`0oooo0`2c/k<O0?ooo`030000003oool0oooo02T0oooo
0P2c/k<>0?ooo`@0/k>c00<000000?ooo`3oool0;@3oool2000000h0oooo00<000000?ooo`3oool0
4@3oool10=WIf@0000<000000?ooo`3oool0^`3oool00`2c/k<0oooo0000000=0?ooo`<0/k>c7`3o
ool00`000000oooo0?ooo`0X0?ooo`030;>c/`3oool0oooo00d0oooo102c/k<00`3oool000000?oo
o`0^0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<00000
0?ooo`3oool0^`3oool0102c/k<0oooo0?ooo`00000;0?ooo`<0/k>c803oool00`000000oooo0?oo
o`0W0?ooo`030;>c/`3oool0oooo00h0oooo0`2c/k<20?ooo`030000003oool0oooo02`0oooo00<0
00000?ooo`3oool03P3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2j
0?ooo`050;>c/`3oool0oooo0?ooo`0000002`3oool30;>c/b00oooo00<000000?ooo`3oool03@3o
oolP000000X0oooo102c/k<20?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2i0?ooo`030;>c/`3oool0
oooo00<0oooo00<000000?ooo`3oool0203oool30;>c/b00oooo0P0000000`3oool000000?ooo`07
0?ooo`@00000603oool00`2c/k<0oooo0?ooo`050?ooo`H000000`3oool40;>c/`<0oooo00<00000
0?ooo`3oool0;03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0140oooo0@3IfMT0
00030000003oool0oooo0;P0oooo00<0/k>c0?ooo`3oool0103oool00`000000oooo0?ooo`080?oo
o`<0/k>c8P3oool00`000000oooo0?ooo`040?ooo`<000006P3oool20;>c/`h0oooo0`0000030;>c
/`@0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo
0140oooo0@3IfMT000030000003oool0oooo0;P0oooo00<0/k>c0?ooo`3oool01@3oool00`000000
oooo0?ooo`060?ooo`<0/k>c903oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01T0
oooo00<0/k>c0?ooo`3oool0403oool2000000030;>c/`3oool0oooo00@0oooo00<000000?ooo`3o
ool0:P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000
003oool0oooo0;L0oooo00<0/k>c0?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`<0/k>c
7@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
603oool00`2c/k<0oooo0?ooo`0@0?ooo`80/k>c00<000000;>c/`3oool01@3oool00`000000oooo
0?ooo`0Y0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool10=WIf@0000<0
00000?ooo`3oool0]P3oool00`2c/k<0oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo0`2c
/k<L0?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`0H0?ooo`030;>c/`3oool0oooo0100oooo0`2c/k<00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo02L0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI0000
0`000000oooo0?ooo`2e0?ooo`030;>c/`3oool0oooo00X0oooo00<000000?ooo`3oool00`3oool3
0;>c/a`0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo01L0oooo00<0/k>c0?ooo`3oool04@3oool20;>c/`8000002@3oool00`000000oooo0?ooo`0U
0?ooo`8000004`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2e0?oo
o`030;>c/`3oool0oooo00/0oooo00<000000?ooo`3oool00P3oool30;>c/aX0oooo0P0000020?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0E0?oo
o`80/k>c4`3oool20;>c/`8000002`3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
01<0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0]03oool00`2c/k<0
oooo0?ooo`0=0?ooo`040000003oool0oooo0?ooo`<0/k>c6P3oool010000000oooo0?ooo`000004
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0503oool00`2c/k<0oooo0?ooo`0B
0?ooo`80/k>c00<000000;>c/`3oool0303oool00`000000oooo0?ooo`0R0?ooo`030000003oool0
oooo01<0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0/`3oool00`2c
/k<0oooo0?ooo`0>0?ooo`040000003oool0oooo0?ooo`<0/k>c603oool2000000<0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo0`00000?
0?ooo`030;>c/`3oool0oooo0180oooo00@0/k>c000000000000/k>c3P3oool200000280oooo0P00
000E0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0;80oooo00<0/k>c
0?ooo`3oool03`3oool00`000000oooo0?ooo`030;>c/aP0oooo0P0000030?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`02000000<0oooo0`00000;
0?ooo`030;>c/`3oool0oooo0100oooo100000020;>c/a00oooo0P00000P0?ooo`8000005P3oool0
0`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2b0?ooo`030;>c/`3oool0oooo
00l0oooo00<000000?ooo`3oool00`2c/k<G0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo000000L0oooo2`000000
0`2c/k<0oooo0?ooo`050?ooo``000000P3oool40;>c/a80oooo00<000000?ooo`3oool0703oool0
0`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo
0;40oooo00<0/k>c0?ooo`3oool0403oool00`000000oooo0?ooo`030;>c/aH0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`8000001P3oool010000000oooo0?ooo`00000A
0?ooo`030;>c/`3oool0000000L000003@3oool40;>c/a<0oooo0P00000L0?ooo`800000603oool0
0`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`2`0?ooo`030;>c/`3oool0oooo
00D0oooo0P00000;0?ooo`H00000503oool2000000<0oooo0P0000040?ooo`030000003oool0oooo
00@0oooo00D000000?ooo`3oool0oooo0000000@0?ooo`030;>c/`3oool0oooo01@0oooo102c/k<E
0?ooo`8000006P3oool2000001T0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?oo
o`3oool0[`3oool00`2c/k<0oooo0?ooo`060?ooo`800000303oool30;>c/`80oooo00<000000?oo
o`3oool04@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool0103oool01@000000oooo0?ooo`3oool000000100oooo00<0/k>c0?ooo`3oool05@3oool3
0;>c/aP0oooo00<000000?ooo`3oool05P3oool2000001X0oooo00<000000?ooo`3oool04@3oool1
0=WIf@0000<000000?ooo`3oool0[`3oool00`2c/k<0oooo0?ooo`050?ooo`030000003oool00000
00`0oooo0`2c/k<20?ooo`8000004@3oool00`000000oooo0?ooo`020?ooo`8000000`3oool20000
00D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0=0?ooo`030;>c/`3oool0oooo
01D0oooo102c/k<I0?ooo`800000503oool2000001`0oooo00<000000?ooo`3oool04@3oool10=WI
f@0000<000000?ooo`3oool0[@3oool00`000000/k>c0?ooo`060?ooo`80000000<0oooo0000003o
ool02`3oool30;>c/`<0oooo00<000000?ooo`3oool0103oool2000000L0oooo0P0000040?ooo`80
0000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0303oool20;>c/aL0oooo102c/k<K0?ooo`8000004P3oool2000001d0oooo00<000000?ooo`3o
ool04@3oool10=WIf@0000<000000?ooo`3oool0[03oool2000000P0oooo00@000000?ooo`3oool0
00002`3oool30;>c/`@0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000060?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?oo
o`050000003oool0oooo0?ooo`0000001`3oool3000000@0oooo00<0/k>c0?ooo`3oool05P3oool4
0;>c/ah0oooo0P00000=0?ooo`<000007`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`2[0?ooo`030000002c/k<0000000P0oooo00@000000?ooo`3oool000002`3oool3
0;>c/`D0oooo1@0000030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`040?ooo`040000003oool0oooo000000<0oooo00<0/k>c0?ooo`3oool05`3o
ool30;>c/b40oooo1@0000040?ooo`@000008P3oool00`000000oooo0?ooo`0A0?ooo`40fMWI0000
0`000000oooo0?ooo`1i0?ooo`<00000;`3oool010000000oooo0?ooo`0000070?ooo`040000003o
ool0oooo000000P0oooo0`0000030;>c/`d0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3oool000000080oooo00<0/k>c0?ooo`3o
ool05`3oool40;>c/bH0oooo1000000V0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000
003oool0oooo07P0oooo00<000000?ooo`000000203oool3000002@0oooo00D000000;>c/`3oool0
oooo000000060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool010000000
oooo0?ooo`0000020;>c/`d0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000020?ooo`030;>c/`3oool0
oooo01L0oooo102c/k=A0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo
07P0oooo00<000000?ooo`0000001`3oool010000000oooo0?ooo`00000T0?ooo`050000003oool0
oooo0?ooo`0000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00@0
00000?ooo`3oool000000P2c/k<=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000;>c/`2c/k<0
6@3oool40;>c/e80oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0M`3o
ool010000000oooo0?ooo`0000070?ooo`040000003oool0oooo000002<0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000001P3oool01@00
0000oooo0?ooo`3oool000000080/k>c3@3oool01@000000oooo0?ooo`3oool0000000D0oooo00<0
00000?ooo`3oool00P3oool2000000@0oooo0P0000040?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool00P3oool00`000000/k>c0?ooo`0J0?ooo`<0/k>cD`3oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`1e0?ooo`8000000P3oool00`000000oooo0?ooo`05
0?ooo`040000003oool0oooo000002<0oooo00<0/k>c0000003oool00P3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool01@000000oooo0?oo
o`3oool000000080/k>c303oool00`000000oooo0?ooo`02000000D0oooo0P0000040?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0103oool300000180oooo102c/k=C0?ooo`030000
003oool0oooo0140oooo0@3IfMT000030000003oool0oooo07@0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000008`3oool2000000<0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo
00L000000?ooo`3oool0oooo0;>c/`000000/k>c00`0oooo00D000000?ooo`3oool0oooo00000005
0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00@00000
0?ooo`3oool000004@3oool40;>c/e@0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<00000
0?ooo`3oool0M03oool01@000000oooo0?ooo`3oool0000000H0oooo00@000000?ooo`3oool0oooo
0P0000060?ooo`<000006@3oool00`2c/k<000000?ooo`030?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo0?ooo`80
000000<0/k>c0?ooo`3oool02P3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00<0oooo00H000000?ooo`3oool0oooo0;>c/`0000060?ooo`050000003oool0oooo0?ooo`000000
403oool40;>c/eD0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0L`3o
ool01@000000oooo0?ooo`3oool0000000H0oooo00D000000?ooo`3oool0oooo000000070?ooo`80
000000<0oooo0000003oool05`3oool00`2c/k<000000?ooo`030?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080
oooo00<000000;>c/`2c/k<02`3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00<0oooo00D000000?ooo`3oool0oooo0;>c/`02000000D0oooo00D000000?ooo`3oool0oooo0000
000A0?ooo`<0/k>cEP3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1b
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3o
ool0000000H0oooo00D000000?ooo`3oool0oooo0000000G0?ooo`030;>c/`3oool0000000@0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo
00L000000?ooo`3oool0oooo0;>c/`000000/k>c00`0oooo00<000000?ooo`0000001P3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`030?ooo`060000003oool0oooo0;>c/`3oool000001@3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00h0oooo102c/k=F0?ooo`030000003oool0oooo0140oooo0@3I
fMT000030000003oool0oooo0780oooo00D000000?ooo`3oool0oooo000000050?ooo`8000000`3o
ool2000000D0oooo0P0000030?ooo`030000003oool0oooo01D0oooo00<0/k>c0?ooo`000000103o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103o
ool01`000000oooo0?ooo`3oool0/k>c0000002c/k<0303oool3000000H0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool00P3oool200000080oooo00<0/k>c0?ooo`0000001@3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool40;>c/eL0oooo00<000000?ooo`3o
ool04@3oool10=WIf@0000<000000?ooo`3oool0L@3oool01@000000oooo0?ooo`3oool0000000H0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000
oooo0?ooo`0E0?ooo`030;>c/`3oool0000000@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000
/k>c0;>c/`0;0?ooo`8000001`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`050000003oool00000
0;>c/`3oool00P0000040?ooo`800000103oool00`000000oooo0?ooo`040?ooo`<000001P3oool4
0;>c/eP0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0K`3oool20000
00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00@0oooo00D000000?ooo`3oool0oooo0000000A0?ooo`800000103oool0102c/k<0oooo0?ooo`00
00040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo0080oooo00<000000;>c/`2c/k<01@3oool4000000X0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`80000000D0oooo000000000000oooo
000000050?ooo`@000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0103oool010000000oooo0?ooo`0000060?ooo`<0/k>cF@3oool00`000000
oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1_0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo
00@000000?ooo`3oool0oooo0P0000070?ooo`030000003oool0oooo00L0oooo0P0000030?ooo`05
0;>c/`3oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool00`3oool01`000000oooo0?ooo`3oool0/k>c0000002c/k<01P3o
ool01@000000oooo0?ooo`3oool0000000P0oooo0P0000030?ooo`8000001@3oool3000000030?oo
o`000000000000D0oooo0`000000103oool000000?ooo`0000050?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3oool0000000D0oooo102c/k=I0?oo
o`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo06h0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0P0000050?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0103oool3000000P0oooo00@000000?ooo`3o
ool000000P3oool01@2c/k<0oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00L000000?ooo`3oool0oooo0;>c
/`000000/k>c00D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool200000080oooo0P0000050?ooo`800000
00<0/k>c0?ooo`3oool00P0000050?ooo`030000003oool0oooo0080oooo0P0000050?ooo`050000
003oool0oooo0?ooo`0000001@3oool40;>c/eX0oooo00<000000?ooo`3oool04@3oool10=WIf@00
00<000000?ooo`3oool0K@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`00
00001`3oool00`000000oooo000000080?ooo`060000003oool0oooo0000003oool0/k>c103oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`030?ooo`070000003oool0oooo0?ooo`2c/k<000000;>c/`050?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`0000000P3oool2000000D0oooo0P0000030?ooo`800000
1@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0
oooo000000040?ooo`@0/k>cF`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo
0?ooo`1]0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`80
00000P3oool00`000000oooo0?ooo`050?ooo`060000003oool0oooo0?ooo`000000/k>c1@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`030?ooo`040000003oool0oooo0?ooo`80/k>c00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`020?ooo`<000000P3oool3000000@0oooo0`000000103oool000000000
000000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool2000000<0oooo
00<000000?ooo`3oool00`3oool30;>c/e`0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<0
00000?ooo`3oool0K03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool00P3oool2000000@0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P00
00030?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3oool000000;>c/`050?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00<0oooo00@000000?ooo`3oool0oooo0P2c/k<00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0103oool2000000@0oooo00<000000?ooo`3o
ool00`3oool2000000<0oooo0P0000040?ooo`L000001@3oool01@000000oooo000000000000oooo
00800000103oool2000000@0oooo00<000000?ooo`3oool00P3oool40;>c/e`0oooo00<000000?oo
o`3oool04@3oool10=WIf@0000<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo00<0oooo0P0000040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000001`3oool01P00
0000oooo0?ooo`3oool000000;>c/`D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`030?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00`3oool01`000000oooo
0?ooo`3oool0/k>c0000002c/k<0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`8000000P3oool30000
00@0oooo00<0/k>c0000000000000P3oool2000000D0oooo0`000000103oool000000?ooo`000005
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool40;>c/ed0oooo00<00000
0?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0JP3oool2000000<0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool00P3oool2000000@0oooo1@0000000`3oool000000?ooo`040?ooo`030000003oool0oooo
0080oooo00<0/k>c0000002c/k<0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool20000
00@0oooo0`0000020?ooo`8000001@3oool2000000<0oooo0P0000050?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00P3oool40;>c/eh0oooo00<000000?ooo`3oool04@3oool10=WI
f@0000<000000?ooo`3oool0J@3oool2000000<0oooo0P0000050?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`050000003oool0oooo0?oo
o`0000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00L000000?oo
o`000000oooo0000003oool0000000D0oooo00L000000?ooo`3oool0oooo0;>c/`000000/k>c00@0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080
oooo0P0000040?ooo`<000000P3oool2000000@0oooo00<0/k>c0000000000001@0000040?ooo`<0
00000P3oool2000000D0oooo00<000000?ooo`3oool00P3oool2000000@0oooo0`2c/k=O0?ooo`03
0000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo06T0oooo00D000000?ooo`3oool0
oooo000000060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool2000000H0
oooo00H000000?ooo`3oool0oooo0;>c/`0000050?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool00`3oool200000080oooo0P0000050?ooo`030000003oool000000080000000<0/k>c
0000002c/k<0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo0P000003
0?ooo`030000003oool0oooo00<0oooo0`0000020?ooo`800000103oool00`2c/k<0000000000005
000000@0oooo0`000000103oool000000000000000050?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool00P3oool20;>c/`800000G`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI0000
0`000000oooo0?ooo`1X0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`000000203oool01@000000oooo0?oo
o`3oool0000000H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`800000
0P3oool2000000D0oooo00P000000?ooo`000000oooo0000002c/k<000000;>c/`@0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00`3oool01@000000oooo000000000000oooo008000000P3oool20;>c/`<000000P3o
ool2000000D0oooo0P0000020?ooo`<000001@3oool00`000000oooo0?ooo`030?ooo`040000003o
ool0oooo0?ooo`<0/k>c0P00001O0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003o
ool0oooo06L0oooo0P0000030?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`800000103o
ool00`000000oooo0?ooo`050?ooo`060000003oool0oooo0?ooo`2c/k<000001P3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000000P3oool2000000D0
oooo00H000000?ooo`00000000000?ooo`0000050?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`800000103oool700000080oooo00<0/k>c
0?ooo`3oool00`000000103oool000000000000000050?ooo`H000001@3oool00`000000oooo0?oo
o`020?ooo`8000000`3oool20;>c/`8000000P3oool00`000000oooo0?ooo`1L0?ooo`030000003o
ool0oooo0140oooo0@3IfMT000030000003oool0oooo06L0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`040?ooo`8000000`3oool00`2c/k<0oooo000000050?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool00`3oool200000080oooo00<000000?ooo`0000001@3oool2
000000040?ooo`000000oooo000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool4000000050?ooo`00
0000oooo0?ooo`2c/k<00P3oool3000000040?ooo`0000000000000000D0oooo0P0000000`3oool0
000000000002000000@0oooo100000020?ooo`030000003oool0oooo0080oooo00<0/k>c0000002c
/k<00P3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000
003oool0oooo06H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`040?ooo`800000103oool00`000000oooo0?ooo`030?ooo`800000
0P3oool00`000000oooo000000040?ooo`070000003oool000000?ooo`000000oooo000000050?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00<0oooo0`0000000`3oool00000000000020?ooo`030;>c/`3oool0oooo
00L00000103oool8000000@0oooo0`000000103oool000000?ooo`0000050?ooo`030000002c/k<0
/k>c0080oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`1U0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo100000000`3oool000000?ooo`040?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool2000000H0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo0P0000030?oo
o`030000003oool0oooo00<0oooo00L000000?ooo`000000oooo0000003oool0000000D0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000
1@3oool2000000030?ooo`0000000000008000000P2c/k<20?ooo`P00000103oool3000000040?oo
o`0000000000000000@0oooo0P0000030?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo05h0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0
I03oool2000000<0oooo0P0000040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
0`3oool3000000030?ooo`000000000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`030?ooo`8000001`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool00`3oool01P000000oooo000000000000oooo000000D0oooo0P0000030?oo
o`8000001@3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000000`3oool0
0`000000oooo0?ooo`030?ooo`80000000<0oooo0000000000000P000000102c/k<0oooo0?ooo`3o
ool7000000D0oooo1`0000050?ooo`040000003oool0oooo0?ooo`8000001@3oool2000000<0oooo
0P00001P0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo06@0oooo00D0
00000?ooo`3oool0oooo000000060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0`3oool00`000000oooo000000020?ooo`8000001@3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool200000080oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo0P000000103oool00000
0?ooo`0000050?ooo`<000000P3oool2000000D0oooo00<000000?ooo`3oool00P3oool01@000000
oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00`3oool2000000050?ooo`0000000000
0?ooo`000000103oool7000000D0oooo1P0000050?ooo`<000000P3oool2000000D0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`1O0?ooo`030000003oool0oooo0140oooo0@3IfMT0
00030000003oool0oooo06<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo0080oooo0P0000040?ooo`<000000P3oool2000000D0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`040?ooo`060000003oool0oooo0000003oool000001@3o
ool3000000040?ooo`0000000000000000D0oooo100000000`3oool000000?ooo`040?ooo`030000
003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo0080
oooo0`0000020?ooo`<00000103oool7000000D0oooo0`000000103oool000000000000000050?oo
o`80000000@0oooo0000003oool000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo05l0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0HP3oool20000
00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00<0oooo0P0000020?ooo`030000003oool0000000@0oooo00@000000?ooo`00000000000P3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080000000<0oooo0000003oool0103o
ool3000000030?ooo`000000000000D0oooo1`0000050?ooo`030000003oool000000080oooo00<0
00000?ooo`3oool00P3oool010000000oooo0000000000040?ooo`<000000P3oool2000000D0oooo
0`0000000`3oool00000000000050?ooo`<0000000@0oooo00000000000000001@3oool7000000D0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1P0?ooo`030000003oool0oooo0140
oooo0@3IfMT000030000003oool0oooo0680oooo00D000000?ooo`3oool0oooo000000060?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool200000080oooo0`0000050?ooo`80
000000@0oooo0000003oool000001@3oool00`000000oooo0?ooo`020?ooo`070000003oool0oooo
0?ooo`000000oooo000000060?ooo`040000003oool000000?ooo`8000001@3oool3000000040?oo
o`0000000000000000D0oooo1`0000040?ooo`<0000000@0oooo0000003oool00000103oool30000
00@0oooo0`0000020?ooo`8000001@3oool3000000040?ooo`0000000000000000@0oooo0`000000
103oool000000000000000050?ooo`<0000000@0oooo0000000000000000103oool2000000@0oooo
00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?oo
o`1Q0?ooo`050000003oool0oooo0?ooo`0000001P3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00<0oooo0P0000030?ooo`8000001@3oool200000080oooo0P0000050?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo000000050?ooo`070000
003oool000000?ooo`000000oooo000000050?ooo`<0000000@0oooo0000000000000000103oool3
000000040?ooo`0000000000000000D0oooo0P0000020?ooo`8000002`3oool00`000000oooo0000
00020?ooo`8000001@3oool3000000040?ooo`0000000000000000D0oooo1`0000040?ooo`<00000
00@0oooo00000000000000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0
oooo0`00001K0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0600oooo
00@000000?ooo`3oool0oooo0P0000050?ooo`030000003oool0oooo0080oooo0P0000040?ooo`<0
00000P3oool2000000D0oooo0`0000000`3oool00000000000050?ooo`030000003oool0oooo00<0
oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00<0oooo00@000000?oo
o`000000oooo0P0000050?ooo`<0000000@0oooo00000000000000001@3oool200000080oooo0`00
00040?ooo`030000003oool000000080oooo0P00000;0?ooo`8000000P3oool2000000D0oooo1`00
00050?ooo`H000001@3oool7000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`040?ooo`040000003oool0oooo000005/0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<0
00000?ooo`3oool0H03oool00`000000oooo0?ooo`02000000D0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`030?ooo`<000000P3oool2000000D0oooo0P0000030?ooo`800000103o
ool2000000@0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000040?ooo`030000
003oool0oooo00@000001@3oool3000000040?ooo`0000000000000000@0oooo0`0000020?ooo`80
00001@3oool200000080oooo00<000000?ooo`0000002P3oool200000080oooo0`0000040?ooo`L0
00001@3oool6000000D0oooo1`0000050?ooo`@0000000<0oooo0000000000001@3oool01@000000
oooo0?ooo`3oool0000005/0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3o
ool0H03oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00`3oool2000000<0oooo0P0000040?ooo`800000103oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`000004
0?ooo`030000003oool0oooo0080000000<0oooo0000003oool0103oool3000000040?ooo`000000
0000000000@0oooo0`0000020?ooo`8000001@3oool200000080oooo00<000000?ooo`0000002@3o
ool01@000000oooo0000003oool0/k>c008000001@3oool6000000D0oooo1`0000050?ooo`L00000
1@3oool01P000000oooo0?ooo`000000oooo000000H0oooo00@000000?ooo`3oool00000G03oool0
0`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1O0?ooo`040000003oool0oooo
000000H0oooo00<000000?ooo`3oool00P3oool2000000@0oooo100000000`3oool0000000000005
0?ooo`<000000P3oool2000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`03
0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P0000000`3oool000000?oo
o`040?ooo`H000001@3oool3000000040?ooo`0000000000000000D0oooo0P0000020?ooo`800000
2@3oool01@000000oooo0?ooo`000000/k>c00<00000103oool7000000@0oooo200000040?ooo`<0
000000@0oooo00000000000000001@3oool200000080oooo00<000000?ooo`0000001@3oool01@00
0000oooo0?ooo`3oool0000005`0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?oo
o`3oool0GP3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool00`3oool01P000000oooo000000000000oooo000000D0oooo0`000000103oool00000
0000000000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool01@000000
oooo0?ooo`3oool0000000@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`02
0?ooo`L000001@3oool2000000030?ooo`000000000000800000103oool00`000000oooo00000002
0?ooo`800000203oool2000000030?ooo`000000oooo008000001@3oool7000000D0oooo1`000005
0?ooo`H000001@3oool7000000D0oooo00D000000?ooo`3oool0oooo0000001M0?ooo`030000003o
ool0oooo0140oooo0@3IfMT000030000003oool0oooo05h0oooo00<000000?ooo`0000001P3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo1P0000050?ooo`<0000000@0oooo
0000000000000000103oool2000000050?ooo`00000000000?ooo`0000001@3oool01@000000oooo
0?ooo`3oool0000000D0oooo00<000000?ooo`3oool00`0000050?ooo`<0000000@0oooo00000000
000000001@3oool7000000@0oooo0P0000030?ooo`8000001`3oool01@000000oooo0?ooo`000000
oooo00<00000103oool7000000D0oooo0`000000103oool000000000000000050?ooo`L00000103o
ool3000000040?ooo`0000000000000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`1K0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo05d0oooo00<0
00000?ooo`0000001P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo1000
00000`3oool00000000000040?ooo`<000000P3oool3000000@0oooo0`000000103oool000000?oo
o`0000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool010000000oooo
0000003oool2000000D0oooo1`0000050?ooo`H000001@3oool4000000030?ooo`000000000000H0
oooo00<000000?ooo`3oool00`0000000`3oool000000?ooo`040?ooo`<0000000<0oooo00000000
00001@3oool7000000D0oooo1`0000040?ooo`L000001@3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo05`0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0
G@3oool3000000H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`<00000
00@0oooo0000000000000000103oool4000000030?ooo`000000000000D0oooo0P0000020?ooo`03
0000003oool0000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool000000080oooo0P0000050?ooo`<0000000@0oooo0000000000000000103oool70000
00D0oooo0P0000020?ooo`<000001@3oool010000000oooo0?ooo`3oool2000000030?ooo`000000
oooo00@0oooo0`000000103oool000000000000000040?ooo`L000001@3oool7000000@0oooo1`00
00050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`1N0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`D0000000<0oooo0000003oool00`3oool0
1@000000oooo000000000000oooo008000001@3oool010000000oooo0?ooo`3oool2000000D0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool000000080oooo
0P0000050?ooo`H000001@3oool2000000030?ooo`0000000000008000001@3oool200000080oooo
0`0000050?ooo`030000003oool0oooo00@000001@3oool4000000030?ooo`000000000000D0oooo
1`0000040?ooo`L000001@3oool7000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`1M0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo06D0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`<0000000<0oooo0000000000000P00
00040?ooo`L000001@3oool2000000<0oooo0P0000050?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool00`3oool010000000oooo0000003oool3000000@0oooo1`0000050?ooo`L00000
1@3oool6000000H0oooo1@0000000`3oool000000?ooo`040?ooo`L00000103oool7000000@0oooo
200000040?ooo`L000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05d0oooo
00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0I03oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00<0oooo0P0000000`3oool0000000000002000000D0oooo0`00
00000`3oool00000000000050?ooo`<000000P3oool2000000D0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`040?ooo`8000000P3oool2000000D0oooo1`0000050?ooo`80000000@0
oooo00000000000000001@3oool3000000040?ooo`0000000000000000D0oooo00L000000?ooo`00
0000oooo0000003oool0000000D0oooo1`0000040?ooo`L000001@3oool7000000D0oooo0P000000
103oool000000000000000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0GP3o
ool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1S0?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool00`3oool200000080oooo0`0000050?ooo`<0000000@0oooo
0000000000000000103oool3000000040?ooo`0000000000000000D0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`030?ooo`030000003oool000000080oooo0P0000040?ooo`L00000
1@3oool7000000D0oooo1P0000050?ooo`070000003oool000000?ooo`000000oooo000000050?oo
o`<0000000@0oooo0000000000000000103oool7000000D0oooo1`0000050?ooo`L00000103oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0E`3oool0
0`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1R0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00`3oool2000000<0oooo0P0000050?ooo`<0000000@0oooo0000
000000000000103oool3000000030?ooo`000000000000800000103oool2000000@0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo000000020?ooo`8000001@3oool3000000040?ooo`000000
0000000000D0oooo1P0000050?ooo`<0000000@0oooo00000000000000001@3oool200000080oooo
0`0000040?ooo`L000001@3oool7000000@0oooo1`0000050?ooo`L00000103oool5000000030?oo
o`000000000000D0oooo0`00001I0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003o
ool0oooo0640oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`8000000P3o
ool2000000D0oooo0`000000103oool000000000000000050?ooo`<0000000<0oooo000000000000
1@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`000000
0P3oool2000000D0oooo0`0000000`3oool00000000000050?ooo`<0000000@0oooo000000000000
00001@3oool2000000030?ooo`000000000000800000103oool01`000000oooo0000003oool00000
0?ooo`000000103oool4000000030?ooo`000000000000D0oooo1`0000040?ooo`<0000000@0oooo
00000000000000001@3oool7000000D0oooo0P000000103oool000000?ooo`0000060?ooo`040000
003oool0oooo000005T0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0
H@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo0P0000020?ooo`<00000
103oool7000000D0oooo1P0000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
103oool01@000000oooo0?ooo`000000oooo008000001@3oool7000000D0oooo1`0000040?ooo`<0
000000@0oooo00000000000000001@3oool2000000040?ooo`000000oooo000000@0oooo10000000
0`3oool00000000000050?ooo`L000001@3oool7000000@0oooo200000040?ooo`8000000P3oool2
000000H0oooo00D000000?ooo`3oool0oooo0000001I0?ooo`030000003oool0oooo0140oooo0@3I
fMT000030000003oool0oooo0600oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`03
0?ooo`<000000P3oool2000000D0oooo1P0000050?ooo`040000003oool000000?ooo`<000001@3o
ool400000080oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`000000oooo00800000
1@3oool3000000040?ooo`0000000000000000D0oooo1`0000040?ooo`<0000000@0oooo00000000
000000001@3oool2000000040?ooo`000000oooo000000@0oooo0`000000103oool0000000000000
00050?ooo`L000001@3oool2000000040?ooo`0000000000000000@0oooo1`0000050?ooo`@00000
00<0oooo0000000000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo05L0oooo
00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0H03oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00<0oooo0P0000020?ooo`8000001@3oool7000000@0oooo0`00
00020?ooo`<00000103oool3000000040?ooo`000000oooo000000L0oooo00<000000?ooo`3oool0
0P0000000`3oool000000?ooo`040?ooo`<0000000@0oooo00000000000000001@3oool6000000D0
oooo1`0000040?ooo`040000003oool000000?ooo`8000001@3oool3000000030?ooo`0000000000
00D0oooo1`0000050?ooo`8000000P3oool2000000D0oooo1`0000050?ooo`80000000@0oooo0000
0000000000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo05P0oooo00<00000
0?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00<0oooo0P0000020?ooo`<00000103oool7000000D0oooo0P0000020?oo
o`<000001@3oool2000000040?ooo`000000oooo000000P0oooo00<000000?ooo`3oool00P000000
0`3oool000000?ooo`040?ooo`<0000000@0oooo0000000000000000103oool7000000D0oooo1`00
00040?ooo`060000003oool000000000003oool00000103oool6000000D0oooo1`0000040?ooo`<0
00000P3oool3000000@0oooo1`0000050?ooo`8000000P3oool3000000D0oooo00@000000?ooo`3o
ool0oooo0P00001J0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo05h0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool000000080
oooo0P0000040?ooo`L000001@3oool7000000D0oooo0P0000020?ooo`<00000203oool00`000000
oooo0?ooo`02000000030?ooo`000000oooo00@0oooo1P0000050?ooo`L000001@3oool200000003
0?ooo`000000000000800000103oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?oo
o`L00000103oool7000000D0oooo0`000000103oool000000000000000040?ooo`<0000000@0oooo
00000000000000001@3oool7000000D0oooo00@000000?ooo`3oool0oooo0P00001K0?ooo`030000
003oool0oooo0140oooo0@3IfMT000030000003oool0oooo05d0oooo0P0000030?ooo`030000003o
ool0oooo00<0oooo00@000000?ooo`000000oooo0`0000050?ooo`H000001@3oool3000000040?oo
o`0000000000000000D0oooo0P0000020?ooo`<000002@3oool00`000000oooo0000000200000003
0?ooo`000000oooo00@0oooo0`0000000`3oool00000000000050?ooo`L000001@3oool7000000@0
oooo00D000000?ooo`000000oooo000000040?ooo`8000000P3oool2000000@0oooo1`0000050?oo
o`8000000P3oool3000000D0oooo1P0000050?ooo`L000001@3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo05X0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3o
ool0G@3oool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3oool0100000050?oo
o`8000000P3oool3000000@0oooo0`000000103oool000000000000000050?ooo`8000000P3oool0
0`000000oooo000000090?ooo`050000003oool0oooo0000003oool00P0000050?ooo`L000001@3o
ool7000000@0oooo1`0000050?ooo`80000000<0oooo0000000000000`3oool6000000D0oooo1P00
00050?ooo`<0000000@0oooo00000000000000001@3oool7000000@0oooo0`0000000`3oool00000
00000002000000@0oooo0P0000030?ooo`030000003oool0oooo05/0oooo00<000000?ooo`3oool0
4@3oool10=WIf@0000<000000?ooo`3oool0G@3oool010000000oooo0?ooo`0000060?ooo`030000
003oool0oooo0080000000<0oooo0000003oool00`3oool300000080oooo0P0000050?ooo`<00000
00@0oooo0000000000000000103oool01@000000oooo000000000000oooo008000001@3oool30000
0080oooo00D000000?ooo`3oool000000?ooo`02000000D0oooo0`000000103oool0000000000000
00050?ooo`L00000103oool7000000D0oooo00<000000?ooo`3oool00P0000030?ooo`D000001@3o
ool7000000D0oooo0P0000020?ooo`<000001@3oool2000000040?ooo`0000000000000000D0oooo
0`0000000`3oool00000000000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
F`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1L0?ooo`050000003o
ool0oooo0?ooo`0000001@3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo00@0oooo
0`000000103oool000000000000000040?ooo`L00000103oool5000000030?ooo`000000000000@0
oooo0P0000001P3oool000000?ooo`3oool000000?ooo`80000000<0oooo0000000000001@3oool7
000000@0oooo1`0000050?ooo`L00000103oool200000080oooo0P000000103oool0000000000000
00020?ooo`800000103oool7000000D0oooo0`0000020?ooo`8000001@3oool7000000@0oooo0`00
0000103oool000000000000000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
G03oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1K0?ooo`050000003o
ool0oooo0?ooo`0000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo
0`000000103oool000000000000000040?ooo`L000001@3oool200000080oooo0`0000050?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`000000oooo0P0000050?ooo`L000001@3oool7
000000@0oooo1`0000050?ooo`8000000P3oool2000000050?ooo`000000oooo0000003oool00P00
00050?ooo`L00000103oool3000000040?ooo`0000000000000000@0oooo10000000103oool00000
0000000000040?ooo`L000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05`0
oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0F`3oool010000000oooo
0?ooo`0000060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool300000004
0?ooo`0000000000000000@0oooo1`0000050?ooo`<000000P3oool2000000D0oooo00D000000?oo
o`3oool0oooo000000020?ooo`030000003oool0000000<000001@3oool3000000040?ooo`000000
0000000000@0oooo1`0000050?ooo`L00000103oool2000000<0oooo0P000000103oool000000?oo
o`3oool2000000D0oooo1`0000040?ooo`<000000P3oool2000000D0oooo0`000000103oool00000
0000000000050?ooo`H000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05d0
oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0F`3oool3000000H0oooo
00<000000?ooo`3oool00P3oool2000000@0oooo1`0000050?ooo`H000001@3oool7000000D0oooo
00D000000?ooo`3oool0oooo000000030?ooo`030000003oool000000080oooo00<000000?ooo`3o
ool00P3oool3000000040?ooo`0000000000000000D0oooo1`0000040?ooo`<0000000@0oooo0000
0000000000001@3oool200000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?oo
o`030?ooo`L00000103oool300000080oooo0P0000050?ooo`<000000P3oool2000000D0oooo1P00
00050?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool0103oool2000005P0oooo
00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0F`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool7000000D0oooo1`00
00040?ooo`<0000000@0oooo00000000000000001@3oool00`000000oooo0?ooo`020?ooo`040000
003oool0oooo000000@0oooo00<000000?ooo`3oool00`3oool7000000@0oooo1`0000050?ooo`L0
00001@3oool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3oool00`3oool70000
00D0oooo0`0000000`3oool00000000000050?ooo`<0000000@0oooo00000000000000001@3oool7
000000@0oooo0`000000103oool000000?ooo`0000060?ooo`030000003oool0000005P0oooo00<0
00000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0HP3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo0080oooo0`0000020?ooo`8000001@3oool3000000040?ooo`000000
0000000000D0oooo0P0000000`3oool0000000000002000000@0oooo0P0000030?ooo`050000003o
ool0oooo0?ooo`000000103oool00`000000oooo0?ooo`030?ooo`H000001@3oool7000000D0oooo
1P0000050?ooo`8000000`3oool010000000oooo0?ooo`3oool3000000@0oooo1`0000050?ooo`<0
000000@0oooo0000000000000000103oool300000080oooo0P0000050?ooo`L000001@3oool20000
00030?ooo`000000oooo008000001@3oool010000000oooo0?ooo`00001H0?ooo`030000003oool0
oooo0140oooo0@3IfMT000030000003oool0oooo0640oooo0P0000040?ooo`030000003oool0oooo
00<0oooo0`0000020?ooo`8000001@3oool7000000D0oooo0P000000103oool00000000000000004
0?ooo`040000003oool0oooo00000080oooo00D000000?ooo`3oool0oooo000000040?ooo`030000
003oool0oooo00<0oooo0`0000000`3oool00000000000050?ooo`<0000000@0oooo000000000000
00001@3oool6000000D0oooo0P0000030?ooo`040000003oool0oooo000000L0oooo1`0000040?oo
o`<000000P3oool2000000D0oooo0P0000030?ooo`8000001@3oool7000000@0oooo0P0000020?oo
o`030000003oool0000000D0oooo00D000000?ooo`3oool0oooo0000001H0?ooo`030000003oool0
oooo00@0oooo0P00000;0?ooo`40fMWI00000`000000oooo0?ooo`1Q0?ooo`030000003oool0oooo
0080oooo0P0000040?ooo`<000000P3oool2000000D0oooo1`0000050?ooo`H000001@3oool01P00
0000oooo000000000000oooo000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`020?ooo`L000001@3oool7000000D0oooo0P000000103oool000000000000000050?ooo`800000
0`3oool010000000oooo0?ooo`0000060?ooo`L000001@3oool3000000040?ooo`00000000000000
00@0oooo0`000000103oool000000000000000050?ooo`L00000103oool4000000030?ooo`000000
000000D0oooo0P0000030?ooo`030000003oool0oooo05<0oooo100000050?ooo`040000003oool0
oooo000000X0oooo0@3IfMT000030000003oool0oooo0600oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`030?ooo`H000001@3oool3000000040?ooo`0000000000000000@0oooo1`00
00050?ooo`<0000000@0oooo0000003oool00000103oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo0080oooo1`0000050?ooo`L00000103oool7000000D0oooo0P0000030?ooo`030000
003oool0000000H0oooo100000000`3oool00000000000050?ooo`<0000000@0oooo000000000000
00001@3oool200000080oooo0P0000050?ooo`L000001@3oool2000000040?ooo`00000000000000
00H0oooo00D000000?ooo`3oool0oooo0000001I0?ooo`030000003oool0oooo00<0oooo00@00000
0?ooo`3oool000002P3oool10=WIf@0000<000000?ooo`3oool0H03oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00<0oooo1`0000040?ooo`L000001@3oool7000000@0oooo0`000000
103oool000000?ooo`0000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3o
ool7000000D0oooo1P0000050?ooo`<0000000@0oooo00000000000000001@3oool01@000000oooo
000000000000oooo008000001P3oool4000000030?ooo`000000000000D0oooo1`0000050?ooo`80
00000P3oool3000000@0oooo1`0000050?ooo`8000000P3oool2000000D0oooo0P0000030?ooo`03
0000003oool0oooo05P0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`00000:0?oo
o`40fMWI00000`000000oooo0?ooo`1O0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00`3oool2000000<0oooo0P0000040?ooo`<0000000@0oooo00000000000000001@3oool30000
00040?ooo`0000000000000000D0oooo0P0000020?ooo`8000001@3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00<0oooo0`000000103oool000000000000000040?ooo`L000001@3o
ool7000000D0oooo0P0000000`3oool000000?ooo`02000000H0oooo0`000000103oool000000000
000000040?ooo`L000001@3oool200000080oooo0`0000040?ooo`L000001@3oool7000000D0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo00<0oooo
00@000000?ooo`3oool000002P3oool10=WIf@0000<000000?ooo`3oool0GP3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00<0oooo0`0000020?ooo`8000001@3oool3000000030?oo
o`000000000000D0oooo0`000000103oool000000000000000050?ooo`8000000P3oool3000000@0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`@0000000<0oooo00000000
00001@3oool7000000D0oooo1P0000050?ooo`8000000P3oool3000000H0oooo0`000000103oool0
00000000000000040?ooo`L000001@3oool300000080oooo0P0000040?ooo`L000001@3oool20000
0080oooo0`0000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0F@3oool00`00
0000oooo0?ooo`030?ooo`040000003oool0oooo000000X0oooo0@3IfMT000030000003oool0oooo
05h0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool000000080oooo0P000005
0?ooo`<0000000@0oooo00000000000000001@3oool200000080oooo0`0000050?ooo`060000003o
ool0oooo0000003oool000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0
oooo0`0000020?ooo`8000001@3oool7000000D0oooo0P000000103oool000000000000000050?oo
o`<0000000@0oooo00000000000000001P3oool5000000030?ooo`000000oooo00<0oooo1`000004
0?ooo`<000000P3oool2000000D0oooo0`000000103oool000000000000000050?ooo`L000001@3o
ool01@000000oooo0?ooo`3oool0000005`0oooo00<000000?ooo`3oool0103oool2000000/0oooo
0@3IfMT000030000003oool0oooo05d0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`030000
003oool000000080oooo0P0000040?ooo`@0000000<0oooo0000000000001@3oool3000000040?oo
o`0000000000000000D0oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo0P000004
0?ooo`030000003oool0oooo00<0oooo0`000000103oool000000000000000050?ooo`H000001@3o
ool3000000040?ooo`0000000000000000D0oooo1`0000050?ooo`80000000<0oooo000000000000
0P0000040?ooo`L000001@3oool2000000<0oooo0P0000050?ooo`H000001@3oool7000000D0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo0140oooo
0@3IfMT000030000003oool0oooo05d0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000
003oool000000080oooo0P0000050?ooo`L00000103oool7000000@0oooo200000040?ooo`800000
103oool2000000@0oooo100000000`3oool00000000000050?ooo`L000001@3oool6000000D0oooo
0`000000103oool000000000000000050?ooo`<0000000@0oooo0000000000000000103oool70000
00D0oooo0`0000020?ooo`8000001@3oool6000000D0oooo1`0000050?ooo`030000003oool0oooo
0080oooo0P00001L0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo05`0
oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo00@000001@3oool70000
00@0oooo1`0000050?ooo`@0000000<0oooo0000000000001@3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00<0oooo0`000000103oool000000000000000050?ooo`H000001@3oool7
000000D0oooo0P000000103oool000000000000000050?ooo`<0000000@0oooo0000000000000000
1@3oool3000000030?ooo`000000000000D0oooo0P0000030?ooo`8000001@3oool7000000@0oooo
0`000000103oool000000000000000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0G03oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1K0?ooo`050000
003oool0oooo0?ooo`0000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0
oooo0`000000103oool000000000000000040?ooo`<0000000@0oooo00000000000000001@3oool3
000000040?ooo`0000000000000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`040?ooo`<0000000<0oooo0000000000001@3oool7000000D0oooo1`0000040?ooo`<0000000@0
oooo00000000000000001@3oool2000000040?ooo`0000000000000000D0oooo1`0000040?ooo`<0
00000P3oool2000000D0oooo0`000000103oool000000000000000040?ooo`L000001@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo05`0oooo00<000000?ooo`3oool04@3oool10=WI
f@0000<000000?ooo`3oool0F`3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo
0080oooo0P0000040?ooo`L000001@3oool3000000030?ooo`000000000000D0oooo0`000000103o
ool000000000000000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool3
000000040?ooo`0000000000000000D0oooo1`0000040?ooo`L000001@3oool2000000030?ooo`00
0000000000800000103oool200000080oooo0P0000050?ooo`L00000103oool300000080oooo0`00
00040?ooo`<0000000@0oooo00000000000000001@3oool6000000D0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003o
ool0oooo05/0oooo00<000000?ooo`0000001`3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0080oooo00@000000?ooo`000000oooo0`0000050?ooo`<0000000@0oooo000000000000
00001@3oool200000080oooo0`0000050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool00`3oool300000080oooo0P0000050?ooo`L00000103oool7000000D0oooo0P0000020?ooo`<0
0000103oool200000080oooo0P0000050?ooo`L00000103oool3000000030?ooo`000000000000D0
oooo100000000`3oool00000000000050?ooo`80000000<0oooo0000000000000P0000050?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0G@3oool00`000000oooo0?ooo`0A0?ooo`40
fMWI00000`000000oooo0?ooo`1K0?ooo`8000001`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00<0oooo0`000000103oool000000000000000040?ooo`@0000000@0oooo00000000
00000000103oool3000000040?ooo`0000000000000000D0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`<0000000@0oooo00000000000000001@3oool6000000D0oooo0`00
0000103oool000000000000000050?ooo`8000000P3oool2000000@0oooo00@000000?ooo`000000
oooo0P0000050?ooo`L00000103oool7000000D0oooo0`000000103oool000000000000000050?oo
o`80000000@0oooo00000000000000001@3oool00`000000oooo000000030?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`1R0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`<000000P3oool20000
00D0oooo0`000000103oool000000000000000040?ooo`<0000000@0oooo00000000000000001@3o
ool00`000000oooo0?ooo`040?ooo`8000001P3oool3000000040?ooo`0000000000000000@0oooo
1`0000050?ooo`L000001@3oool2000000040?ooo`0000000000000000@0oooo00H000000?ooo`00
000000000?ooo`0000040?ooo`L00000103oool7000000D0oooo0`000000103oool0000000000000
00050?ooo`L00000103oool010000000oooo0000000000020?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`000000F03oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?oo
o`1R0?ooo`030000003oool0oooo0080oooo0P0000040?ooo`80000000<0oooo0000000000000P00
00050?ooo`L000001@3oool200000080oooo0P0000050?ooo`030000003oool0oooo00<0oooo0P00
00080?ooo`<0000000@0oooo0000000000000000103oool7000000D0oooo1`0000040?ooo`<00000
00@0oooo0000000000000000103oool01@000000oooo0?ooo`3oool0000000@0oooo1`0000050?oo
o`L00000103oool3000000040?ooo`0000000000000000D0oooo1`0000050?ooo`80000000@0oooo
0000003oool000001@3oool200000080oooo00<000000?ooo`3oool0EP3oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`1Q0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool00`3oool200000080oooo0P0000050?ooo`L000001@3oool6000000D0oooo00<00000
0?ooo`3oool00`3oool2000000T0oooo0`0000000`3oool00000000000050?ooo`L000001@3oool6
000000D0oooo0`000000103oool000000000000000040?ooo`040000003oool0oooo000000@0oooo
1`0000050?ooo`L000001@3oool2000000040?ooo`0000000000000000D0oooo1`0000040?ooo`<0
00000P3oool3000000D0oooo00@000000?ooo`3oool00000F@3oool00`000000oooo0?ooo`0A0?oo
o`40fMWI00000`000000oooo0?ooo`1Q0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00`3oool200000080oooo0`0000040?ooo`<0000000@0oooo00000000000000001@3oool70000
00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`80000000<0oooo0000
000000000P0000050?ooo`L00000103oool7000000D0oooo1P0000050?ooo`040000003oool0oooo
000000@0oooo1P0000050?ooo`L000001@3oool7000000@0oooo200000040?ooo`8000000P3oool2
000000H0oooo00D000000?ooo`3oool0oooo0000001I0?ooo`030000003oool0oooo0140oooo0@3I
fMT000030000003oool0oooo0600oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`03
0?ooo`8000000P3oool00`000000oooo000000040?ooo`<0000000@0oooo00000000000000001@3o
ool7000000@0oooo0P0000040?ooo`030000003oool0oooo00T0oooo0P0000000`3oool000000000
0002000000@0oooo1`0000050?ooo`L00000103oool7000000D0oooo00<000000?ooo`000000103o
ool3000000040?ooo`0000000000000000@0oooo1`0000050?ooo`L00000103oool7000000D0oooo
0P0000020?ooo`030000003oool0000000D0oooo00D000000?ooo`3oool0oooo0000001J0?ooo`03
0000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0600oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`030?ooo`8000000P3oool00`000000oooo000000040?ooo`<00000
00<0oooo0000000000001@3oool2000000030?ooo`0000000000008000001@3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool2000000030?oo
o`000000oooo00800000103oool7000000D0oooo1P0000050?ooo`<0000000@0oooo000000000000
00001@3oool00`000000oooo000000030?ooo`L000001@3oool7000000D0oooo1P0000050?ooo`L0
0000103oool300000080oooo0P0000060?ooo`050000003oool0oooo0?ooo`000000FP3oool00`00
0000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1O0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00`3oool010000000oooo0000003oool3000000@0oooo1`0000050?oo
o`@0000000<0oooo0000000000001@3oool2000000<0oooo00<000000?ooo`3oool00P3oool20000
00D0oooo00<000000?ooo`0000000P3oool2000000@0oooo10000000103oool00000000000000004
0?ooo`L000001@3oool2000000030?ooo`000000000000800000103oool010000000oooo0?ooo`00
00030?ooo`<0000000@0oooo0000000000000000103oool7000000@0oooo200000040?ooo`<00000
00@0oooo00000000000000001@3oool5000000030?ooo`000000oooo00@0oooo00D000000?ooo`3o
ool0oooo0000001K0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo05l0
oooo00<000000?ooo`3oool00P0000050?ooo`030000003oool0oooo00@00000103oool7000000D0
oooo0P0000020?ooo`<000001@3oool4000000030?ooo`000000oooo00@0oooo0P0000050?ooo`80
00000P3oool3000000@0oooo0`000000103oool000000000000000050?ooo`L00000103oool30000
00040?ooo`0000000000000000D0oooo00<000000?ooo`0000000`3oool2000000030?ooo`000000
000000800000103oool7000000D0oooo1`0000040?ooo`L000001@3oool2000000030?ooo`000000
0000008000001@3oool010000000oooo0?ooo`3oool2000005/0oooo00<000000?ooo`3oool04@3o
ool10=WIf@0000<000000?ooo`3oool0GP3oool01@000000oooo0?ooo`3oool0000000D0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`8000000P3oool2000000D0oooo0P00
00030?ooo`8000001@3oool2000000030?ooo`000000oooo00800000103oool00`000000oooo0000
00040?ooo`030000003oool000000080oooo0P0000050?ooo`L00000103oool3000000040?ooo`00
00000000000000D0oooo1`0000050?ooo`040000003oool000000?ooo`80000000@0oooo0000003o
ool0oooo0P0000040?ooo`P00000103oool3000000040?ooo`0000000000000000D0oooo1P000005
0?ooo`8000000P3oool3000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1J
0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo05d0oooo0P0000020?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?oo
o`<0000000@0oooo0000000000000000103oool300000080oooo0P0000050?ooo`@0000000<0oooo
000000000000103oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080000000<0
oooo0000003oool00`3oool7000000D0oooo1`0000050?ooo`<0000000<0oooo0000000000001P3o
ool010000000oooo0000000000020?ooo`030000003oool0oooo008000001@3oool6000000D0oooo
1`0000050?ooo`L00000103oool200000080oooo0`0000050?ooo`8000000`3oool00`000000oooo
0?ooo`1K0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo05d0oooo00@0
00000?ooo`00000000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo
0`000000103oool000000000000000040?ooo`<000000P3oool3000000@0oooo0`000000103oool0
00000?ooo`0000040?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00<0oooo0`000000103oool000000000000000050?ooo`H000001@3o
ool3000000040?ooo`0000000000000000H0oooo00<000000?ooo`3oool0103oool3000000D0oooo
0`000000103oool000000000000000040?ooo`L000001@3oool7000000@0oooo100000000`3oool0
0000000000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0G03oool00`000000
oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1N0?ooo`8000001P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00<0oooo0P0000000`3oool000000?ooo`02000000@0oooo
0`0000000`3oool00000000000050?ooo`030000003oool000000080oooo0P0000050?ooo`050000
003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0
oooo0P0000000`3oool0000000000002000000D0oooo0P0000020?ooo`8000001@3oool300000004
0?ooo`0000000000000000H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?oo
o`<0000000@0oooo00000000000000001@3oool7000000D0oooo1`0000040?ooo`L000001@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo05`0oooo00<000000?ooo`3oool04@3oool1
0=WIf@0000<000000?ooo`3oool0IP3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00<0oooo0P0000020?ooo`<00000103oool300000080oooo0P0000050?ooo`<0000000@0oooo0000
003oool000001@3oool01@000000oooo0?ooo`2c/k<0000000@0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`030?ooo`<000000P3oool2000000D0oooo1P0000050?ooo`@0000000<0
oooo0000000000001P3oool00`000000oooo0?ooo`040?ooo`8000001@3oool7000000@0oooo1`00
00040?ooo`P00000103oool3000000040?ooo`0000000000000000D0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003o
ool0oooo06D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`040000003o
ool000000?ooo`<00000103oool300000080oooo0P0000050?ooo`<0000000@0oooo0000003oool0
00001@3oool01@000000oooo0?ooo`2c/k<0000000D0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`030?ooo`<0000000@0oooo0000000000000000103oool7000000D0oooo10000000
0`3oool00000000000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool7
000000D0oooo1P0000050?ooo`L00000103oool3000000040?ooo`0000000000000000D0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo0140oooo0@3I
fMT000030000003oool0oooo06@0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<00000
0?ooo`0000000P3oool2000000D0oooo0`000000103oool000000000000000040?ooo`040000003o
ool000000?ooo`<000001@3oool01P000000oooo0;>c/`2c/k<0oooo000000@0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`030?ooo`8000000P3oool3000000@0oooo1`0000050?oo
o`@0000000<0oooo0000000000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00<0oooo1`0000040?ooo`P00000103oool3000000040?ooo`0000000000000000D0oooo0P000000
103oool000000000000000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0GP3o
ool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1S0?ooo`8000000`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00@000001@3oool7000000D0oooo0P000000
103oool000000?ooo`0000050?ooo`030000003oool0/k>c0080oooo0P0000040?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00P3oool300000080oooo0P0000050?ooo`L000001@3o
ool2000000040?ooo`0000000000000000D0oooo0P0000050?ooo`030000003oool0oooo00<0oooo
1`0000050?ooo`L00000103oool3000000040?ooo`0000000000000000D0oooo0P0000020?ooo`<0
00001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo05l0oooo00<000000?ooo`3o
ool04@3oool10=WIf@0000<000000?ooo`3oool0HP3oool2000000<0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`03000000D0oooo0P0000000`3oool000000?ooo`02000000D0oooo
0P0000020?ooo`<00000103oool2000000050;>c/`3oool0oooo0?ooo`0000001@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo0`000000103oool000000000000000050?oo
o`H000001@3oool3000000040?ooo`0000000000000000D0oooo00<000000?ooo`3oool00`3oool2
000000@0oooo0`000000103oool000000000000000050?ooo`<0000000@0oooo0000000000000000
103oool7000000D0oooo0P0000020?ooo`<000001@3oool00`000000oooo0?ooo`020?ooo`800000
H@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1R0?ooo`040000003o
ool0oooo0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo
0P0000030?ooo`8000001@3oool200000080oooo0P0000050?ooo`030000003oool0/k>c00<0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo
00@000000?ooo`000000oooo0P0000050?ooo`L000001@3oool2000000030?ooo`00000000000080
0000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`00
0000100000050?ooo`<0000000@0oooo00000000000000001@3oool7000000@0oooo0`000000103o
ool000000000000000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0H@3oool0
0`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1R0?ooo`050000003oool0oooo
0?ooo`0000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo0P000002
0?ooo`030000003oool0000000D0oooo0P000000103oool000000?ooo`0000050?ooo`030000002c
/k<0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00<0oooo00@000000?ooo`000000oooo0P0000050?ooo`L000001@3oool2000000040?oo
o`0000000000000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`80
00000P3oool3000000D0oooo1`0000050?ooo`@0000000<0oooo0000003oool0103oool300000004
0?ooo`0000000000000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1Q0?oo
o`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0640oooo00D000000?ooo`3o
ool0oooo000000060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool01000
0000oooo0000003oool3000000@0oooo0`0000000`3oool0000000000002000000@0oooo00<00000
0;>c/`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00`3oool7000000D0oooo0P000000103oool000000000000000050?ooo`<0000000@0
oooo00000000000000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo
0`0000020?ooo`8000001@3oool7000000D0oooo1P0000050?ooo`L00000103oool2000000@0oooo
00<000000?ooo`3oool0HP3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?oo
o`1Q0?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`020?ooo`<0000000@0oooo00000000000000001@3oool01`000000oooo0000003oool00000
0?ooo`000000103oool00`2c/k<000000?ooo`030?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`8000000P3oool2000000D0oooo1`000005
0?ooo`030000003oool0oooo00<000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00<0oooo00@000000?ooo`000000oooo0P0000050?ooo`L000001@3oool7000000@0oooo1`00
00050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool2000005`0oooo00<0
00000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0H03oool00`000000oooo0?ooo`02
000000D0oooo00<000000?ooo`3oool00P3oool2000000@0oooo0`0000020?ooo`8000001@3oool0
1`000000oooo0000003oool000000?ooo`000000103oool00`2c/k<000000?ooo`030?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`040000
003oool000000?ooo`<000001@3oool200000080oooo0P0000050?ooo`8000000`3oool2000000D0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080
000000<0oooo0000003oool00`3oool3000000040?ooo`0000000000000000D0oooo1`0000040?oo
o`<0000000@0oooo00000000000000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`000000G03oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`1Q0?ooo`8000001P3oool2000000@0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo00000003000000D0oooo00<000000?ooo`0000000P0000000`3oool000000?ooo`030?oo
o`030;>c/`000000oooo00<0oooo0P0000060?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool00`3oool01`000000oooo0000003oool000000?ooo`000000103oool3000000040?ooo`00
00000000000000D0oooo0P0000020?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
0P3oool3000000040?ooo`0000000000000000D0oooo0`000000103oool000000000000000050?oo
o`80000000@0oooo00000000000000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`000000G@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`1Y0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`3oool20;>c/`030000003oool0oooo0080oooo0P0000070?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00`3oool01P000000oooo0?ooo`000000oooo000000D0
oooo0P0000000`3oool000000?ooo`02000000D0oooo0P0000020?ooo`8000001@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo0080oooo0P0000040?ooo`030000003oool0oooo00<0
oooo1`0000040?ooo`<0000000@0oooo00000000000000001@3oool200000080oooo0`0000040?oo
o`800000103oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo000005d0oooo00<00000
0?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0J03oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00<0oooo00@000000?ooo`3oool0/k>c0P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool2000000<0oooo0P000005
0?ooo`<0000000<0oooo0000000000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`<0000000@0oooo
00000000000000001@3oool3000000040?ooo`0000000000000000@0oooo0`0000020?ooo`800000
1@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`000000
GP3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1X0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`2c/k<0oooo00800000
103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`800000
1@3oool01P000000oooo000000000000oooo000000D0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0;>c/`020;>c/`040000003oool0oooo0?ooo`800000103oool4000000030?ooo`000000
000000D0oooo1`0000050?ooo`80000000<0oooo0000000000000P0000040?ooo`030000003oool0
oooo0080oooo0P0000060?ooo`040000003oool0oooo000005h0oooo00<000000?ooo`3oool04@3o
ool10=WIf@0000<000000?ooo`3oool0H@3oool00`2c/k<0oooo0?ooo`030?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`2c/k<20?ooo`030000003o
ool0oooo0080oooo0P0000090?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`020;>c/`030000003oool0oooo00<0oooo0P0000020?ooo`030000003o
ool0000000D0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo0080oooo00D000000?ooo`2c/k<0/k>c000000040?ooo`030000003oool0oooo00<0oooo
1`0000040?ooo`L000001@3oool7000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`030?ooo`8000000P3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo0140oooo
0@3IfMT000030000003oool0oooo0600oooo00<0/k>c0?ooo`3oool00`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`020?ooo`800000103oool010000000oooo0;>c/`2c/k<20?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo
00@000000?ooo`3oool0oooo0P2c/k<00`000000oooo0?ooo`030?ooo`8000000P3oool2000000D0
oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
0080oooo00D000000;>c/`2c/k<0/k>c000000030?ooo`030000003oool0oooo00<0oooo0P000003
0?ooo`800000103oool3000000040?ooo`0000000000000000D0oooo1`0000040?ooo`800000103o
ool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`000000G`3oool00`000000oooo
0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1O0?ooo`030;>c/`3oool0oooo00@0oooo00D0
00000?ooo`3oool0oooo000000050?ooo`800000103oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0080oooo00<000000?ooo`2c/k<00`3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00@0oooo0`0000030?ooo`030000003oool0oooo008000001@3oool01`000000oooo
0?ooo`3oool0/k>c0000002c/k<0103oool00`000000oooo000000020?ooo`8000001@3oool01000
0000oooo0000000000020?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo0000
00030;>c/`050000003oool0oooo0?ooo`0000001@3oool010000000oooo0000003oool3000000D0
oooo1`0000040?ooo`@0000000<0oooo0000000000001@3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo0000001P0?ooo`030000003oool0oooo
0140oooo0@3IfMT000030000003oool0oooo05l0oooo00<0/k>c0?ooo`3oool00`3oool01@000000
oooo0?ooo`3oool0000000D0oooo0P0000040?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0;>c/`040?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool0103oool00`000000oooo000000030?ooo`050000003oool0oooo0?ooo`0000001@3oool2
00000080oooo0P2c/k<00`000000/k>c0?ooo`030?ooo`070000003oool000000?ooo`000000oooo
000000040?ooo`070000003oool0oooo0?ooo`000000oooo000000050?ooo`030000003oool0oooo
0080oooo00D000000;>c/`2c/k<0/k>c000000020?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`80000000@0oooo00000000000000001@3o
ool3000000040?ooo`0000000000000000D0oooo00<000000?ooo`3oool00P3oool2000000D0oooo
00D000000?ooo`3oool0oooo0000001Q0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000
003oool0oooo05h0oooo00<0/k>c0?ooo`3oool0103oool010000000oooo0000000000060?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`03
0000002c/k<0oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`04
0000003oool0oooo000000<0oooo00@000000?ooo`3oool000001P3oool01`000000oooo0?ooo`3o
ool0/k>c0000002c/k<0103oool010000000oooo0000003oool3000000D0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00H000000;>c/`2c
/k<0oooo0000003oool2000000@0oooo0P0000040?ooo`800000103oool3000000040?ooo`000000
0000000000@0oooo0`000000103oool000000000000000050?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool00`3oool010000000oooo0?ooo`3oool200000640oooo00<000000?ooo`3o
ool04@3oool10=WIf@0000<000000?ooo`3oool0G@3oool00`2c/k<0oooo0?ooo`050?ooo`030000
003oool0000000H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0080oooo00<000000;>c/`3oool0103oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00@0oooo00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`0000060?oo
o`070000003oool0oooo0?ooo`2c/k<000000;>c/`040?ooo`030000003oool0oooo0080000000<0
oooo0000003oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00H0
00000?ooo`3oool0oooo0;>c/`0000020;>c/`80oooo0P0000050?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00`3oool2000000030?ooo`0000000000008000001@3oool300000004
0?ooo`0000000000000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?oo
o`050000003oool0oooo0?ooo`000000HP3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`1L0?ooo`030;>c/`3oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`2c
/k<000000?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool01000
0000oooo0?ooo`0000040?ooo`040000003oool0oooo000000D0oooo0P0000030?ooo`030;>c/`00
0000/k>c00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool00`3oool01P000000oooo0?ooo`3oool0/k>c00000080
/k>c2@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo0P0000000`3oool0
00000?ooo`02000000@0oooo1`0000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool00`3oool01@000000oooo0?ooo`3oool0000006<0oooo00<000000?ooo`3oool04@3oool10=WI
f@0000<000000?ooo`3oool0G03oool00`2c/k<0oooo0?ooo`0>0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030;>c/`000000oooo00@0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0000000H0oooo00L000000?ooo`3oool0oooo0;>c/`000000
/k>c00D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020;>c/`030000002c/k<0
oooo00P0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`8000001@3oool0
0`000000oooo00000003000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`03
0?ooo`040000003oool0oooo0?ooo`800000H`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI0000
0`000000oooo0?ooo`1K0?ooo`030;>c/`3oool0oooo00h0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`040?ooo`060000003oool0oooo0?ooo`2c/k<000001@3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000050?ooo`03
0000003oool0000000H0oooo00L000000?ooo`3oool0oooo0;>c/`000000/k>c00@0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00`3oool01`000000oooo0?ooo`3oool0/k>c0000002c/k<02P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00<0oooo0P0000020?ooo`<000001@3oool200000080oooo
0`0000040?ooo`800000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0HP3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?oo
o`1J0?ooo`030;>c/`3oool0oooo00l0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`060000
003oool0oooo0?ooo`2c/k<000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool00000
00H0oooo00L000000?ooo`3oool0oooo0;>c/`000000/k>c00@0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`020;>c/`030000002c/k<0oooo00P0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080000000<0oooo0000003oool0103o
ool200000080oooo0`0000040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo06<0oooo00<000000?ooo`3oool04@3o
ool10=WIf@0000<000000?ooo`3oool0F@3oool00`2c/k<0oooo0?ooo`0?0?ooo`050000003oool0
oooo0?ooo`0000001P3oool00`000000oooo0?ooo`020;>c/`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool00`3oool010000000oooo0?ooo`0000060?ooo`070000003oool0oooo0?ooo`2c
/k<000000;>c/`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`2c/k<00P2c/k<00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo0080oooo0P0000040?ooo`8000000P3oool01000
0000oooo0000000000040?ooo`<0000000@0oooo0000003oool000001@3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`1T0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo05T0oooo00<0/k>c
0?ooo`3oool03`3oool010000000oooo0?ooo`0000060?ooo`040000003oool0oooo0;>c/`80oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000000H0
oooo00<000000?ooo`3oool00P2c/k<00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0
oooo00<000000;>c/`2c/k<00P2c/k<00`000000oooo0?ooo`070?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`0000000P3oool2000000D0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0I03oool00`000000
oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1H0?ooo`030;>c/`3oool0oooo00l0oooo
00<000000?ooo`3oool00P0000060?ooo`030000003oool0/k>c0080oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`0000001@3oool01`000000
oooo0?ooo`3oool0/k>c0000002c/k<01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`060000002c/k<0
/k>c0;>c/`3oool000002@3oool01@000000oooo0?ooo`3oool0000000H0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`030?ooo`040000003oool000000?ooo`<00000103oool20000
00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
06D0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0E`3oool00`2c/k<0
oooo0?ooo`0@0?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`2c/k<00P3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`030?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`03
0?ooo`070000003oool0oooo0?ooo`2c/k<000000;>c/`050?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo
00D000000;>c/`2c/k<0/k>c000000090?ooo`050000003oool0oooo0?ooo`0000001@3oool20000
00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo
00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo
0?ooo`000000J03oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1F0?oo
o`030;>c/`3oool0oooo0140oooo0`0000060?ooo`030000003oool0/k>c0080oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool00`3oool01@000000oooo0?ooo`3oool0000000H0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`020;>c/`030000002c/k<0oooo00<0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool0
1P2c/k<000000;>c/`2c/k<0oooo000000P0oooo00D000000?ooo`3oool0oooo000000060?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool2000000D0oooo00D000000?ooo`3o
ool0oooo0000001Y0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo05H0
oooo00<0/k>c0?ooo`3oool06P3oool01@000000/k>c0?ooo`3oool0000000H0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00D0oooo0`0000070?oo
o`030000003oool0oooo0080oooo00@000000?ooo`3oool0oooo0P2c/k<00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo0080oooo00@0/k>c000000000000/k>c0P3oool00`000000oooo0?oo
o`060?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`1W0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo05D0oooo00<0
/k>c0?ooo`3oool06P3oool010000000oooo0?ooo`3oool2000000D0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0140oooo00@000000?ooo`3oool0
0000103oool00`2c/k<000000;>c/`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<0/k>c0000002c
/k<00P3oool00`000000oooo0?ooo`070?ooo`<000001P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool2000000@0oooo0P0000040?ooo`03
0000003oool0oooo00<0oooo0P0000030?ooo`030000003oool0oooo06P0oooo00<000000?ooo`3o
ool04@3oool10=WIf@0000<000000?ooo`3oool0E03oool00`2c/k<0oooo0?ooo`0J0?ooo`050;>c
/`000000oooo0?ooo`0000001P3oool00`000000oooo0?ooo`020?ooo`800000103oool00`000000
oooo0?ooo`0B0?ooo`@00000103oool00`2c/k<000000;>c/`040?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080
oooo0P2c/k<01@000000/k>c0?ooo`3oool0000000X0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo06T0oooo00<000000?ooo`3oool04@3oool10=WI
f@0000<000000?ooo`3oool0D`3oool00`2c/k<0oooo0?ooo`0J0?ooo`040;>c/`3oool000000?oo
o`8000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool06@3oool20;>c/`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0P0000030?ooo`80/k>c00D000000;>c
/`3oool0oooo0000000C0?ooo`040000003oool0oooo0?ooo`8000001@3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool2000000D0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`1Y0?ooo`030000003oool0oooo0140oooo0@3I
fMT000030000003oool0oooo05<0oooo00<0/k>c0?ooo`3oool0603oool20;>c/`030?ooo`000000
0000008000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool06P3oool00`2c/k<000000;>c/`050?ooo`040000003oool0oooo0?ooo`8000001@3o
ool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`<0/k>c00D000000?ooo`3oool0
oooo0000000B0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool2000000@0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1Z0?ooo`030000003oool0oooo0140
oooo0@3IfMT000030000003oool0oooo0580oooo00<0/k>c0?ooo`3oool0603oool00`2c/k<0oooo
0?ooo`0;0?ooo`050000003oool0oooo0?ooo`0000001@3oool00`000000oooo0?ooo`0K0?ooo`03
0;>c/`000000/k>c00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`05
0000003oool0oooo0?ooo`000000103oool30;>c/`040000003oool0oooo00000180oooo00@00000
0?ooo`3oool0oooo0P0000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3o
ool2000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo06/0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0D@3oool0
0`2c/k<0oooo0?ooo`0H0?ooo`030;>c/`3oool0oooo00/0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo01`0oooo00<0/k>c0000002c/k<0103oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo0000
00030?ooo`@0/k>c0`00000C0?ooo`040000003oool0oooo000000H0oooo0P0000030?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`050000
003oool0oooo0?ooo`000000KP3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo
0?ooo`1@0?ooo`030;>c/`3oool0oooo01P0oooo00<0/k>c0?ooo`3oool02`3oool010000000oooo
0?ooo`3oool2000000@0oooo00<000000?ooo`3oool0703oool30;>c/`030000003oool0oooo0080
oooo00D000000?ooo`3oool0oooo000000060?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool0102c/k<F0?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool0
10000000oooo0?ooo`3oool2000006h0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<00000
0?ooo`3oool0D03oool00`2c/k<0oooo0?ooo`0G0?ooo`030;>c/`3oool0oooo00`0oooo00<00000
0?ooo`3oool00P0000040?ooo`030000003oool0oooo01d0oooo0`2c/k<01@3oool000000?ooo`3o
ool0000000@0oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`0000020?ooo`@0/k>c
603oool2000000L0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0080oooo0P0000050?ooo`050000003oool0oooo0?ooo`000000L03oool00`000000
oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1?0?ooo`030;>c/`3oool0oooo01H0oooo
0P2c/k<?0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool07P3oool30;>c/`05
0?ooo`000000oooo0?ooo`000000103oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo
00000080oooo0`2c/k<R0?ooo`050000003oool0oooo0?ooo`0000001P3oool01@000000oooo0?oo
o`3oool0000000L0oooo00<000000?ooo`3oool00P00001`0?ooo`030000003oool0oooo0140oooo
0@3IfMT000030000003oool0oooo04h0oooo00<0/k>c0?ooo`3oool05P3oool00`2c/k<0oooo0?oo
o`0?0?ooo`<00000103oool00`000000oooo0?ooo`0N0?ooo`@0/k>c0P3oool2000000D0oooo00<0
00000?ooo`3oool01@3oool01@000000oooo0?ooo`000000oooo00@0/k>c8@3oool010000000oooo
0?ooo`3oool2000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`05
0000003oool0oooo0?ooo`000000L@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000
oooo0?ooo`1=0?ooo`030;>c/`3oool0oooo01H0oooo00<0/k>c0?ooo`3oool0403oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo01l0oooo0`2c/k<:0?ooo`030000003oool0oooo00D0
oooo00@000000?ooo`000000oooo102c/k<Q0?ooo`040000003oool0oooo0?ooo`8000001@3oool2
000000<0oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3oool000000780oooo00<0
00000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0C03oool00`2c/k<0oooo0?ooo`0F
0?ooo`030;>c/`3oool0oooo01H0oooo00<000000?ooo`3oool0803oool30;>c/`T0oooo00<00000
0?ooo`3oool01@3oool010000000oooo0?ooo`0000040;>c/b80oooo00@000000?ooo`3oool00000
1P3oool2000000<0oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`00001c0?ooo`03
0000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo04`0oooo00<0/k>c0?ooo`3oool0
503oool20;>c/aP0oooo00<000000?ooo`3oool08@3oool30;>c/`T0oooo00<000000?ooo`3oool0
1@3oool010000000oooo0000003oool30;>c/b80oooo00@000000?ooo`3oool000001`3oool01@00
0000oooo0?ooo`3oool0000000L0oooo00@000000?ooo`3oool00000M03oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`1;0?ooo`030;>c/`3oool0oooo01@0oooo00<0/k>c
0?ooo`3oool05`3oool00`000000oooo0?ooo`0Q0?ooo`@0/k>c2@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0/k>c00<0/k>c8`3oool2000000L0oooo00D000000?ooo`3oool0oooo0000
00070?ooo`030000003oool0oooo00800000M03oool00`000000oooo0?ooo`0A0?ooo`40fMWI0000
0`000000oooo0?ooo`1:0?ooo`030;>c/`3oool0oooo00@0oooo6000000B0?ooo`030000003oool0
oooo0280oooo0`2c/k<:0?ooo`030000003oool0oooo00L0oooo102c/k<]0?ooo`050000003oool0
oooo0?ooo`0000001`3oool00`000000oooo0000001f0?ooo`030000003oool0oooo0140oooo0@3I
fMT000030000003oool0oooo04T0oooo00<0/k>c0?ooo`0000001@00000?0?ooo`030;>c/`3oool0
oooo00H0oooo1@00000<0?ooo`800000903oool30;>c/`X0oooo00<000000?ooo`3oool01P3oool4
0;>c/bh0oooo00@000000?ooo`3oool00000203oool3000007H0oooo00<000000?ooo`3oool04@3o
ool10=WIf@0000<000000?ooo`3oool0B03oool3000001<0oooo0P2c/k<>0?ooo`L00000103oool0
0`000000oooo0?ooo`0T0?ooo`<0/k>c2P3oool00`000000oooo0?ooo`060?ooo`<0/k>c;P3oool0
10000000oooo0000000000080?ooo`800000N03oool00`000000oooo0?ooo`0A0?ooo`40fMWI0000
0`000000oooo0?ooo`170?ooo`030000002c/k<0oooo01<0oooo00<0/k>c0?ooo`3oool05@3oool4
000002H0oooo0`2c/k<<0?ooo`030000003oool0oooo00@0oooo102c/k<_0?ooo`030000003oool0
oooo0880oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0A@3oool20000
00030;>c/`3oool0oooo0180oooo00<0/k>c0?ooo`3oool0<`3oool4000000T0oooo0`2c/k<=0?oo
o`030000003oool0oooo0080oooo102c/k>e0?ooo`030000003oool0oooo0140oooo0@3IfMT00003
0000003oool0oooo04@0oooo0P0000000`2c/k<0oooo0?ooo`0B0?ooo`030;>c/`3oool0oooo0300
oooo100000040?ooo`@000001@3oool30;>c/`d0oooo00@000000?ooo`3oool0oooo102c/k>f0?oo
o`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo02<0oooo1000000M0?ooo`03
0000003oool0/k>c01<0oooo00<0/k>c0?ooo`3oool0;`3oool2000000`0oooo0P0000030?ooo`<0
/k>c3P3oool00`000000oooo0?ooo`030;>c/kL0oooo00<000000?ooo`3oool04@3oool10=WIf@00
00<000000?ooo`3oool0803oool3000000@0oooo1000000I0?ooo`030000002c/k<0oooo0140oooo
0P2c/k<a0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`2c/k<00P2c/k<@0?ooo`030000
002c/k<0/k>c0080/k>c]`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?oo
o`0N0?ooo`8000002`3oool2000001L0oooo00<000000?ooo`3oool0403oool00`2c/k<0oooo0?oo
o`0_0?ooo`8000004P3oool200000080/k>c403oool200000080/k>c^03oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`0L0?ooo`8000003`3oool00`000000oooo0?ooo`0C
0?ooo`030;>c/`3oool000000100oooo00<0/k>c0?ooo`3oool0;`3oool00`000000oooo0?ooo`0C
0?ooo`030;>c/`000000/k>c0100oooo00<0/k>c0000002c/k<0^@3oool00`000000oooo0?ooo`0A
0?ooo`40fMWI00000`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0100oooo0P00000C0?oo
o`030;>c/`3oool0oooo00<00000303oool00`2c/k<0oooo0?ooo`0_0?ooo`030000003oool0oooo
01<0oooo0`2c/k<00`000000oooo0?ooo`0=0?ooo`<0/k>c00<000000?ooo`3oool0]`3oool00`00
0000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`0J0?ooo`030000003oool0oooo01<0
oooo00<000000?ooo`3oool03`3oool00`2c/k<0oooo0?ooo`040?ooob`000004@3oool00`000000
oooo0?ooo`060?ooo`X00000103oool30;>c/`030?ooo`000000oooo00`0oooo102c/k<00`000000
oooo0?ooo`2g0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo01T0oooo
00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0=0?ooo`030;>c/`3oool0oooo00h0oooo
00<0/k>c0?ooo`3oool07`3oool2000000l0oooo00<000000?ooo`3oool01@3oool2000000X0oooo
0P0000020?ooo`<0/k>c0P3oool00`000000oooo0?ooo`090?ooo`@0/k>c00<0oooo0000003oool0
^03oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`0H0?ooo`030000003o
ool0oooo01L0oooo00<000000?ooo`3oool02`3oool00`2c/k<0oooo0?ooo`0>0?ooo`030;>c/`3o
ool0oooo0240oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`2c/k<00P2c/k<20?ooo`030000003oool0oooo00T0oooo0`2c
/k<20?ooo`030000003oool0oooo0;L0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<00000
0?ooo`3oool0603oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo00/0oooo00<0/k>c
0?ooo`3oool03@3oool00`2c/k<0oooo0?ooo`0S0?ooo`030000003oool0oooo00/0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0>0?ooo`030000002c/k<0/k>c00@0oooo0P000008
0?ooo`@0/k>c0`3oool00`000000oooo0?ooo`2f0?ooo`030000003oool0oooo0140oooo0@3IfMT0
00030000003oool0oooo01L0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`090?oo
o`030;>c/`3oool0oooo00d0oooo00<0/k>c0?ooo`3oool0903oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo00<0oooo0P0000050?ooo`P00000103oool00`2c/k<00000000000050?oo
o`030000003oool0oooo00D0oooo102c/k<40?ooo`030000003oool0oooo0;H0oooo00<000000?oo
o`3oool04@3oool10=WIf@0000<000000?ooo`3oool05@3oool2000001d0oooo00<000000?ooo`3o
ool01`3oool00`2c/k<0oooo0?ooo`0<0?ooo`80/k>c9`3oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo00<0oooo0P0000040?ooo`800000203oool200000080oooo0`2c/k<00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo102c/k<50?ooo`030000003oool0oooo0;H0
oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool05@3oool00`000000oooo
0?ooo`0L0?ooo`030000003oool0oooo00H0oooo00<0/k>c0?ooo`3oool0303oool00`2c/k<0oooo
0?ooo`0W0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`2c/k<00P2c/k<00`3oool00000
0?ooo`030?ooo`030000003oool0oooo00<0oooo0`2c/k<70?ooo`030000003oool0oooo0;D0oooo
00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0503oool00`000000oooo0?oo
o`0N0?ooo`030000003oool0oooo00D0oooo00<0/k>c0?ooo`3oool02`3oool00`2c/k<0oooo0?oo
o`0X0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool010000000oooo0?oo
o`3oool2000000D0oooo100000050?ooo`80000000<0/k>c0?ooo`3oool00P0000040?ooo`040000
003oool0oooo0?ooo`@0/k>c1`3oool00`000000oooo0?ooo`2e0?ooo`030000003oool0oooo0140
oooo0@3IfMT000030000003oool0oooo01@0oooo00<000000?ooo`3oool07P3oool2000000D0oooo
00<0/k>c0?ooo`3oool02`3oool00`2c/k<0oooo0?ooo`0Y0?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool00P3oool010000000oooo0?ooo`3oool2000000<0oooo0`0000040?ooo`<0
00000P3oool00`2c/k<00000000000030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`2c
/k<00`2c/k<80?ooo`030000003oool0oooo0;D0oooo00<000000?ooo`3oool04@3oool10=WIf@00
00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo0080oooo
00<0/k>c0?ooo`3oool02P3oool20;>c/b`0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0203oool00`000000
oooo0;>c/`020;>c/`040000003oool0oooo000000D0oooo00<000000;>c/`2c/k<00P2c/k<90?oo
o`030000003oool0oooo0;D0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3o
ool04`3oool00`000000oooo0?ooo`0P0?ooo`8000000P3oool00`2c/k<0oooo0?ooo`0:0?ooo`03
0;>c/`3oool0oooo02/0oooo0P0000090?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00P0000020?ooo`800000103oool4000000@0oooo00@000000;>c/`2c/k<0/k>c0P0000020?oo
o`030000003oool0oooo0080oooo00@000000;>c/`2c/k<0/k>c2`3oool00`000000oooo0?ooo`2d
0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0180oooo00<000000?oo
o`3oool08P3oool010000000oooo0?ooo`2c/k<;0?ooo`030;>c/`3oool0oooo02`0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000000P3o
ool010000000oooo0?ooo`3oool3000000@0oooo0`000000103oool0/k>c0000000000020?ooo`05
0000003oool0oooo0?ooo`0000000`3oool0102c/k<000000;>c/`2c/k<;0?ooo`030000003oool0
oooo0;@0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`0S0?ooo`030000002c/k<0oooo00X0oooo00<0/k>c0?ooo`3oool0:`3oool20000
00X0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`8000000P3oool0
0`000000oooo0?ooo`080?ooo`030000002c/k<0/k>c008000000P3oool00`000000oooo0?ooo`02
000000050?ooo`2c/k<0/k>c0000002c/k<0303oool00`000000oooo0?ooo`2d0?ooo`030000003o
ool0oooo0140oooo0@3IfMT000030000003oool0oooo0140oooo00<000000?ooo`3oool0903oool0
0`2c/k<000000?ooo`090?ooo`030;>c/`3oool0000002`000002`3oool00`000000oooo0?ooo`02
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P0000020?ooo`P000000P3o
ool2000000030;>c/`3oool000000080oooo00@000000?ooo`3oool00000102c/k<00`000000oooo
0?ooo`0:0?ooo`800000]@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?oo
o`0A0?ooo`030000003oool0oooo02<0oooo00@0/k>c0?ooo`0000000000103oool7000003P0oooo
00D000000?ooo`3oool0oooo000000030?ooo`030000003oool000000080oooo0P0000020?ooo`03
0000003oool0oooo00H0oooo00<000000;>c/`2c/k<00P0000020?ooo`030000003oool0000000<0
oooo00D000000;>c/`2c/k<0oooo0000000=0?ooo`030000003oool0oooo0;<0oooo00<000000?oo
o`3oool04@3oool10=WIf@0000<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0R0?ooo`03
0;>c/`3oool0oooo0080oooo100000020?ooo`030;>c/`3oool0oooo00h0oooo5@00000G0?ooo`05
0000003oool0oooo0?ooo`0000000`3oool00`000000oooo000000020?ooo`040000003oool0oooo
000000@0oooo0P0000040?ooo`040000002c/k<0/k>c00000080oooo00<000000?ooo`0000000P3o
ool01P2c/k<000000;>c/`2c/k<0oooo000000d0oooo00<000000?ooo`3oool0/`3oool00`000000
oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`0@0?ooo`030000003oool0oooo02<0oooo
00<0/k>c0?ooo`3oool01`3oool00`2c/k<0oooo0?ooo`0<0?ooo`@000001`3oool6000000L0oooo
1000000C0?ooo`050000003oool0oooo0?ooo`0000000P3oool01P000000oooo0?ooo`000000oooo
00000080oooo00<000000?ooo`3oool00`0000020?ooo`<0000000P0oooo0;>c/`000000/k>c0?oo
o`000000oooo00000080oooo00D000000;>c/`2c/k<000000;>c/`020?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool0/`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo0280oooo00<0/k>c0?ooo`3oool01`3oool00`2c/k<0
oooo0?ooo`0;0?ooo`8000001P3oool5000000H0oooo1@0000050?ooo`8000004@3oool01@000000
oooo0?ooo`3oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`040000003o
ool00000000000P0oooo0P0000002P2c/k<000000?ooo`3oool000000?ooo`000000oooo0;>c/`00
00020;>c/`050000003oool0oooo0?ooo`000000303oool00`000000oooo0?ooo`2c0?ooo`030000
003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0100oooo00<000000?ooo`3oool08@3o
ool00`2c/k<0oooo0?ooo`060?ooo`80/k>c3P3oool00`000000oooo0?ooo`030?ooo`800000403o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00h0oooo00D000000?ooo`3oool0oooo
000000020?ooo`030000003oool000000080oooo00@000000?ooo`000000oooo0P0000000`3oool0
000000000006000000070;>c/`000000/k>c0?ooo`000000oooo000000020?ooo`060000002c/k<0
00000;>c/`3oool000000`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0;80oooo
00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool03`3oool00`000000oooo0?oo
o`0Q0?ooo`030;>c/`3oool0oooo00H0oooo00<0/k>c0?ooo`3oool03@3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00D0oooo1@0000070?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`020?ooo`0<0000003oool000000000003oool0
00000?ooo`000000oooo0000003oool000000P3oool00`000000oooo0?ooo`060?ooo`0:0000002c
/k<000000000003oool000000?ooo`000000oooo00000080/k>c00<000000?ooo`0000000`3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0;80oooo00<000000?ooo`3oool04@3oool1
0=WIf@0000<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0Q0?ooo`030;>c/`3oool0oooo
00D0oooo00<0/k>c0?ooo`3oool03P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0303oool01@000000oooo0?ooo`3oool000000080oooo00L00000
0?ooo`000000oooo0000003oool000000080oooo00<000000?ooo`0000000`3oool400000080oooo
00<0/k>c0000002c/k<00P000000203oool000000?ooo`000000/k>c0000002c/k<000000P3oool0
1@000000oooo0?ooo`3oool0000000`0oooo00<000000?ooo`3oool0/P3oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0200oooo00<0/k>c
0?ooo`3oool01@3oool00`2c/k<0oooo0?ooo`0?0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01@3oool4000000H0oooo0P0000050?ooo`030000003oool0oooo00d0oooo00D00000
0?ooo`3oool0oooo000000020?ooo`0;0000003oool000000?ooo`000000oooo0000003oool00000
0?ooo`0000000P3oool2000000@0oooo0P0000020;>c/`0;0000003oool000000?ooo`000000/k>c
0000002c/k<000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool0000000`0oooo00<00000
0?ooo`3oool0/P3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo01l0oooo00<0/k>c0?ooo`3oool0103oool20;>c/a<0oooo00<000000?oo
o`3oool0103oool2000000`0oooo100000060?ooo`030000003oool0oooo00d0oooo00L000000?oo
o`3oool0oooo0000003oool000000080oooo00/000000?ooo`000000oooo0000003oool000000?oo
o`000000oooo000000070?ooo`0>0;>c/`000000/k>c0000003oool000000?ooo`000000/k>c0000
002c/k<000000?ooo`0000020?ooo`050000003oool0oooo0?ooo`000000303oool00`000000oooo
0?ooo`2b0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo00h0oooo00<0
00000?ooo`3oool07`3oool00`2c/k<0oooo0?ooo`040?ooo`030;>c/`3oool0oooo01@0oooo1000
00040?ooo``000001P3oool400000100oooo01<000000?ooo`3oool0oooo0000003oool000000?oo
o`000000oooo0000003oool000000?ooo`000000oooo0000003oool000000080oooo1`000000402c
/k<000000?ooo`000000oooo0000002c/k<000000;>c/`000000oooo0000003oool000000?ooo`00
00030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0/P3oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`0>0?ooo`030000003oool0oooo01l0oooo00<0/k>c
0?ooo`3oool00`3oool00`2c/k<0oooo0?ooo`0I0?oooaH000004`3oool01@000000oooo0?ooo`3o
ool000000080oooo00H000000?ooo`000000oooo0000003oool4000000030?ooo`000000oooo0080
00001P3oool2000000050;>c/`000000oooo0000002c/k<00P0000001P2c/k<000000?ooo`000000
oooo00000080oooo00D000000?ooo`3oool0oooo0000000;0?ooo`030000003oool0oooo0;80oooo
00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`0N0?ooo`030;>c/`3oool0oooo00<0oooo00<0/k>c0?ooo`3oool0103ooold000000/0oooo00D0
00000?ooo`3oool0oooo000000020?ooo`040000003oool000000?ooo`80000000<0oooo0000003o
ool00P0000020?ooo`030000003oool0oooo00@000000P2c/k<00`000000/k>c0?ooo`0200000003
0;>c/`000000/k>c0080000000@0oooo0000003oool000000P3oool01@000000oooo0?ooo`3oool0
000000`0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo01d0oooo00<0/k>c0?ooo`3oool00`3oool00`2c
/k<0oooo0?ooo`040?ooo`030000003oool0oooo0380oooo100000070?ooo`080000003oool0oooo
0?ooo`000000oooo0000003oool3000000030?ooo`000000oooo0080000000D0oooo0000003oool0
00000?ooo`02000000@0oooo0P0000001@2c/k<000000?ooo`000000/k>c0080000000X0oooo0000
003oool000000?ooo`000000oooo0000003oool000000`3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo0;40oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`0L0?ooo`030;>c/`3oool0oooo0080oooo0P2c/k<60?ooo`030000
003oool0oooo03L0oooo00<000000?ooo`3oool0103oool030000000oooo0?ooo`3oool000000?oo
o`000000oooo0000003oool000000?ooo`80000000L0oooo000000000000oooo0000003oool00000
00H0oooo0P2c/k<010000000oooo0000002c/k<20000000;0;>c/`00000000000?ooo`000000oooo
0000003oool000000?ooo`0000000`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
0;40oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool03P3oool00`000000
oooo0?ooo`0L0?ooo`050;>c/`3oool0oooo0?ooo`2c/k<0203oool00`000000oooo0?ooo`0g0?oo
o`030000003oool0oooo00@0oooo00`000000?ooo`3oool0oooo0000003oool000000?ooo`000000
oooo0000003oool3000000060?ooo`000000oooo0000003oool000000P3oool400000080/k>c00H0
00000?ooo`000000/k>c0000002c/k<3000000080?ooo`000000oooo0000003oool000000?ooo`00
00030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`0=0?ooo`030000003oool0oooo01`0oooo00D0/k>c
0?ooo`3oool0oooo0;>c/`090?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool00`3o
ool02P000000oooo0?ooo`3oool000000?ooo`000000oooo0000003oool2000000040?ooo`000000
00000?ooo`80000000D0oooo0000003oool0oooo000000030?ooo`060;>c/`00000000000?ooo`00
0000/k>c0P000000103oool000000000003oool2000000040?ooo`000000oooo00000080oooo00@0
00000?ooo`3oool00000303oool00`000000oooo0?ooo`2a0?ooo`030000003oool0oooo0140oooo
0@3IfMT000030000003oool0oooo00d0oooo00<000000?ooo`3oool06`3oool01@2c/k<0oooo0?oo
o`3oool0/k>c00T0oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`020?ooo`040000
003oool0oooo00000080oooo00L000000?ooo`00000000000?ooo`000000oooo00<0000000H0oooo
0000003oool000000?ooo`0000040?ooo`80/k>c00H000000?ooo`000000/k>c0000003oool30000
00030?ooo`000000oooo0080000000D0oooo0000003oool0oooo000000020?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo01X0oooo00<0/k>c0?ooo`3oool00P2c/k<:0?oo
o`030000003oool0oooo03X0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`000002
0?ooo`050000003oool000000000003oool00P000000103oool000000000003oool2000000030?oo
o`000000oooo00@0oooo0`2c/k<01@000000/k>c000000000000oooo0080000000@0oooo00000000
0000oooo0P0000001@3oool000000?ooo`3oool0000000<0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`2a0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo
00d0oooo00<000000?ooo`3oool06P3oool00`2c/k<0oooo0;>c/`0<0?ooo`030000003oool0oooo
03X0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`80000000<0oooo
0000003oool00`0000001`3oool000000000003oool000000?ooo`0000000P3oool400000080/k>c
00@000000;>c/`000000oooo0P000000303oool00000000000000000oooo0000003oool000000?oo
o`000000oooo000000<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2a0?ooo`03
0000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo00d0oooo00<000000?ooo`3oool0
6@3oool00`2c/k<0oooo0;>c/`0>0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0
0P3oool02`000000oooo0?ooo`000000oooo0000003oool000000?ooo`000000oooo00H0000000<0
oooo0000000000000P3oool00`000000oooo0?ooo`020;>c/`030000002c/k<0/k>c0080000000@0
oooo000000000000oooo0P0000002@3oool000000000003oool000000?ooo`000000oooo00000003
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?ooo`0A
0?ooo`40fMWI00000`000000oooo0?ooo`0=0?ooo`030000003oool0oooo01P0oooo00<0/k>c0?oo
o`2c/k<03`3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00<0oooo00/000000?oo
o`3oool000000?ooo`000000oooo0000003oool000000?ooo`03000000040?ooo`00000000000?oo
o`8000000P3oool00`000000oooo0?ooo`030;>c/`050000002c/k<000000000003oool00P000000
103oool000000000003oool2000000060?ooo`000000oooo0000003oool000000`3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo0;40oooo00<000000?ooo`3oool04@3oool10=WIf@00
00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0G0?ooo`030;>c/`3oool0/k>c0100oooo
00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`030?ooo`090000003oool0oooo0000003o
ool000000?ooo`000000oooo0080000000<0oooo00000000000010000000103oool000000?ooo`00
00030?ooo`<0/k>c00@000000;>c/`000000oooo0P0000001@3oool00000000000000000oooo0080
000000H0oooo0000003oool000000?ooo`0000030?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0/@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo01L0oooo0P2c/k<B0?ooo`030000003oool0oooo03H0oooo00<000000?oo
o`3oool00`3oool02P000000oooo0?ooo`3oool000000?ooo`000000oooo0000003oool200000005
0?ooo`00000000000000003oool00P000000103oool000000?ooo`0000020?ooo`@0/k>c00@00000
0?ooo`000000oooo0P0000001@3oool00000000000000000oooo0080000000H0oooo0000003oool0
00000?ooo`0000030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0/@3oool00`00
0000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`0=0?ooo`030000003oool0oooo01H0
oooo00<0/k>c0?ooo`3oool04P3oool300000380oooo100000060?ooo`0:0000003oool0oooo0?oo
o`000000oooo0000003oool000000?ooo`80000000D0oooo00000000000000000?ooo`0200000004
0?ooo`000000oooo00000080oooo102c/k<010000000oooo0000003oool2000000050?ooo`000000
00000000003oool00P0000001P3oool000000?ooo`000000oooo000000<0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`2a0?ooo`030000003oool0oooo00@0oooo0`00000:0?ooo`40
fMWI00000`000000oooo0?ooo`0=0?ooo`030000003oool0oooo01D0oooo6@2c/k<b00000080oooo
202c/k<02P000000/k>c0;>c/`2c/k<000000;>c/`000000/k>c0000002c/k<2000000050;>c/`00
000000000000002c/k<00P000000102c/k<000000;>c/`0000050;>c/`050?ooo`000000oooo0000
003oool00P0000001@3oool00000000000000000oooo0080000000H0oooo0000003oool000000?oo
o`0000030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0[P3oool4000000L0oooo
00<000000?ooo`3oool02@3oool10=WIf@0000<000000?ooo`3oool03@3oool00`000000oooo0?oo
o`0n0?oooad000003`3oool02P000000oooo0?ooo`3oool000000?ooo`000000oooo0000003oool2
000000050?ooo`00000000000000003oool00P000000103oool000000?ooo`0000020?ooo`<0/k>c
00D0oooo0000003oool000000?ooo`02000000050?ooo`00000000000000003oool00P0000001P3o
ool000000?ooo`000000oooo000000<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`2a0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool10=WIf@0000<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`0k0?ooo`<00000103oool6000000030?ooo`000000
000000d000000`3oool3000000`0oooo00X000000?ooo`3oool0oooo0000003oool000000?ooo`00
0000oooo0P0000001@3oool00000000000000000oooo0080000000@0oooo0000003oool000001P3o
ool010000000oooo0000003oool2000000050?ooo`00000000000000003oool00P0000001P3oool0
00000?ooo`000000oooo000000<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2a
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool10=WIf@0000<000000?oo
o`3oool03@3oool00`000000oooo0?ooo`0k0?ooo`040000003oool0oooo0?ooo`<000000P3oool5
000000P0oooo100000020?ooo`8000001@3oool00`000000oooo0?ooo`090?ooo`0:0000003oool0
oooo0?ooo`000000oooo0000003oool000000?ooo`80000000D0oooo00000000000000000?ooo`02
000000040?ooo`000000oooo000000H0oooo00@000000?ooo`000000oooo0P0000001@3oool00000
000000000000oooo0080000000H0oooo0000003oool000000?ooo`0000030?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00T0oooo0@3IfMT000030000003oool0oooo00d0oooo00<000000?ooo`3oool0>P3oool01000
0000oooo0?ooo`3oool2000000<0oooo0P0000030?ooo`X000000`3oool200000080oooo0P000004
0?ooo`030000003oool0oooo00P0oooo00X000000?ooo`3oool0oooo0000003oool000000?ooo`00
0000oooo0P0000001@3oool00000000000000000oooo0080000000@0oooo0000003oool000001P3o
ool010000000oooo0000003oool2000000050?ooo`00000000000000003oool00P0000001P3oool0
00000?ooo`000000oooo000000<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2a
0?ooo`030000003oool0oooo00@0oooo0P00000;0?ooo`40fMWI00000`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo03T0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0
000000<0oooo0P00000:0?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00L0oooo00X000000?ooo`3oool0oooo0000003oool000000?oo
o`000000oooo0P000000103oool000000000003oool2000000030?ooo`00000000000080oooo00<0
00000?ooo`3oool00P3oool01@000000oooo0?ooo`000000oooo00<0000000@0oooo000000000000
oooo0P0000001P3oool000000?ooo`000000oooo000000<0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`2a0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool1
0=WIf@0000<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo
0080oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool01`3o
ool020000000oooo0?ooo`3oool000000?ooo`000000oooo0`0000001@3oool00000000000000000
oooo0080000000D0oooo0000003oool000000?ooo`0200000080oooo0P0000001@3oool000000?oo
o`000000oooo0080000000`0oooo00000000000000000?ooo`000000oooo0000003oool000000?oo
o`0000030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0/@3oool00`000000oooo
0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`0=0?ooo`030000003oool0oooo03T0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`800000
1`3oool2000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`8000002@3oool01@000000
oooo0?ooo`3oool000000080oooo00D000000?ooo`00000000000?ooo`02000000040?ooo`000000
00000?ooo`80000000<0oooo0000003oool00P3oool2000000<0oooo00D000000?ooo`0000000000
0?ooo`02000000040?ooo`00000000000?ooo`80000000D0oooo0000003oool0oooo000000030?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?ooo`0A0?oo
o`40fMWI00000`000000oooo0?ooo`0=0?ooo`030000003oool0oooo03X0oooo0P0000030?ooo`80
00000`3oool300000080oooo1`0000020?ooo`@000000P3oool3000000<0oooo00<000000?ooo`3o
ool02@3oool01@000000oooo0?ooo`3oool000000080oooo00D000000?ooo`00000000000?ooo`02
000000060?ooo`00000000000?ooo`000000oooo0`0000060?ooo`<0000000<0oooo0000003oool0
0P000000103oool000000000003oool2000000050?ooo`000000oooo0?ooo`0000000P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0;40oooo00<000000?ooo`3oool04@3oool10=WI
f@0000<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0k0?ooo`800000103oool3000000<0
oooo2`0000030?ooo`<00000103oool2000000`0oooo00D000000?ooo`3oool0oooo000000020?oo
o`050000003oool000000000003oool00P0000000`3oool000000?ooo`02000000050?ooo`000000
oooo0?ooo`0000001@3oool010000000oooo0000003oool2000000030?ooo`000000oooo00800000
00D0oooo000000000000oooo000000020?ooo`040000003oool0oooo000000`0oooo00<000000?oo
o`3oool0/@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo03d0oooo1@0000020?oooa4000000P3oool6000000d0oooo00D000000?ooo`3o
ool0oooo000000020?ooo`040000003oool000000?ooo`80000000@0oooo000000000000oooo0P00
0000103oool000000?ooo`3oool200000080oooo0P0000020?ooo`050000003oool000000000003o
ool00P0000001`3oool000000000003oool000000?ooo`0000000P3oool010000000oooo0?ooo`00
000<0?ooo`030000003oool0oooo0;40oooo00<000000?ooo`3oool04@3oool10=WIf@0000<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0^0?ooo`8000004@3ooolE000001@0oooo00`00000
0?ooo`3oool0oooo0000003oool000000?ooo`000000oooo0000003oool2000000070?ooo`000000
00000?ooo`000000oooo000000030?ooo`8000000`3oool010000000oooo0000003oool200000003
0?ooo`000000oooo0080000000H0oooo0000003oool000000?ooo`0000030?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo02X0oooo100000020?oooc800000203oool03000
0000oooo0?ooo`3oool000000?ooo`000000oooo0000003oool000000?ooo`80000000L0oooo0000
003oool000000?ooo`000000oooo00800000103oool200000080oooo0P0000000`3oool000000?oo
o`02000000080?ooo`000000oooo0000003oool000000?ooo`0000030?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool0/@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0000003oool2
000000030?ooo`00000000000080000000<0oooo0000003oool00P3oool500000080oooo00<00000
0?ooo`0000000`0000000`3oool000000?ooo`02000000050?ooo`000000oooo0?ooo`0000000`3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0;40oooo00<000000?ooo`3oool04@3o
ool10=WIf@0000<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0
oooo03L0oooo0P0000060?ooo`040000003oool0oooo00000080oooo00H000000?ooo`000000oooo
0000003oool2000000050?ooo`000000oooo0000003oool00P0000070?ooo`060000003oool00000
0?ooo`000000oooo0P0000001P3oool000000?ooo`000000oooo00000080oooo00D000000?ooo`3o
ool0oooo0000000;0?ooo`030000003oool0oooo0;80oooo00<000000?ooo`3oool04@3oool10=WI
f@0000<000000?ooo`3oool03P3oool2000002T0oooo00<000000?ooo`3oool0>@3oool2000000D0
oooo00`000000?ooo`3oool0oooo0000003oool000000?ooo`000000oooo0000003oool300000005
0?ooo`000000oooo0000003oool00P0000040?ooo`80000000h0oooo0000003oool000000?ooo`00
0000oooo0000003oool000000?ooo`000000oooo00000080oooo00@000000?ooo`3oool00000303o
ool00`000000oooo0?ooo`2b0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0
oooo00h0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0i0?ooo`030000003oool0
oooo00@0oooo00P000000?ooo`3oool0oooo0000003oool000000?ooo`<0000000P0oooo0000003o
ool000000?ooo`000000oooo000000<0oooo100000030?ooo`080000003oool000000?ooo`000000
oooo0000003oool200000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo0;80oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo03X0oooo00<000000?oo
o`3oool00`3oool01@000000oooo0?ooo`3oool000000080oooo00d000000?ooo`000000oooo0000
003oool000000?ooo`000000oooo0000003oool0000000P0oooo00@000000?ooo`000000oooo0`00
0000103oool000000?ooo`0000020?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`2b0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003o
ool0oooo00l0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0j0?ooo`030000003o
ool0oooo00<0oooo00D000000?ooo`3oool0oooo000000020?ooo`090000003oool000000?ooo`00
0000oooo0000003oool000000080oooo00<000000?ooo`0000001`0000003@3oool000000000003o
ool000000?ooo`000000oooo0000003oool000000?ooo`0000000P3oool01@000000oooo0?ooo`3o
ool0000000`0oooo00<000000?ooo`3oool0/P3oool00`000000oooo0?ooo`0A0?ooo`40fMWI0000
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0>P3oool0
0`000000oooo0?ooo`040?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`080000
003oool000000?ooo`000000oooo0000003oool2000000P0oooo00X000000?ooo`3oool000000?oo
o`000000oooo0000003oool000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0/P3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`0@0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0>`3oool00`00
0000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000000P3oool01@000000oooo0000003o
ool000000080oooo00<000000?ooo`0000000P3oool2000000@0oooo0P0000020?ooo`030000003o
ool000000080oooo00D000000?ooo`000000oooo000000020?ooo`050000003oool0oooo0?ooo`00
00003@3oool00`000000oooo0?ooo`2b0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000
003oool0oooo0100oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0j0?ooo`030000
003oool0oooo00D0oooo00D000000?ooo`3oool0oooo000000020?ooo`060000003oool0oooo0000
003oool000000P3oool010000000oooo0000000000020?ooo`@000000`3oool00`000000oooo0000
00020?ooo`030000003oool000000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo0;<0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<0
00000?ooo`3oool0403oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo03X0oooo00<0
00000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0000000<0oooo00D000000?ooo`000000
oooo000000020?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool0
1@000000oooo0000003oool0000000<0oooo00D000000?ooo`3oool0oooo0000000<0?ooo`030000
003oool0oooo0;<0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0403o
ool2000002L0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`070?ooo`050000003o
ool0oooo0?ooo`0000000P3oool00`000000oooo000000020?ooo`80000000@0oooo0000003oool0
oooo200000020?ooo`040000003oool0000000000080oooo00<000000?ooo`0000000P3oool01000
0000oooo0?ooo`3oool2000000`0oooo00<000000?ooo`3oool0/`3oool00`000000oooo0?ooo`0A
0?ooo`40fMWI00000`000000oooo0?ooo`0A0?ooo`030000003oool0oooo02D0oooo00<000000?oo
o`3oool04`3ooolM000000030?ooo`000000000000D000002P3oool01@000000oooo0?ooo`3oool0
00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00000:0?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool01@000000oooo0?ooo`3oool0
000000d0oooo00<000000?ooo`3oool0/`3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`00
0000oooo0?ooo`0A0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool01P3oool=0000
01d0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool400000080oooo100000020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo0;<0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo00<0oooo0`00000G0?ooo`L00000
7`3oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`00000000000P3oool00`00
0000oooo0?ooo`030?ooo`8000001@3oool010000000oooo0?ooo`0000020?ooo`050000003oool0
oooo0?ooo`0000000`3oool2000000`0oooo00<000000?ooo`3oool0]03oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`0B0?ooo`030000003oool0oooo02@0oooo00@00000
0?ooo`3oool0oooo0P00000E0?ooo`D000001`3oool5000001X0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P0000080?ooo`8000000P3o
ool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo0;@0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<00000
0?ooo`3oool04`3oool00`000000oooo0?ooo`0R0?ooo`8000000P3oool2000001@0oooo0P00000A
0?ooo`8000006@3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000<0oooo00@0
00000?ooo`3oool0oooo200000030?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0]03oool00`000000
oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0280oooo
00D000000?ooo`3oool0oooo0000000E0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3o
ool05`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000@0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000@0oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`2d0?ooo`030000003oool0oooo0140oooo0@3IfMT0
00030000003oool0oooo01<0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo0180oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0F0?oo
o`030000003oool0oooo0080oooo0P0000020?ooo`8000000`3oool2000000P0oooo0P0000030?oo
o`8000000P3oool2000000@0oooo00<000000?ooo`3oool02`3oool200000;H0oooo00<000000?oo
o`3oool04@3oool10=WIf@0000<000000?ooo`3oool0503oool00`000000oooo0?ooo`0P0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo01P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0080oooo200000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0;D0oooo00<000000?ooo`3o
ool04@3oool10=WIf@0000<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0M0?ooo`800000
1`3oool00`000000oooo0?ooo`0C0?ooo`@000002P3oool4000001`0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0
]@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`0E0?ooo`8000007P3o
ool00`000000oooo0?ooo`070?ooo`8000005`3oool:00000200oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`020?ooo`8000002P3oool2000000@0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0;H0oooo00<000000?ooo`3oool04@3o
ool10=WIf@0000<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0
oooo00X0oooo0P0000100?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool4
00000080oooo100000050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool03@3oool0
0`000000oooo0?ooo`2f0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo
01L0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0<0?ooo`@00000?P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0000000L0oooo0P0000080?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`2f0?ooo`030000003oool0oooo
0140oooo0@3IfMT000030000003oool0oooo01L0oooo0P00000I0?ooo`8000004P3oool?000000h0
oooo4@00000@0?ooo`030000003oool0oooo00<0oooo0`00000>0?ooo`8000001P3oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo0;H0oooo00<000000?ooo`3oool04@3oool10=WIf@00
00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0200oooo
3P00000A0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0103oool2000000`0oooo
0P0000060?ooo`8000003`3oool00`000000oooo0?ooo`2g0?ooo`030000003oool0oooo0140oooo
0@3IfMT000030000003oool0oooo01T0oooo00<000000?ooo`3oool0503oool2000004<0oooo0P00
000?0?ooo`030000003oool0oooo00D0oooo0P0000080?ooo`8000001`3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo0;L0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<00000
0?ooo`3oool06P3oool2000001<0oooo0P0000160?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool01P3oool8000000P0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`2h
0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo01/0oooo0`00000?0?oo
o`800000B03oool00`000000oooo0?ooo`0=0?ooo`8000005P3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo0;P0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3o
ool07P3oool00`000000oooo0?ooo`0;0?ooo`800000B@3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo01@0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`2h0?ooo`03
0000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo01h0oooo0`0000080?ooo`<00000
C03oool00`000000oooo0?ooo`0>0?ooo`<00000403oool300000180oooo00<000000?ooo`3oool0
^@3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`0Q0?ooo`P00000C`3o
ool00`000000oooo0?ooo`0@0?ooo`8000003P3oool2000001@0oooo00<000000?ooo`3oool0^@3o
ool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1h0?ooo`030000003oool0
oooo0180oooo0P00000:0?ooo`8000005@3oool00`000000oooo0?ooo`2j0?ooo`030000003oool0
oooo0140oooo0@3IfMT000030000003oool0oooo07P0oooo00<000000?ooo`3oool0503oool:0000
01L0oooo00<000000?ooo`3oool0^P3oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000
oooo0?ooo`1i0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0^`3oool00`000000
oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1i0?ooo`030000003oool0oooo0380oooo
00<000000?ooo`3oool0_03oool00`000000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?oo
o`0P0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0D03oool00`000000oooo0?oo
o`0C0?ooo`800000103oool2000001L0oooo00<000000?ooo`3oool0_03oool00`000000oooo0?oo
o`0A0?ooo`40fMWI00000`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0D03oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool05P3oool00`000000oooo0?ooo`2l0?ooo`030000003oool0oooo0140oooo0@3IfMT0
00030000003oool0oooo0240oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0X0?oo
oaH000004P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool05@3oool00`000000oooo0?ooo`2m0?ooo`030000003oool0oooo0140oooo0@3IfMT00003
0000003oool0oooo0240oooo0P0000040?ooo`8000009@3oool4000001H0oooo1000000>0?ooo`03
0000003oool0oooo01<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0C0?ooo`03
0000003oool0oooo0;h0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0
8@3oool00`000000oooo000000030?ooo`030000003oool0000002<0oooo00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0140oooo100000020?ooo`@00000
4`3oool00`000000oooo0?ooo`2n0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003o
ool0oooo04`0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0=0?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0A0?ooo`030000003o
ool0oooo0;l0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0C03oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0;03oool0
0`000000oooo0?ooo`2o0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo
04d0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0>0?ooo`800000:P3oool20000
0<80oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?ooo`3oool0CP3oool00`000000
oooo0?ooo`0H0?ooo`<000004P3oool00`000000oooo0?ooo`0W0?ooo`800000``3oool00`000000
oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`1?0?ooo`@00000503oool2000001H0oooo
00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`320?ooo`030000003oool0oooo0140oooo
0@3IfMT000030000003oool0oooo05<0oooo1`0000060?ooo`L000006@3oool00`000000oooo0?oo
o`0T0?ooo`030000003oool0oooo0<<0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<00000
0?ooo`3oool0FP3oool600000240oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`34
0?ooo`030000003oool0oooo0140oooo0@3IfMT000030000003oool0oooo0?l0ooooKP3oool00`00
0000oooo0?ooo`0A0?ooo`40fMWI00000`000000oooo0?ooo`3o0?ooofh0oooo00<000000?ooo`3o
ool04@3oool10=WIf@0000<000000?ooo`3oool0o`3ooom^0?ooo`030000003oool0oooo0140oooo
0@3IfMT000030000003oool0oooo0?l0ooooKP3oool00`000000oooo0?ooo`0A0?ooo`40fMWI0000
0`000000oooo0?ooo`3o0?ooofh0oooo00<000000?ooo`3oool04@3oool10=WIf@0000<000000?oo
o`3oool0o`3ooom^0?ooo`030000003oool0oooo0140oooo0@3IfMT00?l00000LP00000C0?ooo`40
fMWI003o0?ooohD0oooo0@3IfMT00?l0ooooQ@3oool10=WIf@00\
\>"],
  ImageRangeCache->{{{0, 388}, {388, 0}} -> {-16.6515, -1.70998, 0.0903992, \
0.00847493}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  ContourGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[80]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Block[{xg = \(-8\), pg = 1, l = 5, h = 2\ sx\ sp\ r, r = 1, sp = 1/6, 
        sx = 1, basethick = 0.008, P = \(-0.7\)}, 
      Plot3D[\((gs1 + gs2 + gs3)\), {x, 
          xg - l - 3\ sx, \(-xg\) + l + 3\ sx}, {p, \(-pg\) - 3\ sp, 
          pg + 3\ sp}, PlotPoints \[Rule] 100, PlotRange \[Rule] {0, 1}, 
        Mesh \[Rule] False]]\)], "Input",
  CellLabel->"In[69]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-2.72135e-17 1.04977 -0.0679587 1.04977 [
[.13842 .20256 -17.9329 -9 ]
[.13842 .20256 .06713 0 ]
[.3345 .12542 -5.5867 -9 ]
[.3345 .12542 .4133 0 ]
[.54622 .04218 -10.3916 -9 ]
[.54622 .04218 1.60844 0 ]
[.75679 .08071 0 -6.17777 ]
[.75679 .08071 12 2.82223 ]
[.8565 .23339 0 -6.03127 ]
[.8565 .23339 6 2.96873 ]
[.9429 .3657 0 -5.9083 ]
[.9429 .3657 6 3.0917 ]
[.02494 .25992 -6 -2.73794 ]
[.02494 .25992 0 6.26206 ]
[.0179 .30404 -18 -2.77522 ]
[.0179 .30404 0 6.22478 ]
[.01066 .34944 -18 -2.81369 ]
[.01066 .34944 0 6.18631 ]
[.0032 .39618 -18 -2.85342 ]
[.0032 .39618 0 6.14658 ]
[-0.00448 .44432 -18 -2.89446 ]
[-0.00448 .44432 0 6.10554 ]
[-0.0124 .49393 -6 -2.93688 ]
[-0.0124 .49393 0 6.06312 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.14766 .21187 m
.15228 .21653 L
s
[(-10)] .13842 .20256 .99254 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(0)] .3345 .12542 .86223 1 Mshowa
.55397 .05277 m
.55784 .05807 L
s
[(10)] .54622 .04218 .73193 1 Mshowa
.125 Mabswid
.18558 .19702 m
.18832 .19985 L
s
.22407 .18195 m
.22677 .18482 L
s
.26314 .16665 m
.2658 .16956 L
s
.3028 .15112 m
.30541 .15406 L
s
.38395 .11935 m
.38647 .12237 L
s
.42547 .10309 m
.42794 .10615 L
s
.46763 .08658 m
.47006 .08968 L
s
.51046 .06981 m
.51284 .07294 L
s
.11029 .2265 m
.1131 .22926 L
s
.07346 .24092 m
.0763 .24365 L
s
.59817 .03546 m
.60044 .03868 L
s
.64309 .01787 m
.6453 .02113 L
s
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.7445 .0853 m
.73835 .08759 L
s
[(-1)] .75679 .08071 -1 .37284 Mshowa
.84407 .23761 m
.83786 .23973 L
s
[(0)] .8565 .23339 -1 .34028 Mshowa
.93037 .36962 m
.92411 .37158 L
s
[(1)] .9429 .3657 -1 .31296 Mshowa
.125 Mabswid
.76562 .11761 m
.76192 .11896 L
s
.78611 .14895 m
.78241 .15028 L
s
.806 .17938 m
.80229 .18068 L
s
.82531 .20892 m
.82159 .2102 L
s
.86231 .2655 m
.85857 .26675 L
s
.88003 .29262 m
.87629 .29385 L
s
.89727 .31899 m
.89353 .3202 L
s
.91405 .34465 m
.9103 .34584 L
s
.72272 .05198 m
.71904 .05338 L
s
.70024 .0176 m
.69657 .01902 L
s
.94627 .39394 m
.94251 .3951 L
s
.96176 .41762 m
.95799 .41877 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03716 .25514 m
.04327 .25274 L
s
[(0)] .02494 .25992 1 -0.39157 Mshowa
.03016 .29934 m
.03628 .29699 L
s
[(0.2)] .0179 .30404 1 -0.38329 Mshowa
.02295 .34483 m
.02909 .34253 L
s
[(0.4)] .01066 .34944 1 -0.37474 Mshowa
.01552 .39167 m
.02169 .38942 L
s
[(0.6)] .0032 .39618 1 -0.36591 Mshowa
.00788 .43991 m
.01406 .43771 L
s
[(0.8)] -0.00448 .44432 1 -0.35679 Mshowa
0 .48963 m
.0062 .48748 L
s
[(1)] -0.0124 .49393 1 -0.34736 Mshowa
.125 Mabswid
.03543 .26607 m
.0391 .26464 L
s
.03368 .27708 m
.03735 .27566 L
s
.03193 .28817 m
.0356 .28676 L
s
.02837 .31059 m
.03205 .30919 L
s
.02658 .32192 m
.03026 .32053 L
s
.02477 .33334 m
.02845 .33195 L
s
.02111 .35641 m
.0248 .35504 L
s
.01926 .36808 m
.02295 .36671 L
s
.0174 .37983 m
.02109 .37847 L
s
.01363 .4036 m
.01733 .40225 L
s
.01173 .41561 m
.01543 .41428 L
s
.00981 .42772 m
.01352 .42639 L
s
.00593 .4522 m
.00964 .45089 L
s
.00397 .46458 m
.00768 .46328 L
s
.00199 .47706 m
.00571 .47576 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
.40529 .59895 m
.03716 .25514 L
s
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.40529 .59895 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.661 .741 .909 r
.40221 .59611 .40529 .59897 .41045 .59744 .40738 .59459 Mtetra
.657 .741 .912 r
.40738 .59459 .41045 .59744 .41562 .59594 .41256 .59312 Mtetra
.651 .742 .916 r
.41256 .59312 .41562 .59594 .4208 .59448 .41774 .59173 Mtetra
.642 .745 .923 r
.41774 .59173 .4208 .59448 .42599 .59308 .42293 .59043 Mtetra
.631 .75 .933 r
.42293 .59043 .42599 .59308 .43118 .59174 .42813 .58926 Mtetra
.619 .759 .945 r
.42813 .58926 .43118 .59174 .43639 .59046 .43333 .58817 Mtetra
.612 .772 .957 r
.43333 .58817 .43639 .59046 .4416 .58919 .43855 .5871 Mtetra
.616 .79 .965 r
.43855 .5871 .4416 .58919 .44683 .58785 .44378 .58593 Mtetra
.632 .808 .967 r
.44378 .58593 .44683 .58785 .45207 .5864 .44903 .58455 Mtetra
.656 .82 .962 r
.44903 .58455 .45207 .5864 .45733 .58478 .45429 .5829 Mtetra
.679 .823 .952 r
.45429 .5829 .45733 .58478 .46259 .58302 .45957 .58101 Mtetra
.693 .815 .94 r
.45957 .58101 .46259 .58302 .46787 .58116 .46486 .57896 Mtetra
.698 .801 .929 r
.46486 .57896 .46787 .58116 .47316 .57927 .47016 .57685 Mtetra
.694 .784 .92 r
.47016 .57685 .47316 .57927 .47846 .57741 .47547 .5748 Mtetra
.687 .77 .914 r
.47547 .5748 .47846 .57741 .48377 .57562 .48079 .57286 Mtetra
.678 .758 .911 r
.48079 .57286 .48377 .57562 .48908 .57389 .48611 .57104 Mtetra
.671 .75 .91 r
.48611 .57104 .48908 .57389 .49441 .57222 .49144 .56933 Mtetra
.665 .746 .911 r
.49144 .56933 .49441 .57222 .49974 .57059 .49679 .56769 Mtetra
.66 .745 .913 r
.49679 .56769 .49974 .57059 .50509 .56898 .50214 .56613 Mtetra
.656 .747 .917 r
.50214 .56613 .50509 .56898 .51044 .5674 .5075 .56462 Mtetra
.652 .751 .922 r
.5075 .56462 .51044 .5674 .51581 .56584 .51287 .56315 Mtetra
.649 .758 .929 r
.51287 .56315 .51581 .56584 .52118 .56427 .51825 .56171 Mtetra
.649 .767 .935 r
.51825 .56171 .52118 .56427 .52657 .5627 .52365 .56024 Mtetra
.652 .776 .94 r
.52365 .56024 .52657 .5627 .53197 .56111 .52905 .55873 Mtetra
.658 .784 .941 r
.52905 .55873 .53197 .56111 .53738 .55949 .53447 .55712 Mtetra
.665 .787 .939 r
.53447 .55712 .53738 .55949 .5428 .55784 .5399 .55541 Mtetra
.671 .785 .934 r
.5399 .55541 .5428 .55784 .54823 .55616 .54533 .55363 Mtetra
.675 .778 .928 r
.54533 .55363 .54823 .55616 .55367 .55447 .55078 .55181 Mtetra
.675 .769 .922 r
.55078 .55181 .55367 .55447 .55912 .55278 .55624 .54999 Mtetra
.673 .76 .916 r
.55624 .54999 .55912 .55278 .56458 .55109 .56171 .5482 Mtetra
.67 .753 .912 r
.56171 .5482 .56458 .55109 .57005 .54941 .56718 .54645 Mtetra
.668 .747 .91 r
.56718 .54645 .57005 .54941 .57553 .54775 .57267 .54474 Mtetra
.666 .744 .909 r
.57267 .54474 .57553 .54775 .58103 .54609 .57817 .54305 Mtetra
.665 .742 .908 r
.57817 .54305 .58103 .54609 .58653 .54443 .58369 .54137 Mtetra
.664 .742 .908 r
.58369 .54137 .58653 .54443 .59205 .54277 .58921 .53971 Mtetra
.663 .741 .908 r
.58921 .53971 .59205 .54277 .59757 .54112 .59474 .53805 Mtetra
.59474 .53805 .59757 .54112 .60311 .53946 .60029 .53639 Mtetra
.663 .742 .909 r
.60029 .53639 .60311 .53946 .60866 .5378 .60585 .53473 Mtetra
.60585 .53473 .60866 .5378 .61422 .53613 .61141 .53307 Mtetra
.663 .743 .909 r
.61141 .53307 .61422 .53613 .61979 .53446 .61699 .53139 Mtetra
.664 .743 .909 r
.61699 .53139 .61979 .53446 .62537 .53278 .62258 .5297 Mtetra
.62258 .5297 .62537 .53278 .63097 .53109 .62818 .528 Mtetra
.665 .743 .908 r
.62818 .528 .63097 .53109 .63657 .5294 .63379 .5263 Mtetra
.63379 .5263 .63657 .5294 .64218 .5277 .63942 .52458 Mtetra
.665 .742 .908 r
.63942 .52458 .64218 .5277 .64781 .526 .64505 .52287 Mtetra
.64505 .52287 .64781 .526 .65345 .52429 .65069 .52116 Mtetra
.664 .741 .907 r
.65069 .52116 .65345 .52429 .6591 .52259 .65635 .51944 Mtetra
.65635 .51944 .6591 .52259 .66476 .52088 .66202 .51773 Mtetra
.66202 .51773 .66476 .52088 .67043 .51918 .6677 .51602 Mtetra
.6677 .51602 .67043 .51918 .67611 .51746 .67339 .5143 Mtetra
.67339 .5143 .67611 .51746 .68181 .51575 .67909 .51258 Mtetra
.67909 .51258 .68181 .51575 .68751 .51403 .68481 .51086 Mtetra
.68481 .51086 .68751 .51403 .69323 .51231 .69053 .50913 Mtetra
.69053 .50913 .69323 .51231 .69896 .51059 .69627 .5074 Mtetra
.69627 .5074 .69896 .51059 .7047 .50886 .70202 .50566 Mtetra
.70202 .50566 .7047 .50886 .71046 .50713 .70778 .50393 Mtetra
.70778 .50393 .71046 .50713 .71622 .5054 .71355 .50219 Mtetra
.71355 .50219 .71622 .5054 .722 .50366 .71934 .50044 Mtetra
.71934 .50044 .722 .50366 .72778 .50192 .72513 .49869 Mtetra
.72513 .49869 .72778 .50192 .73358 .50017 .73094 .49694 Mtetra
.73094 .49694 .73358 .50017 .7394 .49842 .73676 .49519 Mtetra
.73676 .49519 .7394 .49842 .74522 .49667 .74259 .49343 Mtetra
.74259 .49343 .74522 .49667 .75105 .49492 .74844 .49167 Mtetra
.74844 .49167 .75105 .49492 .7569 .49316 .75429 .4899 Mtetra
.75429 .4899 .7569 .49316 .76276 .4914 .76016 .48813 Mtetra
.76016 .48813 .76276 .4914 .76863 .48963 .76604 .48636 Mtetra
.76604 .48636 .76863 .48963 .77451 .48786 .77193 .48458 Mtetra
.77193 .48458 .77451 .48786 .78041 .48609 .77783 .4828 Mtetra
.77783 .4828 .78041 .48609 .78632 .48431 .78375 .48102 Mtetra
.78375 .48102 .78632 .48431 .79223 .48253 .78968 .47923 Mtetra
.78968 .47923 .79223 .48253 .79817 .48074 .79562 .47744 Mtetra
.79562 .47744 .79817 .48074 .80411 .47895 .80157 .47564 Mtetra
.80157 .47564 .80411 .47895 .81007 .47716 .80753 .47384 Mtetra
.80753 .47384 .81007 .47716 .81603 .47537 .81351 .47204 Mtetra
.81351 .47204 .81603 .47537 .82201 .47357 .8195 .47024 Mtetra
.8195 .47024 .82201 .47357 .82801 .47176 .8255 .46843 Mtetra
.8255 .46843 .82801 .47176 .83401 .46996 .83152 .46661 Mtetra
.83152 .46661 .83401 .46996 .84003 .46815 .83754 .46479 Mtetra
.83754 .46479 .84003 .46815 .84606 .46633 .84358 .46297 Mtetra
.84358 .46297 .84606 .46633 .8521 .46451 .84963 .46115 Mtetra
.84963 .46115 .8521 .46451 .85816 .46269 .8557 .45932 Mtetra
.8557 .45932 .85816 .46269 .86423 .46087 .86177 .45749 Mtetra
.86177 .45749 .86423 .46087 .87031 .45904 .86786 .45565 Mtetra
.86786 .45565 .87031 .45904 .8764 .4572 .87397 .45381 Mtetra
.87397 .45381 .8764 .4572 .88251 .45537 .88008 .45196 Mtetra
.88008 .45196 .88251 .45537 .88863 .45353 .88621 .45012 Mtetra
.88621 .45012 .88863 .45353 .89476 .45168 .89235 .44826 Mtetra
.89235 .44826 .89476 .45168 .9009 .44983 .8985 .44641 Mtetra
.8985 .44641 .9009 .44983 .90706 .44798 .90467 .44455 Mtetra
.90467 .44455 .90706 .44798 .91323 .44612 .91085 .44269 Mtetra
.91085 .44269 .91323 .44612 .91941 .44426 .91704 .44082 Mtetra
.91704 .44082 .91941 .44426 .92561 .4424 .92325 .43895 Mtetra
.92325 .43895 .92561 .4424 .93182 .44053 .92947 .43707 Mtetra
.92947 .43707 .93182 .44053 .93804 .43866 .9357 .43519 Mtetra
.9357 .43519 .93804 .43866 .94427 .43678 .94194 .43331 Mtetra
.94194 .43331 .94427 .43678 .95052 .4349 .9482 .43142 Mtetra
.9482 .43142 .95052 .4349 .95678 .43302 .95447 .42953 Mtetra
.95447 .42953 .95678 .43302 .96306 .43113 .96076 .42763 Mtetra
.96076 .42763 .96306 .43113 .96935 .42924 .96706 .42573 Mtetra
.659 .741 .911 r
.39913 .59325 .40221 .59611 .40738 .59459 .4043 .59175 Mtetra
.653 .741 .914 r
.4043 .59175 .40738 .59459 .41256 .59312 .40948 .59034 Mtetra
.642 .742 .922 r
.40948 .59034 .41256 .59312 .41774 .59173 .41467 .58904 Mtetra
.626 .746 .933 r
.41467 .58904 .41774 .59173 .42293 .59043 .41986 .58792 Mtetra
.604 .753 .949 r
.41986 .58792 .42293 .59043 .42813 .58926 .42506 .58699 Mtetra
.578 .765 .967 r
.42506 .58699 .42813 .58926 .43333 .58817 .43026 .58621 Mtetra
.558 .785 .984 r
.43026 .58621 .43333 .58817 .43855 .5871 .43548 .58546 Mtetra
.558 .812 .993 r
.43548 .58546 .43855 .5871 .44378 .58593 .44071 .58455 Mtetra
.586 .843 .993 r
.44071 .58455 .44378 .58593 .44903 .58455 .44596 .5833 Mtetra
.635 .867 .985 r
.44596 .5833 .44903 .58455 .45429 .5829 .45124 .58161 Mtetra
.682 .872 .97 r
.45124 .58161 .45429 .5829 .45957 .58101 .45653 .57952 Mtetra
.711 .859 .953 r
.45653 .57952 .45957 .58101 .46486 .57896 .46183 .57716 Mtetra
.719 .836 .937 r
.46183 .57716 .46486 .57896 .47016 .57685 .46715 .57472 Mtetra
.714 .81 .925 r
.46715 .57472 .47016 .57685 .47547 .5748 .47247 .57237 Mtetra
.702 .786 .917 r
.47247 .57237 .47547 .5748 .48079 .57286 .4778 .57021 Mtetra
.688 .768 .912 r
.4778 .57021 .48079 .57286 .48611 .57104 .48313 .56823 Mtetra
.677 .755 .91 r
.48313 .56823 .48611 .57104 .49144 .56933 .48847 .56643 Mtetra
.668 .747 .91 r
.48847 .56643 .49144 .56933 .49679 .56769 .49382 .56476 Mtetra
.661 .743 .911 r
.49382 .56476 .49679 .56769 .50214 .56613 .49918 .56318 Mtetra
.655 .741 .913 r
.49918 .56318 .50214 .56613 .5075 .56462 .50454 .56167 Mtetra
.651 .74 .915 r
.50454 .56167 .5075 .56462 .51287 .56315 .50992 .56022 Mtetra
.649 .741 .917 r
.50992 .56022 .51287 .56315 .51825 .56171 .51531 .5588 Mtetra
.65 .743 .918 r
.51531 .5588 .51825 .56171 .52365 .56024 .52072 .55735 Mtetra
.654 .746 .917 r
.52072 .55735 .52365 .56024 .52905 .55873 .52613 .55584 Mtetra
.661 .749 .915 r
.52613 .55584 .52905 .55873 .53447 .55712 .53155 .55423 Mtetra
.669 .752 .912 r
.53155 .55423 .53447 .55712 .5399 .55541 .53699 .55251 Mtetra
.675 .752 .909 r
.53699 .55251 .5399 .55541 .54533 .55363 .54243 .5507 Mtetra
.677 .752 .907 r
.54243 .5507 .54533 .55363 .55078 .55181 .54788 .54885 Mtetra
.677 .75 .906 r
.54788 .54885 .55078 .55181 .55624 .54999 .55335 .547 Mtetra
.675 .747 .906 r
.55335 .547 .55624 .54999 .56171 .5482 .55882 .54518 Mtetra
.671 .745 .906 r
.55882 .54518 .56171 .5482 .56718 .54645 .56431 .54341 Mtetra
.668 .743 .906 r
.56431 .54341 .56718 .54645 .57267 .54474 .56981 .54168 Mtetra
.666 .742 .907 r
.56981 .54168 .57267 .54474 .57817 .54305 .57531 .53998 Mtetra
.664 .741 .907 r
.57531 .53998 .57817 .54305 .58369 .54137 .58083 .5383 Mtetra
.663 .741 .908 r
.58083 .5383 .58369 .54137 .58921 .53971 .58636 .53664 Mtetra
.58636 .53664 .58921 .53971 .59474 .53805 .5919 .53498 Mtetra
.662 .742 .909 r
.5919 .53498 .59474 .53805 .60029 .53639 .59746 .53333 Mtetra
.662 .742 .91 r
.59746 .53333 .60029 .53639 .60585 .53473 .60302 .53167 Mtetra
.662 .743 .91 r
.60302 .53167 .60585 .53473 .61141 .53307 .6086 .53001 Mtetra
.663 .744 .91 r
.6086 .53001 .61141 .53307 .61699 .53139 .61418 .52833 Mtetra
.664 .744 .91 r
.61418 .52833 .61699 .53139 .62258 .5297 .61978 .52663 Mtetra
.665 .745 .91 r
.61978 .52663 .62258 .5297 .62818 .528 .62539 .52492 Mtetra
.665 .744 .909 r
.62539 .52492 .62818 .528 .63379 .5263 .63101 .5232 Mtetra
.666 .744 .908 r
.63101 .5232 .63379 .5263 .63942 .52458 .63664 .52147 Mtetra
.665 .743 .908 r
.63664 .52147 .63942 .52458 .64505 .52287 .64228 .51974 Mtetra
.665 .742 .908 r
.64228 .51974 .64505 .52287 .65069 .52116 .64793 .51801 Mtetra
.665 .742 .907 r
.64793 .51801 .65069 .52116 .65635 .51944 .65359 .51629 Mtetra
.664 .741 .907 r
.65359 .51629 .65635 .51944 .66202 .51773 .65927 .51457 Mtetra
.65927 .51457 .66202 .51773 .6677 .51602 .66496 .51285 Mtetra
.66496 .51285 .6677 .51602 .67339 .5143 .67066 .51112 Mtetra
.67066 .51112 .67339 .5143 .67909 .51258 .67637 .50939 Mtetra
.67637 .50939 .67909 .51258 .68481 .51086 .68209 .50766 Mtetra
.68209 .50766 .68481 .51086 .69053 .50913 .68782 .50593 Mtetra
.68782 .50593 .69053 .50913 .69627 .5074 .69357 .50419 Mtetra
.69357 .50419 .69627 .5074 .70202 .50566 .69933 .50245 Mtetra
.69933 .50245 .70202 .50566 .70778 .50393 .7051 .50071 Mtetra
.7051 .50071 .70778 .50393 .71355 .50219 .71088 .49896 Mtetra
.71088 .49896 .71355 .50219 .71934 .50044 .71667 .49721 Mtetra
.71667 .49721 .71934 .50044 .72513 .49869 .72247 .49546 Mtetra
.72247 .49546 .72513 .49869 .73094 .49694 .72829 .4937 Mtetra
.72829 .4937 .73094 .49694 .73676 .49519 .73412 .49194 Mtetra
.73412 .49194 .73676 .49519 .74259 .49343 .73996 .49017 Mtetra
.73996 .49017 .74259 .49343 .74844 .49167 .74581 .4884 Mtetra
.74581 .4884 .74844 .49167 .75429 .4899 .75167 .48663 Mtetra
.75167 .48663 .75429 .4899 .76016 .48813 .75755 .48485 Mtetra
.75755 .48485 .76016 .48813 .76604 .48636 .76344 .48308 Mtetra
.76344 .48308 .76604 .48636 .77193 .48458 .76934 .48129 Mtetra
.76934 .48129 .77193 .48458 .77783 .4828 .77525 .4795 Mtetra
.77525 .4795 .77783 .4828 .78375 .48102 .78117 .47771 Mtetra
.78117 .47771 .78375 .48102 .78968 .47923 .78711 .47592 Mtetra
.78711 .47592 .78968 .47923 .79562 .47744 .79306 .47412 Mtetra
.79306 .47412 .79562 .47744 .80157 .47564 .79902 .47232 Mtetra
.79902 .47232 .80157 .47564 .80753 .47384 .80499 .47051 Mtetra
.80499 .47051 .80753 .47384 .81351 .47204 .81098 .4687 Mtetra
.81098 .4687 .81351 .47204 .8195 .47024 .81698 .46689 Mtetra
.81698 .46689 .8195 .47024 .8255 .46843 .82299 .46507 Mtetra
.82299 .46507 .8255 .46843 .83152 .46661 .82901 .46325 Mtetra
.82901 .46325 .83152 .46661 .83754 .46479 .83504 .46143 Mtetra
.83504 .46143 .83754 .46479 .84358 .46297 .84109 .4596 Mtetra
.84109 .4596 .84358 .46297 .84963 .46115 .84715 .45777 Mtetra
.84715 .45777 .84963 .46115 .8557 .45932 .85323 .45593 Mtetra
.85323 .45593 .8557 .45932 .86177 .45749 .85931 .45409 Mtetra
.85931 .45409 .86177 .45749 .86786 .45565 .86541 .45225 Mtetra
.86541 .45225 .86786 .45565 .87397 .45381 .87152 .4504 Mtetra
.87152 .4504 .87397 .45381 .88008 .45196 .87765 .44855 Mtetra
.87765 .44855 .88008 .45196 .88621 .45012 .88379 .44669 Mtetra
.88379 .44669 .88621 .45012 .89235 .44826 .88994 .44484 Mtetra
.88994 .44484 .89235 .44826 .8985 .44641 .8961 .44297 Mtetra
.8961 .44297 .8985 .44641 .90467 .44455 .90227 .44111 Mtetra
.90227 .44111 .90467 .44455 .91085 .44269 .90846 .43923 Mtetra
.90846 .43923 .91085 .44269 .91704 .44082 .91467 .43736 Mtetra
.91467 .43736 .91704 .44082 .92325 .43895 .92088 .43548 Mtetra
.92088 .43548 .92325 .43895 .92947 .43707 .92711 .4336 Mtetra
.92711 .4336 .92947 .43707 .9357 .43519 .93335 .43171 Mtetra
.93335 .43171 .9357 .43519 .94194 .43331 .93961 .42982 Mtetra
.93961 .42982 .94194 .43331 .9482 .43142 .94587 .42793 Mtetra
.94587 .42793 .9482 .43142 .95447 .42953 .95216 .42603 Mtetra
.95216 .42603 .95447 .42953 .96076 .42763 .95845 .42412 Mtetra
.95845 .42412 .96076 .42763 .96706 .42573 .96476 .42222 Mtetra
.656 .741 .912 r
.39604 .59039 .39913 .59325 .4043 .59175 .40121 .58893 Mtetra
.646 .741 .918 r
.40121 .58893 .4043 .59175 .40948 .59034 .40639 .58759 Mtetra
.628 .742 .93 r
.40639 .58759 .40948 .59034 .41467 .58904 .41158 .58646 Mtetra
.598 .746 .947 r
.41158 .58646 .41467 .58904 .41986 .58792 .41677 .5856 Mtetra
.552 .752 .97 r
.41677 .5856 .41986 .58792 .42506 .58699 .42196 .58505 Mtetra
.49 .761 .991 r
.42196 .58505 .42506 .58699 .43026 .58621 .42716 .58474 Mtetra
.427 .775 .997 r
.42716 .58474 .43026 .58621 .43548 .58546 .43237 .58446 Mtetra
.402 .802 .984 r
.43237 .58446 .43548 .58546 .44071 .58455 .4376 .58394 Mtetra
.452 .851 .973 r
.4376 .58394 .44071 .58455 .44596 .5833 .44286 .58289 Mtetra
.561 .906 .973 r
.44286 .58289 .44596 .5833 .45124 .58161 .44815 .58114 Mtetra
.668 .932 .97 r
.44815 .58114 .45124 .58161 .45653 .57952 .45346 .57874 Mtetra
.731 .919 .956 r
.45346 .57874 .45653 .57952 .46183 .57716 .45878 .57593 Mtetra
.75 .884 .94 r
.45878 .57593 .46183 .57716 .46715 .57472 .46411 .57299 Mtetra
.743 .844 .927 r
.46411 .57299 .46715 .57472 .47247 .57237 .46945 .57019 Mtetra
.724 .809 .917 r
.46945 .57019 .47247 .57237 .4778 .57021 .47479 .56768 Mtetra
.704 .781 .912 r
.47479 .56768 .4778 .57021 .48313 .56823 .48013 .56547 Mtetra
.687 .761 .908 r
.48013 .56547 .48313 .56823 .48847 .56643 .48548 .5635 Mtetra
.677 .748 .904 r
.48548 .5635 .48847 .56643 .49382 .56476 .49084 .56168 Mtetra
.671 .737 .9 r
.49084 .56168 .49382 .56476 .49918 .56318 .49621 .55996 Mtetra
.664 .727 .896 r
.49621 .55996 .49918 .56318 .50454 .56167 .50158 .55833 Mtetra
.664 .72 .89 r
.50158 .55833 .50454 .56167 .50992 .56022 .50697 .5567 Mtetra
.664 .709 .882 r
.50697 .5567 .50992 .56022 .51531 .5588 .51237 .55506 Mtetra
.663 .698 .872 r
.51237 .55506 .51531 .5588 .52072 .55735 .51777 .55342 Mtetra
.662 .688 .864 r
.51777 .55342 .52072 .55735 .52613 .55584 .52319 .55178 Mtetra
.662 .681 .858 r
.52319 .55178 .52613 .55584 .53155 .55423 .52862 .55014 Mtetra
.661 .68 .857 r
.52862 .55014 .53155 .55423 .53699 .55251 .53406 .54849 Mtetra
.662 .684 .86 r
.53406 .54849 .53699 .55251 .54243 .5507 .53951 .54684 Mtetra
.663 .693 .868 r
.53951 .54684 .54243 .5507 .54788 .54885 .54497 .54518 Mtetra
.663 .704 .877 r
.54497 .54518 .54788 .54885 .55335 .547 .55044 .54352 Mtetra
.664 .715 .887 r
.55044 .54352 .55335 .547 .55882 .54518 .55593 .54186 Mtetra
.664 .725 .894 r
.55593 .54186 .55882 .54518 .56431 .54341 .56142 .5402 Mtetra
.664 .732 .9 r
.56142 .5402 .56431 .54341 .56981 .54168 .56692 .53853 Mtetra
.664 .736 .904 r
.56692 .53853 .56981 .54168 .57531 .53998 .57244 .53686 Mtetra
.663 .738 .906 r
.57244 .53686 .57531 .53998 .58083 .5383 .57797 .53521 Mtetra
.662 .74 .908 r
.57797 .53521 .58083 .5383 .58636 .53664 .58351 .53356 Mtetra
.662 .741 .909 r
.58351 .53356 .58636 .53664 .5919 .53498 .58905 .53191 Mtetra
.661 .742 .91 r
.58905 .53191 .5919 .53498 .59746 .53333 .59462 .53027 Mtetra
.661 .743 .911 r
.59462 .53027 .59746 .53333 .60302 .53167 .60019 .52862 Mtetra
.662 .744 .911 r
.60019 .52862 .60302 .53167 .6086 .53001 .60577 .52696 Mtetra
.663 .745 .912 r
.60577 .52696 .6086 .53001 .61418 .52833 .61136 .52528 Mtetra
.664 .746 .911 r
.61136 .52528 .61418 .52833 .61978 .52663 .61697 .52358 Mtetra
.665 .746 .911 r
.61697 .52358 .61978 .52663 .62539 .52492 .62258 .52185 Mtetra
.666 .746 .91 r
.62258 .52185 .62539 .52492 .63101 .5232 .62821 .52011 Mtetra
.667 .745 .909 r
.62821 .52011 .63101 .5232 .63664 .52147 .63385 .51836 Mtetra
.666 .744 .908 r
.63385 .51836 .63664 .52147 .64228 .51974 .6395 .51661 Mtetra
.666 .743 .908 r
.6395 .51661 .64228 .51974 .64793 .51801 .64516 .51486 Mtetra
.665 .742 .908 r
.64516 .51486 .64793 .51801 .65359 .51629 .65083 .51313 Mtetra
.665 .742 .907 r
.65083 .51313 .65359 .51629 .65927 .51457 .65651 .5114 Mtetra
.664 .741 .907 r
.65651 .5114 .65927 .51457 .66496 .51285 .66221 .50966 Mtetra
.66221 .50966 .66496 .51285 .67066 .51112 .66791 .50793 Mtetra
.66791 .50793 .67066 .51112 .67637 .50939 .67363 .5062 Mtetra
.67363 .5062 .67637 .50939 .68209 .50766 .67936 .50446 Mtetra
.67936 .50446 .68209 .50766 .68782 .50593 .6851 .50272 Mtetra
.6851 .50272 .68782 .50593 .69357 .50419 .69086 .50098 Mtetra
.69086 .50098 .69357 .50419 .69933 .50245 .69662 .49923 Mtetra
.69662 .49923 .69933 .50245 .7051 .50071 .7024 .49748 Mtetra
.7024 .49748 .7051 .50071 .71088 .49896 .70819 .49573 Mtetra
.70819 .49573 .71088 .49896 .71667 .49721 .71399 .49397 Mtetra
.71399 .49397 .71667 .49721 .72247 .49546 .7198 .49221 Mtetra
.7198 .49221 .72247 .49546 .72829 .4937 .72563 .49044 Mtetra
.72563 .49044 .72829 .4937 .73412 .49194 .73146 .48868 Mtetra
.73146 .48868 .73412 .49194 .73996 .49017 .73731 .4869 Mtetra
.73731 .4869 .73996 .49017 .74581 .4884 .74317 .48513 Mtetra
.74317 .48513 .74581 .4884 .75167 .48663 .74904 .48335 Mtetra
.74904 .48335 .75167 .48663 .75755 .48485 .75493 .48157 Mtetra
.75493 .48157 .75755 .48485 .76344 .48308 .76082 .47978 Mtetra
.76082 .47978 .76344 .48308 .76934 .48129 .76673 .47799 Mtetra
.76673 .47799 .76934 .48129 .77525 .4795 .77265 .4762 Mtetra
.77265 .4762 .77525 .4795 .78117 .47771 .77858 .4744 Mtetra
.77858 .4744 .78117 .47771 .78711 .47592 .78453 .4726 Mtetra
.78453 .4726 .78711 .47592 .79306 .47412 .79049 .47079 Mtetra
.79049 .47079 .79306 .47412 .79902 .47232 .79646 .46898 Mtetra
.79646 .46898 .79902 .47232 .80499 .47051 .80244 .46717 Mtetra
.80244 .46717 .80499 .47051 .81098 .4687 .80843 .46535 Mtetra
.80843 .46535 .81098 .4687 .81698 .46689 .81444 .46353 Mtetra
.81444 .46353 .81698 .46689 .82299 .46507 .82046 .46171 Mtetra
.82046 .46171 .82299 .46507 .82901 .46325 .82649 .45988 Mtetra
.82649 .45988 .82901 .46325 .83504 .46143 .83254 .45805 Mtetra
.83254 .45805 .83504 .46143 .84109 .4596 .83859 .45621 Mtetra
.83859 .45621 .84109 .4596 .84715 .45777 .84466 .45438 Mtetra
.84466 .45438 .84715 .45777 .85323 .45593 .85075 .45253 Mtetra
.85075 .45253 .85323 .45593 .85931 .45409 .85684 .45069 Mtetra
.85684 .45069 .85931 .45409 .86541 .45225 .86295 .44883 Mtetra
.86295 .44883 .86541 .45225 .87152 .4504 .86907 .44698 Mtetra
.86907 .44698 .87152 .4504 .87765 .44855 .87521 .44512 Mtetra
.87521 .44512 .87765 .44855 .88379 .44669 .88135 .44326 Mtetra
.88135 .44326 .88379 .44669 .88994 .44484 .88751 .44139 Mtetra
.88751 .44139 .88994 .44484 .8961 .44297 .89368 .43952 Mtetra
.89368 .43952 .8961 .44297 .90227 .44111 .89987 .43765 Mtetra
.89987 .43765 .90227 .44111 .90846 .43923 .90607 .43577 Mtetra
.90607 .43577 .90846 .43923 .91467 .43736 .91228 .43389 Mtetra
.91228 .43389 .91467 .43736 .92088 .43548 .9185 .432 Mtetra
.9185 .432 .92088 .43548 .92711 .4336 .92474 .43011 Mtetra
.92474 .43011 .92711 .4336 .93335 .43171 .93099 .42822 Mtetra
.93099 .42822 .93335 .43171 .93961 .42982 .93726 .42632 Mtetra
.93726 .42632 .93961 .42982 .94587 .42793 .94354 .42442 Mtetra
.94354 .42442 .94587 .42793 .95216 .42603 .94983 .42251 Mtetra
.94983 .42251 .95216 .42603 .95845 .42412 .95613 .4206 Mtetra
.95613 .4206 .95845 .42412 .96476 .42222 .96245 .41869 Mtetra
.651 .74 .915 r
.39293 .58753 .39604 .59039 .40121 .58893 .39811 .58613 Mtetra
.635 .74 .924 r
.39811 .58613 .40121 .58893 .40639 .58759 .40329 .58491 Mtetra
.605 .741 .941 r
.40329 .58491 .40639 .58759 .41158 .58646 .40848 .58401 Mtetra
.549 .741 .965 r
.40848 .58401 .41158 .58646 .41677 .5856 .41366 .58353 Mtetra
.447 .734 .988 r
.41366 .58353 .41677 .5856 .42196 .58505 .41884 .58353 Mtetra
.284 .702 .971 r
.41884 .58353 .42196 .58505 .42716 .58474 .42403 .5839 Mtetra
.101 .633 .867 r
.42403 .5839 .42716 .58474 .43237 .58446 .42923 .58433 Mtetra
.021 .594 .74 r
.42923 .58433 .43237 .58446 .4376 .58394 .43445 .58438 Mtetra
.108 .659 .706 r
.43445 .58438 .4376 .58394 .44286 .58289 .43971 .58361 Mtetra
.334 .814 .779 r
.43971 .58361 .44286 .58289 .44815 .58114 .44501 .58178 Mtetra
.585 .946 .875 r
.44501 .58178 .44815 .58114 .45346 .57874 .45035 .57895 Mtetra
.738 .977 .921 r
.45035 .57895 .45346 .57874 .45878 .57593 .4557 .57547 Mtetra
.787 .941 .927 r
.4557 .57547 .45878 .57593 .46411 .57299 .46106 .57181 Mtetra
.782 .888 .921 r
.46106 .57181 .46411 .57299 .46945 .57019 .46641 .56836 Mtetra
.755 .838 .915 r
.46641 .56836 .46945 .57019 .47479 .56768 .47177 .56534 Mtetra
.726 .798 .909 r
.47177 .56534 .47479 .56768 .48013 .56547 .47713 .56277 Mtetra
.704 .77 .904 r
.47713 .56277 .48013 .56547 .48548 .5635 .48249 .56054 Mtetra
.685 .749 .9 r
.48249 .56054 .48548 .5635 .49084 .56168 .48785 .55858 Mtetra
.664 .734 .902 r
.48785 .55858 .49084 .56168 .49621 .55996 .49323 .55695 Mtetra
.664 .741 .907 r
.49323 .55695 .49621 .55996 .50158 .55833 .49861 .55531 Mtetra
.49861 .55531 .50158 .55833 .50697 .5567 .504 .55368 Mtetra
.504 .55368 .50697 .5567 .51237 .55506 .5094 .55203 Mtetra
.5094 .55203 .51237 .55506 .51777 .55342 .51482 .55039 Mtetra
.51482 .55039 .51777 .55342 .52319 .55178 .52024 .54874 Mtetra
.52024 .54874 .52319 .55178 .52862 .55014 .52568 .54709 Mtetra
.52568 .54709 .52862 .55014 .53406 .54849 .53113 .54544 Mtetra
.53113 .54544 .53406 .54849 .53951 .54684 .53658 .54378 Mtetra
.53658 .54378 .53951 .54684 .54497 .54518 .54205 .54212 Mtetra
.54205 .54212 .54497 .54518 .55044 .54352 .54753 .54046 Mtetra
.54753 .54046 .55044 .54352 .55593 .54186 .55302 .53879 Mtetra
.55302 .53879 .55593 .54186 .56142 .5402 .55852 .53712 Mtetra
.55852 .53712 .56142 .5402 .56692 .53853 .56403 .53544 Mtetra
.56403 .53544 .56692 .53853 .57244 .53686 .56956 .53377 Mtetra
.663 .74 .907 r
.56956 .53377 .57244 .53686 .57797 .53521 .57509 .53209 Mtetra
.66 .738 .908 r
.57509 .53209 .57797 .53521 .58351 .53356 .58064 .53047 Mtetra
.66 .741 .91 r
.58064 .53047 .58351 .53356 .58905 .53191 .58619 .52884 Mtetra
.659 .742 .911 r
.58619 .52884 .58905 .53191 .59462 .53027 .59176 .52721 Mtetra
.659 .744 .912 r
.59176 .52721 .59462 .53027 .60019 .52862 .59734 .52558 Mtetra
.66 .746 .913 r
.59734 .52558 .60019 .52862 .60577 .52696 .60293 .52394 Mtetra
.662 .747 .914 r
.60293 .52394 .60577 .52696 .61136 .52528 .60854 .52226 Mtetra
.664 .749 .913 r
.60854 .52226 .61136 .52528 .61697 .52358 .61415 .52055 Mtetra
.666 .749 .912 r
.61415 .52055 .61697 .52358 .62258 .52185 .61977 .5188 Mtetra
.668 .748 .911 r
.61977 .5188 .62258 .52185 .62821 .52011 .6254 .51703 Mtetra
.668 .747 .91 r
.6254 .51703 .62821 .52011 .63385 .51836 .63105 .51525 Mtetra
.668 .746 .909 r
.63105 .51525 .63385 .51836 .6395 .51661 .6367 .51347 Mtetra
.667 .744 .908 r
.6367 .51347 .6395 .51661 .64516 .51486 .64237 .51171 Mtetra
.666 .743 .908 r
.64237 .51171 .64516 .51486 .65083 .51313 .64805 .50996 Mtetra
.665 .742 .907 r
.64805 .50996 .65083 .51313 .65651 .5114 .65374 .50821 Mtetra
.664 .741 .907 r
.65374 .50821 .65651 .5114 .66221 .50966 .65945 .50647 Mtetra
.65945 .50647 .66221 .50966 .66791 .50793 .66516 .50473 Mtetra
.66516 .50473 .66791 .50793 .67363 .5062 .67089 .50299 Mtetra
.67089 .50299 .67363 .5062 .67936 .50446 .67662 .50125 Mtetra
.67662 .50125 .67936 .50446 .6851 .50272 .68237 .4995 Mtetra
.68237 .4995 .6851 .50272 .69086 .50098 .68814 .49775 Mtetra
.68814 .49775 .69086 .50098 .69662 .49923 .69391 .496 Mtetra
.69391 .496 .69662 .49923 .7024 .49748 .69969 .49424 Mtetra
.69969 .49424 .7024 .49748 .70819 .49573 .70549 .49248 Mtetra
.70549 .49248 .70819 .49573 .71399 .49397 .7113 .49072 Mtetra
.7113 .49072 .71399 .49397 .7198 .49221 .71712 .48895 Mtetra
.71712 .48895 .7198 .49221 .72563 .49044 .72295 .48718 Mtetra
.72295 .48718 .72563 .49044 .73146 .48868 .7288 .4854 Mtetra
.7288 .4854 .73146 .48868 .73731 .4869 .73465 .48362 Mtetra
.73465 .48362 .73731 .4869 .74317 .48513 .74052 .48184 Mtetra
.74052 .48184 .74317 .48513 .74904 .48335 .7464 .48005 Mtetra
.7464 .48005 .74904 .48335 .75493 .48157 .7523 .47827 Mtetra
.7523 .47827 .75493 .48157 .76082 .47978 .7582 .47647 Mtetra
.7582 .47647 .76082 .47978 .76673 .47799 .76412 .47467 Mtetra
.76412 .47467 .76673 .47799 .77265 .4762 .77005 .47287 Mtetra
.77005 .47287 .77265 .4762 .77858 .4744 .77599 .47107 Mtetra
.77599 .47107 .77858 .4744 .78453 .4726 .78194 .46926 Mtetra
.78194 .46926 .78453 .4726 .79049 .47079 .78791 .46745 Mtetra
.78791 .46745 .79049 .47079 .79646 .46898 .79389 .46563 Mtetra
.79389 .46563 .79646 .46898 .80244 .46717 .79988 .46381 Mtetra
.79988 .46381 .80244 .46717 .80843 .46535 .80588 .46199 Mtetra
.80588 .46199 .80843 .46535 .81444 .46353 .8119 .46016 Mtetra
.8119 .46016 .81444 .46353 .82046 .46171 .81793 .45833 Mtetra
.81793 .45833 .82046 .46171 .82649 .45988 .82397 .4565 Mtetra
.82397 .4565 .82649 .45988 .83254 .45805 .83002 .45466 Mtetra
.83002 .45466 .83254 .45805 .83859 .45621 .83609 .45282 Mtetra
.83609 .45282 .83859 .45621 .84466 .45438 .84217 .45097 Mtetra
.84217 .45097 .84466 .45438 .85075 .45253 .84826 .44912 Mtetra
.84826 .44912 .85075 .45253 .85684 .45069 .85436 .44727 Mtetra
.85436 .44727 .85684 .45069 .86295 .44883 .86048 .44541 Mtetra
.86048 .44541 .86295 .44883 .86907 .44698 .86661 .44355 Mtetra
.86661 .44355 .86907 .44698 .87521 .44512 .87275 .44168 Mtetra
.87275 .44168 .87521 .44512 .88135 .44326 .87891 .43981 Mtetra
.87891 .43981 .88135 .44326 .88751 .44139 .88508 .43794 Mtetra
.88508 .43794 .88751 .44139 .89368 .43952 .89126 .43606 Mtetra
.89126 .43606 .89368 .43952 .89987 .43765 .89745 .43418 Mtetra
.89745 .43418 .89987 .43765 .90607 .43577 .90366 .43229 Mtetra
.90366 .43229 .90607 .43577 .91228 .43389 .90988 .4304 Mtetra
.90988 .4304 .91228 .43389 .9185 .432 .91612 .42851 Mtetra
.91612 .42851 .9185 .432 .92474 .43011 .92237 .42661 Mtetra
.92237 .42661 .92474 .43011 .93099 .42822 .92863 .42471 Mtetra
.92863 .42471 .93099 .42822 .93726 .42632 .9349 .4228 Mtetra
.9349 .4228 .93726 .42632 .94354 .42442 .94119 .4209 Mtetra
.94119 .4209 .94354 .42442 .94983 .42251 .94749 .41898 Mtetra
.94749 .41898 .94983 .42251 .95613 .4206 .9538 .41706 Mtetra
.9538 .41706 .95613 .4206 .96245 .41869 .96013 .41514 Mtetra
.644 .74 .918 r
.38981 .58467 .39293 .58753 .39811 .58613 .39499 .58335 Mtetra
.619 .739 .932 r
.39499 .58335 .39811 .58613 .40329 .58491 .40018 .58231 Mtetra
.567 .736 .955 r
.40018 .58231 .40329 .58491 .40848 .58401 .40536 .58173 Mtetra
.457 .721 .982 r
.40536 .58173 .40848 .58401 .41366 .58353 .41053 .58179 Mtetra
.224 .65 .956 r
.41053 .58179 .41366 .58353 .41884 .58353 .41569 .58256 Mtetra
0 .447 .733 r
.41569 .58256 .41884 .58353 .42403 .5839 .42085 .58388 Mtetra
.37 0 0 r
.42085 .58388 .42403 .5839 .42923 .58433 .42603 .58531 Mtetra
.399 0 0 r
.42603 .58531 .42923 .58433 .43445 .58438 .43125 .58617 Mtetra
.279 0 0 r
.43125 .58617 .43445 .58438 .43971 .58361 .43651 .5858 Mtetra
.013 0 0 r
.43651 .5858 .43971 .58361 .44501 .58178 .44183 .58384 Mtetra
0 0 0 r
.44183 .58384 .44501 .58178 .45035 .57895 .44719 .5804 Mtetra
.696 .977 .792 r
.44719 .5804 .45035 .57895 .4557 .57547 .45258 .576 Mtetra
.82 .988 .876 r
.45258 .576 .4557 .57547 .46106 .57181 .45797 .57132 Mtetra
.827 .933 .9 r
.45797 .57132 .46106 .57181 .46641 .56836 .46336 .56698 Mtetra
.794 .872 .905 r
.46336 .56698 .46641 .56836 .47177 .56534 .46874 .56327 Mtetra
.754 .82 .904 r
.46874 .56327 .47177 .56534 .47713 .56277 .47411 .56022 Mtetra
.722 .784 .901 r
.47411 .56022 .47713 .56277 .48249 .56054 .47948 .55768 Mtetra
.695 .758 .9 r
.47948 .55768 .48249 .56054 .48785 .55858 .48485 .55557 Mtetra
.664 .741 .907 r
.48485 .55557 .48785 .55858 .49323 .55695 .49023 .55393 Mtetra
.49023 .55393 .49323 .55695 .49861 .55531 .49562 .55229 Mtetra
.49562 .55229 .49861 .55531 .504 .55368 .50102 .55064 Mtetra
.50102 .55064 .504 .55368 .5094 .55203 .50643 .549 Mtetra
.50643 .549 .5094 .55203 .51482 .55039 .51185 .54735 Mtetra
.51185 .54735 .51482 .55039 .52024 .54874 .51729 .54569 Mtetra
.51729 .54569 .52024 .54874 .52568 .54709 .52273 .54404 Mtetra
.52273 .54404 .52568 .54709 .53113 .54544 .52818 .54238 Mtetra
.52818 .54238 .53113 .54544 .53658 .54378 .53365 .54071 Mtetra
.53365 .54071 .53658 .54378 .54205 .54212 .53912 .53904 Mtetra
.53912 .53904 .54205 .54212 .54753 .54046 .54461 .53737 Mtetra
.54461 .53737 .54753 .54046 .55302 .53879 .55011 .5357 Mtetra
.55011 .5357 .55302 .53879 .55852 .53712 .55561 .53402 Mtetra
.55561 .53402 .55852 .53712 .56403 .53544 .56113 .53234 Mtetra
.56113 .53234 .56403 .53544 .56956 .53377 .56666 .53066 Mtetra
.663 .741 .907 r
.56666 .53066 .56956 .53377 .57509 .53209 .5722 .52898 Mtetra
.658 .739 .91 r
.5722 .52898 .57509 .53209 .58064 .53047 .57776 .52738 Mtetra
.658 .741 .911 r
.57776 .52738 .58064 .53047 .58619 .52884 .58332 .52578 Mtetra
.657 .743 .913 r
.58332 .52578 .58619 .52884 .59176 .52721 .5889 .52418 Mtetra
.657 .745 .915 r
.5889 .52418 .59176 .52721 .59734 .52558 .59449 .52257 Mtetra
.658 .747 .916 r
.59449 .52257 .59734 .52558 .60293 .52394 .60009 .52094 Mtetra
.661 .75 .916 r
.60009 .52094 .60293 .52394 .60854 .52226 .6057 .51927 Mtetra
.664 .752 .915 r
.6057 .51927 .60854 .52226 .61415 .52055 .61132 .51755 Mtetra
.668 .752 .914 r
.61132 .51755 .61415 .52055 .61977 .5188 .61695 .51577 Mtetra
.67 .752 .912 r
.61695 .51577 .61977 .5188 .6254 .51703 .62259 .51397 Mtetra
.67 .75 .91 r
.62259 .51397 .6254 .51703 .63105 .51525 .62824 .51215 Mtetra
.669 .748 .909 r
.62824 .51215 .63105 .51525 .6367 .51347 .6339 .51034 Mtetra
.668 .745 .908 r
.6339 .51034 .6367 .51347 .64237 .51171 .63958 .50855 Mtetra
.667 .744 .908 r
.63958 .50855 .64237 .51171 .64805 .50996 .64526 .50678 Mtetra
.665 .742 .907 r
.64526 .50678 .64805 .50996 .65374 .50821 .65096 .50502 Mtetra
.65096 .50502 .65374 .50821 .65945 .50647 .65667 .50327 Mtetra
.664 .741 .907 r
.65667 .50327 .65945 .50647 .66516 .50473 .6624 .50152 Mtetra
.6624 .50152 .66516 .50473 .67089 .50299 .66813 .49977 Mtetra
.66813 .49977 .67089 .50299 .67662 .50125 .67388 .49802 Mtetra
.67388 .49802 .67662 .50125 .68237 .4995 .67963 .49627 Mtetra
.67963 .49627 .68237 .4995 .68814 .49775 .6854 .49451 Mtetra
.6854 .49451 .68814 .49775 .69391 .496 .69118 .49275 Mtetra
.69118 .49275 .69391 .496 .69969 .49424 .69698 .49099 Mtetra
.69698 .49099 .69969 .49424 .70549 .49248 .70278 .48922 Mtetra
.70278 .48922 .70549 .49248 .7113 .49072 .7086 .48745 Mtetra
.7086 .48745 .7113 .49072 .71712 .48895 .71443 .48568 Mtetra
.71443 .48568 .71712 .48895 .72295 .48718 .72027 .4839 Mtetra
.72027 .4839 .72295 .48718 .7288 .4854 .72612 .48212 Mtetra
.72612 .48212 .7288 .4854 .73465 .48362 .73199 .48033 Mtetra
.73199 .48033 .73465 .48362 .74052 .48184 .73786 .47854 Mtetra
.73786 .47854 .74052 .48184 .7464 .48005 .74375 .47675 Mtetra
.74375 .47675 .7464 .48005 .7523 .47827 .74965 .47495 Mtetra
.74965 .47495 .7523 .47827 .7582 .47647 .75557 .47315 Mtetra
.75557 .47315 .7582 .47647 .76412 .47467 .76149 .47135 Mtetra
.76149 .47135 .76412 .47467 .77005 .47287 .76743 .46954 Mtetra
.76743 .46954 .77005 .47287 .77599 .47107 .77338 .46773 Mtetra
.77338 .46773 .77599 .47107 .78194 .46926 .77934 .46591 Mtetra
.77934 .46591 .78194 .46926 .78791 .46745 .78532 .46409 Mtetra
.78532 .46409 .78791 .46745 .79389 .46563 .79131 .46227 Mtetra
.79131 .46227 .79389 .46563 .79988 .46381 .79731 .46044 Mtetra
.79731 .46044 .79988 .46381 .80588 .46199 .80332 .45861 Mtetra
.80332 .45861 .80588 .46199 .8119 .46016 .80934 .45678 Mtetra
.80934 .45678 .8119 .46016 .81793 .45833 .81538 .45494 Mtetra
.81538 .45494 .81793 .45833 .82397 .4565 .82143 .4531 Mtetra
.82143 .4531 .82397 .4565 .83002 .45466 .82749 .45125 Mtetra
.82749 .45125 .83002 .45466 .83609 .45282 .83357 .4494 Mtetra
.83357 .4494 .83609 .45282 .84217 .45097 .83966 .44755 Mtetra
.83966 .44755 .84217 .45097 .84826 .44912 .84576 .44569 Mtetra
.84576 .44569 .84826 .44912 .85436 .44727 .85187 .44383 Mtetra
.85187 .44383 .85436 .44727 .86048 .44541 .858 .44197 Mtetra
.858 .44197 .86048 .44541 .86661 .44355 .86414 .4401 Mtetra
.86414 .4401 .86661 .44355 .87275 .44168 .87029 .43823 Mtetra
.87029 .43823 .87275 .44168 .87891 .43981 .87646 .43635 Mtetra
.87646 .43635 .87891 .43981 .88508 .43794 .88263 .43447 Mtetra
.88263 .43447 .88508 .43794 .89126 .43606 .88883 .43258 Mtetra
.88883 .43258 .89126 .43606 .89745 .43418 .89503 .43069 Mtetra
.89503 .43069 .89745 .43418 .90366 .43229 .90125 .4288 Mtetra
.90125 .4288 .90366 .43229 .90988 .4304 .90748 .4269 Mtetra
.90748 .4269 .90988 .4304 .91612 .42851 .91372 .425 Mtetra
.91372 .425 .91612 .42851 .92237 .42661 .91998 .4231 Mtetra
.91998 .4231 .92237 .42661 .92863 .42471 .92625 .42119 Mtetra
.92625 .42119 .92863 .42471 .9349 .4228 .93253 .41928 Mtetra
.93253 .41928 .9349 .4228 .94119 .4209 .93883 .41736 Mtetra
.93883 .41736 .94119 .4209 .94749 .41898 .94514 .41544 Mtetra
.94514 .41544 .94749 .41898 .9538 .41706 .95147 .41351 Mtetra
.95147 .41351 .9538 .41706 .96013 .41514 .95781 .41158 Mtetra
.635 .738 .923 r
.38668 .58183 .38981 .58467 .39499 .58335 .39186 .58061 Mtetra
.596 .735 .941 r
.39186 .58061 .39499 .58335 .40018 .58231 .39704 .57981 Mtetra
.505 .722 .97 r
.39704 .57981 .40018 .58231 .40536 .58173 .40221 .57967 Mtetra
.281 .655 .969 r
.40221 .57967 .40536 .58173 .41053 .58179 .40737 .58045 Mtetra
0 .393 .73 r
.40737 .58045 .41053 .58179 .41569 .58256 .4125 .58226 Mtetra
.541 0 0 r
.4125 .58226 .41569 .58256 .42085 .58388 .41763 .58487 Mtetra
.626 .114 .012 r
.41763 .58487 .42085 .58388 .42603 .58531 .42278 .58763 Mtetra
.587 .121 .115 r
.42278 .58763 .42603 .58531 .43125 .58617 .42798 .58957 Mtetra
.469 .026 .112 r
.42798 .58957 .43125 .58617 .43651 .5858 .43324 .58975 Mtetra
.241 0 .002 r
.43324 .58975 .43651 .5858 .44183 .58384 .43858 .58764 Mtetra
0 0 0 r
.43858 .58764 .44183 .58384 .44719 .5804 .44398 .58337 Mtetra
.592 .88 .571 r
.44398 .58337 .44719 .5804 .45258 .576 .44941 .57772 Mtetra
.829 .997 .773 r
.44941 .57772 .45258 .576 .45797 .57132 .45485 .57169 Mtetra
.872 .968 .854 r
.45485 .57169 .45797 .57132 .46336 .56698 .46027 .56614 Mtetra
.838 .905 .884 r
.46027 .56614 .46336 .56698 .46874 .56327 .46568 .56153 Mtetra
.785 .846 .897 r
.46568 .56153 .46874 .56327 .47411 .56022 .47107 .55792 Mtetra
.74 .804 .903 r
.47107 .55792 .47411 .56022 .47948 .55768 .47646 .55509 Mtetra
.709 .781 .908 r
.47646 .55509 .47948 .55768 .48485 .55557 .48184 .55277 Mtetra
.679 .76 .912 r
.48184 .55277 .48485 .55557 .49023 .55393 .48723 .5509 Mtetra
.664 .741 .907 r
.48723 .5509 .49023 .55393 .49562 .55229 .49263 .54925 Mtetra
.49263 .54925 .49562 .55229 .50102 .55064 .49803 .5476 Mtetra
.49803 .5476 .50102 .55064 .50643 .549 .50345 .54595 Mtetra
.50345 .54595 .50643 .549 .51185 .54735 .50888 .54429 Mtetra
.50888 .54429 .51185 .54735 .51729 .54569 .51432 .54263 Mtetra
.51432 .54263 .51729 .54569 .52273 .54404 .51977 .54097 Mtetra
.51977 .54097 .52273 .54404 .52818 .54238 .52523 .5393 Mtetra
.52523 .5393 .52818 .54238 .53365 .54071 .5307 .53763 Mtetra
.5307 .53763 .53365 .54071 .53912 .53904 .53618 .53596 Mtetra
.53618 .53596 .53912 .53904 .54461 .53737 .54168 .53428 Mtetra
.54168 .53428 .54461 .53737 .55011 .5357 .54718 .5326 Mtetra
.54718 .5326 .55011 .5357 .55561 .53402 .5527 .53092 Mtetra
.5527 .53092 .55561 .53402 .56113 .53234 .55822 .52923 Mtetra
.55822 .52923 .56113 .53234 .56666 .53066 .56376 .52754 Mtetra
.659 .739 .909 r
.56376 .52754 .56666 .53066 .5722 .52898 .56931 .52592 Mtetra
.657 .743 .913 r
.56931 .52592 .5722 .52898 .57776 .52738 .57487 .52432 Mtetra
.656 .743 .914 r
.57487 .52432 .57776 .52738 .58332 .52578 .58044 .52273 Mtetra
.654 .744 .916 r
.58044 .52273 .58332 .52578 .5889 .52418 .58603 .52116 Mtetra
.654 .746 .918 r
.58603 .52116 .5889 .52418 .59449 .52257 .59162 .51959 Mtetra
.656 .75 .919 r
.59162 .51959 .59449 .52257 .60009 .52094 .59723 .51799 Mtetra
.66 .753 .919 r
.59723 .51799 .60009 .52094 .6057 .51927 .60285 .51633 Mtetra
.665 .756 .918 r
.60285 .51633 .6057 .51927 .61132 .51755 .60848 .51459 Mtetra
.669 .756 .916 r
.60848 .51459 .61132 .51755 .61695 .51577 .61412 .51279 Mtetra
.672 .756 .913 r
.61412 .51279 .61695 .51577 .62259 .51397 .61976 .51093 Mtetra
.673 .753 .911 r
.61976 .51093 .62259 .51397 .62824 .51215 .62542 .50907 Mtetra
.672 .75 .909 r
.62542 .50907 .62824 .51215 .6339 .51034 .63109 .50721 Mtetra
.67 .747 .908 r
.63109 .50721 .6339 .51034 .63958 .50855 .63677 .50539 Mtetra
.668 .745 .908 r
.63677 .50539 .63958 .50855 .64526 .50678 .64247 .50359 Mtetra
.666 .743 .907 r
.64247 .50359 .64526 .50678 .65096 .50502 .64817 .50181 Mtetra
.665 .742 .907 r
.64817 .50181 .65096 .50502 .65667 .50327 .65389 .50005 Mtetra
.664 .741 .907 r
.65389 .50005 .65667 .50327 .6624 .50152 .65962 .4983 Mtetra
.65962 .4983 .6624 .50152 .66813 .49977 .66536 .49654 Mtetra
.66536 .49654 .66813 .49977 .67388 .49802 .67112 .49478 Mtetra
.67112 .49478 .67388 .49802 .67963 .49627 .67688 .49302 Mtetra
.67688 .49302 .67963 .49627 .6854 .49451 .68266 .49126 Mtetra
.68266 .49126 .6854 .49451 .69118 .49275 .68845 .48949 Mtetra
.68845 .48949 .69118 .49275 .69698 .49099 .69425 .48772 Mtetra
.69425 .48772 .69698 .49099 .70278 .48922 .70007 .48595 Mtetra
.70007 .48595 .70278 .48922 .7086 .48745 .70589 .48417 Mtetra
.70589 .48417 .7086 .48745 .71443 .48568 .71173 .48239 Mtetra
.71173 .48239 .71443 .48568 .72027 .4839 .71758 .4806 Mtetra
.71758 .4806 .72027 .4839 .72612 .48212 .72344 .47882 Mtetra
.72344 .47882 .72612 .48212 .73199 .48033 .72931 .47702 Mtetra
.72931 .47702 .73199 .48033 .73786 .47854 .7352 .47523 Mtetra
.7352 .47523 .73786 .47854 .74375 .47675 .74109 .47343 Mtetra
.74109 .47343 .74375 .47675 .74965 .47495 .747 .47162 Mtetra
.747 .47162 .74965 .47495 .75557 .47315 .75293 .46982 Mtetra
.75293 .46982 .75557 .47315 .76149 .47135 .75886 .46801 Mtetra
.75886 .46801 .76149 .47135 .76743 .46954 .76481 .46619 Mtetra
.76481 .46619 .76743 .46954 .77338 .46773 .77077 .46437 Mtetra
.77077 .46437 .77338 .46773 .77934 .46591 .77674 .46255 Mtetra
.77674 .46255 .77934 .46591 .78532 .46409 .78272 .46073 Mtetra
.78272 .46073 .78532 .46409 .79131 .46227 .78872 .4589 Mtetra
.78872 .4589 .79131 .46227 .79731 .46044 .79472 .45706 Mtetra
.79472 .45706 .79731 .46044 .80332 .45861 .80075 .45522 Mtetra
.80075 .45522 .80332 .45861 .80934 .45678 .80678 .45338 Mtetra
.80678 .45338 .80934 .45678 .81538 .45494 .81283 .45154 Mtetra
.81283 .45154 .81538 .45494 .82143 .4531 .81889 .44969 Mtetra
.81889 .44969 .82143 .4531 .82749 .45125 .82496 .44784 Mtetra
.82496 .44784 .82749 .45125 .83357 .4494 .83104 .44598 Mtetra
.83104 .44598 .83357 .4494 .83966 .44755 .83714 .44412 Mtetra
.83714 .44412 .83966 .44755 .84576 .44569 .84325 .44225 Mtetra
.84325 .44225 .84576 .44569 .85187 .44383 .84937 .44039 Mtetra
.84937 .44039 .85187 .44383 .858 .44197 .85551 .43851 Mtetra
.85551 .43851 .858 .44197 .86414 .4401 .86166 .43664 Mtetra
.86166 .43664 .86414 .4401 .87029 .43823 .86782 .43476 Mtetra
.86782 .43476 .87029 .43823 .87646 .43635 .87399 .43287 Mtetra
.87399 .43287 .87646 .43635 .88263 .43447 .88018 .43098 Mtetra
.88018 .43098 .88263 .43447 .88883 .43258 .88638 .42909 Mtetra
.88638 .42909 .88883 .43258 .89503 .43069 .8926 .4272 Mtetra
.8926 .4272 .89503 .43069 .90125 .4288 .89882 .4253 Mtetra
.89882 .4253 .90125 .4288 .90748 .4269 .90506 .42339 Mtetra
.90506 .42339 .90748 .4269 .91372 .425 .91132 .42148 Mtetra
.91132 .42148 .91372 .425 .91998 .4231 .91758 .41957 Mtetra
.91758 .41957 .91998 .4231 .92625 .42119 .92387 .41765 Mtetra
.92387 .41765 .92625 .42119 .93253 .41928 .93016 .41573 Mtetra
.93016 .41573 .93253 .41928 .93883 .41736 .93647 .41381 Mtetra
.93647 .41381 .93883 .41736 .94514 .41544 .94279 .41188 Mtetra
.94279 .41188 .94514 .41544 .95147 .41351 .94912 .40995 Mtetra
.94912 .40995 .95147 .41351 .95781 .41158 .95547 .40801 Mtetra
.622 .736 .929 r
.38354 .57899 .38668 .58183 .39186 .58061 .38872 .57792 Mtetra
.561 .728 .953 r
.38872 .57792 .39186 .58061 .39704 .57981 .3939 .57742 Mtetra
.401 .688 .977 r
.3939 .57742 .39704 .57981 .40221 .57967 .39905 .57785 Mtetra
0 .481 .849 r
.39905 .57785 .40221 .57967 .40737 .58045 .40417 .57956 Mtetra
.557 0 0 r
.40417 .57956 .40737 .58045 .4125 .58226 .40927 .58271 Mtetra
.718 .225 .069 r
.40927 .58271 .4125 .58226 .41763 .58487 .41435 .58698 Mtetra
.718 .288 .227 r
.41435 .58698 .41763 .58487 .42278 .58763 .41946 .59147 Mtetra
.661 .264 .282 r
.41946 .59147 .42278 .58763 .42798 .58957 .42463 .59483 Mtetra
.55 .17 .273 r
.42463 .59483 .42798 .58957 .43324 .58975 .42989 .59572 Mtetra
.35 0 .188 r
.42989 .59572 .43324 .58975 .43858 .58764 .43526 .5934 Mtetra
0 0 0 r
.43526 .5934 .43858 .58764 .44398 .58337 .4407 .58807 Mtetra
.4407 .58807 .44398 .58337 .44941 .57772 .44619 .58081 Mtetra
.818 .964 .641 r
.44619 .58081 .44941 .57772 .45485 .57169 .45169 .57303 Mtetra
.906 .981 .784 r
.45169 .57303 .45485 .57169 .46027 .56614 .45716 .56594 Mtetra
.88 .93 .85 r
.45716 .56594 .46027 .56614 .46568 .56153 .4626 .56019 Mtetra
.819 .872 .885 r
.4626 .56019 .46568 .56153 .47107 .55792 .46802 .55589 Mtetra
.754 .826 .908 r
.46802 .55589 .47107 .55792 .47646 .55509 .47342 .55284 Mtetra
.696 .803 .931 r
.47342 .55284 .47646 .55509 .48184 .55277 .47881 .55071 Mtetra
.635 .806 .965 r
.47881 .55071 .48184 .55277 .48723 .5509 .4842 .54925 Mtetra
.551 .816 .995 r
.4842 .54925 .48723 .5509 .49263 .54925 .4896 .54831 Mtetra
.39 .803 .978 r
.4896 .54831 .49263 .54925 .49803 .5476 .495 .54773 Mtetra
.075 .637 .733 r
.495 .54773 .49803 .5476 .50345 .54595 .50042 .54734 Mtetra
.196 0 0 r
.50042 .54734 .50345 .54595 .50888 .54429 .50586 .54686 Mtetra
.288 0 0 r
.50586 .54686 .50888 .54429 .51432 .54263 .51131 .54598 Mtetra
.279 0 0 r
.51131 .54598 .51432 .54263 .51977 .54097 .51678 .54448 Mtetra
.203 0 0 r
.51678 .54448 .51977 .54097 .52523 .5393 .52226 .54232 Mtetra
.048 0 0 r
.52226 .54232 .52523 .5393 .5307 .53763 .52775 .53962 Mtetra
0 0 0 r
.52775 .53962 .5307 .53763 .53618 .53596 .53324 .53668 Mtetra
.542 .927 .838 r
.53324 .53668 .53618 .53596 .54168 .53428 .53874 .53376 Mtetra
.685 .941 .963 r
.53874 .53376 .54168 .53428 .54718 .5326 .54425 .53107 Mtetra
.702 .868 .96 r
.54425 .53107 .54718 .5326 .5527 .53092 .54977 .52868 Mtetra
.69 .81 .939 r
.54977 .52868 .5527 .53092 .55822 .52923 .5553 .52657 Mtetra
.676 .775 .925 r
.5553 .52657 .55822 .52923 .56376 .52754 .56085 .52467 Mtetra
.666 .759 .919 r
.56085 .52467 .56376 .52754 .56931 .52592 .5664 .52292 Mtetra
.659 .749 .916 r
.5664 .52292 .56931 .52592 .57487 .52432 .57197 .52128 Mtetra
.654 .745 .916 r
.57197 .52128 .57487 .52432 .58044 .52273 .57755 .51971 Mtetra
.651 .745 .918 r
.57755 .51971 .58044 .52273 .58603 .52116 .58315 .51818 Mtetra
.65 .748 .921 r
.58315 .51818 .58603 .52116 .59162 .51959 .58875 .51665 Mtetra
.652 .752 .923 r
.58875 .51665 .59162 .51959 .59723 .51799 .59437 .51508 Mtetra
.658 .756 .923 r
.59437 .51508 .59723 .51799 .60285 .51633 .59999 .51344 Mtetra
.665 .76 .921 r
.59999 .51344 .60285 .51633 .60848 .51459 .60563 .51168 Mtetra
.671 .761 .918 r
.60563 .51168 .60848 .51459 .61412 .51279 .61127 .50984 Mtetra
.675 .76 .915 r
.61127 .50984 .61412 .51279 .61976 .51093 .61693 .50793 Mtetra
.676 .757 .912 r
.61693 .50793 .61976 .51093 .62542 .50907 .62259 .506 Mtetra
.675 .753 .91 r
.62259 .506 .62542 .50907 .63109 .50721 .62827 .50409 Mtetra
.672 .749 .908 r
.62827 .50409 .63109 .50721 .63677 .50539 .63396 .50223 Mtetra
.669 .746 .908 r
.63396 .50223 .63677 .50539 .64247 .50359 .63966 .5004 Mtetra
.667 .743 .907 r
.63966 .5004 .64247 .50359 .64817 .50181 .64537 .4986 Mtetra
.665 .742 .907 r
.64537 .4986 .64817 .50181 .65389 .50005 .6511 .49683 Mtetra
.665 .741 .907 r
.6511 .49683 .65389 .50005 .65962 .4983 .65684 .49506 Mtetra
.664 .741 .907 r
.65684 .49506 .65962 .4983 .66536 .49654 .66259 .4933 Mtetra
.66259 .4933 .66536 .49654 .67112 .49478 .66835 .49153 Mtetra
.66835 .49153 .67112 .49478 .67688 .49302 .67412 .48976 Mtetra
.67412 .48976 .67688 .49302 .68266 .49126 .67991 .488 Mtetra
.67991 .488 .68266 .49126 .68845 .48949 .68571 .48622 Mtetra
.68571 .48622 .68845 .48949 .69425 .48772 .69152 .48444 Mtetra
.69152 .48444 .69425 .48772 .70007 .48595 .69734 .48266 Mtetra
.69734 .48266 .70007 .48595 .70589 .48417 .70317 .48088 Mtetra
.70317 .48088 .70589 .48417 .71173 .48239 .70902 .47909 Mtetra
.70902 .47909 .71173 .48239 .71758 .4806 .71487 .4773 Mtetra
.71487 .4773 .71758 .4806 .72344 .47882 .72074 .4755 Mtetra
.72074 .4755 .72344 .47882 .72931 .47702 .72662 .47371 Mtetra
.72662 .47371 .72931 .47702 .7352 .47523 .73252 .4719 Mtetra
.73252 .4719 .7352 .47523 .74109 .47343 .73842 .4701 Mtetra
.73842 .4701 .74109 .47343 .747 .47162 .74434 .46829 Mtetra
.74434 .46829 .747 .47162 .75293 .46982 .75027 .46647 Mtetra
.75027 .46647 .75293 .46982 .75886 .46801 .75622 .46465 Mtetra
.75622 .46465 .75886 .46801 .76481 .46619 .76217 .46283 Mtetra
.76217 .46283 .76481 .46619 .77077 .46437 .76814 .46101 Mtetra
.76814 .46101 .77077 .46437 .77674 .46255 .77412 .45918 Mtetra
.77412 .45918 .77674 .46255 .78272 .46073 .78011 .45734 Mtetra
.78011 .45734 .78272 .46073 .78872 .4589 .78612 .45551 Mtetra
.78612 .45551 .78872 .4589 .79472 .45706 .79213 .45367 Mtetra
.79213 .45367 .79472 .45706 .80075 .45522 .79816 .45182 Mtetra
.79816 .45182 .80075 .45522 .80678 .45338 .80421 .44997 Mtetra
.80421 .44997 .80678 .45338 .81283 .45154 .81026 .44812 Mtetra
.81026 .44812 .81283 .45154 .81889 .44969 .81633 .44627 Mtetra
.81633 .44627 .81889 .44969 .82496 .44784 .82241 .44441 Mtetra
.82241 .44441 .82496 .44784 .83104 .44598 .8285 .44254 Mtetra
.8285 .44254 .83104 .44598 .83714 .44412 .83461 .44067 Mtetra
.83461 .44067 .83714 .44412 .84325 .44225 .84073 .4388 Mtetra
.84073 .4388 .84325 .44225 .84937 .44039 .84686 .43693 Mtetra
.84686 .43693 .84937 .44039 .85551 .43851 .85301 .43505 Mtetra
.85301 .43505 .85551 .43851 .86166 .43664 .85917 .43316 Mtetra
.85917 .43316 .86166 .43664 .86782 .43476 .86534 .43128 Mtetra
.86534 .43128 .86782 .43476 .87399 .43287 .87152 .42938 Mtetra
.87152 .42938 .87399 .43287 .88018 .43098 .87772 .42749 Mtetra
.87772 .42749 .88018 .43098 .88638 .42909 .88393 .42559 Mtetra
.88393 .42559 .88638 .42909 .8926 .4272 .89015 .42368 Mtetra
.89015 .42368 .8926 .4272 .89882 .4253 .89639 .42178 Mtetra
.89639 .42178 .89882 .4253 .90506 .42339 .90264 .41987 Mtetra
.90264 .41987 .90506 .42339 .91132 .42148 .9089 .41795 Mtetra
.9089 .41795 .91132 .42148 .91758 .41957 .91518 .41603 Mtetra
.91518 .41603 .91758 .41957 .92387 .41765 .92147 .41411 Mtetra
.92147 .41411 .92387 .41765 .93016 .41573 .92777 .41218 Mtetra
.92777 .41218 .93016 .41573 .93647 .41381 .93409 .41024 Mtetra
.93409 .41024 .93647 .41381 .94279 .41188 .94042 .40831 Mtetra
.94042 .40831 .94279 .41188 .94912 .40995 .94677 .40637 Mtetra
.94677 .40637 .94912 .40995 .95547 .40801 .95312 .40442 Mtetra
.605 .733 .935 r
.38038 .57617 .38354 .57899 .38872 .57792 .38556 .57528 Mtetra
.51 .714 .964 r
.38556 .57528 .38872 .57792 .3939 .57742 .39073 .57515 Mtetra
.232 .611 .954 r
.39073 .57515 .3939 .57742 .39905 .57785 .39586 .57627 Mtetra
.396 0 0 r
.39586 .57627 .39905 .57785 .40417 .57956 .40095 .57914 Mtetra
.739 .228 0 r
.40095 .57914 .40417 .57956 .40927 .58271 .40599 .58395 Mtetra
.784 .359 .241 r
.40599 .58395 .40927 .58271 .41435 .58698 .41102 .59029 Mtetra
.758 .379 .336 r
.41102 .59029 .41435 .58698 .41946 .59147 .41606 .59693 Mtetra
.698 .342 .368 r
.41606 .59693 .41946 .59147 .42463 .59483 .42119 .60205 Mtetra
.592 .249 .357 r
.42119 .60205 .42463 .59483 .42989 .59572 .42645 .60383 Mtetra
.402 .071 .286 r
.42645 .60383 .42989 .59572 .43526 .5934 .43185 .60125 Mtetra
.056 0 .105 r
.43185 .60125 .43526 .5934 .4407 .58807 .43735 .5946 Mtetra
0 0 0 r
.43735 .5946 .4407 .58807 .44619 .58081 .44292 .58534 Mtetra
.81 .918 .529 r
.44292 .58534 .44619 .58081 .45169 .57303 .44849 .57538 Mtetra
.929 .971 .707 r
.44849 .57538 .45169 .57303 .45716 .56594 .45402 .56637 Mtetra
.917 .94 .804 r
.45402 .56637 .45716 .56594 .4626 .56019 .45951 .5592 Mtetra
.854 .889 .862 r
.45951 .5592 .4626 .56019 .46802 .55589 .46495 .55405 Mtetra
.773 .841 .903 r
.46495 .55405 .46802 .55589 .47342 .55284 .47036 .55065 Mtetra
.686 .807 .94 r
.47036 .55065 .47342 .55284 .47881 .55071 .47576 .54864 Mtetra
.568 .787 .981 r
.47576 .54864 .47881 .55071 .4842 .54925 .48115 .54777 Mtetra
.336 .735 .982 r
.48115 .54777 .4842 .54925 .4896 .54831 .48655 .54787 Mtetra
.121 0 0 r
.48655 .54787 .4896 .54831 .495 .54773 .49195 .54872 Mtetra
.444 0 0 r
.49195 .54872 .495 .54773 .50042 .54734 .49737 .54996 Mtetra
.512 .038 .068 r
.49737 .54996 .50042 .54734 .50586 .54686 .50281 .55099 Mtetra
.483 .063 .167 r
.50281 .55099 .50586 .54686 .51131 .54598 .50828 .55112 Mtetra
.407 .015 .181 r
.50828 .55112 .51131 .54598 .51678 .54448 .51376 .54985 Mtetra
.282 0 .125 r
.51376 .54985 .51678 .54448 .52226 .54232 .51926 .54704 Mtetra
.084 0 0 r
.51926 .54704 .52226 .54232 .52775 .53962 .52477 .54303 Mtetra
0 0 0 r
.52477 .54303 .52775 .53962 .53324 .53668 .53028 .53844 Mtetra
.599 .925 .699 r
.53028 .53844 .53324 .53668 .53874 .53376 .5358 .53394 Mtetra
.765 .985 .904 r
.5358 .53394 .53874 .53376 .54425 .53107 .54131 .52995 Mtetra
.764 .908 .939 r
.54131 .52995 .54425 .53107 .54977 .52868 .54684 .52665 Mtetra
.727 .834 .931 r
.54684 .52665 .54977 .52868 .5553 .52657 .55237 .52398 Mtetra
.696 .787 .921 r
.55237 .52398 .5553 .52657 .56085 .52467 .55792 .52179 Mtetra
.675 .762 .916 r
.55792 .52179 .56085 .52467 .5664 .52292 .56349 .51992 Mtetra
.661 .749 .916 r
.56349 .51992 .5664 .52292 .57197 .52128 .56906 .51824 Mtetra
.652 .745 .918 r
.56906 .51824 .57197 .52128 .57755 .51971 .57465 .51669 Mtetra
.647 .745 .921 r
.57465 .51669 .57755 .51971 .58315 .51818 .58025 .51521 Mtetra
.645 .749 .925 r
.58025 .51521 .58315 .51818 .58875 .51665 .58587 .51375 Mtetra
.648 .754 .927 r
.58587 .51375 .58875 .51665 .59437 .51508 .59149 .51223 Mtetra
.656 .76 .926 r
.59149 .51223 .59437 .51508 .59999 .51344 .59713 .5106 Mtetra
.665 .764 .924 r
.59713 .5106 .59999 .51344 .60563 .51168 .60277 .50883 Mtetra
.674 .766 .92 r
.60277 .50883 .60563 .51168 .61127 .50984 .60842 .50693 Mtetra
.679 .765 .916 r
.60842 .50693 .61127 .50984 .61693 .50793 .61408 .50495 Mtetra
.681 .761 .912 r
.61408 .50495 .61693 .50793 .62259 .506 .61975 .50296 Mtetra
.679 .756 .91 r
.61975 .50296 .62259 .506 .62827 .50409 .62544 .50098 Mtetra
.675 .751 .908 r
.62544 .50098 .62827 .50409 .63396 .50223 .63113 .49906 Mtetra
.671 .747 .908 r
.63113 .49906 .63396 .50223 .63966 .5004 .63684 .4972 Mtetra
.668 .744 .907 r
.63684 .4972 .63966 .5004 .64537 .4986 .64256 .49538 Mtetra
.666 .742 .907 r
.64256 .49538 .64537 .4986 .6511 .49683 .6483 .49359 Mtetra
.665 .742 .907 r
.6483 .49359 .6511 .49683 .65684 .49506 .65404 .49181 Mtetra
.664 .741 .907 r
.65404 .49181 .65684 .49506 .66259 .4933 .6598 .49004 Mtetra
.6598 .49004 .66259 .4933 .66835 .49153 .66557 .48827 Mtetra
.66557 .48827 .66835 .49153 .67412 .48976 .67135 .48649 Mtetra
.67135 .48649 .67412 .48976 .67991 .488 .67715 .48472 Mtetra
.67715 .48472 .67991 .488 .68571 .48622 .68295 .48294 Mtetra
.68295 .48294 .68571 .48622 .69152 .48444 .68877 .48115 Mtetra
.68877 .48115 .69152 .48444 .69734 .48266 .6946 .47937 Mtetra
.6946 .47937 .69734 .48266 .70317 .48088 .70044 .47758 Mtetra
.70044 .47758 .70317 .48088 .70902 .47909 .70629 .47578 Mtetra
.70629 .47578 .70902 .47909 .71487 .4773 .71216 .47398 Mtetra
.71216 .47398 .71487 .4773 .72074 .4755 .71804 .47218 Mtetra
.71804 .47218 .72074 .4755 .72662 .47371 .72393 .47037 Mtetra
.72393 .47037 .72662 .47371 .73252 .4719 .72983 .46856 Mtetra
.72983 .46856 .73252 .4719 .73842 .4701 .73574 .46675 Mtetra
.73574 .46675 .73842 .4701 .74434 .46829 .74167 .46493 Mtetra
.74167 .46493 .74434 .46829 .75027 .46647 .74761 .46311 Mtetra
.74761 .46311 .75027 .46647 .75622 .46465 .75356 .46129 Mtetra
.75356 .46129 .75622 .46465 .76217 .46283 .75953 .45946 Mtetra
.75953 .45946 .76217 .46283 .76814 .46101 .7655 .45763 Mtetra
.7655 .45763 .76814 .46101 .77412 .45918 .77149 .45579 Mtetra
.77149 .45579 .77412 .45918 .78011 .45734 .77749 .45395 Mtetra
.77749 .45395 .78011 .45734 .78612 .45551 .78351 .45211 Mtetra
.78351 .45211 .78612 .45551 .79213 .45367 .78953 .45026 Mtetra
.78953 .45026 .79213 .45367 .79816 .45182 .79557 .44841 Mtetra
.79557 .44841 .79816 .45182 .80421 .44997 .80162 .44655 Mtetra
.80162 .44655 .80421 .44997 .81026 .44812 .80769 .44469 Mtetra
.80769 .44469 .81026 .44812 .81633 .44627 .81376 .44283 Mtetra
.81376 .44283 .81633 .44627 .82241 .44441 .81985 .44096 Mtetra
.81985 .44096 .82241 .44441 .8285 .44254 .82596 .43909 Mtetra
.82596 .43909 .8285 .44254 .83461 .44067 .83207 .43722 Mtetra
.83207 .43722 .83461 .44067 .84073 .4388 .8382 .43534 Mtetra
.8382 .43534 .84073 .4388 .84686 .43693 .84434 .43345 Mtetra
.84434 .43345 .84686 .43693 .85301 .43505 .8505 .43157 Mtetra
.8505 .43157 .85301 .43505 .85917 .43316 .85666 .42968 Mtetra
.85666 .42968 .85917 .43316 .86534 .43128 .86285 .42778 Mtetra
.86285 .42778 .86534 .43128 .87152 .42938 .86904 .42588 Mtetra
.86904 .42588 .87152 .42938 .87772 .42749 .87525 .42398 Mtetra
.87525 .42398 .87772 .42749 .88393 .42559 .88147 .42207 Mtetra
.88147 .42207 .88393 .42559 .89015 .42368 .8877 .42016 Mtetra
.8877 .42016 .89015 .42368 .89639 .42178 .89395 .41824 Mtetra
.89395 .41824 .89639 .42178 .90264 .41987 .90021 .41632 Mtetra
.90021 .41632 .90264 .41987 .9089 .41795 .90648 .4144 Mtetra
.90648 .4144 .9089 .41795 .91518 .41603 .91277 .41247 Mtetra
.91277 .41247 .91518 .41603 .92147 .41411 .91907 .41054 Mtetra
.91907 .41054 .92147 .41411 .92777 .41218 .92538 .40861 Mtetra
.92538 .40861 .92777 .41218 .93409 .41024 .93171 .40667 Mtetra
.93171 .40667 .93409 .41024 .94042 .40831 .93805 .40472 Mtetra
.93805 .40472 .94042 .40831 .94677 .40637 .9444 .40277 Mtetra
.9444 .40277 .94677 .40637 .95312 .40442 .95077 .40082 Mtetra
.583 .728 .942 r
.37721 .57336 .38038 .57617 .38556 .57528 .38239 .57267 Mtetra
.439 .689 .97 r
.38239 .57267 .38556 .57528 .39073 .57515 .38755 .57299 Mtetra
0 .465 .859 r
.38755 .57299 .39073 .57515 .39586 .57627 .39265 .57494 Mtetra
.652 .095 0 r
.39265 .57494 .39586 .57627 .40095 .57914 .39769 .57917 Mtetra
.811 .364 .177 r
.39769 .57917 .40095 .57914 .40599 .58395 .40267 .58594 Mtetra
.815 .433 .332 r
.40267 .58594 .40599 .58395 .41102 .59029 .40761 .59473 Mtetra
.782 .433 .395 r
.40761 .59473 .41102 .59029 .41606 .59693 .41259 .60393 Mtetra
.722 .39 .417 r
.41259 .60393 .41606 .59693 .42119 .60205 .41767 .61115 Mtetra
.618 .298 .405 r
.41767 .61115 .42119 .60205 .42645 .60383 .42292 .61399 Mtetra
.427 .12 .34 r
.42292 .61399 .42645 .60383 .43185 .60125 .42835 .6111 Mtetra
.066 0 .165 r
.42835 .6111 .43185 .60125 .43735 .5946 .43393 .60288 Mtetra
0 0 0 r
.43393 .60288 .43735 .5946 .44292 .58534 .43959 .59123 Mtetra
.827 .888 .462 r
.43959 .59123 .44292 .58534 .44849 .57538 .44524 .57869 Mtetra
.949 .95 .644 r
.44524 .57869 .44849 .57538 .45402 .56637 .45085 .56739 Mtetra
.945 .933 .754 r
.45085 .56739 .45402 .56637 .45951 .5592 .45639 .55849 Mtetra
.886 .89 .828 r
.45639 .55849 .45951 .5592 .46495 .55405 .46187 .55218 Mtetra
.804 .837 .876 r
.46187 .55218 .46495 .55405 .47036 .55065 .4673 .54806 Mtetra
.716 .784 .905 r
.4673 .54806 .47036 .55065 .47576 .54864 .47271 .54559 Mtetra
.633 .733 .92 r
.47271 .54559 .47576 .54864 .48115 .54777 .47812 .54435 Mtetra
.558 .681 .921 r
.47812 .54435 .48115 .54777 .48655 .54787 .48352 .54404 Mtetra
.502 .633 .911 r
.48352 .54404 .48655 .54787 .49195 .54872 .48893 .54443 Mtetra
.485 .598 .891 r
.48893 .54443 .49195 .54872 .49737 .54996 .49436 .54516 Mtetra
.516 .588 .865 r
.49436 .54516 .49737 .54996 .50281 .55099 .49981 .54572 Mtetra
.575 .597 .837 r
.49981 .54572 .50281 .55099 .50828 .55112 .50528 .54553 Mtetra
.638 .615 .811 r
.50528 .54553 .50828 .55112 .51376 .54985 .51076 .54418 Mtetra
.687 .635 .792 r
.51076 .54418 .51376 .54985 .51926 .54704 .51627 .54156 Mtetra
.721 .655 .783 r
.51627 .54156 .51926 .54704 .52477 .54303 .52178 .53794 Mtetra
.741 .674 .785 r
.52178 .53794 .52477 .54303 .53028 .53844 .5273 .53384 Mtetra
.748 .693 .799 r
.5273 .53384 .53028 .53844 .5358 .53394 .53282 .52981 Mtetra
.743 .71 .821 r
.53282 .52981 .5358 .53394 .54131 .52995 .53835 .52621 Mtetra
.728 .724 .847 r
.53835 .52621 .54131 .52995 .54684 .52665 .54388 .52318 Mtetra
.708 .734 .871 r
.54388 .52318 .54684 .52665 .55237 .52398 .54943 .52069 Mtetra
.687 .738 .89 r
.54943 .52069 .55237 .52398 .55792 .52179 .55499 .51859 Mtetra
.67 .74 .902 r
.55499 .51859 .55792 .52179 .56349 .51992 .56056 .51678 Mtetra
.657 .74 .911 r
.56056 .51678 .56349 .51992 .56906 .51824 .56614 .51517 Mtetra
.647 .741 .918 r
.56614 .51517 .56906 .51824 .57465 .51669 .57174 .51368 Mtetra
.641 .744 .924 r
.57174 .51368 .57465 .51669 .58025 .51521 .57735 .51227 Mtetra
.639 .749 .928 r
.57735 .51227 .58025 .51521 .58587 .51375 .58297 .51088 Mtetra
.643 .756 .931 r
.58297 .51088 .58587 .51375 .59149 .51223 .58861 .50941 Mtetra
.653 .763 .93 r
.58861 .50941 .59149 .51223 .59713 .5106 .59425 .5078 Mtetra
.666 .769 .927 r
.59425 .5078 .59713 .5106 .60277 .50883 .5999 .50602 Mtetra
.677 .771 .922 r
.5999 .50602 .60277 .50883 .60842 .50693 .60556 .50407 Mtetra
.684 .77 .916 r
.60556 .50407 .60842 .50693 .61408 .50495 .61123 .50201 Mtetra
.686 .765 .912 r
.61123 .50201 .61408 .50495 .61975 .50296 .61691 .49993 Mtetra
.683 .759 .909 r
.61691 .49993 .61975 .50296 .62544 .50098 .62259 .49788 Mtetra
.678 .753 .908 r
.62259 .49788 .62544 .50098 .63113 .49906 .6283 .4959 Mtetra
.673 .748 .907 r
.6283 .4959 .63113 .49906 .63684 .4972 .63401 .49399 Mtetra
.669 .745 .907 r
.63401 .49399 .63684 .4972 .64256 .49538 .63974 .49215 Mtetra
.667 .743 .907 r
.63974 .49215 .64256 .49538 .6483 .49359 .64548 .49034 Mtetra
.665 .742 .907 r
.64548 .49034 .6483 .49359 .65404 .49181 .65124 .48855 Mtetra
.664 .741 .907 r
.65124 .48855 .65404 .49181 .6598 .49004 .657 .48677 Mtetra
.657 .48677 .6598 .49004 .66557 .48827 .66278 .48499 Mtetra
.66278 .48499 .66557 .48827 .67135 .48649 .66857 .48321 Mtetra
.66857 .48321 .67135 .48649 .67715 .48472 .67437 .48143 Mtetra
.67437 .48143 .67715 .48472 .68295 .48294 .68019 .47964 Mtetra
.68019 .47964 .68295 .48294 .68877 .48115 .68601 .47785 Mtetra
.68601 .47785 .68877 .48115 .6946 .47937 .69185 .47606 Mtetra
.69185 .47606 .6946 .47937 .70044 .47758 .6977 .47426 Mtetra
.6977 .47426 .70044 .47758 .70629 .47578 .70356 .47246 Mtetra
.70356 .47246 .70629 .47578 .71216 .47398 .70944 .47065 Mtetra
.70944 .47065 .71216 .47398 .71804 .47218 .71532 .46884 Mtetra
.71532 .46884 .71804 .47218 .72393 .47037 .72122 .46703 Mtetra
.72122 .46703 .72393 .47037 .72983 .46856 .72713 .46521 Mtetra
.72713 .46521 .72983 .46856 .73574 .46675 .73305 .46339 Mtetra
.73305 .46339 .73574 .46675 .74167 .46493 .73899 .46157 Mtetra
.73899 .46157 .74167 .46493 .74761 .46311 .74494 .45974 Mtetra
.74494 .45974 .74761 .46311 .75356 .46129 .7509 .45791 Mtetra
.7509 .45791 .75356 .46129 .75953 .45946 .75687 .45607 Mtetra
.75687 .45607 .75953 .45946 .7655 .45763 .76285 .45423 Mtetra
.76285 .45423 .7655 .45763 .77149 .45579 .76885 .45239 Mtetra
.76885 .45239 .77149 .45579 .77749 .45395 .77486 .45054 Mtetra
.77486 .45054 .77749 .45395 .78351 .45211 .78089 .44869 Mtetra
.78089 .44869 .78351 .45211 .78953 .45026 .78692 .44684 Mtetra
.78692 .44684 .78953 .45026 .79557 .44841 .79297 .44498 Mtetra
.79297 .44498 .79557 .44841 .80162 .44655 .79903 .44312 Mtetra
.79903 .44312 .80162 .44655 .80769 .44469 .8051 .44125 Mtetra
.8051 .44125 .80769 .44469 .81376 .44283 .81119 .43938 Mtetra
.81119 .43938 .81376 .44283 .81985 .44096 .81729 .4375 Mtetra
.81729 .4375 .81985 .44096 .82596 .43909 .8234 .43563 Mtetra
.8234 .43563 .82596 .43909 .83207 .43722 .82953 .43374 Mtetra
.82953 .43374 .83207 .43722 .8382 .43534 .83566 .43186 Mtetra
.83566 .43186 .8382 .43534 .84434 .43345 .84181 .42997 Mtetra
.84181 .42997 .84434 .43345 .8505 .43157 .84798 .42807 Mtetra
.84798 .42807 .8505 .43157 .85666 .42968 .85415 .42617 Mtetra
.85415 .42617 .85666 .42968 .86285 .42778 .86034 .42427 Mtetra
.86034 .42427 .86285 .42778 .86904 .42588 .86655 .42236 Mtetra
.86655 .42236 .86904 .42588 .87525 .42398 .87276 .42045 Mtetra
.87276 .42045 .87525 .42398 .88147 .42207 .87899 .41854 Mtetra
.87899 .41854 .88147 .42207 .8877 .42016 .88524 .41662 Mtetra
.88524 .41662 .8877 .42016 .89395 .41824 .89149 .4147 Mtetra
.89149 .4147 .89395 .41824 .90021 .41632 .89776 .41277 Mtetra
.89776 .41277 .90021 .41632 .90648 .4144 .90405 .41084 Mtetra
.90405 .41084 .90648 .4144 .91277 .41247 .91034 .4089 Mtetra
.91034 .4089 .91277 .41247 .91907 .41054 .91665 .40696 Mtetra
.91665 .40696 .91907 .41054 .92538 .40861 .92298 .40502 Mtetra
.92298 .40502 .92538 .40861 .93171 .40667 .92931 .40307 Mtetra
.92931 .40307 .93171 .40667 .93805 .40472 .93566 .40112 Mtetra
.93566 .40112 .93805 .40472 .9444 .40277 .94203 .39917 Mtetra
.94203 .39917 .9444 .40277 .95077 .40082 .94841 .39721 Mtetra
.557 .72 .949 r
.37403 .57056 .37721 .57336 .38239 .57267 .37921 .57011 Mtetra
.343 .647 .967 r
.37921 .57011 .38239 .57267 .38755 .57299 .38434 .57091 Mtetra
0 .255 .674 r
.38434 .57091 .38755 .57299 .39265 .57494 .38942 .5738 Mtetra
.776 .272 0 r
.38942 .5738 .39265 .57494 .39769 .57917 .3944 .57956 Mtetra
.845 .44 .274 r
.3944 .57956 .39769 .57917 .40267 .58594 .3993 .58855 Mtetra
.834 .479 .383 r
.3993 .58855 .40267 .58594 .40761 .59473 .40415 .60011 Mtetra
.8 .469 .429 r
.40415 .60011 .40761 .59473 .41259 .60393 .40904 .61221 Mtetra
.742 .424 .445 r
.40904 .61221 .41259 .60393 .41767 .61115 .41406 .62182 Mtetra
.638 .33 .433 r
.41406 .62182 .41767 .61115 .42292 .61399 .41929 .62587 Mtetra
.437 .144 .368 r
.41929 .62587 .42292 .61399 .42835 .6111 .42477 .62264 Mtetra
.033 0 .182 r
.42477 .62264 .42835 .6111 .43393 .60288 .43043 .61262 Mtetra
0 0 0 r
.43043 .61262 .43393 .60288 .43959 .59123 .4362 .59826 Mtetra
.869 .879 .442 r
.4362 .59826 .43959 .59123 .44524 .57869 .44196 .58278 Mtetra
.968 .926 .604 r
.44196 .58278 .44524 .57869 .45085 .56739 .44765 .56887 Mtetra
.965 .915 .711 r
.44765 .56887 .45085 .56739 .45639 .55849 .45325 .55795 Mtetra
.912 .878 .788 r
.45325 .55795 .45639 .55849 .46187 .55218 .45877 .55017 Mtetra
.836 .822 .835 r
.45877 .55017 .46187 .55218 .4673 .54806 .46424 .54487 Mtetra
.764 .754 .844 r
.46424 .54487 .4673 .54806 .47271 .54559 .46968 .54115 Mtetra
.697 .679 .829 r
.46968 .54115 .47271 .54559 .47812 .54435 .47511 .53866 Mtetra
.651 .617 .802 r
.47511 .53866 .47812 .54435 .48352 .54404 .48053 .53699 Mtetra
.642 .578 .767 r
.48053 .53699 .48352 .54404 .48893 .54443 .48596 .53531 Mtetra
.631 .536 .729 r
.48596 .53531 .48893 .54443 .49436 .54516 .49141 .53364 Mtetra
.622 .504 .698 r
.49141 .53364 .49436 .54516 .49981 .54572 .49687 .53196 Mtetra
.615 .483 .678 r
.49687 .53196 .49981 .54572 .50528 .54553 .50233 .53027 Mtetra
.611 .472 .667 r
.50233 .53027 .50528 .54553 .51076 .54418 .50781 .52858 Mtetra
.611 .47 .665 r
.50781 .52858 .51076 .54418 .51627 .54156 .5133 .52689 Mtetra
.613 .476 .672 r
.5133 .52689 .51627 .54156 .52178 .53794 .5188 .5252 Mtetra
.618 .492 .687 r
.5188 .5252 .52178 .53794 .5273 .53384 .52431 .5235 Mtetra
.626 .519 .712 r
.52431 .5235 .5273 .53384 .53282 .52981 .52983 .5218 Mtetra
.637 .558 .749 r
.52983 .5218 .53282 .52981 .53835 .52621 .53537 .52009 Mtetra
.649 .606 .792 r
.53537 .52009 .53835 .52621 .54388 .52318 .54091 .51839 Mtetra
.658 .654 .835 r
.54091 .51839 .54388 .52318 .54943 .52069 .54647 .51667 Mtetra
.662 .691 .867 r
.54647 .51667 .54943 .52069 .55499 .51859 .55203 .51496 Mtetra
.649 .707 .89 r
.55203 .51496 .55499 .51859 .56056 .51678 .55761 .51347 Mtetra
.645 .726 .907 r
.55761 .51347 .56056 .51678 .56614 .51517 .56321 .51203 Mtetra
.639 .735 .918 r
.56321 .51203 .56614 .51517 .57174 .51368 .56881 .51065 Mtetra
.633 .741 .926 r
.56881 .51065 .57174 .51368 .57735 .51227 .57443 .50934 Mtetra
.631 .748 .932 r
.57443 .50934 .57735 .51227 .58297 .51088 .58007 .50803 Mtetra
.637 .756 .934 r
.58007 .50803 .58297 .51088 .58861 .50941 .58571 .50663 Mtetra
.65 .765 .933 r
.58571 .50663 .58861 .50941 .59425 .5078 .59136 .50505 Mtetra
.666 .773 .929 r
.59136 .50505 .59425 .5078 .5999 .50602 .59702 .50325 Mtetra
.681 .776 .922 r
.59702 .50325 .5999 .50602 .60556 .50407 .60269 .50123 Mtetra
.689 .774 .916 r
.60269 .50123 .60556 .50407 .61123 .50201 .60836 .49909 Mtetra
.691 .769 .911 r
.60836 .49909 .61123 .50201 .61691 .49993 .61405 .49691 Mtetra
.688 .762 .908 r
.61405 .49691 .61691 .49993 .62259 .49788 .61974 .49477 Mtetra
.682 .755 .907 r
.61974 .49477 .62259 .49788 .6283 .4959 .62545 .49273 Mtetra
.676 .75 .907 r
.62545 .49273 .6283 .4959 .63401 .49399 .63117 .49078 Mtetra
.671 .746 .907 r
.63117 .49078 .63401 .49399 .63974 .49215 .63691 .48891 Mtetra
.667 .743 .907 r
.63691 .48891 .63974 .49215 .64548 .49034 .64266 .48708 Mtetra
.665 .742 .907 r
.64266 .48708 .64548 .49034 .65124 .48855 .64842 .48528 Mtetra
.665 .741 .907 r
.64842 .48528 .65124 .48855 .657 .48677 .65419 .48349 Mtetra
.664 .741 .907 r
.65419 .48349 .657 .48677 .66278 .48499 .65998 .48171 Mtetra
.65998 .48171 .66278 .48499 .66857 .48321 .66578 .47992 Mtetra
.66578 .47992 .66857 .48321 .67437 .48143 .67159 .47813 Mtetra
.67159 .47813 .67437 .48143 .68019 .47964 .67741 .47633 Mtetra
.67741 .47633 .68019 .47964 .68601 .47785 .68324 .47454 Mtetra
.68324 .47454 .68601 .47785 .69185 .47606 .68909 .47274 Mtetra
.68909 .47274 .69185 .47606 .6977 .47426 .69495 .47093 Mtetra
.69495 .47093 .6977 .47426 .70356 .47246 .70082 .46912 Mtetra
.70082 .46912 .70356 .47246 .70944 .47065 .7067 .46731 Mtetra
.7067 .46731 .70944 .47065 .71532 .46884 .7126 .46549 Mtetra
.7126 .46549 .71532 .46884 .72122 .46703 .7185 .46367 Mtetra
.7185 .46367 .72122 .46703 .72713 .46521 .72442 .46185 Mtetra
.72442 .46185 .72713 .46521 .73305 .46339 .73035 .46002 Mtetra
.73035 .46002 .73305 .46339 .73899 .46157 .7363 .45819 Mtetra
.7363 .45819 .73899 .46157 .74494 .45974 .74225 .45636 Mtetra
.74225 .45636 .74494 .45974 .7509 .45791 .74822 .45452 Mtetra
.74822 .45452 .7509 .45791 .75687 .45607 .7542 .45267 Mtetra
.7542 .45267 .75687 .45607 .76285 .45423 .7602 .45083 Mtetra
.7602 .45083 .76285 .45423 .76885 .45239 .7662 .44898 Mtetra
.7662 .44898 .76885 .45239 .77486 .45054 .77222 .44712 Mtetra
.77222 .44712 .77486 .45054 .78089 .44869 .77825 .44526 Mtetra
.77825 .44526 .78089 .44869 .78692 .44684 .7843 .4434 Mtetra
.7843 .4434 .78692 .44684 .79297 .44498 .79036 .44154 Mtetra
.79036 .44154 .79297 .44498 .79903 .44312 .79643 .43967 Mtetra
.79643 .43967 .79903 .44312 .8051 .44125 .80251 .43779 Mtetra
.80251 .43779 .8051 .44125 .81119 .43938 .8086 .43591 Mtetra
.8086 .43591 .81119 .43938 .81729 .4375 .81471 .43403 Mtetra
.81471 .43403 .81729 .4375 .8234 .43563 .82083 .43215 Mtetra
.82083 .43215 .8234 .43563 .82953 .43374 .82697 .43026 Mtetra
.82697 .43026 .82953 .43374 .83566 .43186 .83311 .42836 Mtetra
.83311 .42836 .83566 .43186 .84181 .42997 .83927 .42647 Mtetra
.83927 .42647 .84181 .42997 .84798 .42807 .84545 .42456 Mtetra
.84545 .42456 .84798 .42807 .85415 .42617 .85163 .42266 Mtetra
.85163 .42266 .85415 .42617 .86034 .42427 .85783 .42075 Mtetra
.85783 .42075 .86034 .42427 .86655 .42236 .86405 .41883 Mtetra
.86405 .41883 .86655 .42236 .87276 .42045 .87027 .41692 Mtetra
.87027 .41692 .87276 .42045 .87899 .41854 .87651 .41499 Mtetra
.87651 .41499 .87899 .41854 .88524 .41662 .88276 .41307 Mtetra
.88276 .41307 .88524 .41662 .89149 .4147 .88903 .41114 Mtetra
.88903 .41114 .89149 .4147 .89776 .41277 .89531 .4092 Mtetra
.89531 .4092 .89776 .41277 .90405 .41084 .9016 .40726 Mtetra
.9016 .40726 .90405 .41084 .91034 .4089 .90791 .40532 Mtetra
.90791 .40532 .91034 .4089 .91665 .40696 .91423 .40337 Mtetra
.91423 .40337 .91665 .40696 .92298 .40502 .92056 .40142 Mtetra
.92056 .40142 .92298 .40502 .92931 .40307 .92691 .39947 Mtetra
.92691 .39947 .92931 .40307 .93566 .40112 .93327 .39751 Mtetra
.93327 .39751 .93566 .40112 .94203 .39917 .93964 .39554 Mtetra
.93964 .39554 .94203 .39917 .94841 .39721 .94603 .39358 Mtetra
.525 .709 .955 r
.37084 .56775 .37403 .57056 .37921 .57011 .37601 .56755 Mtetra
.224 .586 .946 r
.37601 .56755 .37921 .57011 .38434 .57091 .38113 .56889 Mtetra
.516 0 0 r
.38113 .56889 .38434 .57091 .38942 .5738 .38616 .57276 Mtetra
.834 .375 .12 r
.38616 .57276 .38942 .5738 .3944 .57956 .39109 .58016 Mtetra
.865 .487 .33 r
.39109 .58016 .3944 .57956 .3993 .58855 .3959 .59153 Mtetra
.849 .511 .412 r
.3959 .59153 .3993 .58855 .40415 .60011 .40065 .60605 Mtetra
.817 .497 .449 r
.40065 .60605 .40415 .60011 .40904 .61221 .40543 .62129 Mtetra
.761 .451 .461 r
.40543 .62129 .40904 .61221 .41406 .62182 .41038 .63348 Mtetra
.657 .354 .448 r
.41038 .63348 .41406 .62182 .41929 .62587 .41559 .63883 Mtetra
.435 .149 .378 r
.41559 .63883 .41929 .62587 .42477 .62264 .42111 .63522 Mtetra
0 0 .158 r
.42111 .63522 .42477 .62264 .43043 .61262 .42687 .62326 Mtetra
0 0 0 r
.42687 .62326 .43043 .61262 .4362 .59826 .43275 .60598 Mtetra
.922 .88 .457 r
.43275 .60598 .4362 .59826 .44196 .58278 .43863 .58734 Mtetra
.984 .902 .586 r
.43863 .58734 .44196 .58278 .44765 .56887 .44442 .57063 Mtetra
.975 .891 .678 r
.44442 .57063 .44765 .56887 .45325 .55795 .45009 .55754 Mtetra
.929 .863 .753 r
.45009 .55754 .45325 .55795 .45877 .55017 .45566 .54816 Mtetra
.863 .814 .8 r
.45566 .54816 .45877 .55017 .46424 .54487 .46117 .54153 Mtetra
.779 .749 .826 r
.46117 .54153 .46424 .54487 .46968 .54115 .46663 .53725 Mtetra
.662 .693 .868 r
.46663 .53725 .46968 .54115 .47511 .53866 .47205 .53557 Mtetra
.664 .741 .907 r
.47205 .53557 .47511 .53866 .48053 .53699 .47748 .53389 Mtetra
.47748 .53389 .48053 .53699 .48596 .53531 .48292 .53221 Mtetra
.48292 .53221 .48596 .53531 .49141 .53364 .48837 .53053 Mtetra
.48837 .53053 .49141 .53364 .49687 .53196 .49384 .52884 Mtetra
.49384 .52884 .49687 .53196 .50233 .53027 .49931 .52715 Mtetra
.49931 .52715 .50233 .53027 .50781 .52858 .5048 .52546 Mtetra
.5048 .52546 .50781 .52858 .5133 .52689 .51029 .52376 Mtetra
.51029 .52376 .5133 .52689 .5188 .5252 .5158 .52206 Mtetra
.5158 .52206 .5188 .5252 .52431 .5235 .52132 .52036 Mtetra
.52132 .52036 .52431 .5235 .52983 .5218 .52685 .51865 Mtetra
.52685 .51865 .52983 .5218 .53537 .52009 .53239 .51694 Mtetra
.53239 .51694 .53537 .52009 .54091 .51839 .53794 .51522 Mtetra
.53794 .51522 .54091 .51839 .54647 .51667 .5435 .51351 Mtetra
.5435 .51351 .54647 .51667 .55203 .51496 .54908 .51178 Mtetra
.661 .74 .908 r
.54908 .51178 .55203 .51496 .55761 .51347 .55466 .5101 Mtetra
.63 .718 .91 r
.55466 .5101 .55761 .51347 .56321 .51203 .56026 .50886 Mtetra
.629 .731 .921 r
.56026 .50886 .56321 .51203 .56881 .51065 .56588 .50762 Mtetra
.624 .739 .929 r
.56588 .50762 .56881 .51065 .57443 .50934 .57151 .50641 Mtetra
.623 .746 .935 r
.57151 .50641 .57443 .50934 .58007 .50803 .57715 .5052 Mtetra
.63 .756 .938 r
.57715 .5052 .58007 .50803 .58571 .50663 .5828 .50386 Mtetra
.647 .766 .936 r
.5828 .50386 .58571 .50663 .59136 .50505 .58846 .50231 Mtetra
.667 .775 .93 r
.58846 .50231 .59136 .50505 .59702 .50325 .59413 .50049 Mtetra
.685 .779 .922 r
.59413 .50049 .59702 .50325 .60269 .50123 .59981 .49841 Mtetra
.695 .777 .915 r
.59981 .49841 .60269 .50123 .60836 .49909 .60549 .49617 Mtetra
.697 .772 .909 r
.60549 .49617 .60836 .49909 .61405 .49691 .61118 .49389 Mtetra
.693 .764 .907 r
.61118 .49389 .61405 .49691 .61974 .49477 .61688 .49167 Mtetra
.686 .757 .906 r
.61688 .49167 .61974 .49477 .62545 .49273 .62259 .48955 Mtetra
.678 .751 .906 r
.62259 .48955 .62545 .49273 .63117 .49078 .62832 .48756 Mtetra
.672 .746 .906 r
.62832 .48756 .63117 .49078 .63691 .48891 .63407 .48565 Mtetra
.668 .744 .907 r
.63407 .48565 .63691 .48891 .64266 .48708 .63982 .48381 Mtetra
.666 .742 .907 r
.63982 .48381 .64266 .48708 .64842 .48528 .64559 .482 Mtetra
.665 .741 .907 r
.64559 .482 .64842 .48528 .65419 .48349 .65137 .4802 Mtetra
.664 .741 .907 r
.65137 .4802 .65419 .48349 .65998 .48171 .65717 .4784 Mtetra
.65717 .4784 .65998 .48171 .66578 .47992 .66297 .47661 Mtetra
.66297 .47661 .66578 .47992 .67159 .47813 .66879 .47481 Mtetra
.66879 .47481 .67159 .47813 .67741 .47633 .67462 .47301 Mtetra
.67462 .47301 .67741 .47633 .68324 .47454 .68046 .47121 Mtetra
.68046 .47121 .68324 .47454 .68909 .47274 .68632 .4694 Mtetra
.68632 .4694 .68909 .47274 .69495 .47093 .69219 .46759 Mtetra
.69219 .46759 .69495 .47093 .70082 .46912 .69806 .46577 Mtetra
.69806 .46577 .70082 .46912 .7067 .46731 .70396 .46395 Mtetra
.70396 .46395 .7067 .46731 .7126 .46549 .70986 .46213 Mtetra
.70986 .46213 .7126 .46549 .7185 .46367 .71577 .4603 Mtetra
.71577 .4603 .7185 .46367 .72442 .46185 .7217 .45847 Mtetra
.7217 .45847 .72442 .46185 .73035 .46002 .72764 .45664 Mtetra
.72764 .45664 .73035 .46002 .7363 .45819 .7336 .4548 Mtetra
.7336 .4548 .7363 .45819 .74225 .45636 .73956 .45296 Mtetra
.73956 .45296 .74225 .45636 .74822 .45452 .74554 .45111 Mtetra
.74554 .45111 .74822 .45452 .7542 .45267 .75153 .44926 Mtetra
.75153 .44926 .7542 .45267 .7602 .45083 .75753 .44741 Mtetra
.75753 .44741 .7602 .45083 .7662 .44898 .76355 .44555 Mtetra
.76355 .44555 .7662 .44898 .77222 .44712 .76957 .44369 Mtetra
.76957 .44369 .77222 .44712 .77825 .44526 .77561 .44182 Mtetra
.77561 .44182 .77825 .44526 .7843 .4434 .78167 .43995 Mtetra
.78167 .43995 .7843 .4434 .79036 .44154 .78773 .43808 Mtetra
.78773 .43808 .79036 .44154 .79643 .43967 .79381 .4362 Mtetra
.79381 .4362 .79643 .43967 .80251 .43779 .7999 .43432 Mtetra
.7999 .43432 .80251 .43779 .8086 .43591 .80601 .43244 Mtetra
.80601 .43244 .8086 .43591 .81471 .43403 .81213 .43055 Mtetra
.81213 .43055 .81471 .43403 .82083 .43215 .81826 .42866 Mtetra
.81826 .42866 .82083 .43215 .82697 .43026 .8244 .42676 Mtetra
.8244 .42676 .82697 .43026 .83311 .42836 .83056 .42486 Mtetra
.83056 .42486 .83311 .42836 .83927 .42647 .83673 .42295 Mtetra
.83673 .42295 .83927 .42647 .84545 .42456 .84291 .42104 Mtetra
.84291 .42104 .84545 .42456 .85163 .42266 .8491 .41913 Mtetra
.8491 .41913 .85163 .42266 .85783 .42075 .85531 .41721 Mtetra
.85531 .41721 .85783 .42075 .86405 .41883 .86154 .41529 Mtetra
.86154 .41529 .86405 .41883 .87027 .41692 .86777 .41336 Mtetra
.86777 .41336 .87027 .41692 .87651 .41499 .87402 .41143 Mtetra
.87402 .41143 .87651 .41499 .88276 .41307 .88028 .4095 Mtetra
.88028 .4095 .88276 .41307 .88903 .41114 .88656 .40756 Mtetra
.88656 .40756 .88903 .41114 .89531 .4092 .89285 .40562 Mtetra
.89285 .40562 .89531 .4092 .9016 .40726 .89915 .40367 Mtetra
.89915 .40367 .9016 .40726 .90791 .40532 .90547 .40172 Mtetra
.90547 .40172 .90791 .40532 .91423 .40337 .9118 .39977 Mtetra
.9118 .39977 .91423 .40337 .92056 .40142 .91814 .39781 Mtetra
.91814 .39781 .92056 .40142 .92691 .39947 .9245 .39585 Mtetra
.9245 .39585 .92691 .39947 .93327 .39751 .93087 .39388 Mtetra
.93087 .39388 .93327 .39751 .93964 .39554 .93725 .39191 Mtetra
.93725 .39191 .93964 .39554 .94603 .39358 .94365 .38993 Mtetra
.492 .696 .96 r
.36763 .56494 .37084 .56775 .37601 .56755 .3728 .56499 Mtetra
.093 .506 .904 r
.3728 .56499 .37601 .56755 .38113 .56889 .3779 .56685 Mtetra
.658 .115 0 r
.3779 .56685 .38113 .56889 .38616 .57276 .38289 .57172 Mtetra
.865 .438 .197 r
.38289 .57172 .38616 .57276 .39109 .58016 .38775 .58077 Mtetra
.88 .52 .361 r
.38775 .58077 .39109 .58016 .3959 .59153 .39247 .59451 Mtetra
.864 .536 .428 r
.39247 .59451 .3959 .59153 .40065 .60605 .39711 .61204 Mtetra
.834 .52 .459 r
.39711 .61204 .40065 .60605 .40543 .62129 .40178 .63044 Mtetra
.781 .475 .469 r
.40178 .63044 .40543 .62129 .41038 .63348 .40665 .64526 Mtetra
.676 .374 .455 r
.40665 .64526 .41038 .63348 .41559 .63883 .41185 .65194 Mtetra
.421 .137 .373 r
.41185 .65194 .41559 .63883 .42111 .63522 .41741 .64795 Mtetra
0 0 .083 r
.41741 .64795 .42111 .63522 .42687 .62326 .42327 .63402 Mtetra
.797 .799 .307 r
.42327 .63402 .42687 .62326 .43275 .60598 .42928 .61377 Mtetra
.968 .878 .49 r
.42928 .61377 .43275 .60598 .43863 .58734 .43528 .59194 Mtetra
.993 .877 .583 r
.43528 .59194 .43863 .58734 .44442 .57063 .44117 .57244 Mtetra
.979 .867 .657 r
.44117 .57244 .44442 .57063 .45009 .55754 .44692 .55725 Mtetra
.939 .851 .728 r
.44692 .55725 .45009 .55754 .45566 .54816 .45254 .54646 Mtetra
.883 .823 .784 r
.45254 .54646 .45566 .54816 .46117 .54153 .45807 .53893 Mtetra
.809 .791 .835 r
.45807 .53893 .46117 .54153 .46663 .53725 .46355 .53415 Mtetra
.664 .741 .907 r
.46355 .53415 .46663 .53725 .47205 .53557 .46898 .53247 Mtetra
.46898 .53247 .47205 .53557 .47748 .53389 .47442 .53079 Mtetra
.47442 .53079 .47748 .53389 .48292 .53221 .47986 .5291 Mtetra
.47986 .5291 .48292 .53221 .48837 .53053 .48532 .52741 Mtetra
.48532 .52741 .48837 .53053 .49384 .52884 .49079 .52572 Mtetra
.49079 .52572 .49384 .52884 .49931 .52715 .49627 .52402 Mtetra
.49627 .52402 .49931 .52715 .5048 .52546 .50177 .52232 Mtetra
.50177 .52232 .5048 .52546 .51029 .52376 .50727 .52062 Mtetra
.50727 .52062 .51029 .52376 .5158 .52206 .51279 .51891 Mtetra
.51279 .51891 .5158 .52206 .52132 .52036 .51831 .5172 Mtetra
.51831 .5172 .52132 .52036 .52685 .51865 .52385 .51549 Mtetra
.52385 .51549 .52685 .51865 .53239 .51694 .5294 .51377 Mtetra
.5294 .51377 .53239 .51694 .53794 .51522 .53495 .51205 Mtetra
.53495 .51205 .53794 .51522 .5435 .51351 .54052 .51032 Mtetra
.54052 .51032 .5435 .51351 .54908 .51178 .54611 .5086 Mtetra
.66 .74 .909 r
.54611 .5086 .54908 .51178 .55466 .5101 .5517 .50692 Mtetra
.622 .728 .923 r
.5517 .50692 .55466 .5101 .56026 .50886 .55731 .50576 Mtetra
.621 .733 .927 r
.55731 .50576 .56026 .50886 .56588 .50762 .56293 .5046 Mtetra
.616 .737 .933 r
.56293 .5046 .56588 .50762 .57151 .50641 .56857 .50348 Mtetra
.615 .744 .938 r
.56857 .50348 .57151 .50641 .57715 .5052 .57422 .50235 Mtetra
.624 .754 .94 r
.57422 .50235 .57715 .5052 .5828 .50386 .57988 .50109 Mtetra
.644 .765 .937 r
.57988 .50109 .5828 .50386 .58846 .50231 .58555 .49957 Mtetra
.668 .775 .93 r
.58555 .49957 .58846 .50231 .59413 .50049 .59123 .49772 Mtetra
.689 .78 .92 r
.59123 .49772 .59413 .50049 .59981 .49841 .59691 .49558 Mtetra
.7 .778 .912 r
.59691 .49558 .59981 .49841 .60549 .49617 .6026 .49324 Mtetra
.703 .773 .907 r
.6026 .49324 .60549 .49617 .61118 .49389 .6083 .49086 Mtetra
.698 .766 .904 r
.6083 .49086 .61118 .49389 .61688 .49167 .614 .48855 Mtetra
.69 .758 .904 r
.614 .48855 .61688 .49167 .62259 .48955 .61973 .48637 Mtetra
.681 .752 .905 r
.61973 .48637 .62259 .48955 .62832 .48756 .62546 .48432 Mtetra
.674 .747 .906 r
.62546 .48432 .62832 .48756 .63407 .48565 .63121 .48239 Mtetra
.669 .744 .906 r
.63121 .48239 .63407 .48565 .63982 .48381 .63698 .48052 Mtetra
.666 .742 .907 r
.63698 .48052 .63982 .48381 .64559 .482 .64275 .4787 Mtetra
.665 .741 .907 r
.64275 .4787 .64559 .482 .65137 .4802 .64854 .47689 Mtetra
.664 .741 .907 r
.64854 .47689 .65137 .4802 .65717 .4784 .65435 .47509 Mtetra
.65435 .47509 .65717 .4784 .66297 .47661 .66016 .47329 Mtetra
.66016 .47329 .66297 .47661 .66879 .47481 .66599 .47149 Mtetra
.66599 .47149 .66879 .47481 .67462 .47301 .67183 .46968 Mtetra
.67183 .46968 .67462 .47301 .68046 .47121 .67768 .46787 Mtetra
.67768 .46787 .68046 .47121 .68632 .4694 .68354 .46605 Mtetra
.68354 .46605 .68632 .4694 .69219 .46759 .68941 .46423 Mtetra
.68941 .46423 .69219 .46759 .69806 .46577 .6953 .46241 Mtetra
.6953 .46241 .69806 .46577 .70396 .46395 .7012 .46059 Mtetra
.7012 .46059 .70396 .46395 .70986 .46213 .70711 .45875 Mtetra
.70711 .45875 .70986 .46213 .71577 .4603 .71304 .45692 Mtetra
.71304 .45692 .71577 .4603 .7217 .45847 .71897 .45508 Mtetra
.71897 .45508 .7217 .45847 .72764 .45664 .72492 .45324 Mtetra
.72492 .45324 .72764 .45664 .7336 .4548 .73088 .4514 Mtetra
.73088 .4514 .7336 .4548 .73956 .45296 .73686 .44955 Mtetra
.73686 .44955 .73956 .45296 .74554 .45111 .74284 .44769 Mtetra
.74284 .44769 .74554 .45111 .75153 .44926 .74884 .44584 Mtetra
.74884 .44584 .75153 .44926 .75753 .44741 .75485 .44398 Mtetra
.75485 .44398 .75753 .44741 .76355 .44555 .76088 .44211 Mtetra
.76088 .44211 .76355 .44555 .76957 .44369 .76691 .44024 Mtetra
.76691 .44024 .76957 .44369 .77561 .44182 .77296 .43837 Mtetra
.77296 .43837 .77561 .44182 .78167 .43995 .77903 .43649 Mtetra
.77903 .43649 .78167 .43995 .78773 .43808 .7851 .43461 Mtetra
.7851 .43461 .78773 .43808 .79381 .4362 .79119 .43273 Mtetra
.79119 .43273 .79381 .4362 .7999 .43432 .79729 .43084 Mtetra
.79729 .43084 .7999 .43432 .80601 .43244 .8034 .42895 Mtetra
.8034 .42895 .80601 .43244 .81213 .43055 .80953 .42705 Mtetra
.80953 .42705 .81213 .43055 .81826 .42866 .81567 .42515 Mtetra
.81567 .42515 .81826 .42866 .8244 .42676 .82182 .42324 Mtetra
.82182 .42324 .8244 .42676 .83056 .42486 .82799 .42134 Mtetra
.82799 .42134 .83056 .42486 .83673 .42295 .83417 .41942 Mtetra
.83417 .41942 .83673 .42295 .84291 .42104 .84036 .41751 Mtetra
.84036 .41751 .84291 .42104 .8491 .41913 .84656 .41559 Mtetra
.84656 .41559 .8491 .41913 .85531 .41721 .85278 .41366 Mtetra
.85278 .41366 .85531 .41721 .86154 .41529 .85901 .41173 Mtetra
.85901 .41173 .86154 .41529 .86777 .41336 .86526 .4098 Mtetra
.86526 .4098 .86777 .41336 .87402 .41143 .87152 .40786 Mtetra
.87152 .40786 .87402 .41143 .88028 .4095 .87779 .40592 Mtetra
.87779 .40592 .88028 .4095 .88656 .40756 .88408 .40397 Mtetra
.88408 .40397 .88656 .40756 .89285 .40562 .89037 .40202 Mtetra
.89037 .40202 .89285 .40562 .89915 .40367 .89669 .40007 Mtetra
.89669 .40007 .89915 .40367 .90547 .40172 .90301 .39811 Mtetra
.90301 .39811 .90547 .40172 .9118 .39977 .90935 .39615 Mtetra
.90935 .39615 .9118 .39977 .91814 .39781 .91571 .39418 Mtetra
.91571 .39418 .91814 .39781 .9245 .39585 .92207 .39221 Mtetra
.92207 .39221 .9245 .39585 .93087 .39388 .92845 .39023 Mtetra
.92845 .39023 .93087 .39388 .93725 .39191 .93485 .38826 Mtetra
.93485 .38826 .93725 .39191 .94365 .38993 .94126 .38627 Mtetra
.458 .681 .961 r
.36442 .5621 .36763 .56494 .3728 .56499 .36958 .56238 Mtetra
0 .421 .848 r
.36958 .56238 .3728 .56499 .3779 .56685 .37466 .56474 Mtetra
.738 .219 0 r
.37466 .56474 .3779 .56685 .38289 .57172 .37961 .57054 Mtetra
.885 .478 .239 r
.37961 .57054 .38289 .57172 .38775 .58077 .38441 .58111 Mtetra
.893 .544 .377 r
.38441 .58111 .38775 .58077 .39247 .59451 .38903 .59709 Mtetra
.879 .556 .435 r
.38903 .59709 .39247 .59451 .39711 .61204 .39356 .61743 Mtetra
.852 .542 .462 r
.39356 .61743 .39711 .61204 .40178 .63044 .39812 .63882 Mtetra
.804 .497 .47 r
.39812 .63882 .40178 .63044 .40665 .64526 .40292 .65611 Mtetra
.699 .392 .453 r
.40292 .65611 .40665 .64526 .41185 .65194 .40809 .66406 Mtetra
.389 .098 .345 r
.40809 .66406 .41185 .65194 .41741 .64795 .4137 .6597 Mtetra
0 0 0 r
.4137 .6597 .41741 .64795 .42327 .63402 .41966 .6439 Mtetra
.923 .857 .419 r
.41966 .6439 .42327 .63402 .42928 .61377 .42579 .62085 Mtetra
.994 .863 .527 r
.42579 .62085 .42928 .61377 .43528 .59194 .43192 .59605 Mtetra
.994 .85 .587 r
.43192 .59605 .43528 .59194 .44117 .57244 .43791 .57398 Mtetra
.976 .842 .646 r
.43791 .57398 .44117 .57244 .44692 .55725 .44372 .55696 Mtetra
.943 .84 .713 r
.44372 .55696 .44692 .55725 .45254 .54646 .44939 .54517 Mtetra
.895 .843 .786 r
.44939 .54517 .45254 .54646 .45807 .53893 .45494 .53751 Mtetra
.841 .864 .86 r
.45494 .53751 .45807 .53893 .46355 .53415 .46043 .53249 Mtetra
.758 .858 .924 r
.46043 .53249 .46355 .53415 .46898 .53247 .4659 .52936 Mtetra
.664 .741 .907 r
.4659 .52936 .46898 .53247 .47442 .53079 .47134 .52767 Mtetra
.47134 .52767 .47442 .53079 .47986 .5291 .4768 .52598 Mtetra
.4768 .52598 .47986 .5291 .48532 .52741 .48226 .52428 Mtetra
.48226 .52428 .48532 .52741 .49079 .52572 .48774 .52258 Mtetra
.48774 .52258 .49079 .52572 .49627 .52402 .49323 .52088 Mtetra
.49323 .52088 .49627 .52402 .50177 .52232 .49873 .51917 Mtetra
.49873 .51917 .50177 .52232 .50727 .52062 .50424 .51746 Mtetra
.50424 .51746 .50727 .52062 .51279 .51891 .50976 .51575 Mtetra
.50976 .51575 .51279 .51891 .51831 .5172 .51529 .51403 Mtetra
.51529 .51403 .51831 .5172 .52385 .51549 .52084 .51231 Mtetra
.52084 .51231 .52385 .51549 .5294 .51377 .52639 .51059 Mtetra
.52639 .51059 .5294 .51377 .53495 .51205 .53196 .50886 Mtetra
.53196 .50886 .53495 .51205 .54052 .51032 .53754 .50713 Mtetra
.663 .741 .908 r
.53754 .50713 .54052 .51032 .54611 .5086 .54313 .50541 Mtetra
.637 .733 .918 r
.54313 .50541 .54611 .5086 .5517 .50692 .54873 .50405 Mtetra
.628 .752 .937 r
.54873 .50405 .5517 .50692 .55731 .50576 .55435 .50276 Mtetra
.619 .74 .933 r
.55435 .50276 .55731 .50576 .56293 .5046 .55998 .50159 Mtetra
.61 .737 .936 r
.55998 .50159 .56293 .5046 .56857 .50348 .56562 .50053 Mtetra
.608 .741 .939 r
.56562 .50053 .56857 .50348 .57422 .50235 .57128 .49947 Mtetra
.619 .75 .94 r
.57128 .49947 .57422 .50235 .57988 .50109 .57695 .49827 Mtetra
.642 .763 .936 r
.57695 .49827 .57988 .50109 .58555 .49957 .58263 .49677 Mtetra
.669 .773 .927 r
.58263 .49677 .58555 .49957 .59123 .49772 .58832 .49491 Mtetra
.692 .778 .917 r
.58832 .49491 .59123 .49772 .59691 .49558 .59401 .4927 Mtetra
.705 .778 .908 r
.59401 .4927 .59691 .49558 .6026 .49324 .5997 .49028 Mtetra
.708 .773 .903 r
.5997 .49028 .6026 .49324 .6083 .49086 .6054 .4878 Mtetra
.702 .766 .901 r
.6054 .4878 .6083 .49086 .614 .48855 .61112 .48541 Mtetra
.693 .758 .902 r
.61112 .48541 .614 .48855 .61973 .48637 .61685 .48316 Mtetra
.683 .752 .903 r
.61685 .48316 .61973 .48637 .62546 .48432 .62259 .48107 Mtetra
.675 .747 .905 r
.62259 .48107 .62546 .48432 .63121 .48239 .62835 .47911 Mtetra
.67 .744 .906 r
.62835 .47911 .63121 .48239 .63698 .48052 .63412 .47723 Mtetra
.666 .742 .907 r
.63412 .47723 .63698 .48052 .64275 .4787 .6399 .47539 Mtetra
.665 .741 .907 r
.6399 .47539 .64275 .4787 .64854 .47689 .6457 .47358 Mtetra
.664 .741 .907 r
.6457 .47358 .64854 .47689 .65435 .47509 .65151 .47177 Mtetra
.65151 .47177 .65435 .47509 .66016 .47329 .65734 .46996 Mtetra
.65734 .46996 .66016 .47329 .66599 .47149 .66317 .46815 Mtetra
.66317 .46815 .66599 .47149 .67183 .46968 .66902 .46633 Mtetra
.66902 .46633 .67183 .46968 .67768 .46787 .67488 .46451 Mtetra
.67488 .46451 .67768 .46787 .68354 .46605 .68075 .46269 Mtetra
.68075 .46269 .68354 .46605 .68941 .46423 .68663 .46087 Mtetra
.68663 .46087 .68941 .46423 .6953 .46241 .69253 .45904 Mtetra
.69253 .45904 .6953 .46241 .7012 .46059 .69843 .4572 Mtetra
.69843 .4572 .7012 .46059 .70711 .45875 .70435 .45537 Mtetra
.70435 .45537 .70711 .45875 .71304 .45692 .71029 .45353 Mtetra
.71029 .45353 .71304 .45692 .71897 .45508 .71623 .45168 Mtetra
.71623 .45168 .71897 .45508 .72492 .45324 .72219 .44983 Mtetra
.72219 .44983 .72492 .45324 .73088 .4514 .72816 .44798 Mtetra
.72816 .44798 .73088 .4514 .73686 .44955 .73414 .44612 Mtetra
.73414 .44612 .73686 .44955 .74284 .44769 .74014 .44426 Mtetra
.74014 .44426 .74284 .44769 .74884 .44584 .74614 .4424 Mtetra
.74614 .4424 .74884 .44584 .75485 .44398 .75216 .44053 Mtetra
.75216 .44053 .75485 .44398 .76088 .44211 .7582 .43866 Mtetra
.7582 .43866 .76088 .44211 .76691 .44024 .76424 .43678 Mtetra
.76424 .43678 .76691 .44024 .77296 .43837 .7703 .4349 Mtetra
.7703 .4349 .77296 .43837 .77903 .43649 .77637 .43302 Mtetra
.77637 .43302 .77903 .43649 .7851 .43461 .78246 .43113 Mtetra
.78246 .43113 .7851 .43461 .79119 .43273 .78855 .42924 Mtetra
.78855 .42924 .79119 .43273 .79729 .43084 .79466 .42734 Mtetra
.79466 .42734 .79729 .43084 .8034 .42895 .80079 .42544 Mtetra
.80079 .42544 .8034 .42895 .80953 .42705 .80692 .42354 Mtetra
.80692 .42354 .80953 .42705 .81567 .42515 .81307 .42163 Mtetra
.81307 .42163 .81567 .42515 .82182 .42324 .81923 .41972 Mtetra
.81923 .41972 .82182 .42324 .82799 .42134 .82541 .4178 Mtetra
.82541 .4178 .82799 .42134 .83417 .41942 .8316 .41588 Mtetra
.8316 .41588 .83417 .41942 .84036 .41751 .8378 .41396 Mtetra
.8378 .41396 .84036 .41751 .84656 .41559 .84401 .41203 Mtetra
.84401 .41203 .84656 .41559 .85278 .41366 .85024 .4101 Mtetra
.85024 .4101 .85278 .41366 .85901 .41173 .85648 .40816 Mtetra
.85648 .40816 .85901 .41173 .86526 .4098 .86274 .40622 Mtetra
.86274 .40622 .86526 .4098 .87152 .40786 .86901 .40427 Mtetra
.86901 .40427 .87152 .40786 .87779 .40592 .87529 .40232 Mtetra
.87529 .40232 .87779 .40592 .88408 .40397 .88158 .40037 Mtetra
.88158 .40037 .88408 .40397 .89037 .40202 .88789 .39841 Mtetra
.88789 .39841 .89037 .40202 .89669 .40007 .89421 .39645 Mtetra
.89421 .39645 .89669 .40007 .90301 .39811 .90055 .39448 Mtetra
.90055 .39448 .90301 .39811 .90935 .39615 .9069 .39251 Mtetra
.9069 .39251 .90935 .39615 .91571 .39418 .91326 .39054 Mtetra
.91326 .39054 .91571 .39418 .92207 .39221 .91964 .38856 Mtetra
.91964 .38856 .92207 .39221 .92845 .39023 .92603 .38658 Mtetra
.92603 .38658 .92845 .39023 .93485 .38826 .93244 .38459 Mtetra
.93244 .38459 .93485 .38826 .94126 .38627 .93886 .3826 Mtetra
.429 .667 .961 r
.36119 .55923 .36442 .5621 .36958 .56238 .36634 .5597 Mtetra
0 .347 .795 r
.36634 .5597 .36958 .56238 .37466 .56474 .37141 .56248 Mtetra
.781 .282 0 r
.37141 .56248 .37466 .56474 .37961 .57054 .37633 .56905 Mtetra
.899 .504 .26 r
.37633 .56905 .37961 .57054 .38441 .58111 .38107 .58093 Mtetra
.905 .562 .382 r
.38107 .58093 .38441 .58111 .38903 .59709 .38561 .5988 Mtetra
.894 .574 .434 r
.38561 .5988 .38903 .59709 .39356 .61743 .39003 .62153 Mtetra
.873 .562 .458 r
.39003 .62153 .39356 .61743 .39812 .63882 .3945 .64546 Mtetra
.832 .521 .463 r
.3945 .64546 .39812 .63882 .40292 .65611 .39922 .66487 Mtetra
.729 .41 .44 r
.39922 .66487 .40292 .65611 .40809 .66406 .40437 .6739 Mtetra
.315 .006 .272 r
.40437 .6739 .40809 .66406 .4137 .6597 .41002 .66924 Mtetra
.772 .807 .325 r
.41002 .66924 .4137 .6597 .41966 .6439 .41607 .65183 Mtetra
.989 .865 .512 r
.41607 .65183 .41966 .6439 .42579 .62085 .42232 .6264 Mtetra
.997 .836 .559 r
.42232 .6264 .42579 .62085 .43192 .59605 .42856 .59907 Mtetra
.985 .82 .596 r
.42856 .59907 .43192 .59605 .43791 .57398 .43464 .57485 Mtetra
.967 .816 .641 r
.43464 .57485 .43791 .57398 .44372 .55696 .44052 .55634 Mtetra
.939 .823 .704 r
.44052 .55634 .44372 .55696 .44939 .54517 .44622 .5439 Mtetra
.891 .848 .795 r
.44622 .5439 .44939 .54517 .45494 .53751 .45178 .53656 Mtetra
.778 .913 .931 r
.45178 .53656 .45494 .53751 .46043 .53249 .45726 .53305 Mtetra
0 0 0 r
.45726 .53305 .46043 .53249 .4659 .52936 .46269 .53239 Mtetra
.557 .105 .133 r
.46269 .53239 .4659 .52936 .47134 .52767 .4681 .53393 Mtetra
.635 .275 .342 r
.4681 .53393 .47134 .52767 .4768 .52598 .4735 .53711 Mtetra
.633 .323 .429 r
.4735 .53711 .4768 .52598 .48226 .52428 .47892 .54111 Mtetra
.61 .329 .466 r
.47892 .54111 .48226 .52428 .48774 .52258 .48437 .54472 Mtetra
.58 .316 .481 r
.48437 .54472 .48774 .52258 .49323 .52088 .48987 .54658 Mtetra
.544 .292 .483 r
.48987 .54658 .49323 .52088 .49873 .51917 .49542 .54565 Mtetra
.504 .259 .475 r
.49542 .54565 .49873 .51917 .50424 .51746 .501 .5417 Mtetra
.457 .214 .456 r
.501 .5417 .50424 .51746 .50976 .51575 .5066 .53538 Mtetra
.399 .152 .42 r
.5066 .53538 .50976 .51575 .51529 .51403 .5122 .52794 Mtetra
.314 .052 .347 r
.5122 .52794 .51529 .51403 .52084 .51231 .51779 .52067 Mtetra
.16 0 .179 r
.51779 .52067 .52084 .51231 .52639 .51059 .52338 .51443 Mtetra
0 0 0 r
.52338 .51443 .52639 .51059 .53196 .50886 .52896 .50956 Mtetra
.654 .971 .859 r
.52896 .50956 .53196 .50886 .53754 .50713 .53454 .50594 Mtetra
.709 .901 .965 r
.53454 .50594 .53754 .50713 .54313 .50541 .54014 .50329 Mtetra
.673 .822 .955 r
.54014 .50329 .54313 .50541 .54873 .50405 .54575 .50131 Mtetra
.645 .768 .938 r
.54575 .50131 .54873 .50405 .55435 .50276 .55137 .49978 Mtetra
.622 .744 .934 r
.55137 .49978 .55435 .50276 .55998 .50159 .55701 .49856 Mtetra
.607 .736 .936 r
.55701 .49856 .55998 .50159 .56562 .50053 .56266 .49753 Mtetra
.603 .737 .939 r
.56266 .49753 .56562 .50053 .57128 .49947 .56833 .49653 Mtetra
.615 .745 .938 r
.56833 .49653 .57128 .49947 .57695 .49827 .57401 .49537 Mtetra
.641 .757 .933 r
.57401 .49537 .57695 .49827 .58263 .49677 .5797 .4939 Mtetra
.671 .768 .924 r
.5797 .4939 .58263 .49677 .58832 .49491 .58539 .49201 Mtetra
.695 .774 .912 r
.58539 .49201 .58832 .49491 .59401 .4927 .59109 .48975 Mtetra
.709 .774 .903 r
.59109 .48975 .59401 .4927 .5997 .49028 .59679 .48726 Mtetra
.712 .771 .899 r
.59679 .48726 .5997 .49028 .6054 .4878 .6025 .4847 Mtetra
.706 .765 .898 r
.6025 .4847 .6054 .4878 .61112 .48541 .60822 .48223 Mtetra
.696 .758 .9 r
.60822 .48223 .61112 .48541 .61685 .48316 .61396 .47993 Mtetra
.685 .752 .902 r
.61396 .47993 .61685 .48316 .62259 .48107 .61971 .4778 Mtetra
.676 .747 .904 r
.61971 .4778 .62259 .48107 .62835 .47911 .62547 .47581 Mtetra
.67 .744 .906 r
.62547 .47581 .62835 .47911 .63412 .47723 .63125 .47392 Mtetra
.667 .742 .907 r
.63125 .47392 .63412 .47723 .6399 .47539 .63704 .47207 Mtetra
.665 .741 .907 r
.63704 .47207 .6399 .47539 .6457 .47358 .64285 .47024 Mtetra
.664 .741 .907 r
.64285 .47024 .6457 .47358 .65151 .47177 .64867 .46843 Mtetra
.64867 .46843 .65151 .47177 .65734 .46996 .6545 .46661 Mtetra
.6545 .46661 .65734 .46996 .66317 .46815 .66034 .46479 Mtetra
.66034 .46479 .66317 .46815 .66902 .46633 .6662 .46297 Mtetra
.6662 .46297 .66902 .46633 .67488 .46451 .67207 .46115 Mtetra
.67207 .46115 .67488 .46451 .68075 .46269 .67795 .45932 Mtetra
.67795 .45932 .68075 .46269 .68663 .46087 .68384 .45749 Mtetra
.68384 .45749 .68663 .46087 .69253 .45904 .68974 .45565 Mtetra
.68974 .45565 .69253 .45904 .69843 .4572 .69566 .45381 Mtetra
.69566 .45381 .69843 .4572 .70435 .45537 .70159 .45196 Mtetra
.70159 .45196 .70435 .45537 .71029 .45353 .70753 .45012 Mtetra
.70753 .45012 .71029 .45353 .71623 .45168 .71348 .44826 Mtetra
.71348 .44826 .71623 .45168 .72219 .44983 .71945 .44641 Mtetra
.71945 .44641 .72219 .44983 .72816 .44798 .72543 .44455 Mtetra
.72543 .44455 .72816 .44798 .73414 .44612 .73142 .44269 Mtetra
.73142 .44269 .73414 .44612 .74014 .44426 .73742 .44082 Mtetra
.73742 .44082 .74014 .44426 .74614 .4424 .74344 .43895 Mtetra
.74344 .43895 .74614 .4424 .75216 .44053 .74947 .43707 Mtetra
.74947 .43707 .75216 .44053 .7582 .43866 .75551 .43519 Mtetra
.75551 .43519 .7582 .43866 .76424 .43678 .76156 .43331 Mtetra
.76156 .43331 .76424 .43678 .7703 .4349 .76763 .43142 Mtetra
.76763 .43142 .7703 .4349 .77637 .43302 .77371 .42953 Mtetra
.77371 .42953 .77637 .43302 .78246 .43113 .7798 .42763 Mtetra
.7798 .42763 .78246 .43113 .78855 .42924 .78591 .42573 Mtetra
.78591 .42573 .78855 .42924 .79466 .42734 .79203 .42383 Mtetra
.79203 .42383 .79466 .42734 .80079 .42544 .79816 .42192 Mtetra
.79816 .42192 .80079 .42544 .80692 .42354 .80431 .42001 Mtetra
.80431 .42001 .80692 .42354 .81307 .42163 .81046 .4181 Mtetra
.81046 .4181 .81307 .42163 .81923 .41972 .81664 .41618 Mtetra
.81664 .41618 .81923 .41972 .82541 .4178 .82282 .41425 Mtetra
.82282 .41425 .82541 .4178 .8316 .41588 .82902 .41233 Mtetra
.82902 .41233 .8316 .41588 .8378 .41396 .83523 .41039 Mtetra
.83523 .41039 .8378 .41396 .84401 .41203 .84145 .40846 Mtetra
.84145 .40846 .84401 .41203 .85024 .4101 .84769 .40652 Mtetra
.84769 .40652 .85024 .4101 .85648 .40816 .85394 .40457 Mtetra
.85394 .40457 .85648 .40816 .86274 .40622 .86021 .40262 Mtetra
.86021 .40262 .86274 .40622 .86901 .40427 .86648 .40067 Mtetra
.86648 .40067 .86901 .40427 .87529 .40232 .87278 .39871 Mtetra
.87278 .39871 .87529 .40232 .88158 .40037 .87908 .39675 Mtetra
.87908 .39675 .88158 .40037 .88789 .39841 .8854 .39479 Mtetra
.8854 .39479 .88789 .39841 .89421 .39645 .89173 .39282 Mtetra
.89173 .39282 .89421 .39645 .90055 .39448 .89808 .39084 Mtetra
.89808 .39084 .90055 .39448 .9069 .39251 .90444 .38886 Mtetra
.90444 .38886 .9069 .39251 .91326 .39054 .91081 .38688 Mtetra
.91081 .38688 .91326 .39054 .91964 .38856 .9172 .3849 Mtetra
.9172 .3849 .91964 .38856 .92603 .38658 .9236 .3829 Mtetra
.9236 .3829 .92603 .38658 .93244 .38459 .93002 .38091 Mtetra
.93002 .38091 .93244 .38459 .93886 .3826 .93645 .37891 Mtetra
.408 .654 .959 r
.35795 .55631 .36119 .55923 .36634 .5597 .3631 .55692 Mtetra
0 .297 .759 r
.3631 .55692 .36634 .5597 .37141 .56248 .36816 .56 Mtetra
.802 .315 0 r
.36816 .56 .37141 .56248 .37633 .56905 .37305 .56714 Mtetra
.909 .52 .263 r
.37305 .56714 .37633 .56905 .38107 .58093 .37774 .57996 Mtetra
.918 .577 .378 r
.37774 .57996 .38107 .58093 .38561 .5988 .38222 .59922 Mtetra
.911 .591 .426 r
.38222 .59922 .38561 .5988 .39003 .62153 .38656 .6237 Mtetra
.896 .582 .446 r
.38656 .6237 .39003 .62153 .3945 .64546 .39094 .6495 Mtetra
.865 .546 .446 r
.39094 .6495 .3945 .64546 .39922 .66487 .3956 .67046 Mtetra
.772 .43 .407 r
.3956 .67046 .39922 .66487 .40437 .6739 .40074 .68029 Mtetra
.093 0 .041 r
.40074 .68029 .40437 .6739 .41002 .66924 .40642 .6754 Mtetra
.975 .9 .548 r
.40642 .6754 .41002 .66924 .41607 .65183 .41254 .65681 Mtetra
.994 .83 .571 r
.41254 .65681 .41607 .65183 .42232 .6264 .41889 .62962 Mtetra
.982 .799 .583 r
.41889 .62962 .42232 .6264 .42856 .59907 .42522 .60042 Mtetra
.969 .788 .604 r
.42522 .60042 .42856 .59907 .43464 .57485 .43139 .57461 Mtetra
.953 .788 .641 r
.43139 .57461 .43464 .57485 .44052 .55634 .43732 .55498 Mtetra
.926 .796 .698 r
.43732 .55498 .44052 .55634 .44622 .5439 .44305 .54197 Mtetra
.875 .815 .786 r
.44305 .54197 .44622 .5439 .45178 .53656 .44863 .53464 Mtetra
.738 .839 .926 r
.44863 .53464 .45178 .53656 .45726 .53305 .4541 .53181 Mtetra
.087 .603 .884 r
.4541 .53181 .45726 .53305 .46269 .53239 .45951 .53263 Mtetra
.675 .149 0 r
.45951 .53263 .46269 .53239 .4681 .53393 .46489 .53656 Mtetra
.759 .35 .277 r
.46489 .53656 .4681 .53393 .4735 .53711 .47025 .54297 Mtetra
.74 .388 .385 r
.47025 .54297 .4735 .53711 .47892 .54111 .47563 .55066 Mtetra
.694 .373 .429 r
.47563 .55066 .47892 .54111 .48437 .54472 .48106 .55771 Mtetra
.628 .328 .443 r
.48106 .55771 .48437 .54472 .48987 .54658 .48657 .56187 Mtetra
.537 .254 .433 r
.48657 .56187 .48987 .54658 .49542 .54565 .49215 .56145 Mtetra
.41 .144 .396 r
.49215 .56145 .49542 .54565 .501 .5417 .49778 .55603 Mtetra
.231 0 .315 r
.49778 .55603 .501 .5417 .5066 .53538 .50344 .54674 Mtetra
0 0 .161 r
.50344 .54674 .5066 .53538 .5122 .52794 .50909 .53562 Mtetra
0 0 0 r
.50909 .53562 .5122 .52794 .51779 .52067 .51473 .52479 Mtetra
.737 .892 .497 r
.51473 .52479 .51779 .52067 .52338 .51443 .52034 .51567 Mtetra
.884 .992 .781 r
.52034 .51567 .52338 .51443 .52896 .50956 .52594 .50878 Mtetra
.842 .926 .887 r
.52594 .50878 .52896 .50956 .53454 .50594 .53153 .50393 Mtetra
.762 .843 .913 r
.53153 .50393 .53454 .50594 .54014 .50329 .53714 .50062 Mtetra
.699 .787 .919 r
.53714 .50062 .54014 .50329 .54575 .50131 .54275 .49833 Mtetra
.655 .755 .923 r
.54275 .49833 .54575 .50131 .55137 .49978 .54838 .49669 Mtetra
.625 .738 .928 r
.54838 .49669 .55137 .49978 .55701 .49856 .55403 .49545 Mtetra
.606 .73 .933 r
.55403 .49545 .55701 .49856 .56266 .49753 .55969 .49445 Mtetra
.601 .731 .936 r
.55969 .49445 .56266 .49753 .56833 .49653 .56536 .49349 Mtetra
.613 .739 .935 r
.56536 .49349 .56833 .49653 .57401 .49537 .57105 .49237 Mtetra
.64 .751 .929 r
.57105 .49237 .57401 .49537 .5797 .4939 .57675 .4909 Mtetra
.671 .761 .918 r
.57675 .4909 .5797 .4939 .58539 .49201 .58245 .48901 Mtetra
.697 .768 .907 r
.58245 .48901 .58539 .49201 .59109 .48975 .58815 .48671 Mtetra
.711 .769 .898 r
.58815 .48671 .59109 .48975 .59679 .48726 .59386 .48415 Mtetra
.714 .767 .894 r
.59386 .48415 .59679 .48726 .6025 .4847 .59958 .48154 Mtetra
.708 .762 .894 r
.59958 .48154 .6025 .4847 .60822 .48223 .60531 .47901 Mtetra
.698 .756 .897 r
.60531 .47901 .60822 .48223 .61396 .47993 .61105 .47667 Mtetra
.686 .751 .901 r
.61105 .47667 .61396 .47993 .61971 .4778 .61681 .47451 Mtetra
.677 .747 .903 r
.61681 .47451 .61971 .4778 .62547 .47581 .62258 .4725 Mtetra
.671 .744 .905 r
.62258 .4725 .62547 .47581 .63125 .47392 .62837 .47059 Mtetra
.667 .742 .906 r
.62837 .47059 .63125 .47392 .63704 .47207 .63417 .46873 Mtetra
.665 .741 .907 r
.63417 .46873 .63704 .47207 .64285 .47024 .63999 .4669 Mtetra
.664 .741 .907 r
.63999 .4669 .64285 .47024 .64867 .46843 .64582 .46508 Mtetra
.64582 .46508 .64867 .46843 .6545 .46661 .65165 .46325 Mtetra
.65165 .46325 .6545 .46661 .66034 .46479 .65751 .46143 Mtetra
.65751 .46143 .66034 .46479 .6662 .46297 .66337 .4596 Mtetra
.66337 .4596 .6662 .46297 .67207 .46115 .66924 .45777 Mtetra
.66924 .45777 .67207 .46115 .67795 .45932 .67513 .45593 Mtetra
.67513 .45593 .67795 .45932 .68384 .45749 .68103 .45409 Mtetra
.68103 .45409 .68384 .45749 .68974 .45565 .68694 .45225 Mtetra
.68694 .45225 .68974 .45565 .69566 .45381 .69287 .4504 Mtetra
.69287 .4504 .69566 .45381 .70159 .45196 .69881 .44855 Mtetra
.69881 .44855 .70159 .45196 .70753 .45012 .70476 .44669 Mtetra
.70476 .44669 .70753 .45012 .71348 .44826 .71072 .44484 Mtetra
.71072 .44484 .71348 .44826 .71945 .44641 .71669 .44297 Mtetra
.71669 .44297 .71945 .44641 .72543 .44455 .72268 .44111 Mtetra
.72268 .44111 .72543 .44455 .73142 .44269 .72868 .43923 Mtetra
.72868 .43923 .73142 .44269 .73742 .44082 .73469 .43736 Mtetra
.73469 .43736 .73742 .44082 .74344 .43895 .74072 .43548 Mtetra
.74072 .43548 .74344 .43895 .74947 .43707 .74676 .4336 Mtetra
.74676 .4336 .74947 .43707 .75551 .43519 .75281 .43171 Mtetra
.75281 .43171 .75551 .43519 .76156 .43331 .75887 .42982 Mtetra
.75887 .42982 .76156 .43331 .76763 .43142 .76495 .42793 Mtetra
.76495 .42793 .76763 .43142 .77371 .42953 .77104 .42603 Mtetra
.77104 .42603 .77371 .42953 .7798 .42763 .77714 .42412 Mtetra
.77714 .42412 .7798 .42763 .78591 .42573 .78325 .42222 Mtetra
.78325 .42222 .78591 .42573 .79203 .42383 .78938 .42031 Mtetra
.78938 .42031 .79203 .42383 .79816 .42192 .79552 .41839 Mtetra
.79552 .41839 .79816 .42192 .80431 .42001 .80168 .41647 Mtetra
.80168 .41647 .80431 .42001 .81046 .4181 .80785 .41455 Mtetra
.80785 .41455 .81046 .4181 .81664 .41618 .81403 .41262 Mtetra
.81403 .41262 .81664 .41618 .82282 .41425 .82022 .41069 Mtetra
.82022 .41069 .82282 .41425 .82902 .41233 .82643 .40876 Mtetra
.82643 .40876 .82902 .41233 .83523 .41039 .83265 .40682 Mtetra
.83265 .40682 .83523 .41039 .84145 .40846 .83888 .40487 Mtetra
.83888 .40487 .84145 .40846 .84769 .40652 .84513 .40292 Mtetra
.84513 .40292 .84769 .40652 .85394 .40457 .85139 .40097 Mtetra
.85139 .40097 .85394 .40457 .86021 .40262 .85767 .39902 Mtetra
.85767 .39902 .86021 .40262 .86648 .40067 .86395 .39705 Mtetra
.86395 .39705 .86648 .40067 .87278 .39871 .87025 .39509 Mtetra
.87025 .39509 .87278 .39871 .87908 .39675 .87657 .39312 Mtetra
.87657 .39312 .87908 .39675 .8854 .39479 .8829 .39115 Mtetra
.8829 .39115 .8854 .39479 .89173 .39282 .88924 .38917 Mtetra
.88924 .38917 .89173 .39282 .89808 .39084 .8956 .38719 Mtetra
.8956 .38719 .89808 .39084 .90444 .38886 .90197 .3852 Mtetra
.90197 .3852 .90444 .38886 .91081 .38688 .90835 .38321 Mtetra
.90835 .38321 .91081 .38688 .9172 .3849 .91475 .38122 Mtetra
.91475 .38122 .9172 .3849 .9236 .3829 .92116 .37922 Mtetra
.92116 .37922 .9236 .3829 .93002 .38091 .92758 .37721 Mtetra
.92758 .37721 .93002 .38091 .93645 .37891 .93402 .37521 Mtetra
.4 .647 .957 r
.35471 .55333 .35795 .55631 .3631 .55692 .35986 .55402 Mtetra
0 .279 .749 r
.35986 .55402 .3631 .55692 .36816 .56 .36491 .55726 Mtetra
.805 .323 0 r
.36491 .55726 .36816 .56 .37305 .56714 .36979 .5647 Mtetra
.917 .529 .25 r
.36979 .5647 .37305 .56714 .37774 .57996 .37445 .57802 Mtetra
.93 .588 .364 r
.37445 .57802 .37774 .57996 .38222 .59922 .37888 .59801 Mtetra
.928 .605 .409 r
.37888 .59801 .38222 .59922 .38656 .6237 .38316 .62342 Mtetra
.92 .602 .424 r
.38316 .62342 .38656 .6237 .39094 .6495 .38749 .65022 Mtetra
.903 .574 .412 r
.38749 .65022 .39094 .6495 .3956 .67046 .39211 .67202 Mtetra
.835 .452 .325 r
.39211 .67202 .3956 .67046 .40074 .68029 .39723 .68227 Mtetra
.689 .968 .75 r
.39723 .68227 .40074 .68029 .40642 .6754 .40293 .67725 Mtetra
.976 .832 .637 r
.40293 .67725 .40642 .6754 .41254 .65681 .40911 .65803 Mtetra
.965 .778 .601 r
.40911 .65803 .41254 .65681 .41889 .62962 .41552 .62988 Mtetra
.956 .76 .599 r
.41552 .62988 .41889 .62962 .42522 .60042 .42193 .59967 Mtetra
.947 .756 .612 r
.42193 .59967 .42522 .60042 .43139 .57461 .42815 .57295 Mtetra
.934 .759 .641 r
.42815 .57295 .43139 .57461 .43732 .55498 .43414 .55259 Mtetra
.909 .765 .689 r
.43414 .55259 .43732 .55498 .44305 .54197 .4399 .53893 Mtetra
.858 .763 .757 r
.4399 .53893 .44305 .54197 .44863 .53464 .44551 .53087 Mtetra
.759 .729 .824 r
.44551 .53087 .44863 .53464 .4541 .53181 .45101 .52695 Mtetra
.615 .634 .847 r
.45101 .52695 .4541 .53181 .45951 .53263 .45646 .52604 Mtetra
.488 .51 .806 r
.45646 .52604 .45951 .53263 .46489 .53656 .46188 .52737 Mtetra
.437 .42 .742 r
.46188 .52737 .46489 .53656 .47025 .54297 .46729 .53035 Mtetra
.452 .385 .692 r
.46729 .53035 .47025 .54297 .47563 .55066 .47271 .53414 Mtetra
.496 .387 .66 r
.47271 .53414 .47563 .55066 .48106 .55771 .47817 .53756 Mtetra
.544 .405 .643 r
.47817 .53756 .48106 .55771 .48657 .56187 .48368 .53928 Mtetra
.587 .429 .634 r
.48368 .53928 .48657 .56187 .49215 .56145 .48924 .53831 Mtetra
.623 .454 .632 r
.48924 .53831 .49215 .56145 .49778 .55603 .49484 .53442 Mtetra
.653 .478 .635 r
.49484 .53442 .49778 .55603 .50344 .54674 .50046 .52824 Mtetra
.677 .503 .644 r
.50046 .52824 .50344 .54674 .50909 .53562 .50608 .52098 Mtetra
.696 .532 .661 r
.50608 .52098 .50909 .53562 .51473 .52479 .51169 .51388 Mtetra
.71 .565 .689 r
.51169 .51388 .51473 .52479 .52034 .51567 .5173 .50778 Mtetra
.718 .604 .729 r
.5173 .50778 .52034 .51567 .52594 .50878 .5229 .503 Mtetra
.715 .648 .781 r
.5229 .503 .52594 .50878 .53153 .50393 .52851 .49945 Mtetra
.699 .687 .834 r
.52851 .49945 .53153 .50393 .53714 .50062 .53412 .49684 Mtetra
.674 .712 .877 r
.53412 .49684 .53714 .50062 .54275 .49833 .53974 .49488 Mtetra
.646 .722 .904 r
.53974 .49488 .54275 .49833 .54838 .49669 .54538 .49339 Mtetra
.621 .724 .92 r
.54538 .49339 .54838 .49669 .55403 .49545 .55103 .49223 Mtetra
.603 .723 .929 r
.55103 .49223 .55403 .49545 .55969 .49445 .5567 .49126 Mtetra
.6 .724 .932 r
.5567 .49126 .55969 .49445 .56536 .49349 .56238 .49033 Mtetra
.613 .731 .93 r
.56238 .49033 .56536 .49349 .57105 .49237 .56808 .48923 Mtetra
.641 .742 .923 r
.56808 .48923 .57105 .49237 .57675 .4909 .57378 .48777 Mtetra
.672 .753 .912 r
.57378 .48777 .57675 .4909 .58245 .48901 .57949 .48586 Mtetra
.697 .76 .9 r
.57949 .48586 .58245 .48901 .58815 .48671 .58521 .48354 Mtetra
.712 .762 .892 r
.58521 .48354 .58815 .48671 .59386 .48415 .59093 .48095 Mtetra
.715 .762 .889 r
.59093 .48095 .59386 .48415 .59958 .48154 .59665 .4783 Mtetra
.709 .758 .891 r
.59665 .4783 .59958 .48154 .60531 .47901 .60239 .47574 Mtetra
.698 .754 .895 r
.60239 .47574 .60531 .47901 .61105 .47667 .60814 .47337 Mtetra
.687 .75 .899 r
.60814 .47337 .61105 .47667 .61681 .47451 .61391 .47119 Mtetra
.677 .746 .903 r
.61391 .47119 .61681 .47451 .62258 .4725 .61969 .46917 Mtetra
.671 .743 .905 r
.61969 .46917 .62258 .4725 .62837 .47059 .62548 .46725 Mtetra
.667 .742 .906 r
.62548 .46725 .62837 .47059 .63417 .46873 .63129 .46538 Mtetra
.665 .741 .907 r
.63129 .46538 .63417 .46873 .63999 .4669 .63711 .46354 Mtetra
.664 .741 .907 r
.63711 .46354 .63999 .4669 .64582 .46508 .64295 .46171 Mtetra
.64295 .46171 .64582 .46508 .65165 .46325 .6488 .45988 Mtetra
.6488 .45988 .65165 .46325 .65751 .46143 .65466 .45805 Mtetra
.65466 .45805 .65751 .46143 .66337 .4596 .66053 .45621 Mtetra
.66053 .45621 .66337 .4596 .66924 .45777 .66641 .45438 Mtetra
.66641 .45438 .66924 .45777 .67513 .45593 .67231 .45253 Mtetra
.67231 .45253 .67513 .45593 .68103 .45409 .67822 .45069 Mtetra
.67822 .45069 .68103 .45409 .68694 .45225 .68414 .44883 Mtetra
.68414 .44883 .68694 .45225 .69287 .4504 .69007 .44698 Mtetra
.69007 .44698 .69287 .4504 .69881 .44855 .69602 .44512 Mtetra
.69602 .44512 .69881 .44855 .70476 .44669 .70198 .44326 Mtetra
.70198 .44326 .70476 .44669 .71072 .44484 .70795 .44139 Mtetra
.70795 .44139 .71072 .44484 .71669 .44297 .71393 .43952 Mtetra
.71393 .43952 .71669 .44297 .72268 .44111 .71993 .43765 Mtetra
.71993 .43765 .72268 .44111 .72868 .43923 .72593 .43577 Mtetra
.72593 .43577 .72868 .43923 .73469 .43736 .73196 .43389 Mtetra
.73196 .43389 .73469 .43736 .74072 .43548 .73799 .432 Mtetra
.73799 .432 .74072 .43548 .74676 .4336 .74404 .43011 Mtetra
.74404 .43011 .74676 .4336 .75281 .43171 .7501 .42822 Mtetra
.7501 .42822 .75281 .43171 .75887 .42982 .75617 .42632 Mtetra
.75617 .42632 .75887 .42982 .76495 .42793 .76226 .42442 Mtetra
.76226 .42442 .76495 .42793 .77104 .42603 .76835 .42251 Mtetra
.76835 .42251 .77104 .42603 .77714 .42412 .77447 .4206 Mtetra
.77447 .4206 .77714 .42412 .78325 .42222 .78059 .41869 Mtetra
.78059 .41869 .78325 .42222 .78938 .42031 .78673 .41677 Mtetra
.78673 .41677 .78938 .42031 .79552 .41839 .79288 .41485 Mtetra
.79288 .41485 .79552 .41839 .80168 .41647 .79904 .41292 Mtetra
.79904 .41292 .80168 .41647 .80785 .41455 .80522 .41099 Mtetra
.80522 .41099 .80785 .41455 .81403 .41262 .81141 .40905 Mtetra
.81141 .40905 .81403 .41262 .82022 .41069 .81761 .40711 Mtetra
.81761 .40711 .82022 .41069 .82643 .40876 .82383 .40517 Mtetra
.82383 .40517 .82643 .40876 .83265 .40682 .83006 .40322 Mtetra
.83006 .40322 .83265 .40682 .83888 .40487 .8363 .40127 Mtetra
.8363 .40127 .83888 .40487 .84513 .40292 .84256 .39932 Mtetra
.84256 .39932 .84513 .40292 .85139 .40097 .84883 .39736 Mtetra
.84883 .39736 .85139 .40097 .85767 .39902 .85511 .39539 Mtetra
.85511 .39539 .85767 .39902 .86395 .39705 .86141 .39342 Mtetra
.86141 .39342 .86395 .39705 .87025 .39509 .86772 .39145 Mtetra
.86772 .39145 .87025 .39509 .87657 .39312 .87405 .38947 Mtetra
.87405 .38947 .87657 .39312 .8829 .39115 .88039 .38749 Mtetra
.88039 .38749 .8829 .39115 .88924 .38917 .88674 .38551 Mtetra
.88674 .38551 .88924 .38917 .8956 .38719 .8931 .38352 Mtetra
.8931 .38352 .8956 .38719 .90197 .3852 .89948 .38152 Mtetra
.89948 .38152 .90197 .3852 .90835 .38321 .90588 .37952 Mtetra
.90588 .37952 .90835 .38321 .91475 .38122 .91229 .37752 Mtetra
.91229 .37752 .91475 .38122 .92116 .37922 .91871 .37551 Mtetra
.91871 .37551 .92116 .37922 .92758 .37721 .92514 .3735 Mtetra
.92514 .3735 .92758 .37721 .93402 .37521 .93159 .37149 Mtetra
.404 .645 .955 r
.35145 .55029 .35471 .55333 .35986 .55402 .35661 .55098 Mtetra
0 .292 .766 r
.35661 .55098 .35986 .55402 .36491 .55726 .36166 .55421 Mtetra
.79 .308 0 r
.36166 .55421 .36491 .55726 .36979 .5647 .36653 .56166 Mtetra
.92 .528 .22 r
.36653 .56166 .36979 .5647 .37445 .57802 .37118 .57499 Mtetra
.94 .595 .338 r
.37118 .57499 .37445 .57802 .37888 .59801 .3756 .59499 Mtetra
.944 .617 .381 r
.3756 .59499 .37888 .59801 .38316 .62342 .37986 .62043 Mtetra
.945 .62 .387 r
.37986 .62043 .38316 .62342 .38749 .65022 .38417 .64725 Mtetra
.941 .599 .347 r
.38417 .64725 .38749 .65022 .39211 .67202 .38877 .66907 Mtetra
.873 .433 .073 r
.38877 .66907 .39211 .67202 .39723 .68227 .39388 .67932 Mtetra
.804 .775 .826 r
.39388 .67932 .39723 .68227 .40293 .67725 .3996 .67429 Mtetra
.912 .739 .653 r
.3996 .67429 .40293 .67725 .40911 .65803 .4058 .65504 Mtetra
.924 .726 .616 r
.4058 .65504 .40911 .65803 .41552 .62988 .41225 .62686 Mtetra
.926 .723 .609 r
.41225 .62686 .41552 .62988 .42193 .59967 .41869 .59658 Mtetra
.923 .726 .618 r
.41869 .59658 .42193 .59967 .42815 .57295 .42495 .56976 Mtetra
.915 .733 .642 r
.42495 .56976 .42815 .57295 .43414 .55259 .43096 .54917 Mtetra
.894 .739 .682 r
.43096 .54917 .43414 .55259 .4399 .53893 .43676 .53501 Mtetra
.851 .732 .731 r
.43676 .53501 .4399 .53893 .44551 .53087 .44241 .52586 Mtetra
.786 .69 .758 r
.44241 .52586 .44551 .53087 .45101 .52695 .44796 .51981 Mtetra
.683 .599 .755 r
.44796 .51981 .45101 .52695 .45646 .52604 .45346 .51681 Mtetra
.63 .535 .729 r
.45346 .51681 .45646 .52604 .46188 .52737 .45893 .51509 Mtetra
.618 .496 .691 r
.45893 .51509 .46188 .52737 .46729 .53035 .46441 .51337 Mtetra
.606 .46 .657 r
.46441 .51337 .46729 .53035 .47271 .53414 .46991 .51165 Mtetra
.597 .436 .634 r
.46991 .51165 .47271 .53414 .47817 .53756 .47541 .50993 Mtetra
.592 .422 .62 r
.47541 .50993 .47817 .53756 .48368 .53928 .48093 .5082 Mtetra
.589 .414 .613 r
.48093 .5082 .48368 .53928 .48924 .53831 .48646 .50647 Mtetra
.589 .413 .612 r
.48646 .50647 .48924 .53831 .49484 .53442 .492 .50473 Mtetra
.59 .417 .616 r
.492 .50473 .49484 .53442 .50046 .52824 .49755 .50299 Mtetra
.594 .428 .626 r
.49755 .50299 .50046 .52824 .50608 .52098 .50311 .50125 Mtetra
.601 .447 .644 r
.50311 .50125 .50608 .52098 .51169 .51388 .50868 .4995 Mtetra
.612 .478 .674 r
.50868 .4995 .51169 .51388 .5173 .50778 .51427 .49775 Mtetra
.627 .525 .718 r
.51427 .49775 .5173 .50778 .5229 .503 .51986 .496 Mtetra
.643 .584 .773 r
.51986 .496 .5229 .503 .52851 .49945 .52547 .49424 Mtetra
.655 .642 .825 r
.52547 .49424 .52851 .49945 .53412 .49684 .53109 .49248 Mtetra
.637 .671 .865 r
.53109 .49248 .53412 .49684 .53974 .49488 .53672 .49113 Mtetra
.626 .698 .897 r
.53672 .49113 .53974 .49488 .54538 .49339 .54237 .48995 Mtetra
.613 .713 .916 r
.54237 .48995 .54538 .49339 .55103 .49223 .54803 .4889 Mtetra
.602 .716 .925 r
.54803 .4889 .55103 .49223 .5567 .49126 .5537 .48797 Mtetra
.6 .718 .927 r
.5537 .48797 .5567 .49126 .56238 .49033 .55939 .48705 Mtetra
.615 .724 .924 r
.55939 .48705 .56238 .49033 .56808 .48923 .5651 .48594 Mtetra
.642 .734 .916 r
.5651 .48594 .56808 .48923 .57378 .48777 .57081 .48448 Mtetra
.672 .744 .905 r
.57081 .48448 .57378 .48777 .57949 .48586 .57653 .48256 Mtetra
.696 .751 .894 r
.57653 .48256 .57949 .48586 .58521 .48354 .58225 .48023 Mtetra
.71 .755 .887 r
.58225 .48023 .58521 .48354 .59093 .48095 .58797 .47764 Mtetra
.714 .756 .885 r
.58797 .47764 .59093 .48095 .59665 .4783 .59371 .47498 Mtetra
.708 .754 .888 r
.59371 .47498 .59665 .4783 .60239 .47574 .59945 .47241 Mtetra
.698 .751 .893 r
.59945 .47241 .60239 .47574 .60814 .47337 .60521 .47004 Mtetra
.687 .748 .898 r
.60521 .47004 .60814 .47337 .61391 .47119 .61099 .46785 Mtetra
.677 .745 .902 r
.61099 .46785 .61391 .47119 .61969 .46917 .61678 .46582 Mtetra
.671 .743 .905 r
.61678 .46582 .61969 .46917 .62548 .46725 .62258 .46389 Mtetra
.667 .742 .906 r
.62258 .46389 .62548 .46725 .63129 .46538 .6284 .46202 Mtetra
.665 .741 .907 r
.6284 .46202 .63129 .46538 .63711 .46354 .63423 .46017 Mtetra
.664 .741 .907 r
.63423 .46017 .63711 .46354 .64295 .46171 .64007 .45834 Mtetra
.64007 .45834 .64295 .46171 .6488 .45988 .64593 .4565 Mtetra
.64593 .4565 .6488 .45988 .65466 .45805 .6518 .45466 Mtetra
.6518 .45466 .65466 .45805 .66053 .45621 .65768 .45282 Mtetra
.65768 .45282 .66053 .45621 .66641 .45438 .66357 .45097 Mtetra
.66357 .45097 .66641 .45438 .67231 .45253 .66947 .44912 Mtetra
.66947 .44912 .67231 .45253 .67822 .45069 .67539 .44727 Mtetra
.67539 .44727 .67822 .45069 .68414 .44883 .68132 .44541 Mtetra
.68132 .44541 .68414 .44883 .69007 .44698 .68726 .44355 Mtetra
.68726 .44355 .69007 .44698 .69602 .44512 .69322 .44168 Mtetra
.69322 .44168 .69602 .44512 .70198 .44326 .69918 .43981 Mtetra
.69918 .43981 .70198 .44326 .70795 .44139 .70516 .43794 Mtetra
.70516 .43794 .70795 .44139 .71393 .43952 .71116 .43606 Mtetra
.71116 .43606 .71393 .43952 .71993 .43765 .71716 .43418 Mtetra
.71716 .43418 .71993 .43765 .72593 .43577 .72318 .43229 Mtetra
.72318 .43229 .72593 .43577 .73196 .43389 .72921 .4304 Mtetra
.72921 .4304 .73196 .43389 .73799 .432 .73525 .42851 Mtetra
.73525 .42851 .73799 .432 .74404 .43011 .74131 .42661 Mtetra
.74131 .42661 .74404 .43011 .7501 .42822 .74738 .42471 Mtetra
.74738 .42471 .7501 .42822 .75617 .42632 .75346 .4228 Mtetra
.75346 .4228 .75617 .42632 .76226 .42442 .75955 .4209 Mtetra
.75955 .4209 .76226 .42442 .76835 .42251 .76566 .41898 Mtetra
.76566 .41898 .76835 .42251 .77447 .4206 .77178 .41706 Mtetra
.77178 .41706 .77447 .4206 .78059 .41869 .77791 .41514 Mtetra
.77791 .41514 .78059 .41869 .78673 .41677 .78406 .41322 Mtetra
.78406 .41322 .78673 .41677 .79288 .41485 .79022 .41129 Mtetra
.79022 .41129 .79288 .41485 .79904 .41292 .79639 .40935 Mtetra
.79639 .40935 .79904 .41292 .80522 .41099 .80258 .40741 Mtetra
.80258 .40741 .80522 .41099 .81141 .40905 .80878 .40547 Mtetra
.80878 .40547 .81141 .40905 .81761 .40711 .81499 .40352 Mtetra
.81499 .40352 .81761 .40711 .82383 .40517 .82122 .40157 Mtetra
.82122 .40157 .82383 .40517 .83006 .40322 .82746 .39962 Mtetra
.82746 .39962 .83006 .40322 .8363 .40127 .83371 .39766 Mtetra
.83371 .39766 .8363 .40127 .84256 .39932 .83998 .39569 Mtetra
.83998 .39569 .84256 .39932 .84883 .39736 .84626 .39373 Mtetra
.84626 .39373 .84883 .39736 .85511 .39539 .85255 .39175 Mtetra
.85255 .39175 .85511 .39539 .86141 .39342 .85886 .38978 Mtetra
.85886 .38978 .86141 .39342 .86772 .39145 .86518 .3878 Mtetra
.86518 .3878 .86772 .39145 .87405 .38947 .87151 .38581 Mtetra
.87151 .38581 .87405 .38947 .88039 .38749 .87786 .38382 Mtetra
.87786 .38382 .88039 .38749 .88674 .38551 .88423 .38183 Mtetra
.88423 .38183 .88674 .38551 .8931 .38352 .8906 .37983 Mtetra
.8906 .37983 .8931 .38352 .89948 .38152 .89699 .37783 Mtetra
.89699 .37783 .89948 .38152 .90588 .37952 .9034 .37582 Mtetra
.9034 .37582 .90588 .37952 .91229 .37752 .90981 .37381 Mtetra
.90981 .37381 .91229 .37752 .91871 .37551 .91625 .3718 Mtetra
.91625 .3718 .91871 .37551 .92514 .3735 .92269 .36978 Mtetra
.92269 .36978 .92514 .3735 .93159 .37149 .92915 .36775 Mtetra
.421 .649 .953 r
.34819 .54719 .35145 .55029 .35661 .55098 .35335 .5478 Mtetra
0 .334 .803 r
.35335 .5478 .35661 .55098 .36166 .55421 .35841 .55087 Mtetra
.749 .265 0 r
.35841 .55087 .36166 .55421 .36653 .56166 .3633 .55802 Mtetra
.916 .516 .17 r
.3633 .55802 .36653 .56166 .37118 .57499 .36796 .57086 Mtetra
.947 .595 .297 r
.36796 .57086 .37118 .57499 .3756 .59499 .37239 .59016 Mtetra
.957 .625 .338 r
.37239 .59016 .3756 .59499 .37986 .62043 .37667 .6147 Mtetra
.962 .632 .326 r
.37667 .6147 .37986 .62043 .38417 .64725 .38099 .64056 Mtetra
.95 .602 .218 r
.38099 .64056 .38417 .64725 .38877 .66907 .3856 .66158 Mtetra
0 0 .455 r
.3856 .66158 .38877 .66907 .39388 .67932 .39072 .67143 Mtetra
.72 .607 .731 r
.39072 .67143 .39388 .67932 .3996 .67429 .39643 .6665 Mtetra
.852 .666 .65 r
.39643 .6665 .3996 .67429 .4058 .65504 .40263 .64784 Mtetra
.884 .68 .622 r
.40263 .64784 .4058 .65504 .41225 .62686 .40907 .62054 Mtetra
.896 .69 .615 r
.40907 .62054 .41225 .62686 .41869 .59658 .41551 .59119 Mtetra
.9 .699 .623 r
.41551 .59119 .41869 .59658 .42495 .56976 .42178 .56512 Mtetra
.895 .71 .644 r
.42178 .56512 .42495 .56976 .43096 .54917 .4278 .545 Mtetra
.881 .722 .68 r
.4278 .545 .43096 .54917 .43676 .53501 .43362 .53088 Mtetra
.852 .725 .723 r
.43362 .53088 .43676 .53501 .44241 .52586 .43929 .52118 Mtetra
.789 .701 .768 r
.43929 .52118 .44241 .52586 .44796 .51981 .44485 .51536 Mtetra
.659 .67 .849 r
.44485 .51536 .44796 .51981 .45346 .51681 .45032 .51364 Mtetra
.664 .741 .907 r
.45032 .51364 .45346 .51681 .45893 .51509 .4558 .51192 Mtetra
.4558 .51192 .45893 .51509 .46441 .51337 .46129 .51019 Mtetra
.46129 .51019 .46441 .51337 .46991 .51165 .46679 .50846 Mtetra
.46679 .50846 .46991 .51165 .47541 .50993 .4723 .50673 Mtetra
.4723 .50673 .47541 .50993 .48093 .5082 .47783 .505 Mtetra
.47783 .505 .48093 .5082 .48646 .50647 .48336 .50326 Mtetra
.48336 .50326 .48646 .50647 .492 .50473 .48891 .50152 Mtetra
.48891 .50152 .492 .50473 .49755 .50299 .49447 .49977 Mtetra
.49447 .49977 .49755 .50299 .50311 .50125 .50004 .49802 Mtetra
.50004 .49802 .50311 .50125 .50868 .4995 .50562 .49627 Mtetra
.50562 .49627 .50868 .4995 .51427 .49775 .51121 .49451 Mtetra
.51121 .49451 .51427 .49775 .51986 .496 .51681 .49275 Mtetra
.51681 .49275 .51986 .496 .52547 .49424 .52243 .49099 Mtetra
.52243 .49099 .52547 .49424 .53109 .49248 .52805 .48922 Mtetra
.661 .74 .909 r
.52805 .48922 .53109 .49248 .53672 .49113 .53369 .4875 Mtetra
.609 .7 .908 r
.53369 .4875 .53672 .49113 .54237 .48995 .53934 .48652 Mtetra
.608 .712 .918 r
.53934 .48652 .54237 .48995 .54803 .4889 .54501 .48553 Mtetra
.602 .714 .923 r
.54501 .48553 .54803 .4889 .5537 .48797 .55069 .48459 Mtetra
.603 .714 .923 r
.55069 .48459 .5537 .48797 .55939 .48705 .55639 .48364 Mtetra
.617 .718 .918 r
.55639 .48364 .55939 .48705 .5651 .48594 .5621 .48251 Mtetra
.643 .726 .909 r
.5621 .48251 .5651 .48594 .57081 .48448 .56782 .48103 Mtetra
.671 .735 .898 r
.56782 .48103 .57081 .48448 .57653 .48256 .57354 .47911 Mtetra
.694 .742 .888 r
.57354 .47911 .57653 .48256 .58225 .48023 .57927 .47679 Mtetra
.708 .747 .882 r
.57927 .47679 .58225 .48023 .58797 .47764 .58501 .47422 Mtetra
.711 .749 .882 r
.58501 .47422 .58797 .47764 .59371 .47498 .59075 .47158 Mtetra
.706 .75 .886 r
.59075 .47158 .59371 .47498 .59945 .47241 .59651 .46903 Mtetra
.697 .748 .891 r
.59651 .46903 .59945 .47241 .60521 .47004 .60228 .46666 Mtetra
.686 .746 .897 r
.60228 .46666 .60521 .47004 .61099 .46785 .60806 .46448 Mtetra
.677 .744 .902 r
.60806 .46448 .61099 .46785 .61678 .46582 .61386 .46245 Mtetra
.671 .743 .904 r
.61386 .46245 .61678 .46582 .62258 .46389 .61967 .46052 Mtetra
.667 .742 .906 r
.61967 .46052 .62258 .46389 .6284 .46202 .6255 .45864 Mtetra
.665 .741 .907 r
.6255 .45864 .6284 .46202 .63423 .46017 .63133 .45679 Mtetra
.664 .741 .907 r
.63133 .45679 .63423 .46017 .64007 .45834 .63719 .45494 Mtetra
.63719 .45494 .64007 .45834 .64593 .4565 .64305 .4531 Mtetra
.64305 .4531 .64593 .4565 .6518 .45466 .64893 .45125 Mtetra
.64893 .45125 .6518 .45466 .65768 .45282 .65481 .4494 Mtetra
.65481 .4494 .65768 .45282 .66357 .45097 .66071 .44755 Mtetra
.66071 .44755 .66357 .45097 .66947 .44912 .66663 .44569 Mtetra
.66663 .44569 .66947 .44912 .67539 .44727 .67255 .44383 Mtetra
.67255 .44383 .67539 .44727 .68132 .44541 .67849 .44197 Mtetra
.67849 .44197 .68132 .44541 .68726 .44355 .68444 .4401 Mtetra
.68444 .4401 .68726 .44355 .69322 .44168 .69041 .43823 Mtetra
.69041 .43823 .69322 .44168 .69918 .43981 .69638 .43635 Mtetra
.69638 .43635 .69918 .43981 .70516 .43794 .70237 .43447 Mtetra
.70237 .43447 .70516 .43794 .71116 .43606 .70837 .43258 Mtetra
.70837 .43258 .71116 .43606 .71716 .43418 .71438 .43069 Mtetra
.71438 .43069 .71716 .43418 .72318 .43229 .72041 .4288 Mtetra
.72041 .4288 .72318 .43229 .72921 .4304 .72645 .4269 Mtetra
.72645 .4269 .72921 .4304 .73525 .42851 .7325 .425 Mtetra
.7325 .425 .73525 .42851 .74131 .42661 .73857 .4231 Mtetra
.73857 .4231 .74131 .42661 .74738 .42471 .74464 .42119 Mtetra
.74464 .42119 .74738 .42471 .75346 .4228 .75073 .41928 Mtetra
.75073 .41928 .75346 .4228 .75955 .4209 .75684 .41736 Mtetra
.75684 .41736 .75955 .4209 .76566 .41898 .76295 .41544 Mtetra
.76295 .41544 .76566 .41898 .77178 .41706 .76908 .41351 Mtetra
.76908 .41351 .77178 .41706 .77791 .41514 .77523 .41158 Mtetra
.77523 .41158 .77791 .41514 .78406 .41322 .78138 .40965 Mtetra
.78138 .40965 .78406 .41322 .79022 .41129 .78755 .40771 Mtetra
.78755 .40771 .79022 .41129 .79639 .40935 .79373 .40577 Mtetra
.79373 .40577 .79639 .40935 .80258 .40741 .79993 .40382 Mtetra
.79993 .40382 .80258 .40741 .80878 .40547 .80614 .40187 Mtetra
.80614 .40187 .80878 .40547 .81499 .40352 .81236 .39992 Mtetra
.81236 .39992 .81499 .40352 .82122 .40157 .8186 .39796 Mtetra
.8186 .39796 .82122 .40157 .82746 .39962 .82485 .396 Mtetra
.82485 .396 .82746 .39962 .83371 .39766 .83111 .39403 Mtetra
.83111 .39403 .83371 .39766 .83998 .39569 .83739 .39206 Mtetra
.83739 .39206 .83998 .39569 .84626 .39373 .84368 .39008 Mtetra
.84368 .39008 .84626 .39373 .85255 .39175 .84998 .3881 Mtetra
.84998 .3881 .85255 .39175 .85886 .38978 .8563 .38612 Mtetra
.8563 .38612 .85886 .38978 .86518 .3878 .86263 .38413 Mtetra
.86263 .38413 .86518 .3878 .87151 .38581 .86897 .38214 Mtetra
.86897 .38214 .87151 .38581 .87786 .38382 .87533 .38014 Mtetra
.87533 .38014 .87786 .38382 .88423 .38183 .8817 .37814 Mtetra
.8817 .37814 .88423 .38183 .8906 .37983 .88809 .37613 Mtetra
.88809 .37613 .8906 .37983 .89699 .37783 .89449 .37412 Mtetra
.89449 .37412 .89699 .37783 .9034 .37582 .9009 .37211 Mtetra
.9009 .37211 .9034 .37582 .90981 .37381 .90733 .37009 Mtetra
.90733 .37009 .90981 .37381 .91625 .3718 .91377 .36806 Mtetra
.91377 .36806 .91625 .3718 .92269 .36978 .92023 .36604 Mtetra
.92023 .36604 .92269 .36978 .92915 .36775 .9267 .364 Mtetra
.446 .657 .95 r
.34491 .54404 .34819 .54719 .35335 .5478 .35009 .54449 Mtetra
.002 .394 .848 r
.35009 .54449 .35335 .5478 .35841 .55087 .35516 .54726 Mtetra
.669 .185 0 r
.35516 .54726 .35841 .55087 .3633 .55802 .36007 .55384 Mtetra
.897 .486 .09 r
.36007 .55384 .3633 .55802 .36796 .57086 .36477 .56575 Mtetra
.946 .585 .235 r
.36477 .56575 .36796 .57086 .37239 .59016 .36924 .58369 Mtetra
.959 .621 .271 r
.36924 .58369 .37239 .59016 .37667 .6147 .37357 .60651 Mtetra
.955 .624 .226 r
.37357 .60651 .37667 .6147 .38099 .64056 .37794 .63054 Mtetra
.84 .523 0 r
.37794 .63054 .38099 .64056 .3856 .66158 .38259 .65002 Mtetra
.079 .148 .635 r
.38259 .65002 .3856 .66158 .39072 .67143 .38772 .65908 Mtetra
.677 .535 .685 r
.38772 .65908 .39072 .67143 .39643 .6665 .39342 .65437 Mtetra
.805 .614 .644 r
.39342 .65437 .39643 .6665 .40263 .64784 .39959 .63685 Mtetra
.848 .643 .625 r
.39959 .63685 .40263 .64784 .40907 .62054 .40599 .61125 Mtetra
.868 .661 .62 r
.40599 .61125 .40907 .62054 .41551 .59119 .4124 .58372 Mtetra
.876 .676 .628 r
.4124 .58372 .41551 .59119 .42178 .56512 .41864 .55924 Mtetra
.877 .692 .649 r
.41864 .55924 .42178 .56512 .4278 .545 .42465 .54031 Mtetra
.869 .712 .685 r
.42465 .54031 .4278 .545 .43362 .53088 .43045 .52702 Mtetra
.852 .734 .733 r
.43045 .52702 .43362 .53088 .43929 .52118 .43612 .51792 Mtetra
.817 .759 .799 r
.43612 .51792 .43929 .52118 .44485 .51536 .44169 .51218 Mtetra
.664 .741 .907 r
.44169 .51218 .44485 .51536 .45032 .51364 .44717 .51046 Mtetra
.44717 .51046 .45032 .51364 .4558 .51192 .45265 .50873 Mtetra
.45265 .50873 .4558 .51192 .46129 .51019 .45815 .507 Mtetra
.45815 .507 .46129 .51019 .46679 .50846 .46366 .50526 Mtetra
.46366 .50526 .46679 .50846 .4723 .50673 .46918 .50353 Mtetra
.46918 .50353 .4723 .50673 .47783 .505 .47471 .50178 Mtetra
.47471 .50178 .47783 .505 .48336 .50326 .48025 .50004 Mtetra
.48025 .50004 .48336 .50326 .48891 .50152 .48581 .49829 Mtetra
.48581 .49829 .48891 .50152 .49447 .49977 .49137 .49654 Mtetra
.49137 .49654 .49447 .49977 .50004 .49802 .49695 .49478 Mtetra
.49695 .49478 .50004 .49802 .50562 .49627 .50254 .49302 Mtetra
.50254 .49302 .50562 .49627 .51121 .49451 .50814 .49126 Mtetra
.50814 .49126 .51121 .49451 .51681 .49275 .51375 .48949 Mtetra
.51375 .48949 .51681 .49275 .52243 .49099 .51937 .48772 Mtetra
.51937 .48772 .52243 .49099 .52805 .48922 .525 .48595 Mtetra
.658 .739 .91 r
.525 .48595 .52805 .48922 .53369 .4875 .53065 .48426 Mtetra
.61 .726 .927 r
.53065 .48426 .53369 .4875 .53934 .48652 .53631 .4832 Mtetra
.611 .721 .923 r
.53631 .4832 .53934 .48652 .54501 .48553 .54198 .48214 Mtetra
.607 .715 .922 r
.54198 .48214 .54501 .48553 .55069 .48459 .54767 .48114 Mtetra
.608 .712 .918 r
.54767 .48114 .55069 .48459 .55639 .48364 .55337 .48013 Mtetra
.622 .714 .912 r
.55337 .48013 .55639 .48364 .5621 .48251 .55909 .47895 Mtetra
.645 .719 .902 r
.55909 .47895 .5621 .48251 .56782 .48103 .56482 .47744 Mtetra
.671 .727 .892 r
.56482 .47744 .56782 .48103 .57354 .47911 .57055 .47552 Mtetra
.692 .734 .883 r
.57055 .47552 .57354 .47911 .57927 .47679 .57629 .47323 Mtetra
.704 .74 .879 r
.57629 .47323 .57927 .47679 .58501 .47422 .58203 .4707 Mtetra
.708 .743 .879 r
.58203 .4707 .58501 .47422 .59075 .47158 .58778 .4681 Mtetra
.703 .745 .884 r
.58778 .4681 .59075 .47158 .59651 .46903 .59355 .46559 Mtetra
.695 .745 .89 r
.59355 .46559 .59651 .46903 .60228 .46666 .59933 .46325 Mtetra
.685 .744 .897 r
.59933 .46325 .60228 .46666 .60806 .46448 .60512 .46109 Mtetra
.676 .743 .901 r
.60512 .46109 .60806 .46448 .61386 .46245 .61093 .45907 Mtetra
.67 .742 .904 r
.61093 .45907 .61386 .46245 .61967 .46052 .61675 .45713 Mtetra
.667 .741 .906 r
.61675 .45713 .61967 .46052 .6255 .45864 .62258 .45525 Mtetra
.665 .741 .907 r
.62258 .45525 .6255 .45864 .63133 .45679 .62843 .45339 Mtetra
.664 .741 .907 r
.62843 .45339 .63133 .45679 .63719 .45494 .63429 .45154 Mtetra
.63429 .45154 .63719 .45494 .64305 .4531 .64016 .44969 Mtetra
.64016 .44969 .64305 .4531 .64893 .45125 .64604 .44784 Mtetra
.64604 .44784 .64893 .45125 .65481 .4494 .65194 .44598 Mtetra
.65194 .44598 .65481 .4494 .66071 .44755 .65785 .44412 Mtetra
.65785 .44412 .66071 .44755 .66663 .44569 .66377 .44225 Mtetra
.66377 .44225 .66663 .44569 .67255 .44383 .66971 .44039 Mtetra
.66971 .44039 .67255 .44383 .67849 .44197 .67565 .43851 Mtetra
.67565 .43851 .67849 .44197 .68444 .4401 .68161 .43664 Mtetra
.68161 .43664 .68444 .4401 .69041 .43823 .68758 .43476 Mtetra
.68758 .43476 .69041 .43823 .69638 .43635 .69357 .43287 Mtetra
.69357 .43287 .69638 .43635 .70237 .43447 .69956 .43098 Mtetra
.69956 .43098 .70237 .43447 .70837 .43258 .70557 .42909 Mtetra
.70557 .42909 .70837 .43258 .71438 .43069 .7116 .4272 Mtetra
.7116 .4272 .71438 .43069 .72041 .4288 .71763 .4253 Mtetra
.71763 .4253 .72041 .4288 .72645 .4269 .72368 .42339 Mtetra
.72368 .42339 .72645 .4269 .7325 .425 .72974 .42148 Mtetra
.72974 .42148 .7325 .425 .73857 .4231 .73581 .41957 Mtetra
.73581 .41957 .73857 .4231 .74464 .42119 .7419 .41765 Mtetra
.7419 .41765 .74464 .42119 .75073 .41928 .748 .41573 Mtetra
.748 .41573 .75073 .41928 .75684 .41736 .75411 .41381 Mtetra
.75411 .41381 .75684 .41736 .76295 .41544 .76024 .41188 Mtetra
.76024 .41188 .76295 .41544 .76908 .41351 .76638 .40995 Mtetra
.76638 .40995 .76908 .41351 .77523 .41158 .77253 .40801 Mtetra
.77253 .40801 .77523 .41158 .78138 .40965 .7787 .40607 Mtetra
.7787 .40607 .78138 .40965 .78755 .40771 .78487 .40412 Mtetra
.78487 .40412 .78755 .40771 .79373 .40577 .79107 .40217 Mtetra
.79107 .40217 .79373 .40577 .79993 .40382 .79727 .40022 Mtetra
.79727 .40022 .79993 .40382 .80614 .40187 .80349 .39826 Mtetra
.80349 .39826 .80614 .40187 .81236 .39992 .80972 .3963 Mtetra
.80972 .3963 .81236 .39992 .8186 .39796 .81597 .39433 Mtetra
.81597 .39433 .8186 .39796 .82485 .396 .82223 .39236 Mtetra
.82223 .39236 .82485 .396 .83111 .39403 .8285 .39039 Mtetra
.8285 .39039 .83111 .39403 .83739 .39206 .83478 .38841 Mtetra
.83478 .38841 .83739 .39206 .84368 .39008 .84108 .38642 Mtetra
.84108 .38642 .84368 .39008 .84998 .3881 .8474 .38444 Mtetra
.8474 .38444 .84998 .3881 .8563 .38612 .85372 .38244 Mtetra
.85372 .38244 .8563 .38612 .86263 .38413 .86007 .38045 Mtetra
.86007 .38045 .86263 .38413 .86897 .38214 .86642 .37845 Mtetra
.86642 .37845 .86897 .38214 .87533 .38014 .87279 .37644 Mtetra
.87279 .37644 .87533 .38014 .8817 .37814 .87917 .37443 Mtetra
.87917 .37443 .8817 .37814 .88809 .37613 .88557 .37242 Mtetra
.88557 .37242 .88809 .37613 .89449 .37412 .89198 .3704 Mtetra
.89198 .3704 .89449 .37412 .9009 .37211 .8984 .36838 Mtetra
.8984 .36838 .9009 .37211 .90733 .37009 .90484 .36635 Mtetra
.90484 .36635 .90733 .37009 .91377 .36806 .91129 .36432 Mtetra
.91129 .36432 .91377 .36806 .92023 .36604 .91776 .36228 Mtetra
.91776 .36228 .92023 .36604 .9267 .364 .92424 .36024 Mtetra
.477 .668 .947 r
.34163 .54083 .34491 .54404 .35009 .54449 .34682 .54108 Mtetra
.117 .462 .889 r
.34682 .54108 .35009 .54449 .35516 .54726 .35191 .54343 Mtetra
0 0 .463 r
.35191 .54343 .35516 .54726 .36007 .55384 .35686 .54923 Mtetra
.85 .426 0 r
.35686 .54923 .36007 .55384 .36477 .56575 .36161 .55984 Mtetra
.925 .554 .141 r
.36161 .55984 .36477 .56575 .36924 .58369 .36615 .5759 Mtetra
.938 .596 .169 r
.36615 .5759 .36924 .58369 .37357 .60651 .37057 .59634 Mtetra
.889 .571 .069 r
.37057 .59634 .37357 .60651 .37794 .63054 .37501 .61785 Mtetra
0 0 .288 r
.37501 .61785 .37794 .63054 .38259 .65002 .37972 .63523 Mtetra
.289 .256 .648 r
.37972 .63523 .38259 .65002 .38772 .65908 .38487 .64321 Mtetra
.653 .499 .662 r
.38487 .64321 .38772 .65908 .39342 .65437 .39055 .63879 Mtetra
.769 .577 .639 r
.39055 .63879 .39342 .65437 .39959 .63685 .39666 .62284 Mtetra
.817 .613 .627 r
.39666 .62284 .39959 .63685 .40599 .61125 .403 .5996 Mtetra
.842 .636 .625 r
.403 .5996 .40599 .61125 .4124 .58372 .40933 .5746 Mtetra
.854 .655 .633 r
.40933 .5746 .4124 .58372 .41864 .55924 .41552 .55235 Mtetra
.857 .676 .655 r
.41552 .55235 .41864 .55924 .42465 .54031 .42149 .5352 Mtetra
.852 .702 .695 r
.42149 .5352 .42465 .54031 .43045 .52702 .42727 .52333 Mtetra
.839 .741 .756 r
.42727 .52333 .43045 .52702 .43612 .51792 .43291 .51567 Mtetra
.821 .816 .845 r
.43291 .51567 .43612 .51792 .44169 .51218 .43848 .51075 Mtetra
.776 .879 .922 r
.43848 .51075 .44169 .51218 .44717 .51046 .444 .50727 Mtetra
.664 .741 .907 r
.444 .50727 .44717 .51046 .45265 .50873 .4495 .50553 Mtetra
.4495 .50553 .45265 .50873 .45815 .507 .455 .50379 Mtetra
.455 .50379 .45815 .507 .46366 .50526 .46052 .50205 Mtetra
.46052 .50205 .46366 .50526 .46918 .50353 .46605 .50031 Mtetra
.46605 .50031 .46918 .50353 .47471 .50178 .47158 .49856 Mtetra
.47158 .49856 .47471 .50178 .48025 .50004 .47713 .49681 Mtetra
.47713 .49681 .48025 .50004 .48581 .49829 .4827 .49505 Mtetra
.4827 .49505 .48581 .49829 .49137 .49654 .48827 .49329 Mtetra
.48827 .49329 .49137 .49654 .49695 .49478 .49385 .49153 Mtetra
.49385 .49153 .49695 .49478 .50254 .49302 .49945 .48976 Mtetra
.49945 .48976 .50254 .49302 .50814 .49126 .50505 .48799 Mtetra
.50505 .48799 .50814 .49126 .51375 .48949 .51067 .48622 Mtetra
.51067 .48622 .51375 .48949 .51937 .48772 .5163 .48444 Mtetra
.657 .739 .91 r
.5163 .48444 .51937 .48772 .525 .48595 .52194 .48277 Mtetra
.641 .74 .921 r
.52194 .48277 .525 .48595 .53065 .48426 .5276 .48131 Mtetra
.63 .753 .936 r
.5276 .48131 .53065 .48426 .53631 .4832 .53326 .47995 Mtetra
.622 .731 .924 r
.53326 .47995 .53631 .4832 .54198 .48214 .53894 .47873 Mtetra
.615 .718 .919 r
.53894 .47873 .54198 .48214 .54767 .48114 .54464 .47762 Mtetra
.615 .712 .914 r
.54464 .47762 .54767 .48114 .55337 .48013 .55035 .47652 Mtetra
.627 .711 .907 r
.55035 .47652 .55337 .48013 .55909 .47895 .55607 .47527 Mtetra
.647 .714 .897 r
.55607 .47527 .55909 .47895 .56482 .47744 .5618 .47373 Mtetra
.67 .721 .887 r
.5618 .47373 .56482 .47744 .57055 .47552 .56754 .47182 Mtetra
.688 .727 .88 r
.56754 .47182 .57055 .47552 .57629 .47323 .57329 .46956 Mtetra
.7 .733 .877 r
.57329 .46956 .57629 .47323 .58203 .4707 .57904 .46709 Mtetra
.703 .738 .878 r
.57904 .46709 .58203 .4707 .58778 .4681 .5848 .46456 Mtetra
.7 .741 .884 r
.5848 .46456 .58778 .4681 .59355 .46559 .59058 .46211 Mtetra
.692 .743 .89 r
.59058 .46211 .59355 .46559 .59933 .46325 .59637 .45982 Mtetra
.683 .743 .897 r
.59637 .45982 .59933 .46325 .60512 .46109 .60217 .45768 Mtetra
.675 .742 .901 r
.60217 .45768 .60512 .46109 .61093 .45907 .60798 .45566 Mtetra
.67 .742 .904 r
.60798 .45566 .61093 .45907 .61675 .45713 .61381 .45373 Mtetra
.666 .741 .906 r
.61381 .45373 .61675 .45713 .62258 .45525 .61965 .45185 Mtetra
.665 .741 .907 r
.61965 .45185 .62258 .45525 .62843 .45339 .62551 .44998 Mtetra
.664 .741 .907 r
.62551 .44998 .62843 .45339 .63429 .45154 .63138 .44812 Mtetra
.63138 .44812 .63429 .45154 .64016 .44969 .63726 .44627 Mtetra
.63726 .44627 .64016 .44969 .64604 .44784 .64315 .44441 Mtetra
.64315 .44441 .64604 .44784 .65194 .44598 .64906 .44254 Mtetra
.64906 .44254 .65194 .44598 .65785 .44412 .65497 .44067 Mtetra
.65497 .44067 .65785 .44412 .66377 .44225 .6609 .4388 Mtetra
.6609 .4388 .66377 .44225 .66971 .44039 .66685 .43693 Mtetra
.66685 .43693 .66971 .44039 .67565 .43851 .6728 .43505 Mtetra
.6728 .43505 .67565 .43851 .68161 .43664 .67877 .43316 Mtetra
.67877 .43316 .68161 .43664 .68758 .43476 .68475 .43128 Mtetra
.68475 .43128 .68758 .43476 .69357 .43287 .69074 .42938 Mtetra
.69074 .42938 .69357 .43287 .69956 .43098 .69675 .42749 Mtetra
.69675 .42749 .69956 .43098 .70557 .42909 .70277 .42559 Mtetra
.70277 .42559 .70557 .42909 .7116 .4272 .7088 .42368 Mtetra
.7088 .42368 .7116 .4272 .71763 .4253 .71484 .42178 Mtetra
.71484 .42178 .71763 .4253 .72368 .42339 .7209 .41987 Mtetra
.7209 .41987 .72368 .42339 .72974 .42148 .72697 .41795 Mtetra
.72697 .41795 .72974 .42148 .73581 .41957 .73305 .41603 Mtetra
.73305 .41603 .73581 .41957 .7419 .41765 .73915 .41411 Mtetra
.73915 .41411 .7419 .41765 .748 .41573 .74526 .41218 Mtetra
.74526 .41218 .748 .41573 .75411 .41381 .75138 .41024 Mtetra
.75138 .41024 .75411 .41381 .76024 .41188 .75751 .40831 Mtetra
.75751 .40831 .76024 .41188 .76638 .40995 .76366 .40637 Mtetra
.76366 .40637 .76638 .40995 .77253 .40801 .76982 .40442 Mtetra
.76982 .40442 .77253 .40801 .7787 .40607 .776 .40247 Mtetra
.776 .40247 .7787 .40607 .78487 .40412 .78219 .40052 Mtetra
.78219 .40052 .78487 .40412 .79107 .40217 .78839 .39856 Mtetra
.78839 .39856 .79107 .40217 .79727 .40022 .7946 .3966 Mtetra
.7946 .3966 .79727 .40022 .80349 .39826 .80083 .39464 Mtetra
.80083 .39464 .80349 .39826 .80972 .3963 .80707 .39267 Mtetra
.80707 .39267 .80972 .3963 .81597 .39433 .81333 .39069 Mtetra
.81333 .39069 .81597 .39433 .82223 .39236 .81959 .38871 Mtetra
.81959 .38871 .82223 .39236 .8285 .39039 .82588 .38673 Mtetra
.82588 .38673 .8285 .39039 .83478 .38841 .83217 .38474 Mtetra
.83217 .38474 .83478 .38841 .84108 .38642 .83848 .38275 Mtetra
.83848 .38275 .84108 .38642 .8474 .38444 .8448 .38075 Mtetra
.8448 .38075 .8474 .38444 .85372 .38244 .85114 .37875 Mtetra
.85114 .37875 .85372 .38244 .86007 .38045 .85749 .37675 Mtetra
.85749 .37675 .86007 .38045 .86642 .37845 .86386 .37474 Mtetra
.86386 .37474 .86642 .37845 .87279 .37644 .87024 .37273 Mtetra
.87024 .37273 .87279 .37644 .87917 .37443 .87663 .37071 Mtetra
.87663 .37071 .87917 .37443 .88557 .37242 .88303 .36869 Mtetra
.88303 .36869 .88557 .37242 .89198 .3704 .88946 .36666 Mtetra
.88946 .36666 .89198 .3704 .8984 .36838 .89589 .36463 Mtetra
.89589 .36463 .8984 .36838 .90484 .36635 .90234 .36259 Mtetra
.90234 .36259 .90484 .36635 .91129 .36432 .9088 .36055 Mtetra
.9088 .36055 .91129 .36432 .91776 .36228 .91528 .35851 Mtetra
.91528 .35851 .91776 .36228 .92424 .36024 .92177 .35646 Mtetra
.509 .679 .942 r
.33833 .53759 .34163 .54083 .34682 .54108 .34354 .5376 Mtetra
.233 .526 .918 r
.34354 .5376 .34682 .54108 .35191 .54343 .34866 .53944 Mtetra
0 .099 .631 r
.34866 .53944 .35191 .54343 .35686 .54923 .35366 .54431 Mtetra
.747 .318 0 r
.35366 .54431 .35686 .54923 .36161 .55984 .35847 .55339 Mtetra
.865 .488 .001 r
.35847 .55339 .36161 .55984 .36615 .5759 .3631 .56722 Mtetra
.866 .529 .018 r
.3631 .56722 .36615 .5759 .37057 .59634 .36762 .58485 Mtetra
.72 .444 0 r
.36762 .58485 .37057 .59634 .37501 .61785 .37217 .60338 Mtetra
0 0 .478 r
.37217 .60338 .37501 .61785 .37972 .63523 .37695 .61829 Mtetra
.386 .308 .645 r
.37695 .61829 .37972 .63523 .38487 .64321 .38213 .625 Mtetra
.638 .479 .651 r
.38213 .625 .38487 .64321 .39055 .63879 .38778 .62093 Mtetra
.742 .551 .637 r
.38778 .62093 .39055 .63879 .39666 .62284 .39382 .60683 Mtetra
.791 .59 .629 r
.39382 .60683 .39666 .62284 .403 .5996 .40006 .58636 Mtetra
.818 .616 .629 r
.40006 .58636 .403 .5996 .40933 .5746 .40631 .56434 Mtetra
.833 .638 .64 r
.40631 .56434 .40933 .5746 .41552 .55235 .41242 .54472 Mtetra
.838 .661 .663 r
.41242 .54472 .41552 .55235 .42149 .5352 .41835 .52962 Mtetra
.832 .689 .705 r
.41835 .52962 .42149 .5352 .42727 .52333 .42409 .51935 Mtetra
.81 .73 .776 r
.42409 .51935 .42727 .52333 .43291 .51567 .4297 .51316 Mtetra
.747 .801 .896 r
.4297 .51316 .43291 .51567 .43848 .51075 .43522 .51008 Mtetra
.359 .806 .951 r
.43522 .51008 .43848 .51075 .444 .50727 .4407 .50935 Mtetra
.487 0 0 r
.4407 .50935 .444 .50727 .4495 .50553 .44614 .51046 Mtetra
.612 .219 .274 r
.44614 .51046 .4495 .50553 .455 .50379 .45157 .51298 Mtetra
.62 .29 .39 r
.45157 .51298 .455 .50379 .46052 .50205 .45701 .51619 Mtetra
.6 .304 .439 r
.45701 .51619 .46052 .50205 .46605 .50031 .46249 .51906 Mtetra
.569 .293 .458 r
.46249 .51906 .46605 .50031 .47158 .49856 .46802 .5204 Mtetra
.532 .269 .462 r
.46802 .5204 .47158 .49856 .47713 .49681 .47361 .51932 Mtetra
.489 .233 .452 r
.47361 .51932 .47713 .49681 .4827 .49505 .47925 .51561 Mtetra
.438 .183 .429 r
.47925 .51561 .4827 .49505 .48827 .49329 .48491 .50986 Mtetra
.37 .109 .382 r
.48491 .50986 .48827 .49329 .49385 .49153 .49059 .50312 Mtetra
.267 0 .287 r
.49059 .50312 .49385 .49153 .49945 .48976 .49626 .49653 Mtetra
.067 0 .062 r
.49626 .49653 .49945 .48976 .50505 .48799 .50192 .49083 Mtetra
0 0 0 r
.50192 .49083 .50505 .48799 .51067 .48622 .50757 .48632 Mtetra
.701 .974 .921 r
.50757 .48632 .51067 .48622 .5163 .48444 .51322 .4829 Mtetra
.709 .877 .96 r
.51322 .4829 .5163 .48444 .52194 .48277 .51887 .48031 Mtetra
.676 .802 .942 r
.51887 .48031 .52194 .48277 .5276 .48131 .52453 .47829 Mtetra
.652 .756 .926 r
.52453 .47829 .5276 .48131 .53326 .47995 .53021 .47666 Mtetra
.634 .733 .919 r
.53021 .47666 .53326 .47995 .53894 .47873 .53589 .47528 Mtetra
.624 .719 .915 r
.53589 .47528 .53894 .47873 .54464 .47762 .54159 .47405 Mtetra
.623 .712 .91 r
.54159 .47405 .54464 .47762 .55035 .47652 .54731 .47285 Mtetra
.632 .71 .902 r
.54731 .47285 .55035 .47652 .55607 .47527 .55304 .47152 Mtetra
.649 .711 .893 r
.55304 .47152 .55607 .47527 .5618 .47373 .55878 .46994 Mtetra
.669 .716 .884 r
.55878 .46994 .5618 .47373 .56754 .47182 .56452 .46803 Mtetra
.685 .722 .878 r
.56452 .46803 .56754 .47182 .57329 .46956 .57028 .46582 Mtetra
.695 .729 .876 r
.57028 .46582 .57329 .46956 .57904 .46709 .57604 .46342 Mtetra
.698 .734 .878 r
.57604 .46342 .57904 .46709 .5848 .46456 .58181 .46098 Mtetra
.695 .738 .884 r
.58181 .46098 .5848 .46456 .59058 .46211 .5876 .4586 Mtetra
.688 .74 .891 r
.5876 .4586 .59058 .46211 .59637 .45982 .59339 .45635 Mtetra
.68 .741 .897 r
.59339 .45635 .59637 .45982 .60217 .45768 .5992 .45424 Mtetra
.674 .741 .902 r
.5992 .45424 .60217 .45768 .60798 .45566 .60503 .45224 Mtetra
.669 .741 .904 r
.60503 .45224 .60798 .45566 .61381 .45373 .61087 .45032 Mtetra
.666 .741 .906 r
.61087 .45032 .61381 .45373 .61965 .45185 .61672 .44843 Mtetra
.665 .741 .907 r
.61672 .44843 .61965 .45185 .62551 .44998 .62258 .44656 Mtetra
.664 .741 .907 r
.62258 .44656 .62551 .44998 .63138 .44812 .62846 .44469 Mtetra
.62846 .44469 .63138 .44812 .63726 .44627 .63434 .44283 Mtetra
.63434 .44283 .63726 .44627 .64315 .44441 .64025 .44096 Mtetra
.64025 .44096 .64315 .44441 .64906 .44254 .64616 .43909 Mtetra
.64616 .43909 .64906 .44254 .65497 .44067 .65209 .43722 Mtetra
.65209 .43722 .65497 .44067 .6609 .4388 .65802 .43534 Mtetra
.65802 .43534 .6609 .4388 .66685 .43693 .66398 .43345 Mtetra
.66398 .43345 .66685 .43693 .6728 .43505 .66994 .43157 Mtetra
.66994 .43157 .6728 .43505 .67877 .43316 .67592 .42968 Mtetra
.67592 .42968 .67877 .43316 .68475 .43128 .6819 .42778 Mtetra
.6819 .42778 .68475 .43128 .69074 .42938 .68791 .42588 Mtetra
.68791 .42588 .69074 .42938 .69675 .42749 .69392 .42398 Mtetra
.69392 .42398 .69675 .42749 .70277 .42559 .69995 .42207 Mtetra
.69995 .42207 .70277 .42559 .7088 .42368 .70599 .42016 Mtetra
.70599 .42016 .7088 .42368 .71484 .42178 .71204 .41824 Mtetra
.71204 .41824 .71484 .42178 .7209 .41987 .71811 .41632 Mtetra
.71811 .41632 .7209 .41987 .72697 .41795 .72419 .4144 Mtetra
.72419 .4144 .72697 .41795 .73305 .41603 .73028 .41247 Mtetra
.73028 .41247 .73305 .41603 .73915 .41411 .73638 .41054 Mtetra
.73638 .41054 .73915 .41411 .74526 .41218 .7425 .40861 Mtetra
.7425 .40861 .74526 .41218 .75138 .41024 .74863 .40667 Mtetra
.74863 .40667 .75138 .41024 .75751 .40831 .75478 .40472 Mtetra
.75478 .40472 .75751 .40831 .76366 .40637 .76093 .40277 Mtetra
.76093 .40277 .76366 .40637 .76982 .40442 .7671 .40082 Mtetra
.7671 .40082 .76982 .40442 .776 .40247 .77329 .39886 Mtetra
.77329 .39886 .776 .40247 .78219 .40052 .77949 .3969 Mtetra
.77949 .3969 .78219 .40052 .78839 .39856 .7857 .39494 Mtetra
.7857 .39494 .78839 .39856 .7946 .3966 .79192 .39297 Mtetra
.79192 .39297 .7946 .3966 .80083 .39464 .79816 .391 Mtetra
.79816 .391 .80083 .39464 .80707 .39267 .80441 .38902 Mtetra
.80441 .38902 .80707 .39267 .81333 .39069 .81067 .38703 Mtetra
.81067 .38703 .81333 .39069 .81959 .38871 .81695 .38505 Mtetra
.81695 .38505 .81959 .38871 .82588 .38673 .82324 .38306 Mtetra
.82324 .38306 .82588 .38673 .83217 .38474 .82955 .38106 Mtetra
.82955 .38106 .83217 .38474 .83848 .38275 .83587 .37906 Mtetra
.83587 .37906 .83848 .38275 .8448 .38075 .8422 .37706 Mtetra
.8422 .37706 .8448 .38075 .85114 .37875 .84855 .37505 Mtetra
.84855 .37505 .85114 .37875 .85749 .37675 .85491 .37304 Mtetra
.85491 .37304 .85749 .37675 .86386 .37474 .86128 .37102 Mtetra
.86128 .37102 .86386 .37474 .87024 .37273 .86767 .369 Mtetra
.86767 .369 .87024 .37273 .87663 .37071 .87408 .36697 Mtetra
.87408 .36697 .87663 .37071 .88303 .36869 .88049 .36494 Mtetra
.88049 .36494 .88303 .36869 .88946 .36666 .88692 .36291 Mtetra
.88692 .36291 .88946 .36666 .89589 .36463 .89337 .36087 Mtetra
.89337 .36087 .89589 .36463 .90234 .36259 .89983 .35883 Mtetra
.89983 .35883 .90234 .36259 .9088 .36055 .9063 .35678 Mtetra
.9063 .35678 .9088 .36055 .91528 .35851 .91279 .35472 Mtetra
.91279 .35472 .91528 .35851 .92177 .35646 .91929 .35267 Mtetra
.54 .69 .937 r
.33503 .53433 .33833 .53759 .34354 .5376 .34025 .53407 Mtetra
.337 .58 .932 r
.34025 .53407 .34354 .5376 .34866 .53944 .34541 .53537 Mtetra
0 .268 .772 r
.34541 .53537 .34866 .53944 .35366 .54431 .35045 .53924 Mtetra
0 0 .415 r
.35045 .53924 .35366 .54431 .35847 .55339 .35534 .54667 Mtetra
.734 .363 0 r
.35534 .54667 .35847 .55339 .3631 .56722 .36008 .5581 Mtetra
.71 .398 0 r
.36008 .5581 .3631 .56722 .36762 .58485 .36471 .57273 Mtetra
0 0 .354 r
.36471 .57273 .36762 .58485 .37217 .60338 .36938 .58808 Mtetra
.047 .079 .572 r
.36938 .58808 .37217 .60338 .37695 .61829 .37424 .60035 Mtetra
.44 .34 .645 r
.37424 .60035 .37695 .61829 .38213 .625 .37946 .60572 Mtetra
.63 .469 .646 r
.37946 .60572 .38213 .625 .38778 .62093 .38508 .60202 Mtetra
.721 .534 .637 r
.38508 .60202 .38778 .62093 .39382 .60683 .39103 .58988 Mtetra
.77 .573 .632 r
.39103 .58988 .39382 .60683 .40006 .58636 .39717 .57236 Mtetra
.798 .601 .635 r
.39717 .57236 .40006 .58636 .40631 .56434 .40331 .5535 Mtetra
.813 .625 .647 r
.40331 .5535 .40631 .56434 .41242 .54472 .40934 .53667 Mtetra
.819 .649 .672 r
.40934 .53667 .41242 .54472 .41835 .52962 .4152 .52365 Mtetra
.811 .676 .715 r
.4152 .52365 .41835 .52962 .42409 .51935 .42092 .51477 Mtetra
.78 .704 .78 r
.42092 .51477 .42409 .51935 .4297 .51316 .42651 .50947 Mtetra
.703 .723 .866 r
.42651 .50947 .4297 .51316 .43522 .51008 .43202 .507 Mtetra
.519 .7 .952 r
.43202 .507 .43522 .51008 .4407 .50935 .43749 .50683 Mtetra
.108 .527 .912 r
.43749 .50683 .4407 .50935 .44614 .51046 .44292 .50861 Mtetra
.396 0 0 r
.44292 .50861 .44614 .51046 .45157 .51298 .44834 .51195 Mtetra
.621 .054 0 r
.44834 .51195 .45157 .51298 .45701 .51619 .45376 .51607 Mtetra
.636 .083 0 r
.45376 .51607 .45701 .51619 .46249 .51906 .45923 .51977 Mtetra
.493 0 0 r
.45923 .51977 .46249 .51906 .46802 .5204 .46476 .52167 Mtetra
.046 0 0 r
.46476 .52167 .46802 .5204 .47361 .51932 .47036 .52071 Mtetra
.616 .949 .779 r
.47036 .52071 .47361 .51932 .47925 .51561 .47602 .51664 Mtetra
.876 .991 .809 r
.47602 .51664 .47925 .51561 .48491 .50986 .48172 .51015 Mtetra
.922 .942 .797 r
.48172 .51015 .48491 .50986 .49059 .50312 .48742 .50252 Mtetra
.91 .898 .803 r
.48742 .50252 .49059 .50312 .49626 .49653 .49312 .49504 Mtetra
.875 .863 .825 r
.49312 .49504 .49626 .49653 .50192 .49083 .4988 .48863 Mtetra
.826 .831 .852 r
.4988 .48863 .50192 .49083 .50757 .48632 .50446 .48362 Mtetra
.772 .8 .876 r
.50446 .48362 .50757 .48632 .51322 .4829 .51012 .47988 Mtetra
.723 .773 .893 r
.51012 .47988 .51322 .4829 .51887 .48031 .51579 .4771 Mtetra
.686 .753 .903 r
.51579 .4771 .51887 .48031 .52453 .47829 .52146 .47496 Mtetra
.659 .739 .909 r
.52146 .47496 .52453 .47829 .53021 .47666 .52714 .47324 Mtetra
.642 .728 .911 r
.52714 .47324 .53021 .47666 .53589 .47528 .53283 .47176 Mtetra
.632 .719 .91 r
.53283 .47176 .53589 .47528 .54159 .47405 .53854 .47043 Mtetra
.63 .712 .906 r
.53854 .47043 .54159 .47405 .54731 .47285 .54426 .46913 Mtetra
.637 .71 .899 r
.54426 .46913 .54731 .47285 .55304 .47152 .54999 .46772 Mtetra
.651 .71 .891 r
.54999 .46772 .55304 .47152 .55878 .46994 .55574 .4661 Mtetra
.668 .714 .883 r
.55574 .4661 .55878 .46994 .56452 .46803 .56149 .4642 Mtetra
.682 .72 .878 r
.56149 .4642 .56452 .46803 .57028 .46582 .56726 .46204 Mtetra
.69 .726 .877 r
.56726 .46204 .57028 .46582 .57604 .46342 .57303 .45972 Mtetra
.693 .731 .88 r
.57303 .45972 .57604 .46342 .58181 .46098 .57881 .45736 Mtetra
.691 .736 .885 r
.57881 .45736 .58181 .46098 .5876 .4586 .5846 .45506 Mtetra
.685 .739 .892 r
.5846 .45506 .5876 .4586 .59339 .45635 .59041 .45287 Mtetra
.678 .74 .898 r
.59041 .45287 .59339 .45635 .5992 .45424 .59623 .45079 Mtetra
.672 .741 .902 r
.59623 .45079 .5992 .45424 .60503 .45224 .60206 .44881 Mtetra
.668 .741 .905 r
.60206 .44881 .60503 .45224 .61087 .45032 .60791 .44689 Mtetra
.666 .741 .906 r
.60791 .44689 .61087 .45032 .61672 .44843 .61377 .445 Mtetra
.665 .741 .907 r
.61377 .445 .61672 .44843 .62258 .44656 .61964 .44312 Mtetra
.664 .741 .907 r
.61964 .44312 .62258 .44656 .62846 .44469 .62552 .44125 Mtetra
.62552 .44125 .62846 .44469 .63434 .44283 .63142 .43938 Mtetra
.63142 .43938 .63434 .44283 .64025 .44096 .63733 .4375 Mtetra
.63733 .4375 .64025 .44096 .64616 .43909 .64325 .43563 Mtetra
.64325 .43563 .64616 .43909 .65209 .43722 .64919 .43374 Mtetra
.64919 .43374 .65209 .43722 .65802 .43534 .65513 .43186 Mtetra
.65513 .43186 .65802 .43534 .66398 .43345 .66109 .42997 Mtetra
.66109 .42997 .66398 .43345 .66994 .43157 .66707 .42807 Mtetra
.66707 .42807 .66994 .43157 .67592 .42968 .67305 .42617 Mtetra
.67305 .42617 .67592 .42968 .6819 .42778 .67905 .42427 Mtetra
.67905 .42427 .6819 .42778 .68791 .42588 .68506 .42236 Mtetra
.68506 .42236 .68791 .42588 .69392 .42398 .69108 .42045 Mtetra
.69108 .42045 .69392 .42398 .69995 .42207 .69712 .41854 Mtetra
.69712 .41854 .69995 .42207 .70599 .42016 .70317 .41662 Mtetra
.70317 .41662 .70599 .42016 .71204 .41824 .70923 .4147 Mtetra
.70923 .4147 .71204 .41824 .71811 .41632 .7153 .41277 Mtetra
.7153 .41277 .71811 .41632 .72419 .4144 .72139 .41084 Mtetra
.72139 .41084 .72419 .4144 .73028 .41247 .72749 .4089 Mtetra
.72749 .4089 .73028 .41247 .73638 .41054 .73361 .40696 Mtetra
.73361 .40696 .73638 .41054 .7425 .40861 .73973 .40502 Mtetra
.73973 .40502 .7425 .40861 .74863 .40667 .74587 .40307 Mtetra
.74587 .40307 .74863 .40667 .75478 .40472 .75203 .40112 Mtetra
.75203 .40112 .75478 .40472 .76093 .40277 .75819 .39917 Mtetra
.75819 .39917 .76093 .40277 .7671 .40082 .76437 .39721 Mtetra
.76437 .39721 .7671 .40082 .77329 .39886 .77057 .39524 Mtetra
.77057 .39524 .77329 .39886 .77949 .3969 .77678 .39327 Mtetra
.77678 .39327 .77949 .3969 .7857 .39494 .783 .3913 Mtetra
.783 .3913 .7857 .39494 .79192 .39297 .78923 .38932 Mtetra
.78923 .38932 .79192 .39297 .79816 .391 .79548 .38734 Mtetra
.79548 .38734 .79816 .391 .80441 .38902 .80174 .38535 Mtetra
.80174 .38535 .80441 .38902 .81067 .38703 .80801 .38336 Mtetra
.80801 .38336 .81067 .38703 .81695 .38505 .8143 .38137 Mtetra
.8143 .38137 .81695 .38505 .82324 .38306 .8206 .37937 Mtetra
.8206 .37937 .82324 .38306 .82955 .38106 .82692 .37737 Mtetra
.82692 .37737 .82955 .38106 .83587 .37906 .83325 .37536 Mtetra
.83325 .37536 .83587 .37906 .8422 .37706 .83959 .37335 Mtetra
.83959 .37335 .8422 .37706 .84855 .37505 .84594 .37133 Mtetra
.84594 .37133 .84855 .37505 .85491 .37304 .85232 .36931 Mtetra
.85232 .36931 .85491 .37304 .86128 .37102 .8587 .36729 Mtetra
.8587 .36729 .86128 .37102 .86767 .369 .8651 .36526 Mtetra
.8651 .36526 .86767 .369 .87408 .36697 .87151 .36322 Mtetra
.87151 .36322 .87408 .36697 .88049 .36494 .87794 .36118 Mtetra
.87794 .36118 .88049 .36494 .88692 .36291 .88438 .35914 Mtetra
.88438 .35914 .88692 .36291 .89337 .36087 .89083 .35709 Mtetra
.89083 .35709 .89337 .36087 .89983 .35883 .8973 .35504 Mtetra
.8973 .35504 .89983 .35883 .9063 .35678 .90379 .35298 Mtetra
.90379 .35298 .9063 .35678 .91279 .35472 .91029 .35092 Mtetra
.91029 .35092 .91279 .35472 .91929 .35267 .9168 .34886 Mtetra
.567 .7 .931 r
.33171 .53105 .33503 .53433 .34025 .53407 .33695 .53053 Mtetra
.422 .622 .935 r
.33695 .53053 .34025 .53407 .34541 .53537 .34214 .53129 Mtetra
.11 .412 .861 r
.34214 .53129 .34541 .53537 .35045 .53924 .34723 .53415 Mtetra
0 .069 .627 r
.34723 .53415 .35045 .53924 .35534 .54667 .3522 .53993 Mtetra
0 0 .422 r
.3522 .53993 .35534 .54667 .36008 .5581 .35705 .54897 Mtetra
0 0 .399 r
.35705 .54897 .36008 .5581 .36471 .57273 .36181 .56061 Mtetra
0 0 .514 r
.36181 .56061 .36471 .57273 .36938 .58808 .36659 .57281 Mtetra
.204 .19 .62 r
.36659 .57281 .36938 .58808 .37424 .60035 .37155 .58249 Mtetra
.477 .366 .649 r
.37155 .58249 .37424 .60035 .37946 .60572 .3768 .58652 Mtetra
.624 .465 .646 r
.3768 .58652 .37946 .60572 .38508 .60202 .38238 .58319 Mtetra
.705 .523 .64 r
.38238 .58319 .38508 .60202 .39103 .58988 .38825 .57298 Mtetra
.751 .56 .637 r
.38825 .57298 .39103 .58988 .39717 .57236 .39428 .55838 Mtetra
.78 .589 .642 r
.39428 .55838 .39717 .57236 .40331 .5535 .40031 .54266 Mtetra
.796 .615 .656 r
.40031 .54266 .40331 .5535 .40934 .53667 .40625 .52855 Mtetra
.802 .641 .683 r
.40625 .52855 .40934 .53667 .4152 .52365 .41206 .51752 Mtetra
.794 .668 .724 r
.41206 .51752 .4152 .52365 .42092 .51477 .41774 .50978 Mtetra
.765 .687 .777 r
.41774 .50978 .42092 .51477 .42651 .50947 .42334 .50481 Mtetra
.71 .682 .821 r
.42334 .50481 .42651 .50947 .43202 .507 .42887 .50187 Mtetra
.643 .639 .832 r
.42887 .50187 .43202 .507 .43749 .50683 .43437 .50037 Mtetra
.587 .57 .802 r
.43437 .50037 .43749 .50683 .44292 .50861 .43986 .49992 Mtetra
.558 .504 .751 r
.43986 .49992 .44292 .50861 .44834 .51195 .44534 .50022 Mtetra
.552 .459 .704 r
.44534 .50022 .44834 .51195 .45376 .51607 .45083 .50088 Mtetra
.56 .438 .671 r
.45083 .50088 .45376 .51607 .45923 .51977 .45635 .50137 Mtetra
.575 .433 .65 r
.45635 .50137 .45923 .51977 .46476 .52167 .4619 .50112 Mtetra
.593 .438 .64 r
.4619 .50112 .46476 .52167 .47036 .52071 .46749 .49968 Mtetra
.611 .449 .638 r
.46749 .49968 .47036 .52071 .47602 .51664 .47311 .49695 Mtetra
.628 .465 .643 r
.47311 .49695 .47602 .51664 .48172 .51015 .47875 .49322 Mtetra
.644 .486 .655 r
.47875 .49322 .48172 .51015 .48742 .50252 .4844 .489 Mtetra
.659 .514 .676 r
.4844 .489 .48742 .50252 .49312 .49504 .49005 .48485 Mtetra
.672 .551 .709 r
.49005 .48485 .49312 .49504 .4988 .48863 .49571 .48114 Mtetra
.682 .596 .753 r
.49571 .48114 .4988 .48863 .50446 .48362 .50136 .478 Mtetra
.684 .644 .803 r
.50136 .478 .50446 .48362 .51012 .47988 .50702 .47542 Mtetra
.678 .685 .849 r
.50702 .47542 .51012 .47988 .51579 .4771 .51269 .47325 Mtetra
.667 .711 .881 r
.51269 .47325 .51579 .4771 .52146 .47496 .51837 .47137 Mtetra
.654 .722 .898 r
.51837 .47137 .52146 .47496 .52714 .47324 .52406 .46971 Mtetra
.643 .723 .906 r
.52406 .46971 .52714 .47324 .53283 .47176 .52976 .46821 Mtetra
.637 .719 .907 r
.52976 .46821 .53283 .47176 .53854 .47043 .53547 .46679 Mtetra
.636 .714 .904 r
.53547 .46679 .53854 .47043 .54426 .46913 .5412 .46539 Mtetra
.642 .711 .897 r
.5412 .46539 .54426 .46913 .54999 .46772 .54694 .46391 Mtetra
.653 .711 .89 r
.54694 .46391 .54999 .46772 .55574 .4661 .55269 .46224 Mtetra
.667 .714 .883 r
.55269 .46224 .55574 .4661 .56149 .4642 .55845 .46035 Mtetra
.678 .718 .879 r
.55845 .46035 .56149 .4642 .56726 .46204 .56422 .45824 Mtetra
.686 .724 .879 r
.56422 .45824 .56726 .46204 .57303 .45972 .57001 .456 Mtetra
.688 .73 .882 r
.57001 .456 .57303 .45972 .57881 .45736 .5758 .45373 Mtetra
.686 .734 .887 r
.5758 .45373 .57881 .45736 .5846 .45506 .5816 .4515 Mtetra
.681 .737 .893 r
.5816 .4515 .5846 .45506 .59041 .45287 .58741 .44937 Mtetra
.675 .739 .899 r
.58741 .44937 .59041 .45287 .59623 .45079 .59324 .44733 Mtetra
.671 .74 .903 r
.59324 .44733 .59623 .45079 .60206 .44881 .59908 .44536 Mtetra
.667 .741 .905 r
.59908 .44536 .60206 .44881 .60791 .44689 .60494 .44344 Mtetra
.665 .741 .906 r
.60494 .44344 .60791 .44689 .61377 .445 .61081 .44155 Mtetra
.665 .741 .907 r
.61081 .44155 .61377 .445 .61964 .44312 .61669 .43967 Mtetra
.664 .741 .907 r
.61669 .43967 .61964 .44312 .62552 .44125 .62258 .43779 Mtetra
.62258 .43779 .62552 .44125 .63142 .43938 .62849 .43592 Mtetra
.62849 .43592 .63142 .43938 .63733 .4375 .6344 .43403 Mtetra
.6344 .43403 .63733 .4375 .64325 .43563 .64033 .43215 Mtetra
.64033 .43215 .64325 .43563 .64919 .43374 .64628 .43026 Mtetra
.64628 .43026 .64919 .43374 .65513 .43186 .65223 .42836 Mtetra
.65223 .42836 .65513 .43186 .66109 .42997 .6582 .42647 Mtetra
.6582 .42647 .66109 .42997 .66707 .42807 .66418 .42456 Mtetra
.66418 .42456 .66707 .42807 .67305 .42617 .67018 .42266 Mtetra
.67018 .42266 .67305 .42617 .67905 .42427 .67618 .42075 Mtetra
.67618 .42075 .67905 .42427 .68506 .42236 .6822 .41883 Mtetra
.6822 .41883 .68506 .42236 .69108 .42045 .68823 .41692 Mtetra
.68823 .41692 .69108 .42045 .69712 .41854 .69428 .41499 Mtetra
.69428 .41499 .69712 .41854 .70317 .41662 .70034 .41307 Mtetra
.70034 .41307 .70317 .41662 .70923 .4147 .70641 .41114 Mtetra
.70641 .41114 .70923 .4147 .7153 .41277 .71249 .4092 Mtetra
.71249 .4092 .7153 .41277 .72139 .41084 .71859 .40726 Mtetra
.71859 .40726 .72139 .41084 .72749 .4089 .7247 .40532 Mtetra
.7247 .40532 .72749 .4089 .73361 .40696 .73082 .40337 Mtetra
.73082 .40337 .73361 .40696 .73973 .40502 .73696 .40142 Mtetra
.73696 .40142 .73973 .40502 .74587 .40307 .74311 .39947 Mtetra
.74311 .39947 .74587 .40307 .75203 .40112 .74927 .39751 Mtetra
.74927 .39751 .75203 .40112 .75819 .39917 .75545 .39554 Mtetra
.75545 .39554 .75819 .39917 .76437 .39721 .76163 .39358 Mtetra
.76163 .39358 .76437 .39721 .77057 .39524 .76784 .3916 Mtetra
.76784 .3916 .77057 .39524 .77678 .39327 .77405 .38963 Mtetra
.77405 .38963 .77678 .39327 .783 .3913 .78028 .38765 Mtetra
.78028 .38765 .783 .3913 .78923 .38932 .78653 .38566 Mtetra
.78653 .38566 .78923 .38932 .79548 .38734 .79278 .38367 Mtetra
.79278 .38367 .79548 .38734 .80174 .38535 .79905 .38168 Mtetra
.79905 .38168 .80174 .38535 .80801 .38336 .80534 .37968 Mtetra
.80534 .37968 .80801 .38336 .8143 .38137 .81164 .37768 Mtetra
.81164 .37768 .8143 .38137 .8206 .37937 .81795 .37567 Mtetra
.81795 .37567 .8206 .37937 .82692 .37737 .82427 .37366 Mtetra
.82427 .37366 .82692 .37737 .83325 .37536 .83061 .37164 Mtetra
.83061 .37164 .83325 .37536 .83959 .37335 .83696 .36962 Mtetra
.83696 .36962 .83959 .37335 .84594 .37133 .84333 .3676 Mtetra
.84333 .3676 .84594 .37133 .85232 .36931 .84971 .36557 Mtetra
.84971 .36557 .85232 .36931 .8587 .36729 .85611 .36353 Mtetra
.85611 .36353 .8587 .36729 .8651 .36526 .86252 .3615 Mtetra
.86252 .3615 .8651 .36526 .87151 .36322 .86894 .35945 Mtetra
.86894 .35945 .87151 .36322 .87794 .36118 .87538 .35741 Mtetra
.87538 .35741 .87794 .36118 .88438 .35914 .88183 .35536 Mtetra
.88183 .35536 .88438 .35914 .89083 .35709 .88829 .3533 Mtetra
.88829 .3533 .89083 .35709 .8973 .35504 .89477 .35124 Mtetra
.89477 .35124 .8973 .35504 .90379 .35298 .90127 .34917 Mtetra
.90127 .34917 .90379 .35298 .91029 .35092 .90777 .3471 Mtetra
.90777 .3471 .91029 .35092 .9168 .34886 .9143 .34503 Mtetra
.59 .709 .926 r
.32838 .52777 .33171 .53105 .33695 .53053 .33364 .52701 Mtetra
.489 .654 .933 r
.33364 .52701 .33695 .53053 .34214 .53129 .33886 .52726 Mtetra
.28 .517 .903 r
.33886 .52726 .34214 .53129 .34723 .53415 .344 .52917 Mtetra
0 .274 .778 r
.344 .52917 .34723 .53415 .3522 .53993 .34905 .53339 Mtetra
0 .06 .625 r
.34905 .53339 .3522 .53993 .35705 .54897 .354 .54019 Mtetra
0 .01 .577 r
.354 .54019 .35705 .54897 .36181 .56061 .35888 .54903 Mtetra
.037 .114 .616 r
.35888 .54903 .36181 .56061 .36659 .57281 .36378 .5583 Mtetra
.309 .27 .651 r
.36378 .5583 .36659 .57281 .37155 .58249 .36883 .56556 Mtetra
.504 .39 .657 r
.36883 .56556 .37155 .58249 .3768 .58652 .37411 .56837 Mtetra
.622 .467 .65 r
.37411 .56837 .3768 .58652 .38238 .58319 .37967 .56537 Mtetra
.692 .517 .645 r
.37967 .56537 .38238 .58319 .38825 .57298 .38545 .55696 Mtetra
.736 .553 .645 r
.38545 .55696 .38825 .57298 .39428 .55838 .39137 .54507 Mtetra
.764 .582 .652 r
.39137 .54507 .39428 .55838 .40031 .54266 .3973 .53226 Mtetra
.78 .609 .668 r
.3973 .53226 .40031 .54266 .40625 .52855 .40315 .5207 Mtetra
.787 .638 .696 r
.40315 .5207 .40625 .52855 .41206 .51752 .40891 .51151 Mtetra
.781 .666 .737 r
.40891 .51151 .41206 .51752 .41774 .50978 .41456 .50481 Mtetra
.76 .687 .782 r
.41456 .50481 .41774 .50978 .42334 .50481 .42016 .50006 Mtetra
.73 .686 .808 r
.42016 .50006 .42334 .50481 .42887 .50187 .42571 .49651 Mtetra
.67 .643 .814 r
.42571 .49651 .42887 .50187 .43437 .50037 .43124 .49438 Mtetra
.649 .614 .801 r
.43124 .49438 .43437 .50037 .43986 .49992 .43676 .49262 Mtetra
.64 .577 .767 r
.43676 .49262 .43986 .49992 .44534 .50022 .44229 .49085 Mtetra
.629 .535 .729 r
.44229 .49085 .44534 .50022 .45083 .50088 .44784 .48908 Mtetra
.619 .501 .698 r
.44784 .48908 .45083 .50088 .45635 .50137 .45339 .48731 Mtetra
.611 .479 .677 r
.45339 .48731 .45635 .50137 .4619 .50112 .45896 .48554 Mtetra
.607 .468 .666 r
.45896 .48554 .4619 .50112 .46749 .49968 .46454 .48376 Mtetra
.607 .466 .664 r
.46454 .48376 .46749 .49968 .47311 .49695 .47013 .48198 Mtetra
.609 .472 .67 r
.47013 .48198 .47311 .49695 .47875 .49322 .47573 .48019 Mtetra
.615 .489 .686 r
.47573 .48019 .47875 .49322 .4844 .489 .48134 .4784 Mtetra
.624 .517 .712 r
.48134 .4784 .4844 .489 .49005 .48485 .48697 .47661 Mtetra
.635 .557 .75 r
.48697 .47661 .49005 .48485 .49571 .48114 .49261 .47481 Mtetra
.647 .606 .794 r
.49261 .47481 .49571 .48114 .50136 .478 .49825 .47301 Mtetra
.657 .655 .836 r
.49825 .47301 .50136 .478 .50702 .47542 .50391 .47121 Mtetra
.661 .691 .867 r
.50391 .47121 .50702 .47542 .51269 .47325 .50959 .4694 Mtetra
.654 .708 .887 r
.50959 .4694 .51269 .47325 .51837 .47137 .51527 .46774 Mtetra
.649 .719 .9 r
.51527 .46774 .51837 .47137 .52406 .46971 .52096 .46616 Mtetra
.644 .722 .905 r
.52096 .46616 .52406 .46971 .52976 .46821 .52667 .46464 Mtetra
.641 .721 .906 r
.52667 .46464 .52976 .46821 .53547 .46679 .53239 .46316 Mtetra
.642 .718 .903 r
.53239 .46316 .53547 .46679 .5412 .46539 .53813 .46167 Mtetra
.646 .714 .897 r
.53813 .46167 .5412 .46539 .54694 .46391 .54387 .46011 Mtetra
.655 .713 .891 r
.54387 .46011 .54694 .46391 .55269 .46224 .54963 .4584 Mtetra
.666 .715 .885 r
.54963 .4584 .55269 .46224 .55845 .46035 .5554 .45651 Mtetra
.675 .719 .882 r
.5554 .45651 .55845 .46035 .56422 .45824 .56118 .45446 Mtetra
.682 .724 .882 r
.56118 .45446 .56422 .45824 .57001 .456 .56697 .45229 Mtetra
.683 .729 .885 r
.56697 .45229 .57001 .456 .5758 .45373 .57277 .4501 Mtetra
.682 .734 .89 r
.57277 .4501 .5758 .45373 .5816 .4515 .57858 .44795 Mtetra
.678 .737 .895 r
.57858 .44795 .5816 .4515 .58741 .44937 .58441 .44586 Mtetra
.673 .739 .9 r
.58441 .44586 .58741 .44937 .59324 .44733 .59024 .44385 Mtetra
.669 .74 .903 r
.59024 .44385 .59324 .44733 .59908 .44536 .59609 .4419 Mtetra
.667 .741 .905 r
.59609 .4419 .59908 .44536 .60494 .44344 .60196 .43999 Mtetra
.665 .741 .906 r
.60196 .43999 .60494 .44344 .61081 .44155 .60783 .43809 Mtetra
.664 .74 .907 r
.60783 .43809 .61081 .44155 .61669 .43967 .61372 .43621 Mtetra
.664 .741 .907 r
.61372 .43621 .61669 .43967 .62258 .43779 .61962 .43433 Mtetra
.61962 .43433 .62258 .43779 .62849 .43592 .62554 .43244 Mtetra
.62554 .43244 .62849 .43592 .6344 .43403 .63146 .43055 Mtetra
.63146 .43055 .6344 .43403 .64033 .43215 .6374 .42866 Mtetra
.6374 .42866 .64033 .43215 .64628 .43026 .64336 .42676 Mtetra
.64336 .42676 .64628 .43026 .65223 .42836 .64932 .42486 Mtetra
.64932 .42486 .65223 .42836 .6582 .42647 .6553 .42295 Mtetra
.6553 .42295 .6582 .42647 .66418 .42456 .66129 .42104 Mtetra
.66129 .42104 .66418 .42456 .67018 .42266 .66729 .41913 Mtetra
.66729 .41913 .67018 .42266 .67618 .42075 .6733 .41721 Mtetra
.6733 .41721 .67618 .42075 .6822 .41883 .67933 .41529 Mtetra
.67933 .41529 .6822 .41883 .68823 .41692 .68537 .41336 Mtetra
.68537 .41336 .68823 .41692 .69428 .41499 .69143 .41143 Mtetra
.69143 .41143 .69428 .41499 .70034 .41307 .69749 .4095 Mtetra
.69749 .4095 .70034 .41307 .70641 .41114 .70357 .40756 Mtetra
.70357 .40756 .70641 .41114 .71249 .4092 .70967 .40562 Mtetra
.70967 .40562 .71249 .4092 .71859 .40726 .71577 .40367 Mtetra
.71577 .40367 .71859 .40726 .7247 .40532 .72189 .40172 Mtetra
.72189 .40172 .7247 .40532 .73082 .40337 .72802 .39977 Mtetra
.72802 .39977 .73082 .40337 .73696 .40142 .73417 .39781 Mtetra
.73417 .39781 .73696 .40142 .74311 .39947 .74033 .39585 Mtetra
.74033 .39585 .74311 .39947 .74927 .39751 .7465 .39388 Mtetra
.7465 .39388 .74927 .39751 .75545 .39554 .75268 .39191 Mtetra
.75268 .39191 .75545 .39554 .76163 .39358 .75888 .38993 Mtetra
.75888 .38993 .76163 .39358 .76784 .3916 .7651 .38795 Mtetra
.7651 .38795 .76784 .3916 .77405 .38963 .77132 .38597 Mtetra
.77132 .38597 .77405 .38963 .78028 .38765 .77756 .38398 Mtetra
.77756 .38398 .78028 .38765 .78653 .38566 .78381 .38198 Mtetra
.78381 .38198 .78653 .38566 .79278 .38367 .79008 .37999 Mtetra
.79008 .37999 .79278 .38367 .79905 .38168 .79636 .37798 Mtetra
.79636 .37798 .79905 .38168 .80534 .37968 .80265 .37598 Mtetra
.80265 .37598 .80534 .37968 .81164 .37768 .80896 .37397 Mtetra
.80896 .37397 .81164 .37768 .81795 .37567 .81528 .37195 Mtetra
.81528 .37195 .81795 .37567 .82427 .37366 .82162 .36993 Mtetra
.82162 .36993 .82427 .37366 .83061 .37164 .82797 .36791 Mtetra
.82797 .36791 .83061 .37164 .83696 .36962 .83433 .36588 Mtetra
.83433 .36588 .83696 .36962 .84333 .3676 .84071 .36385 Mtetra
.84071 .36385 .84333 .3676 .84971 .36557 .8471 .36181 Mtetra
.8471 .36181 .84971 .36557 .85611 .36353 .8535 .35977 Mtetra
.8535 .35977 .85611 .36353 .86252 .3615 .85992 .35772 Mtetra
.85992 .35772 .86252 .3615 .86894 .35945 .86635 .35567 Mtetra
.86635 .35567 .86894 .35945 .87538 .35741 .8728 .35362 Mtetra
.8728 .35362 .87538 .35741 .88183 .35536 .87926 .35156 Mtetra
.87926 .35156 .88183 .35536 .88829 .3533 .88574 .34949 Mtetra
.88574 .34949 .88829 .3533 .89477 .35124 .89223 .34742 Mtetra
.89223 .34742 .89477 .35124 .90127 .34917 .89873 .34535 Mtetra
.89873 .34535 .90127 .34917 .90777 .3471 .90525 .34327 Mtetra
.90525 .34327 .90777 .3471 .9143 .34503 .91179 .34119 Mtetra
.609 .716 .921 r
.32503 .5245 .32838 .52777 .33364 .52701 .33031 .52351 Mtetra
.539 .678 .928 r
.33031 .52351 .33364 .52701 .33886 .52726 .33556 .5233 Mtetra
.403 .588 .917 r
.33556 .5233 .33886 .52726 .344 .52917 .34076 .52437 Mtetra
.204 .428 .856 r
.34076 .52437 .344 .52917 .34905 .53339 .34587 .52721 Mtetra
.048 .261 .757 r
.34587 .52721 .34905 .53339 .354 .54019 .35092 .53201 Mtetra
.053 .195 .694 r
.35092 .53201 .354 .54019 .35888 .54903 .35591 .53837 Mtetra
.201 .242 .681 r
.35591 .53837 .35888 .54903 .36378 .5583 .36093 .54505 Mtetra
.384 .333 .677 r
.36093 .54505 .36378 .5583 .36883 .56556 .36605 .55017 Mtetra
.527 .414 .668 r
.36605 .55017 .36883 .56556 .37411 .56837 .37136 .5519 Mtetra
.622 .473 .659 r
.37136 .5519 .37411 .56837 .37967 .56537 .37689 .5492 Mtetra
.683 .517 .654 r
.37689 .5492 .37967 .56537 .38545 .55696 .38261 .54237 Mtetra
.723 .55 .656 r
.38261 .54237 .38545 .55696 .39137 .54507 .38842 .53287 Mtetra
.75 .58 .664 r
.38842 .53287 .39137 .54507 .3973 .53226 .39425 .52266 Mtetra
.766 .608 .683 r
.39425 .52266 .3973 .53226 .40315 .5207 .40003 .51337 Mtetra
.772 .639 .714 r
.40003 .51337 .40315 .5207 .40891 .51151 .40573 .50587 Mtetra
.768 .671 .756 r
.40573 .50587 .40891 .51151 .41456 .50481 .41136 .50021 Mtetra
.755 .699 .799 r
.41136 .50021 .41456 .50481 .42016 .50006 .41695 .49593 Mtetra
.722 .709 .838 r
.41695 .49593 .42016 .50006 .42571 .49651 .42249 .49289 Mtetra
.663 .718 .889 r
.42249 .49289 .42571 .49651 .43124 .49438 .42801 .49112 Mtetra
.664 .741 .907 r
.42801 .49112 .43124 .49438 .43676 .49262 .43354 .48936 Mtetra
.43354 .48936 .43676 .49262 .44229 .49085 .43908 .48759 Mtetra
.43908 .48759 .44229 .49085 .44784 .48908 .44463 .48581 Mtetra
.44463 .48581 .44784 .48908 .45339 .48731 .4502 .48403 Mtetra
.4502 .48403 .45339 .48731 .45896 .48554 .45577 .48225 Mtetra
.45577 .48225 .45896 .48554 .46454 .48376 .46136 .48047 Mtetra
.46136 .48047 .46454 .48376 .47013 .48198 .46696 .47868 Mtetra
.46696 .47868 .47013 .48198 .47573 .48019 .47257 .47689 Mtetra
.47257 .47689 .47573 .48019 .48134 .4784 .47819 .47509 Mtetra
.47819 .47509 .48134 .4784 .48697 .47661 .48382 .47329 Mtetra
.48382 .47329 .48697 .47661 .49261 .47481 .48946 .47149 Mtetra
.48946 .47149 .49261 .47481 .49825 .47301 .49512 .46968 Mtetra
.49512 .46968 .49825 .47301 .50391 .47121 .50079 .46787 Mtetra
.50079 .46787 .50391 .47121 .50959 .4694 .50647 .46605 Mtetra
.662 .74 .908 r
.50647 .46605 .50959 .4694 .51527 .46774 .51216 .46426 Mtetra
.648 .728 .907 r
.51216 .46426 .51527 .46774 .52096 .46616 .51786 .46268 Mtetra
.648 .729 .907 r
.51786 .46268 .52096 .46616 .52667 .46464 .52358 .46109 Mtetra
.645 .724 .906 r
.52358 .46109 .52667 .46464 .53239 .46316 .5293 .45954 Mtetra
.647 .721 .902 r
.5293 .45954 .53239 .46316 .53813 .46167 .53504 .45797 Mtetra
.651 .718 .898 r
.53504 .45797 .53813 .46167 .54387 .46011 .5408 .45633 Mtetra
.657 .716 .892 r
.5408 .45633 .54387 .46011 .54963 .4584 .54656 .4546 Mtetra
.666 .718 .887 r
.54656 .4546 .54963 .4584 .5554 .45651 .55234 .45271 Mtetra
.673 .721 .885 r
.55234 .45271 .5554 .45651 .56118 .45446 .55813 .4507 Mtetra
.678 .725 .885 r
.55813 .4507 .56118 .45446 .56697 .45229 .56393 .4486 Mtetra
.679 .73 .888 r
.56393 .4486 .56697 .45229 .57277 .4501 .56973 .44648 Mtetra
.678 .734 .893 r
.56973 .44648 .57277 .4501 .57858 .44795 .57556 .44439 Mtetra
.674 .737 .897 r
.57556 .44439 .57858 .44795 .58441 .44586 .58139 .44235 Mtetra
.671 .739 .901 r
.58139 .44235 .58441 .44586 .59024 .44385 .58723 .44037 Mtetra
.668 .74 .904 r
.58723 .44037 .59024 .44385 .59609 .4419 .59309 .43842 Mtetra
.666 .74 .906 r
.59309 .43842 .59609 .4419 .60196 .43999 .59897 .43652 Mtetra
.665 .741 .907 r
.59897 .43652 .60196 .43999 .60783 .43809 .60485 .43462 Mtetra
.60485 .43462 .60783 .43809 .61372 .43621 .61075 .43273 Mtetra
.664 .74 .907 r
.61075 .43273 .61372 .43621 .61962 .43433 .61666 .43084 Mtetra
.664 .741 .907 r
.61666 .43084 .61962 .43433 .62554 .43244 .62258 .42895 Mtetra
.62258 .42895 .62554 .43244 .63146 .43055 .62851 .42705 Mtetra
.62851 .42705 .63146 .43055 .6374 .42866 .63446 .42515 Mtetra
.63446 .42515 .6374 .42866 .64336 .42676 .64042 .42325 Mtetra
.64042 .42325 .64336 .42676 .64932 .42486 .6464 .42134 Mtetra
.6464 .42134 .64932 .42486 .6553 .42295 .65238 .41942 Mtetra
.65238 .41942 .6553 .42295 .66129 .42104 .65838 .41751 Mtetra
.65838 .41751 .66129 .42104 .66729 .41913 .66439 .41559 Mtetra
.66439 .41559 .66729 .41913 .6733 .41721 .67041 .41366 Mtetra
.67041 .41366 .6733 .41721 .67933 .41529 .67645 .41173 Mtetra
.67645 .41173 .67933 .41529 .68537 .41336 .6825 .4098 Mtetra
.6825 .4098 .68537 .41336 .69143 .41143 .68856 .40786 Mtetra
.68856 .40786 .69143 .41143 .69749 .4095 .69464 .40592 Mtetra
.69464 .40592 .69749 .4095 .70357 .40756 .70073 .40397 Mtetra
.70073 .40397 .70357 .40756 .70967 .40562 .70683 .40203 Mtetra
.70683 .40203 .70967 .40562 .71577 .40367 .71295 .40007 Mtetra
.71295 .40007 .71577 .40367 .72189 .40172 .71907 .39811 Mtetra
.71907 .39811 .72189 .40172 .72802 .39977 .72521 .39615 Mtetra
.72521 .39615 .72802 .39977 .73417 .39781 .73137 .39418 Mtetra
.73137 .39418 .73417 .39781 .74033 .39585 .73754 .39221 Mtetra
.73754 .39221 .74033 .39585 .7465 .39388 .74372 .39023 Mtetra
.74372 .39023 .7465 .39388 .75268 .39191 .74991 .38826 Mtetra
.74991 .38826 .75268 .39191 .75888 .38993 .75612 .38627 Mtetra
.75612 .38627 .75888 .38993 .7651 .38795 .76234 .38428 Mtetra
.76234 .38428 .7651 .38795 .77132 .38597 .76858 .38229 Mtetra
.76858 .38229 .77132 .38597 .77756 .38398 .77483 .38029 Mtetra
.77483 .38029 .77756 .38398 .78381 .38198 .78109 .37829 Mtetra
.78109 .37829 .78381 .38198 .79008 .37999 .78737 .37629 Mtetra
.78737 .37629 .79008 .37999 .79636 .37798 .79366 .37428 Mtetra
.79366 .37428 .79636 .37798 .80265 .37598 .79996 .37226 Mtetra
.79996 .37226 .80265 .37598 .80896 .37397 .80628 .37024 Mtetra
.80628 .37024 .80896 .37397 .81528 .37195 .81261 .36822 Mtetra
.81261 .36822 .81528 .37195 .82162 .36993 .81895 .36619 Mtetra
.81895 .36619 .82162 .36993 .82797 .36791 .82531 .36416 Mtetra
.82531 .36416 .82797 .36791 .83433 .36588 .83168 .36212 Mtetra
.83168 .36212 .83433 .36588 .84071 .36385 .83807 .36008 Mtetra
.83807 .36008 .84071 .36385 .8471 .36181 .84447 .35804 Mtetra
.84447 .35804 .8471 .36181 .8535 .35977 .85089 .35599 Mtetra
.85089 .35599 .8535 .35977 .85992 .35772 .85732 .35393 Mtetra
.85732 .35393 .85992 .35772 .86635 .35567 .86376 .35187 Mtetra
.86376 .35187 .86635 .35567 .8728 .35362 .87022 .34981 Mtetra
.87022 .34981 .8728 .35362 .87926 .35156 .87669 .34774 Mtetra
.87669 .34774 .87926 .35156 .88574 .34949 .88318 .34567 Mtetra
.88318 .34567 .88574 .34949 .89223 .34742 .88968 .34359 Mtetra
.88968 .34359 .89223 .34742 .89873 .34535 .89619 .34151 Mtetra
.89619 .34151 .89873 .34535 .90525 .34327 .90272 .33942 Mtetra
.90272 .33942 .90525 .34327 .91179 .34119 .90926 .33733 Mtetra
.625 .722 .917 r
.32168 .52123 .32503 .5245 .33031 .52351 .32697 .52006 Mtetra
.576 .695 .922 r
.32697 .52006 .33031 .52351 .33556 .5233 .33225 .51946 Mtetra
.488 .635 .919 r
.33225 .51946 .33556 .5233 .34076 .52437 .33749 .51981 Mtetra
.361 .531 .889 r
.33749 .51981 .34076 .52437 .34587 .52721 .34267 .52146 Mtetra
.25 .409 .826 r
.34267 .52146 .34587 .52721 .35092 .53201 .34779 .52458 Mtetra
.236 .338 .765 r
.34779 .52458 .35092 .53201 .35591 .53837 .35289 .52884 Mtetra
.322 .342 .726 r
.35289 .52884 .35591 .53837 .36093 .54505 .358 .53333 Mtetra
.443 .388 .702 r
.358 .53333 .36093 .54505 .36605 .55017 .3632 .53666 Mtetra
.547 .441 .684 r
.3632 .53666 .36605 .55017 .37136 .5519 .36854 .53748 Mtetra
.624 .485 .673 r
.36854 .53748 .37136 .5519 .37689 .5492 .37405 .53503 Mtetra
.677 .522 .668 r
.37405 .53503 .37689 .5492 .38261 .54237 .3797 .52952 Mtetra
.713 .553 .67 r
.3797 .52952 .38261 .54237 .38842 .53287 .38543 .52203 Mtetra
.738 .582 .681 r
.38543 .52203 .38842 .53287 .39425 .52266 .39117 .51402 Mtetra
.753 .612 .702 r
.39117 .51402 .39425 .52266 .40003 .51337 .39688 .50668 Mtetra
.758 .644 .735 r
.39688 .50668 .40003 .51337 .40573 .50587 .40253 .50066 Mtetra
.753 .678 .779 r
.40253 .50066 .40573 .50587 .41136 .50021 .40814 .49602 Mtetra
.741 .712 .824 r
.40814 .49602 .41136 .50021 .41695 .49593 .4137 .49242 Mtetra
.72 .74 .867 r
.4137 .49242 .41695 .49593 .42249 .49289 .41925 .48963 Mtetra
.664 .741 .907 r
.41925 .48963 .42249 .49289 .42801 .49112 .42478 .48786 Mtetra
.42478 .48786 .42801 .49112 .43354 .48936 .43031 .48609 Mtetra
.43031 .48609 .43354 .48936 .43908 .48759 .43586 .48431 Mtetra
.43586 .48431 .43908 .48759 .44463 .48581 .44142 .48253 Mtetra
.44142 .48253 .44463 .48581 .4502 .48403 .44699 .48074 Mtetra
.44699 .48074 .4502 .48403 .45577 .48225 .45257 .47895 Mtetra
.45257 .47895 .45577 .48225 .46136 .48047 .45817 .47716 Mtetra
.45817 .47716 .46136 .48047 .46696 .47868 .46377 .47537 Mtetra
.46377 .47537 .46696 .47868 .47257 .47689 .46939 .47357 Mtetra
.46939 .47357 .47257 .47689 .47819 .47509 .47502 .47176 Mtetra
.47502 .47176 .47819 .47509 .48382 .47329 .48066 .46996 Mtetra
.48066 .46996 .48382 .47329 .48946 .47149 .48631 .46815 Mtetra
.48631 .46815 .48946 .47149 .49512 .46968 .49197 .46633 Mtetra
.49197 .46633 .49512 .46968 .50079 .46787 .49765 .46451 Mtetra
.49765 .46451 .50079 .46787 .50647 .46605 .50334 .46269 Mtetra
.663 .741 .908 r
.50334 .46269 .50647 .46605 .51216 .46426 .50903 .46088 Mtetra
.649 .735 .913 r
.50903 .46088 .51216 .46426 .51786 .46268 .51474 .45928 Mtetra
.655 .736 .909 r
.51474 .45928 .51786 .46268 .52358 .46109 .52047 .45758 Mtetra
.652 .729 .906 r
.52047 .45758 .52358 .46109 .5293 .45954 .5262 .45593 Mtetra
.649 .723 .902 r
.5262 .45593 .5293 .45954 .53504 .45797 .53195 .45432 Mtetra
.655 .722 .899 r
.53195 .45432 .53504 .45797 .5408 .45633 .53771 .45262 Mtetra
.659 .721 .894 r
.53771 .45262 .5408 .45633 .54656 .4546 .54348 .45083 Mtetra
.665 .72 .89 r
.54348 .45083 .54656 .4546 .55234 .45271 .54927 .44896 Mtetra
.671 .723 .889 r
.54927 .44896 .55234 .45271 .55813 .4507 .55506 .44698 Mtetra
.674 .727 .889 r
.55506 .44698 .55813 .4507 .56393 .4486 .56087 .44494 Mtetra
.675 .731 .892 r
.56087 .44494 .56393 .4486 .56973 .44648 .56669 .44288 Mtetra
.674 .734 .895 r
.56669 .44288 .56973 .44648 .57556 .44439 .57252 .44084 Mtetra
.672 .737 .899 r
.57252 .44084 .57556 .44439 .58139 .44235 .57836 .43883 Mtetra
.669 .738 .902 r
.57836 .43883 .58139 .44235 .58723 .44037 .58421 .43688 Mtetra
.667 .74 .905 r
.58421 .43688 .58723 .44037 .59309 .43842 .59008 .43495 Mtetra
.667 .742 .906 r
.59008 .43495 .59309 .43842 .59897 .43652 .59596 .43303 Mtetra
.664 .74 .906 r
.59596 .43303 .59897 .43652 .60485 .43462 .60186 .43113 Mtetra
.663 .74 .907 r
.60186 .43113 .60485 .43462 .61075 .43273 .60776 .42925 Mtetra
.665 .742 .908 r
.60776 .42925 .61075 .43273 .61666 .43084 .61368 .42734 Mtetra
.664 .741 .907 r
.61368 .42734 .61666 .43084 .62258 .42895 .61961 .42544 Mtetra
.61961 .42544 .62258 .42895 .62851 .42705 .62555 .42354 Mtetra
.62555 .42354 .62851 .42705 .63446 .42515 .63151 .42163 Mtetra
.63151 .42163 .63446 .42515 .64042 .42325 .63748 .41972 Mtetra
.63748 .41972 .64042 .42325 .6464 .42134 .64346 .4178 Mtetra
.64346 .4178 .6464 .42134 .65238 .41942 .64945 .41588 Mtetra
.64945 .41588 .65238 .41942 .65838 .41751 .65546 .41396 Mtetra
.65546 .41396 .65838 .41751 .66439 .41559 .66148 .41203 Mtetra
.66148 .41203 .66439 .41559 .67041 .41366 .66751 .4101 Mtetra
.66751 .4101 .67041 .41366 .67645 .41173 .67356 .40816 Mtetra
.67356 .40816 .67645 .41173 .6825 .4098 .67962 .40622 Mtetra
.67962 .40622 .6825 .4098 .68856 .40786 .68569 .40428 Mtetra
.68569 .40428 .68856 .40786 .69464 .40592 .69177 .40233 Mtetra
.69177 .40233 .69464 .40592 .70073 .40397 .69787 .40037 Mtetra
.69787 .40037 .70073 .40397 .70683 .40203 .70398 .39841 Mtetra
.70398 .39841 .70683 .40203 .71295 .40007 .71011 .39645 Mtetra
.71011 .39645 .71295 .40007 .71907 .39811 .71624 .39448 Mtetra
.71624 .39448 .71907 .39811 .72521 .39615 .72239 .39251 Mtetra
.72239 .39251 .72521 .39615 .73137 .39418 .72856 .39054 Mtetra
.72856 .39054 .73137 .39418 .73754 .39221 .73474 .38856 Mtetra
.73474 .38856 .73754 .39221 .74372 .39023 .74093 .38658 Mtetra
.74093 .38658 .74372 .39023 .74991 .38826 .74713 .38459 Mtetra
.74713 .38459 .74991 .38826 .75612 .38627 .75335 .3826 Mtetra
.75335 .3826 .75612 .38627 .76234 .38428 .75958 .3806 Mtetra
.75958 .3806 .76234 .38428 .76858 .38229 .76582 .3786 Mtetra
.76582 .3786 .76858 .38229 .77483 .38029 .77208 .3766 Mtetra
.77208 .3766 .77483 .38029 .78109 .37829 .77835 .37459 Mtetra
.77835 .37459 .78109 .37829 .78737 .37629 .78464 .37257 Mtetra
.78464 .37257 .78737 .37629 .79366 .37428 .79094 .37055 Mtetra
.79094 .37055 .79366 .37428 .79996 .37226 .79725 .36853 Mtetra
.79725 .36853 .79996 .37226 .80628 .37024 .80358 .36651 Mtetra
.80358 .36651 .80628 .37024 .81261 .36822 .80992 .36447 Mtetra
.80992 .36447 .81261 .36822 .81895 .36619 .81628 .36244 Mtetra
.81628 .36244 .81895 .36619 .82531 .36416 .82264 .3604 Mtetra
.82264 .3604 .82531 .36416 .83168 .36212 .82903 .35835 Mtetra
.82903 .35835 .83168 .36212 .83807 .36008 .83542 .3563 Mtetra
.83542 .3563 .83807 .36008 .84447 .35804 .84184 .35425 Mtetra
.84184 .35425 .84447 .35804 .85089 .35599 .84826 .35219 Mtetra
.84826 .35219 .85089 .35599 .85732 .35393 .8547 .35013 Mtetra
.8547 .35013 .85732 .35393 .86376 .35187 .86115 .34806 Mtetra
.86115 .34806 .86376 .35187 .87022 .34981 .86762 .34599 Mtetra
.86762 .34599 .87022 .34981 .87669 .34774 .8741 .34391 Mtetra
.8741 .34391 .87669 .34774 .88318 .34567 .8806 .34183 Mtetra
.8806 .34183 .88318 .34567 .88968 .34359 .88711 .33974 Mtetra
.88711 .33974 .88968 .34359 .89619 .34151 .89364 .33765 Mtetra
.89364 .33765 .89619 .34151 .90272 .33942 .90018 .33556 Mtetra
.90018 .33556 .90272 .33942 .90926 .33733 .90673 .33346 Mtetra
.636 .727 .914 r
.31831 .51798 .32168 .52123 .32697 .52006 .32362 .51665 Mtetra
.604 .708 .918 r
.32362 .51665 .32697 .52006 .33225 .51946 .32892 .51573 Mtetra
.546 .668 .917 r
.32892 .51573 .33225 .51946 .33749 .51981 .33419 .51549 Mtetra
.465 .598 .9 r
.33419 .51549 .33749 .51981 .34267 .52146 .33942 .5162 Mtetra
.39 .511 .86 r
.33942 .5162 .34267 .52146 .34779 .52458 .34462 .51794 Mtetra
.369 .444 .808 r
.34462 .51794 .34779 .52458 .35289 .52884 .3498 .52051 Mtetra
.413 .424 .762 r
.3498 .52051 .35289 .52884 .358 .53333 .35499 .52322 Mtetra
.491 .44 .728 r
.35499 .52322 .358 .53333 .3632 .53666 .36025 .52511 Mtetra
.567 .471 .705 r
.36025 .52511 .3632 .53666 .36854 .53748 .36562 .5252 Mtetra
.628 .503 .691 r
.36562 .5252 .36854 .53748 .37405 .53503 .37111 .52294 Mtetra
.673 .533 .686 r
.37111 .52294 .37405 .53503 .3797 .52952 .37671 .5185 Mtetra
.705 .561 .689 r
.37671 .5185 .3797 .52952 .38543 .52203 .38237 .51264 Mtetra
.727 .59 .702 r
.38237 .51264 .38543 .52203 .39117 .51402 .38805 .50639 Mtetra
.74 .62 .725 r
.38805 .50639 .39117 .51402 .39688 .50668 .3937 .50063 Mtetra
.743 .653 .76 r
.3937 .50063 .39688 .50668 .40253 .50066 .39931 .49584 Mtetra
.736 .686 .803 r
.39931 .49584 .40253 .50066 .40814 .49602 .40489 .49208 Mtetra
.719 .718 .848 r
.40489 .49208 .40814 .49602 .4137 .49242 .41044 .48914 Mtetra
.701 .749 .889 r
.41044 .48914 .4137 .49242 .41925 .48963 .41599 .48677 Mtetra
.684 .772 .918 r
.41599 .48677 .41925 .48963 .42478 .48786 .42153 .4847 Mtetra
.672 .75 .91 r
.42153 .4847 .42478 .48786 .43031 .48609 .42707 .4828 Mtetra
.664 .741 .907 r
.42707 .4828 .43031 .48609 .43586 .48431 .43263 .48102 Mtetra
.43263 .48102 .43586 .48431 .44142 .48253 .4382 .47923 Mtetra
.4382 .47923 .44142 .48253 .44699 .48074 .44377 .47744 Mtetra
.44377 .47744 .44699 .48074 .45257 .47895 .44936 .47564 Mtetra
.44936 .47564 .45257 .47895 .45817 .47716 .45496 .47384 Mtetra
.45496 .47384 .45817 .47716 .46377 .47537 .46058 .47204 Mtetra
.46058 .47204 .46377 .47537 .46939 .47357 .4662 .47024 Mtetra
.4662 .47024 .46939 .47357 .47502 .47176 .47184 .46843 Mtetra
.47184 .46843 .47502 .47176 .48066 .46996 .47748 .46661 Mtetra
.47748 .46661 .48066 .46996 .48631 .46815 .48314 .46479 Mtetra
.48314 .46479 .48631 .46815 .49197 .46633 .48881 .46297 Mtetra
.662 .74 .908 r
.48881 .46297 .49197 .46633 .49765 .46451 .4945 .46118 Mtetra
.66 .742 .91 r
.4945 .46118 .49765 .46451 .50334 .46269 .50019 .45941 Mtetra
.668 .747 .91 r
.50019 .45941 .50334 .46269 .50903 .46088 .5059 .4575 Mtetra
.653 .738 .912 r
.5059 .4575 .50903 .46088 .51474 .45928 .51162 .45583 Mtetra
.653 .734 .909 r
.51162 .45583 .51474 .45928 .52047 .45758 .51735 .45415 Mtetra
.661 .738 .907 r
.51735 .45415 .52047 .45758 .5262 .45593 .52309 .45235 Mtetra
.654 .727 .903 r
.52309 .45235 .5262 .45593 .53195 .45432 .52884 .45066 Mtetra
.654 .723 .899 r
.52884 .45066 .53195 .45432 .53771 .45262 .53461 .44896 Mtetra
.662 .726 .897 r
.53461 .44896 .53771 .45262 .54348 .45083 .54039 .44713 Mtetra
.665 .725 .894 r
.54039 .44713 .54348 .45083 .54927 .44896 .54618 .44525 Mtetra
.668 .726 .892 r
.54618 .44525 .54927 .44896 .55506 .44698 .55199 .4433 Mtetra
.672 .729 .893 r
.55199 .4433 .55506 .44698 .56087 .44494 .5578 .4413 Mtetra
.673 .733 .895 r
.5578 .4413 .56087 .44494 .56669 .44288 .56363 .43928 Mtetra
.671 .734 .898 r
.56363 .43928 .56669 .44288 .57252 .44084 .56947 .4373 Mtetra
.669 .738 .901 r
.56947 .4373 .57252 .44084 .57836 .43883 .57532 .43533 Mtetra
.67 .741 .904 r
.57532 .43533 .57836 .43883 .58421 .43688 .58118 .43335 Mtetra
.665 .738 .905 r
.58118 .43335 .58421 .43688 .59008 .43495 .58706 .43145 Mtetra
.663 .739 .907 r
.58706 .43145 .59008 .43495 .59596 .43303 .59295 .42957 Mtetra
.667 .744 .908 r
.59295 .42957 .59596 .43303 .60186 .43113 .59885 .42763 Mtetra
.664 .741 .907 r
.59885 .42763 .60186 .43113 .60776 .42925 .60476 .42573 Mtetra
.662 .739 .907 r
.60476 .42573 .60776 .42925 .61368 .42734 .61069 .42386 Mtetra
.665 .743 .908 r
.61069 .42386 .61368 .42734 .61961 .42544 .61663 .42192 Mtetra
.664 .741 .907 r
.61663 .42192 .61961 .42544 .62555 .42354 .62258 .42001 Mtetra
.664 .74 .907 r
.62258 .42001 .62555 .42354 .63151 .42163 .62854 .4181 Mtetra
.664 .741 .907 r
.62854 .4181 .63151 .42163 .63748 .41972 .63452 .41618 Mtetra
.63452 .41618 .63748 .41972 .64346 .4178 .64051 .41425 Mtetra
.64051 .41425 .64346 .4178 .64945 .41588 .64651 .41233 Mtetra
.64651 .41233 .64945 .41588 .65546 .41396 .65253 .4104 Mtetra
.65253 .4104 .65546 .41396 .66148 .41203 .65856 .40846 Mtetra
.65856 .40846 .66148 .41203 .66751 .4101 .6646 .40652 Mtetra
.663 .74 .907 r
.6646 .40652 .66751 .4101 .67356 .40816 .67066 .40458 Mtetra
.664 .742 .908 r
.67066 .40458 .67356 .40816 .67962 .40622 .67672 .40262 Mtetra
.664 .741 .907 r
.67672 .40262 .67962 .40622 .68569 .40428 .6828 .40067 Mtetra
.663 .74 .907 r
.6828 .40067 .68569 .40428 .69177 .40233 .6889 .39873 Mtetra
.665 .742 .908 r
.6889 .39873 .69177 .40233 .69787 .40037 .695 .39675 Mtetra
.664 .741 .907 r
.695 .39675 .69787 .40037 .70398 .39841 .70112 .39479 Mtetra
.663 .741 .907 r
.70112 .39479 .70398 .39841 .71011 .39645 .70726 .39282 Mtetra
.664 .741 .907 r
.70726 .39282 .71011 .39645 .71624 .39448 .7134 .39084 Mtetra
.7134 .39084 .71624 .39448 .72239 .39251 .71956 .38886 Mtetra
.71956 .38886 .72239 .39251 .72856 .39054 .72574 .38688 Mtetra
.72574 .38688 .72856 .39054 .73474 .38856 .73192 .3849 Mtetra
.73192 .3849 .73474 .38856 .74093 .38658 .73812 .3829 Mtetra
.73812 .3829 .74093 .38658 .74713 .38459 .74434 .38091 Mtetra
.74434 .38091 .74713 .38459 .75335 .3826 .75056 .37891 Mtetra
.75056 .37891 .75335 .3826 .75958 .3806 .7568 .3769 Mtetra
.7568 .3769 .75958 .3806 .76582 .3786 .76306 .3749 Mtetra
.76306 .3749 .76582 .3786 .77208 .3766 .76933 .37288 Mtetra
.76933 .37288 .77208 .3766 .77835 .37459 .77561 .37087 Mtetra
.77561 .37087 .77835 .37459 .78464 .37257 .7819 .36884 Mtetra
.7819 .36884 .78464 .37257 .79094 .37055 .78821 .36682 Mtetra
.78821 .36682 .79094 .37055 .79725 .36853 .79454 .36479 Mtetra
.79454 .36479 .79725 .36853 .80358 .36651 .80087 .36275 Mtetra
.80087 .36275 .80358 .36651 .80992 .36447 .80722 .36071 Mtetra
.80722 .36071 .80992 .36447 .81628 .36244 .81359 .35867 Mtetra
.81359 .35867 .81628 .36244 .82264 .3604 .81997 .35662 Mtetra
.81997 .35662 .82264 .3604 .82903 .35835 .82636 .35457 Mtetra
.82636 .35457 .82903 .35835 .83542 .3563 .83277 .35251 Mtetra
.83277 .35251 .83542 .3563 .84184 .35425 .83919 .35045 Mtetra
.83919 .35045 .84184 .35425 .84826 .35219 .84562 .34838 Mtetra
.84562 .34838 .84826 .35219 .8547 .35013 .85207 .34631 Mtetra
.85207 .34631 .8547 .35013 .86115 .34806 .85854 .34423 Mtetra
.85854 .34423 .86115 .34806 .86762 .34599 .86502 .34215 Mtetra
.86502 .34215 .86762 .34599 .8741 .34391 .87151 .34007 Mtetra
.87151 .34007 .8741 .34391 .8806 .34183 .87802 .33798 Mtetra
.87802 .33798 .8806 .34183 .88711 .33974 .88454 .33588 Mtetra
.88454 .33588 .88711 .33974 .89364 .33765 .89107 .33378 Mtetra
.89107 .33378 .89364 .33765 .90018 .33556 .89762 .33168 Mtetra
.89762 .33168 .90018 .33556 .90673 .33346 .90419 .32957 Mtetra
.645 .731 .912 r
.31492 .51474 .31831 .51798 .32362 .51665 .32025 .51329 Mtetra
.623 .718 .914 r
.32025 .51329 .32362 .51665 .32892 .51573 .32557 .51212 Mtetra
.586 .69 .914 r
.32557 .51212 .32892 .51573 .33419 .51549 .33087 .51142 Mtetra
.535 .644 .904 r
.33087 .51142 .33419 .51549 .33942 .5162 .33615 .51138 Mtetra
.484 .582 .877 r
.33615 .51138 .33942 .5162 .34462 .51794 .34141 .51206 Mtetra
.463 .525 .836 r
.34141 .51206 .34462 .51794 .3498 .52051 .34665 .5133 Mtetra
.483 .494 .793 r
.34665 .5133 .3498 .52051 .35499 .52322 .35191 .51465 Mtetra
.532 .491 .756 r
.35191 .51465 .35499 .52322 .36025 .52511 .35722 .51542 Mtetra
.586 .505 .73 r
.35722 .51542 .36025 .52511 .36562 .5252 .36261 .51494 Mtetra
.633 .526 .714 r
.36261 .51494 .36562 .5252 .37111 .52294 .36809 .51283 Mtetra
.671 .55 .709 r
.36809 .51283 .37111 .52294 .37671 .5185 .37365 .50921 Mtetra
.699 .576 .713 r
.37365 .50921 .37671 .5185 .38237 .51264 .37926 .5046 Mtetra
.718 .603 .727 r
.37926 .5046 .38237 .51264 .38805 .50639 .38488 .49973 Mtetra
.728 .633 .752 r
.38488 .49973 .38805 .50639 .3937 .50063 .39049 .49519 Mtetra
.728 .664 .786 r
.39049 .49519 .3937 .50063 .39931 .49584 .39607 .49134 Mtetra
.718 .694 .825 r
.39607 .49134 .39931 .49584 .40489 .49208 .40163 .48823 Mtetra
.7 .718 .863 r
.40163 .48823 .40489 .49208 .41044 .48914 .40717 .48576 Mtetra
.676 .737 .897 r
.40717 .48576 .41044 .48914 .41599 .48677 .41271 .48378 Mtetra
.65 .756 .927 r
.41271 .48378 .41599 .48677 .42153 .4847 .41824 .48218 Mtetra
.616 .78 .96 r
.41824 .48218 .42153 .4847 .42707 .4828 .42378 .48088 Mtetra
.564 .811 .991 r
.42378 .48088 .42707 .4828 .43263 .48102 .42932 .47981 Mtetra
.481 .834 .996 r
.42932 .47981 .43263 .48102 .4382 .47923 .43488 .47886 Mtetra
.357 .818 .924 r
.43488 .47886 .4382 .47923 .44377 .47744 .44045 .47784 Mtetra
.247 .76 .789 r
.44045 .47784 .44377 .47744 .44936 .47564 .44604 .47656 Mtetra
.226 .738 .702 r
.44604 .47656 .44936 .47564 .45496 .47384 .45165 .47486 Mtetra
.308 .791 .725 r
.45165 .47486 .45496 .47384 .46058 .47204 .45729 .47273 Mtetra
.459 .887 .831 r
.45729 .47273 .46058 .47204 .4662 .47024 .46294 .47025 Mtetra
.611 .947 .934 r
.46294 .47025 .4662 .47024 .47184 .46843 .4686 .46757 Mtetra
.685 .924 .971 r
.4686 .46757 .47184 .46843 .47748 .46661 .47427 .46493 Mtetra
.693 .866 .964 r
.47427 .46493 .47748 .46661 .48314 .46479 .47995 .46254 Mtetra
.7 .824 .942 r
.47995 .46254 .48314 .46479 .48881 .46297 .48564 .46015 Mtetra
.688 .782 .923 r
.48564 .46015 .48881 .46297 .4945 .46118 .49133 .45796 Mtetra
.657 .748 .917 r
.49133 .45796 .4945 .46118 .50019 .45941 .49703 .45622 Mtetra
.673 .756 .913 r
.49703 .45622 .50019 .45941 .5059 .4575 .50275 .45424 Mtetra
.674 .752 .91 r
.50275 .45424 .5059 .4575 .51162 .45583 .50848 .45225 Mtetra
.646 .724 .906 r
.50848 .45225 .51162 .45583 .51735 .45415 .51421 .45067 Mtetra
.658 .735 .906 r
.51421 .45067 .51735 .45415 .52309 .45235 .51997 .44891 Mtetra
.666 .74 .905 r
.51997 .44891 .52309 .45235 .52884 .45066 .52573 .44702 Mtetra
.654 .724 .9 r
.52573 .44702 .52884 .45066 .53461 .44896 .5315 .44531 Mtetra
.66 .726 .898 r
.5315 .44531 .53461 .44896 .54039 .44713 .53729 .4435 Mtetra
.667 .73 .897 r
.53729 .4435 .54039 .44713 .54618 .44525 .54309 .44159 Mtetra
.667 .729 .896 r
.54309 .44159 .54618 .44525 .55199 .4433 .5489 .43966 Mtetra
.669 .731 .896 r
.5489 .43966 .55199 .4433 .5578 .4413 .55472 .4377 Mtetra
.67 .734 .898 r
.55472 .4377 .5578 .4413 .56363 .43928 .56056 .43573 Mtetra
.671 .738 .9 r
.56056 .43573 .56363 .43928 .56947 .4373 .56641 .43373 Mtetra
.666 .736 .902 r
.56641 .43373 .56947 .4373 .57532 .43533 .57227 .43181 Mtetra
.665 .738 .905 r
.57227 .43181 .57532 .43533 .58118 .43335 .57814 .4299 Mtetra
.669 .745 .907 r
.57814 .4299 .58118 .43335 .58706 .43145 .58402 .42793 Mtetra
.664 .739 .906 r
.58402 .42793 .58706 .43145 .59295 .42957 .58992 .42603 Mtetra
.66 .737 .907 r
.58992 .42603 .59295 .42957 .59885 .42763 .59583 .42418 Mtetra
.668 .746 .909 r
.59583 .42418 .59885 .42763 .60476 .42573 .60175 .42222 Mtetra
.664 .741 .907 r
.60175 .42222 .60476 .42573 .61069 .42386 .60769 .42031 Mtetra
.662 .739 .907 r
.60769 .42031 .61069 .42386 .61663 .42192 .61364 .41842 Mtetra
.666 .743 .908 r
.61364 .41842 .61663 .42192 .62258 .42001 .61959 .41647 Mtetra
.664 .741 .907 r
.61959 .41647 .62258 .42001 .62854 .4181 .62557 .41455 Mtetra
.664 .74 .907 r
.62557 .41455 .62854 .4181 .63452 .41618 .63155 .41263 Mtetra
.664 .741 .907 r
.63155 .41263 .63452 .41618 .64051 .41425 .63755 .41069 Mtetra
.63755 .41069 .64051 .41425 .64651 .41233 .64356 .40876 Mtetra
.64356 .40876 .64651 .41233 .65253 .4104 .64959 .40682 Mtetra
.64959 .40682 .65253 .4104 .65856 .40846 .65563 .40487 Mtetra
.65563 .40487 .65856 .40846 .6646 .40652 .66168 .40292 Mtetra
.663 .741 .907 r
.66168 .40292 .6646 .40652 .67066 .40458 .66774 .40098 Mtetra
.663 .74 .907 r
.66774 .40098 .67066 .40458 .67672 .40262 .67382 .39903 Mtetra
.665 .742 .908 r
.67382 .39903 .67672 .40262 .6828 .40067 .67991 .39705 Mtetra
.664 .741 .907 r
.67991 .39705 .6828 .40067 .6889 .39873 .68601 .39509 Mtetra
.662 .739 .907 r
.68601 .39509 .6889 .39873 .695 .39675 .69213 .39315 Mtetra
.666 .743 .908 r
.69213 .39315 .695 .39675 .70112 .39479 .69825 .39115 Mtetra
.664 .741 .907 r
.69825 .39115 .70112 .39479 .70726 .39282 .7044 .38917 Mtetra
.663 .74 .907 r
.7044 .38917 .70726 .39282 .7134 .39084 .71055 .3872 Mtetra
.665 .742 .908 r
.71055 .3872 .7134 .39084 .71956 .38886 .71672 .3852 Mtetra
.664 .741 .907 r
.71672 .3852 .71956 .38886 .72574 .38688 .7229 .38321 Mtetra
.7229 .38321 .72574 .38688 .73192 .3849 .7291 .38122 Mtetra
.7291 .38122 .73192 .3849 .73812 .3829 .73531 .37922 Mtetra
.73531 .37922 .73812 .3829 .74434 .38091 .74153 .37721 Mtetra
.74153 .37721 .74434 .38091 .75056 .37891 .74777 .37521 Mtetra
.74777 .37521 .75056 .37891 .7568 .3769 .75402 .37319 Mtetra
.75402 .37319 .7568 .3769 .76306 .3749 .76028 .37118 Mtetra
.76028 .37118 .76306 .3749 .76933 .37288 .76656 .36915 Mtetra
.76656 .36915 .76933 .37288 .77561 .37087 .77285 .36713 Mtetra
.77285 .36713 .77561 .37087 .7819 .36884 .77916 .3651 Mtetra
.77916 .3651 .7819 .36884 .78821 .36682 .78548 .36306 Mtetra
.78548 .36306 .78821 .36682 .79454 .36479 .79181 .36103 Mtetra
.79181 .36103 .79454 .36479 .80087 .36275 .79815 .35898 Mtetra
.79815 .35898 .80087 .36275 .80722 .36071 .80452 .35693 Mtetra
.80452 .35693 .80722 .36071 .81359 .35867 .81089 .35488 Mtetra
.81089 .35488 .81359 .35867 .81997 .35662 .81728 .35282 Mtetra
.81728 .35282 .81997 .35662 .82636 .35457 .82368 .35076 Mtetra
.82368 .35076 .82636 .35457 .83277 .35251 .8301 .3487 Mtetra
.8301 .3487 .83277 .35251 .83919 .35045 .83653 .34663 Mtetra
.83653 .34663 .83919 .35045 .84562 .34838 .84298 .34455 Mtetra
.84298 .34455 .84562 .34838 .85207 .34631 .84944 .34247 Mtetra
.84944 .34247 .85207 .34631 .85854 .34423 .85591 .34039 Mtetra
.85591 .34039 .85854 .34423 .86502 .34215 .8624 .3383 Mtetra
.8624 .3383 .86502 .34215 .87151 .34007 .8689 .3362 Mtetra
.8689 .3362 .87151 .34007 .87802 .33798 .87542 .33411 Mtetra
.87542 .33411 .87802 .33798 .88454 .33588 .88195 .332 Mtetra
.88195 .332 .88454 .33588 .89107 .33378 .8885 .32989 Mtetra
.8885 .32989 .89107 .33378 .89762 .33168 .89506 .32778 Mtetra
.89506 .32778 .89762 .33168 .90419 .32957 .90164 .32566 Mtetra
.651 .734 .91 r
.31153 .51151 .31492 .51474 .32025 .51329 .31686 .50996 Mtetra
.637 .725 .911 r
.31686 .50996 .32025 .51329 .32557 .51212 .3222 .5086 Mtetra
.614 .706 .911 r
.3222 .5086 .32557 .51212 .33087 .51142 .32752 .50756 Mtetra
.581 .675 .904 r
.32752 .50756 .33087 .51142 .33615 .51138 .33284 .50696 Mtetra
.548 .632 .886 r
.33284 .50696 .33615 .51138 .34141 .51206 .33814 .50684 Mtetra
.53 .587 .856 r
.33814 .50684 .34141 .51206 .34665 .5133 .34344 .50711 Mtetra
.537 .554 .819 r
.34344 .50711 .34665 .5133 .35191 .51465 .34875 .50743 Mtetra
.566 .54 .785 r
.34875 .50743 .35191 .51465 .35722 .51542 .3541 .50737 Mtetra
.604 .542 .759 r
.3541 .50737 .35722 .51542 .36261 .51494 .35951 .50647 Mtetra
.64 .555 .743 r
.35951 .50647 .36261 .51494 .36809 .51283 .36498 .50447 Mtetra
.671 .573 .737 r
.36498 .50447 .36809 .51283 .37365 .50921 .37052 .50145 Mtetra
.694 .596 .742 r
.37052 .50145 .37365 .50921 .37926 .5046 .37608 .49778 Mtetra
.709 .621 .757 r
.37608 .49778 .37926 .5046 .38488 .49973 .38167 .49392 Mtetra
.717 .649 .781 r
.38167 .49392 .38488 .49973 .39049 .49519 .38724 .49028 Mtetra
.715 .677 .812 r
.38724 .49028 .39049 .49519 .39607 .49134 .3928 .48711 Mtetra
.704 .702 .845 r
.3928 .48711 .39607 .49134 .40163 .48823 .39835 .48444 Mtetra
.688 .719 .873 r
.39835 .48444 .40163 .48823 .40717 .48576 .4039 .48221 Mtetra
.669 .727 .893 r
.4039 .48221 .40717 .48576 .41271 .48378 .40943 .48033 Mtetra
.651 .728 .905 r
.40943 .48033 .41271 .48378 .41824 .48218 .41498 .47873 Mtetra
.634 .723 .912 r
.41498 .47873 .41824 .48218 .42378 .48088 .42052 .47737 Mtetra
.62 .715 .914 r
.42052 .47737 .42378 .48088 .42932 .47981 .42607 .4762 Mtetra
.613 .707 .911 r
.42607 .4762 .42932 .47981 .43488 .47886 .43164 .47511 Mtetra
.618 .701 .904 r
.43164 .47511 .43488 .47886 .44045 .47784 .43722 .47398 Mtetra
.634 .701 .894 r
.43722 .47398 .44045 .47784 .44604 .47656 .44282 .47261 Mtetra
.657 .704 .882 r
.44282 .47261 .44604 .47656 .45165 .47486 .44843 .4709 Mtetra
.679 .711 .872 r
.44843 .4709 .45165 .47486 .45729 .47273 .45407 .46879 Mtetra
.692 .717 .868 r
.45407 .46879 .45729 .47273 .46294 .47025 .45973 .46642 Mtetra
.701 .724 .868 r
.45973 .46642 .46294 .47025 .4686 .46757 .4654 .4639 Mtetra
.708 .735 .872 r
.4654 .4639 .4686 .46757 .47427 .46493 .47108 .46126 Mtetra
.691 .731 .881 r
.47108 .46126 .47427 .46493 .47995 .46254 .47676 .45894 Mtetra
.677 .732 .892 r
.47676 .45894 .47995 .46254 .48564 .46015 .48245 .45689 Mtetra
.701 .759 .897 r
.48245 .45689 .48564 .46015 .49133 .45796 .48816 .45445 Mtetra
.668 .735 .9 r
.48816 .45445 .49133 .45796 .49703 .45622 .49387 .45253 Mtetra
.637 .715 .904 r
.49387 .45253 .49703 .45622 .50275 .45424 .49959 .4511 Mtetra
.69 .764 .909 r
.49959 .4511 .50275 .45424 .50848 .45225 .50533 .44885 Mtetra
.665 .742 .908 r
.50533 .44885 .50848 .45225 .51421 .45067 .51107 .44698 Mtetra
.639 .717 .904 r
.51107 .44698 .51421 .45067 .51997 .44891 .51683 .4455 Mtetra
.669 .743 .906 r
.51683 .4455 .51997 .44891 .52573 .44702 .5226 .44355 Mtetra
.668 .74 .904 r
.5226 .44355 .52573 .44702 .5315 .44531 .52838 .44162 Mtetra
.655 .723 .899 r
.52838 .44162 .5315 .44531 .53729 .4435 .53418 .43989 Mtetra
.665 .732 .899 r
.53418 .43989 .53729 .4435 .54309 .44159 .53998 .43799 Mtetra
.668 .734 .899 r
.53998 .43799 .54309 .44159 .5489 .43966 .5458 .43605 Mtetra
.5458 .43605 .5489 .43966 .55472 .4377 .55163 .43411 Mtetra
.667 .734 .9 r
.55163 .43411 .55472 .4377 .56056 .43573 .55748 .43216 Mtetra
.666 .736 .903 r
.55748 .43216 .56056 .43573 .56641 .43373 .56333 .43025 Mtetra
.671 .743 .905 r
.56333 .43025 .56641 .43373 .57227 .43181 .5692 .42824 Mtetra
.665 .737 .903 r
.5692 .42824 .57227 .43181 .57814 .4299 .57508 .42632 Mtetra
.657 .734 .906 r
.57508 .42632 .57814 .4299 .58402 .42793 .58098 .42452 Mtetra
.67 .749 .91 r
.58098 .42452 .58402 .42793 .58992 .42603 .58688 .42251 Mtetra
.664 .741 .907 r
.58688 .42251 .58992 .42603 .59583 .42418 .5928 .4206 Mtetra
.659 .736 .906 r
.5928 .4206 .59583 .42418 .60175 .42222 .59873 .41876 Mtetra
.668 .747 .909 r
.59873 .41876 .60175 .42222 .60769 .42031 .60467 .41678 Mtetra
.665 .742 .908 r
.60467 .41678 .60769 .42031 .61364 .41842 .61063 .41485 Mtetra
.663 .739 .906 r
.61063 .41485 .61364 .41842 .61959 .41647 .6166 .41294 Mtetra
.664 .742 .908 r
.6166 .41294 .61959 .41647 .62557 .41455 .62258 .411 Mtetra
.665 .742 .908 r
.62258 .411 .62557 .41455 .63155 .41263 .62857 .40905 Mtetra
.664 .74 .907 r
.62857 .40905 .63155 .41263 .63755 .41069 .63458 .40712 Mtetra
.664 .741 .907 r
.63458 .40712 .63755 .41069 .64356 .40876 .6406 .40517 Mtetra
.6406 .40517 .64356 .40876 .64959 .40682 .64664 .40322 Mtetra
.663 .74 .907 r
.64664 .40322 .64959 .40682 .65563 .40487 .65268 .40129 Mtetra
.665 .742 .908 r
.65268 .40129 .65563 .40487 .66168 .40292 .65874 .39932 Mtetra
.664 .741 .907 r
.65874 .39932 .66168 .40292 .66774 .40098 .66481 .39736 Mtetra
.662 .74 .908 r
.66481 .39736 .66774 .40098 .67382 .39903 .6709 .39543 Mtetra
.665 .742 .908 r
.6709 .39543 .67382 .39903 .67991 .39705 .677 .39344 Mtetra
.677 .39344 .67991 .39705 .68601 .39509 .68311 .39145 Mtetra
.663 .74 .908 r
.68311 .39145 .68601 .39509 .69213 .39315 .68924 .3895 Mtetra
.663 .74 .907 r
.68924 .3895 .69213 .39315 .69825 .39115 .69537 .38753 Mtetra
.666 .744 .908 r
.69537 .38753 .69825 .39115 .7044 .38917 .70152 .38551 Mtetra
.664 .741 .907 r
.70152 .38551 .7044 .38917 .71055 .3872 .70769 .38352 Mtetra
.663 .74 .907 r
.70769 .38352 .71055 .3872 .71672 .3852 .71387 .38154 Mtetra
.665 .742 .908 r
.71387 .38154 .71672 .3852 .7229 .38321 .72006 .37952 Mtetra
.664 .741 .907 r
.72006 .37952 .7229 .38321 .7291 .38122 .72626 .37752 Mtetra
.72626 .37752 .7291 .38122 .73531 .37922 .73248 .37552 Mtetra
.73248 .37552 .73531 .37922 .74153 .37721 .73872 .3735 Mtetra
.73872 .3735 .74153 .37721 .74777 .37521 .74496 .37149 Mtetra
.74496 .37149 .74777 .37521 .75402 .37319 .75122 .36947 Mtetra
.75122 .36947 .75402 .37319 .76028 .37118 .75749 .36744 Mtetra
.75749 .36744 .76028 .37118 .76656 .36915 .76378 .36541 Mtetra
.76378 .36541 .76656 .36915 .77285 .36713 .77008 .36338 Mtetra
.77008 .36338 .77285 .36713 .77916 .3651 .7764 .36134 Mtetra
.7764 .36134 .77916 .3651 .78548 .36306 .78273 .3593 Mtetra
.78273 .3593 .78548 .36306 .79181 .36103 .78907 .35725 Mtetra
.78907 .35725 .79181 .36103 .79815 .35898 .79543 .3552 Mtetra
.79543 .3552 .79815 .35898 .80452 .35693 .8018 .35314 Mtetra
.8018 .35314 .80452 .35693 .81089 .35488 .80818 .35108 Mtetra
.80818 .35108 .81089 .35488 .81728 .35282 .81458 .34902 Mtetra
.81458 .34902 .81728 .35282 .82368 .35076 .82099 .34695 Mtetra
.82099 .34695 .82368 .35076 .8301 .3487 .82742 .34487 Mtetra
.82742 .34487 .8301 .3487 .83653 .34663 .83386 .34279 Mtetra
.83386 .34279 .83653 .34663 .84298 .34455 .84032 .34071 Mtetra
.84032 .34071 .84298 .34455 .84944 .34247 .84679 .33862 Mtetra
.84679 .33862 .84944 .34247 .85591 .34039 .85327 .33653 Mtetra
.85327 .33653 .85591 .34039 .8624 .3383 .85977 .33443 Mtetra
.85977 .33443 .8624 .3383 .8689 .3362 .86629 .33233 Mtetra
.86629 .33233 .8689 .3362 .87542 .33411 .87281 .33022 Mtetra
.87281 .33022 .87542 .33411 .88195 .332 .87936 .32811 Mtetra
.87936 .32811 .88195 .332 .8885 .32989 .88591 .32599 Mtetra
.88591 .32599 .8885 .32989 .89506 .32778 .89249 .32387 Mtetra
.89249 .32387 .89506 .32778 .90164 .32566 .89907 .32174 Mtetra
.656 .736 .909 r
.30811 .50827 .31153 .51151 .31686 .50996 .31346 .50666 Mtetra
.647 .73 .91 r
.31346 .50666 .31686 .50996 .3222 .5086 .31881 .50517 Mtetra
.632 .718 .909 r
.31881 .50517 .3222 .5086 .32752 .50756 .32416 .50388 Mtetra
.611 .697 .905 r
.32416 .50388 .32752 .50756 .33284 .50696 .3295 .50287 Mtetra
.59 .667 .892 r
.3295 .50287 .33284 .50696 .33814 .50684 .33484 .50218 Mtetra
.576 .633 .871 r
.33484 .50218 .33814 .50684 .34344 .50711 .34018 .50174 Mtetra
.578 .604 .842 r
.34018 .50174 .34344 .50711 .34875 .50743 .34553 .50133 Mtetra
.595 .587 .813 r
.34553 .50133 .34875 .50743 .3541 .50737 .35091 .50067 Mtetra
.621 .582 .789 r
.35091 .50067 .3541 .50737 .35951 .50647 .35634 .49947 Mtetra
.647 .588 .774 r
.35634 .49947 .35951 .50647 .36498 .50447 .36181 .49755 Mtetra
.671 .601 .769 r
.36181 .49755 .36498 .50447 .37052 .50145 .36732 .49496 Mtetra
.689 .62 .774 r
.36732 .49496 .37052 .50145 .37608 .49778 .37286 .49195 Mtetra
.701 .643 .788 r
.37286 .49195 .37608 .49778 .38167 .49392 .37841 .48881 Mtetra
.706 .667 .81 r
.37841 .48881 .38167 .49392 .38724 .49028 .38397 .48582 Mtetra
.703 .691 .836 r
.38397 .48582 .38724 .49028 .3928 .48711 .38952 .48312 Mtetra
.694 .711 .861 r
.38952 .48312 .3928 .48711 .39835 .48444 .39506 .48074 Mtetra
.682 .723 .88 r
.39506 .48074 .39835 .48444 .4039 .48221 .40061 .47862 Mtetra
.671 .726 .891 r
.40061 .47862 .4039 .48221 .40943 .48033 .40615 .4767 Mtetra
.663 .722 .893 r
.40615 .4767 .40943 .48033 .41498 .47873 .41171 .47492 Mtetra
.656 .71 .887 r
.41171 .47492 .41498 .47873 .42052 .47737 .41727 .47322 Mtetra
.651 .691 .874 r
.41727 .47322 .42052 .47737 .42607 .4762 .42284 .47159 Mtetra
.648 .669 .856 r
.42284 .47159 .42607 .4762 .43164 .47511 .42843 .46999 Mtetra
.646 .647 .836 r
.42843 .46999 .43164 .47511 .43722 .47398 .43402 .46837 Mtetra
.646 .63 .819 r
.43402 .46837 .43722 .47398 .44282 .47261 .43963 .46668 Mtetra
.648 .62 .808 r
.43963 .46668 .44282 .47261 .44843 .4709 .44525 .4649 Mtetra
.653 .621 .804 r
.44525 .4649 .44843 .4709 .45407 .46879 .45089 .46298 Mtetra
.659 .629 .809 r
.45089 .46298 .45407 .46879 .45973 .46642 .45655 .46095 Mtetra
.657 .64 .821 r
.45655 .46095 .45973 .46642 .4654 .4639 .46221 .45903 Mtetra
.669 .668 .84 r
.46221 .45903 .4654 .4639 .47108 .46126 .46788 .45696 Mtetra
.685 .698 .857 r
.46788 .45696 .47108 .46126 .47676 .45894 .47357 .45466 Mtetra
.642 .685 .875 r
.47357 .45466 .47676 .45894 .48245 .45689 .47926 .45314 Mtetra
.659 .719 .893 r
.47926 .45314 .48245 .45689 .48816 .45445 .48497 .45138 Mtetra
.69 .769 .912 r
.48497 .45138 .48816 .45445 .49387 .45253 .49069 .44912 Mtetra
.66 .74 .909 r
.49069 .44912 .49387 .45253 .49959 .4511 .49642 .44733 Mtetra
.627 .708 .904 r
.49642 .44733 .49959 .4511 .50533 .44885 .50216 .44602 Mtetra
.704 .79 .918 r
.50216 .44602 .50533 .44885 .51107 .44698 .50792 .44355 Mtetra
.664 .741 .907 r
.50792 .44355 .51107 .44698 .51683 .4455 .51368 .44168 Mtetra
.635 .709 .9 r
.51368 .44168 .51683 .4455 .5226 .44355 .51946 .44026 Mtetra
.683 .756 .907 r
.51946 .44026 .5226 .44355 .52838 .44162 .52525 .43809 Mtetra
.664 .737 .904 r
.52525 .43809 .52838 .44162 .53418 .43989 .53105 .4362 Mtetra
.657 .726 .9 r
.53105 .4362 .53418 .43989 .53998 .43799 .53687 .43443 Mtetra
.668 .736 .901 r
.53687 .43443 .53998 .43799 .5458 .43605 .54269 .43248 Mtetra
.666 .736 .903 r
.54269 .43248 .5458 .43605 .55163 .43411 .54853 .43057 Mtetra
.67 .74 .903 r
.54853 .43057 .55163 .43411 .55748 .43216 .55438 .42858 Mtetra
.667 .736 .902 r
.55438 .42858 .55748 .43216 .56333 .43025 .56025 .42664 Mtetra
.655 .731 .906 r
.56025 .42664 .56333 .43025 .5692 .42824 .56613 .42488 Mtetra
.675 .753 .91 r
.56613 .42488 .5692 .42824 .57508 .42632 .57201 .4228 Mtetra
.664 .741 .907 r
.57201 .4228 .57508 .42632 .58098 .42452 .57792 .4209 Mtetra
.65 .73 .908 r
.57792 .4209 .58098 .42452 .58688 .42251 .58383 .4192 Mtetra
.675 .758 .913 r
.58383 .4192 .58688 .42251 .5928 .4206 .58976 .41711 Mtetra
.667 .745 .908 r
.58976 .41711 .5928 .4206 .59873 .41876 .5957 .41514 Mtetra
.658 .734 .906 r
.5957 .41514 .59873 .41876 .60467 .41678 .60165 .41331 Mtetra
.665 .746 .911 r
.60165 .41331 .60467 .41678 .61063 .41485 .60761 .41137 Mtetra
.669 .747 .909 r
.60761 .41137 .61063 .41485 .6166 .41294 .61359 .40935 Mtetra
.664 .74 .907 r
.61359 .40935 .6166 .41294 .62258 .411 .61958 .40742 Mtetra
.663 .74 .907 r
.61958 .40742 .62258 .411 .62857 .40905 .62558 .40549 Mtetra
.665 .743 .908 r
.62558 .40549 .62857 .40905 .63458 .40712 .6316 .40352 Mtetra
.664 .741 .907 r
.6316 .40352 .63458 .40712 .6406 .40517 .63763 .40158 Mtetra
.63763 .40158 .6406 .40517 .64664 .40322 .64367 .39962 Mtetra
.64367 .39962 .64664 .40322 .65268 .40129 .64973 .39766 Mtetra
.661 .739 .908 r
.64973 .39766 .65268 .40129 .65874 .39932 .6558 .39574 Mtetra
.667 .745 .908 r
.6558 .39574 .65874 .39932 .66481 .39736 .66187 .39373 Mtetra
.664 .741 .907 r
.66187 .39373 .66481 .39736 .6709 .39543 .66797 .39175 Mtetra
.657 .736 .908 r
.66797 .39175 .6709 .39543 .677 .39344 .67408 .38988 Mtetra
.67 .748 .909 r
.67408 .38988 .677 .39344 .68311 .39145 .6802 .3878 Mtetra
.664 .741 .907 r
.6802 .3878 .68311 .39145 .68924 .3895 .68633 .38581 Mtetra
.659 .738 .908 r
.68633 .38581 .68924 .3895 .69537 .38753 .69248 .38389 Mtetra
.667 .744 .908 r
.69248 .38389 .69537 .38753 .70152 .38551 .69864 .38185 Mtetra
.665 .743 .908 r
.69864 .38185 .70152 .38551 .70769 .38352 .70481 .37983 Mtetra
.663 .741 .908 r
.70481 .37983 .70769 .38352 .71387 .38154 .711 .37784 Mtetra
.664 .741 .907 r
.711 .37784 .71387 .38154 .72006 .37952 .7172 .37584 Mtetra
.665 .742 .908 r
.7172 .37584 .72006 .37952 .72626 .37752 .72342 .37381 Mtetra
.664 .741 .907 r
.72342 .37381 .72626 .37752 .73248 .37552 .72965 .3718 Mtetra
.72965 .3718 .73248 .37552 .73872 .3735 .73589 .36978 Mtetra
.73589 .36978 .73872 .3735 .74496 .37149 .74214 .36775 Mtetra
.74214 .36775 .74496 .37149 .75122 .36947 .74841 .36572 Mtetra
.74841 .36572 .75122 .36947 .75749 .36744 .7547 .36369 Mtetra
.7547 .36369 .75749 .36744 .76378 .36541 .76099 .36165 Mtetra
.76099 .36165 .76378 .36541 .77008 .36338 .7673 .35961 Mtetra
.7673 .35961 .77008 .36338 .7764 .36134 .77363 .35757 Mtetra
.77363 .35757 .7764 .36134 .78273 .3593 .77997 .35551 Mtetra
.77997 .35551 .78273 .3593 .78907 .35725 .78632 .35346 Mtetra
.78632 .35346 .78907 .35725 .79543 .3552 .79269 .3514 Mtetra
.79269 .3514 .79543 .3552 .8018 .35314 .79907 .34933 Mtetra
.79907 .34933 .8018 .35314 .80818 .35108 .80546 .34726 Mtetra
.80546 .34726 .80818 .35108 .81458 .34902 .81187 .34519 Mtetra
.81187 .34519 .81458 .34902 .82099 .34695 .81829 .34311 Mtetra
.81829 .34311 .82099 .34695 .82742 .34487 .82473 .34103 Mtetra
.82473 .34103 .82742 .34487 .83386 .34279 .83118 .33894 Mtetra
.83118 .33894 .83386 .34279 .84032 .34071 .83765 .33685 Mtetra
.83765 .33685 .84032 .34071 .84679 .33862 .84413 .33475 Mtetra
.84413 .33475 .84679 .33862 .85327 .33653 .85062 .33265 Mtetra
.85062 .33265 .85327 .33653 .85977 .33443 .85713 .33054 Mtetra
.85713 .33054 .85977 .33443 .86629 .33233 .86366 .32843 Mtetra
.86366 .32843 .86629 .33233 .87281 .33022 .8702 .32632 Mtetra
.8702 .32632 .87281 .33022 .87936 .32811 .87675 .3242 Mtetra
.87675 .3242 .87936 .32811 .88591 .32599 .88332 .32207 Mtetra
.88332 .32207 .88591 .32599 .89249 .32387 .8899 .31994 Mtetra
.8899 .31994 .89249 .32387 .89907 .32174 .8965 .31781 Mtetra
.659 .738 .908 r
.30469 .50505 .30811 .50827 .31346 .50666 .31004 .50338 Mtetra
.653 .734 .908 r
.31004 .50338 .31346 .50666 .31881 .50517 .3154 .50179 Mtetra
.644 .726 .908 r
.3154 .50179 .31881 .50517 .32416 .50388 .32077 .50033 Mtetra
.631 .712 .905 r
.32077 .50033 .32416 .50388 .3295 .50287 .32613 .49905 Mtetra
.618 .692 .897 r
.32613 .49905 .3295 .50287 .33484 .50218 .3315 .49796 Mtetra
.609 .668 .882 r
.3315 .49796 .33484 .50218 .34018 .50174 .33687 .49702 Mtetra
.608 .645 .861 r
.33687 .49702 .34018 .50174 .34553 .50133 .34225 .49611 Mtetra
.618 .628 .838 r
.34225 .49611 .34553 .50133 .35091 .50067 .34766 .49504 Mtetra
.635 .62 .819 r
.34766 .49504 .35091 .50067 .35634 .49947 .3531 .49362 Mtetra
.654 .622 .806 r
.3531 .49362 .35634 .49947 .36181 .49755 .35857 .49175 Mtetra
.671 .631 .801 r
.35857 .49175 .36181 .49755 .36732 .49496 .36407 .48946 Mtetra
.685 .646 .806 r
.36407 .48946 .36732 .49496 .37286 .49195 .36959 .4869 Mtetra
.693 .665 .818 r
.36959 .4869 .37286 .49195 .37841 .48881 .37513 .48426 Mtetra
.695 .686 .837 r
.37513 .48426 .37841 .48881 .38397 .48582 .38067 .48171 Mtetra
.692 .704 .857 r
.38067 .48171 .38397 .48582 .38952 .48312 .38621 .47934 Mtetra
.685 .719 .875 r
.38621 .47934 .38952 .48312 .39506 .48074 .39176 .47715 Mtetra
.678 .728 .888 r
.39176 .47715 .39506 .48074 .40061 .47862 .3973 .47512 Mtetra
.673 .732 .894 r
.3973 .47512 .40061 .47862 .40615 .4767 .40286 .47317 Mtetra
.665 .728 .897 r
.40286 .47317 .40615 .4767 .41171 .47492 .40842 .47135 Mtetra
.664 .726 .896 r
.40842 .47135 .41171 .47492 .41727 .47322 .41399 .46954 Mtetra
.663 .72 .891 r
.41399 .46954 .41727 .47322 .42284 .47159 .41958 .46773 Mtetra
.663 .711 .883 r
.41958 .46773 .42284 .47159 .42843 .46999 .42517 .46591 Mtetra
.662 .7 .874 r
.42517 .46591 .42843 .46999 .43402 .46837 .43078 .46409 Mtetra
.661 .69 .866 r
.43078 .46409 .43402 .46837 .43963 .46668 .4364 .46227 Mtetra
.66 .684 .861 r
.4364 .46227 .43963 .46668 .44525 .4649 .44203 .46044 Mtetra
.66 .682 .86 r
.44203 .46044 .44525 .4649 .45089 .46298 .44767 .45861 Mtetra
.661 .686 .864 r
.44767 .45861 .45089 .46298 .45655 .46095 .45332 .45678 Mtetra
.662 .697 .872 r
.45332 .45678 .45655 .46095 .46221 .45903 .45899 .45494 Mtetra
.66 .7 .877 r
.45899 .45494 .46221 .45903 .46788 .45696 .46467 .45314 Mtetra
.666 .717 .887 r
.46467 .45314 .46788 .45696 .47357 .45466 .47036 .45125 Mtetra
.664 .741 .907 r
.47036 .45125 .47357 .45466 .47926 .45314 .47606 .4494 Mtetra
.612 .704 .91 r
.47606 .4494 .47926 .45314 .48497 .45138 .48176 .4483 Mtetra
.697 .771 .909 r
.48176 .4483 .48497 .45138 .49069 .44912 .4875 .44593 Mtetra
.679 .76 .912 r
.4875 .44593 .49069 .44912 .49642 .44733 .49324 .44383 Mtetra
.623 .724 .919 r
.49324 .44383 .49642 .44733 .50216 .44602 .49898 .44255 Mtetra
.658 .737 .908 r
.49898 .44255 .50216 .44602 .50792 .44355 .50474 .44077 Mtetra
.707 .795 .919 r
.50474 .44077 .50792 .44355 .51368 .44168 .51052 .43823 Mtetra
.655 .738 .911 r
.51052 .43823 .51368 .44168 .51946 .44026 .51631 .43648 Mtetra
.645 .716 .9 r
.51631 .43648 .51946 .44026 .52525 .43809 .5221 .43489 Mtetra
.691 .765 .909 r
.5221 .43489 .52525 .43809 .53105 .4362 .52791 .43259 Mtetra
.658 .731 .903 r
.52791 .43259 .53105 .4362 .53687 .43443 .53374 .4308 Mtetra
.662 .731 .901 r
.53374 .4308 .53687 .43443 .54269 .43248 .53957 .42894 Mtetra
.668 .739 .903 r
.53957 .42894 .54269 .43248 .54853 .43057 .54542 .42698 Mtetra
.659 .734 .905 r
.54542 .42698 .54853 .43057 .55438 .42858 .55128 .42516 Mtetra
.674 .749 .907 r
.55128 .42516 .55438 .42858 .56025 .42664 .55715 .4231 Mtetra
.664 .739 .906 r
.55715 .4231 .56025 .42664 .56613 .42488 .56304 .42119 Mtetra
.642 .723 .907 r
.56304 .42119 .56613 .42488 .57201 .4228 .56894 .41962 Mtetra
.686 .769 .914 r
.56894 .41962 .57201 .4228 .57792 .4209 .57484 .41736 Mtetra
.664 .741 .907 r
.57484 .41736 .57792 .4209 .58383 .4192 .58077 .41544 Mtetra
.641 .72 .905 r
.58077 .41544 .58383 .4192 .58976 .41711 .58671 .41386 Mtetra
.677 .764 .916 r
.58671 .41386 .58976 .41711 .5957 .41514 .59265 .41173 Mtetra
.673 .753 .911 r
.59265 .41173 .5957 .41514 .60165 .41331 .59861 .40965 Mtetra
.658 .733 .905 r
.59861 .40965 .60165 .41331 .60761 .41137 .60459 .4078 Mtetra
.662 .741 .909 r
.60459 .4078 .60761 .41137 .61359 .40935 .61057 .40589 Mtetra
.672 .751 .91 r
.61057 .40589 .61359 .40935 .61958 .40742 .61657 .40382 Mtetra
.664 .741 .907 r
.61657 .40382 .61958 .40742 .62558 .40549 .62258 .40187 Mtetra
.663 .739 .907 r
.62258 .40187 .62558 .40549 .6316 .40352 .62861 .39994 Mtetra
.665 .742 .908 r
.62861 .39994 .6316 .40352 .63763 .40158 .63464 .39797 Mtetra
.664 .741 .907 r
.63464 .39797 .63763 .40158 .64367 .39962 .64069 .39601 Mtetra
.665 .742 .908 r
.64069 .39601 .64367 .39962 .64973 .39766 .64676 .39403 Mtetra
.662 .74 .908 r
.64676 .39403 .64973 .39766 .6558 .39574 .65284 .39209 Mtetra
.66 .738 .908 r
.65284 .39209 .6558 .39574 .66187 .39373 .65893 .39018 Mtetra
.67 .749 .91 r
.65893 .39018 .66187 .39373 .66797 .39175 .66503 .3881 Mtetra
.664 .741 .907 r
.66503 .3881 .66797 .39175 .67408 .38988 .67114 .38612 Mtetra
.651 .73 .907 r
.67114 .38612 .67408 .38988 .6802 .3878 .67728 .38433 Mtetra
.677 .758 .912 r
.67728 .38433 .6802 .3878 .68633 .38581 .68342 .38214 Mtetra
.664 .741 .907 r
.68342 .38214 .68633 .38581 .69248 .38389 .68957 .38014 Mtetra
.656 .734 .907 r
.68957 .38014 .69248 .38389 .69864 .38185 .69575 .37827 Mtetra
.672 .75 .909 r
.69575 .37827 .69864 .38185 .70481 .37983 .70193 .37613 Mtetra
.664 .741 .907 r
.70193 .37613 .70481 .37983 .711 .37784 .70812 .37412 Mtetra
.662 .739 .907 r
.70812 .37412 .711 .37784 .7172 .37584 .71434 .37213 Mtetra
.665 .742 .907 r
.71434 .37213 .7172 .37584 .72342 .37381 .72056 .37009 Mtetra
.664 .741 .907 r
.72056 .37009 .72342 .37381 .72965 .3718 .7268 .36806 Mtetra
.7268 .36806 .72965 .3718 .73589 .36978 .73305 .36604 Mtetra
.73305 .36604 .73589 .36978 .74214 .36775 .73931 .36401 Mtetra
.73931 .36401 .74214 .36775 .74841 .36572 .74559 .36197 Mtetra
.74559 .36197 .74841 .36572 .7547 .36369 .75189 .35993 Mtetra
.75189 .35993 .7547 .36369 .76099 .36165 .75819 .35788 Mtetra
.75819 .35788 .76099 .36165 .7673 .35961 .76451 .35583 Mtetra
.76451 .35583 .7673 .35961 .77363 .35757 .77085 .35377 Mtetra
.77085 .35377 .77363 .35757 .77997 .35551 .7772 .35172 Mtetra
.7772 .35172 .77997 .35551 .78632 .35346 .78356 .34965 Mtetra
.78356 .34965 .78632 .35346 .79269 .3514 .78993 .34758 Mtetra
.78993 .34758 .79269 .3514 .79907 .34933 .79633 .34551 Mtetra
.79633 .34551 .79907 .34933 .80546 .34726 .80273 .34343 Mtetra
.80273 .34343 .80546 .34726 .81187 .34519 .80915 .34135 Mtetra
.80915 .34135 .81187 .34519 .81829 .34311 .81558 .33926 Mtetra
.81558 .33926 .81829 .34311 .82473 .34103 .82203 .33717 Mtetra
.82203 .33717 .82473 .34103 .83118 .33894 .82849 .33507 Mtetra
.82849 .33507 .83118 .33894 .83765 .33685 .83497 .33297 Mtetra
.83497 .33297 .83765 .33685 .84413 .33475 .84146 .33087 Mtetra
.84146 .33087 .84413 .33475 .85062 .33265 .84797 .32876 Mtetra
.84797 .32876 .85062 .33265 .85713 .33054 .85449 .32664 Mtetra
.85449 .32664 .85713 .33054 .86366 .32843 .86102 .32452 Mtetra
.86102 .32452 .86366 .32843 .8702 .32632 .86757 .3224 Mtetra
.86757 .3224 .8702 .32632 .87675 .3242 .87413 .32027 Mtetra
.87413 .32027 .87675 .3242 .88332 .32207 .88071 .31813 Mtetra
.88071 .31813 .88332 .32207 .8899 .31994 .88731 .316 Mtetra
.88731 .316 .8899 .31994 .8965 .31781 .89391 .31385 Mtetra
.661 .739 .908 r
.30125 .50181 .30469 .50505 .31004 .50338 .30661 .50011 Mtetra
.657 .736 .908 r
.30661 .50011 .31004 .50338 .3154 .50179 .31198 .49846 Mtetra
.652 .731 .907 r
.31198 .49846 .3154 .50179 .32077 .50033 .31736 .49688 Mtetra
.644 .722 .905 r
.31736 .49688 .32077 .50033 .32613 .49905 .32274 .49541 Mtetra
.636 .709 .9 r
.32274 .49541 .32613 .49905 .3315 .49796 .32813 .49405 Mtetra
.63 .693 .89 r
.32813 .49405 .3315 .49796 .33687 .49702 .33353 .49279 Mtetra
.629 .676 .876 r
.33353 .49279 .33687 .49702 .34225 .49611 .33893 .49154 Mtetra
.635 .662 .859 r
.33893 .49154 .34225 .49611 .34766 .49504 .34435 .49019 Mtetra
.646 .655 .845 r
.34435 .49019 .34766 .49504 .3531 .49362 .3498 .48863 Mtetra
.659 .654 .835 r
.3498 .48863 .3531 .49362 .35857 .49175 .35528 .48679 Mtetra
.671 .66 .831 r
.35528 .48679 .35857 .49175 .36407 .48946 .36077 .4847 Mtetra
.68 .672 .835 r
.36077 .4847 .36407 .48946 .36959 .4869 .36629 .48244 Mtetra
.685 .686 .845 r
.36629 .48244 .36959 .4869 .37513 .48426 .37181 .48012 Mtetra
.686 .702 .859 r
.37181 .48012 .37513 .48426 .38067 .48171 .37735 .47786 Mtetra
.683 .716 .874 r
.37735 .47786 .38067 .48171 .38621 .47934 .38289 .47571 Mtetra
.678 .726 .886 r
.38289 .47571 .38621 .47934 .39176 .47715 .38843 .47367 Mtetra
.674 .734 .895 r
.38843 .47367 .39176 .47715 .3973 .47512 .39398 .4717 Mtetra
.669 .737 .901 r
.39398 .4717 .3973 .47512 .40286 .47317 .39954 .46982 Mtetra
.664 .74 .906 r
.39954 .46982 .40286 .47317 .40842 .47135 .40511 .46801 Mtetra
.664 .741 .907 r
.40511 .46801 .40842 .47135 .41399 .46954 .41069 .46619 Mtetra
.41069 .46619 .41399 .46954 .41958 .46773 .41628 .46437 Mtetra
.41628 .46437 .41958 .46773 .42517 .46591 .42188 .46255 Mtetra
.42188 .46255 .42517 .46591 .43078 .46409 .4275 .46073 Mtetra
.4275 .46073 .43078 .46409 .4364 .46227 .43313 .4589 Mtetra
.43313 .4589 .4364 .46227 .44203 .46044 .43876 .45706 Mtetra
.43876 .45706 .44203 .46044 .44767 .45861 .44441 .45522 Mtetra
.44441 .45522 .44767 .45861 .45332 .45678 .45007 .45338 Mtetra
.45007 .45338 .45332 .45678 .45899 .45494 .45575 .45154 Mtetra
.45575 .45154 .45899 .45494 .46467 .45314 .46143 .44969 Mtetra
.618 .724 .922 r
.46143 .44969 .46467 .45314 .47036 .45125 .46712 .44847 Mtetra
.706 .792 .918 r
.46712 .44847 .47036 .45125 .47606 .4494 .47284 .44598 Mtetra
.664 .741 .907 r
.47284 .44598 .47606 .4494 .48176 .4483 .47856 .44412 Mtetra
.513 .638 .91 r
.47856 .44412 .48176 .4483 .4875 .44593 .48427 .44426 Mtetra
.787 .878 .913 r
.48427 .44426 .4875 .44593 .49324 .44383 .49004 .44039 Mtetra
.664 .741 .907 r
.49004 .44039 .49324 .44383 .49898 .44255 .4958 .43851 Mtetra
.555 .666 .911 r
.4958 .43851 .49898 .44255 .50474 .44077 .50155 .43815 Mtetra
.738 .812 .91 r
.50155 .43815 .50474 .44077 .51052 .43823 .50735 .43508 Mtetra
.685 .767 .914 r
.50735 .43508 .51052 .43823 .51631 .43648 .51314 .43287 Mtetra
.638 .724 .91 r
.51314 .43287 .51631 .43648 .5221 .43489 .51895 .43137 Mtetra
.67 .74 .903 r
.51895 .43137 .5221 .43489 .52791 .43259 .52477 .42938 Mtetra
.683 .763 .913 r
.52477 .42938 .52791 .43259 .53374 .4308 .5306 .4272 Mtetra
.657 .732 .905 r
.5306 .4272 .53374 .4308 .53957 .42894 .53644 .42541 Mtetra
.668 .74 .904 r
.53644 .42541 .53957 .42894 .54542 .42698 .5423 .42344 Mtetra
.667 .74 .905 r
.5423 .42344 .54542 .42698 .55128 .42516 .54816 .42148 Mtetra
.648 .726 .906 r
.54816 .42148 .55128 .42516 .55715 .4231 .55405 .41981 Mtetra
.679 .76 .912 r
.55405 .41981 .55715 .4231 .56304 .42119 .55994 .41765 Mtetra
.664 .741 .907 r
.55994 .41765 .56304 .42119 .56894 .41962 .56584 .41573 Mtetra
.636 .711 .901 r
.56584 .41573 .56894 .41962 .57484 .41736 .57177 .41424 Mtetra
.677 .772 .922 r
.57177 .41424 .57484 .41736 .58077 .41544 .57769 .41211 Mtetra
.679 .76 .912 r
.57769 .41211 .58077 .41544 .58671 .41386 .58363 .40995 Mtetra
.651 .716 .896 r
.58363 .40995 .58671 .41386 .59265 .41173 .5896 .40822 Mtetra
.655 .742 .913 r
.5896 .40822 .59265 .41173 .59861 .40965 .59557 .40641 Mtetra
.686 .769 .915 r
.59557 .40641 .59861 .40965 .60459 .4078 .60154 .40412 Mtetra
.664 .735 .903 r
.60154 .40412 .60459 .4078 .61057 .40589 .60754 .40217 Mtetra
.656 .731 .905 r
.60754 .40217 .61057 .40589 .61657 .40382 .61355 .40035 Mtetra
.672 .751 .91 r
.61355 .40035 .61657 .40382 .62258 .40187 .61956 .39826 Mtetra
.664 .741 .907 r
.61956 .39826 .62258 .40187 .62861 .39994 .6256 .3963 Mtetra
.664 .74 .906 r
.6256 .3963 .62861 .39994 .63464 .39797 .63165 .39433 Mtetra
.66 .739 .908 r
.63165 .39433 .63464 .39797 .64069 .39601 .63771 .39242 Mtetra
.667 .745 .908 r
.63771 .39242 .64069 .39601 .64676 .39403 .64378 .39039 Mtetra
.664 .741 .907 r
.64378 .39039 .64676 .39403 .65284 .39209 .64986 .38841 Mtetra
.652 .735 .91 r
.64986 .38841 .65284 .39209 .65893 .39018 .65597 .38661 Mtetra
.668 .747 .909 r
.65597 .38661 .65893 .39018 .66503 .3881 .66208 .38455 Mtetra
.671 .75 .91 r
.66208 .38455 .66503 .3881 .67114 .38612 .6682 .38244 Mtetra
.655 .738 .91 r
.6682 .38244 .67114 .38612 .67728 .38433 .67435 .38059 Mtetra
.656 .734 .907 r
.67435 .38059 .67728 .38433 .68342 .38214 .68051 .37871 Mtetra
.681 .763 .913 r
.68051 .37871 .68342 .38214 .68957 .38014 .68666 .37644 Mtetra
.664 .741 .907 r
.68666 .37644 .68957 .38014 .69575 .37827 .69284 .37443 Mtetra
.654 .73 .905 r
.69284 .37443 .69575 .37827 .70193 .37613 .69904 .37258 Mtetra
.674 .754 .911 r
.69904 .37258 .70193 .37613 .70812 .37412 .70524 .3704 Mtetra
.664 .741 .907 r
.70524 .3704 .70812 .37412 .71434 .37213 .71146 .36838 Mtetra
.662 .739 .907 r
.71146 .36838 .71434 .37213 .72056 .37009 .71769 .36638 Mtetra
.666 .743 .908 r
.71769 .36638 .72056 .37009 .7268 .36806 .72394 .36432 Mtetra
.664 .741 .907 r
.72394 .36432 .7268 .36806 .73305 .36604 .7302 .36228 Mtetra
.7302 .36228 .73305 .36604 .73931 .36401 .73647 .36024 Mtetra
.73647 .36024 .73931 .36401 .74559 .36197 .74276 .3582 Mtetra
.74276 .3582 .74559 .36197 .75189 .35993 .74906 .35615 Mtetra
.74906 .35615 .75189 .35993 .75819 .35788 .75538 .35409 Mtetra
.75538 .35409 .75819 .35788 .76451 .35583 .76171 .35203 Mtetra
.76171 .35203 .76451 .35583 .77085 .35377 .76805 .34997 Mtetra
.76805 .34997 .77085 .35377 .7772 .35172 .77441 .3479 Mtetra
.77441 .3479 .7772 .35172 .78356 .34965 .78079 .34583 Mtetra
.78079 .34583 .78356 .34965 .78993 .34758 .78717 .34375 Mtetra
.78717 .34375 .78993 .34758 .79633 .34551 .79357 .34167 Mtetra
.79357 .34167 .79633 .34551 .80273 .34343 .79999 .33958 Mtetra
.79999 .33958 .80273 .34343 .80915 .34135 .80642 .33749 Mtetra
.80642 .33749 .80915 .34135 .81558 .33926 .81286 .3354 Mtetra
.81286 .3354 .81558 .33926 .82203 .33717 .81932 .3333 Mtetra
.81932 .3333 .82203 .33717 .82849 .33507 .82579 .33119 Mtetra
.82579 .33119 .82849 .33507 .83497 .33297 .83228 .32908 Mtetra
.83228 .32908 .83497 .33297 .84146 .33087 .83878 .32697 Mtetra
.83878 .32697 .84146 .33087 .84797 .32876 .84529 .32485 Mtetra
.84529 .32485 .84797 .32876 .85449 .32664 .85183 .32273 Mtetra
.85183 .32273 .85449 .32664 .86102 .32452 .85837 .3206 Mtetra
.85837 .3206 .86102 .32452 .86757 .3224 .86493 .31846 Mtetra
.86493 .31846 .86757 .3224 .87413 .32027 .87151 .31632 Mtetra
.87151 .31632 .87413 .32027 .88071 .31813 .87809 .31418 Mtetra
.87809 .31418 .88071 .31813 .88731 .316 .8847 .31203 Mtetra
.8847 .31203 .88731 .316 .89391 .31385 .89132 .30988 Mtetra
.662 .74 .908 r
.2978 .49858 .30125 .50181 .30661 .50011 .30317 .49685 Mtetra
.66 .738 .908 r
.30317 .49685 .30661 .50011 .31198 .49846 .30855 .49515 Mtetra
.657 .735 .907 r
.30855 .49515 .31198 .49846 .31736 .49688 .31394 .49349 Mtetra
.652 .729 .906 r
.31394 .49349 .31736 .49688 .32274 .49541 .31933 .4919 Mtetra
.647 .721 .902 r
.31933 .4919 .32274 .49541 .32813 .49405 .32474 .49037 Mtetra
.644 .71 .896 r
.32474 .49037 .32813 .49405 .33353 .49279 .33015 .4889 Mtetra
.643 .699 .886 r
.33015 .4889 .33353 .49279 .33893 .49154 .33557 .48743 Mtetra
.647 .689 .876 r
.33557 .48743 .33893 .49154 .34435 .49019 .34101 .4859 Mtetra
.653 .683 .865 r
.34101 .4859 .34435 .49019 .3498 .48863 .34647 .48424 Mtetra
.662 .682 .858 r
.34647 .48424 .3498 .48863 .35528 .48679 .35194 .48242 Mtetra
.67 .686 .856 r
.35194 .48242 .35528 .48679 .36077 .4847 .35744 .48045 Mtetra
.676 .693 .859 r
.35744 .48045 .36077 .4847 .36629 .48244 .36295 .47838 Mtetra
.679 .704 .866 r
.36295 .47838 .36629 .48244 .37181 .48012 .36847 .47628 Mtetra
.679 .715 .876 r
.36847 .47628 .37181 .48012 .37735 .47786 .374 .4742 Mtetra
.676 .724 .886 r
.374 .4742 .37735 .47786 .38289 .47571 .37954 .47219 Mtetra
.673 .732 .894 r
.37954 .47219 .38289 .47571 .38843 .47367 .38509 .47024 Mtetra
.67 .737 .9 r
.38509 .47024 .38843 .47367 .39398 .4717 .39065 .46834 Mtetra
.667 .74 .905 r
.39065 .46834 .39398 .4717 .39954 .46982 .39621 .46647 Mtetra
.664 .741 .907 r
.39621 .46647 .39954 .46982 .40511 .46801 .40179 .46465 Mtetra
.40179 .46465 .40511 .46801 .41069 .46619 .40738 .46283 Mtetra
.40738 .46283 .41069 .46619 .41628 .46437 .41297 .46101 Mtetra
.41297 .46101 .41628 .46437 .42188 .46255 .41858 .45918 Mtetra
.41858 .45918 .42188 .46255 .4275 .46073 .42421 .45734 Mtetra
.42421 .45734 .4275 .46073 .43313 .4589 .42984 .45551 Mtetra
.42984 .45551 .43313 .4589 .43876 .45706 .43549 .45367 Mtetra
.43549 .45367 .43876 .45706 .44441 .45522 .44114 .45182 Mtetra
.44114 .45182 .44441 .45522 .45007 .45338 .44681 .44997 Mtetra
.44681 .44997 .45007 .45338 .45575 .45154 .45249 .44812 Mtetra
.45249 .44812 .45575 .45154 .46143 .44969 .45819 .44627 Mtetra
.618 .726 .923 r
.45819 .44627 .46143 .44969 .46712 .44847 .46388 .44504 Mtetra
.599 .719 .929 r
.46388 .44504 .46712 .44847 .47284 .44598 .46958 .44404 Mtetra
.76 .858 .923 r
.46958 .44404 .47284 .44598 .47856 .44412 .47534 .44067 Mtetra
.662 .74 .908 r
.47534 .44067 .47856 .44412 .48427 .44426 .48108 .43882 Mtetra
.413 .525 .862 r
.48108 .43882 .48427 .44426 .49004 .44039 .48679 .44044 Mtetra
.848 .976 .871 r
.48679 .44044 .49004 .44039 .4958 .43851 .49259 .43505 Mtetra
.664 .741 .907 r
.49259 .43505 .4958 .43851 .50155 .43815 .49837 .43316 Mtetra
.499 .591 .878 r
.49837 .43316 .50155 .43815 .50735 .43508 .50415 .43368 Mtetra
.808 .9 .907 r
.50415 .43368 .50735 .43508 .51314 .43287 .50996 .42938 Mtetra
.664 .741 .907 r
.50996 .42938 .51314 .43287 .51895 .43137 .51578 .42749 Mtetra
.627 .706 .903 r
.51578 .42749 .51895 .43137 .52477 .42938 .5216 .42615 Mtetra
.694 .766 .907 r
.5216 .42615 .52477 .42938 .5306 .4272 .52744 .42378 Mtetra
.67 .748 .909 r
.52744 .42378 .5306 .4272 .53644 .42541 .53329 .42178 Mtetra
.651 .73 .907 r
.53329 .42178 .53644 .42541 .5423 .42344 .53916 .42006 Mtetra
.672 .752 .911 r
.53916 .42006 .5423 .42344 .54816 .42148 .54503 .41802 Mtetra
.668 .746 .909 r
.54503 .41802 .54816 .42148 .55405 .41981 .55092 .41603 Mtetra
.637 .717 .906 r
.55092 .41603 .55405 .41981 .55994 .41765 .55683 .41452 Mtetra
.655 .764 .93 r
.55683 .41452 .55994 .41765 .56584 .41573 .56274 .41271 Mtetra
.698 .785 .918 r
.56274 .41271 .56584 .41573 .57177 .41424 .56866 .41024 Mtetra
.651 .712 .892 r
.56866 .41024 .57177 .41424 .57769 .41211 .57461 .40851 Mtetra
.596 .714 .927 r
.57461 .40851 .57769 .41211 .58363 .40995 .58058 .40752 Mtetra
.737 .835 .925 r
.58058 .40752 .58363 .40995 .5896 .40822 .58652 .40442 Mtetra
.664 .728 .898 r
.58652 .40442 .5896 .40822 .59557 .40641 .5925 .40247 Mtetra
.618 .704 .906 r
.5925 .40247 .59557 .40641 .60154 .40412 .5985 .40123 Mtetra
.709 .799 .921 r
.5985 .40123 .60154 .40412 .60754 .40217 .60449 .39856 Mtetra
.664 .741 .907 r
.60449 .39856 .60754 .40217 .61355 .40035 .61051 .3966 Mtetra
.655 .73 .905 r
.61051 .3966 .61355 .40035 .61956 .39826 .61654 .39477 Mtetra
.671 .752 .911 r
.61654 .39477 .61956 .39826 .6256 .3963 .62258 .39269 Mtetra
.665 .743 .908 r
.62258 .39269 .6256 .3963 .63165 .39433 .62864 .39069 Mtetra
.664 .741 .907 r
.62864 .39069 .63165 .39433 .63771 .39242 .6347 .38871 Mtetra
.652 .733 .909 r
.6347 .38871 .63771 .39242 .64378 .39039 .64079 .38691 Mtetra
.675 .756 .911 r
.64079 .38691 .64378 .39039 .64986 .38841 .64688 .38474 Mtetra
.664 .741 .907 r
.64688 .38474 .64986 .38841 .65597 .38661 .65299 .38275 Mtetra
.629 .717 .91 r
.65299 .38275 .65597 .38661 .66208 .38455 .65913 .38129 Mtetra
.697 .778 .914 r
.65913 .38129 .66208 .38455 .6682 .38244 .66525 .37875 Mtetra
.664 .741 .907 r
.66525 .37875 .6682 .38244 .67435 .38059 .67139 .37675 Mtetra
.633 .72 .911 r
.67139 .37675 .67435 .38059 .68051 .37871 .67758 .37523 Mtetra
.683 .761 .91 r
.67758 .37523 .68051 .37871 .68666 .37644 .68374 .37291 Mtetra
.675 .756 .911 r
.68374 .37291 .68666 .37644 .69284 .37443 .68992 .37071 Mtetra
.657 .738 .91 r
.68992 .37071 .69284 .37443 .69904 .37258 .69613 .3688 Mtetra
.663 .738 .906 r
.69613 .3688 .69904 .37258 .70524 .3704 .70234 .36679 Mtetra
.672 .751 .91 r
.70234 .36679 .70524 .3704 .71146 .36838 .70857 .36463 Mtetra
.664 .741 .907 r
.70857 .36463 .71146 .36838 .71769 .36638 .71481 .36259 Mtetra
.663 .739 .906 r
.71481 .36259 .71769 .36638 .72394 .36432 .72107 .36058 Mtetra
.665 .743 .908 r
.72107 .36058 .72394 .36432 .7302 .36228 .72734 .35851 Mtetra
.664 .741 .907 r
.72734 .35851 .7302 .36228 .73647 .36024 .73362 .35646 Mtetra
.73362 .35646 .73647 .36024 .74276 .3582 .73992 .35441 Mtetra
.73992 .35441 .74276 .3582 .74906 .35615 .74623 .35235 Mtetra
.74623 .35235 .74906 .35615 .75538 .35409 .75256 .35029 Mtetra
.75256 .35029 .75538 .35409 .76171 .35203 .7589 .34822 Mtetra
.7589 .34822 .76171 .35203 .76805 .34997 .76525 .34615 Mtetra
.76525 .34615 .76805 .34997 .77441 .3479 .77162 .34407 Mtetra
.77162 .34407 .77441 .3479 .78079 .34583 .778 .34199 Mtetra
.778 .34199 .78079 .34583 .78717 .34375 .7844 .33991 Mtetra
.7844 .33991 .78717 .34375 .79357 .34167 .79081 .33782 Mtetra
.79081 .33782 .79357 .34167 .79999 .33958 .79723 .33572 Mtetra
.79723 .33572 .79999 .33958 .80642 .33749 .80367 .33362 Mtetra
.80367 .33362 .80642 .33749 .81286 .3354 .81013 .33152 Mtetra
.81013 .33152 .81286 .3354 .81932 .3333 .8166 .32941 Mtetra
.8166 .32941 .81932 .3333 .82579 .33119 .82308 .32729 Mtetra
.82308 .32729 .82579 .33119 .83228 .32908 .82958 .32518 Mtetra
.82958 .32518 .83228 .32908 .83878 .32697 .83609 .32305 Mtetra
.83609 .32305 .83878 .32697 .84529 .32485 .84261 .32092 Mtetra
.84261 .32092 .84529 .32485 .85183 .32273 .84915 .31879 Mtetra
.84915 .31879 .85183 .32273 .85837 .3206 .85571 .31665 Mtetra
.85571 .31665 .85837 .3206 .86493 .31846 .86228 .31451 Mtetra
.86228 .31451 .86493 .31846 .87151 .31632 .86887 .31236 Mtetra
.86887 .31236 .87151 .31632 .87809 .31418 .87547 .31021 Mtetra
.87547 .31021 .87809 .31418 .8847 .31203 .88208 .30806 Mtetra
.88208 .30806 .8847 .31203 .89132 .30988 .88871 .30589 Mtetra
.663 .74 .907 r
.29433 .49533 .2978 .49858 .30317 .49685 .29971 .49359 Mtetra
.662 .739 .907 r
.29971 .49359 .30317 .49685 .30855 .49515 .3051 .49186 Mtetra
.66 .737 .907 r
.3051 .49186 .30855 .49515 .31394 .49349 .3105 .49015 Mtetra
.657 .734 .906 r
.3105 .49015 .31394 .49349 .31933 .4919 .3159 .48848 Mtetra
.655 .729 .904 r
.3159 .48848 .31933 .4919 .32474 .49037 .32132 .48684 Mtetra
.652 .722 .9 r
.32132 .48684 .32474 .49037 .33015 .4889 .32674 .48523 Mtetra
.652 .715 .894 r
.32674 .48523 .33015 .4889 .33557 .48743 .33218 .48363 Mtetra
.654 .708 .887 r
.33218 .48363 .33557 .48743 .34101 .4859 .33763 .48198 Mtetra
.658 .704 .881 r
.33763 .48198 .34101 .4859 .34647 .48424 .3431 .48027 Mtetra
.663 .703 .876 r
.3431 .48027 .34647 .48424 .35194 .48242 .34858 .47846 Mtetra
.668 .705 .875 r
.34858 .47846 .35194 .48242 .35744 .48045 .35408 .47656 Mtetra
.672 .71 .877 r
.35408 .47656 .35744 .48045 .36295 .47838 .35959 .4746 Mtetra
.673 .717 .882 r
.35959 .4746 .36295 .47838 .36847 .47628 .36511 .47262 Mtetra
.673 .724 .888 r
.36511 .47262 .36847 .47628 .374 .4742 .37064 .47066 Mtetra
.671 .73 .894 r
.37064 .47066 .374 .4742 .37954 .47219 .37619 .46873 Mtetra
.669 .735 .9 r
.37619 .46873 .37954 .47219 .38509 .47024 .38174 .46684 Mtetra
.667 .738 .903 r
.38174 .46684 .38509 .47024 .39065 .46834 .3873 .46497 Mtetra
.665 .741 .906 r
.3873 .46497 .39065 .46834 .39621 .46647 .39287 .46313 Mtetra
.665 .742 .908 r
.39287 .46313 .39621 .46647 .40179 .46465 .39845 .4613 Mtetra
.664 .741 .908 r
.39845 .4613 .40179 .46465 .40738 .46283 .40405 .45947 Mtetra
.40405 .45947 .40738 .46283 .41297 .46101 .40965 .45764 Mtetra
.40965 .45764 .41297 .46101 .41858 .45918 .41527 .4558 Mtetra
.665 .742 .908 r
.41527 .4558 .41858 .45918 .42421 .45734 .4209 .45395 Mtetra
.663 .741 .908 r
.4209 .45395 .42421 .45734 .42984 .45551 .42654 .45212 Mtetra
.658 .74 .91 r
.42654 .45212 .42984 .45551 .43549 .45367 .43219 .45036 Mtetra
.671 .749 .909 r
.43219 .45036 .43549 .45367 .44114 .45182 .43786 .44841 Mtetra
.664 .741 .907 r
.43786 .44841 .44114 .45182 .44681 .44997 .44354 .44655 Mtetra
.591 .717 .931 r
.44354 .44655 .44681 .44997 .45249 .44812 .4492 .44565 Mtetra
.726 .816 .921 r
.4492 .44565 .45249 .44812 .45819 .44627 .45493 .44283 Mtetra
.664 .741 .907 r
.45493 .44283 .45819 .44627 .46388 .44504 .46064 .44096 Mtetra
.363 .571 .918 r
.46064 .44096 .46388 .44504 .46958 .44404 .4663 .44234 Mtetra
.787 .876 .912 r
.4663 .44234 .46958 .44404 .47534 .44067 .47208 .43846 Mtetra
.744 .839 .923 r
.47208 .43846 .47534 .44067 .48108 .43882 .47785 .43534 Mtetra
.347 .603 .943 r
.47785 .43534 .48108 .43882 .48679 .44044 .48357 .4365 Mtetra
.599 .691 .907 r
.48357 .4365 .48679 .44044 .49259 .43505 .48934 .43555 Mtetra
.856 .989 .844 r
.48934 .43555 .49259 .43505 .49837 .43316 .49517 .42968 Mtetra
.655 .738 .911 r
.49517 .42968 .49837 .43316 .50415 .43368 .50096 .42791 Mtetra
.509 .563 .847 r
.50096 .42791 .50415 .43368 .50996 .42938 .50676 .42851 Mtetra
.818 .936 .907 r
.50676 .42851 .50996 .42938 .51578 .42749 .5126 .42398 Mtetra
.664 .741 .907 r
.5126 .42398 .51578 .42749 .5216 .42615 .51843 .42207 Mtetra
.625 .695 .895 r
.51843 .42207 .5216 .42615 .52744 .42378 .52428 .42076 Mtetra
.702 .783 .914 r
.52428 .42076 .52744 .42378 .53329 .42178 .53014 .41824 Mtetra
.664 .741 .907 r
.53014 .41824 .53329 .42178 .53916 .42006 .53601 .41632 Mtetra
.633 .719 .909 r
.53601 .41632 .53916 .42006 .54503 .41802 .5419 .41486 Mtetra
.672 .768 .922 r
.5419 .41486 .54503 .41802 .55092 .41603 .54779 .41281 Mtetra
.685 .768 .914 r
.54779 .41281 .55092 .41603 .55683 .41452 .5537 .41054 Mtetra
.615 .699 .904 r
.5537 .41054 .55683 .41452 .56274 .41271 .55963 .40935 Mtetra
.585 .725 .94 r
.55963 .40935 .56274 .41271 .56866 .41024 .56558 .40842 Mtetra
.773 .881 .925 r
.56558 .40842 .56866 .41024 .57461 .40851 .5715 .40472 Mtetra
.664 .729 .898 r
.5715 .40472 .57461 .40851 .58058 .40752 .57746 .40277 Mtetra
.505 .61 .891 r
.57746 .40277 .58058 .40752 .58652 .40442 .58348 .40314 Mtetra
.802 .921 .917 r
.58348 .40314 .58652 .40442 .5925 .40247 .58942 .39886 Mtetra
.664 .741 .907 r
.58942 .39886 .5925 .40247 .5985 .40123 .59542 .3969 Mtetra
.605 .679 .893 r
.59542 .3969 .5985 .40123 .60449 .39856 .60146 .39587 Mtetra
.723 .817 .923 r
.60146 .39587 .60449 .39856 .61051 .3966 .60746 .39297 Mtetra
.664 .741 .907 r
.60746 .39297 .61051 .3966 .61654 .39477 .6135 .391 Mtetra
.655 .729 .904 r
.6135 .391 .61654 .39477 .62258 .39269 .61955 .38916 Mtetra
.67 .75 .911 r
.61955 .38916 .62258 .39269 .62864 .39069 .62562 .38709 Mtetra
.667 .745 .908 r
.62562 .38709 .62864 .39069 .6347 .38871 .63169 .38505 Mtetra
.657 .738 .91 r
.63169 .38505 .6347 .38871 .64079 .38691 .63779 .38317 Mtetra
.646 .73 .91 r
.63779 .38317 .64079 .38691 .64688 .38474 .6439 .38145 Mtetra
.688 .772 .916 r
.6439 .38145 .64688 .38474 .65299 .38275 .65 .37906 Mtetra
.664 .741 .907 r
.65 .37906 .65299 .38275 .65913 .38129 .65613 .37706 Mtetra
.596 .683 .902 r
.65613 .37706 .65913 .38129 .66525 .37875 .66232 .37611 Mtetra
.73 .829 .926 r
.66232 .37611 .66525 .37875 .67139 .37675 .66843 .37304 Mtetra
.664 .741 .907 r
.66843 .37304 .67139 .37675 .67758 .37523 .67461 .37102 Mtetra
.607 .69 .902 r
.67461 .37102 .67758 .37523 .68374 .37291 .68083 .3699 Mtetra
.72 .804 .917 r
.68083 .3699 .68374 .37291 .68992 .37071 .68699 .36697 Mtetra
.664 .741 .907 r
.68699 .36697 .68992 .37071 .69613 .3688 .6932 .36494 Mtetra
.649 .729 .907 r
.6932 .36494 .69613 .3688 .70234 .36679 .69944 .36315 Mtetra
.675 .751 .908 r
.69944 .36315 .70234 .36679 .70857 .36463 .70567 .36092 Mtetra
.667 .745 .909 r
.70567 .36092 .70857 .36463 .71481 .36259 .71192 .35883 Mtetra
.663 .74 .908 r
.71192 .35883 .71481 .36259 .72107 .36058 .71818 .35679 Mtetra
.664 .741 .907 r
.71818 .35679 .72107 .36058 .72734 .35851 .72446 .35474 Mtetra
.665 .742 .908 r
.72446 .35474 .72734 .35851 .73362 .35646 .73076 .35267 Mtetra
.664 .741 .907 r
.73076 .35267 .73362 .35646 .73992 .35441 .73706 .3506 Mtetra
.73706 .3506 .73992 .35441 .74623 .35235 .74339 .34854 Mtetra
.74339 .34854 .74623 .35235 .75256 .35029 .74972 .34647 Mtetra
.74972 .34647 .75256 .35029 .7589 .34822 .75607 .34439 Mtetra
.75607 .34439 .7589 .34822 .76525 .34615 .76244 .34231 Mtetra
.76244 .34231 .76525 .34615 .77162 .34407 .76881 .34023 Mtetra
.76881 .34023 .77162 .34407 .778 .34199 .77521 .33814 Mtetra
.77521 .33814 .778 .34199 .7844 .33991 .78161 .33604 Mtetra
.78161 .33604 .7844 .33991 .79081 .33782 .78803 .33394 Mtetra
.78803 .33394 .79081 .33782 .79723 .33572 .79447 .33184 Mtetra
.79447 .33184 .79723 .33572 .80367 .33362 .80092 .32973 Mtetra
.80092 .32973 .80367 .33362 .81013 .33152 .80738 .32762 Mtetra
.80738 .32762 .81013 .33152 .8166 .32941 .81386 .3255 Mtetra
.81386 .3255 .8166 .32941 .82308 .32729 .82035 .32338 Mtetra
.82035 .32338 .82308 .32729 .82958 .32518 .82686 .32125 Mtetra
.82686 .32125 .82958 .32518 .83609 .32305 .83338 .31912 Mtetra
.83338 .31912 .83609 .32305 .84261 .32092 .83992 .31698 Mtetra
.83992 .31698 .84261 .32092 .84915 .31879 .84647 .31484 Mtetra
.84647 .31484 .84915 .31879 .85571 .31665 .85304 .3127 Mtetra
.85304 .3127 .85571 .31665 .86228 .31451 .85962 .31054 Mtetra
.85962 .31054 .86228 .31451 .86887 .31236 .86622 .30839 Mtetra
.86622 .30839 .86887 .31236 .87547 .31021 .87283 .30623 Mtetra
.87283 .30623 .87547 .31021 .88208 .30806 .87945 .30406 Mtetra
.87945 .30406 .88208 .30806 .88871 .30589 .88609 .30189 Mtetra
.663 .74 .907 r
.29085 .49208 .29433 .49533 .29971 .49359 .29624 .49032 Mtetra
.29624 .49032 .29971 .49359 .3051 .49186 .30164 .48857 Mtetra
.662 .739 .907 r
.30164 .48857 .3051 .49186 .3105 .49015 .30704 .48683 Mtetra
.66 .737 .906 r
.30704 .48683 .3105 .49015 .3159 .48848 .31246 .48511 Mtetra
.659 .734 .905 r
.31246 .48511 .3159 .48848 .32132 .48684 .31788 .4834 Mtetra
.658 .73 .903 r
.31788 .4834 .32132 .48684 .32674 .48523 .32332 .48171 Mtetra
.657 .725 .899 r
.32332 .48171 .32674 .48523 .33218 .48363 .32877 .48002 Mtetra
.658 .721 .895 r
.32877 .48002 .33218 .48363 .33763 .48198 .33423 .47831 Mtetra
.661 .718 .891 r
.33423 .47831 .33763 .48198 .3431 .48027 .3397 .47655 Mtetra
.664 .717 .889 r
.3397 .47655 .3431 .48027 .34858 .47846 .34519 .47475 Mtetra
.667 .719 .888 r
.34519 .47475 .34858 .47846 .35408 .47656 .35069 .47289 Mtetra
.669 .722 .889 r
.35069 .47289 .35408 .47656 .35959 .4746 .3562 .47099 Mtetra
.67 .726 .892 r
.3562 .47099 .35959 .4746 .36511 .47262 .36173 .46909 Mtetra
.669 .731 .896 r
.36173 .46909 .36511 .47262 .37064 .47066 .36727 .46719 Mtetra
.668 .734 .9 r
.36727 .46719 .37064 .47066 .37619 .46873 .37281 .46531 Mtetra
.667 .737 .903 r
.37281 .46531 .37619 .46873 .38174 .46684 .37837 .46344 Mtetra
.665 .739 .905 r
.37837 .46344 .38174 .46684 .3873 .46497 .38394 .4616 Mtetra
.664 .74 .907 r
.38394 .4616 .3873 .46497 .39287 .46313 .38952 .45976 Mtetra
.663 .741 .908 r
.38952 .45976 .39287 .46313 .39845 .4613 .39511 .45794 Mtetra
.663 .742 .909 r
.39511 .45794 .39845 .4613 .40405 .45947 .40071 .45612 Mtetra
.662 .743 .91 r
.40071 .45612 .40405 .45947 .40965 .45764 .40632 .4543 Mtetra
.662 .744 .911 r
.40632 .4543 .40965 .45764 .41527 .4558 .41194 .45249 Mtetra
.662 .746 .912 r
.41194 .45249 .41527 .4558 .4209 .45395 .41758 .45067 Mtetra
.667 .749 .912 r
.41758 .45067 .4209 .45395 .42654 .45212 .42323 .44878 Mtetra
.656 .743 .914 r
.42323 .44878 .42654 .45212 .43219 .45036 .42889 .44704 Mtetra
.651 .744 .917 r
.42889 .44704 .43219 .45036 .43786 .44841 .43455 .44536 Mtetra
.689 .771 .914 r
.43455 .44536 .43786 .44841 .44354 .44655 .44025 .44312 Mtetra
.662 .74 .908 r
.44025 .44312 .44354 .44655 .4492 .44565 .44594 .44128 Mtetra
.449 .599 .908 r
.44594 .44128 .4492 .44565 .45493 .44283 .45159 .44208 Mtetra
.822 .936 .904 r
.45159 .44208 .45493 .44283 .46064 .44096 .45737 .4375 Mtetra
.664 .741 .907 r
.45737 .4375 .46064 .44096 .4663 .44234 .4631 .43563 Mtetra
0 .154 .691 r
.4631 .43563 .4663 .44234 .47208 .43846 .4687 .4422 Mtetra
.868 .95 .595 r
.4687 .4422 .47208 .43846 .47785 .43534 .47461 .43186 Mtetra
.664 .741 .907 r
.47461 .43186 .47785 .43534 .48357 .4365 .48037 .42997 Mtetra
0 .164 .698 r
.48037 .42997 .48357 .4365 .48934 .43555 .48606 .43643 Mtetra
.928 .963 .77 r
.48606 .43643 .48934 .43555 .49517 .42968 .49193 .42809 Mtetra
.783 .889 .921 r
.49193 .42809 .49517 .42968 .50096 .42791 .49775 .42427 Mtetra
.462 .651 .941 r
.49775 .42427 .50096 .42791 .50676 .42851 .50356 .42466 Mtetra
.687 .729 .882 r
.50356 .42466 .50676 .42851 .5126 .42398 .50939 .42233 Mtetra
.78 .887 .922 r
.50939 .42233 .5126 .42398 .51843 .42207 .51524 .41854 Mtetra
.664 .741 .907 r
.51524 .41854 .51843 .42207 .52428 .42076 .5211 .41662 Mtetra
.63 .695 .892 r
.5211 .41662 .52428 .42076 .53014 .41824 .52697 .41523 Mtetra
.698 .784 .917 r
.52697 .41523 .53014 .41824 .53601 .41632 .53285 .41277 Mtetra
.664 .741 .907 r
.53285 .41277 .53601 .41632 .5419 .41486 .53874 .41084 Mtetra
.617 .697 .902 r
.53874 .41084 .5419 .41486 .54779 .41281 .54465 .40963 Mtetra
.635 .756 .935 r
.54465 .40963 .54779 .41281 .5537 .41054 .55057 .40807 Mtetra
.734 .83 .924 r
.55057 .40807 .5537 .41054 .55963 .40935 .55649 .40502 Mtetra
.639 .691 .883 r
.55649 .40502 .55963 .40935 .56558 .40842 .56244 .40347 Mtetra
.472 .583 .884 r
.56244 .40347 .56558 .40842 .5715 .40472 .56844 .40428 Mtetra
.835 .967 .888 r
.56844 .40428 .5715 .40472 .57746 .40277 .57436 .39917 Mtetra
.664 .741 .907 r
.57436 .39917 .57746 .40277 .58348 .40314 .58034 .39721 Mtetra
.507 .56 .844 r
.58034 .39721 .58348 .40314 .58942 .39886 .58639 .39786 Mtetra
.815 .94 .909 r
.58639 .39786 .58942 .39886 .59542 .3969 .59235 .39327 Mtetra
.664 .741 .907 r
.59235 .39327 .59542 .3969 .60146 .39587 .59837 .3913 Mtetra
.622 .674 .879 r
.59837 .3913 .60146 .39587 .60746 .39297 .60442 .39001 Mtetra
.707 .797 .921 r
.60442 .39001 .60746 .39297 .6135 .391 .61045 .38735 Mtetra
.665 .742 .908 r
.61045 .38735 .6135 .391 .61955 .38916 .61651 .38535 Mtetra
.652 .728 .905 r
.61651 .38535 .61955 .38916 .62562 .38709 .62259 .38356 Mtetra
.676 .754 .909 r
.62259 .38356 .62562 .38709 .63169 .38505 .62867 .38137 Mtetra
.664 .741 .907 r
.62867 .38137 .63169 .38505 .63779 .38317 .63477 .37937 Mtetra
.624 .719 .915 r
.63477 .37937 .63779 .38317 .6439 .38145 .6409 .37798 Mtetra
.675 .758 .914 r
.6409 .37798 .6439 .38145 .65 .37906 .64702 .3758 Mtetra
.691 .777 .917 r
.64702 .3758 .65 .37906 .65613 .37706 .65314 .37335 Mtetra
.621 .725 .921 r
.65314 .37335 .65613 .37706 .66232 .37611 .65932 .37197 Mtetra
.615 .698 .903 r
.65932 .37197 .66232 .37611 .66843 .37304 .66553 .37072 Mtetra
.751 .857 .928 r
.66553 .37072 .66843 .37304 .67461 .37102 .67164 .36729 Mtetra
.664 .741 .907 r
.67164 .36729 .67461 .37102 .68083 .3699 .67784 .36526 Mtetra
.595 .663 .886 r
.67784 .36526 .68083 .3699 .68699 .36697 .6841 .36435 Mtetra
.734 .835 .927 r
.6841 .36435 .68699 .36697 .6932 .36494 .69027 .36118 Mtetra
.664 .741 .907 r
.69027 .36118 .6932 .36494 .69944 .36315 .6965 .35914 Mtetra
.647 .721 .902 r
.6965 .35914 .69944 .36315 .70567 .36092 .70276 .35737 Mtetra
.681 .76 .911 r
.70276 .35737 .70567 .36092 .71192 .35883 .70901 .35504 Mtetra
.664 .741 .907 r
.70901 .35504 .71192 .35883 .71818 .35679 .71529 .35298 Mtetra
.663 .739 .907 r
.71529 .35298 .71818 .35679 .72446 .35474 .72158 .35094 Mtetra
.665 .742 .907 r
.72158 .35094 .72446 .35474 .73076 .35267 .72788 .34886 Mtetra
.664 .741 .907 r
.72788 .34886 .73076 .35267 .73706 .3506 .7342 .34679 Mtetra
.7342 .34679 .73706 .3506 .74339 .34854 .74053 .34471 Mtetra
.74053 .34471 .74339 .34854 .74972 .34647 .74687 .34263 Mtetra
.74687 .34263 .74972 .34647 .75607 .34439 .75323 .34055 Mtetra
.75323 .34055 .75607 .34439 .76244 .34231 .75961 .33846 Mtetra
.75961 .33846 .76244 .34231 .76881 .34023 .766 .33637 Mtetra
.766 .33637 .76881 .34023 .77521 .33814 .7724 .33427 Mtetra
.7724 .33427 .77521 .33814 .78161 .33604 .77882 .33216 Mtetra
.77882 .33216 .78161 .33604 .78803 .33394 .78525 .33006 Mtetra
.78525 .33006 .78803 .33394 .79447 .33184 .79169 .32794 Mtetra
.79169 .32794 .79447 .33184 .80092 .32973 .79815 .32583 Mtetra
.79815 .32583 .80092 .32973 .80738 .32762 .80463 .32371 Mtetra
.80463 .32371 .80738 .32762 .81386 .3255 .81111 .32158 Mtetra
.81111 .32158 .81386 .3255 .82035 .32338 .81762 .31945 Mtetra
.81762 .31945 .82035 .32338 .82686 .32125 .82414 .31731 Mtetra
.82414 .31731 .82686 .32125 .83338 .31912 .83067 .31517 Mtetra
.83067 .31517 .83338 .31912 .83992 .31698 .83722 .31303 Mtetra
.83722 .31303 .83992 .31698 .84647 .31484 .84378 .31088 Mtetra
.84378 .31088 .84647 .31484 .85304 .3127 .85036 .30872 Mtetra
.85036 .30872 .85304 .3127 .85962 .31054 .85695 .30656 Mtetra
.85695 .30656 .85962 .31054 .86622 .30839 .86356 .30439 Mtetra
.86356 .30439 .86622 .30839 .87283 .30623 .87018 .30222 Mtetra
.87018 .30222 .87283 .30623 .87945 .30406 .87681 .30005 Mtetra
.87681 .30005 .87945 .30406 .88609 .30189 .88347 .29787 Mtetra
.28736 .48882 .29085 .49208 .29624 .49032 .29275 .48705 Mtetra
.663 .74 .907 r
.29275 .48705 .29624 .49032 .30164 .48857 .29816 .48528 Mtetra
.29816 .48528 .30164 .48857 .30704 .48683 .30357 .48352 Mtetra
.662 .739 .907 r
.30357 .48352 .30704 .48683 .31246 .48511 .30899 .48177 Mtetra
.661 .737 .906 r
.30899 .48177 .31246 .48511 .31788 .4834 .31443 .48002 Mtetra
.66 .735 .905 r
.31443 .48002 .31788 .4834 .32332 .48171 .31987 .47828 Mtetra
.66 .732 .903 r
.31987 .47828 .32332 .48171 .32877 .48002 .32533 .47654 Mtetra
.661 .73 .9 r
.32533 .47654 .32877 .48002 .33423 .47831 .3308 .47478 Mtetra
.662 .728 .898 r
.3308 .47478 .33423 .47831 .3397 .47655 .33628 .473 Mtetra
.664 .727 .896 r
.33628 .473 .3397 .47655 .34519 .47475 .34178 .47119 Mtetra
.666 .728 .896 r
.34178 .47119 .34519 .47475 .35069 .47289 .34728 .46935 Mtetra
.667 .73 .897 r
.34728 .46935 .35069 .47289 .3562 .47099 .3528 .46749 Mtetra
.667 .732 .899 r
.3528 .46749 .3562 .47099 .36173 .46909 .35833 .46562 Mtetra
.667 .735 .901 r
.35833 .46562 .36173 .46909 .36727 .46719 .36387 .46376 Mtetra
.666 .737 .903 r
.36387 .46376 .36727 .46719 .37281 .46531 .36943 .4619 Mtetra
.665 .739 .905 r
.36943 .4619 .37281 .46531 .37837 .46344 .37499 .46005 Mtetra
.665 .74 .906 r
.37499 .46005 .37837 .46344 .38394 .4616 .38056 .45821 Mtetra
.664 .74 .907 r
.38056 .45821 .38394 .4616 .38952 .45976 .38615 .45637 Mtetra
.38615 .45637 .38952 .45976 .39511 .45794 .39175 .45454 Mtetra
.663 .74 .907 r
.39175 .45454 .39511 .45794 .40071 .45612 .39735 .4527 Mtetra
.39735 .4527 .40071 .45612 .40632 .4543 .40297 .45087 Mtetra
.663 .739 .906 r
.40297 .45087 .40632 .4543 .41194 .45249 .40861 .44903 Mtetra
.661 .737 .907 r
.40861 .44903 .41194 .45249 .41758 .45067 .41425 .44723 Mtetra
.666 .74 .905 r
.41425 .44723 .41758 .45067 .42323 .44878 .41991 .44534 Mtetra
.669 .741 .905 r
.41991 .44534 .42323 .44878 .42889 .44704 .42558 .4434 Mtetra
.627 .717 .911 r
.42558 .4434 .42889 .44704 .43455 .44536 .43124 .44208 Mtetra
.672 .752 .911 r
.43124 .44208 .43455 .44536 .44025 .44312 .43694 .44009 Mtetra
.692 .774 .915 r
.43694 .44009 .44025 .44312 .44594 .44128 .44265 .43779 Mtetra
.486 .671 .946 r
.44265 .43779 .44594 .44128 .45159 .44208 .44832 .43791 Mtetra
.411 .592 .918 r
.44832 .43791 .45159 .44208 .45737 .4375 .45399 .43893 Mtetra
.863 .996 .785 r
.45399 .43893 .45737 .4375 .4631 .43563 .45983 .43215 Mtetra
.664 .741 .907 r
.45983 .43215 .4631 .43563 .4687 .4422 .46559 .43026 Mtetra
0 0 .517 r
.46559 .43026 .4687 .4422 .47461 .43186 .47111 .44328 Mtetra
0 0 0 r
.47111 .44328 .47461 .43186 .48037 .42997 .47713 .42647 Mtetra
.664 .741 .907 r
.47713 .42647 .48037 .42997 .48606 .43643 .48292 .42456 Mtetra
0 .026 .569 r
.48292 .42456 .48606 .43643 .49193 .42809 .48856 .43634 Mtetra
.714 .784 .299 r
.48856 .43634 .49193 .42809 .49775 .42427 .49453 .42075 Mtetra
.664 .741 .907 r
.49453 .42075 .49775 .42427 .50356 .42466 .50036 .41883 Mtetra
.393 .5 .849 r
.50036 .41883 .50356 .42466 .50939 .42233 .50617 .4208 Mtetra
.843 .889 .873 r
.50617 .4208 .50939 .42233 .51524 .41854 .51204 .41556 Mtetra
.701 .787 .917 r
.51204 .41556 .51524 .41854 .5211 .41662 .51791 .41307 Mtetra
.661 .74 .908 r
.51791 .41307 .5211 .41662 .52697 .41523 .52378 .41118 Mtetra
.644 .707 .892 r
.52378 .41118 .52697 .41523 .53285 .41277 .52967 .40955 Mtetra
.636 .754 .933 r
.52967 .40955 .53285 .41277 .53874 .41084 .53558 .40799 Mtetra
.71 .799 .92 r
.53558 .40799 .53874 .41084 .54465 .40963 .54149 .40532 Mtetra
.662 .701 .876 r
.54149 .40532 .54465 .40963 .55057 .40807 .54741 .40337 Mtetra
.371 .543 .895 r
.54741 .40337 .55057 .40807 .55649 .40502 .55338 .40505 Mtetra
.846 .983 .864 r
.55338 .40505 .55649 .40502 .56244 .40347 .5593 .39947 Mtetra
.663 .718 .89 r
.5593 .39947 .56244 .40347 .56844 .40428 .56527 .39751 Mtetra
.346 .438 .813 r
.56527 .39751 .56844 .40428 .57436 .39917 .57132 .40054 Mtetra
.842 .995 .755 r
.57132 .40054 .57436 .39917 .58034 .39721 .57724 .39358 Mtetra
.664 .741 .907 r
.57724 .39358 .58034 .39721 .58639 .39786 .58324 .3916 Mtetra
.543 .569 .83 r
.58324 .3916 .58639 .39786 .59235 .39327 .5893 .39174 Mtetra
.758 .906 .942 r
.5893 .39174 .59235 .39327 .59837 .3913 .5953 .3882 Mtetra
.699 .786 .918 r
.5953 .3882 .59837 .3913 .60442 .39001 .60133 .38566 Mtetra
.647 .697 .882 r
.60133 .38566 .60442 .39001 .61045 .38735 .60739 .38394 Mtetra
.675 .76 .915 r
.60739 .38394 .61045 .38735 .61651 .38535 .61346 .38178 Mtetra
.67 .749 .91 r
.61346 .38178 .61651 .38535 .62259 .38356 .61953 .37968 Mtetra
.635 .719 .908 r
.61953 .37968 .62259 .38356 .62867 .38137 .62564 .37813 Mtetra
.693 .778 .917 r
.62564 .37813 .62867 .38137 .63477 .37937 .63174 .37567 Mtetra
.664 .741 .907 r
.63174 .37567 .63477 .37937 .6409 .37798 .63786 .37366 Mtetra
.538 .653 .909 r
.63786 .37366 .6409 .37798 .64702 .3758 .64406 .37347 Mtetra
.774 .858 .913 r
.64406 .37347 .64702 .3758 .65314 .37335 .65014 .36962 Mtetra
.664 .741 .907 r
.65014 .36962 .65314 .37335 .65932 .37197 .65631 .3676 Mtetra
.504 .635 .911 r
.65631 .3676 .65932 .37197 .66553 .37072 .66258 .36782 Mtetra
.741 .816 .911 r
.66258 .36782 .66553 .37072 .67164 .36729 .66872 .36452 Mtetra
.726 .823 .925 r
.66872 .36452 .67164 .36729 .67784 .36526 .67487 .3615 Mtetra
.617 .723 .921 r
.67487 .3615 .67784 .36526 .6841 .36435 .68112 .36015 Mtetra
.649 .711 .893 r
.68112 .36015 .6841 .36435 .69027 .36118 .68737 .35835 Mtetra
.723 .819 .925 r
.68737 .35835 .69027 .36118 .6965 .35914 .69356 .35536 Mtetra
.664 .741 .907 r
.69356 .35536 .6965 .35914 .70276 .35737 .69982 .3533 Mtetra
.65 .72 .899 r
.69982 .3533 .70276 .35737 .70901 .35504 .70611 .35146 Mtetra
.677 .759 .912 r
.70611 .35146 .70901 .35504 .71529 .35298 .71238 .34917 Mtetra
.664 .741 .907 r
.71238 .34917 .71529 .35298 .72158 .35094 .71868 .3471 Mtetra
.663 .739 .907 r
.71868 .3471 .72158 .35094 .72788 .34886 .72499 .34505 Mtetra
.665 .742 .908 r
.72499 .34505 .72788 .34886 .7342 .34679 .73132 .34295 Mtetra
.664 .741 .907 r
.73132 .34295 .7342 .34679 .74053 .34471 .73766 .34087 Mtetra
.73766 .34087 .74053 .34471 .74687 .34263 .74402 .33878 Mtetra
.74402 .33878 .74687 .34263 .75323 .34055 .75039 .33669 Mtetra
.75039 .33669 .75323 .34055 .75961 .33846 .75677 .33459 Mtetra
.75677 .33459 .75961 .33846 .766 .33637 .76317 .33249 Mtetra
.76317 .33249 .766 .33637 .7724 .33427 .76958 .33038 Mtetra
.76958 .33038 .7724 .33427 .77882 .33216 .77601 .32827 Mtetra
.77601 .32827 .77882 .33216 .78525 .33006 .78245 .32615 Mtetra
.78245 .32615 .78525 .33006 .79169 .32794 .7889 .32403 Mtetra
.7889 .32403 .79169 .32794 .79815 .32583 .79537 .32191 Mtetra
.79537 .32191 .79815 .32583 .80463 .32371 .80186 .31978 Mtetra
.80186 .31978 .80463 .32371 .81111 .32158 .80836 .31764 Mtetra
.80836 .31764 .81111 .32158 .81762 .31945 .81487 .3155 Mtetra
.81487 .3155 .81762 .31945 .82414 .31731 .8214 .31336 Mtetra
.8214 .31336 .82414 .31731 .83067 .31517 .82794 .31121 Mtetra
.82794 .31121 .83067 .31517 .83722 .31303 .8345 .30905 Mtetra
.8345 .30905 .83722 .31303 .84378 .31088 .84107 .30689 Mtetra
.84107 .30689 .84378 .31088 .85036 .30872 .84766 .30473 Mtetra
.84766 .30473 .85036 .30872 .85695 .30656 .85427 .30256 Mtetra
.85427 .30256 .85695 .30656 .86356 .30439 .86088 .30038 Mtetra
.86088 .30038 .86356 .30439 .87018 .30222 .86752 .29821 Mtetra
.86752 .29821 .87018 .30222 .87681 .30005 .87416 .29602 Mtetra
.87416 .29602 .87681 .30005 .88347 .29787 .88083 .29383 Mtetra
.28386 .48554 .28736 .48882 .29275 .48705 .28926 .48376 Mtetra
.28926 .48376 .29275 .48705 .29816 .48528 .29467 .48199 Mtetra
.663 .74 .907 r
.29467 .48199 .29816 .48528 .30357 .48352 .30009 .48021 Mtetra
.30009 .48021 .30357 .48352 .30899 .48177 .30552 .47843 Mtetra
.662 .739 .907 r
.30552 .47843 .30899 .48177 .31443 .48002 .31096 .47666 Mtetra
.662 .737 .906 r
.31096 .47666 .31443 .48002 .31987 .47828 .31641 .47489 Mtetra
.662 .736 .905 r
.31641 .47489 .31987 .47828 .32533 .47654 .32188 .47312 Mtetra
.662 .735 .903 r
.32188 .47312 .32533 .47654 .3308 .47478 .32736 .47133 Mtetra
.663 .734 .902 r
.32736 .47133 .3308 .47478 .33628 .473 .33284 .46954 Mtetra
.664 .733 .901 r
.33284 .46954 .33628 .473 .34178 .47119 .33834 .46772 Mtetra
.665 .734 .901 r
.33834 .46772 .34178 .47119 .34728 .46935 .34386 .46589 Mtetra
.665 .735 .902 r
.34386 .46589 .34728 .46935 .3528 .46749 .34938 .46405 Mtetra
.666 .736 .902 r
.34938 .46405 .3528 .46749 .35833 .46562 .35492 .4622 Mtetra
.665 .737 .904 r
.35492 .4622 .35833 .46562 .36387 .46376 .36047 .46035 Mtetra
.665 .739 .905 r
.36047 .46035 .36387 .46376 .36943 .4619 .36602 .4585 Mtetra
.665 .74 .906 r
.36602 .4585 .36943 .4619 .37499 .46005 .37159 .45665 Mtetra
.664 .74 .906 r
.37159 .45665 .37499 .46005 .38056 .45821 .37718 .45481 Mtetra
.664 .74 .907 r
.37718 .45481 .38056 .45821 .38615 .45637 .38277 .45296 Mtetra
.38277 .45296 .38615 .45637 .39175 .45454 .38837 .45112 Mtetra
.38837 .45112 .39175 .45454 .39735 .4527 .39399 .44927 Mtetra
.664 .739 .906 r
.39399 .44927 .39735 .4527 .40297 .45087 .39962 .44742 Mtetra
.665 .739 .906 r
.39962 .44742 .40297 .45087 .40861 .44903 .40526 .44555 Mtetra
.663 .737 .905 r
.40526 .44555 .40861 .44903 .41425 .44723 .41091 .4437 Mtetra
.655 .733 .907 r
.41091 .4437 .41425 .44723 .41991 .44534 .41657 .44197 Mtetra
.673 .748 .907 r
.41657 .44197 .41991 .44534 .42558 .4434 .42225 .43995 Mtetra
.664 .741 .907 r
.42225 .43995 .42558 .4434 .43124 .44208 .42793 .43808 Mtetra
.511 .651 .921 r
.42793 .43808 .43124 .44208 .43694 .44009 .43358 .43813 Mtetra
.782 .857 .906 r
.43358 .43813 .43694 .44009 .44265 .43779 .43934 .43432 Mtetra
.664 .741 .907 r
.43934 .43432 .44265 .43779 .44832 .43791 .44507 .43244 Mtetra
0 .014 .581 r
.44507 .43244 .44832 .43791 .45399 .43893 .4506 .43946 Mtetra
.89 .975 .825 r
.4506 .43946 .45399 .43893 .45983 .43215 .45646 .43281 Mtetra
.861 .989 .837 r
.45646 .43281 .45983 .43215 .46559 .43026 .46231 .42676 Mtetra
.781 .313 0 r
.46231 .42676 .46559 .43026 .47111 .44328 .46789 .43602 Mtetra
.245 .359 .782 r
.46789 .43602 .47111 .44328 .47713 .42647 .4736 .4402 Mtetra
0 0 0 r
.4736 .4402 .47713 .42647 .48292 .42456 .47966 .42104 Mtetra
.651 .737 .912 r
.47966 .42104 .48292 .42456 .48856 .43634 .48547 .41932 Mtetra
.105 .114 .583 r
.48547 .41932 .48856 .43634 .49453 .42075 .49114 .43243 Mtetra
0 0 0 r
.49114 .43243 .49453 .42075 .50036 .41883 .49713 .41529 Mtetra
.664 .741 .907 r
.49713 .41529 .50036 .41883 .50617 .4208 .50297 .41336 Mtetra
.441 .473 .797 r
.50297 .41336 .50617 .4208 .51204 .41556 .50881 .41535 Mtetra
.868 .963 .861 r
.50881 .41535 .51204 .41556 .51791 .41307 .5147 .4095 Mtetra
.664 .741 .907 r
.5147 .4095 .51791 .41307 .52378 .41118 .52059 .40756 Mtetra
.664 .738 .905 r
.52059 .40756 .52378 .41118 .52967 .40955 .52649 .40562 Mtetra
.663 .721 .892 r
.52649 .40562 .52967 .40955 .53558 .40799 .53239 .40367 Mtetra
.364 .562 .911 r
.53239 .40367 .53558 .40799 .54149 .40532 .53833 .40518 Mtetra
.844 .976 .874 r
.53833 .40518 .54149 .40532 .54741 .40337 .54425 .39977 Mtetra
.664 .741 .907 r
.54425 .39977 .54741 .40337 .55338 .40505 .5502 .39781 Mtetra
0 .159 .69 r
.5502 .39781 .55338 .40505 .5593 .39947 .55625 .4051 Mtetra
.651 .798 .35 r
.55625 .4051 .5593 .39947 .56527 .39751 .56213 .39388 Mtetra
.664 .741 .907 r
.56213 .39388 .56527 .39751 .57132 .40054 .56812 .39191 Mtetra
.225 .31 .742 r
.56812 .39191 .57132 .40054 .57724 .39358 .57423 .39749 Mtetra
0 0 0 r
.57423 .39749 .57724 .39358 .58324 .3916 .58016 .38997 Mtetra
.787 .9 .922 r
.58016 .38997 .58324 .3916 .5893 .39174 .58615 .38597 Mtetra
.567 .599 .845 r
.58615 .38597 .5893 .39174 .5953 .3882 .59223 .38564 Mtetra
.674 .817 .951 r
.59223 .38564 .5953 .3882 .60133 .38566 .59828 .38342 Mtetra
.754 .857 .926 r
.59828 .38342 .60133 .38566 .60739 .38394 .60431 .37999 Mtetra
.659 .724 .897 r
.60431 .37999 .60739 .38394 .61346 .38178 .61039 .37805 Mtetra
.668 .74 .904 r
.61039 .37805 .61346 .38178 .61953 .37968 .61648 .37598 Mtetra
.653 .737 .911 r
.61648 .37598 .61953 .37968 .62564 .37813 .62259 .37413 Mtetra
.612 .704 .91 r
.62259 .37413 .62564 .37813 .63174 .37567 .62873 .37291 Mtetra
.725 .82 .924 r
.62873 .37291 .63174 .37567 .63786 .37366 .63483 .36993 Mtetra
.664 .741 .907 r
.63483 .36993 .63786 .37366 .64406 .37347 .64097 .36791 Mtetra
.42 .531 .864 r
.64097 .36791 .64406 .37347 .65014 .36962 .64727 .36955 Mtetra
.84 .99 .857 r
.64727 .36955 .65014 .36962 .65631 .3676 .6533 .36385 Mtetra
.664 .741 .907 r
.6533 .36385 .65631 .3676 .66258 .36782 .65949 .36181 Mtetra
.391 .496 .846 r
.65949 .36181 .66258 .36782 .66872 .36452 .66587 .36402 Mtetra
.876 .969 .848 r
.66587 .36402 .66872 .36452 .67487 .3615 .6719 .35772 Mtetra
.664 .741 .907 r
.6719 .35772 .67487 .3615 .68112 .36015 .67812 .35567 Mtetra
.566 .661 .901 r
.67812 .35567 .68112 .36015 .68737 .35835 .68444 .35513 Mtetra
.73 .796 .905 r
.68444 .35513 .68737 .35835 .69356 .35536 .69064 .35196 Mtetra
.689 .774 .916 r
.69064 .35196 .69356 .35536 .69982 .3533 .69688 .34949 Mtetra
.655 .738 .91 r
.69688 .34949 .69982 .3533 .70611 .35146 .70317 .34756 Mtetra
.665 .737 .903 r
.70317 .34756 .70611 .35146 .71238 .34917 .70947 .34546 Mtetra
.671 .75 .91 r
.70947 .34546 .71238 .34917 .71868 .3471 .71577 .34327 Mtetra
.664 .741 .907 r
.71577 .34327 .71868 .3471 .72499 .34505 .72209 .34119 Mtetra
.663 .74 .907 r
.72209 .34119 .72499 .34505 .73132 .34295 .72843 .33911 Mtetra
.664 .741 .907 r
.72843 .33911 .73132 .34295 .73766 .34087 .73478 .33701 Mtetra
.73478 .33701 .73766 .34087 .74402 .33878 .74115 .33491 Mtetra
.74115 .33491 .74402 .33878 .75039 .33669 .74753 .33281 Mtetra
.74753 .33281 .75039 .33669 .75677 .33459 .75392 .33071 Mtetra
.75392 .33071 .75677 .33459 .76317 .33249 .76033 .3286 Mtetra
.76033 .3286 .76317 .33249 .76958 .33038 .76675 .32648 Mtetra
.76675 .32648 .76958 .33038 .77601 .32827 .77319 .32436 Mtetra
.77319 .32436 .77601 .32827 .78245 .32615 .77964 .32223 Mtetra
.77964 .32223 .78245 .32615 .7889 .32403 .7861 .3201 Mtetra
.7861 .3201 .7889 .32403 .79537 .32191 .79258 .31797 Mtetra
.79258 .31797 .79537 .32191 .80186 .31978 .79908 .31583 Mtetra
.79908 .31583 .80186 .31978 .80836 .31764 .80559 .31369 Mtetra
.80559 .31369 .80836 .31764 .81487 .3155 .81211 .31154 Mtetra
.81211 .31154 .81487 .3155 .8214 .31336 .81865 .30938 Mtetra
.81865 .30938 .8214 .31336 .82794 .31121 .82521 .30722 Mtetra
.82521 .30722 .82794 .31121 .8345 .30905 .83178 .30506 Mtetra
.83178 .30506 .8345 .30905 .84107 .30689 .83836 .30289 Mtetra
.83836 .30289 .84107 .30689 .84766 .30473 .84496 .30072 Mtetra
.84496 .30072 .84766 .30473 .85427 .30256 .85157 .29854 Mtetra
.85157 .29854 .85427 .30256 .86088 .30038 .8582 .29636 Mtetra
.8582 .29636 .86088 .30038 .86752 .29821 .86484 .29417 Mtetra
.86484 .29417 .86752 .29821 .87416 .29602 .8715 .29198 Mtetra
.8715 .29198 .87416 .29602 .88083 .29383 .87818 .28978 Mtetra
.28034 .48225 .28386 .48554 .28926 .48376 .28574 .48047 Mtetra
.28574 .48047 .28926 .48376 .29467 .48199 .29116 .47868 Mtetra
.664 .74 .907 r
.29116 .47868 .29467 .48199 .30009 .48021 .29659 .47689 Mtetra
.663 .74 .907 r
.29659 .47689 .30009 .48021 .30552 .47843 .30203 .47511 Mtetra
.30203 .47511 .30552 .47843 .31096 .47666 .30748 .47332 Mtetra
.663 .739 .906 r
.30748 .47332 .31096 .47666 .31641 .47489 .31294 .47153 Mtetra
.663 .738 .906 r
.31294 .47153 .31641 .47489 .32188 .47312 .31841 .46973 Mtetra
.663 .737 .905 r
.31841 .46973 .32188 .47312 .32736 .47133 .32389 .46793 Mtetra
.32389 .46793 .32736 .47133 .33284 .46954 .32939 .46612 Mtetra
.664 .737 .904 r
.32939 .46612 .33284 .46954 .33834 .46772 .3349 .4643 Mtetra
.3349 .4643 .33834 .46772 .34386 .46589 .34042 .46247 Mtetra
.665 .737 .904 r
.34042 .46247 .34386 .46589 .34938 .46405 .34595 .46063 Mtetra
.665 .738 .905 r
.34595 .46063 .34938 .46405 .35492 .4622 .35149 .45879 Mtetra
.665 .739 .905 r
.35149 .45879 .35492 .4622 .36047 .46035 .35704 .45694 Mtetra
.664 .74 .906 r
.35704 .45694 .36047 .46035 .36602 .4585 .36261 .4551 Mtetra
.664 .74 .907 r
.36261 .4551 .36602 .4585 .37159 .45665 .36819 .45325 Mtetra
.36819 .45325 .37159 .45665 .37718 .45481 .37378 .4514 Mtetra
.664 .741 .907 r
.37378 .4514 .37718 .45481 .38277 .45296 .37938 .44955 Mtetra
.37938 .44955 .38277 .45296 .38837 .45112 .38499 .44769 Mtetra
.38499 .44769 .38837 .45112 .39399 .44927 .39061 .44584 Mtetra
.664 .74 .907 r
.39061 .44584 .39399 .44927 .39962 .44742 .39625 .44398 Mtetra
.39625 .44398 .39962 .44742 .40526 .44555 .40189 .44211 Mtetra
.664 .741 .907 r
.40189 .44211 .40526 .44555 .41091 .4437 .40755 .44024 Mtetra
.659 .739 .909 r
.40755 .44024 .41091 .4437 .41657 .44197 .41322 .43844 Mtetra
.643 .73 .912 r
.41322 .43844 .41657 .44197 .42225 .43995 .41889 .43686 Mtetra
.688 .77 .914 r
.41889 .43686 .42225 .43995 .42793 .43808 .4246 .43461 Mtetra
.664 .741 .907 r
.4246 .43461 .42793 .43808 .43358 .43813 .43031 .43273 Mtetra
.161 .381 .83 r
.43031 .43273 .43358 .43813 .43934 .43432 .43588 .43627 Mtetra
.862 .993 .748 r
.43588 .43627 .43934 .43432 .44507 .43244 .44176 .42895 Mtetra
.664 .741 .907 r
.44176 .42895 .44507 .43244 .4506 .43946 .4475 .42705 Mtetra
.714 .442 0 r
.4475 .42705 .4506 .43946 .45646 .43281 .45273 .44877 Mtetra
0 0 0 r
.45273 .44877 .45646 .43281 .46231 .42676 .45902 .42324 Mtetra
.664 .741 .907 r
.45902 .42324 .46231 .42676 .46789 .43602 .4648 .42134 Mtetra
.809 .537 0 r
.4648 .42134 .46789 .43602 .4736 .4402 .47006 .45113 Mtetra
.873 .82 .343 r
.47006 .45113 .4736 .4402 .47966 .42104 .47627 .42634 Mtetra
.728 .863 .441 r
.47627 .42634 .47966 .42104 .48547 .41932 .48222 .41559 Mtetra
.77 .307 0 r
.48222 .41559 .48547 .41932 .49114 .43243 .48791 .42519 Mtetra
.66 .599 .775 r
.48791 .42519 .49114 .43243 .49713 .41529 .49378 .42274 Mtetra
0 0 0 r
.49378 .42274 .49713 .41529 .50297 .41336 .49974 .4098 Mtetra
.648 .736 .913 r
.49974 .4098 .50297 .41336 .50881 .41535 .50561 .4081 Mtetra
.541 .536 .798 r
.50561 .4081 .50881 .41535 .5147 .4095 .51148 .40839 Mtetra
.81 .925 .912 r
.51148 .40839 .5147 .4095 .52059 .40756 .51738 .40397 Mtetra
.578 .71 .933 r
.51738 .40397 .52059 .40756 .52649 .40562 .52328 .40317 Mtetra
.737 .832 .923 r
.52328 .40317 .52649 .40562 .53239 .40367 .5292 .40007 Mtetra
.664 .741 .907 r
.5292 .40007 .53239 .40367 .53833 .40518 .53513 .39811 Mtetra
.065 .25 .742 r
.53513 .39811 .53833 .40518 .54425 .39977 .54112 .40404 Mtetra
.734 .884 .481 r
.54112 .40404 .54425 .39977 .5502 .39781 .54703 .39418 Mtetra
.664 .741 .907 r
.54703 .39418 .5502 .39781 .55625 .4051 .553 .39221 Mtetra
0 .081 .596 r
.553 .39221 .55625 .4051 .56213 .39388 .55913 .4043 Mtetra
0 0 0 r
.55913 .4043 .56213 .39388 .56812 .39191 .56498 .38826 Mtetra
.664 .741 .907 r
.56498 .38826 .56812 .39191 .57423 .39749 .57098 .38627 Mtetra
.329 .33 .709 r
.57098 .38627 .57423 .39749 .58016 .38997 .57713 .39179 Mtetra
.716 .964 .704 r
.57713 .39179 .58016 .38997 .58615 .38597 .5831 .38573 Mtetra
.841 .978 .875 r
.5831 .38573 .58615 .38597 .59223 .38564 .58909 .38029 Mtetra
.611 .638 .853 r
.58909 .38029 .59223 .38564 .59828 .38342 .59517 .37917 Mtetra
.64 .701 .89 r
.59517 .37917 .59828 .38342 .60431 .37999 .60125 .37754 Mtetra
.743 .842 .926 r
.60125 .37754 .60431 .37999 .61039 .37805 .60731 .37428 Mtetra
.664 .737 .904 r
.60731 .37428 .61039 .37805 .61648 .37598 .61341 .37226 Mtetra
.664 .741 .907 r
.61341 .37226 .61648 .37598 .62259 .37413 .61952 .37024 Mtetra
.568 .693 .925 r
.61952 .37024 .62259 .37413 .62873 .37291 .62569 .36956 Mtetra
.676 .768 .92 r
.62569 .36956 .62873 .37291 .63483 .36993 .63182 .36734 Mtetra
.736 .835 .926 r
.63182 .36734 .63483 .36993 .64097 .36791 .63794 .36416 Mtetra
.516 .679 .939 r
.63794 .36416 .64097 .36791 .64727 .36955 .64418 .36401 Mtetra
.468 .56 .866 r
.64418 .36401 .64727 .36955 .6533 .36385 .65048 .36504 Mtetra
.827 .993 .744 r
.65048 .36504 .6533 .36385 .65949 .36181 .65648 .35804 Mtetra
.664 .741 .907 r
.65648 .35804 .65949 .36181 .66587 .36402 .66269 .35599 Mtetra
.378 .425 .783 r
.66269 .35599 .66587 .36402 .6719 .35772 .66915 .35932 Mtetra
.807 .978 .692 r
.66915 .35932 .6719 .35772 .67812 .35567 .67515 .35187 Mtetra
.664 .741 .907 r
.67515 .35187 .67812 .35567 .68444 .35513 .68139 .34981 Mtetra
.557 .617 .868 r
.68139 .34981 .68444 .35513 .69064 .35196 .68775 .34953 Mtetra
.772 .859 .915 r
.68775 .34953 .69064 .35196 .69688 .34949 .69393 .34567 Mtetra
.664 .741 .907 r
.69393 .34567 .69688 .34949 .70317 .34756 .70022 .34359 Mtetra
.653 .729 .905 r
.70022 .34359 .70317 .34756 .70947 .34546 .70654 .34169 Mtetra
.673 .748 .907 r
.70654 .34169 .70947 .34546 .71577 .34327 .71285 .33945 Mtetra
.666 .743 .908 r
.71285 .33945 .71577 .34327 .72209 .34119 .71918 .33733 Mtetra
.664 .741 .907 r
.71918 .33733 .72209 .34119 .72843 .33911 .72553 .33524 Mtetra
.72553 .33524 .72843 .33911 .73478 .33701 .73189 .33314 Mtetra
.73189 .33314 .73478 .33701 .74115 .33491 .73826 .33103 Mtetra
.73826 .33103 .74115 .33491 .74753 .33281 .74465 .32892 Mtetra
.74465 .32892 .74753 .33281 .75392 .33071 .75106 .32681 Mtetra
.75106 .32681 .75392 .33071 .76033 .3286 .75748 .32469 Mtetra
.75748 .32469 .76033 .3286 .76675 .32648 .76391 .32256 Mtetra
.76391 .32256 .76675 .32648 .77319 .32436 .77036 .32043 Mtetra
.77036 .32043 .77319 .32436 .77964 .32223 .77682 .3183 Mtetra
.77682 .3183 .77964 .32223 .7861 .3201 .78329 .31616 Mtetra
.78329 .31616 .7861 .3201 .79258 .31797 .78978 .31402 Mtetra
.78978 .31402 .79258 .31797 .79908 .31583 .79629 .31187 Mtetra
.79629 .31187 .79908 .31583 .80559 .31369 .80281 .30972 Mtetra
.80281 .30972 .80559 .31369 .81211 .31154 .80934 .30756 Mtetra
.80934 .30756 .81211 .31154 .81865 .30938 .81589 .30539 Mtetra
.81589 .30539 .81865 .30938 .82521 .30722 .82246 .30323 Mtetra
.82246 .30323 .82521 .30722 .83178 .30506 .82904 .30105 Mtetra
.82904 .30105 .83178 .30506 .83836 .30289 .83563 .29888 Mtetra
.83563 .29888 .83836 .30289 .84496 .30072 .84224 .29669 Mtetra
.84224 .29669 .84496 .30072 .85157 .29854 .84887 .29451 Mtetra
.84887 .29451 .85157 .29854 .8582 .29636 .8555 .29231 Mtetra
.8555 .29231 .8582 .29636 .86484 .29417 .86216 .29012 Mtetra
.86216 .29012 .86484 .29417 .8715 .29198 .86883 .28791 Mtetra
.86883 .28791 .8715 .29198 .87818 .28978 .87551 .28571 Mtetra
.27681 .47895 .28034 .48225 .28574 .48047 .28222 .47716 Mtetra
.28222 .47716 .28574 .48047 .29116 .47868 .28764 .47537 Mtetra
.28764 .47537 .29116 .47868 .29659 .47689 .29308 .47357 Mtetra
.664 .74 .907 r
.29308 .47357 .29659 .47689 .30203 .47511 .29852 .47177 Mtetra
.29852 .47177 .30203 .47511 .30748 .47332 .30398 .46997 Mtetra
.663 .74 .907 r
.30398 .46997 .30748 .47332 .31294 .47153 .30945 .46817 Mtetra
.663 .739 .907 r
.30945 .46817 .31294 .47153 .31841 .46973 .31493 .46636 Mtetra
.664 .739 .906 r
.31493 .46636 .31841 .46973 .32389 .46793 .32042 .46454 Mtetra
.32042 .46454 .32389 .46793 .32939 .46612 .32592 .46273 Mtetra
.32592 .46273 .32939 .46612 .3349 .4643 .33144 .4609 Mtetra
.33144 .4609 .3349 .4643 .34042 .46247 .33696 .45907 Mtetra
.33696 .45907 .34042 .46247 .34595 .46063 .3425 .45723 Mtetra
.3425 .45723 .34595 .46063 .35149 .45879 .34805 .45538 Mtetra
.664 .74 .906 r
.34805 .45538 .35149 .45879 .35704 .45694 .35361 .45354 Mtetra
.664 .74 .907 r
.35361 .45354 .35704 .45694 .36261 .4551 .35918 .45169 Mtetra
.35918 .45169 .36261 .4551 .36819 .45325 .36477 .44983 Mtetra
.664 .741 .907 r
.36477 .44983 .36819 .45325 .37378 .4514 .37036 .44798 Mtetra
.37036 .44798 .37378 .4514 .37938 .44955 .37597 .44612 Mtetra
.37597 .44612 .37938 .44955 .38499 .44769 .38159 .44426 Mtetra
.38159 .44426 .38499 .44769 .39061 .44584 .38722 .4424 Mtetra
.38722 .4424 .39061 .44584 .39625 .44398 .39286 .44053 Mtetra
.663 .74 .908 r
.39286 .44053 .39625 .44398 .40189 .44211 .39851 .43868 Mtetra
.665 .742 .908 r
.39851 .43868 .40189 .44211 .40755 .44024 .40418 .43678 Mtetra
.664 .741 .907 r
.40418 .43678 .40755 .44024 .41322 .43844 .40986 .4349 Mtetra
.621 .724 .92 r
.40986 .4349 .41322 .43844 .41889 .43686 .41553 .43361 Mtetra
.667 .755 .917 r
.41553 .43361 .41889 .43686 .4246 .43461 .42124 .43168 Mtetra
.7 .784 .916 r
.42124 .43168 .4246 .43461 .43031 .43273 .42697 .42924 Mtetra
.268 .563 .934 r
.42697 .42924 .43031 .43273 .43588 .43627 .4326 .4308 Mtetra
0 .251 .762 r
.4326 .4308 .43588 .43627 .44176 .42895 .43816 .43567 Mtetra
.697 .82 .37 r
.43816 .43567 .44176 .42895 .4475 .42705 .44418 .42354 Mtetra
.664 .741 .907 r
.44418 .42354 .4475 .42705 .45273 .44877 .44995 .42163 Mtetra
0 0 .174 r
.44995 .42163 .45273 .44877 .45902 .42324 .45482 .46224 Mtetra
0 0 .187 r
.45482 .46224 .45902 .42324 .4648 .42134 .46151 .4178 Mtetra
.664 .741 .907 r
.46151 .4178 .4648 .42134 .47006 .45113 .46731 .41588 Mtetra
0 0 .193 r
.46731 .41588 .47006 .45113 .47627 .42634 .47227 .46701 Mtetra
0 0 .098 r
.47227 .46701 .47627 .42634 .48222 .41559 .47895 .41203 Mtetra
.664 .741 .907 r
.47895 .41203 .48222 .41559 .48791 .42519 .48478 .4101 Mtetra
0 0 .423 r
.48478 .4101 .48791 .42519 .49378 .42274 .49042 .42846 Mtetra
.96 .892 .507 r
.49042 .42846 .49378 .42274 .49974 .4098 .49647 .40955 Mtetra
.843 .968 .881 r
.49647 .40955 .49974 .4098 .50561 .4081 .50237 .40427 Mtetra
.448 .637 .936 r
.50237 .40427 .50561 .4081 .51148 .40839 .50825 .40481 Mtetra
.758 .766 .859 r
.50825 .40481 .51148 .40839 .51738 .40397 .51416 .40097 Mtetra
.702 .788 .918 r
.51416 .40097 .51738 .40397 .52328 .40317 .52007 .39841 Mtetra
.394 .555 .895 r
.52007 .39841 .52328 .40317 .5292 .40007 .526 .39985 Mtetra
.843 .972 .878 r
.526 .39985 .5292 .40007 .53513 .39811 .53194 .39448 Mtetra
.664 .741 .907 r
.53194 .39448 .53513 .39811 .54112 .40404 .53789 .39251 Mtetra
.115 .181 .655 r
.53789 .39251 .54112 .40404 .54703 .39418 .54392 .40152 Mtetra
0 0 0 r
.54392 .40152 .54703 .39418 .553 .39221 .54983 .38902 Mtetra
.693 .778 .916 r
.54983 .38902 .553 .39221 .55913 .4043 .55582 .38658 Mtetra
.33 .27 .637 r
.55582 .38658 .55913 .4043 .56498 .38826 .56195 .39518 Mtetra
.089 0 .061 r
.56195 .39518 .56498 .38826 .57098 .38627 .56793 .3896 Mtetra
.768 .924 .557 r
.56793 .3896 .57098 .38627 .57713 .39179 .57387 .3806 Mtetra
.56 .478 .719 r
.57387 .3806 .57713 .39179 .5831 .38573 .57995 .38067 Mtetra
.485 .59 .884 r
.57995 .38067 .5831 .38573 .58909 .38029 .58606 .38131 Mtetra
.846 .998 .781 r
.58606 .38131 .58909 .38029 .59517 .37917 .59204 .37459 Mtetra
.661 .693 .87 r
.59204 .37459 .59517 .37917 .60125 .37754 .59812 .37257 Mtetra
.615 .657 .868 r
.59812 .37257 .60125 .37754 .60731 .37428 .60423 .37136 Mtetra
.677 .796 .938 r
.60423 .37136 .60731 .37428 .61341 .37226 .61034 .36911 Mtetra
.701 .788 .919 r
.61034 .36911 .61341 .37226 .61952 .37024 .61644 .36651 Mtetra
.664 .741 .907 r
.61644 .36651 .61952 .37024 .62569 .36956 .62258 .36447 Mtetra
.346 .513 .88 r
.62258 .36447 .62569 .36956 .63182 .36734 .62887 .36661 Mtetra
.877 .953 .854 r
.62887 .36661 .63182 .36734 .63794 .36416 .63489 .3604 Mtetra
.664 .741 .907 r
.63489 .3604 .63794 .36416 .64418 .36401 .64107 .35835 Mtetra
.088 .323 .8 r
.64107 .35835 .64418 .36401 .65048 .36504 .64753 .36325 Mtetra
.843 .899 .877 r
.64753 .36325 .65048 .36504 .65648 .35804 .65361 .35787 Mtetra
.84 .988 .861 r
.65361 .35787 .65648 .35804 .66269 .35599 .65968 .35219 Mtetra
.421 .63 .941 r
.65968 .35219 .66269 .35599 .66915 .35932 .66604 .35296 Mtetra
.568 .584 .829 r
.66604 .35296 .66915 .35932 .67515 .35187 .67237 .35263 Mtetra
.834 .998 .781 r
.67237 .35263 .67515 .35187 .68139 .34981 .67841 .34599 Mtetra
.664 .741 .907 r
.67841 .34599 .68139 .34981 .68775 .34953 .68469 .34391 Mtetra
.582 .618 .853 r
.68469 .34391 .68775 .34953 .69393 .34567 .69105 .34326 Mtetra
.752 .859 .928 r
.69105 .34326 .69393 .34567 .70022 .34359 .69727 .33974 Mtetra
.664 .741 .907 r
.69727 .33974 .70022 .34359 .70654 .34169 .70359 .33765 Mtetra
.655 .727 .902 r
.70359 .33765 .70654 .34169 .71285 .33945 .70992 .3357 Mtetra
.672 .75 .909 r
.70992 .3357 .71285 .33945 .71918 .33733 .71626 .33346 Mtetra
.664 .741 .907 r
.71626 .33346 .71918 .33733 .72553 .33524 .72261 .33135 Mtetra
.664 .74 .907 r
.72261 .33135 .72553 .33524 .73189 .33314 .72899 .32925 Mtetra
.664 .741 .907 r
.72899 .32925 .73189 .33314 .73826 .33103 .73537 .32713 Mtetra
.73537 .32713 .73826 .33103 .74465 .32892 .74177 .32501 Mtetra
.74177 .32501 .74465 .32892 .75106 .32681 .74818 .32289 Mtetra
.74818 .32289 .75106 .32681 .75748 .32469 .75461 .32076 Mtetra
.75461 .32076 .75748 .32469 .76391 .32256 .76105 .31863 Mtetra
.76105 .31863 .76391 .32256 .77036 .32043 .76751 .31649 Mtetra
.76751 .31649 .77036 .32043 .77682 .3183 .77398 .31435 Mtetra
.77398 .31435 .77682 .3183 .78329 .31616 .78047 .3122 Mtetra
.78047 .3122 .78329 .31616 .78978 .31402 .78697 .31005 Mtetra
.78697 .31005 .78978 .31402 .79629 .31187 .79349 .30789 Mtetra
.79349 .30789 .79629 .31187 .80281 .30972 .80002 .30573 Mtetra
.80002 .30573 .80281 .30972 .80934 .30756 .80656 .30356 Mtetra
.80656 .30356 .80934 .30756 .81589 .30539 .81312 .30139 Mtetra
.81312 .30139 .81589 .30539 .82246 .30323 .8197 .29921 Mtetra
.8197 .29921 .82246 .30323 .82904 .30105 .82629 .29703 Mtetra
.82629 .29703 .82904 .30105 .83563 .29888 .83289 .29484 Mtetra
.83289 .29484 .83563 .29888 .84224 .29669 .83951 .29265 Mtetra
.83951 .29265 .84224 .29669 .84887 .29451 .84615 .29045 Mtetra
.84615 .29045 .84887 .29451 .8555 .29231 .8528 .28825 Mtetra
.8528 .28825 .8555 .29231 .86216 .29012 .85946 .28605 Mtetra
.85946 .28605 .86216 .29012 .86883 .28791 .86615 .28383 Mtetra
.86615 .28383 .86883 .28791 .87551 .28571 .87284 .28162 Mtetra
.27326 .47564 .27681 .47895 .28222 .47716 .27868 .47384 Mtetra
.27868 .47384 .28222 .47716 .28764 .47537 .28411 .47204 Mtetra
.28411 .47204 .28764 .47537 .29308 .47357 .28955 .47024 Mtetra
.28955 .47024 .29308 .47357 .29852 .47177 .295 .46843 Mtetra
.295 .46843 .29852 .47177 .30398 .46997 .30047 .46662 Mtetra
.664 .74 .907 r
.30047 .46662 .30398 .46997 .30945 .46817 .30594 .4648 Mtetra
.30594 .4648 .30945 .46817 .31493 .46636 .31143 .46298 Mtetra
.31143 .46298 .31493 .46636 .32042 .46454 .31693 .46116 Mtetra
.31693 .46116 .32042 .46454 .32592 .46273 .32244 .45933 Mtetra
.664 .74 .906 r
.32244 .45933 .32592 .46273 .33144 .4609 .32796 .4575 Mtetra
.32796 .4575 .33144 .4609 .33696 .45907 .33349 .45566 Mtetra
.664 .74 .907 r
.33349 .45566 .33696 .45907 .3425 .45723 .33904 .45382 Mtetra
.33904 .45382 .3425 .45723 .34805 .45538 .34459 .45197 Mtetra
.34459 .45197 .34805 .45538 .35361 .45354 .35016 .45012 Mtetra
.664 .741 .907 r
.35016 .45012 .35361 .45354 .35918 .45169 .35574 .44827 Mtetra
.35574 .44827 .35918 .45169 .36477 .44983 .36133 .44641 Mtetra
.36133 .44641 .36477 .44983 .37036 .44798 .36693 .44455 Mtetra
.36693 .44455 .37036 .44798 .37597 .44612 .37255 .44269 Mtetra
.37255 .44269 .37597 .44612 .38159 .44426 .37817 .44082 Mtetra
.37817 .44082 .38159 .44426 .38722 .4424 .38381 .43895 Mtetra
.38381 .43895 .38722 .4424 .39286 .44053 .38946 .43707 Mtetra
.38946 .43707 .39286 .44053 .39851 .43868 .39512 .43519 Mtetra
.656 .737 .91 r
.39512 .43519 .39851 .43868 .40418 .43678 .40079 .43343 Mtetra
.672 .751 .91 r
.40079 .43343 .40418 .43678 .40986 .4349 .40648 .43142 Mtetra
.664 .741 .907 r
.40648 .43142 .40986 .4349 .41553 .43361 .41218 .42953 Mtetra
.44 .615 .924 r
.41218 .42953 .41553 .43361 .42124 .43168 .41781 .43022 Mtetra
.816 .888 .896 r
.41781 .43022 .42124 .43168 .42697 .42924 .42361 .42573 Mtetra
.664 .741 .907 r
.42361 .42573 .42697 .42924 .4326 .4308 .42935 .42383 Mtetra
.799 .425 0 r
.42935 .42383 .4326 .4308 .43816 .43567 .43464 .43827 Mtetra
.898 .979 .694 r
.43464 .43827 .43816 .43567 .44418 .42354 .44062 .42922 Mtetra
.738 .865 .442 r
.44062 .42922 .44418 .42354 .44995 .42163 .44662 .4181 Mtetra
.949 .599 .302 r
.44662 .4181 .44995 .42163 .45482 .46224 .45179 .44358 Mtetra
0 0 .419 r
.45179 .44358 .45482 .46224 .46151 .4178 .45717 .46452 Mtetra
0 0 .21 r
.45717 .46452 .46151 .4178 .46731 .41588 .46401 .41233 Mtetra
.664 .741 .907 r
.46401 .41233 .46731 .41588 .47227 .46701 .46983 .41039 Mtetra
0 0 .374 r
.46983 .41039 .47227 .46701 .47895 .41203 .47475 .46848 Mtetra
0 0 .241 r
.47475 .46848 .47895 .41203 .48478 .4101 .48151 .40652 Mtetra
.664 .741 .907 r
.48151 .40652 .48478 .4101 .49042 .42846 .48737 .40457 Mtetra
.064 .049 .527 r
.48737 .40457 .49042 .42846 .49647 .40955 .49303 .42396 Mtetra
0 0 0 r
.49303 .42396 .49647 .40955 .50237 .40427 .49912 .40067 Mtetra
.664 .741 .907 r
.49912 .40067 .50237 .40427 .50825 .40481 .50502 .39871 Mtetra
.407 .501 .843 r
.50502 .39871 .50825 .40481 .51416 .40097 .51091 .40058 Mtetra
.865 .957 .865 r
.51091 .40058 .51416 .40097 .52007 .39841 .51685 .39479 Mtetra
.664 .741 .907 r
.51685 .39479 .52007 .39841 .526 .39985 .52278 .39282 Mtetra
.015 .219 .727 r
.52278 .39282 .526 .39985 .53194 .39448 .52874 .39907 Mtetra
0 0 0 r
.52874 .39907 .53194 .39448 .53789 .39251 .5347 .39207 Mtetra
.837 .964 .888 r
.5347 .39207 .53789 .39251 .54392 .40152 .54066 .38688 Mtetra
.164 .178 .628 r
.54066 .38688 .54392 .40152 .54983 .38902 .54673 .39739 Mtetra
.603 .242 .33 r
.54673 .39739 .54983 .38902 .55582 .38658 .5528 .40047 Mtetra
0 0 .019 r
.5528 .40047 .55582 .38658 .56195 .39518 .55866 .38091 Mtetra
.576 .459 .682 r
.55866 .38091 .56195 .39518 .56793 .3896 .5647 .38032 Mtetra
0 0 .369 r
.5647 .38032 .56793 .3896 .57387 .3806 .57099 .39553 Mtetra
0 0 .055 r
.57099 .39553 .57387 .3806 .57995 .38067 .57677 .3749 Mtetra
.653 .642 .826 r
.57677 .3749 .57995 .38067 .58606 .38131 .58284 .37288 Mtetra
.344 .393 .769 r
.58284 .37288 .58606 .38131 .59204 .37459 .58903 .37673 Mtetra
.814 .972 .669 r
.58903 .37673 .59204 .37459 .59812 .37257 .59501 .36884 Mtetra
.664 .741 .907 r
.59501 .36884 .59812 .37257 .60423 .37136 .60111 .36682 Mtetra
.608 .676 .889 r
.60111 .36682 .60423 .37136 .61034 .36911 .60725 .36568 Mtetra
.603 .738 .94 r
.60725 .36568 .61034 .36911 .61644 .36651 .61341 .36446 Mtetra
.769 .878 .926 r
.61341 .36446 .61644 .36651 .62258 .36447 .6195 .36071 Mtetra
.664 .741 .907 r
.6195 .36071 .62258 .36447 .62887 .36661 .62566 .35867 Mtetra
.121 .262 .737 r
.62566 .35867 .62887 .36661 .63489 .3604 .63212 .36514 Mtetra
.647 .807 .37 r
.63212 .36514 .63489 .3604 .64107 .35835 .63802 .35457 Mtetra
.664 .741 .907 r
.63802 .35457 .64107 .35835 .64753 .36325 .64422 .35251 Mtetra
0 .091 .62 r
.64422 .35251 .64753 .36325 .65361 .35787 .65096 .36382 Mtetra
.772 .816 .34 r
.65096 .36382 .65361 .35787 .65968 .35219 .65666 .34838 Mtetra
.664 .741 .907 r
.65666 .34838 .65968 .35219 .66604 .35296 .6629 .34631 Mtetra
.235 .379 .805 r
.6629 .34631 .66604 .35296 .67237 .35263 .66944 .35064 Mtetra
.873 .886 .841 r
.66944 .35064 .67237 .35263 .67841 .34599 .67552 .3442 Mtetra
.786 .906 .924 r
.67552 .3442 .67841 .34599 .68469 .34391 .6817 .34007 Mtetra
.612 .721 .922 r
.6817 .34007 .68469 .34391 .69105 .34326 .68804 .33875 Mtetra
.662 .705 .879 r
.68804 .33875 .69105 .34326 .69727 .33974 .69435 .33665 Mtetra
.711 .804 .922 r
.69435 .33665 .69727 .33974 .70359 .33765 .70063 .33378 Mtetra
.664 .741 .907 r
.70063 .33378 .70359 .33765 .70992 .3357 .70697 .33168 Mtetra
.66 .731 .903 r
.70697 .33168 .70992 .3357 .71626 .33346 .71333 .32964 Mtetra
.668 .746 .909 r
.71333 .32964 .71626 .33346 .72261 .33135 .71969 .32746 Mtetra
.664 .741 .907 r
.71969 .32746 .72261 .33135 .72899 .32925 .72607 .32534 Mtetra
.72607 .32534 .72899 .32925 .73537 .32713 .73246 .32322 Mtetra
.73246 .32322 .73537 .32713 .74177 .32501 .73887 .32109 Mtetra
.73887 .32109 .74177 .32501 .74818 .32289 .7453 .31896 Mtetra
.7453 .31896 .74818 .32289 .75461 .32076 .75174 .31682 Mtetra
.75174 .31682 .75461 .32076 .76105 .31863 .75819 .31468 Mtetra
.75819 .31468 .76105 .31863 .76751 .31649 .76466 .31253 Mtetra
.76466 .31253 .76751 .31649 .77398 .31435 .77114 .31038 Mtetra
.77114 .31038 .77398 .31435 .78047 .3122 .77764 .30822 Mtetra
.77764 .30822 .78047 .3122 .78697 .31005 .78415 .30606 Mtetra
.78415 .30606 .78697 .31005 .79349 .30789 .79067 .30389 Mtetra
.79067 .30389 .79349 .30789 .80002 .30573 .79721 .30172 Mtetra
.79721 .30172 .80002 .30573 .80656 .30356 .80377 .29955 Mtetra
.80377 .29955 .80656 .30356 .81312 .30139 .81034 .29737 Mtetra
.81034 .29737 .81312 .30139 .8197 .29921 .81693 .29518 Mtetra
.81693 .29518 .8197 .29921 .82629 .29703 .82353 .29299 Mtetra
.82353 .29299 .82629 .29703 .83289 .29484 .83014 .29079 Mtetra
.83014 .29079 .83289 .29484 .83951 .29265 .83677 .28859 Mtetra
.83677 .28859 .83951 .29265 .84615 .29045 .84342 .28639 Mtetra
.84342 .28639 .84615 .29045 .8528 .28825 .85008 .28417 Mtetra
.85008 .28417 .8528 .28825 .85946 .28605 .85676 .28196 Mtetra
.85676 .28196 .85946 .28605 .86615 .28383 .86345 .27974 Mtetra
.86345 .27974 .86615 .28383 .87284 .28162 .87016 .27751 Mtetra
.2697 .47232 .27326 .47564 .27868 .47384 .27513 .47051 Mtetra
.27513 .47051 .27868 .47384 .28411 .47204 .28057 .4687 Mtetra
.28057 .4687 .28411 .47204 .28955 .47024 .28601 .46689 Mtetra
.28601 .46689 .28955 .47024 .295 .46843 .29147 .46508 Mtetra
.29147 .46508 .295 .46843 .30047 .46662 .29694 .46326 Mtetra
.29694 .46326 .30047 .46662 .30594 .4648 .30243 .46143 Mtetra
.664 .74 .907 r
.30243 .46143 .30594 .4648 .31143 .46298 .30792 .45961 Mtetra
.30792 .45961 .31143 .46298 .31693 .46116 .31342 .45777 Mtetra
.31342 .45777 .31693 .46116 .32244 .45933 .31894 .45594 Mtetra
.31894 .45594 .32244 .45933 .32796 .4575 .32447 .4541 Mtetra
.32447 .4541 .32796 .4575 .33349 .45566 .33001 .45225 Mtetra
.33001 .45225 .33349 .45566 .33904 .45382 .33556 .45041 Mtetra
.33556 .45041 .33904 .45382 .34459 .45197 .34112 .44855 Mtetra
.664 .741 .907 r
.34112 .44855 .34459 .45197 .35016 .45012 .3467 .4467 Mtetra
.3467 .4467 .35016 .45012 .35574 .44827 .35229 .44484 Mtetra
.35229 .44484 .35574 .44827 .36133 .44641 .35788 .44297 Mtetra
.35788 .44297 .36133 .44641 .36693 .44455 .36349 .44111 Mtetra
.36349 .44111 .36693 .44455 .37255 .44269 .36912 .43923 Mtetra
.36912 .43923 .37255 .44269 .37817 .44082 .37475 .43736 Mtetra
.37475 .43736 .37817 .44082 .38381 .43895 .38039 .43548 Mtetra
.38039 .43548 .38381 .43895 .38946 .43707 .38605 .4336 Mtetra
.38605 .4336 .38946 .43707 .39512 .43519 .39172 .43171 Mtetra
.659 .74 .909 r
.39172 .43171 .39512 .43519 .40079 .43343 .3974 .42989 Mtetra
.642 .731 .913 r
.3974 .42989 .40079 .43343 .40648 .43142 .40308 .42832 Mtetra
.69 .771 .914 r
.40308 .42832 .40648 .43142 .41218 .42953 .4088 .42603 Mtetra
.664 .741 .907 r
.4088 .42603 .41218 .42953 .41781 .43022 .41452 .42412 Mtetra
0 .196 .723 r
.41452 .42412 .41781 .43022 .42361 .42573 .42001 .4297 Mtetra
.817 .945 .589 r
.42001 .4297 .42361 .42573 .42935 .42383 .42599 .42031 Mtetra
.664 .741 .907 r
.42599 .42031 .42935 .42383 .43464 .43827 .43174 .41839 Mtetra
.866 .611 .08 r
.43174 .41839 .43464 .43827 .44062 .42922 .43632 .46074 Mtetra
0 0 0 r
.43632 .46074 .44062 .42922 .44662 .4181 .44329 .41455 Mtetra
.664 .741 .907 r
.44329 .41455 .44662 .4181 .45179 .44358 .44908 .41262 Mtetra
.928 .679 .194 r
.44908 .41262 .45179 .44358 .45717 .46452 .45313 .49179 Mtetra
.845 .737 .216 r
.45313 .49179 .45717 .46452 .46401 .41233 .46016 .43597 Mtetra
0 0 .096 r
.46016 .43597 .46401 .41233 .46983 .41039 .46653 .40682 Mtetra
.957 .63 .355 r
.46653 .40682 .46983 .41039 .47475 .46848 .47173 .44402 Mtetra
.508 .365 .622 r
.47173 .44402 .47475 .46848 .48151 .40652 .47758 .44715 Mtetra
0 0 .204 r
.47758 .44715 .48151 .40652 .48737 .40457 .48409 .40097 Mtetra
.649 .736 .913 r
.48409 .40097 .48737 .40457 .49303 .42396 .48997 .39924 Mtetra
.279 .201 .585 r
.48997 .39924 .49303 .42396 .49912 .40067 .49572 .41255 Mtetra
0 0 0 r
.49572 .41255 .49912 .40067 .50502 .39871 .50176 .39509 Mtetra
.664 .741 .907 r
.50176 .39509 .50502 .39871 .51091 .40058 .50768 .39312 Mtetra
.265 .369 .783 r
.50768 .39312 .51091 .40058 .51685 .39479 .51359 .39724 Mtetra
.83 .975 .673 r
.51359 .39724 .51685 .39479 .52278 .39282 .51955 .38917 Mtetra
.664 .741 .907 r
.51955 .38917 .52278 .39282 .52874 .39907 .52551 .38719 Mtetra
0 0 .498 r
.52551 .38719 .52874 .39907 .5347 .39207 .53151 .40142 Mtetra
.252 0 .208 r
.53151 .40142 .5347 .39207 .54066 .38688 .53751 .39633 Mtetra
0 0 0 r
.53751 .39633 .54066 .38688 .54673 .39739 .54345 .38122 Mtetra
.183 .179 .618 r
.54345 .38122 .54673 .39739 .5528 .40047 .54956 .3924 Mtetra
.782 .433 0 r
.54956 .3924 .5528 .40047 .55866 .38091 .5558 .41117 Mtetra
0 0 .208 r
.5558 .41117 .55866 .38091 .5647 .38032 .56151 .37521 Mtetra
.658 .669 .849 r
.56151 .37521 .5647 .38032 .57099 .39553 .56756 .37319 Mtetra
.008 .021 .522 r
.56756 .37319 .57099 .39553 .57677 .3749 .57397 .39391 Mtetra
0 0 .124 r
.57397 .39391 .57677 .3749 .58284 .37288 .57969 .36915 Mtetra
.664 .741 .907 r
.57969 .36915 .58284 .37288 .58903 .37673 .58578 .36713 Mtetra
.429 .422 .749 r
.58578 .36713 .58903 .37673 .59501 .36884 .59198 .37004 Mtetra
.842 .996 .762 r
.59198 .37004 .59501 .36884 .60111 .36682 .59799 .36306 Mtetra
.664 .741 .907 r
.59799 .36306 .60111 .36682 .60725 .36568 .60412 .36103 Mtetra
.5 .621 .902 r
.60412 .36103 .60725 .36568 .61341 .36446 .61032 .36132 Mtetra
.679 .785 .93 r
.61032 .36132 .61341 .36446 .6195 .36071 .61647 .35904 Mtetra
.79 .906 .922 r
.61647 .35904 .6195 .36071 .62566 .35867 .62258 .35488 Mtetra
.304 .567 .931 r
.62258 .35488 .62566 .35867 .63212 .36514 .62888 .35655 Mtetra
.206 .303 .743 r
.62888 .35655 .63212 .36514 .63802 .35457 .63536 .36248 Mtetra
0 0 0 r
.63536 .36248 .63802 .35457 .64422 .35251 .64116 .3487 Mtetra
.664 .741 .907 r
.64116 .3487 .64422 .35251 .65096 .36382 .64739 .34663 Mtetra
.086 .109 .588 r
.64739 .34663 .65096 .36382 .65666 .34838 .65432 .36176 Mtetra
0 0 .078 r
.65432 .36176 .65666 .34838 .6629 .34631 .65987 .34247 Mtetra
.664 .741 .907 r
.65987 .34247 .6629 .34631 .66944 .35064 .66614 .34039 Mtetra
.304 .333 .726 r
.66614 .34039 .66944 .35064 .67552 .3442 .67277 .34605 Mtetra
.892 .966 .645 r
.67277 .34605 .67552 .3442 .6817 .34007 .6787 .3362 Mtetra
.664 .741 .907 r
.6787 .3362 .6817 .34007 .68804 .33875 .68501 .33411 Mtetra
.598 .672 .892 r
.68501 .33411 .68804 .33875 .69435 .33665 .69139 .33308 Mtetra
.715 .776 .901 r
.69139 .33308 .69435 .33665 .70063 .33378 .69768 .33011 Mtetra
.677 .758 .912 r
.69768 .33011 .70063 .33378 .70697 .33168 .70401 .32778 Mtetra
.662 .74 .908 r
.70401 .32778 .70697 .33168 .71333 .32964 .71038 .3257 Mtetra
.665 .739 .906 r
.71038 .3257 .71333 .32964 .71969 .32746 .71675 .32357 Mtetra
.665 .743 .908 r
.71675 .32357 .71969 .32746 .72607 .32534 .72314 .32142 Mtetra
.664 .741 .907 r
.72314 .32142 .72607 .32534 .73246 .32322 .72955 .31928 Mtetra
.72955 .31928 .73246 .32322 .73887 .32109 .73597 .31715 Mtetra
.73597 .31715 .73887 .32109 .7453 .31896 .7424 .31501 Mtetra
.7424 .31501 .7453 .31896 .75174 .31682 .74885 .31286 Mtetra
.74885 .31286 .75174 .31682 .75819 .31468 .75531 .31071 Mtetra
.75531 .31071 .75819 .31468 .76466 .31253 .76179 .30855 Mtetra
.76179 .30855 .76466 .31253 .77114 .31038 .76828 .30639 Mtetra
.76828 .30639 .77114 .31038 .77764 .30822 .77479 .30423 Mtetra
.77479 .30423 .77764 .30822 .78415 .30606 .78131 .30206 Mtetra
.78131 .30206 .78415 .30606 .79067 .30389 .78785 .29988 Mtetra
.78785 .29988 .79067 .30389 .79721 .30172 .7944 .2977 Mtetra
.7944 .2977 .79721 .30172 .80377 .29955 .80097 .29552 Mtetra
.80097 .29552 .80377 .29955 .81034 .29737 .80755 .29333 Mtetra
.80755 .29333 .81034 .29737 .81693 .29518 .81414 .29113 Mtetra
.81414 .29113 .81693 .29518 .82353 .29299 .82075 .28893 Mtetra
.82075 .28893 .82353 .29299 .83014 .29079 .82738 .28673 Mtetra
.82738 .28673 .83014 .29079 .83677 .28859 .83402 .28451 Mtetra
.83402 .28451 .83677 .28859 .84342 .28639 .84068 .2823 Mtetra
.84068 .2823 .84342 .28639 .85008 .28417 .84735 .28008 Mtetra
.84735 .28008 .85008 .28417 .85676 .28196 .85404 .27785 Mtetra
.85404 .27785 .85676 .28196 .86345 .27974 .86074 .27562 Mtetra
.86074 .27562 .86345 .27974 .87016 .27751 .86746 .27339 Mtetra
.26613 .46898 .2697 .47232 .27513 .47051 .27156 .46717 Mtetra
.27156 .46717 .27513 .47051 .28057 .4687 .27701 .46535 Mtetra
.27701 .46535 .28057 .4687 .28601 .46689 .28246 .46353 Mtetra
.28246 .46353 .28601 .46689 .29147 .46508 .28793 .46171 Mtetra
.28793 .46171 .29147 .46508 .29694 .46326 .29341 .45988 Mtetra
.29341 .45988 .29694 .46326 .30243 .46143 .29889 .45805 Mtetra
.29889 .45805 .30243 .46143 .30792 .45961 .3044 .45622 Mtetra
.3044 .45622 .30792 .45961 .31342 .45777 .30991 .45438 Mtetra
.30991 .45438 .31342 .45777 .31894 .45594 .31543 .45254 Mtetra
.31543 .45254 .31894 .45594 .32447 .4541 .32097 .45069 Mtetra
.32097 .45069 .32447 .4541 .33001 .45225 .32651 .44884 Mtetra
.32651 .44884 .33001 .45225 .33556 .45041 .33207 .44698 Mtetra
.33207 .44698 .33556 .45041 .34112 .44855 .33764 .44512 Mtetra
.33764 .44512 .34112 .44855 .3467 .4467 .34322 .44326 Mtetra
.34322 .44326 .3467 .4467 .35229 .44484 .34882 .44139 Mtetra
.34882 .44139 .35229 .44484 .35788 .44297 .35442 .43952 Mtetra
.35442 .43952 .35788 .44297 .36349 .44111 .36004 .43765 Mtetra
.36004 .43765 .36349 .44111 .36912 .43923 .36567 .43577 Mtetra
.36567 .43577 .36912 .43923 .37475 .43736 .37131 .43389 Mtetra
.37131 .43389 .37475 .43736 .38039 .43548 .37696 .432 Mtetra
.663 .74 .908 r
.37696 .432 .38039 .43548 .38605 .4336 .38263 .43013 Mtetra
.665 .742 .907 r
.38263 .43013 .38605 .4336 .39172 .43171 .3883 .42822 Mtetra
.664 .741 .907 r
.3883 .42822 .39172 .43171 .3974 .42989 .39399 .42632 Mtetra
.626 .725 .918 r
.39399 .42632 .3974 .42989 .40308 .42832 .39967 .42496 Mtetra
.66 .749 .916 r
.39967 .42496 .40308 .42832 .4088 .42603 .40538 .42311 Mtetra
.704 .788 .916 r
.40538 .42311 .4088 .42603 .41452 .42412 .41113 .4206 Mtetra
.148 .492 .905 r
.41113 .4206 .41452 .42412 .42001 .4297 .41673 .42279 Mtetra
0 0 .549 r
.41673 .42279 .42001 .4297 .42599 .42031 .42217 .43112 Mtetra
0 0 0 r
.42217 .43112 .42599 .42031 .43174 .41839 .42838 .41485 Mtetra
.664 .741 .907 r
.42838 .41485 .43174 .41839 .43632 .46074 .43416 .41292 Mtetra
0 0 .04 r
.43416 .41292 .43632 .46074 .44329 .41455 .4378 .49235 Mtetra
0 0 .243 r
.4378 .49235 .44329 .41455 .44908 .41262 .44574 .40905 Mtetra
.664 .741 .907 r
.44574 .40905 .44908 .41262 .45313 .49179 .45155 .40711 Mtetra
0 0 .057 r
.45155 .40711 .45313 .49179 .46016 .43597 .45446 .54469 Mtetra
0 0 .145 r
.45446 .54469 .46016 .43597 .46653 .40682 .46321 .40322 Mtetra
.664 .741 .907 r
.46321 .40322 .46653 .40682 .47173 .44402 .46906 .40127 Mtetra
0 0 .097 r
.46906 .40127 .47173 .44402 .47758 .44715 .47381 .4708 Mtetra
.922 .773 .294 r
.47381 .4708 .47758 .44715 .48409 .40097 .4806 .41181 Mtetra
0 0 0 r
.4806 .41181 .48409 .40097 .48997 .39924 .48668 .39539 Mtetra
.64 .165 0 r
.48668 .39539 .48997 .39924 .49572 .41255 .49248 .40324 Mtetra
.678 .572 .728 r
.49248 .40324 .49572 .41255 .50176 .39509 .49843 .39947 Mtetra
.76 .9 .505 r
.49843 .39947 .50176 .39509 .50768 .39312 .50442 .38947 Mtetra
.664 .741 .907 r
.50442 .38947 .50768 .39312 .51359 .39724 .51036 .38749 Mtetra
.206 .274 .713 r
.51036 .38749 .51359 .39724 .51955 .38917 .51629 .39374 Mtetra
0 0 0 r
.51629 .39374 .51955 .38917 .52551 .38719 .52227 .38733 Mtetra
.852 .984 .857 r
.52227 .38733 .52551 .38719 .53151 .40142 .52825 .38152 Mtetra
.201 .166 .593 r
.52825 .38152 .53151 .40142 .53751 .39633 .53428 .39464 Mtetra
.822 .343 0 r
.53428 .39464 .53751 .39633 .54345 .38122 .54037 .40426 Mtetra
0 0 .144 r
.54037 .40426 .54345 .38122 .54956 .3924 .54626 .37551 Mtetra
.588 .45 .66 r
.54626 .37551 .54956 .3924 .5558 .41117 .55229 .37417 Mtetra
0 0 .463 r
.55229 .37417 .5558 .41117 .56151 .37521 .55872 .40917 Mtetra
0 0 .226 r
.55872 .40917 .56151 .37521 .56756 .37319 .56439 .36947 Mtetra
.664 .741 .907 r
.56439 .36947 .56756 .37319 .57397 .39391 .57045 .36744 Mtetra
.306 .218 .589 r
.57045 .36744 .57397 .39391 .57969 .36915 .57679 .38118 Mtetra
0 0 0 r
.57679 .38118 .57969 .36915 .58578 .36713 .58263 .36338 Mtetra
.664 .741 .907 r
.58263 .36338 .58578 .36713 .59198 .37004 .58874 .36134 Mtetra
.519 .494 .769 r
.58874 .36134 .59198 .37004 .59799 .36306 .59493 .36221 Mtetra
.826 .954 .9 r
.59493 .36221 .59799 .36306 .60412 .36103 .601 .35725 Mtetra
.664 .741 .907 r
.601 .35725 .60412 .36103 .61032 .36132 .60715 .3552 Mtetra
.171 .36 .809 r
.60715 .3552 .61032 .36132 .61647 .35904 .61349 .35959 Mtetra
.923 .973 .759 r
.61349 .35959 .61647 .35904 .62258 .35488 .61949 .35108 Mtetra
.664 .741 .907 r
.61949 .35108 .62258 .35488 .62888 .35655 .62568 .34902 Mtetra
0 0 .468 r
.62568 .34902 .62888 .35655 .63536 .36248 .63237 .36128 Mtetra
.908 .917 .814 r
.63237 .36128 .63536 .36248 .64116 .3487 .63842 .35375 Mtetra
.627 .786 .34 r
.63842 .35375 .64116 .3487 .64739 .34663 .64433 .34279 Mtetra
0 .167 .687 r
.64433 .34279 .64739 .34663 .65432 .36176 .65088 .34842 Mtetra
.397 .353 .692 r
.65088 .34842 .65432 .36176 .65987 .34247 .65746 .35348 Mtetra
0 0 .011 r
.65746 .35348 .65987 .34247 .66614 .34039 .66311 .33653 Mtetra
.664 .741 .907 r
.66311 .33653 .66614 .34039 .67277 .34605 .66939 .33443 Mtetra
.408 .38 .716 r
.66939 .33443 .67277 .34605 .6787 .3362 .676 .33861 Mtetra
.765 .938 .592 r
.676 .33861 .6787 .3362 .68501 .33411 .68201 .33022 Mtetra
.664 .741 .907 r
.68201 .33022 .68501 .33411 .69139 .33308 .68834 .32811 Mtetra
.615 .665 .875 r
.68834 .32811 .69139 .33308 .69768 .33011 .69473 .32681 Mtetra
.714 .794 .914 r
.69473 .32681 .69768 .33011 .70401 .32778 .70104 .32387 Mtetra
.664 .741 .907 r
.70104 .32387 .70401 .32778 .71038 .3257 .70741 .32174 Mtetra
.662 .738 .906 r
.70741 .32174 .71038 .3257 .71675 .32357 .7138 .31965 Mtetra
.666 .742 .907 r
.7138 .31965 .71675 .32357 .72314 .32142 .7202 .31748 Mtetra
.664 .741 .907 r
.7202 .31748 .72314 .32142 .72955 .31928 .72662 .31534 Mtetra
.72662 .31534 .72955 .31928 .73597 .31715 .73305 .31319 Mtetra
.73305 .31319 .73597 .31715 .7424 .31501 .73949 .31104 Mtetra
.73949 .31104 .7424 .31501 .74885 .31286 .74595 .30889 Mtetra
.74595 .30889 .74885 .31286 .75531 .31071 .75242 .30673 Mtetra
.75242 .30673 .75531 .31071 .76179 .30855 .75891 .30456 Mtetra
.75891 .30456 .76179 .30855 .76828 .30639 .76541 .30239 Mtetra
.76541 .30239 .76828 .30639 .77479 .30423 .77193 .30022 Mtetra
.77193 .30022 .77479 .30423 .78131 .30206 .77846 .29804 Mtetra
.77846 .29804 .78131 .30206 .78785 .29988 .78501 .29585 Mtetra
.78501 .29585 .78785 .29988 .7944 .2977 .79157 .29366 Mtetra
.79157 .29366 .7944 .2977 .80097 .29552 .79815 .29147 Mtetra
.79815 .29147 .80097 .29552 .80755 .29333 .80474 .28927 Mtetra
.80474 .28927 .80755 .29333 .81414 .29113 .81135 .28706 Mtetra
.81135 .28706 .81414 .29113 .82075 .28893 .81797 .28486 Mtetra
.81797 .28486 .82075 .28893 .82738 .28673 .82461 .28264 Mtetra
.82461 .28264 .82738 .28673 .83402 .28451 .83126 .28042 Mtetra
.83126 .28042 .83402 .28451 .84068 .2823 .83793 .2782 Mtetra
.83793 .2782 .84068 .2823 .84735 .28008 .84461 .27597 Mtetra
.84461 .27597 .84735 .28008 .85404 .27785 .85131 .27373 Mtetra
.85131 .27373 .85404 .27785 .86074 .27562 .85802 .27149 Mtetra
.85802 .27149 .86074 .27562 .86746 .27339 .86475 .26925 Mtetra
.26254 .46563 .26613 .46898 .27156 .46717 .26798 .46381 Mtetra
.26798 .46381 .27156 .46717 .27701 .46535 .27343 .46199 Mtetra
.27343 .46199 .27701 .46535 .28246 .46353 .2789 .46016 Mtetra
.2789 .46016 .28246 .46353 .28793 .46171 .28437 .45833 Mtetra
.28437 .45833 .28793 .46171 .29341 .45988 .28985 .4565 Mtetra
.28985 .4565 .29341 .45988 .29889 .45805 .29535 .45466 Mtetra
.29535 .45466 .29889 .45805 .3044 .45622 .30086 .45282 Mtetra
.30086 .45282 .3044 .45622 .30991 .45438 .30638 .45097 Mtetra
.30638 .45097 .30991 .45438 .31543 .45254 .31191 .44912 Mtetra
.31191 .44912 .31543 .45254 .32097 .45069 .31745 .44727 Mtetra
.31745 .44727 .32097 .45069 .32651 .44884 .323 .44541 Mtetra
.323 .44541 .32651 .44884 .33207 .44698 .32857 .44355 Mtetra
.32857 .44355 .33207 .44698 .33764 .44512 .33415 .44168 Mtetra
.33415 .44168 .33764 .44512 .34322 .44326 .33973 .43981 Mtetra
.33973 .43981 .34322 .44326 .34882 .44139 .34534 .43794 Mtetra
.34534 .43794 .34882 .44139 .35442 .43952 .35095 .43606 Mtetra
.35095 .43606 .35442 .43952 .36004 .43765 .35657 .43418 Mtetra
.35657 .43418 .36004 .43765 .36567 .43577 .36221 .43229 Mtetra
.36221 .43229 .36567 .43577 .37131 .43389 .36786 .4304 Mtetra
.36786 .4304 .37131 .43389 .37696 .432 .37352 .42851 Mtetra
.37352 .42851 .37696 .432 .38263 .43013 .37919 .42661 Mtetra
.658 .738 .909 r
.37919 .42661 .38263 .43013 .3883 .42822 .38487 .4248 Mtetra
.67 .747 .909 r
.38487 .4248 .3883 .42822 .39399 .42632 .39057 .4228 Mtetra
.664 .741 .907 r
.39057 .4228 .39399 .42632 .39967 .42496 .39628 .4209 Mtetra
.465 .631 .926 r
.39628 .4209 .39967 .42496 .40538 .42311 .40191 .42133 Mtetra
.802 .869 .897 r
.40191 .42133 .40538 .42311 .41113 .4206 .40773 .41706 Mtetra
.664 .741 .907 r
.40773 .41706 .41113 .4206 .41673 .42279 .41348 .41514 Mtetra
.876 .517 .026 r
.41348 .41514 .41673 .42279 .42217 .43112 .41858 .43325 Mtetra
.897 .986 .732 r
.41858 .43325 .42217 .43112 .42838 .41485 .42458 .42488 Mtetra
0 0 0 r
.42458 .42488 .42838 .41485 .43416 .41292 .43079 .40935 Mtetra
.957 .641 .387 r
.43079 .40935 .43416 .41292 .4378 .49235 .43535 .45236 Mtetra
0 0 .241 r
.43535 .45236 .4378 .49235 .44574 .40905 .43987 .50381 Mtetra
0 0 .256 r
.43987 .50381 .44574 .40905 .45155 .40711 .44821 .40352 Mtetra
.664 .741 .907 r
.44821 .40352 .45155 .40711 .45446 .54469 .45404 .40157 Mtetra
0 0 .294 r
.45404 .40157 .45446 .54469 .46321 .40322 .45664 .56057 Mtetra
0 0 .289 r
.45664 .56057 .46321 .40322 .46906 .40127 .46574 .39766 Mtetra
.664 .741 .907 r
.46574 .39766 .46906 .40127 .47381 .4708 .47161 .39569 Mtetra
0 0 .375 r
.47161 .39569 .47381 .4708 .4806 .41181 .47637 .46989 Mtetra
0 0 .12 r
.47637 .46989 .4806 .41181 .48668 .39539 .48339 .39175 Mtetra
.664 .741 .907 r
.48339 .39175 .48668 .39539 .49248 .40324 .48929 .38978 Mtetra
.23 .234 .656 r
.48929 .38978 .49248 .40324 .49843 .39947 .49512 .39789 Mtetra
.913 .856 .772 r
.49512 .39789 .49843 .39947 .50442 .38947 .50113 .38898 Mtetra
.816 .963 .904 r
.50113 .38898 .50442 .38947 .51036 .38749 .50709 .38423 Mtetra
.69 .773 .915 r
.50709 .38423 .51036 .38749 .51629 .39374 .51305 .38183 Mtetra
.483 .42 .71 r
.51305 .38183 .51629 .39374 .52227 .38733 .51902 .38405 Mtetra
.915 .515 .151 r
.51902 .38405 .52227 .38733 .52825 .38152 .52501 .40158 Mtetra
0 0 .099 r
.52501 .40158 .52825 .38152 .53428 .39464 .53101 .37582 Mtetra
.596 .446 .648 r
.53101 .37582 .53428 .39464 .54037 .40426 .53702 .37381 Mtetra
0 0 .156 r
.53702 .37381 .54037 .40426 .54626 .37551 .54335 .42551 Mtetra
0 0 .263 r
.54335 .42551 .54626 .37551 .55229 .37417 .54908 .36978 Mtetra
.662 .704 .879 r
.54908 .36978 .55229 .37417 .55872 .40917 .55513 .36775 Mtetra
.063 .015 .485 r
.55513 .36775 .55872 .40917 .56439 .36947 .56162 .40279 Mtetra
0 0 .223 r
.56162 .40279 .56439 .36947 .57045 .36744 .56728 .36369 Mtetra
.664 .741 .907 r
.56728 .36369 .57045 .36744 .57679 .38118 .57337 .36165 Mtetra
.434 .332 .64 r
.57337 .36165 .57679 .38118 .58263 .36338 .5796 .36738 Mtetra
0 0 0 r
.5796 .36738 .58263 .36338 .58874 .36134 .58563 .35966 Mtetra
.79 .903 .921 r
.58563 .35966 .58874 .36134 .59493 .36221 .59172 .35551 Mtetra
.536 .556 .822 r
.59172 .35551 .59493 .36221 .601 .35725 .59792 .35574 Mtetra
.799 .916 .918 r
.59792 .35574 .601 .35725 .60715 .3552 .60402 .3514 Mtetra
.664 .741 .907 r
.60402 .3514 .60715 .3552 .61349 .35959 .6102 .34933 Mtetra
0 .064 .607 r
.6102 .34933 .61349 .35959 .61949 .35108 .61676 .36046 Mtetra
0 0 0 r
.61676 .36046 .61949 .35108 .62568 .34902 .62258 .34519 Mtetra
.664 .741 .907 r
.62258 .34519 .62568 .34902 .63237 .36128 .62879 .34311 Mtetra
0 0 .393 r
.62879 .34311 .63237 .36128 .63842 .35375 .636 .36922 Mtetra
0 0 0 r
.636 .36922 .63842 .35375 .64433 .34279 .64126 .33894 Mtetra
.664 .741 .907 r
.64126 .33894 .64433 .34279 .65088 .34842 .64752 .33685 Mtetra
0 0 .49 r
.64752 .33685 .65088 .34842 .65746 .35348 .65453 .35299 Mtetra
.975 .881 .674 r
.65453 .35299 .65746 .35348 .66311 .33653 .66036 .33959 Mtetra
.735 .904 .527 r
.66036 .33959 .66311 .33653 .66939 .33443 .66636 .33054 Mtetra
.418 .627 .94 r
.66636 .33054 .66939 .33443 .676 .33861 .67281 .33133 Mtetra
.624 .589 .794 r
.67281 .33133 .676 .33861 .68201 .33022 .67917 .32973 Mtetra
.835 .982 .875 r
.67917 .32973 .68201 .33022 .68834 .32811 .68534 .3242 Mtetra
.664 .741 .907 r
.68534 .3242 .68834 .32811 .69473 .32681 .69169 .32207 Mtetra
.638 .687 .88 r
.69169 .32207 .69473 .32681 .70104 .32387 .69808 .32036 Mtetra
.69 .775 .916 r
.69808 .32036 .70104 .32387 .70741 .32174 .70444 .31781 Mtetra
.664 .741 .907 r
.70444 .31781 .70741 .32174 .7138 .31965 .71084 .31567 Mtetra
.663 .739 .906 r
.71084 .31567 .7138 .31965 .7202 .31748 .71725 .31354 Mtetra
.665 .742 .908 r
.71725 .31354 .7202 .31748 .72662 .31534 .72367 .31137 Mtetra
.664 .741 .907 r
.72367 .31137 .72662 .31534 .73305 .31319 .73011 .30922 Mtetra
.73011 .30922 .73305 .31319 .73949 .31104 .73657 .30706 Mtetra
.73657 .30706 .73949 .31104 .74595 .30889 .74304 .30489 Mtetra
.74304 .30489 .74595 .30889 .75242 .30673 .74952 .30273 Mtetra
.74952 .30273 .75242 .30673 .75891 .30456 .75602 .30055 Mtetra
.75602 .30055 .75891 .30456 .76541 .30239 .76253 .29837 Mtetra
.76253 .29837 .76541 .30239 .77193 .30022 .76906 .29619 Mtetra
.76906 .29619 .77193 .30022 .77846 .29804 .7756 .294 Mtetra
.7756 .294 .77846 .29804 .78501 .29585 .78216 .29181 Mtetra
.78216 .29181 .78501 .29585 .79157 .29366 .78873 .28961 Mtetra
.78873 .28961 .79157 .29366 .79815 .29147 .79532 .2874 Mtetra
.79532 .2874 .79815 .29147 .80474 .28927 .80192 .2852 Mtetra
.80192 .2852 .80474 .28927 .81135 .28706 .80854 .28298 Mtetra
.80854 .28298 .81135 .28706 .81797 .28486 .81517 .28076 Mtetra
.81517 .28076 .81797 .28486 .82461 .28264 .82182 .27854 Mtetra
.82182 .27854 .82461 .28264 .83126 .28042 .82849 .27631 Mtetra
.82849 .27631 .83126 .28042 .83793 .2782 .83516 .27408 Mtetra
.83516 .27408 .83793 .2782 .84461 .27597 .84186 .27184 Mtetra
.84186 .27184 .84461 .27597 .85131 .27373 .84857 .26959 Mtetra
.84857 .26959 .85131 .27373 .85802 .27149 .85529 .26734 Mtetra
.85529 .26734 .85802 .27149 .86475 .26925 .86203 .26509 Mtetra
.25894 .46227 .26254 .46563 .26798 .46381 .26439 .46044 Mtetra
.26439 .46044 .26798 .46381 .27343 .46199 .26985 .45861 Mtetra
.26985 .45861 .27343 .46199 .2789 .46016 .27532 .45678 Mtetra
.27532 .45678 .2789 .46016 .28437 .45833 .2808 .45494 Mtetra
.2808 .45494 .28437 .45833 .28985 .4565 .28629 .4531 Mtetra
.28629 .4531 .28985 .4565 .29535 .45466 .29179 .45125 Mtetra
.29179 .45125 .29535 .45466 .30086 .45282 .2973 .44941 Mtetra
.2973 .44941 .30086 .45282 .30638 .45097 .30283 .44755 Mtetra
.30283 .44755 .30638 .45097 .31191 .44912 .30837 .44569 Mtetra
.30837 .44569 .31191 .44912 .31745 .44727 .31392 .44383 Mtetra
.31392 .44383 .31745 .44727 .323 .44541 .31948 .44197 Mtetra
.31948 .44197 .323 .44541 .32857 .44355 .32505 .4401 Mtetra
.32505 .4401 .32857 .44355 .33415 .44168 .33064 .43823 Mtetra
.33064 .43823 .33415 .44168 .33973 .43981 .33623 .43635 Mtetra
.33623 .43635 .33973 .43981 .34534 .43794 .34184 .43447 Mtetra
.34184 .43447 .34534 .43794 .35095 .43606 .34746 .43258 Mtetra
.34746 .43258 .35095 .43606 .35657 .43418 .35309 .43069 Mtetra
.35309 .43069 .35657 .43418 .36221 .43229 .35873 .4288 Mtetra
.35873 .4288 .36221 .43229 .36786 .4304 .36439 .42691 Mtetra
.36439 .42691 .36786 .4304 .37352 .42851 .37006 .42501 Mtetra
.37006 .42501 .37352 .42851 .37919 .42661 .37574 .4231 Mtetra
.661 .74 .908 r
.37574 .4231 .37919 .42661 .38487 .4248 .38143 .42123 Mtetra
.649 .734 .911 r
.38143 .42123 .38487 .4248 .39057 .4228 .38712 .41954 Mtetra
.681 .761 .912 r
.38712 .41954 .39057 .4228 .39628 .4209 .39285 .41736 Mtetra
.664 .741 .907 r
.39285 .41736 .39628 .4209 .40191 .42133 .39858 .41544 Mtetra
0 .245 .755 r
.39858 .41544 .40191 .42133 .40773 .41706 .40406 .42039 Mtetra
.845 .969 .65 r
.40406 .42039 .40773 .41706 .41348 .41514 .41007 .41158 Mtetra
.664 .741 .907 r
.41007 .41158 .41348 .41514 .41858 .43325 .41584 .40965 Mtetra
.902 .651 .144 r
.41584 .40965 .41858 .43325 .42458 .42488 .41985 .46303 Mtetra
0 0 0 r
.41985 .46303 .42458 .42488 .43079 .40935 .4274 .40577 Mtetra
.664 .741 .907 r
.4274 .40577 .43079 .40935 .43535 .45236 .43321 .40382 Mtetra
.956 .713 .26 r
.43321 .40382 .43535 .45236 .43987 .50381 .43532 .5409 Mtetra
.913 .757 .267 r
.43532 .5409 .43987 .50381 .44821 .40352 .44346 .45587 Mtetra
0 0 .208 r
.44346 .45587 .44821 .40352 .45404 .40157 .45069 .39796 Mtetra
.96 .666 .432 r
.45069 .39796 .45404 .40157 .45664 .56057 .45464 .48538 Mtetra
.366 .211 .535 r
.45464 .48538 .45664 .56057 .46574 .39766 .46007 .51411 Mtetra
0 0 .277 r
.46007 .51411 .46574 .39766 .47161 .39569 .46828 .39206 Mtetra
.664 .741 .907 r
.46828 .39206 .47161 .39569 .47637 .46989 .47417 .39008 Mtetra
.176 .067 .482 r
.47417 .39008 .47637 .46989 .48339 .39175 .47932 .44258 Mtetra
0 0 .227 r
.47932 .44258 .48339 .39175 .48929 .38978 .48599 .38612 Mtetra
.664 .741 .907 r
.48599 .38612 .48929 .38978 .49512 .39789 .49192 .38413 Mtetra
.531 .432 .688 r
.49192 .38413 .49512 .39789 .50113 .38898 .49784 .38513 Mtetra
.713 .745 .877 r
.49784 .38513 .50113 .38898 .50709 .38423 .5038 .38222 Mtetra
.801 .311 0 r
.5038 .38222 .50709 .38423 .51305 .38183 .50972 .39104 Mtetra
0 0 0 r
.50972 .39104 .51305 .38183 .51902 .38405 .51577 .37613 Mtetra
.637 .576 .769 r
.51577 .37613 .51902 .38405 .52501 .40158 .52176 .37412 Mtetra
.81 .582 .023 r
.52176 .37412 .52501 .40158 .53101 .37582 .52782 .43399 Mtetra
0 0 .268 r
.52782 .43399 .53101 .37582 .53702 .37381 .53379 .37009 Mtetra
.664 .741 .907 r
.53379 .37009 .53702 .37381 .54335 .42551 .53982 .36806 Mtetra
0 0 .233 r
.53982 .36806 .54335 .42551 .54908 .36978 .54642 .45071 Mtetra
0 0 .302 r
.54642 .45071 .54908 .36978 .55513 .36775 .55193 .364 Mtetra
.664 .741 .907 r
.55193 .364 .55513 .36775 .56162 .40279 .558 .36197 Mtetra
.098 .041 .498 r
.558 .36197 .56162 .40279 .56728 .36369 .56451 .39466 Mtetra
.056 0 .324 r
.56451 .39466 .56728 .36369 .57337 .36165 .57033 .36808 Mtetra
0 0 0 r
.57033 .36808 .57337 .36165 .5796 .36738 .5763 .35583 Mtetra
.506 .441 .718 r
.5763 .35583 .5796 .36738 .58563 .35966 .58249 .35738 Mtetra
.758 .861 .925 r
.58249 .35738 .58563 .35966 .59172 .35551 .58861 .3538 Mtetra
.776 .902 .93 r
.58861 .3538 .59172 .35551 .59792 .35574 .59472 .3499 Mtetra
.537 .588 .853 r
.59472 .3499 .59792 .35574 .60402 .3514 .60094 .34996 Mtetra
.803 .922 .916 r
.60094 .34996 .60402 .3514 .6102 .34933 .60707 .34551 Mtetra
.143 .468 .892 r
.60707 .34551 .6102 .34933 .61676 .36046 .6134 .34826 Mtetra
.012 .106 .617 r
.6134 .34826 .61676 .36046 .62258 .34519 .62002 .35983 Mtetra
0 0 .076 r
.62002 .35983 .62258 .34519 .62879 .34311 .62569 .33926 Mtetra
.664 .741 .907 r
.62569 .33926 .62879 .34311 .636 .36922 .63193 .33717 Mtetra
0 0 .459 r
.63193 .33717 .636 .36922 .64126 .33894 .6395 .37197 Mtetra
0 0 .262 r
.6395 .37197 .64126 .33894 .64752 .33685 .64444 .33297 Mtetra
.664 .741 .907 r
.64444 .33297 .64752 .33685 .65453 .35299 .65072 .33087 Mtetra
.053 .06 .546 r
.65072 .33087 .65453 .35299 .66036 .33959 .65796 .35124 Mtetra
0 0 0 r
.65796 .35124 .66036 .33959 .66636 .33054 .66332 .32664 Mtetra
.664 .741 .907 r
.66332 .32664 .66636 .33054 .67281 .33133 .66964 .32452 Mtetra
.42 .49 .826 r
.66964 .32452 .67281 .33133 .67917 .32973 .67618 .32659 Mtetra
.819 .825 .853 r
.67618 .32659 .67917 .32973 .68534 .3242 .68237 .32125 Mtetra
.725 .821 .925 r
.68237 .32125 .68534 .3242 .69169 .32207 .68869 .31813 Mtetra
.652 .736 .911 r
.68869 .31813 .69169 .32207 .69808 .32036 .69508 .31619 Mtetra
.667 .73 .897 r
.69508 .31619 .69808 .32036 .70444 .31781 .70147 .31399 Mtetra
.673 .752 .911 r
.70147 .31399 .70444 .31781 .71084 .31567 .70786 .3117 Mtetra
.664 .741 .907 r
.70786 .3117 .71084 .31567 .71725 .31354 .71428 .30955 Mtetra
.664 .74 .907 r
.71428 .30955 .71725 .31354 .72367 .31137 .72072 .3074 Mtetra
.664 .741 .907 r
.72072 .3074 .72367 .31137 .73011 .30922 .72717 .30523 Mtetra
.72717 .30523 .73011 .30922 .73657 .30706 .73363 .30306 Mtetra
.73363 .30306 .73657 .30706 .74304 .30489 .74011 .30089 Mtetra
.74011 .30089 .74304 .30489 .74952 .30273 .74661 .29871 Mtetra
.74661 .29871 .74952 .30273 .75602 .30055 .75312 .29653 Mtetra
.75312 .29653 .75602 .30055 .76253 .29837 .75964 .29434 Mtetra
.75964 .29434 .76253 .29837 .76906 .29619 .76618 .29214 Mtetra
.76618 .29214 .76906 .29619 .7756 .294 .77273 .28995 Mtetra
.77273 .28995 .7756 .294 .78216 .29181 .7793 .28774 Mtetra
.7793 .28774 .78216 .29181 .78873 .28961 .78588 .28554 Mtetra
.78588 .28554 .78873 .28961 .79532 .2874 .79248 .28332 Mtetra
.79248 .28332 .79532 .2874 .80192 .2852 .79909 .2811 Mtetra
.79909 .2811 .80192 .2852 .80854 .28298 .80572 .27888 Mtetra
.80572 .27888 .80854 .28298 .81517 .28076 .81237 .27665 Mtetra
.81237 .27665 .81517 .28076 .82182 .27854 .81902 .27442 Mtetra
.81902 .27442 .82182 .27854 .82849 .27631 .8257 .27218 Mtetra
.8257 .27218 .82849 .27631 .83516 .27408 .83239 .26994 Mtetra
.83239 .26994 .83516 .27408 .84186 .27184 .83909 .26769 Mtetra
.83909 .26769 .84186 .27184 .84857 .26959 .84582 .26543 Mtetra
.84582 .26543 .84857 .26959 .85529 .26734 .85255 .26317 Mtetra
.85255 .26317 .85529 .26734 .86203 .26509 .8593 .26091 Mtetra
.25533 .4589 .25894 .46227 .26439 .46044 .26078 .45706 Mtetra
.26078 .45706 .26439 .46044 .26985 .45861 .26625 .45522 Mtetra
.26625 .45522 .26985 .45861 .27532 .45678 .27172 .45338 Mtetra
.27172 .45338 .27532 .45678 .2808 .45494 .27721 .45154 Mtetra
.27721 .45154 .2808 .45494 .28629 .4531 .28271 .44969 Mtetra
.28271 .44969 .28629 .4531 .29179 .45125 .28822 .44784 Mtetra
.28822 .44784 .29179 .45125 .2973 .44941 .29374 .44598 Mtetra
.29374 .44598 .2973 .44941 .30283 .44755 .29927 .44412 Mtetra
.29927 .44412 .30283 .44755 .30837 .44569 .30482 .44225 Mtetra
.30482 .44225 .30837 .44569 .31392 .44383 .31037 .44039 Mtetra
.31037 .44039 .31392 .44383 .31948 .44197 .31594 .43851 Mtetra
.31594 .43851 .31948 .44197 .32505 .4401 .32152 .43664 Mtetra
.32152 .43664 .32505 .4401 .33064 .43823 .32711 .43476 Mtetra
.32711 .43476 .33064 .43823 .33623 .43635 .33272 .43287 Mtetra
.33272 .43287 .33623 .43635 .34184 .43447 .33833 .43098 Mtetra
.33833 .43098 .34184 .43447 .34746 .43258 .34396 .42909 Mtetra
.34396 .42909 .34746 .43258 .35309 .43069 .3496 .4272 Mtetra
.3496 .4272 .35309 .43069 .35873 .4288 .35525 .4253 Mtetra
.35525 .4253 .35873 .4288 .36439 .42691 .36091 .42339 Mtetra
.663 .741 .907 r
.36091 .42339 .36439 .42691 .37006 .42501 .36659 .42149 Mtetra
.664 .741 .907 r
.36659 .42149 .37006 .42501 .37574 .4231 .37227 .41957 Mtetra
.37227 .41957 .37574 .4231 .38143 .42123 .37797 .41765 Mtetra
.642 .732 .914 r
.37797 .41765 .38143 .42123 .38712 .41954 .38367 .41605 Mtetra
.657 .742 .913 r
.38367 .41605 .38712 .41954 .39285 .41736 .38939 .41424 Mtetra
.692 .774 .914 r
.38939 .41424 .39285 .41736 .39858 .41544 .39514 .41188 Mtetra
.304 .584 .941 r
.39514 .41188 .39858 .41544 .40406 .42039 .40077 .41319 Mtetra
0 0 .562 r
.40077 .41319 .40406 .42039 .41007 .41158 .40616 .42145 Mtetra
0 0 0 r
.40616 .42145 .41007 .41158 .41584 .40965 .41242 .40607 Mtetra
.664 .741 .907 r
.41242 .40607 .41584 .40965 .41985 .46303 .41821 .40412 Mtetra
.745 .587 .013 r
.41821 .40412 .41985 .46303 .4274 .40577 .42077 .50573 Mtetra
0 0 .245 r
.42077 .50573 .4274 .40577 .43321 .40382 .42982 .40022 Mtetra
.664 .741 .907 r
.42982 .40022 .43321 .40382 .43532 .5409 .43564 .39826 Mtetra
0 0 .057 r
.43564 .39826 .43532 .5409 .44346 .45587 .43561 .62267 Mtetra
0 0 .096 r
.43561 .62267 .44346 .45587 .45069 .39796 .44732 .39433 Mtetra
.664 .741 .907 r
.44732 .39433 .45069 .39796 .45464 .48538 .45318 .39236 Mtetra
.743 .592 .02 r
.45318 .39236 .45464 .48538 .46007 .51411 .45556 .56112 Mtetra
.961 .762 .315 r
.45556 .56112 .46007 .51411 .46828 .39206 .46418 .42933 Mtetra
0 0 .176 r
.46418 .42933 .46828 .39206 .47417 .39008 .47084 .38642 Mtetra
.952 .607 .306 r
.47084 .38642 .47417 .39008 .47932 .44258 .47628 .41574 Mtetra
.652 .463 .615 r
.47628 .41574 .47932 .44258 .48599 .38612 .48235 .40732 Mtetra
0 0 .078 r
.48235 .40732 .48599 .38612 .49192 .38413 .48861 .38045 Mtetra
.377 .616 .945 r
.48861 .38045 .49192 .38413 .49784 .38513 .49454 .38139 Mtetra
.792 .768 .831 r
.49454 .38139 .49784 .38513 .5038 .38222 .50053 .37644 Mtetra
.572 .604 .847 r
.50053 .37644 .5038 .38222 .50972 .39104 .50649 .37595 Mtetra
0 0 .209 r
.50649 .37595 .50972 .39104 .51577 .37613 .51238 .40131 Mtetra
0 0 .138 r
.51238 .40131 .51577 .37613 .52176 .37412 .5185 .3704 Mtetra
.664 .741 .907 r
.5185 .3704 .52176 .37412 .52782 .43399 .52451 .36838 Mtetra
0 0 .283 r
.52451 .36838 .52782 .43399 .53379 .37009 .53069 .45261 Mtetra
0 0 .294 r
.53069 .45261 .53379 .37009 .53982 .36806 .53658 .36432 Mtetra
.664 .741 .907 r
.53658 .36432 .53982 .36806 .54642 .45071 .54264 .36228 Mtetra
.038 0 .439 r
.54264 .36228 .54642 .45071 .55193 .364 .54929 .43843 Mtetra
0 0 .319 r
.54929 .43843 .55193 .364 .558 .36197 .55483 .36273 Mtetra
.855 .997 .806 r
.55483 .36273 .558 .36197 .56451 .39466 .56088 .35615 Mtetra
.323 .207 .562 r
.56088 .35615 .56451 .39466 .57033 .36808 .56726 .37461 Mtetra
0 0 0 r
.56726 .37461 .57033 .36808 .5763 .35583 .57326 .3619 Mtetra
.57326 .3619 .5763 .35583 .58249 .35738 .57925 .34997 Mtetra
.632 .588 .786 r
.57925 .34997 .58249 .35738 .58861 .3538 .5854 .34814 Mtetra
.665 .656 .831 r
.5854 .34814 .58861 .3538 .59472 .3499 .59156 .34583 Mtetra
.019 .369 .838 r
.59156 .34583 .59472 .3499 .60094 .34996 .59787 .34955 Mtetra
.919 .947 .8 r
.59787 .34955 .60094 .34996 .60707 .34551 .60393 .34167 Mtetra
.664 .741 .907 r
.60393 .34167 .60707 .34551 .6134 .34826 .61013 .33958 Mtetra
0 0 .265 r
.61013 .33958 .6134 .34826 .62002 .35983 .61692 .35726 Mtetra
.879 .846 .808 r
.61692 .35726 .62002 .35983 .62569 .33926 .62303 .34991 Mtetra
0 0 0 r
.62303 .34991 .62569 .33926 .63193 .33717 .62883 .3333 Mtetra
.756 .306 0 r
.62883 .3333 .63193 .33717 .6395 .37197 .63558 .34521 Mtetra
.259 .187 .582 r
.63558 .34521 .6395 .37197 .64444 .33297 .64256 .36148 Mtetra
0 0 .24 r
.64256 .36148 .64444 .33297 .65072 .33087 .64765 .32697 Mtetra
.664 .741 .907 r
.64765 .32697 .65072 .33087 .65796 .35124 .65395 .32485 Mtetra
.256 .187 .584 r
.65395 .32485 .65796 .35124 .66332 .32664 .66106 .34121 Mtetra
0 0 .1 r
.66106 .34121 .66332 .32664 .66964 .32452 .66659 .3206 Mtetra
.664 .741 .907 r
.66659 .3206 .66964 .32452 .67618 .32659 .67294 .31846 Mtetra
.501 .501 .788 r
.67294 .31846 .67618 .32659 .68237 .32125 .67946 .31957 Mtetra
.841 .918 .885 r
.67946 .31957 .68237 .32125 .68869 .31813 .68567 .31418 Mtetra
.664 .741 .907 r
.68567 .31418 .68869 .31813 .69508 .31619 .69206 .31203 Mtetra
.653 .726 .902 r
.69206 .31203 .69508 .31619 .70147 .31399 .69847 .31006 Mtetra
.673 .746 .906 r
.69847 .31006 .70147 .31399 .70786 .3117 .70488 .30775 Mtetra
.665 .743 .908 r
.70488 .30775 .70786 .3117 .71428 .30955 .71131 .30556 Mtetra
.664 .741 .907 r
.71131 .30556 .71428 .30955 .72072 .3074 .71775 .3034 Mtetra
.71775 .3034 .72072 .3074 .72717 .30523 .72421 .30122 Mtetra
.72421 .30122 .72717 .30523 .73363 .30306 .73069 .29904 Mtetra
.73069 .29904 .73363 .30306 .74011 .30089 .73718 .29686 Mtetra
.73718 .29686 .74011 .30089 .74661 .29871 .74368 .29467 Mtetra
.74368 .29467 .74661 .29871 .75312 .29653 .7502 .29248 Mtetra
.7502 .29248 .75312 .29653 .75964 .29434 .75673 .29028 Mtetra
.75673 .29028 .75964 .29434 .76618 .29214 .76328 .28808 Mtetra
.76328 .28808 .76618 .29214 .77273 .28995 .76985 .28588 Mtetra
.76985 .28588 .77273 .28995 .7793 .28774 .77642 .28366 Mtetra
.77642 .28366 .7793 .28774 .78588 .28554 .78302 .28145 Mtetra
.78302 .28145 .78588 .28554 .79248 .28332 .78963 .27922 Mtetra
.78963 .27922 .79248 .28332 .79909 .2811 .79625 .277 Mtetra
.79625 .277 .79909 .2811 .80572 .27888 .80289 .27476 Mtetra
.80289 .27476 .80572 .27888 .81237 .27665 .80955 .27253 Mtetra
.80955 .27253 .81237 .27665 .81902 .27442 .81622 .27028 Mtetra
.81622 .27028 .81902 .27442 .8257 .27218 .8229 .26803 Mtetra
.8229 .26803 .8257 .27218 .83239 .26994 .8296 .26578 Mtetra
.8296 .26578 .83239 .26994 .83909 .26769 .83632 .26352 Mtetra
.83632 .26352 .83909 .26769 .84582 .26543 .84305 .26126 Mtetra
.84305 .26126 .84582 .26543 .85255 .26317 .8498 .25899 Mtetra
.8498 .25899 .85255 .26317 .8593 .26091 .85656 .25671 Mtetra
.2517 .45551 .25533 .4589 .26078 .45706 .25716 .45367 Mtetra
.25716 .45367 .26078 .45706 .26625 .45522 .26263 .45182 Mtetra
.26263 .45182 .26625 .45522 .27172 .45338 .26811 .44997 Mtetra
.26811 .44997 .27172 .45338 .27721 .45154 .27361 .44812 Mtetra
.27361 .44812 .27721 .45154 .28271 .44969 .27911 .44627 Mtetra
.27911 .44627 .28271 .44969 .28822 .44784 .28463 .44441 Mtetra
.28463 .44441 .28822 .44784 .29374 .44598 .29016 .44254 Mtetra
.29016 .44254 .29374 .44598 .29927 .44412 .2957 .44067 Mtetra
.2957 .44067 .29927 .44412 .30482 .44225 .30125 .4388 Mtetra
.30125 .4388 .30482 .44225 .31037 .44039 .30681 .43693 Mtetra
.30681 .43693 .31037 .44039 .31594 .43851 .31239 .43505 Mtetra
.31239 .43505 .31594 .43851 .32152 .43664 .31798 .43316 Mtetra
.31798 .43316 .32152 .43664 .32711 .43476 .32357 .43128 Mtetra
.32357 .43128 .32711 .43476 .33272 .43287 .32918 .42938 Mtetra
.32918 .42938 .33272 .43287 .33833 .43098 .33481 .42749 Mtetra
.33481 .42749 .33833 .43098 .34396 .42909 .34044 .42559 Mtetra
.34044 .42559 .34396 .42909 .3496 .4272 .34609 .42368 Mtetra
.34609 .42368 .3496 .4272 .35525 .4253 .35175 .42178 Mtetra
.35175 .42178 .35525 .4253 .36091 .42339 .35742 .41987 Mtetra
.35742 .41987 .36091 .42339 .36659 .42149 .3631 .41795 Mtetra
.661 .74 .908 r
.3631 .41795 .36659 .42149 .37227 .41957 .36879 .41607 Mtetra
.666 .744 .908 r
.36879 .41607 .37227 .41957 .37797 .41765 .3745 .41411 Mtetra
.664 .741 .907 r
.3745 .41411 .37797 .41765 .38367 .41605 .38022 .41218 Mtetra
.554 .684 .925 r
.38022 .41218 .38367 .41605 .38939 .41424 .38589 .41166 Mtetra
.752 .819 .905 r
.38589 .41166 .38939 .41424 .39514 .41188 .39169 .40831 Mtetra
.664 .741 .907 r
.39169 .40831 .39514 .41188 .40077 .41319 .39745 .40637 Mtetra
.825 .446 0 r
.39745 .40637 .40077 .41319 .40616 .42145 .4026 .4208 Mtetra
.835 .939 .894 r
.4026 .4208 .40616 .42145 .41242 .40607 .40852 .41581 Mtetra
0 0 0 r
.40852 .41581 .41242 .40607 .41821 .40412 .41479 .40052 Mtetra
.957 .646 .399 r
.41479 .40052 .41821 .40412 .42077 .50573 .41901 .44757 Mtetra
0 0 .185 r
.41901 .44757 .42077 .50573 .42982 .40022 .4225 .52447 Mtetra
0 0 .256 r
.4225 .52447 .42982 .40022 .43564 .39826 .43225 .39464 Mtetra
.664 .741 .907 r
.43225 .39464 .43564 .39826 .43561 .62267 .43809 .39267 Mtetra
0 0 .333 r
.43809 .39267 .43561 .62267 .44732 .39433 .43823 .61741 Mtetra
0 0 .286 r
.43823 .61741 .44732 .39433 .45318 .39236 .44981 .38871 Mtetra
.664 .741 .907 r
.44981 .38871 .45318 .39236 .45556 .56112 .4557 .38673 Mtetra
0 0 .314 r
.4557 .38673 .45556 .56112 .46418 .42933 .45792 .57042 Mtetra
0 0 .133 r
.45792 .57042 .46418 .42933 .47084 .38642 .4675 .38275 Mtetra
.664 .741 .907 r
.4675 .38275 .47084 .38642 .47628 .41574 .47342 .38075 Mtetra
0 0 .415 r
.47342 .38075 .47628 .41574 .48235 .40732 .47883 .41549 Mtetra
.996 .828 .473 r
.47883 .41549 .48235 .40732 .48861 .38045 .48525 .38033 Mtetra
.85 .973 .872 r
.48525 .38033 .48861 .38045 .49454 .38139 .49125 .37474 Mtetra
0 0 .57 r
.49125 .37474 .49454 .38139 .50053 .37644 .49713 .38318 Mtetra
.662 .791 .332 r
.49713 .38318 .50053 .37644 .50649 .37595 .50321 .37071 Mtetra
.657 .664 .846 r
.50321 .37071 .50649 .37595 .51238 .40131 .50921 .36869 Mtetra
0 0 .305 r
.50921 .36869 .51238 .40131 .5185 .3704 .51508 .41099 Mtetra
0 0 .218 r
.51508 .41099 .5185 .3704 .52451 .36838 .52124 .36463 Mtetra
.664 .741 .907 r
.52124 .36463 .52451 .36838 .53069 .45261 .52728 .36259 Mtetra
.094 .007 .456 r
.52728 .36259 .53069 .45261 .53658 .36432 .53352 .43287 Mtetra
.014 0 .353 r
.53352 .43287 .53658 .36432 .54264 .36228 .53945 .37208 Mtetra
0 0 0 r
.53945 .37208 .54264 .36228 .54929 .43843 .54547 .35646 Mtetra
.377 .219 .537 r
.54547 .35646 .54929 .43843 .55483 .36273 .55184 .38728 Mtetra
.376 .127 .404 r
.55184 .38728 .55483 .36273 .56088 .35615 .55793 .37849 Mtetra
0 0 .141 r
.55793 .37849 .56088 .35615 .56726 .37461 .56378 .35029 Mtetra
.563 .405 .625 r
.56378 .35029 .56726 .37461 .57326 .3619 .56994 .34978 Mtetra
.377 .352 .704 r
.56994 .34978 .57326 .3619 .57925 .34997 .57619 .35453 Mtetra
.706 .856 .437 r
.57619 .35453 .57925 .34997 .5854 .34814 .58222 .34407 Mtetra
.663 .727 .897 r
.58222 .34407 .5854 .34814 .59156 .34583 .58839 .34199 Mtetra
.664 .741 .907 r
.58839 .34199 .59156 .34583 .59787 .34955 .59457 .33991 Mtetra
0 .008 .575 r
.59457 .33991 .59787 .34955 .60393 .34167 .6011 .35139 Mtetra
0 0 0 r
.6011 .35139 .60393 .34167 .61013 .33958 .60699 .33572 Mtetra
.664 .741 .907 r
.60699 .33572 .61013 .33958 .61692 .35726 .61321 .33362 Mtetra
0 0 .29 r
.61321 .33362 .61692 .35726 .62303 .34991 .62065 .37121 Mtetra
0 0 0 r
.62065 .37121 .62303 .34991 .62883 .3333 .62571 .32941 Mtetra
.664 .741 .907 r
.62571 .32941 .62883 .3333 .63558 .34521 .63198 .32729 Mtetra
0 0 .25 r
.63198 .32729 .63558 .34521 .64256 .36148 .63951 .35993 Mtetra
.977 .803 .6 r
.63951 .35993 .64256 .36148 .64765 .32697 .64516 .33871 Mtetra
0 0 .017 r
.64516 .33871 .64765 .32697 .65395 .32485 .65087 .32092 Mtetra
0 .232 .741 r
.65087 .32092 .65395 .32485 .66106 .34121 .6575 .32605 Mtetra
.539 .43 .679 r
.6575 .32605 .66106 .34121 .66659 .3206 .66399 .32686 Mtetra
0 0 0 r
.66399 .32686 .66659 .3206 .67294 .31846 .66989 .31451 Mtetra
.664 .741 .907 r
.66989 .31451 .67294 .31846 .67946 .31957 .67626 .31236 Mtetra
.572 .566 .808 r
.67626 .31236 .67946 .31957 .68567 .31418 .68273 .3119 Mtetra
.766 .877 .927 r
.68273 .3119 .68567 .31418 .69206 .31203 .68904 .30806 Mtetra
.664 .741 .907 r
.68904 .30806 .69206 .31203 .69847 .31006 .69545 .30589 Mtetra
.659 .729 .901 r
.69545 .30589 .69847 .31006 .70488 .30775 .70188 .30381 Mtetra
.669 .746 .908 r
.70188 .30381 .70488 .30775 .71131 .30556 .70832 .30156 Mtetra
.664 .741 .907 r
.70832 .30156 .71131 .30556 .71775 .3034 .71477 .29938 Mtetra
.71477 .29938 .71775 .3034 .72421 .30122 .72124 .2972 Mtetra
.72124 .2972 .72421 .30122 .73069 .29904 .72773 .29501 Mtetra
.72773 .29501 .73069 .29904 .73718 .29686 .73423 .29282 Mtetra
.73423 .29282 .73718 .29686 .74368 .29467 .74074 .29062 Mtetra
.74074 .29062 .74368 .29467 .7502 .29248 .74727 .28842 Mtetra
.74727 .28842 .7502 .29248 .75673 .29028 .75382 .28622 Mtetra
.75382 .28622 .75673 .29028 .76328 .28808 .76037 .284 Mtetra
.76037 .284 .76328 .28808 .76985 .28588 .76695 .28179 Mtetra
.76695 .28179 .76985 .28588 .77642 .28366 .77354 .27957 Mtetra
.77354 .27957 .77642 .28366 .78302 .28145 .78014 .27734 Mtetra
.78014 .27734 .78302 .28145 .78963 .27922 .78676 .27511 Mtetra
.78676 .27511 .78963 .27922 .79625 .277 .7934 .27287 Mtetra
.7934 .27287 .79625 .277 .80289 .27476 .80005 .27063 Mtetra
.80005 .27063 .80289 .27476 .80955 .27253 .80671 .26838 Mtetra
.80671 .26838 .80955 .27253 .81622 .27028 .81339 .26613 Mtetra
.81339 .26613 .81622 .27028 .8229 .26803 .82009 .26387 Mtetra
.82009 .26387 .8229 .26803 .8296 .26578 .8268 .26161 Mtetra
.8268 .26161 .8296 .26578 .83632 .26352 .83353 .25934 Mtetra
.83353 .25934 .83632 .26352 .84305 .26126 .84027 .25706 Mtetra
.84027 .25706 .84305 .26126 .8498 .25899 .84703 .25479 Mtetra
.84703 .25479 .8498 .25899 .85656 .25671 .85381 .2525 Mtetra
.24806 .45211 .2517 .45551 .25716 .45367 .25353 .45026 Mtetra
.25353 .45026 .25716 .45367 .26263 .45182 .259 .44841 Mtetra
.259 .44841 .26263 .45182 .26811 .44997 .26449 .44655 Mtetra
.26449 .44655 .26811 .44997 .27361 .44812 .26999 .44469 Mtetra
.26999 .44469 .27361 .44812 .27911 .44627 .27551 .44283 Mtetra
.27551 .44283 .27911 .44627 .28463 .44441 .28103 .44096 Mtetra
.28103 .44096 .28463 .44441 .29016 .44254 .28656 .43909 Mtetra
.28656 .43909 .29016 .44254 .2957 .44067 .29211 .43722 Mtetra
.29211 .43722 .2957 .44067 .30125 .4388 .29767 .43534 Mtetra
.29767 .43534 .30125 .4388 .30681 .43693 .30324 .43345 Mtetra
.30324 .43345 .30681 .43693 .31239 .43505 .30882 .43157 Mtetra
.30882 .43157 .31239 .43505 .31798 .43316 .31442 .42968 Mtetra
.31442 .42968 .31798 .43316 .32357 .43128 .32002 .42778 Mtetra
.32002 .42778 .32357 .43128 .32918 .42938 .32564 .42588 Mtetra
.32564 .42588 .32918 .42938 .33481 .42749 .33127 .42398 Mtetra
.33127 .42398 .33481 .42749 .34044 .42559 .33691 .42207 Mtetra
.33691 .42207 .34044 .42559 .34609 .42368 .34257 .42016 Mtetra
.34257 .42016 .34609 .42368 .35175 .42178 .34823 .41824 Mtetra
.34823 .41824 .35175 .42178 .35742 .41987 .35391 .41633 Mtetra
.35391 .41633 .35742 .41987 .3631 .41795 .3596 .4144 Mtetra
.663 .741 .908 r
.3596 .4144 .3631 .41795 .36879 .41607 .3653 .41249 Mtetra
.657 .737 .909 r
.3653 .41249 .36879 .41607 .3745 .41411 .37101 .41066 Mtetra
.672 .75 .909 r
.37101 .41066 .3745 .41411 .38022 .41218 .37674 .40861 Mtetra
.664 .741 .907 r
.37674 .40861 .38022 .41218 .38589 .41166 .38248 .40667 Mtetra
.277 .481 .877 r
.38248 .40667 .38589 .41166 .39169 .40831 .38805 .40894 Mtetra
.868 .983 .842 r
.38805 .40894 .39169 .40831 .39745 .40637 .394 .40277 Mtetra
.664 .741 .907 r
.394 .40277 .39745 .40637 .4026 .4208 .39977 .40082 Mtetra
.898 .637 .127 r
.39977 .40082 .4026 .4208 .40852 .41581 .40386 .4448 Mtetra
.729 .68 .134 r
.40386 .4448 .40852 .41581 .41479 .40052 .41136 .3969 Mtetra
.664 .741 .907 r
.41136 .3969 .41479 .40052 .41901 .44757 .41717 .39494 Mtetra
.966 .722 .286 r
.41717 .39494 .41901 .44757 .4225 .52447 .41801 .55042 Mtetra
.987 .788 .392 r
.41801 .55042 .4225 .52447 .43225 .39464 .42656 .46734 Mtetra
0 0 .223 r
.42656 .46734 .43225 .39464 .43809 .39267 .43469 .38902 Mtetra
.959 .674 .451 r
.43469 .38902 .43809 .39267 .43823 .61741 .43698 .5231 Mtetra
0 0 .4 r
.43698 .5231 .43823 .61741 .44981 .38871 .44106 .60446 Mtetra
0 0 .285 r
.44106 .60446 .44981 .38871 .4557 .38673 .45232 .38306 Mtetra
.664 .741 .907 r
.45232 .38306 .4557 .38673 .45792 .57042 .45822 .38106 Mtetra
.124 .011 .442 r
.45822 .38106 .45792 .57042 .4675 .38275 .46159 .51338 Mtetra
0 0 .279 r
.46159 .51338 .4675 .38275 .47342 .38075 .47007 .37706 Mtetra
.664 .741 .907 r
.47007 .37706 .47342 .38075 .47883 .41549 .47601 .37505 Mtetra
.2 .11 .522 r
.47601 .37505 .47883 .41549 .48525 .38033 .48159 .40028 Mtetra
0 0 0 r
.48159 .40028 .48525 .38033 .49125 .37474 .48793 .37102 Mtetra
.664 .741 .907 r
.48793 .37102 .49125 .37474 .49713 .38318 .49391 .369 Mtetra
0 0 .234 r
.49391 .369 .49713 .38318 .50321 .37071 .4997 .392 Mtetra
0 0 .087 r
.4997 .392 .50321 .37071 .50921 .36869 .50591 .36494 Mtetra
.664 .741 .907 r
.50591 .36494 .50921 .36869 .51508 .41099 .51193 .36291 Mtetra
0 0 .258 r
.51193 .36291 .51508 .41099 .52124 .36463 .51781 .42767 Mtetra
.239 .06 .425 r
.51781 .42767 .52124 .36463 .52728 .36259 .524 .39063 Mtetra
0 0 .163 r
.524 .39063 .52728 .36259 .53352 .43287 .53006 .35678 Mtetra
.223 .106 .501 r
.53006 .35678 .53352 .43287 .53945 .37208 .53631 .4032 Mtetra
.715 .428 .489 r
.53631 .4032 .53945 .37208 .54547 .35646 .54263 .42682 Mtetra
0 0 .286 r
.54263 .42682 .54547 .35646 .55184 .38728 .54832 .3506 Mtetra
.573 .39 .595 r
.54832 .3506 .55184 .38728 .55793 .37849 .55443 .34854 Mtetra
0 0 .372 r
.55443 .34854 .55793 .37849 .56378 .35029 .561 .38536 Mtetra
0 0 .223 r
.561 .38536 .56378 .35029 .56994 .34978 .5667 .34439 Mtetra
.656 .663 .845 r
.5667 .34439 .56994 .34978 .57619 .35453 .57285 .34231 Mtetra
.345 .33 .699 r
.57285 .34231 .57619 .35453 .58222 .34407 .57915 .34774 Mtetra
.648 .865 .489 r
.57915 .34774 .58222 .34407 .58839 .34199 .58523 .33943 Mtetra
.745 .843 .925 r
.58523 .33943 .58839 .34199 .59457 .33991 .5914 .33604 Mtetra
.179 .492 .903 r
.5914 .33604 .59457 .33991 .6011 .35139 .59771 .33852 Mtetra
0 .061 .588 r
.59771 .33852 .6011 .35139 .60699 .33572 .60432 .35135 Mtetra
0 0 .078 r
.60432 .35135 .60699 .33572 .61321 .33362 .61007 .32973 Mtetra
.664 .741 .907 r
.61007 .32973 .61321 .33362 .62065 .37121 .61632 .32762 Mtetra
0 0 .403 r
.61632 .32762 .62065 .37121 .62571 .32941 .62422 .37832 Mtetra
0 0 .295 r
.62422 .37832 .62571 .32941 .63198 .32729 .62886 .32338 Mtetra
.664 .741 .907 r
.62886 .32338 .63198 .32729 .63951 .35993 .63515 .32125 Mtetra
0 0 .447 r
.63515 .32125 .63951 .35993 .64516 .33871 .64308 .36281 Mtetra
0 0 .003 r
.64308 .36281 .64516 .33871 .65087 .32092 .64778 .31698 Mtetra
.664 .741 .907 r
.64778 .31698 .65087 .32092 .6575 .32605 .65411 .31484 Mtetra
.142 .212 .677 r
.65411 .31484 .6575 .32605 .66399 .32686 .66094 .32366 Mtetra
.908 .815 .743 r
.66094 .32366 .66399 .32686 .66989 .31451 .66697 .31359 Mtetra
.827 .964 .895 r
.66697 .31359 .66989 .31451 .67626 .31236 .67321 .30839 Mtetra
.619 .723 .921 r
.67321 .30839 .67626 .31236 .68273 .3119 .67963 .30691 Mtetra
.665 .691 .864 r
.67963 .30691 .68273 .3119 .68904 .30806 .68604 .30465 Mtetra
.7 .788 .919 r
.68604 .30465 .68904 .30806 .69545 .30589 .69243 .30189 Mtetra
.664 .741 .907 r
.69243 .30189 .69545 .30589 .70188 .30381 .69886 .29971 Mtetra
.662 .735 .904 r
.69886 .29971 .70188 .30381 .70832 .30156 .70532 .29756 Mtetra
.666 .743 .908 r
.70532 .29756 .70832 .30156 .71477 .29938 .71178 .29535 Mtetra
.664 .741 .907 r
.71178 .29535 .71477 .29938 .72124 .2972 .71826 .29316 Mtetra
.71826 .29316 .72124 .2972 .72773 .29501 .72476 .29096 Mtetra
.72476 .29096 .72773 .29501 .73423 .29282 .73127 .28876 Mtetra
.73127 .28876 .73423 .29282 .74074 .29062 .73779 .28656 Mtetra
.73779 .28656 .74074 .29062 .74727 .28842 .74433 .28434 Mtetra
.74433 .28434 .74727 .28842 .75382 .28622 .75089 .28213 Mtetra
.75089 .28213 .75382 .28622 .76037 .284 .75746 .27991 Mtetra
.75746 .27991 .76037 .284 .76695 .28179 .76404 .27768 Mtetra
.76404 .27768 .76695 .28179 .77354 .27957 .77064 .27545 Mtetra
.77064 .27545 .77354 .27957 .78014 .27734 .77726 .27321 Mtetra
.77726 .27321 .78014 .27734 .78676 .27511 .78389 .27097 Mtetra
.78389 .27097 .78676 .27511 .7934 .27287 .79053 .26873 Mtetra
.79053 .26873 .7934 .27287 .80005 .27063 .79719 .26647 Mtetra
.79719 .26647 .80005 .27063 .80671 .26838 .80387 .26422 Mtetra
.80387 .26422 .80671 .26838 .81339 .26613 .81056 .26196 Mtetra
.81056 .26196 .81339 .26613 .82009 .26387 .81727 .25969 Mtetra
.81727 .25969 .82009 .26387 .8268 .26161 .82399 .25742 Mtetra
.82399 .25742 .8268 .26161 .83353 .25934 .83073 .25514 Mtetra
.83073 .25514 .83353 .25934 .84027 .25706 .83749 .25285 Mtetra
.83749 .25285 .84027 .25706 .84703 .25479 .84426 .25057 Mtetra
.84426 .25057 .84703 .25479 .85381 .2525 .85104 .24827 Mtetra
.2444 .44869 .24806 .45211 .25353 .45026 .24988 .44684 Mtetra
.24988 .44684 .25353 .45026 .259 .44841 .25536 .44498 Mtetra
.25536 .44498 .259 .44841 .26449 .44655 .26086 .44312 Mtetra
.26086 .44312 .26449 .44655 .26999 .44469 .26637 .44125 Mtetra
.26637 .44125 .26999 .44469 .27551 .44283 .27188 .43938 Mtetra
.27188 .43938 .27551 .44283 .28103 .44096 .27741 .4375 Mtetra
.27741 .4375 .28103 .44096 .28656 .43909 .28296 .43563 Mtetra
.28296 .43563 .28656 .43909 .29211 .43722 .28851 .43374 Mtetra
.28851 .43374 .29211 .43722 .29767 .43534 .29408 .43186 Mtetra
.29408 .43186 .29767 .43534 .30324 .43345 .29965 .42997 Mtetra
.29965 .42997 .30324 .43345 .30882 .43157 .30524 .42807 Mtetra
.30524 .42807 .30882 .43157 .31442 .42968 .31084 .42617 Mtetra
.31084 .42617 .31442 .42968 .32002 .42778 .31646 .42427 Mtetra
.31646 .42427 .32002 .42778 .32564 .42588 .32208 .42236 Mtetra
.32208 .42236 .32564 .42588 .33127 .42398 .32772 .42045 Mtetra
.32772 .42045 .33127 .42398 .33691 .42207 .33337 .41854 Mtetra
.33337 .41854 .33691 .42207 .34257 .42016 .33903 .41662 Mtetra
.33903 .41662 .34257 .42016 .34823 .41824 .3447 .4147 Mtetra
.3447 .4147 .34823 .41824 .35391 .41633 .35039 .41277 Mtetra
.35039 .41277 .35391 .41633 .3596 .4144 .35609 .41084 Mtetra
.35609 .41084 .3596 .4144 .3653 .41249 .3618 .4089 Mtetra
.655 .737 .91 r
.3618 .4089 .3653 .41249 .37101 .41066 .36751 .40709 Mtetra
.659 .74 .91 r
.36751 .40709 .37101 .41066 .37674 .40861 .37324 .40522 Mtetra
.677 .756 .911 r
.37324 .40522 .37674 .40861 .38248 .40667 .379 .40307 Mtetra
.517 .688 .945 r
.379 .40307 .38248 .40667 .38805 .40894 .38468 .40283 Mtetra
.026 .269 .768 r
.38468 .40283 .38805 .40894 .394 .40277 .39018 .40756 Mtetra
.809 .927 .548 r
.39018 .40756 .394 .40277 .39977 .40082 .39631 .39721 Mtetra
.664 .741 .907 r
.39631 .39721 .39977 .40082 .40386 .4448 .40211 .39524 Mtetra
.759 .592 .02 r
.40211 .39524 .40386 .4448 .41136 .3969 .40475 .4804 Mtetra
0 0 .218 r
.40475 .4804 .41136 .3969 .41717 .39494 .41374 .3913 Mtetra
.664 .741 .907 r
.41374 .3913 .41717 .39494 .41801 .55042 .41957 .38932 Mtetra
0 0 .121 r
.41957 .38932 .41801 .55042 .42656 .46734 .41839 .61427 Mtetra
0 0 0 r
.41839 .61427 .42656 .46734 .43469 .38902 .43128 .38535 Mtetra
.664 .741 .907 r
.43128 .38535 .43469 .38902 .43698 .5231 .43715 .38336 Mtetra
0 0 .041 r
.43715 .38336 .43698 .5231 .44106 .60446 .43723 .60866 Mtetra
.969 .714 .494 r
.43723 .60866 .44106 .60446 .45232 .38306 .44709 .457 Mtetra
0 0 .235 r
.44709 .457 .45232 .38306 .45822 .38106 .45484 .37737 Mtetra
.961 .655 .404 r
.45484 .37737 .45822 .38106 .46159 .51338 .45945 .44072 Mtetra
.566 .364 .566 r
.45945 .44072 .46159 .51338 .47007 .37706 .46554 .43728 Mtetra
0 0 .229 r
.46554 .43728 .47007 .37706 .47601 .37505 .47265 .37133 Mtetra
.664 .741 .907 r
.47265 .37133 .47601 .37505 .48159 .40028 .47861 .36931 Mtetra
.263 .171 .559 r
.47861 .36931 .48159 .40028 .48793 .37102 .48435 .38602 Mtetra
0 0 0 r
.48435 .38602 .48793 .37102 .49391 .369 .49058 .36526 Mtetra
.664 .741 .907 r
.49058 .36526 .49391 .369 .4997 .392 .49658 .36322 Mtetra
0 0 .205 r
.49658 .36322 .4997 .392 .50591 .36494 .50227 .4066 Mtetra
0 0 .239 r
.50227 .4066 .50591 .36494 .51193 .36291 .50861 .362 Mtetra
.826 .943 .901 r
.50861 .362 .51193 .36291 .51781 .42767 .51466 .35709 Mtetra
0 0 .339 r
.51466 .35709 .51781 .42767 .524 .39063 .52061 .43632 Mtetra
.386 .163 .449 r
.52061 .43632 .524 .39063 .53006 .35678 .52682 .42066 Mtetra
0 0 .269 r
.52682 .42066 .53006 .35678 .53631 .4032 .53287 .35092 Mtetra
.293 .169 .535 r
.53287 .35092 .53631 .4032 .54263 .42682 .53909 .37758 Mtetra
0 0 .379 r
.53909 .37758 .54263 .42682 .54832 .3506 .54561 .43173 Mtetra
0 0 .295 r
.54561 .43173 .54832 .3506 .55443 .34854 .55119 .34471 Mtetra
.664 .741 .907 r
.55119 .34471 .55443 .34854 .561 .38536 .55733 .34263 Mtetra
.218 .125 .529 r
.55733 .34263 .561 .38536 .5667 .34439 .56383 .36954 Mtetra
0 0 .166 r
.56383 .36954 .5667 .34439 .57285 .34231 .56964 .33846 Mtetra
.664 .741 .907 r
.56964 .33846 .57285 .34231 .57915 .34774 .57581 .33637 Mtetra
.327 .33 .71 r
.57581 .33637 .57915 .34774 .58523 .33943 .58214 .34173 Mtetra
.878 .969 .651 r
.58214 .34173 .58523 .33943 .5914 .33604 .58821 .33216 Mtetra
.664 .741 .907 r
.58821 .33216 .5914 .33604 .59771 .33852 .59443 .33006 Mtetra
0 0 .303 r
.59443 .33006 .59771 .33852 .60432 .35135 .6011 .34624 Mtetra
.756 .716 .815 r
.6011 .34624 .60432 .35135 .61007 .32973 .60732 .34167 Mtetra
0 0 0 r
.60732 .34167 .61007 .32973 .61632 .32762 .61316 .32371 Mtetra
.836 .406 0 r
.61316 .32371 .61632 .32762 .62422 .37832 .61995 .33854 Mtetra
.184 .108 .53 r
.61995 .33854 .62422 .37832 .62886 .32338 .62724 .36663 Mtetra
0 0 .283 r
.62724 .36663 .62886 .32338 .63515 .32125 .63203 .31731 Mtetra
.664 .741 .907 r
.63203 .31731 .63515 .32125 .64308 .36281 .63835 .31517 Mtetra
.18 .098 .519 r
.63835 .31517 .64308 .36281 .64778 .31698 .64607 .34946 Mtetra
0 0 .256 r
.64607 .34946 .64778 .31698 .65411 .31484 .65102 .31088 Mtetra
.664 .741 .907 r
.65102 .31088 .65411 .31484 .66094 .32366 .65738 .30872 Mtetra
.362 .316 .672 r
.65738 .30872 .66094 .32366 .66697 .31359 .66414 .31519 Mtetra
.927 .961 .651 r
.66414 .31519 .66697 .31359 .67321 .30839 .67014 .30439 Mtetra
.664 .741 .907 r
.67014 .30439 .67321 .30839 .67963 .30691 .67654 .30222 Mtetra
.626 .689 .889 r
.67654 .30222 .67963 .30691 .68604 .30465 .68299 .30068 Mtetra
.694 .754 .898 r
.68299 .30068 .68604 .30465 .69243 .30189 .6894 .29798 Mtetra
.671 .749 .91 r
.6894 .29798 .69243 .30189 .69886 .29971 .69584 .29568 Mtetra
.663 .741 .908 r
.69584 .29568 .69886 .29971 .70532 .29756 .7023 .29351 Mtetra
.664 .74 .906 r
.7023 .29351 .70532 .29756 .71178 .29535 .70878 .29131 Mtetra
.664 .741 .907 r
.70878 .29131 .71178 .29535 .71826 .29316 .71527 .2891 Mtetra
.71527 .2891 .71826 .29316 .72476 .29096 .72177 .28689 Mtetra
.72177 .28689 .72476 .29096 .73127 .28876 .72829 .28468 Mtetra
.72829 .28468 .73127 .28876 .73779 .28656 .73483 .28247 Mtetra
.73483 .28247 .73779 .28656 .74433 .28434 .74138 .28025 Mtetra
.74138 .28025 .74433 .28434 .75089 .28213 .74794 .27802 Mtetra
.74794 .27802 .75089 .28213 .75746 .27991 .75452 .27579 Mtetra
.75452 .27579 .75746 .27991 .76404 .27768 .76112 .27356 Mtetra
.76112 .27356 .76404 .27768 .77064 .27545 .76773 .27132 Mtetra
.76773 .27132 .77064 .27545 .77726 .27321 .77436 .26907 Mtetra
.77436 .26907 .77726 .27321 .78389 .27097 .781 .26682 Mtetra
.781 .26682 .78389 .27097 .79053 .26873 .78765 .26457 Mtetra
.78765 .26457 .79053 .26873 .79719 .26647 .79433 .2623 Mtetra
.79433 .2623 .79719 .26647 .80387 .26422 .80101 .26004 Mtetra
.80101 .26004 .80387 .26422 .81056 .26196 .80772 .25777 Mtetra
.80772 .25777 .81056 .26196 .81727 .25969 .81444 .25549 Mtetra
.81444 .25549 .81727 .25969 .82399 .25742 .82117 .25321 Mtetra
.82117 .25321 .82399 .25742 .83073 .25514 .82792 .25092 Mtetra
.82792 .25092 .83073 .25514 .83749 .25285 .83469 .24862 Mtetra
.83469 .24862 .83749 .25285 .84426 .25057 .84147 .24633 Mtetra
.84147 .24633 .84426 .25057 .85104 .24827 .84826 .24402 Mtetra
.24073 .44526 .2444 .44869 .24988 .44684 .24621 .4434 Mtetra
.24621 .4434 .24988 .44684 .25536 .44498 .25171 .44154 Mtetra
.25171 .44154 .25536 .44498 .26086 .44312 .25721 .43967 Mtetra
.25721 .43967 .26086 .44312 .26637 .44125 .26272 .43779 Mtetra
.26272 .43779 .26637 .44125 .27188 .43938 .26825 .43591 Mtetra
.26825 .43591 .27188 .43938 .27741 .4375 .27379 .43403 Mtetra
.27379 .43403 .27741 .4375 .28296 .43563 .27934 .43215 Mtetra
.27934 .43215 .28296 .43563 .28851 .43374 .2849 .43026 Mtetra
.2849 .43026 .28851 .43374 .29408 .43186 .29047 .42836 Mtetra
.29047 .42836 .29408 .43186 .29965 .42997 .29605 .42647 Mtetra
.29605 .42647 .29965 .42997 .30524 .42807 .30165 .42456 Mtetra
.30165 .42456 .30524 .42807 .31084 .42617 .30726 .42266 Mtetra
.30726 .42266 .31084 .42617 .31646 .42427 .31288 .42075 Mtetra
.31288 .42075 .31646 .42427 .32208 .42236 .31851 .41883 Mtetra
.31851 .41883 .32208 .42236 .32772 .42045 .32416 .41692 Mtetra
.32416 .41692 .32772 .42045 .33337 .41854 .32981 .41499 Mtetra
.32981 .41499 .33337 .41854 .33903 .41662 .33548 .41307 Mtetra
.33548 .41307 .33903 .41662 .3447 .4147 .34116 .41114 Mtetra
.34116 .41114 .3447 .4147 .35039 .41277 .34685 .4092 Mtetra
.663 .74 .908 r
.34685 .4092 .35039 .41277 .35609 .41084 .35256 .40727 Mtetra
.665 .742 .907 r
.35256 .40727 .35609 .41084 .3618 .4089 .35828 .40532 Mtetra
.664 .741 .907 r
.35828 .40532 .3618 .4089 .36751 .40709 .364 .40337 Mtetra
.624 .721 .916 r
.364 .40337 .36751 .40709 .37324 .40522 .36972 .402 Mtetra
.701 .772 .907 r
.36972 .402 .37324 .40522 .379 .40307 .3755 .39947 Mtetra
.664 .741 .907 r
.3755 .39947 .379 .40307 .38468 .40283 .38127 .39751 Mtetra
0 0 .529 r
.38127 .39751 .38468 .40283 .39018 .40756 .38666 .40448 Mtetra
.679 .778 .925 r
.38666 .40448 .39018 .40756 .39631 .39721 .39248 .40229 Mtetra
.8 .916 .527 r
.39248 .40229 .39631 .39721 .40211 .39524 .39864 .3916 Mtetra
.954 .626 .36 r
.39864 .3916 .40211 .39524 .40475 .4804 .40313 .42509 Mtetra
0 0 .181 r
.40313 .42509 .40475 .4804 .41374 .3913 .40638 .49721 Mtetra
0 0 .233 r
.40638 .49721 .41374 .3913 .41957 .38932 .41613 .38566 Mtetra
.664 .741 .907 r
.41613 .38566 .41957 .38932 .41839 .61427 .42198 .38367 Mtetra
0 0 .321 r
.42198 .38367 .41839 .61427 .43128 .38535 .42097 .60895 Mtetra
0 0 .273 r
.42097 .60895 .43128 .38535 .43715 .38336 .43373 .37968 Mtetra
.664 .741 .907 r
.43373 .37968 .43715 .38336 .43723 .60866 .43962 .37768 Mtetra
0 0 .33 r
.43962 .37768 .43723 .60866 .44709 .457 .43988 .60331 Mtetra
0 0 0 r
.43988 .60331 .44709 .457 .45484 .37737 .45145 .37366 Mtetra
.664 .741 .907 r
.45145 .37366 .45484 .37737 .45945 .44072 .45738 .37164 Mtetra
0 0 .313 r
.45738 .37164 .45945 .44072 .46554 .43728 .46181 .44787 Mtetra
.997 .776 .468 r
.46181 .44787 .46554 .43728 .47265 .37133 .46902 .38258 Mtetra
0 0 0 r
.46902 .38258 .47265 .37133 .47861 .36931 .47525 .36557 Mtetra
.474 .665 .946 r
.47525 .36557 .47861 .36931 .48435 .38602 .48121 .36571 Mtetra
.26 .204 .603 r
.48121 .36571 .48435 .38602 .49058 .36526 .48705 .37677 Mtetra
0 0 0 r
.48705 .37677 .49058 .36526 .49658 .36322 .49324 .35945 Mtetra
.664 .741 .907 r
.49324 .35945 .49658 .36322 .50227 .4066 .49927 .35741 Mtetra
.012 0 .449 r
.49927 .35741 .50227 .4066 .50861 .362 .50503 .3995 Mtetra
.318 .1 .417 r
.50503 .3995 .50861 .362 .51466 .35709 .51123 .38257 Mtetra
0 0 .132 r
.51123 .38257 .51466 .35709 .52061 .43632 .51742 .35124 Mtetra
.327 .179 .522 r
.51742 .35124 .52061 .43632 .52682 .42066 .52347 .38912 Mtetra
0 0 .306 r
.52347 .38912 .52682 .42066 .53287 .35092 .52971 .43079 Mtetra
0 0 .285 r
.52971 .43079 .53287 .35092 .53909 .37758 .53569 .34503 Mtetra
.575 .396 .602 r
.53569 .34503 .53909 .37758 .54561 .43173 .5418 .34295 Mtetra
.21 .093 .493 r
.5418 .34295 .54561 .43173 .55119 .34471 .54835 .39861 Mtetra
0 0 .263 r
.54835 .39861 .55119 .34471 .55733 .34263 .55408 .33878 Mtetra
.664 .741 .907 r
.55408 .33878 .55733 .34263 .56383 .36954 .56024 .33669 Mtetra
.405 .274 .587 r
.56024 .33669 .56383 .36954 .56964 .33846 .56658 .34745 Mtetra
0 0 0 r
.56658 .34745 .56964 .33846 .57581 .33637 .57259 .33249 Mtetra
.664 .741 .907 r
.57259 .33249 .57581 .33637 .58214 .34173 .57879 .33038 Mtetra
.16 .22 .677 r
.57879 .33038 .58214 .34173 .58821 .33216 .5852 .33852 Mtetra
0 0 0 r
.5852 .33852 .58821 .33216 .59443 .33006 .59123 .32615 Mtetra
.664 .741 .907 r
.59123 .32615 .59443 .33006 .6011 .34624 .59748 .32403 Mtetra
0 0 .286 r
.59748 .32403 .6011 .34624 .60732 .34167 .60466 .35913 Mtetra
.768 .694 .151 r
.60466 .35913 .60732 .34167 .61316 .32371 .61 .31978 Mtetra
.664 .741 .907 r
.61 .31978 .61316 .32371 .61995 .33854 .61628 .31764 Mtetra
0 0 .154 r
.61628 .31764 .61995 .33854 .62724 .36663 .62396 .35966 Mtetra
.914 .71 .613 r
.62396 .35966 .62724 .36663 .63203 .31731 .62967 .33694 Mtetra
0 0 .151 r
.62967 .33694 .63203 .31731 .63835 .31517 .63522 .31121 Mtetra
.651 .192 0 r
.63522 .31121 .63835 .31517 .64607 .34946 .64201 .32118 Mtetra
.465 .328 .609 r
.64201 .32118 .64607 .34946 .65102 .31088 .64872 .32731 Mtetra
0 0 .118 r
.64872 .32731 .65102 .31088 .65738 .30872 .65428 .30473 Mtetra
.664 .741 .907 r
.65428 .30473 .65738 .30872 .66414 .31519 .66067 .30256 Mtetra
.481 .417 .708 r
.66067 .30256 .66414 .31519 .67014 .30439 .66727 .30493 Mtetra
.841 .999 .794 r
.66727 .30493 .67014 .30439 .67654 .30222 .67348 .29821 Mtetra
.664 .741 .907 r
.67348 .29821 .67654 .30222 .68299 .30068 .6799 .29602 Mtetra
.644 .7 .886 r
.6799 .29602 .68299 .30068 .6894 .29798 .68636 .29414 Mtetra
.683 .76 .909 r
.68636 .29414 .6894 .29798 .69584 .29568 .6928 .29164 Mtetra
.664 .741 .907 r
.6928 .29164 .69584 .29568 .7023 .29351 .69927 .28944 Mtetra
.663 .74 .907 r
.69927 .28944 .7023 .29351 .70878 .29131 .70576 .28724 Mtetra
.664 .741 .907 r
.70576 .28724 .70878 .29131 .71527 .2891 .71226 .28503 Mtetra
.71226 .28503 .71527 .2891 .72177 .28689 .71878 .28281 Mtetra
.71878 .28281 .72177 .28689 .72829 .28468 .72531 .28059 Mtetra
.72531 .28059 .72829 .28468 .73483 .28247 .73185 .27837 Mtetra
.73185 .27837 .73483 .28247 .74138 .28025 .73841 .27614 Mtetra
.73841 .27614 .74138 .28025 .74794 .27802 .74499 .2739 Mtetra
.74499 .2739 .74794 .27802 .75452 .27579 .75158 .27166 Mtetra
.75158 .27166 .75452 .27579 .76112 .27356 .75819 .26942 Mtetra
.75819 .26942 .76112 .27356 .76773 .27132 .76481 .26717 Mtetra
.76481 .26717 .76773 .27132 .77436 .26907 .77144 .26491 Mtetra
.77144 .26491 .77436 .26907 .781 .26682 .7781 .26265 Mtetra
.7781 .26265 .781 .26682 .78765 .26457 .78476 .26039 Mtetra
.78476 .26039 .78765 .26457 .79433 .2623 .79145 .25811 Mtetra
.79145 .25811 .79433 .2623 .80101 .26004 .79815 .25584 Mtetra
.79815 .25584 .80101 .26004 .80772 .25777 .80486 .25356 Mtetra
.80486 .25356 .80772 .25777 .81444 .25549 .81159 .25127 Mtetra
.81159 .25127 .81444 .25549 .82117 .25321 .81833 .24898 Mtetra
.81833 .24898 .82117 .25321 .82792 .25092 .8251 .24668 Mtetra
.8251 .24668 .82792 .25092 .83469 .24862 .83187 .24438 Mtetra
.83187 .24438 .83469 .24862 .84147 .24633 .83867 .24207 Mtetra
.83867 .24207 .84147 .24633 .84826 .24402 .84547 .23975 Mtetra
.23705 .44182 .24073 .44526 .24621 .4434 .24254 .43995 Mtetra
.24254 .43995 .24621 .4434 .25171 .44154 .24803 .43808 Mtetra
.24803 .43808 .25171 .44154 .25721 .43967 .25354 .4362 Mtetra
.25354 .4362 .25721 .43967 .26272 .43779 .25907 .43432 Mtetra
.25907 .43432 .26272 .43779 .26825 .43591 .2646 .43244 Mtetra
.2646 .43244 .26825 .43591 .27379 .43403 .27014 .43055 Mtetra
.27014 .43055 .27379 .43403 .27934 .43215 .2757 .42866 Mtetra
.2757 .42866 .27934 .43215 .2849 .43026 .28127 .42676 Mtetra
.28127 .42676 .2849 .43026 .29047 .42836 .28685 .42486 Mtetra
.28685 .42486 .29047 .42836 .29605 .42647 .29244 .42295 Mtetra
.29244 .42295 .29605 .42647 .30165 .42456 .29804 .42104 Mtetra
.29804 .42104 .30165 .42456 .30726 .42266 .30366 .41913 Mtetra
.30366 .41913 .30726 .42266 .31288 .42075 .30929 .41721 Mtetra
.30929 .41721 .31288 .42075 .31851 .41883 .31492 .41529 Mtetra
.31492 .41529 .31851 .41883 .32416 .41692 .32058 .41336 Mtetra
.32058 .41336 .32416 .41692 .32981 .41499 .32624 .41143 Mtetra
.32624 .41143 .32981 .41499 .33548 .41307 .33192 .4095 Mtetra
.33192 .4095 .33548 .41307 .34116 .41114 .3376 .40756 Mtetra
.3376 .40756 .34116 .41114 .34685 .4092 .3433 .40562 Mtetra
.3433 .40562 .34685 .4092 .35256 .40727 .34902 .40368 Mtetra
.662 .74 .908 r
.34902 .40368 .35256 .40727 .35828 .40532 .35474 .40176 Mtetra
.666 .744 .908 r
.35474 .40176 .35828 .40532 .364 .40337 .36048 .39977 Mtetra
.664 .741 .907 r
.36048 .39977 .364 .40337 .36972 .402 .36623 .39781 Mtetra
.531 .659 .918 r
.36623 .39781 .36972 .402 .3755 .39947 .37191 .39758 Mtetra
.773 .867 .918 r
.37191 .39758 .3755 .39947 .38127 .39751 .37776 .39388 Mtetra
.664 .741 .907 r
.37776 .39388 .38127 .39751 .38666 .40448 .38355 .39191 Mtetra
.814 .524 0 r
.38355 .39191 .38666 .40448 .39248 .40229 .38828 .41535 Mtetra
.886 .827 .356 r
.38828 .41535 .39248 .40229 .39864 .3916 .39516 .38795 Mtetra
.664 .741 .907 r
.39516 .38795 .39864 .3916 .40313 .42509 .40099 .38597 Mtetra
.969 .717 .288 r
.40099 .38597 .40313 .42509 .40638 .49721 .40251 .50113 Mtetra
.983 .765 .533 r
.40251 .50113 .40638 .49721 .41613 .38566 .41026 .45079 Mtetra
0 0 .198 r
.41026 .45079 .41613 .38566 .42198 .38367 .41854 .37999 Mtetra
.958 .674 .453 r
.41854 .37999 .42198 .38367 .42097 .60895 .42013 .51432 Mtetra
0 0 .356 r
.42013 .51432 .42097 .60895 .43373 .37968 .42357 .6036 Mtetra
0 0 .273 r
.42357 .6036 .43373 .37968 .43962 .37768 .4362 .37397 Mtetra
.664 .741 .907 r
.4362 .37397 .43962 .37768 .43988 .60331 .44211 .37195 Mtetra
0 0 .343 r
.44211 .37195 .43988 .60331 .45145 .37366 .44273 .59037 Mtetra
0 0 .282 r
.44273 .59037 .45145 .37366 .45738 .37164 .45398 .36791 Mtetra
.664 .741 .907 r
.45398 .36791 .45738 .37164 .46181 .44787 .45993 .36588 Mtetra
.187 .072 .481 r
.45993 .36588 .46181 .44787 .46902 .38258 .46492 .41692 Mtetra
0 0 0 r
.46492 .41692 .46902 .38258 .47525 .36557 .47188 .36181 Mtetra
.664 .741 .907 r
.47188 .36181 .47525 .36557 .48121 .36571 .47787 .35977 Mtetra
.651 .638 .824 r
.47787 .35977 .48121 .36571 .48705 .37677 .48388 .35772 Mtetra
.247 .202 .608 r
.48388 .35772 .48705 .37677 .49324 .35945 .48975 .36841 Mtetra
.699 .343 .369 r
.48975 .36841 .49324 .35945 .49927 .35741 .49572 .37618 Mtetra
0 0 .045 r
.49572 .37618 .49927 .35741 .50503 .3995 .50197 .35156 Mtetra
.499 .324 .574 r
.50197 .35156 .50503 .3995 .51123 .38257 .50799 .35741 Mtetra
.946 .673 .214 r
.50799 .35741 .51123 .38257 .51742 .35124 .51379 .43842 Mtetra
0 0 .281 r
.51379 .43842 .51742 .35124 .52347 .38912 .52019 .34535 Mtetra
.567 .378 .584 r
.52019 .34535 .52347 .38912 .52971 .43079 .52629 .34327 Mtetra
0 0 .326 r
.52629 .34327 .52971 .43079 .53569 .34503 .53264 .44359 Mtetra
0 0 .297 r
.53264 .44359 .53569 .34503 .5418 .34295 .53852 .3391 Mtetra
.664 .741 .907 r
.53852 .3391 .5418 .34295 .54835 .39861 .54466 .33701 Mtetra
.274 .15 .523 r
.54466 .33701 .54835 .39861 .55408 .33878 .55111 .36999 Mtetra
0 0 .216 r
.55111 .36999 .55408 .33878 .56024 .33669 .557 .33467 Mtetra
.777 .884 .922 r
.557 .33467 .56024 .33669 .56658 .34745 .56317 .33071 Mtetra
.495 .389 .663 r
.56317 .33071 .56658 .34745 .57259 .33249 .56942 .33316 Mtetra
.855 .997 .806 r
.56942 .33316 .57259 .33249 .57879 .33038 .57557 .32648 Mtetra
.552 .696 .935 r
.57557 .32648 .57879 .33038 .5852 .33852 .58182 .32586 Mtetra
.098 .16 .639 r
.58182 .32586 .5852 .33852 .59123 .32615 .5883 .33599 Mtetra
0 0 0 r
.5883 .33599 .59123 .32615 .59748 .32403 .59428 .3201 Mtetra
.664 .741 .907 r
.59428 .3201 .59748 .32403 .60466 .35913 .60054 .31797 Mtetra
0 0 .394 r
.60054 .31797 .60466 .35913 .61 .31978 .60813 .36609 Mtetra
0 0 .277 r
.60813 .36609 .61 .31978 .61628 .31764 .61311 .31369 Mtetra
.664 .741 .907 r
.61311 .31369 .61628 .31764 .62396 .35966 .61942 .31154 Mtetra
0 0 .406 r
.61942 .31154 .62396 .35966 .62967 .33694 .62757 .36601 Mtetra
0 0 0 r
.62757 .36601 .62967 .33694 .63522 .31121 .63208 .30722 Mtetra
.664 .741 .907 r
.63208 .30722 .63522 .31121 .64201 .32118 .63843 .30506 Mtetra
0 .014 .545 r
.63843 .30506 .64201 .32118 .64872 .32731 .64553 .32206 Mtetra
.908 .744 .667 r
.64553 .32206 .64872 .32731 .65428 .30473 .65143 .30704 Mtetra
.786 .951 .616 r
.65143 .30704 .65428 .30473 .66067 .30256 .65757 .29854 Mtetra
.551 .693 .934 r
.65757 .29854 .66067 .30256 .66727 .30493 .66404 .29792 Mtetra
.644 .612 .802 r
.66404 .29792 .66727 .30493 .67348 .29821 .67047 .29578 Mtetra
.762 .869 .927 r
.67047 .29578 .67348 .29821 .6799 .29602 .67683 .29198 Mtetra
.664 .741 .907 r
.67683 .29198 .6799 .29602 .68636 .29414 .68328 .28978 Mtetra
.657 .721 .896 r
.68328 .28978 .68636 .29414 .6928 .29164 .68976 .28768 Mtetra
.67 .749 .91 r
.68976 .28768 .6928 .29164 .69927 .28944 .69623 .28537 Mtetra
.664 .741 .907 r
.69623 .28537 .69927 .28944 .70576 .28724 .70273 .28315 Mtetra
.664 .74 .907 r
.70273 .28315 .70576 .28724 .71226 .28503 .70924 .28094 Mtetra
.664 .741 .907 r
.70924 .28094 .71226 .28503 .71878 .28281 .71577 .27871 Mtetra
.71577 .27871 .71878 .28281 .72531 .28059 .72231 .27648 Mtetra
.72231 .27648 .72531 .28059 .73185 .27837 .72886 .27425 Mtetra
.72886 .27425 .73185 .27837 .73841 .27614 .73543 .27201 Mtetra
.73543 .27201 .73841 .27614 .74499 .2739 .74202 .26976 Mtetra
.74202 .26976 .74499 .2739 .75158 .27166 .74862 .26751 Mtetra
.74862 .26751 .75158 .27166 .75819 .26942 .75524 .26526 Mtetra
.75524 .26526 .75819 .26942 .76481 .26717 .76187 .263 Mtetra
.76187 .263 .76481 .26717 .77144 .26491 .76852 .26074 Mtetra
.76852 .26074 .77144 .26491 .7781 .26265 .77518 .25846 Mtetra
.77518 .25846 .7781 .26265 .78476 .26039 .78186 .25619 Mtetra
.78186 .25619 .78476 .26039 .79145 .25811 .78855 .25391 Mtetra
.78855 .25391 .79145 .25811 .79815 .25584 .79526 .25162 Mtetra
.79526 .25162 .79815 .25584 .80486 .25356 .80199 .24933 Mtetra
.80199 .24933 .80486 .25356 .81159 .25127 .80873 .24703 Mtetra
.80873 .24703 .81159 .25127 .81833 .24898 .81549 .24473 Mtetra
.81549 .24473 .81833 .24898 .8251 .24668 .82226 .24242 Mtetra
.82226 .24242 .8251 .24668 .83187 .24438 .82905 .24011 Mtetra
.82905 .24011 .83187 .24438 .83867 .24207 .83585 .23779 Mtetra
.83585 .23779 .83867 .24207 .84547 .23975 .84267 .23547 Mtetra
.23335 .43837 .23705 .44182 .24254 .43995 .23885 .43649 Mtetra
.23885 .43649 .24254 .43995 .24803 .43808 .24435 .43461 Mtetra
.24435 .43461 .24803 .43808 .25354 .4362 .24987 .43273 Mtetra
.24987 .43273 .25354 .4362 .25907 .43432 .25539 .43084 Mtetra
.25539 .43084 .25907 .43432 .2646 .43244 .26093 .42895 Mtetra
.26093 .42895 .2646 .43244 .27014 .43055 .26649 .42705 Mtetra
.26649 .42705 .27014 .43055 .2757 .42866 .27205 .42515 Mtetra
.27205 .42515 .2757 .42866 .28127 .42676 .27762 .42324 Mtetra
.27762 .42324 .28127 .42676 .28685 .42486 .28321 .42134 Mtetra
.28321 .42134 .28685 .42486 .29244 .42295 .28881 .41942 Mtetra
.28881 .41942 .29244 .42295 .29804 .42104 .29442 .41751 Mtetra
.29442 .41751 .29804 .42104 .30366 .41913 .30004 .41559 Mtetra
.30004 .41559 .30366 .41913 .30929 .41721 .30568 .41366 Mtetra
.30568 .41366 .30929 .41721 .31492 .41529 .31132 .41173 Mtetra
.31132 .41173 .31492 .41529 .32058 .41336 .31698 .4098 Mtetra
.31698 .4098 .32058 .41336 .32624 .41143 .32265 .40786 Mtetra
.32265 .40786 .32624 .41143 .33192 .4095 .32834 .40592 Mtetra
.32834 .40592 .33192 .4095 .3376 .40756 .33403 .40397 Mtetra
.33403 .40397 .3376 .40756 .3433 .40562 .33974 .40202 Mtetra
.33974 .40202 .3433 .40562 .34902 .40368 .34546 .40007 Mtetra
.662 .74 .908 r
.34546 .40007 .34902 .40368 .35474 .40176 .35119 .39814 Mtetra
.35119 .39814 .35474 .40176 .36048 .39977 .35693 .39621 Mtetra
.668 .746 .908 r
.35693 .39621 .36048 .39977 .36623 .39781 .36269 .39418 Mtetra
.621 .728 .923 r
.36269 .39418 .36623 .39781 .37191 .39758 .36844 .39281 Mtetra
.426 .579 .902 r
.36844 .39281 .37191 .39758 .37776 .39388 .37408 .39374 Mtetra
.852 .96 .877 r
.37408 .39374 .37776 .39388 .38355 .39191 .38004 .38826 Mtetra
.664 .741 .907 r
.38004 .38826 .38355 .39191 .38828 .41535 .38585 .38627 Mtetra
.72 .538 0 r
.38585 .38627 .38828 .41535 .39516 .38795 .38965 .43297 Mtetra
0 0 .14 r
.38965 .43297 .39516 .38795 .40099 .38597 .3975 .38229 Mtetra
.664 .741 .907 r
.3975 .38229 .40099 .38597 .40251 .50113 .40334 .38029 Mtetra
.764 .618 .053 r
.40334 .38029 .40251 .50113 .41026 .45079 .40144 .59297 Mtetra
0 0 0 r
.40144 .59297 .41026 .45079 .41854 .37999 .41507 .37629 Mtetra
.664 .741 .907 r
.41507 .37629 .41854 .37999 .42013 .51432 .42096 .37428 Mtetra
0 0 .024 r
.42096 .37428 .42013 .51432 .42357 .6036 .41986 .60012 Mtetra
.956 .701 .511 r
.41986 .60012 .42357 .6036 .4362 .37397 .42995 .46769 Mtetra
0 0 .237 r
.42995 .46769 .4362 .37397 .44211 .37195 .43868 .36822 Mtetra
.961 .666 .428 r
.43868 .36822 .44211 .37195 .44273 .59037 .44233 .45712 Mtetra
.507 .307 .543 r
.44233 .45712 .44273 .59037 .45398 .36791 .44812 .4691 Mtetra
0 0 .252 r
.44812 .4691 .45398 .36791 .45993 .36588 .45653 .36212 Mtetra
.664 .741 .907 r
.45653 .36212 .45993 .36588 .46492 .41692 .4625 .36008 Mtetra
.377 .225 .544 r
.4625 .36008 .46492 .41692 .47188 .36181 .4681 .38009 Mtetra
0 0 .015 r
.4681 .38009 .47188 .36181 .47787 .35977 .47449 .35599 Mtetra
.047 .416 .863 r
.47449 .35599 .47787 .35977 .48388 .35772 .48043 .35895 Mtetra
.865 .996 .785 r
.48043 .35895 .48388 .35772 .48975 .36841 .48653 .35187 Mtetra
.261 .228 .632 r
.48653 .35187 .48975 .36841 .49572 .37618 .49246 .36082 Mtetra
.94 .643 .185 r
.49246 .36082 .49572 .37618 .50197 .35156 .49812 .4092 Mtetra
0 0 .239 r
.49812 .4092 .50197 .35156 .50799 .35741 .50469 .34567 Mtetra
.616 .508 .708 r
.50469 .34567 .50799 .35741 .51379 .43842 .51077 .34359 Mtetra
0 0 .172 r
.51077 .34359 .51379 .43842 .52019 .34535 .51651 .48373 Mtetra
0 0 .303 r
.51651 .48373 .52019 .34535 .52629 .34327 .52298 .33942 Mtetra
.664 .741 .907 r
.52298 .33942 .52629 .34327 .53264 .44359 .5291 .33733 Mtetra
0 0 .409 r
.5291 .33733 .53264 .44359 .53852 .3391 .53555 .43334 Mtetra
0 0 .295 r
.53555 .43334 .53852 .3391 .54466 .33701 .54138 .33314 Mtetra
.664 .741 .907 r
.54138 .33314 .54466 .33701 .55111 .36999 .54754 .33103 Mtetra
.322 .204 .559 r
.54754 .33103 .55111 .36999 .557 .33467 .5539 .34905 Mtetra
0 0 .104 r
.5539 .34905 .557 .33467 .56317 .33071 .55997 .33256 Mtetra
.838 .985 .706 r
.55997 .33256 .56317 .33071 .56942 .33316 .56611 .32469 Mtetra
.601 .55 .77 r
.56611 .32469 .56942 .33316 .57557 .32648 .57235 .32349 Mtetra
.723 .814 .922 r
.57235 .32349 .57557 .32648 .58182 .32586 .57856 .32043 Mtetra
0 0 .526 r
.57856 .32043 .58182 .32586 .5883 .33599 .58501 .32908 Mtetra
.617 .598 .81 r
.58501 .32908 .5883 .33599 .59428 .3201 .59131 .32763 Mtetra
0 0 0 r
.59131 .32763 .59428 .3201 .60054 .31797 .59734 .31402 Mtetra
.748 .295 0 r
.59734 .31402 .60054 .31797 .60813 .36609 .60397 .3255 Mtetra
.151 .082 .518 r
.60397 .3255 .60813 .36609 .61311 .31369 .61117 .35542 Mtetra
0 0 .266 r
.61117 .35542 .61311 .31369 .61942 .31154 .61625 .30756 Mtetra
.664 .741 .907 r
.61625 .30756 .61942 .31154 .62757 .36601 .62258 .30539 Mtetra
.144 .061 .495 r
.62258 .30539 .62757 .36601 .63208 .30722 .63052 .35115 Mtetra
0 0 .281 r
.63052 .35115 .63208 .30722 .63843 .30506 .63529 .30105 Mtetra
.664 .741 .907 r
.63529 .30105 .63843 .30506 .64553 .32206 .64166 .29888 Mtetra
.275 .21 .6 r
.64166 .29888 .64553 .32206 .65143 .30704 .64866 .31206 Mtetra
.893 .869 .428 r
.64866 .31206 .65143 .30704 .65757 .29854 .65445 .29451 Mtetra
.664 .741 .907 r
.65445 .29451 .65757 .29854 .66404 .29792 .66087 .29231 Mtetra
.575 .625 .865 r
.66087 .29231 .66404 .29792 .67047 .29578 .66737 .29163 Mtetra
.727 .758 .877 r
.66737 .29163 .67047 .29578 .67683 .29198 .67376 .28822 Mtetra
.683 .766 .914 r
.67376 .28822 .67683 .29198 .68328 .28978 .68021 .28571 Mtetra
.662 .74 .908 r
.68021 .28571 .68328 .28978 .68976 .28768 .68669 .28353 Mtetra
.665 .737 .904 r
.68669 .28353 .68976 .28768 .69623 .28537 .69318 .2813 Mtetra
.665 .743 .908 r
.69318 .2813 .69623 .28537 .70273 .28315 .69969 .27905 Mtetra
.664 .741 .907 r
.69969 .27905 .70273 .28315 .70924 .28094 .70621 .27682 Mtetra
.70621 .27682 .70924 .28094 .71577 .27871 .71274 .27459 Mtetra
.71274 .27459 .71577 .27871 .72231 .27648 .7193 .27235 Mtetra
.7193 .27235 .72231 .27648 .72886 .27425 .72586 .27011 Mtetra
.72586 .27011 .72886 .27425 .73543 .27201 .73244 .26786 Mtetra
.73244 .26786 .73543 .27201 .74202 .26976 .73904 .26561 Mtetra
.73904 .26561 .74202 .26976 .74862 .26751 .74565 .26335 Mtetra
.74565 .26335 .74862 .26751 .75524 .26526 .75228 .26108 Mtetra
.75228 .26108 .75524 .26526 .76187 .263 .75892 .25881 Mtetra
.75892 .25881 .76187 .263 .76852 .26074 .76558 .25654 Mtetra
.76558 .25654 .76852 .26074 .77518 .25846 .77226 .25426 Mtetra
.77226 .25426 .77518 .25846 .78186 .25619 .77895 .25197 Mtetra
.77895 .25197 .78186 .25619 .78855 .25391 .78565 .24968 Mtetra
.78565 .24968 .78855 .25391 .79526 .25162 .79237 .24739 Mtetra
.79237 .24739 .79526 .25162 .80199 .24933 .79911 .24509 Mtetra
.79911 .24509 .80199 .24933 .80873 .24703 .80586 .24278 Mtetra
.80586 .24278 .80873 .24703 .81549 .24473 .81263 .24047 Mtetra
.81263 .24047 .81549 .24473 .82226 .24242 .81941 .23815 Mtetra
.81941 .23815 .82226 .24242 .82905 .24011 .82621 .23583 Mtetra
.82621 .23583 .82905 .24011 .83585 .23779 .83303 .2335 Mtetra
.83303 .2335 .83585 .23779 .84267 .23547 .83986 .23116 Mtetra
.22964 .4349 .23335 .43837 .23885 .43649 .23514 .43302 Mtetra
.23514 .43302 .23885 .43649 .24435 .43461 .24065 .43113 Mtetra
.24065 .43113 .24435 .43461 .24987 .43273 .24617 .42924 Mtetra
.24617 .42924 .24987 .43273 .25539 .43084 .25171 .42734 Mtetra
.25171 .42734 .25539 .43084 .26093 .42895 .25726 .42544 Mtetra
.25726 .42544 .26093 .42895 .26649 .42705 .26281 .42354 Mtetra
.26281 .42354 .26649 .42705 .27205 .42515 .26838 .42163 Mtetra
.26838 .42163 .27205 .42515 .27762 .42324 .27397 .41972 Mtetra
.27397 .41972 .27762 .42324 .28321 .42134 .27956 .4178 Mtetra
.27956 .4178 .28321 .42134 .28881 .41942 .28517 .41588 Mtetra
.28517 .41588 .28881 .41942 .29442 .41751 .29078 .41396 Mtetra
.29078 .41396 .29442 .41751 .30004 .41559 .29641 .41203 Mtetra
.29641 .41203 .30004 .41559 .30568 .41366 .30206 .4101 Mtetra
.30206 .4101 .30568 .41366 .31132 .41173 .30771 .40816 Mtetra
.30771 .40816 .31132 .41173 .31698 .4098 .31338 .40622 Mtetra
.31338 .40622 .31698 .4098 .32265 .40786 .31905 .40427 Mtetra
.31905 .40427 .32265 .40786 .32834 .40592 .32475 .40232 Mtetra
.32475 .40232 .32834 .40592 .33403 .40397 .33045 .40037 Mtetra
.33045 .40037 .33403 .40397 .33974 .40202 .33616 .39841 Mtetra
.33616 .39841 .33974 .40202 .34546 .40007 .34189 .39645 Mtetra
.34189 .39645 .34546 .40007 .35119 .39814 .34763 .39448 Mtetra
.653 .736 .91 r
.34763 .39448 .35119 .39814 .35693 .39621 .35337 .39267 Mtetra
.674 .749 .907 r
.35337 .39267 .35693 .39621 .36269 .39418 .35915 .39054 Mtetra
.664 .741 .907 r
.35915 .39054 .36269 .39418 .36844 .39281 .36493 .38856 Mtetra
.351 .571 .922 r
.36493 .38856 .36844 .39281 .37408 .39374 .37056 .38984 Mtetra
.628 .716 .91 r
.37056 .38984 .37408 .39374 .38004 .38826 .37634 .38838 Mtetra
.86 .969 .865 r
.37634 .38838 .38004 .38826 .38585 .38627 .38233 .3826 Mtetra
.914 .513 .159 r
.38233 .3826 .38585 .38627 .38965 .43297 .38743 .3977 Mtetra
0 0 .239 r
.38743 .3977 .38965 .43297 .3975 .38229 .39146 .4408 Mtetra
0 0 .171 r
.39146 .4408 .3975 .38229 .40334 .38029 .39985 .3766 Mtetra
.664 .741 .907 r
.39985 .3766 .40334 .38029 .40144 .59297 .40572 .37459 Mtetra
0 0 .282 r
.40572 .37459 .40144 .59297 .41507 .37629 .40352 .60041 Mtetra
0 0 .259 r
.40352 .60041 .41507 .37629 .42096 .37428 .41749 .37055 Mtetra
.664 .741 .907 r
.41749 .37055 .42096 .37428 .41986 .60012 .42339 .36853 Mtetra
0 0 .318 r
.42339 .36853 .41986 .60012 .42995 .46769 .42247 .59471 Mtetra
.804 .671 .122 r
.42247 .59471 .42995 .46769 .43868 .36822 .43524 .36447 Mtetra
.664 .741 .907 r
.43524 .36447 .43868 .36822 .44233 .45712 .44118 .36244 Mtetra
0 0 .256 r
.44118 .36244 .44233 .45712 .44812 .4691 .44438 .47325 Mtetra
.977 .732 .498 r
.44438 .47325 .44812 .4691 .45653 .36212 .45257 .38226 Mtetra
0 0 .027 r
.45257 .38226 .45653 .36212 .4625 .36008 .45909 .3563 Mtetra
.758 .289 0 r
.45909 .3563 .4625 .36008 .4681 .38009 .46487 .36576 Mtetra
.755 .572 .649 r
.46487 .36576 .4681 .38009 .47449 .35599 .47107 .35379 Mtetra
.627 .835 .98 r
.47107 .35379 .47449 .35599 .48043 .35895 .47709 .35195 Mtetra
0 0 .345 r
.47709 .35195 .48043 .35895 .48653 .35187 .48295 .3636 Mtetra
0 0 0 r
.48295 .3636 .48653 .35187 .49246 .36082 .4892 .34599 Mtetra
.552 .439 .678 r
.4892 .34599 .49246 .36082 .49812 .4092 .49525 .34607 Mtetra
0 0 .298 r
.49525 .34607 .49812 .4092 .50469 .34567 .50075 .42122 Mtetra
0 0 .261 r
.50075 .42122 .50469 .34567 .51077 .34359 .50743 .33974 Mtetra
.664 .741 .907 r
.50743 .33974 .51077 .34359 .51651 .48373 .51353 .33765 Mtetra
.053 0 .425 r
.51353 .33765 .51651 .48373 .52298 .33942 .51945 .45522 Mtetra
0 0 .296 r
.51945 .45522 .52298 .33942 .5291 .33733 .52578 .33346 Mtetra
.664 .741 .907 r
.52578 .33346 .5291 .33733 .53555 .43334 .53193 .33135 Mtetra
.28 .14 .505 r
.53193 .33135 .53555 .43334 .54138 .33314 .53831 .38362 Mtetra
0 0 .294 r
.53831 .38362 .54138 .33314 .54754 .33103 .54429 .33349 Mtetra
.825 .97 .657 r
.54429 .33349 .54754 .33103 .5539 .34905 .55044 .32501 Mtetra
.477 .344 .621 r
.55044 .32501 .5539 .34905 .55997 .33256 .5567 .32931 Mtetra
.817 .811 .845 r
.5567 .32931 .55997 .33256 .56611 .32469 .56289 .3239 Mtetra
.715 .954 .95 r
.56289 .3239 .56611 .32469 .57235 .32349 .5691 .32038 Mtetra
.764 .815 .893 r
.5691 .32038 .57235 .32349 .57856 .32043 .57532 .31649 Mtetra
.664 .741 .907 r
.57532 .31649 .57856 .32043 .58501 .32908 .58158 .31435 Mtetra
0 0 .391 r
.58158 .31435 .58501 .32908 .59131 .32763 .58831 .33535 Mtetra
.926 .835 .384 r
.58831 .33535 .59131 .32763 .59734 .31402 .59413 .31005 Mtetra
.664 .741 .907 r
.59413 .31005 .59734 .31402 .60397 .3255 .60043 .30789 Mtetra
0 0 .161 r
.60043 .30789 .60397 .3255 .61117 .35542 .60771 .34304 Mtetra
.813 .619 .641 r
.60771 .34304 .61117 .35542 .61625 .30756 .61373 .3272 Mtetra
0 0 .135 r
.61373 .3272 .61625 .30756 .62258 .30539 .61941 .30139 Mtetra
.722 .268 0 r
.61941 .30139 .62258 .30539 .63052 .35115 .6262 .3127 Mtetra
.419 .277 .58 r
.6262 .3127 .63052 .35115 .63529 .30105 .63307 .32432 Mtetra
0 0 .184 r
.63307 .32432 .63529 .30105 .64166 .29888 .63851 .29484 Mtetra
.664 .741 .907 r
.63851 .29484 .64166 .29888 .64866 .31206 .64491 .29265 Mtetra
.42 .326 .643 r
.64491 .29265 .64866 .31206 .65445 .29451 .65166 .29866 Mtetra
.685 .845 .425 r
.65166 .29866 .65445 .29451 .66087 .29231 .65775 .28825 Mtetra
.664 .741 .907 r
.65775 .28825 .66087 .29231 .66737 .29163 .6642 .28605 Mtetra
.618 .649 .858 r
.6642 .28605 .66737 .29163 .67376 .28822 .67069 .2846 Mtetra
.71 .783 .909 r
.67069 .2846 .67376 .28822 .68021 .28571 .67713 .28162 Mtetra
.664 .741 .907 r
.67713 .28162 .68021 .28571 .68669 .28353 .68361 .27939 Mtetra
.663 .738 .906 r
.68361 .27939 .68669 .28353 .69318 .2813 .69011 .27719 Mtetra
.665 .741 .907 r
.69011 .27719 .69318 .2813 .69969 .27905 .69663 .27494 Mtetra
.664 .741 .907 r
.69663 .27494 .69969 .27905 .70621 .27682 .70316 .2727 Mtetra
.70316 .2727 .70621 .27682 .71274 .27459 .70971 .27046 Mtetra
.70971 .27046 .71274 .27459 .7193 .27235 .71627 .26821 Mtetra
.71627 .26821 .7193 .27235 .72586 .27011 .72285 .26595 Mtetra
.72285 .26595 .72586 .27011 .73244 .26786 .72944 .2637 Mtetra
.72944 .2637 .73244 .26786 .73904 .26561 .73605 .26143 Mtetra
.73605 .26143 .73904 .26561 .74565 .26335 .74267 .25916 Mtetra
.74267 .25916 .74565 .26335 .75228 .26108 .74931 .25689 Mtetra
.74931 .25689 .75228 .26108 .75892 .25881 .75596 .25461 Mtetra
.75596 .25461 .75892 .25881 .76558 .25654 .76263 .25233 Mtetra
.76263 .25233 .76558 .25654 .77226 .25426 .76932 .25004 Mtetra
.76932 .25004 .77226 .25426 .77895 .25197 .77602 .24774 Mtetra
.77602 .24774 .77895 .25197 .78565 .24968 .78273 .24544 Mtetra
.78273 .24544 .78565 .24968 .79237 .24739 .78947 .24313 Mtetra
.78947 .24313 .79237 .24739 .79911 .24509 .79621 .24082 Mtetra
.79621 .24082 .79911 .24509 .80586 .24278 .80298 .23851 Mtetra
.80298 .23851 .80586 .24278 .81263 .24047 .80976 .23618 Mtetra
.80976 .23618 .81263 .24047 .81941 .23815 .81655 .23386 Mtetra
.81655 .23386 .81941 .23815 .82621 .23583 .82336 .23152 Mtetra
.82336 .23152 .82621 .23583 .83303 .2335 .83019 .22918 Mtetra
.83019 .22918 .83303 .2335 .83986 .23116 .83703 .22684 Mtetra
.22591 .43142 .22964 .4349 .23514 .43302 .23142 .42953 Mtetra
.23142 .42953 .23514 .43302 .24065 .43113 .23694 .42763 Mtetra
.23694 .42763 .24065 .43113 .24617 .42924 .24247 .42573 Mtetra
.24247 .42573 .24617 .42924 .25171 .42734 .24801 .42383 Mtetra
.24801 .42383 .25171 .42734 .25726 .42544 .25356 .42192 Mtetra
.25356 .42192 .25726 .42544 .26281 .42354 .25913 .42001 Mtetra
.25913 .42001 .26281 .42354 .26838 .42163 .26471 .4181 Mtetra
.26471 .4181 .26838 .42163 .27397 .41972 .27029 .41618 Mtetra
.27029 .41618 .27397 .41972 .27956 .4178 .2759 .41425 Mtetra
.2759 .41425 .27956 .4178 .28517 .41588 .28151 .41233 Mtetra
.28151 .41233 .28517 .41588 .29078 .41396 .28713 .41039 Mtetra
.28713 .41039 .29078 .41396 .29641 .41203 .29277 .40846 Mtetra
.29277 .40846 .29641 .41203 .30206 .4101 .29842 .40652 Mtetra
.29842 .40652 .30206 .4101 .30771 .40816 .30408 .40457 Mtetra
.30408 .40457 .30771 .40816 .31338 .40622 .30976 .40262 Mtetra
.30976 .40262 .31338 .40622 .31905 .40427 .31544 .40067 Mtetra
.31544 .40067 .31905 .40427 .32475 .40232 .32114 .39871 Mtetra
.32114 .39871 .32475 .40232 .33045 .40037 .32685 .39675 Mtetra
.32685 .39675 .33045 .40037 .33616 .39841 .33257 .39479 Mtetra
.663 .741 .907 r
.33257 .39479 .33616 .39841 .34189 .39645 .33831 .39282 Mtetra
.664 .741 .907 r
.33831 .39282 .34189 .39645 .34763 .39448 .34405 .39084 Mtetra
.34405 .39084 .34763 .39448 .35337 .39267 .34981 .38886 Mtetra
.631 .722 .913 r
.34981 .38886 .35337 .39267 .35915 .39054 .35556 .38736 Mtetra
.695 .777 .914 r
.35556 .38736 .35915 .39054 .36493 .38856 .36137 .3849 Mtetra
.664 .741 .907 r
.36137 .3849 .36493 .38856 .37056 .38984 .36717 .3829 Mtetra
0 .021 .594 r
.36717 .3829 .37056 .38984 .37634 .38838 .37253 .39033 Mtetra
.962 .937 .706 r
.37253 .39033 .37634 .38838 .38233 .3826 .3788 .37891 Mtetra
.664 .741 .907 r
.3788 .37891 .38233 .3826 .38743 .3977 .38464 .3769 Mtetra
.954 .682 .235 r
.38464 .3769 .38743 .3977 .39146 .4408 .38805 .43282 Mtetra
.866 .678 .645 r
.38805 .43282 .39146 .4408 .39985 .3766 .39469 .41394 Mtetra
0 0 .112 r
.39469 .41394 .39985 .3766 .40572 .37459 .40222 .37087 Mtetra
.958 .666 .438 r
.40222 .37087 .40572 .37459 .40352 .60041 .40482 .45873 Mtetra
0 0 .392 r
.40482 .45873 .40352 .60041 .41749 .37055 .40686 .57227 Mtetra
0 0 .256 r
.40686 .57227 .41749 .37055 .42339 .36853 .41992 .36479 Mtetra
.664 .741 .907 r
.41992 .36479 .42339 .36853 .42247 .59471 .42584 .36275 Mtetra
0 0 .318 r
.42584 .36275 .42247 .59471 .43524 .36447 .4251 .58926 Mtetra
0 0 .269 r
.4251 .58926 .43524 .36447 .44118 .36244 .43773 .35867 Mtetra
.664 .741 .907 r
.43773 .35867 .44118 .36244 .44438 .47325 .4437 .35662 Mtetra
.144 .03 .454 r
.4437 .35662 .44438 .47325 .45257 .38226 .44781 .43344 Mtetra
0 0 0 r
.44781 .43344 .45257 .38226 .45909 .3563 .45567 .35251 Mtetra
.664 .741 .907 r
.45567 .35251 .45909 .3563 .46487 .36576 .46167 .35045 Mtetra
.185 .186 .625 r
.46167 .35045 .46487 .36576 .47107 .35379 .46748 .36002 Mtetra
.804 .874 .438 r
.46748 .36002 .47107 .35379 .47709 .35195 .47372 .34631 Mtetra
.654 .653 .836 r
.47372 .34631 .47709 .35195 .48295 .3636 .47976 .34423 Mtetra
0 0 .3 r
.47976 .34423 .48295 .3636 .4892 .34599 .48547 .37067 Mtetra
0 0 .099 r
.48547 .37067 .4892 .34599 .49525 .34607 .49189 .34007 Mtetra
.651 .64 .826 r
.49189 .34007 .49525 .34607 .50075 .42122 .49798 .33798 Mtetra
0 0 .415 r
.49798 .33798 .50075 .42122 .50743 .33974 .50359 .41045 Mtetra
0 0 .256 r
.50359 .41045 .50743 .33974 .51353 .33765 .51019 .33378 Mtetra
.664 .741 .907 r
.51019 .33378 .51353 .33765 .51945 .45522 .51631 .33168 Mtetra
.306 .154 .505 r
.51631 .33168 .51945 .45522 .52578 .33346 .52241 .38913 Mtetra
.079 0 .361 r
.52241 .38913 .52578 .33346 .53193 .33135 .52863 .34543 Mtetra
0 0 0 r
.52863 .34543 .53193 .33135 .53831 .38362 .53477 .32534 Mtetra
.473 .297 .561 r
.53477 .32534 .53831 .38362 .54429 .33349 .54102 .33551 Mtetra
0 0 0 r
.54102 .33551 .54429 .33349 .55044 .32501 .54723 .33328 Mtetra
.54723 .33328 .55044 .32501 .5567 .32931 .55336 .31896 Mtetra
.623 .531 .729 r
.55336 .31896 .5567 .32931 .56289 .3239 .55958 .31682 Mtetra
.506 .534 .82 r
.55958 .31682 .56289 .3239 .5691 .32038 .56585 .31746 Mtetra
.286 .631 .963 r
.56585 .31746 .5691 .32038 .57532 .31649 .57215 .31847 Mtetra
.831 .98 .689 r
.57215 .31847 .57532 .31649 .58158 .31435 .57833 .31038 Mtetra
.664 .741 .907 r
.57833 .31038 .58158 .31435 .58831 .33535 .58461 .30822 Mtetra
0 0 .444 r
.58461 .30822 .58831 .33535 .59413 .31005 .59157 .33788 Mtetra
0 0 .192 r
.59157 .33788 .59413 .31005 .60043 .30789 .59721 .30389 Mtetra
.664 .741 .907 r
.59721 .30389 .60043 .30789 .60771 .34304 .60353 .30172 Mtetra
0 0 .406 r
.60353 .30172 .60771 .34304 .61373 .3272 .61119 .34831 Mtetra
.806 .696 .156 r
.61119 .34831 .61373 .3272 .61941 .30139 .61622 .29737 Mtetra
.664 .741 .907 r
.61622 .29737 .61941 .30139 .6262 .3127 .62258 .29518 Mtetra
0 0 .494 r
.62258 .29518 .6262 .3127 .63307 .32432 .62971 .31535 Mtetra
.856 .671 .651 r
.62971 .31535 .63307 .32432 .63851 .29484 .63566 .29954 Mtetra
.667 .822 .388 r
.63566 .29954 .63851 .29484 .64491 .29265 .64176 .28859 Mtetra
.473 .656 .94 r
.64176 .28859 .64491 .29265 .65166 .29866 .64828 .28879 Mtetra
.61 .533 .743 r
.64828 .28879 .65166 .29866 .65775 .28825 .65475 .28713 Mtetra
.825 .956 .9 r
.65475 .28713 .65775 .28825 .6642 .28605 .66108 .28196 Mtetra
.664 .741 .907 r
.66108 .28196 .6642 .28605 .67069 .2846 .66754 .27974 Mtetra
.647 .695 .88 r
.66754 .27974 .67069 .2846 .67713 .28162 .67404 .27777 Mtetra
.68 .761 .913 r
.67404 .27777 .67713 .28162 .68361 .27939 .68052 .27528 Mtetra
.664 .741 .907 r
.68052 .27528 .68361 .27939 .69011 .27719 .68703 .27304 Mtetra
.663 .739 .907 r
.68703 .27304 .69011 .27719 .69663 .27494 .69356 .27081 Mtetra
.664 .741 .907 r
.69356 .27081 .69663 .27494 .70316 .2727 .7001 .26855 Mtetra
.7001 .26855 .70316 .2727 .70971 .27046 .70666 .2663 Mtetra
.70666 .2663 .70971 .27046 .71627 .26821 .71323 .26404 Mtetra
.71323 .26404 .71627 .26821 .72285 .26595 .71982 .26178 Mtetra
.71982 .26178 .72285 .26595 .72944 .2637 .72642 .25951 Mtetra
.72642 .25951 .72944 .2637 .73605 .26143 .73304 .25724 Mtetra
.73304 .25724 .73605 .26143 .74267 .25916 .73968 .25496 Mtetra
.73968 .25496 .74267 .25916 .74931 .25689 .74633 .25268 Mtetra
.74633 .25268 .74931 .25689 .75596 .25461 .75299 .25039 Mtetra
.75299 .25039 .75596 .25461 .76263 .25233 .75967 .24809 Mtetra
.75967 .24809 .76263 .25233 .76932 .25004 .76637 .24579 Mtetra
.76637 .24579 .76932 .25004 .77602 .24774 .77308 .24349 Mtetra
.77308 .24349 .77602 .24774 .78273 .24544 .7798 .24118 Mtetra
.7798 .24118 .78273 .24544 .78947 .24313 .78655 .23886 Mtetra
.78655 .23886 .78947 .24313 .79621 .24082 .79331 .23654 Mtetra
.79331 .23654 .79621 .24082 .80298 .23851 .80008 .23422 Mtetra
.80008 .23422 .80298 .23851 .80976 .23618 .80687 .23188 Mtetra
.80687 .23188 .80976 .23618 .81655 .23386 .81368 .22955 Mtetra
.81368 .22955 .81655 .23386 .82336 .23152 .8205 .2272 Mtetra
.8205 .2272 .82336 .23152 .83019 .22918 .82734 .22485 Mtetra
.82734 .22485 .83019 .22918 .83703 .22684 .83419 .2225 Mtetra
.22217 .42793 .22591 .43142 .23142 .42953 .22768 .42603 Mtetra
.22768 .42603 .23142 .42953 .23694 .42763 .23321 .42412 Mtetra
.23321 .42412 .23694 .42763 .24247 .42573 .23875 .42222 Mtetra
.23875 .42222 .24247 .42573 .24801 .42383 .24429 .42031 Mtetra
.24429 .42031 .24801 .42383 .25356 .42192 .24985 .41839 Mtetra
.24985 .41839 .25356 .42192 .25913 .42001 .25543 .41647 Mtetra
.25543 .41647 .25913 .42001 .26471 .4181 .26101 .41455 Mtetra
.26101 .41455 .26471 .4181 .27029 .41618 .26661 .41262 Mtetra
.26661 .41262 .27029 .41618 .2759 .41425 .27222 .41069 Mtetra
.27222 .41069 .2759 .41425 .28151 .41233 .27784 .40876 Mtetra
.27784 .40876 .28151 .41233 .28713 .41039 .28347 .40682 Mtetra
.28347 .40682 .28713 .41039 .29277 .40846 .28911 .40487 Mtetra
.28911 .40487 .29277 .40846 .29842 .40652 .29477 .40292 Mtetra
.29477 .40292 .29842 .40652 .30408 .40457 .30044 .40097 Mtetra
.30044 .40097 .30408 .40457 .30976 .40262 .30612 .39902 Mtetra
.30612 .39902 .30976 .40262 .31544 .40067 .31181 .39705 Mtetra
.31181 .39705 .31544 .40067 .32114 .39871 .31752 .39509 Mtetra
.31752 .39509 .32114 .39871 .32685 .39675 .32324 .39312 Mtetra
.32324 .39312 .32685 .39675 .33257 .39479 .32897 .39115 Mtetra
.663 .741 .907 r
.32897 .39115 .33257 .39479 .33831 .39282 .33471 .38918 Mtetra
.33471 .38918 .33831 .39282 .34405 .39084 .34046 .3872 Mtetra
.665 .742 .908 r
.34046 .3872 .34405 .39084 .34981 .38886 .34623 .3852 Mtetra
.655 .738 .911 r
.34623 .3852 .34981 .38886 .35556 .38736 .352 .38335 Mtetra
.605 .703 .913 r
.352 .38335 .35556 .38736 .36137 .3849 .35775 .3822 Mtetra
.728 .814 .918 r
.35775 .3822 .36137 .3849 .36717 .3829 .36361 .37922 Mtetra
.664 .741 .907 r
.36361 .37922 .36717 .3829 .37253 .39033 .36943 .37721 Mtetra
0 0 .345 r
.36943 .37721 .37253 .39033 .3788 .37891 .3744 .39344 Mtetra
0 0 0 r
.3744 .39344 .3788 .37891 .38464 .3769 .3811 .37319 Mtetra
.664 .741 .907 r
.3811 .37319 .38464 .3769 .38805 .43282 .38696 .37118 Mtetra
.761 .603 .034 r
.38696 .37118 .38805 .43282 .39469 .41394 .38842 .47568 Mtetra
.802 .692 .149 r
.38842 .47568 .39469 .41394 .40222 .37087 .39871 .36713 Mtetra
.664 .741 .907 r
.39871 .36713 .40222 .37087 .40482 .45873 .4046 .3651 Mtetra
.853 .669 .133 r
.4046 .3651 .40482 .45873 .40686 .57227 .40364 .55429 Mtetra
.922 .667 .535 r
.40364 .55429 .40686 .57227 .41992 .36479 .41369 .4416 Mtetra
0 0 .208 r
.41369 .4416 .41992 .36479 .42584 .36275 .42236 .35898 Mtetra
.96 .664 .426 r
.42236 .35898 .42584 .36275 .4251 .58926 .42577 .44059 Mtetra
.452 .261 .53 r
.42577 .44059 .4251 .58926 .43773 .35867 .43099 .46985 Mtetra
0 0 .243 r
.43099 .46985 .43773 .35867 .4437 .35662 .44024 .35282 Mtetra
.664 .741 .907 r
.44024 .35282 .4437 .35662 .44781 .43344 .44623 .35076 Mtetra
.317 .167 .514 r
.44623 .35076 .44781 .43344 .45567 .35251 .45136 .38652 Mtetra
0 0 .136 r
.45136 .38652 .45567 .35251 .46167 .35045 .45824 .34663 Mtetra
.664 .741 .907 r
.45824 .34663 .46167 .35045 .46748 .36002 .46427 .34455 Mtetra
.056 .095 .585 r
.46427 .34455 .46748 .36002 .47372 .34631 .47007 .35653 Mtetra
0 0 0 r
.47007 .35653 .47372 .34631 .47976 .34423 .47636 .34039 Mtetra
.664 .741 .907 r
.47636 .34039 .47976 .34423 .48547 .37067 .48243 .3383 Mtetra
0 0 .211 r
.48243 .3383 .48547 .37067 .49189 .34007 .48795 .38496 Mtetra
0 0 .2 r
.48795 .38496 .49189 .34007 .49798 .33798 .4946 .33411 Mtetra
.664 .741 .907 r
.4946 .33411 .49798 .33798 .50359 .41045 .50071 .332 Mtetra
.002 0 .422 r
.50071 .332 .50359 .41045 .51019 .33378 .50643 .39907 Mtetra
.267 .078 .428 r
.50643 .39907 .51019 .33378 .51631 .33168 .51282 .36473 Mtetra
0 0 .172 r
.51282 .36473 .51631 .33168 .52241 .38913 .51911 .32566 Mtetra
.391 .233 .544 r
.51911 .32566 .52241 .38913 .52863 .34543 .52528 .34656 Mtetra
.863 .446 .233 r
.52528 .34656 .52863 .34543 .53477 .32534 .53153 .36018 Mtetra
0 0 .192 r
.53153 .36018 .53477 .32534 .54102 .33551 .53764 .31928 Mtetra
.599 .461 .665 r
.53764 .31928 .54102 .33551 .54723 .33328 .54384 .31715 Mtetra
.268 .24 .641 r
.54384 .31715 .54723 .33328 .55336 .31896 .55015 .32587 Mtetra
0 0 0 r
.55015 .32587 .55336 .31896 .55958 .31682 .55629 .31286 Mtetra
.664 .741 .907 r
.55629 .31286 .55958 .31682 .56585 .31746 .56254 .31071 Mtetra
.294 .422 .821 r
.56254 .31071 .56585 .31746 .57215 .31847 .56887 .31398 Mtetra
.656 .711 .888 r
.56887 .31398 .57215 .31847 .57833 .31038 .57516 .31192 Mtetra
.843 .99 .728 r
.57516 .31192 .57833 .31038 .58461 .30822 .58136 .30423 Mtetra
0 .203 .716 r
.58136 .30423 .58461 .30822 .59157 .33788 .58781 .30937 Mtetra
.167 .114 .549 r
.58781 .30937 .59157 .33788 .59721 .30389 .59463 .32934 Mtetra
0 0 .175 r
.59463 .32934 .59721 .30389 .60353 .30172 .60031 .2977 Mtetra
.664 .741 .907 r
.60031 .2977 .60353 .30172 .61119 .34831 .60665 .29552 Mtetra
.134 .057 .496 r
.60665 .29552 .61119 .34831 .61622 .29737 .6142 .33524 Mtetra
0 0 .25 r
.6142 .33524 .61622 .29737 .62258 .29518 .61939 .29113 Mtetra
.664 .741 .907 r
.61939 .29113 .62258 .29518 .62971 .31535 .62578 .28893 Mtetra
.241 .174 .578 r
.62578 .28893 .62971 .31535 .63566 .29954 .63281 .30499 Mtetra
.926 .861 .426 r
.63281 .30499 .63566 .29954 .64176 .28859 .6386 .28451 Mtetra
.664 .741 .907 r
.6386 .28451 .64176 .28859 .64828 .28879 .64503 .2823 Mtetra
.525 .568 .842 r
.64503 .2823 .64828 .28879 .65475 .28713 .65158 .28251 Mtetra
.747 .743 .848 r
.65158 .28251 .65475 .28713 .66108 .28196 .65797 .27844 Mtetra
.7 .788 .919 r
.65797 .27844 .66108 .28196 .66754 .27974 .66442 .27562 Mtetra
.659 .739 .909 r
.66442 .27562 .66754 .27974 .67404 .27777 .67092 .27346 Mtetra
.665 .731 .899 r
.67092 .27346 .67404 .27777 .68052 .27528 .67742 .2712 Mtetra
.667 .745 .909 r
.67742 .2712 .68052 .27528 .68703 .27304 .68394 .2689 Mtetra
.664 .741 .907 r
.68394 .2689 .68703 .27304 .69356 .27081 .69048 .26665 Mtetra
.664 .74 .907 r
.69048 .26665 .69356 .27081 .7001 .26855 .69703 .26439 Mtetra
.664 .741 .907 r
.69703 .26439 .7001 .26855 .70666 .2663 .7036 .26213 Mtetra
.7036 .26213 .70666 .2663 .71323 .26404 .71018 .25986 Mtetra
.71018 .25986 .71323 .26404 .71982 .26178 .71678 .25759 Mtetra
.71678 .25759 .71982 .26178 .72642 .25951 .7234 .25531 Mtetra
.7234 .25531 .72642 .25951 .73304 .25724 .73002 .25303 Mtetra
.73002 .25303 .73304 .25724 .73968 .25496 .73667 .25074 Mtetra
.73667 .25074 .73968 .25496 .74633 .25268 .74333 .24845 Mtetra
.74333 .24845 .74633 .25268 .75299 .25039 .75 .24615 Mtetra
.75 .24615 .75299 .25039 .75967 .24809 .75669 .24384 Mtetra
.75669 .24384 .75967 .24809 .76637 .24579 .7634 .24154 Mtetra
.7634 .24154 .76637 .24579 .77308 .24349 .77012 .23922 Mtetra
.77012 .23922 .77308 .24349 .7798 .24118 .77686 .2369 Mtetra
.77686 .2369 .7798 .24118 .78655 .23886 .78362 .23457 Mtetra
.78362 .23457 .78655 .23886 .79331 .23654 .79039 .23224 Mtetra
.79039 .23224 .79331 .23654 .80008 .23422 .79717 .22991 Mtetra
.79717 .22991 .80008 .23422 .80687 .23188 .80397 .22756 Mtetra
.80397 .22756 .80687 .23188 .81368 .22955 .81079 .22521 Mtetra
.81079 .22521 .81368 .22955 .8205 .2272 .81763 .22286 Mtetra
.81763 .22286 .8205 .2272 .82734 .22485 .82448 .2205 Mtetra
.82448 .2205 .82734 .22485 .83419 .2225 .83134 .21814 Mtetra
.21841 .42442 .22217 .42793 .22768 .42603 .22393 .42251 Mtetra
.22393 .42251 .22768 .42603 .23321 .42412 .22947 .4206 Mtetra
.22947 .4206 .23321 .42412 .23875 .42222 .23501 .41869 Mtetra
.23501 .41869 .23875 .42222 .24429 .42031 .24056 .41677 Mtetra
.24056 .41677 .24429 .42031 .24985 .41839 .24613 .41485 Mtetra
.24613 .41485 .24985 .41839 .25543 .41647 .25171 .41292 Mtetra
.25171 .41292 .25543 .41647 .26101 .41455 .2573 .41099 Mtetra
.2573 .41099 .26101 .41455 .26661 .41262 .26291 .40905 Mtetra
.26291 .40905 .26661 .41262 .27222 .41069 .26852 .40711 Mtetra
.26852 .40711 .27222 .41069 .27784 .40876 .27415 .40517 Mtetra
.27415 .40517 .27784 .40876 .28347 .40682 .27979 .40322 Mtetra
.27979 .40322 .28347 .40682 .28911 .40487 .28544 .40127 Mtetra
.28544 .40127 .28911 .40487 .29477 .40292 .2911 .39932 Mtetra
.2911 .39932 .29477 .40292 .30044 .40097 .29678 .39736 Mtetra
.29678 .39736 .30044 .40097 .30612 .39902 .30247 .39539 Mtetra
.30247 .39539 .30612 .39902 .31181 .39705 .30817 .39342 Mtetra
.30817 .39342 .31181 .39705 .31752 .39509 .31388 .39145 Mtetra
.31388 .39145 .31752 .39509 .32324 .39312 .31961 .38947 Mtetra
.31961 .38947 .32324 .39312 .32897 .39115 .32535 .38749 Mtetra
.32535 .38749 .32897 .39115 .33471 .38918 .3311 .38551 Mtetra
.662 .74 .908 r
.3311 .38551 .33471 .38918 .34046 .3872 .33686 .38355 Mtetra
.666 .742 .907 r
.33686 .38355 .34046 .3872 .34623 .3852 .34263 .38152 Mtetra
.664 .741 .907 r
.34263 .38152 .34623 .3852 .352 .38335 .34842 .37952 Mtetra
.606 .714 .921 r
.34842 .37952 .352 .38335 .35775 .3822 .35418 .37832 Mtetra
.643 .724 .907 r
.35418 .37832 .35775 .3822 .36361 .37922 .35998 .37662 Mtetra
.735 .822 .919 r
.35998 .37662 .36361 .37922 .36943 .37721 .36586 .3735 Mtetra
0 .306 .785 r
.36586 .3735 .36943 .37721 .3744 .39344 .37143 .37699 Mtetra
0 0 .455 r
.37143 .37699 .3744 .39344 .3811 .37319 .37646 .39313 Mtetra
0 0 0 r
.37646 .39313 .3811 .37319 .38696 .37118 .38341 .36744 Mtetra
.664 .741 .907 r
.38341 .36744 .38696 .37118 .38842 .47568 .38929 .36541 Mtetra
0 0 .212 r
.38929 .36541 .38842 .47568 .39871 .36713 .38986 .49406 Mtetra
0 0 .223 r
.38986 .49406 .39871 .36713 .4046 .3651 .40108 .36134 Mtetra
.664 .741 .907 r
.40108 .36134 .4046 .3651 .40364 .55429 .407 .3593 Mtetra
0 0 .24 r
.407 .3593 .40364 .55429 .41369 .4416 .40519 .57712 Mtetra
.739 .633 .07 r
.40519 .57712 .41369 .4416 .42236 .35898 .41887 .3552 Mtetra
.664 .741 .907 r
.41887 .3552 .42236 .35898 .42577 .44059 .42482 .35314 Mtetra
0 0 .226 r
.42482 .35314 .42577 .44059 .43099 .46985 .42761 .45855 Mtetra
.931 .681 .538 r
.42761 .45855 .43099 .46985 .44024 .35282 .436 .3769 Mtetra
0 0 .053 r
.436 .3769 .44024 .35282 .44623 .35076 .44277 .34695 Mtetra
.844 .401 0 r
.44277 .34695 .44623 .35076 .45136 .38652 .44844 .35877 Mtetra
.583 .409 .611 r
.44844 .35877 .45136 .38652 .45824 .34663 .4545 .35623 Mtetra
0 0 0 r
.4545 .35623 .45824 .34663 .46427 .34455 .46083 .34071 Mtetra
.664 .741 .907 r
.46083 .34071 .46427 .34455 .47007 .35653 .46688 .33862 Mtetra
0 0 .499 r
.46688 .33862 .47007 .35653 .47636 .34039 .47263 .35563 Mtetra
0 0 0 r
.47263 .35563 .47636 .34039 .48243 .3383 .47902 .33443 Mtetra
.664 .741 .907 r
.47902 .33443 .48243 .3383 .48795 .38496 .48511 .33233 Mtetra
0 0 .367 r
.48511 .33233 .48795 .38496 .4946 .33411 .4906 .3867 Mtetra
0 0 .289 r
.4906 .3867 .4946 .33411 .50071 .332 .49724 .33721 Mtetra
.739 .87 .451 r
.49724 .33721 .50071 .332 .50643 .39907 .50345 .32599 Mtetra
.159 .056 .479 r
.50345 .32599 .50643 .39907 .51282 .36473 .50935 .37457 Mtetra
0 0 .043 r
.50935 .37457 .51282 .36473 .51911 .32566 .51563 .36495 Mtetra
0 0 .198 r
.51563 .36495 .51911 .32566 .52528 .34656 .52193 .31961 Mtetra
.47 .33 .608 r
.52193 .31961 .52528 .34656 .53153 .36018 .52812 .32457 Mtetra
.298 .19 .558 r
.52812 .32457 .53153 .36018 .53764 .31928 .53439 .34185 Mtetra
0 0 .109 r
.53439 .34185 .53764 .31928 .54384 .31715 .54052 .31319 Mtetra
.664 .741 .907 r
.54052 .31319 .54384 .31715 .55015 .32587 .54675 .31104 Mtetra
.436 .364 .678 r
.54675 .31104 .55015 .32587 .55629 .31286 .55304 .31486 Mtetra
.837 .982 .694 r
.55304 .31486 .55629 .31286 .56254 .31071 .55924 .30673 Mtetra
.664 .741 .907 r
.55924 .30673 .56254 .31071 .56887 .31398 .56551 .30456 Mtetra
.058 .191 .688 r
.56551 .30456 .56887 .31398 .57516 .31192 .57195 .31235 Mtetra
.97 .919 .692 r
.57195 .31235 .57516 .31192 .58136 .30423 .57809 .30022 Mtetra
.664 .741 .907 r
.57809 .30022 .58136 .30423 .58781 .30937 .58441 .29804 Mtetra
0 0 .338 r
.58441 .29804 .58781 .30937 .59463 .32934 .59118 .31687 Mtetra
.718 .565 .68 r
.59118 .31687 .59463 .32934 .60031 .2977 .59744 .30944 Mtetra
0 0 0 r
.59744 .30944 .60031 .2977 .60665 .29552 .60343 .29147 Mtetra
0 0 .49 r
.60343 .29147 .60665 .29552 .6142 .33524 .61007 .29924 Mtetra
.396 .263 .579 r
.61007 .29924 .6142 .33524 .61939 .29113 .6169 .31137 Mtetra
0 0 .138 r
.6169 .31137 .61939 .29113 .62578 .28893 .62258 .28486 Mtetra
.664 .741 .907 r
.62258 .28486 .62578 .28893 .63281 .30499 .62899 .28264 Mtetra
.397 .296 .623 r
.62899 .28264 .63281 .30499 .6386 .28451 .63578 .29032 Mtetra
0 0 0 r
.63578 .29032 .6386 .28451 .64503 .2823 .64187 .2782 Mtetra
.664 .741 .907 r
.64187 .2782 .64503 .2823 .65158 .28251 .64832 .27597 Mtetra
.591 .602 .832 r
.64832 .27597 .65158 .28251 .65797 .27844 .65485 .27498 Mtetra
.737 .802 .904 r
.65485 .27498 .65797 .27844 .66442 .27562 .66128 .27149 Mtetra
.664 .741 .907 r
.66128 .27149 .66442 .27562 .67092 .27346 .66779 .26925 Mtetra
.661 .735 .905 r
.66779 .26925 .67092 .27346 .67742 .2712 .67431 .26704 Mtetra
.666 .741 .906 r
.67431 .26704 .67742 .2712 .68394 .2689 .68084 .26475 Mtetra
.664 .741 .907 r
.68084 .26475 .68394 .2689 .69048 .26665 .68738 .26248 Mtetra
.68738 .26248 .69048 .26665 .69703 .26439 .69395 .26021 Mtetra
.69395 .26021 .69703 .26439 .7036 .26213 .70053 .25794 Mtetra
.70053 .25794 .7036 .26213 .71018 .25986 .70712 .25566 Mtetra
.70712 .25566 .71018 .25986 .71678 .25759 .71373 .25338 Mtetra
.71373 .25338 .71678 .25759 .7234 .25531 .72035 .25109 Mtetra
.72035 .25109 .7234 .25531 .73002 .25303 .72699 .2488 Mtetra
.72699 .2488 .73002 .25303 .73667 .25074 .73365 .2465 Mtetra
.73365 .2465 .73667 .25074 .74333 .24845 .74032 .2442 Mtetra
.74032 .2442 .74333 .24845 .75 .24615 .747 .24189 Mtetra
.747 .24189 .75 .24615 .75669 .24384 .75371 .23958 Mtetra
.75371 .23958 .75669 .24384 .7634 .24154 .76042 .23726 Mtetra
.76042 .23726 .7634 .24154 .77012 .23922 .76716 .23493 Mtetra
.76716 .23493 .77012 .23922 .77686 .2369 .77391 .2326 Mtetra
.77391 .2326 .77686 .2369 .78362 .23457 .78067 .23026 Mtetra
.78067 .23026 .78362 .23457 .79039 .23224 .78745 .22792 Mtetra
.78745 .22792 .79039 .23224 .79717 .22991 .79425 .22558 Mtetra
.79425 .22558 .79717 .22991 .80397 .22756 .80106 .22322 Mtetra
.80106 .22322 .80397 .22756 .81079 .22521 .80789 .22087 Mtetra
.80789 .22087 .81079 .22521 .81763 .22286 .81474 .2185 Mtetra
.81474 .2185 .81763 .22286 .82448 .2205 .8216 .21613 Mtetra
.8216 .21613 .82448 .2205 .83134 .21814 .82848 .21376 Mtetra
.21464 .4209 .21841 .42442 .22393 .42251 .22017 .41898 Mtetra
.22017 .41898 .22393 .42251 .22947 .4206 .22571 .41706 Mtetra
.22571 .41706 .22947 .4206 .23501 .41869 .23126 .41514 Mtetra
.23126 .41514 .23501 .41869 .24056 .41677 .23682 .41322 Mtetra
.23682 .41322 .24056 .41677 .24613 .41485 .2424 .41129 Mtetra
.2424 .41129 .24613 .41485 .25171 .41292 .24798 .40935 Mtetra
.24798 .40935 .25171 .41292 .2573 .41099 .25358 .40741 Mtetra
.25358 .40741 .2573 .41099 .26291 .40905 .25919 .40547 Mtetra
.25919 .40547 .26291 .40905 .26852 .40711 .26481 .40352 Mtetra
.26481 .40352 .26852 .40711 .27415 .40517 .27045 .40157 Mtetra
.27045 .40157 .27415 .40517 .27979 .40322 .2761 .39962 Mtetra
.2761 .39962 .27979 .40322 .28544 .40127 .28175 .39766 Mtetra
.28175 .39766 .28544 .40127 .2911 .39932 .28743 .39569 Mtetra
.28743 .39569 .2911 .39932 .29678 .39736 .29311 .39373 Mtetra
.29311 .39373 .29678 .39736 .30247 .39539 .2988 .39175 Mtetra
.2988 .39175 .30247 .39539 .30817 .39342 .30451 .38978 Mtetra
.30451 .38978 .30817 .39342 .31388 .39145 .31023 .3878 Mtetra
.31023 .3878 .31388 .39145 .31961 .38947 .31597 .38581 Mtetra
.31597 .38581 .31961 .38947 .32535 .38749 .32171 .38382 Mtetra
.32171 .38382 .32535 .38749 .3311 .38551 .32747 .38183 Mtetra
.32747 .38183 .3311 .38551 .33686 .38355 .33324 .37983 Mtetra
.658 .738 .908 r
.33324 .37983 .33686 .38355 .34263 .38152 .33902 .37792 Mtetra
.67 .747 .909 r
.33902 .37792 .34263 .38152 .34842 .37952 .34482 .37582 Mtetra
.664 .741 .907 r
.34482 .37582 .34842 .37952 .35418 .37832 .35063 .37381 Mtetra
.476 .622 .915 r
.35063 .37381 .35418 .37832 .35998 .37662 .35632 .37414 Mtetra
.794 .833 .882 r
.35632 .37414 .35998 .37662 .36586 .3735 .36228 .36978 Mtetra
.664 .741 .907 r
.36228 .36978 .36586 .3735 .37143 .37699 .36813 .36775 Mtetra
.803 .468 0 r
.36813 .36775 .37143 .37699 .37646 .39313 .37307 .38498 Mtetra
.719 .614 .74 r
.37307 .38498 .37646 .39313 .38341 .36744 .37911 .38004 Mtetra
0 0 0 r
.37911 .38004 .38341 .36744 .38929 .36541 .38574 .36165 Mtetra
.956 .632 .369 r
.38574 .36165 .38929 .36541 .38986 .49406 .38999 .39909 Mtetra
.104 0 .44 r
.38999 .39909 .38986 .49406 .40108 .36134 .39332 .46323 Mtetra
0 0 .211 r
.39332 .46323 .40108 .36134 .407 .3593 .40347 .35551 Mtetra
.664 .741 .907 r
.40347 .35551 .407 .3593 .40519 .57712 .40941 .35346 Mtetra
.05 0 .403 r
.40941 .35346 .40519 .57712 .41887 .3552 .40962 .51765 Mtetra
0 0 .245 r
.40962 .51765 .41887 .3552 .42482 .35314 .42132 .34933 Mtetra
.664 .741 .907 r
.42132 .34933 .42482 .35314 .42761 .45855 .4273 .34726 Mtetra
.124 .014 .445 r
.4273 .34726 .42761 .45855 .436 .3769 .43108 .42156 Mtetra
.76 .671 .12 r
.43108 .42156 .436 .3769 .44277 .34695 .43929 .34311 Mtetra
.664 .741 .907 r
.43929 .34311 .44277 .34695 .44844 .35877 .44531 .34103 Mtetra
.289 .238 .626 r
.44531 .34103 .44844 .35877 .4545 .35623 .45109 .34949 Mtetra
.799 .679 .731 r
.45109 .34949 .4545 .35623 .46083 .34071 .45728 .34148 Mtetra
.868 .992 .818 r
.45728 .34148 .46083 .34071 .46688 .33862 .46344 .33475 Mtetra
.664 .741 .907 r
.46344 .33475 .46688 .33862 .47263 .35563 .46951 .33265 Mtetra
.135 .103 .554 r
.46951 .33265 .47263 .35563 .47902 .33443 .47532 .34832 Mtetra
0 0 0 r
.47532 .34832 .47902 .33443 .48511 .33233 .48168 .32901 Mtetra
.701 .785 .916 r
.48168 .32901 .48511 .33233 .4906 .3867 .4878 .32632 Mtetra
.279 .15 .519 r
.4878 .32632 .4906 .3867 .49724 .33721 .49361 .35623 Mtetra
.291 .027 .33 r
.49361 .35623 .49724 .33721 .50345 .32599 .49986 .34751 Mtetra
0 0 .071 r
.49986 .34751 .50345 .32599 .50935 .37457 .50622 .31994 Mtetra
.466 .293 .561 r
.50622 .31994 .50935 .37457 .51563 .36495 .51234 .3298 Mtetra
.27 .169 .551 r
.51234 .3298 .51563 .36495 .52193 .31961 .5185 .3481 Mtetra
0 0 .145 r
.5185 .3481 .52193 .31961 .52812 .32457 .52476 .31352 Mtetra
.619 .52 .719 r
.52476 .31352 .52812 .32457 .53439 .34185 .53097 .31137 Mtetra
.41 .279 .59 r
.53097 .31137 .53439 .34185 .54052 .31319 .53723 .32046 Mtetra
0 0 0 r
.53723 .32046 .54052 .31319 .54675 .31104 .54342 .30706 Mtetra
.664 .741 .907 r
.54342 .30706 .54675 .31104 .55304 .31486 .54967 .30489 Mtetra
.506 .469 .75 r
.54967 .30489 .55304 .31486 .55924 .30673 .55597 .30594 Mtetra
.837 .96 .89 r
.55597 .30594 .55924 .30673 .56551 .30456 .56222 .30055 Mtetra
.664 .741 .907 r
.56222 .30055 .56551 .30456 .57195 .31235 .56851 .29837 Mtetra
.072 .127 .615 r
.56851 .29837 .57195 .31235 .57809 .30022 .57503 .30971 Mtetra
0 0 0 r
.57503 .30971 .57809 .30022 .58441 .29804 .58114 .294 Mtetra
.664 .741 .907 r
.58114 .294 .58441 .29804 .59118 .31687 .58747 .29181 Mtetra
0 0 .474 r
.58747 .29181 .59118 .31687 .59744 .30944 .59444 .31757 Mtetra
.951 .824 .385 r
.59444 .31757 .59744 .30944 .60343 .29147 .60019 .2874 Mtetra
.664 .741 .907 r
.60019 .2874 .60343 .29147 .61007 .29924 .60657 .2852 Mtetra
0 0 .544 r
.60657 .2852 .61007 .29924 .6169 .31137 .61346 .30037 Mtetra
.79 .619 .669 r
.61346 .30037 .6169 .31137 .62258 .28486 .61962 .28883 Mtetra
.721 .875 .469 r
.61962 .28883 .62258 .28486 .62899 .28264 .62579 .27854 Mtetra
.467 .653 .941 r
.62579 .27854 .62899 .28264 .63578 .29032 .63232 .27877 Mtetra
.585 .495 .72 r
.63232 .27877 .63578 .29032 .64187 .2782 .63882 .2777 Mtetra
.843 .982 .869 r
.63882 .2777 .64187 .2782 .64832 .27597 .64515 .27184 Mtetra
.664 .741 .907 r
.64515 .27184 .64832 .27597 .65485 .27498 .65164 .26959 Mtetra
.636 .669 .864 r
.65164 .26959 .65485 .27498 .66128 .27149 .65815 .26777 Mtetra
.69 .775 .916 r
.65815 .26777 .66128 .27149 .66779 .26925 .66465 .26509 Mtetra
.664 .741 .907 r
.66465 .26509 .66779 .26925 .67431 .26704 .67118 .26283 Mtetra
.663 .738 .906 r
.67118 .26283 .67431 .26704 .68084 .26475 .67772 .26058 Mtetra
.665 .742 .907 r
.67772 .26058 .68084 .26475 .68738 .26248 .68428 .25829 Mtetra
.664 .741 .907 r
.68428 .25829 .68738 .26248 .69395 .26021 .69085 .25601 Mtetra
.69085 .25601 .69395 .26021 .70053 .25794 .69744 .25373 Mtetra
.69744 .25373 .70053 .25794 .70712 .25566 .70404 .25145 Mtetra
.70404 .25145 .70712 .25566 .71373 .25338 .71066 .24915 Mtetra
.71066 .24915 .71373 .25338 .72035 .25109 .7173 .24686 Mtetra
.7173 .24686 .72035 .25109 .72699 .2488 .72395 .24455 Mtetra
.72395 .24455 .72699 .2488 .73365 .2465 .73061 .24225 Mtetra
.73061 .24225 .73365 .2465 .74032 .2442 .7373 .23993 Mtetra
.7373 .23993 .74032 .2442 .747 .24189 .74399 .23761 Mtetra
.74399 .23761 .747 .24189 .75371 .23958 .75071 .23529 Mtetra
.75071 .23529 .75371 .23958 .76042 .23726 .75743 .23296 Mtetra
.75743 .23296 .76042 .23726 .76716 .23493 .76418 .23062 Mtetra
.76418 .23062 .76716 .23493 .77391 .2326 .77094 .22828 Mtetra
.77094 .22828 .77391 .2326 .78067 .23026 .77772 .22594 Mtetra
.77772 .22594 .78067 .23026 .78745 .22792 .78451 .22359 Mtetra
.78451 .22359 .78745 .22792 .79425 .22558 .79132 .22123 Mtetra
.79132 .22123 .79425 .22558 .80106 .22322 .79814 .21887 Mtetra
.79814 .21887 .80106 .22322 .80789 .22087 .80498 .2165 Mtetra
.80498 .2165 .80789 .22087 .81474 .2185 .81184 .21412 Mtetra
.81184 .21412 .81474 .2185 .8216 .21613 .81871 .21174 Mtetra
.81871 .21174 .8216 .21613 .82848 .21376 .8256 .20936 Mtetra
.21086 .41736 .21464 .4209 .22017 .41898 .21639 .41544 Mtetra
.21639 .41544 .22017 .41898 .22571 .41706 .22194 .41351 Mtetra
.22194 .41351 .22571 .41706 .23126 .41514 .22749 .41158 Mtetra
.22749 .41158 .23126 .41514 .23682 .41322 .23306 .40965 Mtetra
.23306 .40965 .23682 .41322 .2424 .41129 .23864 .40771 Mtetra
.23864 .40771 .2424 .41129 .24798 .40935 .24424 .40577 Mtetra
.24424 .40577 .24798 .40935 .25358 .40741 .24984 .40382 Mtetra
.24984 .40382 .25358 .40741 .25919 .40547 .25546 .40187 Mtetra
.25546 .40187 .25919 .40547 .26481 .40352 .26109 .39992 Mtetra
.26109 .39992 .26481 .40352 .27045 .40157 .26673 .39796 Mtetra
.26673 .39796 .27045 .40157 .2761 .39962 .27239 .396 Mtetra
.27239 .396 .2761 .39962 .28175 .39766 .27805 .39403 Mtetra
.27805 .39403 .28175 .39766 .28743 .39569 .28373 .39206 Mtetra
.28373 .39206 .28743 .39569 .29311 .39373 .28942 .39008 Mtetra
.28942 .39008 .29311 .39373 .2988 .39175 .29512 .3881 Mtetra
.29512 .3881 .2988 .39175 .30451 .38978 .30084 .38612 Mtetra
.30084 .38612 .30451 .38978 .31023 .3878 .30657 .38413 Mtetra
.30657 .38413 .31023 .3878 .31597 .38581 .31231 .38214 Mtetra
.31231 .38214 .31597 .38581 .32171 .38382 .31806 .38014 Mtetra
.31806 .38014 .32171 .38382 .32747 .38183 .32383 .37814 Mtetra
.32383 .37814 .32747 .38183 .33324 .37983 .3296 .37613 Mtetra
.662 .74 .908 r
.3296 .37613 .33324 .37983 .33902 .37792 .33539 .37414 Mtetra
.653 .734 .909 r
.33539 .37414 .33902 .37792 .34482 .37582 .34119 .37229 Mtetra
.676 .755 .91 r
.34119 .37229 .34482 .37582 .35063 .37381 .34701 .37009 Mtetra
.664 .741 .907 r
.34701 .37009 .35063 .37381 .35632 .37414 .35284 .36806 Mtetra
.291 .446 .844 r
.35284 .36806 .35632 .37414 .36228 .36978 .35844 .37063 Mtetra
.876 .985 .828 r
.35844 .37063 .36228 .36978 .36813 .36775 .36454 .364 Mtetra
.664 .741 .907 r
.36454 .364 .36813 .36775 .37307 .38498 .37041 .36197 Mtetra
0 0 .125 r
.37041 .36197 .37307 .38498 .37911 .38004 .37462 .39564 Mtetra
.947 .828 .387 r
.37462 .39564 .37911 .38004 .38574 .36165 .38218 .35788 Mtetra
.664 .741 .907 r
.38218 .35788 .38574 .36165 .38999 .39909 .38808 .35583 Mtetra
.847 .646 .105 r
.38808 .35583 .38999 .39909 .39332 .46323 .39047 .43958 Mtetra
.839 .604 .582 r
.39047 .43958 .39332 .46323 .40347 .35551 .3982 .39584 Mtetra
0 0 .12 r
.3982 .39584 .40347 .35551 .40941 .35346 .40588 .34965 Mtetra
.959 .645 .389 r
.40588 .34965 .40941 .35346 .40962 .51765 .41002 .39853 Mtetra
.419 .236 .525 r
.41002 .39853 .40962 .51765 .42132 .34933 .415 .42854 Mtetra
0 0 .206 r
.415 .42854 .42132 .34933 .4273 .34726 .4238 .34343 Mtetra
.664 .741 .907 r
.4238 .34343 .4273 .34726 .43108 .42156 .42979 .34135 Mtetra
.312 .162 .511 r
.42979 .34135 .43108 .42156 .43929 .34311 .43478 .37573 Mtetra
0 0 .111 r
.43478 .37573 .43929 .34311 .44531 .34103 .44183 .33717 Mtetra
.664 .741 .907 r
.44183 .33717 .44531 .34103 .45109 .34949 .44787 .33507 Mtetra
.529 .427 .682 r
.44787 .33507 .45109 .34949 .45728 .34148 .45386 .33583 Mtetra
.617 .64 .85 r
.45386 .33583 .45728 .34148 .46344 .33475 .45991 .33443 Mtetra
.714 .967 .936 r
.45991 .33443 .46344 .33475 .46951 .33265 .46603 .33077 Mtetra
.786 .888 .918 r
.46603 .33077 .46951 .33265 .47532 .34832 .47216 .32664 Mtetra
.352 .262 .613 r
.47216 .32664 .47532 .34832 .48168 .32901 .47811 .33505 Mtetra
.761 .379 .33 r
.47811 .33505 .48168 .32901 .4878 .32632 .48409 .34505 Mtetra
0 0 .021 r
.48409 .34505 .4878 .32632 .49361 .35623 .49052 .32027 Mtetra
.568 .384 .592 r
.49052 .32027 .49361 .35623 .49986 .34751 .49666 .31813 Mtetra
0 0 .254 r
.49666 .31813 .49986 .34751 .50622 .31994 .50252 .35891 Mtetra
0 0 .185 r
.50252 .35891 .50622 .31994 .51234 .3298 .509 .31385 Mtetra
.599 .463 .667 r
.509 .31385 .51234 .3298 .5185 .3481 .51519 .3117 Mtetra
.208 .122 .533 r
.51519 .3117 .5185 .3481 .52476 .31352 .52136 .33372 Mtetra
0 0 .069 r
.52136 .33372 .52476 .31352 .53097 .31137 .52761 .30739 Mtetra
.664 .741 .907 r
.52761 .30739 .53097 .31137 .53723 .32046 .53384 .30523 Mtetra
.493 .398 .677 r
.53384 .30523 .53723 .32046 .54342 .30706 .54011 .3073 Mtetra
.859 .991 .836 r
.54011 .3073 .54342 .30706 .54967 .30489 .54634 .30089 Mtetra
.65 .736 .912 r
.54634 .30089 .54967 .30489 .55597 .30594 .55262 .29893 Mtetra
.561 .569 .819 r
.55262 .29893 .55597 .30594 .56222 .30055 .55893 .29854 Mtetra
.785 .892 .921 r
.55893 .29854 .56222 .30055 .56851 .29837 .56521 .29434 Mtetra
.451 .648 .943 r
.56521 .29434 .56851 .29837 .57503 .30971 .57156 .29469 Mtetra
.276 .257 .656 r
.57156 .29469 .57503 .30971 .58114 .294 .57807 .30264 Mtetra
0 0 0 r
.57807 .30264 .58114 .294 .58747 .29181 .5842 .28774 Mtetra
.664 .741 .907 r
.5842 .28774 .58747 .29181 .59444 .31757 .59056 .28554 Mtetra
.166 .105 .538 r
.59056 .28554 .59444 .31757 .60019 .2874 .5975 .30775 Mtetra
0 0 .123 r
.5975 .30775 .60019 .2874 .60657 .2852 .60333 .2811 Mtetra
.664 .741 .907 r
.60333 .2811 .60657 .2852 .61346 .30037 .60973 .27888 Mtetra
.257 .203 .603 r
.60973 .27888 .61346 .30037 .61962 .28883 .61657 .29114 Mtetra
.98 .902 .571 r
.61657 .29114 .61962 .28883 .62579 .27854 .62258 .27442 Mtetra
.664 .741 .907 r
.62258 .27442 .62579 .27854 .63232 .27877 .62903 .27218 Mtetra
.513 .56 .841 r
.62903 .27218 .63232 .27877 .63882 .2777 .63559 .27254 Mtetra
.739 .719 .833 r
.63559 .27254 .63882 .2777 .64515 .27184 .642 .26844 Mtetra
.71 .8 .92 r
.642 .26844 .64515 .27184 .65164 .26959 .64846 .26543 Mtetra
.657 .738 .91 r
.64846 .26543 .65164 .26959 .65815 .26777 .65498 .26329 Mtetra
.664 .724 .894 r
.65498 .26329 .65815 .26777 .66465 .26509 .6615 .26101 Mtetra
.67 .749 .909 r
.6615 .26101 .66465 .26509 .67118 .26283 .66803 .25864 Mtetra
.664 .741 .907 r
.66803 .25864 .67118 .26283 .67772 .26058 .67459 .25636 Mtetra
.664 .74 .907 r
.67459 .25636 .67772 .26058 .68428 .25829 .68116 .25409 Mtetra
.664 .741 .907 r
.68116 .25409 .68428 .25829 .69085 .25601 .68774 .2518 Mtetra
.68774 .2518 .69085 .25601 .69744 .25373 .69434 .24951 Mtetra
.69434 .24951 .69744 .25373 .70404 .25145 .70095 .24721 Mtetra
.70095 .24721 .70404 .25145 .71066 .24915 .70758 .24491 Mtetra
.70758 .24491 .71066 .24915 .7173 .24686 .71423 .2426 Mtetra
.71423 .2426 .7173 .24686 .72395 .24455 .72089 .24029 Mtetra
.72089 .24029 .72395 .24455 .73061 .24225 .72757 .23797 Mtetra
.72757 .23797 .73061 .24225 .7373 .23993 .73426 .23565 Mtetra
.73426 .23565 .7373 .23993 .74399 .23761 .74097 .23332 Mtetra
.74097 .23332 .74399 .23761 .75071 .23529 .74769 .23098 Mtetra
.74769 .23098 .75071 .23529 .75743 .23296 .75443 .22864 Mtetra
.75443 .22864 .75743 .23296 .76418 .23062 .76119 .2263 Mtetra
.76119 .2263 .76418 .23062 .77094 .22828 .76796 .22395 Mtetra
.76796 .22395 .77094 .22828 .77772 .22594 .77475 .22159 Mtetra
.77475 .22159 .77772 .22594 .78451 .22359 .78155 .21923 Mtetra
.78155 .21923 .78451 .22359 .79132 .22123 .78837 .21686 Mtetra
.78837 .21686 .79132 .22123 .79814 .21887 .79521 .21449 Mtetra
.79521 .21449 .79814 .21887 .80498 .2165 .80206 .21211 Mtetra
.80206 .21211 .80498 .2165 .81184 .21412 .80893 .20973 Mtetra
.80893 .20973 .81184 .21412 .81871 .21174 .81581 .20733 Mtetra
.81581 .20733 .81871 .21174 .8256 .20936 .82271 .20494 Mtetra
.20705 .41381 .21086 .41736 .21639 .41544 .21259 .41188 Mtetra
.21259 .41188 .21639 .41544 .22194 .41351 .21815 .40995 Mtetra
.21815 .40995 .22194 .41351 .22749 .41158 .22371 .40801 Mtetra
.22371 .40801 .22749 .41158 .23306 .40965 .22929 .40607 Mtetra
.22929 .40607 .23306 .40965 .23864 .40771 .23488 .40412 Mtetra
.23488 .40412 .23864 .40771 .24424 .40577 .24048 .40217 Mtetra
.24048 .40217 .24424 .40577 .24984 .40382 .24609 .40022 Mtetra
.24609 .40022 .24984 .40382 .25546 .40187 .25172 .39826 Mtetra
.25172 .39826 .25546 .40187 .26109 .39992 .25735 .3963 Mtetra
.25735 .3963 .26109 .39992 .26673 .39796 .263 .39433 Mtetra
.263 .39433 .26673 .39796 .27239 .396 .26866 .39236 Mtetra
.26866 .39236 .27239 .396 .27805 .39403 .27434 .39039 Mtetra
.27434 .39039 .27805 .39403 .28373 .39206 .28002 .38841 Mtetra
.28002 .38841 .28373 .39206 .28942 .39008 .28572 .38642 Mtetra
.28572 .38642 .28942 .39008 .29512 .3881 .29143 .38444 Mtetra
.29143 .38444 .29512 .3881 .30084 .38612 .29715 .38244 Mtetra
.29715 .38244 .30084 .38612 .30657 .38413 .30289 .38045 Mtetra
.30289 .38045 .30657 .38413 .31231 .38214 .30864 .37845 Mtetra
.30864 .37845 .31231 .38214 .31806 .38014 .3144 .37644 Mtetra
.3144 .37644 .31806 .38014 .32383 .37814 .32017 .37444 Mtetra
.32017 .37444 .32383 .37814 .3296 .37613 .32596 .37242 Mtetra
.32596 .37242 .3296 .37613 .33539 .37414 .33175 .3704 Mtetra
.655 .737 .91 r
.33175 .3704 .33539 .37414 .34119 .37229 .33756 .36851 Mtetra
.658 .736 .907 r
.33756 .36851 .34119 .37229 .34701 .37009 .34338 .36656 Mtetra
.678 .757 .911 r
.34338 .36656 .34701 .37009 .35284 .36806 .34922 .36432 Mtetra
.571 .71 .936 r
.34922 .36432 .35284 .36806 .35844 .37063 .35501 .36347 Mtetra
.317 .42 .809 r
.35501 .36347 .35844 .37063 .36454 .364 .36062 .3663 Mtetra
.879 .99 .74 r
.36062 .3663 .36454 .364 .37041 .36197 .36681 .3582 Mtetra
.664 .741 .907 r
.36681 .3582 .37041 .36197 .37462 .39564 .3727 .35615 Mtetra
0 0 .299 r
.3727 .35615 .37462 .39564 .38218 .35788 .37656 .39836 Mtetra
0 0 .102 r
.37656 .39836 .38218 .35788 .38808 .35583 .38451 .35203 Mtetra
.664 .741 .907 r
.38451 .35203 .38808 .35583 .39047 .43958 .39044 .34997 Mtetra
0 0 .255 r
.39044 .34997 .39047 .43958 .3982 .39584 .39233 .4479 Mtetra
.865 .73 .212 r
.39233 .4479 .3982 .39584 .40588 .34965 .40234 .34583 Mtetra
.664 .741 .907 r
.40234 .34583 .40588 .34965 .41002 .39853 .4083 .34375 Mtetra
0 0 .234 r
.4083 .34375 .41002 .39853 .415 .42854 .41192 .40934 Mtetra
.871 .631 .574 r
.41192 .40934 .415 .42854 .4238 .34343 .41957 .36082 Mtetra
0 0 0 r
.41957 .36082 .4238 .34343 .42979 .34135 .42628 .33749 Mtetra
.772 .305 0 r
.42628 .33749 .42979 .34135 .43478 .37573 .43196 .34708 Mtetra
.578 .403 .608 r
.43196 .34708 .43478 .37573 .44183 .33717 .43802 .34467 Mtetra
.698 .811 .353 r
.43802 .34467 .44183 .33717 .44787 .33507 .44438 .33119 Mtetra
.659 .739 .909 r
.44438 .33119 .44787 .33507 .45386 .33583 .45044 .32916 Mtetra
.65 .62 .807 r
.45044 .32916 .45386 .33583 .45991 .33443 .45652 .32697 Mtetra
.345 .429 .805 r
.45652 .32697 .45991 .33443 .46603 .33077 .46251 .32978 Mtetra
0 .472 .74 r
.46251 .32978 .46603 .33077 .47216 .32664 .46855 .33109 Mtetra
.789 .916 .531 r
.46855 .33109 .47216 .32664 .47811 .33505 .47482 .3206 Mtetra
.462 .383 .682 r
.47482 .3206 .47811 .33505 .48409 .34505 .48088 .32342 Mtetra
0 0 .333 r
.48088 .32342 .48409 .34505 .49052 .32027 .48668 .35079 Mtetra
0 0 .133 r
.48668 .35079 .49052 .32027 .49666 .31813 .49325 .31418 Mtetra
.664 .741 .907 r
.49325 .31418 .49666 .31813 .50252 .35891 .49942 .31203 Mtetra
.037 0 .459 r
.49942 .31203 .50252 .35891 .509 .31385 .50536 .34975 Mtetra
0 0 .172 r
.50536 .34975 .509 .31385 .51519 .3117 .5118 .30772 Mtetra
.664 .741 .907 r
.5118 .30772 .51519 .3117 .52136 .33372 .51801 .30556 Mtetra
.33 .227 .583 r
.51801 .30556 .52136 .33372 .52761 .30739 .52423 .3176 Mtetra
0 0 0 r
.52423 .3176 .52761 .30739 .53384 .30523 .53048 .30153 Mtetra
.684 .765 .913 r
.53048 .30153 .53384 .30523 .54011 .3073 .53673 .29904 Mtetra
.588 .551 .78 r
.53673 .29904 .54011 .3073 .54634 .30089 .54301 .29808 Mtetra
.74 .834 .923 r
.54301 .29808 .54634 .30089 .55262 .29893 .54928 .29467 Mtetra
.482 .65 .933 r
.54928 .29467 .55262 .29893 .55893 .29854 .5556 .2948 Mtetra
.776 .788 .863 r
.5556 .2948 .55893 .29854 .56521 .29434 .56189 .29036 Mtetra
.669 .747 .909 r
.56189 .29036 .56521 .29434 .57156 .29469 .56822 .28808 Mtetra
.024 .256 .757 r
.56822 .28808 .57156 .29469 .57807 .30264 .57469 .29378 Mtetra
.66 .579 .754 r
.57469 .29378 .57807 .30264 .5842 .28774 .58104 .29069 Mtetra
.794 .943 .592 r
.58104 .29069 .5842 .28774 .59056 .28554 .58729 .28145 Mtetra
.153 .472 .894 r
.58729 .28145 .59056 .28554 .5975 .30775 .59378 .28413 Mtetra
.408 .298 .617 r
.59378 .28413 .5975 .30775 .60333 .2811 .60042 .29144 Mtetra
0 0 0 r
.60042 .29144 .60333 .2811 .60973 .27888 .60648 .27476 Mtetra
.664 .741 .907 r
.60648 .27476 .60973 .27888 .61657 .29114 .61291 .27253 Mtetra
.411 .323 .646 r
.61291 .27253 .61657 .29114 .62258 .27442 .6196 .27826 Mtetra
.73 .883 .482 r
.6196 .27826 .62258 .27442 .62903 .27218 .62581 .26803 Mtetra
.664 .741 .907 r
.62581 .26803 .62903 .27218 .63559 .27254 .63229 .26578 Mtetra
.585 .594 .828 r
.63229 .26578 .63559 .27254 .642 .26844 .63882 .26489 Mtetra
.742 .801 .899 r
.63882 .26489 .642 .26844 .64846 .26543 .64528 .26126 Mtetra
.664 .741 .907 r
.64528 .26126 .64846 .26543 .65498 .26329 .6518 .25899 Mtetra
.659 .733 .904 r
.6518 .25899 .65498 .26329 .6615 .26101 .65833 .25679 Mtetra
.667 .741 .905 r
.65833 .25679 .6615 .26101 .66803 .25864 .66488 .25445 Mtetra
.665 .742 .908 r
.66488 .25445 .66803 .25864 .67459 .25636 .67144 .25215 Mtetra
.664 .741 .907 r
.67144 .25215 .67459 .25636 .68116 .25409 .67802 .24986 Mtetra
.67802 .24986 .68116 .25409 .68774 .2518 .68461 .24756 Mtetra
.68461 .24756 .68774 .2518 .69434 .24951 .69122 .24526 Mtetra
.69122 .24526 .69434 .24951 .70095 .24721 .69785 .24296 Mtetra
.69785 .24296 .70095 .24721 .70758 .24491 .70449 .24065 Mtetra
.70449 .24065 .70758 .24491 .71423 .2426 .71115 .23833 Mtetra
.71115 .23833 .71423 .2426 .72089 .24029 .71782 .23601 Mtetra
.71782 .23601 .72089 .24029 .72757 .23797 .72451 .23368 Mtetra
.72451 .23368 .72757 .23797 .73426 .23565 .73121 .23134 Mtetra
.73121 .23134 .73426 .23565 .74097 .23332 .73793 .22901 Mtetra
.73793 .22901 .74097 .23332 .74769 .23098 .74466 .22666 Mtetra
.74466 .22666 .74769 .23098 .75443 .22864 .75142 .22431 Mtetra
.75142 .22431 .75443 .22864 .76119 .2263 .75818 .22196 Mtetra
.75818 .22196 .76119 .2263 .76796 .22395 .76497 .21959 Mtetra
.76497 .21959 .76796 .22395 .77475 .22159 .77176 .21723 Mtetra
.77176 .21723 .77475 .22159 .78155 .21923 .77858 .21485 Mtetra
.77858 .21485 .78155 .21923 .78837 .21686 .78541 .21248 Mtetra
.78541 .21248 .78837 .21686 .79521 .21449 .79226 .21009 Mtetra
.79226 .21009 .79521 .21449 .80206 .21211 .79912 .2077 Mtetra
.79912 .2077 .80206 .21211 .80893 .20973 .806 .20531 Mtetra
.806 .20531 .80893 .20973 .81581 .20733 .8129 .20291 Mtetra
.8129 .20291 .81581 .20733 .82271 .20494 .81981 .2005 Mtetra
.20324 .41024 .20705 .41381 .21259 .41188 .20879 .40831 Mtetra
.20879 .40831 .21259 .41188 .21815 .40995 .21435 .40637 Mtetra
.21435 .40637 .21815 .40995 .22371 .40801 .21992 .40442 Mtetra
.21992 .40442 .22371 .40801 .22929 .40607 .2255 .40247 Mtetra
.2255 .40247 .22929 .40607 .23488 .40412 .2311 .40052 Mtetra
.2311 .40052 .23488 .40412 .24048 .40217 .2367 .39856 Mtetra
.2367 .39856 .24048 .40217 .24609 .40022 .24232 .3966 Mtetra
.24232 .3966 .24609 .40022 .25172 .39826 .24796 .39464 Mtetra
.24796 .39464 .25172 .39826 .25735 .3963 .2536 .39267 Mtetra
.2536 .39267 .25735 .3963 .263 .39433 .25926 .39069 Mtetra
.25926 .39069 .263 .39433 .26866 .39236 .26492 .38871 Mtetra
.26492 .38871 .26866 .39236 .27434 .39039 .2706 .38673 Mtetra
.2706 .38673 .27434 .39039 .28002 .38841 .2763 .38474 Mtetra
.2763 .38474 .28002 .38841 .28572 .38642 .282 .38275 Mtetra
.282 .38275 .28572 .38642 .29143 .38444 .28772 .38075 Mtetra
.28772 .38075 .29143 .38444 .29715 .38244 .29345 .37875 Mtetra
.29345 .37875 .29715 .38244 .30289 .38045 .29919 .37675 Mtetra
.29919 .37675 .30289 .38045 .30864 .37845 .30495 .37474 Mtetra
.30495 .37474 .30864 .37845 .3144 .37644 .31072 .37273 Mtetra
.31072 .37273 .3144 .37644 .32017 .37444 .3165 .37071 Mtetra
.663 .74 .907 r
.3165 .37071 .32017 .37444 .32596 .37242 .32229 .3687 Mtetra
.665 .742 .907 r
.32229 .3687 .32596 .37242 .33175 .3704 .3281 .36666 Mtetra
.664 .741 .907 r
.3281 .36666 .33175 .3704 .33756 .36851 .33392 .36463 Mtetra
.637 .726 .912 r
.33392 .36463 .33756 .36851 .34338 .36656 .33973 .36298 Mtetra
.689 .757 .904 r
.33973 .36298 .34338 .36656 .34922 .36432 .34559 .36055 Mtetra
.664 .741 .907 r
.34559 .36055 .34922 .36432 .35501 .36347 .35145 .35851 Mtetra
.248 .478 .883 r
.35145 .35851 .35501 .36347 .36062 .3663 .35709 .36077 Mtetra
.652 .656 .841 r
.35709 .36077 .36062 .3663 .36681 .3582 .36298 .35877 Mtetra
.872 .981 .841 r
.36298 .35877 .36681 .3582 .3727 .35615 .3691 .35235 Mtetra
.804 .34 0 r
.3691 .35235 .3727 .35615 .37656 .39836 .37446 .36193 Mtetra
.138 .062 .5 r
.37446 .36193 .37656 .39836 .38451 .35203 .37927 .38486 Mtetra
0 0 .067 r
.37927 .38486 .38451 .35203 .39044 .34997 .38687 .34615 Mtetra
.664 .741 .907 r
.38687 .34615 .39044 .34997 .39233 .4479 .39281 .34407 Mtetra
.05 0 .416 r
.39281 .34407 .39233 .4479 .40234 .34583 .39569 .41945 Mtetra
0 0 .184 r
.39569 .41945 .40234 .34583 .4083 .34375 .40475 .33991 Mtetra
.664 .741 .907 r
.40475 .33991 .4083 .34375 .41192 .40934 .41074 .33782 Mtetra
.123 .022 .457 r
.41074 .33782 .41192 .40934 .41957 .36082 .41506 .38483 Mtetra
.885 .771 .273 r
.41506 .38483 .41957 .36082 .42628 .33749 .42275 .33362 Mtetra
.664 .741 .907 r
.42275 .33362 .42628 .33749 .43196 .34708 .42878 .33152 Mtetra
.28 .249 .644 r
.42878 .33152 .43196 .34708 .43802 .34467 .43455 .33895 Mtetra
.848 .715 .716 r
.43455 .33895 .43802 .34467 .44438 .33119 .44085 .32857 Mtetra
.745 .836 .921 r
.44085 .32857 .44438 .33119 .45044 .32916 .44695 .32518 Mtetra
.548 .693 .935 r
.44695 .32518 .45044 .32916 .45652 .32697 .453 .32456 Mtetra
.758 .853 .921 r
.453 .32456 .45652 .32697 .46251 .32978 .45913 .32092 Mtetra
.458 .461 .773 r
.45913 .32092 .46251 .32978 .46855 .33109 .46517 .3226 Mtetra
.214 .318 .755 r
.46517 .3226 .46855 .33109 .47482 .3206 .47118 .32742 Mtetra
.699 .819 .367 r
.47118 .32742 .47482 .3206 .48088 .32342 .4775 .31451 Mtetra
.631 .559 .756 r
.4775 .31451 .48088 .32342 .48668 .35079 .48365 .31236 Mtetra
.16 .082 .512 r
.48365 .31236 .48668 .35079 .49325 .31418 .48951 .33729 Mtetra
0 0 .075 r
.48951 .33729 .49325 .31418 .49942 .31203 .496 .30806 Mtetra
.664 .741 .907 r
.496 .30806 .49942 .31203 .50536 .34975 .50219 .30589 Mtetra
.33 .199 .547 r
.50219 .30589 .50536 .34975 .5118 .30772 .50829 .32426 Mtetra
0 0 0 r
.50829 .32426 .5118 .30772 .51801 .30556 .51462 .30156 Mtetra
.664 .741 .907 r
.51462 .30156 .51801 .30556 .52423 .3176 .52085 .29938 Mtetra
.488 .375 .652 r
.52085 .29938 .52423 .3176 .53048 .30153 .52711 .30194 Mtetra
.836 .996 .84 r
.52711 .30194 .53048 .30153 .53673 .29904 .53337 .29583 Mtetra
.716 .804 .92 r
.53337 .29583 .53673 .29904 .54301 .29808 .53964 .29282 Mtetra
.658 .679 .859 r
.53964 .29282 .54301 .29808 .54928 .29467 .54594 .29062 Mtetra
.664 .741 .907 r
.54594 .29062 .54928 .29467 .5556 .2948 .55224 .28842 Mtetra
.421 .516 .85 r
.55224 .28842 .5556 .2948 .56189 .29036 .5586 .28996 Mtetra
.852 .976 .867 r
.5586 .28996 .56189 .29036 .56822 .28808 .5649 .284 Mtetra
.664 .741 .907 r
.5649 .284 .56822 .28808 .57469 .29378 .57125 .28179 Mtetra
.144 .203 .666 r
.57125 .28179 .57469 .29378 .58104 .29069 .5778 .2903 Mtetra
.971 .89 .69 r
.5778 .2903 .58104 .29069 .58729 .28145 .58399 .27734 Mtetra
.664 .741 .907 r
.58399 .27734 .58729 .28145 .59378 .28413 .59039 .27511 Mtetra
.116 .243 .719 r
.59039 .27511 .59378 .28413 .60042 .29144 .59701 .2819 Mtetra
.731 .607 .718 r
.59701 .2819 .60042 .29144 .60648 .27476 .60335 .27559 Mtetra
.851 .997 .778 r
.60335 .27559 .60648 .27476 .61291 .27253 .60966 .26838 Mtetra
.541 .689 .936 r
.60966 .26838 .61291 .27253 .6196 .27826 .61616 .2678 Mtetra
.582 .51 .739 r
.61616 .2678 .6196 .27826 .62581 .26803 .62268 .26684 Mtetra
.826 .952 .9 r
.62268 .26684 .62581 .26803 .63229 .26578 .62906 .26161 Mtetra
.664 .741 .907 r
.62906 .26161 .63229 .26578 .63882 .26489 .63556 .25934 Mtetra
.633 .663 .861 r
.63556 .25934 .63882 .26489 .64528 .26126 .64209 .25754 Mtetra
.693 .778 .916 r
.64209 .25754 .64528 .26126 .6518 .25899 .6486 .25479 Mtetra
.664 .741 .907 r
.6486 .25479 .6518 .25899 .65833 .25679 .65515 .2525 Mtetra
.663 .736 .905 r
.65515 .2525 .65833 .25679 .66488 .25445 .66171 .25023 Mtetra
.665 .742 .907 r
.66171 .25023 .66488 .25445 .67144 .25215 .66828 .24792 Mtetra
.664 .741 .907 r
.66828 .24792 .67144 .25215 .67802 .24986 .67487 .24562 Mtetra
.67487 .24562 .67802 .24986 .68461 .24756 .68148 .24331 Mtetra
.68148 .24331 .68461 .24756 .69122 .24526 .6881 .241 Mtetra
.6881 .241 .69122 .24526 .69785 .24296 .69473 .23868 Mtetra
.69473 .23868 .69785 .24296 .70449 .24065 .70138 .23636 Mtetra
.70138 .23636 .70449 .24065 .71115 .23833 .70805 .23404 Mtetra
.70805 .23404 .71115 .23833 .71782 .23601 .71473 .2317 Mtetra
.71473 .2317 .71782 .23601 .72451 .23368 .72143 .22937 Mtetra
.72143 .22937 .72451 .23368 .73121 .23134 .72815 .22702 Mtetra
.72815 .22702 .73121 .23134 .73793 .22901 .73488 .22467 Mtetra
.73488 .22467 .73793 .22901 .74466 .22666 .74162 .22232 Mtetra
.74162 .22232 .74466 .22666 .75142 .22431 .74839 .21996 Mtetra
.74839 .21996 .75142 .22431 .75818 .22196 .75516 .21759 Mtetra
.75516 .21759 .75818 .22196 .76497 .21959 .76196 .21522 Mtetra
.76196 .21522 .76497 .21959 .77176 .21723 .76877 .21284 Mtetra
.76877 .21284 .77176 .21723 .77858 .21485 .7756 .21046 Mtetra
.7756 .21046 .77858 .21485 .78541 .21248 .78244 .20807 Mtetra
.78244 .20807 .78541 .21248 .79226 .21009 .7893 .20568 Mtetra
.7893 .20568 .79226 .21009 .79912 .2077 .79617 .20328 Mtetra
.79617 .20328 .79912 .2077 .806 .20531 .80306 .20087 Mtetra
.80306 .20087 .806 .20531 .8129 .20291 .80997 .19846 Mtetra
.80997 .19846 .8129 .20291 .81981 .2005 .8169 .19604 Mtetra
.19941 .40667 .20324 .41024 .20879 .40831 .20496 .40472 Mtetra
.20496 .40472 .20879 .40831 .21435 .40637 .21053 .40277 Mtetra
.21053 .40277 .21435 .40637 .21992 .40442 .21611 .40082 Mtetra
.21611 .40082 .21992 .40442 .2255 .40247 .2217 .39886 Mtetra
.2217 .39886 .2255 .40247 .2311 .40052 .2273 .3969 Mtetra
.2273 .3969 .2311 .40052 .2367 .39856 .23291 .39494 Mtetra
.23291 .39494 .2367 .39856 .24232 .3966 .23854 .39297 Mtetra
.23854 .39297 .24232 .3966 .24796 .39464 .24418 .391 Mtetra
.24418 .391 .24796 .39464 .2536 .39267 .24983 .38902 Mtetra
.24983 .38902 .2536 .39267 .25926 .39069 .25549 .38703 Mtetra
.25549 .38703 .25926 .39069 .26492 .38871 .26117 .38505 Mtetra
.26117 .38505 .26492 .38871 .2706 .38673 .26686 .38306 Mtetra
.26686 .38306 .2706 .38673 .2763 .38474 .27256 .38106 Mtetra
.27256 .38106 .2763 .38474 .282 .38275 .27827 .37906 Mtetra
.27827 .37906 .282 .38275 .28772 .38075 .284 .37706 Mtetra
.284 .37706 .28772 .38075 .29345 .37875 .28974 .37505 Mtetra
.28974 .37505 .29345 .37875 .29919 .37675 .29549 .37304 Mtetra
.29549 .37304 .29919 .37675 .30495 .37474 .30125 .37102 Mtetra
.30125 .37102 .30495 .37474 .31072 .37273 .30702 .369 Mtetra
.30702 .369 .31072 .37273 .3165 .37071 .31281 .36697 Mtetra
.31281 .36697 .3165 .37071 .32229 .3687 .31861 .36495 Mtetra
.663 .74 .908 r
.31861 .36495 .32229 .3687 .3281 .36666 .32443 .36293 Mtetra
.665 .743 .908 r
.32443 .36293 .3281 .36666 .33392 .36463 .33025 .36087 Mtetra
.664 .741 .907 r
.33025 .36087 .33392 .36463 .33973 .36298 .33609 .35883 Mtetra
.61 .702 .909 r
.33609 .35883 .33973 .36298 .34559 .36055 .3419 .35755 Mtetra
.715 .798 .916 r
.3419 .35755 .34559 .36055 .35145 .35851 .34781 .35472 Mtetra
.664 .741 .907 r
.34781 .35472 .35145 .35851 .35709 .36077 .35369 .35267 Mtetra
.012 .193 .704 r
.35369 .35267 .35709 .36077 .36298 .35877 .35916 .35872 Mtetra
.942 .896 .753 r
.35916 .35872 .36298 .35877 .3691 .35235 .36548 .34854 Mtetra
.664 .741 .907 r
.36548 .34854 .3691 .35235 .37446 .36193 .3714 .34647 Mtetra
.698 .458 0 r
.3714 .34647 .37446 .36193 .37927 .38486 .37612 .37047 Mtetra
.755 .573 .65 r
.37612 .37047 .37927 .38486 .38687 .34615 .38255 .35846 Mtetra
0 0 0 r
.38255 .35846 .38687 .34615 .39281 .34407 .38923 .34023 Mtetra
.93 .547 .208 r
.38923 .34023 .39281 .34407 .39569 .41945 .39435 .35885 Mtetra
.399 .235 .54 r
.39435 .35885 .39569 .41945 .40475 .33991 .39962 .37599 Mtetra
0 0 .097 r
.39962 .37599 .40475 .33991 .41074 .33782 .40718 .33394 Mtetra
.664 .741 .907 r
.40718 .33394 .41074 .33782 .41506 .38483 .41319 .33184 Mtetra
.318 .178 .528 r
.41319 .33184 .41506 .38483 .42275 .33362 .41841 .35371 Mtetra
0 0 0 r
.41841 .35371 .42275 .33362 .42878 .33152 .42525 .32762 Mtetra
.664 .741 .907 r
.42525 .32762 .42878 .33152 .43455 .33895 .4313 .3255 Mtetra
.464 .393 .692 r
.4313 .3255 .43455 .33895 .44085 .32857 .43724 .32796 Mtetra
.887 .938 .844 r
.43724 .32796 .44085 .32857 .44695 .32518 .44344 .32125 Mtetra
.664 .741 .907 r
.44344 .32125 .44695 .32518 .453 .32456 .44953 .31912 Mtetra
.436 .562 .884 r
.44953 .31912 .453 .32456 .45913 .32092 .45557 .32009 Mtetra
.836 .947 .893 r
.45557 .32009 .45913 .32092 .46517 .3226 .46176 .31484 Mtetra
.638 .588 .781 r
.46176 .31484 .46517 .3226 .47118 .32742 .46789 .3127 Mtetra
.134 .158 .62 r
.46789 .3127 .47118 .32742 .4775 .31451 .47384 .32259 Mtetra
.655 .77 .297 r
.47384 .32259 .4775 .31451 .48365 .31236 .4802 .30839 Mtetra
.664 .741 .907 r
.4802 .30839 .48365 .31236 .48951 .33729 .48637 .30623 Mtetra
.316 .208 .569 r
.48637 .30623 .48951 .33729 .496 .30806 .4924 .31977 Mtetra
0 0 0 r
.4924 .31977 .496 .30806 .50219 .30589 .49876 .30189 Mtetra
.664 .741 .907 r
.49876 .30189 .50219 .30589 .50829 .32426 .50498 .29971 Mtetra
.475 .339 .616 r
.50498 .29971 .50829 .32426 .51462 .30156 .51118 .3037 Mtetra
.655 .94 .685 r
.51118 .3037 .51462 .30156 .52085 .29938 .51745 .29782 Mtetra
.808 .918 .912 r
.51745 .29782 .52085 .29938 .52711 .30194 .52371 .29316 Mtetra
.617 .557 .764 r
.52371 .29316 .52711 .30194 .53337 .29583 .52999 .29138 Mtetra
.631 .707 .901 r
.52999 .29138 .53337 .29583 .53964 .29282 .53628 .28969 Mtetra
.719 .812 .923 r
.53628 .28969 .53964 .29282 .54594 .29062 .54257 .28662 Mtetra
.668 .746 .909 r
.54257 .28662 .54594 .29062 .55224 .28842 .54889 .28434 Mtetra
.619 .724 .921 r
.54889 .28434 .55224 .28842 .5586 .28996 .55523 .2828 Mtetra
.491 .529 .824 r
.55523 .2828 .5586 .28996 .5649 .284 .56161 .28357 Mtetra
.848 .976 .87 r
.56161 .28357 .5649 .284 .57125 .28179 .56793 .27768 Mtetra
.664 .741 .907 r
.56793 .27768 .57125 .28179 .5778 .2903 .5743 .27545 Mtetra
.296 .272 .662 r
.5743 .27545 .5778 .2903 .58399 .27734 .58086 .28274 Mtetra
.681 .821 .38 r
.58086 .28274 .58399 .27734 .59039 .27511 .58709 .27097 Mtetra
.664 .741 .907 r
.58709 .27097 .59039 .27511 .59701 .2819 .59351 .26873 Mtetra
.348 .325 .692 r
.59351 .26873 .59701 .2819 .60335 .27559 .60013 .27415 Mtetra
.939 .892 .757 r
.60013 .27415 .60335 .27559 .60966 .26838 .60639 .26422 Mtetra
.664 .741 .907 r
.60639 .26422 .60966 .26838 .61616 .2678 .61286 .26196 Mtetra
.552 .611 .866 r
.61286 .26196 .61616 .2678 .62268 .26684 .61939 .26155 Mtetra
.714 .707 .842 r
.61939 .26155 .62268 .26684 .62906 .26161 .62585 .25804 Mtetra
.703 .79 .918 r
.62585 .25804 .62906 .26161 .63556 .25934 .63234 .25514 Mtetra
.658 .739 .909 r
.63234 .25514 .63556 .25934 .64209 .25754 .63887 .25295 Mtetra
.662 .72 .892 r
.63887 .25295 .64209 .25754 .6486 .25479 .6454 .25066 Mtetra
.67 .749 .909 r
.6454 .25066 .6486 .25479 .65515 .2525 .65196 .24827 Mtetra
.664 .741 .907 r
.65196 .24827 .65515 .2525 .66171 .25023 .65852 .24597 Mtetra
.664 .74 .906 r
.65852 .24597 .66171 .25023 .66828 .24792 .66511 .24367 Mtetra
.664 .741 .907 r
.66511 .24367 .66828 .24792 .67487 .24562 .67171 .24136 Mtetra
.67171 .24136 .67487 .24562 .68148 .24331 .67832 .23904 Mtetra
.67832 .23904 .68148 .24331 .6881 .241 .68496 .23672 Mtetra
.68496 .23672 .6881 .241 .69473 .23868 .6916 .23439 Mtetra
.6916 .23439 .69473 .23868 .70138 .23636 .69827 .23206 Mtetra
.69827 .23206 .70138 .23636 .70805 .23404 .70494 .22973 Mtetra
.70494 .22973 .70805 .23404 .71473 .2317 .71164 .22738 Mtetra
.71164 .22738 .71473 .2317 .72143 .22937 .71835 .22504 Mtetra
.71835 .22504 .72143 .22937 .72815 .22702 .72507 .22268 Mtetra
.72507 .22268 .72815 .22702 .73488 .22467 .73181 .22032 Mtetra
.73181 .22032 .73488 .22467 .74162 .22232 .73857 .21796 Mtetra
.73857 .21796 .74162 .22232 .74839 .21996 .74534 .21559 Mtetra
.74534 .21559 .74839 .21996 .75516 .21759 .75213 .21321 Mtetra
.75213 .21321 .75516 .21759 .76196 .21522 .75894 .21083 Mtetra
.75894 .21083 .76196 .21522 .76877 .21284 .76576 .20844 Mtetra
.76576 .20844 .76877 .21284 .7756 .21046 .7726 .20605 Mtetra
.7726 .20605 .7756 .21046 .78244 .20807 .77945 .20365 Mtetra
.77945 .20365 .78244 .20807 .7893 .20568 .78632 .20124 Mtetra
.78632 .20124 .7893 .20568 .79617 .20328 .79321 .19883 Mtetra
.79321 .19883 .79617 .20328 .80306 .20087 .80011 .19642 Mtetra
.80011 .19642 .80306 .20087 .80997 .19846 .80703 .19399 Mtetra
.80703 .19399 .80997 .19846 .8169 .19604 .81397 .19156 Mtetra
.19556 .40307 .19941 .40667 .20496 .40472 .20112 .40112 Mtetra
.20112 .40112 .20496 .40472 .21053 .40277 .20669 .39917 Mtetra
.20669 .39917 .21053 .40277 .21611 .40082 .21228 .39721 Mtetra
.21228 .39721 .21611 .40082 .2217 .39886 .21788 .39524 Mtetra
.21788 .39524 .2217 .39886 .2273 .3969 .22349 .39327 Mtetra
.22349 .39327 .2273 .3969 .23291 .39494 .22911 .3913 Mtetra
.22911 .3913 .23291 .39494 .23854 .39297 .23474 .38932 Mtetra
.23474 .38932 .23854 .39297 .24418 .391 .24039 .38734 Mtetra
.24039 .38734 .24418 .391 .24983 .38902 .24605 .38535 Mtetra
.24605 .38535 .24983 .38902 .25549 .38703 .25172 .38336 Mtetra
.25172 .38336 .25549 .38703 .26117 .38505 .2574 .38137 Mtetra
.2574 .38137 .26117 .38505 .26686 .38306 .2631 .37937 Mtetra
.2631 .37937 .26686 .38306 .27256 .38106 .26881 .37737 Mtetra
.26881 .37737 .27256 .38106 .27827 .37906 .27453 .37536 Mtetra
.27453 .37536 .27827 .37906 .284 .37706 .28026 .37335 Mtetra
.28026 .37335 .284 .37706 .28974 .37505 .286 .37133 Mtetra
.286 .37133 .28974 .37505 .29549 .37304 .29176 .36931 Mtetra
.29176 .36931 .29549 .37304 .30125 .37102 .29753 .36729 Mtetra
.29753 .36729 .30125 .37102 .30702 .369 .30332 .36526 Mtetra
.30332 .36526 .30702 .369 .31281 .36697 .30911 .36322 Mtetra
.30911 .36322 .31281 .36697 .31861 .36495 .31492 .36118 Mtetra
.663 .74 .908 r
.31492 .36118 .31861 .36495 .32443 .36293 .32074 .35915 Mtetra
.663 .74 .907 r
.32074 .35915 .32443 .36293 .33025 .36087 .32657 .35712 Mtetra
.666 .743 .908 r
.32657 .35712 .33025 .36087 .33609 .35883 .33242 .35504 Mtetra
.653 .738 .912 r
.33242 .35504 .33609 .35883 .3419 .35755 .33827 .35315 Mtetra
.604 .688 .902 r
.33827 .35315 .3419 .35755 .34781 .35472 .3441 .35196 Mtetra
.731 .817 .918 r
.3441 .35196 .34781 .35472 .35369 .35267 .35004 .34886 Mtetra
.664 .741 .907 r
.35004 .34886 .35369 .35267 .35916 .35872 .35594 .34679 Mtetra
.078 .151 .638 r
.35594 .34679 .35916 .35872 .36548 .34854 .36133 .3549 Mtetra
.789 .891 .477 r
.36133 .3549 .36548 .34854 .3714 .34647 .36778 .34263 Mtetra
.664 .741 .907 r
.36778 .34263 .3714 .34647 .37612 .37047 .37372 .34055 Mtetra
0 0 .379 r
.37372 .34055 .37612 .37047 .38255 .35846 .37825 .36932 Mtetra
.982 .847 .461 r
.37825 .36932 .38255 .35846 .38923 .34023 .38563 .33637 Mtetra
.664 .741 .907 r
.38563 .33637 .38923 .34023 .39435 .35885 .39161 .33427 Mtetra
0 0 .353 r
.39161 .33427 .39435 .35885 .39962 .37599 .39645 .36065 Mtetra
.806 .6 .624 r
.39645 .36065 .39962 .37599 .40718 .33394 .40319 .34084 Mtetra
.747 .854 .417 r
.40319 .34084 .40718 .33394 .41319 .33184 .40963 .32794 Mtetra
0 .189 .694 r
.40963 .32794 .41319 .33184 .41841 .35371 .41543 .33247 Mtetra
.563 .412 .634 r
.41543 .33247 .41841 .35371 .42525 .32762 .42145 .33155 Mtetra
.83 .949 .598 r
.42145 .33155 .42525 .32762 .4313 .3255 .42776 .32158 Mtetra
.664 .741 .907 r
.42776 .32158 .4313 .3255 .43724 .32796 .43383 .31945 Mtetra
.547 .521 .778 r
.43383 .31945 .43724 .32796 .44344 .32125 .43987 .31937 Mtetra
.789 .888 .917 r
.43987 .31937 .44344 .32125 .44953 .31912 .44602 .31517 Mtetra
.664 .741 .907 r
.44602 .31517 .44953 .31912 .45557 .32009 .45213 .31303 Mtetra
.281 .406 .812 r
.45213 .31303 .45557 .32009 .46176 .31484 .45815 .31627 Mtetra
.87 .995 .77 r
.45815 .31627 .46176 .31484 .46789 .3127 .4644 .30872 Mtetra
.664 .741 .907 r
.4644 .30872 .46789 .3127 .47384 .32259 .47056 .30656 Mtetra
.145 .153 .609 r
.47056 .30656 .47384 .32259 .4802 .30839 .47653 .3171 Mtetra
0 0 0 r
.47653 .3171 .4802 .30839 .48637 .30623 .48291 .30253 Mtetra
.683 .764 .913 r
.48291 .30253 .48637 .30623 .4924 .31977 .48911 .30005 Mtetra
.373 .287 .629 r
.48911 .30005 .4924 .31977 .49876 .30189 .49523 .30689 Mtetra
0 0 0 r
.49523 .30689 .49876 .30189 .50498 .29971 .50151 .30088 Mtetra
.865 .996 .778 r
.50151 .30088 .50498 .29971 .51118 .3037 .50779 .29349 Mtetra
.579 .509 .741 r
.50779 .29349 .51118 .3037 .51745 .29782 .51403 .29264 Mtetra
.582 .651 .883 r
.51403 .29264 .51745 .29782 .52371 .29316 .5203 .29173 Mtetra
.815 .927 .908 r
.5203 .29173 .52371 .29316 .52999 .29138 .52659 .28689 Mtetra
.663 .719 .89 r
.52659 .28689 .52999 .29138 .53628 .28969 .53289 .28468 Mtetra
.609 .672 .885 r
.53289 .28468 .53628 .28969 .54257 .28662 .5392 .28334 Mtetra
.718 .804 .918 r
.5392 .28334 .54257 .28662 .54889 .28434 .54552 .28025 Mtetra
.664 .741 .907 r
.54552 .28025 .54889 .28434 .55523 .2828 .55186 .27802 Mtetra
.523 .645 .911 r
.55186 .27802 .55523 .2828 .56161 .28357 .55824 .27782 Mtetra
.651 .66 .846 r
.55824 .27782 .56161 .28357 .56793 .27768 .56462 .27566 Mtetra
.789 .897 .92 r
.56462 .27566 .56793 .27768 .5743 .27545 .57097 .27132 Mtetra
.545 .692 .936 r
.57097 .27132 .5743 .27545 .58086 .28274 .5774 .27068 Mtetra
.48 .425 .717 r
.5774 .27068 .58086 .28274 .58709 .27097 .5839 .27256 Mtetra
.842 .988 .716 r
.5839 .27256 .58709 .27097 .59351 .26873 .59021 .26457 Mtetra
.664 .741 .907 r
.59021 .26457 .59351 .26873 .60013 .27415 .59666 .2623 Mtetra
.474 .424 .721 r
.59666 .2623 .60013 .27415 .60639 .26422 .60323 .26433 Mtetra
.854 .994 .831 r
.60323 .26433 .60639 .26422 .61286 .26196 .60959 .25777 Mtetra
.664 .741 .907 r
.60959 .25777 .61286 .26196 .61939 .26155 .61608 .25549 Mtetra
.604 .63 .85 r
.61608 .25549 .61939 .26155 .62585 .25804 .62261 .25419 Mtetra
.721 .78 .899 r
.62261 .25419 .62585 .25804 .63234 .25514 .6291 .25092 Mtetra
.664 .741 .907 r
.6291 .25092 .63234 .25514 .63887 .25295 .63563 .24862 Mtetra
.66 .734 .905 r
.63563 .24862 .63887 .25295 .6454 .25066 .64219 .24638 Mtetra
.667 .74 .904 r
.64219 .24638 .6454 .25066 .65196 .24827 .64875 .24402 Mtetra
.664 .741 .907 r
.64875 .24402 .65196 .24827 .65852 .24597 .65533 .24171 Mtetra
.65533 .24171 .65852 .24597 .66511 .24367 .66192 .2394 Mtetra
.66192 .2394 .66511 .24367 .67171 .24136 .66853 .23708 Mtetra
.66853 .23708 .67171 .24136 .67832 .23904 .67516 .23475 Mtetra
.67516 .23475 .67832 .23904 .68496 .23672 .6818 .23242 Mtetra
.6818 .23242 .68496 .23672 .6916 .23439 .68846 .23008 Mtetra
.68846 .23008 .6916 .23439 .69827 .23206 .69513 .22774 Mtetra
.69513 .22774 .69827 .23206 .70494 .22973 .70182 .2254 Mtetra
.70182 .2254 .70494 .22973 .71164 .22738 .70853 .22304 Mtetra
.70853 .22304 .71164 .22738 .71835 .22504 .71525 .22069 Mtetra
.71525 .22069 .71835 .22504 .72507 .22268 .72198 .21833 Mtetra
.72198 .21833 .72507 .22268 .73181 .22032 .72874 .21596 Mtetra
.664 .741 .908 r
.72874 .21596 .73181 .22032 .73857 .21796 .7355 .21359 Mtetra
.7355 .21359 .73857 .21796 .74534 .21559 .74229 .21121 Mtetra
.74229 .21121 .74534 .21559 .75213 .21321 .74909 .20882 Mtetra
.74909 .20882 .75213 .21321 .75894 .21083 .75591 .20643 Mtetra
.75591 .20643 .75894 .21083 .76576 .20844 .76274 .20403 Mtetra
.664 .741 .907 r
.76274 .20403 .76576 .20844 .7726 .20605 .76959 .20162 Mtetra
.76959 .20162 .7726 .20605 .77945 .20365 .77645 .19921 Mtetra
.77645 .19921 .77945 .20365 .78632 .20124 .78334 .19679 Mtetra
.78334 .19679 .78632 .20124 .79321 .19883 .79023 .19437 Mtetra
.79023 .19437 .79321 .19883 .80011 .19642 .79715 .19194 Mtetra
.79715 .19194 .80011 .19642 .80703 .19399 .80408 .18951 Mtetra
.80408 .18951 .80703 .19399 .81397 .19156 .81103 .18707 Mtetra
.1917 .39947 .19556 .40307 .20112 .40112 .19727 .39751 Mtetra
.19727 .39751 .20112 .40112 .20669 .39917 .20285 .39554 Mtetra
.20285 .39554 .20669 .39917 .21228 .39721 .20844 .39358 Mtetra
.20844 .39358 .21228 .39721 .21788 .39524 .21404 .3916 Mtetra
.21404 .3916 .21788 .39524 .22349 .39327 .21966 .38963 Mtetra
.21966 .38963 .22349 .39327 .22911 .3913 .22529 .38765 Mtetra
.22529 .38765 .22911 .3913 .23474 .38932 .23093 .38566 Mtetra
.23093 .38566 .23474 .38932 .24039 .38734 .23658 .38367 Mtetra
.23658 .38367 .24039 .38734 .24605 .38535 .24225 .38168 Mtetra
.24225 .38168 .24605 .38535 .25172 .38336 .24793 .37968 Mtetra
.24793 .37968 .25172 .38336 .2574 .38137 .25362 .37768 Mtetra
.25362 .37768 .2574 .38137 .2631 .37937 .25932 .37567 Mtetra
.25932 .37567 .2631 .37937 .26881 .37737 .26504 .37366 Mtetra
.26504 .37366 .26881 .37737 .27453 .37536 .27076 .37164 Mtetra
.27076 .37164 .27453 .37536 .28026 .37335 .2765 .36962 Mtetra
.2765 .36962 .28026 .37335 .286 .37133 .28226 .3676 Mtetra
.28226 .3676 .286 .37133 .29176 .36931 .28802 .36557 Mtetra
.28802 .36557 .29176 .36931 .29753 .36729 .2938 .36353 Mtetra
.2938 .36353 .29753 .36729 .30332 .36526 .29959 .3615 Mtetra
.29959 .3615 .30332 .36526 .30911 .36322 .30539 .35946 Mtetra
.30539 .35946 .30911 .36322 .31492 .36118 .31121 .35741 Mtetra
.31121 .35741 .31492 .36118 .32074 .35915 .31704 .35536 Mtetra
.661 .739 .908 r
.31704 .35536 .32074 .35915 .32657 .35712 .32288 .35334 Mtetra
.667 .742 .907 r
.32288 .35334 .32657 .35712 .33242 .35504 .32874 .35124 Mtetra
.664 .741 .907 r
.32874 .35124 .33242 .35504 .33827 .35315 .33461 .34917 Mtetra
.619 .717 .916 r
.33461 .34917 .33827 .35315 .3441 .35196 .34045 .34775 Mtetra
.655 .717 .894 r
.34045 .34775 .3441 .35196 .35004 .34886 .34634 .34581 Mtetra
.715 .798 .916 r
.34634 .34581 .35004 .34886 .35594 .34679 .35229 .34295 Mtetra
.452 .658 .949 r
.35229 .34295 .35594 .34679 .36133 .3549 .35809 .34317 Mtetra
.348 .337 .705 r
.35809 .34317 .36133 .3549 .36778 .34263 .3637 .34738 Mtetra
.833 .94 .574 r
.3637 .34738 .36778 .34263 .37372 .34055 .37009 .33669 Mtetra
.664 .741 .907 r
.37009 .33669 .37372 .34055 .37825 .36932 .37605 .33459 Mtetra
.12 .051 .498 r
.37605 .33459 .37825 .36932 .38563 .33637 .38092 .35687 Mtetra
0 0 0 r
.38092 .35687 .38563 .33637 .39161 .33427 .38801 .33038 Mtetra
.664 .741 .907 r
.38801 .33038 .39161 .33427 .39645 .36065 .39401 .32827 Mtetra
.176 .098 .523 r
.39401 .32827 .39645 .36065 .40319 .34084 .39918 .34727 Mtetra
.986 .878 .527 r
.39918 .34727 .40319 .34084 .40963 .32794 .40605 .32403 Mtetra
.664 .741 .907 r
.40605 .32403 .40963 .32794 .41543 .33247 .41209 .32191 Mtetra
.372 .373 .731 r
.41209 .32191 .41543 .33247 .42145 .33155 .41795 .3254 Mtetra
.781 .689 .762 r
.41795 .3254 .42145 .33155 .42776 .32158 .42417 .31901 Mtetra
.75 .841 .92 r
.42417 .31901 .42776 .32158 .43383 .31945 .43029 .3155 Mtetra
.638 .732 .916 r
.43029 .3155 .43383 .31945 .43987 .31937 .43637 .31374 Mtetra
.6 .636 .859 r
.43637 .31374 .43987 .31937 .44602 .31517 .44246 .31259 Mtetra
.751 .843 .921 r
.44246 .31259 .44602 .31517 .45213 .31303 .44862 .30905 Mtetra
.664 .741 .907 r
.44862 .30905 .45213 .31303 .45815 .31627 .45475 .30689 Mtetra
.347 .383 .756 r
.45475 .30689 .45815 .31627 .4644 .30872 .46079 .31039 Mtetra
.868 .993 .751 r
.46079 .31039 .4644 .30872 .47056 .30656 .46707 .30256 Mtetra
.664 .741 .907 r
.46707 .30256 .47056 .30656 .47653 .3171 .47325 .30038 Mtetra
.332 .277 .645 r
.47325 .30038 .47653 .3171 .48291 .30253 .47931 .3072 Mtetra
.65 .855 .466 r
.47931 .3072 .48291 .30253 .48911 .30005 .48562 .2981 Mtetra
.789 .891 .918 r
.48562 .2981 .48911 .30005 .49523 .30689 .49186 .29383 Mtetra
.486 .414 .701 r
.49186 .29383 .49523 .30689 .50151 .30088 .49806 .29564 Mtetra
.682 .691 .852 r
.49806 .29564 .50151 .30088 .50779 .29349 .50432 .29294 Mtetra
.847 .966 .879 r
.50432 .29294 .50779 .29349 .51403 .29264 .51061 .28723 Mtetra
.648 .671 .858 r
.51061 .28723 .51403 .29264 .5203 .29173 .51689 .28521 Mtetra
.603 .609 .83 r
.51689 .28521 .5203 .29173 .52659 .28689 .52318 .28396 Mtetra
.736 .828 .922 r
.52318 .28396 .52659 .28689 .53289 .28468 .52949 .28059 Mtetra
.664 .741 .907 r
.52949 .28059 .53289 .28468 .5392 .28334 .53581 .27837 Mtetra
.61 .675 .887 r
.53581 .27837 .5392 .28334 .54552 .28025 .54215 .27699 Mtetra
.717 .806 .92 r
.54215 .27699 .54552 .28025 .55186 .27802 .54849 .2739 Mtetra
.664 .741 .907 r
.54849 .2739 .55186 .27802 .55824 .27782 .55486 .27166 Mtetra
.489 .566 .86 r
.55486 .27166 .55824 .27782 .56462 .27566 .56127 .2722 Mtetra
.799 .812 .862 r
.56127 .2722 .56462 .27566 .57097 .27132 .56763 .26721 Mtetra
.667 .744 .908 r
.56763 .26721 .57097 .27132 .5774 .27068 .57404 .26491 Mtetra
.454 .563 .876 r
.57404 .26491 .5774 .27068 .5839 .27256 .58052 .26579 Mtetra
.69 .646 .801 r
.58052 .26579 .5839 .27256 .59021 .26457 .58694 .26242 Mtetra
.785 .893 .921 r
.58694 .26242 .59021 .26457 .59666 .2623 .59335 .25811 Mtetra
.614 .721 .922 r
.59335 .25811 .59666 .2623 .60323 .26433 .59984 .2566 Mtetra
.605 .578 .797 r
.59984 .2566 .60323 .26433 .60959 .25777 .60635 .25519 Mtetra
.763 .866 .924 r
.60635 .25519 .60959 .25777 .61608 .25549 .61281 .25127 Mtetra
.664 .741 .907 r
.61281 .25127 .61608 .25549 .62261 .25419 .61932 .24898 Mtetra
.64 .682 .874 r
.61932 .24898 .62261 .25419 .6291 .25092 .62586 .24705 Mtetra
.687 .769 .914 r
.62586 .24705 .6291 .25092 .63563 .24862 .63239 .24438 Mtetra
.664 .741 .907 r
.63239 .24438 .63563 .24862 .64219 .24638 .63895 .24207 Mtetra
.661 .737 .906 r
.63895 .24207 .64219 .24638 .64875 .24402 .64553 .2398 Mtetra
.666 .744 .908 r
.64553 .2398 .64875 .24402 .65533 .24171 .65212 .23745 Mtetra
.664 .742 .908 r
.65212 .23745 .65533 .24171 .66192 .2394 .65872 .23512 Mtetra
.664 .741 .908 r
.65872 .23512 .66192 .2394 .66853 .23708 .66534 .23279 Mtetra
.66534 .23279 .66853 .23708 .67516 .23475 .67198 .23045 Mtetra
.664 .741 .907 r
.67198 .23045 .67516 .23475 .6818 .23242 .67863 .22811 Mtetra
.67863 .22811 .6818 .23242 .68846 .23008 .6853 .22576 Mtetra
.6853 .22576 .68846 .23008 .69513 .22774 .69199 .22341 Mtetra
.69199 .22341 .69513 .22774 .70182 .2254 .69869 .22105 Mtetra
.69869 .22105 .70182 .2254 .70853 .22304 .7054 .21869 Mtetra
.7054 .21869 .70853 .22304 .71525 .22069 .71213 .21632 Mtetra
.664 .741 .908 r
.71213 .21632 .71525 .22069 .72198 .21833 .71888 .21395 Mtetra
.71888 .21395 .72198 .21833 .72874 .21596 .72564 .21158 Mtetra
.72564 .21158 .72874 .21596 .7355 .21359 .73242 .2092 Mtetra
.73242 .2092 .7355 .21359 .74229 .21121 .73922 .20681 Mtetra
.73922 .20681 .74229 .21121 .74909 .20882 .74603 .20441 Mtetra
.664 .742 .908 r
.74603 .20441 .74909 .20882 .75591 .20643 .75286 .20201 Mtetra
.75286 .20201 .75591 .20643 .76274 .20403 .7597 .19959 Mtetra
.664 .741 .908 r
.7597 .19959 .76274 .20403 .76959 .20162 .76657 .19717 Mtetra
.76657 .19717 .76959 .20162 .77645 .19921 .77344 .19475 Mtetra
.664 .741 .907 r
.77344 .19475 .77645 .19921 .78334 .19679 .78034 .19232 Mtetra
.78034 .19232 .78334 .19679 .79023 .19437 .78725 .18988 Mtetra
.78725 .18988 .79023 .19437 .79715 .19194 .79417 .18744 Mtetra
.79417 .18744 .79715 .19194 .80408 .18951 .80112 .185 Mtetra
.80112 .185 .80408 .18951 .81103 .18707 .80808 .18255 Mtetra
.18782 .39585 .1917 .39947 .19727 .39751 .1934 .39388 Mtetra
.1934 .39388 .19727 .39751 .20285 .39554 .19898 .39191 Mtetra
.19898 .39191 .20285 .39554 .20844 .39358 .20458 .38993 Mtetra
.20458 .38993 .20844 .39358 .21404 .3916 .21019 .38795 Mtetra
.21019 .38795 .21404 .3916 .21966 .38963 .21582 .38597 Mtetra
.21582 .38597 .21966 .38963 .22529 .38765 .22145 .38398 Mtetra
.22145 .38398 .22529 .38765 .23093 .38566 .2271 .38198 Mtetra
.2271 .38198 .23093 .38566 .23658 .38367 .23276 .37999 Mtetra
.23276 .37999 .23658 .38367 .24225 .38168 .23844 .37798 Mtetra
.23844 .37798 .24225 .38168 .24793 .37968 .24412 .37598 Mtetra
.24412 .37598 .24793 .37968 .25362 .37768 .24982 .37397 Mtetra
.24982 .37397 .25362 .37768 .25932 .37567 .25553 .37195 Mtetra
.25553 .37195 .25932 .37567 .26504 .37366 .26125 .36993 Mtetra
.26125 .36993 .26504 .37366 .27076 .37164 .26699 .36791 Mtetra
.26699 .36791 .27076 .37164 .2765 .36962 .27273 .36588 Mtetra
.27273 .36588 .2765 .36962 .28226 .3676 .2785 .36385 Mtetra
.2785 .36385 .28226 .3676 .28802 .36557 .28427 .36181 Mtetra
.28427 .36181 .28802 .36557 .2938 .36353 .29005 .35977 Mtetra
.29005 .35977 .2938 .36353 .29959 .3615 .29585 .35772 Mtetra
.29585 .35772 .29959 .3615 .30539 .35946 .30166 .35567 Mtetra
.30166 .35567 .30539 .35946 .31121 .35741 .30749 .35362 Mtetra
.30749 .35362 .31121 .35741 .31704 .35536 .31332 .35156 Mtetra
.31332 .35156 .31704 .35536 .32288 .35334 .31917 .34949 Mtetra
.658 .737 .908 r
.31917 .34949 .32288 .35334 .32874 .35124 .32503 .34751 Mtetra
.67 .747 .909 r
.32503 .34751 .32874 .35124 .33461 .34917 .33091 .34535 Mtetra
.664 .741 .907 r
.33091 .34535 .33461 .34917 .34045 .34775 .3368 .34327 Mtetra
.576 .675 .907 r
.3368 .34327 .34045 .34775 .34634 .34581 .34263 .34243 Mtetra
.736 .783 .89 r
.34263 .34243 .34634 .34581 .35229 .34295 .34862 .3391 Mtetra
.664 .741 .907 r
.34862 .3391 .35229 .34295 .35809 .34317 .35455 .33701 Mtetra
.196 .39 .828 r
.35455 .33701 .35809 .34317 .3637 .34738 .36021 .34028 Mtetra
.693 .628 .779 r
.36021 .34028 .3637 .34738 .37009 .33669 .36624 .33677 Mtetra
.864 .97 .861 r
.36624 .33677 .37009 .33669 .37605 .33459 .37241 .33071 Mtetra
0 .312 .792 r
.37241 .33071 .37605 .33459 .38092 .35687 .37813 .33424 Mtetra
.432 .312 .616 r
.37813 .33424 .38092 .35687 .38801 .33038 .38381 .33939 Mtetra
.702 .799 .33 r
.38381 .33939 .38801 .33038 .39401 .32827 .3904 .32436 Mtetra
.664 .741 .907 r
.3904 .32436 .39401 .32827 .39918 .34727 .39642 .32223 Mtetra
.367 .257 .595 r
.39642 .32223 .39918 .34727 .40605 .32403 .40204 .33062 Mtetra
.76 .867 .438 r
.40204 .33062 .40605 .32403 .41209 .32191 .4085 .31797 Mtetra
.664 .741 .907 r
.4085 .31797 .41209 .32191 .41795 .3254 .41456 .31583 Mtetra
.522 .485 .756 r
.41456 .31583 .41795 .3254 .42417 .31901 .42055 .31631 Mtetra
.804 .837 .876 r
.42055 .31631 .42417 .31901 .43029 .3155 .42673 .31154 Mtetra
.664 .741 .907 r
.42673 .31154 .43029 .3155 .43637 .31374 .43283 .30938 Mtetra
.663 .72 .892 r
.43283 .30938 .43637 .31374 .44246 .31259 .43895 .30722 Mtetra
.593 .645 .872 r
.43895 .30722 .44246 .31259 .44862 .30905 .44505 .30618 Mtetra
.735 .824 .92 r
.44505 .30618 .44862 .30905 .45475 .30689 .45123 .30289 Mtetra
.664 .741 .907 r
.45123 .30289 .45475 .30689 .46079 .31039 .45739 .30072 Mtetra
.491 .466 .757 r
.45739 .30072 .46079 .31039 .46707 .30256 .4635 .30187 Mtetra
.808 .96 .91 r
.4635 .30187 .46707 .30256 .47325 .30038 .46974 .29704 Mtetra
.708 .793 .917 r
.46974 .29704 .47325 .30038 .47931 .3072 .47595 .29417 Mtetra
.523 .438 .701 r
.47595 .29417 .47931 .3072 .48562 .2981 .48212 .29489 Mtetra
.677 .794 .937 r
.48212 .29489 .48562 .2981 .49186 .29383 .48836 .29249 Mtetra
.819 .928 .906 r
.48836 .29249 .49186 .29383 .49806 .29564 .49464 .28757 Mtetra
.623 .576 .781 r
.49464 .28757 .49806 .29564 .50432 .29294 .50089 .28573 Mtetra
.586 .579 .812 r
.50089 .28573 .50432 .29294 .51061 .28723 .50716 .28479 Mtetra
.765 .863 .922 r
.50716 .28479 .51061 .28723 .51689 .28521 .51346 .28093 Mtetra
.663 .731 .9 r
.51346 .28093 .51689 .28521 .52318 .28396 .51976 .27871 Mtetra
.638 .675 .869 r
.51976 .27871 .52318 .28396 .52949 .28059 .52607 .27686 Mtetra
.688 .77 .914 r
.52607 .27686 .52949 .28059 .53581 .27837 .5324 .27425 Mtetra
.657 .738 .91 r
.5324 .27425 .53581 .27837 .54215 .27699 .53875 .27212 Mtetra
.622 .687 .89 r
.53875 .27212 .54215 .27699 .54849 .2739 .54511 .27053 Mtetra
.712 .8 .919 r
.54511 .27053 .54849 .2739 .55486 .27166 .55148 .26751 Mtetra
.664 .741 .907 r
.55148 .26751 .55486 .27166 .56127 .2722 .55787 .26526 Mtetra
.518 .554 .832 r
.55787 .26526 .56127 .2722 .56763 .26721 .56431 .26551 Mtetra
.809 .919 .912 r
.56431 .26551 .56763 .26721 .57404 .26491 .57069 .26074 Mtetra
.664 .741 .907 r
.57069 .26074 .57404 .26491 .58052 .26579 .57713 .25846 Mtetra
.509 .538 .821 r
.57713 .25846 .58052 .26579 .58694 .26242 .58363 .25892 Mtetra
.799 .813 .863 r
.58363 .25892 .58694 .26242 .59335 .25811 .59004 .25391 Mtetra
.664 .741 .907 r
.59004 .25391 .59335 .25811 .59984 .2566 .59652 .25162 Mtetra
.607 .679 .892 r
.59652 .25162 .59984 .2566 .60635 .25519 .60303 .25025 Mtetra
.687 .714 .869 r
.60303 .25025 .60635 .25519 .61281 .25127 .60953 .24743 Mtetra
.689 .772 .915 r
.60953 .24743 .61281 .25127 .61932 .24898 .61604 .24473 Mtetra
.655 .738 .91 r
.61604 .24473 .61932 .24898 .62586 .24705 .62259 .24256 Mtetra
.661 .728 .899 r
.62259 .24256 .62586 .24705 .63239 .24438 .62914 .24028 Mtetra
.671 .753 .912 r
.62914 .24028 .63239 .24438 .63895 .24207 .63571 .23785 Mtetra
.662 .743 .91 r
.63571 .23785 .63895 .24207 .64553 .2398 .64229 .23556 Mtetra
.664 .744 .909 r
.64229 .23556 .64553 .2398 .65212 .23745 .6489 .23323 Mtetra
.665 .745 .91 r
.6489 .23323 .65212 .23745 .65872 .23512 .65551 .23087 Mtetra
.665 .744 .909 r
.65551 .23087 .65872 .23512 .66534 .23279 .66214 .22851 Mtetra
.665 .743 .908 r
.66214 .22851 .66534 .23279 .67198 .23045 .66879 .22615 Mtetra
.665 .742 .908 r
.66879 .22615 .67198 .23045 .67863 .22811 .67545 .22378 Mtetra
.664 .742 .908 r
.67545 .22378 .67863 .22811 .6853 .22576 .68213 .22142 Mtetra
.664 .741 .908 r
.68213 .22142 .6853 .22576 .69199 .22341 .68883 .21905 Mtetra
.664 .741 .907 r
.68883 .21905 .69199 .22341 .69869 .22105 .69554 .21669 Mtetra
.664 .741 .908 r
.69554 .21669 .69869 .22105 .7054 .21869 .70226 .21432 Mtetra
.70226 .21432 .7054 .21869 .71213 .21632 .70901 .21194 Mtetra
.663 .741 .908 r
.70901 .21194 .71213 .21632 .71888 .21395 .71576 .20957 Mtetra
.71576 .20957 .71888 .21395 .72564 .21158 .72254 .20718 Mtetra
.663 .742 .908 r
.72254 .20718 .72564 .21158 .73242 .2092 .72933 .2048 Mtetra
.664 .742 .908 r
.72933 .2048 .73242 .2092 .73922 .20681 .73614 .2024 Mtetra
.73614 .2024 .73922 .20681 .74603 .20441 .74296 .19999 Mtetra
.74296 .19999 .74603 .20441 .75286 .20201 .7498 .19758 Mtetra
.7498 .19758 .75286 .20201 .7597 .19959 .75666 .19515 Mtetra
.75666 .19515 .7597 .19959 .76657 .19717 .76353 .19271 Mtetra
.76353 .19271 .76657 .19717 .77344 .19475 .77042 .19027 Mtetra
.77042 .19027 .77344 .19475 .78034 .19232 .77732 .18783 Mtetra
.664 .741 .907 r
.77732 .18783 .78034 .19232 .78725 .18988 .78424 .18538 Mtetra
.78424 .18538 .78725 .18988 .79417 .18744 .79118 .18293 Mtetra
.79118 .18293 .79417 .18744 .80112 .185 .79814 .18047 Mtetra
.79814 .18047 .80112 .185 .80808 .18255 .80511 .17801 Mtetra
.18393 .39221 .18782 .39585 .1934 .39388 .18951 .39023 Mtetra
.18951 .39023 .1934 .39388 .19898 .39191 .1951 .38826 Mtetra
.1951 .38826 .19898 .39191 .20458 .38993 .20071 .38627 Mtetra
.20071 .38627 .20458 .38993 .21019 .38795 .20633 .38428 Mtetra
.20633 .38428 .21019 .38795 .21582 .38597 .21196 .38229 Mtetra
.21196 .38229 .21582 .38597 .22145 .38398 .2176 .38029 Mtetra
.2176 .38029 .22145 .38398 .2271 .38198 .22326 .37829 Mtetra
.22326 .37829 .2271 .38198 .23276 .37999 .22893 .37629 Mtetra
.22893 .37629 .23276 .37999 .23844 .37798 .23461 .37428 Mtetra
.23461 .37428 .23844 .37798 .24412 .37598 .2403 .37226 Mtetra
.2403 .37226 .24412 .37598 .24982 .37397 .246 .37024 Mtetra
.246 .37024 .24982 .37397 .25553 .37195 .25172 .36822 Mtetra
.25172 .36822 .25553 .37195 .26125 .36993 .25745 .36619 Mtetra
.25745 .36619 .26125 .36993 .26699 .36791 .26319 .36416 Mtetra
.26319 .36416 .26699 .36791 .27273 .36588 .26895 .36212 Mtetra
.26895 .36212 .27273 .36588 .2785 .36385 .27472 .36008 Mtetra
.27472 .36008 .2785 .36385 .28427 .36181 .2805 .35804 Mtetra
.2805 .35804 .28427 .36181 .29005 .35977 .28629 .35599 Mtetra
.28629 .35599 .29005 .35977 .29585 .35772 .2921 .35393 Mtetra
.2921 .35393 .29585 .35772 .30166 .35567 .29792 .35187 Mtetra
.29792 .35187 .30166 .35567 .30749 .35362 .30375 .34981 Mtetra
.30375 .34981 .30749 .35362 .31332 .35156 .30959 .34774 Mtetra
.30959 .34774 .31332 .35156 .31917 .34949 .31545 .34567 Mtetra
.663 .741 .908 r
.31545 .34567 .31917 .34949 .32503 .34751 .32132 .34361 Mtetra
.657 .735 .907 r
.32132 .34361 .32503 .34751 .33091 .34535 .3272 .34163 Mtetra
.672 .75 .909 r
.3272 .34163 .33091 .34535 .3368 .34327 .3331 .33942 Mtetra
.664 .741 .907 r
.3331 .33942 .3368 .34327 .34263 .34243 .33901 .33733 Mtetra
.555 .637 .886 r
.33901 .33733 .34263 .34243 .34862 .3391 .34485 .33682 Mtetra
.763 .853 .917 r
.34485 .33682 .34862 .3391 .35455 .33701 .35087 .33314 Mtetra
.664 .741 .907 r
.35087 .33314 .35455 .33701 .36021 .34028 .35682 .33103 Mtetra
.257 .326 .744 r
.35682 .33103 .36021 .34028 .36624 .33677 .36245 .33538 Mtetra
.907 .867 .787 r
.36245 .33538 .36624 .33677 .37241 .33071 .36876 .32681 Mtetra
.664 .741 .907 r
.36876 .32681 .37241 .33071 .37813 .33424 .37475 .32469 Mtetra
.132 .237 .707 r
.37475 .32469 .37813 .33424 .38381 .33939 .38038 .33062 Mtetra
.744 .62 .721 r
.38038 .33062 .38381 .33939 .3904 .32436 .38661 .32409 Mtetra
.855 .961 .874 r
.38661 .32409 .3904 .32436 .39642 .32223 .3928 .3183 Mtetra
.435 .648 .948 r
.3928 .3183 .39642 .32223 .40204 .33062 .39874 .31866 Mtetra
.583 .486 .71 r
.39874 .31866 .40204 .33062 .4085 .31797 .40477 .31752 Mtetra
.85 .958 .879 r
.40477 .31752 .4085 .31797 .41456 .31583 .41097 .31187 Mtetra
.664 .741 .907 r
.41097 .31187 .41456 .31583 .42055 .31631 .41706 .30972 Mtetra
.611 .608 .823 r
.41706 .30972 .42055 .31631 .42673 .31154 .42313 .30833 Mtetra
.713 .798 .917 r
.42313 .30833 .42673 .31154 .43283 .30938 .42927 .30539 Mtetra
.664 .741 .907 r
.42927 .30539 .43283 .30938 .43895 .30722 .43539 .30323 Mtetra
.43539 .30323 .43895 .30722 .44505 .30618 .44153 .30105 Mtetra
.604 .663 .88 r
.44153 .30105 .44505 .30618 .45123 .30289 .44767 .2998 Mtetra
.675 .799 .941 r
.44767 .2998 .45123 .30289 .45739 .30072 .45384 .29744 Mtetra
.712 .797 .918 r
.45384 .29744 .45739 .30072 .4635 .30187 .46004 .29451 Mtetra
.593 .578 .805 r
.46004 .29451 .4635 .30187 .46974 .29704 .46621 .29342 Mtetra
.522 .711 .958 r
.46621 .29342 .46974 .29704 .47595 .29417 .4724 .29289 Mtetra
.822 .93 .904 r
.4724 .29289 .47595 .29417 .48212 .29489 .47867 .28791 Mtetra
.645 .615 .805 r
.47867 .28791 .48212 .29489 .48836 .29249 .48491 .28571 Mtetra
.506 .551 .836 r
.48491 .28571 .48836 .29249 .49464 .28757 .49113 .2861 Mtetra
.814 .923 .908 r
.49113 .2861 .49464 .28757 .50089 .28573 .49743 .28128 Mtetra
.663 .721 .893 r
.49743 .28128 .50089 .28573 .50716 .28479 .50371 .27905 Mtetra
.614 .644 .857 r
.50371 .27905 .50716 .28479 .51346 .28093 .51 .27761 Mtetra
.714 .801 .919 r
.51 .27761 .51346 .28093 .51976 .27871 .51632 .27459 Mtetra
.664 .741 .907 r
.51632 .27459 .51976 .27871 .52607 .27686 .52264 .27235 Mtetra
.653 .717 .895 r
.52264 .27235 .52607 .27686 .5324 .27425 .52898 .27027 Mtetra
.674 .753 .91 r
.52898 .27027 .5324 .27425 .53875 .27212 .53534 .26786 Mtetra
.638 .725 .911 r
.53534 .26786 .53875 .27212 .54511 .27053 .54171 .26602 Mtetra
.658 .72 .894 r
.54171 .26602 .54511 .27053 .55148 .26751 .54809 .26384 Mtetra
.695 .778 .916 r
.54809 .26384 .55148 .26751 .55787 .26526 .55449 .26108 Mtetra
.639 .732 .915 r
.55449 .26108 .55787 .26526 .56431 .26551 .56091 .2592 Mtetra
.593 .616 .844 r
.56091 .2592 .56431 .26551 .57069 .26074 .56735 .25809 Mtetra
.759 .858 .923 r
.56735 .25809 .57069 .26074 .57713 .25846 .57377 .25426 Mtetra
.664 .741 .907 r
.57377 .25426 .57713 .25846 .58363 .25892 .58023 .25197 Mtetra
.573 .585 .827 r
.58023 .25197 .58363 .25892 .59004 .25391 .58674 .25124 Mtetra
.759 .859 .924 r
.58674 .25124 .59004 .25391 .59652 .25162 .59319 .24739 Mtetra
.664 .741 .907 r
.59319 .24739 .59652 .25162 .60303 .25025 .5997 .24509 Mtetra
.63 .681 .88 r
.5997 .24509 .60303 .25025 .60953 .24743 .60623 .24333 Mtetra
.692 .759 .903 r
.60623 .24333 .60953 .24743 .61604 .24473 .61275 .24055 Mtetra
.669 .747 .909 r
.61275 .24055 .61604 .24473 .62259 .24256 .6193 .23815 Mtetra
.652 .729 .905 r
.6193 .23815 .62259 .24256 .62914 .24028 .62587 .23601 Mtetra
.665 .742 .907 r
.62587 .23601 .62914 .24028 .63571 .23785 .63245 .23366 Mtetra
.666 .747 .911 r
.63245 .23366 .63571 .23785 .64229 .23556 .63905 .2313 Mtetra
.664 .744 .909 r
.63905 .2313 .64229 .23556 .6489 .23323 .64566 .22896 Mtetra
.666 .744 .909 r
.64566 .22896 .6489 .23323 .65551 .23087 .65228 .22658 Mtetra
.666 .744 .908 r
.65228 .22658 .65551 .23087 .66214 .22851 .65893 .2242 Mtetra
.665 .743 .908 r
.65893 .2242 .66214 .22851 .66879 .22615 .66558 .22182 Mtetra
.665 .742 .908 r
.66558 .22182 .66879 .22615 .67545 .22378 .67226 .21944 Mtetra
.67226 .21944 .67545 .22378 .68213 .22142 .67895 .21706 Mtetra
.664 .741 .907 r
.67895 .21706 .68213 .22142 .68883 .21905 .68565 .21468 Mtetra
.664 .741 .908 r
.68565 .21468 .68883 .21905 .69554 .21669 .69237 .2123 Mtetra
.69237 .2123 .69554 .21669 .70226 .21432 .69911 .20993 Mtetra
.663 .741 .908 r
.69911 .20993 .70226 .21432 .70901 .21194 .70587 .20755 Mtetra
.70587 .20755 .70901 .21194 .71576 .20957 .71264 .20517 Mtetra
.663 .742 .909 r
.71264 .20517 .71576 .20957 .72254 .20718 .71942 .20279 Mtetra
.71942 .20279 .72254 .20718 .72933 .2048 .72623 .2004 Mtetra
.663 .743 .909 r
.72623 .2004 .72933 .2048 .73614 .2024 .73305 .19799 Mtetra
.664 .743 .909 r
.73305 .19799 .73614 .2024 .74296 .19999 .73988 .19558 Mtetra
.73988 .19558 .74296 .19999 .7498 .19758 .74673 .19315 Mtetra
.665 .743 .909 r
.74673 .19315 .7498 .19758 .75666 .19515 .7536 .1907 Mtetra
.665 .743 .908 r
.7536 .1907 .75666 .19515 .76353 .19271 .76048 .18825 Mtetra
.76048 .18825 .76353 .19271 .77042 .19027 .76738 .18579 Mtetra
.665 .742 .908 r
.76738 .18579 .77042 .19027 .77732 .18783 .7743 .18333 Mtetra
.664 .742 .908 r
.7743 .18333 .77732 .18783 .78424 .18538 .78123 .18086 Mtetra
.664 .741 .907 r
.78123 .18086 .78424 .18538 .79118 .18293 .78818 .1784 Mtetra
.78818 .1784 .79118 .18293 .79814 .18047 .79515 .17593 Mtetra
.79515 .17593 .79814 .18047 .80511 .17801 .80213 .17345 Mtetra
.18002 .38856 .18393 .39221 .18951 .39023 .18561 .38658 Mtetra
.18561 .38658 .18951 .39023 .1951 .38826 .19121 .38459 Mtetra
.19121 .38459 .1951 .38826 .20071 .38627 .19682 .3826 Mtetra
.19682 .3826 .20071 .38627 .20633 .38428 .20245 .3806 Mtetra
.20245 .3806 .20633 .38428 .21196 .38229 .20809 .3786 Mtetra
.20809 .3786 .21196 .38229 .2176 .38029 .21374 .3766 Mtetra
.21374 .3766 .2176 .38029 .22326 .37829 .2194 .37459 Mtetra
.2194 .37459 .22326 .37829 .22893 .37629 .22508 .37257 Mtetra
.22508 .37257 .22893 .37629 .23461 .37428 .23076 .37055 Mtetra
.23076 .37055 .23461 .37428 .2403 .37226 .23646 .36853 Mtetra
.23646 .36853 .2403 .37226 .246 .37024 .24217 .36651 Mtetra
.24217 .36651 .246 .37024 .25172 .36822 .2479 .36447 Mtetra
.2479 .36447 .25172 .36822 .25745 .36619 .25364 .36244 Mtetra
.25364 .36244 .25745 .36619 .26319 .36416 .25939 .3604 Mtetra
.25939 .3604 .26319 .36416 .26895 .36212 .26515 .35835 Mtetra
.26515 .35835 .26895 .36212 .27472 .36008 .27093 .3563 Mtetra
.27093 .3563 .27472 .36008 .2805 .35804 .27671 .35425 Mtetra
.27671 .35425 .2805 .35804 .28629 .35599 .28251 .35219 Mtetra
.28251 .35219 .28629 .35599 .2921 .35393 .28833 .35013 Mtetra
.28833 .35013 .2921 .35393 .29792 .35187 .29416 .34806 Mtetra
.29416 .34806 .29792 .35187 .30375 .34981 .29999 .34599 Mtetra
.29999 .34599 .30375 .34981 .30959 .34774 .30585 .34392 Mtetra
.30585 .34392 .30959 .34774 .31545 .34567 .31171 .34183 Mtetra
.31171 .34183 .31545 .34567 .32132 .34361 .31759 .33974 Mtetra
.66 .739 .908 r
.31759 .33974 .32132 .34361 .3272 .34163 .32348 .33772 Mtetra
.662 .737 .906 r
.32348 .33772 .3272 .34163 .3331 .33942 .32938 .33565 Mtetra
.67 .748 .909 r
.32938 .33565 .3331 .33942 .33901 .33733 .33531 .33346 Mtetra
.643 .735 .915 r
.33531 .33346 .33901 .33733 .34485 .33682 .34122 .33166 Mtetra
.594 .652 .877 r
.34122 .33166 .34485 .33682 .35087 .33314 .34711 .3306 Mtetra
.75 .838 .918 r
.34711 .3306 .35087 .33314 .35682 .33103 .35314 .32713 Mtetra
.664 .741 .907 r
.35314 .32713 .35682 .33103 .36245 .33538 .35911 .32501 Mtetra
.385 .385 .736 r
.35911 .32501 .36245 .33538 .36876 .32681 .36483 .32808 Mtetra
.882 .991 .799 r
.36483 .32808 .36876 .32681 .37475 .32469 .37109 .32076 Mtetra
.664 .741 .907 r
.37109 .32076 .37475 .32469 .38038 .33062 .3771 .31863 Mtetra
.366 .346 .705 r
.3771 .31863 .38038 .33062 .38661 .32409 .38285 .32259 Mtetra
.903 .871 .796 r
.38285 .32259 .38661 .32409 .3928 .3183 .38917 .31435 Mtetra
.664 .741 .907 r
.38917 .31435 .3928 .3183 .39874 .31866 .39522 .3122 Mtetra
.526 .57 .842 r
.39522 .3122 .39874 .31866 .40477 .31752 .4012 .31224 Mtetra
.725 .7 .826 r
.4012 .31224 .40477 .31752 .41097 .31187 .40734 .3085 Mtetra
.703 .786 .916 r
.40734 .3085 .41097 .31187 .41706 .30972 .41346 .30573 Mtetra
.652 .737 .912 r
.41346 .30573 .41706 .30972 .42313 .30833 .41956 .30374 Mtetra
.669 .712 .881 r
.41956 .30374 .42313 .30833 .42927 .30539 .42569 .30144 Mtetra
.657 .742 .912 r
.42569 .30144 .42927 .30539 .43539 .30323 .43182 .29938 Mtetra
.668 .752 .913 r
.43182 .29938 .43539 .30323 .44153 .30105 .43797 .29714 Mtetra
.671 .749 .909 r
.43797 .29714 .44153 .30105 .44767 .2998 .44413 .29484 Mtetra
.615 .676 .885 r
.44413 .29484 .44767 .2998 .45384 .29744 .45029 .29341 Mtetra
.633 .731 .919 r
.45029 .29341 .45384 .29744 .46004 .29451 .45648 .29168 Mtetra
.741 .832 .92 r
.45648 .29168 .46004 .29451 .46621 .29342 .46271 .28825 Mtetra
.647 .68 .868 r
.46271 .28825 .46621 .29342 .4724 .29289 .46892 .28626 Mtetra
.526 .567 .84 r
.46892 .28626 .4724 .29289 .47867 .28791 .47512 .28632 Mtetra
.809 .914 .911 r
.47512 .28632 .47867 .28791 .48491 .28571 .48141 .28162 Mtetra
.664 .741 .907 r
.48141 .28162 .48491 .28571 .49113 .2861 .48767 .27939 Mtetra
.573 .589 .831 r
.48767 .27939 .49113 .2861 .49743 .28128 .49393 .27867 Mtetra
.757 .852 .922 r
.49393 .27867 .49743 .28128 .50371 .27905 .50024 .27493 Mtetra
.664 .741 .907 r
.50024 .27493 .50371 .27905 .51 .27761 .50654 .2727 Mtetra
.64 .692 .883 r
.50654 .2727 .51 .27761 .51632 .27459 .51286 .27083 Mtetra
.679 .766 .917 r
.51286 .27083 .51632 .27459 .52264 .27235 .5192 .26835 Mtetra
.661 .748 .914 r
.5192 .26835 .52264 .27235 .52898 .27027 .52555 .26615 Mtetra
.669 .744 .907 r
.52555 .26615 .52898 .27027 .53534 .26786 .53191 .2638 Mtetra
.671 .749 .909 r
.53191 .2638 .53534 .26786 .54171 .26602 .53829 .26143 Mtetra
.626 .705 .902 r
.53829 .26143 .54171 .26602 .54809 .26384 .54469 .25977 Mtetra
.692 .757 .901 r
.54469 .25977 .54809 .26384 .55449 .26108 .55109 .25701 Mtetra
.671 .75 .91 r
.55109 .25701 .55449 .26108 .56091 .2592 .55752 .25461 Mtetra
.615 .701 .906 r
.55752 .25461 .56091 .2592 .56735 .25809 .56397 .2531 Mtetra
.67 .705 .873 r
.56397 .2531 .56735 .25809 .57377 .25426 .57042 .25062 Mtetra
.7 .785 .917 r
.57042 .25062 .57377 .25426 .58023 .25197 .57688 .24774 Mtetra
.649 .735 .912 r
.57688 .24774 .58023 .25197 .58674 .25124 .58337 .24568 Mtetra
.638 .668 .862 r
.58337 .24568 .58674 .25124 .59319 .24739 .58987 .24374 Mtetra
.701 .787 .918 r
.58987 .24374 .59319 .24739 .5997 .24509 .59637 .24082 Mtetra
.664 .741 .907 r
.59637 .24082 .5997 .24509 .60623 .24333 .6029 .23851 Mtetra
.652 .708 .889 r
.6029 .23851 .60623 .24333 .61275 .24055 .60945 .23637 Mtetra
.675 .751 .908 r
.60945 .23637 .61275 .24055 .6193 .23815 .61601 .23386 Mtetra
.664 .741 .907 r
.61601 .23386 .6193 .23815 .62587 .23601 .62258 .23152 Mtetra
.662 .73 .9 r
.62258 .23152 .62587 .23601 .63245 .23366 .62917 .22922 Mtetra
.664 .734 .902 r
.62917 .22922 .63245 .23366 .63905 .2313 .63578 .22686 Mtetra
.63578 .22686 .63905 .2313 .64566 .22896 .6424 .2245 Mtetra
.6424 .2245 .64566 .22896 .65228 .22658 .64904 .22215 Mtetra
.664 .736 .903 r
.64904 .22215 .65228 .22658 .65893 .2242 .65569 .21978 Mtetra
.664 .737 .905 r
.65569 .21978 .65893 .2242 .66558 .22182 .66236 .21741 Mtetra
.664 .739 .906 r
.66236 .21741 .66558 .22182 .67226 .21944 .66905 .21504 Mtetra
.664 .74 .906 r
.66905 .21504 .67226 .21944 .67895 .21706 .67575 .21266 Mtetra
.664 .74 .907 r
.67575 .21266 .67895 .21706 .68565 .21468 .68246 .21028 Mtetra
.663 .74 .907 r
.68246 .21028 .68565 .21468 .69237 .2123 .6892 .2079 Mtetra
.663 .741 .908 r
.6892 .2079 .69237 .2123 .69911 .20993 .69595 .20552 Mtetra
.69595 .20552 .69911 .20993 .70587 .20755 .70271 .20314 Mtetra
.662 .741 .909 r
.70271 .20314 .70587 .20755 .71264 .20517 .70949 .20077 Mtetra
.662 .742 .909 r
.70949 .20077 .71264 .20517 .71942 .20279 .71629 .19839 Mtetra
.662 .743 .91 r
.71629 .19839 .71942 .20279 .72623 .2004 .72311 .196 Mtetra
.663 .744 .91 r
.72311 .196 .72623 .2004 .73305 .19799 .72994 .1936 Mtetra
.664 .745 .91 r
.72994 .1936 .73305 .19799 .73988 .19558 .73679 .19117 Mtetra
.665 .745 .91 r
.73679 .19117 .73988 .19558 .74673 .19315 .74365 .18872 Mtetra
.666 .745 .91 r
.74365 .18872 .74673 .19315 .7536 .1907 .75053 .18626 Mtetra
.666 .745 .909 r
.75053 .18626 .7536 .1907 .76048 .18825 .75742 .18378 Mtetra
.666 .744 .909 r
.75742 .18378 .76048 .18825 .76738 .18579 .76433 .18129 Mtetra
.665 .743 .908 r
.76433 .18129 .76738 .18579 .7743 .18333 .77126 .17881 Mtetra
.665 .742 .908 r
.77126 .17881 .7743 .18333 .78123 .18086 .7782 .17633 Mtetra
.7782 .17633 .78123 .18086 .78818 .1784 .78516 .17385 Mtetra
.664 .741 .907 r
.78516 .17385 .78818 .1784 .79515 .17593 .79214 .17136 Mtetra
.79214 .17136 .79515 .17593 .80213 .17345 .79914 .16888 Mtetra
.1761 .3849 .18002 .38856 .18561 .38658 .18169 .3829 Mtetra
.18169 .3829 .18561 .38658 .19121 .38459 .1873 .38091 Mtetra
.1873 .38091 .19121 .38459 .19682 .3826 .19292 .37891 Mtetra
.19292 .37891 .19682 .3826 .20245 .3806 .19855 .3769 Mtetra
.19855 .3769 .20245 .3806 .20809 .3786 .2042 .3749 Mtetra
.2042 .3749 .20809 .3786 .21374 .3766 .20986 .37288 Mtetra
.20986 .37288 .21374 .3766 .2194 .37459 .21553 .37087 Mtetra
.21553 .37087 .2194 .37459 .22508 .37257 .22121 .36884 Mtetra
.22121 .36884 .22508 .37257 .23076 .37055 .2269 .36682 Mtetra
.2269 .36682 .23076 .37055 .23646 .36853 .23261 .36479 Mtetra
.23261 .36479 .23646 .36853 .24217 .36651 .23833 .36275 Mtetra
.23833 .36275 .24217 .36651 .2479 .36447 .24406 .36071 Mtetra
.24406 .36071 .2479 .36447 .25364 .36244 .24981 .35867 Mtetra
.24981 .35867 .25364 .36244 .25939 .3604 .25556 .35662 Mtetra
.25556 .35662 .25939 .3604 .26515 .35835 .26133 .35457 Mtetra
.26133 .35457 .26515 .35835 .27093 .3563 .26712 .35251 Mtetra
.26712 .35251 .27093 .3563 .27671 .35425 .27291 .35045 Mtetra
.27291 .35045 .27671 .35425 .28251 .35219 .27872 .34838 Mtetra
.27872 .34838 .28251 .35219 .28833 .35013 .28454 .34631 Mtetra
.28454 .34631 .28833 .35013 .29416 .34806 .29038 .34423 Mtetra
.29038 .34423 .29416 .34806 .29999 .34599 .29623 .34215 Mtetra
.29623 .34215 .29999 .34599 .30585 .34392 .30209 .34007 Mtetra
.663 .741 .907 r
.30209 .34007 .30585 .34392 .31171 .34183 .30796 .33798 Mtetra
.664 .741 .907 r
.30796 .33798 .31171 .34183 .31759 .33974 .31385 .33588 Mtetra
.31385 .33588 .31759 .33974 .32348 .33772 .31975 .33378 Mtetra
.655 .735 .908 r
.31975 .33378 .32348 .33772 .32938 .33565 .32565 .33181 Mtetra
.672 .745 .905 r
.32565 .33181 .32938 .33565 .33531 .33346 .33158 .32957 Mtetra
.664 .741 .907 r
.33158 .32957 .33531 .33346 .34122 .33166 .33752 .32746 Mtetra
.613 .707 .912 r
.33752 .32746 .34122 .33166 .34711 .3306 .34343 .32608 Mtetra
.667 .71 .88 r
.34343 .32608 .34711 .3306 .35314 .32713 .34941 .32387 Mtetra
.706 .789 .915 r
.34941 .32387 .35314 .32713 .35911 .32501 .35542 .32109 Mtetra
.587 .715 .932 r
.35542 .32109 .35911 .32501 .36483 .32808 .36136 .31998 Mtetra
.557 .537 .788 r
.36136 .31998 .36483 .32808 .37109 .32076 .36728 .31962 Mtetra
.824 .924 .901 r
.36728 .31962 .37109 .32076 .3771 .31863 .37344 .31468 Mtetra
.664 .741 .907 r
.37344 .31468 .3771 .31863 .38285 .32259 .37947 .31253 Mtetra
.499 .463 .748 r
.37947 .31253 .38285 .32259 .38917 .31435 .38538 .31347 Mtetra
.836 .938 .893 r
.38538 .31347 .38917 .31435 .39522 .3122 .39158 .30822 Mtetra
.664 .741 .907 r
.39158 .30822 .39522 .3122 .4012 .31224 .39766 .30606 Mtetra
.597 .616 .841 r
.39766 .30606 .4012 .31224 .40734 .3085 .4037 .30494 Mtetra
.726 .781 .897 r
.4037 .30494 .40734 .3085 .41346 .30573 .40985 .30172 Mtetra
.664 .741 .907 r
.40985 .30172 .41346 .30573 .41956 .30374 .41596 .29955 Mtetra
.657 .729 .902 r
.41596 .29955 .41956 .30374 .42569 .30144 .42209 .29747 Mtetra
.671 .746 .907 r
.42209 .29747 .42569 .30144 .43182 .29938 .42824 .29518 Mtetra
.652 .728 .904 r
.42824 .29518 .43182 .29938 .43797 .29714 .43439 .29317 Mtetra
.663 .744 .911 r
.43439 .29317 .43797 .29714 .44413 .29484 .44056 .29099 Mtetra
.677 .756 .911 r
.44056 .29099 .44413 .29484 .45029 .29341 .44675 .28859 Mtetra
.643 .695 .883 r
.44675 .28859 .45029 .29341 .45648 .29168 .45294 .28669 Mtetra
.622 .679 .883 r
.45294 .28669 .45648 .29168 .46271 .28825 .45915 .28513 Mtetra
.724 .812 .919 r
.45915 .28513 .46271 .28825 .46892 .28626 .46539 .28196 Mtetra
.663 .729 .898 r
.46539 .28196 .46892 .28626 .47512 .28632 .47164 .27974 Mtetra
.589 .602 .833 r
.47164 .27974 .47512 .28632 .48141 .28162 .47788 .27872 Mtetra
.74 .831 .921 r
.47788 .27872 .48141 .28162 .48767 .27939 .48417 .27528 Mtetra
.664 .741 .907 r
.48417 .27528 .48767 .27939 .49393 .27867 .49045 .27304 Mtetra
.627 .656 .859 r
.49045 .27304 .49393 .27867 .50024 .27493 .49675 .27135 Mtetra
.693 .781 .919 r
.49675 .27135 .50024 .27493 .50654 .2727 .50307 .26866 Mtetra
.667 .748 .911 r
.50307 .26866 .50654 .2727 .51286 .27083 .5094 .26637 Mtetra
.65 .72 .899 r
.5094 .26637 .51286 .27083 .5192 .26835 .51574 .26432 Mtetra
.663 .748 .913 r
.51574 .26432 .5192 .26835 .52555 .26615 .5221 .26209 Mtetra
.66 .746 .913 r
.5221 .26209 .52555 .26615 .53191 .2638 .52847 .25989 Mtetra
.68 .761 .912 r
.52847 .25989 .53191 .2638 .53829 .26143 .53486 .25736 Mtetra
.663 .747 .913 r
.53486 .25736 .53829 .26143 .54469 .25977 .54127 .25511 Mtetra
.635 .706 .898 r
.54127 .25511 .54469 .25977 .55109 .25701 .54769 .25329 Mtetra
.702 .78 .912 r
.54769 .25329 .55109 .25701 .55752 .25461 .55412 .25039 Mtetra
.664 .741 .907 r
.55412 .25039 .55752 .25461 .56397 .2531 .56057 .24809 Mtetra
.621 .685 .889 r
.56057 .24809 .56397 .2531 .57042 .25062 .56704 .24647 Mtetra
.702 .759 .896 r
.56704 .24647 .57042 .25062 .57688 .24774 .57351 .2435 Mtetra
.665 .742 .908 r
.57351 .2435 .57688 .24774 .58337 .24568 .58 .24118 Mtetra
.649 .723 .902 r
.58 .24118 .58337 .24568 .58987 .24374 .58651 .23909 Mtetra
.674 .725 .888 r
.58651 .23909 .58987 .24374 .59637 .24082 .59303 .23657 Mtetra
.666 .743 .908 r
.59303 .23657 .59637 .24082 .6029 .23851 .59957 .23422 Mtetra
.664 .741 .907 r
.59957 .23422 .6029 .23851 .60945 .23637 .60613 .23188 Mtetra
.663 .731 .9 r
.60613 .23188 .60945 .23637 .61601 .23386 .6127 .22955 Mtetra
.664 .741 .907 r
.6127 .22955 .61601 .23386 .62258 .23152 .61928 .2272 Mtetra
.61928 .2272 .62258 .23152 .62917 .22922 .62588 .22485 Mtetra
.664 .739 .906 r
.62588 .22485 .62917 .22922 .63578 .22686 .6325 .2225 Mtetra
.664 .74 .907 r
.6325 .2225 .63578 .22686 .6424 .2245 .63913 .22014 Mtetra
.63913 .22014 .6424 .2245 .64904 .22215 .64578 .21777 Mtetra
.64578 .21777 .64904 .22215 .65569 .21978 .65245 .2154 Mtetra
.65245 .2154 .65569 .21978 .66236 .21741 .65913 .21303 Mtetra
.664 .741 .907 r
.65913 .21303 .66236 .21741 .66905 .21504 .66582 .21064 Mtetra
.66582 .21064 .66905 .21504 .67575 .21266 .67253 .20825 Mtetra
.67253 .20825 .67575 .21266 .68246 .21028 .67926 .20586 Mtetra
.663 .74 .907 r
.67926 .20586 .68246 .21028 .6892 .2079 .686 .20348 Mtetra
.662 .74 .908 r
.686 .20348 .6892 .2079 .69595 .20552 .69277 .20111 Mtetra
.661 .741 .909 r
.69277 .20111 .69595 .20552 .70271 .20314 .69954 .19874 Mtetra
.661 .742 .91 r
.69954 .19874 .70271 .20314 .70949 .20077 .70634 .19637 Mtetra
.661 .743 .911 r
.70634 .19637 .70949 .20077 .71629 .19839 .71315 .19401 Mtetra
.661 .744 .912 r
.71315 .19401 .71629 .19839 .72311 .196 .71998 .19163 Mtetra
.662 .746 .912 r
.71998 .19163 .72311 .196 .72994 .1936 .72682 .18923 Mtetra
.664 .747 .913 r
.72682 .18923 .72994 .1936 .73679 .19117 .73368 .1868 Mtetra
.666 .748 .912 r
.73368 .1868 .73679 .19117 .74365 .18872 .74056 .18433 Mtetra
.667 .748 .911 r
.74056 .18433 .74365 .18872 .75053 .18626 .74744 .18183 Mtetra
.667 .748 .91 r
.74744 .18183 .75053 .18626 .75742 .18378 .75435 .17932 Mtetra
.667 .746 .909 r
.75435 .17932 .75742 .18378 .76433 .18129 .76127 .1768 Mtetra
.667 .745 .908 r
.76127 .1768 .76433 .18129 .77126 .17881 .76821 .17428 Mtetra
.666 .743 .908 r
.76821 .17428 .77126 .17881 .7782 .17633 .77516 .17178 Mtetra
.665 .742 .908 r
.77516 .17178 .7782 .17633 .78516 .17385 .78213 .16928 Mtetra
.665 .742 .907 r
.78213 .16928 .78516 .17385 .79214 .17136 .78912 .16678 Mtetra
.664 .741 .907 r
.78912 .16678 .79214 .17136 .79914 .16888 .79613 .16428 Mtetra
.17216 .38122 .1761 .3849 .18169 .3829 .17776 .37922 Mtetra
.17776 .37922 .18169 .3829 .1873 .38091 .18337 .37721 Mtetra
.18337 .37721 .1873 .38091 .19292 .37891 .189 .37521 Mtetra
.189 .37521 .19292 .37891 .19855 .3769 .19464 .37319 Mtetra
.19464 .37319 .19855 .3769 .2042 .3749 .20029 .37118 Mtetra
.20029 .37118 .2042 .3749 .20986 .37288 .20596 .36915 Mtetra
.20596 .36915 .20986 .37288 .21553 .37087 .21164 .36713 Mtetra
.21164 .36713 .21553 .37087 .22121 .36884 .21733 .3651 Mtetra
.21733 .3651 .22121 .36884 .2269 .36682 .22303 .36306 Mtetra
.22303 .36306 .2269 .36682 .23261 .36479 .22874 .36103 Mtetra
.22874 .36103 .23261 .36479 .23833 .36275 .23447 .35898 Mtetra
.23447 .35898 .23833 .36275 .24406 .36071 .24021 .35693 Mtetra
.24021 .35693 .24406 .36071 .24981 .35867 .24596 .35488 Mtetra
.24596 .35488 .24981 .35867 .25556 .35662 .25173 .35282 Mtetra
.25173 .35282 .25556 .35662 .26133 .35457 .2575 .35076 Mtetra
.2575 .35076 .26133 .35457 .26712 .35251 .26329 .3487 Mtetra
.26329 .3487 .26712 .35251 .27291 .35045 .2691 .34663 Mtetra
.2691 .34663 .27291 .35045 .27872 .34838 .27491 .34455 Mtetra
.27491 .34455 .27872 .34838 .28454 .34631 .28074 .34247 Mtetra
.28074 .34247 .28454 .34631 .29038 .34423 .28659 .34039 Mtetra
.28659 .34039 .29038 .34423 .29623 .34215 .29244 .3383 Mtetra
.29244 .3383 .29623 .34215 .30209 .34007 .29831 .3362 Mtetra
.29831 .3362 .30209 .34007 .30796 .33798 .30419 .33411 Mtetra
.663 .74 .907 r
.30419 .33411 .30796 .33798 .31385 .33588 .31008 .33201 Mtetra
.665 .741 .907 r
.31008 .33201 .31385 .33588 .31975 .33378 .31599 .32989 Mtetra
.664 .741 .907 r
.31599 .32989 .31975 .33378 .32565 .33181 .32191 .32778 Mtetra
.653 .731 .906 r
.32191 .32778 .32565 .33181 .33158 .32957 .32784 .32583 Mtetra
.675 .753 .91 r
.32784 .32583 .33158 .32957 .33752 .32746 .33379 .32354 Mtetra
.664 .741 .907 r
.33379 .32354 .33752 .32746 .34343 .32608 .33976 .32142 Mtetra
.603 .681 .897 r
.33976 .32142 .34343 .32608 .34941 .32387 .34568 .32019 Mtetra
.717 .769 .893 r
.34568 .32019 .34941 .32387 .35542 .32109 .35172 .31715 Mtetra
.664 .741 .907 r
.35172 .31715 .35542 .32109 .36136 .31998 .35772 .31501 Mtetra
.558 .648 .894 r
.35772 .31501 .36136 .31998 .36728 .31962 .36365 .31439 Mtetra
.691 .69 .844 r
.36365 .31439 .36728 .31962 .37344 .31468 .36972 .31154 Mtetra
.717 .801 .917 r
.36972 .31154 .37344 .31468 .37947 .31253 .3758 .30855 Mtetra
.62 .727 .922 r
.3758 .30855 .37947 .31253 .38538 .31347 .38183 .30702 Mtetra
.628 .622 .824 r
.38183 .30702 .38538 .31347 .39158 .30822 .38788 .30528 Mtetra
.731 .817 .918 r
.38788 .30528 .39158 .30822 .39766 .30606 .39401 .30206 Mtetra
.664 .741 .907 r
.39401 .30206 .39766 .30606 .4037 .30494 .40011 .29988 Mtetra
.64 .681 .873 r
.40011 .29988 .4037 .30494 .40985 .30172 .40621 .29804 Mtetra
.686 .766 .912 r
.40621 .29804 .40985 .30172 .41596 .29955 .41234 .29552 Mtetra
.664 .741 .907 r
.41234 .29552 .41596 .29955 .42209 .29747 .41848 .29333 Mtetra
.659 .733 .905 r
.41848 .29333 .42209 .29747 .42824 .29518 .42463 .29121 Mtetra
.669 .747 .909 r
.42463 .29121 .42824 .29518 .43439 .29317 .4308 .28893 Mtetra
.662 .731 .9 r
.4308 .28893 .43439 .29317 .44056 .29099 .43698 .28674 Mtetra
.645 .724 .907 r
.43698 .28674 .44056 .29099 .44675 .28859 .44317 .28483 Mtetra
.684 .765 .912 r
.44317 .28483 .44675 .28859 .45294 .28669 .44939 .2823 Mtetra
.663 .724 .895 r
.44939 .2823 .45294 .28669 .45915 .28513 .45561 .28008 Mtetra
.621 .677 .882 r
.45561 .28008 .45915 .28513 .46539 .28196 .46183 .27852 Mtetra
.706 .791 .917 r
.46183 .27852 .46539 .28196 .47164 .27974 .4681 .27562 Mtetra
.664 .741 .907 r
.4681 .27562 .47164 .27974 .47788 .27872 .47436 .27339 Mtetra
.632 .67 .868 r
.47436 .27339 .47788 .27872 .48417 .27528 .48064 .27162 Mtetra
.687 .775 .918 r
.48064 .27162 .48417 .27528 .49045 .27304 .48694 .26902 Mtetra
.672 .75 .909 r
.48694 .26902 .49045 .27304 .49675 .27135 .49325 .26665 Mtetra
.643 .705 .891 r
.49325 .26665 .49675 .27135 .50307 .26866 .49957 .26471 Mtetra
.66 .751 .917 r
.49957 .26471 .50307 .26866 .5094 .26637 .50591 .26251 Mtetra
.664 .758 .92 r
.50591 .26251 .5094 .26637 .51574 .26432 .51227 .26025 Mtetra
.66 .745 .913 r
.51227 .26025 .51574 .26432 .5221 .26209 .51864 .25805 Mtetra
.659 .747 .915 r
.51864 .25805 .5221 .26209 .52847 .25989 .52502 .25585 Mtetra
.666 .751 .914 r
.52502 .25585 .52847 .25989 .53486 .25736 .53142 .25355 Mtetra
.683 .769 .916 r
.53142 .25355 .53486 .25736 .54127 .25511 .53783 .25096 Mtetra
.656 .742 .913 r
.53783 .25096 .54127 .25511 .54769 .25329 .54426 .24879 Mtetra
.656 .724 .899 r
.54426 .24879 .54769 .25329 .55412 .25039 .55071 .24662 Mtetra
.693 .777 .915 r
.55071 .24662 .55412 .25039 .56057 .24809 .55716 .24384 Mtetra
.664 .741 .907 r
.55716 .24384 .56057 .24809 .56704 .24647 .56363 .24153 Mtetra
.64 .697 .887 r
.56363 .24153 .56704 .24647 .57351 .2435 .57013 .2396 Mtetra
.688 .769 .914 r
.57013 .2396 .57351 .2435 .58 .24118 .57663 .2369 Mtetra
.664 .741 .907 r
.57663 .2369 .58 .24118 .58651 .23909 .58314 .23457 Mtetra
.663 .728 .898 r
.58314 .23457 .58651 .23909 .59303 .23657 .58968 .23224 Mtetra
.664 .739 .906 r
.58968 .23224 .59303 .23657 .59957 .23422 .59623 .22991 Mtetra
.664 .741 .907 r
.59623 .22991 .59957 .23422 .60613 .23188 .60279 .22756 Mtetra
.60279 .22756 .60613 .23188 .6127 .22955 .60937 .22521 Mtetra
.60937 .22521 .6127 .22955 .61928 .2272 .61597 .22286 Mtetra
.61597 .22286 .61928 .2272 .62588 .22485 .62258 .2205 Mtetra
.62258 .2205 .62588 .22485 .6325 .2225 .62921 .21814 Mtetra
.62921 .21814 .6325 .2225 .63913 .22014 .63585 .21577 Mtetra
.63585 .21577 .63913 .22014 .64578 .21777 .64251 .21339 Mtetra
.64251 .21339 .64578 .21777 .65245 .2154 .64919 .21101 Mtetra
.64919 .21101 .65245 .2154 .65913 .21303 .65588 .20862 Mtetra
.65588 .20862 .65913 .21303 .66582 .21064 .66258 .20623 Mtetra
.66258 .20623 .66582 .21064 .67253 .20825 .66931 .20383 Mtetra
.66931 .20383 .67253 .20825 .67926 .20586 .67604 .20143 Mtetra
.662 .74 .908 r
.67604 .20143 .67926 .20586 .686 .20348 .6828 .19905 Mtetra
.661 .74 .909 r
.6828 .19905 .686 .20348 .69277 .20111 .68957 .19669 Mtetra
.66 .741 .91 r
.68957 .19669 .69277 .20111 .69954 .19874 .69636 .19433 Mtetra
.659 .742 .912 r
.69636 .19433 .69954 .19874 .70634 .19637 .70317 .192 Mtetra
.658 .744 .913 r
.70317 .192 .70634 .19637 .71315 .19401 .71 .18966 Mtetra
.659 .746 .915 r
.71 .18966 .71315 .19401 .71998 .19163 .71684 .18731 Mtetra
.661 .749 .916 r
.71684 .18731 .71998 .19163 .72682 .18923 .7237 .18493 Mtetra
.664 .752 .916 r
.7237 .18493 .72682 .18923 .73368 .1868 .73057 .18249 Mtetra
.667 .753 .915 r
.73057 .18249 .73368 .1868 .74056 .18433 .73745 .17999 Mtetra
.669 .753 .914 r
.73745 .17999 .74056 .18433 .74744 .18183 .74435 .17745 Mtetra
.67 .752 .912 r
.74435 .17745 .74744 .18183 .75435 .17932 .75127 .17488 Mtetra
.67 .75 .91 r
.75127 .17488 .75435 .17932 .76127 .1768 .75819 .17232 Mtetra
.669 .747 .909 r
.75819 .17232 .76127 .1768 .76821 .17428 .76514 .16976 Mtetra
.667 .745 .908 r
.76514 .16976 .76821 .17428 .77516 .17178 .77211 .16722 Mtetra
.666 .743 .908 r
.77211 .16722 .77516 .17178 .78213 .16928 .77909 .16469 Mtetra
.665 .742 .908 r
.77909 .16469 .78213 .16928 .78912 .16678 .78609 .16218 Mtetra
.664 .741 .907 r
.78609 .16218 .78912 .16678 .79613 .16428 .79311 .15966 Mtetra
.1682 .37752 .17216 .38122 .17776 .37922 .17381 .37551 Mtetra
.17381 .37551 .17776 .37922 .18337 .37721 .17943 .3735 Mtetra
.17943 .3735 .18337 .37721 .189 .37521 .18507 .37149 Mtetra
.18507 .37149 .189 .37521 .19464 .37319 .19071 .36947 Mtetra
.19071 .36947 .19464 .37319 .20029 .37118 .19637 .36744 Mtetra
.19637 .36744 .20029 .37118 .20596 .36915 .20205 .36541 Mtetra
.20205 .36541 .20596 .36915 .21164 .36713 .20773 .36338 Mtetra
.20773 .36338 .21164 .36713 .21733 .3651 .21343 .36134 Mtetra
.21343 .36134 .21733 .3651 .22303 .36306 .21914 .3593 Mtetra
.21914 .3593 .22303 .36306 .22874 .36103 .22486 .35725 Mtetra
.22486 .35725 .22874 .36103 .23447 .35898 .23059 .3552 Mtetra
.23059 .3552 .23447 .35898 .24021 .35693 .23634 .35314 Mtetra
.23634 .35314 .24021 .35693 .24596 .35488 .2421 .35108 Mtetra
.2421 .35108 .24596 .35488 .25173 .35282 .24787 .34902 Mtetra
.24787 .34902 .25173 .35282 .2575 .35076 .25366 .34695 Mtetra
.25366 .34695 .2575 .35076 .26329 .3487 .25946 .34487 Mtetra
.25946 .34487 .26329 .3487 .2691 .34663 .26527 .34279 Mtetra
.26527 .34279 .2691 .34663 .27491 .34455 .27109 .34071 Mtetra
.27109 .34071 .27491 .34455 .28074 .34247 .27693 .33862 Mtetra
.27693 .33862 .28074 .34247 .28659 .34039 .28278 .33653 Mtetra
.28278 .33653 .28659 .34039 .29244 .3383 .28864 .33443 Mtetra
.28864 .33443 .29244 .3383 .29831 .3362 .29452 .33233 Mtetra
.29452 .33233 .29831 .3362 .30419 .33411 .30041 .33022 Mtetra
.30041 .33022 .30419 .33411 .31008 .33201 .30631 .32811 Mtetra
.664 .74 .907 r
.30631 .32811 .31008 .33201 .31599 .32989 .31222 .326 Mtetra
.664 .741 .907 r
.31222 .326 .31599 .32989 .32191 .32778 .31815 .32387 Mtetra
.662 .74 .908 r
.31815 .32387 .32191 .32778 .32784 .32583 .32409 .32177 Mtetra
.656 .731 .905 r
.32409 .32177 .32784 .32583 .33379 .32354 .33004 .31976 Mtetra
.673 .751 .909 r
.33004 .31976 .33379 .32354 .33976 .32142 .33602 .31748 Mtetra
.664 .741 .907 r
.33602 .31748 .33976 .32142 .34568 .32019 .342 .31534 Mtetra
.615 .677 .886 r
.342 .31534 .34568 .32019 .35172 .31715 .34796 .31393 Mtetra
.712 .795 .916 r
.34796 .31393 .35172 .31715 .35772 .31501 .35401 .31104 Mtetra
.664 .741 .907 r
.35401 .31104 .35772 .31501 .36365 .31439 .36003 .30889 Mtetra
.587 .638 .868 r
.36003 .30889 .36365 .31439 .36972 .31154 .36601 .30791 Mtetra
.732 .777 .889 r
.36601 .30791 .36972 .31154 .3758 .30855 .37212 .30456 Mtetra
.664 .741 .907 r
.37212 .30456 .3758 .30855 .38183 .30702 .37818 .30239 Mtetra
.626 .695 .894 r
.37818 .30239 .38183 .30702 .38788 .30528 .38423 .30079 Mtetra
.683 .723 .879 r
.38423 .30079 .38788 .30528 .39401 .30206 .39034 .29823 Mtetra
.676 .755 .91 r
.39034 .29823 .39401 .30206 .40011 .29988 .39646 .29585 Mtetra
.659 .739 .909 r
.39646 .29585 .40011 .29988 .40621 .29804 .40257 .29374 Mtetra
.663 .727 .897 r
.40257 .29374 .40621 .29804 .41234 .29552 .40871 .29155 Mtetra
.669 .747 .909 r
.40871 .29155 .41234 .29552 .41848 .29333 .41486 .28927 Mtetra
.664 .741 .907 r
.41486 .28927 .41848 .29333 .42463 .29121 .42102 .28707 Mtetra
.658 .735 .907 r
.42102 .28707 .42463 .29121 .4308 .28893 .42719 .28495 Mtetra
.67 .748 .909 r
.42719 .28495 .4308 .28893 .43698 .28674 .43338 .28264 Mtetra
.664 .74 .907 r
.43338 .28264 .43698 .28674 .44317 .28483 .43959 .28042 Mtetra
.641 .716 .902 r
.43959 .28042 .44317 .28483 .44939 .2823 .4458 .27855 Mtetra
.687 .767 .913 r
.4458 .27855 .44939 .2823 .45561 .28008 .45204 .27597 Mtetra
.664 .741 .907 r
.45204 .27597 .45561 .28008 .46183 .27852 .45828 .27373 Mtetra
.635 .696 .89 r
.45828 .27373 .46183 .27852 .4681 .27562 .46454 .27194 Mtetra
.688 .773 .916 r
.46454 .27194 .4681 .27562 .47436 .27339 .47082 .26933 Mtetra
.669 .747 .909 r
.47082 .26933 .47436 .27339 .48064 .27162 .47711 .26699 Mtetra
.645 .709 .894 r
.47711 .26699 .48064 .27162 .48694 .26902 .48341 .26504 Mtetra
.661 .75 .915 r
.48341 .26504 .48694 .26902 .49325 .26665 .48973 .26282 Mtetra
.668 .761 .92 r
.48973 .26282 .49325 .26665 .49957 .26471 .49607 .2605 Mtetra
.647 .733 .912 r
.49607 .2605 .49957 .26471 .50591 .26251 .50241 .2585 Mtetra
.653 .747 .919 r
.50241 .2585 .50591 .26251 .51227 .26025 .50878 .25639 Mtetra
.661 .759 .922 r
.50878 .25639 .51227 .26025 .51864 .25805 .51516 .25416 Mtetra
.663 .759 .921 r
.51516 .25416 .51864 .25805 .52502 .25585 .52155 .25189 Mtetra
.663 .754 .918 r
.52155 .25189 .52502 .25585 .53142 .25355 .52796 .24962 Mtetra
.675 .761 .916 r
.52796 .24962 .53142 .25355 .53783 .25096 .53438 .24714 Mtetra
.683 .771 .918 r
.53438 .24714 .53783 .25096 .54426 .24879 .54082 .24455 Mtetra
.658 .739 .91 r
.54082 .24455 .54426 .24879 .55071 .24662 .54728 .24233 Mtetra
.672 .742 .903 r
.54728 .24233 .55071 .24662 .55716 .24384 .55374 .23987 Mtetra
.683 .764 .913 r
.55374 .23987 .55716 .24384 .56363 .24153 .56022 .23726 Mtetra
.659 .739 .909 r
.56022 .23726 .56363 .24153 .57013 .2396 .56672 .23501 Mtetra
.66 .724 .896 r
.56672 .23501 .57013 .2396 .57663 .2369 .57324 .23272 Mtetra
.672 .75 .91 r
.57324 .23272 .57663 .2369 .58314 .23457 .57977 .23026 Mtetra
.664 .741 .907 r
.57977 .23026 .58314 .23457 .58968 .23224 .58631 .22792 Mtetra
.58631 .22792 .58968 .23224 .59623 .22991 .59287 .22558 Mtetra
.59287 .22558 .59623 .22991 .60279 .22756 .59945 .22322 Mtetra
.59945 .22322 .60279 .22756 .60937 .22521 .60604 .22087 Mtetra
.60604 .22087 .60937 .22521 .61597 .22286 .61264 .2185 Mtetra
.61264 .2185 .61597 .22286 .62258 .2205 .61926 .21613 Mtetra
.61926 .21613 .62258 .2205 .62921 .21814 .6259 .21376 Mtetra
.6259 .21376 .62921 .21814 .63585 .21577 .63256 .21138 Mtetra
.63256 .21138 .63585 .21577 .64251 .21339 .63923 .20899 Mtetra
.63923 .20899 .64251 .21339 .64919 .21101 .64591 .2066 Mtetra
.64591 .2066 .64919 .21101 .65588 .20862 .65261 .2042 Mtetra
.65261 .2042 .65588 .20862 .66258 .20623 .65933 .2018 Mtetra
.65933 .2018 .66258 .20623 .66931 .20383 .66606 .19939 Mtetra
.66606 .19939 .66931 .20383 .67604 .20143 .67281 .19698 Mtetra
.66 .74 .909 r
.67281 .19698 .67604 .20143 .6828 .19905 .67958 .19462 Mtetra
.659 .741 .91 r
.67958 .19462 .6828 .19905 .68957 .19669 .68637 .19227 Mtetra
.657 .741 .912 r
.68637 .19227 .68957 .19669 .69636 .19433 .69317 .18995 Mtetra
.655 .743 .914 r
.69317 .18995 .69636 .19433 .70317 .192 .7 .18766 Mtetra
.654 .746 .917 r
.7 .18766 .70317 .192 .71 .18966 .70684 .18538 Mtetra
.655 .749 .919 r
.70684 .18538 .71 .18966 .71684 .18731 .7137 .18307 Mtetra
.658 .754 .921 r
.7137 .18307 .71684 .18731 .7237 .18493 .72057 .18071 Mtetra
.663 .758 .921 r
.72057 .18071 .7237 .18493 .73057 .18249 .72745 .17827 Mtetra
.668 .76 .919 r
.72745 .17827 .73057 .18249 .73745 .17999 .73435 .17574 Mtetra
.672 .76 .917 r
.73435 .17574 .73745 .17999 .74435 .17745 .74125 .17314 Mtetra
.674 .758 .914 r
.74125 .17314 .74435 .17745 .75127 .17488 .74817 .1705 Mtetra
.673 .755 .912 r
.74817 .1705 .75127 .17488 .75819 .17232 .75511 .16786 Mtetra
.671 .751 .91 r
.75511 .16786 .75819 .17232 .76514 .16976 .76207 .16524 Mtetra
.669 .747 .909 r
.76207 .16524 .76514 .16976 .77211 .16722 .76904 .16265 Mtetra
.667 .744 .908 r
.76904 .16265 .77211 .16722 .77909 .16469 .77603 .16009 Mtetra
.666 .743 .908 r
.77603 .16009 .77909 .16469 .78609 .16218 .78305 .15756 Mtetra
.665 .742 .907 r
.78305 .15756 .78609 .16218 .79311 .15966 .79008 .15503 Mtetra
.664 .741 .907 r
.16423 .37381 .1682 .37752 .17381 .37551 .16985 .3718 Mtetra
.16985 .3718 .17381 .37551 .17943 .3735 .17548 .36978 Mtetra
.17548 .36978 .17943 .3735 .18507 .37149 .18112 .36775 Mtetra
.18112 .36775 .18507 .37149 .19071 .36947 .18677 .36572 Mtetra
.18677 .36572 .19071 .36947 .19637 .36744 .19244 .36369 Mtetra
.19244 .36369 .19637 .36744 .20205 .36541 .19812 .36165 Mtetra
.19812 .36165 .20205 .36541 .20773 .36338 .20381 .35961 Mtetra
.20381 .35961 .20773 .36338 .21343 .36134 .20951 .35757 Mtetra
.20951 .35757 .21343 .36134 .21914 .3593 .21523 .35551 Mtetra
.21523 .35551 .21914 .3593 .22486 .35725 .22096 .35346 Mtetra
.22096 .35346 .22486 .35725 .23059 .3552 .2267 .3514 Mtetra
.2267 .3514 .23059 .3552 .23634 .35314 .23245 .34933 Mtetra
.23245 .34933 .23634 .35314 .2421 .35108 .23822 .34726 Mtetra
.23822 .34726 .2421 .35108 .24787 .34902 .244 .34519 Mtetra
.244 .34519 .24787 .34902 .25366 .34695 .24979 .34311 Mtetra
.24979 .34311 .25366 .34695 .25946 .34487 .2556 .34103 Mtetra
.2556 .34103 .25946 .34487 .26527 .34279 .26142 .33894 Mtetra
.26142 .33894 .26527 .34279 .27109 .34071 .26725 .33685 Mtetra
.26725 .33685 .27109 .34071 .27693 .33862 .2731 .33475 Mtetra
.2731 .33475 .27693 .33862 .28278 .33653 .27895 .33265 Mtetra
.27895 .33265 .28278 .33653 .28864 .33443 .28482 .33054 Mtetra
.28482 .33054 .28864 .33443 .29452 .33233 .29071 .32843 Mtetra
.29071 .32843 .29452 .33233 .30041 .33022 .2966 .32632 Mtetra
.2966 .32632 .30041 .33022 .30631 .32811 .30252 .3242 Mtetra
.663 .74 .907 r
.30252 .3242 .30631 .32811 .31222 .326 .30844 .32208 Mtetra
.664 .741 .907 r
.30844 .32208 .31222 .326 .31815 .32387 .31438 .31994 Mtetra
.31438 .31994 .31815 .32387 .32409 .32177 .32033 .31781 Mtetra
.659 .738 .908 r
.32033 .31781 .32409 .32177 .33004 .31976 .32629 .31573 Mtetra
.664 .737 .904 r
.32629 .31573 .33004 .31976 .33602 .31748 .33226 .31359 Mtetra
.669 .746 .908 r
.33226 .31359 .33602 .31748 .342 .31534 .33826 .31137 Mtetra
.656 .738 .91 r
.33826 .31137 .342 .31534 .34796 .31393 .34425 .30934 Mtetra
.644 .703 .889 r
.34425 .30934 .34796 .31393 .35401 .31104 .35026 .30747 Mtetra
.691 .771 .913 r
.35026 .30747 .35401 .31104 .36003 .30889 .35631 .30489 Mtetra
.664 .741 .907 r
.35631 .30489 .36003 .30889 .36601 .30791 .36236 .30273 Mtetra
.623 .668 .873 r
.36236 .30273 .36601 .30791 .37212 .30456 .36838 .30116 Mtetra
.703 .785 .915 r
.36838 .30116 .37212 .30456 .37818 .30239 .37449 .29837 Mtetra
.664 .741 .907 r
.37449 .29837 .37818 .30239 .38423 .30079 .38057 .29619 Mtetra
.645 .705 .89 r
.38057 .29619 .38423 .30079 .39034 .29823 .38666 .29428 Mtetra
.681 .751 .904 r
.38666 .29428 .39034 .29823 .39646 .29585 .39279 .29181 Mtetra
.664 .741 .907 r
.39279 .29181 .39646 .29585 .40257 .29374 .39892 .28961 Mtetra
.661 .736 .905 r
.39892 .28961 .40257 .29374 .40871 .29155 .40506 .28745 Mtetra
.665 .739 .905 r
.40506 .28745 .40871 .29155 .41486 .28927 .41121 .28521 Mtetra
.665 .742 .908 r
.41121 .28521 .41486 .28927 .42102 .28707 .41738 .28298 Mtetra
.664 .741 .907 r
.41738 .28298 .42102 .28707 .42719 .28495 .42357 .28076 Mtetra
.658 .734 .905 r
.42357 .28076 .42719 .28495 .43338 .28264 .42976 .27863 Mtetra
.67 .747 .909 r
.42976 .27863 .43338 .28264 .43959 .28042 .43598 .27631 Mtetra
.664 .741 .907 r
.43598 .27631 .43959 .28042 .4458 .27855 .44221 .27408 Mtetra
.649 .717 .898 r
.44221 .27408 .4458 .27855 .45204 .27597 .44844 .27207 Mtetra
.679 .758 .911 r
.44844 .27207 .45204 .27597 .45828 .27373 .45471 .26959 Mtetra
.664 .741 .907 r
.45471 .26959 .45828 .27373 .46454 .27194 .46098 .26734 Mtetra
.648 .712 .894 r
.46098 .26734 .46454 .27194 .47082 .26933 .46726 .26533 Mtetra
.669 .751 .912 r
.46726 .26533 .47082 .26933 .47711 .26699 .47356 .263 Mtetra
.669 .752 .912 r
.47356 .263 .47711 .26699 .48341 .26504 .47987 .26065 Mtetra
.642 .722 .906 r
.47987 .26065 .48341 .26504 .48973 .26282 .4862 .25873 Mtetra
.65 .741 .916 r
.4862 .25873 .48973 .26282 .49607 .2605 .49254 .25667 Mtetra
.652 .757 .927 r
.49254 .25667 .49607 .2605 .50241 .2585 .4989 .25458 Mtetra
.647 .751 .925 r
.4989 .25458 .50241 .2585 .50878 .25639 .50527 .25255 Mtetra
.653 .758 .927 r
.50527 .25255 .50878 .25639 .51516 .25416 .51166 .25043 Mtetra
.664 .769 .928 r
.51166 .25043 .51516 .25416 .52155 .25189 .51806 .24814 Mtetra
.67 .771 .925 r
.51806 .24814 .52155 .25189 .52796 .24962 .52449 .24575 Mtetra
.673 .765 .92 r
.52449 .24575 .52796 .24962 .53438 .24714 .53092 .24331 Mtetra
.685 .771 .917 r
.53092 .24331 .53438 .24714 .54082 .24455 .53737 .24066 Mtetra
.682 .768 .916 r
.53737 .24066 .54082 .24455 .54728 .24233 .54383 .23807 Mtetra
.666 .742 .907 r
.54383 .23807 .54728 .24233 .55374 .23987 .55031 .23571 Mtetra
.678 .753 .907 r
.55031 .23571 .55374 .23987 .56022 .23726 .5568 .23315 Mtetra
.675 .755 .911 r
.5568 .23315 .56022 .23726 .56672 .23501 .56331 .23064 Mtetra
.654 .734 .908 r
.56331 .23064 .56672 .23501 .57324 .23272 .56983 .22846 Mtetra
.662 .743 .91 r
.56983 .22846 .57324 .23272 .57977 .23026 .57637 .22614 Mtetra
.663 .751 .916 r
.57637 .22614 .57977 .23026 .58631 .22792 .58293 .22381 Mtetra
.65 .748 .921 r
.58293 .22381 .58631 .22792 .59287 .22558 .58951 .22168 Mtetra
.65 .761 .931 r
.58951 .22168 .59287 .22558 .59945 .22322 .5961 .21954 Mtetra
.65 .774 .939 r
.5961 .21954 .59945 .22322 .60604 .22087 .60271 .21736 Mtetra
.65 .786 .947 r
.60271 .21736 .60604 .22087 .61264 .2185 .60933 .21517 Mtetra
.655 .799 .952 r
.60933 .21517 .61264 .2185 .61926 .21613 .61597 .21288 Mtetra
.663 .808 .952 r
.61597 .21288 .61926 .21613 .6259 .21376 .62262 .21047 Mtetra
.671 .808 .949 r
.62262 .21047 .6259 .21376 .63256 .21138 .62928 .20794 Mtetra
.676 .802 .942 r
.62928 .20794 .63256 .21138 .63923 .20899 .63595 .20534 Mtetra
.678 .79 .934 r
.63595 .20534 .63923 .20899 .64591 .2066 .64264 .20272 Mtetra
.677 .776 .925 r
.64264 .20272 .64591 .2066 .65261 .2042 .64935 .20011 Mtetra
.673 .764 .919 r
.64935 .20011 .65261 .2042 .65933 .2018 .65607 .19756 Mtetra
.669 .754 .914 r
.65607 .19756 .65933 .2018 .66606 .19939 .66281 .19506 Mtetra
.666 .748 .912 r
.66281 .19506 .66606 .19939 .67281 .19698 .66957 .19261 Mtetra
.662 .746 .912 r
.66957 .19261 .67281 .19698 .67958 .19462 .67635 .19021 Mtetra
.658 .743 .913 r
.67635 .19021 .67958 .19462 .68637 .19227 .68315 .18788 Mtetra
.654 .742 .915 r
.68315 .18788 .68637 .19227 .69317 .18995 .68997 .1856 Mtetra
.65 .744 .918 r
.68997 .1856 .69317 .18995 .7 .18766 .69681 .18338 Mtetra
.648 .748 .922 r
.69681 .18338 .7 .18766 .70684 .18538 .70367 .18118 Mtetra
.649 .753 .925 r
.70367 .18118 .70684 .18538 .7137 .18307 .71054 .17896 Mtetra
.654 .76 .927 r
.71054 .17896 .7137 .18307 .72057 .18071 .71743 .17664 Mtetra
.662 .767 .927 r
.71743 .17664 .72057 .18071 .72745 .17827 .72433 .1742 Mtetra
.671 .771 .925 r
.72433 .1742 .72745 .17827 .73435 .17574 .73123 .17162 Mtetra
.677 .771 .921 r
.73123 .17162 .73435 .17574 .74125 .17314 .73815 .16893 Mtetra
.68 .768 .917 r
.73815 .16893 .74125 .17314 .74817 .1705 .74507 .16618 Mtetra
.679 .762 .914 r
.74507 .16618 .74817 .1705 .75511 .16786 .75202 .16344 Mtetra
.676 .756 .911 r
.75202 .16344 .75511 .16786 .76207 .16524 .75898 .16074 Mtetra
.672 .75 .909 r
.75898 .16074 .76207 .16524 .76904 .16265 .76596 .15809 Mtetra
.669 .746 .908 r
.76596 .15809 .76904 .16265 .77603 .16009 .77296 .15549 Mtetra
.667 .744 .908 r
.77296 .15549 .77603 .16009 .78305 .15756 .77999 .15292 Mtetra
.665 .742 .907 r
.77999 .15292 .78305 .15756 .79008 .15503 .78703 .15037 Mtetra
.664 .741 .907 r
.16024 .37009 .16423 .37381 .16985 .3718 .16587 .36806 Mtetra
.16587 .36806 .16985 .3718 .17548 .36978 .1715 .36604 Mtetra
.1715 .36604 .17548 .36978 .18112 .36775 .17715 .364 Mtetra
.17715 .364 .18112 .36775 .18677 .36572 .18281 .36197 Mtetra
.18281 .36197 .18677 .36572 .19244 .36369 .18849 .35993 Mtetra
.18849 .35993 .19244 .36369 .19812 .36165 .19417 .35788 Mtetra
.19417 .35788 .19812 .36165 .20381 .35961 .19987 .35583 Mtetra
.19987 .35583 .20381 .35961 .20951 .35757 .20558 .35377 Mtetra
.20558 .35377 .20951 .35757 .21523 .35551 .21131 .35172 Mtetra
.21131 .35172 .21523 .35551 .22096 .35346 .21704 .34965 Mtetra
.21704 .34965 .22096 .35346 .2267 .3514 .22279 .34758 Mtetra
.22279 .34758 .2267 .3514 .23245 .34933 .22855 .34551 Mtetra
.22855 .34551 .23245 .34933 .23822 .34726 .23433 .34343 Mtetra
.23433 .34343 .23822 .34726 .244 .34519 .24012 .34135 Mtetra
.24012 .34135 .244 .34519 .24979 .34311 .24592 .33926 Mtetra
.24592 .33926 .24979 .34311 .2556 .34103 .25173 .33717 Mtetra
.25173 .33717 .2556 .34103 .26142 .33894 .25756 .33507 Mtetra
.25756 .33507 .26142 .33894 .26725 .33685 .2634 .33297 Mtetra
.2634 .33297 .26725 .33685 .2731 .33475 .26925 .33087 Mtetra
.26925 .33087 .2731 .33475 .27895 .33265 .27511 .32876 Mtetra
.27511 .32876 .27895 .33265 .28482 .33054 .28099 .32664 Mtetra
.28099 .32664 .28482 .33054 .29071 .32843 .28688 .32452 Mtetra
.28688 .32452 .29071 .32843 .2966 .32632 .29279 .3224 Mtetra
.29279 .3224 .2966 .32632 .30252 .3242 .29871 .32027 Mtetra
.29871 .32027 .30252 .3242 .30844 .32208 .30464 .31813 Mtetra
.663 .74 .907 r
.30464 .31813 .30844 .32208 .31438 .31994 .31058 .31601 Mtetra
.665 .742 .907 r
.31058 .31601 .31438 .31994 .32033 .31781 .31654 .31385 Mtetra
.664 .741 .907 r
.31654 .31385 .32033 .31781 .32629 .31573 .32251 .3117 Mtetra
.658 .735 .907 r
.32251 .3117 .32629 .31573 .33226 .31359 .32849 .30963 Mtetra
.669 .743 .906 r
.32849 .30963 .33226 .31359 .33826 .31137 .3345 .30739 Mtetra
.664 .741 .907 r
.3345 .30739 .33826 .31137 .34425 .30934 .34051 .30523 Mtetra
.651 .73 .907 r
.34051 .30523 .34425 .30934 .35026 .30747 .34653 .30325 Mtetra
.667 .731 .897 r
.34653 .30325 .35026 .30747 .35631 .30489 .35257 .30101 Mtetra
.672 .75 .909 r
.35257 .30101 .35631 .30489 .36236 .30273 .35863 .29871 Mtetra
.657 .739 .91 r
.35863 .29871 .36236 .30273 .36838 .30116 .36469 .29663 Mtetra
.656 .712 .89 r
.36469 .29663 .36838 .30116 .37449 .29837 .37077 .29455 Mtetra
.678 .756 .91 r
.37077 .29455 .37449 .29837 .38057 .29619 .37687 .29214 Mtetra
.664 .741 .907 r
.37687 .29214 .38057 .29619 .38666 .29428 .38298 .28995 Mtetra
.657 .724 .898 r
.38298 .28995 .38666 .29428 .39279 .29181 .3891 .28783 Mtetra
.67 .748 .909 r
.3891 .28783 .39279 .29181 .39892 .28961 .39524 .28554 Mtetra
.664 .741 .907 r
.39524 .28554 .39892 .28961 .40506 .28745 .40139 .28332 Mtetra
.663 .738 .906 r
.40139 .28332 .40506 .28745 .41121 .28521 .40756 .28112 Mtetra
.664 .74 .907 r
.40756 .28112 .41121 .28521 .41738 .28298 .41374 .27889 Mtetra
.665 .742 .907 r
.41374 .27889 .41738 .28298 .42357 .28076 .41993 .27665 Mtetra
.664 .741 .907 r
.41993 .27665 .42357 .28076 .42976 .27863 .42614 .27442 Mtetra
.66 .735 .905 r
.42614 .27442 .42976 .27863 .43598 .27631 .43236 .27223 Mtetra
.667 .745 .908 r
.43236 .27223 .43598 .27631 .44221 .27408 .4386 .26994 Mtetra
.664 .741 .907 r
.4386 .26994 .44221 .27408 .44844 .27207 .44485 .26769 Mtetra
.657 .726 .9 r
.44485 .26769 .44844 .27207 .45471 .26959 .45111 .26553 Mtetra
.666 .747 .91 r
.45111 .26553 .45471 .26959 .46098 .26734 .45739 .26324 Mtetra
.668 .746 .908 r
.45739 .26324 .46098 .26734 .46726 .26533 .46369 .26091 Mtetra
.65 .723 .902 r
.46369 .26091 .46726 .26533 .47356 .263 .46999 .25885 Mtetra
.653 .74 .913 r
.46999 .25885 .47356 .263 .47987 .26065 .47631 .25675 Mtetra
.652 .753 .924 r
.47631 .25675 .47987 .26065 .4862 .25873 .48265 .25466 Mtetra
.639 .74 .921 r
.48265 .25466 .4862 .25873 .49254 .25667 .489 .25275 Mtetra
.637 .748 .929 r
.489 .25275 .49254 .25667 .4989 .25458 .49536 .25086 Mtetra
.64 .761 .936 r
.49536 .25086 .4989 .25458 .50527 .25255 .50175 .24891 Mtetra
.646 .768 .938 r
.50175 .24891 .50527 .25255 .51166 .25043 .50815 .24686 Mtetra
.659 .778 .936 r
.50815 .24686 .51166 .25043 .51806 .24814 .51456 .24461 Mtetra
.675 .786 .933 r
.51456 .24461 .51806 .24814 .52449 .24575 .52099 .24213 Mtetra
.683 .783 .927 r
.52099 .24213 .52449 .24575 .53092 .24331 .52744 .23953 Mtetra
.687 .776 .919 r
.52744 .23953 .53092 .24331 .53737 .24066 .5339 .23685 Mtetra
.692 .776 .916 r
.5339 .23685 .53737 .24066 .54383 .23807 .54037 .23408 Mtetra
.681 .764 .914 r
.54037 .23408 .54383 .23807 .55031 .23571 .54686 .23147 Mtetra
.671 .747 .907 r
.54686 .23147 .55031 .23571 .5568 .23315 .55336 .22902 Mtetra
.674 .754 .911 r
.55336 .22902 .5568 .23315 .56331 .23064 .55988 .22652 Mtetra
.661 .751 .917 r
.55988 .22652 .56331 .23064 .56983 .22846 .56642 .22423 Mtetra
.646 .74 .918 r
.56642 .22423 .56983 .22846 .57637 .22614 .57297 .22216 Mtetra
.639 .753 .931 r
.57297 .22216 .57637 .22614 .58293 .22381 .57954 .22017 Mtetra
.621 .766 .949 r
.57954 .22017 .58293 .22381 .58951 .22168 .58614 .21839 Mtetra
.601 .781 .967 r
.58614 .21839 .58951 .22168 .5961 .21954 .59276 .21677 Mtetra
.586 .811 .985 r
.59276 .21677 .5961 .21954 .60271 .21736 .59939 .21515 Mtetra
.577 .845 .995 r
.59939 .21515 .60271 .21736 .60933 .21517 .60604 .21337 Mtetra
.587 .876 .993 r
.60604 .21337 .60933 .21517 .61597 .21288 .6127 .21128 Mtetra
.619 .9 .986 r
.6127 .21128 .61597 .21288 .62262 .21047 .61937 .20878 Mtetra
.66 .91 .979 r
.61937 .20878 .62262 .21047 .62928 .20794 .62603 .20591 Mtetra
.693 .898 .97 r
.62603 .20591 .62928 .20794 .63595 .20534 .63271 .2028 Mtetra
.708 .87 .958 r
.63271 .2028 .63595 .20534 .64264 .20272 .63939 .19962 Mtetra
.706 .834 .944 r
.63939 .19962 .64264 .20272 .64935 .20011 .64609 .19652 Mtetra
.696 .801 .93 r
.64609 .19652 .64935 .20011 .65607 .19756 .65281 .19359 Mtetra
.684 .776 .921 r
.65281 .19359 .65607 .19756 .66281 .19506 .65956 .19085 Mtetra
.673 .759 .915 r
.65956 .19085 .66281 .19506 .66957 .19261 .66632 .18827 Mtetra
.664 .749 .914 r
.66632 .18827 .66957 .19261 .67635 .19021 .67311 .18583 Mtetra
.656 .744 .915 r
.67311 .18583 .67635 .19021 .68315 .18788 .67992 .18351 Mtetra
.649 .743 .918 r
.67992 .18351 .68315 .18788 .68997 .1856 .68676 .18131 Mtetra
.643 .745 .923 r
.68676 .18131 .68997 .1856 .69681 .18338 .69361 .17919 Mtetra
.639 .75 .929 r
.69361 .17919 .69681 .18338 .70367 .18118 .70049 .17712 Mtetra
.641 .758 .934 r
.70049 .17712 .70367 .18118 .71054 .17896 .70739 .17501 Mtetra
.648 .769 .937 r
.70739 .17501 .71054 .17896 .71743 .17664 .7143 .17277 Mtetra
.661 .779 .936 r
.7143 .17277 .71743 .17664 .72433 .1742 .72121 .17033 Mtetra
.674 .785 .933 r
.72121 .17033 .72433 .1742 .73123 .17162 .72812 .16768 Mtetra
.684 .785 .927 r
.72812 .16768 .73123 .17162 .73815 .16893 .73504 .16487 Mtetra
.688 .78 .921 r
.73504 .16487 .73815 .16893 .74507 .16618 .74197 .16197 Mtetra
.687 .772 .916 r
.74197 .16197 .74507 .16618 .75202 .16344 .74892 .15909 Mtetra
.682 .763 .912 r
.74892 .15909 .75202 .16344 .75898 .16074 .75588 .15627 Mtetra
.677 .755 .91 r
.75588 .15627 .75898 .16074 .76596 .15809 .76287 .15353 Mtetra
.672 .749 .909 r
.76287 .15353 .76596 .15809 .77296 .15549 .76988 .15087 Mtetra
.668 .745 .908 r
.76988 .15087 .77296 .15549 .77999 .15292 .77692 .14827 Mtetra
.666 .743 .908 r
.77692 .14827 .77999 .15292 .78703 .15037 .78397 .14569 Mtetra
.664 .741 .907 r
.15624 .36635 .16024 .37009 .16587 .36806 .16187 .36432 Mtetra
.16187 .36432 .16587 .36806 .1715 .36604 .16751 .36228 Mtetra
.16751 .36228 .1715 .36604 .17715 .364 .17317 .36024 Mtetra
.17317 .36024 .17715 .364 .18281 .36197 .17884 .3582 Mtetra
.17884 .3582 .18281 .36197 .18849 .35993 .18452 .35615 Mtetra
.18452 .35615 .18849 .35993 .19417 .35788 .19021 .35409 Mtetra
.19021 .35409 .19417 .35788 .19987 .35583 .19592 .35203 Mtetra
.19592 .35203 .19987 .35583 .20558 .35377 .20163 .34997 Mtetra
.20163 .34997 .20558 .35377 .21131 .35172 .20737 .3479 Mtetra
.20737 .3479 .21131 .35172 .21704 .34965 .21311 .34583 Mtetra
.21311 .34583 .21704 .34965 .22279 .34758 .21887 .34375 Mtetra
.21887 .34375 .22279 .34758 .22855 .34551 .22464 .34167 Mtetra
.22464 .34167 .22855 .34551 .23433 .34343 .23042 .33958 Mtetra
.23042 .33958 .23433 .34343 .24012 .34135 .23621 .33749 Mtetra
.23621 .33749 .24012 .34135 .24592 .33926 .24202 .3354 Mtetra
.24202 .3354 .24592 .33926 .25173 .33717 .24784 .3333 Mtetra
.24784 .3333 .25173 .33717 .25756 .33507 .25368 .33119 Mtetra
.25368 .33119 .25756 .33507 .2634 .33297 .25952 .32908 Mtetra
.25952 .32908 .2634 .33297 .26925 .33087 .26538 .32697 Mtetra
.26538 .32697 .26925 .33087 .27511 .32876 .27126 .32485 Mtetra
.27126 .32485 .27511 .32876 .28099 .32664 .27714 .32273 Mtetra
.27714 .32273 .28099 .32664 .28688 .32452 .28304 .3206 Mtetra
.28304 .3206 .28688 .32452 .29279 .3224 .28896 .31846 Mtetra
.28896 .31846 .29279 .3224 .29871 .32027 .29488 .31633 Mtetra
.29488 .31633 .29871 .32027 .30464 .31813 .30082 .31418 Mtetra
.30082 .31418 .30464 .31813 .31058 .31601 .30678 .31204 Mtetra
.663 .74 .907 r
.30678 .31204 .31058 .31601 .31654 .31385 .31274 .30989 Mtetra
.665 .742 .907 r
.31274 .30989 .31654 .31385 .32251 .3117 .31872 .30772 Mtetra
.664 .741 .907 r
.31872 .30772 .32251 .3117 .32849 .30963 .32472 .30556 Mtetra
.659 .735 .906 r
.32472 .30556 .32849 .30963 .3345 .30739 .33072 .30346 Mtetra
.669 .746 .908 r
.33072 .30346 .3345 .30739 .34051 .30523 .33674 .30122 Mtetra
.664 .741 .907 r
.33674 .30122 .34051 .30523 .34653 .30325 .34278 .29904 Mtetra
.654 .727 .903 r
.34278 .29904 .34653 .30325 .35257 .30101 .34882 .29701 Mtetra
.673 .745 .905 r
.34882 .29701 .35257 .30101 .35863 .29871 .35489 .29467 Mtetra
.664 .741 .907 r
.35489 .29467 .35863 .29871 .36469 .29663 .36096 .29248 Mtetra
.657 .733 .905 r
.36096 .29248 .36469 .29663 .37077 .29455 .36705 .29039 Mtetra
.667 .736 .901 r
.36705 .29039 .37077 .29455 .37687 .29214 .37316 .28812 Mtetra
.666 .744 .908 r
.37316 .28812 .37687 .29214 .38298 .28995 .37927 .28588 Mtetra
.663 .74 .908 r
.37927 .28588 .38298 .28995 .3891 .28783 .38541 .28368 Mtetra
.663 .737 .904 r
.38541 .28368 .3891 .28783 .39524 .28554 .39155 .28147 Mtetra
.665 .742 .908 r
.39155 .28147 .39524 .28554 .40139 .28332 .39771 .27922 Mtetra
.664 .741 .907 r
.39771 .27922 .40139 .28332 .40756 .28112 .40389 .277 Mtetra
.664 .74 .907 r
.40389 .277 .40756 .28112 .41374 .27889 .41007 .27476 Mtetra
.663 .74 .907 r
.41007 .27476 .41374 .27889 .41993 .27665 .41628 .27254 Mtetra
.665 .742 .908 r
.41628 .27254 .41993 .27665 .42614 .27442 .42249 .27028 Mtetra
.664 .741 .907 r
.42249 .27028 .42614 .27442 .43236 .27223 .42872 .26803 Mtetra
.662 .737 .906 r
.42872 .26803 .43236 .27223 .4386 .26994 .43497 .26581 Mtetra
.664 .742 .909 r
.43497 .26581 .4386 .26994 .44485 .26769 .44123 .26355 Mtetra
.666 .743 .908 r
.44123 .26355 .44485 .26769 .45111 .26553 .4475 .26126 Mtetra
.659 .734 .905 r
.4475 .26126 .45111 .26553 .45739 .26324 .45379 .25906 Mtetra
.657 .739 .91 r
.45379 .25906 .45739 .26324 .46369 .26091 .46009 .25688 Mtetra
.66 .749 .916 r
.46009 .25688 .46369 .26091 .46999 .25885 .46641 .25467 Mtetra
.646 .736 .914 r
.46641 .25467 .46999 .25885 .47631 .25675 .47274 .25266 Mtetra
.637 .738 .922 r
.47274 .25266 .47631 .25675 .48265 .25466 .47908 .25078 Mtetra
.631 .749 .933 r
.47908 .25078 .48265 .25466 .489 .25275 .48544 .24897 Mtetra
.623 .752 .939 r
.48544 .24897 .489 .25275 .49536 .25086 .49181 .24725 Mtetra
.624 .764 .946 r
.49181 .24725 .49536 .25086 .50175 .24891 .4982 .24549 Mtetra
.636 .78 .95 r
.4982 .24549 .50175 .24891 .50815 .24686 .50461 .24354 Mtetra
.656 .793 .948 r
.50461 .24354 .50815 .24686 .51456 .24461 .51104 .24132 Mtetra
.678 .802 .941 r
.51104 .24132 .51456 .24461 .52099 .24213 .51749 .23878 Mtetra
.694 .803 .933 r
.51749 .23878 .52099 .24213 .52744 .23953 .52394 .23598 Mtetra
.699 .794 .924 r
.52394 .23598 .52744 .23953 .5339 .23685 .53042 .2331 Mtetra
.699 .783 .916 r
.53042 .2331 .5339 .23685 .54037 .23408 .5369 .23021 Mtetra
.694 .775 .913 r
.5369 .23021 .54037 .23408 .54686 .23147 .5434 .22737 Mtetra
.68 .759 .911 r
.5434 .22737 .54686 .23147 .55336 .22902 .54991 .22477 Mtetra
.67 .748 .908 r
.54991 .22477 .55336 .22902 .55988 .22652 .55644 .22231 Mtetra
.663 .748 .913 r
.55644 .22231 .55988 .22652 .56642 .22423 .56298 .21996 Mtetra
.647 .739 .916 r
.56298 .21996 .56642 .22423 .57297 .22216 .56955 .21786 Mtetra
.633 .732 .92 r
.56955 .21786 .57297 .22216 .57954 .22017 .57613 .21597 Mtetra
.619 .733 .928 r
.57613 .21597 .57954 .22017 .58614 .21839 .58274 .21427 Mtetra
.605 .733 .935 r
.58274 .21427 .58614 .21839 .59276 .21677 .58937 .21275 Mtetra
.601 .737 .94 r
.58937 .21275 .59276 .21677 .59939 .21515 .59602 .21125 Mtetra
.614 .751 .943 r
.59602 .21125 .59939 .21515 .60604 .21337 .60268 .20957 Mtetra
.64 .767 .94 r
.60268 .20957 .60604 .21337 .6127 .21128 .60935 .20752 Mtetra
.671 .781 .932 r
.60935 .20752 .6127 .21128 .61937 .20878 .61603 .20499 Mtetra
.698 .789 .921 r
.61603 .20499 .61937 .20878 .62603 .20591 .62271 .20203 Mtetra
.713 .789 .911 r
.62271 .20203 .62603 .20591 .63271 .2028 .62939 .19879 Mtetra
.716 .783 .905 r
.62939 .19879 .63271 .2028 .63939 .19962 .63608 .19547 Mtetra
.71 .774 .903 r
.63608 .19547 .63939 .19962 .64609 .19652 .64279 .19225 Mtetra
.698 .764 .903 r
.64279 .19225 .64609 .19652 .65281 .19359 .64952 .18923 Mtetra
.685 .755 .905 r
.64952 .18923 .65281 .19359 .65956 .19085 .65627 .18643 Mtetra
.673 .749 .908 r
.65627 .18643 .65956 .19085 .66632 .18827 .66305 .18383 Mtetra
.662 .744 .911 r
.66305 .18383 .66632 .18827 .67311 .18583 .66985 .18141 Mtetra
.651 .742 .916 r
.66985 .18141 .67311 .18583 .67992 .18351 .67668 .17916 Mtetra
.641 .741 .922 r
.67668 .17916 .67992 .18351 .68676 .18131 .68353 .17707 Mtetra
.631 .744 .93 r
.68353 .17707 .68676 .18131 .69361 .17919 .69041 .17512 Mtetra
.625 .752 .938 r
.69041 .17512 .69361 .17919 .70049 .17712 .69731 .17322 Mtetra
.627 .764 .945 r
.69731 .17322 .70049 .17712 .70739 .17501 .70423 .17128 Mtetra
.638 .779 .949 r
.70423 .17128 .70739 .17501 .7143 .17277 .71116 .16914 Mtetra
.658 .794 .948 r
.71116 .16914 .7143 .17277 .72121 .17033 .71809 .16672 Mtetra
.678 .803 .942 r
.71809 .16672 .72121 .17033 .72812 .16768 .72501 .16398 Mtetra
.693 .804 .934 r
.72501 .16398 .72812 .16768 .73504 .16487 .73193 .161 Mtetra
.7 .797 .925 r
.73193 .161 .73504 .16487 .74197 .16197 .73886 .15791 Mtetra
.698 .785 .918 r
.73886 .15791 .74197 .16197 .74892 .15909 .74581 .15482 Mtetra
.691 .772 .914 r
.74581 .15482 .74892 .15909 .75588 .15627 .75278 .15184 Mtetra
.683 .761 .91 r
.75278 .15184 .75588 .15627 .76287 .15353 .75977 .14899 Mtetra
.675 .752 .909 r
.75977 .14899 .76287 .15353 .76988 .15087 .76679 .14625 Mtetra
.67 .747 .908 r
.76679 .14625 .76988 .15087 .77692 .14827 .77383 .1436 Mtetra
.667 .744 .908 r
.77383 .1436 .77692 .14827 .78397 .14569 .7809 .141 Mtetra
.664 .741 .907 r
.15222 .36259 .15624 .36635 .16187 .36432 .15786 .36055 Mtetra
.15786 .36055 .16187 .36432 .16751 .36228 .16351 .35851 Mtetra
.16351 .35851 .16751 .36228 .17317 .36024 .16917 .35646 Mtetra
.16917 .35646 .17317 .36024 .17884 .3582 .17484 .35441 Mtetra
.17484 .35441 .17884 .3582 .18452 .35615 .18053 .35235 Mtetra
.18053 .35235 .18452 .35615 .19021 .35409 .18623 .35029 Mtetra
.18623 .35029 .19021 .35409 .19592 .35203 .19195 .34822 Mtetra
.19195 .34822 .19592 .35203 .20163 .34997 .19767 .34615 Mtetra
.19767 .34615 .20163 .34997 .20737 .3479 .20341 .34407 Mtetra
.20341 .34407 .20737 .3479 .21311 .34583 .20916 .34199 Mtetra
.20916 .34199 .21311 .34583 .21887 .34375 .21493 .33991 Mtetra
.21493 .33991 .21887 .34375 .22464 .34167 .2207 .33782 Mtetra
.2207 .33782 .22464 .34167 .23042 .33958 .22649 .33572 Mtetra
.22649 .33572 .23042 .33958 .23621 .33749 .2323 .33362 Mtetra
.2323 .33362 .23621 .33749 .24202 .3354 .23811 .33152 Mtetra
.23811 .33152 .24202 .3354 .24784 .3333 .24394 .32941 Mtetra
.24394 .32941 .24784 .3333 .25368 .33119 .24978 .32729 Mtetra
.24978 .32729 .25368 .33119 .25952 .32908 .25564 .32518 Mtetra
.25564 .32518 .25952 .32908 .26538 .32697 .2615 .32305 Mtetra
.2615 .32305 .26538 .32697 .27126 .32485 .26739 .32092 Mtetra
.26739 .32092 .27126 .32485 .27714 .32273 .27328 .31879 Mtetra
.27328 .31879 .27714 .32273 .28304 .3206 .27919 .31665 Mtetra
.27919 .31665 .28304 .3206 .28896 .31846 .28511 .31451 Mtetra
.28511 .31451 .28896 .31846 .29488 .31633 .29104 .31236 Mtetra
.29104 .31236 .29488 .31633 .30082 .31418 .29699 .31021 Mtetra
.29699 .31021 .30082 .31418 .30678 .31204 .30295 .30806 Mtetra
.30295 .30806 .30678 .31204 .31274 .30989 .30893 .3059 Mtetra
.664 .74 .907 r
.30893 .3059 .31274 .30989 .31872 .30772 .31491 .30373 Mtetra
.664 .741 .907 r
.31491 .30373 .31872 .30772 .32472 .30556 .32092 .30156 Mtetra
.663 .741 .908 r
.32092 .30156 .32472 .30556 .33072 .30346 .32693 .29939 Mtetra
.662 .737 .906 r
.32693 .29939 .33072 .30346 .33674 .30122 .33296 .29724 Mtetra
.667 .744 .908 r
.33296 .29724 .33674 .30122 .34278 .29904 .339 .29501 Mtetra
.664 .741 .907 r
.339 .29501 .34278 .29904 .34882 .29701 .34506 .29282 Mtetra
.658 .731 .903 r
.34506 .29282 .34882 .29701 .35489 .29467 .35113 .2907 Mtetra
.669 .747 .909 r
.35113 .2907 .35489 .29467 .36096 .29248 .35722 .28842 Mtetra
.664 .741 .907 r
.35722 .28842 .36096 .29248 .36705 .29039 .36331 .28622 Mtetra
.66 .734 .904 r
.36331 .28622 .36705 .29039 .37316 .28812 .36942 .28405 Mtetra
.667 .742 .906 r
.36942 .28405 .37316 .28812 .37927 .28588 .37555 .28179 Mtetra
.664 .741 .907 r
.37555 .28179 .37927 .28588 .38541 .28368 .38169 .27957 Mtetra
.663 .74 .907 r
.38169 .27957 .38541 .28368 .39155 .28147 .38785 .27735 Mtetra
.664 .74 .907 r
.38785 .27735 .39155 .28147 .39771 .27922 .39401 .27511 Mtetra
.664 .741 .907 r
.39401 .27511 .39771 .27922 .40389 .277 .4002 .27287 Mtetra
.4002 .27287 .40389 .277 .41007 .27476 .40639 .27063 Mtetra
.40639 .27063 .41007 .27476 .41628 .27254 .41261 .26838 Mtetra
.663 .74 .907 r
.41261 .26838 .41628 .27254 .42249 .27028 .41883 .26614 Mtetra
.664 .741 .908 r
.41883 .26614 .42249 .27028 .42872 .26803 .42507 .26388 Mtetra
.664 .741 .907 r
.42507 .26388 .42872 .26803 .43497 .26581 .43133 .26161 Mtetra
.662 .739 .907 r
.43133 .26161 .43497 .26581 .44123 .26355 .43759 .25936 Mtetra
.662 .74 .908 r
.43759 .25936 .44123 .26355 .4475 .26126 .44388 .25712 Mtetra
.664 .744 .909 r
.44388 .25712 .4475 .26126 .45379 .25906 .45018 .25483 Mtetra
.655 .737 .91 r
.45018 .25483 .45379 .25906 .46009 .25688 .45649 .25268 Mtetra
.649 .736 .913 r
.45649 .25268 .46009 .25688 .46641 .25467 .46281 .25062 Mtetra
.643 .743 .922 r
.46281 .25062 .46641 .25467 .47274 .25266 .46915 .24865 Mtetra
.626 .74 .929 r
.46915 .24865 .47274 .25266 .47908 .25078 .4755 .24691 Mtetra
.61 .743 .939 r
.4755 .24691 .47908 .25078 .48544 .24897 .48186 .24536 Mtetra
.601 .755 .952 r
.48186 .24536 .48544 .24897 .49181 .24725 .48824 .24387 Mtetra
.601 .77 .961 r
.48824 .24387 .49181 .24725 .4982 .24549 .49464 .24233 Mtetra
.619 .791 .965 r
.49464 .24233 .4982 .24549 .50461 .24354 .50106 .24054 Mtetra
.65 .812 .961 r
.50106 .24054 .50461 .24354 .51104 .24132 .5075 .23834 Mtetra
.682 .824 .951 r
.5075 .23834 .51104 .24132 .51749 .23878 .51396 .2357 Mtetra
.707 .825 .938 r
.51396 .2357 .51749 .23878 .52394 .23598 .52043 .2327 Mtetra
.717 .815 .926 r
.52043 .2327 .52394 .23598 .53042 .2331 .52691 .22953 Mtetra
.713 .798 .917 r
.52691 .22953 .53042 .2331 .5369 .23021 .53341 .22639 Mtetra
.705 .782 .912 r
.53341 .22639 .5369 .23021 .5434 .22737 .53992 .22336 Mtetra
.694 .768 .909 r
.53992 .22336 .5434 .22737 .54991 .22477 .54644 .22051 Mtetra
.68 .752 .905 r
.54644 .22051 .54991 .22477 .55644 .22231 .55298 .21788 Mtetra
.674 .741 .901 r
.55298 .21788 .55644 .22231 .56298 .21996 .55953 .21533 Mtetra
.669 .73 .895 r
.55953 .21533 .56298 .21996 .56955 .21786 .5661 .21285 Mtetra
.661 .709 .883 r
.5661 .21285 .56955 .21786 .57613 .21597 .57269 .21046 Mtetra
.658 .686 .865 r
.57269 .21046 .57613 .21597 .58274 .21427 .57929 .20807 Mtetra
.653 .657 .841 r
.57929 .20807 .58274 .21427 .58937 .21275 .5859 .20568 Mtetra
.646 .625 .815 r
.5859 .20568 .58937 .21275 .59602 .21125 .59254 .20328 Mtetra
.639 .597 .791 r
.59254 .20328 .59602 .21125 .60268 .20957 .59919 .20087 Mtetra
.634 .578 .774 r
.59919 .20087 .60268 .20957 .60935 .20752 .60585 .19846 Mtetra
.632 .569 .766 r
.60585 .19846 .60935 .20752 .61603 .20499 .61253 .19604 Mtetra
.632 .572 .769 r
.61253 .19604 .61603 .20499 .62271 .20203 .61923 .19362 Mtetra
.636 .587 .781 r
.61923 .19362 .62271 .20203 .62939 .19879 .62594 .19119 Mtetra
.643 .611 .802 r
.62594 .19119 .62939 .19879 .63608 .19547 .63267 .18876 Mtetra
.65 .641 .828 r
.63267 .18876 .63608 .19547 .64279 .19225 .63941 .18632 Mtetra
.656 .672 .854 r
.63941 .18632 .64279 .19225 .64952 .18923 .64618 .18387 Mtetra
.657 .697 .876 r
.64618 .18387 .64952 .18923 .65627 .18643 .65296 .18147 Mtetra
.655 .716 .893 r
.65296 .18147 .65627 .18643 .66305 .18383 .65975 .17914 Mtetra
.65 .727 .905 r
.65975 .17914 .66305 .18383 .66985 .18141 .66658 .1769 Mtetra
.641 .733 .916 r
.66658 .1769 .66985 .18141 .67668 .17916 .67342 .17481 Mtetra
.627 .737 .926 r
.67342 .17481 .67668 .17916 .68353 .17707 .6803 .17291 Mtetra
.613 .742 .937 r
.6803 .17291 .68353 .17707 .69041 .17512 .6872 .17118 Mtetra
.604 .752 .949 r
.6872 .17118 .69041 .17512 .69731 .17322 .69413 .16954 Mtetra
.605 .769 .958 r
.69413 .16954 .69731 .17322 .70423 .17128 .70108 .16782 Mtetra
.623 .791 .963 r
.70108 .16782 .70423 .17128 .71116 .16914 .70803 .16583 Mtetra
.652 .813 .961 r
.70803 .16583 .71116 .16914 .71809 .16672 .71497 .16342 Mtetra
.683 .826 .952 r
.71497 .16342 .71809 .16672 .72501 .16398 .7219 .16057 Mtetra
.706 .827 .94 r
.7219 .16057 .72501 .16398 .73193 .161 .72883 .15737 Mtetra
.715 .817 .928 r
.72883 .15737 .73193 .161 .73886 .15791 .73575 .15401 Mtetra
.713 .801 .92 r
.73575 .15401 .73886 .15791 .74581 .15482 .74269 .15067 Mtetra
.703 .784 .914 r
.74269 .15067 .74581 .15482 .75278 .15184 .74966 .14747 Mtetra
.691 .768 .911 r
.74966 .14747 .75278 .15184 .75977 .14899 .75666 .14447 Mtetra
.681 .757 .909 r
.75666 .14447 .75977 .14899 .76679 .14625 .76368 .14163 Mtetra
.673 .749 .908 r
.76368 .14163 .76679 .14625 .77383 .1436 .77073 .13893 Mtetra
.668 .745 .907 r
.77073 .13893 .77383 .1436 .7809 .141 .77781 .13629 Mtetra
.664 .741 .907 r
.14818 .35883 .15222 .36259 .15786 .36055 .15383 .35678 Mtetra
.15383 .35678 .15786 .36055 .16351 .35851 .15948 .35472 Mtetra
.15948 .35472 .16351 .35851 .16917 .35646 .16515 .35267 Mtetra
.16515 .35267 .16917 .35646 .17484 .35441 .17084 .3506 Mtetra
.17084 .3506 .17484 .35441 .18053 .35235 .17653 .34854 Mtetra
.17653 .34854 .18053 .35235 .18623 .35029 .18224 .34647 Mtetra
.18224 .34647 .18623 .35029 .19195 .34822 .18796 .34439 Mtetra
.18796 .34439 .19195 .34822 .19767 .34615 .19369 .34231 Mtetra
.19369 .34231 .19767 .34615 .20341 .34407 .19944 .34023 Mtetra
.19944 .34023 .20341 .34407 .20916 .34199 .2052 .33814 Mtetra
.2052 .33814 .20916 .34199 .21493 .33991 .21097 .33604 Mtetra
.21097 .33604 .21493 .33991 .2207 .33782 .21675 .33394 Mtetra
.21675 .33394 .2207 .33782 .22649 .33572 .22255 .33184 Mtetra
.22255 .33184 .22649 .33572 .2323 .33362 .22836 .32973 Mtetra
.22836 .32973 .2323 .33362 .23811 .33152 .23418 .32762 Mtetra
.23418 .32762 .23811 .33152 .24394 .32941 .24002 .3255 Mtetra
.24002 .3255 .24394 .32941 .24978 .32729 .24587 .32338 Mtetra
.24587 .32338 .24978 .32729 .25564 .32518 .25173 .32125 Mtetra
.25173 .32125 .25564 .32518 .2615 .32305 .25761 .31912 Mtetra
.25761 .31912 .2615 .32305 .26739 .32092 .2635 .31698 Mtetra
.2635 .31698 .26739 .32092 .27328 .31879 .2694 .31484 Mtetra
.2694 .31484 .27328 .31879 .27919 .31665 .27532 .3127 Mtetra
.27532 .3127 .27919 .31665 .28511 .31451 .28124 .31054 Mtetra
.28124 .31054 .28511 .31451 .29104 .31236 .28719 .30839 Mtetra
.28719 .30839 .29104 .31236 .29699 .31021 .29314 .30623 Mtetra
.29314 .30623 .29699 .31021 .30295 .30806 .29911 .30406 Mtetra
.29911 .30406 .30295 .30806 .30893 .3059 .30509 .30189 Mtetra
.664 .74 .907 r
.30509 .30189 .30893 .3059 .31491 .30373 .31109 .29972 Mtetra
.664 .741 .907 r
.31109 .29972 .31491 .30373 .32092 .30156 .3171 .29753 Mtetra
.3171 .29753 .32092 .30156 .32693 .29939 .32312 .29535 Mtetra
.663 .74 .907 r
.32312 .29535 .32693 .29939 .33296 .29724 .32916 .29317 Mtetra
.664 .74 .906 r
.32916 .29317 .33296 .29724 .339 .29501 .33521 .29097 Mtetra
.665 .742 .907 r
.33521 .29097 .339 .29501 .34506 .29282 .34128 .28876 Mtetra
.663 .741 .908 r
.34128 .28876 .34506 .29282 .35113 .2907 .34736 .28657 Mtetra
.663 .737 .905 r
.34736 .28657 .35113 .2907 .35722 .28842 .35345 .28437 Mtetra
.666 .743 .908 r
.35345 .28437 .35722 .28842 .36331 .28622 .35956 .28213 Mtetra
.664 .741 .907 r
.35956 .28213 .36331 .28622 .36942 .28405 .36568 .27991 Mtetra
.663 .738 .906 r
.36568 .27991 .36942 .28405 .37555 .28179 .37181 .2777 Mtetra
.665 .742 .908 r
.37181 .2777 .37555 .28179 .38169 .27957 .37796 .27545 Mtetra
.664 .741 .907 r
.37796 .27545 .38169 .27957 .38785 .27735 .38412 .27321 Mtetra
.664 .74 .907 r
.38412 .27321 .38785 .27735 .39401 .27511 .3903 .27098 Mtetra
.664 .741 .907 r
.3903 .27098 .39401 .27511 .4002 .27287 .39649 .26873 Mtetra
.39649 .26873 .4002 .27287 .40639 .27063 .4027 .26648 Mtetra
.4027 .26648 .40639 .27063 .41261 .26838 .40892 .26422 Mtetra
.40892 .26422 .41261 .26838 .41883 .26614 .41515 .26196 Mtetra
.664 .74 .907 r
.41515 .26196 .41883 .26614 .42507 .26388 .4214 .25969 Mtetra
.664 .741 .907 r
.4214 .25969 .42507 .26388 .43133 .26161 .42767 .25742 Mtetra
.664 .741 .908 r
.42767 .25742 .43133 .26161 .43759 .25936 .43395 .25514 Mtetra
.661 .739 .907 r
.43395 .25514 .43759 .25936 .44388 .25712 .44024 .2529 Mtetra
.659 .739 .909 r
.44024 .2529 .44388 .25712 .45018 .25483 .44654 .25068 Mtetra
.656 .742 .913 r
.44654 .25068 .45018 .25483 .45649 .25268 .45286 .24851 Mtetra
.645 .738 .917 r
.45286 .24851 .45649 .25268 .46281 .25062 .45919 .24651 Mtetra
.63 .736 .924 r
.45919 .24651 .46281 .25062 .46915 .24865 .46554 .24472 Mtetra
.61 .739 .937 r
.46554 .24472 .46915 .24865 .4755 .24691 .47189 .24317 Mtetra
.585 .742 .951 r
.47189 .24317 .4755 .24691 .48186 .24536 .47826 .24188 Mtetra
.567 .751 .964 r
.47826 .24188 .48186 .24536 .48824 .24387 .48465 .24072 Mtetra
.566 .773 .976 r
.48465 .24072 .48824 .24387 .49464 .24233 .49106 .23948 Mtetra
.592 .803 .98 r
.49106 .23948 .49464 .24233 .50106 .24054 .49749 .23788 Mtetra
.639 .832 .975 r
.49749 .23788 .50106 .24054 .5075 .23834 .50394 .23572 Mtetra
.688 .849 .96 r
.50394 .23572 .5075 .23834 .51396 .2357 .51041 .23294 Mtetra
.722 .849 .942 r
.51041 .23294 .51396 .2357 .52043 .2327 .5169 .22968 Mtetra
.736 .837 .927 r
.5169 .22968 .52043 .2327 .52691 .22953 .5234 .22617 Mtetra
.733 .816 .916 r
.5234 .22617 .52691 .22953 .53341 .22639 .5299 .22268 Mtetra
.721 .794 .909 r
.5299 .22268 .53341 .22639 .53992 .22336 .53642 .21937 Mtetra
.708 .775 .905 r
.53642 .21937 .53992 .22336 .54644 .22051 .54296 .21627 Mtetra
.697 .759 .9 r
.54296 .21627 .54644 .22051 .55298 .21788 .5495 .21332 Mtetra
.67 .734 .898 r
.5495 .21332 .55298 .21788 .55953 .21533 .55607 .21083 Mtetra
.664 .735 .903 r
.55607 .21083 .55953 .21533 .5661 .21285 .56265 .20844 Mtetra
.664 .741 .907 r
.56265 .20844 .5661 .21285 .57269 .21046 .56924 .20605 Mtetra
.56924 .20605 .57269 .21046 .57929 .20807 .57585 .20365 Mtetra
.57585 .20365 .57929 .20807 .5859 .20568 .58248 .20124 Mtetra
.58248 .20124 .5859 .20568 .59254 .20328 .58913 .19883 Mtetra
.58913 .19883 .59254 .20328 .59919 .20087 .59578 .19641 Mtetra
.59578 .19641 .59919 .20087 .60585 .19846 .60246 .19399 Mtetra
.60246 .19399 .60585 .19846 .61253 .19604 .60915 .19156 Mtetra
.60915 .19156 .61253 .19604 .61923 .19362 .61586 .18913 Mtetra
.61586 .18913 .61923 .19362 .62594 .19119 .62258 .18669 Mtetra
.62258 .18669 .62594 .19119 .63267 .18876 .62932 .18425 Mtetra
.62932 .18425 .63267 .18876 .63941 .18632 .63608 .18179 Mtetra
.63608 .18179 .63941 .18632 .64618 .18387 .64285 .17934 Mtetra
.64285 .17934 .64618 .18387 .65296 .18147 .64964 .17687 Mtetra
.664 .738 .905 r
.64964 .17687 .65296 .18147 .65975 .17914 .65644 .17441 Mtetra
.64 .722 .907 r
.65644 .17441 .65975 .17914 .66658 .1769 .66328 .17232 Mtetra
.624 .724 .918 r
.66328 .17232 .66658 .1769 .67342 .17481 .67015 .17048 Mtetra
.609 .731 .932 r
.67015 .17048 .67342 .17481 .6803 .17291 .67705 .16883 Mtetra
.588 .738 .947 r
.67705 .16883 .6803 .17291 .6872 .17118 .68399 .16741 Mtetra
.573 .75 .961 r
.68399 .16741 .6872 .17118 .69413 .16954 .69095 .16609 Mtetra
.574 .772 .973 r
.69095 .16609 .69413 .16954 .70108 .16782 .69792 .16467 Mtetra
.599 .803 .978 r
.69792 .16467 .70108 .16782 .70803 .16583 .7049 .16287 Mtetra
.643 .833 .974 r
.7049 .16287 .70803 .16583 .71497 .16342 .71186 .16049 Mtetra
.689 .852 .961 r
.71186 .16049 .71497 .16342 .7219 .16057 .7188 .15749 Mtetra
.721 .853 .944 r
.7188 .15749 .7219 .16057 .72883 .15737 .72572 .15402 Mtetra
.735 .841 .93 r
.72572 .15402 .72883 .15737 .73575 .15401 .73264 .15031 Mtetra
.731 .82 .92 r
.73264 .15031 .73575 .15401 .74269 .15067 .73958 .14664 Mtetra
.718 .797 .914 r
.73958 .14664 .74269 .15067 .74966 .14747 .74654 .14317 Mtetra
.702 .777 .91 r
.74654 .14317 .74966 .14747 .75666 .14447 .75353 .13997 Mtetra
.687 .762 .909 r
.75353 .13997 .75666 .14447 .76368 .14163 .76056 .13702 Mtetra
.676 .752 .908 r
.76056 .13702 .76368 .14163 .77073 .13893 .76762 .13424 Mtetra
.67 .746 .907 r
.76762 .13424 .77073 .13893 .77781 .13629 .77471 .13156 Mtetra
.664 .741 .907 r
.14413 .35504 .14818 .35883 .15383 .35678 .14978 .35298 Mtetra
.14978 .35298 .15383 .35678 .15948 .35472 .15545 .35092 Mtetra
.15545 .35092 .15948 .35472 .16515 .35267 .16112 .34886 Mtetra
.16112 .34886 .16515 .35267 .17084 .3506 .16681 .34679 Mtetra
.16681 .34679 .17084 .3506 .17653 .34854 .17251 .34471 Mtetra
.17251 .34471 .17653 .34854 .18224 .34647 .17823 .34263 Mtetra
.17823 .34263 .18224 .34647 .18796 .34439 .18396 .34055 Mtetra
.18396 .34055 .18796 .34439 .19369 .34231 .1897 .33846 Mtetra
.1897 .33846 .19369 .34231 .19944 .34023 .19545 .33637 Mtetra
.19545 .33637 .19944 .34023 .2052 .33814 .20122 .33427 Mtetra
.20122 .33427 .2052 .33814 .21097 .33604 .207 .33216 Mtetra
.207 .33216 .21097 .33604 .21675 .33394 .21279 .33006 Mtetra
.21279 .33006 .21675 .33394 .22255 .33184 .21859 .32794 Mtetra
.21859 .32794 .22255 .33184 .22836 .32973 .22441 .32583 Mtetra
.22441 .32583 .22836 .32973 .23418 .32762 .23024 .32371 Mtetra
.23024 .32371 .23418 .32762 .24002 .3255 .23609 .32158 Mtetra
.23609 .32158 .24002 .3255 .24587 .32338 .24194 .31945 Mtetra
.24194 .31945 .24587 .32338 .25173 .32125 .24781 .31731 Mtetra
.24781 .31731 .25173 .32125 .25761 .31912 .2537 .31517 Mtetra
.2537 .31517 .25761 .31912 .2635 .31698 .25959 .31303 Mtetra
.25959 .31303 .2635 .31698 .2694 .31484 .2655 .31088 Mtetra
.2655 .31088 .2694 .31484 .27532 .3127 .27143 .30872 Mtetra
.27143 .30872 .27532 .3127 .28124 .31054 .27736 .30656 Mtetra
.27736 .30656 .28124 .31054 .28719 .30839 .28331 .30439 Mtetra
.28331 .30439 .28719 .30839 .29314 .30623 .28928 .30222 Mtetra
.28928 .30222 .29314 .30623 .29911 .30406 .29526 .30005 Mtetra
.29526 .30005 .29911 .30406 .30509 .30189 .30125 .29787 Mtetra
.30125 .29787 .30509 .30189 .31109 .29972 .30725 .29568 Mtetra
.664 .74 .907 r
.30725 .29568 .31109 .29972 .3171 .29753 .31327 .2935 Mtetra
.664 .741 .907 r
.31327 .2935 .3171 .29753 .32312 .29535 .3193 .2913 Mtetra
.3193 .2913 .32312 .29535 .32916 .29317 .32535 .2891 Mtetra
.663 .74 .907 r
.32535 .2891 .32916 .29317 .33521 .29097 .33141 .28691 Mtetra
.665 .741 .907 r
.33141 .28691 .33521 .29097 .34128 .28876 .33748 .28468 Mtetra
.664 .741 .907 r
.33748 .28468 .34128 .28876 .34736 .28657 .34357 .28247 Mtetra
.663 .74 .907 r
.34357 .28247 .34736 .28657 .35345 .28437 .34967 .28026 Mtetra
.664 .74 .906 r
.34967 .28026 .35345 .28437 .35956 .28213 .35578 .27803 Mtetra
.664 .741 .907 r
.35578 .27803 .35956 .28213 .36568 .27991 .36191 .27579 Mtetra
.36191 .27579 .36568 .27991 .37181 .2777 .36806 .27356 Mtetra
.664 .74 .907 r
.36806 .27356 .37181 .2777 .37796 .27545 .37422 .27132 Mtetra
.664 .741 .907 r
.37422 .27132 .37796 .27545 .38412 .27321 .38039 .26907 Mtetra
.38039 .26907 .38412 .27321 .3903 .27098 .38657 .26682 Mtetra
.38657 .26682 .3903 .27098 .39649 .26873 .39277 .26457 Mtetra
.39277 .26457 .39649 .26873 .4027 .26648 .39899 .2623 Mtetra
.39899 .2623 .4027 .26648 .40892 .26422 .40522 .26004 Mtetra
.40522 .26004 .40892 .26422 .41515 .26196 .41146 .25777 Mtetra
.41146 .25777 .41515 .26196 .4214 .25969 .41772 .25549 Mtetra
.664 .74 .907 r
.41772 .25549 .4214 .25969 .42767 .25742 .42399 .25321 Mtetra
.663 .74 .908 r
.42399 .25321 .42767 .25742 .43395 .25514 .43028 .25094 Mtetra
.662 .741 .909 r
.43028 .25094 .43395 .25514 .44024 .2529 .43658 .24868 Mtetra
.658 .739 .91 r
.43658 .24868 .44024 .2529 .44654 .25068 .4429 .24647 Mtetra
.651 .738 .913 r
.4429 .24647 .44654 .25068 .45286 .24851 .44922 .24437 Mtetra
.639 .738 .92 r
.44922 .24437 .45286 .24851 .45919 .24651 .45556 .24244 Mtetra
.618 .735 .93 r
.45556 .24244 .45919 .24651 .46554 .24472 .46191 .2408 Mtetra
.587 .732 .944 r
.46191 .2408 .46554 .24472 .47189 .24317 .46827 .23952 Mtetra
.55 .735 .961 r
.46827 .23952 .47189 .24317 .47826 .24188 .47464 .23858 Mtetra
.519 .744 .977 r
.47464 .23858 .47826 .24188 .48465 .24072 .48104 .23782 Mtetra
.514 .769 .989 r
.48104 .23782 .48465 .24072 .49106 .23948 .48745 .23694 Mtetra
.552 .81 .994 r
.48745 .23694 .49106 .23948 .49749 .23788 .49389 .23559 Mtetra
.622 .852 .986 r
.49389 .23559 .49749 .23788 .50394 .23572 .50036 .23348 Mtetra
.693 .876 .967 r
.50036 .23348 .50394 .23572 .51041 .23294 .50684 .23054 Mtetra
.74 .875 .943 r
.50684 .23054 .51041 .23294 .5169 .22968 .51335 .22695 Mtetra
.759 .858 .923 r
.51335 .22695 .5169 .22968 .5234 .22617 .51986 .22303 Mtetra
.756 .834 .912 r
.51986 .22303 .5234 .22617 .5299 .22268 .52638 .21912 Mtetra
.74 .808 .906 r
.52638 .21912 .5299 .22268 .53642 .21937 .53291 .21546 Mtetra
.722 .785 .902 r
.53291 .21546 .53642 .21937 .54296 .21627 .53946 .21209 Mtetra
.71 .768 .897 r
.53946 .21209 .54296 .21627 .5495 .21332 .54601 .20889 Mtetra
.669 .741 .904 r
.54601 .20889 .5495 .21332 .55607 .21083 .55259 .20641 Mtetra
.664 .741 .907 r
.55259 .20641 .55607 .21083 .56265 .20844 .55918 .20402 Mtetra
.55918 .20402 .56265 .20844 .56924 .20605 .56578 .20161 Mtetra
.56578 .20161 .56924 .20605 .57585 .20365 .57241 .1992 Mtetra
.57241 .1992 .57585 .20365 .58248 .20124 .57904 .19679 Mtetra
.57904 .19679 .58248 .20124 .58913 .19883 .5857 .19437 Mtetra
.5857 .19437 .58913 .19883 .59578 .19641 .59237 .19194 Mtetra
.59237 .19194 .59578 .19641 .60246 .19399 .59905 .18951 Mtetra
.59905 .18951 .60246 .19399 .60915 .19156 .60576 .18707 Mtetra
.60576 .18707 .60915 .19156 .61586 .18913 .61247 .18462 Mtetra
.61247 .18462 .61586 .18913 .62258 .18669 .61921 .18217 Mtetra
.61921 .18217 .62258 .18669 .62932 .18425 .62596 .17972 Mtetra
.62596 .17972 .62932 .18425 .63608 .18179 .63273 .17725 Mtetra
.63273 .17725 .63608 .18179 .64285 .17934 .63951 .17479 Mtetra
.63951 .17479 .64285 .17934 .64964 .17687 .64631 .17231 Mtetra
.64631 .17231 .64964 .17687 .65644 .17441 .65313 .16983 Mtetra
.634 .729 .916 r
.65313 .16983 .65644 .17441 .66328 .17232 .65998 .16783 Mtetra
.607 .722 .926 r
.65998 .16783 .66328 .17232 .67015 .17048 .66687 .16622 Mtetra
.585 .726 .941 r
.66687 .16622 .67015 .17048 .67705 .16883 .6738 .16487 Mtetra
.555 .73 .957 r
.6738 .16487 .67705 .16883 .68399 .16741 .68076 .16381 Mtetra
.53 .742 .973 r
.68076 .16381 .68399 .16741 .69095 .16609 .68776 .1629 Mtetra
.529 .769 .985 r
.68776 .1629 .69095 .16609 .69792 .16467 .69477 .16184 Mtetra
.564 .811 .991 r
.69477 .16184 .69792 .16467 .7049 .16287 .70178 .16028 Mtetra
.628 .853 .985 r
.70178 .16028 .7049 .16287 .71186 .16049 .70876 .15794 Mtetra
.694 .879 .967 r
.70876 .15794 .71186 .16049 .7188 .15749 .71571 .15476 Mtetra
.74 .881 .945 r
.71571 .15476 .7188 .15749 .72572 .15402 .72262 .15094 Mtetra
.758 .865 .928 r
.72262 .15094 .72572 .15402 .73264 .15031 .72953 .14682 Mtetra
.753 .84 .917 r
.72953 .14682 .73264 .15031 .73958 .14664 .73645 .14274 Mtetra
.736 .812 .911 r
.73645 .14274 .73958 .14664 .74654 .14317 .74341 .13894 Mtetra
.714 .787 .909 r
.74341 .13894 .74654 .14317 .75353 .13997 .7504 .13551 Mtetra
.695 .767 .908 r
.7504 .13551 .75353 .13997 .76056 .13702 .75743 .13241 Mtetra
.681 .755 .907 r
.75743 .13241 .76056 .13702 .76762 .13424 .7645 .12954 Mtetra
.672 .747 .907 r
.7645 .12954 .76762 .13424 .77471 .13156 .77159 .12682 Mtetra
.664 .741 .907 r
.14006 .35124 .14413 .35504 .14978 .35298 .14572 .34917 Mtetra
.14572 .34917 .14978 .35298 .15545 .35092 .15139 .3471 Mtetra
.15139 .3471 .15545 .35092 .16112 .34886 .15707 .34503 Mtetra
.15707 .34503 .16112 .34886 .16681 .34679 .16277 .34295 Mtetra
.16277 .34295 .16681 .34679 .17251 .34471 .16848 .34087 Mtetra
.16848 .34087 .17251 .34471 .17823 .34263 .1742 .33878 Mtetra
.1742 .33878 .17823 .34263 .18396 .34055 .17994 .33669 Mtetra
.17994 .33669 .18396 .34055 .1897 .33846 .18569 .33459 Mtetra
.18569 .33459 .1897 .33846 .19545 .33637 .19145 .33249 Mtetra
.19145 .33249 .19545 .33637 .20122 .33427 .19722 .33038 Mtetra
.19722 .33038 .20122 .33427 .207 .33216 .20301 .32827 Mtetra
.20301 .32827 .207 .33216 .21279 .33006 .20881 .32615 Mtetra
.20881 .32615 .21279 .33006 .21859 .32794 .21462 .32403 Mtetra
.21462 .32403 .21859 .32794 .22441 .32583 .22044 .32191 Mtetra
.22044 .32191 .22441 .32583 .23024 .32371 .22628 .31978 Mtetra
.22628 .31978 .23024 .32371 .23609 .32158 .23213 .31764 Mtetra
.23213 .31764 .23609 .32158 .24194 .31945 .238 .3155 Mtetra
.238 .3155 .24194 .31945 .24781 .31731 .24388 .31336 Mtetra
.24388 .31336 .24781 .31731 .2537 .31517 .24977 .31121 Mtetra
.24977 .31121 .2537 .31517 .25959 .31303 .25567 .30905 Mtetra
.25567 .30905 .25959 .31303 .2655 .31088 .26159 .30689 Mtetra
.26159 .30689 .2655 .31088 .27143 .30872 .26752 .30473 Mtetra
.26752 .30473 .27143 .30872 .27736 .30656 .27347 .30256 Mtetra
.27347 .30256 .27736 .30656 .28331 .30439 .27943 .30038 Mtetra
.27943 .30038 .28331 .30439 .28928 .30222 .2854 .29821 Mtetra
.2854 .29821 .28928 .30222 .29526 .30005 .29138 .29602 Mtetra
.29138 .29602 .29526 .30005 .30125 .29787 .29738 .29383 Mtetra
.29738 .29383 .30125 .29787 .30725 .29568 .3034 .29164 Mtetra
.3034 .29164 .30725 .29568 .31327 .2935 .30942 .28944 Mtetra
.30942 .28944 .31327 .2935 .3193 .2913 .31546 .28724 Mtetra
.31546 .28724 .3193 .2913 .32535 .2891 .32152 .28503 Mtetra
.32152 .28503 .32535 .2891 .33141 .28691 .32759 .28281 Mtetra
.663 .74 .907 r
.32759 .28281 .33141 .28691 .33748 .28468 .33367 .2806 Mtetra
.664 .741 .907 r
.33367 .2806 .33748 .28468 .34357 .28247 .33976 .27837 Mtetra
.33976 .27837 .34357 .28247 .34967 .28026 .34587 .27614 Mtetra
.663 .74 .907 r
.34587 .27614 .34967 .28026 .35578 .27803 .352 .27391 Mtetra
.664 .741 .907 r
.352 .27391 .35578 .27803 .36191 .27579 .35814 .27166 Mtetra
.35814 .27166 .36191 .27579 .36806 .27356 .36429 .26942 Mtetra
.36429 .26942 .36806 .27356 .37422 .27132 .37045 .26717 Mtetra
.37045 .26717 .37422 .27132 .38039 .26907 .37663 .26491 Mtetra
.37663 .26491 .38039 .26907 .38657 .26682 .38283 .26265 Mtetra
.38283 .26265 .38657 .26682 .39277 .26457 .38904 .26039 Mtetra
.38904 .26039 .39277 .26457 .39899 .2623 .39526 .25812 Mtetra
.39526 .25812 .39899 .2623 .40522 .26004 .4015 .25584 Mtetra
.4015 .25584 .40522 .26004 .41146 .25777 .40775 .25356 Mtetra
.40775 .25356 .41146 .25777 .41772 .25549 .41402 .25127 Mtetra
.664 .741 .908 r
.41402 .25127 .41772 .25549 .42399 .25321 .4203 .24898 Mtetra
.663 .74 .908 r
.4203 .24898 .42399 .25321 .43028 .25094 .4266 .2467 Mtetra
.661 .74 .908 r
.4266 .2467 .43028 .25094 .43658 .24868 .43291 .24445 Mtetra
.657 .74 .911 r
.43291 .24445 .43658 .24868 .4429 .24647 .43923 .24225 Mtetra
.648 .738 .915 r
.43923 .24225 .4429 .24647 .44922 .24437 .44557 .2402 Mtetra
.63 .734 .923 r
.44557 .2402 .44922 .24437 .45556 .24244 .45191 .23839 Mtetra
.601 .731 .936 r
.45191 .23839 .45556 .24244 .46191 .2408 .45827 .23695 Mtetra
.558 .725 .952 r
.45827 .23695 .46191 .2408 .46827 .23952 .46463 .23597 Mtetra
.502 .721 .97 r
.46463 .23597 .46827 .23952 .47464 .23858 .471 .23544 Mtetra
.453 .725 .984 r
.471 .23544 .47464 .23858 .48104 .23782 .4774 .23514 Mtetra
.442 .752 .994 r
.4774 .23514 .48104 .23782 .48745 .23694 .48382 .2347 Mtetra
.496 .807 1 r
.48382 .2347 .48745 .23694 .49389 .23559 .49027 .23364 Mtetra
.599 .867 .993 r
.49027 .23364 .49389 .23559 .50036 .23348 .49675 .23159 Mtetra
.699 .9 .968 r
.49675 .23159 .50036 .23348 .50684 .23054 .50325 .22847 Mtetra
.761 .899 .938 r
.50325 .22847 .50684 .23054 .51335 .22695 .50977 .22449 Mtetra
.784 .878 .916 r
.50977 .22449 .51335 .22695 .51986 .22303 .51631 .22009 Mtetra
.779 .85 .905 r
.51631 .22009 .51986 .22303 .52638 .21912 .52284 .21572 Mtetra
.759 .821 .901 r
.52284 .21572 .52638 .21912 .53291 .21546 .52939 .21169 Mtetra
.734 .796 .902 r
.52939 .21169 .53291 .21546 .53946 .21209 .53594 .20809 Mtetra
.714 .779 .904 r
.53594 .20809 .53946 .21209 .54601 .20889 .54251 .20486 Mtetra
.693 .771 .912 r
.54251 .20486 .54601 .20889 .55259 .20641 .54909 .20198 Mtetra
.664 .741 .907 r
.54909 .20198 .55259 .20641 .55918 .20402 .55569 .19957 Mtetra
.55569 .19957 .55918 .20402 .56578 .20161 .56231 .19716 Mtetra
.56231 .19716 .56578 .20161 .57241 .1992 .56894 .19474 Mtetra
.56894 .19474 .57241 .1992 .57904 .19679 .57559 .19231 Mtetra
.57559 .19231 .57904 .19679 .5857 .19437 .58226 .18988 Mtetra
.58226 .18988 .5857 .19437 .59237 .19194 .58894 .18744 Mtetra
.58894 .18744 .59237 .19194 .59905 .18951 .59563 .185 Mtetra
.59563 .185 .59905 .18951 .60576 .18707 .60235 .18255 Mtetra
.60235 .18255 .60576 .18707 .61247 .18462 .60908 .18009 Mtetra
.60908 .18009 .61247 .18462 .61921 .18217 .61582 .17763 Mtetra
.61582 .17763 .61921 .18217 .62596 .17972 .62258 .17517 Mtetra
.62258 .17517 .62596 .17972 .63273 .17725 .62936 .17269 Mtetra
.62936 .17269 .63273 .17725 .63951 .17479 .63615 .17021 Mtetra
.63615 .17021 .63951 .17479 .64631 .17231 .64297 .16773 Mtetra
.656 .738 .91 r
.64297 .16773 .64631 .17231 .65313 .16983 .6498 .16537 Mtetra
.617 .729 .926 r
.6498 .16537 .65313 .16983 .65998 .16783 .65668 .1636 Mtetra
.595 .733 .94 r
.65668 .1636 .65998 .16783 .66687 .16622 .66358 .16211 Mtetra
.559 .724 .951 r
.66358 .16211 .66687 .16622 .6738 .16487 .67054 .16104 Mtetra
.513 .719 .966 r
.67054 .16104 .6738 .16487 .68076 .16381 .67753 .16038 Mtetra
.473 .727 .981 r
.67753 .16038 .68076 .16381 .68776 .1629 .68457 .15994 Mtetra
.467 .756 .993 r
.68457 .15994 .68776 .1629 .69477 .16184 .69162 .15932 Mtetra
.516 .81 .999 r
.69162 .15932 .69477 .16184 .70178 .16028 .69866 .15804 Mtetra
.608 .869 .992 r
.69866 .15804 .70178 .16028 .70876 .15794 .70566 .15574 Mtetra
.701 .904 .968 r
.70566 .15574 .70876 .15794 .71571 .15476 .71261 .15236 Mtetra
.76 .907 .94 r
.71261 .15236 .71571 .15476 .72262 .15094 .71953 .14814 Mtetra
.783 .887 .92 r
.71953 .14814 .72262 .15094 .72953 .14682 .72642 .14352 Mtetra
.777 .858 .91 r
.72642 .14352 .72953 .14682 .73645 .14274 .73332 .13896 Mtetra
.756 .826 .907 r
.73332 .13896 .73645 .14274 .74341 .13894 .74027 .13478 Mtetra
.728 .796 .906 r
.74027 .13478 .74341 .13894 .7504 .13551 .74725 .13107 Mtetra
.704 .773 .906 r
.74725 .13107 .7504 .13551 .75743 .13241 .75429 .1278 Mtetra
.685 .758 .907 r
.75429 .1278 .75743 .13241 .7645 .12954 .76136 .12483 Mtetra
.674 .749 .907 r
.76136 .12483 .7645 .12954 .77159 .12682 .76846 .12206 Mtetra
.664 .741 .907 r
.13597 .34742 .14006 .35124 .14572 .34917 .14164 .34535 Mtetra
.14164 .34535 .14572 .34917 .15139 .3471 .14732 .34327 Mtetra
.14732 .34327 .15139 .3471 .15707 .34503 .15301 .34119 Mtetra
.15301 .34119 .15707 .34503 .16277 .34295 .15871 .3391 Mtetra
.15871 .3391 .16277 .34295 .16848 .34087 .16443 .33701 Mtetra
.16443 .33701 .16848 .34087 .1742 .33878 .17016 .33491 Mtetra
.17016 .33491 .1742 .33878 .17994 .33669 .1759 .33281 Mtetra
.1759 .33281 .17994 .33669 .18569 .33459 .18166 .33071 Mtetra
.18166 .33071 .18569 .33459 .19145 .33249 .18743 .3286 Mtetra
.18743 .3286 .19145 .33249 .19722 .33038 .19321 .32648 Mtetra
.19321 .32648 .19722 .33038 .20301 .32827 .199 .32436 Mtetra
.199 .32436 .20301 .32827 .20881 .32615 .20481 .32223 Mtetra
.20481 .32223 .20881 .32615 .21462 .32403 .21063 .3201 Mtetra
.21063 .3201 .21462 .32403 .22044 .32191 .21646 .31797 Mtetra
.21646 .31797 .22044 .32191 .22628 .31978 .22231 .31583 Mtetra
.22231 .31583 .22628 .31978 .23213 .31764 .22817 .31369 Mtetra
.22817 .31369 .23213 .31764 .238 .3155 .23404 .31154 Mtetra
.23404 .31154 .238 .3155 .24388 .31336 .23993 .30938 Mtetra
.23993 .30938 .24388 .31336 .24977 .31121 .24582 .30722 Mtetra
.24582 .30722 .24977 .31121 .25567 .30905 .25174 .30506 Mtetra
.25174 .30506 .25567 .30905 .26159 .30689 .25766 .30289 Mtetra
.25766 .30289 .26159 .30689 .26752 .30473 .2636 .30072 Mtetra
.2636 .30072 .26752 .30473 .27347 .30256 .26956 .29854 Mtetra
.26956 .29854 .27347 .30256 .27943 .30038 .27552 .29636 Mtetra
.27552 .29636 .27943 .30038 .2854 .29821 .2815 .29417 Mtetra
.2815 .29417 .2854 .29821 .29138 .29602 .2875 .29198 Mtetra
.2875 .29198 .29138 .29602 .29738 .29383 .2935 .28978 Mtetra
.2935 .28978 .29738 .29383 .3034 .29164 .29952 .28757 Mtetra
.29952 .28757 .3034 .29164 .30942 .28944 .30556 .28537 Mtetra
.30556 .28537 .30942 .28944 .31546 .28724 .31161 .28315 Mtetra
.31161 .28315 .31546 .28724 .32152 .28503 .31767 .28093 Mtetra
.31767 .28093 .32152 .28503 .32759 .28281 .32375 .27871 Mtetra
.32375 .27871 .32759 .28281 .33367 .2806 .32984 .27648 Mtetra
.664 .74 .907 r
.32984 .27648 .33367 .2806 .33976 .27837 .33594 .27425 Mtetra
.664 .741 .907 r
.33594 .27425 .33976 .27837 .34587 .27614 .34206 .27201 Mtetra
.34206 .27201 .34587 .27614 .352 .27391 .34819 .26976 Mtetra
.664 .74 .907 r
.34819 .26976 .352 .27391 .35814 .27166 .35434 .26752 Mtetra
.664 .741 .907 r
.35434 .26752 .35814 .27166 .36429 .26942 .3605 .26526 Mtetra
.3605 .26526 .36429 .26942 .37045 .26717 .36668 .263 Mtetra
.36668 .263 .37045 .26717 .37663 .26491 .37287 .26074 Mtetra
.37287 .26074 .37663 .26491 .38283 .26265 .37907 .25846 Mtetra
.37907 .25846 .38283 .26265 .38904 .26039 .38529 .25619 Mtetra
.38529 .25619 .38904 .26039 .39526 .25812 .39152 .25391 Mtetra
.39152 .25391 .39526 .25812 .4015 .25584 .39777 .25162 Mtetra
.39777 .25162 .4015 .25584 .40775 .25356 .40403 .24933 Mtetra
.40403 .24933 .40775 .25356 .41402 .25127 .41031 .24704 Mtetra
.663 .741 .907 r
.41031 .24704 .41402 .25127 .4203 .24898 .4166 .24474 Mtetra
.663 .741 .908 r
.4166 .24474 .4203 .24898 .4266 .2467 .4229 .24245 Mtetra
.66 .74 .909 r
.4229 .24245 .4266 .2467 .43291 .24445 .42922 .2402 Mtetra
.655 .738 .911 r
.42922 .2402 .43291 .24445 .43923 .24225 .43555 .23803 Mtetra
.643 .736 .917 r
.43555 .23803 .43923 .24225 .44557 .2402 .4419 .23603 Mtetra
.621 .732 .926 r
.4419 .23603 .44557 .2402 .45191 .23839 .44825 .23434 Mtetra
.582 .724 .941 r
.44825 .23434 .45191 .23839 .45827 .23695 .4546 .23312 Mtetra
.521 .713 .959 r
.4546 .23312 .45827 .23695 .46463 .23597 .46097 .23249 Mtetra
.442 .698 .974 r
.46097 .23249 .46463 .23597 .471 .23544 .46734 .23242 Mtetra
.368 .692 .982 r
.46734 .23242 .471 .23544 .4774 .23514 .47374 .23265 Mtetra
.349 .718 .986 r
.47374 .23265 .4774 .23514 .48382 .2347 .48016 .2327 Mtetra
.427 .79 .995 r
.48016 .2327 .48382 .2347 .49027 .23364 .48662 .23197 Mtetra
.573 .875 .994 r
.48662 .23197 .49027 .23364 .49675 .23159 .49312 .22999 Mtetra
.707 .919 .966 r
.49312 .22999 .49675 .23159 .50325 .22847 .49964 .22666 Mtetra
.783 .917 .929 r
.49964 .22666 .50325 .22847 .50977 .22449 .50618 .22224 Mtetra
.809 .893 .903 r
.50618 .22224 .50977 .22449 .51631 .22009 .51273 .21731 Mtetra
.802 .862 .894 r
.51273 .21731 .51631 .22009 .52284 .21572 .51928 .21243 Mtetra
.777 .832 .895 r
.51928 .21243 .52284 .21572 .52939 .21169 .52584 .20802 Mtetra
.742 .805 .902 r
.52584 .20802 .52939 .21169 .53594 .20809 .53241 .20427 Mtetra
.705 .787 .915 r
.53241 .20427 .53594 .20809 .54251 .20486 .53899 .20121 Mtetra
.664 .785 .939 r
.53899 .20121 .54251 .20486 .54909 .20198 .54559 .19879 Mtetra
.607 .794 .971 r
.54559 .19879 .54909 .20198 .55569 .19957 .55221 .19702 Mtetra
.509 .797 .997 r
.55221 .19702 .55569 .19957 .56231 .19716 .55886 .19594 Mtetra
.271 .747 .936 r
.55886 .19594 .56231 .19716 .56894 .19474 .56554 .19553 Mtetra
.127 0 0 r
.56554 .19553 .56894 .19474 .57559 .19231 .57225 .1956 Mtetra
.345 0 0 r
.57225 .1956 .57559 .19231 .58226 .18988 .57899 .19576 Mtetra
.392 0 .073 r
.57899 .19576 .58226 .18988 .58894 .18744 .58574 .19541 Mtetra
.373 0 .151 r
.58574 .19541 .58894 .18744 .59563 .185 .5925 .19398 Mtetra
.321 0 .162 r
.5925 .19398 .59563 .185 .60235 .18255 .59925 .19117 Mtetra
.236 0 .12 r
.59925 .19117 .60235 .18255 .60908 .18009 .60597 .18709 Mtetra
.102 0 .004 r
.60597 .18709 .60908 .18009 .61582 .17763 .61268 .1822 Mtetra
0 0 0 r
.61268 .1822 .61582 .17763 .62258 .17517 .61939 .1771 Mtetra
.463 .848 .631 r
.61939 .1771 .62258 .17517 .62936 .17269 .62612 .17231 Mtetra
.69 .975 .911 r
.62612 .17231 .62936 .17269 .63615 .17021 .63287 .16812 Mtetra
.715 .907 .963 r
.63287 .16812 .63615 .17021 .64297 .16773 .63966 .16463 Mtetra
.681 .835 .957 r
.63966 .16463 .64297 .16773 .6498 .16537 .64649 .1618 Mtetra
.638 .791 .956 r
.64649 .1618 .6498 .16537 .65668 .1636 .65337 .15963 Mtetra
.591 .747 .952 r
.65337 .15963 .65668 .1636 .66358 .16211 .66029 .15812 Mtetra
.532 .72 .96 r
.66029 .15812 .66358 .16211 .67054 .16104 .66726 .15731 Mtetra
.462 .702 .971 r
.66726 .15731 .67054 .16104 .67753 .16038 .6743 .15709 Mtetra
.403 .7 .982 r
.6743 .15709 .67753 .16038 .68457 .15994 .68137 .15718 Mtetra
.392 .73 .99 r
.68137 .15718 .68457 .15994 .69162 .15932 .68846 .15704 Mtetra
.459 .799 .999 r
.68846 .15704 .69162 .15932 .69866 .15804 .69554 .15607 Mtetra
.586 .879 .993 r
.69554 .15607 .69866 .15804 .70566 .15574 .70256 .15383 Mtetra
.708 .924 .964 r
.70256 .15383 .70566 .15574 .71261 .15236 .70952 .15022 Mtetra
.783 .927 .93 r
.70952 .15022 .71261 .15236 .71953 .14814 .71642 .14554 Mtetra
.809 .905 .908 r
.71642 .14554 .71953 .14814 .72642 .14352 .7233 .14038 Mtetra
.802 .872 .899 r
.7233 .14038 .72642 .14352 .73332 .13896 .73019 .13529 Mtetra
.776 .837 .899 r
.73019 .13529 .73332 .13896 .74027 .13478 .73711 .13066 Mtetra
.743 .805 .901 r
.73711 .13066 .74027 .13478 .74725 .13107 .74409 .12665 Mtetra
.713 .779 .904 r
.74409 .12665 .74725 .13107 .75429 .1278 .75113 .12318 Mtetra
.691 .761 .905 r
.75113 .12318 .75429 .1278 .76136 .12483 .7582 .12011 Mtetra
.677 .75 .906 r
.7582 .12011 .76136 .12483 .76846 .12206 .76532 .11727 Mtetra
.664 .741 .907 r
.13187 .34359 .13597 .34742 .14164 .34535 .13754 .34151 Mtetra
.13754 .34151 .14164 .34535 .14732 .34327 .14323 .33942 Mtetra
.14323 .33942 .14732 .34327 .15301 .34119 .14893 .33733 Mtetra
.14893 .33733 .15301 .34119 .15871 .3391 .15464 .33524 Mtetra
.15464 .33524 .15871 .3391 .16443 .33701 .16036 .33314 Mtetra
.16036 .33314 .16443 .33701 .17016 .33491 .1661 .33103 Mtetra
.1661 .33103 .17016 .33491 .1759 .33281 .17185 .32892 Mtetra
.17185 .32892 .1759 .33281 .18166 .33071 .17761 .32681 Mtetra
.17761 .32681 .18166 .33071 .18743 .3286 .18339 .32469 Mtetra
.18339 .32469 .18743 .3286 .19321 .32648 .18918 .32256 Mtetra
.18918 .32256 .19321 .32648 .199 .32436 .19498 .32043 Mtetra
.19498 .32043 .199 .32436 .20481 .32223 .20079 .3183 Mtetra
.20079 .3183 .20481 .32223 .21063 .3201 .20662 .31616 Mtetra
.20662 .31616 .21063 .3201 .21646 .31797 .21246 .31402 Mtetra
.21246 .31402 .21646 .31797 .22231 .31583 .21831 .31187 Mtetra
.21831 .31187 .22231 .31583 .22817 .31369 .22418 .30972 Mtetra
.22418 .30972 .22817 .31369 .23404 .31154 .23006 .30756 Mtetra
.23006 .30756 .23404 .31154 .23993 .30938 .23596 .30539 Mtetra
.23596 .30539 .23993 .30938 .24582 .30722 .24186 .30323 Mtetra
.24186 .30323 .24582 .30722 .25174 .30506 .24778 .30105 Mtetra
.24778 .30105 .25174 .30506 .25766 .30289 .25372 .29888 Mtetra
.25372 .29888 .25766 .30289 .2636 .30072 .25966 .29669 Mtetra
.25966 .29669 .2636 .30072 .26956 .29854 .26563 .29451 Mtetra
.26563 .29451 .26956 .29854 .27552 .29636 .2716 .29231 Mtetra
.2716 .29231 .27552 .29636 .2815 .29417 .27759 .29012 Mtetra
.27759 .29012 .2815 .29417 .2875 .29198 .28359 .28791 Mtetra
.28359 .28791 .2875 .29198 .2935 .28978 .28961 .28571 Mtetra
.28961 .28571 .2935 .28978 .29952 .28757 .29564 .28349 Mtetra
.29564 .28349 .29952 .28757 .30556 .28537 .30168 .28128 Mtetra
.30168 .28128 .30556 .28537 .31161 .28315 .30774 .27905 Mtetra
.30774 .27905 .31161 .28315 .31767 .28093 .31381 .27682 Mtetra
.31381 .27682 .31767 .28093 .32375 .27871 .31989 .27459 Mtetra
.31989 .27459 .32375 .27871 .32984 .27648 .32599 .27235 Mtetra
.32599 .27235 .32984 .27648 .33594 .27425 .3321 .27011 Mtetra
.3321 .27011 .33594 .27425 .34206 .27201 .33823 .26786 Mtetra
.33823 .26786 .34206 .27201 .34819 .26976 .34437 .26561 Mtetra
.34437 .26561 .34819 .26976 .35434 .26752 .35053 .26335 Mtetra
.35053 .26335 .35434 .26752 .3605 .26526 .3567 .26108 Mtetra
.3567 .26108 .3605 .26526 .36668 .263 .36288 .25881 Mtetra
.36288 .25881 .36668 .263 .37287 .26074 .36908 .25654 Mtetra
.36908 .25654 .37287 .26074 .37907 .25846 .37529 .25426 Mtetra
.37529 .25426 .37907 .25846 .38529 .25619 .38152 .25197 Mtetra
.38152 .25197 .38529 .25619 .39152 .25391 .38776 .24968 Mtetra
.38776 .24968 .39152 .25391 .39777 .25162 .39402 .24739 Mtetra
.39402 .24739 .39777 .25162 .40403 .24933 .40029 .24509 Mtetra
.40029 .24509 .40403 .24933 .41031 .24704 .40658 .24278 Mtetra
.663 .741 .908 r
.40658 .24278 .41031 .24704 .4166 .24474 .41288 .24048 Mtetra
.662 .74 .908 r
.41288 .24048 .4166 .24474 .4229 .24245 .41919 .23819 Mtetra
.659 .74 .909 r
.41919 .23819 .4229 .24245 .42922 .2402 .42552 .23594 Mtetra
.653 .738 .912 r
.42552 .23594 .42922 .2402 .43555 .23803 .43186 .23379 Mtetra
.638 .735 .918 r
.43186 .23379 .43555 .23803 .4419 .23603 .43821 .23185 Mtetra
.61 .728 .929 r
.43821 .23185 .4419 .23603 .44825 .23434 .44456 .23029 Mtetra
.56 .716 .946 r
.44456 .23029 .44825 .23434 .4546 .23312 .45092 .2293 Mtetra
.48 .696 .963 r
.45092 .2293 .4546 .23312 .46097 .23249 .45729 .22904 Mtetra
.371 .665 .972 r
.45729 .22904 .46097 .23249 .46734 .23242 .46366 .22946 Mtetra
.27 .642 .965 r
.46366 .22946 .46734 .23242 .47374 .23265 .47006 .23026 Mtetra
.246 .665 .962 r
.47006 .23026 .47374 .23265 .48016 .2327 .47648 .23083 Mtetra
.353 .76 .982 r
.47648 .23083 .48016 .2327 .48662 .23197 .48295 .23045 Mtetra
.551 .876 .992 r
.48295 .23045 .48662 .23197 .49312 .22999 .48946 .22855 Mtetra
.719 .93 .96 r
.48946 .22855 .49312 .22999 .49964 .22666 .496 .22499 Mtetra
.806 .926 .915 r
.496 .22499 .49964 .22666 .50618 .22224 .50256 .22012 Mtetra
.832 .899 .887 r
.50256 .22012 .50618 .22224 .51273 .21731 .50914 .21461 Mtetra
.823 .868 .879 r
.50914 .21461 .51273 .21731 .51928 .21243 .51571 .20919 Mtetra
.794 .837 .885 r
.51571 .20919 .51928 .21243 .52584 .20802 .52228 .20437 Mtetra
.751 .809 .898 r
.52228 .20437 .52584 .20802 .53241 .20427 .52886 .20043 Mtetra
.698 .785 .918 r
.52886 .20043 .53241 .20427 .53899 .20121 .53546 .19747 Mtetra
.623 .767 .949 r
.53546 .19747 .53899 .20121 .54559 .19879 .54207 .19561 Mtetra
.483 .743 .986 r
.54207 .19561 .54559 .19879 .55221 .19702 .54871 .19502 Mtetra
.137 .619 .919 r
.54871 .19502 .55221 .19702 .55886 .19594 .55539 .19593 Mtetra
.385 0 0 r
.55539 .19593 .55886 .19594 .56554 .19553 .56213 .19839 Mtetra
.585 .073 0 r
.56213 .19839 .56554 .19553 .57225 .1956 .56891 .20203 Mtetra
.596 .164 .192 r
.56891 .20203 .57225 .1956 .57899 .19576 .57575 .20586 Mtetra
.55 .169 .271 r
.57575 .20586 .57899 .19576 .58574 .19541 .5826 .20848 Mtetra
.478 .13 .297 r
.5826 .20848 .58574 .19541 .5925 .19398 .58944 .2085 Mtetra
.384 .06 .288 r
.58944 .2085 .5925 .19398 .59925 .19117 .59623 .20519 Mtetra
.263 0 .243 r
.59623 .20519 .59925 .19117 .60597 .18709 .60295 .19881 Mtetra
.103 0 .148 r
.60295 .19881 .60597 .18709 .61268 .1822 .60962 .19046 Mtetra
0 0 0 r
.60962 .19046 .61268 .1822 .61939 .1771 .61626 .18163 Mtetra
.61626 .18163 .61939 .1771 .62612 .17231 .62291 .17355 Mtetra
.745 .98 .742 r
.62291 .17355 .62612 .17231 .63287 .16812 .62961 .1669 Mtetra
.798 .965 .914 r
.62961 .1669 .63287 .16812 .63966 .16463 .63636 .16181 Mtetra
.736 .868 .943 r
.63636 .16181 .63966 .16463 .64649 .1618 .64317 .15812 Mtetra
.663 .794 .945 r
.64317 .15812 .64649 .1618 .65337 .15963 .65004 .15561 Mtetra
.588 .744 .951 r
.65004 .15561 .65337 .15963 .66029 .15812 .65697 .15413 Mtetra
.503 .707 .962 r
.65697 .15413 .66029 .15812 .66726 .15731 .66398 .15361 Mtetra
.407 .675 .97 r
.66398 .15361 .66726 .15731 .6743 .15709 .67104 .15387 Mtetra
.325 .66 .973 r
.67104 .15387 .6743 .15709 .68137 .15718 .67816 .15451 Mtetra
.309 .689 .978 r
.67816 .15451 .68137 .15718 .68846 .15704 .6853 .15489 Mtetra
.4 .777 .992 r
.6853 .15489 .68846 .15704 .69554 .15607 .69241 .15427 Mtetra
.568 .881 .992 r
.69241 .15427 .69554 .15607 .70256 .15383 .69945 .15208 Mtetra
.72 .937 .958 r
.69945 .15208 .70256 .15383 .70952 .15022 .70642 .14822 Mtetra
.806 .938 .916 r
.70642 .14822 .70952 .15022 .71642 .14554 .71331 .14307 Mtetra
.834 .914 .891 r
.71331 .14307 .71642 .14554 .7233 .14038 .72017 .13731 Mtetra
.825 .881 .884 r
.72017 .13731 .7233 .14038 .73019 .13529 .72704 .13165 Mtetra
.796 .845 .888 r
.72704 .13165 .73019 .13529 .73711 .13066 .73395 .12657 Mtetra
.758 .812 .895 r
.73395 .12657 .73711 .13066 .74409 .12665 .74092 .12223 Mtetra
.723 .784 .9 r
.74092 .12223 .74409 .12665 .75113 .12318 .74795 .11856 Mtetra
.696 .764 .904 r
.74795 .11856 .75113 .12318 .7582 .12011 .75504 .11537 Mtetra
.68 .752 .906 r
.75504 .11537 .7582 .12011 .76532 .11727 .76216 .11247 Mtetra
.664 .741 .907 r
.12775 .33974 .13187 .34359 .13754 .34151 .13343 .33765 Mtetra
.13343 .33765 .13754 .34151 .14323 .33942 .13913 .33556 Mtetra
.13913 .33556 .14323 .33942 .14893 .33733 .14483 .33346 Mtetra
.14483 .33346 .14893 .33733 .15464 .33524 .15055 .33135 Mtetra
.15055 .33135 .15464 .33524 .16036 .33314 .15628 .32924 Mtetra
.15628 .32924 .16036 .33314 .1661 .33103 .16202 .32713 Mtetra
.16202 .32713 .1661 .33103 .17185 .32892 .16778 .32501 Mtetra
.16778 .32501 .17185 .32892 .17761 .32681 .17355 .32289 Mtetra
.17355 .32289 .17761 .32681 .18339 .32469 .17933 .32076 Mtetra
.17933 .32076 .18339 .32469 .18918 .32256 .18513 .31863 Mtetra
.18513 .31863 .18918 .32256 .19498 .32043 .19094 .31649 Mtetra
.19094 .31649 .19498 .32043 .20079 .3183 .19676 .31435 Mtetra
.19676 .31435 .20079 .3183 .20662 .31616 .2026 .3122 Mtetra
.2026 .3122 .20662 .31616 .21246 .31402 .20844 .31005 Mtetra
.20844 .31005 .21246 .31402 .21831 .31187 .21431 .30789 Mtetra
.21431 .30789 .21831 .31187 .22418 .30972 .22018 .30573 Mtetra
.22018 .30573 .22418 .30972 .23006 .30756 .22607 .30356 Mtetra
.22607 .30356 .23006 .30756 .23596 .30539 .23197 .30139 Mtetra
.23197 .30139 .23596 .30539 .24186 .30323 .23789 .29921 Mtetra
.23789 .29921 .24186 .30323 .24778 .30105 .24381 .29703 Mtetra
.24381 .29703 .24778 .30105 .25372 .29888 .24976 .29484 Mtetra
.24976 .29484 .25372 .29888 .25966 .29669 .25571 .29265 Mtetra
.25571 .29265 .25966 .29669 .26563 .29451 .26168 .29045 Mtetra
.26168 .29045 .26563 .29451 .2716 .29231 .26766 .28825 Mtetra
.26766 .28825 .2716 .29231 .27759 .29012 .27366 .28605 Mtetra
.27366 .28605 .27759 .29012 .28359 .28791 .27967 .28383 Mtetra
.27967 .28383 .28359 .28791 .28961 .28571 .28569 .28162 Mtetra
.28569 .28162 .28961 .28571 .29564 .28349 .29173 .27939 Mtetra
.29173 .27939 .29564 .28349 .30168 .28128 .29778 .27717 Mtetra
.29778 .27717 .30168 .28128 .30774 .27905 .30385 .27493 Mtetra
.30385 .27493 .30774 .27905 .31381 .27682 .30993 .2727 Mtetra
.30993 .2727 .31381 .27682 .31989 .27459 .31602 .27046 Mtetra
.31602 .27046 .31989 .27459 .32599 .27235 .32213 .26821 Mtetra
.32213 .26821 .32599 .27235 .3321 .27011 .32825 .26595 Mtetra
.32825 .26595 .3321 .27011 .33823 .26786 .33439 .2637 Mtetra
.33439 .2637 .33823 .26786 .34437 .26561 .34054 .26143 Mtetra
.34054 .26143 .34437 .26561 .35053 .26335 .3467 .25916 Mtetra
.3467 .25916 .35053 .26335 .3567 .26108 .35288 .25689 Mtetra
.35288 .25689 .3567 .26108 .36288 .25881 .35907 .25461 Mtetra
.35907 .25461 .36288 .25881 .36908 .25654 .36528 .25233 Mtetra
.36528 .25233 .36908 .25654 .37529 .25426 .3715 .25004 Mtetra
.3715 .25004 .37529 .25426 .38152 .25197 .37774 .24774 Mtetra
.37774 .24774 .38152 .25197 .38776 .24968 .38399 .24544 Mtetra
.38399 .24544 .38776 .24968 .39402 .24739 .39025 .24313 Mtetra
.39025 .24313 .39402 .24739 .40029 .24509 .39653 .24082 Mtetra
.39653 .24082 .40029 .24509 .40658 .24278 .40283 .23851 Mtetra
.663 .741 .908 r
.40283 .23851 .40658 .24278 .41288 .24048 .40914 .2362 Mtetra
.662 .74 .908 r
.40914 .2362 .41288 .24048 .41919 .23819 .41546 .2339 Mtetra
.659 .739 .91 r
.41546 .2339 .41919 .23819 .42552 .23594 .4218 .23165 Mtetra
.651 .737 .913 r
.4218 .23165 .42552 .23594 .43186 .23379 .42815 .22952 Mtetra
.633 .733 .92 r
.42815 .22952 .43186 .23379 .43821 .23185 .4345 .22765 Mtetra
.599 .724 .932 r
.4345 .22765 .43821 .23185 .44456 .23029 .44086 .22622 Mtetra
.537 .707 .949 r
.44086 .22622 .44456 .23029 .45092 .2293 .44722 .22547 Mtetra
.436 .674 .964 r
.44722 .22547 .45092 .2293 .45729 .22904 .45359 .22557 Mtetra
.297 .624 .96 r
.45359 .22557 .45729 .22904 .46366 .22946 .45996 .22649 Mtetra
.171 .581 .937 r
.45996 .22649 .46366 .22946 .47006 .23026 .46635 .22785 Mtetra
.148 .603 .93 r
.46635 .22785 .47006 .23026 .47648 .23083 .47278 .22895 Mtetra
.29 .724 .967 r
.47278 .22895 .47648 .23083 .48295 .23045 .47926 .22892 Mtetra
.54 .871 .993 r
.47926 .22892 .48295 .23045 .48946 .22855 .48578 .2271 Mtetra
.736 .933 .953 r
.48578 .2271 .48946 .22855 .496 .22499 .49234 .22332 Mtetra
.826 .924 .9 r
.49234 .22332 .496 .22499 .50256 .22012 .49893 .21798 Mtetra
.851 .896 .869 r
.49893 .21798 .50256 .22012 .50914 .21461 .50552 .21189 Mtetra
.841 .866 .862 r
.50552 .21189 .50914 .21461 .51571 .20919 .51211 .2059 Mtetra
.81 .836 .87 r
.51211 .2059 .51571 .20919 .52228 .20437 .5187 .2006 Mtetra
.765 .806 .885 r
.5187 .2006 .52228 .20437 .52886 .20043 .5253 .19629 Mtetra
.711 .774 .901 r
.5253 .19629 .52886 .20043 .53546 .19747 .5319 .19305 Mtetra
.647 .737 .915 r
.5319 .19305 .53546 .19747 .54207 .19561 .53853 .19089 Mtetra
.563 .688 .924 r
.53853 .19089 .54207 .19561 .54871 .19502 .54517 .18992 Mtetra
.457 .615 .918 r
.54517 .18992 .54871 .19502 .55539 .19593 .55186 .19028 Mtetra
.347 .527 .89 r
.55186 .19028 .55539 .19593 .56213 .19839 .55858 .19197 Mtetra
.285 .455 .854 r
.55858 .19197 .56213 .19839 .56891 .20203 .56535 .19467 Mtetra
.313 .436 .826 r
.56535 .19467 .56891 .20203 .57575 .20586 .57217 .19753 Mtetra
.418 .47 .807 r
.57217 .19753 .57575 .20586 .5826 .20848 .57901 .19936 Mtetra
.546 .525 .784 r
.57901 .19936 .5826 .20848 .58944 .2085 .58584 .199 Mtetra
.651 .576 .757 r
.58584 .199 .58944 .2085 .59623 .20519 .59263 .19581 Mtetra
.723 .616 .737 r
.59263 .19581 .59623 .20519 .60295 .19881 .59937 .19 Mtetra
.767 .648 .73 r
.59937 .19 .60295 .19881 .60962 .19046 .60607 .18254 Mtetra
.79 .675 .738 r
.60607 .18254 .60962 .19046 .61626 .18163 .61275 .17466 Mtetra
.794 .7 .761 r
.61275 .17466 .61626 .18163 .62291 .17355 .61944 .16743 Mtetra
.781 .72 .796 r
.61944 .16743 .62291 .17355 .62961 .1669 .62617 .16141 Mtetra
.751 .734 .837 r
.62617 .16141 .62961 .1669 .63636 .16181 .63295 .15677 Mtetra
.706 .738 .876 r
.63295 .15677 .63636 .16181 .64317 .15812 .63978 .15338 Mtetra
.647 .73 .909 r
.63978 .15338 .64317 .15812 .65004 .15561 .64668 .15113 Mtetra
.57 .711 .937 r
.64668 .15113 .65004 .15561 .65697 .15413 .65364 .14996 Mtetra
.469 .679 .957 r
.65364 .14996 .65697 .15413 .66398 .15361 .66067 .14983 Mtetra
.349 .638 .962 r
.66067 .14983 .66398 .15361 .67104 .15387 .66777 .15061 Mtetra
.248 .611 .955 r
.66777 .15061 .67104 .15387 .67816 .15451 .67493 .15182 Mtetra
.233 .641 .958 r
.67493 .15182 .67816 .15451 .6853 .15489 .68211 .15273 Mtetra
.351 .748 .984 r
.68211 .15273 .6853 .15489 .69241 .15427 .68926 .15244 Mtetra
.56 .878 .992 r
.68926 .15244 .69241 .15427 .69945 .15208 .69633 .15032 Mtetra
.738 .94 .951 r
.69633 .15032 .69945 .15208 .70642 .14822 .7033 .14621 Mtetra
.828 .939 .9 r
.7033 .14621 .70642 .14822 .71331 .14307 .71018 .14058 Mtetra
.854 .913 .872 r
.71018 .14058 .71331 .14307 .72017 .13731 .71702 .13423 Mtetra
.845 .882 .867 r
.71702 .13423 .72017 .13731 .72704 .13165 .72387 .128 Mtetra
.813 .848 .876 r
.72387 .128 .72704 .13165 .73395 .12657 .73077 .12245 Mtetra
.772 .815 .887 r
.73077 .12245 .73395 .12657 .74092 .12223 .73774 .11779 Mtetra
.732 .787 .896 r
.73774 .11779 .74092 .12223 .74795 .11856 .74477 .11391 Mtetra
.702 .766 .902 r
.74477 .11391 .74795 .11856 .75504 .11537 .75186 .11061 Mtetra
.682 .753 .905 r
.75186 .11061 .75504 .11537 .76216 .11247 .75899 .10765 Mtetra
.664 .741 .907 r
.12362 .33588 .12775 .33974 .13343 .33765 .1293 .33378 Mtetra
.1293 .33378 .13343 .33765 .13913 .33556 .135 .33168 Mtetra
.135 .33168 .13913 .33556 .14483 .33346 .14072 .32957 Mtetra
.14072 .32957 .14483 .33346 .15055 .33135 .14644 .32746 Mtetra
.14644 .32746 .15055 .33135 .15628 .32924 .15218 .32534 Mtetra
.15218 .32534 .15628 .32924 .16202 .32713 .15793 .32322 Mtetra
.15793 .32322 .16202 .32713 .16778 .32501 .1637 .32109 Mtetra
.1637 .32109 .16778 .32501 .17355 .32289 .16947 .31896 Mtetra
.16947 .31896 .17355 .32289 .17933 .32076 .17526 .31682 Mtetra
.17526 .31682 .17933 .32076 .18513 .31863 .18107 .31468 Mtetra
.18107 .31468 .18513 .31863 .19094 .31649 .18688 .31253 Mtetra
.18688 .31253 .19094 .31649 .19676 .31435 .19271 .31038 Mtetra
.19271 .31038 .19676 .31435 .2026 .3122 .19856 .30822 Mtetra
.19856 .30822 .2026 .3122 .20844 .31005 .20441 .30606 Mtetra
.20441 .30606 .20844 .31005 .21431 .30789 .21028 .30389 Mtetra
.21028 .30389 .21431 .30789 .22018 .30573 .21616 .30172 Mtetra
.21616 .30172 .22018 .30573 .22607 .30356 .22206 .29955 Mtetra
.22206 .29955 .22607 .30356 .23197 .30139 .22797 .29737 Mtetra
.22797 .29737 .23197 .30139 .23789 .29921 .23389 .29518 Mtetra
.23389 .29518 .23789 .29921 .24381 .29703 .23983 .29299 Mtetra
.23983 .29299 .24381 .29703 .24976 .29484 .24578 .29079 Mtetra
.24578 .29079 .24976 .29484 .25571 .29265 .25174 .28859 Mtetra
.25174 .28859 .25571 .29265 .26168 .29045 .25772 .28639 Mtetra
.25772 .28639 .26168 .29045 .26766 .28825 .26371 .28417 Mtetra
.26371 .28417 .26766 .28825 .27366 .28605 .26971 .28196 Mtetra
.26971 .28196 .27366 .28605 .27967 .28383 .27573 .27974 Mtetra
.27573 .27974 .27967 .28383 .28569 .28162 .28176 .27751 Mtetra
.28176 .27751 .28569 .28162 .29173 .27939 .28781 .27528 Mtetra
.28781 .27528 .29173 .27939 .29778 .27717 .29387 .27304 Mtetra
.29387 .27304 .29778 .27717 .30385 .27493 .29994 .2708 Mtetra
.29994 .2708 .30385 .27493 .30993 .2727 .30603 .26855 Mtetra
.30603 .26855 .30993 .2727 .31602 .27046 .31213 .2663 Mtetra
.31213 .2663 .31602 .27046 .32213 .26821 .31825 .26404 Mtetra
.31825 .26404 .32213 .26821 .32825 .26595 .32438 .26178 Mtetra
.32438 .26178 .32825 .26595 .33439 .2637 .33052 .25951 Mtetra
.33052 .25951 .33439 .2637 .34054 .26143 .33668 .25724 Mtetra
.33668 .25724 .34054 .26143 .3467 .25916 .34286 .25496 Mtetra
.34286 .25496 .3467 .25916 .35288 .25689 .34904 .25268 Mtetra
.34904 .25268 .35288 .25689 .35907 .25461 .35524 .25039 Mtetra
.35524 .25039 .35907 .25461 .36528 .25233 .36146 .24809 Mtetra
.36146 .24809 .36528 .25233 .3715 .25004 .36769 .24579 Mtetra
.36769 .24579 .3715 .25004 .37774 .24774 .37394 .24349 Mtetra
.37394 .24349 .37774 .24774 .38399 .24544 .3802 .24118 Mtetra
.3802 .24118 .38399 .24544 .39025 .24313 .38647 .23886 Mtetra
.38647 .23886 .39025 .24313 .39653 .24082 .39276 .23654 Mtetra
.39276 .23654 .39653 .24082 .40283 .23851 .39906 .23422 Mtetra
.663 .741 .908 r
.39906 .23422 .40283 .23851 .40914 .2362 .40538 .2319 Mtetra
.662 .74 .908 r
.40538 .2319 .40914 .2362 .41546 .2339 .41172 .2296 Mtetra
.658 .739 .91 r
.41172 .2296 .41546 .2339 .4218 .23165 .41806 .22735 Mtetra
.649 .737 .914 r
.41806 .22735 .4218 .23165 .42815 .22952 .42442 .22524 Mtetra
.629 .731 .921 r
.42442 .22524 .42815 .22952 .4345 .22765 .43078 .22342 Mtetra
.589 .72 .934 r
.43078 .22342 .4345 .22765 .44086 .22622 .43715 .22211 Mtetra
.516 .696 .951 r
.43715 .22211 .44086 .22622 .44722 .22547 .44351 .22158 Mtetra
.394 .65 .96 r
.44351 .22158 .44722 .22547 .45359 .22557 .44987 .22203 Mtetra
.229 .58 .944 r
.44987 .22203 .45359 .22557 .45996 .22649 .45624 .2234 Mtetra
.089 .519 .905 r
.45624 .2234 .45996 .22649 .46635 .22785 .46263 .22529 Mtetra
.075 .543 .9 r
.46263 .22529 .46635 .22785 .47278 .22895 .46906 .22688 Mtetra
.251 .69 .96 r
.46906 .22688 .47278 .22895 .47926 .22892 .47554 .22718 Mtetra
.544 .861 .996 r
.47554 .22718 .47926 .22892 .48578 .2271 .48208 .22543 Mtetra
.754 .923 .946 r
.48208 .22543 .48578 .2271 .49234 .22332 .48866 .22143 Mtetra
.842 .912 .883 r
.48866 .22143 .49234 .22332 .49893 .21798 .49527 .21566 Mtetra
.864 .885 .85 r
.49527 .21566 .49893 .21798 .50552 .21189 .50189 .20902 Mtetra
.854 .858 .844 r
.50189 .20902 .50552 .21189 .51211 .2059 .5085 .20247 Mtetra
.824 .831 .853 r
.5085 .20247 .51211 .2059 .5187 .2006 .51511 .19665 Mtetra
.784 .801 .866 r
.51511 .19665 .5187 .2006 .5253 .19629 .52172 .1918 Mtetra
.742 .765 .872 r
.52172 .1918 .5253 .19629 .5319 .19305 .52833 .1878 Mtetra
.708 .721 .86 r
.52833 .1878 .5319 .19305 .53853 .19089 .53496 .18438 Mtetra
.665 .656 .831 r
.53496 .18438 .53853 .19089 .54517 .18992 .5416 .18161 Mtetra
.637 .591 .786 r
.5416 .18161 .54517 .18992 .55186 .19028 .54826 .17915 Mtetra
.617 .528 .73 r
.54826 .17915 .55186 .19028 .55858 .19197 .55494 .17668 Mtetra
.597 .47 .678 r
.55494 .17668 .55858 .19197 .56535 .19467 .56163 .17421 Mtetra
.58 .427 .638 r
.56163 .17421 .56535 .19467 .57217 .19753 .56833 .17174 Mtetra
.569 .4 .613 r
.56833 .17174 .57217 .19753 .57901 .19936 .57506 .16926 Mtetra
.563 .385 .598 r
.57506 .16926 .57901 .19936 .58584 .199 .5818 .16677 Mtetra
.56 .379 .593 r
.5818 .16677 .58584 .199 .59263 .19581 .58855 .16428 Mtetra
.561 .381 .595 r
.58855 .16428 .59263 .19581 .59937 .19 .59533 .16178 Mtetra
.565 .391 .604 r
.59533 .16178 .59937 .19 .60607 .18254 .60212 .15927 Mtetra
.574 .412 .624 r
.60212 .15927 .60607 .18254 .61275 .17466 .60892 .15676 Mtetra
.588 .446 .656 r
.60892 .15676 .61275 .17466 .61944 .16743 .61574 .15424 Mtetra
.607 .497 .703 r
.61574 .15424 .61944 .16743 .62617 .16141 .62258 .15172 Mtetra
.627 .56 .759 r
.62258 .15172 .62617 .16141 .63295 .15677 .62944 .14919 Mtetra
.611 .601 .817 r
.62944 .14919 .63295 .15677 .63978 .15338 .63634 .14741 Mtetra
.59 .648 .876 r
.63634 .14741 .63978 .15338 .64668 .15113 .64328 .1461 Mtetra
.531 .663 .921 r
.64328 .1461 .64668 .15113 .65364 .14996 .65027 .14553 Mtetra
.427 .642 .947 r
.65027 .14553 .65364 .14996 .66067 .14983 .65734 .14591 Mtetra
.293 .596 .948 r
.65734 .14591 .66067 .14983 .66777 .15061 .66448 .1472 Mtetra
.184 .561 .934 r
.66448 .1472 .66777 .15061 .67493 .15182 .67167 .14897 Mtetra
.177 .593 .94 r
.67167 .14897 .67493 .15182 .68211 .15273 .67889 .15037 Mtetra
.323 .72 .981 r
.67889 .15037 .68211 .15273 .68926 .15244 .68607 .1504 Mtetra
.567 .868 .995 r
.68607 .1504 .68926 .15244 .69633 .15032 .69316 .14833 Mtetra
.758 .933 .944 r
.69316 .14833 .69633 .15032 .7033 .14621 .70014 .14399 Mtetra
.846 .928 .884 r
.70014 .14399 .7033 .14621 .71018 .14058 .70702 .1379 Mtetra
.87 .903 .853 r
.70702 .1379 .71018 .14058 .71702 .13423 .71385 .131 Mtetra
.859 .875 .85 r
.71385 .131 .71702 .13423 .72387 .128 .72068 .12425 Mtetra
.826 .846 .862 r
.72068 .12425 .72387 .128 .73077 .12245 .72757 .11827 Mtetra
.783 .816 .878 r
.72757 .11827 .73077 .12245 .73774 .11779 .73453 .1133 Mtetra
.741 .788 .891 r
.73453 .1133 .73774 .11779 .74477 .11391 .74156 .10923 Mtetra
.707 .767 .899 r
.74156 .10923 .74477 .11391 .75186 .11061 .74866 .10582 Mtetra
.685 .753 .904 r
.74866 .10582 .75186 .11061 .75899 .10765 .7558 .1028 Mtetra
.664 .741 .907 r
.11946 .332 .12362 .33588 .1293 .33378 .12516 .32989 Mtetra
.12516 .32989 .1293 .33378 .135 .33168 .13086 .32778 Mtetra
.13086 .32778 .135 .33168 .14072 .32957 .13658 .32566 Mtetra
.13658 .32566 .14072 .32957 .14644 .32746 .14232 .32354 Mtetra
.14232 .32354 .14644 .32746 .15218 .32534 .14806 .32142 Mtetra
.14806 .32142 .15218 .32534 .15793 .32322 .15382 .31928 Mtetra
.15382 .31928 .15793 .32322 .1637 .32109 .15959 .31715 Mtetra
.15959 .31715 .1637 .32109 .16947 .31896 .16538 .31501 Mtetra
.16538 .31501 .16947 .31896 .17526 .31682 .17118 .31286 Mtetra
.17118 .31286 .17526 .31682 .18107 .31468 .17699 .31071 Mtetra
.17699 .31071 .18107 .31468 .18688 .31253 .18281 .30855 Mtetra
.18281 .30855 .18688 .31253 .19271 .31038 .18865 .30639 Mtetra
.18865 .30639 .19271 .31038 .19856 .30822 .1945 .30423 Mtetra
.1945 .30423 .19856 .30822 .20441 .30606 .20036 .30206 Mtetra
.20036 .30206 .20441 .30606 .21028 .30389 .20624 .29988 Mtetra
.20624 .29988 .21028 .30389 .21616 .30172 .21213 .2977 Mtetra
.21213 .2977 .21616 .30172 .22206 .29955 .21803 .29552 Mtetra
.21803 .29552 .22206 .29955 .22797 .29737 .22395 .29333 Mtetra
.22395 .29333 .22797 .29737 .23389 .29518 .22988 .29113 Mtetra
.22988 .29113 .23389 .29518 .23983 .29299 .23582 .28893 Mtetra
.23582 .28893 .23983 .29299 .24578 .29079 .24178 .28673 Mtetra
.24178 .28673 .24578 .29079 .25174 .28859 .24775 .28451 Mtetra
.24775 .28451 .25174 .28859 .25772 .28639 .25374 .2823 Mtetra
.25374 .2823 .25772 .28639 .26371 .28417 .25974 .28008 Mtetra
.25974 .28008 .26371 .28417 .26971 .28196 .26575 .27785 Mtetra
.26575 .27785 .26971 .28196 .27573 .27974 .27178 .27562 Mtetra
.27178 .27562 .27573 .27974 .28176 .27751 .27782 .27339 Mtetra
.27782 .27339 .28176 .27751 .28781 .27528 .28387 .27115 Mtetra
.28387 .27115 .28781 .27528 .29387 .27304 .28994 .2689 Mtetra
.28994 .2689 .29387 .27304 .29994 .2708 .29602 .26665 Mtetra
.29602 .26665 .29994 .2708 .30603 .26855 .30212 .26439 Mtetra
.30212 .26439 .30603 .26855 .31213 .2663 .30823 .26213 Mtetra
.30823 .26213 .31213 .2663 .31825 .26404 .31435 .25986 Mtetra
.31435 .25986 .31825 .26404 .32438 .26178 .32049 .25759 Mtetra
.32049 .25759 .32438 .26178 .33052 .25951 .32664 .25531 Mtetra
.32664 .25531 .33052 .25951 .33668 .25724 .33281 .25303 Mtetra
.33281 .25303 .33668 .25724 .34286 .25496 .33899 .25074 Mtetra
.33899 .25074 .34286 .25496 .34904 .25268 .34519 .24845 Mtetra
.34519 .24845 .34904 .25268 .35524 .25039 .3514 .24615 Mtetra
.3514 .24615 .35524 .25039 .36146 .24809 .35763 .24384 Mtetra
.35763 .24384 .36146 .24809 .36769 .24579 .36387 .24153 Mtetra
.36387 .24153 .36769 .24579 .37394 .24349 .37012 .23922 Mtetra
.37012 .23922 .37394 .24349 .3802 .24118 .37639 .2369 Mtetra
.37639 .2369 .3802 .24118 .38647 .23886 .38267 .23457 Mtetra
.38267 .23457 .38647 .23886 .39276 .23654 .38897 .23224 Mtetra
.38897 .23224 .39276 .23654 .39906 .23422 .39528 .22991 Mtetra
.663 .741 .908 r
.39528 .22991 .39906 .23422 .40538 .2319 .40161 .22758 Mtetra
.662 .74 .908 r
.40161 .22758 .40538 .2319 .41172 .2296 .40795 .22527 Mtetra
.657 .739 .91 r
.40795 .22527 .41172 .2296 .41806 .22735 .41431 .22302 Mtetra
.647 .736 .914 r
.41431 .22302 .41806 .22735 .42442 .22524 .42067 .22093 Mtetra
.625 .729 .922 r
.42067 .22093 .42442 .22524 .43078 .22342 .42704 .21916 Mtetra
.58 .715 .935 r
.42704 .21916 .43078 .22342 .43715 .22211 .43341 .21795 Mtetra
.497 .685 .951 r
.43341 .21795 .43715 .22211 .44351 .22158 .43978 .2176 Mtetra
.359 .627 .955 r
.43978 .2176 .44351 .22158 .44987 .22203 .44614 .21833 Mtetra
.179 .54 .926 r
.44614 .21833 .44987 .22203 .45624 .2234 .45251 .2201 Mtetra
.036 .469 .88 r
.45251 .2201 .45624 .2234 .46263 .22529 .45889 .22243 Mtetra
.038 .499 .884 r
.45889 .22243 .46263 .22529 .46906 .22688 .46532 .22442 Mtetra
.245 .664 .962 r
.46532 .22442 .46906 .22688 .47554 .22718 .47181 .225 Mtetra
.562 .843 .997 r
.47181 .225 .47554 .22718 .48208 .22543 .47836 .22331 Mtetra
.769 .9 .934 r
.47836 .22331 .48208 .22543 .48866 .22143 .48496 .21913 Mtetra
.85 .888 .866 r
.48496 .21913 .48866 .22143 .49527 .21566 .49159 .21299 Mtetra
.87 .865 .832 r
.49159 .21299 .49527 .21566 .50189 .20902 .49823 .20588 Mtetra
.86 .843 .826 r
.49823 .20588 .50189 .20902 .5085 .20247 .50487 .19884 Mtetra
.834 .822 .837 r
.50487 .19884 .5085 .20247 .51511 .19665 .5115 .19255 Mtetra
.799 .797 .85 r
.5115 .19255 .51511 .19665 .52172 .1918 .51812 .18717 Mtetra
.77 .768 .85 r
.51812 .18717 .52172 .1918 .52833 .1878 .52475 .18239 Mtetra
.68 .705 .866 r
.52475 .18239 .52833 .1878 .53496 .18438 .53139 .17953 Mtetra
.663 .724 .895 r
.53139 .17953 .53496 .18438 .5416 .18161 .53804 .17706 Mtetra
.664 .741 .907 r
.53804 .17706 .5416 .18161 .54826 .17915 .54471 .1746 Mtetra
.54471 .1746 .54826 .17915 .55494 .17668 .55139 .17212 Mtetra
.55139 .17212 .55494 .17668 .56163 .17421 .5581 .16964 Mtetra
.5581 .16964 .56163 .17421 .56833 .17174 .56481 .16715 Mtetra
.56481 .16715 .56833 .17174 .57506 .16926 .57155 .16466 Mtetra
.57155 .16466 .57506 .16926 .5818 .16677 .5783 .16216 Mtetra
.5783 .16216 .5818 .16677 .58855 .16428 .58507 .15966 Mtetra
.58507 .15966 .58855 .16428 .59533 .16178 .59185 .15715 Mtetra
.59185 .15715 .59533 .16178 .60212 .15927 .59865 .15463 Mtetra
.59865 .15463 .60212 .15927 .60892 .15676 .60547 .15211 Mtetra
.60547 .15211 .60892 .15676 .61574 .15424 .6123 .14958 Mtetra
.6123 .14958 .61574 .15424 .62258 .15172 .61915 .14704 Mtetra
.61915 .14704 .62258 .15172 .62944 .14919 .62602 .1445 Mtetra
.62602 .1445 .62944 .14919 .63634 .14741 .6329 .14195 Mtetra
.567 .66 .9 r
.6329 .14195 .63634 .14741 .64328 .1461 .63986 .14094 Mtetra
.483 .633 .919 r
.63986 .14094 .64328 .1461 .65027 .14553 .64689 .14097 Mtetra
.383 .611 .94 r
.64689 .14097 .65027 .14553 .65734 .14591 .65399 .14181 Mtetra
.247 .558 .933 r
.65399 .14181 .65734 .14591 .66448 .1472 .66115 .14356 Mtetra
.141 .518 .915 r
.66115 .14356 .66448 .1472 .67167 .14897 .66838 .1458 Mtetra
.15 .555 .927 r
.66838 .1458 .67167 .14897 .67889 .15037 .67563 .14761 Mtetra
.321 .694 .98 r
.67563 .14761 .67889 .15037 .68607 .1504 .68284 .14791 Mtetra
.585 .849 .994 r
.68284 .14791 .68607 .1504 .69316 .14833 .68996 .14588 Mtetra
.774 .911 .933 r
.68996 .14588 .69316 .14833 .70014 .14399 .69694 .14135 Mtetra
.856 .906 .868 r
.69694 .14135 .70014 .14399 .70702 .1379 .70382 .13488 Mtetra
.877 .885 .835 r
.70382 .13488 .70702 .1379 .71385 .131 .71064 .12751 Mtetra
.866 .862 .833 r
.71064 .12751 .71385 .131 .72068 .12425 .71747 .1203 Mtetra
.835 .838 .849 r
.71747 .1203 .72068 .12425 .72757 .11827 .72435 .11396 Mtetra
.791 .812 .869 r
.72435 .11396 .72757 .11827 .73453 .1133 .73131 .10873 Mtetra
.747 .787 .886 r
.73131 .10873 .73453 .1133 .74156 .10923 .73834 .1045 Mtetra
.711 .767 .897 r
.73834 .1045 .74156 .10923 .74866 .10582 .74545 .10099 Mtetra
.687 .754 .902 r
.74545 .10099 .74866 .10582 .7558 .1028 .7526 .09792 Mtetra
.664 .741 .907 r
.11529 .32811 .11946 .332 .12516 .32989 .12099 .32599 Mtetra
.12099 .32599 .12516 .32989 .13086 .32778 .12671 .32387 Mtetra
.12671 .32387 .13086 .32778 .13658 .32566 .13243 .32174 Mtetra
.13243 .32174 .13658 .32566 .14232 .32354 .13817 .31961 Mtetra
.13817 .31961 .14232 .32354 .14806 .32142 .14393 .31748 Mtetra
.14393 .31748 .14806 .32142 .15382 .31928 .14969 .31534 Mtetra
.14969 .31534 .15382 .31928 .15959 .31715 .15547 .31319 Mtetra
.15547 .31319 .15959 .31715 .16538 .31501 .16126 .31104 Mtetra
.16126 .31104 .16538 .31501 .17118 .31286 .16707 .30889 Mtetra
.16707 .30889 .17118 .31286 .17699 .31071 .17289 .30673 Mtetra
.17289 .30673 .17699 .31071 .18281 .30855 .17872 .30456 Mtetra
.17872 .30456 .18281 .30855 .18865 .30639 .18456 .30239 Mtetra
.18456 .30239 .18865 .30639 .1945 .30423 .19042 .30022 Mtetra
.19042 .30022 .1945 .30423 .20036 .30206 .19629 .29804 Mtetra
.19629 .29804 .20036 .30206 .20624 .29988 .20218 .29585 Mtetra
.20218 .29585 .20624 .29988 .21213 .2977 .20808 .29366 Mtetra
.20808 .29366 .21213 .2977 .21803 .29552 .21399 .29147 Mtetra
.21399 .29147 .21803 .29552 .22395 .29333 .21991 .28927 Mtetra
.21991 .28927 .22395 .29333 .22988 .29113 .22585 .28706 Mtetra
.22585 .28706 .22988 .29113 .23582 .28893 .2318 .28486 Mtetra
.2318 .28486 .23582 .28893 .24178 .28673 .23777 .28264 Mtetra
.23777 .28264 .24178 .28673 .24775 .28451 .24375 .28042 Mtetra
.24375 .28042 .24775 .28451 .25374 .2823 .24974 .2782 Mtetra
.24974 .2782 .25374 .2823 .25974 .28008 .25575 .27597 Mtetra
.25575 .27597 .25974 .28008 .26575 .27785 .26177 .27373 Mtetra
.26177 .27373 .26575 .27785 .27178 .27562 .2678 .27149 Mtetra
.2678 .27149 .27178 .27562 .27782 .27339 .27385 .26925 Mtetra
.27385 .26925 .27782 .27339 .28387 .27115 .27992 .26699 Mtetra
.27992 .26699 .28387 .27115 .28994 .2689 .28599 .26474 Mtetra
.28599 .26474 .28994 .2689 .29602 .26665 .29208 .26248 Mtetra
.29208 .26248 .29602 .26665 .30212 .26439 .29819 .26021 Mtetra
.29819 .26021 .30212 .26439 .30823 .26213 .30431 .25794 Mtetra
.30431 .25794 .30823 .26213 .31435 .25986 .31044 .25566 Mtetra
.31044 .25566 .31435 .25986 .32049 .25759 .31659 .25338 Mtetra
.31659 .25338 .32049 .25759 .32664 .25531 .32275 .25109 Mtetra
.32275 .25109 .32664 .25531 .33281 .25303 .32893 .2488 Mtetra
.32893 .2488 .33281 .25303 .33899 .25074 .33512 .2465 Mtetra
.33512 .2465 .33899 .25074 .34519 .24845 .34132 .2442 Mtetra
.34132 .2442 .34519 .24845 .3514 .24615 .34754 .24189 Mtetra
.34754 .24189 .3514 .24615 .35763 .24384 .35378 .23958 Mtetra
.35378 .23958 .35763 .24384 .36387 .24153 .36002 .23726 Mtetra
.36002 .23726 .36387 .24153 .37012 .23922 .36629 .23493 Mtetra
.36629 .23493 .37012 .23922 .37639 .2369 .37257 .2326 Mtetra
.37257 .2326 .37639 .2369 .38267 .23457 .37886 .23027 Mtetra
.37886 .23027 .38267 .23457 .38897 .23224 .38517 .22792 Mtetra
.38517 .22792 .38897 .23224 .39528 .22991 .39149 .22558 Mtetra
.663 .741 .908 r
.39149 .22558 .39528 .22991 .40161 .22758 .39783 .22324 Mtetra
.661 .74 .908 r
.39783 .22324 .40161 .22758 .40795 .22527 .40418 .22092 Mtetra
.657 .739 .91 r
.40418 .22092 .40795 .22527 .41431 .22302 .41054 .21868 Mtetra
.646 .735 .914 r
.41054 .21868 .41431 .22302 .42067 .22093 .41691 .21659 Mtetra
.622 .728 .922 r
.41691 .21659 .42067 .22093 .42704 .21916 .42329 .21485 Mtetra
.574 .711 .935 r
.42329 .21485 .42704 .21916 .43341 .21795 .42967 .21371 Mtetra
.484 .676 .949 r
.42967 .21371 .43341 .21795 .43978 .2176 .43604 .21349 Mtetra
.337 .608 .948 r
.43604 .21349 .43978 .2176 .44614 .21833 .4424 .21443 Mtetra
.152 .511 .913 r
.4424 .21443 .44614 .21833 .45251 .2201 .44876 .21647 Mtetra
.018 .438 .867 r
.44876 .21647 .45251 .2201 .45889 .22243 .45515 .21912 Mtetra
.041 .474 .882 r
.45515 .21912 .45889 .22243 .46532 .22442 .46158 .22142 Mtetra
.269 .643 .965 r
.46158 .22142 .46532 .22442 .47181 .225 .46807 .22219 Mtetra
.583 .812 .986 r
.46807 .22219 .47181 .225 .47836 .22331 .47463 .22054 Mtetra
.775 .863 .915 r
.47463 .22054 .47836 .22331 .48496 .21913 .48125 .21623 Mtetra
.849 .856 .848 r
.48125 .21623 .48496 .21913 .49159 .21299 .48791 .20981 Mtetra
.868 .84 .816 r
.48791 .20981 .49159 .21299 .49823 .20588 .49457 .20236 Mtetra
.86 .826 .812 r
.49457 .20236 .49823 .20588 .50487 .19884 .50122 .19499 Mtetra
.837 .812 .826 r
.50122 .19499 .50487 .19884 .5115 .19255 .50787 .18841 Mtetra
.806 .796 .843 r
.50787 .18841 .5115 .19255 .51812 .18717 .51451 .18279 Mtetra
.782 .782 .852 r
.51451 .18279 .51812 .18717 .52475 .18239 .52115 .17776 Mtetra
.682 .743 .897 r
.52115 .17776 .52475 .18239 .53139 .17953 .5278 .17498 Mtetra
.664 .741 .907 r
.5278 .17498 .53139 .17953 .53804 .17706 .53446 .1725 Mtetra
.53446 .1725 .53804 .17706 .54471 .1746 .54114 .17002 Mtetra
.54114 .17002 .54471 .1746 .55139 .17212 .54784 .16754 Mtetra
.54784 .16754 .55139 .17212 .5581 .16964 .55455 .16504 Mtetra
.55455 .16504 .5581 .16964 .56481 .16715 .56128 .16255 Mtetra
.56128 .16255 .56481 .16715 .57155 .16466 .56802 .16004 Mtetra
.56802 .16004 .57155 .16466 .5783 .16216 .57479 .15753 Mtetra
.57479 .15753 .5783 .16216 .58507 .15966 .58156 .15502 Mtetra
.58156 .15502 .58507 .15966 .59185 .15715 .58836 .15249 Mtetra
.58836 .15249 .59185 .15715 .59865 .15463 .59517 .14997 Mtetra
.59517 .14997 .59865 .15463 .60547 .15211 .602 .14743 Mtetra
.602 .14743 .60547 .15211 .6123 .14958 .60884 .14489 Mtetra
.60884 .14489 .6123 .14958 .61915 .14704 .6157 .14234 Mtetra
.6157 .14234 .61915 .14704 .62602 .1445 .62258 .13979 Mtetra
.62258 .13979 .62602 .1445 .6329 .14195 .62948 .13723 Mtetra
.557 .694 .931 r
.62948 .13723 .6329 .14195 .63986 .14094 .63645 .13624 Mtetra
.448 .64 .939 r
.63645 .13624 .63986 .14094 .64689 .14097 .6435 .13648 Mtetra
.351 .598 .94 r
.6435 .13648 .64689 .14097 .65399 .14181 .65061 .13757 Mtetra
.22 .533 .922 r
.65061 .13757 .65399 .14181 .66115 .14356 .6578 .13962 Mtetra
.127 .49 .903 r
.6578 .13962 .66115 .14356 .66838 .1458 .66506 .14218 Mtetra
.155 .53 .921 r
.66506 .14218 .66838 .1458 .67563 .14761 .67233 .14429 Mtetra
.343 .67 .975 r
.67233 .14429 .67563 .14761 .68284 .14791 .67956 .14478 Mtetra
.604 .816 .982 r
.67956 .14478 .68284 .14791 .68996 .14588 .68669 .14278 Mtetra
.781 .874 .916 r
.68669 .14278 .68996 .14588 .69694 .14135 .69369 .1381 Mtetra
.857 .874 .851 r
.69369 .1381 .69694 .14135 .70382 .13488 .70057 .13134 Mtetra
.877 .859 .82 r
.70057 .13134 .70382 .13488 .71064 .12751 .70739 .12363 Mtetra
.867 .844 .819 r
.70739 .12363 .71064 .12751 .71747 .1203 .71422 .11609 Mtetra
.838 .826 .837 r
.71422 .11609 .71747 .1203 .72435 .11396 .7211 .10948 Mtetra
.795 .806 .861 r
.7211 .10948 .72435 .11396 .73131 .10873 .72806 .10406 Mtetra
.75 .784 .881 r
.72806 .10406 .73131 .10873 .73834 .1045 .73511 .0997 Mtetra
.713 .766 .894 r
.73511 .0997 .73834 .1045 .74545 .10099 .74222 .09613 Mtetra
.688 .753 .901 r
.74222 .09613 .74545 .10099 .7526 .09792 .74938 .09302 Mtetra
.664 .741 .907 r
.1111 .3242 .11529 .32811 .12099 .32599 .11681 .32207 Mtetra
.11681 .32207 .12099 .32599 .12671 .32387 .12253 .31994 Mtetra
.12253 .31994 .12671 .32387 .13243 .32174 .12827 .31781 Mtetra
.12827 .31781 .13243 .32174 .13817 .31961 .13402 .31567 Mtetra
.13402 .31567 .13817 .31961 .14393 .31748 .13978 .31352 Mtetra
.13978 .31352 .14393 .31748 .14969 .31534 .14555 .31137 Mtetra
.14555 .31137 .14969 .31534 .15547 .31319 .15134 .30922 Mtetra
.15134 .30922 .15547 .31319 .16126 .31104 .15714 .30706 Mtetra
.15714 .30706 .16126 .31104 .16707 .30889 .16295 .30489 Mtetra
.16295 .30489 .16707 .30889 .17289 .30673 .16877 .30273 Mtetra
.16877 .30273 .17289 .30673 .17872 .30456 .17461 .30055 Mtetra
.17461 .30055 .17872 .30456 .18456 .30239 .18046 .29837 Mtetra
.18046 .29837 .18456 .30239 .19042 .30022 .18633 .29619 Mtetra
.18633 .29619 .19042 .30022 .19629 .29804 .19221 .294 Mtetra
.19221 .294 .19629 .29804 .20218 .29585 .1981 .29181 Mtetra
.1981 .29181 .20218 .29585 .20808 .29366 .20401 .28961 Mtetra
.20401 .28961 .20808 .29366 .21399 .29147 .20993 .2874 Mtetra
.20993 .2874 .21399 .29147 .21991 .28927 .21586 .2852 Mtetra
.21586 .2852 .21991 .28927 .22585 .28706 .22181 .28298 Mtetra
.22181 .28298 .22585 .28706 .2318 .28486 .22777 .28076 Mtetra
.22777 .28076 .2318 .28486 .23777 .28264 .23374 .27854 Mtetra
.23374 .27854 .23777 .28264 .24375 .28042 .23973 .27631 Mtetra
.23973 .27631 .24375 .28042 .24974 .2782 .24573 .27408 Mtetra
.24573 .27408 .24974 .2782 .25575 .27597 .25174 .27184 Mtetra
.25174 .27184 .25575 .27597 .26177 .27373 .25777 .26959 Mtetra
.25777 .26959 .26177 .27373 .2678 .27149 .26382 .26734 Mtetra
.26382 .26734 .2678 .27149 .27385 .26925 .26987 .26509 Mtetra
.26987 .26509 .27385 .26925 .27992 .26699 .27594 .26283 Mtetra
.27594 .26283 .27992 .26699 .28599 .26474 .28203 .26056 Mtetra
.28203 .26056 .28599 .26474 .29208 .26248 .28813 .25829 Mtetra
.28813 .25829 .29208 .26248 .29819 .26021 .29424 .25601 Mtetra
.29424 .25601 .29819 .26021 .30431 .25794 .30037 .25373 Mtetra
.30037 .25373 .30431 .25794 .31044 .25566 .30651 .25145 Mtetra
.30651 .25145 .31044 .25566 .31659 .25338 .31267 .24915 Mtetra
.31267 .24915 .31659 .25338 .32275 .25109 .31884 .24686 Mtetra
.31884 .24686 .32275 .25109 .32893 .2488 .32502 .24455 Mtetra
.32502 .24455 .32893 .2488 .33512 .2465 .33122 .24225 Mtetra
.33122 .24225 .33512 .2465 .34132 .2442 .33744 .23993 Mtetra
.33744 .23993 .34132 .2442 .34754 .24189 .34366 .23761 Mtetra
.34366 .23761 .34754 .24189 .35378 .23958 .34991 .23529 Mtetra
.34991 .23529 .35378 .23958 .36002 .23726 .35617 .23296 Mtetra
.35617 .23296 .36002 .23726 .36629 .23493 .36244 .23062 Mtetra
.36244 .23062 .36629 .23493 .37257 .2326 .36873 .22828 Mtetra
.36873 .22828 .37257 .2326 .37886 .23027 .37503 .22594 Mtetra
.37503 .22594 .37886 .23027 .38517 .22792 .38134 .22359 Mtetra
.38134 .22359 .38517 .22792 .39149 .22558 .38768 .22123 Mtetra
.663 .741 .908 r
.38768 .22123 .39149 .22558 .39783 .22324 .39402 .21888 Mtetra
.661 .74 .908 r
.39402 .21888 .39783 .22324 .40418 .22092 .40038 .21656 Mtetra
.657 .738 .91 r
.40038 .21656 .40418 .22092 .41054 .21868 .40675 .2143 Mtetra
.645 .735 .914 r
.40675 .2143 .41054 .21868 .41691 .21659 .41314 .21222 Mtetra
.62 .726 .922 r
.41314 .21222 .41691 .21659 .42329 .21485 .41952 .21048 Mtetra
.571 .708 .935 r
.41952 .21048 .42329 .21485 .42967 .21371 .42591 .20938 Mtetra
.479 .669 .947 r
.42591 .20938 .42967 .21371 .43604 .21349 .43228 .20923 Mtetra
.331 .596 .943 r
.43228 .20923 .43604 .21349 .4424 .21443 .43865 .21027 Mtetra
.153 .496 .906 r
.43865 .21027 .4424 .21443 .44876 .21647 .44501 .21245 Mtetra
.037 .427 .867 r
.44501 .21245 .44876 .21647 .45515 .21912 .45139 .21527 Mtetra
.079 .467 .889 r
.45139 .21527 .45515 .21912 .46158 .22142 .45783 .21772 Mtetra
.313 .624 .96 r
.45783 .21772 .46158 .22142 .46807 .22219 .46432 .21859 Mtetra
.6 .769 .961 r
.46432 .21859 .46807 .22219 .47463 .22054 .4709 .21696 Mtetra
.77 .818 .89 r
.4709 .21696 .47463 .22054 .48125 .21623 .47753 .21257 Mtetra
.839 .82 .83 r
.47753 .21257 .48125 .21623 .48791 .20981 .4842 .206 Mtetra
.859 .812 .803 r
.4842 .206 .48791 .20981 .49457 .20236 .49089 .19838 Mtetra
.854 .806 .802 r
.49089 .19838 .49457 .20236 .50122 .19499 .49756 .19086 Mtetra
.833 .8 .82 r
.49756 .19086 .50122 .19499 .50787 .18841 .50422 .18422 Mtetra
.801 .795 .846 r
.50422 .18422 .50787 .18841 .51451 .18279 .51088 .17873 Mtetra
.77 .796 .875 r
.51088 .17873 .51451 .18279 .52115 .17776 .51753 .17419 Mtetra
.742 .817 .911 r
.51753 .17419 .52115 .17776 .5278 .17498 .52419 .1704 Mtetra
.664 .741 .907 r
.52419 .1704 .5278 .17498 .53446 .1725 .53087 .16792 Mtetra
.53087 .16792 .53446 .1725 .54114 .17002 .53756 .16543 Mtetra
.53756 .16543 .54114 .17002 .54784 .16754 .54426 .16293 Mtetra
.54426 .16293 .54784 .16754 .55455 .16504 .55099 .16043 Mtetra
.55099 .16043 .55455 .16504 .56128 .16255 .55773 .15792 Mtetra
.55773 .15792 .56128 .16255 .56802 .16004 .56448 .1554 Mtetra
.56448 .1554 .56802 .16004 .57479 .15753 .57126 .15288 Mtetra
.57126 .15288 .57479 .15753 .58156 .15502 .57804 .15035 Mtetra
.57804 .15035 .58156 .15502 .58836 .15249 .58485 .14782 Mtetra
.58485 .14782 .58836 .15249 .59517 .14997 .59167 .14528 Mtetra
.59167 .14528 .59517 .14997 .602 .14743 .59851 .14273 Mtetra
.59851 .14273 .602 .14743 .60884 .14489 .60537 .14018 Mtetra
.60537 .14018 .60884 .14489 .6157 .14234 .61224 .13762 Mtetra
.61224 .13762 .6157 .14234 .62258 .13979 .61913 .13506 Mtetra
.633 .728 .917 r
.61913 .13506 .62258 .13979 .62948 .13723 .62606 .133 Mtetra
.532 .711 .954 r
.62606 .133 .62948 .13723 .63645 .13624 .63305 .13217 Mtetra
.452 .681 .963 r
.63305 .13217 .63645 .13624 .6435 .13648 .64009 .13211 Mtetra
.347 .604 .944 r
.64009 .13211 .6435 .13648 .65061 .13757 .64721 .13315 Mtetra
.221 .524 .917 r
.64721 .13315 .65061 .13757 .6578 .13962 .65441 .13529 Mtetra
.143 .478 .897 r
.65441 .13529 .6578 .13962 .66506 .14218 .66168 .138 Mtetra
.187 .517 .916 r
.66168 .138 .66506 .14218 .67233 .14429 .66898 .14025 Mtetra
.377 .645 .961 r
.66898 .14025 .67233 .14429 .67956 .14478 .67622 .14084 Mtetra
.618 .773 .955 r
.67622 .14084 .67956 .14478 .68669 .14278 .68337 .13885 Mtetra
.777 .828 .892 r
.68337 .13885 .68669 .14278 .69369 .1381 .69038 .13408 Mtetra
.848 .836 .833 r
.69038 .13408 .69369 .1381 .70057 .13134 .69727 .12717 Mtetra
.869 .83 .806 r
.69727 .12717 .70057 .13134 .70739 .12363 .7041 .11928 Mtetra
.862 .822 .808 r
.7041 .11928 .70739 .12363 .71422 .11609 .71093 .11155 Mtetra
.835 .811 .827 r
.71093 .11155 .71422 .11609 .7211 .10948 .71782 .10479 Mtetra
.795 .797 .853 r
.71782 .10479 .7211 .10948 .72806 .10406 .72479 .09926 Mtetra
.751 .78 .876 r
.72479 .09926 .72806 .10406 .73511 .0997 .73185 .09484 Mtetra
.714 .764 .892 r
.73185 .09484 .73511 .0997 .74222 .09613 .73897 .09122 Mtetra
.689 .752 .9 r
.73897 .09122 .74222 .09613 .74938 .09302 .74614 .08808 Mtetra
.664 .741 .907 r
.1069 .32027 .1111 .3242 .11681 .32207 .11261 .31813 Mtetra
.11261 .31813 .11681 .32207 .12253 .31994 .11834 .316 Mtetra
.11834 .316 .12253 .31994 .12827 .31781 .12408 .31385 Mtetra
.12408 .31385 .12827 .31781 .13402 .31567 .12984 .3117 Mtetra
.12984 .3117 .13402 .31567 .13978 .31352 .13561 .30955 Mtetra
.13561 .30955 .13978 .31352 .14555 .31137 .14139 .30739 Mtetra
.14139 .30739 .14555 .31137 .15134 .30922 .14718 .30523 Mtetra
.14718 .30523 .15134 .30922 .15714 .30706 .15299 .30306 Mtetra
.15299 .30306 .15714 .30706 .16295 .30489 .15881 .30089 Mtetra
.15881 .30089 .16295 .30489 .16877 .30273 .16464 .29871 Mtetra
.16464 .29871 .16877 .30273 .17461 .30055 .17049 .29653 Mtetra
.17049 .29653 .17461 .30055 .18046 .29837 .17635 .29434 Mtetra
.17635 .29434 .18046 .29837 .18633 .29619 .18222 .29214 Mtetra
.18222 .29214 .18633 .29619 .19221 .294 .18811 .28995 Mtetra
.18811 .28995 .19221 .294 .1981 .29181 .19401 .28774 Mtetra
.19401 .28774 .1981 .29181 .20401 .28961 .19992 .28554 Mtetra
.19992 .28554 .20401 .28961 .20993 .2874 .20585 .28332 Mtetra
.20585 .28332 .20993 .2874 .21586 .2852 .21179 .2811 Mtetra
.21179 .2811 .21586 .2852 .22181 .28298 .21774 .27888 Mtetra
.21774 .27888 .22181 .28298 .22777 .28076 .22371 .27665 Mtetra
.22371 .27665 .22777 .28076 .23374 .27854 .22969 .27442 Mtetra
.22969 .27442 .23374 .27854 .23973 .27631 .23569 .27218 Mtetra
.23569 .27218 .23973 .27631 .24573 .27408 .2417 .26994 Mtetra
.2417 .26994 .24573 .27408 .25174 .27184 .24772 .26769 Mtetra
.24772 .26769 .25174 .27184 .25777 .26959 .25376 .26543 Mtetra
.25376 .26543 .25777 .26959 .26382 .26734 .25981 .26317 Mtetra
.25981 .26317 .26382 .26734 .26987 .26509 .26588 .26091 Mtetra
.26588 .26091 .26987 .26509 .27594 .26283 .27196 .25864 Mtetra
.27196 .25864 .27594 .26283 .28203 .26056 .27805 .25636 Mtetra
.27805 .25636 .28203 .26056 .28813 .25829 .28416 .25408 Mtetra
.28416 .25408 .28813 .25829 .29424 .25601 .29028 .2518 Mtetra
.29028 .2518 .29424 .25601 .30037 .25373 .29641 .24951 Mtetra
.29641 .24951 .30037 .25373 .30651 .25145 .30256 .24721 Mtetra
.30256 .24721 .30651 .25145 .31267 .24915 .30873 .24491 Mtetra
.30873 .24491 .31267 .24915 .31884 .24686 .31491 .2426 Mtetra
.31491 .2426 .31884 .24686 .32502 .24455 .3211 .24029 Mtetra
.3211 .24029 .32502 .24455 .33122 .24225 .32731 .23797 Mtetra
.32731 .23797 .33122 .24225 .33744 .23993 .33353 .23565 Mtetra
.33353 .23565 .33744 .23993 .34366 .23761 .33977 .23332 Mtetra
.33977 .23332 .34366 .23761 .34991 .23529 .34602 .23098 Mtetra
.34602 .23098 .34991 .23529 .35617 .23296 .35229 .22864 Mtetra
.35229 .22864 .35617 .23296 .36244 .23062 .35857 .2263 Mtetra
.35857 .2263 .36244 .23062 .36873 .22828 .36487 .22395 Mtetra
.36487 .22395 .36873 .22828 .37503 .22594 .37118 .22159 Mtetra
.37118 .22159 .37503 .22594 .38134 .22359 .37751 .21923 Mtetra
.37751 .21923 .38134 .22359 .38768 .22123 .38385 .21687 Mtetra
.663 .741 .908 r
.38385 .21687 .38768 .22123 .39402 .21888 .3902 .21451 Mtetra
.661 .74 .908 r
.3902 .21451 .39402 .21888 .40038 .21656 .39657 .21217 Mtetra
.657 .738 .91 r
.39657 .21217 .40038 .21656 .40675 .2143 .40295 .2099 Mtetra
.645 .734 .914 r
.40295 .2099 .40675 .2143 .41314 .21222 .40934 .20781 Mtetra
.62 .726 .922 r
.40934 .20781 .41314 .21222 .41952 .21048 .41574 .20607 Mtetra
.571 .706 .933 r
.41574 .20607 .41952 .21048 .42591 .20938 .42213 .20495 Mtetra
.481 .666 .944 r
.42213 .20495 .42591 .20938 .43228 .20923 .42851 .20479 Mtetra
.341 .593 .938 r
.42851 .20479 .43228 .20923 .43865 .21027 .43488 .20582 Mtetra
.179 .496 .906 r
.43488 .20582 .43865 .21027 .44501 .21245 .44125 .208 Mtetra
.084 .434 .875 r
.44125 .208 .44501 .21245 .45139 .21527 .44764 .21081 Mtetra
.143 .473 .895 r
.44764 .21081 .45139 .21527 .45783 .21772 .45407 .21325 Mtetra
.364 .606 .941 r
.45407 .21325 .45783 .21772 .46432 .21859 .46058 .21412 Mtetra
.61 .724 .926 r
.46058 .21412 .46432 .21859 .4709 .21696 .46716 .21247 Mtetra
.758 .771 .864 r
.46716 .21247 .4709 .21696 .47753 .21257 .47381 .20807 Mtetra
.823 .782 .814 r
.47381 .20807 .47753 .21257 .4842 .206 .48049 .2015 Mtetra
.845 .784 .792 r
.48049 .2015 .4842 .206 .49089 .19838 .48719 .19388 Mtetra
.843 .784 .795 r
.48719 .19388 .49089 .19838 .49756 .19086 .49388 .18638 Mtetra
.823 .785 .816 r
.49388 .18638 .49756 .19086 .50422 .18422 .50056 .17986 Mtetra
.787 .785 .851 r
.50056 .17986 .50422 .18422 .51088 .17873 .50723 .1747 Mtetra
.736 .791 .897 r
.50723 .1747 .51088 .17873 .51753 .17419 .51389 .17094 Mtetra
.652 .813 .961 r
.51389 .17094 .51753 .17419 .52419 .1704 .52057 .16857 Mtetra
.423 .805 .991 r
.52057 .16857 .52419 .1704 .53087 .16792 .52726 .16763 Mtetra
.067 0 0 r
.52726 .16763 .53087 .16792 .53756 .16543 .53398 .16823 Mtetra
.484 0 0 r
.53398 .16823 .53756 .16543 .54426 .16293 .54074 .17036 Mtetra
.569 .148 .203 r
.54074 .17036 .54426 .16293 .55099 .16043 .54754 .17362 Mtetra
.563 .203 .315 r
.54754 .17362 .55099 .16043 .55773 .15792 .55439 .17708 Mtetra
.532 .207 .362 r
.55439 .17708 .55773 .15792 .56448 .1554 .56127 .17938 Mtetra
.49 .187 .379 r
.56127 .17938 .56448 .1554 .57126 .15288 .56816 .17922 Mtetra
.44 .152 .378 r
.56816 .17922 .57126 .15288 .57804 .15035 .57502 .17588 Mtetra
.381 .102 .36 r
.57502 .17588 .57804 .15035 .58485 .14782 .58183 .16962 Mtetra
.309 .032 .321 r
.58183 .16962 .58485 .14782 .59167 .14528 .58861 .16149 Mtetra
.209 0 .243 r
.58861 .16149 .59167 .14528 .59851 .14273 .59536 .1529 Mtetra
.046 0 .079 r
.59536 .1529 .59851 .14273 .60537 .14018 .60213 .14504 Mtetra
0 0 0 r
.60213 .14504 .60537 .14018 .61224 .13762 .60892 .13857 Mtetra
.613 .948 .78 r
.60892 .13857 .61224 .13762 .61913 .13506 .61577 .13367 Mtetra
.672 .938 .966 r
.61577 .13367 .61913 .13506 .62606 .133 .62267 .13026 Mtetra
.597 .836 .989 r
.62267 .13026 .62606 .133 .63305 .13217 .62963 .12825 Mtetra
.499 .716 .969 r
.62963 .12825 .63305 .13217 .64009 .13211 .63666 .12765 Mtetra
.374 .616 .945 r
.63666 .12765 .64009 .13211 .64721 .13315 .64379 .12847 Mtetra
.249 .527 .916 r
.64379 .12847 .64721 .13315 .65441 .13529 .65099 .13052 Mtetra
.183 .48 .896 r
.65099 .13052 .65441 .13529 .66168 .138 .65827 .1332 Mtetra
.237 .514 .91 r
.65827 .1332 .66168 .138 .66898 .14025 .66557 .13544 Mtetra
.415 .621 .937 r
.66557 .13544 .66898 .14025 .67622 .14084 .67282 .13602 Mtetra
.624 .727 .921 r
.67282 .13602 .67622 .14084 .68337 .13885 .67998 .13401 Mtetra
.765 .78 .865 r
.67998 .13401 .68337 .13885 .69038 .13408 .687 .12923 Mtetra
.832 .796 .817 r
.687 .12923 .69038 .13408 .69727 .12717 .69391 .1223 Mtetra
.855 .799 .795 r
.69391 .1223 .69727 .12717 .7041 .11928 .70076 .11439 Mtetra
.852 .799 .799 r
.70076 .11439 .7041 .11928 .71093 .11155 .70761 .10665 Mtetra
.828 .795 .82 r
.70761 .10665 .71093 .11155 .71782 .10479 .71452 .09987 Mtetra
.791 .786 .848 r
.71452 .09987 .71782 .10479 .72479 .09926 .7215 .09433 Mtetra
.75 .774 .873 r
.7215 .09433 .72479 .09926 .73185 .09484 .72857 .08989 Mtetra
.714 .761 .89 r
.72857 .08989 .73185 .09484 .73897 .09122 .73571 .08626 Mtetra
.689 .751 .899 r
.73571 .08626 .73897 .09122 .74614 .08808 .7429 .08311 Mtetra
.664 .741 .907 r
.10268 .31632 .1069 .32027 .11261 .31813 .1084 .31418 Mtetra
.1084 .31418 .11261 .31813 .11834 .316 .11413 .31203 Mtetra
.11413 .31203 .11834 .316 .12408 .31385 .11988 .30988 Mtetra
.11988 .30988 .12408 .31385 .12984 .3117 .12565 .30772 Mtetra
.12565 .30772 .12984 .3117 .13561 .30955 .13142 .30556 Mtetra
.13142 .30556 .13561 .30955 .14139 .30739 .13721 .30339 Mtetra
.13721 .30339 .14139 .30739 .14718 .30523 .14301 .30122 Mtetra
.14301 .30122 .14718 .30523 .15299 .30306 .14882 .29904 Mtetra
.14882 .29904 .15299 .30306 .15881 .30089 .15465 .29686 Mtetra
.15465 .29686 .15881 .30089 .16464 .29871 .16049 .29467 Mtetra
.16049 .29467 .16464 .29871 .17049 .29653 .16635 .29248 Mtetra
.16635 .29248 .17049 .29653 .17635 .29434 .17221 .29028 Mtetra
.17221 .29028 .17635 .29434 .18222 .29214 .17809 .28808 Mtetra
.17809 .28808 .18222 .29214 .18811 .28995 .18399 .28588 Mtetra
.18399 .28588 .18811 .28995 .19401 .28774 .1899 .28366 Mtetra
.1899 .28366 .19401 .28774 .19992 .28554 .19582 .28145 Mtetra
.19582 .28145 .19992 .28554 .20585 .28332 .20175 .27922 Mtetra
.20175 .27922 .20585 .28332 .21179 .2811 .2077 .277 Mtetra
.2077 .277 .21179 .2811 .21774 .27888 .21366 .27476 Mtetra
.21366 .27476 .21774 .27888 .22371 .27665 .21964 .27253 Mtetra
.21964 .27253 .22371 .27665 .22969 .27442 .22563 .27028 Mtetra
.22563 .27028 .22969 .27442 .23569 .27218 .23163 .26803 Mtetra
.23163 .26803 .23569 .27218 .2417 .26994 .23765 .26578 Mtetra
.23765 .26578 .2417 .26994 .24772 .26769 .24368 .26352 Mtetra
.24368 .26352 .24772 .26769 .25376 .26543 .24973 .26126 Mtetra
.24973 .26126 .25376 .26543 .25981 .26317 .25579 .25899 Mtetra
.25579 .25899 .25981 .26317 .26588 .26091 .26186 .25671 Mtetra
.26186 .25671 .26588 .26091 .27196 .25864 .26795 .25444 Mtetra
.26795 .25444 .27196 .25864 .27805 .25636 .27405 .25215 Mtetra
.27405 .25215 .27805 .25636 .28416 .25408 .28017 .24986 Mtetra
.28017 .24986 .28416 .25408 .29028 .2518 .2863 .24756 Mtetra
.2863 .24756 .29028 .2518 .29641 .24951 .29244 .24526 Mtetra
.29244 .24526 .29641 .24951 .30256 .24721 .2986 .24296 Mtetra
.2986 .24296 .30256 .24721 .30873 .24491 .30478 .24065 Mtetra
.30478 .24065 .30873 .24491 .31491 .2426 .31096 .23833 Mtetra
.31096 .23833 .31491 .2426 .3211 .24029 .31717 .23601 Mtetra
.31717 .23601 .3211 .24029 .32731 .23797 .32338 .23368 Mtetra
.32338 .23368 .32731 .23797 .33353 .23565 .32961 .23134 Mtetra
.32961 .23134 .33353 .23565 .33977 .23332 .33586 .229 Mtetra
.33586 .229 .33977 .23332 .34602 .23098 .34212 .22666 Mtetra
.34212 .22666 .34602 .23098 .35229 .22864 .3484 .22431 Mtetra
.3484 .22431 .35229 .22864 .35857 .2263 .35469 .22195 Mtetra
.35469 .22195 .35857 .2263 .36487 .22395 .36099 .21959 Mtetra
.36099 .21959 .36487 .22395 .37118 .22159 .36731 .21723 Mtetra
.36731 .21723 .37118 .22159 .37751 .21923 .37365 .21486 Mtetra
.37365 .21486 .37751 .21923 .38385 .21687 .38 .21248 Mtetra
.663 .741 .908 r
.38 .21248 .38385 .21687 .3902 .21451 .38637 .21011 Mtetra
.661 .74 .908 r
.38637 .21011 .3902 .21451 .39657 .21217 .39274 .20776 Mtetra
.657 .738 .91 r
.39274 .20776 .39657 .21217 .40295 .2099 .39914 .20548 Mtetra
.646 .734 .914 r
.39914 .20548 .40295 .2099 .40934 .20781 .40554 .20337 Mtetra
.622 .725 .921 r
.40554 .20337 .40934 .20781 .41574 .20607 .41194 .20159 Mtetra
.575 .706 .931 r
.41194 .20159 .41574 .20607 .42213 .20495 .41834 .20043 Mtetra
.491 .666 .94 r
.41834 .20043 .42213 .20495 .42851 .20479 .42473 .20018 Mtetra
.364 .596 .935 r
.42473 .20018 .42851 .20479 .43488 .20582 .43111 .20109 Mtetra
.224 .508 .908 r
.43111 .20109 .43488 .20582 .44125 .208 .43749 .20311 Mtetra
.152 .454 .883 r
.43749 .20311 .44125 .208 .44764 .21081 .44388 .20574 Mtetra
.218 .486 .895 r
.44388 .20574 .44764 .21081 .45407 .21325 .45032 .20802 Mtetra
.411 .589 .916 r
.45032 .20802 .45407 .21325 .46058 .21412 .45683 .20877 Mtetra
.614 .683 .891 r
.45683 .20877 .46058 .21412 .46716 .21247 .46342 .20709 Mtetra
.742 .729 .84 r
.46342 .20709 .46716 .21247 .47381 .20807 .47008 .20274 Mtetra
.804 .747 .8 r
.47008 .20274 .47381 .20807 .48049 .2015 .47678 .19629 Mtetra
.828 .757 .784 r
.47678 .19629 .48049 .2015 .48719 .19388 .48349 .18883 Mtetra
.829 .763 .789 r
.48349 .18883 .48719 .19388 .49388 .18638 .49019 .1815 Mtetra
.811 .767 .812 r
.49019 .1815 .49388 .18638 .50056 .17986 .49688 .17516 Mtetra
.773 .768 .848 r
.49688 .17516 .50056 .17986 .50723 .1747 .50356 .17023 Mtetra
.711 .763 .893 r
.50356 .17023 .50723 .1747 .51389 .17094 .51024 .16689 Mtetra
.599 .746 .947 r
.51024 .16689 .51389 .17094 .52057 .16857 .51692 .1653 Mtetra
.338 .668 .975 r
.51692 .1653 .52057 .16857 .52726 .16763 .52363 .16576 Mtetra
0 .33 .697 r
.52363 .16576 .52726 .16763 .53398 .16823 .53036 .16864 Mtetra
.643 .089 0 r
.53036 .16864 .53398 .16823 .54074 .17036 .53715 .17404 Mtetra
.714 .246 .138 r
.53715 .17404 .54074 .17036 .54754 .17362 .54401 .18136 Mtetra
.685 .273 .26 r
.54401 .18136 .54754 .17362 .55439 .17708 .55093 .18903 Mtetra
.616 .242 .311 r
.55093 .18903 .55439 .17708 .56127 .17938 .55789 .19475 Mtetra
.514 .17 .322 r
.55789 .19475 .56127 .17938 .56816 .17922 .56485 .19627 Mtetra
.376 .061 .299 r
.56485 .19627 .56816 .17922 .57502 .17588 .57176 .19235 Mtetra
.196 0 .236 r
.57176 .19235 .57502 .17588 .58183 .16962 .57859 .18343 Mtetra
0 0 .119 r
.57859 .18343 .58183 .16962 .58861 .16149 .58535 .17134 Mtetra
0 0 0 r
.58535 .17134 .58861 .16149 .59536 .1529 .59206 .15849 Mtetra
.624 .797 .364 r
.59206 .15849 .59536 .1529 .60213 .14504 .59878 .14688 Mtetra
.841 .976 .672 r
.59878 .14688 .60213 .14504 .60892 .13857 .60553 .1376 Mtetra
.864 .973 .858 r
.60553 .1376 .60892 .13857 .61577 .13367 .61234 .13086 Mtetra
.776 .882 .923 r
.61234 .13086 .61577 .13367 .62267 .13026 .61922 .12637 Mtetra
.664 .789 .941 r
.61922 .12637 .62267 .13026 .62963 .12825 .62618 .12377 Mtetra
.544 .705 .945 r
.62618 .12377 .62963 .12825 .63666 .12765 .63321 .12283 Mtetra
.412 .618 .936 r
.63321 .12283 .63666 .12765 .64379 .12847 .64033 .12343 Mtetra
.293 .536 .913 r
.64033 .12343 .64379 .12847 .65099 .13052 .64754 .12528 Mtetra
.238 .491 .895 r
.64754 .12528 .65099 .13052 .65827 .1332 .65481 .12776 Mtetra
.294 .517 .899 r
.65481 .12776 .65827 .1332 .66557 .13544 .66211 .12983 Mtetra
.45 .601 .909 r
.66211 .12983 .66557 .13544 .67282 .13602 .66936 .13029 Mtetra
.626 .686 .887 r
.66936 .13029 .67282 .13602 .67998 .13401 .67653 .12825 Mtetra
.748 .736 .841 r
.67653 .12825 .67998 .13401 .687 .12923 .68357 .12353 Mtetra
.812 .759 .803 r
.68357 .12353 .687 .12923 .69391 .1223 .6905 .11673 Mtetra
.837 .77 .787 r
.6905 .11673 .69391 .1223 .70076 .11439 .69737 .10897 Mtetra
.837 .776 .793 r
.69737 .10897 .70076 .11439 .70761 .10665 .70425 .10139 Mtetra
.818 .779 .816 r
.70425 .10139 .70761 .10665 .71452 .09987 .71118 .09473 Mtetra
.785 .775 .844 r
.71118 .09473 .71452 .09987 .7215 .09433 .71819 .08926 Mtetra
.746 .767 .87 r
.71819 .08926 .7215 .09433 .72857 .08989 .72528 .08487 Mtetra
.712 .757 .888 r
.72528 .08487 .72857 .08989 .73571 .08626 .73243 .08125 Mtetra
.688 .75 .899 r
.73243 .08125 .73571 .08626 .7429 .08311 .73963 .07811 Mtetra
.664 .741 .907 r
.09843 .31236 .10268 .31632 .1084 .31418 .10417 .31021 Mtetra
.10417 .31021 .1084 .31418 .11413 .31203 .10991 .30806 Mtetra
.10991 .30806 .11413 .31203 .11988 .30988 .11566 .30589 Mtetra
.11566 .30589 .11988 .30988 .12565 .30772 .12143 .30373 Mtetra
.12143 .30373 .12565 .30772 .13142 .30556 .12722 .30156 Mtetra
.12722 .30156 .13142 .30556 .13721 .30339 .13301 .29938 Mtetra
.13301 .29938 .13721 .30339 .14301 .30122 .13882 .2972 Mtetra
.13882 .2972 .14301 .30122 .14882 .29904 .14464 .29501 Mtetra
.14464 .29501 .14882 .29904 .15465 .29686 .15048 .29282 Mtetra
.15048 .29282 .15465 .29686 .16049 .29467 .15633 .29062 Mtetra
.15633 .29062 .16049 .29467 .16635 .29248 .16219 .28842 Mtetra
.16219 .28842 .16635 .29248 .17221 .29028 .16806 .28622 Mtetra
.16806 .28622 .17221 .29028 .17809 .28808 .17395 .284 Mtetra
.17395 .284 .17809 .28808 .18399 .28588 .17985 .28179 Mtetra
.17985 .28179 .18399 .28588 .1899 .28366 .18577 .27957 Mtetra
.18577 .27957 .1899 .28366 .19582 .28145 .1917 .27734 Mtetra
.1917 .27734 .19582 .28145 .20175 .27922 .19764 .27511 Mtetra
.19764 .27511 .20175 .27922 .2077 .277 .2036 .27287 Mtetra
.2036 .27287 .2077 .277 .21366 .27476 .20957 .27063 Mtetra
.20957 .27063 .21366 .27476 .21964 .27253 .21555 .26838 Mtetra
.21555 .26838 .21964 .27253 .22563 .27028 .22155 .26613 Mtetra
.22155 .26613 .22563 .27028 .23163 .26803 .22756 .26387 Mtetra
.22756 .26387 .23163 .26803 .23765 .26578 .23359 .26161 Mtetra
.23359 .26161 .23765 .26578 .24368 .26352 .23963 .25934 Mtetra
.23963 .25934 .24368 .26352 .24973 .26126 .24568 .25706 Mtetra
.24568 .25706 .24973 .26126 .25579 .25899 .25175 .25479 Mtetra
.25175 .25479 .25579 .25899 .26186 .25671 .25783 .2525 Mtetra
.25783 .2525 .26186 .25671 .26795 .25444 .26393 .25021 Mtetra
.26393 .25021 .26795 .25444 .27405 .25215 .27004 .24792 Mtetra
.27004 .24792 .27405 .25215 .28017 .24986 .27616 .24562 Mtetra
.27616 .24562 .28017 .24986 .2863 .24756 .2823 .24331 Mtetra
.2823 .24331 .2863 .24756 .29244 .24526 .28845 .241 Mtetra
.28845 .241 .29244 .24526 .2986 .24296 .29462 .23868 Mtetra
.29462 .23868 .2986 .24296 .30478 .24065 .3008 .23636 Mtetra
.3008 .23636 .30478 .24065 .31096 .23833 .307 .23404 Mtetra
.307 .23404 .31096 .23833 .31717 .23601 .31321 .2317 Mtetra
.31321 .2317 .31717 .23601 .32338 .23368 .31944 .22936 Mtetra
.31944 .22936 .32338 .23368 .32961 .23134 .32568 .22702 Mtetra
.32568 .22702 .32961 .23134 .33586 .229 .33193 .22467 Mtetra
.33193 .22467 .33586 .229 .34212 .22666 .3382 .22232 Mtetra
.3382 .22232 .34212 .22666 .3484 .22431 .34449 .21996 Mtetra
.34449 .21996 .3484 .22431 .35469 .22195 .35079 .21759 Mtetra
.35079 .21759 .35469 .22195 .36099 .21959 .3571 .21522 Mtetra
.3571 .21522 .36099 .21959 .36731 .21723 .36343 .21284 Mtetra
.36343 .21284 .36731 .21723 .37365 .21486 .36978 .21046 Mtetra
.36978 .21046 .37365 .21486 .38 .21248 .37614 .20808 Mtetra
.663 .741 .908 r
.37614 .20808 .38 .21248 .38637 .21011 .38251 .20569 Mtetra
.662 .74 .908 r
.38251 .20569 .38637 .21011 .39274 .20776 .3889 .20333 Mtetra
.657 .738 .91 r
.3889 .20333 .39274 .20776 .39914 .20548 .3953 .20103 Mtetra
.647 .735 .913 r
.3953 .20103 .39914 .20548 .40554 .20337 .40171 .19889 Mtetra
.625 .726 .919 r
.40171 .19889 .40554 .20337 .41194 .20159 .40813 .19707 Mtetra
.582 .707 .928 r
.40813 .19707 .41194 .20159 .41834 .20043 .41454 .19581 Mtetra
.507 .669 .936 r
.41454 .19581 .41834 .20043 .42473 .20018 .42094 .19542 Mtetra
.397 .606 .932 r
.42094 .19542 .42473 .20018 .43111 .20109 .42733 .19611 Mtetra
.281 .529 .911 r
.42733 .19611 .43111 .20109 .43749 .20311 .43372 .19783 Mtetra
.227 .481 .89 r
.43372 .19783 .43749 .20311 .44388 .20574 .44012 .20013 Mtetra
.291 .502 .89 r
.44012 .20013 .44388 .20574 .45032 .20802 .44657 .20209 Mtetra
.451 .578 .89 r
.44657 .20209 .45032 .20802 .45683 .20877 .45309 .20262 Mtetra
.615 .651 .862 r
.45309 .20262 .45683 .20877 .46342 .20709 .45969 .20088 Mtetra
.725 .694 .82 r
.45969 .20088 .46342 .20709 .47008 .20274 .46635 .19664 Mtetra
.784 .718 .79 r
.46635 .19664 .47008 .20274 .47678 .19629 .47306 .19043 Mtetra
.81 .732 .778 r
.47306 .19043 .47678 .19629 .48349 .18883 .47978 .18328 Mtetra
.814 .743 .786 r
.47978 .18328 .48349 .18883 .49019 .1815 .48649 .17624 Mtetra
.799 .751 .808 r
.48649 .17624 .49019 .1815 .49688 .17516 .4932 .17008 Mtetra
.766 .751 .839 r
.4932 .17008 .49688 .17516 .50356 .17023 .49989 .16518 Mtetra
.716 .737 .868 r
.49989 .16518 .50356 .17023 .51024 .16689 .50658 .16159 Mtetra
.646 .701 .887 r
.50658 .16159 .51024 .16689 .51692 .1653 .51327 .15933 Mtetra
.558 .633 .882 r
.51327 .15933 .51692 .1653 .52363 .16576 .51998 .15848 Mtetra
.464 .533 .843 r
.51998 .15848 .52363 .16576 .53036 .16864 .52671 .1592 Mtetra
.396 .431 .779 r
.52671 .1592 .53036 .16864 .53715 .17404 .53348 .16149 Mtetra
.382 .364 .715 r
.53348 .16149 .53715 .17404 .54401 .18136 .5403 .16495 Mtetra
.415 .343 .668 r
.5403 .16495 .54401 .18136 .55093 .18903 .54716 .16862 Mtetra
.47 .353 .638 r
.54716 .16862 .55093 .18903 .55789 .19475 .55405 .17108 Mtetra
.528 .378 .622 r
.55405 .17108 .55789 .19475 .56485 .19627 .56096 .17098 Mtetra
.58 .409 .615 r
.56096 .17098 .56485 .19627 .57176 .19235 .56784 .1676 Mtetra
.624 .441 .615 r
.56784 .1676 .57176 .19235 .57859 .18343 .57469 .16116 Mtetra
.66 .474 .622 r
.57469 .16116 .57859 .18343 .58535 .17134 .5815 .1528 Mtetra
.688 .509 .639 r
.5815 .1528 .58535 .17134 .59206 .15849 .58829 .14396 Mtetra
.71 .548 .668 r
.58829 .14396 .59206 .15849 .59878 .14688 .59509 .13587 Mtetra
.722 .593 .711 r
.59509 .13587 .59878 .14688 .60553 .1376 .60191 .12921 Mtetra
.718 .638 .767 r
.60191 .12921 .60553 .1376 .61234 .13086 .60878 .12416 Mtetra
.692 .673 .828 r
.60878 .12416 .61234 .13086 .61922 .12637 .6157 .12061 Mtetra
.636 .685 .879 r
.6157 .12061 .61922 .12637 .62618 .12377 .62268 .11842 Mtetra
.55 .664 .912 r
.62268 .11842 .62618 .12377 .63321 .12283 .62973 .11756 Mtetra
.44 .61 .92 r
.62973 .11756 .63321 .12283 .64033 .12343 .63685 .11802 Mtetra
.339 .545 .907 r
.63685 .11802 .64033 .12343 .64754 .12528 .64405 .1196 Mtetra
.296 .506 .891 r
.64405 .1196 .64754 .12528 .65481 .12776 .65131 .12175 Mtetra
.35 .524 .887 r
.65131 .12175 .65481 .12776 .66211 .12983 .6586 .12351 Mtetra
.481 .586 .883 r
.6586 .12351 .66211 .12983 .66936 .13029 .66585 .12376 Mtetra
.625 .654 .858 r
.66585 .12376 .66936 .13029 .67653 .12825 .67302 .12167 Mtetra
.731 .7 .821 r
.67302 .12167 .67653 .12825 .68357 .12353 .68008 .11706 Mtetra
.791 .727 .792 r
.68008 .11706 .68357 .12353 .6905 .11673 .68704 .11052 Mtetra
.818 .744 .782 r
.68704 .11052 .6905 .11673 .69737 .10897 .69395 .10308 Mtetra
.821 .756 .791 r
.69395 .10308 .69737 .10897 .70425 .10139 .70086 .09579 Mtetra
.805 .763 .814 r
.70086 .09579 .70425 .10139 .71118 .09473 .70782 .08937 Mtetra
.775 .765 .843 r
.70782 .08937 .71118 .09473 .71819 .08926 .71485 .08407 Mtetra
.74 .76 .869 r
.71485 .08407 .71819 .08926 .72528 .08487 .72196 .07977 Mtetra
.708 .754 .888 r
.72196 .07977 .72528 .08487 .73243 .08125 .72913 .0762 Mtetra
.686 .748 .898 r
.72913 .0762 .73243 .08125 .73963 .07811 .73635 .07307 Mtetra
.664 .741 .907 r
.09418 .30839 .09843 .31236 .10417 .31021 .09991 .30623 Mtetra
.09991 .30623 .10417 .31021 .10991 .30806 .10566 .30406 Mtetra
.10566 .30406 .10991 .30806 .11566 .30589 .11143 .30189 Mtetra
.11143 .30189 .11566 .30589 .12143 .30373 .1172 .29971 Mtetra
.1172 .29971 .12143 .30373 .12722 .30156 .12299 .29753 Mtetra
.12299 .29753 .12722 .30156 .13301 .29938 .1288 .29535 Mtetra
.1288 .29535 .13301 .29938 .13882 .2972 .13461 .29316 Mtetra
.13461 .29316 .13882 .2972 .14464 .29501 .14044 .29096 Mtetra
.14044 .29096 .14464 .29501 .15048 .29282 .14628 .28876 Mtetra
.14628 .28876 .15048 .29282 .15633 .29062 .15214 .28656 Mtetra
.15214 .28656 .15633 .29062 .16219 .28842 .15801 .28434 Mtetra
.15801 .28434 .16219 .28842 .16806 .28622 .16389 .28213 Mtetra
.16389 .28213 .16806 .28622 .17395 .284 .16979 .27991 Mtetra
.16979 .27991 .17395 .284 .17985 .28179 .1757 .27768 Mtetra
.1757 .27768 .17985 .28179 .18577 .27957 .18162 .27545 Mtetra
.18162 .27545 .18577 .27957 .1917 .27734 .18756 .27321 Mtetra
.18756 .27321 .1917 .27734 .19764 .27511 .19351 .27097 Mtetra
.19351 .27097 .19764 .27511 .2036 .27287 .19947 .26873 Mtetra
.19947 .26873 .2036 .27287 .20957 .27063 .20545 .26647 Mtetra
.20545 .26647 .20957 .27063 .21555 .26838 .21145 .26422 Mtetra
.21145 .26422 .21555 .26838 .22155 .26613 .21745 .26196 Mtetra
.21745 .26196 .22155 .26613 .22756 .26387 .22347 .25969 Mtetra
.22347 .25969 .22756 .26387 .23359 .26161 .22951 .25742 Mtetra
.22951 .25742 .23359 .26161 .23963 .25934 .23555 .25514 Mtetra
.23555 .25514 .23963 .25934 .24568 .25706 .24161 .25285 Mtetra
.24161 .25285 .24568 .25706 .25175 .25479 .24769 .25057 Mtetra
.24769 .25057 .25175 .25479 .25783 .2525 .25378 .24827 Mtetra
.25378 .24827 .25783 .2525 .26393 .25021 .25989 .24597 Mtetra
.25989 .24597 .26393 .25021 .27004 .24792 .266 .24367 Mtetra
.266 .24367 .27004 .24792 .27616 .24562 .27214 .24136 Mtetra
.27214 .24136 .27616 .24562 .2823 .24331 .27829 .23904 Mtetra
.27829 .23904 .2823 .24331 .28845 .241 .28445 .23672 Mtetra
.28445 .23672 .28845 .241 .29462 .23868 .29062 .23439 Mtetra
.29062 .23439 .29462 .23868 .3008 .23636 .29681 .23206 Mtetra
.29681 .23206 .3008 .23636 .307 .23404 .30302 .22973 Mtetra
.30302 .22973 .307 .23404 .31321 .2317 .30924 .22738 Mtetra
.30924 .22738 .31321 .2317 .31944 .22936 .31547 .22503 Mtetra
.31547 .22503 .31944 .22936 .32568 .22702 .32172 .22268 Mtetra
.32172 .22268 .32568 .22702 .33193 .22467 .32799 .22032 Mtetra
.32799 .22032 .33193 .22467 .3382 .22232 .33427 .21796 Mtetra
.33427 .21796 .3382 .22232 .34449 .21996 .34056 .21558 Mtetra
.34056 .21558 .34449 .21996 .35079 .21759 .34687 .21321 Mtetra
.34687 .21321 .35079 .21759 .3571 .21522 .35319 .21083 Mtetra
.35319 .21083 .3571 .21522 .36343 .21284 .35953 .20844 Mtetra
.35953 .20844 .36343 .21284 .36978 .21046 .36589 .20605 Mtetra
.36589 .20605 .36978 .21046 .37614 .20808 .37226 .20365 Mtetra
.663 .741 .908 r
.37226 .20365 .37614 .20808 .38251 .20569 .37864 .20126 Mtetra
.662 .74 .908 r
.37864 .20126 .38251 .20569 .3889 .20333 .38504 .19888 Mtetra
.658 .739 .909 r
.38504 .19888 .3889 .20333 .3953 .20103 .39145 .19656 Mtetra
.649 .735 .912 r
.39145 .19656 .3953 .20103 .40171 .19889 .39787 .19438 Mtetra
.629 .726 .918 r
.39787 .19438 .40171 .19889 .40813 .19707 .4043 .19249 Mtetra
.591 .709 .925 r
.4043 .19249 .40813 .19707 .41454 .19581 .41072 .19112 Mtetra
.526 .675 .932 r
.41072 .19112 .41454 .19581 .42094 .19542 .41713 .19052 Mtetra
.434 .62 .929 r
.41713 .19052 .42094 .19542 .42733 .19611 .42354 .1909 Mtetra
.341 .553 .912 r
.42354 .1909 .42733 .19611 .43372 .19783 .42994 .19223 Mtetra
.302 .51 .892 r
.42994 .19223 .43372 .19783 .44012 .20013 .43636 .19406 Mtetra
.358 .521 .882 r
.43636 .19406 .44012 .20013 .44657 .20209 .44283 .19559 Mtetra
.485 .573 .869 r
.44283 .19559 .44657 .20209 .45309 .20262 .44935 .19583 Mtetra
.617 .629 .84 r
.44935 .19583 .45309 .20262 .45969 .20088 .45596 .19401 Mtetra
.71 .668 .806 r
.45596 .19401 .45969 .20088 .46635 .19664 .46263 .18993 Mtetra
.765 .694 .783 r
.46263 .18993 .46635 .19664 .47306 .19043 .46934 .18406 Mtetra
.792 .712 .776 r
.46934 .18406 .47306 .19043 .47978 .18328 .47606 .17732 Mtetra
.798 .727 .786 r
.47606 .17732 .47978 .18328 .48649 .17624 .48278 .17067 Mtetra
.787 .738 .807 r
.48278 .17067 .48649 .17624 .4932 .17008 .4895 .16474 Mtetra
.764 .741 .832 r
.4895 .16474 .4932 .17008 .49989 .16518 .4962 .15978 Mtetra
.734 .73 .847 r
.4962 .15978 .49989 .16518 .50658 .16159 .5029 .15564 Mtetra
.706 .699 .841 r
.5029 .15564 .50658 .16159 .51327 .15933 .50961 .15201 Mtetra
.649 .629 .816 r
.50961 .15201 .51327 .15933 .51998 .15848 .51633 .14938 Mtetra
.631 .574 .773 r
.51633 .14938 .51998 .15848 .52671 .1592 .52306 .14684 Mtetra
.609 .508 .714 r
.52306 .14684 .52671 .1592 .53348 .16149 .52981 .1443 Mtetra
.588 .45 .661 r
.52981 .1443 .53348 .16149 .5403 .16495 .53658 .14175 Mtetra
.571 .409 .623 r
.53658 .14175 .5403 .16495 .54716 .16862 .54336 .1392 Mtetra
.56 .383 .598 r
.54336 .1392 .54716 .16862 .55405 .17108 .55016 .13664 Mtetra
.553 .368 .584 r
.55016 .13664 .55405 .17108 .56096 .17098 .55698 .13407 Mtetra
.551 .362 .579 r
.55698 .13407 .56096 .17098 .56784 .1676 .56381 .1315 Mtetra
.552 .364 .581 r
.56381 .1315 .56784 .1676 .57469 .16116 .57066 .12892 Mtetra
.556 .374 .59 r
.57066 .12892 .57469 .16116 .5815 .1528 .57753 .12633 Mtetra
.565 .394 .609 r
.57753 .12633 .5815 .1528 .58829 .14396 .58441 .12374 Mtetra
.578 .427 .64 r
.58441 .12374 .58829 .14396 .59509 .13587 .59131 .12114 Mtetra
.598 .477 .686 r
.59131 .12114 .59509 .13587 .60191 .12921 .59823 .11853 Mtetra
.62 .542 .744 r
.59823 .11853 .60191 .12921 .60878 .12416 .60517 .11592 Mtetra
.614 .59 .803 r
.60517 .11592 .60878 .12416 .6157 .12061 .61214 .11391 Mtetra
.584 .623 .857 r
.61214 .11391 .6157 .12061 .62268 .11842 .61915 .11261 Mtetra
.536 .636 .897 r
.61915 .11261 .62268 .11842 .62973 .11756 .62622 .112 Mtetra
.458 .607 .91 r
.62622 .112 .62973 .11756 .63685 .11802 .63334 .11233 Mtetra
.382 .558 .902 r
.63334 .11233 .63685 .11802 .64405 .1196 .64053 .11357 Mtetra
.353 .525 .887 r
.64053 .11357 .64405 .1196 .65131 .12175 .64778 .11527 Mtetra
.4 .534 .876 r
.64778 .11527 .65131 .12175 .6586 .12351 .65505 .1166 Mtetra
.507 .579 .862 r
.65505 .1166 .6586 .12351 .66585 .12376 .6623 .11657 Mtetra
.625 .631 .837 r
.6623 .11657 .66585 .12376 .67302 .12167 .66947 .11441 Mtetra
.715 .672 .807 r
.66947 .11441 .67302 .12167 .68008 .11706 .67655 .10998 Mtetra
.77 .701 .786 r
.67655 .10998 .68008 .11706 .68704 .11052 .68354 .10379 Mtetra
.798 .722 .781 r
.68354 .10379 .68704 .11052 .69395 .10308 .69049 .09679 Mtetra
.803 .738 .792 r
.69049 .09679 .69395 .10308 .70086 .09579 .69744 .08992 Mtetra
.79 .749 .815 r
.69744 .08992 .70086 .09579 .70782 .08937 .70443 .08384 Mtetra
.764 .755 .844 r
.70443 .08384 .70782 .08937 .71485 .08407 .7115 .07877 Mtetra
.732 .754 .87 r
.7115 .07877 .71485 .08407 .72196 .07977 .71863 .07461 Mtetra
.704 .75 .888 r
.71863 .07461 .72196 .07977 .72913 .0762 .72582 .07111 Mtetra
.684 .746 .898 r
.72582 .07111 .72913 .0762 .73635 .07307 .73305 .068 Mtetra
.664 .741 .907 r
.0899 .30439 .09418 .30839 .09991 .30623 .09565 .30222 Mtetra
.09565 .30222 .09991 .30623 .10566 .30406 .1014 .30005 Mtetra
.1014 .30005 .10566 .30406 .11143 .30189 .10717 .29787 Mtetra
.10717 .29787 .11143 .30189 .1172 .29971 .11296 .29568 Mtetra
.11296 .29568 .1172 .29971 .12299 .29753 .11875 .29349 Mtetra
.11875 .29349 .12299 .29753 .1288 .29535 .12456 .2913 Mtetra
.12456 .2913 .1288 .29535 .13461 .29316 .13039 .2891 Mtetra
.13039 .2891 .13461 .29316 .14044 .29096 .13622 .28689 Mtetra
.13622 .28689 .14044 .29096 .14628 .28876 .14207 .28468 Mtetra
.14207 .28468 .14628 .28876 .15214 .28656 .14794 .28247 Mtetra
.14794 .28247 .15214 .28656 .15801 .28434 .15382 .28025 Mtetra
.15382 .28025 .15801 .28434 .16389 .28213 .15971 .27802 Mtetra
.15971 .27802 .16389 .28213 .16979 .27991 .16561 .27579 Mtetra
.16561 .27579 .16979 .27991 .1757 .27768 .17153 .27356 Mtetra
.17153 .27356 .1757 .27768 .18162 .27545 .17746 .27132 Mtetra
.17746 .27132 .18162 .27545 .18756 .27321 .1834 .26907 Mtetra
.1834 .26907 .18756 .27321 .19351 .27097 .18936 .26682 Mtetra
.18936 .26682 .19351 .27097 .19947 .26873 .19533 .26457 Mtetra
.19533 .26457 .19947 .26873 .20545 .26647 .20132 .2623 Mtetra
.20132 .2623 .20545 .26647 .21145 .26422 .20732 .26004 Mtetra
.20732 .26004 .21145 .26422 .21745 .26196 .21334 .25777 Mtetra
.21334 .25777 .21745 .26196 .22347 .25969 .21936 .25549 Mtetra
.21936 .25549 .22347 .25969 .22951 .25742 .22541 .25321 Mtetra
.22541 .25321 .22951 .25742 .23555 .25514 .23146 .25092 Mtetra
.23146 .25092 .23555 .25514 .24161 .25285 .23753 .24862 Mtetra
.23753 .24862 .24161 .25285 .24769 .25057 .24362 .24633 Mtetra
.24362 .24633 .24769 .25057 .25378 .24827 .24971 .24402 Mtetra
.24971 .24402 .25378 .24827 .25989 .24597 .25583 .24171 Mtetra
.25583 .24171 .25989 .24597 .266 .24367 .26196 .2394 Mtetra
.26196 .2394 .266 .24367 .27214 .24136 .2681 .23708 Mtetra
.2681 .23708 .27214 .24136 .27829 .23904 .27425 .23475 Mtetra
.27425 .23475 .27829 .23904 .28445 .23672 .28042 .23242 Mtetra
.28042 .23242 .28445 .23672 .29062 .23439 .28661 .23008 Mtetra
.28661 .23008 .29062 .23439 .29681 .23206 .29281 .22774 Mtetra
.29281 .22774 .29681 .23206 .30302 .22973 .29902 .2254 Mtetra
.29902 .2254 .30302 .22973 .30924 .22738 .30525 .22304 Mtetra
.30525 .22304 .30924 .22738 .31547 .22503 .31149 .22068 Mtetra
.31149 .22068 .31547 .22503 .32172 .22268 .31775 .21832 Mtetra
.31775 .21832 .32172 .22268 .32799 .22032 .32403 .21595 Mtetra
.32403 .21595 .32799 .22032 .33427 .21796 .33031 .21357 Mtetra
.33031 .21357 .33427 .21796 .34056 .21558 .33662 .21119 Mtetra
.33662 .21119 .34056 .21558 .34687 .21321 .34294 .20881 Mtetra
.34294 .20881 .34687 .21321 .35319 .21083 .34927 .20641 Mtetra
.34927 .20641 .35319 .21083 .35953 .20844 .35562 .20402 Mtetra
.35562 .20402 .35953 .20844 .36589 .20605 .36198 .20161 Mtetra
.36198 .20161 .36589 .20605 .37226 .20365 .36836 .19921 Mtetra
.663 .741 .908 r
.36836 .19921 .37226 .20365 .37864 .20126 .37475 .1968 Mtetra
.662 .74 .908 r
.37475 .1968 .37864 .20126 .38504 .19888 .38116 .19441 Mtetra
.659 .739 .909 r
.38116 .19441 .38504 .19888 .39145 .19656 .38758 .19207 Mtetra
.651 .735 .911 r
.38758 .19207 .39145 .19656 .39787 .19438 .39401 .18985 Mtetra
.633 .728 .916 r
.39401 .18985 .39787 .19438 .4043 .19249 .40045 .18788 Mtetra
.601 .712 .922 r
.40045 .18788 .4043 .19249 .41072 .19112 .40689 .18636 Mtetra
.547 .682 .927 r
.40689 .18636 .41072 .19112 .41713 .19052 .41332 .18553 Mtetra
.473 .635 .926 r
.41332 .18553 .41713 .19052 .42354 .1909 .41974 .18555 Mtetra
.4 .579 .912 r
.41974 .18555 .42354 .1909 .42994 .19223 .42616 .1864 Mtetra
.371 .54 .892 r
.42616 .1864 .42994 .19223 .43636 .19406 .4326 .18769 Mtetra
.415 .54 .874 r
.4326 .18769 .43636 .19406 .44283 .19559 .43908 .18871 Mtetra
.514 .574 .854 r
.43908 .18871 .44283 .19559 .44935 .19583 .44562 .1886 Mtetra
.618 .616 .826 r
.44562 .1886 .44935 .19583 .45596 .19401 .45222 .18669 Mtetra
.698 .65 .798 r
.45222 .18669 .45596 .19401 .46263 .18993 .45889 .18279 Mtetra
.748 .676 .781 r
.45889 .18279 .46263 .18993 .46934 .18406 .46561 .17733 Mtetra
.774 .697 .778 r
.46561 .17733 .46934 .18406 .47606 .17732 .47233 .1711 Mtetra
.782 .715 .789 r
.47233 .1711 .47606 .17732 .48278 .17067 .47906 .16493 Mtetra
.775 .729 .81 r
.47906 .16493 .48278 .17067 .4895 .16474 .48578 .15934 Mtetra
.759 .738 .833 r
.48578 .15934 .4895 .16474 .4962 .15978 .49249 .15447 Mtetra
.745 .738 .845 r
.49249 .15447 .4962 .15978 .5029 .15564 .49921 .15005 Mtetra
.673 .702 .868 r
.49921 .15005 .5029 .15564 .50961 .15201 .50592 .14724 Mtetra
.664 .736 .904 r
.50592 .14724 .50961 .15201 .51633 .14938 .51265 .14469 Mtetra
.664 .741 .907 r
.51265 .14469 .51633 .14938 .52306 .14684 .5194 .14215 Mtetra
.5194 .14215 .52306 .14684 .52981 .1443 .52616 .13959 Mtetra
.52616 .13959 .52981 .1443 .53658 .14175 .53293 .13703 Mtetra
.53293 .13703 .53658 .14175 .54336 .1392 .53973 .13447 Mtetra
.53973 .13447 .54336 .1392 .55016 .13664 .54654 .13189 Mtetra
.54654 .13189 .55016 .13664 .55698 .13407 .55337 .12931 Mtetra
.55337 .12931 .55698 .13407 .56381 .1315 .56021 .12673 Mtetra
.56021 .12673 .56381 .1315 .57066 .12892 .56707 .12414 Mtetra
.56707 .12414 .57066 .12892 .57753 .12633 .57395 .12154 Mtetra
.57395 .12154 .57753 .12633 .58441 .12374 .58085 .11893 Mtetra
.58085 .11893 .58441 .12374 .59131 .12114 .58776 .11632 Mtetra
.58776 .11632 .59131 .12114 .59823 .11853 .59469 .1137 Mtetra
.59469 .1137 .59823 .11853 .60517 .11592 .60164 .11108 Mtetra
.60164 .11108 .60517 .11592 .61214 .11391 .6086 .10845 Mtetra
.589 .678 .902 r
.6086 .10845 .61214 .11391 .61915 .11261 .61562 .10701 Mtetra
.529 .643 .906 r
.61562 .10701 .61915 .11261 .62622 .112 .62269 .10645 Mtetra
.478 .619 .911 r
.62269 .10645 .62622 .112 .63334 .11233 .62982 .10652 Mtetra
.424 .577 .901 r
.62982 .10652 .63334 .11233 .64053 .11357 .637 .10731 Mtetra
.405 .547 .884 r
.637 .10731 .64053 .11357 .64778 .11527 .64423 .10847 Mtetra
.445 .548 .867 r
.64423 .10847 .64778 .11527 .65505 .1166 .65148 .1093 Mtetra
.53 .578 .848 r
.65148 .1093 .65505 .1166 .6623 .11657 .65872 .10893 Mtetra
.625 .618 .823 r
.65872 .10893 .6623 .11657 .66947 .11441 .66589 .10669 Mtetra
.701 .653 .799 r
.66589 .10669 .66947 .11441 .67655 .10998 .67299 .10247 Mtetra
.752 .682 .784 r
.67299 .10247 .67655 .10998 .68354 .10379 .68001 .0967 Mtetra
.778 .705 .782 r
.68001 .0967 .68354 .10379 .69049 .09679 .687 .09022 Mtetra
.785 .724 .795 r
.687 .09022 .69049 .09679 .69744 .08992 .69399 .08386 Mtetra
.775 .738 .819 r
.69399 .08386 .69744 .08992 .70443 .08384 .70103 .07819 Mtetra
.752 .746 .847 r
.70103 .07819 .70443 .08384 .7115 .07877 .70812 .0734 Mtetra
.724 .748 .872 r
.70812 .0734 .7115 .07877 .71863 .07461 .71528 .0694 Mtetra
.699 .747 .889 r
.71528 .0694 .71863 .07461 .72582 .07111 .72249 .06598 Mtetra
.681 .744 .899 r
.72249 .06598 .72582 .07111 .73305 .068 .72974 .06291 Mtetra
.664 .741 .907 r
.08561 .30038 .0899 .30439 .09565 .30222 .09136 .29821 Mtetra
.09136 .29821 .09565 .30222 .1014 .30005 .09712 .29602 Mtetra
.09712 .29602 .1014 .30005 .10717 .29787 .1029 .29383 Mtetra
.1029 .29383 .10717 .29787 .11296 .29568 .10869 .29164 Mtetra
.10869 .29164 .11296 .29568 .11875 .29349 .1145 .28944 Mtetra
.1145 .28944 .11875 .29349 .12456 .2913 .12031 .28723 Mtetra
.12031 .28723 .12456 .2913 .13039 .2891 .12615 .28503 Mtetra
.12615 .28503 .13039 .2891 .13622 .28689 .13199 .28281 Mtetra
.13199 .28281 .13622 .28689 .14207 .28468 .13785 .28059 Mtetra
.13785 .28059 .14207 .28468 .14794 .28247 .14372 .27837 Mtetra
.14372 .27837 .14794 .28247 .15382 .28025 .1496 .27614 Mtetra
.1496 .27614 .15382 .28025 .15971 .27802 .1555 .2739 Mtetra
.1555 .2739 .15971 .27802 .16561 .27579 .16141 .27166 Mtetra
.16141 .27166 .16561 .27579 .17153 .27356 .16734 .26942 Mtetra
.16734 .26942 .17153 .27356 .17746 .27132 .17328 .26717 Mtetra
.17328 .26717 .17746 .27132 .1834 .26907 .17923 .26491 Mtetra
.17923 .26491 .1834 .26907 .18936 .26682 .1852 .26265 Mtetra
.1852 .26265 .18936 .26682 .19533 .26457 .19118 .26039 Mtetra
.19118 .26039 .19533 .26457 .20132 .2623 .19717 .25811 Mtetra
.19717 .25811 .20132 .2623 .20732 .26004 .20318 .25584 Mtetra
.20318 .25584 .20732 .26004 .21334 .25777 .2092 .25356 Mtetra
.2092 .25356 .21334 .25777 .21936 .25549 .21524 .25127 Mtetra
.21524 .25127 .21936 .25549 .22541 .25321 .22129 .24898 Mtetra
.22129 .24898 .22541 .25321 .23146 .25092 .22735 .24668 Mtetra
.22735 .24668 .23146 .25092 .23753 .24862 .23343 .24438 Mtetra
.23343 .24438 .23753 .24862 .24362 .24633 .23952 .24207 Mtetra
.23952 .24207 .24362 .24633 .24971 .24402 .24563 .23975 Mtetra
.24563 .23975 .24971 .24402 .25583 .24171 .25175 .23744 Mtetra
.25175 .23744 .25583 .24171 .26196 .2394 .25789 .23511 Mtetra
.25789 .23511 .26196 .2394 .2681 .23708 .26404 .23278 Mtetra
.26404 .23278 .2681 .23708 .27425 .23475 .2702 .23044 Mtetra
.2702 .23044 .27425 .23475 .28042 .23242 .27638 .2281 Mtetra
.27638 .2281 .28042 .23242 .28661 .23008 .28258 .22576 Mtetra
.28258 .22576 .28661 .23008 .29281 .22774 .28878 .2234 Mtetra
.28878 .2234 .29281 .22774 .29902 .2254 .29501 .22105 Mtetra
.29501 .22105 .29902 .2254 .30525 .22304 .30125 .21868 Mtetra
.30125 .21868 .30525 .22304 .31149 .22068 .3075 .21631 Mtetra
.3075 .21631 .31149 .22068 .31775 .21832 .31377 .21394 Mtetra
.31377 .21394 .31775 .21832 .32403 .21595 .32005 .21156 Mtetra
.32005 .21156 .32403 .21595 .33031 .21357 .32634 .20917 Mtetra
.32634 .20917 .33031 .21357 .33662 .21119 .33266 .20678 Mtetra
.33266 .20678 .33662 .21119 .34294 .20881 .33898 .20439 Mtetra
.33898 .20439 .34294 .20881 .34927 .20641 .34533 .20198 Mtetra
.34533 .20198 .34927 .20641 .35562 .20402 .35168 .19957 Mtetra
.35168 .19957 .35562 .20402 .36198 .20161 .35806 .19716 Mtetra
.35806 .19716 .36198 .20161 .36836 .19921 .36444 .19474 Mtetra
.663 .741 .907 r
.36444 .19474 .36836 .19921 .37475 .1968 .37085 .19232 Mtetra
.662 .74 .908 r
.37085 .19232 .37475 .1968 .38116 .19441 .37727 .18992 Mtetra
.659 .739 .909 r
.37727 .18992 .38116 .19441 .38758 .19207 .3837 .18755 Mtetra
.653 .736 .911 r
.3837 .18755 .38758 .19207 .39401 .18985 .39014 .18529 Mtetra
.638 .729 .914 r
.39014 .18529 .39401 .18985 .40045 .18788 .39659 .18324 Mtetra
.612 .716 .919 r
.39659 .18324 .40045 .18788 .40689 .18636 .40304 .18157 Mtetra
.568 .69 .923 r
.40304 .18157 .40689 .18636 .41332 .18553 .40948 .18048 Mtetra
.509 .651 .922 r
.40948 .18048 .41332 .18553 .41974 .18555 .41593 .18011 Mtetra
.453 .604 .91 r
.41593 .18011 .41974 .18555 .42616 .1864 .42237 .18044 Mtetra
.431 .568 .891 r
.42237 .18044 .42616 .1864 .4326 .18769 .42883 .18115 Mtetra
.464 .561 .869 r
.42883 .18115 .4326 .18769 .43908 .18871 .43532 .18163 Mtetra
.539 .581 .845 r
.43532 .18163 .43908 .18871 .44562 .1886 .44187 .18114 Mtetra
.621 .611 .819 r
.44187 .18114 .44562 .1886 .45222 .18669 .44849 .17913 Mtetra
.688 .639 .796 r
.44849 .17913 .45222 .18669 .45889 .18279 .45516 .17544 Mtetra
.732 .664 .783 r
.45516 .17544 .45889 .18279 .46561 .17733 .46187 .17042 Mtetra
.757 .687 .784 r
.46187 .17042 .46561 .17733 .47233 .1711 .4686 .16475 Mtetra
.766 .706 .796 r
.4686 .16475 .47233 .1711 .47906 .16493 .47532 .15912 Mtetra
.761 .724 .818 r
.47532 .15912 .47906 .16493 .48578 .15934 .48205 .15399 Mtetra
.748 .738 .842 r
.48205 .15399 .48578 .15934 .49249 .15447 .48877 .14946 Mtetra
.739 .75 .861 r
.48877 .14946 .49249 .15447 .49921 .15005 .4955 .14532 Mtetra
.677 .743 .9 r
.4955 .14532 .49921 .15005 .50592 .14724 .50222 .14254 Mtetra
.664 .741 .907 r
.50222 .14254 .50592 .14724 .51265 .14469 .50896 .13999 Mtetra
.50896 .13999 .51265 .14469 .5194 .14215 .51571 .13743 Mtetra
.51571 .13743 .5194 .14215 .52616 .13959 .52248 .13486 Mtetra
.52248 .13486 .52616 .13959 .53293 .13703 .52927 .13229 Mtetra
.52927 .13229 .53293 .13703 .53973 .13447 .53608 .12971 Mtetra
.53608 .12971 .53973 .13447 .54654 .13189 .5429 .12713 Mtetra
.5429 .12713 .54654 .13189 .55337 .12931 .54974 .12453 Mtetra
.54974 .12453 .55337 .12931 .56021 .12673 .55659 .12194 Mtetra
.55659 .12194 .56021 .12673 .56707 .12414 .56347 .11933 Mtetra
.56347 .11933 .56707 .12414 .57395 .12154 .57036 .11672 Mtetra
.57036 .11672 .57395 .12154 .58085 .11893 .57726 .11411 Mtetra
.57726 .11411 .58085 .11893 .58776 .11632 .58419 .11148 Mtetra
.58419 .11148 .58776 .11632 .59469 .1137 .59113 .10885 Mtetra
.59113 .10885 .59469 .1137 .60164 .11108 .59809 .10622 Mtetra
.59809 .10622 .60164 .11108 .6086 .10845 .60507 .10357 Mtetra
.599 .713 .924 r
.60507 .10357 .6086 .10845 .61562 .10701 .61209 .10194 Mtetra
.545 .678 .926 r
.61209 .10194 .61562 .10701 .62269 .10645 .61916 .10105 Mtetra
.508 .643 .917 r
.61916 .10105 .62269 .10645 .62982 .10652 .62628 .1007 Mtetra
.467 .602 .902 r
.62628 .1007 .62982 .10652 .637 .10731 .63344 .10095 Mtetra
.454 .571 .883 r
.63344 .10095 .637 .10731 .64423 .10847 .64066 .10151 Mtetra
.485 .565 .862 r
.64066 .10151 .64423 .10847 .65148 .1093 .64789 .10179 Mtetra
.551 .583 .84 r
.64789 .10179 .65148 .1093 .65872 .10893 .65511 .10105 Mtetra
.627 .612 .816 r
.65511 .10105 .65872 .10893 .66589 .10669 .66229 .09874 Mtetra
.691 .642 .797 r
.66229 .09874 .66589 .10669 .67299 .10247 .6694 .09473 Mtetra
.735 .669 .786 r
.6694 .09473 .67299 .10247 .68001 .0967 .67646 .08943 Mtetra
.76 .693 .787 r
.67646 .08943 .68001 .0967 .687 .09022 .68349 .08351 Mtetra
.767 .713 .802 r
.68349 .08351 .687 .09022 .69399 .08386 .69053 .0777 Mtetra
.759 .729 .825 r
.69053 .0777 .69399 .08386 .70103 .07819 .6976 .07246 Mtetra
.739 .74 .852 r
.6976 .07246 .70103 .07819 .70812 .0734 .70473 .06797 Mtetra
.715 .744 .874 r
.70473 .06797 .70812 .0734 .71528 .0694 .71191 .06415 Mtetra
.694 .744 .89 r
.71191 .06415 .71528 .0694 .72249 .06598 .71914 .06082 Mtetra
.679 .743 .899 r
.71914 .06082 .72249 .06598 .72974 .06291 .72641 .05779 Mtetra
.664 .741 .907 r
.0813 .29636 .08561 .30038 .09136 .29821 .08705 .29417 Mtetra
.08705 .29417 .09136 .29821 .09712 .29602 .09283 .29198 Mtetra
.09283 .29198 .09712 .29602 .1029 .29383 .09861 .28978 Mtetra
.09861 .28978 .1029 .29383 .10869 .29164 .10441 .28757 Mtetra
.10441 .28757 .10869 .29164 .1145 .28944 .11022 .28537 Mtetra
.11022 .28537 .1145 .28944 .12031 .28723 .11605 .28315 Mtetra
.11605 .28315 .12031 .28723 .12615 .28503 .12188 .28093 Mtetra
.12188 .28093 .12615 .28503 .13199 .28281 .12774 .27871 Mtetra
.12774 .27871 .13199 .28281 .13785 .28059 .1336 .27648 Mtetra
.1336 .27648 .13785 .28059 .14372 .27837 .13948 .27425 Mtetra
.13948 .27425 .14372 .27837 .1496 .27614 .14537 .27201 Mtetra
.14537 .27201 .1496 .27614 .1555 .2739 .15128 .26976 Mtetra
.15128 .26976 .1555 .2739 .16141 .27166 .1572 .26751 Mtetra
.1572 .26751 .16141 .27166 .16734 .26942 .16313 .26526 Mtetra
.16313 .26526 .16734 .26942 .17328 .26717 .16908 .263 Mtetra
.16908 .263 .17328 .26717 .17923 .26491 .17504 .26074 Mtetra
.17504 .26074 .17923 .26491 .1852 .26265 .18101 .25846 Mtetra
.18101 .25846 .1852 .26265 .19118 .26039 .187 .25619 Mtetra
.187 .25619 .19118 .26039 .19717 .25811 .193 .25391 Mtetra
.193 .25391 .19717 .25811 .20318 .25584 .19902 .25162 Mtetra
.19902 .25162 .20318 .25584 .2092 .25356 .20505 .24933 Mtetra
.20505 .24933 .2092 .25356 .21524 .25127 .21109 .24703 Mtetra
.21109 .24703 .21524 .25127 .22129 .24898 .21715 .24473 Mtetra
.21715 .24473 .22129 .24898 .22735 .24668 .22323 .24242 Mtetra
.22323 .24242 .22735 .24668 .23343 .24438 .22931 .24011 Mtetra
.22931 .24011 .23343 .24438 .23952 .24207 .23541 .23779 Mtetra
.23541 .23779 .23952 .24207 .24563 .23975 .24153 .23547 Mtetra
.24153 .23547 .24563 .23975 .25175 .23744 .24766 .23314 Mtetra
.24766 .23314 .25175 .23744 .25789 .23511 .2538 .2308 Mtetra
.2538 .2308 .25789 .23511 .26404 .23278 .25996 .22846 Mtetra
.25996 .22846 .26404 .23278 .2702 .23044 .26614 .22612 Mtetra
.26614 .22612 .2702 .23044 .27638 .2281 .27232 .22377 Mtetra
.27232 .22377 .27638 .2281 .28258 .22576 .27853 .22141 Mtetra
.27853 .22141 .28258 .22576 .28878 .2234 .28474 .21905 Mtetra
.28474 .21905 .28878 .2234 .29501 .22105 .29097 .21668 Mtetra
.29097 .21668 .29501 .22105 .30125 .21868 .29722 .21431 Mtetra
.29722 .21431 .30125 .21868 .3075 .21631 .30348 .21193 Mtetra
.30348 .21193 .3075 .21631 .31377 .21394 .30976 .20954 Mtetra
.30976 .20954 .31377 .21394 .32005 .21156 .31605 .20715 Mtetra
.31605 .20715 .32005 .21156 .32634 .20917 .32236 .20475 Mtetra
.32236 .20475 .32634 .20917 .33266 .20678 .32868 .20235 Mtetra
.32868 .20235 .33266 .20678 .33898 .20439 .33501 .19994 Mtetra
.33501 .19994 .33898 .20439 .34533 .20198 .34137 .19753 Mtetra
.34137 .19753 .34533 .20198 .35168 .19957 .34773 .19511 Mtetra
.34773 .19511 .35168 .19957 .35806 .19716 .35412 .19269 Mtetra
.35412 .19269 .35806 .19716 .36444 .19474 .36051 .19026 Mtetra
.663 .741 .907 r
.36051 .19026 .36444 .19474 .37085 .19232 .36693 .18783 Mtetra
.663 .74 .908 r
.36693 .18783 .37085 .19232 .37727 .18992 .37335 .18541 Mtetra
.66 .739 .908 r
.37335 .18541 .37727 .18992 .3837 .18755 .37979 .18302 Mtetra
.655 .737 .91 r
.37979 .18302 .3837 .18755 .39014 .18529 .38625 .18071 Mtetra
.643 .731 .913 r
.38625 .18071 .39014 .18529 .39659 .18324 .39271 .17858 Mtetra
.622 .719 .916 r
.39271 .17858 .39659 .18324 .40304 .18157 .39917 .17676 Mtetra
.587 .698 .919 r
.39917 .17676 .40304 .18157 .40948 .18048 .40564 .17541 Mtetra
.542 .666 .918 r
.40564 .17541 .40948 .18048 .41593 .18011 .4121 .17466 Mtetra
.5 .627 .908 r
.4121 .17466 .41593 .18011 .42237 .18044 .41856 .17447 Mtetra
.482 .595 .889 r
.41856 .17447 .42237 .18044 .42883 .18115 .42504 .17459 Mtetra
.506 .583 .867 r
.42504 .17459 .42883 .18115 .43532 .18163 .43156 .17452 Mtetra
.561 .592 .842 r
.43156 .17452 .43532 .18163 .44187 .18114 .43812 .17366 Mtetra
.625 .612 .818 r
.43812 .17366 .44187 .18114 .44849 .17913 .44474 .17155 Mtetra
.68 .636 .799 r
.44474 .17155 .44849 .17913 .45516 .17544 .45141 .16806 Mtetra
.719 .659 .79 r
.45141 .16806 .45516 .17544 .46187 .17042 .45812 .16349 Mtetra
.741 .681 .792 r
.45812 .16349 .46187 .17042 .4686 .16475 .46484 .15838 Mtetra
.749 .701 .806 r
.46484 .15838 .4686 .16475 .47532 .15912 .47157 .15332 Mtetra
.744 .719 .828 r
.47157 .15332 .47532 .15912 .48205 .15399 .4783 .14869 Mtetra
.731 .735 .855 r
.4783 .14869 .48205 .15399 .48877 .14946 .48503 .14465 Mtetra
.716 .753 .881 r
.48503 .14465 .48877 .14946 .4955 .14532 .49176 .1411 Mtetra
.706 .78 .909 r
.49176 .1411 .4955 .14532 .50222 .14254 .4985 .13784 Mtetra
.665 .742 .908 r
.4985 .13784 .50222 .14254 .50896 .13999 .50525 .13526 Mtetra
.664 .741 .907 r
.50525 .13526 .50896 .13999 .51571 .13743 .51201 .13268 Mtetra
.51201 .13268 .51571 .13743 .52248 .13486 .5188 .13011 Mtetra
.5188 .13011 .52248 .13486 .52927 .13229 .5256 .12752 Mtetra
.5256 .12752 .52927 .13229 .53608 .12971 .53241 .12493 Mtetra
.53241 .12493 .53608 .12971 .5429 .12713 .53924 .12234 Mtetra
.53924 .12234 .5429 .12713 .54974 .12453 .54609 .11973 Mtetra
.54609 .11973 .54974 .12453 .55659 .12194 .55296 .11712 Mtetra
.55296 .11712 .55659 .12194 .56347 .11933 .55985 .11451 Mtetra
.55985 .11451 .56347 .11933 .57036 .11672 .56675 .11189 Mtetra
.56675 .11189 .57036 .11672 .57726 .11411 .57367 .10926 Mtetra
.57367 .10926 .57726 .11411 .58419 .11148 .5806 .10662 Mtetra
.5806 .10662 .58419 .11148 .59113 .10885 .58755 .10398 Mtetra
.58755 .10398 .59113 .10885 .59809 .10622 .59453 .10133 Mtetra
.643 .732 .914 r
.59453 .10133 .59809 .10622 .60507 .10357 .60152 .09902 Mtetra
.61 .737 .935 r
.60152 .09902 .60507 .10357 .61209 .10194 .60855 .09719 Mtetra
.581 .714 .934 r
.60855 .09719 .61209 .10194 .61916 .10105 .61562 .09576 Mtetra
.545 .669 .919 r
.61562 .09576 .61916 .10105 .62628 .1007 .62272 .09489 Mtetra
.51 .627 .902 r
.62272 .09489 .62628 .1007 .63344 .10095 .62988 .09457 Mtetra
.498 .596 .882 r
.62988 .09457 .63344 .10095 .64066 .10151 .63707 .09453 Mtetra
.52 .585 .86 r
.63707 .09453 .64066 .10151 .64789 .10179 .64429 .09426 Mtetra
.57 .593 .837 r
.64429 .09426 .64789 .10179 .65511 .10105 .6515 .09315 Mtetra
.629 .614 .816 r
.6515 .09315 .65511 .10105 .66229 .09874 .65868 .09076 Mtetra
.682 .638 .799 r
.65868 .09076 .66229 .09874 .6694 .09473 .66581 .08698 Mtetra
.721 .663 .792 r
.66581 .08698 .6694 .09473 .67646 .08943 .6729 .08213 Mtetra
.743 .686 .796 r
.6729 .08213 .67646 .08943 .68349 .08351 .67997 .07677 Mtetra
.75 .707 .811 r
.67997 .07677 .68349 .08351 .69053 .0777 .68705 .0715 Mtetra
.743 .723 .833 r
.68705 .0715 .69053 .0777 .6976 .07246 .69417 .0667 Mtetra
.727 .735 .858 r
.69417 .0667 .6976 .07246 .70473 .06797 .70133 .06252 Mtetra
.706 .74 .878 r
.70133 .06252 .70473 .06797 .71191 .06415 .70853 .05888 Mtetra
.688 .742 .892 r
.70853 .05888 .71191 .06415 .71914 .06082 .71578 .05564 Mtetra
.676 .742 .9 r
.71578 .05564 .71914 .06082 .72641 .05779 .72306 .05264 Mtetra
.664 .741 .907 r
.07697 .29231 .0813 .29636 .08705 .29417 .08273 .29012 Mtetra
.08273 .29012 .08705 .29417 .09283 .29198 .08851 .28791 Mtetra
.08851 .28791 .09283 .29198 .09861 .28978 .0943 .28571 Mtetra
.0943 .28571 .09861 .28978 .10441 .28757 .10011 .28349 Mtetra
.10011 .28349 .10441 .28757 .11022 .28537 .10593 .28128 Mtetra
.10593 .28128 .11022 .28537 .11605 .28315 .11176 .27905 Mtetra
.11176 .27905 .11605 .28315 .12188 .28093 .11761 .27682 Mtetra
.11761 .27682 .12188 .28093 .12774 .27871 .12347 .27459 Mtetra
.12347 .27459 .12774 .27871 .1336 .27648 .12934 .27235 Mtetra
.12934 .27235 .1336 .27648 .13948 .27425 .13522 .27011 Mtetra
.13522 .27011 .13948 .27425 .14537 .27201 .14112 .26786 Mtetra
.14112 .26786 .14537 .27201 .15128 .26976 .14704 .26561 Mtetra
.14704 .26561 .15128 .26976 .1572 .26751 .15296 .26335 Mtetra
.15296 .26335 .1572 .26751 .16313 .26526 .15891 .26108 Mtetra
.15891 .26108 .16313 .26526 .16908 .263 .16486 .25881 Mtetra
.16486 .25881 .16908 .263 .17504 .26074 .17083 .25654 Mtetra
.17083 .25654 .17504 .26074 .18101 .25846 .17681 .25426 Mtetra
.17681 .25426 .18101 .25846 .187 .25619 .18281 .25197 Mtetra
.18281 .25197 .187 .25619 .193 .25391 .18882 .24968 Mtetra
.18882 .24968 .193 .25391 .19902 .25162 .19484 .24739 Mtetra
.19484 .24739 .19902 .25162 .20505 .24933 .20088 .24509 Mtetra
.20088 .24509 .20505 .24933 .21109 .24703 .20693 .24278 Mtetra
.20693 .24278 .21109 .24703 .21715 .24473 .213 .24047 Mtetra
.213 .24047 .21715 .24473 .22323 .24242 .21908 .23815 Mtetra
.21908 .23815 .22323 .24242 .22931 .24011 .22518 .23583 Mtetra
.22518 .23583 .22931 .24011 .23541 .23779 .23129 .2335 Mtetra
.23129 .2335 .23541 .23779 .24153 .23547 .23741 .23116 Mtetra
.23741 .23116 .24153 .23547 .24766 .23314 .24355 .22882 Mtetra
.24355 .22882 .24766 .23314 .2538 .2308 .2497 .22648 Mtetra
.2497 .22648 .2538 .2308 .25996 .22846 .25587 .22413 Mtetra
.25587 .22413 .25996 .22846 .26614 .22612 .26205 .22177 Mtetra
.26205 .22177 .26614 .22612 .27232 .22377 .26825 .21941 Mtetra
.26825 .21941 .27232 .22377 .27853 .22141 .27446 .21704 Mtetra
.27446 .21704 .27853 .22141 .28474 .21905 .28068 .21467 Mtetra
.28068 .21467 .28474 .21905 .29097 .21668 .28692 .21229 Mtetra
.28692 .21229 .29097 .21668 .29722 .21431 .29318 .20991 Mtetra
.29318 .20991 .29722 .21431 .30348 .21193 .29945 .20752 Mtetra
.29945 .20752 .30348 .21193 .30976 .20954 .30574 .20512 Mtetra
.30574 .20512 .30976 .20954 .31605 .20715 .31204 .20272 Mtetra
.31204 .20272 .31605 .20715 .32236 .20475 .31835 .20032 Mtetra
.31835 .20032 .32236 .20475 .32868 .20235 .32468 .1979 Mtetra
.32468 .1979 .32868 .20235 .33501 .19994 .33103 .19548 Mtetra
.33103 .19548 .33501 .19994 .34137 .19753 .33739 .19306 Mtetra
.33739 .19306 .34137 .19753 .34773 .19511 .34377 .19063 Mtetra
.34377 .19063 .34773 .19511 .35412 .19269 .35016 .18819 Mtetra
.35016 .18819 .35412 .19269 .36051 .19026 .35656 .18575 Mtetra
.35656 .18575 .36051 .19026 .36693 .18783 .36299 .18331 Mtetra
.663 .74 .908 r
.36299 .18331 .36693 .18783 .37335 .18541 .36942 .18087 Mtetra
.661 .74 .908 r
.36942 .18087 .37335 .18541 .37979 .18302 .37587 .17846 Mtetra
.657 .737 .909 r
.37587 .17846 .37979 .18302 .38625 .18071 .38234 .17611 Mtetra
.647 .733 .911 r
.38234 .17611 .38625 .18071 .39271 .17858 .38881 .1739 Mtetra
.631 .723 .914 r
.38881 .1739 .39271 .17858 .39917 .17676 .39529 .17194 Mtetra
.605 .706 .916 r
.39529 .17194 .39917 .17676 .40564 .17541 .40177 .17035 Mtetra
.57 .68 .914 r
.40177 .17035 .40564 .17541 .4121 .17466 .40825 .16923 Mtetra
.538 .648 .905 r
.40825 .16923 .4121 .17466 .41856 .17447 .41474 .16855 Mtetra
.525 .62 .889 r
.41474 .16855 .41856 .17447 .42504 .17459 .42124 .16812 Mtetra
.54 .605 .867 r
.42124 .16812 .42504 .17459 .43156 .17452 .42778 .16754 Mtetra
.581 .607 .843 r
.42778 .16754 .43156 .17452 .43812 .17366 .43435 .16633 Mtetra
.63 .62 .822 r
.43435 .16633 .43812 .17366 .44474 .17155 .44098 .16412 Mtetra
.674 .638 .806 r
.44098 .16412 .44474 .17155 .45141 .16806 .44765 .16083 Mtetra
.707 .659 .799 r
.44765 .16083 .45141 .16806 .45812 .16349 .45436 .15667 Mtetra
.727 .679 .803 r
.45436 .15667 .45812 .16349 .46484 .15838 .46108 .15209 Mtetra
.734 .699 .818 r
.46108 .15209 .46484 .15838 .47157 .15332 .46781 .14756 Mtetra
.728 .716 .839 r
.46781 .14756 .47157 .15332 .4783 .14869 .47454 .1434 Mtetra
.713 .731 .865 r
.47454 .1434 .4783 .14869 .48503 .14465 .48127 .13979 Mtetra
.69 .743 .892 r
.48127 .13979 .48503 .14465 .49176 .1411 .48801 .13674 Mtetra
.659 .758 .924 r
.48801 .13674 .49176 .1411 .4985 .13784 .49475 .13427 Mtetra
.608 .785 .966 r
.49475 .13427 .4985 .13784 .50525 .13526 .50151 .1324 Mtetra
.518 .794 .996 r
.50151 .1324 .50525 .13526 .51201 .13268 .50828 .13119 Mtetra
.306 .761 .954 r
.50828 .13119 .51201 .13268 .5188 .13011 .51507 .13065 Mtetra
.064 0 0 r
.51507 .13065 .5188 .13011 .5256 .12752 .52189 .1306 Mtetra
.295 0 0 r
.52189 .1306 .5256 .12752 .53241 .12493 .52874 .13063 Mtetra
.351 0 .011 r
.52874 .13063 .53241 .12493 .53924 .12234 .53562 .13014 Mtetra
.333 0 .095 r
.53562 .13014 .53924 .12234 .54609 .11973 .54252 .12856 Mtetra
.275 0 .106 r
.54252 .12856 .54609 .11973 .55296 .11712 .54942 .12559 Mtetra
.181 0 .056 r
.54942 .12559 .55296 .11712 .55985 .11451 .55633 .12133 Mtetra
.032 0 0 r
.55633 .12133 .55985 .11451 .56675 .11189 .56324 .11625 Mtetra
0 0 0 r
.56324 .11625 .56675 .11189 .57367 .10926 .57015 .11096 Mtetra
.53 .896 .695 r
.57015 .11096 .57367 .10926 .5806 .10662 .57707 .10597 Mtetra
.711 .975 .922 r
.57707 .10597 .5806 .10662 .58755 .10398 .58401 .10159 Mtetra
.722 .901 .959 r
.58401 .10159 .58755 .10398 .59453 .10133 .59098 .09789 Mtetra
.689 .831 .951 r
.59098 .09789 .59453 .10133 .60152 .09902 .59797 .09483 Mtetra
.652 .775 .939 r
.59797 .09483 .60152 .09902 .60855 .09719 .605 .09235 Mtetra
.615 .725 .925 r
.605 .09235 .60855 .09719 .61562 .09576 .61206 .09044 Mtetra
.578 .685 .914 r
.61206 .09044 .61562 .09576 .62272 .09489 .61916 .08911 Mtetra
.547 .648 .901 r
.61916 .08911 .62272 .09489 .62988 .09457 .6263 .08826 Mtetra
.535 .619 .883 r
.6263 .08826 .62988 .09457 .63707 .09453 .63348 .08765 Mtetra
.55 .605 .861 r
.63348 .08765 .63707 .09453 .64429 .09426 .64068 .08686 Mtetra
.587 .607 .839 r
.64068 .08686 .64429 .09426 .6515 .09315 .64789 .0854 Mtetra
.633 .621 .82 r
.64789 .0854 .6515 .09315 .65868 .09076 .65507 .08293 Mtetra
.676 .64 .806 r
.65507 .08293 .65868 .09076 .66581 .08698 .66221 .07936 Mtetra
.709 .662 .801 r
.66221 .07936 .66581 .08698 .6729 .08213 .66933 .07494 Mtetra
.728 .684 .807 r
.66933 .07494 .6729 .08213 .67997 .07677 .67644 .07011 Mtetra
.735 .704 .822 r
.67644 .07011 .67997 .07677 .68705 .0715 .68356 .06535 Mtetra
.729 .72 .843 r
.68356 .06535 .68705 .0715 .69417 .0667 .69072 .06097 Mtetra
.715 .732 .864 r
.69072 .06097 .69417 .0667 .70133 .06252 .69791 .05706 Mtetra
.698 .738 .882 r
.69791 .05706 .70133 .06252 .70853 .05888 .70514 .05359 Mtetra
.683 .741 .894 r
.70514 .05359 .70853 .05888 .71578 .05564 .7124 .05044 Mtetra
.674 .741 .901 r
.7124 .05044 .71578 .05564 .72306 .05264 .7197 .04747 Mtetra
.664 .741 .907 r
.07262 .28825 .07697 .29231 .08273 .29012 .07839 .28605 Mtetra
.07839 .28605 .08273 .29012 .08851 .28791 .08418 .28383 Mtetra
.08418 .28383 .08851 .28791 .0943 .28571 .08998 .28162 Mtetra
.08998 .28162 .0943 .28571 .10011 .28349 .09579 .27939 Mtetra
.09579 .27939 .10011 .28349 .10593 .28128 .10162 .27717 Mtetra
.10162 .27717 .10593 .28128 .11176 .27905 .10746 .27493 Mtetra
.10746 .27493 .11176 .27905 .11761 .27682 .11331 .2727 Mtetra
.11331 .2727 .11761 .27682 .12347 .27459 .11918 .27045 Mtetra
.11918 .27045 .12347 .27459 .12934 .27235 .12506 .26821 Mtetra
.12506 .26821 .12934 .27235 .13522 .27011 .13095 .26595 Mtetra
.13095 .26595 .13522 .27011 .14112 .26786 .13686 .2637 Mtetra
.13686 .2637 .14112 .26786 .14704 .26561 .14278 .26143 Mtetra
.14278 .26143 .14704 .26561 .15296 .26335 .14871 .25916 Mtetra
.14871 .25916 .15296 .26335 .15891 .26108 .15466 .25689 Mtetra
.15466 .25689 .15891 .26108 .16486 .25881 .16063 .25461 Mtetra
.16063 .25461 .16486 .25881 .17083 .25654 .1666 .25233 Mtetra
.1666 .25233 .17083 .25654 .17681 .25426 .17259 .25004 Mtetra
.17259 .25004 .17681 .25426 .18281 .25197 .1786 .24774 Mtetra
.1786 .24774 .18281 .25197 .18882 .24968 .18461 .24544 Mtetra
.18461 .24544 .18882 .24968 .19484 .24739 .19065 .24313 Mtetra
.19065 .24313 .19484 .24739 .20088 .24509 .19669 .24082 Mtetra
.19669 .24082 .20088 .24509 .20693 .24278 .20275 .23851 Mtetra
.20275 .23851 .20693 .24278 .213 .24047 .20883 .23618 Mtetra
.20883 .23618 .213 .24047 .21908 .23815 .21492 .23386 Mtetra
.21492 .23386 .21908 .23815 .22518 .23583 .22102 .23152 Mtetra
.22102 .23152 .22518 .23583 .23129 .2335 .22714 .22918 Mtetra
.22714 .22918 .23129 .2335 .23741 .23116 .23327 .22684 Mtetra
.23327 .22684 .23741 .23116 .24355 .22882 .23942 .22449 Mtetra
.23942 .22449 .24355 .22882 .2497 .22648 .24558 .22214 Mtetra
.24558 .22214 .2497 .22648 .25587 .22413 .25176 .21978 Mtetra
.25176 .21978 .25587 .22413 .26205 .22177 .25795 .21741 Mtetra
.25795 .21741 .26205 .22177 .26825 .21941 .26415 .21504 Mtetra
.26415 .21504 .26825 .21941 .27446 .21704 .27037 .21266 Mtetra
.27037 .21266 .27446 .21704 .28068 .21467 .27661 .21028 Mtetra
.27661 .21028 .28068 .21467 .28692 .21229 .28286 .20789 Mtetra
.28286 .20789 .28692 .21229 .29318 .20991 .28912 .20549 Mtetra
.28912 .20549 .29318 .20991 .29945 .20752 .2954 .20309 Mtetra
.2954 .20309 .29945 .20752 .30574 .20512 .30169 .20069 Mtetra
.30169 .20069 .30574 .20512 .31204 .20272 .308 .19827 Mtetra
.308 .19827 .31204 .20272 .31835 .20032 .31433 .19586 Mtetra
.31433 .19586 .31835 .20032 .32468 .1979 .32067 .19343 Mtetra
.32067 .19343 .32468 .1979 .33103 .19548 .32702 .191 Mtetra
.32702 .191 .33103 .19548 .33739 .19306 .33339 .18857 Mtetra
.33339 .18857 .33739 .19306 .34377 .19063 .33978 .18613 Mtetra
.33978 .18613 .34377 .19063 .35016 .18819 .34618 .18368 Mtetra
.34618 .18368 .35016 .18819 .35656 .18575 .3526 .18123 Mtetra
.3526 .18123 .35656 .18575 .36299 .18331 .35903 .17878 Mtetra
.663 .74 .908 r
.35903 .17878 .36299 .18331 .36942 .18087 .36547 .17632 Mtetra
.662 .74 .908 r
.36547 .17632 .36942 .18087 .37587 .17846 .37194 .17389 Mtetra
.658 .738 .909 r
.37194 .17389 .37587 .17846 .38234 .17611 .37841 .1715 Mtetra
.651 .734 .91 r
.37841 .1715 .38234 .17611 .38881 .1739 .3849 .16922 Mtetra
.639 .727 .912 r
.3849 .16922 .38881 .1739 .39529 .17194 .39139 .16713 Mtetra
.619 .713 .913 r
.39139 .16713 .39529 .17194 .40177 .17035 .39789 .16532 Mtetra
.594 .693 .911 r
.39789 .16532 .40177 .17035 .40825 .16923 .40439 .16387 Mtetra
.57 .667 .904 r
.40439 .16387 .40825 .16923 .41474 .16855 .4109 .16276 Mtetra
.559 .643 .889 r
.4109 .16276 .41474 .16855 .42124 .16812 .41743 .16184 Mtetra
.569 .627 .87 r
.41743 .16184 .42124 .16812 .42778 .16754 .42398 .16079 Mtetra
.598 .624 .849 r
.42398 .16079 .42778 .16754 .43435 .16633 .43057 .15927 Mtetra
.635 .632 .829 r
.43057 .15927 .43435 .16633 .44098 .16412 .4372 .15698 Mtetra
.671 .645 .816 r
.4372 .15698 .44098 .16412 .44765 .16083 .44387 .15385 Mtetra
.698 .663 .812 r
.44387 .15385 .44765 .16083 .45436 .15667 .45057 .15006 Mtetra
.714 .681 .817 r
.45057 .15006 .45436 .15667 .46108 .15209 .4573 .14594 Mtetra
.72 .7 .83 r
.4573 .14594 .46108 .15209 .46781 .14756 .46403 .14187 Mtetra
.714 .715 .849 r
.46403 .14187 .46781 .14756 .47454 .1434 .47076 .13809 Mtetra
.7 .726 .871 r
.47076 .13809 .47454 .1434 .48127 .13979 .4775 .13475 Mtetra
.677 .731 .891 r
.4775 .13475 .48127 .13979 .48801 .13674 .48424 .13191 Mtetra
.646 .73 .91 r
.48424 .13191 .48801 .13674 .49475 .13427 .49099 .12961 Mtetra
.602 .722 .929 r
.49099 .12961 .49475 .13427 .50151 .1324 .49776 .12796 Mtetra
.536 .706 .949 r
.49776 .12796 .50151 .1324 .50828 .13119 .50454 .12707 Mtetra
.448 .682 .964 r
.50454 .12707 .50828 .13119 .51507 .13065 .51134 .12695 Mtetra
.353 .658 .97 r
.51134 .12695 .51507 .13065 .52189 .1306 .51817 .12742 Mtetra
.3 .661 .972 r
.51817 .12742 .52189 .1306 .52874 .13063 .52503 .12798 Mtetra
.345 .722 .985 r
.52503 .12798 .52874 .13063 .53562 .13014 .53192 .12792 Mtetra
.494 .826 .999 r
.53192 .12792 .53562 .13014 .54252 .12856 .53884 .12655 Mtetra
.665 .904 .979 r
.53884 .12655 .54252 .12856 .54942 .12559 .54576 .12349 Mtetra
.777 .923 .933 r
.54576 .12349 .54942 .12559 .55633 .12133 .55269 .11888 Mtetra
.825 .907 .896 r
.55269 .11888 .55633 .12133 .56324 .11625 .55961 .11328 Mtetra
.83 .88 .88 r
.55961 .11328 .56324 .11625 .57015 .11096 .56653 .10742 Mtetra
.81 .85 .879 r
.56653 .10742 .57015 .11096 .57707 .10597 .57346 .10193 Mtetra
.776 .819 .887 r
.57346 .10193 .57707 .10597 .58401 .10159 .58041 .09716 Mtetra
.736 .79 .896 r
.58041 .09716 .58401 .10159 .59098 .09789 .58738 .09317 Mtetra
.698 .764 .903 r
.58738 .09317 .59098 .09789 .59797 .09483 .59439 .0899 Mtetra
.664 .741 .908 r
.59439 .0899 .59797 .09483 .605 .09235 .60142 .08721 Mtetra
.632 .719 .91 r
.60142 .08721 .605 .09235 .61206 .09044 .60848 .08504 Mtetra
.601 .693 .907 r
.60848 .08504 .61206 .09044 .61916 .08911 .61558 .08335 Mtetra
.577 .665 .899 r
.61558 .08335 .61916 .08911 .6263 .08826 .62272 .08205 Mtetra
.566 .641 .884 r
.62272 .08205 .6263 .08826 .63348 .08765 .62989 .08094 Mtetra
.576 .626 .865 r
.62989 .08094 .63348 .08765 .64068 .08686 .63708 .07969 Mtetra
.603 .624 .845 r
.63708 .07969 .64068 .08686 .64789 .0854 .64427 .07793 Mtetra
.638 .632 .828 r
.64427 .07793 .64789 .0854 .65507 .08293 .65146 .07538 Mtetra
.672 .647 .817 r
.65146 .07538 .65507 .08293 .66221 .07936 .65862 .07199 Mtetra
.699 .666 .814 r
.65862 .07199 .66221 .07936 .66933 .07494 .66577 .06795 Mtetra
.715 .685 .82 r
.66577 .06795 .66933 .07494 .67644 .07011 .67291 .0636 Mtetra
.72 .704 .834 r
.67291 .0636 .67644 .07011 .68356 .06535 .68007 .0593 Mtetra
.715 .719 .853 r
.68007 .0593 .68356 .06535 .69072 .06097 .68725 .05527 Mtetra
.704 .73 .871 r
.68725 .05527 .69072 .06097 .69791 .05706 .69447 .05162 Mtetra
.69 .737 .886 r
.69447 .05162 .69791 .05706 .70514 .05359 .70173 .0483 Mtetra
.679 .74 .897 r
.70173 .0483 .70514 .05359 .7124 .05044 .70901 .04522 Mtetra
.671 .741 .902 r
.70901 .04522 .7124 .05044 .7197 .04747 .71633 .04228 Mtetra
.664 .741 .907 r
.06825 .28417 .07262 .28825 .07839 .28605 .07403 .28196 Mtetra
.07403 .28196 .07839 .28605 .08418 .28383 .07983 .27974 Mtetra
.07983 .27974 .08418 .28383 .08998 .28162 .08563 .27751 Mtetra
.08563 .27751 .08998 .28162 .09579 .27939 .09145 .27528 Mtetra
.09145 .27528 .09579 .27939 .10162 .27717 .09729 .27304 Mtetra
.09729 .27304 .10162 .27717 .10746 .27493 .10313 .2708 Mtetra
.10313 .2708 .10746 .27493 .11331 .2727 .10899 .26855 Mtetra
.10899 .26855 .11331 .2727 .11918 .27045 .11487 .2663 Mtetra
.11487 .2663 .11918 .27045 .12506 .26821 .12076 .26404 Mtetra
.12076 .26404 .12506 .26821 .13095 .26595 .12666 .26178 Mtetra
.12666 .26178 .13095 .26595 .13686 .2637 .13257 .25951 Mtetra
.13257 .25951 .13686 .2637 .14278 .26143 .1385 .25724 Mtetra
.1385 .25724 .14278 .26143 .14871 .25916 .14444 .25496 Mtetra
.14444 .25496 .14871 .25916 .15466 .25689 .1504 .25268 Mtetra
.1504 .25268 .15466 .25689 .16063 .25461 .15637 .25039 Mtetra
.15637 .25039 .16063 .25461 .1666 .25233 .16236 .24809 Mtetra
.16236 .24809 .1666 .25233 .17259 .25004 .16835 .24579 Mtetra
.16835 .24579 .17259 .25004 .1786 .24774 .17437 .24349 Mtetra
.17437 .24349 .1786 .24774 .18461 .24544 .18039 .24118 Mtetra
.18039 .24118 .18461 .24544 .19065 .24313 .18643 .23886 Mtetra
.18643 .23886 .19065 .24313 .19669 .24082 .19249 .23654 Mtetra
.19249 .23654 .19669 .24082 .20275 .23851 .19856 .23422 Mtetra
.19856 .23422 .20275 .23851 .20883 .23618 .20464 .23188 Mtetra
.20464 .23188 .20883 .23618 .21492 .23386 .21074 .22955 Mtetra
.21074 .22955 .21492 .23386 .22102 .23152 .21685 .2272 Mtetra
.21685 .2272 .22102 .23152 .22714 .22918 .22298 .22485 Mtetra
.22298 .22485 .22714 .22918 .23327 .22684 .22912 .2225 Mtetra
.22912 .2225 .23327 .22684 .23942 .22449 .23527 .22014 Mtetra
.23527 .22014 .23942 .22449 .24558 .22214 .24144 .21777 Mtetra
.24144 .21777 .24558 .22214 .25176 .21978 .24763 .2154 Mtetra
.24763 .2154 .25176 .21978 .25795 .21741 .25383 .21303 Mtetra
.25383 .21303 .25795 .21741 .26415 .21504 .26004 .21064 Mtetra
.26004 .21064 .26415 .21504 .27037 .21266 .26627 .20825 Mtetra
.26627 .20825 .27037 .21266 .27661 .21028 .27251 .20586 Mtetra
.27251 .20586 .27661 .21028 .28286 .20789 .27877 .20346 Mtetra
.27877 .20346 .28286 .20789 .28912 .20549 .28504 .20106 Mtetra
.28504 .20106 .28912 .20549 .2954 .20309 .29133 .19865 Mtetra
.29133 .19865 .2954 .20309 .30169 .20069 .29764 .19623 Mtetra
.29764 .19623 .30169 .20069 .308 .19827 .30395 .19381 Mtetra
.30395 .19381 .308 .19827 .31433 .19586 .31029 .19138 Mtetra
.31029 .19138 .31433 .19586 .32067 .19343 .31664 .18894 Mtetra
.31664 .18894 .32067 .19343 .32702 .191 .323 .1865 Mtetra
.323 .1865 .32702 .191 .33339 .18857 .32938 .18406 Mtetra
.32938 .18406 .33339 .18857 .33978 .18613 .33578 .18161 Mtetra
.33578 .18161 .33978 .18613 .34618 .18368 .34219 .17915 Mtetra
.34219 .17915 .34618 .18368 .3526 .18123 .34861 .17669 Mtetra
.34861 .17669 .3526 .18123 .35903 .17878 .35505 .17422 Mtetra
.663 .741 .907 r
.35505 .17422 .35903 .17878 .36547 .17632 .36151 .17175 Mtetra
.662 .74 .908 r
.36151 .17175 .36547 .17632 .37194 .17389 .36798 .1693 Mtetra
.66 .739 .908 r
.36798 .1693 .37194 .17389 .37841 .1715 .37447 .16688 Mtetra
.655 .736 .909 r
.37447 .16688 .37841 .1715 .3849 .16922 .38096 .16453 Mtetra
.645 .73 .91 r
.38096 .16453 .3849 .16922 .39139 .16713 .38747 .16233 Mtetra
.631 .72 .911 r
.38747 .16233 .39139 .16713 .39789 .16532 .39399 .16033 Mtetra
.613 .704 .909 r
.39399 .16033 .39789 .16532 .40439 .16387 .40051 .1586 Mtetra
.596 .684 .903 r
.40051 .1586 .40439 .16387 .4109 .16276 .40704 .15712 Mtetra
.587 .663 .891 r
.40704 .15712 .4109 .16276 .41743 .16184 .41358 .15578 Mtetra
.593 .649 .874 r
.41358 .15578 .41743 .16184 .42398 .16079 .42015 .15434 Mtetra
.613 .643 .856 r
.42015 .15434 .42398 .16079 .43057 .15927 .42676 .15255 Mtetra
.641 .646 .84 r
.42676 .15255 .43057 .15927 .4372 .15698 .4334 .15018 Mtetra
.668 .656 .829 r
.4334 .15018 .4372 .15698 .44387 .15385 .44007 .1472 Mtetra
.69 .671 .826 r
.44007 .1472 .44387 .15385 .45057 .15006 .44677 .14371 Mtetra
.704 .687 .831 r
.44677 .14371 .45057 .15006 .4573 .14594 .45349 .13999 Mtetra
.708 .703 .843 r
.45349 .13999 .4573 .14594 .46403 .14187 .46023 .13629 Mtetra
.703 .717 .859 r
.46023 .13629 .46403 .14187 .47076 .13809 .46696 .1328 Mtetra
.692 .725 .875 r
.46696 .1328 .47076 .13809 .4775 .13475 .47371 .12961 Mtetra
.677 .727 .887 r
.47371 .12961 .4775 .13475 .48424 .13191 .48046 .12674 Mtetra
.66 .72 .893 r
.48046 .12674 .48424 .13191 .49099 .12961 .48723 .12418 Mtetra
.64 .7 .89 r
.48723 .12418 .49099 .12961 .49776 .12796 .49401 .12195 Mtetra
.617 .666 .875 r
.49401 .12195 .49776 .12796 .50454 .12707 .5008 .12007 Mtetra
.594 .619 .846 r
.5008 .12007 .50454 .12707 .51134 .12695 .50761 .11854 Mtetra
.578 .567 .806 r
.50761 .11854 .51134 .12695 .51817 .12742 .51445 .11727 Mtetra
.571 .524 .764 r
.51445 .11727 .51817 .12742 .52503 .12798 .52131 .11603 Mtetra
.575 .497 .729 r
.52131 .11603 .52503 .12798 .53192 .12792 .52819 .11452 Mtetra
.587 .485 .705 r
.52819 .11452 .53192 .12792 .53884 .12655 .53509 .11243 Mtetra
.604 .488 .694 r
.53509 .11243 .53884 .12655 .54576 .12349 .542 .1096 Mtetra
.623 .502 .695 r
.542 .1096 .54576 .12349 .55269 .11888 .54893 .10609 Mtetra
.641 .526 .707 r
.54893 .10609 .55269 .11888 .55961 .11328 .55587 .10213 Mtetra
.658 .558 .73 r
.55587 .10213 .55961 .11328 .56653 .10742 .56282 .09806 Mtetra
.672 .597 .764 r
.56282 .09806 .56653 .10742 .57346 .10193 .56978 .09415 Mtetra
.679 .639 .803 r
.56978 .09415 .57346 .10193 .58041 .09716 .57675 .09056 Mtetra
.678 .676 .841 r
.57675 .09056 .58041 .09716 .58738 .09317 .58375 .08733 Mtetra
.669 .702 .872 r
.58375 .08733 .58738 .09317 .59439 .0899 .59077 .08443 Mtetra
.654 .714 .891 r
.59077 .08443 .59439 .0899 .60142 .08721 .59782 .08186 Mtetra
.636 .712 .901 r
.59782 .08186 .60142 .08721 .60848 .08504 .60489 .0796 Mtetra
.616 .699 .903 r
.60489 .0796 .60848 .08504 .61558 .08335 .61199 .07766 Mtetra
.599 .68 .898 r
.61199 .07766 .61558 .08335 .62272 .08205 .61913 .076 Mtetra
.591 .661 .886 r
.61913 .076 .62272 .08205 .62989 .08094 .62629 .07446 Mtetra
.597 .647 .87 r
.62629 .07446 .62989 .08094 .63708 .07969 .63347 .07282 Mtetra
.616 .642 .853 r
.63347 .07282 .63708 .07969 .64427 .07793 .64066 .0708 Mtetra
.643 .646 .839 r
.64066 .0708 .64427 .07793 .65146 .07538 .64785 .06819 Mtetra
.67 .658 .829 r
.64785 .06819 .65146 .07538 .65862 .07199 .65503 .06495 Mtetra
.691 .673 .828 r
.65503 .06495 .65862 .07199 .66577 .06795 .6622 .06123 Mtetra
.704 .69 .834 r
.6622 .06123 .66577 .06795 .67291 .0636 .66938 .05728 Mtetra
.708 .707 .847 r
.66938 .05728 .67291 .0636 .68007 .0593 .67657 .05336 Mtetra
.703 .72 .863 r
.67657 .05336 .68007 .0593 .68725 .05527 .68378 .04965 Mtetra
.694 .73 .878 r
.68378 .04965 .68725 .05527 .69447 .05162 .69103 .04621 Mtetra
.684 .736 .891 r
.69103 .04621 .69447 .05162 .70173 .0483 .6983 .04301 Mtetra
.675 .739 .899 r
.6983 .04301 .70173 .0483 .70901 .04522 .70561 .03999 Mtetra
.669 .74 .903 r
.70561 .03999 .70901 .04522 .71633 .04228 .71293 .03707 Mtetra
.664 .741 .907 r
.06387 .28008 .06825 .28417 .07403 .28196 .06965 .27785 Mtetra
.06965 .27785 .07403 .28196 .07983 .27974 .07545 .27562 Mtetra
.07545 .27562 .07983 .27974 .08563 .27751 .08127 .27339 Mtetra
.08127 .27339 .08563 .27751 .09145 .27528 .0871 .27115 Mtetra
.0871 .27115 .09145 .27528 .09729 .27304 .09294 .2689 Mtetra
.09294 .2689 .09729 .27304 .10313 .2708 .09879 .26665 Mtetra
.09879 .26665 .10313 .2708 .10899 .26855 .10466 .26439 Mtetra
.10466 .26439 .10899 .26855 .11487 .2663 .11054 .26213 Mtetra
.11054 .26213 .11487 .2663 .12076 .26404 .11644 .25986 Mtetra
.11644 .25986 .12076 .26404 .12666 .26178 .12235 .25759 Mtetra
.12235 .25759 .12666 .26178 .13257 .25951 .12827 .25531 Mtetra
.12827 .25531 .13257 .25951 .1385 .25724 .13421 .25303 Mtetra
.13421 .25303 .1385 .25724 .14444 .25496 .14016 .25074 Mtetra
.14016 .25074 .14444 .25496 .1504 .25268 .14612 .24845 Mtetra
.14612 .24845 .1504 .25268 .15637 .25039 .1521 .24615 Mtetra
.1521 .24615 .15637 .25039 .16236 .24809 .15809 .24384 Mtetra
.15809 .24384 .16236 .24809 .16835 .24579 .1641 .24153 Mtetra
.1641 .24153 .16835 .24579 .17437 .24349 .17012 .23922 Mtetra
.17012 .23922 .17437 .24349 .18039 .24118 .17615 .2369 Mtetra
.17615 .2369 .18039 .24118 .18643 .23886 .1822 .23457 Mtetra
.1822 .23457 .18643 .23886 .19249 .23654 .18826 .23224 Mtetra
.18826 .23224 .19249 .23654 .19856 .23422 .19434 .22991 Mtetra
.19434 .22991 .19856 .23422 .20464 .23188 .20043 .22756 Mtetra
.20043 .22756 .20464 .23188 .21074 .22955 .20654 .22521 Mtetra
.20654 .22521 .21074 .22955 .21685 .2272 .21266 .22286 Mtetra
.21266 .22286 .21685 .2272 .22298 .22485 .21879 .2205 Mtetra
.21879 .2205 .22298 .22485 .22912 .2225 .22494 .21814 Mtetra
.22494 .21814 .22912 .2225 .23527 .22014 .23111 .21577 Mtetra
.23111 .21577 .23527 .22014 .24144 .21777 .23729 .21339 Mtetra
.23729 .21339 .24144 .21777 .24763 .2154 .24348 .21101 Mtetra
.24348 .21101 .24763 .2154 .25383 .21303 .24969 .20862 Mtetra
.24969 .20862 .25383 .21303 .26004 .21064 .25591 .20623 Mtetra
.25591 .20623 .26004 .21064 .26627 .20825 .26215 .20383 Mtetra
.26215 .20383 .26627 .20825 .27251 .20586 .2684 .20143 Mtetra
.2684 .20143 .27251 .20586 .27877 .20346 .27467 .19902 Mtetra
.27467 .19902 .27877 .20346 .28504 .20106 .28095 .1966 Mtetra
.28095 .1966 .28504 .20106 .29133 .19865 .28725 .19418 Mtetra
.28725 .19418 .29133 .19865 .29764 .19623 .29356 .19175 Mtetra
.29356 .19175 .29764 .19623 .30395 .19381 .29989 .18932 Mtetra
.29989 .18932 .30395 .19381 .31029 .19138 .30623 .18688 Mtetra
.30623 .18688 .31029 .19138 .31664 .18894 .31259 .18443 Mtetra
.31259 .18443 .31664 .18894 .323 .1865 .31896 .18198 Mtetra
.31896 .18198 .323 .1865 .32938 .18406 .32535 .17953 Mtetra
.32535 .17953 .32938 .18406 .33578 .18161 .33175 .17706 Mtetra
.33175 .17706 .33578 .18161 .34219 .17915 .33817 .1746 Mtetra
.33817 .1746 .34219 .17915 .34861 .17669 .34461 .17212 Mtetra
.34461 .17212 .34861 .17669 .35505 .17422 .35106 .16964 Mtetra
.663 .741 .907 r
.35106 .16964 .35505 .17422 .36151 .17175 .35753 .16716 Mtetra
.663 .74 .908 r
.35753 .16716 .36151 .17175 .36798 .1693 .36401 .16469 Mtetra
.661 .739 .908 r
.36401 .16469 .36798 .1693 .37447 .16688 .3705 .16224 Mtetra
.657 .737 .909 r
.3705 .16224 .37447 .16688 .38096 .16453 .37701 .15984 Mtetra
.651 .733 .909 r
.37701 .15984 .38096 .16453 .38747 .16233 .38353 .15754 Mtetra
.641 .725 .909 r
.38353 .15754 .38747 .16233 .39399 .16033 .39006 .15539 Mtetra
.628 .713 .908 r
.39006 .15539 .39399 .16033 .40051 .1586 .3966 .15343 Mtetra
.615 .698 .903 r
.3966 .15343 .40051 .1586 .40704 .15712 .40315 .15164 Mtetra
.609 .681 .893 r
.40315 .15164 .40704 .15712 .41358 .15578 .40972 .14996 Mtetra
.612 .668 .88 r
.40972 .14996 .41358 .15578 .42015 .15434 .41631 .1482 Mtetra
.626 .662 .865 r
.41631 .1482 .42015 .15434 .42676 .15255 .42292 .14619 Mtetra
.646 .662 .851 r
.42292 .14619 .42676 .15255 .4334 .15018 .42957 .14376 Mtetra
.667 .669 .843 r
.42957 .14376 .4334 .15018 .44007 .1472 .43625 .14089 Mtetra
.684 .681 .841 r
.43625 .14089 .44007 .1472 .44677 .14371 .44295 .13765 Mtetra
.694 .694 .846 r
.44295 .13765 .44677 .14371 .45349 .13999 .44967 .13424 Mtetra
.697 .708 .856 r
.44967 .13424 .45349 .13999 .46023 .13629 .45641 .13084 Mtetra
.694 .72 .869 r
.45641 .13084 .46023 .13629 .46696 .1328 .46315 .12757 Mtetra
.688 .728 .881 r
.46315 .12757 .46696 .1328 .47371 .12961 .4699 .12449 Mtetra
.68 .731 .888 r
.4699 .12449 .47371 .12961 .48046 .12674 .47667 .12156 Mtetra
.674 .726 .889 r
.47667 .12156 .48046 .12674 .48723 .12418 .48345 .11873 Mtetra
.66 .709 .884 r
.48345 .11873 .48723 .12418 .49401 .12195 .49024 .11612 Mtetra
.658 .692 .871 r
.49024 .11612 .49401 .12195 .5008 .12007 .49705 .1135 Mtetra
.652 .662 .847 r
.49705 .1135 .5008 .12007 .50761 .11854 .50388 .11088 Mtetra
.643 .622 .814 r
.50388 .11088 .50761 .11854 .51445 .11727 .51072 .10824 Mtetra
.632 .582 .78 r
.51072 .10824 .51445 .11727 .52131 .11603 .51758 .10561 Mtetra
.621 .548 .751 r
.51758 .10561 .52131 .11603 .52819 .11452 .52446 .10296 Mtetra
.614 .525 .731 r
.52446 .10296 .52819 .11452 .53509 .11243 .53135 .10031 Mtetra
.61 .515 .722 r
.53135 .10031 .53509 .11243 .542 .1096 .53826 .09765 Mtetra
.611 .519 .725 r
.53826 .09765 .542 .1096 .54893 .10609 .54519 .09499 Mtetra
.617 .535 .739 r
.54519 .09499 .54893 .10609 .55587 .10213 .55214 .09232 Mtetra
.626 .564 .764 r
.55214 .09232 .55587 .10213 .56282 .09806 .5591 .08964 Mtetra
.637 .602 .797 r
.5591 .08964 .56282 .09806 .56978 .09415 .56609 .08695 Mtetra
.648 .643 .831 r
.56609 .08695 .56978 .09415 .57675 .09056 .57309 .08426 Mtetra
.655 .679 .86 r
.57309 .08426 .57675 .09056 .58375 .08733 .5801 .08156 Mtetra
.655 .701 .88 r
.5801 .08156 .58375 .08733 .59077 .08443 .58714 .07895 Mtetra
.646 .71 .894 r
.58714 .07895 .59077 .08443 .59782 .08186 .5942 .07652 Mtetra
.639 .714 .902 r
.5942 .07652 .59782 .08186 .60489 .0796 .60128 .07421 Mtetra
.628 .707 .903 r
.60128 .07421 .60489 .0796 .61199 .07766 .60839 .07207 Mtetra
.617 .694 .899 r
.60839 .07207 .61199 .07766 .61913 .076 .61553 .07011 Mtetra
.611 .679 .889 r
.61553 .07011 .61913 .076 .62629 .07446 .62268 .06823 Mtetra
.615 .666 .876 r
.62268 .06823 .62629 .07446 .63347 .07282 .62986 .06627 Mtetra
.628 .661 .862 r
.62986 .06627 .63347 .07282 .64066 .0708 .63706 .06403 Mtetra
.648 .662 .85 r
.63706 .06403 .64066 .0708 .64785 .06819 .64425 .06137 Mtetra
.668 .67 .843 r
.64425 .06137 .64785 .06819 .65503 .06495 .65144 .05826 Mtetra
.684 .683 .842 r
.65144 .05826 .65503 .06495 .6622 .06123 .65864 .05479 Mtetra
.694 .697 .848 r
.65864 .05479 .6622 .06123 .66938 .05728 .66584 .05116 Mtetra
.697 .711 .859 r
.66584 .05116 .66938 .05728 .67657 .05336 .67306 .04755 Mtetra
.693 .723 .872 r
.67306 .04755 .67657 .05336 .68378 .04965 .6803 .04409 Mtetra
.686 .731 .885 r
.6803 .04409 .68378 .04965 .69103 .04621 .68757 .04081 Mtetra
.678 .736 .894 r
.68757 .04081 .69103 .04621 .6983 .04301 .69486 .03772 Mtetra
.672 .739 .901 r
.69486 .03772 .6983 .04301 .70561 .03999 .70218 .03474 Mtetra
.668 .74 .904 r
.70218 .03474 .70561 .03999 .71293 .03707 .70953 .03184 Mtetra
.664 .741 .907 r
.05946 .27597 .06387 .28008 .06965 .27785 .06526 .27373 Mtetra
.06526 .27373 .06965 .27785 .07545 .27562 .07107 .27149 Mtetra
.07107 .27149 .07545 .27562 .08127 .27339 .07689 .26925 Mtetra
.07689 .26925 .08127 .27339 .0871 .27115 .08272 .26699 Mtetra
.08272 .26699 .0871 .27115 .09294 .2689 .08857 .26474 Mtetra
.08857 .26474 .09294 .2689 .09879 .26665 .09443 .26248 Mtetra
.09443 .26248 .09879 .26665 .10466 .26439 .10031 .26021 Mtetra
.10031 .26021 .10466 .26439 .11054 .26213 .1062 .25794 Mtetra
.1062 .25794 .11054 .26213 .11644 .25986 .1121 .25566 Mtetra
.1121 .25566 .11644 .25986 .12235 .25759 .11802 .25338 Mtetra
.11802 .25338 .12235 .25759 .12827 .25531 .12395 .25109 Mtetra
.12395 .25109 .12827 .25531 .13421 .25303 .12989 .2488 Mtetra
.12989 .2488 .13421 .25303 .14016 .25074 .13585 .2465 Mtetra
.13585 .2465 .14016 .25074 .14612 .24845 .14182 .2442 Mtetra
.14182 .2442 .14612 .24845 .1521 .24615 .14781 .24189 Mtetra
.14781 .24189 .1521 .24615 .15809 .24384 .15381 .23958 Mtetra
.15381 .23958 .15809 .24384 .1641 .24153 .15982 .23726 Mtetra
.15982 .23726 .1641 .24153 .17012 .23922 .16585 .23493 Mtetra
.16585 .23493 .17012 .23922 .17615 .2369 .17189 .2326 Mtetra
.17189 .2326 .17615 .2369 .1822 .23457 .17795 .23026 Mtetra
.17795 .23026 .1822 .23457 .18826 .23224 .18402 .22792 Mtetra
.18402 .22792 .18826 .23224 .19434 .22991 .19011 .22558 Mtetra
.19011 .22558 .19434 .22991 .20043 .22756 .19621 .22322 Mtetra
.19621 .22322 .20043 .22756 .20654 .22521 .20232 .22087 Mtetra
.20232 .22087 .20654 .22521 .21266 .22286 .20845 .2185 Mtetra
.20845 .2185 .21266 .22286 .21879 .2205 .21459 .21613 Mtetra
.21459 .21613 .21879 .2205 .22494 .21814 .22075 .21376 Mtetra
.22075 .21376 .22494 .21814 .23111 .21577 .22692 .21138 Mtetra
.22692 .21138 .23111 .21577 .23729 .21339 .23311 .20899 Mtetra
.23311 .20899 .23729 .21339 .24348 .21101 .23931 .2066 Mtetra
.23931 .2066 .24348 .21101 .24969 .20862 .24553 .2042 Mtetra
.24553 .2042 .24969 .20862 .25591 .20623 .25176 .2018 Mtetra
.25176 .2018 .25591 .20623 .26215 .20383 .25801 .19939 Mtetra
.25801 .19939 .26215 .20383 .2684 .20143 .26427 .19697 Mtetra
.26427 .19697 .2684 .20143 .27467 .19902 .27054 .19455 Mtetra
.27054 .19455 .27467 .19902 .28095 .1966 .27684 .19213 Mtetra
.27684 .19213 .28095 .1966 .28725 .19418 .28314 .18969 Mtetra
.28314 .18969 .28725 .19418 .29356 .19175 .28946 .18725 Mtetra
.28946 .18725 .29356 .19175 .29989 .18932 .2958 .18481 Mtetra
.2958 .18481 .29989 .18932 .30623 .18688 .30215 .18236 Mtetra
.30215 .18236 .30623 .18688 .31259 .18443 .30852 .1799 Mtetra
.30852 .1799 .31259 .18443 .31896 .18198 .3149 .17744 Mtetra
.3149 .17744 .31896 .18198 .32535 .17953 .3213 .17498 Mtetra
.3213 .17498 .32535 .17953 .33175 .17706 .32771 .1725 Mtetra
.32771 .1725 .33175 .17706 .33817 .1746 .33414 .17002 Mtetra
.33414 .17002 .33817 .1746 .34461 .17212 .34059 .16754 Mtetra
.34059 .16754 .34461 .17212 .35106 .16964 .34705 .16505 Mtetra
.34705 .16505 .35106 .16964 .35753 .16716 .35353 .16255 Mtetra
.663 .74 .908 r
.35353 .16255 .35753 .16716 .36401 .16469 .36002 .16006 Mtetra
.662 .74 .908 r
.36002 .16006 .36401 .16469 .3705 .16224 .36652 .15759 Mtetra
.659 .738 .908 r
.36652 .15759 .3705 .16224 .37701 .15984 .37304 .15514 Mtetra
.655 .735 .908 r
.37304 .15514 .37701 .15984 .38353 .15754 .37958 .15277 Mtetra
.648 .729 .908 r
.37958 .15277 .38353 .15754 .39006 .15539 .38612 .15049 Mtetra
.639 .721 .907 r
.38612 .15049 .39006 .15539 .3966 .15343 .39268 .14835 Mtetra
.63 .709 .903 r
.39268 .14835 .3966 .15343 .40315 .15164 .39924 .14633 Mtetra
.626 .696 .896 r
.39924 .14633 .40315 .15164 .40972 .14996 .40583 .14437 Mtetra
.628 .686 .885 r
.40583 .14437 .40972 .14996 .41631 .1482 .41243 .14236 Mtetra
.637 .679 .873 r
.41243 .14236 .41631 .1482 .42292 .14619 .41906 .14018 Mtetra
.651 .678 .863 r
.41906 .14018 .42292 .14619 .42957 .14376 .42572 .1377 Mtetra
.666 .683 .857 r
.42572 .1377 .42957 .14376 .43625 .14089 .4324 .13491 Mtetra
.679 .692 .855 r
.4324 .13491 .43625 .14089 .44295 .13765 .43911 .13187 Mtetra
.686 .703 .86 r
.43911 .13187 .44295 .13765 .44967 .13424 .44583 .1287 Mtetra
.689 .714 .868 r
.44583 .1287 .44967 .13424 .45641 .13084 .45257 .12553 Mtetra
.686 .724 .878 r
.45257 .12553 .45641 .13084 .46315 .12757 .45932 .12245 Mtetra
.682 .731 .887 r
.45932 .12245 .46315 .12757 .4699 .12449 .46608 .11947 Mtetra
.68 .736 .893 r
.46608 .11947 .4699 .12449 .47667 .12156 .47285 .11656 Mtetra
.665 .733 .9 r
.47285 .11656 .47667 .12156 .48345 .11873 .47964 .1139 Mtetra
.664 .741 .907 r
.47964 .1139 .48345 .11873 .49024 .11612 .48644 .11128 Mtetra
.48644 .11128 .49024 .11612 .49705 .1135 .49326 .10865 Mtetra
.49326 .10865 .49705 .1135 .50388 .11088 .5001 .10601 Mtetra
.5001 .10601 .50388 .11088 .51072 .10824 .50696 .10337 Mtetra
.50696 .10337 .51072 .10824 .51758 .10561 .51383 .10072 Mtetra
.51383 .10072 .51758 .10561 .52446 .10296 .52072 .09806 Mtetra
.52072 .09806 .52446 .10296 .53135 .10031 .52762 .0954 Mtetra
.52762 .0954 .53135 .10031 .53826 .09765 .53455 .09273 Mtetra
.53455 .09273 .53826 .09765 .54519 .09499 .54149 .09005 Mtetra
.54149 .09005 .54519 .09499 .55214 .09232 .54845 .08737 Mtetra
.54845 .08737 .55214 .09232 .5591 .08964 .55542 .08468 Mtetra
.55542 .08468 .5591 .08964 .56609 .08695 .56242 .08198 Mtetra
.56242 .08198 .56609 .08695 .57309 .08426 .56943 .07927 Mtetra
.56943 .07927 .57309 .08426 .5801 .08156 .57646 .07656 Mtetra
.57646 .07656 .5801 .08156 .58714 .07895 .5835 .07384 Mtetra
.653 .732 .907 r
.5835 .07384 .58714 .07895 .5942 .07652 .59057 .07131 Mtetra
.644 .724 .906 r
.59057 .07131 .5942 .07652 .60128 .07421 .59766 .0689 Mtetra
.638 .717 .905 r
.59766 .0689 .60128 .07421 .60839 .07207 .60478 .06659 Mtetra
.631 .706 .901 r
.60478 .06659 .60839 .07207 .61553 .07011 .61192 .06439 Mtetra
.627 .694 .893 r
.61192 .06439 .61553 .07011 .62268 .06823 .61908 .06224 Mtetra
.629 .684 .883 r
.61908 .06224 .62268 .06823 .62986 .06627 .62626 .06002 Mtetra
.638 .678 .872 r
.62626 .06002 .62986 .06627 .63706 .06403 .63345 .05762 Mtetra
.652 .678 .862 r
.63345 .05762 .63706 .06403 .64425 .06137 .64065 .05491 Mtetra
.667 .684 .857 r
.64065 .05491 .64425 .06137 .65144 .05826 .64786 .05189 Mtetra
.679 .693 .857 r
.64786 .05189 .65144 .05826 .65864 .05479 .65508 .04862 Mtetra
.686 .705 .862 r
.65508 .04862 .65864 .05479 .66584 .05116 .6623 .04524 Mtetra
.688 .716 .871 r
.6623 .04524 .66584 .05116 .67306 .04755 .66954 .04186 Mtetra
.685 .726 .881 r
.66954 .04186 .67306 .04755 .6803 .04409 .67681 .03859 Mtetra
.68 .733 .89 r
.67681 .03859 .6803 .04409 .68757 .04081 .6841 .03545 Mtetra
.674 .737 .898 r
.6841 .03545 .68757 .04081 .69486 .03772 .69141 .03242 Mtetra
.669 .739 .902 r
.69141 .03242 .69486 .03772 .70218 .03474 .69874 .02948 Mtetra
.667 .74 .905 r
.69874 .02948 .70218 .03474 .70953 .03184 .7061 .02659 Mtetra
.664 .741 .907 r
.05504 .27184 .05946 .27597 .06526 .27373 .06084 .26959 Mtetra
.06084 .26959 .06526 .27373 .07107 .27149 .06666 .26734 Mtetra
.06666 .26734 .07107 .27149 .07689 .26925 .07249 .26509 Mtetra
.07249 .26509 .07689 .26925 .08272 .26699 .07833 .26283 Mtetra
.07833 .26283 .08272 .26699 .08857 .26474 .08418 .26056 Mtetra
.08418 .26056 .08857 .26474 .09443 .26248 .09005 .25829 Mtetra
.09005 .25829 .09443 .26248 .10031 .26021 .09594 .25601 Mtetra
.09594 .25601 .10031 .26021 .1062 .25794 .10183 .25373 Mtetra
.10183 .25373 .1062 .25794 .1121 .25566 .10775 .25145 Mtetra
.10775 .25145 .1121 .25566 .11802 .25338 .11367 .24915 Mtetra
.11367 .24915 .11802 .25338 .12395 .25109 .11961 .24686 Mtetra
.11961 .24686 .12395 .25109 .12989 .2488 .12556 .24455 Mtetra
.12556 .24455 .12989 .2488 .13585 .2465 .13153 .24225 Mtetra
.13153 .24225 .13585 .2465 .14182 .2442 .13751 .23993 Mtetra
.13751 .23993 .14182 .2442 .14781 .24189 .1435 .23761 Mtetra
.1435 .23761 .14781 .24189 .15381 .23958 .14951 .23529 Mtetra
.14951 .23529 .15381 .23958 .15982 .23726 .15553 .23296 Mtetra
.15553 .23296 .15982 .23726 .16585 .23493 .16157 .23062 Mtetra
.16157 .23062 .16585 .23493 .17189 .2326 .16762 .22828 Mtetra
.16762 .22828 .17189 .2326 .17795 .23026 .17368 .22594 Mtetra
.17368 .22594 .17795 .23026 .18402 .22792 .17976 .22359 Mtetra
.17976 .22359 .18402 .22792 .19011 .22558 .18586 .22123 Mtetra
.18586 .22123 .19011 .22558 .19621 .22322 .19196 .21887 Mtetra
.19196 .21887 .19621 .22322 .20232 .22087 .19809 .2165 Mtetra
.19809 .2165 .20232 .22087 .20845 .2185 .20422 .21412 Mtetra
.20422 .21412 .20845 .2185 .21459 .21613 .21037 .21174 Mtetra
.21037 .21174 .21459 .21613 .22075 .21376 .21654 .20936 Mtetra
.21654 .20936 .22075 .21376 .22692 .21138 .22272 .20697 Mtetra
.22272 .20697 .22692 .21138 .23311 .20899 .22892 .20457 Mtetra
.22892 .20457 .23311 .20899 .23931 .2066 .23513 .20217 Mtetra
.23513 .20217 .23931 .2066 .24553 .2042 .24135 .19976 Mtetra
.24135 .19976 .24553 .2042 .25176 .2018 .24759 .19734 Mtetra
.24759 .19734 .25176 .2018 .25801 .19939 .25385 .19492 Mtetra
.25385 .19492 .25801 .19939 .26427 .19697 .26012 .1925 Mtetra
.26012 .1925 .26427 .19697 .27054 .19455 .2664 .19007 Mtetra
.2664 .19007 .27054 .19455 .27684 .19213 .2727 .18763 Mtetra
.2727 .18763 .27684 .19213 .28314 .18969 .27902 .18519 Mtetra
.27902 .18519 .28314 .18969 .28946 .18725 .28535 .18274 Mtetra
.28535 .18274 .28946 .18725 .2958 .18481 .2917 .18028 Mtetra
.2917 .18028 .2958 .18481 .30215 .18236 .29806 .17782 Mtetra
.29806 .17782 .30215 .18236 .30852 .1799 .30443 .17536 Mtetra
.30443 .17536 .30852 .1799 .3149 .17744 .31083 .17288 Mtetra
.31083 .17288 .3149 .17744 .3213 .17498 .31723 .1704 Mtetra
.31723 .1704 .3213 .17498 .32771 .1725 .32366 .16792 Mtetra
.32366 .16792 .32771 .1725 .33414 .17002 .3301 .16543 Mtetra
.3301 .16543 .33414 .17002 .34059 .16754 .33655 .16293 Mtetra
.33655 .16293 .34059 .16754 .34705 .16505 .34302 .16043 Mtetra
.34302 .16043 .34705 .16505 .35353 .16255 .34951 .15792 Mtetra
.663 .741 .907 r
.34951 .15792 .35353 .16255 .36002 .16006 .35601 .15542 Mtetra
.662 .74 .908 r
.35601 .15542 .36002 .16006 .36652 .15759 .36252 .15292 Mtetra
.661 .739 .908 r
.36252 .15292 .36652 .15759 .37304 .15514 .36906 .15044 Mtetra
.658 .737 .908 r
.36906 .15044 .37304 .15514 .37958 .15277 .3756 .14801 Mtetra
.653 .733 .908 r
.3756 .14801 .37958 .15277 .38612 .15049 .38216 .14564 Mtetra
.647 .726 .907 r
.38216 .14564 .38612 .15049 .39268 .14835 .38873 .14335 Mtetra
.641 .718 .903 r
.38873 .14335 .39268 .14835 .39924 .14633 .39531 .14115 Mtetra
.638 .709 .898 r
.39531 .14115 .39924 .14633 .40583 .14437 .40191 .13899 Mtetra
.639 .7 .89 r
.40191 .13899 .40583 .14437 .41243 .14236 .40853 .13679 Mtetra
.645 .695 .882 r
.40853 .13679 .41243 .14236 .41906 .14018 .41517 .13447 Mtetra
.655 .693 .874 r
.41517 .13447 .41906 .14018 .42572 .1377 .42184 .13195 Mtetra
.665 .696 .869 r
.42184 .13195 .42572 .1377 .4324 .13491 .42853 .12922 Mtetra
.674 .703 .868 r
.42853 .12922 .4324 .13491 .43911 .13187 .43524 .12632 Mtetra
.68 .711 .872 r
.43524 .12632 .43911 .13187 .44583 .1287 .44197 .12333 Mtetra
.681 .72 .879 r
.44197 .12333 .44583 .1287 .45257 .12553 .44871 .12034 Mtetra
.68 .728 .887 r
.44871 .12034 .45257 .12553 .45932 .12245 .45547 .1174 Mtetra
.677 .734 .894 r
.45547 .1174 .45932 .12245 .46608 .11947 .46223 .11454 Mtetra
.675 .739 .899 r
.46223 .11454 .46608 .11947 .47285 .11656 .46902 .11172 Mtetra
.666 .741 .906 r
.46902 .11172 .47285 .11656 .47964 .1139 .47582 .10905 Mtetra
.664 .741 .907 r
.47582 .10905 .47964 .1139 .48644 .11128 .48263 .10642 Mtetra
.48263 .10642 .48644 .11128 .49326 .10865 .48946 .10378 Mtetra
.48946 .10378 .49326 .10865 .5001 .10601 .49631 .10113 Mtetra
.49631 .10113 .5001 .10601 .50696 .10337 .50318 .09847 Mtetra
.50318 .09847 .50696 .10337 .51383 .10072 .51006 .09581 Mtetra
.51006 .09581 .51383 .10072 .52072 .09806 .51696 .09314 Mtetra
.51696 .09314 .52072 .09806 .52762 .0954 .52388 .09046 Mtetra
.52388 .09046 .52762 .0954 .53455 .09273 .53081 .08778 Mtetra
.53081 .08778 .53455 .09273 .54149 .09005 .53776 .08509 Mtetra
.53776 .08509 .54149 .09005 .54845 .08737 .54473 .08239 Mtetra
.54473 .08239 .54845 .08737 .55542 .08468 .55172 .07969 Mtetra
.55172 .07969 .55542 .08468 .56242 .08198 .55873 .07698 Mtetra
.55873 .07698 .56242 .08198 .56943 .07927 .56575 .07426 Mtetra
.56575 .07426 .56943 .07927 .57646 .07656 .57279 .07154 Mtetra
.57279 .07154 .57646 .07656 .5835 .07384 .57985 .06881 Mtetra
.656 .738 .91 r
.57985 .06881 .5835 .07384 .59057 .07131 .58693 .0662 Mtetra
.651 .733 .909 r
.58693 .0662 .59057 .07131 .59766 .0689 .59403 .06368 Mtetra
.646 .726 .906 r
.59403 .06368 .59766 .0689 .60478 .06659 .60115 .06121 Mtetra
.642 .717 .902 r
.60115 .06121 .60478 .06659 .61192 .06439 .6083 .05882 Mtetra
.639 .707 .896 r
.6083 .05882 .61192 .06439 .61908 .06224 .61546 .05645 Mtetra
.64 .699 .889 r
.61546 .05645 .61908 .06224 .62626 .06002 .62264 .05405 Mtetra
.646 .694 .88 r
.62264 .05405 .62626 .06002 .63345 .05762 .62984 .05151 Mtetra
.656 .693 .873 r
.62984 .05151 .63345 .05762 .64065 .05491 .63706 .04877 Mtetra
.666 .697 .869 r
.63706 .04877 .64065 .05491 .64786 .05189 .64428 .04581 Mtetra
.674 .704 .869 r
.64428 .04581 .64786 .05189 .65508 .04862 .65151 .04269 Mtetra
.679 .713 .874 r
.65151 .04269 .65508 .04862 .6623 .04524 .65876 .03948 Mtetra
.68 .721 .88 r
.65876 .03948 .6623 .04524 .66954 .04186 .66602 .03628 Mtetra
.678 .729 .888 r
.66602 .03628 .66954 .04186 .67681 .03859 .6733 .03315 Mtetra
.675 .734 .895 r
.6733 .03315 .67681 .03859 .6841 .03545 .68061 .0301 Mtetra
.671 .738 .9 r
.68061 .0301 .6841 .03545 .69141 .03242 .68794 .02713 Mtetra
.668 .739 .904 r
.68794 .02713 .69141 .03242 .69874 .02948 .69529 .02421 Mtetra
.666 .74 .906 r
.69529 .02421 .69874 .02948 .7061 .02659 .70266 .02132 Mtetra
.664 .741 .907 r
.0506 .26769 .05504 .27184 .06084 .26959 .05641 .26543 Mtetra
.05641 .26543 .06084 .26959 .06666 .26734 .06223 .26317 Mtetra
.06223 .26317 .06666 .26734 .07249 .26509 .06807 .26091 Mtetra
.06807 .26091 .07249 .26509 .07833 .26283 .07392 .25864 Mtetra
.07392 .25864 .07833 .26283 .08418 .26056 .07978 .25636 Mtetra
.07978 .25636 .08418 .26056 .09005 .25829 .08566 .25408 Mtetra
.08566 .25408 .09005 .25829 .09594 .25601 .09155 .2518 Mtetra
.09155 .2518 .09594 .25601 .10183 .25373 .09745 .24951 Mtetra
.09745 .24951 .10183 .25373 .10775 .25145 .10337 .24721 Mtetra
.10337 .24721 .10775 .25145 .11367 .24915 .1093 .24491 Mtetra
.1093 .24491 .11367 .24915 .11961 .24686 .11525 .2426 Mtetra
.11525 .2426 .11961 .24686 .12556 .24455 .12121 .24029 Mtetra
.12121 .24029 .12556 .24455 .13153 .24225 .12718 .23797 Mtetra
.12718 .23797 .13153 .24225 .13751 .23993 .13317 .23565 Mtetra
.13317 .23565 .13751 .23993 .1435 .23761 .13917 .23332 Mtetra
.13917 .23332 .1435 .23761 .14951 .23529 .14519 .23098 Mtetra
.14519 .23098 .14951 .23529 .15553 .23296 .15122 .22864 Mtetra
.15122 .22864 .15553 .23296 .16157 .23062 .15726 .2263 Mtetra
.15726 .2263 .16157 .23062 .16762 .22828 .16332 .22395 Mtetra
.16332 .22395 .16762 .22828 .17368 .22594 .1694 .22159 Mtetra
.1694 .22159 .17368 .22594 .17976 .22359 .17548 .21923 Mtetra
.17548 .21923 .17976 .22359 .18586 .22123 .18158 .21686 Mtetra
.18158 .21686 .18586 .22123 .19196 .21887 .1877 .21449 Mtetra
.1877 .21449 .19196 .21887 .19809 .2165 .19383 .21211 Mtetra
.19383 .21211 .19809 .2165 .20422 .21412 .19998 .20972 Mtetra
.19998 .20972 .20422 .21412 .21037 .21174 .20614 .20733 Mtetra
.20614 .20733 .21037 .21174 .21654 .20936 .21231 .20494 Mtetra
.21231 .20494 .21654 .20936 .22272 .20697 .2185 .20254 Mtetra
.2185 .20254 .22272 .20697 .22892 .20457 .22471 .20013 Mtetra
.22471 .20013 .22892 .20457 .23513 .20217 .23093 .19772 Mtetra
.23093 .19772 .23513 .20217 .24135 .19976 .23716 .1953 Mtetra
.23716 .1953 .24135 .19976 .24759 .19734 .24341 .19287 Mtetra
.24341 .19287 .24759 .19734 .25385 .19492 .24967 .19044 Mtetra
.24967 .19044 .25385 .19492 .26012 .1925 .25595 .18801 Mtetra
.25595 .18801 .26012 .1925 .2664 .19007 .26225 .18556 Mtetra
.26225 .18556 .2664 .19007 .2727 .18763 .26855 .18312 Mtetra
.26855 .18312 .2727 .18763 .27902 .18519 .27488 .18066 Mtetra
.27488 .18066 .27902 .18519 .28535 .18274 .28122 .1782 Mtetra
.28122 .1782 .28535 .18274 .2917 .18028 .28757 .17574 Mtetra
.28757 .17574 .2917 .18028 .29806 .17782 .29394 .17326 Mtetra
.29394 .17326 .29806 .17782 .30443 .17536 .30033 .17079 Mtetra
.30033 .17079 .30443 .17536 .31083 .17288 .30673 .1683 Mtetra
.30673 .1683 .31083 .17288 .31723 .1704 .31315 .16581 Mtetra
.31315 .16581 .31723 .1704 .32366 .16792 .31958 .16332 Mtetra
.31958 .16332 .32366 .16792 .3301 .16543 .32603 .16081 Mtetra
.32603 .16081 .3301 .16543 .33655 .16293 .33249 .15831 Mtetra
.33249 .15831 .33655 .16293 .34302 .16043 .33897 .15579 Mtetra
.33897 .15579 .34302 .16043 .34951 .15792 .34547 .15327 Mtetra
.34547 .15327 .34951 .15792 .35601 .15542 .35198 .15075 Mtetra
.663 .74 .907 r
.35198 .15075 .35601 .15542 .36252 .15292 .35851 .14823 Mtetra
.662 .74 .908 r
.35851 .14823 .36252 .15292 .36906 .15044 .36505 .14573 Mtetra
.66 .738 .908 r
.36505 .14573 .36906 .15044 .3756 .14801 .37161 .14325 Mtetra
.657 .735 .907 r
.37161 .14325 .3756 .14801 .38216 .14564 .37818 .14081 Mtetra
.653 .731 .906 r
.37818 .14081 .38216 .14564 .38873 .14335 .38476 .13842 Mtetra
.649 .725 .904 r
.38476 .13842 .38873 .14335 .39531 .14115 .39136 .13608 Mtetra
.647 .718 .9 r
.39136 .13608 .39531 .14115 .40191 .13899 .39797 .13377 Mtetra
.647 .712 .895 r
.39797 .13377 .40191 .13899 .40853 .13679 .40461 .13143 Mtetra
.651 .708 .889 r
.40461 .13143 .40853 .13679 .41517 .13447 .41126 .12901 Mtetra
.658 .706 .883 r
.41126 .12901 .41517 .13447 .42184 .13195 .41794 .12646 Mtetra
.665 .708 .88 r
.41794 .12646 .42184 .13195 .42853 .12922 .42463 .12377 Mtetra
.671 .713 .88 r
.42463 .12377 .42853 .12922 .43524 .12632 .43135 .12097 Mtetra
.675 .719 .882 r
.43135 .12097 .43524 .12632 .44197 .12333 .43808 .1181 Mtetra
.675 .725 .887 r
.43808 .1181 .44197 .12333 .44871 .12034 .44483 .11524 Mtetra
.674 .731 .893 r
.44483 .11524 .44871 .12034 .45547 .1174 .45159 .11241 Mtetra
.672 .736 .898 r
.45159 .11241 .45547 .1174 .46223 .11454 .45837 .10963 Mtetra
.669 .74 .903 r
.45837 .10963 .46223 .11454 .46902 .11172 .46517 .1069 Mtetra
.668 .744 .908 r
.46517 .1069 .46902 .11172 .47582 .10905 .47198 .1042 Mtetra
.665 .742 .908 r
.47198 .1042 .47582 .10905 .48263 .10642 .4788 .10153 Mtetra
.664 .741 .907 r
.4788 .10153 .48263 .10642 .48946 .10378 .48564 .09888 Mtetra
.48564 .09888 .48946 .10378 .49631 .10113 .4925 .09622 Mtetra
.4925 .09622 .49631 .10113 .50318 .09847 .49938 .09355 Mtetra
.49938 .09355 .50318 .09847 .51006 .09581 .50627 .09087 Mtetra
.50627 .09087 .51006 .09581 .51696 .09314 .51318 .08819 Mtetra
.51318 .08819 .51696 .09314 .52388 .09046 .52011 .0855 Mtetra
.52011 .0855 .52388 .09046 .53081 .08778 .52706 .08281 Mtetra
.52706 .08281 .53081 .08778 .53776 .08509 .53402 .08011 Mtetra
.53402 .08011 .53776 .08509 .54473 .08239 .541 .0774 Mtetra
.541 .0774 .54473 .08239 .55172 .07969 .548 .07468 Mtetra
.548 .07468 .55172 .07969 .55873 .07698 .55502 .07196 Mtetra
.55502 .07196 .55873 .07698 .56575 .07426 .56206 .06923 Mtetra
.56206 .06923 .56575 .07426 .57279 .07154 .56911 .06649 Mtetra
.661 .74 .908 r
.56911 .06649 .57279 .07154 .57985 .06881 .57618 .06379 Mtetra
.66 .741 .91 r
.57618 .06379 .57985 .06881 .58693 .0662 .58327 .06112 Mtetra
.657 .738 .909 r
.58327 .06112 .58693 .0662 .59403 .06368 .59038 .05848 Mtetra
.653 .731 .907 r
.59038 .05848 .59403 .06368 .60115 .06121 .59751 .0559 Mtetra
.649 .724 .904 r
.59751 .0559 .60115 .06121 .6083 .05882 .60466 .05336 Mtetra
.647 .717 .899 r
.60466 .05336 .6083 .05882 .61546 .05645 .61183 .05084 Mtetra
.648 .711 .894 r
.61183 .05084 .61546 .05645 .62264 .05405 .61902 .04829 Mtetra
.652 .707 .888 r
.61902 .04829 .62264 .05405 .62984 .05151 .62623 .04566 Mtetra
.658 .706 .883 r
.62623 .04566 .62984 .05151 .63706 .04877 .63345 .04289 Mtetra
.665 .709 .88 r
.63345 .04289 .63706 .04877 .64428 .04581 .64069 .03997 Mtetra
.671 .713 .88 r
.64069 .03997 .64428 .04581 .65151 .04269 .64794 .03695 Mtetra
.674 .72 .883 r
.64794 .03695 .65151 .04269 .65876 .03948 .6552 .03387 Mtetra
.675 .726 .888 r
.6552 .03387 .65876 .03948 .66602 .03628 .66248 .03079 Mtetra
.673 .732 .894 r
.66248 .03079 .66602 .03628 .6733 .03315 .66979 .02775 Mtetra
.671 .736 .899 r
.66979 .02775 .6733 .03315 .68061 .0301 .67711 .02476 Mtetra
.668 .738 .902 r
.67711 .02476 .68061 .0301 .68794 .02713 .68445 .02182 Mtetra
.666 .74 .905 r
.68445 .02182 .68794 .02713 .69529 .02421 .69182 .01892 Mtetra
.665 .74 .906 r
.69182 .01892 .69529 .02421 .70266 .02132 .69921 .01603 Mtetra
.664 .741 .907 r
.04614 .26352 .0506 .26769 .05641 .26543 .05195 .26126 Mtetra
.05195 .26126 .05641 .26543 .06223 .26317 .05778 .25899 Mtetra
.05778 .25899 .06223 .26317 .06807 .26091 .06363 .25671 Mtetra
.06363 .25671 .06807 .26091 .07392 .25864 .06949 .25444 Mtetra
.06949 .25444 .07392 .25864 .07978 .25636 .07536 .25215 Mtetra
.07536 .25215 .07978 .25636 .08566 .25408 .08124 .24986 Mtetra
.08124 .24986 .08566 .25408 .09155 .2518 .08714 .24756 Mtetra
.08714 .24756 .09155 .2518 .09745 .24951 .09305 .24526 Mtetra
.09305 .24526 .09745 .24951 .10337 .24721 .09898 .24296 Mtetra
.09898 .24296 .10337 .24721 .1093 .24491 .10492 .24065 Mtetra
.10492 .24065 .1093 .24491 .11525 .2426 .11087 .23833 Mtetra
.11087 .23833 .11525 .2426 .12121 .24029 .11684 .23601 Mtetra
.11684 .23601 .12121 .24029 .12718 .23797 .12282 .23368 Mtetra
.12282 .23368 .12718 .23797 .13317 .23565 .12882 .23134 Mtetra
.12882 .23134 .13317 .23565 .13917 .23332 .13483 .229 Mtetra
.13483 .229 .13917 .23332 .14519 .23098 .14085 .22666 Mtetra
.14085 .22666 .14519 .23098 .15122 .22864 .14689 .22431 Mtetra
.14689 .22431 .15122 .22864 .15726 .2263 .15294 .22195 Mtetra
.15294 .22195 .15726 .2263 .16332 .22395 .15901 .21959 Mtetra
.15901 .21959 .16332 .22395 .1694 .22159 .16509 .21723 Mtetra
.16509 .21723 .1694 .22159 .17548 .21923 .17118 .21485 Mtetra
.17118 .21485 .17548 .21923 .18158 .21686 .17729 .21248 Mtetra
.17729 .21248 .18158 .21686 .1877 .21449 .18342 .21009 Mtetra
.18342 .21009 .1877 .21449 .19383 .21211 .18956 .2077 Mtetra
.18956 .2077 .19383 .21211 .19998 .20972 .19571 .20531 Mtetra
.19571 .20531 .19998 .20972 .20614 .20733 .20188 .20291 Mtetra
.20188 .20291 .20614 .20733 .21231 .20494 .20806 .2005 Mtetra
.20806 .2005 .21231 .20494 .2185 .20254 .21426 .19809 Mtetra
.21426 .19809 .2185 .20254 .22471 .20013 .22048 .19567 Mtetra
.22048 .19567 .22471 .20013 .23093 .19772 .2267 .19325 Mtetra
.2267 .19325 .23093 .19772 .23716 .1953 .23295 .19082 Mtetra
.23295 .19082 .23716 .1953 .24341 .19287 .2392 .18838 Mtetra
.2392 .18838 .24341 .19287 .24967 .19044 .24548 .18594 Mtetra
.24548 .18594 .24967 .19044 .25595 .18801 .25176 .18349 Mtetra
.25176 .18349 .25595 .18801 .26225 .18556 .25807 .18104 Mtetra
.25807 .18104 .26225 .18556 .26855 .18312 .26439 .17858 Mtetra
.26439 .17858 .26855 .18312 .27488 .18066 .27072 .17612 Mtetra
.27072 .17612 .27488 .18066 .28122 .1782 .27707 .17364 Mtetra
.27707 .17364 .28122 .1782 .28757 .17574 .28343 .17117 Mtetra
.28343 .17117 .28757 .17574 .29394 .17326 .28981 .16868 Mtetra
.28981 .16868 .29394 .17326 .30033 .17079 .29621 .1662 Mtetra
.29621 .1662 .30033 .17079 .30673 .1683 .30262 .1637 Mtetra
.30262 .1637 .30673 .1683 .31315 .16581 .30905 .1612 Mtetra
.30905 .1612 .31315 .16581 .31958 .16332 .31549 .15869 Mtetra
.31549 .15869 .31958 .16332 .32603 .16081 .32195 .15618 Mtetra
.32195 .15618 .32603 .16081 .33249 .15831 .32842 .15366 Mtetra
.32842 .15366 .33249 .15831 .33897 .15579 .33491 .15113 Mtetra
.33491 .15113 .33897 .15579 .34547 .15327 .34141 .1486 Mtetra
.34141 .1486 .34547 .15327 .35198 .15075 .34793 .14607 Mtetra
.663 .74 .907 r
.34793 .14607 .35198 .15075 .35851 .14823 .35447 .14353 Mtetra
.35447 .14353 .35851 .14823 .36505 .14573 .36102 .141 Mtetra
.661 .739 .907 r
.36102 .141 .36505 .14573 .37161 .14325 .36759 .13849 Mtetra
.659 .737 .907 r
.36759 .13849 .37161 .14325 .37818 .14081 .37417 .13599 Mtetra
.657 .734 .907 r
.37417 .13599 .37818 .14081 .38476 .13842 .38077 .13353 Mtetra
.655 .73 .905 r
.38077 .13353 .38476 .13842 .39136 .13608 .38738 .1311 Mtetra
.653 .726 .902 r
.38738 .1311 .39136 .13608 .39797 .13377 .39401 .12868 Mtetra
.653 .721 .898 r
.39401 .12868 .39797 .13377 .40461 .13143 .40066 .12624 Mtetra
.656 .718 .894 r
.40066 .12624 .40461 .13143 .41126 .12901 .40732 .12375 Mtetra
.66 .717 .89 r
.40732 .12375 .41126 .12901 .41794 .12646 .41401 .12117 Mtetra
.665 .718 .888 r
.41401 .12117 .41794 .12646 .42463 .12377 .42071 .1185 Mtetra
.668 .721 .888 r
.42071 .1185 .42463 .12377 .43135 .12097 .42744 .11576 Mtetra
.671 .725 .89 r
.42744 .11576 .43135 .12097 .43808 .1181 .43418 .11298 Mtetra
.671 .73 .894 r
.43418 .11298 .43808 .1181 .44483 .11524 .44093 .1102 Mtetra
.67 .734 .898 r
.44093 .1102 .44483 .11524 .45159 .11241 .44771 .10744 Mtetra
.668 .737 .901 r
.44771 .10744 .45159 .11241 .45837 .10963 .45449 .10471 Mtetra
.666 .739 .905 r
.45449 .10471 .45837 .10963 .46517 .1069 .4613 .10203 Mtetra
.663 .741 .908 r
.4613 .10203 .46517 .1069 .47198 .1042 .46811 .09939 Mtetra
.66 .744 .912 r
.46811 .09939 .47198 .1042 .4788 .10153 .47495 .09679 Mtetra
.657 .746 .916 r
.47495 .09679 .4788 .10153 .48564 .09888 .4818 .09424 Mtetra
.654 .751 .921 r
.4818 .09424 .48564 .09888 .4925 .09622 .48867 .09174 Mtetra
.651 .76 .929 r
.48867 .09174 .4925 .09622 .49938 .09355 .49556 .08928 Mtetra
.65 .771 .937 r
.49556 .08928 .49938 .09355 .50627 .09087 .50246 .08682 Mtetra
.653 .784 .944 r
.50246 .08682 .50627 .09087 .51318 .08819 .50939 .08431 Mtetra
.658 .796 .949 r
.50939 .08431 .51318 .08819 .52011 .0855 .51633 .08169 Mtetra
.666 .804 .949 r
.51633 .08169 .52011 .0855 .52706 .08281 .52329 .07896 Mtetra
.674 .805 .945 r
.52329 .07896 .52706 .08281 .53402 .08011 .53027 .0761 Mtetra
.679 .799 .939 r
.53027 .0761 .53402 .08011 .541 .0774 .53726 .07317 Mtetra
.68 .788 .931 r
.53726 .07317 .541 .0774 .548 .07468 .54427 .07021 Mtetra
.678 .775 .924 r
.54427 .07021 .548 .07468 .55502 .07196 .5513 .06728 Mtetra
.674 .763 .918 r
.5513 .06728 .55502 .07196 .56206 .06923 .55835 .06439 Mtetra
.67 .754 .913 r
.55835 .06439 .56206 .06923 .56911 .06649 .56541 .06155 Mtetra
.667 .748 .911 r
.56541 .06155 .56911 .06649 .57618 .06379 .57249 .05875 Mtetra
.663 .743 .909 r
.57249 .05875 .57618 .06379 .58327 .06112 .5796 .056 Mtetra
.66 .738 .908 r
.5796 .056 .58327 .06112 .59038 .05848 .58672 .05329 Mtetra
.657 .734 .906 r
.58672 .05329 .59038 .05848 .59751 .0559 .59386 .05062 Mtetra
.655 .73 .904 r
.59386 .05062 .59751 .0559 .60466 .05336 .60102 .04798 Mtetra
.653 .725 .901 r
.60102 .04798 .60466 .05336 .61183 .05084 .6082 .04535 Mtetra
.654 .721 .898 r
.6082 .04535 .61183 .05084 .61902 .04829 .6154 .0427 Mtetra
.656 .718 .894 r
.6154 .0427 .61902 .04829 .62623 .04566 .62261 .04 Mtetra
.66 .717 .89 r
.62261 .04 .62623 .04566 .63345 .04289 .62984 .0372 Mtetra
.665 .718 .888 r
.62984 .0372 .63345 .04289 .64069 .03997 .63709 .03431 Mtetra
.668 .721 .889 r
.63709 .03431 .64069 .03997 .64794 .03695 .64436 .03135 Mtetra
.671 .726 .891 r
.64436 .03135 .64794 .03695 .6552 .03387 .65164 .02835 Mtetra
.671 .73 .894 r
.65164 .02835 .6552 .03387 .66248 .03079 .65894 .02535 Mtetra
.67 .734 .898 r
.65894 .02535 .66248 .03079 .66979 .02775 .66625 .02238 Mtetra
.668 .737 .902 r
.66625 .02238 .66979 .02775 .67711 .02476 .67359 .01943 Mtetra
.667 .739 .904 r
.67359 .01943 .67711 .02476 .68445 .02182 .68095 .01651 Mtetra
.665 .74 .906 r
.68095 .01651 .68445 .02182 .69182 .01892 .68833 .0136 Mtetra
.665 .74 .907 r
.68833 .0136 .69182 .01892 .69921 .01603 .69573 .01071 Mtetra
.664 .741 .907 r
.04166 .25934 .04614 .26352 .05195 .26126 .04748 .25706 Mtetra
.04748 .25706 .05195 .26126 .05778 .25899 .05332 .25479 Mtetra
.05332 .25479 .05778 .25899 .06363 .25671 .05917 .2525 Mtetra
.05917 .2525 .06363 .25671 .06949 .25444 .06504 .25021 Mtetra
.06504 .25021 .06949 .25444 .07536 .25215 .07091 .24792 Mtetra
.07091 .24792 .07536 .25215 .08124 .24986 .07681 .24562 Mtetra
.07681 .24562 .08124 .24986 .08714 .24756 .08271 .24331 Mtetra
.08271 .24331 .08714 .24756 .09305 .24526 .08863 .241 Mtetra
.08863 .241 .09305 .24526 .09898 .24296 .09457 .23868 Mtetra
.09457 .23868 .09898 .24296 .10492 .24065 .10051 .23636 Mtetra
.10051 .23636 .10492 .24065 .11087 .23833 .10647 .23404 Mtetra
.10647 .23404 .11087 .23833 .11684 .23601 .11245 .2317 Mtetra
.11245 .2317 .11684 .23601 .12282 .23368 .11844 .22936 Mtetra
.11844 .22936 .12282 .23368 .12882 .23134 .12444 .22702 Mtetra
.12444 .22702 .12882 .23134 .13483 .229 .13046 .22467 Mtetra
.13046 .22467 .13483 .229 .14085 .22666 .13649 .22232 Mtetra
.13649 .22232 .14085 .22666 .14689 .22431 .14254 .21996 Mtetra
.14254 .21996 .14689 .22431 .15294 .22195 .1486 .21759 Mtetra
.1486 .21759 .15294 .22195 .15901 .21959 .15467 .21522 Mtetra
.15467 .21522 .15901 .21959 .16509 .21723 .16076 .21284 Mtetra
.16076 .21284 .16509 .21723 .17118 .21485 .16687 .21046 Mtetra
.16687 .21046 .17118 .21485 .17729 .21248 .17299 .20807 Mtetra
.17299 .20807 .17729 .21248 .18342 .21009 .17912 .20568 Mtetra
.17912 .20568 .18342 .21009 .18956 .2077 .18527 .20328 Mtetra
.18527 .20328 .18956 .2077 .19571 .20531 .19143 .20087 Mtetra
.19143 .20087 .19571 .20531 .20188 .20291 .19761 .19846 Mtetra
.19761 .19846 .20188 .20291 .20806 .2005 .2038 .19604 Mtetra
.2038 .19604 .20806 .2005 .21426 .19809 .21 .19362 Mtetra
.21 .19362 .21426 .19809 .22048 .19567 .21623 .19119 Mtetra
.21623 .19119 .22048 .19567 .2267 .19325 .22246 .18876 Mtetra
.22246 .18876 .2267 .19325 .23295 .19082 .22871 .18632 Mtetra
.22871 .18632 .23295 .19082 .2392 .18838 .23498 .18387 Mtetra
.23498 .18387 .2392 .18838 .24548 .18594 .24126 .18142 Mtetra
.24126 .18142 .24548 .18594 .25176 .18349 .24756 .17896 Mtetra
.24756 .17896 .25176 .18349 .25807 .18104 .25387 .17649 Mtetra
.25387 .17649 .25807 .18104 .26439 .17858 .2602 .17402 Mtetra
.2602 .17402 .26439 .17858 .27072 .17612 .26654 .17155 Mtetra
.26654 .17155 .27072 .17612 .27707 .17364 .2729 .16907 Mtetra
.2729 .16907 .27707 .17364 .28343 .17117 .27927 .16658 Mtetra
.27927 .16658 .28343 .17117 .28981 .16868 .28566 .16408 Mtetra
.28566 .16408 .28981 .16868 .29621 .1662 .29207 .16158 Mtetra
.29207 .16158 .29621 .1662 .30262 .1637 .29849 .15908 Mtetra
.29849 .15908 .30262 .1637 .30905 .1612 .30492 .15657 Mtetra
.30492 .15657 .30905 .1612 .31549 .15869 .31137 .15405 Mtetra
.31137 .15405 .31549 .15869 .32195 .15618 .31784 .15152 Mtetra
.31784 .15152 .32195 .15618 .32842 .15366 .32433 .14899 Mtetra
.32433 .14899 .32842 .15366 .33491 .15113 .33082 .14645 Mtetra
.33082 .14645 .33491 .15113 .34141 .1486 .33734 .14391 Mtetra
.33734 .14391 .34141 .1486 .34793 .14607 .34387 .14136 Mtetra
.34387 .14136 .34793 .14607 .35447 .14353 .35042 .13881 Mtetra
.663 .74 .907 r
.35042 .13881 .35447 .14353 .36102 .141 .35698 .13626 Mtetra
.662 .74 .907 r
.35698 .13626 .36102 .141 .36759 .13849 .36356 .13372 Mtetra
.661 .738 .907 r
.36356 .13372 .36759 .13849 .37417 .13599 .37015 .13119 Mtetra
.66 .737 .907 r
.37015 .13119 .37417 .13599 .38077 .13353 .37676 .12867 Mtetra
.658 .734 .906 r
.37676 .12867 .38077 .13353 .38738 .1311 .38339 .12617 Mtetra
.657 .731 .904 r
.38339 .12617 .38738 .1311 .39401 .12868 .39003 .12368 Mtetra
.657 .728 .901 r
.39003 .12368 .39401 .12868 .40066 .12624 .39668 .12117 Mtetra
.659 .726 .899 r
.39668 .12117 .40066 .12624 .40732 .12375 .40336 .11862 Mtetra
.661 .725 .896 r
.40336 .11862 .40732 .12375 .41401 .12117 .41006 .11603 Mtetra
.664 .725 .895 r
.41006 .11603 .41401 .12117 .42071 .1185 .41677 .11337 Mtetra
.667 .727 .895 r
.41677 .11337 .42071 .1185 .42744 .11576 .4235 .11067 Mtetra
.668 .73 .896 r
.4235 .11067 .42744 .11576 .43418 .11298 .43025 .10793 Mtetra
.668 .733 .898 r
.43025 .10793 .43418 .11298 .44093 .1102 .43702 .1052 Mtetra
.668 .736 .901 r
.43702 .1052 .44093 .1102 .44771 .10744 .4438 .10248 Mtetra
.666 .738 .903 r
.4438 .10248 .44771 .10744 .45449 .10471 .45059 .09978 Mtetra
.665 .739 .905 r
.45059 .09978 .45449 .10471 .4613 .10203 .45741 .0971 Mtetra
.663 .739 .907 r
.45741 .0971 .4613 .10203 .46811 .09939 .46424 .09445 Mtetra
.66 .739 .908 r
.46424 .09445 .46811 .09939 .47495 .09679 .47108 .09184 Mtetra
.658 .737 .909 r
.47108 .09184 .47495 .09679 .4818 .09424 .47795 .08926 Mtetra
.655 .736 .909 r
.47795 .08926 .4818 .09424 .48867 .09174 .48483 .08673 Mtetra
.652 .734 .909 r
.48483 .08673 .48867 .09174 .49556 .08928 .49172 .08423 Mtetra
.652 .732 .908 r
.49172 .08423 .49556 .08928 .50246 .08682 .49864 .08172 Mtetra
.654 .731 .906 r
.49864 .08172 .50246 .08682 .50939 .08431 .50558 .07917 Mtetra
.659 .732 .904 r
.50558 .07917 .50939 .08431 .51633 .08169 .51253 .07654 Mtetra
.665 .734 .901 r
.51253 .07654 .51633 .08169 .52329 .07896 .5195 .07379 Mtetra
.67 .736 .9 r
.5195 .07379 .52329 .07896 .53027 .0761 .52649 .07094 Mtetra
.673 .738 .899 r
.52649 .07094 .53027 .0761 .53726 .07317 .5335 .06803 Mtetra
.675 .74 .9 r
.5335 .06803 .53726 .07317 .54427 .07021 .54052 .06509 Mtetra
.673 .741 .901 r
.54052 .06509 .54427 .07021 .5513 .06728 .54756 .06216 Mtetra
.671 .741 .903 r
.54756 .06216 .5513 .06728 .55835 .06439 .55462 .05928 Mtetra
.668 .741 .905 r
.55462 .05928 .55835 .06439 .56541 .06155 .56169 .05643 Mtetra
.666 .741 .906 r
.56169 .05643 .56541 .06155 .57249 .05875 .56879 .05363 Mtetra
.664 .74 .907 r
.56879 .05363 .57249 .05875 .5796 .056 .5759 .05085 Mtetra
.662 .738 .907 r
.5759 .05085 .5796 .056 .58672 .05329 .58303 .0481 Mtetra
.66 .736 .906 r
.58303 .0481 .58672 .05329 .59386 .05062 .59019 .04537 Mtetra
.658 .734 .905 r
.59019 .04537 .59386 .05062 .60102 .04798 .59736 .04266 Mtetra
.657 .731 .903 r
.59736 .04266 .60102 .04798 .6082 .04535 .60455 .03995 Mtetra
.658 .728 .901 r
.60455 .03995 .6082 .04535 .6154 .0427 .61175 .03723 Mtetra
.659 .725 .898 r
.61175 .03723 .6154 .0427 .62261 .04 .61898 .03447 Mtetra
.662 .725 .896 r
.61898 .03447 .62261 .04 .62984 .0372 .62623 .03166 Mtetra
.664 .726 .895 r
.62623 .03166 .62984 .0372 .63709 .03431 .63349 .02878 Mtetra
.667 .728 .895 r
.63349 .02878 .63709 .03431 .64436 .03135 .64076 .02586 Mtetra
.668 .731 .897 r
.64076 .02586 .64436 .03135 .65164 .02835 .64806 .02291 Mtetra
.668 .734 .899 r
.64806 .02291 .65164 .02835 .65894 .02535 .65537 .01996 Mtetra
.668 .736 .901 r
.65537 .01996 .65894 .02535 .66625 .02238 .66271 .01702 Mtetra
.667 .738 .904 r
.66271 .01702 .66625 .02238 .67359 .01943 .67006 .01409 Mtetra
.666 .739 .905 r
.67006 .01409 .67359 .01943 .68095 .01651 .67744 .01118 Mtetra
.665 .74 .906 r
.67744 .01118 .68095 .01651 .68833 .0136 .68483 .00827 Mtetra
.664 .741 .907 r
.68483 .00827 .68833 .0136 .69573 .01071 .69224 .00537 Mtetra
.03716 .25514 .04166 .25934 .04748 .25706 .04299 .25285 Mtetra
.04299 .25285 .04748 .25706 .05332 .25479 .04884 .25057 Mtetra
.04884 .25057 .05332 .25479 .05917 .2525 .05469 .24827 Mtetra
.05469 .24827 .05917 .2525 .06504 .25021 .06057 .24597 Mtetra
.06057 .24597 .06504 .25021 .07091 .24792 .06645 .24367 Mtetra
.06645 .24367 .07091 .24792 .07681 .24562 .07235 .24136 Mtetra
.07235 .24136 .07681 .24562 .08271 .24331 .07827 .23904 Mtetra
.07827 .23904 .08271 .24331 .08863 .241 .08419 .23672 Mtetra
.08419 .23672 .08863 .241 .09457 .23868 .09013 .23439 Mtetra
.09013 .23439 .09457 .23868 .10051 .23636 .09609 .23206 Mtetra
.09609 .23206 .10051 .23636 .10647 .23404 .10206 .22973 Mtetra
.10206 .22973 .10647 .23404 .11245 .2317 .10804 .22738 Mtetra
.10804 .22738 .11245 .2317 .11844 .22936 .11404 .22503 Mtetra
.11404 .22503 .11844 .22936 .12444 .22702 .12005 .22268 Mtetra
.12005 .22268 .12444 .22702 .13046 .22467 .12608 .22032 Mtetra
.12608 .22032 .13046 .22467 .13649 .22232 .13212 .21796 Mtetra
.13212 .21796 .13649 .22232 .14254 .21996 .13817 .21558 Mtetra
.13817 .21558 .14254 .21996 .1486 .21759 .14424 .21321 Mtetra
.14424 .21321 .1486 .21759 .15467 .21522 .15032 .21083 Mtetra
.15032 .21083 .15467 .21522 .16076 .21284 .15642 .20844 Mtetra
.15642 .20844 .16076 .21284 .16687 .21046 .16253 .20605 Mtetra
.16253 .20605 .16687 .21046 .17299 .20807 .16866 .20365 Mtetra
.16866 .20365 .17299 .20807 .17912 .20568 .1748 .20124 Mtetra
.1748 .20124 .17912 .20568 .18527 .20328 .18096 .19883 Mtetra
.18096 .19883 .18527 .20328 .19143 .20087 .18713 .19641 Mtetra
.18713 .19641 .19143 .20087 .19761 .19846 .19331 .19399 Mtetra
.19331 .19399 .19761 .19846 .2038 .19604 .19951 .19156 Mtetra
.19951 .19156 .2038 .19604 .21 .19362 .20573 .18913 Mtetra
.20573 .18913 .21 .19362 .21623 .19119 .21196 .18669 Mtetra
.21196 .18669 .21623 .19119 .22246 .18876 .2182 .18425 Mtetra
.2182 .18425 .22246 .18876 .22871 .18632 .22446 .18179 Mtetra
.22446 .18179 .22871 .18632 .23498 .18387 .23074 .17934 Mtetra
.23074 .17934 .23498 .18387 .24126 .18142 .23703 .17687 Mtetra
.23703 .17687 .24126 .18142 .24756 .17896 .24334 .17441 Mtetra
.24334 .17441 .24756 .17896 .25387 .17649 .24966 .17193 Mtetra
.24966 .17193 .25387 .17649 .2602 .17402 .25599 .16945 Mtetra
.25599 .16945 .2602 .17402 .26654 .17155 .26235 .16696 Mtetra
.26235 .16696 .26654 .17155 .2729 .16907 .26871 .16447 Mtetra
.26871 .16447 .2729 .16907 .27927 .16658 .2751 .16197 Mtetra
.2751 .16197 .27927 .16658 .28566 .16408 .28149 .15946 Mtetra
.28149 .15946 .28566 .16408 .29207 .16158 .28791 .15695 Mtetra
.28791 .15695 .29207 .16158 .29849 .15908 .29434 .15443 Mtetra
.29434 .15443 .29849 .15908 .30492 .15657 .30078 .15191 Mtetra
.30078 .15191 .30492 .15657 .31137 .15405 .30724 .14938 Mtetra
.30724 .14938 .31137 .15405 .31784 .15152 .31372 .14684 Mtetra
.31372 .14684 .31784 .15152 .32433 .14899 .32021 .1443 Mtetra
.32021 .1443 .32433 .14899 .33082 .14645 .32672 .14175 Mtetra
.32672 .14175 .33082 .14645 .33734 .14391 .33325 .1392 Mtetra
.33325 .1392 .33734 .14391 .34387 .14136 .33979 .13664 Mtetra
.33979 .13664 .34387 .14136 .35042 .13881 .34634 .13408 Mtetra
.663 .74 .907 r
.34634 .13408 .35042 .13881 .35698 .13626 .35292 .13151 Mtetra
.35292 .13151 .35698 .13626 .36356 .13372 .35951 .12894 Mtetra
.662 .739 .907 r
.35951 .12894 .36356 .13372 .37015 .13119 .36611 .12638 Mtetra
.661 .738 .907 r
.36611 .12638 .37015 .13119 .37676 .12867 .37273 .12383 Mtetra
.661 .737 .906 r
.37273 .12383 .37676 .12867 .38339 .12617 .37937 .12128 Mtetra
.66 .735 .905 r
.37937 .12128 .38339 .12617 .39003 .12368 .38602 .11873 Mtetra
.66 .733 .903 r
.38602 .11873 .39003 .12368 .39668 .12117 .39269 .11617 Mtetra
.661 .731 .902 r
.39269 .11617 .39668 .12117 .40336 .11862 .39938 .11359 Mtetra
.662 .73 .9 r
.39938 .11359 .40336 .11862 .41006 .11603 .40608 .11097 Mtetra
.664 .731 .899 r
.40608 .11097 .41006 .11603 .41677 .11337 .41281 .10832 Mtetra
.666 .732 .899 r
.41281 .10832 .41677 .11337 .4235 .11067 .41955 .10564 Mtetra
.666 .734 .9 r
.41955 .10564 .4235 .11067 .43025 .10793 .42631 .10293 Mtetra
.667 .736 .902 r
.42631 .10293 .43025 .10793 .43702 .1052 .43308 .10023 Mtetra
.666 .738 .903 r
.43308 .10023 .43702 .1052 .4438 .10248 .43987 .09752 Mtetra
.665 .739 .905 r
.43987 .09752 .4438 .10248 .45059 .09978 .44668 .09483 Mtetra
.665 .739 .906 r
.44668 .09483 .45059 .09978 .45741 .0971 .4535 .09214 Mtetra
.664 .739 .906 r
.4535 .09214 .45741 .0971 .46424 .09445 .46034 .08946 Mtetra
.663 .738 .906 r
.46034 .08946 .46424 .09445 .47108 .09184 .4672 .08679 Mtetra
.662 .735 .905 r
.4672 .08679 .47108 .09184 .47795 .08926 .47408 .08413 Mtetra
.66 .731 .902 r
.47408 .08413 .47795 .08926 .48483 .08673 .48097 .08148 Mtetra
.659 .726 .899 r
.48097 .08148 .48483 .08673 .49172 .08423 .48788 .07883 Mtetra
.658 .72 .894 r
.48788 .07883 .49172 .08423 .49864 .08172 .49481 .07618 Mtetra
.658 .713 .889 r
.49481 .07618 .49864 .08172 .50558 .07917 .50175 .07351 Mtetra
.659 .709 .885 r
.50175 .07351 .50558 .07917 .51253 .07654 .50871 .07081 Mtetra
.66 .707 .882 r
.50871 .07081 .51253 .07654 .5195 .07379 .5157 .06807 Mtetra
.662 .709 .882 r
.5157 .06807 .5195 .07379 .52649 .07094 .5227 .06529 Mtetra
.664 .713 .885 r
.5227 .06529 .52649 .07094 .5335 .06803 .52971 .06248 Mtetra
.665 .719 .889 r
.52971 .06248 .5335 .06803 .54052 .06509 .53675 .05967 Mtetra
.665 .725 .894 r
.53675 .05967 .54052 .06509 .54756 .06216 .5438 .05685 Mtetra
.665 .731 .899 r
.5438 .05685 .54756 .06216 .55462 .05928 .55087 .05404 Mtetra
.665 .735 .902 r
.55087 .05404 .55462 .05928 .56169 .05643 .55796 .05124 Mtetra
.664 .738 .905 r
.55796 .05124 .56169 .05643 .56879 .05363 .56507 .04845 Mtetra
.663 .739 .906 r
.56507 .04845 .56879 .05363 .5759 .05085 .57219 .04567 Mtetra
.662 .739 .907 r
.57219 .04567 .5759 .05085 .58303 .0481 .57933 .0429 Mtetra
.661 .738 .906 r
.57933 .0429 .58303 .0481 .59019 .04537 .5865 .04013 Mtetra
.661 .736 .906 r
.5865 .04013 .59019 .04537 .59736 .04266 .59368 .03737 Mtetra
.66 .734 .905 r
.59368 .03737 .59736 .04266 .60455 .03995 .60088 .03461 Mtetra
.66 .732 .903 r
.60088 .03461 .60455 .03995 .61175 .03723 .6081 .03184 Mtetra
.661 .731 .901 r
.6081 .03184 .61175 .03723 .61898 .03447 .61534 .02904 Mtetra
.662 .73 .9 r
.61534 .02904 .61898 .03447 .62623 .03166 .62259 .02621 Mtetra
.664 .731 .899 r
.62259 .02621 .62623 .03166 .63349 .02878 .62987 .02333 Mtetra
.666 .732 .9 r
.62987 .02333 .63349 .02878 .64076 .02586 .63716 .02043 Mtetra
.666 .734 .9 r
.63716 .02043 .64076 .02586 .64806 .02291 .64447 .01751 Mtetra
.666 .736 .902 r
.64447 .01751 .64806 .02291 .65537 .01996 .6518 .01458 Mtetra
.666 .738 .904 r
.6518 .01458 .65537 .01996 .66271 .01702 .65915 .01166 Mtetra
.665 .739 .905 r
.65915 .01166 .66271 .01702 .67006 .01409 .66651 .00874 Mtetra
.665 .74 .906 r
.66651 .00874 .67006 .01409 .67744 .01118 .6739 .00583 Mtetra
.664 .74 .907 r
.6739 .00583 .67744 .01118 .68483 .00827 .68131 .00292 Mtetra
.664 .741 .907 r
.68131 .00292 .68483 .00827 .69224 .00537 .68874 0 Mtetra
0 g
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.03716 .25514 m
.68874 0 L
s
.14766 .21187 m
.15228 .21653 L
s
[(-10)] .13842 .20256 .99254 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(0)] .3345 .12542 .86223 1 Mshowa
.55397 .05277 m
.55784 .05807 L
s
[(10)] .54622 .04218 .73193 1 Mshowa
.125 Mabswid
.18558 .19702 m
.18832 .19985 L
s
.22407 .18195 m
.22677 .18482 L
s
.26314 .16665 m
.2658 .16956 L
s
.3028 .15112 m
.30541 .15406 L
s
.38395 .11935 m
.38647 .12237 L
s
.42547 .10309 m
.42794 .10615 L
s
.46763 .08658 m
.47006 .08968 L
s
.51046 .06981 m
.51284 .07294 L
s
.11029 .2265 m
.1131 .22926 L
s
.07346 .24092 m
.0763 .24365 L
s
.59817 .03546 m
.60044 .03868 L
s
.64309 .01787 m
.6453 .02113 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[69]:=",
  ImageSize->{770.812, 625.25},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000<20002LB000`400?l00000o`00003oo`3IfMWo
0=WIfOl0fMWI1@3IfMT00?l0fMWIo`3IfMWo0=WIf@D0fMWI003o0=WIfOl0fMWIo`3IfMT50=WIf@00
o`3IfMWo0=WIfOl0fMWI1@3IfMT00?l0fMWIo`3IfMWo0=WIf@D0fMWI003o0=WIfOl0fMWIo`3IfMT5
0=WIf@00o`3IfMWo0=WIfOl0fMWI1@3IfMT00?l0fMWIo`3IfMWo0=WIf@D0fMWI003o0=WIfOl0fMWI
o`3IfMT50=WIf@00o`3IfMWo0=WIfAT0fMWI0P00003Y0=WIf@00o`3IfMWo0=WIfAL0fMWI0P000000
0`2Y_NP000000000003X0=WIf@00o`3IfMWo0=WIfA@0fMWI0`0000030:Vmj0800000j03IfMT00?l0
fMWIo`3IfMTB0=WIf@8000001P2Y_NP00`000000ZKgX0000003W0=WIf@00o`3IfMWo0=WIf@l0fMWI
0`0000080:Vmj0040000002Y_NP0ZKgX00000>H0fMWI003o0=WIfOl0fMWI303IfMT3000000030:Zm
i`2Y_NP0ZKgX00P0ZKgX00@000000:Vmj02Y_NP00000iP3IfMT00?l0fMWIo`3IfMT:0=WIf@800000
1@2Z_NL90:Vmj0050000002Y_NP0ZKgX0:Vmj0000000i@3IfMT00?l0fMWIo`3IfMT70=WIf@<00000
202Z_NL30:Vmj0<0Z[gW0P2Y_NP00`000000ZKgX0:Vmj0020:Vmj0030000003IfMT0fMWI0>80fMWI
003o0=WIfOl0fMWI1@3IfMT200000180Z[gW00<0ZKgX0000002Y_NP00`2Y_NP00`000000fMWI0=WI
f@3R0=WIf@00o`3IfMWo0=WIf@80fMWI0`00000E0:Zmi`030:Vmj0000000ZKgX00<0Z[gX00<00000
0=WIf@3IfMT0h@3IfMT00?l0fMWIo`3IfMT2000000<0Z[cW5@2Z_NL00`2Z_NP000000:Zmj0040:Zm
j0030000003IfMT0fMWI0>00fMWI003o0=WIfO`0fMWI0`0000060:Zli`D0Z[gW0P2Z_>L>0:Zmi`03
0000002Z_NP0Z[gX00<0Z[gX00<000000=WIf@3IfMT0h03IfMT00?l0fMWInP3IfMT2000000<0Z[cV
1`2Z_>L20:Zmi`D0Z[cW3@2Z_NL00`000000Z[gX0:Zmj0040:Zmj0030000003IfMT0fMWI0=l0fMWI
003o0=WIfOL0fMWI0`0000050:ZliPl0Z[cW302Z_NL00`000000Z[gW0:Zmj0020:Zmj0<0Z[gW00<0
00000=WIf@3IfMT0gP3IfMT00?l0fMWIm@3IfMT2000000030:ZkiP000000Z[cV00H0Z[cV0`2Z_>L4
0:^liPL0Z[cW302Z_NL00`000000Z[gW0:Zmi`050:Zmi`030000003IfMT0fMWI0=h0fMWI003o0=WI
fO80fMWI0`0000030:ZkiP030000002Z^nH0Z[cV00D0Z[cV202[_>H50:Zli`80ZkcV2`2Z_NL00`00
0000Z[gW0:Zmi`060:Zmi`030000003IfMT0fMWI0=d0fMWI003o0=WIfNl0fMWI0`0000070:ZkiP03
0000002Z^nH0Z[cV0080Z[cV0`2[^nH80:^liP80Z[cW1@2[_>H:0:Zmi`030000002Z_NL0Z[gW00H0
Z[gW00<000000=WIf@3IfMT0g@3IfMT00?l0fMWIk@3IfMT2000000`0Z[_V1`2[^nH?0:^liP<0Z[gW
0`2[_>H30:Zmi`030000002Z_NL0Z[gW00L0Z[gW00<000000=WIf@3IfMT0g03IfMT00?l0fMWIjP3I
fMT3000000030:VkiP2Z^nH0Z[_V00P0Z[_V102[^nD70:^kiP<0ZkcV102[^nD>0:^liP80Z[gW00<0
00000:Zmi`2Z_NL0202Z_NL00`000000fMWI0=WIf@3K0=WIf@00o`3IfMWX0=WIf@8000001@2Y^nH6
0:ZkiPP0Zk_U1P2[^nH70:^ki@l0ZkcV00<0Z[gW0000002Z_NL00`2[_NL60:Zmi`030000003IfMT0
fMWI0=/0fMWI003o0=WIfND0fMWI0`0000000`2Y^^H0ZK_V0:VkiP050:VkiP<0Z[_V0`2Z^^D80:^k
i@<0Zk_V0`2[^^@70:^ki@h0ZkcV00<0ZkgW0000002[_NL0102[_NL60:Zmi`030000003IfMT0fMWI
0=X0fMWI003o0=WIfN<0fMWI0P0000050:VjiPH0ZK_V1`2Z^^D70:^ki@L0Zk[T1P2[^nD?0:^liP03
0000002[_NL0ZkgW00@0ZkgW1P2Z_NL00`000000fMWI0=WIf@3I0=WIf@00o`3IfMWP0=WIf@<00000
1`2Y^^H50:VkiP80ZKWU1`2Z^^D30:^ki@@0ZkWT1`2[^^@30:^ki@<0[;_T3P2[_>H00`000000ZkgW
0:^mi`040:^mi`H0Z[gW00<000000=WIf@3IfMT0f@3IfMT00?l0fMWIgP3IfMT2000000<0ZK_V202Y
^^H20:VkiPD0ZKWU1P2Z^^D70:^ii0L0Zk[T1`2/^n@50:^liP80[;_U1P2[_>H010000000ZkgW0:^m
i`2[_NL40:^miPH0Z[gW00<000000=WIf@3IfMT0f03IfMT00?l0fMWIY@3IfMT4000000<0fMWI0P00
000]0=WIf@<000001P2Y^nH70:VjiPL0ZKWU1@2Z^^D20:^hh`L0ZkWT0`2[^^@40:bih`L0[;_T0P2[
_>H50:bki@D0ZkcV00<000000:^miP2[_NH01@2[_NH70:Zmi`030000003IfMT0fMWI0=L0fMWI003o
0=WIfJL0fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@030000003IfMT0fMWI02L0fMWI0`00
00030:Rki`L0ZK_V0`2Y^^H;0:Vii@80Z[[U1@2[^><60:^ii0L0[;WS1`2/^n@80:bki@<0ZkcV00<0
[;cU0000002/_>D01`2[_NH30:Zmi`<0ZkgW00<000000=WIf@3IfMT0e`3IfMT00?l0fMWIY`3IfMT0
1@000000fMWI0=WIf@3IfMT000000080fMWI00<000000=WIf@3IfMT09@3IfMT2000000L0Z;_W1P2Y
^nH>0:Vii@P0ZkSS0`2[^N@30:bhhPL0[;WS0`2/^n@40:fjh`L0[;_U1@2/_>D00`000000[;cU0:^m
iP050:^miPL0ZkgW00<000000=WIf@3IfMT0eP3IfMT00?l0fMWIY`3IfMT01@000000fMWI0=WIf@3I
fMT000000080fMWI00<000000=WIf@3IfMT08P3IfMT4000000T0Z;_W0`2Y^nH30:Rii@X0ZKWU102Z
]n<70:^hh`L0[;SR1P2/^N<70:fjh`D0[;_U0`2^^n<40:bli@030000002/_>D0[;cU00<0ZkgV0`2/
_NH70:^mi`030000003IfMT0fMWI0=D0fMWI003o0=WIfJL0fMWI00D000000=WIf@3IfMT0fMWI0000
00020=WIf@030000003IfMT0fMWI0200fMWI0P0000040:Rki`030000002X^nL0Z;_W00H0Z;_W1`2X
^ND60:Vii@L0Z[OS1@2[^><30:^fh@L0[;SR0`2/^N<30:jhh@L0[K[S0P2/^nD50:jkh`@0[;cU00<0
00000:bli@2/_>D01`2/_NH60:^mi`030000003IfMT0fMWI0=D0fMWI003o0=WIfJD0fMWI0`000003
0=WIf@040000003IfMT0fMWI000001l0fMWI0`0000020:Vli`@0Z;_W00<000000:Rki`2X^nL00`2X
^nL40:RjiPL0Z;WU0`2Y^ND30:Rgh`L0Z[OS0P2[^><50:^fh@L0[;SR1`2^^>460:fjh`P0[[_S0`2/
_>D010000000[KcT0:fli02]_>@70:bmiPH0ZkgW00<000000=WIf@3IfMT0e03IfMT00?l0fMWIY`3I
fMT00`000000fMWI0=WIf@020=WIf@8000007P3IfMT2000000H0ZKcW1P2X^nL70:RjiPL0Z;WU1`2X
]n<60:Zgh`P0ZkKQ102/^>830:ffg`L0[[SQ0`2]^^<30:nih@L0[[_S0`2]_>@00`000000[KcT0:fl
i0020:fli0H0[;gV1`2[_NL00`000000fMWI0=WIf@3C0=WIf@00o`3IfMW90=WIf@<000002@2Y_>L6
0:Rki`L0Z;[V0`2X^ND40:Ngi0L0Z;OS0`2Z]n<30:Zeh@L0ZkKQ0P2/^>860:ffg`H0[[SQ1`2_^N45
0:jkh`80[k_R0P2]_>@00`000000[KcT0:fli0030:fli0H0[;gV1P2[_NL00`000000fMWI0=WIf@3C
0=WIf@00o`3IfMW70=WIf@800000302Y_>L70:Rki`H0Z;[V202W]n@60:Rgh`L0Z[GQ1P2[]^480:ff
g`D0[[SQ0P2`]mh70:nih@80[[_S1@2_^n800`2]_>@000000:fli0040:fli0L0[;gV1@2[_NL00`2[
_NH000000=WIf@3C0=WIf@00o`3IfMW40=WIf@<0000000<0ZKgX0:Vli`2Y_>L02@2Y_>L:0:Rki`<0
Z;[V0`2W^>D80:Ngi0<0Z;OS0`2X]>870:Zeh@<0ZkKQ0`2/]=h80:ffg`80[[SQ1@2`]mh60:nih@P0
[k_R00<000000:fli02]_>@0102__>@70:bmiP80ZkgW102[_NH00`000000fMWI0=WIf@3A0=WIf@00
o`3IfMW20=WIf@8000001@2Y_NP70:Vli`d0Z;_W1`2W^>D70:Ngi0L0Z;CR1P2Z]N470:bdgPL0[KKO
202`]mh30:nih@<0/KWO1`2_^n800`000000[kcT0:nli0040:nli0L0[;gV1P2[_NH00`000000ZkgV
0=WIf@3A0=WIf@00o`3IfMVo0=WIf@<0000000<0ZKgW0:Vmj02Y_NP01@2Y_NP30:Vli`@0Z;cW2P2X
^nL30:NiiPL0YkSU0`2W]n@40:Jdh`L0Z;CR0`2Z]N430:ZbgPL0[;CN0`2]]]l40:ndg0L0/;ON1`2a
^Ml50:nkhP030;6jh0000000[kcT00H0[kcT0`2/_NH40:fmi@H0ZkgV00<000000=WIf@3IfMT0d03I
fMT00?l0fMWI_03IfMT3000000D0ZKgW1P2Y_NP70:Rli`L0Z;_W1`2W^NH60:Nhi@L0Y[CS1`2X]>87
0:ZbgPH0[;CN1`2_]=`50;2ggP<0/[KK1`2a^Ml20:nkhP<0/K[P00<000000;6jh02__>@01@2__>@7
0:fmi@D0ZkgV0P2/_NH00`000000fMWI0=WIf@3?0=WIf@00o`3IfMVj0=WIf@8000000P2Y_>L70:Vm
i`<0ZKgX0`2Y_>P70:Rli`<0Z;_W102W^^L70:NiiP<0YkSU0`2U]^@70:Jdh`<0Z;CR102W/Ml60:Zb
gPD0[;CN0P2]/M/70:ndg080/;ON1@2b]]/70;6ig`D0/K[P00<000000;6jh02a^^000`2__>@30;2l
hPL0[KgU0P2[_NH40:bmiP030000003IfMT0fMWI0<l0fMWI003o0=WIfKL0fMWI0`0000050:Vli`H0
ZKgW1`2Y_>P60:Rli`L0Yk[W1`2W^NH70:Ffi0H0Y[CS1`2W/Ml70:ZbgP80[;CN1@2]/M/60:ndg0P0
/[KK102a^Ml30;>hg0@0/K[P00<000000;6jh02a^^001`2`_>860:fmi@L0[;gV00<000000=WIf@3I
fMT0cP3IfMT00?l0fMWI]03IfMT3000000030:ZliP2Y_>L0ZKcW00H0ZKcW0`2Y_NL30:Vmj0L0ZKcX
0`2X_>L30:Rki`L0Yk[W0`2W^NH40:FgiPL0YKKT0`2V]><30:Fah@L0Yk7O1P2Z/]h70:faf`D0[kCL
0P2a/]T70;:ff`80/KWO1@2c^=`40;6jh0040000002d^]h0];[N0;BjgPL0/;cR0`2]_ND30:jmi0L0
[;gV00<000000=WIf@3IfMT0c@3IfMT00?l0fMWI/P3IfMT4000000<0Z[cV1`2Y_>L70:Vmj0H0ZKcX
1`2X^nL60:Nji`P0YKOV1P2U]^@70:Fah@H0Yk7O0`2Z/]h40:Z_f`L0[K7K0P2_]=`50;6bf@H0/[KK
202c^=`20;6jh0030;BjgP000000];[N0080];[N1`2`_>870:jmi0@0[;gV0P2]_NH00`000000fMWI
0=WIf@3=0=WIf@00o`3IfMV`0=WIf@80000000@0Z[_V0:ZliP2Z_>H00000102Z_>H30:Vli`@0Z[gW
1`2Y_NP30:Vlj0<0Z;cX1`2X^nL30:Nji`<0Y[WW202U]nH30:Ffi0<0Xk;S1P2U/N460:Nag`L0ZZoK
1`2]/M/70;6bf@D0/[KK0P2e]=P70;>hg0<0];[N00<000000;BjgP2d^]h00P2d^]h40;2lhP<0/[cQ
1`2^_N@60:fmiP030000003IfMT0fMWI0<`0fMWI003o0=WIfJd0fMWI0`0000040:ZkiP80Z[cV00@0
00000:ZliP2Z_>H0Z[cV1`2Z_NL70:Vmj0L0Z;cX1P2X^nL70:Jii`L0YKOV1`2S/^<60:Fah@<0Yk7O
0`2V[M`70:Z_f`<0[K7K102_[]L70;6bf@80/[KK1@2e]=P50;>hg080]kSJ0`2d^]h010000000];[N
0;BjgP2d^]h20;2lhPD0/[cQ1@2^_N@30;2mi0D0[KgV00<000000:fmiP3IfMT0c03IfMT00?l0fMWI
Z`3IfMT2000000030:Zii02Z^nH0Z[_V00D0Z[_V0P2Z_>H010000000ZkgW0:^mi`2[_NL70:Zmi`<0
ZKgX102Y_^P70:Rlj0<0Z;_W0`2W^nP70:Jii`<0YKOV102S]>D60:>bh`H0YK7Q1`2V[M`60:Z_f`L0
[jkG1`2a/]T80;Fdf080/kSL1@2g^=X20;BjgP040000002d^]h0];[N0;BjgPP0/[cQ0P2^_N@50;2m
i0H0[KgV00<000000=WIf@3IfMT0b`3IfMT00?l0fMWIZ03IfMT3000000@0Z[WT1P2Z^nH70:^mi`H0
Z[gW1`2Y_^P70:Rlj0L0Yk_X1P2V^NL70:>di@L0Xk;S0`2U/N430:>]g`H0YZgL1@2Z[m/20:^[e`L0
[jkG102a/]T30;B`e@L0]KCH202g^=X00`2d^]h000000;BjgP030;Nkg@L0/[cQ202`_N@30:fmiP<0
[KkV00<000000=WIf@3IfMT0bP3IfMT00?l0fMWIY@3IfMT3000000030:Zhh`2Z^N@0Z[WT00D0Z[WT
0`2Z^nH:0:^mi`<0Z[gW0`2Z_nT70:Vnj0L0Z;cX1`2W^nP30:Jii`<0Y;OV1`2S]>D60:>bh`L0XjgO
1P2V[M`20:Z_f`D0Zj_G1P2_[]L20;6bf@D0];3E1@2e]=P30;Rde@L0]kSJ00<0]k_M0000002g^md0
102g^md50;:lh@80];gP1`2`_N@60:fniP030000003IfMT0fMWI0<X0fMWI003o0=WIfJ<0fMWI0P00
00040:Zhh`L0Z[WT3@2[_NL70:Zoj@H0ZKkX202X_>P60:Nkj0L0Y;OV1P2S]>D70:6_hPH0XjgO1P2V
[M`70:^[e`H0[jkG202d/=D20;Fdf0D0^;CE1P2g^=X20;Zhe`030000002g^md0]k_M00@0]k_M0P2b
_>450;Bmh0D0/;gT0P2a_^<60:fniP030000003IfMT0fMWI0<T0fMWI003o0=WIfJ00fMWI0`000007
0:Zhh`@0Z[WT0`2/_NH:0:^mi`<0Zl7Y1`2Z_nT30:Vnj0<0Z;gX1`2X_>P70:Fii`L0Y;OV0`2S]>D3
0:2ai0H0XJoR1`2S[Ml30:J]g0<0YJWI1`2[ZmL30:n^e`<0/:cC1`2d/=D80;Rde@<0]kSJ102j^=L0
0`000000]k_M0;Nkg@040;Nkg@P0];gP0P2`_N@50;6nh`H0[KkV00<000000=WIf@3IfMT0b03IfMT0
0?l0fMWIWP3IfMT2000000<0ZKKR1`2Z^><20:Zii0D0[;gV1`2[_NL70:_1j@H0Z[oY1`2X_NP40:Rl
j0<0Y[_X1`2U^NL60:BgiPL0X;7T1P2Q[n860:>]g`L0YJWI1P2[ZmL70;2/d`D0];3E0P2g[m470;Rd
e@80]kSJ1@2j^=L00`000000]k_M0;Nkg@020;Nkg@<0^[cK1`2d_N080;6nh`<0[KkV0P2^_^H00`00
0000fMWI0=WIf@380=WIf@00o`3IfMVK0=WIf@<000001P2Y]^860:Zhh`P0[;gV0`2[_NL40:c3j`L0
Zl7Y0`2Z_nT30:Vmj0L0Z;gX1`2V^nP70:Fii`<0Y;OV0`2Q]>H60:2ai0H0XJoR1`2PZM`60:FYf@D0
Zj_G0P2[Z=@60;2/d`@0];3E102g[m460;Rde@L0^[SG00<000000;Nkg@2g^md01@2j_=/50;Bmh0<0
]kkO1`2a_^<60:jniP030000003IfMT0fMWI0<L0fMWI003o0=WIfIT0fMWI0P0000030:Veh@L0ZKKR
0`2Z^><:0:bmiPP0[<?[1P2[`NT70:Vmj0@0Z;gX0`2W_>P70:Jkj0H0YKWW1`2Q]>H60:2ai0<0XJoR
0`2MZ^060:2Yg0L0YJWI0P2[ZmL40:^Xe0L0/:cC0P2d/=D50;N_d@D0^;CE0P2l]=860;Zhe`030000
002j_=/0^[cK00H0^[cK0P2d_N050;Nng`D0/KkS0`2b_n<60:jniP030000003IfMT0fMWI0<H0fMWI
003o0=WIfIH0fMWI0`0000060:Veh@H0ZKKR2`2/_NH30:g6k0P0[<?[0`2[`NT:0:Vmj0L0YkcX1P2V
^nP70:>gi`L0XKCV1@2P/N@709fZh0H0X:WL1P2UZMT70:^Xe0H0/:cC202g[m420;Rde@D0_;CB1@2j
^=L00`000000_[WE0;Zlf`060;Zlf`P0]kkO0P2a_^<50;:oh`H0[[kV00<000000=WIf@3IfMT0aP3I
fMT00?l0fMWIU03IfMT2000000<0Z;CQ1`2Y]N430:VfhP<0[;cV1`2/_NH70:g6k0L0[<?[3P2Y_NP7
0:Nlj0<0Y[_X0`2T^NL60:>gi`L0XKCV1P2L[N<609fZh0H0X:WL0`2UZMT40:BUePH0ZjSD1@2`[=<2
0;:Zd0L0]joA202l]=820;Zhe`80_[WE00<000000;jie@2n^MD01@2j_=/20;fmfPL0]kkO202b_n<3
0:jniP<0[kkU00<000000=WIf@3IfMT0a@3IfMT00?l0fMWIT@3IfMT3000000030:Rdh@000000Z;CQ
00<0Z;CQ1P2Y]N470:bliPD0[;gV0P2^bNh70:g6k0<0[<?[4P2Y_NP60:Nlj0L0Y;WW1P2S]nL30:6d
iP@0WK7V1P2L[N<609fZh0D0X:WL1`2TYMH70:^Xe080/:cC1@2bZ]050;N_d@80^Zo>1`2l]=840;ji
e@040000002n^MD0_[WE0;jie@80^[cK1@2m_MX50;Nng`80^KoO1`2b_n<70:nni@030000003IfMT0
fMWI0<@0fMWI003o0=WIfHl0fMWI0P0000030:RehP80Z;CQ00<000000:Rdh@2X]>400P2X]>430:Ve
h@<0ZkcV1`2/_>H20:bmiPD0[/W^1P2]a^`F0:Vmj0<0YkcX0`2W^nP70:Bii`D0XkOW1`2M/NH609b]
h`H0WJ[P1P2MY=X70:BUePH0ZjSD1`2bZ]040;N_d@@0^Zo>1@2l]=820;ndc`<0_[WE00@000000;ji
e@2n^MD0_[WE202m_MX20;Nng`D0^KoO1@2b_n<20;Boh`H0[kkU00<000000=WIf@3IfMT0a03IfMT0
0?l0fMWIS03IfMT3000000D0Z;GR1`2X]>470:^liPH0[;cV202^bNh30:g6k1P0ZKgX1`2W^nP60:Bi
i`H0X;CW1`2M/NH609b]h`<0WJ[P0`2HYMh609fTfPH0Y:GF0`2[Z=@40:bUd@L0/Z[@0P2g[m450;Z_
cP@0_;CB102o]<l20;jie@030000002n^MD0_[WE0080`[[C1`2m_MX80;Vog`80/[oS1@2d_n<60:nn
i@030000003IfMT0fMWI0<<0fMWI003o0=WIfHT0fMWI0`0000020:Rfh`L0Z;GR0`2X]>440:ZkiPL0
ZkcV0`2/_>H30:g<l0L0[/W^702Y_NP70:Nkj0<0Y;WW0`2S]^H60:2di`H0WK7V1P2L[N<709RUgPD0
WJCJ1P2TYMH70:bUd@L0/Z[@202j[lh20;bddPD0_kC?0P2n^MD00`000000_[WE0<:jd`030<:jd`D0
_KgJ0P30_]P70;Vog`P0];oS0`2__^D30:noi@030000003IfMT0fMWI0180fMWI1000002/0=WIf@00
o`3IfMV70=WIf@8000001P2X]^<60:RehPP0Z[_V1P2[_>H70:g<l0@0[/W^7P2Y_NP70:Nkj0L0XkKV
1P2P]>L509faiPL0UjWR1P2HYMh609fTfP<0Y:GF0`2SXM<70:bUd@@0/Z[@0`2eZLd70;Z_cPP0_kC?
00<0_[WE00000032^]<01@32^]<20;fmfP@0`;kH1@2i_ml30;_1gPL0];oS1P2__nD00`000000fMWI
0=WIf@0D0=WIf@030000003IfMT0fMWI0:/0fMWI003o0=WIfH@0fMWI0`0000020:Rhi0L0Z;KS0`2X
]N830:Rki`P0Z[_V0`2[_>H30:c>l@L0[Lc`8P2Y_NP30:Nkj0@0YKGT1`2S]^H50:2di`H0VJkU1P2G
ZN8709RUgPD0WJCJ1P2SXM<70:bUd@80/Z[@1@2eZLd60;Z_cP80_Zo;1`2o]<l00`32^]<000000<:j
d`050<:jd`L0`;kH0P2i_ml50;_1gPD0];oS0`2e`N<60:noi@030000003IfMT0fMWI01<0fMWI00<0
00000=WIf@3IfMT0Z`3IfMT00?l0fMWIPP3IfMT2000000H0Z;ST1P2X]^<70:Rki`L0Z[_V1`2/c_44
0:g<l2@0ZKgX1`2U]N@70:>fiPH0WK;W1P2I[^D609NYhPH0V:GN1P2JWmP60:>Qd`H0[:GA202eZLd3
0;Z_cP@0_Zo;1P2o]<l20<Bfc@030<:jd`000000`[[C00<0`[[C0P36_=460<2nf0P0^l7N0P2d_n<5
0;G1h`D0[koU0P2`_nH00`000000fMWI0=WIf@0:0=WIf@@00000103IfMT00`000000fMWI0=WIf@2[
0=WIf@00o`3IfMUo0=WIf@<000000P2X^NH70:Rhi0<0Z;KS0`2W^nL70:Rki`<0Z[_V102ZcO870:c>
lBD0ZKgX0`2W/n470:Fei0<0XkKV102R]^H609fbi`H0VJkU1@2GZN8709>Pg@D0VYoH1P2SXM<50:bU
d@80[J?>1`2eZLd20;Z_cPH0_Zo;0`2o]<l40<Bfc@030<:jd`000000`[[C0080`[[C0`36_=450<2n
f080`l7H1`2k`Mh80;G1h`80[koU102`_nH00`000000fMWI0=WIf@0B0=WIf@030000003IfMT0fMWI
0:/0fMWI003o0=WIfGd0fMWI0P0000060:RiiPH0Z;ST1`2W^nL60:Rki`P0Z/gb0`2/c_4U0:Vmj0L0
Yk?Q1P2U]N@70::fiPL0WK;W1@2I[^D6092ThPH0Tj3M1P2JWmP60:>Qd`80[:GA102]Xlh70;FYc@P0
_Zo;0P2o]<l60<Bfc@0300000032^]<0`[[C00D0a[cA0`30_]P40<?1f0D0^l7N0P2m`]h70;G1h`L0
/;oV00<000000=WIf@3IfMT03`3IfMT300000:d0fMWI003o0=WIfGX0fMWI0`0000020:RkiPL0Z;WV
0`2X^>@30:Jkj0L0Yk_W0`2X^nL30:S;lPL0Z/gb9P2Y_NP30:N]g0L0Yk?Q0`2U]N@30:Nfi0L0X[KV
1P2M/^L609>ZiPH0T:CR1@2CX=d609ZOf0H0Xj7C1`2]Xlh50;FYc@80^:W:1`2n[l/80<Bfc@030000
0032^]<0a[cA00D0a[cA0P30_]P60<?1f080^l7N1@2m`]h40;G1h`<0]/7S1`2`_nH00`000000fMWI
0=WIf@0@0=WIf@030000003IfMT0fMWI0:/0fMWI003o0=WIfGP0fMWI0P0000060:RkiPH0Z;WV1`2V
^nP60:Nki`L0Z<_b102ZcO8U0:Vmj0L0YjgL1P2W/n470:Nfi0H0X[KV1`2I/NP609>ZiPD0T:CR1P2C
X=d609ZOf0<0Xj7C0`2RW]460:fScP@0]JW=0`2hZLX60;j_b`80`[791`34]/d00`000000a[cA0<Jl
d@050<Jld@P0`l7H202m`]h70;K1h`@0/;oV0P2``>H00`000000fMWI0=WIf@2n0=WIf@00o`3IfMUe
0=WIf@<000000P2Y_>L70:RkiP<0Z;WV2P2V^nP30:Nki`<0YlSa1`2Xbo8V0:Vmj0<0YJCD1`2W[M`3
0:Nch@<0Zk?O1`2W]^@30::fiP<0XKSX1P2I/NP609>ZiPH0T:CR1@2CX=d609ZOf0H0XYkA1`2]Xlh2
0;FYc@D0^:W:102n[l/40<:ab@D0a;K=00<0b;W;00000036_=401@36_=420<Zod0H0`l7H0P36`mL6
0;g2gP80_/CN1`2f`N<60;30iP030000003IfMT0fMWI0;d0fMWI003o0=WIfG80fMWI0`0000060:Vl
i`H0Z;_V3@2V^nP70:O8l@@0Z<_b9@2Y_NP70:FTe0H0YjgL1`2[/ml60:Nfi0L0XKSX1P2I/NP609>Z
iPD0T:CR1@2CX=d709JKePH0XYkA1P2]Xlh70;RYbP<0_Zo;1@32/LT40<Bfc@80b;W;00<000000<Ri
b`36_=400`36_=440<Zod0@0`l7H0`36`mL40;g2gP@0_/CN1@2f`N<30;K2h`H0/<3V00<000000=WI
f@3IfMT0_03IfMT00?l0fMWIL03IfMT2000000<0ZKcW00<000000:Vli`2Y_>L0102Y_>L30:RkiP<0
YkcX2P2V^nP30:K5k`L0YlSa9@2Y_NP40:>Jc0H0YJCD1@2W[M`20:f]e`L0Zk?O0`2W]^@30:Vmj0H0
XKSX1P2I/NP609>ZiPH0R9kR1@2<V]`609JKePH0XYkA1@2]Xlh20:jSc0L0^:W:00<0_Zo;0<:ab@32
/LT01@32/LT20<Bfc@<0b;W;00<000000<Rib`38^L/00P36_=460<Zod080`l7H1@36`mL20;g2gPH0
_/CN0P2f`N<50;K2h`H0/<3V00<000000=WIf@3IfMT0_03IfMT00?l0fMWIK@3IfMT3000000H0ZKcW
00<000000:Vli`2Y_>L00`2Y_>L70:Nlj0H0Y[_X1`2VaNl40:O8lB@0ZKgX1`2SV/`70:FTe080YjgL
102][ML70:^cg`L0ZKgX1P2Q^>P509Vaj0L0S:GV1@28W^8608bJg0D0UY_F1`2RW]420:fScP@0[Z?<
1`2hZLX80<:ab@D0b;W;00<000000<Rib`38^L/0203:_m070<K3e`P0_/CN202f`^<60;30iP030000
003IfMT0fMWI0;/0fMWI003o0=WIfF/0fMWI0P0000020:Vmi`X0ZKcW102X_>P70:Nlj0H0Y/;]1`2V
aNlU0:Vmj0<0X9331`2SV/`60:FTe0L0[JgG102[/ml30;;3i`L0ZKgX1@2Q^>P609>_j@H0S:GV1P28
W^8508bJg0H0UY_F1P2RW]470:jSc0D0^:W:0P2lZlT60<:ab@80akC81038^L/010000000b;W;0<fl
bP3=_<X60<Zod080c/?@1@36`mL20<S6f0H0_/CN0P2oa]l70;K2h`H0/<3V00<000000=WIf@3IfMT0
^`3IfMT00?l0fMWIJ03IfMT3000000D0ZKgW1P2Y_>L80:Rlj0<0YkcX102W`>/60:K2k@@0Y/G_902Y
_NP60:2@``L0Xi[<0`2UY=@40:fSc@H0[JgG0P2[/ml50;;3i`L0ZKgX1P2M^N`609>_j@H0S:GV1@28
W^8608bJg0D0UY_F0`2RW]440:6Md0H0[Z?<102hZLX40;b[b@@0`[791037]<P30<Rib`040000003=
_<X0cKc:0<flbPD0b[o@0`3>`m040<K3e`@0b<KH0`2na=h50;o6g`D0]/;S0P2f`n@60;30iP030000
003IfMT0fMWI0;X0fMWI003o0=WIfFH0fMWI0P0000020:Zmi`L0ZKgW0`2Y_>L30:Rmj0L0Z;cX1`2W
`>/70:K2kBD0ZKgX0`2MR;d60:2@``H0Xi[<1`2]Xld60:f]e`P0//?W0`2Y_NP40:K6l0H0WKW/1P2C
[nT508bUiPH0R9kR1@2<V]`509JKePL0XIg@1`2^Xl`20;RYbPD0_:_90`32/LT50<Ndb0<0b;W;00<0
00000<flbP3=_<X00P3=_<X30<Zod0D0c/?@0P36`mL60<S6f0P0_lKO0P2f`^<40;K3i0L0/<3V00<0
00000=WIf@3IfMT0^@3IfMT00?l0fMWIH`3IfMT3000000D0Z[gW1P2Y_NL70:Rmj0@0Z;cX0`2X_^X7
0:O0j`<0Y/;]9@2Y_NP609f8_@H0X9331@2SV/`20:bH``L0[J?=102][ML20;c:i@L0//?W1`2Va_07
09fik0D0TjoY1@2<YNH608RNhPH0QIGL1@2AUmH70:6Md0H0[Z?<202lZlT00`32/LT0akC80<Ndb005
0<Ndb0030<Rib`3=_<X0000000@0cKc:0P3:_m060<k3d0L0b<KH0P3:bMT70;o6g`L0]/?T1P2``>H0
0`000000fMWI0=WIf@2i0=WIf@00o`3IfMUQ0=WIf@8000002@2Z_NL60:Vmj0L0Z;gX1`2X_^X60:O0
jbH0ZKgX0`2LQ;T609f8_@H0X9330P2SV/`40:bH``L0[J?=0P2][ML50;c:i@@0//?W0`2`e?<70:K6
l0<0WKW/102D]^l508^[j`D0PZ3V1P1oV>4508FEg0H0TIOF1P2QWM050:jSc080/:C<1`2lZlT80<Nd
b080cKc:00<000000<flbP3=_<X00P3=_<X70<k3d080dLO@1@38a]P30<[9f@D0_lKO0`30an060;K3
i0L0/<3V00<000000=WIf@3IfMT0^03IfMT00?l0fMWIGP3IfMT3000000`0Z[gW1P2Y_NP40:Rmj0<0
Z;kY1`2X_^X30:O0jbD0ZKgX1P2LQ;T609f8_@H0X9331`2/V<<60:fSc@P0_<[U1`2`e?<60:K6l0L0
U;K_1P2;Zn/508:PiPD0OiSQ1P25UM`5096GePL0XIg@0P2^Xl`40;2Tc0H0_:_90P30[/P60<Ndb080
c;S700<0cKc:0000003=_<X00P3=_<X20=;1bPD0c/?@103Aam030<S6f0D0b/WI0P2oa]l60<37h0<0
]/?T0`2fa>@70;30iP030000003IfMT0fMWI0;L0fMWI003o0=WIfE`0fMWI0P0000020:Zli`h0Z[gW
1P2Y_NP70:Rnj@H0Z;kZ9P2Y_NP309b3^0H0W8Bi1P2MR;d40:2@``80Z8jj1P2/V<<50:fSc@80a]7S
1P2lb^D20;SVm@L0/=Cc1P2L_>l709Bfk`H0Rj_[1@22X>H507nHh@D0QIGL1P2AUmH60:6Md0L0/:C<
102lZlT30<2^b0D0akC80`3<^<L0103=_<X000000<flbP3=_<X40=;1bP<0c/?@1P3Aam000`38a]P0
b/WI0<[9f@040<[9f@P0`<OP1`2fa>@40;30iP80[l7V00<000000=WIf@3IfMT0]`3IfMT00?l0fMWI
F@3IfMT3000000D0Z[cW3P2Z_NL60:Vmj0L0Z;kY0`2X_^XU0:Vmj0H0W8>h1P2LQ;T609f8_@80X933
102XS[X70:bH``80[J?=1@36dN<30;c:i@D0^>Ke102`e?<30:Bkj@H0W;c_1P2D]^l608^[j`D0PZ3V
1@1oV>4608FEg0D0TIOF1`2PW=060;2Tc0<0_:_91030[/P40<Ndb0D0c;S700<000000<flbP3B`LX0
1@3B`LX00`3>`m00dLO@0=77d0050=77d0H0b/WI0P3;c=X60<37h080_lSQ1`2fa>@60:o1iP030000
003IfMT0fMWI0;H0fMWI003o0=WIfEH0fMWI0`0000020:ZliPL0Z[cW0`2Z_NL30:Zli`L0Z[gW1`2Y
_NP60:RnjBD0ZKgX102MQ[/509b3^0H0W8Bi1P2MR;d70:R>^PH0[9S32036dN<80;SVm@L0Y;_Y1P2L
_>l608^]k@H0PZCZ1@1gV^H407BBhPH0QIGL1P2=UML60:2Ld0L0/:C<00<0_:_90<2^b030[/P01030
[/P20<Ndb0H0c;S700<0cKc:0000003B`LX01@3B`LX70=77d080dl_A103:bMT40<_<fP@0`<OP0`2o
b>450;K4i0<0]/CU1P2_`NH00`000000fMWI0=WIf@2e0=WIf@00o`3IfMUD0=WIf@8000001P2Z_>H=
0:Zli`L0Z[gW1`2Y_NP30:Rnj@<0Z[gX8@2Y_NP709f6^`H0W8>h1P2LQ;T409f8_@80Y8Jd1P2XS[X5
0:bH``80cmWQ1P36dN<30;Kik0@0^>Ke0`2Y_NP70:Bkj@H0VKK/1P2;[Nd508:TjPH0Mi[V101dT^86
07b@g0D0SIGG1P2PW=070;2Tc0L0`:k800<0akC80<bha`3<^<L01@3<^<L00`3B`LX000000=;1bP04
0=;1bP80e/K;1@3Aam040=?;d@80b/WI1P3;c=X20<37h0D0_lSQ0P2fa>@50;K4i@H0[l7V00<00000
0=WIf@3IfMT0]@3IfMT00?l0fMWID@3IfMT3000000030:ZkiP000000Z[cV00H0Z[cV0`2Z_>L30:^l
iPL0Z[cW1`2Z_NL60:Vmj0L0Z[gX7P2Y_NP309j<`0H0WHJk1P2LPkP609b4^@80WHRm102TQ[@70:R>
^P<0[9S3103?fN430<KAh`H0]_W/1`2Y_NP40:Bkj@<0ZKgX1P2I]^`608^]k@D0PZCZ1@1gV^H507BB
hPD0O93L1P2=UML60:2Ld0@0/:C<0`2cYl`60<2^b0P0c;S700<0dKk80000003B`LX00`3B`LX30=K6
b`@0dLO@1@3Cbm480<_<fPL0_lSQ202fa>D30:o1iP<0[l3W00<000000=WIf@3IfMT0]03IfMT00?l0
fMWIC`3IfMT2000000D0Z[_V00<000000:ZliP2Z_>H0102Z_>H70:^liP@0Z[cW0`2[_>H70:Zmi`<0
ZKgX0`2[_^P70:Zmj1X0ZKgX1P2NS<0609f6^`H0W8>h1P2LQ;T60:B6]0L0Z8jj0P2/V<<60<oIh@D0
]_W/4@2Y_NP709Vfk0D0Rjg]1@22Y>X607NJiP@0M9;R1@1lT=`608fEe`H0X9c@0P2`Y<`50;>Wc0D0
`:k80P35/lT60<bha`80dKk800@000000=;1bP3B`LX0d/7:1@3Fa//20=77d0D0dl_A0P3Ecm<60<_<
fP80blkL1@2ob>420;o9hPL0]/CU1`2_`>L00`000000fMWI0=WIf@2c0=WIf@00o`3IfMU<0=WIf@<0
00002@2Z^nH30:ZliP<0Zk_U3P2[_>H60:Zmi`L0ZkkX102Z_NPJ0:Vmj0<0XIC71@2NS<0709f6^`H0
W8>h102LQ;T209n0/@H0Y8Jd1P2XS[X70<oIh@<0QnFa5@2Y_NP609Vfk0H0QjCW101jW^T607NJiPD0
M9;R1@1lT=`608fEe`D0X9c@202cYl`30<2^b0@0aK?9103<^<L30=6nb0030000003A_/P0d/7:00H0
e/K;1P3Cbm440=G?d`@0blcJ103;c]`20;o8h@D0_lWR1@2fa>D20;C4iPH0[l3W00<000000=WIf@3I
fMT0/`3IfMT00?l0fMWIBP3IfMT2000000`0Z[_V1`2[^nD40:^liP<0Zk_U1`2[_>H30:Zmi`<0ZkgW
1`2[_^PJ0:Vmj0H0XIC71P2NS<0609f6^`H0W8>h0P2LQ;T409n0/@H0Y8Jd1@2XS[X20=CQh@D0cmWQ
0P27iK4G0:Vmj0L0UZgV1P27Y>L407ZNj@H0K9?V101WS>8507b@g0H0SIGG1P2OW]870;>Wc080`:k8
1@35/lT30<bha`@0dKk800<000000=6nb03Fa//01@3Fa//20=[<c0@0dl_A1P3Ecm<20<_<fPD0blkL
202obN820;K4i@D0]<CV1@2_`>L00`2^`>L000000=WIf@2c0=WIf@00o`3IfMU70=WIf@<000000P2Y
^nH:0:ZkiP<0Zk[U3P2[^nD60:^liPL0ZkgW102[_^P30:ZmiaL0ZKgX0`2TWm060:6Da`D0WXc01P2M
Q[/609b3^0H0Wh2a1P2TQ[@40:R>^P@0e>7Q0`3?fN4K0:Vmj0H0UZgV1P27Y>L507ZNj@D0K9?V1@1W
S>84076<g@L0Qi?I1P2OW]860;>Wc0P0aK?900<0c;S70=6nb03A_/P00`3A_/P00`000000dKk80=K5
b@040=K6b`@0f/c<0P3Cbm470=G?d`H0blkL0P3:cmh70;o9hPP0]<CV0P2_`>L40:k0i`030000003I
fMT0fMWI0;40fMWI003o0=WIfDD0fMWI0P0000060:VkiPH0Z[_V1`2[^^D40:^ki@<0Zk[T1`2[^nD3
0:^liP<0[;cU1`2[_NL70:Zmia<0ZKgX1P2TWm060:6Da`D0WXc01P2MQ[/309b3^0@0VWba1P2OP;46
0:B6]080Z8jj1P3DhN4N0:Vmj0H0UZgV1P27Y>L507ZNj@D0K9?V1@1WS>84076<g@H0Qi?I1P2OW]85
0;>Wc080]jc>1`35/lT60=6nb0030000003FaLT0e/G900<0e/K;1P3Jc<`70=G?d`80e]?F103;c]`4
0<[?gPD0_lWR0P2mbN@70;C4iPH0[/3W00<000000=WIf@3IfMT0/@3IfMT00?l0fMWI@P3IfMT30000
0080ZK[V1`2Y^nH30:ZkiP<0Z[[U1`2[^^D70:^ji0H0Zk_U1`2/_>D50:^mi`80[;gV1`2Z_NL@0:Vm
j0<0YZWH1P2TWm050:6Da`H0WXc01@2MQ[/709Yl/@H0Wh2a1P2TQ[@00`2XS[X0e>7Q0=CQh@040=CQ
hB00ZKgX1@2F[NH608NTi`D0NYkY1@1/TnH506N<hPD0LHcM1P27TmT609nNdP80/jO<1@2g[<h50<Fc
b@80b[[:1@3A_/P01@000000e/G90=K5b@3FaLT0e/K;00L0f/c<00<0g=;>0=G?d`3Ecm<00`3Ecm<4
0=KCeP80blkL1P3:cmh20;o9hPD0_LWT0`2da>H40;?4iPH0[/3W00<000000=WIf@3IfMT0/03IfMT0
0?l0fMWI?`3IfMT3000000H0ZK[V1P2Y^nH70:Zji@@0Zk[U0`2[^N<70:^ji0<0Zk_U0`2/^n@70:bl
i@80ZkgW1@2/_NH60:Zmi`d0ZKgX1P2VZMP60:BOd0H0XIC71@2NS<0309f6^`<0UWbd1P2JO;4609n0
/@H0Y8Jd1@3DhN4R0:Vmj0H0UIoK1P29X^D507FKj0@0HHkV1P1WS>84076<g@H0Qi?I1P2OW]870;N/
cP@0aK?9103:^/X30=6nb0030=K5b@000000e/G90080e/G91`3Jc<`20=cBcP@0eLoC1@3FdmH80<[?
gPL0_LWT202ca>H60:k0i`030000003IfMT0fMWI0:l0fMWI003o0=WIfCd0fMWI0P0000030:VkiPL0
ZK[V0`2Y^nH30:Vii@L0Z[[U1`2[^N<60:^ji0L0[;_T1P2/_>D80:bmiP<0Z[gW0`2Z^nH:0:Vmj0<0
Z;7N1P2VZMP60:BOd0D0XIC71@2NS<0609Il]0H0VWba1`2OP;440:B6]080dnSU0`3DhN4Q0:Vmj0<0
WIO=1P2EWm/508VRi@H0MI_X101QS^H505Z6h`D0LHcM1P27TmT309nNdP<0Wj7F1`2g[<h20<Fcb@H0
b[[:00@0dKk80=K5b@3FaLT000000`3FaLT00`3Jc</0f/c<0=[<c0030=[<c0@0g=;>0P3Ecm<50=KC
eP80eMKI1@3:cmh30<S@h0D0_LWT0P2kbND70;?4iPH0[/3W00<000000=WIf@3IfMT0[`3IfMT00?l0
fMWI3@3IfMT2000002/0fMWI0`0000060:VkiPH0ZK[V1`2Y^ND50:Zji@80ZkSS1`2[^N<30:^ji0<0
[;WS1`2/^n@30:bli@<0[K_T1`2/_NH70:ZkiPH0ZKgX1`2X/Mh50:JYf0H0Y9o@1@2QU<L609=o^PD0
UWbd1P2JO;4709n0/@<0Y8Jd103Cj>DP0:Vmj0L0WIO=1P2EWm/508VRi@H0MI_X101QS^H505Z6h`@0
IXSP1P27TmT609nQePL0]jc>203:^/X30=K5b@030000003FaLT0e/G900<0f/c;0`3Jc<`50=cBcPH0
e]?F103Ee]T20<[?gPH0b=3P0P2mbN@50;_9i@D0/lCV0P2b`nL60:k0i`030000003IfMT0fMWI0:h0
fMWI003o0=WIf@`0fMWI00@000000=WIf@3IfMT00000:03IfMT2000000<0Z;_W1`2Y^nH30:VjiPX0
ZKWU0P2Z^^D50:^hh`H0ZkWS1`2/^N<60:bki0L0[K_T102/_NH30:jli0L0Z[_V0`2Y_NP30:RehPH0
Z;7N1P2VZMP50:BOd0H0TXK31@2COkX609Il]0H0VWba1P2OP;420:B6]0@0dnSU7`2Y_NP309j:_PH0
WIO=1P2EWm/508VRi@H0MI_X1@1QS^H405Z6h`D0IXSP1P21U=`609nQePD0]jc>0P2k/m860<ZjbP80
cl;=0P3FaLT00`000000e/G90=[<b`040=[<b`030=[<c03Ld/h0g=;>00<0g=;>0P3Mf=440=KCePD0
eMKI2038d>080;_9i@80/lCV102b`nL70:k0i`030000003IfMT0fMWI0:d0fMWI003o0=WIf@`0fMWI
00@000000=WIf@3IfMT000009@3IfMT3000000H0Z;_W1P2Y^nH=0:Vii@P0ZkSS0`2[^N<30:bhh@L0
[;WS0`2/^n@30:jjh`L0[K_T1`2^_>@60:ZkiPL0Z;GR1P2X/Mh50:JYf0H0Ti7>1@2BQ/<509=o^PH0
UWbd1P2JO;4609n0/@D0dnSU7@2Y_NP609j:_PL0WIO=0`2EWm/30::_h@D0S:WY1P1`W>/405J;j0D0
FXKS1@1VR>05086Dg0H0Wj7F102g[<h30;^cdPD0b[[:0`3?`/d20=K5b@030000003Jc</0f/c;00@0
f/c;1@3Ld/h40=gHd@80e]?F1@3Ee]T20=?Hg0H0b=3P0P35d><70;_9i@L0//?W0`2^`>L30:foi`03
0000003IfMT0fMWI0:d0fMWI003o0=WIf@`0fMWI00@000000=WIf@3IfMT000008`3IfMT200000003
0:Rli`000000Z;cW00L0Z;_W0`2Y^nH30:RiiPX0ZKWU0`2Z]n<70:^hh`L0[;SQ1P2/^N<70:jjh`@0
[K_T0`2^^n<70:jli0<0Z[_V0`2/^N<70:RehPD0Z;7N1P2HW]P509>AcPD0TXK31P2COkX509Il]0H0
VWba102OP;430<K/kP<0dnSU602Y_NP709Uj[`H0WXZn1P2MUld70::_h@D0S:WY1@1`W>/505J;j080
Bh7T0P1JQ^<506J8h0H0PICL1P2OXMH20;N/cPD0^k?B0`3:^/X50<o2c@030=K5b@000000f/c;00D0
f/c;00@0g]C>0=cBcP3Ld/h0g=;>1P3Mf=450=GFf@@0dmSL0`38d>050<G@h`<0^lWU102ib>H60;;3
i`L0[KoW00<000000=WIf@3IfMT0[03IfMT00?l0fMWI303IfMT010000000fMWI0=WIf@00000P0=WI
f@<00000102X_>L00`000000Z;cW0:Rki`050:Rki`L0Z;WV1P2Y^ND70:Zgh`@0ZkSS0`2[]^470:bh
h@<0[;WS0`2^^>470:jjh`L0[[_S1P2^_>@70:bih`H0Z;GR1P2MZ]l509RNf0H0Ti7>1@2BQ/<509=o
^PD0UWbd1P2JO;4209n0/@H0a^c^602Y_NP309=]X`H0VGZ_1P2NR[h509fGc@80/JcC1`2R[n4508bY
j@D0L9c[1@1FRnP304^1i0H0IXSP1@21U=`609nQePL0^k?B0P3:^/X60<o2c@030=[<b`000000f/c;
00@0f/c;0`3Ne<h00`3Ld/h0gMSA0=gHd@040=gHd@80gMcE0`3Ee]T60=?Hg0L0aM3S202ib>H30;;3
i`<0/<;W1`2]_nL00`000000fMWI0=WIf@2[0=WIf@00o`3IfMT<0=WIf@040000003IfMT0fMWI0000
01h0fMWI0P0000030:Vli`L0Z;cW1P2X^^H70:RiiPH0Z;OS1`2Z]n<70:^fh@H0[;SQ1`2^^>450:jj
h`80[kWP1`2^^n<30:jli0<0[[_S1`2/^N<30:RehP<0Xk?S1@2MZ]l609RNf0D0Ti7>1@2BQ/<509=o
^PH0UWbd1@2JO;470<K/kQH0ZKgX1P2CKJ<609Uj[`L0WXZn0P2MUld40;6/d`L0XZoQ1@2<ZNT5072L
j`D0EX_X101;PN@505V6h`D0PICL1`2OYm/60;^cdPP0cl;=00<0e<_A0000003Jc</00`3Jc</40=kD
cPH0gMSA103Mg=D00`3Ee]T0dmSL0=?Hg0040=?Hg080d=WP1@35d><20<;?i@L0^LSV1`2``^L40:fo
i`80[;oX00<000000=WIf@3IfMT0Z`3IfMT00?l0fMWI3@3IfMT2000001`0fMWI0`0000060:Vli`@0
Z;cW0`2X^nL60:RjiP@0Z;WV0`2W]n@60:Rgh`@0Z[OS0`2Z]N470:^fh@<0[;SQ0`2^]]l70:jhh@80
[[[S1@2_^N0<0:jkh`L0[;WS1P2S/n<609fZg`D0V9kH1P2CTLh409:6``H0Tgnj1@2FO;@409Yl/@<0
Z^Oj0`36k>hF0:Vmj0<0T6BK1@2CKJ<609Uj[`L0WXZn1`2a[=<30::_h@@0ZLW`1@2;]?4506VNk`80
BhWY0`1FRnP404^1i0D0FHKS1@1kU^8609nWf`D0^k?B0P2o_=L60<o2c@<0e<_A00<000000=[<b`3J
c</01@3Ne<h00`3Pfm40gMSA0=gHd@020=gHd@D0gMcE1P3Cf=`30=3Ih0@0aM3S1032cnD50;W8iP80
]/OW1`2``^L60:boj0030000003IfMT0fMWI0:X0fMWI003o0=WIfBP0fMWI00<0ZKcX000000000000
0`2Y_>P70:Vli`L0Z;_W1P2X^^H70:Ngi0H0Z;OS1`2Z]N460:^fh@L0[[KO1P2^^>480:nih0<0[[_S
0`2`^^460:jkh`<0[;WS102X^>@60:>ch`D0WJ[O1P2HW]P509>AcPD0TXK31@2COkX509Il]080VWba
1P2ZioXE0:Vmj0H0T6BK1@2CKJ<709Uj[`D0WXZn0P2gXl@60;6/d`L0ZLW`1P2;]?4506VNk`@0BhWY
1@1;PN@405V6h`H0NiKR1P2OYm/30;^cdP@0_kcG103?`/d40=C;d@030000003Jc</0g]C>00@0g]C>
0`3Pfm420=gHd@D0gMcE0P3KgmT40=?Hg0D0d=WP0P35d><60<;?i@80^LSV1@2fanL30;32i`@0[l;X
1@2/_nP00`000000fMWI0=WIf@2Z0=WIf@00o`3IfMTV0=WIf@<000001P2Y_>P40:Vli`X0Z;_W0`2X
^^H30:Nhi@L0YkOT0`2X]n<30:RdhPH0Z[GQ1@2[]^420:bcgPL0[[KO0`2^^>430;2fgPL0[kWP1P2`
^^460:jkh`L0Z;ST1P2S/n<509fZg`H0V9kH1@2CTLh509:6``D0Tgnj1@2FO;@60:[WnQD0ZKgX0`2>
GiL5091TV`H0TffS1P2INZl309j:_P@0]j?41@2a[=<20<KQk0L0ZLW`1@2;]?4606VNk`@0BhWY100l
OND505V6h`D0NiKR1P2OYm/20;^cdPD0_kcG0`3?`/d50=C;d@030000003Ne<h0g]C>00<0g]C>1@3P
fm450=gLe@@0fmoI0P3Cf=`60=3Ih0P0`/oU1`2fanL70:o2j0H0[;oX00<000000=WIf@3IfMT0Z@3I
fMT00?l0fMWI8`3IfMT3000000@0ZKgX1P2Y_>P=0:Rki`L0YkSU1P2W]n@70:RdhPH0Z[GQ0P2[]^45
0:bcgPH0[[KO1P2`]]h50:nih0<0/KSN1P2`^^430:jkh`<0[K[S1`2X^>@50:>ch`H0RKCb1P1b[_H5
05ZXn0@0C:Wh1@2COkX807kCoaD0ZKgX1P2>GiL5091TV`H0TffS1P2INZl209j:_PH0]j?40`2a[=<4
0<KQk0H0ZLW`1P1o]oP505nMl@@0BhWY1@0lOND204^4iP80FHKS1P1kU^8509nWf`P0_kcG00<0cl;=
0=C;d@3Dbm40103Dbm400`000000fMKE0=kDcP020=kDcPH0h=_A00@0h>;E0=gLe@3Mg=D0gMcE1P3K
gmT60=3Ih080bmSS1P32cnD20;k>iPD0]/OW0P2daNL70:o2j0H0[;oX00<000000=WIf@3IfMT0Z03I
fMT00?l0fMWI8@3IfMT2000000P0ZKgX0`2Y_>P30:Rlj0X0Z;_W0`2W^NH70:Nhi@<0YkOT0`2V]N<6
0:RdhPH0Z[GQ1`2//mh50:jfg`80[k?L1P2`]]h20:nih0D0/KSN1P2`^^470:fjh`H0Z;ST1P2J^>d6
08VdlPH0LZkf1@1JZ?P504bYn0H0F;Sl602Y_NP308eMU0D0SUnG1@2@I9/609=]X`H0VGZ_202gXl@2
0;6/d`H0a^7/1P2He_d607ngn0D0Giga0P0oQ^X204^9j@D0?7gU0`1;Q>H607^FhPH0X:oS1`2o_=L6
0=C;d@050=WFe@000000fMKE0=WFe@3Ne<h01P3Pfm430>3Re@030=gLe@3KgmT0fmoI00@0fmoI0P3H
hMd30=3Ih0D0bmSS0`32cnD50;k>iP80]/OW1@2daNL60:o2j0H0[;oX00<000000=WIf@3IfMT0Z03I
fMT00?l0fMWI7P3IfMT3000000X0ZKgX1`2X_>P60:Rki`L0YkWV1P2W^>D70:Jeh`H0Z;CR0`2Z]N43
0:ZbgPL0[;?N0P2^]]l40:ncg0H0/;KN202a^=h30;2jh@<0/KWO1`2]^^<30:Rhi0<0YK[X1P2J^>d6
08VdlPD0LZkf1@1JZ?P604bYn1X0ZKgX1P2=GI@508iOU`H0T6BK1@2CKJ<509Uj[`80^9Nf1`2gXl@7
0<KQk080[?3g1P2He_d607ngn0D0Giga0`0oQ^X503ami@@0BhCV1P1cVNP60:2_h`D0_kcG0P33amd4
0=C;d@80fMKE00<000000=WFe@3Ie]D01P3Pfm440>3Re@H0fmoI103HhMd80<_Hh`L0_/kV202daNL3
0:o2j0<0[/7X1P2/_nP00`000000fMWI0=WIf@2W0=WIf@00o`3IfMTL0=WIf@8000002`2Y_NP30:Vl
j0L0Z;cX0`2X^nL30:Nji`L0YkWV0`2W^>D30:Ffi@L0Y[GS1@2X]>860:ZbgPL0[;?N1`2_/m`30;2f
gP<0/[GK1`2a^=h70;6ig`H0[K[S1`2U^^P609Zhk@P0Q<_n9@2Y_NP308eLU0D0SEfD1@2>GiL6091T
V`H0TffS0`2INZl30;RG]PH0]j?40`3MnM/30<KQk0D0[?3g1P2He_d507ngn0D0Giga100oQ^X202ij
i@<0?7gU101;Q>H507>Ij0L0X:oS0P2o_=L50<?7g@80e<_A0`3Ie]D010000000fMKE0=_Of@3KgmT4
0>3Kd@@0h>;E0`3NimX30=_Of@@0f>7M0P3ChN850<_Hh`<0a]KV1@2nc^H20;[;i`L0]<GW1`2^`NP3
0:boj0<0ZkkX00<000000=WIf@3IfMT0YP3IfMT00?l0fMWI6@3IfMT3000000X0ZKgX1`2Y_>P60:Rl
j0L0Yk[W1P2W^NH70:Ffi@H0Y[GS1P2W/Ml60:ZbgP<0[;?N102]/MX60:ncg0L0/[GK1@2a^=h20;>g
f`L0/KWO0`2]^^<30:fki0L0YK[X1`2Kb?L408C;oR@0ZKgX1P2=G9@508eMU0D0SUnG1P2@I9/609=]
X`80VGZ_1@2hUkH40;NSa0D0gOWK1@2/l?L30::jjPH0R;Kd1@1c[_H505RJl@80>8KZ0P0oQ^X402ij
i@D0BhCV1@1cVNP60:2_h`P0`lOM103Ie]D00`000000fmoI0=_Of@020=_Of@80h=_A103Ph]D50=kW
fPD0f>7M103ChN820<_Hh`H0a]KV0P2nc^H50;[;i`<0]<GW102aa>P60:k1j0H0ZkkX00<000000=WI
f@3IfMT0YP3IfMT00?l0fMWI5`3IfMT2000000h0ZKgX1`2Y_>P30:Rlj0<0Z;_X1`2W^^L30:NiiP<0
YKOV1`2U]^D30:Jeh`<0YK7Q1@2W/Ml60:ZbgPL0[K7J1@2_/m`20;6af0L0/[GK0P2a^=h50;>gf`H0
/KWO1`2]^n@40:Fjj0<0Z<;/1`2Kb?LU0:Vmj0<0SEjE1@2=G9@508eMU0H0SUnG1@2@I9/609=]X`03
09Uj[`2hUkH0^9Nf00@0^9Nf0`2gXl@50=gif`<0W?;71`2R^^X608Rfm0D0Ljkf1@1HV_4403R6jP@0
;W[U100lPnP507>Ij0<0X:oS102O^^/60<?7g@80a]?T0`3Ie]D00`000000fmoI0=_Of@030=_Of@@0
h>;E1@3NimX20=[Yg`<0f>7M1@3ChN880<KFiPL0^/_W202aa>P30:k1j0<0[L3X1P2[_^P00`000000
fMWI0=WIf@2U0=WIf@00o`3IfMTD0=WIf@<0000000<0ZKgX0000002Y_NP03P2Y_NP60:Vlj0L0Z;_X
1P2W^^L70:FgiPH0YKKU1`2U/N450:Nag`<0Z[;N0`2Z[]/70:fafP80[k?L1@2a/MP60;:ef`P0/kOK
0`2a^Ml30;>igPL0[K_T1`2X`^`409_8m`<0Z[gX8@2Y_NP608eNU@D0SEbD1@2=GI@608iOU`D0T6BK
1P2CKJ<80;RG]P030;NSa03MnM/0gOWK00<0gOWK0P2Ll/L30:Vmj0L0X[[Z1@28]_@507>^mPH0F9[a
100hQ^X202Aji@80;W[U100lPnP406ZNk`L0Wk[[1033amd50<KCi0030=WFe@3KgmT0000000@0fmoI
0P3Kimh20>3Re@D0g^OJ103JjMl00`3HhMd0dn7R0=?QhP030=?QhP80cMoV1P36e^H20<7Cj0D0^/_W
0P2fbNP70;74j0L0[L3X1P2[_^P00`000000fMWI0=WIf@2T0=WIf@00o`3IfMTB0=WIf@800000102Y
_NP00`000000ZKgX0:Vmj00>0:Vmj0H0Z;cX1`2X^nP60:Jii`L0YKOV0`2U]^D30:>ch`H0YK7Q1@2W
/Ml70:Z^f`H0[K7J1`2a/MP50;:ef`80]K?G1`2c]m/70;>igP@0[K_T0`2`_^@70:S2k0L0Z[gX7P2Y
_NP308mRV@D0SEjE1@2=G9@508eMU0H0SUnG1P2@I9/509=]X`030;F<Z`2hUkH0^9Nf00D0^9Nf1@3M
nM/70:Vmj0H0X[[Z1P2>/Nh507:Sl0D0FIW`1@0hQ^X302Aji@D0?8?X101ZW^l709njj`80`lOM1P36
dn@20=_Of@040000003KgmT0fmoI0=_Of@@0fnON1@3NimX50=[Yg`D0dn7R103=gnH30<KFiPD0`M?X
0P2jbnL50;K9j0D0/LCX0P2_`nP70:g0j0D0ZkkX00<000000=WIf@3IfMT0Y03IfMT00?l0fMWI3`3I
fMT3000000L0ZKgX00<000000:Vmj02Y_NP03P2Y_NP60:Rlj0@0Z;_X0`2W^nL60:Jii`H0YKOV1`2S
/n<60:Fah@80Yk7O0`2V[M`70:Z^f`<0[K7J0`2_[]L70;6af080/[GK1@2e/mL50;>gf`80][OI1`2c
^Mh70;2ni0@0Z<;/0`2danP70:Zmj1X0ZKgX1P2?HYT508eNU@D0SEbD1@2=GI@608iOU`H0T6BK102C
KJ<20;F<Z`L0^9Nf0`3GnJ`@0:Vmj0H0S[7^1@1bXo0505VIl0@0>8S/100TN^D202n4jP<0?8?X101Z
W^l609njj`L0a]?T0P37gnX0103KgmT000000=_Of@3KgmT40=_WgP80f>gR0`3NimX50=[Yg`80eNWT
0`3ChN860<gOiPL0`M?X202fbNP20;74j0@0[l?X1`2]`>P60:^nj0030000003IfMT0fMWI0:<0fMWI
003o0=WIf@d0fMWI0P00000;0:Vmj0030000002Y_NP0ZKgX00h0ZKgX1P2X_>P70:Nki`H0Y[WW1P2S
]ND70:>ch`D0YK7Q1P2V[M`60:Z^f`L0[jkG1P2a/MP80;Fce`80/kOK1@2f]mT50;>igP80][_M1`2`
_^@70;C7j0H0Z[gX5`2Y_NP4099XW`D0Sf:I1@2=GYD508eLU0H0SEfD1@2>GiL6091TV`<0TffS102e
S:/50;RG]P<0eoV/4P2Y_NP608jakPD0LZ?`1@1IVO0403R8k08087gW0P0TN^D402n4jPD0JYk_1P2N
aO@50<KCi0@0amoZ00<000000=_Of@3Kimh00`3Kimh40=S]hPH0f^WO103EjN@70<gOiP80a]_X1@31
dnP20;c?j@L0]/WX1`2_`nP30:g0j0@0[;oX1P2[_^P00`000000fMWI0=WIf@2R0=WIf@00o`3IfMT:
0=WIf@<000007`2Y_NP60:Rlj0L0Yk_W0`2V^NL30:Bgi`H0XkGU1P2S/n<60:>]g`H0YZgL0`2Z[]/3
0:Z[e`L0[jkG0`2a/MP30;B_e0L0]K?G202f]mT20;>igPD0][_M1@2`_^@20;O0h@L0]<OX0`2Z_NPF
0:Vmj0L0TVRO1@2?HYT508eNU@D0SEbD1P2=GI@508iOU`H0T6BK0P2CKJ<50;F<Z`@0^9Nf0`3GnJ`D
0:Vmj0H0TJSV1@1kX^/406:Ll0D0>8S/100PONL402n4jPD0H:Gf1P2NaO@30<KCi0D0amoZ00<00000
0=_WgP3Kimh00P3Kimh40=S]hP<0do3V0`3JjMl40=GYi0<0cnOX0`3=gnH50<KKj080`M?X1@2lcnT4
0;K9j0<0/lKX1P2_`nP80:boj0<0ZkkX0P2Z_^P00`000000fMWI0=WIf@2R0=WIf@00o`3IfMT70=WI
f@<000008P2Y_NP70:Rlj0H0Yk_W1`2T]nL60:>ei@<0Xk?S0`2P[n850:>]g`H0YZgL1`2ZZmL60:n^
e`L0]:oD1@2e/mL20;Rce0L0][OI202f^md20;2ni0D0]l3Q1P2danPG0:Vmj0<0UW>Y1P2BJ9l508mR
V@D0SEjE1@2=G9@608eMU0D0SUnG1P2@I9/00`2CKJ<0]Hb[0;F<Z`040;F<Z`@0^9Nf0P3GnJ`F0:Vm
j0D0TJSV1P1kX^/406:Ll0D0?hk^100PONL202N7j`80;hCZ1@1PYOH609k5m0H0amoZ00<0a^W^0000
0036jNh00P3Kimh40=S]hPD0do3V1@3EjN@50<oWj0L0a]_X202lcnT70;?6j0<0[l?X0`2^`NP70:bo
j0H0Z[kX00<000000=WIf@3IfMT0X@3IfMT00?l0fMWI1@3IfMT2000002<0ZKgX2P2X_>P30:Nki`<0
YKWX1`2T]nL50:>ei@H0X:oR1P2S[Ml30:J]g0<0YJWI1P2ZZmL50:n^e`80/:_C1`2d[m@20;Fce`D0
^;?D1@2f]mT20;ZgePL0][_M202g`>430;C7j0<0[KkV4`2Y_NP609IcZ@H0TVRO1@2?HYT508eNU@H0
SEbD1@2=GI@608iOU`D0T6BK202eS:/20;RG]P030=Oi[02Y_NP0ZKgX01H0ZKgX1P2AZ>H607^Rj`@0
HYc`1@0oS^h202B4jP8087gW0`0WQn/5062UmPL0V]3k0`37gnX30<KYkP0300000036jNh0a^W^00@0
f>gR1@3Cl>H20<k`jP<0eNWT1@3?inP20<SSj`D0a]_X0P30enX50;c?j@<0]lcY1P2ca^P70:k1j0@0
[;oX0`2[_nP60:Znj0030000003IfMT0fMWI0:00fMWI003o0=WIf@80fMWI0`00000R0:Vmj0d0Z;cX
1`2U^NP60:Bgi`H0X;;U1P2P[n850:>]g`L0YJWI1P2ZZmL20:n^e`D0/:_C1P2d[m@80;Rce080][OI
1@2j]mH50;Jkg@80^kcJ1`2g`>470:fniP@0ZKgX0`2Y_>L90:Vmj0<0Vh:f1@2FLjT6099XW`D0Sf:I
1@2=GYD608eLU0D0SEfD1P2>GiL5091TV`030;22X`2eS:/0]Hb[00D0]Hb[00<0^9Nf0=Oi[02Y_NP0
6@2Y_NP5096XiPH0Nj;[1@1RW?0503n>kP<098CZ1@0WQn/405N[n@L0V]3k1P36jNh010000000`^ka
0<;^l@32k_460=?`iP@0c_3Z1@3?inP50<SSj`80a]_X1@30enX20;c?j@H0]lcY0`2ca^P30;34j@L0
[/7X1P2[_nP60:Znj0030000003IfMT0fMWI0:00fMWI003o0=WIf@8000009P2Y_NP:0:Rlj0<0Yk_X
1`2U^NP30:Bgi`<0XKGW1P2P/^D50:2_hP<0XjgO0`2PZMd60:FYf@H0ZZ_G1`2`Zm<50;B_e080]ZkA
1`2h/m@80;ZgeP80][_M1@2k_=X50;O0h@80_KoL1`2]_^H60:Vli`H0ZKgX1P2KP[H509IcZ@H0TVRO
1@2?HYT608eNU@D0SEbD1@2=GI@608iOU`@0T6BK0P2`PZ<70;F<Z`0309o<G@2Y_NP0ZKgX01T0ZKgX
1P2GYN0608NYj`D0KJCb101;V?8502B4jP@09Xk]101GZoT409[@n`@0UMWn0`36jNh01032k_400000
0<;^l@32k_430;c`l`<0do3V103>l>X20<S]kP<0cnOX1P38hn/70<3GjPP0]lcY1`2`a>T40:k1j0<0
[<3X1P2[_nP60:Znj0030000003IfMT0fMWI09l0fMWI003l0=WIf@<00000:@2Y_NP60:Rlj0L0Yk_X
1P2U^NP70:6ei`H0X;;U102P[n870:2Yg@H0YJWI0`2ZZmL30:^We0L0/:_C0P2d[m@50;J^d@D0^;?D
0P2k/]470;ZgePP0^kcJ0P2g`>450;fog0<0[KkV102//mh60:Vli`<0ZKgX0`2QT/D509^2]PD0UW>Y
1P2BJ9l608mRV@D0SEjE1@2=G9@508eMU0H0SUnG0`2@I9/30;22X`L0]Hb[5`2Y_NP609bId@H0UjGP
1P27ZN/506fTlP@0BiSb1@0_Snl402J>k@@0D[7j202EfOh30<;^l@030000002ll?<0_?3c00@0_?3c
103>l>X50<S]kPL0b>?[0P32gNd40<3GjP<0^m7[1P2gc>T20;?8j@L0/<CY1P2/`>P60:^oj0L0Z[kX
00<000000=WIf@3IfMT0WP3IfMT00?X0fMWI0P00000]0:Vmj0H0Z;cX1`2W^nP60:>hj0L0XKGW1@2P
/^D509b[h@H0X:WM1P2UZMT70:^We0H0/:_C1`2f[]440;Rce0@0^k;A1@2j]mH20;jhd`L0^kcJ1`2m
_m`70:bcgPH0ZKcW1P2QT/D509^2]PH0UW>Y1@2BJ9l608mRV@D0SEjE1@2=G9@508eMU0H0SUnG0P2@
I9/50;22X`D0]Hb[5P2Y_NP30:2?`PH0W9WA1P2GYN0508NYj`D0KJCb1@1;V?8502n?k`@0;IO`1@1B
/OX8097NoP030;c`l`000000_?3c00<0_?3c102hkoD60<S]kP<0`^S`0`38hn/50<;Mk@L0^m7[0`2g
c>T50;?8j@<0/<CY102^`^P60:c0j0<0ZkoX0`2[_^P60:Znj0030000003IfMT0fMWI09h0fMWI003g
0=WIf@<00000<02Y_NP60:Rlj0@0Yk_X0`2U^^P60:>hj0H0XKGW1P2K[^@509b[h@H0X:WM0`2UZMT3
0:BUe`H0ZjOD1@2`Zm<20;:Yc`L0]ZkA0P2h/m@50;^bd@@0^[OF102n^=<50;^lfP80_kcG1@2m_m`2
0;jlf0L0[;?N0`2Y_>L30:JQd0D0XI;51P2KP[H509IcZ@D0TVRO1P2?HYT508eNU@D0SEbD1P2=GI@5
08iOU`03091TV`2`PZ<0/8:S00@0/8:S1@2eS:/C0:Vmj0H0X8o21P2LVM4609NUh0H0TKK_1@1h[O@5
05VSmPD0;ho_100]Uo0605:hn`@0TMkn0`2?h?d00`000000_?3c0;c`l`050;S_m@80]Ncf0`38kNh6
0<;Xl0H0`]g]0P2lenh70;_Aj`L0/lSY1`2^`^P60:c0j0L0ZkkX102Z_^P20:Zmj0030000003IfMT0
fMWI09d0fMWI003e0=WIf@80000000<0ZKgX0000002Y_NP0<@2Y_NP60:Rlj0L0YK[X1P2S^>P30:6e
i`<0WK;W1@2K[^@609b[h@D0X:WM1`2TYML60:^We080/:_C1@2bZLl60;J^d@P0^k;A0P2j]mH60;jh
d`80^kcJ1@2o_=L20;fog0D0_[cH1P2//mh60:JQd0H0XI;51@2KP[H509IcZ@D0TVRO1P2?HYT508eN
U@D0SEbD1P2=GI@508iOU`L0/8:S102eS:/B0:Vmj0<0Vgnc1P2PSl8609bId@<0UjGP0`2U^^P6096f
k`D0N:gd1@1IXoH503nLm0@0>jCe1P1B^?/608oPo@030000002hkoD0^>oe00<0^>oe1@2ek?H70<;X
l080_N7a0`32gNd50;cGkP@0^m7[0`2fcN/50;?8j@80/<GY1`2^`^P30:c0j0<0[;oX1`2[_^P60:Zm
j0030000003IfMT0fMWI09`0fMWI003a0=WIf@040:Vmj00000000000000000@0ZKgX00<000000:Vm
j02Y_NP0<02Y_NP30:Rlj0<0YkcX1`2U^^P50:>hj0L0WK;W1@2K[^@509b[h@H0W:CK1P2TYML60:^W
e0L0/ZW?1@2f[]420;Z]c@L0^k;A202n^=<70;nle`P0_[cH0`2//mh30;Bbe`H0YZ7@1@2QT/D509^2
]PD0UW>Y1@2BJ9l608mRV@D0SEjE1@2=G9@608eMU0D0SUnG00<0Z7VO0;22X`2`PZ<01@2`PZ<20;F<
Za00ZKgX1P2KOk<60:2?`PH0W9WA1`2U^^P6096fk`D0N:gd1@1IXoH503nLm0D0>jCe1P1I_o/4097Q
o@040000002AhOd0TN7m097Qo@D0]Ncf102cioL30<;Xl0D0_N7a202lenh70;K=j`80/lSY1@2`aNT6
0:k2j0L0[;oX0`2[_^P40:Znj0D0Z[gX00<000000=WIf@3IfMT0W03IfMT00>l0fMWI0`00000j0:Vm
j0L0YkcX1P2U^^P60:2fj0L0WK;W102K[^@609NVg`H0W:CK1P2TYML30:^We0<0ZjG@1`2bZLl20;J^
d@D0^Zg=1@2k/]420;nccPH0_[SC0P32^M450;nle`80`[cE1`2n_=P70;Bbe`D0YZ7@1@2QT/D509^2
]PD0UW>Y1P2BJ9l508mRV@D0SEjE1@2=G9@608eMU0@0SUnG0P2XNIl70;22X`80]Hb[3P2Y_NP309Ib
Y`H0Vgnc1P2PSl8309bId@<0];cP1P2U^^P709Jnl`D0P;Cf1P1X[?P505>Xn@@0Ck3j1P1Va_d3097Q
o@030000002FhOh0U^7n00<0U^7n202cioL60;gQl@80^=[a1@2lenh30;OAk@H0]/g[202`aNT30:k2
j0<0[L7X1P2/_nP70:Znj0H0Z[gX00<000000=WIf@3IfMT0V`3IfMT00>`0fMWI00<0ZKgX00000000
0000>`2Y_NP30:Rlj0L0YkcX0`2U^^P30:Bij0H0X;KX1P2M/^L509JYi0H0UjKO1@2LY=/60:BUe`L0
ZjG@1P2bZLl80;Z]c@80^k;A1@2o/lh40;jhd`<0`[WA102o_=L40<:le@D0_[cH0P2k^]P60;Bbe`H0
YZ7@1@2QT/D509^2]P@0UW>Y1P2BJ9l508mRV@D0SEjE1P2=G9@508eMU0<0SUnG0`2XNIl70;22X`03
0;F<Z`2Y_NP0ZKgX00X0ZKgX1P2FLZL609]o/`H0X8o21`2d_>030:Fjj0<0ZL_a1`2F__<5082dmPH0
J:ch1@1CZ?T504n`nPD0I/Km0P2FhOh010000000U^7n09KQoP2FhOh309_No@@0/nOg102ahOL30;gQ
l@D0^=[a0P2lenh60;OAk@<0]/g[0`2bb>/70;35j@L0[L7X0`2/_nP30:^nj0L0Z[kX1P2Z_NP00`00
0000fMWI0=WIf@2J0=WIf@00jP3IfMT3000003X0ZKgX1`2X_>P60:Nlj0L0Y;WX1P2P]^P309fbi`<0
V:oW1@2FZN@509NVg`H0W:CK0`2TYML30::Qe0H0ZjG@1@2bZLl20;BXc0L0^Zg=202o/lh20;jhd`D0
`[WA0P2o_=L60<:le@80_[cH1@2k^]P60;Bbe`D0YZ7@1@2QT/D509^2]PD0UW>Y1@2BJ9l508mRV@D0
SEjE1P2=G9@508eMU080SUnG102XNIl70;22X`/0ZKgX0`2BJIl509IbY`H0Vgnc1@2PSl820<2kePH0
];cP1`2Ybo4609Jnl`D0P;Cf1`1f/oP506Ncn`H0I;[m1@1ec?l00`000000Vmkm09_No@0509_No@P0
/N7g1`2hf_480;OAk@L0//S[0`2`aNT40:k3j@H0[L7X1`2[_^P60:Znj0H0Z[gX00<000000=WIf@3I
fMT0VP3IfMT00>P0fMWI0P00000n0:Vmj0L0Z;cX1P2V^nP70:Bij0D0X;KX1P2H[nL509JYi0H0UjKO
1@2LY=/60::Qe0L0ZjG@0P2bZLl50;BXc0D0^Zg=0P2m[/X70;nccPL0`[WA2032_=D70;^jf0H0];;G
1P2>X^4407J8e`D0Vh:f1@2FLjT5099XW`D0Sf:I1P2=GYD508eLU0D0SEfD00<0SUnG0:QiW`2XNIl0
102XNIl60;22X`P0ZKgX1P2BJIl509IbY`L0Vgnc0`2PSl830<2kePD0];cP0P2lg_470:W;l@H0Ukoc
1P28^?D607Jcn0D0Ik?k1P1T^_d408C?o`0300000024col0Vmkm00<0Vmkm102Pf_`40;7Qm`<0/=[f
102hf_440;CCl0@0]m7]0`2cc>`60;;8j`P0[/?Y0`2]`NP30:boj0L0ZkkX1P2Z_^P60:Zmj0030000
003IfMT0fMWI09T0fMWI003U0=WIf@<00000@@2Y_NP70:Rlj0H0Y[_X1P2T^NP609bdj0H0V:oW1@2F
ZN@509NVg`H0VIoI1P2RXM@60:^Ud0L0]:S<102j[Ld40;f^bPD0_k?>0P34]</50<:id@80a[[?1P32
_=D20<>me0L0^k[H0`2d/]L30:Fch`D0SZ;Q1@1fR=L206E^a`80Vh:f1@2FLjT5099XW`H0Sf:I1@2=
GYD508eLU0D0SEfD1`2XNIl50;22X`H0ZKgX102@I9X5099YW`D0UW:W1`2KOk<20:2?`PD0`;_F0P2d
_>050;cNl@@0ZL_a0`2Sb_@609Nol`H0R;Se1@1f/oP506Ncn`L0Ml7n0`24col00`000000Q<oo08C?
o`080:3Jo0L0/=[f202ddo070;?<k0<0//S[0`2_aNX70:k3j@H0[;oX1`2[_^P70:Znj0<0Z[gX0`2Y
_NP00`000000fMWI0=WIf@2H0=WIf@00h`3IfMT2000004D0ZKgX1`2X_>P60:Jkj0H0XKSY1P2L]>P5
09R_i`D0UZWT1P2AX=h609VOf@D0XZ7D1@2[YM020:bScPL0]:S<0P2j[Ld50;f^bP@0_k?>0`34]</4
0<:id@@0a[[?1032_=D40<>me0H0^k[H1`2U/n<508jRh@@0MXSG101UK/L509IcZ@D0TVRO1P2?HYT5
08eNU@D0SEbD102=GI@209m`W@H0Z7VO1@2`PZ<30:Vmj0L0T6BJ1@2BJIl609IbY`H0Vgnc1`30^mH8
0;cNl@L0Xl[d1P2G_o<608nil`D0PkSg1P1i^_/607O1oP80T<om00@00000093?o@2@cod0T<om102P
f_`40:CEn@@0/=[f0`2^do<50;CCl0<0/Lg_1P2cc>`70:o5jP@0[/?Y0`2]`NT60:boj0<0ZkkX2P2Z
_^P60:Vmj0030000003IfMT0fMWI09P0fMWI003P0=WIf@<00000B02Y_NP70:Rlj0<0Y[_X0`2U^^P6
0:6hj@H0W;CX102H[nL608nTh`H0TJ3N1@2IWmT60::Qe080ZjG@102/Xlh70;BXc0P0_Jk:0P2o/lh5
0<Bdb`80`[WA1P36^/l20<:le@H0`kgD0`2k^]P30;NlgPH0YK?S1@2>X^4507J8e`@0IFk70P1QGKL2
09IcZ@D0TVRO1P2?HYT508eNU@D0SEbD0`2=GI@309m`W@H0Z7VO102`PZ<20:Vmj0<0Sf6H1P2@I9X5
099YW`H0UW:W1@2KOk<20<Nhb`D0`;_F0`3<mnT40;cNl@<0[]Gd1P2Sb_@709Rkl0H0SkWc1@23^?L6
07Vjn`H0QlCl00<0T<om0000002@cod00`2@cod80:CEn@L0[]?c0P2ddo060;7=k`<0/lc/0`2`an/7
0:o5jPL0[L7Y1@2/_nP;0:Znj0<0Z[gX1P2Y_NP00`000000fMWI0=WIf@2G0=WIf@00gP3IfMT20000
04`0ZKgX1P2X_>P70:Fjj0H0XKSY0`2L]>P309Raj@@0TJ[W1P2?Y><5096PgPH0VIoI1@2RXM@70:bS
cPD0]:S<0P2hZ<X70;f^bPL0a;C;2036^/l80<>me0L0]kcN1P2U/n<508jRh@@0MXSG101UK/L4065M
]`D0TVRO1P2?HYT508eNU@D0SEbD0P2=GI@409m`W@H0Z7VO102`PZ<508mQV0H0T6BJ1@2BJIl609Ib
Y`<0Vgnc1037^</40<2kePD0c?OY1`2^eO@30:?:m0<0WK[]1`2H^o0508nil`H0S[[d1P27_OT608O4
o0030000002IcOX0VLgj00@0VLgj102TeOT30:K@mPH0[]?c202acNl70;37j`@0[lGZ0`2]`nT60:g1
j@H0ZkoX1`2Z_^P60:Zmj0H0ZKgX00<000000=WIf@3IfMT0U`3IfMT00=/0fMWI0`00001?0:Vmj0<0
Z;cX0`2W_>P70:Fjj0D0XKSY1P2H/NT5096Zi`D0SjCS1P2AX=h509VOf@H0XIkB1P2/Xlh40;BXc0@0
^:S:1@2m[/X20<6_b0D0a;C;0P38]lT60<Jjc`80bKc>1P33_M@20<C0ePL0]kcN1@2U/n<508jRh@D0
MXSG0`1UK/L5065M]`0406YGZ`2BJ9l0TVRO099XW`H0Sf:I1@2=GYD508eLU00308eMU02OL9d0Wg2M
00<0Wg2M1`2XNIl20;22X`0308mQU`2?HIP0Sf6H00<0Sf6H1P2@I9X5099YW`H0UW:W0P2KOk<60<Nh
b`80`;_F1@3<mnT20;OXmPH0[]Gd1`2M^^d609Rkl0H0UKW`1P2>^_@608Nmn@D0T/Gi00<0000009;5
n@2IcOX01@2IcOX70:K@mP<0[]?c102]cO440;7=k`<0[lS]1`2`an/70:g3j@<0[L7Y0`2[`>P60:^o
j0L0Z[kX1P2Z_NP60:Vmj0030000003IfMT0fMWI09H0fMWI003I0=WIf@800000DP2Y_NP70:Nlj0H0
YK[X1P2N]^T609Raj@D0TJ[W1@2?Y><5096PgPH0U9_G1P2QW]860:bScP80]:S<1@2hZ<X40;f^bP<0
`Jo81034]</40<Rgb@@0a[[?1039_<h40<>me0@0a<3F1P2g_=h609VnlPH0EZ_i00<005Bb07J8e`1f
R=L0101UK/L4065M]`<0JUN[00<0TVRO08mRV@2?HYT0102?HYT508eNU@D0SEbD1P2OL9d70:QiW`80
/8:S00<0Sf6G08mQV02?HIP00`2?HIP6091TVPH0TVVO1@2FLZL80<Nhb`D0c?OY1@2gj?H60:Nlj0L0
WK[]1P2K^>d609Fil0H0S[[d1P2B_oH409;5n@030000002BaOT0T/Gi00H0Wl[f1P2Vd?H80:g=l@L0
[lS]0`2`an/40:k4jPH0[L?Y1`2[`>P60:^oj0H0Z[kX1P2Z_NP70:Vmj0030000003IfMT0fMWI09D0
fMWI003F0=WIf@<000000P2Y_NP00`000000ZKgX0:Vmj01=0:Vmj0<0Z;gX1`2W_>P60:>jj@H0W[KY
1@2H/NT5096Zi`D0SjCS1P2:V]d509BKe`H0XIkB1P2/Xlh80;RXbP80_Jk:1@31[lP20<Bdb`D0b;O9
0`36^/l60<VlcP80`kgD1P34`=H30;NlgP<0]/?T1P2I__8806c>o@@0IFk7101QGKL406YGZ`H0Sf:I
1@2=GYD408eLU080U6RM1P2OL9d60:QiW`030;22X`2?HIL0Sf6G00D0Sf6H1P2@I9X6099YW`D0UW:W
00<0bk?20<Nhb`37^</01037^</40;kj_@D0]nSf0`2Y_NP60:Nlj0@0WK[]0`2R^^X609^hk@H0UKW`
1P2F_?8609:omP<0T/Gi00@0V/Ce0000002Ja?D0V/Ce1P2Ob_H70:S;lP@0[Lga0`2/b>h60:o8k@P0
[/CZ0`2]`nT30:c1j@L0Zl3X0`2[_nP90:Znj0H0Z[gX1P2Y_NP00`000000fMWI0=WIf@2E0=WIf@00
d`3IfMT3000000H0ZKgX00<000000:Vmj02Y_NP0B@2Y_NP70:Rmj0@0YkcX0`2V^nP60:>jj@H0W[KY
1@2A[^T508VUi`D0QYkS1P2:V]d509BKe`H0XIkB0`2/Xlh30:jRc0L0^:S:1`31[lP00`34]</0b;O9
0<Rgb@050<Rgb@030<Jjc`39_<h0bKc>00D0bKc>2034`=H70;K3i0<0VKkb1@2Vd?H70:Vmj080IFk7
101QGKL506YGZ`80N5ZS0`2?HYT508eNU@80SEbD102DJ9d609m`W@H0Z7VO00<0/8:S08mQU`2?HIL0
1@2?HIP6091TVPH0TVVO102FLZL30<^c`P@0akS;0`2nn[d40;3ij@L0ZKgX1P2W_>P60::jjPH0VkS]
1`2K^nh609JllPD0T[of102Ja?D010000000V/Ce09[4m@2Ja?D309o:mP<0XlOb1`2Xbo870:c8kP<0
[lS]0`2]aN/70:k4jPH0[<7Y1`2[`>P<0:Znj0L0Z[gX1P2Y_NP00`000000fMWI0=WIf@2D0=WIf@00
d@3IfMT2000005H0ZKgX1`2X_NP70:Jkj0H0Xk[Y0`2N]^T309ZdjPD0TJkY1@29YNL508JNh`D0RY[M
1@2DVmL60:6NdPL0[Z;<1@2hZ<X20;^Yb0H0`Jo82038]lT70<VlcP80c<3>1P34`=H20<G4f@H0]/?T
1`2Vd?H20;gAj@L0ZKgX0P1UK/L4065M]`@0JUN[1@1hFZ<508eNU@H0U6RM1P2OL9d60:QiW`<0Sf6G
1@2?HIP7091TVPD0TVVO0`2FLZL40<^c`P<0akS;0P2nn[d40;3ij@X0ZKgX0`2W_>P30:Vmj0H0X[[Z
0`2K^>d309nij`L0Vk_^1@2F_?8709[0lP80V/Ce00@0000009[4m@2Ja?D0V/Ce1`2Sao830:S;lP@0
ZLO_1P2/b>h70:g5j`@0[/CZ0`2/`^T60:c1j@<0Zl3X102[_nP60:Znj0d0Z[gX1P2Y_NP00`000000
fMWI0=WIf@2C0=WIf@00cP3IfMT3000005T0ZKgX102X_NP30:Rlj0L0Y[_X1@2S^^T609ZdjPD0TJkY
1P29YNL508JNh`D0RY[M1@2DVmL30:6NdP<0WicA1P2^X/`40;RXbP<0^jW81@31[lP20<Jba`H0b;O9
0P3<^/T50<VlcP@0c<3>1034`=H30<G4f@D0]/?T0`2lb^D30:K@mPD0_M7Y1`2Y_NP00`1UK/L0HEfg
065M]`02065M]`@0JUN[1P1hFZ<508MPW`D0U6RM1P2OL9d60:QiW`<0Sf6G1P2?HIP6091TVPD0TVVO
0P2FLZL60<^c`P030<Nhb`2nn[d0/?WY0080/?WY502Y_NP50::jjPL0WkW[1P2K^nh609bmk`L0V/3b
00<0X<?a0000002P`o400`2P`o460:?7lPP0ZLO_0`2/b>h30:_5k0L0[LG[1P2/`^T60:c1j@P0ZkoX
1P2Z_^P:0:Zmj0P0ZKgX00<000000=WIf@3IfMT0T`3IfMT00</0fMWI00<0ZKgX000000000000G@2Y
_NP70:Rlj0H0Y[_X1P2Q^NT609ZdjPD0TJkY1@29YNL508JNh`D0RY[M1@2DVmL609nLd@L0[Z;<0P2h
Z<X40;^Yb0@0`Jo81036//L40<Rgb@@0c;[90`39_<h60<c0cP80a<3F1@35a=T20;K3i0H0_<[U202m
dNT70:Vmj0@0HEfg101ZEj/607QJX`D0Qf2O1@2DJ9d609m`W@D0Z7VO102?HIL608mQV0H0T6BJ1@2B
JIl00`2FLZL0bk?20<^c`P050<^c`P030000001ffJ40M]VQ01H0ZKgX1P2S^>P709nij`<0Vk_^0`2P
_>d609bmk`@0V/3b0`2O`?000`000000X<?a0:33l@030:33l@<0XlOb0`2Ua>l70:W7k`L0ZlG/0`2]
aN/40:c2jPH0[<;Y0`2/`NT:0:^oj0H0Z[kX1`2Z_NP<0:Vmj0030000003IfMT0fMWI0980fMWI0039
0=WIf@<00000H02Y_NP70:Rlj0<0Y[_X0`2U^nT60:6ij@D0V[CZ1@2A[^T607nPj0D0NiSS1@21UMd5
08nGe`H0WicA1P2^X/`70;^Yb080`Jo81@36//L30<Rgb@H0c;[900<0bKc>0<c0cP3<`<h01@3<`<h7
0<G4f@L0_<[U0P35bml70;gAj@P0ZKgX0`1QGKL406YGZ`H0N5ZS1@27H9l509AXW@H0Wg2M1@2XNIl5
08mQU`D0Sf6H1P2@I9X5099YW`P0bk?25`2Y_NP30:Vli`H0XkSX1P2O^N/70:2lk@H0W;g_1P2O`?00
0`000000X<?a0:33l@030:33l@L0YLC_102Yanl30:W4k@H0ZlG/1`2/`^X60:c2j@/0ZkoX2@2Z_^P7
0:Zmj0`0ZKgX00<000000=WIf@3IfMT0T@3IfMT00<H0fMWI00<0ZKgX000000000000I02Y_NP60:Rl
j0L0YK_Y1P2Q^NT509Jbj`D0RZ[[1P1oX>P507^Hh`@0PIGM1P2?UmL509nLd@D0[Z;<0P2`Xl/60;^Y
b0030<6_b036//L0a[;700D0a[;700<0b;O90<bjb@3<^/T01@3<^/T70<c0cP80clC?1@35a=T20<W8
f@D0_<[U1035bml40;gAj@<0[[kU202Y_NP3065M]`@0JUN[1@1hFZ<508MPW`H0U6RM1P2OL9d30:Qi
W`H0Sf6G1@2?HIP6091TVP@0TVVO0P3:[;`60<^c`QD0ZKgX1`2Y_>L60:>hj0H0Y;_Z1P2P_>d70:6n
kPD0Wl3`00<000000:C2k`2T`^l0102T`^l70:G4k`L0ZLC]0`2[aN`30:_2j`L0[<;Z0`2/`^T30:_0
j@L0ZkoX302Z_^P80:Zmj0/0ZKgX00<000000=WIf@3IfMT0T@3IfMT00<@0fMWI0`00001W0:Vmj0H0
Z;cX1`2U^nT609nhjPD0U[;[1@2:Z^/507nPj0D0NiSS1@21UMd508nGe`H0WicA0P2^X/`40;2Sb`H0
^jW82036//L70<bjb@80d;k91@3<`<h40<o4c`<0aLCI1039b=T30;c:i@H0aL_O1`2^_^D40:Vmj0<0
ZKWU00<0ZKgX065M]`1QGKL0101ZEj/507QJX`D0Qf2O1P2DJ9d609m`W@<0Z7VO1P2?HIL508mQV0H0
T6BJ0`2BJIl40<Z/_0@0bk?25`2Y_NP70:Vli`<0XkSX0`2V^^L60:BkjP<0X;c]0`2T_N`70:6nkP<0
Wl3`00<0Xko]0000002S_nd01P2T`^l40:G4k`<0Yl;]1P2Ya>d70:_2j`H0[<;Z1`2[`>T30:^oj0d0
Z[kX2P2Z_NP<0:Vmj0030000003IfMT0fMWI0900fMWI00320=WIf@800000J`2Y_NP60:Rlj0@0YK_Y
0`2T^nT609nhjPD0U[;[1@2:Z^/507nPj0D0NiSS1021UMd608nGe`D0WicA1P2`Xl/50;^Yb080_jg7
1P36//L20<ZfaPD0c;[9103@_/T30<c0cPH0clC?1`39b=T70<G;g`80b<SJ1`2^_^D60:Vii@80ZKgX
00<0HEfg06YGZ`1ZEj/00P1ZEj/507QJX`D0Qf2O1P2DJ9d609m`W@80Z7VO0P2@HYT508mQU`D0Sf6H
1P2@I9X2099YW`D0bZbl0`3;/l8I0:Vmj0H0ZKcW1P2V^^L60:BkjPL0Y;g/1P2Q_^h40:>ok@030000
002S_nd0Xko]00H0Y<;_1`2W`^d30:W4k@<0ZL;[1`2[`^/30:c2jPT0Zl3Y3@2Z_^P;0:Zmj0l0ZKgX
00<000000=WIf@3IfMT0S`3IfMT00;l0fMWI0`00001^0:Vmj0H0Z;cX1`2T^nT609nhjP@0U[;[1@2:
Z^/507nPj0D0NiSS1@21UMd508nGe`H0WYcA1P2`Xl/30;^Yb0@0_jg71036//L40<ZfaP<0c;[91P3@
_/T00`3<`<h0clC?0<o4c`040<o4c`80d/S@1@39b=T20<g;f0D0aL_O1038b=X40:jni@<0[[CM1P2Y
^ND20:Vmj0@0JUN[1@1hFZ<608MPW`D0U6RM1P2OL9d20:QiW`80T6:I1@2?HIL508mQV0H0T6BJ00<0
TVVO0<Z/_03:[;`01@3:[;`00`3;/l80ZKgX0:Vmj00I0:Vmj0<0ZKcW0`2W]n@60:Jji`<0Y;_Z0`2V
_NX70:Bmk0<0XKk^0`2T_^`30:>ok@040000002S_nd0Xko]0:>ok@H0Y/3/1P2W`^d70:W2j`H0Zl;[
2P2[`>T30:Zoj0d0Z[kX1`2Z_NPB0:Vmj0030000003IfMT0fMWI08l0fMWI002l0=WIf@<00000LP2Y
_NP30:Rlj0<0YkcX1`2T^nT509nhjPD0TK3/1@22Y^`507>Jj0D0KY7T101fSmh608VDf0D0WYcA1P2`
Xl/20;^Yb0D0_jg70`36//L60<ZfaP030<bjb@3@_/T0d;k900D0d;k91P3?a<l30=;8d0@0bLSI103=
bmP30<G;g`H0b<SJ1P2^]=d60:Vii@80XiO9101ZEj/507QJX`H0Qf2O1@2DJ9d609m`W@040:QiW`2@
HYT0T6:I091RV@D0Sf6G1P2?HIP5091TVPP0bZbl702Y_NP70:Ngi0D0Y[[W1`2V_NX60:Bmk0L0Y;k/
0P2S_nd00`000000YKo/0:Fok0020:Fok0H0Y/3/0`2W`^d30:S1j`L0ZL;[1P2Z`>X60:_0j@L0Z[oX
3@2Z_^P30:Zmj1H0ZKgX00<000000=WIf@3IfMT0SP3IfMT00;X0fMWI0P0000020:Vmj0030000002Y
_NP0ZKgX0700ZKgX1`2W_>P60:Bkj@H0W;O[1@2A/>`508:Vk0D0Li[X1@1^TN@407J?gPD0RICH1@2N
W=460;2Sb`P0_jg700<0a[;70<ZfaP3:]/H01@3:]/H70=2nb@80e<?9103?a<l50=;8d080bLSI1P3=
bmP70<S8fP80aLCI1P2^]=d30:Vii@<0ZZOD0P2SUlT406YGZ`@0N5ZS1P27H9l509AXW@H0Wg2M102@
HYT508mQU`H0Sf6H1@2@I9X00`34YKX0bZbl0<Z/_0050<Z/_1H0ZKgX1`2X/^060:Ngi0H0ZKkY1`2V
_NX60:Jnj`H0Y;k/0P2U_n`00`000000YKo/0:Fok0020:Fok0H0Y/3/1`2X`N/40:W2j`<0ZL3Z1P2Z
`>X30:_0j@<0Z[oY1`2Z_nP<0:Znj1X0ZKgX00<000000=WIf@3IfMT0S@3IfMT00;L0fMWI0`000005
0:Vmj0030000002Y_NP0ZKgX06d0ZKgX0`2X_NP70:Nlj0<0Y;_Y0`2S^^T609bgj`D0TK3/1@22Y^`5
07>Jj0@0KY7T101fSmh508VDf0H0WYcA102`Xl/20;:Vc0L0_jg71`3:]/H20<nka`D0d;k9103D`lT2
0<o4c`H0d/S@1`3=bmP20<k;e`D0b<SJ0`35a=T60:jdg@H0ZZOD0`2SUlT306YGZ`D0N5ZS1@27H9l6
09AXW@D0Wg2M102@HYT508mQU`H0Sf6H102@I9X20<BU^PH0bZbl5@2Y_NP30:N/fPL0Z;;P0`2W]n@3
0:boj0H0ZKkY102V_NX30:NnjPH0Y[k[0`2T_^`30:Jnj`030:Fok0000000YKo/00@0YKo/0`2V`>`3
0:Noj`L0Z<7[1P2Y`>X60:[0jPL0Z[oY102Z_nP<0:Znj0<0Z[gX6@2Y_NP00`000000fMWI0=WIf@2=
0=WIf@00]@3IfMT2000007D0ZKgX1`2X_NP60:Nlj0L0Xk[Y1@2L]n/5096`k0D0PZK/1@1cV^P506jA
i0@0MXoN1@29U=P509jLd@80/:?;1@2bY/`50;n]a`80`k781@3:]/H40<nka`<0d;k91P3D`lT60=;8
d080eLcA1@3=bmP40<k;e`<0b<SJ1@35a=T30:jdg@<0]KSL1P2ZYm@30:>Gb@80JUN[1@1hFZ<508MP
W`H0U6RM102OL9d5091RV@H0Sf6G1@2?HIP3091TVP@0a:Fj103:[;`C0:Vmj0L0YjcJ1P2X/^070:bo
j0H0ZKkY1`2W_^X<0:Jnj`030000002U_n`0YKo/00<0YKo/1`2W_n/30:S1j`@0ZKoZ1P2Y`>X30:[0
jPX0Z[oY302Z_^P70:Zmj1T0ZKgX00<000000=WIf@3IfMT0S03IfMT00;80fMWI0`00001h0:Vmj0L0
Z;gX1P2W_>T70:>jj@D0VKK/1@2<[^d507VRk@D0IYCY101NR^@407J?gPD0RICH1@2NW=470;:Vc0@0
_jg71033/LP30<ZfaPH0ck_700<0d;k90=C3b@3D`lT0103D`lT20=O8b`@0d/S@103Ec=430<g;f0H0
c/_G1`35a=T70;Fhg0D0ZZOD102SUlT00`1ZEj/0N5ZS07QJX`0307QJX`D0Qf2O1P2DJ9d309m`W@03
095VW02@HYT0T6:I00<0T6:I1P2?HIL508mQV080T6BJ1@34YKX30<Z/_180ZKgX0`2VY=<70:N/fP<0
Z;;P0`2_`NL70:boj0<0ZKkY0`2Y_nT60:NnjPH0YkgZ1P2V_^/00`000000YkkZ0:NnjP040:NnjPH0
Yko[202Y_nX50:W0jPX0Z[oY402Z_^P70:Zmj1T0ZKgX00<000000=WIf@3IfMT0R`3IfMT00:l0fMWI
00<0ZKgX000000000000O02Y_NP70:Rmj0H0YkcY102S^^T30::jjPD0VKK/1@2<[^d507VRk@D0IYCY
101NR^@306Z:g`D0RICH1P2NWM<70;:Vc080_jg71P33/LP00`3:]/H0ck_70<nka`050<nka`H0e<?9
0`3Gb</30=;8d0H0eLcA1`3>bmL20<c<f@D0aLCI0P2m`ml60;Fhg0H0ZZOD102SUlT507QJX`H0Qf2O
1@2DJ9d309m`W@03095VW02@HYT0T6:I00<0T6:I1P2?HIL508mQV003091TVP34YKX0a:Fj00D0a:Fj
00<0bZbl0:Vmj02Y_NP03P2Y_NP70:JTd`H0YjcJ1`2_`NL60:boj0L0ZKoY0`2W_^X30:Rnj@H0YkgZ
102V_^/00`2W_^T000000:Nnj@060:NnjP<0Yko[0`2X_^X70:VojPH0ZKoY1P2Z_nTD0:Znj0<0Z[gX
702Y_NP00`000000fMWI0=WIf@2;0=WIf@00[@3IfMT3000007l0ZKgX1`2X_NP60:Nlj@H0X[[Z1P2I
]^`508b^k@D0NJ;]101VU>T405j:i0@0JX[O1@23T]X609jMd`H0/ZK<2033/LP80<nka`030=?1b03D
`lT0e<?90080e<?91@3Gb</00`3Bb=00eLcA0=G<d@040=G<d@80e/oC1@3>bmL40<c<f@80aLCI1@2m
`ml60;Fhg0D0ZZOD1@2SUlT407QJX`H0Qf2O1@2DJ9d209m`W@<0TFJL1@2@HYT508mQU`D0Sf6H2034
YKX?0:Vmj0<0Y9c=1P2VY=<50:N/fP80//?W1`2_`NL30:boj0<0[<;Z1P2Y_nT70:Rnj@H0YkgZ102W
_^T00`000000YkkY0:NnjP050:NnjPL0Z;kZ102Y_nX30:Vnj@H0ZKoY0`2Z_nTF0:Znj200ZKgX00<0
00000=WIf@3IfMT0RP3IfMT00:X0fMWI00<0ZKgX000000000000P`2Y_NP70:Rmj0<0YkcY0`2V_>T6
0::jjPD0VKK/1P26[>h406nNk@D0IYCY101NR^@406Z:g`D0Pi;J1@2NWM<50;:Vc080]J_>1P33/LP2
0<RgbPH0ck_70P3C`LP30=C3b@H0elS;1P3Ec=440=K?d`<0c/_G1@3<c=T80;g3g`D0]KSL1P2@/>`5
07BMj`<0N5ZS1P27H9l509AXW@0309m`W@2AIY`0TFJL0080TFJL1@2@HYT508mQU`@0Sf6H0P2iWK`7
0<BU^P`0ZKgX1`2TW<d60:JTd`80YjcJ102b`nL70:o1i`L0[<;Z0`2Y_nT30:Vnj@L0Z;kY0`2W_NX3
0:Rmj@@0YkkY00<000000:Nnj@2W_^X00P2W_^X30:Rnj@L0Z;kZ1P2Y_^T60:VojAL0Z[kX8`2Y_NP0
0`000000fMWI0=WIf@290=WIf@00LP3IfMT4000000<0fMWI0P00000]0=WIf@<00000QP2Y_NP60:Rm
j0L0Y[cY1@2R^^X609Nek0H0QZc^101_W^d405N=j@@0GX[T101ZR]l508>BfPH0WYgC0P2bY/`50;F[
cP@0`k781038]lX40<nka`@0dl7800<0e<?90=O8b`3Gb</0103Gb</20=[>c@@0eLcA1P3Fcm<60<c<
f@80b<gM1`2m`ml60:FljPH0T;3/1@1dWN/207QJX`H0Qf2O1@2DJ9d5095VW0D0T6:I1@2?HIL308mQ
V0<0^Ifl1P34YKX;0:Vmj0<0XYK71P2TW<d60:JTd`L0//?W0`2_`NL40:o6j`H0[<;Z1`2Y_^T60:Rn
j@L0Z;gY0`2W_^T00`000000YkkY0:Rnj@060:Rnj@@0Z;kZ2@2Y_^T30:Voj@<0ZKkX4`2Z_^PV0:Vm
j0030000003IfMT0fMWI08T0fMWI001d0=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT00`00
0000fMWI0=WIf@0X0=WIf@800000RP2Y_NP60:Rmj0L0Y[cY1@2Q^N/609Nek0H0QZc^101_W^d405N=
j@<0CH;T1@1ZR]l508>BfPD0WYgC1`2eZlh30<>ab0D0b;O:0`3?^lL50=?1b0H0elS;103Jc/d20=G<
d@H0e/oC0P3Ed]H40<c<f@@0b<gM1@2m`ml20;K6iPH0YKcZ1P2@/>`507BMj`0307QJX`27H9l0Qf2O
00@0Qf2O102DJ9d00`2DKJ<0TFJL095VW003095VW0D0T6:I1@2?HIL208mQV0D0^Ifl1034YKX90:Vm
j0H0XYK71`2TW<d30:JTd`<0]LKW1P2b`nL80:o6j`<0[<;Z0`2Z_nT60:Vnj@L0Z;gX2@2X_NT00`00
0000Z;gY0:Rmj@070:Rnj@`0ZKkY1`2Y_^P40:Znj0<0ZKkX2@2Z_^PY0:Vmj0030000003IfMT0fMWI
08P0fMWI001d0=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT00`000000fMWI0=WIf@0U0=WI
f@<00000S@2Y_NP60:Rmj0L0Y[cY1@2Q^N/609Nek0D0QZc^1@1_W^d305N=j@@0CH;T101KQN4508>B
fPH0WJ7G1`2eZlh00`33/LP0b;O:0<RgbP050<RgbP030<nka`3C`LP0dl7800@0dl7800<0f<S:0=O8
b`3Gb</00P3Gb</60=[>c@H0e/oC103Ed]H20<c<f@H0b<gM0P2m`ml50;K6iPH0YKcZ1@2@/>`507BM
j`0305R6h`27H9l0Qf2O00@0Qf2O0P2DJ9d309A]X`D0TFJL1@2@HYT508mQU`L0^Ifl1034YKX70:Vm
j0<0XI;41P2RU/L60:BLc@L0]LKW0`2b`nL30;;=kPL0[lK[1`2Z_nT30:Vnj@X0Z;gX0`2X_NT30:Rm
j080Z;gY00@000000:Rmj@2X_NT0Z;gY102X_^T<0:VnjA00ZKkX1P2Z_^P]0:Vmj0030000003IfMT0
fMWI08L0fMWI001/0=WIf@@00000103IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00<00000
0=WIf@3IfMT08P3IfMT300000940ZKgX1P2X_NP70:Jlj@D0XKW[1P2D]>d5086[k`@0II_^101GSNT4
04f2i0@0FhGQ1@1lT]h609fQe`H0]J_>2038]lX60=?1b0<0f<S:0P3Gb</60=[>c@80g=??103Fcm<5
0=GBePP0b<gM202fa^H30:FljP<0WlCb1P1k__`608;<o`80F8KS0`18M=X2051_d`80U6fS1@2AIY`5
091RV@@0Sf6G0P2VTl470;VM_080a:Fj1@2Y_NP60:6Ba0H0XYK71@2TW<d20;O8i`H0]LKW1`2bcNh4
0:o6j`<0Zl7Y1P2Z_nTC0:Rmj080Z;gY00<000000:Rmj@2X_NT00P2X_NT<0:VnjA@0ZKkX0`2Z_^P_
0:Vmj0030000003IfMT0fMWI08L0fMWI001d0=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT0
0`000000fMWI0=WIf@0P0=WIf@80000000<0ZKgX0000002Y_NP0TP2Y_NP60:Rmj0L0Y[cY0P2Q^N/3
09nij`H0U;C]1@21Znl406FKkP<0AhOY101=P^@505^5h@D0O9;N1@2MXML50;F[cP80^K7A1P38]lX2
0<foc0@0dl781@3Hb<X60=[>c@@0g=??0P3Fcm<50=GBeP80d]CJ1P38cMd20<?>hPL0]/KV1`2Oa?83
07^no0@0Vl_h1022c?l20:Vmj0@0B7CJ0`1@Km<5095VW0D0T6:I0P2?HIL40:JC`@L0^Ifl00<0a:Fj
0:Vmj02QTL@01@2QTL@60:6Ba0H0XYK70P2TW<d50;O8i`<0]LKW0`2deO470;;=kPL0Zl7Y0`2Z_nT3
0:Vmj0X0Z;gX0`2Y_NP60:Rmj0030:Rmj@000000Z;gY00@0ZKgX1P2Y_^TI0:Vnj3<0ZKgX00<00000
0=WIf@3IfMT0QP3IfMT00780fMWI0`0000030=WIf@040000003IfMT0fMWI000001l0fMWI0`000004
0:Vmj0030000002Y_NP0ZKgX0900ZKgX1`2X_NP60:Jlj@H0WkW[1P2D]>d5086[k`@0II_^0`17QnT2
03Ykh`80CH;T101KQN4507bBgPH0WJ7G0P2eZlh50;Vad@@0b;O:0`3=_l`30=?1b0H0f<S:00<0flo=
0=[>c@3Jc/d00P3Jc/d60=cCc`D0eM;F103Be=X30<S=g@D0`lkR102fa^H30;;8j`H0WlCb202KboP7
0:Vmj080B7CJ101@Km<406]hcPD0T6:I1`2VTl460;VM_0<0XY?61@2QTL@60:6Ba0H0XYK71`2gb>L7
0;CEl@@0//g^0`2/`n/60:_1j@L0ZKgX1P2X_NP70:Vmj0D0Z;gX00<0ZKgX0000002Y_NP01@2Y_NP3
0:Vnj@<0ZKgX5P2Y_^Pe0:Vmj0030000003IfMT0fMWI08H0fMWI001d0=WIf@030000003IfMT0fMWI
0080fMWI0P00000M0=WIf@030:Vmj0000000000009/0ZKgX1`2X_NP60:Flj@H0WkW[1@2D]>d5086[
k`D0II_^0`17QnT303Ykh`D0FhGQ1@1lT]h509fQe`L0^K7A0`38]lX50<foc0030=?1b03Hb<X0f<S:
00@0f<S:0`3Kcld20=[>c@H0g=??0P3Lem<30=GBePH0d]CJ2033c^870;;8j`L0ZLS`102KboP;0:Vm
j00404QdfP1@Km<0D6oC051_d`D0JgS>1@2;Q/P60:JC`@D0^Ifl102RTlH60:6Aa0H0XI;40`2RU/L3
0;K9j@D0]lSW0P2eg_D70;CEl@L0[<?[0`2[`NT:0:Vmj0<0Z;gX3`2Y_NP00`000000ZKgX0:Vmj00:
0:Vmj1<0ZKkX>@2Y_NP00`000000fMWI0=WIf@250=WIf@00UP3IfMT3000009h0ZKgX102X_NP30:Rl
j0H0YKcY1@2O^N/609>dkPD0OJ[`1@1MV>l00`0iP^P0AhOY04N7j@0303Ykh`@0BX3S1@1lT]h609fV
g0L0^K7A00<0b;O:0<foc03=_l`0103=_l`60=S8bPD0flo=1P3Ldll40=cGd`L0d]CJ0P3?e]h60<?>
hP80`<oU1@2bb>/20;C9jPL0ZLS`3`2Y_NP4051_d`@0JgS>1@2;Q/P70:JC`@<0^Ifl1P2RTlH50:6A
a0H0XI;41`2fbNT20;O8i`D0]Mke102deO430:g6k0H0[<?[7`2Y_NP00`000000ZKgX0:Vmj00;0:Vm
j0<0ZKkX0`2Y_NP70:Vnj3l0ZKgX00<000000=WIf@3IfMT0Q03IfMT009<0fMWI00<0ZKgX00000000
0000XP2Y_NP70:Rlj0D0YKcY1P2O^N/609>dkPD0OJ[`101MV>l303V2j0@0>W_S101:P><507>Ch`H0
WJKL1P2i/M460<foc080d/S@103Hb<X60=_?c@030=kGd03Ldll0g=??0080g=??103Lem<20=[Kf0D0
d]CJ103?e]h30<?>hPD0`<oU0P2bb>/50;C9jP@0ZLS`0`2aaNT@0:Vmj080D6oC1@1[N<h508^6b0H0
YY?10P2iWK`00`2SV<X0XY?60::CaP040::CaPH0XI740`2QT/@30;;9j`H0]/WY202eg_D70:g6k0<0
[<?[8@2Y_NP00`000000ZKgX0:Vmj00B0:Vmj0@0ZKkX@@2Y_NP00`000000fMWI0=WIf@240=WIf@00
T@3IfMT300000:D0ZKgX1`2X_>P20:Flj@<0YK_Y1P2O^N/609>dkPD0OJ[`101MV>l303V2j0809WCR
0P0jNn<404Z0h`D0Li?S1@2MY]`50;Vad@80_K[G103=_l`40=;8d080f<S:1P3Kcld30=kGd080g=??
103Lem<40=[Kf0<0d]CJ1P3?e]h70<3?i@P0]<WZ1`2aaNTA0:Vmj003051_d`1[N<h0JgS>0080JgS>
1@2;Q/P60:JC`@@0XiS:1P2RTlH50:6Aa0L0//W[0`2fbNT40;7Un0@0]Mke0`2]b^l60:g6k2@0ZKgX
00<000000:Vmj02Y_NP0F02Y_NP00`000000fMWI0=WIf@230=WIf@00S`3IfMT200000:T0ZKgX1P2X
_>P60:Fkj@H0WkW[1P2B]>h507^Zl@<0EiO`100iP^P302IdhP@0BX3S1@1cTn<609fVg080^K7A102m
^]L30<foc0H0d/S@1P3Kcld50=kGd0@0g=OC1P3JfmP70<oFgP80bmKR1@30cnD20;g>iPH0]<WZ0P2f
anL60;75jA80ZKgX1@1[N<h508^6b0@0YY?11@2SV<X60::CaP<0XI740`2[anh60;;9j`P0/NGh1`2]
b^lY0:Vmj0030000002Y_NP0ZKgX05T0ZKgX00<000000=WIf@3IfMT0PP3IfMT008`0fMWI0`00002/
0:Vmj0H0Z;cX1P2U^nT609jik0H0T[C^1@1kZ_4305NGl080;GkW0P0iP^P302IdhP80=gcU0P1:P><5
07>Ch`D0WJKL1`2m^]L00`3=_l`0d/S@0=;8d0040=;8d080e]7D103Kcld50=kGd080g]gD0P3Lem<6
0=[Kf0<0emgL0`3?e]h50<_FhP80`<oU1@2mc^H30;C9jPD0]/OW0`2aaNT30:^mia@0ZKgX0P1[N<h5
08^6b080YY?10P2UWm060:>HbPD0XY?61`2[anh30;;9j`D0Z>Sj1P2]cO440:g:kb/0ZKgX00<00000
0:Vmj02Y_NP0F@2Y_NP00`000000fMWI0=WIf@220=WIf@00R@3IfMT300000;00ZKgX1P2X_>P60:Fk
j@H0W[W/1P2B]>h407^Zl@@0EiO`0`0]O^L402IdhP<0=gcU1@1cTn<609f^i0H0_K[G1P3Bb=040=KA
e080flo=1@3Nem040=kMe0H0f]_H1@3GgM`70<_FhPP0_LkV202fanL60:^mia80ZKgX0`2WZ=L508^6
b0@0YIo@1P2SV<X30::CaP<0XlC`1P2[anh60:SXnP<0Zlkb1P2]cO4^0:Vmj0030000002Y_NP0ZKgX
05X0ZKgX0P0000220=WIf@00Q`3IfMT200000;@0ZKgX1@2X_>P70:Fkj@H0W[W/1@2B]>h507Z[lP@0
E9Sa0`0]O^L201E_g`809WCR0`0gO>D506VFjPH0WJkT102m^]L20<;5g@@0d/S@1P3FdM@50=kGd0D0
g]gD0P3Mh]T30=[Kf0D0emgL0P3Bg^450<_FhP<0a]CU102mc^H30;_;iPH0]/OW0P2ea>D60:^mi`<0
ZKgX0`2Y_>L60:Vmj0H0Z:oM1P2WZ=L60:FOd0D0XiS:1`2Sa?030:_7kPD0W^Kl1`2[c_830:g=lC00
ZKgX00<000000:Vmj02Y_NP0F`2Y_NP00`000000fMWI0=WIf@200=WIf@00P`3IfMT400000;L0ZKgX
1@2X_>P70:Fkj@H0W[W/1@2B]Nl507Z[lP@0E9Sa0P0WO^L0100]O^L05FoO01E_g`0EKml403Mli@D0
JIKZ1P2M[^@20;fje`@0`/GM0P3Bb=060=KAe0<0fM_I0P3Nem050=kMe0@0gN;I1P3GgM`40=;Nh@<0
bmKR1@36e>D70;_;iP<0]/OW1@2ea>D50:^mi`L0ZKcW0`2Y_NP30:VehPH0Z:oM1P2WZ=L50:FOd0H0
WL3a1P2Sa?0609kVo0<0ZLkc1P2[c_8c0:Vmj0030000002Y_NP0ZKgX05/0ZKgX00<000000=WIf@3I
fMT0P03IfMT00840fMWI00@0ZKgX0000000000000000^@2Y_NP60:Rlj0H0YK_Y1`2N^N`509:ek`D0
NZ_b101DV?4302Mni`<05FoO100TNND506VFjPD0WJkT1`32aMd60=KAe0D0fM_I1@3NgM@40=gRf@<0
fNGN0`3GgM`60=;Nh@H0a]CU0P32d^H70;_;iPL0]LCU1P2[^nD70:Vli`H0ZKGR1P2X[md50:NXe`H0
VKc`1P2M`?430:?4l0D0U^3n1`2Yc_<30:_>lSH0ZKgX00<000000:Vmj02Y_NP0F`2Y_NP00`000000
fMWI0=WIf@1o0=WIf@00O`3IfMT3000000<0ZKgX00<000000:Vmj02Y_NP0]`2Y_NP60:Rlj0H0YKcY
1`2N^N`409:ek`D0NZ_b1@1DV?4302Mni`802FgM00<05FoO02Aii@0TNND00P0TNND405fKl0H0W;W]
1@32aMd20<GAh`@0e]7D1@3IfmT30=WSg@80g]gD103Mh]T50=WUgPL0d]kQ0P3=g>@30<KDi@D0`];V
102kbnH30;S8iPD0]LCU0P2b`^H60:^ki@@0ZKcW0`2[^^D60:VehPD0Z:oM1P2J^nl609Vll0D0WL3a
1P2Fh?h30:O<l`H0ZLkc902Y_NP30:Vmia80ZKgX00<000000:Vmj02Y_NP0G02Y_NP00`000000fMWI
0=WIf@1n0=WIf@00O03IfMT00`2Y_NP00000000000070:Vmj0030000002Y_NP0ZKgX0;L0ZKgX1P2X
_>P60:Flj@H0W[W/1@2B]^l507^]lPD0EY_b0P0VP^T0100WO^L02FgM00U]g@09KMd402Aii@@0GI_`
1P2L^Nd20<;5g@D0aM7S0P3FdM@50=WKf@D0fN?M103Mh]T50=WUgP<0e>KS0`3Bg^450<gLi0P0`];V
1`2hb>H20;G4i@D0//;V1P2[^nD60:^ji@H0ZKGR1P2N^nd609Zkk`D0VKc`202Cf?h70:O<l`<0ZLkc
8`2Y_NP70:Vmia40ZKgX00<000000:Vmj02Y_NP0G02Y_NP00`000000fMWI0=WIf@1n0=WIf@00NP3I
fMT3000000X0ZKgX00<000000:Vmj02Y_NP0]`2Y_NP60:Rlj0H0YKcY1P2O^^`509:fk`D0Njgb1@1F
Vo8302J2j@<02FgM0P0DMn<202Aii@@0GI_`1@2L^Nd80<GAh`D0fM_I1@3Ihmd20=OYhP80gN;I1@3I
iMh50=CVh`H0cMcT0P37fNL60<;BiP80_LkW1P2hb>H80;;2iP<0Zk_U0`2/_NH60:^ji@<0ZKGR0`2R
^n/609jkk@H0V[__1P2Fco`409?HoP<0Y/Wb1P2Wc?<T0:Vmj0T0ZKgW4@2Y_NP00`000000ZKgX0:Vm
j01M0:Vmj0030000003IfMT0fMWI07d0fMWI001h0=WIf@800000b02Y_NP60:Rlj0H0YKcY1P2O^^`5
09:fk`D0Njgb1@1FVo8302J2j@80173M00@02FgM01Agh`0DMn<057OS101MVo0609W4mPH0aM7S0`36
g>X20=WKf@D0fN?M103GjN850=WUgPD0e>KS0P3?i>L40<gLi0@0amWW0`32d^H50;g>i`<0^<SV0`2e
a^L70;;2iPL0[;gV1@2[^^D70::kj`H0W[_]1P2IaoL609K?o0L0Y/Wb9P2Y_NP:0:Vmi`<0Z[gX402Y
_NP00`000000ZKgX0:Vmj01N0:Vmj0030000003IfMT0fMWI07`0fMWI001e0=WIf@<00000b`2Y_NP3
0:Rlj0<0Z;gX1P2U_>T509njk0H0U;O_1@1o[o<505^Pm080;H[]00@09X;Y00A`g@04L=d0173M0`0D
Mn<4052Om@H0VLCf0`35dN<60<KLjPD0fN?M103GjN830=?/iP80fNGN1@3Di^<40<oTi`80cMcT1P37
fNL70;g>i`L0]LKW102b`^H30:k0i`H0[;gV1P2U_NX70::kj`<0W[_]0`2Na?8609W7m`H0Y/K`102V
bO8S0:Vmj0H0ZKcW1P2Y_NL60:Zmj100ZKgX00<000000:Vmj02Y_NP0GP2Y_NP00`000000fMWI0=WI
f@1l0=WIf@00L`3IfMT200000<h0ZKgX1`2X_NP60:Flj@D0Wk[/1P2D]nl507n_l`D0Fj3d0`0]R^d3
00A`g@0300Yih@0DMn<057OS00@0D9oe1P2Ia?H70<KLjP<0a>K_0P3Ihmd40=OYhPD0dncV1@3Di^<5
0<oTi`L0amWW0P31eNT40;g>i`<0^<_X1`2ea^L70:k0i`<0[;gV0`2Y_nT60:FmjPH0X[_[1`2Na?83
09W7m`<0Y/;^1P2Va_0T0:Vmj0T0ZKcW0`2Y_NL90:Zmj0l0ZKgX00<000000:Vmj02Y_NP0G`2Y_NP0
0`000000fMWI0=WIf@1k0=WIf@00K`3IfMT0102Y_NP0000000000000003A0:Vmj0L0Z;gX1P2U_>T5
09njk0H0U;O_1@1o[o<505^Pm0<0;H[]0`09N>4200Yih@D0D9oe1`2Eco`30<KLjPH0a>K_103GjN85
0=?/iP@0c^gZ1P3?i>L30<SPjP<0amWW1@31eNT70;S;j0@0]LKW0`2aa>P60:k0i`L0ZKoY1P2U_NX6
0:?0kPH0W/Cb1`2V`^h30:K6l2<0ZKgX302Y_>L<0:Zmj0l0ZKgX00<000000:Vmj02Y_NP0H02Y_NP0
0`000000fMWI0=WIf@1j0=WIf@00K@3IfMT300000=D0ZKgX1P2X_NP70:Flj@D0Wk[/1P2F^>l508Bb
l`D0I:Ke0`0jU?4400Uhh@0300UohP0:NN40A:Cg00@0A:Cg1P2Eco`70<CVk`<0`Ncb1@3Ck>H50<k]
jP80b>[]0`3?i>L60<SPjPH0`MGY0P2kd>X70;S;j0L0/LCX0`2^`>L30:^oj0L0ZKoY0`2U_NX30:Fm
j`H0Xl3^1P2V_n/70:K2kQH0ZKgX0`2Y_NL:0:Vmj0<0ZK_V2@2Y_>L30:Znj0H0Z[gX502Y_NP00`00
0000ZKgX0:Vmj01P0:Vmj0030000003IfMT0fMWI07X0fMWI001Z0=WIf@030:Vmj000000000000=T0
ZKgX1P2X_NP70:Flj@D0XK_[1P2F^>l508Bbl`D0I:Ke100jU?4301J4i`802GoR1@14Y?L708oGo`<0
a>K_1031k?840;c^l`D0c^gZ1@38j^d70<SPjP<0`]_/0`31eNT40;_@jP@0^<_X0`2db>T60;74j0L0
ZkoX1P2Y_nT70:Fmj`<0Xl3^0`2Y`>X60:Joj`@0Y/;^5@2Y_NP70:Vmi`H0ZKgX1`2Y^nH50:Vli`L0
Z[kX1P2Z_NPC0:Vmj0030000002Y_NP0ZKgX0640ZKgX00<000000=WIf@3IfMT0N@3IfMT006L0fMWI
1000003L0:Vmj0H0Z;gX102U_>T30:Jlj@D0XK_[1P2F^>l508Bbl`@0I:Ke1@0jU?4401J4i`0301>;
iP09On80?ZWf00@0?ZWf1P2?eol40<7/lPD0_>kc102hk_D60<SZk@<0`^K`0`38h>X60<;Kk0L0^m3Z
1`2db>T30;74j0<0[/;Y1`2[_nP60:W0jPH0YKg[1`2Y`>X60:JojaT0ZKgX1`2Y_NL30:Vmj0T0ZK_V
302Z_^P70:Zmj180ZKgX00<000000:Vmj02Y_NP0HP2Y_NP00`000000fMWI0=WIf@1h0=WIf@00IP3I
fMT400000=h0ZKgX1P2X_NP60:Jlj@H0XK_[1P2I^Nh508VdlPD0Kjcf101<WoD402^Dk`804h_V1@0n
ZOH708_LoPD0_>kc1@2hk_D30;C[m`<0b>[]1@32i_070<;Kk080_=K]1@2kd>X20;K<jPL0]<SY1P2^
`^T40:^oj0<0[<7Y1P2Y`>X30:Fmj`<0ZKkX1`2Y`>XO0:Vmj0H0ZKgW2P2Y^nH?0:Znj0L0Z[gX4@2Y
_NP00`000000ZKgX0:Vmj01R0:Vmj0030000003IfMT0fMWI07P0fMWI001S0=WIf@<00000102Y_NP0
0`000000ZKgX0:Vmj03L0:Vmj0H0Z;gX1P2V_>T30:6kj`<0X[_[1P2I^Nh508VdlPD0Kjcf101<WoD5
02^Dk`<09I[^1@10/?D708[NoPD0^>ke1P2djoL50<;Vl0@0_Moa0`32fn`50;cFk@80^m3Z1@2fc>X4
0;C8j@<0/LKY1P2^`^T70:c1j@D0ZL3Z1`2Y_^P40:W0jR80ZKgX302Y^nHC0:Znj0H0Z[gX4@2Y_NP0
0`000000ZKgX0:Vmj01S0:Vmj0030000003IfMT0fMWI00d0fMWI0P00001X0=WIf@00H@3IfMT20000
0>H0ZKgX1`2X_NP50:Jlj@L0X[_[1P2I^Nh508nglPD0N[;f101NZ_P502^Dk`<09I[^1P1:^OL808gP
o@H0]>_g102bi_L80;gOl@L0_=K]202fc>X70;76j@<0[/;Y0`2[_nP60:c1j@H0Yk_X1`2Y_^PS0:Vm
j0<0ZK[V2@2Y^nH30:Vnj1<0Z[kX5P2Y_NP00`000000ZKgX0:Vmj01T0:Vmj0030000003IfMT0fMWI
00/0fMWI00@000000=WIf@3IfMT00000I`3IfMT005h0fMWI0`00003Y0:Vmj0L0Z;gX1@2V_>T70::k
j`H0W;[]1@2?]o8507ZbmPD0GZ[h1015Y?L303jZmPP0F/;k202Bgoh60;;Vm`<0/N3g102mgo430;SI
l@@0_=K]102gd>d40;K<jP<0//SZ1P2aa^T70:^oj0H0[<7Y1P2W^nP40:Vnj0<0[;oX2@2Y_NP30:Vm
i`L0ZKgX1@2Y^nH70:Vmj0H0ZK[V1P2Y^nH70:Vnj100Z[kX602Y_NP00`000000ZKgX0:Vmj01T0:Vm
j0030000003IfMT0fMWI00/0fMWI00@000000=WIf@3IfMT00000I`3IfMT005`0fMWI0P00003]0:Vm
j0L0Z;gX1@2V_>T40::kj`<0Xkc[1P2L^^d508nglPD0N[;f1@1NZ_P404FTm`D0?Z[f1`1]b_h409;O
oP<0VMgn0`2bi_L60;7Pm`L0^=Wa202gd>d70;;8jP<0/LKY0`2^`nT70:^oj0H0[<7Y1P2W^nP70:bo
j0D0ZKgX1`2Y_NL70:Vmj0D0ZK_V1`2Y_NP60:VjiP<0ZK_V0`2Z_nT70:Vnj0`0Z[kX6`2Y_NP00`00
0000ZKgX0:Vmj01U0:Vmj0030000003IfMT0fMWI00X0fMWI00@000000=WIf@3IfMT00000I`3IfMT0
05P0fMWI00@0ZKgX0000000000000000l02Y_NP70:Rmj0D0Y[cY1`2S_>/509bjk@H0U;W`1P25]_D4
076bn@D0G[7k1P1I]o`506g:oPL0VMgn1P2ah?L40;3Im@<0^=Wa102ddo040;O@k@<0//_/1P2bb>X7
0:k3j@@0ZkoX0`2]`>P60:c1j@<0Yk_X0`2X^ND60:boj0H0ZK[U1`2Y_NL60:Vmj0H0ZK_V1`2Y_NP5
0:VjiPL0Z[oY1`2Y_^P90:Znj1d0ZKgX00<000000:Vmj02Y_NP0I@2Y_NP00`000000fMWI0=WIf@0:
0=WIf@040000003IfMT0fMWI000006L0fMWI001F0=WIf@<00000m02Y_NP60:Rmj0H0YkcY1`2S_>/5
09jkk@H0U;W`1P25]_D4076bn@D0G[7k1`1a`?h607k>o`L0Wm[l202`fOD70;CCl0L0//_/0`2bb>X3
0;76jPL0[/?Y1`2]`>P50:c1j@L0Z;WU0`2/_nP30:Vmj0H0ZK[U102Y_NL30:Znj0H0ZKgX0`2Y^nH3
0:c0j0H0ZKgX1P2Z_NP70:Zoj@H0ZKkX1P2Z_^PQ0:Vmj0030000002Y_NP0ZKgX06D0ZKgX00<00000
0=WIf@3IfMT02@3IfMT010000000fMWI0=WIf@00001W0=WIf@00E03IfMT200000?P0ZKgX1P2X_NP6
0:Nlj@@0Xkc[0`2T_>X509jkk@H0U;W`1P2>^O<5082hn0D0LkWk1P1a`?h608g?oP@0Wm[l102Se?T4
0;3Im@<0[];c1@2ddo020;7=kPH0//_/1`2aa^X40:k3j@<0Z[gX1P2]`>P60:Rmj0H0Z;WU1`2Y_NP6
0:Vji@L0Z[kX1@2Y_NP70:c0j0<0ZKgX0`2V^^L60:Zmj0@0Z[oY2@2Y_^P30:Znj2<0ZKgX00<00000
0:Vmj02Y_NP0IP2Y_NP00`000000fMWI0=WIf@090=WIf@800000J03IfMT00540fMWI0`00003k0:Vm
j0H0Z;gX1P2W_>T60:BljPH0W[_]1P2I^nl608jil`D0P;Sh1@1c^O/608?4o@H0SLon202Se?T70:kB
l`80]=?`1@2acNh30;;;k0<0[lK[1`2aa^X70:Zmj0<0[L3X0`2^`nT60:Rmj0<0Z;WU0`2`a>T70:Vm
j0<0ZK[U0`2/^N<60:Znj0H0Y[GS1P2/`>P70:Jji`H0Z[gX302Y_^PV0:Vmj0030000002Y_NP0ZKgX
06H0ZKgX00<000000:Vmj03IfMT0L`3IfMT004l0fMWI0P00003o0:Vmj0H0Z;gX1P2W_>T60:BljP<0
W[_]0`2Q^n`609Vkk`D0S[Wc1P2<_?H608BnnPD0PlCm1`2GcOX40:?Dn@<0Y/of1P2^d_<80;7=kPH0
[lK[102aa^X30:k4jPH0Z[gX1`2^`nT60:Rmj0H0/<CY1P2Y_NP70:bih`<0Z[kX0`2Y_NP60:Jeh`<0
[<3X0`2[_nP70:Jji`<0Z[gX0`2[`>T60:Vnj0H0Z[kX9@2Y_NP00`000000ZKgX0:Vmj01W0:Vmj003
0000003IfMT0fMWI0780fMWI001;0=WIf@040:Vmj0000000000000000?l0ZKgX0`2Y_NP50:Rmj0L0
YkcY1@2T_>X70:6kk0H0VK__1@2F^o4608blmPH0Q;kj1P2@aOT609O=nPL0Y/of1`2]cO040;7=kP<0
[/S]1P2_a^/70:k4jP<0Z[gX0`2/_NL70:k3j@<0Z;gX0`2S/^<60;34j@H0Y[WV1P2/^N<70:Vmj0D0
Y[GS1`2[_nP60:Jji`L0Zl3Y0`2Y_^P30:Vli`H0Z[kX902Y_NP00`000000ZKgX0:Vmj01X0:Vmj003
0000003IfMT0fMWI0740fMWI00190=WIf@050:Vmj000000000000:Vmj0000000o`2Y_NP40:Vmj0H0
Z;gX1`2W_>T50:FljPL0XK_/1P2N_>h509Jkl@H0S;cf1P2A`?H60935n@L0W/[g0`2VcoH30:O;lPL0
[Lg`1`2^b>d30:o6j`<0[lGZ1P2^a>X70:bmi`H0[/?Y1`2S/^<30;34j@<0Z[gX1P2V^NH30:bih`<0
/lW[1`2Y_NP20:Jeh`<0/L;W1`2[_nP60:VjiPH0Zl3Y1`2Y_>L50:Znj2@0ZKgX00<000000:Vmj02Y
_NP0J02Y_NP00`000000ZKgX0=WIf@1a0=WIf@00A`3IfMT3000000@0ZKgX00<000000:Vmj02Y_NP0
o`2Y_NP20:Vmj0H0Z;gX102W_>T30:Rmj@D0YKcZ102Q^n`30:>lj`H0W[c^1@2F^o4709Fml`D0TL3f
1P2IaOH709k:m`H0Yl_b102]cO030:c9kPH0[/S]1`2_aNX30:k4jP<0Z;gX1`2/_NL60:Vmj0H0Xk;S
1P2Z_NP60:JiiPL0/lW[1P2Y_NP60;72i`@0ZkoX0`2W_>P60:VjiP<0Zl3Y0`2Y_NP60:VlibT0ZKgX
00<000000:Vmj02Y_NP0J@2Y_NP00`000000fMWI0=WIf@1`0=WIf@00A@3IfMT200000?l0ZKgX3@2Y
_NP60:Rmj0L0Z;gY1@2U_>X70:>lj`D0W[c^1P2L_Nl709Fml`D0VL7c1P2IaOH409k:m`<0X/Oc1P2W
bo870:c9kP<0[/S]0`2/`n/70:o5jPH0Z;gX102/_NL30;76jPH0ZKgX0`2S/^<30;?2i@H0Z[gX0`2V
^NH30:>[g0L0/lW[1P2Q[^460;72i`H0YkcX1P2Y^^H70:Vmj0<0ZKcW0`2Z_NL:0:Vmj0<0ZKgW6`2Y
_NP00`000000ZKgX0:Vmj01Z0:Vmj0030000003IfMT0fMWI06l0fMWI00120=WIf@<00000o`2Y_NPF
0:Vmj0H0Z;gY1P2V_>T70:>lj`D0XKc/1P2L_Nl409Fml`<0W;k`1@2I`O<609W5mPL0X/Oc0`2Wbo83
0:S7k`H0[<W^1`2/`n/40:o5jP<0[/G[1P2X_NP60;76jPH0ZKgX1`2c`^D50:Zmj0L0Xj_L102cbN/3
0:Vmj0H0XJkQ0`2a`^L30;35jPH0YkcX0`2Y^^H30:o4j@L0ZKgX1P2Z_NL60:Vmj0L0ZKgW6@2Y_NP2
000006`0ZKgX00<000000=WIf@3IfMT0K`3IfMT00400fMWI0P00003o0:Vmj1X0ZKgX0`2X_NT30:Rm
j0H0Y[cY102S_>/30:FljPD0XKc/1P2L_Nl709bnl0D0VL7c1P2O`o860:;7l`L0Z<O_0`2/bNh30:_5
k0L0[<?[1`2^aN/30:Rmj0<0YkWV1P2aa^X30:Vmj0<0WZoS1`2c`^D50:Jlj@L0Xj_L1P2Y_NP60:6^
h@L0/<GZ1@2W_>P70:o4j@@0ZKgX0`2X^nL60:Zmi`H0ZKgX1P2Y_NLF0:Vmj0<000000P2Y_NP00`00
0000ZKgX0:Vmj01Z0:Vmj0030000003IfMT0fMWI06h0fMWI000m0=WIf@<00000o`2Y_NPM0:Vmj0H0
Z;gX1P2V_>T70:FljPD0XKc/1P2P_Nd609bnl0H0Wl3`1P2O`o870:G4l0H0Z<O_1P2[aN`40:c3j`<0
[<;Z1P2^aN/70:NiiPD0/LKZ1`2N[n<40;?2i@<0/lSZ1@2V_>T50:>[g080`]_/1P2Y_NP30:6^h@<0
[kKN1P2`aNX60:>^g`L0[lCY1`2X^nL50:Zmi`L0ZKgX0`2Y_NL30:Zmj180ZKgX0`0000050:Vmj003
0000002Y_NP0ZKgX06/0ZKgX00<000000=WIf@3IfMT0K@3IfMT003T0fMWI00@0ZKgX000000000000
0000o`2Y_NPQ0:Vmj0H0Z;gX1P2W_NT60:FljPH0Y;k/1P2P_Nd309bnl0<0XKo^1P2O`?0309o3lP<0
Xl;_1`2Ua?060:W4k@H0ZlG/1`2/`^X30:k5j`<0YkgY1`2W^NH50:Vmj0L0WZoS1`2cb>X50:Jlj@80
Xj_L1@32fn`50:Vmj0L0[kKN0`2`aNX30:Vmj0H0XjkO102_a>T30:Vmj0H0Z;_W1P2[_nP60:Vmj0H0
Z[gX3`2Y_NP3000000T0ZKgX00<000000:Vmj02Y_NP0JP2Y_NP00`000000fMWI0=WIf@1]0=WIf@00
=`3IfMT00`2Y_NP000000000003o0:Vmj2D0ZKgX1P2X_NP60:Nmj@<0YKcZ0`2V_>T60:Bnk0D0X;g]
1`2Q_nh609o0l0H0Xl;_102Ua?030:O2k@H0ZLC]1P2Y`N/60:c2jPL0YkgY102W^NH30;?7j@D0ZKgX
102N[n<30:^dg`H0/lSZ1@2V_>T70<;Kk0H0VjgT1`2_]]h60:Vmj0H0XjkO1`2Y_NP30:Rki`<0ZKST
1P2[_nP30:Vmj0<0ZKcW1P2Z_NP;0:Vmj0<000003@2Y_NP00`000000ZKgX0:Vmj01Z0:Vmj0030000
003IfMT0fMWI06`0fMWI000d0=WIf@@00000o`2Y_NPW0:Vmj0L0Z;gX1P2W_NT60:Jlj@H0Y;k/1P2S
_>`60:6okPH0Xko]1P2S`^l70:O2k@<0ZLC]0`2Y`^/60:W1j`<0[<;Z0`2^a>X70:Nmj@L0/lOY1@2Y
_NP70:^dg`<0/lSZ0`2Y_NP509:Ed`@0`]_/0`2Y_NP609^]i0D0[kKN0P33gN`60:Vmj0<0XjkO0`2h
anH60:Vmj0H0ZKST1P2[_nP70:Vli`D0Z[gX2@2Y_NP200000140ZKgX00<000000:Vmj02Y_NP0JP2Y
_NP00`000000fMWI0=WIf@1[0=WIf@00<P3IfMT300000?l0ZKgX:`2Y_NP70:Rmj0<0YkgY0`2W_>P6
0:Jlj@H0YKcY1P2S_>`60:>mj`H0Xko]1P2U`>`60:O2k@L0ZL;[1P2Y`N/60:k4jP@0YkgY0`2R]>D6
0;?7j@H0WK?W1P2[]=l60:Vmj0H0TYGC1`2Y_NP609^]i080[kKN1@33gN`50:Vmj0L0^<OV0`2Y_NP3
0:Rmj0H0ZKST0`2[_nP30:Vmj0H0ZKcW1P2Z_NP50:Vmj0<000004`2Y_NP00`000000ZKgX0:Vmj01Z
0:Vmj0030000003IfMT0fMWI06/0fMWI000a0=WIf@800000o`2Y_NP^0:Vmj0H0Z;gX1`2W_>P30:Jl
j@<0Z;oZ1P2U_>T30:>lk0<0Y/3/1P2S_N/30:>ok@<0Y/7]1P2U`>`30:O2k@<0ZL;/1`2Y`^/60:[0
j@H0[/CZ1`2R]>D30;?7j@<0ZkoX1@2M/nL50:^dg`80`]_/1P2Y_NP409:Ed`80c=3L1`2Y_NP509^]
i0L0`mg/1P2JXMT60;S7iPH0Z;gX1P2Y^>@70:Vmj0<0ZKcW0`2Z_NL60:Zmj0040:Vmj00000000000
000001L0ZKgX00<000000:Vmj02Y_NP0JP2Y_NP00`000000fMWI0=WIf@1Z0=WIf@00<@3IfMT00`00
0000ZKgX0:Vmj03o0:Vmj2h0ZKgX1P2Y_^P60:Nlj0L0Z;oZ1@2U_>T70:K0k0H0Xkg[1P2V`Nd60:G0
k0H0ZL;/102Y`^/30:RojPH0Z/3Y1P2Y_nT60::di@L0ZkoX1@2M/nL20:^dg`D0`]_/1@2Y_NP309:E
d`@0c=3L1P2Y_NP609ZCc0@0`mg/0`2Y_NP609ZQf@<0^<OV0`2cb^/60:Rmj0<0ZKST0`2aanX70:Vm
j0H0Z[gW0`2Z_NP3000001/0ZKgX00<000000:Vmj02Y_NP0JP2Y_NP00`000000fMWI0=WIf@1Y0=WI
f@00<@3IfMT00`000000fMWI0:Vmj03o0:Vmj2l0ZKgX1P2Y_^P30:Nlj0<0Z;gX1`2X_nX20:Flj@<0
YkgY1`2V`>`60:JmjPH0Y/7]1P2W_n/60:W2k0L0Z;oZ0`2Z`>T30:k2j@H0ZKoY0`2R]>D30;71iPL0
ZkoX102M/nL80<;Kk0D0ZKgX00<0TYGC0<c@g03<d=`0103<d=`609fhk0H0VY?<1P2Y_NP609ZQf@L0
/l[[1@2X_NP70;77jP@0ZKgX0`2X^nL50:Zmi`<000007`2Y_NP00`000000ZKgX0:Vmj01Y0:Vmj003
0000003IfMT0fMWI06T0fMWI000T0=WIf@8000002`3IfMT00`000000fMWI0=WIf@3o0:Vmj300ZKgX
1@2Y_^P70:Rmj0H0Z;oZ1P2W_NT40:K0k0<0Y;SW1P2V_NX30:K1k@<0YK_Y1P2W_n/30:W2k0<0Z;kY
1P2X_nX70:k2j@H0ZKoY1P2a`NH60:^oj0H0UigH1032fn`30:Vmj0@0PXWB1P3<d=`20<STj`D0WKS/
1@2JTl`20=[ne0H0ZKgX102JXMT20;Jde`L0/l[[1P2RZM`60;77jPL0Z;_W00@0Z[gW000000000000
00000P2[_nP90:Vmj0<0Z[gX502Y_NP00`000000ZKgX0:Vmj01Z0:Vmj0030000003IfMT0fMWI06P0
fMWI000S0=WIf@040000003IfMT0fMWI000000T0fMWI00<000000=WIf@3IfMT00P3IfMWo0:Vmj300
ZKgX1@2X^nL70:Rmj0H0Y[WV1P2W_NT60:Bhi`H0Y[gZ1`2U^nT50:Noj`L0Z;kY0`2X_nX30:Rnj@L0
[/;Y1P2P]>H60;71iPH0Xk_Z1P2GWMP60:Vmj0D0PXWB0`3<d=`50<STj`@0WKS/102JTl`40=[ne0D0
ZKgX0P2JXMT50;Jde`@0/l[[0`2Y_NP60::Yg0H0ZKgX102X^nL3000000D0ZkoX1P2Y_NP70:Zmj1@0
ZKgX00<000000:Vmj02Y_NP0JP2Y_NP00`000000fMWI0=WIf@1W0=WIf@008`3IfMT010000000fMWI
0=WIf@0000090=WIf@030000003IfMT0fMWI00<0fMWIo`2Y_NP]0:Vmj0<0Z[kX1@2X^nL40:Rmj0<0
ZkkX1P2V^NH30:Nmj@<0Zl3Y1P2T^>L30:JmjP<0Zl;[1`2U^nT50:W2j`d0Z;kY102^`^T30:^oj0H0
X;CV0`2a`NH30;77jPD0Xk_Z1@2GWMP20<o[j@D0ZKgX1P22RM870<STj`D0WKS/0P2JTl`60=[ne0@0
ZKgX202f]=L60:Vmj0D0XZWL0P2mcNH60:Vmj0<000000`2Y^N@60:^oj0<0ZKgX0`2Y_>L60:Zmj1D0
ZKgX00<000000:Vmj02Y_NP0J@2Y_NP00`000000fMWI0=WIf@1W0=WIf@008`3IfMT010000000fMWI
0=WIf@0000090=WIf@030000003IfMT0fMWI00@0fMWIo`2Y_NPY0:Vmj0H0Z[kX1P2X^nL70:^nj0D0
Y[WV1`2[`>T50:Bhi`L0Zl;[102U^nT30:S0jPD0ZL;[102X_^T30:Voj@H0Z;kY1P2[_nP60:2diPL0
/LOZ1@2S^nX309NMf0@0cn_Y1@2Y_NP408:9dP<0/:G=0`38i>/30:Vmj080NFbh0P2M^>`00`2JTl`0
f_kD0=[ne0030=[ne0<0ZKgX102=W=d60;Jde`80do?V1P2Y_NP20::Yg0D0_LgV0P2Y_NP3000000L0
ZKWT1@2[_nP70:Vli`<0Z[gX5`2Y_NP00`000000ZKgX0:Vmj01Z0:Vmj0030000003IfMT0fMWI06H0
fMWI000S0=WIf@040000003IfMT0fMWI000000T0fMWI0`0000050=WIf@030000002Y_NP0ZKgX0?l0
ZKgX9P2Y_NP60:Znj0<0Z;_W0`2Z_nP70:^nj0`0Zl3Y1P2Y_nX60:_2j`L0Z<3Z1@2Y`^/70:Voj@<0
Z;kY0`2[_^P60:^oj0<0X;CV0`2X^>@60;77jPD0Xk_Z0P2GWMP60<o[j@@0ZKgX0P22RM860;2Uc@D0
ZKgX101iK;P30=[ne0H0ZKgX1@2=W=d40;Jde`@0do?V1@2Y_NP70;g=iP800000102X_>P60:Vii0H0
ZKgX1P2Y_>LK0:Vmj0030000002Y_NP0ZKgX06X0ZKgX00<000000=WIf@3IfMT0I@3IfMT002<0fMWI
00@000000=WIf@3IfMT00000203IfMT2000000T0fMWIo`2Y_NPX0:Vmj0D0Z[kX1`2Z_nP40:^nj0<0
YKKT2@2[`>T30:Fei0H0ZKoZ1P2T]>@60:S0jPH0Y[SV1P2Y_nT70:^nj0D0ZkoX1`2X^>@30;77jP<0
ZKgX1024SM@60<o[j@<0Z[kX0`1dT>080;2Uc@030=Ol]`2Y_NP0ZKgX0080ZKgX1`1iK;P00`3`i<40
ZKgX0:Vmj0040:Vmj0D0SIcM0P2f]=L50=?ciPH0UISC0`2mcNH3000000030;G<j`2X_>P0Z;cX00@0
Z;cX0`2Y^N@30;36jPH0ZKgX0`2Y_>L30:Zmia/0ZKgX00<000000:Vmj02Y_NP0J@2Y_NP00`000000
fMWI0=WIf@1U0=WIf@00903IfMT2000000X0fMWI00<000000=WIf@3IfMT0203IfMWo0:Vmj1`0ZKgX
1@2Y_>L70:Vmj0D0Z;WV1`2Z_nP70:Ffi0D0Zl3Y1`2U]N@30:VojP<0[;oX1P2T]>@30:S0jP<0Z[oY
1P2V^>H60:Voj@L0ZkkX1@2S^NT70:Rhi0D0ZKgX1`24SM@60:Znj0@0M93P1P2`YLd30=Ol]`@0ZKgX
1@1iK;P30?3T`@D0ZKgX1@2=W=d20=?ciPH0ZKgX1@2EV=<3000000D0]Lc[1@2X_>P70;36jPH0ZKgX
1P2Z_NLK0:Vmj0030000002Y_NP0ZKgX06T0ZKgX00<000000=WIf@3IfMT0I03IfMT002l0fMWI00<0
00000=WIf@3IfMT02P3IfMWo0:Vmj1`0ZKgX1@2Y_>L70:Vmj0D0Z;WV102Z_nP30:Vmj0H0YKKT1P2[
_nP60:Fei0L0[;oX1@2T]>@70:Zoj@D0Y[SV1`2Y_nT40:^nj0<0[<3X1@2S^NT40:Rhi0<0]/c[1@2Y
_NP508B=e080c<oL1P2Z_^P407B@h0@0/:G=103Go;L40:Vmj0@0NFbh103`i<4608Z`k`H0U8:m00<0
^^9k0:Vmj02Y_NP0102Y_NP01@2EV=<00000000000000000UISC00P0]Lc[0P2X_>P30::[g@L0/<KZ
1P2Y_>L60:ZmiaX0ZKgX00<000000:Vmj02Y_NP0J@2Y_NP00`000000fMWI0=WIf@1T0=WIf@00;`3I
fMT00`000000fMWI0=WIf@0;0=WIfOl0ZKgX6`2Y_NP60:Vli`L0ZKgX1@2X^NH70:Vmj0<0YKKT0`2`
aNX60:^oj0<0YKGT0`2_a^/70:boj080Y;CT0`2aan/70:Zoj@80Y[SV0`2]a>X70:Voj@L0[<3X1@2S
^NT70;K<j`@0ZKgX1024SM@40<c?g0D0Z[kX101dT>030;2Uc@<0eobg0`2Y_NP00`1IDk40ZKgX0:Vm
j00407U/^0<0l>C10P3IolL508Z`k`D0U8:m0`2jhW/30:Vmj0<000000`2EV=<30;fhe@H0]Lc[1P2R
Zmd40;36jP<0ZKgX1P2Y_>L30:Zmi`<0Z[kX6P2Y_NP00`000000ZKgX0:Vmj01Y0:Vmj0030000003I
fMT0fMWI06<0fMWI000_0=WIf@030000003IfMT0fMWI00`0fMWIo`2Y_NPB0:Vmj0<0Z[gX1P2Y_NP3
0:Vli`<0Z[kX1P2Y_NP60:g2j@L0ZKgX1P2`aNX60:^oj0H0[lK[1P2/_nP60;77j`H0Z[oY1P2]a>X4
0:Voj@<0YkOU1P2/`>P609n_h`H0]/c[1@2Y_NP208B=e0D0c<oL1P2;/Nl207Y/]`80M93P00<0/:G=
0=Ol]`2Y_NP01@2Y_NP205UC/@80ZKgX0P1iK;P30?3T`@@0fOo71@2:/>l409B2_@<0^^9k0`000003
0:Vmj080UISC1@2m^=D60:Vmj0H0XZ_M1`2Y_NP50:Vli`L0Z[kX6P2Y_NP00`000000ZKgX0:Vmj01Y
0:Vmj0030000003IfMT0fMWI0680fMWI000_0=WIf@030000003IfMT0fMWI00d0fMWIo`2Y_NP>0:Vm
j0L0Z[gX1@2Y_NP70:Znj0<0ZKgX0`2V]nD60:g2j@@0ZKgX0`2R/^<60;35jPH0XJ_N1P2_a^/60:2W
f`H0/LO[1P2S/N860:g4jPL0YkOU0`2/`>P30:Rlj0H0WjoS0`2fc>/30:Vmj0@0OI3L1P3<cm`20<WU
j`D0Rk7_1P1jK;L00`2^dV40ZKgX0:Vmj0030:Vmj0<0FE>a00<0ZKgX07U/^03`i<400P3`i<460=Wo
a`@0R[3_0`2DP[d01@2jhW/00000000000000000^^9k00D0ZKgX1P2m^=D20=OkgPD0ZKgX1@2RZmd2
0;c=i`H0ZKgX1P2Z^nH60:Znj1/0ZKgX00<000000:Vmj02Y_NP0J02Y_NP00`000000fMWI0=WIf@1R
0=WIf@00;`3IfMT00`000000fMWI0=WIf@0>0=WIfOl0ZKgX3P2Y_NP70:Zmj0D0Z;cW1`2Z_^P60:Jg
i@H0[L;Y1`2R/^<30;35jP<0ZKgX1P2QZmh30:o6j`<0ZKgX1P2PYm/30;77j`<0ZKgX1P2S/N860:Vm
j0H0YkOU1`2X_>P509n_h`L0ZKgX101mT=`30<c?g0D0bNG[102;/Nl507Y/]`<0[]9Q1@2Y_NP305UC
/@<0l>C10P3IolL60:Vmj00406UBY@2:/>l0R[3_09B2_@<000001@2Y_NP508>?e`@0_KSE103Gnmh5
0:Vmj080XZ_M1@2lcNL30:Vmj0<0Z;gX1P2Z^nH30:Znj1d0ZKgX00<000000:Vmj02Y_NP0J@2Y_NP0
0`000000fMWI0=WIf@1Q0=WIf@00;`3IfMT3000000l0fMWIo`2Y_NP>0:Vmj0@0Z[gX0`2Y_NP50:Rl
i`@0Z[kX0`2Y_NP60:Jgi@H0ZKgX1P2R/^<70:Vmj0D0XJ_N1`2Y_NP50:2Wf`L0ZKgX102S/N820;K=
j`H0ZKgX0`2W]nD30;35j@L0Z;cX0P2O[n<30;O>j`H0ZKgX1@1mT=`80<WUj`@0Rk7_101jK;L40:kB
H@@0ZKgX1@1IDk430;^K]`030000002Y_NP0ZKgX00<0ZKgX00L0JE:U000000000000000009B2_@2j
hW/0n^JB00D0ZKgX1@23SmL30;fhe@D0eo_N1@2Y_NP70;c=i`H0Z;gX1P2Z^nHQ0:Vmj0030000002Y
_NP0ZKgX06T0ZKgX00<000000=WIf@3IfMT0H03IfMT002h0fMWI0P00000B0=WIf@030000002Y_NP0
ZKgX0>T0ZKgX0`2Z_NPU0:Vmj0D0Z;cW1`2Y_NP30:Jgi@<0[lCY1P2Y_NP30::bh`<0]<[Z1`2Y_NP2
0:6[gP<0_MC[1`2Y_NP20:2Wf`<0`M[/1`2Y_NP20:>ahP@0]/g[1P2Y_NP60;35j@H0Z;cX1P2gc^/6
0:Vmj080OI3L102VZ=P40<WUj`<0ZKgX0`2;/Nl307Y/]`T0ZKgX1@1IDk430;^K]`030000002Y_NP0
ZKgX0080ZKgX0P00000206UBY@0308Z`k`2DP[d0JE:U0080n^JB1@2Y_NP508>?e`030;fhe@3Gnmh0
eo_N0080eo_N0`2Y_NP509NJe0@0_<gW0`2cbN/60:Rmj0<0Z[_V0`2^`^T60:Vmj0H0Z[gX5@2Y_NP0
0`000000ZKgX0:Vmj01X0:Vmj0030000003IfMT0fMWI0600fMWI000^0=WIf@030000003IfMT0fMWI
0180fMWI00<000000:Vmj02Y_NP0i@2Y_NP70:Zmj1/0ZKgX0`2Z_NP70:Vmj0D0ZkoX1`2Y_NP60:o4
j@H0ZKgX1P2db^X60:Vmj0H0_MC[1P2Y_NP60<7Jk0H0ZKgX1`2fcN/60:>/gPH0/<GY1P2L[><60;O>
j`D0ZKgX1`2VZ=P60:Vmj00304]5Z@2;/Nl0Rk7_00<0NVbg00<0n>>`0:Vmj02Y_NP00`2Y_NP0100M
?[P0ZKgX0:Vmj02Y_NP305UC/@<0^i^g1P0000000`2Y_NP0JE:U06UBY@0306UBY@<0n^JB1@2Y_NP5
08>?e`80eo_N1`2Y_NP509NJe0L0/lW[1@2X_NP70:k2j@<0ZKgX0`2Y_>L60:Zmj1@0ZKgX00<00000
0:Vmj02Y_NP0J@2Y_NP00`000000fMWI0=WIf@1O0=WIf@00;P3IfMT00`000000fMWI0=WIf@0C0=WI
f@030000002Y_NP0ZKgX0=H0ZKgX0`2Y_NL70:Vmj0D0ZKcW1`2Z_NPH0:Vmj0H0Z[gX102Y_NP30:Rk
i`D0ZkoX102Y_NP30:BgiPH0[lCY1P2N[N460;C:jPH0UY[E1P2me>/609:Fe0H0`M[/1P2MY=/40;K=
j`<0ZK_V1P2S[=h30;35j@<0ZKgX1P2L[><30;O>j`<0ZKgX1@25YNT50:JXf080fOWN1@2Y_NP204]5
Z@80Rk7_00@0NVbg0?SS/03hhk00n>>`102Y_NP201dn^080ZKgX0P1IDk440;^K]`<00000102Y_NP5
06UBY@<0n^JB00<0^=mh07NWl01gYo000`1gYo0609En^0030000002Y_NP0ZKgX00@0ZKgX102GV]@2
0;nnf@H0/lW[1P2U/N470:k2j@H0ZKcW1P2Z_NPD0:Vmj0030000002Y_NP0ZKgX06T0ZKgX00<00000
0=WIf@3IfMT0GP3IfMT002h0fMWI00<000000=WIf@3IfMT0503IfMT00`000000ZKgX0:Vmj03C0:Vm
j0H0ZKgW1`2Y_NP50:Vli`@0Z[gX2@2Y_NP60:Zmj0`0ZKgX1P2Z_NP70:Rki`D0ZkoX1`2T]nH30:o4
j@<0ZKWU1P2N[N430;C:jP<0ZK[U1P2FV]D30;gDj`<0ZKgX1P2BU]@60:Vhi0H0WJCK1P2Y^nH60:>/
gPH0ZKgX1P2L[><70:Vmj0@0QJGY102VZ=P40=WigP@0ZKgX0`1;AJT00`2;/Nl0NVbg0?SS/0020?SS
/0D0ZKgX0P0M?[P0102Y_NP0FE>a0;^K]`2kVkL3000000L0ZKgX1@1YDZD20?[VTP<0^=mh101gYo06
09En^08000001P2Y_NP209NJe0@0_kkI0`2cbN/30:Vmj0H0YK7Q102^`^T30:Vmj0H0ZKcW1P2Z_^PD
0:Vmj0030000002Y_NP0ZKgX06P0ZKgX00<000000=WIf@3IfMT0GP3IfMT002h0fMWI00<000000=WI
f@3IfMT05@3IfMT00`000000ZKgX0:Vmj03C0:Vmj0H0ZKgW1`2Y_NP50:Vli`X0ZKgX0`2Y_>L60:Zm
j0<0ZKgX0`2Y_>L60:Vmj0<0Z[gX0`2Y_NP60:Rki`H0ZKgX1P2T]nH70:Vii@D0WZgQ1P2Y^^D609JJ
e@H0ZKgX1@2BU]@20=3/j0D0ZKST1@2MY=/20<?Lk0H0ZK_V0`2S[=h30;cCk0H0ZKgX0`2L[><30;O=
j`H0ZKgX1@25YNT20:JXf0D0fOWN102Y_NP404]5Z@@0n>>`00<0bo6G02Mhi00WN>@00P2Y_NP301dn
^0<000000P2kVkL50:Vmj003044cVP2Y_NP0ZKgX00@0JE:U0`3jiY840;SON0<0MjO`1@2EO[P40000
00D0ZKgX1`2o_]T60:Vmj0H0YK7Q1`2Y_NP30:Vli`<0Z[cW1P2Z_^PD0:Vmj0030000002Y_NP0ZKgX
06P0ZKgX00<000000=WIf@3IfMT0G@3IfMT002h0fMWI00<000000=WIf@3IfMT05P3IfMT00`000000
ZKgX0:Vmj03C0:Vmj0<0ZKgW0`2Z_^P60:Vmj0H0Z[gW1P2Y_NP70:Vli`D0Z[gX1`2Y_>L<0:Vmj0<0
Z;_W0`2[_nP60:Vmj0<0Y;OV0`2_`nT70:Vii@80WZgQ0`2icn/60:Vji@@0UY[E0P3?jNT60:Vmj0<0
TYKD103@k>P50:Vhi080WJCK1@33g>`50:VkiPL0_=?/1@2Y_NP70;O=j`<0ZKgX0`2N^N/407f7dP<0
fOWN2@2Y_NP304]5Z@<0n>>`0`3;lIL302Mhi0<0000000<07Cjh0;^K]`2kVkL00P2kVkL00`0001l0
ZKgX0:Vmj0020:Vmj004044cVP2Y_NP0ZKgX0:Vmj0<0JE:U0P3jiY830;SON0<0ZKgX0`1gYo0409En
^08000000`2Y_NP508JAe`D0_kkI0P3Cm>H60:Vmj0<0YK7Q0`2eb>P60:Vmj0L0Z[cW1@2Z_^PD0:Vm
j0030000002Y_NP0ZKgX06T0ZKgX00<000000=WIf@3IfMT0G03IfMT002d0fMWI00<000000=WIf@3I
fMT0603IfMWE0:Vmj0L0Z[kX0`2Y_NP30:Rki`H0Z[gW1P2Y_NP70:Vli`80Z[gX0`2Y_NP70:Vli`D0
Z[gX1`2Y_NP60:^oj0H0ZKgX1P2_`nT60:Vii@H0^Lo[1@2Y^^D209JJe@D0cnWY1@2Y_NP209:Fe0H0
d>cX102Y^>@80<?Lk0D0VY_D1`2ldn`609^/hPH0]lg[1@2N^N/607f7dP80f_WM102Y_NP0100T<jX0
ZKgX0:Vmj02Y_NP204]5Z@@0n>>`0`3;lIL30000000402Mhi00M?[P07Cjh01dn^0<0^i^g0`0001l3
0:Vmj080@C>J0P2Y_NP206UBY@<0n^JB1P2Y_NP00`1UBil0MjO`07NWl00309En^0H0ZKgX1@26TML4
0;nnf@@0doCV1@2Y_NP70;G8j0H0ZKgX1P2Z_>LJ0:Vmj0030000002Y_NP0ZKgX06P0ZKgX00<00000
0=WIf@3IfMT0G03IfMT002d0fMWI00@000000=WIf@3IfMT00000603IfMW60:Vmj0<0Z[gX1`2Y_NP5
0:Vli`L0Z[kX1P2X^nL60:Zmi`H0ZKgX1P2Y_>L60:Vmj0@0ZKcW0`2Z_NL50:Zmj0@0ZKgX0`2X_>P6
0:^oj0H0YKWX1P2_`nT609n]hPH0^Lo[102Y^^D80<oYj@@0ZKgX203@k>P609JDc`@0`mc/0`2UZm/5
09ZKe0@0_=?/0`2Y^><609^/hPH0ZkkX1@2N^N/407f7dP@0f_WM0`2Y_NP202@cZP80ZKgX0P1;AJT3
0?SS/0050<_aU`00000000000000003;lIL00`0WN>@00`1XC9d07Cjh01dn^0030;^K]`0300007`2Y
_NP0ZKgX00<0ZKgX0P11<iX20:Vmj080JE:U0P3jiY800`2hggP0000S0:Vmj0040:Vmj080ID^O00D0
MjO`09En^02EO[P0UGjh0>gLK@060:Vmj0D0QY7G0P2o_]T50=?diPH0WZKK1P2eb>P70:Vmj0<0Z[cW
0`2[_nPJ0:Vmj0030000002Y_NP0ZKgX06P0ZKgX00<000000=WIf@3IfMT0F`3IfMT002d0fMWI0`00
000J0=WIfL<0ZKgX1P2Z_NP70:Vmj0D0ZKcW102Z_^P30:Vmj0H0Z;_W1P2Z_^P60:Vmj0H0ZkoX1P2Y
_NP70:Zmi`D0Z[gX1`2X_>P30:^oj0<0ZK_V1P2U^NP30:o3j@<0Y;7R1P2O[N830;W?j`<0YJkN1P26
TML60:FMcPH0PHgF1P2OTlL609JDc`H0YJ_K1P2JVm@60:Vhh`D0VjcR0P2hcn`60:^nj0@0W[W[0`1m
Qm850=[ig@@0ZKgX0P0T<jX0102Y_NP0BdFY0?SS/03hhk03000000D0ZKgX0P0WN>@206Q<W@807Cjh
0P2kVkL70:Vmj080@C>J00<0ZKgX06UBY@1YDZD00P3jiY800`3:WZ/0000S00008`040:Vmj0<0ID^O
00<0MjO`09En^01UBil00P3]g6d50:Vmj0D0QY7G1@3Cm>H30:Vmj0H0WZKK0`2eb>P30:k4j@H0ZKgX
1`2[_nPJ0:Vmj0030000002Y_NP0ZKgX06P0ZKgX00<000000=WIf@3IfMT0FP3IfMT002d0fMWI00<0
00000=WIf@3IfMT06`3IfMW30:Vmj0H0Z[gX1`2Y_NP50:Vli`L0ZKgX0`2X^nL30:ZliPH0Z[kX0`2Y
_NP30:Rii@H0ZkoX0`2Y_NP30:Vli`H0Z[gW1P2Y_NP60:Rlj0L0ZK_V1@2U^NP70:BahPD0WjgR1P2U
[]h508JAe`80d^kW1@2UWLh5086=eP80dNgW1@2OTlL509JDc`80f?OQ1P2UZm/409ZKe080d>gX1P2Y
^><209^/hPD0^<o/1@2[_^P509jij`0307f7dP3JnMd0f_WM0080f_WM0`2[_nP30:Vmj0<093>Z00H0
BdFY000000000000n>>`0:RD`@0000050:Vmj0809gST0`1XC9d00`0M?[P0^i^g0:Vmj0040:Vmj003
0000R`2Y_NP0ZKgX0080@C>J00@0ZKgX06UBY@3jiY80n^JB0P3:WZ/200008`@0ZKgX101UBil0102E
O[P0kMa]0>gLK@3]g6d50:Vmj0L0W8Rn1P2Y_NP609jVf`L0[/CY0`2Y_NP30:Rhi@H0ZkoX6P2Y_NP0
0`000000ZKgX0:Vmj01X0:Vmj0030000003IfMT0fMWI05X0fMWI000]0=WIf@030000003IfMT0fMWI
01`0fMWI``2Y_NP60:Zmj0L0ZKgX1@2[_nP70:Vmj0H0Z[cV1P2Z_^P60:Rii@D0ZkoX1`2Y_>L30:Zm
i`<0ZkoX1P2Y_NP30:Rlj0<0ZkoX1`2Y^nH20:Fij0<0[L7Y1`2T/N8209n]hP<0_MC[1P2U[]h308JA
e`<0d^kW1P2UWLh3086=eP<0dNgW1P2OTlL309JDc`@0f?OQ1@2UZm/209ZKe0D0d>gX1@2Y^><70;S?
k0H0ZKgX101[Q=T20=[ig@L0ZkoX0P2Y_NP0100T<jX000000000000000020?SS/080Z9C10P000004
0:Vmj0809gST101XC9d00`2kVkL0lm9R0:Vmj0030:Vmj0030000R`2Y_NP0ZKgX00<0@C>J00<0JE:U
0?[VTP11<iX00P3:WZ/60:Vmj0D0ID^O0`3]g6d00`2ZdV<0NJO`07VWl00307VWl0H0W8Rn00<0[mQ/
0:Vmj02Y_NP0102Y_NP309jVf`<0^/;P1P2^a>T70:Rhi@<0ZkoX7@2Y_NP00`000000ZKgX0:Vmj01X
0:Vmj0030000003IfMT0fMWI05T0fMWI000]0=WIf@030000003IfMT0fMWI01d0fMWI``2Y_NP60:Zm
j0@0ZKgX0`2X^nL50:^oj0@0ZKgX0`2X^nL60:ZliPH0ZKgX1P2X^ND50:Vmj0L0ZKcW1P2[_nP60:Vm
j0H0ZkoX1P2Y^nH60:g1j@H0Y;7R1P2me>/50:F^gP80QY7G1@3Bk^L50:FMcP80PHgF1@3AkNL509nC
a`80UYC?1P3Hmn440:F[f`P0d>gX1P2Q]>H30;S?k0<0Z:gK1P2Y_NP406^4f@80a/WL1P2[_nP30000
00@093>Z0P2XU<44000000<0ZKgX00<0:QZ902Mhi01XC9d0101XC9d00`3cdV80ZKgX0:Vmj0020:Vm
j080002;00<0ZKgX044cVP11<iX00`11<iX20<ZNZ`L0ZKgX1@1UBil20>gLK@<0Z]9S101iYo0509b8
_P<0[mQ/1@2Y_NP70;[2h0H0ZKgX1P2X^>DQ0:Vmj0030000002Y_NP0ZKgX06P0ZKgX00<000000=WI
f@3IfMT0F03IfMT002d0fMWI00<000000=WIf@3IfMT07P3IfMVm0:Vmj0H0ZKgW1P2Z_NP70:Rki`D0
ZkoX1`2X^nL30:ZliP<0[L7X1P2Y_NP30:Rii@<0[/3W1@2Y_NP40:Vli`<0ZK[U1P2[_nP60:Rki`H0
ZkoX1P2Y_^T60:g1j@H0X[_[1P2me>/40:F^gPL0d^kW1@2UWLh70=7]i`D0Wi?7203Hmn4709BVhPH0
WHk31P2Q]>H60:R]f`H0ZKgX0P1[Q=T40<K9g080ZkoX0`0000000`2[_nP01T710:Vmj00202@cZP@0
Z9C10P0000050:Vmj00302XJR@0WN>@09gST00@0J4bM00<0lm9R0000002Y_NP00`2Y_NP00`0008/0
ZKgX044cVP04044cVP80bYj[102Y_NP00`0m;9<0ZKgX0:Vmj00406E;W`<0kMa]102ZdV<407VWl0@0
W8Rn0`2_f6`609>Og@D0^/;P0P33g^d60:Vmj0<0Z;SU0`2^`^P90:Vmj0<0ZKgW502Y_NP00`000000
ZKgX0:Vmj01X0:Vmj0800000F@3IfMT002`0fMWI00<000000=WIf@3IfMT08@3IfMVl0:Vmj0H0ZKgW
0`2Z_NP30:Vmj0H0Z;_W1P2Y_NP60:Rki`L0[L7X1@2Y_NP70:k0i`D0ZKgX1`2Y^^D30:^oj0<0ZKgX
1P2X^nL30:^oj0<0Y[[W1P2Y_^T609f]hPH0X[_[1P2GTlh608Ffm@D0d^kW0P2UWLh50:g;k`D0dNgW
0P2OTlL50:j`fP030=gna`2DP[d0U8:m00<0U8:m1@2DY^820<k[j@H0WHk30`2Q]>H30;O=j`H0Z:gK
1@2Y_NP50<K9g0<00000102[_nP200I1`@H0Z9C11`2Y_NP00`0Z6XT09gST02Mhi00306Q<W@80lm9R
0P0000030:Vmj0030000R`2Y_NP0ZKgX00<0@C>J0`3:WZ/40:Vmj00403d/T`2Y_NP0ZKgX0:Vmj0<0
ID^O0P3]g6d60:Vmj00306]CY01iYo00NJO`00<0W8Rn1@2Y_NP609>Og@<0^/;P1033g^d60:Vmj0H0
[/;X1@2Y_NP70:Vmia@0ZKgX00<000000:Vmj02Y_NP0J02Y_NP00`000000fMWI0=WIf@1G0=WIf@00
;03IfMT00`000000fMWI0=WIf@0R0=WIfK`0ZKgX1P2Y_NL60:Vmj0<0Z;_W0`2/_^L60:Vmj0<0Z;_W
0`2W]^<70:g1j080ZKgX0`2U]><70:k0i`D0Z;gX1P2Y^^D70:Vmj0D0Z;_W1`2V^^L30:Vnj@<0ZkoX
1P2M[N830::kj`<0]/c[1P2GTlh308Ffm@<0]L_Z1025L;<60:g;k`80bNC[101lJK<60:j`fP80gOk7
1@2DP[d409BVhP<0c^_Y1P2MS/<60;O=j`D0Z:gK0P2meN`507^VkP050<K9g0000000000000000036
bM`00P38i>/507>Ul@801T71102XU<400`000000ZKgX0:Vmj0050:Vmj080:QZ900@09gST06Q<W@1X
C9d0J4bM0P3cdV8300000080ZKgX0P0008/0102Y_NP0@C>J044cVP11<iX30<ZNZ`040000?`2Y_NP0
ZKgX0:Vmj080?BbC0P2Y_NP306E;W`80kMa]00<0000_0:Vmj02Y_NP00`2Y_NP206]CY080NJO`0P2L
R;h00`3TgVd0ZKgX0:Vmj0030:Vmj0H0TioM1`33g^d60:BchPH0[/;X1@2Y_NP70:Vmia@0ZKgX00<0
00000:Vmj02Y_NP0J02Y_NP00`000000fMWI0=WIf@1F0=WIf@00;03IfMT00`000000fMWI0=WIf@02
00000240fMWI_02Y_NP60:Znj0H0ZKgX1P2/_^L60:Vmj0H0YkKS1P2]`NP60:Fdh`@0[/3W0`2]`NP5
0:Rmj0<0ZK[U0`2_a>T70:Vmj0D0ZkkX1`2V^^L60:^oj0H0WJgR1@2fc>/609NCcPH0]L_Z1@25L;<3
0:g;k`@0bNC[1@1lJK<40:j`fP<0gOk71P2DP[d209BVhP@0c^_Y1@2MS/<20=Kne`H0]lg[0P2X[M/4
0;gEk0<0NjK^0`0000020<K9g0D0b>C[101cYO400`16@JL01T710:RD`@030:RD`@8000001P2Y_NP2
02XJR@0502Mhi01XC9d0J4bM06Q<W@3cdV800P0000040:Vmj080002;00<0ZKgX044cVP11<iX0103:
WZ/40:Vmj080?BbC0P2Y_NP206E;W`80kMa]00<0fj^V0000;`2Y_NP0102Y_NP306]CY00307VWl02L
R;h0Je>T0080i=i]1@2Y_NP309>Og@<0Y9c=1033g^d30:Vmj0H0Y;?R0`2^`^P30:^oj0D0ZKgX102Y
_NL30:Znj1@0ZKgX00<000000:Vmj02Y_NP0I`2Y_NP00`000000fMWI0=WIf@1F0=WIf@00;03IfMT3
000002@0fMWI^@2Y_NP30:Vli`H0Z[kX0`2Y_NP30:Nji`H0[;kW1P2X_NP60:Nfh`H0ZKgX1P2U]><7
0:g1j0D0Z;gX1P2_a>T40:Vmj0<0Z;[V1@2[_^P40:Jji`<0Zl3Y1P2[_nP309f]hP<0[<c`1@2fc>/4
09NCcP80c_GX1@2ebnX608E`/`H0bNC[1@1lJK<30:j`fP@0gOk71P2DP[d70<k[j@<0WHk3103Fo]L5
0;O=j`H0_MG/0`00000307^VkPL0b>C[101cYO4204I1Y`0400I1`@2XU<40Z9C10:RD`@800000102Y
_NP01@0007T0ZKgX0:Vmj00Z6XT09gST00<0J4bM00<0lm9R0:Vmj02Y_NP00`2Y_NP0100007d0002;
0000R`0008/2044cVP<0bYj[1P2Y_NP00`0m;9<0ZKgX0:Vmj00206E;W`80kMa]00<0fj^V0000;`00
02l0102Y_NP506]CY0<0i=i]1@2Y_NP70:BLc@H0ZKgX1P2T/n870:^oj0D0ZKgX1`2Z_^PC0:Vmj003
0000002Y_NP0ZKgX06P0ZKgX00<000000=WIf@3IfMT0E@3IfMT002/0fMWI0P00000W0=WIfKH0ZKgX
1P2Y_>L50:Znj0L0Yk[W0`2/_^L30:boj0H0Z;gX0`2W]^<30;?8jPH0ZKgX0`2U]><30:jih@H0[L7X
1P2S[]l60:o4j@L0Z;[V1@2[_^P70:_0j@D0ZkoX1`2/c?040;K<j`<0Ui?>103>mNP50;G;jPD0QG2c
0`2VfWL40<WTj`D0O6Vc00<0[[3J0=gna`3Mo/L0103Mo/L409B2_@@0Yo2_103>jnT209f>``H0e_kG
1P2FSLL01@2meN`00000000000000000_MG/00L0Si7A0`38i>/30:Vmj0<0LjGa0`16@JL20:RD`@03
0000002Y_NP0ZKgX00@0ZKgX00<0001i0:Vmj02Y_NP00P0Z6XT306Q<W@030??BHP2Y_NP0ZKgX00<0
ZKgX00D0001m0000R`0008/0002;044cVP040<ZNZ`H0ZKgX0P0m;9<0102Y_NP0ID^O06E;W`3]g6d2
0=^[YP80000_102Y_NP506]CY0<0i=i]00<0bO>M08fak`2=/Nl00`2=/Nl50:BLc@80eoo;1P2Y_NP3
0:BchP<0/L7U1P2[_nP60:Vli`H0Z[kX502Y_NP00`000000ZKgX0:Vmj01X0:Vmj0030000003IfMT0
fMWI05@0fMWI000/0=WIf@030000003IfMT0fMWI02H0fMWI]P2Y_NP60:Vli`D0ZKgX1`2W^^L60:bo
j0H0Z;gX1P2cb>X50:Vmj0L0[[WQ0`2]`NP30:Vmj0H0XjkO0`2_a>T30:Vmj0H0Z;[V1P2X_NT60:_0
j@H0VZWQ1P2/c?050;K<j`0309NCcP3>mNP0c_GX00@0c_GX102ebnX408E`/`80Y]Yg0`2^`nT30<WT
j`D0O6Vc00D000000:Vmj02Y_NP0ZKgX07UFW@020=gna`<0U8:m0`2Wl:l30:Vmj00407aOYP3>jnT0
c^_Y09f>``D0e_kG0`2_`nT409J=a`8000001@2V_>T708nAd@D0ZKgX00<04R2M07>Ul@1cYO401016
@JL00`2XU<40ZKgX0:Vmj0050:Vmj0030000N@2Y_NP0ZKgX0080:QZ900<09gST06Q<W@3cdV800P00
02`40:Vmj080001m0P0008/50<ZNZ`<0ZKgX00<0001n0:Vmj02Y_NP00P0m;9<0102Y_NP0ID^O0>gL
K@3]g6d20=^[YPH0ZKgX1@1[Dj@20>CNK@<0bO>M102=/Nl40:BLc@@0eoo;1@2Y_NP70;71i@<0ZkoX
0`2Y_NP60:Vli`<0Z[kX5`2Y_NP00`000000ZKgX0:Vmj01W0:Vmj0030000003IfMT0fMWI05@0fMWI
000[0=WIf@030000003IfMT0fMWI02P0fMWI]P2Y_NP30:Vli`<0ZkkX1@2Y_NP40:Nji`<0Z[_U1P2/
_nP609n[g`H0/lSZ1@2P/N@70:jih@H0ZKgX1P2S[]l60:Vmj0<0Z;[V0`2[]^460:Rmj@<0Zl3Y0`2Y
_NP609ZYh@<0[<c`0`2Y_NP407eg`@80c_GX1P2Y_NP30;G;jP@0QG2c1@2^`nT00`1OBJ40bNC[0<WT
j`0507aY/`@0ZKgX0P1iEYd0103Mo/L0U8:m09B2_@2Wl:l60:Vmj0<0O5nV0`3Fo]L60:o3j@0509J=
a`00000000000000002FSLL00P3KoMH50:Jlj@D0Si7A0P3FmN<40:Vmj003018PW@1cYO40LjGa00@0
AT6W00<0n>^a0:Vmj02Y_NP01@2Y_NP00`0007T0ZKgX0:Vmj00202XJR@0302Mhi01XC9d0lm9R00<0
000/0`2Y_NP20000O@0306E3U00008/0002;00@0bYj[1P2Y_NP303d/T`0406E;W`3]g6d0?BbC0=^[
YP@0ZKgX00<0ASFI0:Vmj02Y_NP0101[Dj@20>CNK@@0bO>M1@2=/Nl20:BLc@D0eoo;1P2P/><60;71
i@L0ZKgX1@2Y_>LK0:Vmj0030000002Y_NP0ZKgX06L0ZKgX00<000000=WIf@3IfMT0D`3IfMT00180
fMWI0P0000040=WIf@030000003IfMT0fMWI0080fMWI1000000:0=WIf@030000003IfMT0fMWI02T0
fMWI]@2Y_NP70:^nj0D0ZKgX1`2Z^nD30:boj0<0ZKgX1P2OZml30;?8jP<0ZKgX1@2P/N@40:jih@<0
^m7[1P2Y_NP30:>^g`<0^LOU1P2Y_NP60:^fh@H0Z;gY1P2Y_NP609ZYh@D0ZKgX1P1mMl400`3No/00
ZKgX0:Vmj0030:Vmj00405A6Y@2ebnX0]L_Z0;G;jP80QG2c00<000000:k3j@2^`nT00`2^`nT205m9
X@80bNC[0`1lJK<50:Vmj0H0NEJM00<000000:Vmj02Y_NP00`2Y_NP607aOYP040000002_`nT0[l?Y
0:o3j@<000000`2FSLL40=_meP@0Y[cY102?TM440=Keh`@0ZKgX00<04R2M07>Ul@1cYO400`16@JL2
0?S[/@H0ZKgX0P0007T01P2Y_NP0:QZ902XJR@0Z6XT0J4bM0??BHPH0ZKgX00<08Pin0000O@1U@i@0
0P0008/40<ZNZ`0300008P2Y_NP0ZKgX00<0ZKgX0`0m;9<0101UBil0?BbC0=^[YP3KZjH40:Vmj004
04HeV@2Y_NP0ZKgX0:Vmj0<0Je>T0P3TgVd20<WcW@<0ZKgX0P1kJ[D208fak`030:BLc@3Gol/0eoo;
0080eoo;0`2Y_NP60:2`h`<0/L7U0`2cbN/60:Vmj0H0ZkkX6P2Y_NP00`000000ZKgX0:Vmj01X0:Vm
j0030000003IfMT0fMWI0580fMWI000A0=WIf@040000003IfMT0fMWI000000P0fMWI00<000000=WI
f@3IfMT02`3IfMT00`000000fMWI0=WIf@0Z0=WIfK80ZKgX0`2X_>L70:^nj0D0Y[[X1`2Z^nD60:Vm
j0D0Wj_O1`2Y_NP50:2ai0L0^m7[1@2Y_NP70;W7i@<0ZKgX0`2V_>T60:^fh@`0ZKgX0`2JZN430;cB
j`D0ZKgX101mMl430=kn`0@0ZKgX0P1DAZD20;G;jP80QG2c0P0000040:k3j@<0GdVQ00<0bNC[07aY
/`1lJK<00P0000040:Vmj0H0NEJM0P0000040:Vmj0H0O5nV100000030:o3j@80UXg71@3KoMH50:Jl
j@80Si7A1@3FmN<40:Vmj003018PW@1cYO40LjGa0080AT6W0`3hjk470:Vmj0030000N@2Y_NP0:QZ9
0080:QZ900<0J4bM0;N@[P2Y_NP01@2Y_NP0100R3Wh0001m06E3U01U@i@20000R`80bYj[0P000283
0:Vmj0030000OP2Y_NP0?BbC00@0?BbC0P3KZjH0100004L0ZKgX0:Vmj02Y_NP204HeV@80ZKgX0P1[
Dj@20>CNK@030<WcW@2Y_NP0ZKgX00<0ZKgX101kJ[D20=Oob`L0ZKgX1@2P/><70;?9j`<0ZKgX0`2X
^^H60:^nj1X0ZKgX00<000000:Vmj02Y_NP0I`2Y_NP00`000000fMWI0=WIf@1B0=WIf@004@3IfMT0
10000000fMWI0=WIf@0000090=WIf@030000003IfMT0fMWI00X0fMWI00<000000=WIf@3IfMT0:`3I
fMV_0:Vmj0H0Z;cW102[_^P30:Vmj0D0Y[[X102Z^nD30;35j@H0ZKgX0P2OZml30;_6h`L0ZKgX0P2P
/N@30:2OdPH0^m7[1P2HWML60;W7i@L0Y[cY102[]^420;K<jP/0ZKgX1`2ld^/40:Vmj0<0OGO11@3N
o/030:Vmj0<0E4JU00<0]L_Z08E`/`0000000`0000030:k3j@@0GdVQ00<0O6Vc0000000000000P00
00030:Vmj0H0NEJM0`0000030:Vmj0@0O5nV0`0000020:Vmj080OVF]0P2_`nT00`2FSLL0fogF0=_m
eP020=_meP<0ZKgX1021N;l20=Keh`T0ZKgX0P0B89d00`1cYO40AT6W04I1Y`020?S[/@80eofj00<0
03>g0:Vmj02Y_NP00`2Y_NP00`0007T0ZKgX02XJR@0202XJR@0306Q<W@000340ZKgX00D0ZKgX00<0
8Pin0000O@1U@i@00P1U@i@0100008/0bYj[0<ZNZ`0002840:Vmj0030000OP2Y_NP0?BbC00<0?BbC
0`3KZjH40:Vmj080ASFI0P2Y_NP206]CY0040>CNK@39lid0j;jZ00007P@0ZKgX1P1kJ[D00`3]mZH0
ZKgX0:Vmj0050:Vmj080X;3S102Z/=d50;?9j`L0Z;[V1@2[_^PK0:Vmj0030000002Y_NP0ZKgX06L0
ZKgX00<000000=WIf@3IfMT0D@3IfMT00140fMWI00@000000=WIf@3IfMT000002P3IfMT00`000000
fMWI0=WIf@090=WIf@030000003IfMT0fMWI02`0fMWI[`2Y_NP60:Rli`L0ZKgX1@2V^^P70;35j@D0
ZKgX1P2ka^<60:Vmj0H0X9oB0`2kdN/30:Vmj0H0V9gG0`2ianD30;?9jPL0Y[cY0P2[]^440;K<jPD0
ZKgX1`2GYMl50;cBj`D0ZKgX0P1mMl430=kn`0H0ZKgX101DAZD2000000<0ZKgX0P2^`nT505m9X@L0
ZKgX1@1iEYd70:Vmj00507aOYP00000000000000001lGjH0102Y_NP407iU[@<0fogF1@2Y_NP6085h
_`030=Kk/@2Y_NP0ZKgX00<0ZKgX00<03S2`0:Vmj02Y_NP00P0B89d0101cYO40AT6W0?S[/@3hjk44
0=Om^P8003>g0`2Y_NP00`0007T0ZKgX02XJR@0202XJR@030??BHP000340ZKgX00D0ZKgX00<08Pin
0000O@1U@i@00P1U@i@00`0008/0bYj[0<ZNZ`080:Vmj0<0?BbC0`3KZjH50:Vmj080ASFI00<0ZKgX
06]CY01[Dj@00`3X_ZX200007P@0ZKgX101kJ[D30>gfYPH0ZKgX1`2Z/=d50:Vmj0H0Z;[V1P2Z_^PJ
0:Vmj0030000002Y_NP0ZKgX06L0ZKgX00<000000=WIf@3IfMT0D@3IfMT00140fMWI00@000000=WI
f@3IfMT000002`3IfMT00`000000fMWI0=WIf@080=WIf@<00000;@3IfMVV0:Vmj0<0Z[gX1P2Y_NP3
0:Rli`<0ZkkW1`2Y_NP50:Bch`H0/<GY1P2FXmh60;_6h`H0W[[/1P2PWm860:Vmj0H0V9gG1P2cbNX6
0:Jlj@L0]/cZ1@2Y^>@709NUg`D0ZKgX0P1HH/420:Vmj00307eg`@3No/00ZKgX00D0ZKgX00<09BNK
0:Vmj02Y_NP0101DAZD50:Vmj080[/?Y1@1OBJ470:Vmj0D0NEJM1@2Y_NP3000000<0O5nV00<0000A
0:Vmj02Y_NP00P2Y_NP707iU[@030000002Y_NP0ZKgX00<0ZKgX1021N;l30=Kk/@D0ZKgX00<03S2`
0:Vmj02Y_NP00P0B89d00`16@JL0n>^a0=Om^P040=Om^P<003>g0P2Y_NP20000N@040:Vmj00Z6XT0
:QZ90;N@[PL0ZKgX00<08Pin0000O@0007d00`1U@i@00`0008/0bYj[0:Vmj0050:Vmj0030000OP2Y
_NP0?BbC0080?BbC0`3KZjH20:Vmj0030003R`2Y_NP0ZKgX0080ASFI00<0ZKgX06]CY03TgVd00`3X
_ZX200007P@0ZKgX101kJ[D40>gfYPH0W[W[1@2Z/=d20<CPk@D0ZKgX0`2X^^H30:bni`H0Z[kX6P2Y
_NP00`000000ZKgX0:Vmj01W0:Vmj0030000003IfMT0fMWI0500fMWI000A0=WIf@040000003IfMT0
fMWI000000P0fMWI00@000000=WIf@3IfMT000002@3IfMT200000340fMWIXP2Y_NP60:Zmj0H0ZKgX
1P2[_^L40:Vmj0<0YkcX1@2T/n<30;35j@<0ZKgX1P2FXmh30;_6h`<0]lgZ1@2N^^`50:2OdP<0e_3T
102Y_NP509RMe`80^K?C1P2cbNX609bKdP@0]/cZ0`2Y_NP50:Vhi0D0UjGO0P30en/40:Vmj0H0F6;1
00<0g_k50:Vmj02Y_NP00`2Y_NP00`0U9i/0ZKgX0:Vmj00305A6Y@030:O5C02Y_NP0ZKgX00<0ZKgX
00<0D3FA0:k3j@2^`nT00`1OBJ4200004`H0ZKgX1@1iEYd00`0002`0ZKgX000000020000000305@j
U@2Y_NP0ZKgX00<0O5nV0P0001430:Vmj0H0OVF]0`0000040:Vmj0<0PGRo1@3Fnk440:Vmj0803S2`
00@0ZKgX018PW@0B89d0n>^a0P3GoKX50:Vmj0<003>g00@0ZKgX0000N@0007T0ZKgX0P0Z6XT00`2g
T:h0ZKgX0:Vmj0050:Vmj0808Pin00<0001m06E3U01U@i@00P1U@i@00`3:WZ/0ZKgX0:Vmj0020:Vm
j0040;Q4002Y_NP0001n0:Vmj080?BbC0`3KZjH30:Vmj0030003R`2Y_NP0ZKgX00<0ASFI00D0Je>T
04HeV@3X_ZX0j;jZ00007P060:Vmj0<0NfZe103]mZH20=?fi@H0W[W[0P2Z/=d50<CPk@D0ZKgX1P2/
_^L50:Znj1/0ZKgX00<000000:Vmj02Y_NP0I`2Y_NP00`000000fMWI0=WIf@1?0=WIf@004P3IfMT2
000000X0fMWI0P00000:0=WIf@030000003IfMT0fMWI0340fMWIXP2Y_NP60:Zmj0H0Z;cX1P2[_^L6
0:Nlj0H0Y;?S1P2Y_NP609JSgPH0]lgZ1@2N^^`20:2OdPH0e_3T102Y_NP209RMe`D0^K?C1P2Y_NP6
09bKdPH0ZKgX1P2Y^>@209NUg`D0`=O[102Y_NP405QR`@<0g_k5102Y_NP202DWV`040:Vmj01DAZD0
E4JU05A6Y@80YlE<102Y_NP00`1@=I40[/?Y0:k3j@0305m9X@<0000C0`2Y_NP00`1D<X`0ZKgX07UF
W@0307UFW@<000000`2Y_NP00`1D>YD0ZKgX0:Vmj00307aOYP80000A102Y_NP507iU[@<000001@2Y
_NP2085h_`<0e_^a0`2Y_NP0101;K=80ZKgX0:Vmj02Y_NP200h`/003018PW@3hjk40YkKS0080YkKS
00<0e?Z`0:Vmj02Y_NP00P2Y_NP3000c]`070:Vmj00007T0001i0:Vmj00Z6XT0lm9R0;N@[P070:Vm
j0808Pin00<0001m06E3U01U@i@00P1U@i@00`0004@0ZKgX0:Vmj0020:Vmj080^4@000@0001n0:Vm
j00m;9<0?BbC0`3KZjH30:Vmj0030003R`2Y_NP0ZKgX00@0ASFI0`3X_ZX40:Vmj00405a@[02Y_NP0
ZKgX0:Vmj080NfZe0`3]mZH40=?fi@D0W[W[1`34h>d60:NiiPH0[;kW802Y_NP00`000000ZKgX0:Vm
j01V0:Vmj0030000003IfMT0fMWI04l0fMWI000Z0=WIf@030000003IfMT0fMWI0380fMWIXP2Y_NP3
0:Zmj0<0ZKgX1P2X_>P30:^ni`<0ZkkX1P2W_>P30:Bch`<0]/_Z1P2Y_NP309JSgP<0/;3H1P2gcNX4
09jjk0H0e_3T0`2Y_NP308JAe`H0^K?C0P3ImN460:Vmj0@0W9_B0P3=e^060:Vmj0D0ZKST1`30en/4
0:Vmj0<0F6;11@3No/D40:Vmj0809BNK00<0ZKgX05A6Y@1DAZD00`2WaD`30:Vmj003050eT@2^`nT0
[/?Y0080GdVQ00<0D3FA00004`2Y_NP0102Y_NP0101D<X`0ZKgX0:Vmj01iEYd2000000<0VGJZ0`2Y
_NP205@jU@030:Vmj01lGjH0O5nV00@0WXFh0`2Y_NP407iU[@D0ZKgX0P1_GJd20:Vmj003085h_`3F
nk40ZKgX00D0ZKgX0`1;K=800`2Y_NP03S2`00h`/0040:Nfh`<0e?Z`0`2Y_NP3000c]`070:Vmj000
07T0001i0:Vmj00Z6XT0lm9R0;N@[P050:Vmj0050000I`2Y_NP08Pin028>OP0007d0101U@i@50:Vm
j00502@?OP2hA000001n0000OP0m;9<0103KZjH30:Vmj08000>;00<0ZKgX04HeV@16=IT00P16=IT3
0>RnZP@0ZKgX0P1LD:`20:Vmj00407]Z]@3]mZH0kOJV0>gfYPD0doKU1P2BT<h40<CPk@<0ZKgX1P2W
^NH30:bni`<0[<3Y1P2Y_NP50:Zmj1@0ZKgX00<000000:Vmj02Y_NP0I`2Y_NP00`000000fMWI0=WI
f@1>0=WIf@00:P3IfMT00`000000fMWI0=WIf@0c0=WIfJP0ZKgX1P2X_>P60:^nj0D0YkcX1`2fbnX5
0:Vmj0L0/;3H1P2Y_NP607mf_`H0ZKgX1026TML40;Vcd`@0fOGQ1@2Y_NP309bKdP@0cMKP1@2Y_NP7
09VRf`<0`=O[0`2Y_NP01017Ill0ZKgX0:Vmj02Y_NP205QR`@H0XiK70`2Y_NP202DWV`030:Vmj01D
AZD0XHo100@0XHo10P2Y_NP2050eT@030:k3j@1OBJ40GdVQ00L0ZKgX00@0E3:<0000000000000000
0P1iEYd309UfZP<0ZKgX0P1D>YD00`2Y_NP0O5nV07aOYP0409j5^00306Q7U`2Y_NP0ZKgX00@0OVF]
1@2Y_NP606mM[@030000002Y_NP0ZKgX00@0ZKgX0`1;K=850:Nfh`@0e?Z`0`2Y_NP01000074003>g
000c]`0Z7H`20000N@030;N@[P0Z6XT0]i2^00H0ZKgX00D0001W0:Vmj02Y_NP08Pin0000O@0406E3
U0D0ZKgX00D090mn0;Q4002hA000001n03d/T`040=^[YP0600009P2Y_NP0ZKgX0:Vmj0000h/0ZKgX
1016=IT20>RnZP030000@@2Y_NP0ZKgX00<0ZKgX0P1LD:`00`2Y_NP0NfZe0>gfYP020=?fi@H0ZKgX
1P2BT<h70:Vmj0D0YkWV1`2/`>T30:Vmj0<0ZKgW1@2Z_NPD0:Vmj0030000002Y_NP0ZKgX06L0ZKgX
00<000000=WIf@3IfMT0C@3IfMT002X0fMWI00<000000=WIf@3IfMT0=03IfMVL0:Vmj0H0Z[gX1P2Y
_NP60:Vli`H0ZkkX1P2M[N860;K;jPD0SZGT1@2`/=P20=;/iPD0ZKgX1P1oM[l00`3Wg//0ZKgX0:Vm
j0040:Vmj0@0QY7G0P2i/m<60=Weh@D0ZKgX00<0W9_B0<gFh03=e^00103=e^050:>kjPL0VJ;K1P2Y
_NP204MWc`040:Vmj01HH/40e_;T0=Kbi0D0XiK700<08RRN0:Vmj02Y_NP00`0U9i/00`1DAZD0XHo1
0:6?`@030:6?`@80ZKgX0P1@=I400`2^`nT0GdVQ05m9X@050:Vmj0<000000P2Y_NP307UFW@<0VGJZ
0`2Y_NP305@jU@0307aOYP1D>YD0WXFh00<0WXFh0P1XAiL0102Y_NP0OVF]07iU[@1nIJd200006`@0
ZKgX1P1_GJd2000000D0ZKgX101;K=830:Nfh`<0e?Z`1@2Y_NP01@00074003>g000c]`0Z7H`0001i
0080]i2^00<0:QZ90;N@[P0000001@2Y_NP01@0006L0ZKgX0:Vmj00R3Wh0001m00@0ID>D1@2Y_NP0
100T3gh0^4@00;Q4001[AY@50=^[YP80000V0P2Y_NP20003R`030:Vmj016=IT0ASFI00<0j;jZ1P2Y
_NP505a@[080j=2n00<000000:Vmj02Y_NP00`2Y_NP509:@cP80en_R1P2Y_NP60:Zji@H0[<3Y1`2Y
_NL50:Zmj1@0ZKgX00<000000:Vmj02Y_NP0IP2Y_NP00`000000fMWI0=WIf@1=0=WIf@00:P3IfMT0
0`000000fMWI0=WIf@0e0=WIfI`0ZKgX1P2Z_NP30:Vmj0<0Z;cX1P2Y_>L60:Vmj0H0WJgR1P2Y_NP5
08jUi0<0/;3H103Bk>H40:Vmj0D0OgJo0`3Wg//50:Vmj0D0QY7G1@3ImN430:Vmj0@0QGc11P3=e^02
0;oGj`D0Xk_Z1@2IX]/20<WSjPD0ZKgX0`17Ill30=Kbi0D0XiK70P0R:9h01@2Y_NP09BNK02DWV`0U
9i/0/]5M00D0XHo10P2Y_NP3050eT@0405m9X@1@=I40000R0:Vmj0<000000P2Y_NP205@bS0030:Vm
j01iEYd0NEJM00@0VGJZ00<0=An80:Vmj02Y_NP00`1D>YD00`1lGjH0E3ZE09j5^00309j5^080J4NG
0P2Y_NP207iU[@<0000K102Y_NP406mM[@@00000102Y_NP504]/dP030:Nfh`3Dn[00ZKgX00L0ZKgX
00@0001a000c]`00<kL0:Qf<0`2gT:h0100Z6XT0]i2^0000000000070:Vmj0808Pin101U@i@50:Vm
j00502@?OP2hA000^4@006]6U00007h0103KZjH40:Vmj08000>;00<0ZKgX04HeV@16=IT00`3X_ZX2
0:Vmj00402@f[@2Y_NP0ZKgX0:Vmj0@0G52/0`3Xd;h2000000D0ZKgX0`2BT<h40=O[hP<0ZKgX0`2V
_>T60:Zji@<0[<3Y0`2Y_NP60:VmiaX0ZKgX00<000000:Vmj02Y_NP0IP2Y_NP00`000000fMWI0=WI
f@1<0=WIf@00:@3IfMT00`000000fMWI0=WIf@0g0=WIfI`0ZKgX1P2Z_NP60:Rlj0<0ZKcW0`2/`>P6
0:Vmj0<0WJgR0`2ga>@60:Vmj0D0SZGT00<0/;3H0=;/iP3Bk>H0103Bk>H40:Vmj0<0OgJo1@3Wg//4
0:Vmj0P0UGbe1@2Y_NP508El`@<0cMKP1@2oen/50:>kjP80VJ;K1@39hnX50:Vmj00304MWc`3Fl^@0
e_;T00<0e_;T1@2SU/L00`0R:9h0ZKgX0:Vmj00202DWV`80/]5M102QSl420:Vmj0<0D3FA00@0GdVQ
00000000000000001@2Y_NP205@bS0030:Vmj01iEYd0NEJM00@0VGJZ00<0=An80:Vmj02Y_NP0101D
>YD00`0002D0WXFh09j5^00209j5^0<0J4NG00@0ZKgX07iU[@1XAiL0000K0`2IMZX30:Vmj0@0Kef]
0P00000309n7^P@0PHSA1@19XOH20<?@i0P0ZKgX0P00<kL202XMS0@0]i2^0P0000070:Vmj0808Pin
00@0001m06E3U01U@i@0ID>D1@2Y_NP00`0T3gh0^4@00;Q4000206]6U0<0fj^V1@2Y_NP20003R`03
0:Vmj016=IT0ASFI00<0j;jZ0P2Y_NP202@f[@80ZKgX101LD:`20>S@_P@00000102Y_NP209:@cPD0
en_R1P2V_>T60:Zji@L0ZKgX0`2Y_NL30:Zmj1T0ZKgX00<000000:Vmj02Y_NP0I`2Y_NP00`000000
fMWI0=WIf@1;0=WIf@00:@3IfMT00`000000fMWI0=WIf@0h0=WIfJ80ZKgX1P2X_>P60:c0j0H0ZKgX
1P2ga>@50:Vmj0D0SZGT1@3Bk>H30:Vmj00305eH]02Y_NP0ZKgX0080OgJo1@3Wg//20=[fg`@0KjGb
1`2EO;D00`32gG00ZKgX0:Vmj0030:Vmj0D0QGc1202oen/40:>kjPL0bN?Z1@2Y_NP60=Kbi0D0XiK7
0P0R:9h00`2Y_NP09BNK0;;AG@020;;AG@@0XHo100<0:1B30:Vmj01@=I400`00000010000280TF:G
095RU`2AHYL40:Vmj080E3:<00<0ZKgX07UFW@1iEYd0102IMZX00`0e7hP0ZKgX0:Vmj00405@jU@80
000U0`2NQKP406Q7U`0307iU[@1XAiL0VGJZ00<0VGJZ00<0A3fT0:Vmj02Y_NP00`1_GJd609n7^PD0
PHSA0`19XOH40<?@i0L0ZKgX00@0001a000c]`00<kL0:Qf<102gT:h90:Vmj0808Pin00@0001m06E3
U01U@i@0ID>D0P2Y_NP0100006L0ZKgX0:Vmj00T3gh20;Q40080JdJD00<0001n0=^[YP3KZjH0102Y
_NP01@2V<@0000>;0003R`000h/0ASFI00<0j;jZ102Y_NP202@f[@80ZKgX0P1LD:`30>S@_P800000
0`2Y_NP30820b@D0en_R0`2id^`60:Jlj@<0Z[[U0`2`a^X60:Vmj0L0Z[gX6@2Y_NP00`000000ZKgX
0:Vmj01V0:Vmj0030000003IfMT0fMWI04/0fMWI000Y0=WIf@040000003IfMT00000000003P0fMWI
XP2Y_NP30:Rlj0<0Yk_W1P2/`>P609Z^i@H0]lCT1@2F]nh708j9b@D0ZKgX0P1MF;@00`2Y_NP0OgJo
0>ONb`040>ONb`@0f_KO0`1_YO8609El]@<0`]e`102Y_NP408El`@<0ak33102oen/30:Vmj0H0S8G7
1@2Y_NP606n?hPD0e_;T102SU/L3028XWP0302DWV`2bdEd0/]5M0080/]5M0`2QSl43000000<0D3FA
102AHYL40:Vmj0<0E3:<00<0NEJM05@bS02IMZX00`2IMZX203DOR080ZKgX0`1D>YD200009@<0WXFh
1@1XAiL509UfZP80A3fT00D0ZKgX06mM[@1_GJd0Kef]0000000609n7^PD0PHSA1`33d>@60:Vmj004
0000L@00<kL003>g02XMS0@0]i2^0`2Y_NP00`2oB`00ZKgX0:Vmj0030:Vmj0808Pin00<0001m06E3
U01U@i@00`2Y_NP01P0006L0ZKgX0:Vmj02Y_NP090mn0;Q400<0JdJD0P3KZjH40:Vmj0050:Ha0000
0h/000>;0003R`16=IT00`3X_ZX40:Vmj0<093J]00<0ZKgX05a@[01LD:`00P3Xd;h60:Vmj0H0P839
1P2id^`50:Jlj@L0/<KZ0`2Y_NP30:Vli`H0Z[gX6P2Y_NP00`000000ZKgX0:Vmj01V0:Vmj0030000
003IfMT0fMWI04X0fMWI000Y0=WIf@800000>`3IfMT00`000000ZKgX0:Vmj02N0:Vmj0L0Yk_W0`2/
`>P30:Vmj0H0VZkU0`2ga>@30;C9jP@0U[O^1P2>RLT20>7mc0@0ZKgX0`1MF;@50>ONb`H0f_KO0P1_
YO8609El]@<0`]e`1@2Y_NP208El`@D0ak331P2Y_NP508b5a`80ho3H1@2Y_NP406n?hP80`][[101e
M/D40:>Fa`<08RRN00<0bNZ707IR[P1fHZh00P2bdEd30000000302PDP`2Y_NP0ZKgX00<0D3FA102A
HYL20:Vmj00300T0M@2Y_NP0E3:<0080E3:<00<0NEJM05@bS02IMZX00`2IMZX203DOR080ZKgX0`1D
>YD200009@@0WXFh101XAiL509UfZP80A3fT0P2Y_NP206mM[@030000002OQkX0WhNj00@0WhNj0`21
R=430;Odl`@0`m3T0`2id>`50:Vmj0030000L@00<kL003>g0080:Qf<0P2gT:h01@000000ZKgX0:Vm
j02Y_NP0_d/000<0ZKgX00D0001W0:Vmj00R3Wh08Pin0000O@0206E3U0<0ZKgX00H0001W0:Vmj02Y
_NP0ZKgX02@?OP2hA00306]6U0030000OP3KZjH0ZKgX00<0ZKgX0P2V<@020003R`@0j;jZ00@00004
000k_@2Y_NP0ZKgX100T=Zd01@1LD:`0j=2n0>S@_P3Xd;h0000I00D0ZKgX1@20P<T20=7CfPH0^M;/
1P2S[n450;36jPL0ZKcW0`2Z_NP30:Znj1T0ZKgX00<000000:Vmj02Y_NP0I`2Y_NP00`000000fMWI
0=WIf@190=WIf@00:@3IfMT00`000000fMWI0=WIf@0l0=WIfJ00ZKgX1`2W^nL60:Vmj0D0VZkU1`2d
bNX409JgkP@0SXW9103QoL`40:Vmj0D0GERd1P3Jm]l30:Vmj080KjGb102EO;D50:Vmj080Genk0P2Y
_NP00`25O<40ak330<N```040<N```80e?:I102Y_NP408b5a`@0ho3H1@2Y_NP206n?hP<0`][[1@1e
M/D0100fDL40XiK70:>Fa`2SU/L2028XWP030<WZQ`1fHZh00000008000000`2QSl400`0X58<0ZKgX
0:Vmj003050eT@@0TF:G0P2Y_NP00`0907D0ZKgX05@bS00205@bS00307UFW@1D<X`0000_00<0VGJZ
0P0e7hP20:Vmj080E3ZE0P1hE9/00`0002D0WXFh09j5^00209j5^0@0J4NG1@2IMZX304@mY0030:Vm
j01_GJd00000008000001@2OQkX70;Odl`H0^M3/00H000260:Vmj02Y_NP0001T0:Vmj0000742000c
]`80:Qf<0P2gT:h010000000ZKgX0:Vmj02Y_NP20;m;0080ZKgX00<0001W0:Vmj00R3Wh00P0R3Wh2
06E3U0<0ZKgX00H0001W0:Vmj02Y_NP0ZKgX02@?OP2hA00406]6U0030=^[YP2Y_NP0ZKgX0080ZKgX
00<0;QV40:Ha001gDi/00P000h/20>RnZP040000000000@00004000k_@80ZKgX0`0T=Zd30>S@_P03
08U^[@0001T0000I00D0ZKgX0`20P<T40=7CfPH0ZKgX1P2S[n450:Vmj0H0ZKcW1`2Z_^PI0:Vmj003
0000002Y_NP0ZKgX06H0ZKgX00<000000=WIf@3IfMT0B@3IfMT002T0fMWI00<000000=WIf@3IfMT0
?@3IfMVP0:Vmj0@0Yk_W0`2/`>P60:Vmj080VZkU0`2Z]N470;C9jP<0U[O^0`2>RLT50>7mc0@0ZKgX
1@1MF;@30;jN^0H0ZKgX00<0GD6H06nUlP2EO;D00`2EO;D00`3lh8H0ZKgX0:Vmj0020:Vmj0@0Genk
1P37/<<40=CbV@@0ZKgX0P2<QLL50>?`f0D0ZKgX1P32f^/407Efa@80=U710P2SU/L0100R:9h0bNZ7
00000000000407IR[P80XHo100<0:1B30:Vmj02Y_NP00`1@=I44095RU`80ZKgX00<02@1e0:Vmj01D
<X`00`1D<X`20000;`@0VGJZ00<0=An80:Vmj02Y_NP00P1D>YD307QDV`@0WXFh101XAiL509UfZP@0
A3fT00@0Kef]0000000000000000102OQkX40=7?f0H0VHc51@2id>`0100008H0ZKgX0:Vmj02Y_NP2
0000L@03000c]`0Z7H`0:Qf<0080]i2^102Y_NP20;m;0080ZKgX00<0001W0:Vmj00R3Wh00P0R3Wh2
06E3U0L0ZKgX00<090mn0;Q4001[AY@00`1[AY@50:Vmj00502hIQ02V<@00Me>K07MCV`000h/00P3X
_ZX00`000000000400001002000k_@030:Vmj00T=Zd093J]008093J]0P3Xd;h00`29KZd0000I0000
6@050:Vmj080P839103AdmX20=Gkg`H0ZKgX0`2S[n430;K;j@D0ZKgX0`2Y_>L30:Zmi`H0Z[kX6P2Y
_NP00`000000ZKgX0:Vmj01V0:Vmj0030000003IfMT0fMWI04P0fMWI000Y0=WIf@030000003IfMT0
fMWI03h0fMWIX02Y_NP70:c0j0D0ZKgX1P2Z]N440;C9jP<0ZKgX00@0HV:l09JgkP2F]nh0SXW90P3Q
oL`50:Vmj003024l]02Y_NP0ZKgX00@0GERd102nW[P00`2cc5@0ZKgX0:Vmj0030:Vmj00305e1V01_
YO80UGbe0080UGbe00<0GD6H0?cPQP3lh8H0102Y_NP405mO^`@0ak330`3DlYT30:Vmj00407IT/@2Y
_NP0ZKgX08b5a`D0ho3H0P2ne^/608bak`@0`][[1@1eM/D203IA`@<000000P39jXL407IR[P80XHo1
0P0X58<00`2Y_NP0D3FA050eT@05095RU`80ZKgX00<02@1e0:Vmj01D<X`00`1D<X`00`1gBhl0000_
09UfZP0309UfZP80=An800<0ZKgX05@jU@1D>YD0101hE9/309j5^0@0J4NG00<0000a09UfZP2IMZX0
0`2IMZX304@mY0030=?hZ01jF9h00000008000000P2OQkX50=7?f0030=Kl]02IS<D0VHc500@0VHc5
102id>`20000QP80ZKgX0P0007401@00<kL0:Qf<02XMS00Z7H`0]i2^00@0ZKgX0`2oB`000`2Y_NP0
001W0:Vmj003028>OP80ID>D1`2Y_NP00`0T3gh0^4@00;Q4000306]6U0D0ZKgX00<0;QV40:Ha001g
Di/00P1gDi/00`000h/0j;jZ000010030:Vmj08003^m1@0T=Zd00`29KZd0ZKgX0:Vmj0020:Vmj0@0
JggC1@3AdmX40=Gkg`D0ZKgX1`2fbnT50:Vmj0H0Z[gW0`2Z_^PM0:Vmj0030000002Y_NP0ZKgX06H0
ZKgX00<000000=WIf@3IfMT0A`3IfMT002P0fMWI00<000000=WIf@3IfMT0@03IfMVK0:Vmj0H0Yk_W
1@2/`>P609bdj@H0Z[GQ1P2Y_NP6069R_0030>SMb@2Y_NP0ZKgX0080ZKgX0P0Q?;@20:Vmj080GERd
1@2nW[P20;?<E0@0ZKgX0P1M@IP0101_YO80UGbe09El]@1M@IP20?cPQP@0ZKgX101OGk/40<N```H0
ZKgX0`1fI;450>?`f0@0_]K[1P2</Nl40<;Jj`<0MGK50`0000000`0fDL40bN?[0<WZQ`020<WZQ`@0
MV:^0P2QSl4202PDP`030:Vmj01@=I40D3FA00D0TF:G0P2Y_NP00`0907D0ZKgX05@bS00305@bS003
07M;S`0002l0VGJZ00<0VGJZ0P0e7hP00`2Y_NP0E3ZE05@jU@0407QDV`<0WXFh0`1XAiL20000<@D0
VGJZ0P14?J@20=?hZ0<0NURN00<0000009n7^P3AcmP0103AcmP20=Kl]0D0VHc50P3Jolh408fbk`80
002600@0001T0:Vmj000074003>g0`0Z7H`00`2gT:h0ZKgX0:Vmj0020:Vmj0060000I02oB`00_d/0
0:Vmj00006L0ZKgX0`0R3Wh00`0007d0ID>D0:Vmj0030:Vmj0040000I`2Y_NP0ZKgX02@?OP80^4@0
0`1[AY@50:Vmj00302hIQ02V<@00Me>K00@0Me>K102Y_NP3000k_@D0RFj]102Y_NP506]md`<0dM?J
1@3Enml609fZg`H0]/_Y1P2Y_NP60:Zmial0ZKgX00<000000:Vmj02Y_NP0IP2Y_NP00`000000fMWI
0=WIf@170=WIf@00:03IfMT00`000000fMWI0=WIf@110=WIfI/0ZKgX1P2W^nL50:Vmj0H0W;CY0`2Z
]N430;oFj`D0ZKgX1@1RH[`30>SMb@@0ZKgX0P0Q?;@00`2Y_NP0GERd0;jN^0040;jN^0@0/laD0`2Y
_NP305e1V00309El]@1M@IP0o>260080o>2600@0_mYZ000`/@2Y_NP0ZKgX1@1OGk/20<N```03091Y
XP000000ZKgX00@0ZKgX1P1fI;470;kFj`H0YYk>00<0F6g>0<;Jj`32f^/00`00000207Efa@0403IA
`@39hn/0bN?[05Y3W080bNZ7101fHZh20:6?`@80:1B300<0ZKgX050eT@1@=I401@2AHYL00`000440
ZKgX00T0M@020:Vmj0<0E3:<0P1gBhl409UfZP80=An800<0ZKgX05@jU@000380101hE9/00`1<<8h0
WXFh09j5^00306Q7U`80000a1@2IMZX204@mY080doRX101jF9h50=7?f0<0e_bd102IS<D40=[ocP<0
SK;_00@06BRS0000QP2MVLl0ZKgX0P0007400`00<kL0:Qf<02XMS0050:Vmj0060000I02oB`00_d/0
0:Vmj00006L0ZKgX0`0R3Wh00`0007d0ID>D0:Vmj0030:Vmj0030000I`2Y_NP0ZKgX008090mn00@0
^4@006]6U01[AY@0JdJD0P2Y_NP01@000780ZKgX0:Vmj00^6H@0YS4000D0Me>K102Y_NP00`11;iD0
03^m000k_@0508U^[@D0ZKgX1@1[OM<00`3AdmX0eO_O0=Gkg`020=Gkg`<0ZKgX1P2MZ]l30;K;j@<0
[L;Y1P2Y_NP30:Zmi`<0ZkkX7`2Y_NP00`000000ZKgX0:Vmj01V0:Vmj0030000003IfMT0fMWI04H0
fMWI000X0=WIf@030000003IfMT0fMWI0480fMWIV`2Y_NP30:Nki`<0[;kW1@2Y_NP609bdj@H0_mK[
102Y_NP4069R_0D0j=g90`2Y_NP3024l]0H0_Yjh1`2Y_NP505e1V0<0o>260P2ofVX00`00<;40ZKgX
0:Vmj00405mO^`030<N```2@JJ80T6VR00800000102Y_NP607IT/@030=Vg]`2ne^/0_]K[0080_]K[
0`2X_NP50:JNcP<000001@1eM/D00`0fDL40bN?[0<WSj`0205Y3W0030<WZQ`1fHZh0MV:^0080MV:^
0P2QSl4202PDP`030:Vmj01@=I40D3FA00D0TF:G00<000110:Vmj00907D00P2Y_NP305@bS080Md^?
102IMZX303DOR00305@jU@000380N5BK00<0N5BK00<0C32>09j5^02NQKP00`1XAiL00`1iC8l0000a
09UfZP0409UfZP0404@mY03Cn:P0doRX0=?hZ0D0NURN0`3AcmP50=Kl]080VHc51@3Jolh308fbk`80
6BRS00L000260:Vmj0000740001a000c]`0Z7H`0000000D0ZKgX00<0001T0;m;002oB`000`2Y_NP3
028>OP030=2NY01U@i@0ZKgX00<0ZKgX00<0001W0:Vmj02Y_NP00P0T3gh0102hA000JdJD06]6U01[
AY@20:Vmj0030000LP2Y_NP0ZKgX0080;QV4101gDi/20000?@<0ZKgX00<0@BnE000k_@00>kd01@29
KZd00`000000ZKgX0:Vmj0020:Vmj0D0JggC0P3Enml60:Vmj0H0WJ[O1`2]`^T50:Vmj0L0ZkkX7`2Y
_NP00`000000ZKgX0:Vmj01V0:Vmj0030000003IfMT0fMWI04D0fMWI000X0=WIf@<00000@`3IfMV?
0:Vmj0D0Z[gX1`2Y_NP60:bni`D0ZKgX1P2HY^060;oFj`@0ZKgX0`1RH[`40>SMb@80gOSL00<004o:
0:Vmj02Y_NP00`0Q?;@40;jN^0030000002Y_NP0ZKgX00D0ZKgX1@1M@IP20?cPQP@0_mYZ00<0032a
0:Vmj01OGk/00`1OGk/3091YXP<000000`2Y_NP507IT/@<0fKNg1`2X_NP01@2VW/h0000000000000
0000YYk>00@0F6g>0P2fmnl40<WSj`80FT>L0P39jXL307IR[P030000E@2QSl40:1B30080:1B300<0
D3FA00001@2AHYL0102AHYL01@000440ZKgX00T0M@0907D0ZKgX00<0E3:<0`1gBhl309UfZP<0=An8
00<0E3ZE0000<P1hE9/00`1hE9/00`1<<8h0WXFh09j5^00306Q7U`80NDb?00<0000a09UfZP2IMZX0
0P2IMZX01014?J@0doRX0=?hZ03Cn:P607YHWP030=7?f036h^`0a^;/0080OV>Y0P3Fo;@00`2IS<D0
f_o>0=[ocP020=[ocP<0ZKgX0`2=/^l01`0I::<0002609fIc`000740WIW?000c]`0Z7H`01P2Y_NP0
0`0006@0_d/00;m;00020:Vmj0060000I`2Y_NP08Pin028>OP2Y_NP0ID>D102Y_NP00`0006L0ZKgX
0:Vmj00202@?OP040;Q4001[AY@0JdJD06]6U0H0ZKgX00<0;QV40:Ha001gDi/00P1gDi/50:Vmj080
@BnE0P00>kd308U^[@80000000@0_>N606^Pl01[X?00Jj3`1`2OU//00`33l9L0ZKgX0:Vmj0040:Vm
j0<0WJ[O0`2ga^H60:g2j@H0Z;_W1P2[_^PP0:Vmj0030000002Y_NP0ZKgX06D0ZKgX00<000000:Vm
j03IfMT0A@3IfMT002L0fMWI0P0000160=WIfHl0ZKgX1@2Z_NP40:Vmj0<0YkcX1P2/_^L50:BljPH0
V:KP1P2Y_NP00`11Dkh0ZKgX0:Vmj002069R_0@0j=g9103Mn=`00`00ClX0ZKgX024l]002024l]0@0
_Yjh0P0000060:Vmj0D0GD6H0P3lh8H20;oJJP<0ZKgX00<0032a091YXP2@JJ80102@JJ82000000H0
ZKgX101fI;430=Vg]`030;;?FP2X_NP0Z;gX0080Z;gX0`0000040:JNcP80F6g>1@2fmnl30<WSj`<0
FT>L00D0bNZ707IR[P1fHZh0MV:^0000E@020:6?`@80:1B300<0D3FA00001@2AHYL0102AHYL01@00
0440ZKgX00T0M@0907D0ZKgX00<0E3:<0`1gBhl309UfZP<0=An800<0E3ZE0000<P1hE9/00`1hE9/2
04``SP80WXFh0P1XAiL207U<S`030000<@2IMZX0VGJZ0080VGJZ0P2Y_NP20=?hZ0H0NURN0`36h^`4
07iSZ@80f_o>1P2Y_NP00`0X>:d0SK;_08fbk`0201TXX`050000QP000740ZKgX000c]`0Z7H`01`2Y
_NP20;m;000402HDQ02Y_NP0001W0:Vmj0808Pin00@0ZKgX06E3U02Y_NP0eVL00P2Y_NP00`0006L0
ZKgX0:Vmj00202@?OP040;Q4001[AY@0JdJD06]6U0H0ZKgX00<0;QV40:Ha001gDi/00P1gDi/50:Vm
j080@BnE0P00>kd308U^[@040000002lihH0_>N60;cWQP<0Jj3`1@2OU//30<?`U`D0ZKgX1`2ga^H3
0:g2j@<0ZKgX1P2X^nLU0:Vmj0030000002Y_NP0ZKgX06H0ZKgX00<000000=WIf@3IfMT0A03IfMT0
02P0fMWI00<000000=WIf@3IfMT0A@3IfMV?0:Vmj0D0Z[gX1`2W_>P30:bni`<0ZkoX1@2T_>X409RV
h080`m[Z1@2Y_NP2045C_P030:Vmj01RH[`0j=g900<0j=g91@3Mn=`2001?bP<08Cbd0`2nW[P0101^
Cid000000000000000030:Vmj00302dIQ@2Y_NP0GD6H00<0GD6H0P3lh8H00`2ofVX0ZKgX0:Vmj003
0:Vmj080032a1@2@JJ850:Vmj00304LoY02Y_NP0ZKgX00<0MVBa103I]kL20;;?FP<000000`2X_NP4
0:JNcP<0]_O_1@2Y_NP30<WSj`<0FT>L0`1fHZh00`0005D0XHo10:6?`@0202PDP`03050eT@0000D0
TF:G00D0TF:G00@0ZKgX00T0M@0907D0ZKgX0P1D<X`407M;S`0304D[S@2IMZX0VGJZ00<0=An80P00
038407QDV`80C32>0P2NQKP206Q7U`<0NDb?0P2IMZX40:Vmj080doRX1P1jF9h30<KRk0H0OV>Y00<0
00000:Vmj02Y_NP00`2Y_NP202Ph[@0808fbk`0I::<06BRS01TXX`000740h?RV0:Vmj00Z7H`20:Vm
j0030000C@2Y_NP0ZKgX0080ZKgX0P2oB`00100V58@0ZKgX0000I`2Y_NP2028>OP040:Vmj01U@i@0
ZKgX0=IW0080ZKgX00<0001W0:Vmj02Y_NP00P0T3gh0102hA000JdJD06]6U01[AY@60:Vmj00302hI
Q02V<@00Me>K0080Me>K1P2Y_NP2044_U@04000k_@29KZd0RFj]08U^[@@0_>N6101[X?0309nFb`D0
`o2G1@2I[>@60;O6iPL0ZKgX0`2X^nL30:boj2D0ZKgX00<000000:Vmj02Y_NP0IP2Y_NP00`000000
fMWI0=WIf@130=WIf@009`3IfMT00`000000fMWI0=WIf@170=WIfI@0ZKgX1P2W_>P70:^oj0D0Y;cZ
0P2HY^040<?JjP@0ZKgX0`11Dkh40>SMb@@0gOSL0`2Y_NP2001?bP<08Cbd0P2nW[P2000000D0ZKgX
00<0;AV50:Vmj02Y_NP00`1M@IP20?cPQP030;oJJP0001P0ZKgX00<0ZKgX0P00<;45091YXP030>;5
A@2Y_NP0ZKgX0080ZKgX00<0AcnT0:Vmj02Y_NP00P1fI;440=Vg]`<0000000<0//mJ0:Rmj02X_NP0
0`2X_NP609fSf@80g_gA102Y_NP30<WSj`<0FT>L101fHZh20:6?`@80:1B300<0D3FA00001@2AHYL0
1@2AHYL20:Vmj00400T0M@2Y_NP0E3:<05@bS0@0Md^?00<0AB^=09UfZP2IMZX00`0e7hP00`1T>h/0
000b07QDV`0307QDV`<0C32>00<0WXFh06Q7U`1iC8l01@1iC8l40:Vmj080doRX1P1jF9h30<KRk0H0
OV>Y0P0000050:Vmj080:3R]00<0SK;_01TXX`3Pn:H00P3Pn:H00`2Y_NP0:Qf<0:Vmj0060:Vmj006
0000I02oB`009QB40:Vmj00006L0ZKgX0P0R3Wh30:Vmj080eVL000@0ZKgX0000I`0006L0ZKgX0P0T
3gh00`2hA000JdJD06]6U0040:Vmj0050000LP2Y_NP0ZKgX02hIQ02V<@000`1gDi/30:Vmj00300d?
R`2Y_NP0ZKgX0080@BnE00@003^m08U^[@29KZd0RFj]0P2lihH30:Vmj00306QQ]`1[X?00Jj3`00<0
WiK;1P2Y_NP509V/i0<0]lKV0`2fcN`60:Vmj0L0[;oX9@2Y_NP00`000000ZKgX0:Vmj01U0:Vmj003
0000003IfMT0fMWI04<0fMWI000W0=WIf@030000003IfMT0fMWI04P0fMWIU02Y_NP30:Nlj0<0ZKcW
1`2[_nP40:BljPL0`m[Z102Y_NP5045C_P<0gOSL1@2Y_NP2001?bP0506i?W@0Q?;@08Cbd0;jN^01^
Cid01`2Y_NP00`0]6HD0ZKgX0:Vmj00305e1V080o>2600<0cYVO0000600001P00`2Y_NP2000`/@D0
T6VR0P3RaDD30:Vmj080AcnT00<0ZKgX07IT/@1fI;400P3I]kL2000000D0ZKgX1@27KJh409fSf@@0
g_gA0`2Y_NP00`0R6Xd0bN?[0<WSj`0405Y3W0<0MV:^0P2QSl4202PDP`0304LVQ00000D0TF:G00D0
TF:G0P2Y_NP0100907D0ZKgX05@bS01D<X`407M;S`0404D[S@2IMZX0VGJZ09UfZP80=An800<0I3^;
0000<P1hE9/0101hE9/204``SP0309j5^01XAiL0NDb?00D0NDb?00H0001;0:Vmj02Y_NP0ZKgX058d
S`3Cn:P507YHWP030000=`36h^`0a^;/0080a^;/101nHjT4000000@0ZKgX0`0X>:d00`0I::<0h?RV
0>3hYP020;kGk00502XMS00]ONL0ZKgX0:Vmj00004d00`2Y_NP0200006@0_d/002HDQ02Y_NP0001W
0:Vmj00R3Wh0c[8W0`2Y_NP01@0006L0eVL00:Vmj02Y_NP0001W0080ZKgX0P0T3gh206]6U0@0ZKgX
00<0001b0:Vmj02Y_NP00P0^6H@307MCV`<0ZKgX00<03@n;0:Vmj02Y_NP00`11;iD00`00>kd0RFj]
0:Vmj0050:Vmj0<0J66g00@0Jj3`09nFb`1XHKL0i?NU1P2Y_NP509V/i0H0]/g/0`2Y_NP30:NjiPH0
[;oX9@2Y_NP00`000000ZKgX0:Vmj01V0:Vmj0030000003IfMT0fMWI0480fMWI000W0=WIf@030000
003IfMT0fMWI04T0fMWIU02Y_NP60:Vli`@0ZkoX0`2Y_NP508jShP<0`m[Z0`2Y_NP00`0bHm<0ZKgX
0:Vmj004045C_P@0/J3700<0eO2B0:Vmj02Y_NP00P2Y_NP2001?bP80KTnM00@08Cbd0;jN^01^Cid0
nmQf1P2Y_NP00`0]6HD0ZKgX0:Vmj00205e1V080o>2600@0_mYZ0<jIW`0001P0000H0`2Y_NP00`1A
;HL0032a091YXP03091YXP<0h/E500<000000:Vmj02Y_NP00`17?j@01`1fI;400000000000000000
fKNg0;;?FP0001`0102Y_NP508M][P<0WJ?I1@3NoM430:Vmj003028JS@39hn/0bN?[00@0FT>L00D0
000007IR[P1fHZh0001E0:6?`@0202PDP`0304LVQ00000D0TF:G00D0TF:G0P2Y_NP0100907D0ZKgX
05@bS01D<X`407M;S`80AB^=0P2IMZX203DOR00306@kR`000380000b00@0N5BK0P1<<8h00`2NQKP0
J4NG07U<S`0507U<S`@0ZKgX00<0DSB?0=?hZ03Cn:P0101jF9h20:Vmj0<0a^;/101nHjT50:Vmj003
05=D]@2Y_NP0ZKgX00<0:3R]0P3Pn:H40;kGk0<0;GgW00H0001=0:Vmj00004T0ZKgX0000I02oB`02
02HDQ0040000I`2Y_NP08Pin0=2NY0<0ZKgX00D0001W0=IW002Y_NP0ZKgX0000I`020:Vmj08090mn
0P1[AY@40:Vmj0030000LP2Y_NP0ZKgX0080;QV40`1gDi/60:Vmj0<0@BnE00<003^m08U^[@000080
1@2Y_NP506QQ]`<0i?NU1@2Y_NP60:Vdh@D0]/g/1`2W^^H30:boj0<0Z[kX9@2Y_NP00`000000ZKgX
0:Vmj01V0:Vmj0030000003IfMT0fMWI0440fMWI000W0=WIf@030000003IfMT0fMWI04X0fMWIS`2Y
_NP50:Rmj0H0ZKcW1P2Y_NP608jShPH0ZKgX00@0<V?C0:Vmj011Dkh0@E>n1@2aX<L30=G`TP<0ZKgX
0P00ClX506i?W@80nmQf1@2Y_NP202dIQ@030:Vmj01M@IP0GD6H0080o>260P3>VIl50:Vmj003054]
Q`00<;40T6VR00<0T6VR0`3RaDD010000000ZKgX0:Vmj017?j@3000000@0fKNg00<0TfNK00007000
01`00`2Y_NP608M][P0309fSf@3NoM40g_gA0080g_gA1@2Y_NP2028JS@060<WSj`1J@i`0FT>L05Y3
W0000000ZKgX0P1fHZh01@0005D0XHo102PDP`0X58<0AbJ4008000051@2AHYL010000440ZKgX00T0
M@2Y_NP205@bS0@0Md^?0P15:hd209UfZP80=An80P1T>h/00`000380N5BK07QDV`0207QDV`<0C32>
00<0J4NG07U<S`1iC8l0101iC8l40:Vmj003058dS`3Cn:P0doRX00<0NURN0`2Y_NP00`1WAYH0a^;/
0<KRk00407iSZ@D0ZKgX0P1CE;D20:Vmj00302Ph[@3Pn:H0_]O/00H0_]O/0`0]ONL30:Vmj0080000
I02oB`00_d/002HDQ00006L0ZKgX028>OP3@WZ@30:Vmj0050000I`3FI`00eVL00:Vmj00006L00P2Y
_NP202@?OP030;Q4001[AY@0ZKgX00<0ZKgX00<0001b0:Vmj02Y_NP00P0^6H@207MCV`D0ZKgX00<0
3@n;0:Vmj011;iD00P11;iD0103ihJ`0RFj]00000P0000840:Vmj0D0J66g0`3TmjD609bhk0H0ZKCQ
1@2Y_NP60:NjiPL0Z[kX9@2Y_NP00`000000ZKgX0:Vmj01U0:Vmj0030000003IfMT0fMWI0440fMWI
000W0=WIf@030000003IfMT0fMWI04/0fMWI00<000000:Vmj02Y_NP0S02Y_NP50:Rmj0<0ZKcW0`2/
_nP60:Vmj0<0SZ?R0`2lb><50:Vmj080<V?C1`2aX<L40=G`TP80ZKgX00<07Peo001?bP1^Cid00`1^
Cid30?_HMP030000002Y_NP0ZKgX0080ZKgX0P0]6HD0102Y_NP0GD6H05e1V03lh8H30<jIW`D0ZKgX
00<0DBf7000`/@2@JJ800`2@JJ830>;5A@@000000`17?j@40=Vg]`0309=WV`0001`0000L00<0ZKgX
1P27KJh30=kmd@P0ZKgX00<08QZ=0<WSj`1J@i`00P1J@i`30:Vmj00307IR[P0005D0XHo10080:1B3
00<0AbJ400001@0000D01@2AHYL010000440ZKgX00T0M@0907D205@bS0@0Md^?0`15:hd00`2IMZX0
=An806@kR`0206@kR`030000<P1hE9/0N5BK0080N5BK0`1<<8h00`1XAiL0NDb?07U<S`0407U<S`@0
ZKgX0P1B=8l0103Cn:P0NURN07YHWP1jF9h30:Vmj00306M6UP36h^`0a^;/00<0OV>Y0P0002X40:Vm
j0<0DeBe00@0ZKgX02Ph[@1CE;D0YMem102nen`30:Vmj080;GgW00@0001=0:Vmj02Y_NP0001T0P2o
B`001@0V58@0001W0=2NY00R3Wh0d9jT00<0ZKgX00D0001W0=IW003FI`00ZKgX0000I`020:Vmj080
90mn00@0^4@006]6U02Y_NP0`Dh01@2Y_NP202hIQ0040:Ha001gDi/0ZKgX0000O@<0ZKgX00<03@n;
0:Vmj011;iD00P11;iD0103ihJ`0000200000P0000850:Vmj0<0J66g0`3TmjD20<WWk0D0W;S/1@2Y
]>420<3Kk@D0ZKgX0`2W^^H30:boj0H0Z[kX9P2Y_NP00`000000ZKgX0:Vmj01U0:Vmj0030000003I
fMT0fMWI0400fMWI000W0=WIf@030000003IfMT0fMWI00800000B`3IfMV>0:Vmj0D0Z;gX1P2/_nP5
0:Vmj0L0_<SS1@2Y_NP2039Sd`D0/J371`2Y_NP00`0N3Gl004o:06i?W@0306i?W@<0nmQf00D00000
0:Vmj02Y_NP0001J0:Vmj00202dIQ@040:Vmj01M@IP0GD6H0?cPQP80cYVO00<0000_0:Vmj02Y_NP0
0`2Y_NP00`1A;HL0032a091YXP03091YXP040>;5A@0000000000000000<0ZKgX1017?j@20=Vg]`80
TfNK1@2Y_NP608M][P<0c:fk00<000000:Vmj02Y_NP00P2Y_NP0100007l0ZKgX0:Vmj00R6Xd20<WS
j`80FT>L0`2Y_NP00`1fHZh0001E0:6?`@0202PDP`80AbJ400<00005095RU`2AHYL00`2AHYL01P00
0440ZKgX00T0M@0907D0E3:<00004PD0Md^?0P15:hd00`2IMZX0=An806@kR`0206@kR`030000<P1h
E9/0N5BK0080N5BK0`1<<8h00`000000NDb?07U<S`0407U<S`@0ZKgX0P1B=8l0103Cn:P0NURN07YH
WP1jF9h30:Vmj080IdJF0P36h^`207iSZ@<0000Z0`2Y_NP505=D]@<0YMem1P2Y_NP00`000Y<0;GgW
000?UP020:Vmj0080000I02oB`00_d/002HDQ00006L0d9jT028>OP3@WZ@30:Vmj0050000I`3FI`00
eVL00:Vmj00006L00P2Y_NP202@?OP040;Q4001[AY@0ZKgX0<5>00<0ZKgX00H0001b0:Vmj00^6H@0
;QV40:Ha001gDi/50:Vmj00300d?R`2Y_NP0@BnE0080@BnE00<0nN6/0:Vmj02Y_NP00P2Y_NP0101=
EKT0ZKgX0:Vmj02Y_NP206QQ]`80i?NU1@39in`509bhk080ZKCQ1@30fnd50:Vmj0H0[;oX0`2Z_^PX
0:Vmj0030000002Y_NP0ZKgX06D0ZKgX00<000000=WIf@3IfMT0@03IfMT002H0fMWI00@000000=WI
f@0000000000CP3IfMV=0:Vmj0L0Z;cX1@2/_nP509>/j0L0_<SS102Y_NP3039Sd`<0/J3700<0eO2B
0<WTNP2Y_NP01@2Y_NP00`0N3Gl004o:06i?W@0306i?W@80nmQf0P0000020:Vmj0030000FP2Y_NP0
;AV50080;AV500<0GD6H0?cPQP0]6HD00P3>VIl00`0002l0ZKgX0:Vmj0030:Vmj080DBf70P2@JJ83
000000030>;5A@2Y_NP0ZKgX00<0ZKgX1@17?j@00`3I]kL0TfNK0:Vmj0030:Vmj00304TlX02Y_NP0
ZKgX00@0Qff^103<[K/2000000<0ZKgX00<0001o0:Vmj02Y_NP00P0R6Xd01039hn/0FT>L05Y3W000
00030:Vmj0040000E@2QSl40:1B30;?8jP80AbJ400<00005095RU`2AHYL00`2AHYL01P000440ZKgX
00T0M@0907D0E3:<00004PD0Md^?0P15:hd00`2IMZX0=An806@kR`0306@kR`@0N5BK0`1<<8h00`00
0000NDb?07U<S`0407U<S`@0ZKgX0P1B=8l00`3Cn:P0NURN07YHWP040:Vmj0<0IdJF00@0a^;/07iS
Z@1nHjT0000Z0`2WZMP30:Vmj0<0DeBe1@2Y^^D50:Vmj0050002T`0]ONL0;GgW0000C@2Y_NP00P00
06@01P2oB`009QB40=2NY03@WZ@08Pin0000@`@0ZKgX0P3FI`00102Y_NP0001W0000I`2Y_NP202@?
OP030;Q4001[AY@0ZKgX0080`Dh00P2Y_NP00`000780ZKgX02hIQ00202hIQ00407MCV`2Y_NP0ZKgX
0000O@80ZKgX0P0=3h/0102Y_NP0@BnE044_U@3ihJ`40:Vmj080CEFi0P2Y_NP206QQ]`L0bNO/1@2L
^>`70<3Kk@H0Yk[W1P2/_nP[0:Vmj0030000002Y_NP0ZKgX06D0ZKgX00<000000=WIf@3IfMT0?`3I
fMT002H0fMWI0P00001A0=WIfHd0ZKgX1`2X_>P50:Vmj0D0TjcX102lb><30;O<jP@0LjSb00<0FEJd
039Sd`2aX<L00P2aX<L30<WTNPD0ZKgX00<07Peo001?bP1^Cid00`1^Cid20?_HMP8000000P2Y_NP0
0`0005X0ZKgX02dIQ@0202dIQ@0305e1V03lh8H0cYVO0080cYVO1P2Y_NP01@1A;HL0000000000000
0000T6VR00<0h/E51@2Y_NP504LoY080TfNK102Y_NP00`19?:00ZKgX0:Vmj00308M][P@0c:fk0`00
00060:Vmj0808QZ=00<0bN?[05Y3W02WYmH00P2WYmH40:Vmj00502PDP`2cb>X0AbJ404LVQ00000D0
1@2AHYL01P000440ZKgX00T0M@0907D0E3:<00004PD0Md^?0`15:hd00`0e7hP0I3^;06@kR`0206@k
R`@0N5BK0`1<<8h2000000D0NDb?102Y_NP3058dS`80NURN102Y_NP306M6UP030<KRk01nHjT0IdJF
00@0YjWH00<0F5Bb0:Vmj02Y_NP00P1CE;D00`1HE;80]=]_0:Vji@040:Vji@D0ZKgX00@000:C02em
i`003iH0ZKgX0P0006@01@2oB`009QB402HDQ03@WZ@08Pin00D0ZKgX00<0001W0=IW002Y_NP00P00
06L0302Y_NP090mn02@?OP0T3gh0JdJD0:Vmj00007D0`Dh00000?`2Y_NP0001b0:Vmj0<0;QV400@0
Me>K0:Vmj02Y_NP0001m0P2Y_NP200d?R`030:Vmj011;iD0@BnE0080000C102Y_NP204eE^@030:Vm
j01XHKL0CEFi0080gn;G0`39in`30:Vmj0D0U9kJ1030fnd30:Vmj0H0Yk[W1P2[_nP50:Vmj0H0Z[gX
802Y_NP00`000000ZKgX0:Vmj01U0:Vmj0030000003IfMT0fMWI03h0fMWI000V0=WIf@030000003I
fMT0fMWI0540fMWIS@2Y_NP40:Rlj0<0ZkoX1@2Y_NP509>/j0L0]lcZ0`1cZ?8205UF]003039Sd`2a
X<L0FEJd00@0bNAj102Y_NP201h=O`03001?bP1^Cid0KTnM00<0nmQf102Y_NP00`0005X0ZKgX0:Vm
j00202dIQ@0305e1V00]6HD0cYVO0080cYVO102Y_NP300000004054]Q`00<;40T6VR091YXP<0h/E5
00<0000d0:Vmj02Y_NP00P2Y_NP304LoY0@0TfNK00@0`Z/N0:Vmj02Y_NP0ZKgX0P19?:000`2Y_NP0
Qff^08M][P050<b]^`L0ZKgX00<0001o0:Vmj00R6Xd00P0R6Xd0101J@i`0YjOF0:NWeP2WYmH40:Vm
j00502PDP`2cb>X0AbJ404LVQ00000D01@2AHYL01P000440ZKgX00T0M@0907D0E3:<00004PD0Md^?
0`15:hd00`0e7hP0I3^;06@kR`0206@kR`@0N5BK0`1<<8h2000000@0NDb?0`2Y_NP00`169XD0ZKgX
058dS`02058dS`0307YHWP1B=8l0ZKgX00<0ZKgX101WAYH00`1nHjT0YjWH0:NYf0030:NYf080F5Bb
00<0ZKgX05=D]@1HE;800`2dffl50:Vji@@0ZKgX00L000:C02emi`003iH0`KO@0:Vmj00006@0_d/0
00809QB400<0d9jT028>OP2Y_NP0102Y_NP00`0006L0eVL002lKQ`020000I`070:Vmj00T3gh090mn
02@?OP1[AY@0ZKgX0000M@020<5>00030:Vmj0000780ZKgX00<0;QV400D0Me>K000Z[`2Y_NP0ZKgX
0000O@020:Vmj00400d?R`2Y_NP0@BnE0?WQ[080000C102Y_NP404eE^@@0gn;G1P2Y_NP509BNfPL0
ZKgX0`2W^^L30:Zli`H0ZkoX1@2Y_NP60:Zmj200ZKgX00<000000:Vmj02Y_NP0I02Y_NP00`000000
fMWI0=WIf@0n0=WIf@009P3IfMT00`000000fMWI0=WIf@1B0=WIfHd0ZKgX1`2[_nP50:Vmj0H0YkOT
0`2gc>X30:Vmj080LjSb101IE[@30<WTNPH0ZKgX0P0N3Gl00`00ClX0KTnM06i?W@020?_HMP030000
4@2Y_NP0ZKgX00D0ZKgX100]6HD30<jIW`040:Vmj0000000000000000080ZKgX0P1A;HL00`00<;40
T6VR091YXP020>;5A@<0000d0`2Y_NP709=WV`040<:[7P0000d0ZKgX0:Vmj0<0BCbP00<0Qff^0<b]
^`3<[K/00`3<[K/00`000280ZKgX0:Vmj0020:Vmj00500hHU@2Y_NP0ZKgX0000O`2Y_NP00`0R6Xd0
101J@i`0YjOF0:NWeP2WYmH40:Vmj00502PDP`2cb>X0AbJ404LVQ00000D01@2AHYL20:Vmj0802@1e
00<0E3:<00004P000180101gBhl304D[S@80000/101T>h/307QDV`<0C32>0P00000407U<S`<0ZKgX
00<0ARJ50:Vmj01B=8l00P1B=8l00`1jF9h0DSB?0:Vmj0030:Vmj0D0IdJF1@2WZMP505QD/P<0]=]_
1P2ZYm@02P04G]H0ZKgX0:Vmj0000Y<0jo;<02emi`003iH0ZKgX0000I02oB`0202HDQ0040=2NY00R
3Wh097OT0000@`<0ZKgX00<0001W0=IW000_6hL00P0006L01`2Y_NP090mn02@?OP2Y_NP0JdJD0:Vm
j00007D00P31CP00102Y_NP0001b0:Vmj02Y_NP202hIQ00507MCV`2Y_NP002Z_0:Vmj00007d00P2Y
_NP200d?R`03044_U@3ihJ`0ZKgX0080ZKgX00@0?67>0:Vmj02Y_NP0ZKgX0P1=EKT40=oRe`80eOo7
1P2Y_NP209BNfP<0aM_Z1P2Y_NP70:Zli`D0ZkoX1P2Y_NP30:Zmj280ZKgX00<000000:Vmj02Y_NP0
I@2Y_NP00`000000fMWI0=WIf@0m0=WIf@003@3IfMT2000000@0fMWI00<000000=WIf@3IfMT0103I
fMT00`000000fMWI0=WIf@090=WIf@030000003IfMT0fMWI05<0fMWIR02Y_NP50:Rlj0H0ZkoX1P2N
]nX60:Ngi0D0ZKgX00<04bJS07>XlP1IE[@00`1IE[@90:Vmj0807Peo00<004o:06i?W@1^Cid00P3k
f7H200004@@0ZKgX00<0001J0:Vmj00]6HD00P0]6HD30<jIW`8000001@2Y_NP3054]Q`04091YXP1A
;HL0h/E50>;5A@<0ZKgX00@07`=a0:Vmj02Y_NP0aDh01P2CIi/01032Zah0000=0:Vmj02Y_NP304Tl
X0H0c:fk0P0002830:Vmj00300hHU@2Y_NP0ZKgX0080001o00<0ZKgX028JS@0R6Xd0102WYmH40:Vm
j00302PDP`2cb>X0AbJ40080AbJ41@2AHYL20:Vmj0802@1e00<0E3:<00004P000180101gBhl304D[
S@80000/101T>h/407QDV`80C32>0P00000407U<S`<0ZKgX00<0ARJ50:Vmj01B=8l00`1B=8l30:Vm
j00303LOQ`2Y_NP0ZKgX00@0IdJF00<0000i0:NYf02WZMP00`2WZMP305QD/P80]=]_0`2QU/T60:ZW
e08015kF0P3[l/`01@0]ONL000nF0:Vmj00006@0_d/000809QB40P3@WZ@202Agi0<0ZKgX00H0001W
0=IW000_6hL0ZKgX0000I`2Y_NP202@?OP040000I01[AY@0ZKgX0:Vmj080`Dh000@0ZKgX0000LP00
0780ZKgX0P0^6H@20:Vmj08002Z_0P0007d0102Y_NP03@n;00d?R`11;iD40:Vmj0<0?67>00<0ZKgX
04eE^@3Oh]L00`3Oh]L40=Goa`D0ZKgX1P35fnX60:Nlj0H0Z[cW<@2Y_NP00`000000ZKgX0:Vmj01U
0:Vmj0030000003IfMT0fMWI03`0fMWI000<0=WIf@040000003IfMT0fMWI000000X0fMWI00<00000
0=WIf@3IfMT02@3IfMT00`000000fMWI0=WIf@1D0=WIfHP0ZKgX1@2X_>P30:^oj0<0ZKgX1P2N]nX3
0:Ngi0<0^m7[102Y_NP00`0C9Z<0LjSb07>XlP0205UF]0030<WTNP3aiL00ZKgX00L0ZKgX0P0N3Gl0
0`00ClX0KTnM06i?W@020?_HMP<0000A0`2Y_NP00`0005X0ZKgX02dIQ@0202dIQ@<0000000<0gKXf
0:Vmj02Y_NP00P2Y_NP00`0O1G@0ZKgX054]Q`02054]Q`04091YXP1A;HL0h/E50>;5A@<0ZKgX00@0
7`=a0:Vmj02Y_NP0aDh01@2CIi/20<:[7P80000=0P2Y_NP304TlX0@0c:fk00<0UFRL00008P000280
102Y_NP01P0>69D0ZKgX0000O`0007l0ZKgX028JS@80cMm`0`2WYmH20:Vmj0040000=P2Y_NP0001M
0;?8jP<0AbJ4102AHYL01P2VXm<0ZKgX0:Vmj00907D0_Mic02P>NP80000B101gBhl304D[S@80000/
1@1T>h/307QDV`0404``SP178h400000000000@0NDb?0`2Y_NP00`169XD0ZKgX058dS`03058dS`04
099SV02Y_NP0ZKgX03LOQ`80ZKgX101WAYH00`0003T0YjWH0:NYf0030:NYf080F5Bb1P2QU/T60:ZW
e0D015kF00@000nF0:Vmj00006@0_d/00`0V58@0103@WZ@097OT02Agi0036id20:Vmj0060000I`3F
I`00;a^70:Vmj00006L0ZKgX0P0T3gh0102Y_NP0JdJD0:Vmj02Y_NP20<5>0004048_U02Y_NP0001b
0:Vmj080;QV40P2Y_NP0200F6iH002Z_000Z[`1UF[40ZKgX00d?R`3ihJ`0@BnE1@2Y_NP303aQcP@0
gn;G1@3EolL608jMgP<0aM_Z0`2`a^X60:Nlj0<0Z[cW0`2]`^T60:Vmj0H0Z[gX9@2Y_NP00`000000
ZKgX0:Vmj01T0:Vmj0030000003IfMT0fMWI03`0fMWI000<0=WIf@040000003IfMT0fMWI000000L0
fMWI1@0000090=WIf@030000003IfMT0fMWI05H0fMWIR02Y_NP50:Rlj0H0ZKgX1@2N]nX70;_Aj`@0
ZKgX00@04bJS07>XlP1IE[@0FEJd0`3aiL060:Vmj0050000H@0N3Gl07Peo01h=O`1^Cid00P3kf7H0
1@31TZH0ZKgX0:Vmj02Y_NP000110080ZKgX00<0001J0:Vmj00000000P0000030<jIW`030=fj=P00
01h0ZKgX0080ZKgX00<07`Ed0:Vmj01A;HL00P1A;HL0102@JJ80DBf70>;5A@3NXI830:Vmj00401l3
L@2Y_NP0ZKgX0<E>00D0TfNK0P32Zah0100000d0ZKgX0:Vmj02Y_NP404TlX0<0c:fk00<0UFRL0:Vm
j02Y_NP0102Y_NP01P0>69D0ZKgX0:Vmj00007l0ZKgX028JS@80cMm`0`2WYmH01P0004`0ZKgX0000
=P2Y_NP0001M0;?8jP<0AbJ40`2AHYL20:JSd`80ZKgX00D02@1e0;gNL`0X3WX0:0ij00004P0407M;
S`<0AB^=0P0002`506@kR`<0N5BK00@0C32>04LSP@0000000000101iC8l30:Vmj00304HVQ@2Y_NP0
ZKgX00<0DSB?00@0TV>H0:Vmj02Y_NP0=an70P2Y_NP406M6UP80T6NO00@0H5Zd0:NYf02WZMP0YjWH
0P1HE;800`000000XIK90:6Fb@040:6Fb@@0ZZOD0P36i^h508VFfP030:Vmj00006@0ZKgX00<09QB4
00@0d9jT02Agi00TMn@00a^M0P2Y_NP0100006L0eVL002lKQ`2Y_NP20000I`030:Vmj00T3gh0ZKgX
00<0ZKgX00P0001e0<5>0012;i@0ZKgX0000LP2Y_NP0;QV40?[=V@80ZKgX00<05Q^F000Z[`00:Zl0
0P1UF[40100=3h/0nN6/0?WQ[035d5L40:Vmj0@0?67>0P3Oh]L00`3EolL0ZKgX0:Vmj0040:Vmj0H0
SYgN1P2`a^X50:Nlj0L0[L;Y1P2Y_NP60:Zmj2D0ZKgX00<000000:Vmj02Y_NP0I02Y_NP00`000000
fMWI0=WIf@0k0=WIf@00303IfMT010000000fMWI0=WIf@0000070=WIf@040000003IfMT0fMWI0000
00X0fMWI00<000000=WIf@3IfMT0E`3IfMV80:Vmj0D0Z[gX1P2Y_NP609Z`iPH0^m7[0`2Y_NP201<V
X`0305UF]00C9Z<0lNG000<0lNG01@2Y_NP01@000640ZKgX01h=O`0N3Gl0KTnM0080nmQf00H0`I:V
0:Vmj02Y_NP0ZKgX0000@@2Y_NP300000080;AV5103>VIl00`3M^SH0000N0:Vmj0020:Vmj00301l5
M02Y_NP0DBf70080DBf700D0T6VR054]Q`3RaDD0gZ6B0000?P020:Vmj00401l3L@2Y_NP0ZKgX04lY
PPD0TfNK00<0`Z/N0:Vmj02Y_NP00`2Y_NP404TlX080c:fk0P2EJ9`30:Vmj00302l_W`2Y_NP0ZKgX
00803QRE00@0ZKgX0000O`3=gg008QZ=0`2PeOX20:NWeP060000C02Y_NP0000f0:Vmj00005d0/lSZ
0`179X@2095RU`0308e`[@2VXm<0YZ?C0080ZKgX00D02@1e0;gNL`0X3WX0:0ij00004P0407M;S`<0
AB^=0P0002`606@kR`80N5BK00@0C32>04LSP@178h400000101iC8l30:Vmj00304HVQ@2Y_NP0ZKgX
00<0DSB?00@0TV>H0:Vmj02Y_NP0=an70P2Y_NP406M6UP80T6NO0`1PF[@00`2WZMP0F5Bb061J]002
000000D0XIK90P2ZYm@40<KVkPD0RIKJ00@0c>[[0000I02Y_NP0_d/00P0V58@0103@WZ@0012K02Ag
i0036id20:Vmj0040000I`3FI`00eVL002lKQ`80001W00@0ZKgX02@?OP2Y_NP0001T0P2Y_NP01`00
07D0`Dh0048_U02Y_NP0001b0:Vmj00^6H@0102Y_NP0100F6iH002Z_06EJ/@1UF[420?WQ[0030<G@
E`3Go=`0eocL00<0Jj7`1@0lHLh2096Ee0030<kj/@2Y_NP0ZKgX00<0ZKgX1@2>WMh20;[;i`H0/<KZ
1@2V^>H60:g2j@L0ZKgX1@2Z_NPU0:Vmj0030000002Y_NP0ZKgX06D0ZKgX00<000000=WIf@3IfMT0
>P3IfMT000`0fMWI00@000000=WIf@3IfMT00000203IfMT00`000000fMWI0000000:0=WIf@030000
003IfMT0fMWI05P0fMWIR02Y_NP50:Zmj0<0ZKgX0`2W_>T609Z`iPP0ZKgX0`0C9Z<40?7U`080go_G
102Y_NP01@000640ZKgX01h=O`0N3Gl0KTnM0080nmQf0P0001X01`2Y_NP00000000000000000301Z
0000FP2Y_NP00P0]6HD40<jIW`030=fj=P2Y_NP0ZKgX0080ZKgX00<07`Ed0:Vmj01A;HL0101A;HL0
0`3RaDD0gZ6B0:Vmj0020:Vmj00401l3L@2Y_NP0ZKgX04lYPPD0TfNK00<0`Z/N0:Vmj02Y_NP00`2Y
_NP504TlX0030<b]^`2EJ9`0ZKgX00<0ZKgX0P0_;il01`2Y_NP03QRE00hHU@2Y_NP0001o0:3EnP0R
6Xd00`2PeOX30:NWeP050:Vmj00003H0ZKgX0000G@2cb>X00`179X@00`2AHYL0AbJ408e`[@020:JS
d`80ZKgX00D02@1e0;gNL`0X3WX0:0ij00004P0507M;S`0404D[S@1>9h40000/0000;0D0I3^;00@0
ZKgX07QDV`1hE9/0C32>0P178h400`000000NDb?07U<S`0207U<S`<0ZKgX0P169XD01@2Y_NP0DSB?
058dS`1B=8l0TV>H0080ZKgX0P0g7hL0102Y_NP0IdJF06M6UP1WAYH3091WW`D0H5Zd0`0000050:6F
b@L0a^K^0P29U]X30<cZj`080000I03<j^/0_d/002HDQ02Y_NP0d9jT000@V`0TMn@200<KW@0;0:Vm
j00006L0001W0=IW000_6hL0001W0>VeW02Y_NP090mn0:Vmj00006@00P2Y_NP01`0007D0`Dh0048_
U02Y_NP0001b0:Vmj00^6H@0102Y_NP00`0F6iH002Z_000Z[`0306EJ/@@0eocL0`1[XO05096Ee0<0
c_Za1@2Y_NP208jMgPD0^/_W0`2`a^X30:Vmj0D0Y[SV0`2]`^T90:Vmj0H0Z[gX9@2Y_NP00`000000
ZKgX0:Vmj01T0:Vmj0030000003IfMT0fMWI03X0fMWI000<0=WIf@040000003IfMT0fMWI000000T0
fMWI0P00000:0=WIf@<00000F@3IfMV80:Vmj0D0Z[gX1P2W_>T309Z`iP<0]lcZ1@2Y_NP00`03<K@0
ZKgX0:Vmj00201<VX`<0lNG0103OnmL30:Vmj0070000H@2Y_NP07Peo01h=O`1^Cid0nmQf0<6BYP03
000000040:Vmj0000440ZKgX00`0JP80001J0P0]6HD30<jIW`80gKXf102Y_NP00`0O1G@0ZKgX054]
Q`03054]Q`80h/E500D0gZ6B0:Vmj02Y_NP0ZKgX01l3L@020:Vmj00304lYPP2CIi/0TfNK00<0TfNK
00<0`Z/N0000?P2Y_NP00`2Y_NP504TlX080UFRL00@000000:Vmj02Y_NP0ZKgX0P0_;il20:Vmj080
3QRE00<0001o0<6BYP31TZH0102PeOX20:NWeP<0ZKgX00<0001M0;?8jP179X@010179X@00`2=L:d0
YZ?C0:JSd`020:Vmj00500T0M@2mgW<0:0ij02P>NP0001801@1gBhl01015:hd0CRN104hWP@0002`5
06@kR`80ZKgX00D0N5BK04``SP178h40Ab>10000000407U<S`0303DGOP2Y_NP0ZKgX0080ARJ500D0
ZKgX058dS`1B=8l0DSB?099SV0020:Vmj080=an700@0ZKgX06M6UP1WAYH0IdJF102@Iil4061J]0@0
00000P2QU/T50<;Lk0@0a^K^1@3<j^/0100006@0c>[[0;m;000V58@30:Vmj004000@V`0TMn@00a^M
0:Vmj080001W00H0eVL002lKQ`0006L0jKFL0:Vmj00T3gh40:Vmj0090000M@31CP00@RnD048_U000
0780n/fI02hIQ02Y_NP001NN0080ZKgX0P0F6iH01000:Zl0IEZa06EJ/@1UF[440=Olg0@0Jj7`0`2A
UM@40<kj/@D0ZKgX1`2jbnL70:Vmj0D0Y[SV302Y_NP60:Zmj2D0ZKgX00<000000:Vmj02Y_NP0I02Y
_NP00`000000fMWI0=WIf@0i0=WIf@003@3IfMT2000000/0fMWI00<000000=WIf@3IfMT0203IfMT0
0`000000fMWI0=WIf@1J0=WIf@030000002Y_NP0ZKgX08@0ZKgX1P2Z_^P60:Nlj@H0]lcZ102Y_NP2
00<a]0030:Vmj00C9Z<0lNG00080lNG0103OnmL40:Vmj0040000H@2Y_NP07Peo01h=O`<00000102Y
_NP00`000440ZKgX00`0JP020000FP0302dIQ@3>VIl0cYVO0080cYVO0P3M^SH40:Vmj00301l5M02Y
_NP0DBf700<0DBf700<0h/E50=jQTP2Y_NP00`2Y_NP0100O0g40ZKgX0:Vmj01?:H8409=WV`80`Z/N
0P0003h30:Vmj0<0BCbP102EJ9`00`00000000060:Vmj0020:Vmj080;bnO00<0ZKgX00hHU@0_;il0
0`31TZH0100000<036[L0:3EnP2PeOX20:NWeP<0ZKgX00<0001M0;?8jP2cb>X00`179X@208e`[@80
YZ?C00@0001Z0:Vmj00907D0_Mic0P0X3WX00`000180Md^?07M;S`0307M;S`0404D[S@1>9h40CRN1
0000;0D0I3^;0P2Y_NP01@1hE9/0C32>04LSP@178h40000000@0NDb?00<0=AMn0:Vmj02Y_NP00P16
9XD00`2Y_NP0DSB?058dS`02099SV0050000G`2Y_NP0ZKgX03LOQ`2Y_NP00`1WAYH4091WW`<0H5Zd
00<00000085`]`21L;L00P21L;L60<;Lk080b^O[1P29S]820:Vmj0040000I02Y_NP0_d/002HDQ0<0
ZKgX00@0012K02Agi0036id0hMS>0P0006L0303FI`00;a^70000I`3Y]I`0ZKgX02@?OP0007L0ZKgX
0000I02Y_NP0001e0<5>0080@RnD00<0001b0?[=V@0^6H@0102Y_NP201HKUP04000Z[`1UF[40IEZa
06EJ/@80eocL0`2Y_NP00`1PK<P0Jj7`06^Ql003096Ee080c_Za0`2Y_NP5092YiP@0^/_W0`2idN`6
0:Vmj0H0[/;Y302Y_NP50:Zmj2D0ZKgX00<000000:Vmj02Y_NP0I@2Y_NP00`000000fMWI0=WIf@0h
0=WIf@009@3IfMT00`000000fMWI0=WIf@1K0=WIf@030000002Y_NP0ZKgX08@0ZKgX1P2Z_^P609bc
j0H0]lcZ102Y_NP200<a]0<0lNG00P3OnmL70:Vmj0050000H@00000000000000003kf7H00P31TZH4
0:Vmj0030000@@2Y_NP0301Z0080001J00<0;AV50<jIW`3>VIl00P3>VIl00`3M^SH0000f0:Vmj003
0:Vmj00301l5M02Y_NP0DBf700<0DBf700<0h/E50=jQTP2Y_NP00`2Y_NP0100O0g40ZKgX0:Vmj01?
:H8409=WV`80`Z/N0P2Y_NP00`0T1g@0ZKgX0:Vmj00709EXW0030000000000H000060080ZKgX0`0_
;il00`0>69D0`I:V0<6BYP020<6BYP8000030P0<J]`00`3Mo/P0YjOF0000C0020:Vmj0030000G@2c
b>X0/lSZ00<0AbJ40P2=L:d20:JSd`040000JP2Y_NP0001/0;gNL`80:0ij00<0000B07M;S`1gBhl0
0`1gBhl01015:hd0CRN104hWP@0002`506@kR`80ZKgX00D0001X04``SP178h40Ab>10000000307U<
S`0409=UVP0e5gh0ZKgX0:Vmj080ARJ500<0ZKgX058dS`1B=8l00P2BHiP01@0005l0ZKgX0:Vmj00g
7hL0ZKgX00<0IdJF102@Iil3061J]00300000021L;L0PG2g00<0PG2g0`32g>`40<[Wj`D0RHkB0P3C
m>H01@2Y_NP0001T0:Vmj02oB`009QB40080:ec?0140ZKgX000@V`3/nL800a^M0>ci`P2Y_NP0001W
0=IW000_6hL0001W0>VeW02Y_NP090mn04fAkP2Y_NP0001T0:Vmj0020000M@80@RnD00<0001b0?[=
V@0^6H@00P2Y_NP00`005ih0ZKgX0:Vmj00201HKUP03000Z[`1UF[40ZKgX00D0ZKgX0`1PK<P00`1[
XO00TIGD0<kj/@060:Vmj0D0T:WV1`2idN`30:Vmj0<0YKSV1P2^`^Tf0:Vmj0030000002Y_NP0ZKgX
06@0ZKgX00<000000=WIf@3IfMT0>03IfMT002D0fMWI00<000000=WIf@3IfMT0G03IfMT00`000000
ZKgX0:Vmj0240:Vmj0<0Z[kX0`2Y_NP609bcj0<0]lcZ0`2Y_NP00`0oN^80ZKgX0:Vmj00300<a]0@0
YZOG00<0hOfm0:Vmj02Y_NP00P2Y_NP3000000040:Vmj00N3Gl07Peo0?_HMP80`I:V102Y_NP01P00
0440ZKgX00`0JP3^S3D0001J02dIQ@@0cYVO00<0gKXf0000=P2Y_NP00`2Y_NP00`0O1G@0ZKgX0:Vm
j003054]Q`030>;5A@3NXI80ZKgX00<0ZKgX00@07`=a0:Vmj02Y_NP0CbV2102CIi/01@32Zah0ZKgX
0:Vmj02Y_NP090Md0080ZKgX00<0DBZ309EXW02EJ9`0102EJ9`00`000000000600001P020:Vmj0@0
;bnO1031TZH300000`80YZ?B00<0YjOF0000C02Y_NP00P2Y_NP20;?8jP<0AbJ40P2=L:d20:JSd`04
0000JP2Y_NP0001/0;gNL`80:0ij00<0000B07M;S`1gBhl00`1gBhl01015:hd0CRN104hWP@0002`5
06@kR`80ZKgX00D0001X0:Vmj0178h40Ab>10000000307U<S`0409=UVP0e5gh0ZKgX0:Vmj080ARJ5
00<0ZKgX058dS`1B=8l00P2BHiP00`0005l0ZKgX0:Vmj00203LOQ`030:Vmj01WAYH0IdJF00D0T6NO
00<0H5Zd0000000000001P21L;L70<[Wj`<0RHkB103Cm>H30:Vmj00402HDQ02Y_NP0:ec?02]Lc`80
k?W200H00a^M0<[Wk02Y_NP0001W0=IW000_6hL30>VeW00402@?OP1=TNh0=4fn0000I080ZKgX00<0
001e0<5>0012;i@00P3jcIT00`0^6H@0ZKgX0:Vmj002000GWP060:Vmj00F6iH05Q^F000Z[`1UF[40
dojn1@2Y_NP5061/b080h?SI1P2Y_NP50:Jfi0H0^M7/1`2U^>H30:k2j@<0Z[kX202Y_NP30:Znj2/0
ZKgX00<000000:Vmj02Y_NP0I02Y_NP00`000000fMWI0=WIf@0g0=WIf@00903IfMT00`000000fMWI
0=WIf@1N0=WIf@030000002Y_NP0ZKgX08X0ZKgX1P2L/nP60:Vmj080?g[R1P2VYmL30>7m_@030:Vm
j000000000000080ZKgX0P00064201h=O`030?_HMP31TZH0`I:V00@0ZKgX00D000110:Vmj00<06X0
kX`e0000FP050<jIW`030=fj=P2Y_NP0ZKgX00<0ZKgX00<07`Ed0:Vmj02Y_NP00`1A;HL20=jQTP05
0000=@2Y_NP0ZKgX0:Vmj00O0g400P2Y_NP00`1?:H80TfNK09=WV`0209=WV`050<:[7P2Y_NP0ZKgX
0:Vmj00T1g@00P2Y_NP00`1A:X<0UFRL09EXW00409EXW0030000000000H0ZKgX0080ZKgX0`0_;il4
0<6BYP8000030`2Y_NP20:JSdP060000C02Y_NP0ZKgX0:Vmj00005d0/lSZ0`179X@208e`[@80YZ?C
00@0001Z0:Vmj00006`0_Mic0P0X3WX00`000180Md^?07M;S`0307M;S`0404D[S@1>9h40CRN10000
;0D0I3^;0P2Y_NP01@0006P0ZKgX04LSP@178h40000000<0NDb?00@0TfFJ03DGOP2Y_NP0ZKgX0P16
9XD00`2Y_NP0DSB?058dS`02099SV0030000G`2Y_NP0ZKgX0080=an700<0ZKgX06M6UP1WAYH01@2@
Iil0101PF[@00000000000000005085`]`<00000103:in/208V>dPD0doCV0`2Y_NP00`0V58@0ZKgX
0:g8kP050:g8kP030:Vmj00006L0eVL00080;a^70P3Y]I`00`0T3gh0CI7^03A=_P020>SZd0030:Vm
j00007D0`Dh00080@RnD00<0ZKgX02hIQ00FD/`00P2Y_NP00`005ih0ZKgX01HKUP020=OVh00306EJ
/@3Co[h0dojn00D0ZKgX0`1PK<P40>3hf@H0WKW[1@2V]^@60:Vmj0H0YKSV1`2Z_^P50:Vmj0H0Z[kX
:`2Y_NP00`000000ZKgX0:Vmj01T0:Vmj0030000003IfMT0fMWI00`0fMWI1000000V0=WIf@00903I
fMT00`000000fMWI0=WIf@1P0=WIfH40ZKgX1@2Z_^P60:Vmj0H0/<7W1P2Y_NP203mjhP@0YZOG0P3Q
oKd3000000@0ZKgX0P00064201h=O`80`I:V0P3bdf<30:Vmj0040000@@2Y_NP0301Z0>j<=@80001J
0`3>VIl00`1V?8X0gKXf0:Vmj0040:Vmj0807`Ed00@0ZKgX054]Q`1A;HL0DBf70P3NXI801@0003D0
ZKgX0:Vmj02Y_NP07`=a0080ZKgX00<0CbV20<E>002CIi/00P2CIi/01@32Zah000140:Vmj02Y_NP0
90Md0080ZKgX00<0DBZ309EXW02EJ9`00`2EJ9`00`000000ZKgX0:Vmj0040:Vmj080;bnO1031TZH5
0:Vmj080YZ?B00H0001<0:Vmj00003H0ZKgX0000G@2cb>X304LVQ080SG2]0P2VXm<0100006X0ZKgX
0000K02mgW<202P>NP0300004P1gBhl0Md^?00<0Md^?00@0AB^=04hWP@1>9h40000/1@1T>h/20:Vm
j0050000J02Y_NP0Ab>104LSP@0000000`1iC8l0102CIIX0=AMn0:Vmj02Y_NP304HVQ@80DSB?0P2B
HiP00`0005l0ZKgX0:Vmj00203LOQ`030:Vmj01WAYH0T6NO00D0T6NO10000004085`]`8000000`2Y
_NP308Ana0D0doCV0`2Y_NP207nNiP0302HDQ01oW^H0OikV00D0[LS^00<0ZKgX0000I`2Y_NP00P0_
6hL20>VeW00902@?OP1=TNh0CI7^03A=_P2UcUh0ZKgX0000M@31CP00@RnD00<0ZKgX0P0FD/`01@2Y
_NP001NN0=OVh00F6iH0enKP00@0dojn1@2Y_NP2061/b0@0h?SI0P2id^`509fij`@0Y[KT0P2keNd6
0:Vmj0<0YKSV0`2/`>P60:Znj0H0ZKgW1@2Z_^P[0:Vmj0030000002Y_NP0ZKgX06@0ZKgX00<00000
0=WIf@3IfMT03P3IfMT00`000000fMWI0=WIf@0U0=WIf@00903IfMT00`000000fMWI0=WIf@1Q0=WI
fH40ZKgX1@2Z_^P30:Vmj0<0XkWY1P2``NL50:Vmj0<0?g[R0P2VYmL3000000H0ZKgX00D0cEL00000
H@0006407Peo0?_HMP020<6BYP80l]=S00T000000:Vmj02Y_NP000110:Vmj00<06X0kX`e06HlRP00
05X00`3>VIl20=fj=PD0ZKgX0P0O1G@0102Y_NP0DBf7054]Q`1A;HL20=jQTP050000=@2Y_NP0ZKgX
0:Vmj00O0g400P2Y_NP01P1?:H80aDh009=WV`2CIi/0CbV20<:[7P<0ZKgX00@090Md0:Vmj02Y_NP0
DBZ31@2EJ9`00`00000000100:Vmj0040:Vmj00302l_W`31TZH0`I:V00<0`I:V00<000000:Vmj02Y
_NP00`2Y_NP20:JSdP050:Vmj00003H0ZKgX0000G@2cb>X00`179X@208e`[@80YZ?C00<0001Z0:Vm
j00006`00P2mgW<202P>NPD0Md^?00@0AB^=04hWP@1>9h40000/101T>h/01@2AH9D0ZKgX0:Vmj000
06P0ZKgX00<0Ab>10`1iC8l0102CIIX0=AMn0:Vmj02Y_NP304HVQ@04058dS`2BHiP0TV>H099SV080
001O00H0ZKgX03LOQ`0g7hL0ZKgX06M6UP0002@5091WW`040:Vmj01_E:<00000000000<0PG2g1P2Y
_NP508Ana0H0ZKgX0P1oW^H0100V58@0OikV07nNiP1oW^H20:g8kP80a>3]00<0ZKgX0000I`34h>d0
0`0_6hL02P3Y]I`090mn01i3_01=TNh0=4fn0>3cfP2Y_NP0001e0<5>0012;i@30:Vmj0<05U;<0`3G
i^000`3Co[h0ZKgX0:Vmj0030:Vmj0@0I7kH103Pn=T50;WBk0D0WKW[0P2V]^@40;_Ek@D0ZKgX1`2/
`>P30:Znj0<0ZKgX1P2Y_NL`0:Vmj0030000002Y_NP0ZKgX06@0ZKgX00<000000=WIf@3IfMT03@3I
fMT00`000000fMWI0=WIf@0U0=WIf@00903IfMT00`000000fMWI0=WIf@1R0=WIfH40ZKgX1@2Z_^P6
0:>ij@<0/<7W0`2]`NT509:ek`05055[c`00000000000000003QoKd00P3Po=<60:Vmj0050<eG0000
0640001Q01h=O`3kf7H00P31TZH20?;CH`090000002Y_NP0ZKgX0000@@2Y_NP0301Z0>j<=@1V?8X0
001J00<0cYVO0P3M^SH50:Vmj0807`Ed00@0ZKgX054]Q`1A;HL0h/E50P3NXI840:Vmj00301l3L@2Y
_NP0ZKgX0080CbV20P2CIi/00`1?:H80kZj90:Vmj0020:Vmj00402@7M02Y_NP0ZKgX054ZP`D0UFRL
00<000000000@00004000`2Y_NP00`1P>H/0;bnO0<6BYP040<6BYP800000102Y_NP30:JSdP040000
=P2Y_NP0001M0;?8jP<0AbJ40P2=L:d20:JSd`030000JP2Y_NP0001/0080_Mic0P0X3WX507M;S`04
0:Vmj01>9h40CRN10000;0@0I3^;00D0TF2E0000D`2Y_NP0001X0:Vmj00304LSP@050000001iC8l0
NDb?09=UVP0e5gh00P2Y_NP304HVQ@03058dS`2BHiP0TV>H0080TV>H00<0001O0:Vmj00g7hL00P0g
7hL00`1WAYH0000T091WW`03091WW`80ZKgX0P1_E:<200000080PG2g00<000000:Vmj02Y_NP00`2Y
_NP508Ana080eok31@2Y_NP00`1oW^H09QB407nNiP0207nNiPD0a>3]00P0001W0<CPk@0_6hL0;a^7
0:Vmj03Y]I`090mn01i3_0@0h??J00<0001e0;cEk@12;i@01024[O0507N?g@80eogK1@2Y_NP506An
f0L0^M;/1@2M^N/70;_Ek@H0Y[[X1@2/`>P70:Vmj0<0ZKgW0`2Z_^P`0:Vmj0030000002Y_NP0ZKgX
06@0ZKgX00<000000=WIf@3IfMT0303IfMT00`000000fMWI0=WIf@0U0=WIf@00903IfMT3000006<0
fMWIQP2Y_NP60:>ij@H0[L7Y0P2B]Nl3000000<0DF_?103Po=<50:Vmj0040<eG00000640001Q01h=
O`<0`I:V00<0l]=S0000002Y_NP00P2Y_NP01P000440ZKgX00`0JP3^S3D0ISb:0000FP<0cYVO00<0
gKXf0:Vmj02Y_NP00P2Y_NP01@0003/0ZKgX01l5M00O1G@0ZKgX0080DBf700<0h/E50=jQTP3NXI80
102Y_NP00`0O0g40ZKgX0:Vmj00204lYPP80TfNK00<0CbV20>j^R@2Y_NP00P2Y_NP0100T1g@0ZKgX
0:Vmj01A:X<509EXW003000000000400001000<0ZKgX00<0H3V;0<6BYP31TZH00`31TZH4000000<0
NJ[b0`2VXm80100003H0ZKgX0000G@2cb>X304LVQ080SG2]00@0001<0:JSd`0006X0ZKgX0P0006`0
0`2mgW<0:0ij02P>NP0507M;S`040:Vmj01>9h40CRN104hWP@@0I3^;00@0TF2E0000D`2Y_NP0001X
0P2Y_NP204LSP@040000001iC8l0NDb?09=UVP80=AMn00D0ZKgX04HVQ@169XD0ARJ5058dS`04099S
V0030000G`2Y_NP0=an70080=an700<0IdJF0000902@Iil00`2@Iil20:Vmj0<0KeBS00<00000085`
]`1_E:<00P0000050:Vmj0<0Q7k4103Go/<40:Vmj0L0V[c`0`2Y_NP0100006L0ZKgX0=IW000_6hL3
05R3h@@0h??J00@0_=G]0000M@2leNd0@RnD1024[O0407N?g@@0eogK1@2Y_NP206Anf0@0_M3Y0`2i
d^`30:Vmj0H0V:WR1P2Y_NP60:Jjj0D0[<3X1P2Y_NP70:Znj300ZKgX00<000000:Vmj02Y_NP0H`2Y
_NP00`000000fMWI0=WIf@0<0=WIf@030000003IfMT0fMWI02D0fMWI000S0=WIf@800000IP3IfMUm
0:Vmj0<0Z[gX1P2Y_NP30:>ij@<0Z;cX102]`NT3000000<0T[G_0P1AJll50>3ld`D0ZKgX00@0cEL0
0000H@0006407Peo0`31TZH00`3bdf<0ZKgX0:Vmj0020:Vmj0040000@@2Y_NP0301Z0>j<=@80ISb:
0`3>VIl00`3M^SH0ZKgX0:Vmj0020:Vmj0050000>`2Y_NP07`Ed01l5M02Y_NP00P1A;HL00`3RaDD0
gZ6B0=jQTP040:Vmj00301l3L@2Y_NP0ZKgX0080CbV20P2CIi/00`1?:H80kZj90:Vmj0020:Vmj004
02@7M02Y_NP0ZKgX054ZP`D0UFRL00<000000:Vmj02Y_NP00`2Y_NP00`1P>H/0`TT00<6BYP030<6B
YPD000000`1iZ_820:JSdP040000=P2Y_NP0001M0;?8jP80AbJ40`2=L:d0100004`0YZ?C0000JP2Y
_NP20000K0030;gNL`0X3WX0:0ij00@0Md^?00<03@1/0:Vmj01>9h400P1>9h4406@kR`04095PU@00
05<0ZKgX0000J080ZKgX0P178h4010000000NDb?07U<S`2CIIX203DGOP050:Vmj0169XD0ARJ504HV
Q@1B=8l0102BHiP00`0005l0ZKgX03LOQ`0203LOQ`0306M6UP0002@0T6NO0080T6NO0`2Y_NP606mD
X`8000001@2Y_NP208Ana0<0eok30`2Y_NP509^]h`<0V[c`0`2cbN/20:Vmj0040000I`2Y_NP0eVL0
02lKQ`D0F8?Q0`2leNd0100007D0_=G]048_U02leNd408B]l080MhoM1@3GoM/50:Vmj0L0_M3Y1@2Y
_NP509RYhP80^<gZ1P2Y_NP30:Jjj0<0ZKcW1@2/`>P60:Vmj0H0Z[kX<02Y_NP00`000000ZKgX0:Vm
j01T0:Vmj0030000003IfMT0fMWI00T0fMWI0`00000W0=WIf@008`3IfMT00`000000fMWI0=WIf@1V
0=WIfGX0ZKgX1P2Z_NP60:Vmj0H0Z;cX0`0000030:Vmj00404Ybf02B]Nl0T[G_055[c`@0h?cC1`2Y
_NP00`3=E`00001Q0<6BYP040<6BYP030?;CH`2Y_NP0ZKgX0080ZKgX00@000110:Vmj00<06X0kX`e
0P1V?8X0100005X0cYVO06HlRP3M^SH40:Vmj0050000>`2Y_NP07`Ed01l5M02Y_NP00P1A;HL20=jQ
TP030;fR4@000440ZKgX0080ZKgX00<07`=a0:Vmj02Y_NP00P1?:H8209=WV`0304lYPP3^[XT0ZKgX
0080ZKgX00<090Md0:Vmj02Y_NP00P1A:X<409EXW0030?ZkO`2Y_NP0ZKgX00<0ZKgX00<0H3V;0<99
0031TZH00`31TZH5000000<0NJ[b0P2VXm80100003H0ZKgX0000G@2cb>X204LVQ0<0SG2]00@0001<
0:JSd`0006X0ZKgX0P0006`00`2mgW<0:0ij02P>NP0307M;S`030:Vmj00=06`0ZKgX00<0CRN100P0
000/06@kR`1T>h/0I3^;095PU@0005<0ZKgX0000J080ZKgX0P178h4010000000NDb?07U<S`2CIIX2
03DGOP80ZKgX0P169XD00`1B=8l0TV>H099SV002099SV0030000G`2Y_NP0=an70080=an700<0DSB?
0000902@Iil00P2@Iil40:Vmj0@0KeBS102Y_NP206e/_`80ZKgX00<0Q7k40=On``2Y_NP01@2Y_NP6
09^]h`H0/lW[00D0ZKgX0000I`2Y_NP0eVL002lKQ`060:g4j`@0_=G]00<0@RnD0:Vmj02Y_NP00`1[
Qmd20=Omf`H0ZKgX1@21X^T40;g@j@<0`=_]1@2Y_NP209RYhPD0^<gZ1@2Y_NP70:Vli`@0[<3X1`2Y
_NP30:Znj3<0ZKgX00<000000:Vmj02Y_NP0I02Y_NP00`000000fMWI0=WIf@0:0=WIf@030000003I
fMT0fMWI02D0fMWI000S0=WIf@030000003IfMT0fMWI06L0fMWINP2Y_NP60:Zmj0H0YkcX0P2X_>P3
000000030:Rlj02Y_NP0ZKgX00@0ZKgX0P1:L]P30>3ld`T0ZKgX00<0001<0<6BYP31TZH00`31TZH0
0`3bdf<00000000000030:Vmj0040000@@2Y_NP0301Z0>j<=@80ISb:00@0001J0<jIW`1V?8X0gKXf
102Y_NP01@0003/0ZKgX01l5M00O1G@0ZKgX0080DBf70P3NXI800`2mXQ40ZKgX0:Vmj0020:Vmj003
01l3L@2Y_NP0ZKgX0080CbV200@0TfNK04lYPP32Zah0000l0`2Y_NP00`0T1g@0ZKgX0:Vmj002054Z
P`<0UFRL00<000000?ZkO`2Y_NP0102Y_NP2060iR`<0`I:V00@0H3V;00000000000000000`2Y_NP2
07VZlP06048dVP2VXm80YZ?B0:Vmj00005d0/lSZ0P179X@308e`[@040000C02VXm<0001Z0:Vmj080
001/00<0_Mic02P>NP0X3WX00`1gBhl00`2Y_NP03@1/0:Vmj00304hWP@080000;01T>h/0I3^;06@k
R`2AH9D0001C0:Vmj00006P20:Vmj080Ab>100@0000007U<S`1iC8l0TfFJ0P0e5gh20:Vmj0<0ARJ5
102BHiP00`0005l0ZKgX03LOQ`0203LOQ`80DSB?0P2@Iil00`1B=8l0ZKgX0:Vmj0020:Vmj0@0KeBS
102Y_NP606e/_`030=3hZ`2Y_NP0ZKgX00@0ZKgX0`2K[N<30:g;l0H0/lW[00D0001W096ak02A/N`0
;a^7096ak0060:g4j`<0ZKgX00<0@RnD0:Vmj02Y_NP0101[Qmd20<KKj@H0ZKgX1@21X^T70<3Kk@@0
ZKgX1`2hcNX60:Rlj0H0ZKcW@P2Y_NP00`000000ZKgX0:Vmj01S0:Vmj0030000003IfMT0fMWI0380
fMWI000S0=WIf@030000003IfMT0fMWI06P0fMWINP2Y_NP30:Zmj0<0ZKgX102W_>P3000000D0[L7X
1@2Y_NP404Ybf0<0bmGQ1`2Y_NP00`0004`08`mo0<6BYP030<6BYP030?;CH`000000000000<0ZKgX
00@000110:Vmj00<06X0kX`e0`1V?8X00`3>VIl0ISb:0=fj=P060:Vmj0807`Ed00<0ZKgX054]Q`1A
;HL00P3NXI850:Vmj00301l3L@2Y_NP0ZKgX0080CbV200@0TfNK04lYPP3^[XT0000l0`2Y_NP00`0T
1g@0ZKgX0:Vmj002054ZP`<0UFRL00<000000?ZkO`2Y_NP0102Y_NP2060iR`<0`I:V00<0H3V;0000
00000000102Y_NP207VZlP06048dVP2VXm80YZ?B0:Vmj00005d0/lSZ0P179X@01P12>Z40SG2]08e`
[@0004`0YZ?C0000JP80ZKgX00@0001/0;gNL`0X3WX0:0ij0P1gBhl0100X3WX0ZKgX00d0K02Y_NP3
04hWP@030000;01T>h/0I3^;0080TF2E00<0001C0:Vmj00006P00P2Y_NP204LSP@040000001iC8l0
TfFJ09=UVP80=AMn0P2Y_NP304HVQ@@0TV>H0P0005l00`2Y_NP0=an703LOQ`02058dS`80T6NO00<0
DSB?0:Vmj01>=iH00P2Y_NP406mDX`0300007`2Y_NP0ZKgX0080ZKgX101]K;l30=3hZ`D0ZKgX1`2]
bo060:Vmj080TK7/00<0;a^7096ak02A/N`00`2]a>/30;WAk0H0ZKgX0P1[Qmd40<KKj@D0ZKgX1P2M
/^L60<3Kk@H0Vk3V0`2hcNX30:c1j@H0Z;cX0`2Y_>L30:c1j@H0ZKgX1@2Z_NPf0:Vmj0030000002Y
_NP0ZKgX06@0ZKgX00<000000=WIf@3IfMT0<@3IfMT002<0fMWI00<000000=WIf@3IfMT0J@3IfMV0
0:Vmj0<000000`2W^nP60:g1j0D0ZKgX0P1:L]P50<_Eh@H0ZKgX00<0001<02<?O`31TZH00`31TZH6
0:Vmj0040000@@2Y_NP0301Z0>j<=@<0ISb:00<0cYVO06HlRP0001`01P2Y_NP201l5M0030:Vmj01A
;HL0DBf70080gZ6B1@2Y_NP201l3L@070:Vmj01?:H80CbV209=WV`1?:H80kZj90000?0030:Vmj003
02@7M02Y_NP0ZKgX0080DBZ30`2EJ9`00`000000n[]o0:Vmj0040:Vmj080H3V;0`31TZH00`1P>H/0
00000000>P040:Vmj080NJ[b0P12=9X0102VXm80ZKgX0000G@2cb>X204LVQ006048jX@2=L:d0SG2]
0000C02VXm<0001Z0P2Y_NP01P0006`0_Mic02P>NP0X3WX0Md^?02P>NP80ZKgX00<03@1/0:Vmj01>
9h400P1>9h400`0002`0I3^;06@kR`02095PU@030000D`2Y_NP0ZKgX0080ZKgX0P178h4010000000
NDb?09=UVP2CIIX203DGOP80ZKgX0`169XD4099SV0030000G`0I2Wl0ZKgX0080=an70P1B=8l01@2@
Iil0DSB?0:Vmj02Y_NP0CSNF0080ZKgX0`1_E:<200007`@0ZKgX0`1]K;l50=3hZ`D0WJSN102]bo03
0:Vli`H0ZKgX00@0TK7/02lKQ`2A/N`0TK7/1`2idN`50:Vmj0L0a]_Y1@2N^N/609fbi`H0ZKgX1P2K
/>H60:c1j@D0Z;cX1`2/`NT60:Vmj0D0Z[gX=P2Y_NP00`000000ZKgX0:Vmj01T0:Vmj0030000003I
fMT0fMWI0300fMWI000S0=WIf@030000003IfMT0fMWI06X0fMWIO@2Y_NP2000000030:Vmj02W^nP0
Yk_X00@0Yk_X1@2]`NP50:Vmj0H0bmGQ0P2ld^/00`00C/P0ZKgX0:Vmj0020:Vmj0030000C00S3gl0
`I:V00<0`I:V1P2Y_NP010000440ZKgX00`0JP3^S3D306HlRP030<jIW`3M^SH0000L00H0ZKgX0`0O
1G@2054]Q`80gZ6B1@2Y_NP201l3L@060:Vmj01?:H80CbV209=WV`1?:H80kZj9102Y_NP00`0T1g@0
ZKgX0:Vmj002054ZP`<0UFRL00<000000?ZkO`2Y_NP0102Y_NP2060iR`030<990031TZH0`I:V0080
00000P0003X30:Vmj00604<[S`1iZ_80@SBJ048dVP2VXm80?c>K0P0005d204LVQ0060:Vmj02=L:d0
SG2]0000C02VXm<0001Z0P2Y_NP00`0006`0_Mic02P>NP0302P>NP80ZKgX00<03@1/0:Vmj02Y_NP0
0P1>9h400`0002`0I3^;06@kR`02095PU@030000D`2Y_NP0ZKgX0080ZKgX0`178h401@1iC8l0TfFJ
09=UVP2CIIX0=AMn0080ZKgX0P169XD5099SV0030000G`0I2Wl0ZKgX0080=an7101B=8l20:Vmj080
CSNF00@0ZKgX06mDX`1_E:<0KeBS0`2WY=<0101HI<@0ZKgX0:Vmj02Y_NP206e/_`H0ZK7N1@2MZ=h7
0:Vli`D0ZKgX00<0W;CX02lKQ`2L]>P00`2L]>P30;WAk0<0ZKgX1@29YnP40<KKj@<0/<KZ1@2N^N/3
09fbi`<0^]C]1P2Y_NP309^`iP<0[/;X1@2/`NT60:Nji`H0[<7Y1`2Y_NP40:Zmj3L0ZKgX00<00000
0:Vmj02Y_NP0H`2Y_NP00`000000fMWI0=WIf@0`0=WIf@008`3IfMT00`000000fMWI0=WIf@1[0=WI
f@030000002Y_NP0ZKgX07H0ZKgX0`0000040:Vmj0H0Yk_X1@2Y_NP507VOjP<0bmGQ1@2ld^/01@00
C/P0ZKgX0:Vmj02Y_NP0001<00808`mo0`31TZH00`000000ZKgX0:Vmj0030:Vmj0040000@@2Y_NP0
301Z0>j<=@@0ISb:00<0gKXf0000702Y_NP01@2Y_NP301l5M004054]Q`3RaDD0gZ6B0=jQTPD0ZKgX
0P0O0g400`2Y_NP0CbV204lYPP0204lYPP030>j^R@2Y_NP0ZKgX0080ZKgX00<090Md0:Vmj02Y_NP0
0P1A:X<309EXW080n[]o1@2Y_NP3060iR`040<6BYP1P>H/000000?o6M`80000j0`2Y_NP00`13:hl0
NJ[b048dVP02048dVP0303lcV`0005d000000080AbJ400D0ZKgX08e`[@2=L:d0001<0:JSd`020000
JP030:Vmj00006`0_Mic00@0:0ij0P2Y_NP00`0=06`0ZKgX0:Vmj00204hWP@030000;01T>h/0I3^;
0080TF2E00D0001C0:Vmj02Y_NP0001X0:Vmj00304LSP@0507U<S`2CIIX0TfFJ09=UVP0e5gh00P2Y
_NP204HVQ@030000B@2BHiP0TV>H0080TV>H00D0001O01T:O`2Y_NP0=an70=[ocP04058dS`80ZKgX
0P1>=iH20:Vmj080KeBS0`2WY=<305QTa0040:Vmj01]K;l0f?o70=Soa`H0ZK7N0P2MZ=h30;kGk@H0
ZKcW1P2W_>T00`0_6hL0W;CX09bdj00309bdj0H0ZKgX1@29YnP70;36jPD0W[W[1P2je>d50:Vmj0L0
[/;X0P2/`NT30:Vmj0H0Yk[W302Y_NP50:Zmj3L0ZKgX00<000000:Vmj02Y_NP0H`2Y_NP00`000000
fMWI0=WIf@0_0=WIf@008P3IfMT00`000000fMWI0=WIf@1]0=WIf@030000002Y_NP0ZKgX0780ZKgX
0`0000080:Vmj0<0Yk_X0`2[_nP50:Vmj0D0NIoZ1`2ld^/2001>b080ZKgX00<0001<02<?O`0S3gl0
0`31TZH2000000@0ZKgX00@000110:Vmj00<06X0kX`e101V?8X00`3M^SH0ZKgX0:Vmj0050:Vmj0<0
7`Ed00@0DBf70=jQTP3NXI80gZ6B1@2Y_NP201l3L@030:Vmj01?:H80CbV20080CbV200<0kZj90000
A@2Y_NP00P2Y_NP00`0T1g@0ZKgX0:Vmj002054ZP`<0UFRL0P3j^gl50:Vmj0<0H3V;00@0`I:V060i
R`000000olIg1@2Y_NP00`13:hl0NJ[b07VZlP03048dVP050000G@3InMl0AbJ40=Wig`0009400P2=
L:d01`0004`0YZ?C0000JP0006X0ZKgX0000K02mgW<0100X3WX20:Vmj00300d0K02Y_NP0ZKgX0080
CRN100<0000/06@kR`1T>h/00P2AH9D01@0005<0ZKgX0:Vmj00006P0ZKgX00<0Ab>100@0NDb?09=U
VP2CIIX0TfFJ0P0e5gh0102Y_NP0ARJ504HVQ@0004T4099SV0050000G`2Y_NP0ZKgX03LOQ`3Jolh0
101B=8l20:Vmj0<0CSNF00<0ZKgX06mDX`2WY=<00`2WY=<405QTa0<0f?o71P2Y/Mh60;kGk@<0ZKcW
0`2[_NL50:Nlj@0402lKQ`2L]>P0W;CX09bdj0<0/LOZ1P2Y_NP208VWj0<0[<;Y1P2`a^X609R^iPD0
^]C]1P2R^>T60:k2j0H0ZKgX0`2W^^L30:boj0`0ZKgX1@2Z_NPf0:Vmj0030000002Y_NP0ZKgX06<0
ZKgX00<000000=WIf@3IfMT0;`3IfMT00280fMWI00@000000=WIf@0000000000K@3IfMT00`000000
ZKgX0:Vmj01^0:Vmj0<00000302Y_NP60:^oj0D0ZKgX1P2T^NP30;cBj`<0ZKgX00@004k80:Vmj02Y
_NP0001<0P0S3gl20<6BYPL0ZKgX00@000110:Vmj00<06X0kX`e101V?8X00`3M^SH0ZKgX0:Vmj005
0:Vmj0<07`Ed00@0DBf70=jQTP3NXI80gZ6B1@2Y_NP201l3L@030:Vmj01?:H80CbV20080CbV200<0
kZj90:Vmj02Y_NP00P2Y_NP00`0T1g@0ZKgX0:Vmj003054ZP`0309EXW01A:X<0n[]o00H0ZKgX0`1P
>H/01031TZH0H3V;0000003oaWL50:Vmj080@b^?00L0NJ[b048dVP12=9X000000000G@3InMl0AbJ4
0080fOWO0`2=L:d01P2VXm<0001Z0000JP2Y_NP0001/0;gNL`@0:0ij0P2Y_NP00`0=06`0ZKgX0:Vm
j00304hWP@80I3^;0P2AH9D01@0005<0ZKgX0:Vmj00006P0ZKgX00<0Ab>100@0NDb?09=UVP2CIIX0
TfFJ0P0e5gh0102Y_NP0ARJ504HVQ@0004T4099SV080ZKgX00<06@Yo03LOQ`3Jolh00`1B=8l00`2X
ZmT0ZKgX0:Vmj00304hgUP030:Vmj01_E:<0000>00@0YjCC0P1HI<@50=Soa`<0ZK7N0`2S/n<60;kG
k@H0ZkgW1@2W_>T70;77jPD0ZKgX1P2/`^T30;36jP<0ZKgX1P2H[^H50:Vmj0H0X[SY1P2^`nT60:Vm
j0H0[;oX302Y_NP20:Zmj3T0ZKgX00<000000:Vmj02Y_NP0H`2Y_NP00`000000fMWI0=WIf@0^0=WI
f@008P3IfMT200000700fMWI00<000000:Vmj02Y_NP0JP2Y_NP3000000X0ZKgX1P2X_>P60:^oj0D0
VkK[1P2T^NP50:Vmj004001>b02Y_NP0ZKgX0000C0808`mo0P31TZH70:Vmj0040000@@2Y_NP0301Z
0>j<=@@0ISb:00<0gKXf0000:`2Y_NP01@2Y_NP301l5M004054]Q`3NXI80gZ6B0=jQTPD0ZKgX0P0O
0g400`2Y_NP0CbV204lYPP0204lYPP030>j^R@2Y_NP0ZKgX0080ZKgX00<090Md0:Vmj02Y_NP00`1A
:X<00`2EJ9`000000?ZkO`040:Vmj00302lBN`2Y_NP0H3V;00@0H3V;0P3oaWL50:Vmj080@b^?00L0
NJ[b048dVP12=9X0fOWO0000G@3InMl0AbJ40080fOWO0`2=L:d01P2VXm<0001Z0000JP2Y_NP0001/
0;gNL`<0:0ij00@0WH:e0000;02Y_NP03@1/0P2Y_NP304hWP@80I3^;0P2AH9D01@0005<0ZKgX0:Vm
j00006P0ZKgX00<0Ab>100@0NDb?09=UVP2CIIX0TfFJ0P0e5gh0102Y_NP0ARJ504HVQ@0004T4099S
V080ZKgX00<06@Yo03LOQ`3Jolh00`1B=8l00`2XZmT00PF50:Vmj00404hgUP0306mDX`0000h0YjCC
00<0YjCC00<0F6C40=Soa`3HolL0103HolL70:>ch`H0Z;WU1P2[_NL50::hj0H0/LOZ1P2O^>X50:c2
j@L0ZKgX0`2H[^H30;;7j@D0ZKgX0`2R^>T30:Nkj0H0[/?Y1P2W^nP50:boj4P0ZKgX00<000000:Vm
j02Y_NP0H`2Y_NP00`000000fMWI0=WIf@0]0=WIf@008P3IfMT00`000000fMWI0=WIf@1a0=WIfFP0
ZKgX0`00000>0:Vmj0H0Z;cX1P2Y_NP509^fj`<0Y;WX102jd>/30:Vmj08004k800<0ZKgX0000C03=
E`000P0S3gl00`31TZH0ZKgX0:Vmj0050:Vmj0040000@@2Y_NP0301Z0>j<=@@0ISb:00<0eYZD0:Vm
j02Y_NP01@2Y_NP301l5M004054]Q`3NXI80gZ6B0;fR4@D0ZKgX0P0O0g400`2Y_NP0CbV204lYPP02
04lYPP030>j^R@2Y_NP0ZKgX0080ZKgX00<090Md0:Vmj02Y_NP00`1A:X<00`2EJ9`000000?ZkO`04
0:Vmj00302lBN`2Y_NP0H3V;00@0H3V;0P3oaWL50:Vmj080@b^?00L0NJ[b048dVP12=9X0o]=i0000
G@3InMl0AbJ40080fOWO00<0b/CD08e`[@2=L:d00P2VXm<0100006X0ZKgX0000K02mgW<302P>NP04
09f2]@0002`0ZKgX00d0K080ZKgX0`1>9h401@1T>h/0TF2E095PU@2AH9D0001C0080ZKgX00<0001X
0:Vmj0178h400P178h40101iC8l0TfFJ09=UVP2CIIX203DGOP040:Vmj0169XD0ARJ50000B@<0TV>H
00H040=l0:Vmj02Y_NP06@Yo03LOQ`3Jolh3058dS`030:R[f@021HD0ZKgX00@0CSNF0P0000h40:NT
d`80O9OR0P3Gn]l409bSfPD0Xk?S0P31fnd60:Rii@<0ZkgW0`2[_nP50::hj0H0ZKgX1P2O^>X60;35
jPD0ZKgX1`2banT50:Vmj0H0Yk_X0`2^`nT30:Vmj0H0Yk_X0P2/_nP30:Znj0H0ZKgX1P2Z_NPl0:Vm
j0030000002Y_NP0ZKgX0680ZKgX00<000000:Vmj03IfMT0;@3IfMT00280fMWI00<000000=WIf@3I
fMT0LP3IfMUT0:Vmj0<000004P2Y_NP30:Rlj0<0Z[gX1P2Y_NP509^fj`L0^]3[0`2Y_NP01000C/P0
ZKgX0000C03=E`0202<?O`030<6BYP3fkk@0ZKgX00D0ZKgX00@000110:Vmj00<06X0301Z101V?8X0
0`3FVY@0ZKgX0:Vmj0050:Vmj0<07`Ed00@0DBf70=jQTP3NXI80_J8A1@2Y_NP201l3L@040:Vmj01?
:H80CbV204lYPP80kZj9102Y_NP00`0T1g@0ZKgX0:Vmj003054ZP`0309EXW03j^gl0n[]o00@0ZKgX
00<0;a9k0:Vmj01P>H/0101P>H/20?o6M`<0ZKgX00<0<ab50:Vmj013:hl00P13:hl01P12=9X0@b^?
0?kCN@0005d0000C04LVQ0<0H9ga0P2=L:d20:JSd`040000JP2Y_NP0001/0;gNL`<0:0ij00@0WH:e
0000;02Y_NP03@1/0P2Y_NP304hWP@0506@kR`2AH9D0TF2E095PU@0005<00P2Y_NP00`0006P0ZKgX
04LSP@0204LSP@0407U<S`2CIIX0TfFJ09=UVP80=AMn00@0ZKgX04HVQ@169XD0H3R90`2BHiP01P2Y
]>4040=l0:Vmj00I2Wl0=an70=[ocP<0DSB?00@0Z:_I0085Q@2Y_NP0ZKgX0`1>=iH308mj^0@0O9OR
0`3Gn]l509bSfP<0Xk?S1031fnd50:Rii@L0ZkoX0P2R^>P30:g1j0H0ZKgX0`2O^>X30:Fjj0H0/<GZ
1@2Q]nP60;;7j@H0YkcX1@2W^nP70:Vmj0D0Yk_X1P2Z_^P60:Vmj0H0Z[gX>`2Y_NP00`000000ZKgX
0:Vmj01S0:Vmj0030000003IfMT0fMWI02`0fMWI000R0=WIf@030000003IfMT0fMWI07<0fMWIH02Y
_NP3000001H0ZKgX1P2Z_NP50:Vmj0H0V[?Y102jd>/50:Vmj004001>b02Y_NP0001<0<eG00808`mo
00<0`I:V0?K_]03Ln=d01@2Y_NP010000440ZKgX00`0JP0<06X406HlRPH0ZKgX00<0mJES0:Vmj00O
1G@00P0O1G@00`1A;HL0gZ6B0=jQTP060:Vmj0807`=a00@0ZKgX04lYPP1?:H80CbV20P3^[XT40:Vm
j08090Md00D0ZKgX054ZP`1A:X<0DBZ309EXW0020?ZkO`@0ZKgX00<0;a9k0:Vmj01P>H/0101P>H/0
0`3oaWL0ZKgX0:Vmj0020:Vmj00303<LQ@2Y_NP0@b^?0080@b^?00H0@SBJ0?kCN@3ndgT0001M0000
4`179X@3062Ml@80SG2]0P2VXm<0100006X0ZKgX0000K00006`302P>NP0409f2]@0002`0ZKgX00d0
K080ZKgX0`1>9h401@1T>h/0TF2E095PU@2AH9D0001C0080ZKgX00<0001X0:Vmj0178h400P178h40
101;:hP0TfFJ09=UVP2CIIX203DGOP040:Vmj0169XD0ARJ5060hR@80TV>H0P2Y]>401@0@0g`0ZKgX
01T:O`0g7hL0f_o>0080DSB?0P2XZmT00`021HD0ZKgX0:Vmj00304hgUP<0SgZh0`1lUn850=Ojg`D0
W:?J1P31fnd60:c2jPH0ZkoX1P2]`NP50:Vmj0L0YK[X0`2`aNX30:Vmj0D0XKOX0`2banT30:^oj0H0
YkcX1@2]`^T60:Vmj0`0Z[kX1P2Y_NP50:Zmj3`0ZKgX00<000000:Vmj02Y_NP0H`2Y_NP00`000000
fMWI0=WIf@0[0=WIf@008@3IfMT00`000000fMWI0=WIf@1e0=WIfE`0ZKgX0`00000J0:Vmj0H0Z[gX
1@2W_>T609Zcj@H0ZKgX00@000FH0:Vmj000C/P0^9fm0P0004`202<?O`030?K_]03Ln=d0g?SM00D0
ZKgX00@000110:Vmj00<06X0301Z101V?8X60:Vmj0030?FUH`2Y_NP07`Ed00807`Ed0`3NXI860:Vm
j0807`=a00@0ZKgX04lYPP1?:H80CbV20P3^[XT40:Vmj08090Md00D0ZKgX054ZP`1A:X<0DBZ309EX
W0020?ZkO`@0ZKgX00<0;a9k0:Vmj01P>H/00`1P>H/20?o6M`@0ZKgX00<0<ab50:Vmj02Y_NP00P13
:hl01`12=9X0o]=i0?kCN@3ndgT0ZKgX04LVQ02Y_NP00P27K[0208e`[@040000C02VXm<0001Z0:Vm
j080001/0`0X3WX0102MP[D0000/0:Vmj00=06`20:Vmj0<0CRN100@0I3^;095PU@2AH9D0TF2E0P00
05<00`2Y_NP0001X0:Vmj00304LSP@0404/[R02CIIX0TfFJ09=UVP80=AMn00@0ZKgX04HVQ@169XD0
H3R90P2BHiP20:Vdh@050103O02Y_NP06@Yo01T:O`3Jolh00P1B=8l01@2CMJh0Z:_I0:R[f@021HD0
ZKgX0080CSNF1@2?N[P00`1lUn80eo[O0=Ojg`040=Ojg`L0[=7c1@2U/^460:c2jPH0Y[[W1P2]`NP5
0:Rlj0H0YK[X1`2Y_NP40:6gj0L0ZkoX0`2W_>P30:Jjj0D0[L;Y0`2Y_NP30:Rlj0H0Z[kXC@2Y_NP0
0`000000ZKgX0:Vmj01R0:Vmj0030000003IfMT0fMWI02/0fMWI000Q0=WIf@030000003IfMT0fMWI
07H0fMWIF@2Y_NP2000001h0ZKgX1P2Z_NP50:Nlj@<0V[?Y0`2aa^T50:Vmj0040005V02Y_NP0ZKgX
001>b080001<0P0S3gl40=chg@@0ZKgX00@000110:Vmj00<06X0301Z0`1V?8X00`3M^SH0ZKgX0:Vm
j0040:Vmj0030?FUH`2Y_NP07`Ed00807`Ed0`3NXI860:Vmj0807`=a00D0ZKgX04lYPP1?:H80CbV2
0>j^R@050:Vmj08090Md00<0ZKgX054ZP`1A:X<00P1A:X<20?ZkO`@0ZKgX00<0;a9k0:Vmj01P>H/0
0`1P>H/20?o6M`@0ZKgX00<0<ab50:Vmj02Y_NP00`13:hl20?kCN@@0ZKgX0P27K[0208e`[@040000
C02VXm<0001Z0:Vmj080001/0P0X3WX0101oDY80WH:e0000;02Y_NP200d0K0050:Vmj01>9h40CRN1
04hWP@1T>h/00`2AH9D20000D`030:Vmj00006P0ZKgX00<0Ab>100@0Bb^809=UVP2CIIX0TfFJ0P0e
5gh01P2Y_NP0ARJ5060hR@1P>8T0TV>H0000MP80ZKCQ00D040=l0:Vmj00I2Wl06@Yo0=[ocP02058d
S`0509=e[P2XZmT0Z:_I0085Q@2Y_NP00P1>=iH508mj^0<0eo[O1@2AVMP40:cAl`<0//W[1@2U/^43
0:c2jP<0Z[gX1P2V^^L30:g1j0<0Z[kX1@2X_>P60:c1j@H0ZKgX2`2[_nP70:Jjj0D0[L;Y1P2X_>P6
0:Znj0P0ZKgX0`2Z_NQ10:Vmj0030000002Y_NP0ZKgX06<0ZKgX00<000000=WIf@3IfMT0:P3IfMT0
0240fMWI00<000000=WIf@3IfMT0M`3IfMUE0:Vmj0<000008@2Y_NP60:Zmj0D0YkcY1P2aa^T50:Vm
j0030005V02Y_NP004k80080001<0P0S3gl80:Vmj0040000@@2Y_NP0301Z00`0JP<0ISb:00<0gKXf
0:Vmj02Y_NP0102Y_NP00`3eYF<0000k01l5M00201l5M0<0gZ6B1P2Y_NP201l3L@050:Vmj01?:H80
CbV204lYPP3^[XT01@2Y_NP202@7M0030:Vmj01A:X<0DBZ30080DBZ30P3j^gl40:Vmj00302lBN`2Y
_NP0H3V;00<0H3V;0P3oaWL40:Vmj00303<LQ@2Y_NP0ZKgX00<0@b^?0P3ndgT40:Vmj080Qfj`0P2=
L:d0100004`0YZ?C0000JP2Y_NP20000K080:0ij00@0Z:WH09f2]@0002`0ZKgX0P0=06`01@2Y_NP0
CRN104hWP@1>9h40I3^;00@0TF2E00@0001C0:Vmj00006P0ZKgX0`178h40101;:hP0TfFJ09=UVP2C
IIX303DGOP0504HVQ@1P>8T0H3R9060hR@2FLjP00P2Y]>401@0@0g`0ZKgX01T:O`0I2Wl0f_o>0080
DSB?00D0TgF^0:R[f@2XZmT00PF50:Vmj00204hgUP@0SgZh0`2gm[@20<WVk0D0TIWH1P2bbN/60:Fb
h@H0Z[gX1@2V^^L70:Znj080Z;cX0`2V^nP60:c1j@<0ZKgX0`2V_>P60:^oj0D0ZKgX1P2V^^P60:Vm
j0D0Z;cX1`2Z_^P50:Vmj0H0Z[gX@@2Y_NP00`000000ZKgX0:Vmj01S0:Vmj0030000003IfMT0fMWI
02T0fMWI000Q0=WIf@030000003IfMT0fMWI00800000MP3IfMUA0:Vmj0<000009@2Y_NP60:Zmj0H0
XKSY1@2aa^T40:Vmj08000FH00<004k80000C00004`00P0S3gl00`3JmN00ZKgX0:Vmj0050:Vmj004
0000@@2Y_NP0301Z00`0JP<0ISb:00<0eYZD0:Vmj02Y_NP0102Y_NP00`3eYF<0000k01l5M00201l5
M0<0gZ6B1P2Y_NP201l3L@050:Vmj01?:H80CbV204lYPP3^[XT01@2Y_NP202@7M0030:Vmj01A:X<0
DBZ30080DBZ30P3j^gl40:Vmj00302lBN`2Y_NP0ZKgX00<0H3V;0P3oaWL40:Vmj080<ab500<0ZKgX
04<[S`13:hl00`3ndgT0100003X0ZKgX0:Vmj02Y_NP208M^/080SG2]00@0001<0:JSd`0006X0ZKgX
0P0006`202P>NP040000=@2MP[D0000/0:Vmj0803@1/00<0ZKgX04hWP@1>9h400P1>9h44095PU@04
0000D`2Y_NP0001X0:Vmj0<0Ab>100@0Bb^80000H@2CIIX0TfFJ0`0e5gh01`169XD0H3R9060hR@1P
>8T0UW>X0000MP2Y]>400P0@0g`301T:O`07058dS`2CMJh0TgF^0:Vmj02XZmT00PF50:Vmj00204hg
UP030<C/SP2?N[P0SgZh0080]oJd1039i^`4096If080`^Oa1P2bbN/30:Fbh@<0]<c[1P2Z_NP50:^o
j@H0Z[kX1P2V^nP50:c1j@L0Y[cX1P2[_nP50:Vmj0<0Y[[X0`2[_nP;0:Vmj0H0Z[kX1P2Y_NP50:Zm
j480ZKgX00<000000:Vmj02Y_NP0HP2Y_NP00`000000fMWI0=WIf@0Y0=WIf@008@3IfMT3000007T0
fMWI00<000000:Vmj02Y_NP0BP2Y_NP3000002l0ZKgX1P2Q^>T50:Vmj0<0FI;/0`2P]nP0100004`0
l]=S02<?O`0S3gl20=[eh0H0ZKgX00@000110:Vmj00<06X0301Z0`1V?8X00`3FVY@0ZKgX0:Vmj004
0:Vmj0030?FUH`0003/07`Ed00807`Ed0`3NXI860:Vmj0807`=a00D0ZKgX04lYPP1?:H80CbV20>j^
R@050:Vmj08090Md00<0ZKgX054ZP`1A:X<00P1A:X<20?ZkO`@0ZKgX00<0;a9k0:Vmj02Y_NP00`1P
>H/20?o6M`80ZKgX00D0001Z0:Vmj00c78D0<ab50:Vmj00204<[S`<0o]=i00@0000j0:Vmj02Y_NP0
ZKgX0`27K[001@2=L:d0001<0:JSd`0006X0ZKgX0080001/0P0X3WX0102Y_NP0WH:e0000;02Y_NP2
00d0K0030:Vmj01>9h40CRN10080CRN100P0Dbf5095PU@2AH9D0TF2E0000D`2Y_NP0001X0:Vmj0<0
Ab>100@0Bb^80000H@2CIIX0TfFJ0`0e5gh01`169XD0H3R9060hR@1P>8T0UW>X0000MP2Y]>400P0@
0g`0202Y_NP06@Yo01T:O`1B=8l0TgF^0000002Y_NP0Z:_I0P021HD01@1>=iH0E5Be0<C/SP2?N[P0
]oJd00L0bNK/0P2AVMP40<;Wl@D0//W[1`2dc>/60:Nji`D0ZkoY1P2Y_NP60:Jkj0D0ZKgX1P2V_>P7
0:^oj0@0ZKgX1`2[_nP;0:Vmj0<0Z[kXD02Y_NP00`000000ZKgX0:Vmj01R0:Vmj0030000003IfMT0
fMWI02P0fMWI000P0=WIf@800000O03IfMT00`000000ZKgX0:Vmj0160:Vmj0<00000<`2Y_NP30:6h
j@<0[;oX1@2Y_NP305VBk080X;OX00<0001<0:2gj00S3gl0103JmN050:Vmj0040000@@2Y_NP0301Z
00`0JP<0ISb:00<0eYZD0:Vmj02Y_NP0102Y_NP00`3eYF<0000k01l5M00201l5M0<0gZ6B1P2Y_NP2
01l3L@050:Vmj01?:H80CbV204lYPP3^[XT01@2Y_NP202@7M0030:Vmj01A:X<0DBZ30080DBZ30P3j
^gl20:Vmj0030000D02Y_NP0;a9k0080ZKgX0`1P>H/20?o6M`80ZKgX00D0001Z0:Vmj00c78D0<ab5
0:Vmj00204<[S`80o]=i1P2Y_NP208M^/00508e`[@0004`0YZ?C0000JP2Y_NP00P0006`202P>NP04
0:Vmj02MP[D0WH:e0:Vmj0803@1/00<0ZKgX04hWP@1>9h400P1>9h40201C;HD0TF2E095PU@2AH9D0
001C0:Vmj00006P0ZKgX0`178h40101;:hP0001Q09=UVP2CIIX303DGOP0704HVQ@1P>8T0H3R9060h
R@2FLjP0001f0:Vdh@020103O0040:Vmj00I2Wl06@Yo058dS`80000000D0ZKgX0:R[f@021HD0ZKgX
04hgUP0405AD]@8000001@39i^`70<;Wl@H0WjcQ0`2dc>/30:Vmj0H0Yk[W0P2[_nT30:Znj0H0ZKgX
0`2V^nP30:Znj0D0ZKgX1P2X_>P60:^oj0H0Z;cX1@2[_nQN0:Vmj0030000002Y_NP0ZKgX06<0ZKgX
00<000000=WIf@3IfMT09`3IfMT00240fMWI00<000000=WIf@3IfMT0N`3IfMT00`000000ZKgX0:Vm
j0120:Vmj0<00000=P2Y_NP70:boj0D0ZKgX0`1IT^`0102P]nP0001<0=[eh00S3gl20=[eh0L0ZKgX
00@000110:Vmj00<06X0301Z0`1V?8X00`3FVY@0ZKgX0:Vmj0040:Vmj0040?FUH`0003/07`Ed01l5
M0<0gZ6B00<0_J8A0:Vmj02Y_NP0102Y_NP201l3L@050:Vmj01?:H80CbV204lYPP3^[XT01@2Y_NP2
02@7M0060:Vmj01A:X<0DBZ3054ZP`000000n[]o0`2Y_NP01@000500ZKgX02lBN`0_4W/0ZKgX00<0
H3V;0P3oaWL20:Vmj0050000JP2Y_NP0<ab503<LQ@2Y_NP00P13:hl20?kCN@<0ZKgX00<0>S^W0:Vm
j02Y_NP00P27K[000`2=L:d0001<0:JSd`020000JP80001/00<0:0ij0:Vmj02Y_NP00P2MP[D0102Y
_NP03@1/00d0K02Y_NP404hWP@0805<]Q@2AH9D0TF2E095PU@0005<0ZKgX0000J02Y_NP304LSP@04
04/[R0000640TfFJ09=UVP<0=AMn00L0ARJ5060hR@1P>8T0H3R909IcZ00007H0ZKCQ008040=l00@0
ZKgX01T:O`2CMJh0DSB?0`2Y_NP0100iCkd00PF50:Vmj01>=iH305AD]@@0ZKgX1P2;TM@60:Vmj0H0
WjcQ1P2Y_NP50:Nji`H0Z[kX1@2Y_NP70:Znj0D0ZKgX1P2X_>P30:^oj0<0ZKgX1P2X_>P50:Zmj0H0
ZKgX1P2Z_^QB0:Vmj0030000002Y_NP0ZKgX0680ZKgX00<000000=WIf@3IfMT09`3IfMT00200fMWI
00<000000=WIf@3IfMT0O@3IfMT00`000000ZKgX0:Vmj00n0:Vmj0<00000=@2Y_NP60:Nlj0D0[;oX
1P2N^^`306fDiP030000C03JmN008`mo00T0ZKgX00@000110:Vmj00<06X0301Z0`1V?8X00`3FVY@0
ZKgX0:Vmj0040:Vmj0040?FUH`0003/07`Ed01l5M0<0gZ6B00<0_J8A0:Vmj02Y_NP0102Y_NP201l3
L@050:Vmj01?:H80CbV204lYPP3^[XT01@2Y_NP202@7M00;0:Vmj01A:X<0DBZ3054ZP`000000n[]o
0:Vmj0000500ZKgX0000D02Y_NP00P0_4W/01@2Y_NP0H3V;060iR`1P>H/0olIg00<0ZKgX00<0001Z
0:Vmj00c78D00P0c78D01013:hl0o]=i0?kCN@3ndgT30:Vmj00303XkY`2Y_NP0ZKgX0080Qfj`00<0
SG2]0000C02VXm<00P0006X20000K00302P>NP2Y_NP0@ek80080WH:e00@0ZKgX00d0K00=06`0ZKgX
0`1>9h4205<]Q@<0TF2E00@0001C0:Vmj00006P0ZKgX0`178h4204/[R080TfFJ0`0e5gh01`169XD0
H3R9060hR@1P>8T0UW>X0000MP2Y]>400P0@0g`00`2Y_NP06@Yo0:Vmj0040:Vmj00403U?_@021HD0
ZKgX0:Vmj080E5Be00<0eok10:Vmj02Y_NP00`2Y_NP408^Ae080d?3X1P2Y_NP309n/h@<0^M7/1@2Y
_NP60:_0j@H0Z[kX1@2X_NP60:Znj0H0ZKgX1@2X_>P70:Vmj0<0Z;cX202Z_NP60:Vmj0H0Z[kXDP2Y
_NP00`000000ZKgX0:Vmj01R0:Vmj0030000003IfMT0fMWI02H0fMWI00070=WIf@800000103IfMT0
0`000000fMWI0=WIf@030=WIf@8000002`3IfMT00`000000fMWI0=WIf@1n0=WIfCd0ZKgX0`00000i
0:Vmj0H0YkcX1@2[_^P609jjk0<0KICV00<0aMg[02<?O`35gN/0202Y_NP010000440ZKgX00`0JP0<
06X306HlRP030=JJU02Y_NP0ZKgX00@0ZKgX00@0mJES0000>`0O1G@07`Ed0`3NXI870:Vmj0807`=a
00<0ZKgX04lYPP1?:H800P3^[XT50:Vmj08090Md00@0ZKgX054ZP`1A:X<0DBZ30P3j^gl01@2Y_NP0
001@0:Vmj0000500ZKgX0080;a9k00<0ZKgX060iR`1P>H/00P3oaWL01@0004H0ZKgX0:Vmj00006X0
ZKgX00<0<ab500@0@b^?0?kCN@3ndgT0o]=i0`2Y_NP203XkY`060:Vmj027K[00Qfj`08e`[@0004`0
YZ?C0P0006X01@0006`0Oe:B02P>NP2Y_NP0@ek80080WH:e00@0ZKgX00d0K00=06`0ZKgX0`1>9h42
05<]Q@<0TF2E00@0001C0:Vmj00006P0001X0`178h4204/[R080TfFJ0`0e5gh01@169XD0H3R9060h
R@1P>8T0UW>X0080001f00D0ZKCQ0103O00@0g`06@Yo0:K<F@040:Vmj0<0>Dnm00<0ZKgX05AD]@3G
o/400P3Go/440:Vmj0<0Ri7D103@l>P50:Vmj0L0^M7/0P2Y_NP30:Nji`H0Zl3Y1P2Y_NL50:Rmj0H0
Z[gX1P2Y_NP50:Znj0H0ZKgX2`2Z_NP70:Vmj0<0Z[kXE@2Y_NP00`000000ZKgX0:Vmj01R0:Vmj003
0000003IfMT0fMWI02D0fMWI00060=WIf@040000003IfMT0fMWI000000P0fMWI00@000000=WIf@3I
fMT000002P3IfMT00`000000fMWI0=WIf@1o0=WIfCT0ZKgX0`00000m0:Vmj0<0YkcX0`2Y_NP50:^n
j0D0W[[/1035gN/00`0S3gl0aMg[0<GMj`070:Vmj0040000@@2Y_NP0301Z00`0JP80ISb:00<0eYZD
0:Vmj02Y_NP01@2Y_NP0103eYF<0000k01l5M00O1G@30=jQTPL0ZKgX0`0O0g4204lYPP80kZj91@2Y
_NP202@7M0040:Vmj01A:X<0DBZ3054ZP`80n[]o00D0ZKgX0000D02Y_NP0001@0:Vmj00202lBN`03
0:Vmj01P>H/0H3V;0080olIg0`2Y_NP00`0006X0ZKgX0:Vmj00203<LQ@0504<[S`3ndgT0o]=i0:If
W@0000000P2Y_NP303XkY`0508M^/03YflD0SG2]0000C02VXm<00P0006X01@0006`0Oe:B02P>NP2Y
_NP0@ek80080WH:e00@0ZKgX00d0K00=06`0ZKgX0`1>9h4205<]Q@<0TF2E00@0001C0:Vmj00006P0
001X0`178h4204/[R080TfFJ0`0e5gh01@169XD0H3R9060hR@1P>8T0UW>X0080001f00@0ZKCQ0103
O00@0g`06@Yo0P2Vc5T40:Vmj0<0>Dnm103Go/450:Vmj00308^Ae03@l>P0d?3X00@0d?3X1@2J[N@6
0;WAk0H0Yk[W0`2[`>T30:Vmj0H0ZKgW0P2X_NP30:Vmj0H0Z[gX1P2Y_NP50:Znj0H0ZKgX1P2Z_NQS
0:Vmj0030000002Y_NP0ZKgX0680ZKgX00<000000=WIf@3IfMT09@3IfMT000H0fMWI00@000000=WI
f@3IfMT00000203IfMT010000000fMWI0=WIf@00000:0=WIf@030000003IfMT0fMWI0800fMWI=P2Y
_NP2000004L0ZKgX1@2[_^P608NXj`<0aMg[202Y_NP00`0003H000110:Vmj00200`0JP80ISb:00<0
eYZD0:Vmj02Y_NP01@2Y_NP0103eYF<0000k01l5M00O1G@30=jQTPL0ZKgX0`0O0g4204lYPP80kZj9
1@2Y_NP202@7M0040:Vmj01A:X<0DBZ3054ZP`80n[]o00D0ZKgX0000D02Y_NP0001@0:Vmj00202lB
N`030:Vmj01P>H/0H3V;0080olIg0`2Y_NP00`0006X0ZKgX0:Vmj00203<LQ@0404<[S`3ndgT0o]=i
00007P8000000P2Y_NP203XkY`80jM_500<0SG2]0000C02VXm<00P0006X00`0006`0Oe:B02P>NP02
0:Vmj00304=Nb02MP[D0ZKgX00803@1/00@0ZKgX04hWP@1>9h40CRN10P1C;HD3095PU@040000D`2Y
_NP0001X0000J0<0Ab>10P1;:hP209=UVP<0=AMn101P>8T0102FLjP0001f0000MP2Y]>420103O005
01T:O`2Y]n<0ZKOS0:Vgh`1HL=000P2Y_NP203U?_@<0eok10`2Y_NP4086?f080d?3X1P2Y_NP509Z]
i0H0ZKgX1P2W^^L60:Vmj0D0ZKgW1P2Y_NP30:Zmj0T0ZKgX0P2Z_^P90:Vmj0H0Z[gX1@2Y_NP60:Zm
j5P0ZKgX00<000000:Vmj02Y_NP0HP2Y_NP00`000000fMWI0=WIf@0T0=WIf@001P3IfMT010000000
fMWI0=WIf@0000080=WIf@<000002`3IfMT00`000000fMWI0=WIf@210=WIfC80ZKgX0`00001?0:Vm
j0H0QjS[2P2Y_NP00`0003H000110:Vmj00200`0JP80ISb:00<0eYZD0:Vmj02Y_NP01@2Y_NP0103e
YF<0Jcb601l5M00O1G@30=jQTPL0ZKgX0`0O0g4204lYPP80kZj91@2Y_NP202@7M0040:Vmj01A:X<0
DBZ3054ZP`80n[]o00D0ZKgX0000D02Y_NP0001@0:Vmj00202lBN`030:Vmj01P>H/0H3V;0080olIg
102Y_NP00`0006X0ZKgX03<LQ@0203<LQ@80o]=i0`0000020:Vmj0D0>S^W00L0001<0:JSd`0006X0
001Z0000K02Y_NP0J83G0080ZKgX00<0@ek809f2]@2Y_NP00P0=06`0102Y_NP0CRN104hWP@1>9h42
05<]Q@050000CP2AH9D0TF2E0000D`2Y_NP00P0006P00`2Y_NP0Ab>104LSP@0204/[R0030000H@2C
IIX0=AMn0080=AMn101P>8T209IcZ0050000MP2Y]>4040=l05A5X`0I2Wl00`2Y]n<205Q`d0040:Vm
j00iCkd0eok10=On`@H0ZKgX1021SmP20<g[jPH0ZKgX0P2J[N@30;G<j`H0ZKgX1P2/`>P50:Vmj0H0
Z[gX7@2Y_NP60:Zmj0D0ZKgX1P2Z_NQH0:Vmj0030000002Y_NP0ZKgX0680ZKgX00<000000=WIf@3I
fMT08`3IfMT000H0fMWI00@000000=WIf@3IfMT00000203IfMT00`000000fMWI0=WIf@0;0=WIf@03
0000003IfMT0fMWI0880fMWI;P2Y_NP3000004/0ZKgX0`2Z_^P50:Vmj0<0QjS[0`2caNP90:Vmj003
0000=P000440ZKgX0080301Z0P1V?8X00`3FVY@0ZKgX0:Vmj0050:Vmj0030?FUH`1[?8H07`Ed00@0
gZ6B1`2Y_NP301l3L@80CbV20P3^[XT50:Vmj08090Md00@0ZKgX054ZP`1A:X<0DBZ30P3j^gl01@2Y
_NP0001@0:Vmj0000500ZKgX0080;a9k00<0ZKgX060iR`1P>H/00P3oaWL40:Vmj0030000JP2Y_NP0
<ab50080<ab50P3ndgT40:Jlj@030:Vmj00j>jL0>S^W0080>S^W00<0[I:j0000C02VXm<00P0006X0
0`0006`0ZKgX06R0e`0206R0e`030=gdg@2MP[D0ZKgX00803@1/00@0ZKgX04hWP@1>9h40CRN10P1C
;HD01@0004h0TF2E095PU@0005<0ZKgX0080001X00<0ZKgX04LSP@178h400P1;:hP00`000640TfFJ
03DGOP0203DGOP<0H3R900P002R`09IcZ02FLjP0001f0:Vdh@0@0g`0ZKOS01T:O`@0ZKOS101HL=02
0=Ggh`D0ZKgX0`21SmP40<g[jPD0ZKgX1P2ec>/30:Vmj0<0Yk_W1P2/`>P50:Vmj0H0Z[gX2`2Y_NP6
0:Zmj0`0ZKgX1@2Z_NP60:Vmj0<0Z[gXFP2Y_NP00`000000ZKgX0:Vmj01R0:Vmj0030000003IfMT0
fMWI02<0fMWI00060=WIf@040000003IfMT0fMWI000000P0fMWI00<000000=WIf@3IfMT02P3IfMT0
10000000fMWI0000000000230=WIfBX0ZKgX0`00001;0:Vmj0L0Z[kX1@2Y_NP60;?5j0P0ZKgX00<0
000f0000@@2Y_NP00P0<06X206HlRP030=JJU02Y_NP0ZKgX00D0ZKgX00<0mJES06/lQP0O1G@0103N
XI870:Vmj0<07`=a0P1?:H820>j^R@D0ZKgX0P0T1g@0102Y_NP0DBZ3054ZP`1A:X<20?ZkO`050:Vm
j0000500ZKgX0000D02Y_NP00P0_4W/00`2Y_NP0H3V;060iR`020?o6M`@0ZKgX00@0001Z0:Vmj00c
78D0<ab50P3ndgT00`2VMYd0Y[cY0:Jlj@030:Jlj@80>S^W0`2]T[X01@0004`0YZ?C0000JP0006X0
001/0080ZKgX0`1XP=L01@2MP[D0ZKgX00d0K00=06`0ZKgX00<0CRN10P1C;HD01@0004h0TF2E095P
U@0005<0ZKgX0080001X00<0ZKgX04LSP@178h400P1;:hP00`000640TfFJ03DGOP0203DGOP<0H3R9
00<0ZKgX09IcZ02FLjP00P0007H00`0@0g`0f?_M0:Vgh`040:Vgh`80F73@1@3Emn<50:Vmj003086?
f03=jnX0cN_Z00<0cN_Z1P2N]>L60;G<j`H0Yk_W1@2/`>P60:Vmj0<0Z[gX3P2Y_NP60:Zmj7@0ZKgX
00<000000:Vmj02Y_NP0HP2Y_NP00`000000fMWI0=WIf@0R0=WIf@001`3IfMT2000000X0fMWI0`00
00090=WIf@800000QP3IfMTV0:Vmj0<00000D02Y_NP50:Znj0H0WkSZ1P2caNP508B`l@80ZKgX00<0
000f0000@@2Y_NP00P0<06X206HlRP030=JJU02Y_NP0ZKgX00D0ZKgX00<0mJES06/lQP0O1G@0103N
XI870:Vmj0<07`=a0P1?:H800`3^[XT0ZKgX0:Vmj0040:Vmj08090Md00@0ZKgX054ZP`1A:X<0DBZ3
0P3j^gl01@2Y_NP0001@0:Vmj0000500ZKgX0080;a9k00<0ZKgX060iR`1P>H/00P3oaWL40:Vmj004
0000JP2Y_NP0<ab503<LQ@80o]=i00<0YWJM0000=02V_>T00`2V_>T50:fB^P050000C0000000001Z
0000JP0006`00P2Y_NP206R0e`030<;4f`2MP[D0ZKgX00803@1/00@0ZKgX04hWP@1>9h40CRN10P1C
;HD01@0004h0TF2E095PU@0005<0ZKgX0080001X00<0ZKgX04LSP@178h400P1;:hP00`000640TfFJ
09=UVP0203DGOP<0H3R900H0ZKgX09IcZ02FLjP0001f0=Skg@0@0g`20=Skg@@0ZKOS1@3Emn<30:Vj
i@@0PIcT103=jnX30:Vji@H0W[CW1P2Y_>L50:Nkiad0ZKgX0`2Z_NQg0:Vmj0030000002Y_NP0ZKgX
0680ZKgX00<000000=WIf@3IfMT08@3IfMT001l0fMWI00<000000=WIf@3IfMT0Q`3IfMTQ0:Vmj0<0
0000F@2Y_NP609nhjPH0[L7Y1024/?420:Vmj0030000=P000440ZKgX0080301Z0P1V?8X00`3FVY@0
ZKgX0:Vmj0050:Vmj0030?FUH`1[?8H07`Ed00<0gZ6B00<0_J8A0:Vmj02Y_NP01@2Y_NP301l3L@80
CbV200<0kZj90:Vmj02Y_NP0102Y_NP202@7M0040:Vmj01A:X<0DBZ3054ZP`80n[]o00D0ZKgX0000
D02Y_NP0001@0:Vmj00302lBN`80H3V;00<0olIg0:Vmj02Y_NP00`2Y_NP0100006X0ZKgX03<LQ@0c
78D20?kCN@030:IfW@0003@0000d00<0Y[cY00<0Ac>E0:fB^P2]T[X00P2]T[X01@0004`000000000
JP030780001/0080LZ?_0`32a=/01@2MP[D0ZKgX00d0K00=06`0ZKgX00<0CRN10P1C;HD00`0004h0
TF2E095PU@020000D`80001X00<0ZKgX04LSP@178h400P1;:hP00`000640TfFJ09=UVP0203DGOP<0
H3R900H0GX_U0=Skg@2FLjP0001f0:>`hP0@0g`30:>`hPH0N9GR1@2Y^^D6086Li0H0ZK[U0`2N]>L3
0:o4jPH0ZKcW0P2W^nL30:c0j0H0ZKgX1P2Z_^R;0:Vmj0030000002Y_NP0ZKgX0640ZKgX00<00000
0=WIf@3IfMT08@3IfMT001l0fMWI00<000000=WIf@3IfMT0R03IfMTM0:Vmj0<00000E@2Y_NP30:Zm
j0D0ZKgX0`2O^>X30:Rmj0H0[L7Y0`24/?420:Vmj0030000=P000440ZKgX0080301Z0P1V?8X00`3F
VY@0ZKgX0:Vmj0050:Vmj0030?FUH`1[?8H07`Ed00<0gZ6B1`2Y_NP0100003T07`=a01l3L@0O0g42
04lYPP030>j^R@2Y_NP0ZKgX00@0ZKgX0P0T1g@0102Y_NP0DBZ3054ZP`0000020?ZkO`050:Vmj000
0500ZKgX0000D02Y_NP00`0_4W/00`1P>H/0;a9k0?o6M`050:Vmj0040000JP2Y_NP0<ab503<LQ@80
o]=i00@0YWJM0:Vmj02Y_NP0ZKgX0P2V_>T00`17<iD0[I:j0:fB^P020:fB^P050000C03Gmn40001Z
0=Ogh@0006`0101bXnl00`32a=/0WH:e0:Vmj00200d0K0040:Vmj01>9h40CRN104hWP@<0Dbf50P2A
H9D20000D`80001X00<0ZKgX04LSP@178h400P1;:hP00`000640TfFJ09=UVP0203DGOP<0H3R900H0
GX_U0;_Dk02FLjP0001f0:>`hP0@0g`30:>`hPD0N9GR0P35hN`50:Vji@<0PIcT0`2leN`60:Vji@H0
[lCZ1@2Y_>L60:c0j0H0ZKgX1P2Z_^R:0:Vmj0030000002Y_NP0ZKgX0680ZKgX00<000000=WIf@3I
fMT0803IfMT001l0fMWI00<000000=WIf@3IfMT0R@3IfMTI0:Vmj0<00000EP2Y_NP60:Zmj0D0ZKgX
1P2X_NP30:g1j@<0ZKgX00L0AW_P08B`l@2Y_NP0ZKgX0000=P000440ZKgX0080301Z0P1V?8X00`3F
VY@0ZKgX0:Vmj0050:Vmj0030?FUH`1[?8H07`Ed00<0gZ6B1`2Y_NP0100003T07`=a01l3L@0O0g42
04lYPP030>j^R@2Y_NP0ZKgX00@0ZKgX0P0T1g@0102Y_NP0DBZ3054ZP`0T1g@20?ZkO`030:Vmj000
0500ZKgX00<0ZKgX0P0_4W/00`1P>H/0;a9k0?o6M`050:Vmj080001Z0P0c78D00`3ndgT0YWJM0:If
W@030:Vmj080Y[cY0P17<iD30:fB^P050000C03Gmn40001Z0=Ogh@0006`01@1bXnl01@2MP[D0ZKgX
00d0K00=06`0ZKgX00<0CRN10`1C;HD2095PU@80001C0P0006P00`2Y_NP0Ab>104LSP@0204/[R003
0000H@2CIIX0TfFJ0080=AMn0`1P>8T20;_Dk00409IcZ00007H0^mC/0103O0@0Xk3R0P1hUN850<GQ
k0@0ZK[U1`2leN`60:Nmj@D0[lCZ1P2Y_NP60:c0j0H0ZKgX1@2Z_^R;0:Vmj0030000002Y_NP0ZKgX
0680ZKgX00<000000=WIf@3IfMT07`3IfMT001l0fMWI00<000000=WIf@3IfMT0RP3IfMTE0:Vmj0<0
0000FP2Y_NP60:Zmj0H0YkcX1@2X_NP60:Vmj080AW_P00@0ZKgX0000=P000440ZKgX0P0<06X00`1V
?8X0eYZD0=JJU0070:Vmj0030?FUH`1[?8H0gZ6B00<0gZ6B1`2Y_NP01@0003T07`=a01l3L@0O0g40
CbV20080kZj91P2Y_NP302@7M080DBZ30P3j^gl20:Vmj0030000D02Y_NP0ZKgX0080ZKgX0P0_4W/0
0`1P>H/0olIg0?o6M`050:Vmj080001Z00@0<ab50?kCN@3ndgT0YWJM102Y_NP20:Jlj@80Ac>E0P2]
T[X30=Ogh@040000JP2U_>T0001/0:Flj@@0RXW<00<0WH:e0:Vmj00=06`00P0=06`304hWP@<0Dbf5
0P2AH9D20000D`050:Vmj00006P0ZKgX04LSP@2ec>/00P1;:hP00`000640TfFJ09=UVP0203DGOP<0
H3R90`2ke>`00`0007H0^mC/0;_Dk0040:>`hPL0aN7/1P2H]^d30;cEk0<0Y[OU1P2W_NT50:Rkij80
ZKgX00<000000:Vmj02Y_NP0H@2Y_NP00`000000fMWI0=WIf@0O0=WIf@007P3IfMT00`000000fMWI
0=WIf@2<0=WIfA80ZKgX0P00001T0:Vmj0H0YkcX1@2/_nP60:Vmj00504Ikh02Y_NP0000f0000@@2Y
_NP00P0<06X00`1V?8X0eYZD0:Vmj0070:Vmj0030?FUH`1[?8H0Jcb600<0gZ6B1`2Y_NP01@0003T0
7`=a01l3L@0O0g40CbV20080kZj91P2Y_NP302@7M080DBZ30P3j^gl20:Vmj0050000D02Y_NP0ZKgX
0000D02Y_NP00P0_4W/00`1P>H/0olIg0?o6M`050:Vmj080001Z00D0<ab50?kCN@2VMYd0YWJM0000
?@030:Vmj003010<QP2V_>T0Ac>E0080Ac>E00D0[I:j0?GTP@3ei840YKcY0000JP030:Flj@@0RXW<
00<0WH:e0:Vmj00=06`00P0=06`304hWP@<0Dbf500T0001>095PU@0005<0001C0:Vmj00006P0ZKgX
04LSP@2R`Nh00`1;:hP010000640TfFJ03DGOP090703060hR@040:;1k`2M/^L0WK;W0000MP<0WK;W
1@2E^O060:Jfi0H0V;K]1P2V]nD30:Nmj@<0[<3Y1@2X^nL30:Vmj0<0ZkoX1P2Y_NP50:Zmj940ZKgX
00<000000:Vmj02Y_NP0H@2Y_NP00`000000fMWI0=WIf@0N0=WIf@007P3IfMT00`000000fMWI0=WI
f@2=0=WIf@h0ZKgX0`00001W0:Vmj0<0YkcX0`2X_>P50:boj0D0ZKgX00D0`=7W0:Vmj00003H00011
0:Vmj00200`0JP0306HlRP3FVY@0ZKgX00L0ZKgX00<0mJES06/lQP1[?8H00`3NXI870:Vmj0050000
>@0O0g407`=a01l3L@1?:H800P3^[XT60:Vmj0<090Md0P1A:X<20?ZkO`80ZKgX00D0001@0:Vmj02Y
_NP0001@0:Vmj00202lBN`03060iR`3oaWL0olIg00D0ZKgX0P0006X0100c78D0o]=i0:IfW@2VMYd4
0:Vmj003010<QP2V_>T0Ac>E0080Ac>E00D0[I:j0?GTP@3ei84000000000JP040:Flj@<0RXW<00<0
WH:e0:Vmj02Y_NP00P0=06`304hWP@<0Dbf500T0001>095PU@0005<0001C0:Vmj00006P0ZKgX04LS
P@2Y_NP00`1;:hP01@000640TfFJ03DGOP09070000000080H3R90P2_a>T609fbi`80UKW`0`2bb>/6
0:Jfi0H0[L;Y1@2V]nD70:c0j@D0Z;_W1P2[_nP60:Vmj0D0Z[gXT02Y_NP00`000000ZKgX0:Vmj01Q
0:Vmj0030000003IfMT0fMWI01h0fMWI000N0=WIf@030000003IfMT0fMWI08h0fMWI2P2Y_NP30000
06X0ZKgX1`2X_>P20:boj0<0ZKgX1@2=[n`0102Y_NP0000f0000@@2Y_NP200`0JP0306HlRP3FVY@0
CIG`00L0ZKgX00<0mJES06/lQP1[?8H00`3NXI870:Vmj0050000>@0O0g407`=a01l3L@1?:H800P3^
[XT60:Vmj0<090Md0P1A:X<20?ZkO`80ZKgX00D0001@0:Vmj02Y_NP0001@0:Vmj00202lBN`03060i
R`3oaWL0olIg00D0ZKgX0P0006X0100c78D0YWJM0:IfW@2VMYd40:Vmj003010<QP2V_>T0Y[cY0080
Ac>E0P3ei842000000030000JP2U_>T0YKcY0080YKcY0`2:RL`00`2MP[D0ZKgX0:Vmj00200d0K0<0
CRN10`1C;HD0200004h0TF2E0000D`0005<0ZKgX0000J02Y_NP0Ab>10P2Y_NP204/[R0050000H@2C
IIX0=AMn00T0L00000000P1P>8T30:o4j@D0WK;W1P2bb>/30:Jfi0<0[LG/1P2]`^T20:Jgi@<0[L?Z
1P2/`>T60:Znj@D0ZkoX1`2Y_NP50:Zmj900ZKgX00<000000:Vmj02Y_NP0H@2Y_NP00`000000fMWI
0=WIf@0M0=WIf@007P3IfMT3000008l0fMWI1P2Y_NP3000006l0ZKgX1@2X_>P60:Vmj0@0SJo/00@0
ZKgX0000=P000440ZKgX0P0<06X0101V?8X0eYZD04fEl01=UO060:Vmj0030?FUH`1[?8H0Jcb600<0
gZ6B1`2Y_NP01@0003T07`=a01l3L@0O0g40CbV20080kZj91P2Y_NP302@7M080DBZ30P3j^gl20:Vm
j0050000D02Y_NP0ZKgX0000D02Y_NP00P0_4W/00`1P>H/0olIg0?o6M`050:Vmj0030000JP2VMYd0
<ab500<0YWJM102Y_NP00`0@38H0Y[cY0:Jlj@0204LcU@80mNB100@000000:Vmj00006X0ZKgX0P1`
NL`20:Flj@0508Z9c03Nm]`0WH:e0000;02Y_NP00P0=06`304hWP@<0Dbf500D0001>095PU@0005<0
605d0:Vmj0020000J00304LSP@2Y_NP0ZKgX0080Bb^800D0001Q09=UVP0e5gh02@1`00000002060h
R@@0[lCY1@2W`nh60;;8j`H0[LG/1@2]`^T60:g3jP<0[<3Y0`2X^nL60:Znj@D0ZKgWW02Y_NP00`00
0000ZKgX0:Vmj01Q0:Vmj0030000003IfMT0fMWI01`0fMWI000N0=WIf@030000003IfMT0fMWI0900
fMWI00<000000:Vmj00000000P00001c0:Vmj0H0Z[kX1@2Y_NP30:Rmj@040:Vmj00003H000110:Vm
j080301Z00@0ISb:0=JJU01=UO00CIG`1P2Y_NP00`3eYF<0Jcb606/lQP030=jQTPL0ZKgX00D0000i
01l3L@0O0g407`=a04lYPP020>j^R@H0ZKgX0`0T1g@2054ZP`80n[]o0P2Y_NP01@000500ZKgX0:Vm
j0000500ZKgX0080;a9k00<0H3V;0?o6M`2@GI001@2Y_NP60:IfW@80ZKgX00D0001/0:Vmj00@38H0
40b60:Jlj@0204LcU@060?GTP@2Y_NP0ZKgX0:Vmj00006X0ZKgX101`NL`20=kfg00309f2]@0002`0
ZKgX00803@1/00<0ZKgX04hWP@1>9h400`1C;HD01@0004h0TF2E0000D`0H0G@0ZKgX0080001X00<0
Ab>10::hj02R^>P00P1;:hP01@000640TfFJ03DGOP09070000000080H3R91@2S]nL50:O3kPH0X[KV
1P2]aN`50:Bhi`H0[L?Z1P2X^nL30:Znj@<0Z[gX1@2Y_NNK0:Vmj0030000002Y_NP0ZKgX0640ZKgX
00<000000=WIf@3IfMT0703IfMT001h0fMWI00<000000=WIf@3IfMT0S`3IfMT3000007L0ZKgX1P2Z
_^P50:Bkj@80Z;gY00@0ZKgX0000=P000440ZKgX0P0<06X0101V?8X0eYZD0:Vmj000?/460:Vmj003
0?FUH`1[?8H0Jcb60080gZ6B00<0Jcb60:Vmj02Y_NP01@2Y_NP01@0003T07`=a01l3L@0O0g40CbV2
0080kZj91P2Y_NP302@7M080DBZ30P3j^gl20:Vmj0050000D02Y_NP0ZKgX0000D02Y_NP00`0_4W/0
0`3oaWL0ZKgX0:Vmj0040:Vmj00302dAN`2VMYd0YWJM00<0YWJM0P2Y_NP01@0006`0ZKgX010<QP0@
38H0Y[cY0080Ac>E00D0mNB10000002Y_NP0ZKgX0000JP020:Vmj0@0L7W<00@0en?O09f2]@0002`0
ZKgX0P0=06`00`2Y_NP0CRN104hWP@0305<]Q@050000CP2AH9D0001C01P1M02Y_NP00P0006P00`17
8h40X[SX0::hj00204/[R0050000H@2CIIX0=AMn00T0L00000000P1P>8T60:>gi`D0ZKgX1P2R]^H6
0:Vmj0D0Y;SW1P2Z_^P50:Rki`L0Z[gX1@2Y_NNK0:Vmj0030000002Y_NP0ZKgX0640ZKgX0P00000L
0=WIf@007@3IfMT00`000000fMWI0=WIf@2=0=WIf@<00000103IfMUg0:Vmj0<0Z[kX0`2Y_NP50:Bk
j@050:Rmj@2Y_NP0000f0000@@2Y_NP00P0<06X01@1V?8X0eYZD0:Vmj02Y_NP003k100D0ZKgX00<0
mJES06/lQP1[?8H00P3NXI800`1[?8H0ZKgX0:Vmj0050:Vmj0050000>@0O0g407`=a01l3L@1?:H80
0P3^[XT50:Vmj0040000@@0T1g@090Md02@7M080DBZ30P3j^gl20:Vmj0050000D02Y_NP0ZKgX0000
D02Y_NP00`0_4W/00`3oaWL0ZKgX0:Vmj0040:Vmj00302dAN`2VMYd0YWJM00<0YWJM00<0^]a`0:Vm
j02Y_NP00P2Y_NP01@0@38H0Y[cY04LcU@3ei840Z9W60080000000@0ZKgX0000JP2Y_NP0ZKgX0`1`
NL`30=OSg`050000;02Y_NP03@1/00d0K02Y_NP00P1>9h4305<]Q@090000CP2AH9D0001C01P1M02Y
_NP0001X03TKP0178h40ZKgX0080X[SX00H0Bb^80000H@2CIIX0=AMn00T0L0000002060hR@040:^n
j02S]nL0XkOW0:>gi`<0[L;Y1@2Y_NP30::fiP<0[lCY1P2Y_NP20:Bhi`<0[<;Y1P2Z_^P60:^oj0D0
Z[gX1P2Z_^RK0:Vmj0030000002Y_NP0ZKgX0640ZKgX00<000000=WIf@3IfMT06P3IfMT001d0fMWI
00<000000=WIf@3IfMT0RP3IfMT3000000P0fMWIO@2Y_NP50:Bkj@040:Vmj00003H000110:Vmj080
301Z0P3FVY@80:Vmj0060?FUH`1[?8H0Jcb606/lQP3NXI80Jcb61`2Y_NP01P0003T07`=a01l3L@0O
0g40CbV20>j^R@H0ZKgX00H0001102@7M00T1g@090Md054ZP`0000020?ZkO`80ZKgX00D0001@0:Vm
j02Y_NP0001@0:Vmj00302lBN`030?o6M`2Y_NP0ZKgX00@0ZKgX00<0;A5k0:IfW@2VMYd00`2VMYd0
0`2jg700ZKgX0:Vmj0020:Vmj08040b600<0Ac>E0?GTP@0000000`2Y_NP01@0006X0I7oI0:Vmj02Y
_NP0L7W<00@0en?O00D0000/0:Vmj00=06`03@1/0:Vmj00204hWP@<0Dbf500T0001>095PU@0005<0
605d0:Vmj00006P0>A^004LSP@2Y_NP00P2/`>T01`1;:hP0001Q09=UVP0e5gh02@1`0000001P>8T0
0`2[_^P60:g2j@D0ZKgX1P2_a>T50:Vmj0H0[<;Y0`2Z_^P30:Rli`H0ZkoX1@2Y_NP60:Znj9/0ZKgX
00<000000:Vmj02Y_NP0H02Y_NP00`000000fMWI0=WIf@0J0=WIf@007@3IfMT00`000000fMWI0=WI
f@270=WIf@<00000303IfMUl0:Vmj0D0Y[_Y00@0ZKgX0000=P000440ZKgX0P0<06X20=JJU0P0ZKgX
00H0mJES06/lQP1[?8H0Jcb60=jQTP1[?8H70:Vmj0040000>@0O0g407`=a01l3L@80kZj91P2Y_NP0
1P00044090Md02@7M00T1g@0DBZ302@7M080n[]o0P2Y_NP01@000500ZKgX0:Vmj0000500ZKgX00<0
;a9k00<0olIg0:Vmj02Y_NP00P2Y_NP00`0005l0ZKgX02dAN`040:IfW@<0Y[cY00<0ZKgX0000K02Y
_NP00P0@38H00`17<iD0Z9W60:Vmj0040:Vmj0<0I7oI103Ghml00`37hn`0000/0:Vmj00200d0K003
0:Vmj01>9h40CRN100<0Dbf500P0ZKgX0000B00005<0605d0:Vmj00006P0ZKgX04LSP@80Y[[X00P0
[<3Y04/[R0000640000k03DGOP0907000000060hR@@0YKWW1@2]`^T60:Bij0D0[lCY1P2V^^P60:c2
j@H0Z;cW0`2[_nP80:Vmj0<0Z[kXW@2Y_NP00`000000ZKgX0:Vmj01Q0:Vmj0030000003IfMT0fMWI
01T0fMWI000M0=WIf@030000003IfMT0fMWI08D0fMWI0P00000@0=WIfG`0ZKgX102V^nT01P2Y_NP0
000f0000@@2Y_NP0301Z0=fj=P80eYZD0`1gXNd50:Vmj0060?FUH`1[?8H0Jcb606/lQP3NXI80Jcb6
1`2Y_NP0100003T07`=a01l3L@0O0g420>j^R@H0ZKgX00D0001102@7M00T1g@090Md054ZP`030?Zk
O`80ZKgX00D0001@0:Vmj02Y_NP0001@0:Vmj00202lBN`80olIg102Y_NP00`0005l0ZKgX02dAN`04
0:IfW@<0Y[cY00<0ZKgX0000K02Y_NP00P0@38H00`17<iD0]/Q<0:Vmj0040:Vmj0D0I7oI0`37hn`0
1@0002`0ZKgX00d0K00=06`0ZKgX0080CRN10`1C;HD0202Y_NP000180000D`0H0G@0ZKgX0000J02V
^^P0Ab>10`2V^^P01`2/`>T0001Q0000>`0e5gh02@1`0000001P>8T01@2U^NL50:Vmi`H0Y;WX1@2Y
_NP60:Jjj0H0ZKgX1@2X_>N/0:Vmj0030000002Y_NP0ZKgX0640ZKgX00<000000=WIf@3IfMT0603I
fMT001d0fMWI00<000000=WIf@3IfMT0PP3IfMT3000001<0fMWIO02Y_NP30:Jkj@080:Vmj00003H0
00110:Vmj00<06X0gKXf0=JJU02Y_NP307NQk@D0ZKgX00H0mJES06/lQP1[?8H0Jcb60=jQTP3/ZXP7
0:Vmj0040000>@0O0g407`=a01l3L@80kZj91P2Y_NP01@00044090Md02@7M00T1g@0DBZ30080n[]o
0`2Y_NP01@000500ZKgX0:Vmj0000500ZKgX0080;a9k0P3oaWL40:Vmj0030000G`2Y_NP0;A5k00@0
YWJM0`2V_>T00`0J7ID0001/0:Vmj002010<QP030:RIaP2fb4`0]/Q<00D0ZKgX0P1TOmT50:njh@05
0000;02Y_NP03@1/00d0K02Y_NP00P1>9h4305<]Q@0809nai@0004P0001C01P1M02Y_NP0001X0:Jj
j0178h440:Jjj0030000H@0003/0=AMn00802@1`00@0H3R90:Fii`2U^NL0YKWW0`2/_nP50:Vmi`<0
Y;WX0`2/`>P50:Vmj0<0Y[[X0`2[_nP60:Vmj0D0ZkkX1P2Y_NP60:Znj:00ZKgX00<000000:Vmj02Y
_NP0H02Y_NP00`000000fMWI0=WIf@0H0=WIf@007@3IfMT00`000000fMWI0=WIf@1o0=WIf@<00000
5`3IfMUl0:Vmj080ZkoX00L0`YX80000=P000440ZKgX00`0JP3M^SH0eYZD0080ZKgX0P2X_nX50:Vm
j0060?FUH`1[?8H0Jcb606/lQP3NXI80k:Z81`2Y_NP0100003T07`=a01l3L@0O0g420>j^R@H0ZKgX
00D0001102@7M00T1g@090Md054ZP`020?ZkO`<0ZKgX00D0001@0:Vmj02Y_NP0001@0:Vmj00202lB
N`80olIg102Y_NP0100005l0ZKgX02dAN`0]4G/30:IfW@<0Y[cY00L06QfE0:RIaP2XVLH040b60?GT
P@2XVLH0]/Q<0080b>?[101fY_060:njh@030=7_j00002`0ZKgX00803@1/00<0ZKgX04hWP@1C;HD0
0P1C;HD20;74j0070000B00005<0605d01P1M00006P0ZkoX04LSP@040:^mi`030000H@2Z_NL0=AMn
00802@1`00<0H3R90:boj02/_nP01@2/_nP50:Vmi`H0[<3X1@2Y_NP60:^oj0<0ZKgX0`2X_>P50:^n
j0H0ZKgX1P2Z_^RP0:Vmj0030000002Y_NP0ZKgX0600ZKgX00<000000=WIf@3IfMT05`3IfMT001d0
fMWI0`00001l0=WIf@<000006`3IfMUg0:Vmj0D0Z;cX00P0ZkoX0<:J200003H000110:Vmj00<06X0
gKXf0=JJU0@0X;W[1@2Y_NP01P3eYF<0Jcb606/lQP1[?8H0gZ6B0>bZR0L0ZKgX00@0000i01l3L@0O
0g407`=a0P3^[XT60:Vmj0050000@@0T1g@090Md02@7M01A:X<00P3j^gl30:Vmj0050000D02Y_NP0
7`9a0000D02Y_NP00P0_4W/00`3oaWL0T5f@0:Vmj0030:Vmj0040000G`2Y_NP0;A5k02dAN`<0YWJM
00T0ZKgX0:Jlj@2V_>T0Y[cY01XMU@2XVLH040b60:RIaP2fb4`01038hn/407JVl0@0[k[Q0P3AknP0
1P0002`0ZKgX00d0K00=06`0ZKgX04hWP@<0Dbf50P2aa>P01`0004P0001C01P1M00H0G@0001X0:Rk
i`178h401P2[_NL01@0e5gh02@1`00T0L01P>8T0Z;_W00H0[;oX1P2W^nL50:c0j0H0Z;_W1@2[_nP7
0:Rlj080ZkkX2@2Y_NP30:Znj:80ZKgX00<000000:Vmj02Y_NP0H@2Y_NP00`000000fMWI0=WIf@0F
0=WIf@00703IfMT2000007/0fMWI0`00000O0=WIfGL0ZKgX1@2X_>P01@32VPP0000f0000@@2Y_NP0
301Z0080eYZD102P^N/40:Vmj00300`0I`3eYF<0Jcb60080Jcb600<0gZ6B0:Vmj02Y_NP01P2Y_NP0
100003T07`=a01l3L@0O0g420>j^R@H0ZKgX00D0001102@7M00T1g@090Md054ZP`020?ZkO`<0ZKgX
00D0001@0:Vmj00O0W40001@0:Vmj00202lBN`030?o6M`2@GI00ZKgX00<0ZKgX00@0001O0:Vmj00]
4G/0;A5k0`2VMYd0202Y_NP000JA0:Jlj@2V_>T06QfE0:RIaP0@38H0Z9W61P38hn/407JVl080[k[Q
0`3AknP01P0002`0ZKgX00d0K00=06`0ZKgX04hWP@<0Dbf50P2aa>P0200004P0001C01P1M00H0G@0
001X0:Rki`178h40Z;_W1@2[_NL0100e5gh02@1`00T0L01P>8T20:Rki`<0[;oX0`2Z_>H60:Nki`D0
Z[cW1P2X^nL60:Vmi`D0Z;cX/@2Y_NP00`000000ZKgX0:Vmj01P0:Vmj0030000003IfMT0fMWI01H0
fMWI000L0=WIf@030000003IfMT0fMWI07L0fMWI0`00000S0=WIfGL0ZKgX0P2X_>P20:Zmj0050<:J
200003H000110:Vmj00<06X00P3FVY@30:2ij`030:Bkj@2Y_NP0ZKgX0080ZKgX00<0301W0?FUH`1[
?8H00`1[?8H80:Vmj0040000>@0O0g407`=a01l3L@80kZj91P2Y_NP01@00044090Md02@7M00T1g@0
DBZ30080n[]o0`2Y_NP00`000500ZKgX01l2L@020000D080;a9k00<0olIg091MT02Y_NP00`2Y_NP0
100005l0ZKgX02dAN`0]4G/30:IfW@80ZKgX0P2V_>T201XMU@030:RIaP3]m/D0kOK500H0YkcY0`22
T=P30=7_j080ZKgX00H0000/0:Vmj00=06`03@1/0:Vmj01>9h4205<]Q@050:2di`2^`nT0[/?Y0000
B00005<00P0H0G@00`0006P0Z;_W04LSP@020:Rki`@0ZkgW00@0=AMn00T0L02X^nL0H3R90`2X^nL6
0:ZliP<0Yk_W0`2[_^L50:Zli`<0Z;_W0`2[_^P60:Vmi`D0Z[kX1P2Y_NP50:Zmj:H0ZKgX00<00000
0:Vmj02Y_NP0H02Y_NP00`000000fMWI0=WIf@0E0=WIf@00703IfMT00`000000fMWI0=WIf@1d0=WI
f@<000009`3IfMUf0:Vmj0@0Z[gX00D0`YX80000=P000440ZKgX00`0JP020=JJU0@0Y;_Y102Y_NP0
0`0<06L0mJES06/lQP0306/lQP03072Mk02Y_NP0ZKgX00D0ZKgX00@0000i01l3L@0O0g407`=a0P3^
[XT60:Vmj0050000@@0T1g@090Md02@7M01A:X<00P3j^gl30:Vmj0030000D02Y_NP07`9a0080001@
0P0_4W/00`3oaWL0T5f@0:Vmj0030:Vmj0040000G`2Y_NP0;A5k02dAN`<0YWJM0P2Y_NP01@001Y40
Y[cY01XMU@0J7ID0Z9W60080kOK500<0fogH0:Nlj@2W_>T00`2W_>T508:@f080c^KX00<0ZKgX0000
;02Y_NP00P0=06`0102Y_NP0CRN105<]Q@1C;HD20:^mi`030:k3j@0004P0ZKgX0080605d00<0001X
0:VkiP178h400`2Y^nH30:^mi`0403DGOP090700ZkgW060hR@@0ZkgW1@2Z_>H70:^ni`D0Z[cW1P2[
_^P30:Vmi`<0ZKgX1@2Z_^P60:Vmj0D0Z[gXY@2Y_NP00`000000ZKgX0:Vmj01N0:Vmj0030000003I
fMT0000001L0fMWI000L0=WIf@030000003IfMT0fMWI0740fMWI0`00000[0=WIfGL0ZKgX0P2Z_NP0
1@32VPP0000f0000@@2Y_NP0301Z0080eYZD0P2X_NP20:Bkj@@0ZKgX00<0301W0?FUH`1[?8H00`1[
?8H00`1`WN`0ZKgX0:Vmj0050:Vmj0030000>@0O0g407`=a00<0kZj91P2Y_NP01@00044090Md02@7
M00T1g@0DBZ30080n[]o0`2Y_NP00`000500ZKgX01l2L@020000D080;a9k00<0olIg091MT02Y_NP0
0`2Y_NP0100005l0ZKgX02dAN`0]4G/20:IfW@03000Y/P2Y_NP0ZKgX008000JA00@0Y[cY01XMU@0J
7ID0kOK50`3KoMP50:Nlj@80PY3H1@3>i^P01P0002`0ZKgX00d0K00=06`0ZKgX04hWP@80Dbf50`2[
_NL01`0004P0ZKgX01P1M02X^nL0001X0:VkiP178h40102Y^nH20:^mi`040:Vmj0090700Z[cW060h
R@D0ZkgW1P2Z_>L50:^ni`H0Z[cW1@2[_^P70:Vmj0@0Z[kX1`2Y_NP20:Zmj:P0ZKgX00<000000:Vm
j02Y_NP0F`2Y_NP40=WIf@030000003IfMT0fMWI01D0fMWI000L0=WIf@030000003IfMT0fMWI06h0
fMWI0`00000_0=WIf@030000002Y_NP0ZKgX07D0ZKgX00D0gJfU0000=P000440ZKgX00`0JP020=JJ
U0<0Z;gX00<0[<3X0:Vmj02Y_NP00P2Y_NP00`0<06L0mJES06/lQP0306/lQP80Z/7Z1P2Y_NP00`00
03T07`=a01l3L@030>j^R@H0ZKgX00<0001102@7M00T1g@00P0T1g@20?ZkO`<0ZKgX00<0001@0:Vm
j00O0W400P00050202lBN`040?o6M`2@GI00ZKgX0000<@80ZKgX00@0001O0:Vmj00]4G/0;A5k0P2V
MYd0202Y_NP002Vb0:Vmj02Y_NP000JA0:Jlj@0J7ID0kOK51@3KoMP40:Nlj@L0c^KX00L0000/0:Vm
j00=06`03@1/0:>ij01>9h40Dbf500@0ZkgW00H000180:Vmj00H0G@0Z;_W0000J02X^nL50:VkiP80
Z[cW00@0ZKgX00T0L02Z_>L0H3R90`2[_NL30:ZkiPH0Z[cW1@2Z_>H<0:Zli`D0ZKgX1P2Y_NN`0:Vm
j0030000002Y_NP0ZKgX05D0ZKgX00<000000=WIf@3IfMT01P3IfMT00`000000fMWI0=WIf@0E0=WI
f@00703IfMT00`000000fMWI0=WIf@1/0=WIf@800000<`3IfMT00`000000ZKgX0:Vmj01e0:Vmj004
0000=P000440ZKgX00`0JP80eYZD00@0Z;gX0:Nlj02W_>P0YkcX102Y_NP00`0<06L0mJES06/lQP03
06/lQP0309jij`2Z`NX0ZKgX00D0ZKgX00<0000i01l3L@0O0g400`3^[XT60:Vmj0040000@@0T1g@0
90Md02@7M0<0n[]o0`2Y_NP00`000500ZKgX01l2L@020000D080;a9k00<0olIg091MT02Y_NP00`2Y
_NP00`0005l0ZKgX02dAN`0202dAN`080:IfW@2Y_NP002Vb000Y/P2Y_NP000JA0>gfa@0J7ID20=_m
f0D0ZKgX1P1oUn040:o4j@070000;02Y_NP03@1/00d0K02S^NP0CRN105<]Q@050;33j0040:Vmj00H
0G@0Z;_W0000J080Z;_W1@2[_>H20:Zli`0400T0L02Z_>L0H3R90:Zli`H0Z[_V0`2Z_>L30:^liPD0
Z[cV0`2Z_>L30:^mi`H0Z[cW1@2Z_NL60:Vmi`D0Z[gXZ`2Y_NP00`000000ZKgX0:Vmj01?0:Vmj0<0
0000303IfMT00`000000fMWI0=WIf@0D0=WIf@006`3IfMT00`000000fMWI0=WIf@1Z0=WIf@<00000
=P3IfMT00`000000ZKgX0:Vmj01d0:Vmj0040000=P000440ZKgX0=fj=P80eYZD102W_>P40:Vmj003
00`0I`3eYF<0Jcb600<0Jcb60P2N^N/60:Vmj0030000>@0O0g407`=a00<0kZj91P2Y_NP010000440
90Md02@7M00T1g@30?ZkO`<0ZKgX00<0001@0:Vmj00O0W400P0005000`0_4W/0olIg0?o6M`050:Vm
j0030000G`2Y_NP0;A5k0080;A5k00<0YWJM0:Vmj02Y_NP00P00:K820>gfa@80VK3X0P3InMh40:Vm
j0D0OiOP0P2lcnP30:o4j@060000;02Y_NP03@1/00d0K02S^NP0CRN10P2U]nH40;33j0040:Vmj00H
0G@0Z;WV0000J0<0Z;WV1@2[_>H0102[^nH02@1`0:^kiP1P>8T20:^kiPD0Z[_V1`2[_>H40:ZliPL0
ZkgW0`2Z_>L80:Zmi`<0ZKgW202Z_NRZ0:Vmj0030000002Y_NP0ZKgX04d0ZKgX0P00000?0=WIf@03
0000003IfMT0fMWI01@0fMWI000K0=WIf@030000003IfMT0fMWI00800000I@3IfMT3000003X0fMWI
00<000000:Vmj02Y_NP0L`2Y_NP01P0003H000110:Vmj03M^SH0eYZD0:Vmj0@0YkcX102Y_NP00`0<
06L0mJES06/lQP0306/lQP80W[W[1P2Y_NP00`0003T07`=a01l3L@020>j^R@0302UQe02Y_NP0ZKgX
00@0ZKgX00@0001102@7M00T1g@090Md0`3j^gl30:Vmj0030000D02Y_NP07`9a0080001@00D0;a9k
0?o6M`2@GI00ZKgX0<M@00030:Vmj0030000G`2Y_NP0;A5k0080;A5k00<0YWJM05RJl@1HV_401@2I
/>P40=WigP@0ZKgX0P1oUn050;c?j080[lCY00H0000/0:Vmj00=06`03@1/0:FgiP1>9h430:FgiP80
/<?X0P2Y_>L00`0H0G@0Z;WV0000J0040:RiiP80ZkcV0`2[^nH00`090700Zk_V060hR@030:^kiPD0
Zk_U302[_>H50:^mi`/0Z[gW2@2Z_NR]0:Vmj0030000002Y_NP0ZKgX04X0ZKgX4`3IfMT00`000000
fMWI0=WIf@0D0=WIf@006`3IfMT3000006@0fMWI0`00000o0=WIfG@0ZKgX00<0000f0000@@2Y_NP0
0P3FVY@20:Vmj0<0Z[gX102Y_NP00`0<06L0mJES06/lQP0306/lQP80Y;[Y1P2Y_NP00`0003T07`=a
01l3L@020>j^R@030<SKi`2Y_NP0ZKgX00@0ZKgX00@0001102@7M00T1g@090Md0`3j^gl30:Vmj003
0000D02Y_NP07`9a0080001@00D0;a9k0?o6M`2@GI00ZKgX0000Q0030:Vmj0030000G`2Y_NP0;A5k
0080;A5k00@0YWJM05RJl@1HV_40F9[a0`2I/>P50=WigP@0ZKgX1`2lcnP30:Nlj@050:Vmj00=06`0
3@1/0:FgiP1>9h400`2U]nH40:Vli`0301P1M02Y_>L0001X00@0Z;WV1@2[^nH010090700Zk_V0:^k
iP2[^nH80:^ki@<0ZkcV0`2[^nD;0:^liP/0Z[gW1P2Z_NR`0:Vmj0030000002Y_NP0ZKgX04@0ZKgX
0P00000F0=WIf@030000003IfMT0fMWI01@0fMWI000K0=WIf@030000003IfMT0fMWI0640fMWI0`00
00130=WIfG<0ZKgX00<0000f0=JJU02Y_NP00P3FVY@30:Vmj080Z[gX102Y_NP00`0<06L0mJES06/l
QP0306/lQP80Y;[Y1@2Y_NP010000540000i01l3L@0O0g420>j^R@0308:Vj`2Y_NP0ZKgX00@0ZKgX
00@0001102@7M00T1g@090Md0P3j^gl01`21CX/0ZKgX0:Vmj02Y_NP0001@0:Vmj00O0W400P000500
0`0_4W/0olIg091MT0050:Vmj0030000G`2Y_NP0;A5k0080;A5k00<0YWJM0:Vmj01YQ]`00P1YQ]`3
0=WigPD0ZKgX1@2>Z^T30;c?j0<0]<_[0P2W_>T01@2Y_NP03@1/00d0K02W_>T0CRN100@0[/7X0`2Y
_>L00`0H0G@0ZKcW0000J0050:ZkiP@0Zk_V00<02@1`0:^kiP2[^nD0402[^nD30:^liP<0[;cV1@2[
_>H60:^mi`/0Z[gW/02Y_NP00`000000ZKgX0:Vmj0110:Vmj0030000003IfMT0fMWI01L0fMWI00<0
00000=WIf@3IfMT0503IfMT001/0fMWI00<000000=WIf@3IfMT0GP3IfMT3000004L0fMWILP2Y_NP0
0`0003H06P1`0:Vmj0020=JJU0@0ZKgX00<0Z[gX0:Vmj02Y_NP00P2Y_NP00`0<06L0mJES06/lQP03
06/lQP80Y;[Y1@2Y_NP010000540000i01l3L@0O0g420>j^R@0308:Vj`2Y_NP0ZKgX00@0ZKgX00@0
001102@7M00T1g@090Md0P3j^gl01`21CX/0ZKgX0:Vmj02Y_NP0001@0:Vmj00O0W400P2@GI00100_
4W/0olIg091MT0009k040:Vmj0030000G`2Y_NP0;A5k0080;A5k00<0YWJM0:Vmj01YQ]`0101YQ]`2
0<WPj@D0ZKgX1@2>Z^T60;C;j`060::eiP2Y_NP03@1/00d0K02R]NH0CRN11@2^`NP20:NiiP0401P1
M02W^NH0001X0:NiiPD0Z[_V0`2Z^^D00`090700Z[[U0:Zji@050:^ki@H0[;_U1@2[^nD70:bliP80
ZkcV0`2[_NH60:^mi`/0Z[gW1P2Z_NRY0:Vmj0030000002Y_NP0ZKgX03h0ZKgX7@3IfMT00`000000
fMWI0=WIf@0D0=WIf@006`3IfMT00`000000fMWI0=WIf@1K0=WIf@<00000BP3IfMUb0:Vmj0030000
=P0J0700ZKgX0080eYZD2@2Y_NP00`0<06L0mJES06/lQP0206/lQP030>bZR02X_NP0[;oX00D0ZKgX
00@0001A07=2Q`0O0g407`=a0P3^[XT00`2/`>T0ZKgX0:Vmj0040:Vmj0040000@@0T1g@090Md02@7
M080n[]o00X0LYWX0:Vmj02Y_NP0ZKgX0000D02Y_NP07`9a0?JWI`2@GI00;a9k0P2@GI020<WPj@<0
ZKgX00<0001O0:Vmj00]4G/00P0]4G/30:Vmj080JHKL1@39h>T40:Vmj0H0Z;cX0`2dbn/40:Vmj080
3@1/00<0X[GV04hWP@2R]NH00P2^`NP30:^mi`040:NiiP0H0G@0YkWV0000J080YkWV0P2Z^nH50:Zj
i@0400T0L02Z^^D0Z[[U0:Zji@80Zk_U0`2/^^@<0:bki@D0[;cV1P2[_NH50:^mi``0Z[gW1P2Z_NRY
0:Vmj0030000002Y_NP0ZKgX03T0ZKgX00<000000=WIf@3IfMT07P3IfMT00`000000fMWI0=WIf@0D
0=WIf@000P3IfMT2000000@0fMWI00<000000=WIf@3IfMT00`3IfMT2000000X0fMWI00<000000=WI
f@3IfMT0F@3IfMT3000004l0fMWIL02Y_NP00`0003H06P1`0:Vmj0020=JJU0T0ZKgX00<0301W0?FU
H`1[?8H00P1[?8H00`3/ZXP0Yk_X0:Nkj0050:Vmj0040000D@1c@XL07`=a01l3L@80kZj900<0[<3Y
0:Vmj02Y_NP0102Y_NP01000044090Md02@7M00T1g@20?ZkO`0:07:Ij02Y_NP0ZKgX0:Vmj0000500
ZKgX01l2L@3fYfL0T5f@02lBN`80T5f@0P1LT^/01@32fn`0ZKgX0:Vmj00005l0ZKgX00<0;A5k0`2Y
_NP70<WPj@D0WkW[1P2X_>P60:Vmj0803@1/00<0X[GV04hWP@2R]NH01P2[_NL00`0H0G@0YkWV0:Ni
iP020:NiiPL0Z[[U00@02@1`0:Zji@2Z^^D0Z[[U1P2/^^@30:bki@<0[;_T1P2/^nD50:bli@H0ZkgV
1@2[_NL<0:Zmi`H0Z[gXZ@2Y_NP00`000000ZKgX0:Vmj00c0:Vmj0<00000903IfMT00`000000fMWI
0=WIf@0C0=WIf@0000D0fMWI0000003IfMT0fMWI000000080=WIf@040000003IfMT0fMWI000000T0
fMWI00<000000=WIf@3IfMT0EP3IfMT3000005<0fMWIK`2Y_NP00`0003H06P1`0:Vmj0020=JJU0T0
ZKgX00<0301W0?FUH`1[?8H00P1[?8H00`3/ZXP0Yk_X0:Nkj0050:Vmj0030000D@1c@XL07`=a00<0
kZj900<0X;OY0:Vmj02Y_NP0102Y_NP01000044090Md02@7M00T1g@20?ZkO`0:0;W@j`2Y_NP0ZKgX
0:Vmj0000500ZKgX01l2L@3fYfL0T5f@02lBN`80T5f@0`2I^>d20:Vmj0050000G`2Y_NP0;A5k02dA
N`2Y_NP01@23XnP30<WPj@<0[L;Y1@2O^N/30:Rlj0<0]<[[1@2Y_NP200d0K0040:^ni`1>9h40ZkkW
0:^ni`D0ZkgW00<0605d0:Rii@2X^ND00`2X^ND60:Zji@0300T0L02[^N@0ZkWT0080ZkWT1P2/^^@6
0:bki0<0[;_U0`2]^n@50:bli@<0ZkgV0`2/_NH50:^mi`/0Z[gW1`2Z_NRX0:Vmj0030000002Y_NP0
ZKgX0340ZKgX00<000000=WIf@3IfMT09P3IfMT00`000000fMWI0=WIf@0C0=WIf@0000D0fMWI0000
003IfMT0fMWI000000080=WIf@040000003IfMT0fMWI000000T0fMWI00<000000=WIf@3IfMT0E03I
fMT2000005L0fMWIKP2Y_NP00`0003H06P1`0:Vmj0020=JJU0T0ZKgX00<0301W0?FUH`1[?8H00P1[
?8H00`3/ZXP0Yk_X0:Zmi`030:Vmj0050000D@2Y_NP0001A07=2Q`0O0g400`3^[XT00`2V_^X0ZKgX
0:Vmj0040:Vmj0040000@@0T1g@090Md02@7M080n[]o00X0UkO^0:Vmj02Y_NP0ZKgX0000D02Y_NP0
7`9a0?JWI`2@GI00;a9k0P2@GI0309Vhk@80ZKgX0P0005l202dAN`80ZKgX1@23XnP60:g2j@D0WkW[
1P2db^/30:>gi`050:Vmj00=06`03@1/0:^ni`1>9h400`2[_^L40:NiiP0301P1M02W^NH0Z;WU00@0
Z;WU1@2Z^N@00`090700ZkWT0:^ii0030:^ii0H0[;[S1@2/^n@70:fki0@0[;cU1`2/_NH50:^mi`/0
Z[gW1P2Z_NRY0:Vmj0030000002Y_NP0ZKgX02d0ZKgX00<000000=WIf@3IfMT0:@3IfMT00`000000
fMWI0=WIf@0C0=WIf@0000D0fMWI0000003IfMT0fMWI000000090=WIf@8000002P3IfMT00`000000
fMWI0=WIf@1A0=WIf@<00000FP3IfMU]0:Vmj0030000=P0J0700eYZD0080eYZD0`2Y_NP20:Zmi`@0
ZKgX00<0301W0?FUH`1[?8H00P1[?8H30:Zmi`<0ZKgX00D0001A0:Vmj0000540Ld:701l3L@030>j^
R@030:JnjP2Y_NP0ZKgX00@0ZKgX00<0001102@7M00T1g@00`3j^gl01P2G]nh0ZKgX0:Vmj02Y_NP0
001@0:Vmj0807`9a102@GI030;C:j`040:Vmj00005l0001O0000G`80;A5k0P2Y_NP60;;5j0D0[L;Y
1P2P]NL30;C:j`<0Z[gX0P2S]nL01P2Y_NP03@1/00d0K02S]nL0CRN10:^ni`<0Z[gW0`2W^NH00`0H
0G@0YkWV0:NiiP020:Rii@<0ZKWU102Z^N@010090700Z[WT0:^ii02[^N@30:^ih`H0[;[S0P2/^n@3
0:fjh`H0[K_T1P2]_>D50:bmiPH0ZkgW0`2Z_NL30:^mi`D0Z[gW1P2Z_NRY0:Vmj0030000002Y_NP0
ZKgX02P0ZKgX0P00000^0=WIf@030000003IfMT0fMWI01<0fMWI00001@3IfMT000000=WIf@3IfMT0
000000P0fMWI00@000000=WIf@3IfMT000002@3IfMT00`000000fMWI0=WIf@1>0=WIf@<00000GP3I
fMU/0:Vmj0030000=P0J0700eYZD0080eYZD102Y_NL00`2Z_NL0ZKgX0:Vmj0020:Vmj00300`0I`3e
YF<0Jcb60080Jcb600<0ZKcX0:Zmi`2Z_NL00`2Y_NP01@000540ZKgX0000D@1c@XL07`=a00<0kZj9
00<0Y[kZ0:Vmj02Y_NP0102Y_NP00`00044090Md02@7M0030?ZkO`@0ZKgX00@0001@0:Vmj00O0W40
7`9a102@GI00102N^N`0]<[[0;C:j`2Y_NP30000G`80;A5k0`2L]>P60;;5j0H0Z;gX1@2P]NL60:Zm
j080XkOW0P0=06`00`2S]nL0CRN10:Zmi`040:Zmi`80YkWV00<0605d0:NiiP2W^NH01P2Y^ND30:Zi
i00300T0L02Z^N@0ZkWS00D0ZkWS1@2/^^<60:fjh`<0[K_T0`2^^n<60:fli@D0[;gV302[_NL50:Zm
i`H0Z[gXZ@2Y_NP00`000000ZKgX0:Vmj00R0:Vmj0<00000<P3IfMT00`000000fMWI0=WIf@0C0=WI
f@0000D0fMWI0000003IfMT0fMWI000000080=WIf@040000003IfMT0fMWI000000T0fMWI0`00001;
0=WIf@<00000HP3IfMT00`000000ZKgX0:Vmj01X0:Vmj0050000=P0J0700eYZD0=JJU02Y_NP01@2Y
_NL40:Vmj00300`0I`3eYF<0Jcb60080Jcb60P2Y_>P02@2Z_nT0ZKgX0:Vmj02Y_NP0001A0:Vmj000
0540Ld:701l3L@030>j^R@030:^oj02Y_NP0ZKgX00@0ZKgX00<0001102@7M00T1g@00`3j^gl40:Vm
j0040000D02Y_NP07`9a01l2L@@0T5f@0P2N^N`20;C:j`<0001O0P0]4G/409bdj0<0//GX0`2`a>T6
0:Rmj0D0/<?X1P2Z_NP01@2X_>L03@1/00d0K02X_>L0CRN100H0Z[gW00<0YkWV01P1M02W^NH00P2W
^NH60:Vii@D0Z[SS1P2[^N<50:fihPH0[K[S1P2^^n<30:fli@<0[[cT2`2/_NH50:^mi`H0Z[gW1@2Z
_NRY0:Vmj0030000002Y_NP0ZKgX0200ZKgX0P00000e0=WIf@030000003IfMT0fMWI01<0fMWI0002
0=WIf@8000002P3IfMT2000000T0fMWI0P00001:0=WIf@<00000IP3IfMT00`000000ZKgX0:Vmj01W
0:Vmj0040000=P0J0700eYZD0=JJU080ZKgX0P2Y_NL60:Vmj00300`0I`3eYF<0Jcb60080Jcb60`2Y
_^T30:Vmj0050000D@2Y_NP0001A07=2Q`0O0g400`3^[XT00`2X_NP0ZKgX0:Vmj0040:Vmj0030000
@@0T1g@090Md00<0n[]o102Y_NP010000500ZKgX01l2L@0O0W44091MT0<0W[W/00@0ZKgX0000G`00
05l0001O0P0]4G/509bdj0H0/<CY0`2X_NP30:>gi`D0/<?X1P2U^NL200d0K0030:Rli`1>9h40Z;cW
00H0Yk[W00<0605d0:NiiP2W^NH00P2W^NH30:Vii@<0Z;ST1@2Z^><30:^ih`<0[;SR1@2]^N860:jj
hPD0[[_S1`2^_>@20:bmiP<0[KgU1P2/_NH50:^mi`H0Z[gW1@2Z_NRY0:Vmj0030000002Y_NP0ZKgX
01d0ZKgX00<000000=WIf@3IfMT0=P3IfMT00`000000fMWI0=WIf@0C0=WIf@006@3IfMT00`000000
fMWI0=WIf@160=WIf@<00000JP3IfMT00`000000ZKgX0:Vmj01V0:Vmj0040000=P0J07006P1`0=JJ
U0X0ZKgX00<0301W0?FUH`1[?8H00P1[?8H30:Vnj@<0ZKgX00D0001A0:Vmj0000540Ld:701l3L@02
0>j^R@0307=2Q`2X_NP0ZKgX00D0ZKgX00<0001102@7M00T1g@00`3j^gl40:Vmj0040000D02Y_NP0
7`9a01l2L@@0T5f@102Z]n<30000G`80;A5k00<0ZKgX0:Rhi02X^>@00`2X^>@50;34j@L0XkOW0P2`
`nP30:c0j0D0YKWW0P0=06`0102X_>L0CRN10:Vlj02Y_>P60:Nji`@0YkWV1`2X^>@40:Zhh`L0[;SR
0P2]^N830:jih@H0[[[R1@2_^n<60:jli0H0[KgU1P2/_NH50:^mi`H0Z[gW1@2Z_NRY0:Vmj0030000
002Y_NP0ZKgX01L0ZKgX0P00000l0=WIf@030000003IfMT0fMWI01<0fMWI000I0=WIf@030000003I
fMT0fMWI04<0fMWI0`00001^0=WIf@030000002Y_NP0ZKgX04T0ZKgX0`2Y_NLI0:Vmj0040000=P0J
07006P1`0=JJU0X0ZKgX00<0301W0?FUH`1[?8H00P1[?8H30:Vnj@<0ZKgX00D0001A0:Vmj0000540
Ld:701l3L@020>j^R@0307=2Q`2Y_NP0ZKgX00D0ZKgX00<0001102@7M00T1g@00P3j^gl00`21CX/0
ZKgX0:Vmj0020:Vmj0040000D02Y_NP07`9a01l2L@@0T5f@102Z]n<30000G`80;A5k0P2T[ml50:Rh
i0H0ZkcV1@2S]nL60:c0j0@0YKWW0P0=06`00`2Y_>P0CRN10:Vlj0020:Vlj0D0Yk[W1P2W^>H50:Rh
i0H0Z[OS1@2/^>860:jih@<0[[[R0`2`^^450:nkh`H0[kgT1@2]_ND70:bmiPD0ZkgW1P2Z_NL50:Zm
j:T0ZKgX00<000000:Vmj02Y_NP0502Y_NP00`000000fMWI0=WIf@0n0=WIf@030000003IfMT0fMWI
0180fMWI000I0=WIf@030000003IfMT0fMWI0400fMWI0`00001b0=WIfDP0ZKgX1`2Y_NL20:Vmj0<0
ZKgW202Y_NP30:Vmi`P0ZKgX00@0000f01X0L00J0700eYZD1@2Y_NP00`2Y_^P0ZKgX0:Vmj0020:Vm
j00300`0I`3eYF<0Jcb60080Jcb600<0ZKkY0:Zmj02Z_NP00`2Y_NP01@000540ZKgX0000D@1c@XL0
7`=a0080kZj900<0Ld:70:Vmj02Y_NP01@2Y_NP00`00044090Md02@7M0020?ZkO`03085>R`2Y_NP0
ZKgX0080ZKgX00@0001@0:Vmj00O0W407`9a0`2@GI020:Rch080Z[OS00@0[k;K0000G`0005l0001O
0P0]4G/30:B_g`80Z;ST0`2c`^D60:^liPH0[<7Y1@2/`>P30:Nkj00300d0K02W^nP0ZKcX00D0ZKcX
1@2V^NH60:NhiPD0Z;OT1P2Z]n<50:bhh@D0[[WQ1`2`^^420:nkh`<0/;cR1P2__N@60:jmi@D0[;gV
1P2[_NL50:Zmi`H0Z[gXZ02Y_NP00`000000ZKgX0:Vmj00A0:Vmj0030000003IfMT0fMWI0440fMWI
00<000000=WIf@3IfMT04P3IfMT001T0fMWI00<000000=WIf@3IfMT0?@3IfMT3000007L0fMWI=`2Y
_NP60:Vmi`D0ZKgX4@2Y_NL50:Vmj0H0ZKgW1`2Y_NP0100003H06P1`01X0L03FVY@80:Vmj0040000
?@2Y_NP0301W0?FUH`<0Jcb60P2Y_NP02@2Z_NP0ZKgX0:Vmj02Y_NP0001A0:Vmj0000540Ld:701l3
L@020>j^R@0307=2Q`2Y_NP0ZKgX00D0ZKgX00<0001102@7M00T1g@00P3j^gl00`21CX/0ZKgX0:Vm
j0020:Vmj0040000D02Y_NP07`9a01l2L@<0T5f@0P2X/n030:nbf`<0001O0P0]4G/30:B_g`H0/l;U
0`2[_>H30:RojPH0[<7Y1@2W_>T20:Nkj00300d0K02W^nP0Yk_X00H0Y[[W1@2V^NH30:NhiP<0Y[OU
1@2X]n@30:Zgh`<0Z[OR1@2/^>420:jih@<0[kWQ1P2`^^460;2lhP<0[kgT0`2`_N@60:jmi@D0[;gV
1@2[_NL60:Zmi`D0Z[gXZ@2Y_NP00`000000ZKgX0:Vmj00<0:Vmj0030000003IfMT0fMWI04D0fMWI
00<000000=WIf@3IfMT04P3IfMT001T0fMWI00<000000=WIf@3IfMT0>`3IfMT2000007/0fMWI=02Y
_NPD0:Vmi`H0Z[gW1@2Y_NL60:Zmi`D0ZKgW1P2Y_NP0100003H06P1`01X0L03FVY@80:Vmj0040000
?@2Y_NP0301W0?FUH`<0Jcb61P2Y_NP010000540ZKgX0000D@1c@XL30>j^R@0307=2Q`2Y_NP0ZKgX
00D0ZKgX00<0PDj;02@7M00T1g@00P3j^gl00`21CX/0ZJoM0:Vmj0020:Vmj0040000D02Y_NP07`9a
01l2L@<0T5f@0`2[ZmL20:nbf`<0001O00<0;A5k0:fki02]^n@00`2]^n@60;?2i@H0Z;oZ0`2/`NT3
0:^oj0D0YkcY00<0Yk_X00d0K02W_>P00P2W_>P60:Jji`@0Y[WV1`2V]nD40:Rgi0L0Z[OR102/^>46
0:nih@<0/;[Q0`2a^n460;2lhPH0/;gT0`2^_ND30:jni@D0[;gV1@2[_NL60:Zmi`H0Z[gXZ02Y_NP0
0`000000ZKgX0:Vmj0060:Vmj0<00000BP3IfMT00`000000fMWI0=WIf@0B0=WIf@006@3IfMT00`00
0000fMWI0=WIf@0h0=WIf@<00000OP3IfMTa0:Vmj1@0ZKgW0`2Z_>LF0:Zmi`D0ZKgX00@0000f01X0
L00J0700eYZD202Y_NP0100003d0ZKgX00`0I`3eYF<306/lQPH0ZKgX00<0001A0:Vmj00005400P1c
@XL20>j^R@0307=2Q`2Y_NP0ZKgX00D0ZKgX00<0PDj;02@7M00T1g@00P3j^gl00`21CX/0ZJoM0:Vm
j0020:Vmj0040000D02Y_NP07`9a01l2L@<0T5f@102[ZmL01P2_/]/0001O0000G`0005l0;A5k0;2k
h@D0[K_T1P2`b>`50:RojPL0ZkoX102W_>T00`2W_>P03@1/0:Nlj0030:Nlj0D0Y[[W1P2U^>H50:Jg
i@D0YkKT1P2Z]n850:fgh@H0[kWQ1P2a^n430;2lhP<0/KcR1@2`_N@70:jni@80[;gV0`2]_^H50:^m
i`H0Z[gW1P2Z_NRW0:Vmj0030000002Y_NP0ZKgX00@0ZKgX0P00001=0=WIf@030000003IfMT0fMWI
0180fMWI000H0=WIf@030000003IfMT0fMWI03H0fMWI0`0000220=WIfC80ZKgX402Y_NL60:Zli`<0
Z[gW0`2Z_>L@0:Zmi`@0ZKgX00@0000f01X0L00J0700eYZD202Y_NP0100003d0ZKgX00`0I`3eYF<2
06/lQP030>bZR02Y_NP0ZKgX00@0ZKgX00<0001A0:Vmj00005400P1c@XL20>j^R@P0ZKgX00<0PDj;
02@7M03j^gl00P3j^gl00`21CX/0ZJoM0:Vmj0020:Vmj0040000D02Y_NP07`9a01l2L@<0T5f@102[
ZmL01@2`^n40001O0000G`3/aD/0;A5k0080/;_Q0P2]^n@40;?Bl@D0/<S/1P2X_NP50:^oj0D0Y[cY
00<03@1/0:Nlj02W_>P00`2W_>P50:Fii`H0YKSV1@2U]^D50:Nfi0<0Z[OR0`2Z]^850:fgh@<0[kWQ
0`2`^N050;6kh@L0/KcR0P2`_N@30;6nh`H0[[kU1P2]_^H50:^mi`H0Z[gW1P2Z_NRW0:Vmj0040000
002Y_NP0ZKgX0:Vmj540fMWI00<000000=WIf@3IfMT04P3IfMT001P0fMWI00<000000=WIf@3IfMT0
<`3IfMT3000008H0fMWI<P2Y_NP;0:Vmia40Z[cW402Z_NL30:Vmj0040000=P0J07006P1`0=JJU0@0
Z[gX102Y_NP0100003d0ZKgX00`0I`3eYF<206/lQP030>bZR02Y_NP0ZKgX00@0ZKgX00<0001A0:Vm
j00005400P1c@XL20>j^R@P0ZKgX00<0PDj;02@7M03j^gl00P3j^gl00`21CX/0Z:7?0:Vmj0020:Vm
j0040000D02Y_NP07`9a01l2L@<0T5f@0P2[ZmL30;Flg`80001O00@0PUfO02dAN`2`^n40/;_Q1`2c
d_450:Vmj0H0Z;gX1@2Y_NP40:Jlj@0300d0K02U^^P0YK[X00@0YK[X1@2U^NL60:Bgi`D0YKKU1@2W
]^@60:ZfhP@0[KOQ1`2`^N020;6kh@<0/[_P1P2a_>860;6nh`<0[[kU0`2__^D50:fniPH0ZkkW1@2Z
_NL70:Zmj:D0ZKgX0`00001C0=WIf@030000003IfMT0fMWI0180fMWI000H0=WIf@040000003IfMT0
0000000002l0fMWI0`00002:0=WIfBl0ZKgX2@2Y_NL50:Vli`D0Z[cW1P2Z_>H;0:Zli`/0Z[gW0P2Y
_NP0100003H06P1`01X0L02Z_NL50:Zmj0<0ZKgX00@0000m0:Vmj00<06L0mJES0P1[?8H00`3/ZXP0
ZKgX0:Vmj0040:Vmj0030000D@2Y_NP0001A0080Ld:70P3^[XT20:V`g@H0ZKgX00<0PDj;02@7M03j
^gl00P3j^gl00`21CX/0Yik=0:Vmj0020:Vmj0040000D02Y_NP07`9a01l2L@<0T5f@1@2e_=l20000
G`03089MW`0]4G/0/Mgf0080/Mgf102cd_4C0:Vmj0<0YK[X00<03@1/0:Fjj02U^^P01@2U^^P20:Fi
i`<0Y;SW1P2T]nL40:Ffi@H0YkKS1@2Z]^860:jhh0D0/;WP1P2b^n030;6lhP<0/kgR1@2a_^<70:nn
i@D0[KkV1P2[_^L50:Zmi`H0Z[gXX@2Y_NP3000000@0fMWI00<000000=WIf@3IfMT0D@3IfMT00`00
0000fMWI0=WIf@0A0=WIf@00603IfMT2000002h0fMWI0`00002>0=WIfB`0ZKgX2@2Y_NL80:Vli`80
Z[cW3`2Z_>H;0:Zli`H0Z[gW00<0000f01X0L00J07000P2Z_NL50:Zmj080ZKgX00@0000m0:Vmj00<
06L0mJES0P1[?8H00`3/ZXP0ZKgX0:Vmj0040:Vmj0030000D@2Y_NP0001A00<0Ld:700<0kZj90:V`
g@2Y/=d01P2Y_NP00`21CX/090Md0?ZkO`020?ZkO`03085>R`2WW/d0ZKgX0080ZKgX00@0001@0:Vm
j00O0W407`9a0`2@GI000`2c^Mh0]KcO0;Flg`020;Flg`80001O00<0PUfO02dAN`2agOH00`2agOHG
0:Vmj080YK[X00<03@1/0:Fjj02U^^P01@2U^^P60:Bhi`D0Y;OW1@2T]^D60:Nfh`80Z[KR0`2[]^86
0:jhh0D0/K[P1P2b^n060;>mhPH0/KkS1P2__^D50:fniPH0ZkkW1@2Z_NL60:Zmj9h0ZKgX00<00000
0=WIf@3IfMT01P3IfMT00`000000fMWI0=WIf@1A0=WIf@030000003IfMT0fMWI0140fMWI000H0=WI
f@030000003IfMT0fMWI02X0fMWI0`00002B0=WIfBL0ZKgX2P2Y_NL;0:Vli`T0Z[cV0`2Z^nH60:Zl
iPD0Zk_V2`2Z_>L00`0003H06P1`01X0L0020:Zmi`L0ZKgX00@0000m0:Vmj00<06L0mJES0P1[?8H0
0`3/ZXP0ZKgX0:Vmj0040:Vmj0030000D@2Y_NP0001A00<0Ld:700<0kZj90:Vcg`2Y/=d01P2Y_NP0
0`21CX/090Md0?ZkO`020?ZkO`03085>R`2WW/d0Yik=0080ZKgX00@0001@0:Vmj00O0W407`9a0`2@
GI020;>igP<0]KcO00@0[nch0000G`22GIl0;A5k702Y_NP00`2U^^P03@1/0:Fjj0020:Fjj0/0Y;SW
1@2R]^L50:Bfi@D0YkKS1P2[]^830:jhh0<0[kSP1@2a^^060;>lh0<0/kgR0`2c_^860;6nh`H0[kkU
1@2]_^H60:^ni`D0Z[gW1P2Z_NRJ0:Vmj0030000003IfMT0fMWI00X0fMWI00<000000=WIf@3IfMT0
D03IfMT00`000000fMWI0=WIf@0A0=WIf@00603IfMT00`000000fMWI0=WIf@0W0=WIf@<00000UP3I
fMTW0:Vmj0D0ZKgW2`2Y_>L60:ZkiPD0Z[cV1P2Z^nH30:ZliP<0Zk_U1@2[^nH30:Zli`<0ZkcV102Z
_>L00`0003H06P1`01X0L0040:Zmi`D0ZKgX00@0000m0:Vmj00<06L0mJES0P1[?8H00`3/ZXP0ZKgX
0:Vmj0040:Vmj0030000D@2Y_NP0001A00<0Ld:700<0kZj90:Vcg`2Y/ml01P2Y_NP00`21CX/090Md
0?ZkO`020?ZkO`<0Yik=0P2Y_NP010000500ZKgX01l2L@0O0W43091MT0<0/kWN0P2_k?P0102Y_NP0
001O0:Vmj00]4G/M0:Vmj00300d0K02V^>H0Y[SV0080Y[SV1@2T^>L60:>hj0D0X[KW102T]^D60:Je
i0D0ZkKR1`2_^>020;6jh0<0/k_P1P2c_>060;>nhP<0/KkS0`2b_n@50:nni@H0[KkV1@2[_^L60:Zm
i`H0Z[gXU@2Y_NP200000100fMWI00<000000=WIf@3IfMT0C`3IfMT00`000000fMWI0=WIf@0A0=WI
f@005`3IfMT00`000000fMWI0=WIf@0U0=WIf@<00000VP3IfMTW0:Vmj0/0ZKcW1P2Y^nH50:ZkiPD0
Z[[U1P2Z^nH60:^ki@@0Zk_V1`2[_>H20:Zli`040:^liP0003H06P1`01X0L0D0Z[gW0P2Y_NL20:Vm
j0040000?@2Y_NP0301W0?FUH`80Jcb600@0ZKgX0:Vhi02Y^>@0ZKST0`2Y_NP00`000540ZKgX0000
D@0407=2Q`80YJGF1P2Y_NP01@21CX/090Md0?ZkO`3j^gl0PDj;00<0Yik=0P2Y_NP010000500ZKgX
01l2L@0O0W43091MT0030;>igP2Ll^l0W?;_00<0ZKgX00<0001O0:Vmj00]4G/0602Y_NP50:Neh`03
00d0K02V^>H0Y[SV00<0Y[SV1@2T^NL60:>hj0@0X[KW1@2S]NH60:Jei080ZkKR0`2[]n860:nhh0H0
/k_P0`2c_>030;Fnh@D0/kkR1`2b_n@20:nni@<0[koU1P2]_^H50:^ni`H0Z[gW1P2Z_NRB0:Vmj1D0
fMWI00<000000=WIf@3IfMT0CP3IfMT00`000000fMWI0=WIf@0A0=WIf@005`3IfMT00`000000fMWI
0=WIf@0S0=WIf@800000WP3IfMT00`000000ZKgX0:Vmj00Q0:Vmj0/0ZKcW2@2Y^nH:0:Zji@H0ZkWT
1@2[^nD60:^ji0P0ZkcV00<0000f01X0L00J07000`2Z_NL30:^liP070:Vmi`2Y_NP0ZKgX0000?@2Y
_NP0301W0?FUH`0206/lQP80ZKWU0P2Y^>@30:Vmj0030000D@2Y_NP0001A00@0Ld:70P2UYMH60:Vm
j003085>R`0T1g@0n[]o0080PDj;0`2]]]l20:Vmj0040000D02Y_NP07`9a01l2L@<0T5f@00<0W?;_
0:Vmj02Y_NP0702Y_NP30:V`g@@0YkGS00@03@1/0:Neh`2V^>H0Y[SV0`2W^>D50:Bii`D0XkSX1@2Q
]^L50:>eiPD0Y[GT1P2[]n830:nhh0<0/;[Q1@2c^n070;Fnh@80/kkR102d_n850;:oi0H0[koU1P2]
_^L50:^ni`H0Z[gW1@2Z_NR?0:Vmj1P0fMWI00<000000=WIf@3IfMT0CP3IfMT00`000000fMWI0=WI
f@0A0=WIf@005`3IfMT00`000000fMWI0=WIf@0P0=WIf@<00000X@3IfMT00`000000ZKgX0:Vmj00N
0:Vmj0/0ZKcW2@2Y^nH30:Vji@L0Z[[U0`2[^><60:^ii080Zk_U0`2/^N<60:^ji0H0[;_T00@0ZkcV
0000=P0J07006P1`1`2[_>H20:Vmj0040000?@2Y_NP0301W0?FUH`80Jcb60`2Y^ND01`2Y^>@0ZKgX
0:Vmj02Y_NP0001A0:Vmj0000540101c@XL20:FUePH0ZKgX00<0PDj;02@7M021CX/00P21CX/30:ff
g`80ZKgX00@0001@0:Vmj00O0W407`9a0`2@GI0M0:Vmj0H0ZK3M0`2W]N<00`0=06`0YkGS0:Nhi@05
0:Nhi@D0Y;WW1@2Q^>P50:6fi`D0XkGV1@2V]^@60:^ghPH0/;[Q0P2c^n030;Bmh@H0]KkQ1`2d_n85
0;;0i0<0[koU0`2__nH60:fni`D0ZkkW1P2Z_NL50:Zmj8X0ZKgX00<000000=WIf@3IfMT06P3IfMT0
0`000000fMWI0=WIf@1=0=WIf@030000003IfMT0fMWI0140fMWI000G0=WIf@030000003IfMT0fMWI
01d0fMWI0`00002U0=WIf@030000002Y_NP0ZKgX01T0ZKgX1P2Y_NL:0:Vli`H0ZK_V1P2Y^^D40:Zj
i@H0ZkSS1@2[^N@60:bih`<0Zk[T0`2]^N860:bki0030000=P0J07006P1`0080[;_U1@2[_>H20:Vm
j0040000?@2Y_NP0301W0?FUH`80Jcb60`2Y^ND01`2V/=l0ZKgX0:Vmj02Y_NP0001A0:Vmj0000540
101c@XL30:FUePD0ZKgX1@21CX/00`2X]>40[KKO0:ffg`020:Vmj0040000D02Y_NP07`9a01l2L@<0
T5f@6@2Y_NP50:RWePH0ZK3M0P2Z]^400`0=06`0Z[KQ0:Zfh@050:Nhi@H0Y;[Y1@2Q^>P40:6fi`H0
XKGV1@2V]^@60:^hh`D0/;[Q1P2d_N430;Fnh@<0][oQ102d_n830;G1h`D0//3T1P2__nH30:fni`<0
[KoW1@2[_^L30:Zmi`P0Z[gXQ02Y_NP300000200fMWI00<000000=WIf@3IfMT0C@3IfMT00`000000
fMWI0=WIf@0@0=WIf@005`3IfMT00`000000fMWI0=WIf@0J0=WIf@<00000Z@3IfMT00`000000ZKgX
0:Vmj00I0:Vmj0H0ZKgW2P2Y_>L;0:Vji@D0Z[SS1P2[^><60:bgh@D0[;WS1P2]^N830:bki080[KWR
00<0000f01X0L00J07000`2/^nD40:bki080ZKgX00@0000m0:Vmj00<06L0mJES0P1[?8H40:Neh`<0
ZKgX00<0001A0:Vmj0000540101c@XL30:FUePD0ZKgX1@21CX/20:Rdh@<0ZKgX00@0001@0:Vmj00O
0W407`9a0P2@GI0F0:Vmj0D0YI_;1@2XYmH30:V`g@<0[JoI00<0Z[KQ00d0K02Z]^400P2Z]^450:Rm
j0H0Y;[Y102Q^>P609nfj0D0XKGV0P2V]^@30:Ffi@H0ZkSS0P2`^^430;6khPH0];gQ1P2f_n470;G1
h`80//3T0`2b`ND60:noiPH0[KoW102[_^L<0:Zmj840ZKgX00<000000=WIf@3IfMT08P3IfMT00`00
0000fMWI0=WIf@1=0=WIf@030000003IfMT0fMWI0100fMWI000G0=WIf@<000005`3IfMT300000:d0
fMWI702Y_NP30:Vmi`P0ZKcW1@2Y^^H60:Vji@D0ZKOS1@2Z^><30:^hh`<0[;GP1P2/]n450:fgh0/0
[KWR0P0J0700102/^nD0[K[S0:fjh`2]^^<30:bki080ZKgX00@0000m0:Vmj00<06L0mJES0P1[?8H4
0:Neh`<0ZKgX00<0001A0:Vmj0000540101c@XL00`2L]>T0W[?W09jci`050:Vmj0D0PDj;1@2Y_NP0
10000500ZKgX01l2L@0O0W42091MT1@0ZKgX0`2RS[l40:FKb`D0Z:OF1`2][mT00`0=06`0Z[KQ0:o0
i`020:o0i`D0Z;gX1@2T^^T509nhjPH0WkKX102Q]NH60:Ffi@D0ZkSS1P2a^n830;Bmh@<0]KoQ0`2f
_n430;K1hPH0]L7S1P2b`ND30:noiP<0[l3V1@2]_nL50:^ni``0Z[gXOP2Y_NPX0=WIf@030000003I
fMT0fMWI04`0fMWI00<000000=WIf@3IfMT0403IfMT001H0fMWI0P00000F0=WIf@<00000/P3IfMTK
0:Vmj0P0ZKcW0`2X^nL50:VjiP<0ZK[U0`2Y]n@50:Vgh`D0Z[SS1P2/]N030:bgh@<0[KCM1@2]]n05
0:jgg`D0[KWR0P0J07050:fjh`80[;_T0P2Y_NP0100003d0ZKgX00`0I`3eYF<206/lQP040:Vhi02W
]N<0YkGS0:Neh`<0ZKgX00<0001A0:Vmj0000540101c@XL209bdj@0309jci`2Y_NP0ZKgX00<0ZKgX
1@21CX/30:Vmj00400003P2nU`D0001@0:Vmj0807`9a0P2@GI0A0:Vmj0H0XXjo1@2UVl/20:RWeP<0
[jC=1P2][mT00`0=06`0[l3W0:o0i`030:o0i`D0Z;gX1@2R^n/509nhjPH0WKKY102P]^P60:Ffi@D0
Zk[T1@2a^n870;Foh@H0]/7R0`2e`N<30;G2i0D0//7U1`2_`>H50:foi`D0ZkkW2`2Z_NQi0:Vmj080
0000;03IfMT00`000000fMWI0=WIf@1;0=WIf@030000003IfMT0fMWI0100fMWI000F0=WIf@030000
003IfMT0fMWI0180fMWI0`00002f0=WIfA/0ZKgX1@2Y_>L60:Rki`D0ZK[V1P2Y]n@50:Vgh`D0ZkCO
1P2/]N060:fdg@80[KOP0`2_/m/50:jgg`<0[KWR00<0[kSO01X0L02_^=l01P2]^^<01`2[^N@0ZKgX
0:Vmj00003d0ZKgX00`0I`3eYF<00P1[?8H0102Y^>@0X[WY0::ij@2R^NT30:Vmj0030000D@2Y_NP0
001A00@0Ld:70P2L]>T00`1KdN`0ZKgX0:Vmj0030:Vmj0D0PDj;0`2Y_NP0100000h0_YL50000D02Y
_NP201l2L@80T5f@3@2Y_NP509n4]PH0XXjo102UVl/60:nTc@<0[JoI0P2iaN@00`0=06`0[l3W0:o0
i`030:o0i`H0Y/7]1@2R^n/509fgj`H0WKKY102P]^P60:FhiPD0Zk[T1P2a_N<30;Foh@<0]L7S1@2f
`N870;G2i0D0//7U1`2_`>H50:foi`H0ZkkW2P2Z_NQd0:Vmj0800000<@3IfMT00`000000fMWI0=WI
f@1:0=WIf@030000003IfMT0fMWI0100fMWI000F0=WIf@030000003IfMT0fMWI00l0fMWI0`00002j
0=WIfA/0ZKgX1P2X_>L50:Rki`D0Z;SU1P2Y]n@50:Vch0D0ZkCO1P2]/M/50:fdg@H0[k?K1@2^]ml3
0:nhg`0301X0L02_^=l0[kSO00<0[K[S0`2^^N420:Vmj0060000?@2Y_NP0301W0?FUH`1[?8H0k:Z8
0P2V^^L20::ij@<0ZKgX00<0001A0:Vmj0000540101c@XL307_EoPD0ZKgX1@21CX/30:Vmj0040000
3P2nU`D0001@0000D0807`9a0P2@GI090:Vmj0D0WGf_102OQ;H60::>_`80YI_;0`2^V<060:nTc@@0
^LGT00<03@1/0;W5i02]cO401@2]cO450:K1k@D0Wk_/1@2M]n/509ffj@D0WkKY1P2U^>H20:^ji0<0
ZkcU1P2a_N<60;G1h`80]/7R102g`n<30;G2i0<0]L?T1@2b`ND70:o0iP80[KoW0`2/_nL60:^ni`X0
Z[gXL@2Y_NP00`000000fMWI0=WIf@0b0=WIf@030000003IfMT0fMWI04X0fMWI00<000000=WIf@3I
fMT0403IfMT001H0fMWI00<000000=WIf@3IfMT0303IfMT300000;h0fMWI5P2Y_NP50:Vli`H0Z;cW
1@2X^NH50:Rhi@<0ZKOT0`2X]>450:Vch080ZkCO0`2[[m/60:faf`80[KCM0`2_[mP60:ncf`D0/KCK
0P2_^=l0100J0700[kSO0:nhg`2_^=l50:jih@80ZKgX00H0000m0:Vmj00<06L0mJES06/lQP3/ZXP3
0:Jji`070::ij@2Y_NP0ZKgX0:Vmj0000540ZKgX0000D@0407=2Q`03093?o@2Y_NP0ZKgX00D0ZKgX
1@21CX/30:Vmj00400003P2nU`D0001@0000D0807`9a0P2@GI070:Vmj0<0VgR[102MOJl509n4]PD0
XXjo1@2^V<050:nTc@80aLcP0`2iaN@0100=06`0]N3e0;GPm@2eh?D50:g=l@D0XL3_1@2O^n`509fg
j`D0VkK[1@2O]^T50:FhiPH0ZkcU0`2a_N<30;;0i0D0]L7S1`2g`n<60;G3i080//7U102b`^H50:o0
iPH0[;oW1P2[_^L:0:Zmj6d0ZKgX00<000000=WIf@3IfMT0=P3IfMT00`000000fMWI0=WIf@190=WI
f@030000003IfMT0fMWI0100fMWI000F0=WIf@030000003IfMT0fMWI00X0fMWI0P0000320=WIfAH0
ZKgX1@2Y_>L30:Rli`<0Z;[W1@2X^NH50:Rhi@H0Z;CQ102Y/n060:^_f`D0[K7K1P2_[mP30:ncf`<0
/JoF1@2a]=/00`2a]]`06P1`0;6fg0030;6fg0@0[[WQ0P2Y_NP01P0003d0ZKgX00`0I`3eYF<0Jcb6
0>bZR0@0Y[[W0`2Y_NP00`000540ZKgX0000D@0407=2Q`P0ZKgX1@21CX/30:Vmj00400003P2nU`D0
001@0000D0807`9a0P2@GI050:Vmj0D0VgR[102MOJl509n4]P@0XXjo0P2/SKD50:jH`080[jC=1@35
c>020;GPm@0300d0K02eh?D0]N3e0080]N3e1@2T_N/50:70k`D0Wk_/1@2K]n`509^fj`D0WkKY1@2T
^NP50:^li@L0//3T0P2e`N<30;K3i0@0]l?S0`2fa>@50;G3i0L0//;V1@2^`>L50:boi`L0ZkkW2P2Z
_NQX0:Vmj0030000003IfMT0fMWI03/0fMWI00<000000=WIf@3IfMT0B03IfMT00`000000fMWI0=WI
f@0@0=WIf@005P3IfMT00`000000fMWI0=WIf@070=WIf@<00000a@3IfMTF0:Vmj0D0ZKcW1P2X^^L4
0:RiiPH0YkGS1@2X]>450:V^f`H0ZjoK0P2]/M/30:j/e@H0[joH1P2a[mH20;6df`<0/k3F00<06P1`
0;6fg02a]]`00`2a]]`30;2hg`080:Vmj00004P0000m0:Vmj00<06L0mJES06/lQP3/ZXP40:K1k@<0
ZKgX00<0001A0:Vmj0000540101c@XL80:Vmj0D0PDj;0`2Y_NP0100000h0_YL50000D000050201l2
L@80T5f@00<0ZKgX09]gZ@2KMjT00`2KMjT409]hZ`@0WGf_1P2OQ;H20::>_`<0[8fe1@2^V<060<G<
h0<0/oW[1P2X_NP50:Bmj`D0W;W]1@2L^>`509^gk0@0VkK[1P2M]n/50:Bij0H0[;kW1@2b`>@60;K3
i0L0]/CT0P2e`n@30;C3i@@0//;V0`2a`^H50:k0i`D0[;oW1P2[_^L:0:Zmj6<0ZKgX0`0000110=WI
f@030000003IfMT0fMWI04P0fMWI00<000000=WIf@3IfMT03`3IfMT001D0fMWI00<000000=WIf@3I
fMT01@3IfMT300000<T0fMWI5P2Y_NP50:Rki`D0Z;[W1@2V]n@60:Neh`D0YjkM1@2Y[]/50:^_f`H0
[ZcE0`2_[mP30;6Zd@D0/JoF1@2c/=H0100J0700/KKL0;6fg02a]]`30;Bcf080/;SO00T0ZKgX0000
B00003d0ZKgX00`0I`3eYF<0Jcb60>bZR02]_>D00`2V`Nd30:Vmj0030000D@2Y_NP0001A00@0Ld:7
202Y_NP5085>R`<0ZKgX00@0000>0;jG1@000500001@0P0O0W42091MT080VgNZ102KMjT409]hZ`D0
WGf_1@2OQ;H50:b=]@@0[YS00`3Ce=X30<G<h080/oW[0`2Y_NP60:Rmj080Y;g[0`2X_NP509bik@D0
W;S/102K]n`609Zfk0D0WKO[0P2T^NP30:BkjPH0[;kW1@2b`^H30;K3i0<0]/CU1P2fa>@60;C3i@L0
/L;V1@2^`>L50:boi`H0ZkkX2`2Z_NQO0:Vmj0800000A03IfMT00`000000fMWI0=WIf@180=WIf@03
0000003IfMT0fMWI00l0fMWI000E0=WIf@030000003IfMT0fMWI0080fMWI0`00003=0=WIfA40ZKgX
1@2X_>L50:Rki`D0Y[SV1@2V]n@30:Neh`<0YK3P1@2W[]d50:V^f`D0ZjSD1@2^[=D60;6Zd@@0/JoF
0P2dZ/l40;>`eP0301X0L02c/=H0];?H00D0];?H00T0/;SO0:Vmj00004P0000m0:Vmj00<06L0mJES
06/lQP3/ZXP00P2]_>D20:o5j`<0ZKgX00<0001A0:Vmj0000540101c@XL80:Vmj0D0PDj;0`2Y_NP0
100000h0001;0000D000050201l2L@80T5f@0P2KMjX409]gZ@@0VgR[1@2MOJl409n4]P80Z8>]1@2/
SKD20:jH`0D0dmCJ0P2cnN/60:Vmj0/0Z;gX1@2L^Nd509^fj`X0V[K/102M]n/60:BkjP<0[;kW0`2/
`>T50;;2iPH0]/CU0`2fa>@30;K5iP<0]<?U0`2ca>H60;72iPH0[/3W0P2/_nL30:bni`H0ZkkX2`2Z
_NQL0:Vmj4T0fMWI00<000000=WIf@3IfMT0A`3IfMT00`000000fMWI0=WIf@0?0=WIf@005@3IfMT0
0`000000fMWI0000000200000=40fMWI4@2Y_NP50:Rli`D0Yk[W1@2V^>H50:Jgi0H0YK3P1@2W[]d2
0:V^f`<0Z:OE1@2[Z=@20:j/e@<0[jG>1P2aZ]420;6_eP@0]:[?0`2c/=H00`0J0700]jg?0;N]c`05
0;Bcf0090;>gg02Y_NP000180000?@2Y_NP0301W0?FUH`1[?8H0k:Z800@0/koS0`2Y_NP00`000540
ZKgX0000D@0307=2Q`P0ZKgX00<0001G085>R`21CX/00`21CX/30:Vmj00400003P0004/0001@0000
D0807`9a0P2@GI0209]gZP@0VgNY1@2KN:/409em[`80WhBf102XPjd50:b=]@030:jH`03Ce=X0dmCJ
00<0dmCJ3`2Y_NP50:Rmj0H0Vk?X1@2K]^/409Zfk0H0VKO]102M^N`50:BkjPL0[<3Y0P2b`^H30;;4
j0H0]/CU1P2faNH60;?4iPH0/<;W1@2^`>L60:bni`<0ZkkX0`2Z_^P50:Zmj5d0ZKgX00<000000=WI
f@3IfMT0B`3IfMT00`000000fMWI0=WIf@160=WIf@030000003IfMT0fMWI00l0fMWI000E0=WIf@80
0000e@3IfMTA0:Vmj080Z;cW0`2X^nL50:Nji`D0Y[SV1@2T/^860:F`h0@0YjkM1@2XYmD50:^Xe0H0
[jG>1@2aZ]470;BZc`80/k3F00<06P1`0;N]c`2g[Ll0102d/mP20;Nad`070:Vmj00004P0000m0:Vm
j00<06L0mJES06/lQP050;>oh`<0ZKgX00<0001A0:Vmj00005400`1c@XL80:Vmj0030000E`21CX/0
PDj;00<0PDj;0`2NP;80100000h0001;0000D000050201l2L@80T5f@0P2KMjX409]gZ@D0VgR[102M
OJl60:R3[@D0[8fe1@3Ce=XG0:Vmj0D0Vk?X102K]^/509Zgk0H0VKO]102M^N`60:Bmk0D0[<3Y1P2b
a>P60;G6i`<0]/GV0`2eaNL30;?4iP<0//CW1P2``^L50:g0i`H0[;kW1P2Z_^P50:Zmj5L0ZKgX0`00
001@0=WIf@030000003IfMT0fMWI04H0fMWI00<000000=WIf@3IfMT03`3IfMT001H0fMWI00<00000
0=WIf@3IfMT0e03IfMT00`000000ZKgX0:Vmj00=0:Vmj0H0Z;_W1@2W^^L50:Bei@D0Y;;R1@2U/>05
0:FWf0D0Z:OE0P2[Z=@30:^Qc@H0[jG>0P2aZ]430;>Tb@H0]:[?0P2g[Ll0100J0700]jg?0;N]c`2g
[Ll20;Bcf0<0]k7C00L0ZKgX0000B00003d0ZKgX00`0I`3eYF<0Jcb600@0/koS00L0^;gM0:Vmj02Y
_NP0ZKgX0000D@2Y_NP0001A00<0Ld:7202Y_NP00`0005L0PDj;085>R`03085>R`<0WX2b00@0000>
0000B`000500001@0P0O0W42091MT080VgNZ1@2KMjT409]hZ`<0WGf_0P2TO:L60:R3[@<0[8fe103O
g=<J0:Vmj0@0Vk?X1@2L]^X509Zgk0D0VKO]1@2L^nh60:Bmk0D0Zl;[0`2ba>P30;76j@H0]LKW1P2e
aNL60;;4i`<0/<;W0`2_`NL50:g0i`H0ZkkX1@2Z_^P60:Zmj5@0ZKgX00<000000=WIf@3IfMT0D`3I
fMT00`000000fMWI0=WIf@150=WIf@030000003IfMT0fMWI00l0fMWI000G0=WIf@800000e@3IfMT0
0`000000ZKgX0:Vmj0080:Vmj0H0Z;cX1@2X^nL50:FhiPD0Y;GU1@2T/^850::Yf`D0YJOH102XYmD6
0:^Qc@D0[jG>1P2cY<T30;BZc`<0]jK700<0]jg?01X0L02g[Ll00P2g[Ll50;Nad`080:Vmj00004P0
000m0:Vmj00<06L0mJES06/lQP2h]mT40;Rmg@<0ZKgX00<0001A0:Vmj00005400`1c@XL80:Vmj003
0000E`21CX/0PDj;0080PDj;00<0XHRj09j0/P2NP;800P2NP;800`0004/0001@0000D00201l2L@80
T5f@0P2KMjX509]gZ@@0VgR[0P2MOJl30:AlY`H0Z8>]0P2/SKD40=oLdaH0ZKgX1P2SZmd40:2bi@D0
W;KZ1@2J]n`509VikPD0W;_^1P2S`>d50:_2j`H0/LKY0`2ea^L30;C7j0<0]LGW0`2caNP60;;4i`H0
[l7W0P2]`>L30:foj0H0ZkkX1@2Z_^P50:Zmj580ZKgXF@3IfMT00`000000fMWI0=WIf@140=WIf@03
0000003IfMT0fMWI00l0fMWI00070=WIf@@000003P3IfMT00`000000fMWI0=WIf@3C0=WIf@030000
002Y_NP0ZKgX00T0ZKgX1@2X_>P50:Jji`D0YKSV102T]ND60:6]h0D0XZWK102UYmP50:NOcPH0Zj7=
0P2_YLh30;2NaPH0/jC91P2gY/L00`0J0700]jg?0;ZYb@020;ZYb@@0]k7C00L0ZKgX0000B00003d0
ZKgX00`0I`3eYF<0Jcb60080_KKB0`2h_Md30:Vmj0030000D@2Y_NP0001A00<0Ld:71P2Y_NP00`00
05@0ZKgX0000E`04085>R`030:68^P2NP;80WX2b0080WX2b00<0001;0000D00005000P0O0W42091M
T0<0VgNZ102KMjT409]hZ`D0Y7bW1P2XPjd00`2/SKD0gmcC0=oLd`020=oLdaD0ZKgX0`2WY=<60:>[
g@@0X;;U1@2N^N/509Zik@D0VKW^1@2L_Nl60:?0k@D0ZlC/1@2aa^T70;C7j0H0/lGX1P2a`nP50:o1
i`H0[KoX1P2[_^P50:Znj0D0Z[gXC02Y_NP2000005d0fMWI00<000000=WIf@3IfMT0A03IfMT00`00
0000fMWI0=WIf@0>0=WIf@002@3IfMT00`000000fMWI0=WIf@0>0=WIf@030000003IfMT0fMWI0=@0
fMWI2`2Y_NP50:Rlj0D0Y[[W102U^>H50:6ah`H0XJgP102RZM/50::Nd@D0Yio>1@2[XLd50;2NaPD0
/jC90P2eW/450;NVa`H0^ZW90`2g/M<01`2Y_NP000180000?@2Y_NP0301W0?FUH`1[?8H00`2m]]82
0;Rmg@<0ZKgX00<0001A0:Vmj00005400`1c@XL0102Y]n<0YYg=0:JMc@2VWLd20:Vmj0030000E02Y
_NP0001G00@0PDj;00<0XHRj09j0/P2NP;800P2NP;800`0004/0001@0000D00201l2L@03091MT02K
MjX0VgNZ0080VgNZ102KMjT309]hZ`80X7NT1@2TO:L50:R3[@@0gmcC502Y_NP60:NTd`D0Xj_M1@2U
^>L509jij`D0V[W]1@2I^nl509bmk`<0Xl3]0`2T`Nh50:_4k0H0/LOZ0`2danP30;?7j@<0/lGX0`2b
aNP60;73j0D0[/7X1@2]_nP70:^nj080Z[kX202Z_NQ70:Vmj0800000H@3IfMT00`000000fMWI0=WI
f@140=WIf@030000003IfMT0fMWI00h0fMWI00090=WIf@030000003IfMT0fMWI00l0fMWI00<00000
0=WIf@3IfMT0d`3IfMT90:Vmj0P0Z;cX102V^^L50::eiPD0XK7S1@2Q[N0509jPePD0XYkA1@2WWlh2
0:^Qc@<0ZiW41@2`W/H20;>Tb@@0]Ik1102gY/L20;ZR`0H0^ZW90P2l[ld01`2Y_NP000180000?@2Y
_NP0301W0?FUH`1[?8H0102m]]801`2h]MH0ZKgX0:Vmj02Y_NP0001A0:Vmj00005400`1c@XL20:^T
d080YYg=0P2Y_NP00`0005@0ZKgX0000E`04085>R`80XHRj0`2NP;800`0004/0001@0000D00201l2
L@03091MT02KMjX0VgNZ0080VgNZ102KMjT209]hZ`<0X7NT1@2TO:L50:R3[@80j>G=4P2Y_NP50:BE
a@H0YjCC0P2SZmd30:bfh0D0YKSW1@2N^N/509^jkPD0VK__102L_Nl70:C1kP80ZlC/0`2[aNd60;77
jPH0/lOY1P2baNP30;73j0<0/<?X1@2^`NP60:boj0D0ZkkX2`2Z_NQ40:Vmj0030000003IfMT0fMWI
06<0fMWI00<000000=WIf@3IfMT0@`3IfMT00`000000fMWI0=WIf@0>0=WIf@002@3IfMT00`000000
fMWI0=WIf@0@0=WIf@800000e@3IfMT50:Vmj0X0Z;cX1P2T^>L40::eiPD0XK7S1@2KYM`409jPePD0
XYkA1@2WWlh50:^Ia0D0/9k61`2eW/420;NVa`@0^Z;0102jZLT20;jW`P080;b_c@2Y_NP000180000
?@2Y_NP0301W0?FUH`1[?8H30;ffdP80`K;<0`2Y_NP00`000540ZKgX0000D@0307=2Q`80ZjC@0P2V
WLd20:Vmj0030000E02Y_NP0001G00@0PDj;0P2QR;X309j0/P030000B`000500001@00807`9a00<0
T5f@09]gZP2KMjX00P2KMjX409]gZ@D0X7NT1@2TO:L40:R3[@<0j>G=3P2Y_NP50:26]`@0Y9G51P2W
Y=<60:bfh0@0YKSW1P2O_>d509^jkPD0V[c`1@2M__050:C1kPH0ZlG]1P2`an/30;?7j@<0/LKZ1@2b
aNP70;33j0D0[L3X1P2/_nP50:^nj0/0Z[gX@@2Y_NQY0=WIf@030000003IfMT0fMWI0480fMWI00<0
00000=WIf@3IfMT03P3IfMT000T0fMWI00<000000=WIf@3IfMT04P3IfMT00`000000fMWI0=WIf@3C
0=WIf@D0ZKgX1@2X_>P60:Jkj0D0Y;SW102R]NH509^[h@@0VjGL1@2NX=H50::Nd@80Yio>0`2UU/H5
0:^Ia0<0/9k60P2aV;d60;FN`@030;NVa`2jX/00^Z;000<0^Z;00`2jZLT30;jW`P080;b_c@2Y_NP0
00180000?@2Y_NP0301W0?FUH`3/ZXP20;ffdP<0`K;<0`2Y_NP00`000540ZKgX0000D@0307=2Q`<0
ZjC@00H0YYg=0:Vmj02Y_NP0001D0:Vmj00005L4085>R`80XHRj0`2NP;800`0004/0001@0000D002
01l2L@03091MT02KMjX0VgNZ0080VgNZ0P2KMjT309abX`@0X7NT1P2TO:L20:R3[@<0j>G=3@2Y_NP3
09aj[0@0X8Jg1@2TULD30:NTd`<0/ZoE1@2/]^060:O1k0D0Wkc]1@2K_>l509Zll0D0WKk`1@2T`nl3
0:_5k@@0ZlK^1@2`an/60;76jPH0/<CY0`2``nP30:k2j0D0[L3X1P2[_nP50:^nj0/0Z[gX>`2Y_NP0
0`000000fMWI0=WIf@1/0=WIf@030000003IfMT0fMWI0440fMWI00<000000=WIf@3IfMT03P3IfMT0
00L0fMWI0`00000E0=WIf@030000003IfMT0fMWI0=<0fMWI1@2Y_NP60:Rlj0D0Y[_X1@2Q]^L409ja
i@D0Vj_Q102KYM`409jPePD0XYkA1@2UU/H50:^Ia080/9k6102aV;d50;FN`@L0^Z;000<0^ZW90;jW
`P2nYl800`2nYl801`2Y_NP000180000?@2Y_NP0301W0?FUH`3/ZXP01@31//`30:Vmj0030000D@2Y
_NP0001A00<0Ld:70`2[Y=001P2VWLd0ZKgX0:Vmj00005@0ZKgX0000E`@0PDj;0P2QR;X309j0/P03
0000B`000500001@00807`9a00<0T5f@09]gZP2KMjX00P2KMjX509abX`@0X7NT1P2TO:L20:R3[@80
j>G=302Y_NP509aj[0D0X8Jg102TULD70;:_e@80[;KP0`2bbN/60:O1k0D0Wkk_1@2K_>l409Zll0H0
W[o`1@2T`nl70:_6kPD0[lO/0`2aa^X30;36jPH0/<CY1P2^`^P20:g0j0<0[<3X1P2[_nP50:Znj0D0
Z[gX?02Y_NP200000740fMWI00<000000=WIf@3IfMT0@@3IfMT00`000000fMWI0=WIf@0>0=WIf@00
2@3IfMT00`000000fMWI0=WIf@0D0=WIf@030000003IfMT0fMWI0=<0fMWI1@2Y_NP60:Rlj0D0Y;WX
1@2Q]^L409jai@@0Vj_Q102KYM`409jPePH0WYC91@2UU/H40:^Ia0H0/IRm102eW/420;NJ^PH0^Z;0
1P2nYl80202Y_NP000180000?@2Y_NP0301W0?FUH`3/ZXP0a:_11031//`30:Vmj0030000D@2Y_NP0
001A00<0Ld:7102TXm@20:Vmj0030000E02Y_NP0001G00@0PDj;0P2=MK@309j0/P030000B`000500
001@00807`9a00<0T5f@09M`X`2GL:<00`2GL:<409abX`@0X7NT1P2TO:L00`2XPjd0j>G=0>SUc@08
0:Vmj0H0VG:T102LNZ`50:26]`80Y9G50`2gYLL60;:_e@H0//W[1P2Ua?0509nnk`D0W;c_1@2K_O05
09jol0D0Y<?_102[a^h30:[6kPD0[lO/1P2`a^X30;34j@<0[l?Y1@2^`^P60:c0j0<0ZkoX0`2[_^P5
0:Znj0D0Z[gX=`2Y_NP3000007D0fMWI00<000000=WIf@3IfMT0@03IfMT00`000000fMWI0=WIf@0>
0=WIf@008@3IfMT00`000000fMWI0=WIf@3C0=WIf@D0ZKgX0`2X_>P30:Nkj0D0Y;WX102Q]^L409ja
i@D0Tj;N102CV]L409RFd0D0WYC91@2UU/H20:^Ia0<0Zi:l1P2aV;d20;FN`@<0]iZj1@2jX/020;fN
^@@0_ZO200@0`ZBl0:Vmj00004P0000m0P0<06L00`3eYF<0k:Z80<B[`@030<6bc0070<:_b02Y_NP0
ZKgX0:Vmj0000540ZKgX0000D@0307=2Q`@0Y:?D0P2Y_NP00`0005@0ZKgX0000E`04085>R`<0SGFd
0P2?L:/00`0004/0001@0000D00201l2L@03091MT02CKZH0Ug2S00<0Ug2S102LLZ<50:1gY0D0Y7bW
0P3XiLd50:Vmj0D0V6fP1@2ILZ@409aj[0D0X8Jg1P2gYLL30;:_e@<0`mOY0`2bbN/40:cBm0D0YLC`
1@2N_Nh509blk`D0Vkg`1@2O`O050:C3k`L0Z/K^1@2^a^`50;36jPL0[l?Y1@2]`NP50:c0j0L0ZkkX
1@2Z_^P50:Zmj3@0ZKgX00<000000=WIf@3IfMT0N03IfMT00`000000fMWI0=WIf@100=WIf@030000
003IfMT0fMWI00d0fMWI000R0=WIf@800000e03IfMT50:Vmj0H0Yk_X102T^NP509bbi`@0Uj[T1@2C
X]h409>Je`@0V9K@1@2NU<T40:FFaPD0Zi:l1P2aV;d60;NJ^P<0^Z;00`2mW[T30;jW`P80`ZBl00<0
ZKgX0000B00003d00P0<06L01@3eYF<0k:Z80<B[`@34Zl40`K;<0080`Zo80`2Y_NP00`000540ZKgX
0000D@0307=2Q`@0Y:?D0P2Y_NP00`0005@0ZKgX0000E`04085>R`<0SGFd0P2?L:/00`0004/0001@
0000D00201l2L@03091MT02CKZH0Ug2S00<0Ug2S102LLZ<50:1gY0D0Y7bW0P3/lL`30:Vmj0<0UfZM
102HKJ0509UbY0D0W7Z/0`2PQ[L20;NJ^PH0]jG71P33enT70:cBm0D0X<3_1@2N_Nh409blk`H0WKk`
1@2O`O050:G4k`@0Z/K^0`2ZaNd50:k6k0D0[lGZ102_`nT30:k2j@D0[L7X1@2/_nP60:^nj0H0Z[kX
1@2Z_NP`0:Vmj0030000003IfMT0fMWI07/0fMWI00<000000=WIf@3IfMT0@03IfMT00`000000fMWI
0=WIf@0=0=WIf@00903IfMT00`000000fMWI0=WIf@3B0=WIf@D0Z;cX1@2W^nP50:6gj0D0W;;W102G
Z^@509>RgP<0Ti[G102HU]0509jDb@80YIK60`2SS[h50:^B_0@0/IRm0P2bTkH50;NJ^P80^Z;01@2m
W[T01`2nYl80`ZBl0<:T_032Y;`0ZKgX0000B00003d00P0<06L0103eYF<0k:Z80<B[`@34Zl430<:_
b0<0ZKgX00<0001A0:Vmj00005400`1c@XL0102e[]80Y:?D0:BSe02TXm@20:Vmj0030000E02Y_NP0
001G00@0PDj;0`2=MK@208m`Z`030000B`000500001@00807`9a00<0T5f@09=^YP2GL:<00`2GL:<4
09abX`D0X7NT102TO:L20>cac080ZKgX1@2GJYd409Q]X0D0VG:T1@2LNZ`20:26]`<0]iZj1@2gYLL3
0=O]h`H0]NKg1P2S^n/50:30k`D0W[_]1@2M_>h509fnl0D0XL7`1@2Ua>l70:[5k@80[/K/0`2]aN`5
0:o5jPL0[/;Y0P2]`NP30:c0j0D0[;oX1P2[_^P50:Znj0H0Z[gX:`2Y_NP200000840fMWI00<00000
0=WIf@3IfMT0?`3IfMT00`000000fMWI0=WIf@0=0=WIf@009@3IfMT00`000000fMWI0=WIf@3B0=WI
f@D0Z;cX1P2U^^P40:6gj0D0W;;W102GZ^@409>RgP@0Ti[G102HU]0409jDb@D0Xhjn1@2[T[`30;6H
_@<0/Y>f1@2gV[X70;fN^@@0`ZBl00<0ZKgX0000B00003d00P0<06L01@3eYF<0k:Z80<B[`@34Zl40
ajZl0080`Zo80`2Y_NP00`000540ZKgX0000D@0307=2Q`040;F^dP2TXm@0Y:?D0:BSe080ZKgX00<0
001D0:Vmj00005L01021CX/308ee]080Sg2[00<0001;0000D00005000P0O0W400`2@GI00TfjV09M`
X`0309M`X`@0W7:S1@2PMj@30:AlY`80k?7<102FJI`409MZW@@0V6fP1@2ILZ@509aj[0030:26]`2g
V[X0]iZj00<0]iZj0`2gYLL30=O]h`<0YoSK1P2Y_NP50:>kj`D0Wk[/1@2N^nd509flkPD0Wkk_1@2Q
`O060:K3kPD0Z/G]1P2]aN`60:g3jPD0[/;Y1P2/`>P60:^oj0D0ZkkX2P2Z_NPW0:Vmj0800000QP3I
fMT00`000000fMWI0=WIf@0n0=WIf@030000003IfMT0fMWI00d0fMWI000V0=WIf@030000003IfMT0
fMWI0=80fMWI1@2W_>P60:Fjj0@0XKOX1@2D[>L408bQhP@0QiKK0`29SM4409RFd0D0VX[2102SS[h6
0:^B_0030;6H_@2bTkH0/Y>f0080/Y>f1@2gV[X00`2jUk<0_Iji0;fN^@040;fN^@070<2L/`32Y;`0
`ZBl0<:T_02Y_NP000180000?@0200`0I`030?FUH`3/ZXP0a:_100<0ajZl00L0`Zo80:Vmj02Y_NP0
ZKgX0000D@2Y_NP0001A00<0Ld:70P2c^Md208Bcl`80ZKgX00<0001D0:Vmj00005L01021CX/308ee
]080Sg2[00<0001;0000D00005000P0O0W400`2@GI00TfjV09M`X`0309M`X`D0W7:S102PMj@20:Al
Y`80k?7<1@2FJI`409MZW@@0V6fP1P2ILZ@409aj[0H0]iZj0P2gYLL30=O]h`80YoSK2@2Y_NP50:Rm
j0D0Wk[/102N^nd609nmk@D0Wkk_1@2S`Nl60:K3kPD0Z/C]0`2]aN`30:c4j`H0[L?Z1@2]`NT30:c0
j0<0[;oX1P2[_nP50:Znj0D0Z[gX:@2Y_NP00`000000fMWI0=WIf@280=WIf@030000003IfMT0fMWI
03d0fMWI00<000000=WIf@3IfMT03@3IfMT002L0fMWI0P00003C0=WIf@D0YkcX0`2U^^P30:>ij@@0
WKCY102D[>L408bQhP@0QiKK1029SM44092:b0@0VX[21@2SS[h50:^B_0H0/Y>f0`2gV[X20;ZG/`D0
_Iji0P30W;<30<:T_0030:Vmj00004P0000m0080301W00<0mJES0>bZR037Z[`01037Z[`30:Vmj003
0000D@2Y_NP0001A00<0Ld:70`2c^Md01P24/o<0ZKgX0:Vmj00005@0ZKgX0000E`@0PDj;102=MK@0
102?L:/0001;0000D000050201l2L@03091MT02CKZH0Ug2S00<0Ug2S1@2LLZ<40:1gY0030:AlY`3/
lL`0k?7<00H0UVVL102GJYd509Q]X0D0VG:T0`2LNZ`20;F@/0D0]iZj0`3GkN<20:Ohf``0ZKgX1@2X
_NP409njk0H0XK_[1@2O_Nd50:6okPD0Xl7_1P2W`nh50:[4k@H0[<C[1P2/`^X50:g1j@H0[;oX0`2[
_nP30:^nj0D0Z[kX1@2Z_NPU0:Vmj0030000003IfMT0fMWI08/0fMWI00<000000=WIf@3IfMT0?@3I
fMT00`000000fMWI0=WIf@0=0=WIf@00:@3IfMT00`000000fMWI0=WIf@3A0=WIf@D0YkcX1P2S^NT4
09fdj@@0U:cW102<XN8408NFf`<0RHgA102@R/P409Z:`PD0Xhjn102[T[`20:^<]@D0/Y>f0P2gV[X4
0;ZG/`<0_Iji1030W;<20<:T_0030:Vmj00004P0000m0080301W00<0mJES0<NZ_037Z[`01037Z[`3
0:Vmj0030000D@2Y_NP0001A00<0Ld:7102c^Md20:Vmj0030000E02Y_NP0001G00@0PDj;102=MK@0
102?L:/0001;0000D000050201l2L@03091MT02CKZH0Ug2S00<0Ug2S1@2LLZ<40:1gY0<0h?g?1P2F
JI`409MZW@D0V6fP1@2ILZ@209aj[0<0]I2`1@2gV[X20>;maa00ZKgX102X_NP50:6gj0H0XK_[1@2R
_Nd50:6okPH0Y<7^1@2W`nh50:[3k0<0[<C[0`2[`^/60:c2jPD0[<3Y1@2/_nP70:^nj0@0Z[kX1P2Z
_NPP0:Vmj0030000003IfMT0fMWI0900fMWI00<000000=WIf@3IfMT0?03IfMT00`000000fMWI0=WI
f@0=0=WIf@00:P3IfMT00`000000fMWI0=WIf@3A0=WIf@H0Y[_X1@2S^NT309fdj@@0U:cW102<XN84
08NFf`@0RHgA0`2@R/P509Z:`P@0Xhjn0P2[T[`40:^<]@D0/Y>f00<0]iZj0;ZG/`2jUk<00`2jUk<3
0;fN^@@0`9bc00D0`ZBl0<FS]P2Y_NP000180000?@0200`0I`030?FUH`37Z[`0ajZl00<0ajZl00L0
bj^i0:Vmj02Y_NP0ZKgX0000D@2Y_NP0001A00<0Ld:70P2c^Md20;o=i@80ZKgX00<0001D0:Vmj000
05L01021CX/408ee]00408m`Z`0004/0001@0000D0807`9a00<0T5f@09=^YP2CKZH0102GL:<409ab
X`@0X7NT0P3PoLl709IYW0@0UfZM1@2HKJ0509UbY00309aj[02eT;00]I2`0080]I2`102gV[X20>;m
aaH0ZKgX1@2Q]nP60:>lj`D0X[g]1@2S_nd60:C1kPD0Yl;]1@2Z`n`60:_2j`<0[<;Z0`2/`NT50:c0
j@D0ZkoX1P2[_^P50:Znj0D0Z[gX702Y_NP2000009H0fMWI00<000000=WIf@3IfMT0>`3IfMT00`00
0000fMWI0=WIf@0=0=WIf@00:`3IfMT00`000000fMWI0=WIf@3A0=WIf@030000002V^nP0Y[_X00<0
Y[_X1@2O]nT309J`j@@0R:CW101kU>0307J6eP@0RHgA102@R/P409Z:`P@0Xhjn1P2[S;D50;:C]PL0
^YNc00<0_Iji0<2L/`30W;<00`30W;<20<FS]P030:Vmj00004P0000m0080301W00<0mJES0<NZ_037
Z[`00P37Z[`20<^[^@<0ZKgX00<0001A0:Vmj00005400P1c@XL50;o=i@80ZKgX00<0001D0:Vmj000
05L01021CX/20:Vmj080SGFd00@0Sg2[0000B`000500001@0`0O0W4209=^YP@0Ug2S102LLZ<30:1g
Y080h?g?202FJI`409MZW@D0V6fP1@2ILZ@60;F@/080]iZj0P3RoLLH0:Vmj0H0YKWX1@2S_>/50:Bn
k0D0Xko]1P2U`Nd50:O2k@D0Z/;[1@2[`^/70:c1j@80[<3Y202[_nP;0:Znj0D0Z[gX6@2Y_NP00`00
0000fMWI0=WIf@2H0=WIf@030000003IfMT0fMWI03/0fMWI00<000000=WIf@3IfMT0303IfMT002`0
fMWI0P00003C0=WIf@D0YK_Y1@2O]nT309J`j@@0R:CW101kU>0307J6eP<0Ngk;102@R/P409Z:`PD0
XXJf1P2[S;D30;:C]P80]8n`1P2jUk<60<2L/`050<BK[P35XkH0ZKgX0000B00003d00P0<06L0103e
YF<0ajZl0<NZ_037Z[`30<^[^@060:Vmj00000H0ZKgX0000D@2Y_NP0001A0P1c@XL20<njaP80_lgU
00H0d]3H0:Vmj02Y_NP0001D0:Vmj00005L4085>R`<0Z:_I00<0SGFd08m`Z`0004/00P00050301l2
L@80TfjV102GL:<409abX`80X7NT0P3PoLl00`2GK9h0UVVL09IYW00609IYW0@0UfZM1@2HKJ0509Ub
Y0030;:8Z@2eT;00]I2`00<0]I2`00<0]iZj0>;ma`3RoLL05@2Y_NP50:Jdh`H0YKWX1@2U_N/50:Bn
k0D0YKo/1P2U`Nd50:S1k0D0Z/;[1P2[`NX50:c1j@H0ZkoX1@2[_^P60:Znj0X0Z[gX5@2Y_NRN0=WI
f@030000003IfMT0fMWI03/0fMWI00<000000=WIf@3IfMT0303IfMT002h0fMWI00<000000=WIf@3I
fMT0d@3IfMT50:Fkj@@0WkOY102F/>T408RTi`@0NiCP0`1fQ]H307]nb`<0R7g11@2FPKX40::6]PH0
Zhbe0P2bTkH30;B?/0H0^YNc00<0_9B^0<2L/`30W;<00P30W;<20<BK[P040<FS]P2Y_NP000180000
?@80301W00<0mJES0<VS/P37Z[`0103;ZkT30:Vmj0030000D@2Y_NP0001A0080Ld:70`3?^/H20=;@
f080ZKgX00<0001D0:Vmj00005L01021CX/40:R[f@0408m`Z`0004/0001@0000D0<07`9a0P2CKZH4
09M`X`@0W7:S00<0X7NT0>3mc`3PoLl00P2GK9h809IYW0D0UfZM1@2HKJ0309UbY080/XRY1@2eT;02
0;cTOa@0ZKgX0`2Y/=d50:Jdh`<0YKWX0`2X_NT50:Fmj`80Y;k/0`2U_^/50:Fok0<0YL7]0`2V`>`5
0:S1k0D0Z/7[1P2[`NX50:_0j@H0ZkoX1@2[_^P60:Znj0D0Z[gX5@2Y_NP00`000000fMWI0=WIf@2P
0=WIf@030000003IfMT0fMWI03X0fMWI00<000000=WIf@3IfMT0303IfMT002l0fMWI00<000000=WI
f@3IfMT0d@3IfMT40:Fkj@D0V[G[102;ZnX407NIiP<0Hh;L0`1fQ]H307]nb`@0R7g1102FPKX50::6
]PD0Zhbe00<0/Y>f0;B?/02dSk000P2dSk050;ZG/`80_9B^1030W;<30<BK[P030:Vmj00004P0000m
0080301W00<0k:Z80<VS/P3;ZkT0103;ZkT30:Vmj0<0001A0P1c@XL30<njaP80e[g10P2Y_NP00`00
05@0ZKgX0000E`03085>R`D0Z:_I00@0XHRj0000B`000500001@0P0O0W4309=^YP@0Ug2S102LLZ<2
09gba`<0UfbN202FJI`509MZW@D0V6fP0P2ILZ@30;:8Z@D0]I2`00<0_>Ao0:Vmj02Y_NP04@2Y_NP6
0:V`g@@0Y[CS1`2X_NT40:Fmj`H0YKk[1@2U_n`60:K0k080Z<7/0`2X`>/50:[1j`/0Zl3Y1P2[_nP2
0:^nj0T0Z[kX1@2Z_NP@0:Vmj0800000YP3IfMT00`000000fMWI0=WIf@0i0=WIf@030000003IfMT0
fMWI00`0fMWI000`0=WIf@030000003IfMT0fMWI0=00fMWI1P2R^^T409Zej`@0Rj_Z0`1gVNH406>2
g00305iacP1fQ]H0MXKF00<0Ngk;0`28OL4509J1^P@0XXJf1@2[S;D60;B?/0<0^YNc0`2lU:h30<2L
/`@0a9^^00<0ZKgX0000B00003d00P0<06L00`3/ZXP0bJ>b0<fT[P040<^[^@<0ZKgX0`00054207=2
Q`80ck[60`3F_L420:Vmj0030000E02Y_NP0001G00<0PDj;00<0bK?40:R[f@2XZmT00`2^VL400`00
04/0001@0000D00201l2L@<0TfjV102GL:<309abX`0309gba`2HKj80UfbN00<0UfbN202FJI`509MZ
W@D0V6fP0P2ILZ@30;:8Z@@0]I2`00<0_>Ao0:Vmj02Y_NP03P2Y_NP50:RWe@D0ZK3M1P2[_NH50:Rm
j@D0Y[k[1@2U_^/60:Joj`D0Y/3/1P2X`>/60:W0jPD0Zl3Y1@2[_nT50:^oj0/0Z[kX1P2Z_NP;0:Vm
j0<00000Z@3IfMT00`000000fMWI0=WIf@0i0=WIf@030000003IfMT0fMWI00`0fMWI000a0=WIf@80
0000dP3IfMT50::jj@@0V[G[0`2;ZnX407NIiP<0Hh;L0`1NLLh307]nb`<0R7g11@2FPKX50::6]P<0
Zhbe0P2/R:l50;B?/080^YNc1@2lU:h20<2L/`@0a9^^00<0ZKgX0000B00003d00P0<06L0103/ZXP0
cJB^0<fT[P3=Y:h30<^[^@<0ZKgX0`00054207=2Q`050<njaP3F_L40e[g10=Jm`@3J^k/00P2Y_NP0
0`0005@0ZKgX0000E`03085>R`030<Vca02^VL40[YW100<0[YW100<0001;0000D00005000P0O0W43
09=^YP@0Ug2S0P2LLZ<309Q_XP@0UfbN202FJI`509MZW@D0V6fP00<0VG:T0;:8Z@2bR:T00`2bR:T3
0;F@/0d0ZKgX1@2VVlX50:RWe@80ZK3M0`2__><60:^miPD0ZKoZ2P2V_^/60:Joj`D0Yko[0`2X`>/3
0:VojPH0ZL3Z1@2Z_nT50:^oj@/0Z[kX2P2Z_NP90:Vmj0030000003IfMT0fMWI0:`0fMWI00<00000
0=WIf@3IfMT0>03IfMT00`000000fMWI0=WIf@0<0=WIf@00<`3IfMT00`000000fMWI0=WIf@3@0=WI
f@D0WkSZ102C/N`307bRj`<0G8OS101SP]`305iacP0306U/``1kO//0Ngk;00<0R7g1102FPKX50::6
]P80Zhbe0`2/R:l50;B?/0030;ZG/`2lU:h0_9B^00@0_9B^00<0`9bc0<BK[P34Vjh00`34Vjh00`2Y
_NP000180000?@0200`0I`040>bZR03=Y:h0cJB^0<fT[P<0bj^i0`2Y_NP30000D@80Ld:700D0ck[6
0=Jm`@3F_L40e[g10=Zk^`020:Vmj0030000E02Y_NP0001G00<0PDj;0P39/<840:jI`@030000B`00
0500001@00807`9a0`2NO[0409M`X`0309]eZ02HKj80V6nR0080V6nR102GK9h909IYW0@0UfZM1@2H
KJ060;:8Z@80]I2`2@2Y_NP60:>>_`D0YY_:102XYmD60:nlh`H0[<?Z1@2Y_nX50:NnjPD0Y[k[1P2W
_^/50:Noj`H0ZKoZ0`2Y`>X30:Voj@D0Z[oY402Z_^P50:Zmj0X0ZKgX00<000000=WIf@3IfMT0/03I
fMT00`000000fMWI0=WIf@0g0=WIf@030000003IfMT0fMWI00`0fMWI000d0=WIf@030000003IfMT0
fMWI0=00fMWI1@2O^>X409>ak0<0O:;[0`1LQn<00`0oJ=<0Hh;L06>2g00305iacP<0JFc30`28OL45
09J1^P@0XXJf1@2/R:l50;B?/0L0_9B^1P34Vjh00`2Y_NP000180000?@0200`0I`030>bZR03=Y:h0
cJB^0080cJB^00<0bj^i0<n]]`2Y_NP00P2Y_NP30000D@80Ld:70`3F_L420=Zk^`80ZKgX00<0001D
0:Vmj00005L00`21CX/20<V``P@0[YW100<0001;0000D00005000P0O0W4409in/0@0VgFX102HKj84
09M/WPT0UVVL102GJYd409Q]X080[H2T1@2bR:T20;F@/0L0ZKgX0`2PQ;H50:>>_`D0YY_:1@2e^mh3
0:nlh`<0//W[1P2/`nX50:RojP/0YkkZ1@2W_^/50:RojPD0ZKoZ1`2Y_nT20:Zoj@<0Z[kY402Z_^P5
0:Zmj0D0ZKgX0P00002f0=WIf@030000003IfMT0fMWI03L0fMWI00<000000=WIf@3IfMT02`3IfMT0
03D0fMWI00<000000=WIf@3IfMT0d03IfMT409nhjPD0RJg]0`1WU^X305b7h`80?fSC0`1NLLh406U/
``0307e`^P28OL40UX6j00@0UX6j0P2RQ[H30:20/0@0[8R_1@2dSk000`2fSJ/0_9B^0;bD[P040;bD
[P030;nDZ@34Vjh0a9^^00<0a9^^00<0ZKgX0000B00003d00P0<06L00`3/ZXP0cJB^0<fT[P020<fT
[P80cjfg0P2Y_NP40000D@80Ld:70`3F_L420=Zk^`80ZKgX00<0001D0:Vmj00005L00`21CX/30<V`
`P<0[YW100<0001;0000D00005000P0O0W40102QR;X0WWj`09in/02NO[0509]eZ0@0V6nR102GK9h8
09IYW0@0UfZM0`2HKJ030:f0Y0D0/XRY00<0]I2`0:Vmj02Y_NP0102Y_NP50:24]PH0Xhjo0`2VVlX2
0;Zif0D0]K_N1P2bbN/30:c3jP<0Z/;[1@2X_nX50:Nnj@H0YkkZ1@2X_^X50:RojP/0ZKoY1P2Z_^T:
0:Znj0/0Z[gX0P00002j0=WIf@030000003IfMT0fMWI03L0fMWI00<000000=WIf@3IfMT02`3IfMT0
03H0fMWI0P00003A0=WIf@D0VkO[1029[Nd306NFjP0303A]f`1LQn<0G8OS0080?fSC0`1NLLh306U/
``80OG2j1@2FPKX50:20/0D0[8R_0`2dSk020;J=Z`D0_9B^0P2oU:T50<BK[P030:Vmj00004P0000m
0080301W00<0k:Z80<fT[P3=Y:h00P3=Y:h0103AYZ`0cjfg0:Vmj02Y_NP40000D@80Ld:70P3F_L43
0=Zk^`80ZKgX00<0001D0:Vmj00005L00`21CX/30<V``P<0[YW100<0001;0000D00005000P0O0W40
0`2QR;X0WWj`09in/00209in/0@0VgFX102HKj8409M/WPP0UVVL102GJYd209Q]X0@0[H2T1@2bR:T3
0:Vmj0D0WWf_1@2PQ;H50:>>_`80YY_:102j^MP20;FkgP<0^]G^1P2bbN/60:[2j`D0Z;kY1@2W_^T6
0:Rnj@D0Z;kZ1@2X_^T50:Voj@H0ZKkY1@2Z_^T;0:Znj0P0Z[gX00<000000=WIf@3IfMT0_03IfMT0
0`000000fMWI0=WIf@0f0=WIf@030000003IfMT0fMWI00/0fMWI000h0=WIf@030000003IfMT0fMWI
0<l0fMWI1@2K]n/308V]k@<0IiKZ0`0dKM/203mXd`0303aF``1NLLh0GW7>00<0JFc30`1mL;X5095h
]0@0X82`1@2/R:l20;B?/0@0]Xf[102lU:h20;nDZ@@0a9^^00@0ai^[0:Vmj00004P0000m0P0<06L0
103/ZXP0cJB^0<fT[P3=Y:h20=6V[0030<n]]`2Y_NP0ZKgX00@0001A0P1c@XL00`3J/k40f[^k0=Zk
^`020=Zk^`80ZKgX00<0001D0:Vmj00005L00`21CX/30<V``P<0[YW100<0001;0000D00005000P0O
0W400`2QR;X0WWj`09in/00209in/0@0VgFX102HKj8409M/WPP0UVVL102GJYd00`2HKJ00[H2T0:f0
Y0030:f0Y0D0/XRY102LNJ`409im[`D0X8Bf1@2SS[l60;Zif0H0^]G^1P2]a^`30:[2j`<0Z;gX1@2X
_^T20:Nnj@<0Z;gY402X_^T;0:VnjA00Z[kX1@2Z_NS20=WIf@030000003IfMT0fMWI03D0fMWI00<0
00000=WIf@3IfMT02`3IfMT003T0fMWI00<000000=WIf@3IfMT0c`3IfMT509Nek@<0OJO^00<0AhCW
06NFjP1WU^X00`0dKM/203mXd`0303aF``1NLLh0JFc30080JFc30`1mL;X5095h]0@0X82`1@2/R:l0
0`2dSk00]Xf[0;J=Z`030;J=Z`<0_9B^102oU:T20<BK[P80ai^[00<0ZKgX0000B00003d00P0<06L0
103/ZXP0cJB^0<fT[P3=Y:h30=6V[080ZKgX1000054207=2Q`030=Zc/@3N]Zl0f[^k0080f[^k0P2Y
_NP00`0005@0ZKgX0000E`03085>R`80bK320P32^]8209fRf0030000B`000500001@00807`9a00<0
O8;>09in/02NO[000P2NO[0409]eZ0@0V6nR102GK9h809IYW0@0UfZM1P2]P:@40;:8Z@0309ahZP2L
NJ`0W7V/0080W7V/1@2NOJl50:24]P80Xhjo0`2n]M830;Zif0<0`nS`0`2jeNh40;3?l0D0[LK/1P2X
_NP40:Rnj@H0Z;gY0`2X_^T30:Rmj@D0Z;kY2`2Y_^T50:Vnj0l0Z[kX00<000000=WIf@3IfMT0a@3I
fMT00`000000fMWI0=WIf@0d0=WIf@030000003IfMT0fMWI00/0fMWI000j0=WIf@030000003IfMT0
fMWI0<l0fMWI1@2G]Nd307fWkP80AhCW0`0dKM/0100<@/40?fSC03aF``0lE/<406U/``<0OG2j102A
N;@50:20/0@0[8R_1P2fSJ/30;bD[P@0_iBY0P34Vjh20<NKZ`030:Vmj00004P0000m0080301W00<0
k:Z80<fT[P3=Y:h0103AYZ`20:Vmj0@0001A0P1c@XL01@3J/k40g[J_0=jf[`3J^k/0f[Vi0080ZKgX
00<0001D0:Vmj00005L00`21CX/00`39/<80`[[B0<:jdP020<:jdP0409fRf00004/0001@0000D080
7`9a0P1lP/h00`1_Jkd0WWj`09in/00409]eZ0@0V6nR102GK9h809IYW0@0UfZM00<0YgZR0:f0Y02]
P:@0102]P:@30;:8Z@0309ahZP2LNJ`0W7V/0080W7V/1@2NOJl50:24]PH0_[GB1P33j?070;3?l0D0
ZKgX2P2X_NP<0:Rmj@80Z;kY2`2Y_^T=0:Vnj0D0Z[kX0P00003:0=WIf@030000003IfMT0fMWI03@0
fMWI00<000000=WIf@3IfMT02`3IfMT003/0fMWI00<000000=WIf@3IfMT0c`3IfMT409Nek@@0OJO^
0P17Q>L01@00A/L0=6gK03A]f`0<@/40?fSC0080?5K300<0DUNi06U/``1YK<<00`1mL;X4095h]0D0
X82`0`2/R:l20:f5Z`H0]Xf[00<0_9B^0;nDZ@2oU:T00`2oU:T01`34Vjh0ai^[0<NKZ`37Vj/0ZKgX
0000B00003d00P0<06L30<fT[P@0dJJ/0P2Y_NP40000D@80Ld:70`3N]Zl20=Zi^@80ZKgX00<0001D
0:Vmj00005L00`21CX/60<:jdP030000B`000500001@00807`9a0P1lP/h306m[_@@0VgFX102HKj84
09M/WPP0UVVL0`2GJYd20:MjXPH0[H2T0P2bR:T209ahZP@0W7V/1P2NOJl30:24]P80_k7<102n]M83
0<?li`L0/mke3`2Y_NP;0:Rmj0D0Z;gY2P2Y_^TA0:Vnj0<00000cP3IfMT00`000000fMWI0=WIf@0c
0=WIf@030000003IfMT0fMWI00/0fMWI000l0=WIf@800000d03IfMT4096ckP@0K9o_00@076WL04N4
i`00A/L0=6gK0P0<@/4203aF``80DUNi00@0JFc307e`^P1mL;X0OG2j1@2AN;@40:20/080[8R_0`2]
QJ/60;J=Z`030;bD[P2oU:T0_iBY00<0_iBY1037Vj/00`2Y_NP000180000?@0200`0I`80cJB^1@3A
YZ`20:Vmj0@0001A0P1c@XL30=jf[`070>6h[P3J^KT0ZKgX0:Vmj00005@0ZKgX0000E`03085>R`H0
`[[B00<0001;0000D00005000P0O0W4207b2cP@0Kf^m00<0Lf:a09]eZ02KMJP0102HKj8409M/WPP0
UVVL0P2GJYd30:MjXPH0[H2T0P2bR:T209ahZPD0W7V/1@2NOJl20:24]P@0_k7<0P2n]M820<?li`@0
[o3f5@2Y_NP60:Rlj0D0Z;gX1@2Y_NP50:VnjA<0ZKkX00<000000=WIf@3IfMT0d@3IfMT00`000000
fMWI0=WIf@0c0=WIf@030000003IfMT0fMWI00X0fMWI000n0=WIf@030000003IfMT0fMWI0<h0fMWI
102A/nh306bOk`8076WL00<0AhCW0016a`0<@/400P0<@/40100lE/<0DUNi059G^@1BEkT407e`^P@0
TGRd102PP;000`2/R:l0[HF[0:f5Z`020:f5Z`H0]Xf[1P2oU:T02@33U:H0ai^[0<NKZ`37Vj/0ZKgX
0000B00003d0301W0>bZR0020<fT[P@0dJJ/00<0eZVY0:Vmj02Y_NP01000054207=2Q`<0g[J_0P3Q
^:h20:Vmj0030000E02Y_NP0001G00<0PDj;00@0fl?10<:jdP32^]80`[[B0P2le^d00`0004/0001@
0000D00201l2L@030=OMg01lP/h0O8;>00<0Kf^m0P1cH[400`2KMJP0V6nR09Q_XP0209Q_XP@0UfbN
202FJI`00`2GJYd0YgZR0:MjXP020:MjXPH0[H2T00@0/XRY09ahZP2LN:X0W7RZ1@2LNJ`509im[`H0
_k7<0P33o>L40:o`mQP0ZKgX1P2X_>P?0:Vmj100ZKkXeP3IfMT00`000000fMWI0=WIf@0c0=WIf@03
0000003IfMT0fMWI00X0fMWI000o0=WIf@030000003IfMT0fMWI0<h0fMWI102A/nh306bOk`8076WL
0P00A/L200a2`@0300da/@0lE/<0DUNi0080DUNi00<0LF>c07e`^P1mL;X0102AN;@40:20/0D0[HF[
1P2fSJ/00`2iS:L0_iBY0;nDZ@030;nDZ@0:0<>DYP37Vj/0ai^[0<NKZ`2Y_NP000180000?@0<06L0
k:Z80<fT[PD0dJJ/00<0eZVY0:Vmj02Y_NP01000054207=2Q`80g[J_0`3Q^:h20:Vmj0030000E02Y
_NP0001G00<0PDj;0P3K`l440;cFk@030000B`000500001@00807`9a0P3GgM`0101lP/h0Kf^m06m[
_@1_Jkd307=R/@@0V6nR102GK9h809IYW0H0YgZR1@2]P:@00`2bR:T0W7RZ09ahZP0209ahZP@0W7V/
102NOJl20;f/b0@0_k7<0P2Ik;8308[]eSH0ZKgX1@2Y_^P00`000000fMWI0=WIf@3H0=WIf@030000
003IfMT0fMWI0380fMWI00<000000=WIf@3IfMT02P3IfMT00400fMWI00<000000=WIf@3IfMT0cP3I
fMT408Z`k`80EYC^0`0LJM`01@00A/L000nO00a2`@0=<K40?5K300<0DUNi0`1aHk<4095h]080X82`
0`2OO:`40:f5Z`D0]Xf[0P2iS:L40;nDZ@80`iBV0`37Vj/01@2Y_NP000180000?@0<06L0k:Z800H0
dJJ/00<0eZVY0:Vmj02Y_NP01000054207=2Q`80g[J_0`3Q^:h20:Vmj0030000E02Y_NP0001G00<0
PDj;00@0fl?10=o@b@3Od<T0gm390P37jNh00`0004/0001@0000D00201l2L@030=OMg03?b]D0cl[E
00<0Kf^m101cH[400`1nHjP0V6nR09Q_XP0409M/WPL0UVVL0P2OM:450:MjXPD0[H2T1@2LN:X409ai
[080WWf_102m[<P30;nac080VNbb7@2Y_NP30:Vlia/0ZKgX00<000000=WIf@3IfMT0g@3IfMT00`00
0000fMWI0=WIf@0a0=WIf@030000003IfMT0fMWI00X0fMWI00110=WIf@800000c`3IfMT408Z`k`80
EYC^00L004C501aYg00LJM`004K7000?W`0<@/403C6a00<0DUNi101aHk<308a`[`D0Wgb/1@2]QJ/3
0;J=Z`<0^HbW102oU:T20<>DYP<0ai^[00H0ZKgX0000B00003d0301W0>bZR03@WjD40=6V[080eZVY
0P2Y_NP40000D@80Ld:70P3N]Zl30>6h[P80ZKgX00<0001D0:Vmj00005L00`21CX/40=o@b@80i=W;
00<0001;0000D00005000P0O0W440<o:e@<0Kf^m0`1cH[4307iSZ0@0UfbN1P2FJI`309mdX@D0YgZR
1@2]P:@509ahZP@0W7V/1`2m[<P00`2o/L`0VNbb0:Vmj00L0:Vmj0H0ZKcW5@2Y_NP300000><0fMWI
00<000000=WIf@3IfMT0<03IfMT00`000000fMWI0=WIf@0:0=WIf@00@`3IfMT00`000000fMWI0=WI
f@3=0=WIf@@0PZga00D0>hK[05JDkP00A<D004C5000AX002000?W`0400da/@1BEkT0DUNi059G^@@0
LF>c102<L:l409ml[0D0[HF[0`2fSJ/30;V<Y`<0_iBY1033U:H20<NKZ`80001800@0k:Z800`0I`3/
ZXP0d9nU103AYZ`20=JYZ@030:Vmj0000580001A00<0001A00<0Ld:70=jf[`3N]Zl0103Q^:h20:Vm
j0030000E02Y_NP0001G00<0PDj;0`3Od<T30>CIb`030000B`000500001@00807`9a0`3?b]D20<No
d`80Kf^m0`1cH[4407iSZ0<0RfNT102FJI`509mdX@D0YgZR102]P:@609ahZP<0W7V/0P2hYlP60;f/
b1/0ZKgX2`2Y_>LB0:Vmj0800000iP3IfMT00`000000fMWI0=WIf@0`0=WIf@030000003IfMT0fMWI
00X0fMWI00140=WIf@030000003IfMT0fMWI0<d0fMWI1022[O4203^6j`8004C50P003il200da/@<0
DUNi0`1aHk<408a`[`@0Wgb/1@2]QJ/20;J=Z`D0^HbW0P2oU:T40<>DYP070<NKZ`3;WJL000180000
B03/ZXP0301W0>bZR0020=2OY@<0dJJ/0P3FZJT00`2Y_NP0001B0000D@030000D@0307=2Q`3N]Zl0
g[J_00@0hKR^0P2Y_NP00`0005@0ZKgX0000E`03085>R`80gm390`3TfL/0103UelT0001;0000D03f
`e0201l2L@80cl[E1037_m<0101_Jkd0Lf:a07=R/@1cH[4407iSZ0@0RfNT102FKJ8409mdX@D0YgZR
102]P:@609ahZP80W7V/102hYlP40;f/b1P0ZKgX1@2Y^nH50:VliaD0ZKgXj`3IfMT00`000000fMWI
0=WIf@0_0=WIf@030000003IfMT0fMWI00X0fMWI00150=WIf@030000003IfMT0fMWI0<d0fMWI0`22
[O4303^6j`06000IX@00A<D000nO000?W`0=<K40<cf^0P1BEkT3075S/`@0S72_102OO:`50:f5Z`03
0;J=Z`2iS:L0^HbW00@0^HbW0P2oU:T40<>DYP070<NKZ`3;WJL000180000B03/ZXP0301W0>bZR002
0=2OY@80dJJ/0`3FZJT00`2Y_NP0001B0000D@030000D@0307=2Q`3N]Zl0g[J_00<0hKR^00H0i;f^
0:Vmj02Y_NP0001D0:Vmj00005L2085>R`<0gm390P3TfL/20>GGb@030000B`000500m/=@00807`9a
1P37_m<0102b[M@0Lf:a07=R/@1cH[4407iSZ0@0RfNT102FKJ8409mdX@H0YgZR0P2]P:@709ahZPL0
^:O80P2m[<PE0:Vmj0D0ZKWT1@2Y^nH60:Zmj0l0ZKgX00<000000=WIf@3IfMT0k@3IfMT00`000000
fMWI0=WIf@0^0=WIf@030000003IfMT0fMWI00X0fMWI00160=WIf@800000cP3IfMT407Z[lP80>hK[
00@001VQ000AX0003il03C6a0P0c?Jh0101BEkT0LF>c075S/`1aHk<408a`[`D0Wgb/102]QJ/70;V<
Y`030;nDZ@33U:H0`iBV00<0`iBV0P3;WJL20000B0030>bZR00<06L0k:Z800<0d9nU00H0dJJ/0=JY
Z@3FZJT0eZVY0:Vmj00005840000D@0307=2Q`3N]Zl0hKR^00<0hKR^00H0i;f^0:Vmj02Y_NP0001D
0:Vmj00005L2085>R`80gm390`3TfL/20>GGb@030000B`000500m/=@00807`9a00<0g=3<0<Nod`37
_m<00P37_m<20<?1f0<0Lf:a101nHjP408]WY0@0UVfR102OM:460:MjXP80[H2T1@2LN:X30:nRbPH0
^:O85@2Y_NP30:Vgh`D0ZKWT0P2Y^nH30:^ni`/0Z[gX1@2Y_NP200000?<0fMWI00<000000=WIf@3I
fMT0;P3IfMT00`000000fMWI0=WIf@090=WIf@00B03IfMT00`000000fMWI0=WIf@3<0=WIf@@0NZ_b
00D07GKS000IX@006J4000nO0002T`0303<m[P@0LF>c0`2<L:l509ml[0@0[HF[00<0[XBW0;V<Y`2i
S:L0102iS:L00`2oU:T0`iBV0<>DYP030<>DYP070<NFY03;WJL000180000B03/ZXP0301W0>bZR003
0=2OY@060=6V[03FZJT0eZVY0=JYZ@2Y_NP0001B100005400`1c@XL0g[J_0>6h[P020>6h[P80i;f^
0P2Y_NP00`0005@0ZKgX0000E`02085>R`040>g;/P3TfL/0i=W;0>CIb`@0iMO900<0001@0?K3D00O
0W400`3Ld<`20<Nod`@0`l7H0`1cH[4307iSZ0@0RfNT102FKJ8409mdX@H0YgZR00<0[H2T09ahZP2L
N:X00P2LN:X50:nRbPD0^:O8502Y_NP60:Vgh`@0ZKWT1P2[_^L30:Zmj0<0Z[kX1@2Z_NP200000?L0
fMWI00<000000=WIf@3IfMT0;P3IfMT00`000000fMWI0=WIf@090=WIf@00B@3IfMT00`000000fMWI
0=WIf@3<0=WIf@@0LZSc00D006CI000IX@006J4000nO00da/@0203<m[P@0LF>c102<L:l409ml[0<0
[HF[0P2^Q:L60;V<Y`H0`iBV00L0aiJT0<^MY`0004P000180>bZR00<06L0k:Z800<0d9nU103FZJT0
0`2Y_NP0001B0000D@030000D@0307=2Q`3Q^:h0hKR^0080hKR^0P3T_Jh20:Vmj0030000E02Y_NP0
001G0080PDj;00<0kL^b0?3B]03`d[@0103UelT0103Rd/P0001@0?K3D00O0W430=c@c0L0`l7H0P1c
H[4307iSZ0@0RfNT102FKJ8409mdX@H0YgZR00<0[H2T0:>Mc`2SWLl00`2SWLl50:nRbP80^:O84P2Y
_NP50:Vdh0D0ZKOS2P2[_^L70:Znj080Z[gX00<000000=WIf@3IfMT0n@3IfMT00`000000fMWI0=WI
f@0]0=WIf@030000003IfMT0fMWI00T0fMWI001:0=WIf@030000003IfMT0fMWI0<`0fMWI101bZ?<0
1000I=T001VQ000?W`000Y<303<m[P<0LF>c102<L:l409ml[080[HF[0`2^Q:L60;V<Y`030;b=Y@33
U:H0`iBV0080`iBV0`37UZ@20000B0030>bZR00<06L0k:Z800<0d9nU00H0eJ>S0=JYZ@3FZJT0eZVY
0:Vmj00005840000D@0407=2Q`3U]J@0hKR^0>6h[P<0i;f^0P2Y_NP00`0005@0ZKgX0000E`02085>
R`030>g;/P3`d[@0l=:d00<0lMNf0P3Rd/P00`000500GCJ801l2L@020=c@c0<0e];E0`33`MP20;O8
i`80Lf:a0`1nHjP408]WY0@0UVfR1@2OM:450:MjXP80TiSF102SWLl50:nRbQ00ZKgX1@2Y/Mh50:Vd
h0D0[;oW1@2[_^L60:^oj0D0Z[kXo`3IfMT00`000000fMWI0=WIf@0/0=WIf@030000003IfMT0fMWI
00T0fMWI001;0=WIf@800000c@3IfMT306^Vl`8006CI00<001VQ0002T`0c?Jh00P0c?Jh00`1REJd0
LF>c075S/`0408a`[`@0Wgb/00<0[HF[0:j4Y`2^Q:L00P2^Q:L50;V<Y`80_8fU1033U:H30<NFY080
001800<0k:Z800`0I`3/ZXP00`3@WjD01P3EXj<0eZVY0=JYZ@3K[JL0ZKgX0000DP@0001A00@0Ld:7
0>FeY03U]J@0hKR^0`3T_Jh20:Vmj0030000E02Y_NP0001G0080PDj;0`3`d[@30?7G]P80l=Vj00@0
001@05dfR00O0W40g=3<1@3Fd]D50;O8i`0307=R/@1nHjP0OV>X0080OV>X0`2;Ij@409I]XPD0WgBQ
1@2WNZ8209>HePD0Xig?0P2_X/X>0:Vmj0D0ZJoL1@2Y/Mh20:Vdh0<0[KoW1@2/_nL60:_0j@D0ZkoX
o`3IfMT40=WIf@030000003IfMT0fMWI02`0fMWI00<000000=WIf@3IfMT02@3IfMT004d0fMWI00<0
00000=WIf@3IfMT0b`3IfMT406^Vl`03001Tf@000Y<0<cf^0080<cf^0P1REJd00`1aHk<0S72_08a`
[`0208a`[`@0Wgb/1@2^Q:L50;V<Y`80_8fU1033U:H30<NFY080001800<0k:Z800`0I`3/ZXP00P3@
WjD30=FSX`040=JYZ@3K[JL0ZKgX0000DP<0001A00@0cJ/O07=2Q`3U]J@0iKFT103T_Jh20:Vmj003
0000E02Y_NP0001G0080PDj;0P3`d[@30?7G]P<0l=Vj00<0001@05dfR00O0W401@3Fd]D20<gFh0<0
]lSW0P2_c_0407iSZ0<0RfNT102FKJ8509mdX@@0YgZR102CV=H40:>Mc`h0ZKgX0`2Y[]/50:V_g0@0
ZK7N1P2]_nL50:c2jPH0Zl3Y00<000000=WIf@3IfMT0o`3IfMT60=WIf@030000003IfMT0fMWI02/0
fMWI00<000000=WIf@3IfMT02@3IfMT004h0fMWI00<000000=WIf@3IfMT0b`3IfMT406^Vl`040000
K0000Y<0<cf^03<m[P<0HUF]102<L:l209ml[0<0WgVX1@2^Q:L30;V<Y`<0_8fU0`33U:H40<NFY080
001800<0k:Z800`0I`3/ZXP00P3@WjD30=FSX`040=JYZ@3K[JL0fjfW0000DP<0001A00@0cJ/O07=2
Q`3U]J@0iKFT0P3Z^j@20>Bm[P80ZKgX00<0001D0:Vmj00005L00P21CX/20?3B]0<0lMNf0P3`fKX0
103]g<00001@05dfR00O0W440=KBe@@0cMKP102_c_0407iSZ0@0RfNT102FKJ8409mdX@<0YgZR00<0
ZKgX09>HeP2CV=H00P2CV=H@0:Vmj0H0ZJkK102Y[m`50:g0j0<0[KoW0`2/a>`50:c2jP<00000o`3I
fMT<0=WIf@030000003IfMT0fMWI02X0fMWI00<000000=WIf@3IfMT02@3IfMT004l0fMWI00<00000
0=WIf@3IfMT0b`3IfMT406NUm0030002T`097Id0<cf^00@0HUF]0`26JJ/509miZ0D0[XBW0`2iS:L3
0;b=Y@<0`iBV1037UZ@20000B0030>bZR00<06L0d9nU0080d9nU0`3EXj<30=^]Y`060000DP000540
001A0000D@3=Zal0Ld:70P3U]J@30>ZkY0060>S3/02Y_NP0ZKgX0000E02Y_NP0001G0P21CX/0103`
d[@0lMNf0?7G]P3aekH30?3I^P040>gL`0000500GCJ801l2L@80jN391@3=e^020<GGi`<0[lk`00@0
//g^07iSZ01nHjP0OV>X102;Ij@409I]XP@0WgBQ0`2WNZ8@0:Vmj0/0ZJkK1@2/`>P50:g0j0H0[<C/
0P2/`^X00`000000fMWI0=WIf@3o0=WIf@l0fMWI00<000000=WIf@3IfMT0:P3IfMT00`000000fMWI
0=WIf@080=WIf@00D03IfMT00`000000fMWI0=WIf@3;0=WIf@<0IjGd00@0001V0002T`0c?Jh0<cf^
0`1REJd408IYZ`@0WgVX1@2^Q:L20;V<Y`D0_8fU0P33U:H40<NFY080001800@0k:Z800`0I`3@WjD0
d9nU103EXj<0103JYj80fjfW0=^]Y`0005830000D@040?BcPP1c@XL0iKFT0>FeY0<0j[^T00H0kl:T
0:Vmj02Y_NP0001D0:Vmj00005L2085>R`030?3B]03aekH0lMNf00<0l=Vj0P3]g<0010000500GCJ8
01l2L@3Yh<T20>;Sd`<0cMKP1035enL40;;=kP80OV>X102;Ij@409I]XP@0WgBQ0P2WNZ8=0:Vmj0D0
ZK3M202Y[]/30:_0j@D0[<3X1@2/and50:c4k?l0fMWI503IfMT00`000000fMWI0=WIf@0Z0=WIf@03
0000003IfMT0fMWI00P0fMWI001A0=WIf@800000c@3IfMT01@1VYO@0001/0002T`097Id0<cf^00<0
HUF]1026JJ/409miZ0D0[XBW0P2iS:L50;b=Y@030<>DYP37UZ@0aiJT00<0aiJT00@000180>bZR03/
ZXP0301W0P3@WjD40=FSX`040=ZWXP3K[JL0fjfW0000DP<0001A00<0m;>207=2Q`3U]J@0103Z^j@0
1P3_`Z@0ZKgX0:Vmj00005@0ZKgX0000E`80PDj;0`3aekH30?3I^P80kMc000<0001@05dfR00O0W40
103Rhm<40<GGi`@0`M?X0`2eanP00`1nHjP0RfNT08]WY00208]WY0@0UVfR102OM:400`2WNZ80ZKgX
0:Vmj0080:Vmj0D0ZK;O1@2Y/=d50:V^f`H0Zl3Y0P2/`>P30:_8k`D0[<O]00<000000=WIf@3IfMT0
o`3IfMTF0=WIf@030000003IfMT0fMWI02T0fMWI00<000000=WIf@3IfMT0203IfMT005<0fMWI00<0
00000=WIf@3IfMT0b`3IfMT0101VYO@0001V00TMW@0c?Jh3069E[@@0QVV[102ONJP50:j4Y`030;V<
Y`2lSJD0_8fU00@0_8fU00<0`iBV0<NFY037UZ@00`37UZ@0100004P0c9VR0>bZR03/ZXP20=2OY@@0
eJ>S0P3JYj800`3K[JL0001B0000D@020000D@030?BcPP1c@XL0iKFT00@0j[^T00H0kl:T0:Vmj02Y
_NP0001D0:Vmj00005L2085>R`80lMNf0`3`fKX20>gL`0040>WPb@000500GCJ801l2L@<0h^?C0`3J
hm`40<7Cj0@0_LgW0P2eanP408]WY0@0UVfR102OM:470:Vmj0D0ZKGQ1@2Y/]l50:V`g@D0ZKoZ1@2[
`>T60:_8k`030000003IfMT0fMWI0?l0fMWI6`3IfMT00`000000fMWI0=WIf@0X0=WIf@030000003I
fMT0fMWI00P0fMWI001D0=WIf@030000003IfMT0fMWI0</0fMWI00<0001V0002T`097Id00`1REJd4
08IYZ`@0WgVX1@2^Q:L70;b=Y@030<>DYP37UZ@0aiJT00<0aiJT00D000180<bIXP3/ZXP0k:Z80=2O
Y@040=FSX`<0fZNR00<0fjfW0000DP0005400P0005400`3d/h80Ld:70>FeY0030>ZkY080kl:T0P2Y
_NP00`0005@0ZKgX0000E`02085>R`040?7G]P3`fKX0l=Vj0?3I^P80kMc00P3Yh<T00`000500GCJ8
01l2L@020>;Sd`<0f^?L0`3Agn870;g=i`030;72iP2;Ij@0RfNT0080RfNT102FKJ8309mdX@H0ZKgX
0`2Y^><50:Veh@D0ZK;O1@2W_^X50:VojPH0Z/W`0P00003o0=WIfB40fMWI00<000000=WIf@3IfMT0
9`3IfMT00`000000fMWI0=WIf@080=WIf@00E@3IfMT00`000000fMWI0=WIf@3:0=WIf@80001V00<0
2AfM069E[@1REJd00P1REJd308IYZ`D0WgVX102^Q:L00`2aQ:D0_8fU0;b=Y@040;b=Y@H0aiJT00D0
00180<bIXP3/ZXP0k:Z80=2OY@040=FSX`<0fZNR00<0h;6V0000DP0005400P0005400`3d/h80Ld:7
0>FeY0030>ZkY080kl:T0P2Y_NP00`0005@0ZKgX0000E`02085>R`040?WGY@3jgJP0n]fX0?[MZ080
nNB]0P3gj[H00`000500GCJ801l2L@040=[Sg0<0dMoR0`38f>D30;g=i`<0^<SV0P2a`^H208]WY0@0
UVfR0P2OM:450:Vmj0H0ZKSS1@2Y]N450:Jnj`D0YkkZ1@2Xb?030:[9l0030000003IfMT0fMWI0?l0
fMWI8P3IfMT00`000000fMWI0=WIf@0W0=WIf@030000003IfMT0fMWI00P0fMWI001F0=WIf@800000
b`3IfMT00`0006H02AfM00TMW@03069E[@<0QVV[1@2ONJP30:j4Y`80/HBU1P2lSJD00`30Sj<0aiJT
0<NFY0030<NFY0050000B03<VJ80k:Z80>bZR03@WjD0103EXj<30=ZWXP030>2]X0000580001A0080
001A00<0m;>207=2Q`3Z^j@00`3Z^j@20>o2Y080ZKgX00<0001D0:Vmj00005L00P21CX/00`3iejD0
n]fX0?[MZ0030?WT[@80mnZf00<0001@0?7^`@0O0W400P3Zl<d40=7OhPD0b=SU1P2hb>H20:noiP03
08]WY02FKJ80UVfR0080UVfR00<0WgBQ0:VkiP2Y^nH01@2Y^^D60:Vhh`D0Y[gZ1@2V_^/50:K6l0D0
Z<S`o`3IfMTX0=WIf@030000003IfMT0fMWI02H0fMWI00<000000=WIf@3IfMT0203IfMT005P0fMWI
00<000000=WIf@3IfMT0b03IfMT20000IP0400TMW@1?AJH0HUF]069E[@@0QVV[102ONJP20:j4Y`<0
/HBU1P2lSJD00`30Sj<0aiJT0<NFY0020<NFY0030<bIXP0004P0c9VR0080k:Z8103EXj<40=ZWXP03
0>2]X0000580001A0080001A00<0m;>207=2Q`3Z^j@00P3Z^j@30>o2Y080ZKgX00<0001D0:Vmj000
05L00P21CX/30?[MZ080nNB]0P3gj[H30?7^`@0301l2L@3Zl<d0hNkI0080hNkI1@38f>D30<7Ai`<0
^<SV0`2daNL20:noiP@0UVfR102[_>H50:Vji@/0Y[gZ1@2Va>l50:K6l?l0fMWI;@3IfMT00`000000
fMWI0=WIf@0V0=WIf@030000003IfMT0fMWI00L0fMWI001I0=WIf@030000003IfMT0fMWI0<P0fMWI
00D0001V00TMW@1?AJH0CdFV069E[@0408IYZ`@0WgVX0P2^Q:L30;64Y@D0_8fU0P30Sj<40<NFY003
0<bIXP0004P0c9VR0080k:Z8103EXj<40=ZWXP030>2]X0000580001A0080001A00<0m;>207=2Q`3Z
^j@00P3Z^j@30>o2Y080ZKgX00<0001D0:Vmj00005L00P21CX/20?[MZ0<0nNB]00H0mnZf0?7^`@3a
k/40lNk10>[`c@0O0W430>7^f@@0e^OR1P31dNL60;C5i`80[koV0`2]_nL50:^liPH0YkgY1@2V_NX5
0:K2k@D0Y/C_00<000000=WIf@3IfMT0o`3IfMT_0=WIf@030000003IfMT0fMWI02D0fMWI00<00000
0=WIf@3IfMT01`3IfMT005X0fMWI00<000000=WIf@3IfMT0a`3IfMT00`0006H02AfM04m5YP0204m5
YP@0QVV[102ONJP00`2^Q:L0/HBU0;64Y@020;64Y@D0_8fU0P30Sj<40<NFY0050<bIXP0004P0c9VR
0000I03/ZXP0103EXj<40=ZWXP030>2]X0000580001A0080001A00<0m;>20>FeY03Z^j@00P3Z^j@3
0>o2Y080ZKgX00<0001D0:Vmj00005L00P21CX/20?[MZ080nNB]0P3gj[H30?7^`@040>[`c@0O0W40
hNkI0>7^f@@0e^OR0P3;gnL30<7Ai`<0^LcX1@2daNL60:foi`80ZkcV0`2Y_^T60:Nmj@D0Y/3/1@2V
`^d200000?l0fMWI=03IfMT00`000000fMWI0=WIf@0U0=WIf@030000003IfMT0fMWI00L0fMWI001K
0=WIf@800000a`3IfMT00`0006H0002304m5YP0204m5YP@0QVV[102ONJP50;64Y@@0_8fU0`30Sj<3
0<NFY080c9VR00@000180<bIXP0006@0k:Z8103EXj<30=ZWXP80h:fP00D0001B0000D@000540001A
0?BcPP030>ZkY0<0kl:T00H0llVT0:Vmj02Y_NP0001D0:Vmj00005L2085>R`050?[MZ03ii:d0nNB]
0?WT[@3gj[H00`3ak/40103Zl<d0hNkI01l2L@3Qk]T40=KWhP@0bmoW1P2ic>P50:o2j0D0[KoW1P2Y
_^T30:Nmj@<0YkoZ1@2V`>`200000?l0fMWI>@3IfMT00`000000fMWI0=WIf@0T0=WIf@030000003I
fMT0fMWI00L0fMWI001M0=WIf@030000003IfMT0fMWI0<D0fMWI00<0001V00TMW@1?AJH00P1?AJH0
0`21HjP0QVV[08IYZ`0209miZ0<0WgNV1@2aQ:D30;b=Y@@0`8nS0P37UZ@20<bIXP040000B03<VJ80
001T0>bZR0<0eJ>S103JYj820>2]X0050000DP000540001A0000D@3d/h800`3Z^j@30>o2Y0070??9
Y02Y_NP0ZKgX0000E02Y_NP0001G085>R`020?[MZ080nNB]00@0mnZf0?7^`@3ak/40lNk10P3]n;@0
0`3WnlP07`9a0=KWhP020=KWhP@0bmoW0`31e^X30;W<j0<0]<OY1@2_`^P60:^oj0D0ZKkY1P2W_nX3
00000?l0fMWI?@3IfMT00`000000fMWI0=WIf@0S0=WIf@030000003IfMT0fMWI00L0fMWI001N0=WI
f@030000003IfMT0fMWI0<@0fMWI00<0001V00TMW@1?AJH00P1?AJH3085SZ0D0WgNV1@2aQ:D20;b=
Y@D0`8nS0P37UZ@20<bIXP040000B03<VJ80001T0>bZR0<0eJ>S103JYj820>2]X0050000DP000540
m;>20000D@3d/h800`3Z^j@30>o2Y0080??9Y02Y_NP0ZKgX0000E02Y_NP0001G085>R`3jgJP30?WT
[@050?O]VP3blj@0l_>T0?;cY03]n;@00P3WnlP00`0O0W40goOJ0=ogfP030=?^iPH0`MKZ1P2danT6
0:g1j0D0ZkoX1@2X_^T30:NojP800000o`3IfMU00=WIf@030000003IfMT0fMWI02<0fMWI00<00000
0=WIf@3IfMT01`3IfMT005l0fMWI00<000000=WIf@3IfMT0a03IfMT0100008<0CdFV04m5YP1?AJH4
085SZ0@0WgNV1@2aQ:D20;b=Y@D0`8nS00P0aiJT0<bIXP3<VJ80c9VR0000B03<VJ80001T0>bZR0<0
eJ>S103JYj820>2]X0050000DP000540m;>20000D@3d/h800P3Z^j@40>o2Y0080??9Y02Y_NP0ZKgX
0000E02Y_NP0001G085>R`3jgJP20?WT[@80mnfJ0P3blj@01P3]n;@0io_80>Okb03OmmX07`9a0=og
fP<0dnkV0P38hn/30<7FjP<0^LoZ0`2danT40;34j@D0[L7X1@2Z_^T50:RnjOl0fMWIA@3IfMT00`00
0000fMWI0=WIf@0R0=WIf@030000003IfMT0fMWI00L0fMWI001P0=WIf@800000a03IfMT0100008<0
CdFV04m5YP1?AJH4085SZ0@0WgNV1@2aQ:D00`2lSJD0`8nS0<2?X`040<2?X`0:0<NFY03<VJ80c9VR
0<bIXP0004P0c9VR0000I03/ZXP0dIfQ0=FSX`D0fZNR0P3P[J001@000580001A0?BcPP000540m;>2
0080j[^T0`3_`Z@20??9Y080ZKgX00@0001D0:Vmj00005L0PDj;0`3kiYH00`3gkIX0l_>T0?;cY002
0>gh]0030>Okb03OmmX0goOJ00@0dnkV1038hn/60;W?jPL0/<CY1@2[_nP50:Znj@030000003IfMT0
fMWI0?l0fMWIA`3IfMT00`000000fMWI0=WIf@0R0=WIf@030000003IfMT0fMWI00H0fMWI001R0=WI
f@030000003IfMT0fMWI0<40fMWI00@0002304m5YP1?AJH0CdFV1021HjP409mgYPD0/HBU00<0_8fU
0<2?X`30Sj<01030Sj<40<bIXP030000B03<VJ80001T0080dIfQ00<0eJ>S0=ZWXP3JYj800P3JYj83
0>2]X0070000DP000540m;>20<f[7`3d/h80k;VN0>ZkY0030>o2Y080llVT0P2Y_NP0100005@0ZKgX
0000E`21CX/30?_VUP050?O]VP3blj@0l_>T0>gh]03WnlP00P3DolD30=7lh0@0b>?[102nf>d60;?9
jP<0/<CY0`2]`^T50:^oj0800000o`3IfMU=0=WIf@030000003IfMT0fMWI0240fMWI00<000000=WI
f@3IfMT01P3IfMT006<0fMWI00<000000=WIf@3IfMT0`@3IfMT304m5YP@0PF>X102OMjH50;64Y@L0
`8nS00L0aI:Q0<bIXP3<VJ80c9VR0000B03AWJ40001T0080dIfQ00<0eJ>S0=ZWXP3JYj800P3JYj83
0>2]X0060000DP000540m;>20<f[7`3d/h80k;VN103_`Z@20??9Y080ZKgX00@0001D0:Vmj00005L0
PDj;0P3kiYH01@3gkIX0l_>T0?;cY03]n;@0dOJT0080e?o50`3Ao>030<W`k@@0_]S]102fcn`50;?9
jPH0[L;Y0P00003o0=WIfE40fMWI00<000000=WIf@3IfMT08@3IfMT00`000000fMWI0=WIf@060=WI
f@00I03IfMT00`000000fMWI0=WIf@300=WIf@040000P`1?AJH0CdFV04m5YP<0PF>X1@2OMjH40;64
Y@030;B5X`30Sj<0`8nS00@0`8nS00<0aI:Q0<bIXP3<VJ800P3<VJ80103AWJ40001T0=6MX@3AWJ45
0=ZWXP<0h:fP00<0001B0000D@3d/h800P3d/h80103/^Ih0l/6L0?;1W03b`I`20??9Y0070?cAV02Y
_NP0ZKgX0000E02Y_NP0001G085>R`020?_VUP040?O]VP3blj@0cn^70<o[Q`80e?o50`3Ao>020<W`
k@@0_n;`1`2fcn`50:o5j@<0[L;Y00<000000=WIf@3IfMT0o`3IfMUC0=WIf@030000003IfMT0fMWI
0200fMWI00<000000=WIf@3IfMT01P3IfMT006D0fMWI00<000000=WIf@3IfMT0_`3IfMT0100008<0
=32N04m5YP1?AJH3085SZ0D0WgNV0`2aQ:D20;B5X`H0`8nS00<0aI:Q0<bIXP3<VJ800P3<VJ801@3A
WJ40001T0=6MX@3AWJ40ej:O00@0fZNR0`3P[J000`000580001A0?BcPP020?BcPP040>biWP3b`I`0
l/6L0?;1W080n<VJ00`0o=6H0:Vmj02Y_NP0001D0:Vmj00005L0PDj;0?_VUP3gkIX0l_>T0=?SMP3?
jhL20=Coa@80dOcP0P39l>d50;oRl0<0^=K_0`2fcn`30;78j`D0[lGYo`3IfMUI0=WIf@030000003I
fMT0fMWI01l0fMWI00<000000=WIf@3IfMT01P3IfMT006H0fMWI0P00002o0=WIf@040000P`0d<9h0
CdFV04m5YP<0PF>X1@2OMjH30;64Y@80]8FS1@30Sj<20<FBX@@0c9VR103AWJ400`3GXYl0fZNR0=ZW
XP020=ZWXP<0h:fP00<0001B0000D@3d/h800P3d/h80103/^Ih0l/6L0?;1W03b`I`20?S9VP0;0?cA
V02Y_NP0ZKgX0000E02Y_NP0n;In085>R`3kiYH0mnfJ0=?SMP3?jhL00P2GhI800`2bn/X0_?[[0;cj
j`050;_[m0H0^=K_1P2ab>_o0=WIfEh0fMWI00<000000=WIf@3IfMT07P3IfMT00`000000fMWI0=WI
f@060=WIf@00J03IfMT00`000000fMWI0=WIf@2l0=WIf@040000FP0d<9h0=32N04m5YP@0PF>X102O
MjH20;64Y@<0]8FS1@30Sj<20<FBX@<0c9VR1@3AWJ420=NRW`80fZNR103P[J0010000580001A0?Bc
PP3d/h820>biWP<0l/6L0P3hbIX0203ldIP0ZKgX0:Vmj00005@0ZKgX0?RfOP21CX/0nnJF0P3ChgH0
103?jhL0Un6B0;cjj`2ln^/50;_[m0@0]]_c1P2bcNd00`000000fMWI0=WIf@3o0=WIfEl0fMWI00<0
00000=WIf@3IfMT07P3IfMT00`000000fMWI0=WIf@060=WIf@00J@3IfMT00`000000fMWI0=WIf@2l
0=WIf@80=32N00<0CdFV085SZ021HjP00P21HjP409mgYP80/HBU102dQJ<40<2?X`<0aI:Q0P3<VJ84
0=6MX@<0ej:O0P3JYj840>2]X0050000DP000540m;>20?BcPP3/^Ih00`3b`I`30?S9VP0:0?cAV02Y
_NP0ZKgX0000E02Y_NP0n;In085>R`3gkIX0dn=f0<o[Q`80UO;O1@2[k_P40;KKl`<0/M3`0`2bcNgo
0=WIfFD0fMWI00<000000=WIf@3IfMT07@3IfMT00`000000fMWI0=WIf@060=WIf@00JP3IfMT00`00
0000fMWI0=WIf@2k0=WIf@030000P`0d<9h0=32N00@0PF>X102OMjH00`2aQ:D0]8FS0;B5X`030;B5
X`<0`8nS1035TZ420<bIXP@0dIfQ103GXYl01`3JYj80h:fP0>2]X03P[J00i[:O0000DP0005400P3d
/h80103/^Ih0l/6L0?;1W03b`I`20?S9VP80o=6H0P2Y_NP01`0005@0ZKgX0?RfOP21CX/0g^5a0<o[
Q`2El]l00`2[k_P60:kOn0H0/M3`o`3IfMUX0=WIf@030000003IfMT0fMWI01d0fMWI00<000000=WI
f@3IfMT01@3IfMT006/0fMWI0P00002k0=WIf@030000P`0d<9h0=32N00@0PF>X102OMjH60;B5X`<0
`8nS1035TZ400`3<VJ80dIfQ0=6MX@030=6MX@@0ej:O00L0fZNR0>2]X03P[J00h:fP0>JbW`000580
001A0080m;>200@0k;VN0?;1W03b`I`0l/6L0P3hbIX20?cAV080ZKgX00H0001D0:Vmj03h]Wh0PDj;
0=?SMP0000060:;Mo0H0[M;co`3IfMU/0=WIf@030000003IfMT0fMWI01d0fMWI00<000000=WIf@3I
fMT01@3IfMT006d0fMWI00<000000=WIf@3IfMT0^03IfMT01@0005X0=32N03@`WP0d<9h0NUfV0080
PF>X0`2OMjH209mgY@D0]8FS0`30Sj<40<FBX@030<bIXP3AWJ40dIfQ00<0dIfQ103GXYl40>2]X003
0>JbW`000580m;>20080m;>200@0k;VN0?;1W03b`I`0l/6L0P3hbIX20?cAV080ZKgX00D0001D0:Vm
j03h]Wh0PDj;0000000309KGoPD0Ym7f0`2]d_?o0=WIfFl0fMWI00<000000=WIf@3IfMT0703IfMT0
0`000000fMWI0=WIf@050=WIf@00KP3IfMT00`000000fMWI0=WIf@2g0=WIf@040000FP0d<9h0=32N
03@`WP80NUfV00<0PF>X09mgYP2OMjH00`2OMjD60;B5X`030<2?X`35TZ40aI:Q00<0aI:Q00<0c9VR
0=6MX@3AWJ400P3AWJ450=NRW`060=jYWP3P[J00h:fP0>2]X03V/Yl0001B0`3d/h800`3/^Ih0l/6L
0?;1W0030?S9VP80o=6H0P2Y_NP0100005@0ZKgX0?RfOP21CX/50:7>m`D0Ym7fo`3IfMUb0=WIf@03
0000003IfMT0fMWI01/0fMWI00<000000=WIf@3IfMT01@3IfMT006l0fMWI00<000000=WIf@3IfMT0
]`3IfMT303@`WP<0NUfV1@2OMjD60;B5X`030<2?X`35TZ40aI:Q00<0aI:Q1@3AWJ450=NRW`030=jY
WP3P[J00h:fP0080i[:O00@0001B0?BcPP3d/h80m;>20`3b`I`20?S9VP<0o=6H0P2Y_NP01@3h]Wh0
ZKgX0?RfOP21CX/0WL[g00D0XLkgo`3IfMUg0=WIf@030000003IfMT0fMWI01X0fMWI00<000000=WI
f@3IfMT01@3IfMT00700fMWI0P00002g0=WIf@<0=32N101jGJH409mgY@H0]8FS00<0`8nS0<FBX@35
TZ400`35TZ400`3:Uj40dIfQ0=6MX@020=6MX@D0ej:O0P3NZIh0103P[J00i[:O0>JbW`0005830?Bc
PP<0l/6L0P3hbIX20?cAV0070?kIUP2Y_NP0ZKgX0?RfOP2Y_NP0n;In085>R`0209g:mol0fMWIN`3I
fMT00`000000fMWI0=WIf@0J0=WIf@030000003IfMT0fMWI00D0fMWI001b0=WIf@030000003IfMT0
fMWI0;@0fMWI00<0001J03@`WP0d<9h0101jGJH409mgY@H0]8FS1P35TZ400`3:Uj40dIfQ0=6MX@02
0=6MX@@0ej:O0`3NZIh0103P[J00i[:O0>JbW`0005830?BcPP<0l/6L0P3hbIX20?cAV0070?kIUP2Y
_NP0ZKgX0?RfOP2Y_NP0n;In085>R`3o0=WIfGh0fMWI00<000000=WIf@3IfMT06@3IfMT00`000000
fMWI0=WIf@050=WIf@00L`3IfMT00`000000fMWI0=WIf@2c0=WIf@030000FP0d<9h0=32N00@0NUfV
102OMjD60;B5X`030;R8X`35TZ40aI:Q00<0aI:Q00@0bYNQ0=6MX@3AWJ40dIfQ1@3GXYl30=jYWP<0
i[:O00@0001B0?BcPP3d/h80m;>20P3b`I`30?S9VP80o=6H00H0o]VF0:Vmj02Y_NP0n;In0:Vmj03h
]Wko0=WIfH00fMWI00<000000=WIf@3IfMT06@3IfMT00`000000fMWI0=WIf@040=WIf@00M03IfMT0
0`000000fMWI0=WIf@2c0=WIf@0300`DTP0d<9h0=32N00<0NUfV102OMjD50;B5X`80^8RS1035TZ42
0<ZGX@<0dIfQ1@3GXYl30=jYWP040>F`W@3V/Yl0i[:O0>biWP<0m;>20P3b`I`30?S9VP030?cAV03n
fIH0o]VF0080ZKgX00<0n;In0:Vmj03h]Wh0o`3IfMV10=WIf@030000003IfMT0fMWI01P0fMWI00<0
00000=WIf@3IfMT0103IfMT007D0fMWI0P00002c0=WIf@0300`DTP0d<9h0=32N00<0NUfV1@2OMjD4
0;B5X`80^8RS1035TZ420<ZGX@<0dIfQ1@3GXYl30=jYWP040>F`W@3V/Yl0i[:O0>biWP<0m;>20P3b
`I`20?S9VP80o=6H00L0o]VF0?kLQP2Y_NP0ZKgX0?RfOP2Y_NP0n;In0?l0fMWIP@3IfMT00`000000
fMWI0=WIf@0H0=WIf@030000003IfMT0fMWI00@0fMWI001g0=WIf@030000003IfMT0fMWI0;00fMWI
0P0<5980100d<9h0NUfV07YMYP1jGJH509mgY@<0]8FS0`2hR:<40<FBX@<0bYNQ0P3AWJ440=NRW`@0
gZVN0P3U/9d00`3V/Yl0k;VN0?BcPP020?BcPP80l/6L0P3hbIX20?cAV080o]b60P2Y_NP00`3h]Wh0
ZKgX0?RfOP3o0=WIfH80fMWI00<000000=WIf@3IfMT05`3IfMT00`000000fMWI0=WIf@040=WIf@00
N03IfMT00`000000fMWI0=WIf@2_0=WIf@030000FP0<5980=32N00<0NUfV1@2OMjD30;B5X`<0^8RS
1035TZ430<ZGX@030=6MX@3GXYl0ej:O00<0ej:O103NZIh20>F`W@80k;VN0`3d/h801@3b`I`0n<VJ
0?S9VP3hbIX0o=6H00<0o]b60P2Y_NP00`3h]Wh0ZKgX0?RfOP3o0=WIfH<0fMWI00<000000=WIf@3I
fMT05P3IfMT00`000000fMWI0=WIf@040=WIf@00N@3IfMT00`000000fMWI0=WIf@2_0=WIf@8031BB
101jGJH409mgY@80]8FS102hR:<30<FBX@@0bYNQ00<0dIfQ0=NRW`3GXYl00`3GXYl30=jYWP<0iK2M
00<0kKVK0>biWP3d/h800P3d/h801@3b`I`0n<VJ0?S9VP3hbIX0omJ?0080o]b600H0mn1m0:Vmj02Y
_NP0n;In0:Vmj03h]Wko0=WIfH<0fMWI00<000000=WIf@3IfMT05P3IfMT00`000000fMWI0=WIf@04
0=WIf@00NP3IfMT200000:l0fMWI0P0<598407YMYP@0WgNU0P2dQJ<50;R8X`80aI:Q103:Uj400`3A
WJ40ej:O0=NRW`030=NRW`<0gZVN0`3U/9d20>fiV`<0m;>200<0l/6L0?S9VP3hbIX00P3oeXl20?kL
QP060?OPO@2Y_NP0ZKgX0?RfOP2Y_NP0n;Ino`3IfMV40=WIf@030000003IfMT0fMWI01D0fMWI00<0
00000=WIf@3IfMT0103IfMT007`0fMWI00<000000=WIf@3IfMT0[03IfMT200`DTP@0NUfV102OMjD0
0`2dQJ<0^8RS0;R8X`040;R8X`80aI:Q103:Uj450=NRW`@0gZVN0`3U/9d00`3]^I/0m;>20?BcPP02
0?BcPP<0nlbE0P3oeXl20?kLQP060?OPO@2Y_NP0ZKgX0?RfOP2Y_NP0n;Ino`3IfMV50=WIf@030000
003IfMT0fMWI01D0fMWI00<000000=WIf@3IfMT00`3IfMT007d0fMWI00<000000=WIf@3IfMT0Z`3I
fMT300`DTP<0NUfV102OMjD70;R8X`80aI:Q103:Uj400`3AW:00ej:O0=NRW`020=NRW`@0gZVN0`3U
/9d20>fiV`<0m;>20`3kc9D20?oFS`030?kLQP3gh7d0k>5d0080ZKgX00<0n;In0:Vmj03h]Wh0o`3I
fMV60=WIf@030000003IfMT0fMWI01@0fMWI00<000000=WIf@3IfMT00`3IfMT007h0fMWI00<00000
0=WIf@3IfMT0ZP3IfMT300`DTP03071GY@1jGJH0NUfV00<0WgNU0P2QN:D60;R8X`030<FBX@3:Uj40
bYNQ00<0bYNQ00<0dIbP0=NRW`3GXYl00P3GXYl30=jYWP<0iK2M0`3]^I/00`0005/0m;>20?BcPP03
0?_<U@050?oFS`3ng8H0o]b60?OPO@3IfMT00P2Y_NP30?RfO_l0fMWIQP3IfMT00`000000fMWI0=WI
f@0D0=WIf@030000003IfMT0fMWI00<0fMWI001o0=WIf@030000003IfMT0fMWI0:X0fMWI0P0<5982
071GY@0307YMYP2OMjD0WgNU00<0XGRU1P2hR:<00`35TZ40bYNQ0<ZGX@030<ZGX@80dIbP0`3GXYl3
0=jYWP<0iK2M0`3]^I/00`0005/0m<:I0?C2V@030?_<U@050?oFS`3ng8H0o]b60?OPO@3IfMT00P2Y
_NP20?RfO_l0fMWIR03IfMT00`000000fMWI0=WIf@0C0=WIf@030000003IfMT0fMWI00<0fMWI0020
0=WIf@800000ZP3IfMT200`DTP<0L5NU1@2QN:D60;R8X`030<FBX@3:Uj40bYNQ00<0bYNQ0P3AW:02
0=NRW`@0gZVN0`3U/9d30>fiV`030000F`3d`YT0m<:I0080nlbE0P3oeXl0103ng8H0mn1m0000003I
fMT20:Vmj0030?RfOP3IfMT0fMWI0?l0fMWIR03IfMT00`000000fMWI0=WIf@0B0=WIf@030000003I
fMT0fMWI00<0fMWI00220=WIf@030000003IfMT0fMWI0:L0fMWI0P0<5984071GY@@0XGRU1P2hR:<5
0<ZGX@<0dIbP0P3GXYl40=jYWP<0iK2M0`3]^I/00`0005/0m<:I0?_<U@020?_<U@80omJ?00@0o]b6
0?OPO@3IfMT0fMWI0P2Y_NP00`0006H0fMWI0=WIf@3o0=WIfHT0fMWI00<000000=WIf@3IfMT04@3I
fMT00`000000fMWI0=WIf@030=WIf@00P`3IfMT00`000000fMWI0=WIf@2W0=WIf@0300`DTP1`EjD0
L5NU0080L5NU102QN:D60;R8X`030;f=X`3:Uj40bYNQ0080bYNQ103AW:000`3GXYl0gZVN0=jYWP02
0=jYWP<0iK2M0`3]^I/00`0005/0m<:I0?_<U@020?_<U@040?oFS`3ng8H0o]b60<c<CP80fMWI00<0
ZKgX0=WIf@0006H0o`3IfMV;0=WIf@030000003IfMT0fMWI0140fMWI00<000000=WIf@3IfMT00`3I
fMT008@0fMWI00<000000=WIf@3IfMT0YP3IfMT00`0<5980L5NU071GY@02071GY@@0XGRU1P2hR:<0
0`2mSJ<0bYNQ0<ZGX@020<ZGX@@0dIbP00@0ej:O0=jYWP3NZIh0gZVN0`3U/9d40>fiV`80m<:I0`3k
c9D00`3oeXl0o]b60?OPO@030=WIf@030:Vmj03IfMT0001V0?l0fMWIS03IfMT00`000000fMWI0=WI
f@0@0=WIf@030000003IfMT0fMWI00<0fMWI00250=WIf@800000YP3IfMT200`DTP<0L5NU102QN:D5
0;R8X`80_HfS103:Uj440=6LX0@0gZVN0`3U/9d40>fiV`80m<:I0P3kc9D20?oFS`030?kLQP3<c4h0
fMWI0080fMWI00<0ZKgX0=WIf@0006H0o`3IfMV=0=WIf@030000003IfMT0fMWI0100fMWI00<00000
0=WIf@3IfMT00P3IfMT008L0fMWI00<000000=WIf@3IfMT0X`3IfMT00`0007X031BB071GY@02071G
Y@D0XGRU102hR:<20;f=X`<0bYNQ1@3AW:00103IY9l0gZVN0=jYWP3NZIh30>F`W@<0kKVK0P3d`YT3
0?_<U@80omJ?00<0o]b60<c<CP3IfMT00P3IfMT00`2Y_NP0fMWI0000IP3o0=WIfHd0fMWI00<00000
0=WIf@3IfMT0403IfMT00`000000fMWI0=WIf@020=WIf@00R03IfMT00`000000fMWI0=WIf@2S0=WI
f@0400`DTP1`EjD0L5NU071GY@D0XGRU0`2hR:<30;f=X`<0bYNQ1@3AW:00103IY9l0gZVN0=jYWP3N
ZIh30>F`W@<0kKVK0P3d`YT30?_<U@80omJ?00<0c<a>0=WIf@3IfMT00P3IfMT00`2Y_NP0fMWI0000
IP3o0=WIfHh0fMWI00<000000=WIf@3IfMT03`3IfMT00`000000fMWI0=WIf@020=WIf@00R@3IfMT0
0`000000fMWI0=WIf@2R0=WIf@0400`DTP1`EjD0L5NU071GY@D0XGRU0`2hR:<30;f=X`<0bYNQ1@3A
W:000`3IY9l0gZVN0=jYWP030>F`W@@0kKVK0P3d`YT30?_<U@030?oFS`3ng8H0c<a>00@0fMWI00<0
ZKgX0=WIf@0006H0o`3IfMV?0=WIf@030000003IfMT0fMWI00h0fMWI00<000000=WIf@3IfMT00P3I
fMT008X0fMWI0P00002R0=WIf@030000NP1`EjD0L5NU0080L5NU102QN:D20;R8X`D0_HfS0P3:Uj44
0=6LX0<0fJBO00@0gZVN0>F`W@3U/9d0iK2M103]^I/20?C2V@80nlbE0P3oeXl00`3ng8H0fMWI0=WI
f@030=WIf@030:Vmj03IfMT0001V0?l0fMWIT03IfMT00`000000fMWI0=WIf@0=0=WIf@030000003I
fMT0fMWI0080fMWI002<0=WIf@030000003IfMT0fMWI09l0fMWI00<0001j071GY@1`EjD00P1`EjD4
0:5hY@80^8RS1@2mSJ<00`3:Uj40dIbP0=6LX0030=6LX0<0fJBO00@0gZVN0>F`W@3U/9d0iK2M103]
^I/20?C2V@80nlbE0P3oeXl00`3/ff/0fMWI0=WIf@030=WIf@030:Vmj03IfMT0fMWI0?l0fMWIT03I
fMT00`000000fMWI0=WIf@0=0=WIf@030000003IfMT0fMWI0080fMWI002=0=WIf@030000003IfMT0
fMWI09h0fMWI00<0hi8A071GY@1`EjD00P1`EjD40:5hY@030;R8X`2mSJ<0_HfS00@0_HfS00<0bYNQ
0=6LX03AW:000`3AW:030=VTW`040=jYWP3U/9d0iK2M0>F`W@<0kKVK0P3d`YT30?_<U@80omJ?00<0
c<a>0=WIf@3IfMT00`3IfMT00`2Y_NP0fMWI0=WIf@3o0=WIfI40fMWI00<000000=WIf@3IfMT0303I
fMT00`000000fMWI0=WIf@020=WIf@00SP3IfMT00`000000fMWI0=WIf@2N0=WIf@040000NP1`EjD0
L5NU071GY@@0XGRU00<0^8RS0;f=X`2mSJ<0102mSJ<00`3:Uj40dIbP0=6LX0030=6LX0<0fJBO103U
/9d30>fiV`80m<:I0`3kc9D00`3oeXl0k=][0=WIf@050=WIf@030:Vmj03IfMT0fMWI0?l0fMWITP3I
fMT00`000000fMWI0=WIf@0<0=WIf@030000003IfMT0fMWI0040fMWI002?0=WIf@800000WP3IfMT0
100007X0HTjU071GY@1`EjD40:5hY@L0_HfS00<0bYNQ0=6LX03AW:000P3AW:040=VTW`030>:^W`3U
/9d0iK2M00@0kKVK0P3d`YT20?_<U@80omJ?00<0k=][0=WIf@3IfMT0103IfMT00`2Y_NP0fMWI0=WI
f@3o0=WIfI<0fMWI00<000000=WIf@3IfMT02`3IfMT00`000000fMWI0=WIf@010=WIf@00T@3IfMT0
0`000000fMWI0=WIf@2K0=WIf@040000NP1RCZD0HTjU071GY@<0XGRU0P2SNZH60;f=X`D0dIbP103I
Y9l00`3R[Yl0iK2M0>F`W@040>fiV`80m<:I0P3kc9D00`3oeXl0oMf30>cKJ`3o0=WIfI`0fMWI00<0
00000=WIf@3IfMT02`3IfMT00`000000fMWI0=WIf@010=WIf@00TP3IfMT00`000000fMWI0=WIf@2J
0=WIf@040000B@1RCZD0HTjU069>Y@80XGRU0`2SNZH60;f=X`030<BCX`3AW:00dIbP0080dIbP103I
Y9l20>:^W`040>F`W@3]^I/0kKVK0>fiV`80m<:I0`3kc9D00`3oeXl0oMf30=WIf@3o0=WIfId0fMWI
00<000000=WIf@3IfMT02P3IfMT00`000000fMWI0=WIf@010=WIf@00T`3IfMT00`000000fMWI0=WI
f@2J0=WIf@<0HTjU1@2SNZH60;f=X`030<BCX`3AW:00dIbP0080dIbP103IY9l20>:^W`040>F`W@3]
^I/0kKVK0>fiV`80m<:I0`3kc9D00`3mgH<0k=][0=WIf@3o0=WIfIh0fMWI00<000000=WIf@3IfMT0
2@3IfMT00`000000fMWI0=WIf@010=WIf@00U03IfMT00`000000fMWI0=WIf@2I0=WIf@@0HTjU102S
NZH50;f=X`80a9>S0`3AW:040=VTW`<0hZjO103]^I/20?C2V@80nlbE0P3mgH<00`3/ff/0fMWI0=WI
f@3o0=WIfId0fMWI00<000000=WIf@3IfMT02@3IfMT00`000000fMWI0=WIf@010=WIf@00U@3IfMT2
000009T0fMWI00@0001j069>Y@1RCZD0HTjU102SNZH50;f=X`80a9>S0`3AW:040=VTW`<0hZjO0P3/
^Id20>fiV`80m<:I00D0nlbE0?kDTP3mgH<0oMf30>cKJ`3o0=WIfJ00fMWI00<000000=WIf@3IfMT0
203IfMT00`000000fMWI0=WIf@010=WIf@00U`3IfMT00`000000fMWI0=WIf@2F0=WIf@040000B@1R
CZD0HTjU069>Y@@0XgZV102mSJ<30<BCX`<0dIbP103IY9l30>:^W`<0k;VM0P3d`YT30?kDTP80oMf3
o`3IfMVR0=WIf@030000003IfMT0fMWI00P0fMWI0@0000010=WIf@40fMWI002H0=WIf@030000003I
fMT0fMWI09D0fMWI00@00019069>Y@1RCZD0HTjU1@2SNZH30;f=X`@0a9>S0P3AW:040=VTW`<0hZjO
0`3/^Id20?O7V@<0o]BB00<0oMf30>cKJ`3IfMT0o`3IfMVR0=WIf@030000003IfMT0fMWI00L0fMWI
0@0000010=WIf@40fMWI002I0=WIf@030000003IfMT0fMWI09D0fMWI0`1RCZD50:=jYP<0_HfS1034
Tj<00`3AW:00fJBO0=VTW`020=VTW`@0hZjO0`3/^Id20?O7V@80o]BB0P3mgH<00`3/ff/0fMWI0=WI
f@3o0=WIfJ40fMWI00<000000=WIf@3IfMT01`3IfMT100000040fMWI0@3IfMT009X0fMWI0P00002E
0=WIf@<0HTjU1@2SNZH20;f=X`D0a9>S00<0dIbP0=VTW`3IY9l00P3IY9l40>:^W`<0k;VM0P3gaiT2
0?kDTP80oMf3o`3IfMVU0=WIf@030000003IfMT0fMWI00H0fMWI0@0000010=WIf@40fMWI002L0=WI
f@030000003IfMT0fMWI0980fMWI101RCZD40:=jYP80_HfS1@34Tj<00`3AW:00fJBO0=VTW`020=VT
W`<0hZjO103/^Id20?O7V@80o]BB00<0oMf30>cKJ`3IfMT0o`3IfMVU0=WIf@030000003IfMT0fMWI
00D0fMWI0@0000010=WIf@40fMWI002M0=WIf@030000003IfMT0fMWI0940fMWI00@00019069>Y@1R
CZD0HTjU102SNZH00`2mSJ<0a9>S0<BCX`040<BCX`D0fJBO0`3R[Yl30>biW@80mlNI0`3ne9800`3m
gH<0k=][0=WIf@3o0=WIfJH0fMWI00<000000=WIf@3IfMT0103IfMT100000040fMWI0@3IfMT009h0
fMWI00<000000=WIf@3IfMT0T@3IfMT00`19@JD0HTjU069>Y@040:=jYP030;f=X`34Tj<0a9>S00@0
a9>S00@0cYfT0=VTW`3IY9l0fJBO103R[Yl30>biW@80mlNI0P3ne9820?gMPol0fMWIZ03IfMT00`00
0000fMWI0=WIf@040=WIf@4000000@3IfMT10=WIf@00W`3IfMT200000940fMWI00<0BD6U069>Y@1R
CZD0102SNZH70<BCX`040<jMY03IY9l0fJBO0=VTW`@0hZjO0`3/^Id20?O7V@80o]BB0P3mgH?o0=WI
fJT0fMWI00<000000=WIf@3IfMT00`3IfMT100000040fMWI0@3IfMT00:40fMWI00<000000=WIf@3I
fMT0SP3IfMT204U1Y@04069>Y@2SNZH0XgZV0:=jYP80YgnY1@34Tj<20<jMY0<0fJBO103R[Yl30>bi
W@80mlNI0P3ne9800`3mgH<0k=][0=WIf@3o0=WIfJT0fMWI00<000000=WIf@3IfMT00`3IfMT10000
0040fMWI002R0=WIf@030000003IfMT0fMWI08d0fMWI0`19@JD20:=jYP<0YgnY1@34Tj<20<jMY0<0
fJBO0`3R[Yl30>biW@<0mlNI0P3ne9800`3mgH<0fMWI0=WIf@3o0=WIfJT0fMWI00<000000=WIf@3I
fMT00`3IfMT100000040fMWI002S0=WIf@030000003IfMT0fMWI08`0fMWI00<0001904U1Y@19@JD0
1@2WOjT50<BCX`<0cYfT00<0fJBO0>:^W`3R[Yl00P3R[Yl30>biW@80mlNI0P3ne9820?gMPol0fMWI
[03IfMT00`000000fMWI0=WIf@020=WIf@4000000@3IfMT00:@0fMWI0P00002=0=WIf@<0BD6U102W
OjT40<BCX`@0cYfT00<0fJBO0>:^W`3R[Yl00P3R[Yl30>biW@80mlNI0P3ne9800`3mgH<0fMWI0=WI
f@3o0=WIfJ`0fMWI00D000000=WIf@3IfMT0fMWI000000010=WIf@00YP3IfMT00`000000fMWI0=WI
f@2:0=WIf@<0BD6U102WOjT40<BCX`@0cYfT00<0fJBO0>:^W`3R[Yl00P3R[Yl30>biW@80mlNI0P3n
e9800`3mgH<0fMWI0=WIf@3o0=WIfJd0fMWI00@000000=WIf@3IfMT000000@3IfMT00:L0fMWI00<0
00000=WIf@3IfMT0R@3IfMT304U1Y@@0YgnY1034Tj<40<jMY0030=VTW`3R[Yl0hZjO0080hZjO0P3/
^Id30?O7V@80o]BB00<0aLiC0=WIf@3IfMT0o`3IfMV]0=WIf@040000003IfMT0fMWI00000040fMWI
002X0=WIf@030000003IfMT0fMWI08P0fMWI0`19@JD50:MoZ@80a9>S1@3>WJ@40>:^W`<0k;VM0`3g
aiT00`3ne980oMf30=WIf@3o0=WIfK00fMWI00<000000=WIf@0000000@3IfMT00:T0fMWI00<00000
0=WIf@3IfMT0Q`3IfMT304U1Y@D0YgnY0P34Tj<50<jMY0040=ZZYP3R[Yl0hZjO0>:^W`<0k;VM0P3g
aiT20?kDTP030<G>D`3IfMT0fMWI0?l0fMWI/03IfMT100000040fMWI0@0000000:X0fMWI0P000028
0=WIf@80BD6U1@2WOjT20<BCX`D0cYfT0P3JZZH20>:^W`<0k;VM0P3gaiT20?kDT_l0fMWI]03IfMT2
00000000[03IfMT00`000000fMWI0=WIf@250=WIf@0301@UXP19@JD0BD6U00@0YgnY00<0a9>S0<jM
Y03>WJ@0103>WJ@20=ZZYP80hZjO0P3/^Id30?O7V@030?kDTP35cU<0fMWI0?l0fMWI/`3IfMT20000
0000[@3IfMT00`000000fMWI0=WIf@240=WIf@0301@UXP19@JD0BD6U00@0YgnY00<0a9>S0<jMY03>
WJ@00`3>WJ@40=ZZYP030>:^W`3/^Id0k;VM00<0mlNI00<0o]BB0<G>D`3IfMT0o`3IfMVc0=WIf@80
0000002^0=WIf@030000003IfMT0fMWI08<0fMWI0P0D9J800`19@JD0YgnY0:MoZ@020:MoZ@H0cYfT
103JZZH30>biW@<0mlNI00<0nNJ<0=WIf@3IfMT0o`3IfMV_0=WIf@@000000P3IfMT00:l0fMWI0P00
00240=WIf@0301@UXP19@JD0YgnY0080YgnY0P2]R:l50<jMY0@0fZZV00<0jKfW0>biW@3/^Id00P3g
aiT20?WVS?l0fMWI[@3IfMT4000000H0fMWI002a0=WIf@030000003IfMT0fMWI0840fMWI0P0D9J82
0:MoZ@<0[HR_103>WJ@50=ZZYP80jKfW0`3ie:<00`3iiX`0fMWI0=WIf@3o0=WIfJP0fMWI1000000:
0=WIf@00/P3IfMT00`000000fMWI0=WIf@200=WIf@8052FR1@2]R:l40<jMY0@0fZZV0`3Y_JL30?WD
X`030?WVS03IfMT0fMWI0?l0fMWIY03IfMT4000000h0fMWI002c0=WIf@030000003IfMT0fMWI07l0
fMWI0`0D9J850:f8[`<0cYfT103JZZH30>VmY`80nMBS0P3iiXco0=WIfJ<0fMWI0`00000B0=WIf@00
]03IfMT2000007l0fMWI0`0D9J850:f8[`<0cYfT103JZZH20>VmY`<0nMBS00<0nNJ<0=WIf@3IfMT0
o`3IfMVN0=WIf@@000005@3IfMT00;H0fMWI00<000000=WIf@3IfMT0O@3IfMT201@UXPD0[HR_0P3>
WJ@40=ZZYP<0jKfW0`3ie:<00`3iiX`0fMWI0=WIf@3o0=WIfIX0fMWI1000000I0=WIf@00]`3IfMT0
0`000000fMWI0=WIf@1l0=WIf@030000M00D9J80[HR_00D0[HR_00<0cYfT0=ZZYP3JZZH00P3JZZH3
0>VmY`80nMBS0P3iiXco0=WIfIP0fMWI1000000M0=WIf@00^03IfMT00`000000fMWI0=WIf@1l0=WI
f@8052FR1@2]R:l00`3>WJ@0fZZV0=ZZYP020=ZZYP80jKfW0`3ie:<00`3iiX`0fMWI0=WIf@3o0=WI
fI<0fMWI1000000Q0=WIf@00^@3IfMT2000007`0fMWI00<0001d01@UXP2]R:l0102]R:l40=ZZYP<0
jKfW0`3ie:<00`3iiX`0fMWI0=WIf@3o0=WIfHl0fMWI1000000U0=WIf@00^`3IfMT00`000000fMWI
0=WIf@1j0=WIf@0301@UXP2]R:l0[HR_0080[HR_0P2hVk/30=ZZYP<0jKfW0P3ie:<20?WVS?l0fMWI
SP3IfMT3000002T0fMWI002l0=WIf@030000003IfMT0fMWI07T0fMWI00<0001d0:f8[`2]R:l0102h
Vk/30=ZZYP80jKfW0`3ie:<00`3iiX`0fMWI0=WIf@3o0=WIfHT0fMWI1000000/0=WIf@00_@3IfMT0
0`000000fMWI0=WIf@1i0=WIf@L0^9^k00@0fZZV0>VmY`3Y_JL0jKfW0`3ie:<00`3iiX`0fMWI0=WI
f@3o0=WIfHD0fMWI1000000`0=WIf@00_P3IfMT2000007X0fMWI1P2hVk/0103JZZH0jKfW0>VmY`3Y
_JL20?WDX`030?WVS03IfMT0fMWI0?l0fMWIPP3IfMT4000003@0fMWI00300=WIf@030000003IfMT0
fMWI07L0fMWI1P2hVk/30>VmY`<0nMBSo`3IfMV10=WIf@@00000>03IfMT00<40fMWI00<000000=WI
f@3IfMT0M`3IfMT40;RK^`80cLKC0P3Y_JL20?WDXol0fMWIO`3IfMT3000003`0fMWI00320=WIf@03
0000003IfMT0fMWI07H0fMWI0`2hVk/40<g6d`030>VmY`3ie:<0fMWI0?l0fMWIN`3IfMT4000003l0
fMWI00330=WIf@030000003IfMT0fMWI07H0fMWI00<0^9^k0<g6d`3=a]<00`3=a]<00`2`mkl0fMWI
0=WIf@3o0=WIfGL0fMWI100000130=WIf@00a03IfMT2000007H0fMWI1@3=a]<00`2`mkl000000=WI
f@3o0=WIfG@0fMWI100000170=WIf@00aP3IfMT00`000000fMWI0=WIf@1d0=WIf@<0cLKC00<0/?No
0=WIf@000000o`3IfMUa0=WIf@@00000B`3IfMT00<L0fMWI00<000000=WIf@3IfMT0N03IfMT00`00
0000fMWI0=WIf@3o0=WIfF`0fMWI0`00001?0=WIf@00b03IfMT00`000000fMWI0=WIf@1g0=WIf@03
0000003IfMT0fMWI0?l0fMWIJ03IfMT400000580fMWI00390=WIf@800000M`3IfMT00`000000fMWI
0=WIf@3o0=WIfF@0fMWI1000001F0=WIf@00b`3IfMT00`000000fMWI0=WIf@1d0=WIf@030000003I
fMT0fMWI0?l0fMWIH03IfMT4000005X0fMWI003<0=WIf@030000003IfMT0fMWI07<0fMWI00<00000
0=WIf@3IfMT0o`3IfMUL0=WIf@@00000GP3IfMT00<d0fMWI00<000000=WIf@3IfMT0LP3IfMT00`00
0000fMWI0=WIf@3o0=WIfEP0fMWI1000001R0=WIf@00cP3IfMT200000780fMWI00<000000=WIf@3I
fMT0o`3IfMUE0=WIf@<00000IP3IfMT00=00fMWI00<000000=WIf@3IfMT0K`3IfMT00`000000fMWI
0=WIf@3o0=WIfE40fMWI1000001Y0=WIf@00d@3IfMT00`000000fMWI0=WIf@1^0=WIf@030000003I
fMT0fMWI0?l0fMWIC@3IfMT4000006d0fMWI003B0=WIf@030000003IfMT0fMWI06d0fMWI00<00000
0=WIf@3IfMT0o`3IfMU90=WIf@@00000L@3IfMT00=<0fMWI0P00001]0=WIf@030000003IfMT0fMWI
0?l0fMWIA@3IfMT4000007D0fMWI003E0=WIf@030000003IfMT0fMWI06X0fMWI00<000000=WIf@3I
fMT0o`3IfMU20=WIf@<00000N@3IfMT00=H0fMWI00<000000=WIf@3IfMT0J@3IfMT00`000000fMWI
0=WIf@3o0=WIfCh0fMWI1000001l0=WIf@00e`3IfMT00`000000fMWI0=WIf@1X0=WIf@030000003I
fMT0fMWI0?l0fMWI>P3IfMT400000800fMWI003H0=WIf@030000003IfMT0fMWI06L0fMWI00<00000
0=WIf@3IfMT0o`3IfMTf0=WIf@@00000Q03IfMT00=T0fMWI0P00001W0=WIf@030000003IfMT0fMWI
0?l0fMWI<P3IfMT4000008P0fMWI003K0=WIf@030000003IfMT0fMWI06@0fMWI00<000000=WIf@3I
fMT0o`3IfMT^0=WIf@@00000S03IfMT00=`0fMWI00<000000=WIf@3IfMT0H`3IfMT00`000000fMWI
0=WIf@3o0=WIfB/0fMWI0`00002@0=WIf@00g@3IfMT00`000000fMWI0=WIf@1Q0=WIf@030000003I
fMT0fMWI0?l0fMWI:03IfMT4000009<0fMWI003N0=WIf@800000H@3IfMT00`000000fMWI0=WIf@3o
0=WIfB@0fMWI1000002G0=WIf@00h03IfMT00`000000fMWI0=WIf@1N0=WIf@030000003IfMT0fMWI
0?l0fMWI803IfMT4000009/0fMWI003Q0=WIf@030000003IfMT0fMWI05d0fMWI00<000000=WIf@3I
fMT0o`3IfMTL0=WIf@@00000W`3IfMT00>80fMWI00<000000=WIf@3IfMT0G03IfMT00`000000fMWI
0=WIf@3o0=WIfAT0fMWI0`00002S0=WIf@00h`3IfMT2000005`0fMWI00<000000=WIf@3IfMT0o`3I
fMTE0=WIf@@00000YP3IfMT00>D0fMWI00<000000=WIf@3IfMT0F@3IfMT00`000000fMWI0=WIf@3o
0=WIfA40fMWI1000002Z0=WIf@00iP3IfMT00`000000fMWI0=WIf@1H0=WIf@030000003IfMT0fMWI
0?l0fMWI3@3IfMT400000:h0fMWI003W0=WIf@030000003IfMT0fMWI05L0fMWI00<000000=WIf@3I
fMT0o`3IfMT90=WIf@@00000/P3IfMT00>P0fMWI0P00001G0=WIf@030000003IfMT0fMWI0?l0fMWI
1P3IfMT300000;H0fMWI003Z0=WIf@030000003IfMT0fMWI05@0fMWI00<000000=WIf@3IfMT0o`3I
fMT20=WIf@@00000^@3IfMT00>/0fMWI00<000000=WIf@3IfMT0D`3IfMT00`000000fMWI0=WIf@3m
0=WIf@@00000_@3IfMT00>`0fMWI00<000000=WIf@3IfMT0DP3IfMT00`000000fMWI0=WIf@3i0=WI
f@@00000`@3IfMT00>d0fMWI0P00001B0=WIf@030000003IfMT0fMWI0?D0fMWI100000350=WIf@00
k`3IfMT00`000000fMWI0=WIf@1?0=WIf@030000003IfMT0fMWI0?40fMWI100000390=WIf@00l03I
fMT00`000000fMWI0=WIf@1>0=WIf@030000003IfMT0fMWI0>h0fMWI0`00003=0=WIf@00l@3IfMT0
0`000000fMWI0=WIf@1=0=WIf@030000003IfMT0fMWI0>X0fMWI1000003@0=WIf@00lP3IfMT00`00
0000fMWI0=WIf@1<0=WIf@030000003IfMT0fMWI0>H0fMWI1000003D0=WIf@00l`3IfMT2000004`0
fMWI00<000000=WIf@3IfMT0hP3IfMT400000=P0fMWI003e0=WIf@030000003IfMT0fMWI04T0fMWI
00<000000=WIf@3IfMT0gP3IfMT400000=`0fMWI003f0=WIf@030000003IfMT0fMWI04P0fMWI00<0
00000=WIf@3IfMT0f`3IfMT300000>00fMWI003g0=WIf@030000003IfMT0fMWI04L0fMWI00<00000
0=WIf@3IfMT0e`3IfMT400000><0fMWI003h0=WIf@800000A`3IfMT00`000000fMWI0=WIf@3C0=WI
f@@00000i`3IfMT00?X0fMWI00<000000=WIf@3IfMT0A03IfMT00`000000fMWI0=WIf@3?0=WIf@@0
0000j`3IfMT00?/0fMWI00<000000=WIf@3IfMT0@`3IfMT00`000000fMWI0=WIf@3;0=WIf@@00000
k`3IfMT00?`0fMWI00<000000=WIf@3IfMT0@P3IfMT00`000000fMWI0=WIf@380=WIf@<00000l`3I
fMT00?d0fMWI0P0000120=WIf@030000003IfMT0fMWI0<@0fMWI1000003f0=WIf@00o`3IfMT00`00
0000fMWI0=WIf@0o0=WIf@030000003IfMT0fMWI0<00fMWI1000003j0=WIf@00o`3IfMT10=WIf@03
0000003IfMT0fMWI03h0fMWI00<000000=WIf@3IfMT0_03IfMT400000?h0fMWI003o0=WIf@80fMWI
00<000000=WIf@3IfMT0?@3IfMT00`000000fMWI0=WIf@2h0=WIf@@00000o`3IfMT30=WIf@00o`3I
fMT30=WIf@800000?@3IfMT00`000000fMWI0=WIf@2d0=WIf@@00000o`3IfMT70=WIf@00o`3IfMT5
0=WIf@030000003IfMT0fMWI03X0fMWI00<000000=WIf@3IfMT0/@3IfMT300000?l0fMWI2`3IfMT0
0?l0fMWI1P3IfMT00`000000fMWI0=WIf@0h0=WIf@030000003IfMT0fMWI0:h0fMWI1000003o0=WI
f@h0fMWI003o0=WIf@L0fMWI00<000000=WIf@3IfMT0=`3IfMT00`000000fMWI0=WIf@2Z0=WIf@@0
0000o`3IfMTB0=WIf@00o`3IfMT80=WIf@030000003IfMT0fMWI03H0fMWI00<000000=WIf@3IfMT0
YP3IfMT400000?l0fMWI5P3IfMT00?l0fMWI2@3IfMT2000003H0fMWI00<000000=WIf@3IfMT0XP3I
fMT400000?l0fMWI6P3IfMT00?l0fMWI2`3IfMT00`000000fMWI0=WIf@0c0=WIf@030000003IfMT0
fMWI09l0fMWI0`00003o0=WIfAh0fMWI003o0=WIf@`0fMWI00<000000=WIf@3IfMT0<P3IfMT00`00
0000fMWI0=WIf@2K0=WIf@@00000o`3IfMTQ0=WIf@00o`3IfMT=0=WIf@030000003IfMT0fMWI0340
fMWI00<000000=WIf@3IfMT0U`3IfMT400000?l0fMWI9@3IfMT00?l0fMWI3P3IfMT200000340fMWI
00<000000=WIf@3IfMT0T`3IfMT400000?l0fMWI:@3IfMT00?l0fMWI403IfMT00`000000fMWI0=WI
f@0^0=WIf@030000003IfMT0fMWI08l0fMWI1000003o0=WIfBd0fMWI003o0=WIfA40fMWI00<00000
0=WIf@3IfMT0;@3IfMT00`000000fMWI0=WIf@2<0=WIf@<00000o`3IfMTa0=WIf@00o`3IfMTB0=WI
f@030000003IfMT0fMWI02`0fMWI00<000000=WIf@3IfMT0R03IfMT400000?l0fMWI=03IfMT00?l0
fMWI4`3IfMT2000002`0fMWI00<000000=WIf@3IfMT0Q03IfMT400000?l0fMWI>03IfMT00?l0fMWI
5@3IfMT00`000000fMWI0=WIf@0Y0=WIf@030000003IfMT0fMWI0800fMWI1000003o0=WIfC`0fMWI
003o0=WIfAH0fMWI00<000000=WIf@3IfMT0:03IfMT00`000000fMWI0=WIf@1l0=WIf@@00000o`3I
fMU00=WIf@00o`3IfMTG0=WIf@030000003IfMT0fMWI02L0fMWI00<000000=WIf@3IfMT0N03IfMT4
00000?l0fMWIA03IfMT00?l0fMWI603IfMT2000002L0fMWI00<000000=WIf@3IfMT0M@3IfMT30000
0?l0fMWIB03IfMT00?l0fMWI6P3IfMT00`000000fMWI0=WIf@0T0=WIf@030000003IfMT0fMWI0740
fMWI1000003o0=WIfD/0fMWI003o0=WIfA/0fMWI00<000000=WIf@3IfMT08`3IfMT00`000000fMWI
0=WIf@1]0=WIf@@00000o`3IfMU?0=WIf@00o`3IfMTL0=WIf@030000003IfMT0fMWI0280fMWI00<0
00000=WIf@3IfMT0J@3IfMT400000?l0fMWID`3IfMT00?l0fMWI7@3IfMT00`000000fMWI0=WIf@0Q
0=WIf@030000003IfMT0fMWI06D0fMWI1000003o0=WIfEL0fMWI003o0=WIfAh0fMWI0P00000Q0=WI
f@030000003IfMT0fMWI0680fMWI0`00003o0=WIfE/0fMWI003o0=WIfB00fMWI00<000000=WIf@3I
fMT07P3IfMT00`000000fMWI0=WIf@1N0=WIf@@00000o`3IfMUN0=WIf@00o`3IfMTQ0=WIf@030000
003IfMT0fMWI01d0fMWI00<000000=WIf@3IfMT0FP3IfMT400000?l0fMWIHP3IfMT00?l0fMWI8P3I
fMT00`000000fMWI0=WIf@0L0=WIf@030000003IfMT0fMWI05H0fMWI1000003o0=WIfFH0fMWI003o
0=WIfB<0fMWI0P00000L0=WIf@030000003IfMT0fMWI0580fMWI1000003o0=WIfFX0fMWI003o0=WI
fBD0fMWI00<000000=WIf@3IfMT06@3IfMT00`000000fMWI0=WIf@1>0=WIf@@00000o`3IfMU^0=WI
f@00o`3IfMTV0=WIf@030000003IfMT0fMWI01P0fMWI00<000000=WIf@3IfMT0B`3IfMT300000?l0
fMWILP3IfMT00?l0fMWI9`3IfMT00`000000fMWI0=WIf@0G0=WIf@030000003IfMT0fMWI04L0fMWI
1000003o0=WIfGD0fMWI003o0=WIfBP0fMWI0P00000G0=WIf@030000003IfMT0fMWI04<0fMWI1000
003o0=WIfGT0fMWI003o0=WIfBX0fMWI00<000000=WIf@3IfMT0503IfMT00`000000fMWI0=WIf@0o
0=WIf@@00000o`3IfMUm0=WIf@00o`3IfMT[0=WIf@030000003IfMT0fMWI01<0fMWI00<000000=WI
f@3IfMT0>`3IfMT400000?l0fMWIP@3IfMT00?l0fMWI;03IfMT00`000000fMWI0=WIf@0B0=WIf@03
0000003IfMT0fMWI03P0fMWI0`00003o0=WIfHD0fMWI003o0=WIfBd0fMWI0P00000A0=WIf@030000
003IfMT0fMWI03D0fMWI1000003o0=WIfHP0fMWI003o0=WIfBl0fMWI00<000000=WIf@3IfMT03P3I
fMT00`000000fMWI0=WIf@0a0=WIf@@00000o`3IfMV<0=WIf@00o`3IfMT`0=WIf@030000003IfMT0
fMWI00d0fMWI00<000000=WIf@3IfMT0;@3IfMT400000?l0fMWIT03IfMT00?l0fMWI<@3IfMT00`00
0000fMWI0=WIf@0<0=WIf@030000003IfMT0fMWI02T0fMWI1000003o0=WIfI@0fMWI003o0=WIfC80
fMWI0P00000<0=WIf@030000003IfMT0fMWI02H0fMWI0`00003o0=WIfIP0fMWI003o0=WIfC@0fMWI
00<000000=WIf@3IfMT02@3IfMT00`000000fMWI0=WIf@0R0=WIf@@00000o`3IfMVK0=WIf@00o`3I
fMTe0=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT07P3IfMT400000?l0fMWIW`3I
fMT00?l0fMWI=P3IfMT00`000000fMWI0=WIf@070=WIf@030000003IfMT0fMWI01X0fMWI1000003o
0=WIfJ<0fMWI003o0=WIfCL0fMWI00<000000=WIf@3IfMT01P3IfMT00`000000fMWI0=WIf@0F0=WI
f@@00000o`3IfMVW0=WIf@00o`3IfMTh0=WIf@8000001P3IfMT00`000000fMWI0=WIf@0B0=WIf@@0
0000o`3IfMV[0=WIf@00o`3IfMTj0=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT0
3`3IfMT300000?l0fMWI[`3IfMT00?l0fMWI>`3IfMT00`000000fMWI0=WIf@020=WIf@030000003I
fMT0fMWI00/0fMWI1000003o0=WIfK80fMWI003o0=WIfC`0fMWI00D000000=WIf@3IfMT0fMWI0000
00090=WIf@@00000o`3IfMVf0=WIf@00o`3IfMTm0=WIf@80000000<0fMWI0000003IfMT0103IfMT4
00000?l0fMWI^P3IfMT00?l0fMWI?`3IfMT2000000030=WIf@000000000000800000o`3IfMVn0=WI
f@00o`3IfMU00=WIf@800000o`3IfMW20=WIf@00o`3IfMWo0=WIfOl0fMWI1@3IfMT00?l0fMWIo`3I
fMWo0=WIf@D0fMWI003o0=WIfOl0fMWIo`3IfMT50=WIf@00o`3IfMWo0=WIfOl0fMWI1@3IfMT00?l0
fMWIo`3IfMWo0=WIf@D0fMWI003o0=WIfOl0fMWIo`3IfMT50=WIf@00o`3IfMWo0=WIfOl0fMWI1@3I
fMT00?l0fMWIo`3IfMWo0=WIf@D0fMWI0000\
\>"],
  ImageRangeCache->{{{0, 769.812}, {624.25, 0}} -> {-0.0271818, 0.0538225, \
0.00127275, 0.00127275}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  SurfaceGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[69]="]
}, Open  ]],

Cell["Wigner function of the time-superposed state", "Subtitle"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Block[{h = 2  r\ sx\ sp, pg = 1, m = 1, r = 1, sp = 1/20, sx = 1, 
        xg = \(-70\), }, 
      max = Max[
          Table[gsTime /. {x \[Rule] xg, p \[Rule] pg, t \[Rule] i}, {i, 8, 
              32, 8}]]; mymax = 1.6; 
      Do[ContourPlot[gsTime /. t \[Rule] i, {x, \(-75\), 0}, {p, 0.78, 1.22}, 
          Contours \[Rule] 300, PlotPoints \[Rule] 400, 
          PlotRange \[Rule] All, ColorFunctionScaling \[Rule] False, 
          ContourLines \[Rule] False, Background \[Rule] White, 
          TextStyle \[Rule] m10, 
          ColorFunction \[Rule] \((linmapexpwhite[#/\((2\ mymax)\) + 
                    1/2] &)\), 
          Epilog \[Rule] {Text["\<\[Tau] = \>" <> ToString[i], {\(-37.5\), 
                  0.81}]}, TextStyle \[Rule] m10], {i, 10, 50, 
          20}]]\)], "Input",
  CellLabel->"In[24]:="],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(max\\)\\\" is similar to existing symbol \
\\\"\\!\\(Max\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[24]:="],

Cell[BoxData[
    \($Aborted\)], "Output",
  CellLabel->"Out[24]="]
}, Open  ]],

Cell["This one is for printing. Ticks settable.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Block[{h = 2  r\ sx\ sp, pg = 1, m = 1, r = 1, sp = 1/20, sx = 1, 
        xg = \(-70\), t = 20}, 
      max = Max[
          Table[gsTime /. {x \[Rule] xg, p \[Rule] pg}, {i, 8, 32, 8}]]; 
      mymax = 1.6; 
      ContourPlot[gsTime, {x, \(-75\), \(-5\)}, {p, 0.78, 1.22}, 
        Contours \[Rule] 300, PlotPoints \[Rule] 200, PlotRange \[Rule] All, 
        ColorFunctionScaling \[Rule] False, ContourLines \[Rule] False, 
        Background \[Rule] White, TextStyle \[Rule] m10, 
        ColorFunction \[Rule] \((linmapexpwhite[#/\((2\ mymax)\) + 1/2] &)\), 
        FrameTicks \[Rule] {{xg // N, \((xg + pg\ t/\((2  m)\))\) // 
                N, \((xg + pg\ t/\((m)\))\) // N}, {\((pg - sp)\) // 
                N, \((pg + sp)\) // N}, {}, {}}, 
        Epilog \[Rule] {Text["\<\[Tau] = \>" <> ToString[t], {\(-37.5\), 
                0.79}, TextStyle \[Rule] tx10], 
            Text[\*"\"\<\!\(\[Alpha]\_00\) \>\"", {xg, pg + 3.5  sp}, 
              TextStyle \[Rule] tx10], 
            Text["\<late\>", {xg, pg - 3.5  sp}, TextStyle \[Rule] tx10], 
            Text[\*"\"\<\!\(\[Alpha]\_h\)\>\"", {\((xg + \((pg + 
                          3.5  sp)\)\ t/\((2  m)\))\), pg + 3.5  sp}, 
              TextStyle \[Rule] 
                tx10], \[IndentingNewLine]Text["\<coh.\>", {\((xg + \((pg - 
                          3.5  sp)\)\ t/\((2  m)\))\), pg - 3.5  sp}, 
              TextStyle \[Rule] tx10], 
            Text[\*"\"\<\!\(\[Alpha]\_\[Tau]\[Tau]\)\>\"", {\((xg + \((pg + 
                          3.5  sp)\)\ t/\((m)\))\), pg + 3.5  sp}, 
              TextStyle \[Rule] tx10], 
            Text["\<early\>", {\((xg + \((pg - 3.5  sp)\)\ t/\((m)\))\), 
                pg - 3.5  sp}, TextStyle \[Rule] tx10]}]]\)], "Input",
  CellLabel->"In[270]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
1.04945 0.0137363 -1.68531 2.18531 [
[.08791 -0.0125 -10.0625 -10.9375 ]
[.08791 -0.0125 10.0625 0 ]
[.22527 -0.0125 -10.0625 -10.9375 ]
[.22527 -0.0125 10.0625 0 ]
[.36264 -0.0125 -10.0625 -11 ]
[.36264 -0.0125 10.0625 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .39073 -21.5 -5.5 ]
[-0.0125 .39073 0 5.5 ]
[-0.0125 .60927 -21.5 -5.5 ]
[-0.0125 .60927 0 5.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.08791 0 m
.08791 .00625 L
s
gsave
.08791 -0.0125 -71.0625 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(70) show
1.000 setlinewidth
grestore
.22527 0 m
.22527 .00625 L
s
gsave
.22527 -0.0125 -71.0625 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(60) show
1.000 setlinewidth
grestore
.36264 0 m
.36264 .00625 L
s
gsave
.36264 -0.0125 -71.0625 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.875 moveto
(50) show
1.000 setlinewidth
grestore
0 0 m
1 0 L
s
0 .39073 m
.00625 .39073 L
s
gsave
-0.0125 .39073 -82.5 -9.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.95) show
1.000 setlinewidth
grestore
0 .60927 m
.00625 .60927 L
s
gsave
-0.0125 .60927 -82.5 -9.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.05) show
1.000 setlinewidth
grestore
0 0 m
0 1 L
s
0 1 m
1 1 L
s
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.981 .999 1 r
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
1 .996 .888 r
.08688 .10859 m
.09171 .10967 L
.09349 .11104 L
.09654 .11456 L
.09747 .11587 L
.10016 .1207 L
.10137 .12343 L
.10227 .12553 L
.10412 .13036 L
.10577 .1352 L
.1062 .13654 L
.10722 .14003 L
.10857 .14486 L
.10985 .14969 L
.11104 .1544 L
.11106 .15452 L
.11207 .15935 L
.11309 .16419 L
.11409 .16902 L
.11508 .17385 L
.11587 .17779 L
.11599 .17868 L
.11671 .18351 L
.11747 .18835 L
.11826 .19318 L
.11907 .19801 L
.11986 .20284 L
.12064 .20767 L
.1207 .20802 L
.12111 .2125 L
.12162 .21734 L
.1222 .22217 L
.12282 .227 L
.12346 .23183 L
.12411 .23666 L
.12475 .2415 L
.12538 .24633 L
.12553 .24756 L
.1259 .25116 L
.12638 .25599 L
.12685 .26082 L
.12731 .26566 L
.12775 .27049 L
.12818 .27532 L
.1286 .28015 L
.129 .28498 L
.1294 .28981 L
.12979 .29465 L
.13018 .29948 L
.13036 .30189 L
.13053 .30431 L
.13087 .30914 L
.13119 .31397 L
.1315 .31881 L
.1318 .32364 L
.13209 .32847 L
.13237 .3333 L
.13265 .33813 L
.13291 .34296 L
.13317 .3478 L
.13343 .35263 L
.13367 .35746 L
.13391 .36229 L
.13414 .36712 L
.13436 .37196 L
.13458 .37679 L
.13479 .38162 L
.135 .38645 L
.13519 .39128 L
.1352 .39132 L
.13536 .39612 L
.13551 .40095 L
.13565 .40578 L
.13579 .41061 L
.13592 .41544 L
.13604 .42027 L
.13616 .42511 L
.13627 .42994 L
.13637 .43477 L
.13646 .4396 L
.13655 .44443 L
.13662 .44927 L
.1367 .4541 L
.13676 .45893 L
.13682 .46376 L
.13687 .46859 L
.13691 .47342 L
.13695 .47826 L
.13697 .48309 L
.137 .48792 L
.13701 .49275 L
.13702 .49758 L
.13702 .50242 L
.13701 .50725 L
.137 .51208 L
.13697 .51691 L
.13695 .52174 L
.13691 .52658 L
.13687 .53141 L
.13682 .53624 L
.13676 .54107 L
.1367 .5459 L
.13662 .55073 L
.13655 .55557 L
.13646 .5604 L
.13637 .56523 L
.13627 .57006 L
.13616 .57489 L
.13604 .57973 L
.13592 .58456 L
.13579 .58939 L
.13565 .59422 L
.13551 .59905 L
.13536 .60388 L
.1352 .60868 L
.13519 .60872 L
.135 .61355 L
.13479 .61838 L
.13458 .62321 L
.13436 .62804 L
.13414 .63288 L
.13391 .63771 L
.13367 .64254 L
.13343 .64737 L
.13317 .6522 L
.13291 .65704 L
.13265 .66187 L
.13237 .6667 L
.13209 .67153 L
.1318 .67636 L
.1315 .68119 L
.13119 .68603 L
.13087 .69086 L
.13053 .69569 L
.13036 .6981 L
.13018 .70052 L
.12979 .70535 L
.1294 .71019 L
.129 .71502 L
.1286 .71985 L
.12818 .72468 L
.12775 .72951 L
.12731 .73434 L
.12685 .73918 L
.12638 .74401 L
.1259 .74884 L
.12553 .75244 L
.12538 .75367 L
.12475 .7585 L
.12411 .76334 L
.12346 .76817 L
.12282 .773 L
.1222 .77783 L
.12162 .78266 L
.12111 .7875 L
.1207 .79198 L
.12064 .79233 L
.11986 .79716 L
.11907 .80199 L
.11826 .80682 L
.11747 .81165 L
.11671 .81649 L
.11599 .82132 L
.11587 .82221 L
.11508 .82615 L
.11409 .83098 L
.11309 .83581 L
.11207 .84065 L
.11106 .84548 L
.11104 .8456 L
.10985 .85031 L
.10857 .85514 L
.10722 .85997 L
.1062 .86346 L
.10577 .8648 L
.10412 .86964 L
.10227 .87447 L
.10137 .87657 L
.10016 .8793 L
.09747 .88413 L
.09654 .88544 L
.09349 .88896 L
.09171 .89033 L
.08688 .89141 L
.08232 .88896 L
.08204 .88871 L
.07814 .88413 L
.07721 .88214 L
.0757 .8793 L
.07354 .87447 L
.07238 .8715 L
.07171 .86964 L
.07008 .8648 L
.06858 .85997 L
.06755 .85642 L
.06722 .85514 L
.06601 .85031 L
.06484 .84548 L
.0637 .84065 L
.06272 .83632 L
.06263 .83581 L
.06175 .83098 L
.06085 .82615 L
.05994 .82132 L
.05903 .81649 L
.05815 .81165 L
.05789 .8102 L
.05748 .80682 L
.05685 .80199 L
.05616 .79716 L
.05544 .79233 L
.05471 .7875 L
.05398 .78266 L
.05326 .77783 L
.05305 .77638 L
.05283 .773 L
.05242 .76817 L
.05195 .76334 L
.05142 .7585 L
.05085 .75367 L
.05027 .74884 L
.04969 .74401 L
.04911 .73918 L
.04854 .73434 L
.04822 .73151 L
.04804 .72951 L
.04762 .72468 L
.04721 .71985 L
.04682 .71502 L
.04643 .71019 L
.04606 .70535 L
.0457 .70052 L
.04534 .69569 L
.045 .69086 L
.04466 .68603 L
.04433 .68119 L
.044 .67636 L
.04369 .67153 L
.04339 .66688 L
.04338 .6667 L
.04311 .66187 L
.04285 .65704 L
.0426 .6522 L
.04236 .64737 L
.04213 .64254 L
.04191 .63771 L
.0417 .63288 L
.04149 .62804 L
.04129 .62321 L
.0411 .61838 L
.04091 .61355 L
.04074 .60872 L
.04057 .60388 L
.0404 .59905 L
.04025 .59422 L
.0401 .58939 L
.03996 .58456 L
.03982 .57973 L
.0397 .57489 L
.03958 .57006 L
.03946 .56523 L
.03936 .5604 L
.03926 .55557 L
.03917 .55073 L
.03909 .5459 L
.03901 .54107 L
.03895 .53624 L
.03889 .53141 L
.03884 .52658 L
.0388 .52174 L
.03876 .51691 L
.03874 .51208 L
.03872 .50725 L
.03871 .50242 L
.03871 .49758 L
.03872 .49275 L
.03874 .48792 L
.03876 .48309 L
.0388 .47826 L
.03884 .47342 L
.03889 .46859 L
.03895 .46376 L
.03901 .45893 L
.03909 .4541 L
.03917 .44927 L
.03926 .44443 L
.03936 .4396 L
.03946 .43477 L
.03958 .42994 L
.0397 .42511 L
.03982 .42027 L
.03996 .41544 L
.0401 .41061 L
.04025 .40578 L
.0404 .40095 L
.04057 .39612 L
.04074 .39128 L
.04091 .38645 L
.0411 .38162 L
.04129 .37679 L
.04149 .37196 L
.0417 .36712 L
.04191 .36229 L
.04213 .35746 L
.04236 .35263 L
.0426 .3478 L
.04285 .34296 L
.04311 .33813 L
.04338 .3333 L
.04339 .33312 L
.04369 .32847 L
.044 .32364 L
.04433 .31881 L
.04466 .31397 L
.045 .30914 L
.04534 .30431 L
.0457 .29948 L
.04606 .29465 L
.04643 .28981 L
.04682 .28498 L
.04721 .28015 L
.04762 .27532 L
.04804 .27049 L
.04822 .26849 L
.04854 .26566 L
.04911 .26082 L
.04969 .25599 L
.05027 .25116 L
.05085 .24633 L
.05142 .2415 L
.05195 .23666 L
.05242 .23183 L
.05283 .227 L
.05305 .22362 L
.05326 .22217 L
.05398 .21734 L
.05471 .2125 L
.05544 .20767 L
.05616 .20284 L
.05685 .19801 L
.05748 .19318 L
.05789 .1898 L
.05815 .18835 L
.05903 .18351 L
.05994 .17868 L
.06085 .17385 L
.06175 .16902 L
.06263 .16419 L
.06272 .16368 L
.0637 .15935 L
.06484 .15452 L
.06601 .14969 L
.06722 .14486 L
.06755 .14358 L
.06858 .14003 L
.07008 .1352 L
.07171 .13036 L
.07238 .1285 L
.07354 .12553 L
.0757 .1207 L
.07721 .11786 L
.07814 .11587 L
.08204 .11129 L
.08232 .11104 L
F
1 .992 .773 r
.08204 .15424 m
.08688 .1512 L
.09171 .15242 L
.09402 .15452 L
.09654 .15792 L
.09744 .15935 L
.09988 .16419 L
.10137 .16794 L
.10178 .16902 L
.10348 .17385 L
.10499 .17868 L
.1062 .18289 L
.10637 .18351 L
.10758 .18835 L
.10874 .19318 L
.10984 .19801 L
.11089 .20284 L
.11104 .20353 L
.11178 .20767 L
.11264 .2125 L
.1135 .21734 L
.11435 .22217 L
.11518 .227 L
.11587 .23116 L
.11595 .23183 L
.11653 .23666 L
.11715 .2415 L
.11779 .24633 L
.11844 .25116 L
.1191 .25599 L
.11974 .26082 L
.12037 .26566 L
.1207 .26825 L
.12085 .27049 L
.12122 .27532 L
.12163 .28015 L
.12207 .28498 L
.12254 .28981 L
.12302 .29465 L
.1235 .29948 L
.12398 .30431 L
.12446 .30914 L
.12492 .31397 L
.12537 .31881 L
.12553 .32061 L
.12575 .32364 L
.1261 .32847 L
.12643 .3333 L
.12674 .33813 L
.12705 .34296 L
.12735 .3478 L
.12763 .35263 L
.12791 .35746 L
.12817 .36229 L
.12843 .36712 L
.12867 .37196 L
.12891 .37679 L
.12914 .38162 L
.12935 .38645 L
.12956 .39128 L
.12976 .39612 L
.12995 .40095 L
.13013 .40578 L
.13031 .41061 L
.13036 .41225 L
.13046 .41544 L
.1306 .42027 L
.13074 .42511 L
.13086 .42994 L
.13098 .43477 L
.13108 .4396 L
.13118 .44443 L
.13127 .44927 L
.13135 .4541 L
.13143 .45893 L
.13149 .46376 L
.13155 .46859 L
.1316 .47342 L
.13164 .47826 L
.13167 .48309 L
.1317 .48792 L
.13171 .49275 L
.13172 .49758 L
.13172 .50242 L
.13171 .50725 L
.1317 .51208 L
.13167 .51691 L
.13164 .52174 L
.1316 .52658 L
.13155 .53141 L
.13149 .53624 L
.13143 .54107 L
.13135 .5459 L
.13127 .55073 L
.13118 .55557 L
.13108 .5604 L
.13098 .56523 L
.13086 .57006 L
.13074 .57489 L
.1306 .57973 L
.13046 .58456 L
.13036 .58775 L
.13031 .58939 L
.13013 .59422 L
.12995 .59905 L
.12976 .60388 L
.12956 .60872 L
.12935 .61355 L
.12914 .61838 L
.12891 .62321 L
.12867 .62804 L
.12843 .63288 L
.12817 .63771 L
.12791 .64254 L
.12763 .64737 L
.12735 .6522 L
.12705 .65704 L
.12674 .66187 L
.12643 .6667 L
.1261 .67153 L
.12575 .67636 L
.12553 .67939 L
.12537 .68119 L
.12492 .68603 L
.12446 .69086 L
.12398 .69569 L
.1235 .70052 L
.12302 .70535 L
.12254 .71019 L
.12207 .71502 L
.12163 .71985 L
.12122 .72468 L
.12085 .72951 L
.1207 .73175 L
.12037 .73434 L
.11974 .73918 L
.1191 .74401 L
.11844 .74884 L
.11779 .75367 L
.11715 .7585 L
.11653 .76334 L
.11595 .76817 L
.11587 .76884 L
.11518 .773 L
.11435 .77783 L
.1135 .78266 L
.11264 .7875 L
.11178 .79233 L
.11104 .79647 L
.11089 .79716 L
.10984 .80199 L
.10874 .80682 L
.10758 .81165 L
.10637 .81649 L
.1062 .81711 L
.10499 .82132 L
.10348 .82615 L
.10178 .83098 L
.10137 .83206 L
.09988 .83581 L
.09744 .84065 L
.09654 .84208 L
.09402 .84548 L
.09171 .84758 L
.08688 .8488 L
.08204 .84576 L
.08172 .84548 L
.07816 .84065 L
.07721 .83835 L
.07599 .83581 L
.07402 .83098 L
.07238 .82629 L
.07234 .82615 L
.07085 .82132 L
.06948 .81649 L
.06821 .81165 L
.06755 .80902 L
.06706 .80682 L
.06602 .80199 L
.06501 .79716 L
.06403 .79233 L
.06308 .7875 L
.06272 .78559 L
.06227 .78266 L
.06153 .77783 L
.06077 .773 L
.06001 .76817 L
.05925 .76334 L
.05851 .7585 L
.05789 .75432 L
.05782 .75367 L
.05734 .74884 L
.05682 .74401 L
.05627 .73918 L
.0557 .73434 L
.05512 .72951 L
.05454 .72468 L
.05397 .71985 L
.05342 .71502 L
.05305 .71176 L
.05298 .71019 L
.05271 .70535 L
.0524 .70052 L
.05205 .69569 L
.05167 .69086 L
.05127 .68603 L
.05086 .68119 L
.05045 .67636 L
.05004 .67153 L
.04963 .6667 L
.04924 .66187 L
.04886 .65704 L
.04849 .6522 L
.04822 .64849 L
.04816 .64737 L
.04789 .64254 L
.04763 .63771 L
.04738 .63288 L
.04714 .62804 L
.04691 .62321 L
.04669 .61838 L
.04648 .61355 L
.04628 .60872 L
.04609 .60388 L
.04591 .59905 L
.04574 .59422 L
.04557 .58939 L
.04542 .58456 L
.04527 .57973 L
.04513 .57489 L
.045 .57006 L
.04488 .56523 L
.04477 .5604 L
.04466 .55557 L
.04457 .55073 L
.04448 .5459 L
.0444 .54107 L
.04433 .53624 L
.04427 .53141 L
.04422 .52658 L
.04418 .52174 L
.04414 .51691 L
.04411 .51208 L
.0441 .50725 L
.04409 .50242 L
.04409 .49758 L
.0441 .49275 L
.04411 .48792 L
.04414 .48309 L
.04418 .47826 L
.04422 .47342 L
.04427 .46859 L
.04433 .46376 L
.0444 .45893 L
.04448 .4541 L
.04457 .44927 L
.04466 .44443 L
.04477 .4396 L
.04488 .43477 L
.045 .42994 L
.04513 .42511 L
.04527 .42027 L
.04542 .41544 L
.04557 .41061 L
.04574 .40578 L
.04591 .40095 L
.04609 .39612 L
.04628 .39128 L
.04648 .38645 L
.04669 .38162 L
.04691 .37679 L
.04714 .37196 L
.04738 .36712 L
.04763 .36229 L
.04789 .35746 L
.04816 .35263 L
.04822 .35151 L
.04849 .3478 L
.04886 .34296 L
.04924 .33813 L
.04963 .3333 L
.05004 .32847 L
.05045 .32364 L
.05086 .31881 L
.05127 .31397 L
.05167 .30914 L
.05205 .30431 L
.0524 .29948 L
.05271 .29465 L
.05298 .28981 L
.05305 .28824 L
.05342 .28498 L
.05397 .28015 L
.05454 .27532 L
.05512 .27049 L
.0557 .26566 L
.05627 .26082 L
.05682 .25599 L
.05734 .25116 L
.05782 .24633 L
.05789 .24568 L
.05851 .2415 L
.05925 .23666 L
.06001 .23183 L
.06077 .227 L
.06153 .22217 L
.06227 .21734 L
.06272 .21441 L
.06308 .2125 L
.06403 .20767 L
.06501 .20284 L
.06602 .19801 L
.06706 .19318 L
.06755 .19098 L
.06821 .18835 L
.06948 .18351 L
.07085 .17868 L
.07234 .17385 L
.07238 .17371 L
.07402 .16902 L
.07599 .16419 L
.07721 .16165 L
.07816 .15935 L
.08172 .15452 L
F
1 .987 .673 r
.08204 .17378 m
.08688 .17056 L
.09171 .17185 L
.09382 .17385 L
.09654 .17769 L
.09714 .17868 L
.09953 .18351 L
.10137 .18834 L
.10137 .18835 L
.10302 .19318 L
.10448 .19801 L
.10582 .20284 L
.1062 .20432 L
.107 .20767 L
.1081 .2125 L
.10916 .21734 L
.11016 .22217 L
.11104 .22657 L
.11111 .227 L
.1119 .23183 L
.1127 .23666 L
.11348 .2415 L
.11426 .24633 L
.11502 .25116 L
.11575 .25599 L
.11587 .2568 L
.1163 .26082 L
.11685 .26566 L
.11741 .27049 L
.11799 .27532 L
.11857 .28015 L
.11915 .28498 L
.11971 .28981 L
.12027 .29465 L
.1207 .29857 L
.12075 .29948 L
.12105 .30431 L
.12139 .30914 L
.12175 .31397 L
.12213 .31881 L
.12252 .32364 L
.12292 .32847 L
.12332 .3333 L
.12372 .33813 L
.12411 .34296 L
.12449 .3478 L
.12486 .35263 L
.12521 .35746 L
.12553 .36198 L
.12555 .36229 L
.12582 .36712 L
.12607 .37196 L
.12632 .37679 L
.12656 .38162 L
.12678 .38645 L
.12699 .39128 L
.1272 .39612 L
.12739 .40095 L
.12757 .40578 L
.12775 .41061 L
.12791 .41544 L
.12807 .42027 L
.12822 .42511 L
.12835 .42994 L
.12848 .43477 L
.1286 .4396 L
.12871 .44443 L
.12881 .44927 L
.1289 .4541 L
.12898 .45893 L
.12905 .46376 L
.12911 .46859 L
.12917 .47342 L
.12921 .47826 L
.12925 .48309 L
.12928 .48792 L
.1293 .49275 L
.12931 .49758 L
.12931 .50242 L
.1293 .50725 L
.12928 .51208 L
.12925 .51691 L
.12921 .52174 L
.12917 .52658 L
.12911 .53141 L
.12905 .53624 L
.12898 .54107 L
.1289 .5459 L
.12881 .55073 L
.12871 .55557 L
.1286 .5604 L
.12848 .56523 L
.12835 .57006 L
.12822 .57489 L
.12807 .57973 L
.12791 .58456 L
.12775 .58939 L
.12757 .59422 L
.12739 .59905 L
.1272 .60388 L
.12699 .60872 L
.12678 .61355 L
.12656 .61838 L
.12632 .62321 L
.12607 .62804 L
.12582 .63288 L
.12555 .63771 L
.12553 .63802 L
.12521 .64254 L
.12486 .64737 L
.12449 .6522 L
.12411 .65704 L
.12372 .66187 L
.12332 .6667 L
.12292 .67153 L
.12252 .67636 L
.12213 .68119 L
.12175 .68603 L
.12139 .69086 L
.12105 .69569 L
.12075 .70052 L
.1207 .70143 L
.12027 .70535 L
.11971 .71019 L
.11915 .71502 L
.11857 .71985 L
.11799 .72468 L
.11741 .72951 L
.11685 .73434 L
.1163 .73918 L
.11587 .7432 L
.11575 .74401 L
.11502 .74884 L
.11426 .75367 L
.11348 .7585 L
.1127 .76334 L
.1119 .76817 L
.11111 .773 L
.11104 .77343 L
.11016 .77783 L
.10916 .78266 L
.1081 .7875 L
.107 .79233 L
.1062 .79568 L
.10582 .79716 L
.10448 .80199 L
.10302 .80682 L
.10137 .81165 L
.10137 .81166 L
.09953 .81649 L
.09714 .82132 L
.09654 .82231 L
.09382 .82615 L
.09171 .82815 L
.08688 .82944 L
.08204 .82622 L
.08197 .82615 L
.07841 .82132 L
.07721 .81836 L
.07635 .81649 L
.07443 .81165 L
.07279 .80682 L
.07238 .80551 L
.07135 .80199 L
.07003 .79716 L
.06881 .79233 L
.06767 .7875 L
.06755 .78698 L
.06667 .78266 L
.06571 .77783 L
.06479 .773 L
.06389 .76817 L
.06302 .76334 L
.06272 .76159 L
.06229 .7585 L
.06161 .75367 L
.06092 .74884 L
.06023 .74401 L
.05954 .73918 L
.05887 .73434 L
.05821 .72951 L
.05789 .72704 L
.05768 .72468 L
.05725 .71985 L
.05678 .71502 L
.0563 .71019 L
.0558 .70535 L
.0553 .70052 L
.05479 .69569 L
.0543 .69086 L
.05381 .68603 L
.05335 .68119 L
.05305 .67808 L
.05299 .67636 L
.05277 .67153 L
.05252 .6667 L
.05224 .66187 L
.05195 .65704 L
.05164 .6522 L
.05132 .64737 L
.051 .64254 L
.05069 .63771 L
.05037 .63288 L
.05006 .62804 L
.04976 .62321 L
.04948 .61838 L
.0492 .61355 L
.04893 .60872 L
.04868 .60388 L
.04844 .59905 L
.04822 .59444 L
.04821 .59422 L
.04804 .58939 L
.04788 .58456 L
.04773 .57973 L
.04759 .57489 L
.04745 .57006 L
.04733 .56523 L
.04721 .5604 L
.04711 .55557 L
.04701 .55073 L
.04692 .5459 L
.04684 .54107 L
.04677 .53624 L
.04671 .53141 L
.04666 .52658 L
.04662 .52174 L
.04658 .51691 L
.04655 .51208 L
.04654 .50725 L
.04653 .50242 L
.04653 .49758 L
.04654 .49275 L
.04655 .48792 L
.04658 .48309 L
.04662 .47826 L
.04666 .47342 L
.04671 .46859 L
.04677 .46376 L
.04684 .45893 L
.04692 .4541 L
.04701 .44927 L
.04711 .44443 L
.04721 .4396 L
.04733 .43477 L
.04745 .42994 L
.04759 .42511 L
.04773 .42027 L
.04788 .41544 L
.04804 .41061 L
.04821 .40578 L
.04822 .40556 L
.04844 .40095 L
.04868 .39612 L
.04893 .39128 L
.0492 .38645 L
.04948 .38162 L
.04976 .37679 L
.05006 .37196 L
.05037 .36712 L
.05069 .36229 L
.051 .35746 L
.05132 .35263 L
.05164 .3478 L
.05195 .34296 L
.05224 .33813 L
.05252 .3333 L
.05277 .32847 L
.05299 .32364 L
.05305 .32192 L
.05335 .31881 L
.05381 .31397 L
.0543 .30914 L
.05479 .30431 L
.0553 .29948 L
.0558 .29465 L
.0563 .28981 L
.05678 .28498 L
.05725 .28015 L
.05768 .27532 L
.05789 .27296 L
.05821 .27049 L
.05887 .26566 L
.05954 .26082 L
.06023 .25599 L
.06092 .25116 L
.06161 .24633 L
.06229 .2415 L
.06272 .23841 L
.06302 .23666 L
.06389 .23183 L
.06479 .227 L
.06571 .22217 L
.06667 .21734 L
.06755 .21302 L
.06767 .2125 L
.06881 .20767 L
.07003 .20284 L
.07135 .19801 L
.07238 .19449 L
.07279 .19318 L
.07443 .18835 L
.07635 .18351 L
.07721 .18164 L
.07841 .17868 L
.08197 .17385 L
F
1 .983 .586 r
.08204 .18696 m
.08688 .18361 L
.09171 .18494 L
.09483 .18835 L
.09654 .19103 L
.09774 .19318 L
.09989 .19801 L
.10137 .20216 L
.10161 .20284 L
.10315 .20767 L
.10454 .2125 L
.10581 .21734 L
.1062 .21893 L
.10694 .22217 L
.10799 .227 L
.10899 .23183 L
.10995 .23666 L
.11086 .2415 L
.11104 .24244 L
.11164 .24633 L
.11239 .25116 L
.11313 .25599 L
.11386 .26082 L
.11457 .26566 L
.11527 .27049 L
.11587 .27478 L
.11592 .27532 L
.11641 .28015 L
.11691 .28498 L
.11743 .28981 L
.11796 .29465 L
.11849 .29948 L
.11901 .30431 L
.11953 .30914 L
.12003 .31397 L
.12051 .31881 L
.1207 .32069 L
.12085 .32364 L
.12113 .32847 L
.12143 .3333 L
.12174 .33813 L
.12207 .34296 L
.12241 .3478 L
.12275 .35263 L
.12309 .35746 L
.12342 .36229 L
.12375 .36712 L
.12407 .37196 L
.12438 .37679 L
.12468 .38162 L
.12496 .38645 L
.12523 .39128 L
.12549 .39612 L
.12553 .39692 L
.1257 .40095 L
.12589 .40578 L
.12607 .41061 L
.12624 .41544 L
.1264 .42027 L
.12655 .42511 L
.12669 .42994 L
.12682 .43477 L
.12694 .4396 L
.12705 .44443 L
.12716 .44927 L
.12725 .4541 L
.12733 .45893 L
.12741 .46376 L
.12747 .46859 L
.12753 .47342 L
.12757 .47826 L
.12761 .48309 L
.12764 .48792 L
.12765 .49275 L
.12766 .49758 L
.12766 .50242 L
.12765 .50725 L
.12764 .51208 L
.12761 .51691 L
.12757 .52174 L
.12753 .52658 L
.12747 .53141 L
.12741 .53624 L
.12733 .54107 L
.12725 .5459 L
.12716 .55073 L
.12705 .55557 L
.12694 .5604 L
.12682 .56523 L
.12669 .57006 L
.12655 .57489 L
.1264 .57973 L
.12624 .58456 L
.12607 .58939 L
.12589 .59422 L
.1257 .59905 L
.12553 .60308 L
.12549 .60388 L
.12523 .60872 L
.12496 .61355 L
.12468 .61838 L
.12438 .62321 L
.12407 .62804 L
.12375 .63288 L
.12342 .63771 L
.12309 .64254 L
.12275 .64737 L
.12241 .6522 L
.12207 .65704 L
.12174 .66187 L
.12143 .6667 L
.12113 .67153 L
.12085 .67636 L
.1207 .67931 L
.12051 .68119 L
.12003 .68603 L
.11953 .69086 L
.11901 .69569 L
.11849 .70052 L
.11796 .70535 L
.11743 .71019 L
.11691 .71502 L
.11641 .71985 L
.11592 .72468 L
.11587 .72522 L
.11527 .72951 L
.11457 .73434 L
.11386 .73918 L
.11313 .74401 L
.11239 .74884 L
.11164 .75367 L
.11104 .75756 L
.11086 .7585 L
.10995 .76334 L
.10899 .76817 L
.10799 .773 L
.10694 .77783 L
.1062 .78107 L
.10581 .78266 L
.10454 .7875 L
.10315 .79233 L
.10161 .79716 L
.10137 .79784 L
.09989 .80199 L
.09774 .80682 L
.09654 .80897 L
.09483 .81165 L
.09171 .81506 L
.08688 .81639 L
.08204 .81304 L
.08073 .81165 L
.07793 .80682 L
.07721 .80484 L
.07598 .80199 L
.07419 .79716 L
.07266 .79233 L
.07238 .79139 L
.07129 .7875 L
.07004 .78266 L
.06888 .77783 L
.06779 .773 L
.06755 .77191 L
.06682 .76817 L
.06592 .76334 L
.06504 .7585 L
.06418 .75367 L
.06336 .74884 L
.06272 .74496 L
.06259 .74401 L
.06196 .73918 L
.06132 .73434 L
.06068 .72951 L
.06004 .72468 L
.05941 .71985 L
.05879 .71502 L
.05819 .71019 L
.05789 .70766 L
.05771 .70535 L
.05731 .70052 L
.05689 .69569 L
.05646 .69086 L
.05602 .68603 L
.05557 .68119 L
.05512 .67636 L
.05467 .67153 L
.05424 .6667 L
.05382 .66187 L
.05341 .65704 L
.05305 .6526 L
.05304 .6522 L
.05287 .64737 L
.05267 .64254 L
.05245 .63771 L
.05222 .63288 L
.05198 .62804 L
.05173 .62321 L
.05148 .61838 L
.05123 .61355 L
.05099 .60872 L
.05075 .60388 L
.05051 .59905 L
.05029 .59422 L
.05007 .58939 L
.04986 .58456 L
.04967 .57973 L
.04948 .57489 L
.04931 .57006 L
.04914 .56523 L
.04899 .5604 L
.04886 .55557 L
.04873 .55073 L
.04861 .5459 L
.04851 .54107 L
.04842 .53624 L
.04834 .53141 L
.04827 .52658 L
.04822 .52226 L
.04822 .52174 L
.04818 .51691 L
.04815 .51208 L
.04814 .50725 L
.04813 .50242 L
.04813 .49758 L
.04814 .49275 L
.04815 .48792 L
.04818 .48309 L
.04822 .47826 L
.04822 .47774 L
.04827 .47342 L
.04834 .46859 L
.04842 .46376 L
.04851 .45893 L
.04861 .4541 L
.04873 .44927 L
.04886 .44443 L
.04899 .4396 L
.04914 .43477 L
.04931 .42994 L
.04948 .42511 L
.04967 .42027 L
.04986 .41544 L
.05007 .41061 L
.05029 .40578 L
.05051 .40095 L
.05075 .39612 L
.05099 .39128 L
.05123 .38645 L
.05148 .38162 L
.05173 .37679 L
.05198 .37196 L
.05222 .36712 L
.05245 .36229 L
.05267 .35746 L
.05287 .35263 L
.05304 .3478 L
.05305 .3474 L
.05341 .34296 L
.05382 .33813 L
.05424 .3333 L
.05467 .32847 L
.05512 .32364 L
.05557 .31881 L
.05602 .31397 L
.05646 .30914 L
.05689 .30431 L
.05731 .29948 L
.05771 .29465 L
.05789 .29234 L
.05819 .28981 L
.05879 .28498 L
.05941 .28015 L
.06004 .27532 L
.06068 .27049 L
.06132 .26566 L
.06196 .26082 L
.06259 .25599 L
.06272 .25504 L
.06336 .25116 L
.06418 .24633 L
.06504 .2415 L
.06592 .23666 L
.06682 .23183 L
.06755 .22809 L
.06779 .227 L
.06888 .22217 L
.07004 .21734 L
.07129 .2125 L
.07238 .20861 L
.07266 .20767 L
.07419 .20284 L
.07598 .19801 L
.07721 .19516 L
.07793 .19318 L
.08073 .18835 L
F
1 .978 .511 r
.08204 .19705 m
.08688 .19358 L
.09171 .19497 L
.0945 .19801 L
.09654 .20126 L
.09741 .20284 L
.09958 .20767 L
.10128 .2125 L
.10137 .21278 L
.10281 .21734 L
.10418 .22217 L
.10543 .227 L
.1062 .23021 L
.10656 .23183 L
.10759 .23666 L
.10856 .2415 L
.1095 .24633 L
.11039 .25116 L
.11104 .2548 L
.11121 .25599 L
.11193 .26082 L
.11263 .26566 L
.11333 .27049 L
.11402 .27532 L
.11469 .28015 L
.11534 .28498 L
.11587 .28903 L
.11594 .28981 L
.11639 .29465 L
.11686 .29948 L
.11734 .30431 L
.11783 .30914 L
.11832 .31397 L
.1188 .31881 L
.11928 .32364 L
.11974 .32847 L
.12019 .3333 L
.12063 .33813 L
.1207 .33895 L
.12089 .34296 L
.12114 .3478 L
.1214 .35263 L
.12168 .35746 L
.12196 .36229 L
.12225 .36712 L
.12254 .37196 L
.12283 .37679 L
.12311 .38162 L
.12339 .38645 L
.12366 .39128 L
.12392 .39612 L
.12417 .40095 L
.1244 .40578 L
.12463 .41061 L
.12484 .41544 L
.12504 .42027 L
.12523 .42511 L
.12541 .42994 L
.12553 .43359 L
.12556 .43477 L
.12569 .4396 L
.1258 .44443 L
.12591 .44927 L
.126 .4541 L
.12609 .45893 L
.12616 .46376 L
.12623 .46859 L
.12629 .47342 L
.12633 .47826 L
.12637 .48309 L
.1264 .48792 L
.12642 .49275 L
.12643 .49758 L
.12643 .50242 L
.12642 .50725 L
.1264 .51208 L
.12637 .51691 L
.12633 .52174 L
.12629 .52658 L
.12623 .53141 L
.12616 .53624 L
.12609 .54107 L
.126 .5459 L
.12591 .55073 L
.1258 .55557 L
.12569 .5604 L
.12556 .56523 L
.12553 .56641 L
.12541 .57006 L
.12523 .57489 L
.12504 .57973 L
.12484 .58456 L
.12463 .58939 L
.1244 .59422 L
.12417 .59905 L
.12392 .60388 L
.12366 .60872 L
.12339 .61355 L
.12311 .61838 L
.12283 .62321 L
.12254 .62804 L
.12225 .63288 L
.12196 .63771 L
.12168 .64254 L
.1214 .64737 L
.12114 .6522 L
.12089 .65704 L
.1207 .66105 L
.12063 .66187 L
.12019 .6667 L
.11974 .67153 L
.11928 .67636 L
.1188 .68119 L
.11832 .68603 L
.11783 .69086 L
.11734 .69569 L
.11686 .70052 L
.11639 .70535 L
.11594 .71019 L
.11587 .71097 L
.11534 .71502 L
.11469 .71985 L
.11402 .72468 L
.11333 .72951 L
.11263 .73434 L
.11193 .73918 L
.11121 .74401 L
.11104 .7452 L
.11039 .74884 L
.1095 .75367 L
.10856 .7585 L
.10759 .76334 L
.10656 .76817 L
.1062 .76979 L
.10543 .773 L
.10418 .77783 L
.10281 .78266 L
.10137 .78722 L
.10128 .7875 L
.09958 .79233 L
.09741 .79716 L
.09654 .79874 L
.0945 .80199 L
.09171 .80503 L
.08688 .80642 L
.08204 .80295 L
.08113 .80199 L
.07819 .79716 L
.07721 .79447 L
.0763 .79233 L
.07452 .7875 L
.073 .78266 L
.07238 .78053 L
.07165 .77783 L
.07042 .773 L
.06927 .76817 L
.0682 .76334 L
.06755 .76023 L
.06723 .7585 L
.06635 .75367 L
.06549 .74884 L
.06466 .74401 L
.06386 .73918 L
.06309 .73434 L
.06272 .73193 L
.06242 .72951 L
.06182 .72468 L
.06122 .71985 L
.06062 .71502 L
.06002 .71019 L
.05942 .70535 L
.05885 .70052 L
.05829 .69569 L
.05789 .69212 L
.0578 .69086 L
.05744 .68603 L
.05706 .68119 L
.05667 .67636 L
.05627 .67153 L
.05586 .6667 L
.05546 .66187 L
.05506 .65704 L
.05466 .6522 L
.05428 .64737 L
.05391 .64254 L
.05355 .63771 L
.05321 .63288 L
.05305 .63066 L
.05298 .62804 L
.05282 .62321 L
.05265 .61838 L
.05247 .61355 L
.05229 .60872 L
.0521 .60388 L
.0519 .59905 L
.05171 .59422 L
.05152 .58939 L
.05134 .58456 L
.05116 .57973 L
.05099 .57489 L
.05082 .57006 L
.05067 .56523 L
.05052 .5604 L
.05039 .55557 L
.05026 .55073 L
.05015 .5459 L
.05005 .54107 L
.04995 .53624 L
.04987 .53141 L
.04981 .52658 L
.04975 .52174 L
.0497 .51691 L
.04967 .51208 L
.04964 .50725 L
.04963 .50242 L
.04963 .49758 L
.04964 .49275 L
.04967 .48792 L
.0497 .48309 L
.04975 .47826 L
.04981 .47342 L
.04987 .46859 L
.04995 .46376 L
.05005 .45893 L
.05015 .4541 L
.05026 .44927 L
.05039 .44443 L
.05052 .4396 L
.05067 .43477 L
.05082 .42994 L
.05099 .42511 L
.05116 .42027 L
.05134 .41544 L
.05152 .41061 L
.05171 .40578 L
.0519 .40095 L
.0521 .39612 L
.05229 .39128 L
.05247 .38645 L
.05265 .38162 L
.05282 .37679 L
.05298 .37196 L
.05305 .36934 L
.05321 .36712 L
.05355 .36229 L
.05391 .35746 L
.05428 .35263 L
.05466 .3478 L
.05506 .34296 L
.05546 .33813 L
.05586 .3333 L
.05627 .32847 L
.05667 .32364 L
.05706 .31881 L
.05744 .31397 L
.0578 .30914 L
.05789 .30788 L
.05829 .30431 L
.05885 .29948 L
.05942 .29465 L
.06002 .28981 L
.06062 .28498 L
.06122 .28015 L
.06182 .27532 L
.06242 .27049 L
.06272 .26807 L
.06309 .26566 L
.06386 .26082 L
.06466 .25599 L
.06549 .25116 L
.06635 .24633 L
.06723 .2415 L
.06755 .23977 L
.0682 .23666 L
.06927 .23183 L
.07042 .227 L
.07165 .22217 L
.07238 .21947 L
.073 .21734 L
.07452 .2125 L
.0763 .20767 L
.07721 .20553 L
.07819 .20284 L
.08113 .19801 L
F
1 .974 .445 r
.08688 .20173 m
.09129 .20284 L
.09171 .20315 L
.09542 .20767 L
.09654 .20962 L
.09802 .2125 L
.09999 .21734 L
.10137 .22149 L
.10159 .22217 L
.10304 .227 L
.10435 .23183 L
.10554 .23666 L
.1062 .2395 L
.10663 .2415 L
.10761 .24633 L
.10855 .25116 L
.10945 .25599 L
.11031 .26082 L
.11104 .26506 L
.11112 .26566 L
.1118 .27049 L
.11248 .27532 L
.11315 .28015 L
.1138 .28498 L
.11445 .28981 L
.11507 .29465 L
.11568 .29948 L
.11587 .30105 L
.11615 .30431 L
.11659 .30914 L
.11703 .31397 L
.11748 .31881 L
.11794 .32364 L
.11839 .32847 L
.11884 .3333 L
.11927 .33813 L
.1197 .34296 L
.12011 .3478 L
.12051 .35263 L
.1207 .35505 L
.1208 .35746 L
.12101 .36229 L
.12124 .36712 L
.12148 .37196 L
.12172 .37679 L
.12196 .38162 L
.12221 .38645 L
.12246 .39128 L
.1227 .39612 L
.12293 .40095 L
.12316 .40578 L
.12338 .41061 L
.12359 .41544 L
.12379 .42027 L
.12398 .42511 L
.12416 .42994 L
.12433 .43477 L
.12448 .4396 L
.12462 .44443 L
.12475 .44927 L
.12487 .4541 L
.12498 .45893 L
.12507 .46376 L
.12516 .46859 L
.12523 .47342 L
.12528 .47826 L
.12533 .48309 L
.12537 .48792 L
.12539 .49275 L
.1254 .49758 L
.1254 .50242 L
.12539 .50725 L
.12537 .51208 L
.12533 .51691 L
.12528 .52174 L
.12523 .52658 L
.12516 .53141 L
.12507 .53624 L
.12498 .54107 L
.12487 .5459 L
.12475 .55073 L
.12462 .55557 L
.12448 .5604 L
.12433 .56523 L
.12416 .57006 L
.12398 .57489 L
.12379 .57973 L
.12359 .58456 L
.12338 .58939 L
.12316 .59422 L
.12293 .59905 L
.1227 .60388 L
.12246 .60872 L
.12221 .61355 L
.12196 .61838 L
.12172 .62321 L
.12148 .62804 L
.12124 .63288 L
.12101 .63771 L
.1208 .64254 L
.1207 .64495 L
.12051 .64737 L
.12011 .6522 L
.1197 .65704 L
.11927 .66187 L
.11884 .6667 L
.11839 .67153 L
.11794 .67636 L
.11748 .68119 L
.11703 .68603 L
.11659 .69086 L
.11615 .69569 L
.11587 .69895 L
.11568 .70052 L
.11507 .70535 L
.11445 .71019 L
.1138 .71502 L
.11315 .71985 L
.11248 .72468 L
.1118 .72951 L
.11112 .73434 L
.11104 .73494 L
.11031 .73918 L
.10945 .74401 L
.10855 .74884 L
.10761 .75367 L
.10663 .7585 L
.1062 .7605 L
.10554 .76334 L
.10435 .76817 L
.10304 .773 L
.10159 .77783 L
.10137 .77851 L
.09999 .78266 L
.09802 .7875 L
.09654 .79038 L
.09542 .79233 L
.09171 .79685 L
.09129 .79716 L
.08688 .79827 L
.08457 .79716 L
.08204 .79471 L
.08007 .79233 L
.07771 .7875 L
.07721 .78599 L
.07588 .78266 L
.07421 .77783 L
.07277 .773 L
.07238 .7716 L
.07148 .76817 L
.0703 .76334 L
.0692 .7585 L
.06817 .75367 L
.06755 .75059 L
.06723 .74884 L
.06639 .74401 L
.06557 .73918 L
.06477 .73434 L
.064 .72951 L
.06325 .72468 L
.06272 .72106 L
.06258 .71985 L
.06201 .71502 L
.06144 .71019 L
.06087 .70535 L
.0603 .70052 L
.05973 .69569 L
.05918 .69086 L
.05865 .68603 L
.05813 .68119 L
.05789 .67884 L
.05772 .67636 L
.05738 .67153 L
.05704 .6667 L
.05668 .66187 L
.05631 .65704 L
.05594 .6522 L
.05557 .64737 L
.05521 .64254 L
.05486 .63771 L
.05451 .63288 L
.05417 .62804 L
.05385 .62321 L
.05354 .61838 L
.05325 .61355 L
.05305 .61021 L
.05302 .60872 L
.05289 .60388 L
.05276 .59905 L
.05262 .59422 L
.05248 .58939 L
.05233 .58456 L
.05219 .57973 L
.05205 .57489 L
.05191 .57006 L
.05178 .56523 L
.05165 .5604 L
.05153 .55557 L
.05142 .55073 L
.05131 .5459 L
.05122 .54107 L
.05113 .53624 L
.05106 .53141 L
.05099 .52658 L
.05094 .52174 L
.0509 .51691 L
.05086 .51208 L
.05084 .50725 L
.05083 .50242 L
.05083 .49758 L
.05084 .49275 L
.05086 .48792 L
.0509 .48309 L
.05094 .47826 L
.05099 .47342 L
.05106 .46859 L
.05113 .46376 L
.05122 .45893 L
.05131 .4541 L
.05142 .44927 L
.05153 .44443 L
.05165 .4396 L
.05178 .43477 L
.05191 .42994 L
.05205 .42511 L
.05219 .42027 L
.05233 .41544 L
.05248 .41061 L
.05262 .40578 L
.05276 .40095 L
.05289 .39612 L
.05302 .39128 L
.05305 .38979 L
.05325 .38645 L
.05354 .38162 L
.05385 .37679 L
.05417 .37196 L
.05451 .36712 L
.05486 .36229 L
.05521 .35746 L
.05557 .35263 L
.05594 .3478 L
.05631 .34296 L
.05668 .33813 L
.05704 .3333 L
.05738 .32847 L
.05772 .32364 L
.05789 .32116 L
.05813 .31881 L
.05865 .31397 L
.05918 .30914 L
.05973 .30431 L
.0603 .29948 L
.06087 .29465 L
.06144 .28981 L
.06201 .28498 L
.06258 .28015 L
.06272 .27894 L
.06325 .27532 L
.064 .27049 L
.06477 .26566 L
.06557 .26082 L
.06639 .25599 L
.06723 .25116 L
.06755 .24941 L
.06817 .24633 L
.0692 .2415 L
.0703 .23666 L
.07148 .23183 L
.07238 .2284 L
.07277 .227 L
.07421 .22217 L
.07588 .21734 L
.07721 .21401 L
.07771 .2125 L
.08007 .20767 L
.08204 .20529 L
.08457 .20284 L
F
1 .969 .387 r
.08204 .2123 m
.08688 .20866 L
.09171 .21011 L
.09392 .2125 L
.09654 .21674 L
.09687 .21734 L
.09907 .22217 L
.10078 .227 L
.10137 .22892 L
.10226 .23183 L
.10361 .23666 L
.10483 .2415 L
.10595 .24633 L
.1062 .24746 L
.10696 .25116 L
.1079 .25599 L
.1088 .26082 L
.10966 .26566 L
.11048 .27049 L
.11104 .27391 L
.11123 .27532 L
.11188 .28015 L
.11253 .28498 L
.11317 .28981 L
.1138 .29465 L
.11441 .29948 L
.11501 .30431 L
.11558 .30914 L
.11587 .31159 L
.11606 .31397 L
.11647 .31881 L
.11689 .32364 L
.11731 .32847 L
.11773 .3333 L
.11816 .33813 L
.11857 .34296 L
.11899 .3478 L
.11938 .35263 L
.11977 .35746 L
.12014 .36229 L
.1205 .36712 L
.1207 .36989 L
.12078 .37196 L
.12096 .37679 L
.12116 .38162 L
.12137 .38645 L
.12157 .39128 L
.12178 .39612 L
.12199 .40095 L
.1222 .40578 L
.1224 .41061 L
.12259 .41544 L
.12278 .42027 L
.12296 .42511 L
.12313 .42994 L
.1233 .43477 L
.12345 .4396 L
.12359 .44443 L
.12372 .44927 L
.12383 .4541 L
.12394 .45893 L
.12404 .46376 L
.12412 .46859 L
.12419 .47342 L
.12425 .47826 L
.1243 .48309 L
.12433 .48792 L
.12436 .49275 L
.12437 .49758 L
.12437 .50242 L
.12436 .50725 L
.12433 .51208 L
.1243 .51691 L
.12425 .52174 L
.12419 .52658 L
.12412 .53141 L
.12404 .53624 L
.12394 .54107 L
.12383 .5459 L
.12372 .55073 L
.12359 .55557 L
.12345 .5604 L
.1233 .56523 L
.12313 .57006 L
.12296 .57489 L
.12278 .57973 L
.12259 .58456 L
.1224 .58939 L
.1222 .59422 L
.12199 .59905 L
.12178 .60388 L
.12157 .60872 L
.12137 .61355 L
.12116 .61838 L
.12096 .62321 L
.12078 .62804 L
.1207 .63011 L
.1205 .63288 L
.12014 .63771 L
.11977 .64254 L
.11938 .64737 L
.11899 .6522 L
.11857 .65704 L
.11816 .66187 L
.11773 .6667 L
.11731 .67153 L
.11689 .67636 L
.11647 .68119 L
.11606 .68603 L
.11587 .68841 L
.11558 .69086 L
.11501 .69569 L
.11441 .70052 L
.1138 .70535 L
.11317 .71019 L
.11253 .71502 L
.11188 .71985 L
.11123 .72468 L
.11104 .72609 L
.11048 .72951 L
.10966 .73434 L
.1088 .73918 L
.1079 .74401 L
.10696 .74884 L
.1062 .75254 L
.10595 .75367 L
.10483 .7585 L
.10361 .76334 L
.10226 .76817 L
.10137 .77108 L
.10078 .773 L
.09907 .77783 L
.09687 .78266 L
.09654 .78326 L
.09392 .7875 L
.09171 .78989 L
.08688 .79134 L
.08204 .7877 L
.08185 .7875 L
.07864 .78266 L
.07721 .77876 L
.07683 .77783 L
.07505 .773 L
.07354 .76817 L
.07238 .76398 L
.07221 .76334 L
.07101 .7585 L
.0699 .75367 L
.06886 .74884 L
.06788 .74401 L
.06755 .74231 L
.06701 .73918 L
.0662 .73434 L
.06541 .72951 L
.06465 .72468 L
.06391 .71985 L
.0632 .71502 L
.06272 .71162 L
.06256 .71019 L
.06201 .70535 L
.06147 .70052 L
.06092 .69569 L
.06038 .69086 L
.05985 .68603 L
.05933 .68119 L
.05882 .67636 L
.05833 .67153 L
.05789 .66704 L
.05786 .6667 L
.05756 .66187 L
.05724 .65704 L
.05691 .6522 L
.05658 .64737 L
.05625 .64254 L
.05591 .63771 L
.05558 .63288 L
.05525 .62804 L
.05493 .62321 L
.05463 .61838 L
.05433 .61355 L
.05404 .60872 L
.05377 .60388 L
.05351 .59905 L
.05327 .59422 L
.05305 .5898 L
.05305 .58939 L
.05295 .58456 L
.05285 .57973 L
.05274 .57489 L
.05264 .57006 L
.05254 .56523 L
.05243 .5604 L
.05234 .55557 L
.05225 .55073 L
.05216 .5459 L
.05208 .54107 L
.05201 .53624 L
.05194 .53141 L
.05189 .52658 L
.05184 .52174 L
.0518 .51691 L
.05177 .51208 L
.05175 .50725 L
.05174 .50242 L
.05174 .49758 L
.05175 .49275 L
.05177 .48792 L
.0518 .48309 L
.05184 .47826 L
.05189 .47342 L
.05194 .46859 L
.05201 .46376 L
.05208 .45893 L
.05216 .4541 L
.05225 .44927 L
.05234 .44443 L
.05243 .4396 L
.05254 .43477 L
.05264 .42994 L
.05274 .42511 L
.05285 .42027 L
.05295 .41544 L
.05305 .41061 L
.05305 .4102 L
.05327 .40578 L
.05351 .40095 L
.05377 .39612 L
.05404 .39128 L
.05433 .38645 L
.05463 .38162 L
.05493 .37679 L
.05525 .37196 L
.05558 .36712 L
.05591 .36229 L
.05625 .35746 L
.05658 .35263 L
.05691 .3478 L
.05724 .34296 L
.05756 .33813 L
.05786 .3333 L
.05789 .33296 L
.05833 .32847 L
.05882 .32364 L
.05933 .31881 L
.05985 .31397 L
.06038 .30914 L
.06092 .30431 L
.06147 .29948 L
.06201 .29465 L
.06256 .28981 L
.06272 .28838 L
.0632 .28498 L
.06391 .28015 L
.06465 .27532 L
.06541 .27049 L
.0662 .26566 L
.06701 .26082 L
.06755 .25769 L
.06788 .25599 L
.06886 .25116 L
.0699 .24633 L
.07101 .2415 L
.07221 .23666 L
.07238 .23602 L
.07354 .23183 L
.07505 .227 L
.07683 .22217 L
.07721 .22124 L
.07864 .21734 L
.08185 .2125 L
F
1 .965 .337 r
.08688 .2147 m
.09171 .21618 L
.09287 .21734 L
.09613 .22217 L
.09654 .22296 L
.09846 .227 L
.10025 .23183 L
.10137 .23542 L
.10175 .23666 L
.10311 .2415 L
.10435 .24633 L
.10548 .25116 L
.1062 .25445 L
.10651 .25599 L
.10745 .26082 L
.10834 .26566 L
.10919 .27049 L
.11001 .27532 L
.11079 .28015 L
.11104 .28176 L
.11146 .28498 L
.11209 .28981 L
.11271 .29465 L
.11332 .29948 L
.11392 .30431 L
.11451 .30914 L
.11507 .31397 L
.11562 .31881 L
.11587 .32108 L
.11607 .32364 L
.11645 .32847 L
.11685 .3333 L
.11724 .33813 L
.11764 .34296 L
.11804 .3478 L
.11843 .35263 L
.11881 .35746 L
.11918 .36229 L
.11954 .36712 L
.11989 .37196 L
.12023 .37679 L
.12054 .38162 L
.1207 .38406 L
.12078 .38645 L
.12094 .39128 L
.12112 .39612 L
.12129 .40095 L
.12147 .40578 L
.12164 .41061 L
.12182 .41544 L
.12198 .42027 L
.12215 .42511 L
.12231 .42994 L
.12246 .43477 L
.1226 .4396 L
.12273 .44443 L
.12285 .44927 L
.12297 .4541 L
.12307 .45893 L
.12316 .46376 L
.12324 .46859 L
.12331 .47342 L
.12337 .47826 L
.12342 .48309 L
.12345 .48792 L
.12347 .49275 L
.12349 .49758 L
.12349 .50242 L
.12347 .50725 L
.12345 .51208 L
.12342 .51691 L
.12337 .52174 L
.12331 .52658 L
.12324 .53141 L
.12316 .53624 L
.12307 .54107 L
.12297 .5459 L
.12285 .55073 L
.12273 .55557 L
.1226 .5604 L
.12246 .56523 L
.12231 .57006 L
.12215 .57489 L
.12198 .57973 L
.12182 .58456 L
.12164 .58939 L
.12147 .59422 L
.12129 .59905 L
.12112 .60388 L
.12094 .60872 L
.12078 .61355 L
.1207 .61594 L
.12054 .61838 L
.12023 .62321 L
.11989 .62804 L
.11954 .63288 L
.11918 .63771 L
.11881 .64254 L
.11843 .64737 L
.11804 .6522 L
.11764 .65704 L
.11724 .66187 L
.11685 .6667 L
.11645 .67153 L
.11607 .67636 L
.11587 .67892 L
.11562 .68119 L
.11507 .68603 L
.11451 .69086 L
.11392 .69569 L
.11332 .70052 L
.11271 .70535 L
.11209 .71019 L
.11146 .71502 L
.11104 .71824 L
.11079 .71985 L
.11001 .72468 L
.10919 .72951 L
.10834 .73434 L
.10745 .73918 L
.10651 .74401 L
.1062 .74555 L
.10548 .74884 L
.10435 .75367 L
.10311 .7585 L
.10175 .76334 L
.10137 .76458 L
.10025 .76817 L
.09846 .773 L
.09654 .77704 L
.09613 .77783 L
.09287 .78266 L
.09171 .78382 L
.08688 .7853 L
.08296 .78266 L
.08204 .78158 L
.07933 .77783 L
.07738 .773 L
.07721 .77244 L
.0756 .76817 L
.07405 .76334 L
.0727 .7585 L
.07238 .7573 L
.07148 .75367 L
.07037 .74884 L
.06932 .74401 L
.06835 .73918 L
.06755 .73501 L
.06744 .73434 L
.06664 .72951 L
.06586 .72468 L
.06511 .71985 L
.06438 .71502 L
.06368 .71019 L
.06301 .70535 L
.06272 .70322 L
.06243 .70052 L
.06191 .69569 L
.06139 .69086 L
.06087 .68603 L
.06035 .68119 L
.05984 .67636 L
.05935 .67153 L
.05887 .6667 L
.0584 .66187 L
.05796 .65704 L
.05789 .65626 L
.05765 .6522 L
.05736 .64737 L
.05706 .64254 L
.05675 .63771 L
.05644 .63288 L
.05614 .62804 L
.05584 .62321 L
.05554 .61838 L
.05525 .61355 L
.05497 .60872 L
.0547 .60388 L
.05444 .59905 L
.05419 .59422 L
.05395 .58939 L
.05373 .58456 L
.05352 .57973 L
.05332 .57489 L
.05314 .57006 L
.05305 .56767 L
.05302 .56523 L
.05295 .5604 L
.05288 .55557 L
.05281 .55073 L
.05274 .5459 L
.05268 .54107 L
.05262 .53624 L
.05257 .53141 L
.05252 .52658 L
.05249 .52174 L
.05246 .51691 L
.05243 .51208 L
.05242 .50725 L
.05241 .50242 L
.05241 .49758 L
.05242 .49275 L
.05243 .48792 L
.05246 .48309 L
.05249 .47826 L
.05252 .47342 L
.05257 .46859 L
.05262 .46376 L
.05268 .45893 L
.05274 .4541 L
.05281 .44927 L
.05288 .44443 L
.05295 .4396 L
.05302 .43477 L
.05305 .43233 L
.05314 .42994 L
.05332 .42511 L
.05352 .42027 L
.05373 .41544 L
.05395 .41061 L
.05419 .40578 L
.05444 .40095 L
.0547 .39612 L
.05497 .39128 L
.05525 .38645 L
.05554 .38162 L
.05584 .37679 L
.05614 .37196 L
.05644 .36712 L
.05675 .36229 L
.05706 .35746 L
.05736 .35263 L
.05765 .3478 L
.05789 .34374 L
.05796 .34296 L
.0584 .33813 L
.05887 .3333 L
.05935 .32847 L
.05984 .32364 L
.06035 .31881 L
.06087 .31397 L
.06139 .30914 L
.06191 .30431 L
.06243 .29948 L
.06272 .29678 L
.06301 .29465 L
.06368 .28981 L
.06438 .28498 L
.06511 .28015 L
.06586 .27532 L
.06664 .27049 L
.06744 .26566 L
.06755 .26499 L
.06835 .26082 L
.06932 .25599 L
.07037 .25116 L
.07148 .24633 L
.07238 .2427 L
.0727 .2415 L
.07405 .23666 L
.0756 .23183 L
.07721 .22756 L
.07738 .227 L
.07933 .22217 L
.08204 .21842 L
.08296 .21734 L
F
1 .961 .294 r
.08688 .22008 m
.09171 .22159 L
.09232 .22217 L
.09575 .227 L
.09654 .2285 L
.09813 .23183 L
.09996 .23666 L
.10137 .24123 L
.10145 .2415 L
.10282 .24633 L
.10405 .25116 L
.10518 .25599 L
.1062 .26072 L
.10622 .26082 L
.10715 .26566 L
.10803 .27049 L
.10887 .27532 L
.10968 .28015 L
.11045 .28498 L
.11104 .28884 L
.11116 .28981 L
.11177 .29465 L
.11238 .29948 L
.11297 .30431 L
.11355 .30914 L
.11412 .31397 L
.11468 .31881 L
.11522 .32364 L
.11573 .32847 L
.11587 .32978 L
.11613 .3333 L
.1165 .33813 L
.11687 .34296 L
.11724 .3478 L
.11761 .35263 L
.11798 .35746 L
.11835 .36229 L
.11871 .36712 L
.11905 .37196 L
.11939 .37679 L
.11971 .38162 L
.12002 .38645 L
.12031 .39128 L
.12059 .39612 L
.1207 .39801 L
.12079 .40095 L
.12093 .40578 L
.12107 .41061 L
.12122 .41544 L
.12137 .42027 L
.12151 .42511 L
.12165 .42994 L
.12178 .43477 L
.12191 .4396 L
.12203 .44443 L
.12215 .44927 L
.12225 .4541 L
.12235 .45893 L
.12243 .46376 L
.12251 .46859 L
.12258 .47342 L
.12263 .47826 L
.12267 .48309 L
.12271 .48792 L
.12273 .49275 L
.12274 .49758 L
.12274 .50242 L
.12273 .50725 L
.12271 .51208 L
.12267 .51691 L
.12263 .52174 L
.12258 .52658 L
.12251 .53141 L
.12243 .53624 L
.12235 .54107 L
.12225 .5459 L
.12215 .55073 L
.12203 .55557 L
.12191 .5604 L
.12178 .56523 L
.12165 .57006 L
.12151 .57489 L
.12137 .57973 L
.12122 .58456 L
.12107 .58939 L
.12093 .59422 L
.12079 .59905 L
.1207 .60199 L
.12059 .60388 L
.12031 .60872 L
.12002 .61355 L
.11971 .61838 L
.11939 .62321 L
.11905 .62804 L
.11871 .63288 L
.11835 .63771 L
.11798 .64254 L
.11761 .64737 L
.11724 .6522 L
.11687 .65704 L
.1165 .66187 L
.11613 .6667 L
.11587 .67022 L
.11573 .67153 L
.11522 .67636 L
.11468 .68119 L
.11412 .68603 L
.11355 .69086 L
.11297 .69569 L
.11238 .70052 L
.11177 .70535 L
.11116 .71019 L
.11104 .71116 L
.11045 .71502 L
.10968 .71985 L
.10887 .72468 L
.10803 .72951 L
.10715 .73434 L
.10622 .73918 L
.1062 .73928 L
.10518 .74401 L
.10405 .74884 L
.10282 .75367 L
.10145 .7585 L
.10137 .75877 L
.09996 .76334 L
.09813 .76817 L
.09654 .7715 L
.09575 .773 L
.09232 .77783 L
.09171 .77841 L
.08688 .77992 L
.08353 .77783 L
.08204 .77613 L
.07971 .773 L
.07763 .76817 L
.07721 .7668 L
.07591 .76334 L
.07435 .7585 L
.07299 .75367 L
.07238 .75132 L
.07177 .74884 L
.07066 .74401 L
.06963 .73918 L
.06866 .73434 L
.06774 .72951 L
.06755 .72845 L
.06694 .72468 L
.06618 .71985 L
.06544 .71502 L
.06472 .71019 L
.06403 .70535 L
.06337 .70052 L
.06273 .69569 L
.06272 .6956 L
.06223 .69086 L
.06173 .68603 L
.06123 .68119 L
.06073 .67636 L
.06024 .67153 L
.05976 .6667 L
.0593 .66187 L
.05884 .65704 L
.0584 .6522 L
.05798 .64737 L
.05789 .64621 L
.05769 .64254 L
.05742 .63771 L
.05714 .63288 L
.05686 .62804 L
.05658 .62321 L
.0563 .61838 L
.05602 .61355 L
.05575 .60872 L
.05549 .60388 L
.05524 .59905 L
.05499 .59422 L
.05476 .58939 L
.05454 .58456 L
.05433 .57973 L
.05413 .57489 L
.05394 .57006 L
.05377 .56523 L
.05361 .5604 L
.05346 .55557 L
.05332 .55073 L
.0532 .5459 L
.05309 .54107 L
.05305 .53923 L
.05303 .53624 L
.05299 .53141 L
.05296 .52658 L
.05293 .52174 L
.05291 .51691 L
.05289 .51208 L
.05288 .50725 L
.05287 .50242 L
.05287 .49758 L
.05288 .49275 L
.05289 .48792 L
.05291 .48309 L
.05293 .47826 L
.05296 .47342 L
.05299 .46859 L
.05303 .46376 L
.05305 .46077 L
.05309 .45893 L
.0532 .4541 L
.05332 .44927 L
.05346 .44443 L
.05361 .4396 L
.05377 .43477 L
.05394 .42994 L
.05413 .42511 L
.05433 .42027 L
.05454 .41544 L
.05476 .41061 L
.05499 .40578 L
.05524 .40095 L
.05549 .39612 L
.05575 .39128 L
.05602 .38645 L
.0563 .38162 L
.05658 .37679 L
.05686 .37196 L
.05714 .36712 L
.05742 .36229 L
.05769 .35746 L
.05789 .35379 L
.05798 .35263 L
.0584 .3478 L
.05884 .34296 L
.0593 .33813 L
.05976 .3333 L
.06024 .32847 L
.06073 .32364 L
.06123 .31881 L
.06173 .31397 L
.06223 .30914 L
.06272 .3044 L
.06273 .30431 L
.06337 .29948 L
.06403 .29465 L
.06472 .28981 L
.06544 .28498 L
.06618 .28015 L
.06694 .27532 L
.06755 .27155 L
.06774 .27049 L
.06866 .26566 L
.06963 .26082 L
.07066 .25599 L
.07177 .25116 L
.07238 .24868 L
.07299 .24633 L
.07435 .2415 L
.07591 .23666 L
.07721 .2332 L
.07763 .23183 L
.07971 .227 L
.08204 .22387 L
.08353 .22217 L
F
1 .956 .256 r
.08688 .22494 m
.09171 .22648 L
.09225 .227 L
.09567 .23183 L
.09654 .23351 L
.09803 .23666 L
.09984 .2415 L
.10132 .24633 L
.10137 .2465 L
.10268 .25116 L
.1039 .25599 L
.10501 .26082 L
.10605 .26566 L
.1062 .26643 L
.10697 .27049 L
.10783 .27532 L
.10866 .28015 L
.10946 .28498 L
.11021 .28981 L
.11094 .29465 L
.11104 .29532 L
.11155 .29948 L
.11213 .30431 L
.11271 .30914 L
.11328 .31397 L
.11383 .31881 L
.11438 .32364 L
.1149 .32847 L
.11541 .3333 L
.11587 .3379 L
.11588 .33813 L
.11623 .34296 L
.11658 .3478 L
.11693 .35263 L
.11728 .35746 L
.11763 .36229 L
.11798 .36712 L
.11831 .37196 L
.11865 .37679 L
.11897 .38162 L
.11927 .38645 L
.11957 .39128 L
.11986 .39612 L
.12013 .40095 L
.12038 .40578 L
.12062 .41061 L
.1207 .41222 L
.12078 .41544 L
.1209 .42027 L
.12102 .42511 L
.12114 .42994 L
.12126 .43477 L
.12137 .4396 L
.12148 .44443 L
.12158 .44927 L
.12167 .4541 L
.12176 .45893 L
.12184 .46376 L
.12191 .46859 L
.12197 .47342 L
.12202 .47826 L
.12206 .48309 L
.12209 .48792 L
.12211 .49275 L
.12212 .49758 L
.12212 .50242 L
.12211 .50725 L
.12209 .51208 L
.12206 .51691 L
.12202 .52174 L
.12197 .52658 L
.12191 .53141 L
.12184 .53624 L
.12176 .54107 L
.12167 .5459 L
.12158 .55073 L
.12148 .55557 L
.12137 .5604 L
.12126 .56523 L
.12114 .57006 L
.12102 .57489 L
.1209 .57973 L
.12078 .58456 L
.1207 .58778 L
.12062 .58939 L
.12038 .59422 L
.12013 .59905 L
.11986 .60388 L
.11957 .60872 L
.11927 .61355 L
.11897 .61838 L
.11865 .62321 L
.11831 .62804 L
.11798 .63288 L
.11763 .63771 L
.11728 .64254 L
.11693 .64737 L
.11658 .6522 L
.11623 .65704 L
.11588 .66187 L
.11587 .6621 L
.11541 .6667 L
.1149 .67153 L
.11438 .67636 L
.11383 .68119 L
.11328 .68603 L
.11271 .69086 L
.11213 .69569 L
.11155 .70052 L
.11104 .70468 L
.11094 .70535 L
.11021 .71019 L
.10946 .71502 L
.10866 .71985 L
.10783 .72468 L
.10697 .72951 L
.1062 .73357 L
.10605 .73434 L
.10501 .73918 L
.1039 .74401 L
.10268 .74884 L
.10137 .7535 L
.10132 .75367 L
.09984 .7585 L
.09803 .76334 L
.09654 .76649 L
.09567 .76817 L
.09225 .773 L
.09171 .77352 L
.08688 .77506 L
.08359 .773 L
.08204 .7712 L
.0798 .76817 L
.07771 .76334 L
.07721 .76169 L
.07603 .7585 L
.07448 .75367 L
.07313 .74884 L
.07238 .7459 L
.07193 .74401 L
.07083 .73918 L
.06981 .73434 L
.06885 .72951 L
.06795 .72468 L
.06755 .72247 L
.06713 .71985 L
.06639 .71502 L
.06566 .71019 L
.06496 .70535 L
.06429 .70052 L
.06363 .69569 L
.063 .69086 L
.06272 .68858 L
.06246 .68603 L
.06198 .68119 L
.0615 .67636 L
.06102 .67153 L
.06055 .6667 L
.06009 .66187 L
.05964 .65704 L
.0592 .6522 L
.05877 .64737 L
.05836 .64254 L
.05797 .63771 L
.05789 .63667 L
.05769 .63288 L
.05744 .62804 L
.05719 .62321 L
.05693 .61838 L
.05667 .61355 L
.05642 .60872 L
.05617 .60388 L
.05593 .59905 L
.05569 .59422 L
.05546 .58939 L
.05525 .58456 L
.05504 .57973 L
.05484 .57489 L
.05466 .57006 L
.05448 .56523 L
.05432 .5604 L
.05417 .55557 L
.05404 .55073 L
.05391 .5459 L
.0538 .54107 L
.0537 .53624 L
.05362 .53141 L
.05354 .52658 L
.05348 .52174 L
.05343 .51691 L
.05339 .51208 L
.05337 .50725 L
.05336 .50242 L
.05336 .49758 L
.05337 .49275 L
.05339 .48792 L
.05343 .48309 L
.05348 .47826 L
.05354 .47342 L
.05362 .46859 L
.0537 .46376 L
.0538 .45893 L
.05391 .4541 L
.05404 .44927 L
.05417 .44443 L
.05432 .4396 L
.05448 .43477 L
.05466 .42994 L
.05484 .42511 L
.05504 .42027 L
.05525 .41544 L
.05546 .41061 L
.05569 .40578 L
.05593 .40095 L
.05617 .39612 L
.05642 .39128 L
.05667 .38645 L
.05693 .38162 L
.05719 .37679 L
.05744 .37196 L
.05769 .36712 L
.05789 .36333 L
.05797 .36229 L
.05836 .35746 L
.05877 .35263 L
.0592 .3478 L
.05964 .34296 L
.06009 .33813 L
.06055 .3333 L
.06102 .32847 L
.0615 .32364 L
.06198 .31881 L
.06246 .31397 L
.06272 .31142 L
.063 .30914 L
.06363 .30431 L
.06429 .29948 L
.06496 .29465 L
.06566 .28981 L
.06639 .28498 L
.06713 .28015 L
.06755 .27753 L
.06795 .27532 L
.06885 .27049 L
.06981 .26566 L
.07083 .26082 L
.07193 .25599 L
.07238 .2541 L
.07313 .25116 L
.07448 .24633 L
.07603 .2415 L
.07721 .23831 L
.07771 .23666 L
.0798 .23183 L
.08204 .2288 L
.08359 .227 L
F
1 .952 .223 r
.08688 .22938 m
.09171 .23094 L
.09259 .23183 L
.09581 .23666 L
.09654 .2381 L
.09811 .2415 L
.09988 .24633 L
.10133 .25116 L
.10137 .25132 L
.10265 .25599 L
.10385 .26082 L
.10495 .26566 L
.10597 .27049 L
.1062 .27167 L
.10688 .27532 L
.10773 .28015 L
.10854 .28498 L
.10932 .28981 L
.11006 .29465 L
.11077 .29948 L
.11104 .30133 L
.11139 .30431 L
.11196 .30914 L
.11252 .31397 L
.11308 .31881 L
.11362 .32364 L
.11414 .32847 L
.11465 .3333 L
.11515 .33813 L
.11562 .34296 L
.11587 .34555 L
.11602 .3478 L
.11635 .35263 L
.11668 .35746 L
.11701 .36229 L
.11734 .36712 L
.11767 .37196 L
.11799 .37679 L
.1183 .38162 L
.11861 .38645 L
.1189 .39128 L
.11919 .39612 L
.11946 .40095 L
.11972 .40578 L
.11996 .41061 L
.12019 .41544 L
.12041 .42027 L
.12061 .42511 L
.1207 .42732 L
.12075 .42994 L
.12085 .43477 L
.12095 .4396 L
.12104 .44443 L
.12113 .44927 L
.12121 .4541 L
.12128 .45893 L
.12135 .46376 L
.12141 .46859 L
.12147 .47342 L
.12151 .47826 L
.12155 .48309 L
.12158 .48792 L
.1216 .49275 L
.12161 .49758 L
.12161 .50242 L
.1216 .50725 L
.12158 .51208 L
.12155 .51691 L
.12151 .52174 L
.12147 .52658 L
.12141 .53141 L
.12135 .53624 L
.12128 .54107 L
.12121 .5459 L
.12113 .55073 L
.12104 .55557 L
.12095 .5604 L
.12085 .56523 L
.12075 .57006 L
.1207 .57268 L
.12061 .57489 L
.12041 .57973 L
.12019 .58456 L
.11996 .58939 L
.11972 .59422 L
.11946 .59905 L
.11919 .60388 L
.1189 .60872 L
.11861 .61355 L
.1183 .61838 L
.11799 .62321 L
.11767 .62804 L
.11734 .63288 L
.11701 .63771 L
.11668 .64254 L
.11635 .64737 L
.11602 .6522 L
.11587 .65445 L
.11562 .65704 L
.11515 .66187 L
.11465 .6667 L
.11414 .67153 L
.11362 .67636 L
.11308 .68119 L
.11252 .68603 L
.11196 .69086 L
.11139 .69569 L
.11104 .69867 L
.11077 .70052 L
.11006 .70535 L
.10932 .71019 L
.10854 .71502 L
.10773 .71985 L
.10688 .72468 L
.1062 .72833 L
.10597 .72951 L
.10495 .73434 L
.10385 .73918 L
.10265 .74401 L
.10137 .74868 L
.10133 .74884 L
.09988 .75367 L
.09811 .7585 L
.09654 .7619 L
.09581 .76334 L
.09259 .76817 L
.09171 .76906 L
.08688 .77062 L
.08325 .76817 L
.08204 .7667 L
.07964 .76334 L
.07765 .7585 L
.07721 .75702 L
.07599 .75367 L
.07448 .74884 L
.07315 .74401 L
.07238 .74092 L
.07197 .73918 L
.07089 .73434 L
.06989 .72951 L
.06894 .72468 L
.06806 .71985 L
.06755 .71695 L
.06725 .71502 L
.06652 .71019 L
.06581 .70535 L
.06512 .70052 L
.06446 .69569 L
.06382 .69086 L
.06321 .68603 L
.06272 .68204 L
.06264 .68119 L
.06217 .67636 L
.06171 .67153 L
.06125 .6667 L
.0608 .66187 L
.06035 .65704 L
.05991 .6522 L
.05948 .64737 L
.05907 .64254 L
.05867 .63771 L
.05829 .63288 L
.05793 .62804 L
.05789 .6275 L
.05768 .62321 L
.05745 .61838 L
.05722 .61355 L
.05698 .60872 L
.05675 .60388 L
.05652 .59905 L
.0563 .59422 L
.05608 .58939 L
.05587 .58456 L
.05567 .57973 L
.05547 .57489 L
.05529 .57006 L
.05512 .56523 L
.05496 .5604 L
.05482 .55557 L
.05468 .55073 L
.05456 .5459 L
.05444 .54107 L
.05435 .53624 L
.05426 .53141 L
.05418 .52658 L
.05412 .52174 L
.05407 .51691 L
.05404 .51208 L
.05401 .50725 L
.054 .50242 L
.054 .49758 L
.05401 .49275 L
.05404 .48792 L
.05407 .48309 L
.05412 .47826 L
.05418 .47342 L
.05426 .46859 L
.05435 .46376 L
.05444 .45893 L
.05456 .4541 L
.05468 .44927 L
.05482 .44443 L
.05496 .4396 L
.05512 .43477 L
.05529 .42994 L
.05547 .42511 L
.05567 .42027 L
.05587 .41544 L
.05608 .41061 L
.0563 .40578 L
.05652 .40095 L
.05675 .39612 L
.05698 .39128 L
.05722 .38645 L
.05745 .38162 L
.05768 .37679 L
.05789 .3725 L
.05793 .37196 L
.05829 .36712 L
.05867 .36229 L
.05907 .35746 L
.05948 .35263 L
.05991 .3478 L
.06035 .34296 L
.0608 .33813 L
.06125 .3333 L
.06171 .32847 L
.06217 .32364 L
.06264 .31881 L
.06272 .31796 L
.06321 .31397 L
.06382 .30914 L
.06446 .30431 L
.06512 .29948 L
.06581 .29465 L
.06652 .28981 L
.06725 .28498 L
.06755 .28305 L
.06806 .28015 L
.06894 .27532 L
.06989 .27049 L
.07089 .26566 L
.07197 .26082 L
.07238 .25908 L
.07315 .25599 L
.07448 .25116 L
.07599 .24633 L
.07721 .24298 L
.07765 .2415 L
.07964 .23666 L
.08204 .2333 L
.08325 .23183 L
F
1 .947 .194 r
.08688 .23347 m
.09171 .23506 L
.09317 .23666 L
.09613 .2415 L
.09654 .24233 L
.09832 .24633 L
.10002 .25116 L
.10137 .25578 L
.10143 .25599 L
.10273 .26082 L
.1039 .26566 L
.10497 .27049 L
.10596 .27532 L
.1062 .27654 L
.10686 .28015 L
.10769 .28498 L
.10848 .28981 L
.10925 .29465 L
.10997 .29948 L
.11067 .30431 L
.11104 .30694 L
.11129 .30914 L
.11185 .31397 L
.11239 .31881 L
.11293 .32364 L
.11345 .32847 L
.11397 .3333 L
.11446 .33813 L
.11494 .34296 L
.11541 .3478 L
.11585 .35263 L
.11587 .35284 L
.11616 .35746 L
.11648 .36229 L
.11679 .36712 L
.1171 .37196 L
.11741 .37679 L
.11772 .38162 L
.11801 .38645 L
.1183 .39128 L
.11858 .39612 L
.11885 .40095 L
.11911 .40578 L
.11935 .41061 L
.11958 .41544 L
.1198 .42027 L
.12001 .42511 L
.1202 .42994 L
.12038 .43477 L
.12055 .4396 L
.1207 .44443 L
.1207 .44447 L
.12077 .44927 L
.12084 .4541 L
.12091 .45893 L
.12097 .46376 L
.12102 .46859 L
.12107 .47342 L
.12111 .47826 L
.12114 .48309 L
.12117 .48792 L
.12118 .49275 L
.12119 .49758 L
.12119 .50242 L
.12118 .50725 L
.12117 .51208 L
.12114 .51691 L
.12111 .52174 L
.12107 .52658 L
.12102 .53141 L
.12097 .53624 L
.12091 .54107 L
.12084 .5459 L
.12077 .55073 L
.1207 .55553 L
.1207 .55557 L
.12055 .5604 L
.12038 .56523 L
.1202 .57006 L
.12001 .57489 L
.1198 .57973 L
.11958 .58456 L
.11935 .58939 L
.11911 .59422 L
.11885 .59905 L
.11858 .60388 L
.1183 .60872 L
.11801 .61355 L
.11772 .61838 L
.11741 .62321 L
.1171 .62804 L
.11679 .63288 L
.11648 .63771 L
.11616 .64254 L
.11587 .64716 L
.11585 .64737 L
.11541 .6522 L
.11494 .65704 L
.11446 .66187 L
.11397 .6667 L
.11345 .67153 L
.11293 .67636 L
.11239 .68119 L
.11185 .68603 L
.11129 .69086 L
.11104 .69306 L
.11067 .69569 L
.10997 .70052 L
.10925 .70535 L
.10848 .71019 L
.10769 .71502 L
.10686 .71985 L
.1062 .72346 L
.10596 .72468 L
.10497 .72951 L
.1039 .73434 L
.10273 .73918 L
.10143 .74401 L
.10137 .74422 L
.10002 .74884 L
.09832 .75367 L
.09654 .75767 L
.09613 .7585 L
.09317 .76334 L
.09171 .76494 L
.08688 .76653 L
.08265 .76334 L
.08204 .76254 L
.07932 .7585 L
.07749 .75367 L
.07721 .75271 L
.07584 .74884 L
.07437 .74401 L
.07308 .73918 L
.07238 .73631 L
.07193 .73434 L
.07087 .72951 L
.06989 .72468 L
.06897 .71985 L
.0681 .71502 L
.06755 .71182 L
.0673 .71019 L
.06658 .70535 L
.06589 .70052 L
.06522 .69569 L
.06457 .69086 L
.06395 .68603 L
.06335 .68119 L
.06277 .67636 L
.06272 .6759 L
.06231 .67153 L
.06187 .6667 L
.06142 .66187 L
.06098 .65704 L
.06055 .6522 L
.06013 .64737 L
.05972 .64254 L
.05932 .63771 L
.05893 .63288 L
.05856 .62804 L
.05821 .62321 L
.05789 .61856 L
.05788 .61838 L
.05767 .61355 L
.05745 .60872 L
.05724 .60388 L
.05702 .59905 L
.05681 .59422 L
.05661 .58939 L
.05641 .58456 L
.05622 .57973 L
.05603 .57489 L
.05586 .57006 L
.05569 .56523 L
.05554 .5604 L
.05539 .55557 L
.05526 .55073 L
.05514 .5459 L
.05503 .54107 L
.05493 .53624 L
.05484 .53141 L
.05477 .52658 L
.05471 .52174 L
.05466 .51691 L
.05462 .51208 L
.05459 .50725 L
.05458 .50242 L
.05458 .49758 L
.05459 .49275 L
.05462 .48792 L
.05466 .48309 L
.05471 .47826 L
.05477 .47342 L
.05484 .46859 L
.05493 .46376 L
.05503 .45893 L
.05514 .4541 L
.05526 .44927 L
.05539 .44443 L
.05554 .4396 L
.05569 .43477 L
.05586 .42994 L
.05603 .42511 L
.05622 .42027 L
.05641 .41544 L
.05661 .41061 L
.05681 .40578 L
.05702 .40095 L
.05724 .39612 L
.05745 .39128 L
.05767 .38645 L
.05788 .38162 L
.05789 .38144 L
.05821 .37679 L
.05856 .37196 L
.05893 .36712 L
.05932 .36229 L
.05972 .35746 L
.06013 .35263 L
.06055 .3478 L
.06098 .34296 L
.06142 .33813 L
.06187 .3333 L
.06231 .32847 L
.06272 .3241 L
.06277 .32364 L
.06335 .31881 L
.06395 .31397 L
.06457 .30914 L
.06522 .30431 L
.06589 .29948 L
.06658 .29465 L
.0673 .28981 L
.06755 .28818 L
.0681 .28498 L
.06897 .28015 L
.06989 .27532 L
.07087 .27049 L
.07193 .26566 L
.07238 .26369 L
.07308 .26082 L
.07437 .25599 L
.07584 .25116 L
.07721 .24729 L
.07749 .24633 L
.07932 .2415 L
.08204 .23746 L
.08265 .23666 L
F
1 .943 .169 r
.08204 .24132 m
.08688 .23728 L
.09171 .23889 L
.09388 .2415 L
.09654 .24627 L
.09657 .24633 L
.09864 .25116 L
.10025 .25599 L
.10137 .25994 L
.10162 .26082 L
.10287 .26566 L
.10401 .27049 L
.10505 .27532 L
.10602 .28015 L
.1062 .28109 L
.10689 .28498 L
.1077 .28981 L
.10848 .29465 L
.10923 .29948 L
.10994 .30431 L
.11062 .30914 L
.11104 .31223 L
.11123 .31397 L
.11177 .31881 L
.1123 .32364 L
.11283 .32847 L
.11334 .3333 L
.11383 .33813 L
.11432 .34296 L
.11478 .3478 L
.11523 .35263 L
.11566 .35746 L
.11587 .35985 L
.11602 .36229 L
.11631 .36712 L
.11661 .37196 L
.1169 .37679 L
.1172 .38162 L
.11748 .38645 L
.11776 .39128 L
.11804 .39612 L
.1183 .40095 L
.11855 .40578 L
.1188 .41061 L
.11903 .41544 L
.11925 .42027 L
.11945 .42511 L
.11965 .42994 L
.11983 .43477 L
.12 .4396 L
.12015 .44443 L
.12029 .44927 L
.12042 .4541 L
.12053 .45893 L
.12063 .46376 L
.1207 .46729 L
.12071 .46859 L
.12075 .47342 L
.12079 .47826 L
.12081 .48309 L
.12084 .48792 L
.12085 .49275 L
.12086 .49758 L
.12086 .50242 L
.12085 .50725 L
.12084 .51208 L
.12081 .51691 L
.12079 .52174 L
.12075 .52658 L
.12071 .53141 L
.1207 .53271 L
.12063 .53624 L
.12053 .54107 L
.12042 .5459 L
.12029 .55073 L
.12015 .55557 L
.12 .5604 L
.11983 .56523 L
.11965 .57006 L
.11945 .57489 L
.11925 .57973 L
.11903 .58456 L
.1188 .58939 L
.11855 .59422 L
.1183 .59905 L
.11804 .60388 L
.11776 .60872 L
.11748 .61355 L
.1172 .61838 L
.1169 .62321 L
.11661 .62804 L
.11631 .63288 L
.11602 .63771 L
.11587 .64015 L
.11566 .64254 L
.11523 .64737 L
.11478 .6522 L
.11432 .65704 L
.11383 .66187 L
.11334 .6667 L
.11283 .67153 L
.1123 .67636 L
.11177 .68119 L
.11123 .68603 L
.11104 .68777 L
.11062 .69086 L
.10994 .69569 L
.10923 .70052 L
.10848 .70535 L
.1077 .71019 L
.10689 .71502 L
.1062 .71891 L
.10602 .71985 L
.10505 .72468 L
.10401 .72951 L
.10287 .73434 L
.10162 .73918 L
.10137 .74006 L
.10025 .74401 L
.09864 .74884 L
.09657 .75367 L
.09654 .75373 L
.09388 .7585 L
.09171 .76111 L
.08688 .76272 L
.08204 .75868 L
.0819 .7585 L
.0789 .75367 L
.07725 .74884 L
.07721 .74869 L
.0756 .74401 L
.07418 .73918 L
.07294 .73434 L
.07238 .73201 L
.07182 .72951 L
.07079 .72468 L
.06983 .71985 L
.06893 .71502 L
.06808 .71019 L
.06755 .70701 L
.0673 .70535 L
.0666 .70052 L
.06593 .69569 L
.06527 .69086 L
.06464 .68603 L
.06403 .68119 L
.06344 .67636 L
.06288 .67153 L
.06272 .67008 L
.06241 .6667 L
.06198 .66187 L
.06156 .65704 L
.06113 .6522 L
.06072 .64737 L
.06031 .64254 L
.05991 .63771 L
.05953 .63288 L
.05916 .62804 L
.0588 .62321 L
.05846 .61838 L
.05813 .61355 L
.05789 .60974 L
.05784 .60872 L
.05765 .60388 L
.05745 .59905 L
.05726 .59422 L
.05707 .58939 L
.05688 .58456 L
.0567 .57973 L
.05652 .57489 L
.05635 .57006 L
.0562 .56523 L
.05605 .5604 L
.05591 .55557 L
.05578 .55073 L
.05566 .5459 L
.05555 .54107 L
.05545 .53624 L
.05537 .53141 L
.0553 .52658 L
.05524 .52174 L
.05519 .51691 L
.05515 .51208 L
.05513 .50725 L
.05511 .50242 L
.05511 .49758 L
.05513 .49275 L
.05515 .48792 L
.05519 .48309 L
.05524 .47826 L
.0553 .47342 L
.05537 .46859 L
.05545 .46376 L
.05555 .45893 L
.05566 .4541 L
.05578 .44927 L
.05591 .44443 L
.05605 .4396 L
.0562 .43477 L
.05635 .42994 L
.05652 .42511 L
.0567 .42027 L
.05688 .41544 L
.05707 .41061 L
.05726 .40578 L
.05745 .40095 L
.05765 .39612 L
.05784 .39128 L
.05789 .39026 L
.05813 .38645 L
.05846 .38162 L
.0588 .37679 L
.05916 .37196 L
.05953 .36712 L
.05991 .36229 L
.06031 .35746 L
.06072 .35263 L
.06113 .3478 L
.06156 .34296 L
.06198 .33813 L
.06241 .3333 L
.06272 .32992 L
.06288 .32847 L
.06344 .32364 L
.06403 .31881 L
.06464 .31397 L
.06527 .30914 L
.06593 .30431 L
.0666 .29948 L
.0673 .29465 L
.06755 .29299 L
.06808 .28981 L
.06893 .28498 L
.06983 .28015 L
.07079 .27532 L
.07182 .27049 L
.07238 .26799 L
.07294 .26566 L
.07418 .26082 L
.0756 .25599 L
.07721 .25131 L
.07725 .25116 L
.0789 .24633 L
.0819 .2415 L
F
1 .938 .147 r
.08688 .24084 m
.0904 .2415 L
.09171 .24247 L
.09465 .24633 L
.09654 .24995 L
.09711 .25116 L
.09902 .25599 L
.10054 .26082 L
.10137 .26384 L
.10186 .26566 L
.10307 .27049 L
.10417 .27532 L
.10519 .28015 L
.10613 .28498 L
.1062 .28538 L
.10697 .28981 L
.10776 .29465 L
.10852 .29948 L
.10925 .30431 L
.10994 .30914 L
.11061 .31397 L
.11104 .31724 L
.11121 .31881 L
.11173 .32364 L
.11225 .32847 L
.11276 .3333 L
.11325 .33813 L
.11373 .34296 L
.1142 .3478 L
.11465 .35263 L
.11509 .35746 L
.11551 .36229 L
.11587 .36664 L
.1159 .36712 L
.11618 .37196 L
.11646 .37679 L
.11673 .38162 L
.11701 .38645 L
.11728 .39128 L
.11755 .39612 L
.1178 .40095 L
.11805 .40578 L
.11829 .41061 L
.11852 .41544 L
.11874 .42027 L
.11894 .42511 L
.11913 .42994 L
.11932 .43477 L
.11948 .4396 L
.11964 .44443 L
.11978 .44927 L
.11991 .4541 L
.12002 .45893 L
.12013 .46376 L
.12022 .46859 L
.12029 .47342 L
.12036 .47826 L
.12041 .48309 L
.12045 .48792 L
.12047 .49275 L
.12048 .49758 L
.12048 .50242 L
.12047 .50725 L
.12045 .51208 L
.12041 .51691 L
.12036 .52174 L
.12029 .52658 L
.12022 .53141 L
.12013 .53624 L
.12002 .54107 L
.11991 .5459 L
.11978 .55073 L
.11964 .55557 L
.11948 .5604 L
.11932 .56523 L
.11913 .57006 L
.11894 .57489 L
.11874 .57973 L
.11852 .58456 L
.11829 .58939 L
.11805 .59422 L
.1178 .59905 L
.11755 .60388 L
.11728 .60872 L
.11701 .61355 L
.11673 .61838 L
.11646 .62321 L
.11618 .62804 L
.1159 .63288 L
.11587 .63336 L
.11551 .63771 L
.11509 .64254 L
.11465 .64737 L
.1142 .6522 L
.11373 .65704 L
.11325 .66187 L
.11276 .6667 L
.11225 .67153 L
.11173 .67636 L
.11121 .68119 L
.11104 .68276 L
.11061 .68603 L
.10994 .69086 L
.10925 .69569 L
.10852 .70052 L
.10776 .70535 L
.10697 .71019 L
.1062 .71462 L
.10613 .71502 L
.10519 .71985 L
.10417 .72468 L
.10307 .72951 L
.10186 .73434 L
.10137 .73616 L
.10054 .73918 L
.09902 .74401 L
.09711 .74884 L
.09654 .75005 L
.09465 .75367 L
.09171 .75753 L
.0904 .7585 L
.08688 .75916 L
.08542 .7585 L
.08204 .75506 L
.08095 .75367 L
.07843 .74884 L
.07721 .74493 L
.07688 .74401 L
.0753 .73918 L
.07394 .73434 L
.07274 .72951 L
.07238 .72797 L
.07165 .72468 L
.07066 .71985 L
.06972 .71502 L
.06885 .71019 L
.06802 .70535 L
.06755 .70248 L
.06727 .70052 L
.06658 .69569 L
.06592 .69086 L
.06529 .68603 L
.06467 .68119 L
.06408 .67636 L
.0635 .67153 L
.06296 .6667 L
.06272 .66453 L
.06249 .66187 L
.06207 .65704 L
.06166 .6522 L
.06125 .64737 L
.06085 .64254 L
.06046 .63771 L
.06007 .63288 L
.0597 .62804 L
.05935 .62321 L
.059 .61838 L
.05867 .61355 L
.05836 .60872 L
.05806 .60388 L
.05789 .60093 L
.05782 .59905 L
.05764 .59422 L
.05746 .58939 L
.05729 .58456 L
.05712 .57973 L
.05695 .57489 L
.05679 .57006 L
.05664 .56523 L
.0565 .5604 L
.05636 .55557 L
.05624 .55073 L
.05612 .5459 L
.05602 .54107 L
.05593 .53624 L
.05584 .53141 L
.05577 .52658 L
.05571 .52174 L
.05567 .51691 L
.05563 .51208 L
.05561 .50725 L
.0556 .50242 L
.0556 .49758 L
.05561 .49275 L
.05563 .48792 L
.05567 .48309 L
.05571 .47826 L
.05577 .47342 L
.05584 .46859 L
.05593 .46376 L
.05602 .45893 L
.05612 .4541 L
.05624 .44927 L
.05636 .44443 L
.0565 .4396 L
.05664 .43477 L
.05679 .42994 L
.05695 .42511 L
.05712 .42027 L
.05729 .41544 L
.05746 .41061 L
.05764 .40578 L
.05782 .40095 L
.05789 .39907 L
.05806 .39612 L
.05836 .39128 L
.05867 .38645 L
.059 .38162 L
.05935 .37679 L
.0597 .37196 L
.06007 .36712 L
.06046 .36229 L
.06085 .35746 L
.06125 .35263 L
.06166 .3478 L
.06207 .34296 L
.06249 .33813 L
.06272 .33547 L
.06296 .3333 L
.0635 .32847 L
.06408 .32364 L
.06467 .31881 L
.06529 .31397 L
.06592 .30914 L
.06658 .30431 L
.06727 .29948 L
.06755 .29752 L
.06802 .29465 L
.06885 .28981 L
.06972 .28498 L
.07066 .28015 L
.07165 .27532 L
.07238 .27203 L
.07274 .27049 L
.07394 .26566 L
.0753 .26082 L
.07688 .25599 L
.07721 .25507 L
.07843 .25116 L
.08095 .24633 L
.08204 .24494 L
.08542 .2415 L
F
1 .934 .128 r
.08688 .24418 m
.09171 .24584 L
.09219 .24633 L
.09543 .25116 L
.09654 .25342 L
.09769 .25599 L
.09945 .26082 L
.10088 .26566 L
.10137 .26752 L
.10215 .27049 L
.10332 .27532 L
.10438 .28015 L
.10536 .28498 L
.1062 .28943 L
.10627 .28981 L
.10708 .29465 L
.10786 .29948 L
.10859 .30431 L
.1093 .30914 L
.10998 .31397 L
.11062 .31881 L
.11104 .32202 L
.11121 .32364 L
.11172 .32847 L
.11222 .3333 L
.11271 .33813 L
.11319 .34296 L
.11366 .3478 L
.11412 .35263 L
.11455 .35746 L
.11498 .36229 L
.11538 .36712 L
.11577 .37196 L
.11587 .37327 L
.11606 .37679 L
.11633 .38162 L
.11659 .38645 L
.11685 .39128 L
.1171 .39612 L
.11735 .40095 L
.1176 .40578 L
.11783 .41061 L
.11805 .41544 L
.11827 .42027 L
.11847 .42511 L
.11866 .42994 L
.11884 .43477 L
.11901 .4396 L
.11916 .44443 L
.1193 .44927 L
.11943 .4541 L
.11955 .45893 L
.11965 .46376 L
.11974 .46859 L
.11982 .47342 L
.11988 .47826 L
.11994 .48309 L
.11997 .48792 L
.12 .49275 L
.12001 .49758 L
.12001 .50242 L
.12 .50725 L
.11997 .51208 L
.11994 .51691 L
.11988 .52174 L
.11982 .52658 L
.11974 .53141 L
.11965 .53624 L
.11955 .54107 L
.11943 .5459 L
.1193 .55073 L
.11916 .55557 L
.11901 .5604 L
.11884 .56523 L
.11866 .57006 L
.11847 .57489 L
.11827 .57973 L
.11805 .58456 L
.11783 .58939 L
.1176 .59422 L
.11735 .59905 L
.1171 .60388 L
.11685 .60872 L
.11659 .61355 L
.11633 .61838 L
.11606 .62321 L
.11587 .62673 L
.11577 .62804 L
.11538 .63288 L
.11498 .63771 L
.11455 .64254 L
.11412 .64737 L
.11366 .6522 L
.11319 .65704 L
.11271 .66187 L
.11222 .6667 L
.11172 .67153 L
.11121 .67636 L
.11104 .67798 L
.11062 .68119 L
.10998 .68603 L
.1093 .69086 L
.10859 .69569 L
.10786 .70052 L
.10708 .70535 L
.10627 .71019 L
.1062 .71057 L
.10536 .71502 L
.10438 .71985 L
.10332 .72468 L
.10215 .72951 L
.10137 .73248 L
.10088 .73434 L
.09945 .73918 L
.09769 .74401 L
.09654 .74658 L
.09543 .74884 L
.09219 .75367 L
.09171 .75416 L
.08688 .75582 L
.08366 .75367 L
.08204 .75166 L
.08005 .74884 L
.07797 .74401 L
.07721 .74139 L
.07644 .73918 L
.07495 .73434 L
.07365 .72951 L
.0725 .72468 L
.07238 .72416 L
.07145 .71985 L
.07048 .71502 L
.06958 .71019 L
.06873 .70535 L
.06792 .70052 L
.06755 .69818 L
.0672 .69569 L
.06653 .69086 L
.06589 .68603 L
.06527 .68119 L
.06467 .67636 L
.06409 .67153 L
.06353 .6667 L
.063 .66187 L
.06272 .65921 L
.06253 .65704 L
.06213 .6522 L
.06173 .64737 L
.06134 .64254 L
.06096 .63771 L
.06058 .63288 L
.06021 .62804 L
.05985 .62321 L
.05951 .61838 L
.05918 .61355 L
.05886 .60872 L
.05856 .60388 L
.05828 .59905 L
.05801 .59422 L
.05789 .592 L
.0578 .58939 L
.05764 .58456 L
.05748 .57973 L
.05732 .57489 L
.05717 .57006 L
.05703 .56523 L
.0569 .5604 L
.05677 .55557 L
.05665 .55073 L
.05654 .5459 L
.05644 .54107 L
.05635 .53624 L
.05627 .53141 L
.0562 .52658 L
.05615 .52174 L
.0561 .51691 L
.05607 .51208 L
.05604 .50725 L
.05603 .50242 L
.05603 .49758 L
.05604 .49275 L
.05607 .48792 L
.0561 .48309 L
.05615 .47826 L
.0562 .47342 L
.05627 .46859 L
.05635 .46376 L
.05644 .45893 L
.05654 .4541 L
.05665 .44927 L
.05677 .44443 L
.0569 .4396 L
.05703 .43477 L
.05717 .42994 L
.05732 .42511 L
.05748 .42027 L
.05764 .41544 L
.0578 .41061 L
.05789 .408 L
.05801 .40578 L
.05828 .40095 L
.05856 .39612 L
.05886 .39128 L
.05918 .38645 L
.05951 .38162 L
.05985 .37679 L
.06021 .37196 L
.06058 .36712 L
.06096 .36229 L
.06134 .35746 L
.06173 .35263 L
.06213 .3478 L
.06253 .34296 L
.06272 .34079 L
.063 .33813 L
.06353 .3333 L
.06409 .32847 L
.06467 .32364 L
.06527 .31881 L
.06589 .31397 L
.06653 .30914 L
.0672 .30431 L
.06755 .30182 L
.06792 .29948 L
.06873 .29465 L
.06958 .28981 L
.07048 .28498 L
.07145 .28015 L
.07238 .27584 L
.0725 .27532 L
.07365 .27049 L
.07495 .26566 L
.07644 .26082 L
.07721 .25861 L
.07797 .25599 L
.08005 .25116 L
.08204 .24834 L
.08366 .24633 L
F
1 .929 .112 r
.08688 .24734 m
.09171 .24902 L
.09349 .25116 L
.09621 .25599 L
.09654 .2567 L
.09828 .26082 L
.0999 .26566 L
.10124 .27049 L
.10137 .271 L
.10247 .27532 L
.10359 .28015 L
.10461 .28498 L
.10556 .28981 L
.1062 .29328 L
.10644 .29465 L
.10722 .29948 L
.10798 .30431 L
.10869 .30914 L
.10938 .31397 L
.11004 .31881 L
.11067 .32364 L
.11104 .32659 L
.11123 .32847 L
.11173 .3333 L
.11222 .33813 L
.11269 .34296 L
.11316 .3478 L
.11361 .35263 L
.11405 .35746 L
.11448 .36229 L
.11488 .36712 L
.11527 .37196 L
.11565 .37679 L
.11587 .37978 L
.11596 .38162 L
.11622 .38645 L
.11646 .39128 L
.11671 .39612 L
.11695 .40095 L
.11718 .40578 L
.11741 .41061 L
.11763 .41544 L
.11784 .42027 L
.11804 .42511 L
.11822 .42994 L
.1184 .43477 L
.11857 .4396 L
.11872 .44443 L
.11886 .44927 L
.11899 .4541 L
.1191 .45893 L
.11921 .46376 L
.1193 .46859 L
.11938 .47342 L
.11944 .47826 L
.11949 .48309 L
.11953 .48792 L
.11956 .49275 L
.11957 .49758 L
.11957 .50242 L
.11956 .50725 L
.11953 .51208 L
.11949 .51691 L
.11944 .52174 L
.11938 .52658 L
.1193 .53141 L
.11921 .53624 L
.1191 .54107 L
.11899 .5459 L
.11886 .55073 L
.11872 .55557 L
.11857 .5604 L
.1184 .56523 L
.11822 .57006 L
.11804 .57489 L
.11784 .57973 L
.11763 .58456 L
.11741 .58939 L
.11718 .59422 L
.11695 .59905 L
.11671 .60388 L
.11646 .60872 L
.11622 .61355 L
.11596 .61838 L
.11587 .62022 L
.11565 .62321 L
.11527 .62804 L
.11488 .63288 L
.11448 .63771 L
.11405 .64254 L
.11361 .64737 L
.11316 .6522 L
.11269 .65704 L
.11222 .66187 L
.11173 .6667 L
.11123 .67153 L
.11104 .67341 L
.11067 .67636 L
.11004 .68119 L
.10938 .68603 L
.10869 .69086 L
.10798 .69569 L
.10722 .70052 L
.10644 .70535 L
.1062 .70672 L
.10556 .71019 L
.10461 .71502 L
.10359 .71985 L
.10247 .72468 L
.10137 .729 L
.10124 .72951 L
.0999 .73434 L
.09828 .73918 L
.09654 .7433 L
.09621 .74401 L
.09349 .74884 L
.09171 .75098 L
.08688 .75266 L
.08232 .74884 L
.08204 .74845 L
.07924 .74401 L
.07752 .73918 L
.07721 .73804 L
.07597 .73434 L
.07457 .72951 L
.07333 .72468 L
.07238 .72055 L
.07223 .71985 L
.07122 .71502 L
.07028 .71019 L
.06941 .70535 L
.06858 .70052 L
.0678 .69569 L
.06755 .69408 L
.0671 .69086 L
.06646 .68603 L
.06583 .68119 L
.06523 .67636 L
.06464 .67153 L
.06408 .6667 L
.06354 .66187 L
.06302 .65704 L
.06272 .65408 L
.06257 .6522 L
.06218 .64737 L
.06179 .64254 L
.06141 .63771 L
.06104 .63288 L
.06068 .62804 L
.06032 .62321 L
.05998 .61838 L
.05965 .61355 L
.05934 .60872 L
.05903 .60388 L
.05875 .59905 L
.05847 .59422 L
.05821 .58939 L
.05797 .58456 L
.05789 .5828 L
.05779 .57973 L
.05765 .57489 L
.05751 .57006 L
.05738 .56523 L
.05725 .5604 L
.05713 .55557 L
.05702 .55073 L
.05691 .5459 L
.05682 .54107 L
.05673 .53624 L
.05666 .53141 L
.05659 .52658 L
.05653 .52174 L
.05649 .51691 L
.05646 .51208 L
.05643 .50725 L
.05642 .50242 L
.05642 .49758 L
.05643 .49275 L
.05646 .48792 L
.05649 .48309 L
.05653 .47826 L
.05659 .47342 L
.05666 .46859 L
.05673 .46376 L
.05682 .45893 L
.05691 .4541 L
.05702 .44927 L
.05713 .44443 L
.05725 .4396 L
.05738 .43477 L
.05751 .42994 L
.05765 .42511 L
.05779 .42027 L
.05789 .4172 L
.05797 .41544 L
.05821 .41061 L
.05847 .40578 L
.05875 .40095 L
.05903 .39612 L
.05934 .39128 L
.05965 .38645 L
.05998 .38162 L
.06032 .37679 L
.06068 .37196 L
.06104 .36712 L
.06141 .36229 L
.06179 .35746 L
.06218 .35263 L
.06257 .3478 L
.06272 .34592 L
.06302 .34296 L
.06354 .33813 L
.06408 .3333 L
.06464 .32847 L
.06523 .32364 L
.06583 .31881 L
.06646 .31397 L
.0671 .30914 L
.06755 .30592 L
.0678 .30431 L
.06858 .29948 L
.06941 .29465 L
.07028 .28981 L
.07122 .28498 L
.07223 .28015 L
.07238 .27945 L
.07333 .27532 L
.07457 .27049 L
.07597 .26566 L
.07721 .26196 L
.07752 .26082 L
.07924 .25599 L
.08204 .25155 L
.08232 .25116 L
F
1 .925 .097 r
.08688 .25034 m
.09061 .25116 L
.09171 .25204 L
.09462 .25599 L
.09654 .25982 L
.097 .26082 L
.09887 .26566 L
.10036 .27049 L
.10137 .27431 L
.10163 .27532 L
.10281 .28015 L
.10389 .28498 L
.10487 .28981 L
.10579 .29465 L
.1062 .29696 L
.10662 .29948 L
.10739 .30431 L
.10812 .30914 L
.10881 .31397 L
.10948 .31881 L
.11012 .32364 L
.11073 .32847 L
.11104 .33099 L
.11127 .3333 L
.11176 .33813 L
.11223 .34296 L
.11269 .3478 L
.11314 .35263 L
.11358 .35746 L
.114 .36229 L
.11441 .36712 L
.11481 .37196 L
.11518 .37679 L
.11554 .38162 L
.11587 .38621 L
.11588 .38645 L
.11612 .39128 L
.11635 .39612 L
.11658 .40095 L
.11681 .40578 L
.11703 .41061 L
.11724 .41544 L
.11744 .42027 L
.11764 .42511 L
.11782 .42994 L
.11799 .43477 L
.11816 .4396 L
.11831 .44443 L
.11845 .44927 L
.11858 .4541 L
.11869 .45893 L
.11879 .46376 L
.11888 .46859 L
.11896 .47342 L
.11902 .47826 L
.11908 .48309 L
.11911 .48792 L
.11914 .49275 L
.11915 .49758 L
.11915 .50242 L
.11914 .50725 L
.11911 .51208 L
.11908 .51691 L
.11902 .52174 L
.11896 .52658 L
.11888 .53141 L
.11879 .53624 L
.11869 .54107 L
.11858 .5459 L
.11845 .55073 L
.11831 .55557 L
.11816 .5604 L
.11799 .56523 L
.11782 .57006 L
.11764 .57489 L
.11744 .57973 L
.11724 .58456 L
.11703 .58939 L
.11681 .59422 L
.11658 .59905 L
.11635 .60388 L
.11612 .60872 L
.11588 .61355 L
.11587 .61379 L
.11554 .61838 L
.11518 .62321 L
.11481 .62804 L
.11441 .63288 L
.114 .63771 L
.11358 .64254 L
.11314 .64737 L
.11269 .6522 L
.11223 .65704 L
.11176 .66187 L
.11127 .6667 L
.11104 .66901 L
.11073 .67153 L
.11012 .67636 L
.10948 .68119 L
.10881 .68603 L
.10812 .69086 L
.10739 .69569 L
.10662 .70052 L
.1062 .70304 L
.10579 .70535 L
.10487 .71019 L
.10389 .71502 L
.10281 .71985 L
.10163 .72468 L
.10137 .72569 L
.10036 .72951 L
.09887 .73434 L
.097 .73918 L
.09654 .74018 L
.09462 .74401 L
.09171 .74796 L
.09061 .74884 L
.08688 .74966 L
.08522 .74884 L
.08204 .7454 L
.08099 .74401 L
.07853 .73918 L
.07721 .73485 L
.07703 .73434 L
.07549 .72951 L
.07417 .72468 L
.07299 .71985 L
.07238 .71711 L
.07194 .71502 L
.07097 .71019 L
.07006 .70535 L
.06921 .70052 L
.06841 .69569 L
.06765 .69086 L
.06755 .69016 L
.06699 .68603 L
.06636 .68119 L
.06575 .67636 L
.06517 .67153 L
.0646 .6667 L
.06405 .66187 L
.06353 .65704 L
.06303 .6522 L
.06272 .64911 L
.06258 .64737 L
.0622 .64254 L
.06183 .63771 L
.06147 .63288 L
.06111 .62804 L
.06076 .62321 L
.06042 .61838 L
.0601 .61355 L
.05978 .60872 L
.05948 .60388 L
.05919 .59905 L
.05891 .59422 L
.05865 .58939 L
.05841 .58456 L
.05818 .57973 L
.05796 .57489 L
.05789 .57315 L
.0578 .57006 L
.05768 .56523 L
.05756 .5604 L
.05745 .55557 L
.05734 .55073 L
.05724 .5459 L
.05715 .54107 L
.05707 .53624 L
.057 .53141 L
.05694 .52658 L
.05688 .52174 L
.05684 .51691 L
.05681 .51208 L
.05679 .50725 L
.05678 .50242 L
.05678 .49758 L
.05679 .49275 L
.05681 .48792 L
.05684 .48309 L
.05688 .47826 L
.05694 .47342 L
.057 .46859 L
.05707 .46376 L
.05715 .45893 L
.05724 .4541 L
.05734 .44927 L
.05745 .44443 L
.05756 .4396 L
.05768 .43477 L
.0578 .42994 L
.05789 .42685 L
.05796 .42511 L
.05818 .42027 L
.05841 .41544 L
.05865 .41061 L
.05891 .40578 L
.05919 .40095 L
.05948 .39612 L
.05978 .39128 L
.0601 .38645 L
.06042 .38162 L
.06076 .37679 L
.06111 .37196 L
.06147 .36712 L
.06183 .36229 L
.0622 .35746 L
.06258 .35263 L
.06272 .35089 L
.06303 .3478 L
.06353 .34296 L
.06405 .33813 L
.0646 .3333 L
.06517 .32847 L
.06575 .32364 L
.06636 .31881 L
.06699 .31397 L
.06755 .30984 L
.06765 .30914 L
.06841 .30431 L
.06921 .29948 L
.07006 .29465 L
.07097 .28981 L
.07194 .28498 L
.07238 .28289 L
.07299 .28015 L
.07417 .27532 L
.07549 .27049 L
.07703 .26566 L
.07721 .26515 L
.07853 .26082 L
.08099 .25599 L
.08204 .2546 L
.08522 .25116 L
F
1 .92 .085 r
.08688 .25319 m
.09171 .25491 L
.09267 .25599 L
.09563 .26082 L
.09654 .26278 L
.09776 .26566 L
.09945 .27049 L
.10082 .27532 L
.10137 .27747 L
.10205 .28015 L
.10317 .28498 L
.1042 .28981 L
.10515 .29465 L
.10603 .29948 L
.1062 .30047 L
.10682 .30431 L
.10756 .30914 L
.10827 .31397 L
.10895 .31881 L
.1096 .32364 L
.11022 .32847 L
.11081 .3333 L
.11104 .33523 L
.11132 .33813 L
.11179 .34296 L
.11225 .3478 L
.1127 .35263 L
.11314 .35746 L
.11356 .36229 L
.11397 .36712 L
.11436 .37196 L
.11474 .37679 L
.11511 .38162 L
.11545 .38645 L
.11578 .39128 L
.11587 .39261 L
.11603 .39612 L
.11625 .40095 L
.11647 .40578 L
.11668 .41061 L
.11688 .41544 L
.11708 .42027 L
.11727 .42511 L
.11745 .42994 L
.11762 .43477 L
.11778 .4396 L
.11793 .44443 L
.11807 .44927 L
.11819 .4541 L
.1183 .45893 L
.11841 .46376 L
.11849 .46859 L
.11857 .47342 L
.11864 .47826 L
.11869 .48309 L
.11872 .48792 L
.11875 .49275 L
.11876 .49758 L
.11876 .50242 L
.11875 .50725 L
.11872 .51208 L
.11869 .51691 L
.11864 .52174 L
.11857 .52658 L
.11849 .53141 L
.11841 .53624 L
.1183 .54107 L
.11819 .5459 L
.11807 .55073 L
.11793 .55557 L
.11778 .5604 L
.11762 .56523 L
.11745 .57006 L
.11727 .57489 L
.11708 .57973 L
.11688 .58456 L
.11668 .58939 L
.11647 .59422 L
.11625 .59905 L
.11603 .60388 L
.11587 .60739 L
.11578 .60872 L
.11545 .61355 L
.11511 .61838 L
.11474 .62321 L
.11436 .62804 L
.11397 .63288 L
.11356 .63771 L
.11314 .64254 L
.1127 .64737 L
.11225 .6522 L
.11179 .65704 L
.11132 .66187 L
.11104 .66477 L
.11081 .6667 L
.11022 .67153 L
.1096 .67636 L
.10895 .68119 L
.10827 .68603 L
.10756 .69086 L
.10682 .69569 L
.1062 .69953 L
.10603 .70052 L
.10515 .70535 L
.1042 .71019 L
.10317 .71502 L
.10205 .71985 L
.10137 .72253 L
.10082 .72468 L
.09945 .72951 L
.09776 .73434 L
.09654 .73722 L
.09563 .73918 L
.09267 .74401 L
.09171 .74509 L
.08688 .74681 L
.08316 .74401 L
.08204 .7425 L
.07984 .73918 L
.07791 .73434 L
.07721 .73182 L
.07644 .72951 L
.075 .72468 L
.07376 .71985 L
.07264 .71502 L
.07238 .71382 L
.07163 .71019 L
.0707 .70535 L
.06982 .70052 L
.069 .69569 L
.06823 .69086 L
.06755 .6864 L
.0675 .68603 L
.06686 .68119 L
.06625 .67636 L
.06566 .67153 L
.06509 .6667 L
.06454 .66187 L
.06401 .65704 L
.0635 .6522 L
.06302 .64737 L
.06272 .64428 L
.06258 .64254 L
.06222 .63771 L
.06186 .63288 L
.06151 .62804 L
.06117 .62321 L
.06083 .61838 L
.06051 .61355 L
.0602 .60872 L
.05989 .60388 L
.05961 .59905 L
.05933 .59422 L
.05907 .58939 L
.05882 .58456 L
.05859 .57973 L
.05837 .57489 L
.05817 .57006 L
.05798 .56523 L
.05789 .56272 L
.05783 .5604 L
.05773 .55557 L
.05763 .55073 L
.05753 .5459 L
.05745 .54107 L
.05737 .53624 L
.0573 .53141 L
.05724 .52658 L
.05719 .52174 L
.05715 .51691 L
.05712 .51208 L
.0571 .50725 L
.05709 .50242 L
.05709 .49758 L
.0571 .49275 L
.05712 .48792 L
.05715 .48309 L
.05719 .47826 L
.05724 .47342 L
.0573 .46859 L
.05737 .46376 L
.05745 .45893 L
.05753 .4541 L
.05763 .44927 L
.05773 .44443 L
.05783 .4396 L
.05789 .43728 L
.05798 .43477 L
.05817 .42994 L
.05837 .42511 L
.05859 .42027 L
.05882 .41544 L
.05907 .41061 L
.05933 .40578 L
.05961 .40095 L
.05989 .39612 L
.0602 .39128 L
.06051 .38645 L
.06083 .38162 L
.06117 .37679 L
.06151 .37196 L
.06186 .36712 L
.06222 .36229 L
.06258 .35746 L
.06272 .35572 L
.06302 .35263 L
.0635 .3478 L
.06401 .34296 L
.06454 .33813 L
.06509 .3333 L
.06566 .32847 L
.06625 .32364 L
.06686 .31881 L
.0675 .31397 L
.06755 .3136 L
.06823 .30914 L
.069 .30431 L
.06982 .29948 L
.0707 .29465 L
.07163 .28981 L
.07238 .28618 L
.07264 .28498 L
.07376 .28015 L
.075 .27532 L
.07644 .27049 L
.07721 .26818 L
.07791 .26566 L
.07984 .26082 L
.08204 .2575 L
.08316 .25599 L
F
1 .916 .074 r
.08688 .25592 m
.08905 .25599 L
.09171 .25765 L
.0941 .26082 L
.09654 .26562 L
.09656 .26566 L
.09849 .27049 L
.10001 .27532 L
.10129 .28015 L
.10137 .2805 L
.10247 .28498 L
.10354 .28981 L
.10452 .29465 L
.10543 .29948 L
.1062 .30385 L
.10628 .30431 L
.10703 .30914 L
.10775 .31397 L
.10844 .31881 L
.1091 .32364 L
.10973 .32847 L
.11033 .3333 L
.1109 .33813 L
.11104 .33934 L
.11139 .34296 L
.11184 .3478 L
.11229 .35263 L
.11272 .35746 L
.11314 .36229 L
.11355 .36712 L
.11395 .37196 L
.11433 .37679 L
.11469 .38162 L
.11504 .38645 L
.11537 .39128 L
.11569 .39612 L
.11587 .39903 L
.11595 .40095 L
.11616 .40578 L
.11636 .41061 L
.11656 .41544 L
.11675 .42027 L
.11693 .42511 L
.11711 .42994 L
.11727 .43477 L
.11743 .4396 L
.11758 .44443 L
.11771 .44927 L
.11783 .4541 L
.11795 .45893 L
.11805 .46376 L
.11813 .46859 L
.11821 .47342 L
.11827 .47826 L
.11832 .48309 L
.11836 .48792 L
.11839 .49275 L
.1184 .49758 L
.1184 .50242 L
.11839 .50725 L
.11836 .51208 L
.11832 .51691 L
.11827 .52174 L
.11821 .52658 L
.11813 .53141 L
.11805 .53624 L
.11795 .54107 L
.11783 .5459 L
.11771 .55073 L
.11758 .55557 L
.11743 .5604 L
.11727 .56523 L
.11711 .57006 L
.11693 .57489 L
.11675 .57973 L
.11656 .58456 L
.11636 .58939 L
.11616 .59422 L
.11595 .59905 L
.11587 .60097 L
.11569 .60388 L
.11537 .60872 L
.11504 .61355 L
.11469 .61838 L
.11433 .62321 L
.11395 .62804 L
.11355 .63288 L
.11314 .63771 L
.11272 .64254 L
.11229 .64737 L
.11184 .6522 L
.11139 .65704 L
.11104 .66066 L
.1109 .66187 L
.11033 .6667 L
.10973 .67153 L
.1091 .67636 L
.10844 .68119 L
.10775 .68603 L
.10703 .69086 L
.10628 .69569 L
.1062 .69615 L
.10543 .70052 L
.10452 .70535 L
.10354 .71019 L
.10247 .71502 L
.10137 .7195 L
.10129 .71985 L
.10001 .72468 L
.09849 .72951 L
.09656 .73434 L
.09654 .73438 L
.0941 .73918 L
.09171 .74235 L
.08905 .74401 L
.08688 .74408 L
.08665 .74401 L
.08204 .73972 L
.08162 .73918 L
.07891 .73434 L
.07736 .72951 L
.07721 .72891 L
.07586 .72468 L
.07452 .71985 L
.07334 .71502 L
.07238 .71067 L
.07228 .71019 L
.07131 .70535 L
.07041 .70052 L
.06957 .69569 L
.06878 .69086 L
.06803 .68603 L
.06755 .68278 L
.06734 .68119 L
.06672 .67636 L
.06613 .67153 L
.06556 .6667 L
.065 .66187 L
.06447 .65704 L
.06396 .6522 L
.06346 .64737 L
.06299 .64254 L
.06272 .63957 L
.06258 .63771 L
.06223 .63288 L
.06188 .62804 L
.06155 .62321 L
.06122 .61838 L
.0609 .61355 L
.06059 .60872 L
.06029 .60388 L
.06 .59905 L
.05972 .59422 L
.05946 .58939 L
.05922 .58456 L
.05898 .57973 L
.05876 .57489 L
.05856 .57006 L
.05837 .56523 L
.05819 .5604 L
.05803 .55557 L
.05789 .55096 L
.05788 .55073 L
.05779 .5459 L
.05771 .54107 L
.05764 .53624 L
.05758 .53141 L
.05752 .52658 L
.05747 .52174 L
.05744 .51691 L
.05741 .51208 L
.05739 .50725 L
.05738 .50242 L
.05738 .49758 L
.05739 .49275 L
.05741 .48792 L
.05744 .48309 L
.05747 .47826 L
.05752 .47342 L
.05758 .46859 L
.05764 .46376 L
.05771 .45893 L
.05779 .4541 L
.05788 .44927 L
.05789 .44904 L
.05803 .44443 L
.05819 .4396 L
.05837 .43477 L
.05856 .42994 L
.05876 .42511 L
.05898 .42027 L
.05922 .41544 L
.05946 .41061 L
.05972 .40578 L
.06 .40095 L
.06029 .39612 L
.06059 .39128 L
.0609 .38645 L
.06122 .38162 L
.06155 .37679 L
.06188 .37196 L
.06223 .36712 L
.06258 .36229 L
.06272 .36043 L
.06299 .35746 L
.06346 .35263 L
.06396 .3478 L
.06447 .34296 L
.065 .33813 L
.06556 .3333 L
.06613 .32847 L
.06672 .32364 L
.06734 .31881 L
.06755 .31722 L
.06803 .31397 L
.06878 .30914 L
.06957 .30431 L
.07041 .29948 L
.07131 .29465 L
.07228 .28981 L
.07238 .28933 L
.07334 .28498 L
.07452 .28015 L
.07586 .27532 L
.07721 .27109 L
.07736 .27049 L
.07891 .26566 L
.08162 .26082 L
.08204 .26028 L
.08665 .25599 L
F
1 .911 .064 r
.08688 .25852 m
.09171 .26028 L
.09221 .26082 L
.0953 .26566 L
.09654 .26834 L
.09746 .27049 L
.09917 .27532 L
.10055 .28015 L
.10137 .2834 L
.10177 .28498 L
.10289 .28981 L
.10391 .29465 L
.10485 .29948 L
.10572 .30431 L
.1062 .30711 L
.10652 .30914 L
.10726 .31397 L
.10795 .31881 L
.10862 .32364 L
.10925 .32847 L
.10986 .3333 L
.11044 .33813 L
.111 .34296 L
.11104 .34333 L
.11145 .3478 L
.1119 .35263 L
.11233 .35746 L
.11275 .36229 L
.11315 .36712 L
.11355 .37196 L
.11393 .37679 L
.1143 .38162 L
.11465 .38645 L
.11498 .39128 L
.1153 .39612 L
.1156 .40095 L
.11587 .40551 L
.11588 .40578 L
.11607 .41061 L
.11627 .41544 L
.11645 .42027 L
.11663 .42511 L
.1168 .42994 L
.11696 .43477 L
.11711 .4396 L
.11725 .44443 L
.11738 .44927 L
.1175 .4541 L
.11761 .45893 L
.11771 .46376 L
.1178 .46859 L
.11787 .47342 L
.11793 .47826 L
.11798 .48309 L
.11802 .48792 L
.11804 .49275 L
.11806 .49758 L
.11806 .50242 L
.11804 .50725 L
.11802 .51208 L
.11798 .51691 L
.11793 .52174 L
.11787 .52658 L
.1178 .53141 L
.11771 .53624 L
.11761 .54107 L
.1175 .5459 L
.11738 .55073 L
.11725 .55557 L
.11711 .5604 L
.11696 .56523 L
.1168 .57006 L
.11663 .57489 L
.11645 .57973 L
.11627 .58456 L
.11607 .58939 L
.11588 .59422 L
.11587 .59449 L
.1156 .59905 L
.1153 .60388 L
.11498 .60872 L
.11465 .61355 L
.1143 .61838 L
.11393 .62321 L
.11355 .62804 L
.11315 .63288 L
.11275 .63771 L
.11233 .64254 L
.1119 .64737 L
.11145 .6522 L
.11104 .65667 L
.111 .65704 L
.11044 .66187 L
.10986 .6667 L
.10925 .67153 L
.10862 .67636 L
.10795 .68119 L
.10726 .68603 L
.10652 .69086 L
.1062 .69289 L
.10572 .69569 L
.10485 .70052 L
.10391 .70535 L
.10289 .71019 L
.10177 .71502 L
.10137 .7166 L
.10055 .71985 L
.09917 .72468 L
.09746 .72951 L
.09654 .73166 L
.0953 .73434 L
.09221 .73918 L
.09171 .73972 L
.08688 .74148 L
.08364 .73918 L
.08204 .73707 L
.0802 .73434 L
.07815 .72951 L
.07721 .72613 L
.07673 .72468 L
.07529 .71985 L
.07404 .71502 L
.07292 .71019 L
.07238 .70765 L
.07192 .70535 L
.07099 .70052 L
.07013 .69569 L
.06931 .69086 L
.06855 .68603 L
.06782 .68119 L
.06755 .67928 L
.06718 .67636 L
.06658 .67153 L
.066 .6667 L
.06544 .66187 L
.06491 .65704 L
.06439 .6522 L
.06389 .64737 L
.06342 .64254 L
.06297 .63771 L
.06272 .63496 L
.06257 .63288 L
.06223 .62804 L
.0619 .62321 L
.06157 .61838 L
.06126 .61355 L
.06095 .60872 L
.06066 .60388 L
.06037 .59905 L
.0601 .59422 L
.05984 .58939 L
.05959 .58456 L
.05935 .57973 L
.05913 .57489 L
.05893 .57006 L
.05874 .56523 L
.05856 .5604 L
.05839 .55557 L
.05825 .55073 L
.05811 .5459 L
.05799 .54107 L
.05789 .53649 L
.05788 .53624 L
.05782 .53141 L
.05777 .52658 L
.05772 .52174 L
.05769 .51691 L
.05766 .51208 L
.05764 .50725 L
.05763 .50242 L
.05763 .49758 L
.05764 .49275 L
.05766 .48792 L
.05769 .48309 L
.05772 .47826 L
.05777 .47342 L
.05782 .46859 L
.05788 .46376 L
.05789 .46351 L
.05799 .45893 L
.05811 .4541 L
.05825 .44927 L
.05839 .44443 L
.05856 .4396 L
.05874 .43477 L
.05893 .42994 L
.05913 .42511 L
.05935 .42027 L
.05959 .41544 L
.05984 .41061 L
.0601 .40578 L
.06037 .40095 L
.06066 .39612 L
.06095 .39128 L
.06126 .38645 L
.06157 .38162 L
.0619 .37679 L
.06223 .37196 L
.06257 .36712 L
.06272 .36504 L
.06297 .36229 L
.06342 .35746 L
.06389 .35263 L
.06439 .3478 L
.06491 .34296 L
.06544 .33813 L
.066 .3333 L
.06658 .32847 L
.06718 .32364 L
.06755 .32072 L
.06782 .31881 L
.06855 .31397 L
.06931 .30914 L
.07013 .30431 L
.07099 .29948 L
.07192 .29465 L
.07238 .29235 L
.07292 .28981 L
.07404 .28498 L
.07529 .28015 L
.07673 .27532 L
.07721 .27387 L
.07815 .27049 L
.0802 .26566 L
.08204 .26293 L
.08364 .26082 L
F
1 .907 .056 r
.08204 .26548 m
.08688 .26103 L
.09171 .2628 L
.09387 .26566 L
.09634 .27049 L
.09654 .27095 L
.09828 .27532 L
.0998 .28015 L
.10108 .28498 L
.10137 .28619 L
.10224 .28981 L
.1033 .29465 L
.10428 .29948 L
.10518 .30431 L
.10602 .30914 L
.1062 .31025 L
.10677 .31397 L
.10748 .31881 L
.10816 .32364 L
.1088 .32847 L
.10942 .3333 L
.11 .33813 L
.11056 .34296 L
.11104 .34722 L
.11109 .3478 L
.11153 .35263 L
.11196 .35746 L
.11237 .36229 L
.11278 .36712 L
.11317 .37196 L
.11355 .37679 L
.11392 .38162 L
.11427 .38645 L
.11461 .39128 L
.11493 .39612 L
.11523 .40095 L
.11552 .40578 L
.11579 .41061 L
.11587 .4121 L
.11599 .41544 L
.11617 .42027 L
.11634 .42511 L
.11651 .42994 L
.11666 .43477 L
.11681 .4396 L
.11695 .44443 L
.11708 .44927 L
.11719 .4541 L
.1173 .45893 L
.1174 .46376 L
.11748 .46859 L
.11755 .47342 L
.11761 .47826 L
.11766 .48309 L
.1177 .48792 L
.11772 .49275 L
.11774 .49758 L
.11774 .50242 L
.11772 .50725 L
.1177 .51208 L
.11766 .51691 L
.11761 .52174 L
.11755 .52658 L
.11748 .53141 L
.1174 .53624 L
.1173 .54107 L
.11719 .5459 L
.11708 .55073 L
.11695 .55557 L
.11681 .5604 L
.11666 .56523 L
.11651 .57006 L
.11634 .57489 L
.11617 .57973 L
.11599 .58456 L
.11587 .5879 L
.11579 .58939 L
.11552 .59422 L
.11523 .59905 L
.11493 .60388 L
.11461 .60872 L
.11427 .61355 L
.11392 .61838 L
.11355 .62321 L
.11317 .62804 L
.11278 .63288 L
.11237 .63771 L
.11196 .64254 L
.11153 .64737 L
.11109 .6522 L
.11104 .65278 L
.11056 .65704 L
.11 .66187 L
.10942 .6667 L
.1088 .67153 L
.10816 .67636 L
.10748 .68119 L
.10677 .68603 L
.1062 .68975 L
.10602 .69086 L
.10518 .69569 L
.10428 .70052 L
.1033 .70535 L
.10224 .71019 L
.10137 .71381 L
.10108 .71502 L
.0998 .71985 L
.09828 .72468 L
.09654 .72905 L
.09634 .72951 L
.09387 .73434 L
.09171 .7372 L
.08688 .73897 L
.08204 .73452 L
.08191 .73434 L
.07911 .72951 L
.07752 .72468 L
.07721 .72346 L
.07607 .71985 L
.07474 .71502 L
.07356 .71019 L
.07251 .70535 L
.07238 .70473 L
.07155 .70052 L
.07066 .69569 L
.06983 .69086 L
.06905 .68603 L
.06831 .68119 L
.06761 .67636 L
.06755 .6759 L
.067 .67153 L
.06642 .6667 L
.06587 .66187 L
.06533 .65704 L
.06481 .6522 L
.06431 .64737 L
.06383 .64254 L
.06337 .63771 L
.06293 .63288 L
.06272 .63043 L
.06255 .62804 L
.06223 .62321 L
.06191 .61838 L
.0616 .61355 L
.06129 .60872 L
.061 .60388 L
.06072 .59905 L
.06045 .59422 L
.06019 .58939 L
.05994 .58456 L
.05971 .57973 L
.05949 .57489 L
.05928 .57006 L
.05909 .56523 L
.05891 .5604 L
.05875 .55557 L
.0586 .55073 L
.05846 .5459 L
.05834 .54107 L
.05823 .53624 L
.05813 .53141 L
.05805 .52658 L
.05798 .52174 L
.05793 .51691 L
.05789 .51208 L
.05789 .51151 L
.05787 .50725 L
.05786 .50242 L
.05786 .49758 L
.05787 .49275 L
.05789 .48849 L
.05789 .48792 L
.05793 .48309 L
.05798 .47826 L
.05805 .47342 L
.05813 .46859 L
.05823 .46376 L
.05834 .45893 L
.05846 .4541 L
.0586 .44927 L
.05875 .44443 L
.05891 .4396 L
.05909 .43477 L
.05928 .42994 L
.05949 .42511 L
.05971 .42027 L
.05994 .41544 L
.06019 .41061 L
.06045 .40578 L
.06072 .40095 L
.061 .39612 L
.06129 .39128 L
.0616 .38645 L
.06191 .38162 L
.06223 .37679 L
.06255 .37196 L
.06272 .36957 L
.06293 .36712 L
.06337 .36229 L
.06383 .35746 L
.06431 .35263 L
.06481 .3478 L
.06533 .34296 L
.06587 .33813 L
.06642 .3333 L
.067 .32847 L
.06755 .3241 L
.06761 .32364 L
.06831 .31881 L
.06905 .31397 L
.06983 .30914 L
.07066 .30431 L
.07155 .29948 L
.07238 .29527 L
.07251 .29465 L
.07356 .28981 L
.07474 .28498 L
.07607 .28015 L
.07721 .27654 L
.07752 .27532 L
.07911 .27049 L
.08191 .26566 L
F
1 .903 .049 r
.08688 .26343 m
.09171 .26522 L
.0921 .26566 L
.09518 .27049 L
.09654 .27346 L
.09732 .27532 L
.09903 .28015 L
.10041 .28498 L
.10137 .28889 L
.1016 .28981 L
.10271 .29465 L
.10372 .29948 L
.10464 .30431 L
.10551 .30914 L
.1062 .31329 L
.10631 .31397 L
.10703 .31881 L
.10771 .32364 L
.10836 .32847 L
.10898 .3333 L
.10958 .33813 L
.11015 .34296 L
.11069 .3478 L
.11104 .35101 L
.11118 .35263 L
.11161 .35746 L
.11202 .36229 L
.11242 .36712 L
.11282 .37196 L
.11319 .37679 L
.11356 .38162 L
.11391 .38645 L
.11425 .39128 L
.11457 .39612 L
.11487 .40095 L
.11516 .40578 L
.11544 .41061 L
.11569 .41544 L
.11587 .41887 L
.11592 .42027 L
.11608 .42511 L
.11624 .42994 L
.11639 .43477 L
.11653 .4396 L
.11667 .44443 L
.11679 .44927 L
.11691 .4541 L
.11701 .45893 L
.1171 .46376 L
.11719 .46859 L
.11726 .47342 L
.11732 .47826 L
.11737 .48309 L
.1174 .48792 L
.11743 .49275 L
.11744 .49758 L
.11744 .50242 L
.11743 .50725 L
.1174 .51208 L
.11737 .51691 L
.11732 .52174 L
.11726 .52658 L
.11719 .53141 L
.1171 .53624 L
.11701 .54107 L
.11691 .5459 L
.11679 .55073 L
.11667 .55557 L
.11653 .5604 L
.11639 .56523 L
.11624 .57006 L
.11608 .57489 L
.11592 .57973 L
.11587 .58113 L
.11569 .58456 L
.11544 .58939 L
.11516 .59422 L
.11487 .59905 L
.11457 .60388 L
.11425 .60872 L
.11391 .61355 L
.11356 .61838 L
.11319 .62321 L
.11282 .62804 L
.11242 .63288 L
.11202 .63771 L
.11161 .64254 L
.11118 .64737 L
.11104 .64899 L
.11069 .6522 L
.11015 .65704 L
.10958 .66187 L
.10898 .6667 L
.10836 .67153 L
.10771 .67636 L
.10703 .68119 L
.10631 .68603 L
.1062 .68671 L
.10551 .69086 L
.10464 .69569 L
.10372 .70052 L
.10271 .70535 L
.1016 .71019 L
.10137 .71111 L
.10041 .71502 L
.09903 .71985 L
.09732 .72468 L
.09654 .72654 L
.09518 .72951 L
.0921 .73434 L
.09171 .73478 L
.08688 .73657 L
.08375 .73434 L
.08204 .73206 L
.08033 .72951 L
.07826 .72468 L
.07721 .72088 L
.07687 .71985 L
.07544 .71502 L
.0742 .71019 L
.0731 .70535 L
.07238 .70191 L
.0721 .70052 L
.07119 .69569 L
.07034 .69086 L
.06954 .68603 L
.06879 .68119 L
.06807 .67636 L
.06755 .67261 L
.06741 .67153 L
.06683 .6667 L
.06627 .66187 L
.06573 .65704 L
.0652 .6522 L
.0647 .64737 L
.06422 .64254 L
.06376 .63771 L
.06331 .63288 L
.06289 .62804 L
.06272 .62596 L
.06254 .62321 L
.06222 .61838 L
.06191 .61355 L
.06162 .60872 L
.06133 .60388 L
.06105 .59905 L
.06078 .59422 L
.06052 .58939 L
.06028 .58456 L
.06005 .57973 L
.05983 .57489 L
.05962 .57006 L
.05943 .56523 L
.05925 .5604 L
.05908 .55557 L
.05893 .55073 L
.05879 .5459 L
.05867 .54107 L
.05856 .53624 L
.05847 .53141 L
.05838 .52658 L
.05832 .52174 L
.05826 .51691 L
.05822 .51208 L
.05819 .50725 L
.05818 .50242 L
.05818 .49758 L
.05819 .49275 L
.05822 .48792 L
.05826 .48309 L
.05832 .47826 L
.05838 .47342 L
.05847 .46859 L
.05856 .46376 L
.05867 .45893 L
.05879 .4541 L
.05893 .44927 L
.05908 .44443 L
.05925 .4396 L
.05943 .43477 L
.05962 .42994 L
.05983 .42511 L
.06005 .42027 L
.06028 .41544 L
.06052 .41061 L
.06078 .40578 L
.06105 .40095 L
.06133 .39612 L
.06162 .39128 L
.06191 .38645 L
.06222 .38162 L
.06254 .37679 L
.06272 .37404 L
.06289 .37196 L
.06331 .36712 L
.06376 .36229 L
.06422 .35746 L
.0647 .35263 L
.0652 .3478 L
.06573 .34296 L
.06627 .33813 L
.06683 .3333 L
.06741 .32847 L
.06755 .32739 L
.06807 .32364 L
.06879 .31881 L
.06954 .31397 L
.07034 .30914 L
.07119 .30431 L
.0721 .29948 L
.07238 .29809 L
.0731 .29465 L
.0742 .28981 L
.07544 .28498 L
.07687 .28015 L
.07721 .27912 L
.07826 .27532 L
.08033 .27049 L
.08204 .26794 L
.08375 .26566 L
F
1 .898 .043 r
.08204 .2703 m
.08688 .26575 L
.09171 .26756 L
.09387 .27049 L
.0963 .27532 L
.09654 .27588 L
.09821 .28015 L
.09972 .28498 L
.10098 .28981 L
.10137 .29149 L
.10211 .29465 L
.10316 .29948 L
.10412 .30431 L
.10501 .30914 L
.10584 .31397 L
.1062 .31624 L
.10659 .31881 L
.10728 .32364 L
.10794 .32847 L
.10857 .3333 L
.10917 .33813 L
.10975 .34296 L
.1103 .3478 L
.11082 .35263 L
.11104 .35472 L
.11128 .35746 L
.11169 .36229 L
.11209 .36712 L
.11248 .37196 L
.11285 .37679 L
.11322 .38162 L
.11357 .38645 L
.11391 .39128 L
.11423 .39612 L
.11453 .40095 L
.11482 .40578 L
.1151 .41061 L
.11536 .41544 L
.1156 .42027 L
.11583 .42511 L
.11587 .42591 L
.116 .42994 L
.11614 .43477 L
.11628 .4396 L
.11641 .44443 L
.11653 .44927 L
.11664 .4541 L
.11674 .45893 L
.11683 .46376 L
.11691 .46859 L
.11698 .47342 L
.11704 .47826 L
.11709 .48309 L
.11712 .48792 L
.11715 .49275 L
.11716 .49758 L
.11716 .50242 L
.11715 .50725 L
.11712 .51208 L
.11709 .51691 L
.11704 .52174 L
.11698 .52658 L
.11691 .53141 L
.11683 .53624 L
.11674 .54107 L
.11664 .5459 L
.11653 .55073 L
.11641 .55557 L
.11628 .5604 L
.11614 .56523 L
.116 .57006 L
.11587 .57409 L
.11583 .57489 L
.1156 .57973 L
.11536 .58456 L
.1151 .58939 L
.11482 .59422 L
.11453 .59905 L
.11423 .60388 L
.11391 .60872 L
.11357 .61355 L
.11322 .61838 L
.11285 .62321 L
.11248 .62804 L
.11209 .63288 L
.11169 .63771 L
.11128 .64254 L
.11104 .64528 L
.11082 .64737 L
.1103 .6522 L
.10975 .65704 L
.10917 .66187 L
.10857 .6667 L
.10794 .67153 L
.10728 .67636 L
.10659 .68119 L
.1062 .68376 L
.10584 .68603 L
.10501 .69086 L
.10412 .69569 L
.10316 .70052 L
.10211 .70535 L
.10137 .70851 L
.10098 .71019 L
.09972 .71502 L
.09821 .71985 L
.09654 .72412 L
.0963 .72468 L
.09387 .72951 L
.09171 .73244 L
.08688 .73425 L
.08204 .7297 L
.0819 .72951 L
.07915 .72468 L
.07757 .71985 L
.07721 .7184 L
.07616 .71502 L
.07485 .71019 L
.07369 .70535 L
.07265 .70052 L
.07238 .69919 L
.07171 .69569 L
.07083 .69086 L
.07002 .68603 L
.06925 .68119 L
.06852 .67636 L
.06784 .67153 L
.06755 .66942 L
.06722 .6667 L
.06665 .66187 L
.06611 .65704 L
.06559 .6522 L
.06508 .64737 L
.06459 .64254 L
.06413 .63771 L
.06368 .63288 L
.06326 .62804 L
.06285 .62321 L
.06272 .62155 L
.06251 .61838 L
.06221 .61355 L
.06192 .60872 L
.06164 .60388 L
.06136 .59905 L
.06109 .59422 L
.06084 .58939 L
.0606 .58456 L
.06037 .57973 L
.06015 .57489 L
.05994 .57006 L
.05975 .56523 L
.05957 .5604 L
.05941 .55557 L
.05925 .55073 L
.05912 .5459 L
.05899 .54107 L
.05888 .53624 L
.05879 .53141 L
.0587 .52658 L
.05864 .52174 L
.05858 .51691 L
.05854 .51208 L
.05851 .50725 L
.0585 .50242 L
.0585 .49758 L
.05851 .49275 L
.05854 .48792 L
.05858 .48309 L
.05864 .47826 L
.0587 .47342 L
.05879 .46859 L
.05888 .46376 L
.05899 .45893 L
.05912 .4541 L
.05925 .44927 L
.05941 .44443 L
.05957 .4396 L
.05975 .43477 L
.05994 .42994 L
.06015 .42511 L
.06037 .42027 L
.0606 .41544 L
.06084 .41061 L
.06109 .40578 L
.06136 .40095 L
.06164 .39612 L
.06192 .39128 L
.06221 .38645 L
.06251 .38162 L
.06272 .37845 L
.06285 .37679 L
.06326 .37196 L
.06368 .36712 L
.06413 .36229 L
.06459 .35746 L
.06508 .35263 L
.06559 .3478 L
.06611 .34296 L
.06665 .33813 L
.06722 .3333 L
.06755 .33058 L
.06784 .32847 L
.06852 .32364 L
.06925 .31881 L
.07002 .31397 L
.07083 .30914 L
.07171 .30431 L
.07238 .30081 L
.07265 .29948 L
.07369 .29465 L
.07485 .28981 L
.07616 .28498 L
.07721 .2816 L
.07757 .28015 L
.07915 .27532 L
.0819 .27049 L
F
1 .894 .037 r
.08688 .26799 m
.09171 .26982 L
.09229 .27049 L
.09524 .27532 L
.09654 .27822 L
.09733 .28015 L
.099 .28498 L
.10036 .28981 L
.10137 .29401 L
.10152 .29465 L
.10261 .29948 L
.1036 .30431 L
.10452 .30914 L
.10537 .31397 L
.10616 .31881 L
.1062 .3191 L
.10686 .32364 L
.10753 .32847 L
.10817 .3333 L
.10878 .33813 L
.10936 .34296 L
.10991 .3478 L
.11044 .35263 L
.11094 .35746 L
.11104 .35836 L
.11137 .36229 L
.11177 .36712 L
.11215 .37196 L
.11253 .37679 L
.11289 .38162 L
.11324 .38645 L
.11358 .39128 L
.1139 .39612 L
.11421 .40095 L
.1145 .40578 L
.11478 .41061 L
.11504 .41544 L
.11528 .42027 L
.11551 .42511 L
.11573 .42994 L
.11587 .43333 L
.11591 .43477 L
.11604 .4396 L
.11617 .44443 L
.11629 .44927 L
.11639 .4541 L
.11649 .45893 L
.11658 .46376 L
.11666 .46859 L
.11673 .47342 L
.11678 .47826 L
.11683 .48309 L
.11686 .48792 L
.11689 .49275 L
.1169 .49758 L
.1169 .50242 L
.11689 .50725 L
.11686 .51208 L
.11683 .51691 L
.11678 .52174 L
.11673 .52658 L
.11666 .53141 L
.11658 .53624 L
.11649 .54107 L
.11639 .5459 L
.11629 .55073 L
.11617 .55557 L
.11604 .5604 L
.11591 .56523 L
.11587 .56667 L
.11573 .57006 L
.11551 .57489 L
.11528 .57973 L
.11504 .58456 L
.11478 .58939 L
.1145 .59422 L
.11421 .59905 L
.1139 .60388 L
.11358 .60872 L
.11324 .61355 L
.11289 .61838 L
.11253 .62321 L
.11215 .62804 L
.11177 .63288 L
.11137 .63771 L
.11104 .64164 L
.11094 .64254 L
.11044 .64737 L
.10991 .6522 L
.10936 .65704 L
.10878 .66187 L
.10817 .6667 L
.10753 .67153 L
.10686 .67636 L
.1062 .6809 L
.10616 .68119 L
.10537 .68603 L
.10452 .69086 L
.1036 .69569 L
.10261 .70052 L
.10152 .70535 L
.10137 .70599 L
.10036 .71019 L
.099 .71502 L
.09733 .71985 L
.09654 .72178 L
.09524 .72468 L
.09229 .72951 L
.09171 .73018 L
.08688 .73201 L
.08356 .72951 L
.08204 .72741 L
.08026 .72468 L
.07825 .71985 L
.07721 .71599 L
.0769 .71502 L
.07549 .71019 L
.07428 .70535 L
.07319 .70052 L
.07238 .69655 L
.07221 .69569 L
.07132 .69086 L
.07048 .68603 L
.0697 .68119 L
.06896 .67636 L
.06826 .67153 L
.0676 .6667 L
.06755 .66631 L
.06703 .66187 L
.06648 .65704 L
.06595 .6522 L
.06544 .64737 L
.06496 .64254 L
.06449 .63771 L
.06404 .63288 L
.06361 .62804 L
.0632 .62321 L
.06281 .61838 L
.06272 .61718 L
.06249 .61355 L
.06221 .60872 L
.06192 .60388 L
.06165 .59905 L
.06139 .59422 L
.06114 .58939 L
.0609 .58456 L
.06067 .57973 L
.06045 .57489 L
.06025 .57006 L
.06006 .56523 L
.05988 .5604 L
.05971 .55557 L
.05956 .55073 L
.05942 .5459 L
.0593 .54107 L
.05919 .53624 L
.05909 .53141 L
.05901 .52658 L
.05894 .52174 L
.05889 .51691 L
.05885 .51208 L
.05882 .50725 L
.05881 .50242 L
.05881 .49758 L
.05882 .49275 L
.05885 .48792 L
.05889 .48309 L
.05894 .47826 L
.05901 .47342 L
.05909 .46859 L
.05919 .46376 L
.0593 .45893 L
.05942 .4541 L
.05956 .44927 L
.05971 .44443 L
.05988 .4396 L
.06006 .43477 L
.06025 .42994 L
.06045 .42511 L
.06067 .42027 L
.0609 .41544 L
.06114 .41061 L
.06139 .40578 L
.06165 .40095 L
.06192 .39612 L
.06221 .39128 L
.06249 .38645 L
.06272 .38282 L
.06281 .38162 L
.0632 .37679 L
.06361 .37196 L
.06404 .36712 L
.06449 .36229 L
.06496 .35746 L
.06544 .35263 L
.06595 .3478 L
.06648 .34296 L
.06703 .33813 L
.06755 .33369 L
.0676 .3333 L
.06826 .32847 L
.06896 .32364 L
.0697 .31881 L
.07048 .31397 L
.07132 .30914 L
.07221 .30431 L
.07238 .30345 L
.07319 .29948 L
.07428 .29465 L
.07549 .28981 L
.0769 .28498 L
.07721 .28401 L
.07825 .28015 L
.08026 .27532 L
.08204 .27259 L
.08356 .27049 L
F
1 .889 .032 r
.08688 .27016 m
.08967 .27049 L
.09171 .272 L
.09407 .27532 L
.0964 .28015 L
.09654 .28049 L
.09825 .28498 L
.09972 .28981 L
.10095 .29465 L
.10137 .29645 L
.10207 .29948 L
.10309 .30431 L
.10403 .30914 L
.1049 .31397 L
.10571 .31881 L
.1062 .32189 L
.10646 .32364 L
.10714 .32847 L
.10778 .3333 L
.10839 .33813 L
.10898 .34296 L
.10954 .3478 L
.11008 .35263 L
.11059 .35746 L
.11104 .36194 L
.11107 .36229 L
.11146 .36712 L
.11185 .37196 L
.11222 .37679 L
.11258 .38162 L
.11293 .38645 L
.11326 .39128 L
.11359 .39612 L
.11389 .40095 L
.11419 .40578 L
.11446 .41061 L
.11473 .41544 L
.11497 .42027 L
.1152 .42511 L
.11542 .42994 L
.11562 .43477 L
.11581 .4396 L
.11587 .44131 L
.11595 .44443 L
.11606 .44927 L
.11616 .4541 L
.11626 .45893 L
.11635 .46376 L
.11642 .46859 L
.11649 .47342 L
.11654 .47826 L
.11659 .48309 L
.11662 .48792 L
.11664 .49275 L
.11665 .49758 L
.11665 .50242 L
.11664 .50725 L
.11662 .51208 L
.11659 .51691 L
.11654 .52174 L
.11649 .52658 L
.11642 .53141 L
.11635 .53624 L
.11626 .54107 L
.11616 .5459 L
.11606 .55073 L
.11595 .55557 L
.11587 .55869 L
.11581 .5604 L
.11562 .56523 L
.11542 .57006 L
.1152 .57489 L
.11497 .57973 L
.11473 .58456 L
.11446 .58939 L
.11419 .59422 L
.11389 .59905 L
.11359 .60388 L
.11326 .60872 L
.11293 .61355 L
.11258 .61838 L
.11222 .62321 L
.11185 .62804 L
.11146 .63288 L
.11107 .63771 L
.11104 .63806 L
.11059 .64254 L
.11008 .64737 L
.10954 .6522 L
.10898 .65704 L
.10839 .66187 L
.10778 .6667 L
.10714 .67153 L
.10646 .67636 L
.1062 .67811 L
.10571 .68119 L
.1049 .68603 L
.10403 .69086 L
.10309 .69569 L
.10207 .70052 L
.10137 .70355 L
.10095 .70535 L
.09972 .71019 L
.09825 .71502 L
.09654 .71951 L
.0964 .71985 L
.09407 .72468 L
.09171 .728 L
.08967 .72951 L
.08688 .72984 L
.0861 .72951 L
.08204 .7252 L
.08166 .72468 L
.07906 .71985 L
.07754 .71502 L
.07721 .71366 L
.07616 .71019 L
.07487 .70535 L
.07374 .70052 L
.07272 .69569 L
.07238 .69399 L
.07179 .69086 L
.07094 .68603 L
.07013 .68119 L
.06938 .67636 L
.06867 .67153 L
.068 .6667 L
.06755 .66327 L
.06738 .66187 L
.06683 .65704 L
.0663 .6522 L
.06579 .64737 L
.0653 .64254 L
.06483 .63771 L
.06438 .63288 L
.06395 .62804 L
.06354 .62321 L
.06314 .61838 L
.06277 .61355 L
.06272 .61283 L
.06248 .60872 L
.0622 .60388 L
.06193 .59905 L
.06167 .59422 L
.06142 .58939 L
.06118 .58456 L
.06096 .57973 L
.06074 .57489 L
.06054 .57006 L
.06035 .56523 L
.06017 .5604 L
.06001 .55557 L
.05986 .55073 L
.05972 .5459 L
.0596 .54107 L
.05948 .53624 L
.05939 .53141 L
.05931 .52658 L
.05924 .52174 L
.05918 .51691 L
.05914 .51208 L
.05911 .50725 L
.0591 .50242 L
.0591 .49758 L
.05911 .49275 L
.05914 .48792 L
.05918 .48309 L
.05924 .47826 L
.05931 .47342 L
.05939 .46859 L
.05948 .46376 L
.0596 .45893 L
.05972 .4541 L
.05986 .44927 L
.06001 .44443 L
.06017 .4396 L
.06035 .43477 L
.06054 .42994 L
.06074 .42511 L
.06096 .42027 L
.06118 .41544 L
.06142 .41061 L
.06167 .40578 L
.06193 .40095 L
.0622 .39612 L
.06248 .39128 L
.06272 .38717 L
.06277 .38645 L
.06314 .38162 L
.06354 .37679 L
.06395 .37196 L
.06438 .36712 L
.06483 .36229 L
.0653 .35746 L
.06579 .35263 L
.0663 .3478 L
.06683 .34296 L
.06738 .33813 L
.06755 .33673 L
.068 .3333 L
.06867 .32847 L
.06938 .32364 L
.07013 .31881 L
.07094 .31397 L
.07179 .30914 L
.07238 .30601 L
.07272 .30431 L
.07374 .29948 L
.07487 .29465 L
.07616 .28981 L
.07721 .28634 L
.07754 .28498 L
.07906 .28015 L
.08166 .27532 L
.08204 .2748 L
.0861 .27049 L
F
1 .885 .028 r
.08688 .27226 m
.09171 .27412 L
.09269 .27532 L
.09544 .28015 L
.09654 .28269 L
.09745 .28498 L
.09907 .28981 L
.10038 .29465 L
.10137 .29883 L
.10152 .29948 L
.10259 .30431 L
.10356 .30914 L
.10445 .31397 L
.10528 .31881 L
.10605 .32364 L
.1062 .32461 L
.10675 .32847 L
.1074 .3333 L
.10802 .33813 L
.10862 .34296 L
.10918 .3478 L
.10972 .35263 L
.11024 .35746 L
.11073 .36229 L
.11104 .36546 L
.11117 .36712 L
.11155 .37196 L
.11193 .37679 L
.11228 .38162 L
.11263 .38645 L
.11296 .39128 L
.11329 .39612 L
.11359 .40095 L
.11389 .40578 L
.11416 .41061 L
.11443 .41544 L
.11467 .42027 L
.11491 .42511 L
.11512 .42994 L
.11533 .43477 L
.11551 .4396 L
.11568 .44443 L
.11584 .44927 L
.11587 .45017 L
.11595 .4541 L
.11604 .45893 L
.11613 .46376 L
.1162 .46859 L
.11626 .47342 L
.11632 .47826 L
.11636 .48309 L
.11639 .48792 L
.11642 .49275 L
.11643 .49758 L
.11643 .50242 L
.11642 .50725 L
.11639 .51208 L
.11636 .51691 L
.11632 .52174 L
.11626 .52658 L
.1162 .53141 L
.11613 .53624 L
.11604 .54107 L
.11595 .5459 L
.11587 .54983 L
.11584 .55073 L
.11568 .55557 L
.11551 .5604 L
.11533 .56523 L
.11512 .57006 L
.11491 .57489 L
.11467 .57973 L
.11443 .58456 L
.11416 .58939 L
.11389 .59422 L
.11359 .59905 L
.11329 .60388 L
.11296 .60872 L
.11263 .61355 L
.11228 .61838 L
.11193 .62321 L
.11155 .62804 L
.11117 .63288 L
.11104 .63454 L
.11073 .63771 L
.11024 .64254 L
.10972 .64737 L
.10918 .6522 L
.10862 .65704 L
.10802 .66187 L
.1074 .6667 L
.10675 .67153 L
.1062 .67539 L
.10605 .67636 L
.10528 .68119 L
.10445 .68603 L
.10356 .69086 L
.10259 .69569 L
.10152 .70052 L
.10137 .70117 L
.10038 .70535 L
.09907 .71019 L
.09745 .71502 L
.09654 .71731 L
.09544 .71985 L
.09269 .72468 L
.09171 .72588 L
.08688 .72774 L
.08315 .72468 L
.08204 .72306 L
.08004 .71985 L
.07815 .71502 L
.07721 .7114 L
.07683 .71019 L
.07547 .70535 L
.07428 .70052 L
.07322 .69569 L
.07238 .6915 L
.07226 .69086 L
.07138 .68603 L
.07056 .68119 L
.0698 .67636 L
.06908 .67153 L
.06839 .6667 L
.06775 .66187 L
.06755 .6603 L
.06718 .65704 L
.06664 .6522 L
.06613 .64737 L
.06564 .64254 L
.06517 .63771 L
.06471 .63288 L
.06428 .62804 L
.06386 .62321 L
.06347 .61838 L
.06309 .61355 L
.06273 .60872 L
.06272 .60849 L
.06246 .60388 L
.06219 .59905 L
.06194 .59422 L
.06169 .58939 L
.06146 .58456 L
.06123 .57973 L
.06102 .57489 L
.06082 .57006 L
.06063 .56523 L
.06045 .5604 L
.06029 .55557 L
.06014 .55073 L
.06 .5459 L
.05988 .54107 L
.05977 .53624 L
.05967 .53141 L
.05959 .52658 L
.05952 .52174 L
.05947 .51691 L
.05942 .51208 L
.0594 .50725 L
.05938 .50242 L
.05938 .49758 L
.0594 .49275 L
.05942 .48792 L
.05947 .48309 L
.05952 .47826 L
.05959 .47342 L
.05967 .46859 L
.05977 .46376 L
.05988 .45893 L
.06 .4541 L
.06014 .44927 L
.06029 .44443 L
.06045 .4396 L
.06063 .43477 L
.06082 .42994 L
.06102 .42511 L
.06123 .42027 L
.06146 .41544 L
.06169 .41061 L
.06194 .40578 L
.06219 .40095 L
.06246 .39612 L
.06272 .39151 L
.06273 .39128 L
.06309 .38645 L
.06347 .38162 L
.06386 .37679 L
.06428 .37196 L
.06471 .36712 L
.06517 .36229 L
.06564 .35746 L
.06613 .35263 L
.06664 .3478 L
.06718 .34296 L
.06755 .3397 L
.06775 .33813 L
.06839 .3333 L
.06908 .32847 L
.0698 .32364 L
.07056 .31881 L
.07138 .31397 L
.07226 .30914 L
.07238 .3085 L
.07322 .30431 L
.07428 .29948 L
.07547 .29465 L
.07683 .28981 L
.07721 .2886 L
.07815 .28498 L
.08004 .28015 L
.08204 .27694 L
.08315 .27532 L
F
1 .88 .024 r
.08688 .27429 m
.09076 .27532 L
.09171 .27617 L
.0944 .28015 L
.09654 .28483 L
.09661 .28498 L
.09838 .28981 L
.0998 .29465 L
.101 .29948 L
.10137 .30114 L
.10209 .30431 L
.10309 .30914 L
.104 .31397 L
.10485 .31881 L
.10564 .32364 L
.1062 .32726 L
.10638 .32847 L
.10704 .3333 L
.10766 .33813 L
.10826 .34296 L
.10883 .3478 L
.10938 .35263 L
.1099 .35746 L
.11039 .36229 L
.11087 .36712 L
.11104 .36894 L
.11127 .37196 L
.11164 .37679 L
.112 .38162 L
.11235 .38645 L
.11268 .39128 L
.113 .39612 L
.1133 .40095 L
.1136 .40578 L
.11387 .41061 L
.11414 .41544 L
.11439 .42027 L
.11462 .42511 L
.11484 .42994 L
.11504 .43477 L
.11523 .4396 L
.1154 .44443 L
.11556 .44927 L
.1157 .4541 L
.11583 .45893 L
.11587 .4605 L
.11592 .46376 L
.11599 .46859 L
.11606 .47342 L
.11611 .47826 L
.11615 .48309 L
.11618 .48792 L
.1162 .49275 L
.11621 .49758 L
.11621 .50242 L
.1162 .50725 L
.11618 .51208 L
.11615 .51691 L
.11611 .52174 L
.11606 .52658 L
.11599 .53141 L
.11592 .53624 L
.11587 .5395 L
.11583 .54107 L
.1157 .5459 L
.11556 .55073 L
.1154 .55557 L
.11523 .5604 L
.11504 .56523 L
.11484 .57006 L
.11462 .57489 L
.11439 .57973 L
.11414 .58456 L
.11387 .58939 L
.1136 .59422 L
.1133 .59905 L
.113 .60388 L
.11268 .60872 L
.11235 .61355 L
.112 .61838 L
.11164 .62321 L
.11127 .62804 L
.11104 .63106 L
.11087 .63288 L
.11039 .63771 L
.1099 .64254 L
.10938 .64737 L
.10883 .6522 L
.10826 .65704 L
.10766 .66187 L
.10704 .6667 L
.10638 .67153 L
.1062 .67274 L
.10564 .67636 L
.10485 .68119 L
.104 .68603 L
.10309 .69086 L
.10209 .69569 L
.10137 .69886 L
.101 .70052 L
.0998 .70535 L
.09838 .71019 L
.09661 .71502 L
.09654 .71517 L
.0944 .71985 L
.09171 .72383 L
.09076 .72468 L
.08688 .72571 L
.08508 .72468 L
.08204 .72098 L
.08125 .71985 L
.07887 .71502 L
.07744 .71019 L
.07721 .70921 L
.07607 .70535 L
.07482 .70052 L
.07372 .69569 L
.07273 .69086 L
.07238 .68907 L
.07182 .68603 L
.07099 .68119 L
.0702 .67636 L
.06947 .67153 L
.06878 .6667 L
.06812 .66187 L
.06755 .6574 L
.06751 .65704 L
.06697 .6522 L
.06646 .64737 L
.06596 .64254 L
.06549 .63771 L
.06503 .63288 L
.0646 .62804 L
.06418 .62321 L
.06378 .61838 L
.0634 .61355 L
.06304 .60872 L
.06272 .60414 L
.0627 .60388 L
.06244 .59905 L
.06219 .59422 L
.06195 .58939 L
.06172 .58456 L
.06149 .57973 L
.06128 .57489 L
.06108 .57006 L
.0609 .56523 L
.06072 .5604 L
.06056 .55557 L
.06041 .55073 L
.06027 .5459 L
.06015 .54107 L
.06004 .53624 L
.05994 .53141 L
.05986 .52658 L
.05979 .52174 L
.05974 .51691 L
.0597 .51208 L
.05967 .50725 L
.05965 .50242 L
.05965 .49758 L
.05967 .49275 L
.0597 .48792 L
.05974 .48309 L
.05979 .47826 L
.05986 .47342 L
.05994 .46859 L
.06004 .46376 L
.06015 .45893 L
.06027 .4541 L
.06041 .44927 L
.06056 .44443 L
.06072 .4396 L
.0609 .43477 L
.06108 .42994 L
.06128 .42511 L
.06149 .42027 L
.06172 .41544 L
.06195 .41061 L
.06219 .40578 L
.06244 .40095 L
.0627 .39612 L
.06272 .39586 L
.06304 .39128 L
.0634 .38645 L
.06378 .38162 L
.06418 .37679 L
.0646 .37196 L
.06503 .36712 L
.06549 .36229 L
.06596 .35746 L
.06646 .35263 L
.06697 .3478 L
.06751 .34296 L
.06755 .3426 L
.06812 .33813 L
.06878 .3333 L
.06947 .32847 L
.0702 .32364 L
.07099 .31881 L
.07182 .31397 L
.07238 .31093 L
.07273 .30914 L
.07372 .30431 L
.07482 .29948 L
.07607 .29465 L
.07721 .29079 L
.07744 .28981 L
.07887 .28498 L
.08125 .28015 L
.08204 .27902 L
.08508 .27532 L
F
1 .876 .021 r
.08688 .27627 m
.09171 .27817 L
.09321 .28015 L
.09574 .28498 L
.09654 .2869 L
.09766 .28981 L
.0992 .29465 L
.10047 .29948 L
.10137 .30338 L
.10158 .30431 L
.10262 .30914 L
.10356 .31397 L
.10443 .31881 L
.10524 .32364 L
.106 .32847 L
.1062 .32985 L
.10668 .3333 L
.10731 .33813 L
.10792 .34296 L
.10849 .3478 L
.10905 .35263 L
.10957 .35746 L
.11007 .36229 L
.11055 .36712 L
.111 .37196 L
.11104 .37238 L
.11137 .37679 L
.11173 .38162 L
.11207 .38645 L
.1124 .39128 L
.11272 .39612 L
.11303 .40095 L
.11332 .40578 L
.1136 .41061 L
.11386 .41544 L
.11411 .42027 L
.11434 .42511 L
.11456 .42994 L
.11476 .43477 L
.11495 .4396 L
.11513 .44443 L
.11529 .44927 L
.11543 .4541 L
.11556 .45893 L
.11567 .46376 L
.11577 .46859 L
.11586 .47342 L
.11587 .47409 L
.11591 .47826 L
.11595 .48309 L
.11598 .48792 L
.116 .49275 L
.11601 .49758 L
.11601 .50242 L
.116 .50725 L
.11598 .51208 L
.11595 .51691 L
.11591 .52174 L
.11587 .52591 L
.11586 .52658 L
.11577 .53141 L
.11567 .53624 L
.11556 .54107 L
.11543 .5459 L
.11529 .55073 L
.11513 .55557 L
.11495 .5604 L
.11476 .56523 L
.11456 .57006 L
.11434 .57489 L
.11411 .57973 L
.11386 .58456 L
.1136 .58939 L
.11332 .59422 L
.11303 .59905 L
.11272 .60388 L
.1124 .60872 L
.11207 .61355 L
.11173 .61838 L
.11137 .62321 L
.11104 .62762 L
.111 .62804 L
.11055 .63288 L
.11007 .63771 L
.10957 .64254 L
.10905 .64737 L
.10849 .6522 L
.10792 .65704 L
.10731 .66187 L
.10668 .6667 L
.1062 .67015 L
.106 .67153 L
.10524 .67636 L
.10443 .68119 L
.10356 .68603 L
.10262 .69086 L
.10158 .69569 L
.10137 .69662 L
.10047 .70052 L
.0992 .70535 L
.09766 .71019 L
.09654 .7131 L
.09574 .71502 L
.09321 .71985 L
.09171 .72183 L
.08688 .72373 L
.08261 .71985 L
.08204 .71896 L
.07972 .71502 L
.07799 .71019 L
.07721 .70707 L
.07669 .70535 L
.07537 .70052 L
.07422 .69569 L
.07319 .69086 L
.07238 .68671 L
.07226 .68603 L
.0714 .68119 L
.0706 .67636 L
.06985 .67153 L
.06915 .6667 L
.06849 .66187 L
.06786 .65704 L
.06755 .65455 L
.06729 .6522 L
.06677 .64737 L
.06628 .64254 L
.0658 .63771 L
.06534 .63288 L
.0649 .62804 L
.06448 .62321 L
.06408 .61838 L
.0637 .61355 L
.06334 .60872 L
.06299 .60388 L
.06272 .59978 L
.06268 .59905 L
.06243 .59422 L
.06219 .58939 L
.06196 .58456 L
.06174 .57973 L
.06153 .57489 L
.06134 .57006 L
.06115 .56523 L
.06098 .5604 L
.06082 .55557 L
.06067 .55073 L
.06053 .5459 L
.06041 .54107 L
.0603 .53624 L
.0602 .53141 L
.06012 .52658 L
.06005 .52174 L
.06 .51691 L
.05996 .51208 L
.05993 .50725 L
.05992 .50242 L
.05992 .49758 L
.05993 .49275 L
.05996 .48792 L
.06 .48309 L
.06005 .47826 L
.06012 .47342 L
.0602 .46859 L
.0603 .46376 L
.06041 .45893 L
.06053 .4541 L
.06067 .44927 L
.06082 .44443 L
.06098 .4396 L
.06115 .43477 L
.06134 .42994 L
.06153 .42511 L
.06174 .42027 L
.06196 .41544 L
.06219 .41061 L
.06243 .40578 L
.06268 .40095 L
.06272 .40022 L
.06299 .39612 L
.06334 .39128 L
.0637 .38645 L
.06408 .38162 L
.06448 .37679 L
.0649 .37196 L
.06534 .36712 L
.0658 .36229 L
.06628 .35746 L
.06677 .35263 L
.06729 .3478 L
.06755 .34545 L
.06786 .34296 L
.06849 .33813 L
.06915 .3333 L
.06985 .32847 L
.0706 .32364 L
.0714 .31881 L
.07226 .31397 L
.07238 .31329 L
.07319 .30914 L
.07422 .30431 L
.07537 .29948 L
.07669 .29465 L
.07721 .29293 L
.07799 .28981 L
.07972 .28498 L
.08204 .28104 L
.08261 .28015 L
F
1 .871 .019 r
.08688 .2782 m
.09171 .28011 L
.09175 .28015 L
.09482 .28498 L
.09654 .28892 L
.0969 .28981 L
.09858 .29465 L
.09994 .29948 L
.10109 .30431 L
.10137 .30558 L
.10215 .30914 L
.10312 .31397 L
.10402 .31881 L
.10484 .32364 L
.10562 .32847 L
.1062 .33239 L
.10633 .3333 L
.10697 .33813 L
.10758 .34296 L
.10817 .3478 L
.10872 .35263 L
.10925 .35746 L
.10975 .36229 L
.11024 .36712 L
.11069 .37196 L
.11104 .37578 L
.11111 .37679 L
.11147 .38162 L
.11181 .38645 L
.11214 .39128 L
.11245 .39612 L
.11276 .40095 L
.11305 .40578 L
.11333 .41061 L
.11359 .41544 L
.11384 .42027 L
.11407 .42511 L
.11429 .42994 L
.1145 .43477 L
.11469 .4396 L
.11486 .44443 L
.11502 .44927 L
.11516 .4541 L
.11529 .45893 L
.11541 .46376 L
.11551 .46859 L
.1156 .47342 L
.11567 .47826 L
.11572 .48309 L
.11577 .48792 L
.1158 .49275 L
.11581 .49758 L
.11581 .50242 L
.1158 .50725 L
.11577 .51208 L
.11572 .51691 L
.11567 .52174 L
.1156 .52658 L
.11551 .53141 L
.11541 .53624 L
.11529 .54107 L
.11516 .5459 L
.11502 .55073 L
.11486 .55557 L
.11469 .5604 L
.1145 .56523 L
.11429 .57006 L
.11407 .57489 L
.11384 .57973 L
.11359 .58456 L
.11333 .58939 L
.11305 .59422 L
.11276 .59905 L
.11245 .60388 L
.11214 .60872 L
.11181 .61355 L
.11147 .61838 L
.11111 .62321 L
.11104 .62422 L
.11069 .62804 L
.11024 .63288 L
.10975 .63771 L
.10925 .64254 L
.10872 .64737 L
.10817 .6522 L
.10758 .65704 L
.10697 .66187 L
.10633 .6667 L
.1062 .66761 L
.10562 .67153 L
.10484 .67636 L
.10402 .68119 L
.10312 .68603 L
.10215 .69086 L
.10137 .69442 L
.10109 .69569 L
.09994 .70052 L
.09858 .70535 L
.0969 .71019 L
.09654 .71108 L
.09482 .71502 L
.09175 .71985 L
.09171 .71989 L
.08688 .7218 L
.08412 .71985 L
.08204 .71699 L
.08075 .71502 L
.07861 .71019 L
.07729 .70535 L
.07721 .70499 L
.07593 .70052 L
.07472 .69569 L
.07365 .69086 L
.07269 .68603 L
.07238 .6844 L
.07181 .68119 L
.07099 .67636 L
.07023 .67153 L
.06952 .6667 L
.06884 .66187 L
.06821 .65704 L
.0676 .6522 L
.06755 .65175 L
.06708 .64737 L
.06658 .64254 L
.0661 .63771 L
.06564 .63288 L
.0652 .62804 L
.06478 .62321 L
.06438 .61838 L
.06399 .61355 L
.06363 .60872 L
.06328 .60388 L
.06295 .59905 L
.06272 .59539 L
.06266 .59422 L
.06242 .58939 L
.06219 .58456 L
.06198 .57973 L
.06177 .57489 L
.06158 .57006 L
.06139 .56523 L
.06122 .5604 L
.06106 .55557 L
.06091 .55073 L
.06078 .5459 L
.06066 .54107 L
.06055 .53624 L
.06045 .53141 L
.06037 .52658 L
.0603 .52174 L
.06025 .51691 L
.06021 .51208 L
.06018 .50725 L
.06017 .50242 L
.06017 .49758 L
.06018 .49275 L
.06021 .48792 L
.06025 .48309 L
.0603 .47826 L
.06037 .47342 L
.06045 .46859 L
.06055 .46376 L
.06066 .45893 L
.06078 .4541 L
.06091 .44927 L
.06106 .44443 L
.06122 .4396 L
.06139 .43477 L
.06158 .42994 L
.06177 .42511 L
.06198 .42027 L
.06219 .41544 L
.06242 .41061 L
.06266 .40578 L
.06272 .40461 L
.06295 .40095 L
.06328 .39612 L
.06363 .39128 L
.06399 .38645 L
.06438 .38162 L
.06478 .37679 L
.0652 .37196 L
.06564 .36712 L
.0661 .36229 L
.06658 .35746 L
.06708 .35263 L
.06755 .34825 L
.0676 .3478 L
.06821 .34296 L
.06884 .33813 L
.06952 .3333 L
.07023 .32847 L
.07099 .32364 L
.07181 .31881 L
.07238 .3156 L
.07269 .31397 L
.07365 .30914 L
.07472 .30431 L
.07593 .29948 L
.07721 .29501 L
.07729 .29465 L
.07861 .28981 L
.08075 .28498 L
.08204 .28301 L
.08412 .28015 L
F
1 .867 .016 r
.08688 .28007 m
.08904 .28015 L
.09171 .282 L
.0938 .28498 L
.09611 .28981 L
.09654 .29089 L
.09793 .29465 L
.0994 .29948 L
.10061 .30431 L
.10137 .30772 L
.10169 .30914 L
.10269 .31397 L
.10361 .31881 L
.10445 .32364 L
.10524 .32847 L
.10597 .3333 L
.1062 .33488 L
.10664 .33813 L
.10726 .34296 L
.10784 .3478 L
.1084 .35263 L
.10894 .35746 L
.10945 .36229 L
.10993 .36712 L
.11039 .37196 L
.11083 .37679 L
.11104 .37915 L
.11121 .38162 L
.11156 .38645 L
.11188 .39128 L
.1122 .39612 L
.1125 .40095 L
.11279 .40578 L
.11307 .41061 L
.11333 .41544 L
.11358 .42027 L
.11381 .42511 L
.11403 .42994 L
.11424 .43477 L
.11443 .4396 L
.1146 .44443 L
.11476 .44927 L
.11491 .4541 L
.11504 .45893 L
.11515 .46376 L
.11526 .46859 L
.11534 .47342 L
.11541 .47826 L
.11547 .48309 L
.11551 .48792 L
.11554 .49275 L
.11556 .49758 L
.11556 .50242 L
.11554 .50725 L
.11551 .51208 L
.11547 .51691 L
.11541 .52174 L
.11534 .52658 L
.11526 .53141 L
.11515 .53624 L
.11504 .54107 L
.11491 .5459 L
.11476 .55073 L
.1146 .55557 L
.11443 .5604 L
.11424 .56523 L
.11403 .57006 L
.11381 .57489 L
.11358 .57973 L
.11333 .58456 L
.11307 .58939 L
.11279 .59422 L
.1125 .59905 L
.1122 .60388 L
.11188 .60872 L
.11156 .61355 L
.11121 .61838 L
.11104 .62085 L
.11083 .62321 L
.11039 .62804 L
.10993 .63288 L
.10945 .63771 L
.10894 .64254 L
.1084 .64737 L
.10784 .6522 L
.10726 .65704 L
.10664 .66187 L
.1062 .66512 L
.10597 .6667 L
.10524 .67153 L
.10445 .67636 L
.10361 .68119 L
.10269 .68603 L
.10169 .69086 L
.10137 .69228 L
.10061 .69569 L
.0994 .70052 L
.09793 .70535 L
.09654 .70911 L
.09611 .71019 L
.0938 .71502 L
.09171 .718 L
.08904 .71985 L
.08688 .71993 L
.08665 .71985 L
.08204 .71508 L
.082 .71502 L
.07934 .71019 L
.07778 .70535 L
.07721 .70296 L
.07649 .70052 L
.07523 .69569 L
.07411 .69086 L
.07312 .68603 L
.07238 .68214 L
.07221 .68119 L
.07138 .67636 L
.0706 .67153 L
.06988 .6667 L
.06919 .66187 L
.06855 .65704 L
.06794 .6522 L
.06755 .649 L
.06738 .64737 L
.06687 .64254 L
.06639 .63771 L
.06593 .63288 L
.06549 .62804 L
.06507 .62321 L
.06466 .61838 L
.06428 .61355 L
.06391 .60872 L
.06356 .60388 L
.06323 .59905 L
.06292 .59422 L
.06272 .59095 L
.06264 .58939 L
.06242 .58456 L
.0622 .57973 L
.062 .57489 L
.06181 .57006 L
.06163 .56523 L
.06146 .5604 L
.0613 .55557 L
.06115 .55073 L
.06102 .5459 L
.0609 .54107 L
.06079 .53624 L
.06069 .53141 L
.06061 .52658 L
.06055 .52174 L
.06049 .51691 L
.06045 .51208 L
.06042 .50725 L
.06041 .50242 L
.06041 .49758 L
.06042 .49275 L
.06045 .48792 L
.06049 .48309 L
.06055 .47826 L
.06061 .47342 L
.06069 .46859 L
.06079 .46376 L
.0609 .45893 L
.06102 .4541 L
.06115 .44927 L
.0613 .44443 L
.06146 .4396 L
.06163 .43477 L
.06181 .42994 L
.062 .42511 L
.0622 .42027 L
.06242 .41544 L
.06264 .41061 L
.06272 .40905 L
.06292 .40578 L
.06323 .40095 L
.06356 .39612 L
.06391 .39128 L
.06428 .38645 L
.06466 .38162 L
.06507 .37679 L
.06549 .37196 L
.06593 .36712 L
.06639 .36229 L
.06687 .35746 L
.06738 .35263 L
.06755 .351 L
.06794 .3478 L
.06855 .34296 L
.06919 .33813 L
.06988 .3333 L
.0706 .32847 L
.07138 .32364 L
.07221 .31881 L
.07238 .31786 L
.07312 .31397 L
.07411 .30914 L
.07523 .30431 L
.07649 .29948 L
.07721 .29704 L
.07778 .29465 L
.07934 .28981 L
.082 .28498 L
.08204 .28492 L
.08665 .28015 L
F
1 .862 .014 r
.08688 .28189 m
.09171 .28384 L
.09261 .28498 L
.09529 .28981 L
.09654 .29281 L
.09725 .29465 L
.09883 .29948 L
.10012 .30431 L
.10123 .30914 L
.10137 .30981 L
.10226 .31397 L
.1032 .31881 L
.10407 .32364 L
.10487 .32847 L
.10562 .3333 L
.1062 .33732 L
.10631 .33813 L
.10694 .34296 L
.10753 .3478 L
.1081 .35263 L
.10863 .35746 L
.10915 .36229 L
.10964 .36712 L
.1101 .37196 L
.11054 .37679 L
.11096 .38162 L
.11104 .38251 L
.11131 .38645 L
.11164 .39128 L
.11195 .39612 L
.11226 .40095 L
.11254 .40578 L
.11282 .41061 L
.11308 .41544 L
.11333 .42027 L
.11356 .42511 L
.11378 .42994 L
.11399 .43477 L
.11418 .4396 L
.11435 .44443 L
.11451 .44927 L
.11466 .4541 L
.11479 .45893 L
.11491 .46376 L
.11501 .46859 L
.11509 .47342 L
.11517 .47826 L
.11522 .48309 L
.11527 .48792 L
.1153 .49275 L
.11531 .49758 L
.11531 .50242 L
.1153 .50725 L
.11527 .51208 L
.11522 .51691 L
.11517 .52174 L
.11509 .52658 L
.11501 .53141 L
.11491 .53624 L
.11479 .54107 L
.11466 .5459 L
.11451 .55073 L
.11435 .55557 L
.11418 .5604 L
.11399 .56523 L
.11378 .57006 L
.11356 .57489 L
.11333 .57973 L
.11308 .58456 L
.11282 .58939 L
.11254 .59422 L
.11226 .59905 L
.11195 .60388 L
.11164 .60872 L
.11131 .61355 L
.11104 .61749 L
.11096 .61838 L
.11054 .62321 L
.1101 .62804 L
.10964 .63288 L
.10915 .63771 L
.10863 .64254 L
.1081 .64737 L
.10753 .6522 L
.10694 .65704 L
.10631 .66187 L
.1062 .66268 L
.10562 .6667 L
.10487 .67153 L
.10407 .67636 L
.1032 .68119 L
.10226 .68603 L
.10137 .69019 L
.10123 .69086 L
.10012 .69569 L
.09883 .70052 L
.09725 .70535 L
.09654 .70719 L
.09529 .71019 L
.09261 .71502 L
.09171 .71616 L
.08688 .71811 L
.08323 .71502 L
.08204 .71321 L
.08021 .71019 L
.07832 .70535 L
.07721 .70098 L
.07707 .70052 L
.07574 .69569 L
.07458 .69086 L
.07355 .68603 L
.07261 .68119 L
.07238 .67993 L
.07176 .67636 L
.07097 .67153 L
.07023 .6667 L
.06953 .66187 L
.06888 .65704 L
.06826 .6522 L
.06768 .64737 L
.06755 .64629 L
.06716 .64254 L
.06668 .63771 L
.06622 .63288 L
.06577 .62804 L
.06535 .62321 L
.06494 .61838 L
.06455 .61355 L
.06418 .60872 L
.06383 .60388 L
.0635 .59905 L
.06318 .59422 L
.06289 .58939 L
.06272 .58645 L
.06263 .58456 L
.06242 .57973 L
.06222 .57489 L
.06203 .57006 L
.06185 .56523 L
.06168 .5604 L
.06152 .55557 L
.06138 .55073 L
.06125 .5459 L
.06113 .54107 L
.06102 .53624 L
.06093 .53141 L
.06084 .52658 L
.06078 .52174 L
.06072 .51691 L
.06068 .51208 L
.06066 .50725 L
.06064 .50242 L
.06064 .49758 L
.06066 .49275 L
.06068 .48792 L
.06072 .48309 L
.06078 .47826 L
.06084 .47342 L
.06093 .46859 L
.06102 .46376 L
.06113 .45893 L
.06125 .4541 L
.06138 .44927 L
.06152 .44443 L
.06168 .4396 L
.06185 .43477 L
.06203 .42994 L
.06222 .42511 L
.06242 .42027 L
.06263 .41544 L
.06272 .41355 L
.06289 .41061 L
.06318 .40578 L
.0635 .40095 L
.06383 .39612 L
.06418 .39128 L
.06455 .38645 L
.06494 .38162 L
.06535 .37679 L
.06577 .37196 L
.06622 .36712 L
.06668 .36229 L
.06716 .35746 L
.06755 .35371 L
.06768 .35263 L
.06826 .3478 L
.06888 .34296 L
.06953 .33813 L
.07023 .3333 L
.07097 .32847 L
.07176 .32364 L
.07238 .32007 L
.07261 .31881 L
.07355 .31397 L
.07458 .30914 L
.07574 .30431 L
.07707 .29948 L
.07721 .29902 L
.07832 .29465 L
.08021 .28981 L
.08204 .28679 L
.08323 .28498 L
F
1 .858 .012 r
.08688 .28368 m
.09104 .28498 L
.09171 .28564 L
.09441 .28981 L
.09652 .29465 L
.09654 .29469 L
.09824 .29948 L
.09962 .30431 L
.10079 .30914 L
.10137 .31185 L
.10183 .31397 L
.1028 .31881 L
.10368 .32364 L
.1045 .32847 L
.10527 .3333 L
.10598 .33813 L
.1062 .33971 L
.10663 .34296 L
.10723 .3478 L
.1078 .35263 L
.10834 .35746 L
.10886 .36229 L
.10935 .36712 L
.10982 .37196 L
.11026 .37679 L
.11068 .38162 L
.11104 .38585 L
.11108 .38645 L
.1114 .39128 L
.11172 .39612 L
.11202 .40095 L
.1123 .40578 L
.11258 .41061 L
.11284 .41544 L
.11309 .42027 L
.11332 .42511 L
.11354 .42994 L
.11374 .43477 L
.11394 .4396 L
.11411 .44443 L
.11427 .44927 L
.11442 .4541 L
.11455 .45893 L
.11467 .46376 L
.11477 .46859 L
.11485 .47342 L
.11493 .47826 L
.11499 .48309 L
.11503 .48792 L
.11506 .49275 L
.11507 .49758 L
.11507 .50242 L
.11506 .50725 L
.11503 .51208 L
.11499 .51691 L
.11493 .52174 L
.11485 .52658 L
.11477 .53141 L
.11467 .53624 L
.11455 .54107 L
.11442 .5459 L
.11427 .55073 L
.11411 .55557 L
.11394 .5604 L
.11374 .56523 L
.11354 .57006 L
.11332 .57489 L
.11309 .57973 L
.11284 .58456 L
.11258 .58939 L
.1123 .59422 L
.11202 .59905 L
.11172 .60388 L
.1114 .60872 L
.11108 .61355 L
.11104 .61415 L
.11068 .61838 L
.11026 .62321 L
.10982 .62804 L
.10935 .63288 L
.10886 .63771 L
.10834 .64254 L
.1078 .64737 L
.10723 .6522 L
.10663 .65704 L
.1062 .66029 L
.10598 .66187 L
.10527 .6667 L
.1045 .67153 L
.10368 .67636 L
.1028 .68119 L
.10183 .68603 L
.10137 .68815 L
.10079 .69086 L
.09962 .69569 L
.09824 .70052 L
.09654 .70531 L
.09652 .70535 L
.09441 .71019 L
.09171 .71436 L
.09104 .71502 L
.08688 .71632 L
.08481 .71502 L
.08204 .71139 L
.08124 .71019 L
.07894 .70535 L
.07754 .70052 L
.07721 .69905 L
.07626 .69569 L
.07504 .69086 L
.07397 .68603 L
.07301 .68119 L
.07238 .67777 L
.07213 .67636 L
.07133 .67153 L
.07058 .6667 L
.06987 .66187 L
.06921 .65704 L
.06858 .6522 L
.06799 .64737 L
.06755 .64362 L
.06744 .64254 L
.06695 .63771 L
.06649 .63288 L
.06604 .62804 L
.06562 .62321 L
.06521 .61838 L
.06482 .61355 L
.06445 .60872 L
.0641 .60388 L
.06376 .59905 L
.06344 .59422 L
.06315 .58939 L
.06287 .58456 L
.06272 .58185 L
.06263 .57973 L
.06243 .57489 L
.06224 .57006 L
.06206 .56523 L
.06189 .5604 L
.06174 .55557 L
.0616 .55073 L
.06146 .5459 L
.06135 .54107 L
.06124 .53624 L
.06115 .53141 L
.06107 .52658 L
.061 .52174 L
.06095 .51691 L
.06091 .51208 L
.06088 .50725 L
.06087 .50242 L
.06087 .49758 L
.06088 .49275 L
.06091 .48792 L
.06095 .48309 L
.061 .47826 L
.06107 .47342 L
.06115 .46859 L
.06124 .46376 L
.06135 .45893 L
.06146 .4541 L
.0616 .44927 L
.06174 .44443 L
.06189 .4396 L
.06206 .43477 L
.06224 .42994 L
.06243 .42511 L
.06263 .42027 L
.06272 .41815 L
.06287 .41544 L
.06315 .41061 L
.06344 .40578 L
.06376 .40095 L
.0641 .39612 L
.06445 .39128 L
.06482 .38645 L
.06521 .38162 L
.06562 .37679 L
.06604 .37196 L
.06649 .36712 L
.06695 .36229 L
.06744 .35746 L
.06755 .35638 L
.06799 .35263 L
.06858 .3478 L
.06921 .34296 L
.06987 .33813 L
.07058 .3333 L
.07133 .32847 L
.07213 .32364 L
.07238 .32223 L
.07301 .31881 L
.07397 .31397 L
.07504 .30914 L
.07626 .30431 L
.07721 .30095 L
.07754 .29948 L
.07894 .29465 L
.08124 .28981 L
.08204 .28861 L
.08481 .28498 L
F
1 .854 .011 r
.08688 .28541 m
.09171 .28739 L
.09342 .28981 L
.0958 .29465 L
.09654 .29652 L
.09763 .29948 L
.09911 .30431 L
.10034 .30914 L
.10137 .31385 L
.1014 .31397 L
.1024 .31881 L
.10331 .32364 L
.10414 .32847 L
.10492 .3333 L
.10565 .33813 L
.1062 .34207 L
.10632 .34296 L
.10693 .3478 L
.1075 .35263 L
.10805 .35746 L
.10857 .36229 L
.10907 .36712 L
.10954 .37196 L
.10999 .37679 L
.11041 .38162 L
.11082 .38645 L
.11104 .38918 L
.11118 .39128 L
.11149 .39612 L
.11179 .40095 L
.11207 .40578 L
.11235 .41061 L
.11261 .41544 L
.11285 .42027 L
.11309 .42511 L
.11331 .42994 L
.11351 .43477 L
.1137 .4396 L
.11388 .44443 L
.11404 .44927 L
.11418 .4541 L
.11431 .45893 L
.11443 .46376 L
.11453 .46859 L
.11462 .47342 L
.11469 .47826 L
.11475 .48309 L
.1148 .48792 L
.11482 .49275 L
.11484 .49758 L
.11484 .50242 L
.11482 .50725 L
.1148 .51208 L
.11475 .51691 L
.11469 .52174 L
.11462 .52658 L
.11453 .53141 L
.11443 .53624 L
.11431 .54107 L
.11418 .5459 L
.11404 .55073 L
.11388 .55557 L
.1137 .5604 L
.11351 .56523 L
.11331 .57006 L
.11309 .57489 L
.11285 .57973 L
.11261 .58456 L
.11235 .58939 L
.11207 .59422 L
.11179 .59905 L
.11149 .60388 L
.11118 .60872 L
.11104 .61082 L
.11082 .61355 L
.11041 .61838 L
.10999 .62321 L
.10954 .62804 L
.10907 .63288 L
.10857 .63771 L
.10805 .64254 L
.1075 .64737 L
.10693 .6522 L
.10632 .65704 L
.1062 .65793 L
.10565 .66187 L
.10492 .6667 L
.10414 .67153 L
.10331 .67636 L
.1024 .68119 L
.1014 .68603 L
.10137 .68615 L
.10034 .69086 L
.09911 .69569 L
.09763 .70052 L
.09654 .70348 L
.0958 .70535 L
.09342 .71019 L
.09171 .71261 L
.08688 .71459 L
.08239 .71019 L
.08204 .70961 L
.07966 .70535 L
.07801 .70052 L
.07721 .69716 L
.07679 .69569 L
.07551 .69086 L
.0744 .68603 L
.07341 .68119 L
.07251 .67636 L
.07238 .67565 L
.07168 .67153 L
.07092 .6667 L
.0702 .66187 L
.06953 .65704 L
.06889 .6522 L
.06829 .64737 L
.06772 .64254 L
.06755 .64099 L
.06722 .63771 L
.06675 .63288 L
.06631 .62804 L
.06588 .62321 L
.06547 .61838 L
.06508 .61355 L
.06471 .60872 L
.06435 .60388 L
.06402 .59905 L
.0637 .59422 L
.0634 .58939 L
.06312 .58456 L
.06285 .57973 L
.06272 .57713 L
.06263 .57489 L
.06244 .57006 L
.06226 .56523 L
.0621 .5604 L
.06195 .55557 L
.0618 .55073 L
.06167 .5459 L
.06156 .54107 L
.06145 .53624 L
.06136 .53141 L
.06128 .52658 L
.06121 .52174 L
.06116 .51691 L
.06112 .51208 L
.06109 .50725 L
.06108 .50242 L
.06108 .49758 L
.06109 .49275 L
.06112 .48792 L
.06116 .48309 L
.06121 .47826 L
.06128 .47342 L
.06136 .46859 L
.06145 .46376 L
.06156 .45893 L
.06167 .4541 L
.0618 .44927 L
.06195 .44443 L
.0621 .4396 L
.06226 .43477 L
.06244 .42994 L
.06263 .42511 L
.06272 .42287 L
.06285 .42027 L
.06312 .41544 L
.0634 .41061 L
.0637 .40578 L
.06402 .40095 L
.06435 .39612 L
.06471 .39128 L
.06508 .38645 L
.06547 .38162 L
.06588 .37679 L
.06631 .37196 L
.06675 .36712 L
.06722 .36229 L
.06755 .35901 L
.06772 .35746 L
.06829 .35263 L
.06889 .3478 L
.06953 .34296 L
.0702 .33813 L
.07092 .3333 L
.07168 .32847 L
.07238 .32435 L
.07251 .32364 L
.07341 .31881 L
.0744 .31397 L
.07551 .30914 L
.07679 .30431 L
.07721 .30284 L
.07801 .29948 L
.07966 .29465 L
.08204 .29039 L
.08239 .28981 L
F
1 .849 .009 r
.08688 .28711 m
.09171 .28911 L
.09227 .28981 L
.09503 .29465 L
.09654 .29831 L
.09699 .29948 L
.09858 .30431 L
.09988 .30914 L
.10099 .31397 L
.10137 .31582 L
.102 .31881 L
.10293 .32364 L
.10379 .32847 L
.10458 .3333 L
.10532 .33813 L
.10601 .34296 L
.1062 .34438 L
.10663 .3478 L
.10721 .35263 L
.10777 .35746 L
.10829 .36229 L
.10879 .36712 L
.10927 .37196 L
.10972 .37679 L
.11015 .38162 L
.11056 .38645 L
.11094 .39128 L
.11104 .39251 L
.11127 .39612 L
.11157 .40095 L
.11185 .40578 L
.11212 .41061 L
.11238 .41544 L
.11263 .42027 L
.11286 .42511 L
.11308 .42994 L
.11328 .43477 L
.11347 .4396 L
.11365 .44443 L
.11381 .44927 L
.11396 .4541 L
.11409 .45893 L
.1142 .46376 L
.11431 .46859 L
.11439 .47342 L
.11447 .47826 L
.11453 .48309 L
.11457 .48792 L
.1146 .49275 L
.11461 .49758 L
.11461 .50242 L
.1146 .50725 L
.11457 .51208 L
.11453 .51691 L
.11447 .52174 L
.11439 .52658 L
.11431 .53141 L
.1142 .53624 L
.11409 .54107 L
.11396 .5459 L
.11381 .55073 L
.11365 .55557 L
.11347 .5604 L
.11328 .56523 L
.11308 .57006 L
.11286 .57489 L
.11263 .57973 L
.11238 .58456 L
.11212 .58939 L
.11185 .59422 L
.11157 .59905 L
.11127 .60388 L
.11104 .60749 L
.11094 .60872 L
.11056 .61355 L
.11015 .61838 L
.10972 .62321 L
.10927 .62804 L
.10879 .63288 L
.10829 .63771 L
.10777 .64254 L
.10721 .64737 L
.10663 .6522 L
.1062 .65562 L
.10601 .65704 L
.10532 .66187 L
.10458 .6667 L
.10379 .67153 L
.10293 .67636 L
.102 .68119 L
.10137 .68418 L
.10099 .68603 L
.09988 .69086 L
.09858 .69569 L
.09699 .70052 L
.09654 .70169 L
.09503 .70535 L
.09227 .71019 L
.09171 .71089 L
.08688 .71289 L
.08357 .71019 L
.08204 .70787 L
.08051 .70535 L
.07854 .70052 L
.07729 .69569 L
.07721 .69531 L
.07599 .69086 L
.07483 .68603 L
.07381 .68119 L
.07288 .67636 L
.07238 .67357 L
.07203 .67153 L
.07125 .6667 L
.07053 .66187 L
.06984 .65704 L
.0692 .6522 L
.06859 .64737 L
.06802 .64254 L
.06755 .63839 L
.06748 .63771 L
.06701 .63288 L
.06656 .62804 L
.06614 .62321 L
.06573 .61838 L
.06533 .61355 L
.06496 .60872 L
.0646 .60388 L
.06427 .59905 L
.06395 .59422 L
.06364 .58939 L
.06336 .58456 L
.06309 .57973 L
.06285 .57489 L
.06272 .57227 L
.06263 .57006 L
.06246 .56523 L
.0623 .5604 L
.06214 .55557 L
.062 .55073 L
.06188 .5459 L
.06176 .54107 L
.06166 .53624 L
.06156 .53141 L
.06149 .52658 L
.06142 .52174 L
.06137 .51691 L
.06133 .51208 L
.0613 .50725 L
.06129 .50242 L
.06129 .49758 L
.0613 .49275 L
.06133 .48792 L
.06137 .48309 L
.06142 .47826 L
.06149 .47342 L
.06156 .46859 L
.06166 .46376 L
.06176 .45893 L
.06188 .4541 L
.062 .44927 L
.06214 .44443 L
.0623 .4396 L
.06246 .43477 L
.06263 .42994 L
.06272 .42773 L
.06285 .42511 L
.06309 .42027 L
.06336 .41544 L
.06364 .41061 L
.06395 .40578 L
.06427 .40095 L
.0646 .39612 L
.06496 .39128 L
.06533 .38645 L
.06573 .38162 L
.06614 .37679 L
.06656 .37196 L
.06701 .36712 L
.06748 .36229 L
.06755 .36161 L
.06802 .35746 L
.06859 .35263 L
.0692 .3478 L
.06984 .34296 L
.07053 .33813 L
.07125 .3333 L
.07203 .32847 L
.07238 .32643 L
.07288 .32364 L
.07381 .31881 L
.07483 .31397 L
.07599 .30914 L
.07721 .30469 L
.07729 .30431 L
.07854 .29948 L
.08051 .29465 L
.08204 .29213 L
.08357 .28981 L
F
1 .845 .008 r
.08688 .28878 m
.09069 .28981 L
.09171 .29079 L
.09419 .29465 L
.09632 .29948 L
.09654 .30007 L
.09803 .30431 L
.09941 .30914 L
.10057 .31397 L
.10137 .31774 L
.1016 .31881 L
.10256 .32364 L
.10343 .32847 L
.10424 .3333 L
.10499 .33813 L
.1057 .34296 L
.1062 .34667 L
.10635 .3478 L
.10693 .35263 L
.10749 .35746 L
.10802 .36229 L
.10852 .36712 L
.109 .37196 L
.10946 .37679 L
.10989 .38162 L
.1103 .38645 L
.11069 .39128 L
.11104 .39584 L
.11105 .39612 L
.11135 .40095 L
.11164 .40578 L
.11191 .41061 L
.11216 .41544 L
.11241 .42027 L
.11264 .42511 L
.11286 .42994 L
.11306 .43477 L
.11325 .4396 L
.11343 .44443 L
.11359 .44927 L
.11373 .4541 L
.11387 .45893 L
.11398 .46376 L
.11409 .46859 L
.11417 .47342 L
.11425 .47826 L
.1143 .48309 L
.11435 .48792 L
.11438 .49275 L
.11439 .49758 L
.11439 .50242 L
.11438 .50725 L
.11435 .51208 L
.1143 .51691 L
.11425 .52174 L
.11417 .52658 L
.11409 .53141 L
.11398 .53624 L
.11387 .54107 L
.11373 .5459 L
.11359 .55073 L
.11343 .55557 L
.11325 .5604 L
.11306 .56523 L
.11286 .57006 L
.11264 .57489 L
.11241 .57973 L
.11216 .58456 L
.11191 .58939 L
.11164 .59422 L
.11135 .59905 L
.11105 .60388 L
.11104 .60416 L
.11069 .60872 L
.1103 .61355 L
.10989 .61838 L
.10946 .62321 L
.109 .62804 L
.10852 .63288 L
.10802 .63771 L
.10749 .64254 L
.10693 .64737 L
.10635 .6522 L
.1062 .65333 L
.1057 .65704 L
.10499 .66187 L
.10424 .6667 L
.10343 .67153 L
.10256 .67636 L
.1016 .68119 L
.10137 .68226 L
.10057 .68603 L
.09941 .69086 L
.09803 .69569 L
.09654 .69993 L
.09632 .70052 L
.09419 .70535 L
.09171 .70921 L
.09069 .71019 L
.08688 .71122 L
.08514 .71019 L
.08204 .70617 L
.0815 .70535 L
.07914 .70052 L
.0777 .69569 L
.07721 .69349 L
.07647 .69086 L
.07527 .68603 L
.0742 .68119 L
.07325 .67636 L
.07238 .67153 L
.07238 .67152 L
.07159 .6667 L
.07085 .66187 L
.07015 .65704 L
.0695 .6522 L
.06888 .64737 L
.0683 .64254 L
.06776 .63771 L
.06755 .63582 L
.06726 .63288 L
.06681 .62804 L
.06638 .62321 L
.06597 .61838 L
.06558 .61355 L
.0652 .60872 L
.06485 .60388 L
.06451 .59905 L
.06419 .59422 L
.06388 .58939 L
.0636 .58456 L
.06333 .57973 L
.06308 .57489 L
.06285 .57006 L
.06272 .56722 L
.06265 .56523 L
.06249 .5604 L
.06234 .55557 L
.0622 .55073 L
.06207 .5459 L
.06195 .54107 L
.06185 .53624 L
.06176 .53141 L
.06168 .52658 L
.06162 .52174 L
.06157 .51691 L
.06153 .51208 L
.0615 .50725 L
.06149 .50242 L
.06149 .49758 L
.0615 .49275 L
.06153 .48792 L
.06157 .48309 L
.06162 .47826 L
.06168 .47342 L
.06176 .46859 L
.06185 .46376 L
.06195 .45893 L
.06207 .4541 L
.0622 .44927 L
.06234 .44443 L
.06249 .4396 L
.06265 .43477 L
.06272 .43278 L
.06285 .42994 L
.06308 .42511 L
.06333 .42027 L
.0636 .41544 L
.06388 .41061 L
.06419 .40578 L
.06451 .40095 L
.06485 .39612 L
.0652 .39128 L
.06558 .38645 L
.06597 .38162 L
.06638 .37679 L
.06681 .37196 L
.06726 .36712 L
.06755 .36418 L
.06776 .36229 L
.0683 .35746 L
.06888 .35263 L
.0695 .3478 L
.07015 .34296 L
.07085 .33813 L
.07159 .3333 L
.07238 .32848 L
.07238 .32847 L
.07325 .32364 L
.0742 .31881 L
.07527 .31397 L
.07647 .30914 L
.07721 .30651 L
.0777 .30431 L
.07914 .29948 L
.0815 .29465 L
.08204 .29383 L
.08514 .28981 L
F
1 .84 .007 r
.08688 .29041 m
.09171 .29243 L
.09327 .29465 L
.09564 .29948 L
.09654 .30179 L
.09746 .30431 L
.09893 .30914 L
.10015 .31397 L
.10121 .31881 L
.10137 .31963 L
.10218 .32364 L
.10308 .32847 L
.10391 .3333 L
.10467 .33813 L
.10539 .34296 L
.10606 .3478 L
.1062 .34892 L
.10666 .35263 L
.10722 .35746 L
.10775 .36229 L
.10826 .36712 L
.10874 .37196 L
.1092 .37679 L
.10964 .38162 L
.11005 .38645 L
.11044 .39128 L
.11081 .39612 L
.11104 .39918 L
.11114 .40095 L
.11143 .40578 L
.1117 .41061 L
.11195 .41544 L
.1122 .42027 L
.11243 .42511 L
.11265 .42994 L
.11285 .43477 L
.11304 .4396 L
.11321 .44443 L
.11337 .44927 L
.11352 .4541 L
.11365 .45893 L
.11377 .46376 L
.11387 .46859 L
.11396 .47342 L
.11403 .47826 L
.11409 .48309 L
.11413 .48792 L
.11416 .49275 L
.11418 .49758 L
.11418 .50242 L
.11416 .50725 L
.11413 .51208 L
.11409 .51691 L
.11403 .52174 L
.11396 .52658 L
.11387 .53141 L
.11377 .53624 L
.11365 .54107 L
.11352 .5459 L
.11337 .55073 L
.11321 .55557 L
.11304 .5604 L
.11285 .56523 L
.11265 .57006 L
.11243 .57489 L
.1122 .57973 L
.11195 .58456 L
.1117 .58939 L
.11143 .59422 L
.11114 .59905 L
.11104 .60082 L
.11081 .60388 L
.11044 .60872 L
.11005 .61355 L
.10964 .61838 L
.1092 .62321 L
.10874 .62804 L
.10826 .63288 L
.10775 .63771 L
.10722 .64254 L
.10666 .64737 L
.1062 .65108 L
.10606 .6522 L
.10539 .65704 L
.10467 .66187 L
.10391 .6667 L
.10308 .67153 L
.10218 .67636 L
.10137 .68037 L
.10121 .68119 L
.10015 .68603 L
.09893 .69086 L
.09746 .69569 L
.09654 .69821 L
.09564 .70052 L
.09327 .70535 L
.09171 .70757 L
.08688 .70959 L
.08255 .70535 L
.08204 .7045 L
.07983 .70052 L
.07815 .69569 L
.07721 .69172 L
.07697 .69086 L
.07571 .68603 L
.0746 .68119 L
.07362 .67636 L
.07273 .67153 L
.07238 .66951 L
.07192 .6667 L
.07116 .66187 L
.07046 .65704 L
.0698 .6522 L
.06917 .64737 L
.06859 .64254 L
.06803 .63771 L
.06755 .63327 L
.06751 .63288 L
.06706 .62804 L
.06663 .62321 L
.06621 .61838 L
.06582 .61355 L
.06544 .60872 L
.06509 .60388 L
.06475 .59905 L
.06442 .59422 L
.06412 .58939 L
.06383 .58456 L
.06356 .57973 L
.06331 .57489 L
.06307 .57006 L
.06286 .56523 L
.06272 .56191 L
.06267 .5604 L
.06252 .55557 L
.06238 .55073 L
.06226 .5459 L
.06214 .54107 L
.06204 .53624 L
.06195 .53141 L
.06187 .52658 L
.06181 .52174 L
.06176 .51691 L
.06172 .51208 L
.06169 .50725 L
.06168 .50242 L
.06168 .49758 L
.06169 .49275 L
.06172 .48792 L
.06176 .48309 L
.06181 .47826 L
.06187 .47342 L
.06195 .46859 L
.06204 .46376 L
.06214 .45893 L
.06226 .4541 L
.06238 .44927 L
.06252 .44443 L
.06267 .4396 L
.06272 .43809 L
.06286 .43477 L
.06307 .42994 L
.06331 .42511 L
.06356 .42027 L
.06383 .41544 L
.06412 .41061 L
.06442 .40578 L
.06475 .40095 L
.06509 .39612 L
.06544 .39128 L
.06582 .38645 L
.06621 .38162 L
.06663 .37679 L
.06706 .37196 L
.06751 .36712 L
.06755 .36673 L
.06803 .36229 L
.06859 .35746 L
.06917 .35263 L
.0698 .3478 L
.07046 .34296 L
.07116 .33813 L
.07192 .3333 L
.07238 .33049 L
.07273 .32847 L
.07362 .32364 L
.0746 .31881 L
.07571 .31397 L
.07697 .30914 L
.07721 .30828 L
.07815 .30431 L
.07983 .29948 L
.08204 .2955 L
.08255 .29465 L
F
1 .836 .006 r
.08688 .292 m
.09171 .29404 L
.09219 .29465 L
.09492 .29948 L
.09654 .30348 L
.09685 .30431 L
.09844 .30914 L
.09973 .31397 L
.10082 .31881 L
.10137 .32148 L
.10181 .32364 L
.10273 .32847 L
.10358 .3333 L
.10436 .33813 L
.10508 .34296 L
.10576 .3478 L
.1062 .35114 L
.10639 .35263 L
.10695 .35746 L
.10749 .36229 L
.108 .36712 L
.10849 .37196 L
.10895 .37679 L
.10939 .38162 L
.10981 .38645 L
.1102 .39128 L
.11057 .39612 L
.11092 .40095 L
.11104 .40254 L
.11122 .40578 L
.11149 .41061 L
.11175 .41544 L
.11199 .42027 L
.11222 .42511 L
.11244 .42994 L
.11264 .43477 L
.11283 .4396 L
.11301 .44443 L
.11317 .44927 L
.11331 .4541 L
.11344 .45893 L
.11356 .46376 L
.11366 .46859 L
.11375 .47342 L
.11382 .47826 L
.11388 .48309 L
.11393 .48792 L
.11395 .49275 L
.11397 .49758 L
.11397 .50242 L
.11395 .50725 L
.11393 .51208 L
.11388 .51691 L
.11382 .52174 L
.11375 .52658 L
.11366 .53141 L
.11356 .53624 L
.11344 .54107 L
.11331 .5459 L
.11317 .55073 L
.11301 .55557 L
.11283 .5604 L
.11264 .56523 L
.11244 .57006 L
.11222 .57489 L
.11199 .57973 L
.11175 .58456 L
.11149 .58939 L
.11122 .59422 L
.11104 .59746 L
.11092 .59905 L
.11057 .60388 L
.1102 .60872 L
.10981 .61355 L
.10939 .61838 L
.10895 .62321 L
.10849 .62804 L
.108 .63288 L
.10749 .63771 L
.10695 .64254 L
.10639 .64737 L
.1062 .64886 L
.10576 .6522 L
.10508 .65704 L
.10436 .66187 L
.10358 .6667 L
.10273 .67153 L
.10181 .67636 L
.10137 .67852 L
.10082 .68119 L
.09973 .68603 L
.09844 .69086 L
.09685 .69569 L
.09654 .69652 L
.09492 .70052 L
.09219 .70535 L
.09171 .70596 L
.08688 .708 L
.08366 .70535 L
.08204 .70286 L
.08063 .70052 L
.07865 .69569 L
.0774 .69086 L
.07721 .68997 L
.07615 .68603 L
.075 .68119 L
.07399 .67636 L
.07308 .67153 L
.07238 .66754 L
.07224 .6667 L
.07147 .66187 L
.07076 .65704 L
.07009 .6522 L
.06946 .64737 L
.06886 .64254 L
.0683 .63771 L
.06777 .63288 L
.06755 .63075 L
.0673 .62804 L
.06686 .62321 L
.06645 .61838 L
.06605 .61355 L
.06568 .60872 L
.06532 .60388 L
.06498 .59905 L
.06465 .59422 L
.06435 .58939 L
.06406 .58456 L
.06379 .57973 L
.06353 .57489 L
.0633 .57006 L
.06308 .56523 L
.06288 .5604 L
.06272 .55628 L
.0627 .55557 L
.06256 .55073 L
.06243 .5459 L
.06232 .54107 L
.06222 .53624 L
.06213 .53141 L
.06206 .52658 L
.06199 .52174 L
.06194 .51691 L
.0619 .51208 L
.06188 .50725 L
.06186 .50242 L
.06186 .49758 L
.06188 .49275 L
.0619 .48792 L
.06194 .48309 L
.06199 .47826 L
.06206 .47342 L
.06213 .46859 L
.06222 .46376 L
.06232 .45893 L
.06243 .4541 L
.06256 .44927 L
.0627 .44443 L
.06272 .44372 L
.06288 .4396 L
.06308 .43477 L
.0633 .42994 L
.06353 .42511 L
.06379 .42027 L
.06406 .41544 L
.06435 .41061 L
.06465 .40578 L
.06498 .40095 L
.06532 .39612 L
.06568 .39128 L
.06605 .38645 L
.06645 .38162 L
.06686 .37679 L
.0673 .37196 L
.06755 .36925 L
.06777 .36712 L
.0683 .36229 L
.06886 .35746 L
.06946 .35263 L
.07009 .3478 L
.07076 .34296 L
.07147 .33813 L
.07224 .3333 L
.07238 .33246 L
.07308 .32847 L
.07399 .32364 L
.075 .31881 L
.07615 .31397 L
.07721 .31003 L
.0774 .30914 L
.07865 .30431 L
.08063 .29948 L
.08204 .29714 L
.08366 .29465 L
F
1 .831 .005 r
.08688 .29356 m
.09072 .29465 L
.09171 .29562 L
.09415 .29948 L
.09624 .30431 L
.09654 .30513 L
.09792 .30914 L
.09929 .31397 L
.10044 .31881 L
.10137 .32331 L
.10144 .32364 L
.10238 .32847 L
.10325 .3333 L
.10404 .33813 L
.10478 .34296 L
.10547 .3478 L
.10611 .35263 L
.1062 .35333 L
.10669 .35746 L
.10723 .36229 L
.10775 .36712 L
.10824 .37196 L
.1087 .37679 L
.10915 .38162 L
.10957 .38645 L
.10996 .39128 L
.11034 .39612 L
.11069 .40095 L
.11103 .40578 L
.11104 .40592 L
.1113 .41061 L
.11155 .41544 L
.1118 .42027 L
.11202 .42511 L
.11224 .42994 L
.11244 .43477 L
.11263 .4396 L
.1128 .44443 L
.11296 .44927 L
.11311 .4541 L
.11324 .45893 L
.11336 .46376 L
.11346 .46859 L
.11355 .47342 L
.11362 .47826 L
.11368 .48309 L
.11372 .48792 L
.11375 .49275 L
.11377 .49758 L
.11377 .50242 L
.11375 .50725 L
.11372 .51208 L
.11368 .51691 L
.11362 .52174 L
.11355 .52658 L
.11346 .53141 L
.11336 .53624 L
.11324 .54107 L
.11311 .5459 L
.11296 .55073 L
.1128 .55557 L
.11263 .5604 L
.11244 .56523 L
.11224 .57006 L
.11202 .57489 L
.1118 .57973 L
.11155 .58456 L
.1113 .58939 L
.11104 .59408 L
.11103 .59422 L
.11069 .59905 L
.11034 .60388 L
.10996 .60872 L
.10957 .61355 L
.10915 .61838 L
.1087 .62321 L
.10824 .62804 L
.10775 .63288 L
.10723 .63771 L
.10669 .64254 L
.1062 .64667 L
.10611 .64737 L
.10547 .6522 L
.10478 .65704 L
.10404 .66187 L
.10325 .6667 L
.10238 .67153 L
.10144 .67636 L
.10137 .67669 L
.10044 .68119 L
.09929 .68603 L
.09792 .69086 L
.09654 .69487 L
.09624 .69569 L
.09415 .70052 L
.09171 .70438 L
.09072 .70535 L
.08688 .70644 L
.08512 .70535 L
.08204 .70126 L
.08156 .70052 L
.07921 .69569 L
.07779 .69086 L
.07721 .68826 L
.0766 .68603 L
.07541 .68119 L
.07436 .67636 L
.07342 .67153 L
.07257 .6667 L
.07238 .6656 L
.07178 .66187 L
.07106 .65704 L
.07038 .6522 L
.06974 .64737 L
.06914 .64254 L
.06857 .63771 L
.06803 .63288 L
.06755 .62825 L
.06753 .62804 L
.06709 .62321 L
.06668 .61838 L
.06628 .61355 L
.0659 .60872 L
.06554 .60388 L
.0652 .59905 L
.06488 .59422 L
.06457 .58939 L
.06428 .58456 L
.06401 .57973 L
.06375 .57489 L
.06352 .57006 L
.0633 .56523 L
.06309 .5604 L
.06291 .55557 L
.06274 .55073 L
.06272 .55019 L
.06261 .5459 L
.0625 .54107 L
.0624 .53624 L
.06231 .53141 L
.06223 .52658 L
.06217 .52174 L
.06212 .51691 L
.06208 .51208 L
.06205 .50725 L
.06204 .50242 L
.06204 .49758 L
.06205 .49275 L
.06208 .48792 L
.06212 .48309 L
.06217 .47826 L
.06223 .47342 L
.06231 .46859 L
.0624 .46376 L
.0625 .45893 L
.06261 .4541 L
.06272 .44981 L
.06274 .44927 L
.06291 .44443 L
.06309 .4396 L
.0633 .43477 L
.06352 .42994 L
.06375 .42511 L
.06401 .42027 L
.06428 .41544 L
.06457 .41061 L
.06488 .40578 L
.0652 .40095 L
.06554 .39612 L
.0659 .39128 L
.06628 .38645 L
.06668 .38162 L
.06709 .37679 L
.06753 .37196 L
.06755 .37175 L
.06803 .36712 L
.06857 .36229 L
.06914 .35746 L
.06974 .35263 L
.07038 .3478 L
.07106 .34296 L
.07178 .33813 L
.07238 .3344 L
.07257 .3333 L
.07342 .32847 L
.07436 .32364 L
.07541 .31881 L
.0766 .31397 L
.07721 .31174 L
.07779 .30914 L
.07921 .30431 L
.08156 .29948 L
.08204 .29874 L
.08512 .29465 L
F
1 .827 .005 r
.08688 .2951 m
.09171 .29717 L
.09329 .29948 L
.09561 .30431 L
.09654 .30676 L
.09739 .30914 L
.09884 .31397 L
.10005 .31881 L
.10108 .32364 L
.10137 .3251 L
.10204 .32847 L
.10292 .3333 L
.10373 .33813 L
.10448 .34296 L
.10518 .3478 L
.10584 .35263 L
.1062 .35549 L
.10644 .35746 L
.10698 .36229 L
.1075 .36712 L
.10799 .37196 L
.10846 .37679 L
.10891 .38162 L
.10933 .38645 L
.10973 .39128 L
.11011 .39612 L
.11047 .40095 L
.1108 .40578 L
.11104 .40934 L
.11111 .41061 L
.11136 .41544 L
.1116 .42027 L
.11183 .42511 L
.11205 .42994 L
.11225 .43477 L
.11243 .4396 L
.11261 .44443 L
.11277 .44927 L
.11291 .4541 L
.11304 .45893 L
.11316 .46376 L
.11326 .46859 L
.11335 .47342 L
.11342 .47826 L
.11348 .48309 L
.11353 .48792 L
.11355 .49275 L
.11357 .49758 L
.11357 .50242 L
.11355 .50725 L
.11353 .51208 L
.11348 .51691 L
.11342 .52174 L
.11335 .52658 L
.11326 .53141 L
.11316 .53624 L
.11304 .54107 L
.11291 .5459 L
.11277 .55073 L
.11261 .55557 L
.11243 .5604 L
.11225 .56523 L
.11205 .57006 L
.11183 .57489 L
.1116 .57973 L
.11136 .58456 L
.11111 .58939 L
.11104 .59066 L
.1108 .59422 L
.11047 .59905 L
.11011 .60388 L
.10973 .60872 L
.10933 .61355 L
.10891 .61838 L
.10846 .62321 L
.10799 .62804 L
.1075 .63288 L
.10698 .63771 L
.10644 .64254 L
.1062 .64451 L
.10584 .64737 L
.10518 .6522 L
.10448 .65704 L
.10373 .66187 L
.10292 .6667 L
.10204 .67153 L
.10137 .6749 L
.10108 .67636 L
.10005 .68119 L
.09884 .68603 L
.09739 .69086 L
.09654 .69324 L
.09561 .69569 L
.09329 .70052 L
.09171 .70283 L
.08688 .7049 L
.08252 .70052 L
.08204 .69969 L
.07986 .69569 L
.0782 .69086 L
.07721 .68658 L
.07706 .68603 L
.07582 .68119 L
.07473 .67636 L
.07377 .67153 L
.07289 .6667 L
.07238 .66368 L
.07209 .66187 L
.07135 .65704 L
.07066 .6522 L
.07001 .64737 L
.06941 .64254 L
.06883 .63771 L
.06829 .63288 L
.06778 .62804 L
.06755 .62577 L
.06732 .62321 L
.0669 .61838 L
.06651 .61355 L
.06613 .60872 L
.06576 .60388 L
.06542 .59905 L
.0651 .59422 L
.06479 .58939 L
.0645 .58456 L
.06422 .57973 L
.06397 .57489 L
.06373 .57006 L
.06351 .56523 L
.0633 .5604 L
.06312 .55557 L
.06294 .55073 L
.06279 .5459 L
.06272 .54346 L
.06266 .54107 L
.06256 .53624 L
.06248 .53141 L
.0624 .52658 L
.06234 .52174 L
.06229 .51691 L
.06225 .51208 L
.06223 .50725 L
.06221 .50242 L
.06221 .49758 L
.06223 .49275 L
.06225 .48792 L
.06229 .48309 L
.06234 .47826 L
.0624 .47342 L
.06248 .46859 L
.06256 .46376 L
.06266 .45893 L
.06272 .45654 L
.06279 .4541 L
.06294 .44927 L
.06312 .44443 L
.0633 .4396 L
.06351 .43477 L
.06373 .42994 L
.06397 .42511 L
.06422 .42027 L
.0645 .41544 L
.06479 .41061 L
.0651 .40578 L
.06542 .40095 L
.06576 .39612 L
.06613 .39128 L
.06651 .38645 L
.0669 .38162 L
.06732 .37679 L
.06755 .37423 L
.06778 .37196 L
.06829 .36712 L
.06883 .36229 L
.06941 .35746 L
.07001 .35263 L
.07066 .3478 L
.07135 .34296 L
.07209 .33813 L
.07238 .33632 L
.07289 .3333 L
.07377 .32847 L
.07473 .32364 L
.07582 .31881 L
.07706 .31397 L
.07721 .31342 L
.0782 .30914 L
.07986 .30431 L
.08204 .30031 L
.08252 .29948 L
F
1 .822 .004 r
.08688 .2966 m
.09171 .29869 L
.09231 .29948 L
.09495 .30431 L
.09654 .30835 L
.09683 .30914 L
.09838 .31397 L
.09965 .31881 L
.10073 .32364 L
.10137 .32687 L
.10169 .32847 L
.10259 .3333 L
.10342 .33813 L
.10419 .34296 L
.1049 .3478 L
.10556 .35263 L
.10618 .35746 L
.1062 .35764 L
.10674 .36229 L
.10726 .36712 L
.10776 .37196 L
.10823 .37679 L
.10867 .38162 L
.1091 .38645 L
.1095 .39128 L
.10988 .39612 L
.11024 .40095 L
.11058 .40578 L
.1109 .41061 L
.11104 .41279 L
.11117 .41544 L
.11142 .42027 L
.11164 .42511 L
.11186 .42994 L
.11206 .43477 L
.11224 .4396 L
.11242 .44443 L
.11258 .44927 L
.11272 .4541 L
.11285 .45893 L
.11297 .46376 L
.11307 .46859 L
.11316 .47342 L
.11323 .47826 L
.11329 .48309 L
.11333 .48792 L
.11336 .49275 L
.11338 .49758 L
.11338 .50242 L
.11336 .50725 L
.11333 .51208 L
.11329 .51691 L
.11323 .52174 L
.11316 .52658 L
.11307 .53141 L
.11297 .53624 L
.11285 .54107 L
.11272 .5459 L
.11258 .55073 L
.11242 .55557 L
.11224 .5604 L
.11206 .56523 L
.11186 .57006 L
.11164 .57489 L
.11142 .57973 L
.11117 .58456 L
.11104 .58721 L
.1109 .58939 L
.11058 .59422 L
.11024 .59905 L
.10988 .60388 L
.1095 .60872 L
.1091 .61355 L
.10867 .61838 L
.10823 .62321 L
.10776 .62804 L
.10726 .63288 L
.10674 .63771 L
.1062 .64236 L
.10618 .64254 L
.10556 .64737 L
.1049 .6522 L
.10419 .65704 L
.10342 .66187 L
.10259 .6667 L
.10169 .67153 L
.10137 .67313 L
.10073 .67636 L
.09965 .68119 L
.09838 .68603 L
.09683 .69086 L
.09654 .69165 L
.09495 .69569 L
.09231 .70052 L
.09171 .70131 L
.08688 .7034 L
.08354 .70052 L
.08204 .69814 L
.0806 .69569 L
.07867 .69086 L
.07744 .68603 L
.07721 .68492 L
.07623 .68119 L
.07511 .67636 L
.07411 .67153 L
.07321 .6667 L
.07239 .66187 L
.07238 .66179 L
.07164 .65704 L
.07094 .6522 L
.07029 .64737 L
.06967 .64254 L
.06909 .63771 L
.06854 .63288 L
.06803 .62804 L
.06755 .6233 L
.06754 .62321 L
.06712 .61838 L
.06672 .61355 L
.06634 .60872 L
.06598 .60388 L
.06564 .59905 L
.06531 .59422 L
.065 .58939 L
.06471 .58456 L
.06444 .57973 L
.06418 .57489 L
.06394 .57006 L
.06372 .56523 L
.06351 .5604 L
.06332 .55557 L
.06315 .55073 L
.06299 .5459 L
.06285 .54107 L
.06273 .53624 L
.06272 .5357 L
.06264 .53141 L
.06257 .52658 L
.0625 .52174 L
.06245 .51691 L
.06242 .51208 L
.06239 .50725 L
.06238 .50242 L
.06238 .49758 L
.06239 .49275 L
.06242 .48792 L
.06245 .48309 L
.0625 .47826 L
.06257 .47342 L
.06264 .46859 L
.06272 .4643 L
.06273 .46376 L
.06285 .45893 L
.06299 .4541 L
.06315 .44927 L
.06332 .44443 L
.06351 .4396 L
.06372 .43477 L
.06394 .42994 L
.06418 .42511 L
.06444 .42027 L
.06471 .41544 L
.065 .41061 L
.06531 .40578 L
.06564 .40095 L
.06598 .39612 L
.06634 .39128 L
.06672 .38645 L
.06712 .38162 L
.06754 .37679 L
.06755 .3767 L
.06803 .37196 L
.06854 .36712 L
.06909 .36229 L
.06967 .35746 L
.07029 .35263 L
.07094 .3478 L
.07164 .34296 L
.07238 .33821 L
.07239 .33813 L
.07321 .3333 L
.07411 .32847 L
.07511 .32364 L
.07623 .31881 L
.07721 .31508 L
.07744 .31397 L
.07867 .30914 L
.0806 .30431 L
.08204 .30186 L
.08354 .29948 L
F
1 .818 .004 r
.08688 .29808 m
.09104 .29948 L
.09171 .30018 L
.09424 .30431 L
.09626 .30914 L
.09654 .30992 L
.09791 .31397 L
.09924 .31881 L
.10037 .32364 L
.10135 .32847 L
.10137 .3286 L
.10227 .3333 L
.10311 .33813 L
.10389 .34296 L
.10462 .3478 L
.10529 .35263 L
.10592 .35746 L
.1062 .35976 L
.10649 .36229 L
.10702 .36712 L
.10752 .37196 L
.10799 .37679 L
.10845 .38162 L
.10887 .38645 L
.10928 .39128 L
.10966 .39612 L
.11002 .40095 L
.11036 .40578 L
.11068 .41061 L
.11098 .41544 L
.11104 .4163 L
.11123 .42027 L
.11146 .42511 L
.11167 .42994 L
.11187 .43477 L
.11206 .4396 L
.11223 .44443 L
.11239 .44927 L
.11254 .4541 L
.11267 .45893 L
.11278 .46376 L
.11288 .46859 L
.11297 .47342 L
.11304 .47826 L
.1131 .48309 L
.11315 .48792 L
.11317 .49275 L
.11319 .49758 L
.11319 .50242 L
.11317 .50725 L
.11315 .51208 L
.1131 .51691 L
.11304 .52174 L
.11297 .52658 L
.11288 .53141 L
.11278 .53624 L
.11267 .54107 L
.11254 .5459 L
.11239 .55073 L
.11223 .55557 L
.11206 .5604 L
.11187 .56523 L
.11167 .57006 L
.11146 .57489 L
.11123 .57973 L
.11104 .5837 L
.11098 .58456 L
.11068 .58939 L
.11036 .59422 L
.11002 .59905 L
.10966 .60388 L
.10928 .60872 L
.10887 .61355 L
.10845 .61838 L
.10799 .62321 L
.10752 .62804 L
.10702 .63288 L
.10649 .63771 L
.1062 .64024 L
.10592 .64254 L
.10529 .64737 L
.10462 .6522 L
.10389 .65704 L
.10311 .66187 L
.10227 .6667 L
.10137 .6714 L
.10135 .67153 L
.10037 .67636 L
.09924 .68119 L
.09791 .68603 L
.09654 .69008 L
.09626 .69086 L
.09424 .69569 L
.09171 .69982 L
.09104 .70052 L
.08688 .70192 L
.08481 .70052 L
.08204 .69663 L
.08145 .69569 L
.07919 .69086 L
.0778 .68603 L
.07721 .68329 L
.07665 .68119 L
.07548 .67636 L
.07446 .67153 L
.07354 .6667 L
.0727 .66187 L
.07238 .65993 L
.07193 .65704 L
.07122 .6522 L
.07056 .64737 L
.06993 .64254 L
.06935 .63771 L
.06879 .63288 L
.06827 .62804 L
.06778 .62321 L
.06755 .62085 L
.06734 .61838 L
.06694 .61355 L
.06655 .60872 L
.06619 .60388 L
.06585 .59905 L
.06552 .59422 L
.06521 .58939 L
.06492 .58456 L
.06464 .57973 L
.06438 .57489 L
.06414 .57006 L
.06392 .56523 L
.06371 .5604 L
.06352 .55557 L
.06335 .55073 L
.06319 .5459 L
.06305 .54107 L
.06293 .53624 L
.06282 .53141 L
.06273 .52658 L
.06272 .52599 L
.06266 .52174 L
.06261 .51691 L
.06258 .51208 L
.06255 .50725 L
.06254 .50242 L
.06254 .49758 L
.06255 .49275 L
.06258 .48792 L
.06261 .48309 L
.06266 .47826 L
.06272 .47401 L
.06273 .47342 L
.06282 .46859 L
.06293 .46376 L
.06305 .45893 L
.06319 .4541 L
.06335 .44927 L
.06352 .44443 L
.06371 .4396 L
.06392 .43477 L
.06414 .42994 L
.06438 .42511 L
.06464 .42027 L
.06492 .41544 L
.06521 .41061 L
.06552 .40578 L
.06585 .40095 L
.06619 .39612 L
.06655 .39128 L
.06694 .38645 L
.06734 .38162 L
.06755 .37915 L
.06778 .37679 L
.06827 .37196 L
.06879 .36712 L
.06935 .36229 L
.06993 .35746 L
.07056 .35263 L
.07122 .3478 L
.07193 .34296 L
.07238 .34007 L
.0727 .33813 L
.07354 .3333 L
.07446 .32847 L
.07548 .32364 L
.07665 .31881 L
.07721 .31671 L
.0778 .31397 L
.07919 .30914 L
.08145 .30431 L
.08204 .30337 L
.08481 .29948 L
F
1 .813 .003 r
.08688 .29953 m
.09171 .30165 L
.09346 .30431 L
.09568 .30914 L
.09654 .31147 L
.09741 .31397 L
.09883 .31881 L
.1 .32364 L
.10102 .32847 L
.10137 .33032 L
.10195 .3333 L
.10281 .33813 L
.1036 .34296 L
.10434 .3478 L
.10502 .35263 L
.10566 .35746 L
.1062 .36185 L
.10625 .36229 L
.10679 .36712 L
.10729 .37196 L
.10777 .37679 L
.10822 .38162 L
.10865 .38645 L
.10906 .39128 L
.10944 .39612 L
.10981 .40095 L
.11015 .40578 L
.11047 .41061 L
.11078 .41544 L
.11104 .41986 L
.11106 .42027 L
.11128 .42511 L
.1115 .42994 L
.1117 .43477 L
.11188 .4396 L
.11205 .44443 L
.11221 .44927 L
.11235 .4541 L
.11248 .45893 L
.1126 .46376 L
.1127 .46859 L
.11279 .47342 L
.11286 .47826 L
.11292 .48309 L
.11296 .48792 L
.11299 .49275 L
.11301 .49758 L
.11301 .50242 L
.11299 .50725 L
.11296 .51208 L
.11292 .51691 L
.11286 .52174 L
.11279 .52658 L
.1127 .53141 L
.1126 .53624 L
.11248 .54107 L
.11235 .5459 L
.11221 .55073 L
.11205 .55557 L
.11188 .5604 L
.1117 .56523 L
.1115 .57006 L
.11128 .57489 L
.11106 .57973 L
.11104 .58014 L
.11078 .58456 L
.11047 .58939 L
.11015 .59422 L
.10981 .59905 L
.10944 .60388 L
.10906 .60872 L
.10865 .61355 L
.10822 .61838 L
.10777 .62321 L
.10729 .62804 L
.10679 .63288 L
.10625 .63771 L
.1062 .63815 L
.10566 .64254 L
.10502 .64737 L
.10434 .6522 L
.1036 .65704 L
.10281 .66187 L
.10195 .6667 L
.10137 .66968 L
.10102 .67153 L
.1 .67636 L
.09883 .68119 L
.09741 .68603 L
.09654 .68853 L
.09568 .69086 L
.09346 .69569 L
.09171 .69835 L
.08688 .70047 L
.08235 .69569 L
.08204 .69513 L
.07978 .69086 L
.07819 .68603 L
.07721 .68169 L
.07708 .68119 L
.07586 .67636 L
.0748 .67153 L
.07386 .6667 L
.073 .66187 L
.07238 .65809 L
.07222 .65704 L
.07149 .6522 L
.07082 .64737 L
.07019 .64254 L
.0696 .63771 L
.06904 .63288 L
.06851 .62804 L
.06801 .62321 L
.06755 .6184 L
.06755 .61838 L
.06714 .61355 L
.06676 .60872 L
.0664 .60388 L
.06605 .59905 L
.06572 .59422 L
.06541 .58939 L
.06512 .58456 L
.06484 .57973 L
.06459 .57489 L
.06434 .57006 L
.06412 .56523 L
.06391 .5604 L
.06372 .55557 L
.06355 .55073 L
.06339 .5459 L
.06325 .54107 L
.06312 .53624 L
.06301 .53141 L
.06292 .52658 L
.06284 .52174 L
.06278 .51691 L
.06274 .51208 L
.06272 .50982 L
.06271 .50725 L
.06269 .50242 L
.06269 .49758 L
.06271 .49275 L
.06272 .49018 L
.06274 .48792 L
.06278 .48309 L
.06284 .47826 L
.06292 .47342 L
.06301 .46859 L
.06312 .46376 L
.06325 .45893 L
.06339 .4541 L
.06355 .44927 L
.06372 .44443 L
.06391 .4396 L
.06412 .43477 L
.06434 .42994 L
.06459 .42511 L
.06484 .42027 L
.06512 .41544 L
.06541 .41061 L
.06572 .40578 L
.06605 .40095 L
.0664 .39612 L
.06676 .39128 L
.06714 .38645 L
.06755 .38162 L
.06755 .3816 L
.06801 .37679 L
.06851 .37196 L
.06904 .36712 L
.0696 .36229 L
.07019 .35746 L
.07082 .35263 L
.07149 .3478 L
.07222 .34296 L
.07238 .34191 L
.073 .33813 L
.07386 .3333 L
.0748 .32847 L
.07586 .32364 L
.07708 .31881 L
.07721 .31831 L
.07819 .31397 L
.07978 .30914 L
.08204 .30487 L
.08235 .30431 L
F
1 .809 .003 r
.08688 .30096 m
.09171 .30309 L
.09259 .30431 L
.09507 .30914 L
.09654 .31298 L
.09689 .31397 L
.0984 .31881 L
.09963 .32364 L
.10068 .32847 L
.10137 .33201 L
.10162 .3333 L
.1025 .33813 L
.10331 .34296 L
.10406 .3478 L
.10475 .35263 L
.1054 .35746 L
.10601 .36229 L
.1062 .36393 L
.10656 .36712 L
.10706 .37196 L
.10754 .37679 L
.108 .38162 L
.10843 .38645 L
.10884 .39128 L
.10923 .39612 L
.1096 .40095 L
.10994 .40578 L
.11027 .41061 L
.11057 .41544 L
.11086 .42027 L
.11104 .4235 L
.11111 .42511 L
.11132 .42994 L
.11152 .43477 L
.11171 .4396 L
.11188 .44443 L
.11204 .44927 L
.11218 .4541 L
.11231 .45893 L
.11242 .46376 L
.11252 .46859 L
.11261 .47342 L
.11268 .47826 L
.11274 .48309 L
.11279 .48792 L
.11281 .49275 L
.11283 .49758 L
.11283 .50242 L
.11281 .50725 L
.11279 .51208 L
.11274 .51691 L
.11268 .52174 L
.11261 .52658 L
.11252 .53141 L
.11242 .53624 L
.11231 .54107 L
.11218 .5459 L
.11204 .55073 L
.11188 .55557 L
.11171 .5604 L
.11152 .56523 L
.11132 .57006 L
.11111 .57489 L
.11104 .5765 L
.11086 .57973 L
.11057 .58456 L
.11027 .58939 L
.10994 .59422 L
.1096 .59905 L
.10923 .60388 L
.10884 .60872 L
.10843 .61355 L
.108 .61838 L
.10754 .62321 L
.10706 .62804 L
.10656 .63288 L
.1062 .63607 L
.10601 .63771 L
.1054 .64254 L
.10475 .64737 L
.10406 .6522 L
.10331 .65704 L
.1025 .66187 L
.10162 .6667 L
.10137 .66799 L
.10068 .67153 L
.09963 .67636 L
.0984 .68119 L
.09689 .68603 L
.09654 .68702 L
.09507 .69086 L
.09259 .69569 L
.09171 .69691 L
.08688 .69904 L
.08325 .69569 L
.08204 .69367 L
.08045 .69086 L
.07862 .68603 L
.07743 .68119 L
.07721 .68012 L
.07625 .67636 L
.07515 .67153 L
.07418 .6667 L
.0733 .66187 L
.0725 .65704 L
.07238 .65628 L
.07177 .6522 L
.07108 .64737 L
.07044 .64254 L
.06984 .63771 L
.06928 .63288 L
.06875 .62804 L
.06825 .62321 L
.06777 .61838 L
.06755 .61597 L
.06735 .61355 L
.06696 .60872 L
.0666 .60388 L
.06625 .59905 L
.06592 .59422 L
.06561 .58939 L
.06532 .58456 L
.06504 .57973 L
.06478 .57489 L
.06454 .57006 L
.06432 .56523 L
.06411 .5604 L
.06392 .55557 L
.06374 .55073 L
.06358 .5459 L
.06344 .54107 L
.06331 .53624 L
.06321 .53141 L
.06311 .52658 L
.06303 .52174 L
.06297 .51691 L
.06292 .51208 L
.06289 .50725 L
.06288 .50242 L
.06288 .49758 L
.06289 .49275 L
.06292 .48792 L
.06297 .48309 L
.06303 .47826 L
.06311 .47342 L
.06321 .46859 L
.06331 .46376 L
.06344 .45893 L
.06358 .4541 L
.06374 .44927 L
.06392 .44443 L
.06411 .4396 L
.06432 .43477 L
.06454 .42994 L
.06478 .42511 L
.06504 .42027 L
.06532 .41544 L
.06561 .41061 L
.06592 .40578 L
.06625 .40095 L
.0666 .39612 L
.06696 .39128 L
.06735 .38645 L
.06755 .38403 L
.06777 .38162 L
.06825 .37679 L
.06875 .37196 L
.06928 .36712 L
.06984 .36229 L
.07044 .35746 L
.07108 .35263 L
.07177 .3478 L
.07238 .34372 L
.0725 .34296 L
.0733 .33813 L
.07418 .3333 L
.07515 .32847 L
.07625 .32364 L
.07721 .31988 L
.07743 .31881 L
.07862 .31397 L
.08045 .30914 L
.08204 .30633 L
.08325 .30431 L
F
1 .805 .002 r
.08688 .30236 m
.09154 .30431 L
.09171 .30451 L
.09443 .30914 L
.09636 .31397 L
.09654 .31448 L
.09796 .31881 L
.09925 .32364 L
.10035 .32847 L
.1013 .3333 L
.10137 .33367 L
.1022 .33813 L
.10303 .34296 L
.10378 .3478 L
.10449 .35263 L
.10515 .35746 L
.10576 .36229 L
.1062 .366 L
.10633 .36712 L
.10684 .37196 L
.10732 .37679 L
.10778 .38162 L
.10822 .38645 L
.10863 .39128 L
.10902 .39612 L
.10939 .40095 L
.10974 .40578 L
.11006 .41061 L
.11037 .41544 L
.11066 .42027 L
.11092 .42511 L
.11104 .42724 L
.11115 .42994 L
.11135 .43477 L
.11154 .4396 L
.11171 .44443 L
.11186 .44927 L
.11201 .4541 L
.11214 .45893 L
.11225 .46376 L
.11235 .46859 L
.11244 .47342 L
.11251 .47826 L
.11257 .48309 L
.11261 .48792 L
.11264 .49275 L
.11266 .49758 L
.11266 .50242 L
.11264 .50725 L
.11261 .51208 L
.11257 .51691 L
.11251 .52174 L
.11244 .52658 L
.11235 .53141 L
.11225 .53624 L
.11214 .54107 L
.11201 .5459 L
.11186 .55073 L
.11171 .55557 L
.11154 .5604 L
.11135 .56523 L
.11115 .57006 L
.11104 .57276 L
.11092 .57489 L
.11066 .57973 L
.11037 .58456 L
.11006 .58939 L
.10974 .59422 L
.10939 .59905 L
.10902 .60388 L
.10863 .60872 L
.10822 .61355 L
.10778 .61838 L
.10732 .62321 L
.10684 .62804 L
.10633 .63288 L
.1062 .634 L
.10576 .63771 L
.10515 .64254 L
.10449 .64737 L
.10378 .6522 L
.10303 .65704 L
.1022 .66187 L
.10137 .66633 L
.1013 .6667 L
.10035 .67153 L
.09925 .67636 L
.09796 .68119 L
.09654 .68552 L
.09636 .68603 L
.09443 .69086 L
.09171 .69549 L
.09154 .69569 L
.08688 .69764 L
.08433 .69569 L
.08204 .69222 L
.08122 .69086 L
.07909 .68603 L
.07776 .68119 L
.07721 .67856 L
.07664 .67636 L
.0755 .67153 L
.0745 .6667 L
.0736 .66187 L
.07279 .65704 L
.07238 .65449 L
.07204 .6522 L
.07134 .64737 L
.0707 .64254 L
.07009 .63771 L
.06952 .63288 L
.06898 .62804 L
.06848 .62321 L
.068 .61838 L
.06755 .61355 L
.06755 .61354 L
.06716 .60872 L
.0668 .60388 L
.06645 .59905 L
.06612 .59422 L
.06581 .58939 L
.06551 .58456 L
.06524 .57973 L
.06498 .57489 L
.06473 .57006 L
.06451 .56523 L
.0643 .5604 L
.06411 .55557 L
.06393 .55073 L
.06377 .5459 L
.06363 .54107 L
.0635 .53624 L
.06339 .53141 L
.0633 .52658 L
.06322 .52174 L
.06316 .51691 L
.06311 .51208 L
.06308 .50725 L
.06306 .50242 L
.06306 .49758 L
.06308 .49275 L
.06311 .48792 L
.06316 .48309 L
.06322 .47826 L
.0633 .47342 L
.06339 .46859 L
.0635 .46376 L
.06363 .45893 L
.06377 .4541 L
.06393 .44927 L
.06411 .44443 L
.0643 .4396 L
.06451 .43477 L
.06473 .42994 L
.06498 .42511 L
.06524 .42027 L
.06551 .41544 L
.06581 .41061 L
.06612 .40578 L
.06645 .40095 L
.0668 .39612 L
.06716 .39128 L
.06755 .38646 L
.06755 .38645 L
.068 .38162 L
.06848 .37679 L
.06898 .37196 L
.06952 .36712 L
.07009 .36229 L
.0707 .35746 L
.07134 .35263 L
.07204 .3478 L
.07238 .34551 L
.07279 .34296 L
.0736 .33813 L
.0745 .3333 L
.0755 .32847 L
.07664 .32364 L
.07721 .32144 L
.07776 .31881 L
.07909 .31397 L
.08122 .30914 L
.08204 .30778 L
.08433 .30431 L
F
1 .8 .002 r
.08688 .30374 m
.08997 .30431 L
.09171 .30591 L
.09373 .30914 L
.09583 .31397 L
.09654 .31595 L
.0975 .31881 L
.09887 .32364 L
.10001 .32847 L
.10099 .3333 L
.10137 .33532 L
.1019 .33813 L
.10274 .34296 L
.10351 .3478 L
.10423 .35263 L
.10489 .35746 L
.10552 .36229 L
.1061 .36712 L
.1062 .36804 L
.10662 .37196 L
.10711 .37679 L
.10757 .38162 L
.10801 .38645 L
.10842 .39128 L
.10881 .39612 L
.10918 .40095 L
.10953 .40578 L
.10986 .41061 L
.11017 .41544 L
.11046 .42027 L
.11073 .42511 L
.11098 .42994 L
.11104 .43108 L
.11119 .43477 L
.11137 .4396 L
.11154 .44443 L
.1117 .44927 L
.11184 .4541 L
.11197 .45893 L
.11208 .46376 L
.11218 .46859 L
.11227 .47342 L
.11234 .47826 L
.1124 .48309 L
.11244 .48792 L
.11247 .49275 L
.11249 .49758 L
.11249 .50242 L
.11247 .50725 L
.11244 .51208 L
.1124 .51691 L
.11234 .52174 L
.11227 .52658 L
.11218 .53141 L
.11208 .53624 L
.11197 .54107 L
.11184 .5459 L
.1117 .55073 L
.11154 .55557 L
.11137 .5604 L
.11119 .56523 L
.11104 .56892 L
.11098 .57006 L
.11073 .57489 L
.11046 .57973 L
.11017 .58456 L
.10986 .58939 L
.10953 .59422 L
.10918 .59905 L
.10881 .60388 L
.10842 .60872 L
.10801 .61355 L
.10757 .61838 L
.10711 .62321 L
.10662 .62804 L
.1062 .63196 L
.1061 .63288 L
.10552 .63771 L
.10489 .64254 L
.10423 .64737 L
.10351 .6522 L
.10274 .65704 L
.1019 .66187 L
.10137 .66468 L
.10099 .6667 L
.10001 .67153 L
.09887 .67636 L
.0975 .68119 L
.09654 .68405 L
.09583 .68603 L
.09373 .69086 L
.09171 .69409 L
.08997 .69569 L
.08688 .69626 L
.08583 .69569 L
.08207 .69086 L
.08204 .6908 L
.07962 .68603 L
.07812 .68119 L
.07721 .67703 L
.07704 .67636 L
.07586 .67153 L
.07483 .6667 L
.0739 .66187 L
.07307 .65704 L
.07238 .65271 L
.0723 .6522 L
.0716 .64737 L
.07095 .64254 L
.07033 .63771 L
.06975 .63288 L
.06921 .62804 L
.0687 .62321 L
.06822 .61838 L
.06777 .61355 L
.06755 .61112 L
.06736 .60872 L
.06699 .60388 L
.06664 .59905 L
.06631 .59422 L
.066 .58939 L
.0657 .58456 L
.06543 .57973 L
.06517 .57489 L
.06492 .57006 L
.0647 .56523 L
.06449 .5604 L
.06429 .55557 L
.06412 .55073 L
.06396 .5459 L
.06381 .54107 L
.06369 .53624 L
.06358 .53141 L
.06348 .52658 L
.0634 .52174 L
.06334 .51691 L
.06329 .51208 L
.06326 .50725 L
.06325 .50242 L
.06325 .49758 L
.06326 .49275 L
.06329 .48792 L
.06334 .48309 L
.0634 .47826 L
.06348 .47342 L
.06358 .46859 L
.06369 .46376 L
.06381 .45893 L
.06396 .4541 L
.06412 .44927 L
.06429 .44443 L
.06449 .4396 L
.0647 .43477 L
.06492 .42994 L
.06517 .42511 L
.06543 .42027 L
.0657 .41544 L
.066 .41061 L
.06631 .40578 L
.06664 .40095 L
.06699 .39612 L
.06736 .39128 L
.06755 .38888 L
.06777 .38645 L
.06822 .38162 L
.0687 .37679 L
.06921 .37196 L
.06975 .36712 L
.07033 .36229 L
.07095 .35746 L
.0716 .35263 L
.0723 .3478 L
.07238 .34729 L
.07307 .34296 L
.0739 .33813 L
.07483 .3333 L
.07586 .32847 L
.07704 .32364 L
.07721 .32297 L
.07812 .31881 L
.07962 .31397 L
.08204 .3092 L
.08207 .30914 L
.08583 .30431 L
F
1 .796 .002 r
.08688 .30511 m
.09171 .30728 L
.09296 .30914 L
.09528 .31397 L
.09654 .3174 L
.09702 .31881 L
.09847 .32364 L
.09966 .32847 L
.10068 .3333 L
.10137 .33694 L
.1016 .33813 L
.10245 .34296 L
.10324 .3478 L
.10397 .35263 L
.10464 .35746 L
.10527 .36229 L
.10586 .36712 L
.1062 .37008 L
.1064 .37196 L
.1069 .37679 L
.10736 .38162 L
.1078 .38645 L
.10822 .39128 L
.10861 .39612 L
.10898 .40095 L
.10934 .40578 L
.10967 .41061 L
.10998 .41544 L
.11027 .42027 L
.11054 .42511 L
.11079 .42994 L
.11102 .43477 L
.11104 .43506 L
.11121 .4396 L
.11138 .44443 L
.11154 .44927 L
.11168 .4541 L
.11181 .45893 L
.11192 .46376 L
.11202 .46859 L
.11211 .47342 L
.11218 .47826 L
.11224 .48309 L
.11228 .48792 L
.11231 .49275 L
.11232 .49758 L
.11232 .50242 L
.11231 .50725 L
.11228 .51208 L
.11224 .51691 L
.11218 .52174 L
.11211 .52658 L
.11202 .53141 L
.11192 .53624 L
.11181 .54107 L
.11168 .5459 L
.11154 .55073 L
.11138 .55557 L
.11121 .5604 L
.11104 .56494 L
.11102 .56523 L
.11079 .57006 L
.11054 .57489 L
.11027 .57973 L
.10998 .58456 L
.10967 .58939 L
.10934 .59422 L
.10898 .59905 L
.10861 .60388 L
.10822 .60872 L
.1078 .61355 L
.10736 .61838 L
.1069 .62321 L
.1064 .62804 L
.1062 .62992 L
.10586 .63288 L
.10527 .63771 L
.10464 .64254 L
.10397 .64737 L
.10324 .6522 L
.10245 .65704 L
.1016 .66187 L
.10137 .66306 L
.10068 .6667 L
.09966 .67153 L
.09847 .67636 L
.09702 .68119 L
.09654 .6826 L
.09528 .68603 L
.09296 .69086 L
.09171 .69272 L
.08688 .69489 L
.08286 .69086 L
.08204 .6894 L
.08022 .68603 L
.07851 .68119 L
.07738 .67636 L
.07721 .67552 L
.07622 .67153 L
.07515 .6667 L
.0742 .66187 L
.07335 .65704 L
.07257 .6522 L
.07238 .65096 L
.07186 .64737 L
.07119 .64254 L
.07057 .63771 L
.06999 .63288 L
.06944 .62804 L
.06892 .62321 L
.06844 .61838 L
.06798 .61355 L
.06755 .60872 L
.06755 .6087 L
.06718 .60388 L
.06683 .59905 L
.0665 .59422 L
.06619 .58939 L
.06589 .58456 L
.06561 .57973 L
.06535 .57489 L
.06511 .57006 L
.06488 .56523 L
.06467 .5604 L
.06448 .55557 L
.0643 .55073 L
.06414 .5459 L
.064 .54107 L
.06387 .53624 L
.06376 .53141 L
.06366 .52658 L
.06358 .52174 L
.06352 .51691 L
.06347 .51208 L
.06344 .50725 L
.06342 .50242 L
.06342 .49758 L
.06344 .49275 L
.06347 .48792 L
.06352 .48309 L
.06358 .47826 L
.06366 .47342 L
.06376 .46859 L
.06387 .46376 L
.064 .45893 L
.06414 .4541 L
.0643 .44927 L
.06448 .44443 L
.06467 .4396 L
.06488 .43477 L
.06511 .42994 L
.06535 .42511 L
.06561 .42027 L
.06589 .41544 L
.06619 .41061 L
.0665 .40578 L
.06683 .40095 L
.06718 .39612 L
.06755 .3913 L
.06755 .39128 L
.06798 .38645 L
.06844 .38162 L
.06892 .37679 L
.06944 .37196 L
.06999 .36712 L
.07057 .36229 L
.07119 .35746 L
.07186 .35263 L
.07238 .34904 L
.07257 .3478 L
.07335 .34296 L
.0742 .33813 L
.07515 .3333 L
.07622 .32847 L
.07721 .32448 L
.07738 .32364 L
.07851 .31881 L
.08022 .31397 L
.08204 .3106 L
.08286 .30914 L
F
1 .791 .002 r
.08688 .30645 m
.09171 .30864 L
.09208 .30914 L
.0947 .31397 L
.09653 .31881 L
.09654 .31884 L
.09806 .32364 L
.09931 .32847 L
.10037 .3333 L
.1013 .33813 L
.10137 .33855 L
.10217 .34296 L
.10297 .3478 L
.10371 .35263 L
.1044 .35746 L
.10503 .36229 L
.10563 .36712 L
.10619 .37196 L
.1062 .3721 L
.10669 .37679 L
.10715 .38162 L
.1076 .38645 L
.10802 .39128 L
.10841 .39612 L
.10879 .40095 L
.10914 .40578 L
.10947 .41061 L
.10978 .41544 L
.11008 .42027 L
.11035 .42511 L
.1106 .42994 L
.11084 .43477 L
.11104 .4392 L
.11105 .4396 L
.11122 .44443 L
.11138 .44927 L
.11152 .4541 L
.11165 .45893 L
.11176 .46376 L
.11186 .46859 L
.11195 .47342 L
.11202 .47826 L
.11208 .48309 L
.11212 .48792 L
.11215 .49275 L
.11216 .49758 L
.11216 .50242 L
.11215 .50725 L
.11212 .51208 L
.11208 .51691 L
.11202 .52174 L
.11195 .52658 L
.11186 .53141 L
.11176 .53624 L
.11165 .54107 L
.11152 .5459 L
.11138 .55073 L
.11122 .55557 L
.11105 .5604 L
.11104 .5608 L
.11084 .56523 L
.1106 .57006 L
.11035 .57489 L
.11008 .57973 L
.10978 .58456 L
.10947 .58939 L
.10914 .59422 L
.10879 .59905 L
.10841 .60388 L
.10802 .60872 L
.1076 .61355 L
.10715 .61838 L
.10669 .62321 L
.1062 .6279 L
.10619 .62804 L
.10563 .63288 L
.10503 .63771 L
.1044 .64254 L
.10371 .64737 L
.10297 .6522 L
.10217 .65704 L
.10137 .66145 L
.1013 .66187 L
.10037 .6667 L
.09931 .67153 L
.09806 .67636 L
.09654 .68116 L
.09653 .68119 L
.0947 .68603 L
.09208 .69086 L
.09171 .69136 L
.08688 .69355 L
.08377 .69086 L
.08204 .68802 L
.0809 .68603 L
.07893 .68119 L
.07768 .67636 L
.07721 .67403 L
.07658 .67153 L
.07548 .6667 L
.07451 .66187 L
.07363 .65704 L
.07284 .6522 L
.07238 .64923 L
.07211 .64737 L
.07144 .64254 L
.07081 .63771 L
.07022 .63288 L
.06966 .62804 L
.06914 .62321 L
.06865 .61838 L
.06819 .61355 L
.06776 .60872 L
.06755 .60628 L
.06737 .60388 L
.06702 .59905 L
.06668 .59422 L
.06637 .58939 L
.06607 .58456 L
.0658 .57973 L
.06553 .57489 L
.06529 .57006 L
.06506 .56523 L
.06485 .5604 L
.06466 .55557 L
.06448 .55073 L
.06432 .5459 L
.06417 .54107 L
.06405 .53624 L
.06393 .53141 L
.06384 .52658 L
.06376 .52174 L
.0637 .51691 L
.06365 .51208 L
.06362 .50725 L
.0636 .50242 L
.0636 .49758 L
.06362 .49275 L
.06365 .48792 L
.0637 .48309 L
.06376 .47826 L
.06384 .47342 L
.06393 .46859 L
.06405 .46376 L
.06417 .45893 L
.06432 .4541 L
.06448 .44927 L
.06466 .44443 L
.06485 .4396 L
.06506 .43477 L
.06529 .42994 L
.06553 .42511 L
.0658 .42027 L
.06607 .41544 L
.06637 .41061 L
.06668 .40578 L
.06702 .40095 L
.06737 .39612 L
.06755 .39372 L
.06776 .39128 L
.06819 .38645 L
.06865 .38162 L
.06914 .37679 L
.06966 .37196 L
.07022 .36712 L
.07081 .36229 L
.07144 .35746 L
.07211 .35263 L
.07238 .35077 L
.07284 .3478 L
.07363 .34296 L
.07451 .33813 L
.07548 .3333 L
.07658 .32847 L
.07721 .32597 L
.07768 .32364 L
.07893 .31881 L
.0809 .31397 L
.08204 .31198 L
.08377 .30914 L
F
1 .787 .001 r
.08688 .30777 m
.09095 .30914 L
.09171 .30998 L
.09407 .31397 L
.09604 .31881 L
.09654 .32025 L
.09764 .32364 L
.09895 .32847 L
.10005 .3333 L
.10101 .33813 L
.10137 .34013 L
.10189 .34296 L
.1027 .3478 L
.10345 .35263 L
.10415 .35746 L
.1048 .36229 L
.1054 .36712 L
.10596 .37196 L
.1062 .3741 L
.10648 .37679 L
.10695 .38162 L
.1074 .38645 L
.10782 .39128 L
.10822 .39612 L
.10859 .40095 L
.10895 .40578 L
.10928 .41061 L
.1096 .41544 L
.10989 .42027 L
.11016 .42511 L
.11042 .42994 L
.11065 .43477 L
.11087 .4396 L
.11104 .44354 L
.11107 .44443 L
.11122 .44927 L
.11136 .4541 L
.11149 .45893 L
.11161 .46376 L
.11171 .46859 L
.11179 .47342 L
.11186 .47826 L
.11192 .48309 L
.11196 .48792 L
.11199 .49275 L
.11201 .49758 L
.11201 .50242 L
.11199 .50725 L
.11196 .51208 L
.11192 .51691 L
.11186 .52174 L
.11179 .52658 L
.11171 .53141 L
.11161 .53624 L
.11149 .54107 L
.11136 .5459 L
.11122 .55073 L
.11107 .55557 L
.11104 .55646 L
.11087 .5604 L
.11065 .56523 L
.11042 .57006 L
.11016 .57489 L
.10989 .57973 L
.1096 .58456 L
.10928 .58939 L
.10895 .59422 L
.10859 .59905 L
.10822 .60388 L
.10782 .60872 L
.1074 .61355 L
.10695 .61838 L
.10648 .62321 L
.1062 .6259 L
.10596 .62804 L
.1054 .63288 L
.1048 .63771 L
.10415 .64254 L
.10345 .64737 L
.1027 .6522 L
.10189 .65704 L
.10137 .65987 L
.10101 .66187 L
.10005 .6667 L
.09895 .67153 L
.09764 .67636 L
.09654 .67975 L
.09604 .68119 L
.09407 .68603 L
.09171 .69002 L
.09095 .69086 L
.08688 .69223 L
.0849 .69086 L
.08204 .68666 L
.08165 .68603 L
.07941 .68119 L
.07801 .67636 L
.07721 .67256 L
.07695 .67153 L
.07581 .6667 L
.07481 .66187 L
.07392 .65704 L
.0731 .6522 L
.07238 .64751 L
.07236 .64737 L
.07168 .64254 L
.07104 .63771 L
.07045 .63288 L
.06989 .62804 L
.06936 .62321 L
.06887 .61838 L
.0684 .61355 L
.06796 .60872 L
.06755 .60388 L
.06755 .60385 L
.0672 .59905 L
.06687 .59422 L
.06655 .58939 L
.06625 .58456 L
.06597 .57973 L
.06571 .57489 L
.06547 .57006 L
.06524 .56523 L
.06503 .5604 L
.06483 .55557 L
.06465 .55073 L
.06449 .5459 L
.06435 .54107 L
.06422 .53624 L
.06411 .53141 L
.06401 .52658 L
.06393 .52174 L
.06387 .51691 L
.06382 .51208 L
.06379 .50725 L
.06377 .50242 L
.06377 .49758 L
.06379 .49275 L
.06382 .48792 L
.06387 .48309 L
.06393 .47826 L
.06401 .47342 L
.06411 .46859 L
.06422 .46376 L
.06435 .45893 L
.06449 .4541 L
.06465 .44927 L
.06483 .44443 L
.06503 .4396 L
.06524 .43477 L
.06547 .42994 L
.06571 .42511 L
.06597 .42027 L
.06625 .41544 L
.06655 .41061 L
.06687 .40578 L
.0672 .40095 L
.06755 .39615 L
.06755 .39612 L
.06796 .39128 L
.0684 .38645 L
.06887 .38162 L
.06936 .37679 L
.06989 .37196 L
.07045 .36712 L
.07104 .36229 L
.07168 .35746 L
.07236 .35263 L
.07238 .35249 L
.0731 .3478 L
.07392 .34296 L
.07481 .33813 L
.07581 .3333 L
.07695 .32847 L
.07721 .32744 L
.07801 .32364 L
.07941 .31881 L
.08165 .31397 L
.08204 .31334 L
.0849 .30914 L
F
1 .782 .001 r
.08688 .30907 m
.08898 .30914 L
.09171 .31129 L
.0934 .31397 L
.09554 .31881 L
.09654 .32164 L
.0972 .32364 L
.09859 .32847 L
.09973 .3333 L
.10072 .33813 L
.10137 .3417 L
.1016 .34296 L
.10244 .3478 L
.1032 .35263 L
.1039 .35746 L
.10456 .36229 L
.10517 .36712 L
.10574 .37196 L
.1062 .3761 L
.10627 .37679 L
.10675 .38162 L
.1072 .38645 L
.10762 .39128 L
.10802 .39612 L
.1084 .40095 L
.10876 .40578 L
.10909 .41061 L
.10941 .41544 L
.1097 .42027 L
.10998 .42511 L
.11024 .42994 L
.11047 .43477 L
.11069 .4396 L
.11089 .44443 L
.11104 .44815 L
.11107 .44927 L
.11121 .4541 L
.11134 .45893 L
.11145 .46376 L
.11155 .46859 L
.11164 .47342 L
.11171 .47826 L
.11177 .48309 L
.11181 .48792 L
.11184 .49275 L
.11185 .49758 L
.11185 .50242 L
.11184 .50725 L
.11181 .51208 L
.11177 .51691 L
.11171 .52174 L
.11164 .52658 L
.11155 .53141 L
.11145 .53624 L
.11134 .54107 L
.11121 .5459 L
.11107 .55073 L
.11104 .55185 L
.11089 .55557 L
.11069 .5604 L
.11047 .56523 L
.11024 .57006 L
.10998 .57489 L
.1097 .57973 L
.10941 .58456 L
.10909 .58939 L
.10876 .59422 L
.1084 .59905 L
.10802 .60388 L
.10762 .60872 L
.1072 .61355 L
.10675 .61838 L
.10627 .62321 L
.1062 .6239 L
.10574 .62804 L
.10517 .63288 L
.10456 .63771 L
.1039 .64254 L
.1032 .64737 L
.10244 .6522 L
.1016 .65704 L
.10137 .6583 L
.10072 .66187 L
.09973 .6667 L
.09859 .67153 L
.0972 .67636 L
.09654 .67836 L
.09554 .68119 L
.0934 .68603 L
.09171 .68871 L
.08898 .69086 L
.08688 .69093 L
.0867 .69086 L
.08242 .68603 L
.08204 .68532 L
.07994 .68119 L
.07836 .67636 L
.07729 .67153 L
.07721 .67111 L
.07614 .6667 L
.07511 .66187 L
.0742 .65704 L
.07337 .6522 L
.07261 .64737 L
.07238 .64581 L
.07192 .64254 L
.07127 .63771 L
.07067 .63288 L
.07011 .62804 L
.06958 .62321 L
.06908 .61838 L
.06861 .61355 L
.06817 .60872 L
.06775 .60388 L
.06755 .60142 L
.06738 .59905 L
.06704 .59422 L
.06673 .58939 L
.06643 .58456 L
.06615 .57973 L
.06589 .57489 L
.06564 .57006 L
.06541 .56523 L
.0652 .5604 L
.06501 .55557 L
.06483 .55073 L
.06467 .5459 L
.06452 .54107 L
.06439 .53624 L
.06428 .53141 L
.06418 .52658 L
.0641 .52174 L
.06404 .51691 L
.06399 .51208 L
.06396 .50725 L
.06394 .50242 L
.06394 .49758 L
.06396 .49275 L
.06399 .48792 L
.06404 .48309 L
.0641 .47826 L
.06418 .47342 L
.06428 .46859 L
.06439 .46376 L
.06452 .45893 L
.06467 .4541 L
.06483 .44927 L
.06501 .44443 L
.0652 .4396 L
.06541 .43477 L
.06564 .42994 L
.06589 .42511 L
.06615 .42027 L
.06643 .41544 L
.06673 .41061 L
.06704 .40578 L
.06738 .40095 L
.06755 .39858 L
.06775 .39612 L
.06817 .39128 L
.06861 .38645 L
.06908 .38162 L
.06958 .37679 L
.07011 .37196 L
.07067 .36712 L
.07127 .36229 L
.07192 .35746 L
.07238 .35419 L
.07261 .35263 L
.07337 .3478 L
.0742 .34296 L
.07511 .33813 L
.07614 .3333 L
.07721 .32889 L
.07729 .32847 L
.07836 .32364 L
.07994 .31881 L
.08204 .31468 L
.08242 .31397 L
.0867 .30914 L
F
1 .778 .001 r
.08688 .31035 m
.09171 .31259 L
.09265 .31397 L
.09501 .31881 L
.09654 .32302 L
.09675 .32364 L
.09821 .32847 L
.09941 .3333 L
.10043 .33813 L
.10132 .34296 L
.10137 .34325 L
.10217 .3478 L
.10295 .35263 L
.10366 .35746 L
.10433 .36229 L
.10495 .36712 L
.10552 .37196 L
.10606 .37679 L
.1062 .37809 L
.10655 .38162 L
.107 .38645 L
.10743 .39128 L
.10783 .39612 L
.10821 .40095 L
.10857 .40578 L
.10891 .41061 L
.10923 .41544 L
.10952 .42027 L
.1098 .42511 L
.11006 .42994 L
.1103 .43477 L
.11052 .4396 L
.11072 .44443 L
.1109 .44927 L
.11104 .45309 L
.11106 .4541 L
.11119 .45893 L
.11131 .46376 L
.1114 .46859 L
.11149 .47342 L
.11156 .47826 L
.11162 .48309 L
.11166 .48792 L
.11169 .49275 L
.1117 .49758 L
.1117 .50242 L
.11169 .50725 L
.11166 .51208 L
.11162 .51691 L
.11156 .52174 L
.11149 .52658 L
.1114 .53141 L
.11131 .53624 L
.11119 .54107 L
.11106 .5459 L
.11104 .54691 L
.1109 .55073 L
.11072 .55557 L
.11052 .5604 L
.1103 .56523 L
.11006 .57006 L
.1098 .57489 L
.10952 .57973 L
.10923 .58456 L
.10891 .58939 L
.10857 .59422 L
.10821 .59905 L
.10783 .60388 L
.10743 .60872 L
.107 .61355 L
.10655 .61838 L
.1062 .62191 L
.10606 .62321 L
.10552 .62804 L
.10495 .63288 L
.10433 .63771 L
.10366 .64254 L
.10295 .64737 L
.10217 .6522 L
.10137 .65675 L
.10132 .65704 L
.10043 .66187 L
.09941 .6667 L
.09821 .67153 L
.09675 .67636 L
.09654 .67698 L
.09501 .68119 L
.09265 .68603 L
.09171 .68741 L
.08688 .68965 L
.08319 .68603 L
.08204 .684 L
.08053 .68119 L
.07874 .67636 L
.07757 .67153 L
.07721 .66968 L
.07648 .6667 L
.07542 .66187 L
.07448 .65704 L
.07364 .6522 L
.07286 .64737 L
.07238 .64412 L
.07216 .64254 L
.0715 .63771 L
.07089 .63288 L
.07032 .62804 L
.06979 .62321 L
.06928 .61838 L
.06881 .61355 L
.06837 .60872 L
.06795 .60388 L
.06755 .59905 L
.06755 .59898 L
.06722 .59422 L
.0669 .58939 L
.0666 .58456 L
.06632 .57973 L
.06606 .57489 L
.06581 .57006 L
.06558 .56523 L
.06537 .5604 L
.06518 .55557 L
.065 .55073 L
.06484 .5459 L
.06469 .54107 L
.06456 .53624 L
.06445 .53141 L
.06435 .52658 L
.06427 .52174 L
.06421 .51691 L
.06416 .51208 L
.06413 .50725 L
.06411 .50242 L
.06411 .49758 L
.06413 .49275 L
.06416 .48792 L
.06421 .48309 L
.06427 .47826 L
.06435 .47342 L
.06445 .46859 L
.06456 .46376 L
.06469 .45893 L
.06484 .4541 L
.065 .44927 L
.06518 .44443 L
.06537 .4396 L
.06558 .43477 L
.06581 .42994 L
.06606 .42511 L
.06632 .42027 L
.0666 .41544 L
.0669 .41061 L
.06722 .40578 L
.06755 .40102 L
.06755 .40095 L
.06795 .39612 L
.06837 .39128 L
.06881 .38645 L
.06928 .38162 L
.06979 .37679 L
.07032 .37196 L
.07089 .36712 L
.0715 .36229 L
.07216 .35746 L
.07238 .35588 L
.07286 .35263 L
.07364 .3478 L
.07448 .34296 L
.07542 .33813 L
.07648 .3333 L
.07721 .33032 L
.07757 .32847 L
.07874 .32364 L
.08053 .31881 L
.08204 .316 L
.08319 .31397 L
F
1 .773 .001 r
.08688 .31162 m
.09171 .31387 L
.09178 .31397 L
.09446 .31881 L
.0963 .32364 L
.09654 .32437 L
.09782 .32847 L
.09907 .3333 L
.10013 .33813 L
.10105 .34296 L
.10137 .34479 L
.1019 .3478 L
.10269 .35263 L
.10342 .35746 L
.10409 .36229 L
.10472 .36712 L
.10531 .37196 L
.10585 .37679 L
.1062 .38007 L
.10636 .38162 L
.10681 .38645 L
.10724 .39128 L
.10765 .39612 L
.10803 .40095 L
.10839 .40578 L
.10873 .41061 L
.10905 .41544 L
.10934 .42027 L
.10962 .42511 L
.10988 .42994 L
.11012 .43477 L
.11034 .4396 L
.11055 .44443 L
.11073 .44927 L
.1109 .4541 L
.11104 .45851 L
.11105 .45893 L
.11116 .46376 L
.11126 .46859 L
.11134 .47342 L
.11142 .47826 L
.11147 .48309 L
.11151 .48792 L
.11154 .49275 L
.11156 .49758 L
.11156 .50242 L
.11154 .50725 L
.11151 .51208 L
.11147 .51691 L
.11142 .52174 L
.11134 .52658 L
.11126 .53141 L
.11116 .53624 L
.11105 .54107 L
.11104 .54149 L
.1109 .5459 L
.11073 .55073 L
.11055 .55557 L
.11034 .5604 L
.11012 .56523 L
.10988 .57006 L
.10962 .57489 L
.10934 .57973 L
.10905 .58456 L
.10873 .58939 L
.10839 .59422 L
.10803 .59905 L
.10765 .60388 L
.10724 .60872 L
.10681 .61355 L
.10636 .61838 L
.1062 .61993 L
.10585 .62321 L
.10531 .62804 L
.10472 .63288 L
.10409 .63771 L
.10342 .64254 L
.10269 .64737 L
.1019 .6522 L
.10137 .65521 L
.10105 .65704 L
.10013 .66187 L
.09907 .6667 L
.09782 .67153 L
.09654 .67563 L
.0963 .67636 L
.09446 .68119 L
.09178 .68603 L
.09171 .68613 L
.08688 .68838 L
.08408 .68603 L
.08204 .68269 L
.08118 .68119 L
.07916 .67636 L
.07786 .67153 L
.07721 .66826 L
.07682 .6667 L
.07573 .66187 L
.07477 .65704 L
.0739 .6522 L
.07311 .64737 L
.07239 .64254 L
.07238 .64245 L
.07173 .63771 L
.07112 .63288 L
.07054 .62804 L
.07 .62321 L
.06949 .61838 L
.06901 .61355 L
.06856 .60872 L
.06814 .60388 L
.06775 .59905 L
.06755 .59653 L
.06739 .59422 L
.06707 .58939 L
.06677 .58456 L
.06649 .57973 L
.06623 .57489 L
.06598 .57006 L
.06575 .56523 L
.06554 .5604 L
.06534 .55557 L
.06516 .55073 L
.065 .5459 L
.06486 .54107 L
.06473 .53624 L
.06461 .53141 L
.06452 .52658 L
.06444 .52174 L
.06437 .51691 L
.06432 .51208 L
.06429 .50725 L
.06427 .50242 L
.06427 .49758 L
.06429 .49275 L
.06432 .48792 L
.06437 .48309 L
.06444 .47826 L
.06452 .47342 L
.06461 .46859 L
.06473 .46376 L
.06486 .45893 L
.065 .4541 L
.06516 .44927 L
.06534 .44443 L
.06554 .4396 L
.06575 .43477 L
.06598 .42994 L
.06623 .42511 L
.06649 .42027 L
.06677 .41544 L
.06707 .41061 L
.06739 .40578 L
.06755 .40347 L
.06775 .40095 L
.06814 .39612 L
.06856 .39128 L
.06901 .38645 L
.06949 .38162 L
.07 .37679 L
.07054 .37196 L
.07112 .36712 L
.07173 .36229 L
.07238 .35755 L
.07239 .35746 L
.07311 .35263 L
.0739 .3478 L
.07477 .34296 L
.07573 .33813 L
.07682 .3333 L
.07721 .33174 L
.07786 .32847 L
.07916 .32364 L
.08118 .31881 L
.08204 .31731 L
.08408 .31397 L
F
1 .769 .001 r
.08688 .31287 m
.09062 .31397 L
.09171 .31514 L
.09386 .31881 L
.09584 .32364 L
.09654 .32572 L
.09742 .32847 L
.09873 .3333 L
.09983 .33813 L
.10078 .34296 L
.10137 .34631 L
.10164 .3478 L
.10244 .35263 L
.10318 .35746 L
.10386 .36229 L
.1045 .36712 L
.10509 .37196 L
.10564 .37679 L
.10616 .38162 L
.1062 .38204 L
.10662 .38645 L
.10705 .39128 L
.10746 .39612 L
.10785 .40095 L
.10821 .40578 L
.10855 .41061 L
.10887 .41544 L
.10917 .42027 L
.10945 .42511 L
.10971 .42994 L
.10995 .43477 L
.11017 .4396 L
.11038 .44443 L
.11056 .44927 L
.11073 .4541 L
.11088 .45893 L
.11101 .46376 L
.11104 .46462 L
.11112 .46859 L
.1112 .47342 L
.11127 .47826 L
.11133 .48309 L
.11137 .48792 L
.1114 .49275 L
.11141 .49758 L
.11141 .50242 L
.1114 .50725 L
.11137 .51208 L
.11133 .51691 L
.11127 .52174 L
.1112 .52658 L
.11112 .53141 L
.11104 .53538 L
.11101 .53624 L
.11088 .54107 L
.11073 .5459 L
.11056 .55073 L
.11038 .55557 L
.11017 .5604 L
.10995 .56523 L
.10971 .57006 L
.10945 .57489 L
.10917 .57973 L
.10887 .58456 L
.10855 .58939 L
.10821 .59422 L
.10785 .59905 L
.10746 .60388 L
.10705 .60872 L
.10662 .61355 L
.1062 .61796 L
.10616 .61838 L
.10564 .62321 L
.10509 .62804 L
.1045 .63288 L
.10386 .63771 L
.10318 .64254 L
.10244 .64737 L
.10164 .6522 L
.10137 .65369 L
.10078 .65704 L
.09983 .66187 L
.09873 .6667 L
.09742 .67153 L
.09654 .67428 L
.09584 .67636 L
.09386 .68119 L
.09171 .68486 L
.09062 .68603 L
.08688 .68713 L
.08521 .68603 L
.08204 .6814 L
.08192 .68119 L
.07962 .67636 L
.07818 .67153 L
.07721 .66686 L
.07717 .6667 L
.07604 .66187 L
.07505 .65704 L
.07417 .6522 L
.07336 .64737 L
.07263 .64254 L
.07238 .64079 L
.07196 .63771 L
.07133 .63288 L
.07075 .62804 L
.07021 .62321 L
.06969 .61838 L
.06921 .61355 L
.06876 .60872 L
.06833 .60388 L
.06793 .59905 L
.06756 .59422 L
.06755 .59407 L
.06724 .58939 L
.06694 .58456 L
.06666 .57973 L
.06639 .57489 L
.06615 .57006 L
.06592 .56523 L
.0657 .5604 L
.06551 .55557 L
.06533 .55073 L
.06516 .5459 L
.06502 .54107 L
.06489 .53624 L
.06478 .53141 L
.06468 .52658 L
.0646 .52174 L
.06453 .51691 L
.06448 .51208 L
.06445 .50725 L
.06444 .50242 L
.06444 .49758 L
.06445 .49275 L
.06448 .48792 L
.06453 .48309 L
.0646 .47826 L
.06468 .47342 L
.06478 .46859 L
.06489 .46376 L
.06502 .45893 L
.06516 .4541 L
.06533 .44927 L
.06551 .44443 L
.0657 .4396 L
.06592 .43477 L
.06615 .42994 L
.06639 .42511 L
.06666 .42027 L
.06694 .41544 L
.06724 .41061 L
.06755 .40593 L
.06756 .40578 L
.06793 .40095 L
.06833 .39612 L
.06876 .39128 L
.06921 .38645 L
.06969 .38162 L
.07021 .37679 L
.07075 .37196 L
.07133 .36712 L
.07196 .36229 L
.07238 .35921 L
.07263 .35746 L
.07336 .35263 L
.07417 .3478 L
.07505 .34296 L
.07604 .33813 L
.07717 .3333 L
.07721 .33314 L
.07818 .32847 L
.07962 .32364 L
.08192 .31881 L
.08204 .3186 L
.08521 .31397 L
F
1 .764 .001 r
.08688 .3141 m
.09171 .31639 L
.09322 .31881 L
.09536 .32364 L
.09654 .32704 L
.09701 .32847 L
.09839 .3333 L
.09953 .33813 L
.10051 .34296 L
.10137 .3478 L
.10137 .34781 L
.10219 .35263 L
.10294 .35746 L
.10363 .36229 L
.10428 .36712 L
.10488 .37196 L
.10544 .37679 L
.10596 .38162 L
.1062 .38401 L
.10643 .38645 L
.10687 .39128 L
.10728 .39612 L
.10767 .40095 L
.10803 .40578 L
.10837 .41061 L
.10869 .41544 L
.10899 .42027 L
.10928 .42511 L
.10954 .42994 L
.10978 .43477 L
.11 .4396 L
.11021 .44443 L
.1104 .44927 L
.11057 .4541 L
.11072 .45893 L
.11085 .46376 L
.11097 .46859 L
.11104 .47186 L
.11106 .47342 L
.11113 .47826 L
.11119 .48309 L
.11123 .48792 L
.11126 .49275 L
.11127 .49758 L
.11127 .50242 L
.11126 .50725 L
.11123 .51208 L
.11119 .51691 L
.11113 .52174 L
.11106 .52658 L
.11104 .52814 L
.11097 .53141 L
.11085 .53624 L
.11072 .54107 L
.11057 .5459 L
.1104 .55073 L
.11021 .55557 L
.11 .5604 L
.10978 .56523 L
.10954 .57006 L
.10928 .57489 L
.10899 .57973 L
.10869 .58456 L
.10837 .58939 L
.10803 .59422 L
.10767 .59905 L
.10728 .60388 L
.10687 .60872 L
.10643 .61355 L
.1062 .61599 L
.10596 .61838 L
.10544 .62321 L
.10488 .62804 L
.10428 .63288 L
.10363 .63771 L
.10294 .64254 L
.10219 .64737 L
.10137 .65219 L
.10137 .6522 L
.10051 .65704 L
.09953 .66187 L
.09839 .6667 L
.09701 .67153 L
.09654 .67296 L
.09536 .67636 L
.09322 .68119 L
.09171 .68361 L
.08688 .6859 L
.0826 .68119 L
.08204 .68013 L
.08013 .67636 L
.07852 .67153 L
.07744 .6667 L
.07721 .66548 L
.07636 .66187 L
.07534 .65704 L
.07443 .6522 L
.07361 .64737 L
.07287 .64254 L
.07238 .63915 L
.07218 .63771 L
.07155 .63288 L
.07096 .62804 L
.07041 .62321 L
.06989 .61838 L
.06941 .61355 L
.06895 .60872 L
.06852 .60388 L
.06812 .59905 L
.06774 .59422 L
.06755 .59159 L
.06741 .58939 L
.0671 .58456 L
.06682 .57973 L
.06656 .57489 L
.06631 .57006 L
.06608 .56523 L
.06586 .5604 L
.06567 .55557 L
.06549 .55073 L
.06533 .5459 L
.06518 .54107 L
.06505 .53624 L
.06494 .53141 L
.06484 .52658 L
.06476 .52174 L
.06469 .51691 L
.06464 .51208 L
.06461 .50725 L
.0646 .50242 L
.0646 .49758 L
.06461 .49275 L
.06464 .48792 L
.06469 .48309 L
.06476 .47826 L
.06484 .47342 L
.06494 .46859 L
.06505 .46376 L
.06518 .45893 L
.06533 .4541 L
.06549 .44927 L
.06567 .44443 L
.06586 .4396 L
.06608 .43477 L
.06631 .42994 L
.06656 .42511 L
.06682 .42027 L
.0671 .41544 L
.06741 .41061 L
.06755 .40841 L
.06774 .40578 L
.06812 .40095 L
.06852 .39612 L
.06895 .39128 L
.06941 .38645 L
.06989 .38162 L
.07041 .37679 L
.07096 .37196 L
.07155 .36712 L
.07218 .36229 L
.07238 .36085 L
.07287 .35746 L
.07361 .35263 L
.07443 .3478 L
.07534 .34296 L
.07636 .33813 L
.07721 .33452 L
.07744 .3333 L
.07852 .32847 L
.08013 .32364 L
.08204 .31987 L
.0826 .31881 L
F
1 .76 .001 r
.08688 .31532 m
.09171 .31762 L
.0925 .31881 L
.09486 .32364 L
.09654 .32835 L
.09658 .32847 L
.09803 .3333 L
.09922 .33813 L
.10023 .34296 L
.10112 .3478 L
.10137 .3493 L
.10194 .35263 L
.1027 .35746 L
.10341 .36229 L
.10406 .36712 L
.10466 .37196 L
.10523 .37679 L
.10576 .38162 L
.1062 .38597 L
.10625 .38645 L
.10669 .39128 L
.1071 .39612 L
.10749 .40095 L
.10785 .40578 L
.1082 .41061 L
.10852 .41544 L
.10882 .42027 L
.10911 .42511 L
.10937 .42994 L
.10961 .43477 L
.10984 .4396 L
.11004 .44443 L
.11023 .44927 L
.1104 .4541 L
.11055 .45893 L
.11069 .46376 L
.11081 .46859 L
.11091 .47342 L
.11099 .47826 L
.11104 .48155 L
.11105 .48309 L
.11109 .48792 L
.11112 .49275 L
.11114 .49758 L
.11114 .50242 L
.11112 .50725 L
.11109 .51208 L
.11105 .51691 L
.11104 .51845 L
.11099 .52174 L
.11091 .52658 L
.11081 .53141 L
.11069 .53624 L
.11055 .54107 L
.1104 .5459 L
.11023 .55073 L
.11004 .55557 L
.10984 .5604 L
.10961 .56523 L
.10937 .57006 L
.10911 .57489 L
.10882 .57973 L
.10852 .58456 L
.1082 .58939 L
.10785 .59422 L
.10749 .59905 L
.1071 .60388 L
.10669 .60872 L
.10625 .61355 L
.1062 .61403 L
.10576 .61838 L
.10523 .62321 L
.10466 .62804 L
.10406 .63288 L
.10341 .63771 L
.1027 .64254 L
.10194 .64737 L
.10137 .6507 L
.10112 .6522 L
.10023 .65704 L
.09922 .66187 L
.09803 .6667 L
.09658 .67153 L
.09654 .67165 L
.09486 .67636 L
.0925 .68119 L
.09171 .68238 L
.08688 .68468 L
.08333 .68119 L
.08204 .67887 L
.0807 .67636 L
.07889 .67153 L
.07771 .6667 L
.07721 .6641 L
.07668 .66187 L
.07563 .65704 L
.0747 .6522 L
.07386 .64737 L
.0731 .64254 L
.07241 .63771 L
.07238 .63752 L
.07177 .63288 L
.07117 .62804 L
.07061 .62321 L
.07009 .61838 L
.0696 .61355 L
.06914 .60872 L
.06871 .60388 L
.0683 .59905 L
.06793 .59422 L
.06757 .58939 L
.06755 .58909 L
.06727 .58456 L
.06698 .57973 L
.06672 .57489 L
.06647 .57006 L
.06624 .56523 L
.06602 .5604 L
.06583 .55557 L
.06565 .55073 L
.06548 .5459 L
.06534 .54107 L
.06521 .53624 L
.06509 .53141 L
.06499 .52658 L
.06491 .52174 L
.06485 .51691 L
.0648 .51208 L
.06477 .50725 L
.06475 .50242 L
.06475 .49758 L
.06477 .49275 L
.0648 .48792 L
.06485 .48309 L
.06491 .47826 L
.06499 .47342 L
.06509 .46859 L
.06521 .46376 L
.06534 .45893 L
.06548 .4541 L
.06565 .44927 L
.06583 .44443 L
.06602 .4396 L
.06624 .43477 L
.06647 .42994 L
.06672 .42511 L
.06698 .42027 L
.06727 .41544 L
.06755 .41091 L
.06757 .41061 L
.06793 .40578 L
.0683 .40095 L
.06871 .39612 L
.06914 .39128 L
.0696 .38645 L
.07009 .38162 L
.07061 .37679 L
.07117 .37196 L
.07177 .36712 L
.07238 .36248 L
.07241 .36229 L
.0731 .35746 L
.07386 .35263 L
.0747 .3478 L
.07563 .34296 L
.07668 .33813 L
.07721 .3359 L
.07771 .3333 L
.07889 .32847 L
.0807 .32364 L
.08204 .32113 L
.08333 .31881 L
F
1 .756 .001 r
.08688 .31653 m
.09168 .31881 L
.09171 .31884 L
.09434 .32364 L
.09616 .32847 L
.09654 .32965 L
.09766 .3333 L
.0989 .33813 L
.09995 .34296 L
.10086 .3478 L
.10137 .35078 L
.10169 .35263 L
.10247 .35746 L
.10318 .36229 L
.10384 .36712 L
.10445 .37196 L
.10502 .37679 L
.10556 .38162 L
.10606 .38645 L
.1062 .38794 L
.10651 .39128 L
.10692 .39612 L
.10731 .40095 L
.10768 .40578 L
.10803 .41061 L
.10835 .41544 L
.10865 .42027 L
.10894 .42511 L
.1092 .42994 L
.10945 .43477 L
.10967 .4396 L
.10988 .44443 L
.11007 .44927 L
.11024 .4541 L
.11039 .45893 L
.11053 .46376 L
.11065 .46859 L
.11075 .47342 L
.11083 .47826 L
.1109 .48309 L
.11095 .48792 L
.11098 .49275 L
.111 .49758 L
.111 .50242 L
.11098 .50725 L
.11095 .51208 L
.1109 .51691 L
.11083 .52174 L
.11075 .52658 L
.11065 .53141 L
.11053 .53624 L
.11039 .54107 L
.11024 .5459 L
.11007 .55073 L
.10988 .55557 L
.10967 .5604 L
.10945 .56523 L
.1092 .57006 L
.10894 .57489 L
.10865 .57973 L
.10835 .58456 L
.10803 .58939 L
.10768 .59422 L
.10731 .59905 L
.10692 .60388 L
.10651 .60872 L
.1062 .61206 L
.10606 .61355 L
.10556 .61838 L
.10502 .62321 L
.10445 .62804 L
.10384 .63288 L
.10318 .63771 L
.10247 .64254 L
.10169 .64737 L
.10137 .64922 L
.10086 .6522 L
.09995 .65704 L
.0989 .66187 L
.09766 .6667 L
.09654 .67035 L
.09616 .67153 L
.09434 .67636 L
.09171 .68116 L
.09168 .68119 L
.08688 .68347 L
.08419 .68119 L
.08204 .67763 L
.08133 .67636 L
.07929 .67153 L
.07799 .6667 L
.07721 .66275 L
.077 .66187 L
.07592 .65704 L
.07497 .6522 L
.07411 .64737 L
.07334 .64254 L
.07263 .63771 L
.07238 .6359 L
.07198 .63288 L
.07138 .62804 L
.07082 .62321 L
.07029 .61838 L
.06979 .61355 L
.06933 .60872 L
.0689 .60388 L
.06849 .59905 L
.0681 .59422 L
.06775 .58939 L
.06755 .58657 L
.06743 .58456 L
.06714 .57973 L
.06687 .57489 L
.06663 .57006 L
.06639 .56523 L
.06618 .5604 L
.06598 .55557 L
.0658 .55073 L
.06564 .5459 L
.06549 .54107 L
.06536 .53624 L
.06525 .53141 L
.06515 .52658 L
.06507 .52174 L
.065 .51691 L
.06495 .51208 L
.06492 .50725 L
.06491 .50242 L
.06491 .49758 L
.06492 .49275 L
.06495 .48792 L
.065 .48309 L
.06507 .47826 L
.06515 .47342 L
.06525 .46859 L
.06536 .46376 L
.06549 .45893 L
.06564 .4541 L
.0658 .44927 L
.06598 .44443 L
.06618 .4396 L
.06639 .43477 L
.06663 .42994 L
.06687 .42511 L
.06714 .42027 L
.06743 .41544 L
.06755 .41343 L
.06775 .41061 L
.0681 .40578 L
.06849 .40095 L
.0689 .39612 L
.06933 .39128 L
.06979 .38645 L
.07029 .38162 L
.07082 .37679 L
.07138 .37196 L
.07198 .36712 L
.07238 .3641 L
.07263 .36229 L
.07334 .35746 L
.07411 .35263 L
.07497 .3478 L
.07592 .34296 L
.077 .33813 L
.07721 .33725 L
.07799 .3333 L
.07929 .32847 L
.08133 .32364 L
.08204 .32237 L
.08419 .31881 L
F
1 .751 0 r
.08688 .31772 m
.09057 .31881 L
.09171 .32005 L
.09378 .32364 L
.09573 .32847 L
.09654 .33093 L
.09728 .3333 L
.09858 .33813 L
.09967 .34296 L
.1006 .3478 L
.10137 .35225 L
.10144 .35263 L
.10223 .35746 L
.10295 .36229 L
.10362 .36712 L
.10424 .37196 L
.10482 .37679 L
.10536 .38162 L
.10587 .38645 L
.1062 .38989 L
.10633 .39128 L
.10675 .39612 L
.10714 .40095 L
.10751 .40578 L
.10786 .41061 L
.10818 .41544 L
.10849 .42027 L
.10877 .42511 L
.10904 .42994 L
.10928 .43477 L
.10951 .4396 L
.10972 .44443 L
.10991 .44927 L
.11008 .4541 L
.11024 .45893 L
.11037 .46376 L
.11049 .46859 L
.11059 .47342 L
.11067 .47826 L
.11074 .48309 L
.11079 .48792 L
.11083 .49275 L
.11084 .49758 L
.11084 .50242 L
.11083 .50725 L
.11079 .51208 L
.11074 .51691 L
.11067 .52174 L
.11059 .52658 L
.11049 .53141 L
.11037 .53624 L
.11024 .54107 L
.11008 .5459 L
.10991 .55073 L
.10972 .55557 L
.10951 .5604 L
.10928 .56523 L
.10904 .57006 L
.10877 .57489 L
.10849 .57973 L
.10818 .58456 L
.10786 .58939 L
.10751 .59422 L
.10714 .59905 L
.10675 .60388 L
.10633 .60872 L
.1062 .61011 L
.10587 .61355 L
.10536 .61838 L
.10482 .62321 L
.10424 .62804 L
.10362 .63288 L
.10295 .63771 L
.10223 .64254 L
.10144 .64737 L
.10137 .64775 L
.1006 .6522 L
.09967 .65704 L
.09858 .66187 L
.09728 .6667 L
.09654 .66907 L
.09573 .67153 L
.09378 .67636 L
.09171 .67995 L
.09057 .68119 L
.08688 .68228 L
.08526 .68119 L
.08204 .6764 L
.08202 .67636 L
.07974 .67153 L
.07829 .6667 L
.07729 .66187 L
.07721 .66141 L
.07621 .65704 L
.07523 .6522 L
.07436 .64737 L
.07358 .64254 L
.07286 .63771 L
.07238 .63428 L
.07219 .63288 L
.07158 .62804 L
.07102 .62321 L
.07048 .61838 L
.06999 .61355 L
.06952 .60872 L
.06908 .60388 L
.06867 .59905 L
.06828 .59422 L
.06792 .58939 L
.06759 .58456 L
.06755 .58401 L
.0673 .57973 L
.06703 .57489 L
.06678 .57006 L
.06655 .56523 L
.06633 .5604 L
.06614 .55557 L
.06595 .55073 L
.06579 .5459 L
.06564 .54107 L
.06551 .53624 L
.0654 .53141 L
.0653 .52658 L
.06522 .52174 L
.06515 .51691 L
.06511 .51208 L
.06507 .50725 L
.06506 .50242 L
.06506 .49758 L
.06507 .49275 L
.06511 .48792 L
.06515 .48309 L
.06522 .47826 L
.0653 .47342 L
.0654 .46859 L
.06551 .46376 L
.06564 .45893 L
.06579 .4541 L
.06595 .44927 L
.06614 .44443 L
.06633 .4396 L
.06655 .43477 L
.06678 .42994 L
.06703 .42511 L
.0673 .42027 L
.06755 .41599 L
.06759 .41544 L
.06792 .41061 L
.06828 .40578 L
.06867 .40095 L
.06908 .39612 L
.06952 .39128 L
.06999 .38645 L
.07048 .38162 L
.07102 .37679 L
.07158 .37196 L
.07219 .36712 L
.07238 .36572 L
.07286 .36229 L
.07358 .35746 L
.07436 .35263 L
.07523 .3478 L
.07621 .34296 L
.07721 .33859 L
.07729 .33813 L
.07829 .3333 L
.07974 .32847 L
.08202 .32364 L
.08204 .3236 L
.08526 .31881 L
F
1 .747 0 r
.08688 .31889 m
.09171 .32124 L
.09317 .32364 L
.09528 .32847 L
.09654 .3322 L
.09689 .3333 L
.09825 .33813 L
.09938 .34296 L
.10035 .3478 L
.1012 .35263 L
.10137 .3537 L
.10199 .35746 L
.10273 .36229 L
.10341 .36712 L
.10404 .37196 L
.10462 .37679 L
.10517 .38162 L
.10567 .38645 L
.10615 .39128 L
.1062 .39185 L
.10657 .39612 L
.10697 .40095 L
.10734 .40578 L
.10769 .41061 L
.10802 .41544 L
.10832 .42027 L
.10861 .42511 L
.10888 .42994 L
.10912 .43477 L
.10935 .4396 L
.10956 .44443 L
.10975 .44927 L
.10992 .4541 L
.11008 .45893 L
.11022 .46376 L
.11033 .46859 L
.11044 .47342 L
.11052 .47826 L
.11059 .48309 L
.11064 .48792 L
.11067 .49275 L
.11069 .49758 L
.11069 .50242 L
.11067 .50725 L
.11064 .51208 L
.11059 .51691 L
.11052 .52174 L
.11044 .52658 L
.11033 .53141 L
.11022 .53624 L
.11008 .54107 L
.10992 .5459 L
.10975 .55073 L
.10956 .55557 L
.10935 .5604 L
.10912 .56523 L
.10888 .57006 L
.10861 .57489 L
.10832 .57973 L
.10802 .58456 L
.10769 .58939 L
.10734 .59422 L
.10697 .59905 L
.10657 .60388 L
.1062 .60815 L
.10615 .60872 L
.10567 .61355 L
.10517 .61838 L
.10462 .62321 L
.10404 .62804 L
.10341 .63288 L
.10273 .63771 L
.10199 .64254 L
.10137 .6463 L
.1012 .64737 L
.10035 .6522 L
.09938 .65704 L
.09825 .66187 L
.09689 .6667 L
.09654 .6678 L
.09528 .67153 L
.09317 .67636 L
.09171 .67876 L
.08688 .68111 L
.08265 .67636 L
.08204 .67518 L
.08022 .67153 L
.07862 .6667 L
.07754 .66187 L
.07721 .66008 L
.07651 .65704 L
.0755 .6522 L
.07461 .64737 L
.07381 .64254 L
.07308 .63771 L
.07241 .63288 L
.07238 .63268 L
.07179 .62804 L
.07121 .62321 L
.07068 .61838 L
.07017 .61355 L
.0697 .60872 L
.06926 .60388 L
.06885 .59905 L
.06846 .59422 L
.06809 .58939 L
.06776 .58456 L
.06755 .58143 L
.06745 .57973 L
.06718 .57489 L
.06693 .57006 L
.0667 .56523 L
.06648 .5604 L
.06629 .55557 L
.06611 .55073 L
.06594 .5459 L
.06579 .54107 L
.06566 .53624 L
.06555 .53141 L
.06545 .52658 L
.06537 .52174 L
.0653 .51691 L
.06525 .51208 L
.06522 .50725 L
.06521 .50242 L
.06521 .49758 L
.06522 .49275 L
.06525 .48792 L
.0653 .48309 L
.06537 .47826 L
.06545 .47342 L
.06555 .46859 L
.06566 .46376 L
.06579 .45893 L
.06594 .4541 L
.06611 .44927 L
.06629 .44443 L
.06648 .4396 L
.0667 .43477 L
.06693 .42994 L
.06718 .42511 L
.06745 .42027 L
.06755 .41857 L
.06776 .41544 L
.06809 .41061 L
.06846 .40578 L
.06885 .40095 L
.06926 .39612 L
.0697 .39128 L
.07017 .38645 L
.07068 .38162 L
.07121 .37679 L
.07179 .37196 L
.07238 .36732 L
.07241 .36712 L
.07308 .36229 L
.07381 .35746 L
.07461 .35263 L
.0755 .3478 L
.07651 .34296 L
.07721 .33992 L
.07754 .33813 L
.07862 .3333 L
.08022 .32847 L
.08204 .32482 L
.08265 .32364 L
F
1 .742 0 r
.08688 .32006 m
.09171 .32242 L
.09251 .32364 L
.09481 .32847 L
.09649 .3333 L
.09654 .33346 L
.09792 .33813 L
.09909 .34296 L
.10009 .3478 L
.10096 .35263 L
.10137 .35514 L
.10176 .35746 L
.1025 .36229 L
.10319 .36712 L
.10383 .37196 L
.10442 .37679 L
.10497 .38162 L
.10549 .38645 L
.10597 .39128 L
.1062 .39381 L
.1064 .39612 L
.1068 .40095 L
.10717 .40578 L
.10753 .41061 L
.10785 .41544 L
.10816 .42027 L
.10845 .42511 L
.10872 .42994 L
.10897 .43477 L
.10919 .4396 L
.1094 .44443 L
.1096 .44927 L
.10977 .4541 L
.10992 .45893 L
.11006 .46376 L
.11018 .46859 L
.11028 .47342 L
.11037 .47826 L
.11044 .48309 L
.11049 .48792 L
.11052 .49275 L
.11054 .49758 L
.11054 .50242 L
.11052 .50725 L
.11049 .51208 L
.11044 .51691 L
.11037 .52174 L
.11028 .52658 L
.11018 .53141 L
.11006 .53624 L
.10992 .54107 L
.10977 .5459 L
.1096 .55073 L
.1094 .55557 L
.10919 .5604 L
.10897 .56523 L
.10872 .57006 L
.10845 .57489 L
.10816 .57973 L
.10785 .58456 L
.10753 .58939 L
.10717 .59422 L
.1068 .59905 L
.1064 .60388 L
.1062 .60619 L
.10597 .60872 L
.10549 .61355 L
.10497 .61838 L
.10442 .62321 L
.10383 .62804 L
.10319 .63288 L
.1025 .63771 L
.10176 .64254 L
.10137 .64486 L
.10096 .64737 L
.10009 .6522 L
.09909 .65704 L
.09792 .66187 L
.09654 .66654 L
.09649 .6667 L
.09481 .67153 L
.09251 .67636 L
.09171 .67758 L
.08688 .67994 L
.08333 .67636 L
.08204 .67398 L
.08076 .67153 L
.07897 .6667 L
.07779 .66187 L
.07721 .65876 L
.07681 .65704 L
.07578 .6522 L
.07487 .64737 L
.07405 .64254 L
.0733 .63771 L
.07262 .63288 L
.07238 .63109 L
.07199 .62804 L
.07141 .62321 L
.07087 .61838 L
.07036 .61355 L
.06989 .60872 L
.06944 .60388 L
.06902 .59905 L
.06863 .59422 L
.06827 .58939 L
.06792 .58456 L
.06761 .57973 L
.06755 .57881 L
.06733 .57489 L
.06708 .57006 L
.06685 .56523 L
.06663 .5604 L
.06643 .55557 L
.06625 .55073 L
.06609 .5459 L
.06594 .54107 L
.06581 .53624 L
.0657 .53141 L
.0656 .52658 L
.06552 .52174 L
.06545 .51691 L
.0654 .51208 L
.06537 .50725 L
.06535 .50242 L
.06535 .49758 L
.06537 .49275 L
.0654 .48792 L
.06545 .48309 L
.06552 .47826 L
.0656 .47342 L
.0657 .46859 L
.06581 .46376 L
.06594 .45893 L
.06609 .4541 L
.06625 .44927 L
.06643 .44443 L
.06663 .4396 L
.06685 .43477 L
.06708 .42994 L
.06733 .42511 L
.06755 .42119 L
.06761 .42027 L
.06792 .41544 L
.06827 .41061 L
.06863 .40578 L
.06902 .40095 L
.06944 .39612 L
.06989 .39128 L
.07036 .38645 L
.07087 .38162 L
.07141 .37679 L
.07199 .37196 L
.07238 .36891 L
.07262 .36712 L
.0733 .36229 L
.07405 .35746 L
.07487 .35263 L
.07578 .3478 L
.07681 .34296 L
.07721 .34124 L
.07779 .33813 L
.07897 .3333 L
.08076 .32847 L
.08204 .32602 L
.08333 .32364 L
F
1 .738 0 r
.08688 .32121 m
.09171 .32358 L
.09175 .32364 L
.09432 .32847 L
.0961 .3333 L
.09654 .3347 L
.09757 .33813 L
.09879 .34296 L
.09982 .3478 L
.10072 .35263 L
.10137 .35657 L
.10152 .35746 L
.10228 .36229 L
.10298 .36712 L
.10362 .37196 L
.10422 .37679 L
.10478 .38162 L
.1053 .38645 L
.10578 .39128 L
.1062 .39577 L
.10623 .39612 L
.10663 .40095 L
.10701 .40578 L
.10736 .41061 L
.10769 .41544 L
.108 .42027 L
.10829 .42511 L
.10856 .42994 L
.10881 .43477 L
.10904 .4396 L
.10925 .44443 L
.10944 .44927 L
.10962 .4541 L
.10977 .45893 L
.10991 .46376 L
.11003 .46859 L
.11013 .47342 L
.11022 .47826 L
.11029 .48309 L
.11034 .48792 L
.11037 .49275 L
.11039 .49758 L
.11039 .50242 L
.11037 .50725 L
.11034 .51208 L
.11029 .51691 L
.11022 .52174 L
.11013 .52658 L
.11003 .53141 L
.10991 .53624 L
.10977 .54107 L
.10962 .5459 L
.10944 .55073 L
.10925 .55557 L
.10904 .5604 L
.10881 .56523 L
.10856 .57006 L
.10829 .57489 L
.108 .57973 L
.10769 .58456 L
.10736 .58939 L
.10701 .59422 L
.10663 .59905 L
.10623 .60388 L
.1062 .60423 L
.10578 .60872 L
.1053 .61355 L
.10478 .61838 L
.10422 .62321 L
.10362 .62804 L
.10298 .63288 L
.10228 .63771 L
.10152 .64254 L
.10137 .64343 L
.10072 .64737 L
.09982 .6522 L
.09879 .65704 L
.09757 .66187 L
.09654 .6653 L
.0961 .6667 L
.09432 .67153 L
.09175 .67636 L
.09171 .67642 L
.08688 .67879 L
.08412 .67636 L
.08204 .67279 L
.08135 .67153 L
.07935 .6667 L
.07806 .66187 L
.07721 .65745 L
.07711 .65704 L
.07605 .6522 L
.07512 .64737 L
.07428 .64254 L
.07352 .63771 L
.07283 .63288 L
.07238 .62951 L
.07219 .62804 L
.07161 .62321 L
.07106 .61838 L
.07055 .61355 L
.07007 .60872 L
.06962 .60388 L
.0692 .59905 L
.0688 .59422 L
.06844 .58939 L
.06809 .58456 L
.06777 .57973 L
.06755 .57615 L
.06748 .57489 L
.06723 .57006 L
.067 .56523 L
.06678 .5604 L
.06658 .55557 L
.0664 .55073 L
.06623 .5459 L
.06609 .54107 L
.06595 .53624 L
.06584 .53141 L
.06574 .52658 L
.06566 .52174 L
.06559 .51691 L
.06555 .51208 L
.06551 .50725 L
.0655 .50242 L
.0655 .49758 L
.06551 .49275 L
.06555 .48792 L
.06559 .48309 L
.06566 .47826 L
.06574 .47342 L
.06584 .46859 L
.06595 .46376 L
.06609 .45893 L
.06623 .4541 L
.0664 .44927 L
.06658 .44443 L
.06678 .4396 L
.067 .43477 L
.06723 .42994 L
.06748 .42511 L
.06755 .42385 L
.06777 .42027 L
.06809 .41544 L
.06844 .41061 L
.0688 .40578 L
.0692 .40095 L
.06962 .39612 L
.07007 .39128 L
.07055 .38645 L
.07106 .38162 L
.07161 .37679 L
.07219 .37196 L
.07238 .37049 L
.07283 .36712 L
.07352 .36229 L
.07428 .35746 L
.07512 .35263 L
.07605 .3478 L
.07711 .34296 L
.07721 .34255 L
.07806 .33813 L
.07935 .3333 L
.08135 .32847 L
.08204 .32721 L
.08412 .32364 L
F
1 .733 0 r
.08688 .32234 m
.09075 .32364 L
.09171 .32474 L
.0938 .32847 L
.09569 .3333 L
.09654 .33593 L
.09721 .33813 L
.09849 .34296 L
.09955 .3478 L
.10047 .35263 L
.10129 .35746 L
.10137 .358 L
.10206 .36229 L
.10277 .36712 L
.10342 .37196 L
.10402 .37679 L
.10459 .38162 L
.10511 .38645 L
.1056 .39128 L
.10606 .39612 L
.1062 .39774 L
.10647 .40095 L
.10685 .40578 L
.1072 .41061 L
.10753 .41544 L
.10784 .42027 L
.10813 .42511 L
.1084 .42994 L
.10865 .43477 L
.10889 .4396 L
.1091 .44443 L
.10929 .44927 L
.10947 .4541 L
.10962 .45893 L
.10976 .46376 L
.10988 .46859 L
.10998 .47342 L
.11007 .47826 L
.11014 .48309 L
.11019 .48792 L
.11022 .49275 L
.11024 .49758 L
.11024 .50242 L
.11022 .50725 L
.11019 .51208 L
.11014 .51691 L
.11007 .52174 L
.10998 .52658 L
.10988 .53141 L
.10976 .53624 L
.10962 .54107 L
.10947 .5459 L
.10929 .55073 L
.1091 .55557 L
.10889 .5604 L
.10865 .56523 L
.1084 .57006 L
.10813 .57489 L
.10784 .57973 L
.10753 .58456 L
.1072 .58939 L
.10685 .59422 L
.10647 .59905 L
.1062 .60226 L
.10606 .60388 L
.1056 .60872 L
.10511 .61355 L
.10459 .61838 L
.10402 .62321 L
.10342 .62804 L
.10277 .63288 L
.10206 .63771 L
.10137 .642 L
.10129 .64254 L
.10047 .64737 L
.09955 .6522 L
.09849 .65704 L
.09721 .66187 L
.09654 .66407 L
.09569 .6667 L
.0938 .67153 L
.09171 .67526 L
.09075 .67636 L
.08688 .67766 L
.08509 .67636 L
.08204 .67161 L
.082 .67153 L
.07977 .6667 L
.07835 .66187 L
.07736 .65704 L
.07721 .65616 L
.07633 .6522 L
.07537 .64737 L
.07452 .64254 L
.07375 .63771 L
.07304 .63288 L
.0724 .62804 L
.07238 .62793 L
.0718 .62321 L
.07125 .61838 L
.07073 .61355 L
.07025 .60872 L
.06979 .60388 L
.06937 .59905 L
.06897 .59422 L
.0686 .58939 L
.06826 .58456 L
.06793 .57973 L
.06764 .57489 L
.06755 .57344 L
.06737 .57006 L
.06714 .56523 L
.06692 .5604 L
.06672 .55557 L
.06654 .55073 L
.06638 .5459 L
.06623 .54107 L
.0661 .53624 L
.06598 .53141 L
.06588 .52658 L
.0658 .52174 L
.06574 .51691 L
.06569 .51208 L
.06565 .50725 L
.06564 .50242 L
.06564 .49758 L
.06565 .49275 L
.06569 .48792 L
.06574 .48309 L
.0658 .47826 L
.06588 .47342 L
.06598 .46859 L
.0661 .46376 L
.06623 .45893 L
.06638 .4541 L
.06654 .44927 L
.06672 .44443 L
.06692 .4396 L
.06714 .43477 L
.06737 .42994 L
.06755 .42656 L
.06764 .42511 L
.06793 .42027 L
.06826 .41544 L
.0686 .41061 L
.06897 .40578 L
.06937 .40095 L
.06979 .39612 L
.07025 .39128 L
.07073 .38645 L
.07125 .38162 L
.0718 .37679 L
.07238 .37207 L
.0724 .37196 L
.07304 .36712 L
.07375 .36229 L
.07452 .35746 L
.07537 .35263 L
.07633 .3478 L
.07721 .34384 L
.07736 .34296 L
.07835 .33813 L
.07977 .3333 L
.082 .32847 L
.08204 .32839 L
.08509 .32364 L
F
1 .729 0 r
.08688 .32347 m
.08919 .32364 L
.09171 .32588 L
.09324 .32847 L
.09528 .3333 L
.09654 .33715 L
.09685 .33813 L
.09818 .34296 L
.09928 .3478 L
.10023 .35263 L
.10106 .35746 L
.10137 .35941 L
.10183 .36229 L
.10255 .36712 L
.10322 .37196 L
.10383 .37679 L
.1044 .38162 L
.10493 .38645 L
.10542 .39128 L
.10588 .39612 L
.1062 .39971 L
.10631 .40095 L
.10669 .40578 L
.10704 .41061 L
.10738 .41544 L
.10769 .42027 L
.10798 .42511 L
.10825 .42994 L
.1085 .43477 L
.10873 .4396 L
.10895 .44443 L
.10914 .44927 L
.10932 .4541 L
.10947 .45893 L
.10961 .46376 L
.10973 .46859 L
.10984 .47342 L
.10992 .47826 L
.10999 .48309 L
.11004 .48792 L
.11008 .49275 L
.11009 .49758 L
.11009 .50242 L
.11008 .50725 L
.11004 .51208 L
.10999 .51691 L
.10992 .52174 L
.10984 .52658 L
.10973 .53141 L
.10961 .53624 L
.10947 .54107 L
.10932 .5459 L
.10914 .55073 L
.10895 .55557 L
.10873 .5604 L
.1085 .56523 L
.10825 .57006 L
.10798 .57489 L
.10769 .57973 L
.10738 .58456 L
.10704 .58939 L
.10669 .59422 L
.10631 .59905 L
.1062 .60029 L
.10588 .60388 L
.10542 .60872 L
.10493 .61355 L
.1044 .61838 L
.10383 .62321 L
.10322 .62804 L
.10255 .63288 L
.10183 .63771 L
.10137 .64059 L
.10106 .64254 L
.10023 .64737 L
.09928 .6522 L
.09818 .65704 L
.09685 .66187 L
.09654 .66285 L
.09528 .6667 L
.09324 .67153 L
.09171 .67412 L
.08919 .67636 L
.08688 .67653 L
.08653 .67636 L
.08258 .67153 L
.08204 .67045 L
.08023 .6667 L
.07866 .66187 L
.07759 .65704 L
.07721 .65488 L
.07661 .6522 L
.07563 .64737 L
.07475 .64254 L
.07397 .63771 L
.07325 .63288 L
.0726 .62804 L
.07238 .62636 L
.07199 .62321 L
.07143 .61838 L
.07091 .61355 L
.07043 .60872 L
.06997 .60388 L
.06954 .59905 L
.06914 .59422 L
.06877 .58939 L
.06842 .58456 L
.0681 .57973 L
.06779 .57489 L
.06755 .57067 L
.06752 .57006 L
.06728 .56523 L
.06707 .5604 L
.06687 .55557 L
.06668 .55073 L
.06652 .5459 L
.06637 .54107 L
.06624 .53624 L
.06612 .53141 L
.06602 .52658 L
.06594 .52174 L
.06588 .51691 L
.06583 .51208 L
.06579 .50725 L
.06578 .50242 L
.06578 .49758 L
.06579 .49275 L
.06583 .48792 L
.06588 .48309 L
.06594 .47826 L
.06602 .47342 L
.06612 .46859 L
.06624 .46376 L
.06637 .45893 L
.06652 .4541 L
.06668 .44927 L
.06687 .44443 L
.06707 .4396 L
.06728 .43477 L
.06752 .42994 L
.06755 .42933 L
.06779 .42511 L
.0681 .42027 L
.06842 .41544 L
.06877 .41061 L
.06914 .40578 L
.06954 .40095 L
.06997 .39612 L
.07043 .39128 L
.07091 .38645 L
.07143 .38162 L
.07199 .37679 L
.07238 .37364 L
.0726 .37196 L
.07325 .36712 L
.07397 .36229 L
.07475 .35746 L
.07563 .35263 L
.07661 .3478 L
.07721 .34512 L
.07759 .34296 L
.07866 .33813 L
.08023 .3333 L
.08204 .32955 L
.08258 .32847 L
.08653 .32364 L
F
1 .724 0 r
.08688 .32459 m
.09171 .32701 L
.09263 .32847 L
.09484 .3333 L
.09647 .33813 L
.09654 .33836 L
.09786 .34296 L
.09901 .3478 L
.09998 .35263 L
.10084 .35746 L
.10137 .36081 L
.10161 .36229 L
.10234 .36712 L
.10301 .37196 L
.10363 .37679 L
.10421 .38162 L
.10474 .38645 L
.10524 .39128 L
.10571 .39612 L
.10614 .40095 L
.1062 .40168 L
.10653 .40578 L
.10689 .41061 L
.10722 .41544 L
.10754 .42027 L
.10783 .42511 L
.1081 .42994 L
.10835 .43477 L
.10858 .4396 L
.1088 .44443 L
.10899 .44927 L
.10917 .4541 L
.10933 .45893 L
.10947 .46376 L
.10959 .46859 L
.10969 .47342 L
.10978 .47826 L
.10985 .48309 L
.1099 .48792 L
.10993 .49275 L
.10995 .49758 L
.10995 .50242 L
.10993 .50725 L
.1099 .51208 L
.10985 .51691 L
.10978 .52174 L
.10969 .52658 L
.10959 .53141 L
.10947 .53624 L
.10933 .54107 L
.10917 .5459 L
.10899 .55073 L
.1088 .55557 L
.10858 .5604 L
.10835 .56523 L
.1081 .57006 L
.10783 .57489 L
.10754 .57973 L
.10722 .58456 L
.10689 .58939 L
.10653 .59422 L
.1062 .59832 L
.10614 .59905 L
.10571 .60388 L
.10524 .60872 L
.10474 .61355 L
.10421 .61838 L
.10363 .62321 L
.10301 .62804 L
.10234 .63288 L
.10161 .63771 L
.10137 .63919 L
.10084 .64254 L
.09998 .64737 L
.09901 .6522 L
.09786 .65704 L
.09654 .66164 L
.09647 .66187 L
.09484 .6667 L
.09263 .67153 L
.09171 .67299 L
.08688 .67541 L
.08321 .67153 L
.08204 .66929 L
.08073 .6667 L
.07899 .66187 L
.07784 .65704 L
.07721 .65361 L
.07689 .6522 L
.07588 .64737 L
.07499 .64254 L
.07419 .63771 L
.07346 .63288 L
.0728 .62804 L
.07238 .6248 L
.07219 .62321 L
.07162 .61838 L
.07109 .61355 L
.0706 .60872 L
.07014 .60388 L
.06971 .59905 L
.06931 .59422 L
.06893 .58939 L
.06858 .58456 L
.06826 .57973 L
.06795 .57489 L
.06767 .57006 L
.06755 .56783 L
.06742 .56523 L
.06721 .5604 L
.06701 .55557 L
.06682 .55073 L
.06666 .5459 L
.06651 .54107 L
.06638 .53624 L
.06626 .53141 L
.06616 .52658 L
.06608 .52174 L
.06601 .51691 L
.06596 .51208 L
.06593 .50725 L
.06592 .50242 L
.06592 .49758 L
.06593 .49275 L
.06596 .48792 L
.06601 .48309 L
.06608 .47826 L
.06616 .47342 L
.06626 .46859 L
.06638 .46376 L
.06651 .45893 L
.06666 .4541 L
.06682 .44927 L
.06701 .44443 L
.06721 .4396 L
.06742 .43477 L
.06755 .43217 L
.06767 .42994 L
.06795 .42511 L
.06826 .42027 L
.06858 .41544 L
.06893 .41061 L
.06931 .40578 L
.06971 .40095 L
.07014 .39612 L
.0706 .39128 L
.07109 .38645 L
.07162 .38162 L
.07219 .37679 L
.07238 .3752 L
.0728 .37196 L
.07346 .36712 L
.07419 .36229 L
.07499 .35746 L
.07588 .35263 L
.07689 .3478 L
.07721 .34639 L
.07784 .34296 L
.07899 .33813 L
.08073 .3333 L
.08204 .33071 L
.08321 .32847 L
F
1 .72 0 r
.08688 .32569 m
.09171 .32813 L
.09194 .32847 L
.09438 .3333 L
.0961 .33813 L
.09654 .33956 L
.09753 .34296 L
.09873 .3478 L
.09973 .35263 L
.10061 .35746 L
.10137 .3622 L
.10139 .36229 L
.10213 .36712 L
.10281 .37196 L
.10344 .37679 L
.10402 .38162 L
.10456 .38645 L
.10506 .39128 L
.10553 .39612 L
.10597 .40095 L
.1062 .40366 L
.10637 .40578 L
.10673 .41061 L
.10707 .41544 L
.10738 .42027 L
.10768 .42511 L
.10795 .42994 L
.1082 .43477 L
.10844 .4396 L
.10865 .44443 L
.10885 .44927 L
.10902 .4541 L
.10918 .45893 L
.10932 .46376 L
.10944 .46859 L
.10955 .47342 L
.10964 .47826 L
.1097 .48309 L
.10976 .48792 L
.10979 .49275 L
.10981 .49758 L
.10981 .50242 L
.10979 .50725 L
.10976 .51208 L
.1097 .51691 L
.10964 .52174 L
.10955 .52658 L
.10944 .53141 L
.10932 .53624 L
.10918 .54107 L
.10902 .5459 L
.10885 .55073 L
.10865 .55557 L
.10844 .5604 L
.1082 .56523 L
.10795 .57006 L
.10768 .57489 L
.10738 .57973 L
.10707 .58456 L
.10673 .58939 L
.10637 .59422 L
.1062 .59634 L
.10597 .59905 L
.10553 .60388 L
.10506 .60872 L
.10456 .61355 L
.10402 .61838 L
.10344 .62321 L
.10281 .62804 L
.10213 .63288 L
.10139 .63771 L
.10137 .6378 L
.10061 .64254 L
.09973 .64737 L
.09873 .6522 L
.09753 .65704 L
.09654 .66044 L
.0961 .66187 L
.09438 .6667 L
.09194 .67153 L
.09171 .67187 L
.08688 .67431 L
.08392 .67153 L
.08204 .66815 L
.08127 .6667 L
.07935 .66187 L
.07809 .65704 L
.07721 .65234 L
.07718 .6522 L
.07614 .64737 L
.07523 .64254 L
.07441 .63771 L
.07367 .63288 L
.073 .62804 L
.07238 .62325 L
.07238 .62321 L
.07181 .61838 L
.07127 .61355 L
.07078 .60872 L
.07031 .60388 L
.06988 .59905 L
.06948 .59422 L
.0691 .58939 L
.06874 .58456 L
.06841 .57973 L
.06811 .57489 L
.06783 .57006 L
.06756 .56523 L
.06755 .56493 L
.06734 .5604 L
.06714 .55557 L
.06696 .55073 L
.06679 .5459 L
.06665 .54107 L
.06651 .53624 L
.0664 .53141 L
.0663 .52658 L
.06622 .52174 L
.06615 .51691 L
.0661 .51208 L
.06607 .50725 L
.06605 .50242 L
.06605 .49758 L
.06607 .49275 L
.0661 .48792 L
.06615 .48309 L
.06622 .47826 L
.0663 .47342 L
.0664 .46859 L
.06651 .46376 L
.06665 .45893 L
.06679 .4541 L
.06696 .44927 L
.06714 .44443 L
.06734 .4396 L
.06755 .43507 L
.06756 .43477 L
.06783 .42994 L
.06811 .42511 L
.06841 .42027 L
.06874 .41544 L
.0691 .41061 L
.06948 .40578 L
.06988 .40095 L
.07031 .39612 L
.07078 .39128 L
.07127 .38645 L
.07181 .38162 L
.07238 .37679 L
.07238 .37675 L
.073 .37196 L
.07367 .36712 L
.07441 .36229 L
.07523 .35746 L
.07614 .35263 L
.07718 .3478 L
.07721 .34766 L
.07809 .34296 L
.07935 .33813 L
.08127 .3333 L
.08204 .33185 L
.08392 .32847 L
F
1 .715 0 r
.08688 .32678 m
.09109 .32847 L
.09171 .32924 L
.0939 .3333 L
.09573 .33813 L
.09654 .34075 L
.0972 .34296 L
.09844 .3478 L
.09948 .35263 L
.10038 .35746 L
.10117 .36229 L
.10137 .36359 L
.10192 .36712 L
.10261 .37196 L
.10324 .37679 L
.10383 .38162 L
.10438 .38645 L
.10489 .39128 L
.10536 .39612 L
.1058 .40095 L
.1062 .40566 L
.10621 .40578 L
.10658 .41061 L
.10692 .41544 L
.10723 .42027 L
.10753 .42511 L
.1078 .42994 L
.10806 .43477 L
.10829 .4396 L
.10851 .44443 L
.1087 .44927 L
.10888 .4541 L
.10904 .45893 L
.10918 .46376 L
.1093 .46859 L
.10941 .47342 L
.10949 .47826 L
.10956 .48309 L
.10962 .48792 L
.10965 .49275 L
.10967 .49758 L
.10967 .50242 L
.10965 .50725 L
.10962 .51208 L
.10956 .51691 L
.10949 .52174 L
.10941 .52658 L
.1093 .53141 L
.10918 .53624 L
.10904 .54107 L
.10888 .5459 L
.1087 .55073 L
.10851 .55557 L
.10829 .5604 L
.10806 .56523 L
.1078 .57006 L
.10753 .57489 L
.10723 .57973 L
.10692 .58456 L
.10658 .58939 L
.10621 .59422 L
.1062 .59434 L
.1058 .59905 L
.10536 .60388 L
.10489 .60872 L
.10438 .61355 L
.10383 .61838 L
.10324 .62321 L
.10261 .62804 L
.10192 .63288 L
.10137 .63641 L
.10117 .63771 L
.10038 .64254 L
.09948 .64737 L
.09844 .6522 L
.0972 .65704 L
.09654 .65925 L
.09573 .66187 L
.0939 .6667 L
.09171 .67076 L
.09109 .67153 L
.08688 .67322 L
.08476 .67153 L
.08204 .66701 L
.08187 .6667 L
.07974 .66187 L
.07836 .65704 L
.0774 .6522 L
.07721 .65109 L
.07641 .64737 L
.07547 .64254 L
.07464 .63771 L
.07389 .63288 L
.0732 .62804 L
.07257 .62321 L
.07238 .62169 L
.07199 .61838 L
.07145 .61355 L
.07095 .60872 L
.07048 .60388 L
.07005 .59905 L
.06964 .59422 L
.06926 .58939 L
.0689 .58456 L
.06857 .57973 L
.06826 .57489 L
.06798 .57006 L
.06772 .56523 L
.06755 .56193 L
.06748 .5604 L
.06728 .55557 L
.0671 .55073 L
.06693 .5459 L
.06678 .54107 L
.06665 .53624 L
.06653 .53141 L
.06643 .52658 L
.06635 .52174 L
.06628 .51691 L
.06623 .51208 L
.0662 .50725 L
.06619 .50242 L
.06619 .49758 L
.0662 .49275 L
.06623 .48792 L
.06628 .48309 L
.06635 .47826 L
.06643 .47342 L
.06653 .46859 L
.06665 .46376 L
.06678 .45893 L
.06693 .4541 L
.0671 .44927 L
.06728 .44443 L
.06748 .4396 L
.06755 .43807 L
.06772 .43477 L
.06798 .42994 L
.06826 .42511 L
.06857 .42027 L
.0689 .41544 L
.06926 .41061 L
.06964 .40578 L
.07005 .40095 L
.07048 .39612 L
.07095 .39128 L
.07145 .38645 L
.07199 .38162 L
.07238 .37831 L
.07257 .37679 L
.0732 .37196 L
.07389 .36712 L
.07464 .36229 L
.07547 .35746 L
.07641 .35263 L
.07721 .34891 L
.0774 .3478 L
.07836 .34296 L
.07974 .33813 L
.08187 .3333 L
.08204 .33299 L
.08476 .32847 L
F
1 .711 0 r
.08688 .32787 m
.08991 .32847 L
.09171 .33033 L
.09339 .3333 L
.09534 .33813 L
.09654 .34193 L
.09685 .34296 L
.09815 .3478 L
.09922 .35263 L
.10015 .35746 L
.10096 .36229 L
.10137 .36497 L
.10171 .36712 L
.10241 .37196 L
.10305 .37679 L
.10365 .38162 L
.1042 .38645 L
.10471 .39128 L
.10519 .39612 L
.10564 .40095 L
.10605 .40578 L
.1062 .40766 L
.10642 .41061 L
.10677 .41544 L
.10708 .42027 L
.10738 .42511 L
.10766 .42994 L
.10791 .43477 L
.10815 .4396 L
.10836 .44443 L
.10856 .44927 L
.10874 .4541 L
.1089 .45893 L
.10904 .46376 L
.10916 .46859 L
.10927 .47342 L
.10935 .47826 L
.10942 .48309 L
.10948 .48792 L
.10951 .49275 L
.10953 .49758 L
.10953 .50242 L
.10951 .50725 L
.10948 .51208 L
.10942 .51691 L
.10935 .52174 L
.10927 .52658 L
.10916 .53141 L
.10904 .53624 L
.1089 .54107 L
.10874 .5459 L
.10856 .55073 L
.10836 .55557 L
.10815 .5604 L
.10791 .56523 L
.10766 .57006 L
.10738 .57489 L
.10708 .57973 L
.10677 .58456 L
.10642 .58939 L
.1062 .59234 L
.10605 .59422 L
.10564 .59905 L
.10519 .60388 L
.10471 .60872 L
.1042 .61355 L
.10365 .61838 L
.10305 .62321 L
.10241 .62804 L
.10171 .63288 L
.10137 .63503 L
.10096 .63771 L
.10015 .64254 L
.09922 .64737 L
.09815 .6522 L
.09685 .65704 L
.09654 .65807 L
.09534 .66187 L
.09339 .6667 L
.09171 .66967 L
.08991 .67153 L
.08688 .67213 L
.08588 .67153 L
.08243 .6667 L
.08204 .66589 L
.08016 .66187 L
.07865 .65704 L
.07762 .6522 L
.07721 .64985 L
.07667 .64737 L
.07571 .64254 L
.07486 .63771 L
.0741 .63288 L
.0734 .62804 L
.07276 .62321 L
.07238 .62015 L
.07217 .61838 L
.07163 .61355 L
.07112 .60872 L
.07065 .60388 L
.07021 .59905 L
.0698 .59422 L
.06942 .58939 L
.06906 .58456 L
.06873 .57973 L
.06842 .57489 L
.06813 .57006 L
.06787 .56523 L
.06762 .5604 L
.06755 .55884 L
.06741 .55557 L
.06723 .55073 L
.06706 .5459 L
.06691 .54107 L
.06678 .53624 L
.06666 .53141 L
.06656 .52658 L
.06648 .52174 L
.06642 .51691 L
.06637 .51208 L
.06633 .50725 L
.06632 .50242 L
.06632 .49758 L
.06633 .49275 L
.06637 .48792 L
.06642 .48309 L
.06648 .47826 L
.06656 .47342 L
.06666 .46859 L
.06678 .46376 L
.06691 .45893 L
.06706 .4541 L
.06723 .44927 L
.06741 .44443 L
.06755 .44116 L
.06762 .4396 L
.06787 .43477 L
.06813 .42994 L
.06842 .42511 L
.06873 .42027 L
.06906 .41544 L
.06942 .41061 L
.0698 .40578 L
.07021 .40095 L
.07065 .39612 L
.07112 .39128 L
.07163 .38645 L
.07217 .38162 L
.07238 .37985 L
.07276 .37679 L
.0734 .37196 L
.0741 .36712 L
.07486 .36229 L
.07571 .35746 L
.07667 .35263 L
.07721 .35015 L
.07762 .3478 L
.07865 .34296 L
.08016 .33813 L
.08204 .33411 L
.08243 .3333 L
.08588 .32847 L
F
1 .707 0 r
.08688 .32894 m
.09171 .33142 L
.09283 .3333 L
.09493 .33813 L
.0965 .34296 L
.09654 .34309 L
.09785 .3478 L
.09896 .35263 L
.09991 .35746 L
.10075 .36229 L
.10137 .36634 L
.10149 .36712 L
.10221 .37196 L
.10286 .37679 L
.10346 .38162 L
.10402 .38645 L
.10454 .39128 L
.10502 .39612 L
.10547 .40095 L
.10589 .40578 L
.1062 .40968 L
.10627 .41061 L
.10662 .41544 L
.10694 .42027 L
.10723 .42511 L
.10751 .42994 L
.10777 .43477 L
.108 .4396 L
.10822 .44443 L
.10842 .44927 L
.1086 .4541 L
.10876 .45893 L
.1089 .46376 L
.10902 .46859 L
.10913 .47342 L
.10922 .47826 L
.10929 .48309 L
.10934 .48792 L
.10937 .49275 L
.10939 .49758 L
.10939 .50242 L
.10937 .50725 L
.10934 .51208 L
.10929 .51691 L
.10922 .52174 L
.10913 .52658 L
.10902 .53141 L
.1089 .53624 L
.10876 .54107 L
.1086 .5459 L
.10842 .55073 L
.10822 .55557 L
.108 .5604 L
.10777 .56523 L
.10751 .57006 L
.10723 .57489 L
.10694 .57973 L
.10662 .58456 L
.10627 .58939 L
.1062 .59032 L
.10589 .59422 L
.10547 .59905 L
.10502 .60388 L
.10454 .60872 L
.10402 .61355 L
.10346 .61838 L
.10286 .62321 L
.10221 .62804 L
.10149 .63288 L
.10137 .63366 L
.10075 .63771 L
.09991 .64254 L
.09896 .64737 L
.09785 .6522 L
.09654 .65691 L
.0965 .65704 L
.09493 .66187 L
.09283 .6667 L
.09171 .66858 L
.08688 .67106 L
.083 .6667 L
.08204 .66478 L
.08062 .66187 L
.07896 .65704 L
.07784 .6522 L
.07721 .64862 L
.07694 .64737 L
.07596 .64254 L
.07509 .63771 L
.07431 .63288 L
.0736 .62804 L
.07295 .62321 L
.07238 .61861 L
.07235 .61838 L
.07181 .61355 L
.0713 .60872 L
.07082 .60388 L
.07038 .59905 L
.06996 .59422 L
.06958 .58939 L
.06922 .58456 L
.06888 .57973 L
.06857 .57489 L
.06828 .57006 L
.06801 .56523 L
.06777 .5604 L
.06755 .55562 L
.06755 .55557 L
.06736 .55073 L
.06719 .5459 L
.06704 .54107 L
.06691 .53624 L
.06679 .53141 L
.0667 .52658 L
.06661 .52174 L
.06655 .51691 L
.0665 .51208 L
.06646 .50725 L
.06645 .50242 L
.06645 .49758 L
.06646 .49275 L
.0665 .48792 L
.06655 .48309 L
.06661 .47826 L
.0667 .47342 L
.06679 .46859 L
.06691 .46376 L
.06704 .45893 L
.06719 .4541 L
.06736 .44927 L
.06755 .44443 L
.06755 .44438 L
.06777 .4396 L
.06801 .43477 L
.06828 .42994 L
.06857 .42511 L
.06888 .42027 L
.06922 .41544 L
.06958 .41061 L
.06996 .40578 L
.07038 .40095 L
.07082 .39612 L
.0713 .39128 L
.07181 .38645 L
.07235 .38162 L
.07238 .38139 L
.07295 .37679 L
.0736 .37196 L
.07431 .36712 L
.07509 .36229 L
.07596 .35746 L
.07694 .35263 L
.07721 .35138 L
.07784 .3478 L
.07896 .34296 L
.08062 .33813 L
.08204 .33522 L
.083 .3333 L
F
1 .702 0 r
.08688 .33 m
.09171 .3325 L
.09222 .3333 L
.09451 .33813 L
.09616 .34296 L
.09654 .34425 L
.09754 .3478 L
.0987 .35263 L
.09968 .35746 L
.10053 .36229 L
.10129 .36712 L
.10137 .3677 L
.10201 .37196 L
.10267 .37679 L
.10328 .38162 L
.10384 .38645 L
.10436 .39128 L
.10485 .39612 L
.1053 .40095 L
.10573 .40578 L
.10612 .41061 L
.1062 .4117 L
.10647 .41544 L
.10679 .42027 L
.10709 .42511 L
.10737 .42994 L
.10763 .43477 L
.10786 .4396 L
.10808 .44443 L
.10828 .44927 L
.10846 .4541 L
.10862 .45893 L
.10876 .46376 L
.10889 .46859 L
.10899 .47342 L
.10908 .47826 L
.10915 .48309 L
.1092 .48792 L
.10924 .49275 L
.10926 .49758 L
.10926 .50242 L
.10924 .50725 L
.1092 .51208 L
.10915 .51691 L
.10908 .52174 L
.10899 .52658 L
.10889 .53141 L
.10876 .53624 L
.10862 .54107 L
.10846 .5459 L
.10828 .55073 L
.10808 .55557 L
.10786 .5604 L
.10763 .56523 L
.10737 .57006 L
.10709 .57489 L
.10679 .57973 L
.10647 .58456 L
.1062 .5883 L
.10612 .58939 L
.10573 .59422 L
.1053 .59905 L
.10485 .60388 L
.10436 .60872 L
.10384 .61355 L
.10328 .61838 L
.10267 .62321 L
.10201 .62804 L
.10137 .6323 L
.10129 .63288 L
.10053 .63771 L
.09968 .64254 L
.0987 .64737 L
.09754 .6522 L
.09654 .65575 L
.09616 .65704 L
.09451 .66187 L
.09222 .6667 L
.09171 .6675 L
.08688 .67 L
.08363 .6667 L
.08204 .66367 L
.08112 .66187 L
.07929 .65704 L
.07808 .6522 L
.07721 .64739 L
.07721 .64737 L
.0762 .64254 L
.07531 .63771 L
.07452 .63288 L
.0738 .62804 L
.07314 .62321 L
.07254 .61838 L
.07238 .61707 L
.07198 .61355 L
.07147 .60872 L
.07099 .60388 L
.07054 .59905 L
.07012 .59422 L
.06973 .58939 L
.06937 .58456 L
.06903 .57973 L
.06872 .57489 L
.06843 .57006 L
.06816 .56523 L
.06792 .5604 L
.06769 .55557 L
.06755 .55226 L
.06749 .55073 L
.06732 .5459 L
.06717 .54107 L
.06704 .53624 L
.06692 .53141 L
.06682 .52658 L
.06674 .52174 L
.06667 .51691 L
.06663 .51208 L
.06659 .50725 L
.06658 .50242 L
.06658 .49758 L
.06659 .49275 L
.06663 .48792 L
.06667 .48309 L
.06674 .47826 L
.06682 .47342 L
.06692 .46859 L
.06704 .46376 L
.06717 .45893 L
.06732 .4541 L
.06749 .44927 L
.06755 .44774 L
.06769 .44443 L
.06792 .4396 L
.06816 .43477 L
.06843 .42994 L
.06872 .42511 L
.06903 .42027 L
.06937 .41544 L
.06973 .41061 L
.07012 .40578 L
.07054 .40095 L
.07099 .39612 L
.07147 .39128 L
.07198 .38645 L
.07238 .38293 L
.07254 .38162 L
.07314 .37679 L
.0738 .37196 L
.07452 .36712 L
.07531 .36229 L
.0762 .35746 L
.07721 .35263 L
.07721 .35261 L
.07808 .3478 L
.07929 .34296 L
.08112 .33813 L
.08204 .33633 L
.08363 .3333 L
F
1 .698 0 r
.08688 .33105 m
.09151 .3333 L
.09171 .33357 L
.09406 .33813 L
.09581 .34296 L
.09654 .3454 L
.09723 .3478 L
.09843 .35263 L
.09944 .35746 L
.10031 .36229 L
.10109 .36712 L
.10137 .36905 L
.1018 .37196 L
.10248 .37679 L
.10309 .38162 L
.10366 .38645 L
.10419 .39128 L
.10468 .39612 L
.10514 .40095 L
.10557 .40578 L
.10596 .41061 L
.1062 .41375 L
.10632 .41544 L
.10665 .42027 L
.10695 .42511 L
.10723 .42994 L
.10749 .43477 L
.10772 .4396 L
.10794 .44443 L
.10814 .44927 L
.10832 .4541 L
.10848 .45893 L
.10863 .46376 L
.10875 .46859 L
.10886 .47342 L
.10894 .47826 L
.10902 .48309 L
.10907 .48792 L
.1091 .49275 L
.10912 .49758 L
.10912 .50242 L
.1091 .50725 L
.10907 .51208 L
.10902 .51691 L
.10894 .52174 L
.10886 .52658 L
.10875 .53141 L
.10863 .53624 L
.10848 .54107 L
.10832 .5459 L
.10814 .55073 L
.10794 .55557 L
.10772 .5604 L
.10749 .56523 L
.10723 .57006 L
.10695 .57489 L
.10665 .57973 L
.10632 .58456 L
.1062 .58625 L
.10596 .58939 L
.10557 .59422 L
.10514 .59905 L
.10468 .60388 L
.10419 .60872 L
.10366 .61355 L
.10309 .61838 L
.10248 .62321 L
.1018 .62804 L
.10137 .63095 L
.10109 .63288 L
.10031 .63771 L
.09944 .64254 L
.09843 .64737 L
.09723 .6522 L
.09654 .6546 L
.09581 .65704 L
.09406 .66187 L
.09171 .66643 L
.09151 .6667 L
.08688 .66895 L
.08436 .6667 L
.08204 .66258 L
.08166 .66187 L
.07965 .65704 L
.07834 .6522 L
.07741 .64737 L
.07721 .64618 L
.07645 .64254 L
.07554 .63771 L
.07473 .63288 L
.074 .62804 L
.07333 .62321 L
.07272 .61838 L
.07238 .61553 L
.07216 .61355 L
.07164 .60872 L
.07115 .60388 L
.0707 .59905 L
.07028 .59422 L
.06989 .58939 L
.06952 .58456 L
.06918 .57973 L
.06887 .57489 L
.06858 .57006 L
.06831 .56523 L
.06806 .5604 L
.06783 .55557 L
.06763 .55073 L
.06755 .54873 L
.06745 .5459 L
.0673 .54107 L
.06717 .53624 L
.06705 .53141 L
.06695 .52658 L
.06687 .52174 L
.0668 .51691 L
.06675 .51208 L
.06672 .50725 L
.0667 .50242 L
.0667 .49758 L
.06672 .49275 L
.06675 .48792 L
.0668 .48309 L
.06687 .47826 L
.06695 .47342 L
.06705 .46859 L
.06717 .46376 L
.0673 .45893 L
.06745 .4541 L
.06755 .45127 L
.06763 .44927 L
.06783 .44443 L
.06806 .4396 L
.06831 .43477 L
.06858 .42994 L
.06887 .42511 L
.06918 .42027 L
.06952 .41544 L
.06989 .41061 L
.07028 .40578 L
.0707 .40095 L
.07115 .39612 L
.07164 .39128 L
.07216 .38645 L
.07238 .38447 L
.07272 .38162 L
.07333 .37679 L
.074 .37196 L
.07473 .36712 L
.07554 .36229 L
.07645 .35746 L
.07721 .35382 L
.07741 .35263 L
.07834 .3478 L
.07965 .34296 L
.08166 .33813 L
.08204 .33742 L
.08436 .3333 L
F
1 .693 0 r
.08688 .3321 m
.09059 .3333 L
.09171 .33463 L
.09359 .33813 L
.09544 .34296 L
.09654 .34655 L
.09691 .3478 L
.09815 .35263 L
.0992 .35746 L
.10009 .36229 L
.10088 .36712 L
.10137 .37041 L
.1016 .37196 L
.10228 .37679 L
.10291 .38162 L
.10349 .38645 L
.10402 .39128 L
.10452 .39612 L
.10498 .40095 L
.10541 .40578 L
.10581 .41061 L
.10618 .41544 L
.1062 .41582 L
.1065 .42027 L
.10681 .42511 L
.10709 .42994 L
.10735 .43477 L
.10759 .4396 L
.10781 .44443 L
.108 .44927 L
.10819 .4541 L
.10835 .45893 L
.10849 .46376 L
.10862 .46859 L
.10872 .47342 L
.10881 .47826 L
.10888 .48309 L
.10894 .48792 L
.10897 .49275 L
.10899 .49758 L
.10899 .50242 L
.10897 .50725 L
.10894 .51208 L
.10888 .51691 L
.10881 .52174 L
.10872 .52658 L
.10862 .53141 L
.10849 .53624 L
.10835 .54107 L
.10819 .5459 L
.108 .55073 L
.10781 .55557 L
.10759 .5604 L
.10735 .56523 L
.10709 .57006 L
.10681 .57489 L
.1065 .57973 L
.1062 .58418 L
.10618 .58456 L
.10581 .58939 L
.10541 .59422 L
.10498 .59905 L
.10452 .60388 L
.10402 .60872 L
.10349 .61355 L
.10291 .61838 L
.10228 .62321 L
.1016 .62804 L
.10137 .62959 L
.10088 .63288 L
.10009 .63771 L
.0992 .64254 L
.09815 .64737 L
.09691 .6522 L
.09654 .65345 L
.09544 .65704 L
.09359 .66187 L
.09171 .66537 L
.09059 .6667 L
.08688 .6679 L
.08524 .6667 L
.08221 .66187 L
.08204 .66149 L
.08004 .65704 L
.07861 .6522 L
.07761 .64737 L
.07721 .64497 L
.0767 .64254 L
.07577 .63771 L
.07494 .63288 L
.0742 .62804 L
.07352 .62321 L
.0729 .61838 L
.07238 .614 L
.07233 .61355 L
.0718 .60872 L
.07132 .60388 L
.07086 .59905 L
.07044 .59422 L
.07004 .58939 L
.06968 .58456 L
.06933 .57973 L
.06902 .57489 L
.06872 .57006 L
.06845 .56523 L
.0682 .5604 L
.06798 .55557 L
.06777 .55073 L
.06758 .5459 L
.06755 .54497 L
.06743 .54107 L
.06729 .53624 L
.06718 .53141 L
.06708 .52658 L
.06699 .52174 L
.06693 .51691 L
.06688 .51208 L
.06684 .50725 L
.06683 .50242 L
.06683 .49758 L
.06684 .49275 L
.06688 .48792 L
.06693 .48309 L
.06699 .47826 L
.06708 .47342 L
.06718 .46859 L
.06729 .46376 L
.06743 .45893 L
.06755 .45503 L
.06758 .4541 L
.06777 .44927 L
.06798 .44443 L
.0682 .4396 L
.06845 .43477 L
.06872 .42994 L
.06902 .42511 L
.06933 .42027 L
.06968 .41544 L
.07004 .41061 L
.07044 .40578 L
.07086 .40095 L
.07132 .39612 L
.0718 .39128 L
.07233 .38645 L
.07238 .386 L
.0729 .38162 L
.07352 .37679 L
.0742 .37196 L
.07494 .36712 L
.07577 .36229 L
.0767 .35746 L
.07721 .35503 L
.07761 .35263 L
.07861 .3478 L
.08004 .34296 L
.08204 .33851 L
.08221 .33813 L
.08524 .3333 L
F
1 .689 0 r
.08688 .33313 m
.08917 .3333 L
.09171 .33568 L
.09309 .33813 L
.09507 .34296 L
.09654 .34768 L
.09657 .3478 L
.09787 .35263 L
.09895 .35746 L
.09987 .36229 L
.10068 .36712 L
.10137 .37175 L
.1014 .37196 L
.10209 .37679 L
.10273 .38162 L
.10331 .38645 L
.10385 .39128 L
.10435 .39612 L
.10482 .40095 L
.10525 .40578 L
.10565 .41061 L
.10602 .41544 L
.1062 .4179 L
.10636 .42027 L
.10667 .42511 L
.10695 .42994 L
.10721 .43477 L
.10745 .4396 L
.10767 .44443 L
.10787 .44927 L
.10805 .4541 L
.10821 .45893 L
.10836 .46376 L
.10848 .46859 L
.10859 .47342 L
.10868 .47826 L
.10875 .48309 L
.1088 .48792 L
.10884 .49275 L
.10886 .49758 L
.10886 .50242 L
.10884 .50725 L
.1088 .51208 L
.10875 .51691 L
.10868 .52174 L
.10859 .52658 L
.10848 .53141 L
.10836 .53624 L
.10821 .54107 L
.10805 .5459 L
.10787 .55073 L
.10767 .55557 L
.10745 .5604 L
.10721 .56523 L
.10695 .57006 L
.10667 .57489 L
.10636 .57973 L
.1062 .5821 L
.10602 .58456 L
.10565 .58939 L
.10525 .59422 L
.10482 .59905 L
.10435 .60388 L
.10385 .60872 L
.10331 .61355 L
.10273 .61838 L
.10209 .62321 L
.1014 .62804 L
.10137 .62825 L
.10068 .63288 L
.09987 .63771 L
.09895 .64254 L
.09787 .64737 L
.09657 .6522 L
.09654 .65232 L
.09507 .65704 L
.09309 .66187 L
.09171 .66432 L
.08917 .6667 L
.08688 .66687 L
.08654 .6667 L
.08273 .66187 L
.08204 .66042 L
.08046 .65704 L
.07889 .6522 L
.07783 .64737 L
.07721 .64377 L
.07695 .64254 L
.076 .63771 L
.07516 .63288 L
.0744 .62804 L
.07371 .62321 L
.07308 .61838 L
.0725 .61355 L
.07238 .61247 L
.07197 .60872 L
.07148 .60388 L
.07102 .59905 L
.0706 .59422 L
.0702 .58939 L
.06983 .58456 L
.06948 .57973 L
.06916 .57489 L
.06887 .57006 L
.0686 .56523 L
.06835 .5604 L
.06812 .55557 L
.06791 .55073 L
.06772 .5459 L
.06755 .54107 L
.06755 .54093 L
.06742 .53624 L
.0673 .53141 L
.0672 .52658 L
.06712 .52174 L
.06705 .51691 L
.067 .51208 L
.06697 .50725 L
.06695 .50242 L
.06695 .49758 L
.06697 .49275 L
.067 .48792 L
.06705 .48309 L
.06712 .47826 L
.0672 .47342 L
.0673 .46859 L
.06742 .46376 L
.06755 .45907 L
.06755 .45893 L
.06772 .4541 L
.06791 .44927 L
.06812 .44443 L
.06835 .4396 L
.0686 .43477 L
.06887 .42994 L
.06916 .42511 L
.06948 .42027 L
.06983 .41544 L
.0702 .41061 L
.0706 .40578 L
.07102 .40095 L
.07148 .39612 L
.07197 .39128 L
.07238 .38753 L
.0725 .38645 L
.07308 .38162 L
.07371 .37679 L
.0744 .37196 L
.07516 .36712 L
.076 .36229 L
.07695 .35746 L
.07721 .35623 L
.07783 .35263 L
.07889 .3478 L
.08046 .34296 L
.08204 .33958 L
.08273 .33813 L
.08654 .3333 L
F
1 .684 0 r
.08688 .33416 m
.09171 .33673 L
.09255 .33813 L
.09468 .34296 L
.09625 .3478 L
.09654 .34881 L
.09758 .35263 L
.0987 .35746 L
.09965 .36229 L
.10048 .36712 L
.10121 .37196 L
.10137 .37309 L
.1019 .37679 L
.10254 .38162 L
.10313 .38645 L
.10368 .39128 L
.10419 .39612 L
.10465 .40095 L
.10509 .40578 L
.1055 .41061 L
.10587 .41544 L
.1062 .42001 L
.10622 .42027 L
.10653 .42511 L
.10681 .42994 L
.10707 .43477 L
.10731 .4396 L
.10754 .44443 L
.10774 .44927 L
.10792 .4541 L
.10808 .45893 L
.10823 .46376 L
.10835 .46859 L
.10846 .47342 L
.10855 .47826 L
.10862 .48309 L
.10867 .48792 L
.10871 .49275 L
.10873 .49758 L
.10873 .50242 L
.10871 .50725 L
.10867 .51208 L
.10862 .51691 L
.10855 .52174 L
.10846 .52658 L
.10835 .53141 L
.10823 .53624 L
.10808 .54107 L
.10792 .5459 L
.10774 .55073 L
.10754 .55557 L
.10731 .5604 L
.10707 .56523 L
.10681 .57006 L
.10653 .57489 L
.10622 .57973 L
.1062 .57999 L
.10587 .58456 L
.1055 .58939 L
.10509 .59422 L
.10465 .59905 L
.10419 .60388 L
.10368 .60872 L
.10313 .61355 L
.10254 .61838 L
.1019 .62321 L
.10137 .62691 L
.10121 .62804 L
.10048 .63288 L
.09965 .63771 L
.0987 .64254 L
.09758 .64737 L
.09654 .65119 L
.09625 .6522 L
.09468 .65704 L
.09255 .66187 L
.09171 .66327 L
.08688 .66584 L
.08329 .66187 L
.08204 .65935 L
.08092 .65704 L
.0792 .6522 L
.07805 .64737 L
.07721 .64257 L
.07721 .64254 L
.07623 .63771 L
.07537 .63288 L
.0746 .62804 L
.0739 .62321 L
.07326 .61838 L
.07268 .61355 L
.07238 .61094 L
.07214 .60872 L
.07164 .60388 L
.07118 .59905 L
.07075 .59422 L
.07035 .58939 L
.06998 .58456 L
.06963 .57973 L
.06931 .57489 L
.06901 .57006 L
.06874 .56523 L
.06849 .5604 L
.06826 .55557 L
.06805 .55073 L
.06786 .5459 L
.06769 .54107 L
.06755 .53652 L
.06754 .53624 L
.06742 .53141 L
.06732 .52658 L
.06724 .52174 L
.06717 .51691 L
.06712 .51208 L
.06709 .50725 L
.06707 .50242 L
.06707 .49758 L
.06709 .49275 L
.06712 .48792 L
.06717 .48309 L
.06724 .47826 L
.06732 .47342 L
.06742 .46859 L
.06754 .46376 L
.06755 .46348 L
.06769 .45893 L
.06786 .4541 L
.06805 .44927 L
.06826 .44443 L
.06849 .4396 L
.06874 .43477 L
.06901 .42994 L
.06931 .42511 L
.06963 .42027 L
.06998 .41544 L
.07035 .41061 L
.07075 .40578 L
.07118 .40095 L
.07164 .39612 L
.07214 .39128 L
.07238 .38906 L
.07268 .38645 L
.07326 .38162 L
.0739 .37679 L
.0746 .37196 L
.07537 .36712 L
.07623 .36229 L
.07721 .35746 L
.07721 .35743 L
.07805 .35263 L
.0792 .3478 L
.08092 .34296 L
.08204 .34065 L
.08329 .33813 L
F
1 .68 0 r
.08688 .33518 m
.09171 .33776 L
.09195 .33813 L
.09427 .34296 L
.09592 .3478 L
.09654 .34993 L
.09729 .35263 L
.09845 .35746 L
.09942 .36229 L
.10027 .36712 L
.10102 .37196 L
.10137 .37442 L
.10171 .37679 L
.10236 .38162 L
.10296 .38645 L
.10351 .39128 L
.10402 .39612 L
.10449 .40095 L
.10494 .40578 L
.10534 .41061 L
.10572 .41544 L
.10608 .42027 L
.1062 .42214 L
.10639 .42511 L
.10668 .42994 L
.10694 .43477 L
.10718 .4396 L
.1074 .44443 L
.1076 .44927 L
.10779 .4541 L
.10795 .45893 L
.1081 .46376 L
.10822 .46859 L
.10833 .47342 L
.10842 .47826 L
.10849 .48309 L
.10855 .48792 L
.10858 .49275 L
.1086 .49758 L
.1086 .50242 L
.10858 .50725 L
.10855 .51208 L
.10849 .51691 L
.10842 .52174 L
.10833 .52658 L
.10822 .53141 L
.1081 .53624 L
.10795 .54107 L
.10779 .5459 L
.1076 .55073 L
.1074 .55557 L
.10718 .5604 L
.10694 .56523 L
.10668 .57006 L
.10639 .57489 L
.1062 .57786 L
.10608 .57973 L
.10572 .58456 L
.10534 .58939 L
.10494 .59422 L
.10449 .59905 L
.10402 .60388 L
.10351 .60872 L
.10296 .61355 L
.10236 .61838 L
.10171 .62321 L
.10137 .62558 L
.10102 .62804 L
.10027 .63288 L
.09942 .63771 L
.09845 .64254 L
.09729 .64737 L
.09654 .65007 L
.09592 .6522 L
.09427 .65704 L
.09195 .66187 L
.09171 .66224 L
.08688 .66482 L
.08391 .66187 L
.08204 .65829 L
.08141 .65704 L
.07953 .6522 L
.07829 .64737 L
.07739 .64254 L
.07721 .64139 L
.07647 .63771 L
.07559 .63288 L
.0748 .62804 L
.07409 .62321 L
.07344 .61838 L
.07285 .61355 L
.07238 .60941 L
.07231 .60872 L
.0718 .60388 L
.07134 .59905 L
.0709 .59422 L
.0705 .58939 L
.07013 .58456 L
.06978 .57973 L
.06945 .57489 L
.06915 .57006 L
.06888 .56523 L
.06863 .5604 L
.06839 .55557 L
.06818 .55073 L
.06799 .5459 L
.06782 .54107 L
.06768 .53624 L
.06755 .53157 L
.06755 .53141 L
.06744 .52658 L
.06736 .52174 L
.06729 .51691 L
.06724 .51208 L
.06721 .50725 L
.06719 .50242 L
.06719 .49758 L
.06721 .49275 L
.06724 .48792 L
.06729 .48309 L
.06736 .47826 L
.06744 .47342 L
.06755 .46859 L
.06755 .46843 L
.06768 .46376 L
.06782 .45893 L
.06799 .4541 L
.06818 .44927 L
.06839 .44443 L
.06863 .4396 L
.06888 .43477 L
.06915 .42994 L
.06945 .42511 L
.06978 .42027 L
.07013 .41544 L
.0705 .41061 L
.0709 .40578 L
.07134 .40095 L
.0718 .39612 L
.07231 .39128 L
.07238 .39059 L
.07285 .38645 L
.07344 .38162 L
.07409 .37679 L
.0748 .37196 L
.07559 .36712 L
.07647 .36229 L
.07721 .35861 L
.07739 .35746 L
.07829 .35263 L
.07953 .3478 L
.08141 .34296 L
.08204 .34171 L
.08391 .33813 L
F
1 .675 0 r
.08688 .33619 m
.09122 .33813 L
.09171 .33879 L
.09384 .34296 L
.09559 .3478 L
.09654 .35104 L
.09699 .35263 L
.09819 .35746 L
.09919 .36229 L
.10006 .36712 L
.10083 .37196 L
.10137 .37575 L
.10152 .37679 L
.10218 .38162 L
.10278 .38645 L
.10334 .39128 L
.10386 .39612 L
.10434 .40095 L
.10478 .40578 L
.10519 .41061 L
.10557 .41544 L
.10593 .42027 L
.1062 .42431 L
.10625 .42511 L
.10654 .42994 L
.1068 .43477 L
.10705 .4396 L
.10727 .44443 L
.10747 .44927 L
.10766 .4541 L
.10782 .45893 L
.10797 .46376 L
.10809 .46859 L
.1082 .47342 L
.10829 .47826 L
.10836 .48309 L
.10842 .48792 L
.10845 .49275 L
.10847 .49758 L
.10847 .50242 L
.10845 .50725 L
.10842 .51208 L
.10836 .51691 L
.10829 .52174 L
.1082 .52658 L
.10809 .53141 L
.10797 .53624 L
.10782 .54107 L
.10766 .5459 L
.10747 .55073 L
.10727 .55557 L
.10705 .5604 L
.1068 .56523 L
.10654 .57006 L
.10625 .57489 L
.1062 .57569 L
.10593 .57973 L
.10557 .58456 L
.10519 .58939 L
.10478 .59422 L
.10434 .59905 L
.10386 .60388 L
.10334 .60872 L
.10278 .61355 L
.10218 .61838 L
.10152 .62321 L
.10137 .62425 L
.10083 .62804 L
.10006 .63288 L
.09919 .63771 L
.09819 .64254 L
.09699 .64737 L
.09654 .64896 L
.09559 .6522 L
.09384 .65704 L
.09171 .66121 L
.09122 .66187 L
.08688 .66381 L
.08464 .66187 L
.08204 .65723 L
.08194 .65704 L
.07989 .6522 L
.07853 .64737 L
.07759 .64254 L
.07721 .64021 L
.0767 .63771 L
.0758 .63288 L
.075 .62804 L
.07428 .62321 L
.07362 .61838 L
.07302 .61355 L
.07247 .60872 L
.07238 .60788 L
.07196 .60388 L
.07149 .59905 L
.07106 .59422 L
.07065 .58939 L
.07027 .58456 L
.06992 .57973 L
.0696 .57489 L
.0693 .57006 L
.06902 .56523 L
.06876 .5604 L
.06853 .55557 L
.06832 .55073 L
.06813 .5459 L
.06796 .54107 L
.06781 .53624 L
.06768 .53141 L
.06757 .52658 L
.06755 .52578 L
.06748 .52174 L
.06741 .51691 L
.06736 .51208 L
.06733 .50725 L
.06731 .50242 L
.06731 .49758 L
.06733 .49275 L
.06736 .48792 L
.06741 .48309 L
.06748 .47826 L
.06755 .47422 L
.06757 .47342 L
.06768 .46859 L
.06781 .46376 L
.06796 .45893 L
.06813 .4541 L
.06832 .44927 L
.06853 .44443 L
.06876 .4396 L
.06902 .43477 L
.0693 .42994 L
.0696 .42511 L
.06992 .42027 L
.07027 .41544 L
.07065 .41061 L
.07106 .40578 L
.07149 .40095 L
.07196 .39612 L
.07238 .39212 L
.07247 .39128 L
.07302 .38645 L
.07362 .38162 L
.07428 .37679 L
.075 .37196 L
.0758 .36712 L
.0767 .36229 L
.07721 .35979 L
.07759 .35746 L
.07853 .35263 L
.07989 .3478 L
.08194 .34296 L
.08204 .34277 L
.08464 .33813 L
F
1 .671 0 r
.08688 .3372 m
.09027 .33813 L
.09171 .33981 L
.09339 .34296 L
.09524 .3478 L
.09654 .35214 L
.09668 .35263 L
.09792 .35746 L
.09896 .36229 L
.09985 .36712 L
.10063 .37196 L
.10133 .37679 L
.10137 .37708 L
.102 .38162 L
.10261 .38645 L
.10317 .39128 L
.10369 .39612 L
.10418 .40095 L
.10463 .40578 L
.10504 .41061 L
.10543 .41544 L
.10578 .42027 L
.10611 .42511 L
.1062 .4265 L
.10641 .42994 L
.10667 .43477 L
.10692 .4396 L
.10714 .44443 L
.10734 .44927 L
.10753 .4541 L
.10769 .45893 L
.10784 .46376 L
.10797 .46859 L
.10808 .47342 L
.10817 .47826 L
.10824 .48309 L
.10829 .48792 L
.10833 .49275 L
.10835 .49758 L
.10835 .50242 L
.10833 .50725 L
.10829 .51208 L
.10824 .51691 L
.10817 .52174 L
.10808 .52658 L
.10797 .53141 L
.10784 .53624 L
.10769 .54107 L
.10753 .5459 L
.10734 .55073 L
.10714 .55557 L
.10692 .5604 L
.10667 .56523 L
.10641 .57006 L
.1062 .5735 L
.10611 .57489 L
.10578 .57973 L
.10543 .58456 L
.10504 .58939 L
.10463 .59422 L
.10418 .59905 L
.10369 .60388 L
.10317 .60872 L
.10261 .61355 L
.102 .61838 L
.10137 .62292 L
.10133 .62321 L
.10063 .62804 L
.09985 .63288 L
.09896 .63771 L
.09792 .64254 L
.09668 .64737 L
.09654 .64786 L
.09524 .6522 L
.09339 .65704 L
.09171 .66019 L
.09027 .66187 L
.08688 .6628 L
.08554 .66187 L
.08242 .65704 L
.08204 .65619 L
.08027 .6522 L
.0788 .64737 L
.07779 .64254 L
.07721 .63903 L
.07694 .63771 L
.07602 .63288 L
.0752 .62804 L
.07447 .62321 L
.07381 .61838 L
.0732 .61355 L
.07264 .60872 L
.07238 .60635 L
.07212 .60388 L
.07165 .59905 L
.07121 .59422 L
.0708 .58939 L
.07042 .58456 L
.07007 .57973 L
.06974 .57489 L
.06944 .57006 L
.06916 .56523 L
.0689 .5604 L
.06867 .55557 L
.06845 .55073 L
.06826 .5459 L
.06809 .54107 L
.06794 .53624 L
.06781 .53141 L
.0677 .52658 L
.0676 .52174 L
.06755 .51837 L
.06753 .51691 L
.06748 .51208 L
.06745 .50725 L
.06743 .50242 L
.06743 .49758 L
.06745 .49275 L
.06748 .48792 L
.06753 .48309 L
.06755 .48163 L
.0676 .47826 L
.0677 .47342 L
.06781 .46859 L
.06794 .46376 L
.06809 .45893 L
.06826 .4541 L
.06845 .44927 L
.06867 .44443 L
.0689 .4396 L
.06916 .43477 L
.06944 .42994 L
.06974 .42511 L
.07007 .42027 L
.07042 .41544 L
.0708 .41061 L
.07121 .40578 L
.07165 .40095 L
.07212 .39612 L
.07238 .39365 L
.07264 .39128 L
.0732 .38645 L
.07381 .38162 L
.07447 .37679 L
.0752 .37196 L
.07602 .36712 L
.07694 .36229 L
.07721 .36097 L
.07779 .35746 L
.0788 .35263 L
.08027 .3478 L
.08204 .34381 L
.08242 .34296 L
.08554 .33813 L
F
1 .666 0 r
.08688 .33819 m
.09171 .34082 L
.09291 .34296 L
.09488 .3478 L
.09637 .35263 L
.09654 .35324 L
.09765 .35746 L
.09873 .36229 L
.09964 .36712 L
.10044 .37196 L
.10115 .37679 L
.10137 .3784 L
.10182 .38162 L
.10244 .38645 L
.10301 .39128 L
.10353 .39612 L
.10402 .40095 L
.10447 .40578 L
.10489 .41061 L
.10528 .41544 L
.10564 .42027 L
.10597 .42511 L
.1062 .42874 L
.10627 .42994 L
.10654 .43477 L
.10679 .4396 L
.10701 .44443 L
.10722 .44927 L
.1074 .4541 L
.10757 .45893 L
.10771 .46376 L
.10784 .46859 L
.10795 .47342 L
.10804 .47826 L
.10811 .48309 L
.10817 .48792 L
.1082 .49275 L
.10822 .49758 L
.10822 .50242 L
.1082 .50725 L
.10817 .51208 L
.10811 .51691 L
.10804 .52174 L
.10795 .52658 L
.10784 .53141 L
.10771 .53624 L
.10757 .54107 L
.1074 .5459 L
.10722 .55073 L
.10701 .55557 L
.10679 .5604 L
.10654 .56523 L
.10627 .57006 L
.1062 .57126 L
.10597 .57489 L
.10564 .57973 L
.10528 .58456 L
.10489 .58939 L
.10447 .59422 L
.10402 .59905 L
.10353 .60388 L
.10301 .60872 L
.10244 .61355 L
.10182 .61838 L
.10137 .6216 L
.10115 .62321 L
.10044 .62804 L
.09964 .63288 L
.09873 .63771 L
.09765 .64254 L
.09654 .64676 L
.09637 .64737 L
.09488 .6522 L
.09291 .65704 L
.09171 .65918 L
.08688 .66181 L
.08292 .65704 L
.08204 .65515 L
.08068 .6522 L
.07908 .64737 L
.078 .64254 L
.07721 .63787 L
.07718 .63771 L
.07624 .63288 L
.07541 .62804 L
.07466 .62321 L
.07399 .61838 L
.07337 .61355 L
.0728 .60872 L
.07238 .60482 L
.07228 .60388 L
.07181 .59905 L
.07136 .59422 L
.07095 .58939 L
.07057 .58456 L
.07021 .57973 L
.06988 .57489 L
.06958 .57006 L
.06929 .56523 L
.06904 .5604 L
.0688 .55557 L
.06859 .55073 L
.06839 .5459 L
.06822 .54107 L
.06807 .53624 L
.06794 .53141 L
.06783 .52658 L
.06773 .52174 L
.06766 .51691 L
.0676 .51208 L
.06756 .50725 L
.06755 .50366 L
.06755 .50242 L
.06755 .49758 L
.06755 .49634 L
.06756 .49275 L
.0676 .48792 L
.06766 .48309 L
.06773 .47826 L
.06783 .47342 L
.06794 .46859 L
.06807 .46376 L
.06822 .45893 L
.06839 .4541 L
.06859 .44927 L
.0688 .44443 L
.06904 .4396 L
.06929 .43477 L
.06958 .42994 L
.06988 .42511 L
.07021 .42027 L
.07057 .41544 L
.07095 .41061 L
.07136 .40578 L
.07181 .40095 L
.07228 .39612 L
.07238 .39518 L
.0728 .39128 L
.07337 .38645 L
.07399 .38162 L
.07466 .37679 L
.07541 .37196 L
.07624 .36712 L
.07718 .36229 L
.07721 .36213 L
.078 .35746 L
.07908 .35263 L
.08068 .3478 L
.08204 .34485 L
.08292 .34296 L
F
1 .662 0 r
.08688 .33918 m
.09171 .34183 L
.09238 .34296 L
.09451 .3478 L
.09607 .35263 L
.09654 .35433 L
.09738 .35746 L
.09849 .36229 L
.09943 .36712 L
.10024 .37196 L
.10097 .37679 L
.10137 .37972 L
.10163 .38162 L
.10226 .38645 L
.10284 .39128 L
.10337 .39612 L
.10386 .40095 L
.10432 .40578 L
.10474 .41061 L
.10513 .41544 L
.10549 .42027 L
.10583 .42511 L
.10614 .42994 L
.1062 .43101 L
.10641 .43477 L
.10666 .4396 L
.10688 .44443 L
.10709 .44927 L
.10728 .4541 L
.10744 .45893 L
.10759 .46376 L
.10772 .46859 L
.10783 .47342 L
.10792 .47826 L
.10799 .48309 L
.10804 .48792 L
.10808 .49275 L
.1081 .49758 L
.1081 .50242 L
.10808 .50725 L
.10804 .51208 L
.10799 .51691 L
.10792 .52174 L
.10783 .52658 L
.10772 .53141 L
.10759 .53624 L
.10744 .54107 L
.10728 .5459 L
.10709 .55073 L
.10688 .55557 L
.10666 .5604 L
.10641 .56523 L
.1062 .56899 L
.10614 .57006 L
.10583 .57489 L
.10549 .57973 L
.10513 .58456 L
.10474 .58939 L
.10432 .59422 L
.10386 .59905 L
.10337 .60388 L
.10284 .60872 L
.10226 .61355 L
.10163 .61838 L
.10137 .62028 L
.10097 .62321 L
.10024 .62804 L
.09943 .63288 L
.09849 .63771 L
.09738 .64254 L
.09654 .64567 L
.09607 .64737 L
.09451 .6522 L
.09238 .65704 L
.09171 .65817 L
.08688 .66082 L
.08346 .65704 L
.08204 .65412 L
.08112 .6522 L
.07939 .64737 L
.07821 .64254 L
.07737 .63771 L
.07721 .6367 L
.07646 .63288 L
.07561 .62804 L
.07485 .62321 L
.07417 .61838 L
.07354 .61355 L
.07297 .60872 L
.07244 .60388 L
.07238 .60329 L
.07196 .59905 L
.07151 .59422 L
.0711 .58939 L
.07071 .58456 L
.07035 .57973 L
.07002 .57489 L
.06971 .57006 L
.06943 .56523 L
.06917 .5604 L
.06894 .55557 L
.06872 .55073 L
.06853 .5459 L
.06835 .54107 L
.0682 .53624 L
.06807 .53141 L
.06795 .52658 L
.06786 .52174 L
.06779 .51691 L
.06773 .51208 L
.06769 .50725 L
.06767 .50242 L
.06767 .49758 L
.06769 .49275 L
.06773 .48792 L
.06779 .48309 L
.06786 .47826 L
.06795 .47342 L
.06807 .46859 L
.0682 .46376 L
.06835 .45893 L
.06853 .4541 L
.06872 .44927 L
.06894 .44443 L
.06917 .4396 L
.06943 .43477 L
.06971 .42994 L
.07002 .42511 L
.07035 .42027 L
.07071 .41544 L
.0711 .41061 L
.07151 .40578 L
.07196 .40095 L
.07238 .39671 L
.07244 .39612 L
.07297 .39128 L
.07354 .38645 L
.07417 .38162 L
.07485 .37679 L
.07561 .37196 L
.07646 .36712 L
.07721 .3633 L
.07737 .36229 L
.07821 .35746 L
.07939 .35263 L
.08112 .3478 L
.08204 .34588 L
.08346 .34296 L
F
1 .658 0 r
.08688 .34016 m
.09171 .34282 L
.0918 .34296 L
.09412 .3478 L
.09575 .35263 L
.09654 .35541 L
.0971 .35746 L
.09824 .36229 L
.09921 .36712 L
.10005 .37196 L
.10079 .37679 L
.10137 .38104 L
.10145 .38162 L
.10209 .38645 L
.10267 .39128 L
.10321 .39612 L
.10371 .40095 L
.10417 .40578 L
.10459 .41061 L
.10499 .41544 L
.10535 .42027 L
.10569 .42511 L
.106 .42994 L
.1062 .43333 L
.10628 .43477 L
.10653 .4396 L
.10676 .44443 L
.10696 .44927 L
.10715 .4541 L
.10732 .45893 L
.10746 .46376 L
.10759 .46859 L
.1077 .47342 L
.10779 .47826 L
.10787 .48309 L
.10792 .48792 L
.10796 .49275 L
.10798 .49758 L
.10798 .50242 L
.10796 .50725 L
.10792 .51208 L
.10787 .51691 L
.10779 .52174 L
.1077 .52658 L
.10759 .53141 L
.10746 .53624 L
.10732 .54107 L
.10715 .5459 L
.10696 .55073 L
.10676 .55557 L
.10653 .5604 L
.10628 .56523 L
.1062 .56667 L
.106 .57006 L
.10569 .57489 L
.10535 .57973 L
.10499 .58456 L
.10459 .58939 L
.10417 .59422 L
.10371 .59905 L
.10321 .60388 L
.10267 .60872 L
.10209 .61355 L
.10145 .61838 L
.10137 .61896 L
.10079 .62321 L
.10005 .62804 L
.09921 .63288 L
.09824 .63771 L
.0971 .64254 L
.09654 .64459 L
.09575 .64737 L
.09412 .6522 L
.0918 .65704 L
.09171 .65718 L
.08688 .65984 L
.08407 .65704 L
.08204 .65309 L
.0816 .6522 L
.07971 .64737 L
.07845 .64254 L
.07755 .63771 L
.07721 .63555 L
.07668 .63288 L
.07582 .62804 L
.07504 .62321 L
.07435 .61838 L
.07371 .61355 L
.07314 .60872 L
.0726 .60388 L
.07238 .60175 L
.07211 .59905 L
.07166 .59422 L
.07124 .58939 L
.07085 .58456 L
.07049 .57973 L
.07016 .57489 L
.06985 .57006 L
.06957 .56523 L
.06931 .5604 L
.06907 .55557 L
.06885 .55073 L
.06866 .5459 L
.06848 .54107 L
.06833 .53624 L
.0682 .53141 L
.06808 .52658 L
.06799 .52174 L
.06791 .51691 L
.06786 .51208 L
.06782 .50725 L
.0678 .50242 L
.0678 .49758 L
.06782 .49275 L
.06786 .48792 L
.06791 .48309 L
.06799 .47826 L
.06808 .47342 L
.0682 .46859 L
.06833 .46376 L
.06848 .45893 L
.06866 .4541 L
.06885 .44927 L
.06907 .44443 L
.06931 .4396 L
.06957 .43477 L
.06985 .42994 L
.07016 .42511 L
.07049 .42027 L
.07085 .41544 L
.07124 .41061 L
.07166 .40578 L
.07211 .40095 L
.07238 .39825 L
.0726 .39612 L
.07314 .39128 L
.07371 .38645 L
.07435 .38162 L
.07504 .37679 L
.07582 .37196 L
.07668 .36712 L
.07721 .36445 L
.07755 .36229 L
.07845 .35746 L
.07971 .35263 L
.0816 .3478 L
.08204 .34691 L
.08407 .34296 L
F
1 .653 0 r
.08688 .34114 m
.09108 .34296 L
.09171 .34382 L
.09371 .3478 L
.09543 .35263 L
.09654 .35649 L
.09681 .35746 L
.09799 .36229 L
.09899 .36712 L
.09985 .37196 L
.1006 .37679 L
.10128 .38162 L
.10137 .38235 L
.10192 .38645 L
.10251 .39128 L
.10305 .39612 L
.10355 .40095 L
.10401 .40578 L
.10444 .41061 L
.10484 .41544 L
.10521 .42027 L
.10555 .42511 L
.10586 .42994 L
.10615 .43477 L
.1062 .4357 L
.1064 .4396 L
.10663 .44443 L
.10684 .44927 L
.10703 .4541 L
.10719 .45893 L
.10734 .46376 L
.10747 .46859 L
.10758 .47342 L
.10767 .47826 L
.10775 .48309 L
.1078 .48792 L
.10784 .49275 L
.10786 .49758 L
.10786 .50242 L
.10784 .50725 L
.1078 .51208 L
.10775 .51691 L
.10767 .52174 L
.10758 .52658 L
.10747 .53141 L
.10734 .53624 L
.10719 .54107 L
.10703 .5459 L
.10684 .55073 L
.10663 .55557 L
.1064 .5604 L
.1062 .5643 L
.10615 .56523 L
.10586 .57006 L
.10555 .57489 L
.10521 .57973 L
.10484 .58456 L
.10444 .58939 L
.10401 .59422 L
.10355 .59905 L
.10305 .60388 L
.10251 .60872 L
.10192 .61355 L
.10137 .61765 L
.10128 .61838 L
.1006 .62321 L
.09985 .62804 L
.09899 .63288 L
.09799 .63771 L
.09681 .64254 L
.09654 .64351 L
.09543 .64737 L
.09371 .6522 L
.09171 .65618 L
.09108 .65704 L
.08688 .65886 L
.08477 .65704 L
.0821 .6522 L
.08204 .65208 L
.08006 .64737 L
.07869 .64254 L
.07773 .63771 L
.07721 .6344 L
.07691 .63288 L
.07602 .62804 L
.07524 .62321 L
.07453 .61838 L
.07389 .61355 L
.0733 .60872 L
.07276 .60388 L
.07238 .60021 L
.07227 .59905 L
.07181 .59422 L
.07139 .58939 L
.071 .58456 L
.07063 .57973 L
.0703 .57489 L
.06999 .57006 L
.0697 .56523 L
.06944 .5604 L
.0692 .55557 L
.06898 .55073 L
.06879 .5459 L
.06861 .54107 L
.06846 .53624 L
.06832 .53141 L
.06821 .52658 L
.06811 .52174 L
.06804 .51691 L
.06798 .51208 L
.06794 .50725 L
.06792 .50242 L
.06792 .49758 L
.06794 .49275 L
.06798 .48792 L
.06804 .48309 L
.06811 .47826 L
.06821 .47342 L
.06832 .46859 L
.06846 .46376 L
.06861 .45893 L
.06879 .4541 L
.06898 .44927 L
.0692 .44443 L
.06944 .4396 L
.0697 .43477 L
.06999 .42994 L
.0703 .42511 L
.07063 .42027 L
.071 .41544 L
.07139 .41061 L
.07181 .40578 L
.07227 .40095 L
.07238 .39979 L
.07276 .39612 L
.0733 .39128 L
.07389 .38645 L
.07453 .38162 L
.07524 .37679 L
.07602 .37196 L
.07691 .36712 L
.07721 .3656 L
.07773 .36229 L
.07869 .35746 L
.08006 .35263 L
.08204 .34792 L
.0821 .3478 L
.08477 .34296 L
F
1 .649 0 r
.08688 .3421 m
.09015 .34296 L
.09171 .3448 L
.09328 .3478 L
.0951 .35263 L
.09651 .35746 L
.09654 .35756 L
.09774 .36229 L
.09877 .36712 L
.09965 .37196 L
.10042 .37679 L
.1011 .38162 L
.10137 .38366 L
.10174 .38645 L
.10234 .39128 L
.10289 .39612 L
.1034 .40095 L
.10386 .40578 L
.1043 .41061 L
.1047 .41544 L
.10507 .42027 L
.10541 .42511 L
.10573 .42994 L
.10602 .43477 L
.1062 .43813 L
.10628 .4396 L
.10651 .44443 L
.10672 .44927 L
.1069 .4541 L
.10707 .45893 L
.10722 .46376 L
.10735 .46859 L
.10746 .47342 L
.10755 .47826 L
.10763 .48309 L
.10768 .48792 L
.10772 .49275 L
.10774 .49758 L
.10774 .50242 L
.10772 .50725 L
.10768 .51208 L
.10763 .51691 L
.10755 .52174 L
.10746 .52658 L
.10735 .53141 L
.10722 .53624 L
.10707 .54107 L
.1069 .5459 L
.10672 .55073 L
.10651 .55557 L
.10628 .5604 L
.1062 .56187 L
.10602 .56523 L
.10573 .57006 L
.10541 .57489 L
.10507 .57973 L
.1047 .58456 L
.1043 .58939 L
.10386 .59422 L
.1034 .59905 L
.10289 .60388 L
.10234 .60872 L
.10174 .61355 L
.10137 .61634 L
.1011 .61838 L
.10042 .62321 L
.09965 .62804 L
.09877 .63288 L
.09774 .63771 L
.09654 .64244 L
.09651 .64254 L
.0951 .64737 L
.09328 .6522 L
.09171 .6552 L
.09015 .65704 L
.08688 .6579 L
.08565 .65704 L
.08254 .6522 L
.08204 .65106 L
.08043 .64737 L
.07895 .64254 L
.07793 .63771 L
.07721 .63325 L
.07714 .63288 L
.07623 .62804 L
.07543 .62321 L
.07471 .61838 L
.07406 .61355 L
.07347 .60872 L
.07292 .60388 L
.07242 .59905 L
.07238 .59867 L
.07196 .59422 L
.07153 .58939 L
.07114 .58456 L
.07077 .57973 L
.07043 .57489 L
.07012 .57006 L
.06984 .56523 L
.06957 .5604 L
.06933 .55557 L
.06911 .55073 L
.06891 .5459 L
.06874 .54107 L
.06858 .53624 L
.06845 .53141 L
.06833 .52658 L
.06824 .52174 L
.06816 .51691 L
.0681 .51208 L
.06807 .50725 L
.06805 .50242 L
.06805 .49758 L
.06807 .49275 L
.0681 .48792 L
.06816 .48309 L
.06824 .47826 L
.06833 .47342 L
.06845 .46859 L
.06858 .46376 L
.06874 .45893 L
.06891 .4541 L
.06911 .44927 L
.06933 .44443 L
.06957 .4396 L
.06984 .43477 L
.07012 .42994 L
.07043 .42511 L
.07077 .42027 L
.07114 .41544 L
.07153 .41061 L
.07196 .40578 L
.07238 .40133 L
.07242 .40095 L
.07292 .39612 L
.07347 .39128 L
.07406 .38645 L
.07471 .38162 L
.07543 .37679 L
.07623 .37196 L
.07714 .36712 L
.07721 .36675 L
.07793 .36229 L
.07895 .35746 L
.08043 .35263 L
.08204 .34894 L
.08254 .3478 L
.08565 .34296 L
F
1 .644 0 r
.08688 .34307 m
.09171 .34578 L
.09281 .3478 L
.09476 .35263 L
.09623 .35746 L
.09654 .35863 L
.09748 .36229 L
.09854 .36712 L
.09944 .37196 L
.10023 .37679 L
.10093 .38162 L
.10137 .38497 L
.10157 .38645 L
.10217 .39128 L
.10273 .39612 L
.10324 .40095 L
.10371 .40578 L
.10415 .41061 L
.10455 .41544 L
.10493 .42027 L
.10527 .42511 L
.10559 .42994 L
.10588 .43477 L
.10615 .4396 L
.1062 .44063 L
.10638 .44443 L
.10659 .44927 L
.10678 .4541 L
.10695 .45893 L
.1071 .46376 L
.10723 .46859 L
.10734 .47342 L
.10743 .47826 L
.10751 .48309 L
.10756 .48792 L
.1076 .49275 L
.10762 .49758 L
.10762 .50242 L
.1076 .50725 L
.10756 .51208 L
.10751 .51691 L
.10743 .52174 L
.10734 .52658 L
.10723 .53141 L
.1071 .53624 L
.10695 .54107 L
.10678 .5459 L
.10659 .55073 L
.10638 .55557 L
.1062 .55937 L
.10615 .5604 L
.10588 .56523 L
.10559 .57006 L
.10527 .57489 L
.10493 .57973 L
.10455 .58456 L
.10415 .58939 L
.10371 .59422 L
.10324 .59905 L
.10273 .60388 L
.10217 .60872 L
.10157 .61355 L
.10137 .61503 L
.10093 .61838 L
.10023 .62321 L
.09944 .62804 L
.09854 .63288 L
.09748 .63771 L
.09654 .64137 L
.09623 .64254 L
.09476 .64737 L
.09281 .6522 L
.09171 .65422 L
.08688 .65693 L
.08302 .6522 L
.08204 .65006 L
.08082 .64737 L
.07923 .64254 L
.07813 .63771 L
.07732 .63288 L
.07721 .63211 L
.07644 .62804 L
.07563 .62321 L
.07489 .61838 L
.07423 .61355 L
.07363 .60872 L
.07308 .60388 L
.07257 .59905 L
.07238 .59713 L
.07211 .59422 L
.07168 .58939 L
.07128 .58456 L
.07091 .57973 L
.07057 .57489 L
.07026 .57006 L
.06997 .56523 L
.0697 .5604 L
.06946 .55557 L
.06924 .55073 L
.06904 .5459 L
.06887 .54107 L
.06871 .53624 L
.06857 .53141 L
.06846 .52658 L
.06836 .52174 L
.06829 .51691 L
.06823 .51208 L
.06819 .50725 L
.06817 .50242 L
.06817 .49758 L
.06819 .49275 L
.06823 .48792 L
.06829 .48309 L
.06836 .47826 L
.06846 .47342 L
.06857 .46859 L
.06871 .46376 L
.06887 .45893 L
.06904 .4541 L
.06924 .44927 L
.06946 .44443 L
.0697 .4396 L
.06997 .43477 L
.07026 .42994 L
.07057 .42511 L
.07091 .42027 L
.07128 .41544 L
.07168 .41061 L
.07211 .40578 L
.07238 .40287 L
.07257 .40095 L
.07308 .39612 L
.07363 .39128 L
.07423 .38645 L
.07489 .38162 L
.07563 .37679 L
.07644 .37196 L
.07721 .36789 L
.07732 .36712 L
.07813 .36229 L
.07923 .35746 L
.08082 .35263 L
.08204 .34994 L
.08302 .3478 L
F
1 .64 0 r
.08688 .34402 m
.09171 .34675 L
.09231 .3478 L
.0944 .35263 L
.09594 .35746 L
.09654 .35969 L
.09722 .36229 L
.09831 .36712 L
.09924 .37196 L
.10004 .37679 L
.10075 .38162 L
.10137 .38628 L
.1014 .38645 L
.10201 .39128 L
.10257 .39612 L
.10309 .40095 L
.10356 .40578 L
.104 .41061 L
.10441 .41544 L
.10479 .42027 L
.10514 .42511 L
.10546 .42994 L
.10575 .43477 L
.10602 .4396 L
.1062 .44321 L
.10626 .44443 L
.10647 .44927 L
.10666 .4541 L
.10683 .45893 L
.10698 .46376 L
.10711 .46859 L
.10722 .47342 L
.10732 .47826 L
.10739 .48309 L
.10744 .48792 L
.10748 .49275 L
.1075 .49758 L
.1075 .50242 L
.10748 .50725 L
.10744 .51208 L
.10739 .51691 L
.10732 .52174 L
.10722 .52658 L
.10711 .53141 L
.10698 .53624 L
.10683 .54107 L
.10666 .5459 L
.10647 .55073 L
.10626 .55557 L
.1062 .55679 L
.10602 .5604 L
.10575 .56523 L
.10546 .57006 L
.10514 .57489 L
.10479 .57973 L
.10441 .58456 L
.104 .58939 L
.10356 .59422 L
.10309 .59905 L
.10257 .60388 L
.10201 .60872 L
.1014 .61355 L
.10137 .61372 L
.10075 .61838 L
.10004 .62321 L
.09924 .62804 L
.09831 .63288 L
.09722 .63771 L
.09654 .64031 L
.09594 .64254 L
.0944 .64737 L
.09231 .6522 L
.09171 .65325 L
.08688 .65598 L
.08353 .6522 L
.08204 .64906 L
.08125 .64737 L
.07952 .64254 L
.07834 .63771 L
.07749 .63288 L
.07721 .63097 L
.07665 .62804 L
.07582 .62321 L
.07508 .61838 L
.07441 .61355 L
.0738 .60872 L
.07324 .60388 L
.07272 .59905 L
.07238 .59557 L
.07225 .59422 L
.07182 .58939 L
.07142 .58456 L
.07105 .57973 L
.07071 .57489 L
.07039 .57006 L
.0701 .56523 L
.06983 .5604 L
.06959 .55557 L
.06937 .55073 L
.06917 .5459 L
.06899 .54107 L
.06883 .53624 L
.0687 .53141 L
.06858 .52658 L
.06848 .52174 L
.06841 .51691 L
.06835 .51208 L
.06831 .50725 L
.06829 .50242 L
.06829 .49758 L
.06831 .49275 L
.06835 .48792 L
.06841 .48309 L
.06848 .47826 L
.06858 .47342 L
.0687 .46859 L
.06883 .46376 L
.06899 .45893 L
.06917 .4541 L
.06937 .44927 L
.06959 .44443 L
.06983 .4396 L
.0701 .43477 L
.07039 .42994 L
.07071 .42511 L
.07105 .42027 L
.07142 .41544 L
.07182 .41061 L
.07225 .40578 L
.07238 .40443 L
.07272 .40095 L
.07324 .39612 L
.0738 .39128 L
.07441 .38645 L
.07508 .38162 L
.07582 .37679 L
.07665 .37196 L
.07721 .36903 L
.07749 .36712 L
.07834 .36229 L
.07952 .35746 L
.08125 .35263 L
.08204 .35094 L
.08353 .3478 L
F
1 .635 0 r
.08688 .34497 m
.09171 .34772 L
.09176 .3478 L
.09403 .35263 L
.09564 .35746 L
.09654 .36075 L
.09695 .36229 L
.09808 .36712 L
.09903 .37196 L
.09985 .37679 L
.10058 .38162 L
.10123 .38645 L
.10137 .38758 L
.10184 .39128 L
.10241 .39612 L
.10293 .40095 L
.10341 .40578 L
.10386 .41061 L
.10427 .41544 L
.10465 .42027 L
.105 .42511 L
.10532 .42994 L
.10562 .43477 L
.10589 .4396 L
.10614 .44443 L
.1062 .44587 L
.10635 .44927 L
.10654 .4541 L
.10671 .45893 L
.10686 .46376 L
.10699 .46859 L
.10711 .47342 L
.1072 .47826 L
.10727 .48309 L
.10733 .48792 L
.10736 .49275 L
.10738 .49758 L
.10738 .50242 L
.10736 .50725 L
.10733 .51208 L
.10727 .51691 L
.1072 .52174 L
.10711 .52658 L
.10699 .53141 L
.10686 .53624 L
.10671 .54107 L
.10654 .5459 L
.10635 .55073 L
.1062 .55413 L
.10614 .55557 L
.10589 .5604 L
.10562 .56523 L
.10532 .57006 L
.105 .57489 L
.10465 .57973 L
.10427 .58456 L
.10386 .58939 L
.10341 .59422 L
.10293 .59905 L
.10241 .60388 L
.10184 .60872 L
.10137 .61242 L
.10123 .61355 L
.10058 .61838 L
.09985 .62321 L
.09903 .62804 L
.09808 .63288 L
.09695 .63771 L
.09654 .63925 L
.09564 .64254 L
.09403 .64737 L
.09176 .6522 L
.09171 .65228 L
.08688 .65503 L
.08411 .6522 L
.08204 .64807 L
.08171 .64737 L
.07983 .64254 L
.07857 .63771 L
.07767 .63288 L
.07721 .62984 L
.07687 .62804 L
.07602 .62321 L
.07526 .61838 L
.07458 .61355 L
.07396 .60872 L
.0734 .60388 L
.07288 .59905 L
.0724 .59422 L
.07238 .59402 L
.07196 .58939 L
.07156 .58456 L
.07119 .57973 L
.07084 .57489 L
.07052 .57006 L
.07023 .56523 L
.06996 .5604 L
.06972 .55557 L
.0695 .55073 L
.06929 .5459 L
.06912 .54107 L
.06896 .53624 L
.06882 .53141 L
.0687 .52658 L
.06861 .52174 L
.06853 .51691 L
.06847 .51208 L
.06843 .50725 L
.06841 .50242 L
.06841 .49758 L
.06843 .49275 L
.06847 .48792 L
.06853 .48309 L
.06861 .47826 L
.0687 .47342 L
.06882 .46859 L
.06896 .46376 L
.06912 .45893 L
.06929 .4541 L
.0695 .44927 L
.06972 .44443 L
.06996 .4396 L
.07023 .43477 L
.07052 .42994 L
.07084 .42511 L
.07119 .42027 L
.07156 .41544 L
.07196 .41061 L
.07238 .40598 L
.0724 .40578 L
.07288 .40095 L
.0734 .39612 L
.07396 .39128 L
.07458 .38645 L
.07526 .38162 L
.07602 .37679 L
.07687 .37196 L
.07721 .37016 L
.07767 .36712 L
.07857 .36229 L
.07983 .35746 L
.08171 .35263 L
.08204 .35193 L
.08411 .3478 L
F
1 .631 0 r
.08688 .34591 m
.09108 .3478 L
.09171 .34868 L
.09364 .35263 L
.09533 .35746 L
.09654 .3618 L
.09667 .36229 L
.09784 .36712 L
.09882 .37196 L
.09966 .37679 L
.1004 .38162 L
.10106 .38645 L
.10137 .38889 L
.10168 .39128 L
.10225 .39612 L
.10278 .40095 L
.10327 .40578 L
.10371 .41061 L
.10413 .41544 L
.10451 .42027 L
.10486 .42511 L
.10519 .42994 L
.10549 .43477 L
.10576 .4396 L
.10601 .44443 L
.1062 .44863 L
.10623 .44927 L
.10642 .4541 L
.10659 .45893 L
.10674 .46376 L
.10688 .46859 L
.10699 .47342 L
.10708 .47826 L
.10716 .48309 L
.10721 .48792 L
.10725 .49275 L
.10727 .49758 L
.10727 .50242 L
.10725 .50725 L
.10721 .51208 L
.10716 .51691 L
.10708 .52174 L
.10699 .52658 L
.10688 .53141 L
.10674 .53624 L
.10659 .54107 L
.10642 .5459 L
.10623 .55073 L
.1062 .55137 L
.10601 .55557 L
.10576 .5604 L
.10549 .56523 L
.10519 .57006 L
.10486 .57489 L
.10451 .57973 L
.10413 .58456 L
.10371 .58939 L
.10327 .59422 L
.10278 .59905 L
.10225 .60388 L
.10168 .60872 L
.10137 .61111 L
.10106 .61355 L
.1004 .61838 L
.09966 .62321 L
.09882 .62804 L
.09784 .63288 L
.09667 .63771 L
.09654 .6382 L
.09533 .64254 L
.09364 .64737 L
.09171 .65132 L
.09108 .6522 L
.08688 .65409 L
.08477 .6522 L
.08217 .64737 L
.08204 .64708 L
.08017 .64254 L
.07881 .63771 L
.07785 .63288 L
.07721 .62871 L
.07708 .62804 L
.07622 .62321 L
.07544 .61838 L
.07475 .61355 L
.07412 .60872 L
.07355 .60388 L
.07303 .59905 L
.07255 .59422 L
.07238 .59245 L
.07211 .58939 L
.0717 .58456 L
.07132 .57973 L
.07098 .57489 L
.07066 .57006 L
.07036 .56523 L
.07009 .5604 L
.06984 .55557 L
.06962 .55073 L
.06942 .5459 L
.06924 .54107 L
.06908 .53624 L
.06894 .53141 L
.06883 .52658 L
.06873 .52174 L
.06865 .51691 L
.06859 .51208 L
.06855 .50725 L
.06853 .50242 L
.06853 .49758 L
.06855 .49275 L
.06859 .48792 L
.06865 .48309 L
.06873 .47826 L
.06883 .47342 L
.06894 .46859 L
.06908 .46376 L
.06924 .45893 L
.06942 .4541 L
.06962 .44927 L
.06984 .44443 L
.07009 .4396 L
.07036 .43477 L
.07066 .42994 L
.07098 .42511 L
.07132 .42027 L
.0717 .41544 L
.07211 .41061 L
.07238 .40755 L
.07255 .40578 L
.07303 .40095 L
.07355 .39612 L
.07412 .39128 L
.07475 .38645 L
.07544 .38162 L
.07622 .37679 L
.07708 .37196 L
.07721 .37129 L
.07785 .36712 L
.07881 .36229 L
.08017 .35746 L
.08204 .35292 L
.08217 .35263 L
.08477 .3478 L
F
1 .626 0 r
.08688 .34685 m
.09022 .3478 L
.09171 .34963 L
.09323 .35263 L
.09501 .35746 L
.0964 .36229 L
.09654 .36285 L
.0976 .36712 L
.09861 .37196 L
.09947 .37679 L
.10023 .38162 L
.1009 .38645 L
.10137 .39019 L
.10151 .39128 L
.10209 .39612 L
.10263 .40095 L
.10312 .40578 L
.10357 .41061 L
.10399 .41544 L
.10437 .42027 L
.10473 .42511 L
.10505 .42994 L
.10535 .43477 L
.10563 .4396 L
.10588 .44443 L
.10611 .44927 L
.1062 .45152 L
.1063 .4541 L
.10648 .45893 L
.10663 .46376 L
.10676 .46859 L
.10687 .47342 L
.10697 .47826 L
.10704 .48309 L
.1071 .48792 L
.10713 .49275 L
.10715 .49758 L
.10715 .50242 L
.10713 .50725 L
.1071 .51208 L
.10704 .51691 L
.10697 .52174 L
.10687 .52658 L
.10676 .53141 L
.10663 .53624 L
.10648 .54107 L
.1063 .5459 L
.1062 .54848 L
.10611 .55073 L
.10588 .55557 L
.10563 .5604 L
.10535 .56523 L
.10505 .57006 L
.10473 .57489 L
.10437 .57973 L
.10399 .58456 L
.10357 .58939 L
.10312 .59422 L
.10263 .59905 L
.10209 .60388 L
.10151 .60872 L
.10137 .60981 L
.1009 .61355 L
.10023 .61838 L
.09947 .62321 L
.09861 .62804 L
.0976 .63288 L
.09654 .63715 L
.0964 .63771 L
.09501 .64254 L
.09323 .64737 L
.09171 .65037 L
.09022 .6522 L
.08688 .65315 L
.08559 .6522 L
.08258 .64737 L
.08204 .64609 L
.08052 .64254 L
.07906 .63771 L
.07804 .63288 L
.07728 .62804 L
.07721 .62759 L
.07642 .62321 L
.07563 .61838 L
.07493 .61355 L
.07429 .60872 L
.07371 .60388 L
.07318 .59905 L
.07269 .59422 L
.07238 .59088 L
.07225 .58939 L
.07184 .58456 L
.07146 .57973 L
.07111 .57489 L
.07079 .57006 L
.07049 .56523 L
.07022 .5604 L
.06997 .55557 L
.06975 .55073 L
.06954 .5459 L
.06936 .54107 L
.0692 .53624 L
.06907 .53141 L
.06895 .52658 L
.06885 .52174 L
.06877 .51691 L
.06871 .51208 L
.06867 .50725 L
.06865 .50242 L
.06865 .49758 L
.06867 .49275 L
.06871 .48792 L
.06877 .48309 L
.06885 .47826 L
.06895 .47342 L
.06907 .46859 L
.0692 .46376 L
.06936 .45893 L
.06954 .4541 L
.06975 .44927 L
.06997 .44443 L
.07022 .4396 L
.07049 .43477 L
.07079 .42994 L
.07111 .42511 L
.07146 .42027 L
.07184 .41544 L
.07225 .41061 L
.07238 .40912 L
.07269 .40578 L
.07318 .40095 L
.07371 .39612 L
.07429 .39128 L
.07493 .38645 L
.07563 .38162 L
.07642 .37679 L
.07721 .37241 L
.07728 .37196 L
.07804 .36712 L
.07906 .36229 L
.08052 .35746 L
.08204 .35391 L
.08258 .35263 L
.08559 .3478 L
F
1 .622 0 r
.08688 .34779 m
.08879 .3478 L
.09171 .35058 L
.09279 .35263 L
.09469 .35746 L
.09613 .36229 L
.09654 .36389 L
.09735 .36712 L
.09839 .37196 L
.09928 .37679 L
.10005 .38162 L
.10073 .38645 L
.10135 .39128 L
.10137 .39149 L
.10193 .39612 L
.10247 .40095 L
.10297 .40578 L
.10343 .41061 L
.10385 .41544 L
.10424 .42027 L
.10459 .42511 L
.10492 .42994 L
.10522 .43477 L
.1055 .4396 L
.10575 .44443 L
.10598 .44927 L
.10619 .4541 L
.1062 .45455 L
.10636 .45893 L
.10651 .46376 L
.10665 .46859 L
.10676 .47342 L
.10685 .47826 L
.10693 .48309 L
.10698 .48792 L
.10702 .49275 L
.10704 .49758 L
.10704 .50242 L
.10702 .50725 L
.10698 .51208 L
.10693 .51691 L
.10685 .52174 L
.10676 .52658 L
.10665 .53141 L
.10651 .53624 L
.10636 .54107 L
.1062 .54545 L
.10619 .5459 L
.10598 .55073 L
.10575 .55557 L
.1055 .5604 L
.10522 .56523 L
.10492 .57006 L
.10459 .57489 L
.10424 .57973 L
.10385 .58456 L
.10343 .58939 L
.10297 .59422 L
.10247 .59905 L
.10193 .60388 L
.10137 .60851 L
.10135 .60872 L
.10073 .61355 L
.10005 .61838 L
.09928 .62321 L
.09839 .62804 L
.09735 .63288 L
.09654 .63611 L
.09613 .63771 L
.09469 .64254 L
.09279 .64737 L
.09171 .64942 L
.08879 .6522 L
.08688 .65221 L
.08685 .6522 L
.08303 .64737 L
.08204 .64512 L
.0809 .64254 L
.07933 .63771 L
.07824 .63288 L
.07744 .62804 L
.07721 .62647 L
.07662 .62321 L
.07582 .61838 L
.0751 .61355 L
.07446 .60872 L
.07387 .60388 L
.07333 .59905 L
.07284 .59422 L
.07239 .58939 L
.07238 .5893 L
.07198 .58456 L
.07159 .57973 L
.07124 .57489 L
.07092 .57006 L
.07062 .56523 L
.07035 .5604 L
.0701 .55557 L
.06987 .55073 L
.06967 .5459 L
.06949 .54107 L
.06933 .53624 L
.06919 .53141 L
.06907 .52658 L
.06897 .52174 L
.06889 .51691 L
.06883 .51208 L
.06879 .50725 L
.06877 .50242 L
.06877 .49758 L
.06879 .49275 L
.06883 .48792 L
.06889 .48309 L
.06897 .47826 L
.06907 .47342 L
.06919 .46859 L
.06933 .46376 L
.06949 .45893 L
.06967 .4541 L
.06987 .44927 L
.0701 .44443 L
.07035 .4396 L
.07062 .43477 L
.07092 .42994 L
.07124 .42511 L
.07159 .42027 L
.07198 .41544 L
.07238 .4107 L
.07239 .41061 L
.07284 .40578 L
.07333 .40095 L
.07387 .39612 L
.07446 .39128 L
.0751 .38645 L
.07582 .38162 L
.07662 .37679 L
.07721 .37353 L
.07744 .37196 L
.07824 .36712 L
.07933 .36229 L
.0809 .35746 L
.08204 .35488 L
.08303 .35263 L
.08685 .3478 L
F
1 .617 0 r
.08688 .34871 m
.09171 .35153 L
.09232 .35263 L
.09435 .35746 L
.09585 .36229 L
.09654 .36493 L
.0971 .36712 L
.09817 .37196 L
.09908 .37679 L
.09987 .38162 L
.10056 .38645 L
.10119 .39128 L
.10137 .3928 L
.10178 .39612 L
.10232 .40095 L
.10282 .40578 L
.10328 .41061 L
.10371 .41544 L
.1041 .42027 L
.10446 .42511 L
.10479 .42994 L
.1051 .43477 L
.10537 .4396 L
.10563 .44443 L
.10586 .44927 L
.10606 .4541 L
.1062 .45776 L
.10624 .45893 L
.1064 .46376 L
.10653 .46859 L
.10664 .47342 L
.10674 .47826 L
.10681 .48309 L
.10687 .48792 L
.10691 .49275 L
.10693 .49758 L
.10693 .50242 L
.10691 .50725 L
.10687 .51208 L
.10681 .51691 L
.10674 .52174 L
.10664 .52658 L
.10653 .53141 L
.1064 .53624 L
.10624 .54107 L
.1062 .54224 L
.10606 .5459 L
.10586 .55073 L
.10563 .55557 L
.10537 .5604 L
.1051 .56523 L
.10479 .57006 L
.10446 .57489 L
.1041 .57973 L
.10371 .58456 L
.10328 .58939 L
.10282 .59422 L
.10232 .59905 L
.10178 .60388 L
.10137 .6072 L
.10119 .60872 L
.10056 .61355 L
.09987 .61838 L
.09908 .62321 L
.09817 .62804 L
.0971 .63288 L
.09654 .63507 L
.09585 .63771 L
.09435 .64254 L
.09232 .64737 L
.09171 .64847 L
.08688 .65129 L
.08352 .64737 L
.08204 .64414 L
.08131 .64254 L
.07961 .63771 L
.07844 .63288 L
.0776 .62804 L
.07721 .62535 L
.07682 .62321 L
.076 .61838 L
.07528 .61355 L
.07462 .60872 L
.07403 .60388 L
.07348 .59905 L
.07299 .59422 L
.07253 .58939 L
.07238 .58771 L
.07211 .58456 L
.07173 .57973 L
.07137 .57489 L
.07105 .57006 L
.07075 .56523 L
.07047 .5604 L
.07022 .55557 L
.06999 .55073 L
.06979 .5459 L
.06961 .54107 L
.06945 .53624 L
.06931 .53141 L
.06919 .52658 L
.06909 .52174 L
.06901 .51691 L
.06895 .51208 L
.06891 .50725 L
.06889 .50242 L
.06889 .49758 L
.06891 .49275 L
.06895 .48792 L
.06901 .48309 L
.06909 .47826 L
.06919 .47342 L
.06931 .46859 L
.06945 .46376 L
.06961 .45893 L
.06979 .4541 L
.06999 .44927 L
.07022 .44443 L
.07047 .4396 L
.07075 .43477 L
.07105 .42994 L
.07137 .42511 L
.07173 .42027 L
.07211 .41544 L
.07238 .41229 L
.07253 .41061 L
.07299 .40578 L
.07348 .40095 L
.07403 .39612 L
.07462 .39128 L
.07528 .38645 L
.076 .38162 L
.07682 .37679 L
.07721 .37465 L
.0776 .37196 L
.07844 .36712 L
.07961 .36229 L
.08131 .35746 L
.08204 .35586 L
.08352 .35263 L
F
1 .613 0 r
.08688 .34963 m
.09171 .35247 L
.0918 .35263 L
.094 .35746 L
.09556 .36229 L
.09654 .36596 L
.09684 .36712 L
.09794 .37196 L
.09888 .37679 L
.09969 .38162 L
.1004 .38645 L
.10103 .39128 L
.10137 .3941 L
.10162 .39612 L
.10217 .40095 L
.10267 .40578 L
.10314 .41061 L
.10357 .41544 L
.10396 .42027 L
.10433 .42511 L
.10466 .42994 L
.10497 .43477 L
.10525 .4396 L
.1055 .44443 L
.10573 .44927 L
.10594 .4541 L
.10613 .45893 L
.1062 .46119 L
.10628 .46376 L
.10642 .46859 L
.10653 .47342 L
.10663 .47826 L
.1067 .48309 L
.10676 .48792 L
.1068 .49275 L
.10682 .49758 L
.10682 .50242 L
.1068 .50725 L
.10676 .51208 L
.1067 .51691 L
.10663 .52174 L
.10653 .52658 L
.10642 .53141 L
.10628 .53624 L
.1062 .53881 L
.10613 .54107 L
.10594 .5459 L
.10573 .55073 L
.1055 .55557 L
.10525 .5604 L
.10497 .56523 L
.10466 .57006 L
.10433 .57489 L
.10396 .57973 L
.10357 .58456 L
.10314 .58939 L
.10267 .59422 L
.10217 .59905 L
.10162 .60388 L
.10137 .6059 L
.10103 .60872 L
.1004 .61355 L
.09969 .61838 L
.09888 .62321 L
.09794 .62804 L
.09684 .63288 L
.09654 .63404 L
.09556 .63771 L
.094 .64254 L
.0918 .64737 L
.09171 .64753 L
.08688 .65037 L
.08406 .64737 L
.08204 .64318 L
.08174 .64254 L
.07991 .63771 L
.07866 .63288 L
.07777 .62804 L
.07721 .62424 L
.07702 .62321 L
.07619 .61838 L
.07545 .61355 L
.07479 .60872 L
.07418 .60388 L
.07364 .59905 L
.07313 .59422 L
.07267 .58939 L
.07238 .58611 L
.07225 .58456 L
.07186 .57973 L
.0715 .57489 L
.07118 .57006 L
.07087 .56523 L
.0706 .5604 L
.07035 .55557 L
.07012 .55073 L
.06991 .5459 L
.06973 .54107 L
.06957 .53624 L
.06942 .53141 L
.0693 .52658 L
.06921 .52174 L
.06913 .51691 L
.06907 .51208 L
.06903 .50725 L
.06901 .50242 L
.06901 .49758 L
.06903 .49275 L
.06907 .48792 L
.06913 .48309 L
.06921 .47826 L
.0693 .47342 L
.06942 .46859 L
.06957 .46376 L
.06973 .45893 L
.06991 .4541 L
.07012 .44927 L
.07035 .44443 L
.0706 .4396 L
.07087 .43477 L
.07118 .42994 L
.0715 .42511 L
.07186 .42027 L
.07225 .41544 L
.07238 .41389 L
.07267 .41061 L
.07313 .40578 L
.07364 .40095 L
.07418 .39612 L
.07479 .39128 L
.07545 .38645 L
.07619 .38162 L
.07702 .37679 L
.07721 .37576 L
.07777 .37196 L
.07866 .36712 L
.07991 .36229 L
.08174 .35746 L
.08204 .35682 L
.08406 .35263 L
F
1 .609 0 r
.08688 .35055 m
.09118 .35263 L
.09171 .3534 L
.09363 .35746 L
.09527 .36229 L
.09654 .36699 L
.09658 .36712 L
.09772 .37196 L
.09868 .37679 L
.0995 .38162 L
.10023 .38645 L
.10087 .39128 L
.10137 .39541 L
.10146 .39612 L
.10202 .40095 L
.10253 .40578 L
.103 .41061 L
.10343 .41544 L
.10383 .42027 L
.10419 .42511 L
.10453 .42994 L
.10484 .43477 L
.10512 .4396 L
.10538 .44443 L
.10561 .44927 L
.10582 .4541 L
.106 .45893 L
.10617 .46376 L
.1062 .46491 L
.1063 .46859 L
.10642 .47342 L
.10651 .47826 L
.10659 .48309 L
.10665 .48792 L
.10669 .49275 L
.1067 .49758 L
.1067 .50242 L
.10669 .50725 L
.10665 .51208 L
.10659 .51691 L
.10651 .52174 L
.10642 .52658 L
.1063 .53141 L
.1062 .53509 L
.10617 .53624 L
.106 .54107 L
.10582 .5459 L
.10561 .55073 L
.10538 .55557 L
.10512 .5604 L
.10484 .56523 L
.10453 .57006 L
.10419 .57489 L
.10383 .57973 L
.10343 .58456 L
.103 .58939 L
.10253 .59422 L
.10202 .59905 L
.10146 .60388 L
.10137 .60459 L
.10087 .60872 L
.10023 .61355 L
.0995 .61838 L
.09868 .62321 L
.09772 .62804 L
.09658 .63288 L
.09654 .63301 L
.09527 .63771 L
.09363 .64254 L
.09171 .6466 L
.09118 .64737 L
.08688 .64945 L
.08467 .64737 L
.08217 .64254 L
.08204 .64221 L
.08023 .63771 L
.07889 .63288 L
.07795 .62804 L
.07722 .62321 L
.07721 .62312 L
.07638 .61838 L
.07563 .61355 L
.07495 .60872 L
.07434 .60388 L
.07379 .59905 L
.07328 .59422 L
.07281 .58939 L
.07239 .58456 L
.07238 .5845 L
.07199 .57973 L
.07163 .57489 L
.0713 .57006 L
.071 .56523 L
.07072 .5604 L
.07047 .55557 L
.07024 .55073 L
.07003 .5459 L
.06985 .54107 L
.06968 .53624 L
.06954 .53141 L
.06942 .52658 L
.06932 .52174 L
.06924 .51691 L
.06918 .51208 L
.06914 .50725 L
.06912 .50242 L
.06912 .49758 L
.06914 .49275 L
.06918 .48792 L
.06924 .48309 L
.06932 .47826 L
.06942 .47342 L
.06954 .46859 L
.06968 .46376 L
.06985 .45893 L
.07003 .4541 L
.07024 .44927 L
.07047 .44443 L
.07072 .4396 L
.071 .43477 L
.0713 .42994 L
.07163 .42511 L
.07199 .42027 L
.07238 .4155 L
.07239 .41544 L
.07281 .41061 L
.07328 .40578 L
.07379 .40095 L
.07434 .39612 L
.07495 .39128 L
.07563 .38645 L
.07638 .38162 L
.07721 .37688 L
.07722 .37679 L
.07795 .37196 L
.07889 .36712 L
.08023 .36229 L
.08204 .35779 L
.08217 .35746 L
.08467 .35263 L
F
1 .604 0 r
.08688 .35146 m
.09041 .35263 L
.09171 .35433 L
.09325 .35746 L
.09497 .36229 L
.09632 .36712 L
.09654 .36801 L
.09748 .37196 L
.09847 .37679 L
.09932 .38162 L
.10006 .38645 L
.10071 .39128 L
.1013 .39612 L
.10137 .39672 L
.10186 .40095 L
.10238 .40578 L
.10285 .41061 L
.10329 .41544 L
.10369 .42027 L
.10406 .42511 L
.1044 .42994 L
.10471 .43477 L
.10499 .4396 L
.10525 .44443 L
.10549 .44927 L
.1057 .4541 L
.10588 .45893 L
.10605 .46376 L
.10619 .46859 L
.1062 .46902 L
.10631 .47342 L
.1064 .47826 L
.10648 .48309 L
.10654 .48792 L
.10658 .49275 L
.10659 .49758 L
.10659 .50242 L
.10658 .50725 L
.10654 .51208 L
.10648 .51691 L
.1064 .52174 L
.10631 .52658 L
.1062 .53098 L
.10619 .53141 L
.10605 .53624 L
.10588 .54107 L
.1057 .5459 L
.10549 .55073 L
.10525 .55557 L
.10499 .5604 L
.10471 .56523 L
.1044 .57006 L
.10406 .57489 L
.10369 .57973 L
.10329 .58456 L
.10285 .58939 L
.10238 .59422 L
.10186 .59905 L
.10137 .60328 L
.1013 .60388 L
.10071 .60872 L
.10006 .61355 L
.09932 .61838 L
.09847 .62321 L
.09748 .62804 L
.09654 .63199 L
.09632 .63288 L
.09497 .63771 L
.09325 .64254 L
.09171 .64567 L
.09041 .64737 L
.08688 .64854 L
.08541 .64737 L
.08257 .64254 L
.08204 .64125 L
.08057 .63771 L
.07914 .63288 L
.07813 .62804 L
.07738 .62321 L
.07721 .62202 L
.07657 .61838 L
.07581 .61355 L
.07512 .60872 L
.0745 .60388 L
.07394 .59905 L
.07343 .59422 L
.07296 .58939 L
.07252 .58456 L
.07238 .58288 L
.07213 .57973 L
.07176 .57489 L
.07143 .57006 L
.07113 .56523 L
.07085 .5604 L
.07059 .55557 L
.07036 .55073 L
.07015 .5459 L
.06997 .54107 L
.0698 .53624 L
.06966 .53141 L
.06954 .52658 L
.06944 .52174 L
.06936 .51691 L
.0693 .51208 L
.06926 .50725 L
.06924 .50242 L
.06924 .49758 L
.06926 .49275 L
.0693 .48792 L
.06936 .48309 L
.06944 .47826 L
.06954 .47342 L
.06966 .46859 L
.0698 .46376 L
.06997 .45893 L
.07015 .4541 L
.07036 .44927 L
.07059 .44443 L
.07085 .4396 L
.07113 .43477 L
.07143 .42994 L
.07176 .42511 L
.07213 .42027 L
.07238 .41712 L
.07252 .41544 L
.07296 .41061 L
.07343 .40578 L
.07394 .40095 L
.0745 .39612 L
.07512 .39128 L
.07581 .38645 L
.07657 .38162 L
.07721 .37798 L
.07738 .37679 L
.07813 .37196 L
.07914 .36712 L
.08057 .36229 L
.08204 .35875 L
.08257 .35746 L
.08541 .35263 L
F
1 .6 0 r
.08688 .35237 m
.08929 .35263 L
.09171 .35526 L
.09284 .35746 L
.09466 .36229 L
.09606 .36712 L
.09654 .36904 L
.09725 .37196 L
.09826 .37679 L
.09913 .38162 L
.09989 .38645 L
.10055 .39128 L
.10115 .39612 L
.10137 .39803 L
.10171 .40095 L
.10223 .40578 L
.10271 .41061 L
.10315 .41544 L
.10356 .42027 L
.10393 .42511 L
.10427 .42994 L
.10458 .43477 L
.10487 .4396 L
.10513 .44443 L
.10536 .44927 L
.10558 .4541 L
.10576 .45893 L
.10593 .46376 L
.10607 .46859 L
.1062 .47342 L
.1062 .47371 L
.10629 .47826 L
.10637 .48309 L
.10643 .48792 L
.10647 .49275 L
.10649 .49758 L
.10649 .50242 L
.10647 .50725 L
.10643 .51208 L
.10637 .51691 L
.10629 .52174 L
.1062 .52629 L
.1062 .52658 L
.10607 .53141 L
.10593 .53624 L
.10576 .54107 L
.10558 .5459 L
.10536 .55073 L
.10513 .55557 L
.10487 .5604 L
.10458 .56523 L
.10427 .57006 L
.10393 .57489 L
.10356 .57973 L
.10315 .58456 L
.10271 .58939 L
.10223 .59422 L
.10171 .59905 L
.10137 .60197 L
.10115 .60388 L
.10055 .60872 L
.09989 .61355 L
.09913 .61838 L
.09826 .62321 L
.09725 .62804 L
.09654 .63096 L
.09606 .63288 L
.09466 .63771 L
.09284 .64254 L
.09171 .64474 L
.08929 .64737 L
.08688 .64763 L
.08644 .64737 L
.08299 .64254 L
.08204 .6403 L
.08093 .63771 L
.07939 .63288 L
.07832 .62804 L
.07753 .62321 L
.07721 .62091 L
.07677 .61838 L
.07599 .61355 L
.07529 .60872 L
.07466 .60388 L
.07409 .59905 L
.07357 .59422 L
.0731 .58939 L
.07266 .58456 L
.07238 .58124 L
.07226 .57973 L
.07189 .57489 L
.07156 .57006 L
.07125 .56523 L
.07097 .5604 L
.07071 .55557 L
.07048 .55073 L
.07027 .5459 L
.07008 .54107 L
.06992 .53624 L
.06978 .53141 L
.06966 .52658 L
.06955 .52174 L
.06947 .51691 L
.06941 .51208 L
.06937 .50725 L
.06935 .50242 L
.06935 .49758 L
.06937 .49275 L
.06941 .48792 L
.06947 .48309 L
.06955 .47826 L
.06966 .47342 L
.06978 .46859 L
.06992 .46376 L
.07008 .45893 L
.07027 .4541 L
.07048 .44927 L
.07071 .44443 L
.07097 .4396 L
.07125 .43477 L
.07156 .42994 L
.07189 .42511 L
.07226 .42027 L
.07238 .41876 L
.07266 .41544 L
.0731 .41061 L
.07357 .40578 L
.07409 .40095 L
.07466 .39612 L
.07529 .39128 L
.07599 .38645 L
.07677 .38162 L
.07721 .37909 L
.07753 .37679 L
.07832 .37196 L
.07939 .36712 L
.08093 .36229 L
.08204 .3597 L
.08299 .35746 L
.08644 .35263 L
F
1 .595 0 r
.08688 .35327 m
.09171 .35618 L
.0924 .35746 L
.09434 .36229 L
.0958 .36712 L
.09654 .37005 L
.09701 .37196 L
.09805 .37679 L
.09894 .38162 L
.09971 .38645 L
.10039 .39128 L
.101 .39612 L
.10137 .39934 L
.10156 .40095 L
.10209 .40578 L
.10257 .41061 L
.10301 .41544 L
.10342 .42027 L
.1038 .42511 L
.10414 .42994 L
.10446 .43477 L
.10474 .4396 L
.10501 .44443 L
.10524 .44927 L
.10546 .4541 L
.10565 .45893 L
.10581 .46376 L
.10596 .46859 L
.10608 .47342 L
.10618 .47826 L
.1062 .47936 L
.10626 .48309 L
.10632 .48792 L
.10636 .49275 L
.10638 .49758 L
.10638 .50242 L
.10636 .50725 L
.10632 .51208 L
.10626 .51691 L
.1062 .52064 L
.10618 .52174 L
.10608 .52658 L
.10596 .53141 L
.10581 .53624 L
.10565 .54107 L
.10546 .5459 L
.10524 .55073 L
.10501 .55557 L
.10474 .5604 L
.10446 .56523 L
.10414 .57006 L
.1038 .57489 L
.10342 .57973 L
.10301 .58456 L
.10257 .58939 L
.10209 .59422 L
.10156 .59905 L
.10137 .60066 L
.101 .60388 L
.10039 .60872 L
.09971 .61355 L
.09894 .61838 L
.09805 .62321 L
.09701 .62804 L
.09654 .62995 L
.0958 .63288 L
.09434 .63771 L
.0924 .64254 L
.09171 .64382 L
.08688 .64673 L
.08345 .64254 L
.08204 .63935 L
.08132 .63771 L
.07966 .63288 L
.07852 .62804 L
.07769 .62321 L
.07721 .61981 L
.07696 .61838 L
.07616 .61355 L
.07546 .60872 L
.07482 .60388 L
.07424 .59905 L
.07372 .59422 L
.07324 .58939 L
.0728 .58456 L
.07239 .57973 L
.07238 .57959 L
.07202 .57489 L
.07169 .57006 L
.07138 .56523 L
.07109 .5604 L
.07083 .55557 L
.0706 .55073 L
.07039 .5459 L
.0702 .54107 L
.07004 .53624 L
.06989 .53141 L
.06977 .52658 L
.06967 .52174 L
.06959 .51691 L
.06953 .51208 L
.06949 .50725 L
.06947 .50242 L
.06947 .49758 L
.06949 .49275 L
.06953 .48792 L
.06959 .48309 L
.06967 .47826 L
.06977 .47342 L
.06989 .46859 L
.07004 .46376 L
.0702 .45893 L
.07039 .4541 L
.0706 .44927 L
.07083 .44443 L
.07109 .4396 L
.07138 .43477 L
.07169 .42994 L
.07202 .42511 L
.07238 .42041 L
.07239 .42027 L
.0728 .41544 L
.07324 .41061 L
.07372 .40578 L
.07424 .40095 L
.07482 .39612 L
.07546 .39128 L
.07616 .38645 L
.07696 .38162 L
.07721 .38019 L
.07769 .37679 L
.07852 .37196 L
.07966 .36712 L
.08132 .36229 L
.08204 .36065 L
.08345 .35746 L
F
1 .591 0 r
.08688 .35417 m
.09171 .35709 L
.09192 .35746 L
.09401 .36229 L
.09553 .36712 L
.09654 .37107 L
.09676 .37196 L
.09784 .37679 L
.09875 .38162 L
.09954 .38645 L
.10023 .39128 L
.10085 .39612 L
.10137 .40065 L
.10141 .40095 L
.10194 .40578 L
.10243 .41061 L
.10288 .41544 L
.10329 .42027 L
.10367 .42511 L
.10401 .42994 L
.10433 .43477 L
.10462 .4396 L
.10488 .44443 L
.10512 .44927 L
.10534 .4541 L
.10553 .45893 L
.1057 .46376 L
.10584 .46859 L
.10597 .47342 L
.10607 .47826 L
.10615 .48309 L
.1062 .48723 L
.10621 .48792 L
.10625 .49275 L
.10627 .49758 L
.10627 .50242 L
.10625 .50725 L
.10621 .51208 L
.1062 .51277 L
.10615 .51691 L
.10607 .52174 L
.10597 .52658 L
.10584 .53141 L
.1057 .53624 L
.10553 .54107 L
.10534 .5459 L
.10512 .55073 L
.10488 .55557 L
.10462 .5604 L
.10433 .56523 L
.10401 .57006 L
.10367 .57489 L
.10329 .57973 L
.10288 .58456 L
.10243 .58939 L
.10194 .59422 L
.10141 .59905 L
.10137 .59935 L
.10085 .60388 L
.10023 .60872 L
.09954 .61355 L
.09875 .61838 L
.09784 .62321 L
.09676 .62804 L
.09654 .62893 L
.09553 .63288 L
.09401 .63771 L
.09192 .64254 L
.09171 .64291 L
.08688 .64583 L
.08394 .64254 L
.08204 .6384 L
.08173 .63771 L
.07995 .63288 L
.07873 .62804 L
.07785 .62321 L
.07721 .6187 L
.07716 .61838 L
.07635 .61355 L
.07563 .60872 L
.07498 .60388 L
.07439 .59905 L
.07386 .59422 L
.07338 .58939 L
.07293 .58456 L
.07252 .57973 L
.07238 .57792 L
.07215 .57489 L
.07181 .57006 L
.0715 .56523 L
.07121 .5604 L
.07095 .55557 L
.07072 .55073 L
.07051 .5459 L
.07032 .54107 L
.07015 .53624 L
.07001 .53141 L
.06989 .52658 L
.06978 .52174 L
.0697 .51691 L
.06964 .51208 L
.0696 .50725 L
.06958 .50242 L
.06958 .49758 L
.0696 .49275 L
.06964 .48792 L
.0697 .48309 L
.06978 .47826 L
.06989 .47342 L
.07001 .46859 L
.07015 .46376 L
.07032 .45893 L
.07051 .4541 L
.07072 .44927 L
.07095 .44443 L
.07121 .4396 L
.0715 .43477 L
.07181 .42994 L
.07215 .42511 L
.07238 .42208 L
.07252 .42027 L
.07293 .41544 L
.07338 .41061 L
.07386 .40578 L
.07439 .40095 L
.07498 .39612 L
.07563 .39128 L
.07635 .38645 L
.07716 .38162 L
.07721 .3813 L
.07785 .37679 L
.07873 .37196 L
.07995 .36712 L
.08173 .36229 L
.08204 .3616 L
.08394 .35746 L
F
1 .586 0 r
.08688 .35507 m
.09136 .35746 L
.09171 .35801 L
.09367 .36229 L
.09525 .36712 L
.09651 .37196 L
.09654 .37208 L
.09762 .37679 L
.09856 .38162 L
.09936 .38645 L
.10007 .39128 L
.1007 .39612 L
.10126 .40095 L
.10137 .40197 L
.10179 .40578 L
.10229 .41061 L
.10274 .41544 L
.10315 .42027 L
.10354 .42511 L
.10389 .42994 L
.10421 .43477 L
.1045 .4396 L
.10476 .44443 L
.105 .44927 L
.10522 .4541 L
.10541 .45893 L
.10558 .46376 L
.10573 .46859 L
.10585 .47342 L
.10595 .47826 L
.10604 .48309 L
.1061 .48792 L
.10614 .49275 L
.10616 .49758 L
.10616 .50242 L
.10614 .50725 L
.1061 .51208 L
.10604 .51691 L
.10595 .52174 L
.10585 .52658 L
.10573 .53141 L
.10558 .53624 L
.10541 .54107 L
.10522 .5459 L
.105 .55073 L
.10476 .55557 L
.1045 .5604 L
.10421 .56523 L
.10389 .57006 L
.10354 .57489 L
.10315 .57973 L
.10274 .58456 L
.10229 .58939 L
.10179 .59422 L
.10137 .59803 L
.10126 .59905 L
.1007 .60388 L
.10007 .60872 L
.09936 .61355 L
.09856 .61838 L
.09762 .62321 L
.09654 .62792 L
.09651 .62804 L
.09525 .63288 L
.09367 .63771 L
.09171 .64199 L
.09136 .64254 L
.08688 .64493 L
.0845 .64254 L
.08214 .63771 L
.08204 .63746 L
.08026 .63288 L
.07895 .62804 L
.07802 .62321 L
.07731 .61838 L
.07721 .6176 L
.07653 .61355 L
.0758 .60872 L
.07514 .60388 L
.07455 .59905 L
.07401 .59422 L
.07352 .58939 L
.07307 .58456 L
.07266 .57973 L
.07238 .57623 L
.07228 .57489 L
.07194 .57006 L
.07162 .56523 L
.07134 .5604 L
.07107 .55557 L
.07084 .55073 L
.07063 .5459 L
.07044 .54107 L
.07027 .53624 L
.07012 .53141 L
.07 .52658 L
.0699 .52174 L
.06982 .51691 L
.06975 .51208 L
.06971 .50725 L
.06969 .50242 L
.06969 .49758 L
.06971 .49275 L
.06975 .48792 L
.06982 .48309 L
.0699 .47826 L
.07 .47342 L
.07012 .46859 L
.07027 .46376 L
.07044 .45893 L
.07063 .4541 L
.07084 .44927 L
.07107 .44443 L
.07134 .4396 L
.07162 .43477 L
.07194 .42994 L
.07228 .42511 L
.07238 .42377 L
.07266 .42027 L
.07307 .41544 L
.07352 .41061 L
.07401 .40578 L
.07455 .40095 L
.07514 .39612 L
.0758 .39128 L
.07653 .38645 L
.07721 .3824 L
.07731 .38162 L
.07802 .37679 L
.07895 .37196 L
.08026 .36712 L
.08204 .36254 L
.08214 .36229 L
.0845 .35746 L
F
1 .582 0 r
.08688 .35595 m
.09068 .35746 L
.09171 .35892 L
.0933 .36229 L
.09497 .36712 L
.09627 .37196 L
.09654 .37309 L
.0974 .37679 L
.09836 .38162 L
.09918 .38645 L
.0999 .39128 L
.10054 .39612 L
.10111 .40095 L
.10137 .40329 L
.10165 .40578 L
.10215 .41061 L
.1026 .41544 L
.10302 .42027 L
.10341 .42511 L
.10376 .42994 L
.10408 .43477 L
.10437 .4396 L
.10464 .44443 L
.10488 .44927 L
.1051 .4541 L
.10529 .45893 L
.10546 .46376 L
.10561 .46859 L
.10574 .47342 L
.10584 .47826 L
.10592 .48309 L
.10598 .48792 L
.10603 .49275 L
.10605 .49758 L
.10605 .50242 L
.10603 .50725 L
.10598 .51208 L
.10592 .51691 L
.10584 .52174 L
.10574 .52658 L
.10561 .53141 L
.10546 .53624 L
.10529 .54107 L
.1051 .5459 L
.10488 .55073 L
.10464 .55557 L
.10437 .5604 L
.10408 .56523 L
.10376 .57006 L
.10341 .57489 L
.10302 .57973 L
.1026 .58456 L
.10215 .58939 L
.10165 .59422 L
.10137 .59671 L
.10111 .59905 L
.10054 .60388 L
.0999 .60872 L
.09918 .61355 L
.09836 .61838 L
.0974 .62321 L
.09654 .62691 L
.09627 .62804 L
.09497 .63288 L
.0933 .63771 L
.09171 .64108 L
.09068 .64254 L
.08688 .64405 L
.08516 .64254 L
.08251 .63771 L
.08204 .63652 L
.08058 .63288 L
.07918 .62804 L
.0782 .62321 L
.07746 .61838 L
.07721 .61651 L
.07671 .61355 L
.07597 .60872 L
.0753 .60388 L
.0747 .59905 L
.07415 .59422 L
.07366 .58939 L
.0732 .58456 L
.07279 .57973 L
.07241 .57489 L
.07238 .57453 L
.07206 .57006 L
.07175 .56523 L
.07146 .5604 L
.07119 .55557 L
.07096 .55073 L
.07074 .5459 L
.07055 .54107 L
.07038 .53624 L
.07024 .53141 L
.07011 .52658 L
.07001 .52174 L
.06993 .51691 L
.06987 .51208 L
.06983 .50725 L
.06981 .50242 L
.06981 .49758 L
.06983 .49275 L
.06987 .48792 L
.06993 .48309 L
.07001 .47826 L
.07011 .47342 L
.07024 .46859 L
.07038 .46376 L
.07055 .45893 L
.07074 .4541 L
.07096 .44927 L
.07119 .44443 L
.07146 .4396 L
.07175 .43477 L
.07206 .42994 L
.07238 .42547 L
.07241 .42511 L
.07279 .42027 L
.0732 .41544 L
.07366 .41061 L
.07415 .40578 L
.0747 .40095 L
.0753 .39612 L
.07597 .39128 L
.07671 .38645 L
.07721 .38349 L
.07746 .38162 L
.0782 .37679 L
.07918 .37196 L
.08058 .36712 L
.08204 .36348 L
.08251 .36229 L
.08516 .35746 L
F
1 .577 0 r
.08688 .35684 m
.08979 .35746 L
.09171 .35982 L
.09292 .36229 L
.09467 .36712 L
.09602 .37196 L
.09654 .3741 L
.09717 .37679 L
.09816 .38162 L
.099 .38645 L
.09974 .39128 L
.10039 .39612 L
.10097 .40095 L
.10137 .40461 L
.1015 .40578 L
.102 .41061 L
.10247 .41544 L
.10289 .42027 L
.10328 .42511 L
.10363 .42994 L
.10396 .43477 L
.10425 .4396 L
.10452 .44443 L
.10476 .44927 L
.10498 .4541 L
.10518 .45893 L
.10535 .46376 L
.1055 .46859 L
.10562 .47342 L
.10573 .47826 L
.10581 .48309 L
.10587 .48792 L
.10591 .49275 L
.10593 .49758 L
.10593 .50242 L
.10591 .50725 L
.10587 .51208 L
.10581 .51691 L
.10573 .52174 L
.10562 .52658 L
.1055 .53141 L
.10535 .53624 L
.10518 .54107 L
.10498 .5459 L
.10476 .55073 L
.10452 .55557 L
.10425 .5604 L
.10396 .56523 L
.10363 .57006 L
.10328 .57489 L
.10289 .57973 L
.10247 .58456 L
.102 .58939 L
.1015 .59422 L
.10137 .59539 L
.10097 .59905 L
.10039 .60388 L
.09974 .60872 L
.099 .61355 L
.09816 .61838 L
.09717 .62321 L
.09654 .6259 L
.09602 .62804 L
.09467 .63288 L
.09292 .63771 L
.09171 .64018 L
.08979 .64254 L
.08688 .64316 L
.08599 .64254 L
.0829 .63771 L
.08204 .63559 L
.08092 .63288 L
.07943 .62804 L
.07838 .62321 L
.07761 .61838 L
.07721 .61541 L
.0769 .61355 L
.07614 .60872 L
.07546 .60388 L
.07485 .59905 L
.0743 .59422 L
.0738 .58939 L
.07334 .58456 L
.07292 .57973 L
.07254 .57489 L
.07238 .5728 L
.07219 .57006 L
.07187 .56523 L
.07158 .5604 L
.07131 .55557 L
.07107 .55073 L
.07086 .5459 L
.07067 .54107 L
.0705 .53624 L
.07035 .53141 L
.07023 .52658 L
.07012 .52174 L
.07004 .51691 L
.06998 .51208 L
.06994 .50725 L
.06992 .50242 L
.06992 .49758 L
.06994 .49275 L
.06998 .48792 L
.07004 .48309 L
.07012 .47826 L
.07023 .47342 L
.07035 .46859 L
.0705 .46376 L
.07067 .45893 L
.07086 .4541 L
.07107 .44927 L
.07131 .44443 L
.07158 .4396 L
.07187 .43477 L
.07219 .42994 L
.07238 .4272 L
.07254 .42511 L
.07292 .42027 L
.07334 .41544 L
.0738 .41061 L
.0743 .40578 L
.07485 .40095 L
.07546 .39612 L
.07614 .39128 L
.0769 .38645 L
.07721 .38459 L
.07761 .38162 L
.07838 .37679 L
.07943 .37196 L
.08092 .36712 L
.08204 .36441 L
.0829 .36229 L
.08599 .35746 L
F
1 .573 0 r
.08688 .35772 m
.09171 .36072 L
.09251 .36229 L
.09437 .36712 L
.09577 .37196 L
.09654 .3751 L
.09694 .37679 L
.09796 .38162 L
.09882 .38645 L
.09957 .39128 L
.10023 .39612 L
.10082 .40095 L
.10136 .40578 L
.10137 .40594 L
.10186 .41061 L
.10233 .41544 L
.10276 .42027 L
.10315 .42511 L
.1035 .42994 L
.10383 .43477 L
.10413 .4396 L
.1044 .44443 L
.10464 .44927 L
.10486 .4541 L
.10506 .45893 L
.10523 .46376 L
.10538 .46859 L
.10551 .47342 L
.10561 .47826 L
.1057 .48309 L
.10576 .48792 L
.1058 .49275 L
.10582 .49758 L
.10582 .50242 L
.1058 .50725 L
.10576 .51208 L
.1057 .51691 L
.10561 .52174 L
.10551 .52658 L
.10538 .53141 L
.10523 .53624 L
.10506 .54107 L
.10486 .5459 L
.10464 .55073 L
.1044 .55557 L
.10413 .5604 L
.10383 .56523 L
.1035 .57006 L
.10315 .57489 L
.10276 .57973 L
.10233 .58456 L
.10186 .58939 L
.10137 .59406 L
.10136 .59422 L
.10082 .59905 L
.10023 .60388 L
.09957 .60872 L
.09882 .61355 L
.09796 .61838 L
.09694 .62321 L
.09654 .6249 L
.09577 .62804 L
.09437 .63288 L
.09251 .63771 L
.09171 .63928 L
.08688 .64228 L
.08333 .63771 L
.08204 .63466 L
.08129 .63288 L
.07969 .62804 L
.07858 .62321 L
.07776 .61838 L
.07721 .61431 L
.07708 .61355 L
.07631 .60872 L
.07562 .60388 L
.07501 .59905 L
.07445 .59422 L
.07394 .58939 L
.07348 .58456 L
.07305 .57973 L
.07267 .57489 L
.07238 .57105 L
.07231 .57006 L
.07199 .56523 L
.0717 .5604 L
.07143 .55557 L
.07119 .55073 L
.07097 .5459 L
.07078 .54107 L
.07061 .53624 L
.07046 .53141 L
.07034 .52658 L
.07023 .52174 L
.07015 .51691 L
.07009 .51208 L
.07005 .50725 L
.07003 .50242 L
.07003 .49758 L
.07005 .49275 L
.07009 .48792 L
.07015 .48309 L
.07023 .47826 L
.07034 .47342 L
.07046 .46859 L
.07061 .46376 L
.07078 .45893 L
.07097 .4541 L
.07119 .44927 L
.07143 .44443 L
.0717 .4396 L
.07199 .43477 L
.07231 .42994 L
.07238 .42895 L
.07267 .42511 L
.07305 .42027 L
.07348 .41544 L
.07394 .41061 L
.07445 .40578 L
.07501 .40095 L
.07562 .39612 L
.07631 .39128 L
.07708 .38645 L
.07721 .38569 L
.07776 .38162 L
.07858 .37679 L
.07969 .37196 L
.08129 .36712 L
.08204 .36534 L
.08333 .36229 L
F
1 .568 0 r
.08688 .3586 m
.09171 .36162 L
.09207 .36229 L
.09406 .36712 L
.09551 .37196 L
.09654 .3761 L
.0967 .37679 L
.09775 .38162 L
.09864 .38645 L
.0994 .39128 L
.10008 .39612 L
.10068 .40095 L
.10122 .40578 L
.10137 .40728 L
.10172 .41061 L
.10219 .41544 L
.10262 .42027 L
.10302 .42511 L
.10338 .42994 L
.10371 .43477 L
.10401 .4396 L
.10428 .44443 L
.10453 .44927 L
.10475 .4541 L
.10494 .45893 L
.10512 .46376 L
.10527 .46859 L
.1054 .47342 L
.1055 .47826 L
.10559 .48309 L
.10565 .48792 L
.10569 .49275 L
.10571 .49758 L
.10571 .50242 L
.10569 .50725 L
.10565 .51208 L
.10559 .51691 L
.1055 .52174 L
.1054 .52658 L
.10527 .53141 L
.10512 .53624 L
.10494 .54107 L
.10475 .5459 L
.10453 .55073 L
.10428 .55557 L
.10401 .5604 L
.10371 .56523 L
.10338 .57006 L
.10302 .57489 L
.10262 .57973 L
.10219 .58456 L
.10172 .58939 L
.10137 .59272 L
.10122 .59422 L
.10068 .59905 L
.10008 .60388 L
.0994 .60872 L
.09864 .61355 L
.09775 .61838 L
.0967 .62321 L
.09654 .6239 L
.09551 .62804 L
.09406 .63288 L
.09207 .63771 L
.09171 .63838 L
.08688 .6414 L
.08378 .63771 L
.08204 .63373 L
.08167 .63288 L
.07996 .62804 L
.07878 .62321 L
.07792 .61838 L
.07725 .61355 L
.07721 .61322 L
.07648 .60872 L
.07579 .60388 L
.07516 .59905 L
.07459 .59422 L
.07408 .58939 L
.07361 .58456 L
.07318 .57973 L
.07279 .57489 L
.07244 .57006 L
.07238 .56928 L
.07211 .56523 L
.07182 .5604 L
.07155 .55557 L
.07131 .55073 L
.07109 .5459 L
.0709 .54107 L
.07072 .53624 L
.07058 .53141 L
.07045 .52658 L
.07035 .52174 L
.07026 .51691 L
.0702 .51208 L
.07016 .50725 L
.07014 .50242 L
.07014 .49758 L
.07016 .49275 L
.0702 .48792 L
.07026 .48309 L
.07035 .47826 L
.07045 .47342 L
.07058 .46859 L
.07072 .46376 L
.0709 .45893 L
.07109 .4541 L
.07131 .44927 L
.07155 .44443 L
.07182 .4396 L
.07211 .43477 L
.07238 .43072 L
.07244 .42994 L
.07279 .42511 L
.07318 .42027 L
.07361 .41544 L
.07408 .41061 L
.07459 .40578 L
.07516 .40095 L
.07579 .39612 L
.07648 .39128 L
.07721 .38678 L
.07725 .38645 L
.07792 .38162 L
.07878 .37679 L
.07996 .37196 L
.08167 .36712 L
.08204 .36627 L
.08378 .36229 L
F
1 .564 0 r
.08688 .35947 m
.09158 .36229 L
.09171 .36251 L
.09373 .36712 L
.09525 .37196 L
.09647 .37679 L
.09654 .3771 L
.09754 .38162 L
.09845 .38645 L
.09923 .39128 L
.09992 .39612 L
.10053 .40095 L
.10108 .40578 L
.10137 .40861 L
.10158 .41061 L
.10206 .41544 L
.10249 .42027 L
.10289 .42511 L
.10325 .42994 L
.10358 .43477 L
.10389 .4396 L
.10416 .44443 L
.10441 .44927 L
.10463 .4541 L
.10483 .45893 L
.105 .46376 L
.10515 .46859 L
.10528 .47342 L
.10539 .47826 L
.10547 .48309 L
.10554 .48792 L
.10558 .49275 L
.1056 .49758 L
.1056 .50242 L
.10558 .50725 L
.10554 .51208 L
.10547 .51691 L
.10539 .52174 L
.10528 .52658 L
.10515 .53141 L
.105 .53624 L
.10483 .54107 L
.10463 .5459 L
.10441 .55073 L
.10416 .55557 L
.10389 .5604 L
.10358 .56523 L
.10325 .57006 L
.10289 .57489 L
.10249 .57973 L
.10206 .58456 L
.10158 .58939 L
.10137 .59139 L
.10108 .59422 L
.10053 .59905 L
.09992 .60388 L
.09923 .60872 L
.09845 .61355 L
.09754 .61838 L
.09654 .6229 L
.09647 .62321 L
.09525 .62804 L
.09373 .63288 L
.09171 .63749 L
.09158 .63771 L
.08688 .64053 L
.08429 .63771 L
.08207 .63288 L
.08204 .6328 L
.08025 .62804 L
.07899 .62321 L
.07808 .61838 L
.07739 .61355 L
.07721 .61213 L
.07666 .60872 L
.07595 .60388 L
.07531 .59905 L
.07474 .59422 L
.07422 .58939 L
.07375 .58456 L
.07332 .57973 L
.07292 .57489 L
.07256 .57006 L
.07238 .56747 L
.07223 .56523 L
.07194 .5604 L
.07167 .55557 L
.07142 .55073 L
.0712 .5459 L
.07101 .54107 L
.07084 .53624 L
.07069 .53141 L
.07056 .52658 L
.07046 .52174 L
.07037 .51691 L
.07031 .51208 L
.07027 .50725 L
.07025 .50242 L
.07025 .49758 L
.07027 .49275 L
.07031 .48792 L
.07037 .48309 L
.07046 .47826 L
.07056 .47342 L
.07069 .46859 L
.07084 .46376 L
.07101 .45893 L
.0712 .4541 L
.07142 .44927 L
.07167 .44443 L
.07194 .4396 L
.07223 .43477 L
.07238 .43253 L
.07256 .42994 L
.07292 .42511 L
.07332 .42027 L
.07375 .41544 L
.07422 .41061 L
.07474 .40578 L
.07531 .40095 L
.07595 .39612 L
.07666 .39128 L
.07721 .38787 L
.07739 .38645 L
.07808 .38162 L
.07899 .37679 L
.08025 .37196 L
.08204 .3672 L
.08207 .36712 L
.08429 .36229 L
F
1 .56 0 r
.08688 .36035 m
.09098 .36229 L
.09171 .3634 L
.09339 .36712 L
.09498 .37196 L
.09624 .37679 L
.09654 .3781 L
.09733 .38162 L
.09826 .38645 L
.09906 .39128 L
.09976 .39612 L
.10038 .40095 L
.10094 .40578 L
.10137 .40996 L
.10144 .41061 L
.10192 .41544 L
.10236 .42027 L
.10276 .42511 L
.10313 .42994 L
.10346 .43477 L
.10377 .4396 L
.10404 .44443 L
.10429 .44927 L
.10452 .4541 L
.10471 .45893 L
.10489 .46376 L
.10504 .46859 L
.10517 .47342 L
.10528 .47826 L
.10536 .48309 L
.10543 .48792 L
.10547 .49275 L
.10549 .49758 L
.10549 .50242 L
.10547 .50725 L
.10543 .51208 L
.10536 .51691 L
.10528 .52174 L
.10517 .52658 L
.10504 .53141 L
.10489 .53624 L
.10471 .54107 L
.10452 .5459 L
.10429 .55073 L
.10404 .55557 L
.10377 .5604 L
.10346 .56523 L
.10313 .57006 L
.10276 .57489 L
.10236 .57973 L
.10192 .58456 L
.10144 .58939 L
.10137 .59004 L
.10094 .59422 L
.10038 .59905 L
.09976 .60388 L
.09906 .60872 L
.09826 .61355 L
.09733 .61838 L
.09654 .6219 L
.09624 .62321 L
.09498 .62804 L
.09339 .63288 L
.09171 .6366 L
.09098 .63771 L
.08688 .63965 L
.08487 .63771 L
.08242 .63288 L
.08204 .63188 L
.08056 .62804 L
.07921 .62321 L
.07825 .61838 L
.07753 .61355 L
.07721 .61103 L
.07684 .60872 L
.07611 .60388 L
.07547 .59905 L
.07489 .59422 L
.07436 .58939 L
.07388 .58456 L
.07345 .57973 L
.07305 .57489 L
.07269 .57006 L
.07238 .56564 L
.07235 .56523 L
.07206 .5604 L
.07178 .55557 L
.07154 .55073 L
.07132 .5459 L
.07112 .54107 L
.07095 .53624 L
.0708 .53141 L
.07067 .52658 L
.07057 .52174 L
.07048 .51691 L
.07042 .51208 L
.07038 .50725 L
.07036 .50242 L
.07036 .49758 L
.07038 .49275 L
.07042 .48792 L
.07048 .48309 L
.07057 .47826 L
.07067 .47342 L
.0708 .46859 L
.07095 .46376 L
.07112 .45893 L
.07132 .4541 L
.07154 .44927 L
.07178 .44443 L
.07206 .4396 L
.07235 .43477 L
.07238 .43436 L
.07269 .42994 L
.07305 .42511 L
.07345 .42027 L
.07388 .41544 L
.07436 .41061 L
.07489 .40578 L
.07547 .40095 L
.07611 .39612 L
.07684 .39128 L
.07721 .38897 L
.07753 .38645 L
.07825 .38162 L
.07921 .37679 L
.08056 .37196 L
.08204 .36812 L
.08242 .36712 L
.08487 .36229 L
F
1 .555 0 r
.08688 .36121 m
.09025 .36229 L
.09171 .36429 L
.09304 .36712 L
.09471 .37196 L
.096 .37679 L
.09654 .37909 L
.09711 .38162 L
.09807 .38645 L
.09889 .39128 L
.0996 .39612 L
.10023 .40095 L
.1008 .40578 L
.1013 .41061 L
.10137 .41131 L
.10178 .41544 L
.10223 .42027 L
.10263 .42511 L
.103 .42994 L
.10334 .43477 L
.10364 .4396 L
.10392 .44443 L
.10417 .44927 L
.1044 .4541 L
.1046 .45893 L
.10478 .46376 L
.10493 .46859 L
.10506 .47342 L
.10517 .47826 L
.10525 .48309 L
.10532 .48792 L
.10536 .49275 L
.10538 .49758 L
.10538 .50242 L
.10536 .50725 L
.10532 .51208 L
.10525 .51691 L
.10517 .52174 L
.10506 .52658 L
.10493 .53141 L
.10478 .53624 L
.1046 .54107 L
.1044 .5459 L
.10417 .55073 L
.10392 .55557 L
.10364 .5604 L
.10334 .56523 L
.103 .57006 L
.10263 .57489 L
.10223 .57973 L
.10178 .58456 L
.10137 .58869 L
.1013 .58939 L
.1008 .59422 L
.10023 .59905 L
.0996 .60388 L
.09889 .60872 L
.09807 .61355 L
.09711 .61838 L
.09654 .62091 L
.096 .62321 L
.09471 .62804 L
.09304 .63288 L
.09171 .63571 L
.09025 .63771 L
.08688 .63879 L
.08556 .63771 L
.08279 .63288 L
.08204 .63096 L
.08088 .62804 L
.07945 .62321 L
.07843 .61838 L
.07768 .61355 L
.07721 .60994 L
.07701 .60872 L
.07628 .60388 L
.07562 .59905 L
.07503 .59422 L
.0745 .58939 L
.07402 .58456 L
.07358 .57973 L
.07318 .57489 L
.07281 .57006 L
.07248 .56523 L
.07238 .56377 L
.07217 .5604 L
.0719 .55557 L
.07165 .55073 L
.07143 .5459 L
.07123 .54107 L
.07106 .53624 L
.07091 .53141 L
.07078 .52658 L
.07068 .52174 L
.07059 .51691 L
.07053 .51208 L
.07049 .50725 L
.07046 .50242 L
.07046 .49758 L
.07049 .49275 L
.07053 .48792 L
.07059 .48309 L
.07068 .47826 L
.07078 .47342 L
.07091 .46859 L
.07106 .46376 L
.07123 .45893 L
.07143 .4541 L
.07165 .44927 L
.0719 .44443 L
.07217 .4396 L
.07238 .43623 L
.07248 .43477 L
.07281 .42994 L
.07318 .42511 L
.07358 .42027 L
.07402 .41544 L
.0745 .41061 L
.07503 .40578 L
.07562 .40095 L
.07628 .39612 L
.07701 .39128 L
.07721 .39006 L
.07768 .38645 L
.07843 .38162 L
.07945 .37679 L
.08088 .37196 L
.08204 .36904 L
.08279 .36712 L
.08556 .36229 L
F
1 .551 0 r
.08688 .36208 m
.08919 .36229 L
.09171 .36517 L
.09266 .36712 L
.09442 .37196 L
.09576 .37679 L
.09654 .38008 L
.09689 .38162 L
.09787 .38645 L
.09871 .39128 L
.09944 .39612 L
.10008 .40095 L
.10065 .40578 L
.10117 .41061 L
.10137 .41267 L
.10165 .41544 L
.1021 .42027 L
.1025 .42511 L
.10288 .42994 L
.10322 .43477 L
.10352 .4396 L
.1038 .44443 L
.10406 .44927 L
.10428 .4541 L
.10449 .45893 L
.10466 .46376 L
.10482 .46859 L
.10495 .47342 L
.10506 .47826 L
.10514 .48309 L
.10521 .48792 L
.10525 .49275 L
.10527 .49758 L
.10527 .50242 L
.10525 .50725 L
.10521 .51208 L
.10514 .51691 L
.10506 .52174 L
.10495 .52658 L
.10482 .53141 L
.10466 .53624 L
.10449 .54107 L
.10428 .5459 L
.10406 .55073 L
.1038 .55557 L
.10352 .5604 L
.10322 .56523 L
.10288 .57006 L
.1025 .57489 L
.1021 .57973 L
.10165 .58456 L
.10137 .58733 L
.10117 .58939 L
.10065 .59422 L
.10008 .59905 L
.09944 .60388 L
.09871 .60872 L
.09787 .61355 L
.09689 .61838 L
.09654 .61992 L
.09576 .62321 L
.09442 .62804 L
.09266 .63288 L
.09171 .63483 L
.08919 .63771 L
.08688 .63792 L
.08653 .63771 L
.08318 .63288 L
.08204 .63005 L
.08123 .62804 L
.0797 .62321 L
.07862 .61838 L
.07782 .61355 L
.07721 .60885 L
.07719 .60872 L
.07644 .60388 L
.07578 .59905 L
.07518 .59422 L
.07464 .58939 L
.07415 .58456 L
.07371 .57973 L
.0733 .57489 L
.07293 .57006 L
.0726 .56523 L
.07238 .56187 L
.07229 .5604 L
.07202 .55557 L
.07177 .55073 L
.07154 .5459 L
.07135 .54107 L
.07117 .53624 L
.07102 .53141 L
.07089 .52658 L
.07078 .52174 L
.0707 .51691 L
.07064 .51208 L
.07059 .50725 L
.07057 .50242 L
.07057 .49758 L
.07059 .49275 L
.07064 .48792 L
.0707 .48309 L
.07078 .47826 L
.07089 .47342 L
.07102 .46859 L
.07117 .46376 L
.07135 .45893 L
.07154 .4541 L
.07177 .44927 L
.07202 .44443 L
.07229 .4396 L
.07238 .43813 L
.0726 .43477 L
.07293 .42994 L
.0733 .42511 L
.07371 .42027 L
.07415 .41544 L
.07464 .41061 L
.07518 .40578 L
.07578 .40095 L
.07644 .39612 L
.07719 .39128 L
.07721 .39115 L
.07782 .38645 L
.07862 .38162 L
.0797 .37679 L
.08123 .37196 L
.08204 .36995 L
.08318 .36712 L
.08653 .36229 L
F
1 .546 0 r
.08688 .36294 m
.09171 .36605 L
.09225 .36712 L
.09413 .37196 L
.09552 .37679 L
.09654 .38108 L
.09667 .38162 L
.09768 .38645 L
.09854 .39128 L
.09928 .39612 L
.09993 .40095 L
.10051 .40578 L
.10103 .41061 L
.10137 .41404 L
.10151 .41544 L
.10196 .42027 L
.10238 .42511 L
.10275 .42994 L
.10309 .43477 L
.1034 .4396 L
.10369 .44443 L
.10394 .44927 L
.10417 .4541 L
.10437 .45893 L
.10455 .46376 L
.10471 .46859 L
.10484 .47342 L
.10495 .47826 L
.10503 .48309 L
.1051 .48792 L
.10514 .49275 L
.10516 .49758 L
.10516 .50242 L
.10514 .50725 L
.1051 .51208 L
.10503 .51691 L
.10495 .52174 L
.10484 .52658 L
.10471 .53141 L
.10455 .53624 L
.10437 .54107 L
.10417 .5459 L
.10394 .55073 L
.10369 .55557 L
.1034 .5604 L
.10309 .56523 L
.10275 .57006 L
.10238 .57489 L
.10196 .57973 L
.10151 .58456 L
.10137 .58596 L
.10103 .58939 L
.10051 .59422 L
.09993 .59905 L
.09928 .60388 L
.09854 .60872 L
.09768 .61355 L
.09667 .61838 L
.09654 .61892 L
.09552 .62321 L
.09413 .62804 L
.09225 .63288 L
.09171 .63395 L
.08688 .63706 L
.08359 .63288 L
.08204 .62913 L
.08159 .62804 L
.07996 .62321 L
.07881 .61838 L
.07798 .61355 L
.07733 .60872 L
.07721 .60775 L
.07661 .60388 L
.07594 .59905 L
.07533 .59422 L
.07478 .58939 L
.07429 .58456 L
.07384 .57973 L
.07343 .57489 L
.07306 .57006 L
.07272 .56523 L
.07241 .5604 L
.07238 .55993 L
.07213 .55557 L
.07188 .55073 L
.07166 .5459 L
.07146 .54107 L
.07128 .53624 L
.07113 .53141 L
.071 .52658 L
.07089 .52174 L
.07081 .51691 L
.07074 .51208 L
.0707 .50725 L
.07068 .50242 L
.07068 .49758 L
.0707 .49275 L
.07074 .48792 L
.07081 .48309 L
.07089 .47826 L
.071 .47342 L
.07113 .46859 L
.07128 .46376 L
.07146 .45893 L
.07166 .4541 L
.07188 .44927 L
.07213 .44443 L
.07238 .44007 L
.07241 .4396 L
.07272 .43477 L
.07306 .42994 L
.07343 .42511 L
.07384 .42027 L
.07429 .41544 L
.07478 .41061 L
.07533 .40578 L
.07594 .40095 L
.07661 .39612 L
.07721 .39225 L
.07733 .39128 L
.07798 .38645 L
.07881 .38162 L
.07996 .37679 L
.08159 .37196 L
.08204 .37087 L
.08359 .36712 L
F
1 .542 0 r
.08688 .3638 m
.09171 .36693 L
.09181 .36712 L
.09382 .37196 L
.09527 .37679 L
.09644 .38162 L
.09654 .38206 L
.09748 .38645 L
.09836 .39128 L
.09912 .39612 L
.09978 .40095 L
.10037 .40578 L
.1009 .41061 L
.10137 .41541 L
.10138 .41544 L
.10183 .42027 L
.10225 .42511 L
.10263 .42994 L
.10297 .43477 L
.10329 .4396 L
.10357 .44443 L
.10383 .44927 L
.10406 .4541 L
.10426 .45893 L
.10444 .46376 L
.1046 .46859 L
.10473 .47342 L
.10484 .47826 L
.10492 .48309 L
.10499 .48792 L
.10503 .49275 L
.10505 .49758 L
.10505 .50242 L
.10503 .50725 L
.10499 .51208 L
.10492 .51691 L
.10484 .52174 L
.10473 .52658 L
.1046 .53141 L
.10444 .53624 L
.10426 .54107 L
.10406 .5459 L
.10383 .55073 L
.10357 .55557 L
.10329 .5604 L
.10297 .56523 L
.10263 .57006 L
.10225 .57489 L
.10183 .57973 L
.10138 .58456 L
.10137 .58459 L
.1009 .58939 L
.10037 .59422 L
.09978 .59905 L
.09912 .60388 L
.09836 .60872 L
.09748 .61355 L
.09654 .61794 L
.09644 .61838 L
.09527 .62321 L
.09382 .62804 L
.09181 .63288 L
.09171 .63307 L
.08688 .6362 L
.08405 .63288 L
.08204 .62822 L
.08197 .62804 L
.08023 .62321 L
.07902 .61838 L
.07814 .61355 L
.07746 .60872 L
.07721 .60666 L
.07678 .60388 L
.07609 .59905 L
.07548 .59422 L
.07493 .58939 L
.07443 .58456 L
.07397 .57973 L
.07356 .57489 L
.07318 .57006 L
.07284 .56523 L
.07253 .5604 L
.07238 .55794 L
.07225 .55557 L
.072 .55073 L
.07177 .5459 L
.07157 .54107 L
.07139 .53624 L
.07124 .53141 L
.07111 .52658 L
.071 .52174 L
.07091 .51691 L
.07085 .51208 L
.07081 .50725 L
.07079 .50242 L
.07079 .49758 L
.07081 .49275 L
.07085 .48792 L
.07091 .48309 L
.071 .47826 L
.07111 .47342 L
.07124 .46859 L
.07139 .46376 L
.07157 .45893 L
.07177 .4541 L
.072 .44927 L
.07225 .44443 L
.07238 .44206 L
.07253 .4396 L
.07284 .43477 L
.07318 .42994 L
.07356 .42511 L
.07397 .42027 L
.07443 .41544 L
.07493 .41061 L
.07548 .40578 L
.07609 .40095 L
.07678 .39612 L
.07721 .39334 L
.07746 .39128 L
.07814 .38645 L
.07902 .38162 L
.08023 .37679 L
.08197 .37196 L
.08204 .37178 L
.08405 .36712 L
F
1 .537 0 r
.08688 .36465 m
.0913 .36712 L
.09171 .36781 L
.0935 .37196 L
.09502 .37679 L
.09622 .38162 L
.09654 .38305 L
.09727 .38645 L
.09817 .39128 L
.09895 .39612 L
.09963 .40095 L
.10023 .40578 L
.10076 .41061 L
.10125 .41544 L
.10137 .41679 L
.1017 .42027 L
.10212 .42511 L
.1025 .42994 L
.10285 .43477 L
.10317 .4396 L
.10345 .44443 L
.10371 .44927 L
.10394 .4541 L
.10415 .45893 L
.10433 .46376 L
.10448 .46859 L
.10462 .47342 L
.10473 .47826 L
.10482 .48309 L
.10488 .48792 L
.10493 .49275 L
.10495 .49758 L
.10495 .50242 L
.10493 .50725 L
.10488 .51208 L
.10482 .51691 L
.10473 .52174 L
.10462 .52658 L
.10448 .53141 L
.10433 .53624 L
.10415 .54107 L
.10394 .5459 L
.10371 .55073 L
.10345 .55557 L
.10317 .5604 L
.10285 .56523 L
.1025 .57006 L
.10212 .57489 L
.1017 .57973 L
.10137 .58321 L
.10125 .58456 L
.10076 .58939 L
.10023 .59422 L
.09963 .59905 L
.09895 .60388 L
.09817 .60872 L
.09727 .61355 L
.09654 .61695 L
.09622 .61838 L
.09502 .62321 L
.0935 .62804 L
.09171 .63219 L
.0913 .63288 L
.08688 .63535 L
.08456 .63288 L
.08231 .62804 L
.08204 .62731 L
.08052 .62321 L
.07923 .61838 L
.0783 .61355 L
.0776 .60872 L
.07721 .60557 L
.07695 .60388 L
.07625 .59905 L
.07563 .59422 L
.07507 .58939 L
.07456 .58456 L
.0741 .57973 L
.07368 .57489 L
.0733 .57006 L
.07296 .56523 L
.07265 .5604 L
.07238 .5559 L
.07236 .55557 L
.07211 .55073 L
.07188 .5459 L
.07168 .54107 L
.0715 .53624 L
.07135 .53141 L
.07122 .52658 L
.07111 .52174 L
.07102 .51691 L
.07096 .51208 L
.07091 .50725 L
.07089 .50242 L
.07089 .49758 L
.07091 .49275 L
.07096 .48792 L
.07102 .48309 L
.07111 .47826 L
.07122 .47342 L
.07135 .46859 L
.0715 .46376 L
.07168 .45893 L
.07188 .4541 L
.07211 .44927 L
.07236 .44443 L
.07238 .4441 L
.07265 .4396 L
.07296 .43477 L
.0733 .42994 L
.07368 .42511 L
.0741 .42027 L
.07456 .41544 L
.07507 .41061 L
.07563 .40578 L
.07625 .40095 L
.07695 .39612 L
.07721 .39443 L
.0776 .39128 L
.0783 .38645 L
.07923 .38162 L
.08052 .37679 L
.08204 .37269 L
.08231 .37196 L
.08456 .36712 L
F
1 .533 0 r
.08688 .3655 m
.09068 .36712 L
.09171 .36868 L
.09317 .37196 L
.09475 .37679 L
.096 .38162 L
.09654 .38404 L
.09706 .38645 L
.09799 .39128 L
.09878 .39612 L
.09947 .40095 L
.10008 .40578 L
.10063 .41061 L
.10112 .41544 L
.10137 .41819 L
.10157 .42027 L
.10199 .42511 L
.10238 .42994 L
.10273 .43477 L
.10305 .4396 L
.10334 .44443 L
.1036 .44927 L
.10383 .4541 L
.10404 .45893 L
.10422 .46376 L
.10437 .46859 L
.10451 .47342 L
.10462 .47826 L
.10471 .48309 L
.10477 .48792 L
.10482 .49275 L
.10484 .49758 L
.10484 .50242 L
.10482 .50725 L
.10477 .51208 L
.10471 .51691 L
.10462 .52174 L
.10451 .52658 L
.10437 .53141 L
.10422 .53624 L
.10404 .54107 L
.10383 .5459 L
.1036 .55073 L
.10334 .55557 L
.10305 .5604 L
.10273 .56523 L
.10238 .57006 L
.10199 .57489 L
.10157 .57973 L
.10137 .58181 L
.10112 .58456 L
.10063 .58939 L
.10008 .59422 L
.09947 .59905 L
.09878 .60388 L
.09799 .60872 L
.09706 .61355 L
.09654 .61596 L
.096 .61838 L
.09475 .62321 L
.09317 .62804 L
.09171 .63132 L
.09068 .63288 L
.08688 .6345 L
.08515 .63288 L
.08265 .62804 L
.08204 .62641 L
.08083 .62321 L
.07945 .61838 L
.07847 .61355 L
.07774 .60872 L
.07721 .60447 L
.07712 .60388 L
.07641 .59905 L
.07578 .59422 L
.07521 .58939 L
.0747 .58456 L
.07423 .57973 L
.07381 .57489 L
.07343 .57006 L
.07308 .56523 L
.07276 .5604 L
.07248 .55557 L
.07238 .5538 L
.07222 .55073 L
.07199 .5459 L
.07179 .54107 L
.07161 .53624 L
.07146 .53141 L
.07132 .52658 L
.07121 .52174 L
.07113 .51691 L
.07106 .51208 L
.07102 .50725 L
.071 .50242 L
.071 .49758 L
.07102 .49275 L
.07106 .48792 L
.07113 .48309 L
.07121 .47826 L
.07132 .47342 L
.07146 .46859 L
.07161 .46376 L
.07179 .45893 L
.07199 .4541 L
.07222 .44927 L
.07238 .4462 L
.07248 .44443 L
.07276 .4396 L
.07308 .43477 L
.07343 .42994 L
.07381 .42511 L
.07423 .42027 L
.0747 .41544 L
.07521 .41061 L
.07578 .40578 L
.07641 .40095 L
.07712 .39612 L
.07721 .39553 L
.07774 .39128 L
.07847 .38645 L
.07945 .38162 L
.08083 .37679 L
.08204 .37359 L
.08265 .37196 L
.08515 .36712 L
F
1 .528 0 r
.08688 .36635 m
.08991 .36712 L
.09171 .36955 L
.09282 .37196 L
.09449 .37679 L
.09577 .38162 L
.09654 .38503 L
.09685 .38645 L
.0978 .39128 L
.09861 .39612 L
.09932 .40095 L
.09994 .40578 L
.10049 .41061 L
.10099 .41544 L
.10137 .41959 L
.10144 .42027 L
.10186 .42511 L
.10225 .42994 L
.10261 .43477 L
.10293 .4396 L
.10322 .44443 L
.10348 .44927 L
.10372 .4541 L
.10392 .45893 L
.10411 .46376 L
.10427 .46859 L
.1044 .47342 L
.10451 .47826 L
.1046 .48309 L
.10467 .48792 L
.10471 .49275 L
.10473 .49758 L
.10473 .50242 L
.10471 .50725 L
.10467 .51208 L
.1046 .51691 L
.10451 .52174 L
.1044 .52658 L
.10427 .53141 L
.10411 .53624 L
.10392 .54107 L
.10372 .5459 L
.10348 .55073 L
.10322 .55557 L
.10293 .5604 L
.10261 .56523 L
.10225 .57006 L
.10186 .57489 L
.10144 .57973 L
.10137 .58041 L
.10099 .58456 L
.10049 .58939 L
.09994 .59422 L
.09932 .59905 L
.09861 .60388 L
.0978 .60872 L
.09685 .61355 L
.09654 .61497 L
.09577 .61838 L
.09449 .62321 L
.09282 .62804 L
.09171 .63045 L
.08991 .63288 L
.08688 .63365 L
.08588 .63288 L
.08301 .62804 L
.08204 .6255 L
.08115 .62321 L
.07969 .61838 L
.07865 .61355 L
.07788 .60872 L
.07727 .60388 L
.07721 .60338 L
.07657 .59905 L
.07593 .59422 L
.07535 .58939 L
.07483 .58456 L
.07436 .57973 L
.07394 .57489 L
.07355 .57006 L
.0732 .56523 L
.07288 .5604 L
.07259 .55557 L
.07238 .55164 L
.07233 .55073 L
.0721 .5459 L
.0719 .54107 L
.07172 .53624 L
.07156 .53141 L
.07143 .52658 L
.07132 .52174 L
.07123 .51691 L
.07117 .51208 L
.07113 .50725 L
.0711 .50242 L
.0711 .49758 L
.07113 .49275 L
.07117 .48792 L
.07123 .48309 L
.07132 .47826 L
.07143 .47342 L
.07156 .46859 L
.07172 .46376 L
.0719 .45893 L
.0721 .4541 L
.07233 .44927 L
.07238 .44836 L
.07259 .44443 L
.07288 .4396 L
.0732 .43477 L
.07355 .42994 L
.07394 .42511 L
.07436 .42027 L
.07483 .41544 L
.07535 .41061 L
.07593 .40578 L
.07657 .40095 L
.07721 .39662 L
.07727 .39612 L
.07788 .39128 L
.07865 .38645 L
.07969 .38162 L
.08115 .37679 L
.08204 .3745 L
.08301 .37196 L
.08588 .36712 L
F
1 .524 0 r
.08688 .3672 m
.09171 .37042 L
.09245 .37196 L
.09421 .37679 L
.09554 .38162 L
.09654 .38601 L
.09664 .38645 L
.09761 .39128 L
.09844 .39612 L
.09916 .40095 L
.09979 .40578 L
.10035 .41061 L
.10085 .41544 L
.10131 .42027 L
.10137 .421 L
.10174 .42511 L
.10213 .42994 L
.10249 .43477 L
.10281 .4396 L
.1031 .44443 L
.10337 .44927 L
.1036 .4541 L
.10381 .45893 L
.104 .46376 L
.10416 .46859 L
.10429 .47342 L
.1044 .47826 L
.10449 .48309 L
.10456 .48792 L
.1046 .49275 L
.10463 .49758 L
.10463 .50242 L
.1046 .50725 L
.10456 .51208 L
.10449 .51691 L
.1044 .52174 L
.10429 .52658 L
.10416 .53141 L
.104 .53624 L
.10381 .54107 L
.1036 .5459 L
.10337 .55073 L
.1031 .55557 L
.10281 .5604 L
.10249 .56523 L
.10213 .57006 L
.10174 .57489 L
.10137 .579 L
.10131 .57973 L
.10085 .58456 L
.10035 .58939 L
.09979 .59422 L
.09916 .59905 L
.09844 .60388 L
.09761 .60872 L
.09664 .61355 L
.09654 .61399 L
.09554 .61838 L
.09421 .62321 L
.09245 .62804 L
.09171 .62958 L
.08688 .6328 L
.08339 .62804 L
.08204 .6246 L
.08149 .62321 L
.07994 .61838 L
.07884 .61355 L
.07803 .60872 L
.0774 .60388 L
.07721 .60228 L
.07673 .59905 L
.07608 .59422 L
.0755 .58939 L
.07497 .58456 L
.0745 .57973 L
.07407 .57489 L
.07368 .57006 L
.07332 .56523 L
.073 .5604 L
.07271 .55557 L
.07245 .55073 L
.07238 .54941 L
.07222 .5459 L
.07201 .54107 L
.07183 .53624 L
.07167 .53141 L
.07154 .52658 L
.07143 .52174 L
.07134 .51691 L
.07127 .51208 L
.07123 .50725 L
.07121 .50242 L
.07121 .49758 L
.07123 .49275 L
.07127 .48792 L
.07134 .48309 L
.07143 .47826 L
.07154 .47342 L
.07167 .46859 L
.07183 .46376 L
.07201 .45893 L
.07222 .4541 L
.07238 .45059 L
.07245 .44927 L
.07271 .44443 L
.073 .4396 L
.07332 .43477 L
.07368 .42994 L
.07407 .42511 L
.0745 .42027 L
.07497 .41544 L
.0755 .41061 L
.07608 .40578 L
.07673 .40095 L
.07721 .39772 L
.0774 .39612 L
.07803 .39128 L
.07884 .38645 L
.07994 .38162 L
.08149 .37679 L
.08204 .3754 L
.08339 .37196 L
F
1 .519 0 r
.08688 .36804 m
.09171 .37128 L
.09205 .37196 L
.09392 .37679 L
.0953 .38162 L
.09643 .38645 L
.09654 .387 L
.09742 .39128 L
.09827 .39612 L
.099 .40095 L
.09965 .40578 L
.10022 .41061 L
.10072 .41544 L
.10118 .42027 L
.10137 .42243 L
.10161 .42511 L
.102 .42994 L
.10236 .43477 L
.10269 .4396 L
.10299 .44443 L
.10325 .44927 L
.10349 .4541 L
.1037 .45893 L
.10389 .46376 L
.10405 .46859 L
.10418 .47342 L
.1043 .47826 L
.10439 .48309 L
.10445 .48792 L
.1045 .49275 L
.10452 .49758 L
.10452 .50242 L
.1045 .50725 L
.10445 .51208 L
.10439 .51691 L
.1043 .52174 L
.10418 .52658 L
.10405 .53141 L
.10389 .53624 L
.1037 .54107 L
.10349 .5459 L
.10325 .55073 L
.10299 .55557 L
.10269 .5604 L
.10236 .56523 L
.102 .57006 L
.10161 .57489 L
.10137 .57757 L
.10118 .57973 L
.10072 .58456 L
.10022 .58939 L
.09965 .59422 L
.099 .59905 L
.09827 .60388 L
.09742 .60872 L
.09654 .613 L
.09643 .61355 L
.0953 .61838 L
.09392 .62321 L
.09205 .62804 L
.09171 .62872 L
.08688 .63196 L
.08381 .62804 L
.08204 .6237 L
.08184 .62321 L
.0802 .61838 L
.07903 .61355 L
.07818 .60872 L
.07752 .60388 L
.07721 .60118 L
.0769 .59905 L
.07623 .59422 L
.07564 .58939 L
.07511 .58456 L
.07463 .57973 L
.07419 .57489 L
.0738 .57006 L
.07344 .56523 L
.07312 .5604 L
.07282 .55557 L
.07256 .55073 L
.07238 .5471 L
.07233 .5459 L
.07212 .54107 L
.07194 .53624 L
.07178 .53141 L
.07164 .52658 L
.07153 .52174 L
.07144 .51691 L
.07138 .51208 L
.07133 .50725 L
.07131 .50242 L
.07131 .49758 L
.07133 .49275 L
.07138 .48792 L
.07144 .48309 L
.07153 .47826 L
.07164 .47342 L
.07178 .46859 L
.07194 .46376 L
.07212 .45893 L
.07233 .4541 L
.07238 .4529 L
.07256 .44927 L
.07282 .44443 L
.07312 .4396 L
.07344 .43477 L
.0738 .42994 L
.07419 .42511 L
.07463 .42027 L
.07511 .41544 L
.07564 .41061 L
.07623 .40578 L
.0769 .40095 L
.07721 .39882 L
.07752 .39612 L
.07818 .39128 L
.07903 .38645 L
.0802 .38162 L
.08184 .37679 L
.08204 .3763 L
.08381 .37196 L
F
1 .515 0 r
.08688 .36888 m
.0916 .37196 L
.09171 .37214 L
.09362 .37679 L
.09506 .38162 L
.09622 .38645 L
.09654 .38798 L
.09722 .39128 L
.09809 .39612 L
.09884 .40095 L
.0995 .40578 L
.10008 .41061 L
.10059 .41544 L
.10106 .42027 L
.10137 .42387 L
.10148 .42511 L
.10188 .42994 L
.10224 .43477 L
.10257 .4396 L
.10287 .44443 L
.10314 .44927 L
.10338 .4541 L
.10359 .45893 L
.10378 .46376 L
.10394 .46859 L
.10408 .47342 L
.10419 .47826 L
.10428 .48309 L
.10435 .48792 L
.10439 .49275 L
.10441 .49758 L
.10441 .50242 L
.10439 .50725 L
.10435 .51208 L
.10428 .51691 L
.10419 .52174 L
.10408 .52658 L
.10394 .53141 L
.10378 .53624 L
.10359 .54107 L
.10338 .5459 L
.10314 .55073 L
.10287 .55557 L
.10257 .5604 L
.10224 .56523 L
.10188 .57006 L
.10148 .57489 L
.10137 .57613 L
.10106 .57973 L
.10059 .58456 L
.10008 .58939 L
.0995 .59422 L
.09884 .59905 L
.09809 .60388 L
.09722 .60872 L
.09654 .61202 L
.09622 .61355 L
.09506 .61838 L
.09362 .62321 L
.09171 .62786 L
.0916 .62804 L
.08688 .63112 L
.08426 .62804 L
.08218 .62321 L
.08204 .6228 L
.08047 .61838 L
.07924 .61355 L
.07834 .60872 L
.07766 .60388 L
.07721 .60008 L
.07706 .59905 L
.07639 .59422 L
.07579 .58939 L
.07525 .58456 L
.07476 .57973 L
.07432 .57489 L
.07392 .57006 L
.07356 .56523 L
.07323 .5604 L
.07294 .55557 L
.07267 .55073 L
.07244 .5459 L
.07238 .54469 L
.07223 .54107 L
.07204 .53624 L
.07189 .53141 L
.07175 .52658 L
.07164 .52174 L
.07155 .51691 L
.07148 .51208 L
.07144 .50725 L
.07142 .50242 L
.07142 .49758 L
.07144 .49275 L
.07148 .48792 L
.07155 .48309 L
.07164 .47826 L
.07175 .47342 L
.07189 .46859 L
.07204 .46376 L
.07223 .45893 L
.07238 .45531 L
.07244 .4541 L
.07267 .44927 L
.07294 .44443 L
.07323 .4396 L
.07356 .43477 L
.07392 .42994 L
.07432 .42511 L
.07476 .42027 L
.07525 .41544 L
.07579 .41061 L
.07639 .40578 L
.07706 .40095 L
.07721 .39992 L
.07766 .39612 L
.07834 .39128 L
.07924 .38645 L
.08047 .38162 L
.08204 .3772 L
.08218 .37679 L
.08426 .37196 L
F
1 .51 0 r
.08688 .36972 m
.09108 .37196 L
.09171 .373 L
.09331 .37679 L
.09481 .38162 L
.096 .38645 L
.09654 .38896 L
.09702 .39128 L
.09792 .39612 L
.09868 .40095 L
.09935 .40578 L
.09994 .41061 L
.10046 .41544 L
.10093 .42027 L
.10135 .42511 L
.10137 .42533 L
.10176 .42994 L
.10212 .43477 L
.10245 .4396 L
.10275 .44443 L
.10302 .44927 L
.10327 .4541 L
.10348 .45893 L
.10367 .46376 L
.10383 .46859 L
.10397 .47342 L
.10408 .47826 L
.10417 .48309 L
.10424 .48792 L
.10429 .49275 L
.10431 .49758 L
.10431 .50242 L
.10429 .50725 L
.10424 .51208 L
.10417 .51691 L
.10408 .52174 L
.10397 .52658 L
.10383 .53141 L
.10367 .53624 L
.10348 .54107 L
.10327 .5459 L
.10302 .55073 L
.10275 .55557 L
.10245 .5604 L
.10212 .56523 L
.10176 .57006 L
.10137 .57467 L
.10135 .57489 L
.10093 .57973 L
.10046 .58456 L
.09994 .58939 L
.09935 .59422 L
.09868 .59905 L
.09792 .60388 L
.09702 .60872 L
.09654 .61104 L
.096 .61355 L
.09481 .61838 L
.09331 .62321 L
.09171 .627 L
.09108 .62804 L
.08688 .63028 L
.08477 .62804 L
.0825 .62321 L
.08204 .62191 L
.08076 .61838 L
.07945 .61355 L
.07851 .60872 L
.07779 .60388 L
.07722 .59905 L
.07721 .59898 L
.07654 .59422 L
.07593 .58939 L
.07538 .58456 L
.07489 .57973 L
.07445 .57489 L
.07405 .57006 L
.07368 .56523 L
.07335 .5604 L
.07305 .55557 L
.07279 .55073 L
.07255 .5459 L
.07238 .54216 L
.07234 .54107 L
.07215 .53624 L
.07199 .53141 L
.07186 .52658 L
.07174 .52174 L
.07165 .51691 L
.07159 .51208 L
.07154 .50725 L
.07152 .50242 L
.07152 .49758 L
.07154 .49275 L
.07159 .48792 L
.07165 .48309 L
.07174 .47826 L
.07186 .47342 L
.07199 .46859 L
.07215 .46376 L
.07234 .45893 L
.07238 .45784 L
.07255 .4541 L
.07279 .44927 L
.07305 .44443 L
.07335 .4396 L
.07368 .43477 L
.07405 .42994 L
.07445 .42511 L
.07489 .42027 L
.07538 .41544 L
.07593 .41061 L
.07654 .40578 L
.07721 .40102 L
.07722 .40095 L
.07779 .39612 L
.07851 .39128 L
.07945 .38645 L
.08076 .38162 L
.08204 .37809 L
.0825 .37679 L
.08477 .37196 L
F
1 .506 0 r
.08688 .37056 m
.09046 .37196 L
.09171 .37386 L
.09299 .37679 L
.09456 .38162 L
.09579 .38645 L
.09654 .38995 L
.09682 .39128 L
.09774 .39612 L
.09852 .40095 L
.0992 .40578 L
.0998 .41061 L
.10033 .41544 L
.1008 .42027 L
.10123 .42511 L
.10137 .4268 L
.10163 .42994 L
.102 .43477 L
.10234 .4396 L
.10264 .44443 L
.10291 .44927 L
.10315 .4541 L
.10337 .45893 L
.10356 .46376 L
.10372 .46859 L
.10386 .47342 L
.10398 .47826 L
.10407 .48309 L
.10414 .48792 L
.10418 .49275 L
.1042 .49758 L
.1042 .50242 L
.10418 .50725 L
.10414 .51208 L
.10407 .51691 L
.10398 .52174 L
.10386 .52658 L
.10372 .53141 L
.10356 .53624 L
.10337 .54107 L
.10315 .5459 L
.10291 .55073 L
.10264 .55557 L
.10234 .5604 L
.102 .56523 L
.10163 .57006 L
.10137 .5732 L
.10123 .57489 L
.1008 .57973 L
.10033 .58456 L
.0998 .58939 L
.0992 .59422 L
.09852 .59905 L
.09774 .60388 L
.09682 .60872 L
.09654 .61005 L
.09579 .61355 L
.09456 .61838 L
.09299 .62321 L
.09171 .62614 L
.09046 .62804 L
.08688 .62944 L
.08537 .62804 L
.08284 .62321 L
.08204 .62101 L
.08106 .61838 L
.07968 .61355 L
.07868 .60872 L
.07793 .60388 L
.07734 .59905 L
.07721 .59787 L
.0767 .59422 L
.07608 .58939 L
.07552 .58456 L
.07503 .57973 L
.07458 .57489 L
.07417 .57006 L
.0738 .56523 L
.07347 .5604 L
.07317 .55557 L
.0729 .55073 L
.07266 .5459 L
.07244 .54107 L
.07238 .5395 L
.07226 .53624 L
.0721 .53141 L
.07196 .52658 L
.07185 .52174 L
.07176 .51691 L
.07169 .51208 L
.07165 .50725 L
.07162 .50242 L
.07162 .49758 L
.07165 .49275 L
.07169 .48792 L
.07176 .48309 L
.07185 .47826 L
.07196 .47342 L
.0721 .46859 L
.07226 .46376 L
.07238 .4605 L
.07244 .45893 L
.07266 .4541 L
.0729 .44927 L
.07317 .44443 L
.07347 .4396 L
.0738 .43477 L
.07417 .42994 L
.07458 .42511 L
.07503 .42027 L
.07552 .41544 L
.07608 .41061 L
.0767 .40578 L
.07721 .40213 L
.07734 .40095 L
.07793 .39612 L
.07868 .39128 L
.07968 .38645 L
.08106 .38162 L
.08204 .37899 L
.08284 .37679 L
.08537 .37196 L
F
1 .502 0 r
.08688 .37139 m
.08964 .37196 L
.09171 .37472 L
.09264 .37679 L
.0943 .38162 L
.09556 .38645 L
.09654 .39093 L
.09662 .39128 L
.09755 .39612 L
.09835 .40095 L
.09905 .40578 L
.09966 .41061 L
.10019 .41544 L
.10068 .42027 L
.10111 .42511 L
.10137 .42828 L
.10151 .42994 L
.10188 .43477 L
.10222 .4396 L
.10252 .44443 L
.1028 .44927 L
.10304 .4541 L
.10326 .45893 L
.10345 .46376 L
.10361 .46859 L
.10375 .47342 L
.10387 .47826 L
.10396 .48309 L
.10403 .48792 L
.10408 .49275 L
.1041 .49758 L
.1041 .50242 L
.10408 .50725 L
.10403 .51208 L
.10396 .51691 L
.10387 .52174 L
.10375 .52658 L
.10361 .53141 L
.10345 .53624 L
.10326 .54107 L
.10304 .5459 L
.1028 .55073 L
.10252 .55557 L
.10222 .5604 L
.10188 .56523 L
.10151 .57006 L
.10137 .57172 L
.10111 .57489 L
.10068 .57973 L
.10019 .58456 L
.09966 .58939 L
.09905 .59422 L
.09835 .59905 L
.09755 .60388 L
.09662 .60872 L
.09654 .60907 L
.09556 .61355 L
.0943 .61838 L
.09264 .62321 L
.09171 .62528 L
.08964 .62804 L
.08688 .62861 L
.08613 .62804 L
.08319 .62321 L
.08204 .62012 L
.08138 .61838 L
.07991 .61355 L
.07886 .60872 L
.07807 .60388 L
.07746 .59905 L
.07721 .59677 L
.07685 .59422 L
.07622 .58939 L
.07566 .58456 L
.07516 .57973 L
.0747 .57489 L
.07429 .57006 L
.07392 .56523 L
.07359 .5604 L
.07328 .55557 L
.07301 .55073 L
.07277 .5459 L
.07255 .54107 L
.07238 .53667 L
.07237 .53624 L
.0722 .53141 L
.07207 .52658 L
.07195 .52174 L
.07186 .51691 L
.07179 .51208 L
.07175 .50725 L
.07173 .50242 L
.07173 .49758 L
.07175 .49275 L
.07179 .48792 L
.07186 .48309 L
.07195 .47826 L
.07207 .47342 L
.0722 .46859 L
.07237 .46376 L
.07238 .46333 L
.07255 .45893 L
.07277 .4541 L
.07301 .44927 L
.07328 .44443 L
.07359 .4396 L
.07392 .43477 L
.07429 .42994 L
.0747 .42511 L
.07516 .42027 L
.07566 .41544 L
.07622 .41061 L
.07685 .40578 L
.07721 .40323 L
.07746 .40095 L
.07807 .39612 L
.07886 .39128 L
.07991 .38645 L
.08138 .38162 L
.08204 .37988 L
.08319 .37679 L
.08613 .37196 L
F
1 .497 0 r
.08688 .37223 m
.09171 .37557 L
.09228 .37679 L
.09403 .38162 L
.09534 .38645 L
.09641 .39128 L
.09654 .39191 L
.09737 .39612 L
.09819 .40095 L
.09889 .40578 L
.09951 .41061 L
.10006 .41544 L
.10055 .42027 L
.10099 .42511 L
.10137 .42979 L
.10138 .42994 L
.10176 .43477 L
.1021 .4396 L
.10241 .44443 L
.10268 .44927 L
.10293 .4541 L
.10315 .45893 L
.10334 .46376 L
.10351 .46859 L
.10365 .47342 L
.10376 .47826 L
.10386 .48309 L
.10393 .48792 L
.10397 .49275 L
.10399 .49758 L
.10399 .50242 L
.10397 .50725 L
.10393 .51208 L
.10386 .51691 L
.10376 .52174 L
.10365 .52658 L
.10351 .53141 L
.10334 .53624 L
.10315 .54107 L
.10293 .5459 L
.10268 .55073 L
.10241 .55557 L
.1021 .5604 L
.10176 .56523 L
.10138 .57006 L
.10137 .57021 L
.10099 .57489 L
.10055 .57973 L
.10006 .58456 L
.09951 .58939 L
.09889 .59422 L
.09819 .59905 L
.09737 .60388 L
.09654 .60809 L
.09641 .60872 L
.09534 .61355 L
.09403 .61838 L
.09228 .62321 L
.09171 .62443 L
.08688 .62777 L
.08357 .62321 L
.08204 .61923 L
.08171 .61838 L
.08016 .61355 L
.07904 .60872 L
.07822 .60388 L
.07759 .59905 L
.07721 .59566 L
.07701 .59422 L
.07637 .58939 L
.0758 .58456 L
.07529 .57973 L
.07483 .57489 L
.07442 .57006 L
.07404 .56523 L
.0737 .5604 L
.0734 .55557 L
.07312 .55073 L
.07288 .5459 L
.07266 .54107 L
.07247 .53624 L
.07238 .53364 L
.07231 .53141 L
.07217 .52658 L
.07206 .52174 L
.07197 .51691 L
.0719 .51208 L
.07185 .50725 L
.07183 .50242 L
.07183 .49758 L
.07185 .49275 L
.0719 .48792 L
.07197 .48309 L
.07206 .47826 L
.07217 .47342 L
.07231 .46859 L
.07238 .46636 L
.07247 .46376 L
.07266 .45893 L
.07288 .4541 L
.07312 .44927 L
.0734 .44443 L
.0737 .4396 L
.07404 .43477 L
.07442 .42994 L
.07483 .42511 L
.07529 .42027 L
.0758 .41544 L
.07637 .41061 L
.07701 .40578 L
.07721 .40434 L
.07759 .40095 L
.07822 .39612 L
.07904 .39128 L
.08016 .38645 L
.08171 .38162 L
.08204 .38077 L
.08357 .37679 L
F
1 .493 0 r
.08688 .37306 m
.09171 .37643 L
.09189 .37679 L
.09375 .38162 L
.09511 .38645 L
.09621 .39128 L
.09654 .39289 L
.09718 .39612 L
.09802 .40095 L
.09874 .40578 L
.09937 .41061 L
.09993 .41544 L
.10042 .42027 L
.10087 .42511 L
.10127 .42994 L
.10137 .43131 L
.10164 .43477 L
.10198 .4396 L
.10229 .44443 L
.10257 .44927 L
.10282 .4541 L
.10304 .45893 L
.10323 .46376 L
.1034 .46859 L
.10354 .47342 L
.10366 .47826 L
.10375 .48309 L
.10382 .48792 L
.10387 .49275 L
.10389 .49758 L
.10389 .50242 L
.10387 .50725 L
.10382 .51208 L
.10375 .51691 L
.10366 .52174 L
.10354 .52658 L
.1034 .53141 L
.10323 .53624 L
.10304 .54107 L
.10282 .5459 L
.10257 .55073 L
.10229 .55557 L
.10198 .5604 L
.10164 .56523 L
.10137 .56869 L
.10127 .57006 L
.10087 .57489 L
.10042 .57973 L
.09993 .58456 L
.09937 .58939 L
.09874 .59422 L
.09802 .59905 L
.09718 .60388 L
.09654 .60711 L
.09621 .60872 L
.09511 .61355 L
.09375 .61838 L
.09189 .62321 L
.09171 .62357 L
.08688 .62694 L
.08398 .62321 L
.08206 .61838 L
.08204 .61834 L
.08042 .61355 L
.07924 .60872 L
.07838 .60388 L
.07772 .59905 L
.07721 .59455 L
.07717 .59422 L
.07652 .58939 L
.07594 .58456 L
.07543 .57973 L
.07496 .57489 L
.07454 .57006 L
.07416 .56523 L
.07382 .5604 L
.07351 .55557 L
.07324 .55073 L
.07299 .5459 L
.07277 .54107 L
.07258 .53624 L
.07241 .53141 L
.07238 .53033 L
.07228 .52658 L
.07216 .52174 L
.07207 .51691 L
.072 .51208 L
.07195 .50725 L
.07193 .50242 L
.07193 .49758 L
.07195 .49275 L
.072 .48792 L
.07207 .48309 L
.07216 .47826 L
.07228 .47342 L
.07238 .46967 L
.07241 .46859 L
.07258 .46376 L
.07277 .45893 L
.07299 .4541 L
.07324 .44927 L
.07351 .44443 L
.07382 .4396 L
.07416 .43477 L
.07454 .42994 L
.07496 .42511 L
.07543 .42027 L
.07594 .41544 L
.07652 .41061 L
.07717 .40578 L
.07721 .40545 L
.07772 .40095 L
.07838 .39612 L
.07924 .39128 L
.08042 .38645 L
.08204 .38166 L
.08206 .38162 L
.08398 .37679 L
F
1 .488 0 r
.08688 .37389 m
.09144 .37679 L
.09171 .37728 L
.09346 .38162 L
.09487 .38645 L
.09601 .39128 L
.09654 .39388 L
.09699 .39612 L
.09784 .40095 L
.09858 .40578 L
.09923 .41061 L
.09979 .41544 L
.10029 .42027 L
.10074 .42511 L
.10115 .42994 L
.10137 .43285 L
.10152 .43477 L
.10187 .4396 L
.10218 .44443 L
.10246 .44927 L
.10271 .4541 L
.10293 .45893 L
.10312 .46376 L
.10329 .46859 L
.10344 .47342 L
.10355 .47826 L
.10365 .48309 L
.10372 .48792 L
.10376 .49275 L
.10379 .49758 L
.10379 .50242 L
.10376 .50725 L
.10372 .51208 L
.10365 .51691 L
.10355 .52174 L
.10344 .52658 L
.10329 .53141 L
.10312 .53624 L
.10293 .54107 L
.10271 .5459 L
.10246 .55073 L
.10218 .55557 L
.10187 .5604 L
.10152 .56523 L
.10137 .56715 L
.10115 .57006 L
.10074 .57489 L
.10029 .57973 L
.09979 .58456 L
.09923 .58939 L
.09858 .59422 L
.09784 .59905 L
.09699 .60388 L
.09654 .60612 L
.09601 .60872 L
.09487 .61355 L
.09346 .61838 L
.09171 .62272 L
.09144 .62321 L
.08688 .62611 L
.08442 .62321 L
.08236 .61838 L
.08204 .61745 L
.08069 .61355 L
.07944 .60872 L
.07854 .60388 L
.07785 .59905 L
.07729 .59422 L
.07721 .59343 L
.07667 .58939 L
.07608 .58456 L
.07556 .57973 L
.07509 .57489 L
.07466 .57006 L
.07428 .56523 L
.07394 .5604 L
.07363 .55557 L
.07335 .55073 L
.0731 .5459 L
.07288 .54107 L
.07269 .53624 L
.07252 .53141 L
.07238 .52664 L
.07238 .52658 L
.07226 .52174 L
.07217 .51691 L
.0721 .51208 L
.07206 .50725 L
.07203 .50242 L
.07203 .49758 L
.07206 .49275 L
.0721 .48792 L
.07217 .48309 L
.07226 .47826 L
.07238 .47342 L
.07238 .47336 L
.07252 .46859 L
.07269 .46376 L
.07288 .45893 L
.0731 .4541 L
.07335 .44927 L
.07363 .44443 L
.07394 .4396 L
.07428 .43477 L
.07466 .42994 L
.07509 .42511 L
.07556 .42027 L
.07608 .41544 L
.07667 .41061 L
.07721 .40657 L
.07729 .40578 L
.07785 .40095 L
.07854 .39612 L
.07944 .39128 L
.08069 .38645 L
.08204 .38255 L
.08236 .38162 L
.08442 .37679 L
F
1 .484 0 r
.08688 .37471 m
.09092 .37679 L
.09171 .37813 L
.09315 .38162 L
.09463 .38645 L
.0958 .39128 L
.09654 .39486 L
.09679 .39612 L
.09767 .40095 L
.09842 .40578 L
.09908 .41061 L
.09965 .41544 L
.10016 .42027 L
.10062 .42511 L
.10103 .42994 L
.10137 .43442 L
.1014 .43477 L
.10175 .4396 L
.10206 .44443 L
.10235 .44927 L
.1026 .4541 L
.10282 .45893 L
.10302 .46376 L
.10319 .46859 L
.10333 .47342 L
.10345 .47826 L
.10354 .48309 L
.10361 .48792 L
.10366 .49275 L
.10368 .49758 L
.10368 .50242 L
.10366 .50725 L
.10361 .51208 L
.10354 .51691 L
.10345 .52174 L
.10333 .52658 L
.10319 .53141 L
.10302 .53624 L
.10282 .54107 L
.1026 .5459 L
.10235 .55073 L
.10206 .55557 L
.10175 .5604 L
.1014 .56523 L
.10137 .56558 L
.10103 .57006 L
.10062 .57489 L
.10016 .57973 L
.09965 .58456 L
.09908 .58939 L
.09842 .59422 L
.09767 .59905 L
.09679 .60388 L
.09654 .60514 L
.0958 .60872 L
.09463 .61355 L
.09315 .61838 L
.09171 .62187 L
.09092 .62321 L
.08688 .62529 L
.08493 .62321 L
.08267 .61838 L
.08204 .61656 L
.08097 .61355 L
.07966 .60872 L
.0787 .60388 L
.07798 .59905 L
.07741 .59422 L
.07721 .59231 L
.07682 .58939 L
.07623 .58456 L
.07569 .57973 L
.07522 .57489 L
.07479 .57006 L
.0744 .56523 L
.07405 .5604 L
.07374 .55557 L
.07346 .55073 L
.07321 .5459 L
.07299 .54107 L
.07279 .53624 L
.07263 .53141 L
.07248 .52658 L
.07238 .52241 L
.07237 .52174 L
.07227 .51691 L
.0722 .51208 L
.07216 .50725 L
.07214 .50242 L
.07214 .49758 L
.07216 .49275 L
.0722 .48792 L
.07227 .48309 L
.07237 .47826 L
.07238 .47759 L
.07248 .47342 L
.07263 .46859 L
.07279 .46376 L
.07299 .45893 L
.07321 .4541 L
.07346 .44927 L
.07374 .44443 L
.07405 .4396 L
.0744 .43477 L
.07479 .42994 L
.07522 .42511 L
.07569 .42027 L
.07623 .41544 L
.07682 .41061 L
.07721 .40769 L
.07741 .40578 L
.07798 .40095 L
.0787 .39612 L
.07966 .39128 L
.08097 .38645 L
.08204 .38344 L
.08267 .38162 L
.08493 .37679 L
F
1 .479 0 r
.08688 .37554 m
.09029 .37679 L
.09171 .37898 L
.09284 .38162 L
.09438 .38645 L
.09559 .39128 L
.09654 .39585 L
.09659 .39612 L
.09749 .40095 L
.09826 .40578 L
.09893 .41061 L
.09952 .41544 L
.10003 .42027 L
.1005 .42511 L
.10091 .42994 L
.10128 .43477 L
.10137 .43601 L
.10163 .4396 L
.10195 .44443 L
.10223 .44927 L
.10249 .4541 L
.10271 .45893 L
.10291 .46376 L
.10308 .46859 L
.10322 .47342 L
.10334 .47826 L
.10344 .48309 L
.10351 .48792 L
.10356 .49275 L
.10358 .49758 L
.10358 .50242 L
.10356 .50725 L
.10351 .51208 L
.10344 .51691 L
.10334 .52174 L
.10322 .52658 L
.10308 .53141 L
.10291 .53624 L
.10271 .54107 L
.10249 .5459 L
.10223 .55073 L
.10195 .55557 L
.10163 .5604 L
.10137 .56399 L
.10128 .56523 L
.10091 .57006 L
.1005 .57489 L
.10003 .57973 L
.09952 .58456 L
.09893 .58939 L
.09826 .59422 L
.09749 .59905 L
.09659 .60388 L
.09654 .60415 L
.09559 .60872 L
.09438 .61355 L
.09284 .61838 L
.09171 .62102 L
.09029 .62321 L
.08688 .62446 L
.08553 .62321 L
.08299 .61838 L
.08204 .61567 L
.08127 .61355 L
.07988 .60872 L
.07888 .60388 L
.07812 .59905 L
.07753 .59422 L
.07721 .59119 L
.07697 .58939 L
.07637 .58456 L
.07583 .57973 L
.07535 .57489 L
.07491 .57006 L
.07452 .56523 L
.07417 .5604 L
.07385 .55557 L
.07357 .55073 L
.07332 .5459 L
.0731 .54107 L
.0729 .53624 L
.07273 .53141 L
.07259 .52658 L
.07247 .52174 L
.07238 .51721 L
.07238 .51691 L
.07231 .51208 L
.07226 .50725 L
.07224 .50242 L
.07224 .49758 L
.07226 .49275 L
.07231 .48792 L
.07238 .48309 L
.07238 .48279 L
.07247 .47826 L
.07259 .47342 L
.07273 .46859 L
.0729 .46376 L
.0731 .45893 L
.07332 .4541 L
.07357 .44927 L
.07385 .44443 L
.07417 .4396 L
.07452 .43477 L
.07491 .42994 L
.07535 .42511 L
.07583 .42027 L
.07637 .41544 L
.07697 .41061 L
.07721 .40881 L
.07753 .40578 L
.07812 .40095 L
.07888 .39612 L
.07988 .39128 L
.08127 .38645 L
.08204 .38433 L
.08299 .38162 L
.08553 .37679 L
F
1 .475 0 r
.08688 .37636 m
.08945 .37679 L
.09171 .37982 L
.0925 .38162 L
.09413 .38645 L
.09538 .39128 L
.0964 .39612 L
.09654 .39683 L
.09731 .40095 L
.0981 .40578 L
.09878 .41061 L
.09938 .41544 L
.0999 .42027 L
.10037 .42511 L
.10079 .42994 L
.10117 .43477 L
.10137 .43763 L
.10151 .4396 L
.10183 .44443 L
.10212 .44927 L
.10238 .4541 L
.1026 .45893 L
.1028 .46376 L
.10297 .46859 L
.10312 .47342 L
.10324 .47826 L
.10333 .48309 L
.10341 .48792 L
.10345 .49275 L
.10348 .49758 L
.10348 .50242 L
.10345 .50725 L
.10341 .51208 L
.10333 .51691 L
.10324 .52174 L
.10312 .52658 L
.10297 .53141 L
.1028 .53624 L
.1026 .54107 L
.10238 .5459 L
.10212 .55073 L
.10183 .55557 L
.10151 .5604 L
.10137 .56237 L
.10117 .56523 L
.10079 .57006 L
.10037 .57489 L
.0999 .57973 L
.09938 .58456 L
.09878 .58939 L
.0981 .59422 L
.09731 .59905 L
.09654 .60317 L
.0964 .60388 L
.09538 .60872 L
.09413 .61355 L
.0925 .61838 L
.09171 .62018 L
.08945 .62321 L
.08688 .62364 L
.0863 .62321 L
.08334 .61838 L
.08204 .61479 L
.08158 .61355 L
.08012 .60872 L
.07906 .60388 L
.07827 .59905 L
.07765 .59422 L
.07721 .59006 L
.07712 .58939 L
.07651 .58456 L
.07597 .57973 L
.07548 .57489 L
.07504 .57006 L
.07464 .56523 L
.07429 .5604 L
.07397 .55557 L
.07368 .55073 L
.07343 .5459 L
.0732 .54107 L
.07301 .53624 L
.07284 .53141 L
.07269 .52658 L
.07257 .52174 L
.07248 .51691 L
.07241 .51208 L
.07238 .50986 L
.07236 .50725 L
.07234 .50242 L
.07234 .49758 L
.07236 .49275 L
.07238 .49014 L
.07241 .48792 L
.07248 .48309 L
.07257 .47826 L
.07269 .47342 L
.07284 .46859 L
.07301 .46376 L
.0732 .45893 L
.07343 .4541 L
.07368 .44927 L
.07397 .44443 L
.07429 .4396 L
.07464 .43477 L
.07504 .42994 L
.07548 .42511 L
.07597 .42027 L
.07651 .41544 L
.07712 .41061 L
.07721 .40994 L
.07765 .40578 L
.07827 .40095 L
.07906 .39612 L
.08012 .39128 L
.08158 .38645 L
.08204 .38521 L
.08334 .38162 L
.0863 .37679 L
F
1 .47 0 r
.08688 .37718 m
.09171 .38067 L
.09214 .38162 L
.09387 .38645 L
.09516 .39128 L
.09621 .39612 L
.09654 .39782 L
.09713 .40095 L
.09794 .40578 L
.09863 .41061 L
.09924 .41544 L
.09977 .42027 L
.10025 .42511 L
.10067 .42994 L
.10105 .43477 L
.10137 .43927 L
.1014 .4396 L
.10172 .44443 L
.10201 .44927 L
.10227 .4541 L
.10249 .45893 L
.10269 .46376 L
.10287 .46859 L
.10301 .47342 L
.10313 .47826 L
.10323 .48309 L
.1033 .48792 L
.10335 .49275 L
.10337 .49758 L
.10337 .50242 L
.10335 .50725 L
.1033 .51208 L
.10323 .51691 L
.10313 .52174 L
.10301 .52658 L
.10287 .53141 L
.10269 .53624 L
.10249 .54107 L
.10227 .5459 L
.10201 .55073 L
.10172 .55557 L
.1014 .5604 L
.10137 .56073 L
.10105 .56523 L
.10067 .57006 L
.10025 .57489 L
.09977 .57973 L
.09924 .58456 L
.09863 .58939 L
.09794 .59422 L
.09713 .59905 L
.09654 .60218 L
.09621 .60388 L
.09516 .60872 L
.09387 .61355 L
.09214 .61838 L
.09171 .61933 L
.08688 .62282 L
.08371 .61838 L
.08204 .6139 L
.08191 .61355 L
.08036 .60872 L
.07924 .60388 L
.07841 .59905 L
.07778 .59422 L
.07726 .58939 L
.07721 .58893 L
.07666 .58456 L
.0761 .57973 L
.07561 .57489 L
.07516 .57006 L
.07476 .56523 L
.07441 .5604 L
.07408 .55557 L
.0738 .55073 L
.07354 .5459 L
.07331 .54107 L
.07311 .53624 L
.07294 .53141 L
.0728 .52658 L
.07268 .52174 L
.07258 .51691 L
.07251 .51208 L
.07246 .50725 L
.07244 .50242 L
.07244 .49758 L
.07246 .49275 L
.07251 .48792 L
.07258 .48309 L
.07268 .47826 L
.0728 .47342 L
.07294 .46859 L
.07311 .46376 L
.07331 .45893 L
.07354 .4541 L
.0738 .44927 L
.07408 .44443 L
.07441 .4396 L
.07476 .43477 L
.07516 .42994 L
.07561 .42511 L
.0761 .42027 L
.07666 .41544 L
.07721 .41107 L
.07726 .41061 L
.07778 .40578 L
.07841 .40095 L
.07924 .39612 L
.08036 .39128 L
.08191 .38645 L
.08204 .3861 L
.08371 .38162 L
F
1 .466 0 r
.08688 .378 m
.09171 .38151 L
.09176 .38162 L
.09359 .38645 L
.09493 .39128 L
.09601 .39612 L
.09654 .39881 L
.09695 .40095 L
.09777 .40578 L
.09848 .41061 L
.0991 .41544 L
.09964 .42027 L
.10012 .42511 L
.10055 .42994 L
.10094 .43477 L
.10128 .4396 L
.10137 .44095 L
.1016 .44443 L
.1019 .44927 L
.10216 .4541 L
.10239 .45893 L
.10259 .46376 L
.10276 .46859 L
.10291 .47342 L
.10303 .47826 L
.10313 .48309 L
.1032 .48792 L
.10325 .49275 L
.10327 .49758 L
.10327 .50242 L
.10325 .50725 L
.1032 .51208 L
.10313 .51691 L
.10303 .52174 L
.10291 .52658 L
.10276 .53141 L
.10259 .53624 L
.10239 .54107 L
.10216 .5459 L
.1019 .55073 L
.1016 .55557 L
.10137 .55905 L
.10128 .5604 L
.10094 .56523 L
.10055 .57006 L
.10012 .57489 L
.09964 .57973 L
.0991 .58456 L
.09848 .58939 L
.09777 .59422 L
.09695 .59905 L
.09654 .60119 L
.09601 .60388 L
.09493 .60872 L
.09359 .61355 L
.09176 .61838 L
.09171 .61849 L
.08688 .622 L
.08411 .61838 L
.08221 .61355 L
.08204 .61302 L
.08062 .60872 L
.07944 .60388 L
.07857 .59905 L
.0779 .59422 L
.07737 .58939 L
.07721 .58779 L
.0768 .58456 L
.07624 .57973 L
.07574 .57489 L
.07529 .57006 L
.07489 .56523 L
.07452 .5604 L
.0742 .55557 L
.07391 .55073 L
.07365 .5459 L
.07342 .54107 L
.07322 .53624 L
.07305 .53141 L
.0729 .52658 L
.07278 .52174 L
.07268 .51691 L
.07261 .51208 L
.07257 .50725 L
.07254 .50242 L
.07254 .49758 L
.07257 .49275 L
.07261 .48792 L
.07268 .48309 L
.07278 .47826 L
.0729 .47342 L
.07305 .46859 L
.07322 .46376 L
.07342 .45893 L
.07365 .4541 L
.07391 .44927 L
.0742 .44443 L
.07452 .4396 L
.07489 .43477 L
.07529 .42994 L
.07574 .42511 L
.07624 .42027 L
.0768 .41544 L
.07721 .41221 L
.07737 .41061 L
.0779 .40578 L
.07857 .40095 L
.07944 .39612 L
.08062 .39128 L
.08204 .38698 L
.08221 .38645 L
.08411 .38162 L
F
1 .461 0 r
.08688 .37882 m
.09131 .38162 L
.09171 .38236 L
.09331 .38645 L
.0947 .39128 L
.09582 .39612 L
.09654 .3998 L
.09676 .40095 L
.0976 .40578 L
.09833 .41061 L
.09896 .41544 L
.09951 .42027 L
.1 .42511 L
.10043 .42994 L
.10082 .43477 L
.10117 .4396 L
.10137 .44266 L
.10149 .44443 L
.10178 .44927 L
.10205 .4541 L
.10228 .45893 L
.10248 .46376 L
.10266 .46859 L
.1028 .47342 L
.10293 .47826 L
.10302 .48309 L
.1031 .48792 L
.10315 .49275 L
.10317 .49758 L
.10317 .50242 L
.10315 .50725 L
.1031 .51208 L
.10302 .51691 L
.10293 .52174 L
.1028 .52658 L
.10266 .53141 L
.10248 .53624 L
.10228 .54107 L
.10205 .5459 L
.10178 .55073 L
.10149 .55557 L
.10137 .55734 L
.10117 .5604 L
.10082 .56523 L
.10043 .57006 L
.1 .57489 L
.09951 .57973 L
.09896 .58456 L
.09833 .58939 L
.0976 .59422 L
.09676 .59905 L
.09654 .6002 L
.09582 .60388 L
.0947 .60872 L
.09331 .61355 L
.09171 .61764 L
.09131 .61838 L
.08688 .62118 L
.08455 .61838 L
.0825 .61355 L
.08204 .61213 L
.08089 .60872 L
.07964 .60388 L
.07873 .59905 L
.07803 .59422 L
.07748 .58939 L
.07721 .58665 L
.07695 .58456 L
.07638 .57973 L
.07587 .57489 L
.07541 .57006 L
.07501 .56523 L
.07464 .5604 L
.07431 .55557 L
.07402 .55073 L
.07376 .5459 L
.07353 .54107 L
.07333 .53624 L
.07315 .53141 L
.07301 .52658 L
.07288 .52174 L
.07279 .51691 L
.07271 .51208 L
.07267 .50725 L
.07264 .50242 L
.07264 .49758 L
.07267 .49275 L
.07271 .48792 L
.07279 .48309 L
.07288 .47826 L
.07301 .47342 L
.07315 .46859 L
.07333 .46376 L
.07353 .45893 L
.07376 .4541 L
.07402 .44927 L
.07431 .44443 L
.07464 .4396 L
.07501 .43477 L
.07541 .42994 L
.07587 .42511 L
.07638 .42027 L
.07695 .41544 L
.07721 .41335 L
.07748 .41061 L
.07803 .40578 L
.07873 .40095 L
.07964 .39612 L
.08089 .39128 L
.08204 .38787 L
.0825 .38645 L
.08455 .38162 L
F
1 .457 0 r
.08688 .37964 m
.09079 .38162 L
.09171 .3832 L
.09302 .38645 L
.09447 .39128 L
.09561 .39612 L
.09654 .40079 L
.09657 .40095 L
.09743 .40578 L
.09817 .41061 L
.09881 .41544 L
.09937 .42027 L
.09987 .42511 L
.10031 .42994 L
.10071 .43477 L
.10106 .4396 L
.10137 .44441 L
.10137 .44443 L
.10167 .44927 L
.10193 .4541 L
.10217 .45893 L
.10237 .46376 L
.10255 .46859 L
.1027 .47342 L
.10282 .47826 L
.10292 .48309 L
.10299 .48792 L
.10304 .49275 L
.10307 .49758 L
.10307 .50242 L
.10304 .50725 L
.10299 .51208 L
.10292 .51691 L
.10282 .52174 L
.1027 .52658 L
.10255 .53141 L
.10237 .53624 L
.10217 .54107 L
.10193 .5459 L
.10167 .55073 L
.10137 .55557 L
.10137 .55559 L
.10106 .5604 L
.10071 .56523 L
.10031 .57006 L
.09987 .57489 L
.09937 .57973 L
.09881 .58456 L
.09817 .58939 L
.09743 .59422 L
.09657 .59905 L
.09654 .59921 L
.09561 .60388 L
.09447 .60872 L
.09302 .61355 L
.09171 .6168 L
.09079 .61838 L
.08688 .62036 L
.08505 .61838 L
.08281 .61355 L
.08204 .61125 L
.08117 .60872 L
.07986 .60388 L
.0789 .59905 L
.07817 .59422 L
.0776 .58939 L
.07721 .5855 L
.07709 .58456 L
.07652 .57973 L
.076 .57489 L
.07554 .57006 L
.07513 .56523 L
.07476 .5604 L
.07443 .55557 L
.07413 .55073 L
.07387 .5459 L
.07364 .54107 L
.07343 .53624 L
.07326 .53141 L
.07311 .52658 L
.07299 .52174 L
.07289 .51691 L
.07282 .51208 L
.07277 .50725 L
.07274 .50242 L
.07274 .49758 L
.07277 .49275 L
.07282 .48792 L
.07289 .48309 L
.07299 .47826 L
.07311 .47342 L
.07326 .46859 L
.07343 .46376 L
.07364 .45893 L
.07387 .4541 L
.07413 .44927 L
.07443 .44443 L
.07476 .4396 L
.07513 .43477 L
.07554 .42994 L
.076 .42511 L
.07652 .42027 L
.07709 .41544 L
.07721 .4145 L
.0776 .41061 L
.07817 .40578 L
.0789 .40095 L
.07986 .39612 L
.08117 .39128 L
.08204 .38875 L
.08281 .38645 L
.08505 .38162 L
F
1 .453 0 r
.08688 .38046 m
.09017 .38162 L
.09171 .38404 L
.09271 .38645 L
.09423 .39128 L
.09541 .39612 L
.09639 .40095 L
.09654 .40178 L
.09726 .40578 L
.09801 .41061 L
.09867 .41544 L
.09924 .42027 L
.09974 .42511 L
.10019 .42994 L
.10059 .43477 L
.10095 .4396 L
.10126 .44443 L
.10137 .4462 L
.10156 .44927 L
.10182 .4541 L
.10206 .45893 L
.10227 .46376 L
.10244 .46859 L
.10259 .47342 L
.10272 .47826 L
.10282 .48309 L
.10289 .48792 L
.10294 .49275 L
.10296 .49758 L
.10296 .50242 L
.10294 .50725 L
.10289 .51208 L
.10282 .51691 L
.10272 .52174 L
.10259 .52658 L
.10244 .53141 L
.10227 .53624 L
.10206 .54107 L
.10182 .5459 L
.10156 .55073 L
.10137 .5538 L
.10126 .55557 L
.10095 .5604 L
.10059 .56523 L
.10019 .57006 L
.09974 .57489 L
.09924 .57973 L
.09867 .58456 L
.09801 .58939 L
.09726 .59422 L
.09654 .59822 L
.09639 .59905 L
.09541 .60388 L
.09423 .60872 L
.09271 .61355 L
.09171 .61596 L
.09017 .61838 L
.08688 .61954 L
.08564 .61838 L
.08312 .61355 L
.08204 .61036 L
.08146 .60872 L
.08008 .60388 L
.07907 .59905 L
.07831 .59422 L
.07772 .58939 L
.07723 .58456 L
.07721 .58435 L
.07665 .57973 L
.07613 .57489 L
.07567 .57006 L
.07525 .56523 L
.07488 .5604 L
.07454 .55557 L
.07424 .55073 L
.07398 .5459 L
.07374 .54107 L
.07354 .53624 L
.07336 .53141 L
.07321 .52658 L
.07309 .52174 L
.07299 .51691 L
.07292 .51208 L
.07287 .50725 L
.07285 .50242 L
.07285 .49758 L
.07287 .49275 L
.07292 .48792 L
.07299 .48309 L
.07309 .47826 L
.07321 .47342 L
.07336 .46859 L
.07354 .46376 L
.07374 .45893 L
.07398 .4541 L
.07424 .44927 L
.07454 .44443 L
.07488 .4396 L
.07525 .43477 L
.07567 .42994 L
.07613 .42511 L
.07665 .42027 L
.07721 .41565 L
.07723 .41544 L
.07772 .41061 L
.07831 .40578 L
.07907 .40095 L
.08008 .39612 L
.08146 .39128 L
.08204 .38964 L
.08312 .38645 L
.08564 .38162 L
F
1 .448 0 r
.08688 .38127 m
.08932 .38162 L
.09171 .38488 L
.09238 .38645 L
.09398 .39128 L
.0952 .39612 L
.0962 .40095 L
.09654 .40277 L
.09708 .40578 L
.09785 .41061 L
.09852 .41544 L
.0991 .42027 L
.09961 .42511 L
.10007 .42994 L
.10047 .43477 L
.10083 .4396 L
.10115 .44443 L
.10137 .44804 L
.10145 .44927 L
.10171 .4541 L
.10195 .45893 L
.10216 .46376 L
.10234 .46859 L
.10249 .47342 L
.10262 .47826 L
.10272 .48309 L
.10279 .48792 L
.10284 .49275 L
.10286 .49758 L
.10286 .50242 L
.10284 .50725 L
.10279 .51208 L
.10272 .51691 L
.10262 .52174 L
.10249 .52658 L
.10234 .53141 L
.10216 .53624 L
.10195 .54107 L
.10171 .5459 L
.10145 .55073 L
.10137 .55196 L
.10115 .55557 L
.10083 .5604 L
.10047 .56523 L
.10007 .57006 L
.09961 .57489 L
.0991 .57973 L
.09852 .58456 L
.09785 .58939 L
.09708 .59422 L
.09654 .59723 L
.0962 .59905 L
.0952 .60388 L
.09398 .60872 L
.09238 .61355 L
.09171 .61512 L
.08932 .61838 L
.08688 .61873 L
.08641 .61838 L
.08346 .61355 L
.08204 .60948 L
.08177 .60872 L
.08031 .60388 L
.07925 .59905 L
.07846 .59422 L
.07784 .58939 L
.07734 .58456 L
.07721 .58319 L
.0768 .57973 L
.07627 .57489 L
.0758 .57006 L
.07537 .56523 L
.075 .5604 L
.07466 .55557 L
.07436 .55073 L
.07409 .5459 L
.07385 .54107 L
.07364 .53624 L
.07347 .53141 L
.07332 .52658 L
.07319 .52174 L
.07309 .51691 L
.07302 .51208 L
.07297 .50725 L
.07295 .50242 L
.07295 .49758 L
.07297 .49275 L
.07302 .48792 L
.07309 .48309 L
.07319 .47826 L
.07332 .47342 L
.07347 .46859 L
.07364 .46376 L
.07385 .45893 L
.07409 .4541 L
.07436 .44927 L
.07466 .44443 L
.075 .4396 L
.07537 .43477 L
.0758 .42994 L
.07627 .42511 L
.0768 .42027 L
.07721 .41681 L
.07734 .41544 L
.07784 .41061 L
.07846 .40578 L
.07925 .40095 L
.08031 .39612 L
.08177 .39128 L
.08204 .39052 L
.08346 .38645 L
.08641 .38162 L
F
1 .444 0 r
.08688 .38209 m
.09171 .38572 L
.09203 .38645 L
.09372 .39128 L
.09499 .39612 L
.09601 .40095 L
.09654 .40377 L
.09691 .40578 L
.09769 .41061 L
.09837 .41544 L
.09897 .42027 L
.09949 .42511 L
.09995 .42994 L
.10035 .43477 L
.10072 .4396 L
.10104 .44443 L
.10133 .44927 L
.10137 .44993 L
.1016 .4541 L
.10184 .45893 L
.10205 .46376 L
.10223 .46859 L
.10239 .47342 L
.10251 .47826 L
.10261 .48309 L
.10269 .48792 L
.10274 .49275 L
.10276 .49758 L
.10276 .50242 L
.10274 .50725 L
.10269 .51208 L
.10261 .51691 L
.10251 .52174 L
.10239 .52658 L
.10223 .53141 L
.10205 .53624 L
.10184 .54107 L
.1016 .5459 L
.10137 .55007 L
.10133 .55073 L
.10104 .55557 L
.10072 .5604 L
.10035 .56523 L
.09995 .57006 L
.09949 .57489 L
.09897 .57973 L
.09837 .58456 L
.09769 .58939 L
.09691 .59422 L
.09654 .59623 L
.09601 .59905 L
.09499 .60388 L
.09372 .60872 L
.09203 .61355 L
.09171 .61428 L
.08688 .61791 L
.08382 .61355 L
.08208 .60872 L
.08204 .60859 L
.08056 .60388 L
.07944 .59905 L
.07861 .59422 L
.07796 .58939 L
.07745 .58456 L
.07721 .58202 L
.07694 .57973 L
.0764 .57489 L
.07592 .57006 L
.0755 .56523 L
.07511 .5604 L
.07477 .55557 L
.07447 .55073 L
.0742 .5459 L
.07396 .54107 L
.07375 .53624 L
.07357 .53141 L
.07342 .52658 L
.07329 .52174 L
.0732 .51691 L
.07312 .51208 L
.07307 .50725 L
.07305 .50242 L
.07305 .49758 L
.07307 .49275 L
.07312 .48792 L
.0732 .48309 L
.07329 .47826 L
.07342 .47342 L
.07357 .46859 L
.07375 .46376 L
.07396 .45893 L
.0742 .4541 L
.07447 .44927 L
.07477 .44443 L
.07511 .4396 L
.0755 .43477 L
.07592 .42994 L
.0764 .42511 L
.07694 .42027 L
.07721 .41798 L
.07745 .41544 L
.07796 .41061 L
.07861 .40578 L
.07944 .40095 L
.08056 .39612 L
.08204 .39141 L
.08208 .39128 L
.08382 .38645 L
F
1 .439 0 r
.08688 .3829 m
.09165 .38645 L
.09171 .38656 L
.09346 .39128 L
.09477 .39612 L
.09582 .40095 L
.09654 .40477 L
.09673 .40578 L
.09753 .41061 L
.09822 .41544 L
.09883 .42027 L
.09936 .42511 L
.09982 .42994 L
.10024 .43477 L
.10061 .4396 L
.10093 .44443 L
.10123 .44927 L
.10137 .45188 L
.10149 .4541 L
.10173 .45893 L
.10195 .46376 L
.10213 .46859 L
.10228 .47342 L
.10241 .47826 L
.10251 .48309 L
.10258 .48792 L
.10263 .49275 L
.10266 .49758 L
.10266 .50242 L
.10263 .50725 L
.10258 .51208 L
.10251 .51691 L
.10241 .52174 L
.10228 .52658 L
.10213 .53141 L
.10195 .53624 L
.10173 .54107 L
.10149 .5459 L
.10137 .54812 L
.10123 .55073 L
.10093 .55557 L
.10061 .5604 L
.10024 .56523 L
.09982 .57006 L
.09936 .57489 L
.09883 .57973 L
.09822 .58456 L
.09753 .58939 L
.09673 .59422 L
.09654 .59523 L
.09582 .59905 L
.09477 .60388 L
.09346 .60872 L
.09171 .61344 L
.09165 .61355 L
.08688 .6171 L
.08421 .61355 L
.08235 .60872 L
.08204 .60771 L
.08081 .60388 L
.07963 .59905 L
.07876 .59422 L
.07809 .58939 L
.07756 .58456 L
.07721 .58085 L
.07708 .57973 L
.07653 .57489 L
.07605 .57006 L
.07562 .56523 L
.07523 .5604 L
.07489 .55557 L
.07458 .55073 L
.07431 .5459 L
.07407 .54107 L
.07386 .53624 L
.07368 .53141 L
.07352 .52658 L
.0734 .52174 L
.0733 .51691 L
.07322 .51208 L
.07317 .50725 L
.07315 .50242 L
.07315 .49758 L
.07317 .49275 L
.07322 .48792 L
.0733 .48309 L
.0734 .47826 L
.07352 .47342 L
.07368 .46859 L
.07386 .46376 L
.07407 .45893 L
.07431 .4541 L
.07458 .44927 L
.07489 .44443 L
.07523 .4396 L
.07562 .43477 L
.07605 .42994 L
.07653 .42511 L
.07708 .42027 L
.07721 .41915 L
.07756 .41544 L
.07809 .41061 L
.07876 .40578 L
.07963 .40095 L
.08081 .39612 L
.08204 .39229 L
.08235 .39128 L
.08421 .38645 L
F
1 .435 0 r
.08688 .38372 m
.09121 .38645 L
.09171 .3874 L
.09318 .39128 L
.09454 .39612 L
.09563 .40095 L
.09654 .40577 L
.09654 .40578 L
.09737 .41061 L
.09807 .41544 L
.09869 .42027 L
.09922 .42511 L
.0997 .42994 L
.10012 .43477 L
.10049 .4396 L
.10082 .44443 L
.10112 .44927 L
.10137 .45389 L
.10138 .4541 L
.10163 .45893 L
.10184 .46376 L
.10202 .46859 L
.10218 .47342 L
.10231 .47826 L
.10241 .48309 L
.10248 .48792 L
.10253 .49275 L
.10256 .49758 L
.10256 .50242 L
.10253 .50725 L
.10248 .51208 L
.10241 .51691 L
.10231 .52174 L
.10218 .52658 L
.10202 .53141 L
.10184 .53624 L
.10163 .54107 L
.10138 .5459 L
.10137 .54611 L
.10112 .55073 L
.10082 .55557 L
.10049 .5604 L
.10012 .56523 L
.0997 .57006 L
.09922 .57489 L
.09869 .57973 L
.09807 .58456 L
.09737 .58939 L
.09654 .59422 L
.09654 .59423 L
.09563 .59905 L
.09454 .60388 L
.09318 .60872 L
.09171 .6126 L
.09121 .61355 L
.08688 .61628 L
.08465 .61355 L
.08264 .60872 L
.08204 .60683 L
.08108 .60388 L
.07984 .59905 L
.07892 .59422 L
.07822 .58939 L
.07767 .58456 L
.07722 .57973 L
.07721 .57967 L
.07667 .57489 L
.07618 .57006 L
.07574 .56523 L
.07535 .5604 L
.075 .55557 L
.07469 .55073 L
.07442 .5459 L
.07417 .54107 L
.07396 .53624 L
.07378 .53141 L
.07363 .52658 L
.0735 .52174 L
.0734 .51691 L
.07332 .51208 L
.07327 .50725 L
.07325 .50242 L
.07325 .49758 L
.07327 .49275 L
.07332 .48792 L
.0734 .48309 L
.0735 .47826 L
.07363 .47342 L
.07378 .46859 L
.07396 .46376 L
.07417 .45893 L
.07442 .4541 L
.07469 .44927 L
.075 .44443 L
.07535 .4396 L
.07574 .43477 L
.07618 .42994 L
.07667 .42511 L
.07721 .42033 L
.07722 .42027 L
.07767 .41544 L
.07822 .41061 L
.07892 .40578 L
.07984 .40095 L
.08108 .39612 L
.08204 .39317 L
.08264 .39128 L
.08465 .38645 L
F
1 .43 0 r
.08688 .38453 m
.0907 .38645 L
.09171 .38824 L
.0929 .39128 L
.09432 .39612 L
.09543 .40095 L
.09637 .40578 L
.09654 .40677 L
.0972 .41061 L
.09792 .41544 L
.09855 .42027 L
.09909 .42511 L
.09957 .42994 L
.1 .43477 L
.10038 .4396 L
.10071 .44443 L
.10101 .44927 L
.10128 .4541 L
.10137 .45598 L
.10152 .45893 L
.10173 .46376 L
.10192 .46859 L
.10207 .47342 L
.1022 .47826 L
.1023 .48309 L
.10238 .48792 L
.10243 .49275 L
.10246 .49758 L
.10246 .50242 L
.10243 .50725 L
.10238 .51208 L
.1023 .51691 L
.1022 .52174 L
.10207 .52658 L
.10192 .53141 L
.10173 .53624 L
.10152 .54107 L
.10137 .54402 L
.10128 .5459 L
.10101 .55073 L
.10071 .55557 L
.10038 .5604 L
.1 .56523 L
.09957 .57006 L
.09909 .57489 L
.09855 .57973 L
.09792 .58456 L
.0972 .58939 L
.09654 .59323 L
.09637 .59422 L
.09543 .59905 L
.09432 .60388 L
.0929 .60872 L
.09171 .61176 L
.0907 .61355 L
.08688 .61547 L
.08513 .61355 L
.08293 .60872 L
.08204 .60594 L
.08135 .60388 L
.08005 .59905 L
.07909 .59422 L
.07836 .58939 L
.07779 .58456 L
.07732 .57973 L
.07721 .57848 L
.07681 .57489 L
.07631 .57006 L
.07587 .56523 L
.07547 .5604 L
.07512 .55557 L
.07481 .55073 L
.07453 .5459 L
.07428 .54107 L
.07407 .53624 L
.07389 .53141 L
.07373 .52658 L
.0736 .52174 L
.0735 .51691 L
.07342 .51208 L
.07337 .50725 L
.07335 .50242 L
.07335 .49758 L
.07337 .49275 L
.07342 .48792 L
.0735 .48309 L
.0736 .47826 L
.07373 .47342 L
.07389 .46859 L
.07407 .46376 L
.07428 .45893 L
.07453 .4541 L
.07481 .44927 L
.07512 .44443 L
.07547 .4396 L
.07587 .43477 L
.07631 .42994 L
.07681 .42511 L
.07721 .42152 L
.07732 .42027 L
.07779 .41544 L
.07836 .41061 L
.07909 .40578 L
.08005 .40095 L
.08135 .39612 L
.08204 .39406 L
.08293 .39128 L
.08513 .38645 L
F
1 .426 0 r
.08688 .38534 m
.09009 .38645 L
.09171 .38908 L
.09259 .39128 L
.09408 .39612 L
.09523 .40095 L
.09619 .40578 L
.09654 .40778 L
.09703 .41061 L
.09776 .41544 L
.0984 .42027 L
.09896 .42511 L
.09945 .42994 L
.09988 .43477 L
.10026 .4396 L
.1006 .44443 L
.10091 .44927 L
.10117 .4541 L
.10137 .45815 L
.10141 .45893 L
.10163 .46376 L
.10181 .46859 L
.10197 .47342 L
.1021 .47826 L
.1022 .48309 L
.10228 .48792 L
.10233 .49275 L
.10236 .49758 L
.10236 .50242 L
.10233 .50725 L
.10228 .51208 L
.1022 .51691 L
.1021 .52174 L
.10197 .52658 L
.10181 .53141 L
.10163 .53624 L
.10141 .54107 L
.10137 .54185 L
.10117 .5459 L
.10091 .55073 L
.1006 .55557 L
.10026 .5604 L
.09988 .56523 L
.09945 .57006 L
.09896 .57489 L
.0984 .57973 L
.09776 .58456 L
.09703 .58939 L
.09654 .59222 L
.09619 .59422 L
.09523 .59905 L
.09408 .60388 L
.09259 .60872 L
.09171 .61092 L
.09009 .61355 L
.08688 .61466 L
.08571 .61355 L
.08324 .60872 L
.08204 .60506 L
.08164 .60388 L
.08027 .59905 L
.07926 .59422 L
.0785 .58939 L
.07791 .58456 L
.07743 .57973 L
.07721 .57728 L
.07694 .57489 L
.07644 .57006 L
.07599 .56523 L
.07559 .5604 L
.07524 .55557 L
.07492 .55073 L
.07464 .5459 L
.07439 .54107 L
.07418 .53624 L
.07399 .53141 L
.07383 .52658 L
.0737 .52174 L
.0736 .51691 L
.07353 .51208 L
.07347 .50725 L
.07345 .50242 L
.07345 .49758 L
.07347 .49275 L
.07353 .48792 L
.0736 .48309 L
.0737 .47826 L
.07383 .47342 L
.07399 .46859 L
.07418 .46376 L
.07439 .45893 L
.07464 .4541 L
.07492 .44927 L
.07524 .44443 L
.07559 .4396 L
.07599 .43477 L
.07644 .42994 L
.07694 .42511 L
.07721 .42272 L
.07743 .42027 L
.07791 .41544 L
.0785 .41061 L
.07926 .40578 L
.08027 .40095 L
.08164 .39612 L
.08204 .39494 L
.08324 .39128 L
.08571 .38645 L
F
1 .421 0 r
.08688 .38615 m
.08925 .38645 L
.09171 .38992 L
.09227 .39128 L
.09384 .39612 L
.09503 .40095 L
.09601 .40578 L
.09654 .40879 L
.09686 .41061 L
.09761 .41544 L
.09826 .42027 L
.09882 .42511 L
.09932 .42994 L
.09976 .43477 L
.10015 .4396 L
.10049 .44443 L
.1008 .44927 L
.10107 .4541 L
.1013 .45893 L
.10137 .46043 L
.10152 .46376 L
.10171 .46859 L
.10187 .47342 L
.102 .47826 L
.1021 .48309 L
.10218 .48792 L
.10223 .49275 L
.10225 .49758 L
.10225 .50242 L
.10223 .50725 L
.10218 .51208 L
.1021 .51691 L
.102 .52174 L
.10187 .52658 L
.10171 .53141 L
.10152 .53624 L
.10137 .53957 L
.1013 .54107 L
.10107 .5459 L
.1008 .55073 L
.10049 .55557 L
.10015 .5604 L
.09976 .56523 L
.09932 .57006 L
.09882 .57489 L
.09826 .57973 L
.09761 .58456 L
.09686 .58939 L
.09654 .59121 L
.09601 .59422 L
.09503 .59905 L
.09384 .60388 L
.09227 .60872 L
.09171 .61008 L
.08925 .61355 L
.08688 .61385 L
.08648 .61355 L
.08357 .60872 L
.08204 .60417 L
.08194 .60388 L
.08051 .59905 L
.07945 .59422 L
.07865 .58939 L
.07803 .58456 L
.07753 .57973 L
.07721 .57607 L
.07708 .57489 L
.07657 .57006 L
.07612 .56523 L
.07571 .5604 L
.07535 .55557 L
.07503 .55073 L
.07475 .5459 L
.0745 .54107 L
.07428 .53624 L
.0741 .53141 L
.07394 .52658 L
.07381 .52174 L
.0737 .51691 L
.07363 .51208 L
.07358 .50725 L
.07355 .50242 L
.07355 .49758 L
.07358 .49275 L
.07363 .48792 L
.0737 .48309 L
.07381 .47826 L
.07394 .47342 L
.0741 .46859 L
.07428 .46376 L
.0745 .45893 L
.07475 .4541 L
.07503 .44927 L
.07535 .44443 L
.07571 .4396 L
.07612 .43477 L
.07657 .42994 L
.07708 .42511 L
.07721 .42393 L
.07753 .42027 L
.07803 .41544 L
.07865 .41061 L
.07945 .40578 L
.08051 .40095 L
.08194 .39612 L
.08204 .39583 L
.08357 .39128 L
.08648 .38645 L
F
1 .417 0 r
.08688 .38696 m
.09171 .39076 L
.09193 .39128 L
.09359 .39612 L
.09482 .40095 L
.09582 .40578 L
.09654 .40981 L
.09668 .41061 L
.09745 .41544 L
.09811 .42027 L
.09869 .42511 L
.09919 .42994 L
.09964 .43477 L
.10003 .4396 L
.10038 .44443 L
.10069 .44927 L
.10096 .4541 L
.1012 .45893 L
.10137 .46282 L
.10141 .46376 L
.1016 .46859 L
.10176 .47342 L
.10189 .47826 L
.102 .48309 L
.10208 .48792 L
.10213 .49275 L
.10215 .49758 L
.10215 .50242 L
.10213 .50725 L
.10208 .51208 L
.102 .51691 L
.10189 .52174 L
.10176 .52658 L
.1016 .53141 L
.10141 .53624 L
.10137 .53718 L
.1012 .54107 L
.10096 .5459 L
.10069 .55073 L
.10038 .55557 L
.10003 .5604 L
.09964 .56523 L
.09919 .57006 L
.09869 .57489 L
.09811 .57973 L
.09745 .58456 L
.09668 .58939 L
.09654 .59019 L
.09582 .59422 L
.09482 .59905 L
.09359 .60388 L
.09193 .60872 L
.09171 .60924 L
.08688 .61304 L
.08392 .60872 L
.08222 .60388 L
.08204 .60328 L
.08075 .59905 L
.07963 .59422 L
.0788 .58939 L
.07816 .58456 L
.07764 .57973 L
.07722 .57489 L
.07721 .57485 L
.0767 .57006 L
.07624 .56523 L
.07583 .5604 L
.07547 .55557 L
.07515 .55073 L
.07486 .5459 L
.07461 .54107 L
.07439 .53624 L
.0742 .53141 L
.07404 .52658 L
.07391 .52174 L
.07381 .51691 L
.07373 .51208 L
.07368 .50725 L
.07365 .50242 L
.07365 .49758 L
.07368 .49275 L
.07373 .48792 L
.07381 .48309 L
.07391 .47826 L
.07404 .47342 L
.0742 .46859 L
.07439 .46376 L
.07461 .45893 L
.07486 .4541 L
.07515 .44927 L
.07547 .44443 L
.07583 .4396 L
.07624 .43477 L
.0767 .42994 L
.07721 .42515 L
.07722 .42511 L
.07764 .42027 L
.07816 .41544 L
.0788 .41061 L
.07963 .40578 L
.08075 .40095 L
.08204 .39672 L
.08222 .39612 L
.08392 .39128 L
F
1 .412 0 r
.08688 .38777 m
.09156 .39128 L
.09171 .3916 L
.09333 .39612 L
.09461 .40095 L
.09564 .40578 L
.09651 .41061 L
.09654 .41082 L
.09729 .41544 L
.09796 .42027 L
.09855 .42511 L
.09907 .42994 L
.09952 .43477 L
.09992 .4396 L
.10027 .44443 L
.10058 .44927 L
.10086 .4541 L
.1011 .45893 L
.10131 .46376 L
.10137 .46536 L
.1015 .46859 L
.10166 .47342 L
.10179 .47826 L
.1019 .48309 L
.10197 .48792 L
.10203 .49275 L
.10205 .49758 L
.10205 .50242 L
.10203 .50725 L
.10197 .51208 L
.1019 .51691 L
.10179 .52174 L
.10166 .52658 L
.1015 .53141 L
.10137 .53464 L
.10131 .53624 L
.1011 .54107 L
.10086 .5459 L
.10058 .55073 L
.10027 .55557 L
.09992 .5604 L
.09952 .56523 L
.09907 .57006 L
.09855 .57489 L
.09796 .57973 L
.09729 .58456 L
.09654 .58918 L
.09651 .58939 L
.09564 .59422 L
.09461 .59905 L
.09333 .60388 L
.09171 .6084 L
.09156 .60872 L
.08688 .61223 L
.08431 .60872 L
.08248 .60388 L
.08204 .6024 L
.081 .59905 L
.07983 .59422 L
.07896 .58939 L
.07829 .58456 L
.07775 .57973 L
.07732 .57489 L
.07721 .57362 L
.07683 .57006 L
.07637 .56523 L
.07595 .5604 L
.07559 .55557 L
.07526 .55073 L
.07497 .5459 L
.07472 .54107 L
.0745 .53624 L
.0743 .53141 L
.07414 .52658 L
.07401 .52174 L
.07391 .51691 L
.07383 .51208 L
.07378 .50725 L
.07375 .50242 L
.07375 .49758 L
.07378 .49275 L
.07383 .48792 L
.07391 .48309 L
.07401 .47826 L
.07414 .47342 L
.0743 .46859 L
.0745 .46376 L
.07472 .45893 L
.07497 .4541 L
.07526 .44927 L
.07559 .44443 L
.07595 .4396 L
.07637 .43477 L
.07683 .42994 L
.07721 .42638 L
.07732 .42511 L
.07775 .42027 L
.07829 .41544 L
.07896 .41061 L
.07983 .40578 L
.081 .40095 L
.08204 .3976 L
.08248 .39612 L
.08431 .39128 L
F
1 .408 0 r
.08688 .38858 m
.09113 .39128 L
.09171 .39243 L
.09306 .39612 L
.09439 .40095 L
.09545 .40578 L
.09634 .41061 L
.09654 .41184 L
.09713 .41544 L
.09782 .42027 L
.09841 .42511 L
.09894 .42994 L
.09939 .43477 L
.0998 .4396 L
.10016 .44443 L
.10047 .44927 L
.10075 .4541 L
.10099 .45893 L
.10121 .46376 L
.10137 .46809 L
.10139 .46859 L
.10155 .47342 L
.10169 .47826 L
.10179 .48309 L
.10187 .48792 L
.10193 .49275 L
.10195 .49758 L
.10195 .50242 L
.10193 .50725 L
.10187 .51208 L
.10179 .51691 L
.10169 .52174 L
.10155 .52658 L
.10139 .53141 L
.10137 .53191 L
.10121 .53624 L
.10099 .54107 L
.10075 .5459 L
.10047 .55073 L
.10016 .55557 L
.0998 .5604 L
.09939 .56523 L
.09894 .57006 L
.09841 .57489 L
.09782 .57973 L
.09713 .58456 L
.09654 .58816 L
.09634 .58939 L
.09545 .59422 L
.09439 .59905 L
.09306 .60388 L
.09171 .60757 L
.09113 .60872 L
.08688 .61142 L
.08473 .60872 L
.08276 .60388 L
.08204 .60151 L
.08126 .59905 L
.08004 .59422 L
.07912 .58939 L
.07842 .58456 L
.07787 .57973 L
.07742 .57489 L
.07721 .57238 L
.07697 .57006 L
.07649 .56523 L
.07608 .5604 L
.0757 .55557 L
.07537 .55073 L
.07508 .5459 L
.07483 .54107 L
.0746 .53624 L
.07441 .53141 L
.07425 .52658 L
.07411 .52174 L
.07401 .51691 L
.07393 .51208 L
.07388 .50725 L
.07385 .50242 L
.07385 .49758 L
.07388 .49275 L
.07393 .48792 L
.07401 .48309 L
.07411 .47826 L
.07425 .47342 L
.07441 .46859 L
.0746 .46376 L
.07483 .45893 L
.07508 .4541 L
.07537 .44927 L
.0757 .44443 L
.07608 .4396 L
.07649 .43477 L
.07697 .42994 L
.07721 .42762 L
.07742 .42511 L
.07787 .42027 L
.07842 .41544 L
.07912 .41061 L
.08004 .40578 L
.08126 .40095 L
.08204 .39849 L
.08276 .39612 L
.08473 .39128 L
F
1 .404 0 r
.08688 .38939 m
.09063 .39128 L
.09171 .39327 L
.09278 .39612 L
.09417 .40095 L
.09526 .40578 L
.09616 .41061 L
.09654 .41287 L
.09696 .41544 L
.09766 .42027 L
.09827 .42511 L
.0988 .42994 L
.09927 .43477 L
.09968 .4396 L
.10004 .44443 L
.10036 .44927 L
.10064 .4541 L
.10089 .45893 L
.10111 .46376 L
.10129 .46859 L
.10137 .47103 L
.10145 .47342 L
.10158 .47826 L
.10169 .48309 L
.10177 .48792 L
.10182 .49275 L
.10185 .49758 L
.10185 .50242 L
.10182 .50725 L
.10177 .51208 L
.10169 .51691 L
.10158 .52174 L
.10145 .52658 L
.10137 .52897 L
.10129 .53141 L
.10111 .53624 L
.10089 .54107 L
.10064 .5459 L
.10036 .55073 L
.10004 .55557 L
.09968 .5604 L
.09927 .56523 L
.0988 .57006 L
.09827 .57489 L
.09766 .57973 L
.09696 .58456 L
.09654 .58713 L
.09616 .58939 L
.09526 .59422 L
.09417 .59905 L
.09278 .60388 L
.09171 .60673 L
.09063 .60872 L
.08688 .61061 L
.0852 .60872 L
.08305 .60388 L
.08204 .60062 L
.08154 .59905 L
.08025 .59422 L
.07929 .58939 L
.07856 .58456 L
.07799 .57973 L
.07752 .57489 L
.07721 .57113 L
.0771 .57006 L
.07662 .56523 L
.0762 .5604 L
.07582 .55557 L
.07549 .55073 L
.07519 .5459 L
.07493 .54107 L
.07471 .53624 L
.07452 .53141 L
.07435 .52658 L
.07422 .52174 L
.07411 .51691 L
.07403 .51208 L
.07398 .50725 L
.07395 .50242 L
.07395 .49758 L
.07398 .49275 L
.07403 .48792 L
.07411 .48309 L
.07422 .47826 L
.07435 .47342 L
.07452 .46859 L
.07471 .46376 L
.07493 .45893 L
.07519 .4541 L
.07549 .44927 L
.07582 .44443 L
.0762 .4396 L
.07662 .43477 L
.0771 .42994 L
.07721 .42887 L
.07752 .42511 L
.07799 .42027 L
.07856 .41544 L
.07929 .41061 L
.08025 .40578 L
.08154 .40095 L
.08204 .39938 L
.08305 .39612 L
.0852 .39128 L
F
1 .399 0 r
.08688 .3902 m
.09003 .39128 L
.09171 .39411 L
.09249 .39612 L
.09394 .40095 L
.09506 .40578 L
.09599 .41061 L
.09654 .4139 L
.09679 .41544 L
.09751 .42027 L
.09813 .42511 L
.09867 .42994 L
.09915 .43477 L
.09956 .4396 L
.09993 .44443 L
.10025 .44927 L
.10054 .4541 L
.10079 .45893 L
.101 .46376 L
.10119 .46859 L
.10135 .47342 L
.10137 .4743 L
.10148 .47826 L
.10159 .48309 L
.10167 .48792 L
.10172 .49275 L
.10175 .49758 L
.10175 .50242 L
.10172 .50725 L
.10167 .51208 L
.10159 .51691 L
.10148 .52174 L
.10137 .5257 L
.10135 .52658 L
.10119 .53141 L
.101 .53624 L
.10079 .54107 L
.10054 .5459 L
.10025 .55073 L
.09993 .55557 L
.09956 .5604 L
.09915 .56523 L
.09867 .57006 L
.09813 .57489 L
.09751 .57973 L
.09679 .58456 L
.09654 .5861 L
.09599 .58939 L
.09506 .59422 L
.09394 .59905 L
.09249 .60388 L
.09171 .60589 L
.09003 .60872 L
.08688 .6098 L
.08577 .60872 L
.08335 .60388 L
.08204 .59973 L
.08182 .59905 L
.08047 .59422 L
.07946 .58939 L
.0787 .58456 L
.07811 .57973 L
.07763 .57489 L
.07723 .57006 L
.07721 .56986 L
.07675 .56523 L
.07632 .5604 L
.07594 .55557 L
.0756 .55073 L
.0753 .5459 L
.07504 .54107 L
.07482 .53624 L
.07462 .53141 L
.07446 .52658 L
.07432 .52174 L
.07421 .51691 L
.07413 .51208 L
.07408 .50725 L
.07405 .50242 L
.07405 .49758 L
.07408 .49275 L
.07413 .48792 L
.07421 .48309 L
.07432 .47826 L
.07446 .47342 L
.07462 .46859 L
.07482 .46376 L
.07504 .45893 L
.0753 .4541 L
.0756 .44927 L
.07594 .44443 L
.07632 .4396 L
.07675 .43477 L
.07721 .43014 L
.07723 .42994 L
.07763 .42511 L
.07811 .42027 L
.0787 .41544 L
.07946 .41061 L
.08047 .40578 L
.08182 .40095 L
.08204 .40027 L
.08335 .39612 L
.08577 .39128 L
F
1 .395 0 r
.08688 .39101 m
.08919 .39128 L
.09171 .39495 L
.09218 .39612 L
.0937 .40095 L
.09486 .40578 L
.09581 .41061 L
.09654 .41493 L
.09662 .41544 L
.09736 .42027 L
.09799 .42511 L
.09854 .42994 L
.09902 .43477 L
.09944 .4396 L
.09981 .44443 L
.10014 .44927 L
.10043 .4541 L
.10068 .45893 L
.1009 .46376 L
.10109 .46859 L
.10125 .47342 L
.10137 .47802 L
.10138 .47826 L
.10149 .48309 L
.10157 .48792 L
.10162 .49275 L
.10165 .49758 L
.10165 .50242 L
.10162 .50725 L
.10157 .51208 L
.10149 .51691 L
.10138 .52174 L
.10137 .52198 L
.10125 .52658 L
.10109 .53141 L
.1009 .53624 L
.10068 .54107 L
.10043 .5459 L
.10014 .55073 L
.09981 .55557 L
.09944 .5604 L
.09902 .56523 L
.09854 .57006 L
.09799 .57489 L
.09736 .57973 L
.09662 .58456 L
.09654 .58507 L
.09581 .58939 L
.09486 .59422 L
.0937 .59905 L
.09218 .60388 L
.09171 .60505 L
.08919 .60872 L
.08688 .60899 L
.08652 .60872 L
.08367 .60388 L
.0821 .59905 L
.08204 .59884 L
.0807 .59422 L
.07965 .58939 L
.07885 .58456 L
.07823 .57973 L
.07774 .57489 L
.07733 .57006 L
.07721 .56859 L
.07688 .56523 L
.07644 .5604 L
.07606 .55557 L
.07572 .55073 L
.07542 .5459 L
.07515 .54107 L
.07492 .53624 L
.07473 .53141 L
.07456 .52658 L
.07442 .52174 L
.07431 .51691 L
.07423 .51208 L
.07418 .50725 L
.07415 .50242 L
.07415 .49758 L
.07418 .49275 L
.07423 .48792 L
.07431 .48309 L
.07442 .47826 L
.07456 .47342 L
.07473 .46859 L
.07492 .46376 L
.07515 .45893 L
.07542 .4541 L
.07572 .44927 L
.07606 .44443 L
.07644 .4396 L
.07688 .43477 L
.07721 .43141 L
.07733 .42994 L
.07774 .42511 L
.07823 .42027 L
.07885 .41544 L
.07965 .41061 L
.0807 .40578 L
.08204 .40116 L
.0821 .40095 L
.08367 .39612 L
.08652 .39128 L
F
1 .39 0 r
.08688 .39182 m
.09171 .39579 L
.09184 .39612 L
.09346 .40095 L
.09466 .40578 L
.09563 .41061 L
.09646 .41544 L
.09654 .41597 L
.0972 .42027 L
.09785 .42511 L
.09841 .42994 L
.09889 .43477 L
.09932 .4396 L
.0997 .44443 L
.10003 .44927 L
.10032 .4541 L
.10058 .45893 L
.1008 .46376 L
.10099 .46859 L
.10115 .47342 L
.10128 .47826 L
.10137 .48245 L
.10138 .48309 L
.10147 .48792 L
.10152 .49275 L
.10155 .49758 L
.10155 .50242 L
.10152 .50725 L
.10147 .51208 L
.10138 .51691 L
.10137 .51755 L
.10128 .52174 L
.10115 .52658 L
.10099 .53141 L
.1008 .53624 L
.10058 .54107 L
.10032 .5459 L
.10003 .55073 L
.0997 .55557 L
.09932 .5604 L
.09889 .56523 L
.09841 .57006 L
.09785 .57489 L
.0972 .57973 L
.09654 .58403 L
.09646 .58456 L
.09563 .58939 L
.09466 .59422 L
.09346 .59905 L
.09184 .60388 L
.09171 .60421 L
.08688 .60818 L
.08402 .60388 L
.08235 .59905 L
.08204 .59794 L
.08094 .59422 L
.07984 .58939 L
.079 .58456 L
.07836 .57973 L
.07785 .57489 L
.07742 .57006 L
.07721 .56729 L
.07701 .56523 L
.07657 .5604 L
.07618 .55557 L
.07583 .55073 L
.07553 .5459 L
.07526 .54107 L
.07503 .53624 L
.07483 .53141 L
.07466 .52658 L
.07453 .52174 L
.07442 .51691 L
.07433 .51208 L
.07428 .50725 L
.07425 .50242 L
.07425 .49758 L
.07428 .49275 L
.07433 .48792 L
.07442 .48309 L
.07453 .47826 L
.07466 .47342 L
.07483 .46859 L
.07503 .46376 L
.07526 .45893 L
.07553 .4541 L
.07583 .44927 L
.07618 .44443 L
.07657 .4396 L
.07701 .43477 L
.07721 .43271 L
.07742 .42994 L
.07785 .42511 L
.07836 .42027 L
.079 .41544 L
.07984 .41061 L
.08094 .40578 L
.08204 .40206 L
.08235 .40095 L
.08402 .39612 L
F
1 .386 0 r
.08688 .39263 m
.09147 .39612 L
.09171 .39663 L
.0932 .40095 L
.09445 .40578 L
.09545 .41061 L
.09629 .41544 L
.09654 .41702 L
.09704 .42027 L
.0977 .42511 L
.09827 .42994 L
.09877 .43477 L
.0992 .4396 L
.09958 .44443 L
.09992 .44927 L
.10022 .4541 L
.10047 .45893 L
.1007 .46376 L
.10089 .46859 L
.10105 .47342 L
.10118 .47826 L
.10129 .48309 L
.10137 .48792 L
.10137 .48835 L
.10142 .49275 L
.10145 .49758 L
.10145 .50242 L
.10142 .50725 L
.10137 .51165 L
.10137 .51208 L
.10129 .51691 L
.10118 .52174 L
.10105 .52658 L
.10089 .53141 L
.1007 .53624 L
.10047 .54107 L
.10022 .5459 L
.09992 .55073 L
.09958 .55557 L
.0992 .5604 L
.09877 .56523 L
.09827 .57006 L
.0977 .57489 L
.09704 .57973 L
.09654 .58298 L
.09629 .58456 L
.09545 .58939 L
.09445 .59422 L
.0932 .59905 L
.09171 .60337 L
.09147 .60388 L
.08688 .60737 L
.08439 .60388 L
.08261 .59905 L
.08204 .59705 L
.08119 .59422 L
.08003 .58939 L
.07916 .58456 L
.07849 .57973 L
.07796 .57489 L
.07753 .57006 L
.07721 .56598 L
.07714 .56523 L
.07669 .5604 L
.0763 .55557 L
.07595 .55073 L
.07564 .5459 L
.07537 .54107 L
.07514 .53624 L
.07494 .53141 L
.07477 .52658 L
.07463 .52174 L
.07452 .51691 L
.07444 .51208 L
.07438 .50725 L
.07435 .50242 L
.07435 .49758 L
.07438 .49275 L
.07444 .48792 L
.07452 .48309 L
.07463 .47826 L
.07477 .47342 L
.07494 .46859 L
.07514 .46376 L
.07537 .45893 L
.07564 .4541 L
.07595 .44927 L
.0763 .44443 L
.07669 .4396 L
.07714 .43477 L
.07721 .43402 L
.07753 .42994 L
.07796 .42511 L
.07849 .42027 L
.07916 .41544 L
.08003 .41061 L
.08119 .40578 L
.08204 .40295 L
.08261 .40095 L
.08439 .39612 L
F
1 .381 0 r
.08688 .39344 m
.09104 .39612 L
.09171 .39747 L
.09294 .40095 L
.09424 .40578 L
.09527 .41061 L
.09613 .41544 L
.09654 .41807 L
.09688 .42027 L
.09755 .42511 L
.09813 .42994 L
.09864 .43477 L
.09908 .4396 L
.09947 .44443 L
.09981 .44927 L
.10011 .4541 L
.10037 .45893 L
.10059 .46376 L
.10079 .46859 L
.10095 .47342 L
.10108 .47826 L
.10119 .48309 L
.10127 .48792 L
.10132 .49275 L
.10135 .49758 L
.10135 .50242 L
.10132 .50725 L
.10127 .51208 L
.10119 .51691 L
.10108 .52174 L
.10095 .52658 L
.10079 .53141 L
.10059 .53624 L
.10037 .54107 L
.10011 .5459 L
.09981 .55073 L
.09947 .55557 L
.09908 .5604 L
.09864 .56523 L
.09813 .57006 L
.09755 .57489 L
.09688 .57973 L
.09654 .58193 L
.09613 .58456 L
.09527 .58939 L
.09424 .59422 L
.09294 .59905 L
.09171 .60253 L
.09104 .60388 L
.08688 .60656 L
.08481 .60388 L
.08288 .59905 L
.08204 .59615 L
.08145 .59422 L
.08024 .58939 L
.07933 .58456 L
.07863 .57973 L
.07807 .57489 L
.07763 .57006 L
.07725 .56523 L
.07721 .56466 L
.07682 .5604 L
.07642 .55557 L
.07607 .55073 L
.07575 .5459 L
.07548 .54107 L
.07525 .53624 L
.07504 .53141 L
.07487 .52658 L
.07473 .52174 L
.07462 .51691 L
.07454 .51208 L
.07448 .50725 L
.07446 .50242 L
.07446 .49758 L
.07448 .49275 L
.07454 .48792 L
.07462 .48309 L
.07473 .47826 L
.07487 .47342 L
.07504 .46859 L
.07525 .46376 L
.07548 .45893 L
.07575 .4541 L
.07607 .44927 L
.07642 .44443 L
.07682 .4396 L
.07721 .43534 L
.07725 .43477 L
.07763 .42994 L
.07807 .42511 L
.07863 .42027 L
.07933 .41544 L
.08024 .41061 L
.08145 .40578 L
.08204 .40385 L
.08288 .40095 L
.08481 .39612 L
F
1 .377 0 r
.08688 .39425 m
.09056 .39612 L
.09171 .39832 L
.09267 .40095 L
.09402 .40578 L
.09508 .41061 L
.09596 .41544 L
.09654 .41912 L
.09672 .42027 L
.0974 .42511 L
.09799 .42994 L
.09851 .43477 L
.09896 .4396 L
.09935 .44443 L
.0997 .44927 L
.1 .4541 L
.10026 .45893 L
.10049 .46376 L
.10069 .46859 L
.10085 .47342 L
.10098 .47826 L
.10109 .48309 L
.10117 .48792 L
.10122 .49275 L
.10125 .49758 L
.10125 .50242 L
.10122 .50725 L
.10117 .51208 L
.10109 .51691 L
.10098 .52174 L
.10085 .52658 L
.10069 .53141 L
.10049 .53624 L
.10026 .54107 L
.1 .5459 L
.0997 .55073 L
.09935 .55557 L
.09896 .5604 L
.09851 .56523 L
.09799 .57006 L
.0974 .57489 L
.09672 .57973 L
.09654 .58088 L
.09596 .58456 L
.09508 .58939 L
.09402 .59422 L
.09267 .59905 L
.09171 .60168 L
.09056 .60388 L
.08688 .60575 L
.08527 .60388 L
.08317 .59905 L
.08204 .59525 L
.08172 .59422 L
.08045 .58939 L
.0795 .58456 L
.07877 .57973 L
.07819 .57489 L
.07773 .57006 L
.07735 .56523 L
.07721 .56331 L
.07694 .5604 L
.07654 .55557 L
.07618 .55073 L
.07587 .5459 L
.07559 .54107 L
.07535 .53624 L
.07515 .53141 L
.07498 .52658 L
.07483 .52174 L
.07472 .51691 L
.07464 .51208 L
.07458 .50725 L
.07456 .50242 L
.07456 .49758 L
.07458 .49275 L
.07464 .48792 L
.07472 .48309 L
.07483 .47826 L
.07498 .47342 L
.07515 .46859 L
.07535 .46376 L
.07559 .45893 L
.07587 .4541 L
.07618 .44927 L
.07654 .44443 L
.07694 .4396 L
.07721 .43669 L
.07735 .43477 L
.07773 .42994 L
.07819 .42511 L
.07877 .42027 L
.0795 .41544 L
.08045 .41061 L
.08172 .40578 L
.08204 .40475 L
.08317 .40095 L
.08527 .39612 L
F
1 .372 0 r
.08688 .39506 m
.08997 .39612 L
.09171 .39916 L
.09238 .40095 L
.09379 .40578 L
.09489 .41061 L
.09579 .41544 L
.09654 .42019 L
.09655 .42027 L
.09725 .42511 L
.09785 .42994 L
.09838 .43477 L
.09883 .4396 L
.09923 .44443 L
.09958 .44927 L
.09989 .4541 L
.10016 .45893 L
.10039 .46376 L
.10058 .46859 L
.10075 .47342 L
.10089 .47826 L
.10099 .48309 L
.10107 .48792 L
.10113 .49275 L
.10115 .49758 L
.10115 .50242 L
.10113 .50725 L
.10107 .51208 L
.10099 .51691 L
.10089 .52174 L
.10075 .52658 L
.10058 .53141 L
.10039 .53624 L
.10016 .54107 L
.09989 .5459 L
.09958 .55073 L
.09923 .55557 L
.09883 .5604 L
.09838 .56523 L
.09785 .57006 L
.09725 .57489 L
.09655 .57973 L
.09654 .57981 L
.09579 .58456 L
.09489 .58939 L
.09379 .59422 L
.09238 .59905 L
.09171 .60084 L
.08997 .60388 L
.08688 .60494 L
.08583 .60388 L
.08346 .59905 L
.08204 .59435 L
.082 .59422 L
.08067 .58939 L
.07967 .58456 L
.07891 .57973 L
.07832 .57489 L
.07784 .57006 L
.07745 .56523 L
.07721 .56195 L
.07707 .5604 L
.07666 .55557 L
.0763 .55073 L
.07598 .5459 L
.0757 .54107 L
.07546 .53624 L
.07526 .53141 L
.07508 .52658 L
.07494 .52174 L
.07483 .51691 L
.07474 .51208 L
.07469 .50725 L
.07466 .50242 L
.07466 .49758 L
.07469 .49275 L
.07474 .48792 L
.07483 .48309 L
.07494 .47826 L
.07508 .47342 L
.07526 .46859 L
.07546 .46376 L
.0757 .45893 L
.07598 .4541 L
.0763 .44927 L
.07666 .44443 L
.07707 .4396 L
.07721 .43805 L
.07745 .43477 L
.07784 .42994 L
.07832 .42511 L
.07891 .42027 L
.07967 .41544 L
.08067 .41061 L
.082 .40578 L
.08204 .40565 L
.08346 .40095 L
.08583 .39612 L
F
1 .368 0 r
.08688 .39587 m
.08914 .39612 L
.09171 .4 L
.09207 .40095 L
.09356 .40578 L
.09469 .41061 L
.09561 .41544 L
.0964 .42027 L
.09654 .42125 L
.0971 .42511 L
.09771 .42994 L
.09824 .43477 L
.09871 .4396 L
.09911 .44443 L
.09947 .44927 L
.09978 .4541 L
.10005 .45893 L
.10028 .46376 L
.10048 .46859 L
.10065 .47342 L
.10079 .47826 L
.1009 .48309 L
.10098 .48792 L
.10103 .49275 L
.10106 .49758 L
.10106 .50242 L
.10103 .50725 L
.10098 .51208 L
.1009 .51691 L
.10079 .52174 L
.10065 .52658 L
.10048 .53141 L
.10028 .53624 L
.10005 .54107 L
.09978 .5459 L
.09947 .55073 L
.09911 .55557 L
.09871 .5604 L
.09824 .56523 L
.09771 .57006 L
.0971 .57489 L
.09654 .57875 L
.0964 .57973 L
.09561 .58456 L
.09469 .58939 L
.09356 .59422 L
.09207 .59905 L
.09171 .6 L
.08914 .60388 L
.08688 .60413 L
.08657 .60388 L
.08378 .59905 L
.08225 .59422 L
.08204 .59345 L
.0809 .58939 L
.07986 .58456 L
.07906 .57973 L
.07844 .57489 L
.07795 .57006 L
.07754 .56523 L
.07721 .56057 L
.0772 .5604 L
.07678 .55557 L
.07642 .55073 L
.0761 .5459 L
.07582 .54107 L
.07557 .53624 L
.07536 .53141 L
.07519 .52658 L
.07504 .52174 L
.07493 .51691 L
.07484 .51208 L
.07479 .50725 L
.07476 .50242 L
.07476 .49758 L
.07479 .49275 L
.07484 .48792 L
.07493 .48309 L
.07504 .47826 L
.07519 .47342 L
.07536 .46859 L
.07557 .46376 L
.07582 .45893 L
.0761 .4541 L
.07642 .44927 L
.07678 .44443 L
.0772 .4396 L
.07721 .43943 L
.07754 .43477 L
.07795 .42994 L
.07844 .42511 L
.07906 .42027 L
.07986 .41544 L
.0809 .41061 L
.08204 .40655 L
.08225 .40578 L
.08378 .40095 L
.08657 .39612 L
F
1 .363 0 r
.08688 .39668 m
.09171 .40085 L
.09175 .40095 L
.09332 .40578 L
.09449 .41061 L
.09544 .41544 L
.09624 .42027 L
.09654 .42233 L
.09694 .42511 L
.09757 .42994 L
.09811 .43477 L
.09858 .4396 L
.09899 .44443 L
.09935 .44927 L
.09967 .4541 L
.09994 .45893 L
.10018 .46376 L
.10038 .46859 L
.10055 .47342 L
.10069 .47826 L
.1008 .48309 L
.10088 .48792 L
.10093 .49275 L
.10096 .49758 L
.10096 .50242 L
.10093 .50725 L
.10088 .51208 L
.1008 .51691 L
.10069 .52174 L
.10055 .52658 L
.10038 .53141 L
.10018 .53624 L
.09994 .54107 L
.09967 .5459 L
.09935 .55073 L
.09899 .55557 L
.09858 .5604 L
.09811 .56523 L
.09757 .57006 L
.09694 .57489 L
.09654 .57767 L
.09624 .57973 L
.09544 .58456 L
.09449 .58939 L
.09332 .59422 L
.09175 .59905 L
.09171 .59915 L
.08688 .60332 L
.08412 .59905 L
.08249 .59422 L
.08204 .59255 L
.08114 .58939 L
.08005 .58456 L
.07922 .57973 L
.07857 .57489 L
.07806 .57006 L
.07764 .56523 L
.07729 .5604 L
.07721 .55916 L
.07691 .55557 L
.07654 .55073 L
.07621 .5459 L
.07593 .54107 L
.07568 .53624 L
.07547 .53141 L
.07529 .52658 L
.07515 .52174 L
.07503 .51691 L
.07495 .51208 L
.07489 .50725 L
.07486 .50242 L
.07486 .49758 L
.07489 .49275 L
.07495 .48792 L
.07503 .48309 L
.07515 .47826 L
.07529 .47342 L
.07547 .46859 L
.07568 .46376 L
.07593 .45893 L
.07621 .4541 L
.07654 .44927 L
.07691 .44443 L
.07721 .44084 L
.07729 .4396 L
.07764 .43477 L
.07806 .42994 L
.07857 .42511 L
.07922 .42027 L
.08005 .41544 L
.08114 .41061 L
.08204 .40745 L
.08249 .40578 L
.08412 .40095 L
F
1 .359 0 r
.08688 .39749 m
.09138 .40095 L
.09171 .40169 L
.09307 .40578 L
.09429 .41061 L
.09526 .41544 L
.09607 .42027 L
.09654 .42341 L
.09679 .42511 L
.09742 .42994 L
.09798 .43477 L
.09846 .4396 L
.09887 .44443 L
.09924 .44927 L
.09956 .4541 L
.09983 .45893 L
.10007 .46376 L
.10028 .46859 L
.10045 .47342 L
.10059 .47826 L
.1007 .48309 L
.10078 .48792 L
.10084 .49275 L
.10086 .49758 L
.10086 .50242 L
.10084 .50725 L
.10078 .51208 L
.1007 .51691 L
.10059 .52174 L
.10045 .52658 L
.10028 .53141 L
.10007 .53624 L
.09983 .54107 L
.09956 .5459 L
.09924 .55073 L
.09887 .55557 L
.09846 .5604 L
.09798 .56523 L
.09742 .57006 L
.09679 .57489 L
.09654 .57659 L
.09607 .57973 L
.09526 .58456 L
.09429 .58939 L
.09307 .59422 L
.09171 .59831 L
.09138 .59905 L
.08688 .60251 L
.08449 .59905 L
.08275 .59422 L
.08204 .59164 L
.08139 .58939 L
.08025 .58456 L
.07938 .57973 L
.07871 .57489 L
.07818 .57006 L
.07775 .56523 L
.07739 .5604 L
.07721 .55773 L
.07703 .55557 L
.07665 .55073 L
.07633 .5459 L
.07604 .54107 L
.07579 .53624 L
.07558 .53141 L
.0754 .52658 L
.07525 .52174 L
.07513 .51691 L
.07505 .51208 L
.07499 .50725 L
.07496 .50242 L
.07496 .49758 L
.07499 .49275 L
.07505 .48792 L
.07513 .48309 L
.07525 .47826 L
.0754 .47342 L
.07558 .46859 L
.07579 .46376 L
.07604 .45893 L
.07633 .4541 L
.07665 .44927 L
.07703 .44443 L
.07721 .44227 L
.07739 .4396 L
.07775 .43477 L
.07818 .42994 L
.07871 .42511 L
.07938 .42027 L
.08025 .41544 L
.08139 .41061 L
.08204 .40836 L
.08275 .40578 L
.08449 .40095 L
F
1 .355 0 r
.08688 .3983 m
.09096 .40095 L
.09171 .40254 L
.09282 .40578 L
.09408 .41061 L
.09508 .41544 L
.09591 .42027 L
.09654 .42451 L
.09663 .42511 L
.09728 .42994 L
.09784 .43477 L
.09833 .4396 L
.09875 .44443 L
.09912 .44927 L
.09945 .4541 L
.09973 .45893 L
.09997 .46376 L
.10017 .46859 L
.10035 .47342 L
.10049 .47826 L
.1006 .48309 L
.10068 .48792 L
.10074 .49275 L
.10077 .49758 L
.10077 .50242 L
.10074 .50725 L
.10068 .51208 L
.1006 .51691 L
.10049 .52174 L
.10035 .52658 L
.10017 .53141 L
.09997 .53624 L
.09973 .54107 L
.09945 .5459 L
.09912 .55073 L
.09875 .55557 L
.09833 .5604 L
.09784 .56523 L
.09728 .57006 L
.09663 .57489 L
.09654 .57549 L
.09591 .57973 L
.09508 .58456 L
.09408 .58939 L
.09282 .59422 L
.09171 .59746 L
.09096 .59905 L
.08688 .6017 L
.08489 .59905 L
.08301 .59422 L
.08204 .59073 L
.08165 .58939 L
.08045 .58456 L
.07955 .57973 L
.07885 .57489 L
.07829 .57006 L
.07785 .56523 L
.07748 .5604 L
.07721 .55628 L
.07715 .55557 L
.07677 .55073 L
.07644 .5459 L
.07615 .54107 L
.0759 .53624 L
.07568 .53141 L
.0755 .52658 L
.07535 .52174 L
.07524 .51691 L
.07515 .51208 L
.07509 .50725 L
.07506 .50242 L
.07506 .49758 L
.07509 .49275 L
.07515 .48792 L
.07524 .48309 L
.07535 .47826 L
.0755 .47342 L
.07568 .46859 L
.0759 .46376 L
.07615 .45893 L
.07644 .4541 L
.07677 .44927 L
.07715 .44443 L
.07721 .44372 L
.07748 .4396 L
.07785 .43477 L
.07829 .42994 L
.07885 .42511 L
.07955 .42027 L
.08045 .41544 L
.08165 .41061 L
.08204 .40927 L
.08301 .40578 L
.08489 .40095 L
F
1 .35 0 r
.08688 .39912 m
.09048 .40095 L
.09171 .40339 L
.09255 .40578 L
.09386 .41061 L
.09489 .41544 L
.09574 .42027 L
.09647 .42511 L
.09654 .42561 L
.09713 .42994 L
.0977 .43477 L
.0982 .4396 L
.09863 .44443 L
.09901 .44927 L
.09933 .4541 L
.09962 .45893 L
.09986 .46376 L
.10007 .46859 L
.10025 .47342 L
.10039 .47826 L
.1005 .48309 L
.10059 .48792 L
.10064 .49275 L
.10067 .49758 L
.10067 .50242 L
.10064 .50725 L
.10059 .51208 L
.1005 .51691 L
.10039 .52174 L
.10025 .52658 L
.10007 .53141 L
.09986 .53624 L
.09962 .54107 L
.09933 .5459 L
.09901 .55073 L
.09863 .55557 L
.0982 .5604 L
.0977 .56523 L
.09713 .57006 L
.09654 .57439 L
.09647 .57489 L
.09574 .57973 L
.09489 .58456 L
.09386 .58939 L
.09255 .59422 L
.09171 .59661 L
.09048 .59905 L
.08688 .60088 L
.08535 .59905 L
.08329 .59422 L
.08204 .58982 L
.08192 .58939 L
.08067 .58456 L
.07972 .57973 L
.07899 .57489 L
.07842 .57006 L
.07796 .56523 L
.07758 .5604 L
.07726 .55557 L
.07721 .55479 L
.07689 .55073 L
.07656 .5459 L
.07626 .54107 L
.07601 .53624 L
.07579 .53141 L
.07561 .52658 L
.07546 .52174 L
.07534 .51691 L
.07525 .51208 L
.07519 .50725 L
.07517 .50242 L
.07517 .49758 L
.07519 .49275 L
.07525 .48792 L
.07534 .48309 L
.07546 .47826 L
.07561 .47342 L
.07579 .46859 L
.07601 .46376 L
.07626 .45893 L
.07656 .4541 L
.07689 .44927 L
.07721 .44521 L
.07726 .44443 L
.07758 .4396 L
.07796 .43477 L
.07842 .42994 L
.07899 .42511 L
.07972 .42027 L
.08067 .41544 L
.08192 .41061 L
.08204 .41018 L
.08329 .40578 L
.08535 .40095 L
F
1 .346 0 r
.08688 .39993 m
.08989 .40095 L
.09171 .40424 L
.09226 .40578 L
.09364 .41061 L
.0947 .41544 L
.09558 .42027 L
.09632 .42511 L
.09654 .42671 L
.09698 .42994 L
.09756 .43477 L
.09807 .4396 L
.09851 .44443 L
.09889 .44927 L
.09922 .4541 L
.09951 .45893 L
.09976 .46376 L
.09997 .46859 L
.10014 .47342 L
.10029 .47826 L
.1004 .48309 L
.10049 .48792 L
.10054 .49275 L
.10057 .49758 L
.10057 .50242 L
.10054 .50725 L
.10049 .51208 L
.1004 .51691 L
.10029 .52174 L
.10014 .52658 L
.09997 .53141 L
.09976 .53624 L
.09951 .54107 L
.09922 .5459 L
.09889 .55073 L
.09851 .55557 L
.09807 .5604 L
.09756 .56523 L
.09698 .57006 L
.09654 .57329 L
.09632 .57489 L
.09558 .57973 L
.0947 .58456 L
.09364 .58939 L
.09226 .59422 L
.09171 .59576 L
.08989 .59905 L
.08688 .60007 L
.0859 .59905 L
.08358 .59422 L
.08217 .58939 L
.08204 .5889 L
.08089 .58456 L
.0799 .57973 L
.07914 .57489 L
.07854 .57006 L
.07807 .56523 L
.07768 .5604 L
.07735 .55557 L
.07721 .55328 L
.07701 .55073 L
.07667 .5459 L
.07638 .54107 L
.07612 .53624 L
.0759 .53141 L
.07572 .52658 L
.07556 .52174 L
.07544 .51691 L
.07536 .51208 L
.0753 .50725 L
.07527 .50242 L
.07527 .49758 L
.0753 .49275 L
.07536 .48792 L
.07544 .48309 L
.07556 .47826 L
.07572 .47342 L
.0759 .46859 L
.07612 .46376 L
.07638 .45893 L
.07667 .4541 L
.07701 .44927 L
.07721 .44672 L
.07735 .44443 L
.07768 .4396 L
.07807 .43477 L
.07854 .42994 L
.07914 .42511 L
.0799 .42027 L
.08089 .41544 L
.08204 .4111 L
.08217 .41061 L
.08358 .40578 L
.0859 .40095 L
F
1 .341 0 r
.08688 .40075 m
.08906 .40095 L
.09171 .4051 L
.09196 .40578 L
.09341 .41061 L
.09451 .41544 L
.0954 .42027 L
.09616 .42511 L
.09654 .42783 L
.09683 .42994 L
.09742 .43477 L
.09794 .4396 L
.09838 .44443 L
.09877 .44927 L
.09911 .4541 L
.0994 .45893 L
.09965 .46376 L
.09986 .46859 L
.10004 .47342 L
.10019 .47826 L
.1003 .48309 L
.10039 .48792 L
.10045 .49275 L
.10047 .49758 L
.10047 .50242 L
.10045 .50725 L
.10039 .51208 L
.1003 .51691 L
.10019 .52174 L
.10004 .52658 L
.09986 .53141 L
.09965 .53624 L
.0994 .54107 L
.09911 .5459 L
.09877 .55073 L
.09838 .55557 L
.09794 .5604 L
.09742 .56523 L
.09683 .57006 L
.09654 .57217 L
.09616 .57489 L
.0954 .57973 L
.09451 .58456 L
.09341 .58939 L
.09196 .59422 L
.09171 .5949 L
.08906 .59905 L
.08688 .59925 L
.08663 .59905 L
.08389 .59422 L
.0824 .58939 L
.08204 .58798 L
.08112 .58456 L
.08008 .57973 L
.07929 .57489 L
.07867 .57006 L
.07818 .56523 L
.07778 .5604 L
.07744 .55557 L
.07721 .55173 L
.07714 .55073 L
.07679 .5459 L
.07649 .54107 L
.07623 .53624 L
.07601 .53141 L
.07582 .52658 L
.07567 .52174 L
.07555 .51691 L
.07546 .51208 L
.0754 .50725 L
.07537 .50242 L
.07537 .49758 L
.0754 .49275 L
.07546 .48792 L
.07555 .48309 L
.07567 .47826 L
.07582 .47342 L
.07601 .46859 L
.07623 .46376 L
.07649 .45893 L
.07679 .4541 L
.07714 .44927 L
.07721 .44827 L
.07744 .44443 L
.07778 .4396 L
.07818 .43477 L
.07867 .42994 L
.07929 .42511 L
.08008 .42027 L
.08112 .41544 L
.08204 .41202 L
.0824 .41061 L
.08389 .40578 L
.08663 .40095 L
F
1 .337 0 r
.08688 .40156 m
.09164 .40578 L
.09171 .40595 L
.09318 .41061 L
.09431 .41544 L
.09523 .42027 L
.096 .42511 L
.09654 .42896 L
.09667 .42994 L
.09728 .43477 L
.0978 .4396 L
.09826 .44443 L
.09865 .44927 L
.09899 .4541 L
.09929 .45893 L
.09954 .46376 L
.09976 .46859 L
.09994 .47342 L
.10009 .47826 L
.1002 .48309 L
.10029 .48792 L
.10035 .49275 L
.10038 .49758 L
.10038 .50242 L
.10035 .50725 L
.10029 .51208 L
.1002 .51691 L
.10009 .52174 L
.09994 .52658 L
.09976 .53141 L
.09954 .53624 L
.09929 .54107 L
.09899 .5459 L
.09865 .55073 L
.09826 .55557 L
.0978 .5604 L
.09728 .56523 L
.09667 .57006 L
.09654 .57104 L
.096 .57489 L
.09523 .57973 L
.09431 .58456 L
.09318 .58939 L
.09171 .59405 L
.09164 .59422 L
.08688 .59844 L
.08423 .59422 L
.08264 .58939 L
.08204 .58706 L
.08136 .58456 L
.08028 .57973 L
.07945 .57489 L
.07881 .57006 L
.07829 .56523 L
.07788 .5604 L
.07754 .55557 L
.07725 .55073 L
.07721 .55014 L
.07691 .5459 L
.07661 .54107 L
.07634 .53624 L
.07612 .53141 L
.07593 .52658 L
.07578 .52174 L
.07565 .51691 L
.07556 .51208 L
.0755 .50725 L
.07547 .50242 L
.07547 .49758 L
.0755 .49275 L
.07556 .48792 L
.07565 .48309 L
.07578 .47826 L
.07593 .47342 L
.07612 .46859 L
.07634 .46376 L
.07661 .45893 L
.07691 .4541 L
.07721 .44986 L
.07725 .44927 L
.07754 .44443 L
.07788 .4396 L
.07829 .43477 L
.07881 .42994 L
.07945 .42511 L
.08028 .42027 L
.08136 .41544 L
.08204 .41294 L
.08264 .41061 L
.08423 .40578 L
F
1 .332 0 r
.08688 .40238 m
.09127 .40578 L
.09171 .40681 L
.09293 .41061 L
.09411 .41544 L
.09506 .42027 L
.09584 .42511 L
.09652 .42994 L
.09654 .4301 L
.09713 .43477 L
.09767 .4396 L
.09813 .44443 L
.09853 .44927 L
.09888 .4541 L
.09918 .45893 L
.09943 .46376 L
.09965 .46859 L
.09984 .47342 L
.09999 .47826 L
.1001 .48309 L
.10019 .48792 L
.10025 .49275 L
.10028 .49758 L
.10028 .50242 L
.10025 .50725 L
.10019 .51208 L
.1001 .51691 L
.09999 .52174 L
.09984 .52658 L
.09965 .53141 L
.09943 .53624 L
.09918 .54107 L
.09888 .5459 L
.09853 .55073 L
.09813 .55557 L
.09767 .5604 L
.09713 .56523 L
.09654 .5699 L
.09652 .57006 L
.09584 .57489 L
.09506 .57973 L
.09411 .58456 L
.09293 .58939 L
.09171 .59319 L
.09127 .59422 L
.08688 .59762 L
.08459 .59422 L
.08289 .58939 L
.08204 .58613 L
.0816 .58456 L
.08048 .57973 L
.07961 .57489 L
.07894 .57006 L
.07841 .56523 L
.07798 .5604 L
.07763 .55557 L
.07733 .55073 L
.07721 .54852 L
.07703 .5459 L
.07672 .54107 L
.07646 .53624 L
.07623 .53141 L
.07604 .52658 L
.07588 .52174 L
.07576 .51691 L
.07567 .51208 L
.07561 .50725 L
.07558 .50242 L
.07558 .49758 L
.07561 .49275 L
.07567 .48792 L
.07576 .48309 L
.07588 .47826 L
.07604 .47342 L
.07623 .46859 L
.07646 .46376 L
.07672 .45893 L
.07703 .4541 L
.07721 .45148 L
.07733 .44927 L
.07763 .44443 L
.07798 .4396 L
.07841 .43477 L
.07894 .42994 L
.07961 .42511 L
.08048 .42027 L
.0816 .41544 L
.08204 .41387 L
.08289 .41061 L
.08459 .40578 L
F
1 .328 0 r
.08688 .4032 m
.09085 .40578 L
.09171 .40767 L
.09268 .41061 L
.09391 .41544 L
.09488 .42027 L
.09568 .42511 L
.09637 .42994 L
.09654 .43125 L
.09699 .43477 L
.09753 .4396 L
.098 .44443 L
.09841 .44927 L
.09876 .4541 L
.09906 .45893 L
.09932 .46376 L
.09955 .46859 L
.09973 .47342 L
.09988 .47826 L
.1 .48309 L
.10009 .48792 L
.10015 .49275 L
.10018 .49758 L
.10018 .50242 L
.10015 .50725 L
.10009 .51208 L
.1 .51691 L
.09988 .52174 L
.09973 .52658 L
.09955 .53141 L
.09932 .53624 L
.09906 .54107 L
.09876 .5459 L
.09841 .55073 L
.098 .55557 L
.09753 .5604 L
.09699 .56523 L
.09654 .56875 L
.09637 .57006 L
.09568 .57489 L
.09488 .57973 L
.09391 .58456 L
.09268 .58939 L
.09171 .59233 L
.09085 .59422 L
.08688 .5968 L
.08499 .59422 L
.08315 .58939 L
.08204 .5852 L
.08186 .58456 L
.08068 .57973 L
.07978 .57489 L
.07909 .57006 L
.07853 .56523 L
.07809 .5604 L
.07773 .55557 L
.07742 .55073 L
.07721 .54685 L
.07715 .5459 L
.07684 .54107 L
.07657 .53624 L
.07634 .53141 L
.07615 .52658 L
.07599 .52174 L
.07586 .51691 L
.07577 .51208 L
.07571 .50725 L
.07568 .50242 L
.07568 .49758 L
.07571 .49275 L
.07577 .48792 L
.07586 .48309 L
.07599 .47826 L
.07615 .47342 L
.07634 .46859 L
.07657 .46376 L
.07684 .45893 L
.07715 .4541 L
.07721 .45315 L
.07742 .44927 L
.07773 .44443 L
.07809 .4396 L
.07853 .43477 L
.07909 .42994 L
.07978 .42511 L
.08068 .42027 L
.08186 .41544 L
.08204 .4148 L
.08315 .41061 L
.08499 .40578 L
F
1 .323 0 r
.08688 .40402 m
.09037 .40578 L
.09171 .40853 L
.09241 .41061 L
.09369 .41544 L
.09469 .42027 L
.09552 .42511 L
.09622 .42994 L
.09654 .43241 L
.09684 .43477 L
.09739 .4396 L
.09787 .44443 L
.09828 .44927 L
.09864 .4541 L
.09895 .45893 L
.09921 .46376 L
.09944 .46859 L
.09963 .47342 L
.09978 .47826 L
.0999 .48309 L
.09999 .48792 L
.10005 .49275 L
.10008 .49758 L
.10008 .50242 L
.10005 .50725 L
.09999 .51208 L
.0999 .51691 L
.09978 .52174 L
.09963 .52658 L
.09944 .53141 L
.09921 .53624 L
.09895 .54107 L
.09864 .5459 L
.09828 .55073 L
.09787 .55557 L
.09739 .5604 L
.09684 .56523 L
.09654 .56759 L
.09622 .57006 L
.09552 .57489 L
.09469 .57973 L
.09369 .58456 L
.09241 .58939 L
.09171 .59147 L
.09037 .59422 L
.08688 .59598 L
.08545 .59422 L
.08343 .58939 L
.08211 .58456 L
.08204 .58427 L
.0809 .57973 L
.07996 .57489 L
.07923 .57006 L
.07866 .56523 L
.0782 .5604 L
.07783 .55557 L
.07751 .55073 L
.07725 .5459 L
.07721 .54513 L
.07695 .54107 L
.07668 .53624 L
.07645 .53141 L
.07625 .52658 L
.07609 .52174 L
.07597 .51691 L
.07588 .51208 L
.07581 .50725 L
.07578 .50242 L
.07578 .49758 L
.07581 .49275 L
.07588 .48792 L
.07597 .48309 L
.07609 .47826 L
.07625 .47342 L
.07645 .46859 L
.07668 .46376 L
.07695 .45893 L
.07721 .45487 L
.07725 .4541 L
.07751 .44927 L
.07783 .44443 L
.0782 .4396 L
.07866 .43477 L
.07923 .42994 L
.07996 .42511 L
.0809 .42027 L
.08204 .41573 L
.08211 .41544 L
.08343 .41061 L
.08545 .40578 L
F
1 .319 0 r
.08688 .40485 m
.08978 .40578 L
.09171 .40939 L
.09213 .41061 L
.09348 .41544 L
.09451 .42027 L
.09535 .42511 L
.09607 .42994 L
.09654 .43358 L
.09669 .43477 L
.09725 .4396 L
.09774 .44443 L
.09816 .44927 L
.09852 .4541 L
.09884 .45893 L
.0991 .46376 L
.09933 .46859 L
.09952 .47342 L
.09968 .47826 L
.0998 .48309 L
.09989 .48792 L
.09995 .49275 L
.09998 .49758 L
.09998 .50242 L
.09995 .50725 L
.09989 .51208 L
.0998 .51691 L
.09968 .52174 L
.09952 .52658 L
.09933 .53141 L
.0991 .53624 L
.09884 .54107 L
.09852 .5459 L
.09816 .55073 L
.09774 .55557 L
.09725 .5604 L
.09669 .56523 L
.09654 .56642 L
.09607 .57006 L
.09535 .57489 L
.09451 .57973 L
.09348 .58456 L
.09213 .58939 L
.09171 .59061 L
.08978 .59422 L
.08688 .59515 L
.086 .59422 L
.08372 .58939 L
.08234 .58456 L
.08204 .58333 L
.08112 .57973 L
.08014 .57489 L
.07938 .57006 L
.07879 .56523 L
.07831 .5604 L
.07793 .55557 L
.07761 .55073 L
.07734 .5459 L
.07721 .54335 L
.07707 .54107 L
.07679 .53624 L
.07656 .53141 L
.07636 .52658 L
.0762 .52174 L
.07607 .51691 L
.07598 .51208 L
.07592 .50725 L
.07589 .50242 L
.07589 .49758 L
.07592 .49275 L
.07598 .48792 L
.07607 .48309 L
.0762 .47826 L
.07636 .47342 L
.07656 .46859 L
.07679 .46376 L
.07707 .45893 L
.07721 .45665 L
.07734 .4541 L
.07761 .44927 L
.07793 .44443 L
.07831 .4396 L
.07879 .43477 L
.07938 .42994 L
.08014 .42511 L
.08112 .42027 L
.08204 .41667 L
.08234 .41544 L
.08372 .41061 L
.086 .40578 L
F
1 .314 0 r
.08688 .40567 m
.08893 .40578 L
.09171 .41026 L
.09184 .41061 L
.09325 .41544 L
.09432 .42027 L
.09518 .42511 L
.09591 .42994 L
.09654 .43477 L
.09654 .43477 L
.09711 .4396 L
.09761 .44443 L
.09803 .44927 L
.0984 .4541 L
.09872 .45893 L
.09899 .46376 L
.09922 .46859 L
.09942 .47342 L
.09957 .47826 L
.0997 .48309 L
.09979 .48792 L
.09985 .49275 L
.09988 .49758 L
.09988 .50242 L
.09985 .50725 L
.09979 .51208 L
.0997 .51691 L
.09957 .52174 L
.09942 .52658 L
.09922 .53141 L
.09899 .53624 L
.09872 .54107 L
.0984 .5459 L
.09803 .55073 L
.09761 .55557 L
.09711 .5604 L
.09654 .56523 L
.09654 .56523 L
.09591 .57006 L
.09518 .57489 L
.09432 .57973 L
.09325 .58456 L
.09184 .58939 L
.09171 .58974 L
.08893 .59422 L
.08688 .59433 L
.08674 .59422 L
.08403 .58939 L
.08257 .58456 L
.08204 .58239 L
.08135 .57973 L
.08033 .57489 L
.07954 .57006 L
.07892 .56523 L
.07843 .5604 L
.07803 .55557 L
.0777 .55073 L
.07743 .5459 L
.07721 .54151 L
.07719 .54107 L
.07691 .53624 L
.07667 .53141 L
.07647 .52658 L
.07631 .52174 L
.07618 .51691 L
.07609 .51208 L
.07602 .50725 L
.07599 .50242 L
.07599 .49758 L
.07602 .49275 L
.07609 .48792 L
.07618 .48309 L
.07631 .47826 L
.07647 .47342 L
.07667 .46859 L
.07691 .46376 L
.07719 .45893 L
.07721 .45849 L
.07743 .4541 L
.0777 .44927 L
.07803 .44443 L
.07843 .4396 L
.07892 .43477 L
.07954 .42994 L
.08033 .42511 L
.08135 .42027 L
.08204 .41761 L
.08257 .41544 L
.08403 .41061 L
.08674 .40578 L
F
1 .31 0 r
.08688 .4065 m
.09151 .41061 L
.09171 .41112 L
.09302 .41544 L
.09412 .42027 L
.09501 .42511 L
.09576 .42994 L
.0964 .43477 L
.09654 .43597 L
.09697 .4396 L
.09747 .44443 L
.09791 .44927 L
.09828 .4541 L
.0986 .45893 L
.09888 .46376 L
.09911 .46859 L
.09931 .47342 L
.09947 .47826 L
.09959 .48309 L
.09969 .48792 L
.09975 .49275 L
.09978 .49758 L
.09978 .50242 L
.09975 .50725 L
.09969 .51208 L
.09959 .51691 L
.09947 .52174 L
.09931 .52658 L
.09911 .53141 L
.09888 .53624 L
.0986 .54107 L
.09828 .5459 L
.09791 .55073 L
.09747 .55557 L
.09697 .5604 L
.09654 .56403 L
.0964 .56523 L
.09576 .57006 L
.09501 .57489 L
.09412 .57973 L
.09302 .58456 L
.09171 .58888 L
.09151 .58939 L
.08688 .5935 L
.08436 .58939 L
.08281 .58456 L
.08204 .58144 L
.08159 .57973 L
.08053 .57489 L
.0797 .57006 L
.07906 .56523 L
.07855 .5604 L
.07814 .55557 L
.0778 .55073 L
.07752 .5459 L
.07728 .54107 L
.07721 .5396 L
.07702 .53624 L
.07678 .53141 L
.07658 .52658 L
.07642 .52174 L
.07629 .51691 L
.07619 .51208 L
.07613 .50725 L
.0761 .50242 L
.0761 .49758 L
.07613 .49275 L
.07619 .48792 L
.07629 .48309 L
.07642 .47826 L
.07658 .47342 L
.07678 .46859 L
.07702 .46376 L
.07721 .4604 L
.07728 .45893 L
.07752 .4541 L
.0778 .44927 L
.07814 .44443 L
.07855 .4396 L
.07906 .43477 L
.0797 .42994 L
.08053 .42511 L
.08159 .42027 L
.08204 .41856 L
.08281 .41544 L
.08436 .41061 L
F
1 .306 0 r
.08688 .40732 m
.09113 .41061 L
.09171 .412 L
.09278 .41544 L
.09392 .42027 L
.09484 .42511 L
.0956 .42994 L
.09625 .43477 L
.09654 .43718 L
.09683 .4396 L
.09734 .44443 L
.09778 .44927 L
.09816 .4541 L
.09849 .45893 L
.09877 .46376 L
.09901 .46859 L
.0992 .47342 L
.09936 .47826 L
.09949 .48309 L
.09959 .48792 L
.09965 .49275 L
.09968 .49758 L
.09968 .50242 L
.09965 .50725 L
.09959 .51208 L
.09949 .51691 L
.09936 .52174 L
.0992 .52658 L
.09901 .53141 L
.09877 .53624 L
.09849 .54107 L
.09816 .5459 L
.09778 .55073 L
.09734 .55557 L
.09683 .5604 L
.09654 .56282 L
.09625 .56523 L
.0956 .57006 L
.09484 .57489 L
.09392 .57973 L
.09278 .58456 L
.09171 .588 L
.09113 .58939 L
.08688 .59268 L
.08472 .58939 L
.08305 .58456 L
.08204 .58049 L
.08184 .57973 L
.08073 .57489 L
.07987 .57006 L
.0792 .56523 L
.07867 .5604 L
.07825 .55557 L
.0779 .55073 L
.07761 .5459 L
.07736 .54107 L
.07721 .5376 L
.07714 .53624 L
.0769 .53141 L
.07669 .52658 L
.07653 .52174 L
.07639 .51691 L
.0763 .51208 L
.07623 .50725 L
.0762 .50242 L
.0762 .49758 L
.07623 .49275 L
.0763 .48792 L
.07639 .48309 L
.07653 .47826 L
.07669 .47342 L
.0769 .46859 L
.07714 .46376 L
.07721 .4624 L
.07736 .45893 L
.07761 .4541 L
.0779 .44927 L
.07825 .44443 L
.07867 .4396 L
.0792 .43477 L
.07987 .42994 L
.08073 .42511 L
.08184 .42027 L
.08204 .41951 L
.08305 .41544 L
.08472 .41061 L
F
1 .301 0 r
.08688 .40815 m
.09072 .41061 L
.09171 .41287 L
.09252 .41544 L
.09372 .42027 L
.09466 .42511 L
.09544 .42994 L
.0961 .43477 L
.09654 .43841 L
.09668 .4396 L
.0972 .44443 L
.09765 .44927 L
.09804 .4541 L
.09837 .45893 L
.09865 .46376 L
.09889 .46859 L
.0991 .47342 L
.09926 .47826 L
.09939 .48309 L
.09948 .48792 L
.09955 .49275 L
.09958 .49758 L
.09958 .50242 L
.09955 .50725 L
.09948 .51208 L
.09939 .51691 L
.09926 .52174 L
.0991 .52658 L
.09889 .53141 L
.09865 .53624 L
.09837 .54107 L
.09804 .5459 L
.09765 .55073 L
.0972 .55557 L
.09668 .5604 L
.09654 .56159 L
.0961 .56523 L
.09544 .57006 L
.09466 .57489 L
.09372 .57973 L
.09252 .58456 L
.09171 .58713 L
.09072 .58939 L
.08688 .59185 L
.08512 .58939 L
.08331 .58456 L
.08209 .57973 L
.08204 .57953 L
.08094 .57489 L
.08005 .57006 L
.07935 .56523 L
.0788 .5604 L
.07836 .55557 L
.078 .55073 L
.0777 .5459 L
.07745 .54107 L
.07724 .53624 L
.07721 .5355 L
.07701 .53141 L
.0768 .52658 L
.07663 .52174 L
.0765 .51691 L
.0764 .51208 L
.07634 .50725 L
.07631 .50242 L
.07631 .49758 L
.07634 .49275 L
.0764 .48792 L
.0765 .48309 L
.07663 .47826 L
.0768 .47342 L
.07701 .46859 L
.07721 .4645 L
.07724 .46376 L
.07745 .45893 L
.0777 .4541 L
.078 .44927 L
.07836 .44443 L
.0788 .4396 L
.07935 .43477 L
.08005 .42994 L
.08094 .42511 L
.08204 .42047 L
.08209 .42027 L
.08331 .41544 L
.08512 .41061 L
F
1 .297 0 r
.08688 .40899 m
.09023 .41061 L
.09171 .41375 L
.09226 .41544 L
.09351 .42027 L
.09448 .42511 L
.09528 .42994 L
.09595 .43477 L
.09653 .4396 L
.09654 .43966 L
.09706 .44443 L
.09752 .44927 L
.09791 .4541 L
.09825 .45893 L
.09854 .46376 L
.09878 .46859 L
.09899 .47342 L
.09915 .47826 L
.09928 .48309 L
.09938 .48792 L
.09944 .49275 L
.09947 .49758 L
.09947 .50242 L
.09944 .50725 L
.09938 .51208 L
.09928 .51691 L
.09915 .52174 L
.09899 .52658 L
.09878 .53141 L
.09854 .53624 L
.09825 .54107 L
.09791 .5459 L
.09752 .55073 L
.09706 .55557 L
.09654 .56034 L
.09653 .5604 L
.09595 .56523 L
.09528 .57006 L
.09448 .57489 L
.09351 .57973 L
.09226 .58456 L
.09171 .58625 L
.09023 .58939 L
.08688 .59101 L
.08558 .58939 L
.08359 .58456 L
.0823 .57973 L
.08204 .57857 L
.08116 .57489 L
.08023 .57006 L
.0795 .56523 L
.07893 .5604 L
.07847 .55557 L
.0781 .55073 L
.07779 .5459 L
.07754 .54107 L
.07733 .53624 L
.07721 .53329 L
.07712 .53141 L
.07691 .52658 L
.07674 .52174 L
.07661 .51691 L
.07651 .51208 L
.07644 .50725 L
.07641 .50242 L
.07641 .49758 L
.07644 .49275 L
.07651 .48792 L
.07661 .48309 L
.07674 .47826 L
.07691 .47342 L
.07712 .46859 L
.07721 .46671 L
.07733 .46376 L
.07754 .45893 L
.07779 .4541 L
.0781 .44927 L
.07847 .44443 L
.07893 .4396 L
.0795 .43477 L
.08023 .42994 L
.08116 .42511 L
.08204 .42143 L
.0823 .42027 L
.08359 .41544 L
.08558 .41061 L
F
1 .292 0 r
.08688 .40982 m
.08963 .41061 L
.09171 .41463 L
.09198 .41544 L
.09329 .42027 L
.09429 .42511 L
.09511 .42994 L
.0958 .43477 L
.09639 .4396 L
.09654 .44093 L
.09692 .44443 L
.09739 .44927 L
.09779 .4541 L
.09813 .45893 L
.09842 .46376 L
.09867 .46859 L
.09888 .47342 L
.09905 .47826 L
.09918 .48309 L
.09928 .48792 L
.09934 .49275 L
.09937 .49758 L
.09937 .50242 L
.09934 .50725 L
.09928 .51208 L
.09918 .51691 L
.09905 .52174 L
.09888 .52658 L
.09867 .53141 L
.09842 .53624 L
.09813 .54107 L
.09779 .5459 L
.09739 .55073 L
.09692 .55557 L
.09654 .55907 L
.09639 .5604 L
.0958 .56523 L
.09511 .57006 L
.09429 .57489 L
.09329 .57973 L
.09198 .58456 L
.09171 .58537 L
.08963 .58939 L
.08688 .59018 L
.08614 .58939 L
.08388 .58456 L
.08252 .57973 L
.08204 .5776 L
.08138 .57489 L
.08041 .57006 L
.07966 .56523 L
.07906 .5604 L
.07859 .55557 L
.07821 .55073 L
.07789 .5459 L
.07763 .54107 L
.07741 .53624 L
.07723 .53141 L
.07721 .53093 L
.07703 .52658 L
.07685 .52174 L
.07672 .51691 L
.07662 .51208 L
.07655 .50725 L
.07652 .50242 L
.07652 .49758 L
.07655 .49275 L
.07662 .48792 L
.07672 .48309 L
.07685 .47826 L
.07703 .47342 L
.07721 .46907 L
.07723 .46859 L
.07741 .46376 L
.07763 .45893 L
.07789 .4541 L
.07821 .44927 L
.07859 .44443 L
.07906 .4396 L
.07966 .43477 L
.08041 .42994 L
.08138 .42511 L
.08204 .4224 L
.08252 .42027 L
.08388 .41544 L
.08614 .41061 L
F
1 .288 0 r
.08688 .41066 m
.09168 .41544 L
.09171 .41552 L
.09307 .42027 L
.0941 .42511 L
.09494 .42994 L
.09565 .43477 L
.09625 .4396 L
.09654 .44222 L
.09678 .44443 L
.09726 .44927 L
.09766 .4541 L
.09801 .45893 L
.09831 .46376 L
.09856 .46859 L
.09877 .47342 L
.09894 .47826 L
.09907 .48309 L
.09917 .48792 L
.09924 .49275 L
.09927 .49758 L
.09927 .50242 L
.09924 .50725 L
.09917 .51208 L
.09907 .51691 L
.09894 .52174 L
.09877 .52658 L
.09856 .53141 L
.09831 .53624 L
.09801 .54107 L
.09766 .5459 L
.09726 .55073 L
.09678 .55557 L
.09654 .55778 L
.09625 .5604 L
.09565 .56523 L
.09494 .57006 L
.0941 .57489 L
.09307 .57973 L
.09171 .58448 L
.09168 .58456 L
.08688 .58934 L
.08419 .58456 L
.08275 .57973 L
.08204 .57663 L
.08161 .57489 L
.08061 .57006 L
.07982 .56523 L
.0792 .5604 L
.07871 .55557 L
.07831 .55073 L
.07799 .5459 L
.07772 .54107 L
.0775 .53624 L
.07731 .53141 L
.07721 .52841 L
.07714 .52658 L
.07696 .52174 L
.07683 .51691 L
.07673 .51208 L
.07666 .50725 L
.07662 .50242 L
.07662 .49758 L
.07666 .49275 L
.07673 .48792 L
.07683 .48309 L
.07696 .47826 L
.07714 .47342 L
.07721 .47159 L
.07731 .46859 L
.0775 .46376 L
.07772 .45893 L
.07799 .4541 L
.07831 .44927 L
.07871 .44443 L
.0792 .4396 L
.07982 .43477 L
.08061 .42994 L
.08161 .42511 L
.08204 .42337 L
.08275 .42027 L
.08419 .41544 L
F
1 .283 0 r
.08688 .4115 m
.09134 .41544 L
.09171 .4164 L
.09284 .42027 L
.09391 .42511 L
.09477 .42994 L
.09549 .43477 L
.09611 .4396 L
.09654 .44352 L
.09664 .44443 L
.09712 .44927 L
.09753 .4541 L
.09789 .45893 L
.09819 .46376 L
.09844 .46859 L
.09866 .47342 L
.09883 .47826 L
.09897 .48309 L
.09907 .48792 L
.09913 .49275 L
.09916 .49758 L
.09916 .50242 L
.09913 .50725 L
.09907 .51208 L
.09897 .51691 L
.09883 .52174 L
.09866 .52658 L
.09844 .53141 L
.09819 .53624 L
.09789 .54107 L
.09753 .5459 L
.09712 .55073 L
.09664 .55557 L
.09654 .55648 L
.09611 .5604 L
.09549 .56523 L
.09477 .57006 L
.09391 .57489 L
.09284 .57973 L
.09171 .5836 L
.09134 .58456 L
.08688 .5885 L
.08452 .58456 L
.08299 .57973 L
.08204 .57564 L
.08186 .57489 L
.08081 .57006 L
.07999 .56523 L
.07935 .5604 L
.07884 .55557 L
.07842 .55073 L
.07809 .5459 L
.07781 .54107 L
.07758 .53624 L
.0774 .53141 L
.07724 .52658 L
.07721 .52564 L
.07707 .52174 L
.07694 .51691 L
.07683 .51208 L
.07677 .50725 L
.07673 .50242 L
.07673 .49758 L
.07677 .49275 L
.07683 .48792 L
.07694 .48309 L
.07707 .47826 L
.07721 .47436 L
.07724 .47342 L
.0774 .46859 L
.07758 .46376 L
.07781 .45893 L
.07809 .4541 L
.07842 .44927 L
.07884 .44443 L
.07935 .4396 L
.07999 .43477 L
.08081 .42994 L
.08186 .42511 L
.08204 .42436 L
.08299 .42027 L
.08452 .41544 L
F
1 .279 0 r
.08688 .41234 m
.09097 .41544 L
.09171 .4173 L
.09259 .42027 L
.09371 .42511 L
.0946 .42994 L
.09533 .43477 L
.09596 .4396 L
.0965 .44443 L
.09654 .44485 L
.09698 .44927 L
.0974 .4541 L
.09776 .45893 L
.09807 .46376 L
.09833 .46859 L
.09855 .47342 L
.09872 .47826 L
.09886 .48309 L
.09896 .48792 L
.09903 .49275 L
.09906 .49758 L
.09906 .50242 L
.09903 .50725 L
.09896 .51208 L
.09886 .51691 L
.09872 .52174 L
.09855 .52658 L
.09833 .53141 L
.09807 .53624 L
.09776 .54107 L
.0974 .5459 L
.09698 .55073 L
.09654 .55515 L
.0965 .55557 L
.09596 .5604 L
.09533 .56523 L
.0946 .57006 L
.09371 .57489 L
.09259 .57973 L
.09171 .5827 L
.09097 .58456 L
.08688 .58766 L
.08488 .58456 L
.08324 .57973 L
.08209 .57489 L
.08204 .57466 L
.08101 .57006 L
.08016 .56523 L
.07949 .5604 L
.07896 .55557 L
.07854 .55073 L
.07819 .5459 L
.07791 .54107 L
.07767 .53624 L
.07748 .53141 L
.07732 .52658 L
.07721 .52256 L
.07719 .52174 L
.07705 .51691 L
.07694 .51208 L
.07687 .50725 L
.07684 .50242 L
.07684 .49758 L
.07687 .49275 L
.07694 .48792 L
.07705 .48309 L
.07719 .47826 L
.07721 .47744 L
.07732 .47342 L
.07748 .46859 L
.07767 .46376 L
.07791 .45893 L
.07819 .4541 L
.07854 .44927 L
.07896 .44443 L
.07949 .4396 L
.08016 .43477 L
.08101 .42994 L
.08204 .42534 L
.08209 .42511 L
.08324 .42027 L
.08488 .41544 L
F
1 .274 0 r
.08688 .41319 m
.09054 .41544 L
.09171 .41819 L
.09234 .42027 L
.09351 .42511 L
.09442 .42994 L
.09517 .43477 L
.09581 .4396 L
.09636 .44443 L
.09654 .44621 L
.09685 .44927 L
.09727 .4541 L
.09764 .45893 L
.09795 .46376 L
.09821 .46859 L
.09843 .47342 L
.09861 .47826 L
.09875 .48309 L
.09885 .48792 L
.09892 .49275 L
.09895 .49758 L
.09895 .50242 L
.09892 .50725 L
.09885 .51208 L
.09875 .51691 L
.09861 .52174 L
.09843 .52658 L
.09821 .53141 L
.09795 .53624 L
.09764 .54107 L
.09727 .5459 L
.09685 .55073 L
.09654 .55379 L
.09636 .55557 L
.09581 .5604 L
.09517 .56523 L
.09442 .57006 L
.09351 .57489 L
.09234 .57973 L
.09171 .58181 L
.09054 .58456 L
.08688 .58681 L
.08529 .58456 L
.0835 .57973 L
.0823 .57489 L
.08204 .57366 L
.08122 .57006 L
.08034 .56523 L
.07965 .5604 L
.0791 .55557 L
.07866 .55073 L
.0783 .5459 L
.07801 .54107 L
.07776 .53624 L
.07757 .53141 L
.0774 .52658 L
.07727 .52174 L
.07721 .51903 L
.07716 .51691 L
.07705 .51208 L
.07698 .50725 L
.07695 .50242 L
.07695 .49758 L
.07698 .49275 L
.07705 .48792 L
.07716 .48309 L
.07721 .48097 L
.07727 .47826 L
.0774 .47342 L
.07757 .46859 L
.07776 .46376 L
.07801 .45893 L
.0783 .4541 L
.07866 .44927 L
.0791 .44443 L
.07965 .4396 L
.08034 .43477 L
.08122 .42994 L
.08204 .42634 L
.0823 .42511 L
.0835 .42027 L
.08529 .41544 L
F
1 .27 0 r
.08688 .41404 m
.09004 .41544 L
.09171 .41909 L
.09208 .42027 L
.0933 .42511 L
.09424 .42994 L
.09501 .43477 L
.09566 .4396 L
.09622 .44443 L
.09654 .44759 L
.09671 .44927 L
.09714 .4541 L
.09751 .45893 L
.09783 .46376 L
.0981 .46859 L
.09832 .47342 L
.0985 .47826 L
.09864 .48309 L
.09874 .48792 L
.09881 .49275 L
.09885 .49758 L
.09885 .50242 L
.09881 .50725 L
.09874 .51208 L
.09864 .51691 L
.0985 .52174 L
.09832 .52658 L
.0981 .53141 L
.09783 .53624 L
.09751 .54107 L
.09714 .5459 L
.09671 .55073 L
.09654 .55241 L
.09622 .55557 L
.09566 .5604 L
.09501 .56523 L
.09424 .57006 L
.0933 .57489 L
.09208 .57973 L
.09171 .58091 L
.09004 .58456 L
.08688 .58596 L
.08576 .58456 L
.08378 .57973 L
.08252 .57489 L
.08204 .57266 L
.08145 .57006 L
.08053 .56523 L
.0798 .5604 L
.07923 .55557 L
.07878 .55073 L
.07841 .5459 L
.0781 .54107 L
.07786 .53624 L
.07765 .53141 L
.07749 .52658 L
.07736 .52174 L
.07725 .51691 L
.07721 .51472 L
.07716 .51208 L
.07709 .50725 L
.07706 .50242 L
.07706 .49758 L
.07709 .49275 L
.07716 .48792 L
.07721 .48528 L
.07725 .48309 L
.07736 .47826 L
.07749 .47342 L
.07765 .46859 L
.07786 .46376 L
.0781 .45893 L
.07841 .4541 L
.07878 .44927 L
.07923 .44443 L
.0798 .4396 L
.08053 .43477 L
.08145 .42994 L
.08204 .42734 L
.08252 .42511 L
.08378 .42027 L
.08576 .41544 L
F
1 .265 0 r
.08688 .41489 m
.08939 .41544 L
.09171 .42 L
.0918 .42027 L
.09308 .42511 L
.09406 .42994 L
.09485 .43477 L
.09551 .4396 L
.09608 .44443 L
.09654 .449 L
.09657 .44927 L
.09701 .4541 L
.09739 .45893 L
.09771 .46376 L
.09798 .46859 L
.0982 .47342 L
.09839 .47826 L
.09853 .48309 L
.09864 .48792 L
.09871 .49275 L
.09874 .49758 L
.09874 .50242 L
.09871 .50725 L
.09864 .51208 L
.09853 .51691 L
.09839 .52174 L
.0982 .52658 L
.09798 .53141 L
.09771 .53624 L
.09739 .54107 L
.09701 .5459 L
.09657 .55073 L
.09654 .551 L
.09608 .55557 L
.09551 .5604 L
.09485 .56523 L
.09406 .57006 L
.09308 .57489 L
.0918 .57973 L
.09171 .58 L
.08939 .58456 L
.08688 .58511 L
.08635 .58456 L
.08407 .57973 L
.08274 .57489 L
.08204 .57165 L
.08167 .57006 L
.08072 .56523 L
.07997 .5604 L
.07937 .55557 L
.0789 .55073 L
.07852 .5459 L
.07821 .54107 L
.07795 .53624 L
.07774 .53141 L
.07757 .52658 L
.07744 .52174 L
.07733 .51691 L
.07726 .51208 L
.07721 .50847 L
.0772 .50725 L
.07717 .50242 L
.07717 .49758 L
.0772 .49275 L
.07721 .49153 L
.07726 .48792 L
.07733 .48309 L
.07744 .47826 L
.07757 .47342 L
.07774 .46859 L
.07795 .46376 L
.07821 .45893 L
.07852 .4541 L
.0789 .44927 L
.07937 .44443 L
.07997 .4396 L
.08072 .43477 L
.08167 .42994 L
.08204 .42835 L
.08274 .42511 L
.08407 .42027 L
.08635 .41544 L
F
1 .261 0 r
.08688 .41574 m
.09148 .42027 L
.09171 .42091 L
.09286 .42511 L
.09387 .42994 L
.09468 .43477 L
.09536 .4396 L
.09594 .44443 L
.09643 .44927 L
.09654 .45044 L
.09687 .4541 L
.09726 .45893 L
.09759 .46376 L
.09786 .46859 L
.09809 .47342 L
.09827 .47826 L
.09842 .48309 L
.09853 .48792 L
.0986 .49275 L
.09863 .49758 L
.09863 .50242 L
.0986 .50725 L
.09853 .51208 L
.09842 .51691 L
.09827 .52174 L
.09809 .52658 L
.09786 .53141 L
.09759 .53624 L
.09726 .54107 L
.09687 .5459 L
.09654 .54956 L
.09643 .55073 L
.09594 .55557 L
.09536 .5604 L
.09468 .56523 L
.09387 .57006 L
.09286 .57489 L
.09171 .57909 L
.09148 .57973 L
.08688 .58426 L
.08438 .57973 L
.08297 .57489 L
.08204 .57063 L
.08191 .57006 L
.08091 .56523 L
.08014 .5604 L
.07952 .55557 L
.07903 .55073 L
.07863 .5459 L
.07831 .54107 L
.07805 .53624 L
.07783 .53141 L
.07766 .52658 L
.07752 .52174 L
.07741 .51691 L
.07734 .51208 L
.07728 .50725 L
.07726 .50242 L
.07726 .49758 L
.07728 .49275 L
.07734 .48792 L
.07741 .48309 L
.07752 .47826 L
.07766 .47342 L
.07783 .46859 L
.07805 .46376 L
.07831 .45893 L
.07863 .4541 L
.07903 .44927 L
.07952 .44443 L
.08014 .4396 L
.08091 .43477 L
.08191 .42994 L
.08204 .42937 L
.08297 .42511 L
.08438 .42027 L
F
1 .257 0 r
.08688 .4166 m
.09114 .42027 L
.09171 .42183 L
.09262 .42511 L
.09367 .42994 L
.09451 .43477 L
.0952 .4396 L
.09579 .44443 L
.0963 .44927 L
.09654 .45191 L
.09674 .4541 L
.09713 .45893 L
.09746 .46376 L
.09774 .46859 L
.09797 .47342 L
.09816 .47826 L
.09831 .48309 L
.09842 .48792 L
.09849 .49275 L
.09852 .49758 L
.09852 .50242 L
.09849 .50725 L
.09842 .51208 L
.09831 .51691 L
.09816 .52174 L
.09797 .52658 L
.09774 .53141 L
.09746 .53624 L
.09713 .54107 L
.09674 .5459 L
.09654 .54809 L
.0963 .55073 L
.09579 .55557 L
.0952 .5604 L
.09451 .56523 L
.09367 .57006 L
.09262 .57489 L
.09171 .57817 L
.09114 .57973 L
.08688 .5834 L
.08472 .57973 L
.08321 .57489 L
.08213 .57006 L
.08204 .56961 L
.08112 .56523 L
.08031 .5604 L
.07967 .55557 L
.07916 .55073 L
.07875 .5459 L
.07842 .54107 L
.07815 .53624 L
.07793 .53141 L
.07775 .52658 L
.07761 .52174 L
.0775 .51691 L
.07742 .51208 L
.07736 .50725 L
.07734 .50242 L
.07734 .49758 L
.07736 .49275 L
.07742 .48792 L
.0775 .48309 L
.07761 .47826 L
.07775 .47342 L
.07793 .46859 L
.07815 .46376 L
.07842 .45893 L
.07875 .4541 L
.07916 .44927 L
.07967 .44443 L
.08031 .4396 L
.08112 .43477 L
.08204 .43039 L
.08213 .42994 L
.08321 .42511 L
.08472 .42027 L
F
1 .252 0 r
.08688 .41746 m
.09075 .42027 L
.09171 .42275 L
.09238 .42511 L
.09347 .42994 L
.09433 .43477 L
.09505 .4396 L
.09565 .44443 L
.09616 .44927 L
.09654 .45342 L
.0966 .4541 L
.097 .45893 L
.09734 .46376 L
.09762 .46859 L
.09786 .47342 L
.09805 .47826 L
.0982 .48309 L
.09831 .48792 L
.09838 .49275 L
.09841 .49758 L
.09841 .50242 L
.09838 .50725 L
.09831 .51208 L
.0982 .51691 L
.09805 .52174 L
.09786 .52658 L
.09762 .53141 L
.09734 .53624 L
.097 .54107 L
.0966 .5459 L
.09654 .54658 L
.09616 .55073 L
.09565 .55557 L
.09505 .5604 L
.09433 .56523 L
.09347 .57006 L
.09238 .57489 L
.09171 .57725 L
.09075 .57973 L
.08688 .58254 L
.08509 .57973 L
.08346 .57489 L
.08234 .57006 L
.08204 .56857 L
.08133 .56523 L
.08049 .5604 L
.07982 .55557 L
.07929 .55073 L
.07887 .5459 L
.07853 .54107 L
.07825 .53624 L
.07802 .53141 L
.07784 .52658 L
.07769 .52174 L
.07758 .51691 L
.0775 .51208 L
.07744 .50725 L
.07742 .50242 L
.07742 .49758 L
.07744 .49275 L
.0775 .48792 L
.07758 .48309 L
.07769 .47826 L
.07784 .47342 L
.07802 .46859 L
.07825 .46376 L
.07853 .45893 L
.07887 .4541 L
.07929 .44927 L
.07982 .44443 L
.08049 .4396 L
.08133 .43477 L
.08204 .43143 L
.08234 .42994 L
.08346 .42511 L
.08509 .42027 L
F
1 .248 0 r
.08688 .41833 m
.0903 .42027 L
.09171 .42367 L
.09213 .42511 L
.09327 .42994 L
.09416 .43477 L
.09489 .4396 L
.0955 .44443 L
.09602 .44927 L
.09647 .4541 L
.09654 .45497 L
.09687 .45893 L
.09721 .46376 L
.0975 .46859 L
.09774 .47342 L
.09793 .47826 L
.09808 .48309 L
.09819 .48792 L
.09827 .49275 L
.0983 .49758 L
.0983 .50242 L
.09827 .50725 L
.09819 .51208 L
.09808 .51691 L
.09793 .52174 L
.09774 .52658 L
.0975 .53141 L
.09721 .53624 L
.09687 .54107 L
.09654 .54503 L
.09647 .5459 L
.09602 .55073 L
.0955 .55557 L
.09489 .5604 L
.09416 .56523 L
.09327 .57006 L
.09213 .57489 L
.09171 .57633 L
.0903 .57973 L
.08688 .58167 L
.08551 .57973 L
.08372 .57489 L
.08255 .57006 L
.08204 .56753 L
.08155 .56523 L
.08067 .5604 L
.07998 .55557 L
.07943 .55073 L
.07899 .5459 L
.07864 .54107 L
.07835 .53624 L
.07812 .53141 L
.07793 .52658 L
.07778 .52174 L
.07767 .51691 L
.07758 .51208 L
.07753 .50725 L
.0775 .50242 L
.0775 .49758 L
.07753 .49275 L
.07758 .48792 L
.07767 .48309 L
.07778 .47826 L
.07793 .47342 L
.07812 .46859 L
.07835 .46376 L
.07864 .45893 L
.07899 .4541 L
.07943 .44927 L
.07998 .44443 L
.08067 .4396 L
.08155 .43477 L
.08204 .43247 L
.08255 .42994 L
.08372 .42511 L
.08551 .42027 L
F
1 .243 0 r
.08688 .4192 m
.08977 .42027 L
.09171 .4246 L
.09186 .42511 L
.09306 .42994 L
.09398 .43477 L
.09472 .4396 L
.09535 .44443 L
.09588 .44927 L
.09633 .4541 L
.09654 .45657 L
.09673 .45893 L
.09708 .46376 L
.09737 .46859 L
.09762 .47342 L
.09781 .47826 L
.09797 .48309 L
.09808 .48792 L
.09816 .49275 L
.09819 .49758 L
.09819 .50242 L
.09816 .50725 L
.09808 .51208 L
.09797 .51691 L
.09781 .52174 L
.09762 .52658 L
.09737 .53141 L
.09708 .53624 L
.09673 .54107 L
.09654 .54343 L
.09633 .5459 L
.09588 .55073 L
.09535 .55557 L
.09472 .5604 L
.09398 .56523 L
.09306 .57006 L
.09186 .57489 L
.09171 .5754 L
.08977 .57973 L
.08688 .5808 L
.08601 .57973 L
.084 .57489 L
.08276 .57006 L
.08204 .56647 L
.08177 .56523 L
.08086 .5604 L
.08015 .55557 L
.07958 .55073 L
.07912 .5459 L
.07875 .54107 L
.07846 .53624 L
.07822 .53141 L
.07802 .52658 L
.07787 .52174 L
.07775 .51691 L
.07767 .51208 L
.07761 .50725 L
.07758 .50242 L
.07758 .49758 L
.07761 .49275 L
.07767 .48792 L
.07775 .48309 L
.07787 .47826 L
.07802 .47342 L
.07822 .46859 L
.07846 .46376 L
.07875 .45893 L
.07912 .4541 L
.07958 .44927 L
.08015 .44443 L
.08086 .4396 L
.08177 .43477 L
.08204 .43353 L
.08276 .42994 L
.084 .42511 L
.08601 .42027 L
F
1 .239 0 r
.08688 .42007 m
.08901 .42027 L
.09156 .42511 L
.09171 .42554 L
.09284 .42994 L
.09379 .43477 L
.09456 .4396 L
.0952 .44443 L
.09574 .44927 L
.0962 .4541 L
.09654 .45822 L
.0966 .45893 L
.09695 .46376 L
.09725 .46859 L
.0975 .47342 L
.0977 .47826 L
.09785 .48309 L
.09797 .48792 L
.09804 .49275 L
.09808 .49758 L
.09808 .50242 L
.09804 .50725 L
.09797 .51208 L
.09785 .51691 L
.0977 .52174 L
.0975 .52658 L
.09725 .53141 L
.09695 .53624 L
.0966 .54107 L
.09654 .54178 L
.0962 .5459 L
.09574 .55073 L
.0952 .55557 L
.09456 .5604 L
.09379 .56523 L
.09284 .57006 L
.09171 .57446 L
.09156 .57489 L
.08901 .57973 L
.08688 .57993 L
.08668 .57973 L
.0843 .57489 L
.08299 .57006 L
.08204 .5654 L
.08201 .56523 L
.08106 .5604 L
.08032 .55557 L
.07973 .55073 L
.07925 .5459 L
.07887 .54107 L
.07857 .53624 L
.07832 .53141 L
.07812 .52658 L
.07796 .52174 L
.07784 .51691 L
.07775 .51208 L
.0777 .50725 L
.07767 .50242 L
.07767 .49758 L
.0777 .49275 L
.07775 .48792 L
.07784 .48309 L
.07796 .47826 L
.07812 .47342 L
.07832 .46859 L
.07857 .46376 L
.07887 .45893 L
.07925 .4541 L
.07973 .44927 L
.08032 .44443 L
.08106 .4396 L
.08201 .43477 L
.08204 .4346 L
.08299 .42994 L
.0843 .42511 L
.08668 .42027 L
F
1 .234 0 r
.08688 .42095 m
.09124 .42511 L
.09171 .42649 L
.09261 .42994 L
.0936 .43477 L
.09439 .4396 L
.09504 .44443 L
.09559 .44927 L
.09606 .4541 L
.09646 .45893 L
.09654 .45993 L
.09682 .46376 L
.09712 .46859 L
.09737 .47342 L
.09758 .47826 L
.09774 .48309 L
.09785 .48792 L
.09793 .49275 L
.09797 .49758 L
.09797 .50242 L
.09793 .50725 L
.09785 .51208 L
.09774 .51691 L
.09758 .52174 L
.09737 .52658 L
.09712 .53141 L
.09682 .53624 L
.09654 .54007 L
.09646 .54107 L
.09606 .5459 L
.09559 .55073 L
.09504 .55557 L
.09439 .5604 L
.0936 .56523 L
.09261 .57006 L
.09171 .57351 L
.09124 .57489 L
.08688 .57905 L
.08462 .57489 L
.08322 .57006 L
.08221 .56523 L
.08204 .56433 L
.08127 .5604 L
.08049 .55557 L
.07988 .55073 L
.07939 .5459 L
.079 .54107 L
.07868 .53624 L
.07842 .53141 L
.07822 .52658 L
.07806 .52174 L
.07793 .51691 L
.07784 .51208 L
.07778 .50725 L
.07775 .50242 L
.07775 .49758 L
.07778 .49275 L
.07784 .48792 L
.07793 .48309 L
.07806 .47826 L
.07822 .47342 L
.07842 .46859 L
.07868 .46376 L
.079 .45893 L
.07939 .4541 L
.07988 .44927 L
.08049 .44443 L
.08127 .4396 L
.08204 .43567 L
.08221 .43477 L
.08322 .42994 L
.08462 .42511 L
F
1 .23 0 r
.08688 .42184 m
.09087 .42511 L
.09171 .42744 L
.09238 .42994 L
.0934 .43477 L
.09422 .4396 L
.09488 .44443 L
.09545 .44927 L
.09593 .4541 L
.09633 .45893 L
.09654 .4617 L
.09669 .46376 L
.097 .46859 L
.09725 .47342 L
.09746 .47826 L
.09762 .48309 L
.09774 .48792 L
.09781 .49275 L
.09785 .49758 L
.09785 .50242 L
.09781 .50725 L
.09774 .51208 L
.09762 .51691 L
.09746 .52174 L
.09725 .52658 L
.097 .53141 L
.09669 .53624 L
.09654 .5383 L
.09633 .54107 L
.09593 .5459 L
.09545 .55073 L
.09488 .55557 L
.09422 .5604 L
.0934 .56523 L
.09238 .57006 L
.09171 .57256 L
.09087 .57489 L
.08688 .57816 L
.08497 .57489 L
.08347 .57006 L
.08241 .56523 L
.08204 .56324 L
.08148 .5604 L
.08067 .55557 L
.08004 .55073 L
.07953 .5459 L
.07912 .54107 L
.07879 .53624 L
.07853 .53141 L
.07832 .52658 L
.07815 .52174 L
.07802 .51691 L
.07793 .51208 L
.07787 .50725 L
.07784 .50242 L
.07784 .49758 L
.07787 .49275 L
.07793 .48792 L
.07802 .48309 L
.07815 .47826 L
.07832 .47342 L
.07853 .46859 L
.07879 .46376 L
.07912 .45893 L
.07953 .4541 L
.08004 .44927 L
.08067 .44443 L
.08148 .4396 L
.08204 .43676 L
.08241 .43477 L
.08347 .42994 L
.08497 .42511 L
F
1 .225 0 r
.08688 .42273 m
.09046 .42511 L
.09171 .4284 L
.09213 .42994 L
.0932 .43477 L
.09404 .4396 L
.09473 .44443 L
.0953 .44927 L
.09579 .4541 L
.0962 .45893 L
.09654 .46355 L
.09656 .46376 L
.09687 .46859 L
.09713 .47342 L
.09734 .47826 L
.0975 .48309 L
.09762 .48792 L
.0977 .49275 L
.09774 .49758 L
.09774 .50242 L
.0977 .50725 L
.09762 .51208 L
.0975 .51691 L
.09734 .52174 L
.09713 .52658 L
.09687 .53141 L
.09656 .53624 L
.09654 .53645 L
.0962 .54107 L
.09579 .5459 L
.0953 .55073 L
.09473 .55557 L
.09404 .5604 L
.0932 .56523 L
.09213 .57006 L
.09171 .5716 L
.09046 .57489 L
.08688 .57727 L
.08536 .57489 L
.08372 .57006 L
.08261 .56523 L
.08204 .56214 L
.08169 .5604 L
.08086 .55557 L
.0802 .55073 L
.07967 .5459 L
.07925 .54107 L
.07891 .53624 L
.07864 .53141 L
.07842 .52658 L
.07825 .52174 L
.07812 .51691 L
.07802 .51208 L
.07796 .50725 L
.07793 .50242 L
.07793 .49758 L
.07796 .49275 L
.07802 .48792 L
.07812 .48309 L
.07825 .47826 L
.07842 .47342 L
.07864 .46859 L
.07891 .46376 L
.07925 .45893 L
.07967 .4541 L
.0802 .44927 L
.08086 .44443 L
.08169 .4396 L
.08204 .43786 L
.08261 .43477 L
.08372 .42994 L
.08536 .42511 L
F
1 .221 0 r
.08688 .42362 m
.08998 .42511 L
.09171 .42936 L
.09187 .42994 L
.093 .43477 L
.09386 .4396 L
.09456 .44443 L
.09515 .44927 L
.09565 .4541 L
.09607 .45893 L
.09643 .46376 L
.09654 .46548 L
.09674 .46859 L
.097 .47342 L
.09721 .47826 L
.09738 .48309 L
.0975 .48792 L
.09758 .49275 L
.09762 .49758 L
.09762 .50242 L
.09758 .50725 L
.0975 .51208 L
.09738 .51691 L
.09721 .52174 L
.097 .52658 L
.09674 .53141 L
.09654 .53452 L
.09643 .53624 L
.09607 .54107 L
.09565 .5459 L
.09515 .55073 L
.09456 .55557 L
.09386 .5604 L
.093 .56523 L
.09187 .57006 L
.09171 .57064 L
.08998 .57489 L
.08688 .57638 L
.08581 .57489 L
.08399 .57006 L
.08283 .56523 L
.08204 .56102 L
.08192 .5604 L
.08105 .55557 L
.08037 .55073 L
.07982 .5459 L
.07938 .54107 L
.07903 .53624 L
.07875 .53141 L
.07852 .52658 L
.07835 .52174 L
.07821 .51691 L
.07811 .51208 L
.07805 .50725 L
.07802 .50242 L
.07802 .49758 L
.07805 .49275 L
.07811 .48792 L
.07821 .48309 L
.07835 .47826 L
.07852 .47342 L
.07875 .46859 L
.07903 .46376 L
.07938 .45893 L
.07982 .4541 L
.08037 .44927 L
.08105 .44443 L
.08192 .4396 L
.08204 .43898 L
.08283 .43477 L
.08399 .42994 L
.08581 .42511 L
F
1 .216 0 r
.08688 .42452 m
.08936 .42511 L
.09159 .42994 L
.09171 .43034 L
.09278 .43477 L
.09368 .4396 L
.0944 .44443 L
.095 .44927 L
.09551 .4541 L
.09593 .45893 L
.0963 .46376 L
.09654 .46752 L
.09661 .46859 L
.09687 .47342 L
.09709 .47826 L
.09726 .48309 L
.09738 .48792 L
.09746 .49275 L
.0975 .49758 L
.0975 .50242 L
.09746 .50725 L
.09738 .51208 L
.09726 .51691 L
.09709 .52174 L
.09687 .52658 L
.09661 .53141 L
.09654 .53248 L
.0963 .53624 L
.09593 .54107 L
.09551 .5459 L
.095 .55073 L
.0944 .55557 L
.09368 .5604 L
.09278 .56523 L
.09171 .56966 L
.09159 .57006 L
.08936 .57489 L
.08688 .57548 L
.08638 .57489 L
.08428 .57006 L
.08305 .56523 L
.08213 .5604 L
.08204 .55989 L
.08125 .55557 L
.08054 .55073 L
.07997 .5459 L
.07952 .54107 L
.07916 .53624 L
.07887 .53141 L
.07863 .52658 L
.07845 .52174 L
.07831 .51691 L
.07821 .51208 L
.07814 .50725 L
.07811 .50242 L
.07811 .49758 L
.07814 .49275 L
.07821 .48792 L
.07831 .48309 L
.07845 .47826 L
.07863 .47342 L
.07887 .46859 L
.07916 .46376 L
.07952 .45893 L
.07997 .4541 L
.08054 .44927 L
.08125 .44443 L
.08204 .44011 L
.08213 .4396 L
.08305 .43477 L
.08428 .42994 L
.08638 .42511 L
F
1 .212 0 r
.08688 .42542 m
.09127 .42994 L
.09171 .43132 L
.09256 .43477 L
.09349 .4396 L
.09423 .44443 L
.09485 .44927 L
.09536 .4541 L
.0958 .45893 L
.09617 .46376 L
.09648 .46859 L
.09654 .46968 L
.09675 .47342 L
.09696 .47826 L
.09714 .48309 L
.09726 .48792 L
.09735 .49275 L
.09739 .49758 L
.09739 .50242 L
.09735 .50725 L
.09726 .51208 L
.09714 .51691 L
.09696 .52174 L
.09675 .52658 L
.09654 .53032 L
.09648 .53141 L
.09617 .53624 L
.0958 .54107 L
.09536 .5459 L
.09485 .55073 L
.09423 .55557 L
.09349 .5604 L
.09256 .56523 L
.09171 .56868 L
.09127 .57006 L
.08688 .57458 L
.08459 .57006 L
.08328 .56523 L
.08232 .5604 L
.08204 .55875 L
.08146 .55557 L
.08072 .55073 L
.08013 .5459 L
.07966 .54107 L
.07928 .53624 L
.07898 .53141 L
.07874 .52658 L
.07856 .52174 L
.07841 .51691 L
.07831 .51208 L
.07824 .50725 L
.07821 .50242 L
.07821 .49758 L
.07824 .49275 L
.07831 .48792 L
.07841 .48309 L
.07856 .47826 L
.07874 .47342 L
.07898 .46859 L
.07928 .46376 L
.07966 .45893 L
.08013 .4541 L
.08072 .44927 L
.08146 .44443 L
.08204 .44125 L
.08232 .4396 L
.08328 .43477 L
.08459 .42994 L
F
1 .208 0 r
.08688 .42633 m
.09092 .42994 L
.09171 .43231 L
.09233 .43477 L
.09329 .4396 L
.09406 .44443 L
.09469 .44927 L
.09522 .4541 L
.09566 .45893 L
.09604 .46376 L
.09635 .46859 L
.09654 .472 L
.09662 .47342 L
.09684 .47826 L
.09701 .48309 L
.09714 .48792 L
.09722 .49275 L
.09727 .49758 L
.09727 .50242 L
.09722 .50725 L
.09714 .51208 L
.09701 .51691 L
.09684 .52174 L
.09662 .52658 L
.09654 .528 L
.09635 .53141 L
.09604 .53624 L
.09566 .54107 L
.09522 .5459 L
.09469 .55073 L
.09406 .55557 L
.09329 .5604 L
.09233 .56523 L
.09171 .56769 L
.09092 .57006 L
.08688 .57367 L
.08492 .57006 L
.08352 .56523 L
.08252 .5604 L
.08204 .55759 L
.08167 .55557 L
.0809 .55073 L
.08029 .5459 L
.07981 .54107 L
.07942 .53624 L
.0791 .53141 L
.07886 .52658 L
.07866 .52174 L
.07851 .51691 L
.07841 .51208 L
.07834 .50725 L
.0783 .50242 L
.0783 .49758 L
.07834 .49275 L
.07841 .48792 L
.07851 .48309 L
.07866 .47826 L
.07886 .47342 L
.0791 .46859 L
.07942 .46376 L
.07981 .45893 L
.08029 .4541 L
.0809 .44927 L
.08167 .44443 L
.08204 .44241 L
.08252 .4396 L
.08352 .43477 L
.08492 .42994 L
F
1 .203 0 r
.08688 .42725 m
.09053 .42994 L
.09171 .43331 L
.09208 .43477 L
.0931 .4396 L
.09389 .44443 L
.09453 .44927 L
.09507 .4541 L
.09552 .45893 L
.0959 .46376 L
.09622 .46859 L
.09649 .47342 L
.09654 .47451 L
.09671 .47826 L
.09689 .48309 L
.09702 .48792 L
.0971 .49275 L
.09715 .49758 L
.09715 .50242 L
.0971 .50725 L
.09702 .51208 L
.09689 .51691 L
.09671 .52174 L
.09654 .52549 L
.09649 .52658 L
.09622 .53141 L
.0959 .53624 L
.09552 .54107 L
.09507 .5459 L
.09453 .55073 L
.09389 .55557 L
.0931 .5604 L
.09208 .56523 L
.09171 .56669 L
.09053 .57006 L
.08688 .57275 L
.0853 .57006 L
.08377 .56523 L
.08273 .5604 L
.08204 .55641 L
.08189 .55557 L
.08109 .55073 L
.08046 .5459 L
.07996 .54107 L
.07955 .53624 L
.07923 .53141 L
.07897 .52658 L
.07877 .52174 L
.07862 .51691 L
.07851 .51208 L
.07844 .50725 L
.0784 .50242 L
.0784 .49758 L
.07844 .49275 L
.07851 .48792 L
.07862 .48309 L
.07877 .47826 L
.07897 .47342 L
.07923 .46859 L
.07955 .46376 L
.07996 .45893 L
.08046 .4541 L
.08109 .44927 L
.08189 .44443 L
.08204 .44359 L
.08273 .4396 L
.08377 .43477 L
.0853 .42994 L
F
1 .199 0 r
.08688 .42818 m
.09008 .42994 L
.09171 .43431 L
.09183 .43477 L
.09289 .4396 L
.09371 .44443 L
.09437 .44927 L
.09492 .4541 L
.09538 .45893 L
.09577 .46376 L
.09609 .46859 L
.09636 .47342 L
.09654 .47728 L
.09658 .47826 L
.09676 .48309 L
.09689 .48792 L
.09698 .49275 L
.09702 .49758 L
.09702 .50242 L
.09698 .50725 L
.09689 .51208 L
.09676 .51691 L
.09658 .52174 L
.09654 .52272 L
.09636 .52658 L
.09609 .53141 L
.09577 .53624 L
.09538 .54107 L
.09492 .5459 L
.09437 .55073 L
.09371 .55557 L
.09289 .5604 L
.09183 .56523 L
.09171 .56569 L
.09008 .57006 L
.08688 .57182 L
.08572 .57006 L
.08404 .56523 L
.08294 .5604 L
.0821 .55557 L
.08204 .55521 L
.08129 .55073 L
.08063 .5459 L
.08011 .54107 L
.07969 .53624 L
.07936 .53141 L
.07909 .52658 L
.07889 .52174 L
.07873 .51691 L
.07862 .51208 L
.07854 .50725 L
.07851 .50242 L
.07851 .49758 L
.07854 .49275 L
.07862 .48792 L
.07873 .48309 L
.07889 .47826 L
.07909 .47342 L
.07936 .46859 L
.07969 .46376 L
.08011 .45893 L
.08063 .4541 L
.08129 .44927 L
.08204 .44479 L
.0821 .44443 L
.08294 .4396 L
.08404 .43477 L
.08572 .42994 L
F
1 .194 0 r
.08688 .42911 m
.08951 .42994 L
.09155 .43477 L
.09171 .43533 L
.09268 .4396 L
.09352 .44443 L
.0942 .44927 L
.09477 .4541 L
.09524 .45893 L
.09563 .46376 L
.09596 .46859 L
.09624 .47342 L
.09646 .47826 L
.09654 .4804 L
.09663 .48309 L
.09677 .48792 L
.09686 .49275 L
.0969 .49758 L
.0969 .50242 L
.09686 .50725 L
.09677 .51208 L
.09663 .51691 L
.09654 .5196 L
.09646 .52174 L
.09624 .52658 L
.09596 .53141 L
.09563 .53624 L
.09524 .54107 L
.09477 .5459 L
.0942 .55073 L
.09352 .55557 L
.09268 .5604 L
.09171 .56467 L
.09155 .56523 L
.08951 .57006 L
.08688 .57089 L
.08624 .57006 L
.08432 .56523 L
.08316 .5604 L
.08229 .55557 L
.08204 .554 L
.08149 .55073 L
.08081 .5459 L
.08027 .54107 L
.07984 .53624 L
.07949 .53141 L
.07922 .52658 L
.079 .52174 L
.07884 .51691 L
.07872 .51208 L
.07865 .50725 L
.07861 .50242 L
.07861 .49758 L
.07865 .49275 L
.07872 .48792 L
.07884 .48309 L
.079 .47826 L
.07922 .47342 L
.07949 .46859 L
.07984 .46376 L
.08027 .45893 L
.08081 .4541 L
.08149 .44927 L
.08204 .446 L
.08229 .44443 L
.08316 .4396 L
.08432 .43477 L
.08624 .42994 L
F
1 .19 0 r
.08688 .43004 m
.09124 .43477 L
.09171 .43636 L
.09246 .4396 L
.09334 .44443 L
.09404 .44927 L
.09461 .4541 L
.09509 .45893 L
.0955 .46376 L
.09583 .46859 L
.09611 .47342 L
.09633 .47826 L
.09651 .48309 L
.09654 .4841 L
.09664 .48792 L
.09673 .49275 L
.09678 .49758 L
.09678 .50242 L
.09673 .50725 L
.09664 .51208 L
.09654 .5159 L
.09651 .51691 L
.09633 .52174 L
.09611 .52658 L
.09583 .53141 L
.0955 .53624 L
.09509 .54107 L
.09461 .5459 L
.09404 .55073 L
.09334 .55557 L
.09246 .5604 L
.09171 .56364 L
.09124 .56523 L
.08688 .56996 L
.08462 .56523 L
.08338 .5604 L
.08248 .55557 L
.08204 .55276 L
.0817 .55073 L
.08099 .5459 L
.08043 .54107 L
.07998 .53624 L
.07963 .53141 L
.07934 .52658 L
.07912 .52174 L
.07895 .51691 L
.07883 .51208 L
.07875 .50725 L
.07872 .50242 L
.07872 .49758 L
.07875 .49275 L
.07883 .48792 L
.07895 .48309 L
.07912 .47826 L
.07934 .47342 L
.07963 .46859 L
.07998 .46376 L
.08043 .45893 L
.08099 .4541 L
.0817 .44927 L
.08204 .44724 L
.08248 .44443 L
.08338 .4396 L
.08462 .43477 L
F
1 .185 0 r
.08688 .43099 m
.09089 .43477 L
.09171 .4374 L
.09223 .4396 L
.09314 .44443 L
.09386 .44927 L
.09446 .4541 L
.09495 .45893 L
.09536 .46376 L
.0957 .46859 L
.09598 .47342 L
.09621 .47826 L
.09639 .48309 L
.09652 .48792 L
.09654 .48883 L
.09661 .49275 L
.09665 .49758 L
.09665 .50242 L
.09661 .50725 L
.09654 .51117 L
.09652 .51208 L
.09639 .51691 L
.09621 .52174 L
.09598 .52658 L
.0957 .53141 L
.09536 .53624 L
.09495 .54107 L
.09446 .5459 L
.09386 .55073 L
.09314 .55557 L
.09223 .5604 L
.09171 .5626 L
.09089 .56523 L
.08688 .56901 L
.08495 .56523 L
.08362 .5604 L
.08268 .55557 L
.08204 .5515 L
.08191 .55073 L
.08118 .5459 L
.0806 .54107 L
.08014 .53624 L
.07977 .53141 L
.07947 .52658 L
.07925 .52174 L
.07907 .51691 L
.07895 .51208 L
.07887 .50725 L
.07883 .50242 L
.07883 .49758 L
.07887 .49275 L
.07895 .48792 L
.07907 .48309 L
.07925 .47826 L
.07947 .47342 L
.07977 .46859 L
.08014 .46376 L
.0806 .45893 L
.08118 .4541 L
.08191 .44927 L
.08204 .4485 L
.08268 .44443 L
.08362 .4396 L
.08495 .43477 L
F
1 .181 0 r
.08688 .43194 m
.09051 .43477 L
.09171 .43845 L
.09198 .4396 L
.09294 .44443 L
.09369 .44927 L
.0943 .4541 L
.0948 .45893 L
.09522 .46376 L
.09556 .46859 L
.09585 .47342 L
.09608 .47826 L
.09626 .48309 L
.09639 .48792 L
.09648 .49275 L
.09653 .49758 L
.09653 .50242 L
.09648 .50725 L
.09639 .51208 L
.09626 .51691 L
.09608 .52174 L
.09585 .52658 L
.09556 .53141 L
.09522 .53624 L
.0948 .54107 L
.0943 .5459 L
.09369 .55073 L
.09294 .55557 L
.09198 .5604 L
.09171 .56155 L
.09051 .56523 L
.08688 .56806 L
.08532 .56523 L
.08387 .5604 L
.08288 .55557 L
.08212 .55073 L
.08204 .55022 L
.08138 .5459 L
.08078 .54107 L
.08029 .53624 L
.07991 .53141 L
.07961 .52658 L
.07937 .52174 L
.07919 .51691 L
.07906 .51208 L
.07898 .50725 L
.07894 .50242 L
.07894 .49758 L
.07898 .49275 L
.07906 .48792 L
.07919 .48309 L
.07937 .47826 L
.07961 .47342 L
.07991 .46859 L
.08029 .46376 L
.08078 .45893 L
.08138 .4541 L
.08204 .44978 L
.08212 .44927 L
.08288 .44443 L
.08387 .4396 L
.08532 .43477 L
F
1 .176 0 r
.08688 .4329 m
.09007 .43477 L
.09171 .43952 L
.09173 .4396 L
.09274 .44443 L
.09351 .44927 L
.09413 .4541 L
.09465 .45893 L
.09507 .46376 L
.09543 .46859 L
.09572 .47342 L
.09595 .47826 L
.09614 .48309 L
.09627 .48792 L
.09636 .49275 L
.0964 .49758 L
.0964 .50242 L
.09636 .50725 L
.09627 .51208 L
.09614 .51691 L
.09595 .52174 L
.09572 .52658 L
.09543 .53141 L
.09507 .53624 L
.09465 .54107 L
.09413 .5459 L
.09351 .55073 L
.09274 .55557 L
.09173 .5604 L
.09171 .56048 L
.09007 .56523 L
.08688 .5671 L
.08573 .56523 L
.08414 .5604 L
.08309 .55557 L
.0823 .55073 L
.08204 .54891 L
.08158 .5459 L
.08095 .54107 L
.08046 .53624 L
.08006 .53141 L
.07975 .52658 L
.0795 .52174 L
.07932 .51691 L
.07918 .51208 L
.0791 .50725 L
.07905 .50242 L
.07905 .49758 L
.0791 .49275 L
.07918 .48792 L
.07932 .48309 L
.0795 .47826 L
.07975 .47342 L
.08006 .46859 L
.08046 .46376 L
.08095 .45893 L
.08158 .4541 L
.08204 .45109 L
.0823 .44927 L
.08309 .44443 L
.08414 .4396 L
.08573 .43477 L
F
1 .172 0 r
.08688 .43387 m
.08951 .43477 L
.09144 .4396 L
.09171 .44059 L
.09252 .44443 L
.09332 .44927 L
.09397 .4541 L
.09449 .45893 L
.09493 .46376 L
.09529 .46859 L
.09559 .47342 L
.09582 .47826 L
.09601 .48309 L
.09615 .48792 L
.09624 .49275 L
.09628 .49758 L
.09628 .50242 L
.09624 .50725 L
.09615 .51208 L
.09601 .51691 L
.09582 .52174 L
.09559 .52658 L
.09529 .53141 L
.09493 .53624 L
.09449 .54107 L
.09397 .5459 L
.09332 .55073 L
.09252 .55557 L
.09171 .55941 L
.09144 .5604 L
.08951 .56523 L
.08688 .56613 L
.08624 .56523 L
.08442 .5604 L
.08332 .55557 L
.08249 .55073 L
.08204 .54757 L
.08179 .5459 L
.08114 .54107 L
.08062 .53624 L
.08021 .53141 L
.07989 .52658 L
.07963 .52174 L
.07944 .51691 L
.07931 .51208 L
.07922 .50725 L
.07917 .50242 L
.07917 .49758 L
.07922 .49275 L
.07931 .48792 L
.07944 .48309 L
.07963 .47826 L
.07989 .47342 L
.08021 .46859 L
.08062 .46376 L
.08114 .45893 L
.08179 .4541 L
.08204 .45243 L
.08249 .44927 L
.08332 .44443 L
.08442 .4396 L
.08624 .43477 L
F
1 .167 0 r
.08688 .43485 m
.09113 .4396 L
.09171 .44169 L
.0923 .44443 L
.09313 .44927 L
.0938 .4541 L
.09434 .45893 L
.09478 .46376 L
.09515 .46859 L
.09545 .47342 L
.09569 .47826 L
.09588 .48309 L
.09602 .48792 L
.09611 .49275 L
.09616 .49758 L
.09616 .50242 L
.09611 .50725 L
.09602 .51208 L
.09588 .51691 L
.09569 .52174 L
.09545 .52658 L
.09515 .53141 L
.09478 .53624 L
.09434 .54107 L
.0938 .5459 L
.09313 .55073 L
.0923 .55557 L
.09171 .55831 L
.09113 .5604 L
.08688 .56515 L
.08472 .5604 L
.08354 .55557 L
.08268 .55073 L
.08204 .5462 L
.082 .5459 L
.08133 .54107 L
.08079 .53624 L
.08037 .53141 L
.08003 .52658 L
.07977 .52174 L
.07957 .51691 L
.07943 .51208 L
.07934 .50725 L
.07929 .50242 L
.07929 .49758 L
.07934 .49275 L
.07943 .48792 L
.07957 .48309 L
.07977 .47826 L
.08003 .47342 L
.08037 .46859 L
.08079 .46376 L
.08133 .45893 L
.082 .4541 L
.08204 .4538 L
.08268 .44927 L
.08354 .44443 L
.08472 .4396 L
F
1 .163 0 r
.08688 .43584 m
.09079 .4396 L
.09171 .44279 L
.09207 .44443 L
.09294 .44927 L
.09362 .4541 L
.09418 .45893 L
.09463 .46376 L
.09501 .46859 L
.09531 .47342 L
.09556 .47826 L
.09575 .48309 L
.0959 .48792 L
.09599 .49275 L
.09603 .49758 L
.09603 .50242 L
.09599 .50725 L
.0959 .51208 L
.09575 .51691 L
.09556 .52174 L
.09531 .52658 L
.09501 .53141 L
.09463 .53624 L
.09418 .54107 L
.09362 .5459 L
.09294 .55073 L
.09207 .55557 L
.09171 .55721 L
.09079 .5604 L
.08688 .56416 L
.08505 .5604 L
.08379 .55557 L
.08289 .55073 L
.08218 .5459 L
.08204 .54479 L
.08152 .54107 L
.08097 .53624 L
.08053 .53141 L
.08018 .52658 L
.07991 .52174 L
.07971 .51691 L
.07956 .51208 L
.07947 .50725 L
.07942 .50242 L
.07942 .49758 L
.07947 .49275 L
.07956 .48792 L
.07971 .48309 L
.07991 .47826 L
.08018 .47342 L
.08053 .46859 L
.08097 .46376 L
.08152 .45893 L
.08204 .45521 L
.08218 .4541 L
.08289 .44927 L
.08379 .44443 L
.08505 .4396 L
F
1 .159 0 r
.08688 .43684 m
.0904 .4396 L
.09171 .44391 L
.09182 .44443 L
.09274 .44927 L
.09344 .4541 L
.09401 .45893 L
.09448 .46376 L
.09486 .46859 L
.09518 .47342 L
.09543 .47826 L
.09562 .48309 L
.09577 .48792 L
.09586 .49275 L
.09591 .49758 L
.09591 .50242 L
.09586 .50725 L
.09577 .51208 L
.09562 .51691 L
.09543 .52174 L
.09518 .52658 L
.09486 .53141 L
.09448 .53624 L
.09401 .54107 L
.09344 .5459 L
.09274 .55073 L
.09182 .55557 L
.09171 .55609 L
.0904 .5604 L
.08688 .56316 L
.08542 .5604 L
.08404 .55557 L
.08309 .55073 L
.08237 .5459 L
.08204 .54335 L
.08173 .54107 L
.08115 .53624 L
.0807 .53141 L
.08034 .52658 L
.08006 .52174 L
.07985 .51691 L
.07969 .51208 L
.0796 .50725 L
.07955 .50242 L
.07955 .49758 L
.0796 .49275 L
.07969 .48792 L
.07985 .48309 L
.08006 .47826 L
.08034 .47342 L
.0807 .46859 L
.08115 .46376 L
.08173 .45893 L
.08204 .45665 L
.08237 .4541 L
.08309 .44927 L
.08404 .44443 L
.08542 .4396 L
F
1 .154 0 r
.08688 .43784 m
.08994 .4396 L
.09156 .44443 L
.09171 .44505 L
.09253 .44927 L
.09326 .4541 L
.09385 .45893 L
.09433 .46376 L
.09472 .46859 L
.09504 .47342 L
.09529 .47826 L
.09549 .48309 L
.09564 .48792 L
.09573 .49275 L
.09578 .49758 L
.09578 .50242 L
.09573 .50725 L
.09564 .51208 L
.09549 .51691 L
.09529 .52174 L
.09504 .52658 L
.09472 .53141 L
.09433 .53624 L
.09385 .54107 L
.09326 .5459 L
.09253 .55073 L
.09171 .55495 L
.09156 .55557 L
.08994 .5604 L
.08688 .56216 L
.08585 .5604 L
.08431 .55557 L
.08331 .55073 L
.08255 .5459 L
.08204 .54187 L
.08193 .54107 L
.08134 .53624 L
.08087 .53141 L
.0805 .52658 L
.08021 .52174 L
.07999 .51691 L
.07983 .51208 L
.07973 .50725 L
.07968 .50242 L
.07968 .49758 L
.07973 .49275 L
.07983 .48792 L
.07999 .48309 L
.08021 .47826 L
.0805 .47342 L
.08087 .46859 L
.08134 .46376 L
.08193 .45893 L
.08204 .45813 L
.08255 .4541 L
.08331 .44927 L
.08431 .44443 L
.08585 .4396 L
F
1 .15 0 r
.08688 .43886 m
.08936 .4396 L
.09126 .44443 L
.09171 .44621 L
.09231 .44927 L
.09307 .4541 L
.09368 .45893 L
.09417 .46376 L
.09457 .46859 L
.0949 .47342 L
.09516 .47826 L
.09536 .48309 L
.09551 .48792 L
.0956 .49275 L
.09565 .49758 L
.09565 .50242 L
.0956 .50725 L
.09551 .51208 L
.09536 .51691 L
.09516 .52174 L
.0949 .52658 L
.09457 .53141 L
.09417 .53624 L
.09368 .54107 L
.09307 .5459 L
.09231 .55073 L
.09171 .55379 L
.09126 .55557 L
.08936 .5604 L
.08688 .56114 L
.08637 .5604 L
.08459 .55557 L
.08353 .55073 L
.08275 .5459 L
.08213 .54107 L
.08204 .54034 L
.08153 .53624 L
.08105 .53141 L
.08066 .52658 L
.08036 .52174 L
.08013 .51691 L
.07997 .51208 L
.07987 .50725 L
.07982 .50242 L
.07982 .49758 L
.07987 .49275 L
.07997 .48792 L
.08013 .48309 L
.08036 .47826 L
.08066 .47342 L
.08105 .46859 L
.08153 .46376 L
.08204 .45966 L
.08213 .45893 L
.08275 .4541 L
.08353 .44927 L
.08459 .44443 L
.08637 .4396 L
F
1 .145 0 r
.08688 .4399 m
.09094 .44443 L
.09171 .44738 L
.09209 .44927 L
.09288 .4541 L
.09351 .45893 L
.09401 .46376 L
.09442 .46859 L
.09475 .47342 L
.09502 .47826 L
.09522 .48309 L
.09537 .48792 L
.09547 .49275 L
.09552 .49758 L
.09552 .50242 L
.09547 .50725 L
.09537 .51208 L
.09522 .51691 L
.09502 .52174 L
.09475 .52658 L
.09442 .53141 L
.09401 .53624 L
.09351 .54107 L
.09288 .5459 L
.09209 .55073 L
.09171 .55262 L
.09094 .55557 L
.08688 .5601 L
.08491 .55557 L
.08377 .55073 L
.08295 .5459 L
.0823 .54107 L
.08204 .53876 L
.08173 .53624 L
.08123 .53141 L
.08083 .52658 L
.08052 .52174 L
.08029 .51691 L
.08012 .51208 L
.08001 .50725 L
.07996 .50242 L
.07996 .49758 L
.08001 .49275 L
.08012 .48792 L
.08029 .48309 L
.08052 .47826 L
.08083 .47342 L
.08123 .46859 L
.08173 .46376 L
.08204 .46124 L
.0823 .45893 L
.08295 .4541 L
.08377 .44927 L
.08491 .44443 L
F
1 .141 0 r
.08688 .44094 m
.09058 .44443 L
.09171 .44858 L
.09185 .44927 L
.09268 .4541 L
.09333 .45893 L
.09385 .46376 L
.09427 .46859 L
.09461 .47342 L
.09488 .47826 L
.09509 .48309 L
.09524 .48792 L
.09534 .49275 L
.09539 .49758 L
.09539 .50242 L
.09534 .50725 L
.09524 .51208 L
.09509 .51691 L
.09488 .52174 L
.09461 .52658 L
.09427 .53141 L
.09385 .53624 L
.09333 .54107 L
.09268 .5459 L
.09185 .55073 L
.09171 .55142 L
.09058 .55557 L
.08688 .55906 L
.08525 .55557 L
.08401 .55073 L
.08315 .5459 L
.08249 .54107 L
.08204 .53712 L
.08194 .53624 L
.08141 .53141 L
.081 .52658 L
.08068 .52174 L
.08044 .51691 L
.08027 .51208 L
.08015 .50725 L
.0801 .50242 L
.0801 .49758 L
.08015 .49275 L
.08027 .48792 L
.08044 .48309 L
.08068 .47826 L
.081 .47342 L
.08141 .46859 L
.08194 .46376 L
.08204 .46288 L
.08249 .45893 L
.08315 .4541 L
.08401 .44927 L
.08525 .44443 L
F
1 .136 0 r
.08688 .442 m
.09017 .44443 L
.09159 .44927 L
.09171 .4498 L
.09247 .4541 L
.09315 .45893 L
.09368 .46376 L
.09411 .46859 L
.09446 .47342 L
.09473 .47826 L
.09495 .48309 L
.09511 .48792 L
.09521 .49275 L
.09526 .49758 L
.09526 .50242 L
.09521 .50725 L
.09511 .51208 L
.09495 .51691 L
.09473 .52174 L
.09446 .52658 L
.09411 .53141 L
.09368 .53624 L
.09315 .54107 L
.09247 .5459 L
.09171 .5502 L
.09159 .55073 L
.09017 .55557 L
.08688 .558 L
.08563 .55557 L
.08428 .55073 L
.08336 .5459 L
.08267 .54107 L
.08213 .53624 L
.08204 .53541 L
.08161 .53141 L
.08118 .52658 L
.08085 .52174 L
.0806 .51691 L
.08042 .51208 L
.0803 .50725 L
.08025 .50242 L
.08025 .49758 L
.0803 .49275 L
.08042 .48792 L
.0806 .48309 L
.08085 .47826 L
.08118 .47342 L
.08161 .46859 L
.08204 .46459 L
.08213 .46376 L
.08267 .45893 L
.08336 .4541 L
.08428 .44927 L
.08563 .44443 L
F
1 .132 0 r
.08688 .44307 m
.08968 .44443 L
.0913 .44927 L
.09171 .45104 L
.09226 .4541 L
.09296 .45893 L
.09351 .46376 L
.09395 .46859 L
.09431 .47342 L
.09459 .47826 L
.09481 .48309 L
.09497 .48792 L
.09507 .49275 L
.09512 .49758 L
.09512 .50242 L
.09507 .50725 L
.09497 .51208 L
.09481 .51691 L
.09459 .52174 L
.09431 .52658 L
.09395 .53141 L
.09351 .53624 L
.09296 .54107 L
.09226 .5459 L
.09171 .54896 L
.0913 .55073 L
.08968 .55557 L
.08688 .55693 L
.08609 .55557 L
.08455 .55073 L
.08359 .5459 L
.08287 .54107 L
.0823 .53624 L
.08204 .53363 L
.0818 .53141 L
.08136 .52658 L
.08102 .52174 L
.08076 .51691 L
.08058 .51208 L
.08046 .50725 L
.0804 .50242 L
.0804 .49758 L
.08046 .49275 L
.08058 .48792 L
.08076 .48309 L
.08102 .47826 L
.08136 .47342 L
.0818 .46859 L
.08204 .46637 L
.0823 .46376 L
.08287 .45893 L
.08359 .4541 L
.08455 .44927 L
.08609 .44443 L
F
1 .127 0 r
.08688 .44416 m
.089 .44443 L
.09099 .44927 L
.09171 .45231 L
.09204 .4541 L
.09276 .45893 L
.09333 .46376 L
.09379 .46859 L
.09415 .47342 L
.09444 .47826 L
.09467 .48309 L
.09483 .48792 L
.09493 .49275 L
.09499 .49758 L
.09499 .50242 L
.09493 .50725 L
.09483 .51208 L
.09467 .51691 L
.09444 .52174 L
.09415 .52658 L
.09379 .53141 L
.09333 .53624 L
.09276 .54107 L
.09204 .5459 L
.09171 .54769 L
.09099 .55073 L
.089 .55557 L
.08688 .55584 L
.08668 .55557 L
.08485 .55073 L
.08382 .5459 L
.08307 .54107 L
.08248 .53624 L
.08204 .53175 L
.08201 .53141 L
.08155 .52658 L
.0812 .52174 L
.08093 .51691 L
.08074 .51208 L
.08062 .50725 L
.08055 .50242 L
.08055 .49758 L
.08062 .49275 L
.08074 .48792 L
.08093 .48309 L
.0812 .47826 L
.08155 .47342 L
.08201 .46859 L
.08204 .46825 L
.08248 .46376 L
.08307 .45893 L
.08382 .4541 L
.08485 .44927 L
.08668 .44443 L
F
1 .123 0 r
.08688 .44526 m
.09065 .44927 L
.09171 .45361 L
.0918 .4541 L
.09256 .45893 L
.09315 .46376 L
.09362 .46859 L
.094 .47342 L
.09429 .47826 L
.09452 .48309 L
.09469 .48792 L
.0948 .49275 L
.09485 .49758 L
.09485 .50242 L
.0948 .50725 L
.09469 .51208 L
.09452 .51691 L
.09429 .52174 L
.094 .52658 L
.09362 .53141 L
.09315 .53624 L
.09256 .54107 L
.0918 .5459 L
.09171 .54639 L
.09065 .55073 L
.08688 .55474 L
.08518 .55073 L
.08406 .5459 L
.08327 .54107 L
.08266 .53624 L
.08218 .53141 L
.08204 .52978 L
.08175 .52658 L
.08138 .52174 L
.0811 .51691 L
.08091 .51208 L
.08078 .50725 L
.08071 .50242 L
.08071 .49758 L
.08078 .49275 L
.08091 .48792 L
.0811 .48309 L
.08138 .47826 L
.08175 .47342 L
.08204 .47022 L
.08218 .46859 L
.08266 .46376 L
.08327 .45893 L
.08406 .4541 L
.08518 .44927 L
F
1 .118 0 r
.08688 .44638 m
.09026 .44927 L
.09154 .4541 L
.09171 .45493 L
.09236 .45893 L
.09297 .46376 L
.09345 .46859 L
.09384 .47342 L
.09414 .47826 L
.09437 .48309 L
.09454 .48792 L
.09465 .49275 L
.09471 .49758 L
.09471 .50242 L
.09465 .50725 L
.09454 .51208 L
.09437 .51691 L
.09414 .52174 L
.09384 .52658 L
.09345 .53141 L
.09297 .53624 L
.09236 .54107 L
.09171 .54507 L
.09154 .5459 L
.09026 .55073 L
.08688 .55362 L
.08555 .55073 L
.08432 .5459 L
.08349 .54107 L
.08285 .53624 L
.08236 .53141 L
.08204 .52766 L
.08195 .52658 L
.08157 .52174 L
.08128 .51691 L
.08108 .51208 L
.08094 .50725 L
.08088 .50242 L
.08088 .49758 L
.08094 .49275 L
.08108 .48792 L
.08128 .48309 L
.08157 .47826 L
.08195 .47342 L
.08204 .47234 L
.08236 .46859 L
.08285 .46376 L
.08349 .45893 L
.08432 .4541 L
.08555 .44927 L
F
1 .114 0 r
.08688 .44751 m
.0898 .44927 L
.09126 .4541 L
.09171 .45629 L
.09214 .45893 L
.09278 .46376 L
.09328 .46859 L
.09368 .47342 L
.09399 .47826 L
.09422 .48309 L
.0944 .48792 L
.09451 .49275 L
.09457 .49758 L
.09457 .50242 L
.09451 .50725 L
.0944 .51208 L
.09422 .51691 L
.09399 .52174 L
.09368 .52658 L
.09328 .53141 L
.09278 .53624 L
.09214 .54107 L
.09171 .54371 L
.09126 .5459 L
.0898 .55073 L
.08688 .55249 L
.08598 .55073 L
.0846 .5459 L
.08371 .54107 L
.08305 .53624 L
.08254 .53141 L
.08213 .52658 L
.08204 .52539 L
.08176 .52174 L
.08146 .51691 L
.08125 .51208 L
.08112 .50725 L
.08105 .50242 L
.08105 .49758 L
.08112 .49275 L
.08125 .48792 L
.08146 .48309 L
.08176 .47826 L
.08204 .47461 L
.08213 .47342 L
.08254 .46859 L
.08305 .46376 L
.08371 .45893 L
.0846 .4541 L
.08598 .44927 L
F
1 .109 0 r
.08688 .44867 m
.0892 .44927 L
.09095 .4541 L
.09171 .45769 L
.09191 .45893 L
.09258 .46376 L
.0931 .46859 L
.09351 .47342 L
.09383 .47826 L
.09407 .48309 L
.09425 .48792 L
.09437 .49275 L
.09442 .49758 L
.09442 .50242 L
.09437 .50725 L
.09425 .51208 L
.09407 .51691 L
.09383 .52174 L
.09351 .52658 L
.0931 .53141 L
.09258 .53624 L
.09191 .54107 L
.09171 .54231 L
.09095 .5459 L
.0892 .55073 L
.08688 .55133 L
.08652 .55073 L
.0849 .5459 L
.08395 .54107 L
.08325 .53624 L
.08272 .53141 L
.0823 .52658 L
.08204 .5229 L
.08196 .52174 L
.08165 .51691 L
.08143 .51208 L
.08129 .50725 L
.08122 .50242 L
.08122 .49758 L
.08129 .49275 L
.08143 .48792 L
.08165 .48309 L
.08196 .47826 L
.08204 .4771 L
.0823 .47342 L
.08272 .46859 L
.08325 .46376 L
.08395 .45893 L
.0849 .4541 L
.08652 .44927 L
F
1 .105 0 r
.08688 .44985 m
.09061 .4541 L
.09167 .45893 L
.09171 .45912 L
.09238 .46376 L
.09292 .46859 L
.09334 .47342 L
.09367 .47826 L
.09392 .48309 L
.0941 .48792 L
.09422 .49275 L
.09428 .49758 L
.09428 .50242 L
.09422 .50725 L
.0941 .51208 L
.09392 .51691 L
.09367 .52174 L
.09334 .52658 L
.09292 .53141 L
.09238 .53624 L
.09171 .54088 L
.09167 .54107 L
.09061 .5459 L
.08688 .55015 L
.08523 .5459 L
.08419 .54107 L
.08346 .53624 L
.08291 .53141 L
.08248 .52658 L
.08214 .52174 L
.08204 .52014 L
.08185 .51691 L
.08162 .51208 L
.08147 .50725 L
.0814 .50242 L
.0814 .49758 L
.08147 .49275 L
.08162 .48792 L
.08185 .48309 L
.08204 .47986 L
.08214 .47826 L
.08248 .47342 L
.08291 .46859 L
.08346 .46376 L
.08419 .45893 L
.08523 .4541 L
F
1 .101 0 r
.08688 .45105 m
.09022 .4541 L
.09141 .45893 L
.09171 .4606 L
.09217 .46376 L
.09273 .46859 L
.09316 .47342 L
.0935 .47826 L
.09376 .48309 L
.09395 .48792 L
.09407 .49275 L
.09413 .49758 L
.09413 .50242 L
.09407 .50725 L
.09395 .51208 L
.09376 .51691 L
.0935 .52174 L
.09316 .52658 L
.09273 .53141 L
.09217 .53624 L
.09171 .5394 L
.09141 .54107 L
.09022 .5459 L
.08688 .54895 L
.08559 .5459 L
.08446 .54107 L
.08368 .53624 L
.0831 .53141 L
.08265 .52658 L
.08231 .52174 L
.08205 .51691 L
.08204 .51691 L
.08181 .51208 L
.08166 .50725 L
.08159 .50242 L
.08159 .49758 L
.08166 .49275 L
.08181 .48792 L
.08204 .48309 L
.08205 .48309 L
.08231 .47826 L
.08265 .47342 L
.0831 .46859 L
.08368 .46376 L
.08446 .45893 L
.08559 .4541 L
F
1 .096 0 r
.08688 .45227 m
.08976 .4541 L
.09112 .45893 L
.09171 .46213 L
.09195 .46376 L
.09253 .46859 L
.09298 .47342 L
.09333 .47826 L
.0936 .48309 L
.09379 .48792 L
.09391 .49275 L
.09397 .49758 L
.09397 .50242 L
.09391 .50725 L
.09379 .51208 L
.0936 .51691 L
.09333 .52174 L
.09298 .52658 L
.09253 .53141 L
.09195 .53624 L
.09171 .53787 L
.09112 .54107 L
.08976 .5459 L
.08688 .54773 L
.08602 .5459 L
.08474 .54107 L
.08391 .53624 L
.0833 .53141 L
.08284 .52658 L
.08248 .52174 L
.08221 .51691 L
.08204 .51298 L
.08201 .51208 L
.08185 .50725 L
.08178 .50242 L
.08178 .49758 L
.08185 .49275 L
.08201 .48792 L
.08204 .48702 L
.08221 .48309 L
.08248 .47826 L
.08284 .47342 L
.0833 .46859 L
.08391 .46376 L
.08474 .45893 L
.08602 .4541 L
F
1 .092 0 r
.08688 .45352 m
.08915 .4541 L
.0908 .45893 L
.09171 .46372 L
.09171 .46376 L
.09233 .46859 L
.0928 .47342 L
.09316 .47826 L
.09343 .48309 L
.09363 .48792 L
.09376 .49275 L
.09382 .49758 L
.09382 .50242 L
.09376 .50725 L
.09363 .51208 L
.09343 .51691 L
.09316 .52174 L
.0928 .52658 L
.09233 .53141 L
.09171 .53624 L
.09171 .53628 L
.0908 .54107 L
.08915 .5459 L
.08688 .54648 L
.08656 .5459 L
.08504 .54107 L
.08415 .53624 L
.08351 .53141 L
.08303 .52658 L
.08266 .52174 L
.08238 .51691 L
.08218 .51208 L
.08205 .50725 L
.08204 .50706 L
.08197 .50242 L
.08197 .49758 L
.08204 .49294 L
.08205 .49275 L
.08218 .48792 L
.08238 .48309 L
.08266 .47826 L
.08303 .47342 L
.08351 .46859 L
.08415 .46376 L
.08504 .45893 L
.08656 .4541 L
F
1 .087 0 r
.08688 .4548 m
.09045 .45893 L
.09145 .46376 L
.09171 .46537 L
.09212 .46859 L
.09261 .47342 L
.09298 .47826 L
.09326 .48309 L
.09346 .48792 L
.0936 .49275 L
.09366 .49758 L
.09366 .50242 L
.0936 .50725 L
.09346 .51208 L
.09326 .51691 L
.09298 .52174 L
.09261 .52658 L
.09212 .53141 L
.09171 .53463 L
.09145 .53624 L
.09045 .54107 L
.08688 .5452 L
.08538 .54107 L
.08441 .53624 L
.08373 .53141 L
.08323 .52658 L
.08284 .52174 L
.08255 .51691 L
.08235 .51208 L
.08221 .50725 L
.08215 .50242 L
.08215 .49758 L
.08221 .49275 L
.08235 .48792 L
.08255 .48309 L
.08284 .47826 L
.08323 .47342 L
.08373 .46859 L
.08441 .46376 L
.08538 .45893 L
F
1 .083 0 r
.08688 .45611 m
.09004 .45893 L
.09117 .46376 L
.09171 .4671 L
.0919 .46859 L
.09241 .47342 L
.0928 .47826 L
.09309 .48309 L
.0933 .48792 L
.09343 .49275 L
.0935 .49758 L
.0935 .50242 L
.09343 .50725 L
.0933 .51208 L
.09309 .51691 L
.0928 .52174 L
.09241 .52658 L
.0919 .53141 L
.09171 .5329 L
.09117 .53624 L
.09004 .54107 L
.08688 .54389 L
.08576 .54107 L
.08468 .53624 L
.08396 .53141 L
.08343 .52658 L
.08303 .52174 L
.08273 .51691 L
.08252 .51208 L
.08238 .50725 L
.08231 .50242 L
.08231 .49758 L
.08238 .49275 L
.08252 .48792 L
.08273 .48309 L
.08303 .47826 L
.08343 .47342 L
.08396 .46859 L
.08468 .46376 L
.08576 .45893 L
F
1 .078 0 r
.08688 .45745 m
.08954 .45893 L
.09087 .46376 L
.09166 .46859 L
.09171 .46891 L
.09221 .47342 L
.09261 .47826 L
.09291 .48309 L
.09313 .48792 L
.09326 .49275 L
.09333 .49758 L
.09333 .50242 L
.09326 .50725 L
.09313 .51208 L
.09291 .51691 L
.09261 .52174 L
.09221 .52658 L
.09171 .53109 L
.09166 .53141 L
.09087 .53624 L
.08954 .54107 L
.08688 .54255 L
.08622 .54107 L
.08498 .53624 L
.0842 .53141 L
.08364 .52658 L
.08322 .52174 L
.08291 .51691 L
.08269 .51208 L
.08255 .50725 L
.08248 .50242 L
.08248 .49758 L
.08255 .49275 L
.08269 .48792 L
.08291 .48309 L
.08322 .47826 L
.08364 .47342 L
.0842 .46859 L
.08498 .46376 L
.08622 .45893 L
F
1 .074 0 r
.08688 .45883 m
.08883 .45893 L
.09053 .46376 L
.0914 .46859 L
.09171 .47082 L
.09199 .47342 L
.09241 .47826 L
.09273 .48309 L
.09295 .48792 L
.09309 .49275 L
.09316 .49758 L
.09316 .50242 L
.09309 .50725 L
.09295 .51208 L
.09273 .51691 L
.09241 .52174 L
.09199 .52658 L
.09171 .52918 L
.0914 .53141 L
.09053 .53624 L
.08883 .54107 L
.08688 .54117 L
.08682 .54107 L
.0853 .53624 L
.08446 .53141 L
.08386 .52658 L
.08343 .52174 L
.0831 .51691 L
.08288 .51208 L
.08273 .50725 L
.08266 .50242 L
.08266 .49758 L
.08273 .49275 L
.08288 .48792 L
.0831 .48309 L
.08343 .47826 L
.08386 .47342 L
.08446 .46859 L
.0853 .46376 L
.08682 .45893 L
F
1 .069 0 r
.08688 .46025 m
.09014 .46376 L
.09112 .46859 L
.09171 .47287 L
.09177 .47342 L
.09221 .47826 L
.09254 .48309 L
.09277 .48792 L
.09292 .49275 L
.09299 .49758 L
.09299 .50242 L
.09292 .50725 L
.09277 .51208 L
.09254 .51691 L
.09221 .52174 L
.09177 .52658 L
.09171 .52713 L
.09112 .53141 L
.09014 .53624 L
.08688 .53975 L
.08567 .53624 L
.08473 .53141 L
.0841 .52658 L
.08364 .52174 L
.0833 .51691 L
.08306 .51208 L
.08291 .50725 L
.08283 .50242 L
.08283 .49758 L
.08291 .49275 L
.08306 .48792 L
.0833 .48309 L
.08364 .47826 L
.0841 .47342 L
.08473 .46859 L
.08567 .46376 L
F
1 .065 0 r
.08688 .46171 m
.08968 .46376 L
.09082 .46859 L
.09152 .47342 L
.09171 .47505 L
.092 .47826 L
.09234 .48309 L
.09258 .48792 L
.09273 .49275 L
.09281 .49758 L
.09281 .50242 L
.09273 .50725 L
.09258 .51208 L
.09234 .51691 L
.092 .52174 L
.09171 .52495 L
.09152 .52658 L
.09082 .53141 L
.08968 .53624 L
.08688 .53829 L
.08609 .53624 L
.08503 .53141 L
.08434 .52658 L
.08386 .52174 L
.0835 .51691 L
.08326 .51208 L
.0831 .50725 L
.08302 .50242 L
.08302 .49758 L
.0831 .49275 L
.08326 .48792 L
.0835 .48309 L
.08386 .47826 L
.08434 .47342 L
.08503 .46859 L
.08609 .46376 L
F
1 .06 0 r
.08688 .46323 m
.08906 .46376 L
.09048 .46859 L
.09125 .47342 L
.09171 .47746 L
.09178 .47826 L
.09214 .48309 L
.09239 .48792 L
.09255 .49275 L
.09262 .49758 L
.09262 .50242 L
.09255 .50725 L
.09239 .51208 L
.09214 .51691 L
.09178 .52174 L
.09171 .52254 L
.09125 .52658 L
.09048 .53141 L
.08906 .53624 L
.08688 .53677 L
.08664 .53624 L
.08535 .53141 L
.0846 .52658 L
.08409 .52174 L
.08371 .51691 L
.08346 .51208 L
.08329 .50725 L
.08321 .50242 L
.08321 .49758 L
.08329 .49275 L
.08346 .48792 L
.08371 .48309 L
.08409 .47826 L
.0846 .47342 L
.08535 .46859 L
.08664 .46376 L
F
1 .056 0 r
.08688 .4648 m
.09009 .46859 L
.09096 .47342 L
.09154 .47826 L
.09171 .48011 L
.09192 .48309 L
.09219 .48792 L
.09235 .49275 L
.09243 .49758 L
.09243 .50242 L
.09235 .50725 L
.09219 .51208 L
.09192 .51691 L
.09171 .51989 L
.09154 .52174 L
.09096 .52658 L
.09009 .53141 L
.08688 .5352 L
.08572 .53141 L
.08489 .52658 L
.08433 .52174 L
.08394 .51691 L
.08366 .51208 L
.08349 .50725 L
.08341 .50242 L
.08341 .49758 L
.08349 .49275 L
.08366 .48792 L
.08394 .48309 L
.08433 .47826 L
.08489 .47342 L
.08572 .46859 L
F
1 .052 0 r
.08688 .46644 m
.08962 .46859 L
.09064 .47342 L
.09127 .47826 L
.0917 .48309 L
.09171 .4832 L
.09198 .48792 L
.09215 .49275 L
.09224 .49758 L
.09224 .50242 L
.09215 .50725 L
.09198 .51208 L
.09171 .5168 L
.0917 .51691 L
.09127 .52174 L
.09064 .52658 L
.08962 .53141 L
.08688 .53356 L
.08615 .53141 L
.08519 .52658 L
.08459 .52174 L
.08417 .51691 L
.08388 .51208 L
.0837 .50725 L
.08361 .50242 L
.08361 .49758 L
.0837 .49275 L
.08388 .48792 L
.08417 .48309 L
.08459 .47826 L
.08519 .47342 L
.08615 .46859 L
F
1 .047 0 r
.08688 .46816 m
.08898 .46859 L
.09028 .47342 L
.09098 .47826 L
.09145 .48309 L
.09171 .48693 L
.09176 .48792 L
.09194 .49275 L
.09203 .49758 L
.09203 .50242 L
.09194 .50725 L
.09176 .51208 L
.09171 .51307 L
.09145 .51691 L
.09098 .52174 L
.09028 .52658 L
.08898 .53141 L
.08688 .53184 L
.0867 .53141 L
.08553 .52658 L
.08486 .52174 L
.08441 .51691 L
.08411 .51208 L
.08392 .50725 L
.08383 .50242 L
.08383 .49758 L
.08392 .49275 L
.08411 .48792 L
.08441 .48309 L
.08486 .47826 L
.08553 .47342 L
.0867 .46859 L
F
1 .043 0 r
.08688 .46996 m
.08987 .47342 L
.09067 .47826 L
.09118 .48309 L
.09151 .48792 L
.09171 .49231 L
.09172 .49275 L
.09181 .49758 L
.09181 .50242 L
.09172 .50725 L
.09171 .50769 L
.09151 .51208 L
.09118 .51691 L
.09067 .52174 L
.08987 .52658 L
.08688 .53004 L
.08592 .52658 L
.08516 .52174 L
.08468 .51691 L
.08435 .51208 L
.08415 .50725 L
.08405 .50242 L
.08405 .49758 L
.08415 .49275 L
.08435 .48792 L
.08468 .48309 L
.08516 .47826 L
.08592 .47342 L
F
1 .038 0 r
.08688 .47187 m
.08934 .47342 L
.09032 .47826 L
.09089 .48309 L
.09125 .48792 L
.09147 .49275 L
.09158 .49758 L
.09158 .50242 L
.09147 .50725 L
.09125 .51208 L
.09089 .51691 L
.09032 .52174 L
.08934 .52658 L
.08688 .52813 L
.0864 .52658 L
.0855 .52174 L
.08496 .51691 L
.08461 .51208 L
.08439 .50725 L
.08429 .50242 L
.08429 .49758 L
.08439 .49275 L
.08461 .48792 L
.08496 .48309 L
.0855 .47826 L
.0864 .47342 L
F
1 .034 0 r
.08688 .47391 m
.08991 .47826 L
.09057 .48309 L
.09097 .48792 L
.09121 .49275 L
.09132 .49758 L
.09132 .50242 L
.09121 .50725 L
.09097 .51208 L
.09057 .51691 L
.08991 .52174 L
.08688 .52609 L
.08588 .52174 L
.08526 .51691 L
.08488 .51208 L
.08465 .50725 L
.08454 .50242 L
.08454 .49758 L
.08465 .49275 L
.08488 .48792 L
.08526 .48309 L
.08588 .47826 L
F
1 .029 0 r
.08688 .4761 m
.08941 .47826 L
.0902 .48309 L
.09066 .48792 L
.09092 .49275 L
.09105 .49758 L
.09105 .50242 L
.09092 .50725 L
.09066 .51208 L
.0902 .51691 L
.08941 .52174 L
.08688 .5239 L
.08633 .52174 L
.08561 .51691 L
.08518 .51208 L
.08492 .50725 L
.0848 .50242 L
.0848 .49758 L
.08492 .49275 L
.08518 .48792 L
.08561 .48309 L
.08633 .47826 L
F
1 .025 0 r
.08688 .47853 m
.08978 .48309 L
.09031 .48792 L
.09061 .49275 L
.09075 .49758 L
.09075 .50242 L
.09061 .50725 L
.09031 .51208 L
.08978 .51691 L
.08688 .52147 L
.086 .51691 L
.08551 .51208 L
.08522 .50725 L
.08509 .50242 L
.08509 .49758 L
.08522 .49275 L
.08551 .48792 L
.086 .48309 L
F
1 .02 0 r
.08688 .48122 m
.08923 .48309 L
.08991 .48792 L
.09025 .49275 L
.09041 .49758 L
.09041 .50242 L
.09025 .50725 L
.08991 .51208 L
.08923 .51691 L
.08688 .51878 L
.08649 .51691 L
.08588 .51208 L
.08556 .50725 L
.08541 .50242 L
.08541 .49758 L
.08556 .49275 L
.08588 .48792 L
.08649 .48309 L
F
1 .016 0 r
.08688 .48435 m
.08941 .48792 L
.08984 .49275 L
.09003 .49758 L
.09003 .50242 L
.08984 .50725 L
.08941 .51208 L
.08688 .51565 L
.08634 .51208 L
.08594 .50725 L
.08577 .50242 L
.08577 .49758 L
.08594 .49275 L
.08634 .48792 L
F
1 .011 0 r
.08688 .48827 m
.08933 .49275 L
.08957 .49758 L
.08957 .50242 L
.08933 .50725 L
.08688 .51173 L
.08641 .50725 L
.08619 .50242 L
.08619 .49758 L
.08641 .49275 L
F
1 .007 0 r
.08688 .49476 m
.08893 .49758 L
.08893 .50242 L
.08688 .50524 L
.08674 .50242 L
.08674 .49758 L
F
1 .996 .888 r
.19801 .3474 m
.20284 .34545 L
.20767 .34414 L
.2125 .34346 L
.21734 .3434 L
.22217 .34394 L
.227 .34507 L
.23183 .34677 L
.23389 .3478 L
.23666 .34904 L
.2415 .35196 L
.24254 .35263 L
.24633 .35556 L
.24857 .35746 L
.25116 .36003 L
.25324 .36229 L
.25599 .36579 L
.25693 .36712 L
.25984 .37196 L
.26082 .37386 L
.2621 .37679 L
.26327 .38162 L
.26485 .38645 L
.26545 .39128 L
.26452 .39612 L
.26082 .39719 L
.25812 .39612 L
.25599 .39499 L
.25116 .39189 L
.25024 .39128 L
.24633 .38892 L
.24206 .38645 L
.2415 .38618 L
.23666 .38389 L
.23183 .38204 L
.23046 .38162 L
.227 .38075 L
.22217 .37997 L
.21734 .37973 L
.2125 .38005 L
.20767 .38094 L
.20525 .38162 L
.20284 .38241 L
.19801 .38447 L
.19461 .38645 L
.19318 .38706 L
.18835 .39014 L
.18665 .39128 L
.18351 .39346 L
.1793 .39612 L
.17868 .39641 L
.17385 .39679 L
.17302 .39612 L
.17164 .39128 L
.17175 .38645 L
.17185 .38162 L
.17296 .37679 L
.17385 .37384 L
.17461 .37196 L
.17692 .36712 L
.17868 .36416 L
.17999 .36229 L
.18351 .35805 L
.18407 .35746 L
.18835 .35354 L
.1899 .35263 L
.19318 .35007 L
.1976 .3478 L
F
.20284 .26936 m
.20767 .26861 L
.2125 .26852 L
.21734 .26909 L
.22217 .27029 L
.22278 .27049 L
.227 .27219 L
.23183 .27478 L
.23227 .27532 L
.23666 .2782 L
.2383 .28015 L
.2415 .28262 L
.24365 .28498 L
.24633 .28851 L
.24722 .28981 L
.24976 .29465 L
.25116 .29692 L
.25223 .29948 L
.25354 .30431 L
.25484 .30914 L
.25526 .31397 L
.25116 .31864 L
.24633 .31687 L
.2415 .31427 L
.24096 .31397 L
.23666 .31185 L
.23183 .30959 L
.23059 .30914 L
.227 .30786 L
.22217 .30655 L
.21734 .30577 L
.2125 .30555 L
.20767 .3059 L
.20284 .30683 L
.19801 .30831 L
.19629 .30914 L
.19318 .31032 L
.18835 .31281 L
.18618 .31397 L
.18351 .31551 L
.17868 .31787 L
.17385 .31787 L
.17205 .31397 L
.17186 .30914 L
.1725 .30431 L
.17311 .29948 L
.17385 .29687 L
.1749 .29465 L
.1769 .28981 L
.17868 .28675 L
.18022 .28498 L
.18351 .28057 L
.184 .28015 L
.18835 .27623 L
.18975 .27532 L
.19318 .27308 L
.19801 .27081 L
.19886 .27049 L
F
.20284 .41963 m
.20767 .41781 L
.2125 .41661 L
.21734 .416 L
.22217 .41597 L
.227 .41651 L
.23183 .41762 L
.23666 .41926 L
.23873 .42027 L
.2415 .42143 L
.24633 .4242 L
.2478 .42511 L
.25116 .42754 L
.25418 .42994 L
.25599 .43158 L
.2592 .43477 L
.26082 .4366 L
.26317 .4396 L
.26566 .4433 L
.2663 .44443 L
.26871 .44927 L
.27049 .45405 L
.2705 .4541 L
.27173 .45893 L
.27188 .46376 L
.2723 .46859 L
.27049 .47012 L
.26566 .46952 L
.26385 .46859 L
.26082 .46673 L
.25645 .46376 L
.25599 .46347 L
.25116 .46041 L
.24869 .45893 L
.24633 .4577 L
.2415 .45538 L
.23795 .4541 L
.23666 .45357 L
.23183 .45225 L
.227 .45144 L
.22217 .45117 L
.21734 .45145 L
.2125 .45229 L
.20767 .45369 L
.20683 .4541 L
.20284 .45564 L
.19801 .45818 L
.19671 .45893 L
.19318 .4612 L
.18953 .46376 L
.18835 .46462 L
.18351 .46806 L
.18272 .46859 L
.17868 .47032 L
.17497 .46859 L
.17385 .4646 L
.1738 .46376 L
.17368 .45893 L
.17385 .457 L
.17441 .4541 L
.17546 .44927 L
.17727 .44443 L
.17868 .44143 L
.17977 .4396 L
.18315 .43477 L
.18351 .43431 L
.18758 .42994 L
.18835 .42922 L
.19318 .42524 L
.19342 .42511 L
.19801 .42208 L
.20195 .42027 L
F
.855 .995 1 r
.20284 .30791 m
.20767 .30683 L
.2125 .30643 L
.21734 .30667 L
.22217 .30755 L
.227 .30904 L
.22724 .30914 L
.23183 .31123 L
.23643 .31397 L
.23666 .31411 L
.2415 .31792 L
.24251 .31881 L
.24633 .32287 L
.24697 .32364 L
.25021 .32847 L
.25116 .3297 L
.25307 .3333 L
.25492 .33813 L
.25599 .34033 L
.2563 .34296 L
.25711 .3478 L
.25695 .35263 L
.25599 .35415 L
.25116 .35484 L
.24633 .35264 L
.24631 .35263 L
.2415 .35026 L
.23666 .34789 L
.23642 .3478 L
.23183 .34598 L
.227 .34443 L
.22217 .34339 L
.21842 .34296 L
.21734 .3429 L
.2125 .34295 L
.21234 .34296 L
.20767 .34357 L
.20284 .34475 L
.19801 .34648 L
.19555 .3478 L
.19318 .34866 L
.18835 .35123 L
.18569 .35263 L
.18351 .35375 L
.17868 .35518 L
.17507 .35263 L
.17412 .3478 L
.17433 .34296 L
.17535 .33813 L
.17652 .3333 L
.17858 .32847 L
.17868 .32827 L
.1814 .32364 L
.18351 .32081 L
.18578 .31881 L
.18835 .31586 L
.19116 .31397 L
.19318 .31229 L
.19801 .30968 L
.19929 .30914 L
F
.20767 .38133 m
.2125 .38039 L
.21734 .38005 L
.22217 .38029 L
.227 .38111 L
.22903 .38162 L
.23183 .38251 L
.23666 .38451 L
.24023 .38645 L
.2415 .38708 L
.24633 .39035 L
.24758 .39128 L
.25116 .39443 L
.25289 .39612 L
.25599 .39967 L
.25698 .40095 L
.26016 .40578 L
.26082 .40694 L
.26258 .41061 L
.26406 .41544 L
.26559 .42027 L
.26566 .42058 L
.26596 .42511 L
.26566 .42852 L
.26506 .42994 L
.26082 .43104 L
.25806 .42994 L
.25599 .42892 L
.25116 .42606 L
.24957 .42511 L
.24633 .42335 L
.2415 .42087 L
.2399 .42027 L
.23666 .41888 L
.23183 .41732 L
.227 .41626 L
.22217 .41574 L
.21734 .41577 L
.2125 .41635 L
.20767 .41749 L
.20284 .41919 L
.20095 .42027 L
.19801 .42142 L
.19318 .42414 L
.19157 .42511 L
.18835 .42716 L
.18363 .42994 L
.18351 .42999 L
.17868 .43116 L
.1766 .42994 L
.17513 .42511 L
.17511 .42027 L
.17599 .41544 L
.17673 .41061 L
.17855 .40578 L
.17868 .40547 L
.18111 .40095 L
.18351 .39745 L
.18459 .39612 L
.18835 .39216 L
.18969 .39128 L
.19318 .38821 L
.19652 .38645 L
.19801 .3852 L
.20284 .38292 L
.20666 .38162 L
F
1 .996 .888 r
.20767 .19314 m
.2082 .19318 L
.2125 .19391 L
.21734 .19563 L
.22166 .19801 L
.22217 .19835 L
.227 .20234 L
.22745 .20284 L
.23155 .20767 L
.23183 .20803 L
.23447 .2125 L
.23666 .2169 L
.2368 .21734 L
.23823 .22217 L
.23879 .227 L
.23666 .23133 L
.23183 .23178 L
.227 .23077 L
.22217 .22945 L
.21734 .22837 L
.2125 .22769 L
.20767 .22749 L
.20284 .22779 L
.19801 .22856 L
.19318 .22972 L
.18835 .23103 L
.18397 .23183 L
.18351 .23188 L
.18182 .23183 L
.17868 .23013 L
.17744 .227 L
.17739 .22217 L
.17826 .21734 L
.17868 .2153 L
.17989 .2125 L
.18236 .20767 L
.18351 .20565 L
.18577 .20284 L
.18835 .20009 L
.19095 .19801 L
.19318 .19656 L
.19801 .19437 L
.20284 .19327 L
.20381 .19318 L
F
.855 .995 1 r
.20767 .2315 m
.2125 .23178 L
.21288 .23183 L
.21734 .23289 L
.22217 .23486 L
.22533 .23666 L
.227 .23778 L
.23138 .2415 L
.23183 .24192 L
.23553 .24633 L
.23666 .24776 L
.23855 .25116 L
.24109 .25599 L
.2415 .25693 L
.24265 .26082 L
.24355 .26566 L
.24306 .27049 L
.2415 .27231 L
.23666 .27223 L
.23183 .27081 L
.23088 .27049 L
.227 .26941 L
.22217 .26811 L
.21734 .26718 L
.2125 .26672 L
.20767 .26678 L
.20284 .26734 L
.19801 .26838 L
.19318 .26978 L
.19079 .27049 L
.18835 .2713 L
.18351 .27241 L
.17887 .27049 L
.17868 .2702 L
.17753 .26566 L
.17782 .26082 L
.17868 .25625 L
.17876 .25599 L
.18066 .25116 L
.18316 .24633 L
.18351 .24558 L
.18682 .2415 L
.18835 .23973 L
.19215 .23666 L
.19318 .23593 L
.19801 .23347 L
.20284 .23203 L
.20398 .23183 L
F
1 .996 .888 r
.2125 .48782 m
.21734 .48672 L
.22217 .48619 L
.227 .48621 L
.23183 .48678 L
.23666 .48787 L
.23683 .48792 L
.2415 .48949 L
.24633 .49166 L
.24848 .49275 L
.25116 .49434 L
.25598 .49758 L
.25599 .49759 L
.26082 .50154 L
.26179 .50242 L
.26566 .5064 L
.26637 .50725 L
.26995 .51208 L
.27049 .5129 L
.27263 .51691 L
.27464 .52174 L
.27532 .52291 L
.27597 .52658 L
.27614 .53141 L
.27607 .53624 L
.27532 .53814 L
.27049 .53825 L
.26665 .53624 L
.26566 .53564 L
.26082 .53252 L
.2591 .53141 L
.25599 .52954 L
.25116 .52683 L
.2505 .52658 L
.24633 .52458 L
.2415 .52275 L
.23797 .52174 L
.23666 .52143 L
.23183 .5206 L
.227 .52028 L
.22217 .5205 L
.21734 .52125 L
.21529 .52174 L
.2125 .52254 L
.20767 .52439 L
.20335 .52658 L
.20284 .52679 L
.19801 .52967 L
.1954 .53141 L
.19318 .53294 L
.18841 .53624 L
.18835 .53628 L
.18351 .53861 L
.17899 .53624 L
.17868 .5354 L
.17828 .53141 L
.17792 .52658 L
.17865 .52174 L
.17868 .52158 L
.18003 .51691 L
.18214 .51208 L
.18351 .50954 L
.18509 .50725 L
.18835 .50316 L
.18905 .50242 L
.19318 .49847 L
.19425 .49758 L
.19801 .49476 L
.20117 .49275 L
.20284 .49182 L
.20767 .4895 L
.21221 .48792 L
F
.855 .995 1 r
.20767 .45398 m
.2125 .45252 L
.21734 .45165 L
.22217 .45136 L
.227 .45164 L
.23183 .45247 L
.23666 .45384 L
.23725 .4541 L
.2415 .45577 L
.24633 .45826 L
.24751 .45893 L
.25116 .46135 L
.25438 .46376 L
.25599 .46514 L
.2596 .46859 L
.26082 .46994 L
.26361 .47342 L
.26566 .47646 L
.26668 .47826 L
.26899 .48309 L
.27049 .48741 L
.27061 .48792 L
.27111 .49275 L
.27149 .49758 L
.27049 .50087 L
.26566 .50168 L
.26082 .49927 L
.25801 .49758 L
.25599 .49643 L
.25116 .49365 L
.24951 .49275 L
.24633 .49123 L
.2415 .4892 L
.23753 .48792 L
.23666 .48765 L
.23183 .48659 L
.227 .48604 L
.22217 .48602 L
.21734 .48653 L
.2125 .4876 L
.2115 .48792 L
.20767 .48919 L
.20284 .49135 L
.20013 .49275 L
.19801 .49397 L
.19318 .49699 L
.19225 .49758 L
.18835 .5 L
.18351 .50199 L
.17868 .49811 L
.17861 .49758 L
.17841 .49275 L
.17842 .48792 L
.17868 .48638 L
.17944 .48309 L
.18114 .47826 L
.18351 .47354 L
.18359 .47342 L
.18702 .46859 L
.18835 .46703 L
.19162 .46376 L
.19318 .46241 L
.19789 .45893 L
.19801 .45885 L
.20284 .45607 L
.20746 .4541 L
F
1 .992 .773 r
.20284 .34614 m
.20767 .3447 L
.2125 .34397 L
.21734 .3439 L
.22217 .34447 L
.227 .34569 L
.23183 .34754 L
.23226 .3478 L
.23666 .35014 L
.24011 .35263 L
.2415 .35357 L
.24554 .35746 L
.24633 .35816 L
.24927 .36229 L
.25116 .36457 L
.25263 .36712 L
.25465 .37196 L
.25599 .37483 L
.25624 .37679 L
.25707 .38162 L
.25688 .38645 L
.25599 .38808 L
.25116 .38919 L
.24633 .38736 L
.24435 .38645 L
.2415 .38528 L
.23666 .38326 L
.23191 .38162 L
.23183 .38158 L
.227 .38038 L
.22217 .37964 L
.21734 .37941 L
.2125 .37971 L
.20767 .38055 L
.20373 .38162 L
.20284 .38189 L
.19801 .38373 L
.19318 .3859 L
.19195 .38645 L
.18835 .38807 L
.18351 .38934 L
.17937 .38645 L
.17868 .38405 L
.17848 .38162 L
.17867 .37679 L
.17868 .37654 L
.17976 .37196 L
.18177 .36712 L
.18351 .36243 L
.18362 .36229 L
.18694 .35746 L
.18835 .35585 L
.19232 .35263 L
.19318 .35146 L
.19801 .34832 L
.19907 .3478 L
F
.745 .99 1 r
.2125 .38072 m
.21734 .38036 L
.22217 .38062 L
.227 .38147 L
.22761 .38162 L
.23183 .38296 L
.23666 .38512 L
.23876 .38645 L
.2415 .38797 L
.24571 .39128 L
.24633 .39173 L
.25046 .39612 L
.25116 .39678 L
.25364 .40095 L
.25599 .40412 L
.2568 .40578 L
.25836 .41061 L
.25986 .41544 L
.26031 .42027 L
.25839 .42511 L
.25599 .42573 L
.2529 .42511 L
.25116 .42456 L
.24633 .42246 L
.2415 .4203 L
.24141 .42027 L
.23666 .41849 L
.23183 .41701 L
.227 .41601 L
.22217 .41551 L
.21734 .41553 L
.2125 .41608 L
.20767 .41717 L
.20284 .41876 L
.19947 .42027 L
.19801 .42076 L
.19318 .42304 L
.18835 .42507 L
.18823 .42511 L
.18351 .42543 L
.1828 .42511 L
.18027 .42027 L
.18011 .41544 L
.18092 .41061 L
.1819 .40578 L
.18351 .40173 L
.18405 .40095 L
.18688 .39612 L
.18835 .39421 L
.19182 .39128 L
.19318 .38937 L
.19759 .38645 L
.19801 .38592 L
.20284 .38343 L
.20767 .38172 L
.20794 .38162 L
F
.20284 .30895 m
.20767 .30774 L
.2125 .30728 L
.21734 .30754 L
.22217 .30851 L
.2243 .30914 L
.227 .31021 L
.23183 .31276 L
.23348 .31397 L
.23666 .31629 L
.2391 .31881 L
.2415 .32117 L
.24303 .32364 L
.24633 .32836 L
.24636 .32847 L
.24834 .3333 L
.25 .33813 L
.2507 .34296 L
.24947 .3478 L
.24633 .3493 L
.2415 .34832 L
.23996 .3478 L
.23666 .34677 L
.23183 .34514 L
.227 .34378 L
.22305 .34296 L
.22217 .34285 L
.21734 .34241 L
.2125 .34246 L
.20783 .34296 L
.20767 .34299 L
.20284 .34404 L
.19801 .34552 L
.19318 .34723 L
.19146 .3478 L
.18835 .34877 L
.18351 .34887 L
.18093 .3478 L
.18014 .34296 L
.18023 .33813 L
.18124 .3333 L
.18289 .32847 L
.18351 .32632 L
.18518 .32364 L
.18835 .31888 L
.18842 .31881 L
.19318 .3142 L
.19349 .31397 L
.19801 .31104 L
.20229 .30914 L
F
1 .992 .773 r
.20284 .42006 m
.20767 .41813 L
.2125 .41687 L
.21734 .41623 L
.22217 .4162 L
.227 .41676 L
.23183 .41791 L
.23666 .41964 L
.23781 .42027 L
.2415 .42199 L
.24633 .42502 L
.24645 .42511 L
.25116 .42895 L
.25222 .42994 L
.25599 .43414 L
.25648 .43477 L
.25932 .4396 L
.26082 .44166 L
.26205 .44443 L
.26335 .44927 L
.26458 .4541 L
.26471 .45893 L
.26082 .46318 L
.25599 .46177 L
.25116 .45943 L
.25018 .45893 L
.24633 .45712 L
.2415 .455 L
.2388 .4541 L
.23666 .4533 L
.23183 .45203 L
.227 .45125 L
.22217 .45098 L
.21734 .45125 L
.2125 .45206 L
.20767 .45339 L
.20606 .4541 L
.20284 .45522 L
.19801 .4575 L
.1952 .45893 L
.19318 .46 L
.18835 .46226 L
.18351 .46268 L
.18075 .45893 L
.18025 .4541 L
.18079 .44927 L
.1815 .44443 L
.18328 .4396 L
.18351 .43906 L
.18586 .43477 L
.18835 .43129 L
.18951 .42994 L
.19318 .42633 L
.19511 .42511 L
.19801 .42273 L
.2026 .42027 L
F
.20767 .2703 m
.2125 .27018 L
.21542 .27049 L
.21734 .27084 L
.22217 .27235 L
.227 .27473 L
.2279 .27532 L
.23183 .27818 L
.23382 .28015 L
.23666 .28307 L
.23793 .28498 L
.24117 .28981 L
.2415 .29028 L
.24324 .29465 L
.24481 .29948 L
.24536 .30431 L
.24298 .30914 L
.2415 .30964 L
.23675 .30914 L
.23666 .30913 L
.23183 .30793 L
.227 .30658 L
.22217 .30549 L
.21734 .30483 L
.2125 .30463 L
.20767 .30493 L
.20284 .3057 L
.19801 .30688 L
.19318 .30828 L
.18973 .30914 L
.18835 .30945 L
.18359 .30914 L
.18351 .30913 L
.18061 .30431 L
.18055 .29948 L
.18148 .29465 L
.18307 .28981 L
.18351 .28843 L
.18553 .28498 L
.18835 .2808 L
.18896 .28015 L
.19318 .27616 L
.19436 .27532 L
.19801 .27314 L
.20284 .27125 L
.20626 .27049 L
F
1 .987 .673 r
.20284 .34681 m
.20767 .34526 L
.2125 .34447 L
.21734 .34439 L
.22217 .345 L
.227 .3463 L
.23075 .3478 L
.23183 .34831 L
.23666 .3512 L
.23829 .35263 L
.2415 .35515 L
.24333 .35746 L
.24633 .36072 L
.24701 .36229 L
.24997 .36712 L
.25116 .3692 L
.25182 .37196 L
.25304 .37679 L
.25327 .38162 L
.25116 .38535 L
.24633 .3858 L
.2415 .38432 L
.23666 .3826 L
.233 .38162 L
.23183 .38113 L
.227 .38001 L
.22217 .37931 L
.21734 .37909 L
.2125 .37937 L
.20767 .38015 L
.20284 .38138 L
.20201 .38162 L
.19801 .38299 L
.19318 .38473 L
.18835 .38592 L
.18351 .38461 L
.1824 .38162 L
.18202 .37679 L
.18266 .37196 L
.18351 .36779 L
.18377 .36712 L
.18618 .36229 L
.18835 .35819 L
.18899 .35746 L
.19318 .35284 L
.19344 .35263 L
.19801 .34924 L
.20072 .3478 L
F
.648 .986 1 r
.2125 .38105 m
.21734 .38067 L
.22217 .38094 L
.22669 .38162 L
.227 .38183 L
.23183 .38341 L
.23666 .38571 L
.23767 .38645 L
.2415 .38884 L
.24412 .39128 L
.24633 .3931 L
.24852 .39612 L
.25116 .39915 L
.25177 .40095 L
.25444 .40578 L
.25599 .40922 L
.25617 .41061 L
.25695 .41544 L
.25653 .42027 L
.25599 .42125 L
.25116 .42296 L
.24633 .42153 L
.24302 .42027 L
.2415 .41976 L
.23666 .41809 L
.23183 .41671 L
.227 .41575 L
.22445 .41544 L
.22217 .41528 L
.21734 .4153 L
.21546 .41544 L
.2125 .41582 L
.20767 .41684 L
.20284 .41832 L
.19801 .4201 L
.19753 .42027 L
.19318 .42192 L
.18835 .42295 L
.18352 .42027 L
.18351 .41916 L
.18293 .41544 L
.18319 .41061 L
.18351 .40796 L
.18414 .40578 L
.18627 .40095 L
.18835 .39637 L
.18856 .39612 L
.19289 .39128 L
.19318 .39054 L
.19801 .38664 L
.19833 .38645 L
.20284 .38394 L
.20767 .38212 L
.20913 .38162 L
F
.745 .99 1 r
.2125 .45275 m
.21734 .45184 L
.22217 .45154 L
.227 .45183 L
.23183 .45269 L
.23663 .4541 L
.23666 .45411 L
.2415 .45615 L
.24633 .45881 L
.24652 .45893 L
.25116 .46227 L
.25294 .46376 L
.25599 .46678 L
.25757 .46859 L
.26082 .47315 L
.26099 .47342 L
.26291 .47826 L
.26517 .48309 L
.26566 .48469 L
.26603 .48792 L
.26614 .49275 L
.26566 .49457 L
.26082 .49689 L
.25599 .49521 L
.25116 .49295 L
.25076 .49275 L
.24633 .4908 L
.2415 .4889 L
.23829 .48792 L
.23666 .48743 L
.23183 .48641 L
.227 .48587 L
.22217 .48585 L
.21734 .48635 L
.2125 .48737 L
.21074 .48792 L
.20767 .48888 L
.20284 .49088 L
.19887 .49275 L
.19801 .49319 L
.19318 .49551 L
.18835 .49689 L
.18351 .49311 L
.18344 .49275 L
.18303 .48792 L
.18318 .48309 L
.18351 .48134 L
.18451 .47826 L
.18621 .47342 L
.18835 .46955 L
.18926 .46859 L
.19307 .46376 L
.19318 .46365 L
.19801 .45953 L
.19905 .45893 L
.20284 .4565 L
.20767 .45428 L
.20816 .4541 L
F
.855 .995 1 r
.21734 .52146 m
.22217 .52067 L
.227 .52045 L
.23183 .52077 L
.23666 .52162 L
.23715 .52174 L
.2415 .523 L
.24633 .52494 L
.24929 .52658 L
.25116 .52739 L
.25599 .53047 L
.25731 .53141 L
.26082 .53426 L
.26297 .53624 L
.26566 .5391 L
.26723 .54107 L
.27043 .5459 L
.27049 .54598 L
.27274 .55073 L
.27404 .55557 L
.27507 .5604 L
.27523 .56523 L
.27049 .56866 L
.26566 .56688 L
.26254 .56523 L
.26082 .56431 L
.25599 .56167 L
.25353 .5604 L
.25116 .55931 L
.24633 .5573 L
.2415 .55575 L
.24081 .55557 L
.23666 .55468 L
.23183 .55409 L
.227 .554 L
.22217 .55444 L
.21734 .55541 L
.2168 .55557 L
.2125 .55688 L
.20767 .5589 L
.20462 .5604 L
.20284 .56135 L
.19801 .56416 L
.19621 .56523 L
.19318 .56691 L
.18835 .56855 L
.18393 .56523 L
.18351 .5638 L
.18329 .5604 L
.18324 .55557 L
.18351 .55377 L
.18418 .55073 L
.1859 .5459 L
.18835 .54123 L
.18847 .54107 L
.19215 .53624 L
.19318 .5351 L
.19719 .53141 L
.19801 .53075 L
.20284 .52737 L
.20456 .52658 L
.20767 .52477 L
.2125 .5228 L
.21612 .52174 L
F
1 .987 .673 r
.20767 .41845 m
.2125 .41713 L
.21734 .41647 L
.22217 .41643 L
.227 .41701 L
.23183 .41821 L
.23666 .42002 L
.23708 .42027 L
.2415 .42253 L
.24518 .42511 L
.24633 .42585 L
.25072 .42994 L
.25116 .43032 L
.25441 .43477 L
.25599 .43666 L
.25698 .4396 L
.25947 .44443 L
.26082 .44856 L
.26091 .44927 L
.2613 .4541 L
.26082 .45706 L
.25961 .45893 L
.25599 .45979 L
.25259 .45893 L
.25116 .45848 L
.24633 .45654 L
.2415 .45461 L
.23983 .4541 L
.23666 .45302 L
.23183 .45181 L
.227 .45105 L
.22217 .4508 L
.21734 .45106 L
.2125 .45183 L
.20767 .4531 L
.20507 .4541 L
.20284 .4548 L
.19801 .45683 L
.19318 .4588 L
.19281 .45893 L
.18835 .4598 L
.18575 .45893 L
.18351 .45468 L
.18342 .4541 L
.18332 .44927 L
.18351 .44652 L
.18397 .44443 L
.18576 .4396 L
.18762 .43477 L
.18835 .43353 L
.19093 .42994 L
.19318 .42745 L
.19635 .42511 L
.19801 .42339 L
.20284 .42049 L
.20331 .42027 L
F
.648 .986 1 r
.20767 .30862 m
.2125 .30811 L
.21734 .30839 L
.22112 .30914 L
.22217 .30944 L
.227 .31136 L
.23146 .31397 L
.23183 .31423 L
.23666 .31838 L
.23699 .31881 L
.24091 .32364 L
.2415 .32439 L
.24357 .32847 L
.24565 .3333 L
.24633 .33566 L
.24672 .33813 L
.24646 .34296 L
.24633 .34331 L
.2415 .34646 L
.23666 .34553 L
.23183 .34425 L
.227 .3431 L
.22637 .34296 L
.22217 .34232 L
.21734 .34192 L
.2125 .34195 L
.20767 .34243 L
.20448 .34296 L
.20284 .34331 L
.19801 .34453 L
.19318 .34575 L
.18835 .34617 L
.18427 .34296 L
.18351 .33951 L
.18345 .33813 L
.18351 .3362 L
.18393 .3333 L
.18537 .32847 L
.1876 .32364 L
.18835 .32203 L
.19085 .31881 L
.19318 .3161 L
.19579 .31397 L
.19801 .31239 L
.20284 .30999 L
.20504 .30914 L
F
1 .996 .888 r
.22217 .55465 m
.227 .55419 L
.23183 .55427 L
.23666 .55488 L
.2399 .55557 L
.2415 .556 L
.24633 .55764 L
.25116 .55981 L
.25233 .5604 L
.25599 .5625 L
.26009 .56523 L
.26082 .56577 L
.26566 .5698 L
.26594 .57006 L
.27044 .57489 L
.27049 .57495 L
.27381 .57973 L
.27532 .58238 L
.27626 .58456 L
.27795 .58939 L
.27861 .59422 L
.27878 .59905 L
.27532 .60337 L
.27049 .60193 L
.26566 .59926 L
.26531 .59905 L
.26082 .59647 L
.25668 .59422 L
.25599 .59389 L
.25116 .59165 L
.24633 .58984 L
.24479 .58939 L
.2415 .58851 L
.23666 .58764 L
.23183 .58726 L
.227 .5874 L
.22217 .58807 L
.21734 .58927 L
.21703 .58939 L
.2125 .59094 L
.20767 .59319 L
.2057 .59422 L
.20284 .59584 L
.19801 .59886 L
.1977 .59905 L
.19318 .60171 L
.18835 .6032 L
.18416 .59905 L
.18353 .59422 L
.18394 .58939 L
.18491 .58456 L
.18677 .57973 L
.18835 .5766 L
.18953 .57489 L
.19318 .5703 L
.19342 .57006 L
.19801 .56574 L
.19866 .56523 L
.20284 .56218 L
.2058 .5604 L
.20767 .5594 L
.2125 .55721 L
.21734 .55565 L
.21764 .55557 L
F
1 .992 .773 r
.21734 .48691 m
.22217 .48635 L
.227 .48638 L
.23183 .48696 L
.23611 .48792 L
.23666 .48809 L
.2415 .48979 L
.24633 .49209 L
.24757 .49275 L
.25116 .49502 L
.25462 .49758 L
.25599 .49876 L
.25969 .50242 L
.26082 .50373 L
.26342 .50725 L
.26566 .51107 L
.26613 .51208 L
.26747 .51691 L
.26901 .52174 L
.26938 .52658 L
.26698 .53141 L
.26566 .53172 L
.26285 .53141 L
.26082 .53077 L
.25599 .52858 L
.25183 .52658 L
.25116 .52628 L
.24633 .52421 L
.2415 .52249 L
.23881 .52174 L
.23666 .52123 L
.23183 .52043 L
.227 .52012 L
.22217 .52033 L
.21734 .52105 L
.21444 .52174 L
.2125 .52228 L
.20767 .52402 L
.20284 .5262 L
.20206 .52658 L
.19801 .52862 L
.19318 .53088 L
.19165 .53141 L
.18835 .53162 L
.18757 .53141 L
.1845 .52658 L
.18416 .52174 L
.18488 .51691 L
.18593 .51208 L
.18805 .50725 L
.18835 .50669 L
.19117 .50242 L
.19318 .50001 L
.19563 .49758 L
.19801 .49557 L
.20207 .49275 L
.20284 .4923 L
.20767 .48982 L
.2125 .48805 L
.21292 .48792 L
F
1 .983 .586 r
.20284 .34749 m
.20767 .34581 L
.2125 .34496 L
.21734 .34487 L
.22217 .34551 L
.227 .34689 L
.22923 .3478 L
.23183 .34907 L
.23666 .35224 L
.23704 .35263 L
.2415 .35672 L
.24195 .35746 L
.24561 .36229 L
.24633 .36327 L
.24798 .36712 L
.24984 .37196 L
.25071 .37679 L
.25038 .38162 L
.24633 .38399 L
.2415 .38328 L
.23666 .38192 L
.23519 .38162 L
.23183 .38067 L
.227 .37963 L
.22217 .37897 L
.21734 .37876 L
.2125 .37902 L
.20767 .37975 L
.20284 .38087 L
.20001 .38162 L
.19801 .38222 L
.19318 .3835 L
.18835 .38359 L
.18552 .38162 L
.18436 .37679 L
.1846 .37196 L
.18582 .36712 L
.18778 .36229 L
.18835 .36073 L
.1907 .35746 L
.19318 .35422 L
.19498 .35263 L
.19801 .35016 L
.20219 .3478 L
F
1 .987 .673 r
.20284 .2731 m
.20767 .27195 L
.2125 .27178 L
.21734 .27256 L
.22217 .2743 L
.22416 .27532 L
.227 .27714 L
.23054 .28015 L
.23183 .28141 L
.23462 .28498 L
.23666 .28798 L
.2375 .28981 L
.23942 .29465 L
.24033 .29948 L
.23941 .30431 L
.23666 .30604 L
.23183 .30596 L
.227 .30515 L
.22217 .30436 L
.22197 .30431 L
.21734 .30389 L
.2125 .30374 L
.20767 .30395 L
.20396 .30431 L
.20284 .3045 L
.19801 .30532 L
.19318 .30602 L
.18835 .30546 L
.18671 .30431 L
.18501 .29948 L
.1853 .29465 L
.18665 .28981 L
.18835 .28564 L
.18884 .28498 L
.19239 .28015 L
.19318 .27925 L
.19801 .2754 L
.19814 .27532 L
F
.565 .982 1 r
.2125 .38138 m
.21734 .38098 L
.22217 .38125 L
.2255 .38162 L
.227 .3822 L
.23183 .38386 L
.23666 .3863 L
.23685 .38645 L
.2415 .38971 L
.24293 .39128 L
.24633 .39447 L
.24724 .39612 L
.25071 .40095 L
.25116 .40154 L
.2527 .40578 L
.25426 .41061 L
.25476 .41544 L
.25265 .42027 L
.25116 .42092 L
.24633 .42053 L
.24537 .42027 L
.2415 .4192 L
.23666 .41769 L
.23183 .4164 L
.227 .41549 L
.22663 .41544 L
.22217 .41505 L
.21734 .41507 L
.2133 .41544 L
.2125 .41556 L
.20767 .41652 L
.20284 .41788 L
.19801 .41944 L
.19513 .42027 L
.19318 .42076 L
.18835 .42051 L
.18736 .42027 L
.18517 .41544 L
.18504 .41061 L
.18596 .40578 L
.18766 .40095 L
.18835 .39865 L
.19006 .39612 L
.19318 .39171 L
.19363 .39128 L
.19801 .38736 L
.19943 .38645 L
.20284 .38445 L
.20767 .38251 L
.21081 .38162 L
F
1 .983 .586 r
.20767 .41877 m
.2125 .41739 L
.21734 .4167 L
.22217 .41666 L
.227 .41726 L
.23183 .4185 L
.2364 .42027 L
.23666 .42039 L
.2415 .42307 L
.2441 .42511 L
.24633 .42668 L
.24935 .42994 L
.25116 .4317 L
.25287 .43477 L
.25599 .4395 L
.25601 .4396 L
.25757 .44443 L
.25876 .44927 L
.25872 .4541 L
.25599 .45813 L
.25116 .4575 L
.24633 .45593 L
.2415 .45421 L
.24109 .4541 L
.23666 .45275 L
.23183 .45159 L
.227 .45086 L
.22217 .45061 L
.21734 .45086 L
.2125 .4516 L
.20767 .4528 L
.20381 .4541 L
.20284 .45437 L
.19801 .45615 L
.19318 .45761 L
.18835 .45726 L
.18607 .4541 L
.1854 .44927 L
.18594 .44443 L
.18735 .4396 L
.18835 .43584 L
.1891 .43477 L
.19209 .42994 L
.19318 .42861 L
.19721 .42511 L
.19801 .42406 L
.20284 .42092 L
.20418 .42027 L
F
.648 .986 1 r
.2125 .45298 m
.21734 .45204 L
.22217 .45173 L
.227 .45202 L
.23183 .45291 L
.23586 .4541 L
.23666 .45438 L
.2415 .45652 L
.24556 .45893 L
.24633 .45937 L
.25116 .46319 L
.25179 .46376 L
.25599 .46843 L
.25612 .46859 L
.25888 .47342 L
.26082 .47651 L
.26111 .47826 L
.26258 .48309 L
.2633 .48792 L
.2626 .49275 L
.26082 .49397 L
.25599 .4939 L
.25255 .49275 L
.25116 .49227 L
.24633 .49037 L
.2415 .4886 L
.23913 .48792 L
.23666 .48721 L
.23183 .48622 L
.227 .4857 L
.22217 .48568 L
.21734 .48616 L
.2125 .48714 L
.20988 .48792 L
.20767 .48857 L
.20284 .49041 L
.19801 .4924 L
.1971 .49275 L
.19318 .49401 L
.18835 .49351 L
.18731 .49275 L
.18573 .48792 L
.18577 .48309 L
.18683 .47826 L
.18796 .47342 L
.18835 .47249 L
.19108 .46859 L
.19318 .46488 L
.19446 .46376 L
.19801 .4602 L
.20004 .45893 L
.20284 .45692 L
.20767 .45457 L
.20893 .4541 L
F
.745 .99 1 r
.20284 .23587 m
.20767 .23508 L
.2125 .23542 L
.21685 .23666 L
.21734 .23686 L
.22217 .23954 L
.22462 .2415 L
.227 .24379 L
.229 .24633 L
.23183 .25083 L
.23197 .25116 L
.23378 .25599 L
.23433 .26082 L
.23183 .26498 L
.22958 .26566 L
.227 .26582 L
.22434 .26566 L
.22217 .26552 L
.21734 .26511 L
.2125 .26484 L
.20767 .26485 L
.20284 .26515 L
.19801 .26557 L
.19677 .26566 L
.19318 .26581 L
.19149 .26566 L
.18835 .26448 L
.18615 .26082 L
.18609 .25599 L
.18732 .25116 L
.18835 .24825 L
.18964 .24633 L
.19318 .24173 L
.19342 .2415 L
.19801 .23793 L
.20024 .23666 L
F
.565 .982 1 r
.2125 .30892 m
.21679 .30914 L
.21734 .30921 L
.22217 .31037 L
.227 .31248 L
.22945 .31397 L
.23183 .31568 L
.23512 .31881 L
.23666 .32043 L
.23888 .32364 L
.2415 .32809 L
.24163 .32847 L
.24329 .3333 L
.24399 .33813 L
.24226 .34296 L
.2415 .34346 L
.23666 .34409 L
.23183 .34331 L
.23011 .34296 L
.227 .34246 L
.22217 .34177 L
.21734 .3414 L
.2125 .34143 L
.20767 .34185 L
.20284 .34259 L
.20069 .34296 L
.19801 .34349 L
.19318 .34411 L
.1887 .34296 L
.18835 .34269 L
.18622 .33813 L
.1863 .3333 L
.18743 .32847 L
.18835 .3254 L
.18944 .32364 L
.19265 .31881 L
.19318 .31809 L
.19769 .31397 L
.19801 .31373 L
.20284 .31103 L
.20767 .3095 L
.2098 .30914 L
F
1 .978 .511 r
.20767 .34636 m
.2125 .34545 L
.21734 .34535 L
.22217 .34603 L
.227 .34748 L
.22778 .3478 L
.23183 .34983 L
.23584 .35263 L
.23666 .35327 L
.24076 .35746 L
.2415 .35826 L
.24408 .36229 L
.24633 .36629 L
.24658 .36712 L
.24804 .37196 L
.24854 .37679 L
.24633 .38138 L
.24588 .38162 L
.2415 .38212 L
.23857 .38162 L
.23666 .38128 L
.23183 .3802 L
.227 .37924 L
.22217 .37862 L
.21734 .37843 L
.2125 .37867 L
.20767 .37934 L
.20284 .38035 L
.19801 .38145 L
.19713 .38162 L
.19318 .38218 L
.1898 .38162 L
.18835 .38064 L
.18653 .37679 L
.18641 .37196 L
.18736 .36712 L
.18835 .36322 L
.18905 .36229 L
.19201 .35746 L
.19318 .35567 L
.19628 .35263 L
.19801 .35109 L
.20284 .34815 L
.20359 .3478 L
F
.492 .977 1 r
.21734 .38129 m
.22217 .38157 L
.2228 .38162 L
.227 .38256 L
.23183 .3843 L
.23594 .38645 L
.23666 .38688 L
.2415 .39056 L
.24205 .39128 L
.24633 .39587 L
.24643 .39612 L
.24934 .40095 L
.25116 .4044 L
.25148 .40578 L
.25264 .41061 L
.25273 .41544 L
.25116 .41844 L
.24633 .41966 L
.2415 .41862 L
.23666 .41728 L
.23183 .41609 L
.22848 .41544 L
.227 .41525 L
.22217 .41482 L
.21734 .41484 L
.2125 .41529 L
.21148 .41544 L
.20767 .41619 L
.20284 .41743 L
.19801 .41878 L
.19318 .41961 L
.18835 .41813 L
.18719 .41544 L
.18667 .41061 L
.18732 .40578 L
.18835 .40159 L
.18861 .40095 L
.19126 .39612 L
.19318 .3929 L
.19475 .39128 L
.19801 .38809 L
.20042 .38645 L
.20284 .38496 L
.20767 .3829 L
.2125 .38171 L
.21314 .38162 L
F
1 .978 .511 r
.20767 .41909 m
.2125 .41765 L
.21734 .41693 L
.22217 .41689 L
.227 .41751 L
.23183 .4188 L
.23558 .42027 L
.23666 .42077 L
.2415 .4236 L
.24322 .42511 L
.24633 .4275 L
.24826 .42994 L
.25116 .43312 L
.25185 .43477 L
.25461 .4396 L
.25599 .44214 L
.25631 .44443 L
.25706 .44927 L
.25628 .4541 L
.25599 .45473 L
.25116 .45641 L
.24633 .45531 L
.24245 .4541 L
.2415 .45383 L
.23666 .45246 L
.23183 .45136 L
.227 .45066 L
.22217 .45042 L
.21734 .45066 L
.2125 .45137 L
.20767 .45251 L
.20284 .45395 L
.20234 .4541 L
.19801 .45546 L
.19318 .45635 L
.1885 .4541 L
.18835 .45385 L
.18712 .44927 L
.18736 .44443 L
.18827 .4396 L
.18835 .43906 L
.19039 .43477 L
.19309 .42994 L
.19318 .42982 L
.19779 .42511 L
.19801 .42474 L
.20284 .42135 L
.20499 .42027 L
F
1 .987 .673 r
.21734 .4871 m
.22217 .48652 L
.227 .48654 L
.23183 .48714 L
.23537 .48792 L
.23666 .48831 L
.2415 .49008 L
.24633 .49251 L
.24677 .49275 L
.25116 .4957 L
.25352 .49758 L
.25599 .49993 L
.25821 .50242 L
.26082 .506 L
.26157 .50725 L
.2636 .51208 L
.26548 .51691 L
.26566 .5176 L
.26606 .52174 L
.26566 .52578 L
.26533 .52658 L
.26082 .5289 L
.25599 .5276 L
.25338 .52658 L
.25116 .52573 L
.24633 .52385 L
.2415 .52223 L
.23968 .52174 L
.23666 .52103 L
.23183 .52025 L
.227 .51995 L
.22217 .52015 L
.21734 .52085 L
.21356 .52174 L
.2125 .52203 L
.20767 .52365 L
.20284 .52561 L
.20051 .52658 L
.19801 .52758 L
.19318 .52882 L
.18856 .52658 L
.18835 .5262 L
.1873 .52174 L
.18754 .51691 L
.18812 .51208 L
.18835 .51112 L
.1903 .50725 L
.19265 .50242 L
.19318 .50167 L
.19674 .49758 L
.19801 .4964 L
.20284 .49278 L
.20288 .49275 L
.20767 .49013 L
.2125 .48828 L
.21365 .48792 L
F
.565 .982 1 r
.2125 .45321 m
.21734 .45224 L
.22217 .45191 L
.227 .45221 L
.23183 .45313 L
.23512 .4541 L
.23666 .45466 L
.2415 .4569 L
.24469 .45893 L
.24633 .45993 L
.25076 .46376 L
.25116 .46409 L
.25475 .46859 L
.25599 .47004 L
.25741 .47342 L
.25979 .47826 L
.26082 .48166 L
.26101 .48309 L
.26113 .48792 L
.26082 .48928 L
.25599 .49256 L
.25116 .49158 L
.24633 .48992 L
.2415 .4883 L
.2401 .48792 L
.23666 .48699 L
.23183 .48604 L
.227 .48553 L
.22217 .48551 L
.21734 .48597 L
.2125 .48691 L
.20891 .48792 L
.20767 .48826 L
.20284 .48994 L
.19801 .49162 L
.19318 .4925 L
.18835 .48968 L
.18792 .48792 L
.18753 .48309 L
.18809 .47826 L
.18835 .47645 L
.18949 .47342 L
.19226 .46859 L
.19318 .46619 L
.19559 .46376 L
.19801 .4609 L
.20087 .45893 L
.20284 .45736 L
.20767 .45486 L
.20967 .4541 L
F
1 .974 .445 r
.20767 .3469 m
.2125 .34594 L
.21734 .34583 L
.22217 .34653 L
.22641 .3478 L
.227 .34807 L
.23183 .35058 L
.23464 .35263 L
.23666 .35429 L
.23952 .35746 L
.2415 .35986 L
.24283 .36229 L
.24522 .36712 L
.24633 .37063 L
.24657 .37196 L
.24659 .37679 L
.24633 .37769 L
.2415 .3812 L
.23666 .38064 L
.23183 .3797 L
.227 .37884 L
.22217 .37827 L
.21734 .37809 L
.2125 .37832 L
.20767 .37893 L
.20284 .37981 L
.19801 .3807 L
.19318 .38091 L
.18846 .37679 L
.18835 .37643 L
.1879 .37196 L
.18835 .36814 L
.18859 .36712 L
.19037 .36229 L
.19304 .35746 L
.19318 .35721 L
.19738 .35263 L
.19801 .35203 L
.20284 .34882 L
.20502 .3478 L
F
.745 .99 1 r
.21734 .52166 m
.22217 .52085 L
.227 .52061 L
.23183 .52095 L
.23643 .52174 L
.23666 .52182 L
.2415 .52326 L
.24633 .5253 L
.24833 .52658 L
.25116 .52794 L
.25599 .5314 L
.256 .53141 L
.26082 .53599 L
.26105 .53624 L
.26437 .54107 L
.26566 .54258 L
.26725 .5459 L
.26866 .55073 L
.26974 .55557 L
.26951 .5604 L
.26566 .56387 L
.26082 .56281 L
.25599 .56083 L
.25502 .5604 L
.25116 .55881 L
.24633 .55696 L
.24168 .55557 L
.2415 .5555 L
.23666 .55447 L
.23183 .5539 L
.227 .55382 L
.22217 .55424 L
.21734 .55517 L
.21593 .55557 L
.2125 .55655 L
.20767 .5584 L
.20314 .5604 L
.20284 .56053 L
.19801 .56261 L
.19318 .5637 L
.18864 .5604 L
.18835 .55935 L
.18792 .55557 L
.18798 .55073 L
.18835 .54872 L
.18925 .5459 L
.19103 .54107 L
.19318 .53735 L
.19436 .53624 L
.19801 .53183 L
.19863 .53141 L
.20284 .52796 L
.20554 .52658 L
.20767 .52514 L
.2125 .52305 L
.21697 .52174 L
F
.428 .973 1 r
.21734 .3816 m
.21894 .38162 L
.22217 .38189 L
.227 .38292 L
.23183 .38474 L
.23501 .38645 L
.23666 .38747 L
.24134 .39128 L
.2415 .39142 L
.24544 .39612 L
.24633 .3972 L
.24821 .40095 L
.25031 .40578 L
.25116 .40914 L
.25133 .41061 L
.25116 .41439 L
.25087 .41544 L
.24633 .41868 L
.2415 .41801 L
.23666 .41686 L
.23183 .41577 L
.23013 .41544 L
.227 .415 L
.22217 .41459 L
.21734 .4146 L
.2125 .41504 L
.20983 .41544 L
.20767 .41586 L
.20284 .41698 L
.19801 .41809 L
.19318 .41841 L
.18902 .41544 L
.18835 .41345 L
.188 .41061 L
.18835 .40578 L
.18835 .40578 L
.18979 .40095 L
.1922 .39612 L
.19318 .39418 L
.19571 .39128 L
.19801 .38884 L
.20132 .38645 L
.20284 .38547 L
.20767 .38329 L
.2125 .38204 L
.21664 .38162 L
F
.492 .977 1 r
.20284 .31206 m
.20767 .31037 L
.2125 .30974 L
.21734 .31004 L
.22217 .31129 L
.227 .31359 L
.22762 .31397 L
.23183 .31715 L
.23344 .31881 L
.23666 .32265 L
.23725 .32364 L
.23981 .32847 L
.24137 .3333 L
.2415 .33404 L
.24152 .33813 L
.2415 .33825 L
.23666 .34243 L
.23183 .34246 L
.227 .3418 L
.22217 .3412 L
.21734 .34087 L
.2125 .34089 L
.20767 .34126 L
.20284 .34187 L
.19801 .34247 L
.19318 .34246 L
.18868 .33813 L
.18835 .33669 L
.18823 .3333 L
.18835 .33213 L
.18915 .32847 L
.19116 .32364 L
.19318 .32009 L
.19429 .31881 L
.19801 .31507 L
.19952 .31397 L
F
1 .974 .445 r
.20767 .41941 m
.2125 .41791 L
.21734 .41716 L
.22217 .41712 L
.227 .41776 L
.23183 .41909 L
.2348 .42027 L
.23666 .42115 L
.2415 .42414 L
.2425 .42511 L
.24633 .42833 L
.24742 .42994 L
.25116 .43464 L
.2512 .43477 L
.25342 .4396 L
.2551 .44443 L
.25563 .44927 L
.25371 .4541 L
.25116 .45516 L
.24633 .45466 L
.24412 .4541 L
.2415 .45345 L
.23666 .45218 L
.23183 .45113 L
.227 .45047 L
.22217 .45023 L
.21734 .45046 L
.2125 .45114 L
.20767 .45221 L
.20284 .45353 L
.20066 .4541 L
.19801 .45476 L
.19318 .45502 L
.19107 .4541 L
.18854 .44927 L
.18841 .44443 L
.1894 .4396 L
.19142 .43477 L
.19318 .43098 L
.19406 .42994 L
.19801 .42541 L
.19839 .42511 L
.20284 .42179 L
.20576 .42027 L
F
1 .983 .586 r
.20284 .27494 m
.20767 .27358 L
.2125 .27337 L
.21734 .27423 L
.22061 .27532 L
.22217 .2762 L
.227 .27956 L
.22765 .28015 L
.23183 .28488 L
.2319 .28498 L
.23465 .28981 L
.2363 .29465 L
.23643 .29948 L
.23183 .30346 L
.227 .30378 L
.22217 .30332 L
.21734 .30294 L
.2125 .3028 L
.20767 .30296 L
.20284 .30334 L
.19801 .30373 L
.19318 .30362 L
.1889 .29948 L
.18843 .29465 L
.18946 .28981 L
.19166 .28498 L
.19318 .28249 L
.19526 .28015 L
.19801 .27767 L
.20192 .27532 L
F
.492 .977 1 r
.2125 .45344 m
.21734 .45243 L
.22217 .4521 L
.227 .45241 L
.23183 .45335 L
.23439 .4541 L
.23666 .45493 L
.2415 .45727 L
.24392 .45893 L
.24633 .46049 L
.24979 .46376 L
.25116 .46499 L
.25362 .46859 L
.25599 .47184 L
.25646 .47342 L
.25839 .47826 L
.25948 .48309 L
.25917 .48792 L
.25599 .49134 L
.25116 .49085 L
.24633 .48947 L
.2415 .48799 L
.24121 .48792 L
.23666 .48676 L
.23183 .48585 L
.227 .48537 L
.22217 .48534 L
.21734 .48579 L
.2125 .48668 L
.2078 .48792 L
.20767 .48795 L
.20284 .48946 L
.19801 .49083 L
.19318 .49097 L
.18986 .48792 L
.1889 .48309 L
.18929 .47826 L
.19075 .47342 L
.19295 .46859 L
.19318 .46764 L
.19648 .46376 L
.19801 .46161 L
.20155 .45893 L
.20284 .45779 L
.20767 .45516 L
.2104 .4541 L
F
1 .983 .586 r
.21734 .48728 m
.22217 .48669 L
.227 .48671 L
.23183 .48733 L
.23462 .48792 L
.23666 .48853 L
.2415 .49038 L
.246 .49275 L
.24633 .49293 L
.25116 .49637 L
.25258 .49758 L
.25599 .50112 L
.25703 .50242 L
.26005 .50725 L
.26082 .5082 L
.26192 .51208 L
.26341 .51691 L
.26377 .52174 L
.26088 .52658 L
.26082 .5266 L
.25601 .52658 L
.25599 .52657 L
.25116 .52517 L
.24633 .52348 L
.2415 .52197 L
.24062 .52174 L
.23666 .52082 L
.23183 .52008 L
.227 .51979 L
.22217 .51998 L
.21734 .52065 L
.21262 .52174 L
.2125 .52177 L
.20767 .52328 L
.20284 .52503 L
.19801 .52655 L
.19788 .52658 L
.19318 .52664 L
.193 .52658 L
.18948 .52174 L
.18913 .51691 L
.18995 .51208 L
.19184 .50725 L
.19318 .50331 L
.19396 .50242 L
.19768 .49758 L
.19801 .49725 L
.20284 .49324 L
.20369 .49275 L
.20767 .49044 L
.2125 .4885 L
.2144 .48792 L
F
.373 .968 1 r
.20284 .38598 m
.20767 .38368 L
.2125 .38237 L
.21734 .38191 L
.22217 .3822 L
.227 .38328 L
.23183 .38518 L
.23413 .38645 L
.23666 .38805 L
.24044 .39128 L
.2415 .39226 L
.24448 .39612 L
.24633 .39869 L
.24728 .40095 L
.24917 .40578 L
.25002 .41061 L
.2491 .41544 L
.24633 .41744 L
.2415 .41735 L
.23666 .41642 L
.23183 .41545 L
.2318 .41544 L
.227 .41475 L
.22217 .41436 L
.21734 .41437 L
.2125 .41478 L
.20813 .41544 L
.20767 .41553 L
.20284 .41652 L
.19801 .41738 L
.19318 .41706 L
.19087 .41544 L
.18928 .41061 L
.1895 .40578 L
.19082 .40095 L
.19295 .39612 L
.19318 .3956 L
.19655 .39128 L
.19801 .3896 L
.20214 .38645 L
F
1 .969 .387 r
.20767 .34745 m
.2125 .34642 L
.21734 .3463 L
.22217 .34704 L
.22501 .3478 L
.227 .34865 L
.23183 .35133 L
.23354 .35263 L
.23666 .35534 L
.23843 .35746 L
.2415 .36165 L
.2418 .36229 L
.24395 .36712 L
.24514 .37196 L
.24472 .37679 L
.2415 .38012 L
.23666 .37993 L
.23183 .37919 L
.227 .37844 L
.22217 .37792 L
.21734 .37775 L
.2125 .37796 L
.20767 .3785 L
.20284 .37926 L
.19801 .3799 L
.19318 .3795 L
.19035 .37679 L
.1893 .37196 L
.18987 .36712 L
.19151 .36229 L
.19318 .35866 L
.19413 .35746 L
.19801 .35297 L
.19842 .35263 L
.20284 .3495 L
.20657 .3478 L
F
.20767 .41973 m
.2125 .41817 L
.21734 .4174 L
.22217 .41735 L
.227 .41801 L
.23183 .41938 L
.23405 .42027 L
.23666 .42153 L
.2415 .42467 L
.24191 .42511 L
.24633 .42918 L
.24678 .42994 L
.25028 .43477 L
.25116 .4359 L
.25246 .4396 L
.25393 .44443 L
.2542 .44927 L
.25116 .45374 L
.24633 .45401 L
.2415 .45307 L
.23666 .45189 L
.23183 .45091 L
.227 .45027 L
.22217 .45004 L
.21734 .45026 L
.2125 .4509 L
.20767 .45191 L
.20284 .4531 L
.19801 .45405 L
.19318 .45371 L
.18997 .44927 L
.1896 .44443 L
.19045 .4396 L
.19224 .43477 L
.19318 .43228 L
.19493 .42994 L
.19801 .42607 L
.19916 .42511 L
.20284 .42223 L
.20649 .42027 L
F
.855 .995 1 r
.22217 .58833 m
.227 .58763 L
.23183 .58748 L
.23666 .58787 L
.2415 .58878 L
.24371 .58939 L
.24633 .59019 L
.25116 .59216 L
.25496 .59422 L
.25599 .59468 L
.26082 .59788 L
.26236 .59905 L
.26566 .60194 L
.26753 .60388 L
.27049 .60753 L
.27127 .60872 L
.27391 .61355 L
.27532 .61695 L
.27562 .61838 L
.27611 .62321 L
.27602 .62804 L
.27532 .63065 L
.27049 .63139 L
.26566 .62968 L
.26212 .62804 L
.26082 .62746 L
.25599 .62525 L
.25116 .62334 L
.25075 .62321 L
.24633 .62181 L
.2415 .6207 L
.23666 .62006 L
.23183 .61991 L
.227 .62026 L
.22217 .62112 L
.21734 .62248 L
.21573 .62321 L
.2125 .62426 L
.20767 .62648 L
.20452 .62804 L
.20284 .62886 L
.19801 .63093 L
.19318 .63108 L
.19058 .62804 L
.18973 .62321 L
.19016 .61838 L
.19092 .61355 L
.19295 .60872 L
.19318 .60825 L
.19608 .60388 L
.19801 .60156 L
.20063 .59905 L
.20284 .5972 L
.20722 .59422 L
.20767 .59395 L
.2125 .59142 L
.21734 .58959 L
.218 .58939 L
F
.428 .973 1 r
.20284 .31311 m
.20767 .31125 L
.2125 .31055 L
.21734 .31087 L
.22217 .31221 L
.22587 .31397 L
.227 .31468 L
.23183 .31866 L
.23197 .31881 L
.23576 .32364 L
.23666 .32451 L
.23819 .32847 L
.23952 .3333 L
.2391 .33813 L
.23666 .34052 L
.23183 .34154 L
.227 .34108 L
.22217 .3406 L
.21734 .34032 L
.2125 .34033 L
.20767 .34063 L
.20284 .3411 L
.19801 .34141 L
.19318 .34055 L
.19111 .33813 L
.19007 .3333 L
.19079 .32847 L
.19264 .32364 L
.19318 .32247 L
.19584 .31881 L
.19801 .31646 L
.20133 .31397 L
F
1 .992 .773 r
.22217 .55485 m
.227 .55437 L
.23183 .55445 L
.23666 .55509 L
.23899 .55557 L
.2415 .55625 L
.24633 .55799 L
.25116 .56032 L
.25131 .5604 L
.25599 .56333 L
.25852 .56523 L
.26082 .56724 L
.26353 .57006 L
.26566 .5727 L
.26708 .57489 L
.26934 .57973 L
.27049 .58225 L
.2708 .58456 L
.27156 .58939 L
.27096 .59422 L
.27049 .59524 L
.26566 .59655 L
.26082 .59505 L
.25881 .59422 L
.25599 .59309 L
.25116 .59113 L
.24633 .58949 L
.24598 .58939 L
.2415 .58823 L
.23666 .5874 L
.23183 .58704 L
.227 .58718 L
.22217 .58781 L
.21734 .58893 L
.21611 .58939 L
.2125 .59048 L
.20767 .59244 L
.2036 .59422 L
.20284 .59455 L
.19801 .59627 L
.19318 .596 L
.19135 .59422 L
.19013 .58939 L
.19033 .58456 L
.191 .57973 L
.19289 .57489 L
.19318 .57427 L
.19583 .57006 L
.19801 .56739 L
.20023 .56523 L
.20284 .56305 L
.20682 .5604 L
.20767 .55991 L
.2125 .55754 L
.21734 .55589 L
.21849 .55557 L
F
.428 .973 1 r
.2125 .45366 m
.21734 .45263 L
.22217 .45228 L
.227 .4526 L
.23183 .45356 L
.23367 .4541 L
.23666 .4552 L
.2415 .45765 L
.24326 .45893 L
.24633 .46105 L
.24895 .46376 L
.25116 .46592 L
.25272 .46859 L
.25573 .47342 L
.25599 .47396 L
.25727 .47826 L
.25811 .48309 L
.25722 .48792 L
.25599 .48946 L
.25116 .49008 L
.24633 .48901 L
.2424 .48792 L
.2415 .4877 L
.23666 .48654 L
.23183 .48567 L
.227 .4852 L
.22217 .48517 L
.21734 .4856 L
.2125 .48645 L
.20767 .48765 L
.20663 .48792 L
.20284 .48899 L
.19801 .49002 L
.19318 .48923 L
.1918 .48792 L
.19029 .48309 L
.1905 .47826 L
.19175 .47342 L
.19318 .46898 L
.19356 .46859 L
.19716 .46376 L
.19801 .46235 L
.20212 .45893 L
.20284 .45823 L
.20767 .45545 L
.21113 .4541 L
F
.325 .964 1 r
.20767 .38407 m
.2125 .3827 L
.21734 .38221 L
.22217 .38252 L
.227 .38363 L
.23183 .38562 L
.23331 .38645 L
.23666 .38864 L
.23962 .39128 L
.2415 .39313 L
.24363 .39612 L
.24633 .40048 L
.24649 .40095 L
.24815 .40578 L
.2488 .41061 L
.24689 .41544 L
.24633 .41584 L
.2415 .41666 L
.23666 .41598 L
.23372 .41544 L
.23183 .41516 L
.227 .41449 L
.22217 .41412 L
.21734 .41413 L
.2125 .41451 L
.20767 .4152 L
.20621 .41544 L
.20284 .41606 L
.19801 .41664 L
.19318 .4155 L
.1931 .41544 L
.19051 .41061 L
.19054 .40578 L
.19171 .40095 L
.19318 .39674 L
.19375 .39612 L
.19728 .39128 L
.19801 .39038 L
.20284 .38649 L
.20291 .38645 L
F
.648 .986 1 r
.22217 .52102 m
.227 .52078 L
.23183 .52112 L
.23579 .52174 L
.23666 .52202 L
.2415 .52352 L
.24633 .52566 L
.24757 .52658 L
.25116 .5285 L
.2547 .53141 L
.25599 .53232 L
.25935 .53624 L
.26082 .53769 L
.26233 .54107 L
.26513 .5459 L
.26566 .54721 L
.2663 .55073 L
.26676 .55557 L
.26566 .55947 L
.26475 .5604 L
.26082 .56118 L
.25737 .5604 L
.25599 .56 L
.25116 .5583 L
.24633 .55662 L
.24246 .55557 L
.2415 .55525 L
.23666 .55427 L
.23183 .55372 L
.227 .55364 L
.22217 .55404 L
.21734 .55492 L
.21497 .55557 L
.2125 .55623 L
.20767 .55791 L
.20284 .55972 L
.20076 .5604 L
.19801 .56107 L
.19341 .5604 L
.19318 .56028 L
.19076 .55557 L
.1906 .55073 L
.19158 .5459 L
.19276 .54107 L
.19318 .54009 L
.1961 .53624 L
.19801 .53293 L
.19995 .53141 L
.20284 .52857 L
.20631 .52658 L
.20767 .52552 L
.2125 .52331 L
.21734 .52186 L
.21754 .52174 L
F
1 .965 .337 r
.2125 .34691 m
.21734 .34678 L
.22217 .34754 L
.22326 .3478 L
.227 .34924 L
.23183 .35208 L
.23253 .35263 L
.23666 .35643 L
.23746 .35746 L
.24077 .36229 L
.2415 .36366 L
.24282 .36712 L
.2438 .37196 L
.24275 .37679 L
.2415 .37831 L
.23666 .37914 L
.23183 .37865 L
.227 .37802 L
.22217 .37756 L
.21734 .3774 L
.2125 .37759 L
.20767 .37807 L
.20284 .3787 L
.19801 .37905 L
.19318 .37768 L
.19232 .37679 L
.19065 .37196 L
.19102 .36712 L
.1925 .36229 L
.19318 .36049 L
.19516 .35746 L
.19801 .35391 L
.19948 .35263 L
.20284 .35018 L
.20767 .34799 L
.20831 .3478 L
F
.20767 .42005 m
.2125 .41843 L
.21734 .41763 L
.22217 .41758 L
.227 .41825 L
.23183 .41967 L
.23332 .42027 L
.23666 .4219 L
.24137 .42511 L
.2415 .4252 L
.24624 .42994 L
.24633 .43003 L
.24942 .43477 L
.25116 .4377 L
.25166 .4396 L
.25289 .44443 L
.25287 .44927 L
.25116 .45217 L
.24633 .45346 L
.2415 .45267 L
.23666 .4516 L
.23183 .45068 L
.227 .45007 L
.22217 .44985 L
.21734 .45006 L
.2125 .45067 L
.20767 .45161 L
.20284 .45267 L
.19801 .45337 L
.19318 .45237 L
.1913 .44927 L
.19065 .44443 L
.19135 .4396 L
.1929 .43477 L
.19318 .43385 L
.19569 .42994 L
.19801 .42676 L
.19987 .42511 L
.20284 .42267 L
.2072 .42027 L
F
1 .978 .511 r
.21734 .48747 m
.22217 .48686 L
.227 .48688 L
.23183 .48751 L
.23383 .48792 L
.23666 .48875 L
.2415 .49067 L
.24527 .49275 L
.24633 .49335 L
.25116 .49705 L
.25175 .49758 L
.25599 .50236 L
.25603 .50242 L
.25873 .50725 L
.26082 .51139 L
.26093 .51208 L
.26188 .51691 L
.26178 .52174 L
.26082 .52381 L
.25599 .52565 L
.25116 .5246 L
.24633 .52311 L
.24164 .52174 L
.2415 .52171 L
.23666 .52062 L
.23183 .5199 L
.227 .51962 L
.22217 .51981 L
.21734 .52045 L
.2125 .52152 L
.21225 .52174 L
.20767 .52292 L
.20284 .52445 L
.19801 .52552 L
.19318 .52448 L
.19151 .52174 L
.19078 .51691 L
.19136 .51208 L
.19278 .50725 L
.19318 .50529 L
.19512 .50242 L
.19801 .49808 L
.19858 .49758 L
.20284 .49372 L
.20443 .49275 L
.20767 .49076 L
.2125 .48873 L
.21519 .48792 L
F
1 .996 .888 r
.21734 .62298 m
.22217 .62149 L
.227 .62057 L
.23183 .6202 L
.23666 .62035 L
.2415 .62103 L
.24633 .62223 L
.24916 .62321 L
.25116 .6239 L
.25599 .62613 L
.25888 .62804 L
.26082 .6289 L
.26566 .63241 L
.26623 .63288 L
.27049 .6369 L
.2712 .63771 L
.27479 .64254 L
.27532 .64326 L
.27727 .64737 L
.27852 .6522 L
.27942 .65704 L
.27939 .66187 L
.27532 .66447 L
.27049 .66333 L
.26716 .66187 L
.26566 .66117 L
.26082 .65883 L
.25674 .65704 L
.25599 .65674 L
.25116 .65496 L
.24633 .6536 L
.2415 .65271 L
.23666 .6523 L
.23183 .65236 L
.227 .65289 L
.22217 .65393 L
.21734 .6555 L
.21387 .65704 L
.2125 .65748 L
.20767 .65983 L
.20373 .66187 L
.20284 .66229 L
.19801 .66415 L
.19318 .6632 L
.19219 .66187 L
.19111 .65704 L
.19146 .6522 L
.19181 .64737 L
.19318 .64303 L
.19368 .64254 L
.19666 .63771 L
.19801 .63595 L
.20102 .63288 L
.20284 .63124 L
.20723 .62804 L
.20767 .62776 L
.2125 .625 L
.21695 .62321 L
F
1 .978 .511 r
.20767 .27522 m
.2125 .27495 L
.21509 .27532 L
.21734 .27589 L
.22217 .27813 L
.22495 .28015 L
.227 .28197 L
.22939 .28498 L
.23183 .28889 L
.23212 .28981 L
.23342 .29465 L
.23242 .29948 L
.23183 .3001 L
.227 .30218 L
.22217 .30208 L
.21734 .30186 L
.2125 .30177 L
.20767 .30186 L
.20284 .30204 L
.19801 .30195 L
.19318 .29982 L
.19293 .29948 L
.19131 .29465 L
.19202 .28981 L
.19318 .28675 L
.19412 .28498 L
.19799 .28015 L
.19801 .28013 L
.20284 .27677 L
.20718 .27532 L
F
.283 .959 1 r
.20767 .38446 m
.2125 .38304 L
.21734 .38252 L
.22217 .38284 L
.227 .38399 L
.23183 .38606 L
.23252 .38645 L
.23666 .38923 L
.23886 .39128 L
.2415 .39403 L
.24287 .39612 L
.24566 .40095 L
.24633 .40252 L
.24724 .40578 L
.24764 .41061 L
.24633 .41404 L
.24417 .41544 L
.2415 .41591 L
.23666 .41553 L
.23611 .41544 L
.23183 .41486 L
.227 .41424 L
.22217 .41389 L
.21734 .41389 L
.2125 .41425 L
.20767 .41488 L
.20379 .41544 L
.20284 .41558 L
.19801 .41587 L
.19574 .41544 L
.19318 .41379 L
.19167 .41061 L
.19147 .40578 L
.19249 .40095 L
.19318 .39829 L
.19456 .39612 L
.19794 .39128 L
.19801 .39119 L
.20284 .387 L
.20372 .38645 L
F
.373 .968 1 r
.2125 .45389 m
.21734 .45282 L
.22217 .45247 L
.227 .45279 L
.23183 .45378 L
.23293 .4541 L
.23666 .45547 L
.2415 .45802 L
.24267 .45893 L
.24633 .46161 L
.24823 .46376 L
.25116 .46689 L
.25201 .46859 L
.25477 .47342 L
.25599 .47648 L
.25638 .47826 L
.25691 .48309 L
.25599 .48687 L
.25513 .48792 L
.25116 .48924 L
.24633 .48854 L
.24378 .48792 L
.2415 .48741 L
.23666 .48631 L
.23183 .48548 L
.227 .48502 L
.22217 .485 L
.21734 .48541 L
.2125 .48622 L
.20767 .48734 L
.20525 .48792 L
.20284 .48851 L
.19801 .48919 L
.1939 .48792 L
.19318 .48722 L
.19152 .48309 L
.19152 .47826 L
.19253 .47342 L
.19318 .47048 L
.19443 .46859 L
.19768 .46376 L
.19801 .46311 L
.2026 .45893 L
.20284 .45867 L
.20767 .45575 L
.21185 .4541 L
F
1 .961 .294 r
.2125 .41869 m
.21734 .41786 L
.22217 .41781 L
.227 .4185 L
.23183 .41996 L
.23261 .42027 L
.23666 .42228 L
.24069 .42511 L
.2415 .42572 L
.24551 .42994 L
.24633 .43082 L
.24865 .43477 L
.25093 .4396 L
.25116 .44027 L
.25198 .44443 L
.2516 .44927 L
.25116 .45018 L
.24633 .45283 L
.2415 .45226 L
.23666 .45131 L
.23183 .45044 L
.227 .44987 L
.22217 .44966 L
.21734 .44986 L
.2125 .45043 L
.20767 .4513 L
.20284 .45223 L
.19801 .45266 L
.19318 .45046 L
.19257 .44927 L
.19161 .44443 L
.19214 .4396 L
.19318 .43567 L
.19356 .43477 L
.19637 .42994 L
.19801 .42749 L
.20053 .42511 L
.20284 .42313 L
.20767 .42037 L
.20789 .42027 L
F
.648 .986 1 r
.20284 .2397 m
.20767 .23858 L
.2125 .23895 L
.21734 .24081 L
.21856 .2415 L
.22217 .24432 L
.22388 .24633 L
.22684 .25116 L
.227 .25155 L
.22809 .25599 L
.227 .25993 L
.2262 .26082 L
.22217 .26246 L
.21734 .26267 L
.2125 .26262 L
.20767 .26261 L
.20284 .26262 L
.19801 .26228 L
.19426 .26082 L
.19318 .25971 L
.19178 .25599 L
.19244 .25116 L
.19318 .24922 L
.19477 .24633 L
.19801 .24253 L
.19929 .2415 L
F
.373 .968 1 r
.20767 .31213 m
.2125 .31136 L
.21734 .3117 L
.22217 .31314 L
.22403 .31397 L
.227 .31579 L
.23051 .31881 L
.23183 .32009 L
.23432 .32364 L
.23666 .32813 L
.23675 .32847 L
.2378 .3333 L
.23666 .33793 L
.23652 .33813 L
.23183 .34039 L
.227 .3403 L
.22217 .33996 L
.21734 .33974 L
.2125 .33975 L
.20767 .33998 L
.20284 .34028 L
.19801 .34019 L
.19364 .33813 L
.19318 .33752 L
.19179 .3333 L
.19227 .32847 L
.19318 .32552 L
.19403 .32364 L
.19727 .31881 L
.19801 .31795 L
.20284 .31417 L
.20312 .31397 L
F
1 .961 .294 r
.2125 .3474 m
.21734 .34725 L
.22113 .3478 L
.22217 .34804 L
.227 .34983 L
.23155 .35263 L
.23183 .35283 L
.23658 .35746 L
.23666 .35754 L
.23977 .36229 L
.2415 .3661 L
.24181 .36712 L
.24255 .37196 L
.2415 .3758 L
.241 .37679 L
.23666 .37825 L
.23183 .37809 L
.227 .37759 L
.22217 .37719 L
.21734 .37705 L
.2125 .37721 L
.20767 .37763 L
.20284 .37811 L
.19801 .37813 L
.19405 .37679 L
.19318 .37546 L
.19191 .37196 L
.19207 .36712 L
.19318 .36291 L
.19343 .36229 L
.19611 .35746 L
.19801 .35491 L
.2005 .35263 L
.20284 .35088 L
.20767 .34853 L
.2103 .3478 L
F
1 .974 .445 r
.21734 .48766 m
.22217 .48703 L
.227 .48705 L
.23183 .48769 L
.23299 .48792 L
.23666 .48897 L
.2415 .49097 L
.2446 .49275 L
.24633 .49377 L
.25098 .49758 L
.25116 .49773 L
.25505 .50242 L
.25599 .50348 L
.25769 .50725 L
.25977 .51208 L
.26069 .51691 L
.26004 .52174 L
.25599 .52459 L
.25116 .524 L
.24633 .52273 L
.24271 .52174 L
.2415 .52146 L
.23666 .52042 L
.23183 .51973 L
.227 .51946 L
.22217 .51963 L
.21734 .52025 L
.2125 .52126 L
.21158 .52174 L
.20767 .52255 L
.20284 .52386 L
.19801 .52446 L
.19331 .52174 L
.19318 .52145 L
.1921 .51691 L
.19242 .51208 L
.19318 .50804 L
.19347 .50725 L
.19606 .50242 L
.19801 .49893 L
.19942 .49758 L
.20284 .4942 L
.20509 .49275 L
.20767 .49108 L
.2125 .48896 L
.21603 .48792 L
F
.247 .955 1 r
.20767 .38486 m
.2125 .38337 L
.21734 .38283 L
.22217 .38316 L
.227 .38435 L
.23175 .38645 L
.23183 .3865 L
.23666 .38983 L
.23815 .39128 L
.2415 .39499 L
.24218 .39612 L
.24485 .40095 L
.24633 .40533 L
.24641 .40578 L
.24655 .41061 L
.24633 .41147 L
.2415 .41534 L
.23666 .41514 L
.23183 .41455 L
.227 .41397 L
.22217 .41364 L
.21734 .41365 L
.2125 .41398 L
.20767 .41455 L
.20284 .41513 L
.19801 .41515 L
.19318 .41165 L
.19277 .41061 L
.19233 .40578 L
.19318 .40101 L
.1932 .40095 L
.19532 .39612 L
.19801 .39193 L
.19866 .39128 L
.20284 .38751 L
.20452 .38645 L
F
.325 .964 1 r
.21734 .45302 m
.22217 .45265 L
.227 .45298 L
.23183 .454 L
.23219 .4541 L
.23666 .45575 L
.2415 .4584 L
.24215 .45893 L
.24633 .46218 L
.2476 .46376 L
.25116 .46792 L
.25145 .46859 L
.25391 .47342 L
.25552 .47826 L
.25584 .48309 L
.25267 .48792 L
.25116 .48833 L
.24633 .48805 L
.24563 .48792 L
.2415 .48711 L
.23666 .48609 L
.23183 .48529 L
.227 .48485 L
.22217 .48483 L
.21734 .48522 L
.2125 .48599 L
.20767 .48703 L
.20341 .48792 L
.20284 .48803 L
.19801 .48833 L
.19636 .48792 L
.19318 .48482 L
.19262 .48309 L
.19238 .47826 L
.19315 .47342 L
.19318 .47325 L
.19521 .46859 L
.19801 .46388 L
.19813 .46376 L
.20284 .45911 L
.20311 .45893 L
.20767 .45605 L
.2125 .45412 L
.21256 .4541 L
F
.565 .982 1 r
.22217 .5212 m
.227 .52095 L
.23183 .52129 L
.23501 .52174 L
.23666 .52222 L
.2415 .52378 L
.24633 .52602 L
.24698 .52658 L
.25116 .52906 L
.25364 .53141 L
.25599 .53325 L
.25803 .53624 L
.26082 .53959 L
.2612 .54107 L
.26338 .5459 L
.26465 .55073 L
.26452 .55557 L
.26082 .55969 L
.25599 .55917 L
.25116 .55778 L
.24633 .55627 L
.24342 .55557 L
.2415 .555 L
.23666 .55406 L
.23183 .55353 L
.227 .55346 L
.22217 .55384 L
.21734 .55468 L
.21388 .55557 L
.2125 .55591 L
.20767 .55742 L
.20284 .5589 L
.19801 .55955 L
.19318 .55608 L
.19303 .55557 L
.19238 .55073 L
.19288 .5459 L
.19318 .54386 L
.19427 .54107 L
.19721 .53624 L
.19801 .53413 L
.20097 .53141 L
.20284 .5292 L
.20692 .52658 L
.20767 .52591 L
.2125 .52358 L
.21734 .52205 L
.21804 .52174 L
F
1 .956 .256 r
.2125 .41895 m
.21734 .41809 L
.22217 .41803 L
.227 .41875 L
.23183 .42025 L
.2319 .42027 L
.23666 .42266 L
.24005 .42511 L
.2415 .42625 L
.24483 .42994 L
.24633 .43168 L
.24796 .43477 L
.25013 .4396 L
.25114 .44443 L
.25039 .44927 L
.24633 .45212 L
.2415 .45183 L
.23666 .45101 L
.23183 .45021 L
.227 .44967 L
.22217 .44947 L
.21734 .44966 L
.2125 .4502 L
.20767 .45099 L
.20284 .45179 L
.19801 .45191 L
.19379 .44927 L
.19318 .44799 L
.19247 .44443 L
.19283 .4396 L
.19318 .4379 L
.1943 .43477 L
.19697 .42994 L
.19801 .42825 L
.20114 .42511 L
.20284 .42358 L
.20767 .42069 L
.20857 .42027 L
F
1 .992 .773 r
.20284 .2027 m
.20767 .2022 L
.21076 .20284 L
.2125 .20335 L
.21734 .2067 L
.21821 .20767 L
.22135 .2125 L
.2221 .21734 L
.21734 .2215 L
.2125 .22207 L
.20767 .22216 L
.20284 .22206 L
.19801 .22145 L
.19318 .21802 L
.19292 .21734 L
.1931 .2125 L
.19318 .21224 L
.19552 .20767 L
.19801 .20495 L
.2024 .20284 L
F
1 .987 .673 r
.22217 .55505 m
.227 .55455 L
.23183 .55464 L
.23666 .55529 L
.23803 .55557 L
.2415 .5565 L
.24633 .55833 L
.25033 .5604 L
.25116 .56082 L
.25599 .56416 L
.25728 .56523 L
.26082 .56877 L
.26188 .57006 L
.26493 .57489 L
.26566 .57557 L
.26671 .57973 L
.26808 .58456 L
.26817 .58939 L
.26566 .5939 L
.26082 .59363 L
.25599 .59227 L
.25116 .59062 L
.24725 .58939 L
.24633 .58914 L
.2415 .58796 L
.23666 .58717 L
.23183 .58683 L
.227 .58695 L
.22217 .58755 L
.21734 .58861 L
.21491 .58939 L
.2125 .59002 L
.20767 .5917 L
.20284 .59327 L
.19801 .59374 L
.19354 .58939 L
.19318 .58796 L
.19298 .58456 L
.19318 .58108 L
.19346 .57973 L
.1953 .57489 L
.19748 .57006 L
.19801 .56926 L
.20147 .56523 L
.20284 .56395 L
.20767 .56043 L
.20773 .5604 L
.2125 .55787 L
.21734 .55613 L
.21938 .55557 L
F
1 .956 .256 r
.21734 .34772 m
.21815 .3478 L
.22217 .34854 L
.227 .35042 L
.23056 .35263 L
.23183 .35357 L
.23566 .35746 L
.23666 .3585 L
.23884 .36229 L
.2408 .36712 L
.24134 .37196 L
.23855 .37679 L
.23666 .37725 L
.23183 .3775 L
.227 .37715 L
.22217 .37681 L
.22159 .37679 L
.21734 .3767 L
.2135 .37679 L
.2125 .37683 L
.20767 .37718 L
.20284 .3775 L
.19801 .37712 L
.19671 .37679 L
.19318 .37223 L
.19311 .37196 L
.19304 .36712 L
.19318 .36627 L
.19437 .36229 L
.197 .35746 L
.19801 .356 L
.20148 .35263 L
.20284 .35159 L
.20767 .34908 L
.2125 .34788 L
.21327 .3478 L
F
.215 .95 1 r
.20767 .38526 m
.2125 .3837 L
.21734 .38314 L
.22217 .38347 L
.227 .38471 L
.23098 .38645 L
.23183 .38693 L
.23666 .39044 L
.23749 .39128 L
.2415 .39601 L
.24155 .39612 L
.24409 .40095 L
.24556 .40578 L
.24546 .41061 L
.2415 .41495 L
.23666 .41474 L
.23183 .41423 L
.227 .41371 L
.22217 .4134 L
.21734 .4134 L
.2125 .41371 L
.20767 .41422 L
.20284 .41468 L
.19801 .41446 L
.19385 .41061 L
.19318 .40764 L
.19313 .40578 L
.19318 .40502 L
.19397 .40095 L
.19602 .39612 L
.19801 .39272 L
.19937 .39128 L
.20284 .38803 L
.20531 .38645 L
F
.283 .959 1 r
.21734 .45322 m
.22217 .45284 L
.227 .45317 L
.23165 .4541 L
.23183 .45421 L
.23666 .45602 L
.2415 .45877 L
.24168 .45893 L
.24633 .46277 L
.24707 .46376 L
.25089 .46859 L
.25116 .46881 L
.25315 .47342 L
.25463 .47826 L
.25474 .48309 L
.25116 .48738 L
.24633 .48762 L
.2415 .48681 L
.23666 .48586 L
.23183 .4851 L
.227 .48468 L
.22217 .48466 L
.21734 .48503 L
.2125 .48576 L
.20767 .48672 L
.20284 .48756 L
.19801 .48751 L
.19367 .48309 L
.19318 .48051 L
.19313 .47826 L
.19318 .47747 L
.19393 .47342 L
.19589 .46859 L
.19801 .46457 L
.19879 .46376 L
.20284 .45954 L
.2037 .45893 L
.20767 .45636 L
.2125 .45435 L
.21305 .4541 L
F
1 .969 .387 r
.21734 .48785 m
.22217 .4872 L
.227 .48722 L
.23183 .48788 L
.23207 .48792 L
.23666 .48919 L
.2415 .49126 L
.24398 .49275 L
.24633 .49419 L
.25023 .49758 L
.25116 .49839 L
.25418 .50242 L
.25599 .50479 L
.25687 .50725 L
.25869 .51208 L
.25942 .51691 L
.25828 .52174 L
.25599 .52333 L
.25116 .52339 L
.24633 .52235 L
.24391 .52174 L
.2415 .5212 L
.23666 .52022 L
.23183 .51955 L
.227 .51929 L
.22217 .51946 L
.21734 .52005 L
.2125 .52101 L
.2103 .52174 L
.20767 .52218 L
.20284 .52327 L
.19801 .52335 L
.19484 .52174 L
.1932 .51691 L
.19323 .51208 L
.19445 .50725 L
.19682 .50242 L
.19801 .49986 L
.20016 .49758 L
.20284 .4947 L
.20569 .49275 L
.20767 .49141 L
.2125 .48919 L
.21695 .48792 L
F
1 .952 .223 r
.2125 .41921 m
.21734 .41832 L
.22217 .41826 L
.227 .41899 L
.23125 .42027 L
.23183 .42053 L
.23666 .42304 L
.23945 .42511 L
.2415 .42679 L
.24421 .42994 L
.24633 .43263 L
.24734 .43477 L
.24938 .4396 L
.25026 .44443 L
.24915 .44927 L
.24633 .45128 L
.2415 .45138 L
.23666 .4507 L
.23183 .44997 L
.227 .44946 L
.22217 .44928 L
.21734 .44945 L
.2125 .44996 L
.20767 .45068 L
.20284 .45133 L
.19801 .4511 L
.19502 .44927 L
.19329 .44443 L
.19352 .4396 L
.19497 .43477 L
.19751 .42994 L
.19801 .42906 L
.20171 .42511 L
.20284 .42405 L
.20767 .42101 L
.20927 .42027 L
F
.325 .964 1 r
.20767 .31303 m
.2125 .31218 L
.21734 .31253 L
.22194 .31397 L
.22217 .31407 L
.227 .31694 L
.2291 .31881 L
.23183 .32176 L
.23299 .32364 L
.23532 .32847 L
.23615 .3333 L
.2337 .33813 L
.23183 .33894 L
.227 .33943 L
.22217 .33928 L
.21734 .33913 L
.2125 .33914 L
.20767 .33929 L
.20284 .33939 L
.19801 .33874 L
.19654 .33813 L
.19345 .3333 L
.19366 .32847 L
.19538 .32364 L
.19801 .31935 L
.19866 .31881 L
.20284 .31521 L
.20486 .31397 L
F
.492 .977 1 r
.22217 .52137 m
.227 .52111 L
.23183 .52147 L
.23402 .52174 L
.23666 .52242 L
.2415 .52404 L
.24633 .52638 L
.24653 .52658 L
.25116 .52962 L
.25279 .53141 L
.25599 .53423 L
.25707 .53624 L
.26043 .54107 L
.26082 .54183 L
.26207 .5459 L
.26303 .55073 L
.26238 .55557 L
.26082 .55779 L
.25599 .5583 L
.25116 .55725 L
.24633 .55593 L
.24466 .55557 L
.2415 .55476 L
.23666 .55386 L
.23183 .55335 L
.227 .55327 L
.22217 .55364 L
.21734 .55444 L
.2126 .55557 L
.2125 .55559 L
.20767 .55693 L
.20284 .55809 L
.19801 .55797 L
.1951 .55557 L
.19379 .55073 L
.19407 .5459 L
.19553 .54107 L
.19783 .53624 L
.19801 .53548 L
.20175 .53141 L
.20284 .52984 L
.2074 .52658 L
.20767 .5263 L
.2125 .52384 L
.21734 .52225 L
.21884 .52174 L
F
.187 .946 1 r
.20767 .38566 m
.2125 .38404 L
.21734 .38345 L
.22217 .38379 L
.227 .38507 L
.23021 .38645 L
.23183 .38736 L
.23666 .39107 L
.23687 .39128 L
.24088 .39612 L
.2415 .39653 L
.24337 .40095 L
.24474 .40578 L
.24437 .41061 L
.2415 .41428 L
.23666 .41432 L
.23183 .41391 L
.227 .41344 L
.22217 .41315 L
.21734 .41315 L
.2125 .41343 L
.20767 .41388 L
.20284 .41421 L
.19801 .41365 L
.19494 .41061 L
.19396 .40578 L
.1947 .40095 L
.19667 .39612 L
.19801 .39361 L
.20004 .39128 L
.20284 .38857 L
.2061 .38645 L
F
.247 .955 1 r
.21734 .45341 m
.22217 .45302 L
.227 .45336 L
.23122 .4541 L
.23183 .45443 L
.23666 .45629 L
.24117 .45893 L
.2415 .45914 L
.24633 .46336 L
.2466 .46376 L
.25022 .46859 L
.25116 .46958 L
.25248 .47342 L
.25381 .47826 L
.25369 .48309 L
.25116 .48636 L
.24633 .4872 L
.2415 .4865 L
.23666 .48563 L
.23183 .48491 L
.227 .48451 L
.22217 .48449 L
.21734 .48484 L
.2125 .48553 L
.20767 .4864 L
.20284 .48709 L
.19801 .48669 L
.19473 .48309 L
.19396 .47826 L
.19466 .47342 L
.19651 .46859 L
.19801 .46535 L
.19939 .46376 L
.20284 .45998 L
.20427 .45893 L
.20767 .45666 L
.2125 .45458 L
.21364 .4541 L
F
1 .952 .223 r
.20284 .35233 m
.20767 .34963 L
.2125 .34836 L
.21734 .34819 L
.22217 .34904 L
.227 .35102 L
.22959 .35263 L
.23183 .35433 L
.23478 .35746 L
.23666 .35968 L
.23796 .36229 L
.23982 .36712 L
.24013 .37196 L
.23666 .37618 L
.23354 .37679 L
.23183 .37687 L
.22886 .37679 L
.227 .37671 L
.22217 .37648 L
.21734 .37638 L
.2125 .37649 L
.20767 .37672 L
.2062 .37679 L
.20284 .37686 L
.2015 .37679 L
.19801 .37646 L
.19432 .37196 L
.19401 .36712 L
.19527 .36229 L
.19784 .35746 L
.19801 .35719 L
.20245 .35263 L
F
1 .974 .445 r
.20284 .27873 m
.20767 .27684 L
.2125 .27652 L
.21734 .27757 L
.22212 .28015 L
.22217 .28018 L
.227 .28495 L
.22702 .28498 L
.22972 .28981 L
.23065 .29465 L
.22739 .29948 L
.227 .29965 L
.22217 .30056 L
.21734 .30063 L
.2125 .30061 L
.20767 .30061 L
.20284 .30049 L
.19801 .29949 L
.19799 .29948 L
.19409 .29465 L
.1944 .28981 L
.1965 .28498 L
.19801 .28262 L
.20071 .28015 L
F
1 .947 .194 r
.2125 .41947 m
.21734 .41856 L
.22217 .41849 L
.227 .41924 L
.23058 .42027 L
.23183 .42082 L
.23666 .42342 L
.23888 .42511 L
.2415 .42734 L
.24362 .42994 L
.24633 .4337 L
.24678 .43477 L
.24868 .4396 L
.24943 .44443 L
.24777 .44927 L
.24633 .4503 L
.2415 .45092 L
.23666 .45039 L
.23183 .44974 L
.22712 .44927 L
.227 .44926 L
.22217 .4491 L
.21734 .44925 L
.21698 .44927 L
.2125 .44972 L
.20767 .45037 L
.20284 .45087 L
.19801 .45023 L
.19638 .44927 L
.19412 .44443 L
.19423 .4396 L
.19561 .43477 L
.198 .42994 L
.19801 .42993 L
.20224 .42511 L
.20284 .42452 L
.20767 .42133 L
.21 .42027 L
F
1 .965 .337 r
.22217 .48737 m
.227 .48739 L
.23111 .48792 L
.23183 .48806 L
.23666 .48941 L
.2415 .49156 L
.24341 .49275 L
.24633 .49462 L
.24954 .49758 L
.25116 .49907 L
.25343 .50242 L
.25599 .5064 L
.25623 .50725 L
.25776 .51208 L
.25828 .51691 L
.25605 .52174 L
.25599 .52178 L
.25116 .52274 L
.24633 .52196 L
.24534 .52174 L
.2415 .52095 L
.23666 .52002 L
.23183 .51938 L
.227 .51912 L
.22217 .51929 L
.21734 .51985 L
.2125 .52075 L
.20817 .52174 L
.20767 .52181 L
.20284 .52267 L
.19801 .52217 L
.19701 .52174 L
.19436 .51691 L
.19421 .51208 L
.19531 .50725 L
.19742 .50242 L
.19801 .50089 L
.20081 .49758 L
.20284 .49521 L
.20624 .49275 L
.20767 .49173 L
.2125 .48942 L
.21734 .48803 L
.21792 .48792 L
F
.745 .99 1 r
.22217 .5886 m
.227 .58786 L
.23183 .5877 L
.23666 .5881 L
.2415 .58906 L
.24269 .58939 L
.24633 .59055 L
.25116 .59268 L
.25354 .59422 L
.25599 .59549 L
.26047 .59905 L
.26082 .5993 L
.26484 .60388 L
.26566 .60465 L
.26749 .60872 L
.26994 .61355 L
.27049 .61536 L
.27084 .61838 L
.2706 .62321 L
.27049 .62357 L
.26566 .62695 L
.26082 .62599 L
.25599 .62437 L
.25258 .62321 L
.25116 .62277 L
.24633 .6214 L
.2415 .62037 L
.23666 .61977 L
.23183 .61963 L
.227 .61995 L
.22217 .62075 L
.21734 .62198 L
.21377 .62321 L
.2125 .62354 L
.20767 .62525 L
.20284 .62664 L
.19801 .62627 L
.19547 .62321 L
.19457 .61838 L
.19508 .61355 L
.19682 .60872 L
.19801 .60455 L
.19875 .60388 L
.20246 .59905 L
.20284 .59867 L
.20767 .5947 L
.20857 .59422 L
.2125 .5919 L
.21734 .58991 L
.21904 .58939 L
F
.215 .95 1 r
.21734 .45361 m
.22217 .45321 L
.227 .45356 L
.23059 .4541 L
.23183 .45464 L
.23666 .45657 L
.24062 .45893 L
.2415 .45951 L
.24614 .46376 L
.24633 .46393 L
.2496 .46859 L
.25116 .47079 L
.25187 .47342 L
.25305 .47826 L
.25266 .48309 L
.25116 .48521 L
.24633 .48674 L
.2415 .48619 L
.23666 .48539 L
.23183 .48472 L
.227 .48434 L
.22217 .48431 L
.21734 .48465 L
.2125 .4853 L
.20767 .48609 L
.20284 .48661 L
.19801 .48576 L
.19575 .48309 L
.19474 .47826 L
.19534 .47342 L
.19706 .46859 L
.19801 .46626 L
.19996 .46376 L
.20284 .46043 L
.2048 .45893 L
.20767 .45697 L
.2125 .4548 L
.2144 .4541 L
F
.163 .941 1 r
.20767 .38607 m
.2125 .38437 L
.21734 .38376 L
.22217 .38411 L
.227 .38543 L
.22942 .38645 L
.23183 .38779 L
.23624 .39128 L
.23666 .39164 L
.24022 .39612 L
.2415 .39737 L
.2427 .40095 L
.24394 .40578 L
.24327 .41061 L
.2415 .41323 L
.23666 .41386 L
.23183 .41357 L
.227 .41316 L
.22217 .4129 L
.21734 .4129 L
.2125 .41315 L
.20767 .41353 L
.20284 .41372 L
.19801 .4127 L
.19604 .41061 L
.19475 .40578 L
.19539 .40095 L
.19728 .39612 L
.19801 .39462 L
.20068 .39128 L
.20284 .38912 L
.20691 .38645 L
F
1 .943 .169 r
.2125 .41973 m
.21734 .41879 L
.22217 .41872 L
.227 .41949 L
.22986 .42027 L
.23183 .42111 L
.23666 .42381 L
.23833 .42511 L
.2415 .42791 L
.24308 .42994 L
.24625 .43477 L
.24633 .43491 L
.24803 .4396 L
.24862 .44443 L
.24633 .44918 L
.24619 .44927 L
.2415 .45043 L
.23666 .45007 L
.23183 .44949 L
.22999 .44927 L
.227 .44907 L
.22217 .44891 L
.21734 .44905 L
.21412 .44927 L
.2125 .44948 L
.20767 .45005 L
.20284 .45039 L
.19801 .44929 L
.19797 .44927 L
.19493 .44443 L
.1949 .4396 L
.19619 .43477 L
.19801 .43042 L
.19858 .42994 L
.20274 .42511 L
.20284 .42501 L
.20767 .42165 L
.21076 .42027 L
F
1 .947 .194 r
.20767 .35019 m
.2125 .34884 L
.21734 .34866 L
.22217 .34955 L
.227 .35163 L
.22861 .35263 L
.23183 .35513 L
.23393 .35746 L
.23666 .3612 L
.23713 .36229 L
.23888 .36712 L
.23893 .37196 L
.23666 .375 L
.23183 .37649 L
.227 .37635 L
.22217 .37614 L
.21734 .37605 L
.2125 .37614 L
.20767 .37632 L
.20284 .37634 L
.19801 .37565 L
.19552 .37196 L
.19496 .36712 L
.19612 .36229 L
.19801 .35779 L
.19868 .35746 L
.20284 .35302 L
.20339 .35263 L
F
.283 .959 1 r
.20767 .31395 m
.2125 .31302 L
.21734 .31338 L
.21953 .31397 L
.22217 .31497 L
.227 .31816 L
.2277 .31881 L
.23172 .32364 L
.23183 .32383 L
.23395 .32847 L
.23449 .3333 L
.23183 .33725 L
.22925 .33813 L
.227 .33846 L
.22217 .33856 L
.21734 .3385 L
.2125 .3385 L
.20767 .33856 L
.20284 .33842 L
.20095 .33813 L
.19801 .33712 L
.1951 .3333 L
.19503 .32847 L
.19668 .32364 L
.19801 .32094 L
.20004 .31881 L
.20284 .31632 L
.20759 .31397 L
F
1 .961 .294 r
.22217 .48754 m
.227 .48755 L
.23008 .48792 L
.23183 .48824 L
.23666 .48963 L
.2415 .49186 L
.24288 .49275 L
.24633 .49505 L
.24892 .49758 L
.25116 .49978 L
.25277 .50242 L
.25556 .50725 L
.25599 .50828 L
.25695 .51208 L
.25723 .51691 L
.25599 .52011 L
.25344 .52174 L
.25116 .52207 L
.24743 .52174 L
.24633 .52159 L
.2415 .52069 L
.23666 .51981 L
.23183 .5192 L
.227 .51896 L
.22217 .51911 L
.21734 .51965 L
.2125 .5205 L
.20767 .52145 L
.20582 .52174 L
.20284 .52206 L
.19985 .52174 L
.19801 .52118 L
.19544 .51691 L
.19509 .51208 L
.19606 .50725 L
.19789 .50242 L
.19801 .50207 L
.20139 .49758 L
.20284 .49574 L
.20675 .49275 L
.20767 .49206 L
.2125 .48965 L
.21734 .48822 L
.21895 .48792 L
F
1 .983 .586 r
.22217 .55525 m
.227 .55474 L
.23183 .55483 L
.23666 .5555 L
.23702 .55557 L
.2415 .55675 L
.24633 .55867 L
.24944 .5604 L
.25116 .56132 L
.25599 .56502 L
.25623 .56523 L
.26054 .57006 L
.26082 .57032 L
.26317 .57489 L
.26533 .57973 L
.26566 .58093 L
.26607 .58456 L
.26566 .58855 L
.26538 .58939 L
.26082 .59216 L
.25599 .59144 L
.25116 .5901 L
.24868 .58939 L
.24633 .58879 L
.2415 .58769 L
.23666 .58694 L
.23183 .58661 L
.227 .58673 L
.22217 .5873 L
.21734 .58828 L
.2133 .58939 L
.2125 .58957 L
.20767 .59098 L
.20284 .592 L
.19801 .59108 L
.19648 .58939 L
.19514 .58456 L
.19544 .57973 L
.19689 .57489 L
.19801 .57096 L
.19891 .57006 L
.20252 .56523 L
.20284 .5649 L
.20767 .56092 L
.20861 .5604 L
.2125 .55821 L
.21734 .55637 L
.22037 .55557 L
F
.428 .973 1 r
.22217 .52155 m
.227 .52128 L
.23183 .52164 L
.23274 .52174 L
.23666 .52262 L
.2415 .52429 L
.24602 .52658 L
.24633 .52674 L
.25116 .53019 L
.25212 .53141 L
.25599 .53525 L
.25641 .53624 L
.25934 .54107 L
.26082 .54457 L
.26111 .5459 L
.2617 .55073 L
.26082 .55476 L
.26026 .55557 L
.25599 .55735 L
.25116 .55672 L
.24633 .55558 L
.24626 .55557 L
.2415 .55451 L
.23666 .55366 L
.23183 .55317 L
.227 .55309 L
.22217 .55345 L
.21734 .5542 L
.2125 .55527 L
.21123 .55557 L
.20767 .55644 L
.20284 .55726 L
.19801 .5562 L
.19724 .55557 L
.19522 .55073 L
.19528 .5459 L
.19653 .54107 L
.19801 .53656 L
.19846 .53624 L
.20233 .53141 L
.20284 .53051 L
.20767 .52668 L
.20786 .52658 L
.2125 .52411 L
.21734 .52245 L
.22007 .52174 L
F
.187 .946 1 r
.21734 .45381 m
.22217 .45339 L
.227 .45375 L
.22968 .4541 L
.23183 .45486 L
.23666 .45685 L
.2401 .45893 L
.2415 .45988 L
.24559 .46376 L
.24633 .46447 L
.24902 .46859 L
.25116 .47265 L
.25133 .47342 L
.25234 .47826 L
.25165 .48309 L
.25116 .48387 L
.24633 .48624 L
.2415 .48587 L
.23666 .48516 L
.23183 .48453 L
.227 .48416 L
.22217 .48414 L
.21734 .48446 L
.2125 .48506 L
.20767 .48577 L
.20284 .48612 L
.19801 .48467 L
.19677 .48309 L
.19548 .47826 L
.19597 .47342 L
.19755 .46859 L
.19801 .46732 L
.20049 .46376 L
.20284 .4609 L
.20532 .45893 L
.20767 .45728 L
.2125 .45503 L
.21539 .4541 L
F
.142 .937 1 r
.2125 .38471 m
.21734 .38408 L
.22217 .38443 L
.227 .38579 L
.2286 .38645 L
.23183 .38824 L
.2356 .39128 L
.23666 .39222 L
.23959 .39612 L
.2415 .39883 L
.24207 .40095 L
.24318 .40578 L
.24214 .41061 L
.2415 .4117 L
.23666 .41335 L
.23183 .41322 L
.227 .41288 L
.22217 .41265 L
.21734 .41264 L
.2125 .41286 L
.20767 .41318 L
.20284 .41321 L
.19801 .41156 L
.19717 .41061 L
.19552 .40578 L
.19605 .40095 L
.19787 .39612 L
.19801 .39579 L
.20131 .39128 L
.20284 .38969 L
.20767 .38648 L
.20772 .38645 L
F
1 .938 .147 r
.2125 .42 m
.21734 .41902 L
.22217 .41895 L
.227 .41973 L
.22907 .42027 L
.23183 .4214 L
.23666 .4242 L
.2378 .42511 L
.2415 .4285 L
.24256 .42994 L
.24567 .43477 L
.24633 .43618 L
.24741 .4396 L
.24785 .44443 L
.24633 .44804 L
.24446 .44927 L
.2415 .44992 L
.23666 .44975 L
.23198 .44927 L
.23183 .44925 L
.227 .44888 L
.22217 .44873 L
.21734 .44886 L
.2125 .44924 L
.21219 .44927 L
.20767 .44973 L
.20284 .4499 L
.19972 .44927 L
.19801 .44832 L
.19571 .44443 L
.19554 .4396 L
.19675 .43477 L
.19801 .43115 L
.19913 .42994 L
.20284 .42545 L
.20328 .42511 L
.20767 .42198 L
.21158 .42027 L
F
1 .943 .169 r
.20767 .35077 m
.2125 .34933 L
.21734 .34913 L
.22217 .35006 L
.227 .35225 L
.22761 .35263 L
.23183 .35598 L
.23311 .35746 L
.23632 .36229 L
.23666 .36302 L
.23797 .36712 L
.23772 .37196 L
.23666 .37357 L
.23183 .37605 L
.227 .37596 L
.22217 .37579 L
.21734 .37571 L
.2125 .37577 L
.20767 .37589 L
.20284 .37578 L
.19801 .37424 L
.19673 .37196 L
.19588 .36712 L
.19694 .36229 L
.19801 .35887 L
.19951 .35746 L
.20284 .35371 L
.20434 .35263 L
F
1 .956 .256 r
.22217 .48771 m
.227 .48772 L
.22888 .48792 L
.23183 .48842 L
.23666 .48986 L
.2415 .49215 L
.24239 .49275 L
.24633 .49549 L
.24835 .49758 L
.25116 .50054 L
.2522 .50242 L
.25483 .50725 L
.25599 .51068 L
.25624 .51208 L
.25625 .51691 L
.25599 .51783 L
.25116 .52152 L
.24633 .52124 L
.2415 .52043 L
.23666 .51961 L
.23183 .51903 L
.227 .51879 L
.22217 .51894 L
.21734 .51945 L
.2125 .52024 L
.20767 .52109 L
.20284 .52146 L
.19801 .52003 L
.19645 .51691 L
.1959 .51208 L
.19673 .50725 L
.19801 .50332 L
.19848 .50242 L
.2019 .49758 L
.20284 .49628 L
.20721 .49275 L
.20767 .4924 L
.2125 .48989 L
.21734 .4884 L
.22015 .48792 L
F
.855 .995 1 r
.20284 .16678 m
.20767 .16752 L
.20968 .16902 L
.2125 .17198 L
.21338 .17385 L
.2125 .17723 L
.21 .17868 L
.20767 .17915 L
.20284 .17919 L
.20015 .17868 L
.19801 .17768 L
.196 .17385 L
.19801 .17016 L
.19926 .16902 L
F
1 .934 .128 r
.2125 .42027 m
.21734 .41926 L
.22217 .41918 L
.227 .41998 L
.22819 .42027 L
.23183 .42169 L
.23666 .42459 L
.2373 .42511 L
.2415 .42912 L
.24208 .42994 L
.24511 .43477 L
.24633 .43769 L
.24683 .4396 L
.24709 .44443 L
.24633 .44664 L
.24217 .44927 L
.2415 .44939 L
.23666 .44942 L
.23476 .44927 L
.23183 .44904 L
.227 .44868 L
.22217 .44854 L
.21734 .44866 L
.2125 .44901 L
.20942 .44927 L
.20767 .44941 L
.20284 .4494 L
.20201 .44927 L
.19801 .44725 L
.19647 .44443 L
.19615 .4396 L
.19726 .43477 L
.19801 .43222 L
.19966 .42994 L
.20284 .4259 L
.20381 .42511 L
.20767 .42231 L
.21247 .42027 L
F
.163 .941 1 r
.21734 .45401 m
.22217 .45358 L
.227 .45394 L
.22839 .4541 L
.23183 .45507 L
.23666 .45712 L
.23959 .45893 L
.2415 .46025 L
.24507 .46376 L
.24633 .46503 L
.24848 .46859 L
.25075 .47342 L
.25116 .47481 L
.25167 .47826 L
.25116 .48205 L
.25067 .48309 L
.24633 .4857 L
.2415 .48554 L
.23666 .48492 L
.23183 .48433 L
.227 .48399 L
.22217 .48397 L
.21734 .48427 L
.2125 .48483 L
.20767 .48545 L
.20284 .48561 L
.19801 .48339 L
.19779 .48309 L
.19617 .47826 L
.19655 .47342 L
.198 .46859 L
.19801 .46856 L
.20099 .46376 L
.20284 .46138 L
.20582 .45893 L
.20767 .4576 L
.2125 .45526 L
.21667 .4541 L
F
.124 .933 1 r
.2125 .38505 m
.21734 .38439 L
.22217 .38476 L
.227 .38616 L
.22773 .38645 L
.23183 .38869 L
.23498 .39128 L
.23666 .39283 L
.23899 .39612 L
.24145 .40095 L
.2415 .40106 L
.24244 .40578 L
.2415 .40992 L
.24102 .41061 L
.23666 .41279 L
.23183 .41285 L
.227 .41259 L
.22217 .41239 L
.21734 .41238 L
.2125 .41257 L
.20767 .41281 L
.20284 .41266 L
.19831 .41061 L
.19801 .41026 L
.19627 .40578 L
.19668 .40095 L
.19801 .39703 L
.19846 .39612 L
.20191 .39128 L
.20284 .39029 L
.20767 .38687 L
.20834 .38645 L
F
.373 .968 1 r
.22217 .52172 m
.227 .52145 L
.23127 .52174 L
.23183 .52182 L
.23666 .52282 L
.2415 .52456 L
.24539 .52658 L
.24633 .52709 L
.25116 .53077 L
.25159 .53141 L
.25591 .53624 L
.25599 .5363 L
.2584 .54107 L
.26014 .5459 L
.26053 .55073 L
.25794 .55557 L
.25599 .55631 L
.25116 .55617 L
.24798 .55557 L
.24633 .55525 L
.2415 .55425 L
.23666 .55345 L
.23183 .55298 L
.227 .55291 L
.22217 .55325 L
.21734 .55396 L
.2125 .55494 L
.20955 .55557 L
.20767 .55595 L
.20284 .55641 L
.1996 .55557 L
.19801 .55501 L
.19647 .55073 L
.1963 .5459 L
.19731 .54107 L
.19801 .53787 L
.19932 .53624 L
.20275 .53141 L
.20284 .53121 L
.20767 .52705 L
.20849 .52658 L
.2125 .52437 L
.21734 .52265 L
.22189 .52174 L
F
.247 .955 1 r
.2125 .31388 m
.21557 .31397 L
.21734 .31423 L
.22217 .31591 L
.22634 .31881 L
.227 .31922 L
.23045 .32364 L
.23183 .32626 L
.23262 .32847 L
.2328 .3333 L
.23183 .33514 L
.227 .33744 L
.22217 .33797 L
.21734 .33793 L
.2125 .33792 L
.20767 .33791 L
.20284 .33776 L
.19801 .33517 L
.19679 .3333 L
.19637 .32847 L
.19794 .32364 L
.19801 .32345 L
.20146 .31881 L
.20284 .31754 L
.20767 .31482 L
.21155 .31397 L
F
1 .952 .223 r
.22217 .48788 m
.227 .48789 L
.22734 .48792 L
.23183 .4886 L
.23666 .49008 L
.2415 .49245 L
.24193 .49275 L
.24633 .49594 L
.24784 .49758 L
.25116 .50135 L
.2517 .50242 L
.25415 .50725 L
.25551 .51208 L
.25528 .51691 L
.25116 .52103 L
.24633 .52087 L
.2415 .52016 L
.23666 .5194 L
.23183 .51885 L
.227 .51862 L
.22217 .51876 L
.21734 .51925 L
.2125 .51998 L
.20767 .52072 L
.20284 .52088 L
.19801 .51835 L
.19741 .51691 L
.19663 .51208 L
.19732 .50725 L
.19801 .50474 L
.1991 .50242 L
.20235 .49758 L
.20284 .49685 L
.20765 .49275 L
.20767 .49274 L
.2125 .49012 L
.21734 .48859 L
.2217 .48792 L
F
1 .929 .112 r
.21734 .4195 m
.22217 .41941 L
.227 .42023 L
.22719 .42027 L
.23183 .42198 L
.23666 .42499 L
.23681 .42511 L
.2415 .42976 L
.24162 .42994 L
.24457 .43477 L
.24627 .4396 L
.24633 .43992 L
.24636 .44443 L
.24633 .44455 L
.2415 .44916 L
.23666 .44913 L
.23183 .44882 L
.227 .44849 L
.22217 .44835 L
.21734 .44846 L
.2125 .44878 L
.20767 .4491 L
.20284 .44897 L
.19801 .44604 L
.19722 .44443 L
.19673 .4396 L
.19776 .43477 L
.19801 .43373 L
.20017 .42994 L
.20284 .42637 L
.20434 .42511 L
.20767 .42265 L
.2125 .42052 L
.21337 .42027 L
F
1 .938 .147 r
.20767 .35136 m
.2125 .34983 L
.21734 .34961 L
.22217 .35058 L
.22667 .35263 L
.227 .35285 L
.23183 .35689 L
.2323 .35746 L
.23551 .36229 L
.23666 .36526 L
.23708 .36712 L
.23666 .37156 L
.23648 .37196 L
.23183 .37546 L
.227 .37553 L
.22217 .37542 L
.21734 .37535 L
.2125 .37539 L
.20767 .37544 L
.20284 .37513 L
.19801 .37202 L
.19798 .37196 L
.19677 .36712 L
.19773 .36229 L
.19801 .36112 L
.20032 .35746 L
.20284 .35447 L
.20534 .35263 L
F
1 .969 .387 r
.20767 .27861 m
.2125 .27818 L
.21734 .2794 L
.21919 .28015 L
.22217 .28212 L
.22467 .28498 L
.227 .28897 L
.22733 .28981 L
.22774 .29465 L
.227 .29619 L
.22217 .29874 L
.21734 .29922 L
.2125 .29942 L
.20767 .2994 L
.20284 .29869 L
.19801 .29629 L
.19699 .29465 L
.19679 .28981 L
.19801 .28651 L
.19885 .28498 L
.20284 .28063 L
.20406 .28015 L
F
.142 .937 1 r
.22217 .45377 m
.22676 .4541 L
.227 .45413 L
.23183 .45529 L
.23666 .4574 L
.2391 .45893 L
.2415 .46063 L
.24458 .46376 L
.24633 .46565 L
.24798 .46859 L
.25016 .47342 L
.25102 .47826 L
.2497 .48309 L
.24633 .48511 L
.2415 .4852 L
.23666 .48467 L
.23183 .48414 L
.227 .48381 L
.22217 .48379 L
.21734 .48408 L
.2125 .48459 L
.20767 .48512 L
.20284 .48508 L
.19874 .48309 L
.19801 .48202 L
.19684 .47826 L
.19709 .47342 L
.19801 .46985 L
.19853 .46859 L
.20145 .46376 L
.20284 .46189 L
.20629 .45893 L
.20767 .45792 L
.2125 .4555 L
.21734 .4542 L
.21804 .4541 L
F
1 .978 .511 r
.22217 .55546 m
.227 .55492 L
.23183 .55501 L
.23595 .55557 L
.23666 .5557 L
.2415 .557 L
.24633 .55902 L
.24866 .5604 L
.25116 .56182 L
.25523 .56523 L
.25599 .56583 L
.2593 .57006 L
.26082 .57184 L
.26192 .57489 L
.26373 .57973 L
.2643 .58456 L
.26276 .58939 L
.26082 .59042 L
.25599 .59058 L
.25116 .58958 L
.2504 .58939 L
.24633 .58843 L
.2415 .58741 L
.23666 .58671 L
.23183 .5864 L
.227 .58651 L
.22217 .58704 L
.21734 .58795 L
.2125 .58912 L
.21138 .58939 L
.20767 .59026 L
.20284 .5907 L
.19934 .58939 L
.19801 .58783 L
.19692 .58456 L
.1969 .57973 L
.19784 .57489 L
.19801 .57379 L
.20014 .57006 L
.20284 .56577 L
.20351 .56523 L
.20767 .56142 L
.20941 .5604 L
.2125 .55856 L
.21734 .55661 L
.22149 .55557 L
F
.108 .928 1 r
.2125 .3854 m
.21734 .38471 L
.22217 .38508 L
.22682 .38645 L
.227 .38652 L
.23183 .38915 L
.23437 .39128 L
.23666 .3935 L
.23841 .39612 L
.24082 .40095 L
.2415 .40346 L
.24172 .40578 L
.2415 .40766 L
.23986 .41061 L
.23666 .41218 L
.23183 .41248 L
.227 .41229 L
.22217 .41212 L
.21734 .41212 L
.2125 .41227 L
.20767 .41243 L
.20284 .41208 L
.19945 .41061 L
.19801 .40886 L
.197 .40578 L
.19729 .40095 L
.19801 .39846 L
.19906 .39612 L
.20251 .39128 L
.20284 .39091 L
.20767 .38726 L
.20907 .38645 L
F
.325 .964 1 r
.227 .52161 m
.22961 .52174 L
.23183 .52199 L
.23666 .52302 L
.2415 .52482 L
.2448 .52658 L
.24633 .52745 L
.25116 .53136 L
.25119 .53141 L
.25514 .53624 L
.25599 .53706 L
.25759 .54107 L
.25916 .5459 L
.25933 .55073 L
.25599 .55519 L
.25448 .55557 L
.25116 .55561 L
.25078 .55557 L
.24633 .55491 L
.2415 .554 L
.23666 .55324 L
.23183 .5528 L
.227 .55273 L
.22217 .55305 L
.21734 .55372 L
.2125 .55462 L
.20767 .55546 L
.20284 .55555 L
.19801 .55254 L
.19759 .55073 L
.19718 .5459 L
.19794 .54107 L
.19801 .54058 L
.20008 .53624 L
.20284 .53182 L
.20333 .53141 L
.20767 .52743 L
.20909 .52658 L
.2125 .52464 L
.21734 .52285 L
.22217 .52189 L
.22366 .52174 L
F
1 .925 .097 r
.21734 .41973 m
.22217 .41964 L
.22617 .42027 L
.227 .42047 L
.23183 .42228 L
.2363 .42511 L
.23666 .42536 L
.24114 .42994 L
.2415 .43016 L
.24405 .43477 L
.24568 .4396 L
.24561 .44443 L
.2415 .44894 L
.23666 .44887 L
.23183 .44859 L
.227 .44829 L
.22217 .44816 L
.21734 .44826 L
.2125 .44855 L
.20767 .4488 L
.20284 .44855 L
.19801 .44456 L
.19796 .44443 L
.19729 .4396 L
.19801 .43552 L
.19825 .43477 L
.20066 .42994 L
.20284 .42687 L
.20485 .42511 L
.20767 .42299 L
.2125 .42078 L
.21436 .42027 L
F
1 .947 .194 r
.2125 .49036 m
.21734 .48877 L
.22217 .48805 L
.227 .48806 L
.23183 .48878 L
.23666 .4903 L
.24149 .49275 L
.2415 .49275 L
.24633 .49639 L
.24737 .49758 L
.25116 .50222 L
.25125 .50242 L
.25353 .50725 L
.25477 .51208 L
.25432 .51691 L
.25116 .5204 L
.24633 .52049 L
.2415 .51989 L
.23666 .51919 L
.23183 .51867 L
.227 .51846 L
.22217 .51859 L
.21734 .51904 L
.2125 .51972 L
.20767 .52035 L
.20284 .52028 L
.19836 .51691 L
.19801 .51614 L
.19731 .51208 L
.19785 .50725 L
.19801 .50651 L
.19968 .50242 L
.20275 .49758 L
.20284 .49745 L
.20767 .49305 L
.20815 .49275 L
F
.124 .933 1 r
.22217 .45396 m
.22517 .4541 L
.227 .45432 L
.23183 .45551 L
.23666 .45768 L
.23863 .45893 L
.2415 .46102 L
.2441 .46376 L
.24633 .46633 L
.2475 .46859 L
.2496 .47342 L
.25036 .47826 L
.24864 .48309 L
.24633 .48446 L
.2415 .48485 L
.23666 .48443 L
.23183 .48394 L
.227 .48364 L
.22217 .48362 L
.21734 .48388 L
.2125 .48435 L
.20767 .48479 L
.20284 .48453 L
.19974 .48309 L
.19801 .48038 L
.19747 .47826 L
.1976 .47342 L
.19801 .47144 L
.19904 .46859 L
.2019 .46376 L
.20284 .46242 L
.20676 .45893 L
.20767 .45825 L
.2125 .45573 L
.21734 .4544 L
.21962 .4541 L
F
.648 .986 1 r
.22217 .58886 m
.227 .58809 L
.23183 .58792 L
.23666 .58834 L
.2415 .58933 L
.2417 .58939 L
.24633 .5909 L
.25116 .5932 L
.25248 .59422 L
.25599 .59631 L
.25881 .59905 L
.26082 .6007 L
.26279 .60388 L
.26566 .60799 L
.26579 .60872 L
.26728 .61355 L
.26785 .61838 L
.26605 .62321 L
.26566 .62353 L
.26082 .62445 L
.25599 .62349 L
.25497 .62321 L
.25116 .62221 L
.24633 .62098 L
.2415 .62004 L
.23666 .61949 L
.23183 .61935 L
.227 .61965 L
.22217 .62038 L
.21734 .62149 L
.2125 .62283 L
.21107 .62321 L
.20767 .62406 L
.20284 .6244 L
.2 .62321 L
.19801 .62032 L
.19754 .61838 L
.19748 .61355 L
.19801 .60963 L
.19831 .60872 L
.20081 .60388 L
.20284 .60006 L
.20404 .59905 L
.20767 .59546 L
.20975 .59422 L
.2125 .59239 L
.21734 .59023 L
.22006 .58939 L
F
.565 .982 1 r
.20284 .24381 m
.20767 .24218 L
.2125 .24256 L
.21734 .24527 L
.21847 .24633 L
.22176 .25116 L
.22194 .25599 L
.21734 .25903 L
.2125 .25962 L
.20767 .25962 L
.20284 .25902 L
.19801 .25602 L
.19799 .25599 L
.19755 .25116 L
.19801 .24985 L
.19999 .24633 L
F
1 .934 .128 r
.20767 .35197 m
.2125 .35034 L
.21734 .3501 L
.22217 .35111 L
.22578 .35263 L
.227 .35342 L
.23151 .35746 L
.23183 .35785 L
.23471 .36229 L
.23619 .36712 L
.23523 .37196 L
.23183 .37469 L
.227 .37506 L
.22217 .37502 L
.21734 .37497 L
.2125 .37499 L
.20767 .37496 L
.20284 .37438 L
.19922 .37196 L
.19801 .36957 L
.19766 .36712 L
.19801 .36407 L
.19852 .36229 L
.20113 .35746 L
.20284 .35531 L
.20643 .35263 L
F
.215 .95 1 r
.20767 .31575 m
.2125 .31468 L
.21734 .31505 L
.22217 .31693 L
.22494 .31881 L
.227 .32033 L
.22919 .32364 L
.2313 .32847 L
.23107 .3333 L
.227 .33633 L
.22217 .33747 L
.21734 .33743 L
.2125 .3374 L
.20767 .33732 L
.20284 .33695 L
.19853 .3333 L
.19801 .33207 L
.1977 .32847 L
.19801 .3268 L
.19918 .32364 L
.20284 .31889 L
.20292 .31881 L
F
1 .992 .773 r
.22217 .62187 m
.227 .62088 L
.23183 .62048 L
.23666 .62065 L
.2415 .62137 L
.24633 .62265 L
.24783 .62321 L
.25116 .62447 L
.25599 .62702 L
.25689 .62804 L
.26082 .63039 L
.2629 .63288 L
.26566 .63517 L
.26746 .63771 L
.26997 .64254 L
.27049 .64369 L
.27125 .64737 L
.27174 .6522 L
.27049 .65627 L
.26973 .65704 L
.26566 .65808 L
.26082 .65714 L
.26045 .65704 L
.25599 .65571 L
.25116 .65426 L
.24633 .65308 L
.2415 .65229 L
.24072 .6522 L
.23666 .6519 L
.23183 .65196 L
.22898 .6522 L
.227 .65245 L
.22217 .65335 L
.21734 .65466 L
.2125 .65621 L
.2098 .65704 L
.20767 .6576 L
.20284 .65795 L
.20053 .65704 L
.19801 .65306 L
.19783 .6522 L
.19771 .64737 L
.19801 .6442 L
.1985 .64254 L
.201 .63771 L
.20284 .63378 L
.20397 .63288 L
.20767 .62901 L
.20933 .62804 L
.2125 .62577 L
.21734 .62348 L
.21809 .62321 L
F
.094 .924 1 r
.2125 .38575 m
.21734 .38503 L
.22217 .38541 L
.22588 .38645 L
.227 .38687 L
.23183 .38963 L
.23377 .39128 L
.23666 .39424 L
.23784 .39612 L
.24021 .40095 L
.24099 .40578 L
.23854 .41061 L
.23666 .4115 L
.23183 .41208 L
.227 .41199 L
.22217 .41185 L
.21734 .41185 L
.2125 .41197 L
.20767 .41205 L
.20284 .41147 L
.20076 .41061 L
.19801 .40697 L
.19772 .40578 L
.19788 .40095 L
.19801 .40038 L
.19964 .39612 L
.20284 .39145 L
.20309 .39128 L
.20767 .38766 L
.20998 .38645 L
F
1 .92 .085 r
.21734 .41997 m
.22217 .41988 L
.22503 .42027 L
.227 .42071 L
.23183 .42258 L
.2358 .42511 L
.23666 .42572 L
.24065 .42994 L
.2415 .43055 L
.24355 .43477 L
.24511 .4396 L
.24487 .44443 L
.2415 .44858 L
.23666 .44859 L
.23183 .44836 L
.227 .44809 L
.22217 .44796 L
.21734 .44806 L
.2125 .44831 L
.20767 .4485 L
.20284 .44808 L
.19869 .44443 L
.19801 .44225 L
.19784 .4396 L
.19801 .43781 L
.19876 .43477 L
.20113 .42994 L
.20284 .4274 L
.20535 .42511 L
.20767 .42335 L
.2125 .42104 L
.21549 .42027 L
F
.855 .995 1 r
.21734 .65636 m
.22217 .65453 L
.227 .65335 L
.23183 .65276 L
.23666 .65269 L
.2415 .65314 L
.24633 .65413 L
.25116 .65568 L
.25419 .65704 L
.25599 .65776 L
.26082 .66055 L
.26273 .66187 L
.26566 .66419 L
.26818 .6667 L
.27049 .6694 L
.27186 .67153 L
.27404 .67636 L
.27532 .67986 L
.27546 .68119 L
.27566 .68603 L
.27532 .68778 L
.27268 .69086 L
.27049 .69126 L
.26729 .69086 L
.26566 .69046 L
.26082 .68886 L
.25599 .68721 L
.25159 .68603 L
.25116 .68582 L
.24633 .68475 L
.2415 .68409 L
.23666 .68387 L
.23183 .68411 L
.227 .68483 L
.22217 .68598 L
.22213 .68603 L
.21734 .68744 L
.2125 .68919 L
.20767 .69076 L
.20728 .69086 L
.20284 .69112 L
.20189 .69086 L
.19821 .68603 L
.19801 .68519 L
.19787 .68119 L
.19801 .67858 L
.19855 .67636 L
.20025 .67153 L
.20284 .66715 L
.20349 .6667 L
.20767 .66224 L
.20833 .66187 L
.2125 .65879 L
.21633 .65704 L
F
.283 .959 1 r
.2125 .52492 m
.21734 .52306 L
.22217 .52206 L
.227 .52178 L
.23183 .52216 L
.23666 .52323 L
.2415 .52508 L
.24423 .52658 L
.24633 .52781 L
.25057 .53141 L
.25116 .53189 L
.25443 .53624 L
.25599 .53817 L
.2569 .54107 L
.25828 .5459 L
.25821 .55073 L
.25599 .554 L
.25116 .55513 L
.24633 .55457 L
.2415 .55375 L
.23666 .55304 L
.23183 .55261 L
.227 .55255 L
.22217 .55285 L
.21734 .55348 L
.2125 .5543 L
.20767 .55499 L
.20284 .55476 L
.19869 .55073 L
.19801 .54779 L
.19794 .5459 L
.19801 .54464 L
.19869 .54107 L
.20076 .53624 L
.20284 .53245 L
.20396 .53141 L
.20767 .52782 L
.20965 .52658 L
F
1 .943 .169 r
.2125 .4906 m
.21734 .48896 L
.22217 .48821 L
.227 .48822 L
.23183 .48897 L
.23666 .49053 L
.241 .49275 L
.2415 .49304 L
.24633 .49686 L
.24693 .49758 L
.25073 .50242 L
.25116 .50311 L
.25295 .50725 L
.25408 .51208 L
.25337 .51691 L
.25116 .5196 L
.24633 .5201 L
.2415 .51962 L
.23666 .51898 L
.23183 .51849 L
.227 .51829 L
.22217 .51841 L
.21734 .51884 L
.2125 .51946 L
.20767 .51997 L
.20284 .51963 L
.1993 .51691 L
.19801 .51291 L
.19794 .51208 L
.19801 .50967 L
.19841 .50725 L
.20022 .50242 L
.20284 .4979 L
.20323 .49758 L
.20767 .49336 L
.20865 .49275 L
F
1 .974 .445 r
.227 .55511 m
.23183 .5552 L
.2348 .55557 L
.23666 .5559 L
.2415 .55725 L
.24633 .55937 L
.24797 .5604 L
.25116 .56234 L
.25433 .56523 L
.25599 .56667 L
.25827 .57006 L
.26082 .574 L
.26105 .57489 L
.26244 .57973 L
.26269 .58456 L
.26082 .58835 L
.25879 .58939 L
.25599 .58969 L
.25317 .58939 L
.25116 .58908 L
.24633 .58808 L
.2415 .58714 L
.23666 .58648 L
.23183 .58618 L
.227 .58629 L
.22217 .58679 L
.21734 .58763 L
.2125 .58866 L
.20864 .58939 L
.20767 .58953 L
.20297 .58939 L
.20284 .58936 L
.19843 .58456 L
.19801 .58226 L
.19797 .57973 L
.19801 .57915 L
.19889 .57489 L
.20113 .57006 L
.20284 .56671 L
.20441 .56523 L
.20767 .56195 L
.21013 .5604 L
.2125 .55891 L
.21734 .55686 L
.22217 .55566 L
.22272 .55557 L
F
.108 .928 1 r
.20767 .45858 m
.2125 .45597 L
.21734 .45459 L
.22217 .45414 L
.227 .45451 L
.23183 .45573 L
.23666 .45797 L
.23816 .45893 L
.2415 .46142 L
.24365 .46376 L
.24633 .46708 L
.24705 .46859 L
.24906 .47342 L
.24971 .47826 L
.24745 .48309 L
.24633 .48375 L
.2415 .48449 L
.23666 .48418 L
.23183 .48374 L
.227 .48346 L
.22217 .48344 L
.21734 .48369 L
.2125 .48411 L
.20767 .48445 L
.20284 .48395 L
.20089 .48309 L
.19809 .47826 L
.19809 .47342 L
.19953 .46859 L
.20231 .46376 L
.20284 .46298 L
.20721 .45893 L
F
1 .916 .074 r
.21734 .42021 m
.22217 .42011 L
.22361 .42027 L
.227 .42096 L
.23183 .42288 L
.2353 .42511 L
.23666 .4261 L
.24018 .42994 L
.2415 .43109 L
.24307 .43477 L
.24455 .4396 L
.24413 .44443 L
.2415 .44805 L
.23666 .44829 L
.23183 .44812 L
.227 .44788 L
.22217 .44777 L
.21734 .44785 L
.2125 .44807 L
.20767 .44818 L
.20284 .44756 L
.19943 .44443 L
.19838 .4396 L
.19925 .43477 L
.20158 .42994 L
.20284 .42798 L
.20585 .42511 L
.20767 .4237 L
.2125 .4213 L
.21688 .42027 L
F
.082 .919 1 r
.2125 .3861 m
.21734 .38535 L
.22217 .38574 L
.22486 .38645 L
.227 .38722 L
.23183 .39012 L
.23318 .39128 L
.23666 .39505 L
.23729 .39612 L
.2396 .40095 L
.24027 .40578 L
.23697 .41061 L
.23666 .41075 L
.23183 .41167 L
.227 .41168 L
.22217 .41158 L
.21734 .41157 L
.2125 .41166 L
.20767 .41165 L
.20284 .41081 L
.20233 .41061 L
.19843 .40578 L
.19848 .40095 L
.2002 .39612 L
.20284 .39188 L
.20368 .39128 L
.20767 .38808 L
.21112 .38645 L
F
1 .929 .112 r
.20767 .3526 m
.2125 .35086 L
.21734 .3506 L
.22217 .35166 L
.22471 .35263 L
.227 .35403 L
.23072 .35746 L
.23183 .35885 L
.23392 .36229 L
.23531 .36712 L
.23388 .37196 L
.23183 .3737 L
.227 .37453 L
.22217 .3746 L
.21734 .37458 L
.2125 .37457 L
.20767 .37443 L
.20284 .37351 L
.20057 .37196 L
.19854 .36712 L
.1993 .36229 L
.20193 .35746 L
.20284 .35626 L
.20763 .35263 L
F
1 .938 .147 r
.2125 .49085 m
.21734 .48915 L
.22217 .48838 L
.227 .48839 L
.23183 .48915 L
.23666 .49076 L
.24052 .49275 L
.2415 .49333 L
.24633 .49733 L
.24653 .49758 L
.25021 .50242 L
.25116 .50407 L
.25241 .50725 L
.25342 .51208 L
.25241 .51691 L
.25116 .51859 L
.24633 .51968 L
.2415 .51934 L
.23666 .51877 L
.23183 .51831 L
.227 .51812 L
.22217 .51824 L
.21734 .51864 L
.2125 .51919 L
.20767 .51959 L
.20284 .51894 L
.20024 .51691 L
.19861 .51208 L
.19899 .50725 L
.20072 .50242 L
.20284 .49837 L
.20372 .49758 L
.20767 .49369 L
.20913 .49275 L
F
.094 .924 1 r
.20767 .45891 m
.2125 .45621 L
.21734 .45479 L
.22217 .45432 L
.227 .4547 L
.23183 .45595 L
.23666 .45825 L
.23771 .45893 L
.2415 .46183 L
.24322 .46376 L
.24633 .46791 L
.24663 .46859 L
.24855 .47342 L
.24908 .47826 L
.24633 .48298 L
.24612 .48309 L
.2415 .48412 L
.23666 .48393 L
.23183 .48354 L
.227 .48328 L
.22217 .48326 L
.21734 .48349 L
.2125 .48387 L
.20767 .4841 L
.20284 .48334 L
.20223 .48309 L
.19872 .47826 L
.19862 .47342 L
.2 .46859 L
.20271 .46376 L
.20284 .46356 L
.20765 .45893 L
F
.247 .955 1 r
.2125 .5252 m
.21734 .52326 L
.22217 .52223 L
.227 .52194 L
.23183 .52233 L
.23666 .52343 L
.2415 .52534 L
.2437 .52658 L
.24633 .52818 L
.24998 .53141 L
.25116 .53244 L
.25379 .53624 L
.25599 .53982 L
.2563 .54107 L
.25748 .5459 L
.25714 .55073 L
.25599 .55264 L
.25116 .55462 L
.24633 .55423 L
.2415 .55349 L
.23666 .55283 L
.23183 .55243 L
.227 .55236 L
.22217 .55265 L
.21734 .55324 L
.2125 .55397 L
.20767 .5545 L
.20284 .5539 L
.19977 .55073 L
.19877 .5459 L
.19943 .54107 L
.20136 .53624 L
.20284 .53318 L
.20455 .53141 L
.20767 .52822 L
.21019 .52658 L
F
1 .911 .064 r
.20767 .42407 m
.2125 .42156 L
.21734 .42044 L
.22217 .42034 L
.227 .4212 L
.23183 .42318 L
.23481 .42511 L
.23666 .42649 L
.23972 .42994 L
.2415 .43182 L
.2426 .43477 L
.24401 .4396 L
.24338 .44443 L
.2415 .44731 L
.23666 .44797 L
.23183 .44788 L
.227 .44767 L
.22217 .44757 L
.21734 .44764 L
.2125 .44782 L
.20767 .44786 L
.20284 .44698 L
.20018 .44443 L
.19893 .4396 L
.19974 .43477 L
.20203 .42994 L
.20284 .42861 L
.20634 .42511 L
F
.187 .946 1 r
.20767 .31676 m
.2125 .31553 L
.21734 .31593 L
.22217 .31803 L
.22335 .31881 L
.227 .32201 L
.2279 .32364 L
.22996 .32847 L
.22922 .3333 L
.227 .33502 L
.22217 .33678 L
.21734 .33682 L
.2125 .33678 L
.20767 .33659 L
.20284 .33564 L
.20037 .3333 L
.19902 .32847 L
.20045 .32364 L
.20284 .32033 L
.20421 .31881 L
F
.071 .915 1 r
.21734 .38568 m
.22217 .38607 L
.22371 .38645 L
.227 .38758 L
.23183 .39062 L
.23259 .39128 L
.23666 .39596 L
.23675 .39612 L
.23901 .40095 L
.23955 .40578 L
.23666 .41001 L
.23577 .41061 L
.23183 .41124 L
.227 .41136 L
.22217 .4113 L
.21734 .4113 L
.2125 .41135 L
.20767 .41123 L
.20355 .41061 L
.20284 .41014 L
.19915 .40578 L
.19907 .40095 L
.20076 .39612 L
.20284 .39242 L
.20427 .39128 L
.20767 .38851 L
.2125 .38646 L
.21254 .38645 L
F
.082 .919 1 r
.2125 .45645 m
.21734 .45498 L
.22217 .4545 L
.227 .45489 L
.23183 .45617 L
.23666 .45854 L
.23726 .45893 L
.2415 .46225 L
.2428 .46376 L
.24621 .46859 L
.24633 .46882 L
.24805 .47342 L
.24846 .47826 L
.24633 .48222 L
.24468 .48309 L
.2415 .48374 L
.23666 .48367 L
.23183 .48334 L
.227 .4831 L
.22635 .48309 L
.22217 .48308 L
.22199 .48309 L
.21734 .48329 L
.2125 .48362 L
.20767 .48376 L
.20373 .48309 L
.20284 .48294 L
.19934 .47826 L
.19913 .47342 L
.20046 .46859 L
.20284 .46388 L
.20314 .46376 L
.20767 .4592 L
.20811 .45893 L
F
1 .969 .387 r
.227 .5553 m
.23183 .55539 L
.23347 .55557 L
.23666 .5561 L
.2415 .55751 L
.24633 .55972 L
.24735 .5604 L
.25116 .56286 L
.25354 .56523 L
.25599 .56757 L
.25742 .57006 L
.26013 .57489 L
.26082 .57681 L
.26138 .57973 L
.26126 .58456 L
.26082 .58574 L
.25599 .58891 L
.25116 .58857 L
.24633 .58772 L
.2415 .58687 L
.23666 .58625 L
.23183 .58597 L
.227 .58606 L
.22217 .58653 L
.21734 .5873 L
.2125 .58821 L
.20767 .58883 L
.20284 .58812 L
.19993 .58456 L
.19916 .57973 L
.19993 .57489 L
.20192 .57006 L
.20284 .56782 L
.2052 .56523 L
.20767 .56249 L
.21079 .5604 L
.2125 .55926 L
.21734 .55711 L
.22217 .55585 L
.22407 .55557 L
F
1 .965 .337 r
.2125 .28006 m
.21324 .28015 L
.21734 .28092 L
.22209 .28498 L
.22217 .28512 L
.2249 .28981 L
.22456 .29465 L
.22217 .29652 L
.21734 .29767 L
.2125 .29865 L
.20767 .29849 L
.20284 .29654 L
.20016 .29465 L
.19922 .28981 L
.2014 .28498 L
.20284 .283 L
.20767 .28031 L
.20972 .28015 L
F
1 .934 .128 r
.2125 .49109 m
.21734 .48934 L
.22217 .48855 L
.227 .48855 L
.23183 .48934 L
.23666 .49099 L
.24005 .49275 L
.2415 .49362 L
.2461 .49758 L
.24633 .49776 L
.24971 .50242 L
.25116 .50513 L
.2519 .50725 L
.25279 .51208 L
.25143 .51691 L
.25116 .51731 L
.24633 .51925 L
.2415 .51906 L
.23666 .51856 L
.23183 .51813 L
.227 .51795 L
.22217 .51806 L
.21734 .51843 L
.2125 .51893 L
.20767 .5192 L
.20284 .51821 L
.20121 .51691 L
.19926 .51208 L
.19954 .50725 L
.2012 .50242 L
.20284 .49893 L
.20419 .49758 L
.20767 .49402 L
.2096 .49275 L
F
.565 .982 1 r
.22217 .58913 m
.227 .58832 L
.23183 .58814 L
.23666 .58857 L
.24083 .58939 L
.2415 .5896 L
.24633 .59126 L
.25116 .59373 L
.2517 .59422 L
.25599 .59715 L
.25758 .59905 L
.26082 .60229 L
.2615 .60388 L
.26417 .60872 L
.26561 .61355 L
.26552 .61838 L
.26082 .62292 L
.25599 .62263 L
.25116 .62164 L
.24633 .62057 L
.2415 .61971 L
.23666 .6192 L
.23183 .61907 L
.227 .61935 L
.22217 .62001 L
.21734 .621 L
.2125 .62211 L
.20767 .62288 L
.20284 .62218 L
.19995 .61838 L
.19929 .61355 L
.20011 .60872 L
.20212 .60388 L
.20284 .60177 L
.20534 .59905 L
.20767 .59627 L
.21072 .59422 L
.2125 .59289 L
.21734 .59057 L
.2211 .58939 L
F
1 .925 .097 r
.2125 .3514 m
.21734 .35111 L
.22217 .35222 L
.22335 .35263 L
.227 .35468 L
.22992 .35746 L
.23183 .35996 L
.23314 .36229 L
.23442 .36712 L
.23238 .37196 L
.23183 .37245 L
.227 .37395 L
.22217 .37416 L
.21734 .37417 L
.2125 .37413 L
.20767 .37387 L
.20284 .3725 L
.20206 .37196 L
.19942 .36712 L
.20009 .36229 L
.20274 .35746 L
.20284 .35732 L
.20767 .35311 L
.20888 .35263 L
F
1 .907 .056 r
.20767 .42445 m
.2125 .42183 L
.21734 .42067 L
.22217 .42056 L
.227 .42145 L
.23183 .4235 L
.23432 .42511 L
.23666 .4269 L
.23927 .42994 L
.2415 .43279 L
.24215 .43477 L
.24348 .4396 L
.24261 .44443 L
.2415 .44632 L
.23666 .44763 L
.23183 .44763 L
.227 .44746 L
.22217 .44737 L
.21734 .44743 L
.2125 .44757 L
.20767 .44752 L
.20284 .44633 L
.20094 .44443 L
.19947 .4396 L
.20021 .43477 L
.20246 .42994 L
.20284 .42929 L
.20683 .42511 L
F
.215 .95 1 r
.2125 .52548 m
.21734 .52347 L
.22217 .52241 L
.227 .5221 L
.23183 .5225 L
.23666 .52363 L
.2415 .52561 L
.24319 .52658 L
.24633 .52855 L
.24943 .53141 L
.25116 .53304 L
.2532 .53624 L
.2557 .54107 L
.25599 .5419 L
.25675 .5459 L
.2561 .55073 L
.25599 .55095 L
.25116 .55407 L
.24633 .55387 L
.2415 .55323 L
.23666 .55262 L
.23183 .55224 L
.227 .55218 L
.22217 .55245 L
.21734 .55299 L
.2125 .55365 L
.20767 .55401 L
.20284 .55294 L
.20083 .55073 L
.19956 .5459 L
.2001 .54107 L
.2019 .53624 L
.20284 .53403 L
.2051 .53141 L
.20767 .52864 L
.2107 .52658 L
F
.071 .915 1 r
.2125 .45669 m
.21734 .45518 L
.22217 .45469 L
.227 .45508 L
.23183 .4564 L
.23666 .45883 L
.23681 .45893 L
.2415 .46269 L
.24239 .46376 L
.24576 .46859 L
.24633 .46973 L
.24757 .47342 L
.24785 .47826 L
.24633 .48137 L
.24293 .48309 L
.2415 .48334 L
.23666 .48341 L
.23183 .48314 L
.23096 .48309 L
.227 .48294 L
.22217 .48292 L
.21744 .48309 L
.21734 .48309 L
.2125 .48337 L
.20767 .4834 L
.2055 .48309 L
.20284 .48262 L
.19996 .47826 L
.19962 .47342 L
.20089 .46859 L
.20284 .46415 L
.20356 .46376 L
.20767 .4595 L
.20856 .45893 L
F
.062 .91 1 r
.21734 .38601 m
.22217 .38641 L
.22235 .38645 L
.227 .38795 L
.23183 .39114 L
.232 .39128 L
.2362 .39612 L
.23666 .39688 L
.23843 .40095 L
.23883 .40578 L
.23666 .40922 L
.23335 .41061 L
.23183 .41079 L
.227 .41103 L
.22217 .41101 L
.21734 .41101 L
.2125 .41103 L
.20767 .41081 L
.20589 .41061 L
.20284 .40945 L
.19987 .40578 L
.19966 .40095 L
.20131 .39612 L
.20284 .3931 L
.20486 .39128 L
.20767 .38896 L
.2125 .38678 L
.21396 .38645 L
F
1 .996 .888 r
.227 .68563 m
.23183 .68479 L
.23666 .6845 L
.2415 .68474 L
.24633 .68551 L
.24848 .68603 L
.25116 .68676 L
.25599 .68858 L
.26047 .69086 L
.26082 .69102 L
.26566 .69417 L
.26753 .69569 L
.27049 .69845 L
.27221 .70052 L
.2753 .70535 L
.27532 .70538 L
.27671 .71019 L
.27779 .71502 L
.27718 .71985 L
.27532 .72225 L
.27049 .72255 L
.26566 .72123 L
.26157 .71985 L
.26082 .7196 L
.25599 .71804 L
.25116 .71675 L
.24633 .71586 L
.2415 .71541 L
.23666 .71538 L
.23183 .71579 L
.227 .71665 L
.22217 .71796 L
.21734 .7196 L
.21662 .71985 L
.2125 .72127 L
.20767 .72256 L
.20284 .72186 L
.20101 .71985 L
.19973 .71502 L
.20008 .71019 L
.20105 .70535 L
.20284 .70111 L
.20377 .70052 L
.20764 .69569 L
.20767 .69565 L
.2125 .69173 L
.21436 .69086 L
.21734 .689 L
.22217 .68697 L
.22547 .68603 L
F
1 .929 .112 r
.2125 .49134 m
.21734 .48953 L
.22217 .48871 L
.227 .48872 L
.23183 .48952 L
.23666 .49121 L
.23959 .49275 L
.2415 .49391 L
.24565 .49758 L
.24633 .49814 L
.24923 .50242 L
.25116 .50637 L
.25143 .50725 L
.25218 .51208 L
.25116 .51601 L
.25053 .51691 L
.24633 .51879 L
.2415 .51877 L
.23666 .51834 L
.23183 .51795 L
.227 .51778 L
.22217 .51788 L
.21734 .51822 L
.2125 .51866 L
.20767 .51881 L
.20284 .51741 L
.20223 .51691 L
.19988 .51208 L
.20007 .50725 L
.20165 .50242 L
.20284 .49959 L
.20464 .49758 L
.20767 .49436 L
.21006 .49275 L
F
1 .903 .049 r
.20767 .42483 m
.2125 .42211 L
.21734 .4209 L
.22217 .42079 L
.227 .4217 L
.23183 .42381 L
.23382 .42511 L
.23666 .42733 L
.23882 .42994 L
.2415 .43405 L
.24171 .43477 L
.24295 .4396 L
.24183 .44443 L
.2415 .44506 L
.23666 .44726 L
.23183 .44737 L
.227 .44724 L
.22217 .44716 L
.21734 .44721 L
.2125 .44732 L
.20767 .44717 L
.20284 .4456 L
.20172 .44443 L
.2 .4396 L
.20066 .43477 L
.20284 .43001 L
.20289 .42994 L
.20733 .42511 L
F
.062 .91 1 r
.2125 .45694 m
.21734 .45538 L
.22217 .45487 L
.227 .45527 L
.23183 .45662 L
.23637 .45893 L
.23666 .4591 L
.2415 .46314 L
.242 .46376 L
.24533 .46859 L
.24633 .47078 L
.24711 .47342 L
.24725 .47826 L
.24633 .48039 L
.2415 .48304 L
.24008 .48309 L
.23666 .48315 L
.23506 .48309 L
.23183 .48295 L
.227 .48277 L
.22217 .48275 L
.21734 .48291 L
.21339 .48309 L
.2125 .48312 L
.20828 .48309 L
.20767 .48305 L
.20284 .48215 L
.20056 .47826 L
.2001 .47342 L
.20131 .46859 L
.20284 .46457 L
.20398 .46376 L
.20767 .45981 L
.20901 .45893 L
F
1 .965 .337 r
.227 .55548 m
.23175 .55557 L
.23183 .55557 L
.23666 .5563 L
.2415 .55776 L
.24633 .56007 L
.2468 .5604 L
.25116 .56341 L
.25285 .56523 L
.25599 .56858 L
.25672 .57006 L
.25919 .57489 L
.26041 .57973 L
.25988 .58456 L
.25599 .58809 L
.25116 .58806 L
.24633 .58736 L
.2415 .58659 L
.23666 .58601 L
.23183 .58575 L
.227 .58584 L
.22217 .58628 L
.21734 .58698 L
.2125 .58775 L
.20767 .58811 L
.20284 .58665 L
.20133 .58456 L
.20024 .57973 L
.20084 .57489 L
.20255 .57006 L
.20284 .56919 L
.20589 .56523 L
.20767 .56307 L
.21139 .5604 L
.2125 .55962 L
.21734 .55736 L
.22217 .55605 L
.22584 .55557 L
F
.054 .906 1 r
.21734 .38634 m
.22022 .38645 L
.22217 .38672 L
.227 .38833 L
.23142 .39128 L
.23183 .39151 L
.23566 .39612 L
.23666 .39789 L
.23786 .40095 L
.2381 .40578 L
.23666 .40831 L
.23183 .41034 L
.22912 .41061 L
.227 .4107 L
.22217 .41072 L
.21734 .41072 L
.2125 .4107 L
.21019 .41061 L
.20767 .41048 L
.20284 .40869 L
.20059 .40578 L
.20024 .40095 L
.20184 .39612 L
.20284 .39395 L
.20546 .39128 L
.20767 .38943 L
.2125 .38711 L
.21604 .38645 L
F
.187 .946 1 r
.2125 .52576 m
.21734 .52368 L
.22217 .52258 L
.227 .52227 L
.23183 .52267 L
.23666 .52384 L
.2415 .52588 L
.24269 .52658 L
.24633 .52893 L
.2489 .53141 L
.25116 .53368 L
.25266 .53624 L
.25506 .54107 L
.25599 .54494 L
.25607 .5459 L
.25599 .54791 L
.25508 .55073 L
.25116 .55347 L
.24633 .55351 L
.2415 .55297 L
.23666 .55241 L
.23183 .55206 L
.227 .552 L
.22217 .55225 L
.21734 .55275 L
.2125 .55332 L
.20767 .55351 L
.20284 .55186 L
.20188 .55073 L
.2003 .5459 L
.20073 .54107 L
.20239 .53624 L
.20284 .53503 L
.20561 .53141 L
.20767 .52907 L
.2112 .52658 L
F
1 .92 .085 r
.2125 .35196 m
.21734 .35164 L
.22172 .35263 L
.22217 .35276 L
.227 .3554 L
.2291 .35746 L
.23183 .36124 L
.23236 .36229 L
.23353 .36712 L
.23183 .37116 L
.23087 .37196 L
.227 .37331 L
.22217 .37369 L
.21734 .37373 L
.2125 .37366 L
.20767 .37326 L
.20359 .37196 L
.20284 .37141 L
.20031 .36712 L
.20087 .36229 L
.20284 .35842 L
.20352 .35746 L
.20767 .35366 L
.21032 .35263 L
F
.163 .941 1 r
.20767 .3179 m
.2125 .31646 L
.21734 .31689 L
.22154 .31881 L
.22217 .31921 L
.22662 .32364 L
.227 .32431 L
.22858 .32847 L
.22707 .3333 L
.227 .33336 L
.22217 .33582 L
.21734 .33609 L
.2125 .33604 L
.20767 .33566 L
.20284 .33364 L
.20251 .3333 L
.20039 .32847 L
.20177 .32364 L
.20284 .32201 L
.20597 .31881 L
F
1 .925 .097 r
.2125 .49159 m
.21734 .48972 L
.22217 .48888 L
.227 .48889 L
.23183 .48971 L
.23666 .49145 L
.23913 .49275 L
.2415 .49421 L
.24521 .49758 L
.24633 .49856 L
.24877 .50242 L
.25095 .50725 L
.25116 .50802 L
.25159 .51208 L
.25116 .5144 L
.24957 .51691 L
.24633 .5183 L
.2415 .51848 L
.23666 .51812 L
.23183 .51777 L
.227 .51761 L
.22217 .5177 L
.21734 .51802 L
.2125 .51839 L
.20767 .5184 L
.20317 .51691 L
.20284 .51657 L
.20049 .51208 L
.20057 .50725 L
.20207 .50242 L
.20284 .50039 L
.20507 .49758 L
.20767 .49472 L
.21052 .49275 L
F
1 .898 .043 r
.2125 .42239 m
.21734 .42113 L
.22217 .42101 L
.227 .42195 L
.23183 .42413 L
.23333 .42511 L
.23666 .42778 L
.23839 .42994 L
.24126 .43477 L
.2415 .43537 L
.24244 .4396 L
.2415 .44381 L
.24106 .44443 L
.23666 .44686 L
.23183 .44711 L
.227 .44702 L
.22217 .44696 L
.21734 .447 L
.2125 .44706 L
.20767 .4468 L
.20284 .44477 L
.20253 .44443 L
.20052 .4396 L
.20111 .43477 L
.20284 .43073 L
.20333 .42994 L
.20767 .42519 L
.20781 .42511 L
F
.054 .906 1 r
.2125 .45719 m
.21734 .45558 L
.22217 .45505 L
.227 .45546 L
.23183 .45685 L
.23593 .45893 L
.23666 .45936 L
.2415 .4636 L
.24162 .46376 L
.2449 .46859 L
.24633 .47206 L
.24666 .47342 L
.24666 .47826 L
.24633 .47917 L
.2415 .48288 L
.23666 .48293 L
.23183 .48277 L
.227 .4826 L
.22217 .48258 L
.21734 .48272 L
.2125 .4829 L
.20767 .48276 L
.20284 .4815 L
.20116 .47826 L
.20057 .47342 L
.20172 .46859 L
.20284 .4652 L
.20439 .46376 L
.20767 .46013 L
.20946 .45893 L
F
.047 .901 1 r
.20767 .38992 m
.2125 .38745 L
.21734 .38665 L
.22217 .38703 L
.227 .38871 L
.23085 .39128 L
.23183 .39186 L
.23512 .39612 L
.23666 .39909 L
.23729 .40095 L
.23737 .40578 L
.23666 .40721 L
.23183 .40988 L
.227 .41047 L
.22217 .41048 L
.21734 .41048 L
.2125 .41044 L
.20767 .41021 L
.20284 .40786 L
.20133 .40578 L
.20081 .40095 L
.20238 .39612 L
.20284 .395 L
.20606 .39128 L
F
1 .987 .673 r
.22217 .62226 m
.227 .6212 L
.23183 .62077 L
.23666 .62094 L
.2415 .6217 L
.24633 .62307 L
.24668 .62321 L
.25116 .62505 L
.25599 .62794 L
.25604 .62804 L
.26082 .63199 L
.26122 .63288 L
.26509 .63771 L
.26566 .63863 L
.26704 .64254 L
.26816 .64737 L
.26759 .6522 L
.26566 .65495 L
.26082 .65548 L
.25599 .65467 L
.25116 .65355 L
.24633 .65256 L
.24424 .6522 L
.2415 .65186 L
.23666 .6515 L
.23183 .65155 L
.227 .65199 L
.22555 .6522 L
.22217 .65279 L
.21734 .65385 L
.2125 .65495 L
.20767 .65545 L
.20284 .65341 L
.20209 .6522 L
.20093 .64737 L
.20143 .64254 L
.20279 .63771 L
.20284 .63737 L
.20608 .63288 L
.20767 .63041 L
.21088 .62804 L
.2125 .62658 L
.21734 .62396 L
.21935 .62321 L
F
.492 .977 1 r
.227 .58855 m
.23183 .58836 L
.23666 .58881 L
.2399 .58939 L
.2415 .58987 L
.24633 .59163 L
.25108 .59422 L
.25116 .59426 L
.25599 .59804 L
.25668 .59905 L
.26065 .60388 L
.26082 .60415 L
.26274 .60872 L
.26391 .61355 L
.26332 .61838 L
.26082 .62142 L
.25599 .62176 L
.25116 .62106 L
.24633 .62015 L
.2415 .61939 L
.23666 .61891 L
.23183 .6188 L
.227 .61905 L
.22217 .61965 L
.21734 .62051 L
.2125 .62139 L
.20767 .62171 L
.20284 .61957 L
.20212 .61838 L
.20096 .61355 L
.20148 .60872 L
.20284 .6041 L
.20295 .60388 L
.20635 .59905 L
.20767 .59715 L
.21152 .59422 L
.2125 .59341 L
.21734 .5909 L
.22217 .5894 L
.2222 .58939 L
F
.163 .941 1 r
.2125 .52605 m
.21734 .52389 L
.22217 .52275 L
.227 .52243 L
.23183 .52285 L
.23666 .52405 L
.2415 .52615 L
.24222 .52658 L
.24633 .52932 L
.24841 .53141 L
.25116 .53438 L
.25216 .53624 L
.25444 .54107 L
.25536 .5459 L
.25404 .55073 L
.25116 .5528 L
.24633 .55313 L
.2415 .55271 L
.23666 .5522 L
.23183 .55187 L
.227 .55181 L
.22217 .55205 L
.21734 .55251 L
.2125 .55299 L
.20767 .55299 L
.20293 .55073 L
.20284 .55062 L
.201 .5459 L
.20131 .54107 L
.20283 .53624 L
.20284 .53621 L
.20609 .53141 L
.20767 .52952 L
.21168 .52658 L
F
.047 .901 1 r
.2125 .45745 m
.21734 .45578 L
.22217 .45524 L
.227 .45566 L
.23183 .45708 L
.23549 .45893 L
.23666 .45963 L
.24123 .46376 L
.2415 .46387 L
.24449 .46859 L
.24621 .47342 L
.24607 .47826 L
.2415 .48267 L
.23666 .48272 L
.23183 .48259 L
.227 .48243 L
.22217 .48241 L
.21734 .48254 L
.2125 .48267 L
.20767 .48245 L
.20284 .48061 L
.20175 .47826 L
.20103 .47342 L
.20212 .46859 L
.20284 .46608 L
.20479 .46376 L
.20767 .46047 L
.20991 .45893 L
F
1 .894 .037 r
.2125 .42267 m
.21734 .42137 L
.22217 .42124 L
.227 .42221 L
.23183 .42446 L
.23283 .42511 L
.23666 .42826 L
.23796 .42994 L
.24081 .43477 L
.2415 .43681 L
.24192 .4396 L
.2415 .44244 L
.24027 .44443 L
.23666 .44643 L
.23183 .44683 L
.227 .4468 L
.22217 .44675 L
.21734 .44677 L
.2125 .44679 L
.20767 .44642 L
.20332 .44443 L
.20284 .44394 L
.20104 .4396 L
.20156 .43477 L
.20284 .43152 L
.20376 .42994 L
.20767 .42547 L
.20827 .42511 L
F
1 .92 .085 r
.2125 .49185 m
.21734 .48992 L
.22217 .48905 L
.227 .48906 L
.23183 .4899 L
.23666 .49168 L
.23868 .49275 L
.2415 .49452 L
.24479 .49758 L
.24633 .49902 L
.24834 .50242 L
.25045 .50725 L
.25102 .51208 L
.24848 .51691 L
.24633 .51779 L
.2415 .51818 L
.23666 .5179 L
.23183 .51758 L
.227 .51744 L
.22217 .51752 L
.21734 .51781 L
.2125 .51812 L
.20767 .51798 L
.20407 .51691 L
.20284 .5157 L
.20108 .51208 L
.20106 .50725 L
.20247 .50242 L
.20284 .50134 L
.20549 .49758 L
.20767 .49509 L
.21097 .49275 L
F
1 .961 .294 r
.2125 .55999 m
.21734 .55761 L
.22217 .55625 L
.227 .55567 L
.23183 .55575 L
.23666 .55651 L
.2415 .55802 L
.24627 .5604 L
.24633 .56043 L
.25116 .56396 L
.25225 .56523 L
.25599 .5697 L
.25614 .57006 L
.25834 .57489 L
.2594 .57973 L
.25851 .58456 L
.25599 .58708 L
.25116 .58752 L
.24633 .58699 L
.2415 .58631 L
.23666 .58578 L
.23183 .58554 L
.227 .58562 L
.22217 .58602 L
.21734 .58666 L
.2125 .5873 L
.20767 .58738 L
.20284 .5848 L
.20268 .58456 L
.2012 .57973 L
.20163 .57489 L
.20284 .57077 L
.20318 .57006 L
.20651 .56523 L
.20767 .56368 L
.21194 .5604 L
F
1 .916 .074 r
.2125 .35253 m
.21734 .35218 L
.21986 .35263 L
.22217 .35322 L
.227 .35619 L
.22826 .35746 L
.23159 .36229 L
.23183 .3629 L
.23261 .36712 L
.23183 .36963 L
.22902 .37196 L
.227 .37259 L
.22217 .37318 L
.21734 .37327 L
.2125 .37316 L
.20767 .3726 L
.20541 .37196 L
.20284 .37024 L
.20122 .36712 L
.20165 .36229 L
.20284 .35967 L
.20432 .35746 L
.20767 .35429 L
.21213 .35263 L
F
.041 .897 1 r
.20767 .39043 m
.2125 .38781 L
.21734 .38696 L
.22217 .38735 L
.227 .38912 L
.23027 .39128 L
.23183 .39227 L
.23458 .39612 L
.23666 .40073 L
.23672 .40095 L
.23666 .40567 L
.23663 .40578 L
.23183 .4094 L
.227 .41026 L
.22217 .41027 L
.21734 .41025 L
.2125 .41019 L
.20767 .40989 L
.20284 .40692 L
.20207 .40578 L
.20138 .40095 L
.20284 .39625 L
.20291 .39612 L
.20668 .39128 L
F
.2125 .4577 m
.21734 .45599 L
.22217 .45543 L
.227 .45586 L
.23183 .45731 L
.23505 .45893 L
.23666 .45991 L
.24083 .46376 L
.2415 .46409 L
.24408 .46859 L
.24576 .47342 L
.24548 .47826 L
.2415 .4824 L
.23666 .4825 L
.23183 .4824 L
.227 .48226 L
.22217 .48224 L
.21734 .48235 L
.2125 .48244 L
.20767 .48213 L
.20284 .47945 L
.20235 .47826 L
.20147 .47342 L
.2025 .46859 L
.20284 .46724 L
.20518 .46376 L
.20767 .46082 L
.21036 .45893 L
F
1 .916 .074 r
.2125 .4921 m
.21734 .49012 L
.22217 .48923 L
.227 .48923 L
.23183 .49009 L
.23666 .49191 L
.23823 .49275 L
.2415 .49484 L
.24437 .49758 L
.24633 .49953 L
.24792 .50242 L
.24997 .50725 L
.25043 .51208 L
.24718 .51691 L
.24633 .51724 L
.2415 .51788 L
.23666 .51768 L
.23183 .5174 L
.227 .51726 L
.22217 .51734 L
.21734 .5176 L
.2125 .51785 L
.20767 .51756 L
.20524 .51691 L
.20284 .51474 L
.20166 .51208 L
.20152 .50725 L
.20284 .50246 L
.20286 .50242 L
.20589 .49758 L
.20767 .49548 L
.21141 .49275 L
F
1 .889 .032 r
.2125 .42296 m
.21734 .42161 L
.22217 .42148 L
.227 .42247 L
.23183 .42479 L
.23232 .42511 L
.23666 .42877 L
.23754 .42994 L
.24037 .43477 L
.24141 .4396 L
.23943 .44443 L
.23666 .44597 L
.23183 .44655 L
.227 .44657 L
.22217 .44653 L
.21734 .44655 L
.2125 .44652 L
.20767 .44602 L
.20413 .44443 L
.20284 .44306 L
.20155 .4396 L
.20199 .43477 L
.20284 .4324 L
.20419 .42994 L
.20767 .42578 L
.20875 .42511 L
F
.142 .937 1 r
.2125 .52634 m
.21734 .5241 L
.22217 .52293 L
.227 .5226 L
.23183 .52302 L
.23666 .52425 L
.2415 .52642 L
.24175 .52658 L
.24633 .52972 L
.24795 .53141 L
.25116 .53515 L
.2517 .53624 L
.25387 .54107 L
.25467 .5459 L
.25295 .55073 L
.25116 .55205 L
.24633 .55275 L
.2415 .55244 L
.23666 .55199 L
.23183 .55168 L
.227 .55163 L
.22217 .55185 L
.21734 .55226 L
.2125 .55266 L
.20767 .55245 L
.20393 .55073 L
.20284 .54933 L
.20167 .5459 L
.20185 .54107 L
.20284 .5374 L
.20336 .53624 L
.20654 .53141 L
.20767 .52999 L
.21214 .52658 L
F
.2125 .3175 m
.21734 .31796 L
.21942 .31881 L
.22217 .32047 L
.22534 .32364 L
.227 .32773 L
.22711 .32847 L
.227 .33012 L
.22486 .3333 L
.22217 .33454 L
.21734 .33519 L
.2125 .33516 L
.20767 .33448 L
.2047 .3333 L
.20284 .33142 L
.20185 .32847 L
.20284 .32428 L
.2031 .32364 L
.20767 .31915 L
.20834 .31881 L
F
.036 .892 1 r
.2125 .45797 m
.21734 .4562 L
.22217 .45562 L
.227 .45605 L
.23183 .45755 L
.2346 .45893 L
.23666 .46019 L
.24044 .46376 L
.2415 .46437 L
.24369 .46859 L
.24531 .47342 L
.24488 .47826 L
.2415 .48205 L
.23666 .48227 L
.23183 .48221 L
.227 .48209 L
.22217 .48207 L
.21734 .48216 L
.2125 .4822 L
.20767 .48178 L
.20295 .47826 L
.20284 .47806 L
.20191 .47342 L
.20284 .4687 L
.20288 .46859 L
.20557 .46376 L
.20767 .4612 L
.21082 .45893 L
F
.20767 .39097 m
.2125 .38817 L
.21734 .38727 L
.22217 .38768 L
.227 .38953 L
.22966 .39128 L
.23183 .39278 L
.23405 .39612 L
.23616 .40095 L
.23589 .40578 L
.23183 .4089 L
.227 .41002 L
.22217 .41004 L
.21734 .41001 L
.2125 .40992 L
.20767 .40952 L
.20284 .40578 L
.20284 .40578 L
.20195 .40095 L
.20284 .39745 L
.20344 .39612 L
.20731 .39128 L
F
1 .911 .064 r
.2125 .49237 m
.21734 .49032 L
.22217 .4894 L
.227 .4894 L
.23183 .49028 L
.23666 .49215 L
.23778 .49275 L
.2415 .49516 L
.24397 .49758 L
.24633 .50011 L
.24752 .50242 L
.2495 .50725 L
.24985 .51208 L
.24633 .51668 L
.2457 .51691 L
.2415 .51756 L
.23666 .51746 L
.23183 .51721 L
.227 .51709 L
.22217 .51716 L
.21734 .51739 L
.2125 .51757 L
.20767 .51712 L
.20679 .51691 L
.20284 .51363 L
.20222 .51208 L
.20197 .50725 L
.20284 .50352 L
.20328 .50242 L
.20628 .49758 L
.20767 .49588 L
.21186 .49275 L
F
1 .961 .294 r
.20767 .282 m
.2125 .28121 L
.21734 .2833 L
.21943 .28498 L
.22211 .28981 L
.22104 .29465 L
.21734 .29574 L
.2125 .29688 L
.20767 .2963 L
.20456 .29465 L
.20284 .29307 L
.20202 .28981 L
.20284 .28731 L
.20453 .28498 L
F
1 .885 .028 r
.2125 .42326 m
.21734 .42185 L
.22217 .42171 L
.227 .42273 L
.23181 .42511 L
.23183 .42512 L
.23666 .42931 L
.23712 .42994 L
.23993 .43477 L
.2409 .4396 L
.23853 .44443 L
.23666 .44546 L
.23183 .44625 L
.227 .44633 L
.22217 .44631 L
.21734 .44632 L
.2125 .44624 L
.20767 .4456 L
.20501 .44443 L
.20284 .44201 L
.20206 .4396 L
.20242 .43477 L
.20284 .43344 L
.20462 .42994 L
.20767 .42611 L
.20923 .42511 L
F
1 .956 .256 r
.2125 .56036 m
.21734 .55787 L
.22217 .55645 L
.227 .55584 L
.23183 .55593 L
.23666 .55671 L
.2415 .55828 L
.24567 .5604 L
.24633 .56075 L
.25116 .56454 L
.25171 .56523 L
.25549 .57006 L
.25599 .5709 L
.25759 .57489 L
.25848 .57973 L
.25714 .58456 L
.25599 .58582 L
.25116 .58696 L
.24633 .58662 L
.2415 .58604 L
.23666 .58555 L
.23183 .58532 L
.227 .5854 L
.22217 .58577 L
.21734 .58633 L
.2125 .58684 L
.20767 .58661 L
.20399 .58456 L
.20284 .5827 L
.20209 .57973 L
.20233 .57489 L
.20284 .57263 L
.2039 .57006 L
.20705 .56523 L
.20767 .56433 L
.21246 .5604 L
F
1 .911 .064 r
.20767 .35501 m
.2125 .35296 L
.21734 .35271 L
.22217 .35372 L
.227 .35706 L
.22739 .35746 L
.23082 .36229 L
.23168 .36712 L
.227 .37182 L
.2265 .37196 L
.22217 .37264 L
.21734 .37279 L
.2125 .37264 L
.20795 .37196 L
.20767 .37189 L
.20284 .36873 L
.20216 .36712 L
.20245 .36229 L
.20284 .36125 L
.20516 .35746 L
F
.124 .933 1 r
.21734 .52432 m
.22217 .52311 L
.227 .52276 L
.23183 .5232 L
.23666 .52446 L
.24129 .52658 L
.2415 .52668 L
.24633 .53014 L
.24751 .53141 L
.25116 .53601 L
.25126 .53624 L
.25332 .54107 L
.254 .5459 L
.25179 .55073 L
.25116 .5512 L
.24633 .55235 L
.2415 .55217 L
.23666 .55178 L
.23183 .5515 L
.227 .55145 L
.22217 .55165 L
.21734 .55202 L
.2125 .55232 L
.20767 .5519 L
.20502 .55073 L
.20284 .54776 L
.20232 .5459 L
.20236 .54107 L
.20284 .53887 L
.20386 .53624 L
.20697 .53141 L
.20767 .53048 L
.2125 .52663 L
.21261 .52658 L
F
.428 .973 1 r
.227 .58878 m
.23183 .58859 L
.23666 .58905 L
.23877 .58939 L
.2415 .59014 L
.24633 .592 L
.25023 .59422 L
.25116 .59476 L
.25599 .59898 L
.25603 .59905 L
.25952 .60388 L
.26082 .60627 L
.26161 .60872 L
.26246 .61355 L
.26123 .61838 L
.26082 .619 L
.25599 .62083 L
.25116 .62048 L
.24633 .61974 L
.2415 .61906 L
.23666 .61863 L
.23183 .61852 L
.227 .61875 L
.22217 .61929 L
.21734 .62003 L
.2125 .62068 L
.20767 .62048 L
.20414 .61838 L
.20284 .61599 L
.20233 .61355 L
.20254 .60872 L
.20284 .6071 L
.20408 .60388 L
.20713 .59905 L
.20767 .59812 L
.2122 .59422 L
.2125 .59394 L
.21734 .59125 L
.22217 .58965 L
.22334 .58939 L
F
.031 .888 1 r
.2125 .45823 m
.21734 .45641 L
.22217 .45581 L
.227 .45625 L
.23183 .45779 L
.23414 .45893 L
.23666 .46048 L
.24006 .46376 L
.2415 .46475 L
.2433 .46859 L
.24487 .47342 L
.24428 .47826 L
.2415 .48161 L
.23666 .48203 L
.23183 .48201 L
.227 .48191 L
.22217 .48189 L
.21734 .48196 L
.2125 .48196 L
.20767 .48141 L
.20354 .47826 L
.20284 .47677 L
.20234 .47342 L
.20284 .46997 L
.20327 .46859 L
.20595 .46376 L
.20767 .46159 L
.21128 .45893 L
F
1 .907 .056 r
.2125 .49263 m
.21734 .49052 L
.22217 .48957 L
.227 .48957 L
.23183 .49047 L
.23666 .49239 L
.23733 .49275 L
.2415 .49549 L
.24358 .49758 L
.24633 .50075 L
.24713 .50242 L
.24904 .50725 L
.24928 .51208 L
.24633 .51612 L
.24399 .51691 L
.2415 .51724 L
.23666 .51723 L
.23183 .51703 L
.227 .51692 L
.22217 .51698 L
.21734 .51718 L
.2125 .51728 L
.20866 .51691 L
.20767 .51676 L
.20284 .51226 L
.20278 .51208 L
.2024 .50725 L
.20284 .50487 L
.2037 .50242 L
.20666 .49758 L
.20767 .49631 L
.2123 .49275 L
F
.031 .888 1 r
.2125 .38855 m
.21734 .38759 L
.22217 .38802 L
.227 .38996 L
.22902 .39128 L
.23183 .39338 L
.23351 .39612 L
.23559 .40095 L
.23513 .40578 L
.23183 .40836 L
.227 .40976 L
.22217 .40979 L
.21734 .40976 L
.2125 .40963 L
.20767 .40908 L
.20358 .40578 L
.20284 .40415 L
.20252 .40095 L
.20284 .3991 L
.20396 .39612 L
.20767 .39152 L
.20788 .39128 L
F
1 .88 .024 r
.2125 .42356 m
.21734 .4221 L
.22217 .42195 L
.227 .423 L
.23138 .42511 L
.23183 .42537 L
.23666 .42989 L
.2367 .42994 L
.2395 .43477 L
.24039 .4396 L
.23755 .44443 L
.23666 .44492 L
.23183 .44595 L
.227 .44609 L
.22217 .44609 L
.21734 .44608 L
.2125 .44595 L
.20767 .44516 L
.20598 .44443 L
.20284 .44066 L
.20257 .4396 L
.20284 .43479 L
.20285 .43477 L
.20504 .42994 L
.20767 .42649 L
.20974 .42511 L
F
.027 .884 1 r
.2125 .4585 m
.21734 .45662 L
.22217 .456 L
.227 .45646 L
.23183 .45803 L
.23367 .45893 L
.23666 .46078 L
.23968 .46376 L
.2415 .46524 L
.24292 .46859 L
.24443 .47342 L
.24367 .47826 L
.2415 .48106 L
.23666 .48178 L
.23183 .48181 L
.227 .48173 L
.22217 .48171 L
.21734 .48176 L
.2125 .48171 L
.20767 .48102 L
.20414 .47826 L
.20284 .47461 L
.20277 .47342 L
.20284 .47212 L
.20366 .46859 L
.20633 .46376 L
.20767 .46201 L
.21176 .45893 L
F
1 .903 .049 r
.21734 .49072 m
.22217 .48975 L
.227 .48974 L
.23183 .49066 L
.23666 .49263 L
.23689 .49275 L
.2415 .49583 L
.2432 .49758 L
.24633 .50147 L
.24675 .50242 L
.2486 .50725 L
.24872 .51208 L
.24633 .51552 L
.24156 .51691 L
.2415 .51692 L
.23666 .517 L
.23389 .51691 L
.23183 .51685 L
.227 .51676 L
.22217 .51681 L
.21881 .51691 L
.21734 .51696 L
.2125 .517 L
.21119 .51691 L
.20767 .51644 L
.20334 .51208 L
.20284 .50991 L
.20282 .50725 L
.20284 .50708 L
.2041 .50242 L
.20703 .49758 L
.20767 .49675 L
.2125 .49287 L
.21273 .49275 L
F
.108 .928 1 r
.21734 .52453 m
.22217 .52328 L
.227 .52293 L
.23183 .52338 L
.23666 .52468 L
.24081 .52658 L
.2415 .52693 L
.24633 .53056 L
.24709 .53141 L
.2508 .53624 L
.25116 .53688 L
.25279 .54107 L
.25335 .5459 L
.25116 .55032 L
.25081 .55073 L
.24633 .55194 L
.2415 .5519 L
.23666 .55156 L
.23183 .55131 L
.227 .55126 L
.22217 .55144 L
.21734 .55177 L
.2125 .55198 L
.20767 .55133 L
.20626 .55073 L
.20294 .5459 L
.20285 .54107 L
.20435 .53624 L
.20738 .53141 L
.20767 .531 L
.2125 .52688 L
.21308 .52658 L
F
1 .952 .223 r
.21734 .55813 m
.22217 .55665 L
.227 .55602 L
.23183 .55611 L
.23666 .55692 L
.2415 .55855 L
.24509 .5604 L
.24633 .56109 L
.25116 .56514 L
.25123 .56523 L
.25482 .57006 L
.25599 .57224 L
.2569 .57489 L
.25761 .57973 L
.25599 .58429 L
.25578 .58456 L
.25116 .58637 L
.24633 .58625 L
.2415 .58576 L
.23666 .58532 L
.23183 .58511 L
.227 .58518 L
.22217 .58551 L
.21734 .58601 L
.2125 .58637 L
.20767 .58581 L
.20537 .58456 L
.20291 .57973 L
.20298 .57489 L
.20456 .57006 L
.20754 .56523 L
.20767 .56502 L
.2125 .56069 L
.21303 .5604 L
F
1 .876 .021 r
.2125 .42387 m
.21734 .42235 L
.22217 .42219 L
.227 .42327 L
.23093 .42511 L
.23183 .42563 L
.23629 .42994 L
.23666 .43044 L
.23907 .43477 L
.23988 .4396 L
.23666 .44435 L
.23652 .44443 L
.23183 .44563 L
.227 .44585 L
.22217 .44586 L
.21734 .44584 L
.2125 .44566 L
.20767 .44469 L
.20704 .44443 L
.20308 .4396 L
.20327 .43477 L
.20546 .42994 L
.20767 .4269 L
.21026 .42511 L
F
.027 .884 1 r
.2125 .38895 m
.21734 .38792 L
.22217 .38837 L
.227 .39041 L
.22835 .39128 L
.23183 .39412 L
.23297 .39612 L
.23502 .40095 L
.23434 .40578 L
.23183 .40778 L
.227 .40945 L
.22217 .40953 L
.21734 .40949 L
.2125 .40932 L
.20767 .40856 L
.20436 .40578 L
.20309 .40095 L
.2045 .39612 L
.20767 .39208 L
.20839 .39128 L
F
1 .907 .056 r
.20767 .35585 m
.2125 .35341 L
.21734 .3531 L
.22217 .35429 L
.22663 .35746 L
.227 .35797 L
.23003 .36229 L
.23077 .36712 L
.227 .37107 L
.22304 .37196 L
.22217 .37206 L
.21734 .37228 L
.2125 .37208 L
.21141 .37196 L
.20767 .37119 L
.20311 .36712 L
.20323 .36229 L
.20606 .35746 L
F
.024 .879 1 r
.2125 .45878 m
.21734 .45683 L
.22217 .4562 L
.227 .45666 L
.23183 .45827 L
.23319 .45893 L
.23666 .4611 L
.2393 .46376 L
.2415 .46587 L
.24254 .46859 L
.244 .47342 L
.24305 .47826 L
.2415 .4804 L
.23666 .48151 L
.23183 .48161 L
.227 .48155 L
.22217 .48153 L
.21734 .48156 L
.2125 .48146 L
.20767 .48059 L
.20476 .47826 L
.2032 .47342 L
.20404 .46859 L
.2067 .46376 L
.20767 .46245 L
.21224 .45893 L
F
1 .983 .586 r
.22217 .62265 m
.227 .62152 L
.23183 .62106 L
.23666 .62124 L
.2415 .62205 L
.24554 .62321 L
.24633 .62348 L
.25116 .62564 L
.2548 .62804 L
.25599 .62879 L
.26007 .63288 L
.26082 .63346 L
.26317 .63771 L
.26524 .64254 L
.26566 .64452 L
.26578 .64737 L
.26566 .6485 L
.26407 .6522 L
.26082 .65364 L
.25599 .65361 L
.25116 .65285 L
.24651 .6522 L
.24633 .65204 L
.2415 .65142 L
.23666 .6511 L
.23183 .65114 L
.227 .65154 L
.22233 .6522 L
.22217 .65223 L
.21734 .65306 L
.2125 .65371 L
.20767 .65321 L
.20578 .6522 L
.2033 .64737 L
.20322 .64254 L
.20463 .63771 L
.20732 .63288 L
.20767 .63207 L
.21196 .62804 L
.2125 .62744 L
.21734 .62447 L
.22055 .62321 L
F
.745 .99 1 r
.22217 .65515 m
.227 .65382 L
.23183 .65316 L
.23666 .65309 L
.2415 .65358 L
.24633 .65468 L
.25116 .65642 L
.25233 .65704 L
.25599 .65882 L
.26016 .66187 L
.26082 .66229 L
.26482 .6667 L
.26566 .66731 L
.26755 .67153 L
.26941 .67636 L
.26973 .68119 L
.26752 .68603 L
.26566 .68656 L
.26082 .68672 L
.2568 .68603 L
.25599 .68587 L
.25116 .68487 L
.24633 .684 L
.2415 .68344 L
.23666 .68325 L
.23183 .68346 L
.227 .68405 L
.22217 .68495 L
.21734 .68599 L
.21716 .68603 L
.2125 .68677 L
.20767 .68631 L
.20684 .68603 L
.20359 .68119 L
.20326 .67636 L
.20443 .67153 L
.20701 .6667 L
.20767 .66498 L
.2111 .66187 L
.2125 .66024 L
.21734 .65722 L
.21779 .65704 L
F
1 .898 .043 r
.21734 .49093 m
.22217 .48993 L
.227 .48992 L
.23183 .49086 L
.23646 .49275 L
.23666 .49286 L
.2415 .49618 L
.24282 .49758 L
.24633 .50228 L
.24638 .50242 L
.24817 .50725 L
.24816 .51208 L
.24633 .51487 L
.2415 .51673 L
.23666 .5168 L
.23183 .51668 L
.227 .51659 L
.22217 .51664 L
.21734 .51676 L
.2125 .51674 L
.20767 .51609 L
.2039 .51208 L
.20326 .50725 L
.2045 .50242 L
.2074 .49758 L
.20767 .49721 L
.2125 .49309 L
.21314 .49275 L
F
.124 .933 1 r
.2125 .31866 m
.21601 .31881 L
.21734 .31912 L
.22217 .32192 L
.22385 .32364 L
.22572 .32847 L
.22217 .33297 L
.22119 .3333 L
.21734 .33409 L
.2125 .33409 L
.2084 .3333 L
.20767 .33307 L
.20331 .32847 L
.20438 .32364 L
.20767 .3205 L
.21173 .31881 L
F
.094 .924 1 r
.21734 .52475 m
.22217 .52346 L
.227 .5231 L
.23183 .52356 L
.23666 .52489 L
.24034 .52658 L
.2415 .52718 L
.24633 .53099 L
.24668 .53141 L
.25033 .53624 L
.25116 .53782 L
.2523 .54107 L
.25272 .5459 L
.25116 .54941 L
.24979 .55073 L
.24633 .55152 L
.2415 .55162 L
.23666 .55135 L
.23183 .55112 L
.227 .55108 L
.22217 .55124 L
.21734 .55152 L
.2125 .55163 L
.20769 .55073 L
.20767 .55073 L
.20358 .5459 L
.20337 .54107 L
.20482 .53624 L
.20767 .53154 L
.20778 .53141 L
.2125 .52714 L
.21354 .52658 L
F
1 .871 .019 r
.2125 .42419 m
.21734 .42261 L
.22217 .42244 L
.227 .42355 L
.23045 .42511 L
.23183 .42591 L
.23587 .42994 L
.23666 .43103 L
.23864 .43477 L
.23937 .4396 L
.23666 .44381 L
.23557 .44443 L
.23183 .4453 L
.227 .4456 L
.22217 .44563 L
.21734 .4456 L
.2125 .44535 L
.20808 .44443 L
.20767 .44423 L
.20359 .4396 L
.2037 .43477 L
.20588 .42994 L
.20767 .42736 L
.21082 .42511 L
F
.373 .968 1 r
.227 .58902 m
.23183 .58882 L
.23666 .58929 L
.23734 .58939 L
.2415 .59041 L
.24633 .59237 L
.24944 .59422 L
.25116 .59527 L
.25517 .59905 L
.25599 .59968 L
.25854 .60388 L
.26066 .60872 L
.26082 .60936 L
.2612 .61355 L
.26082 .61571 L
.25931 .61838 L
.25599 .61981 L
.25116 .61988 L
.24633 .61932 L
.2415 .61873 L
.23779 .61838 L
.23666 .61835 L
.23183 .61825 L
.22821 .61838 L
.227 .61846 L
.22217 .61894 L
.21734 .61955 L
.2125 .61995 L
.20767 .61918 L
.20627 .61838 L
.20361 .61355 L
.20359 .60872 L
.20507 .60388 L
.20767 .59918 L
.20778 .59905 L
.2125 .59444 L
.21289 .59422 L
.21734 .5916 L
.22217 .5899 L
.2246 .58939 L
F
.021 .875 1 r
.21734 .45705 m
.22217 .4564 L
.227 .45687 L
.23183 .45851 L
.23269 .45893 L
.23666 .46142 L
.23893 .46376 L
.2415 .46665 L
.24217 .46859 L
.24357 .47342 L
.24242 .47826 L
.2415 .47961 L
.23666 .48122 L
.23183 .4814 L
.227 .48136 L
.22217 .48135 L
.21734 .48136 L
.2125 .4812 L
.20767 .48013 L
.20538 .47826 L
.20363 .47342 L
.20442 .46859 L
.20707 .46376 L
.20767 .46292 L
.2125 .45902 L
.21265 .45893 L
F
.024 .879 1 r
.2125 .38937 m
.21734 .38827 L
.22217 .38874 L
.227 .39088 L
.22763 .39128 L
.23183 .395 L
.23242 .39612 L
.23445 .40095 L
.23351 .40578 L
.23183 .40715 L
.227 .4091 L
.22217 .40924 L
.21734 .40921 L
.2125 .40897 L
.20767 .40795 L
.20518 .40578 L
.20365 .40095 L
.20504 .39612 L
.20767 .39266 L
.20896 .39128 L
F
1 .947 .194 r
.21734 .5584 m
.22217 .55685 L
.227 .5562 L
.23183 .5563 L
.23666 .55713 L
.2415 .55881 L
.24453 .5604 L
.24633 .56143 L
.25067 .56523 L
.25116 .56556 L
.2542 .57006 L
.25599 .57389 L
.25627 .57489 L
.25679 .57973 L
.25599 .58262 L
.2545 .58456 L
.25116 .58574 L
.24633 .58587 L
.2415 .58547 L
.23666 .58508 L
.23183 .58489 L
.227 .58495 L
.22217 .58526 L
.21734 .58568 L
.2125 .5859 L
.20767 .58496 L
.2069 .58456 L
.20376 .57973 L
.20369 .57489 L
.20518 .57006 L
.20767 .56538 L
.20808 .56523 L
.2125 .56102 L
.2136 .5604 L
F
1 .894 .037 r
.21734 .49113 m
.22217 .4901 L
.227 .49009 L
.23183 .49106 L
.23605 .49275 L
.23666 .49307 L
.2415 .49655 L
.24246 .49758 L
.246 .50242 L
.24633 .50306 L
.24774 .50725 L
.2476 .51208 L
.24633 .51416 L
.2415 .51653 L
.23666 .51661 L
.23183 .51651 L
.227 .51643 L
.22217 .51647 L
.21734 .51657 L
.2125 .5165 L
.20767 .5157 L
.20446 .51208 L
.2037 .50725 L
.20488 .50242 L
.20767 .49769 L
.20776 .49758 L
.2125 .49332 L
.21357 .49275 L
F
.082 .919 1 r
.21734 .52498 m
.22217 .52365 L
.227 .52327 L
.23183 .52374 L
.23666 .5251 L
.23988 .52658 L
.2415 .52744 L
.24629 .53141 L
.24633 .53142 L
.24987 .53624 L
.25116 .53891 L
.25182 .54107 L
.2521 .5459 L
.25116 .54833 L
.24814 .55073 L
.24633 .55108 L
.2415 .55134 L
.23666 .55113 L
.23183 .55093 L
.227 .55089 L
.22217 .55104 L
.21734 .55127 L
.2125 .55128 L
.20925 .55073 L
.20767 .55042 L
.20421 .5459 L
.20388 .54107 L
.20527 .53624 L
.20767 .53207 L
.20822 .53141 L
.2125 .52741 L
.21401 .52658 L
F
1 .903 .049 r
.20767 .35681 m
.2125 .35394 L
.21734 .35356 L
.22217 .35493 L
.22588 .35746 L
.227 .35893 L
.22921 .36229 L
.2298 .36712 L
.227 .37022 L
.22217 .37149 L
.21734 .37175 L
.2125 .37152 L
.20767 .37042 L
.20404 .36712 L
.20401 .36229 L
.20704 .35746 L
F
.018 .87 1 r
.21734 .45728 m
.22217 .4566 L
.227 .45708 L
.23183 .45876 L
.23218 .45893 L
.23666 .46176 L
.23856 .46376 L
.2415 .46761 L
.24181 .46859 L
.24314 .47342 L
.24177 .47826 L
.2415 .47868 L
.23666 .48092 L
.23183 .48118 L
.227 .48118 L
.22217 .48116 L
.21734 .48115 L
.2125 .48092 L
.20767 .47963 L
.20603 .47826 L
.20405 .47342 L
.2048 .46859 L
.20743 .46376 L
.20767 .46342 L
.2125 .45923 L
.21298 .45893 L
F
1 .867 .016 r
.2125 .42451 m
.21734 .42287 L
.22217 .42269 L
.227 .42384 L
.22993 .42511 L
.23183 .42621 L
.23546 .42994 L
.23666 .43166 L
.23821 .43477 L
.23885 .4396 L
.23666 .44322 L
.23434 .44443 L
.23183 .44496 L
.227 .44534 L
.22217 .4454 L
.21734 .44535 L
.2125 .44504 L
.20918 .44443 L
.20767 .44376 L
.2041 .4396 L
.20413 .43477 L
.2063 .42994 L
.20767 .42787 L
.2114 .42511 L
F
1 .889 .032 r
.21734 .49134 m
.22217 .49028 L
.227 .49027 L
.23183 .49126 L
.23564 .49275 L
.23666 .49328 L
.2415 .49692 L
.2421 .49758 L
.24562 .50242 L
.24633 .50391 L
.24733 .50725 L
.24704 .51208 L
.24633 .51335 L
.2415 .5163 L
.23666 .51641 L
.23183 .51633 L
.227 .51627 L
.22217 .5163 L
.21734 .51637 L
.2125 .51624 L
.20767 .51524 L
.20502 .51208 L
.20412 .50725 L
.20526 .50242 L
.20767 .49816 L
.20813 .49758 L
.2125 .49356 L
.21401 .49275 L
F
.021 .875 1 r
.2125 .38981 m
.21734 .38863 L
.22217 .38912 L
.22688 .39128 L
.227 .39136 L
.23183 .39604 L
.23187 .39612 L
.23387 .40095 L
.23262 .40578 L
.23183 .40645 L
.227 .40871 L
.22217 .40893 L
.21734 .4089 L
.2125 .4086 L
.20767 .40723 L
.20605 .40578 L
.20422 .40095 L
.20559 .39612 L
.20767 .39329 L
.20963 .39128 L
F
1 .943 .169 r
.21734 .55867 m
.22217 .55706 L
.227 .55639 L
.23183 .55648 L
.23666 .55734 L
.2415 .55908 L
.24398 .5604 L
.24633 .56179 L
.25011 .56523 L
.25116 .56602 L
.25361 .57006 L
.25564 .57489 L
.25599 .57674 L
.25601 .57973 L
.25599 .57986 L
.25283 .58456 L
.25116 .58508 L
.24633 .58547 L
.2415 .58519 L
.23666 .58485 L
.23183 .58467 L
.227 .58473 L
.22217 .585 L
.21734 .58535 L
.2125 .58542 L
.20861 .58456 L
.20767 .58435 L
.20458 .57973 L
.20436 .57489 L
.20576 .57006 L
.20767 .56575 L
.20863 .56523 L
.2125 .56137 L
.21415 .5604 L
F
.071 .915 1 r
.21734 .5252 m
.22217 .52383 L
.227 .52344 L
.23183 .52392 L
.23666 .52532 L
.23941 .52658 L
.2415 .52771 L
.24587 .53141 L
.24633 .53165 L
.24943 .53624 L
.25116 .54029 L
.25135 .54107 L
.2515 .5459 L
.25116 .54698 L
.24633 .55071 L
.24576 .55073 L
.2415 .55105 L
.23666 .55091 L
.23183 .55074 L
.23176 .55073 L
.227 .5507 L
.22531 .55073 L
.22217 .55083 L
.21734 .55102 L
.2125 .55092 L
.21119 .55073 L
.20767 .55002 L
.20482 .5459 L
.20438 .54107 L
.2057 .53624 L
.20767 .53264 L
.20864 .53141 L
.2125 .52769 L
.21448 .52658 L
F
.016 .866 1 r
.21734 .4575 m
.22217 .4568 L
.227 .45729 L
.23181 .45893 L
.23183 .459 L
.23666 .46212 L
.23819 .46376 L
.24145 .46859 L
.2415 .4687 L
.24272 .47342 L
.2415 .47781 L
.24113 .47826 L
.23666 .4806 L
.23183 .48096 L
.227 .48098 L
.22217 .48097 L
.21734 .48094 L
.2125 .48064 L
.20767 .47909 L
.20669 .47826 L
.20448 .47342 L
.20517 .46859 L
.20767 .46392 L
.2078 .46376 L
.2125 .45945 L
.21335 .45893 L
F
1 .885 .028 r
.21734 .49156 m
.22217 .49047 L
.227 .49045 L
.23183 .49146 L
.2352 .49275 L
.23666 .4935 L
.2415 .49731 L
.24174 .49758 L
.24524 .50242 L
.24633 .50492 L
.24692 .50725 L
.24648 .51208 L
.24633 .51239 L
.2415 .51604 L
.23666 .51621 L
.23183 .51616 L
.227 .5161 L
.22217 .51612 L
.21734 .51617 L
.2125 .51598 L
.20767 .51472 L
.20558 .51208 L
.20454 .50725 L
.20563 .50242 L
.20767 .49865 L
.2085 .49758 L
.2125 .49381 L
.21446 .49275 L
F
1 .862 .014 r
.2125 .42485 m
.21734 .42314 L
.22217 .42295 L
.227 .42413 L
.22935 .42511 L
.23183 .42653 L
.23504 .42994 L
.23666 .43235 L
.23779 .43477 L
.23833 .4396 L
.23666 .44258 L
.23274 .44443 L
.23183 .4446 L
.227 .44507 L
.22217 .44516 L
.21734 .44509 L
.2125 .44472 L
.2107 .44443 L
.20767 .44327 L
.20461 .4396 L
.20455 .43477 L
.20673 .42994 L
.20767 .42844 L
.21201 .42511 L
F
.325 .964 1 r
.227 .58926 m
.23183 .58904 L
.23573 .58939 L
.23666 .58952 L
.2415 .59069 L
.24633 .59275 L
.24871 .59422 L
.25116 .59581 L
.25436 .59905 L
.25599 .60055 L
.25767 .60388 L
.25962 .60872 L
.25998 .61355 L
.25682 .61838 L
.25599 .61869 L
.25116 .61927 L
.24633 .6189 L
.2415 .61841 L
.24141 .61838 L
.23666 .61807 L
.23183 .61797 L
.227 .61816 L
.22414 .61838 L
.22217 .61858 L
.21734 .61907 L
.2125 .61922 L
.20875 .61838 L
.20767 .61807 L
.20486 .61355 L
.20462 .60872 L
.20593 .60388 L
.20767 .6003 L
.2086 .59905 L
.2125 .5949 L
.21364 .59422 L
.21734 .59196 L
.22217 .59016 L
.22604 .58939 L
F
.018 .87 1 r
.2125 .39027 m
.21734 .38901 L
.22217 .38952 L
.22611 .39128 L
.227 .39184 L
.23136 .39612 L
.23183 .39696 L
.23327 .40095 L
.23183 .40563 L
.23171 .40578 L
.227 .40826 L
.22217 .4086 L
.21734 .40858 L
.2125 .4082 L
.20767 .40641 L
.207 .40578 L
.2048 .40095 L
.20615 .39612 L
.20767 .39396 L
.21042 .39128 L
F
.492 .977 1 r
.20767 .24829 m
.2125 .24888 L
.21444 .25116 L
.2125 .2546 L
.20767 .25475 L
.20483 .25116 L
F
1 .898 .043 r
.2125 .35455 m
.21734 .35408 L
.22217 .35566 L
.22495 .35746 L
.227 .36003 L
.22835 .36229 L
.22874 .36712 L
.227 .36921 L
.22217 .37089 L
.21734 .37123 L
.2125 .37094 L
.20767 .36956 L
.20507 .36712 L
.20483 .36229 L
.20767 .35785 L
.20809 .35746 L
F
.062 .91 1 r
.21734 .52543 m
.22217 .52402 L
.227 .52361 L
.23183 .5241 L
.23666 .52554 L
.23893 .52658 L
.2415 .52798 L
.24545 .53141 L
.24633 .53192 L
.249 .53624 L
.25089 .54107 L
.2509 .5459 L
.24633 .55059 L
.24215 .55073 L
.2415 .55076 L
.2383 .55073 L
.23666 .55069 L
.23183 .55056 L
.227 .55053 L
.22217 .55063 L
.2187 .55073 L
.21734 .55076 L
.21486 .55073 L
.2125 .55059 L
.20767 .5495 L
.20543 .5459 L
.20486 .54107 L
.20612 .53624 L
.20767 .53324 L
.20905 .53141 L
.2125 .52798 L
.21495 .52658 L
F
.108 .928 1 r
.20767 .32212 m
.2125 .31988 L
.21734 .32036 L
.22207 .32364 L
.22217 .32376 L
.22401 .32847 L
.22217 .33128 L
.21734 .33288 L
.2125 .33291 L
.20767 .33159 L
.20486 .32847 L
.20608 .32364 L
F
.014 .861 1 r
.21734 .45773 m
.22217 .45701 L
.227 .45751 L
.23168 .45893 L
.23183 .45919 L
.23666 .46249 L
.23782 .46376 L
.24108 .46859 L
.2415 .46961 L
.2423 .47342 L
.2415 .47694 L
.24048 .47826 L
.23666 .48026 L
.23183 .48073 L
.227 .48079 L
.22217 .48078 L
.21734 .48072 L
.2125 .48035 L
.20767 .47851 L
.20738 .47826 L
.2049 .47342 L
.20553 .46859 L
.20767 .46442 L
.20816 .46376 L
.2125 .45968 L
.21379 .45893 L
F
1 .88 .024 r
.21734 .49177 m
.22217 .49065 L
.227 .49063 L
.23183 .49166 L
.23474 .49275 L
.23666 .49373 L
.24139 .49758 L
.2415 .4977 L
.24487 .50242 L
.24633 .50627 L
.24651 .50725 L
.24633 .51104 L
.24593 .51208 L
.2415 .51575 L
.23666 .516 L
.23183 .51598 L
.227 .51593 L
.22217 .51595 L
.21734 .51596 L
.2125 .5157 L
.20767 .51412 L
.20614 .51208 L
.20496 .50725 L
.206 .50242 L
.20767 .49918 L
.20886 .49758 L
.2125 .49406 L
.21493 .49275 L
F
1 .858 .012 r
.21734 .42341 m
.22217 .42321 L
.227 .42442 L
.2287 .42511 L
.23183 .42688 L
.23462 .42994 L
.23666 .43313 L
.23736 .43477 L
.23781 .4396 L
.23666 .44184 L
.23183 .44425 L
.2308 .44443 L
.227 .4448 L
.22217 .44491 L
.21734 .44483 L
.21276 .44443 L
.2125 .44443 L
.20767 .44274 L
.20514 .4396 L
.20498 .43477 L
.20715 .42994 L
.20767 .42907 L
.2125 .42514 L
.21266 .42511 L
F
1 .938 .147 r
.21734 .55894 m
.22217 .55727 L
.227 .55657 L
.23183 .55667 L
.23666 .55755 L
.2415 .55935 L
.24344 .5604 L
.24633 .56215 L
.24958 .56523 L
.25116 .56657 L
.25306 .57006 L
.25499 .57489 L
.25522 .57973 L
.25116 .58439 L
.25061 .58456 L
.24633 .58508 L
.2415 .5849 L
.23666 .58461 L
.23539 .58456 L
.23183 .58446 L
.227 .58451 L
.22451 .58456 L
.22217 .58475 L
.21734 .58502 L
.2125 .58493 L
.21059 .58456 L
.20767 .58382 L
.20537 .57973 L
.205 .57489 L
.2063 .57006 L
.20767 .56636 L
.20916 .56523 L
.2125 .56173 L
.21469 .5604 L
F
1 .978 .511 r
.22217 .62305 m
.227 .62184 L
.23183 .62136 L
.23666 .62155 L
.2415 .62239 L
.24439 .62321 L
.24633 .62389 L
.25116 .62625 L
.25364 .62804 L
.25599 .62971 L
.2587 .63288 L
.26082 .63522 L
.26176 .63771 L
.26345 .64254 L
.2636 .64737 L
.26082 .65149 L
.25891 .6522 L
.25599 .65251 L
.25172 .6522 L
.25116 .65215 L
.24633 .65153 L
.2415 .65099 L
.23666 .65071 L
.23183 .65074 L
.227 .65108 L
.22217 .65166 L
.21796 .6522 L
.21734 .65228 L
.2125 .65246 L
.21076 .6522 L
.20767 .65115 L
.20548 .64737 L
.20501 .64254 L
.20612 .63771 L
.20767 .63401 L
.20845 .63288 L
.2125 .62826 L
.21288 .62804 L
.21734 .625 L
.22171 .62321 L
F
.012 .857 1 r
.21734 .45796 m
.22217 .45722 L
.227 .45773 L
.23146 .45893 L
.23183 .45939 L
.23666 .46287 L
.23745 .46376 L
.24071 .46859 L
.2415 .4708 L
.24188 .47342 L
.2415 .47579 L
.2398 .47826 L
.23666 .4799 L
.23183 .48049 L
.227 .48059 L
.22217 .48058 L
.21734 .4805 L
.2125 .48005 L
.20805 .47826 L
.20767 .47794 L
.20532 .47342 L
.2059 .46859 L
.20767 .46495 L
.20852 .46376 L
.2125 .45992 L
.21429 .45893 L
F
.054 .906 1 r
.21734 .52567 m
.22217 .5242 L
.227 .52379 L
.23183 .52429 L
.23666 .52576 L
.23845 .52658 L
.2415 .52826 L
.24505 .53141 L
.24633 .53225 L
.24858 .53624 L
.25041 .54107 L
.25029 .5459 L
.24633 .5504 L
.2415 .55053 L
.23666 .5505 L
.23183 .55038 L
.227 .55035 L
.22217 .55044 L
.21734 .55053 L
.2125 .55029 L
.20767 .54882 L
.20604 .5459 L
.20532 .54107 L
.20652 .53624 L
.20767 .53388 L
.20946 .53141 L
.2125 .52829 L
.21543 .52658 L
F
1 .876 .021 r
.21734 .49199 m
.22217 .49084 L
.227 .49082 L
.23183 .49187 L
.23426 .49275 L
.23666 .49396 L
.24103 .49758 L
.2415 .49809 L
.24451 .50242 L
.24611 .50725 L
.24537 .51208 L
.2415 .51542 L
.23666 .51579 L
.23183 .5158 L
.227 .51576 L
.22217 .51577 L
.21734 .51575 L
.2125 .51542 L
.20767 .51343 L
.20671 .51208 L
.20537 .50725 L
.20636 .50242 L
.20767 .49974 L
.20923 .49758 L
.2125 .49433 L
.21543 .49275 L
F
.016 .866 1 r
.2125 .39075 m
.21734 .38941 L
.22217 .38993 L
.22529 .39128 L
.227 .39233 L
.23083 .39612 L
.23183 .39807 L
.23267 .40095 L
.23183 .40459 L
.23088 .40578 L
.227 .40776 L
.22217 .40824 L
.21734 .40823 L
.2125 .40775 L
.20791 .40578 L
.20767 .40553 L
.2054 .40095 L
.20672 .39612 L
.20767 .3947 L
.21136 .39128 L
F
1 .854 .011 r
.21734 .42369 m
.22217 .42348 L
.227 .42473 L
.22799 .42511 L
.23183 .42726 L
.23419 .42994 L
.23666 .43405 L
.23693 .43477 L
.23727 .4396 L
.23666 .44096 L
.23183 .4439 L
.22823 .44443 L
.227 .44453 L
.22217 .44466 L
.21734 .44457 L
.21533 .44443 L
.2125 .44435 L
.20767 .44218 L
.20567 .4396 L
.2054 .43477 L
.20758 .42994 L
.20767 .42977 L
.2125 .42529 L
.2133 .42511 L
F
.283 .959 1 r
.23183 .58927 m
.23371 .58939 L
.23666 .58975 L
.2415 .59097 L
.24633 .59314 L
.24802 .59422 L
.25116 .59638 L
.25362 .59905 L
.25599 .60169 L
.25691 .60388 L
.25868 .60872 L
.2588 .61355 L
.25599 .61751 L
.25344 .61838 L
.25116 .61863 L
.24633 .61847 L
.24518 .61838 L
.2415 .61809 L
.23666 .61778 L
.23183 .6177 L
.227 .61787 L
.22217 .61822 L
.22022 .61838 L
.21734 .61859 L
.2125 .61848 L
.21195 .61838 L
.20767 .61697 L
.20603 .61355 L
.20555 .60872 L
.2067 .60388 L
.20767 .60156 L
.20935 .59905 L
.2125 .59541 L
.21435 .59422 L
.21734 .59233 L
.22217 .59042 L
.227 .58949 L
.22806 .58939 L
F
1 .934 .128 r
.21734 .55922 m
.22217 .55749 L
.227 .55676 L
.23183 .55685 L
.23666 .55777 L
.2415 .55963 L
.24291 .5604 L
.24633 .56253 L
.24907 .56523 L
.25116 .56723 L
.25253 .57006 L
.25438 .57489 L
.25444 .57973 L
.25116 .58369 L
.24768 .58456 L
.24633 .58467 L
.2415 .58461 L
.24034 .58456 L
.23666 .58439 L
.23183 .58425 L
.227 .5843 L
.22217 .58449 L
.2208 .58456 L
.21734 .58469 L
.21349 .58456 L
.2125 .58445 L
.20767 .58296 L
.20615 .57973 L
.20561 .57489 L
.20681 .57006 L
.20767 .5673 L
.20967 .56523 L
.2125 .56212 L
.21522 .5604 L
F
1 .956 .256 r
.2125 .28461 m
.21367 .28498 L
.21734 .28729 L
.21895 .28981 L
.21734 .29257 L
.2125 .29394 L
.20767 .29291 L
.20562 .28981 L
.20767 .28606 L
.20987 .28498 L
F
1 .894 .037 r
.2125 .35528 m
.21734 .3547 L
.22217 .35649 L
.22374 .35746 L
.227 .36143 L
.22744 .36229 L
.22757 .36712 L
.227 .36792 L
.22217 .37025 L
.21734 .37067 L
.2125 .37033 L
.20767 .36856 L
.20622 .36712 L
.20572 .36229 L
.20767 .35894 L
.2092 .35746 L
F
.01 .852 1 r
.21734 .4582 m
.22217 .45743 L
.227 .45795 L
.23109 .45893 L
.23183 .4596 L
.23666 .46328 L
.23708 .46376 L
.24035 .46859 L
.24146 .47342 L
.23908 .47826 L
.23666 .47951 L
.23183 .48025 L
.227 .48038 L
.22217 .48038 L
.21734 .48027 L
.2125 .47974 L
.20874 .47826 L
.20767 .47736 L
.20575 .47342 L
.20626 .46859 L
.20767 .46553 L
.20888 .46376 L
.2125 .46018 L
.21489 .45893 L
F
1 .871 .019 r
.21734 .49221 m
.22217 .49103 L
.227 .491 L
.23183 .49207 L
.23374 .49275 L
.23666 .4942 L
.24067 .49758 L
.2415 .49849 L
.24415 .50242 L
.2457 .50725 L
.2448 .51208 L
.2415 .51504 L
.23666 .51556 L
.23183 .51561 L
.227 .51559 L
.22217 .51559 L
.21734 .51554 L
.2125 .51512 L
.20767 .51265 L
.20729 .51208 L
.20577 .50725 L
.20671 .50242 L
.20767 .50034 L
.20958 .49758 L
.2125 .49462 L
.21596 .49275 L
F
.047 .901 1 r
.21734 .5259 m
.22217 .52439 L
.227 .52396 L
.23183 .52448 L
.23666 .52599 L
.23796 .52658 L
.2415 .52855 L
.24465 .53141 L
.24633 .53266 L
.24818 .53624 L
.24995 .54107 L
.24969 .5459 L
.24633 .55011 L
.2415 .5503 L
.23666 .5503 L
.23183 .5502 L
.227 .55017 L
.22217 .55025 L
.21734 .5503 L
.2125 .54997 L
.20767 .54794 L
.20664 .5459 L
.20578 .54107 L
.20692 .53624 L
.20767 .53458 L
.20986 .53141 L
.2125 .52861 L
.21592 .52658 L
F
1 .849 .009 r
.21734 .42398 m
.22217 .42376 L
.227 .42504 L
.22719 .42511 L
.23183 .42768 L
.23376 .42994 L
.23651 .43477 L
.23666 .43531 L
.23673 .4396 L
.23666 .43978 L
.23183 .44354 L
.227 .4444 L
.22217 .44442 L
.21734 .44437 L
.2125 .44423 L
.20767 .44158 L
.20621 .4396 L
.20583 .43477 L
.20767 .43043 L
.20798 .42994 L
.2125 .42547 L
.21399 .42511 L
F
.014 .861 1 r
.2125 .39127 m
.21734 .38982 L
.22217 .39037 L
.22439 .39128 L
.227 .39285 L
.23028 .39612 L
.23183 .39972 L
.23204 .40095 L
.23183 .40297 L
.22989 .40578 L
.227 .40719 L
.22217 .40786 L
.21734 .40785 L
.2125 .40726 L
.20877 .40578 L
.20767 .40471 L
.20602 .40095 L
.20731 .39612 L
.20767 .39554 L
.21246 .39128 L
F
.009 .848 1 r
.21734 .45844 m
.22217 .45765 L
.227 .45817 L
.23053 .45893 L
.23183 .45982 L
.23666 .4637 L
.23672 .46376 L
.23999 .46859 L
.24104 .47342 L
.2383 .47826 L
.23666 .4791 L
.23183 .48 L
.227 .48018 L
.22217 .48018 L
.21734 .48004 L
.2125 .47942 L
.20947 .47826 L
.20767 .47672 L
.20617 .47342 L
.20662 .46859 L
.20767 .46615 L
.20925 .46376 L
.2125 .46046 L
.21558 .45893 L
F
1 .867 .016 r
.21734 .49244 m
.22217 .49122 L
.227 .49119 L
.23183 .49229 L
.23319 .49275 L
.23666 .49445 L
.24031 .49758 L
.2415 .49891 L
.24379 .50242 L
.2453 .50725 L
.24422 .51208 L
.2415 .51462 L
.23666 .51533 L
.23183 .51542 L
.227 .51541 L
.22217 .5154 L
.21734 .51533 L
.2125 .51481 L
.20787 .51208 L
.20767 .51183 L
.20617 .50725 L
.20706 .50242 L
.20767 .501 L
.20994 .49758 L
.2125 .49492 L
.21652 .49275 L
F
1 .929 .112 r
.21734 .55951 m
.22217 .5577 L
.227 .55695 L
.23183 .55704 L
.23666 .55799 L
.2415 .55991 L
.24239 .5604 L
.24633 .56293 L
.24858 .56523 L
.25116 .56805 L
.25204 .57006 L
.25378 .57489 L
.25367 .57973 L
.25116 .58294 L
.24633 .58434 L
.2415 .58435 L
.23666 .58417 L
.23183 .58404 L
.227 .58408 L
.22217 .58425 L
.21734 .58437 L
.2125 .58403 L
.20767 .58166 L
.2069 .57973 L
.20619 .57489 L
.2073 .57006 L
.20767 .56863 L
.21016 .56523 L
.2125 .56253 L
.21575 .5604 L
F
.041 .897 1 r
.21734 .52614 m
.22217 .52459 L
.227 .52414 L
.23183 .52467 L
.23666 .52622 L
.23747 .52658 L
.2415 .52884 L
.24426 .53141 L
.24633 .53316 L
.24778 .53624 L
.24949 .54107 L
.24909 .5459 L
.24633 .54971 L
.2415 .55006 L
.23666 .5501 L
.23183 .55002 L
.227 .54999 L
.22217 .55005 L
.21734 .55006 L
.2125 .54964 L
.20767 .54684 L
.20724 .5459 L
.20623 .54107 L
.2073 .53624 L
.20767 .53535 L
.21025 .53141 L
.2125 .52895 L
.21642 .52658 L
F
1 .845 .008 r
.21734 .42428 m
.22217 .42404 L
.22641 .42511 L
.227 .42521 L
.23183 .42813 L
.23333 .42994 L
.23609 .43477 L
.2362 .4396 L
.23183 .44316 L
.227 .44432 L
.22217 .44431 L
.21734 .44424 L
.2125 .44408 L
.20767 .4409 L
.20677 .4396 L
.20626 .43477 L
.20767 .43113 L
.20839 .42994 L
.2125 .42568 L
.21474 .42511 L
F
.247 .955 1 r
.21734 .59271 m
.22217 .59069 L
.227 .5897 L
.23183 .58949 L
.23666 .58998 L
.2415 .59126 L
.24633 .59354 L
.24736 .59422 L
.25116 .59698 L
.25293 .59905 L
.25599 .60321 L
.25623 .60388 L
.25781 .60872 L
.25767 .61355 L
.25599 .6162 L
.25116 .61809 L
.24633 .61808 L
.2415 .61777 L
.23666 .6175 L
.23183 .61742 L
.227 .61757 L
.22217 .61787 L
.21734 .61812 L
.2125 .6178 L
.20767 .61497 L
.20714 .61355 L
.20641 .60872 L
.20739 .60388 L
.20767 .60307 L
.21006 .59905 L
.2125 .59597 L
.21503 .59422 L
F
.648 .986 1 r
.22217 .65579 m
.227 .65431 L
.23183 .65358 L
.23666 .65349 L
.2415 .65403 L
.24633 .65523 L
.25087 .65704 L
.25116 .65715 L
.25599 .65994 L
.25813 .66187 L
.26082 .66412 L
.26243 .6667 L
.2652 .67153 L
.26566 .67278 L
.26629 .67636 L
.26566 .68114 L
.26563 .68119 L
.26082 .68463 L
.25599 .68455 L
.25116 .68392 L
.24633 .68326 L
.2415 .68281 L
.23666 .68265 L
.23183 .68281 L
.227 .68328 L
.22217 .68395 L
.21734 .68455 L
.2125 .68444 L
.2077 .68119 L
.20767 .68115 L
.20646 .67636 L
.20702 .67153 L
.20767 .66912 L
.20893 .6667 L
.2125 .66189 L
.21255 .66187 L
.21734 .65805 L
.21949 .65704 L
F
1 .974 .445 r
.227 .62217 m
.23183 .62166 L
.23666 .62185 L
.2415 .62274 L
.2432 .62321 L
.24633 .6243 L
.25116 .62689 L
.25264 .62804 L
.25599 .63073 L
.25756 .63288 L
.26064 .63771 L
.26082 .63812 L
.26197 .64254 L
.26165 .64737 L
.26082 .64892 L
.25599 .65152 L
.25116 .65147 L
.24633 .65101 L
.2415 .65056 L
.23666 .65031 L
.23183 .65033 L
.227 .65063 L
.22217 .6511 L
.21734 .6515 L
.2125 .65126 L
.20767 .64802 L
.20741 .64737 L
.2065 .64254 L
.20729 .63771 L
.20767 .63643 L
.20964 .63288 L
.2125 .629 L
.21394 .62804 L
.21734 .62555 L
.22217 .62343 L
.22276 .62321 L
F
1 .862 .014 r
.21734 .49267 m
.22217 .49141 L
.227 .49138 L
.23183 .4925 L
.23259 .49275 L
.23666 .49471 L
.23996 .49758 L
.2415 .49935 L
.24344 .50242 L
.2449 .50725 L
.24363 .51208 L
.2415 .51414 L
.23666 .51509 L
.23183 .51523 L
.227 .51523 L
.22217 .51522 L
.21734 .5151 L
.2125 .51449 L
.20844 .51208 L
.20767 .51105 L
.20657 .50725 L
.2074 .50242 L
.20767 .50174 L
.2103 .49758 L
.2125 .49523 L
.21711 .49275 L
F
.008 .843 1 r
.21734 .45868 m
.22217 .45786 L
.227 .4584 L
.22976 .45893 L
.23183 .46005 L
.23636 .46376 L
.23666 .46411 L
.23963 .46859 L
.24062 .47342 L
.23746 .47826 L
.23666 .47867 L
.23183 .47974 L
.227 .47996 L
.22217 .47997 L
.21734 .4798 L
.2125 .47909 L
.21028 .47826 L
.20767 .47601 L
.2066 .47342 L
.20698 .46859 L
.20767 .46685 L
.20962 .46376 L
.2125 .46075 L
.2164 .45893 L
F
.012 .857 1 r
.21734 .39026 m
.22217 .39082 L
.22336 .39128 L
.227 .3934 L
.2297 .39612 L
.23146 .40095 L
.22867 .40578 L
.227 .40656 L
.22217 .40744 L
.21734 .40745 L
.2125 .40673 L
.2099 .40578 L
.20767 .40371 L
.20666 .40095 L
.20767 .39657 L
.20786 .39612 L
.2125 .39176 L
.21352 .39128 L
F
.036 .892 1 r
.21734 .52638 m
.22217 .52478 L
.227 .52432 L
.23183 .52486 L
.23666 .52645 L
.23696 .52658 L
.2415 .52915 L
.24387 .53141 L
.24633 .53377 L
.2474 .53624 L
.24905 .54107 L
.24848 .5459 L
.24633 .54916 L
.2415 .54981 L
.23666 .54989 L
.23183 .54983 L
.227 .54981 L
.22217 .54985 L
.21734 .54982 L
.2125 .54929 L
.20784 .5459 L
.20767 .54561 L
.20667 .54107 L
.20767 .53624 L
.20767 .53624 L
.21063 .53141 L
.2125 .5293 L
.21693 .52658 L
F
1 .889 .032 r
.2125 .35614 m
.21734 .35543 L
.22217 .35745 L
.22219 .35746 L
.22668 .36229 L
.22666 .36712 L
.22217 .36954 L
.21734 .37007 L
.2125 .36965 L
.20767 .36729 L
.20752 .36712 L
.20669 .36229 L
.20767 .36029 L
.21047 .35746 L
F
1 .84 .007 r
.21734 .42458 m
.22217 .42432 L
.22556 .42511 L
.227 .42537 L
.23183 .42863 L
.23288 .42994 L
.23567 .43477 L
.23567 .4396 L
.23183 .44276 L
.227 .44422 L
.22217 .44418 L
.21734 .4441 L
.2125 .44387 L
.20767 .44013 L
.20733 .4396 L
.2067 .43477 L
.20767 .43193 L
.2088 .42994 L
.2125 .42594 L
.21557 .42511 L
F
1 .925 .097 r
.21734 .5598 m
.22217 .55792 L
.227 .55714 L
.23183 .55724 L
.23666 .55821 L
.2415 .5602 L
.24186 .5604 L
.24633 .56334 L
.24811 .56523 L
.25116 .56903 L
.25156 .57006 L
.25321 .57489 L
.25292 .57973 L
.25116 .58212 L
.24633 .58402 L
.2415 .58409 L
.23666 .58394 L
.23183 .58383 L
.227 .58386 L
.22217 .584 L
.21734 .58406 L
.2125 .58358 L
.20767 .5798 L
.20765 .57973 L
.20675 .57489 L
.20767 .57031 L
.20777 .57006 L
.21064 .56523 L
.2125 .56297 L
.21628 .5604 L
F
1 .858 .012 r
.22217 .49161 m
.227 .49157 L
.23183 .49271 L
.23195 .49275 L
.23666 .49498 L
.2396 .49758 L
.2415 .4998 L
.24309 .50242 L
.2445 .50725 L
.24302 .51208 L
.2415 .51361 L
.23666 .51483 L
.23183 .51503 L
.227 .51505 L
.22217 .51503 L
.21734 .51488 L
.2125 .51414 L
.20903 .51208 L
.20767 .51012 L
.20697 .50725 L
.20767 .50263 L
.20775 .50242 L
.21065 .49758 L
.2125 .49556 L
.21734 .49285 L
.21771 .49275 L
F
.007 .839 1 r
.22217 .45809 m
.227 .45863 L
.22874 .45893 L
.23183 .46029 L
.23601 .46376 L
.23666 .46453 L
.23927 .46859 L
.2402 .47342 L
.23666 .47821 L
.23659 .47826 L
.23183 .47948 L
.227 .47975 L
.22217 .47976 L
.21734 .47956 L
.2125 .47874 L
.21117 .47826 L
.20767 .47518 L
.20702 .47342 L
.20734 .46859 L
.20767 .46767 L
.20999 .46376 L
.2125 .46107 L
.21734 .45893 L
.21734 .45893 L
F
.094 .924 1 r
.2125 .32128 m
.21734 .32181 L
.22006 .32364 L
.22183 .32847 L
.21734 .33158 L
.2125 .33165 L
.20767 .32936 L
.20706 .32847 L
.20767 .32451 L
.20831 .32364 L
F
.031 .888 1 r
.22217 .52498 m
.227 .52451 L
.23183 .52505 L
.23655 .52658 L
.23666 .52665 L
.2415 .52947 L
.24349 .53141 L
.24633 .5345 L
.24702 .53624 L
.24861 .54107 L
.24787 .5459 L
.24633 .54846 L
.2415 .54954 L
.23666 .54968 L
.23183 .54965 L
.227 .54963 L
.22217 .54965 L
.21734 .54957 L
.2125 .54891 L
.20844 .5459 L
.20767 .54442 L
.2071 .54107 L
.20767 .53739 L
.20807 .53624 L
.21101 .53141 L
.2125 .52968 L
.21734 .52661 L
.21739 .52658 L
F
1 .836 .006 r
.21734 .42489 m
.22217 .42462 L
.22457 .42511 L
.227 .42555 L
.23183 .42917 L
.23243 .42994 L
.23525 .43477 L
.23511 .4396 L
.23183 .44234 L
.227 .44409 L
.22217 .44403 L
.21734 .44393 L
.2125 .44361 L
.20789 .4396 L
.20767 .43916 L
.20714 .43477 L
.20767 .43291 L
.20923 .42994 L
.2125 .42625 L
.21654 .42511 L
F
.215 .95 1 r
.21734 .59311 m
.22217 .59096 L
.227 .58993 L
.23183 .5897 L
.23666 .59021 L
.2415 .59155 L
.24633 .59394 L
.24674 .59422 L
.25116 .59763 L
.2523 .59905 L
.25553 .60388 L
.25599 .60492 L
.25699 .60872 L
.25658 .61355 L
.25599 .61462 L
.25116 .61756 L
.24633 .61768 L
.2415 .61745 L
.23666 .61722 L
.23183 .61714 L
.227 .61727 L
.22217 .61752 L
.21734 .61765 L
.2125 .61709 L
.20824 .61355 L
.20767 .61222 L
.2072 .60872 L
.20767 .6052 L
.20808 .60388 L
.21071 .59905 L
.2125 .5966 L
.21568 .59422 L
F
1 .92 .085 r
.21734 .5601 m
.22217 .55814 L
.227 .55733 L
.23183 .55743 L
.23666 .55843 L
.24135 .5604 L
.2415 .56047 L
.24633 .56378 L
.24765 .56523 L
.2511 .57006 L
.25116 .57018 L
.25265 .57489 L
.25217 .57973 L
.25116 .58121 L
.24633 .58368 L
.2415 .58382 L
.23666 .58371 L
.23183 .58362 L
.227 .58364 L
.22217 .58375 L
.21734 .58374 L
.2125 .5831 L
.2084 .57973 L
.20767 .57801 L
.20729 .57489 L
.20767 .57198 L
.20827 .57006 L
.2111 .56523 L
.2125 .56345 L
.21681 .5604 L
F
.01 .852 1 r
.21734 .39072 m
.2221 .39128 L
.22217 .3913 L
.227 .39399 L
.22908 .39612 L
.23088 .40095 L
.22716 .40578 L
.227 .40585 L
.22217 .40698 L
.21734 .40701 L
.2125 .40616 L
.21138 .40578 L
.20767 .40231 L
.20732 .40095 L
.20767 .39802 L
.20834 .39612 L
.2125 .39228 L
.21482 .39128 L
F
1 .854 .011 r
.22217 .49181 m
.227 .49177 L
.23132 .49275 L
.23183 .49288 L
.23666 .49525 L
.23925 .49758 L
.2415 .50029 L
.24274 .50242 L
.2441 .50725 L
.24239 .51208 L
.2415 .51301 L
.23666 .51457 L
.23183 .51483 L
.227 .51487 L
.22217 .51483 L
.21734 .51464 L
.2125 .51379 L
.20964 .51208 L
.20767 .50891 L
.20736 .50725 L
.20767 .50383 L
.20809 .50242 L
.21101 .49758 L
.2125 .49591 L
.21734 .49302 L
.21832 .49275 L
F
.006 .835 1 r
.22217 .45831 m
.227 .45887 L
.22741 .45893 L
.23183 .46054 L
.23565 .46376 L
.23666 .46496 L
.23891 .46859 L
.23978 .47342 L
.23666 .4778 L
.23584 .47826 L
.23183 .4792 L
.227 .47953 L
.22217 .47954 L
.21734 .47931 L
.2125 .47838 L
.21216 .47826 L
.20767 .47414 L
.20745 .47342 L
.20767 .4687 L
.2077 .46859 L
.21036 .46376 L
.2125 .46142 L
.21734 .45907 L
.21817 .45893 L
F
1 .992 .773 r
.23183 .68549 m
.23666 .68515 L
.2415 .68542 L
.24574 .68603 L
.24633 .68627 L
.25116 .68772 L
.25599 .69003 L
.25712 .69086 L
.26082 .69323 L
.26306 .69569 L
.26566 .69823 L
.26664 .70052 L
.2688 .70535 L
.26942 .71019 L
.26748 .71502 L
.26566 .71615 L
.26082 .71667 L
.25599 .7161 L
.25116 .71536 L
.24859 .71502 L
.24633 .71475 L
.2415 .71439 L
.23666 .71437 L
.23183 .71468 L
.22892 .71502 L
.227 .71527 L
.22217 .71602 L
.21734 .71662 L
.2125 .71624 L
.21006 .71502 L
.20767 .71089 L
.20753 .71019 L
.2075 .70535 L
.20767 .70416 L
.20897 .70052 L
.21207 .69569 L
.2125 .69481 L
.21724 .69086 L
.21734 .69075 L
.22217 .68804 L
.227 .68641 L
.22832 .68603 L
F
.027 .884 1 r
.22217 .52518 m
.227 .52469 L
.23183 .52525 L
.23627 .52658 L
.23666 .52684 L
.2415 .5298 L
.24311 .53141 L
.24633 .53536 L
.24665 .53624 L
.24817 .54107 L
.24725 .5459 L
.24633 .54758 L
.2415 .54925 L
.23666 .54947 L
.23183 .54946 L
.227 .54944 L
.22217 .54945 L
.21734 .54932 L
.2125 .54852 L
.20905 .5459 L
.20767 .54262 L
.20753 .54107 L
.20767 .53914 L
.20845 .53624 L
.21139 .53141 L
.2125 .53007 L
.21734 .52679 L
.21764 .52658 L
F
1 .831 .005 r
.22217 .42492 m
.2233 .42511 L
.227 .42575 L
.23183 .42976 L
.23197 .42994 L
.23481 .43477 L
.23454 .4396 L
.23183 .44189 L
.227 .44393 L
.22217 .44386 L
.21734 .44374 L
.2125 .44329 L
.20843 .4396 L
.20767 .43769 L
.20758 .43477 L
.20767 .43433 L
.20967 .42994 L
.2125 .42661 L
.21734 .4252 L
.21781 .42511 L
F
1 .885 .028 r
.2125 .35716 m
.21734 .35629 L
.2206 .35746 L
.22217 .35835 L
.22594 .36229 L
.22562 .36712 L
.22217 .36873 L
.21734 .36942 L
.2125 .36891 L
.20891 .36712 L
.20775 .36229 L
.21201 .35746 L
F
1 .849 .009 r
.22217 .49201 m
.227 .49196 L
.23066 .49275 L
.23183 .49305 L
.23666 .49554 L
.23889 .49758 L
.2415 .5008 L
.2424 .50242 L
.2437 .50725 L
.24174 .51208 L
.2415 .51234 L
.23666 .51429 L
.23183 .51463 L
.227 .51468 L
.22217 .51464 L
.21734 .5144 L
.2125 .51341 L
.21028 .51208 L
.20776 .50725 L
.20844 .50242 L
.21137 .49758 L
.2125 .49628 L
.21734 .49319 L
.21898 .49275 L
F
1 .969 .387 r
.227 .62251 m
.23183 .62197 L
.23666 .62216 L
.2415 .6231 L
.24192 .62321 L
.24633 .62473 L
.25116 .62755 L
.25175 .62804 L
.25599 .63189 L
.25661 .63288 L
.25943 .63771 L
.26069 .64254 L
.2598 .64737 L
.25599 .65045 L
.25116 .65077 L
.24633 .65049 L
.2415 .65013 L
.23666 .64991 L
.23183 .64993 L
.227 .65018 L
.22217 .65054 L
.21734 .65072 L
.2125 .64998 L
.20928 .64737 L
.20778 .64254 L
.2084 .63771 L
.21067 .63288 L
.2125 .62993 L
.21491 .62804 L
.21734 .62614 L
.22217 .62379 L
.22385 .62321 L
F
1 .916 .074 r
.22217 .55837 m
.227 .55753 L
.23183 .55763 L
.23666 .55866 L
.24086 .5604 L
.2415 .5607 L
.24633 .56423 L
.24721 .56523 L
.25061 .57006 L
.25116 .57128 L
.25211 .57489 L
.25141 .57973 L
.25116 .58014 L
.24633 .5833 L
.2415 .58355 L
.23666 .58348 L
.23183 .5834 L
.227 .58342 L
.22217 .5835 L
.21734 .58342 L
.2125 .58258 L
.20915 .57973 L
.20783 .57489 L
.20876 .57006 L
.21154 .56523 L
.2125 .56396 L
.21734 .5604 L
.21734 .5604 L
F
.005 .83 1 r
.22217 .45854 m
.22626 .45893 L
.227 .45903 L
.23183 .46081 L
.23528 .46376 L
.23666 .46543 L
.23854 .46859 L
.23935 .47342 L
.23666 .47735 L
.2349 .47826 L
.23183 .47892 L
.227 .4793 L
.22217 .47932 L
.21734 .47906 L
.21295 .47826 L
.2125 .47802 L
.20788 .47342 L
.20806 .46859 L
.21074 .46376 L
.2125 .46179 L
.21734 .45923 L
.21915 .45893 L
F
.009 .848 1 r
.21734 .39121 m
.22 .39128 L
.22217 .39176 L
.227 .39463 L
.22843 .39612 L
.23025 .40095 L
.227 .40524 L
.22552 .40578 L
.22217 .40649 L
.21734 .40654 L
.21319 .40578 L
.2125 .40557 L
.20792 .40095 L
.20888 .39612 L
.2125 .39283 L
.21682 .39128 L
F
.024 .879 1 r
.22217 .52538 m
.227 .52488 L
.23183 .52545 L
.23591 .52658 L
.23666 .52703 L
.2415 .53015 L
.24273 .53141 L
.24628 .53624 L
.24633 .53634 L
.24774 .54107 L
.24662 .5459 L
.24633 .54649 L
.2415 .54895 L
.23666 .54925 L
.23183 .54927 L
.227 .54925 L
.22217 .54924 L
.21734 .54906 L
.2125 .54809 L
.20967 .5459 L
.20796 .54107 L
.20883 .53624 L
.21176 .53141 L
.2125 .53049 L
.21734 .52698 L
.21796 .52658 L
F
.187 .946 1 r
.21734 .59351 m
.22217 .59124 L
.227 .59015 L
.23183 .58992 L
.23666 .59044 L
.2415 .59185 L
.24612 .59422 L
.24633 .59432 L
.25116 .59833 L
.2517 .59905 L
.25483 .60388 L
.25599 .60724 L
.25623 .60872 L
.25599 .61228 L
.2555 .61355 L
.25116 .61697 L
.24633 .61727 L
.2415 .61712 L
.23666 .61693 L
.23183 .61687 L
.227 .61697 L
.22217 .61716 L
.21734 .61717 L
.2125 .61631 L
.20933 .61355 L
.20798 .60872 L
.20878 .60388 L
.21132 .59905 L
.2125 .5973 L
.21631 .59422 L
F
1 .827 .005 r
.2125 .42703 m
.21734 .42551 L
.22217 .42512 L
.227 .426 L
.23158 .42994 L
.23183 .43031 L
.23437 .43477 L
.23393 .4396 L
.23183 .44141 L
.227 .44372 L
.22217 .44367 L
.21734 .44352 L
.2125 .44289 L
.209 .4396 L
.208 .43477 L
.21013 .42994 L
F
.855 .995 1 r
.227 .71815 m
.23183 .71695 L
.23666 .7164 L
.2415 .71643 L
.24633 .71702 L
.25116 .71822 L
.25546 .71985 L
.25599 .72005 L
.26082 .72261 L
.26333 .72468 L
.26566 .72628 L
.26804 .72951 L
.27049 .7324 L
.27096 .73434 L
.27238 .73918 L
.27224 .74401 L
.27049 .74794 L
.26566 .74845 L
.26082 .74803 L
.25599 .74719 L
.25116 .74638 L
.24633 .74581 L
.2415 .74557 L
.23666 .74568 L
.23183 .74616 L
.227 .74692 L
.22217 .7478 L
.21734 .7484 L
.2125 .74779 L
.20895 .74401 L
.20809 .73918 L
.20896 .73434 L
.21146 .72951 L
.2125 .72719 L
.21555 .72468 L
.21734 .72284 L
.22217 .72005 L
.22273 .71985 L
F
1 .845 .008 r
.22217 .49221 m
.227 .49216 L
.22993 .49275 L
.23183 .49322 L
.23666 .49584 L
.23854 .49758 L
.2415 .50136 L
.24206 .50242 L
.24331 .50725 L
.2415 .51173 L
.24111 .51208 L
.23666 .514 L
.23183 .51441 L
.227 .51449 L
.22217 .51444 L
.21734 .51416 L
.2125 .51301 L
.21095 .51208 L
.20815 .50725 L
.20878 .50242 L
.21172 .49758 L
.2125 .49667 L
.21734 .49337 L
.2197 .49275 L
F
.004 .826 1 r
.22217 .45877 m
.2249 .45893 L
.227 .45918 L
.23183 .4611 L
.23491 .46376 L
.23666 .46592 L
.23818 .46859 L
.23891 .47342 L
.23666 .47688 L
.2337 .47826 L
.23183 .47862 L
.227 .47907 L
.22217 .4791 L
.21734 .4788 L
.21389 .47826 L
.2125 .47767 L
.2083 .47342 L
.20841 .46859 L
.21113 .46376 L
.2125 .46218 L
.21734 .45939 L
.22048 .45893 L
F
1 .911 .064 r
.22217 .5586 m
.227 .55773 L
.23183 .55783 L
.23666 .55889 L
.24036 .5604 L
.2415 .56093 L
.24633 .56471 L
.24677 .56523 L
.25014 .57006 L
.25116 .5727 L
.25159 .57489 L
.25116 .57871 L
.25067 .57973 L
.24633 .58289 L
.2415 .58326 L
.23666 .58325 L
.23183 .58319 L
.227 .5832 L
.22217 .58324 L
.21734 .58309 L
.2125 .58202 L
.2099 .57973 L
.20837 .57489 L
.20923 .57006 L
.21198 .56523 L
.2125 .5645 L
.21734 .56061 L
.21781 .5604 L
F
.021 .875 1 r
.22217 .52559 m
.227 .52507 L
.23183 .52565 L
.23547 .52658 L
.23666 .52722 L
.2415 .53051 L
.24236 .53141 L
.2459 .53624 L
.24633 .53717 L
.24732 .54107 L
.24633 .54544 L
.246 .5459 L
.2415 .54862 L
.23666 .54902 L
.23183 .54907 L
.227 .54906 L
.22217 .54903 L
.21734 .54879 L
.2125 .54763 L
.21031 .5459 L
.20838 .54107 L
.20921 .53624 L
.21213 .53141 L
.2125 .53093 L
.21734 .52718 L
.21838 .52658 L
F
1 .822 .004 r
.2125 .42753 m
.21734 .42583 L
.22217 .42518 L
.227 .42628 L
.23121 .42994 L
.23183 .43088 L
.23391 .43477 L
.23329 .4396 L
.23183 .44089 L
.227 .44346 L
.22217 .44346 L
.21734 .44327 L
.2125 .44241 L
.20961 .4396 L
.20843 .43477 L
.21061 .42994 L
F
.008 .843 1 r
.2125 .39342 m
.21734 .39168 L
.22217 .39224 L
.227 .39534 L
.22772 .39612 L
.22957 .40095 L
.227 .40456 L
.22328 .40578 L
.22217 .40596 L
.21734 .40604 L
.21543 .40578 L
.2125 .40501 L
.20849 .40095 L
.20949 .39612 L
F
1 .84 .007 r
.22217 .49242 m
.227 .49237 L
.22911 .49275 L
.23183 .49339 L
.23666 .49616 L
.23818 .49758 L
.2415 .50198 L
.24172 .50242 L
.24291 .50725 L
.2415 .51111 L
.24047 .51208 L
.23666 .5137 L
.23183 .5142 L
.227 .51429 L
.22217 .51423 L
.21734 .51391 L
.2125 .51259 L
.21165 .51208 L
.20854 .50725 L
.20913 .50242 L
.21208 .49758 L
.2125 .49708 L
.21734 .49356 L
.22052 .49275 L
F
.004 .821 1 r
.2125 .46261 m
.21734 .45957 L
.22217 .45897 L
.227 .45934 L
.23183 .4614 L
.23453 .46376 L
.23666 .46646 L
.23781 .46859 L
.23847 .47342 L
.23666 .47636 L
.23217 .47826 L
.23183 .47832 L
.227 .47883 L
.22217 .47887 L
.21734 .47853 L
.2153 .47826 L
.2125 .4773 L
.20873 .47342 L
.20877 .46859 L
.21153 .46376 L
F
.163 .941 1 r
.21734 .59393 m
.22217 .59153 L
.227 .59038 L
.23183 .59013 L
.23666 .59068 L
.2415 .59215 L
.24549 .59422 L
.24633 .59465 L
.25114 .59905 L
.25116 .59907 L
.25415 .60388 L
.25547 .60872 L
.25441 .61355 L
.25116 .61627 L
.24633 .61684 L
.2415 .61679 L
.23666 .61664 L
.23183 .61659 L
.227 .61667 L
.22217 .6168 L
.21734 .61669 L
.2125 .61545 L
.21042 .61355 L
.20876 .60872 L
.20945 .60388 L
.2119 .59905 L
.2125 .59808 L
.21693 .59422 L
F
.018 .87 1 r
.22217 .5258 m
.227 .52526 L
.23183 .52585 L
.23492 .52658 L
.23666 .52743 L
.2415 .53088 L
.24199 .53141 L
.24553 .53624 L
.24633 .53821 L
.24689 .54107 L
.24633 .54441 L
.24537 .5459 L
.2415 .54827 L
.23666 .54879 L
.23183 .54887 L
.227 .54887 L
.22217 .54882 L
.21734 .54852 L
.2125 .54715 L
.21096 .5459 L
.20881 .54107 L
.20958 .53624 L
.2125 .53141 L
.2125 .5314 L
.21734 .52738 L
.21891 .52658 L
F
1 .88 .024 r
.21734 .3573 m
.21809 .35746 L
.22217 .3594 L
.22491 .36229 L
.22375 .36712 L
.22217 .36778 L
.21734 .36869 L
.2125 .36806 L
.21055 .36712 L
.20884 .36229 L
.2125 .35816 L
.21458 .35746 L
F
1 .818 .004 r
.2125 .4281 m
.21734 .42615 L
.22217 .42526 L
.227 .4266 L
.23081 .42994 L
.23183 .4315 L
.23345 .43477 L
.23261 .4396 L
.23183 .44031 L
.227 .44315 L
.22217 .44322 L
.21734 .44299 L
.2125 .44184 L
.21026 .4396 L
.20886 .43477 L
.21111 .42994 L
F
1 .907 .056 r
.22217 .55884 m
.227 .55793 L
.23183 .55803 L
.23666 .55913 L
.23984 .5604 L
.2415 .56118 L
.24633 .56521 L
.24635 .56523 L
.24967 .57006 L
.25107 .57489 L
.24991 .57973 L
.24633 .58243 L
.2415 .58297 L
.23666 .58301 L
.23183 .58297 L
.227 .58297 L
.22217 .58298 L
.21734 .58275 L
.2125 .5814 L
.21067 .57973 L
.2089 .57489 L
.20969 .57006 L
.21241 .56523 L
.2125 .56509 L
.21734 .56083 L
.2183 .5604 L
F
.565 .982 1 r
.22217 .65646 m
.227 .65481 L
.23183 .654 L
.23666 .65391 L
.2415 .65449 L
.24633 .6558 L
.24932 .65704 L
.25116 .65784 L
.25599 .66116 L
.25664 .66187 L
.26082 .66661 L
.26086 .6667 L
.26304 .67153 L
.2638 .67636 L
.26184 .68119 L
.26082 .68202 L
.25599 .68316 L
.25116 .68297 L
.24633 .68253 L
.2415 .68218 L
.23666 .68205 L
.23183 .68218 L
.227 .68253 L
.22217 .68297 L
.21734 .6831 L
.2125 .68191 L
.21148 .68119 L
.20891 .67636 L
.20902 .67153 L
.21079 .6667 L
.2125 .66312 L
.21423 .66187 L
.21734 .65898 L
.221 .65704 L
F
1 .836 .006 r
.22217 .49263 m
.227 .49257 L
.22813 .49275 L
.23183 .49358 L
.23666 .49648 L
.23781 .49758 L
.24138 .50242 L
.2415 .50268 L
.24251 .50725 L
.2415 .51041 L
.23979 .51208 L
.23666 .51338 L
.23183 .51397 L
.227 .51409 L
.22217 .51402 L
.21734 .51365 L
.2125 .51215 L
.21239 .51208 L
.20894 .50725 L
.20947 .50242 L
.21245 .49758 L
.2125 .49751 L
.21734 .49376 L
.22149 .49275 L
F
1 .965 .337 r
.227 .62285 m
.23183 .62228 L
.23666 .62248 L
.24057 .62321 L
.2415 .62343 L
.24633 .62517 L
.25091 .62804 L
.25116 .62817 L
.25575 .63288 L
.25599 .6332 L
.25835 .63771 L
.25939 .64254 L
.25794 .64737 L
.25599 .6491 L
.25116 .65004 L
.24633 .64996 L
.2415 .64969 L
.23666 .64952 L
.23183 .64953 L
.227 .64973 L
.22217 .64997 L
.21734 .64992 L
.2125 .64854 L
.21114 .64737 L
.20907 .64254 L
.20949 .63771 L
.21159 .63288 L
.2125 .63112 L
.2158 .62804 L
.21734 .62676 L
.22217 .62417 L
.2252 .62321 L
F
.003 .817 1 r
.2125 .46307 m
.21734 .45977 L
.22217 .45909 L
.227 .45951 L
.23183 .46172 L
.23414 .46376 L
.23666 .46705 L
.23744 .46859 L
.23802 .47342 L
.23666 .47579 L
.23183 .47803 L
.23047 .47826 L
.227 .47859 L
.22217 .47863 L
.21735 .47826 L
.21734 .47826 L
.2125 .47691 L
.20917 .47342 L
.20913 .46859 L
.21193 .46376 L
F
.007 .839 1 r
.2125 .39407 m
.21734 .39217 L
.22217 .39275 L
.22696 .39612 L
.227 .39616 L
.22882 .40095 L
.227 .40378 L
.22217 .40546 L
.21734 .40555 L
.2125 .40439 L
.20913 .40095 L
.2102 .39612 L
F
.016 .866 1 r
.22217 .52601 m
.227 .52545 L
.23183 .52606 L
.23424 .52658 L
.23666 .52764 L
.2415 .53127 L
.24162 .53141 L
.24516 .53624 L
.24633 .53977 L
.24647 .54107 L
.24633 .54285 L
.24473 .5459 L
.2415 .54789 L
.23666 .54855 L
.23183 .54867 L
.227 .54867 L
.22217 .5486 L
.21734 .54823 L
.2125 .54662 L
.21163 .5459 L
.20924 .54107 L
.20995 .53624 L
.2125 .53184 L
.21286 .53141 L
.21734 .5276 L
.21958 .52658 L
F
1 .813 .003 r
.2125 .42876 m
.21734 .42649 L
.22217 .42539 L
.227 .42698 L
.23036 .42994 L
.23183 .43221 L
.23297 .43477 L
.23188 .4396 L
.23183 .43965 L
.227 .44279 L
.22217 .44295 L
.21734 .44268 L
.2125 .44117 L
.21097 .4396 L
.20931 .43477 L
.21164 .42994 L
F
1 .831 .005 r
.21734 .49397 m
.22217 .49281 L
.227 .49277 L
.23183 .49377 L
.23666 .49682 L
.23745 .49758 L
.24104 .50242 L
.2415 .50356 L
.24211 .50725 L
.2415 .50956 L
.23904 .51208 L
.23666 .51305 L
.23183 .51375 L
.227 .51389 L
.22217 .51381 L
.21734 .51338 L
.21305 .51208 L
.2125 .51173 L
.20934 .50725 L
.20981 .50242 L
.2125 .49792 L
.21278 .49758 L
F
1 .903 .049 r
.22217 .55908 m
.227 .55814 L
.23183 .55824 L
.23666 .55936 L
.2393 .5604 L
.2415 .56144 L
.24591 .56523 L
.24633 .56569 L
.24922 .57006 L
.25054 .57489 L
.24914 .57973 L
.24633 .58191 L
.2415 .58267 L
.23666 .58277 L
.23183 .58274 L
.227 .58274 L
.22217 .58272 L
.21734 .58239 L
.2125 .58072 L
.21145 .57973 L
.20943 .57489 L
.21015 .57006 L
.2125 .56566 L
.21284 .56523 L
.21734 .56107 L
.21881 .5604 L
F
.003 .812 1 r
.2125 .46356 m
.21734 .45998 L
.22217 .45923 L
.227 .45969 L
.23183 .46206 L
.23373 .46376 L
.23666 .46772 L
.23707 .46859 L
.23756 .47342 L
.23666 .47514 L
.23183 .47773 L
.22812 .47826 L
.227 .47834 L
.22217 .47839 L
.21968 .47826 L
.21734 .47799 L
.2125 .47651 L
.20961 .47342 L
.20949 .46859 L
.21234 .46376 L
F
.142 .937 1 r
.22217 .59183 m
.227 .59062 L
.23183 .59035 L
.23666 .59093 L
.2415 .59246 L
.24486 .59422 L
.24633 .59499 L
.25054 .59905 L
.25116 .59982 L
.25351 .60388 L
.25471 .60872 L
.25331 .61355 L
.25116 .61546 L
.24633 .6164 L
.2415 .61645 L
.23666 .61635 L
.23183 .61631 L
.227 .61637 L
.22217 .61644 L
.21734 .61618 L
.2125 .61448 L
.21153 .61355 L
.20951 .60872 L
.21009 .60388 L
.21246 .59905 L
.2125 .59897 L
.21734 .5943 L
.21754 .59422 L
F
.014 .861 1 r
.22217 .52623 m
.227 .52565 L
.23183 .52627 L
.23339 .52658 L
.23666 .52786 L
.24126 .53141 L
.2415 .53165 L
.24479 .53624 L
.24605 .54107 L
.24405 .5459 L
.2415 .54749 L
.23666 .5483 L
.23183 .54846 L
.227 .54847 L
.22217 .54838 L
.21734 .54794 L
.2125 .54606 L
.21232 .5459 L
.20966 .54107 L
.21032 .53624 L
.2125 .5323 L
.21323 .53141 L
.21734 .52783 L
.22042 .52658 L
F
1 .827 .005 r
.21734 .4942 m
.22217 .49294 L
.227 .4929 L
.23183 .49397 L
.23666 .49718 L
.23708 .49758 L
.2407 .50242 L
.2415 .50479 L
.2417 .50725 L
.2415 .50837 L
.23822 .51208 L
.23666 .5127 L
.23183 .51351 L
.227 .51368 L
.22217 .51359 L
.21734 .51311 L
.21377 .51208 L
.2125 .5113 L
.20974 .50725 L
.21016 .50242 L
.2125 .49834 L
.21312 .49758 L
F
1 .809 .003 r
.2125 .4295 m
.21734 .42684 L
.22217 .42556 L
.227 .42741 L
.22987 .42994 L
.23183 .43308 L
.23248 .43477 L
.23183 .43881 L
.23145 .4396 L
.227 .44237 L
.22217 .44265 L
.21734 .44233 L
.2125 .4404 L
.21174 .4396 L
.20978 .43477 L
.2122 .42994 L
F
.003 .808 1 r
.21734 .46022 m
.22217 .45938 L
.227 .45989 L
.23183 .46242 L
.23331 .46376 L
.23666 .46852 L
.23669 .46859 L
.23709 .47342 L
.23666 .47435 L
.23183 .47743 L
.227 .47809 L
.22217 .47815 L
.21734 .47772 L
.2125 .47608 L
.21007 .47342 L
.20986 .46859 L
.2125 .46402 L
.21267 .46376 L
F
.082 .919 1 r
.2125 .3231 m
.2171 .32364 L
.21734 .32377 L
.21912 .32847 L
.21734 .32976 L
.2125 .32997 L
.20987 .32847 L
.2113 .32364 L
F
.006 .835 1 r
.2125 .39479 m
.21734 .39269 L
.22217 .3933 L
.22621 .39612 L
.227 .39722 L
.22799 .40095 L
.227 .40279 L
.22217 .40496 L
.21734 .40507 L
.2125 .40369 L
.20989 .40095 L
.21103 .39612 L
F
1 .898 .043 r
.22217 .55932 m
.227 .55834 L
.23183 .55845 L
.23666 .5596 L
.23873 .5604 L
.2415 .56172 L
.24548 .56523 L
.24633 .5662 L
.24877 .57006 L
.25002 .57489 L
.24834 .57973 L
.24633 .58134 L
.2415 .58236 L
.23666 .58252 L
.23183 .58252 L
.227 .58251 L
.22217 .58245 L
.21734 .58203 L
.2125 .57997 L
.21226 .57973 L
.20995 .57489 L
.21059 .57006 L
.2125 .56626 L
.21327 .56523 L
.21734 .56132 L
.21935 .5604 L
F
1 .876 .021 r
.2125 .35928 m
.21734 .35825 L
.22217 .36076 L
.22348 .36229 L
.22217 .36651 L
.22112 .36712 L
.21734 .36787 L
.21272 .36712 L
.2125 .36703 L
.21008 .36229 L
F
.012 .857 1 r
.22217 .52645 m
.227 .52585 L
.23183 .52648 L
.23236 .52658 L
.23666 .52809 L
.2409 .53141 L
.2415 .53204 L
.24443 .53624 L
.24563 .54107 L
.24334 .5459 L
.2415 .54705 L
.23666 .54805 L
.23183 .54825 L
.227 .54827 L
.22217 .54815 L
.21734 .54764 L
.21299 .5459 L
.2125 .54551 L
.21008 .54107 L
.21069 .53624 L
.2125 .53279 L
.21359 .53141 L
.21734 .52808 L
.22146 .52658 L
F
1 .822 .004 r
.21734 .49444 m
.22217 .49308 L
.227 .49304 L
.23183 .49418 L
.23666 .49755 L
.2367 .49758 L
.24036 .50242 L
.2413 .50725 L
.23731 .51208 L
.23666 .51233 L
.23183 .51327 L
.227 .51347 L
.22217 .51337 L
.21734 .51283 L
.21459 .51208 L
.2125 .51084 L
.21014 .50725 L
.2105 .50242 L
.2125 .49878 L
.21346 .49758 L
F
.002 .803 1 r
.21734 .46047 m
.22217 .45954 L
.227 .4601 L
.23183 .4628 L
.23288 .46376 L
.23634 .46859 L
.23662 .47342 L
.23183 .47711 L
.227 .47785 L
.22217 .47792 L
.21734 .47745 L
.2125 .47563 L
.21054 .47342 L
.21024 .46859 L
.2125 .46448 L
.21296 .46376 L
F
.124 .933 1 r
.22217 .59213 m
.227 .59086 L
.23183 .59058 L
.23666 .59118 L
.2415 .59278 L
.24424 .59422 L
.24633 .59536 L
.24995 .59905 L
.25116 .60063 L
.2529 .60388 L
.25398 .60872 L
.25217 .61355 L
.25116 .6145 L
.24633 .61593 L
.2415 .61611 L
.23666 .61605 L
.23183 .61602 L
.227 .61606 L
.22217 .61607 L
.21734 .61566 L
.21266 .61355 L
.2125 .61341 L
.21024 .60872 L
.21071 .60388 L
.2125 .59984 L
.21304 .59905 L
.21734 .59456 L
.21815 .59422 L
F
1 .805 .002 r
.21734 .4272 m
.22217 .42578 L
.227 .4279 L
.22931 .42994 L
.23183 .43429 L
.23197 .43477 L
.23183 .43757 L
.23089 .4396 L
.227 .44188 L
.22217 .44231 L
.21734 .44193 L
.21258 .4396 L
.2125 .43955 L
.21028 .43477 L
.2125 .43022 L
.21277 .42994 L
F
1 .961 .294 r
.227 .6232 m
.23183 .62259 L
.23666 .6228 L
.23907 .62321 L
.2415 .62375 L
.24633 .62564 L
.25003 .62804 L
.25116 .62867 L
.25483 .63288 L
.25599 .63462 L
.25737 .63771 L
.25819 .64254 L
.25601 .64737 L
.25599 .64739 L
.25116 .64926 L
.24633 .64941 L
.2415 .64925 L
.23666 .64912 L
.23183 .64913 L
.227 .64927 L
.22217 .6494 L
.21734 .64909 L
.21303 .64737 L
.2125 .6469 L
.21028 .64254 L
.21049 .63771 L
.2124 .63288 L
.2125 .63264 L
.21664 .62804 L
.21734 .62742 L
.22217 .62456 L
.22693 .62321 L
F
1 .894 .037 r
.22217 .55957 m
.227 .55856 L
.23183 .55866 L
.23666 .55985 L
.23812 .5604 L
.2415 .56201 L
.24505 .56523 L
.24633 .56674 L
.24833 .57006 L
.24951 .57489 L
.24751 .57973 L
.24633 .58071 L
.2415 .58203 L
.23666 .58227 L
.23183 .58229 L
.227 .58228 L
.22217 .58218 L
.21734 .58165 L
.21305 .57973 L
.2125 .57922 L
.21046 .57489 L
.21103 .57006 L
.2125 .56691 L
.2137 .56523 L
.21734 .5616 L
.21994 .5604 L
F
.01 .852 1 r
.227 .52605 m
.23134 .52658 L
.23183 .52665 L
.23666 .52833 L
.24053 .53141 L
.2415 .53244 L
.24406 .53624 L
.24521 .54107 L
.24259 .5459 L
.2415 .54659 L
.23666 .54778 L
.23183 .54804 L
.227 .54806 L
.22217 .54792 L
.21734 .54733 L
.21368 .5459 L
.2125 .54495 L
.2105 .54107 L
.21105 .53624 L
.2125 .53332 L
.21396 .53141 L
.21734 .52834 L
.22217 .52663 L
.22255 .52658 L
F
1 .818 .004 r
.21734 .4947 m
.22217 .49323 L
.227 .49318 L
.23183 .4944 L
.23638 .49758 L
.23666 .4979 L
.24002 .50242 L
.24091 .50725 L
.23666 .51197 L
.23651 .51208 L
.23183 .51302 L
.227 .51325 L
.22217 .51315 L
.21734 .51254 L
.21556 .51208 L
.2125 .51035 L
.21055 .50725 L
.21085 .50242 L
.2125 .49926 L
.21381 .49758 L
F
.002 .799 1 r
.21734 .46076 m
.22217 .45972 L
.227 .46033 L
.23183 .4632 L
.23244 .46376 L
.23599 .46859 L
.23619 .47342 L
.23183 .47678 L
.227 .4776 L
.22217 .47768 L
.21734 .47716 L
.2125 .47513 L
.21103 .47342 L
.21062 .46859 L
.2125 .46498 L
.21329 .46376 L
F
.005 .83 1 r
.2125 .39564 m
.21734 .39324 L
.22217 .39389 L
.22539 .39612 L
.227 .39898 L
.22707 .40095 L
.227 .40116 L
.22217 .40441 L
.21734 .40455 L
.2125 .40287 L
.21078 .40095 L
.21199 .39612 L
F
1 .8 .002 r
.21734 .42757 m
.22217 .42606 L
.227 .42845 L
.22868 .42994 L
.23158 .43477 L
.23013 .4396 L
.227 .44132 L
.22217 .44193 L
.21734 .44149 L
.21342 .4396 L
.2125 .4389 L
.21079 .43477 L
.2125 .43088 L
.21334 .42994 L
F
.492 .977 1 r
.227 .65533 m
.23183 .65444 L
.23666 .65434 L
.2415 .65497 L
.24633 .65639 L
.24786 .65704 L
.25116 .65859 L
.25533 .66187 L
.25599 .66215 L
.25925 .6667 L
.26082 .66982 L
.26132 .67153 L
.26159 .67636 L
.26082 .67852 L
.25777 .68119 L
.25599 .68164 L
.25116 .68199 L
.24633 .68179 L
.2415 .68155 L
.23666 .68146 L
.23183 .68155 L
.227 .68179 L
.22217 .68198 L
.21734 .68162 L
.21556 .68119 L
.2125 .67897 L
.21114 .67636 L
.21083 .67153 L
.21223 .6667 L
.2125 .66582 L
.21565 .66187 L
.21734 .66005 L
.22217 .65712 L
.22241 .65704 L
F
1 .996 .888 r
.23183 .74848 m
.23666 .74766 L
.2415 .74745 L
.24633 .74782 L
.25116 .74878 L
.2514 .74884 L
.25599 .75021 L
.26082 .75255 L
.26233 .75367 L
.26566 .75571 L
.26812 .7585 L
.27049 .76063 L
.27151 .76334 L
.27345 .76817 L
.27372 .773 L
.27049 .7777 L
.27019 .77783 L
.26566 .77852 L
.26082 .77804 L
.25943 .77783 L
.25599 .7773 L
.25116 .77663 L
.24633 .77621 L
.2415 .77612 L
.23666 .77637 L
.23183 .77693 L
.227 .77769 L
.22605 .77783 L
.22217 .77835 L
.21734 .77837 L
.21528 .77783 L
.2125 .77644 L
.21118 .773 L
.21087 .76817 L
.21206 .76334 L
.2125 .76188 L
.21493 .7585 L
.21734 .75532 L
.22007 .75367 L
.22217 .75209 L
.227 .7498 L
.23041 .74884 L
F
.009 .848 1 r
.227 .52626 m
.23029 .52658 L
.23183 .52679 L
.23666 .52858 L
.24017 .53141 L
.2415 .53286 L
.2437 .53624 L
.24479 .54107 L
.2418 .5459 L
.2415 .54609 L
.23666 .54751 L
.23183 .54782 L
.227 .54785 L
.22217 .54769 L
.21734 .54701 L
.21443 .5459 L
.2125 .54434 L
.21093 .54107 L
.21141 .53624 L
.2125 .5339 L
.21433 .53141 L
.21734 .52862 L
.22217 .52676 L
.2236 .52658 L
F
.108 .928 1 r
.22217 .59245 m
.227 .5911 L
.23183 .59081 L
.23666 .59143 L
.2415 .5931 L
.24361 .59422 L
.24633 .59577 L
.24939 .59905 L
.25116 .60153 L
.25231 .60388 L
.25326 .60872 L
.25116 .61341 L
.251 .61355 L
.24633 .61545 L
.2415 .61576 L
.23666 .61576 L
.23183 .61573 L
.227 .61575 L
.22217 .61569 L
.21734 .61512 L
.21379 .61355 L
.2125 .6123 L
.21096 .60872 L
.2113 .60388 L
.2125 .60082 L
.21361 .59905 L
.21734 .59486 L
.21876 .59422 L
F
1 .813 .003 r
.21734 .49497 m
.22217 .49338 L
.227 .49334 L
.23183 .49464 L
.23606 .49758 L
.23666 .49825 L
.23968 .50242 L
.24051 .50725 L
.23666 .51162 L
.23584 .51208 L
.23183 .51276 L
.227 .51303 L
.22217 .51291 L
.21734 .51224 L
.21669 .51208 L
.2125 .50983 L
.21097 .50725 L
.2112 .50242 L
.2125 .49977 L
.21417 .49758 L
F
1 .889 .032 r
.22217 .55982 m
.227 .55877 L
.23183 .55888 L
.23666 .5601 L
.23748 .5604 L
.2415 .56232 L
.24462 .56523 L
.24633 .56732 L
.2479 .57006 L
.249 .57489 L
.24665 .57973 L
.24633 .58 L
.2415 .58169 L
.23666 .58201 L
.23183 .58206 L
.227 .58204 L
.22217 .5819 L
.21734 .58126 L
.21387 .57973 L
.2125 .57843 L
.21097 .57489 L
.21146 .57006 L
.2125 .56763 L
.21413 .56523 L
.21734 .56191 L
.22057 .5604 L
F
.002 .794 1 r
.21734 .46106 m
.22217 .45991 L
.227 .46058 L
.23183 .46363 L
.23197 .46376 L
.23563 .46859 L
.23574 .47342 L
.23183 .47644 L
.227 .47735 L
.22217 .47743 L
.21734 .47687 L
.2125 .4746 L
.21154 .47342 L
.21101 .46859 L
.2125 .46553 L
.21365 .46376 L
F
1 .987 .673 r
.23666 .68582 m
.24067 .68603 L
.2415 .68611 L
.24633 .687 L
.25116 .68876 L
.25487 .69086 L
.25599 .69143 L
.26054 .69569 L
.26082 .69601 L
.2636 .70052 L
.26511 .70535 L
.26455 .71019 L
.26082 .71382 L
.25599 .71422 L
.25116 .71399 L
.24633 .71362 L
.2415 .71338 L
.23666 .71336 L
.23183 .71356 L
.227 .71392 L
.22217 .71418 L
.21734 .71379 L
.2125 .71038 L
.21242 .71019 L
.21132 .70535 L
.21213 .70052 L
.2125 .69937 L
.21472 .69569 L
.21734 .69232 L
.21972 .69086 L
.22217 .68923 L
.227 .68719 L
.23183 .68618 L
.23328 .68603 L
F
1 .796 .002 r
.21734 .42797 m
.22217 .42641 L
.227 .42907 L
.22798 .42994 L
.2312 .43477 L
.2291 .4396 L
.227 .44068 L
.22217 .44151 L
.21734 .441 L
.21436 .4396 L
.2125 .43814 L
.21134 .43477 L
.2125 .43165 L
.21395 .42994 L
F
.008 .843 1 r
.227 .52647 m
.22879 .52658 L
.23183 .52694 L
.23666 .52885 L
.2398 .53141 L
.2415 .53331 L
.24334 .53624 L
.24437 .54107 L
.2415 .54562 L
.24106 .5459 L
.23666 .54723 L
.23183 .5476 L
.227 .54764 L
.22217 .54744 L
.21734 .54668 L
.21524 .5459 L
.2125 .54366 L
.21135 .54107 L
.21177 .53624 L
.2125 .53455 L
.21471 .53141 L
.21734 .52892 L
.22217 .52691 L
.2251 .52658 L
F
1 .809 .003 r
.21734 .49527 m
.22217 .49355 L
.227 .4935 L
.23183 .49488 L
.23572 .49758 L
.23666 .49863 L
.23933 .50242 L
.2401 .50725 L
.23666 .51125 L
.23474 .51208 L
.23183 .5125 L
.227 .51281 L
.22217 .51268 L
.21793 .51208 L
.21734 .51194 L
.2125 .50924 L
.21139 .50725 L
.21155 .50242 L
.2125 .50034 L
.21455 .49758 L
F
.001 .79 1 r
.21734 .4614 m
.22217 .46013 L
.227 .46085 L
.2315 .46376 L
.23183 .46403 L
.23526 .46859 L
.23527 .47342 L
.23183 .47608 L
.227 .47708 L
.22217 .47718 L
.21734 .47657 L
.2125 .47399 L
.21206 .47342 L
.21141 .46859 L
.2125 .46614 L
.21405 .46376 L
F
1 .956 .256 r
.23183 .62291 m
.23666 .62313 L
.23724 .62321 L
.2415 .62408 L
.24633 .62612 L
.24919 .62804 L
.25116 .62926 L
.25397 .63288 L
.25599 .63639 L
.25647 .63771 L
.25705 .64254 L
.25599 .64552 L
.25405 .64737 L
.25116 .64843 L
.24633 .64886 L
.2415 .64881 L
.23666 .64872 L
.23183 .64872 L
.227 .64882 L
.22217 .64882 L
.21734 .64823 L
.21504 .64737 L
.2125 .64506 L
.21142 .64254 L
.21142 .63771 L
.2125 .63428 L
.21325 .63288 L
.21734 .62812 L
.21743 .62804 L
.22217 .62498 L
.227 .62349 L
.22883 .62321 L
F
1 .885 .028 r
.22217 .56008 m
.227 .559 L
.23183 .5591 L
.23666 .56036 L
.23678 .5604 L
.2415 .56264 L
.24419 .56523 L
.24633 .56794 L
.24747 .57006 L
.24849 .57489 L
.24633 .57931 L
.24581 .57973 L
.2415 .58134 L
.23666 .58175 L
.23183 .58183 L
.227 .5818 L
.22217 .58162 L
.21734 .58085 L
.21474 .57973 L
.2125 .57754 L
.21148 .57489 L
.21189 .57006 L
.2125 .56846 L
.21456 .56523 L
.21734 .56224 L
.22126 .5604 L
F
1 .871 .019 r
.2125 .36081 m
.21734 .35934 L
.2217 .36229 L
.21734 .36687 L
.2125 .36554 L
.21155 .36229 L
F
.094 .924 1 r
.22217 .59277 m
.227 .59136 L
.23183 .59105 L
.23666 .5917 L
.2415 .59344 L
.24298 .59422 L
.24633 .59622 L
.24883 .59905 L
.25116 .60256 L
.25173 .60388 L
.25256 .60872 L
.25116 .61233 L
.24983 .61355 L
.24633 .61493 L
.2415 .6154 L
.23666 .61545 L
.23183 .61544 L
.227 .61544 L
.22217 .61531 L
.21734 .61456 L
.21501 .61355 L
.2125 .611 L
.21166 .60872 L
.21188 .60388 L
.2125 .602 L
.21416 .59905 L
.21734 .59521 L
.21938 .59422 L
F
.007 .839 1 r
.21734 .52924 m
.22217 .52706 L
.227 .52663 L
.23183 .5271 L
.23666 .52913 L
.23942 .53141 L
.2415 .53378 L
.24298 .53624 L
.24394 .54107 L
.2415 .54514 L
.24029 .5459 L
.23666 .54693 L
.23183 .54737 L
.227 .54742 L
.22217 .5472 L
.21734 .54633 L
.21614 .5459 L
.2125 .54288 L
.21178 .54107 L
.21213 .53624 L
.2125 .53529 L
.21509 .53141 L
F
1 .805 .002 r
.21734 .49558 m
.22217 .49373 L
.227 .49367 L
.23183 .49514 L
.23537 .49758 L
.23666 .49902 L
.23898 .50242 L
.23969 .50725 L
.23666 .51087 L
.23306 .51208 L
.23183 .51223 L
.227 .51258 L
.22217 .51244 L
.21933 .51208 L
.21734 .51165 L
.2125 .50858 L
.21181 .50725 L
.2119 .50242 L
.2125 .50099 L
.21494 .49758 L
F
.001 .786 1 r
.21734 .46176 m
.22217 .46037 L
.227 .46114 L
.23103 .46376 L
.23183 .46443 L
.23487 .46859 L
.23477 .47342 L
.23183 .4757 L
.227 .47681 L
.22217 .47693 L
.21734 .47626 L
.21257 .47342 L
.2125 .47329 L
.21182 .46859 L
.2125 .46686 L
.21451 .46376 L
F
.004 .826 1 r
.21734 .39384 m
.22217 .39453 L
.22448 .39612 L
.22614 .40095 L
.22217 .40379 L
.21734 .40398 L
.2125 .4018 L
.21184 .40095 L
.2125 .39675 L
.213 .39612 L
F
1 .791 .002 r
.21734 .42838 m
.22217 .42684 L
.227 .42977 L
.22719 .42994 L
.23076 .43477 L
.22775 .4396 L
.227 .43996 L
.22217 .44105 L
.21734 .44046 L
.21542 .4396 L
.2125 .43714 L
.21192 .43477 L
.2125 .43266 L
.21461 .42994 L
F
1 .88 .024 r
.22217 .56035 m
.227 .55922 L
.23183 .55932 L
.23609 .5604 L
.23666 .56052 L
.2415 .56299 L
.24377 .56523 L
.24633 .56863 L
.24704 .57006 L
.24798 .57489 L
.24633 .57861 L
.24492 .57973 L
.2415 .58097 L
.23666 .58148 L
.23183 .58159 L
.227 .58156 L
.22217 .58133 L
.21734 .58043 L
.21568 .57973 L
.2125 .57646 L
.21199 .57489 L
.21231 .57006 L
.2125 .56947 L
.21498 .56523 L
.21734 .5626 L
.22202 .5604 L
F
.006 .835 1 r
.21734 .52958 m
.22217 .52722 L
.227 .52675 L
.23183 .52726 L
.23666 .52942 L
.23904 .53141 L
.2415 .53429 L
.24261 .53624 L
.24351 .54107 L
.2415 .54463 L
.23939 .5459 L
.23666 .54663 L
.23183 .54713 L
.227 .5472 L
.22217 .54695 L
.21734 .54597 L
.21713 .5459 L
.2125 .54192 L
.21222 .54107 L
.21249 .53624 L
.2125 .53621 L
.21548 .53141 L
F
.001 .781 1 r
.21734 .46216 m
.22217 .46063 L
.227 .46146 L
.23053 .46376 L
.23183 .46486 L
.23447 .46859 L
.23423 .47342 L
.23183 .47529 L
.227 .47654 L
.22217 .47666 L
.21734 .47593 L
.21296 .47342 L
.2125 .47234 L
.21224 .46859 L
.2125 .46778 L
.21503 .46376 L
F
1 .8 .002 r
.21734 .49591 m
.22217 .49392 L
.227 .49385 L
.23183 .49542 L
.23499 .49758 L
.23666 .49944 L
.23862 .50242 L
.23926 .50725 L
.23666 .51046 L
.23183 .51196 L
.23094 .51208 L
.227 .51234 L
.22217 .51219 L
.22113 .51208 L
.21734 .51135 L
.2125 .5078 L
.21225 .50725 L
.21226 .50242 L
.2125 .50176 L
.21535 .49758 L
F
1 .952 .223 r
.22217 .62542 m
.227 .62379 L
.23183 .62323 L
.23666 .62341 L
.2415 .62442 L
.24633 .62662 L
.24837 .62804 L
.25116 .62999 L
.25315 .63288 L
.25559 .63771 L
.25595 .64254 L
.25163 .64737 L
.25116 .64753 L
.24633 .64829 L
.2415 .64836 L
.23666 .64831 L
.23183 .64832 L
.227 .64836 L
.22217 .64823 L
.21743 .64737 L
.21734 .64735 L
.21252 .64254 L
.2125 .6425 L
.21228 .63771 L
.2125 .63663 L
.21408 .63288 L
.21734 .62883 L
.21825 .62804 L
F
.082 .919 1 r
.22217 .5931 m
.227 .59162 L
.23183 .59129 L
.23666 .59196 L
.2415 .59378 L
.24233 .59422 L
.24633 .59672 L
.24829 .59905 L
.25116 .60384 L
.25117 .60388 L
.25186 .60872 L
.25116 .61099 L
.24852 .61355 L
.24633 .61438 L
.2415 .61503 L
.23666 .61515 L
.23183 .61515 L
.227 .61512 L
.22217 .61492 L
.21734 .61396 L
.21635 .61355 L
.2125 .60927 L
.21235 .60872 L
.21244 .60388 L
.2125 .60362 L
.21471 .59905 L
.21734 .59563 L
.22002 .59422 L
F
.428 .973 1 r
.227 .65587 m
.23183 .6549 L
.23666 .65478 L
.2415 .65546 L
.24633 .657 L
.2464 .65704 L
.25116 .6594 L
.25401 .66187 L
.25599 .66318 L
.25785 .6667 L
.25974 .67153 L
.25954 .67636 L
.25599 .68068 L
.25116 .68103 L
.24633 .68106 L
.2415 .68093 L
.23666 .68087 L
.23183 .68093 L
.227 .68105 L
.22217 .68101 L
.21734 .68026 L
.21318 .67636 L
.2125 .67424 L
.21236 .67153 L
.2125 .67028 L
.21362 .6667 L
.21688 .66187 L
.21734 .6613 L
.22217 .65767 L
.22381 .65704 L
F
1 .876 .021 r
.227 .55945 m
.23183 .55955 L
.23536 .5604 L
.23666 .56069 L
.2415 .56336 L
.24334 .56523 L
.24633 .56941 L
.24662 .57006 L
.24747 .57489 L
.24633 .5778 L
.24394 .57973 L
.2415 .58058 L
.23666 .58121 L
.23183 .58134 L
.227 .58131 L
.22217 .58103 L
.21734 .57999 L
.21671 .57973 L
.2125 .57494 L
.21249 .57489 L
.2125 .57097 L
.21273 .57006 L
.21541 .56523 L
.21734 .56299 L
.22217 .5605 L
.22277 .5604 L
F
1 .787 .001 r
.21734 .42882 m
.22217 .42734 L
.22643 .42994 L
.227 .43036 L
.23025 .43477 L
.227 .43932 L
.22627 .4396 L
.22217 .44054 L
.21734 .43987 L
.21669 .4396 L
.21253 .43477 L
.21532 .42994 L
F
1 .796 .002 r
.21734 .49626 m
.22217 .49413 L
.227 .49405 L
.23183 .4957 L
.23459 .49758 L
.23666 .49988 L
.23826 .50242 L
.23883 .50725 L
.23666 .51002 L
.23183 .5117 L
.22766 .51208 L
.227 .5121 L
.22437 .51208 L
.22217 .51194 L
.21734 .51103 L
.21267 .50725 L
.21261 .50242 L
.21578 .49758 L
F
.001 .777 1 r
.21734 .46259 m
.22217 .46092 L
.227 .4618 L
.23001 .46376 L
.23183 .46532 L
.23406 .46859 L
.23365 .47342 L
.23183 .47486 L
.227 .47625 L
.22217 .47639 L
.21734 .47559 L
.21341 .47342 L
.21261 .46859 L
.21562 .46376 L
F
.005 .83 1 r
.21734 .52994 m
.22217 .5274 L
.227 .52688 L
.23183 .52744 L
.23666 .52973 L
.23864 .53141 L
.2415 .53485 L
.24225 .53624 L
.24308 .54107 L
.2415 .54407 L
.23832 .5459 L
.23666 .54632 L
.23183 .54689 L
.227 .54697 L
.22217 .54669 L
.21783 .5459 L
.21734 .54563 L
.21264 .54107 L
.21285 .53624 L
.21587 .53141 L
F
.001 .772 1 r
.21734 .46306 m
.22217 .46124 L
.227 .46217 L
.22946 .46376 L
.23183 .46582 L
.23362 .46859 L
.23302 .47342 L
.23183 .47438 L
.227 .47595 L
.22217 .47611 L
.21734 .47524 L
.21393 .47342 L
.21292 .46859 L
.21628 .46376 L
F
1 .791 .002 r
.21734 .49664 m
.22217 .49435 L
.227 .49426 L
.23183 .49601 L
.23417 .49758 L
.23666 .50037 L
.2379 .50242 L
.23838 .50725 L
.23666 .50955 L
.23183 .51143 L
.227 .51187 L
.22217 .5117 L
.21734 .51071 L
.21307 .50725 L
.21294 .50242 L
.21623 .49758 L
F
.004 .821 1 r
.21734 .39452 m
.22217 .39527 L
.22342 .39612 L
.2251 .40095 L
.22217 .40309 L
.21734 .40334 L
.21298 .40095 L
.21407 .39612 L
F
1 .871 .019 r
.227 .55968 m
.23183 .55979 L
.23456 .5604 L
.23666 .56086 L
.2415 .56376 L
.24292 .56523 L
.24621 .57006 L
.24633 .57038 L
.24696 .57489 L
.24633 .57681 L
.24284 .57973 L
.2415 .58018 L
.23666 .58092 L
.23183 .5811 L
.227 .58105 L
.22217 .58073 L
.21771 .57973 L
.21734 .57954 L
.21299 .57489 L
.21315 .57006 L
.21583 .56523 L
.21734 .56342 L
.22217 .56064 L
.22358 .5604 L
F
.071 .915 1 r
.22217 .59345 m
.227 .59189 L
.23183 .59154 L
.23666 .59224 L
.2415 .59413 L
.24167 .59422 L
.24633 .59726 L
.24775 .59905 L
.2506 .60388 L
.25116 .60613 L
.25118 .60872 L
.25116 .6088 L
.24703 .61355 L
.24633 .6138 L
.2415 .61465 L
.23666 .61483 L
.23183 .61485 L
.227 .6148 L
.22217 .61452 L
.21775 .61355 L
.21734 .61335 L
.21304 .60872 L
.213 .60388 L
.21525 .59905 L
.21734 .59612 L
.22068 .59422 L
F
.004 .826 1 r
.21734 .53032 m
.22217 .52759 L
.227 .52702 L
.23183 .52762 L
.23666 .53006 L
.23824 .53141 L
.2415 .53547 L
.24188 .53624 L
.24264 .54107 L
.2415 .54344 L
.23704 .5459 L
.23666 .54599 L
.23183 .54665 L
.227 .54674 L
.22217 .54643 L
.21877 .5459 L
.21734 .54527 L
.21306 .54107 L
.2132 .53624 L
.21628 .53141 L
F
1 .782 .001 r
.21734 .42929 m
.22217 .42793 L
.22561 .42994 L
.227 .43096 L
.22965 .43477 L
.227 .43874 L
.22451 .4396 L
.22217 .43999 L
.21844 .4396 L
.21734 .43933 L
.21314 .43477 L
.21613 .42994 L
F
1 .947 .194 r
.22217 .6259 m
.227 .6241 L
.23183 .62349 L
.23666 .62369 L
.2415 .62478 L
.24633 .62715 L
.24757 .62804 L
.25116 .6309 L
.25238 .63288 L
.25471 .63771 L
.25485 .64254 L
.25116 .64661 L
.24902 .64737 L
.24633 .6477 L
.2415 .6479 L
.23666 .64791 L
.23183 .64791 L
.227 .64789 L
.22217 .64763 L
.22017 .64737 L
.21734 .64682 L
.21361 .64254 L
.21314 .63771 L
.21487 .63288 L
.21734 .6296 L
.21905 .62804 L
F
.001 .768 1 r
.21734 .46356 m
.22217 .46158 L
.227 .46256 L
.22887 .46376 L
.23183 .46638 L
.23317 .46859 L
.23234 .47342 L
.23183 .47385 L
.227 .47564 L
.22217 .47582 L
.21734 .47487 L
.21453 .47342 L
.21326 .46859 L
.21703 .46376 L
F
1 .787 .001 r
.21734 .49704 m
.22217 .49459 L
.227 .49448 L
.23183 .49633 L
.23371 .49758 L
.23666 .5009 L
.23753 .50242 L
.23791 .50725 L
.23666 .50903 L
.23183 .51116 L
.227 .51163 L
.22217 .51145 L
.21734 .51038 L
.21349 .50725 L
.21327 .50242 L
.2167 .49758 L
F
.004 .821 1 r
.21734 .53074 m
.22217 .52779 L
.227 .52717 L
.23183 .52782 L
.23666 .5304 L
.23783 .53141 L
.2415 .5362 L
.24151 .53624 L
.24219 .54107 L
.2415 .5427 L
.23666 .54568 L
.23565 .5459 L
.23183 .5464 L
.227 .5465 L
.22217 .54615 L
.22023 .5459 L
.21734 .54491 L
.21349 .54107 L
.21356 .53624 L
.21669 .53141 L
F
1 .867 .016 r
.227 .55992 m
.23183 .56002 L
.23365 .5604 L
.23666 .56105 L
.2415 .56417 L
.24249 .56523 L
.24579 .57006 L
.24633 .57185 L
.24645 .57489 L
.24633 .57541 L
.24158 .57973 L
.2415 .57975 L
.23666 .58064 L
.23183 .58084 L
.227 .5808 L
.22217 .58042 L
.21874 .57973 L
.21734 .57909 L
.2135 .57489 L
.21357 .57006 L
.21626 .56523 L
.21734 .56389 L
.22217 .56079 L
.22449 .5604 L
F
.062 .91 1 r
.22217 .59381 m
.227 .59216 L
.23183 .59179 L
.23666 .59252 L
.24116 .59422 L
.2415 .59434 L
.24633 .59787 L
.24722 .59905 L
.25004 .60388 L
.25049 .60872 L
.24633 .61322 L
.24554 .61355 L
.2415 .61427 L
.23666 .61452 L
.23183 .61455 L
.227 .61448 L
.22217 .61411 L
.21927 .61355 L
.21734 .61273 L
.21373 .60872 L
.21357 .60388 L
.21578 .59905 L
.21734 .59671 L
.22137 .59422 L
F
1 .782 .001 r
.21734 .49746 m
.22217 .49485 L
.227 .49472 L
.23183 .49667 L
.23321 .49758 L
.23666 .5015 L
.23715 .50242 L
.23744 .50725 L
.23666 .50843 L
.23183 .51087 L
.227 .51139 L
.22217 .5112 L
.21734 .51003 L
.21393 .50725 L
.21362 .50242 L
.21719 .49758 L
F
1 .867 .016 r
.21734 .36084 m
.21961 .36229 L
.21734 .36541 L
.21362 .36229 L
F
.001 .763 1 r
.22217 .46196 m
.227 .46299 L
.22823 .46376 L
.23183 .46702 L
.23269 .46859 L
.23183 .47322 L
.23163 .47342 L
.227 .47532 L
.22217 .47552 L
.21734 .47447 L
.21524 .47342 L
.21363 .46859 L
.21734 .46402 L
.21775 .46376 L
F
1 .778 .001 r
.21734 .4298 m
.22217 .42862 L
.22464 .42994 L
.227 .43167 L
.22895 .43477 L
.227 .43806 L
.22217 .43944 L
.21734 .43882 L
.21378 .43477 L
.21707 .42994 L
F
.373 .968 1 r
.227 .65644 m
.23183 .65537 L
.23666 .65524 L
.2415 .65596 L
.24511 .65704 L
.24633 .65748 L
.25116 .66032 L
.2528 .66187 L
.25599 .66515 L
.2566 .6667 L
.25824 .67153 L
.25754 .67636 L
.25599 .67897 L
.25116 .68015 L
.24633 .68036 L
.2415 .68032 L
.23666 .68028 L
.23183 .68031 L
.227 .68033 L
.22217 .68007 L
.21734 .67868 L
.21518 .67636 L
.21386 .67153 L
.21492 .6667 L
.21734 .66268 L
.21806 .66187 L
.22217 .65831 L
.22531 .65704 L
F
.003 .817 1 r
.21734 .53117 m
.22217 .52801 L
.227 .52733 L
.23183 .52803 L
.23666 .53076 L
.23741 .53141 L
.24116 .53624 L
.2415 .53719 L
.24174 .54107 L
.2415 .54175 L
.23666 .54536 L
.23397 .5459 L
.23183 .54614 L
.227 .54626 L
.22234 .5459 L
.22217 .54588 L
.21734 .54453 L
.21393 .54107 L
.21392 .53624 L
.21712 .53141 L
F
1 .778 .001 r
.22217 .49512 m
.227 .49498 L
.23183 .49703 L
.23268 .49758 L
.23666 .50221 L
.23676 .50242 L
.23694 .50725 L
.23666 .50772 L
.23183 .51057 L
.227 .51115 L
.22217 .51094 L
.21734 .50966 L
.21439 .50725 L
.21398 .50242 L
.21734 .49785 L
.21769 .49758 L
F
1 .862 .014 r
.227 .56017 m
.23183 .56026 L
.23257 .5604 L
.23666 .56125 L
.2415 .56462 L
.24205 .56523 L
.24537 .57006 L
.24594 .57489 L
.2415 .57935 L
.24065 .57973 L
.23666 .58034 L
.23183 .58059 L
.227 .58053 L
.22217 .5801 L
.2201 .57973 L
.21734 .57863 L
.21401 .57489 L
.21399 .57006 L
.2167 .56523 L
.21734 .5644 L
.22217 .56097 L
.22559 .5604 L
F
1 .943 .169 r
.22217 .6264 m
.227 .62443 L
.23183 .62377 L
.23666 .62398 L
.2415 .62516 L
.24633 .62771 L
.24678 .62804 L
.25116 .63201 L
.25164 .63288 L
.25386 .63771 L
.25377 .64254 L
.25116 .64561 L
.24633 .6472 L
.24317 .64737 L
.2415 .64744 L
.23666 .64749 L
.23183 .64749 L
.227 .64742 L
.2259 .64737 L
.22217 .64709 L
.21734 .64605 L
.2147 .64254 L
.21399 .63771 L
.21563 .63288 L
.21734 .63043 L
.21985 .62804 L
F
.001 .759 1 r
.22217 .46237 m
.227 .46345 L
.22752 .46376 L
.23183 .46783 L
.23219 .46859 L
.23183 .4724 L
.23091 .47342 L
.227 .47498 L
.22217 .4752 L
.21734 .47404 L
.21606 .47342 L
.21405 .46859 L
.21734 .46446 L
.21849 .46376 L
F
.054 .906 1 r
.22217 .59418 m
.227 .59245 L
.23183 .59206 L
.23666 .59281 L
.24064 .59422 L
.2415 .59451 L
.24633 .59853 L
.2467 .59905 L
.24949 .60388 L
.2498 .60872 L
.24633 .61262 L
.24364 .61355 L
.2415 .61387 L
.23666 .61419 L
.23183 .61425 L
.227 .61414 L
.22217 .61369 L
.22134 .61355 L
.21734 .61208 L
.21442 .60872 L
.21412 .60388 L
.2163 .59905 L
.21734 .59739 L
.22209 .59422 L
F
.003 .817 1 r
.21734 .39529 m
.2221 .39612 L
.22217 .39616 L
.22388 .40095 L
.22217 .40223 L
.21734 .40259 L
.21422 .40095 L
.21542 .39612 L
F
.003 .812 1 r
.22217 .52825 m
.227 .52751 L
.23183 .52826 L
.23666 .53114 L
.23697 .53141 L
.24081 .53624 L
.2413 .54107 L
.23666 .54504 L
.23183 .54588 L
.23151 .5459 L
.227 .54601 L
.22481 .5459 L
.22217 .54561 L
.21734 .54413 L
.21438 .54107 L
.21428 .53624 L
.21734 .5316 L
.21744 .53141 L
F
1 .983 .586 r
.22217 .69059 m
.227 .68806 L
.23183 .68681 L
.23666 .68643 L
.2415 .68672 L
.24633 .68779 L
.25116 .68989 L
.25271 .69086 L
.25599 .69296 L
.25823 .69569 L
.26082 .69972 L
.26114 .70052 L
.26206 .70535 L
.26082 .70938 L
.26013 .71019 L
.25599 .71222 L
.25116 .71259 L
.24633 .7125 L
.2415 .71237 L
.23666 .71236 L
.23183 .71246 L
.227 .71256 L
.22217 .71231 L
.21734 .71058 L
.21686 .71019 L
.2143 .70535 L
.21465 .70052 L
.21689 .69569 L
.21734 .69486 L
.22181 .69086 L
F
1 .773 .001 r
.22217 .49542 m
.227 .49525 L
.23183 .49741 L
.23211 .49758 L
.23644 .50242 L
.23651 .50725 L
.23183 .51027 L
.227 .51089 L
.22217 .51067 L
.21734 .50927 L
.21488 .50725 L
.21435 .50242 L
.21734 .49824 L
.21819 .49758 L
F
1 .858 .012 r
.21734 .56496 m
.22217 .56116 L
.227 .5604 L
.23183 .56044 L
.23666 .56147 L
.2415 .5651 L
.24161 .56523 L
.24495 .57006 L
.24544 .57489 L
.2415 .57893 L
.23912 .57973 L
.23666 .58003 L
.23183 .58032 L
.227 .58026 L
.22217 .57977 L
.22188 .57973 L
.21734 .57814 L
.21453 .57489 L
.21441 .57006 L
.21713 .56523 L
F
1 .773 .001 r
.22217 .42941 m
.22337 .42994 L
.227 .43255 L
.22813 .43477 L
.227 .43719 L
.22217 .43897 L
.21734 .43825 L
.21447 .43477 L
.21734 .43039 L
.21837 .42994 L
F
0 .754 1 r
.22217 .46282 m
.22667 .46376 L
.227 .4639 L
.23168 .46859 L
.23012 .47342 L
.227 .47463 L
.22217 .47487 L
.21734 .47358 L
.21701 .47342 L
.21452 .46859 L
.21734 .46494 L
.21935 .46376 L
F
.003 .808 1 r
.22217 .52851 m
.227 .52769 L
.23183 .5285 L
.23662 .53141 L
.23666 .53152 L
.24045 .53624 L
.24087 .54107 L
.23666 .5447 L
.23183 .54563 L
.227 .54577 L
.22217 .54534 L
.21734 .54371 L
.21484 .54107 L
.21466 .53624 L
.21734 .532 L
.21769 .53141 L
F
.047 .901 1 r
.227 .59274 m
.23183 .59233 L
.23666 .59311 L
.24003 .59422 L
.2415 .59473 L
.24618 .59905 L
.24633 .59923 L
.24893 .60388 L
.2491 .60872 L
.24633 .61198 L
.2415 .61353 L
.24081 .61355 L
.23666 .61386 L
.23183 .61393 L
.227 .61381 L
.22403 .61355 L
.22217 .61339 L
.21734 .61138 L
.21512 .60872 L
.21467 .60388 L
.21683 .59905 L
.21734 .59817 L
.22217 .59454 L
.22282 .59422 L
F
1 .769 .001 r
.22217 .49573 m
.227 .49555 L
.23154 .49758 L
.23183 .49776 L
.23613 .50242 L
.23614 .50725 L
.23183 .50995 L
.227 .51063 L
.22217 .5104 L
.21734 .50886 L
.21539 .50725 L
.21473 .50242 L
.21734 .49865 L
.21872 .49758 L
F
1 .938 .147 r
.22217 .62694 m
.227 .62479 L
.23183 .62405 L
.23666 .62428 L
.2415 .62556 L
.24601 .62804 L
.24633 .62828 L
.25091 .63288 L
.25116 .63326 L
.25304 .63771 L
.25268 .64254 L
.25116 .64449 L
.24633 .64679 L
.2415 .64704 L
.23666 .64711 L
.23183 .64711 L
.227 .647 L
.22217 .64657 L
.21734 .64493 L
.21579 .64254 L
.21482 .63771 L
.21636 .63288 L
.21734 .63136 L
.22065 .62804 L
F
1 .854 .011 r
.22217 .56139 m
.227 .56048 L
.23183 .56054 L
.23666 .56171 L
.24121 .56523 L
.2415 .56555 L
.24453 .57006 L
.24492 .57489 L
.2415 .57849 L
.23666 .57972 L
.23663 .57973 L
.23183 .58006 L
.227 .57999 L
.22395 .57973 L
.22217 .57968 L
.21734 .57762 L
.21505 .57489 L
.21483 .57006 L
.21734 .5655 L
.21755 .56523 L
F
.745 .99 1 r
.227 .71984 m
.23183 .71823 L
.23666 .71751 L
.2415 .71753 L
.24633 .71828 L
.25116 .71983 L
.25121 .71985 L
.25599 .72211 L
.25909 .72468 L
.26082 .72559 L
.26308 .72951 L
.26509 .73434 L
.26502 .73918 L
.26082 .74373 L
.25798 .74401 L
.25599 .74417 L
.25116 .74413 L
.24827 .74401 L
.24633 .74393 L
.2415 .74383 L
.23666 .74388 L
.23283 .74401 L
.23183 .74405 L
.227 .74419 L
.22323 .74401 L
.22217 .74387 L
.21734 .74224 L
.21562 .73918 L
.21497 .73434 L
.21633 .72951 L
.21734 .72754 L
.21973 .72468 L
.22217 .72228 L
.22698 .71985 L
F
.002 .803 1 r
.22217 .52878 m
.227 .5279 L
.23183 .52876 L
.23647 .53141 L
.23666 .53187 L
.24009 .53624 L
.24043 .54107 L
.23666 .54434 L
.23183 .54537 L
.227 .54552 L
.22217 .54506 L
.21734 .54326 L
.21531 .54107 L
.21504 .53624 L
.21734 .53244 L
.21797 .53141 L
F
0 .75 1 r
.22217 .4633 m
.22553 .46376 L
.227 .4643 L
.23117 .46859 L
.22924 .47342 L
.227 .47425 L
.22217 .47453 L
.21796 .47342 L
.21734 .47305 L
.21505 .46859 L
.21734 .46548 L
.22046 .46376 L
F
1 .764 .001 r
.22217 .49607 m
.227 .49586 L
.23096 .49758 L
.23183 .49811 L
.23579 .50242 L
.23572 .50725 L
.23183 .50961 L
.227 .51037 L
.22217 .51011 L
.21734 .50842 L
.21595 .50725 L
.21514 .50242 L
.21734 .49909 L
.21929 .49758 L
F
.041 .897 1 r
.227 .59305 m
.23183 .59261 L
.23666 .59342 L
.23929 .59422 L
.2415 .59498 L
.24567 .59905 L
.24633 .59991 L
.24839 .60388 L
.2484 .60872 L
.24633 .61128 L
.2415 .6134 L
.23666 .61354 L
.23619 .61355 L
.23183 .61362 L
.22861 .61355 L
.227 .61349 L
.22217 .61313 L
.21734 .61063 L
.21582 .60872 L
.21522 .60388 L
.21734 .59908 L
.21735 .59905 L
.22217 .59491 L
.22358 .59422 L
F
1 .769 .001 r
.21734 .43108 m
.22217 .43016 L
.227 .43403 L
.22718 .43477 L
.227 .43572 L
.22217 .43845 L
.21734 .43758 L
.21523 .43477 L
F
1 .849 .009 r
.22217 .56164 m
.227 .56058 L
.23183 .56065 L
.23666 .56198 L
.24082 .56523 L
.2415 .56601 L
.24411 .57006 L
.24439 .57489 L
.2415 .57803 L
.23666 .57942 L
.23334 .57973 L
.23183 .57978 L
.22725 .57973 L
.227 .57972 L
.22217 .57961 L
.21734 .57706 L
.21559 .57489 L
.21526 .57006 L
.21734 .56603 L
.21794 .56523 L
F
.325 .964 1 r
.227 .65703 m
.23183 .65587 L
.23666 .65571 L
.2415 .65649 L
.24354 .65704 L
.24633 .65801 L
.25116 .66135 L
.25166 .66187 L
.25541 .6667 L
.25599 .66796 L
.25685 .67153 L
.25599 .67568 L
.25554 .67636 L
.25116 .67913 L
.24633 .67963 L
.2415 .6797 L
.23666 .67969 L
.23183 .67969 L
.227 .67959 L
.22217 .67906 L
.21734 .67654 L
.21719 .67636 L
.21527 .67153 L
.21612 .6667 L
.21734 .66428 L
.21923 .66187 L
.22217 .65906 L
.22699 .65704 L
F
.002 .799 1 r
.22217 .52908 m
.227 .52812 L
.23183 .52904 L
.23626 .53141 L
.23666 .53225 L
.23971 .53624 L
.23996 .54107 L
.23666 .54397 L
.23183 .5451 L
.227 .54527 L
.22217 .54478 L
.21734 .54278 L
.2158 .54107 L
.21542 .53624 L
.21734 .53291 L
.21831 .53141 L
F
1 .76 .001 r
.22217 .49643 m
.227 .49619 L
.23034 .49758 L
.23183 .49847 L
.23544 .50242 L
.23524 .50725 L
.23183 .50926 L
.227 .51009 L
.22217 .50982 L
.21734 .50794 L
.21654 .50725 L
.21556 .50242 L
.21734 .49958 L
.21991 .49758 L
F
1 .934 .128 r
.22217 .62752 m
.227 .62516 L
.23183 .62436 L
.23666 .6246 L
.2415 .62598 L
.24525 .62804 L
.24633 .62886 L
.25018 .63288 L
.25116 .63457 L
.25223 .63771 L
.25158 .64254 L
.25116 .64314 L
.24633 .6463 L
.2415 .64664 L
.23666 .64674 L
.23183 .64673 L
.227 .64657 L
.22217 .646 L
.21734 .64333 L
.21689 .64254 L
.21563 .63771 L
.21708 .63288 L
.21734 .63243 L
.22146 .62804 L
F
0 .745 1 r
.21734 .46609 m
.22217 .46381 L
.227 .46473 L
.23063 .46859 L
.22821 .47342 L
.227 .47384 L
.22217 .47416 L
.219 .47342 L
.21734 .47243 L
.21565 .46859 L
F
1 .845 .008 r
.22217 .56192 m
.227 .5607 L
.23183 .56079 L
.23666 .56227 L
.2404 .56523 L
.2415 .5665 L
.24368 .57006 L
.24385 .57489 L
.2415 .57753 L
.23666 .57911 L
.23183 .57966 L
.227 .57962 L
.22217 .57949 L
.21734 .57645 L
.21613 .57489 L
.21569 .57006 L
.21734 .5666 L
.21835 .56523 L
F
.036 .892 1 r
.227 .59336 m
.23183 .5929 L
.23666 .59374 L
.23837 .59422 L
.2415 .59529 L
.24515 .59905 L
.24633 .60067 L
.24784 .60388 L
.24768 .60872 L
.24633 .61051 L
.2415 .61323 L
.23666 .61332 L
.23183 .61337 L
.227 .61325 L
.22217 .61283 L
.21734 .60979 L
.21654 .60872 L
.21577 .60388 L
.21734 .59986 L
.21786 .59905 L
.22217 .5953 L
.22441 .59422 L
F
.002 .794 1 r
.22217 .52941 m
.227 .52836 L
.23183 .52933 L
.23596 .53141 L
.23666 .53264 L
.23933 .53624 L
.23948 .54107 L
.23666 .54357 L
.23183 .54483 L
.227 .54502 L
.22217 .54448 L
.21734 .54226 L
.21631 .54107 L
.21582 .53624 L
.21734 .53342 L
.21872 .53141 L
F
.003 .812 1 r
.21734 .39626 m
.22217 .39747 L
.22227 .40095 L
.22217 .40103 L
.21734 .40166 L
.21585 .40095 L
F
1 .756 .001 r
.22217 .49681 m
.227 .49654 L
.22965 .49758 L
.23183 .49886 L
.23505 .50242 L
.23468 .50725 L
.23183 .50888 L
.227 .50981 L
.22217 .50952 L
.21734 .50739 L
.21717 .50725 L
.216 .50242 L
.21734 .50013 L
.22059 .49758 L
F
1 .764 .001 r
.21734 .43193 m
.22217 .43078 L
.22628 .43477 L
.22217 .43785 L
.21734 .43675 L
.21608 .43477 L
F
1 .84 .007 r
.22217 .56224 m
.227 .56083 L
.23183 .56094 L
.23666 .56259 L
.23997 .56523 L
.2415 .56703 L
.24324 .57006 L
.2433 .57489 L
.2415 .57699 L
.23666 .57879 L
.23183 .57956 L
.227 .57949 L
.22217 .57933 L
.21734 .57577 L
.2167 .57489 L
.21612 .57006 L
.21734 .56726 L
.21877 .56523 L
F
.001 .79 1 r
.22217 .52975 m
.227 .52861 L
.23183 .52964 L
.23557 .53141 L
.23666 .53307 L
.23893 .53624 L
.23897 .54107 L
.23666 .54315 L
.23183 .54455 L
.227 .54476 L
.22217 .54418 L
.21734 .54167 L
.21685 .54107 L
.21623 .53624 L
.21734 .534 L
.2192 .53141 L
F
0 .741 1 r
.21734 .46685 m
.22217 .46421 L
.227 .4652 L
.23006 .46859 L
.227 .47339 L
.22688 .47342 L
.22217 .47377 L
.22034 .47342 L
.21734 .47166 L
.21632 .46859 L
F
.031 .888 1 r
.227 .59368 m
.23183 .59319 L
.23666 .59407 L
.23725 .59422 L
.2415 .59565 L
.24463 .59905 L
.24633 .60155 L
.24729 .60388 L
.24695 .60872 L
.24633 .60961 L
.2415 .61298 L
.23666 .6131 L
.23183 .61314 L
.227 .61299 L
.22217 .61248 L
.21734 .60881 L
.21728 .60872 L
.21632 .60388 L
.21734 .60079 L
.21837 .59905 L
.22217 .5957 L
.2253 .59422 L
F
1 .929 .112 r
.227 .62556 m
.23183 .62468 L
.23666 .62494 L
.2415 .62642 L
.24445 .62804 L
.24633 .62948 L
.24946 .63288 L
.25116 .63647 L
.25144 .63771 L
.25116 .64116 L
.25047 .64254 L
.24633 .64569 L
.2415 .64621 L
.23666 .64636 L
.23183 .64633 L
.227 .64612 L
.22217 .64537 L
.218 .64254 L
.21734 .64156 L
.21642 .63771 L
.21734 .63383 L
.2178 .63288 L
.22217 .62813 L
.22227 .62804 L
F
1 .751 0 r
.22217 .49723 m
.227 .49692 L
.22884 .49758 L
.23183 .49927 L
.23462 .50242 L
.23403 .50725 L
.23183 .50848 L
.227 .50951 L
.22217 .5092 L
.21781 .50725 L
.21734 .50674 L
.21647 .50242 L
.21734 .50076 L
.22138 .49758 L
F
1 .836 .006 r
.22217 .5626 m
.227 .56099 L
.23183 .56111 L
.23666 .56293 L
.23952 .56523 L
.2415 .56762 L
.2428 .57006 L
.24272 .57489 L
.2415 .57639 L
.23666 .57846 L
.23183 .57945 L
.227 .57935 L
.22217 .5791 L
.21734 .57498 L
.21728 .57489 L
.21656 .57006 L
.21734 .56803 L
.21922 .56523 L
F
.283 .959 1 r
.23183 .65638 m
.23666 .65621 L
.24147 .65704 L
.2415 .65704 L
.24633 .65861 L
.25056 .66187 L
.25116 .66246 L
.25425 .6667 L
.25551 .67153 L
.25347 .67636 L
.25116 .67789 L
.24633 .67885 L
.2415 .67906 L
.23666 .67909 L
.23183 .67905 L
.227 .67883 L
.22217 .67795 L
.21924 .67636 L
.21734 .67399 L
.21662 .67153 L
.21725 .6667 L
.21734 .66646 L
.22036 .66187 L
.22217 .65998 L
.227 .65738 L
.22884 .65704 L
F
.001 .786 1 r
.22217 .53012 m
.227 .52889 L
.23183 .52998 L
.23506 .53141 L
.23666 .53352 L
.23852 .53624 L
.23842 .54107 L
.23666 .5427 L
.23183 .54427 L
.227 .5445 L
.22217 .54386 L
.21737 .54107 L
.21734 .54099 L
.21664 .53624 L
.21734 .53467 L
.21978 .53141 L
F
1 .978 .511 r
.227 .68903 m
.23183 .68752 L
.23666 .68705 L
.2415 .6874 L
.24633 .68866 L
.25075 .69086 L
.25116 .69095 L
.25599 .69519 L
.25631 .69569 L
.25894 .70052 L
.25939 .70535 L
.25599 .70979 L
.25523 .71019 L
.25116 .7111 L
.24633 .71135 L
.2415 .71136 L
.23666 .71136 L
.23183 .71136 L
.227 .71119 L
.22217 .7103 L
.22184 .71019 L
.21734 .70628 L
.21698 .70535 L
.21681 .70052 L
.21734 .69861 L
.21885 .69569 L
.22217 .69131 L
.2238 .69086 L
F
.027 .884 1 r
.227 .59402 m
.23183 .5935 L
.23607 .59422 L
.23666 .5944 L
.2415 .59608 L
.2441 .59905 L
.24633 .60267 L
.24674 .60388 L
.24633 .60848 L
.24621 .60872 L
.2415 .61266 L
.23666 .61285 L
.23183 .61289 L
.227 .61271 L
.22217 .61206 L
.21798 .60872 L
.21734 .6075 L
.21687 .60388 L
.21734 .60202 L
.2189 .59905 L
.22217 .59612 L
.22632 .59422 L
F
1 .747 0 r
.227 .49732 m
.22785 .49758 L
.23183 .49972 L
.23416 .50242 L
.23327 .50725 L
.23183 .50804 L
.227 .5092 L
.22217 .50886 L
.21847 .50725 L
.21734 .5059 L
.21696 .50242 L
.21734 .50157 L
.22217 .49764 L
.22238 .49758 L
F
1 .831 .005 r
.22217 .563 m
.227 .56118 L
.23183 .56131 L
.23666 .56331 L
.23904 .56523 L
.2415 .5683 L
.24236 .57006 L
.24212 .57489 L
.2415 .57572 L
.23666 .57812 L
.23183 .5793 L
.227 .57918 L
.22217 .57881 L
.21779 .57489 L
.21734 .57394 L
.21701 .57006 L
.21734 .56901 L
.2197 .56523 L
F
.001 .781 1 r
.22217 .53052 m
.227 .52919 L
.23183 .53034 L
.23441 .53141 L
.23666 .53403 L
.2381 .53624 L
.23785 .54107 L
.23666 .5422 L
.23183 .54397 L
.227 .54422 L
.22217 .54353 L
.21772 .54107 L
.21734 .54008 L
.21707 .53624 L
.21734 .53552 L
.22045 .53141 L
F
1 .76 .001 r
.21734 .43331 m
.22217 .43152 L
.22525 .43477 L
.22217 .43713 L
.21734 .43542 L
.21708 .43477 L
F
0 .737 1 r
.21734 .46796 m
.22217 .46466 L
.227 .46573 L
.22945 .46859 L
.227 .47287 L
.22217 .47335 L
.21734 .47052 L
.21708 .46859 L
F
1 .925 .097 r
.227 .62599 m
.23183 .62502 L
.23666 .62531 L
.2415 .62689 L
.24361 .62804 L
.24633 .63014 L
.24874 .63288 L
.25065 .63771 L
.24934 .64254 L
.24633 .64496 L
.2415 .64575 L
.23666 .64595 L
.23183 .64593 L
.227 .64565 L
.22217 .64465 L
.21913 .64254 L
.21734 .63898 L
.21722 .63771 L
.21734 .63629 L
.21851 .63288 L
.22217 .62873 L
.22296 .62804 L
F
.024 .879 1 r
.23183 .59382 m
.23477 .59422 L
.23666 .59472 L
.2415 .59658 L
.24355 .59905 L
.24619 .60388 L
.24549 .60872 L
.2415 .61224 L
.23666 .61257 L
.23183 .61262 L
.227 .61241 L
.22217 .61158 L
.21872 .60872 L
.21742 .60388 L
.21943 .59905 L
.22217 .59656 L
.227 .59436 L
.2276 .59422 L
F
.001 .777 1 r
.22217 .53095 m
.227 .52952 L
.23183 .53072 L
.2336 .53141 L
.23666 .53459 L
.23766 .53624 L
.23724 .54107 L
.23666 .54164 L
.23183 .54366 L
.227 .54394 L
.22217 .54319 L
.21814 .54107 L
.21743 .53624 L
.22125 .53141 L
F
1 .827 .005 r
.22217 .56344 m
.227 .5614 L
.23183 .56154 L
.23666 .56372 L
.23852 .56523 L
.2415 .56911 L
.2419 .57006 L
.2415 .57489 L
.2415 .5749 L
.23666 .57777 L
.23183 .57913 L
.227 .57898 L
.22217 .57845 L
.21833 .57489 L
.21745 .57006 L
.22021 .56523 L
F
1 .742 0 r
.22217 .498 m
.227 .49771 L
.23183 .50022 L
.23365 .50242 L
.2324 .50725 L
.23183 .50756 L
.227 .50888 L
.22217 .50851 L
.21919 .50725 L
.21746 .50242 L
F
.001 .772 1 r
.227 .52986 m
.23183 .53112 L
.23261 .53141 L
.23666 .53526 L
.2372 .53624 L
.23666 .54098 L
.23659 .54107 L
.23183 .54334 L
.227 .54365 L
.22217 .54283 L
.21864 .54107 L
.2177 .53624 L
.22217 .53141 L
.22217 .53141 L
F
0 .732 1 r
.22217 .46515 m
.227 .46633 L
.22878 .46859 L
.227 .47226 L
.22217 .47287 L
.21781 .46859 L
F
1 .822 .004 r
.22217 .56393 m
.227 .56165 L
.23183 .5618 L
.23666 .56416 L
.23797 .56523 L
.24145 .57006 L
.24101 .57489 L
.23666 .5774 L
.23183 .57892 L
.227 .57875 L
.22217 .578 L
.21891 .57489 L
.21785 .57006 L
.22076 .56523 L
F
.247 .955 1 r
.23183 .65693 m
.23666 .65673 L
.23905 .65704 L
.2415 .65736 L
.24633 .65931 L
.24945 .66187 L
.25116 .66367 L
.25312 .6667 L
.25418 .67153 L
.25118 .67636 L
.25116 .67638 L
.24633 .678 L
.2415 .67839 L
.23666 .67847 L
.23183 .67839 L
.227 .67802 L
.22217 .67671 L
.22152 .67636 L
.21793 .67153 L
.21837 .6667 L
.22147 .66187 L
.22217 .66107 L
.227 .65781 L
.23121 .65704 L
F
.021 .875 1 r
.23183 .59415 m
.23275 .59422 L
.23666 .59506 L
.2415 .59716 L
.243 .59905 L
.24566 .60388 L
.24473 .60872 L
.2415 .61171 L
.23666 .61226 L
.23183 .61233 L
.227 .61207 L
.22217 .611 L
.21949 .60872 L
.21795 .60388 L
.21998 .59905 L
.22217 .59702 L
.227 .59469 L
.22969 .59422 L
F
1 .738 0 r
.22217 .49838 m
.227 .49806 L
.23183 .50079 L
.2331 .50242 L
.23183 .50699 L
.23148 .50725 L
.227 .50854 L
.22217 .50814 L
.21999 .50725 L
.21796 .50242 L
F
1 .92 .085 r
.227 .62646 m
.23183 .62539 L
.23666 .62569 L
.2415 .62739 L
.24271 .62804 L
.24633 .63085 L
.24802 .63288 L
.24986 .63771 L
.24812 .64254 L
.24633 .64405 L
.2415 .64525 L
.23666 .64553 L
.23183 .6455 L
.227 .64514 L
.22217 .64384 L
.22034 .64254 L
.218 .63771 L
.21922 .63288 L
.22217 .62937 L
.22375 .62804 L
F
.001 .768 1 r
.227 .53024 m
.23158 .53141 L
.23183 .53152 L
.23666 .53611 L
.23672 .53624 L
.23666 .54007 L
.23595 .54107 L
.23183 .543 L
.227 .54335 L
.22217 .54246 L
.21925 .54107 L
.21801 .53624 L
.22217 .53178 L
.22293 .53141 L
F
1 .818 .004 r
.22217 .56447 m
.227 .56194 L
.23183 .56209 L
.23666 .56464 L
.23738 .56523 L
.24106 .57006 L
.24047 .57489 L
.23666 .57702 L
.23183 .57867 L
.227 .57848 L
.22217 .57746 L
.21955 .57489 L
.21827 .57006 L
.22135 .56523 L
F
.001 .763 1 r
.227 .53064 m
.23067 .53141 L
.23183 .53187 L
.23625 .53624 L
.23526 .54107 L
.23183 .54265 L
.227 .54303 L
.22217 .54206 L
.22 .54107 L
.21836 .53624 L
.22217 .53218 L
.22384 .53141 L
F
1 .756 .001 r
.22217 .43252 m
.22391 .43477 L
.22217 .43617 L
.21843 .43477 L
F
1 .733 0 r
.22217 .49879 m
.227 .49843 L
.23183 .50148 L
.23249 .50242 L
.23183 .50628 L
.23056 .50725 L
.227 .50818 L
.22217 .50774 L
.2209 .50725 L
.21849 .50242 L
F
.018 .87 1 r
.22217 .59752 m
.227 .59504 L
.23183 .59447 L
.23666 .59541 L
.2415 .59783 L
.24242 .59905 L
.24511 .60388 L
.24391 .60872 L
.2415 .61105 L
.23666 .61192 L
.23183 .61202 L
.227 .61171 L
.22217 .61034 L
.22033 .60872 L
.2185 .60388 L
.22055 .59905 L
F
0 .728 1 r
.22217 .4657 m
.227 .46709 L
.22804 .46859 L
.227 .4715 L
.22217 .47232 L
.21857 .46859 L
F
1 .813 .003 r
.22217 .56506 m
.227 .56227 L
.23183 .56242 L
.23666 .56516 L
.23675 .56523 L
.24065 .57006 L
.23985 .57489 L
.23666 .57661 L
.23183 .57838 L
.227 .57817 L
.22217 .57681 L
.22025 .57489 L
.2187 .57006 L
.22199 .56523 L
F
.001 .759 1 r
.227 .53106 m
.22944 .53141 L
.23183 .53225 L
.23576 .53624 L
.23451 .54107 L
.23183 .54228 L
.227 .54271 L
.22217 .54162 L
.2209 .54107 L
.21879 .53624 L
.22217 .53261 L
.22505 .53141 L
F
1 .916 .074 r
.227 .62695 m
.23183 .62579 L
.23666 .6261 L
.2415 .62792 L
.24173 .62804 L
.24633 .63165 L
.24729 .63288 L
.24907 .63771 L
.24681 .64254 L
.24633 .64296 L
.2415 .64471 L
.23666 .64508 L
.23183 .64506 L
.227 .6446 L
.22217 .64291 L
.22166 .64254 L
.21879 .63771 L
.21994 .63288 L
.22217 .63008 L
.22466 .62804 L
F
1 .974 .445 r
.227 .69015 m
.23183 .68831 L
.23666 .68774 L
.2415 .68814 L
.24633 .68963 L
.24878 .69086 L
.25116 .69168 L
.25449 .69569 L
.25599 .69805 L
.25694 .70052 L
.25681 .70535 L
.25599 .70677 L
.25116 .70987 L
.24633 .71017 L
.24595 .71019 L
.2415 .71033 L
.23666 .71034 L
.23183 .71023 L
.23104 .71019 L
.227 .70985 L
.22217 .7088 L
.21955 .70535 L
.21881 .70052 L
.22068 .69569 L
.22217 .69289 L
.2258 .69086 L
F
1 .729 0 r
.22217 .49924 m
.227 .49882 L
.23182 .50242 L
.22943 .50725 L
.227 .50779 L
.22217 .5073 L
.22202 .50725 L
.21905 .50242 L
F
.016 .866 1 r
.22217 .59806 m
.227 .59539 L
.23183 .59479 L
.23666 .59577 L
.2415 .5986 L
.24182 .59905 L
.24455 .60388 L
.24302 .60872 L
.2415 .61024 L
.23666 .61153 L
.23183 .61168 L
.227 .61131 L
.22217 .60956 L
.22123 .60872 L
.21906 .60388 L
.22115 .59905 L
F
1 .809 .003 r
.227 .56264 m
.23183 .56278 L
.23613 .56523 L
.23666 .56561 L
.24021 .57006 L
.23912 .57489 L
.23666 .57618 L
.23183 .57804 L
.227 .57781 L
.22217 .57606 L
.22103 .57489 L
.21917 .57006 L
.22217 .56558 L
.22262 .56523 L
F
.215 .95 1 r
.227 .65836 m
.23183 .65722 L
.23666 .65712 L
.2415 .65776 L
.24633 .66012 L
.24834 .66187 L
.25116 .66513 L
.25202 .6667 L
.25286 .67153 L
.25116 .67478 L
.24873 .67636 L
.24633 .67709 L
.2415 .67769 L
.23666 .67782 L
.23183 .6777 L
.227 .67717 L
.22397 .67636 L
.22217 .67539 L
.21925 .67153 L
.21947 .6667 L
.22217 .66229 L
.22256 .66187 L
F
.648 .986 1 r
.23183 .71969 m
.23666 .71875 L
.2415 .71876 L
.24633 .71968 L
.24693 .71985 L
.25116 .72122 L
.25573 .72468 L
.25599 .72493 L
.25946 .72951 L
.26077 .73434 L
.25894 .73918 L
.25599 .7411 L
.25116 .74192 L
.24633 .74208 L
.2415 .7421 L
.23666 .74209 L
.23183 .742 L
.227 .74153 L
.22217 .7396 L
.2217 .73918 L
.21926 .73434 L
.21996 .72951 L
.22217 .7257 L
.22307 .72468 L
.227 .72124 L
.23126 .71985 L
F
0 .754 1 r
.22217 .53309 m
.227 .53149 L
.23183 .53266 L
.23526 .53624 L
.23367 .54107 L
.23183 .54187 L
.227 .54236 L
.22217 .54115 L
.22198 .54107 L
.21928 .53624 L
F
0 .723 1 r
.22217 .46636 m
.227 .46825 L
.22717 .46859 L
.227 .47029 L
.22217 .47166 L
.21946 .46859 L
F
1 .911 .064 r
.227 .62749 m
.23183 .62621 L
.23666 .62654 L
.2407 .62804 L
.2415 .62844 L
.24633 .63256 L
.24656 .63288 L
.24826 .63771 L
.24633 .64187 L
.24556 .64254 L
.2415 .64411 L
.23666 .64461 L
.23183 .64458 L
.227 .64402 L
.22291 .64254 L
.22217 .64196 L
.2196 .63771 L
.22068 .63288 L
.22217 .63087 L
.22574 .62804 L
F
.014 .861 1 r
.22217 .59865 m
.227 .59577 L
.23183 .59513 L
.23666 .59614 L
.24134 .59905 L
.2415 .59935 L
.24397 .60388 L
.24204 .60872 L
.2415 .60928 L
.23666 .6111 L
.23183 .61132 L
.227 .61088 L
.22219 .60872 L
.22217 .60869 L
.21964 .60388 L
.22177 .59905 L
F
1 .724 0 r
.22217 .49973 m
.227 .49926 L
.23121 .50242 L
.22778 .50725 L
.227 .50737 L
.22369 .50725 L
.22217 .5068 L
.21965 .50242 L
F
1 .805 .002 r
.227 .56306 m
.23183 .56319 L
.23547 .56523 L
.23666 .56607 L
.23974 .57006 L
.23828 .57489 L
.23666 .57572 L
.23183 .57766 L
.227 .57741 L
.22217 .57519 L
.22189 .57489 L
.21967 .57006 L
.22217 .56609 L
.22328 .56523 L
F
0 .75 1 r
.22217 .53362 m
.227 .53186 L
.23183 .5331 L
.23472 .53624 L
.23272 .54107 L
.23183 .54144 L
.227 .542 L
.22299 .54107 L
.22217 .54061 L
.21987 .53624 L
F
1 .8 .002 r
.227 .56353 m
.23183 .56364 L
.23475 .56523 L
.23666 .56657 L
.23922 .57006 L
.2373 .57489 L
.23666 .57521 L
.23183 .57721 L
.227 .57694 L
.22277 .57489 L
.22217 .57447 L
.2202 .57006 L
.22217 .56666 L
.224 .56523 L
F
.012 .857 1 r
.227 .59616 m
.23183 .59547 L
.23666 .59654 L
.24097 .59905 L
.2415 .60004 L
.24336 .60388 L
.2415 .60836 L
.24099 .60872 L
.23666 .61063 L
.23183 .61092 L
.227 .61039 L
.22269 .60872 L
.22217 .60795 L
.22024 .60388 L
.22217 .59932 L
.22222 .59905 L
F
1 .72 0 r
.22217 .50031 m
.227 .49974 L
.23054 .50242 L
.227 .5069 L
.22217 .50621 L
.22032 .50242 L
F
1 .907 .056 r
.23183 .62667 m
.23666 .62701 L
.23959 .62804 L
.2415 .62898 L
.24586 .63288 L
.24633 .63372 L
.24742 .63771 L
.24633 .64066 L
.2441 .64254 L
.2415 .64345 L
.23666 .64411 L
.23183 .64408 L
.227 .6434 L
.22437 .64254 L
.22217 .64094 L
.22042 .63771 L
.22142 .63288 L
.22217 .63178 L
.227 .62806 L
.22704 .62804 L
F
0 .745 1 r
.22217 .53424 m
.227 .53225 L
.23183 .53359 L
.23415 .53624 L
.23183 .54096 L
.23154 .54107 L
.227 .54161 L
.22419 .54107 L
.22217 .53996 L
.22054 .53624 L
F
.187 .946 1 r
.227 .65906 m
.23183 .65752 L
.23666 .65739 L
.2415 .65824 L
.24633 .66107 L
.2472 .66187 L
.25094 .6667 L
.25116 .66727 L
.25152 .67153 L
.25116 .67252 L
.24633 .6761 L
.24593 .67636 L
.2415 .67695 L
.23666 .67715 L
.23183 .67699 L
.22741 .67636 L
.227 .67627 L
.22217 .67389 L
.22058 .67153 L
.22057 .6667 L
.22217 .66361 L
.22364 .66187 L
F
0 .719 1 r
.22217 .46722 m
.22601 .46859 L
.22217 .47079 L
.22061 .46859 L
F
1 .969 .387 r
.23183 .68922 m
.23666 .68852 L
.2415 .68898 L
.24633 .69071 L
.24663 .69086 L
.25116 .69323 L
.25274 .69569 L
.25504 .70052 L
.25424 .70535 L
.25116 .70852 L
.24633 .70918 L
.2415 .7094 L
.23666 .70941 L
.23183 .70921 L
.227 .70855 L
.22217 .70539 L
.22215 .70535 L
.22073 .70052 L
.22217 .69608 L
.2224 .69569 L
.227 .69138 L
.22764 .69086 L
F
1 .796 .002 r
.227 .56404 m
.23183 .56414 L
.23394 .56523 L
.23666 .56715 L
.23867 .57006 L
.23666 .57464 L
.23625 .57489 L
.23183 .57671 L
.227 .57642 L
.22373 .57489 L
.22217 .57377 L
.22077 .57006 L
.22217 .56733 L
.22481 .56523 L
F
.01 .852 1 r
.227 .59657 m
.23183 .59584 L
.23666 .59695 L
.24049 .59905 L
.2415 .60087 L
.24273 .60388 L
.2415 .6075 L
.23987 .60872 L
.23666 .61009 L
.23183 .61048 L
.227 .60986 L
.22359 .60872 L
.22217 .60708 L
.22088 .60388 L
.22217 .60015 L
.22245 .59905 L
F
1 .992 .773 r
.227 .75365 m
.23183 .75084 L
.23666 .74963 L
.2415 .74936 L
.24633 .74982 L
.25116 .75124 L
.25548 .75367 L
.25599 .75403 L
.26053 .7585 L
.26082 .75894 L
.26264 .76334 L
.2622 .76817 L
.26082 .76999 L
.25599 .77234 L
.25116 .77268 L
.24633 .77276 L
.2415 .77277 L
.23666 .77274 L
.23183 .77256 L
.227 .77187 L
.22217 .76844 L
.22206 .76817 L
.22101 .76334 L
.22217 .75916 L
.22252 .7585 L
.22697 .75367 L
F
1 .715 0 r
.22217 .50102 m
.227 .50028 L
.22978 .50242 L
.227 .50634 L
.22217 .50549 L
.22106 .50242 L
F
1 .903 .049 r
.23183 .62716 m
.23666 .62751 L
.2383 .62804 L
.2415 .62956 L
.24516 .63288 L
.24633 .63557 L
.24657 .63771 L
.24633 .6388 L
.24208 .64254 L
.2415 .64272 L
.23666 .64357 L
.23183 .64355 L
.227 .64272 L
.22638 .64254 L
.22217 .63968 L
.22128 .63771 L
.22217 .63293 L
.22219 .63288 L
.227 .6286 L
.22835 .62804 L
F
0 .741 1 r
.22217 .53504 m
.227 .53267 L
.23183 .53415 L
.23354 .53624 L
.23183 .54038 L
.22969 .54107 L
.227 .54119 L
.22601 .54107 L
.22217 .53913 L
.22133 .53624 L
F
1 .791 .002 r
.227 .56462 m
.23183 .56468 L
.23298 .56523 L
.23666 .56781 L
.23806 .57006 L
.23666 .57395 L
.23513 .57489 L
.23183 .57614 L
.227 .57584 L
.22483 .57489 L
.22217 .57289 L
.22139 .57006 L
.22217 .56818 L
.22577 .56523 L
F
.009 .848 1 r
.227 .597 m
.23183 .59621 L
.23666 .59739 L
.23989 .59905 L
.2415 .60198 L
.24206 .60388 L
.2415 .60636 L
.23858 .60872 L
.23666 .6095 L
.23183 .61 L
.227 .60928 L
.22507 .60872 L
.22217 .60596 L
.22154 .60388 L
.22217 .60124 L
.22284 .59905 L
F
.163 .941 1 r
.227 .65993 m
.23183 .65794 L
.23666 .65774 L
.2415 .65884 L
.24609 .66187 L
.24633 .66213 L
.24987 .6667 L
.25019 .67153 L
.24633 .67507 L
.2415 .67618 L
.23934 .67636 L
.23666 .67645 L
.23338 .67636 L
.23183 .67633 L
.227 .67534 L
.22217 .67192 L
.22196 .67153 L
.22167 .6667 L
.22217 .66541 L
.22479 .66187 L
F
1 .711 0 r
.22217 .50205 m
.227 .50095 L
.22888 .50242 L
.227 .50566 L
.22217 .50439 L
.22195 .50242 L
F
1 .787 .001 r
.22217 .56956 m
.227 .56524 L
.23183 .56526 L
.23666 .56866 L
.23739 .57006 L
.23666 .57307 L
.23373 .57489 L
.23183 .57551 L
.227 .57519 L
.22622 .57489 L
.22217 .57144 L
.22205 .57006 L
F
1 .898 .043 r
.23183 .62769 m
.23663 .62804 L
.23666 .62805 L
.2415 .63019 L
.24441 .63288 L
.24577 .63771 L
.2415 .64202 L
.2396 .64254 L
.23666 .64299 L
.23183 .64299 L
.22887 .64254 L
.227 .64205 L
.22217 .63771 L
.22284 .63288 L
.227 .62918 L
.23006 .62804 L
F
.008 .843 1 r
.227 .59747 m
.23183 .59661 L
.23666 .59786 L
.23911 .59905 L
.24145 .60388 L
.23701 .60872 L
.23666 .60884 L
.23183 .60949 L
.22721 .60872 L
.227 .60866 L
.22219 .60388 L
.22346 .59905 L
F
0 .737 1 r
.227 .53314 m
.23183 .53482 L
.23287 .53624 L
.23183 .53969 L
.227 .54072 L
.22222 .53624 L
F
.007 .839 1 r
.227 .59797 m
.23183 .59704 L
.23666 .59837 L
.23815 .59905 L
.24113 .60388 L
.23666 .60827 L
.23458 .60872 L
.23183 .60892 L
.22964 .60872 L
.227 .60811 L
.22248 .60388 L
.22436 .59905 L
F
1 .965 .337 r
.23183 .69026 m
.23666 .68941 L
.2415 .68994 L
.2442 .69086 L
.24633 .69184 L
.25101 .69569 L
.25116 .6959 L
.25315 .70052 L
.25144 .70535 L
.25116 .70572 L
.24633 .70795 L
.2415 .70838 L
.23666 .70841 L
.23183 .70807 L
.227 .70684 L
.22487 .70535 L
.22261 .70052 L
.22411 .69569 L
.227 .69273 L
.22992 .69086 L
F
.855 .995 1 r
.23183 .78214 m
.23666 .78041 L
.2415 .77974 L
.24633 .77993 L
.25116 .78098 L
.25527 .78266 L
.25599 .78274 L
.26082 .78626 L
.26174 .7875 L
.26467 .79233 L
.26511 .79716 L
.26082 .80191 L
.26065 .80199 L
.25599 .80297 L
.25116 .8032 L
.24633 .80322 L
.2415 .80322 L
.23666 .80317 L
.23183 .80287 L
.2278 .80199 L
.227 .80186 L
.2228 .79716 L
.22262 .79233 L
.22496 .7875 L
.227 .78449 L
.23086 .78266 L
F
1 .782 .001 r
.227 .5657 m
.23183 .56571 L
.23666 .57006 L
.23183 .57483 L
.227 .57462 L
.22271 .57006 L
F
.142 .937 1 r
.227 .66101 m
.23183 .65849 L
.23666 .65822 L
.2415 .65958 L
.24507 .66187 L
.24633 .6632 L
.24877 .6667 L
.24879 .67153 L
.24633 .67391 L
.2415 .67539 L
.23666 .67614 L
.23183 .67603 L
.227 .67434 L
.22331 .67153 L
.22274 .6667 L
.22606 .66187 L
F
1 .894 .037 r
.227 .62981 m
.23183 .62822 L
.23666 .62855 L
.2415 .63089 L
.2436 .63288 L
.24494 .63771 L
.2415 .64127 L
.23666 .64239 L
.23183 .6424 L
.227 .64135 L
.22294 .63771 L
.22356 .63288 L
F
.006 .835 1 r
.227 .59853 m
.23183 .59749 L
.23666 .59893 L
.23694 .59905 L
.24065 .60388 L
.23666 .60766 L
.23183 .60839 L
.227 .6075 L
.22295 .60388 L
.22562 .59905 L
F
0 .732 1 r
.227 .53367 m
.23183 .53575 L
.23212 .53624 L
.23183 .5387 L
.227 .54018 L
.22299 .53624 L
F
.565 .982 1 r
.227 .72378 m
.23183 .7206 L
.23666 .71991 L
.2415 .71992 L
.24633 .72065 L
.25116 .72335 L
.25259 .72468 L
.25599 .72895 L
.25626 .72951 L
.25688 .73434 L
.25599 .73635 L
.25165 .73918 L
.25116 .73932 L
.24633 .7401 L
.2415 .7403 L
.23666 .74023 L
.23183 .7398 L
.22879 .73918 L
.227 .73842 L
.22312 .73434 L
.22314 .72951 L
.22621 .72468 L
F
1 .707 0 r
.227 .50186 m
.22768 .50242 L
.227 .50471 L
.22319 .50242 L
F
1 .778 .001 r
.227 .56622 m
.23183 .5662 L
.23596 .57006 L
.23183 .57433 L
.227 .57408 L
.2234 .57006 L
F
.005 .83 1 r
.23183 .59797 m
.2358 .59905 L
.23666 .5996 L
.23993 .60388 L
.23666 .60697 L
.23183 .60787 L
.227 .60681 L
.22365 .60388 L
.227 .59917 L
.22719 .59905 L
F
1 .889 .032 r
.227 .63052 m
.23183 .62874 L
.23666 .62909 L
.2415 .63168 L
.24271 .63288 L
.244 .63771 L
.2415 .64041 L
.23666 .64181 L
.23183 .64182 L
.227 .64057 L
.22381 .63771 L
.22438 .63288 L
F
.124 .933 1 r
.23183 .65923 m
.23666 .65884 L
.2415 .66048 L
.24377 .66187 L
.24633 .66453 L
.24761 .6667 L
.24724 .67153 L
.24633 .6725 L
.2415 .67455 L
.23666 .67575 L
.23183 .67554 L
.227 .67322 L
.2248 .67153 L
.22384 .6667 L
.227 .66221 L
.22746 .66187 L
F
0 .728 1 r
.227 .53429 m
.23121 .53624 L
.227 .53954 L
.22391 .53624 L
F
1 .773 .001 r
.227 .56681 m
.23183 .56676 L
.23519 .57006 L
.23183 .57375 L
.227 .57348 L
.22417 .57006 L
F
1 .961 .294 r
.23666 .69043 m
.24085 .69086 L
.2415 .691 L
.24633 .69312 L
.24931 .69569 L
.25116 .69998 L
.25121 .70052 L
.25116 .70129 L
.24837 .70535 L
.24633 .70631 L
.2415 .7072 L
.23666 .70727 L
.23183 .70672 L
.22788 .70535 L
.227 .70463 L
.22451 .70052 L
.2259 .69569 L
.227 .69441 L
.23183 .69139 L
.23371 .69086 L
F
.004 .826 1 r
.23183 .59851 m
.23441 .59905 L
.23666 .60042 L
.23891 .60388 L
.23666 .60613 L
.23183 .60729 L
.227 .60599 L
.22466 .60388 L
.227 .59996 L
.22858 .59905 L
F
1 .885 .028 r
.227 .63134 m
.23183 .62931 L
.23666 .62967 L
.2415 .63264 L
.24172 .63288 L
.24291 .63771 L
.2415 .63939 L
.23666 .64117 L
.23183 .6412 L
.227 .63968 L
.22485 .63771 L
.22534 .63288 L
F
.108 .928 1 r
.23183 .66016 m
.23666 .65964 L
.2415 .66156 L
.24203 .66187 L
.24633 .66658 L
.24637 .6667 L
.24633 .67029 L
.24585 .67153 L
.2415 .67362 L
.23666 .67513 L
.23183 .67476 L
.227 .67188 L
.22656 .67153 L
.22504 .6667 L
.227 .66344 L
.22899 .66187 L
F
1 .769 .001 r
.227 .56752 m
.23183 .56742 L
.23431 .57006 L
.23183 .57308 L
.227 .57275 L
.22504 .57006 L
F
0 .723 1 r
.227 .5351 m
.22999 .53624 L
.227 .5387 L
.22512 .53624 L
F
.004 .821 1 r
.227 .60107 m
.23183 .59912 L
.23666 .60158 L
.23753 .60388 L
.23666 .60498 L
.23183 .60663 L
.227 .60489 L
.22604 .60388 L
F
1 .764 .001 r
.227 .5685 m
.23183 .56828 L
.23326 .57006 L
.23183 .5722 L
.227 .57175 L
.22609 .57006 L
F
1 .88 .024 r
.227 .63235 m
.23183 .62992 L
.23666 .63031 L
.24069 .63288 L
.2415 .6341 L
.24166 .63771 L
.2415 .63794 L
.23666 .64048 L
.23183 .64053 L
.227 .63859 L
.2261 .63771 L
.22648 .63288 L
F
.492 .977 1 r
.23183 .72252 m
.23666 .72069 L
.2415 .72072 L
.24633 .72237 L
.24954 .72468 L
.25116 .72634 L
.25317 .72951 L
.25294 .73434 L
.25116 .73614 L
.24633 .73876 L
.2415 .73873 L
.23666 .73862 L
.23183 .73821 L
.2271 .73434 L
.227 .73418 L
.22625 .72951 L
.227 .72763 L
.2293 .72468 L
F
.094 .924 1 r
.23183 .66133 m
.23666 .66065 L
.24002 .66187 L
.2415 .66261 L
.24543 .6667 L
.24414 .67153 L
.2415 .67258 L
.23666 .6742 L
.23183 .67359 L
.22855 .67153 L
.227 .66996 L
.22638 .6667 L
.227 .66522 L
.23087 .66187 L
F
1 .956 .256 r
.23183 .69262 m
.23666 .69151 L
.2415 .69211 L
.24633 .69471 L
.24739 .69569 L
.24928 .70052 L
.24633 .70436 L
.24361 .70535 L
.2415 .70579 L
.23666 .70595 L
.23274 .70535 L
.23183 .70511 L
.227 .70163 L
.22658 .70052 L
.227 .69714 L
.22759 .69569 L
F
1 .996 .888 r
.2415 .81089 m
.24633 .81072 L
.25116 .8115 L
.25184 .81165 L
.25599 .81252 L
.26082 .81649 L
.26082 .81649 L
.26416 .82132 L
.26459 .82615 L
.26082 .83033 L
.25919 .83098 L
.25599 .8316 L
.25116 .83197 L
.24633 .83205 L
.2415 .83198 L
.23666 .83165 L
.23297 .83098 L
.23183 .83084 L
.227 .82625 L
.22696 .82615 L
.22678 .82132 L
.227 .82058 L
.22953 .81649 L
.23183 .81378 L
.23666 .81207 L
.23801 .81165 L
F
1 .876 .021 r
.23183 .63062 m
.23666 .63104 L
.23955 .63288 L
.24033 .63771 L
.23666 .63971 L
.23183 .63978 L
.22753 .63771 L
.22769 .63288 L
F
.003 .817 1 r
.23183 .59989 m
.23603 .60388 L
.23183 .60585 L
.22758 .60388 L
F
1 .987 .673 r
.23666 .75232 m
.2415 .7517 L
.24633 .75256 L
.24948 .75367 L
.25116 .75496 L
.25478 .7585 L
.25599 .76189 L
.256 .76334 L
.25599 .7634 L
.25124 .76817 L
.25116 .7682 L
.24633 .76919 L
.2415 .76936 L
.23666 .76901 L
.23253 .76817 L
.23183 .76772 L
.22763 .76334 L
.22826 .7585 L
.23183 .75468 L
.23271 .75367 L
F
.082 .919 1 r
.23183 .66249 m
.23666 .66188 L
.2415 .66382 L
.24411 .6667 L
.2415 .6713 L
.24102 .67153 L
.23666 .67289 L
.23183 .67196 L
.23109 .67153 L
.22784 .6667 L
F
1 .952 .223 r
.23183 .69416 m
.23666 .69271 L
.2415 .69341 L
.24517 .69569 L
.24633 .69724 L
.24692 .70052 L
.24633 .70167 L
.2415 .70424 L
.23666 .70449 L
.23183 .70335 L
.22851 .70052 L
.22957 .69569 L
F
1 .871 .019 r
.23183 .63144 m
.23666 .63191 L
.2382 .63288 L
.23873 .63771 L
.23666 .63879 L
.23183 .63891 L
.22913 .63771 L
.22906 .63288 L
F
.003 .812 1 r
.23183 .60093 m
.2343 .60388 L
.23183 .60482 L
.22931 .60388 L
F
.428 .973 1 r
.23666 .72286 m
.2415 .72277 L
.24537 .72468 L
.24633 .72524 L
.25002 .72951 L
.24835 .73434 L
.24633 .73584 L
.2415 .73681 L
.23666 .73652 L
.23197 .73434 L
.23183 .73425 L
.22945 .72951 L
.23183 .7258 L
.23343 .72468 L
F
.071 .915 1 r
.23183 .66378 m
.23666 .66293 L
.2415 .66566 L
.24218 .6667 L
.2415 .66933 L
.23666 .67127 L
.23183 .67041 L
.2295 .6667 L
F
1 .867 .016 r
.23183 .63247 m
.23632 .63288 L
.23634 .63771 L
.23183 .63782 L
.23152 .63771 L
.23095 .63288 L
F
.062 .91 1 r
.23183 .66617 m
.23666 .66437 L
.23984 .6667 L
.23666 .66974 L
.23183 .66788 L
.23164 .6667 L
F
1 .947 .194 r
.23666 .69422 m
.2415 .69513 L
.2424 .69569 L
.24402 .70052 L
.2415 .70233 L
.23666 .7028 L
.23183 .70066 L
.2317 .70052 L
.23183 .69667 L
.23275 .69569 L
F
.373 .968 1 r
.23666 .72631 m
.2415 .72603 L
.24552 .72951 L
.2415 .73322 L
.23666 .73279 L
.23389 .72951 L
F
1 .983 .586 r
.23666 .75688 m
.2415 .75562 L
.24633 .75697 L
.24883 .7585 L
.24853 .76334 L
.24633 .76415 L
.2415 .76493 L
.23666 .7638 L
.23563 .76334 L
.23426 .7585 L
F
.745 .99 1 r
.2415 .78585 m
.24633 .78616 L
.24911 .7875 L
.25116 .79233 L
.24633 .79528 L
.2415 .79531 L
.23666 .79308 L
.23606 .79233 L
.23666 .78843 L
.23758 .7875 L
F
1 .996 .888 r
.30914 .11013 m
.31397 .10853 L
.31881 .11062 L
.31955 .11104 L
.32364 .11559 L
.32386 .11587 L
.3272 .1207 L
.32847 .12293 L
.32992 .12553 L
.33239 .13036 L
.3333 .13228 L
.33461 .1352 L
.33671 .14003 L
.33813 .14343 L
.33867 .14486 L
.3405 .14969 L
.34233 .15452 L
.34296 .15622 L
.34398 .15935 L
.34561 .16419 L
.34729 .16902 L
.3478 .17051 L
.34872 .17385 L
.35019 .17868 L
.35175 .18351 L
.35263 .18624 L
.35311 .18835 L
.35438 .19318 L
.35583 .19801 L
.35731 .20284 L
.35746 .20335 L
.35834 .20767 L
.35959 .2125 L
.36099 .21734 L
.36229 .2218 L
.36234 .22217 L
.3632 .227 L
.36439 .23183 L
.36574 .23666 L
.3671 .2415 L
.36712 .24159 L
.36822 .24633 L
.36885 .25116 L
.37012 .25599 L
.37144 .26082 L
.37196 .26273 L
.37259 .26566 L
.37362 .27049 L
.37466 .27532 L
.37569 .28015 L
.37673 .28498 L
.37679 .28523 L
.37771 .28981 L
.37868 .29465 L
.37965 .29948 L
.38063 .30431 L
.38162 .30914 L
.38162 .30916 L
.38252 .31397 L
.38343 .31881 L
.38434 .32364 L
.38526 .32847 L
.3862 .3333 L
.38645 .33459 L
.38707 .33813 L
.38792 .34296 L
.38877 .3478 L
.38963 .35263 L
.39051 .35746 L
.39128 .36163 L
.39139 .36229 L
.39218 .36712 L
.39297 .37196 L
.39377 .37679 L
.39458 .38162 L
.39541 .38645 L
.39612 .39044 L
.39624 .39128 L
.39698 .39612 L
.39771 .40095 L
.39845 .40578 L
.39921 .41061 L
.39998 .41544 L
.40078 .42027 L
.40095 .42124 L
.4015 .42511 L
.40218 .42994 L
.40286 .43477 L
.40355 .4396 L
.40426 .44443 L
.40499 .44927 L
.40574 .4541 L
.40578 .45434 L
.40638 .45893 L
.40701 .46376 L
.40764 .46859 L
.40827 .47342 L
.40892 .47826 L
.40959 .48309 L
.41028 .48792 L
.41061 .49023 L
.41091 .49275 L
.41149 .49758 L
.41206 .50242 L
.41264 .50725 L
.41322 .51208 L
.41381 .51691 L
.41442 .52174 L
.41504 .52658 L
.41544 .52967 L
.41563 .53141 L
.41615 .53624 L
.41667 .54107 L
.41718 .5459 L
.4177 .55073 L
.41822 .55557 L
.41875 .5604 L
.41928 .56523 L
.41982 .57006 L
.42027 .57404 L
.42036 .57489 L
.42081 .57973 L
.42126 .58456 L
.42171 .58939 L
.42215 .59422 L
.4226 .59905 L
.42304 .60388 L
.42349 .60872 L
.42393 .61355 L
.42438 .61838 L
.42482 .62321 L
.42511 .62636 L
.42524 .62804 L
.42561 .63288 L
.42598 .63771 L
.42634 .64254 L
.42669 .64737 L
.42704 .6522 L
.42738 .65704 L
.42772 .66187 L
.42805 .6667 L
.42838 .67153 L
.42869 .67636 L
.429 .68119 L
.4293 .68603 L
.42959 .69086 L
.42986 .69569 L
.42994 .69705 L
.43011 .70052 L
.43034 .70535 L
.43056 .71019 L
.43077 .71502 L
.43097 .71985 L
.43116 .72468 L
.43133 .72951 L
.43149 .73434 L
.43164 .73918 L
.43177 .74401 L
.43189 .74884 L
.43152 .75367 L
.43163 .7585 L
.43172 .76334 L
.4318 .76817 L
.43185 .773 L
.43187 .77783 L
.43188 .78266 L
.43186 .7875 L
.43182 .79233 L
.43175 .79716 L
.43165 .80199 L
.43153 .80682 L
.43137 .81165 L
.43119 .81649 L
.43098 .82132 L
.43073 .82615 L
.43045 .83098 L
.43012 .83581 L
.42994 .8383 L
.42971 .84065 L
.42919 .84548 L
.42861 .85031 L
.42795 .85514 L
.4272 .85997 L
.42633 .8648 L
.42532 .86964 L
.42511 .87055 L
.42409 .87447 L
.42255 .8793 L
.42044 .88413 L
.42027 .88444 L
.41711 .88896 L
.41544 .89037 L
.41061 .89138 L
.40594 .88896 L
.40578 .88883 L
.40123 .88413 L
.40095 .8835 L
.39808 .8793 L
.39612 .87586 L
.39536 .87447 L
.39289 .86964 L
.39128 .86623 L
.39066 .8648 L
.38858 .85997 L
.38657 .85514 L
.38645 .85484 L
.38478 .85031 L
.38297 .84548 L
.38162 .84183 L
.38125 .84065 L
.37968 .83581 L
.37803 .83098 L
.37679 .82733 L
.37648 .82615 L
.3751 .82132 L
.37359 .81649 L
.37204 .81165 L
.37196 .8114 L
.37088 .80682 L
.36952 .80199 L
.36805 .79716 L
.36712 .7941 L
.36681 .79233 L
.36572 .7875 L
.36439 .78266 L
.36298 .77783 L
.36229 .77545 L
.36194 .773 L
.36093 .76817 L
.35966 .76334 L
.35831 .7585 L
.35746 .75547 L
.35705 .75367 L
.35595 .74884 L
.35529 .74401 L
.35399 .73918 L
.35268 .73434 L
.35263 .73415 L
.35164 .72951 L
.35062 .72468 L
.34959 .71985 L
.34856 .71502 L
.3478 .71144 L
.34755 .71019 L
.34659 .70535 L
.34563 .70052 L
.34467 .69569 L
.34369 .69086 L
.34296 .6873 L
.34273 .68603 L
.34183 .68119 L
.34093 .67636 L
.34003 .67153 L
.33911 .6667 L
.33818 .66187 L
.33813 .66165 L
.33733 .65704 L
.3365 .6522 L
.33565 .64737 L
.3348 .64254 L
.33392 .63771 L
.3333 .63436 L
.33306 .63288 L
.33228 .62804 L
.3315 .62321 L
.33071 .61838 L
.3299 .61355 L
.32907 .60872 L
.32847 .60528 L
.32826 .60388 L
.32753 .59905 L
.3268 .59422 L
.32607 .58939 L
.32532 .58456 L
.32455 .57973 L
.32376 .57489 L
.32364 .57418 L
.32306 .57006 L
.32239 .56523 L
.32171 .5604 L
.32103 .55557 L
.32033 .55073 L
.31961 .5459 L
.31886 .54107 L
.31881 .54072 L
.31823 .53624 L
.31761 .53141 L
.31698 .52658 L
.31636 .52174 L
.31572 .51691 L
.31506 .51208 L
.31439 .50725 L
.31397 .50438 L
.31374 .50242 L
.31317 .49758 L
.31261 .49275 L
.31204 .48792 L
.31147 .48309 L
.31089 .47826 L
.31029 .47342 L
.30969 .46859 L
.30914 .46434 L
.30908 .46376 L
.30857 .45893 L
.30806 .4541 L
.30755 .44927 L
.30705 .44443 L
.30654 .4396 L
.30602 .43477 L
.3055 .42994 L
.30498 .42511 L
.30444 .42027 L
.30431 .41908 L
.30397 .41544 L
.30353 .41061 L
.30309 .40578 L
.30266 .40095 L
.30223 .39612 L
.30179 .39128 L
.30136 .38645 L
.30093 .38162 L
.3005 .37679 L
.30007 .37196 L
.29965 .36712 L
.29948 .36514 L
.29926 .36229 L
.29891 .35746 L
.29856 .35263 L
.29822 .3478 L
.29788 .34296 L
.29755 .33813 L
.29722 .3333 L
.29691 .32847 L
.29659 .32364 L
.29629 .31881 L
.296 .31397 L
.29571 .30914 L
.29544 .30431 L
.29518 .29948 L
.29493 .29465 L
.29469 .28981 L
.29465 .28883 L
.29448 .28498 L
.29429 .28015 L
.2941 .27532 L
.29393 .27049 L
.29377 .26566 L
.29363 .26082 L
.29349 .25599 L
.29338 .25116 L
.29328 .24633 L
.29365 .2415 L
.29357 .23666 L
.2935 .23183 L
.29345 .227 L
.29342 .22217 L
.29341 .21734 L
.29343 .2125 L
.29346 .20767 L
.29352 .20284 L
.29361 .19801 L
.29372 .19318 L
.29386 .18835 L
.29403 .18351 L
.29422 .17868 L
.29446 .17385 L
.29465 .17033 L
.29475 .16902 L
.29515 .16419 L
.2956 .15935 L
.29611 .15452 L
.29669 .14969 L
.29734 .14486 L
.29808 .14003 L
.29893 .1352 L
.29948 .13246 L
.29995 .13036 L
.30119 .12553 L
.30274 .1207 L
.30431 .11695 L
.30463 .11587 L
.30762 .11104 L
F
1 .992 .773 r
.31397 .15347 m
.31881 .15111 L
.32364 .15305 L
.32622 .15452 L
.32847 .1582 L
.32934 .15935 L
.33238 .16419 L
.3333 .16595 L
.33491 .16902 L
.33722 .17385 L
.33813 .1759 L
.33931 .17868 L
.34129 .18351 L
.34296 .18779 L
.34316 .18835 L
.34488 .19318 L
.3466 .19801 L
.3478 .20144 L
.34822 .20284 L
.34973 .20767 L
.35128 .2125 L
.35263 .21672 L
.35278 .21734 L
.35409 .22217 L
.3555 .227 L
.35695 .23183 L
.35746 .23357 L
.35815 .23666 L
.35938 .2415 L
.36072 .24633 L
.36208 .25116 L
.36229 .25193 L
.36308 .25599 L
.36422 .26082 L
.36548 .26566 L
.36678 .27049 L
.36712 .27179 L
.36768 .27532 L
.36869 .28015 L
.36987 .28498 L
.37111 .28981 L
.37196 .29316 L
.37212 .29465 L
.3729 .29948 L
.37393 .30431 L
.37509 .30914 L
.37628 .31397 L
.37679 .31608 L
.37733 .31881 L
.37829 .32364 L
.37879 .32847 L
.3799 .3333 L
.38104 .33813 L
.38162 .34063 L
.38205 .34296 L
.38294 .3478 L
.38383 .35263 L
.38472 .35746 L
.3856 .36229 L
.38645 .36692 L
.38649 .36712 L
.38732 .37196 L
.38814 .37679 L
.38897 .38162 L
.38979 .38645 L
.39062 .39128 L
.39128 .39511 L
.39144 .39612 L
.39221 .40095 L
.39298 .40578 L
.39374 .41061 L
.39451 .41544 L
.39528 .42027 L
.39606 .42511 L
.39612 .42546 L
.39677 .42994 L
.39748 .43477 L
.39818 .4396 L
.39889 .44443 L
.3996 .44927 L
.40032 .4541 L
.40095 .45834 L
.40103 .45893 L
.40168 .46376 L
.40232 .46859 L
.40297 .47342 L
.40361 .47826 L
.40426 .48309 L
.40491 .48792 L
.40557 .49275 L
.40578 .49432 L
.40618 .49758 L
.40676 .50242 L
.40734 .50725 L
.40792 .51208 L
.4085 .51691 L
.40909 .52174 L
.40967 .52658 L
.41025 .53141 L
.41061 .53441 L
.41081 .53624 L
.41133 .54107 L
.41184 .5459 L
.41235 .55073 L
.41286 .55557 L
.41337 .5604 L
.41387 .56523 L
.41437 .57006 L
.41487 .57489 L
.41536 .57973 L
.41544 .58058 L
.41581 .58456 L
.41624 .58939 L
.41667 .59422 L
.4171 .59905 L
.41752 .60388 L
.41793 .60872 L
.41834 .61355 L
.41874 .61838 L
.41913 .62321 L
.41951 .62804 L
.41989 .63288 L
.42024 .63771 L
.42027 .63806 L
.42058 .64254 L
.4209 .64737 L
.42122 .6522 L
.42152 .65704 L
.42181 .66187 L
.4221 .6667 L
.42237 .67153 L
.42217 .67636 L
.42247 .68119 L
.42275 .68603 L
.42302 .69086 L
.42327 .69569 L
.4235 .70052 L
.42371 .70535 L
.4239 .71019 L
.42407 .71502 L
.42422 .71985 L
.42434 .72468 L
.42445 .72951 L
.42453 .73434 L
.42458 .73918 L
.42461 .74401 L
.42462 .74884 L
.4246 .75367 L
.42454 .7585 L
.42446 .76334 L
.42435 .76817 L
.42421 .773 L
.42403 .77783 L
.42381 .78266 L
.42355 .7875 L
.42325 .79233 L
.4229 .79716 L
.42249 .80199 L
.42203 .80682 L
.42149 .81165 L
.42086 .81649 L
.42027 .82042 L
.42012 .82132 L
.41922 .82615 L
.41814 .83098 L
.41678 .83581 L
.41544 .83946 L
.41515 .84065 L
.41297 .84548 L
.41061 .84719 L
.40578 .84885 L
.40095 .8464 L
.39958 .84548 L
.39612 .84084 L
.39597 .84065 L
.39289 .83581 L
.39128 .83275 L
.39037 .83098 L
.38806 .82615 L
.38645 .82251 L
.38595 .82132 L
.384 .81649 L
.38211 .81165 L
.38162 .81037 L
.38039 .80682 L
.3787 .80199 L
.37702 .79716 L
.37679 .79648 L
.37554 .79233 L
.37403 .7875 L
.37249 .78266 L
.37196 .78097 L
.37115 .77783 L
.36981 .773 L
.36839 .76817 L
.36712 .7639 L
.36701 .76334 L
.36589 .7585 L
.36462 .75367 L
.36327 .74884 L
.36229 .74533 L
.36206 .74401 L
.36106 .73918 L
.35987 .73434 L
.35859 .72951 L
.35746 .72525 L
.35738 .72468 L
.35656 .71985 L
.35549 .71502 L
.35429 .71019 L
.35305 .70535 L
.35263 .70366 L
.35225 .70052 L
.35138 .69569 L
.3503 .69086 L
.34914 .68603 L
.34796 .68119 L
.3478 .68051 L
.34698 .67636 L
.34603 .67153 L
.34551 .6667 L
.34439 .66187 L
.34326 .65704 L
.34296 .65572 L
.34232 .6522 L
.34144 .64737 L
.34056 .64254 L
.33968 .63771 L
.33881 .63288 L
.33813 .62918 L
.33794 .62804 L
.33712 .62321 L
.3363 .61838 L
.33549 .61355 L
.33467 .60872 L
.33385 .60388 L
.3333 .60069 L
.33304 .59905 L
.33228 .59422 L
.33153 .58939 L
.33077 .58456 L
.33001 .57973 L
.32925 .57489 L
.32848 .57006 L
.32847 .57001 L
.32778 .56523 L
.32708 .5604 L
.32638 .55557 L
.32569 .55073 L
.32498 .5459 L
.32428 .54107 L
.32364 .53673 L
.32357 .53624 L
.32293 .53141 L
.32229 .52658 L
.32166 .52174 L
.32102 .51691 L
.32038 .51208 L
.31974 .50725 L
.3191 .50242 L
.31881 .50023 L
.31849 .49758 L
.31791 .49275 L
.31734 .48792 L
.31677 .48309 L
.3162 .47826 L
.31563 .47342 L
.31505 .46859 L
.31448 .46376 L
.31397 .45943 L
.31392 .45893 L
.31341 .4541 L
.3129 .44927 L
.3124 .44443 L
.31191 .4396 L
.31141 .43477 L
.31092 .42994 L
.31043 .42511 L
.30995 .42027 L
.30947 .41544 L
.30914 .41211 L
.30901 .41061 L
.30858 .40578 L
.30816 .40095 L
.30775 .39612 L
.30734 .39128 L
.30694 .38645 L
.30654 .38162 L
.30616 .37679 L
.30578 .37196 L
.30541 .36712 L
.30505 .36229 L
.30477 .35746 L
.30436 .35263 L
.30431 .35197 L
.30404 .3478 L
.30374 .34296 L
.30345 .33813 L
.30317 .3333 L
.3029 .32847 L
.30264 .32364 L
.30288 .31881 L
.30262 .31397 L
.30236 .30914 L
.30212 .30431 L
.30189 .29948 L
.30168 .29465 L
.30149 .28981 L
.30131 .28498 L
.30116 .28015 L
.30103 .27532 L
.30092 .27049 L
.30084 .26566 L
.30078 .26082 L
.30074 .25599 L
.30073 .25116 L
.30075 .24633 L
.3008 .2415 L
.30087 .23666 L
.30098 .23183 L
.30112 .227 L
.30129 .22217 L
.3015 .21734 L
.30175 .2125 L
.30205 .20767 L
.30239 .20284 L
.30278 .19801 L
.30324 .19318 L
.30377 .18835 L
.30431 .18407 L
.30439 .18351 L
.30516 .17868 L
.30606 .17385 L
.30715 .16902 L
.30851 .16419 L
.30914 .16236 L
.31006 .15935 L
.31277 .15452 L
F
1 .987 .673 r
.31881 .17105 m
.32364 .171 L
.32755 .17385 L
.32847 .17482 L
.33172 .17868 L
.3333 .18162 L
.33442 .18351 L
.33695 .18835 L
.33813 .19088 L
.33917 .19318 L
.34124 .19801 L
.34296 .20227 L
.34318 .20284 L
.34497 .20767 L
.34672 .2125 L
.3478 .21556 L
.34836 .21734 L
.34991 .22217 L
.35148 .227 L
.35263 .2306 L
.35296 .23183 L
.35432 .23666 L
.35574 .2415 L
.35717 .24633 L
.35746 .2473 L
.35837 .25116 L
.35963 .25599 L
.36097 .26082 L
.36229 .26561 L
.3623 .26566 L
.3633 .27049 L
.36447 .27532 L
.36572 .28015 L
.36699 .28498 L
.36712 .28551 L
.36788 .28981 L
.36892 .29465 L
.37008 .29948 L
.37129 .30431 L
.37196 .30701 L
.37224 .30914 L
.37308 .31397 L
.37412 .31881 L
.37524 .32364 L
.37639 .32847 L
.37679 .33016 L
.37714 .3333 L
.37793 .33813 L
.37891 .34296 L
.37999 .3478 L
.38108 .35263 L
.38162 .35505 L
.38206 .35746 L
.38294 .36229 L
.38334 .36712 L
.38434 .37196 L
.38538 .37679 L
.38641 .38162 L
.38645 .38181 L
.38724 .38645 L
.38805 .39128 L
.38886 .39612 L
.38967 .40095 L
.39031 .40578 L
.39127 .41061 L
.39128 .41067 L
.39203 .41544 L
.39278 .42027 L
.39353 .42511 L
.39427 .42994 L
.39502 .43477 L
.39576 .4396 L
.39612 .44192 L
.39648 .44443 L
.39716 .44927 L
.39785 .4541 L
.39853 .45893 L
.39921 .46376 L
.3999 .46859 L
.40058 .47342 L
.40095 .47607 L
.40123 .47826 L
.40186 .48309 L
.40248 .48792 L
.4031 .49275 L
.40371 .49758 L
.40433 .50242 L
.40494 .50725 L
.40555 .51208 L
.40578 .51393 L
.40613 .51691 L
.40668 .52174 L
.40723 .52658 L
.40778 .53141 L
.40832 .53624 L
.40886 .54107 L
.4094 .5459 L
.40993 .55073 L
.41045 .55557 L
.41061 .55704 L
.41095 .5604 L
.41142 .56523 L
.41189 .57006 L
.41236 .57489 L
.41282 .57973 L
.41327 .58456 L
.41372 .58939 L
.41415 .59422 L
.41441 .59905 L
.41492 .60388 L
.41541 .60872 L
.41544 .60908 L
.4158 .61355 L
.41617 .61838 L
.41653 .62321 L
.41688 .62804 L
.41723 .63288 L
.41709 .63771 L
.41746 .64254 L
.41783 .64737 L
.41818 .6522 L
.41853 .65704 L
.41886 .66187 L
.41917 .6667 L
.41946 .67153 L
.41973 .67636 L
.41998 .68119 L
.42021 .68603 L
.42027 .68743 L
.42035 .69086 L
.42045 .69569 L
.42056 .70052 L
.42067 .70535 L
.42077 .71019 L
.42086 .71502 L
.42094 .71985 L
.42099 .72468 L
.42103 .72951 L
.42105 .73434 L
.42105 .73918 L
.42102 .74401 L
.42096 .74884 L
.42087 .75367 L
.42075 .7585 L
.4206 .76334 L
.42041 .76817 L
.42027 .77105 L
.42016 .773 L
.41983 .77783 L
.41945 .78266 L
.419 .7875 L
.41848 .79233 L
.41787 .79716 L
.41716 .80199 L
.41632 .80682 L
.41544 .81096 L
.41529 .81165 L
.41405 .81649 L
.41236 .82132 L
.41061 .82456 L
.40955 .82615 L
.40578 .82924 L
.40095 .82867 L
.39773 .82615 L
.39612 .82438 L
.39363 .82132 L
.39128 .8172 L
.39087 .81649 L
.38833 .81165 L
.38645 .80762 L
.3861 .80682 L
.38404 .80199 L
.38209 .79716 L
.38162 .79595 L
.3803 .79233 L
.37857 .7875 L
.37688 .78266 L
.37679 .7824 L
.37536 .77783 L
.37383 .773 L
.37229 .76817 L
.37196 .76711 L
.37094 .76334 L
.36957 .7585 L
.36815 .75367 L
.36712 .75018 L
.36683 .74884 L
.36565 .74401 L
.36436 .73918 L
.36303 .73434 L
.36229 .73164 L
.36189 .72951 L
.36082 .72468 L
.35962 .71985 L
.35837 .71502 L
.35746 .71151 L
.35726 .71019 L
.35635 .70535 L
.35526 .70052 L
.35409 .69569 L
.35289 .69086 L
.35263 .68978 L
.3521 .68603 L
.3512 .68119 L
.35013 .67636 L
.349 .67153 L
.34787 .6667 L
.3478 .66639 L
.34726 .66187 L
.34642 .65704 L
.34541 .6522 L
.34433 .64737 L
.34325 .64254 L
.34296 .64125 L
.34232 .63771 L
.34145 .63288 L
.34105 .62804 L
.34005 .62321 L
.33901 .61838 L
.33813 .6142 L
.33802 .61355 L
.33722 .60872 L
.33641 .60388 L
.33561 .59905 L
.33481 .59422 L
.33416 .58939 L
.3333 .58502 L
.33323 .58456 L
.33248 .57973 L
.33174 .57489 L
.33101 .57006 L
.33027 .56523 L
.32953 .5604 L
.3288 .55557 L
.32847 .55339 L
.32809 .55073 L
.32741 .5459 L
.32674 .54107 L
.32606 .53624 L
.32539 .53141 L
.32472 .52658 L
.32405 .52174 L
.32364 .51878 L
.3234 .51691 L
.32278 .51208 L
.32217 .50725 L
.32156 .50242 L
.32096 .49758 L
.32035 .49275 L
.31975 .48792 L
.31915 .48309 L
.31881 .48029 L
.31857 .47826 L
.31803 .47342 L
.31749 .46859 L
.31695 .46376 L
.31642 .45893 L
.31589 .4541 L
.31536 .44927 L
.31484 .44443 L
.31433 .4396 L
.31397 .43621 L
.31383 .43477 L
.31337 .42994 L
.3129 .42511 L
.31245 .42027 L
.312 .41544 L
.31156 .41061 L
.31113 .40578 L
.3107 .40095 L
.31052 .39612 L
.31002 .39128 L
.30954 .38645 L
.30914 .38225 L
.30909 .38162 L
.30873 .37679 L
.30838 .37196 L
.30804 .36712 L
.30771 .36229 L
.30787 .35746 L
.30753 .35263 L
.30719 .3478 L
.30686 .34296 L
.30654 .33813 L
.30623 .3333 L
.30594 .32847 L
.30566 .32364 L
.3054 .31881 L
.30517 .31397 L
.30495 .30914 L
.30476 .30431 L
.30458 .29948 L
.30443 .29465 L
.30431 .28997 L
.30431 .28981 L
.30425 .28498 L
.30419 .28015 L
.30415 .27532 L
.30412 .27049 L
.30411 .26566 L
.30412 .26082 L
.30416 .25599 L
.30422 .25116 L
.3043 .24633 L
.30431 .24607 L
.30445 .2415 L
.30464 .23666 L
.30487 .23183 L
.30515 .227 L
.30547 .22217 L
.30585 .21734 L
.30629 .2125 L
.3068 .20767 L
.3074 .20284 L
.30811 .19801 L
.30895 .19318 L
.30914 .19221 L
.30997 .18835 L
.31124 .18351 L
.31298 .17868 L
.31397 .17669 L
.31573 .17385 L
F
1 .983 .586 r
.31881 .18533 m
.32364 .18356 L
.32847 .18629 L
.331 .18835 L
.3333 .19235 L
.33385 .19318 L
.33665 .19801 L
.33813 .20108 L
.33898 .20284 L
.34114 .20767 L
.34296 .21208 L
.34313 .2125 L
.34497 .21734 L
.34675 .22217 L
.3478 .2251 L
.34842 .227 L
.34999 .23183 L
.35157 .23666 L
.35263 .23996 L
.35305 .2415 L
.35444 .24633 L
.35587 .25116 L
.35729 .25599 L
.35746 .25656 L
.3585 .26082 L
.35977 .26566 L
.3611 .27049 L
.36229 .27483 L
.36239 .27532 L
.36343 .28015 L
.36461 .28498 L
.36585 .28981 L
.3671 .29465 L
.36712 .29476 L
.36799 .29948 L
.36904 .30431 L
.3702 .30914 L
.37138 .31397 L
.37196 .31636 L
.37231 .31881 L
.37318 .32364 L
.37421 .32847 L
.37531 .3333 L
.37644 .33813 L
.37679 .33967 L
.37719 .34296 L
.37799 .3478 L
.37896 .35263 L
.38001 .35746 L
.38107 .36229 L
.38162 .36482 L
.38183 .36712 L
.38249 .37196 L
.38335 .37679 L
.38431 .38162 L
.38532 .38645 L
.38632 .39128 L
.38645 .39195 L
.38715 .39612 L
.38795 .40095 L
.38829 .40578 L
.3892 .41061 L
.39015 .41544 L
.39109 .42027 L
.39128 .42131 L
.39187 .42511 L
.39261 .42994 L
.39334 .43477 L
.39407 .4396 L
.39452 .44443 L
.3954 .44927 L
.39612 .45327 L
.39623 .4541 L
.39691 .45893 L
.39758 .46376 L
.39825 .46859 L
.39891 .47342 L
.39957 .47826 L
.40008 .48309 L
.40086 .48792 L
.40095 .48845 L
.40149 .49275 L
.4021 .49758 L
.40269 .50242 L
.40329 .50725 L
.40388 .51208 L
.40447 .51691 L
.4049 .52174 L
.40559 .52658 L
.40578 .5279 L
.40617 .53141 L
.4067 .53624 L
.40722 .54107 L
.40774 .5459 L
.40826 .55073 L
.40876 .55557 L
.40898 .5604 L
.40959 .56523 L
.41017 .57006 L
.41061 .57384 L
.41071 .57489 L
.41115 .57973 L
.41159 .58456 L
.41202 .58939 L
.41244 .59422 L
.41239 .59905 L
.41285 .60388 L
.41332 .60872 L
.41378 .61355 L
.41422 .61838 L
.41465 .62321 L
.41507 .62804 L
.41544 .63271 L
.41545 .63288 L
.41561 .63771 L
.41581 .64254 L
.41604 .64737 L
.41629 .6522 L
.41655 .65704 L
.41681 .66187 L
.41706 .6667 L
.41731 .67153 L
.41754 .67636 L
.41776 .68119 L
.41796 .68603 L
.41815 .69086 L
.41831 .69569 L
.41845 .70052 L
.41857 .70535 L
.41867 .71019 L
.41874 .71502 L
.41878 .71985 L
.4188 .72468 L
.41879 .72951 L
.41874 .73434 L
.41867 .73918 L
.41856 .74401 L
.41842 .74884 L
.41824 .75367 L
.41801 .7585 L
.41774 .76334 L
.41742 .76817 L
.41703 .773 L
.41658 .77783 L
.41605 .78266 L
.41544 .78734 L
.41542 .7875 L
.41464 .79233 L
.41371 .79716 L
.41255 .80199 L
.41099 .80682 L
.41061 .80777 L
.40874 .81165 L
.40578 .81527 L
.40095 .81629 L
.39612 .81303 L
.39458 .81165 L
.39137 .80682 L
.39128 .80656 L
.38864 .80199 L
.38645 .79748 L
.3863 .79716 L
.38414 .79233 L
.38214 .7875 L
.38162 .78618 L
.3803 .78266 L
.37854 .77783 L
.37683 .773 L
.37679 .77289 L
.37528 .76817 L
.37373 .76334 L
.37219 .7585 L
.37196 .75777 L
.37083 .75367 L
.36944 .74884 L
.36802 .74401 L
.36712 .74093 L
.36672 .73918 L
.36551 .73434 L
.36422 .72951 L
.3629 .72468 L
.36229 .72242 L
.36178 .71985 L
.36069 .71502 L
.35949 .71019 L
.35825 .70535 L
.35746 .70226 L
.35717 .70052 L
.35623 .69569 L
.35515 .69086 L
.35398 .68603 L
.35281 .68119 L
.35263 .68042 L
.35202 .67636 L
.35111 .67153 L
.35005 .6667 L
.34895 .66187 L
.34784 .65704 L
.3478 .65685 L
.34721 .6522 L
.34636 .64737 L
.34538 .64254 L
.34433 .63771 L
.34327 .63288 L
.34296 .63143 L
.34264 .62804 L
.34194 .62321 L
.34106 .61838 L
.34009 .61355 L
.33909 .60872 L
.33813 .604 L
.33811 .60388 L
.33731 .59905 L
.33652 .59422 L
.33619 .58939 L
.33528 .58456 L
.33434 .57973 L
.33341 .57489 L
.3333 .5743 L
.33266 .57006 L
.33193 .56523 L
.3312 .5604 L
.33048 .55557 L
.33004 .55073 L
.32917 .5459 L
.32847 .54192 L
.32835 .54107 L
.32768 .53624 L
.32702 .53141 L
.32637 .52658 L
.32571 .52174 L
.32506 .51691 L
.32457 .51208 L
.3238 .50725 L
.32364 .50621 L
.32317 .50242 L
.32257 .49758 L
.32198 .49275 L
.3214 .48792 L
.32082 .48309 L
.32024 .47826 L
.31985 .47342 L
.31916 .46859 L
.31881 .46601 L
.31856 .46376 L
.31804 .45893 L
.31752 .4541 L
.31702 .44927 L
.31651 .44443 L
.31602 .4396 L
.31585 .43477 L
.31526 .42994 L
.31469 .42511 L
.31414 .42027 L
.31397 .41881 L
.31367 .41544 L
.31324 .41061 L
.31283 .40578 L
.31242 .40095 L
.3125 .39612 L
.31206 .39128 L
.31162 .38645 L
.31118 .38162 L
.31075 .37679 L
.31034 .37196 L
.30994 .36712 L
.30956 .36229 L
.3092 .35746 L
.30914 .35664 L
.30902 .35263 L
.30884 .3478 L
.30863 .34296 L
.30842 .33813 L
.3082 .3333 L
.30797 .32847 L
.30776 .32364 L
.30755 .31881 L
.30736 .31397 L
.30718 .30914 L
.30702 .30431 L
.30688 .29948 L
.30676 .29465 L
.30666 .28981 L
.30659 .28498 L
.30654 .28015 L
.30652 .27532 L
.30653 .27049 L
.30657 .26566 L
.30664 .26082 L
.30674 .25599 L
.30688 .25116 L
.30705 .24633 L
.30727 .2415 L
.30754 .23666 L
.30785 .23183 L
.30823 .227 L
.30867 .22217 L
.30914 .21783 L
.3092 .21734 L
.30986 .2125 L
.31063 .20767 L
.31157 .20284 L
.31274 .19801 L
.31397 .19409 L
.31417 .19318 L
.31568 .18835 L
F
1 .978 .511 r
.31881 .19688 m
.32364 .1935 L
.32847 .19525 L
.33126 .19801 L
.3333 .20066 L
.33483 .20284 L
.33754 .20767 L
.33813 .20894 L
.33987 .2125 L
.34202 .21734 L
.34296 .21963 L
.34397 .22217 L
.34582 .227 L
.34759 .23183 L
.3478 .23242 L
.34921 .23666 L
.3508 .2415 L
.35237 .24633 L
.35263 .24713 L
.35378 .25116 L
.3552 .25599 L
.35663 .26082 L
.35746 .26365 L
.35795 .26566 L
.35919 .27049 L
.3605 .27532 L
.36182 .28015 L
.36229 .28189 L
.36295 .28498 L
.36408 .28981 L
.36529 .29465 L
.36653 .29948 L
.36712 .30184 L
.36757 .30431 L
.36856 .30914 L
.36967 .31397 L
.37083 .31881 L
.37196 .32351 L
.37197 .32364 L
.37276 .32847 L
.37372 .3333 L
.37478 .33813 L
.37588 .34296 L
.37679 .34697 L
.37688 .3478 L
.37758 .35263 L
.37847 .35746 L
.37947 .36229 L
.38051 .36712 L
.38154 .37196 L
.38162 .37233 L
.38212 .37679 L
.38288 .38162 L
.38377 .38645 L
.38474 .39128 L
.38572 .39612 L
.38645 .39976 L
.38665 .40095 L
.38706 .40578 L
.38778 .41061 L
.38863 .41544 L
.38953 .42027 L
.39045 .42511 L
.39128 .42955 L
.39134 .42994 L
.39208 .43477 L
.3928 .4396 L
.39305 .44443 L
.39387 .44927 L
.39472 .4541 L
.39557 .45893 L
.39612 .46213 L
.39634 .46376 L
.397 .46859 L
.39766 .47342 L
.39831 .47826 L
.39856 .48309 L
.39933 .48792 L
.4001 .49275 L
.40085 .49758 L
.40095 .49822 L
.40146 .50242 L
.40205 .50725 L
.40263 .51208 L
.40321 .51691 L
.40338 .52174 L
.40406 .52658 L
.40473 .53141 L
.40539 .53624 L
.40578 .53916 L
.40598 .54107 L
.40649 .5459 L
.407 .55073 L
.4075 .55557 L
.40752 .5604 L
.40807 .56523 L
.40863 .57006 L
.40918 .57489 L
.40973 .57973 L
.41025 .58456 L
.41061 .58798 L
.41073 .58939 L
.41114 .59422 L
.41117 .59905 L
.41152 .60388 L
.41189 .60872 L
.41228 .61355 L
.41268 .61838 L
.41308 .62321 L
.41347 .62804 L
.41385 .63288 L
.41421 .63771 L
.41456 .64254 L
.41488 .64737 L
.41519 .6522 L
.41544 .65645 L
.41546 .65704 L
.41561 .66187 L
.41577 .6667 L
.41594 .67153 L
.41611 .67636 L
.41627 .68119 L
.41642 .68603 L
.41656 .69086 L
.41668 .69569 L
.41678 .70052 L
.41686 .70535 L
.41692 .71019 L
.41696 .71502 L
.41697 .71985 L
.41695 .72468 L
.4169 .72951 L
.41682 .73434 L
.4167 .73918 L
.41655 .74401 L
.41635 .74884 L
.41611 .75367 L
.41582 .7585 L
.41546 .76334 L
.41544 .7636 L
.41501 .76817 L
.41447 .773 L
.41384 .77783 L
.41308 .78266 L
.41215 .7875 L
.41099 .79233 L
.41061 .79363 L
.40972 .79716 L
.40767 .80199 L
.40578 .80401 L
.40095 .80652 L
.39612 .80418 L
.39306 .80199 L
.39128 .79832 L
.3905 .79716 L
.38771 .79233 L
.38645 .78967 L
.38541 .7875 L
.38326 .78266 L
.38162 .77867 L
.38129 .77783 L
.37946 .773 L
.3777 .76817 L
.37679 .76559 L
.37605 .76334 L
.37448 .7585 L
.37293 .75367 L
.37196 .75061 L
.37146 .74884 L
.37009 .74401 L
.36867 .73918 L
.36727 .73434 L
.36712 .73385 L
.36607 .72951 L
.36481 .72468 L
.3635 .71985 L
.36229 .71537 L
.36222 .71502 L
.36119 .71019 L
.36003 .70535 L
.35881 .70052 L
.35759 .69569 L
.35746 .69518 L
.35668 .69086 L
.35565 .68603 L
.35452 .68119 L
.35337 .67636 L
.35263 .67325 L
.35238 .67153 L
.35155 .6667 L
.35056 .66187 L
.34949 .65704 L
.3484 .6522 L
.3478 .64953 L
.34754 .64737 L
.3468 .64254 L
.34588 .63771 L
.34488 .63288 L
.34384 .62804 L
.34296 .62389 L
.34291 .62321 L
.34233 .61838 L
.34155 .61355 L
.34065 .60872 L
.33968 .60388 L
.33871 .59905 L
.33813 .59614 L
.33782 .59422 L
.33745 .58939 L
.33671 .58456 L
.33586 .57973 L
.33496 .57489 L
.33405 .57006 L
.3333 .56598 L
.33319 .56523 L
.33247 .5604 L
.33175 .55557 L
.33151 .55073 L
.3307 .5459 L
.32986 .54107 L
.32902 .53624 L
.32847 .53296 L
.32826 .53141 L
.3276 .52658 L
.32696 .52174 L
.32632 .51691 L
.32609 .51208 L
.32533 .50725 L
.32457 .50242 L
.32383 .49758 L
.32364 .49628 L
.32321 .49275 L
.32263 .48792 L
.32206 .48309 L
.32149 .47826 L
.32135 .47342 L
.32069 .46859 L
.32003 .46376 L
.31938 .45893 L
.31881 .45446 L
.31877 .4541 L
.31827 .44927 L
.31777 .44443 L
.31729 .4396 L
.31729 .43477 L
.31677 .42994 L
.31623 .42511 L
.31569 .42027 L
.31516 .41544 L
.31464 .41061 L
.31415 .40578 L
.31397 .40401 L
.31372 .40095 L
.31362 .39612 L
.31332 .39128 L
.31299 .38645 L
.31263 .38162 L
.31227 .37679 L
.31189 .37196 L
.31153 .36712 L
.31117 .36229 L
.31082 .35746 L
.31049 .35263 L
.31018 .3478 L
.30989 .34296 L
.30962 .33813 L
.30937 .3333 L
.30914 .32858 L
.30914 .32847 L
.30901 .32364 L
.30888 .31881 L
.30876 .31397 L
.30864 .30914 L
.30854 .30431 L
.30845 .29948 L
.30837 .29465 L
.30832 .28981 L
.30829 .28498 L
.30828 .28015 L
.3083 .27532 L
.30835 .27049 L
.30842 .26566 L
.30854 .26082 L
.30869 .25599 L
.30888 .25116 L
.30912 .24633 L
.30914 .24589 L
.30944 .2415 L
.30982 .23666 L
.31028 .23183 L
.31081 .227 L
.31144 .22217 L
.3122 .21734 L
.31313 .2125 L
.31397 .20889 L
.31426 .20767 L
.31559 .20284 L
.31789 .19801 L
F
1 .974 .445 r
.32364 .20186 m
.32847 .20271 L
.32867 .20284 L
.3333 .20753 L
.33342 .20767 L
.33672 .2125 L
.33813 .21541 L
.33913 .21734 L
.34141 .22217 L
.34296 .22582 L
.34345 .227 L
.34536 .23183 L
.34717 .23666 L
.3478 .23841 L
.34884 .2415 L
.35045 .24633 L
.35204 .25116 L
.35263 .253 L
.3535 .25599 L
.35492 .26082 L
.35635 .26566 L
.35746 .26943 L
.35772 .27049 L
.35896 .27532 L
.36026 .28015 L
.36157 .28498 L
.36229 .28765 L
.36275 .28981 L
.36387 .29465 L
.36506 .29948 L
.36629 .30431 L
.36712 .30762 L
.3674 .30914 L
.36837 .31397 L
.36945 .31881 L
.3706 .32364 L
.37175 .32847 L
.37196 .32936 L
.37259 .3333 L
.37352 .33813 L
.37456 .34296 L
.37564 .3478 L
.37672 .35263 L
.37679 .35294 L
.37741 .35746 L
.37826 .36229 L
.37923 .36712 L
.38024 .37196 L
.38127 .37679 L
.38162 .37848 L
.38196 .38162 L
.38267 .38645 L
.38353 .39128 L
.38446 .39612 L
.38542 .40095 L
.38637 .40578 L
.38645 .40618 L
.38688 .41061 L
.38754 .41544 L
.38834 .42027 L
.38921 .42511 L
.39011 .42994 L
.391 .43477 L
.39128 .43635 L
.39177 .4396 L
.39206 .44443 L
.39274 .44927 L
.39352 .4541 L
.39433 .45893 L
.39516 .46376 L
.39597 .46859 L
.39612 .46948 L
.39665 .47342 L
.3973 .47826 L
.39746 .48309 L
.39815 .48792 L
.39888 .49275 L
.39962 .49758 L
.40035 .50242 L
.40095 .50642 L
.40105 .50725 L
.40162 .51208 L
.4022 .51691 L
.40228 .52174 L
.40288 .52658 L
.40352 .53141 L
.40416 .53624 L
.4048 .54107 L
.40542 .5459 L
.40578 .54881 L
.40598 .55073 L
.40647 .55557 L
.40653 .5604 L
.40697 .56523 L
.40746 .57006 L
.40797 .57489 L
.40848 .57973 L
.409 .58456 L
.4095 .58939 L
.40998 .59422 L
.41045 .59905 L
.41061 .60075 L
.41074 .60388 L
.41098 .60872 L
.41127 .61355 L
.41159 .61838 L
.41192 .62321 L
.41226 .62804 L
.4126 .63288 L
.41293 .63771 L
.41326 .64254 L
.41356 .64737 L
.41386 .6522 L
.41413 .65704 L
.41439 .66187 L
.41462 .6667 L
.41484 .67153 L
.41503 .67636 L
.4152 .68119 L
.41534 .68603 L
.41544 .68983 L
.41546 .69086 L
.41553 .69569 L
.41559 .70052 L
.41562 .70535 L
.41564 .71019 L
.41564 .71502 L
.41561 .71985 L
.41555 .72468 L
.41546 .72951 L
.41544 .7302 L
.41531 .73434 L
.41512 .73918 L
.41489 .74401 L
.4146 .74884 L
.41425 .75367 L
.41384 .7585 L
.41336 .76334 L
.41278 .76817 L
.41209 .773 L
.41124 .77783 L
.41061 .78086 L
.41022 .78266 L
.409 .7875 L
.40709 .79233 L
.40578 .79436 L
.40334 .79716 L
.40095 .79831 L
.39662 .79716 L
.39612 .79682 L
.39188 .79233 L
.39128 .79151 L
.38859 .7875 L
.38645 .78325 L
.38615 .78266 L
.38387 .77783 L
.38181 .773 L
.38162 .77251 L
.37992 .76817 L
.37812 .76334 L
.37679 .75962 L
.37642 .7585 L
.37483 .75367 L
.37325 .74884 L
.37196 .74477 L
.37174 .74401 L
.37036 .73918 L
.36895 .73434 L
.36754 .72951 L
.36712 .72807 L
.36629 .72468 L
.36504 .71985 L
.36374 .71502 L
.36245 .71019 L
.36229 .70961 L
.36138 .70535 L
.36024 .70052 L
.35904 .69569 L
.35783 .69086 L
.35746 .68939 L
.35685 .68603 L
.35585 .68119 L
.35474 .67636 L
.3536 .67153 L
.35263 .66739 L
.35253 .6667 L
.35173 .66187 L
.35077 .65704 L
.34972 .6522 L
.34864 .64737 L
.3478 .64354 L
.34768 .64254 L
.34697 .63771 L
.3461 .63288 L
.34513 .62804 L
.34411 .62321 L
.3431 .61838 L
.34296 .6177 L
.3425 .61355 L
.34177 .60872 L
.34091 .60388 L
.33997 .59905 L
.33902 .59422 L
.33813 .58967 L
.33811 .58939 L
.33763 .58456 L
.33696 .57973 L
.33616 .57489 L
.33529 .57006 L
.33441 .56523 L
.33353 .5604 L
.3333 .55911 L
.33278 .55557 L
.3325 .55073 L
.33183 .5459 L
.33106 .54107 L
.33026 .53624 L
.32944 .53141 L
.32864 .52658 L
.32847 .5255 L
.32797 .52174 L
.32733 .51691 L
.32718 .51208 L
.32651 .50725 L
.32579 .50242 L
.32506 .49758 L
.32434 .49275 L
.32364 .48792 L
.32364 .48791 L
.32307 .48309 L
.32251 .47826 L
.32244 .47342 L
.32186 .46859 L
.32124 .46376 L
.32062 .45893 L
.32 .4541 L
.31939 .44927 L
.31881 .44452 L
.3188 .44443 L
.31832 .4396 L
.31823 .43477 L
.31782 .42994 L
.31737 .42511 L
.31688 .42027 L
.31639 .41544 L
.3159 .41061 L
.31541 .40578 L
.31494 .40095 L
.31448 .39612 L
.31405 .39128 L
.31397 .39044 L
.31381 .38645 L
.31357 .38162 L
.3133 .37679 L
.313 .37196 L
.3127 .36712 L
.31239 .36229 L
.31208 .35746 L
.31178 .35263 L
.31149 .3478 L
.31122 .34296 L
.31097 .33813 L
.31073 .3333 L
.31051 .32847 L
.31032 .32364 L
.31015 .31881 L
.30999 .31397 L
.30987 .30914 L
.30977 .30431 L
.30969 .29948 L
.30964 .29465 L
.30962 .28981 L
.30963 .28498 L
.30967 .28015 L
.30974 .27532 L
.30985 .27049 L
.30999 .26566 L
.31018 .26082 L
.31041 .25599 L
.31069 .25116 L
.31104 .24633 L
.31144 .2415 L
.31192 .23666 L
.3125 .23183 L
.31319 .227 L
.31397 .22246 L
.31403 .22217 L
.31503 .21734 L
.31632 .2125 L
.31831 .20767 L
.31881 .20682 L
.32193 .20284 L
F
1 .969 .387 r
.32364 .20919 m
.32847 .20916 L
.33251 .2125 L
.3333 .21344 L
.33633 .21734 L
.33813 .22095 L
.3388 .22217 L
.34119 .227 L
.34296 .23109 L
.34328 .23183 L
.34523 .23666 L
.34706 .2415 L
.3478 .24352 L
.34876 .24633 L
.35039 .25116 L
.35199 .25599 L
.35263 .25798 L
.35346 .26082 L
.35489 .26566 L
.35633 .27049 L
.35746 .27435 L
.3577 .27532 L
.35895 .28015 L
.36025 .28498 L
.36156 .28981 L
.36229 .29254 L
.36275 .29465 L
.36387 .29948 L
.36506 .30431 L
.36628 .30914 L
.36712 .31253 L
.36739 .31397 L
.36836 .31881 L
.36944 .32364 L
.37058 .32847 L
.37172 .3333 L
.37196 .33433 L
.37258 .33813 L
.3735 .34296 L
.37453 .3478 L
.3756 .35263 L
.37667 .35746 L
.37679 .35802 L
.37739 .36229 L
.37823 .36712 L
.37918 .37196 L
.38018 .37679 L
.38119 .38162 L
.38162 .38373 L
.38192 .38645 L
.38262 .39128 L
.38345 .39612 L
.38437 .40095 L
.38531 .40578 L
.38625 .41061 L
.38645 .41168 L
.38682 .41544 L
.38746 .42027 L
.38823 .42511 L
.38908 .42994 L
.38995 .43477 L
.39082 .4396 L
.39128 .4422 L
.39145 .44443 L
.39195 .44927 L
.3926 .4541 L
.39334 .45893 L
.39413 .46376 L
.39493 .46859 L
.39573 .47342 L
.39612 .47584 L
.39644 .47826 L
.3967 .48309 L
.39726 .48792 L
.39791 .49275 L
.39861 .49758 L
.39932 .50242 L
.40004 .50725 L
.40073 .51208 L
.40095 .51359 L
.40134 .51691 L
.40152 .52174 L
.40201 .52658 L
.40256 .53141 L
.40316 .53624 L
.40377 .54107 L
.40438 .5459 L
.40498 .55073 L
.40556 .55557 L
.40578 .55742 L
.40592 .5604 L
.40624 .56523 L
.40662 .57006 L
.40705 .57489 L
.4075 .57973 L
.40798 .58456 L
.40845 .58939 L
.40892 .59422 L
.40938 .59905 L
.40983 .60388 L
.41026 .60872 L
.41061 .6129 L
.41064 .61355 L
.41085 .61838 L
.4111 .62321 L
.41137 .62804 L
.41165 .63288 L
.41194 .63771 L
.41222 .64254 L
.4125 .64737 L
.41277 .6522 L
.41302 .65704 L
.41326 .66187 L
.41347 .6667 L
.41367 .67153 L
.41385 .67636 L
.414 .68119 L
.41413 .68603 L
.41424 .69086 L
.41432 .69569 L
.41437 .70052 L
.41439 .70535 L
.41439 .71019 L
.41435 .71502 L
.41428 .71985 L
.41417 .72468 L
.41402 .72951 L
.41383 .73434 L
.4136 .73918 L
.41331 .74401 L
.41296 .74884 L
.41254 .75367 L
.41204 .7585 L
.41143 .76334 L
.4107 .76817 L
.41061 .76871 L
.40983 .773 L
.40874 .77783 L
.40722 .78266 L
.40578 .78575 L
.40479 .7875 L
.40095 .79114 L
.39612 .79046 L
.39278 .7875 L
.39128 .78567 L
.38904 .78266 L
.38648 .77783 L
.38645 .77776 L
.3841 .773 L
.38199 .76817 L
.38162 .76726 L
.38005 .76334 L
.37822 .7585 L
.37679 .75454 L
.3765 .75367 L
.37489 .74884 L
.3733 .74401 L
.37196 .7398 L
.37178 .73918 L
.37039 .73434 L
.36897 .72951 L
.36756 .72468 L
.36712 .72316 L
.3663 .71985 L
.36505 .71502 L
.36375 .71019 L
.36246 .70535 L
.36229 .70472 L
.36138 .70052 L
.36025 .69569 L
.35905 .69086 L
.35784 .68603 L
.35746 .68447 L
.35686 .68119 L
.35585 .67636 L
.35476 .67153 L
.35363 .6667 L
.35263 .6624 L
.35255 .66187 L
.35174 .65704 L
.35079 .6522 L
.34976 .64737 L
.34869 .64254 L
.3478 .63843 L
.34771 .63771 L
.347 .63288 L
.34614 .62804 L
.34519 .62321 L
.34419 .61838 L
.34319 .61355 L
.34296 .61242 L
.34254 .60872 L
.34183 .60388 L
.34099 .59905 L
.34007 .59422 L
.33914 .58939 L
.33821 .58456 L
.33813 .58413 L
.3377 .57973 L
.33705 .57489 L
.33628 .57006 L
.33544 .56523 L
.33457 .5604 L
.33371 .55557 L
.3333 .55321 L
.33312 .55073 L
.33262 .5459 L
.33198 .54107 L
.33125 .53624 L
.33047 .53141 L
.32968 .52658 L
.3289 .52174 L
.32847 .51905 L
.32819 .51691 L
.32793 .51208 L
.32738 .50725 L
.32675 .50242 L
.32607 .49758 L
.32537 .49275 L
.32467 .48792 L
.32398 .48309 L
.32364 .48059 L
.32337 .47826 L
.32316 .47342 L
.32271 .46859 L
.32218 .46376 L
.32161 .45893 L
.32102 .4541 L
.32042 .44927 L
.31984 .44443 L
.31926 .4396 L
.31881 .43559 L
.31877 .43477 L
.31851 .42994 L
.31817 .42511 L
.31777 .42027 L
.31735 .41544 L
.3169 .41061 L
.31645 .40578 L
.316 .40095 L
.31555 .39612 L
.31512 .39128 L
.31471 .38645 L
.31431 .38162 L
.31397 .37726 L
.31396 .37679 L
.31375 .37196 L
.31352 .36712 L
.31328 .36229 L
.31303 .35746 L
.31278 .35263 L
.31253 .3478 L
.31229 .34296 L
.31206 .33813 L
.31185 .3333 L
.31165 .32847 L
.31148 .32364 L
.31133 .31881 L
.31119 .31397 L
.31109 .30914 L
.311 .30431 L
.31095 .29948 L
.31092 .29465 L
.31092 .28981 L
.31096 .28498 L
.31103 .28015 L
.31113 .27532 L
.31127 .27049 L
.31146 .26566 L
.31169 .26082 L
.31198 .25599 L
.31232 .25116 L
.31274 .24633 L
.31323 .2415 L
.31383 .23666 L
.31397 .23564 L
.31456 .23183 L
.31544 .227 L
.31656 .22217 L
.31812 .21734 L
.31881 .21574 L
.32049 .2125 L
F
1 .965 .337 r
.32364 .21577 m
.32847 .21489 L
.33205 .21734 L
.3333 .21865 L
.33636 .22217 L
.33813 .22581 L
.33881 .227 L
.34126 .23183 L
.34296 .23572 L
.34337 .23666 L
.34535 .2415 L
.34719 .24633 L
.3478 .24798 L
.3489 .25116 L
.35054 .25599 L
.35214 .26082 L
.35263 .26234 L
.35361 .26566 L
.35505 .27049 L
.35649 .27532 L
.35746 .27864 L
.35784 .28015 L
.3591 .28498 L
.3604 .28981 L
.36171 .29465 L
.36229 .29681 L
.36288 .29948 L
.36401 .30431 L
.3652 .30914 L
.36642 .31397 L
.36712 .31681 L
.3675 .31881 L
.36849 .32364 L
.36957 .32847 L
.3707 .3333 L
.37183 .33813 L
.37196 .33867 L
.37267 .34296 L
.37361 .3478 L
.37463 .35263 L
.37569 .35746 L
.37675 .36229 L
.37679 .36246 L
.37746 .36712 L
.37831 .37196 L
.37926 .37679 L
.38025 .38162 L
.38124 .38645 L
.38162 .38833 L
.38196 .39128 L
.38267 .39612 L
.3835 .40095 L
.3844 .40578 L
.38533 .41061 L
.38625 .41544 L
.38645 .4165 L
.38683 .42027 L
.38747 .42511 L
.38823 .42994 L
.38906 .43477 L
.38992 .4396 L
.39078 .44443 L
.39128 .44735 L
.39143 .44927 L
.39193 .4541 L
.39256 .45893 L
.39328 .46376 L
.39405 .46859 L
.39483 .47342 L
.39561 .47826 L
.39612 .48148 L
.39622 .48309 L
.39663 .48792 L
.39717 .49275 L
.39779 .49758 L
.39846 .50242 L
.39915 .50725 L
.39984 .51208 L
.40052 .51691 L
.40095 .52002 L
.40104 .52174 L
.40139 .52658 L
.40184 .53141 L
.40236 .53624 L
.40292 .54107 L
.4035 .5459 L
.40408 .55073 L
.40466 .55557 L
.40522 .5604 L
.40577 .56523 L
.40578 .56533 L
.40604 .57006 L
.40637 .57489 L
.40675 .57973 L
.40716 .58456 L
.4076 .58939 L
.40804 .59422 L
.40848 .59905 L
.40891 .60388 L
.40933 .60872 L
.40973 .61355 L
.41011 .61838 L
.41048 .62321 L
.41061 .62503 L
.41073 .62804 L
.41095 .63288 L
.41118 .63771 L
.41142 .64254 L
.41165 .64737 L
.41188 .6522 L
.41211 .65704 L
.41232 .66187 L
.41251 .6667 L
.41269 .67153 L
.41284 .67636 L
.41298 .68119 L
.41309 .68603 L
.41318 .69086 L
.41324 .69569 L
.41327 .70052 L
.41327 .70535 L
.41324 .71019 L
.41318 .71502 L
.41308 .71985 L
.41294 .72468 L
.41275 .72951 L
.41252 .73434 L
.41224 .73918 L
.41189 .74401 L
.41147 .74884 L
.41097 .75367 L
.41061 .75658 L
.41035 .7585 L
.4096 .76334 L
.40869 .76817 L
.4075 .773 L
.40578 .77783 L
.40578 .77784 L
.40312 .78266 L
.40095 .78472 L
.39612 .78482 L
.39323 .78266 L
.39128 .78052 L
.38907 .77783 L
.38648 .773 L
.38645 .77293 L
.38402 .76817 L
.38189 .76334 L
.38162 .76267 L
.37993 .7585 L
.37809 .75367 L
.37679 .7501 L
.37636 .74884 L
.37474 .74401 L
.37315 .73918 L
.37196 .73545 L
.37164 .73434 L
.37023 .72951 L
.36881 .72468 L
.3674 .71985 L
.36712 .71888 L
.36616 .71502 L
.36489 .71019 L
.3636 .70535 L
.36231 .70052 L
.36229 .70045 L
.36125 .69569 L
.3601 .69086 L
.35891 .68603 L
.35771 .68119 L
.35746 .68018 L
.35674 .67636 L
.35572 .67153 L
.35463 .6667 L
.35351 .66187 L
.35263 .65805 L
.35247 .65704 L
.35164 .6522 L
.35069 .64737 L
.34966 .64254 L
.3486 .63771 L
.3478 .63397 L
.34766 .63288 L
.34693 .62804 L
.34607 .62321 L
.34511 .61838 L
.34413 .61355 L
.34315 .60872 L
.34296 .60779 L
.34251 .60388 L
.34179 .59905 L
.34095 .59422 L
.34005 .58939 L
.33913 .58456 L
.33822 .57973 L
.33813 .57927 L
.33769 .57489 L
.33705 .57006 L
.33629 .56523 L
.33546 .5604 L
.33462 .55557 L
.33377 .55073 L
.3333 .548 L
.33314 .5459 L
.33265 .54107 L
.33203 .53624 L
.33132 .53141 L
.33056 .52658 L
.32979 .52174 L
.32903 .51691 L
.32847 .51332 L
.32839 .51208 L
.328 .50725 L
.32749 .50242 L
.32688 .49758 L
.32623 .49275 L
.32556 .48792 L
.32488 .48309 L
.32421 .47826 L
.32364 .47401 L
.32361 .47342 L
.32329 .46859 L
.32288 .46376 L
.32239 .45893 L
.32185 .4541 L
.3213 .44927 L
.32073 .44443 L
.32017 .4396 L
.31962 .43477 L
.31908 .42994 L
.31881 .42736 L
.31869 .42511 L
.31841 .42027 L
.31806 .41544 L
.31768 .41061 L
.31728 .40578 L
.31687 .40095 L
.31645 .39612 L
.31604 .39128 L
.31564 .38645 L
.31525 .38162 L
.31488 .37679 L
.31453 .37196 L
.3142 .36712 L
.31397 .36365 L
.31392 .36229 L
.31373 .35746 L
.31353 .35263 L
.31333 .3478 L
.31313 .34296 L
.31294 .33813 L
.31276 .3333 L
.31259 .32847 L
.31244 .32364 L
.31231 .31881 L
.31221 .31397 L
.31212 .30914 L
.31206 .30431 L
.31203 .29948 L
.31202 .29465 L
.31205 .28981 L
.31211 .28498 L
.31221 .28015 L
.31234 .27532 L
.31252 .27049 L
.31275 .26566 L
.31303 .26082 L
.31337 .25599 L
.31379 .25116 L
.31397 .24926 L
.3143 .24633 L
.31492 .2415 L
.31567 .23666 L
.3166 .23183 L
.31781 .227 L
.31881 .22398 L
.3195 .22217 L
.32215 .21734 L
F
1 .961 .294 r
.32364 .22179 m
.32847 .22008 L
.3321 .22217 L
.3333 .22333 L
.3368 .227 L
.33813 .23016 L
.33911 .23183 L
.34158 .23666 L
.34296 .23985 L
.34368 .2415 L
.34566 .24633 L
.34751 .25116 L
.3478 .25196 L
.34921 .25599 L
.35086 .26082 L
.35245 .26566 L
.35263 .26621 L
.35391 .27049 L
.35535 .27532 L
.35679 .28015 L
.35746 .28246 L
.35811 .28498 L
.35938 .28981 L
.36069 .29465 L
.36199 .29948 L
.36229 .30061 L
.36312 .30431 L
.36427 .30914 L
.36547 .31397 L
.36667 .31881 L
.36712 .32063 L
.3677 .32364 L
.36872 .32847 L
.36981 .3333 L
.37094 .33813 L
.37196 .34254 L
.37202 .34296 L
.37286 .3478 L
.37382 .35263 L
.37484 .35746 L
.37589 .36229 L
.37679 .36643 L
.37688 .36712 L
.37761 .37196 L
.37848 .37679 L
.37943 .38162 L
.38041 .38645 L
.38139 .39128 L
.38162 .39244 L
.38207 .39612 L
.38279 .40095 L
.38363 .40578 L
.38453 .41061 L
.38544 .41544 L
.38635 .42027 L
.38645 .42082 L
.3869 .42511 L
.38756 .42994 L
.38832 .43477 L
.38914 .4396 L
.38998 .44443 L
.39082 .44927 L
.39128 .45197 L
.39145 .4541 L
.39196 .45893 L
.39259 .46376 L
.3933 .46859 L
.39405 .47342 L
.39482 .47826 L
.39558 .48309 L
.39612 .48658 L
.3962 .48792 L
.39661 .49275 L
.39714 .49758 L
.39774 .50242 L
.39839 .50725 L
.39906 .51208 L
.39973 .51691 L
.40039 .52174 L
.40095 .52589 L
.40098 .52658 L
.40132 .53141 L
.40174 .53624 L
.40223 .54107 L
.40276 .5459 L
.40331 .55073 L
.40387 .55557 L
.40443 .5604 L
.40497 .56523 L
.4055 .57006 L
.40578 .57274 L
.40589 .57489 L
.40618 .57973 L
.40653 .58456 L
.4069 .58939 L
.4073 .59422 L
.40771 .59905 L
.40811 .60388 L
.40851 .60872 L
.4089 .61355 L
.40928 .61838 L
.40964 .62321 L
.40998 .62804 L
.4103 .63288 L
.4106 .63771 L
.41061 .63783 L
.41079 .64254 L
.41098 .64737 L
.41117 .6522 L
.41136 .65704 L
.41154 .66187 L
.4117 .6667 L
.41185 .67153 L
.41199 .67636 L
.4121 .68119 L
.41219 .68603 L
.41226 .69086 L
.41229 .69569 L
.4123 .70052 L
.41228 .70535 L
.41223 .71019 L
.41214 .71502 L
.41201 .71985 L
.41184 .72468 L
.41162 .72951 L
.41134 .73434 L
.411 .73918 L
.41061 .74378 L
.41059 .74401 L
.41007 .74884 L
.40945 .75367 L
.4087 .7585 L
.40776 .76334 L
.40652 .76817 L
.40578 .77043 L
.40479 .773 L
.40196 .77783 L
.40095 .77884 L
.39612 .77972 L
.39318 .77783 L
.39128 .77589 L
.3887 .773 L
.38645 .76861 L
.3862 .76817 L
.38371 .76334 L
.38162 .75856 L
.3816 .7585 L
.37962 .75367 L
.37777 .74884 L
.37679 .74613 L
.37606 .74401 L
.37443 .73918 L
.37284 .73434 L
.37196 .73158 L
.37135 .72951 L
.36993 .72468 L
.36851 .71985 L
.36712 .71506 L
.36711 .71502 L
.36589 .71019 L
.36461 .70535 L
.36332 .70052 L
.36229 .69664 L
.36209 .69569 L
.361 .69086 L
.35984 .68603 L
.35865 .68119 L
.35746 .67636 L
.35746 .67636 L
.35653 .67153 L
.35549 .6667 L
.3544 .66187 L
.35328 .65704 L
.35263 .65417 L
.35232 .6522 L
.35145 .64737 L
.35048 .64254 L
.34945 .63771 L
.34841 .63288 L
.3478 .62999 L
.34754 .62804 L
.34678 .62321 L
.3459 .61838 L
.34495 .61355 L
.34397 .60872 L
.34301 .60388 L
.34296 .60366 L
.3424 .59905 L
.34166 .59422 L
.34082 .58939 L
.33993 .58456 L
.33902 .57973 L
.33813 .57492 L
.33813 .57489 L
.33763 .57006 L
.33697 .56523 L
.33621 .5604 L
.3354 .55557 L
.33456 .55073 L
.33374 .5459 L
.3333 .54332 L
.33312 .54107 L
.33262 .53624 L
.332 .53141 L
.33131 .52658 L
.33057 .52174 L
.32981 .51691 L
.32907 .51208 L
.32847 .50813 L
.32841 .50725 L
.32803 .50242 L
.32752 .49758 L
.32694 .49275 L
.32631 .48792 L
.32566 .48309 L
.325 .47826 L
.32435 .47342 L
.32372 .46859 L
.32364 .46798 L
.32337 .46376 L
.32298 .45893 L
.32252 .4541 L
.32202 .44927 L
.32149 .44443 L
.32095 .4396 L
.32041 .43477 L
.31988 .42994 L
.31937 .42511 L
.31887 .42027 L
.31881 .41959 L
.31859 .41544 L
.31828 .41061 L
.31794 .40578 L
.31758 .40095 L
.3172 .39612 L
.31682 .39128 L
.31644 .38645 L
.31607 .38162 L
.31572 .37679 L
.31537 .37196 L
.31505 .36712 L
.31474 .36229 L
.31446 .35746 L
.31419 .35263 L
.31397 .3483 L
.31396 .3478 L
.3138 .34296 L
.31365 .33813 L
.3135 .3333 L
.31337 .32847 L
.31325 .32364 L
.31314 .31881 L
.31306 .31397 L
.313 .30914 L
.31296 .30431 L
.31295 .29948 L
.31298 .29465 L
.31303 .28981 L
.31312 .28498 L
.31324 .28015 L
.31341 .27532 L
.31363 .27049 L
.31391 .26566 L
.31397 .2646 L
.31426 .26082 L
.31469 .25599 L
.31521 .25116 L
.31583 .24633 L
.31658 .2415 L
.31753 .23666 L
.31878 .23183 L
.31881 .23175 L
.31972 .227 L
.3233 .22217 L
F
1 .956 .256 r
.32847 .22483 m
.33265 .227 L
.3333 .2276 L
.33759 .23183 L
.33813 .23412 L
.33965 .23666 L
.34207 .2415 L
.34296 .2436 L
.34416 .24633 L
.34613 .25116 L
.3478 .25556 L
.34795 .25599 L
.34965 .26082 L
.35129 .26566 L
.35263 .26972 L
.35286 .27049 L
.35431 .27532 L
.35576 .28015 L
.35719 .28498 L
.35746 .28592 L
.35847 .28981 L
.35976 .29465 L
.36107 .29948 L
.36229 .30405 L
.36235 .30431 L
.36345 .30914 L
.36462 .31397 L
.36582 .31881 L
.36702 .32364 L
.36712 .32408 L
.36799 .32847 L
.36903 .3333 L
.37013 .33813 L
.37125 .34296 L
.37196 .34604 L
.37224 .3478 L
.37312 .35263 L
.3741 .35746 L
.37513 .36229 L
.37617 .36712 L
.37679 .37001 L
.37706 .37196 L
.37783 .37679 L
.37872 .38162 L
.37967 .38645 L
.38065 .39128 L
.38161 .39612 L
.38162 .39615 L
.38223 .40095 L
.38298 .40578 L
.38383 .41061 L
.38472 .41544 L
.38563 .42027 L
.38645 .42474 L
.38649 .42511 L
.38702 .42994 L
.3877 .43477 L
.38846 .4396 L
.38928 .44443 L
.39011 .44927 L
.39093 .4541 L
.39128 .45619 L
.39152 .45893 L
.39204 .46376 L
.39268 .46859 L
.39338 .47342 L
.39412 .47826 L
.39487 .48309 L
.39561 .48792 L
.39612 .49125 L
.39622 .49275 L
.39664 .49758 L
.39716 .50242 L
.39775 .50725 L
.39838 .51208 L
.39903 .51691 L
.39969 .52174 L
.40033 .52658 L
.40095 .53134 L
.40095 .53141 L
.40128 .53624 L
.40168 .54107 L
.40215 .5459 L
.40266 .55073 L
.40319 .55557 L
.40372 .5604 L
.40425 .56523 L
.40478 .57006 L
.40528 .57489 L
.40577 .57973 L
.40578 .57981 L
.40604 .58456 L
.40636 .58939 L
.4067 .59422 L
.40706 .59905 L
.40744 .60388 L
.40781 .60872 L
.40818 .61355 L
.40854 .61838 L
.40889 .62321 L
.40922 .62804 L
.40954 .63288 L
.40983 .63771 L
.41011 .64254 L
.41036 .64737 L
.41059 .6522 L
.41061 .65262 L
.41075 .65704 L
.41089 .66187 L
.41103 .6667 L
.41115 .67153 L
.41126 .67636 L
.41135 .68119 L
.41141 .68603 L
.41146 .69086 L
.41147 .69569 L
.41146 .70052 L
.41141 .70535 L
.41133 .71019 L
.41121 .71502 L
.41105 .71985 L
.41084 .72468 L
.41061 .72899 L
.41058 .72951 L
.41023 .73434 L
.40981 .73918 L
.40931 .74401 L
.4087 .74884 L
.40795 .75367 L
.40702 .7585 L
.40579 .76334 L
.40578 .76336 L
.40492 .76817 L
.4013 .773 L
.40095 .7734 L
.39612 .77505 L
.39264 .773 L
.39128 .77168 L
.38797 .76817 L
.38645 .76469 L
.38567 .76334 L
.3832 .7585 L
.38162 .75484 L
.38112 .75367 L
.37915 .74884 L
.37732 .74401 L
.37679 .74255 L
.37562 .73918 L
.37399 .73434 L
.37241 .72951 L
.37196 .72808 L
.37095 .72468 L
.36953 .71985 L
.36811 .71502 L
.36712 .71161 L
.36676 .71019 L
.36552 .70535 L
.36423 .70052 L
.36295 .69569 L
.36229 .69321 L
.36178 .69086 L
.36066 .68603 L
.35949 .68119 L
.3583 .67636 L
.35746 .6729 L
.35721 .67153 L
.35624 .6667 L
.35518 .66187 L
.35408 .65704 L
.35298 .6522 L
.35263 .65066 L
.35209 .64737 L
.35119 .64254 L
.3502 .63771 L
.34918 .63288 L
.34814 .62804 L
.3478 .62639 L
.34735 .62321 L
.34656 .61838 L
.34566 .61355 L
.34471 .60872 L
.34375 .60388 L
.34296 .59992 L
.34287 .59905 L
.34224 .59422 L
.34148 .58939 L
.34063 .58456 L
.33974 .57973 L
.33885 .57489 L
.33813 .57096 L
.33805 .57006 L
.33751 .56523 L
.33683 .5604 L
.33607 .55557 L
.33527 .55073 L
.33445 .5459 L
.33364 .54107 L
.3333 .53904 L
.33307 .53624 L
.33255 .53141 L
.33193 .52658 L
.33123 .52174 L
.33051 .51691 L
.32977 .51208 L
.32904 .50725 L
.32847 .50337 L
.32841 .50242 L
.32801 .49758 L
.32751 .49275 L
.32694 .48792 L
.32633 .48309 L
.32569 .47826 L
.32505 .47342 L
.32442 .46859 L
.32381 .46376 L
.32364 .46238 L
.32342 .45893 L
.32305 .4541 L
.32261 .44927 L
.32213 .44443 L
.32163 .4396 L
.32111 .43477 L
.3206 .42994 L
.32009 .42511 L
.3196 .42027 L
.31912 .41544 L
.31881 .41211 L
.31873 .41061 L
.31846 .40578 L
.31815 .40095 L
.31782 .39612 L
.31748 .39128 L
.31713 .38645 L
.31678 .38162 L
.31645 .37679 L
.31612 .37196 L
.31581 .36712 L
.31551 .36229 L
.31524 .35746 L
.31498 .35263 L
.31474 .3478 L
.31453 .34296 L
.31434 .33813 L
.31417 .3333 L
.31402 .32847 L
.31397 .32654 L
.31392 .32364 L
.31385 .31881 L
.31379 .31397 L
.31376 .30914 L
.31375 .30431 L
.31376 .29948 L
.31381 .29465 L
.31389 .28981 L
.31397 .28636 L
.31402 .28498 L
.3142 .28015 L
.31443 .27532 L
.31471 .27049 L
.31506 .26566 L
.31547 .26082 L
.31598 .25599 L
.31658 .25116 L
.31733 .24633 L
.31827 .2415 L
.31881 .23923 L
.31933 .23666 L
.32063 .23183 L
.32364 .2274 L
.32397 .227 L
F
1 .952 .223 r
.32847 .22925 m
.3333 .23154 L
.33383 .23183 L
.33744 .23666 L
.33813 .23776 L
.34037 .2415 L
.34268 .24633 L
.34296 .24703 L
.34478 .25116 L
.34672 .25599 L
.3478 .25885 L
.34851 .26082 L
.3502 .26566 L
.35183 .27049 L
.35263 .27293 L
.35335 .27532 L
.35481 .28015 L
.35626 .28498 L
.35746 .28907 L
.35765 .28981 L
.35893 .29465 L
.36023 .29948 L
.36153 .30431 L
.36229 .30719 L
.36273 .30914 L
.36386 .31397 L
.36504 .31881 L
.36624 .32364 L
.36712 .32723 L
.36736 .32847 L
.36835 .3333 L
.36942 .33813 L
.37052 .34296 L
.37163 .3478 L
.37196 .34924 L
.37253 .35263 L
.37345 .35746 L
.37444 .36229 L
.37547 .36712 L
.37651 .37196 L
.37679 .37329 L
.3773 .37679 L
.37811 .38162 L
.37902 .38645 L
.37998 .39128 L
.38094 .39612 L
.38162 .39957 L
.38178 .40095 L
.38245 .40578 L
.38323 .41061 L
.38408 .41544 L
.38497 .42027 L
.38586 .42511 L
.38645 .42834 L
.38661 .42994 L
.38719 .43477 L
.38789 .4396 L
.38866 .44443 L
.38947 .44927 L
.39029 .4541 L
.39109 .45893 L
.39128 .46008 L
.39162 .46376 L
.39217 .46859 L
.39281 .47342 L
.39351 .47826 L
.39424 .48309 L
.39497 .48792 L
.3957 .49275 L
.39612 .49559 L
.39626 .49758 L
.39669 .50242 L
.39722 .50725 L
.3978 .51208 L
.39842 .51691 L
.39905 .52174 L
.39969 .52658 L
.40031 .53141 L
.40092 .53624 L
.40095 .53645 L
.40126 .54107 L
.40166 .5459 L
.40211 .55073 L
.4026 .55557 L
.4031 .5604 L
.40362 .56523 L
.40413 .57006 L
.40463 .57489 L
.40511 .57973 L
.40558 .58456 L
.40578 .58667 L
.40592 .58939 L
.40621 .59422 L
.40653 .59905 L
.40686 .60388 L
.40721 .60872 L
.40755 .61355 L
.40789 .61838 L
.40822 .62321 L
.40854 .62804 L
.40884 .63288 L
.40913 .63771 L
.4094 .64254 L
.40964 .64737 L
.40987 .6522 L
.41007 .65704 L
.41025 .66187 L
.4104 .6667 L
.41053 .67153 L
.41061 .67507 L
.41063 .67636 L
.41069 .68119 L
.41073 .68603 L
.41075 .69086 L
.41074 .69569 L
.41071 .70052 L
.41063 .70535 L
.41061 .70653 L
.41051 .71019 L
.41035 .71502 L
.41013 .71985 L
.40986 .72468 L
.40953 .72951 L
.40913 .73434 L
.40865 .73918 L
.40806 .74401 L
.40734 .74884 L
.40643 .75367 L
.40578 .7565 L
.40539 .7585 L
.40421 .76334 L
.40109 .76817 L
.40095 .76828 L
.39612 .77071 L
.39167 .76817 L
.39128 .76779 L
.38702 .76334 L
.38645 .76109 L
.38495 .7585 L
.38257 .75367 L
.38162 .75143 L
.3805 .74884 L
.37856 .74401 L
.37679 .73927 L
.37676 .73918 L
.37508 .73434 L
.37345 .72951 L
.37196 .72489 L
.37189 .72468 L
.37046 .71985 L
.36903 .71502 L
.36762 .71019 L
.36712 .70846 L
.36633 .70535 L
.36506 .70052 L
.36378 .69569 L
.3625 .69086 L
.36229 .69007 L
.36139 .68603 L
.36025 .68119 L
.35907 .67636 L
.35789 .67153 L
.35746 .66975 L
.35688 .6667 L
.35587 .66187 L
.3548 .65704 L
.3537 .6522 L
.35263 .64746 L
.35262 .64737 L
.35179 .64254 L
.35086 .63771 L
.34986 .63288 L
.34884 .62804 L
.34782 .62321 L
.3478 .6231 L
.34711 .61838 L
.34628 .61355 L
.34537 .60872 L
.34442 .60388 L
.34346 .59905 L
.34296 .59649 L
.3427 .59422 L
.34202 .58939 L
.34124 .58456 L
.34038 .57973 L
.3395 .57489 L
.33862 .57006 L
.33813 .56732 L
.33793 .56523 L
.33734 .5604 L
.33665 .55557 L
.33589 .55073 L
.33509 .5459 L
.33428 .54107 L
.33348 .53624 L
.3333 .53511 L
.33297 .53141 L
.33244 .52658 L
.33181 .52174 L
.33112 .51691 L
.3304 .51208 L
.32968 .50725 L
.32897 .50242 L
.32847 .49895 L
.32837 .49758 L
.32797 .49275 L
.32747 .48792 L
.3269 .48309 L
.3263 .47826 L
.32568 .47342 L
.32506 .46859 L
.32445 .46376 L
.32386 .45893 L
.32364 .4571 L
.32345 .4541 L
.32308 .44927 L
.32266 .44443 L
.3222 .4396 L
.32172 .43477 L
.32123 .42994 L
.32074 .42511 L
.32025 .42027 L
.31978 .41544 L
.31933 .41061 L
.31889 .40578 L
.31881 .4048 L
.3186 .40095 L
.31832 .39612 L
.31802 .39128 L
.31771 .38645 L
.3174 .38162 L
.31708 .37679 L
.31678 .37196 L
.31648 .36712 L
.3162 .36229 L
.31594 .35746 L
.31569 .35263 L
.31546 .3478 L
.31526 .34296 L
.31508 .33813 L
.31492 .3333 L
.31479 .32847 L
.31468 .32364 L
.3146 .31881 L
.31455 .31397 L
.31453 .30914 L
.31454 .30431 L
.31458 .29948 L
.31466 .29465 L
.31478 .28981 L
.31495 .28498 L
.31516 .28015 L
.31542 .27532 L
.31575 .27049 L
.31615 .26566 L
.31663 .26082 L
.31722 .25599 L
.31794 .25116 L
.31881 .24654 L
.31885 .24633 L
.31984 .2415 L
.32127 .23666 L
.32364 .23267 L
.32425 .23183 L
F
1 .947 .194 r
.32847 .2334 m
.3333 .2352 L
.33479 .23666 L
.33813 .24113 L
.33839 .2415 L
.34123 .24633 L
.34296 .2502 L
.34341 .25116 L
.3455 .25599 L
.3474 .26082 L
.3478 .2619 L
.34916 .26566 L
.35084 .27049 L
.35244 .27532 L
.35263 .27589 L
.35393 .28015 L
.35539 .28498 L
.35683 .28981 L
.35746 .29198 L
.35816 .29465 L
.35945 .29948 L
.36075 .30431 L
.36204 .30914 L
.36229 .31008 L
.36318 .31397 L
.36434 .31881 L
.36553 .32364 L
.36672 .32847 L
.36712 .33014 L
.36775 .3333 L
.36877 .33813 L
.36985 .34296 L
.37096 .3478 L
.37196 .35219 L
.37203 .35263 L
.37288 .35746 L
.37383 .36229 L
.37484 .36712 L
.37587 .37196 L
.37679 .37632 L
.37685 .37679 L
.37759 .38162 L
.37845 .38645 L
.37937 .39128 L
.38032 .39612 L
.38128 .40095 L
.38162 .40272 L
.382 .40578 L
.38271 .41061 L
.38352 .41544 L
.38438 .42027 L
.38526 .42511 L
.38614 .42994 L
.38645 .43168 L
.38678 .43477 L
.3874 .4396 L
.38812 .44443 L
.3889 .44927 L
.3897 .4541 L
.3905 .45893 L
.39128 .46369 L
.39129 .46376 L
.39175 .46859 L
.39232 .47342 L
.39298 .47826 L
.39367 .48309 L
.39439 .48792 L
.39511 .49275 L
.39582 .49758 L
.39612 .49965 L
.39633 .50242 L
.39678 .50725 L
.3973 .51208 L
.39788 .51691 L
.39849 .52174 L
.39911 .52658 L
.39973 .53141 L
.40033 .53624 L
.40092 .54107 L
.40095 .5413 L
.40126 .5459 L
.40165 .55073 L
.40209 .55557 L
.40257 .5604 L
.40305 .56523 L
.40354 .57006 L
.40403 .57489 L
.40451 .57973 L
.40497 .58456 L
.40542 .58939 L
.40578 .59341 L
.40582 .59422 L
.40609 .59905 L
.40638 .60388 L
.40669 .60872 L
.407 .61355 L
.40732 .61838 L
.40763 .62321 L
.40793 .62804 L
.40822 .63288 L
.40849 .63771 L
.40875 .64254 L
.40898 .64737 L
.4092 .6522 L
.40939 .65704 L
.40956 .66187 L
.4097 .6667 L
.40982 .67153 L
.40992 .67636 L
.40998 .68119 L
.41001 .68603 L
.41002 .69086 L
.40999 .69569 L
.40992 .70052 L
.40981 .70535 L
.40967 .71019 L
.40947 .71502 L
.40922 .71985 L
.40891 .72468 L
.40854 .72951 L
.40808 .73434 L
.40752 .73918 L
.40683 .74401 L
.40597 .74884 L
.40578 .74976 L
.40501 .75367 L
.40374 .7585 L
.40104 .76334 L
.40095 .76344 L
.39612 .76666 L
.39128 .76417 L
.38998 .76334 L
.38691 .7585 L
.38645 .75775 L
.38408 .75367 L
.38185 .74884 L
.38162 .74828 L
.37978 .74401 L
.37787 .73918 L
.37679 .73624 L
.37611 .73434 L
.37445 .72951 L
.37284 .72468 L
.37196 .72194 L
.37133 .71985 L
.36989 .71502 L
.36847 .71019 L
.36712 .70555 L
.36707 .70535 L
.36582 .70052 L
.36454 .69569 L
.36326 .69086 L
.36229 .68718 L
.36204 .68603 L
.36093 .68119 L
.35978 .67636 L
.3586 .67153 L
.35746 .66684 L
.35743 .6667 L
.35648 .66187 L
.35545 .65704 L
.35437 .6522 L
.35327 .64737 L
.35263 .64449 L
.35231 .64254 L
.35144 .63771 L
.35048 .63288 L
.34947 .62804 L
.34845 .62321 L
.3478 .62005 L
.34757 .61838 L
.34681 .61355 L
.34594 .60872 L
.34502 .60388 L
.34408 .59905 L
.34314 .59422 L
.34296 .59331 L
.34248 .58939 L
.34176 .58456 L
.34095 .57973 L
.3401 .57489 L
.33922 .57006 L
.33836 .56523 L
.33813 .56395 L
.33776 .5604 L
.33714 .55557 L
.33643 .55073 L
.33566 .5459 L
.33487 .54107 L
.33407 .53624 L
.3333 .53144 L
.3333 .53141 L
.33285 .52658 L
.33229 .52174 L
.33165 .51691 L
.33097 .51208 L
.33026 .50725 L
.32956 .50242 L
.32886 .49758 L
.32847 .49481 L
.32832 .49275 L
.32789 .48792 L
.32739 .48309 L
.32683 .47826 L
.32625 .47342 L
.32564 .46859 L
.32504 .46376 L
.32445 .45893 L
.32387 .4541 L
.32364 .45209 L
.32346 .44927 L
.3231 .44443 L
.32269 .4396 L
.32225 .43477 L
.32178 .42994 L
.32131 .42511 L
.32085 .42027 L
.32038 .41544 L
.31994 .41061 L
.3195 .40578 L
.31909 .40095 L
.31881 .39751 L
.31874 .39612 L
.31848 .39128 L
.31821 .38645 L
.31792 .38162 L
.31764 .37679 L
.31736 .37196 L
.31708 .36712 L
.31682 .36229 L
.31657 .35746 L
.31634 .35263 L
.31612 .3478 L
.31593 .34296 L
.31576 .33813 L
.31561 .3333 L
.31549 .32847 L
.3154 .32364 L
.31533 .31881 L
.31529 .31397 L
.31529 .30914 L
.31531 .30431 L
.31538 .29948 L
.31548 .29465 L
.31563 .28981 L
.31582 .28498 L
.31606 .28015 L
.31637 .27532 L
.31674 .27049 L
.3172 .26566 L
.31776 .26082 L
.31844 .25599 L
.31881 .25383 L
.31926 .25116 L
.32026 .24633 L
.32168 .2415 L
.32364 .23768 L
.32427 .23666 L
F
1 .943 .169 r
.32847 .23731 m
.3333 .23864 L
.3361 .2415 L
.33813 .24428 L
.33953 .24633 L
.34213 .25116 L
.34296 .25316 L
.34427 .25599 L
.3463 .26082 L
.3478 .26473 L
.34814 .26566 L
.34988 .27049 L
.35153 .27532 L
.35263 .27864 L
.35309 .28015 L
.35457 .28498 L
.35603 .28981 L
.35745 .29465 L
.35746 .29469 L
.35873 .29948 L
.36003 .30431 L
.36133 .30914 L
.36229 .31277 L
.36256 .31397 L
.36369 .31881 L
.36487 .32364 L
.36606 .32847 L
.36712 .33284 L
.36721 .3333 L
.36819 .33813 L
.36925 .34296 L
.37034 .3478 L
.37144 .35263 L
.37196 .35493 L
.37239 .35746 L
.37329 .36229 L
.37426 .36712 L
.37528 .37196 L
.3763 .37679 L
.37679 .37914 L
.37715 .38162 L
.37794 .38645 L
.37883 .39128 L
.37976 .39612 L
.38071 .40095 L
.38162 .40566 L
.38163 .40578 L
.38227 .41061 L
.38302 .41544 L
.38385 .42027 L
.38471 .42511 L
.38559 .42994 L
.38645 .43477 L
.38645 .43479 L
.38699 .4396 L
.38765 .44443 L
.38838 .44927 L
.38916 .4541 L
.38996 .45893 L
.39075 .46376 L
.39128 .46708 L
.39142 .46859 L
.39192 .47342 L
.39251 .47826 L
.39317 .48309 L
.39387 .48792 L
.39457 .49275 L
.39528 .49758 L
.39597 .50242 L
.39612 .50347 L
.39642 .50725 L
.39688 .51208 L
.39741 .51691 L
.39799 .52174 L
.39858 .52658 L
.39919 .53141 L
.39979 .53624 L
.40037 .54107 L
.40094 .5459 L
.40095 .54593 L
.40128 .55073 L
.40167 .55557 L
.4021 .5604 L
.40255 .56523 L
.40302 .57006 L
.40349 .57489 L
.40396 .57973 L
.40441 .58456 L
.40486 .58939 L
.40528 .59422 L
.40569 .59905 L
.40578 .60014 L
.40597 .60388 L
.40625 .60872 L
.40653 .61355 L
.40682 .61838 L
.4071 .62321 L
.40739 .62804 L
.40766 .63288 L
.40792 .63771 L
.40816 .64254 L
.40838 .64737 L
.40858 .6522 L
.40877 .65704 L
.40892 .66187 L
.40906 .6667 L
.40917 .67153 L
.40925 .67636 L
.4093 .68119 L
.40932 .68603 L
.4093 .69086 L
.40926 .69569 L
.40917 .70052 L
.40904 .70535 L
.40887 .71019 L
.40864 .71502 L
.40836 .71985 L
.40801 .72468 L
.40758 .72951 L
.40706 .73434 L
.40641 .73918 L
.40578 .74303 L
.40562 .74401 L
.4047 .74884 L
.40345 .75367 L
.40117 .7585 L
.40095 .75881 L
.39612 .76283 L
.39128 .76078 L
.38917 .7585 L
.38645 .75464 L
.38582 .75367 L
.38314 .74884 L
.38162 .74534 L
.38102 .74401 L
.37898 .73918 L
.37713 .73434 L
.37679 .73342 L
.3754 .72951 L
.37375 .72468 L
.37217 .71985 L
.37196 .71919 L
.3707 .71502 L
.36926 .71019 L
.36784 .70535 L
.36712 .70285 L
.36652 .70052 L
.36525 .69569 L
.36397 .69086 L
.36269 .68603 L
.36229 .68449 L
.36155 .68119 L
.36042 .67636 L
.35925 .67153 L
.35808 .6667 L
.35746 .66413 L
.35702 .66187 L
.35603 .65704 L
.35497 .6522 L
.35389 .64737 L
.3528 .64254 L
.35263 .64174 L
.35194 .63771 L
.35103 .63288 L
.35005 .62804 L
.34904 .62321 L
.34804 .61838 L
.3478 .61722 L
.34726 .61355 L
.34646 .60872 L
.34557 .60388 L
.34464 .59905 L
.34371 .59422 L
.34296 .59035 L
.34285 .58939 L
.34221 .58456 L
.34145 .57973 L
.34063 .57489 L
.33977 .57006 L
.33891 .56523 L
.33813 .5608 L
.33809 .5604 L
.33755 .55557 L
.3369 .55073 L
.33617 .5459 L
.3354 .54107 L
.33462 .53624 L
.33384 .53141 L
.3333 .528 L
.33318 .52658 L
.33269 .52174 L
.33211 .51691 L
.33147 .51208 L
.33079 .50725 L
.33009 .50242 L
.3294 .49758 L
.32872 .49275 L
.32847 .4909 L
.32824 .48792 L
.3278 .48309 L
.32729 .47826 L
.32674 .47342 L
.32616 .46859 L
.32558 .46376 L
.32499 .45893 L
.32442 .4541 L
.32386 .44927 L
.32364 .44729 L
.32345 .44443 L
.3231 .4396 L
.3227 .43477 L
.32227 .42994 L
.32183 .42511 L
.32138 .42027 L
.32093 .41544 L
.32049 .41061 L
.32007 .40578 L
.31966 .40095 L
.31927 .39612 L
.31889 .39128 L
.31881 .39012 L
.31863 .38645 L
.31838 .38162 L
.31812 .37679 L
.31786 .37196 L
.31761 .36712 L
.31737 .36229 L
.31713 .35746 L
.31692 .35263 L
.31672 .3478 L
.31654 .34296 L
.31638 .33813 L
.31625 .3333 L
.31614 .32847 L
.31606 .32364 L
.31601 .31881 L
.31598 .31397 L
.31599 .30914 L
.31604 .30431 L
.31612 .29948 L
.31625 .29465 L
.31642 .28981 L
.31664 .28498 L
.31692 .28015 L
.31727 .27532 L
.31769 .27049 L
.31822 .26566 L
.31881 .26121 L
.31886 .26082 L
.31963 .25599 L
.32059 .25116 L
.32193 .24633 L
.32364 .24249 L
.32416 .2415 L
F
1 .938 .147 r
.32847 .24102 m
.33265 .2415 L
.3333 .24189 L
.33749 .24633 L
.33813 .24724 L
.34074 .25116 L
.34296 .25594 L
.34299 .25599 L
.34519 .26082 L
.34715 .26566 L
.3478 .26739 L
.34894 .27049 L
.35065 .27532 L
.35228 .28015 L
.35263 .28122 L
.35379 .28498 L
.35527 .28981 L
.35671 .29465 L
.35746 .29722 L
.35806 .29948 L
.35935 .30431 L
.36066 .30914 L
.36195 .31397 L
.36229 .31528 L
.3631 .31881 L
.36426 .32364 L
.36544 .32847 L
.36662 .3333 L
.36712 .33537 L
.36767 .33813 L
.36869 .34296 L
.36977 .3478 L
.37086 .35263 L
.37195 .35746 L
.37196 .3575 L
.3728 .36229 L
.37374 .36712 L
.37473 .37196 L
.37575 .37679 L
.37675 .38162 L
.37679 .38178 L
.3775 .38645 L
.37834 .39128 L
.37924 .39612 L
.38018 .40095 L
.38112 .40578 L
.38162 .40841 L
.38189 .41061 L
.38259 .41544 L
.38337 .42027 L
.38421 .42511 L
.38507 .42994 L
.38593 .43477 L
.38645 .43773 L
.38665 .4396 L
.38724 .44443 L
.38793 .44927 L
.38868 .4541 L
.38946 .45893 L
.39024 .46376 L
.39102 .46859 L
.39128 .47028 L
.39158 .47342 L
.39211 .47826 L
.39273 .48309 L
.39339 .48792 L
.39408 .49275 L
.39477 .49758 L
.39546 .50242 L
.39612 .5071 L
.39613 .50725 L
.39653 .51208 L
.39701 .51691 L
.39754 .52174 L
.39811 .52658 L
.39869 .53141 L
.39928 .53624 L
.39987 .54107 L
.40044 .5459 L
.40095 .55038 L
.40097 .55073 L
.40131 .55557 L
.40169 .5604 L
.40211 .56523 L
.40255 .57006 L
.403 .57489 L
.40345 .57973 L
.4039 .58456 L
.40433 .58939 L
.40476 .59422 L
.40516 .59905 L
.40554 .60388 L
.40578 .60697 L
.40587 .60872 L
.40612 .61355 L
.40638 .61838 L
.40664 .62321 L
.4069 .62804 L
.40715 .63288 L
.40739 .63771 L
.40762 .64254 L
.40783 .64737 L
.40802 .6522 L
.40819 .65704 L
.40834 .66187 L
.40846 .6667 L
.40855 .67153 L
.40862 .67636 L
.40866 .68119 L
.40866 .68603 L
.40863 .69086 L
.40857 .69569 L
.40846 .70052 L
.40831 .70535 L
.40811 .71019 L
.40785 .71502 L
.40753 .71985 L
.40714 .72468 L
.40665 .72951 L
.40605 .73434 L
.40578 .7362 L
.40533 .73918 L
.40445 .74401 L
.40327 .74884 L
.40134 .75367 L
.40095 .75435 L
.39762 .7585 L
.39612 .7592 L
.39265 .7585 L
.39128 .75759 L
.38779 .75367 L
.38645 .75171 L
.38462 .74884 L
.3822 .74401 L
.38162 .74258 L
.3801 .73918 L
.37813 .73434 L
.37679 .73078 L
.37633 .72951 L
.37463 .72468 L
.373 .71985 L
.37196 .71663 L
.37147 .71502 L
.37002 .71019 L
.36858 .70535 L
.36718 .70052 L
.36712 .70032 L
.36592 .69569 L
.36464 .69086 L
.36335 .68603 L
.36229 .68197 L
.36212 .68119 L
.36101 .67636 L
.35986 .67153 L
.35869 .6667 L
.35752 .66187 L
.35746 .6616 L
.35656 .65704 L
.35553 .6522 L
.35446 .64737 L
.35338 .64254 L
.35263 .63917 L
.35239 .63771 L
.35152 .63288 L
.35058 .62804 L
.34959 .62321 L
.34858 .61838 L
.3478 .61456 L
.34765 .61355 L
.34691 .60872 L
.34606 .60388 L
.34516 .59905 L
.34423 .59422 L
.34331 .58939 L
.34296 .58757 L
.34259 .58456 L
.34189 .57973 L
.34111 .57489 L
.34028 .57006 L
.33942 .56523 L
.33858 .5604 L
.33813 .55784 L
.3379 .55557 L
.33731 .55073 L
.33662 .5459 L
.33589 .54107 L
.33512 .53624 L
.33435 .53141 L
.33358 .52658 L
.3333 .52475 L
.33303 .52174 L
.33251 .51691 L
.33191 .51208 L
.33126 .50725 L
.33059 .50242 L
.3299 .49758 L
.32923 .49275 L
.32857 .48792 L
.32847 .48719 L
.32814 .48309 L
.32769 .47826 L
.32718 .47342 L
.32663 .46859 L
.32607 .46376 L
.32549 .45893 L
.32493 .4541 L
.32437 .44927 L
.32383 .44443 L
.32364 .44265 L
.32344 .4396 L
.32309 .43477 L
.3227 .42994 L
.32228 .42511 L
.32186 .42027 L
.32143 .41544 L
.32101 .41061 L
.32059 .40578 L
.32019 .40095 L
.3198 .39612 L
.31943 .39128 L
.31908 .38645 L
.31881 .38247 L
.31877 .38162 L
.31854 .37679 L
.31831 .37196 L
.31808 .36712 L
.31786 .36229 L
.31765 .35746 L
.31745 .35263 L
.31726 .3478 L
.3171 .34296 L
.31695 .33813 L
.31683 .3333 L
.31674 .32847 L
.31667 .32364 L
.31663 .31881 L
.31663 .31397 L
.31665 .30914 L
.31672 .30431 L
.31682 .29948 L
.31697 .29465 L
.31717 .28981 L
.31742 .28498 L
.31774 .28015 L
.31813 .27532 L
.31862 .27049 L
.31881 .26887 L
.31921 .26566 L
.31993 .26082 L
.32084 .25599 L
.32208 .25116 L
.32364 .24713 L
.324 .24633 L
.32763 .2415 L
F
1 .934 .128 r
.32847 .24457 m
.3333 .24497 L
.335 .24633 L
.33813 .25004 L
.339 .25116 L
.34191 .25599 L
.34296 .25856 L
.34405 .26082 L
.34615 .26566 L
.3478 .26989 L
.34802 .27049 L
.3498 .27532 L
.35147 .28015 L
.35263 .28364 L
.35305 .28498 L
.35454 .28981 L
.356 .29465 L
.35743 .29948 L
.35746 .2996 L
.35872 .30431 L
.36002 .30914 L
.36132 .31397 L
.36229 .31765 L
.36256 .31881 L
.36369 .32364 L
.36486 .32847 L
.36605 .3333 L
.36712 .33774 L
.3672 .33813 L
.36819 .34296 L
.36924 .3478 L
.37032 .35263 L
.37141 .35746 L
.37196 .35991 L
.37236 .36229 L
.37326 .36712 L
.37423 .37196 L
.37523 .37679 L
.37624 .38162 L
.37679 .38427 L
.37711 .38645 L
.3779 .39128 L
.37877 .39612 L
.37969 .40095 L
.38062 .40578 L
.38154 .41061 L
.38162 .41101 L
.3822 .41544 L
.38294 .42027 L
.38375 .42511 L
.38459 .42994 L
.38545 .43477 L
.3863 .4396 L
.38645 .44049 L
.38689 .44443 L
.38753 .44927 L
.38824 .4541 L
.389 .45893 L
.38977 .46376 L
.39054 .46859 L
.39128 .47331 L
.39129 .47342 L
.39177 .47826 L
.39233 .48309 L
.39296 .48792 L
.39363 .49275 L
.39431 .49758 L
.39499 .50242 L
.39566 .50725 L
.39612 .51057 L
.39623 .51208 L
.39666 .51691 L
.39715 .52174 L
.39768 .52658 L
.39825 .53141 L
.39882 .53624 L
.39939 .54107 L
.39996 .5459 L
.40051 .55073 L
.40095 .5547 L
.401 .55557 L
.40134 .5604 L
.40173 .56523 L
.40214 .57006 L
.40256 .57489 L
.40299 .57973 L
.40343 .58456 L
.40385 .58939 L
.40426 .59422 L
.40466 .59905 L
.40504 .60388 L
.4054 .60872 L
.40575 .61355 L
.40578 .61402 L
.40599 .61838 L
.40622 .62321 L
.40646 .62804 L
.40669 .63288 L
.40692 .63771 L
.40713 .64254 L
.40732 .64737 L
.4075 .6522 L
.40766 .65704 L
.40779 .66187 L
.4079 .6667 L
.40798 .67153 L
.40804 .67636 L
.40806 .68119 L
.40805 .68603 L
.408 .69086 L
.40792 .69569 L
.40779 .70052 L
.40761 .70535 L
.40739 .71019 L
.4071 .71502 L
.40673 .71985 L
.40629 .72468 L
.40578 .72915 L
.40573 .72951 L
.40507 .73434 L
.40425 .73918 L
.40316 .74401 L
.40152 .74884 L
.40095 .75004 L
.39877 .75367 L
.39612 .75573 L
.39128 .75456 L
.39026 .75367 L
.38645 .74894 L
.38638 .74884 L
.3834 .74401 L
.38162 .73998 L
.38124 .73918 L
.37913 .73434 L
.37724 .72951 L
.37679 .72829 L
.37548 .72468 L
.37381 .71985 L
.37221 .71502 L
.37196 .71421 L
.37073 .71019 L
.36928 .70535 L
.36786 .70052 L
.36712 .69795 L
.36654 .69569 L
.36526 .69086 L
.36398 .68603 L
.3627 .68119 L
.36229 .67961 L
.36156 .67636 L
.36042 .67153 L
.35926 .6667 L
.35809 .66187 L
.35746 .65922 L
.35704 .65704 L
.35604 .6522 L
.35499 .64737 L
.35391 .64254 L
.35284 .63771 L
.35263 .63674 L
.35197 .63288 L
.35106 .62804 L
.35009 .62321 L
.34909 .61838 L
.3481 .61355 L
.3478 .61206 L
.3473 .60872 L
.34651 .60388 L
.34563 .59905 L
.34472 .59422 L
.3438 .58939 L
.34296 .58495 L
.34292 .58456 L
.34228 .57973 L
.34154 .57489 L
.34074 .57006 L
.3399 .56523 L
.33906 .5604 L
.33822 .55557 L
.33813 .55504 L
.33766 .55073 L
.33703 .5459 L
.33632 .54107 L
.33558 .53624 L
.33482 .53141 L
.33406 .52658 L
.33331 .52174 L
.3333 .52168 L
.33285 .51691 L
.3323 .51208 L
.33169 .50725 L
.33104 .50242 L
.33037 .49758 L
.3297 .49275 L
.32904 .48792 L
.32847 .48364 L
.32843 .48309 L
.32803 .47826 L
.32756 .47342 L
.32705 .46859 L
.32651 .46376 L
.32595 .45893 L
.3254 .4541 L
.32485 .44927 L
.32431 .44443 L
.32379 .4396 L
.32364 .43814 L
.32342 .43477 L
.32307 .42994 L
.32269 .42511 L
.32229 .42027 L
.32188 .41544 L
.32147 .41061 L
.32107 .40578 L
.32068 .40095 L
.3203 .39612 L
.31993 .39128 L
.31959 .38645 L
.31926 .38162 L
.31896 .37679 L
.31881 .37429 L
.31871 .37196 L
.3185 .36712 L
.3183 .36229 L
.31811 .35746 L
.31793 .35263 L
.31776 .3478 L
.31761 .34296 L
.31748 .33813 L
.31738 .3333 L
.3173 .32847 L
.31724 .32364 L
.31722 .31881 L
.31723 .31397 L
.31727 .30914 L
.31736 .30431 L
.31748 .29948 L
.31766 .29465 L
.31788 .28981 L
.31817 .28498 L
.31853 .28015 L
.31881 .27704 L
.31898 .27532 L
.31953 .27049 L
.3202 .26566 L
.32104 .26082 L
.32217 .25599 L
.32364 .25164 L
.32382 .25116 L
.3265 .24633 L
F
1 .929 .112 r
.32847 .24798 m
.3333 .2479 L
.33693 .25116 L
.33813 .25269 L
.34057 .25599 L
.34289 .26082 L
.34296 .26104 L
.34514 .26566 L
.34713 .27049 L
.3478 .27225 L
.34895 .27532 L
.35068 .28015 L
.35232 .28498 L
.35263 .28593 L
.35384 .28981 L
.35532 .29465 L
.35677 .29948 L
.35746 .30185 L
.35812 .30431 L
.35942 .30914 L
.36072 .31397 L
.36201 .31881 L
.36229 .31988 L
.36316 .32364 L
.36432 .32847 L
.3655 .3333 L
.36668 .33813 L
.36712 .33999 L
.36772 .34296 L
.36875 .3478 L
.36982 .35263 L
.3709 .35746 L
.37196 .3622 L
.37197 .36229 L
.37283 .36712 L
.37377 .37196 L
.37476 .37679 L
.37576 .38162 L
.37675 .38645 L
.37679 .38662 L
.37751 .39128 L
.37834 .39612 L
.37923 .40095 L
.38016 .40578 L
.38108 .41061 L
.38162 .41347 L
.38187 .41544 L
.38256 .42027 L
.38333 .42511 L
.38415 .42994 L
.385 .43477 L
.38585 .4396 L
.38645 .44312 L
.38659 .44443 L
.38717 .44927 L
.38785 .4541 L
.38857 .45893 L
.38933 .46376 L
.3901 .46859 L
.39086 .47342 L
.39128 .4762 L
.39147 .47826 L
.39199 .48309 L
.39258 .48792 L
.39321 .49275 L
.39388 .49758 L
.39455 .50242 L
.39522 .50725 L
.39587 .51208 L
.39612 .51389 L
.39636 .51691 L
.3968 .52174 L
.3973 .52658 L
.39784 .53141 L
.39839 .53624 L
.39895 .54107 L
.39951 .5459 L
.40006 .55073 L
.40059 .55557 L
.40095 .5589 L
.40104 .5604 L
.40139 .56523 L
.40177 .57006 L
.40217 .57489 L
.40258 .57973 L
.40299 .58456 L
.4034 .58939 L
.40381 .59422 L
.4042 .59905 L
.40457 .60388 L
.40493 .60872 L
.40527 .61355 L
.40559 .61838 L
.40578 .62148 L
.40586 .62321 L
.40607 .62804 L
.40628 .63288 L
.40649 .63771 L
.40668 .64254 L
.40686 .64737 L
.40702 .6522 L
.40716 .65704 L
.40728 .66187 L
.40738 .6667 L
.40745 .67153 L
.40749 .67636 L
.4075 .68119 L
.40747 .68603 L
.40741 .69086 L
.4073 .69569 L
.40715 .70052 L
.40695 .70535 L
.40669 .71019 L
.40637 .71502 L
.40596 .71985 L
.40578 .72169 L
.40545 .72468 L
.40484 .72951 L
.40408 .73434 L
.40309 .73918 L
.40168 .74401 L
.40095 .74584 L
.3995 .74884 L
.39612 .75241 L
.39128 .75167 L
.38835 .74884 L
.38645 .74631 L
.38483 .74401 L
.38227 .73918 L
.38162 .73752 L
.38015 .73434 L
.37814 .72951 L
.37679 .72594 L
.37632 .72468 L
.3746 .71985 L
.37296 .71502 L
.37196 .71193 L
.37142 .71019 L
.36996 .70535 L
.36852 .70052 L
.36712 .6957 L
.36712 .69569 L
.36585 .69086 L
.36457 .68603 L
.36329 .68119 L
.36229 .67737 L
.36207 .67636 L
.36095 .67153 L
.3598 .6667 L
.35863 .66187 L
.35748 .65704 L
.35746 .65697 L
.35651 .6522 L
.35548 .64737 L
.35442 .64254 L
.35334 .63771 L
.35263 .63445 L
.35236 .63288 L
.35149 .62804 L
.35055 .62321 L
.34957 .61838 L
.34858 .61355 L
.3478 .6097 L
.34766 .60872 L
.34691 .60388 L
.34607 .59905 L
.34518 .59422 L
.34426 .58939 L
.34335 .58456 L
.34296 .58247 L
.34262 .57973 L
.34193 .57489 L
.34116 .57006 L
.34034 .56523 L
.33951 .5604 L
.33867 .55557 L
.33813 .55238 L
.33796 .55073 L
.33738 .5459 L
.33672 .54107 L
.336 .53624 L
.33526 .53141 L
.3345 .52658 L
.33376 .52174 L
.3333 .51874 L
.33314 .51691 L
.33264 .51208 L
.33207 .50725 L
.33145 .50242 L
.3308 .49758 L
.33014 .49275 L
.32948 .48792 L
.32884 .48309 L
.32847 .48023 L
.32832 .47826 L
.3279 .47342 L
.32742 .46859 L
.32691 .46376 L
.32638 .45893 L
.32583 .4541 L
.32529 .44927 L
.32476 .44443 L
.32424 .4396 L
.32374 .43477 L
.32364 .43372 L
.32339 .42994 L
.32304 .42511 L
.32267 .42027 L
.32229 .41544 L
.3219 .41061 L
.32151 .40578 L
.32113 .40095 L
.32076 .39612 L
.32041 .39128 L
.32007 .38645 L
.31975 .38162 L
.31944 .37679 L
.31916 .37196 L
.3189 .36712 L
.31881 .36518 L
.3187 .36229 L
.31853 .35746 L
.31836 .35263 L
.31821 .3478 L
.31808 .34296 L
.31797 .33813 L
.31788 .3333 L
.31781 .32847 L
.31777 .32364 L
.31777 .31881 L
.31779 .31397 L
.31786 .30914 L
.31796 .30431 L
.31811 .29948 L
.31831 .29465 L
.31857 .28981 L
.31881 .28616 L
.31889 .28498 L
.31931 .28015 L
.31981 .27532 L
.32043 .27049 L
.32121 .26566 L
.32222 .26082 L
.32364 .25605 L
.32366 .25599 L
.32578 .25116 L
F
1 .925 .097 r
.3333 .25071 m
.33407 .25116 L
.33813 .25523 L
.3388 .25599 L
.34198 .26082 L
.34296 .2634 L
.34408 .26566 L
.34623 .27049 L
.3478 .2745 L
.34811 .27532 L
.34991 .28015 L
.35159 .28498 L
.35263 .2881 L
.35317 .28981 L
.35467 .29465 L
.35613 .29948 L
.35746 .30398 L
.35755 .30431 L
.35885 .30914 L
.36015 .31397 L
.36145 .31881 L
.36229 .322 L
.36267 .32364 L
.36381 .32847 L
.36499 .3333 L
.36616 .33813 L
.36712 .34212 L
.36729 .34296 L
.36829 .3478 L
.36934 .35263 L
.37042 .35746 L
.3715 .36229 L
.37196 .36436 L
.37244 .36712 L
.37334 .37196 L
.37431 .37679 L
.3753 .38162 L
.3763 .38645 L
.37679 .38885 L
.37715 .39128 L
.37795 .39612 L
.37881 .40095 L
.37972 .40578 L
.38064 .41061 L
.38155 .41544 L
.38162 .41581 L
.38221 .42027 L
.38295 .42511 L
.38375 .42994 L
.38458 .43477 L
.38542 .4396 L
.38625 .44443 L
.38645 .44562 L
.38686 .44927 L
.38749 .4541 L
.38819 .45893 L
.38892 .46376 L
.38968 .46859 L
.39044 .47342 L
.39118 .47826 L
.39128 .47896 L
.39169 .48309 L
.39223 .48792 L
.39284 .49275 L
.39348 .49758 L
.39414 .50242 L
.3948 .50725 L
.39546 .51208 L
.39609 .51691 L
.39612 .51709 L
.3965 .52174 L
.39697 .52658 L
.39747 .53141 L
.398 .53624 L
.39855 .54107 L
.39909 .5459 L
.39964 .55073 L
.40016 .55557 L
.40068 .5604 L
.40095 .56302 L
.40109 .56523 L
.40144 .57006 L
.40181 .57489 L
.4022 .57973 L
.40259 .58456 L
.40299 .58939 L
.40338 .59422 L
.40376 .59905 L
.40413 .60388 L
.40448 .60872 L
.40481 .61355 L
.40513 .61838 L
.40542 .62321 L
.40569 .62804 L
.40578 .62966 L
.40591 .63288 L
.40609 .63771 L
.40627 .64254 L
.40643 .64737 L
.40658 .6522 L
.40671 .65704 L
.40681 .66187 L
.40689 .6667 L
.40695 .67153 L
.40697 .67636 L
.40697 .68119 L
.40692 .68603 L
.40684 .69086 L
.40672 .69569 L
.40654 .70052 L
.40631 .70535 L
.40602 .71019 L
.40578 .71351 L
.40565 .71502 L
.40519 .71985 L
.40463 .72468 L
.40393 .72951 L
.40304 .73434 L
.40182 .73918 L
.40095 .74172 L
.40002 .74401 L
.39665 .74884 L
.39612 .74921 L
.39128 .74891 L
.39118 .74884 L
.38659 .74401 L
.38645 .74381 L
.38336 .73918 L
.38162 .73518 L
.38121 .73434 L
.37905 .72951 L
.37715 .72468 L
.37679 .72371 L
.37537 .71985 L
.37369 .71502 L
.37209 .71019 L
.37196 .70976 L
.3706 .70535 L
.36915 .70052 L
.36773 .69569 L
.36712 .69357 L
.36641 .69086 L
.36513 .68603 L
.36385 .68119 L
.36258 .67636 L
.36229 .67525 L
.36144 .67153 L
.3603 .6667 L
.35914 .66187 L
.35798 .65704 L
.35746 .65484 L
.35694 .6522 L
.35594 .64737 L
.35489 .64254 L
.35382 .63771 L
.35276 .63288 L
.35263 .63228 L
.35189 .62804 L
.35098 .62321 L
.35002 .61838 L
.34903 .61355 L
.34805 .60872 L
.3478 .60745 L
.34726 .60388 L
.34646 .59905 L
.3456 .59422 L
.3447 .58939 L
.34379 .58456 L
.34296 .58011 L
.34292 .57973 L
.34228 .57489 L
.34154 .57006 L
.34075 .56523 L
.33993 .5604 L
.3391 .55557 L
.33828 .55073 L
.33813 .54985 L
.33769 .5459 L
.33707 .54107 L
.33639 .53624 L
.33566 .53141 L
.33492 .52658 L
.33418 .52174 L
.33345 .51691 L
.3333 .51593 L
.33294 .51208 L
.33241 .50725 L
.33182 .50242 L
.33119 .49758 L
.33055 .49275 L
.3299 .48792 L
.32926 .48309 L
.32864 .47826 L
.32847 .47694 L
.32819 .47342 L
.32775 .46859 L
.32727 .46376 L
.32676 .45893 L
.32624 .4541 L
.32571 .44927 L
.32518 .44443 L
.32467 .4396 L
.32417 .43477 L
.32369 .42994 L
.32364 .42938 L
.32336 .42511 L
.32302 .42027 L
.32266 .41544 L
.32229 .41061 L
.32192 .40578 L
.32155 .40095 L
.32119 .39612 L
.32085 .39128 L
.32052 .38645 L
.3202 .38162 L
.31991 .37679 L
.31963 .37196 L
.31938 .36712 L
.31914 .36229 L
.31894 .35746 L
.31881 .3541 L
.31876 .35263 L
.31863 .3478 L
.31851 .34296 L
.31842 .33813 L
.31834 .3333 L
.31829 .32847 L
.31827 .32364 L
.31828 .31881 L
.31833 .31397 L
.31841 .30914 L
.31853 .30431 L
.31871 .29948 L
.31881 .29724 L
.31894 .29465 L
.31925 .28981 L
.31962 .28498 L
.32008 .28015 L
.32065 .27532 L
.32135 .27049 L
.32226 .26566 L
.3235 .26082 L
.32364 .26039 L
.32526 .25599 L
.32847 .25127 L
.32862 .25116 L
F
1 .92 .085 r
.32847 .25445 m
.3333 .25341 L
.33671 .25599 L
.33813 .25765 L
.34073 .26082 L
.34296 .26565 L
.34297 .26566 L
.3453 .27049 L
.3473 .27532 L
.3478 .27664 L
.34914 .28015 L
.35088 .28498 L
.35251 .28981 L
.35263 .29017 L
.35404 .29465 L
.35552 .29948 L
.35696 .30431 L
.35746 .30601 L
.35831 .30914 L
.35961 .31397 L
.36091 .31881 L
.36219 .32364 L
.36229 .32402 L
.36334 .32847 L
.3645 .3333 L
.36567 .33813 L
.36684 .34296 L
.36712 .34414 L
.36787 .3478 L
.3689 .35263 L
.36997 .35746 L
.37104 .36229 L
.37196 .36642 L
.37208 .36712 L
.37295 .37196 L
.37389 .37679 L
.37487 .38162 L
.37587 .38645 L
.37679 .39098 L
.37683 .39128 L
.37759 .39612 L
.37843 .40095 L
.37931 .40578 L
.38023 .41061 L
.38114 .41544 L
.38162 .41805 L
.38191 .42027 L
.3826 .42511 L
.38337 .42994 L
.38418 .43477 L
.38501 .4396 L
.38585 .44443 L
.38645 .44802 L
.38659 .44927 L
.38717 .4541 L
.38783 .45893 L
.38855 .46376 L
.38929 .46859 L
.39004 .47342 L
.39078 .47826 L
.39128 .48161 L
.39142 .48309 L
.39193 .48792 L
.3925 .49275 L
.39311 .49758 L
.39376 .50242 L
.39441 .50725 L
.39506 .51208 L
.39569 .51691 L
.39612 .52018 L
.39624 .52174 L
.39666 .52658 L
.39714 .53141 L
.39764 .53624 L
.39817 .54107 L
.39871 .5459 L
.39924 .55073 L
.39976 .55557 L
.40027 .5604 L
.40076 .56523 L
.40095 .56707 L
.40114 .57006 L
.40149 .57489 L
.40185 .57973 L
.40223 .58456 L
.40261 .58939 L
.40298 .59422 L
.40335 .59905 L
.40371 .60388 L
.40406 .60872 L
.40438 .61355 L
.40469 .61838 L
.40498 .62321 L
.40525 .62804 L
.40549 .63288 L
.40572 .63771 L
.40578 .63919 L
.40589 .64254 L
.40603 .64737 L
.40617 .6522 L
.40628 .65704 L
.40637 .66187 L
.40644 .6667 L
.40648 .67153 L
.40649 .67636 L
.40646 .68119 L
.4064 .68603 L
.4063 .69086 L
.40616 .69569 L
.40596 .70052 L
.40578 .70399 L
.4057 .70535 L
.40536 .71019 L
.40494 .71502 L
.40443 .71985 L
.4038 .72468 L
.403 .72951 L
.40194 .73434 L
.40095 .73766 L
.40043 .73918 L
.39806 .74401 L
.39612 .74612 L
.39128 .74626 L
.38857 .74401 L
.38645 .74141 L
.38474 .73918 L
.38211 .73434 L
.38162 .73295 L
.37999 .72951 L
.37796 .72468 L
.37679 .72158 L
.37614 .71985 L
.3744 .71502 L
.37276 .71019 L
.37196 .7077 L
.37123 .70535 L
.36976 .70052 L
.36832 .69569 L
.36712 .69155 L
.36694 .69086 L
.36566 .68603 L
.36438 .68119 L
.3631 .67636 L
.36229 .67324 L
.3619 .67153 L
.36078 .6667 L
.35962 .66187 L
.35846 .65704 L
.35746 .65281 L
.35734 .6522 L
.35636 .64737 L
.35533 .64254 L
.35427 .63771 L
.35321 .63288 L
.35263 .63021 L
.35226 .62804 L
.35138 .62321 L
.35043 .61838 L
.34946 .61355 L
.34848 .60872 L
.3478 .60531 L
.34759 .60388 L
.34683 .59905 L
.34599 .59422 L
.3451 .58939 L
.3442 .58456 L
.34331 .57973 L
.34296 .57786 L
.34259 .57489 L
.34189 .57006 L
.34113 .56523 L
.34032 .5604 L
.3395 .55557 L
.33868 .55073 L
.33813 .54743 L
.33797 .5459 L
.33739 .54107 L
.33674 .53624 L
.33604 .53141 L
.33531 .52658 L
.33457 .52174 L
.33384 .51691 L
.3333 .51323 L
.3332 .51208 L
.33271 .50725 L
.33216 .50242 L
.33155 .49758 L
.33093 .49275 L
.33029 .48792 L
.32966 .48309 L
.32903 .47826 L
.32847 .47376 L
.32844 .47342 L
.32805 .46859 L
.3276 .46376 L
.32711 .45893 L
.32661 .4541 L
.3261 .44927 L
.32558 .44443 L
.32507 .4396 L
.32458 .43477 L
.3241 .42994 L
.32364 .42511 L
.32364 .42508 L
.32333 .42027 L
.323 .41544 L
.32265 .41061 L
.3223 .40578 L
.32194 .40095 L
.3216 .39612 L
.32126 .39128 L
.32094 .38645 L
.32063 .38162 L
.32034 .37679 L
.32007 .37196 L
.31983 .36712 L
.3196 .36229 L
.3194 .35746 L
.31922 .35263 L
.31907 .3478 L
.31894 .34296 L
.31884 .33813 L
.31881 .33591 L
.31878 .3333 L
.31875 .32847 L
.31874 .32364 L
.31877 .31881 L
.31881 .31536 L
.31883 .31397 L
.31895 .30914 L
.31911 .30431 L
.31932 .29948 L
.31958 .29465 L
.31992 .28981 L
.32034 .28498 L
.32085 .28015 L
.32148 .27532 L
.3223 .27049 L
.32338 .26566 L
.32364 .26469 L
.32485 .26082 L
.32721 .25599 L
F
1 .916 .074 r
.32847 .25754 m
.3333 .25601 L
.33813 .25998 L
.33897 .26082 L
.3423 .26566 L
.34296 .26781 L
.34433 .27049 L
.34649 .27532 L
.3478 .27868 L
.34837 .28015 L
.35017 .28498 L
.35185 .28981 L
.35263 .29215 L
.35342 .29465 L
.35493 .29948 L
.35639 .30431 L
.35746 .30795 L
.35778 .30914 L
.35909 .31397 L
.3604 .31881 L
.36169 .32364 L
.36229 .32594 L
.36288 .32847 L
.36404 .3333 L
.36521 .33813 L
.36638 .34296 L
.36712 .34608 L
.36747 .3478 L
.36848 .35263 L
.36954 .35746 L
.37061 .36229 L
.37168 .36712 L
.37196 .3684 L
.37259 .37196 L
.3735 .37679 L
.37447 .38162 L
.37546 .38645 L
.37644 .39128 L
.37679 .39302 L
.37726 .39612 L
.37807 .40095 L
.37893 .40578 L
.37983 .41061 L
.38074 .41544 L
.38162 .42018 L
.38163 .42027 L
.38229 .42511 L
.38302 .42994 L
.38381 .43477 L
.38463 .4396 L
.38546 .44443 L
.38628 .44927 L
.38645 .45031 L
.38688 .4541 L
.38751 .45893 L
.3882 .46376 L
.38892 .46859 L
.38966 .47342 L
.3904 .47826 L
.39113 .48309 L
.39128 .48416 L
.39165 .48792 L
.39219 .49275 L
.39278 .49758 L
.3934 .50242 L
.39404 .50725 L
.39468 .51208 L
.39532 .51691 L
.39593 .52174 L
.39612 .52318 L
.39639 .52658 L
.39683 .53141 L
.39732 .53624 L
.39782 .54107 L
.39834 .5459 L
.39886 .55073 L
.39938 .55557 L
.39989 .5604 L
.40038 .56523 L
.40085 .57006 L
.40095 .57109 L
.4012 .57489 L
.40154 .57973 L
.40189 .58456 L
.40225 .58939 L
.40261 .59422 L
.40297 .59905 L
.40332 .60388 L
.40366 .60872 L
.40398 .61355 L
.40428 .61838 L
.40456 .62321 L
.40482 .62804 L
.40506 .63288 L
.40528 .63771 L
.40547 .64254 L
.40564 .64737 L
.40578 .65207 L
.40578 .6522 L
.40588 .65704 L
.40596 .66187 L
.40601 .6667 L
.40603 .67153 L
.40603 .67636 L
.40599 .68119 L
.40591 .68603 L
.40579 .69086 L
.40578 .69111 L
.40561 .69569 L
.40537 .70052 L
.40507 .70535 L
.4047 .71019 L
.40424 .71502 L
.40367 .71985 L
.40296 .72468 L
.40202 .72951 L
.40095 .73365 L
.40074 .73434 L
.39889 .73918 L
.39612 .74312 L
.39128 .74371 L
.3865 .73918 L
.38645 .73912 L
.38306 .73434 L
.38162 .73081 L
.38098 .72951 L
.37879 .72468 L
.3769 .71985 L
.37679 .71954 L
.37511 .71502 L
.37343 .71019 L
.37196 .70573 L
.37184 .70535 L
.37035 .70052 L
.36889 .69569 L
.36748 .69086 L
.36712 .68961 L
.36617 .68603 L
.36489 .68119 L
.36361 .67636 L
.36235 .67153 L
.36229 .67131 L
.36123 .6667 L
.36008 .66187 L
.35893 .65704 L
.35777 .6522 L
.35746 .65087 L
.35676 .64737 L
.35575 .64254 L
.3547 .63771 L
.35364 .63288 L
.35263 .62823 L
.3526 .62804 L
.35174 .62321 L
.35082 .61838 L
.34986 .61355 L
.34889 .60872 L
.34792 .60388 L
.3478 .60327 L
.34716 .59905 L
.34635 .59422 L
.34549 .58939 L
.34459 .58456 L
.3437 .57973 L
.34296 .57571 L
.34286 .57489 L
.34221 .57006 L
.34148 .56523 L
.34069 .5604 L
.33988 .55557 L
.33907 .55073 L
.33826 .5459 L
.33813 .5451 L
.33768 .54107 L
.33706 .53624 L
.33639 .53141 L
.33567 .52658 L
.33495 .52174 L
.33422 .51691 L
.33351 .51208 L
.3333 .51064 L
.33298 .50725 L
.33246 .50242 L
.33189 .49758 L
.33128 .49275 L
.33066 .48792 L
.33003 .48309 L
.32941 .47826 L
.32881 .47342 L
.32847 .47066 L
.32831 .46859 L
.32789 .46376 L
.32744 .45893 L
.32695 .4541 L
.32646 .44927 L
.32595 .44443 L
.32546 .4396 L
.32497 .43477 L
.32449 .42994 L
.32403 .42511 L
.32364 .4208 L
.32361 .42027 L
.3233 .41544 L
.32297 .41061 L
.32264 .40578 L
.3223 .40095 L
.32197 .39612 L
.32165 .39128 L
.32134 .38645 L
.32104 .38162 L
.32076 .37679 L
.32049 .37196 L
.32025 .36712 L
.32004 .36229 L
.31984 .35746 L
.31967 .35263 L
.31952 .3478 L
.31941 .34296 L
.31932 .33813 L
.31926 .3333 L
.31923 .32847 L
.31924 .32364 L
.31928 .31881 L
.31937 .31397 L
.3195 .30914 L
.31968 .30431 L
.31991 .29948 L
.32021 .29465 L
.32058 .28981 L
.32104 .28498 L
.32161 .28015 L
.32234 .27532 L
.32328 .27049 L
.32364 .26898 L
.32405 .26566 L
.32638 .26082 L
F
1 .911 .064 r
.32847 .26056 m
.3333 .25852 L
.33685 .26082 L
.33813 .26222 L
.34125 .26566 L
.34296 .26988 L
.34329 .27049 L
.34565 .27532 L
.34761 .28015 L
.3478 .28065 L
.34947 .28498 L
.3512 .28981 L
.35263 .29405 L
.35282 .29465 L
.35435 .29948 L
.35583 .30431 L
.35727 .30914 L
.35746 .30981 L
.35859 .31397 L
.3599 .31881 L
.3612 .32364 L
.36229 .32778 L
.36245 .32847 L
.3636 .3333 L
.36476 .33813 L
.36593 .34296 L
.36709 .3478 L
.36712 .34793 L
.36809 .35263 L
.36913 .35746 L
.3702 .36229 L
.37127 .36712 L
.37196 .37028 L
.37225 .37196 L
.37314 .37679 L
.37409 .38162 L
.37507 .38645 L
.37605 .39128 L
.37679 .39497 L
.37696 .39612 L
.37773 .40095 L
.37858 .40578 L
.37946 .41061 L
.38036 .41544 L
.38126 .42027 L
.38162 .42224 L
.382 .42511 L
.3827 .42994 L
.38347 .43477 L
.38428 .4396 L
.38509 .44443 L
.38591 .44927 L
.38645 .45252 L
.38663 .4541 L
.38722 .45893 L
.38788 .46376 L
.38858 .46859 L
.38931 .47342 L
.39004 .47826 L
.39076 .48309 L
.39128 .48662 L
.39141 .48792 L
.39191 .49275 L
.39247 .49758 L
.39307 .50242 L
.39369 .50725 L
.39433 .51208 L
.39496 .51691 L
.39557 .52174 L
.39612 .5261 L
.39615 .52658 L
.39656 .53141 L
.39702 .53624 L
.3975 .54107 L
.398 .5459 L
.39851 .55073 L
.39902 .55557 L
.39952 .5604 L
.40001 .56523 L
.40048 .57006 L
.40093 .57489 L
.40095 .57508 L
.40125 .57973 L
.40158 .58456 L
.40192 .58939 L
.40227 .59422 L
.40262 .59905 L
.40295 .60388 L
.40328 .60872 L
.40359 .61355 L
.40388 .61838 L
.40416 .62321 L
.40442 .62804 L
.40465 .63288 L
.40486 .63771 L
.40505 .64254 L
.40521 .64737 L
.40534 .6522 L
.40545 .65704 L
.40553 .66187 L
.40558 .6667 L
.40559 .67153 L
.40557 .67636 L
.4055 .68119 L
.4054 .68603 L
.40525 .69086 L
.40505 .69569 L
.40479 .70052 L
.40446 .70535 L
.40405 .71019 L
.40354 .71502 L
.4029 .71985 L
.40208 .72468 L
.40099 .72951 L
.40095 .72966 L
.39948 .73434 L
.39699 .73918 L
.39612 .7402 L
.39128 .74125 L
.38844 .73918 L
.38645 .73691 L
.38432 .73434 L
.38183 .72951 L
.38162 .72876 L
.37965 .72468 L
.37763 .71985 L
.37679 .71759 L
.37581 .71502 L
.37408 .71019 L
.37245 .70535 L
.37196 .70384 L
.37092 .70052 L
.36945 .69569 L
.36802 .69086 L
.36712 .68776 L
.36666 .68603 L
.36538 .68119 L
.36409 .67636 L
.36282 .67153 L
.36229 .66947 L
.36166 .6667 L
.36052 .66187 L
.35937 .65704 L
.35821 .6522 L
.35746 .64901 L
.35714 .64737 L
.35614 .64254 L
.3551 .63771 L
.35405 .63288 L
.353 .62804 L
.35263 .62634 L
.35209 .62321 L
.35119 .61838 L
.35025 .61355 L
.34928 .60872 L
.34831 .60388 L
.3478 .6013 L
.34746 .59905 L
.34668 .59422 L
.34584 .58939 L
.34496 .58456 L
.34407 .57973 L
.34319 .57489 L
.34296 .57364 L
.3425 .57006 L
.3418 .56523 L
.34104 .5604 L
.34024 .55557 L
.33943 .55073 L
.33863 .5459 L
.33813 .54286 L
.33794 .54107 L
.33736 .53624 L
.33671 .53141 L
.33602 .52658 L
.3353 .52174 L
.33458 .51691 L
.33387 .51208 L
.3333 .50812 L
.33322 .50725 L
.33274 .50242 L
.3322 .49758 L
.33161 .49275 L
.331 .48792 L
.33039 .48309 L
.32977 .47826 L
.32917 .47342 L
.32858 .46859 L
.32847 .46765 L
.32816 .46376 L
.32773 .45893 L
.32727 .4541 L
.32679 .44927 L
.3263 .44443 L
.32581 .4396 L
.32533 .43477 L
.32486 .42994 L
.3244 .42511 L
.32397 .42027 L
.32364 .41651 L
.32357 .41544 L
.32327 .41061 L
.32296 .40578 L
.32264 .40095 L
.32232 .39612 L
.32201 .39128 L
.32171 .38645 L
.32142 .38162 L
.32115 .37679 L
.32089 .37196 L
.32066 .36712 L
.32045 .36229 L
.32026 .35746 L
.3201 .35263 L
.31996 .3478 L
.31985 .34296 L
.31977 .33813 L
.31972 .3333 L
.31971 .32847 L
.31973 .32364 L
.31979 .31881 L
.31989 .31397 L
.32004 .30914 L
.32024 .30431 L
.3205 .29948 L
.32082 .29465 L
.32123 .28981 L
.32174 .28498 L
.32239 .28015 L
.32321 .27532 L
.32364 .27327 L
.32406 .27049 L
.32497 .26566 L
.32827 .26082 L
F
1 .907 .056 r
.32847 .2635 m
.3333 .26095 L
.33813 .26437 L
.33957 .26566 L
.34278 .27049 L
.34296 .27187 L
.34476 .27532 L
.34689 .28015 L
.3478 .28253 L
.34876 .28498 L
.35056 .28981 L
.35223 .29465 L
.35263 .29586 L
.35379 .29948 L
.35529 .30431 L
.35674 .30914 L
.35746 .31159 L
.35811 .31397 L
.35943 .31881 L
.36073 .32364 L
.36201 .32847 L
.36229 .32955 L
.36318 .3333 L
.36434 .33813 L
.36551 .34296 L
.36667 .3478 L
.36712 .34971 L
.36772 .35263 L
.36874 .35746 L
.3698 .36229 L
.37087 .36712 L
.37193 .37196 L
.37196 .37209 L
.3728 .37679 L
.37373 .38162 L
.37469 .38645 L
.37567 .39128 L
.37664 .39612 L
.37679 .39684 L
.37743 .40095 L
.37824 .40578 L
.37911 .41061 L
.38001 .41544 L
.3809 .42027 L
.38162 .42421 L
.38173 .42511 L
.38241 .42994 L
.38315 .43477 L
.38394 .4396 L
.38475 .44443 L
.38556 .44927 L
.38636 .4541 L
.38645 .45465 L
.38695 .45893 L
.38758 .46376 L
.38826 .46859 L
.38897 .47342 L
.3897 .47826 L
.39042 .48309 L
.39113 .48792 L
.39128 .489 L
.39165 .49275 L
.39218 .49758 L
.39276 .50242 L
.39337 .50725 L
.39399 .51208 L
.39461 .51691 L
.39523 .52174 L
.39583 .52658 L
.39612 .52894 L
.39631 .53141 L
.39674 .53624 L
.3972 .54107 L
.39769 .5459 L
.39818 .55073 L
.39868 .55557 L
.39917 .5604 L
.39965 .56523 L
.40012 .57006 L
.40057 .57489 L
.40095 .57907 L
.40099 .57973 L
.4013 .58456 L
.40162 .58939 L
.40195 .59422 L
.40228 .59905 L
.40261 .60388 L
.40292 .60872 L
.40322 .61355 L
.40351 .61838 L
.40378 .62321 L
.40403 .62804 L
.40426 .63288 L
.40446 .63771 L
.40464 .64254 L
.4048 .64737 L
.40492 .6522 L
.40502 .65704 L
.40509 .66187 L
.40513 .6667 L
.40513 .67153 L
.40509 .67636 L
.40502 .68119 L
.4049 .68603 L
.40473 .69086 L
.4045 .69569 L
.40421 .70052 L
.40385 .70535 L
.4034 .71019 L
.40284 .71502 L
.40212 .71985 L
.40118 .72468 L
.40095 .72566 L
.4005 .72951 L
.39806 .73434 L
.39612 .73736 L
.39128 .73886 L
.38645 .73478 L
.38603 .73434 L
.38253 .72951 L
.38162 .72679 L
.38055 .72468 L
.37838 .71985 L
.37679 .71572 L
.37652 .71502 L
.37472 .71019 L
.37305 .70535 L
.37196 .70203 L
.37148 .70052 L
.36999 .69569 L
.36854 .69086 L
.36714 .68603 L
.36712 .68598 L
.36585 .68119 L
.36456 .67636 L
.36328 .67153 L
.36229 .6677 L
.36206 .6667 L
.36094 .66187 L
.35979 .65704 L
.35863 .6522 L
.35749 .64737 L
.35746 .64723 L
.35651 .64254 L
.35549 .63771 L
.35444 .63288 L
.35339 .62804 L
.35263 .62452 L
.35241 .62321 L
.35153 .61838 L
.35061 .61355 L
.34965 .60872 L
.34868 .60388 L
.3478 .59942 L
.34774 .59905 L
.347 .59422 L
.34618 .58939 L
.34531 .58456 L
.34443 .57973 L
.34355 .57489 L
.34296 .57164 L
.34276 .57006 L
.34209 .56523 L
.34136 .5604 L
.34058 .55557 L
.33978 .55073 L
.33898 .5459 L
.33819 .54107 L
.33813 .54071 L
.33763 .53624 L
.33701 .53141 L
.33634 .52658 L
.33564 .52174 L
.33493 .51691 L
.33422 .51208 L
.33352 .50725 L
.3333 .50569 L
.33299 .50242 L
.33248 .49758 L
.33192 .49275 L
.33133 .48792 L
.33072 .48309 L
.33012 .47826 L
.32952 .47342 L
.32893 .46859 L
.32847 .46471 L
.3284 .46376 L
.328 .45893 L
.32756 .4541 L
.3271 .44927 L
.32663 .44443 L
.32615 .4396 L
.32568 .43477 L
.32521 .42994 L
.32476 .42511 L
.32433 .42027 L
.32391 .41544 L
.32364 .41218 L
.32354 .41061 L
.32325 .40578 L
.32295 .40095 L
.32265 .39612 L
.32235 .39128 L
.32206 .38645 L
.32178 .38162 L
.32152 .37679 L
.32127 .37196 L
.32105 .36712 L
.32084 .36229 L
.32066 .35746 L
.32051 .35263 L
.32038 .3478 L
.32028 .34296 L
.32021 .33813 L
.32017 .3333 L
.32017 .32847 L
.3202 .32364 L
.32027 .31881 L
.32039 .31397 L
.32056 .30914 L
.32078 .30431 L
.32107 .29948 L
.32143 .29465 L
.32188 .28981 L
.32245 .28498 L
.32317 .28015 L
.32364 .27759 L
.32399 .27532 L
.32487 .27049 L
.32661 .26566 L
F
1 .903 .049 r
.3333 .26331 m
.33735 .26566 L
.33813 .26646 L
.34212 .27049 L
.34296 .27379 L
.34381 .27532 L
.34613 .28015 L
.3478 .28435 L
.34805 .28498 L
.34991 .28981 L
.35163 .29465 L
.35263 .29762 L
.35323 .29948 L
.35476 .30431 L
.35623 .30914 L
.35746 .3133 L
.35764 .31397 L
.35896 .31881 L
.36027 .32364 L
.36156 .32847 L
.36229 .33125 L
.36277 .3333 L
.36393 .33813 L
.3651 .34296 L
.36626 .3478 L
.36712 .35142 L
.36737 .35263 L
.36838 .35746 L
.36943 .36229 L
.37049 .36712 L
.37155 .37196 L
.37196 .37384 L
.37248 .37679 L
.37339 .38162 L
.37434 .38645 L
.37531 .39128 L
.37629 .39612 L
.37679 .39865 L
.37714 .40095 L
.37793 .40578 L
.37878 .41061 L
.37966 .41544 L
.38056 .42027 L
.38144 .42511 L
.38162 .42611 L
.38213 .42994 L
.38285 .43477 L
.38362 .4396 L
.38442 .44443 L
.38522 .44927 L
.38603 .4541 L
.38645 .45671 L
.3867 .45893 L
.3873 .46376 L
.38796 .46859 L
.38866 .47342 L
.38937 .47826 L
.39009 .48309 L
.3908 .48792 L
.39128 .49131 L
.39142 .49275 L
.39192 .49758 L
.39248 .50242 L
.39306 .50725 L
.39367 .51208 L
.39429 .51691 L
.3949 .52174 L
.3955 .52658 L
.39608 .53141 L
.39612 .53173 L
.39649 .53624 L
.39693 .54107 L
.39739 .5459 L
.39787 .55073 L
.39836 .55557 L
.39884 .5604 L
.39932 .56523 L
.39978 .57006 L
.40023 .57489 L
.40066 .57973 L
.40095 .58309 L
.40104 .58456 L
.40134 .58939 L
.40166 .59422 L
.40197 .59905 L
.40228 .60388 L
.40259 .60872 L
.40288 .61355 L
.40316 .61838 L
.40342 .62321 L
.40366 .62804 L
.40388 .63288 L
.40408 .63771 L
.40425 .64254 L
.4044 .64737 L
.40452 .6522 L
.40461 .65704 L
.40467 .66187 L
.40469 .6667 L
.40468 .67153 L
.40463 .67636 L
.40454 .68119 L
.40441 .68603 L
.40422 .69086 L
.40397 .69569 L
.40365 .70052 L
.40325 .70535 L
.40276 .71019 L
.40213 .71502 L
.40131 .71985 L
.40095 .72165 L
.40051 .72468 L
.39964 .72951 L
.39629 .73434 L
.39612 .73458 L
.39128 .73655 L
.38794 .73434 L
.38645 .73272 L
.38358 .72951 L
.38162 .72488 L
.38151 .72468 L
.37916 .71985 L
.37719 .71502 L
.37679 .71391 L
.37537 .71019 L
.37364 .70535 L
.37203 .70052 L
.37196 .70029 L
.37052 .69569 L
.36905 .69086 L
.36763 .68603 L
.36712 .68427 L
.3663 .68119 L
.36501 .67636 L
.36373 .67153 L
.36247 .6667 L
.36229 .666 L
.36133 .66187 L
.36019 .65704 L
.35904 .6522 L
.35789 .64737 L
.35746 .64552 L
.35686 .64254 L
.35586 .63771 L
.35481 .63288 L
.35376 .62804 L
.35272 .62321 L
.35263 .62277 L
.35186 .61838 L
.35095 .61355 L
.35 .60872 L
.34904 .60388 L
.34808 .59905 L
.3478 .5976 L
.34728 .59422 L
.34649 .58939 L
.34565 .58456 L
.34477 .57973 L
.34389 .57489 L
.34302 .57006 L
.34296 .56972 L
.34237 .56523 L
.34166 .5604 L
.3409 .55557 L
.34011 .55073 L
.33931 .5459 L
.33853 .54107 L
.33813 .53862 L
.33787 .53624 L
.33728 .53141 L
.33663 .52658 L
.33595 .52174 L
.33525 .51691 L
.33455 .51208 L
.33385 .50725 L
.3333 .50333 L
.33322 .50242 L
.33273 .49758 L
.3322 .49275 L
.33163 .48792 L
.33104 .48309 L
.33044 .47826 L
.32985 .47342 L
.32926 .46859 L
.32869 .46376 L
.32847 .46182 L
.32824 .45893 L
.32783 .4541 L
.32739 .44927 L
.32693 .44443 L
.32647 .4396 L
.32601 .43477 L
.32555 .42994 L
.3251 .42511 L
.32467 .42027 L
.32426 .41544 L
.32386 .41061 L
.32364 .40778 L
.32352 .40578 L
.32324 .40095 L
.32295 .39612 L
.32267 .39128 L
.32239 .38645 L
.32212 .38162 L
.32187 .37679 L
.32163 .37196 L
.32142 .36712 L
.32122 .36229 L
.32105 .35746 L
.3209 .35263 L
.32078 .3478 L
.32069 .34296 L
.32063 .33813 L
.3206 .3333 L
.32061 .32847 L
.32066 .32364 L
.32074 .31881 L
.32088 .31397 L
.32107 .30914 L
.32131 .30431 L
.32163 .29948 L
.32203 .29465 L
.32253 .28981 L
.32316 .28498 L
.32364 .28199 L
.32391 .28015 L
.32474 .27532 L
.326 .27049 L
.32847 .26639 L
.329 .26566 L
F
1 .898 .043 r
.3333 .26561 m
.33368 .26566 L
.33813 .26848 L
.3407 .27049 L
.34278 .27532 L
.34296 .27565 L
.34533 .28015 L
.34738 .28498 L
.3478 .2861 L
.34927 .28981 L
.35104 .29465 L
.35263 .2993 L
.35269 .29948 L
.35424 .30431 L
.35573 .30914 L
.35718 .31397 L
.35746 .31495 L
.35852 .31881 L
.35983 .32364 L
.36113 .32847 L
.36229 .33289 L
.36239 .3333 L
.36354 .33813 L
.3647 .34296 L
.36587 .3478 L
.36702 .35263 L
.36712 .35307 L
.36803 .35746 L
.36907 .36229 L
.37012 .36712 L
.37118 .37196 L
.37196 .37552 L
.37218 .37679 L
.37307 .38162 L
.37401 .38645 L
.37497 .39128 L
.37594 .39612 L
.37679 .40039 L
.37687 .40095 L
.37764 .40578 L
.37847 .41061 L
.37934 .41544 L
.38023 .42027 L
.38111 .42511 L
.38162 .42795 L
.38188 .42994 L
.38257 .43477 L
.38332 .4396 L
.3841 .44443 L
.3849 .44927 L
.3857 .4541 L
.38645 .4587 L
.38648 .45893 L
.38705 .46376 L
.38768 .46859 L
.38836 .47342 L
.38906 .47826 L
.38977 .48309 L
.39048 .48792 L
.39117 .49275 L
.39128 .49356 L
.39168 .49758 L
.39221 .50242 L
.39278 .50725 L
.39337 .51208 L
.39398 .51691 L
.39458 .52174 L
.39518 .52658 L
.39576 .53141 L
.39612 .53445 L
.39626 .53624 L
.39667 .54107 L
.39712 .5459 L
.39758 .55073 L
.39805 .55557 L
.39853 .5604 L
.39899 .56523 L
.39945 .57006 L
.3999 .57489 L
.40033 .57973 L
.40074 .58456 L
.40095 .58715 L
.40108 .58939 L
.40138 .59422 L
.40168 .59905 L
.40198 .60388 L
.40227 .60872 L
.40255 .61355 L
.40282 .61838 L
.40307 .62321 L
.40331 .62804 L
.40352 .63288 L
.40371 .63771 L
.40387 .64254 L
.40401 .64737 L
.40412 .6522 L
.40421 .65704 L
.40425 .66187 L
.40427 .6667 L
.40425 .67153 L
.40419 .67636 L
.40408 .68119 L
.40393 .68603 L
.40372 .69086 L
.40344 .69569 L
.4031 .70052 L
.40266 .70535 L
.40211 .71019 L
.40141 .71502 L
.40095 .71759 L
.40061 .71985 L
.39978 .72468 L
.39813 .72951 L
.39612 .73185 L
.39128 .7343 L
.38645 .73073 L
.38514 .72951 L
.38189 .72468 L
.38162 .72304 L
.37998 .71985 L
.37786 .71502 L
.37679 .71217 L
.37602 .71019 L
.37424 .70535 L
.37258 .70052 L
.37196 .6986 L
.37103 .69569 L
.36955 .69086 L
.36811 .68603 L
.36712 .68262 L
.36674 .68119 L
.36545 .67636 L
.36416 .67153 L
.36289 .6667 L
.36229 .66436 L
.36172 .66187 L
.36058 .65704 L
.35943 .6522 L
.35828 .64737 L
.35746 .64387 L
.3572 .64254 L
.3562 .63771 L
.35517 .63288 L
.35413 .62804 L
.35308 .62321 L
.35263 .62108 L
.35216 .61838 L
.35127 .61355 L
.35033 .60872 L
.34938 .60388 L
.34842 .59905 L
.3478 .59585 L
.34755 .59422 L
.34679 .58939 L
.34596 .58456 L
.3451 .57973 L
.34422 .57489 L
.34335 .57006 L
.34296 .56787 L
.34262 .56523 L
.34194 .5604 L
.3412 .55557 L
.34042 .55073 L
.33963 .5459 L
.33885 .54107 L
.33813 .5366 L
.33809 .53624 L
.33753 .53141 L
.33691 .52658 L
.33625 .52174 L
.33556 .51691 L
.33486 .51208 L
.33417 .50725 L
.33349 .50242 L
.3333 .50103 L
.33297 .49758 L
.33246 .49275 L
.33191 .48792 L
.33134 .48309 L
.33075 .47826 L
.33016 .47342 L
.32958 .46859 L
.32901 .46376 L
.32847 .45898 L
.32847 .45893 L
.32808 .4541 L
.32766 .44927 L
.32722 .44443 L
.32677 .4396 L
.32632 .43477 L
.32587 .42994 L
.32543 .42511 L
.325 .42027 L
.32459 .41544 L
.3242 .41061 L
.32382 .40578 L
.32364 .40328 L
.32351 .40095 L
.32324 .39612 L
.32297 .39128 L
.3227 .38645 L
.32245 .38162 L
.3222 .37679 L
.32198 .37196 L
.32177 .36712 L
.32158 .36229 L
.32142 .35746 L
.32128 .35263 L
.32117 .3478 L
.32109 .34296 L
.32104 .33813 L
.32102 .3333 L
.32104 .32847 L
.3211 .32364 L
.3212 .31881 L
.32135 .31397 L
.32156 .30914 L
.32183 .30431 L
.32218 .29948 L
.32262 .29465 L
.32317 .28981 L
.32364 .28649 L
.32385 .28498 L
.32461 .28015 L
.32564 .27532 L
.32758 .27049 L
.32847 .26922 L
.33272 .26566 L
F
1 .894 .037 r
.3333 .26785 m
.33813 .27044 L
.3382 .27049 L
.34172 .27532 L
.34296 .27745 L
.34447 .28015 L
.34672 .28498 L
.3478 .2878 L
.34861 .28981 L
.35045 .29465 L
.35214 .29948 L
.35263 .30094 L
.35373 .30431 L
.35524 .30914 L
.35671 .31397 L
.35746 .31655 L
.35808 .31881 L
.3594 .32364 L
.36071 .32847 L
.36199 .3333 L
.36229 .33448 L
.36316 .33813 L
.36432 .34296 L
.36549 .3478 L
.36664 .35263 L
.36712 .35466 L
.3677 .35746 L
.36872 .36229 L
.36977 .36712 L
.37083 .37196 L
.37188 .37679 L
.37196 .37714 L
.37276 .38162 L
.37369 .38645 L
.37464 .39128 L
.37561 .39612 L
.37657 .40095 L
.37679 .40207 L
.37737 .40578 L
.37818 .41061 L
.37903 .41544 L
.37991 .42027 L
.38079 .42511 L
.38162 .42973 L
.38165 .42994 L
.38231 .43477 L
.38304 .4396 L
.38381 .44443 L
.3846 .44927 L
.38539 .4541 L
.38618 .45893 L
.38645 .46064 L
.38681 .46376 L
.38742 .46859 L
.38808 .47342 L
.38877 .47826 L
.38947 .48309 L
.39017 .48792 L
.39086 .49275 L
.39128 .49575 L
.39146 .49758 L
.39196 .50242 L
.39251 .50725 L
.39309 .51208 L
.39368 .51691 L
.39428 .52174 L
.39487 .52658 L
.39545 .53141 L
.39601 .53624 L
.39612 .53714 L
.39644 .54107 L
.39686 .5459 L
.39731 .55073 L
.39777 .55557 L
.39823 .5604 L
.39869 .56523 L
.39914 .57006 L
.39958 .57489 L
.40001 .57973 L
.40041 .58456 L
.4008 .58939 L
.40095 .59128 L
.40112 .59422 L
.4014 .59905 L
.40169 .60388 L
.40197 .60872 L
.40224 .61355 L
.4025 .61838 L
.40274 .62321 L
.40297 .62804 L
.40317 .63288 L
.40335 .63771 L
.40351 .64254 L
.40364 .64737 L
.40375 .6522 L
.40382 .65704 L
.40386 .66187 L
.40386 .6667 L
.40383 .67153 L
.40375 .67636 L
.40363 .68119 L
.40346 .68603 L
.40323 .69086 L
.40293 .69569 L
.40255 .70052 L
.40207 .70535 L
.40146 .71019 L
.40095 .71346 L
.40072 .71502 L
.39994 .71985 L
.39877 .72468 L
.39612 .72916 L
.39587 .72951 L
.39128 .73211 L
.38712 .72951 L
.38645 .72879 L
.38256 .72468 L
.38162 .72126 L
.38086 .71985 L
.37856 .71502 L
.37679 .71049 L
.37667 .71019 L
.37483 .70535 L
.37313 .70052 L
.37196 .69698 L
.37154 .69569 L
.37004 .69086 L
.36858 .68603 L
.36717 .68119 L
.36712 .68103 L
.36587 .67636 L
.36458 .67153 L
.36331 .6667 L
.36229 .66278 L
.36208 .66187 L
.36095 .65704 L
.3598 .6522 L
.35866 .64737 L
.35752 .64254 L
.35746 .64227 L
.35653 .63771 L
.35551 .63288 L
.35447 .62804 L
.35343 .62321 L
.35263 .61945 L
.35244 .61838 L
.35157 .61355 L
.35065 .60872 L
.34971 .60388 L
.34875 .59905 L
.34781 .59422 L
.3478 .59415 L
.34706 .58939 L
.34625 .58456 L
.34541 .57973 L
.34454 .57489 L
.34367 .57006 L
.34296 .56607 L
.34286 .56523 L
.3422 .5604 L
.34148 .55557 L
.34072 .55073 L
.33994 .5459 L
.33916 .54107 L
.33839 .53624 L
.33813 .53463 L
.33777 .53141 L
.33717 .52658 L
.33653 .52174 L
.33585 .51691 L
.33516 .51208 L
.33448 .50725 L
.3338 .50242 L
.3333 .49879 L
.33319 .49758 L
.3327 .49275 L
.33218 .48792 L
.33162 .48309 L
.33104 .47826 L
.33046 .47342 L
.32989 .46859 L
.32932 .46376 L
.32877 .45893 L
.32847 .45619 L
.32831 .4541 L
.32791 .44927 L
.32749 .44443 L
.32705 .4396 L
.32661 .43477 L
.32617 .42994 L
.32574 .42511 L
.32532 .42027 L
.32491 .41544 L
.32452 .41061 L
.32415 .40578 L
.3238 .40095 L
.32364 .39862 L
.3235 .39612 L
.32325 .39128 L
.323 .38645 L
.32275 .38162 L
.32252 .37679 L
.3223 .37196 L
.32211 .36712 L
.32193 .36229 L
.32177 .35746 L
.32164 .35263 L
.32154 .3478 L
.32147 .34296 L
.32143 .33813 L
.32142 .3333 L
.32146 .32847 L
.32153 .32364 L
.32165 .31881 L
.32182 .31397 L
.32205 .30914 L
.32235 .30431 L
.32273 .29948 L
.32321 .29465 L
.32364 .29115 L
.32381 .28981 L
.3245 .28498 L
.32538 .28015 L
.32676 .27532 L
.32847 .27202 L
.32942 .27049 L
F
1 .889 .032 r
.3333 .27004 m
.33554 .27049 L
.33813 .27235 L
.34055 .27532 L
.34296 .27919 L
.34353 .28015 L
.34602 .28498 L
.3478 .28944 L
.34795 .28981 L
.34986 .29465 L
.35161 .29948 L
.35263 .30251 L
.35322 .30431 L
.35476 .30914 L
.35624 .31397 L
.35746 .31809 L
.35766 .31881 L
.35899 .32364 L
.3603 .32847 L
.36159 .3333 L
.36229 .33601 L
.3628 .33813 L
.36395 .34296 L
.36512 .3478 L
.36628 .35263 L
.36712 .3562 L
.36738 .35746 L
.36839 .36229 L
.36944 .36712 L
.37049 .37196 L
.37154 .37679 L
.37196 .37872 L
.37247 .38162 L
.37338 .38645 L
.37433 .39128 L
.37529 .39612 L
.37625 .40095 L
.37679 .4037 L
.37711 .40578 L
.3779 .41061 L
.37874 .41544 L
.3796 .42027 L
.38048 .42511 L
.38135 .42994 L
.38162 .43146 L
.38206 .43477 L
.38277 .4396 L
.38352 .44443 L
.3843 .44927 L
.38509 .4541 L
.38588 .45893 L
.38645 .46252 L
.38659 .46376 L
.38718 .46859 L
.38782 .47342 L
.38849 .47826 L
.38918 .48309 L
.38988 .48792 L
.39057 .49275 L
.39124 .49758 L
.39128 .49789 L
.39173 .50242 L
.39226 .50725 L
.39282 .51208 L
.3934 .51691 L
.39399 .52174 L
.39458 .52658 L
.39515 .53141 L
.39571 .53624 L
.39612 .53978 L
.39622 .54107 L
.39662 .5459 L
.39705 .55073 L
.39749 .55557 L
.39795 .5604 L
.3984 .56523 L
.39884 .57006 L
.39928 .57489 L
.3997 .57973 L
.4001 .58456 L
.40049 .58939 L
.40085 .59422 L
.40095 .59552 L
.40115 .59905 L
.40142 .60388 L
.40169 .60872 L
.40195 .61355 L
.40219 .61838 L
.40243 .62321 L
.40264 .62804 L
.40284 .63288 L
.40301 .63771 L
.40316 .64254 L
.40329 .64737 L
.40338 .6522 L
.40344 .65704 L
.40347 .66187 L
.40347 .6667 L
.40342 .67153 L
.40333 .67636 L
.40319 .68119 L
.403 .68603 L
.40275 .69086 L
.40242 .69569 L
.402 .70052 L
.40147 .70535 L
.40095 .70921 L
.40082 .71019 L
.40009 .71502 L
.39914 .71985 L
.39738 .72468 L
.39612 .72652 L
.39325 .72951 L
.39128 .72998 L
.38972 .72951 L
.38645 .72691 L
.3838 .72468 L
.38179 .71985 L
.38162 .71954 L
.3793 .71502 L
.37727 .71019 L
.37679 .70886 L
.37542 .70535 L
.37367 .70052 L
.37205 .69569 L
.37196 .69541 L
.37052 .69086 L
.36904 .68603 L
.36761 .68119 L
.36712 .67949 L
.36628 .67636 L
.36499 .67153 L
.3637 .6667 L
.36245 .66187 L
.36229 .66125 L
.36131 .65704 L
.36017 .6522 L
.35902 .64737 L
.35788 .64254 L
.35746 .64073 L
.35685 .63771 L
.35584 .63288 L
.35481 .62804 L
.35377 .62321 L
.35274 .61838 L
.35263 .61787 L
.35186 .61355 L
.35096 .60872 L
.35002 .60388 L
.34907 .59905 L
.34813 .59422 L
.3478 .59251 L
.34732 .58939 L
.34653 .58456 L
.3457 .57973 L
.34484 .57489 L
.34398 .57006 L
.34312 .56523 L
.34296 .56432 L
.34244 .5604 L
.34175 .55557 L
.341 .55073 L
.34023 .5459 L
.33945 .54107 L
.33868 .53624 L
.33813 .53273 L
.33799 .53141 L
.33742 .52658 L
.33679 .52174 L
.33613 .51691 L
.33545 .51208 L
.33477 .50725 L
.33409 .50242 L
.33343 .49758 L
.3333 .49661 L
.33293 .49275 L
.33242 .48792 L
.33188 .48309 L
.33132 .47826 L
.33075 .47342 L
.33018 .46859 L
.32962 .46376 L
.32907 .45893 L
.32854 .4541 L
.32847 .45343 L
.32814 .44927 L
.32774 .44443 L
.32732 .4396 L
.32689 .43477 L
.32646 .42994 L
.32604 .42511 L
.32562 .42027 L
.32522 .41544 L
.32484 .41061 L
.32447 .40578 L
.32412 .40095 L
.32379 .39612 L
.32364 .39375 L
.32351 .39128 L
.32327 .38645 L
.32304 .38162 L
.32282 .37679 L
.32262 .37196 L
.32243 .36712 L
.32226 .36229 L
.32211 .35746 L
.32199 .35263 L
.3219 .3478 L
.32184 .34296 L
.32181 .33813 L
.32181 .3333 L
.32186 .32847 L
.32195 .32364 L
.32208 .31881 L
.32227 .31397 L
.32253 .30914 L
.32286 .30431 L
.32327 .29948 L
.32364 .29603 L
.32379 .29465 L
.32441 .28981 L
.32519 .28498 L
.32627 .28015 L
.32815 .27532 L
.32847 .27478 L
.332 .27049 L
F
1 .885 .028 r
.3333 .27218 m
.33813 .27421 L
.33917 .27532 L
.34254 .28015 L
.34296 .28088 L
.34526 .28498 L
.34736 .28981 L
.3478 .29103 L
.34926 .29465 L
.35107 .29948 L
.35263 .30404 L
.35272 .30431 L
.35429 .30914 L
.35579 .31397 L
.35723 .31881 L
.35746 .31959 L
.35858 .32364 L
.3599 .32847 L
.36119 .3333 L
.36229 .33749 L
.36244 .33813 L
.3636 .34296 L
.36476 .3478 L
.36593 .35263 L
.36707 .35746 L
.36712 .35769 L
.36808 .36229 L
.36911 .36712 L
.37017 .37196 L
.37122 .37679 L
.37196 .38024 L
.3722 .38162 L
.37309 .38645 L
.37402 .39128 L
.37498 .39612 L
.37594 .40095 L
.37679 .40529 L
.37686 .40578 L
.37763 .41061 L
.37846 .41544 L
.37931 .42027 L
.38019 .42511 L
.38105 .42994 L
.38162 .43314 L
.38184 .43477 L
.38252 .4396 L
.38326 .44443 L
.38402 .44927 L
.38481 .4541 L
.38559 .45893 L
.38636 .46376 L
.38645 .46435 L
.38695 .46859 L
.38757 .47342 L
.38822 .47826 L
.38891 .48309 L
.3896 .48792 L
.39028 .49275 L
.39096 .49758 L
.39128 .49998 L
.39152 .50242 L
.39203 .50725 L
.39257 .51208 L
.39314 .51691 L
.39371 .52174 L
.39429 .52658 L
.39487 .53141 L
.39543 .53624 L
.39597 .54107 L
.39612 .54239 L
.3964 .5459 L
.39681 .55073 L
.39724 .55557 L
.39768 .5604 L
.39812 .56523 L
.39856 .57006 L
.39898 .57489 L
.3994 .57973 L
.3998 .58456 L
.40018 .58939 L
.40055 .59422 L
.40089 .59905 L
.40095 .59992 L
.40116 .60388 L
.40142 .60872 L
.40166 .61355 L
.4019 .61838 L
.40213 .62321 L
.40233 .62804 L
.40252 .63288 L
.40269 .63771 L
.40283 .64254 L
.40294 .64737 L
.40303 .6522 L
.40308 .65704 L
.4031 .66187 L
.40308 .6667 L
.40302 .67153 L
.40292 .67636 L
.40276 .68119 L
.40255 .68603 L
.40227 .69086 L
.40191 .69569 L
.40146 .70052 L
.40095 .70482 L
.40088 .70535 L
.40023 .71019 L
.3994 .71502 L
.39816 .71985 L
.39612 .72391 L
.39566 .72468 L
.39128 .72789 L
.38645 .72508 L
.38586 .72468 L
.38274 .71985 L
.38162 .71786 L
.38008 .71502 L
.37788 .71019 L
.37679 .70727 L
.37602 .70535 L
.37421 .70052 L
.37255 .69569 L
.37196 .69388 L
.37099 .69086 L
.36949 .68603 L
.36805 .68119 L
.36712 .678 L
.36668 .67636 L
.36538 .67153 L
.36409 .6667 L
.36283 .66187 L
.36229 .65976 L
.36166 .65704 L
.36052 .6522 L
.35937 .64737 L
.35823 .64254 L
.35746 .63923 L
.35715 .63771 L
.35616 .63288 L
.35513 .62804 L
.35409 .62321 L
.35306 .61838 L
.35263 .61634 L
.35214 .61355 L
.35125 .60872 L
.35032 .60388 L
.34938 .59905 L
.34843 .59422 L
.3478 .59092 L
.34757 .58939 L
.3468 .58456 L
.34598 .57973 L
.34513 .57489 L
.34427 .57006 L
.34342 .56523 L
.34296 .56263 L
.34267 .5604 L
.342 .55557 L
.34127 .55073 L
.34051 .5459 L
.33974 .54107 L
.33897 .53624 L
.33822 .53141 L
.33813 .53087 L
.33764 .52658 L
.33704 .52174 L
.33639 .51691 L
.33573 .51208 L
.33505 .50725 L
.33438 .50242 L
.33372 .49758 L
.3333 .49447 L
.33314 .49275 L
.33265 .48792 L
.33213 .48309 L
.33158 .47826 L
.33102 .47342 L
.33046 .46859 L
.32991 .46376 L
.32936 .45893 L
.32883 .4541 L
.32847 .4507 L
.32836 .44927 L
.32797 .44443 L
.32757 .4396 L
.32716 .43477 L
.32674 .42994 L
.32632 .42511 L
.32591 .42027 L
.32552 .41544 L
.32514 .41061 L
.32477 .40578 L
.32443 .40095 L
.3241 .39612 L
.3238 .39128 L
.32364 .38856 L
.32354 .38645 L
.32332 .38162 L
.32311 .37679 L
.32291 .37196 L
.32273 .36712 L
.32258 .36229 L
.32244 .35746 L
.32233 .35263 L
.32225 .3478 L
.32219 .34296 L
.32218 .33813 L
.32219 .3333 L
.32225 .32847 L
.32235 .32364 L
.32251 .31881 L
.32272 .31397 L
.323 .30914 L
.32336 .30431 L
.32364 .30122 L
.32381 .29948 L
.32436 .29465 L
.32504 .28981 L
.32593 .28498 L
.3273 .28015 L
.32847 .27751 L
.32963 .27532 L
F
1 .88 .024 r
.3333 .27427 m
.33725 .27532 L
.33813 .27602 L
.34149 .28015 L
.34296 .28253 L
.34442 .28498 L
.34676 .28981 L
.3478 .29258 L
.34866 .29465 L
.35052 .29948 L
.35222 .30431 L
.35263 .30553 L
.35382 .30914 L
.35534 .31397 L
.35681 .31881 L
.35746 .32104 L
.35818 .32364 L
.35951 .32847 L
.36081 .3333 L
.36209 .33813 L
.36229 .33893 L
.36326 .34296 L
.36442 .3478 L
.36558 .35263 L
.36673 .35746 L
.36712 .35914 L
.36778 .36229 L
.3688 .36712 L
.36985 .37196 L
.3709 .37679 L
.37193 .38162 L
.37196 .38172 L
.37281 .38645 L
.37374 .39128 L
.37468 .39612 L
.37564 .40095 L
.37659 .40578 L
.37679 .40682 L
.37738 .41061 L
.37819 .41544 L
.37904 .42027 L
.3799 .42511 L
.38077 .42994 L
.38162 .43477 L
.38162 .43477 L
.38228 .4396 L
.383 .44443 L
.38376 .44927 L
.38453 .4541 L
.38531 .45893 L
.38608 .46376 L
.38645 .46613 L
.38673 .46859 L
.38733 .47342 L
.38797 .47826 L
.38864 .48309 L
.38932 .48792 L
.39001 .49275 L
.39068 .49758 L
.39128 .50202 L
.39132 .50242 L
.39181 .50725 L
.39233 .51208 L
.39288 .51691 L
.39345 .52174 L
.39402 .52658 L
.39459 .53141 L
.39515 .53624 L
.39569 .54107 L
.39612 .54497 L
.39619 .5459 L
.39658 .55073 L
.397 .55557 L
.39742 .5604 L
.39785 .56523 L
.39828 .57006 L
.3987 .57489 L
.39911 .57973 L
.39951 .58456 L
.39989 .58939 L
.40025 .59422 L
.40059 .59905 L
.40091 .60388 L
.40095 .60452 L
.40116 .60872 L
.4014 .61355 L
.40162 .61838 L
.40184 .62321 L
.40204 .62804 L
.40222 .63288 L
.40237 .63771 L
.4025 .64254 L
.40261 .64737 L
.40268 .6522 L
.40273 .65704 L
.40274 .66187 L
.40271 .6667 L
.40263 .67153 L
.40252 .67636 L
.40234 .68119 L
.40211 .68603 L
.4018 .69086 L
.40141 .69569 L
.40095 .70022 L
.40091 .70052 L
.40033 .70535 L
.39961 .71019 L
.39862 .71502 L
.39694 .71985 L
.39612 .72133 L
.39371 .72468 L
.39128 .72585 L
.38805 .72468 L
.38645 .7233 L
.38379 .71985 L
.38162 .71623 L
.38093 .71502 L
.37853 .71019 L
.37679 .70574 L
.37663 .70535 L
.37476 .70052 L
.37304 .69569 L
.37196 .69241 L
.37146 .69086 L
.36994 .68603 L
.36848 .68119 L
.36712 .67655 L
.36707 .67636 L
.36577 .67153 L
.36447 .6667 L
.3632 .66187 L
.36229 .65832 L
.36199 .65704 L
.36086 .6522 L
.35971 .64737 L
.35857 .64254 L
.35746 .63778 L
.35745 .63771 L
.35646 .63288 L
.35544 .62804 L
.35441 .62321 L
.35337 .61838 L
.35263 .61485 L
.3524 .61355 L
.35153 .60872 L
.35061 .60388 L
.34967 .59905 L
.34873 .59422 L
.3478 .58939 L
.3478 .58937 L
.34705 .58456 L
.34625 .57973 L
.34541 .57489 L
.34456 .57006 L
.3437 .56523 L
.34296 .56098 L
.34289 .5604 L
.34223 .55557 L
.34152 .55073 L
.34078 .5459 L
.34002 .54107 L
.33925 .53624 L
.33849 .53141 L
.33813 .52906 L
.33785 .52658 L
.33727 .52174 L
.33664 .51691 L
.33599 .51208 L
.33532 .50725 L
.33465 .50242 L
.33399 .49758 L
.33335 .49275 L
.3333 .49237 L
.33287 .48792 L
.33237 .48309 L
.33183 .47826 L
.33129 .47342 L
.33073 .46859 L
.33018 .46376 L
.32964 .45893 L
.32911 .4541 L
.3286 .44927 L
.32847 .448 L
.3282 .44443 L
.32781 .4396 L
.32741 .43477 L
.327 .42994 L
.32659 .42511 L
.32619 .42027 L
.3258 .41544 L
.32543 .41061 L
.32507 .40578 L
.32473 .40095 L
.32441 .39612 L
.32411 .39128 L
.32383 .38645 L
.32364 .3829 L
.32358 .38162 L
.32338 .37679 L
.3232 .37196 L
.32303 .36712 L
.32288 .36229 L
.32275 .35746 L
.32265 .35263 L
.32258 .3478 L
.32254 .34296 L
.32253 .33813 L
.32256 .3333 L
.32263 .32847 L
.32275 .32364 L
.32293 .31881 L
.32316 .31397 L
.32346 .30914 L
.32364 .30687 L
.32385 .30431 L
.32433 .29948 L
.32493 .29465 L
.32569 .28981 L
.32676 .28498 L
.32847 .28021 L
.3285 .28015 L
.33155 .27532 L
F
1 .876 .021 r
.3333 .27633 m
.33813 .27779 L
.34029 .28015 L
.34296 .28414 L
.3435 .28498 L
.34611 .28981 L
.3478 .29408 L
.34804 .29465 L
.34998 .29948 L
.35173 .30431 L
.35263 .30697 L
.35335 .30914 L
.3549 .31397 L
.35639 .31881 L
.35746 .32245 L
.35779 .32364 L
.35913 .32847 L
.36044 .3333 L
.36172 .33813 L
.36229 .34033 L
.36292 .34296 L
.36408 .3478 L
.36525 .35263 L
.3664 .35746 L
.36712 .36055 L
.36748 .36229 L
.3685 .36712 L
.36954 .37196 L
.37059 .37679 L
.37163 .38162 L
.37196 .38316 L
.37255 .38645 L
.37346 .39128 L
.3744 .39612 L
.37535 .40095 L
.3763 .40578 L
.37679 .40832 L
.37714 .41061 L
.37793 .41544 L
.37877 .42027 L
.37963 .42511 L
.38049 .42994 L
.38134 .43477 L
.38162 .43635 L
.38206 .4396 L
.38276 .44443 L
.3835 .44927 L
.38427 .4541 L
.38504 .45893 L
.38581 .46376 L
.38645 .46787 L
.38653 .46859 L
.38711 .47342 L
.38773 .47826 L
.38839 .48309 L
.38906 .48792 L
.38974 .49275 L
.39041 .49758 L
.39107 .50242 L
.39128 .50402 L
.3916 .50725 L
.39211 .51208 L
.39264 .51691 L
.3932 .52174 L
.39376 .52658 L
.39432 .53141 L
.39488 .53624 L
.39542 .54107 L
.39594 .5459 L
.39612 .54752 L
.39637 .55073 L
.39677 .55557 L
.39718 .5604 L
.3976 .56523 L
.39802 .57006 L
.39843 .57489 L
.39884 .57973 L
.39923 .58456 L
.3996 .58939 L
.39996 .59422 L
.4003 .59905 L
.40061 .60388 L
.40091 .60872 L
.40095 .60942 L
.40114 .61355 L
.40136 .61838 L
.40156 .62321 L
.40175 .62804 L
.40192 .63288 L
.40207 .63771 L
.40219 .64254 L
.40229 .64737 L
.40235 .6522 L
.40239 .65704 L
.40238 .66187 L
.40234 .6667 L
.40226 .67153 L
.40212 .67636 L
.40193 .68119 L
.40167 .68603 L
.40134 .69086 L
.40095 .69532 L
.40091 .69569 L
.4004 .70052 L
.39976 .70535 L
.39894 .71019 L
.39772 .71502 L
.39612 .71878 L
.39558 .71985 L
.39128 .72384 L
.38645 .72156 L
.38498 .71985 L
.38183 .71502 L
.38162 .71464 L
.37922 .71019 L
.37718 .70535 L
.37679 .70424 L
.37531 .70052 L
.37354 .69569 L
.37196 .69097 L
.37192 .69086 L
.37038 .68603 L
.3689 .68119 L
.36747 .67636 L
.36712 .67514 L
.36614 .67153 L
.36484 .6667 L
.36357 .66187 L
.36232 .65704 L
.36229 .65693 L
.36118 .6522 L
.36004 .64737 L
.3589 .64254 L
.35777 .63771 L
.35746 .63637 L
.35675 .63288 L
.35574 .62804 L
.35471 .62321 L
.35368 .61838 L
.35266 .61355 L
.35263 .61341 L
.35179 .60872 L
.35089 .60388 L
.34996 .59905 L
.34902 .59422 L
.34809 .58939 L
.3478 .58786 L
.34729 .58456 L
.3465 .57973 L
.34568 .57489 L
.34483 .57006 L
.34398 .56523 L
.34314 .5604 L
.34296 .55938 L
.34246 .55557 L
.34177 .55073 L
.34103 .5459 L
.34028 .54107 L
.33952 .53624 L
.33876 .53141 L
.33813 .52729 L
.33805 .52658 L
.33749 .52174 L
.33688 .51691 L
.33624 .51208 L
.33558 .50725 L
.33492 .50242 L
.33426 .49758 L
.33362 .49275 L
.3333 .49031 L
.33308 .48792 L
.33259 .48309 L
.33207 .47826 L
.33153 .47342 L
.33099 .46859 L
.33045 .46376 L
.32991 .45893 L
.32938 .4541 L
.32887 .44927 L
.32847 .4453 L
.3284 .44443 L
.32803 .4396 L
.32764 .43477 L
.32725 .42994 L
.32685 .42511 L
.32646 .42027 L
.32608 .41544 L
.32571 .41061 L
.32535 .40578 L
.32502 .40095 L
.3247 .39612 L
.3244 .39128 L
.32413 .38645 L
.32388 .38162 L
.32365 .37679 L
.32364 .37652 L
.32347 .37196 L
.32331 .36712 L
.32317 .36229 L
.32306 .35746 L
.32297 .35263 L
.32291 .3478 L
.32287 .34296 L
.32288 .33813 L
.32292 .3333 L
.32301 .32847 L
.32314 .32364 L
.32334 .31881 L
.32359 .31397 L
.32364 .31325 L
.32393 .30914 L
.32434 .30431 L
.32486 .29948 L
.32552 .29465 L
.3264 .28981 L
.32768 .28498 L
.32847 .28291 L
.32971 .28015 L
F
1 .871 .019 r
.3333 .27835 m
.33813 .27952 L
.33882 .28015 L
.34252 .28498 L
.34296 .2857 L
.3454 .28981 L
.34749 .29465 L
.3478 .29555 L
.34942 .29948 L
.35124 .30431 L
.35263 .30838 L
.35289 .30914 L
.35446 .31397 L
.35597 .31881 L
.35741 .32364 L
.35746 .32382 L
.35875 .32847 L
.36007 .3333 L
.36136 .33813 L
.36229 .34169 L
.3626 .34296 L
.36376 .3478 L
.36492 .35263 L
.36608 .35746 L
.36712 .36192 L
.3672 .36229 L
.36821 .36712 L
.36925 .37196 L
.37029 .37679 L
.37133 .38162 L
.37196 .38456 L
.3723 .38645 L
.37319 .39128 L
.37412 .39612 L
.37507 .40095 L
.37602 .40578 L
.37679 .40977 L
.37692 .41061 L
.37769 .41544 L
.37851 .42027 L
.37936 .42511 L
.38022 .42994 L
.38107 .43477 L
.38162 .4379 L
.38185 .4396 L
.38253 .44443 L
.38326 .44927 L
.38401 .4541 L
.38478 .45893 L
.38555 .46376 L
.3863 .46859 L
.38645 .46957 L
.3869 .47342 L
.38751 .47826 L
.38815 .48309 L
.38881 .48792 L
.38949 .49275 L
.39015 .49758 L
.39081 .50242 L
.39128 .50599 L
.3914 .50725 L
.39189 .51208 L
.39242 .51691 L
.39296 .52174 L
.39351 .52658 L
.39407 .53141 L
.39462 .53624 L
.39516 .54107 L
.39568 .5459 L
.39612 .55006 L
.39617 .55073 L
.39655 .55557 L
.39695 .5604 L
.39736 .56523 L
.39777 .57006 L
.39818 .57489 L
.39857 .57973 L
.39896 .58456 L
.39933 .58939 L
.39968 .59422 L
.40001 .59905 L
.40033 .60388 L
.40062 .60872 L
.40088 .61355 L
.40095 .61473 L
.4011 .61838 L
.4013 .62321 L
.40148 .62804 L
.40164 .63288 L
.40178 .63771 L
.40189 .64254 L
.40198 .64737 L
.40203 .6522 L
.40205 .65704 L
.40204 .66187 L
.40198 .6667 L
.40188 .67153 L
.40173 .67636 L
.40152 .68119 L
.40124 .68603 L
.40095 .69 L
.40088 .69086 L
.40043 .69569 L
.39987 .70052 L
.39917 .70535 L
.39821 .71019 L
.39668 .71502 L
.39612 .71624 L
.39407 .71985 L
.39128 .72188 L
.38645 .71986 L
.38644 .71985 L
.38276 .71502 L
.38162 .71309 L
.37996 .71019 L
.37773 .70535 L
.37679 .70279 L
.37587 .70052 L
.37404 .69569 L
.37238 .69086 L
.37196 .68957 L
.37081 .68603 L
.36931 .68119 L
.36787 .67636 L
.36712 .67377 L
.36651 .67153 L
.36521 .6667 L
.36392 .66187 L
.36267 .65704 L
.36229 .65557 L
.3615 .6522 L
.36036 .64737 L
.35922 .64254 L
.35809 .63771 L
.35746 .635 L
.35703 .63288 L
.35603 .62804 L
.355 .62321 L
.35397 .61838 L
.35295 .61355 L
.35263 .61201 L
.35205 .60872 L
.35116 .60388 L
.35023 .59905 L
.3493 .59422 L
.34837 .58939 L
.3478 .5864 L
.34752 .58456 L
.34675 .57973 L
.34593 .57489 L
.34509 .57006 L
.34425 .56523 L
.34341 .5604 L
.34296 .55781 L
.34267 .55557 L
.342 .55073 L
.34128 .5459 L
.34053 .54107 L
.33978 .53624 L
.33903 .53141 L
.33829 .52658 L
.33813 .52556 L
.3377 .52174 L
.33711 .51691 L
.33648 .51208 L
.33583 .50725 L
.33517 .50242 L
.33452 .49758 L
.33388 .49275 L
.3333 .48829 L
.33327 .48792 L
.3328 .48309 L
.3323 .47826 L
.33177 .47342 L
.33124 .46859 L
.3307 .46376 L
.33017 .45893 L
.32965 .4541 L
.32914 .44927 L
.32865 .44443 L
.32847 .44262 L
.32824 .4396 L
.32787 .43477 L
.32749 .42994 L
.3271 .42511 L
.32672 .42027 L
.32634 .41544 L
.32598 .41061 L
.32563 .40578 L
.3253 .40095 L
.32498 .39612 L
.32469 .39128 L
.32442 .38645 L
.32417 .38162 L
.32395 .37679 L
.32375 .37196 L
.32364 .36882 L
.32359 .36712 L
.32346 .36229 L
.32335 .35746 L
.32327 .35263 L
.32322 .3478 L
.3232 .34296 L
.32322 .33813 L
.32327 .3333 L
.32337 .32847 L
.32353 .32364 L
.32364 .32095 L
.32374 .31881 L
.32403 .31397 L
.32438 .30914 L
.32484 .30431 L
.3254 .29948 L
.32614 .29465 L
.32715 .28981 L
.32847 .28559 L
.32869 .28498 L
.3312 .28015 L
F
1 .867 .016 r
.3333 .28034 m
.33813 .28121 L
.34149 .28498 L
.34296 .28723 L
.3446 .28981 L
.34697 .29465 L
.3478 .29698 L
.34886 .29948 L
.35074 .30431 L
.35243 .30914 L
.35263 .30975 L
.35403 .31397 L
.35556 .31881 L
.35702 .32364 L
.35746 .32516 L
.35839 .32847 L
.35971 .3333 L
.36101 .33813 L
.36228 .34296 L
.36229 .34301 L
.36344 .3478 L
.3646 .35263 L
.36576 .35746 L
.3669 .36229 L
.36712 .36325 L
.36793 .36712 L
.36896 .37196 L
.37 .37679 L
.37104 .38162 L
.37196 .38592 L
.37205 .38645 L
.37294 .39128 L
.37386 .39612 L
.3748 .40095 L
.37574 .40578 L
.37668 .41061 L
.37679 .41119 L
.37746 .41544 L
.37827 .42027 L
.37911 .42511 L
.37996 .42994 L
.38081 .43477 L
.38162 .43941 L
.38164 .4396 L
.38231 .44443 L
.38302 .44927 L
.38377 .4541 L
.38453 .45893 L
.38529 .46376 L
.38605 .46859 L
.38645 .47123 L
.3867 .47342 L
.38729 .47826 L
.38792 .48309 L
.38858 .48792 L
.38924 .49275 L
.3899 .49758 L
.39056 .50242 L
.3912 .50725 L
.39128 .50792 L
.39169 .51208 L
.3922 .51691 L
.39273 .52174 L
.39327 .52658 L
.39382 .53141 L
.39437 .53624 L
.3949 .54107 L
.39542 .5459 L
.39593 .55073 L
.39612 .55259 L
.39635 .55557 L
.39673 .5604 L
.39713 .56523 L
.39753 .57006 L
.39793 .57489 L
.39832 .57973 L
.3987 .58456 L
.39906 .58939 L
.39941 .59422 L
.39974 .59905 L
.40005 .60388 L
.40033 .60872 L
.4006 .61355 L
.40084 .61838 L
.40095 .6207 L
.40104 .62321 L
.40121 .62804 L
.40136 .63288 L
.40149 .63771 L
.4016 .64254 L
.40167 .64737 L
.40172 .6522 L
.40173 .65704 L
.4017 .66187 L
.40164 .6667 L
.40152 .67153 L
.40135 .67636 L
.40112 .68119 L
.40095 .68404 L
.40081 .68603 L
.40043 .69086 L
.39994 .69569 L
.39934 .70052 L
.39854 .70535 L
.3974 .71019 L
.39612 .71371 L
.39556 .71502 L
.39153 .71985 L
.39128 .71994 L
.38915 .71985 L
.38645 .7182 L
.38379 .71502 L
.38162 .71158 L
.38078 .71019 L
.37831 .70535 L
.37679 .70137 L
.37644 .70052 L
.37455 .69569 L
.37283 .69086 L
.37196 .68821 L
.37124 .68603 L
.36972 .68119 L
.36826 .67636 L
.36712 .67244 L
.36687 .67153 L
.36556 .6667 L
.36427 .66187 L
.36301 .65704 L
.36229 .65424 L
.36181 .6522 L
.36067 .64737 L
.35953 .64254 L
.35839 .63771 L
.35746 .63366 L
.3573 .63288 L
.35631 .62804 L
.35529 .62321 L
.35426 .61838 L
.35324 .61355 L
.35263 .61064 L
.35229 .60872 L
.35141 .60388 L
.3505 .59905 L
.34957 .59422 L
.34864 .58939 L
.3478 .58497 L
.34773 .58456 L
.34698 .57973 L
.34618 .57489 L
.34535 .57006 L
.34451 .56523 L
.34367 .5604 L
.34296 .55628 L
.34287 .55557 L
.34222 .55073 L
.34151 .5459 L
.34078 .54107 L
.34003 .53624 L
.33928 .53141 L
.33854 .52658 L
.33813 .52387 L
.3379 .52174 L
.33732 .51691 L
.33671 .51208 L
.33607 .50725 L
.33542 .50242 L
.33477 .49758 L
.33413 .49275 L
.33351 .48792 L
.3333 .4863 L
.333 .48309 L
.33251 .47826 L
.332 .47342 L
.33148 .46859 L
.33095 .46376 L
.33042 .45893 L
.3299 .4541 L
.3294 .44927 L
.32891 .44443 L
.32847 .43994 L
.32844 .4396 L
.32808 .43477 L
.32771 .42994 L
.32734 .42511 L
.32696 .42027 L
.3266 .41544 L
.32624 .41061 L
.3259 .40578 L
.32557 .40095 L
.32526 .39612 L
.32497 .39128 L
.32471 .38645 L
.32446 .38162 L
.32424 .37679 L
.32405 .37196 L
.32388 .36712 L
.32375 .36229 L
.32364 .35748 L
.32364 .35746 L
.32357 .35263 L
.32353 .3478 L
.32352 .34296 L
.32355 .33813 L
.32362 .3333 L
.32364 .33225 L
.32374 .32847 L
.32391 .32364 L
.32415 .31881 L
.32446 .31397 L
.32484 .30914 L
.32533 .30431 L
.32596 .29948 L
.32678 .29465 L
.32797 .28981 L
.32847 .28827 L
.32972 .28498 L
F
1 .862 .014 r
.3333 .2823 m
.33813 .28287 L
.34029 .28498 L
.34296 .28873 L
.34371 .28981 L
.3464 .29465 L
.3478 .29837 L
.34828 .29948 L
.35023 .30431 L
.35198 .30914 L
.35263 .31108 L
.3536 .31397 L
.35515 .31881 L
.35663 .32364 L
.35746 .32646 L
.35803 .32847 L
.35936 .3333 L
.36067 .33813 L
.36195 .34296 L
.36229 .3443 L
.36313 .3478 L
.36429 .35263 L
.36545 .35746 L
.3666 .36229 L
.36712 .36455 L
.36766 .36712 L
.36868 .37196 L
.36972 .37679 L
.37076 .38162 L
.37179 .38645 L
.37196 .38725 L
.37269 .39128 L
.3736 .39612 L
.37454 .40095 L
.37548 .40578 L
.37641 .41061 L
.37679 .41257 L
.37724 .41544 L
.37803 .42027 L
.37886 .42511 L
.37971 .42994 L
.38056 .43477 L
.3814 .4396 L
.38162 .44089 L
.3821 .44443 L
.3828 .44927 L
.38353 .4541 L
.38429 .45893 L
.38505 .46376 L
.3858 .46859 L
.38645 .47286 L
.38651 .47342 L
.38709 .47826 L
.3877 .48309 L
.38834 .48792 L
.389 .49275 L
.38966 .49758 L
.39031 .50242 L
.39095 .50725 L
.39128 .50983 L
.3915 .51208 L
.39199 .51691 L
.39251 .52174 L
.39304 .52658 L
.39358 .53141 L
.39412 .53624 L
.39465 .54107 L
.39517 .5459 L
.39568 .55073 L
.39612 .55511 L
.39615 .55557 L
.39652 .5604 L
.39691 .56523 L
.3973 .57006 L
.39769 .57489 L
.39807 .57973 L
.39844 .58456 L
.3988 .58939 L
.39915 .59422 L
.39947 .59905 L
.39978 .60388 L
.40006 .60872 L
.40032 .61355 L
.40056 .61838 L
.40077 .62321 L
.40095 .62781 L
.40095 .62804 L
.4011 .63288 L
.40122 .63771 L
.40131 .64254 L
.40138 .64737 L
.40141 .6522 L
.40141 .65704 L
.40138 .66187 L
.40129 .6667 L
.40116 .67153 L
.40097 .67636 L
.40095 .67692 L
.40072 .68119 L
.40039 .68603 L
.39997 .69086 L
.39945 .69569 L
.39878 .70052 L
.39787 .70535 L
.3965 .71019 L
.39612 .71119 L
.39435 .71502 L
.39128 .71804 L
.38645 .71657 L
.38498 .71502 L
.38167 .71019 L
.38162 .7101 L
.37895 .70535 L
.37696 .70052 L
.37679 .69999 L
.37506 .69569 L
.37329 .69086 L
.37196 .68688 L
.37167 .68603 L
.37013 .68119 L
.36865 .67636 L
.36723 .67153 L
.36712 .67114 L
.36591 .6667 L
.36461 .66187 L
.36334 .65704 L
.36229 .65295 L
.36212 .6522 L
.36098 .64737 L
.35983 .64254 L
.3587 .63771 L
.35758 .63288 L
.35746 .63236 L
.35658 .62804 L
.35556 .62321 L
.35454 .61838 L
.35352 .61355 L
.35263 .6093 L
.35253 .60872 L
.35166 .60388 L
.35075 .59905 L
.34983 .59422 L
.3489 .58939 L
.34798 .58456 L
.3478 .58357 L
.3472 .57973 L
.34642 .57489 L
.34559 .57006 L
.34476 .56523 L
.34392 .5604 L
.3431 .55557 L
.34296 .55479 L
.34242 .55073 L
.34174 .5459 L
.34101 .54107 L
.34027 .53624 L
.33953 .53141 L
.33879 .52658 L
.33813 .52221 L
.33808 .52174 L
.33752 .51691 L
.33692 .51208 L
.3363 .50725 L
.33566 .50242 L
.33501 .49758 L
.33438 .49275 L
.33375 .48792 L
.3333 .48434 L
.33318 .48309 L
.33271 .47826 L
.33222 .47342 L
.3317 .46859 L
.33118 .46376 L
.33066 .45893 L
.33015 .4541 L
.32965 .44927 L
.32916 .44443 L
.32869 .4396 L
.32847 .43726 L
.32829 .43477 L
.32793 .42994 L
.32756 .42511 L
.3272 .42027 L
.32684 .41544 L
.32649 .41061 L
.32615 .40578 L
.32583 .40095 L
.32553 .39612 L
.32525 .39128 L
.32498 .38645 L
.32475 .38162 L
.32453 .37679 L
.32434 .37196 L
.32418 .36712 L
.32405 .36229 L
.32395 .35746 L
.32388 .35263 L
.32384 .3478 L
.32384 .34296 L
.32389 .33813 L
.32397 .3333 L
.32411 .32847 L
.3243 .32364 L
.32456 .31881 L
.32488 .31397 L
.3253 .30914 L
.32584 .30431 L
.32653 .29948 L
.32746 .29465 L
.32847 .29095 L
.32882 .28981 L
.33093 .28498 L
F
1 .858 .012 r
.3333 .28423 m
.33813 .2845 L
.33875 .28498 L
.34273 .28981 L
.34296 .29019 L
.34575 .29465 L
.34772 .29948 L
.3478 .29974 L
.34972 .30431 L
.35153 .30914 L
.35263 .31238 L
.35317 .31397 L
.35475 .31881 L
.35625 .32364 L
.35746 .32773 L
.35767 .32847 L
.35902 .3333 L
.36033 .33813 L
.36162 .34296 L
.36229 .34556 L
.36283 .3478 L
.36399 .35263 L
.36515 .35746 L
.3663 .36229 L
.36712 .36581 L
.3674 .36712 L
.36841 .37196 L
.36945 .37679 L
.37049 .38162 L
.37152 .38645 L
.37196 .38854 L
.37245 .39128 L
.37335 .39612 L
.37428 .40095 L
.37522 .40578 L
.37616 .41061 L
.37679 .41393 L
.37702 .41544 L
.3778 .42027 L
.37862 .42511 L
.37946 .42994 L
.38031 .43477 L
.38115 .4396 L
.38162 .44234 L
.3819 .44443 L
.38258 .44927 L
.38331 .4541 L
.38405 .45893 L
.38481 .46376 L
.38556 .46859 L
.3863 .47342 L
.38645 .47446 L
.38689 .47826 L
.38749 .48309 L
.38812 .48792 L
.38877 .49275 L
.38942 .49758 L
.39007 .50242 L
.39071 .50725 L
.39128 .5117 L
.39132 .51208 L
.3918 .51691 L
.3923 .52174 L
.39282 .52658 L
.39336 .53141 L
.39389 .53624 L
.39441 .54107 L
.39493 .5459 L
.39543 .55073 L
.39591 .55557 L
.39612 .55763 L
.39632 .5604 L
.3967 .56523 L
.39708 .57006 L
.39746 .57489 L
.39783 .57973 L
.3982 .58456 L
.39855 .58939 L
.39889 .59422 L
.39921 .59905 L
.39951 .60388 L
.39979 .60872 L
.40005 .61355 L
.40028 .61838 L
.40049 .62321 L
.40067 .62804 L
.40082 .63288 L
.40095 .63767 L
.40095 .63771 L
.40103 .64254 L
.40109 .64737 L
.40111 .6522 L
.4011 .65704 L
.40105 .66187 L
.40096 .6667 L
.40095 .66708 L
.4008 .67153 L
.40059 .67636 L
.40032 .68119 L
.39996 .68603 L
.39952 .69086 L
.39895 .69569 L
.3982 .70052 L
.39715 .70535 L
.39612 .70867 L
.39557 .71019 L
.39278 .71502 L
.39128 .71616 L
.38651 .71502 L
.38645 .71497 L
.38256 .71019 L
.38162 .70866 L
.37964 .70535 L
.37744 .70052 L
.37679 .69863 L
.37558 .69569 L
.37375 .69086 L
.3721 .68603 L
.37196 .68558 L
.37053 .68119 L
.36903 .67636 L
.3676 .67153 L
.36712 .66988 L
.36625 .6667 L
.36495 .66187 L
.36367 .65704 L
.36242 .6522 L
.36229 .6517 L
.36127 .64737 L
.36013 .64254 L
.35899 .63771 L
.35787 .63288 L
.35746 .63109 L
.35684 .62804 L
.35583 .62321 L
.35481 .61838 L
.35379 .61355 L
.35278 .60872 L
.35263 .608 L
.3519 .60388 L
.351 .59905 L
.35008 .59422 L
.34916 .58939 L
.34824 .58456 L
.3478 .58221 L
.34742 .57973 L
.34664 .57489 L
.34583 .57006 L
.345 .56523 L
.34417 .5604 L
.34334 .55557 L
.34296 .55332 L
.34262 .55073 L
.34195 .5459 L
.34124 .54107 L
.3405 .53624 L
.33976 .53141 L
.33903 .52658 L
.3383 .52174 L
.33813 .52058 L
.33772 .51691 L
.33713 .51208 L
.33652 .50725 L
.33589 .50242 L
.33525 .49758 L
.33461 .49275 L
.33399 .48792 L
.33339 .48309 L
.3333 .48241 L
.33291 .47826 L
.33242 .47342 L
.33192 .46859 L
.33141 .46376 L
.3309 .45893 L
.33039 .4541 L
.32989 .44927 L
.32941 .44443 L
.32894 .4396 L
.32849 .43477 L
.32847 .43456 L
.32814 .42994 L
.32778 .42511 L
.32743 .42027 L
.32708 .41544 L
.32673 .41061 L
.3264 .40578 L
.32609 .40095 L
.32579 .39612 L
.32551 .39128 L
.32525 .38645 L
.32502 .38162 L
.32481 .37679 L
.32463 .37196 L
.32447 .36712 L
.32435 .36229 L
.32425 .35746 L
.32419 .35263 L
.32416 .3478 L
.32417 .34296 L
.32422 .33813 L
.32432 .3333 L
.32447 .32847 L
.32468 .32364 L
.32496 .31881 L
.32531 .31397 L
.32577 .30914 L
.32635 .30431 L
.32712 .29948 L
.32819 .29465 L
.32847 .29365 L
.32971 .28981 L
.33247 .28498 L
F
1 .854 .011 r
.3333 .28614 m
.33813 .2861 L
.34173 .28981 L
.34296 .29162 L
.345 .29465 L
.3473 .29948 L
.3478 .30107 L
.34919 .30431 L
.35107 .30914 L
.35263 .31366 L
.35274 .31397 L
.35435 .31881 L
.35587 .32364 L
.35732 .32847 L
.35746 .32897 L
.35868 .3333 L
.36 .33813 L
.3613 .34296 L
.36229 .34679 L
.36254 .3478 L
.3637 .35263 L
.36486 .35746 L
.36601 .36229 L
.36712 .36705 L
.36714 .36712 L
.36815 .37196 L
.36918 .37679 L
.37022 .38162 L
.37125 .38645 L
.37196 .38981 L
.37222 .39128 L
.37311 .39612 L
.37403 .40095 L
.37497 .40578 L
.3759 .41061 L
.37679 .41525 L
.37682 .41544 L
.37759 .42027 L
.37839 .42511 L
.37923 .42994 L
.38007 .43477 L
.38091 .4396 L
.38162 .44375 L
.38171 .44443 L
.38238 .44927 L
.38309 .4541 L
.38383 .45893 L
.38458 .46376 L
.38532 .46859 L
.38606 .47342 L
.38645 .47603 L
.38671 .47826 L
.38729 .48309 L
.38791 .48792 L
.38855 .49275 L
.3892 .49758 L
.38984 .50242 L
.39048 .50725 L
.3911 .51208 L
.39128 .51355 L
.39161 .51691 L
.3921 .52174 L
.39261 .52658 L
.39314 .53141 L
.39366 .53624 L
.39418 .54107 L
.39469 .5459 L
.39519 .55073 L
.39567 .55557 L
.39612 .56016 L
.39613 .5604 L
.3965 .56523 L
.39686 .57006 L
.39724 .57489 L
.3976 .57973 L
.39796 .58456 L
.39831 .58939 L
.39864 .59422 L
.39896 .59905 L
.39925 .60388 L
.39953 .60872 L
.39978 .61355 L
.40001 .61838 L
.40021 .62321 L
.40039 .62804 L
.40054 .63288 L
.40066 .63771 L
.40074 .64254 L
.4008 .64737 L
.40081 .6522 L
.40079 .65704 L
.40072 .66187 L
.40061 .6667 L
.40044 .67153 L
.40022 .67636 L
.39992 .68119 L
.39954 .68603 L
.39905 .69086 L
.39843 .69569 L
.39759 .70052 L
.39637 .70535 L
.39612 .70615 L
.39457 .71019 L
.39128 .71432 L
.38645 .7134 L
.38355 .71019 L
.38162 .70724 L
.38042 .70535 L
.37795 .70052 L
.37679 .69731 L
.37611 .69569 L
.37421 .69086 L
.37252 .68603 L
.37196 .68432 L
.37093 .68119 L
.36941 .67636 L
.36796 .67153 L
.36712 .66864 L
.36659 .6667 L
.36528 .66187 L
.36399 .65704 L
.36273 .6522 L
.36229 .65047 L
.36156 .64737 L
.36042 .64254 L
.35928 .63771 L
.35815 .63288 L
.35746 .62985 L
.35709 .62804 L
.35609 .62321 L
.35507 .61838 L
.35405 .61355 L
.35304 .60872 L
.35263 .60673 L
.35213 .60388 L
.35124 .59905 L
.35033 .59422 L
.3494 .58939 L
.34849 .58456 L
.3478 .58088 L
.34762 .57973 L
.34686 .57489 L
.34606 .57006 L
.34524 .56523 L
.34441 .5604 L
.34358 .55557 L
.34296 .55189 L
.34281 .55073 L
.34215 .5459 L
.34145 .54107 L
.34073 .53624 L
.34 .53141 L
.33926 .52658 L
.33854 .52174 L
.33813 .51898 L
.3379 .51691 L
.33733 .51208 L
.33673 .50725 L
.33611 .50242 L
.33548 .49758 L
.33485 .49275 L
.33423 .48792 L
.33362 .48309 L
.3333 .4805 L
.33309 .47826 L
.33262 .47342 L
.33213 .46859 L
.33163 .46376 L
.33112 .45893 L
.33062 .4541 L
.33013 .44927 L
.32964 .44443 L
.32918 .4396 L
.32873 .43477 L
.32847 .43185 L
.32833 .42994 L
.32799 .42511 L
.32765 .42027 L
.3273 .41544 L
.32697 .41061 L
.32664 .40578 L
.32634 .40095 L
.32604 .39612 L
.32577 .39128 L
.32552 .38645 L
.32529 .38162 L
.32508 .37679 L
.32491 .37196 L
.32476 .36712 L
.32464 .36229 L
.32455 .35746 L
.32449 .35263 L
.32447 .3478 L
.32449 .34296 L
.32456 .33813 L
.32467 .3333 L
.32483 .32847 L
.32506 .32364 L
.32536 .31881 L
.32574 .31397 L
.32623 .30914 L
.32687 .30431 L
.32773 .29948 L
.32847 .29636 L
.32893 .29465 L
.33071 .28981 L
F
1 .849 .009 r
.3333 .28803 m
.33813 .28767 L
.34055 .28981 L
.34296 .29303 L
.34415 .29465 L
.34683 .29948 L
.3478 .30238 L
.34865 .30431 L
.3506 .30914 L
.35232 .31397 L
.35263 .3149 L
.35395 .31881 L
.35549 .32364 L
.35696 .32847 L
.35746 .33018 L
.35834 .3333 L
.35968 .33813 L
.36098 .34296 L
.36224 .3478 L
.36229 .34799 L
.36341 .35263 L
.36457 .35746 L
.36573 .36229 L
.36686 .36712 L
.36712 .36826 L
.3679 .37196 L
.36892 .37679 L
.36996 .38162 L
.37099 .38645 L
.37196 .39105 L
.372 .39128 L
.37288 .39612 L
.37379 .40095 L
.37473 .40578 L
.37566 .41061 L
.37658 .41544 L
.37679 .41654 L
.37738 .42027 L
.37817 .42511 L
.379 .42994 L
.37984 .43477 L
.38068 .4396 L
.3815 .44443 L
.38162 .44514 L
.38218 .44927 L
.38288 .4541 L
.38361 .45893 L
.38435 .46376 L
.3851 .46859 L
.38583 .47342 L
.38645 .47757 L
.38653 .47826 L
.3871 .48309 L
.38771 .48792 L
.38834 .49275 L
.38898 .49758 L
.38962 .50242 L
.39025 .50725 L
.39087 .51208 L
.39128 .51538 L
.39143 .51691 L
.39191 .52174 L
.39241 .52658 L
.39292 .53141 L
.39344 .53624 L
.39396 .54107 L
.39446 .5459 L
.39496 .55073 L
.39544 .55557 L
.3959 .5604 L
.39612 .56269 L
.3963 .56523 L
.39666 .57006 L
.39702 .57489 L
.39738 .57973 L
.39773 .58456 L
.39808 .58939 L
.3984 .59422 L
.39871 .59905 L
.399 .60388 L
.39927 .60872 L
.39952 .61355 L
.39975 .61838 L
.39994 .62321 L
.40012 .62804 L
.40026 .63288 L
.40037 .63771 L
.40045 .64254 L
.4005 .64737 L
.40051 .6522 L
.40047 .65704 L
.4004 .66187 L
.40027 .6667 L
.40009 .67153 L
.39984 .67636 L
.39952 .68119 L
.39911 .68603 L
.39858 .69086 L
.3979 .69569 L
.39695 .70052 L
.39612 .70361 L
.39558 .70535 L
.3934 .71019 L
.39128 .71249 L
.38645 .71186 L
.38472 .71019 L
.38162 .70586 L
.38128 .70535 L
.37851 .70052 L
.37679 .69602 L
.37665 .69569 L
.37469 .69086 L
.37293 .68603 L
.37196 .68308 L
.37133 .68119 L
.36979 .67636 L
.36832 .67153 L
.36712 .66743 L
.36692 .6667 L
.3656 .66187 L
.36431 .65704 L
.36304 .6522 L
.36229 .64927 L
.36185 .64737 L
.3607 .64254 L
.35956 .63771 L
.35843 .63288 L
.35746 .62864 L
.35734 .62804 L
.35634 .62321 L
.35533 .61838 L
.35431 .61355 L
.3533 .60872 L
.35263 .60548 L
.35235 .60388 L
.35147 .59905 L
.35057 .59422 L
.34965 .58939 L
.34873 .58456 L
.34782 .57973 L
.3478 .57957 L
.34707 .57489 L
.34628 .57006 L
.34546 .56523 L
.34464 .5604 L
.34382 .55557 L
.34301 .55073 L
.34296 .55049 L
.34235 .5459 L
.34166 .54107 L
.34095 .53624 L
.34022 .53141 L
.33949 .52658 L
.33877 .52174 L
.33813 .51741 L
.33808 .51691 L
.33752 .51208 L
.33693 .50725 L
.33632 .50242 L
.33569 .49758 L
.33507 .49275 L
.33445 .48792 L
.33385 .48309 L
.3333 .47861 L
.33327 .47826 L
.33281 .47342 L
.33233 .46859 L
.33184 .46376 L
.33134 .45893 L
.33084 .4541 L
.33035 .44927 L
.32988 .44443 L
.32941 .4396 L
.32897 .43477 L
.32854 .42994 L
.32847 .42911 L
.32819 .42511 L
.32786 .42027 L
.32752 .41544 L
.32719 .41061 L
.32688 .40578 L
.32657 .40095 L
.32629 .39612 L
.32602 .39128 L
.32577 .38645 L
.32555 .38162 L
.32535 .37679 L
.32518 .37196 L
.32504 .36712 L
.32492 .36229 L
.32484 .35746 L
.32479 .35263 L
.32478 .3478 L
.32481 .34296 L
.32489 .33813 L
.32501 .3333 L
.32519 .32847 L
.32544 .32364 L
.32576 .31881 L
.32617 .31397 L
.32671 .30914 L
.32741 .30431 L
.32838 .29948 L
.32847 .29909 L
.3297 .29465 L
.33187 .28981 L
F
1 .845 .008 r
.33813 .28921 m
.33901 .28981 L
.34296 .2944 L
.34316 .29465 L
.34627 .29948 L
.3478 .30365 L
.3481 .30431 L
.35013 .30914 L
.35191 .31397 L
.35263 .31612 L
.35354 .31881 L
.35512 .32364 L
.35661 .32847 L
.35746 .33137 L
.35801 .3333 L
.35935 .33813 L
.36067 .34296 L
.36194 .3478 L
.36229 .34916 L
.36313 .35263 L
.36429 .35746 L
.36545 .36229 L
.36659 .36712 L
.36712 .36944 L
.36765 .37196 L
.36867 .37679 L
.3697 .38162 L
.37073 .38645 L
.37175 .39128 L
.37196 .39226 L
.37266 .39612 L
.37356 .40095 L
.37449 .40578 L
.37542 .41061 L
.37634 .41544 L
.37679 .41781 L
.37717 .42027 L
.37796 .42511 L
.37878 .42994 L
.37961 .43477 L
.38045 .4396 L
.38127 .44443 L
.38162 .4465 L
.38199 .44927 L
.38268 .4541 L
.3834 .45893 L
.38413 .46376 L
.38487 .46859 L
.38561 .47342 L
.38633 .47826 L
.38645 .47908 L
.38692 .48309 L
.38751 .48792 L
.38813 .49275 L
.38876 .49758 L
.3894 .50242 L
.39003 .50725 L
.39065 .51208 L
.39125 .51691 L
.39128 .51718 L
.39172 .52174 L
.39221 .52658 L
.39272 .53141 L
.39323 .53624 L
.39374 .54107 L
.39424 .5459 L
.39473 .55073 L
.39521 .55557 L
.39567 .5604 L
.39611 .56523 L
.39612 .56524 L
.39646 .57006 L
.39682 .57489 L
.39717 .57973 L
.39751 .58456 L
.39785 .58939 L
.39817 .59422 L
.39847 .59905 L
.39876 .60388 L
.39903 .60872 L
.39927 .61355 L
.39949 .61838 L
.39968 .62321 L
.39985 .62804 L
.39998 .63288 L
.40009 .63771 L
.40016 .64254 L
.4002 .64737 L
.4002 .6522 L
.40016 .65704 L
.40007 .66187 L
.39993 .6667 L
.39973 .67153 L
.39947 .67636 L
.39912 .68119 L
.39868 .68603 L
.39811 .69086 L
.39734 .69569 L
.39627 .70052 L
.39612 .70106 L
.39474 .70535 L
.39186 .71019 L
.39128 .71068 L
.38645 .71035 L
.38624 .71019 L
.38216 .70535 L
.38162 .7045 L
.37914 .70052 L
.37707 .69569 L
.37679 .69475 L
.37517 .69086 L
.37336 .68603 L
.37196 .68186 L
.37173 .68119 L
.37016 .67636 L
.36867 .67153 L
.36725 .6667 L
.36712 .66625 L
.36592 .66187 L
.36462 .65704 L
.36335 .6522 L
.36229 .64809 L
.36212 .64737 L
.36098 .64254 L
.35984 .63771 L
.35871 .63288 L
.35759 .62804 L
.35746 .62745 L
.35659 .62321 L
.35558 .61838 L
.35456 .61355 L
.35355 .60872 L
.35263 .60426 L
.35256 .60388 L
.3517 .59905 L
.3508 .59422 L
.34988 .58939 L
.34897 .58456 L
.34806 .57973 L
.3478 .5783 L
.34727 .57489 L
.34649 .57006 L
.34569 .56523 L
.34486 .5604 L
.34404 .55557 L
.34323 .55073 L
.34296 .54911 L
.34254 .5459 L
.34186 .54107 L
.34116 .53624 L
.34044 .53141 L
.33971 .52658 L
.33899 .52174 L
.33828 .51691 L
.33813 .51587 L
.3377 .51208 L
.33713 .50725 L
.33652 .50242 L
.33591 .49758 L
.33529 .49275 L
.33467 .48792 L
.33407 .48309 L
.33348 .47826 L
.3333 .47674 L
.33299 .47342 L
.33252 .46859 L
.33204 .46376 L
.33155 .45893 L
.33106 .4541 L
.33058 .44927 L
.3301 .44443 L
.32964 .4396 L
.3292 .43477 L
.32877 .42994 L
.32847 .42634 L
.32839 .42511 L
.32806 .42027 L
.32773 .41544 L
.32741 .41061 L
.3271 .40578 L
.32681 .40095 L
.32653 .39612 L
.32627 .39128 L
.32602 .38645 L
.32581 .38162 L
.32561 .37679 L
.32545 .37196 L
.32531 .36712 L
.3252 .36229 L
.32512 .35746 L
.32508 .35263 L
.32508 .3478 L
.32512 .34296 L
.32521 .33813 L
.32535 .3333 L
.32555 .32847 L
.32581 .32364 L
.32616 .31881 L
.32661 .31397 L
.32719 .30914 L
.32797 .30431 L
.32847 .30186 L
.32903 .29948 L
.33054 .29465 L
.3333 .2899 L
.33339 .28981 L
F
1 .84 .007 r
.3333 .29175 m
.33813 .29073 L
.34218 .29465 L
.34296 .29575 L
.34562 .29948 L
.34766 .30431 L
.3478 .30491 L
.34964 .30914 L
.35149 .31397 L
.35263 .31731 L
.35314 .31881 L
.35475 .32364 L
.35626 .32847 L
.35746 .33253 L
.35768 .3333 L
.35904 .33813 L
.36036 .34296 L
.36164 .3478 L
.36229 .35031 L
.36285 .35263 L
.36402 .35746 L
.36518 .36229 L
.36632 .36712 L
.36712 .3706 L
.36741 .37196 L
.36842 .37679 L
.36945 .38162 L
.37049 .38645 L
.37151 .39128 L
.37196 .39345 L
.37244 .39612 L
.37334 .40095 L
.37426 .40578 L
.37519 .41061 L
.37611 .41544 L
.37679 .41905 L
.37698 .42027 L
.37775 .42511 L
.37856 .42994 L
.37939 .43477 L
.38022 .4396 L
.38105 .44443 L
.38162 .44783 L
.38181 .44927 L
.38249 .4541 L
.38319 .45893 L
.38392 .46376 L
.38466 .46859 L
.38539 .47342 L
.38611 .47826 L
.38645 .48058 L
.38674 .48309 L
.38732 .48792 L
.38793 .49275 L
.38856 .49758 L
.38919 .50242 L
.38981 .50725 L
.39043 .51208 L
.39103 .51691 L
.39128 .51897 L
.39155 .52174 L
.39203 .52658 L
.39252 .53141 L
.39302 .53624 L
.39353 .54107 L
.39403 .5459 L
.39451 .55073 L
.39499 .55557 L
.39545 .5604 L
.39589 .56523 L
.39612 .56781 L
.39627 .57006 L
.39662 .57489 L
.39696 .57973 L
.3973 .58456 L
.39763 .58939 L
.39794 .59422 L
.39824 .59905 L
.39852 .60388 L
.39878 .60872 L
.39902 .61355 L
.39924 .61838 L
.39942 .62321 L
.39958 .62804 L
.39972 .63288 L
.39982 .63771 L
.39988 .64254 L
.39991 .64737 L
.3999 .6522 L
.39985 .65704 L
.39975 .66187 L
.3996 .6667 L
.39938 .67153 L
.3991 .67636 L
.39872 .68119 L
.39824 .68603 L
.39762 .69086 L
.39677 .69569 L
.39612 .6985 L
.39558 .70052 L
.3938 .70535 L
.39128 .7089 L
.38645 .70886 L
.3831 .70535 L
.38162 .70316 L
.37986 .70052 L
.37748 .69569 L
.37679 .69351 L
.37566 .69086 L
.37379 .68603 L
.37212 .68119 L
.37196 .68068 L
.37054 .67636 L
.36902 .67153 L
.36759 .6667 L
.36712 .66509 L
.36623 .66187 L
.36492 .65704 L
.36364 .6522 L
.3624 .64737 L
.36229 .64694 L
.36125 .64254 L
.36011 .63771 L
.35897 .63288 L
.35786 .62804 L
.35746 .62629 L
.35683 .62321 L
.35582 .61838 L
.35481 .61355 L
.35379 .60872 L
.35279 .60388 L
.35263 .60307 L
.35191 .59905 L
.35102 .59422 L
.35011 .58939 L
.3492 .58456 L
.34829 .57973 L
.3478 .57704 L
.34747 .57489 L
.3467 .57006 L
.3459 .56523 L
.34508 .5604 L
.34427 .55557 L
.34346 .55073 L
.34296 .54776 L
.34272 .5459 L
.34206 .54107 L
.34136 .53624 L
.34065 .53141 L
.33993 .52658 L
.33921 .52174 L
.3385 .51691 L
.33813 .51434 L
.33788 .51208 L
.33731 .50725 L
.33672 .50242 L
.33611 .49758 L
.3355 .49275 L
.33489 .48792 L
.33429 .48309 L
.3337 .47826 L
.3333 .47489 L
.33317 .47342 L
.33271 .46859 L
.33224 .46376 L
.33175 .45893 L
.33127 .4541 L
.33079 .44927 L
.33032 .44443 L
.32987 .4396 L
.32942 .43477 L
.329 .42994 L
.3286 .42511 L
.32847 .42353 L
.32826 .42027 L
.32794 .41544 L
.32763 .41061 L
.32732 .40578 L
.32703 .40095 L
.32676 .39612 L
.3265 .39128 L
.32627 .38645 L
.32606 .38162 L
.32587 .37679 L
.32571 .37196 L
.32557 .36712 L
.32547 .36229 L
.32541 .35746 L
.32537 .35263 L
.32538 .3478 L
.32543 .34296 L
.32553 .33813 L
.32568 .3333 L
.3259 .32847 L
.32618 .32364 L
.32656 .31881 L
.32705 .31397 L
.32768 .30914 L
.32847 .30468 L
.3285 .30431 L
.3297 .29948 L
.33147 .29465 L
F
1 .836 .006 r
.3333 .29359 m
.33813 .29223 L
.34107 .29465 L
.34296 .29708 L
.34483 .29948 L
.34734 .30431 L
.3478 .30613 L
.34914 .30914 L
.35107 .31397 L
.35263 .31848 L
.35274 .31881 L
.35437 .32364 L
.35591 .32847 L
.35736 .3333 L
.35746 .33366 L
.35872 .33813 L
.36005 .34296 L
.36135 .3478 L
.36229 .35144 L
.36258 .35263 L
.36375 .35746 L
.36491 .36229 L
.36605 .36712 L
.36712 .37174 L
.36717 .37196 L
.36818 .37679 L
.36921 .38162 L
.37024 .38645 L
.37126 .39128 L
.37196 .39461 L
.37223 .39612 L
.37312 .40095 L
.37403 .40578 L
.37496 .41061 L
.37588 .41544 L
.37679 .42027 L
.37679 .42027 L
.37755 .42511 L
.37835 .42994 L
.37918 .43477 L
.38001 .4396 L
.38083 .44443 L
.38162 .44914 L
.38164 .44927 L
.3823 .4541 L
.383 .45893 L
.38372 .46376 L
.38445 .46859 L
.38518 .47342 L
.3859 .47826 L
.38645 .48204 L
.38657 .48309 L
.38714 .48792 L
.38774 .49275 L
.38836 .49758 L
.38898 .50242 L
.3896 .50725 L
.39022 .51208 L
.39082 .51691 L
.39128 .52074 L
.39138 .52174 L
.39185 .52658 L
.39233 .53141 L
.39282 .53624 L
.39332 .54107 L
.39382 .5459 L
.3943 .55073 L
.39477 .55557 L
.39523 .5604 L
.39567 .56523 L
.39609 .57006 L
.39612 .5704 L
.39643 .57489 L
.39676 .57973 L
.39709 .58456 L
.39741 .58939 L
.39772 .59422 L
.39802 .59905 L
.39829 .60388 L
.39855 .60872 L
.39878 .61355 L
.39899 .61838 L
.39917 .62321 L
.39933 .62804 L
.39945 .63288 L
.39955 .63771 L
.3996 .64254 L
.39963 .64737 L
.39961 .6522 L
.39955 .65704 L
.39943 .66187 L
.39927 .6667 L
.39903 .67153 L
.39872 .67636 L
.39832 .68119 L
.3978 .68603 L
.39711 .69086 L
.39616 .69569 L
.39612 .6959 L
.39486 .70052 L
.39271 .70535 L
.39128 .70713 L
.38645 .70739 L
.3842 .70535 L
.38162 .70185 L
.38067 .70052 L
.37795 .69569 L
.37679 .69229 L
.37616 .69086 L
.37422 .68603 L
.3725 .68119 L
.37196 .67951 L
.37091 .67636 L
.36937 .67153 L
.36792 .6667 L
.36712 .66395 L
.36654 .66187 L
.36523 .65704 L
.36394 .6522 L
.36269 .64737 L
.36229 .64581 L
.36152 .64254 L
.36037 .63771 L
.35924 .63288 L
.35812 .62804 L
.35746 .62516 L
.35706 .62321 L
.35606 .61838 L
.35505 .61355 L
.35404 .60872 L
.35303 .60388 L
.35263 .6019 L
.35212 .59905 L
.35124 .59422 L
.35034 .58939 L
.34943 .58456 L
.34852 .57973 L
.3478 .57581 L
.34766 .57489 L
.3469 .57006 L
.34611 .56523 L
.3453 .5604 L
.34448 .55557 L
.34367 .55073 L
.34296 .54643 L
.3429 .5459 L
.34224 .54107 L
.34156 .53624 L
.34085 .53141 L
.34014 .52658 L
.33942 .52174 L
.33871 .51691 L
.33813 .51285 L
.33805 .51208 L
.33749 .50725 L
.33691 .50242 L
.33631 .49758 L
.3357 .49275 L
.3351 .48792 L
.3345 .48309 L
.33391 .47826 L
.33334 .47342 L
.3333 .47306 L
.33289 .46859 L
.33243 .46376 L
.33195 .45893 L
.33148 .4541 L
.331 .44927 L
.33054 .44443 L
.33008 .4396 L
.32964 .43477 L
.32922 .42994 L
.32882 .42511 L
.32847 .42066 L
.32844 .42027 L
.32814 .41544 L
.32783 .41061 L
.32754 .40578 L
.32725 .40095 L
.32699 .39612 L
.32674 .39128 L
.32651 .38645 L
.3263 .38162 L
.32612 .37679 L
.32596 .37196 L
.32584 .36712 L
.32574 .36229 L
.32568 .35746 L
.32566 .35263 L
.32568 .3478 L
.32574 .34296 L
.32585 .33813 L
.32602 .3333 L
.32625 .32847 L
.32656 .32364 L
.32696 .31881 L
.32749 .31397 L
.32819 .30914 L
.32847 .30755 L
.32876 .30431 L
.33042 .29948 L
.33255 .29465 L
F
1 .831 .005 r
.33813 .29371 m
.33962 .29465 L
.34296 .29839 L
.34389 .29948 L
.34694 .30431 L
.3478 .30734 L
.34862 .30914 L
.35063 .31397 L
.35236 .31881 L
.35263 .31963 L
.354 .32364 L
.35556 .32847 L
.35703 .3333 L
.35746 .33478 L
.35841 .33813 L
.35975 .34296 L
.36105 .3478 L
.36229 .35254 L
.36231 .35263 L
.36348 .35746 L
.36464 .36229 L
.36579 .36712 L
.36692 .37196 L
.36712 .37285 L
.36795 .37679 L
.36897 .38162 L
.37 .38645 L
.37103 .39128 L
.37196 .39575 L
.37202 .39612 L
.37291 .40095 L
.37381 .40578 L
.37474 .41061 L
.37566 .41544 L
.37657 .42027 L
.37679 .42147 L
.37736 .42511 L
.37815 .42994 L
.37897 .43477 L
.37979 .4396 L
.38062 .44443 L
.38143 .44927 L
.38162 .45043 L
.38212 .4541 L
.38281 .45893 L
.38352 .46376 L
.38424 .46859 L
.38497 .47342 L
.38569 .47826 L
.38639 .48309 L
.38645 .48349 L
.38696 .48792 L
.38755 .49275 L
.38816 .49758 L
.38878 .50242 L
.3894 .50725 L
.39001 .51208 L
.39061 .51691 L
.39119 .52174 L
.39128 .52249 L
.39167 .52658 L
.39215 .53141 L
.39263 .53624 L
.39312 .54107 L
.39361 .5459 L
.39409 .55073 L
.39456 .55557 L
.39501 .5604 L
.39545 .56523 L
.39587 .57006 L
.39612 .57304 L
.39624 .57489 L
.39657 .57973 L
.39689 .58456 L
.3972 .58939 L
.39751 .59422 L
.39779 .59905 L
.39806 .60388 L
.39832 .60872 L
.39854 .61355 L
.39875 .61838 L
.39892 .62321 L
.39907 .62804 L
.39919 .63288 L
.39928 .63771 L
.39933 .64254 L
.39935 .64737 L
.39932 .6522 L
.39924 .65704 L
.39912 .66187 L
.39894 .6667 L
.39868 .67153 L
.39835 .67636 L
.39792 .68119 L
.39735 .68603 L
.39659 .69086 L
.39612 .69326 L
.39556 .69569 L
.39408 .70052 L
.3913 .70535 L
.39128 .70537 L
.38645 .70594 L
.38563 .70535 L
.38162 .70057 L
.38159 .70052 L
.37849 .69569 L
.37679 .69109 L
.37668 .69086 L
.37466 .68603 L
.37289 .68119 L
.37196 .67837 L
.37128 .67636 L
.36972 .67153 L
.36825 .6667 L
.36712 .66284 L
.36685 .66187 L
.36552 .65704 L
.36423 .6522 L
.36297 .64737 L
.36229 .64471 L
.36178 .64254 L
.36063 .63771 L
.3595 .63288 L
.35837 .62804 L
.35746 .62404 L
.35729 .62321 L
.35629 .61838 L
.35528 .61355 L
.35427 .60872 L
.35327 .60388 L
.35263 .60075 L
.35233 .59905 L
.35145 .59422 L
.35055 .58939 L
.34965 .58456 L
.34874 .57973 L
.34785 .57489 L
.3478 .57461 L
.34709 .57006 L
.34631 .56523 L
.34551 .5604 L
.34469 .55557 L
.34389 .55073 L
.34309 .5459 L
.34296 .54513 L
.34243 .54107 L
.34175 .53624 L
.34105 .53141 L
.34034 .52658 L
.33963 .52174 L
.33892 .51691 L
.33823 .51208 L
.33813 .51137 L
.33767 .50725 L
.3371 .50242 L
.3365 .49758 L
.3359 .49275 L
.3353 .48792 L
.33471 .48309 L
.33412 .47826 L
.33355 .47342 L
.3333 .47123 L
.33306 .46859 L
.33261 .46376 L
.33214 .45893 L
.33167 .4541 L
.33121 .44927 L
.33074 .44443 L
.3303 .4396 L
.32986 .43477 L
.32944 .42994 L
.32904 .42511 L
.32866 .42027 L
.32847 .41772 L
.32833 .41544 L
.32803 .41061 L
.32774 .40578 L
.32747 .40095 L
.32721 .39612 L
.32696 .39128 L
.32674 .38645 L
.32654 .38162 L
.32636 .37679 L
.32621 .37196 L
.32609 .36712 L
.32601 .36229 L
.32595 .35746 L
.32594 .35263 L
.32596 .3478 L
.32604 .34296 L
.32616 .33813 L
.32634 .3333 L
.3266 .32847 L
.32693 .32364 L
.32737 .31881 L
.32794 .31397 L
.32847 .31049 L
.32861 .30914 L
.3291 .30431 L
.33119 .29948 L
.3333 .29541 L
.334 .29465 L
F
1 .827 .005 r
.3333 .29722 m
.33813 .29517 L
.34282 .29948 L
.34296 .29967 L
.34642 .30431 L
.3478 .30853 L
.34809 .30914 L
.35019 .31397 L
.35198 .31881 L
.35263 .32076 L
.35363 .32364 L
.35521 .32847 L
.3567 .3333 L
.35746 .33587 L
.35811 .33813 L
.35946 .34296 L
.36077 .3478 L
.36204 .35263 L
.36229 .35363 L
.36322 .35746 L
.36439 .36229 L
.36554 .36712 L
.36667 .37196 L
.36712 .37394 L
.36772 .37679 L
.36874 .38162 L
.36977 .38645 L
.37079 .39128 L
.3718 .39612 L
.37196 .39687 L
.3727 .40095 L
.3736 .40578 L
.37452 .41061 L
.37544 .41544 L
.37635 .42027 L
.37679 .42264 L
.37717 .42511 L
.37796 .42994 L
.37877 .43477 L
.37959 .4396 L
.38041 .44443 L
.38122 .44927 L
.38162 .4517 L
.38194 .4541 L
.38262 .45893 L
.38333 .46376 L
.38404 .46859 L
.38477 .47342 L
.38549 .47826 L
.38619 .48309 L
.38645 .48492 L
.3868 .48792 L
.38737 .49275 L
.38797 .49758 L
.38859 .50242 L
.3892 .50725 L
.38981 .51208 L
.39041 .51691 L
.39099 .52174 L
.39128 .52423 L
.3915 .52658 L
.39197 .53141 L
.39245 .53624 L
.39293 .54107 L
.39341 .5459 L
.39389 .55073 L
.39435 .55557 L
.3948 .5604 L
.39524 .56523 L
.39565 .57006 L
.39605 .57489 L
.39612 .57572 L
.39638 .57973 L
.39669 .58456 L
.397 .58939 L
.3973 .59422 L
.39758 .59905 L
.39784 .60388 L
.39809 .60872 L
.39831 .61355 L
.39851 .61838 L
.39868 .62321 L
.39883 .62804 L
.39894 .63288 L
.39902 .63771 L
.39906 .64254 L
.39907 .64737 L
.39903 .6522 L
.39895 .65704 L
.39881 .66187 L
.39861 .6667 L
.39834 .67153 L
.39798 .67636 L
.39751 .68119 L
.39689 .68603 L
.39612 .69058 L
.3961 .69086 L
.39494 .69569 L
.39322 .70052 L
.39128 .70363 L
.38645 .70451 L
.38246 .70052 L
.38162 .6993 L
.37911 .69569 L
.37701 .69086 L
.37679 .68992 L
.37512 .68603 L
.37328 .68119 L
.37196 .67725 L
.37165 .67636 L
.37007 .67153 L
.36857 .6667 L
.36716 .66187 L
.36712 .66175 L
.36582 .65704 L
.36452 .6522 L
.36325 .64737 L
.36229 .64363 L
.36203 .64254 L
.36089 .63771 L
.35975 .63288 L
.35862 .62804 L
.35752 .62321 L
.35746 .62295 L
.35652 .61838 L
.35551 .61355 L
.3545 .60872 L
.3535 .60388 L
.35263 .59963 L
.35253 .59905 L
.35166 .59422 L
.35077 .58939 L
.34986 .58456 L
.34896 .57973 L
.34806 .57489 L
.3478 .57342 L
.34728 .57006 L
.34651 .56523 L
.34571 .5604 L
.3449 .55557 L
.34409 .55073 L
.3433 .5459 L
.34296 .54384 L
.3426 .54107 L
.34193 .53624 L
.34124 .53141 L
.34054 .52658 L
.33983 .52174 L
.33913 .51691 L
.33844 .51208 L
.33813 .50991 L
.33784 .50725 L
.33727 .50242 L
.33669 .49758 L
.3361 .49275 L
.3355 .48792 L
.33491 .48309 L
.33433 .47826 L
.33376 .47342 L
.3333 .46942 L
.33323 .46859 L
.33278 .46376 L
.33233 .45893 L
.33186 .4541 L
.3314 .44927 L
.33095 .44443 L
.3305 .4396 L
.33007 .43477 L
.32965 .42994 L
.32926 .42511 L
.32888 .42027 L
.32852 .41544 L
.32847 .41469 L
.32823 .41061 L
.32794 .40578 L
.32768 .40095 L
.32742 .39612 L
.32718 .39128 L
.32696 .38645 L
.32677 .38162 L
.3266 .37679 L
.32646 .37196 L
.32634 .36712 L
.32626 .36229 L
.32622 .35746 L
.32621 .35263 L
.32625 .3478 L
.32633 .34296 L
.32647 .33813 L
.32667 .3333 L
.32694 .32847 L
.3273 .32364 L
.32778 .31881 L
.3284 .31397 L
.32847 .31352 L
.32896 .30914 L
.32957 .30431 L
.33205 .29948 L
F
1 .822 .004 r
.3333 .29903 m
.33813 .29661 L
.34181 .29948 L
.34296 .30094 L
.34576 .30431 L
.34776 .30914 L
.3478 .30969 L
.34973 .31397 L
.3516 .31881 L
.35263 .32186 L
.35325 .32364 L
.35487 .32847 L
.35638 .3333 L
.35746 .33695 L
.3578 .33813 L
.35916 .34296 L
.36048 .3478 L
.36176 .35263 L
.36229 .35469 L
.36296 .35746 L
.36413 .36229 L
.36529 .36712 L
.36642 .37196 L
.36712 .37501 L
.3675 .37679 L
.36851 .38162 L
.36954 .38645 L
.37056 .39128 L
.37157 .39612 L
.37196 .39797 L
.3725 .40095 L
.37339 .40578 L
.37431 .41061 L
.37522 .41544 L
.37613 .42027 L
.37679 .4238 L
.37699 .42511 L
.37777 .42994 L
.37857 .43477 L
.37938 .4396 L
.3802 .44443 L
.38101 .44927 L
.38162 .45294 L
.38177 .4541 L
.38244 .45893 L
.38314 .46376 L
.38385 .46859 L
.38457 .47342 L
.38529 .47826 L
.38599 .48309 L
.38645 .48632 L
.38663 .48792 L
.3872 .49275 L
.38779 .49758 L
.3884 .50242 L
.38901 .50725 L
.38961 .51208 L
.39021 .51691 L
.39079 .52174 L
.39128 .52596 L
.39134 .52658 L
.3918 .53141 L
.39227 .53624 L
.39274 .54107 L
.39322 .5459 L
.39369 .55073 L
.39415 .55557 L
.3946 .5604 L
.39503 .56523 L
.39544 .57006 L
.39584 .57489 L
.39612 .57846 L
.3962 .57973 L
.3965 .58456 L
.3968 .58939 L
.39709 .59422 L
.39737 .59905 L
.39763 .60388 L
.39787 .60872 L
.39809 .61355 L
.39828 .61838 L
.39844 .62321 L
.39858 .62804 L
.39869 .63288 L
.39876 .63771 L
.3988 .64254 L
.39879 .64737 L
.39875 .6522 L
.39865 .65704 L
.3985 .66187 L
.39828 .6667 L
.39799 .67153 L
.3976 .67636 L
.3971 .68119 L
.39643 .68603 L
.39612 .68784 L
.39588 .69086 L
.39427 .69569 L
.39224 .70052 L
.39128 .7019 L
.38645 .70311 L
.38347 .70052 L
.38162 .69805 L
.37984 .69569 L
.37733 .69086 L
.37679 .68876 L
.37559 .68603 L
.37368 .68119 L
.37202 .67636 L
.37196 .67615 L
.37042 .67153 L
.3689 .6667 L
.36746 .66187 L
.36712 .66068 L
.36611 .65704 L
.3648 .6522 L
.36352 .64737 L
.36229 .64256 L
.36229 .64254 L
.36114 .63771 L
.36 .63288 L
.35887 .62804 L
.35776 .62321 L
.35746 .62187 L
.35674 .61838 L
.35574 .61355 L
.35473 .60872 L
.35372 .60388 L
.35274 .59905 L
.35263 .59852 L
.35186 .59422 L
.35097 .58939 L
.35007 .58456 L
.34917 .57973 L
.34828 .57489 L
.3478 .57226 L
.34746 .57006 L
.3467 .56523 L
.34591 .5604 L
.3451 .55557 L
.3443 .55073 L
.3435 .5459 L
.34296 .54258 L
.34277 .54107 L
.34211 .53624 L
.34143 .53141 L
.34073 .52658 L
.34003 .52174 L
.33933 .51691 L
.33864 .51208 L
.33813 .50847 L
.338 .50725 L
.33745 .50242 L
.33687 .49758 L
.33629 .49275 L
.33569 .48792 L
.33511 .48309 L
.33453 .47826 L
.33396 .47342 L
.33341 .46859 L
.3333 .46762 L
.33295 .46376 L
.33251 .45893 L
.33205 .4541 L
.3316 .44927 L
.33115 .44443 L
.3307 .4396 L
.33028 .43477 L
.32986 .42994 L
.32947 .42511 L
.32909 .42027 L
.32874 .41544 L
.32847 .41156 L
.32841 .41061 L
.32814 .40578 L
.32788 .40095 L
.32763 .39612 L
.3274 .39128 L
.32719 .38645 L
.327 .38162 L
.32683 .37679 L
.3267 .37196 L
.32659 .36712 L
.32652 .36229 L
.32648 .35746 L
.32649 .35263 L
.32653 .3478 L
.32663 .34296 L
.32678 .33813 L
.327 .3333 L
.32729 .32847 L
.32768 .32364 L
.32819 .31881 L
.32847 .31665 L
.32877 .31397 L
.32935 .30914 L
.3302 .30431 L
.33302 .29948 L
F
1 .818 .004 r
.33813 .29803 m
.34053 .29948 L
.34296 .30218 L
.34492 .30431 L
.34761 .30914 L
.3478 .31084 L
.34925 .31397 L
.35121 .31881 L
.35263 .32295 L
.35287 .32364 L
.35452 .32847 L
.35606 .3333 L
.35746 .338 L
.3575 .33813 L
.35887 .34296 L
.3602 .3478 L
.36149 .35263 L
.36229 .35574 L
.36271 .35746 L
.36388 .36229 L
.36504 .36712 L
.36618 .37196 L
.36712 .37606 L
.36728 .37679 L
.36829 .38162 L
.36932 .38645 L
.37034 .39128 L
.37135 .39612 L
.37196 .39905 L
.3723 .40095 L
.37319 .40578 L
.3741 .41061 L
.37501 .41544 L
.37593 .42027 L
.37679 .42493 L
.37681 .42511 L
.37758 .42994 L
.37838 .43477 L
.37919 .4396 L
.38 .44443 L
.38081 .44927 L
.38161 .4541 L
.38162 .45417 L
.38227 .45893 L
.38296 .46376 L
.38366 .46859 L
.38438 .47342 L
.38509 .47826 L
.38579 .48309 L
.38645 .48771 L
.38647 .48792 L
.38703 .49275 L
.38762 .49758 L
.38821 .50242 L
.38882 .50725 L
.38942 .51208 L
.39001 .51691 L
.39059 .52174 L
.39116 .52658 L
.39128 .52768 L
.39163 .53141 L
.39209 .53624 L
.39256 .54107 L
.39303 .5459 L
.3935 .55073 L
.39395 .55557 L
.3944 .5604 L
.39483 .56523 L
.39524 .57006 L
.39563 .57489 L
.396 .57973 L
.39612 .58127 L
.39632 .58456 L
.39661 .58939 L
.3969 .59422 L
.39717 .59905 L
.39742 .60388 L
.39765 .60872 L
.39786 .61355 L
.39805 .61838 L
.39821 .62321 L
.39834 .62804 L
.39844 .63288 L
.39851 .63771 L
.39854 .64254 L
.39852 .64737 L
.39847 .6522 L
.39836 .65704 L
.39819 .66187 L
.39796 .6667 L
.39764 .67153 L
.39723 .67636 L
.39668 .68119 L
.39612 .68503 L
.39602 .68603 L
.39559 .69086 L
.39356 .69569 L
.39128 .70018 L
.39099 .70052 L
.38645 .70172 L
.38474 .70052 L
.38162 .69682 L
.38069 .69569 L
.37773 .69086 L
.37679 .68763 L
.37607 .68603 L
.37408 .68119 L
.37237 .67636 L
.37196 .67507 L
.37076 .67153 L
.36922 .6667 L
.36777 .66187 L
.36712 .65962 L
.3664 .65704 L
.36508 .6522 L
.36379 .64737 L
.36255 .64254 L
.36229 .64152 L
.36139 .63771 L
.36024 .63288 L
.35911 .62804 L
.358 .62321 L
.35746 .62082 L
.35696 .61838 L
.35596 .61355 L
.35495 .60872 L
.35395 .60388 L
.35296 .59905 L
.35263 .59743 L
.35206 .59422 L
.35118 .58939 L
.35028 .58456 L
.34938 .57973 L
.34848 .57489 L
.3478 .57111 L
.34764 .57006 L
.34688 .56523 L
.3461 .5604 L
.3453 .55557 L
.3445 .55073 L
.3437 .5459 L
.34296 .54133 L
.34293 .54107 L
.34229 .53624 L
.34161 .53141 L
.34092 .52658 L
.34022 .52174 L
.33952 .51691 L
.33883 .51208 L
.33816 .50725 L
.33813 .50705 L
.33761 .50242 L
.33705 .49758 L
.33647 .49275 L
.33588 .48792 L
.3353 .48309 L
.33472 .47826 L
.33416 .47342 L
.33361 .46859 L
.3333 .46582 L
.33312 .46376 L
.33268 .45893 L
.33223 .4541 L
.33178 .44927 L
.33134 .44443 L
.3309 .4396 L
.33048 .43477 L
.33007 .42994 L
.32968 .42511 L
.3293 .42027 L
.32895 .41544 L
.32862 .41061 L
.32847 .40829 L
.32833 .40578 L
.32808 .40095 L
.32783 .39612 L
.32761 .39128 L
.3274 .38645 L
.32722 .38162 L
.32706 .37679 L
.32693 .37196 L
.32684 .36712 L
.32677 .36229 L
.32674 .35746 L
.32675 .35263 L
.32681 .3478 L
.32692 .34296 L
.32709 .33813 L
.32732 .3333 L
.32764 .32847 L
.32806 .32364 L
.32847 .31992 L
.32858 .31881 L
.32913 .31397 L
.32981 .30914 L
.33101 .30431 L
.3333 .30082 L
.33431 .29948 L
F
1 .813 .003 r
.33813 .29944 m
.33827 .29948 L
.34296 .30341 L
.34388 .30431 L
.34734 .30914 L
.3478 .31196 L
.34875 .31397 L
.3508 .31881 L
.35251 .32364 L
.35263 .32402 L
.35417 .32847 L
.35573 .3333 L
.3572 .33813 L
.35746 .33904 L
.35858 .34296 L
.35992 .3478 L
.36122 .35263 L
.36229 .35676 L
.36246 .35746 L
.36363 .36229 L
.36479 .36712 L
.36594 .37196 L
.36705 .37679 L
.36712 .3771 L
.36807 .38162 L
.3691 .38645 L
.37012 .39128 L
.37113 .39612 L
.37196 .40012 L
.37211 .40095 L
.37299 .40578 L
.3739 .41061 L
.37481 .41544 L
.37572 .42027 L
.37662 .42511 L
.37679 .42605 L
.3774 .42994 L
.37819 .43477 L
.37899 .4396 L
.37981 .44443 L
.38062 .44927 L
.38141 .4541 L
.38162 .45538 L
.3821 .45893 L
.38278 .46376 L
.38348 .46859 L
.38419 .47342 L
.3849 .47826 L
.3856 .48309 L
.38629 .48792 L
.38645 .48909 L
.38687 .49275 L
.38744 .49758 L
.38803 .50242 L
.38863 .50725 L
.38923 .51208 L
.38982 .51691 L
.3904 .52174 L
.39096 .52658 L
.39128 .52939 L
.39147 .53141 L
.39192 .53624 L
.39238 .54107 L
.39285 .5459 L
.39331 .55073 L
.39376 .55557 L
.3942 .5604 L
.39463 .56523 L
.39504 .57006 L
.39542 .57489 L
.39579 .57973 L
.39612 .58417 L
.39614 .58456 L
.39643 .58939 L
.3967 .59422 L
.39697 .59905 L
.39721 .60388 L
.39744 .60872 L
.39765 .61355 L
.39783 .61838 L
.39798 .62321 L
.39811 .62804 L
.3982 .63288 L
.39826 .63771 L
.39828 .64254 L
.39826 .64737 L
.39819 .6522 L
.39807 .65704 L
.39788 .66187 L
.39763 .6667 L
.39729 .67153 L
.39684 .67636 L
.39625 .68119 L
.39612 .68213 L
.39571 .68603 L
.39519 .69086 L
.39279 .69569 L
.39128 .69847 L
.38645 .70034 L
.38167 .69569 L
.38162 .69561 L
.37822 .69086 L
.37679 .68651 L
.37656 .68603 L
.3745 .68119 L
.37273 .67636 L
.37196 .67401 L
.37111 .67153 L
.36955 .6667 L
.36807 .66187 L
.36712 .65859 L
.36669 .65704 L
.36536 .6522 L
.36406 .64737 L
.36281 .64254 L
.36229 .64049 L
.36163 .63771 L
.36048 .63288 L
.35935 .62804 L
.35824 .62321 L
.35746 .61978 L
.35717 .61838 L
.35618 .61355 L
.35517 .60872 L
.35416 .60388 L
.35317 .59905 L
.35263 .59637 L
.35225 .59422 L
.35137 .58939 L
.35048 .58456 L
.34958 .57973 L
.34869 .57489 L
.34781 .57006 L
.3478 .56999 L
.34706 .56523 L
.34628 .5604 L
.34549 .55557 L
.34469 .55073 L
.3439 .5459 L
.34312 .54107 L
.34296 .5401 L
.34245 .53624 L
.34179 .53141 L
.3411 .52658 L
.34041 .52174 L
.33971 .51691 L
.33903 .51208 L
.33835 .50725 L
.33813 .50564 L
.33778 .50242 L
.33722 .49758 L
.33665 .49275 L
.33607 .48792 L
.33549 .48309 L
.33491 .47826 L
.33435 .47342 L
.3338 .46859 L
.3333 .46403 L
.33328 .46376 L
.33285 .45893 L
.33241 .4541 L
.33197 .44927 L
.33153 .44443 L
.33109 .4396 L
.33067 .43477 L
.33027 .42994 L
.32988 .42511 L
.32951 .42027 L
.32916 .41544 L
.32883 .41061 L
.32853 .40578 L
.32847 .40485 L
.32827 .40095 L
.32803 .39612 L
.32781 .39128 L
.32762 .38645 L
.32744 .38162 L
.32729 .37679 L
.32717 .37196 L
.32707 .36712 L
.32702 .36229 L
.327 .35746 L
.32702 .35263 L
.32709 .3478 L
.32721 .34296 L
.32739 .33813 L
.32765 .3333 L
.32799 .32847 L
.32844 .32364 L
.32847 .32336 L
.32894 .31881 L
.32953 .31397 L
.33035 .30914 L
.33206 .30431 L
.3333 .30261 L
.33676 .29948 L
F
1 .809 .003 r
.33813 .30083 m
.34272 .30431 L
.34296 .30462 L
.34691 .30914 L
.3478 .31307 L
.34824 .31397 L
.35038 .31881 L
.35217 .32364 L
.35263 .32507 L
.35382 .32847 L
.35541 .3333 L
.3569 .33813 L
.35746 .34006 L
.3583 .34296 L
.35965 .3478 L
.36095 .35263 L
.36221 .35746 L
.36229 .35777 L
.36339 .36229 L
.36455 .36712 L
.3657 .37196 L
.36682 .37679 L
.36712 .37812 L
.36786 .38162 L
.36888 .38645 L
.3699 .39128 L
.37092 .39612 L
.37191 .40095 L
.37196 .40116 L
.3728 .40578 L
.3737 .41061 L
.37461 .41544 L
.37552 .42027 L
.37641 .42511 L
.37679 .42715 L
.37723 .42994 L
.37801 .43477 L
.37881 .4396 L
.37962 .44443 L
.38042 .44927 L
.38122 .4541 L
.38162 .45657 L
.38194 .45893 L
.38261 .46376 L
.3833 .46859 L
.38401 .47342 L
.38471 .47826 L
.38541 .48309 L
.3861 .48792 L
.38645 .49045 L
.38671 .49275 L
.38728 .49758 L
.38786 .50242 L
.38845 .50725 L
.38905 .51208 L
.38963 .51691 L
.39021 .52174 L
.39077 .52658 L
.39128 .5311 L
.39131 .53141 L
.39176 .53624 L
.39221 .54107 L
.39267 .5459 L
.39312 .55073 L
.39357 .55557 L
.39401 .5604 L
.39443 .56523 L
.39484 .57006 L
.39522 .57489 L
.39559 .57973 L
.39594 .58456 L
.39612 .58717 L
.39624 .58939 L
.39651 .59422 L
.39677 .59905 L
.39701 .60388 L
.39723 .60872 L
.39743 .61355 L
.39761 .61838 L
.39776 .62321 L
.39788 .62804 L
.39796 .63288 L
.39801 .63771 L
.39802 .64254 L
.39799 .64737 L
.39791 .6522 L
.39778 .65704 L
.39758 .66187 L
.39731 .6667 L
.39694 .67153 L
.39646 .67636 L
.39612 .67913 L
.3959 .68119 L
.39537 .68603 L
.39466 .69086 L
.39192 .69569 L
.39128 .69677 L
.38645 .69898 L
.38257 .69569 L
.38162 .69442 L
.37882 .69086 L
.37685 .68603 L
.37679 .68541 L
.37493 .68119 L
.37308 .67636 L
.37196 .67296 L
.37146 .67153 L
.36987 .6667 L
.36838 .66187 L
.36712 .65757 L
.36697 .65704 L
.36563 .6522 L
.36433 .64737 L
.36307 .64254 L
.36229 .63948 L
.36187 .63771 L
.36072 .63288 L
.35959 .62804 L
.35847 .62321 L
.35746 .61876 L
.35738 .61838 L
.35639 .61355 L
.35538 .60872 L
.35438 .60388 L
.35338 .59905 L
.35263 .59531 L
.35244 .59422 L
.35157 .58939 L
.35068 .58456 L
.34978 .57973 L
.34889 .57489 L
.34801 .57006 L
.3478 .56888 L
.34724 .56523 L
.34647 .5604 L
.34568 .55557 L
.34488 .55073 L
.34409 .5459 L
.34331 .54107 L
.34296 .53889 L
.34262 .53624 L
.34196 .53141 L
.34128 .52658 L
.34059 .52174 L
.3399 .51691 L
.33921 .51208 L
.33854 .50725 L
.33813 .50425 L
.33793 .50242 L
.33738 .49758 L
.33682 .49275 L
.33624 .48792 L
.33567 .48309 L
.3351 .47826 L
.33454 .47342 L
.33399 .46859 L
.33346 .46376 L
.3333 .46225 L
.33301 .45893 L
.33258 .4541 L
.33214 .44927 L
.33171 .44443 L
.33128 .4396 L
.33087 .43477 L
.33046 .42994 L
.33008 .42511 L
.32971 .42027 L
.32936 .41544 L
.32904 .41061 L
.32874 .40578 L
.32847 .40119 L
.32846 .40095 L
.32823 .39612 L
.32802 .39128 L
.32782 .38645 L
.32765 .38162 L
.32751 .37679 L
.32739 .37196 L
.32731 .36712 L
.32726 .36229 L
.32725 .35746 L
.32728 .35263 L
.32736 .3478 L
.3275 .34296 L
.3277 .33813 L
.32797 .3333 L
.32834 .32847 L
.32847 .32702 L
.32878 .32364 L
.3293 .31881 L
.32997 .31397 L
.33099 .30914 L
.3333 .3044 L
.33335 .30431 L
F
1 .805 .002 r
.33813 .30221 m
.34163 .30431 L
.34296 .30582 L
.34628 .30914 L
.3477 .31397 L
.3478 .31417 L
.34995 .31881 L
.35182 .32364 L
.35263 .32611 L
.35347 .32847 L
.35509 .3333 L
.3566 .33813 L
.35746 .34106 L
.35801 .34296 L
.35937 .3478 L
.36069 .35263 L
.36196 .35746 L
.36229 .35876 L
.36315 .36229 L
.36432 .36712 L
.36547 .37196 L
.36659 .37679 L
.36712 .37912 L
.36765 .38162 L
.36867 .38645 L
.36969 .39128 L
.3707 .39612 L
.3717 .40095 L
.37196 .40219 L
.37261 .40578 L
.3735 .41061 L
.37441 .41544 L
.37532 .42027 L
.37622 .42511 L
.37679 .42823 L
.37705 .42994 L
.37783 .43477 L
.37862 .4396 L
.37943 .44443 L
.38023 .44927 L
.38103 .4541 L
.38162 .45775 L
.38178 .45893 L
.38244 .46376 L
.38313 .46859 L
.38383 .47342 L
.38453 .47826 L
.38523 .48309 L
.38591 .48792 L
.38645 .49179 L
.38656 .49275 L
.38712 .49758 L
.38769 .50242 L
.38828 .50725 L
.38887 .51208 L
.38945 .51691 L
.39003 .52174 L
.39059 .52658 L
.39113 .53141 L
.39128 .53279 L
.3916 .53624 L
.39204 .54107 L
.39249 .5459 L
.39294 .55073 L
.39339 .55557 L
.39382 .5604 L
.39424 .56523 L
.39464 .57006 L
.39503 .57489 L
.39539 .57973 L
.39574 .58456 L
.39606 .58939 L
.39612 .59031 L
.39633 .59422 L
.39658 .59905 L
.39681 .60388 L
.39703 .60872 L
.39722 .61355 L
.39739 .61838 L
.39754 .62321 L
.39765 .62804 L
.39773 .63288 L
.39777 .63771 L
.39777 .64254 L
.39773 .64737 L
.39764 .6522 L
.39749 .65704 L
.39728 .66187 L
.39698 .6667 L
.39659 .67153 L
.39612 .67599 L
.39608 .67636 L
.39557 .68119 L
.39496 .68603 L
.39395 .69086 L
.39128 .69507 L
.39085 .69569 L
.38645 .69764 L
.38366 .69569 L
.38162 .69324 L
.37956 .69086 L
.37701 .68603 L
.37679 .68433 L
.37537 .68119 L
.37345 .67636 L
.37196 .67193 L
.37182 .67153 L
.3702 .6667 L
.36868 .66187 L
.36726 .65704 L
.36712 .65657 L
.3659 .6522 L
.36459 .64737 L
.36332 .64254 L
.36229 .63849 L
.3621 .63771 L
.36096 .63288 L
.35982 .62804 L
.3587 .62321 L
.3576 .61838 L
.35746 .61776 L
.35659 .61355 L
.35559 .60872 L
.35459 .60388 L
.35359 .59905 L
.35263 .59428 L
.35262 .59422 L
.35175 .58939 L
.35087 .58456 L
.34998 .57973 L
.34909 .57489 L
.34821 .57006 L
.3478 .56778 L
.34741 .56523 L
.34664 .5604 L
.34586 .55557 L
.34507 .55073 L
.34428 .5459 L
.3435 .54107 L
.34296 .5377 L
.34277 .53624 L
.34213 .53141 L
.34145 .52658 L
.34077 .52174 L
.34008 .51691 L
.3394 .51208 L
.33873 .50725 L
.33813 .50287 L
.33808 .50242 L
.33754 .49758 L
.33699 .49275 L
.33642 .48792 L
.33585 .48309 L
.33528 .47826 L
.33472 .47342 L
.33418 .46859 L
.33365 .46376 L
.3333 .46046 L
.33317 .45893 L
.33274 .4541 L
.33232 .44927 L
.33189 .44443 L
.33147 .4396 L
.33105 .43477 L
.33066 .42994 L
.33027 .42511 L
.32991 .42027 L
.32956 .41544 L
.32924 .41061 L
.32894 .40578 L
.32867 .40095 L
.32847 .39722 L
.32842 .39612 L
.32821 .39128 L
.32803 .38645 L
.32786 .38162 L
.32773 .37679 L
.32762 .37196 L
.32754 .36712 L
.3275 .36229 L
.3275 .35746 L
.32754 .35263 L
.32763 .3478 L
.32778 .34296 L
.328 .33813 L
.32829 .3333 L
.32847 .33099 L
.32867 .32847 L
.32912 .32364 L
.32969 .31881 L
.33045 .31397 L
.33175 .30914 L
.3333 .30618 L
.33444 .30431 L
F
1 .8 .002 r
.33813 .30358 m
.34009 .30431 L
.34296 .307 L
.34539 .30914 L
.34717 .31397 L
.3478 .31525 L
.3495 .31881 L
.35146 .32364 L
.35263 .32712 L
.35311 .32847 L
.35476 .3333 L
.3563 .33813 L
.35746 .34205 L
.35773 .34296 L
.3591 .3478 L
.36043 .35263 L
.36171 .35746 L
.36229 .35974 L
.36292 .36229 L
.36408 .36712 L
.36524 .37196 L
.36637 .37679 L
.36712 .3801 L
.36744 .38162 L
.36846 .38645 L
.36948 .39128 L
.3705 .39612 L
.3715 .40095 L
.37196 .4032 L
.37242 .40578 L
.37331 .41061 L
.37422 .41544 L
.37512 .42027 L
.37602 .42511 L
.37679 .4293 L
.37689 .42994 L
.37765 .43477 L
.37844 .4396 L
.37924 .44443 L
.38005 .44927 L
.38084 .4541 L
.38162 .45891 L
.38162 .45893 L
.38228 .46376 L
.38296 .46859 L
.38365 .47342 L
.38435 .47826 L
.38505 .48309 L
.38573 .48792 L
.3864 .49275 L
.38645 .49312 L
.38696 .49758 L
.38753 .50242 L
.38811 .50725 L
.38869 .51208 L
.38927 .51691 L
.38984 .52174 L
.3904 .52658 L
.39095 .53141 L
.39128 .53449 L
.39144 .53624 L
.39188 .54107 L
.39232 .5459 L
.39277 .55073 L
.39321 .55557 L
.39364 .5604 L
.39405 .56523 L
.39445 .57006 L
.39483 .57489 L
.3952 .57973 L
.39554 .58456 L
.39586 .58939 L
.39612 .59362 L
.39615 .59422 L
.39639 .59905 L
.39662 .60388 L
.39683 .60872 L
.39702 .61355 L
.39718 .61838 L
.39732 .62321 L
.39742 .62804 L
.39749 .63288 L
.39753 .63771 L
.39752 .64254 L
.39747 .64737 L
.39737 .6522 L
.39721 .65704 L
.39697 .66187 L
.39666 .6667 L
.39623 .67153 L
.39612 .67269 L
.39576 .67636 L
.39521 .68119 L
.39449 .68603 L
.39305 .69086 L
.39128 .69338 L
.38929 .69569 L
.38645 .69631 L
.38516 .69569 L
.38162 .69208 L
.38046 .69086 L
.37727 .68603 L
.37679 .68326 L
.37583 .68119 L
.37383 .67636 L
.37215 .67153 L
.37196 .67092 L
.37052 .6667 L
.36898 .66187 L
.36754 .65704 L
.36712 .65559 L
.36617 .6522 L
.36485 .64737 L
.36357 .64254 L
.36234 .63771 L
.36229 .63752 L
.36119 .63288 L
.36005 .62804 L
.35892 .62321 L
.35782 .61838 L
.35746 .61677 L
.3568 .61355 L
.3558 .60872 L
.35479 .60388 L
.3538 .59905 L
.35282 .59422 L
.35263 .59326 L
.35194 .58939 L
.35106 .58456 L
.35017 .57973 L
.34928 .57489 L
.3484 .57006 L
.3478 .5667 L
.34757 .56523 L
.34682 .5604 L
.34604 .55557 L
.34525 .55073 L
.34446 .5459 L
.34368 .54107 L
.34296 .53652 L
.34293 .53624 L
.34229 .53141 L
.34162 .52658 L
.34094 .52174 L
.34026 .51691 L
.33958 .51208 L
.33891 .50725 L
.33825 .50242 L
.33813 .5015 L
.3377 .49758 L
.33715 .49275 L
.33659 .48792 L
.33602 .48309 L
.33546 .47826 L
.3349 .47342 L
.33436 .46859 L
.33384 .46376 L
.33333 .45893 L
.3333 .45868 L
.33291 .4541 L
.33248 .44927 L
.33206 .44443 L
.33165 .4396 L
.33124 .43477 L
.33084 .42994 L
.33047 .42511 L
.3301 .42027 L
.32976 .41544 L
.32944 .41061 L
.32915 .40578 L
.32887 .40095 L
.32862 .39612 L
.32847 .39282 L
.32841 .39128 L
.32823 .38645 L
.32807 .38162 L
.32794 .37679 L
.32784 .37196 L
.32777 .36712 L
.32774 .36229 L
.32775 .35746 L
.3278 .35263 L
.3279 .3478 L
.32807 .34296 L
.3283 .33813 L
.32847 .33539 L
.32861 .3333 L
.32899 .32847 L
.32948 .32364 L
.33009 .31881 L
.33099 .31397 L
.33264 .30914 L
.3333 .30797 L
.33598 .30431 L
F
1 .796 .002 r
.33813 .30493 m
.34296 .30816 L
.34422 .30914 L
.34662 .31397 L
.3478 .31631 L
.34903 .31881 L
.35109 .32364 L
.35263 .32813 L
.35275 .32847 L
.35444 .3333 L
.356 .33813 L
.35744 .34296 L
.35746 .34302 L
.35883 .3478 L
.36017 .35263 L
.36146 .35746 L
.36229 .3607 L
.36268 .36229 L
.36385 .36712 L
.36501 .37196 L
.36614 .37679 L
.36712 .38107 L
.36724 .38162 L
.36826 .38645 L
.36928 .39128 L
.37029 .39612 L
.37129 .40095 L
.37196 .4042 L
.37224 .40578 L
.37313 .41061 L
.37403 .41544 L
.37493 .42027 L
.37583 .42511 L
.37671 .42994 L
.37679 .43035 L
.37748 .43477 L
.37827 .4396 L
.37907 .44443 L
.37987 .44927 L
.38066 .4541 L
.38144 .45893 L
.38162 .46006 L
.38212 .46376 L
.38279 .46859 L
.38348 .47342 L
.38417 .47826 L
.38487 .48309 L
.38555 .48792 L
.38622 .49275 L
.38645 .49444 L
.38681 .49758 L
.38737 .50242 L
.38794 .50725 L
.38852 .51208 L
.3891 .51691 L
.38967 .52174 L
.39022 .52658 L
.39077 .53141 L
.39128 .53618 L
.39129 .53624 L
.39172 .54107 L
.39216 .5459 L
.3926 .55073 L
.39303 .55557 L
.39346 .5604 L
.39387 .56523 L
.39426 .57006 L
.39464 .57489 L
.395 .57973 L
.39534 .58456 L
.39566 .58939 L
.39595 .59422 L
.39612 .59714 L
.39621 .59905 L
.39643 .60388 L
.39663 .60872 L
.39682 .61355 L
.39697 .61838 L
.3971 .62321 L
.3972 .62804 L
.39727 .63288 L
.39729 .63771 L
.39728 .64254 L
.39721 .64737 L
.3971 .6522 L
.39692 .65704 L
.39667 .66187 L
.39633 .6667 L
.39612 .66916 L
.39591 .67153 L
.39542 .67636 L
.39482 .68119 L
.39394 .68603 L
.39193 .69086 L
.39128 .69168 L
.38645 .69499 L
.38162 .69094 L
.38154 .69086 L
.37765 .68603 L
.37679 .68221 L
.3763 .68119 L
.37422 .67636 L
.37247 .67153 L
.37196 .66992 L
.37085 .6667 L
.36928 .66187 L
.36782 .65704 L
.36712 .65462 L
.36644 .6522 L
.36511 .64737 L
.36383 .64254 L
.36258 .63771 L
.36229 .63655 L
.36141 .63288 L
.36027 .62804 L
.35914 .62321 L
.35804 .61838 L
.35746 .6158 L
.357 .61355 L
.356 .60872 L
.355 .60388 L
.354 .59905 L
.35302 .59422 L
.35263 .59226 L
.35212 .58939 L
.35124 .58456 L
.35036 .57973 L
.34947 .57489 L
.34859 .57006 L
.3478 .56564 L
.34773 .56523 L
.34699 .5604 L
.34621 .55557 L
.34543 .55073 L
.34465 .5459 L
.34387 .54107 L
.3431 .53624 L
.34296 .53535 L
.34245 .53141 L
.34179 .52658 L
.34111 .52174 L
.34043 .51691 L
.33976 .51208 L
.33909 .50725 L
.33843 .50242 L
.33813 .50015 L
.33785 .49758 L
.33731 .49275 L
.33675 .48792 L
.33619 .48309 L
.33563 .47826 L
.33508 .47342 L
.33454 .46859 L
.33402 .46376 L
.33351 .45893 L
.3333 .45689 L
.33306 .4541 L
.33265 .44927 L
.33223 .44443 L
.33182 .4396 L
.33142 .43477 L
.33103 .42994 L
.33065 .42511 L
.3303 .42027 L
.32996 .41544 L
.32964 .41061 L
.32935 .40578 L
.32908 .40095 L
.32883 .39612 L
.32861 .39128 L
.32847 .38774 L
.32843 .38645 L
.32828 .38162 L
.32815 .37679 L
.32806 .37196 L
.328 .36712 L
.32797 .36229 L
.32799 .35746 L
.32805 .35263 L
.32817 .3478 L
.32835 .34296 L
.32847 .34046 L
.3286 .33813 L
.32892 .3333 L
.32932 .32847 L
.32984 .32364 L
.33053 .31881 L
.33159 .31397 L
.3333 .30976 L
.33358 .30914 L
F
1 .791 .002 r
.33813 .30627 m
.34282 .30914 L
.34296 .30931 L
.34603 .31397 L
.3478 .31736 L
.34853 .31881 L
.3507 .32364 L
.35243 .32847 L
.35263 .32912 L
.35411 .3333 L
.3557 .33813 L
.35717 .34296 L
.35746 .34398 L
.35856 .3478 L
.35991 .35263 L
.36121 .35746 L
.36229 .36165 L
.36245 .36229 L
.36363 .36712 L
.36479 .37196 L
.36592 .37679 L
.36703 .38162 L
.36712 .38203 L
.36805 .38645 L
.36907 .39128 L
.37009 .39612 L
.37109 .40095 L
.37196 .40518 L
.37206 .40578 L
.37295 .41061 L
.37384 .41544 L
.37475 .42027 L
.37564 .42511 L
.37653 .42994 L
.37679 .43139 L
.37732 .43477 L
.3781 .4396 L
.37889 .44443 L
.37969 .44927 L
.38048 .4541 L
.38126 .45893 L
.38162 .46119 L
.38196 .46376 L
.38263 .46859 L
.38331 .47342 L
.384 .47826 L
.38469 .48309 L
.38538 .48792 L
.38605 .49275 L
.38645 .49575 L
.38666 .49758 L
.38721 .50242 L
.38778 .50725 L
.38835 .51208 L
.38892 .51691 L
.38949 .52174 L
.39005 .52658 L
.39059 .53141 L
.39111 .53624 L
.39128 .53787 L
.39157 .54107 L
.392 .5459 L
.39243 .55073 L
.39286 .55557 L
.39328 .5604 L
.39369 .56523 L
.39408 .57006 L
.39446 .57489 L
.39481 .57973 L
.39515 .58456 L
.39546 .58939 L
.39575 .59422 L
.39602 .59905 L
.39612 .60095 L
.39624 .60388 L
.39644 .60872 L
.39662 .61355 L
.39677 .61838 L
.39689 .62321 L
.39698 .62804 L
.39704 .63288 L
.39706 .63771 L
.39703 .64254 L
.39696 .64737 L
.39683 .6522 L
.39664 .65704 L
.39637 .66187 L
.39612 .66535 L
.39601 .6667 L
.39559 .67153 L
.39507 .67636 L
.39439 .68119 L
.39328 .68603 L
.39128 .68999 L
.39079 .69086 L
.38645 .69368 L
.38248 .69086 L
.38162 .6898 L
.37819 .68603 L
.3768 .68119 L
.37679 .68117 L
.37462 .67636 L
.37279 .67153 L
.37196 .66894 L
.37118 .6667 L
.36959 .66187 L
.3681 .65704 L
.36712 .65366 L
.36671 .6522 L
.36537 .64737 L
.36407 .64254 L
.36282 .63771 L
.36229 .63561 L
.36164 .63288 L
.36049 .62804 L
.35936 .62321 L
.35825 .61838 L
.35746 .61484 L
.35719 .61355 L
.3562 .60872 L
.3552 .60388 L
.3542 .59905 L
.35322 .59422 L
.35263 .59127 L
.3523 .58939 L
.35143 .58456 L
.35054 .57973 L
.34965 .57489 L
.34877 .57006 L
.34791 .56523 L
.3478 .56459 L
.34715 .5604 L
.34639 .55557 L
.34561 .55073 L
.34482 .5459 L
.34405 .54107 L
.34328 .53624 L
.34296 .5342 L
.3426 .53141 L
.34195 .52658 L
.34128 .52174 L
.3406 .51691 L
.33993 .51208 L
.33926 .50725 L
.33861 .50242 L
.33813 .4988 L
.338 .49758 L
.33747 .49275 L
.33692 .48792 L
.33636 .48309 L
.33581 .47826 L
.33526 .47342 L
.33472 .46859 L
.3342 .46376 L
.33369 .45893 L
.3333 .4551 L
.33322 .4541 L
.33281 .44927 L
.3324 .44443 L
.33199 .4396 L
.33159 .43477 L
.33121 .42994 L
.33084 .42511 L
.33048 .42027 L
.33015 .41544 L
.32983 .41061 L
.32954 .40578 L
.32928 .40095 L
.32903 .39612 L
.32882 .39128 L
.32863 .38645 L
.32848 .38162 L
.32847 .38137 L
.32836 .37679 L
.32827 .37196 L
.32822 .36712 L
.3282 .36229 L
.32823 .35746 L
.32831 .35263 L
.32844 .3478 L
.32847 .34683 L
.32863 .34296 L
.32889 .33813 L
.32923 .3333 L
.32966 .32847 L
.33022 .32364 L
.331 .31881 L
.33226 .31397 L
.3333 .31155 L
.3345 .30914 L
F
1 .787 .001 r
.33813 .30761 m
.34166 .30914 L
.34296 .31045 L
.34541 .31397 L
.3478 .31839 L
.34801 .31881 L
.3503 .32364 L
.35212 .32847 L
.35263 .33009 L
.35378 .3333 L
.3554 .33813 L
.35689 .34296 L
.35746 .34492 L
.35829 .3478 L
.35965 .35263 L
.36096 .35746 L
.36222 .36229 L
.36229 .36258 L
.3634 .36712 L
.36456 .37196 L
.36571 .37679 L
.36682 .38162 L
.36712 .38297 L
.36786 .38645 L
.36887 .39128 L
.36989 .39612 L
.3709 .40095 L
.37188 .40578 L
.37196 .40615 L
.37277 .41061 L
.37366 .41544 L
.37456 .42027 L
.37546 .42511 L
.37634 .42994 L
.37679 .43241 L
.37716 .43477 L
.37793 .4396 L
.37872 .44443 L
.37951 .44927 L
.3803 .4541 L
.38108 .45893 L
.38162 .46231 L
.38181 .46376 L
.38247 .46859 L
.38315 .47342 L
.38383 .47826 L
.38452 .48309 L
.3852 .48792 L
.38587 .49275 L
.38645 .49704 L
.38651 .49758 L
.38706 .50242 L
.38762 .50725 L
.38819 .51208 L
.38876 .51691 L
.38932 .52174 L
.38987 .52658 L
.39041 .53141 L
.39093 .53624 L
.39128 .53957 L
.39141 .54107 L
.39184 .5459 L
.39227 .55073 L
.39269 .55557 L
.39311 .5604 L
.39351 .56523 L
.3939 .57006 L
.39427 .57489 L
.39463 .57973 L
.39496 .58456 L
.39527 .58939 L
.39556 .59422 L
.39582 .59905 L
.39606 .60388 L
.39612 .60518 L
.39625 .60872 L
.39642 .61355 L
.39657 .61838 L
.39668 .62321 L
.39677 .62804 L
.39682 .63288 L
.39683 .63771 L
.39679 .64254 L
.39671 .64737 L
.39656 .6522 L
.39635 .65704 L
.39612 .66111 L
.39607 .66187 L
.39571 .6667 L
.39527 .67153 L
.39471 .67636 L
.39392 .68119 L
.39251 .68603 L
.39128 .6883 L
.38964 .69086 L
.38645 .69239 L
.38362 .69086 L
.38162 .68868 L
.37891 .68603 L
.37728 .68119 L
.37679 .68015 L
.37503 .67636 L
.37313 .67153 L
.37196 .66797 L
.37151 .6667 L
.36989 .66187 L
.36838 .65704 L
.36712 .65272 L
.36698 .6522 L
.36562 .64737 L
.36432 .64254 L
.36306 .63771 L
.36229 .63467 L
.36186 .63288 L
.36071 .62804 L
.35958 .62321 L
.35847 .61838 L
.35746 .6139 L
.35739 .61355 L
.35639 .60872 L
.35539 .60388 L
.3544 .59905 L
.35341 .59422 L
.35263 .59029 L
.35247 .58939 L
.3516 .58456 L
.35072 .57973 L
.34984 .57489 L
.34896 .57006 L
.34809 .56523 L
.3478 .56356 L
.34731 .5604 L
.34655 .55557 L
.34578 .55073 L
.345 .5459 L
.34422 .54107 L
.34346 .53624 L
.34296 .53306 L
.34275 .53141 L
.34211 .52658 L
.34144 .52174 L
.34077 .51691 L
.3401 .51208 L
.33944 .50725 L
.33878 .50242 L
.33815 .49758 L
.33813 .49747 L
.33762 .49275 L
.33707 .48792 L
.33652 .48309 L
.33597 .47826 L
.33543 .47342 L
.33489 .46859 L
.33437 .46376 L
.33387 .45893 L
.33338 .4541 L
.3333 .4533 L
.33296 .44927 L
.33256 .44443 L
.33216 .4396 L
.33177 .43477 L
.33139 .42994 L
.33102 .42511 L
.33067 .42027 L
.33034 .41544 L
.33003 .41061 L
.32974 .40578 L
.32947 .40095 L
.32924 .39612 L
.32902 .39128 L
.32884 .38645 L
.32869 .38162 L
.32857 .37679 L
.32849 .37196 L
.32847 .37067 L
.32844 .36712 L
.32843 .36229 L
.32847 .35754 L
.32847 .35746 L
.32856 .35263 L
.3287 .3478 L
.32891 .34296 L
.32918 .33813 L
.32954 .3333 L
.33 .32847 L
.33062 .32364 L
.33151 .31881 L
.33302 .31397 L
.3333 .31334 L
.33564 .30914 L
F
1 .782 .001 r
.33813 .30893 m
.33973 .30914 L
.34296 .31158 L
.34473 .31397 L
.34749 .31881 L
.3478 .31941 L
.34988 .32364 L
.3518 .32847 L
.35263 .33105 L
.35344 .3333 L
.35509 .33813 L
.35661 .34296 L
.35746 .34585 L
.35803 .3478 L
.3594 .35263 L
.36072 .35746 L
.36198 .36229 L
.36229 .3635 L
.36318 .36712 L
.36434 .37196 L
.36549 .37679 L
.36661 .38162 L
.36712 .38389 L
.36766 .38645 L
.36868 .39128 L
.36969 .39612 L
.3707 .40095 L
.37169 .40578 L
.37196 .40711 L
.37259 .41061 L
.37348 .41544 L
.37438 .42027 L
.37528 .42511 L
.37616 .42994 L
.37679 .43342 L
.377 .43477 L
.37776 .4396 L
.37855 .44443 L
.37934 .44927 L
.38013 .4541 L
.38091 .45893 L
.38162 .46342 L
.38166 .46376 L
.38232 .46859 L
.38299 .47342 L
.38367 .47826 L
.38435 .48309 L
.38503 .48792 L
.3857 .49275 L
.38635 .49758 L
.38645 .49833 L
.38691 .50242 L
.38746 .50725 L
.38803 .51208 L
.38859 .51691 L
.38915 .52174 L
.3897 .52658 L
.39024 .53141 L
.39076 .53624 L
.39126 .54107 L
.39128 .54127 L
.39169 .5459 L
.39211 .55073 L
.39252 .55557 L
.39294 .5604 L
.39334 .56523 L
.39372 .57006 L
.39409 .57489 L
.39444 .57973 L
.39477 .58456 L
.39508 .58939 L
.39536 .59422 L
.39562 .59905 L
.39586 .60388 L
.39606 .60872 L
.39612 .61007 L
.39623 .61355 L
.39637 .61838 L
.39648 .62321 L
.39655 .62804 L
.3966 .63288 L
.3966 .63771 L
.39655 .64254 L
.39645 .64737 L
.3963 .6522 L
.39612 .65623 L
.39607 .65704 L
.39578 .66187 L
.39541 .6667 L
.39493 .67153 L
.39431 .67636 L
.39339 .68119 L
.39162 .68603 L
.39128 .6866 L
.38774 .69086 L
.38645 .6911 L
.38549 .69086 L
.38162 .68758 L
.37985 .68603 L
.37779 .68119 L
.37679 .67914 L
.37547 .67636 L
.37347 .67153 L
.37196 .66701 L
.37184 .6667 L
.37019 .66187 L
.36866 .65704 L
.36724 .6522 L
.36712 .6518 L
.36588 .64737 L
.36456 .64254 L
.36329 .63771 L
.36229 .63375 L
.36208 .63288 L
.36093 .62804 L
.35979 .62321 L
.35868 .61838 L
.35759 .61355 L
.35746 .61297 L
.35659 .60872 L
.35559 .60388 L
.35459 .59905 L
.35361 .59422 L
.35264 .58939 L
.35263 .58933 L
.35178 .58456 L
.3509 .57973 L
.35002 .57489 L
.34914 .57006 L
.34827 .56523 L
.3478 .56254 L
.34747 .5604 L
.34672 .55557 L
.34595 .55073 L
.34517 .5459 L
.3444 .54107 L
.34363 .53624 L
.34296 .53194 L
.3429 .53141 L
.34226 .52658 L
.3416 .52174 L
.34094 .51691 L
.34027 .51208 L
.33961 .50725 L
.33895 .50242 L
.33832 .49758 L
.33813 .49615 L
.33776 .49275 L
.33723 .48792 L
.33668 .48309 L
.33614 .47826 L
.3356 .47342 L
.33506 .46859 L
.33454 .46376 L
.33404 .45893 L
.33355 .4541 L
.3333 .45149 L
.33312 .44927 L
.33272 .44443 L
.33232 .4396 L
.33194 .43477 L
.33156 .42994 L
.3312 .42511 L
.33085 .42027 L
.33052 .41544 L
.33021 .41061 L
.32993 .40578 L
.32967 .40095 L
.32943 .39612 L
.32923 .39128 L
.32905 .38645 L
.3289 .38162 L
.32879 .37679 L
.32871 .37196 L
.32867 .36712 L
.32867 .36229 L
.32871 .35746 L
.32881 .35263 L
.32896 .3478 L
.32918 .34296 L
.32948 .33813 L
.32986 .3333 L
.33036 .32847 L
.33104 .32364 L
.33205 .31881 L
.3333 .31515 L
.33376 .31397 L
.33748 .30914 L
F
1 .778 .001 r
.33813 .31024 m
.34296 .31269 L
.34399 .31397 L
.34696 .31881 L
.3478 .32042 L
.34943 .32364 L
.35147 .32847 L
.35263 .332 L
.3531 .3333 L
.35479 .33813 L
.35633 .34296 L
.35746 .34677 L
.35776 .3478 L
.35914 .35263 L
.36047 .35746 L
.36175 .36229 L
.36229 .36441 L
.36296 .36712 L
.36413 .37196 L
.36528 .37679 L
.3664 .38162 L
.36712 .38481 L
.36747 .38645 L
.36849 .39128 L
.3695 .39612 L
.37051 .40095 L
.3715 .40578 L
.37196 .40805 L
.37242 .41061 L
.37331 .41544 L
.3742 .42027 L
.3751 .42511 L
.37598 .42994 L
.37679 .43442 L
.37684 .43477 L
.3776 .4396 L
.37838 .44443 L
.37917 .44927 L
.37996 .4541 L
.38074 .45893 L
.3815 .46376 L
.38162 .46452 L
.38217 .46859 L
.38283 .47342 L
.38351 .47826 L
.38419 .48309 L
.38487 .48792 L
.38553 .49275 L
.38618 .49758 L
.38645 .49961 L
.38676 .50242 L
.38731 .50725 L
.38787 .51208 L
.38843 .51691 L
.38899 .52174 L
.38953 .52658 L
.39007 .53141 L
.39059 .53624 L
.39109 .54107 L
.39128 .54297 L
.39153 .5459 L
.39195 .55073 L
.39236 .55557 L
.39277 .5604 L
.39317 .56523 L
.39355 .57006 L
.39391 .57489 L
.39426 .57973 L
.39459 .58456 L
.39489 .58939 L
.39518 .59422 L
.39543 .59905 L
.39566 .60388 L
.39586 .60872 L
.39603 .61355 L
.39612 .61614 L
.39617 .61838 L
.39627 .62321 L
.39634 .62804 L
.39638 .63288 L
.39637 .63771 L
.39631 .64254 L
.3962 .64737 L
.39612 .65016 L
.39603 .6522 L
.3958 .65704 L
.39549 .66187 L
.3951 .6667 L
.39459 .67153 L
.39389 .67636 L
.3928 .68119 L
.39128 .6849 L
.39076 .68603 L
.38645 .68983 L
.38162 .68648 L
.38104 .68603 L
.37832 .68119 L
.37679 .67814 L
.37592 .67636 L
.37383 .67153 L
.37215 .6667 L
.37196 .66607 L
.3705 .66187 L
.36895 .65704 L
.3675 .6522 L
.36712 .65088 L
.36613 .64737 L
.36481 .64254 L
.36353 .63771 L
.3623 .63288 L
.36229 .63285 L
.36114 .62804 L
.36001 .62321 L
.35889 .61838 L
.35779 .61355 L
.35746 .61205 L
.35677 .60872 L
.35578 .60388 L
.35478 .59905 L
.3538 .59422 L
.35283 .58939 L
.35263 .58838 L
.35195 .58456 L
.35107 .57973 L
.35019 .57489 L
.34932 .57006 L
.34845 .56523 L
.3478 .56153 L
.34762 .5604 L
.34688 .55557 L
.34611 .55073 L
.34534 .5459 L
.34457 .54107 L
.3438 .53624 L
.34305 .53141 L
.34296 .53082 L
.34241 .52658 L
.34176 .52174 L
.3411 .51691 L
.34043 .51208 L
.33977 .50725 L
.33912 .50242 L
.33849 .49758 L
.33813 .49483 L
.33791 .49275 L
.33738 .48792 L
.33684 .48309 L
.3363 .47826 L
.33576 .47342 L
.33523 .46859 L
.33471 .46376 L
.33421 .45893 L
.33373 .4541 L
.3333 .44968 L
.33327 .44927 L
.33288 .44443 L
.33249 .4396 L
.3321 .43477 L
.33173 .42994 L
.33137 .42511 L
.33103 .42027 L
.3307 .41544 L
.3304 .41061 L
.33012 .40578 L
.32986 .40095 L
.32963 .39612 L
.32943 .39128 L
.32925 .38645 L
.32911 .38162 L
.329 .37679 L
.32893 .37196 L
.32889 .36712 L
.3289 .36229 L
.32896 .35746 L
.32906 .35263 L
.32923 .3478 L
.32946 .34296 L
.32977 .33813 L
.33018 .3333 L
.33072 .32847 L
.33148 .32364 L
.33265 .31881 L
.3333 .31697 L
.33453 .31397 L
F
1 .773 .001 r
.33813 .31155 m
.34296 .3138 L
.34312 .31397 L
.3464 .31881 L
.3478 .32142 L
.34896 .32364 L
.35112 .32847 L
.35263 .33294 L
.35276 .3333 L
.35448 .33813 L
.35605 .34296 L
.35746 .34768 L
.3575 .3478 L
.35889 .35263 L
.36023 .35746 L
.36152 .36229 L
.36229 .3653 L
.36274 .36712 L
.36391 .37196 L
.36507 .37679 L
.36619 .38162 L
.36712 .38571 L
.36728 .38645 L
.3683 .39128 L
.36931 .39612 L
.37032 .40095 L
.37131 .40578 L
.37196 .40899 L
.37225 .41061 L
.37313 .41544 L
.37403 .42027 L
.37492 .42511 L
.37581 .42994 L
.37667 .43477 L
.37679 .43541 L
.37745 .4396 L
.37822 .44443 L
.379 .44927 L
.37979 .4541 L
.38057 .45893 L
.38133 .46376 L
.38162 .4656 L
.38202 .46859 L
.38268 .47342 L
.38335 .47826 L
.38403 .48309 L
.3847 .48792 L
.38537 .49275 L
.38602 .49758 L
.38645 .50087 L
.38662 .50242 L
.38716 .50725 L
.38772 .51208 L
.38827 .51691 L
.38883 .52174 L
.38937 .52658 L
.3899 .53141 L
.39042 .53624 L
.39092 .54107 L
.39128 .54467 L
.39139 .5459 L
.3918 .55073 L
.3922 .55557 L
.39261 .5604 L
.393 .56523 L
.39338 .57006 L
.39374 .57489 L
.39408 .57973 L
.39441 .58456 L
.39471 .58939 L
.39499 .59422 L
.39524 .59905 L
.39547 .60388 L
.39566 .60872 L
.39583 .61355 L
.39597 .61838 L
.39607 .62321 L
.39612 .62547 L
.39613 .62804 L
.39616 .63288 L
.39614 .63771 L
.39612 .64011 L
.39608 .64254 L
.39596 .64737 L
.39578 .6522 L
.39553 .65704 L
.3952 .66187 L
.39478 .6667 L
.39422 .67153 L
.39344 .67636 L
.39214 .68119 L
.39128 .68319 L
.38986 .68603 L
.38645 .68856 L
.38217 .68603 L
.38162 .6854 L
.37887 .68119 L
.37679 .67715 L
.37639 .67636 L
.3742 .67153 L
.37244 .6667 L
.37196 .66514 L
.37081 .66187 L
.36923 .65704 L
.36776 .6522 L
.36712 .64998 L
.36638 .64737 L
.36505 .64254 L
.36376 .63771 L
.36252 .63288 L
.36229 .63195 L
.36136 .62804 L
.36021 .62321 L
.35909 .61838 L
.358 .61355 L
.35746 .61114 L
.35696 .60872 L
.35596 .60388 L
.35497 .59905 L
.35398 .59422 L
.35301 .58939 L
.35263 .58744 L
.35212 .58456 L
.35125 .57973 L
.35037 .57489 L
.34949 .57006 L
.34862 .56523 L
.3478 .56053 L
.34778 .5604 L
.34703 .55557 L
.34627 .55073 L
.3455 .5459 L
.34473 .54107 L
.34397 .53624 L
.34322 .53141 L
.34296 .52972 L
.34256 .52658 L
.34191 .52174 L
.34125 .51691 L
.34059 .51208 L
.33994 .50725 L
.33929 .50242 L
.33865 .49758 L
.33813 .49353 L
.33805 .49275 L
.33753 .48792 L
.33699 .48309 L
.33646 .47826 L
.33592 .47342 L
.3354 .46859 L
.33488 .46376 L
.33438 .45893 L
.3339 .4541 L
.33343 .44927 L
.3333 .44785 L
.33303 .44443 L
.33264 .4396 L
.33227 .43477 L
.3319 .42994 L
.33154 .42511 L
.3312 .42027 L
.33088 .41544 L
.33058 .41061 L
.3303 .40578 L
.33005 .40095 L
.32982 .39612 L
.32962 .39128 L
.32945 .38645 L
.32932 .38162 L
.32921 .37679 L
.32914 .37196 L
.32912 .36712 L
.32913 .36229 L
.3292 .35746 L
.32931 .35263 L
.32949 .3478 L
.32974 .34296 L
.33007 .33813 L
.33051 .3333 L
.3311 .32847 L
.33195 .32364 L
.3333 .31881 L
.3333 .31879 L
.33542 .31397 L
F
1 .769 .001 r
.33813 .31285 m
.34196 .31397 L
.34296 .31489 L
.34581 .31881 L
.3478 .32241 L
.34847 .32364 L
.35075 .32847 L
.35247 .3333 L
.35263 .33387 L
.35417 .33813 L
.35577 .34296 L
.35724 .3478 L
.35746 .34857 L
.35864 .35263 L
.35999 .35746 L
.36129 .36229 L
.36229 .36619 L
.36252 .36712 L
.3637 .37196 L
.36486 .37679 L
.36599 .38162 L
.36709 .38645 L
.36712 .3866 L
.36811 .39128 L
.36912 .39612 L
.37013 .40095 L
.37112 .40578 L
.37196 .4099 L
.37208 .41061 L
.37296 .41544 L
.37385 .42027 L
.37475 .42511 L
.37563 .42994 L
.3765 .43477 L
.37679 .43638 L
.37729 .4396 L
.37806 .44443 L
.37884 .44927 L
.37963 .4541 L
.3804 .45893 L
.38117 .46376 L
.38162 .46667 L
.38187 .46859 L
.38253 .47342 L
.3832 .47826 L
.38387 .48309 L
.38454 .48792 L
.3852 .49275 L
.38586 .49758 L
.38645 .50213 L
.38648 .50242 L
.38702 .50725 L
.38757 .51208 L
.38812 .51691 L
.38867 .52174 L
.38921 .52658 L
.38974 .53141 L
.39026 .53624 L
.39076 .54107 L
.39124 .5459 L
.39128 .54639 L
.39165 .55073 L
.39205 .55557 L
.39245 .5604 L
.39283 .56523 L
.39321 .57006 L
.39357 .57489 L
.39391 .57973 L
.39423 .58456 L
.39453 .58939 L
.3948 .59422 L
.39505 .59905 L
.39528 .60388 L
.39547 .60872 L
.39563 .61355 L
.39576 .61838 L
.39586 .62321 L
.39592 .62804 L
.39594 .63288 L
.39591 .63771 L
.39584 .64254 L
.39571 .64737 L
.39552 .6522 L
.39525 .65704 L
.39491 .66187 L
.39445 .6667 L
.39385 .67153 L
.39296 .67636 L
.39141 .68119 L
.39128 .68148 L
.38871 .68603 L
.38645 .6873 L
.38333 .68603 L
.38162 .68432 L
.37947 .68119 L
.37688 .67636 L
.37679 .67618 L
.37459 .67153 L
.37273 .6667 L
.37196 .66422 L
.37112 .66187 L
.36951 .65704 L
.36802 .6522 L
.36712 .64909 L
.36663 .64737 L
.36529 .64254 L
.36399 .63771 L
.36275 .63288 L
.36229 .63107 L
.36157 .62804 L
.36042 .62321 L
.3593 .61838 L
.3582 .61355 L
.35746 .61025 L
.35715 .60872 L
.35615 .60388 L
.35515 .59905 L
.35417 .59422 L
.3532 .58939 L
.35263 .58652 L
.35228 .58456 L
.35141 .57973 L
.35054 .57489 L
.34966 .57006 L
.3488 .56523 L
.34795 .5604 L
.3478 .55954 L
.34719 .55557 L
.34643 .55073 L
.34566 .5459 L
.3449 .54107 L
.34414 .53624 L
.34339 .53141 L
.34296 .52862 L
.3427 .52658 L
.34206 .52174 L
.34141 .51691 L
.34075 .51208 L
.3401 .50725 L
.33945 .50242 L
.33882 .49758 L
.3382 .49275 L
.33813 .49223 L
.33767 .48792 L
.33714 .48309 L
.33661 .47826 L
.33608 .47342 L
.33556 .46859 L
.33505 .46376 L
.33455 .45893 L
.33407 .4541 L
.3336 .44927 L
.3333 .446 L
.33318 .44443 L
.3328 .4396 L
.33242 .43477 L
.33206 .42994 L
.33171 .42511 L
.33137 .42027 L
.33106 .41544 L
.33076 .41061 L
.33049 .40578 L
.33024 .40095 L
.33001 .39612 L
.32982 .39128 L
.32965 .38645 L
.32952 .38162 L
.32942 .37679 L
.32936 .37196 L
.32934 .36712 L
.32936 .36229 L
.32943 .35746 L
.32956 .35263 L
.32975 .3478 L
.33002 .34296 L
.33037 .33813 L
.33085 .3333 L
.33149 .32847 L
.33244 .32364 L
.3333 .32064 L
.3339 .31881 L
.33655 .31397 L
F
1 .764 .001 r
.33813 .31414 m
.34296 .31597 L
.34516 .31881 L
.3478 .32338 L
.34794 .32364 L
.35037 .32847 L
.35219 .3333 L
.35263 .33478 L
.35385 .33813 L
.35549 .34296 L
.35698 .3478 L
.35746 .34945 L
.35839 .35263 L
.35975 .35746 L
.36106 .36229 L
.36229 .36706 L
.36231 .36712 L
.36349 .37196 L
.36465 .37679 L
.36579 .38162 L
.36689 .38645 L
.36712 .38748 L
.36792 .39128 L
.36894 .39612 L
.36995 .40095 L
.37094 .40578 L
.37192 .41061 L
.37196 .41081 L
.3728 .41544 L
.37369 .42027 L
.37458 .42511 L
.37546 .42994 L
.37633 .43477 L
.37679 .43735 L
.37714 .4396 L
.3779 .44443 L
.37868 .44927 L
.37946 .4541 L
.38024 .45893 L
.381 .46376 L
.38162 .46774 L
.38173 .46859 L
.38238 .47342 L
.38304 .47826 L
.38371 .48309 L
.38438 .48792 L
.38504 .49275 L
.38569 .49758 L
.38633 .50242 L
.38645 .50338 L
.38688 .50725 L
.38742 .51208 L
.38796 .51691 L
.38851 .52174 L
.38905 .52658 L
.38958 .53141 L
.39009 .53624 L
.39059 .54107 L
.39107 .5459 L
.39128 .54812 L
.3915 .55073 L
.3919 .55557 L
.39229 .5604 L
.39267 .56523 L
.39304 .57006 L
.3934 .57489 L
.39374 .57973 L
.39405 .58456 L
.39435 .58939 L
.39462 .59422 L
.39487 .59905 L
.39509 .60388 L
.39528 .60872 L
.39544 .61355 L
.39556 .61838 L
.39565 .62321 L
.39571 .62804 L
.39572 .63288 L
.39568 .63771 L
.3956 .64254 L
.39546 .64737 L
.39526 .6522 L
.39498 .65704 L
.39461 .66187 L
.39412 .6667 L
.39345 .67153 L
.39243 .67636 L
.39128 .67975 L
.39073 .68119 L
.38655 .68603 L
.38645 .68605 L
.38568 .68603 L
.38162 .68326 L
.38011 .68119 L
.37736 .67636 L
.37679 .67521 L
.37499 .67153 L
.37304 .6667 L
.37196 .66331 L
.37144 .66187 L
.3698 .65704 L
.36829 .6522 L
.36712 .64821 L
.36688 .64737 L
.36553 .64254 L
.36422 .63771 L
.36297 .63288 L
.36229 .6302 L
.36177 .62804 L
.36063 .62321 L
.3595 .61838 L
.35839 .61355 L
.35746 .60937 L
.35733 .60872 L
.35633 .60388 L
.35534 .59905 L
.35435 .59422 L
.35338 .58939 L
.35263 .5856 L
.35244 .58456 L
.35158 .57973 L
.35071 .57489 L
.34983 .57006 L
.34897 .56523 L
.34811 .5604 L
.3478 .55857 L
.34734 .55557 L
.34659 .55073 L
.34582 .5459 L
.34506 .54107 L
.3443 .53624 L
.34355 .53141 L
.34296 .52754 L
.34284 .52658 L
.34221 .52174 L
.34156 .51691 L
.34091 .51208 L
.34026 .50725 L
.33961 .50242 L
.33898 .49758 L
.33836 .49275 L
.33813 .49094 L
.33781 .48792 L
.33729 .48309 L
.33676 .47826 L
.33624 .47342 L
.33572 .46859 L
.33521 .46376 L
.33471 .45893 L
.33423 .4541 L
.33377 .44927 L
.33333 .44443 L
.3333 .44414 L
.33295 .4396 L
.33258 .43477 L
.33222 .42994 L
.33188 .42511 L
.33154 .42027 L
.33123 .41544 L
.33094 .41061 L
.33067 .40578 L
.33042 .40095 L
.3302 .39612 L
.33001 .39128 L
.32985 .38645 L
.32972 .38162 L
.32963 .37679 L
.32957 .37196 L
.32956 .36712 L
.32959 .36229 L
.32967 .35746 L
.32981 .35263 L
.33002 .3478 L
.3303 .34296 L
.33068 .33813 L
.33119 .3333 L
.3319 .32847 L
.33297 .32364 L
.3333 .3225 L
.33456 .31881 L
F
1 .76 .001 r
.33813 .31543 m
.34296 .31704 L
.34444 .31881 L
.34743 .32364 L
.3478 .32434 L
.34995 .32847 L
.35191 .3333 L
.35263 .33569 L
.35353 .33813 L
.3552 .34296 L
.35672 .3478 L
.35746 .35033 L
.35814 .35263 L
.35951 .35746 L
.36083 .36229 L
.36209 .36712 L
.36229 .36792 L
.36328 .37196 L
.36445 .37679 L
.36559 .38162 L
.3667 .38645 L
.36712 .38835 L
.36774 .39128 L
.36876 .39612 L
.36976 .40095 L
.37076 .40578 L
.37174 .41061 L
.37196 .41171 L
.37263 .41544 L
.37352 .42027 L
.37441 .42511 L
.37529 .42994 L
.37616 .43477 L
.37679 .4383 L
.37699 .4396 L
.37775 .44443 L
.37852 .44927 L
.3793 .4541 L
.38008 .45893 L
.38084 .46376 L
.38159 .46859 L
.38162 .46879 L
.38224 .47342 L
.38289 .47826 L
.38356 .48309 L
.38423 .48792 L
.38489 .49275 L
.38554 .49758 L
.38617 .50242 L
.38645 .50463 L
.38674 .50725 L
.38727 .51208 L
.38782 .51691 L
.38836 .52174 L
.38889 .52658 L
.38942 .53141 L
.38993 .53624 L
.39043 .54107 L
.39091 .5459 L
.39128 .54985 L
.39136 .55073 L
.39175 .55557 L
.39214 .5604 L
.39251 .56523 L
.39288 .57006 L
.39323 .57489 L
.39357 .57973 L
.39388 .58456 L
.39417 .58939 L
.39444 .59422 L
.39468 .59905 L
.3949 .60388 L
.39508 .60872 L
.39524 .61355 L
.39536 .61838 L
.39545 .62321 L
.39549 .62804 L
.3955 .63288 L
.39546 .63771 L
.39536 .64254 L
.39521 .64737 L
.39499 .6522 L
.3947 .65704 L
.3943 .66187 L
.39377 .6667 L
.39303 .67153 L
.39186 .67636 L
.39128 .67801 L
.38999 .68119 L
.38645 .6848 L
.38162 .68221 L
.38082 .68119 L
.37786 .67636 L
.37679 .67426 L
.37542 .67153 L
.37336 .6667 L
.37196 .66241 L
.37176 .66187 L
.37009 .65704 L
.36855 .6522 L
.36713 .64737 L
.36712 .64734 L
.36577 .64254 L
.36445 .63771 L
.36319 .63288 L
.36229 .62934 L
.36198 .62804 L
.36083 .62321 L
.3597 .61838 L
.35859 .61355 L
.35751 .60872 L
.35746 .60849 L
.35651 .60388 L
.35552 .59905 L
.35453 .59422 L
.35355 .58939 L
.35263 .5847 L
.3526 .58456 L
.35174 .57973 L
.35087 .57489 L
.35 .57006 L
.34913 .56523 L
.34828 .5604 L
.3478 .5576 L
.34749 .55557 L
.34674 .55073 L
.34598 .5459 L
.34522 .54107 L
.34446 .53624 L
.34371 .53141 L
.34298 .52658 L
.34296 .52647 L
.34235 .52174 L
.34171 .51691 L
.34106 .51208 L
.34041 .50725 L
.33977 .50242 L
.33914 .49758 L
.33852 .49275 L
.33813 .48965 L
.33795 .48792 L
.33743 .48309 L
.33691 .47826 L
.33639 .47342 L
.33587 .46859 L
.33537 .46376 L
.33487 .45893 L
.33439 .4541 L
.33393 .44927 L
.33349 .44443 L
.3333 .44225 L
.3331 .4396 L
.33274 .43477 L
.33238 .42994 L
.33204 .42511 L
.33171 .42027 L
.3314 .41544 L
.33111 .41061 L
.33085 .40578 L
.3306 .40095 L
.33039 .39612 L
.3302 .39128 L
.33005 .38645 L
.32992 .38162 L
.32984 .37679 L
.32979 .37196 L
.32978 .36712 L
.32982 .36229 L
.32991 .35746 L
.33006 .35263 L
.33028 .3478 L
.33059 .34296 L
.33099 .33813 L
.33155 .3333 L
.33233 .32847 L
.3333 .32439 L
.3335 .32364 L
.33529 .31881 L
F
1 .756 .001 r
.33813 .31671 m
.34296 .31811 L
.34361 .31881 L
.3469 .32364 L
.3478 .3253 L
.34952 .32847 L
.35161 .3333 L
.35263 .33658 L
.35321 .33813 L
.35491 .34296 L
.35646 .3478 L
.35746 .35119 L
.35789 .35263 L
.35928 .35746 L
.3606 .36229 L
.36187 .36712 L
.36229 .36877 L
.36308 .37196 L
.36424 .37679 L
.36539 .38162 L
.3665 .38645 L
.36712 .38921 L
.36756 .39128 L
.36858 .39612 L
.36958 .40095 L
.37058 .40578 L
.37156 .41061 L
.37196 .4126 L
.37247 .41544 L
.37335 .42027 L
.37424 .42511 L
.37512 .42994 L
.376 .43477 L
.37679 .43924 L
.37684 .4396 L
.3776 .44443 L
.37837 .44927 L
.37915 .4541 L
.37992 .45893 L
.38068 .46376 L
.38143 .46859 L
.38162 .46983 L
.3821 .47342 L
.38275 .47826 L
.38341 .48309 L
.38407 .48792 L
.38473 .49275 L
.38538 .49758 L
.38601 .50242 L
.38645 .50587 L
.3866 .50725 L
.38713 .51208 L
.38767 .51691 L
.38821 .52174 L
.38874 .52658 L
.38926 .53141 L
.38977 .53624 L
.39027 .54107 L
.39075 .5459 L
.3912 .55073 L
.39128 .55161 L
.3916 .55557 L
.39198 .5604 L
.39236 .56523 L
.39272 .57006 L
.39307 .57489 L
.3934 .57973 L
.39371 .58456 L
.394 .58939 L
.39426 .59422 L
.3945 .59905 L
.39471 .60388 L
.39489 .60872 L
.39505 .61355 L
.39516 .61838 L
.39524 .62321 L
.39528 .62804 L
.39528 .63288 L
.39523 .63771 L
.39513 .64254 L
.39497 .64737 L
.39473 .6522 L
.39442 .65704 L
.39399 .66187 L
.39342 .6667 L
.39259 .67153 L
.39128 .67626 L
.39125 .67636 L
.38914 .68119 L
.38645 .68356 L
.38165 .68119 L
.38162 .68116 L
.37838 .67636 L
.37679 .67332 L
.37586 .67153 L
.3737 .6667 L
.37205 .66187 L
.37196 .66153 L
.37038 .65704 L
.36881 .6522 L
.36738 .64737 L
.36712 .64648 L
.366 .64254 L
.36468 .63771 L
.3634 .63288 L
.36229 .62849 L
.36219 .62804 L
.36103 .62321 L
.35989 .61838 L
.35878 .61355 L
.3577 .60872 L
.35746 .60763 L
.35669 .60388 L
.35569 .59905 L
.35471 .59422 L
.35373 .58939 L
.35278 .58456 L
.35263 .58381 L
.3519 .57973 L
.35104 .57489 L
.35017 .57006 L
.3493 .56523 L
.34845 .5604 L
.3478 .55665 L
.34763 .55557 L
.34689 .55073 L
.34613 .5459 L
.34537 .54107 L
.34462 .53624 L
.34387 .53141 L
.34314 .52658 L
.34296 .52541 L
.34249 .52174 L
.34185 .51691 L
.34121 .51208 L
.34056 .50725 L
.33992 .50242 L
.33929 .49758 L
.33868 .49275 L
.33813 .48837 L
.33809 .48792 L
.33757 .48309 L
.33706 .47826 L
.33654 .47342 L
.33603 .46859 L
.33552 .46376 L
.33503 .45893 L
.33455 .4541 L
.3341 .44927 L
.33366 .44443 L
.3333 .44034 L
.33325 .4396 L
.33289 .43477 L
.33254 .42994 L
.3322 .42511 L
.33188 .42027 L
.33157 .41544 L
.33129 .41061 L
.33102 .40578 L
.33078 .40095 L
.33057 .39612 L
.33039 .39128 L
.33024 .38645 L
.33012 .38162 L
.33004 .37679 L
.33 .37196 L
.33 .36712 L
.33005 .36229 L
.33015 .35746 L
.33031 .35263 L
.33055 .3478 L
.33087 .34296 L
.33131 .33813 L
.33191 .3333 L
.33278 .32847 L
.3333 .3263 L
.33403 .32364 L
.33613 .31881 L
F
1 .751 0 r
.33813 .31799 m
.34254 .31881 L
.34296 .31916 L
.34633 .32364 L
.3478 .32624 L
.34905 .32847 L
.35129 .3333 L
.35263 .33746 L
.35288 .33813 L
.35462 .34296 L
.3562 .3478 L
.35746 .35204 L
.35764 .35263 L
.35904 .35746 L
.36038 .36229 L
.36166 .36712 L
.36229 .36961 L
.36287 .37196 L
.36404 .37679 L
.36519 .38162 L
.36631 .38645 L
.36712 .39006 L
.36738 .39128 L
.3684 .39612 L
.36941 .40095 L
.37041 .40578 L
.37139 .41061 L
.37196 .41348 L
.37231 .41544 L
.37319 .42027 L
.37408 .42511 L
.37496 .42994 L
.37583 .43477 L
.37669 .4396 L
.37679 .44018 L
.37745 .44443 L
.37822 .44927 L
.37899 .4541 L
.37976 .45893 L
.38053 .46376 L
.38127 .46859 L
.38162 .47087 L
.38196 .47342 L
.38261 .47826 L
.38326 .48309 L
.38392 .48792 L
.38458 .49275 L
.38522 .49758 L
.38586 .50242 L
.38645 .5071 L
.38647 .50725 L
.38699 .51208 L
.38753 .51691 L
.38806 .52174 L
.38859 .52658 L
.38911 .53141 L
.38962 .53624 L
.39011 .54107 L
.39059 .5459 L
.39104 .55073 L
.39128 .55338 L
.39146 .55557 L
.39183 .5604 L
.3922 .56523 L
.39256 .57006 L
.39291 .57489 L
.39323 .57973 L
.39354 .58456 L
.39383 .58939 L
.39409 .59422 L
.39432 .59905 L
.39453 .60388 L
.39471 .60872 L
.39485 .61355 L
.39497 .61838 L
.39504 .62321 L
.39507 .62804 L
.39507 .63288 L
.39501 .63771 L
.39489 .64254 L
.39472 .64737 L
.39447 .6522 L
.39413 .65704 L
.39367 .66187 L
.39304 .6667 L
.39212 .67153 L
.39128 .67449 L
.39068 .67636 L
.38807 .68119 L
.38645 .68233 L
.38276 .68119 L
.38162 .68013 L
.37895 .67636 L
.37679 .67238 L
.37633 .67153 L
.37405 .6667 L
.37231 .66187 L
.37196 .66065 L
.37067 .65704 L
.36908 .6522 L
.36762 .64737 L
.36712 .64563 L
.36624 .64254 L
.3649 .63771 L
.36362 .63288 L
.36239 .62804 L
.36229 .62764 L
.36123 .62321 L
.36009 .61838 L
.35897 .61355 L
.35789 .60872 L
.35746 .60678 L
.35686 .60388 L
.35587 .59905 L
.35488 .59422 L
.3539 .58939 L
.35295 .58456 L
.35263 .58292 L
.35206 .57973 L
.3512 .57489 L
.35033 .57006 L
.34946 .56523 L
.34861 .5604 L
.3478 .55571 L
.34778 .55557 L
.34704 .55073 L
.34629 .5459 L
.34553 .54107 L
.34477 .53624 L
.34403 .53141 L
.3433 .52658 L
.34296 .52435 L
.34263 .52174 L
.342 .51691 L
.34136 .51208 L
.34071 .50725 L
.34008 .50242 L
.33945 .49758 L
.33883 .49275 L
.33823 .48792 L
.33813 .48709 L
.33771 .48309 L
.3372 .47826 L
.33669 .47342 L
.33618 .46859 L
.33568 .46376 L
.33519 .45893 L
.33471 .4541 L
.33426 .44927 L
.33382 .44443 L
.3334 .4396 L
.3333 .4384 L
.33304 .43477 L
.33269 .42994 L
.33236 .42511 L
.33204 .42027 L
.33174 .41544 L
.33146 .41061 L
.3312 .40578 L
.33096 .40095 L
.33076 .39612 L
.33058 .39128 L
.33043 .38645 L
.33032 .38162 L
.33024 .37679 L
.33021 .37196 L
.33021 .36712 L
.33027 .36229 L
.33039 .35746 L
.33056 .35263 L
.33082 .3478 L
.33116 .34296 L
.33164 .33813 L
.33229 .3333 L
.33325 .32847 L
.3333 .32824 L
.3346 .32364 L
.33719 .31881 L
F
1 .747 0 r
.33813 .31926 m
.34296 .32021 L
.34572 .32364 L
.3478 .32718 L
.34855 .32847 L
.35095 .3333 L
.35258 .33813 L
.35263 .33834 L
.35433 .34296 L
.35594 .3478 L
.35739 .35263 L
.35746 .35288 L
.3588 .35746 L
.36015 .36229 L
.36144 .36712 L
.36229 .37044 L
.36267 .37196 L
.36384 .37679 L
.365 .38162 L
.36612 .38645 L
.36712 .3909 L
.36721 .39128 L
.36822 .39612 L
.36923 .40095 L
.37023 .40578 L
.37121 .41061 L
.37196 .41434 L
.37215 .41544 L
.37303 .42027 L
.37392 .42511 L
.3748 .42994 L
.37567 .43477 L
.37653 .4396 L
.37679 .4411 L
.37731 .44443 L
.37807 .44927 L
.37884 .4541 L
.37961 .45893 L
.38037 .46376 L
.38112 .46859 L
.38162 .47189 L
.38182 .47342 L
.38246 .47826 L
.38312 .48309 L
.38377 .48792 L
.38443 .49275 L
.38507 .49758 L
.3857 .50242 L
.38632 .50725 L
.38645 .50833 L
.38686 .51208 L
.38738 .51691 L
.38791 .52174 L
.38844 .52658 L
.38896 .53141 L
.38946 .53624 L
.38995 .54107 L
.39043 .5459 L
.39088 .55073 L
.39128 .55517 L
.39131 .55557 L
.39169 .5604 L
.39205 .56523 L
.39241 .57006 L
.39275 .57489 L
.39307 .57973 L
.39337 .58456 L
.39366 .58939 L
.39391 .59422 L
.39414 .59905 L
.39435 .60388 L
.39452 .60872 L
.39466 .61355 L
.39477 .61838 L
.39484 .62321 L
.39487 .62804 L
.39485 .63288 L
.39478 .63771 L
.39466 .64254 L
.39447 .64737 L
.3942 .6522 L
.39384 .65704 L
.39335 .66187 L
.39266 .6667 L
.39162 .67153 L
.39128 .6727 L
.39007 .67636 L
.38645 .6811 L
.38162 .6791 L
.37955 .67636 L
.37682 .67153 L
.37679 .67146 L
.37442 .6667 L
.37257 .66187 L
.37196 .65978 L
.37097 .65704 L
.36935 .6522 L
.36786 .64737 L
.36712 .64479 L
.36648 .64254 L
.36513 .63771 L
.36384 .63288 L
.3626 .62804 L
.36229 .62681 L
.36143 .62321 L
.36028 .61838 L
.35916 .61355 L
.35807 .60872 L
.35746 .60594 L
.35704 .60388 L
.35604 .59905 L
.35505 .59422 L
.35408 .58939 L
.35312 .58456 L
.35263 .58205 L
.35222 .57973 L
.35135 .57489 L
.35049 .57006 L
.34962 .56523 L
.34877 .5604 L
.34793 .55557 L
.3478 .55477 L
.34718 .55073 L
.34643 .5459 L
.34568 .54107 L
.34493 .53624 L
.34418 .53141 L
.34345 .52658 L
.34296 .5233 L
.34277 .52174 L
.34214 .51691 L
.3415 .51208 L
.34086 .50725 L
.34023 .50242 L
.3396 .49758 L
.33898 .49275 L
.33839 .48792 L
.33813 .48582 L
.33785 .48309 L
.33734 .47826 L
.33683 .47342 L
.33633 .46859 L
.33583 .46376 L
.33534 .45893 L
.33487 .4541 L
.33441 .44927 L
.33398 .44443 L
.33356 .4396 L
.3333 .43643 L
.33318 .43477 L
.33284 .42994 L
.33251 .42511 L
.3322 .42027 L
.3319 .41544 L
.33162 .41061 L
.33137 .40578 L
.33114 .40095 L
.33094 .39612 L
.33076 .39128 L
.33062 .38645 L
.33051 .38162 L
.33044 .37679 L
.33041 .37196 L
.33043 .36712 L
.3305 .36229 L
.33062 .35746 L
.33081 .35263 L
.33109 .3478 L
.33146 .34296 L
.33197 .33813 L
.33268 .3333 L
.3333 .33022 L
.3337 .32847 L
.33521 .32364 L
F
1 .742 0 r
.33813 .32053 m
.34296 .32125 L
.34504 .32364 L
.3478 .3281 L
.34802 .32847 L
.35058 .3333 L
.35235 .33813 L
.35263 .3392 L
.35403 .34296 L
.35567 .3478 L
.35715 .35263 L
.35746 .35371 L
.35856 .35746 L
.35993 .36229 L
.36123 .36712 L
.36229 .37126 L
.36246 .37196 L
.36365 .37679 L
.3648 .38162 L
.36593 .38645 L
.36702 .39128 L
.36712 .39173 L
.36805 .39612 L
.36906 .40095 L
.37006 .40578 L
.37104 .41061 L
.37196 .4152 L
.372 .41544 L
.37288 .42027 L
.37376 .42511 L
.37464 .42994 L
.37551 .43477 L
.37637 .4396 L
.37679 .44202 L
.37716 .44443 L
.37792 .44927 L
.37869 .4541 L
.37946 .45893 L
.38022 .46376 L
.38097 .46859 L
.38162 .47291 L
.38169 .47342 L
.38233 .47826 L
.38298 .48309 L
.38363 .48792 L
.38428 .49275 L
.38492 .49758 L
.38555 .50242 L
.38617 .50725 L
.38645 .50955 L
.38672 .51208 L
.38725 .51691 L
.38777 .52174 L
.38829 .52658 L
.38881 .53141 L
.38931 .53624 L
.3898 .54107 L
.39027 .5459 L
.39073 .55073 L
.39116 .55557 L
.39128 .55698 L
.39154 .5604 L
.3919 .56523 L
.39226 .57006 L
.39259 .57489 L
.39291 .57973 L
.39321 .58456 L
.39349 .58939 L
.39374 .59422 L
.39397 .59905 L
.39417 .60388 L
.39434 .60872 L
.39447 .61355 L
.39458 .61838 L
.39464 .62321 L
.39466 .62804 L
.39463 .63288 L
.39456 .63771 L
.39442 .64254 L
.39422 .64737 L
.39393 .6522 L
.39354 .65704 L
.39301 .66187 L
.39225 .6667 L
.39128 .67088 L
.39111 .67153 L
.38938 .67636 L
.38645 .67988 L
.38162 .67808 L
.38022 .67636 L
.37729 .67153 L
.37679 .67054 L
.37481 .6667 L
.37285 .66187 L
.37196 .65892 L
.37127 .65704 L
.36962 .6522 L
.36811 .64737 L
.36712 .64396 L
.36671 .64254 L
.36535 .63771 L
.36405 .63288 L
.3628 .62804 L
.36229 .62599 L
.36162 .62321 L
.36048 .61838 L
.35935 .61355 L
.35826 .60872 L
.35746 .60511 L
.35721 .60388 L
.35621 .59905 L
.35523 .59422 L
.35425 .58939 L
.35329 .58456 L
.35263 .58118 L
.35237 .57973 L
.35151 .57489 L
.35065 .57006 L
.34978 .56523 L
.34893 .5604 L
.34809 .55557 L
.3478 .55384 L
.34732 .55073 L
.34658 .5459 L
.34583 .54107 L
.34508 .53624 L
.34433 .53141 L
.3436 .52658 L
.34296 .52226 L
.3429 .52174 L
.34228 .51691 L
.34164 .51208 L
.34101 .50725 L
.34037 .50242 L
.33975 .49758 L
.33914 .49275 L
.33854 .48792 L
.33813 .48455 L
.33798 .48309 L
.33748 .47826 L
.33697 .47342 L
.33647 .46859 L
.33598 .46376 L
.33549 .45893 L
.33502 .4541 L
.33457 .44927 L
.33414 .44443 L
.33372 .4396 L
.33333 .43477 L
.3333 .43441 L
.33299 .42994 L
.33266 .42511 L
.33235 .42027 L
.33206 .41544 L
.33179 .41061 L
.33154 .40578 L
.33131 .40095 L
.33111 .39612 L
.33095 .39128 L
.33081 .38645 L
.33071 .38162 L
.33064 .37679 L
.33062 .37196 L
.33065 .36712 L
.33072 .36229 L
.33086 .35746 L
.33107 .35263 L
.33136 .3478 L
.33176 .34296 L
.33231 .33813 L
.33309 .3333 L
.3333 .33223 L
.33417 .32847 L
.33589 .32364 L
F
1 .738 0 r
.33813 .3218 m
.34296 .32228 L
.34427 .32364 L
.34749 .32847 L
.3478 .32902 L
.35018 .3333 L
.35212 .33813 L
.35263 .34006 L
.35373 .34296 L
.3554 .3478 L
.35691 .35263 L
.35746 .35454 L
.35833 .35746 L
.3597 .36229 L
.36101 .36712 L
.36226 .37196 L
.36229 .37207 L
.36345 .37679 L
.36461 .38162 L
.36574 .38645 L
.36684 .39128 L
.36712 .39255 L
.36787 .39612 L
.36889 .40095 L
.36989 .40578 L
.37087 .41061 L
.37184 .41544 L
.37196 .41605 L
.37272 .42027 L
.3736 .42511 L
.37448 .42994 L
.37535 .43477 L
.37621 .4396 L
.37679 .44292 L
.37702 .44443 L
.37778 .44927 L
.37854 .4541 L
.37931 .45893 L
.38007 .46376 L
.38081 .46859 L
.38155 .47342 L
.38162 .47392 L
.38219 .47826 L
.38283 .48309 L
.38348 .48792 L
.38413 .49275 L
.38477 .49758 L
.3854 .50242 L
.38602 .50725 L
.38645 .51077 L
.38659 .51208 L
.38711 .51691 L
.38763 .52174 L
.38815 .52658 L
.38866 .53141 L
.38916 .53624 L
.38965 .54107 L
.39012 .5459 L
.39057 .55073 L
.391 .55557 L
.39128 .55883 L
.3914 .5604 L
.39176 .56523 L
.3921 .57006 L
.39244 .57489 L
.39275 .57973 L
.39305 .58456 L
.39332 .58939 L
.39357 .59422 L
.39379 .59905 L
.39399 .60388 L
.39416 .60872 L
.39429 .61355 L
.39438 .61838 L
.39444 .62321 L
.39445 .62804 L
.39442 .63288 L
.39433 .63771 L
.39419 .64254 L
.39397 .64737 L
.39366 .6522 L
.39325 .65704 L
.39267 .66187 L
.39183 .6667 L
.39128 .66904 L
.39062 .67153 L
.3886 .67636 L
.38645 .67866 L
.38162 .67707 L
.38099 .67636 L
.37779 .67153 L
.37679 .66964 L
.37523 .6667 L
.37314 .66187 L
.37196 .65807 L
.37157 .65704 L
.36989 .6522 L
.36835 .64737 L
.36712 .64314 L
.36695 .64254 L
.36558 .63771 L
.36427 .63288 L
.36301 .62804 L
.36229 .62518 L
.36182 .62321 L
.36067 .61838 L
.35954 .61355 L
.35844 .60872 L
.35746 .60428 L
.35738 .60388 L
.35638 .59905 L
.35539 .59422 L
.35442 .58939 L
.35345 .58456 L
.35263 .58033 L
.35252 .57973 L
.35166 .57489 L
.3508 .57006 L
.34994 .56523 L
.34909 .5604 L
.34825 .55557 L
.3478 .55293 L
.34746 .55073 L
.34672 .5459 L
.34598 .54107 L
.34523 .53624 L
.34448 .53141 L
.34375 .52658 L
.34304 .52174 L
.34296 .52123 L
.34241 .51691 L
.34178 .51208 L
.34115 .50725 L
.34052 .50242 L
.3399 .49758 L
.33928 .49275 L
.33869 .48792 L
.33813 .48328 L
.33811 .48309 L
.33761 .47826 L
.33711 .47342 L
.33662 .46859 L
.33612 .46376 L
.33564 .45893 L
.33518 .4541 L
.33472 .44927 L
.33429 .44443 L
.33388 .4396 L
.33349 .43477 L
.3333 .43235 L
.33314 .42994 L
.33282 .42511 L
.33251 .42027 L
.33222 .41544 L
.33195 .41061 L
.33171 .40578 L
.33148 .40095 L
.33129 .39612 L
.33113 .39128 L
.33099 .38645 L
.3309 .38162 L
.33084 .37679 L
.33083 .37196 L
.33086 .36712 L
.33095 .36229 L
.3311 .35746 L
.33132 .35263 L
.33163 .3478 L
.33206 .34296 L
.33265 .33813 L
.3333 .33429 L
.33349 .3333 L
.33467 .32847 L
.33666 .32364 L
F
1 .733 0 r
.33813 .32307 m
.34296 .32331 L
.34333 .32364 L
.34696 .32847 L
.3478 .32993 L
.34976 .3333 L
.35186 .33813 L
.35263 .3409 L
.35342 .34296 L
.35513 .3478 L
.35667 .35263 L
.35746 .35535 L
.35809 .35746 L
.35948 .36229 L
.3608 .36712 L
.36206 .37196 L
.36229 .37288 L
.36326 .37679 L
.36442 .38162 L
.36556 .38645 L
.36666 .39128 L
.36712 .39336 L
.3677 .39612 L
.36872 .40095 L
.36972 .40578 L
.37071 .41061 L
.37167 .41544 L
.37196 .41689 L
.37257 .42027 L
.37345 .42511 L
.37432 .42994 L
.3752 .43477 L
.37605 .4396 L
.37679 .44382 L
.37688 .44443 L
.37763 .44927 L
.3784 .4541 L
.37916 .45893 L
.37992 .46376 L
.38066 .46859 L
.3814 .47342 L
.38162 .47493 L
.38206 .47826 L
.3827 .48309 L
.38334 .48792 L
.38399 .49275 L
.38463 .49758 L
.38526 .50242 L
.38587 .50725 L
.38645 .51199 L
.38646 .51208 L
.38698 .51691 L
.38749 .52174 L
.38801 .52658 L
.38852 .53141 L
.38901 .53624 L
.3895 .54107 L
.38997 .5459 L
.39042 .55073 L
.39085 .55557 L
.39126 .5604 L
.39128 .5607 L
.39161 .56523 L
.39196 .57006 L
.39228 .57489 L
.3926 .57973 L
.39289 .58456 L
.39316 .58939 L
.3934 .59422 L
.39362 .59905 L
.39381 .60388 L
.39397 .60872 L
.3941 .61355 L
.39419 .61838 L
.39424 .62321 L
.39425 .62804 L
.39421 .63288 L
.39411 .63771 L
.39395 .64254 L
.39372 .64737 L
.39339 .6522 L
.39294 .65704 L
.39231 .66187 L
.3914 .6667 L
.39128 .66717 L
.39009 .67153 L
.38765 .67636 L
.38645 .67744 L
.38194 .67636 L
.38162 .67607 L
.37832 .67153 L
.37679 .66874 L
.37567 .6667 L
.37345 .66187 L
.37196 .65723 L
.37188 .65704 L
.37016 .6522 L
.3686 .64737 L
.36718 .64254 L
.36712 .64233 L
.3658 .63771 L
.36448 .63288 L
.36321 .62804 L
.36229 .62438 L
.36201 .62321 L
.36086 .61838 L
.35973 .61355 L
.35862 .60872 L
.35755 .60388 L
.35746 .60347 L
.35655 .59905 L
.35556 .59422 L
.35458 .58939 L
.35362 .58456 L
.35268 .57973 L
.35263 .57948 L
.35182 .57489 L
.35095 .57006 L
.35009 .56523 L
.34924 .5604 L
.3484 .55557 L
.3478 .55202 L
.3476 .55073 L
.34687 .5459 L
.34612 .54107 L
.34537 .53624 L
.34463 .53141 L
.3439 .52658 L
.34319 .52174 L
.34296 .52021 L
.34254 .51691 L
.34192 .51208 L
.34129 .50725 L
.34066 .50242 L
.34004 .49758 L
.33943 .49275 L
.33884 .48792 L
.33826 .48309 L
.33813 .48201 L
.33775 .47826 L
.33725 .47342 L
.33676 .46859 L
.33627 .46376 L
.33579 .45893 L
.33533 .4541 L
.33488 .44927 L
.33445 .44443 L
.33404 .4396 L
.33365 .43477 L
.3333 .43023 L
.33328 .42994 L
.33296 .42511 L
.33266 .42027 L
.33238 .41544 L
.33211 .41061 L
.33187 .40578 L
.33165 .40095 L
.33147 .39612 L
.33131 .39128 L
.33118 .38645 L
.33109 .38162 L
.33104 .37679 L
.33103 .37196 L
.33107 .36712 L
.33117 .36229 L
.33133 .35746 L
.33157 .35263 L
.33191 .3478 L
.33237 .34296 L
.33301 .33813 L
.3333 .33641 L
.3339 .3333 L
.33519 .32847 L
.3376 .32364 L
F
1 .729 0 r
.33813 .32433 m
.34296 .32432 L
.34639 .32847 L
.3478 .33083 L
.34929 .3333 L
.35158 .33813 L
.35263 .34174 L
.3531 .34296 L
.35486 .3478 L
.35643 .35263 L
.35746 .35616 L
.35785 .35746 L
.35925 .36229 L
.36059 .36712 L
.36186 .37196 L
.36229 .37367 L
.36306 .37679 L
.36423 .38162 L
.36537 .38645 L
.36648 .39128 L
.36712 .39417 L
.36753 .39612 L
.36855 .40095 L
.36955 .40578 L
.37054 .41061 L
.37151 .41544 L
.37196 .41772 L
.37242 .42027 L
.37329 .42511 L
.37417 .42994 L
.37504 .43477 L
.3759 .4396 L
.37674 .44443 L
.37679 .44471 L
.37749 .44927 L
.37825 .4541 L
.37901 .45893 L
.37977 .46376 L
.38052 .46859 L
.38125 .47342 L
.38162 .47592 L
.38192 .47826 L
.38256 .48309 L
.3832 .48792 L
.38385 .49275 L
.38448 .49758 L
.38511 .50242 L
.38572 .50725 L
.38632 .51208 L
.38645 .5132 L
.38684 .51691 L
.38736 .52174 L
.38787 .52658 L
.38837 .53141 L
.38887 .53624 L
.38935 .54107 L
.38982 .5459 L
.39027 .55073 L
.3907 .55557 L
.3911 .5604 L
.39128 .5626 L
.39147 .56523 L
.39181 .57006 L
.39213 .57489 L
.39244 .57973 L
.39273 .58456 L
.393 .58939 L
.39324 .59422 L
.39345 .59905 L
.39364 .60388 L
.3938 .60872 L
.39392 .61355 L
.394 .61838 L
.39405 .62321 L
.39404 .62804 L
.39399 .63288 L
.39389 .63771 L
.39371 .64254 L
.39346 .64737 L
.39311 .6522 L
.39263 .65704 L
.39195 .66187 L
.39128 .66526 L
.39096 .6667 L
.38952 .67153 L
.38645 .67623 L
.38162 .67507 L
.37888 .67153 L
.37679 .66785 L
.37613 .6667 L
.37377 .66187 L
.37212 .65704 L
.37196 .6564 L
.37044 .6522 L
.36885 .64737 L
.36741 .64254 L
.36712 .64152 L
.36603 .63771 L
.36469 .63288 L
.36342 .62804 L
.36229 .62358 L
.3622 .62321 L
.36104 .61838 L
.35991 .61355 L
.3588 .60872 L
.35773 .60388 L
.35746 .60266 L
.35672 .59905 L
.35573 .59422 L
.35475 .58939 L
.35378 .58456 L
.35284 .57973 L
.35263 .57864 L
.35197 .57489 L
.35111 .57006 L
.35025 .56523 L
.34939 .5604 L
.34855 .55557 L
.3478 .55112 L
.34774 .55073 L
.34701 .5459 L
.34626 .54107 L
.34552 .53624 L
.34478 .53141 L
.34405 .52658 L
.34333 .52174 L
.34296 .51919 L
.34268 .51691 L
.34206 .51208 L
.34143 .50725 L
.3408 .50242 L
.34019 .49758 L
.33958 .49275 L
.33898 .48792 L
.33841 .48309 L
.33813 .48075 L
.33788 .47826 L
.33739 .47342 L
.3369 .46859 L
.33641 .46376 L
.33594 .45893 L
.33547 .4541 L
.33503 .44927 L
.3346 .44443 L
.33419 .4396 L
.3338 .43477 L
.33344 .42994 L
.3333 .42806 L
.33311 .42511 L
.33281 .42027 L
.33253 .41544 L
.33227 .41061 L
.33204 .40578 L
.33182 .40095 L
.33164 .39612 L
.33148 .39128 L
.33136 .38645 L
.33128 .38162 L
.33123 .37679 L
.33124 .37196 L
.33129 .36712 L
.3314 .36229 L
.33157 .35746 L
.33183 .35263 L
.33219 .3478 L
.33268 .34296 L
.3333 .33858 L
.33337 .33813 L
.33432 .3333 L
.33575 .32847 L
F
1 .724 0 r
.33813 .32559 m
.34296 .32534 L
.34577 .32847 L
.3478 .33173 L
.34879 .3333 L
.35128 .33813 L
.35263 .34257 L
.35278 .34296 L
.35458 .3478 L
.35618 .35263 L
.35746 .35696 L
.35761 .35746 L
.35903 .36229 L
.36038 .36712 L
.36166 .37196 L
.36229 .37446 L
.36287 .37679 L
.36404 .38162 L
.36519 .38645 L
.3663 .39128 L
.36712 .39496 L
.36737 .39612 L
.36838 .40095 L
.36939 .40578 L
.37037 .41061 L
.37135 .41544 L
.37196 .41855 L
.37227 .42027 L
.37314 .42511 L
.37402 .42994 L
.37489 .43477 L
.37575 .4396 L
.37659 .44443 L
.37679 .44559 L
.37736 .44927 L
.37811 .4541 L
.37887 .45893 L
.37962 .46376 L
.38037 .46859 L
.3811 .47342 L
.38162 .47691 L
.38179 .47826 L
.38243 .48309 L
.38307 .48792 L
.38371 .49275 L
.38434 .49758 L
.38497 .50242 L
.38558 .50725 L
.38617 .51208 L
.38645 .51442 L
.38671 .51691 L
.38722 .52174 L
.38773 .52658 L
.38823 .53141 L
.38873 .53624 L
.38921 .54107 L
.38967 .5459 L
.39012 .55073 L
.39055 .55557 L
.39095 .5604 L
.39128 .56455 L
.39133 .56523 L
.39166 .57006 L
.39198 .57489 L
.39229 .57973 L
.39257 .58456 L
.39283 .58939 L
.39307 .59422 L
.39328 .59905 L
.39347 .60388 L
.39362 .60872 L
.39373 .61355 L
.39381 .61838 L
.39385 .62321 L
.39384 .62804 L
.39378 .63288 L
.39366 .63771 L
.39348 .64254 L
.39321 .64737 L
.39283 .6522 L
.39231 .65704 L
.39157 .66187 L
.39128 .66331 L
.39053 .6667 L
.3889 .67153 L
.38645 .67501 L
.38162 .67408 L
.3795 .67153 L
.37679 .66697 L
.37663 .6667 L
.37412 .66187 L
.37234 .65704 L
.37196 .65558 L
.37073 .6522 L
.3691 .64737 L
.36763 .64254 L
.36712 .64073 L
.36625 .63771 L
.3649 .63288 L
.36362 .62804 L
.3624 .62321 L
.36229 .62279 L
.36123 .61838 L
.36009 .61355 L
.35898 .60872 L
.3579 .60388 L
.35746 .60186 L
.35688 .59905 L
.35589 .59422 L
.35491 .58939 L
.35394 .58456 L
.353 .57973 L
.35263 .57781 L
.35211 .57489 L
.35126 .57006 L
.3504 .56523 L
.34954 .5604 L
.3487 .55557 L
.34788 .55073 L
.3478 .55022 L
.34714 .5459 L
.3464 .54107 L
.34566 .53624 L
.34492 .53141 L
.34419 .52658 L
.34348 .52174 L
.34296 .51818 L
.3428 .51691 L
.34219 .51208 L
.34157 .50725 L
.34094 .50242 L
.34033 .49758 L
.33972 .49275 L
.33913 .48792 L
.33855 .48309 L
.33813 .47948 L
.33801 .47826 L
.33752 .47342 L
.33703 .46859 L
.33655 .46376 L
.33608 .45893 L
.33562 .4541 L
.33517 .44927 L
.33475 .44443 L
.33434 .4396 L
.33396 .43477 L
.33359 .42994 L
.3333 .42581 L
.33326 .42511 L
.33296 .42027 L
.33269 .41544 L
.33243 .41061 L
.3322 .40578 L
.33199 .40095 L
.33181 .39612 L
.33166 .39128 L
.33155 .38645 L
.33147 .38162 L
.33143 .37679 L
.33144 .37196 L
.3315 .36712 L
.33162 .36229 L
.33181 .35746 L
.33209 .35263 L
.33247 .3478 L
.333 .34296 L
.3333 .34083 L
.33373 .33813 L
.33475 .3333 L
.33637 .32847 L
F
1 .72 0 r
.33813 .32686 m
.34296 .32634 L
.34507 .32847 L
.3478 .33261 L
.34825 .3333 L
.35094 .33813 L
.35255 .34296 L
.35263 .3434 L
.35429 .3478 L
.35593 .35263 L
.35738 .35746 L
.35746 .35775 L
.35881 .36229 L
.36016 .36712 L
.36145 .37196 L
.36229 .37524 L
.36268 .37679 L
.36386 .38162 L
.36501 .38645 L
.36612 .39128 L
.36712 .39575 L
.3672 .39612 L
.36822 .40095 L
.36922 .40578 L
.37021 .41061 L
.37118 .41544 L
.37196 .41937 L
.37212 .42027 L
.37299 .42511 L
.37387 .42994 L
.37474 .43477 L
.3756 .4396 L
.37644 .44443 L
.37679 .44647 L
.37722 .44927 L
.37797 .4541 L
.37873 .45893 L
.37948 .46376 L
.38023 .46859 L
.38096 .47342 L
.38162 .4779 L
.38167 .47826 L
.3823 .48309 L
.38293 .48792 L
.38357 .49275 L
.3842 .49758 L
.38483 .50242 L
.38543 .50725 L
.38603 .51208 L
.38645 .51563 L
.38659 .51691 L
.38709 .52174 L
.38759 .52658 L
.38809 .53141 L
.38858 .53624 L
.38906 .54107 L
.38953 .5459 L
.38997 .55073 L
.3904 .55557 L
.3908 .5604 L
.39118 .56523 L
.39128 .56655 L
.39152 .57006 L
.39184 .57489 L
.39214 .57973 L
.39242 .58456 L
.39268 .58939 L
.39291 .59422 L
.39312 .59905 L
.3933 .60388 L
.39344 .60872 L
.39355 .61355 L
.39362 .61838 L
.39365 .62321 L
.39364 .62804 L
.39357 .63288 L
.39344 .63771 L
.39324 .64254 L
.39295 .64737 L
.39254 .6522 L
.39198 .65704 L
.39128 .66132 L
.39118 .66187 L
.39007 .6667 L
.3882 .67153 L
.38645 .6738 L
.38162 .6731 L
.3802 .67153 L
.37711 .6667 L
.37679 .66609 L
.3745 .66187 L
.37257 .65704 L
.37196 .65476 L
.37101 .6522 L
.36935 .64737 L
.36786 .64254 L
.36712 .63994 L
.36647 .63771 L
.36512 .63288 L
.36382 .62804 L
.36259 .62321 L
.36229 .62201 L
.36142 .61838 L
.36027 .61355 L
.35916 .60872 L
.35808 .60388 L
.35746 .60107 L
.35704 .59905 L
.35605 .59422 L
.35507 .58939 L
.3541 .58456 L
.35316 .57973 L
.35263 .57699 L
.35226 .57489 L
.3514 .57006 L
.35055 .56523 L
.34969 .5604 L
.34885 .55557 L
.34803 .55073 L
.3478 .54933 L
.34728 .5459 L
.34654 .54107 L
.3458 .53624 L
.34507 .53141 L
.34434 .52658 L
.34362 .52174 L
.34296 .51717 L
.34293 .51691 L
.34232 .51208 L
.3417 .50725 L
.34108 .50242 L
.34047 .49758 L
.33986 .49275 L
.33927 .48792 L
.33869 .48309 L
.33814 .47826 L
.33813 .47822 L
.33765 .47342 L
.33717 .46859 L
.33669 .46376 L
.33622 .45893 L
.33576 .4541 L
.33532 .44927 L
.3349 .44443 L
.33449 .4396 L
.33411 .43477 L
.33375 .42994 L
.33341 .42511 L
.3333 .42348 L
.33311 .42027 L
.33284 .41544 L
.33259 .41061 L
.33236 .40578 L
.33215 .40095 L
.33198 .39612 L
.33184 .39128 L
.33173 .38645 L
.33165 .38162 L
.33162 .37679 L
.33164 .37196 L
.33171 .36712 L
.33184 .36229 L
.33205 .35746 L
.33235 .35263 L
.33276 .3478 L
.3333 .34317 L
.33331 .34296 L
.3341 .33813 L
.33521 .3333 L
.33706 .32847 L
F
1 .715 0 r
.33813 .32812 m
.34296 .32734 L
.34424 .32847 L
.34769 .3333 L
.3478 .33349 L
.35057 .33813 L
.35239 .34296 L
.35263 .34421 L
.354 .3478 L
.35568 .35263 L
.35716 .35746 L
.35746 .35853 L
.35858 .36229 L
.35995 .36712 L
.36125 .37196 L
.36229 .37601 L
.36249 .37679 L
.36367 .38162 L
.36482 .38645 L
.36595 .39128 L
.36703 .39612 L
.36712 .39653 L
.36805 .40095 L
.36906 .40578 L
.37005 .41061 L
.37102 .41544 L
.37196 .42018 L
.37197 .42027 L
.37285 .42511 L
.37372 .42994 L
.37459 .43477 L
.37545 .4396 L
.37629 .44443 L
.37679 .44734 L
.37708 .44927 L
.37783 .4541 L
.37859 .45893 L
.37934 .46376 L
.38008 .46859 L
.38082 .47342 L
.38153 .47826 L
.38162 .47887 L
.38217 .48309 L
.3828 .48792 L
.38343 .49275 L
.38406 .49758 L
.38469 .50242 L
.38529 .50725 L
.38589 .51208 L
.38645 .51684 L
.38646 .51691 L
.38696 .52174 L
.38746 .52658 L
.38796 .53141 L
.38844 .53624 L
.38892 .54107 L
.38938 .5459 L
.38982 .55073 L
.39025 .55557 L
.39065 .5604 L
.39103 .56523 L
.39128 .5686 L
.39138 .57006 L
.39169 .57489 L
.39199 .57973 L
.39226 .58456 L
.39252 .58939 L
.39275 .59422 L
.39295 .59905 L
.39312 .60388 L
.39327 .60872 L
.39337 .61355 L
.39344 .61838 L
.39346 .62321 L
.39344 .62804 L
.39336 .63288 L
.39321 .63771 L
.393 .64254 L
.39269 .64737 L
.39225 .6522 L
.39165 .65704 L
.39128 .65927 L
.3908 .66187 L
.38958 .6667 L
.38738 .67153 L
.38645 .67259 L
.38162 .67212 L
.38102 .67153 L
.3776 .6667 L
.37679 .66522 L
.3749 .66187 L
.37282 .65704 L
.37196 .65395 L
.3713 .6522 L
.36961 .64737 L
.36809 .64254 L
.36712 .63916 L
.3667 .63771 L
.36533 .63288 L
.36402 .62804 L
.36278 .62321 L
.36229 .62124 L
.3616 .61838 L
.36045 .61355 L
.35934 .60872 L
.35825 .60388 L
.35746 .60029 L
.35721 .59905 L
.35621 .59422 L
.35523 .58939 L
.35426 .58456 L
.35331 .57973 L
.35263 .57617 L
.3524 .57489 L
.35155 .57006 L
.35069 .56523 L
.34984 .5604 L
.349 .55557 L
.34818 .55073 L
.3478 .54845 L
.34741 .5459 L
.34668 .54107 L
.34594 .53624 L
.34521 .53141 L
.34448 .52658 L
.34377 .52174 L
.34307 .51691 L
.34296 .51617 L
.34245 .51208 L
.34183 .50725 L
.34122 .50242 L
.3406 .49758 L
.34 .49275 L
.33941 .48792 L
.33884 .48309 L
.33828 .47826 L
.33813 .47695 L
.33778 .47342 L
.3373 .46859 L
.33683 .46376 L
.33636 .45893 L
.33591 .4541 L
.33547 .44927 L
.33504 .44443 L
.33464 .4396 L
.33426 .43477 L
.3339 .42994 L
.33356 .42511 L
.3333 .42104 L
.33326 .42027 L
.33299 .41544 L
.33274 .41061 L
.33252 .40578 L
.33232 .40095 L
.33215 .39612 L
.33201 .39128 L
.33191 .38645 L
.33184 .38162 L
.33182 .37679 L
.33184 .37196 L
.33192 .36712 L
.33207 .36229 L
.33229 .35746 L
.33261 .35263 L
.33305 .3478 L
.3333 .34561 L
.33345 .34296 L
.33448 .33813 L
.33569 .3333 L
.33788 .32847 L
F
1 .711 0 r
.34296 .32834 m
.34315 .32847 L
.34716 .3333 L
.3478 .33437 L
.35016 .33813 L
.3522 .34296 L
.35263 .34502 L
.35371 .3478 L
.35543 .35263 L
.35694 .35746 L
.35746 .35931 L
.35836 .36229 L
.35974 .36712 L
.36105 .37196 L
.36229 .37678 L
.36229 .37679 L
.36349 .38162 L
.36464 .38645 L
.36577 .39128 L
.36686 .39612 L
.36712 .3973 L
.36789 .40095 L
.3689 .40578 L
.36989 .41061 L
.37087 .41544 L
.37182 .42027 L
.37196 .42098 L
.3727 .42511 L
.37357 .42994 L
.37444 .43477 L
.3753 .4396 L
.37614 .44443 L
.37679 .4482 L
.37695 .44927 L
.3777 .4541 L
.37845 .45893 L
.3792 .46376 L
.37994 .46859 L
.38067 .47342 L
.38139 .47826 L
.38162 .47985 L
.38204 .48309 L
.38267 .48792 L
.3833 .49275 L
.38393 .49758 L
.38455 .50242 L
.38515 .50725 L
.38575 .51208 L
.38632 .51691 L
.38645 .51805 L
.38683 .52174 L
.38733 .52658 L
.38782 .53141 L
.38831 .53624 L
.38878 .54107 L
.38924 .5459 L
.38968 .55073 L
.3901 .55557 L
.3905 .5604 L
.39088 .56523 L
.39124 .57006 L
.39128 .57071 L
.39155 .57489 L
.39184 .57973 L
.39211 .58456 L
.39236 .58939 L
.39259 .59422 L
.39279 .59905 L
.39296 .60388 L
.39309 .60872 L
.39319 .61355 L
.39325 .61838 L
.39327 .62321 L
.39323 .62804 L
.39314 .63288 L
.39299 .63771 L
.39276 .64254 L
.39242 .64737 L
.39196 .6522 L
.3913 .65704 L
.39128 .65716 L
.39041 .66187 L
.38906 .6667 L
.38645 .67138 L
.38162 .67115 L
.37812 .6667 L
.37679 .66436 L
.37533 .66187 L
.37309 .65704 L
.37196 .65315 L
.3716 .6522 L
.36987 .64737 L
.36832 .64254 L
.36712 .63839 L
.36692 .63771 L
.36554 .63288 L
.36423 .62804 L
.36297 .62321 L
.36229 .62048 L
.36178 .61838 L
.36063 .61355 L
.35951 .60872 L
.35842 .60388 L
.35746 .59951 L
.35737 .59905 L
.35637 .59422 L
.35539 .58939 L
.35442 .58456 L
.35347 .57973 L
.35263 .57536 L
.35255 .57489 L
.35169 .57006 L
.35084 .56523 L
.34999 .5604 L
.34915 .55557 L
.34832 .55073 L
.3478 .54758 L
.34754 .5459 L
.34681 .54107 L
.34608 .53624 L
.34535 .53141 L
.34462 .52658 L
.34391 .52174 L
.34321 .51691 L
.34296 .51518 L
.34258 .51208 L
.34196 .50725 L
.34135 .50242 L
.34074 .49758 L
.34014 .49275 L
.33955 .48792 L
.33898 .48309 L
.33842 .47826 L
.33813 .47569 L
.33791 .47342 L
.33743 .46859 L
.33696 .46376 L
.3365 .45893 L
.33605 .4541 L
.33561 .44927 L
.33519 .44443 L
.33479 .4396 L
.33441 .43477 L
.33405 .42994 L
.33372 .42511 L
.33341 .42027 L
.3333 .41847 L
.33314 .41544 L
.33289 .41061 L
.33267 .40578 L
.33248 .40095 L
.33231 .39612 L
.33218 .39128 L
.33208 .38645 L
.33203 .38162 L
.33201 .37679 L
.33205 .37196 L
.33214 .36712 L
.33229 .36229 L
.33253 .35746 L
.33287 .35263 L
.3333 .34817 L
.33333 .3478 L
.33361 .34296 L
.33487 .33813 L
.33621 .3333 L
.33813 .32939 L
.33904 .32847 L
F
1 .707 0 r
.33813 .33066 m
.34296 .32933 L
.34659 .3333 L
.3478 .33523 L
.34971 .33813 L
.35199 .34296 L
.35263 .34582 L
.35341 .3478 L
.35517 .35263 L
.35671 .35746 L
.35746 .36007 L
.35813 .36229 L
.35953 .36712 L
.36085 .37196 L
.3621 .37679 L
.36229 .37754 L
.3633 .38162 L
.36447 .38645 L
.3656 .39128 L
.36669 .39612 L
.36712 .39807 L
.36773 .40095 L
.36874 .40578 L
.36973 .41061 L
.37071 .41544 L
.37166 .42027 L
.37196 .42177 L
.37256 .42511 L
.37343 .42994 L
.3743 .43477 L
.37515 .4396 L
.376 .44443 L
.37679 .44905 L
.37682 .44927 L
.37756 .4541 L
.37831 .45893 L
.37906 .46376 L
.3798 .46859 L
.38053 .47342 L
.38125 .47826 L
.38162 .48081 L
.38191 .48309 L
.38254 .48792 L
.38317 .49275 L
.38379 .49758 L
.38441 .50242 L
.38502 .50725 L
.38561 .51208 L
.38618 .51691 L
.38645 .51926 L
.38671 .52174 L
.3872 .52658 L
.38769 .53141 L
.38817 .53624 L
.38864 .54107 L
.3891 .5459 L
.38954 .55073 L
.38996 .55557 L
.39036 .5604 L
.39073 .56523 L
.39109 .57006 L
.39128 .57289 L
.39141 .57489 L
.3917 .57973 L
.39196 .58456 L
.39221 .58939 L
.39243 .59422 L
.39262 .59905 L
.39279 .60388 L
.39292 .60872 L
.39301 .61355 L
.39307 .61838 L
.39307 .62321 L
.39303 .62804 L
.39293 .63288 L
.39276 .63771 L
.39251 .64254 L
.39216 .64737 L
.39166 .6522 L
.39128 .65498 L
.39097 .65704 L
.39001 .66187 L
.3885 .6667 L
.38645 .67017 L
.38162 .67018 L
.37869 .6667 L
.37679 .66351 L
.37579 .66187 L
.37338 .65704 L
.37196 .65235 L
.3719 .6522 L
.37014 .64737 L
.36855 .64254 L
.36715 .63771 L
.36712 .63762 L
.36575 .63288 L
.36443 .62804 L
.36316 .62321 L
.36229 .61972 L
.36197 .61838 L
.36081 .61355 L
.35968 .60872 L
.35859 .60388 L
.35753 .59905 L
.35746 .59875 L
.35653 .59422 L
.35555 .58939 L
.35458 .58456 L
.35362 .57973 L
.35269 .57489 L
.35263 .57456 L
.35184 .57006 L
.35098 .56523 L
.35013 .5604 L
.34929 .55557 L
.34847 .55073 L
.3478 .54672 L
.34768 .5459 L
.34695 .54107 L
.34622 .53624 L
.34548 .53141 L
.34476 .52658 L
.34405 .52174 L
.34335 .51691 L
.34296 .51419 L
.3427 .51208 L
.34209 .50725 L
.34148 .50242 L
.34088 .49758 L
.34028 .49275 L
.33969 .48792 L
.33912 .48309 L
.33856 .47826 L
.33813 .47442 L
.33804 .47342 L
.33756 .46859 L
.3371 .46376 L
.33663 .45893 L
.33619 .4541 L
.33575 .44927 L
.33533 .44443 L
.33493 .4396 L
.33456 .43477 L
.3342 .42994 L
.33387 .42511 L
.33356 .42027 L
.3333 .41575 L
.33329 .41544 L
.33305 .41061 L
.33283 .40578 L
.33264 .40095 L
.33248 .39612 L
.33235 .39128 L
.33226 .38645 L
.33221 .38162 L
.3322 .37679 L
.33225 .37196 L
.33235 .36712 L
.33252 .36229 L
.33278 .35746 L
.33314 .35263 L
.3333 .35089 L
.33351 .3478 L
.3338 .34296 L
.33527 .33813 L
.33677 .3333 L
F
1 .702 0 r
.33813 .33193 m
.34296 .33031 L
.34596 .3333 L
.3478 .33609 L
.34921 .33813 L
.35174 .34296 L
.35263 .34662 L
.3531 .3478 L
.3549 .35263 L
.35648 .35746 L
.35746 .36084 L
.3579 .36229 L
.35932 .36712 L
.36065 .37196 L
.36192 .37679 L
.36229 .37829 L
.36312 .38162 L
.36429 .38645 L
.36542 .39128 L
.36652 .39612 L
.36712 .39883 L
.36757 .40095 L
.36858 .40578 L
.36958 .41061 L
.37056 .41544 L
.37151 .42027 L
.37196 .42256 L
.37241 .42511 L
.37328 .42994 L
.37415 .43477 L
.37501 .4396 L
.37585 .44443 L
.37668 .44927 L
.37679 .4499 L
.37743 .4541 L
.37818 .45893 L
.37893 .46376 L
.37967 .46859 L
.3804 .47342 L
.38111 .47826 L
.38162 .48178 L
.38179 .48309 L
.38241 .48792 L
.38304 .49275 L
.38366 .49758 L
.38428 .50242 L
.38488 .50725 L
.38547 .51208 L
.38604 .51691 L
.38645 .52047 L
.38658 .52174 L
.38707 .52658 L
.38756 .53141 L
.38804 .53624 L
.3885 .54107 L
.38896 .5459 L
.38939 .55073 L
.38981 .55557 L
.39021 .5604 L
.39059 .56523 L
.39094 .57006 L
.39127 .57489 L
.39128 .57516 L
.39155 .57973 L
.39182 .58456 L
.39206 .58939 L
.39227 .59422 L
.39246 .59905 L
.39262 .60388 L
.39275 .60872 L
.39284 .61355 L
.39288 .61838 L
.39288 .62321 L
.39283 .62804 L
.39272 .63288 L
.39254 .63771 L
.39227 .64254 L
.39188 .64737 L
.39135 .6522 L
.39128 .6527 L
.39062 .65704 L
.38958 .66187 L
.38788 .6667 L
.38645 .66896 L
.38162 .66922 L
.37931 .6667 L
.37679 .66266 L
.37629 .66187 L
.37369 .65704 L
.37208 .6522 L
.37196 .65156 L
.37041 .64737 L
.36879 .64254 L
.36736 .63771 L
.36712 .63686 L
.36597 .63288 L
.36463 .62804 L
.36336 .62321 L
.36229 .61897 L
.36215 .61838 L
.36099 .61355 L
.35986 .60872 L
.35876 .60388 L
.35769 .59905 L
.35746 .59798 L
.35669 .59422 L
.3557 .58939 L
.35473 .58456 L
.35378 .57973 L
.35284 .57489 L
.35263 .57377 L
.35198 .57006 L
.35112 .56523 L
.35028 .5604 L
.34944 .55557 L
.34861 .55073 L
.3478 .5459 L
.3478 .54585 L
.34708 .54107 L
.34635 .53624 L
.34562 .53141 L
.3449 .52658 L
.34418 .52174 L
.34349 .51691 L
.34296 .5132 L
.34283 .51208 L
.34222 .50725 L
.34161 .50242 L
.34101 .49758 L
.34041 .49275 L
.33982 .48792 L
.33925 .48309 L
.3387 .47826 L
.33816 .47342 L
.33813 .47315 L
.33769 .46859 L
.33723 .46376 L
.33677 .45893 L
.33632 .4541 L
.33589 .44927 L
.33548 .44443 L
.33508 .4396 L
.3347 .43477 L
.33435 .42994 L
.33402 .42511 L
.33372 .42027 L
.33344 .41544 L
.3333 .41282 L
.3332 .41061 L
.33299 .40578 L
.3328 .40095 L
.33265 .39612 L
.33252 .39128 L
.33244 .38645 L
.33239 .38162 L
.33239 .37679 L
.33245 .37196 L
.33256 .36712 L
.33275 .36229 L
.33302 .35746 L
.3333 .35382 L
.33338 .35263 L
.33371 .3478 L
.33402 .34296 L
.33569 .33813 L
.33738 .3333 L
F
1 .698 0 r
.33813 .33321 m
.34296 .3313 L
.34524 .3333 L
.3478 .33695 L
.34866 .33813 L
.35146 .34296 L
.35263 .34741 L
.35279 .3478 L
.35463 .35263 L
.35625 .35746 L
.35746 .36159 L
.35767 .36229 L
.3591 .36712 L
.36045 .37196 L
.36173 .37679 L
.36229 .37903 L
.36294 .38162 L
.36411 .38645 L
.36525 .39128 L
.36636 .39612 L
.36712 .39958 L
.36741 .40095 L
.36842 .40578 L
.36942 .41061 L
.3704 .41544 L
.37136 .42027 L
.37196 .42335 L
.37227 .42511 L
.37314 .42994 L
.37401 .43477 L
.37487 .4396 L
.37571 .44443 L
.37654 .44927 L
.37679 .45074 L
.3773 .4541 L
.37805 .45893 L
.37879 .46376 L
.37953 .46859 L
.38026 .47342 L
.38097 .47826 L
.38162 .48273 L
.38167 .48309 L
.38228 .48792 L
.38291 .49275 L
.38353 .49758 L
.38414 .50242 L
.38475 .50725 L
.38533 .51208 L
.38591 .51691 L
.38645 .52168 L
.38646 .52174 L
.38694 .52658 L
.38743 .53141 L
.3879 .53624 L
.38837 .54107 L
.38882 .5459 L
.38925 .55073 L
.38967 .55557 L
.39007 .5604 L
.39044 .56523 L
.39079 .57006 L
.39112 .57489 L
.39128 .57754 L
.39141 .57973 L
.39167 .58456 L
.39191 .58939 L
.39212 .59422 L
.3923 .59905 L
.39246 .60388 L
.39258 .60872 L
.39266 .61355 L
.3927 .61838 L
.39269 .62321 L
.39263 .62804 L
.39251 .63288 L
.39231 .63771 L
.39202 .64254 L
.39161 .64737 L
.39128 .65033 L
.39119 .6522 L
.39027 .65704 L
.38914 .66187 L
.38718 .6667 L
.38645 .66775 L
.38162 .66826 L
.38003 .6667 L
.37682 .66187 L
.37679 .66182 L
.37404 .65704 L
.37225 .6522 L
.37196 .65078 L
.37068 .64737 L
.36903 .64254 L
.36757 .63771 L
.36712 .63611 L
.36618 .63288 L
.36483 .62804 L
.36355 .62321 L
.36233 .61838 L
.36229 .61822 L
.36117 .61355 L
.36003 .60872 L
.35893 .60388 L
.35786 .59905 L
.35746 .59723 L
.35684 .59422 L
.35586 .58939 L
.35488 .58456 L
.35393 .57973 L
.35299 .57489 L
.35263 .57298 L
.35212 .57006 L
.35127 .56523 L
.35042 .5604 L
.34958 .55557 L
.34875 .55073 L
.34795 .5459 L
.3478 .545 L
.34721 .54107 L
.34648 .53624 L
.34575 .53141 L
.34503 .52658 L
.34432 .52174 L
.34362 .51691 L
.34296 .51222 L
.34295 .51208 L
.34235 .50725 L
.34174 .50242 L
.34114 .49758 L
.34054 .49275 L
.33996 .48792 L
.33939 .48309 L
.33884 .47826 L
.3383 .47342 L
.33813 .47187 L
.33782 .46859 L
.33736 .46376 L
.3369 .45893 L
.33646 .4541 L
.33603 .44927 L
.33562 .44443 L
.33522 .4396 L
.33485 .43477 L
.3345 .42994 L
.33417 .42511 L
.33387 .42027 L
.33359 .41544 L
.33335 .41061 L
.3333 .40962 L
.33314 .40578 L
.33296 .40095 L
.33281 .39612 L
.33269 .39128 L
.33261 .38645 L
.33258 .38162 L
.33258 .37679 L
.33265 .37196 L
.33277 .36712 L
.33298 .36229 L
.33327 .35746 L
.3333 .35702 L
.33359 .35263 L
.33392 .3478 L
.33428 .34296 L
.33613 .33813 L
.33808 .3333 L
F
1 .693 0 r
.34296 .33227 m
.34436 .3333 L
.3478 .3378 L
.34805 .33813 L
.35114 .34296 L
.35261 .3478 L
.35263 .34819 L
.35436 .35263 L
.35602 .35746 L
.35745 .36229 L
.35746 .36234 L
.35889 .36712 L
.36025 .37196 L
.36154 .37679 L
.36229 .37977 L
.36275 .38162 L
.36393 .38645 L
.36508 .39128 L
.36619 .39612 L
.36712 .40033 L
.36726 .40095 L
.36827 .40578 L
.36927 .41061 L
.37025 .41544 L
.37121 .42027 L
.37196 .42412 L
.37213 .42511 L
.373 .42994 L
.37387 .43477 L
.37473 .4396 L
.37557 .44443 L
.3764 .44927 L
.37679 .45158 L
.37717 .4541 L
.37791 .45893 L
.37866 .46376 L
.3794 .46859 L
.38012 .47342 L
.38084 .47826 L
.38153 .48309 L
.38162 .48369 L
.38216 .48792 L
.38278 .49275 L
.3834 .49758 L
.38401 .50242 L
.38461 .50725 L
.3852 .51208 L
.38577 .51691 L
.38632 .52174 L
.38645 .52289 L
.38682 .52658 L
.3873 .53141 L
.38777 .53624 L
.38823 .54107 L
.38868 .5459 L
.38912 .55073 L
.38953 .55557 L
.38992 .5604 L
.3903 .56523 L
.39064 .57006 L
.39097 .57489 L
.39126 .57973 L
.39128 .58004 L
.39152 .58456 L
.39176 .58939 L
.39196 .59422 L
.39214 .59905 L
.39229 .60388 L
.39241 .60872 L
.39248 .61355 L
.39252 .61838 L
.3925 .62321 L
.39243 .62804 L
.39229 .63288 L
.39208 .63771 L
.39177 .64254 L
.39133 .64737 L
.39128 .64783 L
.39106 .6522 L
.38991 .65704 L
.38867 .66187 L
.38645 .66654 L
.38631 .6667 L
.38162 .66731 L
.3809 .6667 L
.37729 .66187 L
.37679 .66098 L
.37442 .65704 L
.37243 .6522 L
.37196 .65 L
.37096 .64737 L
.36927 .64254 L
.36778 .63771 L
.36712 .63536 L
.36639 .63288 L
.36503 .62804 L
.36374 .62321 L
.36251 .61838 L
.36229 .61749 L
.36134 .61355 L
.3602 .60872 L
.35909 .60388 L
.35802 .59905 L
.35746 .59648 L
.357 .59422 L
.35601 .58939 L
.35503 .58456 L
.35408 .57973 L
.35314 .57489 L
.35263 .57219 L
.35225 .57006 L
.3514 .56523 L
.35056 .5604 L
.34972 .55557 L
.34889 .55073 L
.34808 .5459 L
.3478 .54415 L
.34734 .54107 L
.34661 .53624 L
.34589 .53141 L
.34517 .52658 L
.34446 .52174 L
.34376 .51691 L
.34308 .51208 L
.34296 .51124 L
.34247 .50725 L
.34187 .50242 L
.34127 .49758 L
.34068 .49275 L
.34009 .48792 L
.33952 .48309 L
.33897 .47826 L
.33844 .47342 L
.33813 .47059 L
.33794 .46859 L
.33748 .46376 L
.33703 .45893 L
.33659 .4541 L
.33617 .44927 L
.33576 .44443 L
.33536 .4396 L
.33499 .43477 L
.33464 .42994 L
.33432 .42511 L
.33402 .42027 L
.33375 .41544 L
.3335 .41061 L
.3333 .40603 L
.33329 .40578 L
.33312 .40095 L
.33297 .39612 L
.33286 .39128 L
.33279 .38645 L
.33276 .38162 L
.33278 .37679 L
.33285 .37196 L
.33299 .36712 L
.3332 .36229 L
.3333 .3606 L
.33348 .35746 L
.3338 .35263 L
.33416 .3478 L
.33459 .34296 L
.3366 .33813 L
.33813 .33449 L
.33899 .3333 L
F
1 .689 0 r
.34296 .33325 m
.34307 .3333 L
.34748 .33813 L
.3478 .33864 L
.35076 .34296 L
.35255 .3478 L
.35263 .34897 L
.35408 .35263 L
.35578 .35746 L
.35724 .36229 L
.35746 .36308 L
.35868 .36712 L
.36005 .37196 L
.36135 .37679 L
.36229 .3805 L
.36257 .38162 L
.36376 .38645 L
.36491 .39128 L
.36602 .39612 L
.3671 .40095 L
.36712 .40107 L
.36811 .40578 L
.36911 .41061 L
.3701 .41544 L
.37106 .42027 L
.37196 .42489 L
.37199 .42511 L
.37286 .42994 L
.37373 .43477 L
.37458 .4396 L
.37543 .44443 L
.37626 .44927 L
.37679 .45241 L
.37704 .4541 L
.37778 .45893 L
.37853 .46376 L
.37926 .46859 L
.37999 .47342 L
.3807 .47826 L
.3814 .48309 L
.38162 .48463 L
.38204 .48792 L
.38265 .49275 L
.38327 .49758 L
.38388 .50242 L
.38448 .50725 L
.38507 .51208 L
.38564 .51691 L
.38619 .52174 L
.38645 .52411 L
.3867 .52658 L
.38717 .53141 L
.38764 .53624 L
.3881 .54107 L
.38855 .5459 L
.38898 .55073 L
.38939 .55557 L
.38978 .5604 L
.39015 .56523 L
.3905 .57006 L
.39082 .57489 L
.39112 .57973 L
.39128 .5827 L
.39138 .58456 L
.39161 .58939 L
.39181 .59422 L
.39199 .59905 L
.39213 .60388 L
.39224 .60872 L
.39231 .61355 L
.39233 .61838 L
.39231 .62321 L
.39223 .62804 L
.39208 .63288 L
.39185 .63771 L
.39152 .64254 L
.39128 .64517 L
.39114 .64737 L
.39091 .6522 L
.38953 .65704 L
.38816 .66187 L
.38645 .66532 L
.38162 .66636 L
.37781 .66187 L
.37679 .66015 L
.37483 .65704 L
.37264 .6522 L
.37196 .64923 L
.37124 .64737 L
.36952 .64254 L
.36799 .63771 L
.36712 .63462 L
.36661 .63288 L
.36523 .62804 L
.36393 .62321 L
.36269 .61838 L
.36229 .61675 L
.36152 .61355 L
.36037 .60872 L
.35926 .60388 L
.35818 .59905 L
.35746 .59574 L
.35715 .59422 L
.35616 .58939 L
.35519 .58456 L
.35423 .57973 L
.35329 .57489 L
.35263 .57142 L
.35239 .57006 L
.35154 .56523 L
.3507 .5604 L
.34986 .55557 L
.34903 .55073 L
.34822 .5459 L
.3478 .54331 L
.34746 .54107 L
.34674 .53624 L
.34602 .53141 L
.3453 .52658 L
.34459 .52174 L
.34389 .51691 L
.34321 .51208 L
.34296 .51027 L
.34259 .50725 L
.34199 .50242 L
.3414 .49758 L
.34081 .49275 L
.34022 .48792 L
.33966 .48309 L
.3391 .47826 L
.33857 .47342 L
.33813 .4693 L
.33807 .46859 L
.33761 .46376 L
.33716 .45893 L
.33673 .4541 L
.3363 .44927 L
.33589 .44443 L
.3355 .4396 L
.33514 .43477 L
.33479 .42994 L
.33447 .42511 L
.33417 .42027 L
.3339 .41544 L
.33366 .41061 L
.33345 .40578 L
.3333 .40183 L
.33327 .40095 L
.33313 .39612 L
.33303 .39128 L
.33296 .38645 L
.33294 .38162 L
.33297 .37679 L
.33305 .37196 L
.3332 .36712 L
.3333 .36479 L
.33342 .36229 L
.33369 .35746 L
.33402 .35263 L
.33441 .3478 L
.33495 .34296 L
.3371 .33813 L
.33813 .33578 L
.34043 .3333 L
F
1 .684 0 r
.33813 .33707 m
.34296 .33422 L
.34692 .33813 L
.3478 .33948 L
.35033 .34296 L
.35246 .3478 L
.35263 .34974 L
.35379 .35263 L
.35554 .35746 L
.35704 .36229 L
.35746 .36382 L
.35846 .36712 L
.35985 .37196 L
.36116 .37679 L
.36229 .38123 L
.36239 .38162 L
.36358 .38645 L
.36474 .39128 L
.36586 .39612 L
.36694 .40095 L
.36712 .4018 L
.36796 .40578 L
.36896 .41061 L
.36995 .41544 L
.37091 .42027 L
.37185 .42511 L
.37196 .42566 L
.37272 .42994 L
.37359 .43477 L
.37445 .4396 L
.37529 .44443 L
.37612 .44927 L
.37679 .45324 L
.37692 .4541 L
.37766 .45893 L
.3784 .46376 L
.37913 .46859 L
.37986 .47342 L
.38057 .47826 L
.38127 .48309 L
.38162 .48558 L
.38192 .48792 L
.38253 .49275 L
.38314 .49758 L
.38375 .50242 L
.38435 .50725 L
.38494 .51208 L
.3855 .51691 L
.38606 .52174 L
.38645 .52533 L
.38657 .52658 L
.38705 .53141 L
.38751 .53624 L
.38797 .54107 L
.38841 .5459 L
.38884 .55073 L
.38925 .55557 L
.38964 .5604 L
.39001 .56523 L
.39035 .57006 L
.39067 .57489 L
.39097 .57973 L
.39123 .58456 L
.39128 .58557 L
.39146 .58939 L
.39166 .59422 L
.39183 .59905 L
.39197 .60388 L
.39207 .60872 L
.39213 .61355 L
.39215 .61838 L
.39212 .62321 L
.39203 .62804 L
.39186 .63288 L
.39162 .63771 L
.39128 .6423 L
.39127 .64254 L
.39097 .64737 L
.39072 .6522 L
.38914 .65704 L
.38762 .66187 L
.38645 .6641 L
.38162 .66542 L
.37837 .66187 L
.37679 .65932 L
.37529 .65704 L
.37287 .6522 L
.37196 .64847 L
.37153 .64737 L
.36977 .64254 L
.36821 .63771 L
.36712 .63389 L
.36682 .63288 L
.36543 .62804 L
.36412 .62321 L
.36287 .61838 L
.36229 .61603 L
.36169 .61355 L
.36054 .60872 L
.35942 .60388 L
.35834 .59905 L
.35746 .595 L
.3573 .59422 L
.35631 .58939 L
.35533 .58456 L
.35437 .57973 L
.35343 .57489 L
.35263 .57065 L
.35253 .57006 L
.35168 .56523 L
.35083 .5604 L
.35 .55557 L
.34917 .55073 L
.34836 .5459 L
.3478 .54247 L
.34759 .54107 L
.34687 .53624 L
.34615 .53141 L
.34543 .52658 L
.34472 .52174 L
.34403 .51691 L
.34335 .51208 L
.34296 .5093 L
.34271 .50725 L
.34212 .50242 L
.34152 .49758 L
.34093 .49275 L
.34035 .48792 L
.33979 .48309 L
.33924 .47826 L
.33871 .47342 L
.33819 .46859 L
.33813 .46801 L
.33774 .46376 L
.33729 .45893 L
.33686 .4541 L
.33644 .44927 L
.33603 .44443 L
.33564 .4396 L
.33528 .43477 L
.33493 .42994 L
.33461 .42511 L
.33432 .42027 L
.33405 .41544 L
.33381 .41061 L
.33361 .40578 L
.33343 .40095 L
.3333 .39642 L
.33329 .39612 L
.33319 .39128 L
.33314 .38645 L
.33312 .38162 L
.33316 .37679 L
.33325 .37196 L
.3333 .37016 L
.33341 .36712 L
.33362 .36229 L
.3339 .35746 L
.33425 .35263 L
.33468 .3478 L
.33537 .34296 L
.33764 .33813 L
F
1 .68 0 r
.34296 .33519 m
.34629 .33813 L
.3478 .34031 L
.34984 .34296 L
.35233 .3478 L
.35263 .3505 L
.3535 .35263 L
.35529 .35746 L
.35683 .36229 L
.35746 .36455 L
.35824 .36712 L
.35965 .37196 L
.36097 .37679 L
.36221 .38162 L
.36229 .38195 L
.36341 .38645 L
.36457 .39128 L
.36569 .39612 L
.36678 .40095 L
.36712 .40253 L
.36781 .40578 L
.36881 .41061 L
.3698 .41544 L
.37076 .42027 L
.37171 .42511 L
.37196 .42641 L
.37259 .42994 L
.37345 .43477 L
.37431 .4396 L
.37515 .44443 L
.37598 .44927 L
.37679 .45406 L
.37679 .4541 L
.37753 .45893 L
.37827 .46376 L
.379 .46859 L
.37973 .47342 L
.38044 .47826 L
.38114 .48309 L
.38162 .48652 L
.3818 .48792 L
.38241 .49275 L
.38302 .49758 L
.38362 .50242 L
.38422 .50725 L
.3848 .51208 L
.38537 .51691 L
.38592 .52174 L
.38645 .52656 L
.38645 .52658 L
.38692 .53141 L
.38739 .53624 L
.38784 .54107 L
.38828 .5459 L
.38871 .55073 L
.38912 .55557 L
.3895 .5604 L
.38987 .56523 L
.39021 .57006 L
.39053 .57489 L
.39082 .57973 L
.39108 .58456 L
.39128 .58871 L
.39131 .58939 L
.39151 .59422 L
.39167 .59905 L
.39181 .60388 L
.3919 .60872 L
.39196 .61355 L
.39197 .61838 L
.39193 .62321 L
.39182 .62804 L
.39165 .63288 L
.39138 .63771 L
.39128 .63916 L
.39108 .64254 L
.39078 .64737 L
.3905 .6522 L
.38874 .65704 L
.38701 .66187 L
.38645 .66287 L
.38162 .66447 L
.37899 .66187 L
.37679 .6585 L
.37578 .65704 L
.37313 .6522 L
.37196 .64771 L
.37182 .64737 L
.37002 .64254 L
.36843 .63771 L
.36712 .63316 L
.36704 .63288 L
.36564 .62804 L
.36431 .62321 L
.36305 .61838 L
.36229 .61531 L
.36186 .61355 L
.36071 .60872 L
.35959 .60388 L
.3585 .59905 L
.35746 .59427 L
.35745 .59422 L
.35646 .58939 L
.35548 .58456 L
.35452 .57973 L
.35358 .57489 L
.35266 .57006 L
.35263 .56988 L
.35181 .56523 L
.35097 .5604 L
.35013 .55557 L
.34931 .55073 L
.3485 .5459 L
.3478 .54164 L
.34771 .54107 L
.34699 .53624 L
.34628 .53141 L
.34556 .52658 L
.34485 .52174 L
.34416 .51691 L
.34348 .51208 L
.34296 .50833 L
.34283 .50725 L
.34224 .50242 L
.34165 .49758 L
.34106 .49275 L
.34048 .48792 L
.33992 .48309 L
.33937 .47826 L
.33884 .47342 L
.33833 .46859 L
.33813 .46671 L
.33786 .46376 L
.33742 .45893 L
.33699 .4541 L
.33657 .44927 L
.33617 .44443 L
.33578 .4396 L
.33542 .43477 L
.33507 .42994 L
.33476 .42511 L
.33447 .42027 L
.3342 .41544 L
.33397 .41061 L
.33376 .40578 L
.33359 .40095 L
.33346 .39612 L
.33336 .39128 L
.33331 .38645 L
.3333 .38162 L
.33334 .37679 L
.33344 .37196 L
.3336 .36712 L
.33383 .36229 L
.33412 .35746 L
.33449 .35263 L
.33498 .3478 L
.33585 .34296 L
.33813 .33837 L
.33825 .33813 L
F
1 .675 0 r
.34296 .33615 m
.34556 .33813 L
.3478 .34114 L
.34929 .34296 L
.35216 .3478 L
.35263 .35126 L
.3532 .35263 L
.35504 .35746 L
.35662 .36229 L
.35746 .36528 L
.35803 .36712 L
.35945 .37196 L
.36078 .37679 L
.36203 .38162 L
.36229 .38266 L
.36323 .38645 L
.3644 .39128 L
.36553 .39612 L
.36662 .40095 L
.36712 .40325 L
.36766 .40578 L
.36866 .41061 L
.36965 .41544 L
.37062 .42027 L
.37156 .42511 L
.37196 .42717 L
.37245 .42994 L
.37332 .43477 L
.37417 .4396 L
.37502 .44443 L
.37585 .44927 L
.37666 .4541 L
.37679 .45488 L
.3774 .45893 L
.37814 .46376 L
.37887 .46859 L
.3796 .47342 L
.38031 .47826 L
.38101 .48309 L
.38162 .48746 L
.38168 .48792 L
.38229 .49275 L
.38289 .49758 L
.3835 .50242 L
.38409 .50725 L
.38468 .51208 L
.38524 .51691 L
.38579 .52174 L
.38632 .52658 L
.38645 .52779 L
.3868 .53141 L
.38726 .53624 L
.38771 .54107 L
.38815 .5459 L
.38858 .55073 L
.38898 .55557 L
.38937 .5604 L
.38973 .56523 L
.39007 .57006 L
.39038 .57489 L
.39067 .57973 L
.39093 .58456 L
.39116 .58939 L
.39128 .59224 L
.39136 .59422 L
.39152 .59905 L
.39165 .60388 L
.39174 .60872 L
.39179 .61355 L
.39179 .61838 L
.39174 .62321 L
.39162 .62804 L
.39143 .63288 L
.39128 .63563 L
.39117 .63771 L
.39089 .64254 L
.39057 .64737 L
.39024 .6522 L
.38831 .65704 L
.38645 .66164 L
.38631 .66187 L
.38162 .66353 L
.37971 .66187 L
.37679 .65769 L
.37632 .65704 L
.37343 .6522 L
.37199 .64737 L
.37196 .64696 L
.37028 .64254 L
.36865 .63771 L
.36724 .63288 L
.36712 .63244 L
.36584 .62804 L
.3645 .62321 L
.36323 .61838 L
.36229 .6146 L
.36204 .61355 L
.36088 .60872 L
.35975 .60388 L
.35866 .59905 L
.35761 .59422 L
.35746 .59354 L
.35661 .58939 L
.35563 .58456 L
.35467 .57973 L
.35372 .57489 L
.3528 .57006 L
.35263 .56912 L
.35195 .56523 L
.3511 .5604 L
.35027 .55557 L
.34944 .55073 L
.34863 .5459 L
.34784 .54107 L
.3478 .54081 L
.34712 .53624 L
.3464 .53141 L
.34569 .52658 L
.34498 .52174 L
.34429 .51691 L
.34361 .51208 L
.34296 .50736 L
.34295 .50725 L
.34236 .50242 L
.34177 .49758 L
.34119 .49275 L
.34061 .48792 L
.34005 .48309 L
.3395 .47826 L
.33897 .47342 L
.33846 .46859 L
.33813 .4654 L
.33798 .46376 L
.33754 .45893 L
.33711 .4541 L
.3367 .44927 L
.3363 .44443 L
.33592 .4396 L
.33556 .43477 L
.33522 .42994 L
.3349 .42511 L
.33461 .42027 L
.33435 .41544 L
.33412 .41061 L
.33392 .40578 L
.33375 .40095 L
.33362 .39612 L
.33353 .39128 L
.33348 .38645 L
.33348 .38162 L
.33353 .37679 L
.33363 .37196 L
.3338 .36712 L
.33404 .36229 L
.33434 .35746 L
.33474 .35263 L
.33532 .3478 L
.33641 .34296 L
.33813 .33968 L
.33899 .33813 L
F
1 .671 0 r
.34296 .33711 m
.34465 .33813 L
.3478 .34197 L
.34866 .34296 L
.35192 .3478 L
.35263 .35202 L
.35289 .35263 L
.35478 .35746 L
.3564 .36229 L
.35746 .366 L
.35781 .36712 L
.35924 .37196 L
.36059 .37679 L
.36186 .38162 L
.36229 .38337 L
.36306 .38645 L
.36423 .39128 L
.36537 .39612 L
.36646 .40095 L
.36712 .40397 L
.36751 .40578 L
.36851 .41061 L
.3695 .41544 L
.37047 .42027 L
.37142 .42511 L
.37196 .42792 L
.37232 .42994 L
.37318 .43477 L
.37404 .4396 L
.37488 .44443 L
.37571 .44927 L
.37653 .4541 L
.37679 .45569 L
.37728 .45893 L
.37801 .46376 L
.37874 .46859 L
.37947 .47342 L
.38018 .47826 L
.38088 .48309 L
.38155 .48792 L
.38162 .4884 L
.38217 .49275 L
.38277 .49758 L
.38337 .50242 L
.38397 .50725 L
.38455 .51208 L
.38511 .51691 L
.38566 .52174 L
.38619 .52658 L
.38645 .52902 L
.38668 .53141 L
.38714 .53624 L
.38759 .54107 L
.38802 .5459 L
.38844 .55073 L
.38885 .55557 L
.38923 .5604 L
.38959 .56523 L
.38993 .57006 L
.39024 .57489 L
.39053 .57973 L
.39078 .58456 L
.39101 .58939 L
.39121 .59422 L
.39128 .59641 L
.39136 .59905 L
.39149 .60388 L
.39157 .60872 L
.39161 .61355 L
.39161 .61838 L
.39154 .62321 L
.39142 .62804 L
.39128 .63146 L
.39122 .63288 L
.39098 .63771 L
.39068 .64254 L
.39035 .64737 L
.38994 .6522 L
.38786 .65704 L
.38645 .66041 L
.38536 .66187 L
.38162 .6626 L
.38061 .66187 L
.37688 .65704 L
.37679 .65687 L
.37377 .6522 L
.37206 .64737 L
.37196 .64621 L
.37054 .64254 L
.36888 .63771 L
.36743 .63288 L
.36712 .63172 L
.36604 .62804 L
.36469 .62321 L
.36341 .61838 L
.36229 .61389 L
.36221 .61355 L
.36105 .60872 L
.35991 .60388 L
.35882 .59905 L
.35776 .59422 L
.35746 .59282 L
.35676 .58939 L
.35578 .58456 L
.35481 .57973 L
.35387 .57489 L
.35295 .57006 L
.35263 .56837 L
.35208 .56523 L
.35124 .5604 L
.3504 .55557 L
.34957 .55073 L
.34876 .5459 L
.34797 .54107 L
.3478 .53998 L
.34724 .53624 L
.34653 .53141 L
.34581 .52658 L
.34511 .52174 L
.34442 .51691 L
.34374 .51208 L
.34308 .50725 L
.34296 .5064 L
.34248 .50242 L
.34189 .49758 L
.34131 .49275 L
.34074 .48792 L
.34018 .48309 L
.33963 .47826 L
.3391 .47342 L
.33859 .46859 L
.33813 .46409 L
.3381 .46376 L
.33767 .45893 L
.33724 .4541 L
.33683 .44927 L
.33643 .44443 L
.33605 .4396 L
.33569 .43477 L
.33536 .42994 L
.33504 .42511 L
.33476 .42027 L
.3345 .41544 L
.33427 .41061 L
.33407 .40578 L
.33391 .40095 L
.33378 .39612 L
.3337 .39128 L
.33365 .38645 L
.33366 .38162 L
.33371 .37679 L
.33383 .37196 L
.334 .36712 L
.33425 .36229 L
.33458 .35746 L
.33502 .35263 L
.33568 .3478 L
.33704 .34296 L
.33813 .34099 L
.33994 .33813 L
F
1 .666 0 r
.34296 .33807 m
.34314 .33813 L
.3478 .34279 L
.34796 .34296 L
.35162 .3478 L
.35257 .35263 L
.35263 .35277 L
.35451 .35746 L
.35619 .36229 L
.35746 .36671 L
.35759 .36712 L
.35904 .37196 L
.3604 .37679 L
.36168 .38162 L
.36229 .38407 L
.36289 .38645 L
.36406 .39128 L
.3652 .39612 L
.3663 .40095 L
.36712 .40468 L
.36736 .40578 L
.36836 .41061 L
.36936 .41544 L
.37033 .42027 L
.37128 .42511 L
.37196 .42866 L
.37218 .42994 L
.37305 .43477 L
.3739 .4396 L
.37475 .44443 L
.37558 .44927 L
.37639 .4541 L
.37679 .45649 L
.37716 .45893 L
.37789 .46376 L
.37862 .46859 L
.37934 .47342 L
.38005 .47826 L
.38075 .48309 L
.38143 .48792 L
.38162 .48933 L
.38205 .49275 L
.38265 .49758 L
.38325 .50242 L
.38384 .50725 L
.38442 .51208 L
.38499 .51691 L
.38553 .52174 L
.38606 .52658 L
.38645 .53026 L
.38656 .53141 L
.38702 .53624 L
.38746 .54107 L
.38789 .5459 L
.38831 .55073 L
.38871 .55557 L
.38909 .5604 L
.38945 .56523 L
.38979 .57006 L
.3901 .57489 L
.39038 .57973 L
.39064 .58456 L
.39086 .58939 L
.39105 .59422 L
.39121 .59905 L
.39128 .60181 L
.39133 .60388 L
.3914 .60872 L
.39144 .61355 L
.39142 .61838 L
.39135 .62321 L
.39128 .62609 L
.39122 .62804 L
.39103 .63288 L
.39078 .63771 L
.39047 .64254 L
.39011 .64737 L
.38958 .6522 L
.38738 .65704 L
.38645 .65917 L
.38162 .66167 L
.37738 .65704 L
.37679 .65607 L
.37416 .6522 L
.37215 .64737 L
.37196 .64547 L
.37081 .64254 L
.36911 .63771 L
.36763 .63288 L
.36712 .63101 L
.36625 .62804 L
.36488 .62321 L
.36359 .61838 L
.36238 .61355 L
.36229 .61318 L
.36121 .60872 L
.36008 .60388 L
.35898 .59905 L
.35791 .59422 L
.35746 .59211 L
.3569 .58939 L
.35592 .58456 L
.35496 .57973 L
.35401 .57489 L
.35309 .57006 L
.35263 .56762 L
.35221 .56523 L
.35137 .5604 L
.35053 .55557 L
.34971 .55073 L
.3489 .5459 L
.3481 .54107 L
.3478 .53916 L
.34737 .53624 L
.34665 .53141 L
.34594 .52658 L
.34524 .52174 L
.34454 .51691 L
.34387 .51208 L
.34321 .50725 L
.34296 .50544 L
.3426 .50242 L
.34201 .49758 L
.34143 .49275 L
.34086 .48792 L
.3403 .48309 L
.33976 .47826 L
.33923 .47342 L
.33872 .46859 L
.33823 .46376 L
.33813 .46276 L
.33779 .45893 L
.33737 .4541 L
.33696 .44927 L
.33656 .44443 L
.33619 .4396 L
.33583 .43477 L
.3355 .42994 L
.33519 .42511 L
.3349 .42027 L
.33465 .41544 L
.33442 .41061 L
.33423 .40578 L
.33407 .40095 L
.33394 .39612 L
.33386 .39128 L
.33382 .38645 L
.33383 .38162 L
.3339 .37679 L
.33402 .37196 L
.3342 .36712 L
.33447 .36229 L
.33482 .35746 L
.3353 .35263 L
.33608 .3478 L
.33776 .34296 L
.33813 .34232 L
.3416 .33813 L
F
1 .662 0 r
.34296 .33903 m
.34737 .34296 L
.3478 .3436 L
.35125 .3478 L
.35227 .35263 L
.35263 .35351 L
.35424 .35746 L
.35596 .36229 L
.35738 .36712 L
.35746 .36742 L
.35884 .37196 L
.36021 .37679 L
.3615 .38162 L
.36229 .38477 L
.36271 .38645 L
.3639 .39128 L
.36504 .39612 L
.36615 .40095 L
.36712 .40539 L
.36721 .40578 L
.36822 .41061 L
.36921 .41544 L
.37018 .42027 L
.37113 .42511 L
.37196 .4294 L
.37205 .42994 L
.37291 .43477 L
.37377 .4396 L
.37462 .44443 L
.37545 .44927 L
.37626 .4541 L
.37679 .4573 L
.37703 .45893 L
.37776 .46376 L
.37849 .46859 L
.37921 .47342 L
.37993 .47826 L
.38062 .48309 L
.3813 .48792 L
.38162 .49026 L
.38193 .49275 L
.38253 .49758 L
.38313 .50242 L
.38372 .50725 L
.3843 .51208 L
.38486 .51691 L
.38541 .52174 L
.38593 .52658 L
.38644 .53141 L
.38645 .53151 L
.38689 .53624 L
.38734 .54107 L
.38777 .5459 L
.38818 .55073 L
.38858 .55557 L
.38896 .5604 L
.38932 .56523 L
.38965 .57006 L
.38996 .57489 L
.39024 .57973 L
.39049 .58456 L
.39071 .58939 L
.3909 .59422 L
.39105 .59905 L
.39117 .60388 L
.39124 .60872 L
.39127 .61355 L
.39124 .61838 L
.39117 .62321 L
.39103 .62804 L
.39084 .63288 L
.39058 .63771 L
.39025 .64254 L
.38984 .64737 L
.38916 .6522 L
.38685 .65704 L
.38645 .65792 L
.38162 .66074 L
.37792 .65704 L
.37679 .65526 L
.37459 .6522 L
.37228 .64737 L
.37196 .64473 L
.37109 .64254 L
.36934 .63771 L
.36783 .63288 L
.36712 .6303 L
.36645 .62804 L
.36507 .62321 L
.36377 .61838 L
.36255 .61355 L
.36229 .61248 L
.36138 .60872 L
.36024 .60388 L
.35913 .59905 L
.35807 .59422 L
.35746 .5914 L
.35705 .58939 L
.35606 .58456 L
.3551 .57973 L
.35415 .57489 L
.35322 .57006 L
.35263 .56687 L
.35234 .56523 L
.3515 .5604 L
.35066 .55557 L
.34984 .55073 L
.34903 .5459 L
.34823 .54107 L
.3478 .53835 L
.34749 .53624 L
.34677 .53141 L
.34606 .52658 L
.34536 .52174 L
.34467 .51691 L
.34399 .51208 L
.34333 .50725 L
.34296 .50448 L
.34272 .50242 L
.34213 .49758 L
.34156 .49275 L
.34099 .48792 L
.34043 .48309 L
.33988 .47826 L
.33936 .47342 L
.33885 .46859 L
.33836 .46376 L
.33813 .46142 L
.33791 .45893 L
.33749 .4541 L
.33709 .44927 L
.33669 .44443 L
.33632 .4396 L
.33596 .43477 L
.33563 .42994 L
.33533 .42511 L
.33504 .42027 L
.33479 .41544 L
.33457 .41061 L
.33438 .40578 L
.33422 .40095 L
.33411 .39612 L
.33403 .39128 L
.33399 .38645 L
.33401 .38162 L
.33408 .37679 L
.33421 .37196 L
.33441 .36712 L
.33469 .36229 L
.33507 .35746 L
.33561 .35263 L
.33653 .3478 L
.33813 .34366 L
.33842 .34296 L
F
1 .658 0 r
.34296 .33999 m
.34675 .34296 L
.3478 .34441 L
.3508 .3478 L
.35195 .35263 L
.35263 .35425 L
.35396 .35746 L
.35573 .36229 L
.3572 .36712 L
.35746 .36813 L
.35863 .37196 L
.36002 .37679 L
.36132 .38162 L
.36229 .38546 L
.36254 .38645 L
.36373 .39128 L
.36488 .39612 L
.36599 .40095 L
.36706 .40578 L
.36712 .40609 L
.36807 .41061 L
.36907 .41544 L
.37004 .42027 L
.37099 .42511 L
.37192 .42994 L
.37196 .43013 L
.37278 .43477 L
.37364 .4396 L
.37448 .44443 L
.37532 .44927 L
.37613 .4541 L
.37679 .45809 L
.37691 .45893 L
.37764 .46376 L
.37837 .46859 L
.37909 .47342 L
.3798 .47826 L
.38049 .48309 L
.38117 .48792 L
.38162 .49119 L
.38181 .49275 L
.38241 .49758 L
.38301 .50242 L
.38359 .50725 L
.38417 .51208 L
.38473 .51691 L
.38528 .52174 L
.38581 .52658 L
.38631 .53141 L
.38645 .53277 L
.38677 .53624 L
.38721 .54107 L
.38764 .5459 L
.38806 .55073 L
.38845 .55557 L
.38883 .5604 L
.38918 .56523 L
.38951 .57006 L
.38982 .57489 L
.3901 .57973 L
.39034 .58456 L
.39056 .58939 L
.39075 .59422 L
.3909 .59905 L
.39101 .60388 L
.39108 .60872 L
.3911 .61355 L
.39107 .61838 L
.39099 .62321 L
.39085 .62804 L
.39064 .63288 L
.39037 .63771 L
.39002 .64254 L
.38955 .64737 L
.38868 .6522 L
.38645 .65666 L
.38626 .65704 L
.38162 .65981 L
.37853 .65704 L
.37679 .65447 L
.37507 .6522 L
.37245 .64737 L
.37196 .64399 L
.37137 .64254 L
.36958 .63771 L
.36803 .63288 L
.36712 .6296 L
.36666 .62804 L
.36526 .62321 L
.36395 .61838 L
.36272 .61355 L
.36229 .61179 L
.36154 .60872 L
.3604 .60388 L
.35929 .59905 L
.35822 .59422 L
.35746 .59069 L
.35719 .58939 L
.35621 .58456 L
.35524 .57973 L
.35429 .57489 L
.35336 .57006 L
.35263 .56613 L
.35247 .56523 L
.35163 .5604 L
.3508 .55557 L
.34997 .55073 L
.34916 .5459 L
.34836 .54107 L
.3478 .53754 L
.34761 .53624 L
.3469 .53141 L
.34619 .52658 L
.34549 .52174 L
.34479 .51691 L
.34412 .51208 L
.34346 .50725 L
.34296 .50353 L
.34283 .50242 L
.34225 .49758 L
.34168 .49275 L
.34111 .48792 L
.34055 .48309 L
.34001 .47826 L
.33948 .47342 L
.33898 .46859 L
.33849 .46376 L
.33813 .46007 L
.33803 .45893 L
.33762 .4541 L
.33721 .44927 L
.33682 .44443 L
.33645 .4396 L
.3361 .43477 L
.33577 .42994 L
.33547 .42511 L
.33519 .42027 L
.33494 .41544 L
.33472 .41061 L
.33453 .40578 L
.33438 .40095 L
.33427 .39612 L
.33419 .39128 L
.33417 .38645 L
.33419 .38162 L
.33427 .37679 L
.33441 .37196 L
.33462 .36712 L
.33491 .36229 L
.33533 .35746 L
.33594 .35263 L
.33701 .3478 L
.33813 .34501 L
.33904 .34296 L
F
1 .653 0 r
.34296 .34094 m
.34604 .34296 L
.3478 .34522 L
.35025 .3478 L
.35163 .35263 L
.35263 .35499 L
.35367 .35746 L
.3555 .36229 L
.35701 .36712 L
.35746 .36883 L
.35842 .37196 L
.35983 .37679 L
.36114 .38162 L
.36229 .38615 L
.36237 .38645 L
.36356 .39128 L
.36472 .39612 L
.36583 .40095 L
.36691 .40578 L
.36712 .40679 L
.36793 .41061 L
.36892 .41544 L
.3699 .42027 L
.37085 .42511 L
.37178 .42994 L
.37196 .43086 L
.37265 .43477 L
.37351 .4396 L
.37435 .44443 L
.37519 .44927 L
.376 .4541 L
.37679 .45889 L
.37679 .45893 L
.37752 .46376 L
.37825 .46859 L
.37897 .47342 L
.37967 .47826 L
.38037 .48309 L
.38105 .48792 L
.38162 .49211 L
.3817 .49275 L
.38229 .49758 L
.38289 .50242 L
.38347 .50725 L
.38405 .51208 L
.38461 .51691 L
.38515 .52174 L
.38568 .52658 L
.38619 .53141 L
.38645 .53404 L
.38665 .53624 L
.38709 .54107 L
.38752 .5459 L
.38793 .55073 L
.38832 .55557 L
.3887 .5604 L
.38905 .56523 L
.38938 .57006 L
.38968 .57489 L
.38995 .57973 L
.3902 .58456 L
.39041 .58939 L
.3906 .59422 L
.39074 .59905 L
.39085 .60388 L
.39091 .60872 L
.39093 .61355 L
.3909 .61838 L
.39081 .62321 L
.39066 .62804 L
.39044 .63288 L
.39015 .63771 L
.38978 .64254 L
.38922 .64737 L
.38814 .6522 L
.38645 .65539 L
.38554 .65704 L
.38162 .65888 L
.37924 .65704 L
.37679 .65367 L
.37561 .6522 L
.37266 .64737 L
.37196 .64327 L
.37166 .64254 L
.36982 .63771 L
.36824 .63288 L
.36712 .6289 L
.36686 .62804 L
.36546 .62321 L
.36413 .61838 L
.36289 .61355 L
.36229 .6111 L
.36171 .60872 L
.36056 .60388 L
.35945 .59905 L
.35837 .59422 L
.35746 .58999 L
.35734 .58939 L
.35635 .58456 L
.35538 .57973 L
.35443 .57489 L
.3535 .57006 L
.35263 .5654 L
.3526 .56523 L
.35176 .5604 L
.35092 .55557 L
.3501 .55073 L
.34929 .5459 L
.34849 .54107 L
.3478 .53673 L
.34772 .53624 L
.34702 .53141 L
.34631 .52658 L
.34561 .52174 L
.34492 .51691 L
.34424 .51208 L
.34358 .50725 L
.34296 .50257 L
.34295 .50242 L
.34237 .49758 L
.3418 .49275 L
.34123 .48792 L
.34068 .48309 L
.34013 .47826 L
.33961 .47342 L
.3391 .46859 L
.33862 .46376 L
.33815 .45893 L
.33813 .4587 L
.33774 .4541 L
.33734 .44927 L
.33695 .44443 L
.33658 .4396 L
.33623 .43477 L
.33591 .42994 L
.3356 .42511 L
.33533 .42027 L
.33508 .41544 L
.33487 .41061 L
.33468 .40578 L
.33454 .40095 L
.33443 .39612 L
.33436 .39128 L
.33434 .38645 L
.33437 .38162 L
.33445 .37679 L
.3346 .37196 L
.33483 .36712 L
.33515 .36229 L
.3356 .35746 L
.33629 .35263 L
.33754 .3478 L
.33813 .34638 L
.33975 .34296 L
F
1 .649 0 r
.34296 .3419 m
.34513 .34296 L
.3478 .34603 L
.34961 .3478 L
.3513 .35263 L
.35263 .35572 L
.35338 .35746 L
.35526 .36229 L
.35682 .36712 L
.35746 .36952 L
.35821 .37196 L
.35964 .37679 L
.36097 .38162 L
.3622 .38645 L
.36229 .38683 L
.3634 .39128 L
.36456 .39612 L
.36568 .40095 L
.36676 .40578 L
.36712 .40748 L
.36778 .41061 L
.36878 .41544 L
.36976 .42027 L
.37072 .42511 L
.37165 .42994 L
.37196 .43158 L
.37252 .43477 L
.37338 .4396 L
.37422 .44443 L
.37506 .44927 L
.37587 .4541 L
.37667 .45893 L
.37679 .45968 L
.3774 .46376 L
.37812 .46859 L
.37884 .47342 L
.37955 .47826 L
.38025 .48309 L
.38092 .48792 L
.38158 .49275 L
.38162 .49304 L
.38218 .49758 L
.38277 .50242 L
.38335 .50725 L
.38393 .51208 L
.38449 .51691 L
.38503 .52174 L
.38555 .52658 L
.38606 .53141 L
.38645 .53531 L
.38654 .53624 L
.38697 .54107 L
.38739 .5459 L
.3878 .55073 L
.38819 .55557 L
.38856 .5604 L
.38891 .56523 L
.38924 .57006 L
.38954 .57489 L
.38981 .57973 L
.39006 .58456 L
.39027 .58939 L
.39045 .59422 L
.39059 .59905 L
.39069 .60388 L
.39075 .60872 L
.39076 .61355 L
.39072 .61838 L
.39062 .62321 L
.39047 .62804 L
.39024 .63288 L
.38993 .63771 L
.38951 .64254 L
.38887 .64737 L
.38752 .6522 L
.38645 .65412 L
.38462 .65704 L
.38162 .65796 L
.38013 .65704 L
.37679 .65288 L
.37622 .6522 L
.37292 .64737 L
.37196 .64254 L
.37196 .64254 L
.37007 .63771 L
.36844 .63288 L
.36712 .62821 L
.36707 .62804 L
.36565 .62321 L
.36431 .61838 L
.36306 .61355 L
.36229 .61042 L
.36188 .60872 L
.36072 .60388 L
.3596 .59905 L
.35852 .59422 L
.35748 .58939 L
.35746 .5893 L
.35649 .58456 L
.35552 .57973 L
.35457 .57489 L
.35364 .57006 L
.35273 .56523 L
.35263 .56467 L
.35189 .5604 L
.35105 .55557 L
.35023 .55073 L
.34942 .5459 L
.34862 .54107 L
.34785 .53624 L
.3478 .53592 L
.34714 .53141 L
.34643 .52658 L
.34573 .52174 L
.34504 .51691 L
.34437 .51208 L
.34371 .50725 L
.34307 .50242 L
.34296 .50162 L
.34249 .49758 L
.34191 .49275 L
.34135 .48792 L
.3408 .48309 L
.34026 .47826 L
.33973 .47342 L
.33923 .46859 L
.33874 .46376 L
.33828 .45893 L
.33813 .45732 L
.33786 .4541 L
.33746 .44927 L
.33708 .44443 L
.33671 .4396 L
.33636 .43477 L
.33604 .42994 L
.33574 .42511 L
.33547 .42027 L
.33523 .41544 L
.33501 .41061 L
.33483 .40578 L
.33469 .40095 L
.33459 .39612 L
.33452 .39128 L
.33451 .38645 L
.33455 .38162 L
.33464 .37679 L
.3348 .37196 L
.33504 .36712 L
.33539 .36229 L
.33588 .35746 L
.33666 .35263 L
.33812 .3478 L
.33813 .34776 L
.34066 .34296 L
F
1 .644 0 r
.34296 .34285 m
.34355 .34296 L
.3478 .34683 L
.34886 .3478 L
.35096 .35263 L
.35263 .35645 L
.35307 .35746 L
.35501 .36229 L
.35662 .36712 L
.35746 .37021 L
.358 .37196 L
.35944 .37679 L
.36079 .38162 L
.36203 .38645 L
.36229 .38751 L
.36323 .39128 L
.3644 .39612 L
.36552 .40095 L
.36661 .40578 L
.36712 .40817 L
.36764 .41061 L
.36864 .41544 L
.36962 .42027 L
.37058 .42511 L
.37151 .42994 L
.37196 .4323 L
.37239 .43477 L
.37325 .4396 L
.3741 .44443 L
.37493 .44927 L
.37574 .4541 L
.37654 .45893 L
.37679 .46046 L
.37728 .46376 L
.378 .46859 L
.37872 .47342 L
.37943 .47826 L
.38012 .48309 L
.3808 .48792 L
.38146 .49275 L
.38162 .49396 L
.38206 .49758 L
.38265 .50242 L
.38323 .50725 L
.38381 .51208 L
.38436 .51691 L
.38491 .52174 L
.38543 .52658 L
.38593 .53141 L
.38642 .53624 L
.38645 .5366 L
.38685 .54107 L
.38727 .5459 L
.38768 .55073 L
.38807 .55557 L
.38843 .5604 L
.38878 .56523 L
.3891 .57006 L
.3894 .57489 L
.38967 .57973 L
.38991 .58456 L
.39012 .58939 L
.3903 .59422 L
.39043 .59905 L
.39053 .60388 L
.39058 .60872 L
.39059 .61355 L
.39054 .61838 L
.39044 .62321 L
.39027 .62804 L
.39003 .63288 L
.3897 .63771 L
.38924 .64254 L
.38848 .64737 L
.38682 .6522 L
.38645 .65283 L
.38162 .65703 L
.37686 .6522 L
.37679 .6521 L
.37324 .64737 L
.37224 .64254 L
.37196 .64182 L
.37033 .63771 L
.36866 .63288 L
.36726 .62804 L
.36712 .62752 L
.36585 .62321 L
.3645 .61838 L
.36323 .61355 L
.36229 .60974 L
.36204 .60872 L
.36088 .60388 L
.35976 .59905 L
.35867 .59422 L
.35763 .58939 L
.35746 .58861 L
.35663 .58456 L
.35566 .57973 L
.35471 .57489 L
.35377 .57006 L
.35287 .56523 L
.35263 .56394 L
.35201 .5604 L
.35118 .55557 L
.35035 .55073 L
.34954 .5459 L
.34875 .54107 L
.34797 .53624 L
.3478 .53512 L
.34725 .53141 L
.34655 .52658 L
.34585 .52174 L
.34516 .51691 L
.34449 .51208 L
.34383 .50725 L
.34319 .50242 L
.34296 .50066 L
.3426 .49758 L
.34203 .49275 L
.34147 .48792 L
.34092 .48309 L
.34038 .47826 L
.33986 .47342 L
.33935 .46859 L
.33887 .46376 L
.33841 .45893 L
.33813 .45592 L
.33798 .4541 L
.33758 .44927 L
.3372 .44443 L
.33684 .4396 L
.3365 .43477 L
.33618 .42994 L
.33588 .42511 L
.33561 .42027 L
.33537 .41544 L
.33516 .41061 L
.33498 .40578 L
.33485 .40095 L
.33475 .39612 L
.33469 .39128 L
.33468 .38645 L
.33472 .38162 L
.33483 .37679 L
.335 .37196 L
.33526 .36712 L
.33563 .36229 L
.33618 .35746 L
.33706 .35263 L
.33813 .34916 L
.3386 .3478 L
.34226 .34296 L
F
1 .64 0 r
.34296 .3438 m
.3478 .34762 L
.348 .3478 L
.3506 .35263 L
.35263 .35717 L
.35276 .35746 L
.35475 .36229 L
.35642 .36712 L
.35746 .3709 L
.35779 .37196 L
.35925 .37679 L
.36061 .38162 L
.36186 .38645 L
.36229 .38819 L
.36307 .39128 L
.36424 .39612 L
.36537 .40095 L
.36646 .40578 L
.36712 .40885 L
.36749 .41061 L
.3685 .41544 L
.36948 .42027 L
.37044 .42511 L
.37137 .42994 L
.37196 .43302 L
.37227 .43477 L
.37312 .4396 L
.37397 .44443 L
.3748 .44927 L
.37562 .4541 L
.37641 .45893 L
.37679 .46125 L
.37716 .46376 L
.37788 .46859 L
.3786 .47342 L
.37931 .47826 L
.38 .48309 L
.38068 .48792 L
.38134 .49275 L
.38162 .49488 L
.38195 .49758 L
.38254 .50242 L
.38312 .50725 L
.38369 .51208 L
.38424 .51691 L
.38478 .52174 L
.38531 .52658 L
.38581 .53141 L
.38629 .53624 L
.38645 .5379 L
.38673 .54107 L
.38715 .5459 L
.38755 .55073 L
.38794 .55557 L
.3883 .5604 L
.38865 .56523 L
.38897 .57006 L
.38927 .57489 L
.38953 .57973 L
.38977 .58456 L
.38997 .58939 L
.39015 .59422 L
.39028 .59905 L
.39037 .60388 L
.39042 .60872 L
.39042 .61355 L
.39037 .61838 L
.39026 .62321 L
.39008 .62804 L
.38982 .63288 L
.38946 .63771 L
.38894 .64254 L
.38805 .64737 L
.38645 .65153 L
.38617 .6522 L
.38162 .65611 L
.37738 .6522 L
.37679 .65131 L
.37362 .64737 L
.37253 .64254 L
.37196 .64111 L
.37059 .63771 L
.36887 .63288 L
.36744 .62804 L
.36712 .62684 L
.36604 .62321 L
.36468 .61838 L
.3634 .61355 L
.36229 .60907 L
.36221 .60872 L
.36104 .60388 L
.35991 .59905 L
.35882 .59422 L
.35777 .58939 L
.35746 .58792 L
.35677 .58456 L
.3558 .57973 L
.35484 .57489 L
.35391 .57006 L
.353 .56523 L
.35263 .56322 L
.35214 .5604 L
.35131 .55557 L
.35048 .55073 L
.34967 .5459 L
.34887 .54107 L
.3481 .53624 L
.3478 .53433 L
.34737 .53141 L
.34667 .52658 L
.34597 .52174 L
.34529 .51691 L
.34461 .51208 L
.34395 .50725 L
.34331 .50242 L
.34296 .49971 L
.34271 .49758 L
.34215 .49275 L
.34159 .48792 L
.34104 .48309 L
.3405 .47826 L
.33998 .47342 L
.33948 .46859 L
.339 .46376 L
.33854 .45893 L
.33813 .4545 L
.3381 .4541 L
.33771 .44927 L
.33733 .44443 L
.33697 .4396 L
.33663 .43477 L
.33631 .42994 L
.33602 .42511 L
.33575 .42027 L
.33551 .41544 L
.33531 .41061 L
.33513 .40578 L
.335 .40095 L
.3349 .39612 L
.33485 .39128 L
.33485 .38645 L
.3349 .38162 L
.33502 .37679 L
.33521 .37196 L
.33549 .36712 L
.33589 .36229 L
.33649 .35746 L
.33748 .35263 L
.33813 .35058 L
.33912 .3478 L
F
1 .635 0 r
.34296 .34476 m
.34733 .3478 L
.3478 .34842 L
.35023 .35263 L
.35245 .35746 L
.35263 .35789 L
.35449 .36229 L
.35621 .36712 L
.35746 .37158 L
.35758 .37196 L
.35905 .37679 L
.36042 .38162 L
.3617 .38645 L
.36229 .38886 L
.3629 .39128 L
.36408 .39612 L
.36522 .40095 L
.36631 .40578 L
.36712 .40953 L
.36735 .41061 L
.36836 .41544 L
.36934 .42027 L
.3703 .42511 L
.37124 .42994 L
.37196 .43373 L
.37214 .43477 L
.373 .4396 L
.37384 .44443 L
.37467 .44927 L
.37549 .4541 L
.37629 .45893 L
.37679 .46203 L
.37705 .46376 L
.37777 .46859 L
.37848 .47342 L
.37919 .47826 L
.37988 .48309 L
.38056 .48792 L
.38121 .49275 L
.38162 .4958 L
.38184 .49758 L
.38242 .50242 L
.383 .50725 L
.38357 .51208 L
.38412 .51691 L
.38466 .52174 L
.38518 .52658 L
.38569 .53141 L
.38617 .53624 L
.38645 .53922 L
.38661 .54107 L
.38703 .5459 L
.38743 .55073 L
.38781 .55557 L
.38818 .5604 L
.38852 .56523 L
.38884 .57006 L
.38913 .57489 L
.38939 .57973 L
.38963 .58456 L
.38983 .58939 L
.39 .59422 L
.39013 .59905 L
.39021 .60388 L
.39026 .60872 L
.39025 .61355 L
.39019 .61838 L
.39007 .62321 L
.38988 .62804 L
.3896 .63288 L
.38921 .63771 L
.38863 .64254 L
.38759 .64737 L
.38645 .65021 L
.38559 .6522 L
.38162 .65519 L
.37796 .6522 L
.37679 .65053 L
.37408 .64737 L
.37283 .64254 L
.37196 .64039 L
.37086 .63771 L
.3691 .63288 L
.36762 .62804 L
.36712 .62616 L
.36624 .62321 L
.36486 .61838 L
.36357 .61355 L
.36237 .60872 L
.36229 .6084 L
.3612 .60388 L
.36006 .59905 L
.35897 .59422 L
.35792 .58939 L
.35746 .58724 L
.35691 .58456 L
.35594 .57973 L
.35498 .57489 L
.35404 .57006 L
.35313 .56523 L
.35263 .5625 L
.35226 .5604 L
.35143 .55557 L
.35061 .55073 L
.34979 .5459 L
.349 .54107 L
.34822 .53624 L
.3478 .53353 L
.34749 .53141 L
.34679 .52658 L
.34609 .52174 L
.34541 .51691 L
.34473 .51208 L
.34407 .50725 L
.34344 .50242 L
.34296 .49876 L
.34283 .49758 L
.34226 .49275 L
.34171 .48792 L
.34116 .48309 L
.34062 .47826 L
.3401 .47342 L
.3396 .46859 L
.33912 .46376 L
.33866 .45893 L
.33822 .4541 L
.33813 .45306 L
.33783 .44927 L
.33745 .44443 L
.33709 .4396 L
.33676 .43477 L
.33644 .42994 L
.33615 .42511 L
.33589 .42027 L
.33565 .41544 L
.33545 .41061 L
.33528 .40578 L
.33515 .40095 L
.33506 .39612 L
.33502 .39128 L
.33502 .38645 L
.33509 .38162 L
.33521 .37679 L
.33541 .37196 L
.33571 .36712 L
.33615 .36229 L
.33681 .35746 L
.33793 .35263 L
.33813 .35202 L
.3397 .3478 L
F
1 .631 0 r
.34296 .34571 m
.34665 .3478 L
.3478 .34921 L
.34984 .35263 L
.35214 .35746 L
.35263 .3586 L
.35422 .36229 L
.356 .36712 L
.35739 .37196 L
.35746 .37226 L
.35885 .37679 L
.36024 .38162 L
.36153 .38645 L
.36229 .38953 L
.36273 .39128 L
.36392 .39612 L
.36506 .40095 L
.36616 .40578 L
.36712 .4102 L
.36721 .41061 L
.36822 .41544 L
.3692 .42027 L
.37017 .42511 L
.37111 .42994 L
.37196 .43444 L
.37201 .43477 L
.37287 .4396 L
.37371 .44443 L
.37455 .44927 L
.37537 .4541 L
.37616 .45893 L
.37679 .4628 L
.37693 .46376 L
.37765 .46859 L
.37836 .47342 L
.37907 .47826 L
.37976 .48309 L
.38044 .48792 L
.38109 .49275 L
.38162 .49672 L
.38172 .49758 L
.38231 .50242 L
.38288 .50725 L
.38345 .51208 L
.384 .51691 L
.38454 .52174 L
.38506 .52658 L
.38556 .53141 L
.38604 .53624 L
.38645 .54055 L
.3865 .54107 L
.38691 .5459 L
.38731 .55073 L
.38769 .55557 L
.38805 .5604 L
.38839 .56523 L
.3887 .57006 L
.38899 .57489 L
.38925 .57973 L
.38949 .58456 L
.38968 .58939 L
.38985 .59422 L
.38997 .59905 L
.39006 .60388 L
.39009 .60872 L
.39008 .61355 L
.39001 .61838 L
.38988 .62321 L
.38968 .62804 L
.38938 .63288 L
.38895 .63771 L
.38829 .64254 L
.38708 .64737 L
.38645 .64888 L
.38491 .6522 L
.38162 .65427 L
.37863 .6522 L
.37679 .64976 L
.3746 .64737 L
.37314 .64254 L
.37196 .63969 L
.37114 .63771 L
.36932 .63288 L
.3678 .62804 L
.36712 .62549 L
.36644 .62321 L
.36505 .61838 L
.36374 .61355 L
.36253 .60872 L
.36229 .60773 L
.36136 .60388 L
.36022 .59905 L
.35912 .59422 L
.35806 .58939 L
.35746 .58656 L
.35705 .58456 L
.35607 .57973 L
.35511 .57489 L
.35418 .57006 L
.35326 .56523 L
.35263 .56178 L
.35239 .5604 L
.35156 .55557 L
.35073 .55073 L
.34992 .5459 L
.34912 .54107 L
.34835 .53624 L
.3478 .53274 L
.3476 .53141 L
.3469 .52658 L
.34621 .52174 L
.34553 .51691 L
.34485 .51208 L
.34419 .50725 L
.34356 .50242 L
.34296 .4978 L
.34294 .49758 L
.34238 .49275 L
.34182 .48792 L
.34128 .48309 L
.34074 .47826 L
.34022 .47342 L
.33972 .46859 L
.33924 .46376 L
.33878 .45893 L
.33835 .4541 L
.33813 .4516 L
.33795 .44927 L
.33757 .44443 L
.33722 .4396 L
.33688 .43477 L
.33657 .42994 L
.33629 .42511 L
.33603 .42027 L
.33579 .41544 L
.3356 .41061 L
.33543 .40578 L
.33531 .40095 L
.33522 .39612 L
.33518 .39128 L
.3352 .38645 L
.33527 .38162 L
.3354 .37679 L
.33562 .37196 L
.33595 .36712 L
.33642 .36229 L
.33715 .35746 L
.33813 .35348 L
.33837 .35263 L
.34037 .3478 L
F
1 .626 0 r
.34296 .34666 m
.3458 .3478 L
.3478 .35 L
.34943 .35263 L
.35182 .35746 L
.35263 .35931 L
.35393 .36229 L
.35578 .36712 L
.35722 .37196 L
.35746 .37293 L
.35866 .37679 L
.36006 .38162 L
.36136 .38645 L
.36229 .39019 L
.36257 .39128 L
.36376 .39612 L
.36491 .40095 L
.36601 .40578 L
.36707 .41061 L
.36712 .41088 L
.36808 .41544 L
.36907 .42027 L
.37003 .42511 L
.37097 .42994 L
.37189 .43477 L
.37196 .43514 L
.37274 .4396 L
.37359 .44443 L
.37442 .44927 L
.37524 .4541 L
.37604 .45893 L
.37679 .46358 L
.37681 .46376 L
.37753 .46859 L
.37824 .47342 L
.37895 .47826 L
.37964 .48309 L
.38032 .48792 L
.38097 .49275 L
.38161 .49758 L
.38162 .49764 L
.38219 .50242 L
.38277 .50725 L
.38333 .51208 L
.38388 .51691 L
.38442 .52174 L
.38494 .52658 L
.38544 .53141 L
.38592 .53624 L
.38638 .54107 L
.38645 .54189 L
.38679 .5459 L
.38719 .55073 L
.38756 .55557 L
.38792 .5604 L
.38826 .56523 L
.38857 .57006 L
.38886 .57489 L
.38912 .57973 L
.38934 .58456 L
.38954 .58939 L
.3897 .59422 L
.38982 .59905 L
.3899 .60388 L
.38993 .60872 L
.38991 .61355 L
.38983 .61838 L
.38969 .62321 L
.38947 .62804 L
.38915 .63288 L
.38868 .63771 L
.38794 .64254 L
.38652 .64737 L
.38645 .64754 L
.38407 .6522 L
.38162 .65335 L
.37948 .6522 L
.37679 .64898 L
.37522 .64737 L
.37345 .64254 L
.37196 .63898 L
.37142 .63771 L
.36956 .63288 L
.36799 .62804 L
.36712 .62481 L
.36664 .62321 L
.36523 .61838 L
.36391 .61355 L
.36269 .60872 L
.36229 .60707 L
.36152 .60388 L
.36037 .59905 L
.35927 .59422 L
.3582 .58939 L
.35746 .58588 L
.35719 .58456 L
.35621 .57973 L
.35525 .57489 L
.35431 .57006 L
.35339 .56523 L
.35263 .56107 L
.35251 .5604 L
.35168 .55557 L
.35086 .55073 L
.35004 .5459 L
.34925 .54107 L
.34847 .53624 L
.3478 .53195 L
.34772 .53141 L
.34702 .52658 L
.34633 .52174 L
.34564 .51691 L
.34497 .51208 L
.34431 .50725 L
.34368 .50242 L
.34306 .49758 L
.34296 .49685 L
.34249 .49275 L
.34194 .48792 L
.34139 .48309 L
.34086 .47826 L
.34034 .47342 L
.33985 .46859 L
.33937 .46376 L
.33891 .45893 L
.33847 .4541 L
.33813 .4501 L
.33807 .44927 L
.3377 .44443 L
.33734 .4396 L
.33701 .43477 L
.3367 .42994 L
.33642 .42511 L
.33616 .42027 L
.33594 .41544 L
.33574 .41061 L
.33558 .40578 L
.33546 .40095 L
.33538 .39612 L
.33535 .39128 L
.33537 .38645 L
.33545 .38162 L
.3356 .37679 L
.33583 .37196 L
.33618 .36712 L
.3367 .36229 L
.33751 .35746 L
.33813 .35497 L
.33879 .35263 L
.3412 .3478 L
F
1 .622 0 r
.34296 .34762 m
.34441 .3478 L
.3478 .35078 L
.34899 .35263 L
.3515 .35746 L
.35263 .36002 L
.35364 .36229 L
.35555 .36712 L
.35705 .37196 L
.35746 .37361 L
.35845 .37679 L
.35988 .38162 L
.36119 .38645 L
.36229 .39085 L
.3624 .39128 L
.3636 .39612 L
.36476 .40095 L
.36586 .40578 L
.36692 .41061 L
.36712 .41154 L
.36794 .41544 L
.36893 .42027 L
.3699 .42511 L
.37084 .42994 L
.37176 .43477 L
.37196 .43585 L
.37262 .4396 L
.37347 .44443 L
.3743 .44927 L
.37512 .4541 L
.37592 .45893 L
.37669 .46376 L
.37679 .46435 L
.37742 .46859 L
.37813 .47342 L
.37883 .47826 L
.37952 .48309 L
.3802 .48792 L
.38086 .49275 L
.38149 .49758 L
.38162 .49856 L
.38208 .50242 L
.38265 .50725 L
.38322 .51208 L
.38377 .51691 L
.3843 .52174 L
.38482 .52658 L
.38532 .53141 L
.3858 .53624 L
.38625 .54107 L
.38645 .54326 L
.38667 .5459 L
.38707 .55073 L
.38744 .55557 L
.3878 .5604 L
.38813 .56523 L
.38844 .57006 L
.38872 .57489 L
.38898 .57973 L
.3892 .58456 L
.3894 .58939 L
.38955 .59422 L
.38967 .59905 L
.38974 .60388 L
.38977 .60872 L
.38974 .61355 L
.38965 .61838 L
.3895 .62321 L
.38926 .62804 L
.38892 .63288 L
.3884 .63771 L
.38756 .64254 L
.38645 .64617 L
.38605 .64737 L
.38271 .6522 L
.38162 .65243 L
.3808 .6522 L
.37679 .64821 L
.37591 .64737 L
.37378 .64254 L
.37196 .63828 L
.37171 .63771 L
.3698 .63288 L
.36818 .62804 L
.36712 .62415 L
.36684 .62321 L
.36542 .61838 L
.36409 .61355 L
.36285 .60872 L
.36229 .60641 L
.36168 .60388 L
.36053 .59905 L
.35942 .59422 L
.35835 .58939 L
.35746 .58521 L
.35733 .58456 L
.35634 .57973 L
.35538 .57489 L
.35444 .57006 L
.35352 .56523 L
.35264 .5604 L
.35263 .56036 L
.3518 .55557 L
.35098 .55073 L
.35017 .5459 L
.34937 .54107 L
.34859 .53624 L
.34783 .53141 L
.3478 .53117 L
.34714 .52658 L
.34644 .52174 L
.34576 .51691 L
.34509 .51208 L
.34443 .50725 L
.34379 .50242 L
.34318 .49758 L
.34296 .4959 L
.3426 .49275 L
.34205 .48792 L
.34151 .48309 L
.34098 .47826 L
.34046 .47342 L
.33997 .46859 L
.33949 .46376 L
.33903 .45893 L
.3386 .4541 L
.33819 .44927 L
.33813 .44858 L
.33782 .44443 L
.33747 .4396 L
.33714 .43477 L
.33683 .42994 L
.33655 .42511 L
.3363 .42027 L
.33608 .41544 L
.33588 .41061 L
.33573 .40578 L
.33561 .40095 L
.33554 .39612 L
.33552 .39128 L
.33554 .38645 L
.33563 .38162 L
.3358 .37679 L
.33605 .37196 L
.33643 .36712 L
.33699 .36229 L
.33789 .35746 L
.33813 .35649 L
.33923 .35263 L
.3425 .3478 L
F
1 .617 0 r
.34296 .34857 m
.3478 .35157 L
.34852 .35263 L
.35116 .35746 L
.35263 .36073 L
.35334 .36229 L
.35531 .36712 L
.35688 .37196 L
.35746 .37427 L
.35825 .37679 L
.35969 .38162 L
.36102 .38645 L
.36224 .39128 L
.36229 .3915 L
.36344 .39612 L
.3646 .40095 L
.36572 .40578 L
.36678 .41061 L
.36712 .41221 L
.3678 .41544 L
.36879 .42027 L
.36976 .42511 L
.37071 .42994 L
.37163 .43477 L
.37196 .43654 L
.3725 .4396 L
.37334 .44443 L
.37418 .44927 L
.37499 .4541 L
.3758 .45893 L
.37657 .46376 L
.37679 .46512 L
.3773 .46859 L
.37801 .47342 L
.37871 .47826 L
.3794 .48309 L
.38008 .48792 L
.38074 .49275 L
.38137 .49758 L
.38162 .49948 L
.38197 .50242 L
.38254 .50725 L
.3831 .51208 L
.38365 .51691 L
.38418 .52174 L
.3847 .52658 L
.3852 .53141 L
.38568 .53624 L
.38613 .54107 L
.38645 .54465 L
.38656 .5459 L
.38695 .55073 L
.38732 .55557 L
.38767 .5604 L
.388 .56523 L
.38831 .57006 L
.38859 .57489 L
.38884 .57973 L
.38906 .58456 L
.38925 .58939 L
.3894 .59422 L
.38951 .59905 L
.38958 .60388 L
.3896 .60872 L
.38957 .61355 L
.38947 .61838 L
.3893 .62321 L
.38905 .62804 L
.38867 .63288 L
.3881 .63771 L
.38715 .64254 L
.38645 .64479 L
.38556 .64737 L
.38162 .65151 L
.37679 .64744 L
.37671 .64737 L
.37412 .64254 L
.37201 .63771 L
.37196 .63758 L
.37004 .63288 L
.36838 .62804 L
.36712 .62348 L
.36704 .62321 L
.3656 .61838 L
.36426 .61355 L
.36301 .60872 L
.36229 .60575 L
.36183 .60388 L
.36068 .59905 L
.35956 .59422 L
.35849 .58939 L
.35746 .58456 L
.35746 .58455 L
.35648 .57973 L
.35551 .57489 L
.35457 .57006 L
.35365 .56523 L
.35276 .5604 L
.35263 .55966 L
.35192 .55557 L
.3511 .55073 L
.35029 .5459 L
.34949 .54107 L
.34871 .53624 L
.34795 .53141 L
.3478 .53038 L
.34725 .52658 L
.34656 .52174 L
.34588 .51691 L
.34521 .51208 L
.34455 .50725 L
.34391 .50242 L
.34329 .49758 L
.34296 .49494 L
.34271 .49275 L
.34216 .48792 L
.34162 .48309 L
.34109 .47826 L
.34058 .47342 L
.34009 .46859 L
.33961 .46376 L
.33915 .45893 L
.33872 .4541 L
.33831 .44927 L
.33813 .44703 L
.33794 .44443 L
.33759 .4396 L
.33727 .43477 L
.33696 .42994 L
.33669 .42511 L
.33644 .42027 L
.33622 .41544 L
.33603 .41061 L
.33588 .40578 L
.33577 .40095 L
.3357 .39612 L
.33568 .39128 L
.33572 .38645 L
.33582 .38162 L
.336 .37679 L
.33627 .37196 L
.33668 .36712 L
.33729 .36229 L
.33813 .35805 L
.33826 .35746 L
.33972 .35263 L
F
1 .613 0 r
.34296 .34953 m
.3478 .35235 L
.348 .35263 L
.35081 .35746 L
.35263 .36143 L
.35303 .36229 L
.35507 .36712 L
.3567 .37196 L
.35746 .37494 L
.35805 .37679 L
.3595 .38162 L
.36085 .38645 L
.36208 .39128 L
.36229 .39215 L
.36328 .39612 L
.36445 .40095 L
.36557 .40578 L
.36664 .41061 L
.36712 .41287 L
.36766 .41544 L
.36866 .42027 L
.36963 .42511 L
.37058 .42994 L
.3715 .43477 L
.37196 .43724 L
.37237 .4396 L
.37322 .44443 L
.37405 .44927 L
.37487 .4541 L
.37567 .45893 L
.37645 .46376 L
.37679 .46588 L
.37719 .46859 L
.3779 .47342 L
.3786 .47826 L
.37929 .48309 L
.37996 .48792 L
.38062 .49275 L
.38126 .49758 L
.38162 .5004 L
.38186 .50242 L
.38243 .50725 L
.38299 .51208 L
.38353 .51691 L
.38407 .52174 L
.38458 .52658 L
.38508 .53141 L
.38556 .53624 L
.38601 .54107 L
.38644 .5459 L
.38645 .54605 L
.38683 .55073 L
.3872 .55557 L
.38755 .5604 L
.38788 .56523 L
.38818 .57006 L
.38846 .57489 L
.38871 .57973 L
.38893 .58456 L
.38911 .58939 L
.38926 .59422 L
.38936 .59905 L
.38942 .60388 L
.38944 .60872 L
.38939 .61355 L
.38929 .61838 L
.38911 .62321 L
.38883 .62804 L
.38842 .63288 L
.38779 .63771 L
.38672 .64254 L
.38645 .64338 L
.38502 .64737 L
.38162 .65059 L
.37729 .64737 L
.37679 .64668 L
.37447 .64254 L
.37229 .63771 L
.37196 .63689 L
.3703 .63288 L
.36858 .62804 L
.36722 .62321 L
.36712 .62282 L
.36579 .61838 L
.36443 .61355 L
.36317 .60872 L
.36229 .6051 L
.36199 .60388 L
.36083 .59905 L
.35971 .59422 L
.35863 .58939 L
.3576 .58456 L
.35746 .58388 L
.35661 .57973 L
.35565 .57489 L
.3547 .57006 L
.35378 .56523 L
.35289 .5604 L
.35263 .55896 L
.35205 .55557 L
.35122 .55073 L
.35041 .5459 L
.34961 .54107 L
.34883 .53624 L
.34807 .53141 L
.3478 .5296 L
.34736 .52658 L
.34667 .52174 L
.34599 .51691 L
.34532 .51208 L
.34467 .50725 L
.34403 .50242 L
.34341 .49758 L
.34296 .49399 L
.34282 .49275 L
.34228 .48792 L
.34174 .48309 L
.34121 .47826 L
.3407 .47342 L
.3402 .46859 L
.33973 .46376 L
.33928 .45893 L
.33884 .4541 L
.33844 .44927 L
.33813 .44544 L
.33806 .44443 L
.33772 .4396 L
.33739 .43477 L
.33709 .42994 L
.33682 .42511 L
.33657 .42027 L
.33635 .41544 L
.33617 .41061 L
.33603 .40578 L
.33592 .40095 L
.33586 .39612 L
.33585 .39128 L
.33589 .38645 L
.336 .38162 L
.3362 .37679 L
.33649 .37196 L
.33693 .36712 L
.33761 .36229 L
.33813 .35964 L
.33862 .35746 L
.34026 .35263 L
F
1 .609 0 r
.34296 .35049 m
.34738 .35263 L
.3478 .35313 L
.35044 .35746 L
.35263 .36213 L
.35271 .36229 L
.35481 .36712 L
.35651 .37196 L
.35746 .3756 L
.35784 .37679 L
.35932 .38162 L
.36068 .38645 L
.36192 .39128 L
.36229 .3928 L
.36312 .39612 L
.3643 .40095 L
.36542 .40578 L
.3665 .41061 L
.36712 .41352 L
.36753 .41544 L
.36852 .42027 L
.3695 .42511 L
.37045 .42994 L
.37137 .43477 L
.37196 .43793 L
.37225 .4396 L
.3731 .44443 L
.37393 .44927 L
.37475 .4541 L
.37555 .45893 L
.37633 .46376 L
.37679 .46665 L
.37707 .46859 L
.37778 .47342 L
.37848 .47826 L
.37917 .48309 L
.37985 .48792 L
.3805 .49275 L
.38114 .49758 L
.38162 .50133 L
.38175 .50242 L
.38232 .50725 L
.38287 .51208 L
.38342 .51691 L
.38395 .52174 L
.38447 .52658 L
.38496 .53141 L
.38544 .53624 L
.38589 .54107 L
.38632 .5459 L
.38645 .54749 L
.38671 .55073 L
.38708 .55557 L
.38742 .5604 L
.38775 .56523 L
.38805 .57006 L
.38833 .57489 L
.38857 .57973 L
.38879 .58456 L
.38897 .58939 L
.38911 .59422 L
.38921 .59905 L
.38927 .60388 L
.38927 .60872 L
.38922 .61355 L
.3891 .61838 L
.38891 .62321 L
.38861 .62804 L
.38816 .63288 L
.38747 .63771 L
.38645 .64194 L
.38629 .64254 L
.3844 .64737 L
.38162 .64967 L
.37791 .64737 L
.37679 .64591 L
.37484 .64254 L
.37258 .63771 L
.37196 .6362 L
.37056 .63288 L
.36879 .62804 L
.36738 .62321 L
.36712 .62217 L
.36598 .61838 L
.36461 .61355 L
.36333 .60872 L
.36229 .60446 L
.36215 .60388 L
.36098 .59905 L
.35986 .59422 L
.35878 .58939 L
.35774 .58456 L
.35746 .58322 L
.35675 .57973 L
.35578 .57489 L
.35483 .57006 L
.35391 .56523 L
.35302 .5604 L
.35263 .55826 L
.35217 .55557 L
.35134 .55073 L
.35053 .5459 L
.34973 .54107 L
.34895 .53624 L
.34819 .53141 L
.3478 .52882 L
.34747 .52658 L
.34679 .52174 L
.34611 .51691 L
.34544 .51208 L
.34478 .50725 L
.34415 .50242 L
.34353 .49758 L
.34296 .49303 L
.34293 .49275 L
.34239 .48792 L
.34185 .48309 L
.34133 .47826 L
.34082 .47342 L
.34032 .46859 L
.33985 .46376 L
.3394 .45893 L
.33897 .4541 L
.33856 .44927 L
.33818 .44443 L
.33813 .44381 L
.33784 .4396 L
.33752 .43477 L
.33722 .42994 L
.33695 .42511 L
.33671 .42027 L
.33649 .41544 L
.33631 .41061 L
.33617 .40578 L
.33607 .40095 L
.33602 .39612 L
.33601 .39128 L
.33607 .38645 L
.33619 .38162 L
.3364 .37679 L
.33672 .37196 L
.3372 .36712 L
.33793 .36229 L
.33813 .36127 L
.33899 .35746 L
.34087 .35263 L
F
1 .604 0 r
.34296 .35145 m
.34661 .35263 L
.3478 .3539 L
.35005 .35746 L
.3524 .36229 L
.35263 .36282 L
.35455 .36712 L
.35632 .37196 L
.35746 .37625 L
.35763 .37679 L
.35913 .38162 L
.3605 .38645 L
.36177 .39128 L
.36229 .39344 L
.36296 .39612 L
.36414 .40095 L
.36528 .40578 L
.36636 .41061 L
.36712 .41418 L
.36739 .41544 L
.36839 .42027 L
.36937 .42511 L
.37032 .42994 L
.37124 .43477 L
.37196 .43862 L
.37213 .4396 L
.37298 .44443 L
.37381 .44927 L
.37463 .4541 L
.37543 .45893 L
.37621 .46376 L
.37679 .46741 L
.37696 .46859 L
.37767 .47342 L
.37837 .47826 L
.37906 .48309 L
.37973 .48792 L
.38039 .49275 L
.38102 .49758 L
.38162 .50225 L
.38164 .50242 L
.3822 .50725 L
.38276 .51208 L
.38331 .51691 L
.38384 .52174 L
.38435 .52658 L
.38484 .53141 L
.38532 .53624 L
.38577 .54107 L
.3862 .5459 L
.38645 .54895 L
.38659 .55073 L
.38696 .55557 L
.3873 .5604 L
.38762 .56523 L
.38792 .57006 L
.38819 .57489 L
.38844 .57973 L
.38865 .58456 L
.38882 .58939 L
.38896 .59422 L
.38906 .59905 L
.38911 .60388 L
.38911 .60872 L
.38905 .61355 L
.38892 .61838 L
.3887 .62321 L
.38838 .62804 L
.38789 .63288 L
.38712 .63771 L
.38645 .64048 L
.3859 .64254 L
.38365 .64737 L
.38162 .64875 L
.37868 .64737 L
.37679 .64515 L
.37522 .64254 L
.37288 .63771 L
.37196 .63551 L
.37083 .63288 L
.369 .62804 L
.36754 .62321 L
.36712 .62151 L
.36617 .61838 L
.36478 .61355 L
.3635 .60872 L
.36231 .60388 L
.36229 .60381 L
.36114 .59905 L
.36001 .59422 L
.35892 .58939 L
.35788 .58456 L
.35746 .58257 L
.35688 .57973 L
.35591 .57489 L
.35496 .57006 L
.35404 .56523 L
.35314 .5604 L
.35263 .55756 L
.35229 .55557 L
.35146 .55073 L
.35065 .5459 L
.34985 .54107 L
.34907 .53624 L
.34831 .53141 L
.3478 .52805 L
.34759 .52658 L
.3469 .52174 L
.34622 .51691 L
.34555 .51208 L
.3449 .50725 L
.34426 .50242 L
.34364 .49758 L
.34305 .49275 L
.34296 .49207 L
.3425 .48792 L
.34196 .48309 L
.34144 .47826 L
.34093 .47342 L
.34044 .46859 L
.33997 .46376 L
.33952 .45893 L
.33909 .4541 L
.33868 .44927 L
.3383 .44443 L
.33813 .44213 L
.33796 .4396 L
.33764 .43477 L
.33735 .42994 L
.33708 .42511 L
.33684 .42027 L
.33663 .41544 L
.33646 .41061 L
.33632 .40578 L
.33623 .40095 L
.33618 .39612 L
.33618 .39128 L
.33625 .38645 L
.33638 .38162 L
.33661 .37679 L
.33695 .37196 L
.33747 .36712 L
.33813 .36295 L
.33825 .36229 L
.33939 .35746 L
.34161 .35263 L
F
1 .6 0 r
.34296 .35241 m
.34549 .35263 L
.3478 .35468 L
.34963 .35746 L
.35209 .36229 L
.35263 .36351 L
.35428 .36712 L
.35612 .37196 L
.35744 .37679 L
.35746 .3769 L
.35893 .38162 L
.36033 .38645 L
.36161 .39128 L
.36229 .39408 L
.36281 .39612 L
.36399 .40095 L
.36513 .40578 L
.36622 .41061 L
.36712 .41483 L
.36725 .41544 L
.36826 .42027 L
.36924 .42511 L
.37019 .42994 L
.37112 .43477 L
.37196 .4393 L
.37201 .4396 L
.37286 .44443 L
.37369 .44927 L
.37451 .4541 L
.37531 .45893 L
.3761 .46376 L
.37679 .46817 L
.37685 .46859 L
.37756 .47342 L
.37825 .47826 L
.37894 .48309 L
.37961 .48792 L
.38027 .49275 L
.38091 .49758 L
.38153 .50242 L
.38162 .50317 L
.38209 .50725 L
.38265 .51208 L
.38319 .51691 L
.38372 .52174 L
.38423 .52658 L
.38473 .53141 L
.3852 .53624 L
.38565 .54107 L
.38607 .5459 L
.38645 .55044 L
.38647 .55073 L
.38684 .55557 L
.38718 .5604 L
.3875 .56523 L
.3878 .57006 L
.38806 .57489 L
.3883 .57973 L
.38851 .58456 L
.38868 .58939 L
.38881 .59422 L
.3889 .59905 L
.38895 .60388 L
.38894 .60872 L
.38887 .61355 L
.38873 .61838 L
.3885 .62321 L
.38815 .62804 L
.38762 .63288 L
.38677 .63771 L
.38645 .63899 L
.38548 .64254 L
.3826 .64737 L
.38162 .64783 L
.37978 .64737 L
.37679 .64439 L
.37563 .64254 L
.37319 .63771 L
.37196 .63483 L
.37111 .63288 L
.36922 .62804 L
.36771 .62321 L
.36712 .62086 L
.36636 .61838 L
.36496 .61355 L
.36366 .60872 L
.36246 .60388 L
.36229 .60317 L
.36129 .59905 L
.36015 .59422 L
.35906 .58939 L
.35801 .58456 L
.35746 .58191 L
.35701 .57973 L
.35604 .57489 L
.35509 .57006 L
.35417 .56523 L
.35327 .5604 L
.35263 .55687 L
.3524 .55557 L
.35158 .55073 L
.35077 .5459 L
.34997 .54107 L
.34919 .53624 L
.34843 .53141 L
.3478 .52727 L
.3477 .52658 L
.34701 .52174 L
.34633 .51691 L
.34567 .51208 L
.34501 .50725 L
.34438 .50242 L
.34376 .49758 L
.34316 .49275 L
.34296 .49111 L
.34261 .48792 L
.34208 .48309 L
.34155 .47826 L
.34105 .47342 L
.34056 .46859 L
.34009 .46376 L
.33964 .45893 L
.33921 .4541 L
.3388 .44927 L
.33843 .44443 L
.33813 .44039 L
.33808 .4396 L
.33777 .43477 L
.33747 .42994 L
.33721 .42511 L
.33697 .42027 L
.33677 .41544 L
.3366 .41061 L
.33647 .40578 L
.33638 .40095 L
.33634 .39612 L
.33635 .39128 L
.33642 .38645 L
.33657 .38162 L
.33682 .37679 L
.33719 .37196 L
.33775 .36712 L
.33813 .36469 L
.33856 .36229 L
.33981 .35746 L
.34263 .35263 L
F
1 .595 0 r
.34296 .35337 m
.3478 .35545 L
.34919 .35746 L
.35176 .36229 L
.35263 .3642 L
.35399 .36712 L
.35591 .37196 L
.3573 .37679 L
.35746 .37756 L
.35874 .38162 L
.36015 .38645 L
.36145 .39128 L
.36229 .39472 L
.36265 .39612 L
.36384 .40095 L
.36498 .40578 L
.36608 .41061 L
.36712 .41544 L
.36712 .41547 L
.36812 .42027 L
.3691 .42511 L
.37006 .42994 L
.37099 .43477 L
.37189 .4396 L
.37196 .43998 L
.37274 .44443 L
.37357 .44927 L
.37439 .4541 L
.37519 .45893 L
.37598 .46376 L
.37674 .46859 L
.37679 .46893 L
.37744 .47342 L
.37814 .47826 L
.37883 .48309 L
.3795 .48792 L
.38016 .49275 L
.38079 .49758 L
.38141 .50242 L
.38162 .50409 L
.38199 .50725 L
.38254 .51208 L
.38308 .51691 L
.38361 .52174 L
.38412 .52658 L
.38461 .53141 L
.38508 .53624 L
.38553 .54107 L
.38595 .5459 L
.38635 .55073 L
.38645 .55197 L
.38672 .55557 L
.38706 .5604 L
.38738 .56523 L
.38767 .57006 L
.38793 .57489 L
.38817 .57973 L
.38837 .58456 L
.38854 .58939 L
.38867 .59422 L
.38875 .59905 L
.38879 .60388 L
.38877 .60872 L
.38869 .61355 L
.38854 .61838 L
.38829 .62321 L
.38791 .62804 L
.38733 .63288 L
.38645 .63746 L
.3864 .63771 L
.38502 .64254 L
.38162 .6469 L
.37679 .64364 L
.37607 .64254 L
.37352 .63771 L
.37196 .63414 L
.37139 .63288 L
.36945 .62804 L
.36788 .62321 L
.36712 .62022 L
.36656 .61838 L
.36514 .61355 L
.36382 .60872 L
.36261 .60388 L
.36229 .60253 L
.36144 .59905 L
.3603 .59422 L
.3592 .58939 L
.35815 .58456 L
.35746 .58126 L
.35715 .57973 L
.35617 .57489 L
.35522 .57006 L
.35429 .56523 L
.35339 .5604 L
.35263 .55618 L
.35252 .55557 L
.3517 .55073 L
.35089 .5459 L
.35009 .54107 L
.34931 .53624 L
.34855 .53141 L
.34781 .52658 L
.3478 .5265 L
.34712 .52174 L
.34645 .51691 L
.34578 .51208 L
.34513 .50725 L
.34449 .50242 L
.34387 .49758 L
.34328 .49275 L
.34296 .49014 L
.34272 .48792 L
.34219 .48309 L
.34167 .47826 L
.34116 .47342 L
.34067 .46859 L
.3402 .46376 L
.33975 .45893 L
.33933 .4541 L
.33893 .44927 L
.33855 .44443 L
.3382 .4396 L
.33813 .43859 L
.33789 .43477 L
.3376 .42994 L
.33734 .42511 L
.33711 .42027 L
.33691 .41544 L
.33674 .41061 L
.33661 .40578 L
.33653 .40095 L
.3365 .39612 L
.33652 .39128 L
.3366 .38645 L
.33677 .38162 L
.33703 .37679 L
.33743 .37196 L
.33803 .36712 L
.33813 .36649 L
.33889 .36229 L
.34026 .35746 L
F
1 .591 0 r
.34296 .35434 m
.3478 .35622 L
.34871 .35746 L
.35143 .36229 L
.35263 .36489 L
.35369 .36712 L
.35569 .37196 L
.35716 .37679 L
.35746 .3782 L
.35854 .38162 L
.35998 .38645 L
.36129 .39128 L
.36229 .39536 L
.36249 .39612 L
.36368 .40095 L
.36484 .40578 L
.36593 .41061 L
.36698 .41544 L
.36712 .41612 L
.36799 .42027 L
.36897 .42511 L
.36993 .42994 L
.37086 .43477 L
.37176 .4396 L
.37196 .44066 L
.37262 .44443 L
.37345 .44927 L
.37427 .4541 L
.37508 .45893 L
.37586 .46376 L
.37662 .46859 L
.37679 .46968 L
.37733 .47342 L
.37803 .47826 L
.37871 .48309 L
.37939 .48792 L
.38004 .49275 L
.38068 .49758 L
.3813 .50242 L
.38162 .50502 L
.38188 .50725 L
.38243 .51208 L
.38297 .51691 L
.38349 .52174 L
.384 .52658 L
.38449 .53141 L
.38496 .53624 L
.38541 .54107 L
.38584 .5459 L
.38623 .55073 L
.38645 .55353 L
.3866 .55557 L
.38694 .5604 L
.38725 .56523 L
.38754 .57006 L
.3878 .57489 L
.38803 .57973 L
.38823 .58456 L
.3884 .58939 L
.38852 .59422 L
.3886 .59905 L
.38863 .60388 L
.3886 .60872 L
.38851 .61355 L
.38834 .61838 L
.38807 .62321 L
.38766 .62804 L
.38703 .63288 L
.38645 .6359 L
.38606 .63771 L
.38452 .64254 L
.38162 .64598 L
.37679 .64288 L
.37655 .64254 L
.37385 .63771 L
.37196 .63346 L
.37169 .63288 L
.36969 .62804 L
.36805 .62321 L
.36712 .61957 L
.36675 .61838 L
.36532 .61355 L
.36399 .60872 L
.36276 .60388 L
.36229 .6019 L
.3616 .59905 L
.36045 .59422 L
.35934 .58939 L
.35829 .58456 L
.35746 .58062 L
.35728 .57973 L
.3563 .57489 L
.35535 .57006 L
.35442 .56523 L
.35352 .5604 L
.35264 .55557 L
.35263 .55549 L
.35182 .55073 L
.351 .5459 L
.35021 .54107 L
.34942 .53624 L
.34866 .53141 L
.34792 .52658 L
.3478 .52573 L
.34723 .52174 L
.34656 .51691 L
.34589 .51208 L
.34524 .50725 L
.3446 .50242 L
.34399 .49758 L
.34339 .49275 L
.34296 .48917 L
.34283 .48792 L
.3423 .48309 L
.34178 .47826 L
.34127 .47342 L
.34079 .46859 L
.34032 .46376 L
.33987 .45893 L
.33945 .4541 L
.33905 .44927 L
.33867 .44443 L
.33833 .4396 L
.33813 .43672 L
.33801 .43477 L
.33773 .42994 L
.33747 .42511 L
.33724 .42027 L
.33704 .41544 L
.33688 .41061 L
.33676 .40578 L
.33668 .40095 L
.33666 .39612 L
.33669 .39128 L
.33678 .38645 L
.33696 .38162 L
.33725 .37679 L
.33768 .37196 L
.33813 .36835 L
.33831 .36712 L
.33922 .36229 L
.34075 .35746 L
F
1 .586 0 r
.34296 .35531 m
.3478 .35699 L
.34817 .35746 L
.35108 .36229 L
.35263 .36558 L
.35338 .36712 L
.35546 .37196 L
.35701 .37679 L
.35746 .37885 L
.35835 .38162 L
.3598 .38645 L
.36113 .39128 L
.36229 .39599 L
.36233 .39612 L
.36353 .40095 L
.36469 .40578 L
.36579 .41061 L
.36685 .41544 L
.36712 .41676 L
.36786 .42027 L
.36884 .42511 L
.3698 .42994 L
.37074 .43477 L
.37164 .4396 L
.37196 .44134 L
.3725 .44443 L
.37333 .44927 L
.37416 .4541 L
.37496 .45893 L
.37574 .46376 L
.3765 .46859 L
.37679 .47043 L
.37722 .47342 L
.37792 .47826 L
.3786 .48309 L
.37927 .48792 L
.37993 .49275 L
.38057 .49758 L
.38118 .50242 L
.38162 .50595 L
.38177 .50725 L
.38232 .51208 L
.38286 .51691 L
.38338 .52174 L
.38389 .52658 L
.38438 .53141 L
.38485 .53624 L
.38529 .54107 L
.38572 .5459 L
.38611 .55073 L
.38645 .55514 L
.38648 .55557 L
.38682 .5604 L
.38713 .56523 L
.38741 .57006 L
.38767 .57489 L
.3879 .57973 L
.3881 .58456 L
.38825 .58939 L
.38837 .59422 L
.38845 .59905 L
.38847 .60388 L
.38843 .60872 L
.38833 .61355 L
.38815 .61838 L
.38786 .62321 L
.38741 .62804 L
.38672 .63288 L
.38645 .63429 L
.38571 .63771 L
.38396 .64254 L
.38162 .64505 L
.37711 .64254 L
.37679 .64213 L
.3742 .63771 L
.37199 .63288 L
.37196 .63279 L
.36993 .62804 L
.36824 .62321 L
.36712 .61893 L
.36695 .61838 L
.3655 .61355 L
.36415 .60872 L
.36292 .60388 L
.36229 .60127 L
.36175 .59905 L
.36059 .59422 L
.35949 .58939 L
.35842 .58456 L
.35746 .57997 L
.35741 .57973 L
.35643 .57489 L
.35548 .57006 L
.35454 .56523 L
.35364 .5604 L
.35276 .55557 L
.35263 .55481 L
.35193 .55073 L
.35112 .5459 L
.35032 .54107 L
.34954 .53624 L
.34878 .53141 L
.34804 .52658 L
.3478 .52496 L
.34734 .52174 L
.34667 .51691 L
.346 .51208 L
.34535 .50725 L
.34472 .50242 L
.3441 .49758 L
.34351 .49275 L
.34296 .4882 L
.34293 .48792 L
.34241 .48309 L
.34189 .47826 L
.34139 .47342 L
.3409 .46859 L
.34044 .46376 L
.33999 .45893 L
.33957 .4541 L
.33917 .44927 L
.33879 .44443 L
.33845 .4396 L
.33813 .43477 L
.33813 .43476 L
.33785 .42994 L
.3376 .42511 L
.33737 .42027 L
.33718 .41544 L
.33702 .41061 L
.33691 .40578 L
.33684 .40095 L
.33682 .39612 L
.33686 .39128 L
.33697 .38645 L
.33716 .38162 L
.33747 .37679 L
.33793 .37196 L
.33813 .37031 L
.33859 .36712 L
.33957 .36229 L
.3413 .35746 L
F
1 .582 0 r
.34296 .35629 m
.34751 .35746 L
.3478 .35776 L
.35071 .36229 L
.35263 .36626 L
.35306 .36712 L
.35522 .37196 L
.35685 .37679 L
.35746 .37949 L
.35815 .38162 L
.35962 .38645 L
.36096 .39128 L
.36217 .39612 L
.36229 .39661 L
.36338 .40095 L
.36454 .40578 L
.36565 .41061 L
.36671 .41544 L
.36712 .4174 L
.36772 .42027 L
.36871 .42511 L
.36968 .42994 L
.37061 .43477 L
.37152 .4396 L
.37196 .44201 L
.37238 .44443 L
.37322 .44927 L
.37404 .4541 L
.37484 .45893 L
.37563 .46376 L
.37639 .46859 L
.37679 .47119 L
.37711 .47342 L
.37781 .47826 L
.37849 .48309 L
.37916 .48792 L
.37982 .49275 L
.38045 .49758 L
.38107 .50242 L
.38162 .50688 L
.38166 .50725 L
.38221 .51208 L
.38275 .51691 L
.38327 .52174 L
.38378 .52658 L
.38426 .53141 L
.38473 .53624 L
.38518 .54107 L
.3856 .5459 L
.38599 .55073 L
.38636 .55557 L
.38645 .5568 L
.3867 .5604 L
.38701 .56523 L
.38729 .57006 L
.38754 .57489 L
.38777 .57973 L
.38796 .58456 L
.38811 .58939 L
.38823 .59422 L
.38829 .59905 L
.38831 .60388 L
.38826 .60872 L
.38815 .61355 L
.38795 .61838 L
.38763 .62321 L
.38715 .62804 L
.38645 .63263 L
.38641 .63288 L
.38534 .63771 L
.38331 .64254 L
.38162 .64412 L
.37779 .64254 L
.37679 .64137 L
.37456 .63771 L
.37228 .63288 L
.37196 .63211 L
.37018 .62804 L
.36843 .62321 L
.36714 .61838 L
.36712 .61829 L
.36568 .61355 L
.36432 .60872 L
.36307 .60388 L
.36229 .60064 L
.3619 .59905 L
.36074 .59422 L
.35963 .58939 L
.35856 .58456 L
.35754 .57973 L
.35746 .57933 L
.35656 .57489 L
.3556 .57006 L
.35467 .56523 L
.35376 .5604 L
.35288 .55557 L
.35263 .55413 L
.35205 .55073 L
.35124 .5459 L
.35044 .54107 L
.34966 .53624 L
.34889 .53141 L
.34815 .52658 L
.3478 .52419 L
.34745 .52174 L
.34678 .51691 L
.34612 .51208 L
.34546 .50725 L
.34483 .50242 L
.34421 .49758 L
.34362 .49275 L
.34305 .48792 L
.34296 .48723 L
.34251 .48309 L
.342 .47826 L
.3415 .47342 L
.34102 .46859 L
.34055 .46376 L
.34011 .45893 L
.33968 .4541 L
.33929 .44927 L
.33892 .44443 L
.33857 .4396 L
.33826 .43477 L
.33813 .43271 L
.33798 .42994 L
.33773 .42511 L
.3375 .42027 L
.33732 .41544 L
.33717 .41061 L
.33706 .40578 L
.33699 .40095 L
.33698 .39612 L
.33703 .39128 L
.33715 .38645 L
.33736 .38162 L
.33769 .37679 L
.33813 .37237 L
.33818 .37196 L
.33887 .36712 L
.33994 .36229 L
.34195 .35746 L
F
1 .577 0 r
.34296 .35726 m
.34661 .35746 L
.3478 .35853 L
.35032 .36229 L
.35263 .36694 L
.35272 .36712 L
.35497 .37196 L
.35669 .37679 L
.35746 .38013 L
.35795 .38162 L
.35944 .38645 L
.3608 .39128 L
.36203 .39612 L
.36229 .39724 L
.36322 .40095 L
.36439 .40578 L
.36551 .41061 L
.36658 .41544 L
.36712 .41803 L
.36759 .42027 L
.36858 .42511 L
.36955 .42994 L
.37049 .43477 L
.37139 .4396 L
.37196 .44268 L
.37226 .44443 L
.3731 .44927 L
.37392 .4541 L
.37473 .45893 L
.37551 .46376 L
.37627 .46859 L
.37679 .47194 L
.377 .47342 L
.3777 .47826 L
.37838 .48309 L
.37905 .48792 L
.37971 .49275 L
.38034 .49758 L
.38096 .50242 L
.38155 .50725 L
.38162 .50781 L
.3821 .51208 L
.38264 .51691 L
.38316 .52174 L
.38366 .52658 L
.38415 .53141 L
.38462 .53624 L
.38506 .54107 L
.38548 .5459 L
.38587 .55073 L
.38624 .55557 L
.38645 .55852 L
.38658 .5604 L
.38688 .56523 L
.38716 .57006 L
.38741 .57489 L
.38764 .57973 L
.38782 .58456 L
.38797 .58939 L
.38808 .59422 L
.38814 .59905 L
.38815 .60388 L
.38809 .60872 L
.38797 .61355 L
.38775 .61838 L
.38741 .62321 L
.38689 .62804 L
.38645 .63092 L
.38611 .63288 L
.38495 .63771 L
.38248 .64254 L
.38162 .64318 L
.37868 .64254 L
.37679 .64062 L
.37495 .63771 L
.37257 .63288 L
.37196 .63144 L
.37045 .62804 L
.36862 .62321 L
.36728 .61838 L
.36712 .61766 L
.36587 .61355 L
.36449 .60872 L
.36322 .60388 L
.36229 .60001 L
.36205 .59905 L
.36089 .59422 L
.35977 .58939 L
.3587 .58456 L
.35767 .57973 L
.35746 .57869 L
.35669 .57489 L
.35573 .57006 L
.35479 .56523 L
.35388 .5604 L
.353 .55557 L
.35263 .55345 L
.35217 .55073 L
.35135 .5459 L
.35055 .54107 L
.34977 .53624 L
.34901 .53141 L
.34827 .52658 L
.3478 .52342 L
.34756 .52174 L
.34689 .51691 L
.34623 .51208 L
.34558 .50725 L
.34494 .50242 L
.34433 .49758 L
.34373 .49275 L
.34316 .48792 L
.34296 .48625 L
.34262 .48309 L
.34211 .47826 L
.34161 .47342 L
.34113 .46859 L
.34067 .46376 L
.34022 .45893 L
.3398 .4541 L
.33941 .44927 L
.33904 .44443 L
.33869 .4396 L
.33838 .43477 L
.33813 .43052 L
.3381 .42994 L
.33785 .42511 L
.33764 .42027 L
.33745 .41544 L
.33731 .41061 L
.3372 .40578 L
.33714 .40095 L
.33714 .39612 L
.3372 .39128 L
.33733 .38645 L
.33756 .38162 L
.33791 .37679 L
.33813 .37456 L
.33843 .37196 L
.33917 .36712 L
.34033 .36229 L
.34276 .35746 L
F
1 .573 0 r
.34296 .35825 m
.3478 .3593 L
.34991 .36229 L
.35241 .36712 L
.35263 .36761 L
.3547 .37196 L
.35652 .37679 L
.35746 .38076 L
.35774 .38162 L
.35925 .38645 L
.36063 .39128 L
.36188 .39612 L
.36229 .39786 L
.36307 .40095 L
.36425 .40578 L
.36537 .41061 L
.36644 .41544 L
.36712 .41866 L
.36746 .42027 L
.36846 .42511 L
.36942 .42994 L
.37036 .43477 L
.37127 .4396 L
.37196 .44335 L
.37215 .44443 L
.37298 .44927 L
.3738 .4541 L
.37461 .45893 L
.3754 .46376 L
.37616 .46859 L
.37679 .47269 L
.37689 .47342 L
.37759 .47826 L
.37827 .48309 L
.37894 .48792 L
.37959 .49275 L
.38023 .49758 L
.38085 .50242 L
.38144 .50725 L
.38162 .50875 L
.38199 .51208 L
.38253 .51691 L
.38305 .52174 L
.38355 .52658 L
.38404 .53141 L
.3845 .53624 L
.38494 .54107 L
.38536 .5459 L
.38576 .55073 L
.38612 .55557 L
.38645 .5603 L
.38646 .5604 L
.38676 .56523 L
.38704 .57006 L
.38729 .57489 L
.3875 .57973 L
.38769 .58456 L
.38783 .58939 L
.38793 .59422 L
.38799 .59905 L
.38799 .60388 L
.38792 .60872 L
.38778 .61355 L
.38754 .61838 L
.38718 .62321 L
.38662 .62804 L
.38645 .62913 L
.38581 .63288 L
.38453 .63771 L
.38162 .64225 L
.37679 .63987 L
.37536 .63771 L
.37288 .63288 L
.37196 .63077 L
.37072 .62804 L
.36883 .62321 L
.36741 .61838 L
.36712 .61703 L
.36605 .61355 L
.36466 .60872 L
.36338 .60388 L
.36229 .59939 L
.36221 .59905 L
.36104 .59422 L
.35991 .58939 L
.35883 .58456 L
.3578 .57973 L
.35746 .57806 L
.35682 .57489 L
.35586 .57006 L
.35492 .56523 L
.35401 .5604 L
.35312 .55557 L
.35263 .55277 L
.35228 .55073 L
.35147 .5459 L
.35067 .54107 L
.34989 .53624 L
.34912 .53141 L
.34838 .52658 L
.3478 .52265 L
.34767 .52174 L
.347 .51691 L
.34634 .51208 L
.34569 .50725 L
.34505 .50242 L
.34444 .49758 L
.34384 .49275 L
.34327 .48792 L
.34296 .48527 L
.34273 .48309 L
.34222 .47826 L
.34172 .47342 L
.34124 .46859 L
.34078 .46376 L
.34034 .45893 L
.33992 .4541 L
.33953 .44927 L
.33916 .44443 L
.33882 .4396 L
.33851 .43477 L
.33823 .42994 L
.33813 .42818 L
.33798 .42511 L
.33777 .42027 L
.33759 .41544 L
.33745 .41061 L
.33735 .40578 L
.3373 .40095 L
.3373 .39612 L
.33737 .39128 L
.33752 .38645 L
.33777 .38162 L
.33813 .37691 L
.33814 .37679 L
.33868 .37196 L
.33947 .36712 L
.34074 .36229 L
F
1 .568 0 r
.34296 .35924 m
.3478 .36006 L
.34946 .36229 L
.35209 .36712 L
.35263 .36829 L
.35443 .37196 L
.35633 .37679 L
.35746 .3814 L
.35753 .38162 L
.35907 .38645 L
.36047 .39128 L
.36173 .39612 L
.36229 .39848 L
.36292 .40095 L
.3641 .40578 L
.36523 .41061 L
.36631 .41544 L
.36712 .41929 L
.36733 .42027 L
.36833 .42511 L
.3693 .42994 L
.37024 .43477 L
.37115 .4396 L
.37196 .44402 L
.37203 .44443 L
.37287 .44927 L
.37369 .4541 L
.3745 .45893 L
.37528 .46376 L
.37605 .46859 L
.37679 .47342 L
.37679 .47343 L
.37748 .47826 L
.37816 .48309 L
.37883 .48792 L
.37948 .49275 L
.38012 .49758 L
.38074 .50242 L
.38133 .50725 L
.38162 .50969 L
.38189 .51208 L
.38242 .51691 L
.38294 .52174 L
.38344 .52658 L
.38392 .53141 L
.38439 .53624 L
.38483 .54107 L
.38525 .5459 L
.38564 .55073 L
.386 .55557 L
.38634 .5604 L
.38645 .56216 L
.38664 .56523 L
.38691 .57006 L
.38716 .57489 L
.38737 .57973 L
.38755 .58456 L
.38769 .58939 L
.38778 .59422 L
.38783 .59905 L
.38782 .60388 L
.38775 .60872 L
.38759 .61355 L
.38734 .61838 L
.38694 .62321 L
.38645 .62727 L
.38635 .62804 L
.38549 .63288 L
.38408 .63771 L
.38162 .64131 L
.37679 .63913 L
.3758 .63771 L
.37319 .63288 L
.37196 .63011 L
.371 .62804 L
.36904 .62321 L
.36756 .61838 L
.36712 .6164 L
.36624 .61355 L
.36483 .60872 L
.36353 .60388 L
.36236 .59905 L
.36229 .59877 L
.36118 .59422 L
.36005 .58939 L
.35897 .58456 L
.35793 .57973 L
.35746 .57742 L
.35695 .57489 L
.35598 .57006 L
.35504 .56523 L
.35413 .5604 L
.35324 .55557 L
.35263 .5521 L
.3524 .55073 L
.35158 .5459 L
.35078 .54107 L
.35 .53624 L
.34924 .53141 L
.34849 .52658 L
.3478 .52189 L
.34778 .52174 L
.34711 .51691 L
.34644 .51208 L
.3458 .50725 L
.34516 .50242 L
.34455 .49758 L
.34395 .49275 L
.34338 .48792 L
.34296 .48428 L
.34284 .48309 L
.34233 .47826 L
.34183 .47342 L
.34135 .46859 L
.34089 .46376 L
.34045 .45893 L
.34004 .4541 L
.33964 .44927 L
.33928 .44443 L
.33894 .4396 L
.33863 .43477 L
.33835 .42994 L
.33813 .42561 L
.33811 .42511 L
.3379 .42027 L
.33773 .41544 L
.33759 .41061 L
.3375 .40578 L
.33745 .40095 L
.33747 .39612 L
.33755 .39128 L
.33771 .38645 L
.33797 .38162 L
.33813 .37945 L
.33837 .37679 L
.33894 .37196 L
.33979 .36712 L
.34119 .36229 L
F
1 .564 0 r
.34296 .36023 m
.3478 .36083 L
.34897 .36229 L
.35176 .36712 L
.35263 .36896 L
.35413 .37196 L
.35614 .37679 L
.3574 .38162 L
.35746 .38203 L
.35888 .38645 L
.3603 .39128 L
.36158 .39612 L
.36229 .3991 L
.36276 .40095 L
.36395 .40578 L
.36509 .41061 L
.36617 .41544 L
.36712 .41992 L
.3672 .42027 L
.3682 .42511 L
.36917 .42994 L
.37012 .43477 L
.37103 .4396 L
.37191 .44443 L
.37196 .44468 L
.37275 .44927 L
.37357 .4541 L
.37438 .45893 L
.37517 .46376 L
.37593 .46859 L
.37667 .47342 L
.37679 .47418 L
.37737 .47826 L
.37805 .48309 L
.37872 .48792 L
.37937 .49275 L
.38001 .49758 L
.38062 .50242 L
.38122 .50725 L
.38162 .51063 L
.38178 .51208 L
.38231 .51691 L
.38283 .52174 L
.38333 .52658 L
.38381 .53141 L
.38427 .53624 L
.38471 .54107 L
.38513 .5459 L
.38552 .55073 L
.38588 .55557 L
.38622 .5604 L
.38645 .56411 L
.38652 .56523 L
.38679 .57006 L
.38703 .57489 L
.38724 .57973 L
.38741 .58456 L
.38755 .58939 L
.38764 .59422 L
.38768 .59905 L
.38766 .60388 L
.38757 .60872 L
.3874 .61355 L
.38713 .61838 L
.3867 .62321 L
.38645 .62532 L
.38608 .62804 L
.38516 .63288 L
.38358 .63771 L
.38162 .64036 L
.37679 .63838 L
.37629 .63771 L
.37352 .63288 L
.37196 .62944 L
.3713 .62804 L
.36926 .62321 L
.36771 .61838 L
.36712 .61577 L
.36643 .61355 L
.365 .60872 L
.36369 .60388 L
.3625 .59905 L
.36229 .59815 L
.36133 .59422 L
.36019 .58939 L
.3591 .58456 L
.35807 .57973 L
.35746 .57679 L
.35707 .57489 L
.35611 .57006 L
.35517 .56523 L
.35425 .5604 L
.35336 .55557 L
.35263 .55142 L
.35251 .55073 L
.3517 .5459 L
.3509 .54107 L
.35011 .53624 L
.34935 .53141 L
.34861 .52658 L
.34789 .52174 L
.3478 .52112 L
.34721 .51691 L
.34655 .51208 L
.34591 .50725 L
.34527 .50242 L
.34466 .49758 L
.34406 .49275 L
.34349 .48792 L
.34296 .48328 L
.34294 .48309 L
.34244 .47826 L
.34194 .47342 L
.34147 .46859 L
.34101 .46376 L
.34057 .45893 L
.34015 .4541 L
.33976 .44927 L
.3394 .44443 L
.33906 .4396 L
.33875 .43477 L
.33848 .42994 L
.33824 .42511 L
.33813 .42279 L
.33803 .42027 L
.33786 .41544 L
.33773 .41061 L
.33764 .40578 L
.33761 .40095 L
.33763 .39612 L
.33772 .39128 L
.3379 .38645 L
.33813 .3823 L
.33815 .38162 L
.33859 .37679 L
.3392 .37196 L
.34011 .36712 L
.34169 .36229 L
F
1 .56 0 r
.34296 .36123 m
.3478 .36159 L
.3484 .36229 L
.35141 .36712 L
.35263 .36963 L
.35383 .37196 L
.35593 .37679 L
.3573 .38162 L
.35746 .38265 L
.35869 .38645 L
.36013 .39128 L
.36142 .39612 L
.36229 .39971 L
.36261 .40095 L
.3638 .40578 L
.36495 .41061 L
.36604 .41544 L
.36707 .42027 L
.36712 .42055 L
.36807 .42511 L
.36904 .42994 L
.36999 .43477 L
.37091 .4396 L
.37179 .44443 L
.37196 .44535 L
.37264 .44927 L
.37346 .4541 L
.37427 .45893 L
.37505 .46376 L
.37582 .46859 L
.37656 .47342 L
.37679 .47493 L
.37726 .47826 L
.37794 .48309 L
.37861 .48792 L
.37926 .49275 L
.3799 .49758 L
.38051 .50242 L
.38111 .50725 L
.38162 .51158 L
.38168 .51208 L
.3822 .51691 L
.38272 .52174 L
.38322 .52658 L
.3837 .53141 L
.38416 .53624 L
.3846 .54107 L
.38501 .5459 L
.3854 .55073 L
.38576 .55557 L
.3861 .5604 L
.3864 .56523 L
.38645 .56617 L
.38666 .57006 L
.3869 .57489 L
.38711 .57973 L
.38728 .58456 L
.3874 .58939 L
.38749 .59422 L
.38752 .59905 L
.38749 .60388 L
.3874 .60872 L
.38721 .61355 L
.38692 .61838 L
.38646 .62321 L
.38645 .62326 L
.38581 .62804 L
.38482 .63288 L
.38301 .63771 L
.38162 .63942 L
.37685 .63771 L
.37679 .63763 L
.37387 .63288 L
.37196 .62878 L
.3716 .62804 L
.36949 .62321 L
.36786 .61838 L
.36712 .61514 L
.36662 .61355 L
.36518 .60872 L
.36385 .60388 L
.36264 .59905 L
.36229 .59754 L
.36148 .59422 L
.36033 .58939 L
.35924 .58456 L
.3582 .57973 L
.35746 .57617 L
.3572 .57489 L
.35623 .57006 L
.35529 .56523 L
.35437 .5604 L
.35348 .55557 L
.35263 .55075 L
.35263 .55073 L
.35181 .5459 L
.35101 .54107 L
.35023 .53624 L
.34946 .53141 L
.34872 .52658 L
.348 .52174 L
.3478 .52036 L
.34732 .51691 L
.34666 .51208 L
.34601 .50725 L
.34538 .50242 L
.34477 .49758 L
.34417 .49275 L
.3436 .48792 L
.34305 .48309 L
.34296 .48228 L
.34254 .47826 L
.34205 .47342 L
.34158 .46859 L
.34112 .46376 L
.34068 .45893 L
.34027 .4541 L
.33988 .44927 L
.33952 .44443 L
.33918 .4396 L
.33887 .43477 L
.3386 .42994 L
.33836 .42511 L
.33816 .42027 L
.33813 .41951 L
.338 .41544 L
.33787 .41061 L
.33779 .40578 L
.33776 .40095 L
.33779 .39612 L
.3379 .39128 L
.33809 .38645 L
.33813 .38558 L
.33824 .38162 L
.33882 .37679 L
.33947 .37196 L
.34046 .36712 L
.34225 .36229 L
F
1 .555 0 r
.34296 .36224 m
.34773 .36229 L
.3478 .36236 L
.35105 .36712 L
.35263 .3703 L
.3535 .37196 L
.35571 .37679 L
.35719 .38162 L
.35746 .38328 L
.35849 .38645 L
.35995 .39128 L
.36127 .39612 L
.36229 .40033 L
.36245 .40095 L
.36366 .40578 L
.36481 .41061 L
.3659 .41544 L
.36694 .42027 L
.36712 .42117 L
.36794 .42511 L
.36892 .42994 L
.36987 .43477 L
.37079 .4396 L
.37167 .44443 L
.37196 .44601 L
.37252 .44927 L
.37334 .4541 L
.37415 .45893 L
.37494 .46376 L
.37571 .46859 L
.37645 .47342 L
.37679 .47567 L
.37716 .47826 L
.37784 .48309 L
.3785 .48792 L
.37916 .49275 L
.37979 .49758 L
.38041 .50242 L
.381 .50725 L
.38157 .51208 L
.38162 .51253 L
.3821 .51691 L
.38261 .52174 L
.38311 .52658 L
.38359 .53141 L
.38405 .53624 L
.38448 .54107 L
.3849 .5459 L
.38529 .55073 L
.38565 .55557 L
.38598 .5604 L
.38627 .56523 L
.38645 .56837 L
.38654 .57006 L
.38677 .57489 L
.38698 .57973 L
.38714 .58456 L
.38726 .58939 L
.38734 .59422 L
.38737 .59905 L
.38733 .60388 L
.38722 .60872 L
.38702 .61355 L
.3867 .61838 L
.38645 .62107 L
.38622 .62321 L
.38553 .62804 L
.38446 .63288 L
.38232 .63771 L
.38162 .63847 L
.37759 .63771 L
.37679 .63689 L
.37423 .63288 L
.37196 .62812 L
.37192 .62804 L
.36974 .62321 L
.36802 .61838 L
.36712 .61452 L
.36682 .61355 L
.36535 .60872 L
.364 .60388 L
.36279 .59905 L
.36229 .59693 L
.36163 .59422 L
.36048 .58939 L
.35938 .58456 L
.35833 .57973 L
.35746 .57554 L
.35733 .57489 L
.35636 .57006 L
.35541 .56523 L
.35449 .5604 L
.3536 .55557 L
.35274 .55073 L
.35263 .55008 L
.35192 .5459 L
.35112 .54107 L
.35034 .53624 L
.34957 .53141 L
.34883 .52658 L
.34811 .52174 L
.3478 .51959 L
.34743 .51691 L
.34677 .51208 L
.34612 .50725 L
.34549 .50242 L
.34488 .49758 L
.34428 .49275 L
.34371 .48792 L
.34316 .48309 L
.34296 .48128 L
.34265 .47826 L
.34216 .47342 L
.34169 .46859 L
.34123 .46376 L
.3408 .45893 L
.34038 .4541 L
.34 .44927 L
.33963 .44443 L
.3393 .4396 L
.339 .43477 L
.33873 .42994 L
.33849 .42511 L
.33829 .42027 L
.33813 .41544 L
.33813 .41543 L
.33801 .41061 L
.33794 .40578 L
.33792 .40095 L
.33796 .39612 L
.33807 .39128 L
.33813 .38957 L
.33823 .38645 L
.33834 .38162 L
.33906 .37679 L
.33975 .37196 L
.34082 .36712 L
.34292 .36229 L
F
1 .551 0 r
.34296 .36325 m
.3478 .36312 L
.35066 .36712 L
.35263 .37097 L
.35316 .37196 L
.35548 .37679 L
.35708 .38162 L
.35746 .3839 L
.3583 .38645 L
.35978 .39128 L
.36112 .39612 L
.36229 .40094 L
.36229 .40095 L
.36351 .40578 L
.36467 .41061 L
.36577 .41544 L
.36681 .42027 L
.36712 .42179 L
.36781 .42511 L
.36879 .42994 L
.36975 .43477 L
.37067 .4396 L
.37156 .44443 L
.37196 .44667 L
.37241 .44927 L
.37323 .4541 L
.37404 .45893 L
.37483 .46376 L
.3756 .46859 L
.37634 .47342 L
.37679 .47642 L
.37705 .47826 L
.37773 .48309 L
.3784 .48792 L
.37905 .49275 L
.37968 .49758 L
.3803 .50242 L
.38089 .50725 L
.38146 .51208 L
.38162 .51349 L
.38199 .51691 L
.3825 .52174 L
.383 .52658 L
.38348 .53141 L
.38394 .53624 L
.38437 .54107 L
.38478 .5459 L
.38517 .55073 L
.38553 .55557 L
.38586 .5604 L
.38615 .56523 L
.38642 .57006 L
.38645 .57074 L
.38665 .57489 L
.38684 .57973 L
.387 .58456 L
.38712 .58939 L
.38719 .59422 L
.38721 .59905 L
.38716 .60388 L
.38704 .60872 L
.38682 .61355 L
.38648 .61838 L
.38645 .61868 L
.38598 .62321 L
.38525 .62804 L
.38407 .63288 L
.38162 .63751 L
.37679 .63614 L
.37461 .63288 L
.37221 .62804 L
.37196 .62746 L
.36999 .62321 L
.3682 .61838 L
.36712 .6139 L
.36701 .61355 L
.36553 .60872 L
.36417 .60388 L
.36293 .59905 L
.36229 .59632 L
.36177 .59422 L
.36062 .58939 L
.35951 .58456 L
.35846 .57973 L
.35746 .57492 L
.35746 .57489 L
.35648 .57006 L
.35553 .56523 L
.35461 .5604 L
.35372 .55557 L
.35286 .55073 L
.35263 .54941 L
.35204 .5459 L
.35124 .54107 L
.35045 .53624 L
.34969 .53141 L
.34894 .52658 L
.34822 .52174 L
.3478 .51883 L
.34753 .51691 L
.34688 .51208 L
.34623 .50725 L
.3456 .50242 L
.34499 .49758 L
.34439 .49275 L
.34382 .48792 L
.34327 .48309 L
.34296 .48027 L
.34276 .47826 L
.34227 .47342 L
.3418 .46859 L
.34134 .46376 L
.34091 .45893 L
.3405 .4541 L
.34011 .44927 L
.33975 .44443 L
.33942 .4396 L
.33912 .43477 L
.33885 .42994 L
.33862 .42511 L
.33842 .42027 L
.33826 .41544 L
.33815 .41061 L
.33813 .40937 L
.33809 .40578 L
.33807 .40095 L
.33813 .39612 L
.33813 .39561 L
.33822 .39128 L
.33835 .38645 L
.33845 .38162 L
.3393 .37679 L
.34003 .37196 L
.3412 .36712 L
F
1 .546 0 r
.34296 .36427 m
.3478 .36388 L
.35025 .36712 L
.35263 .37164 L
.35281 .37196 L
.35523 .37679 L
.35695 .38162 L
.35746 .38453 L
.3581 .38645 L
.3596 .39128 L
.36096 .39612 L
.36216 .40095 L
.36229 .40154 L
.36336 .40578 L
.36452 .41061 L
.36563 .41544 L
.36668 .42027 L
.36712 .42241 L
.36769 .42511 L
.36867 .42994 L
.36962 .43477 L
.37055 .4396 L
.37144 .44443 L
.37196 .44732 L
.37229 .44927 L
.37312 .4541 L
.37393 .45893 L
.37472 .46376 L
.37549 .46859 L
.37623 .47342 L
.37679 .47716 L
.37694 .47826 L
.37762 .48309 L
.37829 .48792 L
.37894 .49275 L
.37957 .49758 L
.38019 .50242 L
.38078 .50725 L
.38135 .51208 L
.38162 .51445 L
.38189 .51691 L
.3824 .52174 L
.38289 .52658 L
.38337 .53141 L
.38382 .53624 L
.38426 .54107 L
.38467 .5459 L
.38505 .55073 L
.38541 .55557 L
.38574 .5604 L
.38603 .56523 L
.38629 .57006 L
.38645 .57335 L
.38652 .57489 L
.38671 .57973 L
.38687 .58456 L
.38698 .58939 L
.38704 .59422 L
.38705 .59905 L
.387 .60388 L
.38686 .60872 L
.38662 .61355 L
.38645 .61609 L
.38626 .61838 L
.38574 .62321 L
.38495 .62804 L
.38366 .63288 L
.38162 .63655 L
.37679 .6354 L
.37502 .63288 L
.37251 .62804 L
.37196 .6268 L
.37026 .62321 L
.36838 .61838 L
.36717 .61355 L
.36712 .61328 L
.36571 .60872 L
.36433 .60388 L
.36308 .59905 L
.36229 .59571 L
.36192 .59422 L
.36076 .58939 L
.35965 .58456 L
.35859 .57973 L
.35758 .57489 L
.35746 .57429 L
.35661 .57006 L
.35566 .56523 L
.35473 .5604 L
.35384 .55557 L
.35297 .55073 L
.35263 .54875 L
.35215 .5459 L
.35135 .54107 L
.35056 .53624 L
.3498 .53141 L
.34905 .52658 L
.34833 .52174 L
.3478 .51806 L
.34764 .51691 L
.34698 .51208 L
.34634 .50725 L
.34571 .50242 L
.3451 .49758 L
.3445 .49275 L
.34393 .48792 L
.34338 .48309 L
.34296 .47925 L
.34286 .47826 L
.34238 .47342 L
.34191 .46859 L
.34145 .46376 L
.34102 .45893 L
.34061 .4541 L
.34023 .44927 L
.33987 .44443 L
.33954 .4396 L
.33924 .43477 L
.33897 .42994 L
.33874 .42511 L
.33855 .42027 L
.3384 .41544 L
.33829 .41061 L
.33823 .40578 L
.33822 .40095 L
.33826 .39612 L
.33836 .39128 L
.33848 .38645 L
.33857 .38162 L
.33954 .37679 L
.34033 .37196 L
.34161 .36712 L
F
1 .542 0 r
.34296 .3653 m
.3478 .36465 L
.3498 .36712 L
.35247 .37196 L
.35263 .3723 L
.35496 .37679 L
.35681 .38162 L
.35746 .38515 L
.3579 .38645 L
.35942 .39128 L
.3608 .39612 L
.36202 .40095 L
.36229 .40215 L
.36321 .40578 L
.36438 .41061 L
.3655 .41544 L
.36655 .42027 L
.36712 .42302 L
.36756 .42511 L
.36854 .42994 L
.3695 .43477 L
.37043 .4396 L
.37132 .44443 L
.37196 .44798 L
.37218 .44927 L
.37301 .4541 L
.37381 .45893 L
.37461 .46376 L
.37537 .46859 L
.37612 .47342 L
.37679 .47791 L
.37684 .47826 L
.37752 .48309 L
.37818 .48792 L
.37883 .49275 L
.37947 .49758 L
.38008 .50242 L
.38067 .50725 L
.38124 .51208 L
.38162 .51542 L
.38178 .51691 L
.38229 .52174 L
.38278 .52658 L
.38326 .53141 L
.38371 .53624 L
.38415 .54107 L
.38455 .5459 L
.38494 .55073 L
.38529 .55557 L
.38562 .5604 L
.38591 .56523 L
.38617 .57006 L
.38639 .57489 L
.38645 .57628 L
.38658 .57973 L
.38673 .58456 L
.38684 .58939 L
.38689 .59422 L
.38689 .59905 L
.38683 .60388 L
.38668 .60872 L
.38645 .61313 L
.38644 .61355 L
.38605 .61838 L
.38549 .62321 L
.38464 .62804 L
.38321 .63288 L
.38162 .63558 L
.37679 .63465 L
.37547 .63288 L
.37282 .62804 L
.37196 .62615 L
.37053 .62321 L
.36857 .61838 L
.36726 .61355 L
.36712 .61267 L
.36589 .60872 L
.36449 .60388 L
.36322 .59905 L
.36229 .5951 L
.36207 .59422 L
.3609 .58939 L
.35978 .58456 L
.35872 .57973 L
.35771 .57489 L
.35746 .57367 L
.35673 .57006 L
.35578 .56523 L
.35485 .5604 L
.35395 .55557 L
.35309 .55073 L
.35263 .54808 L
.35226 .5459 L
.35146 .54107 L
.35067 .53624 L
.34991 .53141 L
.34916 .52658 L
.34844 .52174 L
.3478 .5173 L
.34774 .51691 L
.34709 .51208 L
.34644 .50725 L
.34581 .50242 L
.3452 .49758 L
.34461 .49275 L
.34404 .48792 L
.34349 .48309 L
.34297 .47826 L
.34296 .47822 L
.34248 .47342 L
.34201 .46859 L
.34156 .46376 L
.34113 .45893 L
.34073 .4541 L
.34034 .44927 L
.33999 .44443 L
.33966 .4396 L
.33936 .43477 L
.3391 .42994 L
.33887 .42511 L
.33868 .42027 L
.33853 .41544 L
.33842 .41061 L
.33836 .40578 L
.33836 .40095 L
.3384 .39612 L
.3385 .39128 L
.33861 .38645 L
.3387 .38162 L
.33979 .37679 L
.34063 .37196 L
.34205 .36712 L
F
1 .537 0 r
.34296 .36633 m
.3478 .36541 L
.34929 .36712 L
.35214 .37196 L
.35263 .37296 L
.35468 .37679 L
.35666 .38162 L
.35746 .38576 L
.35769 .38645 L
.35924 .39128 L
.36064 .39612 L
.36188 .40095 L
.36229 .40275 L
.36306 .40578 L
.36424 .41061 L
.36536 .41544 L
.36642 .42027 L
.36712 .42364 L
.36743 .42511 L
.36842 .42994 L
.36938 .43477 L
.37031 .4396 L
.37121 .44443 L
.37196 .44863 L
.37207 .44927 L
.37289 .4541 L
.3737 .45893 L
.37449 .46376 L
.37526 .46859 L
.37601 .47342 L
.37673 .47826 L
.37679 .47865 L
.37741 .48309 L
.37807 .48792 L
.37872 .49275 L
.37936 .49758 L
.37997 .50242 L
.38056 .50725 L
.38113 .51208 L
.38162 .51639 L
.38168 .51691 L
.38218 .52174 L
.38267 .52658 L
.38315 .53141 L
.3836 .53624 L
.38403 .54107 L
.38444 .5459 L
.38482 .55073 L
.38517 .55557 L
.3855 .5604 L
.38579 .56523 L
.38605 .57006 L
.38627 .57489 L
.38645 .57973 L
.38645 .57979 L
.38659 .58456 L
.38669 .58939 L
.38674 .59422 L
.38674 .59905 L
.38666 .60388 L
.38649 .60872 L
.38645 .60966 L
.38636 .61355 L
.38583 .61838 L
.38523 .62321 L
.38432 .62804 L
.38271 .63288 L
.38162 .63461 L
.37679 .63391 L
.37597 .63288 L
.37314 .62804 L
.37196 .62549 L
.37082 .62321 L
.36877 .61838 L
.36737 .61355 L
.36712 .61205 L
.36607 .60872 L
.36466 .60388 L
.36337 .59905 L
.36229 .5945 L
.36222 .59422 L
.36105 .58939 L
.35992 .58456 L
.35885 .57973 L
.35783 .57489 L
.35746 .57306 L
.35686 .57006 L
.3559 .56523 L
.35497 .5604 L
.35407 .55557 L
.3532 .55073 L
.35263 .54742 L
.35237 .5459 L
.35157 .54107 L
.35079 .53624 L
.35002 .53141 L
.34927 .52658 L
.34855 .52174 L
.34785 .51691 L
.3478 .51654 L
.34719 .51208 L
.34655 .50725 L
.34592 .50242 L
.34531 .49758 L
.34472 .49275 L
.34415 .48792 L
.3436 .48309 L
.34308 .47826 L
.34296 .47718 L
.34259 .47342 L
.34212 .46859 L
.34167 .46376 L
.34125 .45893 L
.34084 .4541 L
.34046 .44927 L
.34011 .44443 L
.33978 .4396 L
.33948 .43477 L
.33922 .42994 L
.339 .42511 L
.33881 .42027 L
.33866 .41544 L
.33856 .41061 L
.3385 .40578 L
.3385 .40095 L
.33854 .39612 L
.33864 .39128 L
.33875 .38645 L
.33884 .38162 L
.34004 .37679 L
.34095 .37196 L
.34255 .36712 L
F
1 .533 0 r
.3478 .36618 m
.34871 .36712 L
.3518 .37196 L
.35263 .37362 L
.35438 .37679 L
.35649 .38162 L
.35746 .38638 L
.35749 .38645 L
.35906 .39128 L
.36048 .39612 L
.36174 .40095 L
.36229 .40336 L
.36291 .40578 L
.3641 .41061 L
.36523 .41544 L
.36629 .42027 L
.36712 .42425 L
.3673 .42511 L
.3683 .42994 L
.36926 .43477 L
.37019 .4396 L
.37109 .44443 L
.37195 .44927 L
.37196 .44928 L
.37278 .4541 L
.37359 .45893 L
.37438 .46376 L
.37515 .46859 L
.3759 .47342 L
.37662 .47826 L
.37679 .4794 L
.3773 .48309 L
.37797 .48792 L
.37862 .49275 L
.37925 .49758 L
.37986 .50242 L
.38046 .50725 L
.38103 .51208 L
.38157 .51691 L
.38162 .51737 L
.38208 .52174 L
.38257 .52658 L
.38304 .53141 L
.38349 .53624 L
.38392 .54107 L
.38433 .5459 L
.38471 .55073 L
.38506 .55557 L
.38538 .5604 L
.38567 .56523 L
.38593 .57006 L
.38614 .57489 L
.38632 .57973 L
.38645 .58432 L
.38646 .58456 L
.38655 .58939 L
.38659 .59422 L
.38658 .59905 L
.38649 .60388 L
.38645 .60519 L
.38637 .60872 L
.38628 .61355 L
.3856 .61838 L
.38497 .62321 L
.38399 .62804 L
.38214 .63288 L
.38162 .63363 L
.37679 .63316 L
.37654 .63288 L
.37348 .62804 L
.37196 .62484 L
.37113 .62321 L
.36898 .61838 L
.36748 .61355 L
.36712 .61144 L
.36626 .60872 L
.36482 .60388 L
.36352 .59905 L
.36236 .59422 L
.36229 .5939 L
.36119 .58939 L
.36006 .58456 L
.35898 .57973 L
.35796 .57489 L
.35746 .57244 L
.35698 .57006 L
.35602 .56523 L
.35509 .5604 L
.35419 .55557 L
.35332 .55073 L
.35263 .54676 L
.35248 .5459 L
.35168 .54107 L
.3509 .53624 L
.35013 .53141 L
.34938 .52658 L
.34866 .52174 L
.34796 .51691 L
.3478 .51577 L
.3473 .51208 L
.34666 .50725 L
.34603 .50242 L
.34542 .49758 L
.34483 .49275 L
.34426 .48792 L
.34371 .48309 L
.34319 .47826 L
.34296 .47613 L
.3427 .47342 L
.34223 .46859 L
.34178 .46376 L
.34136 .45893 L
.34095 .4541 L
.34057 .44927 L
.34022 .44443 L
.3399 .4396 L
.33961 .43477 L
.33935 .42994 L
.33912 .42511 L
.33894 .42027 L
.33879 .41544 L
.33869 .41061 L
.33864 .40578 L
.33864 .40095 L
.33869 .39612 L
.33878 .39128 L
.3389 .38645 L
.339 .38162 L
.34031 .37679 L
.34128 .37196 L
.34296 .36738 L
.34313 .36712 L
F
1 .528 0 r
.3478 .36694 m
.348 .36712 L
.35144 .37196 L
.35263 .37428 L
.35405 .37679 L
.3563 .38162 L
.35744 .38645 L
.35746 .38699 L
.35887 .39128 L
.36032 .39612 L
.36159 .40095 L
.36229 .40395 L
.36276 .40578 L
.36395 .41061 L
.36509 .41544 L
.36617 .42027 L
.36712 .42486 L
.36718 .42511 L
.36817 .42994 L
.36914 .43477 L
.37007 .4396 L
.37097 .44443 L
.37184 .44927 L
.37196 .44994 L
.37267 .4541 L
.37348 .45893 L
.37427 .46376 L
.37504 .46859 L
.37579 .47342 L
.37651 .47826 L
.37679 .48014 L
.3772 .48309 L
.37786 .48792 L
.37851 .49275 L
.37914 .49758 L
.37976 .50242 L
.38035 .50725 L
.38092 .51208 L
.38146 .51691 L
.38162 .51836 L
.38197 .52174 L
.38246 .52658 L
.38293 .53141 L
.38338 .53624 L
.38381 .54107 L
.38421 .5459 L
.38459 .55073 L
.38494 .55557 L
.38526 .5604 L
.38555 .56523 L
.3858 .57006 L
.38602 .57489 L
.3862 .57973 L
.38633 .58456 L
.38641 .58939 L
.38644 .59422 L
.38642 .59905 L
.38635 .60388 L
.38625 .60872 L
.38618 .61355 L
.38538 .61838 L
.3847 .62321 L
.38363 .62804 L
.38162 .63264 L
.37679 .63242 L
.37384 .62804 L
.37196 .62419 L
.37145 .62321 L
.36921 .61838 L
.3676 .61355 L
.36712 .61083 L
.36645 .60872 L
.36499 .60388 L
.36367 .59905 L
.3625 .59422 L
.36229 .5933 L
.36133 .58939 L
.36019 .58456 L
.35911 .57973 L
.35808 .57489 L
.35746 .57183 L
.3571 .57006 L
.35614 .56523 L
.35521 .5604 L
.35431 .55557 L
.35343 .55073 L
.35263 .5461 L
.3526 .5459 L
.35179 .54107 L
.35101 .53624 L
.35024 .53141 L
.34949 .52658 L
.34876 .52174 L
.34806 .51691 L
.3478 .51501 L
.3474 .51208 L
.34676 .50725 L
.34613 .50242 L
.34552 .49758 L
.34493 .49275 L
.34436 .48792 L
.34382 .48309 L
.34329 .47826 L
.34296 .47508 L
.3428 .47342 L
.34234 .46859 L
.34189 .46376 L
.34147 .45893 L
.34107 .4541 L
.34069 .44927 L
.34034 .44443 L
.34002 .4396 L
.33973 .43477 L
.33947 .42994 L
.33925 .42511 L
.33906 .42027 L
.33892 .41544 L
.33883 .41061 L
.33878 .40578 L
.33878 .40095 L
.33883 .39612 L
.33893 .39128 L
.33906 .38645 L
.33918 .38162 L
.34057 .37679 L
.34164 .37196 L
.34296 .36844 L
.34391 .36712 L
F
1 .524 0 r
.34296 .36951 m
.3478 .36771 L
.35106 .37196 L
.35263 .37494 L
.35371 .37679 L
.3561 .38162 L
.35741 .38645 L
.35746 .38761 L
.35868 .39128 L
.36015 .39612 L
.36145 .40095 L
.36229 .40455 L
.36261 .40578 L
.36381 .41061 L
.36495 .41544 L
.36604 .42027 L
.36705 .42511 L
.36712 .42547 L
.36805 .42994 L
.36901 .43477 L
.36995 .4396 L
.37086 .44443 L
.37173 .44927 L
.37196 .45058 L
.37256 .4541 L
.37337 .45893 L
.37416 .46376 L
.37493 .46859 L
.37568 .47342 L
.37641 .47826 L
.37679 .48088 L
.37709 .48309 L
.37776 .48792 L
.37841 .49275 L
.37904 .49758 L
.37965 .50242 L
.38024 .50725 L
.38081 .51208 L
.38135 .51691 L
.38162 .51935 L
.38187 .52174 L
.38235 .52658 L
.38282 .53141 L
.38327 .53624 L
.3837 .54107 L
.3841 .5459 L
.38448 .55073 L
.38482 .55557 L
.38514 .5604 L
.38543 .56523 L
.38568 .57006 L
.3859 .57489 L
.38607 .57973 L
.3862 .58456 L
.38628 .58939 L
.38631 .59422 L
.38629 .59905 L
.38622 .60388 L
.38613 .60872 L
.38608 .61355 L
.38515 .61838 L
.38442 .62321 L
.38326 .62804 L
.38162 .63164 L
.37679 .63168 L
.37422 .62804 L
.37196 .62354 L
.37178 .62321 L
.36945 .61838 L
.36774 .61355 L
.36712 .61022 L
.36664 .60872 L
.36516 .60388 L
.36382 .59905 L
.36263 .59422 L
.36229 .5927 L
.36148 .58939 L
.36033 .58456 L
.35924 .57973 L
.35821 .57489 L
.35746 .57121 L
.35723 .57006 L
.35626 .56523 L
.35533 .5604 L
.35442 .55557 L
.35355 .55073 L
.35271 .5459 L
.35263 .54544 L
.3519 .54107 L
.35112 .53624 L
.35035 .53141 L
.3496 .52658 L
.34887 .52174 L
.34817 .51691 L
.3478 .51424 L
.34751 .51208 L
.34686 .50725 L
.34624 .50242 L
.34563 .49758 L
.34504 .49275 L
.34447 .48792 L
.34392 .48309 L
.3434 .47826 L
.34296 .47401 L
.34291 .47342 L
.34245 .46859 L
.342 .46376 L
.34158 .45893 L
.34118 .4541 L
.3408 .44927 L
.34046 .44443 L
.34014 .4396 L
.33985 .43477 L
.33959 .42994 L
.33937 .42511 L
.33919 .42027 L
.33906 .41544 L
.33896 .41061 L
.33892 .40578 L
.33892 .40095 L
.33898 .39612 L
.33908 .39128 L
.33922 .38645 L
.33938 .38162 L
.34085 .37679 L
.34201 .37196 L
F
1 .519 0 r
.34296 .37059 m
.3478 .36847 L
.35064 .37196 L
.35263 .3756 L
.35335 .37679 L
.35587 .38162 L
.35737 .38645 L
.35746 .38822 L
.35849 .39128 L
.35998 .39612 L
.3613 .40095 L
.36229 .40515 L
.36245 .40578 L
.36367 .41061 L
.36482 .41544 L
.36591 .42027 L
.36693 .42511 L
.36712 .42607 L
.36792 .42994 L
.36889 .43477 L
.36983 .4396 L
.37074 .44443 L
.37161 .44927 L
.37196 .45123 L
.37245 .4541 L
.37326 .45893 L
.37405 .46376 L
.37483 .46859 L
.37558 .47342 L
.3763 .47826 L
.37679 .48163 L
.37699 .48309 L
.37765 .48792 L
.3783 .49275 L
.37893 .49758 L
.37955 .50242 L
.38014 .50725 L
.3807 .51208 L
.38125 .51691 L
.38162 .52036 L
.38176 .52174 L
.38225 .52658 L
.38271 .53141 L
.38316 .53624 L
.38359 .54107 L
.38399 .5459 L
.38436 .55073 L
.38471 .55557 L
.38502 .5604 L
.38531 .56523 L
.38556 .57006 L
.38577 .57489 L
.38594 .57973 L
.38607 .58456 L
.38615 .58939 L
.38618 .59422 L
.38616 .59905 L
.38609 .60388 L
.38601 .60872 L
.38596 .61355 L
.38491 .61838 L
.38413 .62321 L
.38285 .62804 L
.38162 .63064 L
.37679 .63093 L
.37463 .62804 L
.3721 .62321 L
.37196 .62289 L
.3697 .61838 L
.36788 .61355 L
.36712 .60962 L
.36683 .60872 L
.36534 .60388 L
.36398 .59905 L
.36277 .59422 L
.36229 .59211 L
.36162 .58939 L
.36047 .58456 L
.35937 .57973 L
.35833 .57489 L
.35746 .5706 L
.35735 .57006 L
.35638 .56523 L
.35545 .5604 L
.35454 .55557 L
.35366 .55073 L
.35282 .5459 L
.35263 .54478 L
.35201 .54107 L
.35122 .53624 L
.35045 .53141 L
.34971 .52658 L
.34898 .52174 L
.34828 .51691 L
.3478 .51348 L
.34761 .51208 L
.34697 .50725 L
.34634 .50242 L
.34573 .49758 L
.34514 .49275 L
.34458 .48792 L
.34403 .48309 L
.34351 .47826 L
.34301 .47342 L
.34296 .47293 L
.34255 .46859 L
.34211 .46376 L
.34169 .45893 L
.34129 .4541 L
.34092 .44927 L
.34057 .44443 L
.34026 .4396 L
.33997 .43477 L
.33972 .42994 L
.3395 .42511 L
.33932 .42027 L
.33919 .41544 L
.3391 .41061 L
.33906 .40578 L
.33907 .40095 L
.33913 .39612 L
.33924 .39128 L
.3394 .38645 L
.33959 .38162 L
.34114 .37679 L
.34241 .37196 L
F
1 .515 0 r
.34296 .37168 m
.3478 .36924 L
.35019 .37196 L
.35263 .37626 L
.35296 .37679 L
.35563 .38162 L
.35731 .38645 L
.35746 .38882 L
.35829 .39128 L
.35981 .39612 L
.36115 .40095 L
.36229 .40574 L
.3623 .40578 L
.36352 .41061 L
.36468 .41544 L
.36578 .42027 L
.3668 .42511 L
.36712 .42668 L
.3678 .42994 L
.36877 .43477 L
.36972 .4396 L
.37063 .44443 L
.3715 .44927 L
.37196 .45188 L
.37234 .4541 L
.37315 .45893 L
.37394 .46376 L
.37472 .46859 L
.37547 .47342 L
.37619 .47826 L
.37679 .48237 L
.37689 .48309 L
.37755 .48792 L
.3782 .49275 L
.37883 .49758 L
.37944 .50242 L
.38003 .50725 L
.3806 .51208 L
.38114 .51691 L
.38162 .52137 L
.38166 .52174 L
.38214 .52658 L
.38261 .53141 L
.38305 .53624 L
.38348 .54107 L
.38388 .5459 L
.38425 .55073 L
.38459 .55557 L
.38491 .5604 L
.38519 .56523 L
.38544 .57006 L
.38565 .57489 L
.38581 .57973 L
.38594 .58456 L
.38602 .58939 L
.38605 .59422 L
.38602 .59905 L
.38596 .60388 L
.38588 .60872 L
.38583 .61355 L
.38467 .61838 L
.38384 .62321 L
.38241 .62804 L
.38162 .62963 L
.37679 .63019 L
.37508 .62804 L
.37241 .62321 L
.37196 .62224 L
.36997 .61838 L
.36803 .61355 L
.36712 .60901 L
.36703 .60872 L
.36551 .60388 L
.36413 .59905 L
.3629 .59422 L
.36229 .59151 L
.36177 .58939 L
.36061 .58456 L
.3595 .57973 L
.35846 .57489 L
.35747 .57006 L
.35746 .56999 L
.35651 .56523 L
.35557 .5604 L
.35465 .55557 L
.35378 .55073 L
.35293 .5459 L
.35263 .54413 L
.35212 .54107 L
.35133 .53624 L
.35056 .53141 L
.34981 .52658 L
.34909 .52174 L
.34839 .51691 L
.3478 .51271 L
.34771 .51208 L
.34707 .50725 L
.34645 .50242 L
.34584 .49758 L
.34525 .49275 L
.34468 .48792 L
.34414 .48309 L
.34362 .47826 L
.34312 .47342 L
.34296 .47183 L
.34266 .46859 L
.34222 .46376 L
.3418 .45893 L
.3414 .4541 L
.34103 .44927 L
.34069 .44443 L
.34037 .4396 L
.34009 .43477 L
.33984 .42994 L
.33963 .42511 L
.33945 .42027 L
.33932 .41544 L
.33924 .41061 L
.3392 .40578 L
.33922 .40095 L
.33928 .39612 L
.33941 .39128 L
.33958 .38645 L
.33983 .38162 L
.34143 .37679 L
.34285 .37196 L
F
1 .51 0 r
.3478 .37001 m
.34968 .37196 L
.35257 .37679 L
.35263 .37691 L
.35536 .38162 L
.35723 .38645 L
.35746 .38943 L
.35809 .39128 L
.35963 .39612 L
.361 .40095 L
.36217 .40578 L
.36229 .40633 L
.36338 .41061 L
.36454 .41544 L
.36565 .42027 L
.36668 .42511 L
.36712 .42728 L
.36767 .42994 L
.36865 .43477 L
.3696 .4396 L
.37051 .44443 L
.37139 .44927 L
.37196 .45253 L
.37222 .4541 L
.37304 .45893 L
.37383 .46376 L
.37461 .46859 L
.37536 .47342 L
.37609 .47826 L
.37678 .48309 L
.37679 .48312 L
.37745 .48792 L
.37809 .49275 L
.37872 .49758 L
.37933 .50242 L
.37993 .50725 L
.38049 .51208 L
.38104 .51691 L
.38155 .52174 L
.38162 .52239 L
.38204 .52658 L
.3825 .53141 L
.38294 .53624 L
.38337 .54107 L
.38376 .5459 L
.38413 .55073 L
.38448 .55557 L
.38479 .5604 L
.38507 .56523 L
.38531 .57006 L
.38552 .57489 L
.38569 .57973 L
.38581 .58456 L
.38588 .58939 L
.38591 .59422 L
.38589 .59905 L
.38582 .60388 L
.38574 .60872 L
.38569 .61355 L
.38442 .61838 L
.38352 .62321 L
.38192 .62804 L
.38162 .6286 L
.37679 .62944 L
.37558 .62804 L
.37272 .62321 L
.37196 .6216 L
.37026 .61838 L
.3682 .61355 L
.36714 .60872 L
.36712 .60841 L
.36569 .60388 L
.36429 .59905 L
.36304 .59422 L
.36229 .59092 L
.36191 .58939 L
.36075 .58456 L
.35964 .57973 L
.35858 .57489 L
.35759 .57006 L
.35746 .56939 L
.35663 .56523 L
.35568 .5604 L
.35477 .55557 L
.35389 .55073 L
.35304 .5459 L
.35263 .54347 L
.35223 .54107 L
.35144 .53624 L
.35067 .53141 L
.34992 .52658 L
.34919 .52174 L
.34849 .51691 L
.34782 .51208 L
.3478 .51194 L
.34718 .50725 L
.34655 .50242 L
.34594 .49758 L
.34536 .49275 L
.34479 .48792 L
.34424 .48309 L
.34372 .47826 L
.34323 .47342 L
.34296 .47073 L
.34277 .46859 L
.34233 .46376 L
.34191 .45893 L
.34152 .4541 L
.34115 .44927 L
.3408 .44443 L
.34049 .4396 L
.34021 .43477 L
.33996 .42994 L
.33975 .42511 L
.33958 .42027 L
.33946 .41544 L
.33937 .41061 L
.33934 .40578 L
.33936 .40095 L
.33944 .39612 L
.33958 .39128 L
.33978 .38645 L
.3401 .38162 L
.34174 .37679 L
.34296 .37279 L
.34337 .37196 L
F
1 .506 0 r
.3478 .37078 m
.34909 .37196 L
.35223 .37679 L
.35263 .37757 L
.35507 .38162 L
.35713 .38645 L
.35746 .39004 L
.35789 .39128 L
.35946 .39612 L
.36085 .40095 L
.36204 .40578 L
.36229 .40692 L
.36323 .41061 L
.3644 .41544 L
.36552 .42027 L
.36656 .42511 L
.36712 .42788 L
.36755 .42994 L
.36853 .43477 L
.36948 .4396 L
.37039 .44443 L
.37127 .44927 L
.37196 .45317 L
.37211 .4541 L
.37293 .45893 L
.37373 .46376 L
.3745 .46859 L
.37525 .47342 L
.37598 .47826 L
.37668 .48309 L
.37679 .48387 L
.37734 .48792 L
.37799 .49275 L
.37862 .49758 L
.37923 .50242 L
.37982 .50725 L
.38039 .51208 L
.38093 .51691 L
.38145 .52174 L
.38162 .52343 L
.38193 .52658 L
.38239 .53141 L
.38284 .53624 L
.38326 .54107 L
.38365 .5459 L
.38402 .55073 L
.38436 .55557 L
.38467 .5604 L
.38495 .56523 L
.38519 .57006 L
.3854 .57489 L
.38556 .57973 L
.38568 .58456 L
.38575 .58939 L
.38577 .59422 L
.38575 .59905 L
.38568 .60388 L
.38559 .60872 L
.38553 .61355 L
.38417 .61838 L
.3832 .62321 L
.38162 .62757 L
.38132 .62804 L
.37679 .62869 L
.37616 .62804 L
.37306 .62321 L
.37196 .62095 L
.37056 .61838 L
.36838 .61355 L
.36718 .60872 L
.36712 .60781 L
.36587 .60388 L
.36445 .59905 L
.36318 .59422 L
.36229 .59033 L
.36206 .58939 L
.36088 .58456 L
.35977 .57973 L
.35871 .57489 L
.35771 .57006 L
.35746 .56878 L
.35675 .56523 L
.3558 .5604 L
.35489 .55557 L
.354 .55073 L
.35315 .5459 L
.35263 .54282 L
.35234 .54107 L
.35155 .53624 L
.35078 .53141 L
.35003 .52658 L
.3493 .52174 L
.3486 .51691 L
.34792 .51208 L
.3478 .51117 L
.34728 .50725 L
.34666 .50242 L
.34605 .49758 L
.34546 .49275 L
.34489 .48792 L
.34435 .48309 L
.34383 .47826 L
.34334 .47342 L
.34296 .4696 L
.34287 .46859 L
.34243 .46376 L
.34202 .45893 L
.34163 .4541 L
.34126 .44927 L
.34092 .44443 L
.34061 .4396 L
.34033 .43477 L
.34009 .42994 L
.33988 .42511 L
.33971 .42027 L
.33959 .41544 L
.33951 .41061 L
.33949 .40578 L
.33952 .40095 L
.3396 .39612 L
.33975 .39128 L
.33999 .38645 L
.34038 .38162 L
.34207 .37679 L
.34296 .37391 L
.34399 .37196 L
F
1 .502 0 r
.3478 .37155 m
.34834 .37196 L
.35188 .37679 L
.35263 .37822 L
.35475 .38162 L
.35702 .38645 L
.35746 .39064 L
.35768 .39128 L
.35928 .39612 L
.3607 .40095 L
.36191 .40578 L
.36229 .40751 L
.36308 .41061 L
.36427 .41544 L
.36538 .42027 L
.36643 .42511 L
.36712 .42849 L
.36743 .42994 L
.36841 .43477 L
.36936 .4396 L
.37028 .44443 L
.37116 .44927 L
.37196 .45382 L
.372 .4541 L
.37282 .45893 L
.37362 .46376 L
.37439 .46859 L
.37515 .47342 L
.37587 .47826 L
.37657 .48309 L
.37679 .48461 L
.37724 .48792 L
.37788 .49275 L
.37851 .49758 L
.37912 .50242 L
.37971 .50725 L
.38028 .51208 L
.38082 .51691 L
.38134 .52174 L
.38162 .52447 L
.38183 .52658 L
.38229 .53141 L
.38273 .53624 L
.38315 .54107 L
.38354 .5459 L
.38391 .55073 L
.38425 .55557 L
.38455 .5604 L
.38483 .56523 L
.38507 .57006 L
.38527 .57489 L
.38543 .57973 L
.38555 .58456 L
.38562 .58939 L
.38564 .59422 L
.38561 .59905 L
.38554 .60388 L
.38544 .60872 L
.38535 .61355 L
.3839 .61838 L
.38285 .62321 L
.38162 .62652 L
.37679 .62795 L
.37341 .62321 L
.37196 .62031 L
.37088 .61838 L
.36858 .61355 L
.36722 .60872 L
.36712 .6072 L
.36605 .60388 L
.36461 .59905 L
.36332 .59422 L
.36229 .58974 L
.3622 .58939 L
.36102 .58456 L
.3599 .57973 L
.35884 .57489 L
.35783 .57006 L
.35746 .56818 L
.35687 .56523 L
.35592 .5604 L
.355 .55557 L
.35412 .55073 L
.35326 .5459 L
.35263 .54216 L
.35245 .54107 L
.35166 .53624 L
.35089 .53141 L
.35014 .52658 L
.34941 .52174 L
.3487 .51691 L
.34803 .51208 L
.3478 .5104 L
.34738 .50725 L
.34676 .50242 L
.34615 .49758 L
.34557 .49275 L
.345 .48792 L
.34445 .48309 L
.34393 .47826 L
.34344 .47342 L
.34298 .46859 L
.34296 .46846 L
.34254 .46376 L
.34213 .45893 L
.34174 .4541 L
.34137 .44927 L
.34104 .44443 L
.34073 .4396 L
.34045 .43477 L
.34021 .42994 L
.34001 .42511 L
.33984 .42027 L
.33973 .41544 L
.33965 .41061 L
.33963 .40578 L
.33967 .40095 L
.33977 .39612 L
.33994 .39128 L
.34021 .38645 L
.3407 .38162 L
.34241 .37679 L
.34296 .37505 L
.34481 .37196 L
F
1 .497 0 r
.34296 .37621 m
.3478 .37232 L
.3515 .37679 L
.35263 .37888 L
.35441 .38162 L
.35687 .38645 L
.35746 .39125 L
.35747 .39128 L
.35909 .39612 L
.36054 .40095 L
.36178 .40578 L
.36229 .4081 L
.36294 .41061 L
.36413 .41544 L
.36525 .42027 L
.36631 .42511 L
.36712 .42908 L
.3673 .42994 L
.36829 .43477 L
.36924 .4396 L
.37016 .44443 L
.37105 .44927 L
.37189 .4541 L
.37196 .45446 L
.37271 .45893 L
.37351 .46376 L
.37429 .46859 L
.37504 .47342 L
.37577 .47826 L
.37647 .48309 L
.37679 .48536 L
.37714 .48792 L
.37778 .49275 L
.37841 .49758 L
.37902 .50242 L
.37961 .50725 L
.38018 .51208 L
.38072 .51691 L
.38124 .52174 L
.38162 .52553 L
.38172 .52658 L
.38218 .53141 L
.38262 .53624 L
.38304 .54107 L
.38343 .5459 L
.38379 .55073 L
.38413 .55557 L
.38444 .5604 L
.38471 .56523 L
.38495 .57006 L
.38514 .57489 L
.3853 .57973 L
.38541 .58456 L
.38548 .58939 L
.3855 .59422 L
.38546 .59905 L
.38538 .60388 L
.38528 .60872 L
.38515 .61355 L
.38363 .61838 L
.38249 .62321 L
.38162 .62547 L
.37679 .6272 L
.37378 .62321 L
.37196 .61967 L
.37122 .61838 L
.3688 .61355 L
.36728 .60872 L
.36712 .60661 L
.36624 .60388 L
.36477 .59905 L
.36347 .59422 L
.36234 .58939 L
.36229 .58915 L
.36116 .58456 L
.36003 .57973 L
.35896 .57489 L
.35795 .57006 L
.35746 .56757 L
.35699 .56523 L
.35604 .5604 L
.35512 .55557 L
.35423 .55073 L
.35337 .5459 L
.35263 .54151 L
.35256 .54107 L
.35177 .53624 L
.35099 .53141 L
.35024 .52658 L
.34951 .52174 L
.34881 .51691 L
.34813 .51208 L
.3478 .50962 L
.34748 .50725 L
.34686 .50242 L
.34626 .49758 L
.34567 .49275 L
.3451 .48792 L
.34456 .48309 L
.34404 .47826 L
.34355 .47342 L
.34308 .46859 L
.34296 .46731 L
.34265 .46376 L
.34224 .45893 L
.34185 .4541 L
.34149 .44927 L
.34115 .44443 L
.34085 .4396 L
.34057 .43477 L
.34034 .42994 L
.34014 .42511 L
.33998 .42027 L
.33986 .41544 L
.33979 .41061 L
.33978 .40578 L
.33983 .40095 L
.33994 .39612 L
.34013 .39128 L
.34044 .38645 L
.34104 .38162 L
.34277 .37679 L
F
1 .493 0 r
.3478 .3731 m
.35109 .37679 L
.35263 .37953 L
.35403 .38162 L
.3567 .38645 L
.35727 .39128 L
.35746 .39185 L
.35891 .39612 L
.36038 .40095 L
.36165 .40578 L
.36229 .40869 L
.36279 .41061 L
.36399 .41544 L
.36512 .42027 L
.36619 .42511 L
.36712 .42968 L
.36718 .42994 L
.36817 .43477 L
.36912 .4396 L
.37005 .44443 L
.37094 .44927 L
.37178 .4541 L
.37196 .4551 L
.3726 .45893 L
.3734 .46376 L
.37418 .46859 L
.37493 .47342 L
.37566 .47826 L
.37636 .48309 L
.37679 .48611 L
.37703 .48792 L
.37768 .49275 L
.37831 .49758 L
.37892 .50242 L
.37951 .50725 L
.38007 .51208 L
.38061 .51691 L
.38113 .52174 L
.38162 .52658 L
.38162 .5266 L
.38208 .53141 L
.38251 .53624 L
.38293 .54107 L
.38332 .5459 L
.38368 .55073 L
.38401 .55557 L
.38432 .5604 L
.38459 .56523 L
.38482 .57006 L
.38502 .57489 L
.38517 .57973 L
.38528 .58456 L
.38534 .58939 L
.38535 .59422 L
.38532 .59905 L
.38523 .60388 L
.3851 .60872 L
.38493 .61355 L
.38336 .61838 L
.38209 .62321 L
.38162 .6244 L
.37679 .62645 L
.37419 .62321 L
.37196 .61902 L
.37158 .61838 L
.36903 .61355 L
.36736 .60872 L
.36712 .60601 L
.36643 .60388 L
.36494 .59905 L
.36361 .59422 L
.36247 .58939 L
.36229 .58857 L
.3613 .58456 L
.36017 .57973 L
.35909 .57489 L
.35807 .57006 L
.35746 .56697 L
.35711 .56523 L
.35616 .5604 L
.35523 .55557 L
.35434 .55073 L
.35348 .5459 L
.35266 .54107 L
.35263 .54085 L
.35187 .53624 L
.3511 .53141 L
.35035 .52658 L
.34962 .52174 L
.34891 .51691 L
.34823 .51208 L
.3478 .50885 L
.34759 .50725 L
.34697 .50242 L
.34636 .49758 L
.34577 .49275 L
.34521 .48792 L
.34467 .48309 L
.34415 .47826 L
.34365 .47342 L
.34319 .46859 L
.34296 .46613 L
.34276 .46376 L
.34235 .45893 L
.34196 .4541 L
.3416 .44927 L
.34127 .44443 L
.34096 .4396 L
.34069 .43477 L
.34046 .42994 L
.34026 .42511 L
.34011 .42027 L
.34 .41544 L
.33994 .41061 L
.33993 .40578 L
.33999 .40095 L
.34011 .39612 L
.34033 .39128 L
.3407 .38645 L
.34142 .38162 L
.34296 .37738 L
.34318 .37679 L
F
1 .488 0 r
.3478 .37388 m
.35064 .37679 L
.35263 .38018 L
.35363 .38162 L
.3565 .38645 L
.35707 .39128 L
.35746 .39245 L
.35872 .39612 L
.36022 .40095 L
.36151 .40578 L
.36229 .40927 L
.36264 .41061 L
.36385 .41544 L
.36499 .42027 L
.36606 .42511 L
.36706 .42994 L
.36712 .43028 L
.36805 .43477 L
.36901 .4396 L
.36993 .44443 L
.37082 .44927 L
.37168 .4541 L
.37196 .45574 L
.37249 .45893 L
.37329 .46376 L
.37407 .46859 L
.37483 .47342 L
.37556 .47826 L
.37626 .48309 L
.37679 .48686 L
.37693 .48792 L
.37758 .49275 L
.3782 .49758 L
.37881 .50242 L
.3794 .50725 L
.37997 .51208 L
.38051 .51691 L
.38103 .52174 L
.38151 .52658 L
.38162 .52768 L
.38197 .53141 L
.38241 .53624 L
.38282 .54107 L
.38321 .5459 L
.38357 .55073 L
.3839 .55557 L
.3842 .5604 L
.38447 .56523 L
.3847 .57006 L
.38489 .57489 L
.38504 .57973 L
.38515 .58456 L
.3852 .58939 L
.38521 .59422 L
.38516 .59905 L
.38507 .60388 L
.38492 .60872 L
.38469 .61355 L
.38307 .61838 L
.38166 .62321 L
.38162 .62331 L
.37679 .6257 L
.37464 .62321 L
.37196 .61838 L
.37196 .61838 L
.36929 .61355 L
.36745 .60872 L
.36712 .60541 L
.36662 .60388 L
.36511 .59905 L
.36376 .59422 L
.36259 .58939 L
.36229 .58798 L
.36145 .58456 L
.3603 .57973 L
.35921 .57489 L
.35819 .57006 L
.35746 .56637 L
.35723 .56523 L
.35627 .5604 L
.35535 .55557 L
.35445 .55073 L
.35359 .5459 L
.35277 .54107 L
.35263 .5402 L
.35198 .53624 L
.35121 .53141 L
.35045 .52658 L
.34972 .52174 L
.34902 .51691 L
.34834 .51208 L
.3478 .50807 L
.34769 .50725 L
.34707 .50242 L
.34646 .49758 L
.34588 .49275 L
.34531 .48792 L
.34477 .48309 L
.34425 .47826 L
.34376 .47342 L
.3433 .46859 L
.34296 .46493 L
.34286 .46376 L
.34245 .45893 L
.34207 .4541 L
.34171 .44927 L
.34138 .44443 L
.34108 .4396 L
.34082 .43477 L
.34058 .42994 L
.34039 .42511 L
.34024 .42027 L
.34014 .41544 L
.34008 .41061 L
.34008 .40578 L
.34015 .40095 L
.34029 .39612 L
.34054 .39128 L
.34096 .38645 L
.34182 .38162 L
.34296 .37858 L
.34364 .37679 L
F
1 .484 0 r
.3478 .37465 m
.35013 .37679 L
.35263 .38083 L
.3532 .38162 L
.35627 .38645 L
.35686 .39128 L
.35746 .39305 L
.35852 .39612 L
.36005 .40095 L
.36137 .40578 L
.36229 .40986 L
.36249 .41061 L
.3637 .41544 L
.36486 .42027 L
.36594 .42511 L
.36694 .42994 L
.36712 .43087 L
.36792 .43477 L
.36889 .4396 L
.36982 .44443 L
.37071 .44927 L
.37157 .4541 L
.37196 .45639 L
.37238 .45893 L
.37319 .46376 L
.37396 .46859 L
.37472 .47342 L
.37545 .47826 L
.37616 .48309 L
.37679 .48762 L
.37683 .48792 L
.37747 .49275 L
.3781 .49758 L
.37871 .50242 L
.3793 .50725 L
.37986 .51208 L
.38041 .51691 L
.38092 .52174 L
.38141 .52658 L
.38162 .52878 L
.38186 .53141 L
.3823 .53624 L
.38271 .54107 L
.38309 .5459 L
.38345 .55073 L
.38378 .55557 L
.38408 .5604 L
.38435 .56523 L
.38458 .57006 L
.38476 .57489 L
.38491 .57973 L
.38501 .58456 L
.38507 .58939 L
.38506 .59422 L
.38501 .59905 L
.3849 .60388 L
.38472 .60872 L
.38443 .61355 L
.38276 .61838 L
.38162 .62221 L
.38114 .62321 L
.37679 .62494 L
.37514 .62321 L
.37227 .61838 L
.37196 .61774 L
.36956 .61355 L
.36755 .60872 L
.36712 .60482 L
.36681 .60388 L
.36528 .59905 L
.36391 .59422 L
.36272 .58939 L
.36229 .5874 L
.36159 .58456 L
.36043 .57973 L
.35934 .57489 L
.35831 .57006 L
.35746 .56577 L
.35735 .56523 L
.35639 .5604 L
.35546 .55557 L
.35457 .55073 L
.35371 .5459 L
.35288 .54107 L
.35263 .53955 L
.35209 .53624 L
.35131 .53141 L
.35056 .52658 L
.34983 .52174 L
.34912 .51691 L
.34844 .51208 L
.3478 .50729 L
.34779 .50725 L
.34717 .50242 L
.34657 .49758 L
.34598 .49275 L
.34542 .48792 L
.34487 .48309 L
.34436 .47826 L
.34387 .47342 L
.3434 .46859 L
.34297 .46376 L
.34296 .46371 L
.34256 .45893 L
.34218 .4541 L
.34183 .44927 L
.3415 .44443 L
.3412 .4396 L
.34094 .43477 L
.34071 .42994 L
.34052 .42511 L
.34037 .42027 L
.34027 .41544 L
.34023 .41061 L
.34024 .40578 L
.34031 .40095 L
.34047 .39612 L
.34075 .39128 L
.34125 .38645 L
.34226 .38162 L
.34296 .3798 L
.34416 .37679 L
F
1 .479 0 r
.3478 .37544 m
.34952 .37679 L
.35263 .38149 L
.35273 .38162 L
.35601 .38645 L
.35665 .39128 L
.35746 .39365 L
.35832 .39612 L
.35988 .40095 L
.36123 .40578 L
.36229 .41044 L
.36234 .41061 L
.36356 .41544 L
.36472 .42027 L
.36581 .42511 L
.36682 .42994 L
.36712 .43147 L
.3678 .43477 L
.36877 .4396 L
.3697 .44443 L
.3706 .44927 L
.37146 .4541 L
.37196 .45703 L
.37228 .45893 L
.37308 .46376 L
.37386 .46859 L
.37461 .47342 L
.37535 .47826 L
.37605 .48309 L
.37673 .48792 L
.37679 .48837 L
.37737 .49275 L
.378 .49758 L
.37861 .50242 L
.37919 .50725 L
.37976 .51208 L
.3803 .51691 L
.38082 .52174 L
.3813 .52658 L
.38162 .5299 L
.38176 .53141 L
.38219 .53624 L
.3826 .54107 L
.38298 .5459 L
.38334 .55073 L
.38367 .55557 L
.38396 .5604 L
.38423 .56523 L
.38445 .57006 L
.38464 .57489 L
.38478 .57973 L
.38488 .58456 L
.38492 .58939 L
.38492 .59422 L
.38485 .59905 L
.38472 .60388 L
.38452 .60872 L
.38414 .61355 L
.38245 .61838 L
.38162 .6211 L
.38051 .62321 L
.37679 .62419 L
.37573 .62321 L
.37259 .61838 L
.37196 .6171 L
.36986 .61355 L
.36768 .60872 L
.36712 .60422 L
.36701 .60388 L
.36546 .59905 L
.36406 .59422 L
.36285 .58939 L
.36229 .58682 L
.36173 .58456 L
.36057 .57973 L
.35947 .57489 L
.35844 .57006 L
.35747 .56523 L
.35746 .56517 L
.35651 .5604 L
.35558 .55557 L
.35468 .55073 L
.35382 .5459 L
.35299 .54107 L
.35263 .5389 L
.35219 .53624 L
.35142 .53141 L
.35067 .52658 L
.34993 .52174 L
.34923 .51691 L
.34855 .51208 L
.34789 .50725 L
.3478 .50651 L
.34727 .50242 L
.34667 .49758 L
.34608 .49275 L
.34552 .48792 L
.34498 .48309 L
.34446 .47826 L
.34397 .47342 L
.34351 .46859 L
.34308 .46376 L
.34296 .46247 L
.34267 .45893 L
.34229 .4541 L
.34194 .44927 L
.34161 .44443 L
.34132 .4396 L
.34106 .43477 L
.34083 .42994 L
.34065 .42511 L
.34051 .42027 L
.34041 .41544 L
.34037 .41061 L
.34039 .40578 L
.34048 .40095 L
.34066 .39612 L
.34098 .39128 L
.34155 .38645 L
.34274 .38162 L
.34296 .38105 L
.34478 .37679 L
F
1 .475 0 r
.3478 .37622 m
.34874 .37679 L
.35235 .38162 L
.35263 .38214 L
.3557 .38645 L
.35643 .39128 L
.35746 .39424 L
.35812 .39612 L
.35971 .40095 L
.36109 .40578 L
.36221 .41061 L
.36229 .41102 L
.36342 .41544 L
.36459 .42027 L
.36568 .42511 L
.3667 .42994 L
.36712 .43206 L
.36768 .43477 L
.36865 .4396 L
.36959 .44443 L
.37049 .44927 L
.37135 .4541 L
.37196 .45767 L
.37217 .45893 L
.37297 .46376 L
.37375 .46859 L
.37451 .47342 L
.37524 .47826 L
.37595 .48309 L
.37662 .48792 L
.37679 .48913 L
.37727 .49275 L
.3779 .49758 L
.3785 .50242 L
.37909 .50725 L
.37966 .51208 L
.3802 .51691 L
.38071 .52174 L
.3812 .52658 L
.38162 .53103 L
.38165 .53141 L
.38208 .53624 L
.38249 .54107 L
.38287 .5459 L
.38323 .55073 L
.38355 .55557 L
.38385 .5604 L
.38411 .56523 L
.38433 .57006 L
.38451 .57489 L
.38465 .57973 L
.38474 .58456 L
.38478 .58939 L
.38477 .59422 L
.38469 .59905 L
.38454 .60388 L
.38429 .60872 L
.38382 .61355 L
.38211 .61838 L
.38162 .61996 L
.37967 .62321 L
.37679 .62343 L
.3765 .62321 L
.37294 .61838 L
.37196 .61646 L
.37018 .61355 L
.36782 .60872 L
.36721 .60388 L
.36712 .60363 L
.36563 .59905 L
.36421 .59422 L
.36298 .58939 L
.36229 .58624 L
.36187 .58456 L
.36071 .57973 L
.3596 .57489 L
.35856 .57006 L
.35759 .56523 L
.35746 .56457 L
.35663 .5604 L
.35569 .55557 L
.35479 .55073 L
.35393 .5459 L
.3531 .54107 L
.35263 .53825 L
.3523 .53624 L
.35153 .53141 L
.35077 .52658 L
.35004 .52174 L
.34933 .51691 L
.34865 .51208 L
.348 .50725 L
.3478 .50573 L
.34737 .50242 L
.34677 .49758 L
.34619 .49275 L
.34562 .48792 L
.34508 .48309 L
.34457 .47826 L
.34408 .47342 L
.34361 .46859 L
.34318 .46376 L
.34296 .46119 L
.34278 .45893 L
.3424 .4541 L
.34205 .44927 L
.34173 .44443 L
.34144 .4396 L
.34118 .43477 L
.34096 .42994 L
.34078 .42511 L
.34064 .42027 L
.34055 .41544 L
.34052 .41061 L
.34055 .40578 L
.34066 .40095 L
.34086 .39612 L
.34122 .39128 L
.34186 .38645 L
.34296 .38232 L
.34316 .38162 L
.34561 .37679 L
F
1 .47 0 r
.3478 .37701 m
.35198 .38162 L
.35263 .38279 L
.35536 .38645 L
.35621 .39128 L
.35746 .39484 L
.35792 .39612 L
.35953 .40095 L
.36095 .40578 L
.3621 .41061 L
.36229 .4116 L
.36328 .41544 L
.36445 .42027 L
.36556 .42511 L
.36658 .42994 L
.36712 .43265 L
.36756 .43477 L
.36853 .4396 L
.36947 .44443 L
.37038 .44927 L
.37124 .4541 L
.37196 .45831 L
.37206 .45893 L
.37286 .46376 L
.37364 .46859 L
.3744 .47342 L
.37514 .47826 L
.37584 .48309 L
.37652 .48792 L
.37679 .48988 L
.37717 .49275 L
.37779 .49758 L
.3784 .50242 L
.37899 .50725 L
.37955 .51208 L
.38009 .51691 L
.38061 .52174 L
.38109 .52658 L
.38155 .53141 L
.38162 .53219 L
.38198 .53624 L
.38238 .54107 L
.38276 .5459 L
.38311 .55073 L
.38344 .55557 L
.38373 .5604 L
.38398 .56523 L
.3842 .57006 L
.38438 .57489 L
.38452 .57973 L
.3846 .58456 L
.38464 .58939 L
.38461 .59422 L
.38452 .59905 L
.38435 .60388 L
.38406 .60872 L
.38347 .61355 L
.38176 .61838 L
.38162 .61881 L
.37679 .62268 L
.37331 .61838 L
.37196 .61582 L
.37052 .61355 L
.36799 .60872 L
.3674 .60388 L
.36712 .60303 L
.36581 .59905 L
.36437 .59422 L
.36311 .58939 L
.36229 .58566 L
.36202 .58456 L
.36084 .57973 L
.35973 .57489 L
.35868 .57006 L
.3577 .56523 L
.35746 .56398 L
.35675 .5604 L
.35581 .55557 L
.35491 .55073 L
.35404 .5459 L
.3532 .54107 L
.35263 .53759 L
.35241 .53624 L
.35163 .53141 L
.35088 .52658 L
.35014 .52174 L
.34943 .51691 L
.34875 .51208 L
.3481 .50725 L
.3478 .50494 L
.34748 .50242 L
.34687 .49758 L
.34629 .49275 L
.34573 .48792 L
.34519 .48309 L
.34467 .47826 L
.34418 .47342 L
.34372 .46859 L
.34329 .46376 L
.34296 .45989 L
.34289 .45893 L
.34251 .4541 L
.34216 .44927 L
.34184 .44443 L
.34156 .4396 L
.3413 .43477 L
.34108 .42994 L
.34091 .42511 L
.34078 .42027 L
.34069 .41544 L
.34067 .41061 L
.34071 .40578 L
.34083 .40095 L
.34106 .39612 L
.34146 .39128 L
.3422 .38645 L
.34296 .38363 L
.34353 .38162 L
F
1 .466 0 r
.3478 .3778 m
.35157 .38162 L
.35263 .38344 L
.35498 .38645 L
.35599 .39128 L
.35746 .39544 L
.35771 .39612 L
.35935 .40095 L
.3608 .40578 L
.36198 .41061 L
.36229 .41218 L
.36313 .41544 L
.36432 .42027 L
.36543 .42511 L
.36647 .42994 L
.36712 .43325 L
.36744 .43477 L
.36842 .4396 L
.36936 .44443 L
.37026 .44927 L
.37113 .4541 L
.37195 .45893 L
.37196 .45895 L
.37276 .46376 L
.37354 .46859 L
.3743 .47342 L
.37503 .47826 L
.37574 .48309 L
.37642 .48792 L
.37679 .49065 L
.37707 .49275 L
.37769 .49758 L
.3783 .50242 L
.37889 .50725 L
.37945 .51208 L
.37999 .51691 L
.3805 .52174 L
.38099 .52658 L
.38144 .53141 L
.38162 .53336 L
.38187 .53624 L
.38227 .54107 L
.38265 .5459 L
.383 .55073 L
.38332 .55557 L
.38361 .5604 L
.38386 .56523 L
.38408 .57006 L
.38425 .57489 L
.38438 .57973 L
.38446 .58456 L
.38449 .58939 L
.38446 .59422 L
.38435 .59905 L
.38416 .60388 L
.38381 .60872 L
.3831 .61355 L
.38162 .61763 L
.38136 .61838 L
.37679 .62191 L
.37371 .61838 L
.37196 .61518 L
.37089 .61355 L
.36819 .60872 L
.36759 .60388 L
.36712 .60244 L
.366 .59905 L
.36453 .59422 L
.36324 .58939 L
.36229 .58508 L
.36216 .58456 L
.36098 .57973 L
.35986 .57489 L
.3588 .57006 L
.35782 .56523 L
.35746 .56338 L
.35686 .5604 L
.35593 .55557 L
.35502 .55073 L
.35415 .5459 L
.35331 .54107 L
.35263 .53694 L
.35251 .53624 L
.35174 .53141 L
.35098 .52658 L
.35025 .52174 L
.34954 .51691 L
.34885 .51208 L
.3482 .50725 L
.3478 .50415 L
.34758 .50242 L
.34698 .49758 L
.34639 .49275 L
.34583 .48792 L
.34529 .48309 L
.34477 .47826 L
.34429 .47342 L
.34382 .46859 L
.34339 .46376 L
.34299 .45893 L
.34296 .45855 L
.34262 .4541 L
.34228 .44927 L
.34196 .44443 L
.34167 .4396 L
.34142 .43477 L
.34121 .42994 L
.34104 .42511 L
.34091 .42027 L
.34084 .41544 L
.34082 .41061 L
.34087 .40578 L
.34101 .40095 L
.34127 .39612 L
.34172 .39128 L
.34256 .38645 L
.34296 .38497 L
.34394 .38162 L
F
1 .461 0 r
.3478 .37859 m
.35112 .38162 L
.35263 .38409 L
.35456 .38645 L
.35576 .39128 L
.35746 .39603 L
.35749 .39612 L
.35917 .40095 L
.36064 .40578 L
.36186 .41061 L
.36229 .41276 L
.36299 .41544 L
.36418 .42027 L
.3653 .42511 L
.36635 .42994 L
.36712 .43384 L
.36732 .43477 L
.3683 .4396 L
.36924 .44443 L
.37015 .44927 L
.37102 .4541 L
.37185 .45893 L
.37196 .45959 L
.37265 .46376 L
.37343 .46859 L
.37419 .47342 L
.37493 .47826 L
.37564 .48309 L
.37632 .48792 L
.37679 .49141 L
.37696 .49275 L
.37759 .49758 L
.3782 .50242 L
.37878 .50725 L
.37935 .51208 L
.37989 .51691 L
.3804 .52174 L
.38089 .52658 L
.38134 .53141 L
.38162 .53456 L
.38176 .53624 L
.38217 .54107 L
.38254 .5459 L
.38289 .55073 L
.38321 .55557 L
.38349 .5604 L
.38374 .56523 L
.38395 .57006 L
.38412 .57489 L
.38425 .57973 L
.38432 .58456 L
.38434 .58939 L
.3843 .59422 L
.38418 .59905 L
.38395 .60388 L
.38354 .60872 L
.38269 .61355 L
.38162 .61644 L
.38091 .61838 L
.37679 .62115 L
.37416 .61838 L
.37196 .61454 L
.37129 .61355 L
.36841 .60872 L
.36779 .60388 L
.36712 .60185 L
.36619 .59905 L
.36469 .59422 L
.36338 .58939 L
.3623 .58456 L
.36229 .5845 L
.36112 .57973 L
.35999 .57489 L
.35892 .57006 L
.35793 .56523 L
.35746 .56279 L
.35698 .5604 L
.35604 .55557 L
.35513 .55073 L
.35426 .5459 L
.35342 .54107 L
.35263 .53629 L
.35262 .53624 L
.35184 .53141 L
.35109 .52658 L
.35035 .52174 L
.34964 .51691 L
.34896 .51208 L
.3483 .50725 L
.3478 .50336 L
.34768 .50242 L
.34708 .49758 L
.34649 .49275 L
.34593 .48792 L
.34539 .48309 L
.34488 .47826 L
.34439 .47342 L
.34393 .46859 L
.3435 .46376 L
.3431 .45893 L
.34296 .45717 L
.34273 .4541 L
.34239 .44927 L
.34207 .44443 L
.34179 .4396 L
.34154 .43477 L
.34134 .42994 L
.34117 .42511 L
.34105 .42027 L
.34098 .41544 L
.34097 .41061 L
.34104 .40578 L
.3412 .40095 L
.34148 .39612 L
.34199 .39128 L
.34294 .38645 L
.34296 .38635 L
.34438 .38162 L
F
1 .457 0 r
.3478 .37939 m
.35062 .38162 L
.35263 .38474 L
.35409 .38645 L
.35553 .39128 L
.35729 .39612 L
.35746 .39663 L
.35898 .40095 L
.36049 .40578 L
.36174 .41061 L
.36229 .41333 L
.36284 .41544 L
.36404 .42027 L
.36517 .42511 L
.36623 .42994 L
.36712 .43443 L
.3672 .43477 L
.36818 .4396 L
.36913 .44443 L
.37004 .44927 L
.37091 .4541 L
.37174 .45893 L
.37196 .46023 L
.37254 .46376 L
.37333 .46859 L
.37409 .47342 L
.37483 .47826 L
.37554 .48309 L
.37622 .48792 L
.37679 .49217 L
.37686 .49275 L
.37749 .49758 L
.37809 .50242 L
.37868 .50725 L
.37924 .51208 L
.37978 .51691 L
.3803 .52174 L
.38078 .52658 L
.38124 .53141 L
.38162 .53578 L
.38166 .53624 L
.38206 .54107 L
.38243 .5459 L
.38278 .55073 L
.38309 .55557 L
.38337 .5604 L
.38362 .56523 L
.38383 .57006 L
.38399 .57489 L
.38411 .57973 L
.38418 .58456 L
.38419 .58939 L
.38413 .59422 L
.38399 .59905 L
.38374 .60388 L
.38326 .60872 L
.38225 .61355 L
.38162 .61521 L
.38039 .61838 L
.37679 .62039 L
.37466 .61838 L
.37196 .6139 L
.37171 .61355 L
.36866 .60872 L
.368 .60388 L
.36712 .60126 L
.36638 .59905 L
.36485 .59422 L
.36352 .58939 L
.36242 .58456 L
.36229 .58392 L
.36125 .57973 L
.36012 .57489 L
.35905 .57006 L
.35805 .56523 L
.35746 .56219 L
.3571 .5604 L
.35616 .55557 L
.35524 .55073 L
.35437 .5459 L
.35352 .54107 L
.35272 .53624 L
.35263 .53564 L
.35195 .53141 L
.35119 .52658 L
.35046 .52174 L
.34974 .51691 L
.34906 .51208 L
.3484 .50725 L
.3478 .50256 L
.34778 .50242 L
.34718 .49758 L
.3466 .49275 L
.34604 .48792 L
.3455 .48309 L
.34498 .47826 L
.34449 .47342 L
.34403 .46859 L
.3436 .46376 L
.34321 .45893 L
.34296 .45575 L
.34284 .4541 L
.3425 .44927 L
.34219 .44443 L
.34191 .4396 L
.34167 .43477 L
.34146 .42994 L
.3413 .42511 L
.34119 .42027 L
.34113 .41544 L
.34113 .41061 L
.34121 .40578 L
.34138 .40095 L
.3417 .39612 L
.34227 .39128 L
.34296 .38777 L
.34325 .38645 L
.34489 .38162 L
F
1 .453 0 r
.3478 .38019 m
.35001 .38162 L
.35263 .3854 L
.35357 .38645 L
.35529 .39128 L
.35708 .39612 L
.35746 .39722 L
.35879 .40095 L
.36033 .40578 L
.36161 .41061 L
.36229 .41391 L
.36269 .41544 L
.3639 .42027 L
.36504 .42511 L
.36611 .42994 L
.36708 .43477 L
.36712 .43502 L
.36806 .4396 L
.36901 .44443 L
.36993 .44927 L
.3708 .4541 L
.37163 .45893 L
.37196 .46087 L
.37244 .46376 L
.37322 .46859 L
.37398 .47342 L
.37472 .47826 L
.37543 .48309 L
.37611 .48792 L
.37676 .49275 L
.37679 .49294 L
.37739 .49758 L
.37799 .50242 L
.37858 .50725 L
.37914 .51208 L
.37968 .51691 L
.38019 .52174 L
.38068 .52658 L
.38113 .53141 L
.38155 .53624 L
.38162 .53704 L
.38195 .54107 L
.38232 .5459 L
.38266 .55073 L
.38298 .55557 L
.38325 .5604 L
.3835 .56523 L
.3837 .57006 L
.38386 .57489 L
.38398 .57973 L
.38404 .58456 L
.38404 .58939 L
.38397 .59422 L
.38381 .59905 L
.38351 .60388 L
.38296 .60872 L
.38178 .61355 L
.38162 .61396 L
.37977 .61838 L
.37679 .61962 L
.37525 .61838 L
.3721 .61355 L
.37196 .61326 L
.36894 .60872 L
.3682 .60388 L
.36712 .60067 L
.36657 .59905 L
.36502 .59422 L
.36366 .58939 L
.36253 .58456 L
.36229 .58335 L
.36139 .57973 L
.36025 .57489 L
.35917 .57006 L
.35816 .56523 L
.35746 .5616 L
.35722 .5604 L
.35627 .55557 L
.35536 .55073 L
.35448 .5459 L
.35363 .54107 L
.35283 .53624 L
.35263 .53499 L
.35205 .53141 L
.3513 .52658 L
.35056 .52174 L
.34985 .51691 L
.34916 .51208 L
.3485 .50725 L
.34788 .50242 L
.3478 .50176 L
.34728 .49758 L
.3467 .49275 L
.34614 .48792 L
.3456 .48309 L
.34509 .47826 L
.3446 .47342 L
.34414 .46859 L
.34371 .46376 L
.34331 .45893 L
.34296 .45427 L
.34295 .4541 L
.34261 .44927 L
.34231 .44443 L
.34203 .4396 L
.34179 .43477 L
.34159 .42994 L
.34143 .42511 L
.34132 .42027 L
.34127 .41544 L
.34129 .41061 L
.34138 .40578 L
.34158 .40095 L
.34193 .39612 L
.34256 .39128 L
.34296 .38924 L
.34357 .38645 L
.3455 .38162 L
F
1 .448 0 r
.3478 .38099 m
.3492 .38162 L
.35263 .38605 L
.353 .38645 L
.35504 .39128 L
.35687 .39612 L
.35746 .39781 L
.35859 .40095 L
.36016 .40578 L
.36148 .41061 L
.36229 .41449 L
.36254 .41544 L
.36376 .42027 L
.36491 .42511 L
.36598 .42994 L
.36696 .43477 L
.36712 .43561 L
.36794 .4396 L
.3689 .44443 L
.36981 .44927 L
.37069 .4541 L
.37153 .45893 L
.37196 .46151 L
.37233 .46376 L
.37312 .46859 L
.37388 .47342 L
.37462 .47826 L
.37533 .48309 L
.37601 .48792 L
.37666 .49275 L
.37679 .49372 L
.37729 .49758 L
.37789 .50242 L
.37848 .50725 L
.37904 .51208 L
.37958 .51691 L
.38009 .52174 L
.38057 .52658 L
.38103 .53141 L
.38145 .53624 L
.38162 .53832 L
.38184 .54107 L
.38221 .5459 L
.38255 .55073 L
.38286 .55557 L
.38314 .5604 L
.38338 .56523 L
.38357 .57006 L
.38373 .57489 L
.38384 .57973 L
.38389 .58456 L
.38388 .58939 L
.3838 .59422 L
.38361 .59905 L
.38328 .60388 L
.38265 .60872 L
.38162 .61267 L
.38139 .61355 L
.37893 .61838 L
.37679 .61885 L
.37604 .61838 L
.37245 .61355 L
.37196 .61262 L
.36925 .60872 L
.36841 .60388 L
.36712 .60008 L
.36677 .59905 L
.36519 .59422 L
.3638 .58939 L
.36264 .58456 L
.36229 .58277 L
.36153 .57973 L
.36038 .57489 L
.35929 .57006 L
.35828 .56523 L
.35746 .56101 L
.35734 .5604 L
.35639 .55557 L
.35547 .55073 L
.35459 .5459 L
.35374 .54107 L
.35293 .53624 L
.35263 .53433 L
.35216 .53141 L
.3514 .52658 L
.35066 .52174 L
.34995 .51691 L
.34926 .51208 L
.34861 .50725 L
.34798 .50242 L
.3478 .50096 L
.34738 .49758 L
.3468 .49275 L
.34624 .48792 L
.3457 .48309 L
.34519 .47826 L
.3447 .47342 L
.34424 .46859 L
.34382 .46376 L
.34342 .45893 L
.34306 .4541 L
.34296 .45274 L
.34273 .44927 L
.34242 .44443 L
.34215 .4396 L
.34191 .43477 L
.34172 .42994 L
.34157 .42511 L
.34146 .42027 L
.34142 .41544 L
.34144 .41061 L
.34155 .40578 L
.34177 .40095 L
.34217 .39612 L
.34286 .39128 L
.34296 .39077 L
.34391 .38645 L
.34632 .38162 L
F
1 .444 0 r
.3478 .3818 m
.35248 .38645 L
.35263 .3867 L
.35478 .39128 L
.35666 .39612 L
.35746 .39841 L
.35839 .40095 L
.36 .40578 L
.36135 .41061 L
.36229 .41506 L
.36239 .41544 L
.36362 .42027 L
.36478 .42511 L
.36586 .42994 L
.36685 .43477 L
.36712 .43619 L
.36782 .4396 L
.36878 .44443 L
.3697 .44927 L
.37058 .4541 L
.37142 .45893 L
.37196 .46215 L
.37222 .46376 L
.37301 .46859 L
.37377 .47342 L
.37451 .47826 L
.37523 .48309 L
.37591 .48792 L
.37656 .49275 L
.37679 .49449 L
.37719 .49758 L
.37779 .50242 L
.37837 .50725 L
.37894 .51208 L
.37947 .51691 L
.37999 .52174 L
.38047 .52658 L
.38092 .53141 L
.38134 .53624 L
.38162 .53964 L
.38173 .54107 L
.3821 .5459 L
.38244 .55073 L
.38274 .55557 L
.38302 .5604 L
.38325 .56523 L
.38345 .57006 L
.3836 .57489 L
.3837 .57973 L
.38374 .58456 L
.38372 .58939 L
.38362 .59422 L
.38342 .59905 L
.38304 .60388 L
.38231 .60872 L
.38162 .61136 L
.38102 .61355 L
.37679 .61807 L
.37281 .61355 L
.37196 .61197 L
.3696 .60872 L
.36862 .60388 L
.36712 .5995 L
.36697 .59905 L
.36537 .59422 L
.36395 .58939 L
.36276 .58456 L
.36229 .58219 L
.36167 .57973 L
.36051 .57489 L
.35942 .57006 L
.3584 .56523 L
.35746 .56041 L
.35746 .5604 L
.3565 .55557 L
.35558 .55073 L
.3547 .5459 L
.35385 .54107 L
.35304 .53624 L
.35263 .53368 L
.35226 .53141 L
.3515 .52658 L
.35077 .52174 L
.35005 .51691 L
.34937 .51208 L
.34871 .50725 L
.34808 .50242 L
.3478 .50015 L
.34748 .49758 L
.3469 .49275 L
.34634 .48792 L
.34581 .48309 L
.34529 .47826 L
.34481 .47342 L
.34435 .46859 L
.34392 .46376 L
.34353 .45893 L
.34317 .4541 L
.34296 .45115 L
.34284 .44927 L
.34254 .44443 L
.34227 .4396 L
.34204 .43477 L
.34184 .42994 L
.3417 .42511 L
.3416 .42027 L
.34157 .41544 L
.3416 .41061 L
.34173 .40578 L
.34198 .40095 L
.34241 .39612 L
.34296 .39237 L
.34314 .39128 L
.34427 .38645 L
F
1 .439 0 r
.3478 .38261 m
.35209 .38645 L
.35263 .38736 L
.35452 .39128 L
.35644 .39612 L
.35746 .399 L
.35818 .40095 L
.35982 .40578 L
.36122 .41061 L
.36226 .41544 L
.36229 .41563 L
.36348 .42027 L
.36465 .42511 L
.36574 .42994 L
.36674 .43477 L
.36712 .43678 L
.3677 .4396 L
.36866 .44443 L
.36959 .44927 L
.37047 .4541 L
.37132 .45893 L
.37196 .46279 L
.37212 .46376 L
.3729 .46859 L
.37367 .47342 L
.37441 .47826 L
.37512 .48309 L
.37581 .48792 L
.37646 .49275 L
.37679 .49527 L
.37708 .49758 L
.37769 .50242 L
.37827 .50725 L
.37883 .51208 L
.37937 .51691 L
.37988 .52174 L
.38037 .52658 L
.38082 .53141 L
.38124 .53624 L
.38162 .541 L
.38162 .54107 L
.38199 .5459 L
.38232 .55073 L
.38263 .55557 L
.3829 .5604 L
.38313 .56523 L
.38332 .57006 L
.38347 .57489 L
.38356 .57973 L
.3836 .58456 L
.38356 .58939 L
.38345 .59422 L
.38321 .59905 L
.38278 .60388 L
.38196 .60872 L
.38162 .61 L
.38062 .61355 L
.37679 .61729 L
.37321 .61355 L
.37196 .61133 L
.36998 .60872 L
.36884 .60388 L
.36717 .59905 L
.36712 .59891 L
.36555 .59422 L
.3641 .58939 L
.36288 .58456 L
.36229 .58162 L
.36182 .57973 L
.36065 .57489 L
.35954 .57006 L
.35851 .56523 L
.35757 .5604 L
.35746 .55982 L
.35662 .55557 L
.3557 .55073 L
.35481 .5459 L
.35395 .54107 L
.35314 .53624 L
.35263 .53303 L
.35237 .53141 L
.35161 .52658 L
.35087 .52174 L
.35016 .51691 L
.34947 .51208 L
.34881 .50725 L
.34818 .50242 L
.3478 .49933 L
.34758 .49758 L
.347 .49275 L
.34645 .48792 L
.34591 .48309 L
.3454 .47826 L
.34491 .47342 L
.34445 .46859 L
.34403 .46376 L
.34363 .45893 L
.34327 .4541 L
.34296 .44947 L
.34295 .44927 L
.34265 .44443 L
.34239 .4396 L
.34216 .43477 L
.34197 .42994 L
.34183 .42511 L
.34175 .42027 L
.34172 .41544 L
.34177 .41061 L
.34191 .40578 L
.34218 .40095 L
.34266 .39612 L
.34296 .39404 L
.34341 .39128 L
.34466 .38645 L
F
1 .435 0 r
.3478 .38343 m
.35165 .38645 L
.35263 .38801 L
.35424 .39128 L
.35621 .39612 L
.35746 .39959 L
.35797 .40095 L
.35965 .40578 L
.36108 .41061 L
.36216 .41544 L
.36229 .41621 L
.36334 .42027 L
.36452 .42511 L
.36562 .42994 L
.36663 .43477 L
.36712 .43737 L
.36758 .4396 L
.36855 .44443 L
.36948 .44927 L
.37037 .4541 L
.37121 .45893 L
.37196 .46343 L
.37201 .46376 L
.3728 .46859 L
.37357 .47342 L
.37431 .47826 L
.37502 .48309 L
.37571 .48792 L
.37636 .49275 L
.37679 .49605 L
.37698 .49758 L
.37759 .50242 L
.37817 .50725 L
.37873 .51208 L
.37927 .51691 L
.37978 .52174 L
.38026 .52658 L
.38072 .53141 L
.38114 .53624 L
.38152 .54107 L
.38162 .5424 L
.38188 .5459 L
.38221 .55073 L
.38251 .55557 L
.38278 .5604 L
.38301 .56523 L
.38319 .57006 L
.38333 .57489 L
.38342 .57973 L
.38345 .58456 L
.3834 .58939 L
.38327 .59422 L
.383 .59905 L
.38252 .60388 L
.38162 .60859 L
.38159 .60872 L
.38018 .61355 L
.37679 .61651 L
.37364 .61355 L
.37196 .61069 L
.3704 .60872 L
.36906 .60388 L
.36737 .59905 L
.36712 .59832 L
.36573 .59422 L
.36425 .58939 L
.363 .58456 L
.36229 .58105 L
.36196 .57973 L
.36078 .57489 L
.35967 .57006 L
.35863 .56523 L
.35768 .5604 L
.35746 .55923 L
.35674 .55557 L
.35581 .55073 L
.35492 .5459 L
.35406 .54107 L
.35325 .53624 L
.35263 .53237 L
.35247 .53141 L
.35171 .52658 L
.35097 .52174 L
.35026 .51691 L
.34957 .51208 L
.34891 .50725 L
.34828 .50242 L
.3478 .49852 L
.34768 .49758 L
.3471 .49275 L
.34655 .48792 L
.34601 .48309 L
.3455 .47826 L
.34502 .47342 L
.34456 .46859 L
.34413 .46376 L
.34374 .45893 L
.34338 .4541 L
.34306 .44927 L
.34296 .44771 L
.34277 .44443 L
.34251 .4396 L
.34228 .43477 L
.3421 .42994 L
.34197 .42511 L
.34189 .42027 L
.34187 .41544 L
.34193 .41061 L
.34209 .40578 L
.3424 .40095 L
.34292 .39612 L
.34296 .39581 L
.3437 .39128 L
.3451 .38645 L
F
1 .43 0 r
.3478 .38426 m
.35114 .38645 L
.35263 .38866 L
.35395 .39128 L
.35598 .39612 L
.35746 .40018 L
.35775 .40095 L
.35946 .40578 L
.36094 .41061 L
.36206 .41544 L
.36229 .41678 L
.3632 .42027 L
.36439 .42511 L
.36549 .42994 L
.36651 .43477 L
.36712 .43795 L
.36746 .4396 L
.36843 .44443 L
.36936 .44927 L
.37026 .4541 L
.3711 .45893 L
.37191 .46376 L
.37196 .46407 L
.37269 .46859 L
.37346 .47342 L
.3742 .47826 L
.37492 .48309 L
.37561 .48792 L
.37626 .49275 L
.37679 .49684 L
.37688 .49758 L
.37749 .50242 L
.37807 .50725 L
.37863 .51208 L
.37917 .51691 L
.37968 .52174 L
.38016 .52658 L
.38061 .53141 L
.38103 .53624 L
.38142 .54107 L
.38162 .54386 L
.38177 .5459 L
.3821 .55073 L
.3824 .55557 L
.38266 .5604 L
.38288 .56523 L
.38306 .57006 L
.3832 .57489 L
.38328 .57973 L
.38329 .58456 L
.38324 .58939 L
.38308 .59422 L
.38278 .59905 L
.38224 .60388 L
.38162 .60714 L
.3813 .60872 L
.37968 .61355 L
.37679 .61572 L
.37414 .61355 L
.37196 .61005 L
.37086 .60872 L
.36929 .60388 L
.36756 .59905 L
.36712 .59773 L
.36592 .59422 L
.36441 .58939 L
.36313 .58456 L
.36229 .58047 L
.3621 .57973 L
.36092 .57489 L
.3598 .57006 L
.35875 .56523 L
.35779 .5604 L
.35746 .55864 L
.35685 .55557 L
.35592 .55073 L
.35503 .5459 L
.35417 .54107 L
.35335 .53624 L
.35263 .53172 L
.35258 .53141 L
.35182 .52658 L
.35108 .52174 L
.35036 .51691 L
.34967 .51208 L
.34901 .50725 L
.34838 .50242 L
.3478 .49769 L
.34778 .49758 L
.34721 .49275 L
.34665 .48792 L
.34612 .48309 L
.3456 .47826 L
.34512 .47342 L
.34466 .46859 L
.34424 .46376 L
.34384 .45893 L
.34348 .4541 L
.34317 .44927 L
.34296 .44583 L
.34288 .44443 L
.34263 .4396 L
.34241 .43477 L
.34223 .42994 L
.3421 .42511 L
.34203 .42027 L
.34203 .41544 L
.3421 .41061 L
.34228 .40578 L
.34261 .40095 L
.34296 .39768 L
.34316 .39612 L
.34399 .39128 L
.34559 .38645 L
F
1 .426 0 r
.3478 .38509 m
.35053 .38645 L
.35263 .38932 L
.35365 .39128 L
.35575 .39612 L
.35746 .40077 L
.35753 .40095 L
.35928 .40578 L
.36079 .41061 L
.36196 .41544 L
.36229 .41735 L
.36305 .42027 L
.36425 .42511 L
.36537 .42994 L
.3664 .43477 L
.36712 .43854 L
.36734 .4396 L
.36831 .44443 L
.36925 .44927 L
.37015 .4541 L
.371 .45893 L
.3718 .46376 L
.37196 .46472 L
.37259 .46859 L
.37336 .47342 L
.3741 .47826 L
.37482 .48309 L
.37551 .48792 L
.37616 .49275 L
.37678 .49758 L
.37679 .49763 L
.37739 .50242 L
.37797 .50725 L
.37853 .51208 L
.37906 .51691 L
.37957 .52174 L
.38006 .52658 L
.38051 .53141 L
.38093 .53624 L
.38131 .54107 L
.38162 .54537 L
.38166 .5459 L
.38198 .55073 L
.38228 .55557 L
.38254 .5604 L
.38276 .56523 L
.38293 .57006 L
.38306 .57489 L
.38313 .57973 L
.38314 .58456 L
.38307 .58939 L
.38289 .59422 L
.38256 .59905 L
.38195 .60388 L
.38162 .60563 L
.38098 .60872 L
.37908 .61355 L
.37679 .61493 L
.37474 .61355 L
.37196 .60941 L
.37137 .60872 L
.36953 .60388 L
.36776 .59905 L
.36712 .59715 L
.36611 .59422 L
.36457 .58939 L
.36326 .58456 L
.36229 .5799 L
.36225 .57973 L
.36105 .57489 L
.35992 .57006 L
.35887 .56523 L
.3579 .5604 L
.35746 .55805 L
.35697 .55557 L
.35604 .55073 L
.35514 .5459 L
.35428 .54107 L
.35346 .53624 L
.35268 .53141 L
.35263 .53106 L
.35192 .52658 L
.35118 .52174 L
.35046 .51691 L
.34977 .51208 L
.34911 .50725 L
.34848 .50242 L
.34788 .49758 L
.3478 .49686 L
.34731 .49275 L
.34675 .48792 L
.34622 .48309 L
.34571 .47826 L
.34522 .47342 L
.34477 .46859 L
.34434 .46376 L
.34395 .45893 L
.34359 .4541 L
.34327 .44927 L
.343 .44443 L
.34296 .4438 L
.34275 .4396 L
.34253 .43477 L
.34236 .42994 L
.34224 .42511 L
.34218 .42027 L
.34218 .41544 L
.34227 .41061 L
.34247 .40578 L
.34284 .40095 L
.34296 .39971 L
.3434 .39612 L
.3443 .39128 L
.34618 .38645 L
F
1 .421 0 r
.3478 .38592 m
.3497 .38645 L
.35263 .38998 L
.35333 .39128 L
.3555 .39612 L
.35731 .40095 L
.35746 .40137 L
.35908 .40578 L
.36064 .41061 L
.36186 .41544 L
.36229 .41792 L
.36291 .42027 L
.36411 .42511 L
.36524 .42994 L
.36628 .43477 L
.36712 .43913 L
.36722 .4396 L
.3682 .44443 L
.36914 .44927 L
.37004 .4541 L
.37089 .45893 L
.3717 .46376 L
.37196 .46536 L
.37248 .46859 L
.37325 .47342 L
.374 .47826 L
.37471 .48309 L
.3754 .48792 L
.37606 .49275 L
.37668 .49758 L
.37679 .49842 L
.37728 .50242 L
.37787 .50725 L
.37843 .51208 L
.37896 .51691 L
.37947 .52174 L
.37995 .52658 L
.3804 .53141 L
.38082 .53624 L
.38121 .54107 L
.38155 .5459 L
.38162 .54695 L
.38187 .55073 L
.38216 .55557 L
.38242 .5604 L
.38263 .56523 L
.3828 .57006 L
.38292 .57489 L
.38299 .57973 L
.38298 .58456 L
.3829 .58939 L
.3827 .59422 L
.38232 .59905 L
.38165 .60388 L
.38162 .60405 L
.38065 .60872 L
.37827 .61355 L
.37679 .61414 L
.37554 .61355 L
.37196 .60876 L
.37191 .60872 L
.36977 .60388 L
.36797 .59905 L
.36712 .59656 L
.3663 .59422 L
.36473 .58939 L
.36339 .58456 L
.36236 .57973 L
.36229 .57933 L
.36119 .57489 L
.36005 .57006 L
.35899 .56523 L
.35801 .5604 L
.35746 .55745 L
.35709 .55557 L
.35615 .55073 L
.35525 .5459 L
.35438 .54107 L
.35356 .53624 L
.35278 .53141 L
.35263 .53041 L
.35202 .52658 L
.35128 .52174 L
.35057 .51691 L
.34988 .51208 L
.34921 .50725 L
.34858 .50242 L
.34798 .49758 L
.3478 .49603 L
.34741 .49275 L
.34685 .48792 L
.34632 .48309 L
.34581 .47826 L
.34533 .47342 L
.34487 .46859 L
.34445 .46376 L
.34406 .45893 L
.3437 .4541 L
.34338 .44927 L
.3431 .44443 L
.34296 .4416 L
.34287 .4396 L
.34266 .43477 L
.34249 .42994 L
.34238 .42511 L
.34232 .42027 L
.34234 .41544 L
.34244 .41061 L
.34267 .40578 L
.34296 .40192 L
.34305 .40095 L
.34364 .39612 L
.34463 .39128 L
.34696 .38645 L
F
1 .417 0 r
.3478 .38676 m
.35263 .39063 L
.35299 .39128 L
.35525 .39612 L
.3571 .40095 L
.35746 .40196 L
.35889 .40578 L
.36048 .41061 L
.36175 .41544 L
.36229 .4185 L
.36276 .42027 L
.36398 .42511 L
.36512 .42994 L
.36616 .43477 L
.3671 .4396 L
.36712 .43971 L
.36808 .44443 L
.36902 .44927 L
.36993 .4541 L
.37079 .45893 L
.3716 .46376 L
.37196 .466 L
.37238 .46859 L
.37315 .47342 L
.37389 .47826 L
.37461 .48309 L
.3753 .48792 L
.37596 .49275 L
.37658 .49758 L
.37679 .49922 L
.37718 .50242 L
.37776 .50725 L
.37832 .51208 L
.37886 .51691 L
.37937 .52174 L
.37985 .52658 L
.3803 .53141 L
.38072 .53624 L
.3811 .54107 L
.38145 .5459 L
.38162 .5486 L
.38176 .55073 L
.38204 .55557 L
.3823 .5604 L
.38251 .56523 L
.38267 .57006 L
.38279 .57489 L
.38284 .57973 L
.38283 .58456 L
.38272 .58939 L
.3825 .59422 L
.38208 .59905 L
.38162 .60239 L
.38139 .60388 L
.3803 .60872 L
.37679 .61334 L
.37229 .60872 L
.37196 .60812 L
.37002 .60388 L
.36818 .59905 L
.36712 .59598 L
.3665 .59422 L
.3649 .58939 L
.36352 .58456 L
.36245 .57973 L
.36229 .57876 L
.36133 .57489 L
.36018 .57006 L
.35911 .56523 L
.35812 .5604 L
.35746 .55686 L
.3572 .55557 L
.35626 .55073 L
.35536 .5459 L
.35449 .54107 L
.35367 .53624 L
.35288 .53141 L
.35263 .52975 L
.35213 .52658 L
.35139 .52174 L
.35067 .51691 L
.34998 .51208 L
.34931 .50725 L
.34868 .50242 L
.34808 .49758 L
.3478 .49519 L
.34751 .49275 L
.34695 .48792 L
.34642 .48309 L
.34591 .47826 L
.34543 .47342 L
.34498 .46859 L
.34455 .46376 L
.34416 .45893 L
.34381 .4541 L
.34349 .44927 L
.34321 .44443 L
.34299 .4396 L
.34296 .43912 L
.34278 .43477 L
.34262 .42994 L
.34252 .42511 L
.34247 .42027 L
.3425 .41544 L
.34262 .41061 L
.34286 .40578 L
.34296 .40439 L
.34326 .40095 L
.3439 .39612 L
.34498 .39128 L
F
1 .412 0 r
.3478 .38761 m
.35262 .39128 L
.35263 .39129 L
.35499 .39612 L
.35689 .40095 L
.35746 .40255 L
.35868 .40578 L
.36032 .41061 L
.36163 .41544 L
.36229 .41907 L
.36261 .42027 L
.36384 .42511 L
.36499 .42994 L
.36605 .43477 L
.367 .4396 L
.36712 .4403 L
.36796 .44443 L
.36891 .44927 L
.36982 .4541 L
.37068 .45893 L
.37149 .46376 L
.37196 .46665 L
.37227 .46859 L
.37304 .47342 L
.37379 .47826 L
.37451 .48309 L
.3752 .48792 L
.37586 .49275 L
.37649 .49758 L
.37679 .50003 L
.37708 .50242 L
.37766 .50725 L
.37822 .51208 L
.37876 .51691 L
.37926 .52174 L
.37975 .52658 L
.3802 .53141 L
.38061 .53624 L
.381 .54107 L
.38134 .5459 L
.38162 .55036 L
.38164 .55073 L
.38193 .55557 L
.38217 .5604 L
.38238 .56523 L
.38254 .57006 L
.38265 .57489 L
.38269 .57973 L
.38266 .58456 L
.38254 .58939 L
.38229 .59422 L
.38184 .59905 L
.38162 .60064 L
.38112 .60388 L
.37991 .60872 L
.37679 .61253 L
.37268 .60872 L
.37196 .60748 L
.37028 .60388 L
.36839 .59905 L
.36712 .59539 L
.3667 .59422 L
.36507 .58939 L
.36366 .58456 L
.36255 .57973 L
.36229 .57819 L
.36147 .57489 L
.36031 .57006 L
.35923 .56523 L
.35823 .5604 L
.35746 .55627 L
.35732 .55557 L
.35638 .55073 L
.35547 .5459 L
.3546 .54107 L
.35377 .53624 L
.35299 .53141 L
.35263 .52909 L
.35223 .52658 L
.35149 .52174 L
.35077 .51691 L
.35008 .51208 L
.34941 .50725 L
.34878 .50242 L
.34818 .49758 L
.3478 .49434 L
.34761 .49275 L
.34706 .48792 L
.34653 .48309 L
.34602 .47826 L
.34554 .47342 L
.34508 .46859 L
.34466 .46376 L
.34427 .45893 L
.34391 .4541 L
.3436 .44927 L
.34332 .44443 L
.34309 .4396 L
.34296 .43628 L
.34291 .43477 L
.34275 .42994 L
.34265 .42511 L
.34262 .42027 L
.34266 .41544 L
.34279 .41061 L
.34296 .4072 L
.34306 .40578 L
.34348 .40095 L
.34416 .39612 L
.34536 .39128 L
F
1 .408 0 r
.3478 .38847 m
.35219 .39128 L
.35263 .39195 L
.35472 .39612 L
.35667 .40095 L
.35746 .40314 L
.35847 .40578 L
.36015 .41061 L
.36152 .41544 L
.36229 .41964 L
.36246 .42027 L
.3637 .42511 L
.36486 .42994 L
.36593 .43477 L
.36689 .4396 L
.36712 .44089 L
.36785 .44443 L
.36879 .44927 L
.3697 .4541 L
.37057 .45893 L
.37139 .46376 L
.37196 .4673 L
.37217 .46859 L
.37294 .47342 L
.37369 .47826 L
.37441 .48309 L
.3751 .48792 L
.37576 .49275 L
.37639 .49758 L
.37679 .50084 L
.37698 .50242 L
.37756 .50725 L
.37812 .51208 L
.37865 .51691 L
.37916 .52174 L
.37964 .52658 L
.38009 .53141 L
.38051 .53624 L
.38089 .54107 L
.38124 .5459 L
.38154 .55073 L
.38162 .55222 L
.38181 .55557 L
.38205 .5604 L
.38225 .56523 L
.38241 .57006 L
.38251 .57489 L
.38254 .57973 L
.3825 .58456 L
.38236 .58939 L
.38208 .59422 L
.38162 .59877 L
.38159 .59905 L
.38085 .60388 L
.37949 .60872 L
.37679 .61172 L
.37311 .60872 L
.37196 .60683 L
.37055 .60388 L
.36861 .59905 L
.36712 .5948 L
.36691 .59422 L
.36525 .58939 L
.3638 .58456 L
.36266 .57973 L
.36229 .57762 L
.36161 .57489 L
.36044 .57006 L
.35935 .56523 L
.35835 .5604 L
.35746 .55568 L
.35744 .55557 L
.35649 .55073 L
.35558 .5459 L
.35471 .54107 L
.35388 .53624 L
.35309 .53141 L
.35263 .52843 L
.35234 .52658 L
.35159 .52174 L
.35087 .51691 L
.35018 .51208 L
.34952 .50725 L
.34888 .50242 L
.34828 .49758 L
.3478 .49348 L
.34771 .49275 L
.34716 .48792 L
.34663 .48309 L
.34612 .47826 L
.34564 .47342 L
.34519 .46859 L
.34477 .46376 L
.34438 .45893 L
.34402 .4541 L
.3437 .44927 L
.34343 .44443 L
.3432 .4396 L
.34302 .43477 L
.34296 .43288 L
.34289 .42994 L
.34279 .42511 L
.34277 .42027 L
.34282 .41544 L
.34296 .41076 L
.34297 .41061 L
.34325 .40578 L
.3437 .40095 L
.34443 .39612 L
.34578 .39128 L
F
1 .404 0 r
.3478 .38933 m
.35169 .39128 L
.35263 .39262 L
.35444 .39612 L
.35644 .40095 L
.35746 .40373 L
.35826 .40578 L
.35998 .41061 L
.36139 .41544 L
.36229 .42021 L
.36231 .42027 L
.36356 .42511 L
.36473 .42994 L
.36581 .43477 L
.36678 .4396 L
.36712 .44147 L
.36773 .44443 L
.36868 .44927 L
.36959 .4541 L
.37046 .45893 L
.37129 .46376 L
.37196 .46794 L
.37206 .46859 L
.37283 .47342 L
.37358 .47826 L
.37431 .48309 L
.375 .48792 L
.37566 .49275 L
.37629 .49758 L
.37679 .50166 L
.37688 .50242 L
.37746 .50725 L
.37802 .51208 L
.37855 .51691 L
.37906 .52174 L
.37954 .52658 L
.37999 .53141 L
.38041 .53624 L
.38079 .54107 L
.38113 .5459 L
.38143 .55073 L
.38162 .55424 L
.38169 .55557 L
.38193 .5604 L
.38213 .56523 L
.38227 .57006 L
.38236 .57489 L
.38239 .57973 L
.38234 .58456 L
.38218 .58939 L
.38187 .59422 L
.38162 .59676 L
.38136 .59905 L
.38056 .60388 L
.379 .60872 L
.37679 .6109 L
.3736 .60872 L
.37196 .60618 L
.37083 .60388 L
.36883 .59905 L
.36713 .59422 L
.36712 .59422 L
.36543 .58939 L
.36395 .58456 L
.36276 .57973 L
.36229 .57705 L
.36175 .57489 L
.36058 .57006 L
.35948 .56523 L
.35846 .5604 L
.35754 .55557 L
.35746 .55509 L
.35661 .55073 L
.35569 .5459 L
.35482 .54107 L
.35398 .53624 L
.35319 .53141 L
.35263 .52777 L
.35244 .52658 L
.3517 .52174 L
.35098 .51691 L
.35028 .51208 L
.34962 .50725 L
.34898 .50242 L
.34838 .49758 L
.34781 .49275 L
.3478 .49262 L
.34726 .48792 L
.34673 .48309 L
.34623 .47826 L
.34575 .47342 L
.34529 .46859 L
.34487 .46376 L
.34448 .45893 L
.34413 .4541 L
.34381 .44927 L
.34354 .44443 L
.34331 .4396 L
.34313 .43477 L
.34301 .42994 L
.34296 .42717 L
.34294 .42511 L
.34292 .42027 L
.34296 .41635 L
.34298 .41544 L
.34315 .41061 L
.34344 .40578 L
.34392 .40095 L
.34472 .39612 L
.34626 .39128 L
F
1 .399 0 r
.3478 .3902 m
.35109 .39128 L
.35263 .39328 L
.35414 .39612 L
.35621 .40095 L
.35746 .40432 L
.35804 .40578 L
.3598 .41061 L
.36127 .41544 L
.36223 .42027 L
.36229 .42078 L
.36342 .42511 L
.3646 .42994 L
.36569 .43477 L
.36667 .4396 L
.36712 .44206 L
.36761 .44443 L
.36857 .44927 L
.36948 .4541 L
.37036 .45893 L
.37118 .46376 L
.37196 .46859 L
.37196 .46859 L
.37273 .47342 L
.37348 .47826 L
.3742 .48309 L
.3749 .48792 L
.37556 .49275 L
.37619 .49758 L
.37678 .50242 L
.37679 .50248 L
.37736 .50725 L
.37792 .51208 L
.37845 .51691 L
.37895 .52174 L
.37943 .52658 L
.37988 .53141 L
.3803 .53624 L
.38068 .54107 L
.38103 .5459 L
.38133 .55073 L
.38158 .55557 L
.38162 .55644 L
.38181 .5604 L
.382 .56523 L
.38214 .57006 L
.38222 .57489 L
.38224 .57973 L
.38217 .58456 L
.38199 .58939 L
.38165 .59422 L
.38162 .59453 L
.38113 .59905 L
.38026 .60388 L
.37843 .60872 L
.37679 .61008 L
.3742 .60872 L
.37196 .60553 L
.37112 .60388 L
.36907 .59905 L
.36732 .59422 L
.36712 .59363 L
.36562 .58939 L
.3641 .58456 L
.36287 .57973 L
.36229 .57647 L
.36189 .57489 L
.36071 .57006 L
.3596 .56523 L
.35858 .5604 L
.35765 .55557 L
.35746 .5545 L
.35672 .55073 L
.35581 .5459 L
.35493 .54107 L
.35409 .53624 L
.35329 .53141 L
.35263 .52711 L
.35255 .52658 L
.3518 .52174 L
.35108 .51691 L
.35038 .51208 L
.34972 .50725 L
.34908 .50242 L
.34848 .49758 L
.34791 .49275 L
.3478 .49175 L
.34736 .48792 L
.34683 .48309 L
.34633 .47826 L
.34585 .47342 L
.3454 .46859 L
.34498 .46376 L
.34459 .45893 L
.34424 .4541 L
.34392 .44927 L
.34365 .44443 L
.34342 .4396 L
.34323 .43477 L
.34311 .42994 L
.34304 .42511 L
.34301 .42027 L
.34314 .41544 L
.34332 .41061 L
.34364 .40578 L
.34416 .40095 L
.34502 .39612 L
.34682 .39128 L
F
1 .395 0 r
.3478 .39108 m
.35025 .39128 L
.35263 .39394 L
.35383 .39612 L
.35597 .40095 L
.35746 .40491 L
.35781 .40578 L
.35961 .41061 L
.36113 .41544 L
.36216 .42027 L
.36229 .42135 L
.36327 .42511 L
.36447 .42994 L
.36557 .43477 L
.36656 .4396 L
.36712 .44264 L
.36749 .44443 L
.36845 .44927 L
.36937 .4541 L
.37025 .45893 L
.37108 .46376 L
.37186 .46859 L
.37196 .46924 L
.37263 .47342 L
.37338 .47826 L
.3741 .48309 L
.3748 .48792 L
.37546 .49275 L
.37609 .49758 L
.37668 .50242 L
.37679 .50331 L
.37726 .50725 L
.37781 .51208 L
.37835 .51691 L
.37885 .52174 L
.37933 .52658 L
.37978 .53141 L
.38019 .53624 L
.38058 .54107 L
.38092 .5459 L
.38122 .55073 L
.38148 .55557 L
.38162 .55893 L
.38168 .5604 L
.38187 .56523 L
.382 .57006 L
.38208 .57489 L
.38208 .57973 L
.382 .58456 L
.3818 .58939 L
.38162 .59209 L
.38144 .59422 L
.38089 .59905 L
.37993 .60388 L
.37765 .60872 L
.37679 .60925 L
.37501 .60872 L
.37196 .60489 L
.37144 .60388 L
.3693 .59905 L
.36752 .59422 L
.36712 .59305 L
.36581 .58939 L
.36425 .58456 L
.36298 .57973 L
.36229 .5759 L
.36203 .57489 L
.36084 .57006 L
.35973 .56523 L
.35869 .5604 L
.35775 .55557 L
.35746 .55391 L
.35684 .55073 L
.35592 .5459 L
.35503 .54107 L
.35419 .53624 L
.35339 .53141 L
.35265 .52658 L
.35263 .52644 L
.3519 .52174 L
.35118 .51691 L
.35049 .51208 L
.34982 .50725 L
.34918 .50242 L
.34857 .49758 L
.34801 .49275 L
.3478 .49087 L
.34746 .48792 L
.34694 .48309 L
.34643 .47826 L
.34595 .47342 L
.34551 .46859 L
.34509 .46376 L
.3447 .45893 L
.34435 .4541 L
.34403 .44927 L
.34376 .44443 L
.34352 .4396 L
.34334 .43477 L
.34321 .42994 L
.34313 .42511 L
.34308 .42027 L
.3433 .41544 L
.3435 .41061 L
.34384 .40578 L
.3444 .40095 L
.34534 .39612 L
.34757 .39128 L
F
1 .39 0 r
.3478 .39197 m
.35263 .39461 L
.35349 .39612 L
.35573 .40095 L
.35746 .40551 L
.35757 .40578 L
.35942 .41061 L
.36099 .41544 L
.36209 .42027 L
.36229 .42192 L
.36313 .42511 L
.36433 .42994 L
.36545 .43477 L
.36645 .4396 L
.36712 .44323 L
.36737 .44443 L
.36833 .44927 L
.36926 .4541 L
.37014 .45893 L
.37098 .46376 L
.37176 .46859 L
.37196 .46989 L
.37252 .47342 L
.37327 .47826 L
.374 .48309 L
.37469 .48792 L
.37536 .49275 L
.37599 .49758 L
.37659 .50242 L
.37679 .50414 L
.37716 .50725 L
.37771 .51208 L
.37824 .51691 L
.37875 .52174 L
.37923 .52658 L
.37967 .53141 L
.38009 .53624 L
.38047 .54107 L
.38081 .5459 L
.38112 .55073 L
.38137 .55557 L
.38157 .5604 L
.38162 .56177 L
.38174 .56523 L
.38187 .57006 L
.38193 .57489 L
.38193 .57973 L
.38183 .58456 L
.38162 .58916 L
.3816 .58939 L
.38124 .59422 L
.38064 .59905 L
.37959 .60388 L
.37679 .60842 L
.37196 .60423 L
.37177 .60388 L
.36955 .59905 L
.36773 .59422 L
.36712 .59246 L
.36601 .58939 L
.36441 .58456 L
.3631 .57973 L
.36229 .57533 L
.36218 .57489 L
.36098 .57006 L
.35985 .56523 L
.35881 .5604 L
.35786 .55557 L
.35746 .55331 L
.35695 .55073 L
.35603 .5459 L
.35514 .54107 L
.3543 .53624 L
.3535 .53141 L
.35275 .52658 L
.35263 .52577 L
.35201 .52174 L
.35129 .51691 L
.35059 .51208 L
.34992 .50725 L
.34928 .50242 L
.34867 .49758 L
.3481 .49275 L
.3478 .48998 L
.34756 .48792 L
.34704 .48309 L
.34654 .47826 L
.34606 .47342 L
.34561 .46859 L
.34519 .46376 L
.34481 .45893 L
.34445 .4541 L
.34414 .44927 L
.34387 .44443 L
.34363 .4396 L
.34345 .43477 L
.34331 .42994 L
.34322 .42511 L
.34315 .42027 L
.34347 .41544 L
.34368 .41061 L
.34404 .40578 L
.34464 .40095 L
.34568 .39612 L
F
1 .386 0 r
.3478 .39287 m
.35263 .39528 L
.35313 .39612 L
.35547 .40095 L
.35735 .40578 L
.35746 .4061 L
.35922 .41061 L
.36085 .41544 L
.36201 .42027 L
.36229 .42249 L
.36298 .42511 L
.3642 .42994 L
.36532 .43477 L
.36634 .4396 L
.36712 .44382 L
.36725 .44443 L
.36822 .44927 L
.36915 .4541 L
.37003 .45893 L
.37087 .46376 L
.37166 .46859 L
.37196 .47054 L
.37242 .47342 L
.37317 .47826 L
.3739 .48309 L
.37459 .48792 L
.37526 .49275 L
.37589 .49758 L
.37649 .50242 L
.37679 .50499 L
.37706 .50725 L
.37761 .51208 L
.37814 .51691 L
.37864 .52174 L
.37912 .52658 L
.37957 .53141 L
.37998 .53624 L
.38036 .54107 L
.38071 .5459 L
.38101 .55073 L
.38127 .55557 L
.38147 .5604 L
.38161 .56523 L
.38162 .56538 L
.38173 .57006 L
.38179 .57489 L
.38177 .57973 L
.38165 .58456 L
.38162 .5855 L
.38142 .58939 L
.38103 .59422 L
.38038 .59905 L
.37922 .60388 L
.37679 .60757 L
.37214 .60388 L
.37196 .60358 L
.3698 .59905 L
.36794 .59422 L
.36712 .59187 L
.36621 .58939 L
.36457 .58456 L
.36322 .57973 L
.36231 .57489 L
.36229 .57476 L
.36112 .57006 L
.35998 .56523 L
.35892 .5604 L
.35797 .55557 L
.35746 .55272 L
.35707 .55073 L
.35614 .5459 L
.35525 .54107 L
.3544 .53624 L
.3536 .53141 L
.35285 .52658 L
.35263 .52511 L
.35211 .52174 L
.35139 .51691 L
.35069 .51208 L
.35002 .50725 L
.34938 .50242 L
.34877 .49758 L
.3482 .49275 L
.3478 .48908 L
.34767 .48792 L
.34714 .48309 L
.34664 .47826 L
.34616 .47342 L
.34572 .46859 L
.3453 .46376 L
.34492 .45893 L
.34456 .4541 L
.34425 .44927 L
.34398 .44443 L
.34375 .4396 L
.34356 .43477 L
.34342 .42994 L
.34332 .42511 L
.34323 .42027 L
.34363 .41544 L
.34386 .41061 L
.34425 .40578 L
.3449 .40095 L
.34605 .39612 L
F
1 .381 0 r
.3478 .39377 m
.35263 .39595 L
.35273 .39612 L
.3552 .40095 L
.35713 .40578 L
.35746 .40669 L
.35902 .41061 L
.36069 .41544 L
.36193 .42027 L
.36229 .42306 L
.36283 .42511 L
.36406 .42994 L
.3652 .43477 L
.36623 .4396 L
.36712 .44441 L
.36713 .44443 L
.3681 .44927 L
.36903 .4541 L
.36992 .45893 L
.37077 .46376 L
.37156 .46859 L
.37196 .4712 L
.37231 .47342 L
.37307 .47826 L
.37379 .48309 L
.37449 .48792 L
.37516 .49275 L
.37579 .49758 L
.37639 .50242 L
.37679 .50584 L
.37695 .50725 L
.37751 .51208 L
.37804 .51691 L
.37854 .52174 L
.37902 .52658 L
.37946 .53141 L
.37988 .53624 L
.38026 .54107 L
.3806 .5459 L
.3809 .55073 L
.38116 .55557 L
.38137 .5604 L
.38152 .56523 L
.3816 .57006 L
.38162 .57205 L
.38164 .57489 L
.38162 .57895 L
.38161 .57973 L
.38148 .58456 L
.38124 .58939 L
.38081 .59422 L
.38011 .59905 L
.3788 .60388 L
.37679 .60672 L
.37256 .60388 L
.37196 .60293 L
.37007 .59905 L
.36815 .59422 L
.36712 .59128 L
.36642 .58939 L
.36474 .58456 L
.36334 .57973 L
.36238 .57489 L
.36229 .57419 L
.36125 .57006 L
.36011 .56523 L
.35904 .5604 L
.35807 .55557 L
.35746 .55213 L
.35719 .55073 L
.35626 .5459 L
.35536 .54107 L
.35451 .53624 L
.3537 .53141 L
.35295 .52658 L
.35263 .52444 L
.35221 .52174 L
.35149 .51691 L
.35079 .51208 L
.35012 .50725 L
.34948 .50242 L
.34887 .49758 L
.3483 .49275 L
.3478 .48817 L
.34777 .48792 L
.34724 .48309 L
.34674 .47826 L
.34627 .47342 L
.34582 .46859 L
.34541 .46376 L
.34502 .45893 L
.34467 .4541 L
.34436 .44927 L
.34409 .44443 L
.34386 .4396 L
.34367 .43477 L
.34353 .42994 L
.34342 .42511 L
.34331 .42027 L
.3438 .41544 L
.34404 .41061 L
.34447 .40578 L
.34517 .40095 L
.34646 .39612 L
F
1 .377 0 r
.3478 .39469 m
.35225 .39612 L
.35263 .39662 L
.35493 .40095 L
.35691 .40578 L
.35746 .40729 L
.3588 .41061 L
.36053 .41544 L
.36184 .42027 L
.36229 .42363 L
.36268 .42511 L
.36392 .42994 L
.36507 .43477 L
.36612 .4396 L
.36703 .44443 L
.36712 .44499 L
.36799 .44927 L
.36892 .4541 L
.36982 .45893 L
.37066 .46376 L
.37146 .46859 L
.37196 .47185 L
.37221 .47342 L
.37296 .47826 L
.37369 .48309 L
.37439 .48792 L
.37506 .49275 L
.3757 .49758 L
.37629 .50242 L
.37679 .5067 L
.37685 .50725 L
.37741 .51208 L
.37793 .51691 L
.37844 .52174 L
.37891 .52658 L
.37936 .53141 L
.37977 .53624 L
.38015 .54107 L
.38049 .5459 L
.3808 .55073 L
.38105 .55557 L
.38126 .5604 L
.38142 .56523 L
.38152 .57006 L
.38157 .57489 L
.38145 .57973 L
.38132 .58456 L
.38105 .58939 L
.38059 .59422 L
.37983 .59905 L
.37834 .60388 L
.37679 .60586 L
.37305 .60388 L
.37196 .60227 L
.37034 .59905 L
.36837 .59422 L
.36712 .5907 L
.36663 .58939 L
.36492 .58456 L
.36347 .57973 L
.36245 .57489 L
.36229 .57362 L
.36139 .57006 L
.36024 .56523 L
.35916 .5604 L
.35818 .55557 L
.35746 .55153 L
.3573 .55073 L
.35637 .5459 L
.35547 .54107 L
.35462 .53624 L
.35381 .53141 L
.35304 .52658 L
.35263 .52376 L
.35232 .52174 L
.35159 .51691 L
.3509 .51208 L
.35022 .50725 L
.34958 .50242 L
.34897 .49758 L
.3484 .49275 L
.34787 .48792 L
.3478 .48726 L
.34735 .48309 L
.34685 .47826 L
.34637 .47342 L
.34593 .46859 L
.34552 .46376 L
.34513 .45893 L
.34478 .4541 L
.34447 .44927 L
.3442 .44443 L
.34397 .4396 L
.34378 .43477 L
.34364 .42994 L
.34352 .42511 L
.34339 .42027 L
.34396 .41544 L
.34423 .41061 L
.34469 .40578 L
.34545 .40095 L
.34692 .39612 L
F
1 .372 0 r
.3478 .39563 m
.35166 .39612 L
.35263 .3973 L
.35463 .40095 L
.35668 .40578 L
.35746 .40788 L
.35858 .41061 L
.36037 .41544 L
.36174 .42027 L
.36229 .42421 L
.36253 .42511 L
.36378 .42994 L
.36495 .43477 L
.366 .4396 L
.36693 .44443 L
.36712 .44558 L
.36787 .44927 L
.36881 .4541 L
.36971 .45893 L
.37056 .46376 L
.37136 .46859 L
.37196 .47251 L
.3721 .47342 L
.37286 .47826 L
.37359 .48309 L
.37429 .48792 L
.37496 .49275 L
.3756 .49758 L
.3762 .50242 L
.37675 .50725 L
.37679 .50757 L
.3773 .51208 L
.37783 .51691 L
.37833 .52174 L
.37881 .52658 L
.37925 .53141 L
.37966 .53624 L
.38004 .54107 L
.38039 .5459 L
.38069 .55073 L
.38095 .55557 L
.38116 .5604 L
.38132 .56523 L
.38143 .57006 L
.38151 .57489 L
.3813 .57973 L
.38114 .58456 L
.38085 .58939 L
.38036 .59422 L
.37953 .59905 L
.37778 .60388 L
.37679 .60499 L
.37364 .60388 L
.37196 .60161 L
.37063 .59905 L
.3686 .59422 L
.36712 .59011 L
.36685 .58939 L
.3651 .58456 L
.3636 .57973 L
.36253 .57489 L
.36229 .57305 L
.36154 .57006 L
.36037 .56523 L
.35928 .5604 L
.35829 .55557 L
.35746 .55094 L
.35742 .55073 L
.35648 .5459 L
.35558 .54107 L
.35472 .53624 L
.35391 .53141 L
.35314 .52658 L
.35263 .52309 L
.35242 .52174 L
.3517 .51691 L
.351 .51208 L
.35032 .50725 L
.34968 .50242 L
.34907 .49758 L
.3485 .49275 L
.34796 .48792 L
.3478 .48632 L
.34745 .48309 L
.34695 .47826 L
.34648 .47342 L
.34604 .46859 L
.34562 .46376 L
.34524 .45893 L
.3449 .4541 L
.34459 .44927 L
.34431 .44443 L
.34408 .4396 L
.3439 .43477 L
.34375 .42994 L
.34362 .42511 L
.34349 .42027 L
.34413 .41544 L
.34443 .41061 L
.34491 .40578 L
.34574 .40095 L
.34746 .39612 L
F
1 .368 0 r
.3478 .39657 m
.35263 .39797 L
.35432 .40095 L
.35644 .40578 L
.35746 .40847 L
.35835 .41061 L
.36019 .41544 L
.36164 .42027 L
.36229 .42478 L
.36238 .42511 L
.36364 .42994 L
.36482 .43477 L
.36589 .4396 L
.36683 .44443 L
.36712 .44617 L
.36775 .44927 L
.36869 .4541 L
.3696 .45893 L
.37045 .46376 L
.37125 .46859 L
.37196 .47317 L
.372 .47342 L
.37275 .47826 L
.37348 .48309 L
.37419 .48792 L
.37486 .49275 L
.3755 .49758 L
.3761 .50242 L
.37666 .50725 L
.37679 .50844 L
.3772 .51208 L
.37773 .51691 L
.37823 .52174 L
.3787 .52658 L
.37915 .53141 L
.37956 .53624 L
.37994 .54107 L
.38028 .5459 L
.38058 .55073 L
.38084 .55557 L
.38105 .5604 L
.38122 .56523 L
.38134 .57006 L
.38144 .57489 L
.38114 .57973 L
.38097 .58456 L
.38066 .58939 L
.38013 .59422 L
.37922 .59905 L
.37705 .60388 L
.37679 .60412 L
.37447 .60388 L
.37196 .60095 L
.37094 .59905 L
.36884 .59422 L
.36712 .58952 L
.36707 .58939 L
.36529 .58456 L
.36374 .57973 L
.36261 .57489 L
.36229 .57248 L
.36168 .57006 L
.3605 .56523 L
.3594 .5604 L
.3584 .55557 L
.35752 .55073 L
.35746 .55034 L
.3566 .5459 L
.3557 .54107 L
.35483 .53624 L
.35401 .53141 L
.35324 .52658 L
.35263 .52241 L
.35253 .52174 L
.3518 .51691 L
.3511 .51208 L
.35043 .50725 L
.34978 .50242 L
.34917 .49758 L
.34859 .49275 L
.34806 .48792 L
.3478 .48538 L
.34755 .48309 L
.34706 .47826 L
.34659 .47342 L
.34614 .46859 L
.34573 .46376 L
.34535 .45893 L
.34501 .4541 L
.3447 .44927 L
.34443 .44443 L
.3442 .4396 L
.34401 .43477 L
.34386 .42994 L
.34373 .42511 L
.34359 .42027 L
.34431 .41544 L
.34462 .41061 L
.34515 .40578 L
.34605 .40095 L
F
1 .363 0 r
.3478 .39753 m
.35263 .39865 L
.35399 .40095 L
.3562 .40578 L
.35746 .40907 L
.35811 .41061 L
.36001 .41544 L
.36153 .42027 L
.36223 .42511 L
.36229 .42535 L
.3635 .42994 L
.36469 .43477 L
.36577 .4396 L
.36673 .44443 L
.36712 .44676 L
.36763 .44927 L
.36858 .4541 L
.36949 .45893 L
.37035 .46376 L
.37115 .46859 L
.3719 .47342 L
.37196 .47383 L
.37265 .47826 L
.37338 .48309 L
.37408 .48792 L
.37476 .49275 L
.3754 .49758 L
.376 .50242 L
.37656 .50725 L
.37679 .50933 L
.3771 .51208 L
.37762 .51691 L
.37812 .52174 L
.3786 .52658 L
.37904 .53141 L
.37945 .53624 L
.37983 .54107 L
.38017 .5459 L
.38047 .55073 L
.38073 .55557 L
.38094 .5604 L
.38112 .56523 L
.38125 .57006 L
.38137 .57489 L
.38098 .57973 L
.38079 .58456 L
.38046 .58939 L
.37989 .59422 L
.37889 .59905 L
.37679 .60323 L
.37196 .60029 L
.37127 .59905 L
.36908 .59422 L
.36728 .58939 L
.36712 .58893 L
.36548 .58456 L
.36389 .57973 L
.36269 .57489 L
.36229 .57191 L
.36182 .57006 L
.36063 .56523 L
.35953 .5604 L
.35851 .55557 L
.35762 .55073 L
.35746 .54975 L
.35671 .5459 L
.35581 .54107 L
.35494 .53624 L
.35412 .53141 L
.35334 .52658 L
.35263 .52174 L
.35263 .52173 L
.3519 .51691 L
.3512 .51208 L
.35053 .50725 L
.34988 .50242 L
.34927 .49758 L
.34869 .49275 L
.34816 .48792 L
.3478 .48442 L
.34766 .48309 L
.34716 .47826 L
.34669 .47342 L
.34625 .46859 L
.34584 .46376 L
.34546 .45893 L
.34512 .4541 L
.34481 .44927 L
.34454 .44443 L
.34432 .4396 L
.34413 .43477 L
.34398 .42994 L
.34385 .42511 L
.3437 .42027 L
.34448 .41544 L
.34482 .41061 L
.34539 .40578 L
.34638 .40095 L
F
1 .359 0 r
.3478 .3985 m
.35263 .39934 L
.35363 .40095 L
.35595 .40578 L
.35746 .40967 L
.35787 .41061 L
.35982 .41544 L
.36141 .42027 L
.36208 .42511 L
.36229 .42592 L
.36335 .42994 L
.36455 .43477 L
.36565 .4396 L
.36662 .44443 L
.36712 .44735 L
.36751 .44927 L
.36846 .4541 L
.36938 .45893 L
.37024 .46376 L
.37105 .46859 L
.3718 .47342 L
.37196 .4745 L
.37254 .47826 L
.37328 .48309 L
.37398 .48792 L
.37466 .49275 L
.3753 .49758 L
.3759 .50242 L
.37646 .50725 L
.37679 .51023 L
.377 .51208 L
.37752 .51691 L
.37802 .52174 L
.37849 .52658 L
.37893 .53141 L
.37934 .53624 L
.37972 .54107 L
.38006 .5459 L
.38036 .55073 L
.38062 .55557 L
.38084 .5604 L
.38101 .56523 L
.38115 .57006 L
.3813 .57489 L
.38082 .57973 L
.38062 .58456 L
.38025 .58939 L
.37964 .59422 L
.37852 .59905 L
.37679 .60233 L
.37196 .59963 L
.37162 .59905 L
.36933 .59422 L
.36749 .58939 L
.36712 .58834 L
.36568 .58456 L
.36404 .57973 L
.36279 .57489 L
.36229 .57133 L
.36197 .57006 L
.36077 .56523 L
.35965 .5604 L
.35863 .55557 L
.35772 .55073 L
.35746 .54915 L
.35683 .5459 L
.35592 .54107 L
.35505 .53624 L
.35422 .53141 L
.35344 .52658 L
.35273 .52174 L
.35263 .52105 L
.35201 .51691 L
.35131 .51208 L
.35063 .50725 L
.34998 .50242 L
.34937 .49758 L
.34879 .49275 L
.34825 .48792 L
.3478 .48345 L
.34776 .48309 L
.34726 .47826 L
.3468 .47342 L
.34636 .46859 L
.34595 .46376 L
.34557 .45893 L
.34523 .4541 L
.34493 .44927 L
.34466 .44443 L
.34444 .4396 L
.34425 .43477 L
.3441 .42994 L
.34397 .42511 L
.34381 .42027 L
.34466 .41544 L
.34503 .41061 L
.34564 .40578 L
.34674 .40095 L
F
1 .355 0 r
.3478 .39949 m
.35263 .40002 L
.35324 .40095 L
.35568 .40578 L
.35746 .41026 L
.35761 .41061 L
.35962 .41544 L
.36128 .42027 L
.36193 .42511 L
.36229 .42649 L
.36321 .42994 L
.36442 .43477 L
.36553 .4396 L
.36652 .44443 L
.36712 .44794 L
.36739 .44927 L
.36835 .4541 L
.36926 .45893 L
.37013 .46376 L
.37095 .46859 L
.3717 .47342 L
.37196 .47516 L
.37244 .47826 L
.37317 .48309 L
.37388 .48792 L
.37455 .49275 L
.3752 .49758 L
.3758 .50242 L
.37637 .50725 L
.37679 .51114 L
.37689 .51208 L
.37742 .51691 L
.37791 .52174 L
.37838 .52658 L
.37882 .53141 L
.37923 .53624 L
.37961 .54107 L
.37995 .5459 L
.38025 .55073 L
.38051 .55557 L
.38073 .5604 L
.38091 .56523 L
.38106 .57006 L
.38122 .57489 L
.38066 .57973 L
.38043 .58456 L
.38004 .58939 L
.37937 .59422 L
.37812 .59905 L
.37679 .60142 L
.37202 .59905 L
.37196 .59896 L
.36959 .59422 L
.3677 .58939 L
.36712 .58775 L
.36589 .58456 L
.3642 .57973 L
.36288 .57489 L
.36229 .57076 L
.36211 .57006 L
.3609 .56523 L
.35977 .5604 L
.35874 .55557 L
.35782 .55073 L
.35746 .54856 L
.35694 .5459 L
.35603 .54107 L
.35516 .53624 L
.35433 .53141 L
.35354 .52658 L
.35282 .52174 L
.35263 .52036 L
.35211 .51691 L
.35141 .51208 L
.35073 .50725 L
.35009 .50242 L
.34947 .49758 L
.34889 .49275 L
.34835 .48792 L
.34786 .48309 L
.3478 .48246 L
.34737 .47826 L
.3469 .47342 L
.34647 .46859 L
.34606 .46376 L
.34569 .45893 L
.34535 .4541 L
.34504 .44927 L
.34478 .44443 L
.34455 .4396 L
.34437 .43477 L
.34422 .42994 L
.34409 .42511 L
.34394 .42027 L
.34484 .41544 L
.34524 .41061 L
.3459 .40578 L
.34713 .40095 L
F
1 .35 0 r
.3478 .40049 m
.35263 .40071 L
.3528 .40095 L
.35541 .40578 L
.35737 .41061 L
.35746 .41086 L
.35941 .41544 L
.36115 .42027 L
.36178 .42511 L
.36229 .42707 L
.36306 .42994 L
.36429 .43477 L
.36541 .4396 L
.36641 .44443 L
.36712 .44853 L
.36727 .44927 L
.36823 .4541 L
.36915 .45893 L
.37003 .46376 L
.37085 .46859 L
.37161 .47342 L
.37196 .47583 L
.37233 .47826 L
.37307 .48309 L
.37378 .48792 L
.37445 .49275 L
.3751 .49758 L
.37571 .50242 L
.37627 .50725 L
.37679 .51206 L
.37679 .51208 L
.37731 .51691 L
.37781 .52174 L
.37828 .52658 L
.37872 .53141 L
.37912 .53624 L
.3795 .54107 L
.37984 .5459 L
.38013 .55073 L
.38039 .55557 L
.38061 .5604 L
.3808 .56523 L
.38095 .57006 L
.38113 .57489 L
.38049 .57973 L
.38025 .58456 L
.37982 .58939 L
.3791 .59422 L
.37767 .59905 L
.37679 .6005 L
.3725 .59905 L
.37196 .59829 L
.36986 .59422 L
.36792 .58939 L
.36712 .58716 L
.3661 .58456 L
.36437 .57973 L
.36298 .57489 L
.36229 .57019 L
.36226 .57006 L
.36104 .56523 L
.3599 .5604 L
.35885 .55557 L
.35792 .55073 L
.35746 .54796 L
.35706 .5459 L
.35614 .54107 L
.35527 .53624 L
.35443 .53141 L
.35365 .52658 L
.35292 .52174 L
.35263 .51967 L
.35222 .51691 L
.35151 .51208 L
.35084 .50725 L
.35019 .50242 L
.34957 .49758 L
.34899 .49275 L
.34845 .48792 L
.34795 .48309 L
.3478 .48146 L
.34747 .47826 L
.34701 .47342 L
.34657 .46859 L
.34617 .46376 L
.3458 .45893 L
.34546 .4541 L
.34516 .44927 L
.3449 .44443 L
.34468 .4396 L
.34449 .43477 L
.34435 .42994 L
.34422 .42511 L
.34407 .42027 L
.34503 .41544 L
.34545 .41061 L
.34617 .40578 L
.34758 .40095 L
F
1 .346 0 r
.3478 .40152 m
.35263 .4014 L
.35512 .40578 L
.35714 .41061 L
.35746 .41146 L
.35918 .41544 L
.361 .42027 L
.36162 .42511 L
.36229 .42764 L
.36291 .42994 L
.36415 .43477 L
.36529 .4396 L
.3663 .44443 L
.36712 .44913 L
.36715 .44927 L
.36812 .4541 L
.36904 .45893 L
.36992 .46376 L
.37074 .46859 L
.37151 .47342 L
.37196 .47651 L
.37223 .47826 L
.37296 .48309 L
.37367 .48792 L
.37435 .49275 L
.375 .49758 L
.37561 .50242 L
.37617 .50725 L
.3767 .51208 L
.37679 .513 L
.37721 .51691 L
.3777 .52174 L
.37817 .52658 L
.37861 .53141 L
.37901 .53624 L
.37939 .54107 L
.37972 .5459 L
.38002 .55073 L
.38028 .55557 L
.3805 .5604 L
.38068 .56523 L
.38085 .57006 L
.38104 .57489 L
.38032 .57973 L
.38006 .58456 L
.3796 .58939 L
.37881 .59422 L
.37714 .59905 L
.37679 .59956 L
.37309 .59905 L
.37196 .59762 L
.37015 .59422 L
.36814 .58939 L
.36712 .58656 L
.36632 .58456 L
.36454 .57973 L
.36309 .57489 L
.36231 .57006 L
.36229 .56961 L
.36118 .56523 L
.36003 .5604 L
.35897 .55557 L
.35803 .55073 L
.35746 .54736 L
.35718 .5459 L
.35626 .54107 L
.35538 .53624 L
.35454 .53141 L
.35375 .52658 L
.35302 .52174 L
.35263 .51898 L
.35232 .51691 L
.35162 .51208 L
.35094 .50725 L
.35029 .50242 L
.34967 .49758 L
.34909 .49275 L
.34855 .48792 L
.34805 .48309 L
.3478 .48043 L
.34758 .47826 L
.34712 .47342 L
.34668 .46859 L
.34628 .46376 L
.34591 .45893 L
.34557 .4541 L
.34528 .44927 L
.34502 .44443 L
.3448 .4396 L
.34462 .43477 L
.34448 .42994 L
.34436 .42511 L
.34422 .42027 L
.34522 .41544 L
.34567 .41061 L
.34646 .40578 L
F
1 .341 0 r
.3478 .40256 m
.35263 .4021 L
.35481 .40578 L
.35691 .41061 L
.35746 .41206 L
.35895 .41544 L
.36085 .42027 L
.36147 .42511 L
.36229 .42822 L
.36276 .42994 L
.36401 .43477 L
.36516 .4396 L
.3662 .44443 L
.36705 .44927 L
.36712 .44972 L
.368 .4541 L
.36893 .45893 L
.36981 .46376 L
.37064 .46859 L
.37141 .47342 L
.37196 .47718 L
.37212 .47826 L
.37286 .48309 L
.37357 .48792 L
.37425 .49275 L
.3749 .49758 L
.37551 .50242 L
.37608 .50725 L
.3766 .51208 L
.37679 .51395 L
.3771 .51691 L
.3776 .52174 L
.37806 .52658 L
.3785 .53141 L
.37891 .53624 L
.37928 .54107 L
.37961 .5459 L
.37991 .55073 L
.38016 .55557 L
.38038 .5604 L
.38057 .56523 L
.38074 .57006 L
.38093 .57489 L
.38015 .57973 L
.37987 .58456 L
.37937 .58939 L
.37851 .59422 L
.37679 .59861 L
.37196 .59694 L
.37046 .59422 L
.36838 .58939 L
.36712 .58597 L
.36655 .58456 L
.36472 .57973 L
.36321 .57489 L
.36233 .57006 L
.36229 .56904 L
.36132 .56523 L
.36016 .5604 L
.35909 .55557 L
.35813 .55073 L
.35746 .54676 L
.35729 .5459 L
.35637 .54107 L
.35549 .53624 L
.35464 .53141 L
.35385 .52658 L
.35311 .52174 L
.35263 .51829 L
.35242 .51691 L
.35172 .51208 L
.35104 .50725 L
.35039 .50242 L
.34977 .49758 L
.34919 .49275 L
.34864 .48792 L
.34814 .48309 L
.3478 .47939 L
.34768 .47826 L
.34722 .47342 L
.34679 .46859 L
.34639 .46376 L
.34602 .45893 L
.34569 .4541 L
.34539 .44927 L
.34514 .44443 L
.34492 .4396 L
.34475 .43477 L
.34461 .42994 L
.3445 .42511 L
.34437 .42027 L
.34541 .41544 L
.3459 .41061 L
.34676 .40578 L
F
1 .337 0 r
.3478 .40363 m
.35263 .4028 L
.35448 .40578 L
.35667 .41061 L
.35746 .41267 L
.35871 .41544 L
.36068 .42027 L
.36131 .42511 L
.36229 .42879 L
.3626 .42994 L
.36387 .43477 L
.36504 .4396 L
.36609 .44443 L
.36696 .44927 L
.36712 .45031 L
.36788 .4541 L
.36881 .45893 L
.3697 .46376 L
.37054 .46859 L
.37131 .47342 L
.37196 .47786 L
.37202 .47826 L
.37276 .48309 L
.37346 .48792 L
.37415 .49275 L
.37479 .49758 L
.37541 .50242 L
.37598 .50725 L
.37651 .51208 L
.37679 .51491 L
.377 .51691 L
.37749 .52174 L
.37796 .52658 L
.37839 .53141 L
.37879 .53624 L
.37916 .54107 L
.3795 .5459 L
.37979 .55073 L
.38005 .55557 L
.38027 .5604 L
.38045 .56523 L
.38062 .57006 L
.38082 .57489 L
.37998 .57973 L
.37967 .58456 L
.37913 .58939 L
.37818 .59422 L
.37679 .59765 L
.37196 .59627 L
.37078 .59422 L
.36862 .58939 L
.36712 .58537 L
.36679 .58456 L
.36491 .57973 L
.36333 .57489 L
.36236 .57006 L
.36229 .56846 L
.36146 .56523 L
.36029 .5604 L
.3592 .55557 L
.35823 .55073 L
.35746 .54615 L
.35741 .5459 L
.35648 .54107 L
.3556 .53624 L
.35475 .53141 L
.35395 .52658 L
.35321 .52174 L
.35263 .51759 L
.35253 .51691 L
.35182 .51208 L
.35114 .50725 L
.35049 .50242 L
.34987 .49758 L
.34929 .49275 L
.34874 .48792 L
.34824 .48309 L
.3478 .47832 L
.34779 .47826 L
.34733 .47342 L
.3469 .46859 L
.3465 .46376 L
.34614 .45893 L
.34581 .4541 L
.34551 .44927 L
.34526 .44443 L
.34505 .4396 L
.34488 .43477 L
.34475 .42994 L
.34464 .42511 L
.34454 .42027 L
.3456 .41544 L
.34614 .41061 L
.34708 .40578 L
F
1 .332 0 r
.3478 .40472 m
.35263 .4035 L
.35412 .40578 L
.35642 .41061 L
.35746 .41327 L
.35846 .41544 L
.3605 .42027 L
.36115 .42511 L
.36229 .42937 L
.36245 .42994 L
.36372 .43477 L
.36491 .4396 L
.36597 .44443 L
.36687 .44927 L
.36712 .45091 L
.36776 .4541 L
.3687 .45893 L
.36959 .46376 L
.37043 .46859 L
.37121 .47342 L
.37192 .47826 L
.37196 .47854 L
.37265 .48309 L
.37336 .48792 L
.37404 .49275 L
.37469 .49758 L
.37531 .50242 L
.37588 .50725 L
.37641 .51208 L
.37679 .51589 L
.37689 .51691 L
.37739 .52174 L
.37785 .52658 L
.37828 .53141 L
.37868 .53624 L
.37905 .54107 L
.37938 .5459 L
.37967 .55073 L
.37993 .55557 L
.38015 .5604 L
.38033 .56523 L
.3805 .57006 L
.38071 .57489 L
.3798 .57973 L
.37947 .58456 L
.37889 .58939 L
.37782 .59422 L
.37679 .59667 L
.37196 .59559 L
.37113 .59422 L
.36886 .58939 L
.36712 .58478 L
.36703 .58456 L
.36511 .57973 L
.36346 .57489 L
.3624 .57006 L
.36229 .56789 L
.36161 .56523 L
.36042 .5604 L
.35932 .55557 L
.35834 .55073 L
.35751 .5459 L
.35746 .54555 L
.3566 .54107 L
.35571 .53624 L
.35486 .53141 L
.35405 .52658 L
.35331 .52174 L
.35263 .51691 L
.35263 .51688 L
.35193 .51208 L
.35125 .50725 L
.3506 .50242 L
.34998 .49758 L
.34939 .49275 L
.34884 .48792 L
.34834 .48309 L
.34788 .47826 L
.3478 .47723 L
.34744 .47342 L
.34701 .46859 L
.34661 .46376 L
.34625 .45893 L
.34592 .4541 L
.34563 .44927 L
.34539 .44443 L
.34518 .4396 L
.34501 .43477 L
.34489 .42994 L
.3448 .42511 L
.34471 .42027 L
.34581 .41544 L
.34638 .41061 L
.34743 .40578 L
F
1 .328 0 r
.35263 .40421 m
.35373 .40578 L
.35616 .41061 L
.35746 .41387 L
.3582 .41544 L
.36031 .42027 L
.36099 .42511 L
.36229 .42994 L
.36229 .42995 L
.36358 .43477 L
.36478 .4396 L
.36586 .44443 L
.36678 .44927 L
.36712 .45151 L
.36764 .4541 L
.36858 .45893 L
.36948 .46376 L
.37033 .46859 L
.37111 .47342 L
.37182 .47826 L
.37196 .47922 L
.37254 .48309 L
.37326 .48792 L
.37394 .49275 L
.37459 .49758 L
.37521 .50242 L
.37578 .50725 L
.37632 .51208 L
.37679 .51689 L
.37679 .51691 L
.37728 .52174 L
.37774 .52658 L
.37817 .53141 L
.37857 .53624 L
.37894 .54107 L
.37927 .5459 L
.37956 .55073 L
.37981 .55557 L
.38002 .5604 L
.38021 .56523 L
.38038 .57006 L
.38058 .57489 L
.37962 .57973 L
.37926 .58456 L
.37863 .58939 L
.37744 .59422 L
.37679 .59567 L
.37196 .5949 L
.37152 .59422 L
.36912 .58939 L
.36726 .58456 L
.36712 .58418 L
.36531 .57973 L
.36361 .57489 L
.36244 .57006 L
.36229 .56731 L
.36175 .56523 L
.36056 .5604 L
.35945 .55557 L
.35845 .55073 L
.3576 .5459 L
.35746 .54495 L
.35671 .54107 L
.35582 .53624 L
.35496 .53141 L
.35416 .52658 L
.35341 .52174 L
.35273 .51691 L
.35263 .51618 L
.35203 .51208 L
.35135 .50725 L
.3507 .50242 L
.35008 .49758 L
.34949 .49275 L
.34894 .48792 L
.34843 .48309 L
.34798 .47826 L
.3478 .47612 L
.34755 .47342 L
.34712 .46859 L
.34673 .46376 L
.34637 .45893 L
.34604 .4541 L
.34576 .44927 L
.34551 .44443 L
.34531 .4396 L
.34515 .43477 L
.34504 .42994 L
.34496 .42511 L
.3449 .42027 L
.34601 .41544 L
.34664 .41061 L
.3478 .40583 L
.34782 .40578 L
F
1 .323 0 r
.35263 .40492 m
.35328 .40578 L
.35588 .41061 L
.35746 .41448 L
.35792 .41544 L
.3601 .42027 L
.36083 .42511 L
.36214 .42994 L
.36229 .43053 L
.36343 .43477 L
.36465 .4396 L
.36575 .44443 L
.36668 .44927 L
.36712 .45211 L
.36752 .4541 L
.36847 .45893 L
.36937 .46376 L
.37022 .46859 L
.37101 .47342 L
.37173 .47826 L
.37196 .47991 L
.37244 .48309 L
.37315 .48792 L
.37384 .49275 L
.37449 .49758 L
.37511 .50242 L
.37569 .50725 L
.37622 .51208 L
.3767 .51691 L
.37679 .51791 L
.37717 .52174 L
.37763 .52658 L
.37806 .53141 L
.37846 .53624 L
.37882 .54107 L
.37915 .5459 L
.37944 .55073 L
.37969 .55557 L
.3799 .5604 L
.38008 .56523 L
.38024 .57006 L
.38044 .57489 L
.37944 .57973 L
.37905 .58456 L
.37836 .58939 L
.37699 .59422 L
.37679 .59465 L
.37196 .59422 L
.37196 .59421 L
.3694 .58939 L
.36747 .58456 L
.36712 .58358 L
.36553 .57973 L
.36375 .57489 L
.3625 .57006 L
.36229 .56673 L
.3619 .56523 L
.36069 .5604 L
.35957 .55557 L
.35856 .55073 L
.3577 .5459 L
.35746 .54434 L
.35683 .54107 L
.35593 .53624 L
.35507 .53141 L
.35426 .52658 L
.35351 .52174 L
.35282 .51691 L
.35263 .51547 L
.35214 .51208 L
.35146 .50725 L
.3508 .50242 L
.35018 .49758 L
.34959 .49275 L
.34904 .48792 L
.34853 .48309 L
.34807 .47826 L
.3478 .47497 L
.34765 .47342 L
.34723 .46859 L
.34684 .46376 L
.34648 .45893 L
.34616 .4541 L
.34588 .44927 L
.34564 .44443 L
.34544 .4396 L
.34529 .43477 L
.34519 .42994 L
.34512 .42511 L
.34511 .42027 L
.34622 .41544 L
.3469 .41061 L
.3478 .40698 L
.3483 .40578 L
F
1 .319 0 r
.35263 .40564 m
.35275 .40578 L
.35559 .41061 L
.35746 .41509 L
.35763 .41544 L
.35989 .42027 L
.36066 .42511 L
.36199 .42994 L
.36229 .43111 L
.36328 .43477 L
.36451 .4396 L
.36563 .44443 L
.36658 .44927 L
.36712 .45271 L
.3674 .4541 L
.36835 .45893 L
.36926 .46376 L
.37011 .46859 L
.37091 .47342 L
.37164 .47826 L
.37196 .4806 L
.37233 .48309 L
.37305 .48792 L
.37373 .49275 L
.37439 .49758 L
.37501 .50242 L
.37559 .50725 L
.37612 .51208 L
.3766 .51691 L
.37679 .51895 L
.37707 .52174 L
.37752 .52658 L
.37795 .53141 L
.37835 .53624 L
.37871 .54107 L
.37903 .5459 L
.37932 .55073 L
.37956 .55557 L
.37977 .5604 L
.37995 .56523 L
.38011 .57006 L
.38029 .57489 L
.37925 .57973 L
.37883 .58456 L
.37808 .58939 L
.37679 .59361 L
.37196 .59352 L
.36968 .58939 L
.3677 .58456 L
.36712 .58298 L
.36575 .57973 L
.36391 .57489 L
.36256 .57006 L
.36229 .56615 L
.36205 .56523 L
.36083 .5604 L
.3597 .55557 L
.35867 .55073 L
.35779 .5459 L
.35746 .54373 L
.35695 .54107 L
.35604 .53624 L
.35518 .53141 L
.35437 .52658 L
.35361 .52174 L
.35291 .51691 L
.35263 .51475 L
.35224 .51208 L
.35156 .50725 L
.35091 .50242 L
.35028 .49758 L
.34969 .49275 L
.34914 .48792 L
.34863 .48309 L
.34817 .47826 L
.3478 .47379 L
.34776 .47342 L
.34734 .46859 L
.34695 .46376 L
.3466 .45893 L
.34628 .4541 L
.346 .44927 L
.34577 .44443 L
.34558 .4396 L
.34543 .43477 L
.34534 .42994 L
.3453 .42511 L
.34532 .42027 L
.34644 .41544 L
.34718 .41061 L
.3478 .40815 L
.34889 .40578 L
F
1 .314 0 r
.3478 .40936 m
.35263 .40636 L
.35528 .41061 L
.35736 .41544 L
.35746 .4157 L
.35966 .42027 L
.36049 .42511 L
.36183 .42994 L
.36229 .43169 L
.36313 .43477 L
.36438 .4396 L
.36551 .44443 L
.36649 .44927 L
.36712 .45331 L
.36728 .4541 L
.36824 .45893 L
.36915 .46376 L
.37001 .46859 L
.37081 .47342 L
.37154 .47826 L
.37196 .4813 L
.37223 .48309 L
.37294 .48792 L
.37363 .49275 L
.37428 .49758 L
.3749 .50242 L
.37549 .50725 L
.37603 .51208 L
.37651 .51691 L
.37679 .52001 L
.37696 .52174 L
.37742 .52658 L
.37784 .53141 L
.37823 .53624 L
.37859 .54107 L
.37891 .5459 L
.37919 .55073 L
.37944 .55557 L
.37964 .5604 L
.37981 .56523 L
.37996 .57006 L
.38013 .57489 L
.37907 .57973 L
.3786 .58456 L
.37778 .58939 L
.37679 .59255 L
.37196 .59282 L
.36999 .58939 L
.36793 .58456 L
.36712 .58238 L
.36598 .57973 L
.36408 .57489 L
.36263 .57006 L
.36229 .56557 L
.3622 .56523 L
.36097 .5604 L
.35982 .55557 L
.35878 .55073 L
.35788 .5459 L
.35746 .54312 L
.35706 .54107 L
.35616 .53624 L
.35529 .53141 L
.35447 .52658 L
.35371 .52174 L
.35301 .51691 L
.35263 .51403 L
.35235 .51208 L
.35166 .50725 L
.35101 .50242 L
.35039 .49758 L
.3498 .49275 L
.34924 .48792 L
.34873 .48309 L
.34826 .47826 L
.34786 .47342 L
.3478 .47258 L
.34745 .46859 L
.34707 .46376 L
.34671 .45893 L
.3464 .4541 L
.34613 .44927 L
.3459 .44443 L
.34571 .4396 L
.34558 .43477 L
.3455 .42994 L
.34548 .42511 L
.34555 .42027 L
.34666 .41544 L
.34748 .41061 L
F
1 .31 0 r
.35263 .40708 m
.35495 .41061 L
.35712 .41544 L
.35746 .41631 L
.35941 .42027 L
.36032 .42511 L
.36168 .42994 L
.36229 .43227 L
.36298 .43477 L
.36424 .4396 L
.36539 .44443 L
.36638 .44927 L
.36712 .45392 L
.36716 .4541 L
.36812 .45893 L
.36903 .46376 L
.3699 .46859 L
.37071 .47342 L
.37145 .47826 L
.37196 .482 L
.37212 .48309 L
.37284 .48792 L
.37352 .49275 L
.37418 .49758 L
.3748 .50242 L
.37539 .50725 L
.37593 .51208 L
.37642 .51691 L
.37679 .52109 L
.37685 .52174 L
.37731 .52658 L
.37773 .53141 L
.37812 .53624 L
.37847 .54107 L
.37879 .5459 L
.37907 .55073 L
.37931 .55557 L
.37951 .5604 L
.37967 .56523 L
.37981 .57006 L
.37996 .57489 L
.37887 .57973 L
.37837 .58456 L
.37746 .58939 L
.37679 .59147 L
.37196 .59212 L
.37031 .58939 L
.36817 .58456 L
.36712 .58177 L
.36623 .57973 L
.36426 .57489 L
.36271 .57006 L
.36235 .56523 L
.36229 .56499 L
.36111 .5604 L
.35995 .55557 L
.35889 .55073 L
.35798 .5459 L
.35746 .54251 L
.35718 .54107 L
.35627 .53624 L
.3554 .53141 L
.35458 .52658 L
.35381 .52174 L
.3531 .51691 L
.35263 .5133 L
.35245 .51208 L
.35177 .50725 L
.35111 .50242 L
.35049 .49758 L
.3499 .49275 L
.34934 .48792 L
.34883 .48309 L
.34836 .47826 L
.34795 .47342 L
.3478 .47133 L
.34756 .46859 L
.34718 .46376 L
.34683 .45893 L
.34652 .4541 L
.34625 .44927 L
.34603 .44443 L
.34585 .4396 L
.34573 .43477 L
.34567 .42994 L
.34568 .42511 L
.3458 .42027 L
.3469 .41544 L
.3478 .41062 L
.3478 .41061 L
F
1 .306 0 r
.35263 .40781 m
.35459 .41061 L
.35687 .41544 L
.35746 .41692 L
.35915 .42027 L
.36015 .42511 L
.36152 .42994 L
.36229 .43285 L
.36282 .43477 L
.36409 .4396 L
.36526 .44443 L
.36628 .44927 L
.36707 .4541 L
.36712 .45452 L
.368 .45893 L
.36892 .46376 L
.36979 .46859 L
.37061 .47342 L
.37135 .47826 L
.37196 .48271 L
.37201 .48309 L
.37273 .48792 L
.37342 .49275 L
.37408 .49758 L
.3747 .50242 L
.37529 .50725 L
.37583 .51208 L
.37632 .51691 L
.37675 .52174 L
.37679 .52221 L
.3772 .52658 L
.37762 .53141 L
.378 .53624 L
.37836 .54107 L
.37867 .5459 L
.37895 .55073 L
.37918 .55557 L
.37937 .5604 L
.37953 .56523 L
.37966 .57006 L
.37978 .57489 L
.37867 .57973 L
.37813 .58456 L
.37711 .58939 L
.37679 .59035 L
.37196 .59142 L
.37067 .58939 L
.36841 .58456 L
.36712 .58117 L
.36648 .57973 L
.36445 .57489 L
.3628 .57006 L
.3625 .56523 L
.36229 .5644 L
.36126 .5604 L
.36008 .55557 L
.35901 .55073 L
.35807 .5459 L
.35746 .54189 L
.3573 .54107 L
.35639 .53624 L
.35551 .53141 L
.35468 .52658 L
.35391 .52174 L
.3532 .51691 L
.35263 .51257 L
.35256 .51208 L
.35187 .50725 L
.35122 .50242 L
.35059 .49758 L
.35 .49275 L
.34944 .48792 L
.34893 .48309 L
.34845 .47826 L
.34804 .47342 L
.3478 .47004 L
.34768 .46859 L
.3473 .46376 L
.34695 .45893 L
.34664 .4541 L
.34638 .44927 L
.34616 .44443 L
.34599 .4396 L
.34588 .43477 L
.34584 .42994 L
.34588 .42511 L
.34606 .42027 L
.34714 .41544 L
.3478 .41191 L
.34817 .41061 L
F
1 .301 0 r
.35263 .40855 m
.3542 .41061 L
.35661 .41544 L
.35746 .41754 L
.35887 .42027 L
.35997 .42511 L
.36136 .42994 L
.36229 .43344 L
.36266 .43477 L
.36395 .4396 L
.36514 .44443 L
.36618 .44927 L
.36699 .4541 L
.36712 .45513 L
.36788 .45893 L
.3688 .46376 L
.36968 .46859 L
.3705 .47342 L
.37125 .47826 L
.37192 .48309 L
.37196 .48341 L
.37262 .48792 L
.37331 .49275 L
.37397 .49758 L
.3746 .50242 L
.37519 .50725 L
.37573 .51208 L
.37623 .51691 L
.37666 .52174 L
.37679 .52335 L
.37709 .52658 L
.3775 .53141 L
.37789 .53624 L
.37824 .54107 L
.37855 .5459 L
.37882 .55073 L
.37905 .55557 L
.37923 .5604 L
.37938 .56523 L
.37949 .57006 L
.37958 .57489 L
.37847 .57973 L
.37787 .58456 L
.37679 .58921 L
.37672 .58939 L
.37196 .59071 L
.37106 .58939 L
.36867 .58456 L
.36712 .58056 L
.36675 .57973 L
.36466 .57489 L
.3629 .57006 L
.36265 .56523 L
.36229 .56382 L
.3614 .5604 L
.36022 .55557 L
.35913 .55073 L
.35817 .5459 L
.35746 .54128 L
.35742 .54107 L
.3565 .53624 L
.35562 .53141 L
.35479 .52658 L
.35401 .52174 L
.35329 .51691 L
.35266 .51208 L
.35263 .51184 L
.35198 .50725 L
.35132 .50242 L
.3507 .49758 L
.3501 .49275 L
.34955 .48792 L
.34903 .48309 L
.34855 .47826 L
.34813 .47342 L
.3478 .46868 L
.34779 .46859 L
.34741 .46376 L
.34707 .45893 L
.34677 .4541 L
.34651 .44927 L
.3463 .44443 L
.34614 .4396 L
.34604 .43477 L
.34601 .42994 L
.34608 .42511 L
.34634 .42027 L
.34739 .41544 L
.3478 .41326 L
.34859 .41061 L
F
1 .297 0 r
.35263 .40929 m
.35374 .41061 L
.35634 .41544 L
.35746 .41816 L
.35858 .42027 L
.35979 .42511 L
.36119 .42994 L
.36229 .43402 L
.3625 .43477 L
.3638 .4396 L
.36501 .44443 L
.36607 .44927 L
.36691 .4541 L
.36712 .45574 L
.36776 .45893 L
.36869 .46376 L
.36957 .46859 L
.3704 .47342 L
.37116 .47826 L
.37183 .48309 L
.37196 .48413 L
.37252 .48792 L
.37321 .49275 L
.37387 .49758 L
.37449 .50242 L
.37508 .50725 L
.37563 .51208 L
.37613 .51691 L
.37657 .52174 L
.37679 .52452 L
.37697 .52658 L
.37739 .53141 L
.37777 .53624 L
.37812 .54107 L
.37843 .5459 L
.37869 .55073 L
.37891 .55557 L
.37909 .5604 L
.37923 .56523 L
.37932 .57006 L
.37937 .57489 L
.37826 .57973 L
.37761 .58456 L
.37679 .58804 L
.37623 .58939 L
.37196 .59 L
.37151 .58939 L
.36895 .58456 L
.36712 .57995 L
.36702 .57973 L
.36487 .57489 L
.36302 .57006 L
.3628 .56523 L
.36229 .56323 L
.36155 .5604 L
.36035 .55557 L
.35924 .55073 L
.35827 .5459 L
.35751 .54107 L
.35746 .54066 L
.35662 .53624 L
.35574 .53141 L
.3549 .52658 L
.35411 .52174 L
.35339 .51691 L
.35275 .51208 L
.35263 .51109 L
.35209 .50725 L
.35143 .50242 L
.3508 .49758 L
.35021 .49275 L
.34965 .48792 L
.34913 .48309 L
.34865 .47826 L
.34823 .47342 L
.34788 .46859 L
.3478 .46728 L
.34753 .46376 L
.34719 .45893 L
.34689 .4541 L
.34664 .44927 L
.34644 .44443 L
.34629 .4396 L
.3462 .43477 L
.34619 .42994 L
.3463 .42511 L
.34663 .42027 L
.34765 .41544 L
.3478 .41467 L
.34907 .41061 L
F
1 .292 0 r
.35263 .41004 m
.35318 .41061 L
.35605 .41544 L
.35746 .41878 L
.35827 .42027 L
.3596 .42511 L
.36103 .42994 L
.36229 .43461 L
.36234 .43477 L
.36365 .4396 L
.36488 .44443 L
.36596 .44927 L
.36683 .4541 L
.36712 .45635 L
.36764 .45893 L
.36857 .46376 L
.36946 .46859 L
.37029 .47342 L
.37106 .47826 L
.37174 .48309 L
.37196 .48485 L
.37241 .48792 L
.3731 .49275 L
.37376 .49758 L
.37439 .50242 L
.37498 .50725 L
.37553 .51208 L
.37604 .51691 L
.37648 .52174 L
.37679 .52574 L
.37686 .52658 L
.37728 .53141 L
.37766 .53624 L
.378 .54107 L
.3783 .5459 L
.37856 .55073 L
.37878 .55557 L
.37895 .5604 L
.37907 .56523 L
.37914 .57006 L
.37914 .57489 L
.37804 .57973 L
.37733 .58456 L
.37679 .58682 L
.37196 .58928 L
.36923 .58456 L
.36727 .57973 L
.36712 .57934 L
.3651 .57489 L
.36315 .57006 L
.36295 .56523 L
.36229 .56264 L
.3617 .5604 L
.36049 .55557 L
.35937 .55073 L
.35838 .5459 L
.35759 .54107 L
.35746 .54004 L
.35674 .53624 L
.35585 .53141 L
.35501 .52658 L
.35422 .52174 L
.35348 .51691 L
.35284 .51208 L
.35263 .51035 L
.35219 .50725 L
.35154 .50242 L
.35091 .49758 L
.35031 .49275 L
.34975 .48792 L
.34923 .48309 L
.34875 .47826 L
.34832 .47342 L
.34796 .46859 L
.3478 .4658 L
.34764 .46376 L
.34731 .45893 L
.34702 .4541 L
.34677 .44927 L
.34657 .44443 L
.34643 .4396 L
.34636 .43477 L
.34638 .42994 L
.34653 .42511 L
.34694 .42027 L
.3478 .41615 L
.34794 .41544 L
.34968 .41061 L
F
1 .288 0 r
.35263 .41079 m
.35574 .41544 L
.35746 .4194 L
.35795 .42027 L
.35942 .42511 L
.36086 .42994 L
.36218 .43477 L
.36229 .4352 L
.3635 .4396 L
.36474 .44443 L
.36585 .44927 L
.36675 .4541 L
.36712 .45696 L
.36752 .45893 L
.36845 .46376 L
.36935 .46859 L
.37019 .47342 L
.37096 .47826 L
.37165 .48309 L
.37196 .48557 L
.3723 .48792 L
.37299 .49275 L
.37365 .49758 L
.37428 .50242 L
.37488 .50725 L
.37543 .51208 L
.37594 .51691 L
.37639 .52174 L
.37676 .52658 L
.37679 .527 L
.37716 .53141 L
.37754 .53624 L
.37788 .54107 L
.37818 .5459 L
.37843 .55073 L
.37864 .55557 L
.3788 .5604 L
.37891 .56523 L
.37895 .57006 L
.37891 .57489 L
.37782 .57973 L
.37703 .58456 L
.37679 .58556 L
.37196 .58855 L
.36954 .58456 L
.3675 .57973 L
.36712 .57873 L
.36534 .57489 L
.36329 .57006 L
.3631 .56523 L
.36229 .56205 L
.36185 .5604 L
.36063 .55557 L
.35949 .55073 L
.35848 .5459 L
.35767 .54107 L
.35746 .53942 L
.35685 .53624 L
.35596 .53141 L
.35512 .52658 L
.35432 .52174 L
.35358 .51691 L
.35293 .51208 L
.35263 .50959 L
.3523 .50725 L
.35164 .50242 L
.35102 .49758 L
.35042 .49275 L
.34986 .48792 L
.34933 .48309 L
.34885 .47826 L
.34842 .47342 L
.34805 .46859 L
.3478 .46423 L
.34776 .46376 L
.34743 .45893 L
.34715 .4541 L
.3469 .44927 L
.34672 .44443 L
.34659 .4396 L
.34653 .43477 L
.34657 .42994 L
.34677 .42511 L
.34727 .42027 L
.3478 .4177 L
.34825 .41544 L
F
1 .283 0 r
.35263 .41156 m
.3554 .41544 L
.35746 .42003 L
.3576 .42027 L
.35922 .42511 L
.36069 .42994 L
.36202 .43477 L
.36229 .43579 L
.36335 .4396 L
.3646 .44443 L
.36573 .44927 L
.36666 .4541 L
.36712 .45758 L
.36739 .45893 L
.36834 .46376 L
.36923 .46859 L
.37008 .47342 L
.37086 .47826 L
.37156 .48309 L
.37196 .4863 L
.37219 .48792 L
.37289 .49275 L
.37355 .49758 L
.37418 .50242 L
.37477 .50725 L
.37533 .51208 L
.37584 .51691 L
.3763 .52174 L
.37668 .52658 L
.37679 .5283 L
.37705 .53141 L
.37742 .53624 L
.37775 .54107 L
.37805 .5459 L
.3783 .55073 L
.3785 .55557 L
.37865 .5604 L
.37874 .56523 L
.37875 .57006 L
.37865 .57489 L
.37759 .57973 L
.37679 .58426 L
.37671 .58456 L
.37196 .58782 L
.36987 .58456 L
.36773 .57973 L
.36712 .57811 L
.36559 .57489 L
.36345 .57006 L
.36326 .56523 L
.36229 .56146 L
.36201 .5604 L
.36077 .55557 L
.35962 .55073 L
.35859 .5459 L
.35775 .54107 L
.35746 .53879 L
.35697 .53624 L
.35608 .53141 L
.35523 .52658 L
.35442 .52174 L
.35368 .51691 L
.35302 .51208 L
.35263 .50883 L
.35241 .50725 L
.35175 .50242 L
.35112 .49758 L
.35052 .49275 L
.34996 .48792 L
.34943 .48309 L
.34895 .47826 L
.34851 .47342 L
.34814 .46859 L
.34785 .46376 L
.3478 .46258 L
.34756 .45893 L
.34727 .4541 L
.34704 .44927 L
.34686 .44443 L
.34674 .4396 L
.3467 .43477 L
.34677 .42994 L
.34702 .42511 L
.34761 .42027 L
.3478 .41938 L
.34859 .41544 L
F
1 .279 0 r
.35263 .41232 m
.35503 .41544 L
.35731 .42027 L
.35746 .42066 L
.35903 .42511 L
.36052 .42994 L
.36187 .43477 L
.36229 .43639 L
.36319 .4396 L
.36446 .44443 L
.36562 .44927 L
.36657 .4541 L
.36712 .4582 L
.36727 .45893 L
.36822 .46376 L
.36912 .46859 L
.36997 .47342 L
.37076 .47826 L
.37146 .48309 L
.37196 .48704 L
.37209 .48792 L
.37278 .49275 L
.37344 .49758 L
.37407 .50242 L
.37467 .50725 L
.37523 .51208 L
.37574 .51691 L
.3762 .52174 L
.37659 .52658 L
.37679 .52966 L
.37693 .53141 L
.3773 .53624 L
.37763 .54107 L
.37792 .5459 L
.37816 .55073 L
.37836 .55557 L
.37849 .5604 L
.37856 .56523 L
.37855 .57006 L
.37838 .57489 L
.37735 .57973 L
.37679 .58291 L
.37633 .58456 L
.37196 .58709 L
.37023 .58456 L
.36798 .57973 L
.36712 .57749 L
.36586 .57489 L
.36363 .57006 L
.36341 .56523 L
.36229 .56087 L
.36217 .5604 L
.36091 .55557 L
.35975 .55073 L
.3587 .5459 L
.35784 .54107 L
.35746 .53816 L
.35709 .53624 L
.3562 .53141 L
.35534 .52658 L
.35453 .52174 L
.35378 .51691 L
.35311 .51208 L
.35263 .50806 L
.35252 .50725 L
.35186 .50242 L
.35123 .49758 L
.35063 .49275 L
.35007 .48792 L
.34954 .48309 L
.34905 .47826 L
.34861 .47342 L
.34823 .46859 L
.34793 .46376 L
.3478 .46079 L
.34768 .45893 L
.3474 .4541 L
.34717 .44927 L
.347 .44443 L
.3469 .4396 L
.34688 .43477 L
.34698 .42994 L
.34727 .42511 L
.3478 .42116 L
.34792 .42027 L
.34897 .41544 L
F
1 .274 0 r
.35263 .4131 m
.35462 .41544 L
.35704 .42027 L
.35746 .42129 L
.35882 .42511 L
.36034 .42994 L
.36171 .43477 L
.36229 .43698 L
.36303 .4396 L
.36432 .44443 L
.36549 .44927 L
.36648 .4541 L
.36712 .45882 L
.36715 .45893 L
.3681 .46376 L
.369 .46859 L
.36986 .47342 L
.37066 .47826 L
.37137 .48309 L
.37196 .48778 L
.37198 .48792 L
.37267 .49275 L
.37333 .49758 L
.37397 .50242 L
.37457 .50725 L
.37513 .51208 L
.37565 .51691 L
.37611 .52174 L
.37651 .52658 L
.37679 .53108 L
.37681 .53141 L
.37718 .53624 L
.37751 .54107 L
.37779 .5459 L
.37803 .55073 L
.37821 .55557 L
.37833 .5604 L
.37838 .56523 L
.37833 .57006 L
.3781 .57489 L
.3771 .57973 L
.37679 .58148 L
.37591 .58456 L
.37196 .58634 L
.37064 .58456 L
.36825 .57973 L
.36712 .57687 L
.36614 .57489 L
.36382 .57006 L
.36357 .56523 L
.36232 .5604 L
.36229 .56027 L
.36106 .55557 L
.35988 .55073 L
.35881 .5459 L
.35792 .54107 L
.35746 .53753 L
.35721 .53624 L
.35631 .53141 L
.35545 .52658 L
.35464 .52174 L
.35388 .51691 L
.3532 .51208 L
.35263 .50728 L
.35262 .50725 L
.35197 .50242 L
.35134 .49758 L
.35074 .49275 L
.35017 .48792 L
.34964 .48309 L
.34915 .47826 L
.34871 .47342 L
.34832 .46859 L
.348 .46376 L
.3478 .45893 L
.3478 .45882 L
.34753 .4541 L
.34731 .44927 L
.34715 .44443 L
.34706 .4396 L
.34706 .43477 L
.34719 .42994 L
.34754 .42511 L
.3478 .42311 L
.34818 .42027 L
.34939 .41544 L
F
1 .27 0 r
.35263 .41389 m
.35414 .41544 L
.35677 .42027 L
.35746 .42192 L
.35861 .42511 L
.36016 .42994 L
.36154 .43477 L
.36229 .43758 L
.36287 .4396 L
.36417 .44443 L
.36537 .44927 L
.36639 .4541 L
.36708 .45893 L
.36712 .45945 L
.36797 .46376 L
.36889 .46859 L
.36975 .47342 L
.37055 .47826 L
.37128 .48309 L
.37189 .48792 L
.37196 .48853 L
.37256 .49275 L
.37323 .49758 L
.37386 .50242 L
.37446 .50725 L
.37502 .51208 L
.37554 .51691 L
.37602 .52174 L
.37642 .52658 L
.37673 .53141 L
.37679 .53257 L
.37706 .53624 L
.37738 .54107 L
.37766 .5459 L
.37789 .55073 L
.37806 .55557 L
.37817 .5604 L
.3782 .56523 L
.37811 .57006 L
.37779 .57489 L
.37683 .57973 L
.37679 .57998 L
.3754 .58456 L
.37196 .58559 L
.3711 .58456 L
.36852 .57973 L
.36712 .57624 L
.36643 .57489 L
.36403 .57006 L
.36374 .56523 L
.36247 .5604 L
.36229 .55968 L
.36121 .55557 L
.36001 .55073 L
.35892 .5459 L
.35801 .54107 L
.35746 .5369 L
.35733 .53624 L
.35643 .53141 L
.35556 .52658 L
.35475 .52174 L
.35398 .51691 L
.35329 .51208 L
.35271 .50725 L
.35263 .5065 L
.35207 .50242 L
.35145 .49758 L
.35085 .49275 L
.35028 .48792 L
.34975 .48309 L
.34925 .47826 L
.34881 .47342 L
.34841 .46859 L
.34808 .46376 L
.34785 .45893 L
.3478 .45668 L
.34766 .4541 L
.34745 .44927 L
.3473 .44443 L
.34722 .4396 L
.34724 .43477 L
.34741 .42994 L
.3478 .42531 L
.34782 .42511 L
.34846 .42027 L
.34989 .41544 L
F
1 .265 0 r
.35263 .41468 m
.35354 .41544 L
.35647 .42027 L
.35746 .42256 L
.3584 .42511 L
.35997 .42994 L
.36138 .43477 L
.36229 .43818 L
.3627 .4396 L
.36402 .44443 L
.36524 .44927 L
.36629 .4541 L
.36702 .45893 L
.36712 .46007 L
.36785 .46376 L
.36877 .46859 L
.36964 .47342 L
.37045 .47826 L
.37118 .48309 L
.37181 .48792 L
.37196 .48929 L
.37245 .49275 L
.37312 .49758 L
.37375 .50242 L
.37435 .50725 L
.37492 .51208 L
.37544 .51691 L
.37592 .52174 L
.37633 .52658 L
.37666 .53141 L
.37679 .53416 L
.37694 .53624 L
.37725 .54107 L
.37752 .5459 L
.37775 .55073 L
.37791 .55557 L
.378 .5604 L
.37801 .56523 L
.37787 .57006 L
.37747 .57489 L
.37679 .5784 L
.37654 .57973 L
.37475 .58456 L
.37196 .58484 L
.37169 .58456 L
.36881 .57973 L
.36712 .57562 L
.36675 .57489 L
.36426 .57006 L
.3639 .56523 L
.36262 .5604 L
.36229 .55908 L
.36136 .55557 L
.36015 .55073 L
.35904 .5459 L
.3581 .54107 L
.35746 .53626 L
.35746 .53624 L
.35655 .53141 L
.35568 .52658 L
.35485 .52174 L
.35409 .51691 L
.35339 .51208 L
.35279 .50725 L
.35263 .50571 L
.35218 .50242 L
.35155 .49758 L
.35096 .49275 L
.35039 .48792 L
.34985 .48309 L
.34936 .47826 L
.34891 .47342 L
.3485 .46859 L
.34816 .46376 L
.34791 .45893 L
.3478 .4541 L
.3478 .45409 L
.34759 .44927 L
.34745 .44443 L
.34739 .4396 L
.34743 .43477 L
.34764 .42994 L
.3478 .42777 L
.34804 .42511 L
.34876 .42027 L
.35053 .41544 L
F
1 .261 0 r
.35263 .41548 m
.35616 .42027 L
.35746 .4232 L
.35817 .42511 L
.35978 .42994 L
.36121 .43477 L
.36229 .43878 L
.36253 .4396 L
.36387 .44443 L
.36511 .44927 L
.36619 .4541 L
.36697 .45893 L
.36712 .4607 L
.36773 .46376 L
.36865 .46859 L
.36953 .47342 L
.37034 .47826 L
.37109 .48309 L
.37172 .48792 L
.37196 .49005 L
.37234 .49275 L
.37301 .49758 L
.37364 .50242 L
.37425 .50725 L
.37481 .51208 L
.37534 .51691 L
.37582 .52174 L
.37624 .52658 L
.37658 .53141 L
.37679 .53588 L
.37681 .53624 L
.37712 .54107 L
.37739 .5459 L
.3776 .55073 L
.37775 .55557 L
.37783 .5604 L
.37781 .56523 L
.37763 .57006 L
.37713 .57489 L
.37679 .5767 L
.37622 .57973 L
.37196 .58407 L
.36913 .57973 L
.36712 .57499 L
.36707 .57489 L
.36451 .57006 L
.36407 .56523 L
.36278 .5604 L
.36229 .55847 L
.36152 .55557 L
.36029 .55073 L
.35916 .5459 L
.35819 .54107 L
.35751 .53624 L
.35746 .53562 L
.35667 .53141 L
.35579 .52658 L
.35497 .52174 L
.35419 .51691 L
.35348 .51208 L
.35287 .50725 L
.35263 .5049 L
.35229 .50242 L
.35166 .49758 L
.35106 .49275 L
.3505 .48792 L
.34996 .48309 L
.34947 .47826 L
.34901 .47342 L
.3486 .46859 L
.34825 .46376 L
.34797 .45893 L
.34793 .4541 L
.3478 .45112 L
.34774 .44927 L
.34761 .44443 L
.34756 .4396 L
.34763 .43477 L
.3478 .43067 L
.34786 .42994 L
.34827 .42511 L
.34907 .42027 L
F
1 .257 0 r
.35263 .41629 m
.35581 .42027 L
.35746 .42384 L
.35794 .42511 L
.35959 .42994 L
.36104 .43477 L
.36229 .43938 L
.36236 .4396 L
.36372 .44443 L
.36498 .44927 L
.36608 .4541 L
.36691 .45893 L
.36712 .46134 L
.3676 .46376 L
.36853 .46859 L
.36941 .47342 L
.37024 .47826 L
.37099 .48309 L
.37164 .48792 L
.37196 .49082 L
.37223 .49275 L
.3729 .49758 L
.37353 .50242 L
.37414 .50725 L
.37471 .51208 L
.37524 .51691 L
.37572 .52174 L
.37615 .52658 L
.37651 .53141 L
.37675 .53624 L
.37679 .5377 L
.37699 .54107 L
.37725 .5459 L
.37746 .55073 L
.3776 .55557 L
.37766 .5604 L
.37761 .56523 L
.37738 .57006 L
.37679 .57483 L
.37678 .57489 L
.37587 .57973 L
.37196 .5833 L
.36947 .57973 L
.36733 .57489 L
.36712 .57435 L
.36478 .57006 L
.36424 .56523 L
.36293 .5604 L
.36229 .55787 L
.36167 .55557 L
.36043 .55073 L
.35928 .5459 L
.35829 .54107 L
.35757 .53624 L
.35746 .53498 L
.35679 .53141 L
.35591 .52658 L
.35508 .52174 L
.35429 .51691 L
.35358 .51208 L
.35296 .50725 L
.35263 .50409 L
.3524 .50242 L
.35177 .49758 L
.35117 .49275 L
.35061 .48792 L
.35007 .48309 L
.34957 .47826 L
.34911 .47342 L
.3487 .46859 L
.34833 .46376 L
.34803 .45893 L
.34805 .4541 L
.34787 .44927 L
.3478 .44623 L
.34776 .44443 L
.34773 .4396 L
.3478 .43572 L
.34782 .43477 L
.34805 .42994 L
.34851 .42511 L
.34942 .42027 L
F
1 .252 0 r
.35263 .41712 m
.35543 .42027 L
.35746 .42449 L
.3577 .42511 L
.35939 .42994 L
.36086 .43477 L
.36219 .4396 L
.36229 .43999 L
.36356 .44443 L
.36484 .44927 L
.36598 .4541 L
.36684 .45893 L
.36712 .46197 L
.36748 .46376 L
.36841 .46859 L
.3693 .47342 L
.37013 .47826 L
.37089 .48309 L
.37155 .48792 L
.37196 .4916 L
.37212 .49275 L
.37279 .49758 L
.37342 .50242 L
.37403 .50725 L
.3746 .51208 L
.37513 .51691 L
.37562 .52174 L
.37606 .52658 L
.37643 .53141 L
.3767 .53624 L
.37679 .53974 L
.37686 .54107 L
.37712 .5459 L
.37731 .55073 L
.37744 .55557 L
.37748 .5604 L
.3774 .56523 L
.37711 .57006 L
.37679 .57284 L
.37653 .57489 L
.37549 .57973 L
.37196 .58252 L
.36984 .57973 L
.36758 .57489 L
.36712 .57372 L
.36507 .57006 L
.36441 .56523 L
.36309 .5604 L
.36229 .55726 L
.36183 .55557 L
.36057 .55073 L
.35941 .5459 L
.35839 .54107 L
.35763 .53624 L
.35746 .53433 L
.35691 .53141 L
.35603 .52658 L
.35519 .52174 L
.3544 .51691 L
.35368 .51208 L
.35305 .50725 L
.35263 .50327 L
.35251 .50242 L
.35189 .49758 L
.35129 .49275 L
.35072 .48792 L
.35018 .48309 L
.34968 .47826 L
.34922 .47342 L
.3488 .46859 L
.34842 .46376 L
.3481 .45893 L
.34818 .4541 L
.34801 .44927 L
.34791 .44443 L
.3479 .4396 L
.348 .43477 L
.34826 .42994 L
.34876 .42511 L
.3498 .42027 L
F
1 .248 0 r
.35263 .41795 m
.355 .42027 L
.35745 .42511 L
.35746 .42514 L
.35919 .42994 L
.36068 .43477 L
.36203 .4396 L
.36229 .4406 L
.36339 .44443 L
.3647 .44927 L
.36586 .4541 L
.36677 .45893 L
.36712 .46261 L
.36735 .46376 L
.36829 .46859 L
.36918 .47342 L
.37002 .47826 L
.37079 .48309 L
.37147 .48792 L
.37196 .49239 L
.37201 .49275 L
.37267 .49758 L
.37331 .50242 L
.37392 .50725 L
.37449 .51208 L
.37503 .51691 L
.37552 .52174 L
.37596 .52658 L
.37635 .53141 L
.37664 .53624 L
.37673 .54107 L
.37679 .54201 L
.37698 .5459 L
.37716 .55073 L
.37727 .55557 L
.37729 .5604 L
.37718 .56523 L
.37683 .57006 L
.37679 .57049 L
.37626 .57489 L
.37505 .57973 L
.37196 .58173 L
.37027 .57973 L
.36785 .57489 L
.36712 .57308 L
.36538 .57006 L
.36459 .56523 L
.36325 .5604 L
.36229 .55665 L
.362 .55557 L
.36072 .55073 L
.35954 .5459 L
.35849 .54107 L
.3577 .53624 L
.35746 .53368 L
.35703 .53141 L
.35615 .52658 L
.3553 .52174 L
.35451 .51691 L
.35378 .51208 L
.35313 .50725 L
.35263 .50243 L
.35263 .50242 L
.352 .49758 L
.3514 .49275 L
.35083 .48792 L
.35029 .48309 L
.34979 .47826 L
.34932 .47342 L
.3489 .46859 L
.34851 .46376 L
.34817 .45893 L
.34832 .4541 L
.34815 .44927 L
.34806 .44443 L
.34806 .4396 L
.34818 .43477 L
.34847 .42994 L
.34903 .42511 L
.35023 .42027 L
F
1 .243 0 r
.35263 .4188 m
.35447 .42027 L
.35716 .42511 L
.35746 .4258 L
.35897 .42994 L
.3605 .43477 L
.36186 .4396 L
.36229 .44121 L
.36322 .44443 L
.36455 .44927 L
.36575 .4541 L
.3667 .45893 L
.36712 .46326 L
.36722 .46376 L
.36817 .46859 L
.36906 .47342 L
.36991 .47826 L
.37069 .48309 L
.37138 .48792 L
.37192 .49275 L
.37196 .49319 L
.37256 .49758 L
.3732 .50242 L
.37381 .50725 L
.37438 .51208 L
.37492 .51691 L
.37542 .52174 L
.37587 .52658 L
.37626 .53141 L
.37659 .53624 L
.37661 .54107 L
.37679 .54478 L
.37683 .5459 L
.37701 .55073 L
.37711 .55557 L
.3771 .5604 L
.37695 .56523 L
.37679 .56787 L
.37661 .57006 L
.37598 .57489 L
.37451 .57973 L
.37196 .58093 L
.37078 .57973 L
.36813 .57489 L
.36712 .57243 L
.36571 .57006 L
.36477 .56523 L
.36342 .5604 L
.36229 .55604 L
.36216 .55557 L
.36087 .55073 L
.35967 .5459 L
.3586 .54107 L
.35776 .53624 L
.35746 .53302 L
.35715 .53141 L
.35627 .52658 L
.35542 .52174 L
.35462 .51691 L
.35388 .51208 L
.35322 .50725 L
.3527 .50242 L
.35263 .50159 L
.35211 .49758 L
.35151 .49275 L
.35094 .48792 L
.3504 .48309 L
.3499 .47826 L
.34943 .47342 L
.349 .46859 L
.34861 .46376 L
.34824 .45893 L
.34845 .4541 L
.34829 .44927 L
.34821 .44443 L
.34822 .4396 L
.34836 .43477 L
.34868 .42994 L
.34931 .42511 L
.35076 .42027 L
F
1 .239 0 r
.35263 .41965 m
.35376 .42027 L
.35686 .42511 L
.35746 .42646 L
.35876 .42994 L
.36031 .43477 L
.3617 .4396 L
.36229 .44183 L
.36305 .44443 L
.3644 .44927 L
.36563 .4541 L
.36663 .45893 L
.3671 .46376 L
.36712 .46391 L
.36804 .46859 L
.36894 .47342 L
.3698 .47826 L
.37059 .48309 L
.37129 .48792 L
.37185 .49275 L
.37196 .494 L
.37245 .49758 L
.37309 .50242 L
.37369 .50725 L
.37427 .51208 L
.37481 .51691 L
.37531 .52174 L
.37577 .52658 L
.37618 .53141 L
.37653 .53624 L
.37648 .54107 L
.3767 .5459 L
.37679 .54789 L
.37685 .55073 L
.37694 .55557 L
.37691 .5604 L
.37679 .56406 L
.37673 .56523 L
.37638 .57006 L
.37568 .57489 L
.37377 .57973 L
.37196 .58012 L
.37145 .57973 L
.36843 .57489 L
.36712 .57179 L
.36607 .57006 L
.36496 .56523 L
.36358 .5604 L
.36233 .55557 L
.36229 .55543 L
.36103 .55073 L
.3598 .5459 L
.35871 .54107 L
.35783 .53624 L
.35746 .53236 L
.35728 .53141 L
.35639 .52658 L
.35553 .52174 L
.35473 .51691 L
.35398 .51208 L
.35331 .50725 L
.35277 .50242 L
.35263 .50073 L
.35222 .49758 L
.35162 .49275 L
.35105 .48792 L
.35052 .48309 L
.35001 .47826 L
.34954 .47342 L
.34911 .46859 L
.3487 .46376 L
.34832 .45893 L
.34858 .4541 L
.34843 .44927 L
.34836 .44443 L
.34839 .4396 L
.34855 .43477 L
.34891 .42994 L
.34961 .42511 L
.35147 .42027 L
F
1 .234 0 r
.35263 .42053 m
.35653 .42511 L
.35746 .42712 L
.35853 .42994 L
.36012 .43477 L
.36153 .4396 L
.36229 .44245 L
.36288 .44443 L
.36425 .44927 L
.3655 .4541 L
.36655 .45893 L
.36697 .46376 L
.36712 .46456 L
.36792 .46859 L
.36882 .47342 L
.36969 .47826 L
.37049 .48309 L
.3712 .48792 L
.37177 .49275 L
.37196 .49482 L
.37233 .49758 L
.37297 .50242 L
.37358 .50725 L
.37416 .51208 L
.3747 .51691 L
.3752 .52174 L
.37567 .52658 L
.37609 .53141 L
.37646 .53624 L
.37635 .54107 L
.37656 .5459 L
.3767 .55073 L
.37677 .55557 L
.37672 .5604 L
.37654 .56523 L
.37615 .57006 L
.37535 .57489 L
.37196 .57931 L
.36876 .57489 L
.36712 .57113 L
.36645 .57006 L
.36515 .56523 L
.36375 .5604 L
.36248 .55557 L
.36229 .55481 L
.36119 .55073 L
.35994 .5459 L
.35882 .54107 L
.35791 .53624 L
.35746 .5317 L
.35741 .53141 L
.35651 .52658 L
.35565 .52174 L
.35484 .51691 L
.35408 .51208 L
.3534 .50725 L
.35285 .50242 L
.35263 .49986 L
.35234 .49758 L
.35174 .49275 L
.35117 .48792 L
.35063 .48309 L
.35013 .47826 L
.34966 .47342 L
.34922 .46859 L
.3488 .46376 L
.3484 .45893 L
.34872 .4541 L
.34858 .44927 L
.34852 .44443 L
.34856 .4396 L
.34875 .43477 L
.34914 .42994 L
.34993 .42511 L
F
1 .23 0 r
.35263 .42141 m
.35617 .42511 L
.35746 .42779 L
.35829 .42994 L
.35992 .43477 L
.36135 .4396 L
.36229 .44307 L
.3627 .44443 L
.36409 .44927 L
.36537 .4541 L
.36646 .45893 L
.36685 .46376 L
.36712 .46521 L
.36779 .46859 L
.3687 .47342 L
.36957 .47826 L
.37038 .48309 L
.37111 .48792 L
.3717 .49275 L
.37196 .49565 L
.37222 .49758 L
.37286 .50242 L
.37347 .50725 L
.37404 .51208 L
.37459 .51691 L
.3751 .52174 L
.37557 .52658 L
.376 .53141 L
.37639 .53624 L
.37622 .54107 L
.37642 .5459 L
.37656 .55073 L
.37661 .55557 L
.37655 .5604 L
.37634 .56523 L
.3759 .57006 L
.37499 .57489 L
.37196 .57848 L
.36911 .57489 L
.36712 .57048 L
.36686 .57006 L
.36535 .56523 L
.36393 .5604 L
.36264 .55557 L
.36229 .55419 L
.36135 .55073 L
.36009 .5459 L
.35894 .54107 L
.35799 .53624 L
.35747 .53141 L
.35746 .53103 L
.35663 .52658 L
.35577 .52174 L
.35495 .51691 L
.35419 .51208 L
.3535 .50725 L
.35292 .50242 L
.35263 .49897 L
.35245 .49758 L
.35185 .49275 L
.35128 .48792 L
.35075 .48309 L
.35024 .47826 L
.34977 .47342 L
.34933 .46859 L
.34891 .46376 L
.34849 .45893 L
.34886 .4541 L
.34872 .44927 L
.34868 .44443 L
.34874 .4396 L
.34895 .43477 L
.34938 .42994 L
.35028 .42511 L
F
1 .225 0 r
.35263 .42231 m
.35576 .42511 L
.35746 .42846 L
.35804 .42994 L
.35972 .43477 L
.36118 .4396 L
.36229 .44369 L
.36251 .44443 L
.36392 .44927 L
.36524 .4541 L
.36637 .45893 L
.36672 .46376 L
.36712 .46587 L
.36766 .46859 L
.36858 .47342 L
.36945 .47826 L
.37027 .48309 L
.37101 .48792 L
.37163 .49275 L
.37196 .49649 L
.3721 .49758 L
.37274 .50242 L
.37335 .50725 L
.37393 .51208 L
.37447 .51691 L
.37498 .52174 L
.37546 .52658 L
.37591 .53141 L
.37632 .53624 L
.37609 .54107 L
.37629 .5459 L
.37641 .55073 L
.37645 .55557 L
.37637 .5604 L
.37613 .56523 L
.37564 .57006 L
.37459 .57489 L
.37196 .57763 L
.36952 .57489 L
.36722 .57006 L
.36712 .56982 L
.36555 .56523 L
.3641 .5604 L
.3628 .55557 L
.36229 .55356 L
.36151 .55073 L
.36023 .5459 L
.35906 .54107 L
.35807 .53624 L
.35748 .53141 L
.35746 .53036 L
.35676 .52658 L
.35589 .52174 L
.35506 .51691 L
.35429 .51208 L
.35359 .50725 L
.353 .50242 L
.35263 .49807 L
.35257 .49758 L
.35197 .49275 L
.3514 .48792 L
.35087 .48309 L
.35036 .47826 L
.34989 .47342 L
.34944 .46859 L
.34901 .46376 L
.34858 .45893 L
.34899 .4541 L
.34887 .44927 L
.34884 .44443 L
.34891 .4396 L
.34915 .43477 L
.34964 .42994 L
.35068 .42511 L
F
1 .221 0 r
.35263 .42323 m
.35529 .42511 L
.35746 .42914 L
.35778 .42994 L
.35951 .43477 L
.36099 .4396 L
.36229 .44432 L
.36233 .44443 L
.36375 .44927 L
.3651 .4541 L
.36627 .45893 L
.36659 .46376 L
.36712 .46654 L
.36753 .46859 L
.36845 .47342 L
.36934 .47826 L
.37016 .48309 L
.37091 .48792 L
.37155 .49275 L
.37196 .49735 L
.37199 .49758 L
.37263 .50242 L
.37323 .50725 L
.37381 .51208 L
.37436 .51691 L
.37487 .52174 L
.37535 .52658 L
.37581 .53141 L
.37624 .53624 L
.37596 .54107 L
.37615 .5459 L
.37626 .55073 L
.37628 .55557 L
.37619 .5604 L
.37592 .56523 L
.37537 .57006 L
.37412 .57489 L
.37196 .57678 L
.36998 .57489 L
.3675 .57006 L
.36712 .56915 L
.36576 .56523 L
.36428 .5604 L
.36296 .55557 L
.36229 .55293 L
.36168 .55073 L
.36038 .5459 L
.35918 .54107 L
.35815 .53624 L
.35751 .53141 L
.35746 .52968 L
.35688 .52658 L
.35601 .52174 L
.35518 .51691 L
.3544 .51208 L
.35369 .50725 L
.35308 .50242 L
.35265 .49758 L
.35263 .49716 L
.35209 .49275 L
.35152 .48792 L
.35098 .48309 L
.35048 .47826 L
.35 .47342 L
.34956 .46859 L
.34912 .46376 L
.34868 .45893 L
.34913 .4541 L
.34902 .44927 L
.349 .44443 L
.3491 .4396 L
.34936 .43477 L
.34991 .42994 L
.35114 .42511 L
F
1 .216 0 r
.35263 .42416 m
.35467 .42511 L
.35746 .42983 L
.35751 .42994 L
.3593 .43477 L
.36081 .4396 L
.36215 .44443 L
.36229 .44496 L
.36358 .44927 L
.36495 .4541 L
.36617 .45893 L
.36646 .46376 L
.36712 .46721 L
.3674 .46859 L
.36833 .47342 L
.36921 .47826 L
.37005 .48309 L
.37082 .48792 L
.37147 .49275 L
.37192 .49758 L
.37196 .49822 L
.37251 .50242 L
.37312 .50725 L
.37369 .51208 L
.37424 .51691 L
.37476 .52174 L
.37524 .52658 L
.37571 .53141 L
.37616 .53624 L
.37582 .54107 L
.376 .5459 L
.37611 .55073 L
.37612 .55557 L
.376 .5604 L
.3757 .56523 L
.37508 .57006 L
.37352 .57489 L
.37196 .57591 L
.37058 .57489 L
.36779 .57006 L
.36712 .56848 L
.36597 .56523 L
.36447 .5604 L
.36313 .55557 L
.36229 .5523 L
.36185 .55073 L
.36054 .5459 L
.35931 .54107 L
.35824 .53624 L
.35753 .53141 L
.35746 .529 L
.35701 .52658 L
.35613 .52174 L
.3553 .51691 L
.35451 .51208 L
.35379 .50725 L
.35316 .50242 L
.35271 .49758 L
.35263 .49622 L
.3522 .49275 L
.35164 .48792 L
.3511 .48309 L
.3506 .47826 L
.35012 .47342 L
.34967 .46859 L
.34924 .46376 L
.34879 .45893 L
.34927 .4541 L
.34917 .44927 L
.34916 .44443 L
.34928 .4396 L
.34958 .43477 L
.3502 .42994 L
.35172 .42511 L
F
1 .212 0 r
.35263 .42512 m
.35719 .42994 L
.35746 .43051 L
.35907 .43477 L
.36062 .4396 L
.36198 .44443 L
.36229 .44559 L
.3634 .44927 L
.3648 .4541 L
.36606 .45893 L
.36633 .46376 L
.36712 .46788 L
.36726 .46859 L
.3682 .47342 L
.36909 .47826 L
.36994 .48309 L
.37072 .48792 L
.37139 .49275 L
.37187 .49758 L
.37196 .4991 L
.37239 .50242 L
.373 .50725 L
.37358 .51208 L
.37412 .51691 L
.37464 .52174 L
.37513 .52658 L
.3756 .53141 L
.37607 .53624 L
.37568 .54107 L
.37586 .5459 L
.37595 .55073 L
.37595 .55557 L
.37581 .5604 L
.37547 .56523 L
.37477 .57006 L
.37249 .57489 L
.37196 .57502 L
.37158 .57489 L
.3681 .57006 L
.36712 .56781 L
.36619 .56523 L
.36466 .5604 L
.3633 .55557 L
.36229 .55166 L
.36203 .55073 L
.3607 .5459 L
.35945 .54107 L
.35834 .53624 L
.35756 .53141 L
.35746 .52831 L
.35714 .52658 L
.35626 .52174 L
.35542 .51691 L
.35462 .51208 L
.35389 .50725 L
.35324 .50242 L
.35276 .49758 L
.35263 .49527 L
.35232 .49275 L
.35176 .48792 L
.35122 .48309 L
.35072 .47826 L
.35025 .47342 L
.3498 .46859 L
.34936 .46376 L
.3489 .45893 L
.34942 .4541 L
.34933 .44927 L
.34933 .44443 L
.34947 .4396 L
.34981 .43477 L
.3505 .42994 L
F
1 .208 0 r
.35263 .42609 m
.35685 .42994 L
.35746 .43121 L
.35884 .43477 L
.36042 .4396 L
.36181 .44443 L
.36229 .44623 L
.36322 .44927 L
.36464 .4541 L
.36595 .45893 L
.3662 .46376 L
.36712 .46856 L
.36713 .46859 L
.36807 .47342 L
.36897 .47826 L
.36982 .48309 L
.37061 .48792 L
.3713 .49275 L
.37182 .49758 L
.37196 .5 L
.37227 .50242 L
.37288 .50725 L
.37346 .51208 L
.374 .51691 L
.37452 .52174 L
.37502 .52658 L
.37549 .53141 L
.37598 .53624 L
.37555 .54107 L
.37571 .5459 L
.3758 .55073 L
.37577 .55557 L
.37561 .5604 L
.37523 .56523 L
.37443 .57006 L
.37196 .57413 L
.36845 .57006 L
.36712 .56713 L
.36642 .56523 L
.36485 .5604 L
.36347 .55557 L
.36229 .55102 L
.36221 .55073 L
.36086 .5459 L
.35959 .54107 L
.35844 .53624 L
.3576 .53141 L
.35746 .52761 L
.35727 .52658 L
.35638 .52174 L
.35554 .51691 L
.35473 .51208 L
.35399 .50725 L
.35333 .50242 L
.35282 .49758 L
.35263 .49429 L
.35244 .49275 L
.35188 .48792 L
.35135 .48309 L
.35085 .47826 L
.35037 .47342 L
.34992 .46859 L
.34948 .46376 L
.34901 .45893 L
.34956 .4541 L
.34948 .44927 L
.3495 .44443 L
.34967 .4396 L
.35005 .43477 L
.35084 .42994 L
F
1 .203 0 r
.35263 .42709 m
.35645 .42994 L
.35746 .43191 L
.35859 .43477 L
.36022 .4396 L
.36163 .44443 L
.36229 .44688 L
.36303 .44927 L
.36448 .4541 L
.36582 .45893 L
.36607 .46376 L
.367 .46859 L
.36712 .46925 L
.36794 .47342 L
.36884 .47826 L
.3697 .48309 L
.37051 .48792 L
.37122 .49275 L
.37176 .49758 L
.37196 .50092 L
.37215 .50242 L
.37276 .50725 L
.37333 .51208 L
.37388 .51691 L
.3744 .52174 L
.3749 .52658 L
.37538 .53141 L
.37588 .53624 L
.37541 .54107 L
.37557 .5459 L
.37564 .55073 L
.3756 .55557 L
.37541 .5604 L
.37498 .56523 L
.37405 .57006 L
.37196 .57321 L
.36884 .57006 L
.36712 .56644 L
.36667 .56523 L
.36505 .5604 L
.36365 .55557 L
.36238 .55073 L
.36229 .55038 L
.36103 .5459 L
.35973 .54107 L
.35855 .53624 L
.35764 .53141 L
.35746 .52691 L
.3574 .52658 L
.35651 .52174 L
.35566 .51691 L
.35485 .51208 L
.35409 .50725 L
.35342 .50242 L
.35288 .49758 L
.35263 .49329 L
.35256 .49275 L
.352 .48792 L
.35147 .48309 L
.35097 .47826 L
.3505 .47342 L
.35005 .46859 L
.34961 .46376 L
.34914 .45893 L
.34971 .4541 L
.34964 .44927 L
.34968 .44443 L
.34987 .4396 L
.3503 .43477 L
.35121 .42994 L
F
1 .199 0 r
.35263 .42812 m
.356 .42994 L
.35746 .43262 L
.35834 .43477 L
.36001 .4396 L
.36145 .44443 L
.36229 .44752 L
.36283 .44927 L
.36431 .4541 L
.3657 .45893 L
.36594 .46376 L
.36687 .46859 L
.36712 .46994 L
.3678 .47342 L
.36872 .47826 L
.36959 .48309 L
.3704 .48792 L
.37113 .49275 L
.37171 .49758 L
.37196 .50185 L
.37203 .50242 L
.37263 .50725 L
.37321 .51208 L
.37376 .51691 L
.37428 .52174 L
.37477 .52658 L
.37526 .53141 L
.37578 .53624 L
.37527 .54107 L
.37542 .5459 L
.37547 .55073 L
.37542 .55557 L
.3752 .5604 L
.37471 .56523 L
.37362 .57006 L
.37196 .57227 L
.36929 .57006 L
.36712 .56575 L
.36692 .56523 L
.36526 .5604 L
.36383 .55557 L
.36255 .55073 L
.36229 .54973 L
.3612 .5459 L
.35988 .54107 L
.35866 .53624 L
.35768 .53141 L
.35753 .52658 L
.35746 .5262 L
.35664 .52174 L
.35578 .51691 L
.35497 .51208 L
.3542 .50725 L
.35351 .50242 L
.35294 .49758 L
.35263 .49275 L
.35263 .49227 L
.35213 .48792 L
.3516 .48309 L
.3511 .47826 L
.35063 .47342 L
.35018 .46859 L
.34974 .46376 L
.34927 .45893 L
.34986 .4541 L
.3498 .44927 L
.34986 .44443 L
.35008 .4396 L
.35056 .43477 L
.35164 .42994 L
F
1 .194 0 r
.35263 .42917 m
.35543 .42994 L
.35746 .43333 L
.35806 .43477 L
.35979 .4396 L
.36126 .44443 L
.36229 .44818 L
.36263 .44927 L
.36413 .4541 L
.36556 .45893 L
.3658 .46376 L
.36674 .46859 L
.36712 .47064 L
.36767 .47342 L
.36859 .47826 L
.36946 .48309 L
.37029 .48792 L
.37104 .49275 L
.37165 .49758 L
.37191 .50242 L
.37196 .50281 L
.37251 .50725 L
.37308 .51208 L
.37363 .51691 L
.37415 .52174 L
.37465 .52658 L
.37514 .53141 L
.37567 .53624 L
.37513 .54107 L
.37526 .5459 L
.37531 .55073 L
.37523 .55557 L
.37498 .5604 L
.37443 .56523 L
.37308 .57006 L
.37196 .57132 L
.36984 .57006 L
.3672 .56523 L
.36712 .56505 L
.36548 .5604 L
.36402 .55557 L
.36271 .55073 L
.36229 .54908 L
.36138 .5459 L
.36003 .54107 L
.35878 .53624 L
.35774 .53141 L
.35765 .52658 L
.35746 .52549 L
.35677 .52174 L
.35591 .51691 L
.35509 .51208 L
.35431 .50725 L
.3536 .50242 L
.35301 .49758 L
.35265 .49275 L
.35263 .49122 L
.35225 .48792 L
.35173 .48309 L
.35123 .47826 L
.35076 .47342 L
.35032 .46859 L
.34988 .46376 L
.3494 .45893 L
.35001 .4541 L
.34997 .44927 L
.35004 .44443 L
.3503 .4396 L
.35084 .43477 L
.35215 .42994 L
F
1 .19 0 r
.35263 .43025 m
.35746 .43406 L
.35777 .43477 L
.35957 .4396 L
.36107 .44443 L
.36229 .44884 L
.36243 .44927 L
.36395 .4541 L
.36541 .45893 L
.36566 .46376 L
.36661 .46859 L
.36712 .47134 L
.36753 .47342 L
.36845 .47826 L
.36934 .48309 L
.37018 .48792 L
.37094 .49275 L
.37158 .49758 L
.37179 .50242 L
.37196 .50378 L
.37239 .50725 L
.37296 .51208 L
.3735 .51691 L
.37402 .52174 L
.37452 .52658 L
.37502 .53141 L
.37555 .53624 L
.37498 .54107 L
.37511 .5459 L
.37514 .55073 L
.37504 .55557 L
.37475 .5604 L
.37413 .56523 L
.37231 .57006 L
.37196 .57034 L
.3707 .57006 L
.36751 .56523 L
.36712 .56435 L
.3657 .5604 L
.36421 .55557 L
.36288 .55073 L
.36229 .54842 L
.36156 .5459 L
.3602 .54107 L
.3589 .53624 L
.3578 .53141 L
.35778 .52658 L
.35746 .52476 L
.3569 .52174 L
.35604 .51691 L
.35521 .51208 L
.35442 .50725 L
.3537 .50242 L
.35308 .49758 L
.35266 .49275 L
.35263 .49014 L
.35238 .48792 L
.35185 .48309 L
.35136 .47826 L
.3509 .47342 L
.35045 .46859 L
.35002 .46376 L
.34955 .45893 L
.35017 .4541 L
.35014 .44927 L
.35023 .44443 L
.35052 .4396 L
.35113 .43477 L
F
1 .185 0 r
.35263 .43137 m
.35745 .43477 L
.35746 .43479 L
.35934 .4396 L
.36088 .44443 L
.36223 .44927 L
.36229 .4495 L
.36376 .4541 L
.36526 .45893 L
.36552 .46376 L
.36648 .46859 L
.36712 .47205 L
.36739 .47342 L
.36832 .47826 L
.36921 .48309 L
.37006 .48792 L
.37084 .49275 L
.37152 .49758 L
.37167 .50242 L
.37196 .50478 L
.37226 .50725 L
.37283 .51208 L
.37337 .51691 L
.37389 .52174 L
.37439 .52658 L
.37489 .53141 L
.37542 .53624 L
.37483 .54107 L
.37495 .5459 L
.37497 .55073 L
.37484 .55557 L
.37452 .5604 L
.3738 .56523 L
.37196 .56934 L
.36785 .56523 L
.36712 .56364 L
.36593 .5604 L
.3644 .55557 L
.36306 .55073 L
.36229 .54775 L
.36175 .5459 L
.36036 .54107 L
.35904 .53624 L
.35787 .53141 L
.35791 .52658 L
.35746 .52404 L
.35704 .52174 L
.35617 .51691 L
.35533 .51208 L
.35454 .50725 L
.3538 .50242 L
.35315 .49758 L
.35268 .49275 L
.35263 .48902 L
.35251 .48792 L
.35199 .48309 L
.3515 .47826 L
.35103 .47342 L
.3506 .46859 L
.35017 .46376 L
.34971 .45893 L
.35032 .4541 L
.35031 .44927 L
.35043 .44443 L
.35075 .4396 L
.35146 .43477 L
F
1 .181 0 r
.35263 .43252 m
.35707 .43477 L
.35746 .43552 L
.35909 .4396 L
.36067 .44443 L
.36205 .44927 L
.36229 .45017 L
.36356 .4541 L
.3651 .45893 L
.36538 .46376 L
.36634 .46859 L
.36712 .47277 L
.36725 .47342 L
.36818 .47826 L
.36908 .48309 L
.36994 .48792 L
.37074 .49275 L
.37144 .49758 L
.37155 .50242 L
.37196 .50581 L
.37213 .50725 L
.3727 .51208 L
.37324 .51691 L
.37376 .52174 L
.37425 .52658 L
.37475 .53141 L
.37529 .53624 L
.37469 .54107 L
.37479 .5459 L
.37479 .55073 L
.37464 .55557 L
.37427 .5604 L
.37344 .56523 L
.37196 .56831 L
.36824 .56523 L
.36712 .56292 L
.36617 .5604 L
.3646 .55557 L
.36324 .55073 L
.36229 .54709 L
.36194 .5459 L
.36053 .54107 L
.35918 .53624 L
.35795 .53141 L
.35804 .52658 L
.35746 .5233 L
.35717 .52174 L
.3563 .51691 L
.35546 .51208 L
.35466 .50725 L
.3539 .50242 L
.35323 .49758 L
.35271 .49275 L
.35264 .48792 L
.35263 .48786 L
.35212 .48309 L
.35163 .47826 L
.35117 .47342 L
.35074 .46859 L
.35032 .46376 L
.34987 .45893 L
.35048 .4541 L
.35048 .44927 L
.35063 .44443 L
.351 .4396 L
.35182 .43477 L
F
1 .176 0 r
.35263 .43372 m
.35662 .43477 L
.35746 .43627 L
.35883 .4396 L
.36046 .44443 L
.36187 .44927 L
.36229 .45084 L
.36336 .4541 L
.36493 .45893 L
.36524 .46376 L
.36621 .46859 L
.36711 .47342 L
.36712 .4735 L
.36805 .47826 L
.36895 .48309 L
.36982 .48792 L
.37064 .49275 L
.37137 .49758 L
.37143 .50242 L
.37196 .50687 L
.372 .50725 L
.37257 .51208 L
.37311 .51691 L
.37362 .52174 L
.37411 .52658 L
.37461 .53141 L
.37515 .53624 L
.37453 .54107 L
.37463 .5459 L
.37461 .55073 L
.37443 .55557 L
.37401 .5604 L
.37302 .56523 L
.37196 .56726 L
.36868 .56523 L
.36712 .56219 L
.36643 .5604 L
.36481 .55557 L
.36342 .55073 L
.36229 .54641 L
.36214 .5459 L
.36071 .54107 L
.35932 .53624 L
.35803 .53141 L
.35817 .52658 L
.35746 .52255 L
.35731 .52174 L
.35643 .51691 L
.35559 .51208 L
.35478 .50725 L
.35401 .50242 L
.35331 .49758 L
.35274 .49275 L
.35276 .48792 L
.35263 .48667 L
.35225 .48309 L
.35177 .47826 L
.35132 .47342 L
.35089 .46859 L
.35048 .46376 L
.35004 .45893 L
.35064 .4541 L
.35066 .44927 L
.35084 .44443 L
.35126 .4396 L
.35223 .43477 L
F
1 .172 0 r
.35263 .43497 m
.35746 .43702 L
.35856 .4396 L
.36024 .44443 L
.36168 .44927 L
.36229 .45152 L
.36315 .4541 L
.36475 .45893 L
.3651 .46376 L
.36607 .46859 L
.36698 .47342 L
.36712 .47423 L
.36791 .47826 L
.36882 .48309 L
.36969 .48792 L
.37053 .49275 L
.37129 .49758 L
.37131 .50242 L
.37188 .50725 L
.37196 .50796 L
.37244 .51208 L
.37297 .51691 L
.37348 .52174 L
.37397 .52658 L
.37446 .53141 L
.375 .53624 L
.37438 .54107 L
.37446 .5459 L
.37442 .55073 L
.37422 .55557 L
.37373 .5604 L
.37251 .56523 L
.37196 .56617 L
.36924 .56523 L
.36712 .56146 L
.3667 .5604 L
.36503 .55557 L
.36361 .55073 L
.36234 .5459 L
.36229 .54573 L
.3609 .54107 L
.35948 .53624 L
.35813 .53141 L
.3583 .52658 L
.35746 .52179 L
.35745 .52174 L
.35657 .51691 L
.35572 .51208 L
.3549 .50725 L
.35412 .50242 L
.35339 .49758 L
.35277 .49275 L
.35288 .48792 L
.35263 .48542 L
.35239 .48309 L
.35191 .47826 L
.35146 .47342 L
.35105 .46859 L
.35064 .46376 L
.35022 .45893 L
.35081 .4541 L
.35085 .44927 L
.35105 .44443 L
.35153 .4396 L
F
1 .167 0 r
.35263 .43627 m
.35746 .43779 L
.35826 .4396 L
.36002 .44443 L
.36148 .44927 L
.36229 .45221 L
.36293 .4541 L
.36456 .45893 L
.36495 .46376 L
.36593 .46859 L
.36684 .47342 L
.36712 .47497 L
.36776 .47826 L
.36868 .48309 L
.36957 .48792 L
.37041 .49275 L
.3712 .49758 L
.37118 .50242 L
.37175 .50725 L
.37196 .50908 L
.3723 .51208 L
.37283 .51691 L
.37334 .52174 L
.37382 .52658 L
.37431 .53141 L
.37484 .53624 L
.37423 .54107 L
.37429 .5459 L
.37423 .55073 L
.37399 .55557 L
.37343 .5604 L
.37196 .56504 L
.36712 .56071 L
.36699 .5604 L
.36525 .55557 L
.3638 .55073 L
.36251 .5459 L
.36229 .54504 L
.36109 .54107 L
.35964 .53624 L
.35824 .53141 L
.35844 .52658 L
.35758 .52174 L
.35746 .52103 L
.35671 .51691 L
.35585 .51208 L
.35503 .50725 L
.35423 .50242 L
.35348 .49758 L
.35282 .49275 L
.35301 .48792 L
.35263 .48411 L
.35253 .48309 L
.35205 .47826 L
.35161 .47342 L
.3512 .46859 L
.35081 .46376 L
.35041 .45893 L
.35098 .4541 L
.35104 .44927 L
.35128 .44443 L
.35183 .4396 L
F
1 .163 0 r
.35263 .43765 m
.35746 .43856 L
.35794 .4396 L
.35978 .44443 L
.36128 .44927 L
.36229 .45291 L
.3627 .4541 L
.36436 .45893 L
.3648 .46376 L
.36579 .46859 L
.36671 .47342 L
.36712 .47573 L
.36762 .47826 L
.36854 .48309 L
.36943 .48792 L
.3703 .49275 L
.37111 .49758 L
.37106 .50242 L
.37163 .50725 L
.37196 .51025 L
.37216 .51208 L
.37269 .51691 L
.37319 .52174 L
.37367 .52658 L
.37415 .53141 L
.37467 .53624 L
.37407 .54107 L
.37412 .5459 L
.37403 .55073 L
.37375 .55557 L
.3731 .5604 L
.37196 .56388 L
.36733 .5604 L
.36712 .55996 L
.36549 .55557 L
.364 .55073 L
.36269 .5459 L
.36229 .54435 L
.36129 .54107 L
.35981 .53624 L
.35835 .53141 L
.35857 .52658 L
.35771 .52174 L
.35746 .52026 L
.35685 .51691 L
.35599 .51208 L
.35516 .50725 L
.35435 .50242 L
.35358 .49758 L
.35286 .49275 L
.35313 .48792 L
.35266 .48309 L
.35263 .48273 L
.3522 .47826 L
.35177 .47342 L
.35137 .46859 L
.35099 .46376 L
.35061 .45893 L
.35115 .4541 L
.35123 .44927 L
.35151 .44443 L
.35215 .4396 L
F
1 .159 0 r
.35263 .43911 m
.35746 .43935 L
.35758 .4396 L
.35953 .44443 L
.36108 .44927 L
.36229 .45361 L
.36246 .4541 L
.36415 .45893 L
.36465 .46376 L
.36564 .46859 L
.36657 .47342 L
.36712 .47649 L
.36747 .47826 L
.3684 .48309 L
.3693 .48792 L
.37018 .49275 L
.37102 .49758 L
.37093 .50242 L
.3715 .50725 L
.37196 .51146 L
.37202 .51208 L
.37255 .51691 L
.37304 .52174 L
.37352 .52658 L
.37399 .53141 L
.37449 .53624 L
.3739 .54107 L
.37394 .5459 L
.37383 .55073 L
.37351 .55557 L
.37274 .5604 L
.37196 .56267 L
.36772 .5604 L
.36712 .5592 L
.36574 .55557 L
.3642 .55073 L
.36287 .5459 L
.36229 .54365 L
.36149 .54107 L
.35999 .53624 L
.35848 .53141 L
.35871 .52658 L
.35785 .52174 L
.35746 .51947 L
.35699 .51691 L
.35613 .51208 L
.35529 .50725 L
.35447 .50242 L
.35368 .49758 L
.35292 .49275 L
.35326 .48792 L
.35279 .48309 L
.35263 .48129 L
.35235 .47826 L
.35192 .47342 L
.35153 .46859 L
.35117 .46376 L
.35082 .45893 L
.35133 .4541 L
.35144 .44927 L
.35176 .44443 L
.35251 .4396 L
F
1 .154 0 r
.35263 .44065 m
.35746 .44015 L
.35926 .44443 L
.36086 .44927 L
.36223 .4541 L
.36229 .45431 L
.36393 .45893 L
.3645 .46376 L
.3655 .46859 L
.36643 .47342 L
.36712 .47726 L
.36732 .47826 L
.36825 .48309 L
.36916 .48792 L
.37005 .49275 L
.37092 .49758 L
.37081 .50242 L
.37137 .50725 L
.37189 .51208 L
.37196 .51273 L
.3724 .51691 L
.37289 .52174 L
.37336 .52658 L
.37382 .53141 L
.37431 .53624 L
.37374 .54107 L
.37376 .5459 L
.37362 .55073 L
.37324 .55557 L
.37233 .5604 L
.37196 .5614 L
.36818 .5604 L
.36712 .55843 L
.366 .55557 L
.36442 .55073 L
.36305 .5459 L
.36229 .54294 L
.36171 .54107 L
.36018 .53624 L
.35862 .53141 L
.35885 .52658 L
.35798 .52174 L
.35746 .51868 L
.35714 .51691 L
.35627 .51208 L
.35542 .50725 L
.3546 .50242 L
.35378 .49758 L
.35298 .49275 L
.35339 .48792 L
.35293 .48309 L
.35263 .47973 L
.3525 .47826 L
.35208 .47342 L
.3517 .46859 L
.35136 .46376 L
.35104 .45893 L
.35151 .4541 L
.35164 .44927 L
.35202 .44443 L
F
1 .15 0 r
.35263 .44233 m
.35746 .44095 L
.35898 .44443 L
.36064 .44927 L
.36204 .4541 L
.36229 .45503 L
.3637 .45893 L
.36434 .46376 L
.36535 .46859 L
.36628 .47342 L
.36712 .47804 L
.36717 .47826 L
.3681 .48309 L
.36902 .48792 L
.36992 .49275 L
.37081 .49758 L
.37068 .50242 L
.37124 .50725 L
.37176 .51208 L
.37196 .51405 L
.37226 .51691 L
.37274 .52174 L
.3732 .52658 L
.37364 .53141 L
.37411 .53624 L
.37357 .54107 L
.37357 .5459 L
.3734 .55073 L
.37296 .55557 L
.37196 .56007 L
.36712 .55765 L
.36628 .55557 L
.36464 .55073 L
.36325 .5459 L
.36229 .54223 L
.36193 .54107 L
.36037 .53624 L
.35877 .53141 L
.35899 .52658 L
.35812 .52174 L
.35746 .51787 L
.35729 .51691 L
.35642 .51208 L
.35556 .50725 L
.35472 .50242 L
.35389 .49758 L
.35305 .49275 L
.35352 .48792 L
.35306 .48309 L
.35265 .47826 L
.35263 .47803 L
.35224 .47342 L
.35188 .46859 L
.35156 .46376 L
.35127 .45893 L
.3517 .4541 L
.35186 .44927 L
.35229 .44443 L
F
1 .145 0 r
.35263 .4442 m
.35746 .44177 L
.35867 .44443 L
.3604 .44927 L
.36184 .4541 L
.36229 .45575 L
.36346 .45893 L
.36418 .46376 L
.3652 .46859 L
.36614 .47342 L
.36702 .47826 L
.36712 .47883 L
.36795 .48309 L
.36887 .48792 L
.36979 .49275 L
.3707 .49758 L
.37055 .50242 L
.37111 .50725 L
.37163 .51208 L
.37196 .51545 L
.3721 .51691 L
.37258 .52174 L
.37303 .52658 L
.37346 .53141 L
.3739 .53624 L
.3734 .54107 L
.37337 .5459 L
.37317 .55073 L
.37266 .55557 L
.37196 .55868 L
.36712 .55686 L
.36658 .55557 L
.36487 .55073 L
.36345 .5459 L
.36229 .5415 L
.36215 .54107 L
.36058 .53624 L
.35893 .53141 L
.35914 .52658 L
.35826 .52174 L
.35746 .51704 L
.35744 .51691 L
.35656 .51208 L
.35571 .50725 L
.35486 .50242 L
.35401 .49758 L
.35313 .49275 L
.35366 .48792 L
.35319 .48309 L
.35279 .47826 L
.35263 .47623 L
.35241 .47342 L
.35206 .46859 L
.35176 .46376 L
.35151 .45893 L
.35189 .4541 L
.35209 .44927 L
.35259 .44443 L
F
1 .141 0 r
.35746 .44261 m
.35834 .44443 L
.36016 .44927 L
.36164 .4541 L
.36229 .45648 L
.3632 .45893 L
.36402 .46376 L
.36504 .46859 L
.36599 .47342 L
.36688 .47826 L
.36712 .47964 L
.36779 .48309 L
.36872 .48792 L
.36965 .49275 L
.37058 .49758 L
.37042 .50242 L
.37098 .50725 L
.37149 .51208 L
.37195 .51691 L
.37196 .51695 L
.37242 .52174 L
.37285 .52658 L
.37327 .53141 L
.37369 .53624 L
.37322 .54107 L
.37317 .5459 L
.37293 .55073 L
.37233 .55557 L
.37196 .55719 L
.36712 .55605 L
.36691 .55557 L
.36512 .55073 L
.36365 .5459 L
.36237 .54107 L
.36229 .54077 L
.3608 .53624 L
.35911 .53141 L
.35928 .52658 L
.3584 .52174 L
.35758 .51691 L
.35746 .51621 L
.35671 .51208 L
.35585 .50725 L
.355 .50242 L
.35413 .49758 L
.35321 .49275 L
.35379 .48792 L
.35333 .48309 L
.35293 .47826 L
.35263 .47412 L
.35258 .47342 L
.35225 .46859 L
.35197 .46376 L
.35176 .45893 L
.35209 .4541 L
.35233 .44927 L
.35263 .4462 L
.35295 .44443 L
F
1 .136 0 r
.35746 .44346 m
.35796 .44443 L
.3599 .44927 L
.36142 .4541 L
.36229 .45722 L
.36294 .45893 L
.36385 .46376 L
.36489 .46859 L
.36584 .47342 L
.36674 .47826 L
.36712 .48046 L
.36764 .48309 L
.36857 .48792 L
.3695 .49275 L
.37045 .49758 L
.37029 .50242 L
.37085 .50725 L
.37135 .51208 L
.37181 .51691 L
.37196 .51853 L
.37225 .52174 L
.37268 .52658 L
.37307 .53141 L
.37346 .53624 L
.37304 .54107 L
.37297 .5459 L
.37268 .55073 L
.37196 .55557 L
.36712 .55523 L
.36537 .55073 L
.36386 .5459 L
.36256 .54107 L
.36229 .54003 L
.36102 .53624 L
.3593 .53141 L
.35943 .52658 L
.35855 .52174 L
.35772 .51691 L
.35746 .51536 L
.35687 .51208 L
.356 .50725 L
.35514 .50242 L
.35426 .49758 L
.35331 .49275 L
.35393 .48792 L
.35347 .48309 L
.35307 .47826 L
.35273 .47342 L
.35263 .47183 L
.35244 .46859 L
.35219 .46376 L
.35203 .45893 L
.3523 .4541 L
.35258 .44927 L
.35263 .4487 L
.35336 .44443 L
F
1 .132 0 r
.35746 .44433 m
.35752 .44443 L
.35962 .44927 L
.3612 .4541 L
.36229 .45797 L
.36266 .45893 L
.36368 .46376 L
.36473 .46859 L
.36569 .47342 L
.36659 .47826 L
.36712 .48129 L
.36747 .48309 L
.36841 .48792 L
.36935 .49275 L
.37032 .49758 L
.37015 .50242 L
.37071 .50725 L
.37122 .51208 L
.37167 .51691 L
.37196 .52028 L
.37209 .52174 L
.37249 .52658 L
.37287 .53141 L
.37322 .53624 L
.37285 .54107 L
.37275 .5459 L
.37241 .55073 L
.37196 .55386 L
.36712 .5544 L
.36565 .55073 L
.36409 .5459 L
.36275 .54107 L
.36229 .53928 L
.36126 .53624 L
.35951 .53141 L
.35958 .52658 L
.35869 .52174 L
.35786 .51691 L
.35746 .51449 L
.35703 .51208 L
.35616 .50725 L
.35529 .50242 L
.35439 .49758 L
.35342 .49275 L
.35406 .48792 L
.35361 .48309 L
.35322 .47826 L
.35289 .47342 L
.35263 .46859 L
.35263 .46854 L
.35241 .46376 L
.35231 .45893 L
.35251 .4541 L
.35263 .45137 L
.35286 .44927 L
.35386 .44443 L
F
1 .127 0 r
.35746 .44521 m
.35932 .44927 L
.36096 .4541 L
.36229 .45874 L
.36237 .45893 L
.36351 .46376 L
.36456 .46859 L
.36554 .47342 L
.36644 .47826 L
.36712 .48214 L
.36731 .48309 L
.36825 .48792 L
.3692 .49275 L
.37018 .49758 L
.37002 .50242 L
.37057 .50725 L
.37108 .51208 L
.37153 .51691 L
.37192 .52174 L
.37196 .52221 L
.37231 .52658 L
.37266 .53141 L
.37297 .53624 L
.37266 .54107 L
.37253 .5459 L
.37212 .55073 L
.37196 .55191 L
.36712 .55355 L
.36594 .55073 L
.36432 .5459 L
.36295 .54107 L
.36229 .53852 L
.36151 .53624 L
.35972 .53141 L
.35974 .52658 L
.35884 .52174 L
.358 .51691 L
.35746 .51361 L
.35719 .51208 L
.35632 .50725 L
.35544 .50242 L
.35454 .49758 L
.35353 .49275 L
.3542 .48792 L
.35375 .48309 L
.35337 .47826 L
.35304 .47342 L
.3528 .46859 L
.35264 .46376 L
.35263 .4631 L
.3526 .45893 L
.35263 .45728 L
.35274 .4541 L
.35317 .44927 L
F
1 .123 0 r
.35746 .44612 m
.35899 .44927 L
.36072 .4541 L
.36214 .45893 L
.36229 .45951 L
.36333 .46376 L
.3644 .46859 L
.36538 .47342 L
.36629 .47826 L
.36712 .48301 L
.36714 .48309 L
.36808 .48792 L
.36904 .49275 L
.37003 .49758 L
.36988 .50242 L
.37043 .50725 L
.37093 .51208 L
.37138 .51691 L
.37177 .52174 L
.37196 .52437 L
.37211 .52658 L
.37244 .53141 L
.3727 .53624 L
.37246 .54107 L
.37229 .5459 L
.37196 .54977 L
.37179 .55073 L
.36712 .55269 L
.36626 .55073 L
.36456 .5459 L
.36316 .54107 L
.36229 .53775 L
.36177 .53624 L
.35996 .53141 L
.35989 .52658 L
.35899 .52174 L
.35815 .51691 L
.35746 .5127 L
.35735 .51208 L
.35648 .50725 L
.3556 .50242 L
.35469 .49758 L
.35366 .49275 L
.35434 .48792 L
.3539 .48309 L
.35352 .47826 L
.3532 .47342 L
.35297 .46859 L
.35283 .46376 L
.35281 .45893 L
.35299 .4541 L
.35351 .44927 L
F
1 .118 0 r
.35746 .44704 m
.35862 .44927 L
.36046 .4541 L
.36192 .45893 L
.36229 .46029 L
.36314 .46376 L
.36423 .46859 L
.36522 .47342 L
.36614 .47826 L
.36699 .48309 L
.36712 .48388 L
.36791 .48792 L
.36887 .49275 L
.36988 .49758 L
.36974 .50242 L
.37029 .50725 L
.37079 .51208 L
.37123 .51691 L
.37161 .52174 L
.37192 .52658 L
.37196 .5269 L
.37221 .53141 L
.37243 .53624 L
.37225 .54107 L
.37204 .5459 L
.37196 .54706 L
.3714 .55073 L
.36712 .5518 L
.36662 .55073 L
.36482 .5459 L
.36337 .54107 L
.36229 .53696 L
.36204 .53624 L
.36021 .53141 L
.36005 .52658 L
.35914 .52174 L
.3583 .51691 L
.35751 .51208 L
.35746 .51178 L
.35665 .50725 L
.35577 .50242 L
.35484 .49758 L
.3538 .49275 L
.35449 .48792 L
.35405 .48309 L
.35367 .47826 L
.35336 .47342 L
.35314 .46859 L
.35302 .46376 L
.35303 .45893 L
.35325 .4541 L
.3539 .44927 L
F
1 .114 0 r
.35746 .44799 m
.3582 .44927 L
.36018 .4541 L
.36169 .45893 L
.36229 .46108 L
.36296 .46376 L
.36405 .46859 L
.36506 .47342 L
.36598 .47826 L
.36684 .48309 L
.36712 .48478 L
.36774 .48792 L
.3687 .49275 L
.36972 .49758 L
.3696 .50242 L
.37015 .50725 L
.37064 .51208 L
.37108 .51691 L
.37146 .52174 L
.37176 .52658 L
.37196 .53077 L
.37198 .53141 L
.37214 .53624 L
.37204 .54107 L
.37196 .54319 L
.37176 .5459 L
.37093 .55073 L
.36712 .5509 L
.36704 .55073 L
.36509 .5459 L
.3636 .54107 L
.36231 .53624 L
.36229 .53617 L
.36047 .53141 L
.36022 .52658 L
.3593 .52174 L
.35845 .51691 L
.35766 .51208 L
.35746 .51083 L
.35682 .50725 L
.35594 .50242 L
.35501 .49758 L
.35394 .49275 L
.35463 .48792 L
.3542 .48309 L
.35383 .47826 L
.35353 .47342 L
.35332 .46859 L
.35321 .46376 L
.35326 .45893 L
.35354 .4541 L
.35437 .44927 L
F
1 .109 0 r
.35746 .44896 m
.35767 .44927 L
.35988 .4541 L
.36146 .45893 L
.36229 .46189 L
.36276 .46376 L
.36388 .46859 L
.36489 .47342 L
.36582 .47826 L
.36668 .48309 L
.36712 .4857 L
.36756 .48792 L
.36852 .49275 L
.36954 .49758 L
.36945 .50242 L
.37 .50725 L
.37049 .51208 L
.37093 .51691 L
.37129 .52174 L
.37159 .52658 L
.37179 .53141 L
.37188 .53624 L
.3718 .54107 L
.37145 .5459 L
.36712 .54998 L
.36539 .5459 L
.36383 .54107 L
.36251 .53624 L
.36229 .53536 L
.36075 .53141 L
.36038 .52658 L
.35946 .52174 L
.3586 .51691 L
.35781 .51208 L
.35746 .50987 L
.35699 .50725 L
.35611 .50242 L
.35518 .49758 L
.3541 .49275 L
.35478 .48792 L
.35435 .48309 L
.35399 .47826 L
.3537 .47342 L
.3535 .46859 L
.35342 .46376 L
.35349 .45893 L
.35384 .4541 L
.35498 .44927 L
F
1 .105 0 r
.35746 .44995 m
.35955 .4541 L
.3612 .45893 L
.36229 .46272 L
.36256 .46376 L
.36369 .46859 L
.36472 .47342 L
.36566 .47826 L
.36653 .48309 L
.36712 .48665 L
.36737 .48792 L
.36834 .49275 L
.36936 .49758 L
.36931 .50242 L
.36985 .50725 L
.37034 .51208 L
.37077 .51691 L
.37113 .52174 L
.37141 .52658 L
.3716 .53141 L
.37166 .53624 L
.37155 .54107 L
.37111 .5459 L
.36712 .54904 L
.36572 .5459 L
.36408 .54107 L
.36273 .53624 L
.36229 .53454 L
.36105 .53141 L
.36055 .52658 L
.35962 .52174 L
.35876 .51691 L
.35796 .51208 L
.35746 .50887 L
.35717 .50725 L
.35629 .50242 L
.35536 .49758 L
.35428 .49275 L
.35493 .48792 L
.35451 .48309 L
.35415 .47826 L
.35387 .47342 L
.35369 .46859 L
.35363 .46376 L
.35374 .45893 L
.35418 .4541 L
F
1 .101 0 r
.35746 .45098 m
.35917 .4541 L
.36094 .45893 L
.36229 .46355 L
.36235 .46376 L
.3635 .46859 L
.36454 .47342 L
.36549 .47826 L
.36636 .48309 L
.36712 .48762 L
.36718 .48792 L
.36814 .49275 L
.36917 .49758 L
.36916 .50242 L
.3697 .50725 L
.37019 .51208 L
.37061 .51691 L
.37096 .52174 L
.37123 .52658 L
.3714 .53141 L
.37144 .53624 L
.37128 .54107 L
.37072 .5459 L
.36712 .54808 L
.36608 .5459 L
.36434 .54107 L
.36295 .53624 L
.36229 .5337 L
.36137 .53141 L
.36073 .52658 L
.35978 .52174 L
.35892 .51691 L
.35811 .51208 L
.35746 .50784 L
.35736 .50725 L
.35648 .50242 L
.35555 .49758 L
.35446 .49275 L
.35509 .48792 L
.35467 .48309 L
.35432 .47826 L
.35405 .47342 L
.35388 .46859 L
.35385 .46376 L
.35401 .45893 L
.35457 .4541 L
F
1 .096 0 r
.35746 .45204 m
.35874 .4541 L
.36065 .45893 L
.36212 .46376 L
.36229 .46441 L
.36331 .46859 L
.36436 .47342 L
.36532 .47826 L
.3662 .48309 L
.36701 .48792 L
.36712 .48861 L
.36795 .49275 L
.36898 .49758 L
.369 .50242 L
.36955 .50725 L
.37003 .51208 L
.37045 .51691 L
.37079 .52174 L
.37105 .52658 L
.3712 .53141 L
.37121 .53624 L
.37099 .54107 L
.37026 .5459 L
.36712 .54708 L
.3665 .5459 L
.36463 .54107 L
.36318 .53624 L
.36229 .53285 L
.3617 .53141 L
.36091 .52658 L
.35995 .52174 L
.35908 .51691 L
.35827 .51208 L
.35753 .50725 L
.35746 .50678 L
.35668 .50242 L
.35575 .49758 L
.35466 .49275 L
.35524 .48792 L
.35483 .48309 L
.35449 .47826 L
.35423 .47342 L
.35408 .46859 L
.35408 .46376 L
.3543 .45893 L
.35502 .4541 L
F
1 .092 0 r
.35746 .45314 m
.35819 .4541 L
.36034 .45893 L
.36187 .46376 L
.36229 .46527 L
.3631 .46859 L
.36417 .47342 L
.36514 .47826 L
.36603 .48309 L
.36685 .48792 L
.36712 .48963 L
.36774 .49275 L
.36877 .49758 L
.36885 .50242 L
.36939 .50725 L
.36987 .51208 L
.37028 .51691 L
.37061 .52174 L
.37086 .52658 L
.37099 .53141 L
.37097 .53624 L
.37068 .54107 L
.36965 .5459 L
.36712 .54605 L
.36703 .5459 L
.36494 .54107 L
.36342 .53624 L
.36229 .53198 L
.36206 .53141 L
.36109 .52658 L
.36013 .52174 L
.35925 .51691 L
.35844 .51208 L
.35769 .50725 L
.35746 .50569 L
.35688 .50242 L
.35596 .49758 L
.35488 .49275 L
.3554 .48792 L
.355 .48309 L
.35466 .47826 L
.35442 .47342 L
.35429 .46859 L
.35432 .46376 L
.35461 .45893 L
.35562 .4541 L
F
1 .087 0 r
.35746 .45428 m
.35999 .45893 L
.36161 .46376 L
.36229 .46616 L
.36289 .46859 L
.36398 .47342 L
.36496 .47826 L
.36586 .48309 L
.36668 .48792 L
.36712 .49069 L
.36753 .49275 L
.36855 .49758 L
.36869 .50242 L
.36923 .50725 L
.3697 .51208 L
.37011 .51691 L
.37043 .52174 L
.37066 .52658 L
.37077 .53141 L
.3707 .53624 L
.37032 .54107 L
.36712 .545 L
.36528 .54107 L
.36368 .53624 L
.36237 .53141 L
.36229 .53109 L
.36128 .52658 L
.36031 .52174 L
.35942 .51691 L
.3586 .51208 L
.35785 .50725 L
.35746 .50455 L
.35708 .50242 L
.35617 .49758 L
.3551 .49275 L
.35557 .48792 L
.35517 .48309 L
.35484 .47826 L
.35462 .47342 L
.35451 .46859 L
.35458 .46376 L
.35496 .45893 L
F
1 .083 0 r
.35746 .45546 m
.3596 .45893 L
.36133 .46376 L
.36229 .46708 L
.36267 .46859 L
.36378 .47342 L
.36478 .47826 L
.36568 .48309 L
.36651 .48792 L
.36712 .49179 L
.36731 .49275 L
.36832 .49758 L
.36853 .50242 L
.36907 .50725 L
.36954 .51208 L
.36993 .51691 L
.37025 .52174 L
.37046 .52658 L
.37054 .53141 L
.37043 .53624 L
.36992 .54107 L
.36712 .54391 L
.36566 .54107 L
.36396 .53624 L
.3626 .53141 L
.36229 .53018 L
.36148 .52658 L
.36049 .52174 L
.3596 .51691 L
.35877 .51208 L
.35802 .50725 L
.35746 .50336 L
.35729 .50242 L
.3564 .49758 L
.35535 .49275 L
.35573 .48792 L
.35534 .48309 L
.35503 .47826 L
.35482 .47342 L
.35474 .46859 L
.35485 .46376 L
.35535 .45893 L
F
1 .078 0 r
.35746 .4567 m
.35912 .45893 L
.36102 .46376 L
.36229 .46801 L
.36244 .46859 L
.36358 .47342 L
.36459 .47826 L
.3655 .48309 L
.36633 .48792 L
.3671 .49275 L
.36712 .49293 L
.36809 .49758 L
.36837 .50242 L
.3689 .50725 L
.36936 .51208 L
.36975 .51691 L
.37005 .52174 L
.37025 .52658 L
.3703 .53141 L
.37012 .53624 L
.36943 .54107 L
.36712 .54277 L
.36613 .54107 L
.36426 .53624 L
.36285 .53141 L
.36229 .52925 L
.36169 .52658 L
.36068 .52174 L
.35978 .51691 L
.35895 .51208 L
.35819 .50725 L
.3575 .50242 L
.35746 .50211 L
.35663 .49758 L
.3556 .49275 L
.35591 .48792 L
.35552 .48309 L
.35522 .47826 L
.35503 .47342 L
.35498 .46859 L
.35515 .46376 L
.35583 .45893 L
F
1 .074 0 r
.35746 .45801 m
.35846 .45893 L
.36069 .46376 L
.36219 .46859 L
.36229 .46897 L
.36336 .47342 L
.36439 .47826 L
.36531 .48309 L
.36615 .48792 L
.36692 .49275 L
.36712 .4941 L
.36784 .49758 L
.3682 .50242 L
.36873 .50725 L
.36918 .51208 L
.36956 .51691 L
.36985 .52174 L
.37003 .52658 L
.37004 .53141 L
.36979 .53624 L
.36874 .54107 L
.36712 .54158 L
.36675 .54107 L
.3646 .53624 L
.36311 .53141 L
.36229 .52829 L
.3619 .52658 L
.36088 .52174 L
.35996 .51691 L
.35913 .51208 L
.35837 .50725 L
.35768 .50242 L
.35746 .50082 L
.35688 .49758 L
.35588 .49275 L
.35608 .48792 L
.35571 .48309 L
.35542 .47826 L
.35525 .47342 L
.35523 .46859 L
.35548 .46376 L
.35649 .45893 L
F
1 .069 0 r
.35746 .4594 m
.3603 .46376 L
.36191 .46859 L
.36229 .46995 L
.36313 .47342 L
.36418 .47826 L
.36512 .48309 L
.36597 .48792 L
.36674 .49275 L
.36712 .49534 L
.36758 .49758 L
.36802 .50242 L
.36855 .50725 L
.369 .51208 L
.36937 .51691 L
.36964 .52174 L
.36979 .52658 L
.36977 .53141 L
.36941 .53624 L
.36712 .54034 L
.36497 .53624 L
.36339 .53141 L
.36229 .5273 L
.36212 .52658 L
.36108 .52174 L
.36016 .51691 L
.35931 .51208 L
.35855 .50725 L
.35786 .50242 L
.35746 .49943 L
.35713 .49758 L
.35617 .49275 L
.35626 .48792 L
.3559 .48309 L
.35563 .47826 L
.35548 .47342 L
.35551 .46859 L
.35585 .46376 L
F
1 .065 0 r
.35746 .46086 m
.35985 .46376 L
.3616 .46859 L
.36229 .47096 L
.3629 .47342 L
.36397 .47826 L
.36492 .48309 L
.36577 .48792 L
.36655 .49275 L
.36712 .49666 L
.36731 .49758 L
.36784 .50242 L
.36837 .50725 L
.36881 .51208 L
.36917 .51691 L
.36943 .52174 L
.36955 .52658 L
.36947 .53141 L
.36897 .53624 L
.36712 .53904 L
.36542 .53624 L
.3637 .53141 L
.36236 .52658 L
.36229 .52629 L
.3613 .52174 L
.36035 .51691 L
.35951 .51208 L
.35874 .50725 L
.35804 .50242 L
.35746 .49793 L
.3574 .49758 L
.35647 .49275 L
.35645 .48792 L
.3561 .48309 L
.35584 .47826 L
.35572 .47342 L
.3558 .46859 L
.35628 .46376 L
F
1 .06 0 r
.35746 .46247 m
.35924 .46376 L
.36126 .46859 L
.36229 .47201 L
.36264 .47342 L
.36374 .47826 L
.36471 .48309 L
.36557 .48792 L
.36636 .49275 L
.36706 .49758 L
.36712 .49805 L
.36766 .50242 L
.36818 .50725 L
.36862 .51208 L
.36896 .51691 L
.3692 .52174 L
.36929 .52658 L
.36914 .53141 L
.36838 .53624 L
.36712 .53765 L
.366 .53624 L
.36403 .53141 L
.36263 .52658 L
.36229 .52525 L
.36152 .52174 L
.36056 .51691 L
.3597 .51208 L
.35893 .50725 L
.35823 .50242 L
.35761 .49758 L
.35746 .49636 L
.35679 .49275 L
.35665 .48792 L
.3563 .48309 L
.35607 .47826 L
.35598 .47342 L
.35612 .46859 L
.35684 .46376 L
F
1 .056 0 r
.35746 .46423 m
.36087 .46859 L
.36229 .4731 L
.36237 .47342 L
.3635 .47826 L
.36449 .48309 L
.36537 .48792 L
.36615 .49275 L
.36686 .49758 L
.36712 .49951 L
.36747 .50242 L
.36798 .50725 L
.36841 .51208 L
.36875 .51691 L
.36896 .52174 L
.36901 .52658 L
.36877 .53141 L
.36712 .53615 L
.36442 .53141 L
.36292 .52658 L
.36229 .52416 L
.36175 .52174 L
.36078 .51691 L
.35991 .51208 L
.35913 .50725 L
.35843 .50242 L
.35781 .49758 L
.35746 .4946 L
.35713 .49275 L
.35685 .48792 L
.35652 .48309 L
.3563 .47826 L
.35625 .47342 L
.35649 .46859 L
F
1 .052 0 r
.35746 .46616 m
.3604 .46859 L
.36206 .47342 L
.36229 .47422 L
.36325 .47826 L
.36426 .48309 L
.36515 .48792 L
.36594 .49275 L
.36665 .49758 L
.36712 .50113 L
.36727 .50242 L
.36778 .50725 L
.3682 .51208 L
.36852 .51691 L
.36871 .52174 L
.3687 .52658 L
.36832 .53141 L
.36712 .53458 L
.36488 .53141 L
.36324 .52658 L
.36229 .52303 L
.362 .52174 L
.36101 .51691 L
.36012 .51208 L
.35934 .50725 L
.35864 .50242 L
.35802 .49758 L
.35748 .49275 L
.35746 .49259 L
.35706 .48792 L
.35674 .48309 L
.35655 .47826 L
.35655 .47342 L
.35691 .46859 L
F
1 .047 0 r
.35746 .46859 m
.3617 .47342 L
.36229 .4754 L
.36298 .47826 L
.36402 .48309 L
.36492 .48792 L
.36572 .49275 L
.36644 .49758 L
.36706 .50242 L
.36712 .50289 L
.36757 .50725 L
.36798 .51208 L
.36828 .51691 L
.36843 .52174 L
.36836 .52658 L
.36775 .53141 L
.36712 .5328 L
.3655 .53141 L
.3636 .52658 L
.36229 .52184 L
.36227 .52174 L
.36124 .51691 L
.36035 .51208 L
.35956 .50725 L
.35885 .50242 L
.35823 .49758 L
.3577 .49275 L
.35746 .49041 L
.35728 .48792 L
.35698 .48309 L
.35682 .47826 L
.35689 .47342 L
F
1 .043 0 r
.35746 .47114 m
.36128 .47342 L
.36229 .47663 L
.36269 .47826 L
.36376 .48309 L
.36468 .48792 L
.36549 .49275 L
.36621 .49758 L
.36684 .50242 L
.36712 .50484 L
.36735 .50725 L
.36775 .51208 L
.36803 .51691 L
.36814 .52174 L
.36797 .52658 L
.36712 .53084 L
.36402 .52658 L
.36258 .52174 L
.36229 .52062 L
.3615 .51691 L
.36059 .51208 L
.35978 .50725 L
.35908 .50242 L
.35846 .49758 L
.35793 .49275 L
.35751 .48792 L
.35746 .48723 L
.35723 .48309 L
.35711 .47826 L
.35727 .47342 L
F
1 .038 0 r
.35746 .47706 m
.36229 .47794 L
.36237 .47826 L
.36348 .48309 L
.36443 .48792 L
.36525 .49275 L
.36597 .49758 L
.36659 .50242 L
.36712 .50725 L
.36712 .50728 L
.3675 .51208 L
.36775 .51691 L
.36781 .52174 L
.3675 .52658 L
.36712 .52854 L
.36455 .52658 L
.36293 .52174 L
.36229 .51933 L
.36177 .51691 L
.36084 .51208 L
.36003 .50725 L
.35931 .50242 L
.3587 .49758 L
.35818 .49275 L
.35777 .48792 L
.3575 .48309 L
.35746 .48176 L
.35743 .47826 L
F
1 .034 0 r
.36229 .47931 m
.36318 .48309 L
.36415 .48792 L
.36499 .49275 L
.36572 .49758 L
.36634 .50242 L
.36685 .50725 L
.36712 .5099 L
.36724 .51208 L
.36745 .51691 L
.36744 .52174 L
.36712 .52531 L
.36335 .52174 L
.36229 .51794 L
.36207 .51691 L
.36111 .51208 L
.36028 .50725 L
.35957 .50242 L
.35895 .49758 L
.35845 .49275 L
.35806 .48792 L
.35783 .48309 L
F
1 .029 0 r
.36229 .48078 m
.36285 .48309 L
.36386 .48792 L
.36471 .49275 L
.36544 .49758 L
.36606 .50242 L
.36657 .50725 L
.36694 .51208 L
.36229 .51646 L
.3614 .51208 L
.36056 .50725 L
.35984 .50242 L
.35923 .49758 L
.35873 .49275 L
.35837 .48792 L
.35819 .48309 L
F
1 .025 0 r
.36229 .48241 m
.36246 .48309 L
.36353 .48792 L
.36441 .49275 L
.36515 .49758 L
.36576 .50242 L
.36625 .50725 L
.36659 .51208 L
.36229 .51488 L
.36172 .51208 L
.36086 .50725 L
.36013 .50242 L
.35952 .49758 L
.35904 .49275 L
.35872 .48792 L
.35862 .48309 L
F
1 .02 0 r
.36229 .48414 m
.36315 .48792 L
.36407 .49275 L
.36482 .49758 L
.36543 .50242 L
.3659 .50725 L
.36618 .51208 L
.36229 .51308 L
.36209 .51208 L
.36119 .50725 L
.36045 .50242 L
.35985 .49758 L
.35939 .49275 L
.35912 .48792 L
F
1 .016 0 r
.36229 .48615 m
.3627 .48792 L
.36368 .49275 L
.36445 .49758 L
.36505 .50242 L
.36548 .50725 L
.36229 .51115 L
.36157 .50725 L
.36081 .50242 L
.36022 .49758 L
.3598 .49275 L
.35962 .48792 L
F
1 .011 0 r
.36229 .48836 m
.3632 .49275 L
.364 .49758 L
.3646 .50242 L
.36496 .50725 L
.36229 .50874 L
.36203 .50725 L
.36124 .50242 L
.36066 .49758 L
.36031 .49275 L
F
1 .007 0 r
.36229 .49159 m
.36251 .49275 L
.36341 .49758 L
.36398 .50242 L
.36229 .50539 L
.3618 .50242 L
.36125 .49758 L
.36109 .49275 L
F
0 g
gsave
.53434 .04108 -76.2188 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(t) show
70.188 11.812 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
79.438 11.812 moveto
(20) show
89.438 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.08791 .88243 -71.2812 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(a) show
68.875 13.375 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(00) show
79.562 11.812 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.08791 .11757 -70.4688 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(late) show
77.938 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.24931 .88243 -68.25 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(a) show
68.875 13.375 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(h) show
73.500 11.812 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.20124 .11757 -71.4688 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(coh) show
77.438 11.812 moveto
(.) show
79.938 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.41071 .88243 -69.8438 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(a) show
68.875 13.375 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(tt) show
76.688 11.812 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.31456 .11757 -73.25 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(early) show
83.500 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[270]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3o
oolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40
fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00;P3oool00`000000oooo0?ooo`02
0?ooo`8000007@3oool2000000<0oooo0P00000L0?ooo`<000000`3oool200000:80oooo0@3IfMT0
02h0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo01T0oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo01T0oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool0oooo09l0oooo0@3IfMT002L0oooo0`0000040?ooo`05
0000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`0C0?ooo`<000000`3oool01P00
0000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool04`3oool3000000H0oooo00<0
00000?ooo`0000000P3oool00`000000oooo0?ooo`2O0?ooo`40fMWI000_0?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool06@3oool01P000000oooo0?ooo`000000oooo00000080
oooo00<000000?ooo`3oool0703oool00`000000oooo000000020?ooo`030000003oool0oooo09l0
oooo0@3IfMT002l0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0I0?ooo`<0
00000P3oool010000000oooo0?ooo`00000K0?ooo`<000000P3oool010000000oooo0?ooo`00002Q
0?ooo`40fMWI000]0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?oo
o`0J0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`0J0?ooo`050000
003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`2O0?ooo`40fMWI000]0?ooo`@00000
0P3oool2000001h0oooo0P0000020?ooo`8000007@3oool300000080oooo0P00002R0?ooo`40fMWI
003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI000H0?ooool0
0000200000010=WIf@00603oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0240oooo
00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`2T0?ooo`4000000@3IfMT001P0oooo00<0
00000?ooo`3oool0503oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0240oooo00<0
00000?ooo`3oool0Y03oool100000040fMWI000H0?ooo`030000003oool0oooo0?l0oooo103oool1
00000040fMWI000H0?ooo`030000003oool0oooo0?l0oooo103oool100000040fMWI000H0?ooo`03
0000003oool0oooo0?l0oooo103oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo
o03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3ooool0?_oo`D0oooo0@00
00010=WIf@00603oool00`000000oooo0?ooo`020?oooo`0nooo1@3oool100000040fMWI000H0?oo
o`030000003oool0oooo0080ooooO03kool00`000000nooo0?_oo`0<0?_oo`@000000P3kool20000
06T0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080ooooO03kool00`000000
nooo0?_oo`020?_oo`D000001P3kool00`000000nooo0?_oo`0200000080nooo00<000000?_oo`3k
ool0IP3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oooml0?_oo`030000
003kool0nooo00h0nooo00@000000?_oo`3kool000000P3kool00`000000nooo0?_oo`1V0?_oo`D0
oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooogX0nooo00@000000?_oo`3kool0
00000`3kool5000000P0nooo00<000000?_oo`0000000`3kool00`000000nooo0?_oo`1U0?_oo`D0
oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooog/0nooo1000000@0?_oo`030000
003kool000000080nooo00<000000?_oo`3kool0I@3kool50?ooo`4000000@3IfMT001P0oooo00<0
00000?ooo`3oool00P3ooon<0?_oo`060000003kool0nooo0000003kool000000P3kool00`000000
nooo0?_oo`1U0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooohd0nooo
0P0000030?_oo`800000J03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3o
oool0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oooo`0nooo1@3oool1
00000040fMWI000H0?ooo`030000003oool0oooo0080ooooo03kool50?ooo`4000000@3IfMT001P0
oooo00<000000?ooo`3oool00P3ooool0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo
0?ooo`020?oooo`0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080ooooo03k
ool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3ooool0?_oo`D0oooo0@000001
0=WIf@00603oool00`000000oooo0?ooo`020?oooo`0nooo1@3oool100000040fMWI000H0?ooo`03
0000003oool0oooo0080ooooo03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool0
0P3ooool0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oooe<0nooo0P00
002W0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oooeD0nooo00<00000
0?_oo`3kool0Y03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3ooomE0?_o
o`030000003kool0nooo0:@0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080
oooo2`3kool2000000060?_oo`00000000000?_oo`000000nooo0P000000103kool0000000000000
000?0?_oo`<000000P3kool300000080nooo00<000000?_oo`0000000P00000<0?_oo`<000000P3k
ool2000000040?_oo`000000nooo000000<0nooo0P0000030?_oo`030000003kool0nooo0:<0nooo
1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo2`3kool01P000000nooo0?_o
o`000000nooo00000080ookS00@000000?onh`3kool000000P3kool00`000000nooo0?_oo`0<0?_o
o`080000003kool0nooo0000003kool000000?_oo`0000020?_oo`030000003kool0000000h0nooo
00P000000?_oo`3kool000000?_oo`000000nooo00000080ookS00D000000?onh`3oo^<0nooo0000
00030?_oo`800000Y@3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool;
0?_oo`090000003kool0nooo0000003kool0ookS0000003oo^<000000080ookS0`00000?0?_oo`03
0000003kool0nooo0080nooo00@000000?_oo`3kool000000P3kool00`000000nooo0000000=0?_o
o`<000000P3kool010000000nooo0?_oo`0000020?onh`040000003oo^<0ookS000000<0nooo00<0
00000?_oo`000000Y03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool<
0?_oo`060000003kool0nooo0000003oo^<000000P3oo^<01P000000ookS0?_oo`000000nooo0000
00l0nooo00<000000?_oo`0000000P3kool00`000000nooo000000020?_oo`030000003kool00000
00h0nooo00<000000?_oo`0000000P3kool00`000000nooo000000020?onh`80000000<0ookS0?_o
o`0000000P3kool00`000000nooo0000002T0?_oo`D0oooo0@0000010=WIf@00603oool00`000000
oooo0?ooo`020?ooo``0nooo00@000000?_oo`3kool0ookS0P0000000`3oo^<00000000000020000
00030?_oo`00000000000100nooo0P0000020?_oo`<000000`3kool2000000l0nooo0P0000030?_o
o`8000000P3oo^<01P000000ookS0000003oo^<000000?_oo`80000000<0nooo0000003kool0X`3k
ool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool=0?_oo`030000003oo^<0
ookS00D0ookS00<000000?onh`3kool0703kool00`000000nooo0?_oo`0C0?_oo`P0ookS00<0nooo
0000003kool0Y`3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool<0?_o
o`8000002@3oo^<L0?_oo`8000005@3kool80?onh`800000Z03kool50?ooo`4000000@3IfMT001P0
oooo00<000000?ooo`3oool00P3oool>0?_oo`T0ookS<`3kool90?onhjT0nooo1@3oool100000040
fMWI000H0?ooo`030000003oool0oooo0080oooo3@3kool:0?onhc80nooo2`3oo^>X0?_oo`D0oooo
0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`d0nooo2`3oo^<a0?_oo`/0ookSZ03k
ool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool=0?_oo`/0ookS<@3kool<
0?onhjL0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo3@3kool;0?on
hc40nooo303oo^>W0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo``0
nooo1@3oo^<30?oma@@0ookS<@3kool40?onh`@0oog5103oo^>W0?_oo`D0oooo0@0000010=WIf@00
603oool00`000000oooo0?ooo`020?ooo``0nooo103oo^<50?oma@@0ookS<03kool40?onh`@0oog5
103oo^>W0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo``0nooo0`3o
o^<60?oma@@0ookS<03kool30?onh`H0oog5103oo^>V0?_oo`D0oooo0@0000010=WIf@00603oool0
0`000000oooo0?ooo`020?ooo`/0nooo103oo^<70?oma@<0ookS<03kool30?onh`L0oog50`3oo^>V
0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`/0nooo103oo^<70?om
a@<0ookS5P3kool40=[noaH0nooo0`3oo^<80?oma@80ookSYP3kool50?ooo`4000000@3IfMT001P0
oooo00<000000?ooo`3oool00P3oool;0?_oo`<0ookS0`3ooLD30?ol[080oog50`3oo^<F0?_oo`@0
f_ko5@3kool30?onh`<0oog50`3oo:`30?oma@<0ookSY@3kool50?ooo`4000000@3IfMT001P0oooo
00<000000?ooo`3oool00P3oool;0?_oo`<0ookS0P3ooLD50?ol[080oog50`3oo^<E0?_oo`@0f_ko
5@3kool30?onh`80oog51@3oo:`20?oma@<0ookSY@3kool50?ooo`4000000@3IfMT001P0oooo00<0
00000?ooo`3oool00P3oool;0?_oo`80ookS0`3ooLD50?ol[080oog50`3oo^<^0?_oo`<0ookS0P3o
oLD60?ol[080oog50P3oo^>U0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`02
0?ooo`/0nooo0P3oo^<20?oma@80oob/0P3oniH30?ol[0040?oma@3oo^<0ookS0?onhbh0nooo0`3o
o^<20?oma@80oob/0P3oniH30?ol[0040?oma@3oo^<0ookS0?onhj@0nooo1@3oool100000040fMWI
000H0?ooo`030000003oool0oooo0080oooo2P3kool30?onh`80oog500<0oob/0?okUP3oniH00`3o
niH00`3oo:`0oog50?oma@020?onhbh0nooo0`3oo^<00`3ooLD0oob/0?ol[0050?okUP030?ol[03o
oLD0oog50080ookSY03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool:
0?_oo`<0ookS00<0oog50?ol[03oo:`01@3oniH00`3oo:`0oog50?oma@020?onhbh0nooo0`3oo^<0
0`3ooLD0oob/0?ol[0050?okUP030?ol[03ooLD0oog50080ookSY03kool50?ooo`4000000@3IfMT0
01P0oooo00<000000?ooo`3oool00P3oool:0?_oo`<0ookS00@0oog50?ol[03oniH0oo^F0`3onX80
103oniH0oob/0?ol[03ooLD20?onha@0nooo1`3oo^<C0?_oo`<0ookS00@0oog50?ol[03oniH0oo^F
0`3onX820?okUP030?ol[03ooLD0ookS0080ookSX`3kool50?ooo`4000000@3IfMT001P0oooo00<0
00000?ooo`3oool00P3oool:0?_oo`80ookS0P3ooLD00`3oo:`0oo^F0?ojPP040?ojPP030?okUP3o
o:`0oog500<0ookS4P3kool:0?onha40nooo0`3oo^<00`3ooLD0oob/0?okUP050?ojPP030?okUP3o
o:`0oog500<0ookSX`3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool:
0?_oo`80ookS0P3ooLD00`3oo:`0oo^F0?ojPP030?oiL@030?ojPP3oniH0oob/0080oog50P3oo^<@
0?_oo`@0ookS1@3ooLD40?onha00nooo0`3oo^<0103ooLD0oob/0?okUP3onX840?oiL@040?ojPP3o
niH0oob/0?oma@80ookSX`3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3o
ool:0?_oo`80ookS00@0oog50?ol[03oniH0ooZ2103onG400`3onX80oo^F0?ol[0020?oma@80ookS
403kool40?onh`D0oog5103oo^<@0?_oo`80ookS0P3ooLD00`3oo:`0oo^F0?ojPP040?oiL@040?oj
PP3oniH0oob/0?oma@80ookSX`3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool0
0P3oool:0?_oo`80ookS00D0oog50?ol[03oniH0ooZ20?oiL@030?ohH`050?oiL@3onX80oo^F0?ol
[03ooLD00P3oo^<?0?_oo`@0ookS1`3ooLD40?onh`l0nooo0P3oo^<20?oma@030?okUP3onX80ooUa
00<0ooQS0P3onG400`3oniH0oob/0?oma@030?onhj80nooo1@3oool100000040fMWI000H0?ooo`03
0000003oool0oooo0080oooo2@3kool30?onh`050?oma@3oo:`0ooZ20?oiL@3on6<00P3omeH20?oh
H`040?ojPP3oniH0oob/0?oma@80ookS3`3kool40?onh`L0oog5103oo^<?0?_oo`80ookS00H0oog5
0?ol[03oniH0ooZ20?oiL@3on6<20?ogEP040?ohH`3onG40ooZ20?okUP80oog50P3oo^>R0?_oo`D0
oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`T0nooo0P3oo^<20?oma@030?ok
UP3onX80ooUa00@0ooMF00D0ooQS0?oiL@3onX80oob/0?oma@020?onh`l0nooo1@3oo^<50?oma@H0
ookS3P3kool20?onh`050?oma@3oo:`0oo^F0?ojPP3on6<0103omeH01@3on6<0ooUa0?okUP3oo:`0
oog50080ookSXP3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool90?_o
o`80ookS0P3ooLD0103oniH0ooZ20?ohH`3omeH30?ofB`050?ogEP3on6<0ooZ20?okUP3ooLD00P3o
o^<?0?_ooa00ookS3P3kool20?onh`060?oma@3oo:`0oo^F0?ojPP3on6<0ooMF0`3omT/01@3omeH0
ooQS0?ojPP3oo:`0oog50080ookSXP3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3o
ool00P3oool90?_oo`80ookS00H0oog50?ol[03oniH0ooUa0?ohH`3omT/20?od@@060?ofB`3omeH0
ooQS0?ojPP3oniH0oog50P3oo^<?0?_ooa00ookS3P3kool20?onh`060?oma@3oo:`0oo^F0?oiL@3o
n6<0ooI;0P3om4420?ofB`040?ohH`3onX80oo^F0?oma@80ookSXP3kool50?ooo`4000000@3IfMT0
01P0oooo00<000000?ooo`3oool00P3oool90?_oo`80ookS00H0oog50?ol[03onX80ooUa0?ogEP3o
m4420?oc>@070?od@@3omT/0ooMF0?oiL@3oniH0oob/0?oma@020?onh`l0nooo0P3oo^<:0?_oo`80
ookS3`3kool20?onh`060?oma@3oo:`0oo^F0?oiL@3omeH0ooA10`3olcT01P3om440ooMF0?oiL@3o
niH0oob/0?oma@80ookSX@3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3o
ool90?_oo`80ookS00H0oog50?ol[03onX80ooQS0?ofB`3olcT20?ob<@070?oc>@3om440ooMF0?oi
L@3oniH0oob/0?oma@020?onha80nooo203Jo_lB0?_oo`80ookS00H0oog50?ol[03onX80ooUa0?og
EP3olcT30?ob<@060?oc>@3omT/0ooQS0?ojPP3oo:`0oog50P3oo^>Q0?_oo`D0oooo0@0000010=WI
f@00603oool00`000000oooo0?ooo`020?ooo`T0nooo0P3oo^<01P3ooLD0oo^F0?oiL@3omeH0ooI;
0?ob<@80oo4[00L0oo8a0?oc>@3omT/0ooQS0?ojPP3oo:`0oog50080ookS4@3kool00`3Jo_l0__go
0;kmo`060;kmo`80f_ko403kool20?onh`060?oma@3oo:`0ooZ20?ohH`3omT/0oo<i0`3olB/01P3o
lS40ooA10?ogEP3onX80oo^F0?ol[080ookSX@3kool50?ooo`4000000@3IfMT001P0oooo00<00000
0?ooo`3oool00P3oool90?_oo`080?onh`3ooLD0oog50?okUP3onG40ooMF0?od@@3olS420?o`9@80
oo4[00D0ooA10?ogEP3onX80oob/0?oma@020?onh`l0nooo0`3Jo_l00`2noOl0YOco0:Glo`050:Gl
o`030;kmo`3Jo_l0f_ko00l0nooo0P3oo^<01`3ooLD0oob/0?ojPP3on6<0ooI;0?oc>@3olB/00`3o
l2D01P3olS40ooI;0?oiL@3onX80oob/0?oma@80ookSX03kool50?ooo`4000000@3IfMT001P0oooo
00<000000?ooo`3oool00P3oool90?_oo`080?onh`3ooLD0oob/0?okUP3onG40ooI;0?oc>@3ol2D2
0?o_80070?o`9@3olB/0ooA10?ogEP3onX80oo^F0?oma@020?onh`l0nooo0P3Jo_l00`2noOl0YOco
0:Glo`05093ko`040:Glo`2noOl0f_ko0=[no`l0nooo0P3oo^<01`3ooLD0oob/0?ojPP3on6<0ooA1
0?ob<@3ol2D00P3okb001`3ol2D0oo8a0?ofB`3on6<0ooZ20?ol[03ooLD00P3oo^>P0?_oo`D0oooo
0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`P0nooo0P3oo^<01`3ooLD0oob/0?oj
PP3on6<0ooA10?ob<@3okb000`3okA`01P3ol2D0oo<i0?ofB`3onG40oo^F0?oma@80ookS3`3kool0
103Jo_l0__go0;kmo`2Uo?l2093ko`80OO[o0P2@nol20:Glo`030;kmo`3Jo_l0f_ko00h0nooo0P3o
o^<01`3ooLD0oob/0?ojPP3on6<0ooA10?oa:`3okb000`3okA`01P3ol2D0oo<i0?ogEP3onG40oo^F
0?oma@80ookSX03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool80?_o
o`80ookS00L0oog50?ol[03onX80ooMF0?oc>@3olB/0ondL0080on/E00L0on`H0?o_803olB/0ooA1
0?ohH`3oniH0oob/0080ookS3P3kool20=[no`80__go00D0YOco093ko`2@nol0T?_o07gjo`02093k
o`80YOco0P2noOl00`3Jo_l0nooo0?_oo`0<0?_oo`80ookS00L0oog50?ol[03onX80ooMF0?oc>@3o
l2D0ondL00<0on`H00H0ondL0?oa:`3omT/0ooQS0?okUP3oo:`20?onhj00nooo1@3oool100000040
fMWI000H0?ooo`030000003oool0oooo0080oooo203kool20?onh`070?oma@3oo:`0ooUa0?ogEP3o
lS40oo0U0?o/60020?oZ4P080?o[5@3ok1P0oo0U0?od@@3on6<0ooZ20?ol[03ooLD20?onh`d0nooo
0P3Jo_l20;kmo`80YOco102@nol30:Glo`80__go0P3Jo_l=0?_oo`80ookS00L0oog50?ol[03onX80
ooMF0?oc>@3okb00on/E00<0onXB00L0on`H0?o`9@3om440ooMF0?ojPP3oo:`0oog50080ookSW`3k
ool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool80?_oo`80ookS00L0oog5
0?ol[03onG40ooMF0?ob<@3okb00on/E00<0onT@00L0onXB0?o_803olS40ooMF0?ojPP3oo:`0oog5
0080ookS3@3kool30=[no`80__go1`2Uo?l30;kmo`80f_ko3@3kool20?onh`070?oma@3oo:`0ooZ2
0?ogEP3olcT0onlP0?o[5@030?oX3P070?oZ4P3okb00oo<i0?ofB`3onG40oo^F0?oma@020?onhil0
nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo203kool20?onh`070?om
a@3oniH0ooUa0?ofB`3olB/0ondL0?oY40020?oW30080?oX3P3ojQ80onlP0?ob<@3omeH0ooZ20?ol
[03ooLD20?onh`d0nooo0`3Jo_l;0;kmo`<0f_ko3@3kool20?onh`080?oma@3oo:`0ooZ20?ogEP3o
lS40ondL0?oY403oj0h20?oW30070?oY403okA`0oo4[0?ofB`3onG40oo^F0?oma@020?onhil0nooo
1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo203kool20?onh`070?oma@3o
niH0ooQS0?od@@3ol2D0on/E0?oW30020?oT2@080?oU2`3oj0h0on`H0?oa:`3omT/0ooUa0?ol[03o
oLD20?onh`d0nooo103Jo_l20?_oo`@0ookS0`3kool40=[no`d0nooo0P3oo^<0203ooLD0oob/0?oi
L@3omT/0oo8a0?o]703oj0h0onD;0P3oi0T01`3oi@/0onXB0?o`9@3om440ooQS0?okUP3ooLD00P3o
o^>O0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`P0nooo0P3oo^<0
1`3oo:`0ooZ20?ohH`3olcT0ondL0?oZ4P3oi@/00P3ohPL0203oh`P0onD;0?o[5@3ol2D0ooA10?oi
L@3oniH0oog50P3oo^<A0?_oo`030?onh`3ooLD0oob/00<0oob/0`3ooLD00`3oo^<0nooo0?_oo`0>
0?_oo`80ookS00P0oog50?ol[03onG40ooI;0?oa:`3ok1P0onL<0?oS2080on8700T0on<80?oX3P3o
kA`0oo8a0?ogEP3onX80oob/0?oma@3oo^<0W`3kool50?ooo`4000000@3IfMT001P0oooo00<00000
0?ooo`3oool00P3oool80?_oo`80ookS0140oob/0?ojPP3on6<0oo<i0?o]703ojA00on@90?oQ1P3o
h0D0on460?oS203ojA00onlP0?oc>@3on6<0oo^F0?oma@020?onha00nooo00<0ookS0?ol[03oniH0
1P3onX800`3oniH0oog50?onh`0?0?_oo`80ookS00P0oog50?ol[03onG40ooI;0?oa:`3ok1P0onL<
0?oR1`<0on4600L0onD;0?o/603ol2D0ooA10?oiL@3oniH0oog50080ookSWP3kool50?ooo`400000
0@3IfMT001P0oooo00<000000?ooo`3oool00P3oool80?_oo`0C0?onh`3ooLD0oob/0?ojPP3omeH0
oo8a0?o/603oi``0on870?oN103og@@0on050?oS203ojA00onlP0?oc>@3on6<0oo^F0?oma@020?on
h`l0nooo00L0ookS0?oma@3oniH0ooZ20?oiL@3on6<0ooMF0080ooQS00D0ooZ20?okUP3oo:`0oog5
0?onh`0>0?_oo`80ookS00P0oog50?ol[03onG40ooI;0?oa:`3ojaD0onD;0?oQ1P80omh400P0on46
0?oT2@3ojQ80oo0U0?od@@3onG40oo^F0?oma@80ookSWP3kool50?ooo`4000000@3IfMT001P0oooo
00<000000?ooo`3oool00P3oool80?_oo`0C0?onh`3ooLD0oob/0?ojPP3omT/0oo4[0?o[5@3oi@/0
omh40?oL0`3of`<0om`30?oQ1P3oi``0on`H0?ob<@3on6<0ooZ20?ol[0020?onh`h0nooo00H0ookS
0?oma@3oo:`0ooZ20?ohH`3omeH40?ofB`060?ohH`3onG40oo^F0?ol[03ooLD0ookS3@3kool20?on
h`080?oma@3oo:`0ooUa0?ofB`3ol2D0onXB0?oT2@3ogP@20?oL0`080?oM103oh@H0onP>0?o]703o
lcT0ooQS0?okUP3ooLD20?onhih0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo
0080oooo1`3kool20?onh`080?oma@3oo:`0ooUa0?od@@3ol2D0onT@0?oS203og0<20?oI0P080?oJ
0P3ogP@0on@90?o[5@3olB/0ooMF0?ojPP3oo:`20?onh`d0nooo00L0ookS0?oma@3oo:`0oo^F0?oi
L@3omeH0ooI;00@0ooA100D0ooMF0?ohH`3onX80oo^F0?oma@020?onh`d0nooo00X0ookS0?oma@3o
o:`0ooUa0?ofB`3ol2D0onT@0?oR1`3og0<0omX20P3of@802@3og@@0onD;0?o[5@3olB/0ooMF0?oj
PP3oo:`0oog50?onh`2N0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oo
o`L0nooo0P3oo^<0203ooLD0oo^F0?oiL@3om440ondL0?oW303oh@H0omX20P3oe`402P3of080om/3
0?oR1`3ojA00oo0U0?ofB`3onX80oob/0?oma@3oo^<<0?_oo`80ookS00D0oog50?ol[03onX80ooUa
0?ohH`020?ofB`80ooA100L0ooI;0?ogEP3on6<0ooUa0?okUP3oo:`0oog50080ookS303kool02P3o
o^<0oog50?ol[03onG40ooI;0?o`9@3ojA00on460?oJ0P3of0820?oG0@080?oK0`3ohPL0onP>0?o_
803om440ooUa0?ol[03ooLD20?onhid0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0
oooo0080oooo1`3kool20?onh`0D0?oma@3oniH0ooUa0?od@@3okA`0onL<0?oP1@3of@80om@10?oC
0@3oeP40omP20?oP1@3oj0h0onlP0?od@@3onG40oob/0?oma@3oo^<<0?_oo`80ookS00D0oog50?ol
[03oniH0ooZ20?ohH`020?ogEP80ooI;0P3omeH01@3on6<0ooUa0?okUP3oo:`0oog50080ookS303k
ool02P3oo^<0oog50?ol[03onG40ooI;0?o`9@3ojA00on460?oI0P3oeP420?oC0@080?oH0P3oh0D0
on@90?o/603olcT0ooQS0?okUP3ooLD20?onhid0nooo1@3oool100000040fMWI000H0?ooo`030000
003oool0oooo0080oooo1`3kool20?onh`0D0?oma@3oniH0ooQS0?oc>@3ok1P0on@90?oL0`3oeP40
om810?oA0@3od`40omP20?oP1@3oj0h0onlP0?od@@3onG40oob/0?oma@3oo^<<0?_oo`80ookS00@0
oog50?ol[03oniH0ooZ20`3onG420?ohH`<0ooUa00@0ooZ20?okUP3oo:`0oog50P3oo^<<0?_oo`0:
0?onh`3ooLD0oob/0?oiL@3omT/0onlP0?oX3P3oh0D0omT20?oC0@80om4100P0omH10?oL0`3oi0T0
on`H0?oc>@3on6<0oo^F0?oma@80ookSW@3kool50?ooo`4000000@3IfMT001P0oooo00<000000?oo
o`3oool00P3oool70?_oo`80ookS00P0oog50?okUP3on6<0oo8a0?o[5@3ohPL0omX20?oB0@80olh0
00X0om000?oD0@3og0<0onD;0?o]703om440ooUa0?ol[03ooLD0ookS2`3kool30?onh`030?oma@3o
o:`0oob/0080oo^F1P3oo:`20?okUP80oob/0P3ooLD20?onh`/0nooo00X0ookS0?oma@3oo:`0ooUa
0?ofB`3okb00onL<0?oN103oeP40om000P3ocP00203od@40omT20?oQ1P3ojA00oo4[0?ogEP3onX80
oob/0P3oo^>M0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`L0nooo
0P3oo^<0203ooLD0ooZ20?ogEP3olB/0onT@0?oP1@3of080oll00P3obP002@3oc000om410?oJ0P3o
h`P0on`H0?oc>@3on6<0oo^F0?oma@020?onh`X0nooo0`3oo^<40?oma@030?onh`3kool0nooo00@0
f_ko00<0nooo0?onh`3ooLD00P3ooLD30?onh`/0nooo0P3oo^<0203oo:`0ooUa0?ofB`3okb00onL<
0?oM103od`40olh00P3obP002P3ocP00omH10?oL0`3oi@/0onlP0?od@@3onG40oob/0?oma@3oo^>M
0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`L0nooo0P3oo^<0203o
o:`0ooZ20?ofB`3ol2D0onP>0?oM103oeP40ol/00P3oa`002@3ob@00olh00?oG0@3oh@H0onXB0?ob
<@3on6<0oo^F0?oma@020?onh`X0nooo1@3oo^<00`3kool0f_ko0:Glo`0207gjo`80KOWo0P1mn_l0
0`2@nol0__go0?_oo`050?onh`/0nooo0P3oo^<0203oo:`0ooZ20?ofB`3okb00onL<0?oL0`3odP40
ol/00P3oa`002@3ob@00om810?oH0P3ohPL0on/E0?oc>@3on6<0oo^F0?oma@020?onhi`0nooo1@3o
ool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo1`3kool20?onh`0C0?ol[03onX80
ooI;0?o`9@3oj0h0omd40?oC0@3obP00olD00?o3003oa@00olX00?oC0@3ogP@0onT@0?oa:`3omeH0
oo^F0?oma@020?onh`/0nooo0P3oo^<20?_oo`030=[no`2@nol0GoOo0080B?Go100om?l00`1Cm_l0
OO[o0:Glo`020=[no`030?_oo`3oo^<0ookS00/0nooo0P3oo^<04`3oo:`0ooZ20?ofB`3okb00onL<
0?oL0`3odP40olX00?o4003o``00olD00?o>003od`40omh40?oY403olB/0ooMF0?okUP3ooLD00P3o
o^>L0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`L0nooo0P3oo^<0
4`3oo:`0ooZ20?ofB`3okb00onD;0?oK0`3od@40olL00?o1003o`000ol800?o:003od`40omh40?oY
403olB/0ooMF0?okUP3ooLD00P3oo^<>0?_oo`060=[no`2Uo?l0OO[o05?fo`0glol0:O3o0`0Tkol0
1P0_l_l0?oCo05ogo`2@nol0__go0=[no`h0nooo0P3oo^<04`3oo:`0ooZ20?ofB`3okb00onD;0?oK
0`3od000olL00?o1003o`000ol800?o:003od`40omh40?oY403olB/0ooMF0?okUP3ooLD00P3oo^>L
0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`L0nooo0P3oo^<0203o
o:`0ooUa0?od@@3okA`0on<80?oH0P3ocP00ol800P3o_0002@3o_`00olD00?oA0@3og0<0onL<0?o`
9@3omeH0ooZ20?oma@020?onh`d0nooo00L0f_ko0:Glo`1mn_l0DoKo03Oco`0Yl?l07nko00<06>co
00L07nko02W`o`0om?l0GoOo093ko`2noOl0f_ko00d0nooo0P3oo^<04`3oo:`0ooZ20?ofB`3okb00
onD;0?oJ0P3oc`00ol@00?nm003o_000okd00?o5003oc`00omX20?oU2`3okb00ooI;0?ojPP3oo:`0
0P3oo^>L0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`L0nooo00X0
ookS0?oma@3oo:`0ooUa0?oc>@3ojaD0on460?oF0@3ob`00okl00P3o^0002@3o^P00ol800?o>003o
fP80onD;0?o_803omT/0ooZ20?oma@020?onh``0nooo00P0f_ko0;kmo`2@nol0KOWo04Seo`0_l_l0
9>oo01_]o`<05>_o00P06ngo02C_o`0_l_l0B?Go06gio`2@nol0__go0=[no``0nooo0P3oo^<0203o
o:`0ooZ20?ofB`3okb00onD;0?oJ0P3ocP00ol800`3o^@002P3o`@00olT00?oF0@3oh@H0on/E0?oc
>@3onG40oob/0?oma@3oo^>L0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`02
0?ooo`L0nooo00X0ookS0?oma@3oniH0ooQS0?ob<@3ojQ80on050?oB0@3ob000okX00P3o]0002@3o
]`00okd00?o9003oe`40on<80?o]703om440ooZ20?ol[0020?onh``0nooo00H0f_ko0:Glo`2@nol0
KOWo04Seo`0glol202C_o`0;01_]o`0Djol06ngo01_]o`0Tkol0=o?o04Seo`1Omol0OO[o0:Glo`3J
o_l0303kool20?onh`090?oma@3onX80ooI;0?o_803oi@/0omT20?o;003o`000okH00080ok@000T0
ok`00?o2003od000omd40?oY403olB/0ooQS0?okUP3ooLD00P3oo^>K0?_oo`D0oooo0@0000010=WI
f@00603oool00`000000oooo0?ooo`020?ooo`L0nooo01D0ookS0?oma@3oniH0ooQS0?ob<@3ojQ80
on050?oB0@3oa@00okT00?nb003o/000ok<00?ni003oa@00om@10?oR1`3ok1P0ooA10?oiL@3oo:`0
0P3oo^<<0?_oo`060=[no`2Uo?l0T?_o06gio`1Omol0?oCo0P0Yl?l0300Tkol07nko02C_o`0Tkol0
;o;o03odo`1Cm_l0GoOo07gjo`2Uo?l0__go0=[no`/0nooo0P3oo^<02@3ooLD0ooZ20?ofB`3okb00
onD;0?oI0P3ob`00okl00?nf00020?n`00090?ng003o^`00olX00?oI0P3oi@/0onlP0?ofB`3onX80
oog50080ookSV`3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool70?_o
o`0E0?onh`3ooLD0oo^F0?ohH`3olS40onT@0?oM103oc`00ol400?nd003o[000oj/00?n_003o^@00
olD00?oD0@3ohPL0on`H0?od@@3onG40oob/0080ookS2`3kool20=[no`050:Glo`2@nol0KOWo05og
o`1Cm_l00`0om?l303Oco`0803odo`1Cm_l0DoKo06gio`1mn_l0YOco0;kmo`3Jo_l;0?_oo`80ookS
00T0oog50?ojPP3omT/0onlP0?oU2`3of@80olX00?nl003o/P000P3oZ`002@3o/P00ok/00?o:003o
f@80onD;0?o_803omT/0ooZ20?oma@020?onhi/0nooo1@3oool100000040fMWI000H0?ooo`030000
003oool0oooo0080oooo1`3kool02P3oo^<0oog50?okUP3omeH0oo4[0?oX3P3of`<0ol`00?no003o
[`020?nW000;0?nZ003o]000ol800?oA0@3oh0D0on/E0?oc>@3onG40oob/0?oma@3oo^<02`3kool0
1@3Jo_l0__go0;kmo`2Uo?l0T?_o00@0OO[o102@nol307gjo`80T?_o00<0YOco0;kmo`3Jo_l02`3k
ool20?onh`090?oma@3oniH0ooMF0?o`9@3oi@/0omP20?o9003o^P00oj`00080ojL000T0oj`00?nd
003oa000om@10?oR1`3ok1P0ooA10?ojPP3oo:`00P3oo^>K0?_oo`D0oooo0@0000010=WIf@00603o
ool00`000000oooo0?ooo`020?ooo`H0nooo0P3oo^<02@3ooLD0oo^F0?ogEP3ol2D0onD;0?oH0P3o
b@00ok/00?nZ00020?nS000;0?nV003o[`00okd00?o?003og@@0onXB0?ob<@3onG40oob/0?oma@3o
o^<02`3kool20=[no`80__go00<0YOco0;kmo`3kool00P3ooLD01`3oo:`0oo^F0?okUP3oniH0oog5
0?_oo`2noOl00P2Uo?l20;kmo`80f_ko2P3kool20?onh`090?oma@3oniH0ooMF0?o`9@3oi@/0omP2
0?o8003o^000ojT00080oj8000/0ojP00?n[003o_`00oll00?oM103ojQ80oo8a0?oiL@3oo:`0oog5
0?onh`2K0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`H0nooo0P3o
o^<05P3ooLD0oo^F0?ogEP3ol2D0onD;0?oH0P3ob@00okT00?nZ003oX@00oid00?nQ003oZP00okX0
0?o;003of`<0onP>0?ob<@3on6<0oob/0?oma@3oo^<;0?_oo`@0f_ko00<0nooo0?oma@3onX800P3o
mT/01`3olcT0oo8a0?ob<@3olS40ooA10?ohH`3oo:`00P3kool40=[no`/0nooo01L0ookS0?oma@3o
niH0ooMF0?o`9@3oi@/0omP20?o8003o^000ojT00?nQ003oW@00oj800?nX003o]`00olT00?oI0P3o
i``0oo4[0?ohH`3oniH0oog50?onh`2K0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo
0?ooo`020?ooo`H0nooo0P3oo^<05P3ooLD0oo^F0?ofB`3okb00on@90?oF0@3oa@00ok@00?nT003o
V`00oiT00?nO003oZP00okX00?o;003of`<0onP>0?ob<@3on6<0oob/0?oma@3oo^<;0?_oo`<0f_ko
00L0nooo0?onh`3oniH0ooQS0?oc>@3okb00on/E0080onXB00L0on`H0?o`9@3om440ooUa0?ol[03o
o^<0nooo00<0f_ko2`3kool05`3oo^<0oog50?okUP3omeH0oo0U0?oU2`3of080olP00?ng003oY`00
oi`00?nI003oW@00ojP00?ng003ob@00omT20?oW303olB/0ooQS0?okUP3ooLD0ookS09/0nooo1@3o
ool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo1P3kool20?onh`0F0?oma@3onX80
ooI;0?o]703ohPL0om<10?o2003o/000oil00?nF003oU000oiT00?nT003o]P00olP00?oI0P3oi``0
oo4[0?ohH`3oniH0oog50?onh`h0nooo00L0oog50?okUP3omeH0oo8a0?o/603oj0h0on<80080on87
00L0on<80?oX3P3ok1P0oo8a0?ohH`3oniH0oog500h0nooo01H0ookS0?oma@3oniH0ooQS0?oa:`3o
i``0omP20?o7003o]000oj<00?nH003oU000oiL00?nQ003o/000ol800?oD0@3oh`P0onlP0?ofB`3o
niH0oog50P3oo^>J0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`H0
nooo0P3oo^<02@3ooLD0ooZ20?od@@3ok1P0on460?oA0@3o_@00oj`00?nI00020?n@000;0?nC003o
X000ok400?o4003oe`40onD;0?o`9@3omeH0oo^F0?oma@3oo^<0303kool02@3oo^<0oog50?ol[03o
n6<0oo<i0?o_803ojA00on@90?oP1@020?oN10090?oP1@3oh`P0onP>0?o]703olcT0ooQS0?okUP3o
oLD0ookS00`0nooo00/0ookS0?oma@3oniH0ooQS0?oa:`3oi``0omT20?o7003o/`00oj400?nC0002
0?nA00090?nI003oZ000ok`00?o?003ogP@0on/E0?od@@3onX80oob/0080ookSVP3kool50?ooo`40
00000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool60?_oo`80ookS00T0oob/0?ojPP3om440
on/E0?oN103oc`00okX00?nY003oU0000P3oRP002`3oS`00oiX00?n/003o`P00om@10?oT2@3okb00
ooMF0?okUP3ooLD0ookS00`0nooo00X0ookS0?ol[03onX80ooMF0?ob<@3okA`0onT@0?oT2@3oh@H0
omh40P3oh0D0203oh`P0onL<0?o/603olB/0ooI;0?oiL@3oo:`0ookS303kool02`3oo^<0oog50?ol
[03on6<0oo8a0?oX3P3of@80olL00?nb003oW`00oi000080oh/000/0oi400?nP003o]000olT00?oJ
0P3ojA00oo8a0?oiL@3oo:`0oog50?onh`2J0?_oo`D0oooo0@0000010=WIf@00603oool00`000000
oooo0?ooo`020?ooo`H0nooo0P3oo^<05P3oo:`0ooZ20?od@@3ojaD0omh40?o?003o^P00ojH00?nC
003oR@00ohH00?n9003oU000ojP00?no003odP40on870?o_803omeH0oo^F0?oma@3oo^<<0?_oo`06
0?onh`3oo:`0ooZ20?ogEP3olcT0onlP0P3ojA003@3oi0T0on460?oR1`3ohPL0on@90?oY403ok1P0
oo4[0?od@@3on6<0oo^F0?oma@3oo^<02`3kool02`3oo^<0oog50?ol[03onG40oo8a0?oX3P3ofP80
olL00?nb003oW`00oi000080ohH000/0ohT00?nG003o[P00ol<00?oF0@3oi@/0oo4[0?ohH`3oniH0
oog50?onh`2J0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`H0nooo
0P3oo^<05P3oo:`0ooUa0?oc>@3ojQ80omd40?o;003o]`00oj400?n>003oPP00oh000?n6003oU000
ojP00?no003odP40on870?o_803omeH0oo^F0?oma@3oo^<;0?_oo`0:0?onh`3ooLD0oob/0?ojPP3o
meH0oo<i0?o_803ok1P0onXB0?oY40<0onP>00T0onT@0?o[5@3okA`0oo4[0?od@@3on6<0oo^F0?om
a@3oo^<02`3kool0603oo^<0oog50?ol[03onG40oo8a0?oX3P3ofP80olL00?nb003oW000oh/00?n1
003oP000ohT00?nG003o[P00ol<00?oF0@3oi@/0oo4[0?ohH`3oniH0oog50?onhiX0nooo1@3oool1
00000040fMWI000H0?ooo`030000003oool0oooo0080oooo1P3kool20?onh`0E0?ol[03onG40oo<i
0?oZ4P3of`<0olT00?nb003oW@00ohP00?ml003oN`00oh000?n?003oY000ok/00?o@003oh@H0ondL
0?ofB`3oniH0oog50080ookS2P3kool01`3oo^<0oog50?ol[03onX80ooQS0?ofB`3olS40203olB/0
1P3olcT0ooA10?ofB`3onG40oo^F0?ol[080ookS2P3kool20?onh`0F0?ol[03onG40oo<i0?oY403o
fP80olP00?na003oV`00ohP00?mk003oNP00oh000?n>003oYP00ok`00?oA0@3ohPL0ondL0?ogEP3o
niH0oog50?onhiX0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo1P3k
ool20?onh`090?ol[03onG40oo8a0?oY403ofP80olD00?n_003oV@00oh800080ogH000X0ogX00?n:
003oW`00okP00?o>003oh0D0on`H0?ofB`3onX80oog50P3oo^<90?_oo`80ookS00H0oog50?ol[03o
niH0ooZ20?ohH`3onG420?ojPP070?ol[03ooLD0oog50?oma@3oo:`0oo^F0?oiL@020?ohH`050?oj
PP3oniH0oob/0?oma@3oo^<02P3kool20?onh`0E0?ol[03onG40oo<i0?oZ4P3of`<0olP00?na003o
V@00oh400?mg003oMP00ogP00?n4003oW000okH00?o;003og@@0on/E0?od@@3onX80oob/0080ookS
V@3kool50?ooo`4000000@3IfMT000<0oooo0P0000030?ooo`040000003oool00000000000<0oooo
0`0000060?ooo`030000003oool0oooo0080oooo1P3kool02`3oo^<0oog50?ol[03onG40oo8a0?oX
3P3of080ol<00?n[003oUP00og`00080og0000X0ogH00?n4003oVP00ok@00?o;003og@@0on/E0?od
@@3onX80oob/0P3oo^<90?_oo`80ookS00H0oog50?ol[03oo:`0oo^F0?oma@3Jo_l207gjo`0704Se
o`0om?l0?oCo03odo`18mOl0KOWo0;kmo`020?oma@040?okUP3oo:`0oog50?oma@80ookS2@3kool2
0?onh`0:0?ol[03onX80ooA10?o[5@3og0<0olT00?nb003oV@00oh000?mb0080og0000T0ogT00?nD
003o[P00olD00?oI0P3ojA00oo<i0?oiL@3oo:`00P3oo^>I0?_oo`D0oooo0@0000010=WIf@000P3o
ool010000000oooo0?ooo`0000060?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3o
ool00`3oool300000080oooo1P3kool05`3oo^<0oog50?ol[03onG40oo4[0?oX3P3of080ol<00?n[
003oTP00og`00?m_003oJ`00og000?mo003oUP00ok400?o9003og0<0onXB0?od@@3onX80oob/0080
ookS2@3kool30?onh`80oog500<0ookS0:Glo`1Cm_l00P0Ok_l01`0?j?l03>Ko00cVo`0<i_l03NOo
01S/o`0om?l00P1mn_l00`3kool0oog50?oma@030?onh`T0nooo0P3oo^<02P3ooLD0ooZ20?od@@3o
jaD0omd40?o:003o/P00oiT00?n0003oLP020?mZ000;0?mf003oR`00ojH00?no003oe040onD;0?oa
:`3on6<0oo^F0?oma@3oo^<0V@3kool50?ooo`4000000@3IfMT00080oooo00@000000?ooo`3oool0
00001@3oool3000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`H0
nooo01L0ookS0?oma@3oo:`0ooQS0?oa:`3oi``0omH10?o1003oY`00ohh00?mf003oJ000ofH00?m]
003oO`00oiH00?na003ob@00om`30?oZ4P3om440ooZ20?ol[0020?onh`T0nooo103oo^<04@3kool0
f_ko07gjo`0om?l06ngo00[Uo`04g_l00m_o00;Jo`03fol01=ko00[Uo`0Hk?l0=o?o06gio`2noOl0
nooo00@0ookS2@3kool20?onh`0G0?oma@3onX80ooA10?o[5@3og@@0olX00?nb003oV000ogh00?m^
003oIP00ofP00?mf003oR`00ojH00?no003oe040onD;0?oa:`3on6<0oo^F0?oma@3oo^<0V@3kool5
0?ooo`4000000@3IfMT00080oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool60?_oo`0G0?onh`3o
oLD0oob/0?ohH`3ol2D0onD;0?oD0@3o_@00oj<00?n9003oL000of800?mP003oIP00ogT00?nA003o
[000olL00?oJ0P3ojQ80oo<i0?ojPP3oo:`00P3oo^<:0?_oo`0:0?onh`3kool0nooo0;kmo`1mn_l0
?oCo01_]o`0:iOl01=ko007Fo`<00M;o00P00MGo00?Lo`09i?l06>co03Oco`1]nOl0__go0=[no`<0
ookS2@3kool20?onh`0:0?oma@3onX80ooI;0?o/603ogP@0ol/00?nc003oV000og`00?mY0080of40
00/0ofd00?n2003oW@00okP00?o@003ohPL0onlP0?ogEP3oniH0oog50?onh`2I0?_oo`D0oooo0@00
00010=WIf@000P3oool010000000oooo0?ooo`0000040?ooo`050000003oool0oooo0000003oool0
0`0000060?ooo`030000003oool0oooo0080oooo1P3kool05`3oo^<0oog50?ol[03on6<0oo0U0?oT
2@3odP40ok/00?nO003oQP00ofX00?mK003oFP00of000?mc003oS@00ojT00?o4003of@80onT@0?oc
>@3onX80oob/0080ookS303kool02@3Jo_l0YOco05ogo`0Yl?l04^[o00OSo`03fol00MGo003Ao`02
003?o`08007Co`02fOl01Moo00gWo`0Ok_l0B?Go07gjo`2noOl=0?_oo`0;0?onh`3ooLD0oo^F0?og
EP3okA`0on050?o<003o]000oiP00?mk003oIP000P3oG0002P3oH`00ogP00?nD003o/@00olX00?oM
103ok1P0ooI;0?ojPP3ooLD20?onhiP0nooo1@3oool100000040fMWI00020?ooo`040000003oool0
oooo000000@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo0080oooo1P3kool02`3oo^<0oog50?okUP3omeH0onlP0?oS203od@40okP00?nK003o
P@00of<00080oeH000X0oe/00?m^003oR000ojH00?o1003of080onP>0?oc>@3onG40oob/0P3oo^<;
0?_oo`0:0=[no`2noOl0OO[o04Seo`0Yl?l04^[o00OSo`05gol00][o007Do`800=7o00T00MGo00?L
o`06h_l03NOo01_]o`0glol0GoOo093ko`3Jo_l0303kool02`3oo^<0oog50?okUP3omeH0onlP0?oQ
1P3ocP00okH00?nI003oNP00of<00080oeL000X0oeX00?m_003oR`00ojT00?o3003ofP80onT@0?oc
>@3onG40oob/0P3oo^>H0?_oo`D0oooo0@0000010=WIf@000`3oool2000000H0oooo0P0000030?oo
o`<000001@3oool00`000000oooo0?ooo`020?ooo`H0nooo01L0ookS0?oma@3oniH0ooMF0?o_803o
h`P0om410?nh003oV`00ogl00?mS003oE000oe000?mF003oJ000oh<00?nR003o_`00omH10?oW303o
lS40ooUa0?ol[0020?onh`/0nooo00H0f_ko0:Glo`1mn_l0DoKo02obo`0Hk?l200[Uo`0>00CNo`02
f_l00]Wo00;Io`03fol01Moo00cVo`0Bj_l06ngo03Oco`1Omol0T?_o0;kmo`3Jo_l;0?_oo`0;0?on
h`3ooLD0oo^F0?ohH`3ol2D0on870?o@003o]`00oiX00?mj003oH`000P3oD@002P3oDP00ofD00?n3
003oX@00okd00?oF0@3oi``0oo8a0?ohH`3oo:`20?onhiP0nooo1@3oool100000040fMWI000H0?oo
o`030000003oool0oooo0080oooo1P3kool05`3oo^<0oog50?okUP3omeH0onlP0?oR1`3oc`00okH0
0?nH003oNP00oeh00?m>003oC000oe<00?mX003oP`00oj800?no003oeP40onL<0?ob<@3onG40oob/
0080ookS2`3kool02@3Jo_l0YOco07gjo`1Cm_l0;o;o01o^o`0Bj_l03nSo00[Uo`0400WTo`0900cV
o`0Bj_l06>co01o^o`0glol0GoOo093ko`2noOl0f_ko00/0nooo01L0ookS0?oma@3oniH0ooQS0?o`
9@3ohPL0om000?ng003oVP00ogX00?mQ003oC`00od`00?mB003oI@00oh800?nQ003o_@00omH10?oW
303olS40ooQS0?ol[0020?onhiP0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo
0080oooo1P3kool05`3oo^<0oog50?okUP3omeH0ondL0?oQ1P3oc000ok<00?nD003oMP00oeP00?m8
003oAP00odd00?mR003oO`00oj000?nl003oe040onD;0?ob<@3onG40oob/0080ookS2P3kool01P3J
o_l0__go0:Glo`1mn_l0GoOo04Seo`<0;o;o00<0=o?o03odo`0om?l00P0om?l02@0glol0;o;o02ob
o`0_l_l0B?Go05ogo`1mn_l0YOco0=[no`0;0?_oo`0I0?onh`3ooLD0oo^F0?ohH`3olB/0on@90?oA
0@3o^@00oi/00?mj003oG`00odX00?m6003oB@00oeX00?mi003oV000okL00?o@003oh`P0oo0U0?og
EP3oniH0oog50?onh`2H0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oo
o`H0nooo00/0ookS0?oma@3oniH0ooMF0?o]703oh0D0ol/00?n`003oT000og800?mB00020?m1000<
0?m7003oG000og/00?nL003o^P00om<10?oU2`3olB/0ooUa0?ol[03ooLD0ookS2P3kool20=[no`05
0:Glo`2@nol0OO[o06gio`2@nol00P3Jo_l00`3oniH0ooQS0?ohH`020?ohH`060?okUP3kool0T?_o
093ko`1]nOl0OO[o0P2Uo?l00`2noOl0f_ko0?_oo`090?_oo`80ookS01L0oob/0?oiL@3olS40onD;
0?oC0@3o^`00oi`00?mk003oF000odL00?m0003o@@00oe000?m_003oT000ok000?o:003oh0D0ondL
0?ofB`3oniH0oog50?onh`2H0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`02
0?ooo`H0nooo01T0ookS0?oma@3oniH0ooMF0?o]703oh0D0ol/00?n`003oT000og000?mB003o@@00
oc/00?m2003oF000ogL00?nI003o^000om810?oT2@3olB/0ooQS0?ol[03ooLD0ookS00X0nooo0P3J
o_l20;kmo`030:Glo`3Jo_l0oo^F0080oo<i00<0on/E0?oU2`3oi0T00P3oi0T01P3ojA00oo4[0?oi
L@3onG40nooo0:Glo`<0__go00<0f_ko0?_oo`3kool0203kool20?onh`0F0?ol[03onG40oo8a0?oW
303oeP40okd00?nO003oO000oeT00?m6003o?@00oc/00?m:003oIP00ohL00?nX003oa000om/30?o[
5@3om440ooZ20?oma@80ookSU`3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool0
0P3oool60?_oo`0I0?onh`3ooLD0oo^F0?ofB`3ok1P0omh40?o:003o[P00ohd00?m[003oC@00oc/0
0?lg003o@@00oeP00?mg003oV@00okP00?oB0@3oi0T0oo4[0?ohH`3oo:`0oog50?onh`0:0?_oo`80
f_ko0P2noOl01`3kool0oog50?ohH`3olB/0onP>0?oP1@3of@800P3oe0402@3of080omd40?oW303o
l2D0ooMF0?ol[03kool0f_ko0;kmo`020=[no`X0nooo0P3oo^<05P3oo:`0ooUa0?ob<@3oi``0omH1
0?nm003oW`00og`00?mI003o@`00ocL00?li003oBP00ofH00?n7003oZ000ol@00?oK0`3ojaD0ooA1
0?ojPP3ooLD20?onhiL0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo
1P3kool06@3oo^<0oog50?okUP3omT/0on`H0?oM103ob000oj/00?n9003oI`00odP00?lf003o<P00
oc/00?mC003oLP00oiH00?ng003od000on<80?o`9@3on6<0oob/0?oma@3oo^<02`3kool02P3Jo_l0
nooo0?_oo`3oo:`0ooQS0?o`9@3oi``0om`30?oB0@3ob`020?o700080?o9003oc`00omT20?oS203o
kA`0ooI;0?okUP3oo^<30=[no`X0nooo0P3oo^<02P3oo:`0ooZ20?oc>@3ojA00omP20?o0003oX@00
ogl00?mJ003o@P020?lb000:0?m1003oF`00ogh00?nP003o_`00omP20?oX3P3olcT0ooUa0?ol[080
ookSU`3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool60?_oo`0I0?on
h`3ooLD0oo^F0?ofB`3ojaD0om`30?o7003oZ@00ohH00?mS003o@P00oc000?l^003o=P00odh00?m_
003oT`00ok@00?o?003ohPL0oo0U0?ohH`3oniH0oog50?onh`0<0?_oo`0D0?onh`3ooLD0ooUa0?oc
>@3ojaD0on460?oG0@3ocP00olD00?o2003o`@00ol<00?o9003odP40om`30?oU2`3okb00ooMF0?ok
UP3oo^<<0?_oo`80ookS00X0oog50?ojPP3om440onXB0?oJ0P3o`P00oj@00?n1003oG000od000P3o
;P002P3o>000oe800?md003oV000okT00?oB0@3oi@/0oo4[0?oiL@3oo:`20?onhiL0nooo1@3oool1
00000040fMWI000H0?ooo`030000003oool0oooo0080oooo1P3kool06@3oo^<0oog50?okUP3omT/0
on/E0?oL0`3oa000ojL00?n3003oH@00och00?lZ003o:@00oc000?m9003oJ`00oi000?nb003ocP00
on870?o`9@3on6<0oo^F0?oma@3oo^<02`3kool02P3oo^<0oog50?okUP3omeH0oo4[0?oY403oh@H0
omP20?oA0@3obP020?o3000:0?o5003oc000om<10?oK0`3oh`P0on/E0?oc>@3onG40oog50?onh``0
nooo00/0ookS0?oma@3onX80ooI;0?o[5@3of`<0olD00?nW003oP`00oeh00?m000020?lZ000<0?l`
003oB000of/00?n@003o/P00olh00?oR1`3okb00ooQS0?okUP3ooLD0ookSU`3kool50?ooo`400000
0@3IfMT001P0oooo00<000000?ooo`3oool00P3oool60?_oo`0I0?onh`3ooLD0oo^F0?ofB`3ojaD0
om`30?o4003oY`00oh<00?mO003o?P00obX00?lU003o;@00odH00?mX003oSP00ok400?o<003oh@H0
onlP0?ohH`3oniH0oog50?onh`0;0?_oo`060?onh`3ooLD0oo^F0?ogEP3olB/0on/E0P3oh@H03`3o
f080oll00?o:003obP00ol/00?oB0@3ofP80on050?oS203ojaD0oo8a0?ogEP3oniH0oog50?onh`0;
0?_oo`0I0?onh`3ooLD0oo^F0?ogEP3okA`0omd40?o8003oZP00ohL00?mP003o@000obX00?lW003o
:000od000?mQ003oQ`00ojX00?o9003ogP@0on`H0?ogEP3oniH0oog50?onh`2G0?_oo`D0oooo0@00
00010=WIf@00603oool00`000000oooo0?ooo`020?ooo`H0nooo01T0ookS0?oma@3onX80ooA10?oZ
4P3of`<0ol<00?nT003oP000oe/00?li003o9P00ob400?l/003oAP00ofP00?n>003o/@00ol`00?oQ
1P3okb00ooQS0?okUP3ooLD0ookS00/0nooo00X0ookS0?ol[03onX80ooI;0?oa:`3ojaD0onD;0?oQ
1P3og@@0omT20P3of0802`3oe`40om/30?oM103oh@H0onL<0?o/603olS40ooMF0?okUP3ooLD0ookS
00/0nooo01T0ookS0?oma@3oniH0ooMF0?o]703og@@0olP00?nZ003oQ`00of000?m0003o:000ob80
0?lX003o?`00of400?n7003oZP00olT00?oN103ok1P0ooMF0?okUP3ooLD0ookS09L0nooo1@3oool1
00000040fMWI000H0?ooo`030000003oool0oooo0080oooo1P3kool06@3oo^<0oog50?ojPP3om440
onXB0?oJ0P3o`P00oj800?mn003oF000ocD00?lQ003o7@00obL00?m1003oI@00oh/00?n_003ob`00
on460?o_803on6<0oo^F0?oma@3oo^<02P3kool20?onh`050?ol[03onX80ooMF0?oc>@3ol2D00P3o
jaD00`3ojQ80on/E0?o/60020?o/60090?o[5@3ojQ80onXB0?oZ4P3ol2D0oo<i0?ogEP3onX80oob/
0080ookS2P3kool06@3oo^<0oog50?okUP3omeH0onlP0?oP1@3ob`00ojh00?n:003oH`00od000?lW
003o7P00ob400?lf003oF000ogh00?nS003o``00om/30?oZ4P3om440ooZ20?oma@3oo^<0U`3kool5
0?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool60?_oo`0I0?onh`3ooLD0ooZ2
0?od@@3ojQ80omT20?o1003oX@00ogX00?mD003o<@00oad00?lI003o8P00och00?mQ003oR@00ojh0
0?o:003oh0D0onlP0?ogEP3oniH0oog50?onh`0:0?_oo`80ookS00D0oob/0?okUP3onG40ooMF0?od
@@020?ohH`030?ol[03Jo_l0YOco0080YOco00/0f_ko0?ol[03on6<0ooQS0?od@@3omeH0ooUa0?ok
UP3oo:`0oog50?onh`0:0?_oo`0H0?onh`3ooLD0oob/0?ohH`3ol2D0on870?o>003o/@00ohh00?mW
003o@P00obH00?lI003o6P00obd00?m?003oMP00oi/00?nm003oe`40onP>0?oc>@3onX80oob/0P3o
o^>F0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`H0nooo01T0ookS
0?oma@3onX80ooA10?oY403of@80ol000?nO003oN000oe800?l]003o6000oaH00?lO003o>P00oeh0
0?n7003oZ`00olT00?oP1@3okb00ooMF0?okUP3ooLD0ookS00X0nooo0P3oo^<01@3ooLD0oob/0?ok
UP3oniH0ookS0080KOWo00<09>oo00gWo`0:iOl00P0:iOl01@0=iol07nko05ogo`1Omol0nooo0080
oo^F0P3oo:`00`3ooLD0ookS0?_oo`090?_oo`80ookS00X0oob/0?oiL@3olB/0on@90?oA0@3o]P00
oi800?mZ003o@@00ob@00P3o5@002P3o9P00odH00?m]003oU000okL00?oB0@3oi@/0oo8a0?oiL@3o
o:`20?onhiH0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo1P3kool0
6@3oo^<0oog50?ojPP3om440onT@0?oI0P3o`000oil00?mh003oD@00obd00?lH003o4P00oa/00?lg
003oF`00oh@00?nZ003ob@00omh40?o]703omeH0oo^F0?oma@3oo^<02P3kool20?onh`<0oog500H0
f_ko05ogo`0KkOl06>co00GOo`01dol3003>o`06007Bo`03fol03NOo00oXo`0om?l0YOco0`3ooLD3
0?onh`T0nooo0P3oo^<0603oo:`0ooUa0?ob<@3oi``0om<10?ni003oU`00ofl00?m6003o9@00oaD0
0?lA003o8000och00?mS003oS@00ok400?o>003ohPL0oo0U0?ohH`3oo:`0oog50?onhiH0nooo1@3o
ool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo1@3kool20?onh`0H0?oma@3onX80
ooA10?oY403of080okl00?nM003oMP00odh00?lZ003o5@00o`l00?lK003o=`00oe/00?n4003oZP00
olT00?oN103okA`0ooMF0?okUP3ooLD0ookS2P3kool40?onh`080?_oo`2Uo?l0B?Go01S/o`06hOl0
0MGo003:o`00`ol20031o`070036o`00col00m_o00cVo`0Yl?l0KOWo0;kmo`050?onh`T0nooo0P3o
o^<0603oo:`0ooUa0?ob<@3oi``0om<10?ni003oU`00ofl00?m6003o9@00oa800?l@003o7`00och0
0?mS003oS@00ok400?o>003ohPL0oo0U0?ohH`3oo:`0oog50?onhiH0nooo1@3oool100000040fMWI
000H0?ooo`030000003oool0oooo0080oooo1@3kool20?onh`0H0?oma@3onX80ooA10?oY403of080
okd00?nL003oM000od`00?lW003o4@00o`d00?lH003o=@00oeT00?n3003oZ@00olP00?oN103okA`0
ooMF0?okUP3ooLD0ookS2P3kool20?onh`0:0?_oo`3Jo_l0YOco05?fo`0Ok_l02NCo00;Io`00c?l0
0<;o002ko`800;Wo00T00;go0035o`01d_l01=go00oXo`0_l_l0KOWo0;kmo`3kool00`3oo^<90?_o
o`80ookS01P0oob/0?ojPP3olcT0onP>0?oG0@3o_@00oi/00?mc003oBP00obL00?lA003o3@00oaP0
0?le003oFP00oh@00?nZ003ob@00omh40?o]703omeH0oo^F0?oma@3oo^>F0?_oo`D0oooo0@000001
0=WIf@00603oool00`000000oooo0?ooo`020?ooo`D0nooo0P3oo^<0603ooLD0ooZ20?oc>@3oj0h0
omL10?nm003oV`00og800?m:003o9@00o`l00?l;003o5P00oc400?mH003oP@00ojP00?o7003og@@0
ondL0?ogEP3oniH0oog50?onh``0nooo00T0f_ko0;kmo`1mn_l0=o?o01C[o`06h_l00]Oo003=o`00
aOl00P00_Ol02P00^_l00<7o0036o`00col00][o00WTo`0KkOl0B?Go093ko`2noOl=0?_oo`0I0?on
h`3ooLD0oo^F0?od@@3ojQ80omX20?o1003oX000ogP00?m>003o:@00oa400?l<003o4P00obh00?mB
003oO000oj<00?o4003of`<0on/E0?ofB`3onX80oog50?onh`2F0?_oo`D0oooo0@0000010=WIf@00
603oool00`000000oooo0?ooo`020?ooo`D0nooo0P3oo^<0603oo:`0ooZ20?oc>@3oj0h0omL10?nl
003oVP00og400?m8003o8P00o`d00?l8003o4`00oc000?mF003oP000ojP00?o7003og@@0ondL0?og
EP3oniH0oog50?onh``0nooo00T0f_ko0:Glo`1Omol0=o?o01S/o`07hol01=go007Fo`00c?l00P00
a?l02`00`_l00<Ko003?o`02eol00m_o00[Uo`0Hk?l0=o?o06gio`2Uo?l0f_ko00`0nooo01T0ookS
0?oma@3oniH0ooI;0?o/603og0<0olD00?nT003oOP00oe800?l]003o4@00o`/00?l>003o9P00odT0
0?md003oW000okl00?oH0P3ojA00ooA10?ojPP3ooLD0ookS09H0nooo1@3oool100000040fMWI000H
0?ooo`030000003oool0oooo0080oooo1@3kool20?onh`0H0?ol[03onX80oo<i0?oX3P3oe`40ok`0
0?nJ003oL@00odP00?lR003o3@00o`L00?lA003o;P00oe@00?mo003oY`00olL00?oM103okA`0ooMF
0?okUP3ooLD0ookS303kool01@2noOl0YOco05ogo`0om?l07nko00802^Go00L00mco007Fo`01d_l0
0M;o003Ao`01dol00]Oo00801=ko00L02^Go01S/o`0glol0GoOo093ko`2noOl0f_ko00/0nooo00`0
ookS0?oma@3oniH0ooMF0?o]703oh0D0olT00?nZ003oP`00oeL00?l`003o4`020?l9000:0?lO003o
@@00ofd00?nF003o^@00om@10?oW303olcT0ooZ20?ol[080ookSU@3kool50?ooo`4000000@3IfMT0
01P0oooo00<000000?ooo`3oool00P3oool50?_oo`80ookS01P0oob/0?ojPP3olcT0onP>0?oG0@3o
_000oiT00?m`003oA`00ob000?l;003o1@00oa400?l^003oE000ogl00?nW003oa`00omd40?o]703o
meH0oo^F0?oma@3oo^<;0?_oo`060=[no`2noOl0T?_o05ogo`0om?l09>oo0P0Bj_l00`0<i_l02^Go
00cVo`0300cVo`<02^Go00L06>co02C_o`0glol0GoOo093ko`2noOl0f_ko00/0nooo01P0ookS0?om
a@3oniH0ooMF0?o]703oh0D0olT00?nZ003oP`00oeT00?l`003o4`00o`L00?l9003o7`00od400?m]
003oUP00okT00?oD0@3oi``0oo<i0?ojPP3oo:`20?onhiD0nooo1@3oool100000040fMWI000H0?oo
o`030000003oool0oooo0080oooo1@3kool20?onh`0H0?ol[03onX80oo<i0?oX3P3oe`40ok/00?nI
003oK`00odH00?lO003o2@00o`@00?l@003o;@00oe<00?mo003oYP00olD00?oM103okA`0ooMF0?ok
UP3ooLD0ookS2`3kool01@3Jo_l0__go0:Glo`1mn_l0GoOo00<0?oCo00<0GoOo0:Glo`3kool00`3k
ool02P2Uo?l0GoOo05ogo`0glol0?oCo05?fo`1]nOl0T?_o0;kmo`3Jo_l;0?_oo`0H0?onh`3ooLD0
oob/0?ohH`3ol2D0on870?o<003o[`00ohT00?mO003o=P00oaH00?l5003o1P00oaT00?li003oI@00
ohl00?nc003od000on@90?oa:`3onG40oob/0P3oo^>E0?_oo`D0oooo0@0000010=WIf@00603oool0
0`000000oooo0?ooo`020?ooo`D0nooo0P3oo^<0603oo:`0ooZ20?oc>@3oj0h0omH10?nk003oV000
ofl00?m5003o7P00o`P00?l2003o3`00ob`00?mB003oOP00ojH00?o5003og@@0on`H0?ogEP3oniH0
oog50?onh`/0nooo00H0f_ko0;kmo`2Uo?l0YOco07gjo`2Uo?l20?oma@030?od@@3ojaD0onD;00<0
onD;00H0on/E0?od@@3om440oog50:Glo`1mn_l20:Glo`030;kmo`3Jo_l0nooo00X0nooo0P3oo^<0
603oo:`0ooUa0?oa:`3oi0T0om410?nc003oS`00of<00?lj003o4`00o`D00?l4003o5@00oc000?mL
003oR000ojh00?o;003ohPL0oo0U0?ohH`3oniH0oog50?onhiD0nooo1@3oool100000040fMWI000H
0?ooo`030000003oool0oooo0080oooo1@3kool20?onh`0H0?ol[03onX80oo<i0?oX3P3oeP40ok/0
0?nH003oK`00odD00?lN003o2000o`800?l>003o;000oe800?mn003oYP00olD00?oL0`3ok1P0ooMF
0?okUP3ooLD0ookS2`3kool30=[no`030;kmo`3Jo_l0oo^F0080oo8a00<0onD;0?oG0@3ocP000`3o
cP001P3oeP40on460?oR1`3okb00ooZ20?_oo`80YOco00<0__go0=[no`3kool02P3kool20?onh`0H
0?ol[03onG40oo8a0?oW303oe040okT00?nD003oJ@00od400?lI003o1`00o`400?l@003o:000oeH0
0?n1003oZ000olP00?oN103okA`0ooMF0?okUP3ooLD0ookSU@3kool50?ooo`4000000@3IfMT001P0
oooo00<000000?ooo`3oool00P3oool50?_oo`80ookS01P0oob/0?ojPP3olcT0onP>0?oF0@3o^`00
oiP00?m_003oA@00oah00?l8003o0@00o`h00?l/003oDP00ogh00?nV003oa@00om`30?o/603omeH0
oo^F0?oma@3oo^<;0?_oo`@0f_ko0140ookS0?ojPP3olS40onP>0?oK0`3od000olD00?o0003o_`00
ol800?o9003oe040on460?o/603omT/0oob/0?_oo`030=[no`/0nooo0P3oo^<0603oo:`0ooUa0?ob
<@3oi``0om@10?ni003oU000of/00?m1003o6@00o`L00?l1003o4000obP00?mF003oP@00ojP00?o8
003ogP@0ondL0?ogEP3oniH0oog50?onhiD0nooo1@3oool100000040fMWI000H0?ooo`030000003o
ool0oooo0080oooo1@3kool20?onh`0H0?ol[03onX80oo<i0?oX3P3oeP40ok/00?nH003oK`00odD0
0?lN003o2000o`400?l>003o;000oe800?mn003oYP00olD00?oL0`3ok1P0ooMF0?okUP3ooLD0ookS
3P3kool04`3ooLD0ooZ20?oc>@3ojQ80omh40?oB0@3oa@00ok`00?ng003o]P00okL00?nm003ob@00
omH10?oR1`3okA`0ooI;0?okUP3oo^<03P3kool06@3oo^<0oog50?ojPP3om440onT@0?oH0P3o_@00
oi/00?mb003oB000oal00?l9003o0@00o`d00?lY003oC`00ogX00?nR003o``00om/30?o/603omT/0
ooZ20?oma@3oo^<0U@3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool5
0?_oo`80ookS01P0oob/0?ojPP3olcT0onP>0?oF0@3o^`00oiP00?m_003oA@00oah00?l8003o0P00
o`l00?l/003oDP00ogh00?nV003oa@00omd40?o/603omeH0oo^F0?oma@3oo^<=0?_oo`0E0?onh`3o
o:`0ooMF0?o`9@3oi``0om`30?oA0@3oa`00okl00?nj003o]`00ok/00?o0003ob000om810?oM103o
j0h0oo4[0?ohH`3oo:`0ookS00d0nooo01T0ookS0?oma@3oniH0ooI;0?o[5@3of`<0ol800?nQ003o
N@00odl00?lV003o3@00o`800?l9003o9000odP00?mc003oW000okl00?oH0P3ojQ80ooA10?ojPP3o
oLD0ookS09D0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo1@3kool2
0?onh`0H0?ol[03onX80oo<i0?oX3P3oe`40ok/00?nI003oK`00odH00?lO003o2@00o`@00?l@003o
;@00oe<00?mo003oYP00olD00?oM103okA`0ooMF0?okUP3ooLD0ookS303kool02@3oo^<0oog50?oj
PP3omT/0oo0U0?oW303oh0D0omT20?o?00020?o5000<0?o0003o`P00olT00?oC0@3oe040on050?oX
3P3okb00ooI;0?ojPP3ooLD0ookS303kool0603oo^<0oog50?okUP3omeH0ondL0?oN103ob000ojP0
0?mo003oEP00obd00?lA003o1@00o`P00?lP003o@P00ofh00?nG003o^P00omH10?oX3P3olcT0ooUa
0?ol[080ookSU03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool50?_o
o`80ookS01P0oob/0?ojPP3olcT0onP>0?oG0@3o_000oiT00?m`003oA`00ob000?l;003o1@00oa00
0?l]003oD`00ogl00?nV003oa@00omd40?o]703omeH0oo^F0?oma@3oo^<<0?_oo`090?onh`3ooLD0
ooZ20?ogEP3olB/0onT@0?oX3P3oh0D0omP20080om<100<0om000?oA0@3oe0400P3ofP801`3oh`P0
onT@0?o_803omT/0ooUa0?ol[03oo^<0303kool0303oo^<0oog50?okUP3omeH0oo0U0?oR1`3oc000
ojh00?n4003oGP00oc<00?lF0080o`P000X0oad00?lm003oJ000oi400?nf003odP40onD;0?ob<@3o
nG40oob/0P3oo^>D0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`D0
nooo0P3oo^<0603oo:`0ooZ20?oc>@3oj0h0omL10?nl003oV@00og000?m7003o8000o`/00?l5003o
4@00obh00?mD003oO`00ojL00?o7003og@@0ondL0?ogEP3oniH0oog50?onh`/0nooo0P3oo^<0203o
o:`0ooZ20?ogEP3olS40ondL0?oY403oj0h0onD;103oi``30?oU2`060?oY403ok1P0oo4[0?ofB`3o
nG40oob/0P3oo^<;0?_oo`0<0?onh`3ooLD0oo^F0?ohH`3ol2D0on870?o<003o[P00ohP00?mN003o
<`00oaH00P3o20002P3o7@00ocd00?mX003oT@00okH00?oB0@3oi@/0oo8a0?oiL@3oo:`20?onhi@0
nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo1@3kool20?onh`0H0?ol
[03onX80oo<i0?oX3P3oe`40ok`00?nJ003oL@00odP00?lR003o3@00o`L00?lC003o<000oeH00?n0
003oZ000olL00?oM103okA`0ooMF0?okUP3ooLD0ookS2`3kool20?onh`040?ol[03onX80ooQS0?of
B`80oo<i00@0ooI;0?okUP3oo^<0ookS0P3Jo_l02`3oo^<0ooZ20?ojPP3omT/0oo<i0?ofB`3on6<0
ooZ20?ol[03ooLD0ookS00/0nooo0P3oo^<0603oo:`0ooQS0?oa:`3oi0T0om000?nc003oS`00ofH0
0?lk003o6`00o`T00?l8003o6@00ocL00?mR003oR`00ok400?o>003oh`P0oo4[0?ohH`3oo:`0oog5
0?onhi@0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo1@3kool20?on
h`0H0?oma@3onX80oo<i0?oX3P3oe`40okd00?nK003oLP00odT00?lU003o3`00o`T00?lF003o<@00
oeP00?n1003oZ000olL00?oM103okA`0ooMF0?okUP3ooLD0ookS2`3kool20?onh`040?oma@3oo:`0
ooZ20?ojPP80ookS00@0KOWo02C_o`0=iol03NOo0P0:iOl01P0?j?l09>oo02C_o`1mn_l0ookS0?oj
PP80oo^F00@0oob/0?oma@3oo^<0ookS2P3kool20?onh`0H0?ol[03onG40oo<i0?oX3P3oe040okT0
0?nF003oKP00odD00?lR003o3@00o`T00?lH003o<P00oe`00?n7003o[000olX00?oQ1P3okb00ooQS
0?okUP3ooLD0ookSU03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool5
0?_oo`80ookS01P0oog50?ojPP3om440onT@0?oH0P3o_@00oi`00?md003oC000obL00?lA003o3000
oaP00?le003oF@00oh<00?nY003ob000omh40?o]703omeH0oo^F0?oma@3oo^<;0?_oo`80ookS0`3o
oLD01@2noOl0GoOo04Seo`0?j?l00m_o00800=7o0P00cOl01P00dOl00m_o00?Lo`0?j?l0B?Go0;km
o`<0oog50`3oo^<;0?_oo`0I0?onh`3ooLD0ooZ20?od@@3ojQ80omT20?no003oV`00ogH00?m=003o
8P00oa800?l<003o5`00obh00?mH003oP@00ojP00?o7003ogP@0ondL0?ogEP3oniH0oog50?onh`2D
0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`D0nooo0P3oo^<0603o
oLD0ooZ20?od@@3ojA00omP20?no003oW@00ogH00?m>003o:P00oaD00?l?003o6000ocD00?mI003o
P`00ojT00?o8003ogP@0ondL0?ogEP3oniH0oog50?onh`/0nooo103oo^<0203Jo_l0OO[o02obo`0T
kol02NCo007Fo`00aol00<Co0P00_ol02000`ol00<go007Bo`04gOl04^[o04Seo`2noOl0f_ko103o
o^<;0?_oo`0I0?onh`3ooLD0ooZ20?ofB`3ok1P0om`30?o4003oX000ogl00?mF003o;000oaL00?l?
003o5`00obX00?mC003oO000oj<00?o3003of`<0on`H0?ofB`3onX80oog50?onh`2D0?_oo`D0oooo
0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`D0nooo0P3oo^<0603ooLD0ooZ20?od
@@3ojA00omP20?no003oW@00ogH00?m>003o:P00oaD00?l?003o6`00ocL00?mK003oQ000ojX00?o9
003ogP@0ondL0?ogEP3oniH0oog50?onh`/0nooo0`3oo^<02@3kool0__go06gio`0Yl?l03NOo00?L
o`00col00<Co002mo`02002io`09002no`00a_l00M;o00CMo`0?j?l0;o;o07gjo`2noOl0nooo00<0
ookS2`3kool06@3oo^<0oog50?okUP3omT/0on`H0?oL0`3oa000oj@00?mo003oEP00ob`00?lH003o
3`00oaL00?lZ003oD`00og`00?nS003o``00om/30?o/603omT/0ooZ20?oma@3oo^<0U03kool50?oo
o`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool60?_oo`0I0?onh`3ooLD0ooZ20?od
@@3ojA00omT20?o0003oW`00ogP00?mA003o;@00oaP00?lB003o7`00ocX00?mN003oQ`00oj/00?o9
003oh0D0onlP0?ogEP3oniH0oog50?onh`0>0?_oo`0D0;kmo`2@nol0B?Go01_]o`09i?l00][o003?
o`00a_l00<7o002no`00_?l00<7o0037o`00col00][o00WTo`0KkOl0B?Go07gjo`2noOl>0?_oo`0I
0?onh`3ooLD0oo^F0?ogEP3okb00on050?o9003oZ`00ohL00?mO003o=P00oal00?lB003o6000obl0
0?m@003oN@00oil00?o0003of@80onXB0?od@@3onX80oog50?onh`2D0?_oo`D0oooo0@0000010=WI
f@00603oool00`000000oooo0?ooo`020?ooo`H0nooo01T0ookS0?oma@3onX80ooA10?oZ4P3of@80
ol400?nQ003oNP00oe@00?la003o7@00oaL00?lR003o?P00of400?n9003o[P00olX00?oP1@3okb00
ooMF0?okUP3ooLD0ookS00d0nooo00P0f_ko0:Glo`1]nOl0?oCo01_]o`0<i_l01Moo00;Go`800<ko
00<00<Oo0036o`00bol00P01dol01`04g_l02^Go01S/o`0glol0KOWo0:Glo`3Jo_l03@3kool0603o
o^<0oog50?ol[03on6<0oo4[0?oS203oc`00ok400?n?003oJ000od000?lV003o5`00oaX00?l^003o
CP00og@00?nJ003o_000omL10?oX3P3olcT0ooUa0?ol[080ookST`3kool50?ooo`4000000@3IfMT0
01P0oooo00<000000?ooo`3oool00P3oool60?_oo`0I0?onh`3ooLD0ooZ20?od@@3ojQ80omX20?o2
003oXP00ogh00?mG003o=@00ob400?lK003o9`00od400?mU003oR`00ojl00?o;003oh@H0onlP0?oh
H`3oniH0oog50?onh`0=0?_oo`080=[no`2Uo?l0KOWo04Seo`0Ok_l06ngo00cVo`05gol200;Jo`80
0MKo00/00]Oo00?Lo`03g?l01^;o01C[o`0Tkol0?oCo05ogo`2@nol0__go0=[no`0<0?_oo`80ookS
01H0oob/0?oiL@3olS40onL<0?oC0@3o]P00oiL00?ma003oBP00obh00?lM003o7P00obh00?m<003o
L@00oiL00?ni003od`40onL<0?ob<@3onG40oob/0P3oo^>C0?_oo`D0oooo0@0000010=WIf@00603o
ool00`000000oooo0?ooo`020?ooo`H0nooo01T0ookS0?oma@3onX80ooA10?oZ4P3of`<0ol<00?nT
003oP000oe/00?li003o9P00ob000?lW003o@@00ofD00?n;003o[`00ol/00?oQ1P3okb00ooQS0?ok
UP3ooLD0ookS00`0nooo0P3Jo_l00`2Uo?l0OO[o05?fo`0202obo`0401_]o`0Djol05>_o01C[o`<0
6>co0`0Djol01`0Ok_l0?oCo05?fo`1Omol0T?_o0;kmo`3Jo_l0303kool20?onh`0F0?ol[03onG40
ooA10?oY403of080okX00?nO003oNP00oe<00?le003o9000ob000?l^003oB@00ofh00?nC003o]P00
om410?oT2@3olB/0ooQS0?ol[080ookST`3kool50?ooo`4000000@3IfMT001P0oooo00<000000?oo
o`3oool00P3oool60?_oo`0I0?onh`3ooLD0ooZ20?od@@3ojQ80om/30?o3003oY000oh000?mK003o
>@00obH00?lP003o;000odH00?mX003oSP00ok400?o<003oh@H0onlP0?ohH`3oniH0oog50?onh`0<
0?_oo`80f_ko00<0YOco07gjo`1Omol00P1Cm_l0101Omol0YOco0?onh`3oo^<20?okUP040?ol[03k
ool0f_ko07gjo`80DoKo00D0GoOo07gjo`2@nol0__go0=[no`0<0?_oo`80ookS01H0oob/0?oiL@3o
m440onT@0?oH0P3o_`00oil00?mj003oD`00ocH00?lT003o8P00obl00?m9003oKP00oi<00?nf003o
d@40on@90?oa:`3on6<0oob/0P3oo^>C0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo
0?ooo`020?ooo`H0nooo01T0ookS0?oma@3oniH0ooI;0?o[5@3og0<0ol@00?nW003oP`00oel00?ln
003o:P00obH00?l`003oB@00of/00?n@003o/P00olh00?oR1`3ol2D0ooQS0?okUP3ooLD0ookS00`0
nooo0P3Jo_l01`2noOl0YOco093ko`2noOl0f_ko0?ojPP3olS400P3ojA020?oT2@060?oU2`3ojaD0
on/E0?oc>@3oo:`0__go0P2@nol00`2Uo?l0__go0=[no`0=0?_oo`0I0?onh`3ooLD0ooZ20?ofB`3o
jaD0om/30?o4003oY`00oh<00?mN003o?`00obX00?lW003o<000odP00?m[003oT000ok800?o?003o
hPL0oo0U0?ohH`3oo:`0oog50?onh`2C0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo
0?ooo`020?ooo`H0nooo01T0ookS0?oma@3oniH0ooI;0?o[5@3og0<0olL00?nY003oQP00of800?m2
003o<000ob`00?lf003oCP00ofl00?nC003o]000oll00?oR1`3ol2D0ooQS0?okUP3ooLD0ookS00`0
nooo0`3Jo_l0202noOl0ookS0?okUP3onG40onlP0?oS203of@80omL10`3od0001@3of080om/30?oT
2@3ol2D0ooUa0080nooo00<0__go0=[no`3Jo_l03@3kool06@3oo^<0oog50?okUP3omeH0ondL0?oP
1@3ob000ojh00?n;003oI`00odP00?lb003o;000oc<00?m8003oJP00ohh00?n`003ob`00on460?o_
803omeH0oo^F0?oma@3oo^<0T`3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool0
0P3oool60?_oo`0I0?onh`3ooLD0oo^F0?ofB`3ok1P0omd40?o8003oZ`00ohT00?mW003oB000ocH0
0?la003o>`00oe400?mb003oUP00okL00?o@003oh`P0oo0U0?ohH`3oo:`0oog50?onh`0>0?_oo`09
0=[no`3oo^<0oo^F0?ogEP3olB/0onL<0?oK0`3od@40olh000<0olL000T0olh00?oB0@3og0<0onL<
0?oa:`3onX80oo^F0?onh`3Jo_l03P3kool06@3oo^<0oog50?okUP3on6<0oo0U0?oS203oc000ok@0
0?nD003oL@00odT00?lj003o<000ocH00?m8003oJ000oh/00?n/003ob@00omh40?o]703omT/0oo^F
0?oma@3oo^<0T`3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool60?_o
o`0I0?onh`3ooLD0oo^F0?ofB`3ok1P0omh40?o:003o[P00ohd00?m[003oC@00oc/00?lf003o?@00
oe<00?mb003oUP00okL00?o@003oh`P0oo0U0?ohH`3oo:`0oog50?onh`0?0?_oo`0D0?onh`3onX80
ooA10?o_803oi@/0om`30?oD0@3ocP00olT00?o3003oa`00olX00?oB0@3of`<0on<80?o/603omT/0
ooUa0?ol[03oo^<>0?_oo`80ookS01L0oob/0?oiL@3olS40onD;0?oA0@3o^`00oi`00?mj003oE`00
od800?lg003o=P00odP00?mX003oR@00ojX00?o7003og0<0on/E0?od@@3onX80oog50?onh`2C0?_o
o`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`H0nooo01T0ookS0?oma@3o
niH0ooI;0?o/603ogP@0olX00?n^003oS@00of/00?m=003o>`00ocL00?m1003oF000ogL00?nI003o
^000om810?oT2@3olB/0ooQS0?ol[03ooLD0ookS00h0nooo01D0ookS0?ol[03onG40oo<i0?o/603o
i0T0om`30?oD0@3ocP00olX00?o7003ob@00olh00?oC0@3of`<0on<80?o/603olcT0ooUa0?ol[03o
o^<03P3kool20?onh`0G0?ol[03onG40oo8a0?oU2`3oe040ok/00?nL003oNP00oeL00?m2003o=`00
ocX00?m8003oJ000ohT00?nZ003oa`00om`30?o[5@3om440ooZ20?oma@3oo^<0T`3kool50?ooo`40
00000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool60?_oo`0I0?onh`3ooLD0oo^F0?ogEP3o
kA`0on050?o;003o/000oi000?m`003oDP00od400?lm003oA`00oe`00?mk003oW000okX00?oC0@3o
i@/0oo4[0?oiL@3oo:`0oog50?onh`0=0?_oo`080?onh`3ooLD0oob/0?ohH`3olcT0onlP0?oX3P3o
h`P20?oK0`030?oB0@3oc`00om<10080omT200P0on050?oW303ok1P0oo8a0?ogEP3oniH0oog50?on
h`d0nooo0P3oo^<05P3oo:`0ooZ20?oc>@3ojA00omP20?o2003oY000oh@00?mR003oC000och00?lo
003oCP00ofL00?n7003oZ000ol@00?oK0`3ojQ80ooA10?ojPP3ooLD20?onhi80nooo1@3oool10000
0040fMWI000H0?ooo`030000003oool0oooo0080oooo1P3kool05`3oo^<0oog50?okUP3omeH0ondL
0?oQ1P3oc000ok<00?nD003oM000oeP00?m8003o@`00odd00?mQ003oO`00oj000?nl003oe040onD;
0?ob<@3onG40oob/0080ookS3@3kool0203oo^<0oog50?okUP3onG40ooA10?oc>@3okA`0onT@0P3o
i0T00`3ohPL0on460?oR1`020?oS20080?oW303ok1P0oo4[0?od@@3on6<0ooZ20?ol[03oo^<>0?_o
o`0G0?onh`3ooLD0oo^F0?ofB`3ojaD0om/30?o8003o[000ohh00?m]003oE000odH00?m3003oD000
ofP00?n6003oYP00ol800?oI0P3ojA00oo<i0?ojPP3oo:`00P3oo^>B0?_oo`D0oooo0@0000010=WI
f@00603oool00`000000oooo0?ooo`020?ooo`H0nooo01L0ookS0?oma@3oniH0ooMF0?o_803ohPL0
oll00?nf003oV000ogT00?mN003oCP00odT00?m@003oHP00ogl00?nP003o_000om@10?oU2`3olS40
ooUa0?ol[0020?onh`d0nooo00@0ookS0?oma@3oo:`0ooZ20P3omeH01@3olcT0oo4[0?oc>@3olcT0
ooA10080ooI;0P3om4420?ob<@050?od@@3on6<0ooQS0?ojPP3oo:`00P3oo^<=0?_oo`0G0?onh`3o
oLD0oo^F0?ogEP3okb00omh40?o>003o]000oiL00?mg003oGP00odh00?m9003oD000ofP00?n6003o
Y000ol000?oH0P3oj0h0oo8a0?oiL@3oo:`00P3oo^>B0?_oo`D0oooo0@0000010=WIf@00603oool0
0`000000oooo0?ooo`020?ooo`H0nooo01L0ookS0?oma@3oniH0ooMF0?o_803ohPL0oll00?nf003o
V000ogT00?mN003oCP00odX00?mC003oJ000oh<00?nR003o_`00omH10?oW303olS40ooUa0?ol[002
0?onh``0nooo0P3oo^<00`3ooLD0oob/0?okUP020?oiL@050?ojPP3oo:`0f_ko093ko`1Omol00P1C
m_l02@1]nOl0YOco0?onh`3oniH0ooZ20?oiL@3onX80oo^F0?ol[0020?onh`d0nooo01L0ookS0?om
a@3oniH0ooMF0?o_803oh@H0olh00?nd003oU`00ogL00?mN003oCP00od`00?mC003oJ@00ohH00?nT
003o`000omP20?oX3P3olS40ooUa0?ol[0020?onhi80nooo1@3oool100000040fMWI000H0?ooo`03
0000003oool0oooo0080oooo1P3kool05`3oo^<0oog50?okUP3omeH0onlP0?oS203od@40okP00?nK
003oO`00of<00?mD003oD000oeT00?m^003oR000ojH00?o1003of080onP>0?oc>@3onG40oob/0080
ookS303kool20?onh`80oog500P0oob/0?oma@3oo^<0YOco04Seo`0Ok_l06>co00cVo`802NCo00D0
3NOo01;Zo`0Yl?l0GoOo0;kmo`020?oma@040?ol[03ooLD0ookS0?onh`d0nooo01L0ookS0?oma@3o
niH0ooQS0?oa:`3oi0T0om<10?nk003oW`00oh400?mX003oEP00oe400?mH003oJP00ohH00?nS003o
_`00omH10?oW303olB/0ooUa0?ol[0020?onhi80nooo1@3oool100000040fMWI000H0?ooo`030000
003oool0oooo0080oooo1P3kool05`3oo^<0oog50?ol[03on6<0oo0U0?oT2@3odP40ok/00?nO003o
P`00ofX00?mK003oE`00of000?mb003oS@00ojT00?o4003of@80onT@0?oc>@3onX80oob/0080ookS
3@3kool30?onh`080?_oo`2noOl0T?_o03odo`0Hk?l02NCo00KQo`02f_l200;Go`0800?Ko`03g?l0
2NCo01_]o`18mOl0YOco0;kmo`3kool30?onh`d0nooo0P3oo^<05`3oo:`0ooUa0?ob<@3oi``0omP2
0?o2003oY`00ohX00?ma003oG`00oeL00?mL003oK@00ohH00?nR003o_@00om@10?oU2`3olB/0ooQS
0?ol[03ooLD0ookS0980nooo1@3oool100000040fMWI00030?ooo`<000000P3oool00`000000oooo
0?ooo`0200000080oooo0`0000060?ooo`030000003oool0oooo0080oooo1P3kool05`3oo^<0oog5
0?ol[03on6<0oo0U0?oU2`3oe040okd00?nS003oR000og000?mR003oGP00ofH00?mg003oT@00oj`0
0?o7003ofP80onXB0?oc>@3onX80oob/0080ookS3P3kool02P3oo^<0nooo0;kmo`1mn_l0DoKo02C_
o`0=iol01Moo00;Jo`01dol2003Ao`0:007Co`02eol01=ko00cVo`0Tkol0DoKo07gjo`2noOl0nooo
0?onh`h0nooo0P3oo^<05`3oo:`0ooZ20?od@@3ojA00om`30?o8003o[`00oi<00?mj003oI`00oeh0
0?mQ003oK`00ohH00?nQ003o_000om<10?oT2@3ol2D0ooQS0?ol[03ooLD0ookS0980nooo1@3oool1
00000040fMWI00040?ooo`030000003oool0oooo00<0oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool60?_oo`0G0?onh`3o
oLD0oob/0?ohH`3olB/0onL<0?oF0@3o`@00ojL00?n>003oMP00ofP00?mU003oJ@00ogT00?nA003o
[000olL00?oJ0P3ojQ80oo<i0?ojPP3oo:`00P3oo^<@0?_oo`080;kmo`1]nOl0B?Go02C_o`0=iol0
1^;o00CMo`02fOl2007Bo`09007Fo`02fOl01=ko00cVo`0KkOl0?oCo05ogo`2@nol0f_ko00l0nooo
0P3oo^<05`3ooLD0oo^F0?ofB`3ojaD0on050?o>003o]`00oi/00?n3003oKP00ofD00?mS003oK`00
ohH00?nQ003o^`00om410?oS203okb00ooMF0?okUP3ooLD0ookS0980nooo1@3oool100000040fMWI
00040?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000103oool00`000000oooo
0?ooo`030?ooo`<000000P3oool60?_oo`0G0?onh`3ooLD0oob/0?ohH`3olB/0onL<0?oF0@3o`@00
ojL00?n>003oMP00ofP00?mU003oK@00ogl00?nF003o/@00olT00?oL0`3ojQ80ooA10?ojPP3oo:`0
0P3oo^<?0?_oo`090=[no`2Uo?l0KOWo03odo`0Ok_l03NOo00KRo`04gOl00]Wo00800MKo00T00]Wo
00?Ko`06hOl03>Ko01_]o`0glol0GoOo093ko`3Jo_l0403kool0603oo^<0oog50?okUP3omT/0ondL
0?oP1@3ocP00okL00?nL003oP`00ofh00?mV003oI`00og800?n7003oX@00ok/00?oA0@3oh`P0onlP
0?ogEP3oniH0oog50?onhi80nooo1@3oool100000040fMWI00040?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
0080oooo1P3kool05`3oo^<0oog50?ol[03onG40oo8a0?oX3P3of080ol<00?n[003oTP00og`00?m_
003oJ`00og<00?n4003oVP00ok@00?o;003og@@0on/E0?od@@3onX80oob/0080ookS3P3kool01`3J
o_l0__go0:Glo`1]nOl0B?Go02W`o`0KkOl00P0=iol00`06h_l01Moo00GOo`0200KQo`0800gWo`0H
k?l09>oo03Oco`1Omol0T?_o0;kmo`3Jo_l?0?_oo`0;0?onh`3ooLD0oo^F0?ogEP3okb00on@90?oC
0@3o_@00oj@00?n=003oM`000P3oK@002`3oMP00ohP00?nQ003o^P00om000?oR1`3okb00ooMF0?ok
UP3ooLD0ookS0980nooo1@3oool100000040fMWI00040?ooo`030000003oool0oooo00<0oooo00D0
00000?ooo`3oool000000?ooo`03000000H0oooo00<000000?ooo`3oool00P3oool60?_oo`80ookS
01D0oob/0?oiL@3olS40onT@0?oJ0P3oa@00ojl00?nH003oPP00ogH00?mb003oN@00ohP00?nO003o
^000olh00?oP1@3ok1P0ooI;0?ojPP3ooLD00P3oo^<>0?_oo`070=[no`2noOl0YOco06gio`1Omol0
B?Go02obo`0202C_o`H07nko00L0:O3o03odo`1Cm_l0KOWo093ko`2noOl0f_ko00l0nooo01L0ookS
0?oma@3oo:`0ooQS0?oa:`3oj0h0omP20?o4003o[000oiH00?n0003oM000og800?mj003oR`00oj80
0?nj003od000on460?o]703omT/0oo^F0?oma@020?onhi40nooo1@3oool100000040fMWI00030?oo
o`8000001@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool00P3oool60?_oo`80ookS01D0oob/0?oiL@3olcT0onXB0?oK0`3ob@00ok800?nL003o
R000og`00?mi003oP000ohd00?nT003o^`00om000?oQ1P3okA`0ooI;0?okUP3ooLD00P3oo^<>0?_o
o`80f_ko00<0YOco093ko`2@nol00P1]nOl2093ko`030;kmo`3Jo_l0f_ko0080__go00<0T?_o06gi
o`1Omol00P1mn_l0102Uo?l0__go0=[no`3Jo_l>0?_oo`80ookS01D0oob/0?oiL@3olS40onXB0?oL
0`3obP00ok@00?nM003oR@00og`00?mi003oO`00ohh00?nR003o^@00oll00?oP1@3ok1P0ooI;0?oj
PP3ooLD00P3oo^>A0?_oo`D0oooo0@0000010=WIf@00103oool00`000000oooo0?ooo`040?ooo`80
00000`3oool3000000D0oooo00<000000?ooo`3oool00P3oool60?_oo`80ookS01D0oob/0?oiL@3o
lcT0onXB0?oM103ob`00okL00?nQ003oSP00oh800?mn003oP`00ohl00?nT003o^`00om000?oQ1P3o
kA`0ooI;0?okUP3ooLD00P3oo^<>0?_oo`80f_ko00D0__go0:Glo`2Uo?l0__go0?oma@020?oiL@03
0?ofB`3olcT0oo<i0080oo<i00<0ooMF0?okUP3kool00`2Uo?l00`2noOl0f_ko0=[no`0>0?_oo`80
ookS01D0oog50?ojPP3om440ondL0?oQ1P3od000okX00?nV003oTP00oh@00?mn003oP@00ohh00?nR
003o^@00olh00?oN103ok1P0ooA10?ojPP3oo:`00P3oo^>A0?_oo`D0oooo0@0000010=WIf@00603o
ool00`000000oooo0?ooo`020?ooo`H0nooo0P3oo^<05P3oo:`0ooUa0?oc>@3ojQ80omd40?o;003o
]`00oj400?n>003oPP00oh000?n6003oU000ojP00?no003odP40on870?o_803omeH0oo^F0?oma@3o
o^<?0?_oo`@0f_ko00H0nooo0?oma@3onG40oo<i0?o`9@3ojQ820?oW30070?oX3P3ojQ80onlP0?od
@@3onX80oog50?_oo`040=[no`h0nooo0P3oo^<05@3ooLD0ooZ20?ofB`3okA`0on460?o@003o^`00
ojH00?nB003oQ000oh400?n3003oT@00oj<00?ni003ocP00omh40?o/603om440ooZ20?ol[0020?on
hi40nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo1P3kool20?onh`0F
0?ol[03onX80ooA10?o[5@3ogP@0oll00?nj003oYP00oi<00?n9003oQ`00ohd00?nJ003o[000ol80
0?oD0@3oi0T0onlP0?ogEP3oniH0oog50?onha80nooo00L0ookS0?ol[03on6<0oo<i0?o]703ojA00
on<800<0on0500L0on870?oW303okA`0oo<i0?oiL@3oo:`0ookS0180nooo01H0ookS0?oma@3oniH0
ooMF0?o`9@3oi0T0omH10?o2003o[P00oiX00?n=003oQP00ohT00?nD003oY000okX00?o>003ogP@0
on/E0?od@@3onX80oob/0P3oo^>A0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?oo
o`020?ooo`H0nooo0P3oo^<05P3ooLD0ooZ20?od@@3ok1P0on460?oA0@3o_@00oj/00?nI003oT000
ohd00?nB003oW@00ok400?o4003oe`40onD;0?o`9@3omeH0oo^F0?oma@3oo^<A0?_oo`0C0?onh`3o
o:`0ooZ20?ofB`3olB/0on/E0?oW303ohPL0omh40?oM103ogP@0on460?oU2`3ojQ80oo0U0?ofB`3o
nG40oob/0?onh`0A0?_oo`0F0?onh`3ooLD0oob/0?ohH`3olS40onP>0?oJ0P3ob000okH00?nR003o
U000oh/00?n?003oU`00ojL00?nj003ocP00omd40?oZ4P3olcT0ooUa0?ol[080ookST@3kool50?oo
o`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool60?_oo`80ookS01H0oog50?ojPP3o
mT/0ondL0?oR1`3od`40ol800?n`003oW`00oiH00?nB003oV@00oj800?nf003ob000omT20?oW303o
lB/0ooQS0?okUP3ooLD0ookS403kool02`3oo^<0oog50?ol[03onG40ooI;0?ob<@3ok1P0onXB0?oW
303ohPL0omh40080on8700P0onL<0?o/603ol2D0ooA10?ohH`3oniH0oog50?onha00nooo0P3oo^<0
5P3oo:`0ooUa0?oc>@3ojaD0omh40?o?003o_000ojX00?nL003oT@00oi<00?nI003oZ000ok/00?o>
003og@@0onXB0?oc>@3onG40oob/0?oma@3oo^>A0?_oo`D0oooo0@0000010=WIf@00603oool00`00
0000oooo0?ooo`020?ooo`H0nooo0P3oo^<05P3ooLD0oo^F0?ofB`3okb00on@90?oF0@3oa@00ok@0
0?nT003oV`00oiL00?nK003oY000okH00?o8003of@80onL<0?oa:`3on6<0oo^F0?oma@3oo^<@0?_o
o`060?onh`3ooLD0oob/0?ojPP3on6<0ooA10P3okb000`3ojQ80onL<0?oU2`020?oW30080?oZ4P3o
kb00oo8a0?ofB`3on6<0oo^F0?ol[03oo^<@0?_oo`80ookS01H0oog50?oiL@3omT/0ondL0?oR1`3o
dP40ol<00?nb003oX@00oiL00?nH003oV`00ojP00?nk003ocP00omd40?oZ4P3olcT0ooUa0?ol[03o
oLD0ookST@3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool60?_oo`80
ookS01H0oog50?okUP3omT/0onlP0?oT2@3oeP40olD00?nd003oY000oi/00?nI003oW`00ojX00?nj
003ob`00om/30?oX3P3olS40ooQS0?ol[03ooLD0ookS403kool01P3oo^<0oog50?ol[03onX80ooQS
0?ofB`80oo8a00<0oo0U0?o_803okb000P3okb001`3ol2D0oo8a0?od@@3omeH0ooUa0?okUP3oo:`0
0P3oo^<?0?_oo`80ookS01H0oog50?ojPP3omT/0ondL0?oR1`3od`40ol<00?nb003oX@00oi/00?nI
003oX000ojX00?nl003ocP00omd40?oZ4P3olcT0ooUa0?ol[03ooLD0ookST@3kool50?ooo`400000
0@3IfMT001P0oooo00<000000?ooo`3oool00P3oool60?_oo`80ookS01H0oog50?okUP3omeH0oo0U
0?oU2`3of080olT00?ni003oZP00oj400?nO003oY000ojl00?nm003oc`00omd40?oZ4P3olS40ooUa
0?ol[03ooLD0ookS3`3kool20?onh`050?oma@3oo:`0oo^F0?ojPP3onG400P3on6<60?oiL@80ooQS
0P3onX80103oo:`0oog50?oma@3oo^<?0?_oo`80ookS01H0oog50?okUP3omeH0oo0U0?oU2`3of@80
olT00?ni003oZ@00oj800?nO003oXP00oj`00?nm003oc`00omd40?oY403olS40ooUa0?ol[03ooLD0
ookST@3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool70?_oo`0G0?on
h`3ooLD0oo^F0?ogEP3olB/0onP>0?oK0`3oc000ok`00?n_003oY`00oj@00?nZ003o/P00ol800?oA
0@3oh0D0on/E0?oc>@3onG40oob/0?oma@3oo^<03`3kool30?onh`80oog500D0oob/0?oma@3kool0
nooo0;kmo`04093ko`030;kmo`3kool0oog500<0oob/00@0oog50?onh`3oo^<0ookS3`3kool02`3o
o^<0oog50?okUP3on6<0oo8a0?oY403og@@0oll00?o0003o/@00ojP00080ojH000X0ok800?no003o
c`00omd40?oY403olS40ooQS0?ol[03ooLD0ookST@3kool50?ooo`4000000@3IfMT001P0oooo00<0
00000?ooo`3oool00P3oool70?_oo`0G0?onh`3ooLD0oo^F0?ohH`3olS40onT@0?oM103oc`00ol40
0?nd003o[000ojT00?n^003o]000ol800?oA0@3oh0D0on/E0?oc>@3onG40oob/0?oma@3oo^<0403k
ool40?onh`060?_oo`2noOl0KOWo06gio`0om?l0;o;o0`0Yl?l00`0glol0GoOo0:Glo`020=[no`D0
ookS3`3kool20?onh`090?ol[03onG40ooA10?o/603oh@H0om@10?o5003o^000ojh00080ojT000X0
ok800?no003oc`00omd40?oY403olS40ooQS0?okUP3ooLD0ookST@3kool50?ooo`4000000@3IfMT0
01P0oooo00<000000?ooo`3oool00P3oool70?_oo`0E0?onh`3ooLD0oo^F0?ohH`3olS40onT@0?oM
103oc`00ol400?nd003o[000oj/00?n_003o^@00olD00?oD0@3ohPL0on`H0?od@@3onG40oob/0080
ookS403kool30?onh`070?_oo`3Jo_l0T?_o05ogo`0om?l0:O3o01_]o`0201S/o`0701_]o`0Tkol0
?oCo05ogo`2@nol0f_ko0?_oo`040?onh`l0nooo0P3oo^<05@3oo:`0ooUa0?od@@3ok1P0on460?oD
0@3oa@00okP00?n_003oZ`00oj`00?nf003o`@00om000?oM103ojA00oo8a0?ohH`3oniH0oog50?on
h`2A0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`L0nooo01D0ookS
0?oma@3oniH0ooQS0?ob<@3ojQ80on050?oB0@3oa@00okT00?nb003o/000ok@00?nm003ob@00omL1
0?oS203okA`0ooA10?ojPP3oo:`00P3oo^<C0?_oo`070=[no`2Uo?l0KOWo04Seo`0Yl?l06ngo01;Z
o`0200oXo`0801;Zo`0Hk?l0:O3o03odo`1Omol0T?_o0;kmo`3Jo_lB0?_oo`80ookS00T0oob/0?oj
PP3omT/0onlP0?oU2`3of@80ol/00?no003o]P000P3o/@002P3o^000ol<00?oA0@3og@@0onT@0?ob
<@3on6<0oo^F0?oma@3oo^>A0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`02
0?ooo`L0nooo01D0ookS0?oma@3oo:`0ooUa0?oc>@3ojaD0on460?oF0@3ob@00okd00?ng003o]P00
okT00?o1003ocP00omX20?oU2`3okb00ooI;0?ojPP3ooLD00P3oo^<B0?_oo`080=[no`2noOl0T?_o
05ogo`0om?l0:O3o01o^o`0Hk?l301;Zo`0701_]o`0Yl?l0=o?o05?fo`1mn_l0YOco0=[no`0B0?_o
o`80ookS00T0oog50?okUP3on6<0oo4[0?oX3P3og@@0om410?o4003o^`000P3o]0002@3o^`00ol@0
0?oB0@3og@@0onT@0?oa:`3on6<0oo^F0?oma@020?onhi00nooo1@3oool100000040fMWI000H0?oo
o`030000003oool0oooo0080oooo1`3kool20?onh`0C0?ol[03onG40ooA10?o]703oh`P0omP20?o<
003o`P00ok`00?nj003o_@00ol@00?oA0@3og0<0onL<0?o`9@3omeH0ooZ20?oma@020?onha40nooo
0P3Jo_l0202Uo?l0T?_o06gio`18mOl0?oCo02obo`0Ok_l06>co0P0KkOl0200Tkol0=o?o04Seo`1O
mol0OO[o0:Glo`2noOl0f_ko4P3kool02P3oo^<0oog50?ol[03onG40oo<i0?o[5@3oh@H0omH10?o:
003o`@020?nh00090?no003oa`00om<10?oN103ojA00oo4[0?ohH`3oniH0oog50080ookST03kool5
0?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool70?_oo`80ookS01<0oob/0?oi
L@3omT/0onlP0?oU2`3of`<0om000?o7003o`@00okd00?o1003oa@00om410?oL0`3oi``0oo0U0?og
EP3onX80oog50080ookS4@3kool20=[no`030;kmo`2Uo?l0OO[o0080GoOo00<0B?Go03Oco`0_l_l0
0P0_l_l00`0glol0B?Go05ogo`0207gjo`030:Glo`2noOl0f_ko0180nooo00X0ookS0?oma@3oo:`0
ooZ20?ofB`3okA`0onD;0?oJ0P3od000olD00P3o_0002@3o_`00olL00?oC0@3ogP@0onT@0?oa:`3o
meH0oo^F0?oma@020?onhi00nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080
oooo1`3kool20?onh`0C0?ol[03onX80ooI;0?o_803oi@/0om/30?o@003oa`00ol400?o0003o`P00
olX00?oC0@3ogP@0onT@0?oa:`3omeH0oo^F0?oma@020?onha40nooo0P3Jo_l00`2noOl0YOco093k
o`0207gjo`L0KOWo0P1mn_l0102@nol0YOco0;kmo`3Jo_lB0?_oo`0E0?onh`3ooLD0oob/0?ojPP3o
mT/0ondL0?oU2`3ofP80om000?o7003o`@00ol000?o3003ob@00om@10?oN103ojA00oo4[0?ogEP3o
niH0oog50080ookST03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool7
0?_oo`80ookS01<0oob/0?ojPP3omT/0oo0U0?oX3P3og@@0om<10?o:003oa@00ol@00?o7003ocP00
omL10?oQ1P3ojQ80oo8a0?ohH`3oniH0oog50080ookS4@3kool20=[no`D0__go00<0f_ko0?_oo`3o
o^<00P3oo^<00`3kool0f_ko0;kmo`020:Glo`040;kmo`3Jo_l0f_ko0=[noa40nooo0P3oo^<04`3o
oLD0ooZ20?ogEP3olB/0onT@0?oN103oe040olX00?o5003o``00olL00?o;003oeP40on050?oY403o
lB/0ooMF0?okUP3ooLD00P3oo^>@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?oo
o`020?ooo`L0nooo0P3oo^<04`3ooLD0ooZ20?ogEP3olB/0onT@0?oP1@3oe`40oll00?o:003ob000
ol/00?o@003ofP80on<80?o/603olcT0ooQS0?okUP3ooLD00P3oo^<B0?_oo`<0f_ko00@0nooo0?om
a@3ooLD0oo^F1@3onG40103oniH0oog50?_oo`3kool30=[noa80nooo0P3oo^<04`3ooLD0oo^F0?oh
H`3olS40on/E0?oS203of@80om000?o9003ob000olX00?o>003of080on460?oZ4P3olB/0ooMF0?ok
UP3ooLD00P3oo^>@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`L0
nooo0P3oo^<0503ooLD0oo^F0?ohH`3olS40on/E0?oR1`3ofP80om810?o>003ob`00oll00?oC0@3o
g0<0onD;0?o]703om440ooUa0?ol[03ooLD0ookS5@3kool01P3oo^<0oog50?okUP3onX80ooQS0?of
B`@0ooA100D0ooMF0?oiL@3oo:`0oob/0?onh`0E0?_oo`0:0?onh`3ooLD0oob/0?oiL@3om440onlP
0?oW303og@@0om@10?o>0080ol`000P0om810?oI0P3ohPL0onXB0?oa:`3omeH0oo^F0?oma@80ookS
T03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool70?_oo`80ookS01@0
oog50?okUP3on6<0oo<i0?o/603oi0T0om`30?oF0@3od@40oll00?oA0@3oe040om`30?oU2`3okA`0
ooA10?oiL@3oo:`0oog50?onhaD0nooo00H0ookS0?ol[03onX80ooUa0?ofB`3olcT30?ob<@070?oc
>@3om440ooMF0?ojPP3oniH0oog50?onh`0D0?_oo`80ookS0180oob/0?ojPP3omT/0oo4[0?oY403o
hPL0omT20?oA0@3od000oll00?oB0@3of@80on870?oZ4P3olB/0ooMF0?ojPP3oo:`20?onhi00nooo
1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo1`3kool20?onh`0D0?oma@3o
niH0ooQS0?oc>@3ok1P0on@90?oL0`3oeP40om810?oA0@3od`40omP20?oP1@3oj0h0onlP0?od@@3o
nG40oob/0?oma@3oo^<D0?_oo`070?onh`3ooLD0oob/0?ojPP3on6<0ooI;0?oc>@030?ob<@060?oc
>@3om440ooMF0?oiL@3oniH0oog50P3oo^<C0?_oo`80ookS00P0oob/0?ojPP3omeH0oo4[0?oY403o
hPL0omT20?oD0@80om4100P0om@10?oK0`3ohPL0onXB0?oa:`3omeH0ooZ20?ol[080ookST03kool5
0?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool70?_oo`80ookS01@0oog50?ok
UP3onG40ooA10?o]703oi``0on050?oI0P3oeP40om@10?oG0@3of`<0on870?oY403ol2D0ooI;0?oj
PP3oo:`0oog50?onha<0nooo0P3oo^<01`3ooLD0oo^F0?ojPP3onG40ooMF0?ofB`3om4400P3olcT0
203om440ooMF0?ohH`3onG40oo^F0?ol[03ooLD0ookS4`3kool20?onh`0B0?oma@3oniH0ooQS0?ob
<@3ok1P0onD;0?oM103of080om@10?oC0@3of080om`30?oS203ojaD0oo8a0?ogEP3onX80oob/0P3o
o^>@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`L0nooo0P3oo^<0
4P3ooLD0oo^F0?oiL@3om440oo0U0?oY403ohPL0om`30?oI0P3oe`40omX20?oM103oi0T0on/E0?oa
:`3omeH0ooZ20?ol[080ookS4`3kool20?onh`060?oma@3oo:`0oo^F0?ojPP3onG40ooQS103omeH0
1P3on6<0ooZ20?okUP3oniH0oob/0?oma@80ookS4P3kool20?onh`0B0?oma@3oo:`0ooUa0?od@@3o
kb00onP>0?oQ1P3of`<0omT20?oG0@3ofP80omh40?oT2@3ojaD0oo8a0?ogEP3onX80oob/0P3oo^>@
0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`P0nooo01<0ookS0?om
a@3oo:`0ooZ20?ofB`3olB/0on/E0?oT2@3ogP@0om/30?oJ0P3og0<0on050?oW303ok1P0oo8a0?oh
H`3onX80oob/0080ookS4`3kool20?onh`80oog50P3oo:`20?okUP@0ooZ20P3oniH20?ol[0040?om
a@3oo^<0ookS0?onha80nooo0P3oo^<04P3ooLD0oob/0?ojPP3omT/0oo4[0?o[5@3oi0T0omd40?oL
0`3of@80om`30?oP1@3oi``0on`H0?ob<@3omeH0ooZ20?ol[080ookST03kool50?ooo`4000000@3I
fMT001P0oooo00<000000?ooo`3oool00P3oool80?_oo`0C0?onh`3ooLD0oob/0?ojPP3omeH0oo8a
0?o/603oi``0on870?oM103og0<0omh40?oQ1P3oi``0on`H0?ob<@3on6<0ooZ20?ol[0020?onha<0
nooo0`3oo^<40?oma@H0ookS103ooLD30?onha<0nooo0P3oo^<04@3ooLD0ooZ20?ohH`3olcT0ondL
0?oX3P3oh@H0on050?oL0`3og@@0on460?oW303ok1P0oo8a0?ogEP3onX80oob/0080ookST03kool5
0?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool80?_oo`0C0?onh`3ooLD0oob/
0?ojPP3omeH0oo8a0?o/603oi``0on870?oN103og@@0on050?oS203ojA00onlP0?oc>@3on6<0oo^F
0?oma@020?onha<0nooo103oo^<20?_oo`030=[no`2noOl0YOco00<0YOco00@0__go0=[no`3kool0
nooo103oo^<C0?_oo`80ookS0140oog50?okUP3on6<0oo<i0?o]703oj0h0on<80?oP1@3og@@0omh4
0?oR1`3oj0h0ondL0?ob<@3omeH0ooZ20?ol[0020?onhi00nooo1@3oool100000040fMWI000H0?oo
o`030000003oool0oooo0080oooo203kool20?onh`0A0?ol[03onX80ooQS0?oc>@3okA`0onT@0?oT
2@3ohPL0on460?oR1`3oi@/0on/E0?o`9@3om440ooUa0?okUP3ooLD00P3oo^<G0?_oo`030=[no`2n
oOl0YOco00H0OO[o00<0YOco0;kmo`3Jo_l05`3kool20?onh`0A0?oma@3oniH0ooUa0?ofB`3ol2D0
on/E0?oU2`3ohPL0on460?oR1`3oi0T0onT@0?o]703olcT0ooMF0?ojPP3oo:`00P3oo^>@0?_oo`D0
oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`P0nooo0P3oo^<04@3oo:`0oo^F
0?ohH`3om440oo0U0?o[5@3oi``0on@90?oS203oi@/0onL<0?o/603olB/0ooI;0?oiL@3oo:`0oog5
0080ookS5P3kool0103Jo_l0__go0:Glo`2@nol206gio`<0GoOo00@0KOWo07gjo`2Uo?l0__go0P3J
o_lE0?_oo`80ookS00P0oog50?ol[03onX80ooMF0?ob<@3okA`0onP>0?oU2`80on<800T0onD;0?oZ
4P3okb00oo<i0?ohH`3onX80oob/0?oma@3oo^<0T03kool50?ooo`4000000@3IfMT001P0oooo00<0
00000?ooo`3oool00P3oool80?_oo`80ookS0140oog50?okUP3onG40ooI;0?oa:`3ok1P0onT@0?oW
303oi@/0onL<0?oX3P3ok1P0oo4[0?ofB`3onG40oob/0?oma@020?onhaH0nooo00H0f_ko0;kmo`2U
o?l0T?_o07gjo`1]nOl205ogo`80KOWo00D0OO[o093ko`2Uo?l0__go0=[no`0F0?_oo`80ookS00L0
oob/0?okUP3on6<0ooA10?o`9@3ojQ80onP>0080onD;00T0onL<0?o[5@3okb00oo<i0?ohH`3onX80
oob/0?oma@3oo^<0T03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool8
0?_oo`80ookS00L0oog50?okUP3onG40ooI;0?oa:`3ok1P0onT@0080onL<00P0onP>0?oZ4P3okb00
oo8a0?ogEP3onX80oob/0?oma@80ookS5@3kool20=[no`040;kmo`2Uo?l0T?_o07gjo`@0KOWo0P1m
n_l0102@nol0YOco0;kmo`3Jo_lF0?_oo`80ookS00L0oob/0?okUP3on6<0ooA10?o`9@3ojaD0onP>
0080onL<00T0onP>0?o[5@3ol2D0oo<i0?ohH`3onX80oob/0?oma@3oo^<0T03kool50?ooo`400000
0@3IfMT001P0oooo00<000000?ooo`3oool00P3oool80?_oo`80ookS00L0oog50?ol[03onG40ooMF
0?ob<@3okb00on/E0080onT@00P0onXB0?o/603ol2D0ooA10?ohH`3onX80oob/0?oma@80ookS5@3k
ool20=[no`040;kmo`2Uo?l0YOco093ko`@0OO[o00<0T?_o0:Glo`2Uo?l00P2noOl20=[noaD0nooo
0P3oo^<01`3ooLD0oo^F0?oiL@3omT/0oo8a0?o]703ojaD00P3ojA002@3ojQ80on`H0?o`9@3om440
ooQS0?okUP3oo:`0oog50?onh`2@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?oo
o`020?ooo`P0nooo0P3oo^<0403ooLD0oob/0?ojPP3omeH0oo<i0?o`9@3okA`0on/E0?oZ4P3ojaD0
ondL0?oa:`3om440ooQS0?okUP3oo:`20?onhaH0nooo0P3Jo_l40;kmo`D0YOco0`2noOl30=[noaD0
nooo0P3oo^<04P3ooLD0oob/0?ojPP3omeH0oo<i0?o`9@3okA`0on/E0?oZ4P3ojaD0ondL0?oa:`3o
m440ooQS0?okUP3oo:`0oog50?onhi00nooo1@3oool100000040fMWI000H0?ooo`030000003oool0
oooo0080oooo203kool20?onh`0@0?oma@3oo:`0ooZ20?ohH`3om440oo8a0?o_803okA`0on`H0?o]
703okb00oo<i0?ofB`3onG40oo^F0?oma@80ookS5`3kool60=[no`<0nooo1P3Jo_lG0?_oo`0C0?on
h`3ooLD0oob/0?okUP3onG40ooI;0?ob<@3ol2D0ondL0?o[5@3okA`0onlP0?ob<@3omT/0ooQS0?ok
UP3oo:`0oog50?onh`2@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oo
o`T0nooo0140ookS0?oma@3oo:`0oo^F0?oiL@3omT/0oo<i0?o`9@3okb00ondL0?o_803ol2D0oo<i
0?ofB`3onG40oo^F0?oma@020?onha/0nooo0P3oo^<30?oma@80ookS6`3kool20?onh`0A0?oma@3o
niH0ooZ20?ogEP3olcT0oo4[0?o`9@3okA`0onlP0?o`9@3olS40ooI;0?ohH`3oniH0oob/0?oma@3o
o^<0T03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool90?_oo`080?on
h`3ooLD0oob/0?okUP3onG40ooI;0?oc>@3ol2D20?o_80070?o`9@3olB/0ooA10?ogEP3onX80oo^F
0?oma@020?onhaT0nooo0P3oo^<00`3ooLD0oob/0?ol[0030?ol[0030?oma@3oo^<0ookS01T0nooo
0P3oo^<01`3ooLD0oo^F0?ojPP3omeH0ooA10?oa:`3ol2D00P3okb00203olB/0oo<i0?ofB`3onG40
oo^F0?ol[03ooLD0ookST03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3o
ool90?_oo`80ookS00l0oog50?okUP3onG40ooMF0?od@@3olS40oo4[0?o`9@3olB/0oo8a0?ofB`3o
n6<0ooZ20?ol[03ooLD00P3oo^<H0?_oo`80ookS00<0oog50?ol[03oo:`00`3oniH20?ol[080oog5
0P3oo^<G0?_oo`80ookS0140oog50?ol[03onX80ooQS0?ofB`3olcT0oo4[0?o`9@3olB/0oo8a0?oc
>@3omeH0ooUa0?okUP3oo:`0oog50?onh`2@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000
oooo0?ooo`020?ooo`T0nooo0P3oo^<03`3ooLD0oob/0?ojPP3on6<0ooI;0?oc>@3olS40oo4[0?ob
<@3olcT0ooMF0?oiL@3oniH0oob/0?oma@020?onhaL0nooo0P3oo^<20?oma@80oob/0`3oniH20?ol
[080oog50P3oo^<H0?_oo`070?onh`3ooLD0oog50?okUP3onG40ooMF0?od@@030?ob<@080?oc>@3o
m440ooMF0?oiL@3oniH0oob/0?oma@3oo^>@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000
oooo0?ooo`020?ooo`T0nooo0P3oo^<03`3ooLD0oob/0?ojPP3onG40ooMF0?od@@3olcT0oo8a0?oc
>@3om440ooMF0?oiL@3oniH0oob/0?oma@020?onhaL0nooo0P3oo^<30?oma@D0oob/0`3ooLD30?on
haL0nooo0P3oo^<01P3ooLD0oob/0?ojPP3on6<0ooMF0?od@@80oo<i00H0ooA10?ofB`3on6<0ooZ2
0?okUP3ooLD20?onhi00nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo
2@3kool20?onh`0?0?oma@3oo:`0oo^F0?oiL@3on6<0ooI;0?od@@3olcT0ooA10?ofB`3omeH0ooUa
0?okUP3oo:`0oog50080ookS5`3kool40?onh`80oog50`3oo:`40?oma@<0ookS5`3kool20?onh`06
0?oma@3oo:`0oo^F0?oiL@3on6<0ooI;0`3om4401@3omT/0ooQS0?ojPP3oniH0oog50080ookST03k
ool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool90?_oo`80ookS00H0oog5
0?ol[03oniH0ooUa0?ohH`3omT/20?od@@060?ofB`3omeH0ooQS0?ojPP3oniH0oog50P3oo^<H0?_o
o`D0ookS1P3ooLD50?onhaL0nooo0P3oo^<01P3ooLD0oob/0?okUP3onG40ooQS0?ofB`80ooA100H0
ooI;0?ogEP3on6<0ooZ20?okUP3ooLD20?onhi00nooo1@3oool100000040fMWI000H0?ooo`030000
003oool0oooo0080oooo2@3kool20?onh`80oog500@0oo^F0?ojPP3on6<0ooMF0P3omT/20?ogEP04
0?oiL@3onX80oob/0?oma@80ookS603kool?0?onhaP0nooo0`3oo^<01@3ooLD0oo^F0?ojPP3onG40
ooMF00<0ooI;00D0ooMF0?oiL@3onX80oob/0?oma@020?onhi00nooo1@3oool100000040fMWI000H
0?ooo`030000003oool0oooo0080oooo2@3kool30?onh`050?oma@3oo:`0ooZ20?oiL@3on6<00`3o
meH01@3on6<0ooZ20?okUP3oo:`0oog50080ookS7P3kool30=[noal0nooo0P3oo^<01@3ooLD0oob/
0?okUP3onG40ooQS00<0ooMF00D0ooQS0?oiL@3onX80oob/0?oma@020?onhi00nooo1@3oool10000
0040fMWI000H0?ooo`030000003oool0oooo0080oooo2P3kool20?onh`0=0?oma@3oo:`0oo^F0?oj
PP3onG40ooQS0?ogEP3on6<0ooUa0?ojPP3oniH0oob/0?oma@020?onha`0nooo2@3Jo_lK0?_oo`80
ookS0P3ooLD01@3oniH0ooZ20?oiL@3on6<0ooMF0080ooQS00@0ooZ20?okUP3oo:`0oog50P3oo^>@
0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`X0nooo0P3oo^<01@3o
oLD0oob/0?okUP3onX80ooUa0080ooQS0P3onG40103onX80oo^F0?ol[03ooLD20?onha/0nooo0`3J
o_l40;kmo`@0f_ko6P3kool30?onh`060?oma@3oo:`0oo^F0?ojPP3onG40ooQS0P3onG40103onX80
oo^F0?ol[03ooLD20?onhi00nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080
oooo2P3kool20?onh`040?oma@3oo:`0oo^F0?ojPP@0ooUa00<0ooZ20?okUP3oo:`00P3ooLD20?on
ha/0nooo0`3Jo_l40;kmo`@0f_ko6P3kool30?onh`040?oma@3oo:`0oo^F0?ojPP@0ooUa00@0ooZ2
0?okUP3oo:`0oog50P3oo^>@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`02
0?ooo`X0nooo0P3oo^<20?oma@030?ol[03oniH0ooZ20080ooUa0P3onX800`3oniH0oob/0?oma@03
0?onha/0nooo1@3Jo_l00`2noOl0f_ko0=[no`030=[noa/0nooo0P3oo^<01@3ooLD0oob/0?ol[03o
niH0ooZ20080ooUa0P3onX800`3oniH0oob/0?oma@020?onhi00nooo1@3oool100000040fMWI000H
0?ooo`030000003oool0oooo0080oooo2P3kool30?onh`040?oma@3oo:`0oo^F0?okUP<0ooZ200@0
oo^F0?ol[03oo:`0oog50P3oo^<M0?_oo`T0f_ko703kool30?onh`030?oma@3oo:`0oo^F00@0ooZ2
00@0oo^F0?ol[03oo:`0oog50P3oo^>@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo
0?ooo`020?ooo`X0nooo0`3oo^<0103ooLD0oob/0?ol[03oniH20?ojPP80oo^F0P3oo:`00`3ooLD0
ookS0?onh`0N0?_oo`H0f_ko7P3kool30?onh`040?oma@3oo:`0oob/0?okUP<0ooZ200@0oo^F0?ol
[03oo:`0oog50P3oo^>@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oo
o`X0nooo0`3oo^<00`3ooLD0oob/0?ol[0050?okUP030?ol[03ooLD0oog50080ookS@P3kool30?on
h`030?oma@3oo:`0oob/00D0oo^F00<0oob/0?oma@3ooLD00P3oo^>@0?_oo`D0oooo0@0000010=WI
f@00603oool00`000000oooo0?ooo`020?ooo`/0nooo0P3oo^<20?oma@030?ol[03oniH0oo^F0080
oo^F0P3oo:`0103ooLD0ookS0?onh`3oo^=30?_oo`80ookS0P3ooLD20?ol[0<0oo^F0P3oo:`20?om
a@80ookST03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool;0?_oo`80
ookS0P3ooLD30?ol[0030?okUP3oo:`0oob/0080oog50`3oo^<M0?_oo`T0ookS7@3kool30?onh`80
oog50P3oo:`20?okUP80oob/0P3ooLD20?onhi00nooo1@3oool100000040fMWI000H0?ooo`030000
003oool0oooo0080oooo2`3kool30?onh`80oog51@3oo:`20?oma@<0ookS7@3kool:0?onhad0nooo
0P3oo^<20?oma@D0oob/0P3ooLD30?onhi00nooo1@3oool100000040fMWI000H0?ooo`030000003o
ool0oooo0080oooo2`3kool30?onh`<0oog5103oo:`20?oma@<0ookS7@3kool:0?onhad0nooo0`3o
o^<20?oma@@0oob/0P3ooLD30?onhi00nooo1@3oool100000040fMWI000H0?ooo`030000003oool0
oooo0080oooo2`3kool30?onh`<0oog50`3oo:`20?oma@<0ookS7P3kool:0?onhad0nooo0`3oo^<3
0?oma@<0oob/0P3ooLD30?onhi00nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo
0080oooo2`3kool40?onh`L0oog50`3oo^<O0?_oo`P0ookS7P3kool40?onh`L0oog50`3oo^>@0?_o
o`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo``0nooo0`3oo^<60?oma@@0
ookSAP3kool30?onh`L0oog50`3oo^>@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo
0?ooo`020?ooo``0nooo103oo^<50?oma@@0ookSAP3kool40?onh`D0oog5103oo^>@0?_oo`D0oooo
0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo``0nooo1@3oo^<40?oma@@0ookSAP3k
ool50?onh`@0oog5103oo^>@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`02
0?ooo``0nooo1@3oo^<30?oma@@0ookSB03kool40?onh`@0oog5103oo^>@0?_oo`D0oooo0@000001
0=WIf@00603oool00`000000oooo0?ooo`020?ooo`d0nooo2`3oo^=80?_oo``0ookST03kool50?oo
o`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool=0?_oo`/0ookSB@3kool:0?onhi40
nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080oooo3@3kool:0?onhdX0nooo
2P3oo^>A0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`h0nooo2@3o
o^=;0?_oo`T0ookST@3kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3oool>
0?_oo`T0ookS:03kool00`000000nooo0?_oo`0P0?_oo`T0ookST@3kool50?ooo`4000000@3IfMT0
01P0oooo00<000000?ooo`3oool00P3oool>0?_oo`80ookS0`000000103oo^<0000000000000000W
0?_oo`030000003kool0nooo0240nooo1@3oo^<010000000ookS0?onh`00002A0?_oo`D0oooo0@00
00010=WIf@00603oool00`000000oooo0?ooo`020?ooo`h0nooo0P3oo^<01`000000ookS0000003o
o^<000000?onh`0000009P3kool3000002<0nooo103oo^<010000000ookS0?onh`00002A0?_oo`D0
oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?ooo`/0nooo10000000103oo^<00000
0?onh`3oo^<2000000030?onh`3kool000000200nooo10000000103kool000000?_oo`00000Q0?_o
o`@0000000<0ookS0000000000001000002@0?_oo`D0oooo0@0000010=WIf@00603oool00`000000
oooo0?ooo`020?ooo`X0nooo00H000000?_oo`3kool000000?_oo`3oo^<2000000060?onh`000000
00000000003kool000007`3kool010000000nooo0?_oo`0000020?_oo`030000003kool0nooo0200
nooo00@000000?_oo`3kool000001P3oo^>B0?_oo`D0oooo0@0000010=WIf@00603oool00`000000
oooo0?ooo`020?ooo`X0nooo00<000000?_oo`3kool00P000000103kool0ookS0000000000020?on
h`800000803kool00`000000nooo0?_oo`02000000030?_oo`000000nooo0240nooo00<000000?_o
o`3kool00P0000040?onhi<0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080
oooo2`3kool01P000000nooo0000003kool000000?_oo`<0ookS903kool01@000000nooo0000003k
ool0000002@0nooo00D000000?_oo`000000nooo000000030?onhi<0nooo1@3oool100000040fMWI
000H0?ooo`030000003oool0oooo0080oooo303kool2000000030?_oo`000000nooo02P0nooo0P00
00000`3kool000000?_oo`0T0?_oo`80000000<0nooo0000003kool0U@3kool50?ooo`4000000@3I
fMT001P0oooo00<000000?ooo`3oool00P3ooool0?_oo`D0oooo0@0000010=WIf@00603oool00`00
0000oooo0?ooo`020?oooo`0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080
ooooo03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3ooool0?_oo`D0oooo
0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oooo`0nooo1@3oool100000040fMWI000H
0?ooo`030000003oool0oooo0080ooooo03kool50?ooo`4000000@3IfMT001P0oooo00<000000?oo
o`3oool00P3ooool0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oooo`0
nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080ooooo03kool50?ooo`400000
0@3IfMT001P0oooo00<000000?ooo`3oool00P3ooool0?_oo`D0oooo0@0000010=WIf@00603oool0
0`000000oooo0?ooo`020?oooo`0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo
0080ooooo03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3ooool0?_oo`D0
oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oooo`0nooo1@3oool100000040fMWI
000H0?ooo`030000003oool0oooo0080ooooo03kool50?ooo`4000000@3IfMT001P0oooo00<00000
0?ooo`3oool00P3ooool0?_oo`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oo
oo`0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0oooo0080ooooo03kool50?ooo`40
00000@3IfMT001P0oooo00<000000?ooo`3oool00P3ooool0?_oo`D0oooo0@0000010=WIf@00603o
ool00`000000oooo0?ooo`020?oooo`0nooo1@3oool100000040fMWI000H0?ooo`030000003oool0
oooo0080ooooo03kool50?ooo`4000000@3IfMT001P0oooo00<000000?ooo`3oool00P3ooool0?_o
o`D0oooo0@0000010=WIf@00603oool00`000000oooo0?ooo`020?oooo`0nooo1@3oool100000040
fMWI000H0?ooo`030000003oool0oooo0?l0oooo103oool100000040fMWI000H0?ooo`030000003o
ool0oooo0?l0oooo103oool100000040fMWI000H0?ooo`030000003oool0oooo0?l0oooo103oool1
00000040fMWI000H0?ooo`030000003oool0oooo0?l0oooo103oool100000040fMWI000H0?ooool0
0000200000010=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool1
0=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00001\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-83.282, 0.736997, 0.27776, \
0.00174593}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  ContourGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[270]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Block[{h = 2  r\ sx\ sp, pg = 1, m = 1, r = 1, sp = 1/20, sx = 1, 
        xg = \(-70\), t = 50}, 
      max = Max[
          Table[gsTime /. {x \[Rule] xg, p \[Rule] pg}, {i, 8, 32, 8}]]; 
      mymax = 1.6; 
      DensityPlot[gsTime, {x, \(-75\), \(-5\)}, {p, 0.78, 1.22}, 
        PlotPoints \[Rule] 600, PlotRange \[Rule] All, 
        ColorFunctionScaling \[Rule] False, Mesh \[Rule] False, 
        Background \[Rule] White, TextStyle \[Rule] m10, 
        ColorFunction \[Rule] \((linmapexpwhite[#/\((2\ mymax)\) + 1/2] &)\), 
        FrameTicks \[Rule] {{xg // N, \((xg + pg\ t/\((2  m)\))\) // 
                N, \((xg + pg\ t/\((m)\))\) // N}, {}, {}, {\((pg - sp)\) // 
                N, \((pg + sp)\) // N}}, 
        Epilog \[Rule] {Text["\<\[Tau] = \>" <> ToString[t], {\(-37.5\), 
                0.79}, TextStyle \[Rule] tx10], 
            Text[\*"\"\<\!\(\[Alpha]\_00\) \>\"", {xg, pg + 3.5  sp}, 
              TextStyle \[Rule] tx10], 
            Text["\<late\>", {xg, pg - 3.5  sp}, TextStyle \[Rule] tx10], 
            Text[\*"\"\<\!\(\[Alpha]\_h\)\>\"", {\((xg + \((pg + 
                          3.5  sp)\)\ t/\((2  m)\))\), pg + 3.5  sp}, 
              TextStyle \[Rule] 
                tx10], \[IndentingNewLine]Text["\<coh.\>", {\((xg + \((pg - 
                          3.5  sp)\)\ t/\((2  m)\))\), pg - 3.5  sp}, 
              TextStyle \[Rule] tx10], 
            Text[\*"\"\<\!\(\[Alpha]\_\[Tau]\[Tau]\)\>\"", {\((xg + \((pg + 
                          3.5  sp)\)\ t/\((m)\))\), pg + 3.5  sp}, 
              TextStyle \[Rule] tx10], 
            Text["\<early\>", {\((xg + \((pg - 3.5  sp)\)\ t/\((m)\))\), 
                pg - 3.5  sp}, TextStyle \[Rule] tx10]}]]\)], "Input",
  CellLabel->"In[40]:="],

Cell[BoxData[
    RowBox[{\(Graphics::"realu"\), \(\(:\)\(\ \)\), "\<\"Argument in \
\\!\\(RGBColor[\\(\\(1.0000000000003786`, 1.0000000000000122`, 1\\)\\)]\\) is \
not a real number between 0 and 1. \
\\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\
\\\", ButtonFrame->None, ButtonData:>\\\"Graphics::realu\\\"]\\)\"\>"}]], \
"Message",
  CellLabel->"From In[40]:="],

Cell[BoxData[
    RowBox[{\(Graphics::"realu"\), \(\(:\)\(\ \)\), "\<\"Argument in \
\\!\\(RGBColor[\\(\\(1.0000000000003786`, 1.0000000000000122`, 1\\)\\)]\\) is \
not a real number between 0 and 1. \
\\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\
\\\", ButtonFrame->None, ButtonData:>\\\"Graphics::realu\\\"]\\)\"\>"}]], \
"Message",
  CellLabel->"From In[40]:="],

Cell[BoxData[
    RowBox[{\(Graphics::"realu"\), \(\(:\)\(\ \)\), "\<\"Argument in \
\\!\\(RGBColor[\\(\\(1.000000000000172`, 1.0000000000000056`, 1\\)\\)]\\) is \
not a real number between 0 and 1. \
\\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\
\\\", ButtonFrame->None, ButtonData:>\\\"Graphics::realu\\\"]\\)\"\>"}]], \
"Message",
  CellLabel->"From In[40]:="],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(Graphics :: \\\"realu\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message",
  CellLabel->"From In[40]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
1.04945 0.0137363 -1.68531 2.18531 [
[.08791 -0.0125 -10.0625 -10.9375 ]
[.08791 -0.0125 10.0625 0 ]
[.43132 -0.0125 -10.0625 -11 ]
[.43132 -0.0125 10.0625 0 ]
[.77473 -0.0125 -10.0625 -10.9375 ]
[.77473 -0.0125 10.0625 0 ]
[ 0 0 -0.125 0 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[1.0125 .39073 0 -5.5 ]
[1.0125 .39073 21.5 5.5 ]
[1.0125 .60927 0 -5.5 ]
[1.0125 .60927 21.5 5.5 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.08791 0 m
.08791 .00625 L
s
gsave
.08791 -0.0125 -71.0625 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(70) show
1.000 setlinewidth
grestore
.43132 0 m
.43132 .00625 L
s
gsave
.43132 -0.0125 -71.0625 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.875 moveto
(45) show
1.000 setlinewidth
grestore
.77473 0 m
.77473 .00625 L
s
gsave
.77473 -0.0125 -71.0625 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(-) show
69.125 11.812 moveto
(20) show
1.000 setlinewidth
grestore
0 0 m
1 0 L
s
0 0 m
0 1 L
s
0 1 m
1 1 L
s
.99375 .39073 m
1 .39073 L
s
gsave
1.0125 .39073 -61 -9.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.95) show
1.000 setlinewidth
grestore
.99375 .60927 m
1 .60927 L
s
gsave
1.0125 .60927 -61 -9.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.05) show
1.000 setlinewidth
grestore
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.01923 .01923 translate
.96154 .96154 scale
1800 string
600 600 8 [600 0 0 600 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFB
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFB
FFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFC
FFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFB
FFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFBFFFFFC
FFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFB
FFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFB
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFA
FFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFB
FFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFA
FFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFAFFFFFA
FFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFA
FFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFA
FFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9
FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFA
FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF9FFFFF9FFFFF9
FFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF9FFFFF9FFFFF9
FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFFAFFFFF9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF9
FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFAFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF9
FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFA
FFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8
FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8
FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFFA
FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8
FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8
FFFFF8FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFA
FFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8
FFFFF8FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFFAFFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7
FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9
FFFFF9FFFFF8FFFFF7FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF7FFFFF7
FFFFF8FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFA
FFFFFAFFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF7
FFFFF7FFFFF7FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9
FFFFF8FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF7
FFFFF7FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFA
FFFFF9FFFFF9FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6
FFFFF6FFFFF7FFFFF7FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9FFFFF9
FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF6FFFFF6
FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFA
FFFFF9FFFFF9FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5
FFFFF6FFFFF6FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF8
FFFFF7FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF6
FFFFF6FFFFF7FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5
FFFFF5FFFFF6FFFFF6FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF8
FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF4FFFFF4FFFFF4FFFFF4FFFFF4FFFFF5FFFFF5
FFFFF6FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF8FFFFF7FFFFF6FFFFF5FFFFF5FFFFF4FFFFF4FFFFF4FFFFF4FFFFF4
FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7
FFFFF7FFFFF6FFFFF5FFFFF4FFFFF4FFFFF4FFFFF3FFFFF3FFFFF3FFFFF4FFFFF4FFFFF5
FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF7FFFFF6FFFFF5FFFFF4FFFFF4FFFFF4FFFFF3FFFFF3FFFFF3
FFFFF4FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFC
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF8FFFFF7
FFFFF6FFFFF5FFFFF5FFFFF4FFFFF3FFFFF3FFFFF3FFFFF3FFFFF3FFFFF3FFFFF4FFFFF4
FFFFF5FFFFF6FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF4FFFFF3FFFFF3FFFFF3FFFFF3FFFFF3
FFFFF3FFFFF3FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFB
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF7
FFFFF6FFFFF5FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF3FFFFF4
FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF6FFFFF5FFFFF4FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF2
FFFFF2FFFFF3FFFFF3FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFB
FFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6
FFFFF5FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF3
FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF6FFFFF5FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF1FFFFF1
FFFFF1FFFFF2FFFFF2FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF8FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6
FFFFF5FFFFF4FFFFF3FFFFF2FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2
FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF6FFFFF5FFFFF4FFFFF3FFFFF2FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF2FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFA
FFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF5
FFFFF4FFFFF3FFFFF2FFFFF1FFFFF1FFFFF0FFFFF0FFFFF0FFFFF0FFFFF0FFFFF1FFFFF2
FFFFF2FFFFF3FFFFF4FFFFF5FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF6FFFFF5FFFFF4FFFFF3FFFFF2FFFFF1FFFFF0FFFFF0FFFFF0
FFFFF0FFFFF0FFFFF1FFFFF1FFFFF2FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9
FFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF4
FFFFF3FFFFF2FFFFF1FFFFF1FFFFF0FFFFEFFFFFEFFFFFEFFFFFEFFFFFF0FFFFF0FFFFF1
FFFFF2FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF6FFFFF4FFFFF3FFFFF2FFFFF1FFFFF0FFFFF0FFFFEFFFFFEF
FFFFEFFFFFEFFFFFF0FFFFF0FFFFF1FFFFF2FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8
FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF5FFFFF4
FFFFF3FFFFF2FFFFF1FFFFF0FFFFEFFFFFEFFFFFEEFFFFEEFFFFEEFFFFEFFFFFEFFFFFF0
FFFFF1FFFFF2FFFFF3FFFFF4FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF3FFFFF2FFFFF1FFFFF0FFFFEFFFFFEFFFFFEE
FFFFEEFFFFEEFFFFEFFFFFEFFFFFF0FFFFF1FFFFF2FFFFF3FFFFF4FFFFF5FFFFF7FFFFF8
FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF5FFFFF3
FFFFF2FFFFF1FFFFF0FFFFEFFFFFEEFFFFEEFFFFEDFFFFEDFFFFEDFFFFEEFFFFEEFFFFEF
FFFFF0FFFFF1FFFFF3FFFFF4FFFFF5FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF3FFFFF2FFFFF0FFFFEFFFFFEFFFFFEEFFFFEE
FFFFEDFFFFEDFFFFEEFFFFEEFFFFEFFFFFF0FFFFF1FFFFF2FFFFF3FFFFF4FFFFF6FFFFF7
FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF3
FFFFF1FFFFF0FFFFEFFFFFEEFFFFEDFFFFEDFFFFECFFFFECFFFFEDFFFFEDFFFFEEFFFFEE
FFFFF0FFFFF1FFFFF2FFFFF3FFFFF5FFFFF6FFFFF7FFFFF8FFFFFAFFFFFBFFFFFBFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF6FFFFF5FFFFF4FFFFF2FFFFF1FFFFF0FFFFEFFFFFEEFFFFEDFFFFED
FFFFECFFFFECFFFFEDFFFFEDFFFFEEFFFFEFFFFFF0FFFFF1FFFFF2FFFFF3FFFFF5FFFFF6
FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF2
FFFFF1FFFFEFFFFFEEFFFFEDFFFFECFFFFECFFFFECFFFFEBFFFFECFFFFECFFFFEDFFFFEE
FFFFEFFFFFF0FFFFF1FFFFF3FFFFF4FFFFF5FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF6FFFFF5FFFFF4FFFFF2FFFFF1FFFFF0FFFFEEFFFFEDFFFFEDFFFFEC
FFFFECFFFFEBFFFFECFFFFECFFFFEDFFFFEDFFFFEFFFFFF0FFFFF1FFFFF2FFFFF4FFFFF5
FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF6FFFFF4FFFFF3FFFFF1
FFFFF0FFFFEFFFFFEDFFFFECFFFFEBFFFFEBFFFFEBFFFFEAFFFFEBFFFFEBFFFFECFFFFED
FFFFEEFFFFEFFFFFF1FFFFF2FFFFF3FFFFF5FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF6FFFFF5FFFFF4FFFFF2FFFFF1FFFFEFFFFFEEFFFFEDFFFFECFFFFEB
FFFFEBFFFFEAFFFFEBFFFFEBFFFFEBFFFFECFFFFEDFFFFEFFFFFF0FFFFF1FFFFF3FFFFF4
FFFFF6FFFFF7FFFFF8FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF2FFFFF1
FFFFEFFFFFEEFFFFECFFFFEBFFFFEAFFFFEAFFFFE9FFFFE9FFFFEAFFFFEAFFFFEBFFFFEC
FFFFEDFFFFEEFFFFF0FFFFF1FFFFF3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFC
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF2FFFFF0FFFFEFFFFFEDFFFFECFFFFEBFFFFEA
FFFFEAFFFFE9FFFFE9FFFFEAFFFFEAFFFFEBFFFFECFFFFEDFFFFEFFFFFF0FFFFF2FFFFF3
FFFFF5FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF2FFFFF0
FFFFEEFFFFEDFFFFECFFFFEAFFFFE9FFFFE9FFFFE8FFFFE8FFFFE9FFFFE9FFFFEAFFFFEB
FFFFECFFFFEDFFFFEFFFFFF1FFFFF2FFFFF4FFFFF5FFFFF7FFFFF8FFFFF9FFFFFBFFFFFB
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF2FFFFF0FFFFEFFFFFEDFFFFECFFFFEAFFFFEA
FFFFE9FFFFE8FFFFE8FFFFE9FFFFE9FFFFEAFFFFEBFFFFECFFFFEDFFFFEFFFFFF0FFFFF2
FFFFF4FFFFF5FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF7FFFFF6FFFFF4FFFFF3FFFFF1FFFFEF
FFFFEEFFFFECFFFFEBFFFFE9FFFFE8FFFFE8FFFFE7FFFFE7FFFFE7FFFFE8FFFFE9FFFFEA
FFFFEBFFFFEDFFFFEEFFFFF0FFFFF2FFFFF3FFFFF5FFFFF6FFFFF8FFFFF9FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF2FFFFF0FFFFEEFFFFEDFFFFEBFFFFEAFFFFE9
FFFFE8FFFFE7FFFFE7FFFFE7FFFFE8FFFFE8FFFFE9FFFFEBFFFFECFFFFEEFFFFEFFFFFF1
FFFFF3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5FFFFF4FFFFF2FFFFF0FFFFEE
FFFFEDFFFFEBFFFFEAFFFFE8FFFFE7FFFFE7FFFFE6FFFFE6FFFFE6FFFFE7FFFFE8FFFFE9
FFFFEAFFFFECFFFFEDFFFFEFFFFFF1FFFFF3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF1FFFFF0FFFFEEFFFFECFFFFEBFFFFE9FFFFE8
FFFFE7FFFFE6FFFFE6FFFFE6FFFFE6FFFFE7FFFFE8FFFFE9FFFFEBFFFFECFFFFEEFFFFF0
FFFFF1FFFFF3FFFFF5FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF1FFFFEFFFFFEE
FFFFECFFFFEAFFFFE8FFFFE7FFFFE6FFFFE5FFFFE5FFFFE5FFFFE5FFFFE6FFFFE7FFFFE8
FFFFE9FFFFEBFFFFECFFFFEEFFFFF0FFFFF2FFFFF4FFFFF6FFFFF7FFFFF8FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFF
FDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF1FFFFEFFFFFEEFFFFECFFFFEAFFFFE9FFFFE7
FFFFE6FFFFE5FFFFE5FFFFE5FFFFE5FFFFE6FFFFE6FFFFE8FFFFE9FFFFEBFFFFECFFFFEE
FFFFF0FFFFF2FFFFF4FFFFF5FFFFF7FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF4FFFFF2FFFFF1FFFFEFFFFFED
FFFFEBFFFFE9FFFFE7FFFFE6FFFFE5FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE5FFFFE7
FFFFE8FFFFEAFFFFECFFFFEDFFFFEFFFFFF1FFFFF3FFFFF5FFFFF7FFFFF8FFFFF9FFFFFB
FFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFB
FFFFF9FFFFF8FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEBFFFFEAFFFFE8FFFFE6
FFFFE5FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE5FFFFE6FFFFE7FFFFE9FFFFEBFFFFED
FFFFEFFFFFF1FFFFF3FFFFF4FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF7FFFFF6FFFFF4FFFFF2FFFFF0FFFFEEFFFFEC
FFFFEAFFFFE8FFFFE6FFFFE5FFFFE4FFFFE3FFFFE2FFFEE2FFFFE2FFFFE3FFFFE4FFFFE5
FFFFE7FFFFE9FFFFEBFFFFEDFFFFEFFFFFF1FFFFF3FFFFF5FFFFF6FFFFF8FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFB
FFFFF9FFFFF8FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEBFFFFE9FFFFE7FFFFE6
FFFFE4FFFFE3FFFFE3FFFEE2FFFEE2FFFFE3FFFFE3FFFFE4FFFFE6FFFFE7FFFFE9FFFFEB
FFFFEDFFFFEFFFFFF1FFFFF3FFFFF5FFFFF7FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEB
FFFFE9FFFFE7FFFFE5FFFFE4FFFFE2FFFEE1FFFEE1FFFEE1FFFEE1FFFEE2FFFFE3FFFFE4
FFFFE6FFFFE8FFFFEAFFFFECFFFFEEFFFFF0FFFFF2FFFFF4FFFFF6FFFFF7FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF8FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEBFFFFE9FFFFE7FFFFE5
FFFFE4FFFFE2FFFEE1FFFEE1FFFEE1FFFEE1FFFEE2FFFFE3FFFFE4FFFFE6FFFFE8FFFFEA
FFFFECFFFFEEFFFFF0FFFFF2FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFCFFFFFBFFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF0FFFFEEFFFFECFFFFEA
FFFFE8FFFFE6FFFFE4FFFEE2FFFEE1FFFEE0FFFEE0FFFEDFFFFEE0FFFEE0FFFEE1FFFFE3
FFFFE5FFFFE6FFFFE9FFFFEBFFFFEDFFFFEFFFFFF1FFFFF3FFFFF5FFFFF7FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF8FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEAFFFFE8FFFFE6FFFFE4
FFFFE3FFFEE1FFFEE0FFFEE0FFFEDFFFFEE0FFFEE0FFFEE1FFFFE2FFFFE4FFFFE6FFFFE8
FFFFEAFFFFECFFFFEFFFFFF1FFFFF3FFFFF5FFFFF7FFFFF8FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF4FFFFF2FFFFF0FFFFEDFFFFEBFFFFE9
FFFFE7FFFFE4FFFFE2FFFEE1FFFEE0FFFEDFFFFEDEFFFEDEFFFEDEFFFEDFFFFEE0FFFEE2
FFFFE3FFFFE5FFFFE7FFFFEAFFFFECFFFFEEFFFFF1FFFFF3FFFFF5FFFFF7FFFFF8FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF8FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEAFFFFE8FFFFE6FFFFE4
FFFEE2FFFEE0FFFEDFFFFEDEFFFEDEFFFEDEFFFEDEFFFEDFFFFEE1FFFEE2FFFFE4FFFFE6
FFFFE8FFFFEBFFFFEDFFFFEFFFFFF2FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEAFFFFE8
FFFFE5FFFFE3FFFEE1FFFEDFFFFEDEFFFEDDFFFEDDFFFEDCFFFEDDFFFEDDFFFEDFFFFEE0
FFFEE2FFFFE4FFFFE6FFFFE9FFFFEBFFFFEEFFFFF0FFFFF2FFFFF4FFFFF6FFFFF8FFFFF9
FFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFECFFFFEAFFFFE8FFFFE5FFFFE3
FFFEE1FFFEDFFFFEDEFFFEDDFFFEDDFFFEDCFFFEDDFFFEDEFFFEDFFFFEE0FFFEE2FFFFE4
FFFFE7FFFFE9FFFFEBFFFFEEFFFFF0FFFFF2FFFFF4FFFFF6FFFFF8FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5FFFFF3FFFFF1FFFFEEFFFFECFFFFE9FFFFE7
FFFFE4FFFEE2FFFEE0FFFEDEFFFEDDFFFEDCFFFEDBFFFEDBFFFEDBFFFEDCFFFEDDFFFEDF
FFFEE1FFFFE3FFFFE5FFFFE8FFFFEAFFFFEDFFFFEFFFFFF2FFFFF4FFFFF6FFFFF7FFFFF9
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFECFFFFEAFFFFE7FFFFE5FFFFE2
FFFEE0FFFEDEFFFEDDFFFEDCFFFEDBFFFEDBFFFEDBFFFEDCFFFEDDFFFEDEFFFEE0FFFEE2
FFFFE5FFFFE7FFFFEAFFFFECFFFFEFFFFFF1FFFFF3FFFFF5FFFFF7FFFFF9FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFF0FFFFEDFFFFEBFFFFE8FFFFE5
FFFFE3FFFEE0FFFEDEFFFEDCFFFEDBFFFEDAFFFED9FFFED9FFFED9FFFEDAFFFEDCFFFEDD
FFFEDFFFFEE1FFFFE4FFFFE7FFFFE9FFFFECFFFFEEFFFFF1FFFFF3FFFFF5FFFFF7FFFFF9
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF9FFFFF7FFFFF6FFFFF3FFFFF1FFFFEFFFFFECFFFFEAFFFFE7FFFFE4FFFEE2
FFFEDFFFFEDDFFFEDCFFFEDAFFFEDAFFFED9FFFED9FFFEDAFFFEDBFFFEDCFFFEDEFFFEE0
FFFFE3FFFFE5FFFFE8FFFFEAFFFFEDFFFFF0FFFFF2FFFFF4FFFFF6FFFFF8FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFBFFFFF9FFFFF8FFFFF6FFFFF4FFFFF2FFFFEFFFFFEDFFFFEAFFFFE7FFFFE4
FFFEE2FFFEDFFFFEDDFFFEDBFFFED9FFFED8FFFED8FFFED7FFFED8FFFED9FFFEDAFFFEDC
FFFEDEFFFEE0FFFFE3FFFFE5FFFFE8FFFFEBFFFFEEFFFFF0FFFFF3FFFFF5FFFFF7FFFFF8
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF9FFFFF7FFFFF6FFFFF4FFFFF1FFFFEFFFFFECFFFFE9FFFFE7FFFFE4FFFEE1
FFFEDFFFFEDDFFFEDBFFFED9FFFED8FFFED8FFFED7FFFED8FFFED9FFFEDAFFFEDCFFFEDE
FFFEE0FFFFE3FFFFE6FFFFE9FFFFEBFFFFEEFFFFF1FFFFF3FFFFF5FFFFF7FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFEEFFFFECFFFFE9FFFFE6FFFFE3
FFFEE0FFFEDEFFFEDBFFFED9FFFED8FFFED6FFFED6FFFED6FFFED6FFFED7FFFED8FFFEDA
FFFEDCFFFEDFFFFEE1FFFFE4FFFFE7FFFFEAFFFFEDFFFFF0FFFFF2FFFFF4FFFFF6FFFFF8
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFBFFFFF9FFFFF8FFFFF6FFFFF4FFFFF1FFFFEFFFFFECFFFFE9FFFFE6FFFFE4FFFEE1
FFFEDEFFFEDCFFFEDAFFFED8FFFED7FFFED6FFFED6FFFED6FFFED7FFFED8FFFEDAFFFEDC
FFFEDEFFFEE1FFFFE4FFFFE7FFFFEAFFFFECFFFFEFFFFFF2FFFFF4FFFFF6FFFFF8FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF0FFFFEEFFFFEBFFFFE8FFFFE5FFFEE2
FFFEDFFFFEDCFFFEDAFFFED8FFFED6FFFED5FFFED4FFFED4FFFED4FFFED5FFFED7FFFED8
FFFEDBFFFEDDFFFEE0FFFFE3FFFFE6FFFFE9FFFFECFFFFEFFFFFF1FFFFF4FFFFF6FFFFF8
FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFBFFFFF9FFFFF8FFFFF6FFFFF4FFFFF2FFFFEFFFFFECFFFFE9FFFFE6FFFFE3FFFEE0
FFFEDDFFFEDBFFFED9FFFED7FFFED5FFFED4FFFED4FFFED4FFFED5FFFED6FFFED7FFFED9
FFFEDCFFFEDFFFFEE2FFFFE5FFFFE8FFFFEBFFFFEDFFFFF0FFFFF3FFFFF5FFFFF7FFFFF8
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF8FFFFF7FFFFF4FFFFF2FFFFF0FFFFEDFFFFEAFFFFE7FFFFE4FFFEE0
FFFEDDFFFEDBFFFED8FFFED6FFFED4FFFED3FFFED2FFFED2FFFED2FFFED3FFFED5FFFED7
FFFED9FFFEDCFFFEDFFFFEE2FFFFE5FFFFE8FFFFEBFFFFEEFFFFF1FFFFF3FFFFF5FFFFF7
FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFEFFFFFECFFFFE9FFFFE6FFFFE3FFFEE0
FFFEDDFFFEDAFFFED8FFFED5FFFED4FFFED3FFFED2FFFED2FFFED2FFFED4FFFED5FFFED7
FFFEDAFFFEDCFFFEDFFFFFE2FFFFE5FFFFE9FFFFECFFFFEFFFFFF1FFFFF4FFFFF6FFFFF8
FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFEFFFFFECFFFFE9FFFFE6FFFEE2FFFEDF
FFFEDCFFFED9FFFED6FFFED4FFFED2FFFED1FFFED0FFFED0FFFED0FFFED1FFFED3FFFED5
FFFED7FFFEDAFFFEDDFFFEE0FFFFE4FFFFE7FFFFEAFFFFEDFFFFF0FFFFF3FFFFF5FFFFF7
FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFEFFFFFECFFFFE9FFFFE6FFFFE3FFFEDF
FFFEDCFFFED9FFFED7FFFED4FFFED2FFFED1FFFED0FFFED0FFFED0FFFED1FFFED3FFFED5
FFFED7FFFEDAFFFEDDFFFEE0FFFFE3FFFFE7FFFFEAFFFFEDFFFFF0FFFFF2FFFFF5FFFFF7
FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFBFFFFF9FFFFF8FFFFF6FFFFF3FFFFF1FFFFEEFFFFEBFFFFE8FFFFE4FFFEE1FFFEDE
FFFEDAFFFED7FFFED4FFFED2FFFED0FFFECFFFFECEFFFECEFFFECEFFFECFFFFED1FFFED3
FFFED6FFFED9FFFEDCFFFEDFFFFFE2FFFFE6FFFFE9FFFFECFFFFEFFFFFF2FFFFF4FFFFF7
FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF8FFFFF7FFFFF4FFFFF2FFFFEFFFFFECFFFFE9FFFFE6FFFFE2FFFEDF
FFFEDCFFFED9FFFED6FFFED3FFFED1FFFECFFFFECEFFFECEFFFECEFFFECFFFFED0FFFED2
FFFED4FFFED7FFFEDAFFFEDEFFFEE1FFFFE4FFFFE8FFFFEBFFFFEEFFFFF1FFFFF3FFFFF6
FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFC
FFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF0FFFFEDFFFFEAFFFFE7FFFFE3FFFEE0FFFEDC
FFFED9FFFED5FFFED3FFFED0FFFECEFFFECDFFFECCFFFECCFFFECCFFFECDFFFECFFFFED1
FFFED4FFFED7FFFEDAFFFEDEFFFEE1FFFFE5FFFFE8FFFFEBFFFFEFFFFFF1FFFFF4FFFFF6
FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF9FFFFF7FFFFF5FFFFF2FFFFF0FFFFEDFFFFE9FFFFE6FFFFE2FFFEDF
FFFEDBFFFED8FFFED5FFFED2FFFED0FFFECEFFFECDFFFECCFFFECCFFFECDFFFECEFFFECF
FFFED2FFFED5FFFED8FFFEDBFFFEDEFFFEE2FFFFE6FFFFE9FFFFECFFFFEFFFFFF2FFFFF4
FFFFF7FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF9FFFFF7FFFFF5FFFFF2FFFFF0FFFFECFFFFE9FFFFE6FFFEE2FFFEDEFFFEDB
FFFED7FFFED4FFFED1FFFECEFFFECCFFFECBFFFECAFFFECAFFFECAFFFECBFFFECDFFFECF
FFFED2FFFED5FFFED8FFFEDCFFFEE0FFFFE4FFFFE7FFFFEBFFFFEEFFFFF1FFFFF3FFFFF6
FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFF
FCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF9FFFFF7FFFFF5FFFFF2FFFFF0FFFFEDFFFFE9FFFFE6FFFEE2FFFEDE
FFFEDBFFFED7FFFED4FFFED1FFFECEFFFECCFFFECBFFFECAFFFECAFFFECAFFFECBFFFECD
FFFECFFFFED2FFFED5FFFED8FFFEDCFFFEE0FFFFE3FFFFE7FFFFEAFFFFEEFFFFF1FFFFF3
FFFFF6FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFEFFFFFECFFFFE8FFFFE4FFFEE1FFFEDDFFFED9
FFFED5FFFED2FFFECFFFFECCFFFECAFFFEC9FFFDC8FFFDC7FFFDC8FFFEC9FFFECBFFFECD
FFFED0FFFED3FFFED7FFFEDBFFFEDEFFFEE2FFFFE6FFFFEAFFFFEDFFFFF0FFFFF3FFFFF5
FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFF
FBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFF
FAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF0FFFFEDFFFFEAFFFFE6FFFEE2FFFEDE
FFFEDAFFFED7FFFED3FFFED0FFFECDFFFECBFFFEC9FFFDC8FFFDC7FFFDC8FFFEC9FFFECA
FFFECCFFFECFFFFED2FFFED5FFFED9FFFEDDFFFEE1FFFFE5FFFFE8FFFFECFFFFEFFFFFF2
FFFFF4FFFFF7FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF8FFFFF6FFFFF4FFFFF1FFFFEEFFFFEBFFFFE7FFFFE3FFFEDFFFFEDBFFFED7
FFFED3FFFED0FFFECDFFFECAFFFDC8FFFDC6FFFDC5FFFDC5FFFDC6FFFDC7FFFEC9FFFECB
FFFECEFFFED1FFFED5FFFED9FFFEDDFFFEE1FFFFE5FFFFE9FFFFECFFFFEFFFFFF2FFFFF5
FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFAFFFF
FAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFF
F9FFFFF9FFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFF
FDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF3FFFFF0FFFFEDFFFFEAFFFFE6FFFEE2FFFEDE
FFFEDAFFFED6FFFED2FFFECFFFFECCFFFEC9FFFDC7FFFDC6FFFDC5FFFDC5FFFDC6FFFDC7
FFFEC9FFFECCFFFECFFFFED2FFFED6FFFEDAFFFEDEFFFEE2FFFFE6FFFFEAFFFFEDFFFFF0
FFFFF3FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF9FFFFF8FFFFF6FFFFF3FFFFF0FFFFEDFFFFEAFFFFE6FFFEE2FFFEDEFFFEDAFFFED6
FFFED2FFFECEFFFECBFFFDC8FFFDC6FFFDC4FFFDC3FFFDC3FFFDC3FFFDC5FFFDC6FFFEC9
FFFECCFFFECFFFFED3FFFED7FFFEDCFFFEE0FFFFE4FFFFE8FFFFEBFFFFEFFFFFF2FFFFF4
FFFFF7FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFF
FAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFF
F9FFFFF9FFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFF
FDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF9FFFFF8FFFFF6FFFFF3FFFFF0FFFFEDFFFFEAFFFFE6FFFEE2FFFEDE
FFFEDAFFFED6FFFED2FFFECEFFFECBFFFDC8FFFDC6FFFDC4FFFDC3FFFDC3FFFDC3FFFDC5
FFFDC6FFFEC9FFFECCFFFECFFFFED3FFFED7FFFEDBFFFEE0FFFFE4FFFFE8FFFFEBFFFFEF
FFFFF2FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFB
FFFFF9FFFFF7FFFFF5FFFFF3FFFFF0FFFFECFFFFE9FFFFE5FFFEE1FFFEDCFFFED8FFFED4
FFFED0FFFECCFFFEC8FFFDC6FFFDC3FFFDC2FFFDC1FFFDC0FFFDC1FFFDC2FFFDC4FFFDC7
FFFECAFFFECDFFFED1FFFED6FFFEDAFFFEDEFFFFE3FFFFE7FFFFEAFFFFEEFFFFF1FFFFF4
FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFF
FAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFF
FAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFF
FCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF3FFFFF1FFFFEEFFFFEAFFFFE6FFFEE2FFFEDE
FFFEDAFFFED5FFFED1FFFECDFFFECAFFFDC6FFFDC4FFFDC2FFFDC1FFFDC0FFFDC1FFFDC2
FFFDC3FFFDC6FFFEC9FFFECCFFFED0FFFED4FFFED9FFFEDDFFFEE1FFFFE5FFFFE9FFFFED
FFFFF0FFFFF3FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFA
FFFFF9FFFFF7FFFFF5FFFFF2FFFFEFFFFFECFFFFE8FFFFE4FFFEDFFFFEDBFFFED6FFFED2
FFFECEFFFECAFFFDC6FFFDC3FFFDC1FFFDBFFFFDBEFFFDBEFFFDBEFFFDC0FFFDC2FFFDC4
FFFDC8FFFECBFFFED0FFFED4FFFED8FFFEDDFFFEE1FFFFE6FFFFEAFFFFEDFFFFF0FFFFF3
FFFFF6FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFF
FDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF1FFFFEEFFFFEAFFFFE6FFFEE2FFFEDE
FFFED9FFFED5FFFED0FFFECCFFFEC8FFFDC5FFFDC2FFFDC0FFFDBFFFFDBEFFFDBEFFFDBF
FFFDC0FFFDC3FFFDC6FFFEC9FFFECDFFFED1FFFED6FFFEDAFFFEDFFFFFE3FFFFE7FFFFEB
FFFFEEFFFFF1FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF8FFFFF7FFFFF4FFFFF1FFFFEEFFFFEBFFFFE7FFFFE3FFFEDEFFFED9FFFED5FFFED0
FFFECCFFFDC8FFFDC4FFFDC1FFFDBEFFFDBDFFFDBCFFFDBBFFFDBCFFFDBDFFFDBFFFFDC2
FFFDC5FFFEC9FFFECEFFFED2FFFED7FFFEDBFFFEE0FFFFE4FFFFE9FFFFECFFFFF0FFFFF3
FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFF
FDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF1FFFFEEFFFFEBFFFFE7FFFFE2FFFEDE
FFFED9FFFED5FFFED0FFFECCFFFDC7FFFDC4FFFDC1FFFDBEFFFDBDFFFDBCFFFDBBFFFDBC
FFFDBDFFFDBFFFFDC2FFFDC6FFFECAFFFECEFFFED2FFFED7FFFEDCFFFEE0FFFFE5FFFFE9
FFFFECFFFFF0FFFFF3FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF8FFFFF6FFFFF4FFFFF1FFFFEEFFFFEAFFFFE6FFFEE1FFFEDDFFFED8FFFED3FFFECE
FFFECAFFFDC5FFFDC2FFFDBEFFFDBCFFFDBAFFFDB9FFFDB9FFFDB9FFFDBBFFFDBDFFFDC0
FFFDC3FFFDC7FFFECCFFFED0FFFED5FFFEDAFFFEDFFFFFE3FFFFE8FFFFEBFFFFEFFFFFF2
FFFFF5FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFAFFFFF9FFFFF7FFFFF4FFFFF2FFFFEEFFFFEBFFFFE7FFFFE3FFFEDE
FFFED9FFFED4FFFECFFFFECBFFFDC7FFFDC3FFFDBFFFFDBCFFFDBAFFFDB9FFFDB9FFFDB9
FFFDBAFFFDBCFFFDBFFFFDC2FFFDC6FFFECAFFFECFFFFED4FFFED9FFFEDDFFFEE2FFFFE6
FFFFEAFFFFEEFFFFF1FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF8FFFFF6FFFFF3FFFFF0FFFFEDFFFFE9FFFFE5FFFEE0FFFEDBFFFED6FFFED1FFFECC
FFFDC7FFFDC3FFFDBFFFFDBCFFFDB9FFFDB7FFFDB6FFFDB6FFFDB7FFFDB8FFFDBAFFFDBD
FFFDC1FFFDC5FFFEC9FFFECEFFFED3FFFED8FFFEDDFFFEE2FFFFE7FFFFEBFFFFEEFFFFF2
FFFFF4FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFAFFFFF9FFFFF7FFFFF5FFFFF2FFFFEFFFFFEBFFFFE7FFFFE3FFFEDE
FFFED9FFFED4FFFECFFFFECAFFFDC6FFFDC1FFFDBEFFFDBBFFFDB8FFFDB7FFFDB6FFFDB6
FFFDB7FFFDB9FFFDBBFFFDBFFFFDC2FFFDC7FFFECBFFFED0FFFED5FFFEDAFFFEDFFFFFE4
FFFFE8FFFFECFFFFF0FFFFF3FFFFF5FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF8FFFFF5FFFFF3FFFFF0FFFFECFFFFE8FFFFE4FFFEDFFFFEDAFFFED5FFFECFFFFECA
FFFDC5FFFDC1FFFDBDFFFDB9FFFDB7FFFDB5FFFDB4FFFDB3FFFDB4FFFDB5FFFDB8FFFDBB
FFFDBEFFFDC3FFFDC7FFFECCFFFED2FFFED7FFFEDCFFFEE1FFFFE5FFFFEAFFFFEEFFFFF1
FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFF
FDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFA
FFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF2FFFFEFFFFFECFFFFE8FFFFE3FFFEDE
FFFED9FFFED4FFFECFFFFECAFFFDC5FFFDC0FFFDBCFFFDB9FFFDB6FFFDB5FFFDB4FFFDB3
FFFDB4FFFDB6FFFDB8FFFDBBFFFDBFFFFDC3FFFDC8FFFECDFFFED2FFFED7FFFEDCFFFEE1
FFFFE6FFFFEAFFFFEEFFFFF1FFFFF4FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF7FFFFF5FFFFF2FFFFEFFFFFEBFFFFE7FFFFE2FFFEDDFFFED8FFFED3FFFECDFFFDC8
FFFDC3FFFDBEFFFDBAFFFDB7FFFDB4FFFDB2FFFCB1FFFCB0FFFCB1FFFDB3FFFDB5FFFDB8
FFFDBCFFFDC0FFFDC5FFFECAFFFED0FFFED5FFFEDAFFFEE0FFFFE4FFFFE9FFFFEDFFFFF0
FFFFF3FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8
FFFFF8FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF9FFFFF8FFFFF5FFFFF3FFFFF0FFFFECFFFFE8FFFFE3FFFEDE
FFFED9FFFED4FFFECFFFFEC9FFFDC4FFFDBFFFFDBBFFFDB7FFFDB4FFFDB2FFFCB1FFFCB0
FFFCB1FFFDB2FFFDB4FFFDB7FFFDBBFFFDBFFFFDC4FFFEC9FFFECFFFFED4FFFED9FFFEDE
FFFFE3FFFFE8FFFFECFFFFF0FFFFF3FFFFF5FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFAFFFFF9
FFFFF7FFFFF4FFFFF1FFFFEEFFFFEAFFFFE6FFFEE1FFFEDCFFFED7FFFED1FFFECBFFFDC6
FFFDC1FFFDBCFFFDB8FFFDB4FFFCB1FFFCAFFFFCAEFFFCAEFFFCAEFFFCB0FFFDB2FFFDB5
FFFDB9FFFDBEFFFDC3FFFDC8FFFECEFFFED3FFFED9FFFEDEFFFFE3FFFFE8FFFFECFFFFF0
FFFFF3FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFA
FFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6
FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF3FFFFF0FFFFECFFFFE8FFFFE4FFFEDF
FFFED9FFFED4FFFECEFFFEC9FFFDC3FFFDBEFFFDBAFFFDB6FFFDB3FFFCB0FFFCAEFFFCAE
FFFCAEFFFCAFFFFCB1FFFDB4FFFDB7FFFDBBFFFDC0FFFDC5FFFECBFFFED0FFFED6FFFEDB
FFFEE1FFFFE5FFFFEAFFFFEEFFFFF1FFFFF4FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8
FFFFF6FFFFF4FFFFF1FFFFEDFFFFE9FFFFE5FFFEE0FFFEDBFFFED5FFFECFFFFEC9FFFDC4
FFFDBEFFFDB9FFFDB5FFFCB1FFFCAEFFFCACFFFCABFFFCABFFFCABFFFCADFFFCAFFFFDB3
FFFDB7FFFDBBFFFDC1FFFDC6FFFECCFFFED2FFFED7FFFEDDFFFEE2FFFFE7FFFFEBFFFFEF
FFFFF2FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9FFFFF9FFFFF8
FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF5FFFFF5FFFFF6
FFFFF6FFFFF6FFFFF6FFFFF6FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFB
FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF3FFFFF0FFFFEDFFFFE9FFFFE4FFFEDF
FFFEDAFFFED4FFFECEFFFDC8FFFDC3FFFDBDFFFDB9FFFDB4FFFCB1FFFCAEFFFCACFFFCAB
FFFCABFFFCACFFFCADFFFCB0FFFDB3FFFDB7FFFDBCFFFDC1FFFDC7FFFECDFFFED3FFFED8
FFFEDEFFFFE3FFFFE8FFFFECFFFFEFFFFFF3FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8
FFFFF6FFFFF3FFFFF0FFFFEDFFFFE8FFFFE4FFFEDFFFFED9FFFED3FFFECDFFFDC7FFFDC1
FFFDBCFFFDB7FFFDB2FFFCAEFFFCABFFFCA9FFFCA8FFFCA8FFFCA8FFFCAAFFFCADFFFCB0
FFFDB4FFFDB9FFFDBEFFFDC4FFFECAFFFED0FFFED6FFFEDBFFFEE1FFFFE6FFFFEAFFFFEE
FFFFF2FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8
FFFFF7FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6
FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFF9
FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF4FFFFF1FFFFEDFFFFE9FFFFE4FFFEDF
FFFEDAFFFED4FFFECEFFFDC8FFFDC2FFFDBDFFFDB7FFFDB3FFFCAFFFFCACFFFCA9FFFCA8
FFFCA8FFFCA8FFFCAAFFFCACFFFCAFFFFDB3FFFDB8FFFDBDFFFDC3FFFEC9FFFECFFFFED5
FFFEDBFFFEE0FFFFE5FFFFEAFFFFEEFFFFF1FFFFF4FFFFF7FFFFF9FFFFFAFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8
FFFFF6FFFFF3FFFFF0FFFFECFFFFE7FFFFE3FFFEDDFFFED7FFFED1FFFECBFFFDC5FFFDBF
FFFDB9FFFDB4FFFCAFFFFCABFFFCA8FFFCA6FFFCA5FFFCA5FFFCA5FFFCA7FFFCAAFFFCAD
FFFCB1FFFDB6FFFDBCFFFDC2FFFDC8FFFECEFFFED4FFFEDAFFFEE0FFFFE5FFFFE9FFFFEE
FFFFF1FFFFF4FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8
FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7
FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8FFFFF8FFFFF9
FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFAFFFFF9FFFFF7FFFFF4FFFFF1FFFFEEFFFFEAFFFFE5FFFEE0
FFFEDAFFFED4FFFECEFFFDC8FFFDC2FFFDBCFFFDB6FFFCB1FFFCADFFFCAAFFFCA7FFFCA5
FFFCA5FFFCA5FFFCA6FFFCA8FFFCABFFFCAFFFFDB4FFFDB9FFFDBFFFFDC5FFFECBFFFED1
FFFED7FFFEDDFFFFE2FFFFE7FFFFECFFFFEFFFFFF3FFFFF5FFFFF8FFFFFAFFFFFBFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF8
FFFFF5FFFFF2FFFFEFFFFFEBFFFFE6FFFEE1FFFEDCFFFED6FFFED0FFFEC9FFFDC3FFFDBD
FFFDB7FFFCB1FFFCADFFFCA8FFFCA5FFFCA3FFFCA2FFFCA1FFFCA2FFFCA4FFFCA7FFFCAA
FFFCAEFFFDB4FFFDB9FFFDBFFFFDC6FFFECCFFFED2FFFED8FFFEDEFFFFE4FFFFE8FFFFED
FFFFF0FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF8
FFFFF8FFFFF8FFFFF8FFFFF8FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9
FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF9FFFFF9
FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF2FFFFEEFFFFEAFFFFE5FFFEE0
FFFEDBFFFED5FFFECEFFFDC8FFFDC1FFFDBBFFFDB6FFFCB0FFFCACFFFCA8FFFCA5FFFCA3
FFFCA2FFFCA2FFFCA2FFFCA4FFFCA7FFFCABFFFCB0FFFDB5FFFDBAFFFDC1FFFDC7FFFECD
FFFED4FFFEDAFFFEDFFFFFE5FFFFE9FFFFEEFFFFF1FFFFF4FFFFF7FFFFF9FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7
FFFFF5FFFFF2FFFFEEFFFFEAFFFFE5FFFEE0FFFEDAFFFED4FFFECEFFFDC7FFFDC1FFFDBA
FFFDB4FFFCAFFFFCAAFFFCA5FFFCA2FFFCA0FFFC9FFFFC9EFFFC9FFFFCA1FFFCA3FFFCA7
FFFCACFFFCB1FFFDB7FFFDBDFFFDC3FFFECAFFFED1FFFED7FFFEDDFFFFE2FFFFE8FFFFEC
FFFFF0FFFFF3FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFA
FFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFA
FFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF2FFFFEFFFFFEBFFFFE6FFFEE1
FFFEDBFFFED5FFFECEFFFDC8FFFDC1FFFDBBFFFDB5FFFCAFFFFCAAFFFCA6FFFCA2FFFCA0
FFFC9FFFFC9EFFFC9FFFFCA1FFFCA3FFFCA7FFFCABFFFCB0FFFDB6FFFDBCFFFDC3FFFEC9
FFFED0FFFED6FFFEDCFFFEE2FFFFE7FFFFECFFFFEFFFFFF3FFFFF6FFFFF8FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7
FFFFF4FFFFF1FFFFEEFFFFE9FFFFE4FFFEDFFFFED9FFFED3FFFECCFFFDC5FFFDBEFFFDB8
FFFCB1FFFCACFFFCA7FFFCA2FFFC9FFFFB9DFFFB9BFFFB9BFFFB9CFFFC9EFFFCA0FFFCA4
FFFCA9FFFCAEFFFDB4FFFDBAFFFDC1FFFDC8FFFECFFFFED5FFFEDCFFFEE1FFFFE7FFFFEB
FFFFEFFFFFF3FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFC
FFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF5FFFFF3FFFFEFFFFFEBFFFFE6FFFEE1
FFFEDBFFFED5FFFECFFFFDC8FFFDC1FFFDBAFFFDB4FFFCAEFFFCA9FFFCA4FFFCA0FFFC9E
FFFB9CFFFB9BFFFB9BFFFB9DFFFC9FFFFCA2FFFCA7FFFCACFFFCB1FFFDB8FFFDBEFFFDC5
FFFECCFFFED3FFFED9FFFEDFFFFFE4FFFFE9FFFFEEFFFFF1FFFFF4FFFFF7FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF6
FFFFF4FFFFF1FFFFEDFFFFE8FFFFE3FFFEDEFFFED7FFFED1FFFECAFFFDC3FFFDBCFFFDB5
FFFCAFFFFCA9FFFCA4FFFC9FFFFB9CFFFB99FFFB98FFFB98FFFB98FFFB9AFFFB9DFFFCA1
FFFCA6FFFCABFFFCB1FFFDB8FFFDBFFFFDC6FFFECDFFFED4FFFEDAFFFEE0FFFFE6FFFFEA
FFFFEEFFFFF2FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF3FFFFF0FFFFECFFFFE7FFFEE2
FFFEDCFFFED6FFFECFFFFDC8FFFDC1FFFDBAFFFDB3FFFCADFFFCA7FFFCA2FFFC9EFFFB9B
FFFB99FFFB98FFFB98FFFB99FFFB9BFFFC9EFFFCA2FFFCA7FFFCADFFFDB3FFFDBAFFFDC1
FFFDC8FFFECFFFFED5FFFEDCFFFEE2FFFFE7FFFFECFFFFF0FFFFF3FFFFF6FFFFF8FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6
FFFFF3FFFFF0FFFFECFFFFE7FFFEE2FFFEDCFFFED6FFFECFFFFDC8FFFDC1FFFDB9FFFDB2
FFFCACFFFCA6FFFCA0FFFB9CFFFB99FFFB96FFFB95FFFB94FFFB95FFFB97FFFB9AFFFC9E
FFFCA3FFFCA8FFFCAFFFFDB5FFFDBCFFFDC4FFFECBFFFED2FFFED9FFFEDFFFFFE4FFFFE9
FFFFEEFFFFF1FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFDFFFF
FDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFF
F7FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF3FFFFF0FFFFECFFFFE8FFFFE2
FFFEDDFFFED6FFFECFFFFDC8FFFDC1FFFDBAFFFDB3FFFCACFFFCA6FFFCA1FFFB9CFFFB99
FFFB96FFFB95FFFB94FFFB95FFFB97FFFB9AFFFC9EFFFCA2FFFCA8FFFCAEFFFDB5FFFDBC
FFFDC3FFFECBFFFED2FFFED8FFFEDFFFFFE4FFFFE9FFFFEEFFFFF1FFFFF4FFFFF7FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF6
FFFFF3FFFFEFFFFFEBFFFFE6FFFEE1FFFEDBFFFED4FFFECDFFFDC6FFFDBEFFFDB7FFFCB0
FFFCA9FFFCA3FFFC9DFFFB99FFFB95FFFB93FFFB91FFFB91FFFB92FFFB94FFFB97FFFB9B
FFFCA0FFFCA5FFFCACFFFDB3FFFDBAFFFDC2FFFEC9FFFED0FFFED7FFFEDEFFFFE3FFFFE9
FFFFEDFFFFF1FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFF
FAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF4FFFFF4FFFFF4FFFFF4FFFF
F4FFFFF4FFFFF5FFFFF5FFFFF6FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFF
FCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF7FFFFF4FFFFF1FFFFEDFFFFE8FFFFE3
FFFEDDFFFED7FFFED0FFFEC8FFFDC1FFFDB9FFFDB2FFFCABFFFCA5FFFC9FFFFB9AFFFB96
FFFB94FFFB92FFFB91FFFB91FFFB93FFFB95FFFB99FFFC9EFFFCA3FFFCA9FFFCB0FFFDB7
FFFDBFFFFDC6FFFECEFFFED5FFFEDBFFFEE1FFFFE7FFFFECFFFFF0FFFFF3FFFFF6FFFFF8
FFFFFAFFFFFBFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF5
FFFFF2FFFFEFFFFFEAFFFFE5FFFEE0FFFED9FFFED3FFFECBFFFDC4FFFDBCFFFDB4FFFCAD
FFFCA6FFFCA0FFFB9AFFFB96FFFB92FFFB8FFFFB8EFFFB8EFFFB8EFFFB90FFFB93FFFB97
FFFB9CFFFCA2FFFCA9FFFCB0FFFDB8FFFDBFFFFDC7FFFECEFFFED6FFFEDCFFFEE2FFFFE8
FFFFECFFFFF0FFFFF4FFFFF6FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFF
F7FFFFF6FFFFF5FFFFF4FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFF
F2FFFFF2FFFFF2FFFFF3FFFFF3FFFFF4FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFF
FAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF1FFFFEDFFFFE9FFFFE4
FFFEDEFFFED7FFFED0FFFEC9FFFDC1FFFDB9FFFDB2FFFCABFFFCA4FFFC9EFFFB99FFFB94
FFFB91FFFB8FFFFB8EFFFB8EFFFB8FFFFB91FFFB95FFFB99FFFC9EFFFCA4FFFCABFFFDB2
FFFDBAFFFDC2FFFEC9FFFED1FFFED8FFFEDEFFFFE4FFFFE9FFFFEEFFFFF1FFFFF5FFFFF7
FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5
FFFFF2FFFFEEFFFFEAFFFFE4FFFEDEFFFED8FFFED1FFFEC9FFFDC1FFFDBAFFFDB2FFFCAA
FFFCA3FFFB9DFFFB97FFFB92FFFB8EFFFB8CFFFA8AFFFA8AFFFA8BFFFB8DFFFB90FFFB94
FFFB99FFFC9FFFFCA6FFFCADFFFDB5FFFDBDFFFDC5FFFECDFFFED4FFFEDBFFFEE1FFFFE7
FFFFECFFFFF0FFFFF3FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFF
F5FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF1FFFFF1FFFFF1FFFFF0FFFFF0FFFFF0FFFF
F0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF3FFFFF4FFFFF5FFFFF5FFFFF6FFFF
F7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF2FFFFEEFFFFE9FFFFE4
FFFEDEFFFED8FFFED1FFFEC9FFFDC1FFFDB9FFFDB2FFFCAAFFFCA3FFFB9CFFFB97FFFB92
FFFB8EFFFB8CFFFA8AFFFA8AFFFA8BFFFB8DFFFB90FFFB94FFFB99FFFC9FFFFCA6FFFCAD
FFFDB5FFFDBDFFFDC5FFFECDFFFED4FFFEDBFFFEE1FFFFE7FFFFECFFFFF0FFFFF3FFFFF6
FFFFF8FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4
FFFFF1FFFFEDFFFFE9FFFFE3FFFEDDFFFED6FFFECFFFFDC7FFFDBFFFFDB7FFFCAFFFFCA7
FFFCA0FFFB99FFFB94FFFB8FFFFA8BFFFA88FFFA87FFFA87FFFA87FFFA89FFFB8DFFFB91
FFFB96FFFB9CFFFCA3FFFCAAFFFDB2FFFDBBFFFDC3FFFECBFFFED2FFFED9FFFEE0FFFFE6
FFFFEBFFFFEFFFFFF3FFFFF6FFFFF8FFFFFAFFFFFBFFFFFDFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFF
F4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFF
F1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF3FFFFF3FFFFF4FFFFF5FFFF
F6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF5FFFFF2FFFFEFFFFFEAFFFFE5
FFFEDFFFFED9FFFED1FFFECAFFFDC2FFFDB9FFFCB1FFFCA9FFFCA2FFFB9BFFFB95FFFB90
FFFB8CFFFA89FFFA87FFFA87FFFA87FFFA89FFFB8BFFFB8FFFFB94FFFB9AFFFCA1FFFCA8
FFFCB0FFFDB8FFFDC0FFFDC8FFFED0FFFED7FFFEDEFFFFE4FFFFE9FFFFEEFFFFF2FFFFF5
FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4
FFFFF1FFFFEDFFFFE8FFFEE2FFFEDCFFFED5FFFECDFFFDC5FFFDBDFFFDB5FFFCACFFFCA4
FFFB9DFFFB96FFFB90FFFB8BFFFA88FFFA85FFFA83FFFA83FFFA84FFFA86FFFA89FFFB8D
FFFB93FFFB99FFFCA0FFFCA8FFFCB0FFFDB8FFFDC1FFFEC9FFFED1FFFED8FFFEDFFFFFE5
FFFFEAFFFFEEFFFFF2FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF4FFFF
F4FFFFF4FFFFF3FFFFF3FFFFF3FFFFF3FFFFF3FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFF
F2FFFFF2FFFFF2FFFFF2FFFFF3FFFFF3FFFFF3FFFFF3FFFFF3FFFFF3FFFFF4FFFFF4FFFF
F5FFFFF6FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8FFFFF6FFFFF3FFFFEFFFFFEBFFFFE6
FFFEE0FFFED9FFFED2FFFECAFFFDC2FFFDBAFFFCB1FFFCA9FFFCA1FFFB9AFFFB94FFFB8E
FFFA8AFFFA86FFFA84FFFA83FFFA83FFFA84FFFA87FFFA8BFFFB8FFFFB95FFFB9CFFFCA3
FFFCABFFFDB3FFFDBBFFFDC4FFFECCFFFED4FFFEDBFFFEE1FFFFE7FFFFECFFFFF0FFFFF3
FFFFF6FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF6FFFFF4
FFFFF0FFFFECFFFFE7FFFEE1FFFEDBFFFED3FFFECBFFFDC3FFFDBBFFFDB2FFFCA9FFFCA1
FFFB9AFFFB93FFFB8DFFFA88FFFA84FFFA81FFFA80FFFA7FFFFA80FFFA82FFFA86FFFA8A
FFFB8FFFFB96FFFB9DFFFCA5FFFCADFFFDB6FFFDBEFFFDC7FFFECFFFFED6FFFEDDFFFFE4
FFFFE9FFFFEEFFFFF2FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFF
FDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFF
F5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF6FFFFF6FFFFF6FFFFF6FFFF
F6FFFFF6FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFF
F5FFFFF6FFFFF6FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF3FFFFF0FFFFEBFFFFE6
FFFEE1FFFEDAFFFED3FFFECBFFFDC3FFFDBAFFFCB1FFFCA9FFFCA1FFFB99FFFB92FFFB8D
FFFA88FFFA84FFFA81FFFA80FFFA7FFFFA80FFFA83FFFA86FFFA8AFFFB90FFFB96FFFC9D
FFFCA5FFFCAEFFFDB6FFFDBFFFFDC7FFFECFFFFED7FFFEDEFFFFE4FFFFE9FFFFEEFFFFF2
FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF3
FFFFEFFFFFEBFFFFE6FFFEE0FFFED9FFFED2FFFECAFFFDC1FFFDB8FFFCAFFFFCA7FFFC9E
FFFB97FFFB90FFFA89FFFA84FFFA81FFFA7EFFFA7CFFFA7CFFFA7DFFFA7FFFFA82FFFA86
FFFB8CFFFB92FFFB9AFFFCA2FFFCAAFFFDB3FFFDBCFFFDC5FFFECDFFFED5FFFEDCFFFFE3
FFFFE8FFFFEDFFFFF1FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFF
FCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFF
F7FFFFF7FFFFF8FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFF
FAFFFFFAFFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF7FFFFF7FFFF
F7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFF
FDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF0FFFFECFFFFE7
FFFEE1FFFEDBFFFED4FFFECCFFFDC3FFFDBAFFFCB1FFFCA9FFFCA0FFFB98FFFB91FFFA8B
FFFA86FFFA81FFFA7EFFFA7CFFFA7CFFFA7CFFFA7EFFFA81FFFA85FFFA8BFFFB91FFFB98
FFFCA0FFFCA8FFFCB1FFFDBAFFFDC3FFFECBFFFED3FFFEDAFFFEE1FFFFE7FFFFECFFFFF0
FFFFF4FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8FFFFF6FFFFF3
FFFFEFFFFFEAFFFFE5FFFEDFFFFED8FFFED0FFFDC8FFFDBFFFFDB6FFFCADFFFCA4FFFB9B
FFFB93FFFB8CFFFA86FFFA81FFFA7DFFF97AFFF979FFF978FFF979FFF97BFFFA7EFFFA83
FFFA89FFFB8FFFFB97FFFC9FFFFCA7FFFCB1FFFDBAFFFDC3FFFECBFFFED3FFFEDBFFFEE1
FFFFE7FFFFECFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFF
FBFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFF
FAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFF
FAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFF
FCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF1FFFFEDFFFFE8
FFFEE2FFFEDCFFFED4FFFECCFFFDC4FFFDBBFFFDB2FFFCA9FFFCA0FFFB98FFFB90FFFA89
FFFA84FFFA7FFFFA7CFFF979FFF978FFF978FFF97AFFFA7DFFFA80FFFA85FFFB8BFFFB92
FFFB9AFFFCA3FFFCABFFFDB5FFFDBEFFFDC6FFFECFFFFED7FFFEDEFFFFE4FFFFEAFFFFEE
FFFFF2FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF5FFFFF2
FFFFEEFFFFE9FFFFE4FFFEDDFFFED6FFFECEFFFDC6FFFDBDFFFDB3FFFCAAFFFCA1FFFB98
FFFB90FFFA89FFFA83FFFA7DFFF979FFF977FFF975FFF975FFF975FFF978FFF97BFFFA7F
FFFA85FFFB8CFFFB93FFFB9CFFFCA5FFFCAEFFFDB7FFFDC0FFFEC9FFFED2FFFED9FFFEE0
FFFFE6FFFFECFFFFF0FFFFF3FFFFF6FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFF
FBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9
FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFEFFFF
FEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFF
FBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF7FFFFF5FFFFF2FFFFEEFFFFE9
FFFFE3FFFEDDFFFED5FFFECDFFFDC4FFFDBBFFFDB2FFFCA9FFFCA0FFFB97FFFB8FFFFA88
FFFA82FFFA7DFFF979FFF976FFF975FFF975FFF976FFF978FFFA7BFFFA80FFFA86FFFB8D
FFFB94FFFB9DFFFCA6FFFCAFFFFDB8FFFDC2FFFECAFFFED3FFFEDAFFFEE1FFFFE7FFFFEC
FFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF7FFFFF5FFFFF2
FFFFEDFFFFE9FFFFE3FFFEDCFFFED5FFFECCFFFDC4FFFDBAFFFCB1FFFCA7FFFC9EFFFB95
FFFB8DFFFA85FFFA7FFFF97AFFF976FFF973FFF971FFF971FFF972FFF974FFF977FFFA7C
FFFA82FFFA88FFFB90FFFB99FFFCA2FFFCABFFFDB5FFFDBEFFFDC7FFFED0FFFED8FFFEDF
FFFFE5FFFFEBFFFFEFFFFFF3FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFF
FBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF5FFFFF4FFFFF4FFFFF3FFFFF3
FFFFF3FFFFF3FFFFF3FFFFF4FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8FFFFF5FFFFF2FFFFEEFFFFEA
FFFFE4FFFEDDFFFED6FFFECEFFFDC5FFFDBCFFFDB2FFFCA9FFFC9FFFFB97FFFB8EFFFA87
FFFA80FFF97BFFF976FFF973FFF971FFF971FFF972FFF973FFF977FFF97BFFFA80FFFA87
FFFB8FFFFB97FFFCA0FFFCA9FFFDB3FFFDBDFFFDC6FFFECEFFFED7FFFEDEFFFFE4FFFFEA
FFFFEEFFFFF2FFFFF6FFFFF8FFFFFAFFFFFBFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF1
FFFFEDFFFFE8FFFEE2FFFEDBFFFED3FFFECBFFFDC1FFFDB8FFFCAEFFFCA4FFFB9BFFFB92
FFFA89FFFA82FFFA7CFFF976FFF972FFF96FFFF96EFFF96DFFF96EFFF970FFF974FFF978
FFFA7EFFFA85FFFB8DFFFB95FFFC9FFFFCA8FFFDB2FFFDBCFFFDC5FFFECEFFFED7FFFEDE
FFFFE4FFFFEAFFFFEFFFFFF3FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFA
FFFFF9FFFFF7FFFFF6FFFFF4FFFFF3FFFFF2FFFFF1FFFFF0FFFFEFFFFFEFFFFFEEFFFFEE
FFFFEEFFFFEEFFFFEEFFFFEFFFFFEFFFFFF0FFFFF1FFFFF2FFFFF3FFFFF4FFFFF6FFFFF7
FFFFF8FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF3FFFFEFFFFFEA
FFFFE5FFFEDEFFFED7FFFECFFFFDC6FFFDBDFFFDB3FFFCA9FFFC9FFFFB96FFFB8DFFFA86
FFFA7FFFF979FFF974FFF971FFF96EFFF96DFFF96EFFF96FFFF972FFF976FFF97BFFFA81
FFFA89FFFB91FFFB9AFFFCA4FFFCADFFFDB7FFFDC1FFFECAFFFED3FFFEDAFFFEE1FFFFE7
FFFFECFFFFF1FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF0
FFFFECFFFFE7FFFEE1FFFED9FFFED1FFFEC9FFFDBFFFFDB5FFFCABFFFCA1FFFB98FFFB8E
FFFA86FFFA7EFFF978FFF973FFF96EFFF86CFFF86AFFF86AFFF86AFFF86DFFF970FFF975
FFF97BFFFA82FFFA8AFFFB92FFFB9CFFFCA6FFFCB0FFFDBAFFFDC3FFFECDFFFED5FFFEDD
FFFFE3FFFFE9FFFFEEFFFFF2FFFFF5FFFFF8FFFFFAFFFFFBFFFFFDFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFF9FFFFF8FFFFF6
FFFFF5FFFFF3FFFFF2FFFFF1FFFFEFFFFFEEFFFFEDFFFFEDFFFFECFFFFEBFFFFEBFFFFEB
FFFFEBFFFFEBFFFFEBFFFFEBFFFFECFFFFECFFFFEDFFFFEEFFFFEFFFFFF0FFFFF1FFFFF3
FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFEFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFF0FFFFEB
FFFFE6FFFEDFFFFED8FFFED0FFFDC7FFFDBEFFFDB4FFFCAAFFFCA0FFFB96FFFB8DFFFA85
FFFA7DFFF977FFF972FFF96EFFF86BFFF86AFFF86AFFF86BFFF96DFFF971FFF976FFFA7C
FFFA83FFFA8BFFFB94FFFC9EFFFCA8FFFDB2FFFDBCFFFDC5FFFECEFFFED7FFFEDEFFFFE4
FFFFEAFFFFEFFFFFF3FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF4FFFFF0
FFFFEBFFFFE6FFFEDFFFFED8FFFED0FFFDC7FFFDBDFFFDB3FFFCA9FFFC9EFFFB95FFFA8B
FFFA83FFF97BFFF974FFF96FFFF86BFFF868FFF866FFF866FFF867FFF869FFF86CFFF971
FFF977FFFA7EFFFA86FFFB8FFFFB99FFFCA3FFFCADFFFDB7FFFDC1FFFECBFFFED3FFFEDB
FFFEE2FFFFE8FFFFEDFFFFF1FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFF9FFFFF8FFFFF6FFFFF5FFFFF3
FFFFF2FFFFF1FFFFEFFFFFEEFFFFEDFFFFECFFFFEBFFFFEBFFFFEAFFFFEAFFFFEAFFFFE9
FFFFE9FFFFE9FFFFE9FFFFEAFFFFEAFFFFEAFFFFEBFFFFECFFFFEDFFFFEDFFFFEFFFFFF0
FFFFF1FFFFF2FFFFF4FFFFF5FFFFF7FFFFF8FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFF
FEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF0FFFFEC
FFFFE7FFFEE0FFFED9FFFED1FFFDC8FFFDBEFFFDB4FFFCAAFFFCA0FFFB96FFFB8CFFFA84
FFFA7CFFF975FFF970FFF86BFFF868FFF866FFF866FFF867FFF869FFF86CFFF971FFF976
FFFA7DFFFA85FFFB8EFFFB97FFFCA1FFFCACFFFDB6FFFDC0FFFECAFFFED2FFFEDAFFFEE1
FFFFE8FFFFEDFFFFF1FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF6FFFFF3FFFFEF
FFFFEAFFFFE5FFFEDEFFFED7FFFECEFFFDC5FFFDBBFFFCB0FFFCA6FFFB9BFFFB91FFFA88
FFFA7FFFF977FFF971FFF86BFFF867FFF864FFF863FFF862FFF863FFF865FFF869FFF96E
FFF974FFF97BFFFA83FFFB8CFFFB96FFFCA0FFFCAAFFFDB5FFFDBFFFFEC9FFFED2FFFEDA
FFFEE1FFFFE7FFFFEDFFFFF1FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF9FFFFF7FFFFF6FFFFF4FFFFF3FFFFF1
FFFFF0FFFFEFFFFFEEFFFFEDFFFFECFFFFECFFFFEBFFFFEBFFFFEBFFFFEAFFFFEAFFFFEA
FFFFEAFFFFEAFFFFEAFFFFEAFFFFEAFFFFEBFFFFEBFFFFEBFFFFECFFFFECFFFFEDFFFFEE
FFFFEFFFFFF0FFFFF1FFFFF3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF1FFFFED
FFFFE7FFFEE1FFFEDAFFFED2FFFEC9FFFDBFFFFDB5FFFCABFFFCA0FFFB96FFFB8CFFFA83
FFF97BFFF974FFF96EFFF869FFF865FFF863FFF862FFF863FFF864FFF867FFF86BFFF971
FFF977FFFA7FFFFA88FFFB91FFFB9BFFFCA6FFFCB0FFFDBBFFFDC5FFFECEFFFED7FFFEDE
FFFFE5FFFFEAFFFFEFFFFFF3FFFFF6FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF3FFFFEF
FFFFEAFFFFE4FFFEDDFFFED5FFFECCFFFDC3FFFDB9FFFCAEFFFCA3FFFB98FFFB8EFFFA85
FFFA7CFFF974FFF96DFFF868FFF864FFF761FFF75FFFF75FFFF760FFF862FFF865FFF86A
FFF970FFF977FFFA7FFFFA89FFFB93FFFB9DFFFCA8FFFDB3FFFDBDFFFDC7FFFED0FFFED9
FFFEE0FFFFE6FFFFECFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5FFFFF4FFFFF3FFFFF2FFFFF1
FFFFF0FFFFEFFFFFEEFFFFEEFFFFEEFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFED
FFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEEFFFFEE
FFFFEFFFFFF0FFFFF0FFFFF1FFFFF2FFFFF4FFFFF5FFFFF6FFFFF8FFFFF9FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8FFFFF5FFFFF2FFFFED
FFFFE8FFFEE2FFFEDBFFFED3FFFECAFFFDC0FFFDB6FFFCABFFFCA1FFFB96FFFB8CFFFA82
FFF97AFFF972FFF86CFFF867FFF863FFF760FFF75FFFF75FFFF760FFF862FFF866FFF86B
FFF972FFF979FFFA82FFFA8BFFFB95FFFCA0FFFCAAFFFDB5FFFDC0FFFEC9FFFED2FFFEDB
FFFEE2FFFFE8FFFFEDFFFFF1FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF2FFFFEE
FFFFE9FFFFE3FFFEDCFFFED4FFFECBFFFDC1FFFDB6FFFCABFFFCA0FFFB95FFFA8BFFFA81
FFF978FFF970FFF86AFFF864FFF760FFF75DFFF75BFFF75BFFF75CFFF75EFFF862FFF866
FFF86CFFF974FFFA7CFFFA85FFFB8FFFFB9AFFFCA5FFFCB0FFFDBBFFFDC5FFFECFFFFED7
FFFEDFFFFFE6FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF9FFFFF8FFFFF7FFFFF6FFFFF5FFFFF4FFFFF3FFFFF2FFFFF1
FFFFF1FFFFF1FFFFF0FFFFF0FFFFF0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF2
FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFF0
FFFFF0FFFFF1FFFFF1FFFFF1FFFFF2FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF2FFFFEE
FFFFE9FFFFE3FFFEDCFFFED4FFFECBFFFDC1FFFDB7FFFCACFFFCA1FFFB96FFFB8CFFFA82
FFF979FFF971FFF86AFFF865FFF760FFF75DFFF75BFFF75BFFF75CFFF75EFFF861FFF866
FFF86CFFF973FFFA7BFFFA85FFFB8FFFFB99FFFCA4FFFCAFFFFDBAFFFDC4FFFECEFFFED7
FFFEDEFFFFE5FFFFEBFFFFF0FFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8FFFFF5FFFFF2FFFFED
FFFFE8FFFEE2FFFEDAFFFED2FFFEC9FFFDBFFFFDB4FFFCA9FFFC9DFFFB92FFFA88FFFA7E
FFF975FFF86DFFF866FFF761FFF75CFFF759FFF758FFF757FFF758FFF75BFFF75EFFF863
FFF869FFF970FFF978FFFA82FFFB8CFFFB97FFFCA2FFFCAEFFFDB9FFFDC3FFFECDFFFED6
FFFEDEFFFFE5FFFFEAFFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF6FFFFF5FFFFF5FFFFF4FFFFF4FFFFF3FFFFF3
FFFFF3FFFFF4FFFFF4FFFFF4FFFFF5FFFFF6FFFFF6FFFFF7FFFFF8FFFFF8FFFFF9FFFFF9
FFFFF9FFFFF9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF4
FFFFF4FFFFF4FFFFF3FFFFF3FFFFF3FFFFF4FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF6FFFFF3FFFFEF
FFFFEAFFFFE4FFFEDDFFFED5FFFECDFFFDC3FFFDB8FFFCADFFFCA2FFFB97FFFB8CFFFA81
FFF978FFF970FFF869FFF863FFF75EFFF75AFFF758FFF757FFF758FFF75AFFF75DFFF861
FFF866FFF86DFFF975FFFA7EFFFA88FFFB93FFFC9EFFFCA9FFFDB4FFFDBFFFFEC9FFFED3
FFFEDBFFFEE2FFFFE8FFFFEDFFFFF2FFFFF5FFFFF8FFFFFAFFFFFBFFFFFDFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF7FFFFF5FFFFF1FFFFED
FFFFE7FFFEE1FFFED9FFFED1FFFDC7FFFDBDFFFCB1FFFCA6FFFB9AFFFB8FFFFA84FFF97A
FFF971FFF869FFF863FFF75DFFF759FFF756FFF654FFF654FFF655FFF757FFF75AFFF75F
FFF865FFF86DFFF975FFFA7FFFFA89FFFB94FFFC9FFFFCABFFFDB6FFFDC1FFFECBFFFED4
FFFEDDFFFFE4FFFFEAFFFFEFFFFFF3FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6
FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFEFFFFFEFFFF
FDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF7FFFFF8
FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF0
FFFFEBFFFFE5FFFEDFFFFED7FFFECEFFFDC4FFFDB9FFFCAEFFFCA3FFFB97FFFB8CFFFA81
FFF978FFF96FFFF867FFF861FFF75CFFF758FFF655FFF654FFF654FFF655FFF758FFF75C
FFF861FFF867FFF96FFFF978FFFA82FFFB8CFFFB97FFFCA3FFFCAEFFFDBAFFFDC4FFFECE
FFFED7FFFEDFFFFFE6FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF1FFFFEC
FFFFE6FFFEE0FFFED8FFFECFFFFDC5FFFDBAFFFCAFFFFCA3FFFB98FFFB8CFFFA81FFF977
FFF96EFFF866FFF75FFFF759FFF655FFF652FFF651FFF650FFF651FFF653FFF757FFF75C
FFF862FFF869FFF972FFF97BFFFA86FFFB91FFFB9DFFFCA8FFFDB4FFFDBFFFFEC9FFFED3
FFFEDBFFFFE3FFFFE9FFFFEEFFFFF2FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF9FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF9FFFFF7FFFFF6FFFFF6FFFFF5FFFF
F5FFFFF4FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFBFFFFFCFFFFFEFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8
FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF1
FFFFECFFFFE6FFFEE0FFFED8FFFECFFFFDC5FFFDBAFFFCAFFFFCA3FFFB98FFFB8CFFFA81
FFF977FFF96EFFF866FFF75FFFF75AFFF655FFF652FFF651FFF650FFF651FFF653FFF757
FFF75CFFF862FFF869FFF971FFF97BFFFA86FFFB91FFFB9CFFFCA8FFFDB4FFFDBFFFFEC9
FFFED3FFFEDBFFFFE3FFFFE9FFFFEEFFFFF2FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF0FFFFEB
FFFFE5FFFEDEFFFED6FFFECDFFFDC3FFFDB8FFFCACFFFCA0FFFB95FFFA89FFFA7EFFF973
FFF86AFFF862FFF75BFFF756FFF652FFF64FFFF64DFFF64DFFF64EFFF650FFF653FFF758
FFF75EFFF866FFF96EFFF978FFFA82FFFB8EFFFB9AFFFCA6FFFCB1FFFDBDFFFDC8FFFED1
FFFEDAFFFEE2FFFFE8FFFFEDFFFFF2FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFB
FFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFF
FDFFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFF1FFFFF0FFFFEFFFFFEEFFFFEDFFFF
ECFFFFECFFFFECFFFFECFFFFEDFFFFEEFFFFEFFFFFF0FFFFF1FFFFF3FFFFF4FFFFF6FFFF
F8FFFFFAFFFFFCFFFFFDFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFBFFFFFAFFFFF9FFFFF9
FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8FFFFF5FFFFF1
FFFFEDFFFFE7FFFEE1FFFED9FFFED0FFFDC7FFFDBCFFFCB0FFFCA4FFFB98FFFB8DFFFA81
FFF977FFF96DFFF865FFF75EFFF758FFF653FFF650FFF64EFFF64DFFF64DFFF64FFFF652
FFF756FFF75CFFF863FFF86BFFF974FFFA7FFFFA8AFFFB96FFFCA2FFFCAEFFFDB9FFFDC4
FFFECEFFFED7FFFEDFFFFFE6FFFFECFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEFFFFFEA
FFFFE4FFFEDDFFFED5FFFECCFFFDC1FFFDB6FFFCAAFFFC9EFFFB91FFFA86FFF97AFFF970
FFF867FFF75FFFF758FFF652FFF64EFFF54BFFF54AFFF549FFF54AFFF64CFFF650FFF655
FFF75BFFF862FFF86BFFF974FFFA7FFFFA8BFFFB97FFFCA3FFFCAFFFFDBBFFFDC6FFFED0
FFFED9FFFEE1FFFFE7FFFFEDFFFFF1FFFFF5FFFFF8FFFFFAFFFFFBFFFFFDFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFB
FFFFFBFFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFEFFFFFCFFFFFAFFFF
F8FFFFF6FFFFF3FFFFF1FFFFEFFFFFEEFFFFECFFFFEAFFFFE9FFFFE8FFFFE7FFFFE6FFFF
E6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE7FFFFE8FFFFE9FFFFEAFFFFECFFFFEDFFFFEFFFFF
F1FFFFF3FFFFF5FFFFF7FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFBFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF2
FFFFEEFFFFE8FFFEE2FFFEDAFFFED2FFFDC8FFFDBDFFFDB2FFFCA6FFFB99FFFB8DFFFA82
FFF977FFF86DFFF864FFF75CFFF756FFF651FFF64DFFF54BFFF549FFF54AFFF54BFFF64E
FFF651FFF757FFF75DFFF865FFF96EFFF978FFFA83FFFB8FFFFB9BFFFCA7FFFDB3FFFDBF
FFFEC9FFFED3FFFEDCFFFFE3FFFFE9FFFFEEFFFFF3FFFFF6FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEFFFFFEA
FFFFE3FFFEDCFFFED4FFFECAFFFDBFFFFDB3FFFCA7FFFB9BFFFB8EFFFA82FFF977FFF86D
FFF863FFF75BFFF654FFF64FFFF54BFFF548FFF546FFF546FFF547FFF549FFF64CFFF651
FFF757FFF75FFFF867FFF971FFFA7CFFFA87FFFB94FFFCA0FFFCADFFFDB9FFFDC4FFFECE
FFFED7FFFEDFFFFFE6FFFFECFFFFF1FFFFF4FFFFF7FFFFFAFFFFFBFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFDFFFFFBFFFFF9FFFFF7FFFFF5FFFF
F3FFFFF0FFFFEEFFFFECFFFFEAFFFFE9FFFFE7FFFFE6FFFFE5FFFFE4FFFFE3FFFFE2FEFF
E2FEFFE1FEFFE1FEFFE1FEFFE2FEFFE2FFFFE3FFFFE4FFFFE5FFFFE6FFFFE8FFFFE9FFFF
EBFFFFEDFFFFEFFFFFF1FFFFF4FFFFF6FFFFF8FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF6FFFFF3
FFFFEFFFFFE9FFFFE3FFFEDCFFFED3FFFEC9FFFDBFFFFDB3FFFCA7FFFB9AFFFB8EFFFA82
FFF977FFF86CFFF863FFF75BFFF654FFF64FFFF54BFFF548FFF546FFF546FFF547FFF549
FFF64DFFF651FFF757FFF75FFFF868FFF971FFFA7CFFFA88FFFB94FFFCA1FFFCADFFFDB9
FFFDC4FFFECFFFFED8FFFEE0FFFFE7FFFFECFFFFF1FFFFF5FFFFF7FFFFFAFFFFFBFFFFFD
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF2FFFFEEFFFFE9
FFFFE2FFFEDBFFFED2FFFDC8FFFDBDFFFCB1FFFCA5FFFB98FFFB8BFFFA7FFFF974FFF869
FFF760FFF758FFF651FFF54CFFF547FFF545FFF443FFF443FFF544FFF546FFF549FFF64E
FFF654FFF75BFFF864FFF96EFFF978FFFA84FFFB91FFFC9DFFFCAAFFFDB6FFFDC2FFFECC
FFFED6FFFEDEFFFFE5FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFDFFFFFBFFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFF
EFFFFFEDFFFFEBFFFFE9FFFFE7FFFFE6FFFFE4FFFFE3FFFFE2FFFFE2FEFFE1FEFFE0FEFF
E0FEFFE0FEFFE0FEFFE0FEFFE0FEFFE0FEFFE1FEFFE2FEFFE2FFFFE3FFFFE5FFFFE6FFFF
E7FFFFE9FFFFEBFFFFEDFFFFEFFFFFF1FFFFF3FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF3
FFFFEFFFFFEAFFFFE4FFFEDDFFFED5FFFECBFFFDC0FFFDB4FFFCA8FFFB9BFFFB8FFFFA82
FFF977FFF86CFFF862FFF75AFFF653FFF64DFFF548FFF545FFF543FFF443FFF543FFF545
FFF548FFF64CFFF652FFF759FFF861FFF86BFFF975FFFA81FFFB8DFFFB9AFFFCA7FFFDB3
FFFDBFFFFECAFFFED4FFFEDCFFFFE4FFFFEAFFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF2FFFFEEFFFFE8
FFFEE1FFFEDAFFFED1FFFDC6FFFDBBFFFCAFFFFCA2FFFB95FFFA88FFFA7CFFF970FFF866
FFF75CFFF654FFF64EFFF548FFF544FFF441FFF440FFF43FFFF440FFF442FFF546FFF54A
FFF650FFF758FFF760FFF86AFFF975FFFA81FFFB8EFFFB9BFFFCA7FFFDB4FFFDC0FFFECB
FFFED5FFFEDDFFFFE4FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFF0FFFFEEFFFF
ECFFFFEAFFFFE9FFFFE7FFFFE6FFFFE5FFFFE4FFFFE3FFFFE3FFFFE2FFFFE2FEFFE2FEFF
E2FEFFE1FEFFE1FEFFE1FEFFE1FEFFE2FEFFE2FEFFE2FEFFE3FFFFE3FFFFE4FFFFE5FFFF
E6FFFFE7FFFFE8FFFFEAFFFFECFFFFEEFFFFF0FFFFF2FFFFF4FFFFF6FFFFF8FFFFFAFFFF
FCFFFFFDFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4
FFFFF0FFFFEBFFFFE6FFFEDEFFFED6FFFECCFFFDC2FFFDB6FFFCA9FFFB9DFFFB90FFFA83
FFF977FFF86CFFF862FFF759FFF651FFF54BFFF546FFF443FFF440FFF43FFFF440FFF441
FFF544FFF547FFF64DFFF653FFF75BFFF864FFF96FFFF97AFFFA86FFFB93FFFCA0FFFCAD
FFFDB9FFFDC5FFFECFFFFED8FFFEE0FFFFE7FFFFEDFFFFF1FFFFF5FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFEDFFFFE7
FFFEE0FFFED8FFFECFFFFDC4FFFDB9FFFCACFFFC9FFFFB92FFFA85FFF979FFF86DFFF862
FFF759FFF651FFF54AFFF545FFF441FFF43EFFF43DFFF43CFFF43DFFF43FFFF442FFF547
FFF64DFFF654FFF75DFFF867FFF972FFFA7EFFFA8BFFFB98FFFCA5FFFDB2FFFDBEFFFEC9
FFFED3FFFEDCFFFFE4FFFFEAFFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF8FFFFF6FFFFF4FFFFF2FFFFF0FFFFEEFFFFEDFFFF
EBFFFFEAFFFFE9FFFFE8FFFFE7FFFFE7FFFFE6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE6FFFF
E6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE7FFFF
E7FFFFE8FFFFE8FFFFE9FFFFEAFFFFECFFFFEDFFFFEFFFFFF1FFFFF3FFFFF5FFFFF7FFFF
F9FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF5
FFFFF1FFFFECFFFFE7FFFEE0FFFED7FFFECEFFFDC3FFFDB7FFFCABFFFC9EFFFB91FFFA84
FFF977FFF86CFFF861FFF758FFF650FFF54AFFF544FFF440FFF43EFFF43CFFF43CFFF43D
FFF43FFFF443FFF548FFF64EFFF655FFF75EFFF868FFF973FFFA7FFFFB8CFFFB99FFFCA6
FFFDB3FFFDBFFFFECAFFFED4FFFEDDFFFFE4FFFFEAFFFFEFFFFFF3FFFFF7FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE6
FFFEDFFFFED7FFFECDFFFDC2FFFDB7FFFCAAFFFB9CFFFB8FFFFA82FFF975FFF86AFFF75F
FFF656FFF64EFFF547FFF442FFF43EFFF33BFFF339FFF339FFF33AFFF43CFFF43FFFF544
FFF54AFFF651FFF759FFF863FFF96EFFF97BFFFA87FFFB95FFFCA2FFFCAFFFFDBCFFFDC7
FFFED2FFFEDBFFFFE3FFFFE9FFFFEEFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FEFFFFFCFFFFFBFFFFF9FFFFF7FFFFF6FFFFF4FFFFF2FFFFF1FFFFEFFFFFEEFFFFEDFFFF
ECFFFFEBFFFFEBFFFFEBFFFFEBFFFFEBFFFFEBFFFFECFFFFECFFFFEDFFFFEDFFFFEDFFFF
EEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEDFFFFEDFFFFEDFFFFECFFFFECFFFFEBFFFF
EBFFFFEBFFFFEBFFFFEBFFFFECFFFFECFFFFEDFFFFEEFFFFEFFFFFF1FFFFF2FFFFF4FFFF
F6FFFFF8FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5
FFFFF2FFFFEDFFFFE8FFFEE1FFFED9FFFED0FFFDC5FFFDB9FFFCADFFFC9FFFFB92FFFA85
FFF978FFF86CFFF861FFF757FFF64FFFF548FFF443FFF43EFFF43BFFF33AFFF339FFF33A
FFF43BFFF43EFFF443FFF548FFF64FFFF757FFF861FFF86CFFF978FFFA85FFFB92FFFC9F
FFFCADFFFDB9FFFDC5FFFED0FFFED9FFFEE1FFFFE8FFFFEDFFFFF2FFFFF5FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFF0FFFFECFFFFE6
FFFEDEFFFED6FFFECCFFFDC1FFFDB4FFFCA7FFFB9AFFFB8CFFFA7FFFF972FFF866FFF75B
FFF652FFF54AFFF544FFF43EFFF33AFFF338FFF336FFF336FFF337FFF339FFF43CFFF440
FFF546FFF64DFFF756FFF760FFF86BFFF977FFFA84FFFB92FFFCA0FFFCADFFFDBAFFFDC5
FFFED0FFFED9FFFEE2FFFFE8FFFFEEFFFFF2FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFDFFFF
FCFFFFFBFFFFF9FFFFF8FFFFF6FFFFF4FFFFF3FFFFF2FFFFF1FFFFF0FFFFEFFFFFEFFFFF
EFFFFFEFFFFFEFFFFFF0FFFFF1FFFFF2FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFF
F8FFFFF9FFFFF9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF7FFFFF6FFFFF5FFFFF4FFFFF3FFFF
F2FFFFF1FFFFF0FFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF0FFFFF1FFFFF2FFFFF3FFFF
F4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6
FFFFF3FFFFEEFFFFE9FFFEE2FFFEDAFFFED1FFFDC7FFFDBBFFFCAEFFFCA1FFFB93FFFA86
FFF979FFF86CFFF861FFF757FFF64EFFF547FFF441FFF43CFFF339FFF337FFF336FFF336
FFF338FFF33AFFF43EFFF443FFF549FFF651FFF75BFFF865FFF971FFFA7DFFFA8BFFFB98
FFFCA6FFFDB3FFFDBFFFFECBFFFED5FFFEDDFFFFE5FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF0FFFFEBFFFFE5
FFFEDDFFFED4FFFECAFFFDBFFFFDB2FFFCA5FFFB97FFFA89FFFA7BFFF96FFFF863FFF758
FFF64FFFF547FFF440FFF33BFFF337FFF335FFF233FFF233FFF234FFF336FFF339FFF43D
FFF443FFF54AFFF653FFF75DFFF868FFF974FFFA81FFFB8FFFFB9DFFFCAAFFFDB7FFFDC4
FFFECFFFFED8FFFEE1FFFFE7FFFFEDFFFFF2FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFF
FBFFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF2FFFFF3FFFF
F3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFFFEFFFFFDFFFFFB
FFFFFBFFFFFAFFFFFAFFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFFFFFFFFFDFFFF
FBFFFFF9FFFFF8FFFFF6FFFFF5FFFFF4FFFFF3FFFFF2FFFFF2FFFFF2FFFFF2FFFFF3FFFF
F4FFFFF5FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7
FFFFF3FFFFEFFFFFEAFFFFE4FFFEDCFFFED3FFFDC8FFFDBDFFFCB0FFFCA3FFFB95FFFA87
FFF979FFF86DFFF861FFF757FFF64DFFF546FFF440FFF33BFFF337FFF234FFF233FFF233
FFF234FFF336FFF339FFF43EFFF544FFF54BFFF654FFF75EFFF86AFFF976FFFA83FFFB91
FFFC9FFFFCADFFFDB9FFFDC5FFFED0FFFEDAFFFEE2FFFFE8FFFFEEFFFFF2FFFFF6FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFEFFFFFEAFFFFE4
FFFEDCFFFED3FFFDC8FFFDBDFFFCB0FFFCA2FFFB94FFFA86FFF978FFF86BFFF75FFFF655
FFF54CFFF544FFF43DFFF338FFF234FFF232FFF230FFF230FFF231FFF233FFF336FFF33A
FFF440FFF547FFF64FFFF759FFF864FFF971FFFA7EFFFB8CFFFB9AFFFCA8FFFDB5FFFDC2
FFFECDFFFED7FFFEDFFFFFE7FFFFEDFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFF
FAFFFFF9FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFF
F9FFFFFBFFFFFDFFFFFFFFFFFFFFFDFFFFFBFFFFF8FFFFF6FFFFF4FFFFF2FFFFF1FFFFEF
FFFFEEFFFFEEFFFFEDFFFFEDFFFFEDFFFFEEFFFFEFFFFFF0FFFFF1FFFFF3FFFFF5FFFFF7
FFFFF9FFFFFBFFFFFEFFFFFFFDFFFFFBFFFFF9FFFFF8FFFFF6FFFFF5FFFFF5FFFFF5FFFF
F5FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFF9FFFFF7
FFFFF4FFFFF0FFFFEBFFFFE5FFFEDDFFFED4FFFECAFFFDBEFFFDB2FFFCA4FFFB96FFFA88
FFF97AFFF96DFFF861FFF756FFF64DFFF545FFF43EFFF339FFF335FFF232FFF231FFF230
FFF231FFF232FFF335FFF339FFF43FFFF546FFF64EFFF758FFF863FFF96FFFFA7CFFFA8A
FFFB98FFFCA6FFFDB3FFFDC0FFFECBFFFED5FFFEDEFFFFE6FFFFECFFFFF1FFFFF4FFFFF7
FFFFFAFFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEFFFFFE9FFFFE3
FFFEDBFFFED1FFFDC7FFFDBAFFFCADFFFC9FFFFB91FFFA83FFF975FFF868FFF75CFFF651
FFF548FFF441FFF33AFFF335FFF231FFF22FFFF12EFFF12DFFF12EFFF230FFF233FFF337
FFF43DFFF544FFF64CFFF756FFF861FFF96DFFF97BFFFA89FFFB97FFFCA5FFFDB3FFFDC0
FFFECBFFFED6FFFEDEFFFFE6FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFF
F9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFCFFFFFEFFFF
FFFFFEFFFFFCFFFFF9FFFFF6FFFFF4FFFFF1FFFFEEFFFFECFFFFEAFFFFE8FFFFE6FFFFE5
FFFFE4FFFFE3FFFEE2FFFEE2FFFEE2FFFFE3FFFFE3FFFFE5FFFFE6FFFFE8FFFFEAFFFFEC
FFFFEEFFFFF1FFFFF4FFFFF6FFFFF9FFFFFCFFFFFEFEFFFFFCFFFFFAFFFFF9FFFFF8FFFF
F7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF5FFFFF1FFFFECFFFFE6FFFEDFFFFED6FFFECCFFFDC0FFFDB4FFFCA6FFFB98FFFA8A
FFFA7BFFF96EFFF862FFF756FFF64CFFF544FFF43DFFF337FFF233FFF230FFF12EFFF12D
FFF12EFFF22FFFF231FFF335FFF33AFFF440FFF548FFF651FFF75CFFF867FFF974FFFA82
FFFB91FFFC9FFFFCADFFFDBAFFFDC6FFFED1FFFEDAFFFFE2FFFFE9FFFFEFFFFFF3FFFFF6
FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEEFFFFE9FFFEE2
FFFEDAFFFED0FFFDC5FFFDB8FFFCABFFFB9DFFFB8EFFFA80FFF972FFF865FFF759FFF64E
FFF545FFF43DFFF337FFF232FFF22FFFF12CFFF12BFFF12BFFF12BFFF12DFFF230FFF234
FFF33AFFF441FFF549FFF653FFF75EFFF86AFFF978FFFA86FFFB94FFFCA3FFFCB1FFFDBE
FFFECAFFFED4FFFEDDFFFFE5FFFFEBFFFFF0FFFFF4FFFFF7FFFFFAFFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFF
F9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFBFFFFFCFFFFFEFFFFFFFFFFFFFFFDFFFFFA
FFFFF7FFFFF4FFFFF1FFFFEEFFFFEBFFFFE9FFFFE6FFFFE3FFFEE1FFFEDFFFFEDEFFFEDC
FFFEDBFFFEDAFFFEDAFFFEDAFFFEDAFFFEDAFFFEDBFFFEDCFFFEDDFFFEDFFFFEE1FFFFE3
FFFFE5FFFFE8FFFFEAFFFFEDFFFFF0FFFFF3FFFFF6FFFFF9FFFFFCFFFFFEFEFFFFFDFFFF
FBFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF5FFFFF2FFFFEDFFFFE7FFFEE0FFFED8FFFECEFFFDC2FFFDB6FFFCA8FFFB9AFFFA8B
FFFA7DFFF96FFFF862FFF756FFF64CFFF543FFF43CFFF336FFF231FFF12EFFF12CFFF12B
FFF12BFFF12CFFF12EFFF231FFF335FFF33BFFF442FFF54BFFF655FFF760FFF86DFFF97B
FFFA89FFFB98FFFCA6FFFDB4FFFDC0FFFECCFFFED6FFFEDFFFFFE6FFFFECFFFFF1FFFFF5
FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF6FFFFF2FFFFEEFFFFE8FFFEE1
FFFED8FFFECEFFFDC3FFFDB6FFFCA8FFFB9AFFFB8BFFFA7DFFF96FFFF861FFF655FFF54B
FFF442FFF33AFFF234FFF22FFFF12CFFF129FFF028FFF028FFF029FFF12AFFF12DFFF231
FFF337FFF43DFFF546FFF64FFFF75AFFF867FFF975FFFA83FFFB92FFFCA0FFFCAEFFFDBC
FFFDC8FFFED3FFFEDCFFFFE4FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFDFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFF
FAFFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFEFFFFFCFFFFF9FFFFF7FFFFF4
FFFFF1FFFFEDFFFFEAFFFFE7FFFFE5FFFEE2FFFEE0FFFEDDFFFEDBFFFEDAFFFED8FFFED7
FFFED6FFFED6FFFED5FFFED5FFFED5FFFED5FFFED6FFFED7FFFED8FFFED9FFFEDAFFFEDC
FFFEDEFFFEE0FFFFE3FFFFE6FFFFE8FFFFEBFFFFEEFFFFF2FFFFF5FFFFF8FFFFFAFFFFFD
FFFFFFFEFFFFFCFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFF
FDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF6FFFFF3FFFFEEFFFFE9FFFEE2FFFED9FFFECFFFFDC4FFFDB8FFFCAAFFFB9CFFFB8D
FFFA7EFFF970FFF863FFF757FFF64CFFF443FFF33BFFF335FFF230FFF12CFFF12AFFF028
FFF028FFF028FFF12AFFF12DFFF231FFF336FFF43DFFF545FFF64EFFF759FFF866FFF973
FFFA81FFFB90FFFC9FFFFCADFFFDBBFFFDC7FFFED2FFFEDBFFFFE3FFFFEAFFFFEFFFFFF3
FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF2FFFFEDFFFFE7FFFEE0
FFFED7FFFECDFFFDC1FFFDB4FFFCA6FFFB97FFFA88FFF97AFFF86BFFF75EFFF652FFF548
FFF43FFFF337FFF231FFF12DFFF129FFF027FFF026FFF025FFF026FFF028FFF12BFFF22F
FFF234FFF33AFFF442FFF64CFFF757FFF864FFF971FFFA80FFFB8FFFFC9EFFFCACFFFDBA
FFFDC6FFFED1FFFEDBFFFFE3FFFFEAFFFFEFFFFFF3FFFFF7FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFF
FBFFFFFBFFFFFCFFFFFDFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF7FFFFF4FFFFF1FFFFEE
FFFFEBFFFFE8FFFFE5FFFFE3FFFEE0FFFEDEFFFEDCFFFEDAFFFED9FFFED8FFFED6FFFED6
FFFED5FFFED4FFFED4FFFED4FFFED4FFFED4FFFED4FFFED5FFFED6FFFED7FFFED8FFFED9
FFFEDAFFFEDCFFFEDEFFFEE0FFFFE3FFFFE6FFFFE8FFFFEBFFFFEEFFFFF1FFFFF4FFFFF7
FFFFFAFFFFFCFFFFFFFFFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFF
FDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF7FFFFF3FFFFEFFFFFEAFFFFE3FFFEDBFFFED1FFFDC6FFFDBAFFFCACFFFC9DFFFB8F
FFFA80FFF971FFF863FFF757FFF64CFFF442FFF33AFFF234FFF12EFFF12AFFF028FFF026
FFF025FFF026FFF027FFF129FFF12DFFF231FFF337FFF43FFFF548FFF652FFF75EFFF86C
FFF97AFFFA89FFFB98FFFCA6FFFDB4FFFDC1FFFECDFFFED7FFFEE0FFFFE7FFFFEDFFFFF2
FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE6FFFEDF
FFFED6FFFECBFFFDBFFFFDB2FFFCA4FFFB95FFFA85FFF976FFF868FFF75BFFF64FFFF545
FFF43CFFF234FFF22FFFF12AFFF027FFEF24FFEF23FFEF23FFEF24FFF025FFF028FFF12C
FFF231FFF337FFF43FFFF549FFF654FFF760FFF96EFFFA7DFFFB8CFFFB9BFFFCAAFFFDB8
FFFDC5FFFED0FFFEDAFFFEE2FFFFE9FFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFF
FDFFFFFDFFFFFFFFFFFFFFFFFFFFFDFFFFFBFFFFF8FFFFF6FFFFF3FFFFF0FFFFEDFFFFEA
FFFFE8FFFFE5FFFFE3FFFEE1FFFEDFFFFEDDFFFEDCFFFEDBFFFEDAFFFED9FFFED8FFFED8
FFFED8FFFED8FFFED7FFFED7FFFED7FFFED7FFFED7FFFED8FFFED8FFFED8FFFED9FFFEDA
FFFEDAFFFEDBFFFEDDFFFEDEFFFEE0FFFEE2FFFFE4FFFFE7FFFFE9FFFFECFFFFEFFFFFF2
FFFFF5FFFFF8FFFFFAFFFFFCFFFFFEFFFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFA
FFFFF7FFFFF4FFFFF0FFFFEBFFFFE4FFFEDCFFFED3FFFDC8FFFDBCFFFCAEFFFCA0FFFB90
FFFA81FFF972FFF864FFF758FFF64CFFF442FFF33AFFF233FFF12DFFF029FFF026FFEF24
FFEF23FFEF23FFEF24FFF026FFF029FFF12DFFF233FFF339FFF442FFF54CFFF757FFF864
FFF972FFFA81FFFB90FFFC9FFFFCAEFFFDBBFFFDC8FFFED3FFFEDCFFFFE4FFFFEBFFFFF0
FFFFF4FFFFF7FFFFFAFFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE5FFFEDE
FFFED4FFFECAFFFDBDFFFCB0FFFCA1FFFB92FFFA82FFF973FFF865FFF758FFF64CFFF442
FFF339FFF232FFF12CFFF027FFEF24FFEF22FFEF21FFEF20FFEF21FFEF23FFF025FFF129
FFF12EFFF235FFF43CFFF546FFF651FFF75DFFF86BFFF97AFFFA89FFFB98FFFCA7FFFDB6
FFFDC3FFFECEFFFED9FFFEE1FFFFE8FFFFEEFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFF
FEFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF7FFFFF5FFFFF2FFFFF0FFFFEDFFFFEBFFFFE8
FFFFE6FFFFE4FFFFE3FFFEE1FFFEE0FFFEDFFFFEDFFFFEDFFFFEDEFFFEDEFFFEDEFFFEDF
FFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDEFFFEDEFFFEDE
FFFEDEFFFEDFFFFEDFFFFEE0FFFEE1FFFEE2FFFFE3FFFFE5FFFFE7FFFFE9FFFFEBFFFFEE
FFFFF1FFFFF3FFFFF6FFFFF8FFFFFBFFFFFDFFFFFEFFFFFFFEFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF5FFFFF1FFFFECFFFFE6FFFEDEFFFED5FFFECAFFFDBEFFFCB0FFFCA2FFFB92
FFFA83FFF974FFF865FFF758FFF64CFFF442FFF339FFF232FFF12CFFF028FFEF24FFEF22
FFEF21FFEF20FFEF21FFEF23FFF025FFF029FFF12EFFF234FFF43CFFF545FFF650FFF75D
FFF86AFFF979FFFA88FFFB98FFFCA7FFFDB5FFFDC2FFFECEFFFED8FFFEE1FFFFE8FFFFEE
FFFFF2FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFF0FFFFEBFFFFE5FFFEDD
FFFED3FFFDC8FFFDBBFFFCADFFFC9EFFFB8FFFFA7FFFF970FFF862FFF654FFF549FFF43F
FFF336FFF22FFFF129FFF025FFEF22FFEE20FFEE1EFFEE1EFFEE1FFFEF20FFEF23FFF027
FFF12BFFF232FFF339FFF443FFF64EFFF75AFFF868FFF977FFFA86FFFB96FFFCA5FFFDB3
FFFDC1FFFECDFFFED7FFFEE0FFFFE8FFFFEDFFFFF2FFFFF6FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFDFFFFFBFFFFF9FFFFF7FFFFF5FFFFF2FFFFF0FFFFEEFFFFECFFFFEAFFFFE8
FFFFE7FFFFE6FFFFE5FFFFE5FFFFE5FFFFE5FFFFE5FFFFE6FFFFE7FFFFE7FFFFE8FFFFE9
FFFFEAFFFFEAFFFFEBFFFFEBFFFFEBFFFFEBFFFFEBFFFFEAFFFFEAFFFFE9FFFFE8FFFFE7
FFFFE7FFFFE6FFFFE5FFFFE5FFFFE5FFFFE5FFFFE5FFFFE6FFFFE7FFFFE8FFFFEAFFFFEC
FFFFEEFFFFF0FFFFF3FFFFF5FFFFF7FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFEFFFFFEFFFF
FDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF6FFFFF2FFFFEDFFFFE7FFFEE0FFFED7FFFECCFFFDC0FFFDB2FFFCA4FFFB95
FFFA85FFF975FFF867FFF759FFF64DFFF442FFF339FFF231FFF12BFFF026FFEF23FFEF20
FFEE1FFFEE1EFFEE1FFFEE20FFEF22FFF025FFF12AFFF22FFFF336FFF43FFFF549FFF655
FFF863FFF971FFFA80FFFB90FFFCA0FFFCAEFFFDBCFFFEC9FFFED4FFFEDDFFFFE5FFFFEC
FFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFF0FFFFEAFFFFE4FFFEDC
FFFED2FFFDC6FFFDB9FFFCABFFFB9CFFFB8CFFFA7CFFF86DFFF75EFFF651FFF546FFF43C
FFF233FFF12CFFF027FFEF23FFEE1FFFEE1DFFED1CFFED1CFFEE1DFFEE1EFFEF21FFEF24
FFF029FFF22FFFF337FFF440FFF54AFFF757FFF865FFF973FFFA83FFFB93FFFCA2FFFCB1
FFFDBFFFFECBFFFED6FFFEDFFFFFE7FFFFEDFFFFF2FFFFF5FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFECFFFFEBFFFFEA
FFFFEAFFFFEAFFFFEAFFFFEBFFFFECFFFFEDFFFFEFFFFFF0FFFFF2FFFFF4FFFFF6FFFFF7
FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFBFFFFFAFFFFF9FFFFF7FFFFF6FFFFF4
FFFFF3FFFFF1FFFFEFFFFFEEFFFFECFFFFEBFFFFEAFFFFEAFFFFEAFFFFEAFFFFEBFFFFEC
FFFFEDFFFFEFFFFFF0FFFFF2FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFEFFFFFFFFFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF9FFFFF6FFFFF3FFFFEEFFFFE8FFFEE1FFFED8FFFECEFFFDC2FFFDB5FFFCA6FFFB97
FFFA87FFF977FFF868FFF75AFFF64DFFF442FFF339FFF231FFF12AFFF025FFEF21FFEE1F
FFEE1DFFED1CFFED1CFFEE1DFFEE1FFFEF22FFF026FFF12BFFF231FFF339FFF443FFF64E
FFF75BFFF869FFF979FFFA88FFFB98FFFCA7FFFDB6FFFDC3FFFECFFFFED9FFFEE2FFFFE9
FFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFF9FFFFF7FFFFF4FFFFEFFFFFEAFFFFE3FFFEDA
FFFED0FFFDC5FFFDB7FFFCA9FFFB99FFFA89FFF979FFF86AFFF75BFFF64EFFF443FFF339
FFF230FFF12AFFEF24FFEF20FFEE1DFFED1BFFED1AFFED1AFFED1BFFED1CFFEE1EFFEF22
FFF026FFF12CFFF234FFF43DFFF547FFF654FFF861FFF970FFFA80FFFB90FFFCA0FFFCAF
FFFDBDFFFECAFFFED5FFFEDEFFFFE6FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF8FFFFF6FFFFF4FFFFF2FFFFF1FFFFF0FFFFEFFFFFEEFFFFEEFFFFEE
FFFFEFFFFFF0FFFFF2FFFFF4FFFFF6FFFFF8FFFFFBFFFFFEFFFFFFFCFFFFFAFFFFF7FFFF
F5FFFFF4FFFFF3FFFFF2FFFFF2FFFFF2FFFFF2FFFFF3FFFFF5FFFFF6FFFFF8FFFFFBFFFF
FDFFFFFFFFFFFFFFFDFFFFFAFFFFF7FFFFF5FFFFF3FFFFF1FFFFF0FFFFEFFFFFEEFFFFEE
FFFFEEFFFFEFFFFFF0FFFFF1FFFFF3FFFFF5FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFB
FFFFF9FFFFF7FFFFF4FFFFEFFFFFEAFFFFE3FFFEDAFFFED0FFFDC4FFFDB7FFFCA9FFFB99
FFFA89FFF979FFF86AFFF75BFFF64EFFF442FFF338FFF230FFF12AFFEF24FFEE20FFEE1D
FFED1BFFED1AFFED1AFFED1BFFED1CFFEE1EFFEF22FFF026FFF12CFFF234FFF43DFFF548
FFF654FFF862FFF971FFFA80FFFB90FFFCA0FFFCAFFFFDBDFFFECAFFFED5FFFEDEFFFFE6
FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF3FFFFEFFFFFE9FFFEE2FFFED9
FFFECFFFFDC3FFFDB5FFFCA6FFFB97FFFA86FFF976FFF867FFF758FFF54BFFF440FFF336
FFF12EFFF027FFEF22FFEE1EFFED1BFFED19FFEC18FFEC18FFEC19FFED1AFFED1CFFEE20
FFEF24FFF12AFFF231FFF33AFFF544FFF651FFF75EFFF96DFFFA7DFFFB8DFFFC9DFFFCAD
FFFDBBFFFDC8FFFED4FFFEDDFFFFE5FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFB
FFFFFAFFFFF8FFFFF7FFFFF5FFFFF4FFFFF3FFFFF2FFFFF2FFFFF2FFFFF2FFFFF3FFFFF4
FFFFF6FFFFF9FFFFFBFFFFFEFDFFFFFAFFFFF6FFFFF3FFFFF0FFFFEDFFFFEAFFFFE7FFFF
E5FFFFE4FFFFE2FFFFE2FEFFE1FEFFE1FEFFE2FEFFE3FFFFE4FFFFE6FFFFE8FFFFEAFFFF
EDFFFFF0FFFFF3FFFFF7FFFFFAFFFFFEFFFFFFFFFEFFFFFBFFFFF8FFFFF6FFFFF4FFFFF3
FFFFF2FFFFF2FFFFF2FFFFF2FFFFF3FFFFF4FFFFF5FFFFF7FFFFF8FFFFFAFFFFFBFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF4FFFFF0FFFFEBFFFFE4FFFEDCFFFED2FFFDC7FFFDB9FFFCABFFFB9B
FFFB8BFFF97BFFF86BFFF75CFFF64FFFF443FFF339FFF230FFF029FFEF23FFEE1FFFED1C
FFED1AFFEC18FFEC18FFEC18FFED19FFED1BFFEE1EFFEF23FFF028FFF22FFFF337FFF441
FFF64DFFF75AFFF869FFF978FFFA88FFFB99FFFCA8FFFDB7FFFDC4FFFED0FFFEDAFFFFE3
FFFFEAFFFFEFFFFFF4FFFFF7FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEEFFFFE8FFFEE1FFFED8
FFFECDFFFDC1FFFDB3FFFCA4FFFB94FFFA83FFF973FFF864FFF655FFF548FFF43DFFF233
FFF12BFFF025FFEE20FFED1CFFED19FFEC17FFEC16FFEB16FFEC17FFEC18FFED1AFFEE1D
FFEF22FFF027FFF12EFFF337FFF441FFF64DFFF75BFFF86AFFF97AFFFA8BFFFB9BFFFCAB
FFFDB9FFFDC7FFFED2FFFEDCFFFFE4FFFFEBFFFFF0FFFFF4FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF6FFFFF5FFFFF5FFFFF4FFFFF4FFFFF5FFFFF6FFFFF7FFFFF9FFFFFC
FFFFFFFDFFFFF9FFFFF5FFFFF1FFFFEDFFFFEAFFFFE6FFFFE2FFFFDFFEFFDDFEFFDAFEFF
D8FEFFD6FEFFD5FEFFD4FEFFD4FEFFD4FEFFD4FEFFD5FEFFD6FEFFD8FEFFDAFEFFDCFEFF
DFFEFFE2FEFFE5FFFFE9FFFFEDFFFFF1FFFFF4FFFFF8FFFFFCFFFFFFFFFFFFFFFDFFFFFA
FFFFF8FFFFF6FFFFF5FFFFF4FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7FFFFF9FFFFFAFFFFFB
FFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE6FFFEDEFFFED4FFFEC9FFFDBCFFFCADFFFC9E
FFFB8EFFFA7DFFF86DFFF75EFFF650FFF543FFF339FFF230FFF028FFEF23FFEE1EFFED1B
FFEC18FFEC17FFEB16FFEC16FFEC17FFEC19FFED1BFFEE1FFFEF24FFF12AFFF231FFF33B
FFF546FFF653FFF861FFF970FFFA80FFFB91FFFCA1FFFCB0FFFDBFFFFECBFFFED6FFFEDF
FFFFE7FFFFEDFFFFF2FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEEFFFFE8FFFEE0FFFED7
FFFECCFFFDBFFFFCB1FFFCA2FFFB91FFFA81FFF970FFF760FFF652FFF545FFF33AFFF230
FFF029FFEF22FFEE1EFFED1AFFEC17FFEB16FFEB15FFEB14FFEB15FFEB16FFEC18FFED1B
FFEE1FFFF025FFF12CFFF234FFF43EFFF54AFFF758FFF867FFF977FFFA88FFFB98FFFCA8
FFFDB7FFFDC5FFFED1FFFEDBFFFFE3FFFFEAFFFFF0FFFFF4FFFFF7FFFFFAFFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF9FFFFFBFFFFFEFEFFFFFBFFFF
F7FFFFF3FFFFEFFFFFEBFFFFE7FFFFE3FFFFDFFEFFDBFEFFD8FEFFD5FEFFD2FEFFD0FEFF
CEFEFFCDFEFFCBFEFFCBFEFFCAFEFFCAFEFFCAFEFFCBFEFFCCFEFFCDFEFFCFFEFFD1FEFF
D4FEFFD6FEFFDAFEFFDDFEFFE1FEFFE5FFFFE9FFFFEDFFFFF1FFFFF5FFFFF9FFFFFCFFFF
FFFFFFFFFFFDFFFFFAFFFFF9FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE7FFFEDFFFFED6FFFECBFFFDBEFFFCB0FFFCA0
FFFB90FFFA7FFFF96FFFF75FFFF651FFF544FFF339FFF230FFF028FFEF22FFEE1DFFED1A
FFEC17FFEB15FFEB15FFEB14FFEB15FFEC16FFEC18FFED1CFFEE20FFF025FFF12CFFF335
FFF43FFFF54BFFF759FFF868FFF978FFFA89FFFB99FFFCA9FFFDB8FFFDC6FFFED2FFFEDC
FFFFE4FFFFEBFFFFF0FFFFF4FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE7FFFEDFFFFED6
FFFECAFFFDBDFFFCAFFFFC9FFFFB8FFFFA7EFFF86DFFF75DFFF64FFFF442FFF337FFF12E
FFF026FFEE20FFED1BFFEC18FFEB15FFEB14FFEA13FFEA13FFEA13FFEB14FFEC16FFED19
FFEE1DFFEF22FFF129FFF231FFF43CFFF547FFF655FFF864FFF974FFFA85FFFB96FFFCA6
FFFDB5FFFDC3FFFECFFFFEDAFFFFE3FFFFEAFFFFEFFFFFF4FFFFF7FFFFF9FFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFFA
FFFFF9FFFFF8FFFFF8FFFFF9FFFFF9FFFFFBFFFFFCFFFFFFFEFFFFFAFFFFF7FFFFF3FFFF
EFFFFFEBFFFFE6FFFFE2FEFFDEFEFFDBFEFFD7FEFFD4FEFFD1FEFFCFFEFFCCFEFFCAFEFF
C9FEFFC8FDFFC7FDFFC6FDFFC6FDFFC5FDFFC6FDFFC6FDFFC7FDFFC8FDFFC9FEFFCBFEFF
CDFEFFCFFEFFD2FEFFD5FEFFD8FEFFDBFEFFDFFEFFE3FFFFE7FFFFEBFFFFEFFFFFF4FFFF
F7FFFFFBFFFFFEFFFFFFFFFEFFFFFCFFFFFAFFFFF9FFFFF9FFFFF8FFFFF9FFFFF9FFFFFA
FFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF9FFFFF6FFFFF3FFFFEEFFFFE8FFFEE1FFFED8FFFECDFFFDC1FFFDB3FFFCA3
FFFB93FFFA82FFF971FFF861FFF652FFF545FFF33AFFF230FFF028FFEF21FFEE1CFFEC19
FFEB16FFEB14FFEA13FFEA13FFEA13FFEB14FFEB16FFEC19FFED1CFFEF21FFF027FFF22F
FFF339FFF544FFF651FFF760FFF970FFFA81FFFB92FFFCA2FFFDB2FFFDC0FFFECDFFFED7
FFFEE1FFFFE8FFFFEEFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF2FFFFECFFFFE6FFFEDEFFFED4
FFFEC9FFFDBCFFFCADFFFB9DFFFB8CFFF97BFFF86AFFF75AFFF64CFFF43FFFF234FFF12B
FFEF24FFEE1EFFED19FFEB16FFEB14FFEA12FFE911FFE911FFEA12FFEA13FFEB15FFEC17
FFED1BFFEF20FFF027FFF22FFFF339FFF544FFF652FFF861FFF971FFFA82FFFB93FFFCA4
FFFDB3FFFDC1FFFECEFFFED9FFFEE2FFFFE9FFFFEFFFFFF3FFFFF7FFFFF9FFFFFBFFFFFD
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFFA
FFFFFAFFFFFAFFFFFAFFFFFBFFFFFDFFFFFFFEFFFFFBFFFFF7FFFFF4FFFFF0FFFFECFFFF
E8FFFFE4FFFFE0FEFFDCFEFFD9FEFFD6FEFFD3FEFFD1FEFFCEFEFFCCFEFFCBFEFFCAFEFF
C8FEFFC8FDFFC7FDFFC7FDFFC6FDFFC6FDFFC6FDFFC7FDFFC7FDFFC8FDFFC8FDFFC9FEFF
CBFEFFCCFEFFCEFEFFD0FEFFD3FEFFD5FEFFD9FEFFDCFEFFE0FEFFE3FFFFE7FFFFEBFFFF
EFFFFFF3FFFFF7FFFFFAFFFFFDFFFFFFFFFFFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFFA
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFFAFFFFF7FFFFF4FFFFEFFFFFEAFFFFE3FFFEDAFFFECFFFFDC3FFFDB5FFFCA6
FFFB95FFFA84FFF973FFF863FFF654FFF546FFF33AFFF230FFF028FFEF21FFED1CFFEC18
FFEB15FFEA13FFEA12FFE911FFE911FFEA12FFEA13FFEB16FFEC19FFEE1DFFEF23FFF12A
FFF233FFF43EFFF54AFFF758FFF868FFF979FFFA8AFFFB9AFFFCABFFFDBAFFFDC7FFFED3
FFFEDDFFFFE5FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE5FFFEDDFFFED3
FFFDC7FFFDBAFFFCAAFFFB9AFFFA89FFF978FFF867FFF757FFF549FFF43CFFF232FFF029
FFEF22FFED1CFFEC18FFEB14FFEA12FFE911FFE910FFE910FFE910FFE911FFEA13FFEB16
FFED19FFEE1EFFF024FFF12CFFF336FFF441FFF64FFFF75EFFF96EFFFA7FFFFB90FFFCA1
FFFCB1FFFDC0FFFECCFFFED8FFFEE1FFFFE8FFFFEEFFFFF3FFFFF6FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFB
FFFFFBFFFFFCFFFFFDFFFFFFFEFFFFFCFFFFF9FFFFF6FFFFF2FFFFEEFFFFEBFFFFE7FFFF
E3FFFFE0FEFFDDFEFFDAFEFFD7FEFFD5FEFFD3FEFFD1FEFFD0FEFFCFFEFFCEFEFFCEFEFF
CDFEFFCDFEFFCDFEFFCDFEFFCDFEFFCDFEFFCDFEFFCDFEFFCDFEFFCDFEFFCDFEFFCDFEFF
CEFEFFCFFEFFCFFEFFD1FEFFD2FEFFD4FEFFD6FEFFD8FEFFDBFEFFDEFEFFE2FEFFE5FFFF
E9FFFFEDFFFFF1FFFFF4FFFFF8FFFFFBFFFFFDFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFFB
FFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF5FFFFF0FFFFEBFFFFE4FFFEDCFFFED2FFFDC6FFFDB8FFFCA8
FFFB98FFFA87FFF976FFF865FFF655FFF547FFF33BFFF230FFF028FFEF21FFED1BFFEC17
FFEB14FFEA12FFE910FFE910FFE910FFE910FFEA11FFEA13FFEB16FFED1AFFEE1FFFF025
FFF12DFFF337FFF543FFF651FFF760FFF970FFFA81FFFB93FFFCA3FFFDB3FFFDC1FFFECE
FFFED9FFFEE2FFFFE9FFFFEFFFFFF3FFFFF7FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFEBFFFFE4FFFEDCFFFED2
FFFDC6FFFDB8FFFCA8FFFB98FFFA86FFF975FFF864FFF654FFF546FFF33AFFF22FFFF026
FFEE1FFFED1AFFEB16FFEA13FFE911FFE80FFFE80EFFE80EFFE80FFFE910FFEA11FFEB14
FFEC17FFED1CFFEF22FFF12AFFF233FFF43FFFF64CFFF75BFFF86BFFFA7CFFFB8EFFFC9F
FFFCAFFFFDBEFFFECBFFFED6FFFEE0FFFFE8FFFFEEFFFFF3FFFFF6FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFDFFFFFEFFFFFFFDFFFFFBFFFFF8FFFFF5FFFFF1FFFFEEFFFFEBFFFFE7FFFFE4FFFF
E1FEFFDEFEFFDCFEFFDAFEFFD9FEFFD8FEFFD7FEFFD6FEFFD6FEFFD6FEFFD7FEFFD7FEFF
D7FEFFD8FEFFD8FEFFD9FEFFD9FEFFD9FEFFD9FEFFD9FEFFD9FEFFD8FEFFD8FEFFD7FEFF
D7FEFFD6FEFFD6FEFFD6FEFFD6FEFFD7FEFFD8FEFFD9FEFFDBFEFFDDFEFFDFFEFFE2FEFF
E5FFFFE8FFFFEBFFFFEFFFFFF2FFFFF5FFFFF9FFFFFBFFFFFEFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE6FFFEDEFFFED4FFFDC8FFFDBAFFFCAB
FFFB9BFFFA8AFFF978FFF867FFF757FFF548FFF43CFFF231FFF028FFEF21FFED1BFFEC16
FFEA13FFE911FFE90FFFE80FFFE80EFFE80FFFE90FFFE911FFEA13FFEC17FFED1BFFEF21
FFF028FFF231FFF43CFFF549FFF758FFF868FFF979FFFA8BFFFB9CFFFCACFFFDBBFFFEC9
FFFED4FFFEDEFFFFE6FFFFEDFFFFF2FFFFF6FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEBFFFFE4FFFEDBFFFED0
FFFDC4FFFDB6FFFCA6FFFB95FFFA83FFF972FFF861FFF651FFF543FFF337FFF12CFFEF24
FFEE1DFFEC18FFEB14FFE911FFE80FFFE80EFFE70DFFE70DFFE70DFFE80EFFE910FFEA12
FFEB16FFED1AFFEE20FFF027FFF231FFF43CFFF549FFF758FFF868FFF979FFFA8BFFFB9C
FFFCADFFFDBCFFFEC9FFFED5FFFEDFFFFFE7FFFFEDFFFFF2FFFFF6FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFFFEFFFFFCFFFFFAFFFFF7FFFFF4FFFFF1FFFFEEFFFFEBFFFFE8FFFFE6FFFFE3FFFF
E2FEFFE0FEFFDFFEFFDEFEFFDEFEFFDEFEFFDFFEFFE0FEFFE1FEFFE2FFFFE4FFFFE5FFFF
E7FFFFE8FFFFE9FFFFEAFFFFEBFFFFEBFFFFEBFFFFEBFFFFEAFFFFEAFFFFE8FFFFE7FFFF
E6FFFFE4FFFFE2FFFFE1FEFFE0FEFFDFFEFFDEFEFFDEFEFFDEFEFFDFFEFFE0FEFFE1FEFF
E3FFFFE6FFFFE8FFFFEBFFFFEEFFFFF1FFFFF4FFFFF7FFFFFAFFFFFCFFFFFEFFFFFFFFFF
FFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEEFFFFE7FFFEDFFFFED6FFFECAFFFDBDFFFCAE
FFFC9EFFFB8CFFF97BFFF869FFF759FFF54AFFF43DFFF231FFF028FFEF20FFED1AFFEB16
FFEA13FFE910FFE80EFFE70DFFE70DFFE70DFFE80EFFE80FFFE911FFEB14FFEC18FFEE1D
FFEF23FFF12CFFF336FFF442FFF650FFF760FFF971FFFA82FFFB94FFFCA5FFFDB5FFFDC3
FFFED0FFFEDAFFFFE3FFFFEAFFFFF0FFFFF4FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFF0FFFFEAFFFFE3FFFEDAFFFECF
FFFDC2FFFDB4FFFCA4FFFB92FFFA81FFF96FFFF75EFFF64EFFF440FFF234FFF12AFFEF22
FFED1BFFEC16FFEA12FFE910FFE80EFFE70DFFE60CFFE60CFFE70CFFE70DFFE80FFFE911
FFEB14FFEC18FFEE1EFFF025FFF12EFFF339FFF546FFF655FFF865FFF977FFFA88FFFB9A
FFFCABFFFDBAFFFDC8FFFED4FFFEDEFFFFE6FFFFEDFFFFF2FFFFF6FFFFF8FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFFFFFF
FEFFFFFCFFFFFAFFFFF7FFFFF5FFFFF2FFFFEFFFFFEDFFFFEAFFFFE8FFFFE7FFFFE6FFFF
E5FFFFE5FFFFE5FFFFE6FFFFE7FFFFE9FFFFEBFFFFEDFFFFF0FFFFF3FFFFF6FFFFF9FFFF
FBFFFFFDFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFFFFFEFFFFFCFFFF
FAFFFFF7FFFFF4FFFFF1FFFFEEFFFFECFFFFEAFFFFE8FFFFE6FFFFE5FFFFE5FFFFE5FFFF
E5FFFFE6FFFFE8FFFFEAFFFFECFFFFEEFFFFF1FFFFF4FFFFF6FFFFF9FFFFFBFFFFFDFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEFFFFFE9FFFEE1FFFED8FFFECDFFFDC0FFFCB1
FFFCA1FFFB8FFFFA7DFFF86CFFF75BFFF54CFFF43EFFF232FFF028FFEF20FFED1AFFEB15
FFEA12FFE90FFFE80EFFE70CFFE60CFFE60CFFE70CFFE70DFFE80FFFE911FFEB15FFED19
FFEE1FFFF027FFF230FFF33BFFF549FFF758FFF868FFF97AFFFB8CFFFB9DFFFCAEFFFDBD
FFFECAFFFED6FFFEE0FFFFE7FFFFEEFFFFF2FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFEFFFFFE9FFFEE2FFFED9FFFECE
FFFDC1FFFDB2FFFCA1FFFB90FFFA7EFFF86CFFF75BFFF54BFFF43DFFF232FFF028FFEE20
FFED19FFEB15FFE911FFE80EFFE70DFFE60BFFE60BFFE60BFFE60BFFE60CFFE70DFFE90F
FFEA12FFEC16FFED1CFFEF23FFF12CFFF336FFF543FFF652FFF862FFF974FFFA86FFFB97
FFFCA9FFFDB8FFFDC6FFFED3FFFEDDFFFFE5FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFDFFFF
FCFFFFFAFFFFF8FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEBFFFFEAFFFFEAFFFFEAFFFF
EBFFFFECFFFFEEFFFFF0FFFFF3FFFFF7FFFFFAFFFFFEFFFFFFFFFCFFFFF8FFFFF4FFFFF1
FFFFEDFFFFEBFFFFE8FFFFE6FFFFE5FFFFE4FFFFE4FFFFE4FFFFE5FFFFE7FFFFE9FFFFEB
FFFFEEFFFFF2FFFFF6FFFFFAFFFFFEFDFFFFF9FFFFF6FFFFF2FFFFF0FFFFEDFFFFECFFFF
EAFFFFEAFFFFEAFFFFEBFFFFECFFFFEDFFFFEFFFFFF1FFFFF4FFFFF6FFFFF8FFFFFAFFFF
FCFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFF0FFFFEAFFFFE3FFFEDAFFFECFFFFDC2FFFDB4
FFFCA4FFFB92FFFA80FFF96EFFF75DFFF64DFFF43FFFF233FFF029FFEF21FFED1AFFEB15
FFEA11FFE80FFFE70DFFE60BFFE60BFFE60BFFE60BFFE60CFFE70DFFE80FFFEA12FFEB16
FFED1BFFEF22FFF12AFFF335FFF441FFF650FFF760FFF971FFFA83FFFB95FFFCA6FFFDB6
FFFDC5FFFED1FFFEDCFFFFE4FFFFEBFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEFFFFFE9FFFEE1FFFED8FFFECC
FFFDBFFFFCB0FFFC9FFFFB8DFFF97BFFF869FFF758FFF548FFF33BFFF22FFFF025FFEE1E
FFEC18FFEA13FFE910FFE70DFFE60BFFE50AFFE50AFFE50AFFE50AFFE60BFFE70CFFE80E
FFE911FFEB15FFED1AFFEF21FFF129FFF234FFF440FFF64FFFF75FFFF971FFFA83FFFB95
FFFCA6FFFDB6FFFDC5FFFED1FFFEDCFFFFE5FFFFEBFFFFF1FFFFF5FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFDFFFFFCFFFF
FAFFFFF8FFFFF6FFFFF4FFFFF2FFFFF1FFFFEFFFFFEFFFFFEEFFFFEEFFFFEFFFFFF1FFFF
F3FFFFF6FFFFF9FFFFFDFFFFFFFFFDFFFFF8FFFFF3FFFFEFFFFFEAFFFFE5FFFEE1FFFEDD
FFFEDAFFFED7FFFED4FFFED2FFFED1FFFED0FFFECFFFFED0FFFED1FFFED2FFFED4FFFED6
FFFED9FFFEDDFFFEE1FFFFE5FFFFEAFFFFEEFFFFF3FFFFF8FFFFFDFDFFFFF9FFFFF6FFFF
F3FFFFF1FFFFEFFFFFEEFFFFEEFFFFEFFFFFEFFFFFF1FFFFF2FFFFF4FFFFF6FFFFF8FFFF
FAFFFFFCFFFFFDFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFEBFFFFE5FFFEDCFFFED1FFFDC5FFFDB7
FFFCA7FFFB95FFFA83FFF971FFF760FFF64FFFF441FFF234FFF129FFEF21FFED1AFFEB15
FFE911FFE80EFFE70CFFE60BFFE50AFFE50AFFE50AFFE50AFFE60BFFE70DFFE90FFFEA13
FFEC17FFEE1DFFF025FFF22FFFF33BFFF548FFF758FFF869FFF97BFFFB8DFFFC9FFFFCAF
FFFDBFFFFECCFFFED7FFFEE1FFFFE9FFFFEFFFFFF3FFFFF7FFFFF9FFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEEFFFFE8FFFEE0FFFED6FFFECB
FFFDBDFFFCAEFFFB9DFFFA8BFFF978FFF866FFF655FFF546FFF338FFF12DFFEF23FFED1C
FFEB16FFEA11FFE80EFFE60CFFE50AFFE409FFE409FFE409FFE409FFE50AFFE60BFFE70D
FFE90FFFEA13FFEC18FFEE1FFFF027FFF231FFF43EFFF64CFFF75CFFF96EFFFA80FFFB92
FFFCA4FFFDB4FFFDC3FFFED0FFFEDBFFFFE4FFFFEBFFFFF0FFFFF5FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFF
F9FFFFF7FFFFF5FFFFF4FFFFF3FFFFF2FFFFF2FFFFF2FFFFF3FFFFF4FFFFF7FFFFF9FFFF
FDFFFFFFFFFEFFFFF9FFFFF4FFFFEEFFFFE9FFFFE4FFFEDFFFFEDAFFFED5FFFED1FFFECD
FFFECAFFFDC7FFFDC5FFFDC3FFFDC1FFFDC0FFFDC0FFFDC0FFFDC1FFFDC2FFFDC4FFFDC6
FFFEC9FFFECCFFFED0FFFED4FFFED8FFFEDDFFFEE2FFFFE7FFFFEDFFFFF2FFFFF7FFFFFC
FEFFFFFBFFFFF7FFFFF5FFFFF3FFFFF2FFFFF2FFFFF2FFFFF3FFFFF4FFFFF5FFFFF7FFFF
F8FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE6FFFEDEFFFED4FFFDC8FFFDBA
FFFCAAFFFB98FFFA86FFF974FFF862FFF651FFF442FFF335FFF12AFFEF21FFED1AFFEB15
FFE911FFE80EFFE60BFFE50AFFE409FFE409FFE409FFE409FFE50AFFE60BFFE70DFFE910
FFEB14FFED1AFFEF20FFF129FFF234FFF441FFF650FFF761FFF972FFFA85FFFB97FFFCA8
FFFDB8FFFDC6FFFED3FFFEDDFFFFE6FFFFECFFFFF1FFFFF5FFFFF8FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEEFFFFE7FFFEDFFFFED5FFFEC9
FFFDBBFFFCACFFFB9AFFFA88FFF975FFF863FFF652FFF443FFF335FFF12AFFEF21FFED1A
FFEB14FFE910FFE70DFFE60BFFE509FFE408FFE308FFE308FFE308FFE409FFE50AFFE60C
FFE80EFFEA12FFEC16FFEE1DFFF025FFF22FFFF33BFFF549FFF759FFF86BFFFA7DFFFB90
FFFCA2FFFDB3FFFDC2FFFECFFFFEDAFFFFE3FFFFEAFFFFF0FFFFF4FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFF
F8FFFFF7FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF7FFFFF9FFFFFBFFFFFFFFFFFFFFFC
FFFFF7FFFFF2FFFFEDFFFFE7FFFEE2FFFEDCFFFED7FFFED2FFFECDFFFEC9FFFDC5FFFDC2
FFFDBFFFFDBDFFFDBBFFFDB9FFFDB8FFFDB7FFFDB7FFFDB7FFFDB7FFFDB8FFFDBAFFFDBB
FFFDBDFFFDC0FFFDC3FFFDC7FFFECBFFFECFFFFED4FFFED9FFFEDEFFFFE4FFFFE9FFFFEF
FFFFF4FFFFF9FFFFFDFEFFFFFAFFFFF8FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF6FFFF
F7FFFFF9FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF3FFFFEEFFFFE8FFFEE0FFFED6FFFECAFFFDBC
FFFCADFFFB9CFFFA89FFF977FFF865FFF653FFF544FFF336FFF12BFFEF22FFED1AFFEB15
FFE910FFE70DFFE60BFFE509FFE408FFE308FFE308FFE308FFE409FFE50AFFE60BFFE80E
FFEA11FFEB16FFED1CFFEF24FFF12EFFF33AFFF548FFF758FFF86AFFFA7CFFFB8FFFFCA1
FFFCB1FFFDC1FFFECEFFFED9FFFEE2FFFFEAFFFFF0FFFFF4FFFFF7FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE7FFFEDEFFFED4FFFDC8
FFFDBAFFFCA9FFFB98FFFA85FFF973FFF760FFF64FFFF440FFF233FFF028FFEE1FFFEC18
FFEA13FFE80FFFE60CFFE50AFFE408FFE307FFE207FFE207FFE207FFE308FFE409FFE60A
FFE70DFFE910FFEB15FFED1BFFEF22FFF12CFFF338FFF546FFF757FFF868FFF97BFFFB8D
FFFCA0FFFCB1FFFDC0FFFECDFFFED9FFFEE2FFFFEAFFFFEFFFFFF4FFFFF7FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF9FFFF
F8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFFAFFFFFCFFFFFFFFFFFFFFFCFFFFF7FFFFF2
FFFFEDFFFFE8FFFFE2FFFEDDFFFED8FFFED3FFFECEFFFECAFFFDC6FFFDC2FFFDBFFFFDBD
FFFDBAFFFDB8FFFDB7FFFDB6FFFDB5FFFDB4FFFDB4FFFDB4FFFDB4FFFDB5FFFDB6FFFDB7
FFFDB8FFFDBAFFFDBDFFFDBFFFFDC2FFFDC6FFFECAFFFECEFFFED3FFFED8FFFEDDFFFFE3
FFFFE8FFFFEDFFFFF3FFFFF7FFFFFCFFFFFFFCFFFFFAFFFFF8FFFFF7FFFFF7FFFFF7FFFF
F7FFFFF8FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE9FFFEE2FFFED8FFFECDFFFDBF
FFFCB0FFFC9FFFFB8DFFF97AFFF867FFF756FFF546FFF338FFF12CFFEF22FFED1AFFEB14
FFE910FFE70DFFE50AFFE409FFE308FFE207FFE207FFE207FFE307FFE408FFE50AFFE60C
FFE80FFFEA13FFEC18FFEE1FFFF028FFF233FFF441FFF650FFF861FFF973FFFA86FFFB99
FFFCAAFFFDBAFFFDC8FFFED5FFFEDFFFFFE7FFFFEDFFFFF2FFFFF6FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE6FFFEDDFFFED3FFFDC6
FFFDB8FFFCA7FFFB95FFFA83FFF970FFF75EFFF64DFFF43DFFF230FFF026FFEE1DFFEC16
FFE911FFE70DFFE60BFFE409FFE307FFE207FFE106FFE106FFE206FFE207FFE308FFE509
FFE60CFFE80FFFEA13FFEC19FFEF20FFF12AFFF336FFF544FFF654FFF865FFF978FFFA8B
FFFC9DFFFCAFFFFDBEFFFECCFFFED8FFFEE1FFFFE9FFFFEFFFFFF4FFFFF7FFFFFAFFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFF
F9FFFFF9FFFFF9FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFFFCFFFFF8FFFFF4FFFFEFFFFFEA
FFFFE5FFFEE0FFFEDBFFFED6FFFED1FFFECDFFFECAFFFDC6FFFDC3FFFDC1FFFDBFFFFDBD
FFFDBBFFFDBAFFFDB9FFFDB9FFFDB8FFFDB8FFFDB8FFFDB8FFFDB8FFFDB8FFFDB9FFFDB9
FFFDBAFFFDBBFFFDBCFFFDBEFFFDC0FFFDC2FFFDC5FFFEC9FFFECCFFFED0FFFED5FFFED9
FFFEDEFFFFE4FFFFE9FFFFEEFFFFF3FFFFF7FFFFFBFFFFFFFDFFFFFBFFFFFAFFFFF9FFFF
F9FFFFF9FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF0FFFFEBFFFFE3FFFEDAFFFECFFFFDC2
FFFDB3FFFCA2FFFB90FFFA7DFFF86AFFF758FFF548FFF339FFF12DFFEF23FFED1BFFEB15
FFE910FFE70CFFE50AFFE408FFE207FFE206FFE106FFE106FFE206FFE307FFE408FFE50A
FFE70DFFE910FFEB15FFED1BFFEF23FFF12DFFF33AFFF548FFF759FFF86BFFFA7EFFFB90
FFFCA3FFFDB3FFFDC3FFFED0FFFEDBFFFFE4FFFFEBFFFFF0FFFFF5FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFECFFFFE5FFFEDCFFFED2FFFDC5
FFFDB6FFFCA5FFFB93FFFA80FFF86DFFF75BFFF54AFFF33BFFF12EFFEF23FFED1BFFEB15
FFE910FFE70CFFE50AFFE308FFE207FFE106FFE005FFE005FFE106FFE106FFE207FFE409
FFE60BFFE80EFFEA12FFEC17FFEE1EFFF028FFF233FFF441FFF651FFF862FFF975FFFA88
FFFB9BFFFCACFFFDBCFFFECBFFFED6FFFEE0FFFFE8FFFFEEFFFFF3FFFFF7FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFF
FAFFFFFAFFFFFBFFFFFDFFFFFFFFFFFFFFFDFFFFFAFFFFF6FFFFF2FFFFEDFFFFE9FFFFE4
FFFEDFFFFEDBFFFED7FFFED3FFFECFFFFECCFFFECAFFFDC8FFFDC6FFFDC5FFFDC4FFFDC3
FFFDC3FFFDC3FFFDC3FFFDC3FFFDC3FFFDC3FFFDC3FFFDC3FFFDC3FFFDC3FFFDC3FFFDC3
FFFDC3FFFDC3FFFDC3FFFDC4FFFDC4FFFDC5FFFDC7FFFDC8FFFECBFFFECDFFFED1FFFED4
FFFED8FFFEDDFFFEE1FFFFE6FFFFEBFFFFEFFFFFF4FFFFF8FFFFFCFFFFFFFEFFFFFCFFFF
FBFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFECFFFFE5FFFEDCFFFED2FFFDC5
FFFDB6FFFCA5FFFB93FFFA80FFF96DFFF75BFFF54AFFF33BFFF12EFFEF24FFED1BFFEB15
FFE910FFE70CFFE50AFFE308FFE207FFE106FFE005FFE005FFE106FFE106FFE207FFE409
FFE60BFFE80EFFEA12FFEC17FFEE1EFFF028FFF233FFF441FFF651FFF862FFF975FFFA88
FFFB9BFFFCACFFFDBCFFFECAFFFED6FFFEE0FFFFE8FFFFEEFFFFF3FFFFF7FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFEBFFFFE4FFFEDBFFFED0FFFDC3
FFFDB4FFFCA3FFFB91FFFA7DFFF86AFFF758FFF547FFF338FFF12CFFEF21FFED19FFEA13
FFE80EFFE60BFFE409FFE207FFE106FFE005FFE005FFDF05FFE005FFE005FFE206FFE308
FFE50AFFE70CFFE910FFEB15FFEE1CFFF025FFF231FFF43EFFF64EFFF760FFF972FFFA86
FFFB99FFFCAAFFFDBBFFFEC9FFFED5FFFEDFFFFFE8FFFFEEFFFFF3FFFFF7FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFF
FCFFFFFDFFFFFEFFFFFFFFFFFFFFFCFFFFF9FFFFF5FFFFF1FFFFEDFFFFE9FFFFE4FFFEE0
FFFEDCFFFED9FFFED6FFFED3FFFED1FFFED0FFFECFFFFECEFFFECEFFFECFFFFECFFFFED0
FFFED1FFFED2FFFED4FFFED5FFFED6FFFED6FFFED7FFFED7FFFED7FFFED6FFFED5FFFED5
FFFED3FFFED2FFFED1FFFED0FFFECFFFFECFFFFECEFFFECEFFFECFFFFED0FFFED1FFFED3
FFFED6FFFED9FFFEDDFFFEE1FFFFE5FFFFE9FFFFEDFFFFF1FFFFF5FFFFF9FFFFFCFFFFFF
FEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE7FFFEDFFFFED4FFFDC8
FFFDB9FFFCA9FFFB97FFFA84FFF971FFF75EFFF64CFFF43DFFF230FFF024FFED1CFFEB15
FFE910FFE70CFFE509FFE307FFE106FFE005FFE005FFDF05FFE005FFE005FFE106FFE307
FFE409FFE60BFFE80FFFEA14FFED1AFFEF22FFF12DFFF33AFFF549FFF75AFFF86CFFFA7F
FFFB92FFFCA5FFFDB6FFFDC5FFFED2FFFEDCFFFFE5FFFFECFFFFF1FFFFF5FFFFF8FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF0FFFFEBFFFFE4FFFEDAFFFECFFFFDC2
FFFDB2FFFCA1FFFB8EFFF97BFFF867FFF655FFF544FFF336FFF129FFEE1FFFEC18FFEA12
FFE70DFFE50AFFE308FFE106FFE005FFDF05FFDF04FFDE04FFDF04FFDF05FFE106FFE207
FFE409FFE60BFFE80FFFEB14FFED1BFFEF23FFF12EFFF43CFFF54BFFF75DFFF970FFFA83
FFFB96FFFCA8FFFDB9FFFDC8FFFED4FFFEDFFFFFE7FFFFEDFFFFF2FFFFF6FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFEFFFFFBFFFFF8FFFFF5FFFFF1FFFFEDFFFFE9FFFFE6FFFEE2FFFEDF
FFFEDDFFFEDAFFFED9FFFED8FFFED8FFFED8FFFED9FFFEDAFFFEDCFFFEDEFFFEE1FFFFE3
FFFFE6FFFFE9FFFFEBFFFFEEFFFFEFFFFFF1FFFFF2FFFFF2FFFFF2FFFFF1FFFFF0FFFFEE
FFFFECFFFFE9FFFFE7FFFFE4FFFEE1FFFEDFFFFEDDFFFEDBFFFED9FFFED8FFFED8FFFED8
FFFED9FFFEDAFFFEDCFFFEDFFFFEE2FFFFE5FFFFE9FFFFECFFFFF0FFFFF4FFFFF7FFFFFA
FFFFFDFFFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF7FFFFF3FFFFEFFFFFE8FFFEE0FFFED7FFFECB
FFFDBCFFFCACFFFB9AFFFA87FFF974FFF861FFF64FFFF43FFFF231FFF026FFED1CFFEB15
FFE910FFE70CFFE409FFE307FFE106FFE005FFDF04FFDE04FFDE04FFDF04FFE005FFE106
FFE307FFE509FFE70CFFE911FFEB16FFEE1DFFF027FFF233FFF441FFF651FFF863FFF977
FFFA8AFFFB9DFFFCAFFFFDBEFFFECCFFFED8FFFEE2FFFFE9FFFFEFFFFFF4FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEAFFFFE3FFFED9FFFECEFFFDC0
FFFCB0FFFC9FFFFB8CFFF978FFF865FFF652FFF442FFF233FFF027FFEE1DFFEB16FFE910
FFE70CFFE409FFE207FFE106FFDF05FFDE04FFDE04FFDD04FFDE04FFDF04FFE005FFE106
FFE308FFE50AFFE80EFFEA12FFEC19FFEF21FFF12CFFF339FFF549FFF75AFFF86DFFFA80
FFFB94FFFCA6FFFDB7FFFDC6FFFED3FFFEDEFFFFE6FFFFEDFFFFF2FFFFF6FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFFFF
FFFFFFFFFFFDFFFFFBFFFFF8FFFFF5FFFFF2FFFFEEFFFFEBFFFFE8FFFFE5FFFFE3FFFEE1
FFFEE0FFFEDFFFFEE0FFFEE1FFFFE2FFFFE5FFFFE8FFFFEBFFFFEFFFFFF3FFFFF8FFFFFD
FEFFFFF9FFFFF6FFFFF2FFFFF0FFFFEEFFFFEDFFFFECFFFFECFFFFEDFFFFEFFFFFF1FFFF
F4FFFFF7FFFFFBFFFFFFFFFFFFFFFAFFFFF6FFFFF1FFFFEDFFFFE9FFFFE6FFFFE3FFFEE1
FFFEE0FFFEDFFFFEE0FFFEE0FFFEE2FFFFE4FFFFE6FFFFE9FFFFECFFFFF0FFFFF3FFFFF6
FFFFF9FFFFFCFFFFFEFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEAFFFFE2FFFED9FFFECD
FFFDBFFFFCAFFFFC9EFFFA8BFFF977FFF864FFF652FFF441FFF233FFF027FFEE1DFFEB16
FFE910FFE70CFFE409FFE207FFE106FFDF05FFDE04FFDE04FFDD04FFDE04FFDF04FFE005
FFE106FFE308FFE50AFFE80EFFEA13FFED19FFEF22FFF12DFFF33AFFF549FFF75BFFF96E
FFFA81FFFB95FFFCA7FFFDB8FFFDC7FFFED3FFFEDEFFFFE7FFFFEDFFFFF2FFFFF6FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEAFFFEE2FFFED8FFFECCFFFDBE
FFFCAEFFFB9CFFFA89FFF975FFF862FFF650FFF43FFFF231FFF025FFED1CFFEB14FFE80F
FFE60BFFE408FFE106FFE005FFDE04FFDD03FFDD03FFDC03FFDD03FFDE04FFDF04FFE005
FFE207FFE509FFE70DFFE911FFEC17FFEE1FFFF12AFFF337FFF546FFF757FFF86AFFFA7E
FFFB91FFFCA4FFFDB5FFFDC5FFFED2FFFEDDFFFFE5FFFFECFFFFF2FFFFF6FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFE
FFFFFDFFFFFAFFFFF8FFFFF5FFFFF2FFFFF0FFFFEDFFFFEAFFFFE8FFFFE7FFFFE6FFFFE6
FFFFE6FFFFE8FFFFEAFFFFEDFFFFF1FFFFF5FFFFFBFFFFFFF9FFFFF3FFFFEDFFFFE7FFFF
E2FEFFDDFEFFD9FEFFD6FEFFD3FEFFD1FEFFCFFEFFCFFEFFCFFEFFD0FEFFD1FEFFD3FEFF
D6FEFFDAFEFFDEFEFFE3FFFFE8FFFFEEFFFFF4FFFFFAFFFFFFFFFFFFFFFAFFFFF5FFFFF0
FFFFECFFFFEAFFFFE8FFFFE6FFFFE6FFFFE6FFFFE7FFFFE9FFFFEBFFFFEDFFFFF0FFFFF3
FFFFF6FFFFF8FFFFFBFFFFFDFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFEBFFFFE4FFFEDBFFFED0
FFFDC2FFFDB3FFFCA1FFFB8EFFF97BFFF867FFF654FFF543FFF234FFF028FFEE1EFFEB16
FFE910FFE70CFFE409FFE207FFE005FFDF04FFDD04FFDD03FFDC03FFDD03FFDD04FFDE04
FFE005FFE207FFE409FFE60CFFE910FFEB15FFEE1DFFF027FFF233FFF442FFF652FFF865
FFF978FFFB8CFFFC9FFFFCB1FFFDC1FFFECEFFFEDAFFFFE3FFFFEBFFFFF0FFFFF5FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE9FFFEE1FFFED7FFFECBFFFDBD
FFFCACFFFB9AFFFA87FFF973FFF75FFFF64DFFF43DFFF12EFFEF23FFED1AFFEA13FFE80E
FFE50AFFE307FFE106FFDF04FFDD04FFDC03FFDC03FFDB03FFDC03FFDD03FFDE04FFDF05
FFE106FFE408FFE60BFFE910FFEB16FFEE1DFFF028FFF234FFF543FFF655FFF867FFF97B
FFFB8FFFFCA2FFFDB4FFFDC3FFFED1FFFEDCFFFFE5FFFFECFFFFF1FFFFF5FFFFF8FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFBFFFFF8FFFFF6FFFFF4FFFFF1FFFFEFFFFFEDFFFFECFFFFEBFFFFEBFFFFECFFFFED
FFFFF0FFFFF3FFFFF7FFFFFCFDFFFFF6FFFFF0FFFFE9FFFFE2FEFFDCFEFFD6FEFFD0FEFF
CBFEFFC6FDFFC2FDFFBFFDFFBCFDFFBAFDFFB9FDFFB8FDFFB8FDFFB8FDFFBAFDFFBCFDFF
BEFDFFC2FDFFC6FDFFCAFEFFCFFEFFD5FEFFDBFEFFE1FEFFE8FFFFEFFFFFF5FFFFFCFFFF
FFFFFDFFFFF8FFFFF4FFFFF0FFFFEEFFFFECFFFFEBFFFFEBFFFFECFFFFEDFFFFEFFFFFF1
FFFFF3FFFFF6FFFFF8FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE6FFFEDDFFFED2
FFFDC5FFFDB6FFFCA5FFFB92FFFA7EFFF86BFFF757FFF546FFF336FFF129FFEE1FFFEC17
FFE910FFE70CFFE409FFE207FFE005FFDE04FFDD03FFDC03FFDB03FFDB03FFDC03FFDD03
FFDE04FFE005FFE207FFE509FFE70DFFEA12FFEC19FFEF21FFF12CFFF33AFFF54AFFF75C
FFF970FFFA83FFFB97FFFCA9FFFDBAFFFEC9FFFED5FFFEE0FFFFE8FFFFEEFFFFF3FFFFF7
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEFFFFFE8FFFEE0FFFED6FFFECAFFFDBB
FFFCAAFFFB98FFFA84FFF970FFF75CFFF54AFFF33AFFF12CFFEF21FFEC18FFEA11FFE70D
FFE409FFE207FFE005FFDE04FFDC03FFDB03FFDA02FFDA02FFDB02FFDC03FFDD03FFDF04
FFE106FFE308FFE50AFFE80EFFEB14FFED1CFFF025FFF232FFF441FFF652FFF865FFF979
FFFB8DFFFCA0FFFDB2FFFDC2FFFECFFFFEDBFFFFE4FFFFEBFFFFF1FFFFF5FFFFF8FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFF0FFFFEFFFFFEFFFFFF0FFFFF1FFFFF4FFFFF7
FFFFFBFFFFFFF9FFFFF2FFFFEBFFFFE4FFFFDDFEFFD6FEFFD0FEFFC9FEFFC4FDFFBEFDFF
BAFDFFB5FDFFB2FDFFAFFCFFACFCFFABFCFFA9FCFFA9FCFFA9FCFFA9FCFFAAFCFFACFCFF
AEFCFFB0FCFFB4FDFFB8FDFFBCFDFFC1FDFFC7FDFFCDFEFFD3FEFFDAFEFFE1FEFFE8FFFF
EFFFFFF6FFFFFCFFFFFFFFFDFFFFF9FFFFF5FFFFF2FFFFF0FFFFEFFFFFEFFFFFF0FFFFF1
FFFFF2FFFFF4FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEEFFFFE8FFFEDFFFFED5
FFFDC8FFFDB9FFFCA8FFFB96FFFA82FFF96EFFF75BFFF549FFF339FFF12BFFEE20FFEC17
FFE911FFE70CFFE409FFE206FFDF05FFDE04FFDC03FFDB03FFDA02FFDA02FFDB02FFDC03
FFDD03FFDF04FFE106FFE308FFE60BFFE80FFFEB15FFEE1CFFF027FFF233FFF442FFF654
FFF867FFF97BFFFB8FFFFCA2FFFDB3FFFDC3FFFED1FFFEDCFFFFE5FFFFECFFFFF1FFFFF6
FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEEFFFFE8FFFEDFFFFED5FFFDC8FFFDB9
FFFCA8FFFB95FFFA82FFF96DFFF75AFFF548FFF338FFF12AFFEE1FFFEC16FFE910FFE60B
FFE408FFE106FFDF04FFDD03FFDB03FFDA02FFD902FFD902FFDA02FFDA02FFDC03FFDE04
FFE005FFE207FFE509FFE70DFFEA13FFED1AFFEF23FFF22FFFF43EFFF64FFFF862FFF976
FFFA8AFFFC9EFFFCB0FFFDC0FFFECEFFFEDAFFFFE3FFFFEBFFFFF0FFFFF5FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFA
FFFFF8FFFFF6FFFFF5FFFFF4FFFFF3FFFFF3FFFFF3FFFFF4FFFFF6FFFFF9FFFFFDFDFFFF
F7FFFFF1FFFFEAFFFFE3FFFFDCFEFFD5FEFFCFFEFFC8FDFFC2FDFFBDFDFFB8FDFFB3FDFF
AFFCFFACFCFFA9FCFFA6FCFFA4FCFFA3FCFFA2FCFFA1FCFFA1FCFFA1FCFFA2FCFFA3FCFF
A5FCFFA7FCFFA9FCFFACFCFFB0FCFFB4FDFFB9FDFFBEFDFFC3FDFFCAFEFFD0FEFFD7FEFF
DEFEFFE5FFFFECFFFFF3FFFFF9FFFFFEFFFFFFFFFCFFFFF8FFFFF6FFFFF4FFFFF3FFFFF3
FFFFF3FFFFF4FFFFF5FFFFF7FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE9FFFEE1FFFED7
FFFECBFFFDBDFFFCACFFFB9AFFFA86FFF972FFF75EFFF54BFFF33BFFF12DFFEF21FFEC18
FFE911FFE70CFFE409FFE206FFDF05FFDD04FFDB03FFDA02FFD902FFD902FFD902FFDA02
FFDB03FFDD04FFDF05FFE206FFE409FFE70CFFE911FFEC18FFEF21FFF12DFFF33BFFF54B
FFF75EFFF972FFFA86FFFB9AFFFCACFFFDBDFFFECBFFFED7FFFEE1FFFFE9FFFFEFFFFFF4
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEEFFFFE7FFFEDFFFFED4FFFDC7FFFDB8
FFFCA6FFFB93FFFA7FFFF86BFFF757FFF545FFF335FFF028FFEE1DFFEB15FFE80FFFE50A
FFE307FFE005FFDE04FFDC03FFDA02FFD902FFD802FFD802FFD802FFD902FFDB03FFDD03
FFDF04FFE106FFE409FFE70CFFE911FFEC18FFEF21FFF12DFFF43CFFF64DFFF75FFFF973
FFFA88FFFB9CFFFCAEFFFDBEFFFECDFFFED9FFFFE2FFFFEAFFFFF0FFFFF5FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF8FFFFF7FFFFF6FFFFF5FFFFF5FFFFF6FFFFF8FFFFFAFFFFFEFDFFFFF8FFFFF2FFFF
ECFFFFE5FFFFDFFEFFD8FEFFD1FEFFCBFEFFC5FDFFBFFDFFBAFDFFB6FDFFB2FDFFAEFCFF
ABFCFFA9FCFFA7FCFFA5FCFFA4FCFFA3FCFFA2FCFFA2FCFFA2FCFFA2FCFFA2FCFFA3FCFF
A4FCFFA5FCFFA7FCFFA9FCFFABFCFFAEFCFFB1FCFFB5FDFFBAFDFFBFFDFFC4FDFFCAFEFF
D0FEFFD7FEFFDEFEFFE5FFFFEBFFFFF2FFFFF7FFFFFDFFFFFFFFFEFFFFFAFFFFF8FFFFF6
FFFFF5FFFFF5FFFFF6FFFFF6FFFFF8FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFEBFFFFE3FFFEDA
FFFECEFFFDC0FFFCB0FFFC9DFFFA8AFFF975FFF861FFF64EFFF43DFFF22FFFEF22FFEC19
FFEA12FFE70DFFE409FFE106FFDF05FFDD03FFDB03FFDA02FFD902FFD802FFD802FFD902
FFDA02FFDC03FFDE04FFE005FFE207FFE50AFFE80EFFEB14FFED1CFFF027FFF234FFF543
FFF655FFF869FFFA7DFFFB91FFFCA4FFFDB6FFFDC6FFFED3FFFEDEFFFFE6FFFFEDFFFFF2
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE6FFFEDEFFFED3FFFDC6FFFDB6
FFFCA4FFFB91FFFA7DFFF868FFF654FFF442FFF233FFF026FFED1BFFEA13FFE80EFFE509
FFE207FFDF05FFDD03FFDB02FFD902FFD802FFD701FFD701FFD701FFD802FFDA02FFDC03
FFDE04FFE005FFE308FFE60BFFE910FFEC17FFEE1FFFF12BFFF339FFF54AFFF75DFFF971
FFFA85FFFB99FFFCACFFFDBDFFFECBFFFED8FFFEE2FFFFEAFFFFF0FFFFF4FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9
FFFFF8FFFFF7FFFFF7FFFFF8FFFFF9FFFFFBFFFFFDFEFFFFFAFFFFF4FFFFEFFFFFE9FFFF
E2FFFFDCFEFFD6FEFFD0FEFFCAFEFFC5FDFFC0FDFFBCFDFFB8FDFFB5FDFFB3FDFFB1FCFF
AFFCFFAEFCFFADFCFFACFCFFACFCFFACFCFFABFCFFABFCFFABFCFFABFCFFABFCFFABFCFF
ACFCFFACFCFFADFCFFADFCFFAFFCFFB0FCFFB2FDFFB4FDFFB7FDFFBAFDFFBEFDFFC3FDFF
C8FDFFCDFEFFD3FEFFD9FEFFE0FEFFE6FFFFECFFFFF2FFFFF8FFFFFCFFFFFFFFFFFFFFFC
FFFFFAFFFFF8FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE5FFFEDC
FFFED1FFFDC3FFFDB3FFFCA1FFFB8EFFF979FFF865FFF652FFF440FFF231FFEF24FFED1A
FFEA12FFE70DFFE409FFE106FFDF04FFDC03FFDA02FFD902FFD802FFD701FFD701FFD702
FFD802FFDA02FFDC03FFDE04FFE106FFE408FFE60CFFE911FFEC18FFEF21FFF12DFFF43C
FFF64DFFF760FFF974FFFA88FFFB9CFFFCAFFFFDBFFFFECEFFFED9FFFFE3FFFFEBFFFFF0
FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE6FFFEDDFFFED2FFFDC4FFFDB4
FFFCA2FFFB8FFFF97AFFF865FFF652FFF440FFF231FFEF24FFED1AFFEA12FFE70DFFE409
FFE106FFDE04FFDC03FFDA02FFD802FFD701FFD601FFD601FFD601FFD701FFD902FFDB02
FFDD03FFDF05FFE207FFE50AFFE80FFFEB15FFEE1EFFF029FFF337FFF547FFF75AFFF96E
FFFA83FFFB97FFFCAAFFFDBBFFFECAFFFED7FFFEE1FFFFE9FFFFEFFFFFF4FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9
FFFFF9FFFFF9FFFFFAFFFFFBFFFFFDFFFFFFFCFFFFF7FFFFF2FFFFEDFFFFE7FFFFE2FEFF
DCFEFFD6FEFFD1FEFFCCFEFFC8FDFFC4FDFFC1FDFFBFFDFFBDFDFFBBFDFFBBFDFFBAFDFF
BAFDFFBBFDFFBBFDFFBCFDFFBDFDFFBDFDFFBEFDFFBEFDFFBEFDFFBEFDFFBEFDFFBEFDFF
BDFDFFBCFDFFBCFDFFBBFDFFBAFDFFBAFDFFBAFDFFBBFDFFBCFDFFBDFDFFBFFDFFC2FDFF
C5FDFFC9FEFFCDFEFFD2FEFFD8FEFFDDFEFFE3FFFFE9FFFFEEFFFFF4FFFFF8FFFFFDFFFF
FFFFFFFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEEFFFFE7FFFEDE
FFFED4FFFDC6FFFDB7FFFCA5FFFB92FFFA7DFFF869FFF655FFF443FFF233FFF026FFED1B
FFEA13FFE70DFFE409FFE206FFDF04FFDC03FFDA02FFD802FFD701FFD601FFD601FFD601
FFD701FFD802FFDA02FFDC03FFDF05FFE207FFE50AFFE80EFFEB14FFED1CFFF027FFF234
FFF545FFF757FFF86BFFFA80FFFB94FFFCA7FFFDB9FFFDC8FFFED5FFFEDFFFFFE8FFFFEE
FFFFF3FFFFF7FFFFFAFFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE5FFFEDCFFFED0FFFDC3FFFDB2
FFFCA0FFFB8CFFF977FFF863FFF64FFFF43EFFF12EFFEF22FFEC18FFE911FFE60BFFE308
FFE005FFDD04FFDB03FFD902FFD701FFD601FFD501FFD501FFD501FFD601FFD802FFDA02
FFDC03FFDF04FFE106FFE409FFE70DFFEA14FFED1CFFF027FFF234FFF545FFF757FFF86C
FFFA80FFFB95FFFCA8FFFDBAFFFEC9FFFED6FFFEE0FFFFE8FFFFEFFFFFF4FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFA
FFFFFBFFFFFBFFFFFDFFFFFFFDFFFFFAFFFFF6FFFFF1FFFFECFFFFE7FFFFE2FEFFDDFEFF
D8FEFFD4FEFFD0FEFFCDFEFFCAFEFFC9FEFFC8FDFFC7FDFFC7FDFFC8FDFFCAFEFFCBFEFF
CEFEFFD0FEFFD2FEFFD5FEFFD7FEFFD9FEFFDAFEFFDBFEFFDCFEFFDCFEFFDBFEFFDAFEFF
D9FEFFD7FEFFD5FEFFD2FEFFD0FEFFCEFEFFCCFEFFCAFEFFC8FDFFC7FDFFC7FDFFC7FDFF
C9FEFFCAFEFFCDFEFFD0FEFFD4FEFFD8FEFFDDFEFFE2FEFFE7FFFFECFFFFF1FFFFF6FFFF
FAFFFFFDFFFFFFFFFFFFFFFDFFFFFBFFFFFBFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE9FFFEE0
FFFED6FFFEC9FFFDBAFFFCA9FFFB96FFFA81FFF86CFFF758FFF546FFF335FFF027FFED1C
FFEB14FFE80EFFE509FFE206FFDF04FFDC03FFDA02FFD802FFD601FFD501FFD501FFD501
FFD601FFD701FFD902FFDB02FFDD04FFE005FFE308FFE60BFFE910FFEC18FFEF21FFF12E
FFF43DFFF64EFFF862FFF977FFFB8BFFFC9FFFFDB2FFFDC2FFFED0FFFEDBFFFFE5FFFFEC
FFFFF2FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF1FFFFECFFFFE4FFFEDBFFFECFFFFDC1FFFCB1
FFFC9EFFFA8AFFF975FFF760FFF64DFFF33BFFF12CFFEE20FFEC16FFE90FFFE50AFFE207
FFDF05FFDC03FFDA02FFD802FFD601FFD401FFD401FFD301FFD401FFD501FFD601FFD802
FFDB03FFDE04FFE106FFE408FFE70CFFEA12FFED1AFFF025FFF232FFF442FFF655FFF869
FFFA7EFFFB93FFFCA6FFFDB8FFFDC7FFFED5FFFEDFFFFFE8FFFFEEFFFFF3FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFCFFFFF9FFFFF5FFFFF1FFFFEDFFFFE8FFFFE4FFFFDFFEFFDCFEFF
D8FEFFD5FEFFD4FEFFD2FEFFD2FEFFD2FEFFD4FEFFD6FEFFD9FEFFDCFEFFE0FEFFE4FFFF
E9FFFFEEFFFFF3FFFFF7FFFFFBFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFFAFFFFFBFFFFFD
FFFFFFFCFFFFF9FFFFF4FFFFF0FFFFEBFFFFE6FFFFE2FEFFDDFEFFDAFEFFD7FEFFD4FEFF
D3FEFFD2FEFFD2FEFFD3FEFFD5FEFFD7FEFFDAFEFFDEFEFFE2FEFFE7FFFFEBFFFFF0FFFF
F4FFFFF8FFFFFBFFFFFEFFFFFFFFFFFFFFFDFFFFFCFFFFFCFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF0FFFFEAFFFFE3
FFFED9FFFECCFFFDBEFFFCADFFFB9AFFFA85FFF970FFF75CFFF549FFF338FFF129FFEE1E
FFEB15FFE80EFFE50AFFE206FFDF04FFDC03FFD902FFD701FFD501FFD401FFD401FFD301
FFD401FFD501FFD701FFD902FFDB03FFDE04FFE106FFE409FFE70DFFEB14FFED1CFFF027
FFF335FFF546FFF759FFF96DFFFA82FFFB97FFFCAAFFFDBBFFFECAFFFED7FFFEE1FFFFE9
FFFFF0FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFEBFFFFE4FFFEDAFFFECEFFFDC0FFFCAF
FFFB9CFFFA88FFF972FFF75EFFF54AFFF339FFF12AFFEE1EFFEB15FFE80EFFE50AFFE206
FFDE04FFDB03FFD902FFD601FFD501FFD301FFD201FFD201FFD301FFD401FFD501FFD701
FFDA02FFDD03FFE005FFE308FFE60BFFE911FFEC19FFEF23FFF230FFF440FFF652FFF866
FFFA7BFFFB90FFFCA4FFFDB6FFFDC6FFFED3FFFEDEFFFFE7FFFFEEFFFFF3FFFFF7FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFDFFFFFE
FFFFFFFEFFFFFCFFFFF9FFFFF5FFFFF2FFFFEEFFFFEAFFFFE6FFFFE3FFFFE0FEFFDDFEFF
DCFEFFDBFEFFDBFEFFDCFEFFDEFEFFE1FEFFE5FFFFEAFFFFF0FFFFF7FFFFFEFFFFFFFFFA
FFFFF3FFFFEDFFFFE6FFFEE1FFFEDCFFFED8FFFED5FFFED3FFFED2FFFED2FFFED2FFFED4
FFFED6FFFEDAFFFEDEFFFFE3FFFFE8FFFFEFFFFFF5FFFFFDFBFFFFF4FFFFEEFFFFE9FFFF
E4FFFFE0FEFFDEFEFFDCFEFFDBFEFFDBFEFFDCFEFFDEFEFFE1FEFFE4FFFFE7FFFFEBFFFF
EFFFFFF3FFFFF7FFFFFAFFFFFDFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF1FFFFECFFFFE4
FFFEDBFFFECFFFFDC1FFFCB1FFFC9EFFFA8AFFF975FFF760FFF64CFFF33AFFF12BFFEE1F
FFEB16FFE80FFFE50AFFE207FFDF04FFDC03FFD902FFD701FFD501FFD301FFD201FFD201
FFD301FFD401FFD501FFD701FFDA02FFDC03FFDF05FFE307FFE60BFFE910FFEC18FFEF22
FFF22FFFF43EFFF650FFF864FFF979FFFB8EFFFCA2FFFDB5FFFDC5FFFED2FFFEDDFFFFE6
FFFFEDFFFFF3FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFEBFFFFE3FFFED9FFFECDFFFDBEFFFCAD
FFFB9AFFFA85FFF970FFF75BFFF548FFF336FFF028FFED1CFFEA14FFE70DFFE409FFE106
FFDE04FFDA02FFD802FFD501FFD301FFD201FFD100FFD100FFD100FFD201FFD401FFD601
FFD902FFDC03FFDF04FFE207FFE50AFFE910FFEC17FFEF21FFF12EFFF43DFFF650FFF864
FFF979FFFB8EFFFCA2FFFDB5FFFDC5FFFED2FFFEDEFFFFE6FFFFEDFFFFF3FFFFF6FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFF
FEFFFFFCFFFFF9FFFFF6FFFFF3FFFFEFFFFFECFFFFE9FFFFE6FFFFE4FFFFE3FFFFE2FEFF
E3FFFFE4FFFFE7FFFFEAFFFFEFFFFFF5FFFFFCFFFFFFFFFBFFFFF3FFFFEBFFFFE2FFFEDB
FFFED3FFFECCFFFDC6FFFDC1FFFDBCFFFDB8FFFDB5FFFDB3FFFDB2FFFDB2FFFDB2FFFDB3
FFFDB5FFFDB8FFFDBCFFFDC1FFFDC6FFFECCFFFED3FFFEDBFFFFE2FFFFEBFFFFF3FFFFFB
FCFFFFF5FFFFEFFFFFEAFFFFE7FFFFE4FFFFE3FFFFE2FEFFE3FFFFE4FFFFE6FFFFE9FFFF
ECFFFFEFFFFFF3FFFFF6FFFFF9FFFFFCFFFFFEFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF3FFFFEDFFFFE6
FFFEDDFFFED2FFFDC5FFFDB4FFFCA2FFFB8EFFF979FFF864FFF64FFFF43DFFF12EFFEF21
FFEC17FFE910FFE50AFFE207FFDF04FFDC03FFD902FFD601FFD401FFD201FFD100FFD100
FFD100FFD201FFD301FFD501FFD802FFDB02FFDE04FFE106FFE409FFE70DFFEB14FFEE1D
FFF028FFF337FFF548FFF75BFFF970FFFA85FFFB9AFFFCADFFFDBEFFFECDFFFED9FFFFE3
FFFFEBFFFFF1FFFFF5FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF0FFFFEAFFFEE2FFFED8FFFECCFFFDBDFFFCAB
FFFB98FFFA83FFF96DFFF759FFF545FFF234FFF026FFED1BFFEA12FFE70CFFE308FFE005
FFDD03FFD902FFD701FFD401FFD201FFD100FFD000FFD000FFD000FFD100FFD301FFD501
FFD802FFDB02FFDE04FFE106FFE50AFFE80EFFEB16FFEE1FFFF12CFFF33BFFF64DFFF861
FFF977FFFB8CFFFCA0FFFDB3FFFDC3FFFED1FFFEDDFFFFE6FFFFEDFFFFF2FFFFF6FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFEFFFF
FCFFFFF9FFFFF7FFFFF4FFFFF1FFFFEEFFFFECFFFFEAFFFFE9FFFFE8FFFFE9FFFFEAFFFF
EDFFFFF1FFFFF6FFFFFCFFFFFFFFFCFFFFF3FFFFEBFFFEE2FFFED9FFFED1FFFEC9FFFDC1
FFFDBAFFFDB4FFFCAEFFFCA9FFFCA5FFFCA2FFFC9FFFFB9DFFFB9CFFFB9BFFFB9CFFFB9D
FFFC9EFFFCA1FFFCA4FFFCA8FFFCADFFFDB2FFFDB8FFFDBFFFFDC6FFFECEFFFED7FFFEDF
FFFFE8FFFFF1FFFFF9FEFFFFF7FFFFF2FFFFEEFFFFEBFFFFE9FFFFE8FFFFE8FFFFE9FFFF
EBFFFFEEFFFFF0FFFFF3FFFFF6FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE8
FFFEE0FFFED5FFFDC8FFFDB8FFFCA6FFFB92FFFA7DFFF868FFF653FFF440FFF230FFEF23
FFEC18FFE910FFE60BFFE207FFDF04FFDC03FFD902FFD601FFD401FFD201FFD000FFD000
FFD000FFD000FFD200FFD301FFD601FFD902FFDC03FFDF04FFE207FFE60BFFE910FFEC18
FFEF22FFF230FFF440FFF653FFF867FFFA7CFFFB92FFFCA6FFFDB8FFFDC7FFFED5FFFEDF
FFFFE8FFFFEFFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEAFFFEE1FFFED7FFFECAFFFDBBFFFCA9
FFFB96FFFA80FFF86BFFF756FFF443FFF232FFEF24FFEC19FFE911FFE60BFFE307FFDF05
FFDC03FFD802FFD601FFD301FFD100FFCF00FFCF00FFCE00FFCF00FFD000FFD201FFD401
FFD701FFDA02FFDD03FFE106FFE409FFE70DFFEB14FFEE1DFFF12AFFF339FFF54BFFF75F
FFF974FFFA8AFFFC9EFFFCB1FFFDC2FFFED0FFFEDCFFFFE5FFFFECFFFFF2FFFFF6FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFEFFFFFCFFFF
FAFFFFF8FFFFF5FFFFF3FFFFF1FFFFEFFFFFEEFFFFEDFFFFEDFFFFEFFFFFF1FFFFF4FFFF
F9FFFFFFFFFFFFFFF8FFFFF0FFFFE8FFFEDFFFFED6FFFECDFFFDC5FFFDBDFFFDB6FFFCAF
FFFCA9FFFCA3FFFC9EFFFB9AFFFB97FFFB94FFFB92FFFB90FFFB8FFFFB8FFFFB8FFFFB90
FFFB91FFFB93FFFB95FFFB98FFFB9CFFFCA0FFFCA5FFFCABFFFCB1FFFDB8FFFDC0FFFDC8
FFFED1FFFEDAFFFFE2FFFFEBFFFFF3FFFFFBFDFFFFF7FFFFF3FFFFF0FFFFEEFFFFEDFFFF
EDFFFFEEFFFFF0FFFFF1FFFFF4FFFFF6FFFFF8FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF0FFFFEA
FFFEE2FFFED8FFFECBFFFDBCFFFCAAFFFB96FFFA81FFF86CFFF757FFF544FFF233FFF025
FFED19FFE911FFE60BFFE307FFDF05FFDC03FFD902FFD601FFD301FFD100FFD000FFCF00
FFCE00FFCF00FFD000FFD200FFD401FFD701FFDA02FFDD03FFE005FFE408FFE70DFFEB14
FFEE1DFFF029FFF338FFF54AFFF75EFFF973FFFA89FFFC9DFFFCB0FFFDC1FFFED0FFFEDB
FFFFE5FFFFECFFFFF2FFFFF6FFFFF9FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE9FFFEE1FFFED6FFFEC9FFFDB9FFFCA7
FFFB93FFFA7EFFF868FFF654FFF440FFF230FFEF22FFEC18FFE910FFE50AFFE206FFDE04
FFDB02FFD701FFD401FFD201FFD000FFCE00FFCD00FFCD00FFCE00FFCF00FFD100FFD301
FFD601FFD902FFDC03FFE005FFE308FFE70CFFEA13FFED1CFFF028FFF337FFF548FFF75C
FFF972FFFA87FFFB9CFFFCAFFFFDC0FFFECFFFFEDBFFFFE5FFFFECFFFFF2FFFFF6FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFF
F9FFFFF7FFFFF5FFFFF3FFFFF2FFFFF1FFFFF1FFFFF2FFFFF4FFFFF7FFFFFBFFFFFFFFFE
FFFFF8FFFFF0FFFFE8FFFEE0FFFED7FFFECFFFFDC6FFFDBEFFFDB7FFFCB0FFFCAAFFFCA4
FFFC9FFFFB9BFFFB97FFFB94FFFB92FFFB90FFFB8EFFFB8DFFFB8CFFFB8CFFFB8CFFFB8C
FFFB8DFFFB8EFFFB90FFFB92FFFB95FFFB98FFFB9BFFFCA0FFFCA5FFFCAAFFFCB0FFFDB7
FFFDBFFFFDC7FFFECFFFFED8FFFEE0FFFFE9FFFFF1FFFFF8FFFFFFFBFFFFF6FFFFF4FFFF
F2FFFFF1FFFFF1FFFFF2FFFFF3FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF5FFFFF1FFFFEB
FFFFE4FFFEDAFFFECEFFFDBFFFFCAEFFFB9BFFFA86FFF970FFF75BFFF547FFF335FFF027
FFED1BFFEA12FFE70CFFE308FFDF05FFDC03FFD902FFD501FFD301FFD000FFCF00FFCE00
FFCD00FFCD00FFCE00FFD000FFD201FFD501FFD802FFDB03FFDE04FFE207FFE60BFFE910
FFEC18FFEF23FFF231FFF442FFF655FFF86AFFFA80FFFB95FFFCA9FFFDBBFFFECAFFFED7
FFFEE1FFFFEAFFFFF0FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE8FFFEE0FFFED5FFFDC8FFFDB8FFFCA6
FFFB91FFFA7CFFF866FFF651FFF43EFFF12EFFEF20FFEB16FFE80FFFE509FFE106FFDD04
FFDA02FFD601FFD301FFD100FFCE00FFCD00FFCC00FFCC00FFCC00FFCD00FFCF00FFD200
FFD501FFD802FFDB03FFDF04FFE307FFE60BFFEA11FFED1AFFF026FFF234FFF546FFF75A
FFF96FFFFA85FFFB9AFFFCAEFFFDBFFFFECEFFFEDAFFFFE4FFFFEBFFFFF1FFFFF5FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFF
F8FFFFF6FFFFF5FFFFF4FFFFF4FFFFF4FFFFF6FFFFF8FFFFFCFFFFFFFFFFFFFFF9FFFFF2
FFFFEBFFFFE3FFFEDBFFFED3FFFECBFFFDC3FFFDBCFFFDB5FFFCAFFFFCAAFFFCA5FFFCA1
FFFC9EFFFB9BFFFB99FFFB97FFFB95FFFB94FFFB94FFFB93FFFB93FFFB92FFFB92FFFB93
FFFB93FFFB93FFFB94FFFB95FFFB97FFFB98FFFB9AFFFB9DFFFCA0FFFCA4FFFCA9FFFCAE
FFFDB4FFFDBAFFFDC1FFFEC9FFFED1FFFED9FFFEE1FFFFE9FFFFF1FFFFF8FFFFFEFDFFFF
F9FFFFF6FFFFF5FFFFF4FFFFF4FFFFF5FFFFF6FFFFF7FFFFF9FFFFFBFFFFFCFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFED
FFFFE6FFFEDDFFFED1FFFDC3FFFDB2FFFC9FFFFA8AFFF975FFF75FFFF54BFFF338FFF029
FFEE1DFFEA13FFE70DFFE308FFE005FFDC03FFD902FFD501FFD201FFD000FFCE00FFCC00
FFCC00FFCC00FFCD00FFCE00FFD000FFD301FFD601FFD902FFDC03FFE005FFE408FFE70D
FFEB14FFEE1EFFF12AFFF33AFFF64CFFF861FFF976FFFB8CFFFCA1FFFDB4FFFDC4FFFED2
FFFEDEFFFFE7FFFFEEFFFFF3FFFFF7FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE8FFFEDFFFFED4FFFDC7FFFDB6FFFCA4
FFFB8FFFF979FFF864FFF64FFFF43CFFF12CFFEE1FFFEB15FFE70DFFE409FFE005FFDC03
FFD902FFD501FFD201FFCF00FFCD00FFCC00FFCB00FFCA00FFCB00FFCC00FFCE00FFD000
FFD301FFD701FFDA02FFDE04FFE206FFE50AFFE910FFEC19FFEF24FFF232FFF544FFF757
FFF86DFFFA83FFFB98FFFCACFFFDBEFFFECDFFFED9FFFFE3FFFFEBFFFFF1FFFFF5FFFFF8
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFF
F8FFFFF7FFFFF6FFFFF6FFFFF7FFFFF9FFFFFBFFFFFFFFFFFFFFFBFFFFF5FFFFEFFFFFE8
FFFEE1FFFED9FFFED2FFFECAFFFDC4FFFDBDFFFDB8FFFDB3FFFCAFFFFCABFFFCA8FFFCA6
FFFCA5FFFCA4FFFCA3FFFCA3FFFCA3FFFCA3FFFCA3FFFCA3FFFCA4FFFCA4FFFCA4FFFCA4
FFFCA4FFFCA3FFFCA3FFFCA3FFFCA3FFFCA3FFFCA3FFFCA4FFFCA5FFFCA7FFFCAAFFFCAD
FFFCB0FFFDB5FFFDBAFFFDC0FFFDC6FFFECDFFFED5FFFEDCFFFFE4FFFFEBFFFFF2FFFFF8
FFFFFDFDFFFFFAFFFFF8FFFFF7FFFFF6FFFFF7FFFFF7FFFFF8FFFFFAFFFFFBFFFFFCFFFF
FDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEE
FFFFE8FFFEDFFFFED4FFFDC6FFFDB6FFFCA3FFFB8FFFF979FFF863FFF64EFFF43CFFF12B
FFEE1EFFEB15FFE70DFFE408FFE005FFDC03FFD902FFD501FFD201FFCF00FFCD00FFCB00
FFCB00FFCA00FFCB00FFCC00FFCE00FFD000FFD301FFD701FFDA02FFDE04FFE207FFE50A
FFE910FFEC19FFEF24FFF232FFF544FFF758FFF86DFFFA83FFFB98FFFCACFFFDBEFFFECD
FFFED9FFFFE3FFFFEBFFFFF1FFFFF5FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEEFFFFE7FFFEDEFFFED3FFFDC5FFFDB5FFFCA2
FFFB8DFFF977FFF861FFF64CFFF33AFFF12AFFEE1DFFEA13FFE70CFFE308FFDF05FFDB03
FFD802FFD401FFD100FFCE00FFCC00FFCA00FFC900FFC900FFCA00FFCB00FFCD00FFCF00
FFD201FFD601FFD902FFDD03FFE106FFE50AFFE80FFFEC17FFEF22FFF230FFF441FFF655
FFF86AFFFA80FFFB96FFFCAAFFFDBCFFFECBFFFED8FFFFE2FFFFEAFFFFF0FFFFF5FFFFF8
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFF
F9FFFFF8FFFFF9FFFFFAFFFFFBFFFFFEFFFFFFFFFDFFFFF9FFFFF3FFFFEDFFFFE7FFFEE0
FFFED9FFFED2FFFECCFFFDC6FFFDC1FFFDBDFFFDBAFFFDB7FFFDB5FFFDB4FFFDB3FFFDB4
FFFDB4FFFDB6FFFDB7FFFDB9FFFDBBFFFDBDFFFDBFFFFDC0FFFDC1FFFDC2FFFDC2FFFDC2
FFFDC1FFFDC0FFFDBEFFFDBDFFFDBBFFFDB9FFFDB7FFFDB5FFFDB4FFFDB4FFFDB3FFFDB4
FFFDB5FFFDB7FFFDBAFFFDBEFFFDC2FFFDC7FFFECDFFFED3FFFEDAFFFEE1FFFFE7FFFFEE
FFFFF4FFFFF9FFFFFEFEFFFFFBFFFFF9FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFF
FCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0
FFFFE9FFFEE1FFFED7FFFECAFFFDBAFFFCA8FFFB93FFFA7EFFF868FFF652FFF43FFFF12E
FFEF20FFEB16FFE80EFFE409FFE005FFDD03FFD902FFD501FFD201FFCF00FFCC00FFCB00
FFC900FFC900FFC900FFCA00FFCC00FFCE00FFD100FFD501FFD802FFDC03FFE005FFE408
FFE70DFFEB14FFEE1EFFF12CFFF43CFFF64FFFF864FFF97AFFFB90FFFCA4FFFDB7FFFDC7
FFFED5FFFEE0FFFFE8FFFFEFFFFFF4FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFFAFFFFF7FFFFF3FFFFEEFFFFE7FFFEDEFFFED2FFFDC4FFFDB3FFFCA0
FFFA8BFFF975FFF75FFFF54AFFF337FFF028FFED1BFFEA12FFE60BFFE207FFDE04FFDB02
FFD701FFD301FFD000FFCD00FFCA00FFC900FFC800FFC800FFC800FFC900FFCB00FFCE00
FFD100FFD501FFD802FFDC03FFE005FFE409FFE80EFFEB16FFEF20FFF12EFFF43FFFF653
FFF868FFFA7EFFFB94FFFCA8FFFDBBFFFECAFFFED7FFFEE2FFFFEAFFFFF0FFFFF5FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFF
FAFFFFFAFFFFFBFFFFFDFFFFFFFFFFFFFFFBFFFFF7FFFFF2FFFFEDFFFFE7FFFEE1FFFEDB
FFFED5FFFED0FFFECBFFFDC8FFFDC5FFFDC3FFFDC2FFFDC2FFFDC2FFFDC4FFFDC7FFFECA
FFFECEFFFED2FFFED6FFFEDBFFFEE0FFFFE4FFFFE8FFFFEBFFFFEDFFFFEFFFFFEFFFFFEF
FFFFEEFFFFEBFFFFE8FFFFE5FFFEE0FFFEDCFFFED7FFFED3FFFECEFFFECBFFFDC7FFFDC5
FFFDC3FFFDC2FFFDC2FFFDC2FFFDC4FFFDC7FFFECBFFFECFFFFED4FFFEDAFFFEE0FFFFE6
FFFFEBFFFFF1FFFFF6FFFFFBFFFFFEFEFFFFFCFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFF
FCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF5FFFFF1
FFFFEBFFFFE3FFFED9FFFECDFFFDBEFFFCACFFFB98FFFA82FFF86CFFF756FFF442FFF231
FFEF23FFEC17FFE80FFFE50AFFE106FFDD03FFD902FFD501FFD200FFCE00FFCC00FFCA00
FFC800FFC800FFC800FFC900FFCA00FFCC00FFCF00FFD201FFD601FFDA02FFDE04FFE206
FFE60BFFE911FFED19FFF025FFF234FFF546FFF75BFFF971FFFA87FFFB9CFFFCB0FFFDC1
FFFED0FFFEDCFFFFE5FFFFECFFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEDFFFFE6FFFEDDFFFED1FFFDC3FFFCB1FFFC9E
FFFA89FFF972FFF75CFFF548FFF335FFF026FFED1AFFE911FFE60BFFE206FFDE04FFDA02
FFD601FFD201FFCE00FFCB00FFC900FFC700FFC600FFC600FFC700FFC800FFCA00FFCD00
FFD000FFD301FFD701FFDB03FFDF05FFE308FFE70DFFEB14FFEE1FFFF12CFFF43DFFF650
FFF866FFFA7CFFFB92FFFCA7FFFDB9FFFEC9FFFED6FFFEE1FFFFE9FFFFF0FFFFF4FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFF
FCFFFFFDFFFFFFFFFFFFFFFEFFFFFBFFFFF7FFFFF2FFFFEDFFFFE8FFFFE3FFFEDEFFFED9
FFFED5FFFED2FFFECFFFFECEFFFECEFFFECEFFFED0FFFED3FFFED7FFFEDDFFFFE3FFFFEA
FFFFF1FFFFF9FEFFFFF6FFFFEFFFFFE8FFFFE3FFFFDFFEFFDCFEFFDAFEFFD9FEFFD9FEFF
DBFEFFDDFEFFE1FEFFE6FFFFEBFFFFF2FFFFFAFFFFFFFFFDFFFFF5FFFFEDFFFFE6FFFEE0
FFFEDAFFFED5FFFED2FFFECFFFFECEFFFECEFFFECEFFFED0FFFED3FFFED7FFFEDBFFFEE0
FFFFE5FFFFEAFFFFEFFFFFF4FFFFF9FFFFFCFFFFFFFEFFFFFCFFFFFBFFFFFBFFFFFBFFFF
FCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF2
FFFFEDFFFFE5FFFEDCFFFED0FFFDC1FFFCB0FFFB9CFFFA87FFF971FFF75BFFF546FFF234
FFF025FFEC19FFE910FFE50AFFE106FFDD04FFD902FFD501FFD200FFCE00FFCB00FFC900
FFC700FFC600FFC600FFC700FFC800FFCA00FFCD00FFD000FFD401FFD802FFDC03FFE005
FFE408FFE70DFFEB15FFEE1FFFF12DFFF43EFFF652FFF867FFFA7EFFFB93FFFCA8FFFDBA
FFFECAFFFED7FFFEE2FFFFEAFFFFF0FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE5FFFEDCFFFED0FFFDC1FFFCB0FFFB9C
FFFA86FFF970FFF75AFFF545FFF233FFEF24FFEC18FFE910FFE50AFFE106FFDD03FFD902
FFD501FFD100FFCD00FFCA00FFC800FFC600FFC500FFC500FFC500FFC700FFC900FFCB00
FFCF00FFD201FFD601FFDA02FFDF04FFE307FFE70CFFEA13FFEE1DFFF12AFFF33BFFF64E
FFF863FFF97AFFFB90FFFCA5FFFDB8FFFDC8FFFED5FFFEE0FFFFE9FFFFEFFFFFF4FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFDFFFFFAFFFFF6FFFFF2FFFFEEFFFFEAFFFFE5FFFEE1FFFEDDFFFEDB
FFFED8FFFED7FFFED8FFFED9FFFEDCFFFEE0FFFFE5FFFFECFFFFF4FFFFFDF8FFFFEEFFFF
E4FFFFDBFEFFD2FEFFCAFEFFC3FDFFBDFDFFB8FDFFB4FDFFB1FCFFAFFCFFAEFCFFAEFCFF
AFFCFFB1FCFFB4FDFFB9FDFFBEFDFFC4FDFFCCFEFFD4FEFFDDFEFFE6FFFFF0FFFFFAFFFF
FFFFFBFFFFF2FFFFEAFFFFE4FFFEDFFFFEDBFFFED9FFFED7FFFED8FFFED9FFFEDBFFFEDE
FFFEE2FFFFE6FFFFEAFFFFEFFFFFF3FFFFF7FFFFFBFFFFFEFFFFFFFEFFFFFDFFFFFCFFFF
FCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3
FFFFEEFFFFE7FFFEDEFFFED3FFFDC5FFFDB4FFFCA1FFFB8CFFF975FFF75FFFF54AFFF337
FFF027FFED1BFFEA12FFE60BFFE207FFDE04FFDA02FFD501FFD200FFCE00FFCB00FFC800
FFC600FFC500FFC500FFC500FFC600FFC800FFCB00FFCE00FFD100FFD501FFD902FFDE04
FFE206FFE60BFFE911FFED1AFFF027FFF336FFF549FFF75EFFF974FFFA8BFFFCA0FFFDB3
FFFDC4FFFED2FFFEDEFFFFE7FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE5FFFEDBFFFECFFFFDC0FFFCAEFFFB9A
FFFA84FFF96EFFF758FFF443FFF231FFEF22FFEC17FFE80FFFE409FFE005FFDC03FFD802
FFD301FFCF00FFCC00FFC900FFC600FFC400FFC300FFC300FFC400FFC500FFC700FFCA00
FFCD00FFD100FFD501FFD902FFDE04FFE207FFE60BFFEA12FFED1BFFF028FFF338FFF54C
FFF861FFF977FFFB8EFFFCA3FFFDB6FFFDC7FFFED4FFFEE0FFFFE8FFFFEFFFFFF4FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFF
FFFFFFFFFFFDFFFFFAFFFFF7FFFFF3FFFFF0FFFFECFFFFE8FFFFE5FFFEE2FFFEE0FFFEE0
FFFEE0FFFEE1FFFFE4FFFFE9FFFFEFFFFFF6FFFFFFF6FFFFEBFFFFE0FEFFD6FEFFCBFEFF
C2FDFFB9FDFFB0FCFFA9FCFFA3FCFF9DFCFF99FBFF95FBFF93FBFF91FBFF90FBFF90FBFF
91FBFF92FBFF95FBFF98FBFF9DFBFFA2FCFFA8FCFFAFFCFFB8FDFFC0FDFFCAFEFFD4FEFF
DFFEFFEAFFFFF4FFFFFEFFFFFFFFF7FFFFF0FFFFE9FFFFE5FFFEE2FFFEE0FFFEE0FFFEE0
FFFEE2FFFFE5FFFFE8FFFFEBFFFFEFFFFFF3FFFFF6FFFFFAFFFFFCFFFFFFFFFFFFFEFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4
FFFFF0FFFFE9FFFEE1FFFED6FFFEC9FFFDB8FFFCA6FFFB91FFF97AFFF864FFF64EFFF33B
FFF12AFFEE1DFFEA13FFE60CFFE207FFDE04FFDA02FFD601FFD200FFCE00FFCA00FFC800
FFC500FFC400FFC300FFC300FFC400FFC600FFC800FFCB00FFCF00FFD301FFD701FFDB03
FFE005FFE408FFE80EFFEB16FFEF21FFF22FFFF441FFF655FFF86BFFFA81FFFB97FFFCAC
FFFDBEFFFECDFFFEDAFFFFE4FFFFEBFFFFF1FFFFF6FFFFF9FFFFFBFFFFFCFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE4FFFEDAFFFECEFFFDBEFFFCACFFFB98
FFFA82FFF86BFFF655FFF441FFF22FFFEF21FFEB16FFE80EFFE408FFDF05FFDB03FFD701
FFD201FFCE00FFCB00FFC700FFC500FFC300FFC200FFC200FFC200FFC400FFC600FFC900
FFCC00FFD000FFD401FFD802FFDD03FFE106FFE50AFFE911FFED1AFFF026FFF336FFF549
FFF75FFFF975FFFB8CFFFCA1FFFDB4FFFDC5FFFED3FFFEDFFFFFE8FFFFEFFFFFF4FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFDFFFFFAFFFFF8FFFFF5FFFFF1FFFFEEFFFFEBFFFFE9FFFFE7FFFFE6FFFFE6FFFFE8
FFFFEBFFFFEFFFFFF5FFFFFCFAFFFFF0FFFFE5FFFFDAFEFFCFFEFFC5FDFFBAFDFFB1FCFF
A8FCFFA0FCFF99FBFF93FBFF8EFBFF89FAFF86FAFF83FAFF80FAFF7FFAFF7EFAFF7EFAFF
7EFAFF80FAFF82FAFF84FAFF88FAFF8CFBFF91FBFF96FBFF9DFBFFA5FCFFADFCFFB6FDFF
C0FDFFCAFEFFD5FEFFE0FEFFEBFFFFF5FFFFFFFFFFFFFFF8FFFFF1FFFFECFFFFE9FFFFE7
FFFFE6FFFFE7FFFFE8FFFFEAFFFFEDFFFFF0FFFFF3FFFFF6FFFFF9FFFFFCFFFFFEFFFFFF
FEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF5
FFFFF1FFFFEBFFFFE3FFFED9FFFECCFFFDBCFFFCAAFFFB95FFFA7FFFF868FFF652FFF43E
FFF12DFFEE1FFFEB14FFE70DFFE308FFDF04FFDA02FFD601FFD201FFCE00FFCA00FFC700
FFC500FFC300FFC200FFC200FFC200FFC400FFC600FFC900FFCD00FFD000FFD501FFD902
FFDD04FFE206FFE60BFFEA12FFED1BFFF028FFF339FFF64CFFF861FFF978FFFB8FFFFCA4
FFFDB7FFFDC7FFFED5FFFEE0FFFFE9FFFFEFFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFCFFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFFE4FFFED9FFFECDFFFDBDFFFCABFFFB96
FFFA80FFF869FFF653FFF43FFFF12DFFEE1FFFEB14FFE70DFFE307FFDF04FFDA02FFD601
FFD100FFCD00FFC900FFC600FFC300FFC100FFC000FFC000FFC100FFC200FFC400FFC700
FFCB00FFCF00FFD301FFD702FFDC03FFE005FFE509FFE90FFFEC18FFF025FFF234FFF547
FFF75CFFF973FFFA8AFFFC9FFFFDB3FFFDC4FFFED2FFFEDEFFFFE7FFFFEEFFFFF3FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFEFFFFFD
FFFFFBFFFFF8FFFFF6FFFFF3FFFFF1FFFFEEFFFFEDFFFFECFFFFEBFFFFECFFFFEFFFFFF3
FFFFF8FFFFFFF8FFFFEEFFFFE4FFFFD9FEFFCFFEFFC4FDFFBAFDFFB0FCFFA8FCFFA0FCFF
98FBFF92FBFF8CFBFF87FAFF83FAFF80FAFF7DFAFF7BF9FF79F9FF78F9FF77F9FF77F9FF
77F9FF78F9FF79F9FF7BF9FF7DFAFF80FAFF84FAFF88FAFF8DFBFF93FBFF9AFBFFA1FCFF
AAFCFFB3FDFFBCFDFFC7FDFFD1FEFFDCFEFFE6FFFFF0FFFFFAFFFFFFFFFDFFFFF6FFFFF2
FFFFEEFFFFECFFFFEBFFFFECFFFFEDFFFFEFFFFFF1FFFFF4FFFFF6FFFFF9FFFFFBFFFFFD
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6
FFFFF2FFFFEDFFFFE5FFFEDBFFFECFFFFDC0FFFCAEFFFB9AFFFA84FFF96DFFF757FFF442
FFF230FFEF21FFEB16FFE80EFFE408FFDF05FFDB03FFD601FFD201FFCE00FFCA00FFC700
FFC400FFC200FFC000FFC000FFC100FFC200FFC400FFC700FFCA00FFCE00FFD201FFD701
FFDB03FFE005FFE409FFE80EFFEC17FFEF22FFF231FFF543FFF758FFF96FFFFA85FFFB9B
FFFCAFFFFDC1FFFED0FFFEDCFFFFE6FFFFEDFFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF9FFFFF5FFFFF1FFFFEBFFFFE3FFFED9FFFECBFFFDBCFFFCA9FFFB94
FFFA7EFFF867FFF651FFF43CFFF12BFFEE1DFFEA13FFE60CFFE207FFDE04FFD902FFD501
FFD000FFCC00FFC800FFC500FFC200FFC000FFBF00FFBF00FFBF00FFC100FFC300FFC600
FFCA00FFCE00FFD201FFD701FFDB03FFE005FFE409FFE80EFFEC17FFEF23FFF232FFF545
FFF75AFFF971FFFA87FFFC9DFFFCB1FFFDC3FFFED1FFFEDDFFFFE7FFFFEEFFFFF3FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFF0FFFFF0FFFFF0FFFFF2FFFFF5FFFFF9FFFFFF
F8FFFFF0FFFFE6FFFFDCFEFFD2FEFFC8FDFFBEFDFFB5FDFFACFCFFA4FCFF9DFBFF97FBFF
91FBFF8CFBFF88FAFF85FAFF82FAFF80FAFF7EFAFF7DFAFF7CFAFF7BF9FF7AF9FF7AF9FF
7AF9FF7BF9FF7CFAFF7DFAFF7EFAFF80FAFF82FAFF85FAFF88FAFF8CFBFF91FBFF96FBFF
9DFBFFA4FCFFACFCFFB4FDFFBEFDFFC7FDFFD1FEFFDCFEFFE6FFFFEFFFFFF8FFFFFFFFFF
FFFFFAFFFFF5FFFFF2FFFFF0FFFFF0FFFFF0FFFFF1FFFFF3FFFFF5FFFFF7FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7
FFFFF3FFFFEEFFFFE7FFFEDEFFFED2FFFDC4FFFDB3FFFC9FFFFA89FFF972FFF75CFFF546
FFF233FFEF24FFEC18FFE80FFFE409FFE005FFDB03FFD701FFD201FFCE00FFCA00FFC600
FFC300FFC100FFBF00FFBF00FFBF00FFC000FFC200FFC400FFC800FFCC00FFD000FFD401
FFD902FFDD04FFE207FFE60BFFEA12FFEE1CFFF12AFFF33BFFF64FFFF865FFFA7CFFFB93
FFFCA8FFFDBAFFFECAFFFED8FFFEE2FFFFEAFFFFF1FFFFF5FFFFF8FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFEAFFFEE2FFFED8FFFECAFFFDBAFFFCA7FFFB92
FFFA7CFFF865FFF64EFFF33AFFF129FFED1CFFEA12FFE60BFFE106FFDD03FFD802FFD301
FFCF00FFCB00FFC700FFC300FFC000FFBE00FFBD00FFBD00FFBE00FFBF00FFC100FFC500
FFC800FFCC00FFD100FFD601FFDA02FFDF04FFE308FFE70DFFEB16FFEF21FFF230FFF443
FFF758FFF96EFFFA85FFFB9CFFFCB0FFFDC1FFFED0FFFEDCFFFFE6FFFFEDFFFFF3FFFFF7
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF7FFFFF5FFFFF4FFFFF3FFFFF3FFFFF4FFFFF6FFFFFAFFFFFFFAFFFFF3FFFF
EAFFFFE1FEFFD8FEFFCFFEFFC5FDFFBDFDFFB4FDFFADFCFFA6FCFFA0FCFF9BFBFF96FBFF
93FBFF90FBFF8EFBFF8CFBFF8BFAFF8AFAFF8AFAFF89FAFF89FAFF89FAFF89FAFF89FAFF
89FAFF89FAFF89FAFF89FAFF8AFAFF8AFAFF8BFAFF8CFBFF8DFBFF8FFBFF92FBFF95FBFF
99FBFF9EFCFFA3FCFFAAFCFFB1FCFFB9FDFFC2FDFFCBFEFFD4FEFFDEFEFFE7FFFFF0FFFF
F7FFFFFEFFFFFFFFFBFFFFF7FFFFF5FFFFF3FFFFF3FFFFF3FFFFF4FFFFF6FFFFF8FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFF0FFFFE9FFFEE0FFFED5FFFDC8FFFDB7FFFCA4FFFB8EFFF977FFF760FFF54A
FFF337FFF027FFED1AFFE910FFE50AFFE106FFDC03FFD701FFD301FFCE00FFCA00FFC600
FFC300FFC000FFBE00FFBD00FFBD00FFBE00FFBF00FFC200FFC500FFC900FFCD00FFD200
FFD601FFDB03FFE005FFE409FFE80FFFEC18FFEF24FFF233FFF546FFF75CFFF973FFFA8A
FFFC9FFFFDB3FFFDC4FFFED3FFFEDEFFFFE7FFFFEEFFFFF4FFFFF7FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF8FFFFF5FFFFF0FFFFEAFFFEE2FFFED7FFFEC9FFFDB9FFFCA6FFFB90
FFF979FFF862FFF64CFFF338FFF028FFED1AFFE911FFE50AFFE106FFDC03FFD701FFD201
FFCE00FFC900FFC500FFC200FFBF00FFBD00FFBC00FFBB00FFBC00FFBE00FFC000FFC300
FFC700FFCB00FFD000FFD401FFD902FFDE04FFE307FFE70CFFEB14FFEE20FFF12EFFF440
FFF655FFF86CFFFA83FFFB9AFFFCAEFFFDC0FFFECFFFFEDCFFFFE5FFFFEDFFFFF2FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFFA
FFFFF8FFFFF7FFFFF6FFFFF6FFFFF6FFFFF7FFFFFAFFFFFDFDFFFFF6FFFFEFFFFFE8FFFF
DFFEFFD7FEFFCEFEFFC6FDFFBEFDFFB7FDFFB1FCFFABFCFFA7FCFFA3FCFFA1FCFF9FFCFF
9EFCFF9DFCFF9DFCFF9EFCFF9FFCFFA1FCFFA2FCFFA3FCFFA5FCFFA6FCFFA6FCFFA7FCFF
A7FCFFA6FCFFA5FCFFA4FCFFA3FCFFA1FCFFA0FCFF9FFCFF9EFCFF9DFCFF9DFCFF9EFCFF
9FFCFFA1FCFFA4FCFFA8FCFFADFCFFB3FDFFB9FDFFC0FDFFC8FDFFD1FEFFD9FEFFE2FEFF
EAFFFFF2FFFFF8FFFFFEFFFFFFFFFCFFFFF9FFFFF7FFFFF6FFFFF6FFFFF6FFFFF7FFFFF9
FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF5FFFFF1FFFFEBFFFFE3FFFED8FFFECBFFFDBBFFFCA8FFFB93FFFA7CFFF865FFF64F
FFF33BFFF129FFED1CFFEA12FFE60BFFE106FFDD03FFD802FFD301FFCE00FFCA00FFC600
FFC200FFBF00FFBD00FFBC00FFBB00FFBC00FFBD00FFC000FFC300FFC600FFCB00FFCF00
FFD401FFD902FFDD04FFE207FFE60CFFEA13FFEE1EFFF12CFFF43EFFF653FFF869FFFA80
FFFB97FFFCACFFFDBEFFFECEFFFEDAFFFFE4FFFFECFFFFF2FFFFF6FFFFF9FFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF5FFFFF0FFFFE9FFFEE1FFFED6FFFDC8FFFDB7FFFCA4FFFB8E
FFF977FFF760FFF54AFFF336FFF026FFEC19FFE910FFE409FFE005FFDB03FFD601FFD100
FFCD00FFC800FFC400FFC000FFBD00FFBB00FFBA00FFBA00FFBA00FFBC00FFBE00FFC200
FFC600FFCA00FFCF00FFD301FFD802FFDD04FFE207FFE60CFFEA13FFEE1EFFF12CFFF43E
FFF653FFF86AFFFA81FFFB98FFFCADFFFDBFFFFECEFFFEDBFFFFE5FFFFECFFFFF2FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF8FFFFF8FFFFF8FFFFF8FFFFFAFFFFFDFFFFFFFAFFFFF4FFFFEEFFFFE6FFFFDFFEFF
D7FEFFD0FEFFC9FEFFC2FDFFBDFDFFB8FDFFB4FDFFB1FCFFAFFCFFAFFCFFAFFCFFB0FCFF
B3FDFFB5FDFFB9FDFFBDFDFFC1FDFFC5FDFFCAFEFFCDFEFFD1FEFFD4FEFFD5FEFFD6FEFF
D6FEFFD5FEFFD4FEFFD1FEFFCEFEFFCAFEFFC5FDFFC1FDFFBDFDFFB9FDFFB6FDFFB3FDFF
B0FCFFAFFCFFAFFCFFAFFCFFB1FCFFB4FDFFB8FDFFBCFDFFC2FDFFC9FEFFD0FEFFD7FEFF
DFFEFFE6FFFFEEFFFFF4FFFFFAFFFFFFFFFFFFFFFDFFFFFAFFFFF8FFFFF8FFFFF8FFFFF8
FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF2FFFFEDFFFFE5FFFEDBFFFECFFFFDBFFFFCADFFFB98FFFA82FFF86AFFF654
FFF43FFFF12DFFEE1EFFEA13FFE60CFFE207FFDD04FFD802FFD401FFCF00FFCA00FFC600
FFC200FFBE00FFBC00FFBA00FFBA00FFBA00FFBB00FFBD00FFC000FFC400FFC800FFCC00
FFD100FFD601FFDB03FFE005FFE409FFE90FFFEC19FFF026FFF336FFF54AFFF760FFF977
FFFB8EFFFCA4FFFDB7FFFDC8FFFED6FFFEE1FFFFE9FFFFF0FFFFF5FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFE9FFFEE0FFFED5FFFDC7FFFDB6FFFCA2FFFB8C
FFF975FFF75EFFF548FFF234FFEF24FFEC18FFE80FFFE408FFDF05FFDA02FFD501FFD000
FFCB00FFC700FFC200FFBF00FFBC00FFBA00FFB800FFB800FFB900FFBA00FFBD00FFC000
FFC400FFC900FFCD00FFD201FFD702FFDC03FFE106FFE60BFFEA12FFEE1CFFF12BFFF43C
FFF651FFF868FFFA7FFFFB96FFFCABFFFDBEFFFECDFFFEDAFFFFE4FFFFECFFFFF2FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFA
FFFFF9FFFFFAFFFFFAFFFFFCFFFFFEFDFFFFF9FFFFF3FFFFEDFFFFE7FFFFE0FEFFD9FEFF
D3FEFFCDFEFFC8FDFFC4FDFFC1FDFFBFFDFFBEFDFFBEFDFFC0FDFFC3FDFFC7FDFFCDFEFF
D3FEFFDAFEFFE2FEFFEBFFFFF3FFFFFCFFFFFFFFFBFFFFF4FFFFEEFFFFEAFFFFE7FFFFE5
FFFFE5FFFFE6FFFFE9FFFFEDFFFFF2FFFFF9FFFFFFF6FFFFEDFFFFE5FFFFDDFEFFD5FEFF
CFFEFFC9FEFFC4FDFFC1FDFFBFFDFFBEFDFFBEFDFFC0FDFFC3FDFFC7FDFFCBFEFFD1FEFF
D7FEFFDEFEFFE5FFFFEBFFFFF1FFFFF7FFFFFCFFFFFFFFFFFFFFFDFFFFFBFFFFFAFFFFF9
FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEEFFFFE7FFFEDEFFFED2FFFDC3FFFCB1FFFB9DFFFA87FFF96FFFF758
FFF443FFF230FFEF21FFEB15FFE70DFFE307FFDE04FFD902FFD401FFCF00FFCA00FFC600
FFC100FFBE00FFBB00FFB900FFB800FFB800FFB900FFBB00FFBE00FFC100FFC500FFCA00
FFCF00FFD401FFD902FFDE04FFE207FFE70CFFEB14FFEE20FFF22FFFF441FFF756FFF96D
FFFA85FFFB9BFFFCB0FFFDC2FFFED1FFFEDDFFFFE6FFFFEEFFFFF3FFFFF7FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE8FFFEDFFFFED4FFFDC6FFFDB4FFFCA1FFFA8A
FFF973FFF75CFFF546FFF232FFEF22FFEC16FFE80EFFE308FFDE04FFD902FFD401FFCF00
FFCA00FFC500FFC100FFBD00FFBA00FFB800FFB700FFB600FFB700FFB900FFBB00FFBF00
FFC300FFC700FFCC00FFD100FFD701FFDC03FFE005FFE50AFFE911FFED1BFFF029FFF33A
FFF64FFFF866FFFA7DFFFB94FFFCA9FFFDBCFFFECCFFFED9FFFFE4FFFFECFFFFF1FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFBFFFFFCFFFFFDFFFFFFFCFFFFF8FFFFF3FFFFEEFFFFE8FFFFE2FEFFDDFEFFD7FEFF
D3FEFFCFFEFFCCFEFFCBFEFFCBFEFFCCFEFFCFFEFFD3FEFFD9FEFFE1FEFFEAFFFFF4FFFF
FFFFFFFFFFF3FFFFE7FFFEDCFFFED2FFFEC9FFFDC1FFFDBAFFFDB5FFFCB1FFFCAEFFFCAC
FFFCACFFFCADFFFCAFFFFDB2FFFDB7FFFDBDFFFDC4FFFECCFFFED6FFFEE0FFFFECFFFFF7
FBFFFFF0FFFFE6FFFFDEFEFFD7FEFFD2FEFFCEFEFFCBFEFFCBFEFFCBFEFFCDFEFFD0FEFF
D4FEFFD9FEFFDFFEFFE4FFFFEAFFFFF0FFFFF5FFFFF9FFFFFDFFFFFFFFFFFFFFFDFFFFFB
FFFFFBFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFF0FFFFE9FFFEE0FFFED5FFFDC7FFFDB6FFFCA2FFFB8CFFF975FFF75D
FFF547FFF234FFEF23FFEC17FFE80EFFE308FFDF04FFDA02FFD501FFCF00FFCA00FFC600
FFC100FFBD00FFBA00FFB800FFB700FFB600FFB700FFB900FFBB00FFBE00FFC200FFC700
FFCC00FFD100FFD601FFDB03FFE005FFE50AFFE910FFED1AFFF028FFF339FFF64DFFF864
FFFA7BFFFB92FFFCA8FFFDBBFFFECBFFFED8FFFFE3FFFFEBFFFFF1FFFFF6FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE8FFFEDFFFFED3FFFDC5FFFDB3FFFC9FFFFA88
FFF971FFF759FFF544FFF230FFEF21FFEB15FFE70DFFE207FFDE04FFD902FFD301FFCE00
FFC900FFC400FFBF00FFBC00FFB800FFB600FFB500FFB500FFB500FFB700FFBA00FFBD00
FFC100FFC600FFCB00FFD000FFD601FFDB02FFE005FFE409FFE910FFED1AFFF027FFF338
FFF64DFFF863FFF97BFFFB92FFFCA8FFFDBBFFFECBFFFED8FFFFE3FFFFEBFFFFF1FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFDFFFFFEFEFFFFFBFFFFF8FFFFF4FFFFEFFFFFEAFFFFE5FFFFE0FEFFDCFEFFD9FEFF
D7FEFFD5FEFFD6FEFFD7FEFFDBFEFFE0FEFFE7FFFFF0FFFFFAFFFFFFFFF8FFFFEBFFFEDE
FFFED2FFFDC6FFFDBAFFFCB0FFFCA7FFFC9FFFFB98FFFB92FFFB8DFFFA8AFFFA87FFFA86
FFFA85FFFA86FFFA87FFFA8AFFFB8EFFFB92FFFB98FFFC9FFFFCA7FFFCB0FFFDBBFFFDC6
FFFED2FFFEDFFFFFECFFFFF9FAFFFFEFFFFFE6FFFFDFFEFFDAFEFFD7FEFFD6FEFFD5FEFF
D7FEFFD9FEFFDCFEFFE1FEFFE5FFFFEAFFFFEFFFFFF4FFFFF8FFFFFCFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFB
FFFFF9FFFFF5FFFFF1FFFFEBFFFFE3FFFED8FFFECBFFFDBAFFFCA7FFFB91FFF97AFFF862
FFF64CFFF337FFF026FFEC19FFE90FFFE409FFE005FFDB02FFD501FFD000FFCB00FFC600
FFC100FFBD00FFBA00FFB700FFB500FFB500FFB500FFB600FFB900FFBC00FFC000FFC400
FFC900FFCE00FFD401FFD902FFDE04FFE307FFE70DFFEB15FFEF21FFF231FFF544FFF75A
FFF972FFFA89FFFCA0FFFDB4FFFDC5FFFED4FFFEDFFFFFE8FFFFEFFFFFF4FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF4FFFFEEFFFFE7FFFEDEFFFED2FFFDC3FFFDB2FFFB9DFFFA86
FFF96FFFF757FFF442FFF22FFFEE1FFFEB14FFE60CFFE207FFDD03FFD802FFD201FFCD00
FFC800FFC300FFBE00FFBA00FFB700FFB500FFB300FFB300FFB400FFB500FFB800FFBC00
FFC000FFC500FFCA00FFCF00FFD501FFDA02FFDF05FFE408FFE80FFFEC18FFF025FFF336
FFF54BFFF861FFF979FFFB90FFFCA6FFFDBAFFFECAFFFED8FFFFE2FFFFEBFFFFF1FFFFF5
FFFFF9FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFFFEFFFFFBFFFFF8FFFFF4FFFFF0FFFFECFFFFE8FFFFE5FFFFE1FEFFDFFEFFDEFEFF
DEFEFFE0FEFFE3FFFFE8FFFFF0FFFFF9FFFFFFFFFBFFFFEEFFFEE1FFFED4FFFDC7FFFDBB
FFFCAFFFFCA4FFFB9AFFFB91FFFA8AFFFA83FFFA7DFFF979FFF975FFF972FFF970FFF96F
FFF96EFFF96EFFF970FFF971FFF974FFF978FFFA7CFFFA81FFFA88FFFB8FFFFB98FFFCA1
FFFCACFFFDB7FFFDC4FFFED0FFFEDEFFFFEBFFFFF7FCFFFFF2FFFFEAFFFFE4FFFFE1FEFF
DEFEFFDEFEFFDFFEFFE1FEFFE4FFFFE7FFFFEBFFFFEFFFFFF3FFFFF7FFFFFBFFFFFDFFFF
FFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF2FFFFEDFFFFE5FFFEDBFFFECEFFFDBEFFFCACFFFB96FFFA7FFFF868
FFF651FFF43CFFF12AFFED1BFFE911FFE50AFFE005FFDB03FFD601FFD100FFCB00FFC600
FFC100FFBD00FFB900FFB600FFB400FFB300FFB300FFB400FFB600FFB900FFBD00FFC100
FFC600FFCB00FFD100FFD601FFDB03FFE106FFE50AFFE911FFED1CFFF12AFFF43CFFF651
FFF868FFFA80FFFB97FFFCACFFFDBFFFFECEFFFEDBFFFFE5FFFFEDFFFFF2FFFFF6FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF3FFFFEEFFFFE7FFFEDDFFFED1FFFDC2FFFCB0FFFB9BFFFA84
FFF86DFFF655FFF440FFF12DFFEE1EFFEA13FFE60BFFE106FFDC03FFD701FFD100FFCC00
FFC600FFC100FFBC00FFB800FFB500FFB300FFB100FFB100FFB200FFB400FFB600FFBA00
FFBE00FFC300FFC900FFCE00FFD401FFD902FFDE04FFE308FFE80EFFEC17FFEF24FFF234
FFF549FFF75FFFF977FFFB8EFFFCA5FFFDB8FFFEC9FFFED7FFFEE2FFFFEAFFFFF0FFFFF5
FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFEFFFFFF
FEFFFFFCFFFFF9FFFFF6FFFFF2FFFFEFFFFFEBFFFFE9FFFFE6FFFFE5FFFFE5FFFFE6FFFF
E9FFFFEEFFFFF5FFFFFEFFFFFFFFF7FFFFEBFFFEDEFFFED1FFFDC5FFFDB8FFFCACFFFCA1
FFFB97FFFB8EFFFA86FFFA7FFFF979FFF974FFF96FFFF86CFFF869FFF867FFF865FFF864
FFF864FFF864FFF864FFF866FFF868FFF86AFFF96DFFF971FFF976FFFA7BFFFA82FFFA89
FFFB92FFFB9BFFFCA6FFFCB1FFFDBDFFFECAFFFED7FFFFE4FFFFF0FFFFFBFAFFFFF2FFFF
ECFFFFE8FFFFE6FFFFE5FFFFE5FFFFE7FFFFEAFFFFEDFFFFF0FFFFF4FFFFF7FFFFFAFFFF
FDFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF3FFFFEEFFFFE7FFFEDEFFFED1FFFDC2FFFCB0FFFB9CFFFA85FFF86D
FFF656FFF440FFF12DFFEE1EFFEA13FFE60BFFE106FFDC03FFD701FFD100FFCC00FFC600
FFC100FFBD00FFB800FFB500FFB300FFB100FFB100FFB200FFB400FFB600FFBA00FFBE00
FFC300FFC800FFCE00FFD401FFD902FFDE04FFE308FFE80EFFEC17FFEF24FFF234FFF548
FFF75FFFF977FFFB8EFFFCA4FFFDB8FFFEC9FFFED7FFFEE2FFFFEAFFFFF0FFFFF5FFFFF8
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF3FFFFEEFFFFE6FFFEDDFFFED0FFFDC1FFFCAFFFFB9AFFFA82
FFF86BFFF653FFF43EFFF12BFFED1CFFEA12FFE50AFFE005FFDB03FFD601FFD000FFCB00
FFC500FFC000FFBB00FFB700FFB300FFB100FFB000FFAF00FFB000FFB200FFB500FFB900
FFBD00FFC200FFC700FFCD00FFD301FFD802FFDE04FFE307FFE70DFFEB16FFEF22FFF233
FFF546FFF75DFFF975FFFB8DFFFCA3FFFDB7FFFDC8FFFED6FFFEE1FFFFEAFFFFF0FFFFF5
FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFEFFFF
FCFFFFF9FFFFF7FFFFF4FFFFF1FFFFEEFFFFECFFFFEBFFFFEBFFFFEBFFFFEEFFFFF1FFFF
F7FFFFFFFFFFFFFFF6FFFFECFFFEE0FFFED4FFFDC7FFFDBBFFFCB0FFFCA5FFFB9BFFFB92
FFFA8AFFFA83FFFA7DFFF977FFF973FFF96FFFF86CFFF86AFFF868FFF866FFF865FFF864
FFF864FFF864FFF865FFF865FFF866FFF868FFF86AFFF86CFFF970FFF973FFF978FFFA7D
FFFA83FFFA8BFFFB93FFFB9CFFFCA6FFFCB1FFFDBDFFFEC9FFFED5FFFEE1FFFFEDFFFFF7
FEFFFFF7FFFFF1FFFFEDFFFFEBFFFFEBFFFFEBFFFFEDFFFFEFFFFFF1FFFFF4FFFFF7FFFF
FAFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF4FFFFF0FFFFE9FFFEE0FFFED5FFFDC6FFFDB5FFFCA1FFFA8AFFF972
FFF75BFFF544FFF231FFEF21FFEB15FFE70CFFE207FFDD03FFD802FFD201FFCC00FFC700
FFC100FFBC00FFB800FFB400FFB200FFB000FFAF00FFB000FFB100FFB400FFB700FFBB00
FFC000FFC600FFCB00FFD100FFD601FFDC03FFE106FFE60BFFEA12FFEE1EFFF12DFFF440
FFF655FFF86DFFFA85FFFB9CFFFCB1FFFDC3FFFED2FFFEDEFFFFE7FFFFEEFFFFF4FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE6FFFEDCFFFECFFFFDC0FFFCADFFFB98FFFA81
FFF868FFF651FFF43CFFF129FFED1BFFE911FFE509FFE005FFDA02FFD501FFCF00FFC900
FFC400FFBE00FFB900FFB500FFB200FFAF00FFAE00FFAE00FFAE00FFB000FFB300FFB700
FFBB00FFC100FFC600FFCC00FFD200FFD701FFDD03FFE207FFE70CFFEB15FFEF21FFF231
FFF544FFF75BFFF973FFFA8BFFFCA1FFFDB5FFFDC7FFFED5FFFEE0FFFFE9FFFFF0FFFFF5
FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFEFFFFFCFFFF
FAFFFFF8FFFFF6FFFFF3FFFFF1FFFFF0FFFFEFFFFFEFFFFFF1FFFFF4FFFFF8FFFFFFFFFF
FFFFF8FFFFEFFFFFE4FFFED9FFFECEFFFDC2FFFDB7FFFCADFFFCA3FFFB9AFFFB93FFFB8C
FFFA86FFFA81FFFA7DFFF97AFFF977FFF975FFF973FFF972FFF972FFF971FFF971FFF971
FFF970FFF970FFF970FFF971FFF971FFF971FFF972FFF973FFF975FFF977FFF979FFFA7C
FFFA80FFFA85FFFA8AFFFB91FFFB99FFFCA1FFFCABFFFDB5FFFDC0FFFECBFFFED7FFFEE2
FFFFEDFFFFF6FFFFFFF9FFFFF4FFFFF1FFFFEFFFFFEFFFFFF0FFFFF1FFFFF3FFFFF5FFFF
F8FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFFE3FFFED8FFFECAFFFDB9FFFCA6FFFB90FFF978
FFF760FFF549FFF335FFEF24FFEC17FFE80EFFE308FFDE04FFD902FFD301FFCD00FFC700
FFC200FFBC00FFB800FFB400FFB100FFAF00FFAE00FFAE00FFAF00FFB100FFB400FFB800
FFBD00FFC200FFC800FFCE00FFD401FFD902FFDF04FFE408FFE80FFFEC18FFF026FFF337
FFF64CFFF863FFFA7BFFFB93FFFCA9FFFDBCFFFECCFFFED9FFFFE4FFFFECFFFFF2FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFF9FFFFF7FFFFF3FFFFEDFFFFE5FFFEDBFFFECEFFFDBFFFFCACFFFB96FFFA7F
FFF866FFF64FFFF33AFFF028FFED1AFFE910FFE409FFDF05FFDA02FFD401FFCE00FFC800
FFC200FFBD00FFB800FFB400FFB000FFAE00FFAC00FFAC00FFAD00FFAE00FFB100FFB500
FFBA00FFBF00FFC500FFCB00FFD100FFD601FFDC03FFE106FFE60BFFEA13FFEE1FFFF22F
FFF442FFF759FFF971FFFA89FFFCA0FFFDB4FFFDC6FFFED4FFFEE0FFFFE9FFFFEFFFFFF4
FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFF
F9FFFFF7FFFFF5FFFFF4FFFFF3FFFFF3FFFFF3FFFFF5FFFFF8FFFFFDFFFFFFFFFBFFFFF3
FFFFEAFFFEE0FFFED6FFFECBFFFDC1FFFDB7FFFCAEFFFCA6FFFC9EFFFB98FFFB93FFFB8F
FFFB8BFFFA89FFFA87FFFA87FFFA86FFFA87FFFA87FFFA88FFFA89FFFA8AFFFA8BFFFB8B
FFFB8CFFFB8CFFFB8CFFFA8BFFFA8AFFFA89FFFA88FFFA88FFFA87FFFA86FFFA86FFFA87
FFFA88FFFA8AFFFB8DFFFB91FFFB95FFFB9BFFFCA2FFFCAAFFFDB2FFFDBCFFFDC6FFFED0
FFFEDBFFFFE5FFFFEFFFFFF7FFFFFEFBFFFFF7FFFFF4FFFFF3FFFFF3FFFFF3FFFFF5FFFF
F6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE5FFFEDBFFFECEFFFDBEFFFCABFFFB95FFFA7E
FFF865FFF64EFFF339FFF027FFED19FFE80FFFE409FFDF04FFD902FFD401FFCE00FFC800
FFC200FFBD00FFB800FFB300FFB000FFAD00FFAC00FFAC00FFAD00FFAF00FFB200FFB500
FFBA00FFBF00FFC500FFCB00FFD100FFD701FFDC03FFE106FFE60CFFEB14FFEE20FFF230
FFF543FFF75AFFF972FFFA8AFFFCA1FFFDB5FFFDC6FFFED5FFFEE0FFFFE9FFFFF0FFFFF5
FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE5FFFEDAFFFECDFFFDBDFFFCAAFFFB94FFFA7D
FFF864FFF64DFFF338FFF026FFEC18FFE80FFFE308FFDE04FFD902FFD301FFCD00FFC700
FFC100FFBB00FFB600FFB200FFAE00FFAC00FFAA00FFAA00FFAB00FFAD00FFB000FFB400
FFB800FFBE00FFC300FFC900FFD000FFD601FFDB03FFE106FFE60BFFEA12FFEE1EFFF12D
FFF441FFF757FFF96FFFFA87FFFC9EFFFDB3FFFDC5FFFED3FFFEDFFFFFE8FFFFEFFFFFF4
FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFF
F9FFFFF7FFFFF6FFFFF5FFFFF5FFFFF7FFFFF9FFFFFCFFFFFFFFFEFFFFF8FFFFF0FFFFE8
FFFEDFFFFED5FFFECCFFFDC3FFFDBAFFFDB3FFFCACFFFCA6FFFCA2FFFC9EFFFB9CFFFB9B
FFFB9BFFFB9CFFFC9EFFFCA0FFFCA3FFFCA7FFFCABFFFCAFFFFDB2FFFDB6FFFDB9FFFDBB
FFFDBCFFFDBCFFFDBCFFFDBAFFFDB8FFFDB5FFFDB2FFFCAEFFFCAAFFFCA6FFFCA3FFFCA0
FFFC9DFFFB9CFFFB9BFFFB9BFFFB9CFFFC9FFFFCA2FFFCA7FFFCADFFFDB4FFFDBCFFFDC4
FFFECDFFFED7FFFEE0FFFFE9FFFFF1FFFFF9FFFFFFFBFFFFF8FFFFF6FFFFF5FFFFF5FFFF
F6FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF4FFFFEEFFFFE7FFFEDEFFFED1FFFDC2FFFCB0FFFB9AFFFA83
FFF86BFFF653FFF43DFFF12BFFED1CFFE911FFE50AFFE005FFDA02FFD501FFCF00FFC900
FFC300FFBD00FFB800FFB300FFAF00FFAC00FFAB00FFAA00FFAA00FFAC00FFAF00FFB300
FFB700FFBC00FFC200FFC800FFCE00FFD401FFDA02FFDF05FFE409FFE910FFED1AFFF029
FFF33BFFF651FFF868FFFA80FFFB98FFFCADFFFDC0FFFED0FFFEDCFFFFE6FFFFEDFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE4FFFEDAFFFECCFFFDBCFFFCA9FFFB93FFF97B
FFF862FFF54BFFF336FFF025FFEC17FFE80EFFE307FFDE04FFD802FFD201FFCC00FFC600
FFC000FFBA00FFB500FFB000FFAD00FFAA00FFA800FFA800FFA900FFAB00FFAE00FFB200
FFB700FFBC00FFC200FFC800FFCF00FFD501FFDA02FFE005FFE50AFFE911FFED1CFFF12C
FFF43FFFF655FFF86DFFFA85FFFB9CFFFCB1FFFDC3FFFED2FFFEDFFFFFE8FFFFEFFFFFF4
FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFFAFFFF
F9FFFFF8FFFFF8FFFFF8FFFFF9FFFFFBFFFFFFFFFFFFFFFBFFFFF6FFFFEFFFFFE7FFFEDF
FFFED7FFFECEFFFDC7FFFDC0FFFDBAFFFDB5FFFCB1FFFCAEFFFCADFFFCADFFFCAFFFFDB2
FFFDB6FFFDBCFFFDC2FFFECAFFFED2FFFEDBFFFFE3FFFFECFFFFF4FFFFFCFDFFFFF9FFFF
F6FFFFF5FFFFF6FFFFF8FFFFFCFFFFFFFFFDFFFFF5FFFFEDFFFFE5FFFEDCFFFED3FFFECB
FFFDC3FFFDBDFFFDB7FFFDB3FFFCAFFFFCAEFFFCADFFFCAEFFFCB0FFFDB4FFFDB9FFFDBF
FFFDC5FFFECDFFFED5FFFEDEFFFFE6FFFFEEFFFFF5FFFFFBFFFFFFFCFFFFF9FFFFF8FFFF
F8FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF8FFFFF5FFFFF0FFFFE9FFFEE0FFFED5FFFDC6FFFDB4FFFCA0FFFA89
FFF971FFF758FFF442FFF12EFFEE1FFFEA13FFE60BFFE106FFDB03FFD601FFCF00FFC900
FFC300FFBD00FFB800FFB300FFAF00FFAB00FFA900FFA800FFA800FFAA00FFAC00FFB000
FFB400FFB900FFBF00FFC500FFCB00FFD100FFD701FFDD03FFE207FFE70CFFEB15FFEF22
FFF233FFF547FFF75FFFF977FFFB8FFFFCA5FFFDB9FFFECAFFFED8FFFFE3FFFFEBFFFFF1
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE4FFFED9FFFECBFFFDBBFFFCA7FFFB91FFF979
FFF760FFF549FFF234FFEF23FFEB16FFE70DFFE207FFDD03FFD701FFD100FFCB00FFC400
FFBE00FFB800FFB300FFAE00FFAB00FFA800FFA600FFA600FFA700FFA900FFAC00FFB000
FFB500FFBB00FFC100FFC700FFCD00FFD401FFDA02FFDF05FFE409FFE910FFED1BFFF12A
FFF43DFFF653FFF86BFFFA83FFFB9BFFFCB0FFFDC2FFFED2FFFEDEFFFFE7FFFFEEFFFFF4
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFF
F9FFFFF9FFFFFAFFFFFBFFFFFDFFFFFFFFFEFFFFFAFFFFF5FFFFEEFFFFE8FFFEE0FFFED9
FFFED2FFFECCFFFDC6FFFDC2FFFDBFFFFDBDFFFDBDFFFDBEFFFDC1FFFDC6FFFECDFFFED5
FFFEDFFFFFEBFFFFF8F9FFFFEBFFFFDEFEFFD3FEFFC9FEFFC0FDFFB9FDFFB3FDFFAFFCFF
ACFCFFABFCFFACFCFFAEFCFFB1FCFFB6FDFFBCFDFFC4FDFFCEFEFFD9FEFFE5FFFFF2FFFF
FFFFFEFFFFF1FFFFE4FFFED9FFFED0FFFEC9FFFDC3FFFDBFFFFDBDFFFDBDFFFDBEFFFDC0
FFFDC4FFFEC9FFFECFFFFED6FFFEDDFFFFE4FFFFEBFFFFF2FFFFF8FFFFFDFFFFFFFCFFFF
FAFFFFF9FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFFE3FFFED8FFFECAFFFDB9FFFCA5FFFB8E
FFF976FFF75EFFF547FFF232FFEF22FFEB15FFE70CFFE206FFDC03FFD701FFD000FFCA00
FFC400FFBE00FFB800FFB300FFAE00FFAA00FFA800FFA600FFA600FFA700FFA900FFAD00
FFB100FFB600FFBB00FFC100FFC800FFCE00FFD401FFDA02FFE005FFE50AFFE911FFED1C
FFF12CFFF43FFFF655FFF96DFFFA86FFFB9DFFFDB2FFFDC4FFFED3FFFEDFFFFFE8FFFFEF
FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFFE3FFFED8FFFECAFFFDBAFFFCA6FFFB8FFFF977
FFF75EFFF547FFF232FFEF22FFEB15FFE70CFFE206FFDC03FFD601FFD000FFCA00FFC300
FFBD00FFB700FFB100FFAD00FFA900FFA600FFA500FFA400FFA500FFA700FFAA00FFAF00
FFB400FFB900FFC000FFC600FFCC00FFD301FFD902FFDF04FFE408FFE90FFFED1AFFF028
FFF33BFFF651FFF869FFFA81FFFB99FFFCAFFFFDC1FFFED1FFFEDDFFFFE7FFFFEEFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFF
FBFFFFFBFFFFFCFFFFFFFFFFFFFFFDFFFFF9FFFFF5FFFFEFFFFFE9FFFFE3FFFEDDFFFED7
FFFED2FFFECEFFFECBFFFECAFFFECAFFFECCFFFED0FFFED6FFFEDEFFFFE9FFFFF6FAFFFF
EBFFFFDBFEFFCDFEFFBFFDFFB2FDFFA7FCFF9DFBFF94FBFF8DFBFF87FAFF82FAFF7FFAFF
7DFAFF7CFAFF7CFAFF7DFAFF7FFAFF83FAFF88FAFF8EFBFF96FBFF9FFCFFA9FCFFB5FDFF
C2FDFFD0FEFFDFFEFFEEFFFFFEFFFFFFFFF3FFFFE6FFFEDCFFFED5FFFECFFFFECCFFFECA
FFFECAFFFECCFFFECFFFFED3FFFED8FFFEDEFFFFE4FFFFEAFFFFF0FFFFF6FFFFFAFFFFFE
FEFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF2FFFFEDFFFFE5FFFEDBFFFECEFFFDBDFFFCAAFFFB94
FFFA7CFFF864FFF64CFFF337FFF025FFEC17FFE80EFFE307FFDD04FFD802FFD100FFCB00
FFC500FFBE00FFB800FFB300FFAE00FFAA00FFA700FFA500FFA400FFA500FFA700FFAA00
FFAE00FFB300FFB800FFBE00FFC500FFCB00FFD100FFD802FFDD04FFE307FFE80EFFEC17
FFF025FFF337FFF64CFFF864FFFA7CFFFB94FFFCAAFFFDBDFFFECEFFFEDBFFFFE5FFFFED
FFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFFE2FFFED7FFFEC9FFFDB8FFFCA4FFFB8DFFF975
FFF75CFFF545FFF231FFEE20FFEB14FFE60BFFE106FFDB03FFD501FFCF00FFC800FFC200
FFBB00FFB500FFB000FFAB00FFA700FFA400FFA300FFA200FFA300FFA500FFA900FFAD00
FFB200FFB800FFBE00FFC500FFCB00FFD201FFD802FFDE04FFE308FFE80EFFEC19FFF027
FFF339FFF64FFFF867FFFA7FFFFB97FFFCADFFFDC0FFFED0FFFEDDFFFFE6FFFFEEFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFEFFFFFFFFFFFFFFFDFFFFF9FFFFF5FFFFF0FFFFEBFFFFE6FFFEE1FFFEDCFFFED9
FFFED6FFFED5FFFED5FFFED7FFFEDCFFFEE2FFFFEBFFFFF6FBFFFFECFFFFDCFEFFCCFEFF
BDFDFFAFFCFFA2FCFF96FBFF8BFBFF82FAFF7AF9FF73F9FF6DF9FF69F8FF65F8FF62F8FF
61F7FF60F7FF60F7FF61F7FF62F8FF65F8FF68F8FF6DF8FF72F9FF79F9FF81FAFF8AFAFF
95FBFFA1FCFFAEFCFFBCFDFFCBFEFFDAFEFFEAFFFFF9FFFFFFFFF7FFFFECFFFFE3FFFEDC
FFFED8FFFED5FFFED5FFFED6FFFED8FFFEDCFFFEE0FFFFE5FFFFEBFFFFF0FFFFF5FFFFF9
FFFFFCFFFFFFFEFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEEFFFFE7FFFEDEFFFED1FFFDC2FFFCAFFFFB9A
FFFA82FFF869FFF651FFF33BFFF028FFED1AFFE80FFFE408FFDE04FFD902FFD201FFCC00
FFC500FFBF00FFB800FFB300FFAD00FFA900FFA600FFA300FFA200FFA300FFA400FFA700
FFAB00FFAF00FFB500FFBB00FFC100FFC800FFCE00FFD501FFDB03FFE005FFE60BFFEA13
FFEE1FFFF22FFFF443FFF75AFFF972FFFA8BFFFCA2FFFDB6FFFDC8FFFED6FFFEE1FFFFEA
FFFFF1FFFFF5FFFFF9FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF5FFFFF1FFFFEAFFFEE2FFFED7FFFEC8FFFDB7FFFCA3FFFB8CFFF973
FFF75AFFF543FFF22FFFEE1FFFEA13FFE60AFFE005FFDB02FFD401FFCE00FFC700FFC100
FFBA00FFB400FFAE00FFA900FFA500FFA200FFA100FFA000FFA100FFA300FFA700FFAB00
FFB000FFB600FFBD00FFC300FFCA00FFD100FFD701FFDD03FFE307FFE80EFFEC17FFF025
FFF337FFF64DFFF865FFFA7EFFFB96FFFCACFFFDBFFFFECFFFFEDCFFFFE6FFFFEDFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FEFFFFFFFFFFFFFFFDFFFFFAFFFFF6FFFFF2FFFFEDFFFFE9FFFFE5FFFEE2FFFEDFFFFEDE
FFFEDEFFFEE0FFFFE4FFFFEAFFFFF2FFFFFDF4FFFFE6FFFFD6FEFFC7FDFFB8FDFFAAFCFF
9DFBFF91FBFF86FAFF7CFAFF74F9FF6CF8FF66F8FF61F8FF5DF7FF59F7FF57F7FF55F6FF
53F6FF52F6FF52F6FF53F6FF54F6FF56F7FF58F7FF5BF7FF5FF7FF64F8FF6AF8FF71F9FF
79F9FF82FAFF8CFBFF98FBFFA4FCFFB2FDFFC1FDFFD0FEFFDFFEFFEEFFFFFCFFFFFFFFF6
FFFFEDFFFFE6FFFEE1FFFEDEFFFEDEFFFEDEFFFEE0FFFFE4FFFFE7FFFFECFFFFF0FFFFF4
FFFFF8FFFFFBFFFFFEFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF0FFFFE9FFFEE0FFFED5FFFDC6FFFDB4FFFC9F
FFFA88FFF96FFFF757FFF440FFF12CFFEE1DFFE911FFE50AFFDF05FFDA02FFD301FFCD00
FFC600FFC000FFB900FFB300FFAD00FFA900FFA500FFA200FFA100FFA000FFA200FFA400
FFA700FFAC00FFB100FFB700FFBE00FFC500FFCB00FFD201FFD802FFDE04FFE308FFE80F
FFED19FFF028FFF33AFFF651FFF869FFFA82FFFB99FFFCAFFFFDC2FFFED1FFFEDEFFFFE7
FFFFEEFFFFF4FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFC
FFFFFBFFFFF9FFFFF5FFFFF0FFFFEAFFFEE1FFFED6FFFDC7FFFDB6FFFCA1FFFA8AFFF971
FFF758FFF441FFF12DFFEE1DFFEA12FFE50AFFE005FFDA02FFD401FFCD00FFC600FFBF00
FFB900FFB200FFAC00FFA700FFA300FFA000FF9F00FF9E00FF9F00FFA200FFA500FFA900
FFAF00FFB500FFBB00FFC200FFC900FFD000FFD601FFDC03FFE207FFE70DFFEC16FFEF24
FFF336FFF54BFFF863FFFA7CFFFB94FFFCAAFFFDBEFFFECEFFFEDBFFFFE5FFFFEDFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFFFF
FFFFFFFFFFFDFFFFFAFFFFF7FFFFF3FFFFF0FFFFECFFFFE9FFFFE7FFFFE5FFFFE5FFFFE6
FFFFE9FFFFEEFFFFF6FFFFFFF3FFFFE6FFFFD7FEFFC9FEFFBAFDFFACFCFF9FFCFF93FBFF
88FAFF7FFAFF76F9FF6FF9FF68F8FF63F8FF5FF7FF5BF7FF58F7FF55F6FF54F6FF52F6FF
51F6FF51F6FF51F6FF51F6FF51F6FF52F6FF54F6FF56F7FF59F7FF5CF7FF60F7FF64F8FF
6AF8FF71F9FF78F9FF81FAFF8BFBFF96FBFFA3FCFFB0FCFFBEFDFFCDFEFFDBFEFFE9FFFF
F6FFFFFFFFFDFFFFF4FFFFEDFFFFE8FFFFE6FFFFE5FFFFE5FFFFE7FFFFEAFFFFEDFFFFF1
FFFFF4FFFFF8FFFFFBFFFFFDFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFFE3FFFED8FFFECAFFFDB9FFFCA5
FFFB8EFFF975FFF75CFFF545FFF230FFEE20FFEA13FFE60BFFE106FFDB03FFD501FFCE00
FFC700FFC000FFBA00FFB300FFAD00FFA800FFA400FFA100FF9F00FF9E00FF9F00FFA100
FFA400FFA900FFAE00FFB400FFBA00FFC100FFC800FFCF00FFD501FFDC03FFE106FFE60C
FFEB14FFEF21FFF232FFF547FFF75FFFF978FFFB90FFFCA7FFFDBBFFFECCFFFED9FFFFE4
FFFFECFFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFC
FFFFFBFFFFF8FFFFF5FFFFF0FFFFEAFFFEE1FFFED5FFFDC6FFFDB5FFFCA0FFFA88FFF96F
FFF757FFF440FFF12CFFED1CFFE911FFE409FFDF05FFD902FFD301FFCC00FFC500FFBE00
FFB700FFB100FFAB00FFA600FFA100FF9F00FF9D00FF9C00FF9D00FFA000FFA300FFA800
FFAD00FFB300FFBA00FFC100FFC800FFCF00FFD501FFDC03FFE106FFE70CFFEB15FFEF22
FFF234FFF549FFF861FFF97AFFFB92FFFCA9FFFDBDFFFECDFFFEDAFFFFE5FFFFEDFFFFF2
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFDFFFFFBFFFFF8FFFFF5FFFFF2FFFFEFFFFFEDFFFFEBFFFFEBFFFFEBFFFFEDFFFFF1
FFFFF7FFFFFFF5FFFFE9FFFFDCFEFFCFFEFFC1FDFFB4FDFFA7FCFF9BFBFF91FBFF87FAFF
7FFAFF77F9FF71F9FF6CF8FF68F8FF64F8FF62F8FF5FF7FF5EF7FF5DF7FF5CF7FF5BF7FF
5BF7FF5AF7FF5AF7FF5AF7FF5BF7FF5BF7FF5CF7FF5DF7FF5EF7FF5FF7FF62F8FF64F8FF
68F8FF6CF8FF71F9FF77F9FF7EFAFF87FAFF90FBFF9BFBFFA7FCFFB3FDFFC0FDFFCEFEFF
DBFEFFE8FFFFF4FFFFFFFFFFFFFFF8FFFFF1FFFFEDFFFFEBFFFFEBFFFFEBFFFFEDFFFFEF
FFFFF2FFFFF5FFFFF8FFFFFBFFFFFDFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE5FFFEDBFFFECEFFFDBDFFFCAA
FFFB93FFF97BFFF862FFF54AFFF335FFEF23FFEB16FFE70CFFE206FFDC03FFD601FFCF00
FFC800FFC100FFBA00FFB400FFAD00FFA800FFA300FFA000FF9D00FF9C00FF9D00FF9E00
FFA100FFA500FFAA00FFB000FFB700FFBE00FFC500FFCC00FFD201FFD902FFDF04FFE409
FFE910FFED1CFFF12BFFF43FFFF656FFF96EFFFA87FFFC9FFFFDB4FFFDC6FFFED5FFFEE0
FFFFE9FFFFF0FFFFF5FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF8FFFFF5FFFFF0FFFFE9FFFEE0FFFED4FFFDC5FFFDB3FFFC9EFFFA86FFF96D
FFF655FFF43EFFF12AFFED1BFFE910FFE409FFDE04FFD802FFD201FFCB00FFC400FFBD00
FFB600FFAF00FFA900FFA400FFA000FF9D00FF9B00FF9A00FF9B00FF9E00FFA100FFA600
FFAB00FFB200FFB900FFC000FFC700FFCE00FFD501FFDB03FFE106FFE60BFFEB14FFEF21
FFF232FFF547FFF75FFFF978FFFB91FFFCA7FFFDBBFFFECCFFFEDAFFFFE4FFFFECFFFFF2
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFD
FFFFFBFFFFF9FFFFF7FFFFF4FFFFF2FFFFF0FFFFEFFFFFEFFFFFF0FFFFF3FFFFF8FFFFFE
F8FFFFEEFFFFE3FFFFD7FEFFCAFEFFBEFDFFB2FDFFA7FCFF9CFBFF93FBFF8BFAFF84FAFF
7FFAFF7AF9FF77F9FF74F9FF72F9FF71F9FF70F9FF70F9FF71F9FF71F9FF72F9FF72F9FF
73F9FF73F9FF73F9FF73F9FF73F9FF72F9FF72F9FF71F9FF71F9FF70F9FF70F9FF71F9FF
72F9FF73F9FF76F9FF79F9FF7DFAFF82FAFF89FAFF90FBFF99FBFFA3FCFFAEFCFFB9FDFF
C6FDFFD2FEFFDFFEFFEAFFFFF5FFFFFEFFFFFFFFFAFFFFF4FFFFF1FFFFEFFFFFEFFFFFF0
FFFFF1FFFFF3FFFFF6FFFFF8FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE7FFFEDEFFFED1FFFDC2FFFCAF
FFFB99FFFA81FFF868FFF650FFF339FFF027FFEC18FFE80EFFE307FFDD03FFD701FFD000
FFC900FFC200FFBB00FFB400FFAE00FFA800FFA300FF9F00FF9C00FF9B00FF9A00FF9C00
FF9E00FFA200FFA700FFAD00FFB300FFBA00FFC100FFC800FFCF00FFD601FFDC03FFE207
FFE70DFFEC16FFEF24FFF336FFF64CFFF864FFFA7EFFFB96FFFCACFFFDBFFFFECFFFFEDC
FFFFE6FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF8FFFFF5FFFFF0FFFFE9FFFEE0FFFED4FFFDC4FFFDB2FFFB9DFFFA85FFF86C
FFF653FFF43CFFF029FFED1AFFE80FFFE308FFDE04FFD802FFD100FFCA00FFC300FFBB00
FFB400FFAD00FFA700FFA200FF9E00FF9B00FF9900FF9800FF9900FF9C00FF9F00FFA400
FFAA00FFB000FFB700FFBE00FFC600FFCD00FFD401FFDA02FFE005FFE60BFFEA13FFEE20
FFF231FFF545FFF75DFFF976FFFB8FFFFCA6FFFDBAFFFECBFFFED9FFFFE4FFFFECFFFFF2
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFC
FFFFFAFFFFF8FFFFF6FFFFF5FFFFF3FFFFF3FFFFF3FFFFF5FFFFF8FFFFFDFCFFFFF4FFFF
EAFFFFE0FEFFD5FEFFC9FEFFBEFDFFB4FDFFAAFCFFA1FCFF9AFBFF94FBFF8FFBFF8BFAFF
89FAFF87FAFF87FAFF88FAFF89FAFF8CFBFF8EFBFF92FBFF95FBFF98FBFF9CFBFF9FFCFF
A1FCFFA2FCFFA3FCFFA3FCFFA2FCFFA0FCFF9EFCFF9BFBFF97FBFF94FBFF91FBFF8DFBFF
8BFAFF89FAFF87FAFF87FAFF88FAFF89FAFF8CFBFF90FBFF96FBFF9CFBFFA4FCFFADFCFF
B7FDFFC2FDFFCDFEFFD8FEFFE3FFFFEDFFFFF7FFFFFEFFFFFFFFFBFFFFF7FFFFF4FFFFF3
FFFFF3FFFFF4FFFFF5FFFFF7FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFCFFFFFBFFFFF8FFFFF5FFFFF0FFFFEAFFFEE1FFFED5FFFDC6FFFDB4
FFFC9FFFFA87FFF96EFFF655FFF43EFFF12BFFED1BFFE910FFE408FFDE04FFD802FFD200
FFCB00FFC300FFBC00FFB500FFAE00FFA800FFA200FF9E00FF9B00FF9900FF9800FF9900
FF9B00FF9F00FFA400FFA900FFB000FFB600FFBE00FFC500FFCC00FFD301FFDA02FFE005
FFE50AFFEA12FFEE1EFFF22FFFF543FFF75BFFF974FFFB8DFFFCA4FFFDB8FFFECAFFFED8
FFFFE3FFFFEBFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF8FFFFF4FFFFEFFFFFE8FFFEDFFFFED3FFFDC3FFFCB1FFFB9BFFFA83FFF86A
FFF651FFF33AFFF027FFEC19FFE80EFFE307FFDD03FFD701FFD000FFC900FFC100FFBA00
FFB300FFAC00FFA600FFA000FF9C00FF9900FF9700FF9600FF9700FF9A00FF9D00FFA200
FFA800FFAF00FFB600FFBD00FFC500FFCC00FFD301FFDA02FFE005FFE50AFFEA12FFEE1E
FFF22FFFF544FFF75BFFF975FFFB8DFFFCA5FFFDB9FFFECAFFFED8FFFFE3FFFFECFFFFF2
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFB
FFFFFAFFFFF8FFFFF7FFFFF6FFFFF5FFFFF6FFFFF8FFFFFBFFFFFFF9FFFFF1FFFFE8FFFF
DFFEFFD5FEFFCBFEFFC1FDFFB8FDFFB0FCFFAAFCFFA4FCFFA0FCFF9DFBFF9CFBFF9CFBFF
9EFCFFA1FCFFA5FCFFABFCFFB2FDFFB9FDFFC2FDFFCBFEFFD4FEFFDCFEFFE4FFFFEBFFFF
F1FFFFF5FFFFF7FFFFF7FFFFF5FFFFF1FFFFEBFFFFE4FFFFDCFEFFD3FEFFCBFEFFC2FDFF
B9FDFFB2FDFFABFCFFA5FCFFA1FCFF9EFCFF9CFBFF9CFBFF9DFCFFA0FCFFA4FCFFAAFCFF
B1FCFFB9FDFFC1FDFFCBFEFFD5FEFFDFFEFFE8FFFFF1FFFFF9FFFFFFFFFFFFFFFBFFFFF8
FFFFF6FFFFF5FFFFF6FFFFF7FFFFF8FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFEBFFFFE3FFFED8FFFECAFFFDB9
FFFCA4FFFB8DFFF974FFF75BFFF543FFF22FFFEE1EFFEA12FFE50AFFDF05FFD902FFD301
FFCC00FFC400FFBD00FFB600FFAF00FFA800FFA200FF9D00FF9A00FF9700FF9600FF9700
FF9900FF9C00FFA000FFA600FFAC00FFB300FFBA00FFC100FFC900FFD000FFD701FFDD03
FFE307FFE80EFFEC19FFF028FFF33BFFF651FFF86AFFFA83FFFB9BFFFCB1FFFDC4FFFED3
FFFEDFFFFFE8FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF4FFFFEFFFFFE8FFFEDEFFFED2FFFDC2FFFCAFFFFB99FFFA81FFF868
FFF64FFFF339FFF026FFEC17FFE70DFFE207FFDC03FFD601FFCF00FFC800FFC000FFB900
FFB100FFAA00FFA400FF9E00FF9A00FF9700FF9500FF9400FF9500FF9800FF9C00FFA000
FFA600FFAD00FFB400FFBC00FFC300FFCB00FFD201FFD902FFDF04FFE509FFE911FFEE1D
FFF12DFFF442FFF75AFFF973FFFB8CFFFCA3FFFDB8FFFEC9FFFED8FFFFE3FFFFEBFFFFF1
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF9FFFFF8FFFFF8FFFFF8FFFFF9FFFFFBFFFFFEFDFFFFF7FFFFF0FFFFE8FFFFE0FEFF
D7FEFFCEFEFFC6FDFFBFFDFFB9FDFFB4FDFFB0FCFFAFFCFFAEFCFFB0FCFFB4FDFFB9FDFF
C0FDFFCAFEFFD5FEFFE2FEFFF1FFFFFFFFFEFFFFEEFFFEDFFFFED3FFFDC7FFFDBEFFFDB7
FFFCB1FFFCADFFFCABFFFCABFFFCACFFFCB0FFFDB5FFFDBCFFFDC4FFFECFFFFEDBFFFFE9
FFFFF9F6FFFFE6FFFFD9FEFFCDFEFFC3FDFFBBFDFFB5FDFFB1FCFFAFFCFFAEFCFFB0FCFF
B3FDFFB7FDFFBDFDFFC4FDFFCCFEFFD4FEFFDDFEFFE6FFFFEEFFFFF5FFFFFBFFFFFFFFFF
FFFFFBFFFFF9FFFFF8FFFFF8FFFFF8FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE6FFFEDBFFFECEFFFDBE
FFFCAAFFFB93FFF97AFFF861FFF549FFF233FFEF22FFEB14FFE60BFFE106FFDB02FFD401
FFCD00FFC600FFBE00FFB700FFAF00FFA800FFA200FF9D00FF9900FF9600FF9400FF9400
FF9600FF9900FF9D00FFA200FFA800FFAF00FFB600FFBE00FFC500FFCD00FFD401FFDA02
FFE106FFE60BFFEB14FFEF21FFF233FFF548FFF760FFF97AFFFB92FFFCA9FFFDBDFFFECE
FFFEDBFFFFE5FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF4FFFFEFFFFFE7FFFEDEFFFED1FFFDC1FFFCAEFFFB98FFFA80FFF866
FFF64DFFF337FFF025FFEC16FFE70DFFE206FFDC03FFD501FFCE00FFC700FFBF00FFB700
FFB000FFA800FFA200FF9C00FF9800FF9400FF9300FF9200FF9300FF9600FF9A00FF9F00
FFA500FFAB00FFB300FFBB00FFC200FFCA00FFD100FFD802FFDE04FFE409FFE910FFED1C
FFF12CFFF440FFF758FFF971FFFA8AFFFCA2FFFDB7FFFEC9FFFED7FFFEE2FFFFEBFFFFF1
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF9FFFFFAFFFFFBFFFFFCFFFFFFFBFFFFF6FFFFF0FFFFE9FFFFE2FEFFDAFEFF
D3FEFFCCFEFFC7FDFFC2FDFFBFFDFFBEFDFFBFFDFFC1FDFFC6FDFFCDFEFFD7FEFFE3FFFF
F3FFFFFFFFFBFFFFE8FFFED6FFFDC5FFFDB6FFFCA8FFFB9CFFFB91FFFA88FFFA81FFFA7B
FFF977FFF974FFF972FFF972FFF973FFF975FFF978FFFA7DFFFA84FFFB8CFFFB95FFFCA0
FFFCADFFFDBCFFFECCFFFEDDFFFFEFFDFFFFECFFFFDEFEFFD3FEFFCAFEFFC4FDFFC0FDFF
BEFDFFBEFDFFC0FDFFC4FDFFC9FEFFCFFEFFD6FEFFDDFEFFE5FFFFECFFFFF2FFFFF8FFFF
FDFFFFFFFFFEFFFFFCFFFFFAFFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE8FFFEDEFFFED2FFFDC2
FFFCAFFFFB99FFFA81FFF867FFF64EFFF338FFF025FFEC17FFE70DFFE207FFDC03FFD501
FFCE00FFC700FFBF00FFB800FFB000FFA900FFA200FF9D00FF9800FF9500FF9300FF9200
FF9300FF9600FF9900FF9E00FFA400FFAB00FFB300FFBA00FFC200FFCA00FFD100FFD802
FFDE04FFE408FFE910FFED1BFFF12BFFF43FFFF757FFF970FFFA89FFFCA1FFFDB6FFFDC8
FFFED6FFFEE2FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF4FFFFEEFFFFE7FFFEDDFFFED0FFFDC0FFFCADFFFB96FFFA7EFFF864
FFF54CFFF335FFEF23FFEB15FFE60CFFE106FFDB03FFD401FFCD00FFC600FFBE00FFB600
FFAE00FFA700FFA000FF9A00FF9600FF9200FF9100FF9000FF9100FF9400FF9800FF9D00
FFA300FFAA00FFB100FFB900FFC100FFC900FFD000FFD701FFDE04FFE308FFE90FFFED1B
FFF12AFFF43FFFF756FFF96FFFFA89FFFCA0FFFDB6FFFDC8FFFED6FFFEE2FFFFEAFFFFF1
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFBFFFFFCFFFFFEFFFFFFFBFFFFF6FFFFF1FFFFEBFFFFE4FFFFDEFEFFD8FEFF
D3FEFFCFFEFFCCFEFFCBFEFFCCFEFFCFFEFFD4FEFFDCFEFFE7FFFFF5FFFFFFFFF8FFFFE6
FFFED4FFFDC2FFFCB1FFFCA1FFFB93FFFA86FFFA7BFFF972FFF86AFFF863FFF75EFFF759
FFF756FFF654FFF653FFF652FFF653FFF654FFF756FFF75AFFF75EFFF864FFF86AFFF972
FFFA7CFFFA87FFFB94FFFCA2FFFDB2FFFDC3FFFED5FFFFE7FFFFFAF4FFFFE6FFFFDCFEFF
D4FEFFCFFEFFCCFEFFCBFEFFCCFEFFCFFEFFD3FEFFD9FEFFDFFEFFE5FFFFEBFFFFF1FFFF
F7FFFFFBFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFEAFFFEE1FFFED5FFFDC6
FFFDB4FFFC9FFFFA87FFF96DFFF654FFF43DFFF129FFED1AFFE80FFFE308FFDD04FFD701
FFD000FFC800FFC100FFB900FFB100FFA900FFA200FF9C00FF9700FF9300FF9100FF9000
FF9100FF9300FF9600FF9B00FFA100FFA700FFAF00FFB600FFBE00FFC600FFCE00FFD501
FFDB03FFE106FFE70CFFEB16FFEF24FFF337FFF64DFFF866FFFA80FFFB98FFFCAEFFFDC2
FFFED1FFFEDEFFFFE8FFFFEFFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF4FFFFEEFFFFE7FFFEDDFFFED0FFFDBFFFFCACFFFB95FFFA7CFFF863
FFF54AFFF234FFEF22FFEB14FFE60BFFE005FFDA02FFD401FFCC00FFC400FFBC00FFB400
FFAD00FFA500FF9E00FF9900FF9400FF9000FF8E00FF8E00FF8F00FF9200FF9600FF9B00
FFA100FFA800FFB000FFB800FFC000FFC800FFCF00FFD601FFDD03FFE308FFE80FFFED1A
FFF029FFF43DFFF654FFF96EFFFA87FFFC9FFFFDB4FFFDC7FFFED6FFFEE1FFFFEAFFFFF1
FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFDFFFFFFFEFFFFFBFFFFF7FFFFF2FFFFEDFFFFE7FFFFE2FFFFDEFEFFDAFEFF
D7FEFFD6FEFFD7FEFFD9FEFFDEFEFFE6FFFFF1FFFFFFFFFFFFFFEFFFFEDDFFFECCFFFDBA
FFFCA9FFFB9AFFFB8CFFFA7FFFF974FFF86AFFF862FFF75AFFF655FFF650FFF54CFFF549
FFF546FFF544FFF543FFF543FFF543FFF544FFF546FFF548FFF54BFFF64FFFF653FFF759
FFF760FFF868FFF971FFFA7CFFFA88FFFB96FFFCA5FFFDB6FFFDC7FFFED9FFFFEBFFFFFC
F4FFFFE9FFFFE0FEFFDAFEFFD7FEFFD6FEFFD7FEFFD9FEFFDDFEFFE1FEFFE6FFFFECFFFF
F1FFFFF6FFFFFAFFFFFDFFFFFFFFFFFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE4FFFED9FFFECB
FFFDB9FFFCA4FFFB8DFFF974FFF75AFFF442FFF12DFFEE1DFFE911FFE409FFDF04FFD802
FFD100FFCA00FFC200FFBA00FFB200FFAA00FFA300FF9C00FF9700FF9300FF9000FF8E00
FF8E00FF9000FF9300FF9700FF9D00FFA300FFAB00FFB200FFBB00FFC300FFCA00FFD201
FFD902FFDF05FFE509FFEA12FFEE1EFFF22FFFF544FFF75CFFF976FFFB8FFFFCA6FFFDBB
FFFECCFFFEDAFFFFE4FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF3FFFFEEFFFFE6FFFEDCFFFECFFFFDBEFFFCAAFFFB93FFF97AFFF861
FFF548FFF232FFEF21FFEA13FFE50AFFE005FFDA02FFD301FFCB00FFC300FFBB00FFB300
FFAB00FFA300FF9D00FF9700FF9200FF8E00FF8C00FF8C00FF8D00FF9000FF9400FF9900
FF9F00FFA700FFAE00FFB700FFBF00FFC700FFCE00FFD601FFDC03FFE207FFE80EFFEC18
FFF028FFF33BFFF653FFF86CFFFA85FFFC9EFFFDB3FFFDC6FFFED5FFFEE1FFFFEAFFFFF0
FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFFFEFFFFFBFFFFF7FFFFF3FFFFEFFFFFEBFFFFE7FFFFE3FFFFE0FEFFDFFEFF
DFFEFFE1FEFFE5FFFFECFFFFF6FFFFFFFFFCFFFFEDFFFEDDFFFECCFFFDBBFFFCABFFFB9B
FFFB8DFFFA81FFF975FFF86BFFF863FFF75CFFF655FFF650FFF64CFFF549FFF546FFF544
FFF442FFF441FFF440FFF440FFF440FFF440FFF441FFF443FFF545FFF547FFF54AFFF64E
FFF653FFF758FFF75FFFF866FFF970FFF97AFFFA86FFFB93FFFCA2FFFDB2FFFDC2FFFED3
FFFFE4FFFFF4FDFFFFF1FFFFE9FFFFE3FFFFE0FEFFDFFEFFDFFEFFE1FEFFE4FFFFE8FFFF
EDFFFFF1FFFFF5FFFFF9FFFFFCFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEEFFFFE6FFFEDCFFFECF
FFFDBEFFFCAAFFFB93FFF97AFFF760FFF548FFF232FFEF20FFEA13FFE50AFFE005FFDA02
FFD301FFCB00FFC300FFBB00FFB300FFAB00FFA300FF9C00FF9700FF9200FF8E00FF8C00
FF8C00FF8D00FF9000FF9400FF9900FFA000FFA700FFAF00FFB700FFBF00FFC700FFCF00
FFD601FFDC03FFE207FFE80EFFEC19FFF028FFF43CFFF653FFF86CFFFA86FFFC9EFFFDB4
FFFDC6FFFED5FFFEE1FFFFEAFFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF3FFFFEDFFFFE6FFFEDBFFFECEFFFDBDFFFCA9FFFB92FFF979FFF75F
FFF547FFF231FFEE1FFFEA12FFE50AFFDF05FFD902FFD201FFCA00FFC200FFBA00FFB200
FFA900FFA200FF9B00FF9500FF9000FF8C00FF8A00FF8A00FF8B00FF8E00FF9200FF9700
FF9E00FFA500FFAD00FFB500FFBE00FFC600FFCE00FFD501FFDC03FFE207FFE70DFFEC17
FFF026FFF33AFFF651FFF86AFFFA84FFFB9CFFFDB2FFFDC5FFFED4FFFEE0FFFFE9FFFFF0
FFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFFFEFFFFFBFFFFF8FFFFF5FFFFF1FFFFEEFFFFEBFFFFE8FFFFE6FFFFE6FFFFE7FFFF
EAFFFFF0FFFFF8FFFFFFFFFCFFFFEFFFFEE0FFFED1FFFDC1FFFDB2FFFCA3FFFB95FFFA88
FFFA7DFFF973FFF86BFFF864FFF75EFFF759FFF655FFF651FFF64FFFF64CFFF54BFFF54A
FFF549FFF548FFF548FFF548FFF548FFF548FFF548FFF549FFF54AFFF54BFFF64DFFF64F
FFF652FFF655FFF759FFF75EFFF865FFF86CFFF975FFFA7FFFFA8AFFFB97FFFCA5FFFDB3
FFFDC3FFFED3FFFEE2FFFFF1FFFFFEF7FFFFEFFFFFEAFFFFE7FFFFE6FFFFE6FFFFE8FFFF
EBFFFFEEFFFFF2FFFFF5FFFFF9FFFFFCFFFFFEFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF4FFFFEFFFFFE8FFFEDFFFFED2
FFFDC3FFFCAFFFFB99FFFA80FFF867FFF64EFFF337FFEF24FFEB16FFE70CFFE106FFDB03
FFD401FFCD00FFC500FFBC00FFB400FFAC00FFA400FF9D00FF9600FF9100FF8D00FF8B00
FF8A00FF8A00FF8D00FF9000FF9500FF9C00FFA300FFAA00FFB300FFBB00FFC300FFCB00
FFD301FFDA02FFE005FFE60BFFEB14FFEF21FFF233FFF54AFFF862FFFA7CFFFB95FFFCAC
FFFDC0FFFED0FFFEDDFFFFE7FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF3FFFFEDFFFFE5FFFEDBFFFECDFFFDBCFFFCA8FFFB90FFF977FFF75D
FFF545FFF22FFFEE1EFFEA12FFE509FFDF04FFD802FFD100FFC900FFC100FFB900FFB000
FFA800FFA000FF9900FF9300FF8E00FF8A00FF8800FF8800FF8900FF8B00FF9000FF9500
FF9C00FFA300FFAB00FFB400FFBC00FFC500FFCD00FFD401FFDB03FFE106FFE70CFFEC16
FFF025FFF338FFF64FFFF868FFFA82FFFB9BFFFCB1FFFDC4FFFED3FFFEE0FFFFE9FFFFF0
FFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FEFFFFFCFFFFF9FFFFF7FFFFF4FFFFF1FFFFEEFFFFECFFFFEBFFFFECFFFFEEFFFFF2FFFF
F8FFFFFFFFFEFFFFF3FFFFE6FFFED9FFFECAFFFDBCFFFCAEFFFCA1FFFB95FFFA8AFFFA80
FFF978FFF971FFF86BFFF867FFF863FFF761FFF75FFFF75DFFF75DFFF75DFFF75DFFF75D
FFF75DFFF75EFFF75EFFF75EFFF75EFFF75EFFF75EFFF75DFFF75DFFF75DFFF75DFFF75D
FFF75DFFF75EFFF760FFF863FFF866FFF86AFFF970FFF976FFFA7EFFFA88FFFB92FFFC9E
FFFCABFFFDB9FFFDC8FFFED6FFFFE4FFFFF1FFFFFCF9FFFFF3FFFFEEFFFFECFFFFEBFFFF
ECFFFFEEFFFFF0FFFFF3FFFFF6FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEAFFFEE2FFFED6
FFFDC7FFFDB5FFFC9FFFFA87FFF96DFFF654FFF43CFFF028FFEC19FFE80EFFE207FFDC03
FFD601FFCE00FFC600FFBE00FFB500FFAD00FFA500FF9D00FF9600FF9100FF8C00FF8900
FF8800FF8800FF8A00FF8D00FF9200FF9800FF9F00FFA600FFAF00FFB700FFC000FFC800
FFD000FFD701FFDE04FFE408FFE910FFED1BFFF12CFFF441FFF759FFF972FFFB8CFFFCA4
FFFDB9FFFECAFFFED8FFFFE3FFFFECFFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF3FFFFEDFFFFE5FFFEDAFFFECCFFFDBBFFFCA7FFFB8FFFF976FFF75C
FFF543FFF12EFFEE1DFFE911FFE409FFDE04FFD702FFD000FFC800FFC000FFB700FFAF00
FFA600FF9E00FF9700FF9100FF8C00FF8800FF8600FF8500FF8700FF8900FF8E00FF9300
FF9A00FFA200FFAA00FFB200FFBB00FFC400FFCC00FFD301FFDA02FFE106FFE60CFFEB15
FFEF24FFF337FFF64DFFF867FFFA81FFFB99FFFCB0FFFDC3FFFED3FFFEDFFFFFE8FFFFF0
FFFFF5FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFEFFFF
FCFFFFFAFFFFF8FFFFF6FFFFF3FFFFF1FFFFF0FFFFF0FFFFF1FFFFF3FFFFF8FFFFFEFFFF
FFFFF8FFFFEDFFFEE2FFFED5FFFDC8FFFDBBFFFCAFFFFCA3FFFB99FFFB8FFFFA88FFFA81
FFFA7CFFF979FFF976FFF975FFF975FFF975FFF977FFF979FFFA7CFFFA7FFFFA82FFFA85
FFFA87FFFA8AFFFB8CFFFB8DFFFB8DFFFB8CFFFA8BFFFA89FFFA86FFFA83FFFA80FFFA7D
FFF97AFFF978FFF976FFF975FFF975FFF975FFF977FFF97AFFFA7FFFFA84FFFB8BFFFB94
FFFC9EFFFCA9FFFDB5FFFDC1FFFECEFFFEDBFFFFE8FFFFF3FFFFFDFBFFFFF5FFFFF2FFFF
F0FFFFF0FFFFF1FFFFF2FFFFF4FFFFF7FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF2FFFFECFFFFE4FFFED9
FFFECBFFFDBAFFFCA5FFFB8DFFF974FFF75AFFF442FFF12DFFED1CFFE910FFE408FFDE04
FFD701FFD000FFC800FFBF00FFB700FFAE00FFA600FF9E00FF9700FF9000FF8B00FF8800
FF8600FF8500FF8700FF8A00FF8E00FF9400FF9B00FFA200FFAA00FFB300FFBC00FFC400
FFCC00FFD401FFDB03FFE106FFE70CFFEC16FFF025FFF338FFF64FFFF869FFFA82FFFB9B
FFFCB1FFFDC4FFFED4FFFEE0FFFFE9FFFFF0FFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF2FFFFECFFFFE4FFFED9FFFECCFFFDBAFFFCA5FFFB8EFFF974FFF75A
FFF442FFF12DFFED1CFFE910FFE408FFDE04FFD701FFCF00FFC700FFBF00FFB600FFAD00
FFA500FF9D00FF9500FF8F00FF8A00FF8600FF8400FF8300FF8400FF8700FF8C00FF9100
FF9800FFA000FFA800FFB100FFBA00FFC300FFCB00FFD301FFDA02FFE005FFE60BFFEB14
FFEF22FFF335FFF64CFFF865FFFA7FFFFB98FFFCAFFFFDC2FFFED2FFFEDEFFFFE8FFFFEF
FFFFF4FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFDFFFF
FBFFFFF9FFFFF7FFFFF6FFFFF4FFFFF3FFFFF3FFFFF5FFFFF8FFFFFCFFFFFFFFFCFFFFF4
FFFFEAFFFEE0FFFED4FFFEC9FFFDBDFFFDB2FFFCA9FFFCA0FFFB99FFFB93FFFB8FFFFB8D
FFFB8BFFFB8CFFFB8EFFFB91FFFB96FFFB9CFFFCA3FFFCABFFFDB4FFFDBDFFFDC6FFFECF
FFFED6FFFEDDFFFEE2FFFFE5FFFFE6FFFFE4FFFEE1FFFEDCFFFED5FFFECDFFFDC4FFFDBB
FFFDB2FFFCAAFFFCA2FFFB9BFFFB95FFFB91FFFB8DFFFB8CFFFB8CFFFB8DFFFB90FFFB94
FFFB9AFFFCA2FFFCAAFFFDB4FFFDBFFFFECBFFFED6FFFEE2FFFFECFFFFF6FFFFFEFBFFFF
F7FFFFF4FFFFF3FFFFF3FFFFF4FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEEFFFFE7FFFEDC
FFFECFFFFDBFFFFCABFFFB94FFF97AFFF760FFF547FFF231FFEE20FFEA12FFE50AFFDF05
FFD802FFD100FFC900FFC100FFB800FFAF00FFA700FF9E00FF9700FF9000FF8B00FF8700
FF8400FF8300FF8400FF8600FF8A00FF9000FF9600FF9E00FFA600FFAF00FFB800FFC000
FFC900FFD100FFD802FFDF04FFE509FFEA12FFEE1FFFF230FFF546FFF75FFFF979FFFB92
FFFCA9FFFDBEFFFECEFFFEDCFFFFE6FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF6FFFFF2FFFFECFFFFE4FFFED9FFFECBFFFDB9FFFCA4FFFB8CFFF972FFF758
FFF440FFF12BFFED1BFFE80FFFE308FFDD03FFD601FFCE00FFC600FFBE00FFB500FFAC00
FFA300FF9B00FF9300FF8D00FF8700FF8400FF8100FF8100FF8200FF8500FF8A00FF8F00
FF9600FF9E00FFA700FFB000FFB900FFC100FFCA00FFD201FFD902FFE005FFE50AFFEA14
FFEF21FFF234FFF54AFFF863FFFA7DFFFB97FFFCADFFFDC1FFFED1FFFEDEFFFFE8FFFFEF
FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFF
FAFFFFF9FFFFF8FFFFF6FFFFF6FFFFF6FFFFF8FFFFFBFFFFFFFFFFFFFFFAFFFFF2FFFFE9
FFFEE0FFFED6FFFECBFFFDC2FFFDB9FFFCB1FFFCAAFFFCA5FFFCA2FFFCA0FFFCA1FFFCA3
FFFCA7FFFCAEFFFDB6FFFDC1FFFECEFFFEDDFFFFEDFFFFFFEDFFFFDDFEFFCFFEFFC4FDFF
BAFDFFB3FDFFADFCFFAAFCFFA9FCFFAAFCFFADFCFFB2FDFFB9FDFFC2FDFFCEFEFFDBFEFF
EBFFFFFDFFFFFFFFF0FFFEDFFFFED0FFFDC2FFFDB7FFFCAFFFFCA8FFFCA3FFFCA1FFFCA0
FFFCA1FFFCA5FFFCA9FFFCB0FFFDB8FFFDC0FFFECAFFFED4FFFEDEFFFFE8FFFFF1FFFFF9
FFFFFFFBFFFFF8FFFFF7FFFFF6FFFFF6FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8FFFFF5FFFFF0FFFFE9FFFEDF
FFFED3FFFDC3FFFCB0FFFB9AFFFA81FFF867FFF64DFFF336FFEF23FFEB15FFE60BFFE005
FFDA02FFD301FFCB00FFC300FFBA00FFB100FFA800FF9F00FF9700FF9000FF8A00FF8600
FF8300FF8100FF8100FF8300FF8700FF8C00FF9200FF9A00FFA200FFAB00FFB400FFBD00
FFC500FFCD00FFD501FFDC03FFE207FFE80EFFEC19FFF029FFF43DFFF655FFF96FFFFA89
FFFCA1FFFDB7FFFEC9FFFED7FFFFE3FFFFEBFFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFF9FFFFF6FFFFF2FFFFECFFFFE3FFFED8FFFECAFFFDB8FFFCA3FFFA8BFFF971FFF757
FFF43FFFF12AFFED1AFFE80EFFE307FFDC03FFD501FFCE00FFC500FFBD00FFB300FFAA00
FFA100FF9900FF9100FF8B00FF8500FF8200FF7F00FF7F00FF8000FF8300FF8800FF8D00
FF9500FF9D00FFA500FFAE00FFB700FFC000FFC900FFD100FFD802FFDF05FFE50AFFEA13
FFEE20FFF232FFF549FFF862FFFA7CFFFB95FFFCACFFFDC0FFFED0FFFEDDFFFFE7FFFFEF
FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFF
FAFFFFF9FFFFF8FFFFF8FFFFF9FFFFFAFFFFFDFFFFFFFFFEFFFFF8FFFFF1FFFFEAFFFEE1
FFFED8FFFED0FFFDC8FFFDC0FFFDBAFFFDB6FFFDB3FFFDB2FFFDB4FFFDB7FFFDBDFFFDC6
FFFED2FFFEE1FFFFF3F6FFFFE1FEFFCDFEFFBAFDFFAAFCFF9BFBFF8FFBFF84FAFF7BFAFF
74F9FF6FF9FF6BF8FF69F8FF68F8FF68F8FF6AF8FF6DF8FF72F9FF78F9FF80FAFF8AFAFF
95FBFFA3FCFFB3FDFFC4FDFFD8FEFFEDFFFFFFFFFCFFFFE9FFFED8FFFECBFFFDC1FFFDBA
FFFDB5FFFDB3FFFDB2FFFDB4FFFDB8FFFDBDFFFDC4FFFECCFFFED4FFFEDDFFFFE6FFFFEE
FFFFF5FFFFFBFFFFFFFBFFFFF9FFFFF8FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFEE2
FFFED7FFFDC8FFFDB5FFFCA0FFFA87FFF96DFFF654FFF43CFFF028FFEC18FFE70DFFE207
FFDB03FFD401FFCD00FFC400FFBB00FFB200FFA900FFA000FF9800FF9000FF8A00FF8500
FF8100FF7F00FF7F00FF8000FF8300FF8800FF8E00FF9600FF9E00FFA600FFAF00FFB900
FFC100FFCA00FFD201FFD902FFE005FFE60BFFEB14FFEF22FFF335FFF54CFFF865FFFA7F
FFFB98FFFCAFFFFDC2FFFED2FFFEDFFFFFE8FFFFEFFFFFF5FFFFF8FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF2FFFFEBFFFFE3FFFED8FFFEC9FFFDB7FFFCA1FFFA89FFF96FFFF655
FFF43DFFF029FFEC19FFE80EFFE207FFDC03FFD501FFCD00FFC400FFBB00FFB200FFA900
FFA000FF9700FF9000FF8900FF8300FF7F00FF7D00FF7D00FF7E00FF8100FF8500FF8B00
FF9300FF9B00FFA400FFAD00FFB600FFBF00FFC800FFD000FFD802FFDF04FFE509FFEA12
FFEE1FFFF231FFF547FFF760FFF97AFFFB94FFFCABFFFDBFFFFED0FFFEDDFFFFE7FFFFEE
FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFF
FAFFFFFAFFFFFAFFFFFAFFFFFCFFFFFFFFFFFFFFFDFFFFF8FFFFF2FFFFEBFFFFE4FFFEDC
FFFED5FFFECEFFFEC9FFFDC5FFFDC2FFFDC2FFFDC3FFFDC8FFFECFFFFED9FFFFE7FFFFF8
F2FFFFDCFEFFC7FDFFB3FDFFA1FCFF91FBFF82FAFF75F9FF6AF8FF61F8FF5AF7FF54F6FF
4FF6FF4BF5FF48F5FF46F5FF46F5FF46F5FF47F5FF49F5FF4CF5FF50F6FF55F6FF5BF7FF
63F8FF6DF8FF78F9FF85FAFF94FBFFA5FCFFB8FDFFCCFEFFE1FEFFF7FFFFFFFFF4FFFFE3
FFFED6FFFECDFFFDC6FFFDC3FFFDC1FFFDC2FFFDC5FFFECAFFFED0FFFED7FFFEDEFFFFE5
FFFFEDFFFFF3FFFFF9FFFFFEFEFFFFFCFFFFFAFFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE5
FFFEDAFFFECCFFFDBBFFFCA6FFFB8EFFF974FFF75AFFF441FFF12CFFED1BFFE90FFFE308
FFDD03FFD601FFCE00FFC600FFBD00FFB400FFAB00FFA200FF9900FF9100FF8A00FF8400
FF8000FF7D00FF7D00FF7D00FF8000FF8400FF8A00FF9100FF9900FFA200FFAB00FFB400
FFBE00FFC600FFCF00FFD601FFDD04FFE308FFE910FFED1CFFF12DFFF443FFF75BFFF976
FFFB8FFFFCA7FFFDBCFFFECDFFFEDBFFFFE5FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF1FFFFEBFFFFE3FFFED7FFFDC8FFFDB6FFFCA0FFFA88FFF96EFFF654
FFF43CFFF027FFEC18FFE70DFFE206FFDB03FFD401FFCC00FFC300FFBA00FFB100FFA700
FF9E00FF9600FF8E00FF8700FF8100FF7D00FF7B00FF7A00FF7C00FF7F00FF8300FF8A00
FF9100FF9900FFA200FFAB00FFB500FFBE00FFC700FFCF00FFD701FFDE04FFE409FFE911
FFEE1EFFF230FFF546FFF75FFFF979FFFB92FFFCAAFFFDBEFFFECFFFFEDCFFFFE7FFFFEE
FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFF
FBFFFFFBFFFFFCFFFFFDFFFFFFFFFFFFFFFCFFFFF8FFFFF3FFFFEDFFFFE6FFFEE0FFFEDA
FFFED5FFFED1FFFECFFFFECEFFFED0FFFED4FFFEDBFFFFE5FFFFF3FAFFFFE6FFFFD1FEFF
BDFDFFA9FCFF98FBFF87FAFF79F9FF6CF8FF61F8FF58F7FF50F6FF4AF5FF44F5FF40F4FF
3CF4FF3AF3FF38F3FF37F3FF36F3FF36F3FF37F3FF38F3FF3AF3FF3CF4FF40F4FF44F5FF
49F5FF50F6FF57F7FF60F7FF6BF8FF78F9FF86FAFF96FBFFA8FCFFBBFDFFD0FEFFE4FFFF
F8FFFFFFFFF5FFFFE6FFFEDCFFFED4FFFED0FFFECEFFFECFFFFED1FFFED5FFFEDAFFFEE0
FFFFE6FFFFECFFFFF2FFFFF7FFFFFCFFFFFFFDFFFFFCFFFFFBFFFFFBFFFFFCFFFFFCFFFF
FDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE7
FFFEDDFFFED0FFFDC0FFFCABFFFB94FFF97BFFF760FFF547FFF231FFEE1FFFEA12FFE409
FFDE04FFD802FFD000FFC800FFBF00FFB600FFAC00FFA300FF9A00FF9100FF8A00FF8400
FF7F00FF7C00FF7A00FF7B00FF7D00FF8100FF8600FF8D00FF9500FF9E00FFA700FFB000
FFBA00FFC300FFCB00FFD301FFDB02FFE106FFE70CFFEC17FFF026FFF33AFFF652FFF86C
FFFA86FFFC9FFFFDB5FFFDC7FFFED6FFFEE2FFFFEBFFFFF1FFFFF6FFFFF9FFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF1FFFFEBFFFEE2FFFED6FFFDC7FFFDB5FFFC9FFFFA86FFF86CFFF652
FFF33AFFF026FFEC17FFE70CFFE106FFDB02FFD301FFCB00FFC200FFB900FFB000FFA600
FF9D00FF9400FF8C00FF8500FF7F00FF7B00FF7900FF7800FF7900FF7D00FF8100FF8800
FF8F00FF9700FFA100FFAA00FFB400FFBD00FFC600FFCF00FFD601FFDD04FFE408FFE910
FFEE1DFFF12EFFF544FFF75DFFF977FFFB91FFFCA9FFFDBDFFFECEFFFEDCFFFFE6FFFFEE
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFF
FCFFFFFDFFFFFEFFFFFFFFFFFFFFFCFFFFF8FFFFF4FFFFEFFFFFEAFFFFE5FFFEE0FFFEDC
FFFEDAFFFED9FFFEDAFFFEDDFFFFE3FFFFEDFFFFFAF5FFFFE3FFFFCFFEFFBCFDFFAAFCFF
98FBFF88FAFF7AF9FF6DF8FF62F8FF59F7FF51F6FF4AF5FF44F5FF40F4FF3CF4FF39F3FF
37F3FF35F3FF33F2FF33F2FF32F2FF32F2FF32F2FF33F2FF34F2FF36F3FF38F3FF3BF3FF
3EF4FF42F4FF48F5FF4EF6FF55F6FF5EF7FF69F8FF75F9FF82FAFF92FBFFA3FCFFB5FDFF
C8FDFFDBFEFFEEFFFFFFFFFFFFFFF1FFFFE6FFFEDFFFFEDBFFFED9FFFED9FFFEDBFFFEDE
FFFFE3FFFFE8FFFFEDFFFFF2FFFFF7FFFFFBFFFFFEFFFFFFFDFFFFFCFFFFFCFFFFFCFFFF
FDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9
FFFEE0FFFED4FFFDC4FFFCB1FFFB9BFFFA81FFF867FFF64DFFF336FFEF23FFEB15FFE60B
FFE005FFD902FFD200FFC900FFC100FFB700FFAE00FFA400FF9B00FF9200FF8A00FF8400
FF7E00FF7A00FF7800FF7800FF7A00FF7D00FF8200FF8900FF9100FF9900FFA200FFAC00
FFB500FFBF00FFC800FFD000FFD802FFDF04FFE509FFEA12FFEE20FFF232FFF548FFF862
FFFA7CFFFB96FFFCADFFFDC1FFFED1FFFEDEFFFFE8FFFFEFFFFFF4FFFFF8FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF1FFFFEBFFFEE2FFFED6FFFDC7FFFDB4FFFC9EFFFA85FFF86BFFF650
FFF339FFF025FFEB16FFE60CFFE106FFDA02FFD201FFCA00FFC100FFB800FFAE00FFA500
FF9B00FF9200FF8A00FF8300FF7D00FF7900FF7600FF7600FF7700FF7A00FF7F00FF8600
FF8D00FF9600FF9F00FFA900FFB200FFBC00FFC500FFCE00FFD601FFDD03FFE308FFE910
FFED1CFFF12DFFF443FFF75BFFF976FFFB90FFFCA8FFFDBCFFFECEFFFEDBFFFFE6FFFFEE
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFCFFFFF9FFFFF5FFFFF1FFFFEDFFFFE9FFFFE5FFFFE2FFFEE1
FFFEE1FFFFE4FFFFE9FFFFF0FFFFFBF5FFFFE5FFFFD4FEFFC2FDFFB0FCFF9FFCFF90FBFF
82FAFF75F9FF6AF8FF60F7FF58F7FF52F6FF4CF6FF47F5FF44F5FF41F4FF3EF4FF3CF4FF
3BF3FF3AF3FF39F3FF39F3FF39F3FF39F3FF39F3FF39F3FF3AF3FF3AF3FF3BF4FF3DF4FF
3FF4FF41F4FF45F5FF49F5FF4DF6FF53F6FF5BF7FF63F8FF6DF8FF78F9FF86FAFF94FBFF
A4FCFFB6FDFFC7FDFFD9FEFFEAFFFFFAFFFFFFFFF8FFFFEEFFFFE7FFFFE3FFFEE1FFFEE1
FFFFE3FFFFE6FFFFEAFFFFEEFFFFF2FFFFF6FFFFFAFFFFFDFFFFFFFEFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFEB
FFFFE3FFFED7FFFEC9FFFDB6FFFCA1FFFA88FFF96EFFF654FFF43CFFF027FFEC18FFE70D
FFE106FFDB03FFD301FFCB00FFC200FFB900FFAF00FFA600FF9C00FF9300FF8B00FF8400
FF7E00FF7900FF7700FF7600FF7700FF7A00FF7F00FF8500FF8C00FF9500FF9E00FFA700
FFB100FFBB00FFC400FFCD00FFD501FFDC03FFE207FFE80EFFED1AFFF12AFFF440FFF758
FFF972FFFB8DFFFCA5FFFDBAFFFECCFFFEDAFFFFE5FFFFEDFFFFF3FFFFF7FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF1FFFFEAFFFEE1FFFED5FFFDC6FFFDB3FFFB9CFFFA83FFF869FFF64F
FFF337FFEF24FFEB15FFE60BFFE005FFD902FFD200FFC900FFC000FFB700FFAD00FFA300
FF9900FF9000FF8800FF8100FF7B00FF7700FF7400FF7400FF7500FF7800FF7D00FF8400
FF8B00FF9400FF9D00FFA700FFB100FFBB00FFC400FFCD00FFD501FFDC03FFE307FFE80F
FFED1BFFF12CFFF441FFF75AFFF974FFFB8EFFFCA6FFFDBBFFFECDFFFEDBFFFFE5FFFFED
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFCFFFFFAFFFFF7FFFFF3FFFFF0FFFFEDFFFFEAFFFFE8FFFFE8FFFFE9
FFFFECFFFFF2FFFFFBF9FFFFEBFFFFDBFEFFCBFEFFBBFDFFABFCFF9CFBFF8EFBFF81FAFF
77F9FF6DF8FF65F8FF5FF7FF59F7FF55F6FF52F6FF50F6FF4EF6FF4DF6FF4CF6FF4CF6FF
4CF6FF4CF6FF4DF6FF4DF6FF4DF6FF4DF6FF4DF6FF4DF6FF4DF6FF4CF6FF4CF6FF4CF6FF
4CF6FF4DF6FF4EF6FF50F6FF52F6FF55F6FF59F7FF5FF7FF65F8FF6DF8FF76F9FF81FAFF
8EFBFF9CFBFFABFCFFBBFDFFCBFEFFDBFEFFEBFFFFF8FFFFFFFFFBFFFFF2FFFFECFFFFE9
FFFFE8FFFFE8FFFFEAFFFFECFFFFF0FFFFF3FFFFF7FFFFFAFFFFFCFFFFFEFFFFFFFEFFFF
FEFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFED
FFFFE5FFFEDBFFFECDFFFDBCFFFCA7FFFB8FFFF975FFF75AFFF441FFF12CFFED1BFFE80F
FFE307FFDC03FFD501FFCD00FFC400FFBB00FFB100FFA700FF9E00FF9400FF8B00FF8400
FF7D00FF7800FF7500FF7400FF7400FF7700FF7B00FF8100FF8800FF9000FF9900FFA300
FFAD00FFB700FFC000FFC900FFD200FFD902FFE005FFE60BFFEB15FFEF24FFF337FFF64F
FFF869FFFA83FFFB9CFFFDB3FFFDC6FFFED5FFFEE1FFFFEAFFFFF1FFFFF5FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF5FFFFF1FFFFEAFFFEE1FFFED5FFFDC5FFFDB2FFFB9BFFFA82FFF867FFF64E
FFF336FFEF23FFEB14FFE60BFFE005FFD902FFD100FFC800FFBF00FFB600FFAC00FFA200
FF9800FF8E00FF8600FF7F00FF7900FF7400FF7200FF7100FF7300FF7600FF7B00FF8200
FF8900FF9200FF9C00FFA600FFB000FFBA00FFC300FFCC00FFD401FFDC03FFE207FFE80E
FFED1AFFF12AFFF440FFF758FFF973FFFB8DFFFCA5FFFDBAFFFECCFFFEDAFFFFE5FFFFED
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFDFFFFFBFFFFF8FFFFF5FFFFF2FFFFF0FFFFEEFFFFEDFFFFEDFFFFEFFFFFF3
FFFFFAFCFFFFF1FFFFE4FFFFD6FEFFC7FDFFB9FDFFAAFCFF9DFBFF91FBFF87FAFF7DFAFF
76F9FF70F9FF6BF8FF68F8FF66F8FF65F8FF65F8FF66F8FF67F8FF69F8FF6CF8FF6FF9FF
72F9FF75F9FF77F9FF79F9FF7AF9FF7BF9FF7AF9FF79F9FF78F9FF75F9FF73F9FF70F9FF
6DF8FF6AF8FF68F8FF66F8FF65F8FF65F8FF65F8FF67F8FF6AF8FF6EF9FF74F9FF7BF9FF
83FAFF8EFBFF99FBFFA6FCFFB4FDFFC3FDFFD1FEFFE0FEFFEDFFFFF9FFFFFFFFFCFFFFF5
FFFFF0FFFFEEFFFFEDFFFFEEFFFFEFFFFFF2FFFFF4FFFFF7FFFFFAFFFFFCFFFFFEFFFFFF
FFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF4FFFFEF
FFFFE8FFFEDEFFFED1FFFDC1FFFCADFFFB95FFFA7CFFF861FFF548FFF231FFEE1FFFEA11
FFE409FFDE04FFD701FFCF00FFC600FFBD00FFB300FFA900FF9F00FF9500FF8C00FF8400
FF7D00FF7700FF7400FF7200FF7200FF7300FF7700FF7C00FF8300FF8C00FF9500FF9E00
FFA800FFB200FFBC00FFC500FFCE00FFD601FFDD04FFE408FFE911FFEE1DFFF22FFFF545
FFF75FFFF979FFFB93FFFCABFFFDBFFFFED0FFFEDDFFFFE7FFFFEFFFFFF4FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF5FFFFF0FFFFEAFFFEE0FFFED4FFFDC4FFFCB1FFFB9AFFFA81FFF866FFF64C
FFF335FFEF22FFEA13FFE50AFFDF05FFD802FFD000FFC800FFBE00FFB400FFAA00FFA000
FF9600FF8D00FF8400FF7D00FF7700FF7200FF7000FF6F00FF7100FF7400FF7900FF8000
FF8800FF9100FF9A00FFA400FFAF00FFB900FFC200FFCB00FFD401FFDB03FFE206FFE80E
FFEC19FFF129FFF43EFFF757FFF971FFFB8CFFFCA4FFFDBAFFFECBFFFEDAFFFFE5FFFFED
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFDFFFFFBFFFFF9FFFFF7FFFFF5FFFFF3FFFFF2FFFFF1FFFFF2FFFFF4FFFFF8FFFFFF
F7FFFFEDFFFFE1FEFFD4FEFFC7FDFFBAFDFFAEFCFFA2FCFF98FBFF90FBFF89FAFF83FAFF
7FFAFF7DFAFF7DFAFF7EFAFF81FAFF85FAFF8AFAFF91FBFF98FBFFA1FCFFAAFCFFB3FDFF
BDFDFFC5FDFFCDFEFFD3FEFFD7FEFFD9FEFFD8FEFFD6FEFFD1FEFFCAFEFFC2FDFFB9FDFF
B0FCFFA7FCFF9EFCFF95FBFF8EFBFF88FAFF83FAFF7FFAFF7DFAFF7DFAFF7EFAFF81FAFF
85FAFF8BFAFF92FBFF9CFBFFA6FCFFB2FDFFBFFDFFCCFEFFD9FEFFE5FFFFF1FFFFFBFFFF
FFFFFCFFFFF7FFFFF3FFFFF1FFFFF1FFFFF2FFFFF4FFFFF6FFFFF8FFFFFAFFFFFCFFFFFE
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1
FFFFEAFFFEE1FFFED5FFFDC5FFFDB2FFFB9CFFFA83FFF868FFF64EFFF336FFEF23FFEB14
FFE60BFFE005FFD902FFD100FFC800FFBF00FFB500FFAB00FFA100FF9700FF8D00FF8500
FF7D00FF7700FF7200FF7000FF6F00FF7000FF7400FF7900FF7F00FF8700FF9000FF9A00
FFA400FFAE00FFB800FFC200FFCB00FFD301FFDB02FFE106FFE70DFFEC18FFF028FFF43D
FFF655FFF970FFFA8AFFFCA3FFFDB8FFFECAFFFED9FFFFE4FFFFECFFFFF2FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF5FFFFF0FFFFE9FFFEE0FFFED3FFFDC3FFFCB0FFFB99FFFA7FFFF865FFF54B
FFF233FFEF21FFEA13FFE50AFFDF04FFD702FFCF00FFC700FFBD00FFB300FFA900FF9F00
FF9400FF8B00FF8200FF7B00FF7400FF7000FF6D00FF6D00FF6E00FF7200FF7700FF7E00
FF8600FF8F00FF9900FFA300FFAD00FFB800FFC100FFCB00FFD301FFDB02FFE106FFE70D
FFEC18FFF028FFF43DFFF656FFF970FFFA8AFFFCA3FFFDB9FFFECBFFFED9FFFFE4FFFFEC
FFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFCFFFFFAFFFFF9FFFFF7FFFFF5FFFFF5FFFFF4FFFFF6FFFFF8FFFFFCFCFFFFF4FFFF
EBFFFFE0FEFFD5FEFFC9FEFFBEFDFFB4FDFFAAFCFFA2FCFF9CFBFF97FBFF94FBFF93FBFF
95FBFF98FBFF9DFCFFA5FCFFB0FCFFBCFDFFCBFEFFDCFEFFF0FFFFFFFFFAFFFFE7FFFED6
FFFDC7FFFDBBFFFDB2FFFCABFFFCA7FFFCA4FFFCA4FFFCA7FFFCABFFFDB2FFFDBCFFFDC8
FFFED6FFFFE8FFFFFBEFFFFFDCFEFFCAFEFFBCFDFFAFFCFFA5FCFF9DFBFF98FBFF94FBFF
93FBFF94FBFF97FBFF9CFBFFA2FCFFAAFCFFB4FDFFBFFDFFCAFEFFD5FEFFE1FEFFEBFFFF
F5FFFFFDFFFFFFFFFCFFFFF8FFFFF5FFFFF4FFFFF5FFFFF5FFFFF7FFFFF9FFFFFBFFFFFC
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF2
FFFFECFFFFE4FFFED8FFFECAFFFDB8FFFCA2FFFA89FFF96FFFF654FFF43CFFF027FFEC17
FFE70DFFE106FFDA02FFD301FFCA00FFC100FFB700FFAD00FFA300FF9800FF8E00FF8500
FF7D00FF7700FF7100FF6E00FF6D00FF6E00FF7000FF7500FF7B00FF8200FF8B00FF9500
FF9F00FFA900FFB400FFBE00FFC700FFD000FFD802FFDF04FFE50AFFEA13FFEF21FFF234
FFF54CFFF866FFFA80FFFB9AFFFCB1FFFDC4FFFED4FFFEE0FFFFEAFFFFF0FFFFF5FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF8FFFFF5FFFFF0FFFFE9FFFEDFFFFED3FFFDC3FFFCAFFFFB98FFFA7EFFF863FFF549
FFF232FFEE1FFFEA12FFE409FFDE04FFD701FFCF00FFC600FFBC00FFB200FFA800FF9D00
FF9300FF8900FF8000FF7800FF7200FF6E00FF6B00FF6B00FF6C00FF6F00FF7500FF7C00
FF8400FF8D00FF9700FFA200FFAC00FFB600FFC000FFCA00FFD201FFDA02FFE106FFE70C
FFEC17FFF027FFF43CFFF654FFF96FFFFA89FFFCA2FFFDB8FFFECAFFFED8FFFFE4FFFFEC
FFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF7FFFFF8FFFFFBFFFFFFFAFFFFF3FFFFEBFFFF
E1FEFFD7FEFFCDFEFFC4FDFFBBFDFFB4FDFFAEFCFFAAFCFFA8FCFFA8FCFFAAFCFFB0FCFF
B8FDFFC3FDFFD2FEFFE4FFFFFBFFFFFFFFEBFFFED4FFFDBEFFFCABFFFB9AFFFA8BFFFA7F
FFF975FFF86CFFF866FFF861FFF75EFFF75DFFF75DFFF75EFFF760FFF865FFF86AFFF972
FFFA7CFFFA87FFFB95FFFCA6FFFDB9FFFECEFFFFE5FFFFFEEAFFFFD6FEFFC7FDFFBAFDFF
B1FCFFABFCFFA8FCFFA7FCFFA9FCFFACFCFFB2FDFFB9FDFFC1FDFFCBFEFFD5FEFFDFFEFF
E8FFFFF1FFFFF9FFFFFFFFFFFFFFFCFFFFF9FFFFF7FFFFF7FFFFF7FFFFF8FFFFFAFFFFFB
FFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4
FFFFEEFFFFE6FFFEDCFFFECEFFFDBDFFFCA8FFFB90FFF976FFF75BFFF442FFF12CFFED1B
FFE80FFFE307FFDC03FFD401FFCC00FFC300FFB900FFAF00FFA400FF9A00FF9000FF8600
FF7E00FF7600FF7100FF6D00FF6B00FF6B00FF6D00FF7100FF7700FF7E00FF8600FF9000
FF9A00FFA500FFAF00FFB900FFC300FFCC00FFD501FFDC03FFE307FFE80FFFED1BFFF12D
FFF443FFF75CFFF977FFFB91FFFCA9FFFDBEFFFECFFFFEDCFFFFE7FFFFEEFFFFF4FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFB
FFFFF8FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC2FFFCAEFFFB96FFFA7DFFF862FFF548
FFF231FFEE1EFFE911FFE409FFDE04FFD601FFCE00FFC500FFBB00FFB100FFA600FF9C00
FF9100FF8700FF7E00FF7600FF7000FF6C00FF6900FF6800FF6A00FF6D00FF7300FF7A00
FF8200FF8B00FF9600FFA000FFAB00FFB500FFBF00FFC900FFD200FFD902FFE005FFE60C
FFEC16FFF026FFF33AFFF653FFF96DFFFA88FFFCA1FFFDB7FFFEC9FFFED8FFFFE3FFFFEC
FFFFF2FFFFF6FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFFAFFFFFDFEFFFFF9FFFFF3FFFFEBFFFFE3FFFF
DBFEFFD2FEFFCBFEFFC4FDFFBEFDFFBAFDFFB9FDFFB9FDFFBDFDFFC3FDFFCCFEFFDAFEFF
EBFFFFFFFFFDFFFFE5FFFECCFFFDB6FFFCA1FFFB8EFFFA7DFFF96FFFF863FFF759FFF651
FFF54AFFF544FFF440FFF43DFFF33BFFF33AFFF33AFFF33AFFF43CFFF43EFFF442FFF547
FFF64CFFF654FFF75DFFF868FFF975FFFA84FFFB95FFFCA9FFFDBFFFFED6FFFFEFF8FFFF
E4FFFFD4FEFFC8FDFFC0FDFFBBFDFFB9FDFFB9FDFFBCFDFFC0FDFFC6FDFFCEFEFFD6FEFF
DEFEFFE7FFFFEFFFFFF6FFFFFCFFFFFFFFFFFFFFFCFFFFFAFFFFF9FFFFF9FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8FFFFF5
FFFFF0FFFFE9FFFEDFFFFED2FFFDC2FFFCAEFFFB97FFFA7DFFF862FFF548FFF231FFEE1F
FFE911FFE409FFDE04FFD601FFCE00FFC500FFBB00FFB100FFA600FF9C00FF9100FF8700
FF7E00FF7600FF7000FF6C00FF6900FF6800FF6A00FF6D00FF7300FF7900FF8200FF8B00
FF9500FFA000FFAB00FFB500FFBF00FFC900FFD100FFD902FFE005FFE60CFFEB16FFF026
FFF33AFFF652FFF86DFFFA87FFFCA0FFFDB6FFFEC9FFFED8FFFFE3FFFFECFFFFF2FFFFF6
FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFB
FFFFF8FFFFF5FFFFEFFFFFE8FFFEDEFFFED1FFFDC1FFFCADFFFB95FFF97BFFF760FFF546
FFF230FFEE1EFFE910FFE408FFDD03FFD601FFCD00FFC400FFBA00FFB000FFA500FF9A00
FF8F00FF8500FF7C00FF7400FF6E00FF6900FF6700FF6600FF6800FF6B00FF7000FF7800
FF8000FF8A00FF9400FF9F00FFAA00FFB400FFBE00FFC800FFD100FFD902FFE005FFE60B
FFEB15FFF025FFF339FFF651FFF86CFFFA87FFFCA0FFFDB6FFFEC8FFFED7FFFFE3FFFFEC
FFFFF2FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFBFFFFFAFFFFFBFFFFFCFFFFFEFDFFFFF9FFFFF3FFFFEDFFFFE6FFFFDFFEFF
D8FEFFD2FEFFCDFEFFC9FEFFC7FDFFC8FDFFCBFEFFD1FEFFDBFEFFE9FFFFFBFFFFFFFFEE
FFFED6FFFDC0FFFCAAFFFB95FFFA83FFF973FFF865FFF759FFF64FFFF547FFF440FFF33A
FFF336FFF232FFF22FFFF12DFFF12CFFF12BFFF12BFFF12BFFF12CFFF12DFFF230FFF232
FFF336FFF33BFFF440FFF547FFF650FFF75AFFF866FFF975FFFA85FFFB97FFFCACFFFDC2
FFFED9FFFFF0F9FFFFE7FFFFDAFEFFD0FEFFCAFEFFC8FDFFC7FDFFC9FEFFCDFEFFD2FEFF
D9FEFFE0FEFFE7FFFFEEFFFFF4FFFFF9FFFFFEFFFFFFFFFEFFFFFCFFFFFBFFFFFAFFFFFB
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6
FFFFF1FFFFEBFFFEE2FFFED6FFFDC7FFFDB4FFFC9DFFFA84FFF869FFF64FFFF337FFEF23
FFEB14FFE50AFFDF05FFD802FFD000FFC700FFBD00FFB300FFA800FF9E00FF9300FF8900
FF7F00FF7700FF7000FF6B00FF6700FF6600FF6700FF6A00FF6F00FF7500FF7D00FF8600
FF9000FF9B00FFA600FFB100FFBB00FFC500FFCE00FFD601FFDE04FFE409FFEA12FFEE1F
FFF232FFF549FFF863FFFA7EFFFB98FFFCAFFFFDC3FFFED3FFFEE0FFFFE9FFFFF0FFFFF5
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFB
FFFFF8FFFFF4FFFFEFFFFFE8FFFEDEFFFED1FFFDC0FFFCACFFFB94FFF97AFFF75FFFF545
FFF22FFFEE1DFFE910FFE308FFDC03FFD501FFCC00FFC300FFB900FFAF00FFA400FF9900
FF8E00FF8400FF7A00FF7200FF6C00FF6700FF6400FF6400FF6500FF6900FF6E00FF7600
FF7E00FF8800FF9200FF9D00FFA800FFB300FFBE00FFC700FFD000FFD802FFDF05FFE60B
FFEB15FFEF24FFF338FFF650FFF86AFFFA85FFFC9FFFFDB5FFFDC8FFFED7FFFFE3FFFFEB
FFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFFFDFFFFF9FFFFF4FFFFEFFFFFE9FFFFE3FFFFDEFEFF
D9FEFFD5FEFFD3FEFFD3FEFFD6FEFFDBFEFFE4FFFFF1FFFFFFFFFDFFFFE9FFFED3FFFDBE
FFFCA9FFFB95FFFA84FFF974FFF866FFF75AFFF650FFF547FFF440FFF33AFFF335FFF232
FFF22FFFF12CFFF12AFFF029FFF028FFF027FFF027FFF027FFF028FFF029FFF12AFFF12C
FFF12EFFF231FFF335FFF339FFF43FFFF546FFF64EFFF757FFF863FFF970FFFA80FFFB91
FFFCA5FFFDB9FFFECFFFFFE4FFFFF9F4FFFFE6FFFFDDFEFFD7FEFFD4FEFFD3FEFFD5FEFF
D8FEFFDCFEFFE2FEFFE8FFFFEEFFFFF3FFFFF8FFFFFCFFFFFFFFFFFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7
FFFFF3FFFFEDFFFFE5FFFEDAFFFECBFFFDB9FFFCA4FFFA8BFFF970FFF655FFF43DFFF028
FFEC17FFE70CFFE106FFDA02FFD201FFC900FFC000FFB500FFAB00FFA000FF9500FF8A00
FF8000FF7700FF7000FF6A00FF6600FF6400FF6400FF6600FF6B00FF7100FF7800FF8200
FF8C00FF9600FFA100FFAC00FFB700FFC100FFCB00FFD301FFDB03FFE206FFE80EFFED19
FFF12AFFF440FFF759FFF974FFFB8FFFFCA7FFFDBCFFFECEFFFEDBFFFFE6FFFFEEFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF8FFFFF4FFFFEFFFFFE8FFFEDDFFFED0FFFDBFFFFCABFFFB93FFF979FFF75EFFF544
FFF12DFFED1CFFE80FFFE307FFDC03FFD401FFCC00FFC200FFB800FFAD00FFA200FF9700
FF8C00FF8200FF7800FF7000FF6A00FF6500FF6200FF6200FF6300FF6700FF6C00FF7400
FF7C00FF8600FF9100FF9C00FFA700FFB200FFBD00FFC600FFD000FFD802FFDF04FFE50A
FFEB14FFEF23FFF336FFF64FFFF869FFFA84FFFC9DFFFDB4FFFDC7FFFED6FFFEE2FFFFEB
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFCFFFFFDFFFFFEFFFFFFFDFFFFFAFFFFF6FFFFF1FFFFECFFFFE7FFFFE3FFFFDFFEFF
DDFEFFDDFEFFDEFEFFE2FFFFEAFFFFF4FFFFFFFFFCFFFFEAFFFED7FFFDC3FFFCB0FFFB9D
FFFB8BFFFA7CFFF96EFFF862FFF757FFF64FFFF547FFF442FFF43DFFF339FFF336FFF233
FFF231FFF230FFF22FFFF12EFFF12DFFF12DFFF12DFFF12DFFF12DFFF12EFFF12EFFF22F
FFF230FFF232FFF234FFF337FFF33BFFF43FFFF544FFF54BFFF653FFF75CFFF867FFF974
FFFA83FFFB93FFFCA5FFFDB9FFFECDFFFEE0FFFFF3FCFFFFEFFFFFE6FFFFE0FEFFDDFEFF
DDFEFFDEFEFFE1FEFFE5FFFFEAFFFFEFFFFFF3FFFFF8FFFFFBFFFFFEFFFFFFFFFFFFFFFD
FFFFFDFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDDFFFED0FFFDBFFFFCAAFFFB92FFF977FFF75CFFF443FFF12D
FFED1BFFE80FFFE207FFDC03FFD401FFCB00FFC200FFB800FFAD00FFA200FF9700FF8C00
FF8100FF7800FF7000FF6900FF6500FF6200FF6200FF6300FF6700FF6D00FF7400FF7D00
FF8700FF9100FF9C00FFA700FFB200FFBD00FFC700FFD000FFD802FFDF05FFE60AFFEB14
FFEF23FFF337FFF650FFF86AFFFA85FFFC9FFFFDB5FFFDC8FFFED7FFFFE3FFFFEBFFFFF2
FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF8FFFFF4FFFFEFFFFFE7FFFEDDFFFED0FFFDBFFFFCAAFFFB92FFF977FFF75CFFF443
FFF12CFFED1BFFE80FFFE207FFDB03FFD401FFCB00FFC100FFB700FFAC00FFA100FF9600
FF8A00FF8000FF7600FF6E00FF6700FF6300FF6000FF5F00FF6100FF6500FF6A00FF7200
FF7A00FF8400FF8F00FF9A00FFA600FFB100FFBC00FFC600FFCF00FFD701FFDF04FFE50A
FFEA13FFEF22FFF335FFF64DFFF868FFFA83FFFB9CFFFDB3FFFDC6FFFED6FFFEE2FFFFEB
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFDFFFFFAFFFFF7FFFFF3FFFFEFFFFFEBFFFFE8FFFFE5FFFFE4FFFF
E5FFFFE8FFFFEDFFFFF5FFFFFFFFFEFFFFEFFFFEDEFFFECDFFFDBAFFFCA9FFFB98FFFA88
FFF97BFFF96FFFF864FFF75CFFF654FFF64FFFF54AFFF546FFF544FFF442FFF441FFF440
FFF43FFFF43FFFF43FFFF440FFF440FFF440FFF440FFF440FFF440FFF440FFF440FFF43F
FFF43FFFF43FFFF440FFF441FFF442FFF544FFF547FFF54BFFF64FFFF655FFF75DFFF866
FFF970FFFA7DFFFA8BFFFB9AFFFCABFFFDBDFFFECFFFFEE1FFFFF2FFFFFFF4FFFFECFFFF
E7FFFFE5FFFFE4FFFFE6FFFFE8FFFFECFFFFF0FFFFF4FFFFF8FFFFFBFFFFFDFFFFFFFFFF
FFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFEAFFFEE0FFFED4FFFDC4FFFCB0FFFB99FFFA7FFFF864FFF549FFF232
FFEE1FFFEA11FFE409FFDD04FFD601FFCD00FFC400FFBA00FFAF00FFA400FF9900FF8D00
FF8300FF7900FF7000FF6900FF6400FF6000FF5F00FF6000FF6300FF6800FF6F00FF7800
FF8200FF8C00FF9700FFA300FFAE00FFB900FFC300FFCC00FFD501FFDD03FFE308FFE910
FFEE1DFFF22FFFF546FFF760FFFA7CFFFB96FFFCADFFFDC1FFFED2FFFEDFFFFFE9FFFFF0
FFFFF5FFFFF8FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFEFFFFFE7FFFEDDFFFECFFFFDBEFFFCA9FFFB91FFF976FFF75BFFF441
FFF12BFFED1AFFE80EFFE207FFDB03FFD301FFCA00FFC100FFB600FFAB00FFA000FF9400
FF8900FF7E00FF7400FF6C00FF6500FF6000FF5E00FF5D00FF5F00FF6200FF6800FF7000
FF7800FF8300FF8E00FF9900FFA400FFB000FFBB00FFC500FFCE00FFD701FFDE04FFE509
FFEA12FFEF21FFF234FFF64CFFF866FFFA82FFFB9BFFFDB2FFFDC6FFFED5FFFEE1FFFFEA
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFDFFFFFBFFFFF8FFFFF5FFFFF2FFFFEFFFFFECFFFFEBFFFFEAFFFFECFFFF
EFFFFFF5FFFFFEFFFFFFFFF5FFFFE7FFFED8FFFDC7FFFDB7FFFCA7FFFB98FFFA8BFFFA7F
FFF975FFF86CFFF866FFF760FFF75CFFF75AFFF758FFF758FFF758FFF75AFFF75BFFF75E
FFF761FFF864FFF866FFF869FFF86BFFF86DFFF96EFFF96EFFF86DFFF86BFFF869FFF867
FFF864FFF861FFF75EFFF75CFFF75AFFF758FFF758FFF758FFF759FFF75CFFF760FFF865
FFF86BFFF974FFFA7DFFFA89FFFB96FFFCA5FFFDB5FFFDC5FFFED5FFFFE5FFFFF3FFFFFF
F6FFFFF0FFFFECFFFFEAFFFFEBFFFFECFFFFEEFFFFF1FFFFF5FFFFF8FFFFFBFFFFFDFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFF9
FFFFF6FFFFF2FFFFECFFFFE3FFFED7FFFDC8FFFDB6FFFC9FFFFA86FFF86BFFF650FFF338
FFEF23FFEB14FFE50AFFDF05FFD802FFD000FFC600FFBC00FFB200FFA600FF9B00FF8F00
FF8400FF7A00FF7100FF6900FF6300FF5F00FF5D00FF5D00FF6000FF6400FF6B00FF7300
FF7D00FF8700FF9200FF9E00FFA900FFB400FFBF00FFC900FFD201FFDA02FFE106FFE70D
FFEC18FFF028FFF43EFFF757FFF972FFFB8CFFFCA5FFFDBBFFFECDFFFEDBFFFFE5FFFFED
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFEEFFFFE7FFFEDCFFFECEFFFDBDFFFCA8FFFB8FFFF975FFF75AFFF440
FFF12AFFEC19FFE70DFFE106FFDA02FFD201FFCA00FFC000FFB500FFAA00FF9E00FF9300
FF8700FF7C00FF7300FF6A00FF6300FF5E00FF5B00FF5B00FF5C00FF6000FF6600FF6E00
FF7700FF8100FF8C00FF9800FFA300FFAF00FFBA00FFC400FFCD00FFD601FFDE04FFE409
FFEA12FFEE20FFF233FFF54BFFF865FFFA80FFFB9AFFFCB1FFFDC5FFFED5FFFEE1FFFFEA
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFEFFFFFCFFFFFAFFFFF7FFFFF4FFFFF2FFFFF0FFFFEFFFFFEFFFFFF1FFFFF5FFFF
FBFFFFFFFFFBFFFFF0FFFFE3FFFED5FFFDC6FFFDB8FFFCAAFFFB9DFFFB92FFFA88FFFA80
FFF979FFF975FFF972FFF971FFF971FFF973FFF977FFFA7CFFFA82FFFA8AFFFB93FFFB9C
FFFCA6FFFCB0FFFDBAFFFDC3FFFECAFFFED0FFFED3FFFED3FFFED1FFFECDFFFDC6FFFDBE
FFFDB5FFFCABFFFCA1FFFB97FFFB8EFFFA86FFFA7FFFF979FFF975FFF972FFF971FFF971
FFF973FFF977FFFA7DFFFA84FFFB8DFFFB98FFFCA4FFFCB1FFFDBFFFFECEFFFEDCFFFFEA
FFFFF6FFFFFFF8FFFFF3FFFFF0FFFFEFFFFFF0FFFFF1FFFFF3FFFFF6FFFFF8FFFFFBFFFF
FDFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEEFFFFE6FFFEDBFFFECDFFFDBBFFFCA6FFFB8DFFF972FFF757FFF43E
FFF028FFEC18FFE70CFFE106FFDA02FFD200FFC900FFBF00FFB400FFA900FF9D00FF9100
FF8600FF7B00FF7200FF6900FF6300FF5E00FF5B00FF5B00FF5D00FF6100FF6700FF6E00
FF7800FF8200FF8D00FF9900FFA400FFB000FFBB00FFC500FFCE00FFD701FFDE04FFE50A
FFEA13FFEF21FFF335FFF64DFFF868FFFA83FFFB9DFFFDB3FFFDC7FFFED6FFFEE2FFFFEB
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFEEFFFFE6FFFEDCFFFECEFFFDBCFFFCA7FFFB8EFFF973FFF758FFF43F
FFF029FFEC18FFE70DFFE106FFDA02FFD201FFC900FFBF00FFB400FFA900FF9D00FF9100
FF8600FF7B00FF7100FF6800FF6100FF5C00FF5900FF5800FF5A00FF5E00FF6400FF6C00
FF7500FF7F00FF8A00FF9600FFA200FFAE00FFB900FFC300FFCD00FFD501FFDD03FFE408
FFE911FFEE1FFFF232FFF549FFF864FFFA7FFFFB99FFFCB0FFFDC4FFFED4FFFEE1FFFFEA
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FEFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF3FFFFF3FFFFF4FFFFF6FFFFFAFFFFFFFFFF
FFFFF7FFFFEDFFFEE1FFFED5FFFDC8FFFDBBFFFCB0FFFCA5FFFB9BFFFB94FFFB8EFFFA8A
FFFA89FFFA89FFFB8CFFFB91FFFB98FFFCA2FFFCAFFFFDBEFFFED0FFFFE5FFFFFCECFFFF
D7FEFFC6FDFFB8FDFFADFCFFA4FCFF9EFCFF9BFBFF9AFBFF9BFBFF9FFCFFA6FCFFAFFCFF
BBFDFFCAFEFFDCFEFFF1FFFFFFFFF7FFFEE0FFFECCFFFDBAFFFCACFFFCA0FFFB96FFFB8F
FFFA8BFFFA89FFFA89FFFA8BFFFB8FFFFB95FFFC9DFFFCA7FFFDB2FFFDBEFFFECBFFFED8
FFFFE4FFFFEFFFFFF9FEFFFFF9FFFFF5FFFFF3FFFFF3FFFFF4FFFFF5FFFFF7FFFFF9FFFF
FBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFB
FFFFF8FFFFF5FFFFEFFFFFE8FFFEDEFFFED1FFFDC0FFFCACFFFB94FFF979FFF75EFFF544
FFF12DFFED1BFFE80FFFE207FFDC03FFD401FFCB00FFC100FFB600FFAB00FF9F00FF9400
FF8800FF7D00FF7300FF6A00FF6200FF5D00FF5A00FF5800FF5A00FF5D00FF6200FF6A00
FF7300FF7D00FF8800FF9400FF9F00FFAB00FFB600FFC100FFCB00FFD401FFDC03FFE207
FFE80FFFED1BFFF12DFFF544FFF75EFFF979FFFB94FFFCACFFFDC0FFFED1FFFEDEFFFFE8
FFFFEFFFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFEEFFFFE6FFFEDBFFFECDFFFDBBFFFCA6FFFB8DFFF972FFF757FFF43E
FFF028FFEC18FFE70CFFE106FFD902FFD100FFC800FFBE00FFB300FFA700FF9C00FF9000
FF8400FF7900FF6F00FF6600FF5F00FF5A00FF5700FF5600FF5800FF5C00FF6200FF6A00
FF7300FF7D00FF8900FF9500FFA100FFAC00FFB800FFC200FFCC00FFD501FFDD03FFE308
FFE911FFEE1EFFF231FFF548FFF863FFFA7EFFFB98FFFCB0FFFDC4FFFED4FFFEE0FFFFEA
FFFFF1FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FDFFFFFCFFFFFAFFFFF8FFFFF7FFFFF6FFFFF6FFFFF7FFFFF9FFFFFDFFFFFFFFFCFFFFF5
FFFFECFFFEE2FFFED7FFFECCFFFDC1FFFDB7FFFCAEFFFCA7FFFCA2FFFC9FFFFC9EFFFCA0
FFFCA4FFFCACFFFDB7FFFDC6FFFED8FFFFF0F3FFFFD8FEFFBFFDFFA9FCFF96FBFF85FAFF
77F9FF6CF8FF63F8FF5CF7FF57F7FF53F6FF51F6FF50F6FF51F6FF53F6FF56F7FF5BF7FF
62F8FF6BF8FF76F9FF84FAFF94FBFFA7FCFFBDFDFFD5FEFFF0FFFFFFFFF2FFFEDBFFFDC7
FFFDB8FFFCADFFFCA5FFFCA0FFFC9EFFFC9FFFFCA2FFFCA7FFFCAEFFFDB6FFFDC0FFFECB
FFFED6FFFEE1FFFFEBFFFFF4FFFFFCFDFFFFF9FFFFF7FFFFF6FFFFF6FFFFF7FFFFF8FFFF
FAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF1FFFFEAFFFEE1FFFED5FFFDC5FFFDB2FFFB9BFFFA81FFF865FFF54B
FFF233FFEE20FFEA12FFE409FFDD04FFD601FFCD00FFC300FFB900FFAE00FFA200FF9600
FF8A00FF7F00FF7400FF6A00FF6200FF5C00FF5800FF5600FF5700FF5900FF5E00FF6500
FF6E00FF7800FF8300FF8E00FF9A00FFA600FFB200FFBD00FFC700FFD000FFD902FFE005
FFE60BFFEB16FFF026FFF33BFFF654FFF970FFFA8BFFFCA4FFFDB9FFFECCFFFEDAFFFFE5
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEEFFFFE6FFFEDBFFFECDFFFDBBFFFCA5FFFB8CFFF971FFF756FFF43D
FFF027FFEC17FFE60CFFE005FFD902FFD100FFC700FFBD00FFB200FFA600FF9A00FF8E00
FF8200FF7700FF6D00FF6400FF5D00FF5800FF5500FF5400FF5600FF5A00FF6000FF6800
FF7100FF7C00FF8700FF9300FF9F00FFAB00FFB700FFC200FFCB00FFD401FFDC03FFE308
FFE910FFEE1DFFF230FFF547FFF861FFFA7DFFFB97FFFCAFFFFDC3FFFED3FFFEE0FFFFE9
FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF8FFFFF9FFFFFBFFFFFFFFFFFFFFFBFFFFF4FFFFEC
FFFFE3FFFEDAFFFED1FFFDC8FFFDC0FFFDB9FFFDB4FFFCB2FFFCB1FFFDB4FFFDB9FFFDC2
FFFECFFFFEE1FFFFF8EBFFFFD0FEFFB6FDFF9FFCFF8AFAFF78F9FF68F8FF5BF7FF50F6FF
48F5FF40F4FF3BF3FF36F3FF33F2FF31F2FF30F2FF2FF2FF2FF2FF30F2FF32F2FF35F3FF
39F3FF3EF4FF44F5FF4DF6FF56F7FF63F8FF71F9FF82FAFF96FBFFACFCFFC5FDFFE0FEFF
FBFFFFFFFFEAFFFED6FFFDC7FFFDBCFFFDB6FFFDB2FFFCB1FFFDB3FFFDB7FFFDBDFFFDC4
FFFECDFFFED6FFFEE0FFFFE9FFFFF1FFFFF8FFFFFEFDFFFFFAFFFFF8FFFFF8FFFFF8FFFF
F9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF3FFFFEDFFFFE4FFFED9FFFECAFFFDB8FFFCA1FFFA88FFF86DFFF652
FFF339FFEF24FFEB15FFE60BFFDF05FFD802FFCF00FFC600FFBB00FFB000FFA400FF9800
FF8C00FF8000FF7500FF6B00FF6300FF5C00FF5700FF5400FF5400FF5600FF5A00FF6100
FF6900FF7300FF7D00FF8900FF9500FFA100FFAD00FFB900FFC300FFCD00FFD601FFDD04
FFE409FFEA12FFEE20FFF233FFF54BFFF866FFFA81FFFB9BFFFDB2FFFDC6FFFED5FFFEE1
FFFFEBFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEDFFFFE5FFFEDAFFFECCFFFDBAFFFCA4FFFA8BFFF970FFF655FFF43B
FFF026FFEB16FFE60BFFE005FFD802FFD000FFC700FFBC00FFB100FFA500FF9900FF8D00
FF8100FF7500FF6B00FF6200FF5B00FF5500FF5200FF5200FF5300FF5700FF5E00FF6600
FF6F00FF7A00FF8600FF9200FF9E00FFAA00FFB600FFC100FFCB00FFD401FFDC03FFE307
FFE90FFFED1CFFF22FFFF546FFF760FFFA7CFFFB96FFFCAEFFFDC2FFFED3FFFEDFFFFFE9
FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFF
FCFFFFFBFFFFFAFFFFFAFFFFFAFFFFFBFFFFFDFFFFFFFFFFFFFFFAFFFFF4FFFFEEFFFFE6
FFFEDEFFFED6FFFECFFFFEC9FFFDC4FFFDC1FFFDC1FFFDC4FFFEC9FFFED2FFFEE0FFFFF3
F4FFFFDBFEFFC1FDFFA9FCFF93FBFF7FFAFF6DF8FF5EF7FF51F6FF47F5FF3EF4FF37F3FF
31F2FF2DF1FF29F1FF27F0FF24F0FF23EFFF22EFFF22EFFF22EFFF22EFFF23EFFF25F0FF
27F0FF2AF1FF2EF1FF33F2FF39F3FF40F4FF4AF5FF55F6FF62F8FF72F9FF84FAFF98FBFF
AFFCFFC8FDFFE2FEFFFBFFFFFFFFEDFFFEDCFFFED0FFFDC7FFFDC3FFFDC1FFFDC2FFFDC5
FFFECAFFFED1FFFED8FFFEE0FFFFE8FFFFF0FFFFF6FFFFFCFFFFFFFCFFFFFBFFFFFAFFFF
FAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF4FFFFEEFFFFE7FFFEDCFFFECFFFFDBDFFFCA8FFFB8FFFF974FFF759
FFF43FFFF129FFEC18FFE70DFFE106FFDA02FFD100FFC800FFBE00FFB300FFA700FF9B00
FF8F00FF8200FF7700FF6C00FF6300FF5C00FF5600FF5300FF5200FF5300FF5700FF5C00
FF6400FF6E00FF7800FF8400FF9000FF9C00FFA800FFB400FFBF00FFC900FFD201FFDB02
FFE206FFE80EFFED1AFFF12BFFF442FFF75CFFF977FFFB92FFFCAAFFFDBFFFFED0FFFEDE
FFFFE8FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEDFFFFE5FFFEDAFFFECBFFFDB9FFFCA3FFFA8AFFF96FFFF653FFF33A
FFF025FFEB15FFE60BFFDF05FFD802FFCF00FFC600FFBB00FFB000FFA400FF9800FF8B00
FF7F00FF7300FF6900FF6000FF5900FF5300FF5000FF5000FF5100FF5500FF5B00FF6400
FF6D00FF7800FF8400FF9000FF9D00FFA900FFB500FFC000FFCA00FFD301FFDB03FFE207
FFE80FFFED1CFFF12EFFF545FFF75FFFF97AFFFB95FFFCADFFFDC1FFFED2FFFEDFFFFFE9
FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFF
FCFFFFFBFFFFFBFFFFFBFFFFFCFFFFFEFFFFFFFFFEFFFFFAFFFFF5FFFFEFFFFFE9FFFFE2
FFFEDCFFFED6FFFED2FFFECFFFFECEFFFED0FFFED5FFFEDDFFFFEAFFFFFBEEFFFFD7FEFF
BFFDFFA8FCFF92FBFF7FFAFF6EF9FF5FF7FF52F6FF48F5FF3FF4FF38F3FF32F2FF2DF1FF
29F1FF26F0FF24EFFF22EFFF21EFFF20EEFF1FEEFF1FEEFF1FEEFF1FEEFF20EEFF21EFFF
22EFFF24EFFF26F0FF29F1FF2DF1FF32F2FF38F3FF3FF4FF47F5FF52F6FF5EF7FF6DF9FF
7EFAFF92FBFFA7FCFFBEFDFFD6FEFFEDFFFFFFFFFCFFFFEAFFFEDEFFFED5FFFED0FFFECE
FFFECFFFFED2FFFED6FFFEDCFFFEE2FFFFE9FFFFEFFFFFF5FFFFFAFFFFFEFEFFFFFCFFFF
FBFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEE0FFFED3FFFDC2FFFCAEFFFB96FFFA7CFFF760
FFF546FFF22FFFED1CFFE80FFFE307FFDC03FFD401FFCA00FFC000FFB500FFAA00FF9D00
FF9100FF8500FF7900FF6E00FF6400FF5C00FF5600FF5100FF5000FF5000FF5300FF5800
FF6000FF6900FF7300FF7E00FF8B00FF9700FFA300FFAF00FFBB00FFC500FFCF00FFD802
FFDF05FFE60BFFEB15FFF024FFF339FFF652FFF96DFFFA89FFFCA2FFFDB8FFFECBFFFED9
FFFFE5FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEDFFFFE5FFFED9FFFECBFFFDB8FFFCA2FFFA89FFF96EFFF652FFF339
FFEF24FFEB15FFE50AFFDF04FFD702FFCF00FFC500FFBA00FFAF00FFA300FF9600FF8A00
FF7D00FF7200FF6700FF5E00FF5600FF5100FF4E00FF4D00FF4F00FF5300FF5900FF6200
FF6B00FF7700FF8300FF8F00FF9C00FFA800FFB400FFBF00FFC900FFD301FFDB03FFE207
FFE80EFFED1BFFF12DFFF544FFF75EFFF979FFFB94FFFCACFFFDC1FFFED2FFFEDFFFFFE9
FFFFF0FFFFF5FFFFF8FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFF
FCFFFFFCFFFFFCFFFFFDFFFFFFFFFFFFFFFEFFFFFAFFFFF6FFFFF1FFFFECFFFFE7FFFEE2
FFFEDDFFFEDAFFFED9FFFEDAFFFEDDFFFFE4FFFFEFFFFFFDEFFFFFDAFEFFC4FDFFAFFCFF
9AFBFF87FAFF76F9FF67F8FF5BF7FF50F6FF47F5FF3FF4FF39F3FF34F2FF30F2FF2DF1FF
2BF1FF29F0FF27F0FF26F0FF25F0FF25F0FF25F0FF24EFFF24EFFF24F0FF25F0FF25F0FF
26F0FF27F0FF28F0FF2AF1FF2CF1FF2FF2FF33F2FF37F3FF3DF4FF44F5FF4CF6FF56F7FF
63F8FF71F9FF81FAFF93FBFFA7FCFFBCFDFFD2FEFFE7FFFFFBFFFFFFFFF3FFFFE7FFFEDF
FFFEDBFFFED9FFFED9FFFEDCFFFEE0FFFFE5FFFFEAFFFFEFFFFFF5FFFFF9FFFFFDFFFFFF
FEFFFFFDFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFF9FFFFF6FFFFF2FFFFEBFFFFE3FFFED7FFFDC7FFFDB4FFFB9DFFFA83FFF868
FFF64DFFF234FFEF21FFEA12FFE409FFDD04FFD601FFCD00FFC300FFB800FFAC00FFA000
FF9400FF8700FF7B00FF6F00FF6500FF5C00FF5500FF5000FF4E00FF4D00FF5000FF5400
FF5B00FF6400FF6E00FF7900FF8500FF9200FF9E00FFAB00FFB600FFC100FFCB00FFD401
FFDC03FFE308FFE910FFEE1EFFF231FFF549FFF864FFFA7FFFFB99FFFCB1FFFDC5FFFED5
FFFEE1FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEDFFFFE4FFFED9FFFECAFFFDB8FFFCA1FFFA88FFF86CFFF651FFF338
FFEF23FFEB14FFE50AFFDF04FFD701FFCE00FFC400FFBA00FFAE00FFA200FF9500FF8800
FF7C00FF7000FF6500FF5C00FF5400FF4F00FF4C00FF4B00FF4D00FF5100FF5700FF6000
FF6A00FF7500FF8100FF8E00FF9A00FFA700FFB300FFBE00FFC900FFD201FFDA02FFE206
FFE80EFFED1AFFF12CFFF442FFF75DFFF978FFFB93FFFCABFFFDC0FFFED1FFFEDEFFFFE8
FFFFF0FFFFF5FFFFF8FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFEFFFFFFFFFFFFFFFEFFFFFBFFFFF7FFFFF3FFFFEFFFFFEBFFFFE7FFFFE4
FFFEE2FFFEE2FFFFE4FFFFE9FFFFF1FFFFFDF3FFFFE1FEFFCEFEFFBAFDFFA7FCFF94FBFF
84FAFF75F9FF68F8FF5DF7FF54F6FF4CF6FF46F5FF41F4FF3EF4FF3BF3FF39F3FF38F3FF
37F3FF36F3FF36F3FF36F3FF36F3FF37F3FF37F3FF37F3FF37F3FF37F3FF37F3FF37F3FF
36F3FF36F3FF36F3FF36F3FF37F3FF38F3FF39F3FF3CF4FF3FF4FF43F4FF48F5FF4FF6FF
57F7FF60F7FF6CF8FF7AF9FF89FAFF9AFBFFADFCFFC1FDFFD4FEFFE7FFFFF8FFFFFFFFF8
FFFFEEFFFFE7FFFFE3FFFEE1FFFEE2FFFFE4FFFFE8FFFFECFFFFF0FFFFF5FFFFF9FFFFFC
FFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE5FFFEDAFFFECCFFFDBAFFFCA4FFFA8AFFF96F
FFF654FFF33AFFF025FFEB15FFE60BFFDF05FFD802FFCF00FFC500FFBB00FFAF00FFA300
FF9600FF8900FF7D00FF7100FF6600FF5D00FF5500FF4F00FF4C00FF4B00FF4D00FF5000
FF5700FF5F00FF6900FF7400FF8000FF8C00FF9900FFA600FFB200FFBD00FFC800FFD100
FFDA02FFE106FFE70DFFEC19FFF12AFFF440FFF75AFFF975FFFB90FFFCA9FFFDBEFFFED0
FFFEDDFFFFE7FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFECFFFFE4FFFED9FFFECAFFFDB7FFFCA0FFFA87FFF86BFFF650FFF337
FFEF23FFEA13FFE50AFFDE04FFD601FFCE00FFC400FFB900FFAD00FFA100FF9400FF8700
FF7A00FF6E00FF6300FF5A00FF5200FF4D00FF4A00FF4900FF4B00FF4F00FF5500FF5E00
FF6800FF7300FF7F00FF8C00FF9900FFA600FFB200FFBE00FFC800FFD200FFDA02FFE106
FFE70DFFED19FFF12BFFF441FFF75BFFF977FFFB92FFFCAAFFFDBFFFFED1FFFEDEFFFFE8
FFFFEFFFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFEFFFFFCFFFFF9FFFFF5FFFFF2FFFFEEFFFFEBFFFFE9FFFFE8
FFFFE9FFFFECFFFFF2FFFFFAF8FFFFEAFFFFD9FEFFC8FDFFB6FDFFA5FCFF95FBFF86FAFF
79F9FF6EF9FF65F8FF5EF7FF58F7FF54F6FF51F6FF4FF6FF4EF6FF4FF6FF50F6FF52F6FF
54F6FF57F7FF5AF7FF5DF7FF60F7FF63F8FF65F8FF66F8FF66F8FF66F8FF65F8FF63F8FF
60F7FF5DF7FF5AF7FF57F7FF54F6FF52F6FF50F6FF4FF6FF4EF6FF4FF6FF51F6FF54F6FF
58F7FF5EF7FF65F8FF6EF9FF79F9FF86FAFF95FBFFA5FCFFB6FDFFC8FDFFD9FEFFEAFFFF
F9FFFFFFFFFAFFFFF2FFFFECFFFFE9FFFFE8FFFFE9FFFFEBFFFFEEFFFFF2FFFFF5FFFFF9
FFFFFCFFFFFEFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFCFFFFFBFFFFF8FFFFF5FFFFEFFFFFE8FFFEDEFFFED0FFFDBFFFFCAAFFFB92FFF977
FFF75BFFF441FFF12AFFEC19FFE70DFFE106FFDA02FFD100FFC800FFBD00FFB200FFA600
FF9900FF8C00FF7F00FF7300FF6800FF5E00FF5500FF4F00FF4B00FF4900FF4A00FF4D00
FF5200FF5A00FF6300FF6E00FF7A00FF8700FF9400FFA100FFAD00FFB900FFC400FFCE00
FFD701FFDE04FFE50AFFEB14FFEF23FFF337FFF650FFF86CFFFA87FFFCA1FFFDB7FFFECA
FFFED9FFFFE4FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF2FFFFECFFFFE4FFFED8FFFEC9FFFDB6FFFCA0FFFA86FFF86AFFF64FFFF336
FFEF22FFEA13FFE509FFDE04FFD601FFCD00FFC300FFB800FFAC00FF9F00FF9200FF8500
FF7900FF6C00FF6100FF5800FF5000FF4B00FF4700FF4700FF4900FF4D00FF5300FF5C00
FF6600FF7200FF7E00FF8B00FF9800FFA500FFB100FFBD00FFC700FFD100FFD902FFE106
FFE70DFFEC19FFF12AFFF440FFF75AFFF976FFFB91FFFCAAFFFDBFFFFED0FFFEDEFFFFE8
FFFFEFFFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF7FFFFF4FFFFF2FFFFEFFFFFEEFFFFEEFFFFEF
FFFFF3FFFFF9FEFFFFF2FFFFE5FFFFD6FEFFC6FDFFB6FDFFA7FCFF99FBFF8DFBFF82FAFF
79F9FF72F9FF6DF8FF69F8FF68F8FF68F8FF6AF8FF6DF8FF72F9FF78F9FF80FAFF8AFAFF
94FBFF9FFCFFABFCFFB6FDFFC1FDFFCAFEFFD1FEFFD6FEFFD8FEFFD7FEFFD3FEFFCDFEFF
C4FDFFBAFDFFAEFCFFA3FCFF97FBFF8DFBFF83FAFF7BF9FF74F9FF6EF9FF6AF8FF68F8FF
68F8FF69F8FF6CF8FF70F9FF77F9FF7FFAFF89FAFF95FBFFA3FCFFB2FDFFC1FDFFD1FEFF
E0FEFFEEFFFFFAFFFFFFFFFBFFFFF4FFFFF0FFFFEEFFFFEEFFFFEFFFFFF1FFFFF3FFFFF6
FFFFF9FFFFFBFFFFFEFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEAFFFEE1FFFED4FFFDC4FFFCB0FFFB99FFFA7E
FFF863FFF548FFF230FFEE1DFFE910FFE307FFDC03FFD401FFCA00FFC000FFB500FFA900
FF9C00FF8F00FF8200FF7500FF6900FF5F00FF5600FF4E00FF4A00FF4700FF4700FF4900
FF4E00FF5500FF5E00FF6900FF7500FF8100FF8E00FF9C00FFA800FFB400FFC000FFCA00
FFD301FFDC03FFE307FFE90FFFEE1DFFF22FFFF547FFF862FFFA7EFFFB98FFFCB0FFFDC4
FFFED4FFFEE1FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF2FFFFECFFFFE3FFFED8FFFEC9FFFDB5FFFC9FFFFA85FFF869FFF64EFFF335
FFEF21FFEA12FFE409FFDD04FFD501FFCC00FFC200FFB700FFAB00FF9E00FF9100FF8400
FF7700FF6B00FF6000FF5600FF4E00FF4900FF4500FF4500FF4600FF4B00FF5100FF5A00
FF6400FF7000FF7C00FF8A00FF9700FFA400FFB000FFBC00FFC700FFD000FFD902FFE005
FFE70CFFEC18FFF029FFF43FFFF759FFF975FFFB90FFFCA9FFFDBEFFFED0FFFEDDFFFFE7
FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF4FFFFF3FFFFF2FFFFF2FFFFF4FFFFF7
FFFFFDF9FFFFEFFFFFE2FFFFD5FEFFC7FDFFBAFDFFADFCFFA1FCFF96FBFF8EFBFF87FAFF
83FAFF81FAFF81FAFF83FAFF87FAFF8FFBFF99FBFFA6FCFFB6FDFFCAFEFFE1FEFFFBFFFF
FFFFEAFFFED2FFFDBFFFFCAEFFFCA1FFFB97FFFB90FFFB8CFFFA8AFFFA8AFFFB8DFFFB93
FFFB9BFFFCA6FFFDB4FFFDC6FFFEDBFFFFF4F0FFFFD7FEFFC2FDFFAFFCFFA0FCFF95FBFF
8CFBFF85FAFF82FAFF80FAFF81FAFF84FAFF8AFAFF91FBFF9AFBFFA5FCFFB1FCFFBFFDFF
CDFEFFDAFEFFE7FFFFF3FFFFFDFFFFFFFFFBFFFFF6FFFFF3FFFFF2FFFFF2FFFFF3FFFFF5
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFECFFFFE4FFFED8FFFEC9FFFDB6FFFCA0FFFA86
FFF86AFFF64FFFF336FFEF22FFEA13FFE409FFDE04FFD601FFCD00FFC300FFB800FFAC00
FF9F00FF9200FF8400FF7800FF6B00FF6000FF5600FF4E00FF4900FF4500FF4500FF4600
FF4A00FF5100FF5900FF6400FF6F00FF7C00FF8900FF9600FFA300FFB000FFBC00FFC600
FFD000FFD902FFE005FFE70CFFEC17FFF028FFF43EFFF758FFF974FFFB8FFFFCA8FFFDBD
FFFECFFFFEDDFFFFE7FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF2FFFFECFFFFE3FFFED7FFFDC8FFFDB5FFFC9EFFFA84FFF868FFF64DFFF234
FFEF20FFEA12FFE409FFDD03FFD501FFCC00FFC200FFB600FFAA00FF9D00FF9000FF8200
FF7500FF6900FF5E00FF5400FF4C00FF4600FF4300FF4200FF4400FF4900FF4F00FF5800
FF6200FF6E00FF7B00FF8800FF9600FFA300FFAF00FFBB00FFC600FFD000FFD902FFE005
FFE60CFFEC17FFF028FFF43EFFF758FFF974FFFB8FFFFCA8FFFDBDFFFECFFFFEDDFFFFE7
FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFDFFFFFCFFFFFAFFFFF8FFFFF7FFFFF5FFFFF5FFFFF5FFFFF7FFFFFBFEFFFF
F7FFFFEDFFFFE2FFFFD7FEFFCBFEFFBFFDFFB4FDFFAAFCFFA2FCFF9CFBFF99FBFF97FBFF
98FBFF9CFBFFA4FCFFAFFCFFBEFDFFD1FEFFEAFFFFFFFFF6FFFED8FFFDBCFFFCA3FFFB8E
FFFA7CFFF96EFFF861FFF758FFF650FFF54BFFF546FFF544FFF443FFF443FFF544FFF547
FFF54BFFF651FFF758FFF862FFF96FFFFA7EFFFB90FFFCA5FFFDBEFFFEDAFFFFF8E8FFFF
D0FEFFBCFDFFAEFCFFA3FCFF9CFBFF98FBFF97FBFF99FBFF9DFBFFA3FCFFABFCFFB5FDFF
C0FDFFCCFEFFD8FEFFE3FFFFEEFFFFF7FFFFFFFFFFFFFFFBFFFFF7FFFFF5FFFFF5FFFFF5
FFFFF7FFFFF8FFFFFAFFFFFCFFFFFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEEFFFFE7FFFEDCFFFECEFFFDBCFFFCA6FFFB8D
FFF972FFF756FFF43CFFF027FFEC16FFE60BFFE005FFD802FFCF00FFC500FFBA00FFAE00
FFA200FF9500FF8700FF7A00FF6D00FF6200FF5700FF4F00FF4800FF4400FF4200FF4300
FF4700FF4D00FF5500FF5F00FF6A00FF7600FF8300FF9100FF9E00FFAB00FFB700FFC200
FFCD00FFD601FFDE04FFE409FFEA13FFEF21FFF336FFF64FFFF86AFFFA86FFFCA0FFFDB6
FFFEC9FFFED8FFFFE4FFFFECFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF6FFFFF2FFFFECFFFFE3FFFED7FFFDC7FFFDB4FFFB9DFFFA83FFF867FFF54CFFF233
FFEE1FFFE911FFE408FFDD03FFD501FFCB00FFC100FFB500FFA900FF9C00FF8F00FF8100
FF7400FF6700FF5C00FF5200FF4A00FF4400FF4100FF4000FF4200FF4700FF4D00FF5600
FF6100FF6D00FF7900FF8700FF9400FFA200FFAE00FFBA00FFC500FFCF00FFD802FFE005
FFE60BFFEC17FFF027FFF43DFFF757FFF973FFFB8EFFFCA7FFFDBDFFFECFFFFEDCFFFFE7
FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF8FFFFF7FFFFF8FFFFFAFFFFFDFCFFFFF5FFFF
EDFFFFE4FFFFDAFEFFD0FEFFC6FDFFBDFDFFB5FDFFB0FCFFACFCFFABFCFFADFCFFB2FDFF
BBFDFFC8FDFFDBFEFFF3FFFFFFFFEEFFFED0FFFDB4FFFB9AFFFA84FFF971FFF760FFF653
FFF548FFF43FFFF337FFF232FFF12DFFF12AFFF028FFF026FFF025FFF025FFF026FFF027
FFF129FFF12CFFF231FFF336FFF43DFFF545FFF650FFF75DFFF86CFFFA7FFFFB95FFFCAE
FFFEC9FFFFE7FAFFFFE0FEFFCCFEFFBEFDFFB4FDFFAEFCFFABFCFFACFCFFAFFCFFB4FDFF
BBFDFFC4FDFFCDFEFFD7FEFFE1FEFFEBFFFFF4FFFFFBFFFFFFFFFFFFFFFBFFFFF8FFFFF7
FFFFF7FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC2FFFCADFFFB95
FFF97AFFF75EFFF543FFF12CFFED1AFFE80EFFE106FFDA02FFD200FFC800FFBD00FFB100
FFA500FF9800FF8A00FF7D00FF7000FF6300FF5800FF4F00FF4800FF4300FF4100FF4100
FF4300FF4800FF5000FF5900FF6400FF7100FF7E00FF8B00FF9900FFA600FFB200FFBE00
FFC900FFD201FFDB02FFE207FFE80FFFED1BFFF12EFFF545FFF760FFFA7CFFFB97FFFCAF
FFFDC3FFFED4FFFEE0FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF6FFFFF2FFFFEBFFFFE2FFFED7FFFDC7FFFDB3FFFB9CFFFA82FFF866FFF54BFFF232
FFEE1FFFE911FFE308FFDC03FFD401FFCB00FFC000FFB500FFA800FF9B00FF8D00FF8000
FF7200FF6600FF5A00FF5000FF4800FF4200FF3F00FF3E00FF4000FF4400FF4B00FF5400
FF5F00FF6B00FF7800FF8600FF9300FFA100FFAE00FFBA00FFC500FFCF00FFD802FFDF05
FFE60BFFEB16FFF026FFF43CFFF756FFF972FFFB8DFFFCA6FFFDBCFFFECEFFFEDCFFFFE7
FFFFEEFFFFF4FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFFAFFFFFCFFFFFFFBFFFFF5FFFFEEFFFF
E6FFFFDEFEFFD5FEFFCDFEFFC6FDFFC1FDFFBDFDFFBCFDFFBEFDFFC3FDFFCCFEFFDAFEFF
EDFFFFFFFFF8FFFEDCFFFDC1FFFCA6FFFB8EFFF979FFF867FFF757FFF54AFFF43FFFF337
FFF230FFF12AFFF026FFEF22FFEE1FFFEE1DFFED1CFFED1BFFED1AFFED1AFFED1AFFED1B
FFED1CFFEE1EFFEF20FFEF23FFF027FFF12CFFF233FFF33AFFF544FFF650FFF75EFFF96E
FFFA82FFFB99FFFDB2FFFECDFFFFE9FBFFFFE4FFFFD3FEFFC8FDFFC1FDFFBDFDFFBCFDFF
BFFDFFC3FDFFC9FEFFD1FEFFD9FEFFE1FEFFEAFFFFF2FFFFF8FFFFFEFFFFFFFFFDFFFFFB
FFFFFAFFFFF9FFFFFAFFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFF9FFFFF6FFFFF2FFFFEBFFFFE2FFFED6FFFDC7FFFDB3FFFB9C
FFFA81FFF865FFF54AFFF232FFEE1EFFE911FFE308FFDC03FFD401FFCB00FFC000FFB400
FFA800FF9B00FF8D00FF7F00FF7200FF6500FF5A00FF5000FF4800FF4200FF3F00FF3E00
FF4000FF4500FF4B00FF5400FF5F00FF6B00FF7800FF8600FF9300FFA100FFAE00FFBA00
FFC500FFCF00FFD802FFDF05FFE60BFFEB16FFF027FFF43DFFF756FFF972FFFB8EFFFCA7
FFFDBCFFFECEFFFEDCFFFFE7FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFF9
FFFFF6FFFFF2FFFFEBFFFEE2FFFED6FFFDC6FFFDB3FFFB9BFFFA81FFF865FFF54AFFF231
FFEE1EFFE910FFE308FFDC03FFD401FFCA00FFBF00FFB400FFA700FF9A00FF8C00FF7E00
FF7100FF6400FF5800FF4E00FF4600FF4000FF3D00FF3C00FF3E00FF4200FF4900FF5200
FF5D00FF6900FF7600FF8400FF9200FFA000FFAD00FFB900FFC400FFCE00FFD701FFDF05
FFE60BFFEB15FFF026FFF33BFFF655FFF971FFFB8CFFFCA6FFFDBCFFFECEFFFEDCFFFFE6
FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFCFFFFFDFFFFFFFBFFFFF6FFFFF0FFFFE9FFFF
E2FEFFDBFEFFD5FEFFD0FEFFCCFEFFCBFEFFCCFEFFD0FEFFD8FEFFE5FFFFF7FFFFFFFFF1
FFFED8FFFDBFFFFCA6FFFB8FFFF97AFFF868FFF759FFF54CFFF441FFF338FFF231FFF12B
FFF027FFEF23FFEE20FFEE1EFFED1CFFED1AFFED19FFEC19FFEC18FFEC18FFEC18FFEC19
FFED1AFFED1BFFED1CFFEE1EFFEF20FFEF23FFF027FFF12CFFF232FFF339FFF442FFF64D
FFF75BFFF86AFFFA7DFFFB92FFFCA9FFFDC2FFFEDBFFFFF4F4FFFFE3FFFFD7FEFFCFFEFF
CBFEFFCBFEFFCCFEFFD0FEFFD5FEFFDCFEFFE3FFFFEAFFFFF1FFFFF7FFFFFCFFFFFFFFFF
FFFFFDFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE5FFFEDAFFFECBFFFDB9FFFCA3
FFFA89FFF96DFFF652FFF338FFEF23FFEB14FFE50AFFDE04FFD601FFCD00FFC300FFB700
FFAB00FF9E00FF9000FF8200FF7500FF6800FF5C00FF5100FF4800FF4200FF3E00FF3C00
FF3D00FF4100FF4700FF4F00FF5A00FF6600FF7200FF8000FF8E00FF9C00FFA900FFB500
FFC100FFCB00FFD501FFDD03FFE408FFEA12FFEF20FFF234FFF64DFFF868FFFA84FFFC9E
FFFDB5FFFEC9FFFED8FFFFE4FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFF9
FFFFF6FFFFF2FFFFEBFFFEE2FFFED6FFFDC6FFFDB2FFFB9AFFFA80FFF864FFF549FFF231
FFEE1DFFE910FFE307FFDB03FFD301FFCA00FFBF00FFB300FFA600FF9900FF8B00FF7D00
FF6F00FF6200FF5700FF4C00FF4400FF3E00FF3B00FF3A00FF3C00FF4000FF4700FF5100
FF5B00FF6800FF7500FF8300FF9100FF9F00FFAC00FFB800FFC400FFCE00FFD701FFDF04
FFE50AFFEB15FFF025FFF33AFFF654FFF970FFFB8BFFFCA5FFFDBBFFFECDFFFEDBFFFFE6
FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFBFFFFF7FFFFF2FFFFECFFFFE6FFFF
E1FEFFDCFEFFD8FEFFD6FEFFD7FEFFDAFEFFE0FEFFEBFFFFFAFFFFFFFFF1FFFEDBFFFDC4
FFFCADFFFB97FFFA83FFF971FFF862FFF654FFF549FFF440FFF339FFF233FFF12EFFF12A
FFF027FFF025FFEF23FFEF21FFEF20FFEE20FFEE1FFFEE1FFFEE1EFFEE1EFFEE1EFFEE1F
FFEE1FFFEE1FFFEF20FFEF21FFEF23FFEF24FFF027FFF129FFF12DFFF232FFF338FFF43F
FFF548FFF652FFF75FFFF96EFFFA80FFFB93FFFCA9FFFDC0FFFED7FFFFEDFDFFFFEDFFFF
E2FEFFDBFEFFD7FEFFD6FEFFD8FEFFDBFEFFE0FEFFE5FFFFEBFFFFF1FFFFF6FFFFFAFFFF
FEFFFFFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFF8FFFFF5FFFFEFFFFFE8FFFEDEFFFED0FFFDBFFFFCA9
FFFB90FFF975FFF759FFF43FFFF029FFEC17FFE70CFFE005FFD802FFD000FFC600FFBA00
FFAE00FFA100FF9300FF8500FF7800FF6A00FF5E00FF5200FF4900FF4200FF3D00FF3A00
FF3A00FF3D00FF4300FF4B00FF5500FF6000FF6D00FF7A00FF8800FF9600FFA400FFB100
FFBD00FFC800FFD100FFDA02FFE106FFE80EFFED1AFFF12DFFF544FFF75FFFF97BFFFB96
FFFCAEFFFDC2FFFED3FFFEE0FFFFEAFFFFF1FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFF9
FFFFF6FFFFF1FFFFEBFFFEE2FFFED5FFFDC5FFFCB1FFFB9AFFFA7FFFF863FFF548FFF230
FFEE1DFFE80FFFE207FFDB03FFD301FFC900FFBE00FFB200FFA500FF9800FF8A00FF7C00
FF6E00FF6100FF5500FF4A00FF4200FF3C00FF3900FF3800FF3A00FF3E00FF4500FF4F00
FF5A00FF6600FF7400FF8200FF9000FF9E00FFAB00FFB700FFC300FFCD00FFD601FFDE04
FFE50AFFEB14FFEF24FFF33AFFF653FFF96FFFFA8BFFFCA4FFFDBAFFFECDFFFEDBFFFFE6
FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFFFEFFFFFBFFFFF8FFFFF4FFFFEFFFFFEAFFFFE6FFFF
E2FFFFE0FEFFDFFEFFE1FEFFE6FFFFEDFFFFF9FFFFFFFFF5FFFFE3FFFECEFFFDB9FFFCA5
FFFB91FFFA80FFF970FFF863FFF757FFF64EFFF546FFF440FFF33BFFF337FFF335FFF233
FFF231FFF231FFF230FFF230FFF231FFF231FFF231FFF232FFF232FFF232FFF232FFF232
FFF231FFF231FFF231FFF230FFF230FFF230FFF231FFF232FFF234FFF336FFF339FFF43D
FFF443FFF54AFFF652FFF75DFFF869FFF978FFFA88FFFB9BFFFCAFFFFDC4FFFED9FFFFEC
FFFFFEF3FFFFE9FFFFE3FFFFE0FEFFDFFEFFE1FEFFE4FFFFE8FFFFEDFFFFF1FFFFF6FFFF
FAFFFFFDFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEAFFFEE1FFFED4FFFDC4FFFCB0
FFFB98FFFA7DFFF861FFF546FFF12EFFED1CFFE80FFFE207FFDB02FFD201FFC800FFBD00
FFB100FFA400FF9700FF8900FF7B00FF6D00FF6000FF5400FF4A00FF4200FF3C00FF3900
FF3800FF3A00FF3F00FF4600FF4F00FF5B00FF6700FF7500FF8300FF9100FF9F00FFAC00
FFB800FFC400FFCE00FFD701FFDF04FFE60BFFEB15FFF026FFF33BFFF655FFF971FFFB8D
FFFCA6FFFDBCFFFECEFFFEDCFFFFE7FFFFEEFFFFF4FFFFF8FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEBFFFEE1FFFED5FFFDC5FFFCB1FFFB99FFFA7EFFF862FFF547FFF22F
FFED1CFFE80FFFE207FFDB02FFD201FFC800FFBD00FFB100FFA400FF9700FF8800FF7A00
FF6C00FF5F00FF5300FF4900FF4000FF3A00FF3700FF3600FF3800FF3C00FF4400FF4D00
FF5800FF6500FF7200FF8000FF8F00FF9D00FFAA00FFB700FFC200FFCD00FFD601FFDE04
FFE50AFFEB14FFEF23FFF339FFF652FFF96EFFFA8AFFFCA3FFFDBAFFFECCFFFEDBFFFFE6
FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFEFFFFFFFEFFFFFCFFFFF9FFFFF6FFFFF2FFFFEEFFFFEBFFFFE8FFFF
E7FFFFE7FFFFEAFFFFEFFFFFF8FFFFFFFFFBFFFFEBFFFEDAFFFDC8FFFDB5FFFCA3FFFB91
FFFA82FFF975FFF869FFF75FFFF758FFF652FFF64DFFF54AFFF549FFF548FFF549FFF54A
FFF64CFFF64FFFF652FFF756FFF759FFF75DFFF760FFF863FFF865FFF866FFF866FFF865
FFF863FFF760FFF75CFFF759FFF655FFF651FFF64EFFF54CFFF54AFFF548FFF548FFF549
FFF54BFFF64EFFF653FFF759FFF861FFF86BFFF977FFFA85FFFB95FFFCA6FFFDB8FFFECB
FFFEDDFFFFEEFFFFFDF6FFFFEEFFFFE9FFFFE7FFFFE7FFFFE8FFFFEBFFFFEFFFFFF3FFFF
F6FFFFFAFFFFFCFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFECFFFFE4FFFED8FFFEC9FFFDB6
FFFC9FFFFA85FFF869FFF64DFFF234FFEE20FFEA12FFE408FFDD03FFD401FFCB00FFC000
FFB400FFA800FF9A00FF8C00FF7E00FF7000FF6200FF5600FF4B00FF4200FF3B00FF3700
FF3600FF3700FF3B00FF4200FF4A00FF5500FF6100FF6F00FF7D00FF8B00FF9900FFA700
FFB400FFC000FFCA00FFD401FFDC03FFE308FFE911FFEE1FFFF233FFF54CFFF867FFFA83
FFFC9DFFFDB5FFFDC8FFFED7FFFFE3FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEAFFFEE1FFFED5FFFDC4FFFCB0FFFB98FFFA7DFFF861FFF546FFF12E
FFED1BFFE80EFFE206FFDA02FFD201FFC800FFBD00FFB100FFA300FF9600FF8700FF7900
FF6B00FF5D00FF5100FF4700FF3E00FF3800FF3500FF3400FF3600FF3B00FF4200FF4B00
FF5600FF6300FF7100FF7F00FF8D00FF9C00FFA900FFB600FFC200FFCC00FFD601FFDE04
FFE509FFEA13FFEF23FFF338FFF651FFF86DFFFA89FFFCA3FFFDB9FFFECCFFFEDAFFFFE5
FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFEFFFFFDFFFFFAFFFFF7FFFFF4FFFFF1FFFFEFFFFFEDFFFFECFFFF
EDFFFFF1FFFFF6FFFFFFFFFFFFFFF4FFFFE6FFFED6FFFDC5FFFDB5FFFCA5FFFB96FFFA89
FFFA7DFFF974FFF86DFFF867FFF864FFF862FFF862FFF864FFF867FFF86DFFF974FFFA7D
FFFA87FFFB93FFFCA0FFFCAEFFFDBCFFFECAFFFED6FFFEE0FFFFE7FFFFEBFFFFECFFFFE8
FFFEE1FFFED7FFFECBFFFDBEFFFCB0FFFCA2FFFB95FFFA89FFFA7EFFF975FFF96EFFF868
FFF864FFF862FFF862FFF863FFF867FFF86CFFF973FFFA7CFFFA87FFFB94FFFCA3FFFDB3
FFFDC3FFFED4FFFFE4FFFFF2FFFFFEF7FFFFF1FFFFEEFFFFECFFFFEDFFFFEEFFFFF1FFFF
F4FFFFF7FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8FFFFF4FFFFEEFFFFE7FFFEDCFFFECEFFFDBC
FFFCA6FFFB8CFFF971FFF655FFF33BFFF025FFEB15FFE50AFFDF04FFD701FFCE00FFC300
FFB800FFAB00FF9D00FF8F00FF8100FF7300FF6500FF5800FF4C00FF4300FF3B00FF3600
FF3400FF3400FF3800FF3D00FF4600FF5000FF5C00FF6900FF7700FF8500FF9400FFA200
FFAF00FFBB00FFC700FFD100FFD902FFE106FFE70DFFED19FFF12BFFF443FFF75DFFF97A
FFFB95FFFCADFFFDC2FFFED3FFFEE0FFFFE9FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEAFFFEE1FFFED4FFFDC4FFFCAFFFFB97FFFA7CFFF760FFF545FFF12D
FFED1BFFE80EFFE106FFDA02FFD100FFC700FFBC00FFB000FFA300FF9500FF8600FF7800
FF6900FF5C00FF5000FF4500FF3C00FF3600FF3300FF3200FF3400FF3900FF4000FF4900
FF5500FF6200FF6F00FF7E00FF8C00FF9B00FFA800FFB500FFC100FFCC00FFD501FFDD04
FFE409FFEA13FFEF22FFF337FFF650FFF86CFFFA88FFFCA2FFFDB9FFFECBFFFEDAFFFFE5
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFDFFFFFBFFFFF9FFFFF6FFFFF4FFFFF2FFFFF1FFFFF1FFFFF2FFFF
F6FFFFFCFFFFFFFFFBFFFFF0FFFFE3FFFED5FFFDC7FFFDB8FFFCAAFFFC9EFFFB93FFFA8A
FFFA83FFFA7EFFFA7BFFF97BFFFA7DFFFA82FFFA8AFFFB95FFFCA3FFFDB5FFFECBFFFFE5
FCFFFFDEFEFFC5FDFFAFFCFF9EFCFF90FBFF85FAFF7DFAFF78F9FF75F9FF74F9FF76F9FF
7AF9FF81FAFF8BFAFF97FBFFA7FCFFBBFDFFD2FEFFEEFFFFFFFFF2FFFED6FFFDBEFFFCAA
FFFB9BFFFB8EFFFA85FFFA7FFFFA7CFFF97BFFFA7DFFFA80FFFA86FFFB8FFFFB99FFFCA5
FFFDB2FFFDC0FFFECFFFFEDDFFFFEAFFFFF6FFFFFFF8FFFFF4FFFFF1FFFFF1FFFFF2FFFF
F3FFFFF5FFFFF8FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC1
FFFCACFFFB94FFF979FFF75DFFF442FFF12BFFEC19FFE70DFFE106FFD902FFD000FFC600
FFBB00FFAE00FFA100FF9300FF8400FF7600FF6800FF5A00FF4E00FF4400FF3C00FF3600
FF3200FF3200FF3400FF3900FF4100FF4B00FF5600FF6300FF7100FF8000FF8E00FF9C00
FFAA00FFB700FFC300FFCD00FFD601FFDE04FFE50AFFEB14FFF024FFF33AFFF654FFF970
FFFB8CFFFCA5FFFDBBFFFECDFFFEDCFFFFE6FFFFEEFFFFF4FFFFF8FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEAFFFEE0FFFED4FFFDC3FFFCAFFFFB96FFFA7BFFF75FFFF544FFF12D
FFED1AFFE80EFFE106FFDA02FFD100FFC700FFBC00FFAF00FFA200FF9400FF8500FF7600
FF6800FF5A00FF4E00FF4300FF3B00FF3400FF3100FF3000FF3200FF3700FF3E00FF4800
FF5300FF6000FF6E00FF7D00FF8B00FF9A00FFA800FFB500FFC000FFCB00FFD501FFDD03
FFE409FFEA12FFEF21FFF336FFF64FFFF86BFFFA87FFFCA1FFFDB8FFFECBFFFEDAFFFFE5
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF8FFFFF6FFFFF5FFFFF4FFFFF5FFFFF6FFFFFAFFFF
FFFFFFFFFFF8FFFFEEFFFFE3FFFED7FFFECAFFFDBEFFFDB2FFFCA8FFFC9FFFFB99FFFB94
FFFB93FFFB94FFFB98FFFC9FFFFCABFFFDBBFFFED0FFFFEBF2FFFFD1FEFFB3FDFF99FBFF
83FAFF71F9FF61F8FF55F6FF4BF5FF44F5FF3EF4FF3AF3FF37F3FF35F3FF35F3FF36F3FF
38F3FF3BF3FF3FF4FF45F5FF4EF6FF58F7FF65F8FF75F9FF88FAFF9FFCFFBAFDFFD9FEFF
FAFFFFFFFFE4FFFECAFFFDB6FFFCA8FFFB9DFFFB97FFFB93FFFB93FFFB95FFFB9AFFFCA1
FFFCAAFFFDB5FFFDC1FFFECDFFFEDAFFFFE6FFFFF1FFFFFAFEFFFFF9FFFFF6FFFFF4FFFF
F4FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF6FFFFF2FFFFEBFFFFE2FFFED6FFFDC7
FFFDB3FFFB9BFFFA81FFF864FFF549FFF231FFEE1DFFE910FFE207FFDB03FFD301FFC900
FFBE00FFB100FFA400FF9600FF8800FF7900FF6B00FF5D00FF5000FF4500FF3C00FF3500
FF3100FF3000FF3100FF3600FF3C00FF4600FF5100FF5E00FF6B00FF7A00FF8900FF9700
FFA500FFB200FFBE00FFC900FFD301FFDC03FFE307FFE910FFEE1EFFF232FFF54BFFF866
FFFA82FFFB9DFFFDB4FFFDC8FFFED7FFFFE3FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEAFFFEE0FFFED3FFFDC3FFFCAEFFFB96FFF97BFFF75EFFF543FFF12C
FFED1AFFE70DFFE106FFD902FFD000FFC600FFBB00FFAE00FFA100FF9300FF8400FF7500
FF6600FF5900FF4C00FF4100FF3900FF3200FF2F00FF2E00FF3000FF3500FF3C00FF4600
FF5100FF5F00FF6D00FF7B00FF8A00FF9900FFA700FFB400FFC000FFCB00FFD401FFDD03
FFE408FFEA12FFEF21FFF335FFF64FFFF86AFFFA86FFFCA1FFFDB7FFFECAFFFED9FFFFE5
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF7FFFFF7FFFFF7FFFFF9FFFFFCFFFFFFFFFD
FFFFF6FFFFEEFFFFE4FFFEDAFFFECFFFFDC5FFFDBBFFFDB3FFFCADFFFCA9FFFCA8FFFCA9
FFFCAEFFFDB7FFFDC5FFFED8FFFFF2ECFFFFCCFEFFAEFCFF93FBFF7CFAFF68F8FF57F7FF
4AF5FF3FF4FF36F3FF2FF2FF29F1FF25F0FF22EFFF20EEFF1EEEFF1DEEFF1DEEFF1DEEFF
1EEEFF20EEFF22EFFF25F0FF29F0FF2EF1FF35F3FF3EF4FF49F5FF56F7FF67F8FF7AF9FF
91FBFFACFCFFCAFEFFEAFFFFFFFFF4FFFEDAFFFDC6FFFDB8FFFCAFFFFCAAFFFCA8FFFCA9
FFFCADFFFDB3FFFDBBFFFDC4FFFECEFFFED9FFFFE4FFFFEDFFFFF6FFFFFDFDFFFFF9FFFF
F8FFFFF7FFFFF7FFFFF8FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEEFFFFE5FFFEDAFFFECC
FFFDB9FFFCA2FFFA88FFF86CFFF651FFF337FFEF22FFEA13FFE409FFDD04FFD501FFCB00
FFC100FFB500FFA800FF9A00FF8B00FF7C00FF6E00FF6000FF5200FF4700FF3D00FF3500
FF3000FF2E00FF2F00FF3200FF3800FF4100FF4B00FF5800FF6500FF7400FF8300FF9100
FFA000FFAD00FFBA00FFC500FFD000FFD902FFE005FFE70DFFEC19FFF12AFFF442FFF75C
FFF979FFFB94FFFCADFFFDC1FFFED2FFFEDFFFFFE9FFFFF0FFFFF5FFFFF9FFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEAFFFEE0FFFED3FFFDC2FFFCAEFFFB95FFF97AFFF75DFFF443FFF12B
FFED19FFE70DFFE106FFD902FFD000FFC600FFBA00FFAE00FFA000FF9200FF8300FF7400
FF6500FF5700FF4B00FF4000FF3700FF3100FF2D00FF2C00FF2E00FF3300FF3A00FF4400
FF5000FF5D00FF6B00FF7A00FF8900FF9800FFA600FFB300FFBF00FFCA00FFD401FFDC03
FFE408FFEA11FFEF20FFF335FFF64EFFF86AFFFA86FFFCA0FFFDB7FFFECAFFFED9FFFFE4
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFFAFFFFFBFFFFFEFFFFFFFFFCFFFFF6
FFFFEFFFFFE7FFFEDEFFFED5FFFECCFFFDC5FFFDBFFFFDBBFFFDBAFFFDBBFFFDC0FFFEC9
FFFED7FFFFEBF9FFFFDBFEFFBDFDFFA2FCFF89FAFF73F9FF60F7FF50F6FF43F4FF38F3FF
30F2FF29F0FF24EFFF20EEFF1CEDFF1AEDFF18ECFF16ECFF15EBFF15EBFF14EBFF15EBFF
15EBFF16EBFF17ECFF19ECFF1BEDFF1EEEFF22EFFF27F0FF2DF1FF35F3FF3FF4FF4BF5FF
59F7FF6BF8FF80FAFF98FBFFB3FDFFCFFEFFEDFFFFFFFFF5FFFEDEFFFECEFFFDC3FFFDBD
FFFDBAFFFDBAFFFDBDFFFDC2FFFEC9FFFED1FFFEDAFFFFE3FFFFECFFFFF4FFFFFAFFFFFF
FCFFFFFAFFFFF9FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8FFFFF5FFFFEFFFFFE8FFFEDEFFFED0
FFFDBFFFFCA9FFFB90FFF975FFF758FFF43EFFF027FFEC16FFE60BFFDF05FFD701FFCE00
FFC400FFB800FFAB00FF9D00FF8F00FF8000FF7100FF6200FF5500FF4800FF3E00FF3600
FF3000FF2D00FF2C00FF2F00FF3400FF3C00FF4600FF5200FF6000FF6E00FF7D00FF8C00
FF9A00FFA800FFB500FFC100FFCC00FFD601FFDE04FFE50AFFEB14FFEF24FFF339FFF653
FFF96FFFFA8BFFFCA4FFFDBBFFFECDFFFEDBFFFFE6FFFFEEFFFFF4FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEE0FFFED3FFFDC2FFFCADFFFB94FFF979FFF75DFFF442FFF12B
FFEC19FFE70DFFE005FFD902FFD000FFC500FFBA00FFAD00FF9F00FF9100FF8200FF7200
FF6400FF5600FF4900FF3E00FF3500FF2F00FF2B00FF2A00FF2C00FF3100FF3900FF4300
FF4E00FF5C00FF6A00FF7900FF8800FF9700FFA500FFB200FFBF00FFCA00FFD401FFDC03
FFE308FFE911FFEE20FFF234FFF64DFFF869FFFA85FFFC9FFFFDB6FFFECAFFFED9FFFFE4
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFDFFFFFFFFFFFFFFFCFFFFF7FFFFF0
FFFFE9FFFEE2FFFEDBFFFED4FFFECEFFFECAFFFEC9FFFEC9FFFECEFFFED6FFFFE3FFFFF5
F2FFFFD7FEFFBCFDFFA2FCFF8AFAFF75F9FF63F8FF53F6FF46F5FF3BF3FF32F2FF2BF1FF
26F0FF21EFFF1EEEFF1BEDFF19ECFF17ECFF16EBFF15EBFF15EBFF14EBFF14EBFF14EBFF
14EBFF15EBFF15EBFF17ECFF18ECFF1AEDFF1CEDFF1FEEFF23EFFF27F0FF2DF1FF35F3FF
3EF4FF49F5FF57F7FF68F8FF7BF9FF91FBFFAAFCFFC4FDFFDFFEFFF9FFFFFFFFEFFFFEDE
FFFED3FFFECCFFFEC9FFFEC9FFFECBFFFED0FFFED6FFFEDDFFFFE4FFFFECFFFFF2FFFFF8
FFFFFDFEFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEAFFFEE1FFFED5
FFFDC4FFFCB0FFFB98FFFA7DFFF760FFF545FFF12DFFED1BFFE80EFFE106FFDA02FFD100
FFC700FFBB00FFAF00FFA100FF9200FF8400FF7400FF6600FF5700FF4B00FF3F00FF3600
FF2F00FF2B00FF2A00FF2C00FF3000FF3800FF4100FF4D00FF5A00FF6800FF7700FF8600
FF9500FFA300FFB100FFBD00FFC800FFD201FFDB03FFE207FFE910FFEE1DFFF231FFF54A
FFF865FFFA81FFFB9CFFFDB4FFFDC7FFFED7FFFFE3FFFFECFFFFF2FFFFF7FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC1FFFCACFFFB94FFF978FFF75CFFF441FFF12A
FFEC18FFE70CFFE005FFD802FFCF00FFC500FFB900FFAC00FF9E00FF9000FF8000FF7100
FF6200FF5400FF4700FF3C00FF3300FF2D00FF2900FF2800FF2A00FF2F00FF3700FF4100
FF4D00FF5A00FF6900FF7800FF8700FF9600FFA400FFB200FFBE00FFC900FFD301FFDC03
FFE308FFE911FFEE1FFFF233FFF64CFFF868FFFA84FFFC9FFFFDB6FFFEC9FFFED8FFFFE4
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFEFFFFFFFFFFFFFFFCFFFFF7FFFFF2FFFFEC
FFFFE6FFFEE0FFFEDBFFFED7FFFED5FFFED5FFFED8FFFEDEFFFFE9FFFFF8F2FFFFDBFEFF
C3FDFFABFCFF94FBFF7FFAFF6DF8FF5DF7FF4FF6FF44F5FF3BF3FF34F2FF2EF1FF29F1FF
26F0FF23EFFF21EFFF1FEEFF1EEEFF1DEEFF1CEDFF1CEDFF1BEDFF1BEDFF1BEDFF1BEDFF
1BEDFF1BEDFF1CEDFF1CEDFF1DEEFF1EEEFF1FEEFF21EFFF23EFFF26F0FF29F1FF2EF1FF
34F2FF3BF3FF44F5FF4FF6FF5DF7FF6CF8FF7FFAFF94FBFFAAFCFFC2FDFFDBFEFFF2FFFF
FFFFF8FFFFE9FFFEDEFFFED8FFFED5FFFED5FFFED7FFFEDBFFFEE0FFFFE6FFFFECFFFFF2
FFFFF7FFFFFCFFFFFFFEFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE4FFFED9
FFFEC9FFFDB6FFFC9FFFFA85FFF868FFF64DFFF233FFEE1FFFE911FFE308FFDC03FFD301
FFC900FFBE00FFB200FFA500FF9600FF8700FF7800FF6900FF5A00FF4D00FF4100FF3700
FF2F00FF2B00FF2800FF2900FF2D00FF3300FF3C00FF4700FF5400FF6200FF7100FF8000
FF8F00FF9E00FFAC00FFB900FFC500FFCF00FFD802FFE005FFE70CFFEC18FFF12AFFF441
FFF75BFFF978FFFB93FFFCACFFFDC1FFFED2FFFEDFFFFFE9FFFFF0FFFFF5FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC1FFFCACFFFB93FFF977FFF75BFFF440FFF129
FFEC18FFE60CFFE005FFD802FFCF00FFC400FFB800FFAB00FF9D00FF8F00FF7F00FF7000
FF6100FF5300FF4600FF3B00FF3200FF2B00FF2700FF2700FF2900FF2E00FF3500FF3F00
FF4B00FF5900FF6700FF7700FF8600FF9500FFA400FFB100FFBE00FFC900FFD301FFDB03
FFE307FFE910FFEE1EFFF232FFF54BFFF867FFFA83FFFC9EFFFDB5FFFEC9FFFED8FFFFE4
FFFFECFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFCFFFFF8FFFFF4FFFFEFFFFFEA
FFFFE6FFFEE2FFFEDFFFFEDEFFFEE0FFFFE4FFFFECFFFFF8F7FFFFE3FFFFCEFEFFB8FDFF
A2FCFF8EFBFF7CFAFF6CF8FF5EF7FF53F6FF49F5FF42F4FF3CF4FF37F3FF33F2FF31F2FF
2FF2FF2EF1FF2EF1FF2DF1FF2EF1FF2EF1FF2FF2FF2FF2FF30F2FF31F2FF31F2FF31F2FF
31F2FF30F2FF30F2FF2FF2FF2EF1FF2EF1FF2EF1FF2DF1FF2EF1FF2FF2FF30F2FF32F2FF
36F3FF3AF3FF3FF4FF47F5FF4FF6FF5AF7FF67F8FF77F9FF88FAFF9CFBFFB1FCFFC7FDFF
DCFEFFF0FFFFFFFFFDFFFFEFFFFFE6FFFEE1FFFEDEFFFEDFFFFEE1FFFFE4FFFFE9FFFFEE
FFFFF3FFFFF7FFFFFBFFFFFEFFFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8FFFFF4FFFFEFFFFFE7FFFEDC
FFFECEFFFDBCFFFCA6FFFB8CFFF971FFF654FFF33AFFF024FFEB14FFE50AFFDE04FFD601
FFCC00FFC100FFB500FFA800FF9A00FF8B00FF7C00FF6C00FF5D00FF5000FF4300FF3800
FF3000FF2A00FF2700FF2700FF2A00FF2F00FF3800FF4200FF4E00FF5C00FF6B00FF7A00
FF8A00FF9900FFA700FFB400FFC000FFCB00FFD501FFDD04FFE409FFEA13FFEF23FFF338
FFF652FFF96EFFFA8AFFFCA4FFFDBAFFFECDFFFEDBFFFFE6FFFFEEFFFFF4FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC0FFFCABFFFB92FFF977FFF75AFFF43FFFF029
FFEC17FFE60CFFE005FFD802FFCE00FFC400FFB800FFAB00FF9D00FF8E00FF7E00FF6F00
FF6000FF5100FF4400FF3900FF3000FF2900FF2600FF2500FF2700FF2C00FF3400FF3E00
FF4A00FF5700FF6600FF7500FF8500FF9400FFA300FFB100FFBD00FFC800FFD201FFDB03
FFE307FFE910FFEE1EFFF232FFF54BFFF866FFFA83FFFC9DFFFDB5FFFDC8FFFED8FFFFE4
FFFFECFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFCFFFFF9FFFFF6FFFFF2FFFFEEFFFFEA
FFFFE8FFFFE6FFFFE6FFFFE9FFFFEEFFFFF6FCFFFFECFFFFDAFEFFC7FDFFB3FDFFA1FCFF
8FFBFF7FFAFF71F9FF65F8FF5CF7FF54F6FF4EF6FF4AF5FF47F5FF45F5FF45F5FF46F5FF
48F5FF4BF5FF4EF6FF52F6FF57F7FF5CF7FF61F7FF65F8FF69F8FF6CF8FF6DF9FF6EF9FF
6DF8FF6BF8FF68F8FF63F8FF5FF7FF5AF7FF55F6FF51F6FF4DF6FF4AF5FF47F5FF46F5FF
45F5FF46F5FF48F5FF4BF5FF50F6FF56F7FF5FF7FF69F8FF76F9FF84FAFF95FBFFA7FCFF
BAFDFFCEFEFFE1FEFFF2FFFFFFFFFEFFFFF3FFFFECFFFFE7FFFFE6FFFFE6FFFFE9FFFFEC
FFFFEFFFFFF3FFFFF7FFFFFBFFFFFDFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFE9FFFEE0
FFFED3FFFDC2FFFCADFFFB94FFF979FFF75CFFF441FFF12AFFEC18FFE70CFFE005FFD802
FFCF00FFC500FFB900FFAC00FF9E00FF8F00FF7F00FF7000FF6100FF5200FF4500FF3A00
FF3100FF2A00FF2600FF2500FF2700FF2B00FF3300FF3D00FF4900FF5600FF6500FF7400
FF8400FF9300FFA200FFB000FFBC00FFC800FFD201FFDB02FFE207FFE80FFFEE1DFFF230
FFF549FFF864FFFA81FFFB9CFFFDB3FFFDC7FFFED7FFFFE3FFFFECFFFFF2FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEDFFFFED1FFFDC0FFFCABFFFB92FFF976FFF75AFFF43FFFF028
FFEC17FFE60BFFDF05FFD701FFCE00FFC300FFB700FFAA00FF9C00FF8D00FF7D00FF6E00
FF5E00FF5000FF4300FF3800FF2E00FF2800FF2400FF2300FF2500FF2A00FF3200FF3C00
FF4800FF5600FF6500FF7400FF8400FF9300FFA200FFB000FFBD00FFC800FFD201FFDB03
FFE207FFE910FFEE1DFFF231FFF54AFFF866FFFA82FFFB9DFFFDB4FFFDC8FFFED7FFFFE3
FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFDFFFFFAFFFFF8FFFFF4FFFFF1FFFFEFFFFFED
FFFFECFFFFEDFFFFF0FFFFF5FFFFFEF5FFFFE6FFFFD6FEFFC5FDFFB4FDFFA3FCFF94FBFF
86FAFF7BF9FF71F9FF69F8FF64F8FF61F7FF5FF7FF5FF7FF62F8FF66F8FF6CF8FF75F9FF
7FFAFF8CFBFF9AFBFFABFCFFBDFDFFCFFEFFE1FEFFF2FFFFFFFFFEFFFFF3FFFFEDFFFFEB
FFFFEDFFFFF4FFFFFFF2FFFFE0FEFFCEFEFFBCFDFFAAFCFF9AFBFF8BFBFF7FFAFF74F9FF
6CF8FF66F8FF62F8FF5FF7FF5FF7FF61F8FF64F8FF6AF8FF71F9FF7BF9FF87FAFF95FBFF
A4FCFFB4FDFFC6FDFFD7FEFFE7FFFFF5FFFFFFFFFEFFFFF5FFFFF0FFFFEDFFFFECFFFFED
FFFFEFFFFFF2FFFFF5FFFFF8FFFFFBFFFFFDFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF2FFFFECFFFFE3
FFFED7FFFDC7FFFDB3FFFB9CFFFA81FFF864FFF549FFF230FFEE1DFFE80FFFE207FFDB02
FFD200FFC800FFBC00FFAF00FFA100FF9300FF8300FF7400FF6400FF5500FF4800FF3C00
FF3200FF2A00FF2500FF2300FF2400FF2800FF2F00FF3800FF4300FF5100FF5F00FF6E00
FF7E00FF8D00FF9C00FFAB00FFB800FFC400FFCE00FFD802FFE005FFE60CFFEC17FFF029
FFF440FFF75BFFF977FFFB93FFFCACFFFDC1FFFED2FFFEDFFFFFE9FFFFF0FFFFF5FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEDEFFFED1FFFDC0FFFCAAFFFB91FFF975FFF759FFF43EFFF027
FFEC16FFE60BFFDF05FFD701FFCE00FFC300FFB700FFA900FF9B00FF8C00FF7C00FF6D00
FF5D00FF4F00FF4100FF3600FF2D00FF2600FF2200FF2100FF2300FF2900FF3000FF3B00
FF4700FF5500FF6400FF7300FF8300FF9200FFA100FFAF00FFBC00FFC800FFD201FFDB02
FFE207FFE80FFFEE1DFFF231FFF549FFF865FFFA81FFFB9CFFFDB4FFFDC8FFFED7FFFFE3
FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFDFFFFFBFFFFF9FFFFF7FFFFF4FFFFF2FFFFF1FFFFF1
FFFFF2FFFFF5FFFFFBFCFFFFF1FFFFE4FFFFD5FEFFC6FDFFB7FDFFA9FCFF9CFBFF91FBFF
88FAFF80FAFF7CFAFF79F9FF79F9FF7CFAFF81FAFF8AFAFF96FBFFA6FCFFBBFDFFD5FEFF
F4FFFFFFFFE8FFFEC9FFFCAFFFFB99FFFA88FFF97AFFF96FFFF867FFF861FFF75EFFF75C
FFF75DFFF760FFF865FFF86CFFF976FFFA84FFFB94FFFCA9FFFDC2FFFEDFFEFFFFDDFEFF
C2FDFFACFCFF9AFBFF8DFBFF83FAFF7DFAFF7AF9FF79F9FF7BF9FF7FFAFF85FAFF8EFBFF
99FBFFA5FCFFB3FDFFC2FDFFD1FEFFE0FEFFEDFFFFF9FFFFFFFFFDFFFFF6FFFFF3FFFFF1
FFFFF1FFFFF2FFFFF4FFFFF6FFFFF8FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEEFFFFE6
FFFEDBFFFECCFFFDBAFFFCA3FFFA89FFF86DFFF650FFF337FFEF22FFEA12FFE409FFDD03
FFD401FFCA00FFBF00FFB300FFA500FF9700FF8700FF7800FF6800FF5900FF4B00FF3E00
FF3300FF2A00FF2500FF2200FF2200FF2500FF2B00FF3300FF3E00FF4B00FF5900FF6800
FF7800FF8800FF9700FFA600FFB300FFC000FFCB00FFD501FFDD03FFE409FFEA13FFEF22
FFF337FFF651FFF96DFFFA8AFFFCA4FFFDBAFFFECDFFFEDBFFFFE6FFFFEEFFFFF4FFFFF8
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE8FFFEDEFFFED1FFFDBFFFFCAAFFFB90FFF975FFF758FFF43DFFF027
FFEB16FFE60BFFDF04FFD701FFCD00FFC200FFB600FFA900FF9A00FF8B00FF7B00FF6B00
FF5C00FF4D00FF4000FF3400FF2B00FF2400FF2000FF2000FF2200FF2700FF2F00FF3900
FF4500FF5300FF6300FF7200FF8200FF9200FFA100FFAF00FFBC00FFC700FFD100FFDA02
FFE207FFE80FFFED1CFFF230FFF548FFF864FFFA81FFFB9CFFFDB3FFFDC7FFFED7FFFFE3
FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF8FFFFF7FFFFF5FFFFF4FFFFF4FFFFF6
FFFFF9FFFFFFF9FFFFEFFFFFE3FFFFD7FEFFCAFEFFBDFDFFB1FCFFA7FCFF9EFCFF97FBFF
93FBFF91FBFF92FBFF97FBFF9FFCFFACFCFFBDFDFFD5FEFFF4FFFFFFFFE6FFFDC4FFFCA5
FFFA8BFFF975FFF863FFF654FFF548FFF43FFFF337FFF232FFF12EFFF12BFFF129FFF029
FFF029FFF12AFFF12CFFF22FFFF234FFF33AFFF442FFF64DFFF75AFFF86AFFFA7DFFFB95
FFFCB1FFFED2FFFFF5E6FFFFCAFEFFB5FDFFA6FCFF9BFBFF95FBFF91FBFF91FBFF94FBFF
9AFBFFA1FCFFABFCFFB6FDFFC2FDFFCFFEFFDCFEFFE8FFFFF3FFFFFCFFFFFFFFFCFFFFF8
FFFFF5FFFFF4FFFFF4FFFFF6FFFFF7FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9
FFFEDEFFFED1FFFDBFFFFCAAFFFB91FFF975FFF758FFF43EFFF027FFEB16FFE60BFFDF04
FFD701FFCD00FFC200FFB600FFA900FF9B00FF8B00FF7C00FF6C00FF5C00FF4E00FF4000
FF3500FF2B00FF2400FF2100FF2000FF2200FF2700FF2F00FF3900FF4500FF5300FF6200
FF7200FF8200FF9100FFA000FFAE00FFBB00FFC700FFD100FFDA02FFE207FFE80FFFED1C
FFF230FFF548FFF864FFFA80FFFB9BFFFDB3FFFDC7FFFED7FFFFE3FFFFECFFFFF2FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE8FFFEDEFFFED0FFFDBFFFFCA9FFFB90FFF974FFF757FFF43DFFF026
FFEB15FFE50AFFDF04FFD601FFCD00FFC200FFB600FFA800FF9A00FF8A00FF7A00FF6A00
FF5B00FF4C00FF3F00FF3300FF2A00FF2300FF1F00FF1E00FF2000FF2500FF2D00FF3800
FF4400FF5200FF6100FF7100FF8100FF9100FFA000FFAE00FFBB00FFC700FFD100FFDA02
FFE206FFE80FFFED1CFFF22FFFF548FFF864FFFA80FFFB9BFFFDB3FFFDC7FFFED7FFFFE3
FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF7FFFFF7FFFFF7FFFFF9FFFFFC
FEFFFFF7FFFFEFFFFFE5FFFFDAFEFFCFFEFFC4FDFFBBFDFFB2FDFFACFCFFA8FCFFA6FCFF
A8FCFFAEFCFFB8FDFFC6FDFFDBFEFFF8FFFFFFFFE5FFFDC3FFFCA5FFFA89FFF972FFF75E
FFF64EFFF441FFF336FFF12EFFF027FFEF22FFEE1EFFED1BFFED19FFEC18FFEC17FFEB16
FFEC16FFEC17FFEC18FFED19FFED1CFFEE1FFFEF23FFF028FFF22FFFF337FFF442FFF64F
FFF760FFF974FFFB8CFFFCA8FFFDC7FFFFE8F4FFFFD9FEFFC5FDFFB6FDFFADFCFFA8FCFF
A6FCFFA8FCFFACFCFFB3FDFFBBFDFFC5FDFFD0FEFFDBFEFFE6FFFFF0FFFFF8FFFFFFFFFF
FFFFFCFFFFF9FFFFF7FFFFF7FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFF9FFFFF6FFFFF2FFFFEB
FFFEE2FFFED5FFFDC5FFFCB1FFFB98FFFA7DFFF761FFF545FFF12DFFED1AFFE70DFFE106
FFD902FFD000FFC600FFBA00FFAD00FF9E00FF8F00FF8000FF7000FF6000FF5100FF4300
FF3700FF2C00FF2500FF2000FF1E00FF1F00FF2300FF2A00FF3400FF4000FF4D00FF5C00
FF6C00FF7C00FF8C00FF9B00FFAA00FFB700FFC300FFCE00FFD701FFDF05FFE60BFFEC17
FFF028FFF43FFFF75AFFF977FFFB92FFFCABFFFDC1FFFED2FFFEDFFFFFE9FFFFF0FFFFF5
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF5FFFFF0FFFFE8FFFEDEFFFED0FFFDBEFFFCA9FFFB8FFFF973FFF757FFF43CFFF026
FFEB15FFE50AFFDE04FFD601FFCC00FFC100FFB500FFA700FF9900FF8900FF7900FF6900
FF5A00FF4B00FF3D00FF3100FF2800FF2100FF1D00FF1C00FF1F00FF2400FF2C00FF3600
FF4300FF5100FF6000FF7000FF8000FF9000FF9F00FFAD00FFBB00FFC600FFD100FFDA02
FFE106FFE80EFFED1CFFF22FFFF547FFF863FFFA7FFFFB9AFFFDB2FFFDC6FFFED6FFFFE3
FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFFBFFFFFEFDFFFF
F7FFFFEFFFFFE7FFFFDEFEFFD5FEFFCCFEFFC4FDFFBEFDFFBAFDFFB9FDFFBAFDFFC0FDFF
CAFEFFD8FEFFEEFFFFFFFFF5FFFED6FFFDB7FFFB9BFFFA81FFF86BFFF758FFF549FFF43C
FFF232FFF12AFFEF24FFEE1FFFED1BFFEC18FFEB15FFEB14FFEA12FFEA11FFE911FFE910
FFE910FFE911FFE911FFEA12FFEA13FFEB15FFEC17FFED1AFFEE1EFFEF23FFF029FFF230
FFF33AFFF546FFF655FFF867FFFA7CFFFB95FFFCB1FFFECFFFFFEEF3FFFFDCFEFFCCFEFF
C2FDFFBBFDFFB9FDFFBAFDFFBDFDFFC3FDFFCAFEFFD3FEFFDCFEFFE5FFFFEEFFFFF5FFFF
FCFFFFFFFFFFFFFFFBFFFFFAFFFFF9FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFED
FFFFE5FFFED9FFFECAFFFDB7FFFCA0FFFA85FFF869FFF64DFFF234FFEE1FFFE911FFE308
FFDC03FFD301FFC900FFBD00FFB000FFA200FF9300FF8400FF7400FF6400FF5400FF4600
FF3900FF2E00FF2500FF1F00FF1D00FF1D00FF2000FF2600FF2F00FF3B00FF4800FF5600
FF6600FF7600FF8600FF9600FFA400FFB200FFBF00FFCA00FFD401FFDD03FFE409FFEA12
FFEF22FFF337FFF651FFF86DFFFA89FFFCA3FFFDBAFFFECDFFFEDBFFFFE6FFFFEEFFFFF4
FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF5FFFFEFFFFFE8FFFEDEFFFED0FFFDBEFFFCA8FFFB8FFFF973FFF756FFF43CFFF025
FFEB15FFE50AFFDE04FFD601FFCC00FFC100FFB500FFA700FF9800FF8900FF7800FF6800
FF5800FF4900FF3C00FF3000FF2700FF2000FF1C00FF1B00FF1D00FF2200FF2A00FF3500
FF4100FF5000FF5F00FF6F00FF7F00FF8F00FF9F00FFAD00FFBA00FFC600FFD000FFD902
FFE106FFE80EFFED1BFFF12EFFF547FFF862FFFA7FFFFB9AFFFDB2FFFDC6FFFED6FFFFE2
FFFFEBFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFBFFFFFCFFFFFFFCFFFFF7FFFF
F1FFFFEAFFFFE2FEFFDBFEFFD4FEFFCEFEFFCAFEFFC8FDFFC9FEFFCDFEFFD6FEFFE3FFFF
F6FFFFFFFFEFFFFED4FFFDB8FFFC9DFFFA85FFF96FFFF75DFFF64DFFF441FFF336FFF12E
FFF027FFEF22FFEE1EFFED1BFFEC18FFEB16FFEB15FFEA13FFEA13FFEA12FFEA12FFEA11
FFE911FFEA11FFEA12FFEA12FFEA13FFEB14FFEB15FFEC17FFED19FFED1CFFEE20FFEF24
FFF12AFFF232FFF33BFFF546FFF654FFF865FFF979FFFB90FFFCAAFFFDC5FFFEE1FFFFFC
EDFFFFDCFEFFD1FEFFCBFEFFC8FDFFC9FEFFCCFEFFD1FEFFD7FEFFDEFEFFE6FFFFEDFFFF
F4FFFFFAFFFFFEFFFFFFFFFEFFFFFCFFFFFBFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8FFFFF5FFFFEF
FFFFE8FFFEDDFFFECFFFFDBDFFFCA7FFFB8DFFF971FFF655FFF33BFFF024FFEB14FFE50A
FFDE04FFD501FFCC00FFC000FFB400FFA600FF9700FF8800FF7800FF6800FF5800FF4900
FF3B00FF3000FF2600FF1F00FF1C00FF1B00FF1D00FF2300FF2B00FF3500FF4200FF5000
FF6000FF7000FF8000FF9000FF9F00FFAD00FFBB00FFC600FFD100FFDA02FFE206FFE80E
FFED1CFFF22FFFF548FFF863FFFA80FFFB9BFFFDB3FFFDC7FFFED7FFFFE3FFFFECFFFFF2
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF5FFFFEFFFFFE8FFFEDDFFFECFFFFDBEFFFCA8FFFB8EFFF972FFF655FFF33BFFF025
FFEB14FFE50AFFDE04FFD501FFCC00FFC100FFB400FFA600FF9700FF8800FF7800FF6700
FF5700FF4800FF3B00FF2F00FF2500FF1E00FF1A00FF1900FF1B00FF2100FF2900FF3300
FF4000FF4F00FF5E00FF6E00FF7F00FF8F00FF9E00FFAC00FFBA00FFC600FFD000FFD902
FFE106FFE80EFFED1BFFF12EFFF546FFF862FFFA7EFFFB99FFFDB2FFFDC6FFFED6FFFEE2
FFFFEBFFFFF2FFFFF6FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFFFCFFFFF8FFFFF3FFFF
EDFFFFE7FFFFE1FEFFDBFEFFD7FEFFD5FEFFD5FEFFD8FEFFDEFEFFE9FFFFF9FFFFFFFFF1
FFFED9FFFDC0FFFCA7FFFB90FFF97BFFF868FFF759FFF54BFFF440FFF338FFF231FFF12B
FFF027FFEF23FFEF21FFEE1FFFEE1DFFED1CFFED1BFFED1BFFED1AFFED1AFFED1AFFED1A
FFED1AFFED1AFFED1AFFED1AFFED1AFFED1BFFED1BFFED1CFFEE1DFFEE1FFFEF21FFEF24
FFF027FFF12CFFF232FFF339FFF442FFF64DFFF75BFFF86BFFFA7EFFFB94FFFCABFFFDC4
FFFEDDFFFFF4F6FFFFE7FFFFDDFEFFD7FEFFD5FEFFD5FEFFD8FEFFDCFEFFE2FEFFE8FFFF
EEFFFFF3FFFFF9FFFFFDFFFFFFFFFFFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1
FFFFEAFFFEE0FFFED4FFFDC3FFFCAEFFFB95FFF97AFFF75DFFF442FFF12AFFEC18FFE70C
FFE005FFD802FFCF00FFC400FFB800FFAA00FF9C00FF8C00FF7C00FF6C00FF5C00FF4C00
FF3E00FF3200FF2700FF2000FF1B00FF1900FF1B00FF1F00FF2600FF3000FF3D00FF4B00
FF5A00FF6A00FF7A00FF8A00FF9A00FFA900FFB600FFC200FFCD00FFD701FFDF05FFE60B
FFEC17FFF028FFF43FFFF75AFFF976FFFB92FFFCABFFFDC1FFFED2FFFEDFFFFFE9FFFFF0
FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF5FFFFEFFFFFE8FFFEDDFFFECFFFFDBDFFFCA7FFFB8DFFF971FFF655FFF33AFFEF24
FFEB14FFE50AFFDE04FFD501FFCB00FFC000FFB400FFA600FF9700FF8700FF7700FF6600
FF5600FF4700FF3900FF2D00FF2400FF1D00FF1900FF1800FF1A00FF1F00FF2700FF3200
FF3F00FF4D00FF5D00FF6D00FF7E00FF8E00FF9D00FFAC00FFB900FFC500FFD000FFD902
FFE106FFE70DFFED1AFFF12DFFF545FFF861FFFA7EFFFB99FFFCB1FFFDC5FFFED6FFFEE2
FFFFEBFFFFF2FFFFF6FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFCFFFFF9FFFFF4FFFFF0FFFF
EBFFFFE6FFFFE2FEFFDFFEFFDEFEFFE0FEFFE4FFFFECFFFFF8FFFFFFFFF6FFFEE2FFFECC
FFFDB6FFFCA0FFFB8BFFF979FFF869FFF75BFFF650FFF547FFF43FFFF339FFF335FFF232
FFF230FFF12EFFF12DFFF12DFFF12EFFF22FFFF22FFFF231FFF232FFF233FFF234FFF234
FFF234FFF234FFF234FFF233FFF232FFF231FFF230FFF22FFFF12EFFF12DFFF12DFFF12E
FFF22FFFF231FFF234FFF339FFF43EFFF545FFF64EFFF759FFF867FFF976FFFA88FFFB9D
FFFDB2FFFEC8FFFEDEFFFFF3FBFFFFEDFFFFE5FFFFE0FEFFDEFEFFDFFEFFE1FEFFE5FFFF
EAFFFFEFFFFFF4FFFFF8FFFFFCFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3
FFFFECFFFFE4FFFED8FFFDC8FFFDB5FFFB9DFFFA82FFF865FFF549FFF231FFEE1DFFE80F
FFE207FFDA02FFD100FFC700FFBB00FFAE00FFA000FF9000FF8000FF7000FF6000FF5000
FF4100FF3400FF2900FF2000FF1B00FF1800FF1800FF1C00FF2200FF2C00FF3700FF4500
FF5400FF6400FF7400FF8400FF9400FFA300FFB100FFBE00FFCA00FFD401FFDC03FFE408
FFEA12FFEF21FFF337FFF650FFF86DFFFA89FFFCA3FFFDBAFFFECDFFFEDBFFFFE6FFFFEE
FFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF5FFFFEFFFFFE7FFFEDDFFFECFFFFDBDFFFCA7FFFB8DFFF971FFF654FFF33AFFEF24
FFEB14FFE509FFDD04FFD501FFCB00FFC000FFB300FFA500FF9600FF8600FF7600FF6500
FF5500FF4600FF3800FF2C00FF2200FF1B00FF1700FF1600FF1900FF1E00FF2600FF3100
FF3E00FF4C00FF5C00FF6C00FF7D00FF8D00FF9D00FFAB00FFB900FFC500FFCF00FFD902
FFE106FFE70DFFED1AFFF12DFFF545FFF760FFFA7DFFFB98FFFCB1FFFDC5FFFED5FFFEE2
FFFFEBFFFFF2FFFFF6FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFDFFFFFAFFFFF6FFFFF2FFFFEEFFFF
EBFFFFE8FFFFE6FFFFE6FFFFE9FFFFEEFFFFF7FFFFFFFFFCFFFFECFFFED9FFFDC6FFFDB2
FFFC9FFFFB8DFFFA7DFFF96FFFF863FFF75AFFF652FFF64DFFF549FFF546FFF545FFF546
FFF547FFF54AFFF64EFFF653FFF759FFF75FFFF866FFF86DFFF973FFF979FFFA7EFFFA81
FFFA82FFFA82FFFA7FFFFA7BFFF976FFF970FFF869FFF862FFF75CFFF655FFF650FFF64C
FFF549FFF546FFF545FFF546FFF547FFF54BFFF64FFFF756FFF75FFFF869FFF976FFFA85
FFFB96FFFCA9FFFDBCFFFED0FFFFE3FFFFF4FCFFFFF1FFFFEBFFFFE7FFFFE6FFFFE7FFFF
E9FFFFEDFFFFF1FFFFF4FFFFF8FFFFFBFFFFFEFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8FFFFF4
FFFFEEFFFFE7FFFEDCFFFECDFFFDBBFFFCA4FFFA8AFFF96EFFF651FFF337FFEF22FFEA12
FFE409FFDD03FFD401FFCA00FFBF00FFB200FFA400FF9500FF8500FF7400FF6400FF5400
FF4400FF3700FF2B00FF2100FF1B00FF1700FF1600FF1900FF1F00FF2700FF3200FF3F00
FF4E00FF5E00FF6E00FF7E00FF8F00FF9E00FFAD00FFBA00FFC600FFD000FFDA02FFE106
FFE80EFFED1CFFF22FFFF547FFF863FFFA80FFFB9BFFFDB3FFFDC7FFFED7FFFFE3FFFFEC
FFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDDFFFECFFFFDBDFFFCA6FFFB8CFFF970FFF654FFF339FFEF23
FFEA13FFE409FFDD04FFD501FFCB00FFBF00FFB300FFA500FF9500FF8500FF7500FF6400
FF5400FF4500FF3700FF2B00FF2100FF1A00FF1600FF1500FF1700FF1D00FF2500FF3000
FF3D00FF4B00FF5B00FF6B00FF7C00FF8C00FF9C00FFAB00FFB800FFC400FFCF00FFD902
FFE005FFE70DFFED1AFFF12CFFF544FFF760FFFA7CFFFB98FFFCB0FFFDC5FFFED5FFFEE2
FFFFEBFFFFF2FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFDFFFFFBFFFFF8FFFFF5FFFFF2FFFFEFFFFF
EDFFFFECFFFFEDFFFFF0FFFFF5FFFFFEFFFFFFFFF5FFFFE6FFFED6FFFDC4FFFDB3FFFCA2
FFFB93FFFA85FFF979FFF970FFF869FFF864FFF761FFF760FFF861FFF864FFF86AFFF972
FFFA7CFFFA8AFFFB9AFFFCADFFFDC3FFFEDBFFFFF4F2FFFFDDFEFFCDFEFFC2FDFFBBFDFF
B7FDFFB8FDFFBCFDFFC4FDFFD0FEFFE1FEFFF7FFFFFFFFEEFFFED5FFFDBEFFFCA8FFFB96
FFFA86FFF97AFFF970FFF868FFF863FFF760FFF760FFF861FFF865FFF86AFFF972FFFA7C
FFFA88FFFB96FFFCA6FFFDB7FFFDC8FFFED9FFFFE9FFFFF7FCFFFFF4FFFFEFFFFFECFFFF
ECFFFFEDFFFFEFFFFFF2FFFFF5FFFFF9FFFFFBFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5
FFFFF0FFFFE9FFFEDFFFFED2FFFDC1FFFCABFFFB92FFF976FFF75AFFF43FFFF028FFEC16
FFE60BFFDF04FFD701FFCD00FFC200FFB500FFA800FF9900FF8900FF7900FF6800FF5800
FF4800FF3A00FF2D00FF2300FF1B00FF1600FF1500FF1600FF1B00FF2300FF2D00FF3A00
FF4800FF5800FF6800FF7900FF8900FF9900FFA800FFB500FFC200FFCD00FFD701FFDF04
FFE60BFFEC16FFF028FFF43FFFF75AFFF976FFFB92FFFCABFFFDC1FFFED2FFFEDFFFFFE9
FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDDFFFECEFFFDBCFFFCA6FFFB8CFFF970FFF653FFF339FFEF23
FFEA13FFE409FFDD03FFD401FFCA00FFBF00FFB200FFA400FF9500FF8500FF7400FF6300
FF5300FF4400FF3600FF2900FF2000FF1900FF1400FF1400FF1600FF1B00FF2400FF2E00
FF3B00FF4A00FF5A00FF6B00FF7B00FF8C00FF9B00FFAA00FFB800FFC400FFCF00FFD802
FFE005FFE70DFFED19FFF12CFFF544FFF75FFFFA7CFFFB97FFFCB0FFFDC4FFFED5FFFEE2
FFFFEBFFFFF2FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFF9FFFFF7FFFFF4FFFFF2FFFFF1FFFF
F1FFFFF2FFFFF5FFFFFBFFFFFFFFFCFFFFF1FFFFE4FFFED5FFFDC6FFFDB7FFFCA9FFFB9C
FFFB90FFFA87FFFA80FFFA7CFFF97AFFF97BFFFA7EFFFA85FFFB8FFFFC9EFFFCB1FFFECB
FFFFEAEFFFFFCCFEFFAEFCFF94FBFF7FFAFF6FF9FF62F8FF57F7FF50F6FF4AF5FF47F5FF
45F5FF45F5FF47F5FF4AF5FF4FF6FF57F7FF60F7FF6DF9FF7EFAFF92FBFFABFCFFC8FEFF
EBFFFFFFFFEEFFFECDFFFDB4FFFCA0FFFB91FFFA86FFFA7FFFF97BFFF97AFFFA7CFFFA80
FFFA86FFFB8FFFFB9AFFFCA7FFFDB5FFFDC4FFFED4FFFEE2FFFFEFFFFFFBFCFFFFF6FFFF
F2FFFFF1FFFFF1FFFFF2FFFFF4FFFFF7FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7
FFFFF2FFFFECFFFFE3FFFED6FFFDC6FFFDB2FFFB9AFFFA7FFFF862FFF546FFF12EFFED1B
FFE80EFFE106FFD902FFD000FFC500FFB900FFAC00FF9D00FF8D00FF7D00FF6C00FF5C00
FF4C00FF3D00FF3000FF2400FF1C00FF1600FF1400FF1400FF1800FF1F00FF2800FF3400
FF4200FF5200FF6200FF7200FF8300FF9300FFA300FFB100FFBE00FFC900FFD401FFDC03
FFE408FFEA12FFEF21FFF336FFF650FFF86DFFFA89FFFCA3FFFDBAFFFECDFFFEDBFFFFE6
FFFFEEFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDCFFFECEFFFDBCFFFCA5FFFB8BFFF96FFFF653FFF338FFEF23
FFEA13FFE409FFDD03FFD401FFCA00FFBF00FFB200FFA400FF9400FF8400FF7300FF6300
FF5200FF4300FF3400FF2800FF1E00FF1700FF1300FF1200FF1400FF1A00FF2200FF2D00
FF3A00FF4900FF5900FF6A00FF7B00FF8B00FF9B00FFAA00FFB700FFC400FFCF00FFD802
FFE005FFE70CFFEC19FFF12BFFF543FFF75FFFFA7BFFFB97FFFCB0FFFDC4FFFED5FFFEE1
FFFFEBFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF4FFFFF4FFFF
F6FFFFF9FFFFFFFFFFFFFFF9FFFFEFFFFFE4FFFED7FFFECAFFFDBDFFFCB1FFFCA7FFFC9E
FFFB97FFFB93FFFB92FFFB94FFFB9AFFFCA3FFFDB2FFFDC6FFFEE2F9FFFFD3FEFFB1FCFF
93FBFF7AF9FF65F8FF54F6FF46F5FF3BF3FF33F2FF2CF1FF27F0FF24EFFF21EFFF1FEEFF
1EEEFF1EEEFF1FEEFF20EEFF22EFFF26F0FF2AF1FF30F2FF37F3FF41F4FF4EF6FF5DF7FF
71F9FF88FAFFA4FCFFC5FDFFE9FFFFFFFFEFFFFED1FFFDBAFFFCA9FFFB9DFFFB96FFFB93
FFFB93FFFB95FFFB9BFFFCA3FFFCADFFFDB8FFFDC5FFFED2FFFEDEFFFFEAFFFFF5FFFFFE
FBFFFFF7FFFFF5FFFFF4FFFFF5FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDAFFFECCFFFDB9FFFCA2FFFA87FFF86BFFF64EFFF335FFEE20
FFE911FFE308FFDC03FFD301FFC800FFBD00FFB000FFA100FF9200FF8100FF7100FF6000
FF5000FF4000FF3200FF2700FF1D00FF1600FF1300FF1200FF1500FF1B00FF2400FF2F00
FF3D00FF4C00FF5C00FF6C00FF7D00FF8E00FF9D00FFAC00FFB900FFC600FFD000FFD902
FFE106FFE80EFFED1BFFF22FFFF547FFF863FFFA80FFFB9BFFFDB3FFFDC7FFFED7FFFFE3
FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDCFFFECEFFFDBCFFFCA5FFFA8BFFF96FFFF652FFF338FFEF22
FFEA13FFE409FFDD03FFD401FFCA00FFBE00FFB100FFA300FF9400FF8300FF7300FF6200
FF5100FF4200FF3300FF2700FF1D00FF1600FF1200FF1100FF1300FF1900FF2100FF2C00
FF3900FF4800FF5800FF6900FF7A00FF8A00FF9A00FFA900FFB700FFC300FFCE00FFD802
FFE005FFE70CFFEC19FFF12BFFF443FFF75EFFF97BFFFB97FFFCAFFFFDC4FFFED4FFFEE1
FFFFEBFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF8FFFFF7FFFFF7FFFFF9FFFF
FCFFFFFFFFFEFFFFF7FFFFEFFFFFE5FFFEDAFFFECFFFFDC5FFFDBBFFFDB3FFFCADFFFCA9
FFFCA8FFFCAAFFFCB1FFFDBCFFFECCFFFFE4FCFFFFD8FEFFB7FDFF98FBFF7DFAFF66F8FF
54F6FF44F5FF38F3FF2EF1FF27F0FF21EFFF1CEDFF19ECFF16EBFF14EBFF13EAFF12EAFF
11E9FF11E9FF11EAFF12EAFF13EAFF15EBFF17ECFF1AEDFF1DEEFF22EFFF29F0FF31F2FF
3BF3FF48F5FF58F7FF6CF8FF84FAFFA0FCFFC0FDFFE2FEFFFFFFFAFFFEDCFFFDC7FFFDB8
FFFCAFFFFCA9FFFCA8FFFCAAFFFCAEFFFDB5FFFDBDFFFDC7FFFED2FFFEDDFFFFE8FFFFF1
FFFFF9FFFFFFFBFFFFF8FFFFF7FFFFF7FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE8FFFEDEFFFED0FFFDBFFFFCA9FFFB8FFFF973FFF757FFF43CFFF025
FFEB15FFE50AFFDE04FFD501FFCC00FFC000FFB300FFA500FF9600FF8600FF7500FF6400
FF5400FF4400FF3500FF2900FF1F00FF1700FF1200FF1100FF1300FF1800FF2000FF2A00
FF3700FF4600FF5600FF6600FF7700FF8800FF9800FFA700FFB500FFC200FFCD00FFD601
FFDF04FFE60BFFEC16FFF028FFF43FFFF75AFFF976FFFB92FFFCACFFFDC1FFFED2FFFEDF
FFFFE9FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDCFFFECEFFFDBBFFFCA5FFFA8BFFF96EFFF652FFF337FFEF22
FFEA12FFE408FFDC03FFD401FFCA00FFBE00FFB100FFA300FF9300FF8300FF7200FF6100
FF5000FF4100FF3200FF2600FF1C00FF1500FF1100FF1000FF1200FF1700FF2000FF2B00
FF3800FF4700FF5700FF6800FF7900FF8A00FF9A00FFA900FFB700FFC300FFCE00FFD802
FFE005FFE70CFFEC18FFF12AFFF442FFF75EFFF97BFFFB96FFFCAFFFFDC4FFFED4FFFEE1
FFFFEBFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFFBFFFFFEFFFF
FFFFFDFFFFF7FFFFF0FFFFE7FFFEDEFFFED5FFFECDFFFDC5FFFDBFFFFDBBFFFDBAFFFDBC
FFFDC2FFFECDFFFEDDFFFFF4ECFFFFCDFEFFAEFCFF92FBFF79F9FF63F8FF51F6FF42F4FF
36F3FF2DF1FF25F0FF20EEFF1BEDFF17ECFF15EBFF13EAFF11E9FF10E9FF0FE8FF0EE8FF
0EE8FF0EE8FF0EE8FF0EE8FF0FE8FF10E9FF11E9FF12EAFF15EBFF17ECFF1BEDFF1FEEFF
25F0FF2DF1FF36F3FF42F4FF50F6FF62F8FF78F9FF91FBFFADFCFFCBFEFFEBFFFFFFFFF6
FFFEDEFFFECEFFFDC3FFFDBCFFFDBAFFFDBBFFFDBFFFFDC5FFFECCFFFED5FFFEDEFFFFE7
FFFFEFFFFFF7FFFFFDFEFFFFFBFFFFF9FFFFF9FFFFF9FFFFFAFFFFFBFFFFFDFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFF9
FFFFF6FFFFF2FFFFEBFFFEE2FFFED5FFFDC4FFFCB0FFFB97FFFA7CFFF75FFFF543FFF12B
FFEC19FFE70CFFE005FFD802FFCF00FFC400FFB700FFA900FF9B00FF8B00FF7A00FF6900
FF5800FF4800FF3900FF2C00FF2000FF1800FF1200FF1000FF1000FF1500FF1C00FF2500
FF3200FF4000FF5000FF6000FF7100FF8200FF9200FFA200FFB000FFBD00FFC900FFD301
FFDC03FFE408FFEA12FFEF21FFF336FFF650FFF86DFFFA89FFFCA4FFFDBAFFFECDFFFEDB
FFFFE6FFFFEEFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDCFFFECDFFFDBBFFFCA4FFFA8AFFF96EFFF651FFF337FFEF22
FFEA12FFE408FFDC03FFD401FFC900FFBE00FFB100FFA200FF9300FF8200FF7100FF6000
FF4F00FF4000FF3100FF2500FF1B00FF1400FF0F00FF0E00FF1100FF1600FF1F00FF2A00
FF3700FF4600FF5700FF6700FF7800FF8900FF9900FFA800FFB600FFC300FFCE00FFD702
FFE005FFE60CFFEC18FFF12AFFF442FFF75DFFF97AFFFB96FFFCAFFFFDC3FFFED4FFFEE1
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFFFFFFFFFFFC
FFFFF7FFFFF1FFFFEAFFFFE3FFFEDBFFFED5FFFECFFFFECBFFFEC9FFFECBFFFECFFFFED8
FFFFE7FFFFFBE9FFFFCDFEFFB2FDFF97FBFF7FFAFF6AF8FF58F7FF49F5FF3CF4FF33F2FF
2BF1FF25F0FF20EEFF1CEDFF19ECFF17ECFF15EBFF13EAFF12EAFF12EAFF11E9FF11E9FF
10E9FF10E9FF10E9FF11E9FF11E9FF11EAFF12EAFF13EAFF14EBFF16EBFF18ECFF1BEDFF
1EEEFF23EFFF28F0FF30F2FF39F3FF44F5FF52F6FF63F8FF77F9FF8EFBFFA8FCFFC3FDFF
DFFEFFFBFFFFFFFFEDFFFEDDFFFED2FFFECCFFFEC9FFFECAFFFECDFFFED2FFFED9FFFEE0
FFFFE8FFFFEFFFFFF5FFFFFBFFFFFFFDFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEDFFFFE5FFFED9FFFECAFFFDB6FFFC9FFFFA84FFF868FFF54BFFF232
FFEE1EFFE910FFE207FFDB02FFD100FFC700FFBB00FFAE00FF9F00FF8F00FF7F00FF6E00
FF5C00FF4C00FF3C00FF2E00FF2300FF1900FF1200FF0F00FF0F00FF1200FF1800FF2100
FF2D00FF3A00FF4A00FF5A00FF6B00FF7C00FF8D00FF9D00FFAC00FFB900FFC500FFD000
FFD902FFE106FFE80EFFED1BFFF22FFFF547FFF863FFFA80FFFB9BFFFDB3FFFDC7FFFED7
FFFFE3FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDCFFFECDFFFDBBFFFCA4FFFA8AFFF96DFFF651FFF337FFEF21
FFEA12FFE408FFDC03FFD301FFC900FFBD00FFB000FFA200FF9200FF8200FF7000FF5F00
FF4F00FF3F00FF3000FF2400FF1A00FF1200FF0E00FF0D00FF1000FF1500FF1E00FF2900
FF3600FF4500FF5600FF6700FF7800FF8900FF9900FFA800FFB600FFC300FFCE00FFD701
FFDF05FFE60CFFEC18FFF12AFFF441FFF75DFFF97AFFFB95FFFCAEFFFDC3FFFED4FFFEE1
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFFFFFFFFFFFCFFFFF8
FFFFF3FFFFEDFFFFE7FFFEE1FFFEDCFFFED8FFFED6FFFED6FFFED9FFFEE0FFFFEBFFFFFC
EDFFFFD5FEFFBCFDFFA3FCFF8CFBFF77F9FF65F8FF55F6FF49F5FF3EF4FF36F3FF2FF2FF
2AF1FF26F0FF23EFFF20EFFF1FEEFF1DEEFF1DEEFF1CEDFF1CEDFF1CEDFF1CEDFF1CEDFF
1CEDFF1CEDFF1CEDFF1CEDFF1CEDFF1CEDFF1CEDFF1CEDFF1CEDFF1DEEFF1EEEFF1FEEFF
21EFFF24EFFF27F0FF2BF1FF31F2FF38F3FF41F4FF4DF6FF5AF7FF6BF8FF7EFAFF93FBFF
ABFCFFC4FDFFDDFEFFF4FFFFFFFFF6FFFFE7FFFEDDFFFED8FFFED6FFFED6FFFED9FFFEDE
FFFFE3FFFFE9FFFFEFFFFFF5FFFFFAFFFFFDFFFFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFF
FDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF8FFFFF5FFFFEFFFFFE8FFFEDDFFFECFFFFDBDFFFCA6FFFB8DFFF970FFF654FFF339
FFEF23FFEA13FFE409FFDD03FFD401FFCA00FFBF00FFB200FFA300FF9400FF8300FF7200
FF6100FF5000FF4000FF3200FF2500FF1B00FF1300FF0F00FF0D00FF0F00FF1500FF1D00
FF2800FF3500FF4400FF5400FF6500FF7600FF8700FF9700FFA700FFB500FFC100FFCD00
FFD601FFDF04FFE60BFFEC16FFF028FFF43FFFF75AFFF977FFFB93FFFCACFFFDC1FFFED2
FFFEE0FFFFE9FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDCFFFECDFFFDBAFFFCA4FFFA89FFF86DFFF650FFF336FFEF21
FFEA12FFE308FFDC03FFD301FFC900FFBD00FFB000FFA100FF9200FF8100FF7000FF5F00
FF4E00FF3E00FF2F00FF2300FF1900FF1100FF0D00FF0C00FF0F00FF1400FF1D00FF2800
FF3500FF4500FF5500FF6600FF7700FF8800FF9800FFA800FFB600FFC200FFCD00FFD701
FFDF05FFE60CFFEC17FFF129FFF441FFF75CFFF979FFFB95FFFCAEFFFDC3FFFED4FFFEE1
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFDFFFFF9FFFFF5
FFFFF0FFFFEBFFFFE7FFFFE3FFFEE0FFFEDFFFFEE1FFFFE5FFFFEEFFFFFAF3FFFFDFFEFF
C9FEFFB3FDFF9DFBFF89FAFF77F9FF67F8FF5AF7FF4FF6FF46F5FF3FF4FF39F3FF35F3FF
33F2FF31F2FF30F2FF30F2FF31F2FF32F2FF33F2FF35F3FF37F3FF39F3FF3BF3FF3DF4FF
3EF4FF3FF4FF3FF4FF3EF4FF3DF4FF3BF3FF39F3FF37F3FF35F3FF33F2FF32F2FF31F2FF
30F2FF30F2FF31F2FF33F2FF35F3FF39F3FF3FF4FF46F5FF4FF6FF5AF7FF67F8FF77F9FF
89FAFF9DFCFFB3FDFFC9FEFFDFFEFFF4FFFFFFFFFAFFFFEDFFFFE5FFFEE1FFFEDFFFFEE0
FFFFE3FFFFE7FFFFEBFFFFF0FFFFF5FFFFF9FFFFFDFFFFFFFEFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF1FFFFEAFFFEE0FFFED4FFFDC3FFFCAEFFFB95FFF979FFF75CFFF441
FFF029FFEC17FFE60BFFDF05FFD701FFCD00FFC200FFB500FFA700FF9800FF8800FF7700
FF6600FF5500FF4400FF3500FF2800FF1D00FF1400FF0F00FF0C00FF0D00FF1100FF1900
FF2300FF3000FF3E00FF4E00FF5F00FF7000FF8100FF9200FFA100FFB000FFBD00FFC900
FFD301FFDC03FFE408FFEA12FFEF21FFF337FFF651FFF96DFFFA8AFFFCA4FFFDBBFFFECD
FFFEDCFFFFE7FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECDFFFDBAFFFCA3FFFA89FFF86CFFF650FFF336FFEF21
FFEA11FFE308FFDC03FFD301FFC900FFBD00FFAF00FFA100FF9100FF8000FF6F00FF5E00
FF4D00FF3D00FF2E00FF2200FF1800FF1000FF0C00FF0B00FF0E00FF1300FF1C00FF2700
FF3500FF4400FF5400FF6500FF7700FF8800FF9800FFA700FFB500FFC200FFCD00FFD701
FFDF05FFE60BFFEC17FFF029FFF441FFF75CFFF979FFFB95FFFCAEFFFDC3FFFED4FFFEE1
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFDFFFFFAFFFFF7FFFFF3
FFFFEFFFFFEBFFFFE9FFFFE7FFFFE7FFFFEAFFFFEFFFFFF8FAFFFFEAFFFFD8FEFFC4FDFF
B0FCFF9DFCFF8CFBFF7CFAFF6EF9FF63F8FF5AF7FF53F6FF4EF6FF4BF5FF49F5FF49F5FF
4AF5FF4DF6FF52F6FF57F7FF5FF7FF67F8FF71F9FF7BF9FF85FAFF90FBFF99FBFFA1FCFF
A7FCFFABFCFFABFCFFA9FCFFA3FCFF9CFBFF93FBFF89FAFF7EFAFF74F9FF6AF8FF61F8FF
59F7FF53F6FF4FF6FF4BF5FF49F5FF49F5FF4AF5FF4DF6FF51F6FF58F7FF60F7FF6BF8FF
78F9FF87FAFF98FBFFAAFCFFBEFDFFD2FEFFE5FFFFF5FFFFFFFFFBFFFFF1FFFFEBFFFFE8
FFFFE7FFFFE8FFFFEAFFFFEEFFFFF2FFFFF6FFFFF9FFFFFCFFFFFEFFFFFFFEFFFFFDFFFF
FDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF3FFFFECFFFFE4FFFED8FFFDC8FFFDB4FFFB9DFFFA81FFF865FFF548
FFF230FFED1CFFE80EFFE106FFDA02FFD000FFC600FFB900FFAC00FF9D00FF8D00FF7C00
FF6B00FF5900FF4900FF3900FF2B00FF1F00FF1500FF0F00FF0C00FF0B00FF0F00FF1500
FF1F00FF2A00FF3800FF4800FF5900FF6A00FF7B00FF8C00FF9C00FFAB00FFB900FFC500
FFD000FFD902FFE106FFE80EFFED1BFFF22FFFF548FFF864FFFA81FFFB9CFFFDB4FFFDC8
FFFED7FFFFE3FFFFECFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECDFFFDBAFFFCA3FFFA89FFF86CFFF650FFF336FFEF20
FFE911FFE308FFDC03FFD301FFC800FFBC00FFAF00FFA000FF9100FF8000FF6F00FF5D00
FF4C00FF3C00FF2E00FF2100FF1700FF0F00FF0B00FF0A00FF0D00FF1200FF1B00FF2600
FF3400FF4300FF5300FF6500FF7600FF8700FF9800FFA700FFB500FFC200FFCD00FFD701
FFDF05FFE60BFFEC17FFF029FFF440FFF75CFFF978FFFB94FFFCADFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFDFFFFFBFFFFF8FFFFF5FFFFF2
FFFFF0FFFFEEFFFFEDFFFFEEFFFFF1FFFFF6FFFFFFF3FFFFE5FFFFD5FEFFC3FDFFB2FDFF
A2FCFF93FBFF85FAFF7AF9FF71F9FF6AF8FF66F8FF64F8FF64F8FF66F8FF6BF8FF73F9FF
7EFAFF8CFBFF9EFCFFB4FDFFCEFEFFECFFFFFFFFF1FFFED4FFFDBCFFFCA9FFFB9AFFFB90
FFFA89FFFA85FFFA84FFFA86FFFA8BFFFB93FFFCA0FFFCB0FFFDC5FFFEDEFFFFFEE0FEFF
C3FDFFABFCFF96FBFF86FAFF79F9FF70F9FF69F8FF65F8FF64F8FF64F8FF67F8FF6DF8FF
74F9FF7EFAFF8AFAFF98FBFFA8FCFFB9FDFFCAFEFFDBFEFFEBFFFFF8FFFFFFFFFCFFFFF4
FFFFEFFFFFEDFFFFEDFFFFEEFFFFF1FFFFF3FFFFF6FFFFF9FFFFFCFFFFFEFFFFFFFFFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFC
FFFFFBFFFFF8FFFFF4FFFFEFFFFFE7FFFEDCFFFECDFFFDBBFFFCA4FFFA8AFFF96DFFF651
FFF337FFEF21FFEA12FFE308FFDC03FFD301FFC900FFBD00FFB000FFA100FF9100FF8100
FF6F00FF5E00FF4D00FF3D00FF2E00FF2100FF1700FF1000FF0B00FF0A00FF0C00FF1200
FF1A00FF2600FF3300FF4200FF5300FF6400FF7500FF8600FF9700FFA600FFB400FFC100
FFCD00FFD601FFDF04FFE60BFFEC16FFF028FFF43FFFF75AFFF977FFFB93FFFCACFFFDC2
FFFED3FFFEE0FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDBAFFFCA3FFFA88FFF86CFFF64FFFF335FFEE20
FFE911FFE308FFDC03FFD301FFC800FFBC00FFAF00FFA000FF9000FF7F00FF6E00FF5D00
FF4C00FF3B00FF2D00FF2000FF1600FF0E00FF0A00FF0900FF0C00FF1100FF1A00FF2500
FF3300FF4200FF5300FF6400FF7600FF8700FF9700FFA700FFB500FFC100FFCD00FFD701
FFDF04FFE60BFFEC17FFF028FFF440FFF75BFFF978FFFB94FFFCADFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF7FFFFF5FFFFF3
FFFFF2FFFFF1FFFFF3FFFFF6FFFFFCFBFFFFF0FFFFE3FFFFD5FEFFC6FDFFB7FDFFA9FCFF
9CFBFF92FBFF89FAFF83FAFF7FFAFF7EFAFF80FAFF85FAFF8EFBFF9BFBFFADFCFFC6FDFF
E5FFFFFFFFF2FFFECCFFFCABFFFB8FFFF978FFF865FFF757FFF54BFFF442FFF43BFFF337
FFF233FFF231FFF231FFF232FFF234FFF337FFF43CFFF443FFF54CFFF758FFF867FFF979
FFFB91FFFCADFFFECEFFFFF5E3FFFFC4FDFFACFCFF9AFBFF8DFBFF85FAFF80FAFF7EFAFF
7FFAFF83FAFF89FAFF92FBFF9DFCFFAAFCFFB8FDFFC7FDFFD6FEFFE4FFFFF1FFFFFCFFFF
FFFFFBFFFFF6FFFFF2FFFFF1FFFFF2FFFFF3FFFFF5FFFFF7FFFFFAFFFFFCFFFFFEFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF1FFFFE9FFFEDFFFFED2FFFDC1FFFCABFFFB92FFF976FFF759
FFF43EFFF027FFEB16FFE50AFFDE04FFD601FFCC00FFC100FFB400FFA500FF9600FF8500
FF7400FF6300FF5200FF4100FF3200FF2400FF1900FF1100FF0B00FF0900FF0A00FF0F00
FF1600FF2100FF2E00FF3D00FF4D00FF5E00FF6F00FF8100FF9100FFA100FFB000FFBD00
FFC900FFD301FFDC03FFE408FFEA12FFEF21FFF337FFF651FFF96EFFFA8AFFFCA5FFFDBB
FFFECEFFFEDCFFFFE7FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA3FFFA88FFF86BFFF64FFFF335FFEE20
FFE911FFE308FFDB03FFD201FFC800FFBC00FFAF00FFA000FF9000FF7F00FF6E00FF5C00
FF4B00FF3B00FF2C00FF1F00FF1500FF0E00FF0900FF0800FF0B00FF1000FF1900FF2400
FF3200FF4200FF5200FF6400FF7500FF8600FF9700FFA600FFB400FFC100FFCD00FFD601
FFDF04FFE60BFFEC17FFF028FFF440FFF75BFFF978FFFB94FFFCADFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF6FFFFF5
FFFFF5FFFFF6FFFFFAFFFFFFF8FFFFEFFFFFE3FFFFD7FEFFCAFEFFBEFDFFB2FDFFA8FCFF
A0FCFF9AFBFF97FBFF97FBFF9AFBFFA1FCFFADFCFFBEFDFFD6FEFFF7FFFFFFFEE1FFFDBC
FFFB9CFFFA7FFFF868FFF655FFF545FFF339FFF230FFF029FFEF23FFEE1FFFED1BFFEC19
FFEC18FFEC17FFEC16FFEC16FFEC17FFEC19FFED1BFFEE1EFFEF22FFF027FFF12EFFF337
FFF442FFF651FFF863FFF979FFFB94FFFDB4FFFED8FFFFFFDDFEFFC3FDFFB0FCFFA3FCFF
9BFBFF97FBFF96FBFF99FBFF9EFCFFA6FCFFB0FCFFBBFDFFC7FDFFD4FEFFE1FEFFECFFFF
F6FFFFFEFFFFFFFFFBFFFFF7FFFFF5FFFFF5FFFFF5FFFFF7FFFFF9FFFFFAFFFFFCFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF2FFFFECFFFFE3FFFED7FFFDC7FFFDB2FFFB9AFFFA7FFFF862
FFF546FFF12DFFED1AFFE70DFFE106FFD902FFCF00FFC400FFB800FFAA00FF9B00FF8A00
FF7900FF6800FF5600FF4500FF3600FF2800FF1C00FF1200FF0C00FF0900FF0900FF0C00
FF1300FF1D00FF2900FF3700FF4700FF5800FF6900FF7B00FF8C00FF9C00FFAB00FFB900
FFC500FFD000FFD902FFE106FFE80EFFED1CFFF22FFFF548FFF864FFFA81FFFB9CFFFDB4
FFFDC8FFFED8FFFFE4FFFFECFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA2FFFA88FFF86BFFF64EFFF335FFEE20
FFE911FFE308FFDB03FFD201FFC800FFBC00FFAE00FF9F00FF8F00FF7E00FF6D00FF5B00
FF4A00FF3A00FF2B00FF1F00FF1400FF0D00FF0800FF0700FF0A00FF1000FF1800FF2400
FF3100FF4100FF5200FF6300FF7500FF8600FF9600FFA600FFB400FFC100FFCC00FFD601
FFDF04FFE60BFFEC16FFF028FFF43FFFF75BFFF977FFFB93FFFCADFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF8FFFFF7FFFFF8
FFFFF9FFFFFCFEFFFFF7FFFFEFFFFFE5FFFFDBFEFFD0FEFFC6FDFFBCFDFFB5FDFFAFFCFF
ACFCFFACFCFFAFFCFFB7FDFFC4FDFFD7FEFFF2FFFFFFFFEBFFFDC8FFFCA7FFFA8AFFF970
FFF75BFFF54AFFF43CFFF231FFF028FFEF21FFED1CFFEC18FFEB15FFEA12FFE911FFE90F
FFE80FFFE80EFFE80EFFE80EFFE80EFFE80FFFE910FFEA11FFEA13FFEB16FFED1AFFEE1E
FFEF24FFF12BFFF335FFF441FFF651FFF864FFF97BFFFB96FFFDB5FFFED7FFFFFAE5FFFF
CEFEFFBEFDFFB3FDFFADFCFFACFCFFADFCFFB1FCFFB8FDFFC0FDFFCAFEFFD5FEFFDFFEFF
EAFFFFF3FFFFFAFFFFFFFFFFFFFFFBFFFFF8FFFFF7FFFFF8FFFFF8FFFFFAFFFFFBFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFCFFFFFBFFFFF8FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA2FFFA87FFF86B
FFF64EFFF234FFEE1FFFE911FFE307FFDB03FFD201FFC800FFBC00FFAE00FF9F00FF8F00
FF7E00FF6D00FF5B00FF4A00FF3A00FF2B00FF1E00FF1400FF0D00FF0800FF0700FF0A00
FF1000FF1800FF2400FF3200FF4100FF5200FF6300FF7500FF8600FF9700FFA600FFB400
FFC100FFCD00FFD601FFDF04FFE60BFFEC17FFF028FFF440FFF75BFFF978FFFB94FFFCAD
FFFDC2FFFED3FFFEE0FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA2FFFA87FFF86BFFF64EFFF234FFEE1F
FFE911FFE307FFDB03FFD201FFC800FFBC00FFAE00FF9F00FF8F00FF7E00FF6D00FF5B00
FF4A00FF3900FF2B00FF1E00FF1300FF0C00FF0800FF0700FF0900FF0F00FF1800FF2300
FF3100FF4000FF5100FF6200FF7400FF8500FF9600FFA600FFB400FFC100FFCC00FFD601
FFDF04FFE60BFFEB16FFF028FFF43FFFF75AFFF977FFFB93FFFCACFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFFAFFFFFB
FFFFFEFDFFFFF7FFFFF0FFFFE8FFFFDFFEFFD6FEFFCEFEFFC7FDFFC1FDFFBEFDFFBEFDFF
C1FDFFC8FDFFD4FEFFE6FFFFFFFFFFFFFEE1FFFDC1FFFCA3FFFA88FFF970FFF75CFFF54B
FFF43DFFF232FFF029FFEF22FFEE1DFFEC19FFEB15FFEA13FFE911FFE910FFE80EFFE80E
FFE70DFFE70DFFE70DFFE70DFFE70DFFE70DFFE80EFFE80FFFE910FFE911FFEA13FFEB16
FFED19FFEE1DFFEF23FFF12AFFF233FFF43EFFF64DFFF75EFFF973FFFB8BFFFCA7FFFDC5
FFFFE5FCFFFFE3FFFFD2FEFFC7FDFFC0FDFFBEFDFFBEFDFFC2FDFFC8FDFFCFFEFFD7FEFF
E0FEFFE9FFFFF1FFFFF8FFFFFDFFFFFFFFFEFFFFFBFFFFFAFFFFF9FFFFFAFFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEDEFFFED1FFFDBFFFFCA9FFFB90FFF973
FFF757FFF43CFFF025FFEB14FFE50AFFDE04FFD501FFCB00FFBF00FFB200FFA400FF9400
FF8300FF7200FF6000FF4F00FF3E00FF2F00FF2100FF1600FF0E00FF0900FF0700FF0800
FF0D00FF1500FF1F00FF2C00FF3B00FF4C00FF5D00FF6F00FF8000FF9100FFA100FFB000
FFBD00FFC900FFD301FFDC03FFE408FFEA12FFEF22FFF337FFF652FFF96EFFFA8BFFFCA5
FFFDBCFFFECEFFFEDCFFFFE7FFFFEFFFFFF4FFFFF8FFFFFBFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA2FFFA87FFF86AFFF64EFFF234FFEE1F
FFE910FFE307FFDB03FFD201FFC700FFBB00FFAE00FF9F00FF8F00FF7E00FF6C00FF5A00
FF4900FF3900FF2A00FF1D00FF1300FF0B00FF0700FF0600FF0800FF0E00FF1700FF2200
FF3000FF4000FF5000FF6200FF7400FF8500FF9600FFA500FFB400FFC100FFCC00FFD601
FFDE04FFE60BFFEB16FFF027FFF43FFFF75AFFF977FFFB93FFFCACFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFDFFFFFF
FCFFFFF7FFFFF2FFFFEBFFFFE4FFFFDDFEFFD6FEFFD1FEFFCDFEFFCCFEFFCEFEFFD4FEFF
DEFEFFEDFFFFFFFFFBFFFEE1FFFDC5FFFCAAFFFB90FFF979FFF865FFF653FFF545FFF33A
FFF230FFF129FFEF23FFEE1FFFED1BFFEC19FFEC17FFEB15FFEB14FFEA13FFEA12FFEA12
FFEA11FFE911FFE911FFE911FFE911FFEA11FFEA12FFEA12FFEA13FFEA14FFEB15FFEC16
FFEC18FFED1BFFEE1EFFEF22FFF028FFF22FFFF338FFF443FFF651FFF861FFF975FFFB8C
FFFCA5FFFDC0FFFEDCFFFFF7F1FFFFE0FEFFD5FEFFCFFEFFCCFEFFCDFEFFD0FEFFD5FEFF
DBFEFFE2FEFFE9FFFFF0FFFFF6FFFFFCFFFFFFFFFFFFFFFDFFFFFCFFFFFBFFFFFBFFFFFC
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF6FFFFF2FFFFEBFFFEE2FFFED5FFFDC5FFFCB0FFFB98FFFA7C
FFF75FFFF543FFF12BFFEC19FFE70CFFE005FFD802FFCE00FFC300FFB600FFA800FF9900
FF8800FF7700FF6500FF5400FF4300FF3300FF2500FF1900FF0F00FF0900FF0600FF0600
FF0A00FF1100FF1B00FF2700FF3600FF4600FF5700FF6900FF7A00FF8C00FF9C00FFAB00
FFB900FFC500FFD000FFD902FFE106FFE80EFFED1CFFF230FFF549FFF865FFFA82FFFB9D
FFFDB5FFFEC9FFFED8FFFFE4FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA2FFFA87FFF86AFFF64EFFF234FFEE1F
FFE910FFE307FFDB03FFD201FFC700FFBB00FFAD00FF9F00FF8E00FF7D00FF6C00FF5A00
FF4900FF3800FF2900FF1C00FF1200FF0B00FF0600FF0500FF0800FF0D00FF1600FF2200
FF3000FF3F00FF5000FF6200FF7300FF8500FF9500FFA500FFB400FFC000FFCC00FFD601
FFDE04FFE60BFFEB16FFF027FFF43EFFF75AFFF977FFFB93FFFCACFFFDC1FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFEFFFFFFFCFFFF
F8FFFFF3FFFFEEFFFFE8FFFFE2FFFFDEFEFFDAFEFFD8FEFFD9FEFFDCFEFFE4FFFFF0FFFF
FFFFFDFFFFE7FFFECFFFFDB6FFFC9EFFFA88FFF974FFF862FFF654FFF547FFF43DFFF336
FFF22FFFF12BFFF027FFEF24FFEF22FFEF21FFEF20FFEE20FFEE20FFEE20FFEF20FFEF21
FFEF21FFEF21FFEF21FFEF21FFEF21FFEF21FFEF21FFEF20FFEE20FFEE20FFEE20FFEE20
FFEF21FFEF22FFEF23FFF026FFF029FFF12DFFF232FFF339FFF442FFF64DFFF75BFFF86B
FFFA7EFFFB93FFFCAAFFFDC3FFFEDBFFFFF2F8FFFFE9FFFFE0FEFFDAFEFFD8FEFFD9FEFF
DCFEFFE0FEFFE5FFFFEBFFFFF1FFFFF6FFFFFAFFFFFEFFFFFFFFFEFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF3FFFFEDFFFFE5FFFEDAFFFECBFFFDB7FFFCA0FFFA85
FFF868FFF54CFFF232FFEE1EFFE90FFFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00
FF8D00FF7C00FF6A00FF5900FF4700FF3700FF2800FF1C00FF1100FF0A00FF0600FF0500
FF0800FF0E00FF1700FF2300FF3100FF4000FF5100FF6300FF7500FF8600FF9700FFA600
FFB400FFC100FFCD00FFD701FFDF04FFE60BFFEC17FFF029FFF440FFF75CFFF979FFFB95
FFFCAEFFFDC3FFFED4FFFEE1FFFFEAFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA1FFFA87FFF86AFFF64DFFF234FFEE1F
FFE910FFE307FFDB03FFD201FFC700FFBB00FFAD00FF9E00FF8E00FF7D00FF6B00FF5A00
FF4800FF3800FF2900FF1C00FF1100FF0A00FF0600FF0500FF0700FF0D00FF1600FF2100
FF2F00FF3F00FF5000FF6100FF7300FF8400FF9500FFA500FFB300FFC000FFCC00FFD601
FFDE04FFE50AFFEB16FFF027FFF43EFFF759FFF976FFFB92FFFCACFFFDC1FFFED2FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFDFFFFF9FFFF
F5FFFFF1FFFFECFFFFE8FFFFE4FFFFE2FEFFE1FEFFE3FFFFE8FFFFF1FFFFFEFFFFFFFFEF
FFFEDBFFFDC6FFFCB0FFFB9BFFFA87FFF976FFF866FFF75AFFF64FFFF547FFF441FFF43C
FFF339FFF337FFF336FFF336FFF337FFF339FFF33BFFF43EFFF442FFF546FFF54AFFF64D
FFF650FFF653FFF654FFF655FFF654FFF652FFF650FFF64DFFF549FFF545FFF441FFF43E
FFF33BFFF338FFF337FFF336FFF336FFF337FFF339FFF43DFFF442FFF548FFF651FFF75C
FFF869FFF979FFFA8BFFFC9EFFFDB4FFFECAFFFEDFFFFFF3FBFFFFEFFFFFE7FFFFE3FFFF
E1FEFFE2FEFFE5FFFFE9FFFFEDFFFFF2FFFFF6FFFFFAFFFFFDFFFFFFFFFFFFFFFEFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE8FFFEDEFFFED0FFFDBEFFFCA7FFFB8D
FFF971FFF654FFF33AFFEF23FFEA13FFE409FFDD03FFD401FFCA00FFBE00FFB100FFA200
FF9200FF8100FF7000FF5E00FF4C00FF3C00FF2C00FF1F00FF1400FF0B00FF0600FF0400
FF0600FF0B00FF1300FF1E00FF2B00FF3B00FF4B00FF5D00FF6F00FF8000FF9100FFA100
FFB000FFBD00FFC900FFD401FFDC03FFE408FFEA12FFEF22FFF338FFF653FFF96FFFFB8C
FFFCA6FFFDBCFFFECFFFFEDDFFFFE7FFFFEFFFFFF5FFFFF8FFFFFBFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF86AFFF64DFFF233FFEE1F
FFE910FFE207FFDB02FFD200FFC700FFBB00FFAD00FF9E00FF8E00FF7D00FF6B00FF5900
FF4800FF3700FF2800FF1B00FF1100FF0900FF0500FF0400FF0600FF0C00FF1500FF2100
FF2F00FF3E00FF4F00FF6100FF7300FF8400FF9500FFA500FFB300FFC000FFCC00FFD601
FFDE04FFE50AFFEB16FFF027FFF43EFFF759FFF976FFFB92FFFCACFFFDC1FFFED2FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFDFFFFFAFFFFF7FFFF
F3FFFFF0FFFFECFFFFEAFFFFE9FFFFE9FFFFECFFFFF2FFFFFBFFFFFFFFF7FFFFE7FFFED5
FFFDC2FFFCAFFFFB9CFFFB8BFFFA7CFFF970FFF865FFF75DFFF757FFF652FFF650FFF650
FFF651FFF654FFF759FFF760FFF869FFF974FFFA82FFFB91FFFCA1FFFDB2FFFDC4FFFED4
FFFFE3FFFFEFFFFFF6FFFFF9FFFFF7FFFFF0FFFFE5FFFED6FFFDC6FFFDB5FFFCA3FFFB93
FFFA83FFF976FFF86BFFF861FFF75AFFF655FFF651FFF650FFF650FFF652FFF756FFF75C
FFF864FFF96EFFF97BFFFA89FFFB9AFFFCACFFFDC0FFFED3FFFFE5FFFFF5FCFFFFF2FFFF
ECFFFFE9FFFFE9FFFFEAFFFFECFFFFEFFFFFF3FFFFF7FFFFFAFFFFFDFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFF9FFFFF6FFFFF1FFFFEBFFFEE1FFFED4FFFDC4FFFCAFFFFB96
FFF97AFFF75DFFF441FFF12AFFEC17FFE60BFFDF05FFD701FFCD00FFC200FFB500FFA700
FF9700FF8600FF7500FF6300FF5100FF4000FF3000FF2200FF1600FF0D00FF0700FF0400
FF0500FF0900FF1000FF1A00FF2700FF3500FF4600FF5700FF6900FF7A00FF8C00FF9C00
FFAB00FFB900FFC500FFD000FFDA02FFE206FFE80FFFEE1DFFF230FFF54AFFF866FFFA83
FFFC9EFFFDB6FFFEC9FFFED9FFFFE4FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF86AFFF64DFFF233FFEE1F
FFE910FFE207FFDB02FFD200FFC700FFBB00FFAD00FF9E00FF8E00FF7C00FF6B00FF5900
FF4700FF3700FF2800FF1B00FF1000FF0900FF0400FF0300FF0600FF0C00FF1400FF2000
FF2E00FF3E00FF4F00FF6000FF7200FF8400FF9500FFA400FFB300FFC000FFCC00FFD601
FFDE04FFE50AFFEB15FFF027FFF43EFFF759FFF976FFFB92FFFCACFFFDC1FFFED2FFFEE0
FFFFE9FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFDFFFFFBFFFFF9FFFFF6FFFF
F3FFFFF0FFFFEFFFFFEEFFFFEFFFFFF2FFFFF8FFFFFFFFFEFFFFF2FFFFE3FFFED3FFFDC3
FFFDB2FFFCA2FFFB94FFFA87FFFA7DFFF975FFF96FFFF86CFFF86BFFF86DFFF971FFF979
FFFA84FFFB93FFFCA7FFFDC0FFFEDFFBFFFFD6FEFFB7FDFF9EFCFF8AFAFF7AF9FF6DF9FF
64F8FF5EF7FF5AF7FF58F7FF59F7FF5CF7FF61F8FF69F8FF74F9FF82FAFF95FBFFACFCFF
C8FDFFEAFFFFFFFFEEFFFECDFFFCB1FFFB9BFFFA8AFFFA7DFFF974FFF96EFFF86BFFF86B
FFF96DFFF972FFF979FFFA82FFFB8EFFFB9CFFFCABFFFDBBFFFECCFFFEDCFFFFEBFFFFF9
FCFFFFF5FFFFF0FFFFEEFFFFEEFFFFF0FFFFF2FFFFF5FFFFF7FFFFFAFFFFFCFFFFFEFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE4FFFED9FFFEC9FFFDB6FFFC9E
FFFA83FFF866FFF549FFF230FFED1CFFE80FFFE106FFDA02FFD000FFC500FFB900FFAB00
FF9C00FF8B00FF7A00FF6800FF5700FF4500FF3500FF2600FF1900FF0F00FF0800FF0400
FF0400FF0600FF0D00FF1600FF2200FF3000FF4000FF5100FF6300FF7500FF8600FF9700
FFA600FFB500FFC200FFCD00FFD701FFDF05FFE60BFFEC17FFF129FFF441FFF75DFFF97A
FFFB96FFFCAFFFFDC3FFFED4FFFEE1FFFFEBFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF869FFF64DFFF233FFEE1E
FFE910FFE207FFDB02FFD100FFC700FFBA00FFAD00FF9E00FF8D00FF7C00FF6A00FF5800
FF4700FF3600FF2700FF1A00FF1000FF0800FF0400FF0300FF0500FF0B00FF1400FF2000
FF2E00FF3D00FF4E00FF6000FF7200FF8400FF9400FFA400FFB300FFC000FFCB00FFD601
FFDE04FFE50AFFEB15FFF027FFF43EFFF759FFF976FFFB92FFFCABFFFDC1FFFED2FFFEE0
FFFFE9FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF8FFFFF6FFFF
F4FFFFF3FFFFF2FFFFF4FFFFF7FFFFFDFFFFFFFFFAFFFFEFFFFEE2FFFED4FFFDC6FFFDB8
FFFCAAFFFC9FFFFB95FFFB8DFFFA88FFFA85FFFA86FFFA89FFFB91FFFB9DFFFCAEFFFDC6
FFFFE5F1FFFFCAFEFFA7FCFF8AFAFF72F9FF5EF7FF4EF6FF42F4FF38F3FF31F2FF2BF1FF
27F0FF25F0FF23EFFF22EFFF22EFFF23EFFF25F0FF28F0FF2DF1FF33F2FF3AF3FF45F5FF
52F6FF62F8FF77F9FF91FBFFAFFCFFD3FEFFFCFFFFFFFEDDFFFDBFFFFCA9FFFB9AFFFB8F
FFFA88FFFA85FFFA86FFFA89FFFB8FFFFB97FFFCA1FFFCAEFFFDBBFFFECAFFFED8FFFFE5
FFFFF2FFFFFCFBFFFFF6FFFFF3FFFFF2FFFFF3FFFFF4FFFFF6FFFFF8FFFFFBFFFFFCFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFF8FFFFF5FFFFEFFFFFE7FFFEDDFFFECEFFFDBCFFFCA6
FFFB8BFFF96FFFF652FFF338FFEF22FFEA12FFE408FFDC03FFD301FFC900FFBD00FFAF00
FFA100FF9000FF7F00FF6E00FF5C00FF4A00FF3900FF2A00FF1D00FF1200FF0900FF0400
FF0300FF0500FF0A00FF1200FF1D00FF2B00FF3A00FF4B00FF5D00FF6F00FF8000FF9100
FFA100FFB000FFBE00FFC900FFD401FFDD03FFE409FFEA13FFEF23FFF339FFF654FFF970
FFFB8DFFFCA7FFFDBDFFFECFFFFEDDFFFFE8FFFFEFFFFFF5FFFFF8FFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF869FFF64DFFF233FFEE1E
FFE910FFE207FFDB02FFD100FFC700FFBA00FFAD00FF9D00FF8D00FF7C00FF6A00FF5800
FF4700FF3600FF2700FF1A00FF0F00FF0800FF0300FF0200FF0500FF0B00FF1400FF1F00
FF2D00FF3D00FF4E00FF6000FF7200FF8300FF9400FFA400FFB300FFC000FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF759FFF976FFFB92FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF8FFFFF6FFFF
F6FFFFF6FFFFF7FFFFFBFFFFFFFFFFFFFFF7FFFFEEFFFFE3FFFED7FFFECBFFFDBFFFFDB4
FFFCABFFFCA4FFFC9FFFFB9DFFFC9EFFFCA3FFFCADFFFDBBFFFED1FFFFEEEBFFFFC6FDFF
A3FCFF86FAFF6CF8FF57F7FF47F5FF39F3FF2FF2FF27F0FF21EFFF1CEDFF18ECFF16EBFF
14EAFF12EAFF11E9FF11E9FF11E9FF11E9FF12EAFF13EAFF15EBFF18ECFF1CEDFF20EFFF
26F0FF2EF1FF39F3FF46F5FF56F7FF6BF8FF84FAFFA1FCFFC3FDFFE8FFFFFFFFF0FFFED2
FFFDBDFFFCADFFFCA4FFFC9EFFFB9DFFFC9FFFFCA3FFFCAAFFFDB4FFFDBFFFFECAFFFED7
FFFFE2FFFFEDFFFFF7FFFFFEFBFFFFF8FFFFF6FFFFF6FFFFF6FFFFF8FFFFF9FFFFFBFFFF
FDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEAFFFEE0FFFED3FFFDC2FFFCAD
FFFB94FFF978FFF75BFFF43FFFF028FFEC16FFE60BFFDF04FFD601FFCC00FFC100FFB400
FFA500FF9500FF8500FF7300FF6100FF4F00FF3E00FF2E00FF2000FF1400FF0B00FF0500
FF0300FF0300FF0700FF0F00FF1900FF2600FF3500FF4500FF5700FF6900FF7B00FF8C00
FF9C00FFAC00FFB900FFC600FFD100FFDA02FFE207FFE80FFFEE1DFFF231FFF54BFFF867
FFFA84FFFC9FFFFDB7FFFECAFFFED9FFFFE5FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF869FFF64DFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC700FFBA00FFAC00FF9D00FF8D00FF7C00FF6A00FF5800
FF4600FF3600FF2700FF1A00FF0F00FF0700FF0300FF0200FF0500FF0A00FF1300FF1F00
FF2D00FF3D00FF4E00FF6000FF7200FF8300FF9400FFA400FFB300FFC000FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF759FFF976FFFB92FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFF
F8FFFFFAFFFFFDFFFFFFFFFDFFFFF7FFFFEFFFFFE5FFFEDBFFFED1FFFDC8FFFDBFFFFDB8
FFFDB3FFFCB1FFFDB3FFFDB8FFFDC1FFFED1FFFFE7F9FFFFD7FEFFB6FDFF97FBFF7BFAFF
64F8FF51F6FF41F4FF35F3FF2BF1FF23EFFF1DEEFF19ECFF15EBFF12EAFF10E9FF0FE8FF
0EE8FF0DE7FF0CE7FF0CE7FF0CE7FF0CE7FF0DE7FF0DE7FF0EE8FF10E9FF11EAFF14EBFF
17ECFF1BEDFF21EFFF28F0FF31F2FF3CF4FF4AF5FF5CF7FF72F9FF8CFBFFA9FCFFCAFEFF
ECFFFFFFFFF2FFFED8FFFDC7FFFDBBFFFDB4FFFCB1FFFDB2FFFDB6FFFDBCFFFDC4FFFECE
FFFED8FFFEE2FFFFEBFFFFF4FFFFFBFFFFFFFBFFFFF9FFFFF8FFFFF8FFFFF9FFFFFAFFFF
FCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFECFFFFE4FFFED8FFFDC8FFFDB4
FFFB9CFFFA81FFF864FFF547FFF22FFFED1BFFE80EFFE106FFD902FFCF00FFC400FFB800
FFAA00FF9A00FF8A00FF7800FF6700FF5500FF4300FF3300FF2400FF1700FF0D00FF0600
FF0300FF0200FF0500FF0C00FF1500FF2100FF3000FF4000FF5100FF6300FF7500FF8600
FF9700FFA700FFB500FFC200FFCD00FFD701FFDF05FFE60CFFEC18FFF12AFFF442FFF75E
FFF97BFFFB97FFFCAFFFFDC4FFFED5FFFEE2FFFFEBFFFFF2FFFFF6FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF869FFF64CFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8D00FF7C00FF6A00FF5800
FF4600FF3600FF2600FF1900FF0F00FF0700FF0300FF0200FF0400FF0A00FF1300FF1F00
FF2D00FF3D00FF4E00FF5F00FF7100FF8300FF9400FFA400FFB200FFC000FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB92FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFFAFFFF
FCFFFFFFFFFFFFFFFCFFFFF7FFFFF0FFFFE8FFFEE0FFFED8FFFED0FFFECAFFFDC5FFFDC3
FFFDC3FFFDC8FFFED0FFFEDEFFFFF3F1FFFFD3FEFFB5FDFF98FBFF7EFAFF68F8FF55F6FF
45F5FF39F3FF2FF2FF27F0FF21EFFF1CEDFF18ECFF15EBFF13EAFF11E9FF10E9FF0FE8FF
0EE8FF0DE7FF0DE7FF0DE7FF0DE7FF0DE7FF0DE7FF0EE8FF0EE8FF0FE8FF10E9FF11EAFF
13EAFF16EBFF19ECFF1DEEFF22EFFF29F0FF31F2FF3CF4FF4AF5FF5AF7FF6EF9FF86FAFF
A1FCFFBEFDFFDCFEFFFAFFFFFFFFECFFFED9FFFECDFFFDC6FFFDC3FFFDC3FFFDC6FFFECB
FFFED2FFFEDAFFFFE3FFFFEBFFFFF2FFFFF9FFFFFEFEFFFFFBFFFFFAFFFFFAFFFFFAFFFF
FBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8FFFFF4FFFFEFFFFFE7FFFEDCFFFECDFFFDBB
FFFCA4FFFA89FFF86DFFF650FFF336FFEF20FFE911FFE308FFDC03FFD201FFC800FFBC00
FFAE00FF9F00FF8F00FF7E00FF6C00FF5A00FF4800FF3800FF2800FF1B00FF1000FF0800
FF0300FF0200FF0400FF0900FF1200FF1D00FF2B00FF3A00FF4B00FF5D00FF6F00FF8100
FF9200FFA200FFB100FFBE00FFCA00FFD401FFDD03FFE409FFEA13FFEF24FFF33AFFF655
FFF972FFFB8EFFFCA8FFFDBEFFFED0FFFEDEFFFFE8FFFFF0FFFFF5FFFFF9FFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA0FFFA86FFF869FFF64CFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8D00FF7B00FF6A00FF5800
FF4600FF3500FF2600FF1900FF0F00FF0700FF0200FF0100FF0400FF0A00FF1300FF1E00
FF2C00FF3C00FF4D00FF5F00FF7100FF8300FF9400FFA400FFB200FFC000FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB92FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF0FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFCFFFFFDFFFF
FFFFFFFFFFFCFFFFF7FFFFF2FFFFEBFFFFE5FFFEDEFFFED8FFFED4FFFED1FFFED1FFFED4
FFFEDAFFFFE6FFFFF7F1FFFFD7FEFFBCFDFFA2FCFF8AFAFF74F9FF61F7FF51F6FF43F5FF
39F3FF30F2FF29F1FF24EFFF20EEFF1DEEFF1AEDFF19ECFF17ECFF16ECFF16EBFF15EBFF
15EBFF15EBFF15EBFF15EBFF14EBFF15EBFF15EBFF15EBFF15EBFF15EBFF16EBFF16ECFF
17ECFF19ECFF1AEDFF1DEEFF20EEFF24EFFF29F1FF30F2FF39F3FF43F5FF50F6FF60F7FF
73F9FF89FAFFA2FCFFBCFDFFD7FEFFF1FFFFFFFFF7FFFFE6FFFEDAFFFED4FFFED1FFFED1
FFFED4FFFED8FFFEDEFFFFE5FFFFEBFFFFF2FFFFF7FFFFFCFFFFFFFDFFFFFCFFFFFBFFFF
FBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFE9FFFEE0FFFED2FFFDC1
FFFCABFFFB92FFF976FFF759FFF43DFFF026FFEB15FFE50AFFDE04FFD501FFCB00FFC000
FFB300FFA400FF9400FF8300FF7100FF5F00FF4E00FF3D00FF2D00FF1F00FF1300FF0A00
FF0400FF0100FF0200FF0700FF0E00FF1900FF2600FF3500FF4600FF5700FF6900FF7B00
FF8C00FF9D00FFAC00FFBA00FFC600FFD100FFDA02FFE207FFE90FFFEE1EFFF232FFF64C
FFF868FFFA85FFFCA0FFFDB8FFFECBFFFEDAFFFFE5FFFFEEFFFFF4FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA0FFFA86FFF869FFF64CFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8D00FF7B00FF6900FF5700
FF4600FF3500FF2600FF1900FF0E00FF0700FF0200FF0100FF0400FF0A00FF1300FF1E00
FF2C00FF3C00FF4D00FF5F00FF7100FF8300FF9400FFA400FFB200FFBF00FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB91FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF0FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFFFF
FFFFFCFFFFF8FFFFF4FFFFEFFFFFE9FFFFE4FFFEE0FFFEDDFFFEDBFFFEDDFFFEE1FFFFEA
FFFFF7F6FFFFE0FEFFC9FEFFB1FCFF9AFBFF85FAFF72F9FF61F8FF53F6FF48F5FF3FF4FF
38F3FF32F2FF2EF1FF2BF1FF29F0FF28F0FF27F0FF27F0FF27F0FF28F0FF29F0FF2AF1FF
2BF1FF2CF1FF2DF1FF2EF1FF2EF1FF2EF1FF2DF1FF2DF1FF2CF1FF2AF1FF29F1FF28F0FF
27F0FF27F0FF27F0FF27F0FF28F0FF2AF1FF2DF1FF31F2FF36F3FF3CF4FF45F5FF4FF6FF
5CF7FF6CF8FF7EFAFF93FBFFA9FCFFC1FDFFD8FEFFEFFFFFFFFFFCFFFFEDFFFFE4FFFEDE
FFFEDCFFFEDCFFFEDFFFFFE3FFFFE7FFFFEDFFFFF2FFFFF7FFFFFBFFFFFEFEFFFFFDFFFF
FCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF2FFFFECFFFFE3FFFED7FFFDC7
FFFDB2FFFB9AFFFA7FFFF862FFF546FFF12DFFED1AFFE70DFFE005FFD802FFCF00FFC300
FFB700FFA900FF9900FF8800FF7700FF6500FF5300FF4200FF3100FF2300FF1600FF0C00
FF0500FF0200FF0200FF0500FF0B00FF1500FF2100FF3000FF4000FF5200FF6300FF7500
FF8700FF9800FFA700FFB600FFC200FFCE00FFD702FFE005FFE70CFFEC19FFF12BFFF543
FFF75FFFFA7CFFFB98FFFCB1FFFDC5FFFED6FFFEE2FFFFEBFFFFF2FFFFF6FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA0FFFA86FFF869FFF64CFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8D00FF7B00FF6900FF5700
FF4600FF3500FF2600FF1900FF0E00FF0700FF0200FF0100FF0400FF0900FF1200FF1E00
FF2C00FF3C00FF4D00FF5F00FF7100FF8300FF9400FFA400FFB200FFBF00FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB91FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF0FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFD
FFFFF9FFFFF6FFFFF2FFFFEDFFFFE9FFFFE6FFFFE4FFFFE4FFFFE7FFFFECFFFFF6FBFFFF
EAFFFFD7FEFFC2FDFFADFCFF99FBFF86FAFF76F9FF68F8FF5CF7FF53F6FF4BF5FF46F5FF
42F4FF40F4FF3FF4FF3FF4FF41F4FF44F5FF48F5FF4DF6FF53F6FF5AF7FF61F8FF68F8FF
6FF9FF76F9FF7BF9FF7FFAFF80FAFF80FAFF7EFAFF79F9FF74F9FF6DF8FF66F8FF5EF7FF
57F7FF51F6FF4BF5FF46F5FF43F4FF40F4FF3FF4FF3FF4FF40F4FF43F4FF47F5FF4EF6FF
56F7FF60F7FF6DF8FF7BFAFF8DFBFFA0FCFFB4FDFFC9FEFFDEFEFFF1FFFFFFFFFEFFFFF2
FFFFEAFFFFE6FFFFE4FFFFE5FFFFE7FFFFEBFFFFEFFFFFF3FFFFF7FFFFFBFFFFFDFFFFFF
FEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8FFFFF4FFFFEEFFFFE6FFFEDBFFFECC
FFFDB9FFFCA2FFFA88FFF86BFFF64EFFF234FFEE1FFFE910FFE307FFDB03FFD201FFC700
FFBB00FFAD00FF9E00FF8E00FF7C00FF6B00FF5900FF4700FF3600FF2700FF1A00FF0F00
FF0700FF0200FF0100FF0300FF0900FF1200FF1D00FF2B00FF3B00FF4C00FF5E00FF7000
FF8100FF9200FFA300FFB100FFBF00FFCA00FFD501FFDD04FFE509FFEB14FFF025FFF33B
FFF756FFF973FFFB8FFFFCA9FFFDBFFFFED1FFFEDEFFFFE9FFFFF0FFFFF5FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA0FFFA85FFF869FFF64CFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8C00FF7B00FF6900FF5700
FF4600FF3500FF2600FF1900FF0E00FF0600FF0200FF0100FF0300FF0900FF1200FF1E00
FF2C00FF3C00FF4D00FF5F00FF7100FF8300FF9400FFA400FFB200FFBF00FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB91FFFCABFFFDC0FFFED2FFFEDF
FFFFE9FFFFF0FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFDFFFFFA
FFFFF7FFFFF4FFFFF1FFFFEEFFFFECFFFFEBFFFFECFFFFEFFFFFF5FFFFFEF3FFFFE4FFFF
D2FEFFC0FDFFAEFCFF9DFBFF8DFBFF7FFAFF73F9FF69F8FF62F8FF5DF7FF5AF7FF5AF7FF
5BF7FF5FF7FF65F8FF6DF9FF79F9FF87FAFF99FBFFAFFCFFC7FDFFE3FFFFFFFFFFFFFFE4
FFFECEFFFDBEFFFDB2FFFCAAFFFCA7FFFCA7FFFCAAFFFDB2FFFDBEFFFECFFFFFE5FFFFFF
E1FEFFC6FDFFAEFCFF98FBFF87FAFF78F9FF6DF8FF65F8FF5FF7FF5BF7FF5AF7FF5BF7FF
5DF7FF63F8FF6AF8FF73F9FF7FFAFF8DFBFF9DFCFFAFFCFFC1FDFFD3FEFFE5FFFFF4FFFF
FFFFFEFFFFF5FFFFEFFFFFECFFFFEBFFFFECFFFFEEFFFFF1FFFFF4FFFFF8FFFFFBFFFFFD
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEDFFFFED1
FFFDC0FFFCAAFFFB90FFF974FFF757FFF43CFFF025FFEB14FFE50AFFDE04FFD501FFCB00
FFBF00FFB200FFA300FF9300FF8200FF7000FF5E00FF4C00FF3B00FF2B00FF1D00FF1200
FF0900FF0300FF0100FF0200FF0700FF0E00FF1900FF2600FF3600FF4600FF5800FF6A00
FF7C00FF8D00FF9E00FFAD00FFBB00FFC700FFD100FFDB02FFE207FFE910FFEE1FFFF234
FFF64DFFF86AFFFA87FFFCA1FFFDB9FFFECCFFFEDBFFFFE6FFFFEEFFFFF4FFFFF8FFFFFB
FFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA0FFFA85FFF869FFF64CFFF232FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8C00FF7B00FF6900FF5700
FF4600FF3500FF2600FF1900FF0E00FF0600FF0200FF0100FF0300FF0900FF1200FF1E00
FF2C00FF3C00FF4D00FF5F00FF7100FF8300FF9400FFA400FFB200FFBF00FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB91FFFCABFFFDC0FFFED2FFFEDF
FFFFE9FFFFF0FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF4FFFFF2FFFFF0FFFFF0FFFFF1FFFFF5FFFFFBFBFFFFEFFFFFE1FEFFD2FEFF
C2FDFFB3FDFFA4FCFF96FBFF8BFAFF82FAFF7BF9FF77F9FF75F9FF76F9FF7AF9FF82FAFF
8EFBFF9EFCFFB3FDFFCFFEFFF3FFFFFFFEE2FFFDBEFFFC9FFFFA86FFF972FFF861FFF655
FFF54BFFF544FFF43FFFF33BFFF33AFFF339FFF33BFFF43EFFF442FFF549FFF652FFF75E
FFF86DFFFA80FFFB98FFFDB5FFFED8FFFFFFD8FEFFBAFDFFA3FCFF91FBFF85FAFF7CFAFF
77F9FF75F9FF76F9FF7AF9FF80FAFF88FAFF93FBFFA0FCFFAEFCFFBEFDFFCEFEFFDDFEFF
ECFFFFF8FFFFFFFFFDFFFFF6FFFFF2FFFFF0FFFFF0FFFFF1FFFFF3FFFFF6FFFFF8FFFFFB
FFFFFDFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF2FFFFEBFFFFE2FFFED6
FFFDC6FFFCB1FFFB99FFFA7DFFF760FFF544FFF12CFFEC19FFE70CFFE005FFD802FFCE00
FFC300FFB600FFA800FF9800FF8700FF7600FF6400FF5200FF4000FF3000FF2200FF1500
FF0B00FF0500FF0100FF0100FF0500FF0C00FF1500FF2200FF3100FF4100FF5200FF6400
FF7600FF8800FF9900FFA800FFB600FFC300FFCE00FFD802FFE005FFE70DFFED19FFF12C
FFF545FFF861FFFA7EFFFB99FFFDB2FFFDC6FFFED6FFFFE3FFFFECFFFFF2FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA0FFFA85FFF869FFF64CFFF232FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8C00FF7B00FF6900FF5700
FF4600FF3500FF2600FF1900FF0E00FF0600FF0200FF0100FF0300FF0900FF1200FF1E00
FF2C00FF3C00FF4D00FF5F00FF7100FF8300FF9400FFA400FFB200FFBF00FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB91FFFCABFFFDC0FFFED2FFFEDF
FFFFE9FFFFF0FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF8
FFFFF6FFFFF5FFFFF4FFFFF4FFFFF6FFFFF9FFFFFFF8FFFFEDFFFFE1FEFFD4FEFFC7FDFF
B9FDFFADFCFFA2FCFF9AFBFF93FBFF90FBFF8FFBFF92FBFF98FBFFA3FCFFB3FDFFCAFEFF
E9FFFFFFFFEEFFFDC7FFFCA4FFFA86FFF96DFFF759FFF549FFF43CFFF232FFF12AFFF024
FFEE20FFEE1DFFED1AFFEC19FFEC18FFEC18FFEC18FFED19FFED1BFFEE1EFFEF22FFF027
FFF12DFFF336FFF441FFF64FFFF861FFF977FFFB92FFFDB2FFFED7FFFFFFDBFEFFC0FDFF
ACFCFF9EFCFF95FBFF90FBFF8FFBFF91FBFF96FBFF9DFBFFA7FCFFB2FDFFBFFDFFCCFEFF
DAFEFFE6FFFFF2FFFFFBFFFFFFFFFCFFFFF7FFFFF5FFFFF4FFFFF4FFFFF5FFFFF7FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEEFFFFE6FFFEDA
FFFECBFFFDB8FFFCA1FFFA86FFF869FFF64CFFF233FFEE1EFFE910FFE207FFDA02FFD100
FFC600FFBA00FFAC00FF9D00FF8D00FF7B00FF6900FF5700FF4600FF3500FF2600FF1900
FF0E00FF0600FF0200FF0100FF0300FF0900FF1200FF1E00FF2C00FF3C00FF4D00FF5F00
FF7100FF8200FF9300FFA300FFB200FFBF00FFCB00FFD501FFDE04FFE50AFFEB15FFF026
FFF43DFFF758FFF975FFFB91FFFCABFFFDC0FFFED2FFFEDFFFFFE9FFFFF0FFFFF5FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA0FFFA85FFF869FFF64CFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8C00FF7B00FF6900FF5700
FF4600FF3500FF2600FF1900FF0E00FF0600FF0200FF0100FF0300FF0900FF1200FF1E00
FF2C00FF3C00FF4D00FF5F00FF7100FF8300FF9400FFA400FFB200FFBF00FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB91FFFCABFFFDC0FFFED2FFFEDF
FFFFE9FFFFF0FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8
FFFFF7FFFFF7FFFFF7FFFFF9FFFFFCFEFFFFF6FFFFEDFFFFE3FFFFD8FEFFCDFEFFC2FDFF
B8FDFFB0FCFFAAFCFFA6FCFFA6FCFFA9FCFFB1FCFFBDFDFFD0FEFFEAFFFFFFFFF2FFFECD
FFFCABFFFB8CFFF972FFF75CFFF54AFFF43BFFF230FFF027FFEF21FFED1BFFEC17FFEB14
FFEA12FFE910FFE80FFFE80EFFE80EFFE80EFFE80EFFE80EFFE80FFFE910FFEA12FFEB14
FFEC18FFED1CFFEF21FFF028FFF231FFF43DFFF54BFFF75EFFF974FFFB8FFFFCAEFFFED1
FFFFF6E7FFFFCDFEFFBCFDFFB0FCFFA9FCFFA6FCFFA7FCFFAAFCFFB0FCFFB9FDFFC3FDFF
CEFEFFD9FEFFE4FFFFEEFFFFF7FFFFFEFFFFFFFFFCFFFFF9FFFFF7FFFFF7FFFFF7FFFFF9
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE8FFFEDE
FFFED0FFFDBFFFFCA8FFFB8FFFF972FFF655FFF33AFFEF24FFEA14FFE409FFDD03FFD401
FFCA00FFBE00FFB100FFA200FF9200FF8100FF6F00FF5D00FF4B00FF3A00FF2B00FF1D00
FF1100FF0900FF0300FF0100FF0200FF0700FF0F00FF1A00FF2700FF3700FF4700FF5900
FF6B00FF7D00FF8E00FF9E00FFAE00FFBB00FFC700FFD201FFDB03FFE307FFE911FFEE20
FFF335FFF64FFFF86CFFFA88FFFCA3FFFDBAFFFECDFFFEDBFFFFE6FFFFEEFFFFF4FFFFF8
FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA0FFFA86FFF869FFF64CFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8D00FF7B00FF6900FF5700
FF4600FF3500FF2600FF1900FF0E00FF0700FF0200FF0100FF0400FF0900FF1200FF1E00
FF2C00FF3C00FF4D00FF5F00FF7100FF8300FF9400FFA400FFB200FFBF00FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB91FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF0FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFFAFFFFF9
FFFFF9FFFFF9FFFFFBFFFFFEFCFFFFF6FFFFEEFFFFE6FFFFDCFEFFD3FEFFCAFEFFC3FDFF
BDFDFFBAFDFFB9FDFFBCFDFFC3FDFFCFFEFFE2FEFFFCFFFFFFFFE3FFFDC3FFFCA4FFFA87
FFF96FFFF75AFFF549FFF33BFFF230FFF027FFEF20FFED1BFFEC17FFEB14FFEA12FFE910
FFE80EFFE70DFFE70CFFE70CFFE60CFFE60CFFE60CFFE60CFFE70CFFE70DFFE80EFFE90F
FFE911FFEA13FFEC16FFED1AFFEE1FFFF026FFF12EFFF338FFF545FFF756FFF86AFFFA82
FFFC9DFFFDBCFFFEDCFFFFFCE7FFFFD3FEFFC5FDFFBDFDFFBAFDFFB9FDFFBCFDFFC2FDFF
C9FEFFD1FEFFDAFEFFE4FFFFEDFFFFF4FFFFFBFFFFFFFFFFFFFFFCFFFFFAFFFFF9FFFFF9
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF6FFFFF2FFFFEBFFFEE2
FFFED5FFFDC5FFFCB0FFFB97FFFA7BFFF75EFFF443FFF12BFFEC18FFE60CFFE005FFD701
FFCD00FFC200FFB500FFA700FF9700FF8600FF7500FF6300FF5100FF4000FF2F00FF2100
FF1500FF0B00FF0500FF0100FF0200FF0500FF0C00FF1600FF2300FF3200FF4200FF5300
FF6500FF7700FF8900FF9A00FFA900FFB700FFC400FFCF00FFD802FFE106FFE70DFFED1A
FFF12EFFF546FFF862FFFA7FFFFB9BFFFDB3FFFDC7FFFED7FFFFE3FFFFECFFFFF2FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA0FFFA86FFF869FFF64CFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8D00FF7B00FF6900FF5700
FF4600FF3500FF2600FF1900FF0E00FF0700FF0200FF0100FF0400FF0A00FF1300FF1E00
FF2C00FF3C00FF4D00FF5F00FF7100FF8300FF9400FFA400FFB200FFBF00FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB91FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF0FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFB
FFFFFBFFFFFDFFFFFFFCFFFFF6FFFFF0FFFFE9FFFFE1FEFFDAFEFFD3FEFFCEFEFFCAFEFF
C9FEFFCBFEFFD1FEFFDBFEFFEBFFFFFFFFFDFFFEE1FFFDC4FFFCA8FFFB8EFFF976FFF862
FFF650FFF442FFF337FFF12EFFF026FFEF21FFED1CFFEC19FFEC16FFEB14FFEA13FFEA12
FFE911FFE910FFE910FFE80FFFE80FFFE80FFFE80FFFE80FFFE90FFFE910FFE910FFE911
FFEA12FFEA13FFEB15FFEC18FFED1BFFEE1EFFEF23FFF12AFFF232FFF43CFFF549FFF758
FFF86BFFFA81FFFB9AFFFDB5FFFED2FFFFEEF7FFFFE3FFFFD6FEFFCEFEFFCAFEFFC9FEFF
CCFEFFD0FEFFD6FEFFDDFEFFE5FFFFECFFFFF3FFFFF9FFFFFEFFFFFFFFFEFFFFFCFFFFFB
FFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF3FFFFEDFFFFE5
FFFED9FFFECAFFFDB7FFFC9FFFFA84FFF867FFF54BFFF232FFEE1DFFE80FFFE207FFDA02
FFD100FFC600FFB900FFAC00FF9C00FF8C00FF7A00FF6900FF5700FF4500FF3400FF2500
FF1800FF0E00FF0600FF0200FF0100FF0400FF0A00FF1300FF1F00FF2D00FF3D00FF4E00
FF6000FF7200FF8400FF9400FFA400FFB300FFC000FFCC00FFD601FFDE04FFE50AFFEB16
FFF027FFF43EFFF759FFF976FFFB93FFFCACFFFDC1FFFED3FFFEE0FFFFEAFFFFF1FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA0FFFA86FFF869FFF64CFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8D00FF7B00FF6A00FF5800
FF4600FF3500FF2600FF1900FF0F00FF0700FF0200FF0100FF0400FF0A00FF1300FF1E00
FF2C00FF3C00FF4D00FF5F00FF7100FF8300FF9400FFA400FFB200FFC000FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB92FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF0FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFEFFFFFFFCFFFFF7FFFFF2FFFFECFFFFE6FFFFE0FEFFDBFEFFD8FEFFD6FEFFD7FEFF
DBFEFFE3FFFFEFFFFFFFFFFDFFFFE6FFFECDFFFDB4FFFB9BFFFA84FFF970FFF75EFFF650
FFF544FFF33AFFF232FFF12CFFF027FFEF24FFEF21FFEE1FFFEE1EFFEE1DFFED1CFFED1C
FFED1CFFED1CFFED1CFFED1CFFED1CFFED1CFFED1CFFED1CFFED1CFFED1CFFED1CFFED1C
FFED1CFFED1CFFEE1DFFEE1EFFEE1FFFEF21FFEF24FFF028FFF12DFFF233FFF33BFFF545
FFF652FFF861FFF973FFFA88FFFC9FFFFDB8FFFED1FFFFEAFFFFFFEDFFFFE1FEFFDAFEFF
D6FEFFD6FEFFD8FEFFDCFEFFE1FEFFE7FFFFEDFFFFF3FFFFF8FFFFFCFFFFFFFFFFFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE8
FFFEDEFFFED0FFFDBDFFFCA7FFFB8DFFF971FFF654FFF339FFEF23FFEA13FFE409FFDD03
FFD401FFC900FFBE00FFB000FFA100FF9100FF8000FF6E00FF5C00FF4B00FF3A00FF2A00
FF1C00FF1100FF0900FF0300FF0100FF0300FF0800FF1000FF1B00FF2800FF3800FF4900
FF5A00FF6C00FF7E00FF8F00FFA000FFAF00FFBC00FFC800FFD301FFDC03FFE308FFEA12
FFEF21FFF336FFF651FFF96DFFFA8AFFFCA4FFFDBBFFFECEFFFEDCFFFFE7FFFFEFFFFFF4
FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF869FFF64CFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC600FFBA00FFAC00FF9D00FF8D00FF7C00FF6A00FF5800
FF4600FF3600FF2600FF1900FF0F00FF0700FF0300FF0200FF0400FF0A00FF1300FF1F00
FF2D00FF3D00FF4E00FF5F00FF7100FF8300FF9400FFA400FFB200FFC000FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF758FFF975FFFB92FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFFFCFFFFF8FFFFF4FFFFEFFFFFEBFFFFE6FFFFE2FFFFE0FEFFE0FEFFE2FEFFE8FFFF
F1FFFFFFFFFFFFFFEEFFFED9FFFDC2FFFCACFFFB97FFFA83FFF971FFF862FFF756FFF54B
FFF543FFF43DFFF338FFF335FFF233FFF232FFF231FFF232FFF233FFF335FFF338FFF33A
FFF43DFFF440FFF443FFF545FFF547FFF548FFF548FFF547FFF546FFF543FFF441FFF43E
FFF33BFFF338FFF336FFF234FFF232FFF231FFF231FFF232FFF234FFF337FFF43CFFF442
FFF54AFFF654FFF760FFF96FFFFA80FFFB93FFFCA9FFFDBFFFFED5FFFFEAFFFFFDF3FFFF
E9FFFFE3FFFFE0FEFFE0FEFFE2FEFFE5FFFFEAFFFFEFFFFFF3FFFFF8FFFFFBFFFFFEFFFF
FFFFFFFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFF9FFFFF6FFFFF1FFFFEB
FFFEE1FFFED4FFFDC4FFFCAFFFFB96FFF97AFFF75DFFF441FFF12AFFEC17FFE60BFFDF05
FFD701FFCD00FFC200FFB500FFA600FF9700FF8600FF7400FF6200FF5000FF3F00FF2F00
FF2100FF1500FF0B00FF0500FF0200FF0200FF0600FF0D00FF1800FF2400FF3300FF4300
FF5500FF6700FF7900FF8A00FF9B00FFAA00FFB800FFC500FFD000FFD902FFE106FFE80E
FFED1BFFF22FFFF548FFF864FFFA81FFFB9DFFFDB5FFFDC8FFFED8FFFFE4FFFFEDFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE5FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF869FFF64DFFF233FFEE1E
FFE910FFE207FFDA02FFD100FFC700FFBA00FFAC00FF9D00FF8D00FF7C00FF6A00FF5800
FF4600FF3600FF2700FF1A00FF0F00FF0700FF0300FF0200FF0500FF0A00FF1300FF1F00
FF2D00FF3D00FF4E00FF6000FF7200FF8300FF9400FFA400FFB300FFC000FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF759FFF976FFFB92FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FCFFFFFAFFFFF6FFFFF2FFFFEFFFFFEBFFFFE9FFFFE7FFFFE8FFFFEBFFFFF2FFFFFCFFFF
FFFFF5FFFFE5FFFED2FFFDBEFFFCABFFFB98FFFA87FFF978FFF86BFFF861FFF759FFF653
FFF64EFFF64CFFF54BFFF64CFFF64FFFF654FFF75AFFF862FFF86CFFF977FFFA84FFFB92
FFFCA1FFFCAFFFFDBCFFFDC8FFFED0FFFED5FFFED6FFFED3FFFECCFFFDC2FFFDB5FFFCA7
FFFB99FFFA8AFFFA7DFFF971FFF866FFF75DFFF756FFF651FFF64DFFF54CFFF54BFFF64D
FFF650FFF656FFF75DFFF866FFF972FFFA80FFFB90FFFCA2FFFDB5FFFEC9FFFEDCFFFFEE
FFFFFDF6FFFFEEFFFFE9FFFFE8FFFFE8FFFFEAFFFFEDFFFFF1FFFFF4FFFFF8FFFFFBFFFF
FEFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFED
FFFFE5FFFED9FFFEC9FFFDB6FFFC9EFFFA83FFF866FFF54AFFF231FFEE1DFFE80FFFE206
FFDA02FFD000FFC500FFB900FFAB00FF9C00FF8B00FF7A00FF6800FF5600FF4500FF3400
FF2500FF1800FF0E00FF0700FF0300FF0200FF0500FF0B00FF1400FF2000FF2E00FF3E00
FF5000FF6100FF7300FF8500FF9600FFA500FFB400FFC100FFCC00FFD601FFDF04FFE60B
FFEC17FFF028FFF440FFF75BFFF978FFFB94FFFCADFFFDC3FFFED4FFFEE1FFFFEAFFFFF1
FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF869FFF64DFFF233FFEE1E
FFE910FFE207FFDB02FFD100FFC700FFBA00FFAD00FF9D00FF8D00FF7C00FF6A00FF5800
FF4700FF3600FF2700FF1A00FF0F00FF0800FF0300FF0200FF0500FF0B00FF1400FF1F00
FF2D00FF3D00FF4E00FF6000FF7200FF8300FF9400FFA400FFB300FFC000FFCB00FFD501
FFDE04FFE50AFFEB15FFF026FFF43DFFF759FFF976FFFB92FFFCABFFFDC1FFFED2FFFEDF
FFFFE9FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFDFFFF
FBFFFFF8FFFFF5FFFFF2FFFFF0FFFFEEFFFFEDFFFFEFFFFFF3FFFFF9FFFFFFFFFCFFFFEF
FFFEE0FFFED0FFFDBFFFFCAEFFFC9EFFFB90FFFA83FFF979FFF971FFF86BFFF868FFF867
FFF869FFF86DFFF974FFFA7FFFFB8DFFFCA0FFFDB7FFFED4FFFFF7E3FFFFC3FDFFA9FCFF
94FBFF84FAFF78F9FF6FF9FF68F8FF65F8FF64F8FF66F8FF6AF8FF70F9FF7AF9FF87FAFF
99FBFFAEFCFFC9FEFFEAFFFFFFFFEFFFFECEFFFDB2FFFB9BFFFA8AFFFA7CFFF973FFF86C
FFF868FFF867FFF869FFF86CFFF972FFF97BFFFA86FFFB93FFFCA1FFFDB2FFFDC3FFFED4
FFFFE4FFFFF2FFFFFFF7FFFFF2FFFFEEFFFFEDFFFFEEFFFFF0FFFFF3FFFFF6FFFFF8FFFF
FBFFFFFDFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8FFFFF5FFFFEF
FFFFE8FFFEDDFFFECFFFFDBDFFFCA6FFFB8CFFF96FFFF653FFF338FFEF22FFEA12FFE408
FFDC03FFD301FFC900FFBD00FFB000FFA100FF9100FF8000FF6E00FF5C00FF4A00FF3A00
FF2A00FF1D00FF1100FF0900FF0400FF0200FF0400FF0900FF1100FF1D00FF2A00FF3A00
FF4A00FF5C00FF6E00FF8000FF9100FFA100FFB000FFBD00FFC900FFD301FFDC03FFE408
FFEA12FFEF22FFF338FFF653FFF96FFFFB8CFFFCA6FFFDBDFFFECFFFFEDDFFFFE8FFFFEF
FFFFF5FFFFF8FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF869FFF64DFFF233FFEE1E
FFE910FFE207FFDB02FFD100FFC700FFBA00FFAD00FF9E00FF8D00FF7C00FF6A00FF5800
FF4700FF3600FF2700FF1A00FF1000FF0800FF0400FF0300FF0500FF0B00FF1400FF2000
FF2E00FF3D00FF4E00FF6000FF7200FF8400FF9400FFA400FFB300FFC000FFCB00FFD601
FFDE04FFE50AFFEB15FFF027FFF43EFFF759FFF976FFFB92FFFCABFFFDC1FFFED2FFFEE0
FFFFE9FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFDFFFFFCFFFF
F9FFFFF7FFFFF5FFFFF3FFFFF2FFFFF2FFFFF4FFFFF8FFFFFEFFFFFFFFF8FFFFEDFFFEDF
FFFED1FFFDC3FFFDB4FFFCA7FFFB9BFFFB91FFFA8AFFFA85FFFA82FFFA83FFFA87FFFB8F
FFFB9BFFFCACFFFDC3FFFEE2F5FFFFCDFEFFAAFCFF8DFBFF74F9FF60F7FF51F6FF44F5FF
3BF3FF33F2FF2EF1FF2AF1FF27F0FF26F0FF25F0FF26F0FF27F0FF2AF1FF2EF1FF33F2FF
3AF3FF43F5FF4FF6FF5FF7FF72F9FF8AFAFFA7FCFFC9FEFFF1FFFFFFFFE6FFFDC6FFFCAE
FFFB9CFFFB90FFFA88FFFA83FFFA82FFFA84FFFA89FFFB90FFFB9AFFFCA6FFFDB3FFFDC1
FFFED0FFFEDEFFFFEBFFFFF7FFFFFFF8FFFFF4FFFFF2FFFFF2FFFFF3FFFFF5FFFFF7FFFF
F9FFFFFBFFFFFDFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFF9FFFFF6FFFFF1
FFFFEAFFFEE1FFFED4FFFDC3FFFCAEFFFB95FFF979FFF75CFFF440FFF029FFEC17FFE60B
FFDF04FFD601FFCD00FFC100FFB400FFA600FF9600FF8500FF7400FF6200FF5000FF3F00
FF2F00FF2100FF1500FF0C00FF0600FF0300FF0400FF0800FF0F00FF1900FF2600FF3500
FF4500FF5700FF6900FF7A00FF8C00FF9C00FFAB00FFB900FFC600FFD000FFDA02FFE206
FFE80FFFEE1DFFF231FFF54AFFF866FFFA83FFFC9EFFFDB6FFFECAFFFED9FFFFE5FFFFED
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF86AFFF64DFFF233FFEE1F
FFE910FFE207FFDB02FFD200FFC700FFBB00FFAD00FF9E00FF8E00FF7C00FF6B00FF5900
FF4700FF3700FF2800FF1B00FF1000FF0900FF0400FF0300FF0600FF0C00FF1400FF2000
FF2E00FF3E00FF4F00FF6000FF7200FF8400FF9500FFA400FFB300FFC000FFCC00FFD601
FFDE04FFE50AFFEB15FFF027FFF43EFFF759FFF976FFFB92FFFCACFFFDC1FFFED2FFFEE0
FFFFE9FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFF
F9FFFFF7FFFFF6FFFFF5FFFFF6FFFFF8FFFFFBFFFFFFFFFEFFFFF6FFFFECFFFEE1FFFED4
FFFDC8FFFDBCFFFCB1FFFCA8FFFCA1FFFB9DFFFB9BFFFB9DFFFCA2FFFCACFFFDBBFFFED1
FFFFEFEAFFFFC4FDFFA2FCFF84FAFF6BF8FF57F7FF46F5FF39F3FF2FF2FF27F0FF21EFFF
1CEDFF19ECFF16EBFF14EBFF13EAFF12EAFF12EAFF12EAFF13EAFF14EBFF15EBFF18ECFF
1BEDFF1FEEFF24F0FF2CF1FF35F3FF41F4FF50F6FF62F8FF7AF9FF95FBFFB6FDFFDAFEFF
FFFFFEFFFEDCFFFDC3FFFCB1FFFCA6FFFC9EFFFB9BFFFB9CFFFC9FFFFCA5FFFCADFFFDB8
FFFDC3FFFECFFFFEDCFFFFE7FFFFF2FFFFFBFEFFFFF9FFFFF6FFFFF5FFFFF6FFFFF7FFFF
F8FFFFFAFFFFFCFFFFFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3
FFFFEDFFFFE4FFFED8FFFEC9FFFDB5FFFB9DFFFA82FFF865FFF549FFF230FFED1CFFE80E
FFE106FFD902FFD000FFC500FFB900FFAB00FF9B00FF8B00FF7A00FF6800FF5600FF4500
FF3400FF2600FF1900FF0F00FF0800FF0400FF0400FF0700FF0D00FF1600FF2200FF3000
FF4000FF5100FF6300FF7500FF8700FF9700FFA700FFB500FFC200FFCD00FFD701FFDF05
FFE60CFFEC18FFF12AFFF442FFF75EFFF97BFFFB96FFFCAFFFFDC4FFFED5FFFEE1FFFFEB
FFFFF2FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDAFFFECBFFFDB8FFFCA1FFFA86FFF86AFFF64DFFF233FFEE1F
FFE910FFE207FFDB02FFD200FFC700FFBB00FFAD00FF9E00FF8E00FF7D00FF6B00FF5900
FF4800FF3700FF2800FF1B00FF1100FF0900FF0500FF0400FF0600FF0C00FF1500FF2100
FF2F00FF3E00FF4F00FF6100FF7300FF8400FF9500FFA500FFB300FFC000FFCC00FFD601
FFDE04FFE50AFFEB16FFF027FFF43EFFF759FFF976FFFB92FFFCACFFFDC1FFFED2FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFF
F9FFFFF8FFFFF8FFFFF9FFFFFAFFFFFEFFFFFFFFFCFFFFF5FFFFEDFFFFE3FFFED9FFFECF
FFFDC5FFFDBDFFFDB6FFFDB2FFFCB0FFFDB2FFFDB8FFFDC2FFFED2FFFFEAF5FFFFD3FEFF
B2FDFF93FBFF79F9FF62F8FF4FF6FF40F4FF34F2FF2AF1FF23EFFF1DEEFF18ECFF15EBFF
12EAFF10E9FF0FE8FF0EE8FF0DE7FF0DE7FF0CE7FF0CE7FF0DE7FF0DE7FF0EE8FF0FE8FF
11E9FF13EAFF16EBFF1AEDFF1EEEFF24F0FF2CF1FF37F3FF44F5FF54F6FF68F8FF7FFAFF
9BFBFFBBFDFFDCFEFFFFFFFFFFFFE3FFFECDFFFDBFFFFDB6FFFCB1FFFCB0FFFDB3FFFDB8
FFFDBFFFFDC8FFFED1FFFEDCFFFFE6FFFFEFFFFFF7FFFFFEFDFFFFFAFFFFF8FFFFF8FFFF
F8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8FFFFF4
FFFFEFFFFFE7FFFEDCFFFECEFFFDBCFFFCA5FFFA8BFFF96EFFF652FFF337FFEF22FFEA12
FFE408FFDC03FFD301FFC900FFBD00FFAF00FFA000FF9000FF7F00FF6E00FF5C00FF4A00
FF3A00FF2B00FF1D00FF1200FF0A00FF0500FF0400FF0600FF0B00FF1300FF1F00FF2C00
FF3C00FF4C00FF5E00FF7000FF8100FF9200FFA200FFB100FFBE00FFCA00FFD401FFDD03
FFE409FFEA13FFEF24FFF33AFFF655FFF972FFFB8EFFFCA8FFFDBEFFFED0FFFEDEFFFFE8
FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA1FFFA87FFF86AFFF64DFFF234FFEE1F
FFE910FFE307FFDB03FFD201FFC700FFBB00FFAD00FF9E00FF8E00FF7D00FF6B00FF5A00
FF4800FF3800FF2900FF1C00FF1100FF0A00FF0600FF0500FF0700FF0D00FF1600FF2100
FF2F00FF3F00FF5000FF6100FF7300FF8400FF9500FFA500FFB300FFC000FFCC00FFD601
FFDE04FFE50AFFEB16FFF027FFF43EFFF759FFF976FFFB92FFFCACFFFDC1FFFED2FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFF
FAFFFFFAFFFFFBFFFFFCFFFFFFFFFFFFFFFBFFFFF5FFFFEEFFFFE6FFFEDEFFFED6FFFECE
FFFDC8FFFDC4FFFDC2FFFDC3FFFDC8FFFED2FFFEE1FFFFF7ECFFFFCEFEFFB0FCFF94FBFF
7BF9FF65F8FF52F6FF43F5FF37F3FF2DF1FF26F0FF20EEFF1BEDFF18ECFF15EBFF13EAFF
11E9FF10E9FF0FE8FF0EE8FF0DE7FF0DE7FF0DE7FF0DE7FF0DE7FF0DE7FF0EE8FF0FE8FF
10E9FF11E9FF13EAFF15EBFF17ECFF1BEDFF20EEFF26F0FF2DF1FF37F3FF43F4FF52F6FF
64F8FF7AF9FF93FBFFAFFCFFCCFEFFEBFFFFFFFFF8FFFEE2FFFED2FFFEC9FFFDC3FFFDC2
FFFDC4FFFDC8FFFECEFFFED5FFFEDEFFFFE6FFFFEEFFFFF5FFFFFBFFFFFFFCFFFFFBFFFF
FAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6
FFFFF1FFFFEAFFFEE0FFFED3FFFDC2FFFCADFFFB94FFF978FFF75BFFF43FFFF028FFEC16
FFE60BFFDF04FFD601FFCC00FFC100FFB400FFA600FF9600FF8500FF7400FF6200FF5000
FF3F00FF3000FF2200FF1600FF0D00FF0700FF0500FF0500FF0A00FF1100FF1B00FF2800
FF3700FF4700FF5900FF6B00FF7C00FF8D00FF9E00FFAD00FFBA00FFC700FFD100FFDA02
FFE207FFE910FFEE1EFFF233FFF64CFFF869FFFA85FFFCA0FFFDB8FFFECBFFFEDAFFFFE5
FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA2FFFA87FFF86AFFF64EFFF234FFEE1F
FFE910FFE307FFDB03FFD201FFC700FFBB00FFAD00FF9F00FF8E00FF7D00FF6C00FF5A00
FF4900FF3800FF2900FF1C00FF1200FF0B00FF0600FF0500FF0800FF0D00FF1600FF2200
FF3000FF3F00FF5000FF6200FF7300FF8500FF9500FFA500FFB400FFC000FFCC00FFD601
FFDE04FFE60BFFEB16FFF027FFF43EFFF75AFFF977FFFB93FFFCACFFFDC1FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFF
FBFFFFFCFFFFFEFFFFFFFFFFFFFFFBFFFFF6FFFFF0FFFFEAFFFFE3FFFEDDFFFED7FFFED3
FFFED1FFFED1FFFED5FFFEDCFFFFE9FFFFFBECFFFFD2FEFFB7FDFF9DFCFF85FAFF70F9FF
5EF7FF4EF6FF42F4FF37F3FF2FF2FF29F0FF24EFFF20EEFF1DEEFF1AEDFF19ECFF17ECFF
16ECFF16EBFF15EBFF15EBFF15EBFF15EBFF15EBFF15EBFF15EBFF15EBFF15EBFF15EBFF
15EBFF16EBFF17ECFF18ECFF1AEDFF1CEDFF1EEEFF22EFFF27F0FF2DF1FF34F2FF3EF4FF
49F5FF58F7FF69F8FF7DFAFF95FBFFAEFCFFC8FDFFE3FFFFFCFFFFFFFFEEFFFEE0FFFED7
FFFED2FFFED0FFFED2FFFED5FFFEDAFFFEE1FFFFE7FFFFEEFFFFF4FFFFF9FFFFFEFEFFFF
FCFFFFFCFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7
FFFFF3FFFFECFFFFE4FFFED8FFFDC8FFFDB4FFFB9CFFFA81FFF864FFF548FFF22FFFED1B
FFE80EFFE106FFD902FFD000FFC500FFB800FFAA00FF9B00FF8B00FF7A00FF6800FF5600
FF4500FF3500FF2600FF1A00FF1000FF0900FF0600FF0500FF0900FF0F00FF1800FF2400
FF3300FF4300FF5400FF6500FF7700FF8800FF9900FFA800FFB600FFC300FFCE00FFD802
FFE005FFE70CFFEC19FFF12CFFF544FFF760FFFA7DFFFB98FFFCB1FFFDC5FFFED6FFFEE2
FFFFEBFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA2FFFA87FFF86AFFF64EFFF234FFEE1F
FFE910FFE307FFDB03FFD201FFC700FFBB00FFAE00FF9F00FF8F00FF7E00FF6C00FF5A00
FF4900FF3900FF2A00FF1D00FF1300FF0B00FF0700FF0600FF0800FF0E00FF1700FF2200
FF3000FF4000FF5000FF6200FF7400FF8500FF9600FFA500FFB400FFC100FFCC00FFD601
FFDE04FFE60BFFEB16FFF027FFF43FFFF75AFFF977FFFB93FFFCACFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFF
FDFFFFFEFFFFFFFFFEFFFFFBFFFFF7FFFFF3FFFFEDFFFFE8FFFFE3FFFEDFFFFEDCFFFEDC
FFFEDEFFFFE3FFFFEDFFFFFBF1FFFFDBFEFFC3FDFFACFCFF95FBFF81FAFF6EF9FF5FF7FF
51F6FF47F5FF3EF4FF37F3FF32F2FF2EF1FF2BF1FF29F0FF28F0FF27F0FF27F0FF28F0FF
28F0FF29F1FF2AF1FF2BF1FF2CF1FF2DF1FF2DF1FF2DF1FF2DF1FF2DF1FF2CF1FF2BF1FF
2AF1FF29F0FF28F0FF27F0FF27F0FF27F0FF28F0FF2AF1FF2CF1FF2FF2FF33F2FF39F3FF
41F4FF4AF5FF56F6FF64F8FF74F9FF87FAFF9DFBFFB4FDFFCBFEFFE2FFFFF8FFFFFFFFF6
FFFFE9FFFEE1FFFEDDFFFEDCFFFEDDFFFEE0FFFFE5FFFFEAFFFFEFFFFFF4FFFFF9FFFFFC
FFFFFFFEFFFFFDFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDCFFFECEFFFDBBFFFCA4FFFA8AFFF96DFFF651FFF336FFEF21
FFEA12FFE308FFDC03FFD301FFC900FFBD00FFAF00FFA000FF9000FF7F00FF6E00FF5C00
FF4B00FF3A00FF2B00FF1E00FF1400FF0C00FF0700FF0600FF0800FF0D00FF1600FF2100
FF2F00FF3E00FF4F00FF6000FF7200FF8300FF9400FFA400FFB200FFBF00FFCB00FFD501
FFDE04FFE50AFFEB15FFF025FFF43CFFF757FFF974FFFB90FFFCAAFFFDC0FFFED1FFFEDF
FFFFE9FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA2FFFA87FFF86BFFF64EFFF234FFEE1F
FFE911FFE307FFDB03FFD201FFC800FFBC00FFAE00FF9F00FF8F00FF7E00FF6D00FF5B00
FF4A00FF3900FF2B00FF1E00FF1300FF0C00FF0800FF0700FF0900FF0F00FF1800FF2300
FF3100FF4000FF5100FF6200FF7400FF8500FF9600FFA600FFB400FFC100FFCC00FFD601
FFDF04FFE60BFFEB16FFF028FFF43FFFF75AFFF977FFFB93FFFCACFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFF
FFFFFFFFFFFEFFFFFCFFFFF8FFFFF5FFFFF0FFFFECFFFFE9FFFFE6FFFFE4FFFFE5FFFFE8
FFFFEFFFFFF9F7FFFFE5FFFFD2FEFFBDFDFFA8FCFF95FBFF83FAFF73F9FF66F8FF5BF7FF
52F6FF4BF5FF46F5FF42F4FF40F4FF40F4FF41F4FF42F4FF46F5FF4AF5FF4FF6FF55F6FF
5BF7FF62F8FF69F8FF70F9FF76F9FF7AF9FF7DFAFF7EFAFF7DFAFF7AF9FF76F9FF70F9FF
69F8FF62F8FF5BF7FF55F6FF4FF6FF4AF5FF45F5FF42F4FF41F4FF40F4FF40F4FF42F4FF
46F5FF4BF5FF52F6FF5BF7FF66F8FF74F9FF83FAFF95FBFFA9FCFFBDFDFFD2FEFFE6FFFF
F7FFFFFFFFF9FFFFEFFFFFE8FFFFE5FFFFE4FFFFE6FFFFE9FFFFECFFFFF1FFFFF5FFFFF9
FFFFFCFFFFFEFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEAFFFEE0FFFED3FFFDC1FFFCACFFFB93FFF977FFF75AFFF43FFFF027
FFEB16FFE60BFFDE04FFD601FFCC00FFC100FFB400FFA500FF9600FF8500FF7400FF6200
FF5100FF4000FF3100FF2300FF1700FF0F00FF0900FF0700FF0800FF0C00FF1400FF1E00
FF2B00FF3A00FF4A00FF5B00FF6D00FF7E00FF8F00FF9F00FFAE00FFBC00FFC800FFD201
FFDB03FFE308FFE911FFEE20FFF335FFF64FFFF86BFFFA88FFFCA2FFFDB9FFFECCFFFEDB
FFFFE6FFFFEEFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA2FFFA88FFF86BFFF64EFFF335FFEE20
FFE911FFE308FFDB03FFD201FFC800FFBC00FFAE00FF9F00FF8F00FF7E00FF6D00FF5B00
FF4A00FF3A00FF2B00FF1F00FF1400FF0D00FF0800FF0700FF0A00FF1000FF1800FF2400
FF3100FF4100FF5200FF6300FF7500FF8600FF9600FFA600FFB400FFC100FFCC00FFD601
FFDF04FFE60BFFEC16FFF028FFF43FFFF75BFFF977FFFB93FFFCADFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFEFFFFFCFFFFFAFFFFF7FFFFF3FFFFF0FFFFEDFFFFECFFFFEBFFFFEDFFFFF1FFFFF8
FDFFFFEFFFFFE0FEFFCEFEFFBCFDFFAAFCFF99FBFF8AFAFF7DFAFF72F9FF69F8FF63F8FF
5EF7FF5CF7FF5CF7FF5EF7FF62F8FF69F8FF72F9FF7EFAFF8DFBFF9FFCFFB5FDFFCDFEFF
E8FFFFFFFFFAFFFEE1FFFECEFFFDBFFFFDB4FFFCAEFFFCACFFFCADFFFDB2FFFDBBFFFEC9
FFFEDBFFFFF2F1FFFFD5FEFFBCFDFFA5FCFF92FBFF82FAFF75F9FF6BF8FF64F8FF5FF7FF
5CF7FF5CF7FF5DF7FF61F8FF67F8FF6FF9FF79F9FF86FAFF95FBFFA5FCFFB7FDFFC9FEFF
DAFEFFEBFFFFF9FFFFFFFFFAFFFFF2FFFFEEFFFFEBFFFFEBFFFFEDFFFFEFFFFFF2FFFFF6
FFFFF9FFFFFCFFFFFEFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFECFFFFE3FFFED7FFFDC7FFFDB3FFFB9BFFFA80FFF863FFF547FFF12E
FFED1BFFE80EFFE106FFD902FFD000FFC500FFB800FFAA00FF9B00FF8B00FF7A00FF6800
FF5700FF4600FF3600FF2800FF1B00FF1200FF0B00FF0800FF0800FF0B00FF1200FF1B00
FF2700FF3500FF4500FF5600FF6800FF7900FF8A00FF9B00FFAA00FFB800FFC400FFCF00
FFD902FFE106FFE70DFFED1BFFF12EFFF546FFF862FFFA7FFFFB9BFFFDB3FFFDC7FFFED7
FFFFE3FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA3FFFA88FFF86BFFF64FFFF335FFEE20
FFE911FFE308FFDB03FFD201FFC800FFBC00FFAF00FFA000FF9000FF7F00FF6E00FF5C00
FF4B00FF3B00FF2C00FF1F00FF1500FF0E00FF0900FF0800FF0B00FF1000FF1900FF2400
FF3200FF4200FF5200FF6400FF7500FF8600FF9700FFA600FFB400FFC100FFCD00FFD601
FFDF04FFE60BFFEC17FFF028FFF440FFF75BFFF978FFFB94FFFCADFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFBFFFFF8FFFFF6FFFFF3FFFFF1FFFFF0FFFFF1FFFFF3FFFFF7FFFFFEF8FFFF
EBFFFFDDFEFFCEFEFFBFFDFFB0FCFFA1FCFF95FBFF8AFAFF82FAFF7CFAFF78F9FF78F9FF
7AF9FF7FFAFF87FAFF94FBFFA6FCFFBDFDFFDAFEFFFFFFFFFFFED8FFFDB6FFFB9AFFFA82
FFF96FFFF760FFF654FFF54CFFF545FFF440FFF43EFFF43CFFF43DFFF43EFFF442FFF547
FFF64FFFF759FFF866FFF976FFFA8BFFFCA4FFFDC3FFFFE7F0FFFFCEFEFFB3FDFF9EFCFF
8FFBFF84FAFF7CFAFF79F9FF78F9FF79F9FF7EFAFF85FAFF8EFBFF99FBFFA7FCFFB5FDFF
C5FDFFD4FEFFE3FFFFF0FFFFFCFFFFFFFFFBFFFFF5FFFFF2FFFFF0FFFFF1FFFFF2FFFFF4
FFFFF7FFFFF9FFFFFCFFFFFEFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFB
FFFFF8FFFFF4FFFFEEFFFFE7FFFEDCFFFECDFFFDBAFFFCA4FFFA89FFF86DFFF650FFF336
FFEF21FFEA11FFE308FFDC03FFD301FFC800FFBC00FFAF00FFA000FF9000FF8000FF6E00
FF5D00FF4C00FF3B00FF2D00FF2000FF1500FF0E00FF0900FF0800FF0B00FF1000FF1900
FF2400FF3100FF4100FF5100FF6300FF7400FF8500FF9600FFA600FFB400FFC100FFCC00
FFD601FFDE04FFE60BFFEB16FFF027FFF43EFFF75AFFF977FFFB93FFFCACFFFDC1FFFED2
FFFEE0FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDBAFFFCA3FFFA88FFF86CFFF64FFFF335FFEE20
FFE911FFE308FFDC03FFD301FFC800FFBC00FFAF00FFA000FF9000FF7F00FF6E00FF5D00
FF4C00FF3B00FF2D00FF2000FF1600FF0E00FF0A00FF0900FF0C00FF1100FF1A00FF2500
FF3300FF4200FF5300FF6400FF7600FF8700FF9700FFA700FFB500FFC100FFCD00FFD701
FFDF04FFE60BFFEC17FFF028FFF440FFF75BFFF978FFFB94FFFCADFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF6FFFFF5FFFFF4FFFFF5FFFFF7FFFFFBFEFFFFF5FFFFEAFFFF
DEFEFFD1FEFFC4FDFFB7FDFFACFCFFA2FCFF9AFBFF95FBFF92FBFF92FBFF96FBFF9EFCFF
AAFCFFBCFDFFD5FEFFF6FFFFFFFEE1FFFDBCFFFB9CFFFA80FFF869FFF756FFF547FFF33B
FFF232FFF12BFFF025FFEF21FFEE1EFFED1CFFED1AFFED1AFFED1AFFED1BFFED1CFFEE1E
FFEF21FFF025FFF12BFFF232FFF43CFFF548FFF757FFF86AFFFA82FFFC9EFFFDBFFFFFE4
F3FFFFD3FEFFBBFDFFA9FCFF9DFBFF96FBFF92FBFF92FBFF95FBFF9BFBFFA2FCFFADFCFF
B8FDFFC5FDFFD2FEFFDFFEFFEBFFFFF6FFFFFEFFFFFFFFFBFFFFF7FFFFF5FFFFF4FFFFF5
FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF1FFFFE9FFFEDFFFFED2FFFDC1FFFCABFFFB92FFF976FFF759FFF43E
FFF027FFEB16FFE50AFFDE04FFD601FFCC00FFC100FFB400FFA500FF9600FF8500FF7400
FF6300FF5200FF4100FF3200FF2400FF1900FF1100FF0B00FF0900FF0A00FF0F00FF1600
FF2100FF2E00FF3D00FF4D00FF5E00FF6F00FF8100FF9100FFA100FFB000FFBD00FFC900
FFD301FFDC03FFE408FFEA12FFEF21FFF337FFF651FFF96EFFFA8AFFFCA5FFFDBBFFFECE
FFFEDCFFFFE7FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECDFFFDBAFFFCA3FFFA89FFF86CFFF650FFF336FFEF20
FFE911FFE308FFDC03FFD301FFC800FFBC00FFAF00FFA000FF9100FF8000FF6F00FF5D00
FF4C00FF3C00FF2E00FF2100FF1700FF0F00FF0B00FF0A00FF0D00FF1200FF1B00FF2600
FF3400FF4300FF5300FF6500FF7600FF8700FF9800FFA700FFB500FFC200FFCD00FFD701
FFDF05FFE60BFFEC17FFF029FFF440FFF75CFFF978FFFB94FFFCADFFFDC2FFFED3FFFEE0
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFBFFFFFAFFFFF8FFFFF7FFFFF7FFFFF8FFFFFAFFFFFEFBFFFFF4FFFFEBFFFFE0FEFF
D5FEFFCBFEFFC0FDFFB7FDFFB0FCFFABFCFFA9FCFFAAFCFFAEFCFFB7FDFFC5FDFFDAFEFF
F7FFFFFFFFE5FFFDC2FFFCA2FFFA85FFF86CFFF758FFF547FFF33AFFF22FFFF027FFEF21
FFED1CFFEC18FFEB15FFEA13FFEA11FFE910FFE910FFE80FFFE80FFFE90FFFE910FFE911
FFEA13FFEB15FFEC17FFED1BFFEE1FFFF026FFF12DFFF337FFF544FFF654FFF867FFFA7F
FFFB9AFFFDBAFFFEDCFFFFFFE0FEFFCAFEFFBAFDFFB0FCFFAAFCFFA9FCFFAAFCFFAFFCFF
B5FDFFBEFDFFC8FDFFD3FEFFDEFEFFE8FFFFF2FFFFFAFFFFFFFFFFFFFFFBFFFFF8FFFFF7
FFFFF7FFFFF8FFFFF9FFFFFBFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF2FFFFECFFFFE3FFFED7FFFDC7FFFDB3FFFB9BFFFA7FFFF863FFF547
FFF12EFFED1BFFE80EFFE106FFD902FFCF00FFC500FFB800FFAA00FF9B00FF8B00FF7A00
FF6900FF5800FF4700FF3700FF2900FF1D00FF1400FF0E00FF0A00FF0B00FF0E00FF1500
FF1E00FF2A00FF3900FF4800FF5900FF6A00FF7C00FF8D00FF9D00FFAC00FFB900FFC600
FFD000FFDA02FFE106FFE80EFFED1CFFF230FFF549FFF865FFFA82FFFB9DFFFDB5FFFEC8
FFFED8FFFFE4FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDBFFFECDFFFDBAFFFCA3FFFA89FFF86CFFF650FFF336FFEF21
FFEA11FFE308FFDC03FFD301FFC900FFBD00FFAF00FFA100FF9100FF8000FF6F00FF5E00
FF4D00FF3D00FF2E00FF2200FF1800FF1000FF0C00FF0B00FF0E00FF1300FF1C00FF2700
FF3500FF4400FF5400FF6500FF7700FF8800FF9800FFA700FFB500FFC200FFCD00FFD701
FFDF05FFE60BFFEC17FFF029FFF441FFF75CFFF979FFFB95FFFCAEFFFDC3FFFED4FFFEE1
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF9FFFFF9FFFFFAFFFFFCFFFFFFFAFFFFF4FFFFECFFFFE4FFFFDBFEFF
D2FEFFCAFEFFC3FDFFBEFDFFBCFDFFBDFDFFC1FDFFCAFEFFD8FEFFECFFFFFFFFF7FFFED8
FFFDB9FFFB9BFFFA81FFF86AFFF757FFF547FFF33AFFF22FFFF027FFEF21FFED1CFFEC18
FFEB15FFEA13FFE911FFE910FFE80FFFE80EFFE70DFFE70DFFE70DFFE70DFFE80EFFE80E
FFE80FFFE910FFEA12FFEB14FFEC16FFED1AFFEE1EFFEF24FFF12BFFF234FFF43FFFF64D
FFF75FFFF974FFFB8CFFFCA8FFFDC6FFFFE5FBFFFFE2FEFFD1FEFFC5FDFFBFFDFFBCFDFF
BDFDFFC0FDFFC6FDFFCDFEFFD6FEFFDFFEFFE7FFFFF0FFFFF7FFFFFDFFFFFFFFFEFFFFFB
FFFFFAFFFFF9FFFFFAFFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFC
FFFFFBFFFFF8FFFFF4FFFFEEFFFFE6FFFEDBFFFECDFFFDBAFFFCA3FFFA89FFF86CFFF650
FFF336FFEF20FFE911FFE308FFDC03FFD301FFC800FFBD00FFAF00FFA100FF9100FF8000
FF6F00FF5E00FF4D00FF3D00FF2E00FF2200FF1800FF1000FF0C00FF0B00FF0E00FF1300
FF1C00FF2700FF3500FF4400FF5400FF6600FF7700FF8800FF9800FFA700FFB600FFC200
FFCD00FFD701FFDF05FFE60BFFEC17FFF129FFF441FFF75CFFF979FFFB95FFFCAEFFFDC3
FFFED4FFFEE1FFFFEAFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDCFFFECDFFFDBAFFFCA4FFFA89FFF86DFFF650FFF336FFEF21
FFEA12FFE308FFDC03FFD301FFC900FFBD00FFB000FFA100FF9200FF8100FF7000FF5F00
FF4E00FF3E00FF2F00FF2300FF1900FF1100FF0D00FF0C00FF0F00FF1400FF1D00FF2800
FF3500FF4500FF5500FF6600FF7700FF8800FF9800FFA800FFB600FFC200FFCD00FFD701
FFDF05FFE60CFFEC17FFF129FFF441FFF75CFFF979FFFB95FFFCAEFFFDC3FFFED4FFFEE1
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFBFFFFFBFFFFFCFFFFFEFEFFFFFAFFFFF5FFFFEEFFFFE7FFFFE0FEFFD9FEFF
D3FEFFCFFEFFCCFEFFCCFEFFCFFEFFD7FEFFE3FFFFF5FFFFFFFFF2FFFED7FFFDBBFFFCA1
FFFA88FFF972FFF75FFFF64FFFF441FFF337FFF12EFFF027FFEF22FFEE1EFFED1BFFEC18
FFEC16FFEB15FFEB14FFEA13FFEA12FFEA12FFEA11FFE911FFE911FFE911FFEA11FFEA12
FFEA12FFEA13FFEB14FFEB15FFEC17FFEC19FFED1BFFEE1EFFEF23FFF028FFF22FFFF338
FFF443FFF650FFF861FFF974FFFA8BFFFCA4FFFDBFFFFEDAFFFFF5F2FFFFE1FEFFD6FEFF
CFFEFFCCFEFFCCFEFFCFFEFFD4FEFFDAFEFFE1FEFFE8FFFFEFFFFFF5FFFFFBFFFFFFFFFF
FFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC0FFFCABFFFB92FFF976FFF759
FFF43EFFF027FFEB16FFE50AFFDE04FFD601FFCC00FFC100FFB400FFA600FF9600FF8600
FF7500FF6400FF5300FF4300FF3400FF2600FF1B00FF1300FF0E00FF0C00FF0E00FF1200
FF1A00FF2400FF3100FF4000FF5000FF6100FF7200FF8300FF9400FFA300FFB200FFBF00
FFCA00FFD401FFDD03FFE409FFEA13FFEF23FFF339FFF654FFF971FFFB8DFFFCA7FFFDBD
FFFECFFFFEDDFFFFE8FFFFEFFFFFF5FFFFF8FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDCFFFECDFFFDBBFFFCA4FFFA8AFFF96DFFF651FFF337FFEF21
FFEA12FFE408FFDC03FFD301FFC900FFBD00FFB000FFA200FF9200FF8200FF7000FF5F00
FF4F00FF3F00FF3000FF2400FF1A00FF1200FF0E00FF0D00FF1000FF1500FF1E00FF2900
FF3600FF4500FF5600FF6700FF7800FF8900FF9900FFA800FFB600FFC300FFCE00FFD701
FFDF05FFE60CFFEC18FFF12AFFF441FFF75DFFF97AFFFB95FFFCAEFFFDC3FFFED4FFFEE1
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFDFFFFFFFEFFFFFAFFFFF6FFFFF1FFFFEBFFFFE5FFFFE0FEFFDCFEFF
D9FEFFD8FEFFDAFEFFE0FEFFE9FFFFF7FFFFFFFFF4FFFEDDFFFDC5FFFCACFFFB95FFFA80
FFF86DFFF75DFFF64FFFF544FFF33BFFF234FFF12EFFF12AFFF027FFEF24FFEF22FFEF21
FFEF20FFEE20FFEE20FFEE20FFEF20FFEF20FFEF21FFEF21FFEF21FFEF21FFEF21FFEF20
FFEF20FFEE20FFEE20FFEE20FFEF20FFEF21FFEF22FFEF24FFF026FFF129FFF12DFFF233
FFF33AFFF442FFF64DFFF75AFFF86AFFFA7CFFFB91FFFCA8FFFDC0FFFED9FFFFF0FBFFFF
EBFFFFE1FEFFDBFEFFD8FEFFD9FEFFDBFEFFDFFEFFE4FFFFEAFFFFF0FFFFF5FFFFFAFFFF
FDFFFFFFFFFFFFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF2FFFFECFFFFE3FFFED7FFFDC7FFFDB2FFFB9AFFFA7FFFF862
FFF546FFF12EFFED1BFFE70DFFE106FFD902FFD000FFC500FFB800FFAB00FF9C00FF8C00
FF7B00FF6A00FF5900FF4800FF3900FF2B00FF2000FF1700FF1000FF0E00FF0E00FF1100
FF1800FF2200FF2E00FF3C00FF4C00FF5C00FF6D00FF7E00FF8F00FF9F00FFAE00FFBB00
FFC700FFD200FFDB02FFE207FFE910FFEE1EFFF232FFF54CFFF868FFFA85FFFC9FFFFDB7
FFFECAFFFED9FFFFE5FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDCFFFECDFFFDBBFFFCA4FFFA8AFFF96EFFF651FFF337FFEF22
FFEA12FFE408FFDC03FFD401FFC900FFBE00FFB100FFA200FF9300FF8200FF7100FF6000
FF4F00FF4000FF3100FF2500FF1B00FF1400FF0F00FF0E00FF1100FF1600FF1F00FF2A00
FF3700FF4600FF5700FF6700FF7800FF8900FF9900FFA800FFB600FFC300FFCE00FFD702
FFE005FFE60CFFEC18FFF12AFFF442FFF75DFFF97AFFFB96FFFCAFFFFDC3FFFED4FFFEE1
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFFFEFFFFFBFFFFF7FFFFF3FFFFEFFFFFEAFFFFE6FFFFE3FFFFE2FEFF
E3FFFFE6FFFFEDFFFFF7FFFFFFFFF8FFFFE6FFFED1FFFDBCFFFCA7FFFB93FFFA80FFF970
FFF862FFF757FFF64DFFF546FFF440FFF43CFFF339FFF338FFF337FFF338FFF339FFF33B
FFF43DFFF440FFF544FFF547FFF54AFFF64DFFF650FFF651FFF652FFF652FFF651FFF64F
FFF64CFFF549FFF545FFF442FFF43FFFF43CFFF33AFFF338FFF337FFF337FFF338FFF33B
FFF43EFFF443FFF549FFF652FFF75CFFF869FFF978FFFA89FFFB9CFFFCB1FFFDC7FFFEDC
FFFFEFFEFFFFF1FFFFE9FFFFE4FFFFE2FEFFE2FEFFE5FFFFE8FFFFECFFFFF1FFFFF5FFFF
F9FFFFFCFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFCFFFFFBFFFFF8FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA3FFFA88FFF86C
FFF64FFFF335FFEF20FFE911FFE308FFDC03FFD301FFC900FFBD00FFB000FFA100FF9100
FF8100FF7000FF5F00FF4E00FF3F00FF3000FF2400FF1A00FF1300FF0F00FF0F00FF1100
FF1700FF2000FF2B00FF3800FF4700FF5800FF6900FF7A00FF8A00FF9A00FFA900FFB700
FFC400FFCF00FFD802FFE005FFE70DFFEC19FFF12CFFF544FFF75FFFFA7CFFFB98FFFCB0
FFFDC5FFFED5FFFEE2FFFFEBFFFFF2FFFFF6FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDCFFFECEFFFDBBFFFCA5FFFA8BFFF96EFFF652FFF337FFEF22
FFEA12FFE408FFDC03FFD401FFCA00FFBE00FFB100FFA300FF9300FF8300FF7200FF6100
FF5000FF4100FF3200FF2600FF1C00FF1500FF1100FF1000FF1200FF1700FF2000FF2B00
FF3800FF4700FF5700FF6800FF7900FF8A00FF9A00FFA900FFB700FFC300FFCE00FFD802
FFE005FFE70CFFEC18FFF12AFFF442FFF75EFFF97BFFFB96FFFCAFFFFDC4FFFED4FFFEE1
FFFFEBFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFEFFFFFCFFFFF9FFFFF5FFFFF2FFFFEEFFFFECFFFFEAFFFFE9FFFFEBFFFF
EFFFFFF7FFFFFFFFFDFFFFEFFFFEDEFFFECCFFFDB9FFFCA7FFFB96FFFA86FFF978FFF86D
FFF864FFF75CFFF757FFF654FFF653FFF653FFF655FFF759FFF75FFFF867FFF970FFFA7C
FFFA89FFFB98FFFCA7FFFDB7FFFDC6FFFED4FFFEDFFFFFE7FFFFEBFFFFEBFFFFE6FFFEDE
FFFED2FFFDC3FFFDB4FFFCA4FFFB95FFFA86FFF97AFFF96EFFF865FFF75EFFF758FFF655
FFF653FFF653FFF654FFF758FFF75EFFF865FFF96FFFF97BFFFA89FFFB99FFFCAAFFFDBD
FFFED0FFFEE2FFFFF2FFFFFFF5FFFFEEFFFFEAFFFFE9FFFFEAFFFFECFFFFEFFFFFF2FFFF
F6FFFFF9FFFFFCFFFFFEFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC0FFFCABFFFB91FFF975
FFF758FFF43DFFF027FFEB16FFE50AFFDE04FFD601FFCC00FFC100FFB400FFA600FF9700
FF8700FF7600FF6500FF5400FF4400FF3600FF2900FF1E00FF1600FF1100FF1000FF1100
FF1600FF1E00FF2800FF3500FF4300FF5300FF6400FF7500FF8600FF9600FFA500FFB300
FFC000FFCC00FFD501FFDE04FFE50AFFEB15FFF026FFF43CFFF757FFF974FFFB90FFFCA9
FFFDBFFFFED1FFFEDEFFFFE8FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDCFFFECEFFFDBCFFFCA5FFFA8BFFF96FFFF652FFF338FFEF22
FFEA13FFE409FFDD03FFD401FFCA00FFBE00FFB100FFA300FF9400FF8300FF7300FF6200
FF5100FF4200FF3300FF2700FF1D00FF1600FF1200FF1100FF1300FF1900FF2100FF2C00
FF3900FF4800FF5800FF6900FF7A00FF8A00FF9A00FFA900FFB700FFC300FFCE00FFD802
FFE005FFE70CFFEC19FFF12BFFF443FFF75EFFF97BFFFB97FFFCAFFFFDC4FFFED4FFFEE1
FFFFEBFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFEFFFFFCFFFFFAFFFFF7FFFFF5FFFFF2FFFFF0FFFFEFFFFFEFFFFFF2FFFFF6FFFF
FEFFFFFFFFF7FFFFEAFFFEDBFFFECBFFFDBBFFFCACFFFB9DFFFB90FFFA85FFFA7CFFF975
FFF971FFF96FFFF970FFF973FFF979FFFA83FFFB8FFFFCA1FFFDB6FFFED1FFFFF2E9FFFF
C9FEFFAEFCFF99FBFF87FAFF79F9FF6FF9FF68F8FF63F8FF61F7FF60F7FF63F8FF67F8FF
6EF9FF78F9FF85FAFF96FBFFABFCFFC5FDFFE4FFFFFFFFF6FFFED5FFFDB9FFFCA3FFFB91
FFFA84FFF97AFFF974FFF970FFF96FFFF971FFF975FFF97BFFFA84FFFB8EFFFB9BFFFCAA
FFFDB9FFFEC9FFFED9FFFFE8FFFFF5FFFFFFF7FFFFF2FFFFEFFFFFEFFFFFF0FFFFF2FFFF
F4FFFFF7FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF2FFFFECFFFFE3FFFED6FFFDC6FFFDB2FFFB9AFFFA7F
FFF862FFF546FFF12EFFED1BFFE80EFFE106FFD902FFD000FFC500FFB900FFAB00FF9C00
FF8D00FF7C00FF6B00FF5A00FF4A00FF3B00FF2E00FF2200FF1A00FF1400FF1100FF1200
FF1500FF1C00FF2600FF3200FF4000FF4F00FF6000FF7000FF8100FF9200FFA100FFB000
FFBD00FFC800FFD301FFDC03FFE308FFE911FFEE20FFF335FFF64FFFF86BFFFA87FFFCA2
FFFDB9FFFECCFFFEDBFFFFE6FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDCFFFECEFFFDBCFFFCA5FFFB8BFFF96FFFF653FFF338FFEF23
FFEA13FFE409FFDD03FFD401FFCA00FFBF00FFB200FFA400FF9400FF8400FF7300FF6300
FF5200FF4300FF3400FF2800FF1E00FF1700FF1300FF1200FF1400FF1A00FF2200FF2D00
FF3A00FF4900FF5900FF6A00FF7B00FF8B00FF9B00FFAA00FFB700FFC400FFCF00FFD802
FFE005FFE70CFFEC19FFF12BFFF543FFF75FFFFA7BFFFB97FFFCB0FFFDC4FFFED5FFFEE1
FFFFEBFFFFF1FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFF
FEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF5FFFFF4FFFFF3FFFFF4FFFFF6FFFFFBFFFFFFFFFD
FFFFF4FFFFE8FFFEDBFFFECEFFFDC0FFFDB3FFFCA7FFFB9DFFFB94FFFB8EFFFA8BFFFA8A
FFFB8DFFFB93FFFB9DFFFCACFFFDC0FFFEDBFFFFFFDAFEFFB7FDFF99FBFF7FFAFF6AF8FF
59F7FF4CF5FF41F4FF39F3FF32F2FF2DF1FF2AF1FF28F0FF27F0FF27F0FF27F0FF29F0FF
2CF1FF30F2FF36F3FF3DF4FF47F5FF53F6FF62F8FF75F9FF8DFBFFA9FCFFCAFEFFEFFFFF
FFFFEAFFFECBFFFDB4FFFCA3FFFB97FFFB8FFFFA8BFFFA8AFFFB8DFFFB91FFFB99FFFCA2
FFFCADFFFDBAFFFDC8FFFED5FFFFE3FFFFEFFFFFF9FEFFFFF8FFFFF5FFFFF3FFFFF3FFFF
F4FFFFF6FFFFF8FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA2FFFA88
FFF86BFFF64FFFF335FFEF20FFE911FFE308FFDC03FFD301FFC900FFBD00FFB000FFA200
FF9200FF8200FF7100FF6000FF5000FF4100FF3300FF2700FF1D00FF1700FF1300FF1200
FF1500FF1B00FF2400FF2F00FF3C00FF4B00FF5B00FF6C00FF7D00FF8D00FF9D00FFAC00
FFB900FFC500FFD000FFD902FFE106FFE80EFFED1BFFF12EFFF547FFF862FFFA7FFFFB9A
FFFDB2FFFDC7FFFED7FFFFE3FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDDFFFECEFFFDBCFFFCA6FFFB8CFFF970FFF653FFF339FFEF23
FFEA13FFE409FFDD03FFD401FFCA00FFBF00FFB200FFA400FF9500FF8500FF7400FF6300
FF5300FF4400FF3600FF2900FF2000FF1900FF1400FF1400FF1600FF1B00FF2400FF2E00
FF3B00FF4A00FF5A00FF6B00FF7B00FF8C00FF9B00FFAA00FFB800FFC400FFCF00FFD802
FFE005FFE70DFFED19FFF12CFFF544FFF75FFFFA7CFFFB97FFFCB0FFFDC4FFFED5FFFEE2
FFFFEBFFFFF2FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FDFFFFFCFFFFFAFFFFF9FFFFF7FFFFF6FFFFF6FFFFF7FFFFFAFFFFFEFFFFFFFFFAFFFFF2
FFFFE8FFFEDEFFFED2FFFDC7FFFDBCFFFDB3FFFCABFFFCA6FFFCA3FFFCA3FFFCA7FFFCAF
FFFDBBFFFECDFFFFE7F6FFFFD3FEFFB1FCFF93FBFF79F9FF63F8FF51F6FF43F4FF37F3FF
2EF1FF27F0FF22EFFF1DEEFF1AEDFF18ECFF16EBFF15EBFF14EBFF14EBFF14EBFF15EBFF
16ECFF18ECFF1BEDFF1EEEFF23EFFF29F0FF30F2FF3AF3FF46F5FF55F6FF68F8FF7FFAFF
9AFBFFB9FDFFDBFEFFFFFFFFFFFEE0FFFDC8FFFDB8FFFCACFFFCA6FFFCA3FFFCA3FFFCA7
FFFCADFFFDB5FFFDBFFFFEC9FFFED5FFFEE0FFFFEBFFFFF4FFFFFCFDFFFFF9FFFFF7FFFF
F6FFFFF7FFFFF8FFFFF9FFFFFBFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEDFFFFED1FFFDC0FFFCAAFFFB91
FFF975FFF758FFF43DFFF027FFEB16FFE50AFFDE04FFD601FFCC00FFC100FFB500FFA700
FF9800FF8800FF7700FF6700FF5600FF4600FF3800FF2C00FF2100FF1A00FF1500FF1300
FF1500FF1A00FF2200FF2C00FF3900FF4700FF5700FF6700FF7800FF8900FF9900FFA800
FFB500FFC200FFCD00FFD701FFDF04FFE60BFFEC16FFF028FFF43FFFF75AFFF977FFFB93
FFFCACFFFDC1FFFED2FFFEDFFFFFE9FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF4FFFFEFFFFFE7FFFEDDFFFECFFFFDBDFFFCA6FFFB8CFFF970FFF654FFF339FFEF23
FFEA13FFE409FFDD04FFD501FFCB00FFBF00FFB300FFA500FF9500FF8500FF7500FF6400
FF5400FF4500FF3700FF2B00FF2100FF1A00FF1600FF1500FF1700FF1D00FF2500FF3000
FF3D00FF4B00FF5B00FF6B00FF7C00FF8C00FF9C00FFAB00FFB800FFC400FFCF00FFD902
FFE005FFE70DFFED1AFFF12CFFF544FFF760FFFA7CFFFB98FFFCB0FFFDC5FFFED5FFFEE2
FFFFEBFFFFF2FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FDFFFFFCFFFFFAFFFFF9FFFFF9FFFFF9FFFFFAFFFFFCFFFFFFFFFFFFFFF9FFFFF2FFFFEA
FFFEE1FFFED7FFFECEFFFDC6FFFDBFFFFDBAFFFDB7FFFDB8FFFDBCFFFDC4FFFED1FFFFE4
FFFFFEE1FEFFC1FDFFA3FCFF88FAFF71F9FF5CF7FF4CF5FF3EF4FF33F2FF2BF1FF24EFFF
1EEEFF1AEDFF17ECFF15EBFF13EAFF11E9FF10E9FF0FE9FF0FE8FF0FE8FF0FE8FF0FE9FF
10E9FF11E9FF13EAFF14EBFF17ECFF1AEDFF1EEEFF23EFFF2AF1FF32F2FF3DF4FF4BF5FF
5BF7FF6FF9FF86FAFFA1FCFFBFFDFFDFFEFFFEFFFFFFFFE5FFFED2FFFDC4FFFDBCFFFDB8
FFFDB7FFFDBAFFFDBFFFFDC5FFFECEFFFED7FFFEE0FFFFE9FFFFF2FFFFF9FFFFFEFDFFFF
FAFFFFF9FFFFF9FFFFF9FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF2FFFFECFFFFE2FFFED6FFFDC6FFFDB2FFFB9A
FFFA7FFFF862FFF546FFF12EFFED1BFFE80EFFE106FFD902FFD000FFC500FFB900FFAC00
FF9D00FF8E00FF7D00FF6D00FF5C00FF4C00FF3E00FF3000FF2500FF1D00FF1700FF1500
FF1600FF1900FF2000FF2A00FF3600FF4400FF5300FF6300FF7400FF8400FF9400FFA400
FFB200FFBF00FFCA00FFD401FFDD03FFE409FFEA13FFEF22FFF338FFF652FFF96EFFFA8A
FFFCA5FFFDBBFFFECDFFFEDCFFFFE7FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF5FFFFEFFFFFE7FFFEDDFFFECFFFFDBDFFFCA7FFFB8DFFF971FFF654FFF33AFFEF24
FFEB14FFE509FFDD04FFD501FFCB00FFC000FFB300FFA500FF9600FF8600FF7600FF6500
FF5500FF4600FF3800FF2C00FF2200FF1B00FF1700FF1600FF1900FF1E00FF2600FF3100
FF3E00FF4C00FF5C00FF6C00FF7D00FF8D00FF9D00FFAB00FFB900FFC500FFCF00FFD902
FFE106FFE70DFFED1AFFF12DFFF545FFF760FFFA7DFFFB98FFFCB1FFFDC5FFFED5FFFEE2
FFFFEBFFFFF2FFFFF6FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFF
FDFFFFFCFFFFFBFFFFFAFFFFFBFFFFFCFFFFFEFFFFFFFFFEFFFFF9FFFFF3FFFFECFFFFE5
FFFEDDFFFED6FFFED0FFFECBFFFDC8FFFDC8FFFECCFFFED3FFFEDEFFFFF0F7FFFFDBFEFF
BFFDFFA4FCFF8BFAFF74F9FF61F8FF50F6FF43F4FF38F3FF2FF2FF28F0FF23EFFF1EEEFF
1BEDFF18ECFF16EBFF14EBFF13EAFF12EAFF12EAFF11E9FF11E9FF11E9FF11E9FF11E9FF
11E9FF12EAFF13EAFF14EBFF15EBFF17ECFF1AEDFF1DEEFF21EFFF26F0FF2CF1FF34F2FF
3EF4FF4BF5FF5AF7FF6CF8FF82FAFF9AFBFFB5FDFFD0FEFFECFFFFFFFFF9FFFFE5FFFED7
FFFECEFFFEC9FFFDC8FFFECAFFFECEFFFED3FFFEDAFFFEE2FFFFE9FFFFF1FFFFF7FFFFFC
FFFFFFFCFFFFFBFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9FFFCA2
FFFA88FFF86BFFF64FFFF335FFEF20FFEA11FFE308FFDC03FFD301FFC900FFBE00FFB100
FFA200FF9300FF8300FF7300FF6200FF5200FF4300FF3600FF2A00FF2100FF1A00FF1700
FF1600FF1900FF1F00FF2800FF3300FF4000FF4F00FF5F00FF6F00FF8000FF9000FF9F00
FFAE00FFBB00FFC700FFD100FFDA02FFE207FFE80FFFEE1DFFF231FFF54AFFF866FFFA82
FFFB9DFFFDB5FFFDC8FFFED8FFFFE4FFFFECFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF5FFFFEFFFFFE8FFFEDDFFFECFFFFDBDFFFCA7FFFB8DFFF971FFF655FFF33AFFEF24
FFEB14FFE50AFFDE04FFD501FFCB00FFC000FFB400FFA600FF9700FF8700FF7700FF6600
FF5600FF4700FF3900FF2D00FF2400FF1D00FF1900FF1800FF1A00FF1F00FF2700FF3200
FF3F00FF4D00FF5D00FF6D00FF7E00FF8E00FF9D00FFAC00FFB900FFC500FFD000FFD902
FFE106FFE70DFFED1AFFF12DFFF545FFF861FFFA7EFFFB99FFFCB1FFFDC5FFFED6FFFEE2
FFFFEBFFFFF2FFFFF6FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFF
FDFFFFFCFFFFFCFFFFFCFFFFFDFFFFFFFFFFFFFFFDFFFFF9FFFFF4FFFFEFFFFFE9FFFFE3
FFFEDDFFFED9FFFED6FFFED5FFFED7FFFEDDFFFFE7FFFFF5F6FFFFDEFEFFC6FDFFADFCFF
96FBFF80FAFF6DF8FF5DF7FF4FF6FF43F5FF3AF3FF33F2FF2DF1FF28F0FF25F0FF22EFFF
20EEFF1EEEFF1DEEFF1CEDFF1CEDFF1CEDFF1BEDFF1BEDFF1BEDFF1BEDFF1BEDFF1BEDFF
1BEDFF1BEDFF1CEDFF1CEDFF1DEEFF1DEEFF1FEEFF20EFFF23EFFF26F0FF29F1FF2EF1FF
35F3FF3DF4FF47F5FF53F6FF61F8FF72F9FF86FAFF9DFBFFB4FDFFCDFEFFE6FFFFFCFFFF
FFFFF0FFFFE3FFFEDBFFFED7FFFED5FFFED7FFFEDAFFFEDFFFFFE5FFFFEBFFFFF1FFFFF6
FFFFFBFFFFFEFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEDFFFFED1FFFDC0FFFCAA
FFFB91FFF975FFF758FFF43EFFF027FFEB16FFE60BFFDF04FFD601FFCD00FFC200FFB500
FFA800FF9900FF8900FF7900FF6800FF5800FF4900FF3B00FF2F00FF2500FF1D00FF1900
FF1800FF1A00FF1E00FF2600FF3100FF3D00FF4B00FF5B00FF6B00FF7C00FF8C00FF9B00
FFAA00FFB700FFC400FFCE00FFD802FFE005FFE70CFFEC18FFF12AFFF442FFF75DFFF97A
FFFB96FFFCAEFFFDC3FFFED4FFFEE1FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF5FFFFEFFFFFE8FFFEDDFFFECFFFFDBEFFFCA8FFFB8EFFF972FFF655FFF33BFFF025
FFEB14FFE50AFFDE04FFD501FFCC00FFC100FFB400FFA600FF9700FF8800FF7800FF6700
FF5700FF4800FF3B00FF2F00FF2500FF1E00FF1A00FF1900FF1B00FF2100FF2900FF3300
FF4000FF4F00FF5E00FF6E00FF7F00FF8F00FF9E00FFAC00FFBA00FFC600FFD000FFD902
FFE106FFE80EFFED1BFFF12EFFF546FFF862FFFA7EFFFB99FFFDB2FFFDC6FFFED6FFFEE2
FFFFEBFFFFF2FFFFF6FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFDFFFFFAFFFFF6FFFFF1FFFFEDFFFFE8FFFFE4
FFFEE1FFFEE0FFFEE1FFFFE4FFFFEBFFFFF7F9FFFFE6FFFFD1FEFFBBFDFFA5FCFF91FBFF
7EFAFF6EF9FF60F7FF54F6FF4BF5FF43F5FF3DF4FF39F3FF35F3FF33F2FF32F2FF31F2FF
31F2FF32F2FF33F2FF35F3FF36F3FF38F3FF39F3FF3BF3FF3BF4FF3CF4FF3CF4FF3BF4FF
3BF3FF39F3FF38F3FF36F3FF35F3FF33F2FF32F2FF31F2FF31F2FF32F2FF33F2FF35F3FF
39F3FF3DF4FF43F4FF4BF5FF54F6FF60F7FF6EF9FF7EFAFF91FBFFA5FCFFBAFDFFD0FEFF
E5FFFFF8FFFFFFFFF7FFFFEBFFFFE4FFFEE1FFFEE0FFFEE1FFFFE4FFFFE8FFFFEDFFFFF1
FFFFF6FFFFFAFFFFFDFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF2FFFFEBFFFFE2FFFED6FFFDC6FFFDB2
FFFB9AFFFA7FFFF862FFF546FFF12EFFED1BFFE80EFFE106FFD902FFD000FFC600FFBA00
FFAD00FF9E00FF8F00FF7F00FF6E00FF5E00FF4F00FF4000FF3400FF2900FF2100FF1C00
FF1900FF1A00FF1E00FF2500FF2E00FF3A00FF4800FF5700FF6700FF7700FF8700FF9700
FFA600FFB400FFC000FFCC00FFD501FFDE04FFE50AFFEB14FFF025FFF33BFFF655FFF972
FFFB8EFFFCA7FFFDBDFFFECFFFFEDDFFFFE8FFFFEFFFFFF5FFFFF8FFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF5FFFFEFFFFFE8FFFEDEFFFED0FFFDBEFFFCA8FFFB8FFFF973FFF756FFF43CFFF025
FFEB15FFE50AFFDE04FFD601FFCC00FFC100FFB500FFA700FF9800FF8900FF7800FF6800
FF5800FF4900FF3C00FF3000FF2700FF2000FF1C00FF1B00FF1D00FF2200FF2A00FF3500
FF4100FF5000FF5F00FF6F00FF7F00FF8F00FF9F00FFAD00FFBA00FFC600FFD000FFD902
FFE106FFE80EFFED1BFFF12EFFF547FFF862FFFA7FFFFB9AFFFDB2FFFDC6FFFED6FFFFE2
FFFFEBFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFF
FDFFFFFEFFFFFEFFFFFFFFFFFFFFFDFFFFFBFFFFF7FFFFF4FFFFF0FFFFEDFFFFEAFFFFE8
FFFFE8FFFFEAFFFFEEFFFFF6FDFFFFEEFFFFDDFEFFCAFEFFB7FDFFA4FCFF93FBFF83FAFF
75F9FF6AF8FF60F7FF58F7FF53F6FF4FF6FF4DF6FF4CF6FF4DF6FF4FF6FF53F6FF58F7FF
5EF7FF65F8FF6DF9FF76F9FF7FFAFF88FAFF90FBFF97FBFF9CFBFF9FFCFF9FFCFF9DFCFF
99FBFF93FBFF8BFAFF82FAFF79F9FF70F9FF68F8FF60F7FF5AF7FF54F6FF50F6FF4EF6FF
4CF6FF4DF6FF4EF6FF51F6FF56F7FF5DF7FF66F8FF71F9FF7EFAFF8DFBFF9EFCFFB1FCFF
C4FDFFD7FEFFE8FFFFF8FFFFFFFFFAFFFFF1FFFFEBFFFFE8FFFFE8FFFFE9FFFFECFFFFEF
FFFFF3FFFFF6FFFFFAFFFFFCFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEEFFFFE6FFFEDBFFFECCFFFDB9
FFFCA2FFFA88FFF86CFFF64FFFF336FFEF21FFEA12FFE408FFDC03FFD401FFCA00FFBE00
FFB100FFA300FF9400FF8500FF7500FF6400FF5500FF4600FF3900FF2E00FF2500FF1E00
FF1B00FF1B00FF1E00FF2400FF2D00FF3800FF4500FF5300FF6300FF7300FF8300FF9300
FFA200FFB000FFBD00FFC900FFD301FFDC03FFE308FFE911FFEE1FFFF234FFF64DFFF869
FFFA86FFFCA0FFFDB7FFFECAFFFED9FFFFE5FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8
FFFFF5FFFFF0FFFFE8FFFEDEFFFED0FFFDBEFFFCA9FFFB8FFFF973FFF757FFF43CFFF026
FFEB15FFE50AFFDE04FFD601FFCC00FFC100FFB500FFA700FF9900FF8900FF7900FF6900
FF5A00FF4B00FF3D00FF3100FF2800FF2100FF1D00FF1C00FF1F00FF2400FF2C00FF3600
FF4300FF5100FF6000FF7000FF8000FF9000FF9F00FFAD00FFBB00FFC600FFD100FFDA02
FFE106FFE80EFFED1CFFF22FFFF547FFF863FFFA7FFFFB9AFFFDB2FFFDC6FFFED6FFFFE3
FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFEFFFFFBFFFFF9FFFFF6FFFFF3FFFFF1FFFFEFFFFFEEFFFFEE
FFFFF1FFFFF6FFFFFEF6FFFFE8FFFFD9FEFFC9FEFFB8FDFFA8FCFF99FBFF8CFBFF81FAFF
78F9FF71F9FF6CF8FF6AF8FF69F8FF6BF8FF70F9FF76F9FF80FAFF8DFBFF9DFBFFB0FCFF
C7FDFFE2FEFFFFFFFFFFFFE3FFFECBFFFDB9FFFCAAFFFC9FFFFB98FFFB94FFFB93FFFB95
FFFB9AFFFCA3FFFCAFFFFDBFFFFED3FFFFECF5FFFFD8FEFFBFFDFFA9FCFF97FBFF88FAFF
7CFAFF74F9FF6EF9FF6AF8FF69F8FF6AF8FF6EF9FF73F9FF7BF9FF85FAFF91FBFF9FFCFF
AEFCFFBEFDFFCFFEFFDFFEFFEDFFFFFAFFFFFFFFFBFFFFF4FFFFF0FFFFEEFFFFEEFFFFEF
FFFFF2FFFFF4FFFFF7FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEDFFFFED1FFFDC0
FFFCAAFFFB91FFF975FFF759FFF43EFFF027FFEB16FFE60BFFDF04FFD701FFCD00FFC200
FFB600FFA900FF9A00FF8A00FF7B00FF6A00FF5B00FF4C00FF3E00FF3200FF2900FF2200
FF1D00FF1C00FF1E00FF2300FF2B00FF3500FF4200FF5000FF5F00FF6F00FF7F00FF8F00
FF9E00FFAC00FFBA00FFC600FFD000FFD902FFE106FFE70DFFED1AFFF12DFFF545FFF861
FFFA7DFFFB99FFFCB1FFFDC5FFFED5FFFEE2FFFFEBFFFFF2FFFFF6FFFFF9FFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE8FFFEDEFFFED0FFFDBFFFFCA9FFFB90FFF974FFF757FFF43DFFF026
FFEB15FFE50AFFDF04FFD601FFCD00FFC200FFB600FFA800FF9A00FF8A00FF7A00FF6A00
FF5B00FF4C00FF3F00FF3300FF2A00FF2300FF1F00FF1E00FF2000FF2500FF2D00FF3800
FF4400FF5200FF6100FF7100FF8100FF9100FFA000FFAE00FFBB00FFC700FFD100FFDA02
FFE206FFE80FFFED1CFFF22FFFF548FFF864FFFA80FFFB9BFFFDB3FFFDC7FFFED7FFFFE3
FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF8FFFFF6FFFFF4FFFFF3FFFFF2FFFFF4FFFFF6
FFFFFCFCFFFFF2FFFFE6FFFFD9FEFFCBFEFFBDFDFFAFFCFFA3FCFF99FBFF90FBFF8AFAFF
86FAFF85FAFF87FAFF8CFBFF94FBFFA0FCFFB1FCFFC7FDFFE4FFFFFFFFF7FFFED3FFFDB4
FFFB99FFFA82FFF970FFF861FFF655FFF54CFFF545FFF43FFFF43CFFF33AFFF339FFF33A
FFF43CFFF440FFF545FFF64CFFF655FFF861FFF970FFFA83FFFB9AFFFDB5FFFED5FFFFF9
E3FFFFC6FDFFB0FCFF9FFCFF93FBFF8BFBFF87FAFF85FAFF86FAFF8AFAFF91FBFF99FBFF
A4FCFFB0FCFFBDFDFFCBFEFFD9FEFFE6FFFFF2FFFFFCFFFFFFFFFBFFFFF6FFFFF3FFFFF2
FFFFF3FFFFF4FFFFF6FFFFF8FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF6FFFFF2FFFFEBFFFFE2FFFED6FFFDC6
FFFDB2FFFB9AFFFA7FFFF862FFF547FFF12EFFED1BFFE80EFFE106FFDA02FFD100FFC600
FFBA00FFAD00FF9F00FF9000FF8000FF7100FF6100FF5200FF4400FF3700FF2D00FF2500
FF2000FF1E00FF1F00FF2300FF2A00FF3300FF3F00FF4D00FF5B00FF6B00FF7B00FF8B00
FF9A00FFA900FFB600FFC200FFCD00FFD701FFDF04FFE60BFFEB16FFF027FFF43EFFF759
FFF975FFFB91FFFCAAFFFDC0FFFED1FFFEDEFFFFE9FFFFF0FFFFF5FFFFF9FFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE8FFFEDEFFFED1FFFDBFFFFCAAFFFB90FFF975FFF758FFF43DFFF027
FFEB16FFE60BFFDF04FFD701FFCD00FFC200FFB600FFA900FF9A00FF8B00FF7B00FF6B00
FF5C00FF4D00FF4000FF3400FF2B00FF2400FF2000FF2000FF2200FF2700FF2F00FF3900
FF4500FF5300FF6300FF7200FF8200FF9200FFA100FFAF00FFBC00FFC700FFD100FFDA02
FFE207FFE80FFFED1CFFF230FFF548FFF864FFFA81FFFB9CFFFDB3FFFDC7FFFED7FFFFE3
FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF7FFFFF6FFFFF6FFFFF7FFFFFAFFFFFF
F9FFFFF0FFFFE6FFFFDBFEFFCFFEFFC3FDFFB9FDFFAFFCFFA7FCFFA2FCFF9FFCFF9FFCFF
A2FCFFA9FCFFB4FDFFC4FDFFDBFEFFF9FFFFFFFFE2FFFDC1FFFCA2FFFA87FFF971FFF75E
FFF64EFFF442FFF338FFF230FFF12AFFF025FFEF22FFEE1FFFEE1DFFED1CFFED1CFFED1C
FFEE1DFFEE1EFFEF21FFEF24FFF028FFF12EFFF335FFF43FFFF54AFFF759FFF86BFFFA81
FFFB9AFFFDB8FFFED9FFFFFCE2FEFFCAFEFFB8FDFFABFCFFA3FCFF9FFCFF9EFCFFA1FCFF
A6FCFFADFCFFB6FDFFC0FDFFCCFEFFD7FEFFE3FFFFEEFFFFF7FFFFFEFFFFFFFFFBFFFFF8
FFFFF6FFFFF6FFFFF6FFFFF8FFFFF9FFFFFBFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEEFFFFE6FFFEDBFFFECC
FFFDB9FFFCA2FFFA88FFF86CFFF650FFF336FFEF21FFEA12FFE408FFDC03FFD401FFCA00
FFBF00FFB200FFA500FF9600FF8600FF7700FF6700FF5700FF4900FF3C00FF3100FF2900
FF2300FF2000FF2000FF2300FF2900FF3200FF3D00FF4A00FF5800FF6700FF7700FF8700
FF9600FFA500FFB300FFBF00FFCA00FFD401FFDD03FFE409FFEA12FFEF22FFF337FFF651
FFF86DFFFA89FFFCA3FFFDBAFFFECCFFFEDBFFFFE6FFFFEEFFFFF4FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEDEFFFED1FFFDC0FFFCAAFFFB91FFF975FFF759FFF43EFFF027
FFEC16FFE60BFFDF05FFD701FFCE00FFC300FFB700FFA900FF9B00FF8C00FF7C00FF6D00
FF5D00FF4F00FF4100FF3600FF2D00FF2600FF2200FF2100FF2300FF2900FF3000FF3B00
FF4700FF5500FF6400FF7300FF8300FF9200FFA100FFAF00FFBC00FFC800FFD201FFDB02
FFE207FFE80FFFEE1DFFF231FFF549FFF865FFFA81FFFB9CFFFDB4FFFDC8FFFED7FFFFE3
FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF9FFFFFAFFFFFDFEFFFFF8FFFF
F0FFFFE8FFFFDEFEFFD4FEFFCBFEFFC3FDFFBCFDFFB7FDFFB4FDFFB4FDFFB8FDFFC0FDFF
CCFEFFDEFEFFF7FFFFFFFFE9FFFEC9FFFCABFFFB90FFF978FFF863FFF652FFF544FFF339
FFF22FFFF028FFEF23FFEE1EFFED1BFFEC18FFEB16FFEB15FFEA13FFEA13FFEA13FFEA13
FFEA13FFEB14FFEB15FFEC17FFEC19FFED1CFFEE20FFF025FFF12BFFF233FFF43DFFF549
FFF759FFF86BFFFA81FFFB9BFFFDB7FFFED6FFFFF6ECFFFFD6FEFFC6FDFFBCFDFFB6FDFF
B4FDFFB5FDFFB8FDFFBEFDFFC6FDFFCFFEFFD8FEFFE2FEFFEBFFFFF3FFFFFAFFFFFFFFFF
FFFFFCFFFFF9FFFFF8FFFFF8FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEDFFFFED1
FFFDC0FFFCAAFFFB91FFF976FFF759FFF43EFFF028FFEC17FFE60BFFDF05FFD701FFCE00
FFC300FFB700FFAA00FF9B00FF8C00FF7D00FF6D00FF5D00FF4F00FF4200FF3600FF2D00
FF2600FF2200FF2100FF2300FF2800FF3000FF3A00FF4700FF5500FF6300FF7300FF8300
FF9200FFA100FFAF00FFBC00FFC700FFD200FFDA02FFE207FFE80FFFEE1DFFF230FFF549
FFF865FFFA81FFFB9CFFFDB4FFFDC7FFFED7FFFFE3FFFFECFFFFF2FFFFF7FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEDFFFFED1FFFDC0FFFCABFFFB92FFF976FFF75AFFF43FFFF028
FFEC17FFE60BFFDF05FFD701FFCE00FFC300FFB700FFAA00FF9C00FF8D00FF7D00FF6E00
FF5E00FF5000FF4300FF3800FF2E00FF2800FF2400FF2300FF2500FF2A00FF3200FF3C00
FF4800FF5600FF6500FF7400FF8400FF9300FFA200FFB000FFBD00FFC800FFD201FFDB03
FFE207FFE910FFEE1DFFF231FFF54AFFF866FFFA82FFFB9DFFFDB4FFFDC8FFFED7FFFFE3
FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFFBFFFFFCFFFFFFFDFFFFF7FFFFF1FFFF
EAFFFFE2FEFFDAFEFFD3FEFFCDFEFFC8FDFFC6FDFFC6FDFFC9FEFFD0FEFFDCFEFFEDFFFF
FFFFFAFFFEDFFFFDC3FFFCA7FFFB8EFFF978FFF864FFF654FFF546FFF33BFFF232FFF12A
FFF025FFEE20FFED1CFFED1AFFEC17FFEB16FFEB14FFEA13FFEA13FFEA12FFEA12FFEA12
FFEA12FFEA13FFEA13FFEB14FFEB16FFEC18FFED1AFFEE1DFFEF20FFF025FFF12BFFF232
FFF43CFFF547FFF655FFF866FFF97AFFFB91FFFCAAFFFDC5FFFEE1FFFFFDEBFFFFDBFEFF
CFFEFFC9FEFFC6FDFFC6FDFFC9FEFFCDFEFFD4FEFFDBFEFFE3FFFFEBFFFFF2FFFFF8FFFF
FDFFFFFFFFFEFFFFFCFFFFFBFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF6FFFFF2FFFFEBFFFFE2FFFED6
FFFDC6FFFDB2FFFB9AFFFA7FFFF863FFF547FFF22FFFED1CFFE80EFFE206FFDA02FFD100
FFC700FFBB00FFAF00FFA100FF9200FF8200FF7300FF6300FF5500FF4700FF3B00FF3100
FF2A00FF2500FF2300FF2400FF2800FF2F00FF3900FF4400FF5100FF6000FF6F00FF7F00
FF8E00FF9D00FFAB00FFB900FFC400FFCF00FFD802FFE005FFE70CFFEC18FFF12AFFF441
FFF75CFFF979FFFB94FFFCADFFFDC2FFFED3FFFEE0FFFFEAFFFFF1FFFFF6FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC0FFFCABFFFB92FFF977FFF75AFFF43FFFF029
FFEC17FFE60CFFE005FFD802FFCE00FFC400FFB800FFAB00FF9D00FF8E00FF7E00FF6F00
FF6000FF5100FF4400FF3900FF3000FF2900FF2600FF2500FF2700FF2C00FF3400FF3E00
FF4A00FF5700FF6600FF7500FF8500FF9400FFA300FFB100FFBD00FFC800FFD201FFDB03
FFE307FFE910FFEE1EFFF232FFF54BFFF866FFFA83FFFC9DFFFDB5FFFDC8FFFED8FFFFE4
FFFFECFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFFFCFFFFF8FFFFF3FFFFEDFFFF
E7FFFFE1FEFFDBFEFFD7FEFFD4FEFFD4FEFFD6FEFFDCFEFFE6FFFFF4FFFFFFFFF6FFFEDF
FFFDC6FFFCAEFFFB96FFFA81FFF96EFFF75DFFF650FFF544FFF33BFFF233FFF12DFFF028
FFF025FFEF22FFEE1FFFEE1EFFED1CFFED1BFFED1BFFED1AFFED1AFFED1AFFED1AFFED19
FFED1AFFED1AFFED1AFFED1BFFED1BFFED1CFFEE1DFFEE1FFFEF21FFEF24FFF028FFF12C
FFF232FFF339FFF442FFF64DFFF75AFFF86AFFFA7DFFFB92FFFCA9FFFDC1FFFEDAFFFFF1
F8FFFFE8FFFFDDFEFFD7FEFFD4FEFFD4FEFFD6FEFFDAFEFFDFFEFFE5FFFFEBFFFFF1FFFF
F7FFFFFBFFFFFFFFFFFFFFFEFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEEFFFFE6FFFEDB
FFFECCFFFDB9FFFCA3FFFA89FFF86CFFF650FFF337FFEF22FFEA12FFE409FFDD03FFD401
FFCB00FFC000FFB300FFA600FF9700FF8800FF7900FF6900FF5B00FF4D00FF4000FF3600
FF2D00FF2800FF2500FF2500FF2800FF2E00FF3700FF4200FF4E00FF5D00FF6C00FF7B00
FF8A00FF9900FFA800FFB500FFC100FFCC00FFD601FFDE04FFE50AFFEB14FFEF24FFF33A
FFF654FFF971FFFB8DFFFCA6FFFDBCFFFECEFFFEDCFFFFE7FFFFEFFFFFF4FFFFF8FFFFFB
FFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC1FFFCACFFFB93FFF977FFF75BFFF440FFF129
FFEC18FFE60CFFE005FFD802FFCF00FFC400FFB800FFAB00FF9D00FF8F00FF7F00FF7000
FF6100FF5300FF4600FF3B00FF3200FF2B00FF2700FF2700FF2900FF2E00FF3500FF3F00
FF4B00FF5900FF6700FF7700FF8600FF9500FFA400FFB100FFBE00FFC900FFD301FFDB03
FFE307FFE910FFEE1EFFF232FFF54BFFF867FFFA83FFFC9EFFFDB5FFFEC9FFFED8FFFFE4
FFFFECFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFCFFFFF9FFFFF4FFFFF0FFFFEBFFFF
E6FFFFE2FEFFDFFEFFDEFEFFE0FEFFE4FFFFEBFFFFF7FFFFFFFFF8FFFFE4FFFECFFFFDB9
FFFCA4FFFB90FFFA7EFFF96DFFF75FFFF654FFF54AFFF442FFF43CFFF337FFF234FFF231
FFF22FFFF12EFFF12EFFF12EFFF12EFFF22FFFF22FFFF230FFF231FFF231FFF231FFF231
FFF231FFF231FFF230FFF230FFF22FFFF12EFFF12EFFF12EFFF12EFFF22FFFF230FFF232
FFF335FFF33AFFF43FFFF546FFF64EFFF759FFF866FFF975FFFA86FFFB99FFFCAEFFFDC4
FFFED9FFFFEEFFFFFFF1FFFFE7FFFFE1FEFFDFFEFFDFFEFFE1FEFFE4FFFFE8FFFFEDFFFF
F2FFFFF7FFFFFAFFFFFEFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9FFFEDF
FFFED1FFFDC0FFFCABFFFB92FFF976FFF75AFFF43FFFF028FFEC17FFE60BFFDF05FFD802
FFCE00FFC400FFB800FFAB00FF9D00FF8E00FF7F00FF6F00FF6000FF5200FF4500FF3A00
FF3100FF2B00FF2700FF2700FF2900FF2E00FF3600FF4000FF4C00FF5900FF6800FF7700
FF8700FF9600FFA400FFB200FFBE00FFC900FFD301FFDC03FFE308FFE911FFEE1FFFF233
FFF64DFFF868FFFA85FFFC9FFFFDB6FFFEC9FFFED9FFFFE4FFFFEDFFFFF3FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC1FFFCACFFFB94FFF978FFF75CFFF441FFF12A
FFEC18FFE70CFFE005FFD802FFCF00FFC500FFB900FFAC00FF9E00FF9000FF8000FF7100
FF6200FF5400FF4700FF3C00FF3300FF2D00FF2900FF2800FF2A00FF2F00FF3700FF4100
FF4D00FF5A00FF6900FF7800FF8700FF9600FFA400FFB200FFBE00FFC900FFD301FFDC03
FFE308FFE911FFEE1FFFF233FFF64CFFF868FFFA84FFFC9FFFFDB6FFFEC9FFFED8FFFFE4
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFCFFFFFAFFFFF6FFFFF2FFFFEFFFFFEBFFFF
E8FFFFE7FFFFE7FFFFEAFFFFEFFFFFF7FFFFFFFFFBFFFFECFFFEDBFFFDC8FFFDB5FFFCA2
FFFB91FFFA81FFF973FFF868FFF75EFFF757FFF651FFF64DFFF54AFFF549FFF549FFF54A
FFF64CFFF64FFFF653FFF758FFF75DFFF862FFF868FFF86DFFF971FFF974FFF976FFF977
FFF976FFF974FFF970FFF86CFFF867FFF862FFF75CFFF757FFF652FFF64FFFF54CFFF54A
FFF549FFF549FFF54AFFF64DFFF652FFF758FFF760FFF869FFF975FFFA83FFFB93FFFCA5
FFFDB8FFFECBFFFEDDFFFFEFFFFFFEF6FFFFEEFFFFE9FFFFE7FFFFE7FFFFE9FFFFECFFFF
EFFFFFF3FFFFF7FFFFFAFFFFFDFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF6FFFFF2FFFFEBFFFFE2
FFFED6FFFDC6FFFDB2FFFB9BFFFA80FFF863FFF548FFF230FFED1CFFE80FFFE207FFDA02
FFD201FFC800FFBC00FFB000FFA200FF9400FF8500FF7500FF6600FF5800FF4B00FF3F00
FF3600FF2E00FF2A00FF2800FF2A00FF2E00FF3500FF3E00FF4900FF5600FF6500FF7400
FF8300FF9200FFA100FFAE00FFBB00FFC600FFD100FFDA02FFE106FFE80EFFED1BFFF12D
FFF545FFF760FFFA7DFFFB98FFFCB0FFFDC4FFFED5FFFEE1FFFFEBFFFFF1FFFFF6FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEE0FFFED3FFFDC2FFFCADFFFB94FFF979FFF75DFFF442FFF12B
FFEC19FFE70DFFE005FFD902FFD000FFC500FFBA00FFAD00FF9F00FF9100FF8200FF7200
FF6400FF5600FF4900FF3E00FF3500FF2F00FF2B00FF2A00FF2C00FF3100FF3900FF4300
FF4E00FF5C00FF6A00FF7900FF8800FF9700FFA500FFB200FFBF00FFCA00FFD401FFDC03
FFE308FFE911FFEE20FFF234FFF64DFFF869FFFA85FFFC9FFFFDB6FFFECAFFFED9FFFFE4
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFDFFFFFBFFFFF8FFFFF5FFFFF2FFFFF0FFFFEEFFFF
EDFFFFEEFFFFF1FFFFF7FFFFFFFFFFFFFFF4FFFFE6FFFED6FFFDC6FFFDB5FFFCA5FFFB97
FFFA8AFFFA7FFFF976FFF96FFFF86AFFF867FFF866FFF867FFF86AFFF96FFFF977FFFA80
FFFB8CFFFB9BFFFCABFFFDBEFFFED2FFFFE7FFFFFCF1FFFFE3FFFFD9FEFFD3FEFFD0FEFF
D2FEFFD7FEFFE1FEFFEEFFFFFFFFFFFFFFEAFFFED5FFFDC1FFFCAEFFFB9DFFFB8EFFFA82
FFF978FFF970FFF86BFFF867FFF866FFF866FFF869FFF96EFFF974FFFA7DFFFA88FFFB95
FFFCA3FFFDB3FFFDC3FFFED4FFFFE3FFFFF2FFFFFEF8FFFFF2FFFFEFFFFFEDFFFFEEFFFF
EFFFFFF2FFFFF5FFFFF7FFFFFAFFFFFDFFFFFEFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEEFFFFE6
FFFEDBFFFECCFFFDBAFFFCA3FFFA89FFF96DFFF651FFF338FFEF22FFEA13FFE409FFDD04
FFD501FFCB00FFC100FFB400FFA700FF9900FF8A00FF7B00FF6C00FF5E00FF5000FF4400
FF3A00FF3200FF2D00FF2A00FF2B00FF2E00FF3400FF3D00FF4700FF5400FF6100FF7000
FF7F00FF8E00FF9D00FFAB00FFB800FFC300FFCE00FFD701FFDF05FFE60BFFEC16FFF027
FFF43EFFF758FFF975FFFB90FFFCA9FFFDBFFFFED0FFFEDEFFFFE8FFFFF0FFFFF5FFFFF8
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEAFFFEE0FFFED3FFFDC2FFFCAEFFFB95FFF97AFFF75DFFF443FFF12B
FFED19FFE70DFFE106FFD902FFD000FFC600FFBA00FFAE00FFA000FF9200FF8300FF7400
FF6500FF5700FF4B00FF4000FF3700FF3100FF2D00FF2C00FF2E00FF3300FF3A00FF4400
FF5000FF5D00FF6B00FF7A00FF8900FF9800FFA600FFB300FFBF00FFCA00FFD401FFDC03
FFE408FFEA11FFEF20FFF335FFF64EFFF86AFFFA86FFFCA0FFFDB7FFFECAFFFED9FFFFE4
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFDFFFFFCFFFFF9FFFFF7FFFFF5FFFFF3FFFFF2FFFFF2FFFF
F4FFFFF7FFFFFDFFFFFFFFFAFFFFEFFFFFE3FFFED6FFFDC8FFFDBAFFFCACFFFCA0FFFB96
FFFB8EFFFA88FFFA84FFFA82FFFA83FFFA87FFFB8EFFFB99FFFCA7FFFDBAFFFED1FFFFEE
EFFFFFCFFEFFB4FDFF9DFBFF89FAFF7AF9FF6DF9FF64F8FF5CF7FF57F7FF54F6FF53F6FF
53F6FF55F6FF5AF7FF60F7FF68F8FF73F9FF82FAFF93FBFFA8FCFFC2FDFFDFFEFFFFFFFE
FFFEDEFFFDC4FFFCAFFFFC9FFFFB93FFFA8AFFFA85FFFA82FFFA83FFFA85FFFA8BFFFB92
FFFB9BFFFCA7FFFDB3FFFDC1FFFECFFFFEDDFFFFEAFFFFF5FFFFFFF9FFFFF5FFFFF3FFFF
F2FFFFF3FFFFF4FFFFF6FFFFF8FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFE9
FFFEDFFFFED2FFFDC0FFFCABFFFB92FFF977FFF75BFFF440FFF129FFEC18FFE70CFFE005
FFD802FFCF00FFC500FFB900FFAC00FF9F00FF9000FF8100FF7200FF6400FF5600FF4900
FF3F00FF3600FF3000FF2D00FF2C00FF2F00FF3400FF3B00FF4500FF5100FF5E00FF6D00
FF7C00FF8B00FF9900FFA700FFB400FFC000FFCB00FFD501FFDD03FFE409FFEA13FFEF22
FFF337FFF650FFF86CFFFA88FFFCA2FFFDB9FFFECCFFFEDAFFFFE5FFFFEEFFFFF3FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEAFFFEE0FFFED3FFFDC3FFFCAEFFFB96FFF97BFFF75EFFF543FFF12C
FFED1AFFE70DFFE106FFD902FFD000FFC600FFBB00FFAE00FFA100FF9300FF8400FF7500
FF6600FF5900FF4C00FF4100FF3900FF3200FF2F00FF2E00FF3000FF3500FF3C00FF4600
FF5100FF5F00FF6D00FF7B00FF8A00FF9900FFA700FFB400FFC000FFCB00FFD401FFDD03
FFE408FFEA12FFEF21FFF335FFF64FFFF86AFFFA86FFFCA1FFFDB7FFFECAFFFED9FFFFE5
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFF9FFFFF7FFFFF6FFFFF6FFFFF6FFFFF8FFFF
FBFFFFFFFFFEFFFFF7FFFFEEFFFFE3FFFED8FFFECCFFFDC0FFFDB6FFFCACFFFCA5FFFC9F
FFFB9CFFFB9CFFFC9FFFFCA5FFFCB0FFFDBEFFFED3FFFFEEF0FFFFCFFEFFB0FCFF96FBFF
7EFAFF6BF8FF5BF7FF4EF6FF43F5FF3BF3FF35F3FF30F2FF2CF1FF29F1FF28F0FF27F0FF
27F0FF28F0FF2AF1FF2DF1FF31F2FF36F3FF3DF4FF46F5FF51F6FF5EF7FF6FF9FF83FAFF
9BFBFFB7FDFFD6FEFFF7FFFFFFFFE7FFFECEFFFDBBFFFCADFFFCA4FFFC9EFFFB9CFFFB9D
FFFCA0FFFCA6FFFCAEFFFDB8FFFDC3FFFECEFFFEDAFFFFE6FFFFF0FFFFF9FFFFFFFAFFFF
F7FFFFF6FFFFF6FFFFF6FFFFF8FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF6FFFFF2FFFFEB
FFFFE3FFFED6FFFDC7FFFDB3FFFB9BFFFA81FFF864FFF549FFF231FFEE1DFFE90FFFE207
FFDB03FFD201FFC900FFBD00FFB100FFA400FF9600FF8700FF7800FF6A00FF5C00FF4F00
FF4400FF3A00FF3400FF2F00FF2E00FF2F00FF3400FF3A00FF4400FF4F00FF5C00FF6A00
FF7800FF8700FF9600FFA400FFB100FFBD00FFC900FFD201FFDB03FFE207FFE90FFFEE1D
FFF231FFF549FFF864FFFA81FFFB9BFFFDB3FFFDC7FFFED6FFFFE3FFFFEBFFFFF2FFFFF6
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEAFFFEE0FFFED4FFFDC3FFFCAFFFFB96FFFA7BFFF75FFFF544FFF12D
FFED1AFFE80EFFE106FFDA02FFD100FFC700FFBC00FFAF00FFA200FF9400FF8500FF7600
FF6800FF5A00FF4E00FF4300FF3B00FF3400FF3100FF3000FF3200FF3700FF3E00FF4800
FF5300FF6000FF6E00FF7D00FF8B00FF9A00FFA800FFB500FFC000FFCB00FFD501FFDD03
FFE409FFEA12FFEF21FFF336FFF64FFFF86BFFFA87FFFCA1FFFDB8FFFECBFFFEDAFFFFE5
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF8FFFFF8FFFFF9FFFFFBFFFFFEFFFF
FFFFFCFFFFF6FFFFEEFFFFE5FFFEDBFFFED2FFFEC8FFFDC0FFFDB9FFFDB5FFFDB2FFFDB3
FFFDB6FFFDBEFFFECAFFFEDBFFFFF3EEFFFFD0FEFFB2FDFF97FBFF7FFAFF6BF8FF59F7FF
4BF5FF3FF4FF36F3FF2EF1FF28F0FF24EFFF20EEFF1DEEFF1BEDFF1AEDFF19ECFF18ECFF
18ECFF19ECFF1AEDFF1BEDFF1DEEFF20EEFF23EFFF28F0FF2EF1FF35F3FF3EF4FF4AF5FF
58F7FF69F8FF7DFAFF95FBFFAFFCFFCDFEFFEBFFFFFFFFF5FFFEDDFFFECBFFFDBFFFFDB7
FFFDB3FFFDB2FFFDB4FFFDB9FFFDBFFFFDC8FFFED1FFFEDAFFFFE4FFFFEDFFFFF5FFFFFC
FEFFFFFBFFFFF9FFFFF8FFFFF8FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEE
FFFFE6FFFEDBFFFECCFFFDBAFFFCA4FFFA8AFFF96EFFF652FFF339FFEF23FFEA14FFE509
FFDE04FFD601FFCC00FFC200FFB600FFA900FF9B00FF8D00FF7E00FF6F00FF6100FF5400
FF4900FF3F00FF3700FF3200FF3000FF3100FF3400FF3A00FF4200FF4D00FF5900FF6600
FF7500FF8300FF9200FFA000FFAE00FFBA00FFC600FFD000FFD902FFE005FFE70DFFEC19
FFF12BFFF442FFF75CFFF979FFFB94FFFCACFFFDC1FFFED2FFFEDFFFFFE9FFFFF0FFFFF5
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEAFFFEE1FFFED4FFFDC4FFFCAFFFFB97FFFA7CFFF760FFF545FFF12D
FFED1BFFE80EFFE106FFDA02FFD100FFC700FFBC00FFB000FFA300FF9500FF8600FF7800
FF6900FF5C00FF5000FF4500FF3C00FF3600FF3300FF3200FF3400FF3900FF4000FF4900
FF5500FF6200FF6F00FF7E00FF8C00FF9B00FFA800FFB500FFC100FFCC00FFD501FFDD04
FFE409FFEA13FFEF22FFF337FFF650FFF86CFFFA88FFFCA2FFFDB9FFFECBFFFEDAFFFFE5
FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFFBFFFFFDFFFFFFFFFFFFFFFB
FFFFF6FFFFEFFFFFE8FFFEE0FFFED8FFFED1FFFECBFFFDC7FFFDC4FFFDC5FFFDC8FFFED0
FFFEDBFFFFEDFBFFFFE0FEFFC5FDFFAAFCFF92FBFF7BFAFF68F8FF58F7FF4AF5FF3FF4FF
35F3FF2EF1FF28F0FF23EFFF20EEFF1DEEFF1AEDFF18ECFF17ECFF16EBFF16EBFF15EBFF
15EBFF15EBFF16EBFF17ECFF18ECFF19EDFF1CEDFF1EEEFF22EFFF26F0FF2BF1FF32F2FF
3BF3FF45F5FF52F6FF61F8FF73F9FF88FAFFA0FCFFBAFDFFD5FEFFF0FFFFFFFFF5FFFEE2
FFFED4FFFECBFFFDC6FFFDC4FFFDC5FFFEC9FFFECEFFFED5FFFEDDFFFFE4FFFFECFFFFF3
FFFFF9FFFFFEFEFFFFFBFFFFFAFFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0
FFFFE9FFFEDFFFFED2FFFDC1FFFCACFFFB93FFF978FFF75CFFF441FFF12AFFEC18FFE70C
FFE005FFD902FFD000FFC600FFBA00FFAE00FFA000FF9200FF8400FF7500FF6700FF5A00
FF4E00FF4400FF3B00FF3600FF3200FF3200FF3400FF3A00FF4100FF4B00FF5700FF6400
FF7200FF8000FF8F00FF9D00FFAA00FFB700FFC300FFCD00FFD701FFDF04FFE50AFFEB15
FFF025FFF33BFFF655FFF971FFFB8CFFFCA6FFFDBCFFFECEFFFEDCFFFFE7FFFFEEFFFFF4
FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEAFFFEE1FFFED5FFFDC4FFFCB0FFFB98FFFA7DFFF861FFF546FFF12E
FFED1BFFE80EFFE206FFDA02FFD201FFC800FFBD00FFB100FFA300FF9600FF8700FF7900
FF6B00FF5D00FF5100FF4700FF3E00FF3800FF3500FF3400FF3600FF3B00FF4200FF4B00
FF5600FF6300FF7100FF7F00FF8D00FF9C00FFA900FFB600FFC200FFCC00FFD601FFDE04
FFE509FFEA13FFEF23FFF338FFF651FFF86DFFFA89FFFCA3FFFDB9FFFECCFFFEDAFFFFE5
FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFEFFFFFFFFFFFFFFFBFFFFF6
FFFFF1FFFFEBFFFFE5FFFEDFFFFED9FFFED5FFFED3FFFED3FFFED6FFFEDCFFFFE6FFFFF5
F5FFFFDEFEFFC6FDFFAEFCFF97FBFF82FAFF6FF9FF5FF7FF52F6FF46F5FF3DF4FF35F3FF
2FF2FF2AF1FF26F0FF23EFFF21EFFF1FEEFF1EEEFF1CEDFF1CEDFF1BEDFF1BEDFF1AEDFF
1AEDFF1AEDFF1BEDFF1BEDFF1CEDFF1DEEFF1EEEFF1FEEFF21EFFF24EFFF27F0FF2CF1FF
31F2FF37F3FF3FF4FF49F5FF55F6FF63F8FF74F9FF88FAFF9DFBFFB4FDFFCCFEFFE4FFFF
FBFFFFFFFFF1FFFFE3FFFEDAFFFED5FFFED3FFFED3FFFED6FFFEDBFFFEE0FFFFE6FFFFED
FFFFF2FFFFF8FFFFFCFFFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF2
FFFFECFFFFE3FFFED7FFFDC7FFFDB3FFFB9CFFFA81FFF865FFF54AFFF232FFEE1EFFE910
FFE307FFDC03FFD301FFC900FFBF00FFB300FFA600FF9800FF8A00FF7B00FF6D00FF5F00
FF5300FF4800FF4000FF3900FF3500FF3400FF3500FF3A00FF4000FF4900FF5400FF6100
FF6F00FF7D00FF8B00FF9900FFA700FFB400FFC000FFCB00FFD401FFDC03FFE408FFEA11
FFEE20FFF234FFF64DFFF869FFFA85FFFC9FFFFDB6FFFEC9FFFED8FFFFE4FFFFECFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF1FFFFEBFFFEE1FFFED5FFFDC5FFFCB1FFFB99FFFA7EFFF862FFF547FFF22F
FFED1CFFE80FFFE207FFDB02FFD201FFC800FFBD00FFB100FFA400FF9700FF8800FF7A00
FF6C00FF5F00FF5300FF4900FF4000FF3A00FF3700FF3600FF3800FF3C00FF4400FF4D00
FF5800FF6500FF7200FF8000FF8F00FF9D00FFAA00FFB700FFC200FFCD00FFD601FFDE04
FFE50AFFEB14FFEF23FFF339FFF652FFF96EFFFA8AFFFCA3FFFDBAFFFECCFFFEDBFFFFE6
FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFFFFFFFFFFFEFFFFFBFFFFF7FFFFF3
FFFFEEFFFFE9FFFFE5FFFEE1FFFEDFFFFEDEFFFEE0FFFFE4FFFFECFFFFF9F6FFFFE2FEFF
CDFEFFB8FDFFA3FCFF8FFBFF7DFAFF6EF9FF60F7FF55F6FF4BF5FF43F5FF3DF4FF38F3FF
34F2FF32F2FF30F2FF2EF1FF2DF1FF2DF1FF2DF1FF2DF1FF2DF1FF2DF1FF2DF1FF2DF1FF
2DF1FF2DF1FF2DF1FF2DF1FF2DF1FF2DF1FF2DF1FF2DF1FF2DF1FF2EF1FF2FF2FF32F2FF
34F2FF38F3FF3DF4FF43F4FF4BF5FF54F6FF5FF7FF6DF8FF7DFAFF8FFBFFA2FCFFB7FDFF
CCFEFFE1FEFFF5FFFFFFFFF9FFFFEDFFFFE5FFFEE0FFFEDEFFFEDEFFFEE1FFFFE4FFFFE9
FFFFEEFFFFF3FFFFF7FFFFFBFFFFFEFFFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4
FFFFEEFFFFE6FFFEDBFFFECDFFFDBBFFFCA4FFFA8BFFF96FFFF653FFF33AFFEF24FFEB14
FFE50AFFDE04FFD601FFCD00FFC300FFB700FFAB00FF9D00FF8F00FF8100FF7300FF6500
FF5900FF4D00FF4400FF3D00FF3800FF3600FF3700FF3A00FF4000FF4800FF5300FF5F00
FF6C00FF7A00FF8800FF9600FFA400FFB100FFBD00FFC800FFD201FFDA02FFE206FFE80E
FFED1BFFF12EFFF546FFF861FFFA7DFFFB98FFFCB0FFFDC4FFFED4FFFEE1FFFFEAFFFFF1
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFF9
FFFFF6FFFFF1FFFFEBFFFEE2FFFED5FFFDC5FFFCB1FFFB9AFFFA7FFFF863FFF548FFF230
FFEE1DFFE80FFFE207FFDB03FFD301FFC900FFBE00FFB200FFA500FF9800FF8A00FF7C00
FF6E00FF6100FF5500FF4A00FF4200FF3C00FF3900FF3800FF3A00FF3E00FF4500FF4F00
FF5A00FF6600FF7400FF8200FF9000FF9E00FFAB00FFB700FFC300FFCD00FFD601FFDE04
FFE50AFFEB14FFEF24FFF33AFFF653FFF96FFFFA8BFFFCA4FFFDBAFFFECDFFFEDBFFFFE6
FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFEFFFFFEFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFEFFFFFCFFFFF8FFFFF5FFFFF1
FFFFEDFFFFEAFFFFE8FFFFE7FFFFE7FFFFEAFFFFF0FFFFF9F9FFFFE9FFFFD8FEFFC5FDFF
B2FDFFA0FCFF8FFBFF80FAFF73F9FF68F8FF5EF7FF57F7FF51F6FF4DF6FF4AF5FF48F5FF
47F5FF48F5FF49F5FF4BF5FF4EF6FF51F6FF54F6FF58F7FF5BF7FF5EF7FF60F7FF62F8FF
62F8FF62F8FF61F8FF5FF7FF5CF7FF59F7FF55F6FF52F6FF4FF6FF4CF6FF4AF5FF48F5FF
48F5FF48F5FF49F5FF4BF5FF4FF6FF55F6FF5BF7FF64F8FF6FF9FF7BFAFF8AFAFF9AFBFF
ACFCFFBFFDFFD1FEFFE3FFFFF4FFFFFFFFFDFFFFF3FFFFECFFFFE8FFFFE7FFFFE7FFFFE9
FFFFECFFFFF0FFFFF4FFFFF7FFFFFBFFFFFDFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5
FFFFF0FFFFE9FFFEDFFFFED2FFFDC1FFFCADFFFB94FFF979FFF75DFFF442FFF12BFFED19
FFE70DFFE106FFD902FFD100FFC700FFBC00FFAF00FFA200FF9500FF8700FF7900FF6B00
FF5E00FF5200FF4900FF4100FF3B00FF3800FF3800FF3B00FF4000FF4700FF5100FF5C00
FF6900FF7700FF8500FF9300FFA100FFAE00FFBA00FFC500FFCF00FFD802FFE005FFE60C
FFEC17FFF028FFF43FFFF759FFF975FFFB90FFFCA9FFFDBFFFFED0FFFEDEFFFFE8FFFFEF
FFFFF5FFFFF8FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFF9
FFFFF6FFFFF2FFFFEBFFFEE2FFFED6FFFDC6FFFDB2FFFB9AFFFA80FFF864FFF549FFF231
FFEE1DFFE910FFE307FFDB03FFD301FFCA00FFBF00FFB300FFA600FF9900FF8B00FF7D00
FF6F00FF6200FF5700FF4C00FF4400FF3E00FF3B00FF3A00FF3C00FF4000FF4700FF5100
FF5B00FF6800FF7500FF8300FF9100FF9F00FFAC00FFB800FFC400FFCE00FFD701FFDF04
FFE50AFFEB15FFF025FFF33AFFF654FFF970FFFB8BFFFCA5FFFDBBFFFECDFFFEDBFFFFE6
FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF7FFFFF4FFFFF1
FFFFEFFFFFEDFFFFEDFFFFEFFFFFF2FFFFF9FDFFFFF1FFFFE3FFFFD3FEFFC3FDFFB3FDFF
A3FCFF95FBFF89FAFF7EFAFF75F9FF6EF9FF69F8FF66F8FF65F8FF65F8FF68F8FF6CF8FF
72F9FF79F9FF83FAFF8EFBFF9AFBFFA7FCFFB5FDFFC3FDFFD0FEFFDCFEFFE5FFFFECFFFF
EFFFFFEEFFFFEAFFFFE3FFFFD8FEFFCCFEFFBEFDFFB0FCFFA3FCFF96FBFF8AFAFF7FFAFF
77F9FF70F9FF6AF8FF67F8FF65F8FF65F8FF67F8FF6BF8FF70F9FF78F9FF81FAFF8DFBFF
9AFBFFA8FCFFB8FDFFC8FDFFD8FEFFE8FFFFF5FFFFFFFFFFFFFFF6FFFFF1FFFFEEFFFFED
FFFFEEFFFFEFFFFFF2FFFFF5FFFFF8FFFFFBFFFFFDFFFFFFFFFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7
FFFFF2FFFFECFFFFE3FFFED7FFFDC8FFFDB4FFFB9DFFFA83FFF867FFF54BFFF233FFEE1F
FFE911FFE308FFDC03FFD401FFCB00FFC000FFB400FFA800FF9A00FF8C00FF7E00FF7100
FF6400FF5800FF4D00FF4500FF3F00FF3B00FF3A00FF3C00FF4000FF4700FF5000FF5A00
FF6600FF7400FF8100FF8F00FF9D00FFAB00FFB700FFC200FFCD00FFD601FFDE04FFE50A
FFEA14FFEF23FFF338FFF651FFF86DFFFA89FFFCA3FFFDB9FFFECBFFFEDAFFFFE5FFFFED
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFF9
FFFFF6FFFFF2FFFFEBFFFEE2FFFED6FFFDC6FFFDB3FFFB9BFFFA81FFF865FFF54AFFF231
FFEE1EFFE910FFE308FFDC03FFD401FFCA00FFBF00FFB400FFA700FF9A00FF8C00FF7E00
FF7100FF6400FF5800FF4E00FF4600FF4000FF3D00FF3C00FF3E00FF4200FF4900FF5200
FF5D00FF6900FF7600FF8400FF9200FFA000FFAD00FFB900FFC400FFCE00FFD701FFDF05
FFE60BFFEB15FFF026FFF33BFFF655FFF971FFFB8CFFFCA6FFFDBCFFFECEFFFEDCFFFFE6
FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF4FFFFF3
FFFFF2FFFFF2FFFFF4FFFFF8FFFFFFF8FFFFEDFFFFE0FEFFD3FEFFC5FDFFB7FDFFAAFCFF
9FFCFF95FBFF8DFBFF87FAFF83FAFF82FAFF83FAFF86FAFF8CFBFF95FBFFA2FCFFB2FCFF
C5FDFFDDFEFFF9FFFFFFFFE8FFFECDFFFDB7FFFCA4FFFB94FFFA88FFFA7FFFF978FFF974
FFF971FFF971FFF974FFF978FFFA7FFFFA88FFFB95FFFCA4FFFDB7FFFECEFFFFE8F9FFFF
DDFEFFC5FDFFB1FCFFA1FCFF95FBFF8CFBFF86FAFF83FAFF82FAFF83FAFF87FAFF8DFBFF
95FBFF9FFCFFABFCFFB7FDFFC5FDFFD3FEFFE0FEFFEDFFFFF8FFFFFFFFFFFFFFF8FFFFF4
FFFFF2FFFFF2FFFFF3FFFFF4FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFEEFFFFE6FFFEDCFFFECDFFFDBBFFFCA5FFFB8CFFF970FFF655FFF33BFFF025
FFEB15FFE60BFFDF04FFD701FFCE00FFC400FFB900FFAC00FF9F00FF9200FF8400FF7600
FF6900FF5D00FF5200FF4900FF4200FF3E00FF3C00FF3D00FF4000FF4600FF4E00FF5800
FF6400FF7100FF7E00FF8C00FF9A00FFA700FFB400FFC000FFCA00FFD401FFDC03FFE308
FFE910FFEE1EFFF232FFF54AFFF865FFFA81FFFB9CFFFDB3FFFDC7FFFED6FFFFE2FFFFEB
FFFFF2FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF6FFFFF2FFFFEBFFFFE2FFFED7FFFDC7FFFDB3FFFB9CFFFA82FFF866FFF54BFFF232
FFEE1FFFE911FFE308FFDC03FFD401FFCB00FFC000FFB500FFA800FF9B00FF8D00FF8000
FF7200FF6600FF5A00FF5000FF4800FF4200FF3F00FF3E00FF4000FF4400FF4B00FF5400
FF5F00FF6B00FF7800FF8600FF9300FFA100FFAE00FFBA00FFC500FFCF00FFD802FFDF05
FFE60BFFEB16FFF026FFF43CFFF756FFF972FFFB8DFFFCA6FFFDBCFFFECEFFFEDCFFFFE7
FFFFEEFFFFF4FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF7FFFFF6FFFFF5
FFFFF6FFFFF9FFFFFDFDFFFFF5FFFFEBFFFFE0FEFFD5FEFFC9FEFFBEFDFFB4FDFFABFCFF
A4FCFF9FFCFF9CFBFF9CFBFF9FFCFFA5FCFFAFFCFFBCFDFFCFFEFFE7FFFFFFFFF9FFFEDA
FFFDBDFFFCA3FFFB8CFFF979FFF869FFF75CFFF651FFF549FFF442FFF43DFFF339FFF337
FFF336FFF336FFF336FFF338FFF43CFFF440FFF546FFF64EFFF758FFF865FFF974FFFA86
FFFB9CFFFDB5FFFED1FFFFF0F0FFFFD6FEFFC1FDFFB2FDFFA7FCFFA0FCFF9DFBFF9CFBFF
9EFCFFA2FCFFA9FCFFB1FCFFBBFDFFC6FDFFD2FEFFDDFEFFE8FFFFF2FFFFFAFFFFFFFFFE
FFFFFAFFFFF7FFFFF6FFFFF6FFFFF6FFFFF8FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF5FFFFF0FFFFE9FFFEE0FFFED3FFFDC2FFFCADFFFB95FFF97AFFF75EFFF544FFF12C
FFED1AFFE80EFFE106FFDA02FFD200FFC800FFBD00FFB100FFA500FF9700FF8A00FF7C00
FF6F00FF6200FF5700FF4E00FF4600FF4100FF3E00FF3E00FF4100FF4600FF4E00FF5700
FF6200FF6E00FF7C00FF8900FF9700FFA400FFB100FFBD00FFC800FFD100FFDA02FFE106
FFE80EFFED1AFFF12CFFF443FFF75EFFF979FFFB94FFFCADFFFDC1FFFED2FFFEDFFFFFE9
FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF6FFFFF2FFFFECFFFFE3FFFED7FFFDC7FFFDB4FFFB9DFFFA83FFF867FFF54CFFF233
FFEE1FFFE911FFE408FFDD03FFD501FFCB00FFC100FFB500FFA900FF9C00FF8F00FF8100
FF7400FF6700FF5C00FF5200FF4A00FF4400FF4100FF4000FF4200FF4700FF4D00FF5600
FF6100FF6D00FF7900FF8700FF9400FFA200FFAE00FFBA00FFC500FFCF00FFD802FFE005
FFE60BFFEC17FFF027FFF43DFFF757FFF973FFFB8EFFFCA7FFFDBDFFFECFFFFEDCFFFFE7
FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF9FFFFF8FFFFF8FFFFF9
FFFFFBFFFFFFFAFFFFF4FFFFECFFFFE2FFFFD9FEFFD0FEFFC7FDFFBFFDFFB9FDFFB4FDFF
B2FDFFB3FDFFB7FDFFBEFDFFCAFEFFDBFEFFF1FFFFFFFFF1FFFED4FFFDB8FFFC9EFFFA87
FFF973FFF861FFF653FFF547FFF43EFFF336FFF230FFF12BFFF027FFF024FFEF22FFEF21
FFEE20FFEE20FFEF20FFEF21FFEF23FFF025FFF029FFF12DFFF232FFF339FFF441FFF54C
FFF758FFF868FFF97AFFFB8FFFFCA7FFFDC2FFFEDFFFFFFDE8FFFFD4FEFFC5FDFFBBFDFF
B5FDFFB2FDFFB3FDFFB6FDFFBBFDFFC2FDFFCAFEFFD3FEFFDDFEFFE6FFFFEFFFFFF6FFFF
FDFFFFFFFFFEFFFFFAFFFFF9FFFFF8FFFFF8FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF2FFFFECFFFFE3FFFED7FFFDC8FFFDB5FFFC9EFFFA84FFF868FFF64DFFF234
FFEF20FFEA12FFE408FFDD03FFD501FFCC00FFC100FFB600FFAA00FF9D00FF8F00FF8200
FF7400FF6800FF5C00FF5200FF4A00FF4500FF4100FF4000FF4200FF4600FF4D00FF5600
FF6000FF6C00FF7900FF8600FF9400FFA100FFAE00FFBA00FFC500FFCF00FFD802FFDF05
FFE60BFFEB16FFF026FFF43CFFF756FFF972FFFB8DFFFCA6FFFDBCFFFECEFFFEDCFFFFE7
FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF2FFFFECFFFFE3FFFED7FFFDC8FFFDB5FFFC9EFFFA84FFF868FFF64DFFF234
FFEF20FFEA12FFE409FFDD03FFD501FFCC00FFC200FFB600FFAA00FF9D00FF9000FF8200
FF7500FF6900FF5E00FF5400FF4C00FF4600FF4300FF4200FF4400FF4900FF4F00FF5800
FF6200FF6E00FF7B00FF8800FF9600FFA300FFAF00FFBB00FFC600FFD000FFD902FFE005
FFE60CFFEC17FFF028FFF43EFFF758FFF974FFFB8FFFFCA8FFFDBDFFFECFFFFEDDFFFFE7
FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFFBFFFFFD
FEFFFFFAFFFFF4FFFFEDFFFFE6FFFFDEFEFFD6FEFFD0FEFFCAFEFFC6FDFFC5FDFFC5FDFF
CAFEFFD1FEFFDDFEFFEEFFFFFFFFFAFFFEE0FFFDC6FFFCACFFFB95FFFA7FFFF86DFFF75C
FFF64FFFF544FFF33AFFF233FFF12DFFF028FFEF24FFEF21FFEE1FFFEE1DFFED1CFFED1B
FFED1AFFED1AFFED1AFFED1BFFED1CFFEE1DFFEE1FFFEF21FFF024FFF028FFF12DFFF233
FFF33BFFF544FFF650FFF75EFFF96EFFFA81FFFB96FFFCAEFFFDC8FFFEE2FFFFFCEDFFFF
DCFEFFD1FEFFC9FEFFC5FDFFC5FDFFC6FDFFCAFEFFD0FEFFD7FEFFDEFEFFE6FFFFEDFFFF
F4FFFFFAFFFFFEFFFFFFFFFDFFFFFBFFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFEEFFFFE7FFFEDCFFFECEFFFDBCFFFCA6FFFB8DFFF972FFF756FFF43C
FFF027FFEC16FFE60BFFE005FFD802FFCF00FFC500FFBA00FFAE00FFA200FF9500FF8700
FF7A00FF6D00FF6200FF5700FF4F00FF4800FF4400FF4200FF4300FF4700FF4D00FF5500
FF5F00FF6A00FF7600FF8300FF9100FF9E00FFAB00FFB700FFC200FFCD00FFD601FFDE04
FFE409FFEA13FFEF21FFF336FFF64FFFF86AFFFA86FFFCA0FFFDB6FFFEC9FFFED8FFFFE4
FFFFECFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF2FFFFECFFFFE3FFFED8FFFEC9FFFDB5FFFC9FFFFA85FFF869FFF64EFFF335
FFEF21FFEA12FFE409FFDD04FFD501FFCC00FFC200FFB700FFAB00FF9E00FF9100FF8400
FF7700FF6B00FF6000FF5600FF4E00FF4900FF4500FF4500FF4600FF4B00FF5100FF5A00
FF6400FF7000FF7C00FF8A00FF9700FFA400FFB000FFBC00FFC700FFD000FFD902FFE005
FFE70CFFEC18FFF029FFF43FFFF759FFF975FFFB90FFFCA9FFFDBEFFFED0FFFEDDFFFFE7
FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFFFDFFFF
F9FFFFF5FFFFEFFFFFE9FFFFE3FFFFDDFEFFD8FEFFD5FEFFD3FEFFD4FEFFD7FEFFDEFEFF
E9FFFFF8FFFFFFFFF2FFFEDCFFFDC5FFFCAEFFFB98FFFA84FFF972FFF862FFF655FFF54A
FFF440FFF339FFF233FFF12EFFF12AFFF027FFEF24FFEF22FFEF21FFEE1FFFEE1FFFEE1E
FFEE1EFFEE1EFFEE1EFFEE1EFFEE1EFFEE1FFFEF20FFEF22FFEF24FFF026FFF029FFF12D
FFF231FFF337FFF43FFFF547FFF652FFF75FFFF96EFFFA7FFFFB93FFFCA8FFFDBFFFFED6
FFFFEDFDFFFFECFFFFE0FEFFD8FEFFD4FEFFD3FEFFD4FEFFD7FEFFDCFEFFE1FEFFE8FFFF
EEFFFFF3FFFFF8FFFFFDFFFFFFFFFFFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF5FFFFF0FFFFEAFFFEE0FFFED3FFFDC3FFFCAEFFFB96FFFA7CFFF760FFF545
FFF12EFFED1CFFE80FFFE207FFDB03FFD301FFC900FFBF00FFB300FFA700FF9A00FF8D00
FF8000FF7300FF6700FF5C00FF5300FF4C00FF4700FF4500FF4500FF4800FF4D00FF5400
FF5D00FF6800FF7400FF8100FF8E00FF9B00FFA800FFB400FFC000FFCA00FFD301FFDC03
FFE307FFE910FFEE1DFFF230FFF547FFF862FFFA7EFFFB99FFFCB0FFFDC4FFFED4FFFEE1
FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF2FFFFECFFFFE4FFFED8FFFEC9FFFDB6FFFCA0FFFA86FFF86AFFF64FFFF336
FFEF22FFEA13FFE509FFDE04FFD601FFCD00FFC300FFB800FFAC00FF9F00FF9200FF8500
FF7900FF6C00FF6100FF5800FF5000FF4B00FF4700FF4700FF4900FF4D00FF5300FF5C00
FF6600FF7200FF7E00FF8B00FF9800FFA500FFB100FFBD00FFC700FFD100FFD902FFE106
FFE70DFFEC19FFF12AFFF440FFF75AFFF976FFFB91FFFCAAFFFDBFFFFED0FFFEDEFFFFE8
FFFFEFFFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFDFFFFFAFFFF
F6FFFFF1FFFFEDFFFFE8FFFFE4FFFFE0FEFFDFFEFFDFFEFFE1FEFFE6FFFFEFFFFFFCFFFF
FFFFF2FFFEDFFFFECBFFFDB6FFFCA2FFFB8FFFFA7EFFF96FFFF862FFF757FFF64DFFF546
FFF440FFF33BFFF337FFF234FFF232FFF230FFF22FFFF12EFFF12EFFF12EFFF12EFFF12D
FFF12DFFF12DFFF12DFFF12DFFF12DFFF12EFFF12EFFF12EFFF22FFFF230FFF231FFF233
FFF335FFF339FFF43DFFF442FFF549FFF651FFF75BFFF867FFF975FFFA85FFFB97FFFCAB
FFFDBFFFFED4FFFFE8FFFFFAF6FFFFEBFFFFE4FFFFE0FEFFDEFEFFDFFEFFE2FEFFE5FFFF
EAFFFFEFFFFFF3FFFFF8FFFFFBFFFFFEFFFFFFFFFFFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF2FFFFECFFFFE4FFFED8FFFEC9FFFDB6FFFC9FFFFA85FFF86AFFF64E
FFF336FFEF22FFEA13FFE409FFDE04FFD601FFCD00FFC300FFB800FFAC00FF9F00FF9200
FF8500FF7800FF6C00FF6100FF5800FF5000FF4B00FF4700FF4700FF4900FF4D00FF5300
FF5C00FF6600FF7200FF7E00FF8B00FF9800FFA500FFB100FFBD00FFC800FFD100FFDA02
FFE106FFE70DFFEC19FFF12AFFF441FFF75BFFF976FFFB91FFFCAAFFFDBFFFFED0FFFEDE
FFFFE8FFFFEFFFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFECFFFFE4FFFED9FFFECAFFFDB7FFFCA0FFFA87FFF86BFFF650FFF337
FFEF23FFEA13FFE50AFFDE04FFD601FFCE00FFC400FFB900FFAD00FFA100FF9400FF8700
FF7A00FF6E00FF6300FF5A00FF5200FF4D00FF4A00FF4900FF4B00FF4F00FF5500FF5E00
FF6800FF7300FF7F00FF8C00FF9900FFA600FFB200FFBE00FFC800FFD200FFDA02FFE106
FFE70DFFED19FFF12BFFF441FFF75BFFF977FFFB92FFFCAAFFFDBFFFFED1FFFEDEFFFFE8
FFFFEFFFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFDFFFFFAFFFFF7FFFF
F4FFFFF0FFFFECFFFFE9FFFFE7FFFFE7FFFFE8FFFFECFFFFF2FFFFFCFFFFFFFFF6FFFFE6
FFFED5FFFDC3FFFCB1FFFC9FFFFB8FFFFA81FFF974FFF869FFF760FFF759FFF653FFF64F
FFF54CFFF54AFFF549FFF549FFF54AFFF54BFFF64DFFF64FFFF651FFF653FFF655FFF757
FFF758FFF759FFF759FFF758FFF757FFF655FFF653FFF651FFF64FFFF64CFFF54BFFF54A
FFF549FFF549FFF54AFFF64CFFF64FFFF654FFF75AFFF861FFF86AFFF975FFFA82FFFB91
FFFCA1FFFDB3FFFDC5FFFED7FFFFE8FFFFF7FBFFFFF1FFFFEBFFFFE8FFFFE7FFFFE8FFFF
EAFFFFEDFFFFF0FFFFF4FFFFF8FFFFFBFFFFFDFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF8FFFFF4FFFFEFFFFFE7FFFEDCFFFECFFFFDBDFFFCA8FFFB8FFFF974FFF758
FFF43EFFF028FFEC17FFE70CFFE005FFD902FFD000FFC700FFBC00FFB100FFA400FF9800
FF8B00FF7E00FF7200FF6600FF5D00FF5400FF4E00FF4A00FF4900FF4A00FF4D00FF5300
FF5B00FF6500FF7000FF7C00FF8800FF9500FFA200FFAF00FFBA00FFC500FFCF00FFD802
FFDF05FFE60BFFEB15FFF025FFF33AFFF653FFF96FFFFA8AFFFCA3FFFDBAFFFECCFFFEDA
FFFFE5FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEDFFFFE4FFFED9FFFECAFFFDB8FFFCA1FFFA88FFF86CFFF651FFF338
FFEF23FFEB14FFE50AFFDF04FFD701FFCE00FFC400FFBA00FFAE00FFA200FF9500FF8800
FF7C00FF7000FF6500FF5C00FF5400FF4F00FF4C00FF4B00FF4D00FF5100FF5700FF6000
FF6A00FF7500FF8100FF8E00FF9A00FFA700FFB300FFBE00FFC900FFD201FFDA02FFE206
FFE80EFFED1AFFF12CFFF442FFF75DFFF978FFFB93FFFCABFFFDC0FFFED1FFFEDEFFFFE8
FFFFF0FFFFF5FFFFF8FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFDFFFFFBFFFFF9FFFFF6FFFF
F3FFFFF0FFFFEEFFFFEDFFFFEEFFFFF0FFFFF4FFFFFBFFFFFFFFFAFFFFEEFFFEDFFFFED0
FFFDC0FFFCB1FFFCA2FFFB95FFFA89FFFA7FFFF976FFF970FFF86BFFF868FFF867FFF867
FFF869FFF86CFFF971FFF977FFFA7FFFFA87FFFB91FFFB9AFFFCA4FFFCAEFFFDB6FFFDBE
FFFDC3FFFDC5FFFDC6FFFDC3FFFDBFFFFDB8FFFCB0FFFCA6FFFB9CFFFB92FFFA89FFFA80
FFF979FFF972FFF86DFFF869FFF867FFF867FFF868FFF86AFFF96FFFF975FFFA7DFFFA87
FFFB92FFFCA0FFFCAEFFFDBEFFFECDFFFEDDFFFFEBFFFFF8FDFFFFF5FFFFF1FFFFEEFFFF
EDFFFFEEFFFFF0FFFFF3FFFFF5FFFFF8FFFFFBFFFFFDFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF1FFFFEAFFFEE0FFFED4FFFDC4FFFCAFFFFB98FFFA7DFFF862
FFF547FFF230FFEE1DFFE910FFE307FFDC03FFD401FFCB00FFC000FFB500FFA900FF9D00
FF9000FF8300FF7700FF6C00FF6100FF5900FF5200FF4D00FF4B00FF4C00FF4E00FF5300
FF5A00FF6300FF6E00FF7900FF8600FF9300FF9F00FFAC00FFB800FFC200FFCC00FFD501
FFDD04FFE409FFEA12FFEF20FFF234FFF64CFFF867FFFA83FFFB9DFFFDB4FFFDC7FFFED7
FFFFE2FFFFEBFFFFF2FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEDFFFFE5FFFED9FFFECBFFFDB8FFFCA2FFFA89FFF96EFFF652FFF339
FFEF24FFEB15FFE50AFFDF04FFD702FFCF00FFC500FFBA00FFAF00FFA300FF9600FF8A00
FF7D00FF7200FF6700FF5E00FF5600FF5100FF4E00FF4D00FF4F00FF5300FF5900FF6200
FF6B00FF7700FF8300FF8F00FF9C00FFA800FFB400FFBF00FFC900FFD301FFDB03FFE207
FFE80EFFED1BFFF12DFFF544FFF75EFFF979FFFB94FFFCACFFFDC1FFFED2FFFEDFFFFFE9
FFFFF0FFFFF5FFFFF8FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF8FFFFF6FFFF
F4FFFFF3FFFFF2FFFFF3FFFFF6FFFFFAFFFFFFFFFEFFFFF5FFFFEAFFFEDDFFFED0FFFDC3
FFFDB6FFFCA9FFFC9EFFFB95FFFB8EFFFA88FFFA85FFFA84FFFA85FFFA88FFFB8EFFFB96
FFFCA1FFFCAFFFFDC0FFFED3FFFFEAFBFFFFE3FFFFCEFEFFBDFDFFAEFCFFA3FCFF9BFBFF
95FBFF92FBFF92FBFF94FBFF98FBFF9FFCFFA9FCFFB5FDFFC5FDFFD8FEFFEFFFFFFFFFF7
FFFEDFFFFEC9FFFDB7FFFCA7FFFB9BFFFB91FFFA8AFFFA86FFFA84FFFA84FFFA86FFFA8B
FFFB91FFFB9AFFFCA4FFFCAFFFFDBCFFFEC9FFFED7FFFFE3FFFFEFFFFFF9FEFFFFF8FFFF
F4FFFFF2FFFFF2FFFFF3FFFFF5FFFFF7FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF3FFFFECFFFFE4FFFED9FFFECAFFFDB7FFFCA0FFFA87FFF86C
FFF650FFF338FFEF23FFEB14FFE50AFFDE04FFD701FFCE00FFC400FFBA00FFAE00FFA200
FF9500FF8900FF7C00FF7100FF6600FF5D00FF5600FF5100FF4E00FF4D00FF4F00FF5400
FF5A00FF6200FF6C00FF7700FF8300FF9000FF9D00FFA900FFB500FFC000FFCA00FFD301
FFDB03FFE207FFE80FFFED1CFFF12EFFF545FFF760FFF97BFFFB96FFFCAEFFFDC2FFFED3
FFFEDFFFFFE9FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEDFFFFE5FFFEDAFFFECBFFFDB9FFFCA3FFFA8AFFF96FFFF653FFF33A
FFF025FFEB15FFE60BFFDF05FFD802FFCF00FFC600FFBB00FFB000FFA400FF9800FF8B00
FF7F00FF7300FF6900FF6000FF5900FF5300FF5000FF5000FF5100FF5500FF5B00FF6400
FF6D00FF7800FF8400FF9000FF9D00FFA900FFB500FFC000FFCA00FFD301FFDB03FFE207
FFE80FFFED1CFFF12EFFF545FFF75FFFF97AFFFB95FFFCADFFFDC1FFFED2FFFEDFFFFFE9
FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF8FFFFF7FFFF
F6FFFFF6FFFFF7FFFFFAFFFFFEFFFFFFFFFAFFFFF2FFFFE8FFFEDEFFFED3FFFDC7FFFDBD
FFFDB3FFFCABFFFCA5FFFCA0FFFC9EFFFC9EFFFCA1FFFCA7FFFCB1FFFDBEFFFECFFFFFE5
FEFFFFE1FEFFC6FDFFAEFCFF99FBFF86FAFF77F9FF6AF8FF60F7FF58F7FF51F6FF4CF6FF
49F5FF47F5FF47F5FF48F5FF4AF5FF4DF6FF52F6FF59F7FF62F8FF6CF8FF7AF9FF8AFAFF
9CFBFFB2FDFFCBFEFFE6FFFFFFFFFBFFFEE1FFFECCFFFDBBFFFCAFFFFCA6FFFCA1FFFC9E
FFFC9EFFFCA1FFFCA6FFFCACFFFDB5FFFDBFFFFEC9FFFED5FFFEE0FFFFEAFFFFF4FFFFFB
FDFFFFF9FFFFF7FFFFF6FFFFF6FFFFF7FFFFF8FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF8FFFFF4FFFFEFFFFFE7FFFEDDFFFECFFFFDBEFFFCA9FFFB90FFF975
FFF75AFFF440FFF12AFFEC19FFE70DFFE106FFDA02FFD200FFC800FFBE00FFB300FFA700
FF9B00FF8E00FF8200FF7600FF6B00FF6200FF5A00FF5400FF5100FF4F00FF5100FF5400
FF5A00FF6100FF6B00FF7600FF8100FF8D00FF9A00FFA600FFB200FFBD00FFC800FFD100
FFD902FFE106FFE70CFFEC18FFF029FFF43FFFF758FFF974FFFB8FFFFCA7FFFDBDFFFECE
FFFEDCFFFFE7FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEDFFFFE5FFFEDAFFFECCFFFDBAFFFCA4FFFA8BFFF970FFF655FFF43B
FFF026FFEB16FFE60BFFE005FFD802FFD000FFC700FFBC00FFB100FFA500FF9900FF8D00
FF8100FF7500FF6B00FF6200FF5B00FF5500FF5200FF5200FF5300FF5700FF5E00FF6600
FF6F00FF7A00FF8600FF9200FF9E00FFAA00FFB600FFC100FFCB00FFD401FFDC03FFE307
FFE90FFFED1CFFF22FFFF546FFF760FFFA7CFFFB96FFFCAEFFFDC2FFFED3FFFEDFFFFFE9
FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFF
F9FFFFFAFFFFFDFFFFFFFFFEFFFFF8FFFFF1FFFFE9FFFEE0FFFED7FFFECEFFFDC6FFFDBE
FFFDB9FFFDB5FFFDB4FFFDB5FFFDBAFFFDC2FFFECDFFFEDEFFFFF3F1FFFFD6FEFFBBFDFF
A3FCFF8DFBFF7AF9FF6AF8FF5CF7FF50F6FF47F5FF3FF4FF39F3FF34F2FF30F2FF2EF1FF
2CF1FF2BF1FF2AF1FF2AF1FF2BF1FF2DF1FF30F2FF34F2FF38F3FF3EF4FF46F5FF4FF6FF
5AF7FF68F8FF78F9FF8BFAFFA0FCFFB8FDFFD2FEFFEDFFFFFFFFF6FFFEE0FFFECFFFFDC3
FFFDBBFFFDB6FFFDB4FFFDB5FFFDB8FFFDBEFFFDC5FFFECDFFFED6FFFEDFFFFFE8FFFFF0
FFFFF7FFFFFDFDFFFFFAFFFFF9FFFFF8FFFFF9FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEAFFFEE1FFFED4FFFDC4FFFCB1FFFB99FFFA7F
FFF864FFF549FFF231FFEE1EFFE911FFE308FFDD03FFD501FFCC00FFC200FFB700FFAC00
FFA000FF9300FF8700FF7B00FF7000FF6700FF5E00FF5800FF5400FF5200FF5200FF5500
FF5A00FF6100FF6A00FF7400FF7F00FF8B00FF9700FFA400FFAF00FFBB00FFC500FFCF00
FFD701FFDF04FFE50AFFEB14FFEF24FFF338FFF651FFF86CFFFA88FFFCA1FFFDB7FFFECA
FFFED9FFFFE4FFFFECFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEEFFFFE6FFFEDBFFFECDFFFDBBFFFCA5FFFB8CFFF971FFF756FFF43D
FFF027FFEC17FFE60CFFE005FFD902FFD100FFC700FFBD00FFB200FFA600FF9A00FF8E00
FF8200FF7700FF6D00FF6400FF5D00FF5800FF5500FF5400FF5600FF5A00FF6000FF6800
FF7100FF7C00FF8700FF9300FF9F00FFAB00FFB700FFC200FFCB00FFD401FFDC03FFE308
FFE910FFEE1DFFF230FFF547FFF861FFFA7DFFFB97FFFCAFFFFDC3FFFED3FFFEE0FFFFE9
FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFFBFFFF
FCFFFFFFFFFFFFFFFDFFFFF8FFFFF2FFFFEBFFFFE4FFFEDCFFFED5FFFECFFFFECAFFFDC7
FFFDC6FFFDC8FFFECDFFFED5FFFEE1FFFFF2F6FFFFDEFEFFC5FDFFADFCFF97FBFF83FAFF
71F9FF62F8FF55F6FF4AF5FF41F4FF39F3FF33F2FF2EF1FF2AF1FF27F0FF25F0FF23EFFF
22EFFF21EFFF21EFFF21EFFF22EFFF23EFFF24EFFF26F0FF29F0FF2CF1FF31F2FF36F3FF
3DF4FF46F5FF50F6FF5CF7FF6AF8FF7BF9FF8EFBFFA3FCFFBAFDFFD3FEFFECFFFFFFFFFC
FFFFE8FFFEDAFFFED0FFFEC9FFFDC7FFFDC6FFFEC9FFFECDFFFED2FFFED9FFFEE0FFFFE8
FFFFEFFFFFF5FFFFFBFFFFFFFDFFFFFBFFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE4FFFED9FFFECBFFFDB8FFFCA2FFFA89
FFF96EFFF652FFF33AFFF025FFEB15FFE60BFFDF05FFD802FFCF00FFC600FFBC00FFB100
FFA500FF9900FF8D00FF8100FF7600FF6C00FF6300FF5C00FF5700FF5400FF5400FF5600
FF5A00FF6100FF6900FF7200FF7D00FF8900FF9500FFA100FFAD00FFB800FFC300FFCD00
FFD501FFDD03FFE408FFE911FFEE1FFFF232FFF54AFFF865FFFA80FFFB9AFFFDB2FFFDC5
FFFED5FFFEE1FFFFEAFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFEEFFFFE6FFFEDBFFFECDFFFDBBFFFCA6FFFB8DFFF972FFF757FFF43E
FFF028FFEC18FFE70CFFE106FFD902FFD100FFC800FFBE00FFB300FFA700FF9C00FF9000
FF8400FF7900FF6F00FF6600FF5F00FF5A00FF5700FF5600FF5800FF5C00FF6200FF6A00
FF7300FF7D00FF8900FF9500FFA100FFAC00FFB800FFC200FFCC00FFD501FFDD03FFE308
FFE911FFEE1EFFF231FFF548FFF863FFFA7EFFFB98FFFCB0FFFDC4FFFED4FFFEE0FFFFEA
FFFFF1FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFEFFFF
FFFFFFFFFFFCFFFFF8FFFFF3FFFFEDFFFFE7FFFEE2FFFEDCFFFED8FFFED5FFFED4FFFED6
FFFEDAFFFEE2FFFFEDFFFFFDEEFFFFD9FEFFC3FDFFADFCFF98FBFF85FAFF74F9FF66F8FF
59F7FF4EF6FF45F5FF3EF4FF38F3FF33F2FF2FF2FF2CF1FF29F0FF27F0FF25F0FF24EFFF
23EFFF23EFFF23EFFF23EFFF23EFFF24EFFF25F0FF26F0FF27F0FF2AF1FF2CF1FF30F2FF
34F2FF39F3FF40F4FF47F5FF51F6FF5CF7FF69F8FF78F9FF8AFAFF9DFBFFB2FDFFC8FDFF
DEFEFFF3FFFFFFFFF8FFFFEAFFFEDFFFFED9FFFED5FFFED4FFFED6FFFED9FFFEDEFFFFE3
FFFFE9FFFFEFFFFFF4FFFFF9FFFFFDFFFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFCFFFFFBFFFFF8FFFFF4FFFFEFFFFFE8FFFEDDFFFED0FFFDBFFFFCAAFFFB92
FFF977FFF75CFFF442FFF12CFFED1AFFE80EFFE207FFDB03FFD301FFCA00FFC000FFB500
FFAA00FF9E00FF9200FF8600FF7B00FF7000FF6700FF6000FF5B00FF5700FF5600FF5700
FF5B00FF6000FF6800FF7100FF7B00FF8700FF9200FF9E00FFAA00FFB600FFC000FFCA00
FFD301FFDB03FFE207FFE80FFFED1BFFF12DFFF544FFF75EFFF979FFFB93FFFCABFFFDC0
FFFED1FFFEDEFFFFE8FFFFEFFFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFEEFFFFE6FFFEDCFFFECEFFFDBCFFFCA7FFFB8EFFF973FFF758FFF43F
FFF029FFEC18FFE70DFFE106FFDA02FFD201FFC900FFBF00FFB400FFA900FF9D00FF9100
FF8600FF7B00FF7100FF6800FF6100FF5C00FF5900FF5800FF5A00FF5E00FF6400FF6C00
FF7500FF7F00FF8A00FF9600FFA200FFAE00FFB900FFC300FFCD00FFD501FFDD03FFE408
FFE911FFEE1FFFF232FFF549FFF864FFFA7FFFFB99FFFCB0FFFDC4FFFED4FFFEE1FFFFEA
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFFFFFFFFFFFF
FFFFFCFFFFF8FFFFF4FFFFF0FFFFEBFFFFE7FFFFE3FFFEE1FFFEDFFFFEE0FFFFE3FFFFEA
FFFFF3FFFFFFEEFFFFDBFEFFC8FDFFB4FDFFA1FCFF90FBFF80FAFF71F9FF65F8FF5AF7FF
51F6FF4AF5FF44F5FF3FF4FF3BF4FF38F3FF36F3FF34F2FF33F2FF32F2FF32F2FF31F2FF
31F2FF31F2FF31F2FF31F2FF31F2FF31F2FF31F2FF32F2FF32F2FF33F2FF34F2FF36F3FF
38F3FF3BF3FF3FF4FF44F5FF4AF5FF51F6FF5AF7FF64F8FF70F9FF7EFAFF8EFBFFA0FCFF
B3FDFFC7FDFFDAFEFFEDFFFFFDFFFFFFFFF4FFFFEAFFFFE4FFFEE0FFFEDFFFFEE1FFFFE3
FFFFE7FFFFEBFFFFF0FFFFF4FFFFF8FFFFFCFFFFFEFFFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEAFFFEE1FFFED5FFFDC5FFFDB2FFFB9B
FFFA81FFF866FFF54BFFF233FFEE20FFEA12FFE409FFDE04FFD601FFCD00FFC400FFB900
FFAE00FFA300FF9700FF8B00FF8000FF7500FF6C00FF6400FF5E00FF5A00FF5900FF5900
FF5C00FF6100FF6700FF7000FF7A00FF8500FF9000FF9C00FFA800FFB300FFBE00FFC800
FFD100FFD902FFE106FFE70CFFEC17FFF028FFF43DFFF756FFF972FFFB8CFFFCA5FFFDBB
FFFECDFFFEDBFFFFE6FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFEEFFFFE7FFFEDCFFFECEFFFDBDFFFCA8FFFB8FFFF975FFF75AFFF440
FFF12AFFEC19FFE70DFFE106FFDA02FFD201FFCA00FFC000FFB500FFAA00FF9E00FF9300
FF8700FF7C00FF7300FF6A00FF6300FF5E00FF5B00FF5B00FF5C00FF6000FF6600FF6E00
FF7700FF8100FF8C00FF9800FFA300FFAF00FFBA00FFC400FFCD00FFD601FFDE04FFE409
FFEA12FFEE20FFF233FFF54BFFF865FFFA80FFFB9AFFFCB1FFFDC5FFFED5FFFEE1FFFFEA
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFEFFFFFC
FFFFF9FFFFF6FFFFF3FFFFEFFFFFECFFFFE9FFFFE8FFFFE8FFFFEAFFFFEFFFFFF6FFFFFF
F1FFFFE2FEFFD1FEFFC0FDFFAFFCFF9FFCFF8FFBFF82FAFF76F9FF6CF8FF63F8FF5DF7FF
57F7FF53F6FF50F6FF4EF6FF4DF6FF4DF6FF4DF6FF4EF6FF4FF6FF51F6FF52F6FF54F6FF
55F6FF56F7FF56F7FF57F7FF56F7FF55F6FF54F6FF53F6FF51F6FF50F6FF4FF6FF4DF6FF
4DF6FF4DF6FF4EF6FF4FF6FF52F6FF55F6FF5AF7FF61F7FF68F8FF72F9FF7DFAFF8AFAFF
99FBFFA9FCFFB9FDFFCBFEFFDCFEFFECFFFFFAFFFFFFFFF9FFFFF1FFFFECFFFFE9FFFFE8
FFFFE9FFFFEBFFFFEEFFFFF1FFFFF5FFFFF8FFFFFBFFFFFEFFFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE5FFFEDAFFFECBFFFDB9FFFCA4
FFFA8BFFF970FFF655FFF43CFFF027FFEC17FFE60CFFE005FFD902FFD100FFC800FFBE00
FFB300FFA800FF9C00FF9000FF8500FF7A00FF7100FF6900FF6200FF5E00FF5B00FF5B00
FF5D00FF6100FF6700FF6F00FF7800FF8300FF8E00FF9A00FFA500FFB100FFBC00FFC600
FFCF00FFD802FFDF04FFE50AFFEB14FFEF23FFF337FFF64FFFF86AFFFA85FFFC9FFFFDB5
FFFDC8FFFED7FFFFE3FFFFECFFFFF2FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFEFFFFFE7FFFEDDFFFECFFFFDBEFFFCA9FFFB91FFF976FFF75BFFF441
FFF12BFFED1AFFE80EFFE207FFDB03FFD301FFCA00FFC100FFB600FFAB00FFA000FF9400
FF8900FF7E00FF7400FF6C00FF6500FF6000FF5E00FF5D00FF5F00FF6200FF6800FF7000
FF7800FF8300FF8E00FF9900FFA400FFB000FFBB00FFC500FFCE00FFD701FFDE04FFE509
FFEA12FFEF21FFF234FFF64CFFF866FFFA82FFFB9BFFFDB2FFFDC6FFFED5FFFEE1FFFFEA
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFA
FFFFF8FFFFF5FFFFF2FFFFF0FFFFEFFFFFEEFFFFEFFFFFF2FFFFF7FFFFFFF6FFFFEAFFFF
DCFEFFCDFEFFBEFDFFB0FCFFA2FCFF95FBFF8AFAFF81FAFF79F9FF73F9FF6FF9FF6CF8FF
6BF8FF6BF8FF6DF8FF70F9FF74F9FF79F9FF80FAFF87FAFF8EFBFF95FBFF9DFBFFA3FCFF
A9FCFFADFCFFB0FCFFB0FCFFAFFCFFACFCFFA7FCFFA1FCFF9BFBFF93FBFF8CFBFF84FAFF
7EFAFF78F9FF73F9FF6FF9FF6CF8FF6BF8FF6BF8FF6DF8FF70F9FF75F9FF7BFAFF84FAFF
8DFBFF99FBFFA6FCFFB4FDFFC3FDFFD2FEFFE0FEFFEEFFFFF9FFFFFFFFFCFFFFF5FFFFF1
FFFFEFFFFFEEFFFFEFFFFFF1FFFFF3FFFFF6FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFCFFFFFBFFFFF8FFFFF5FFFFEFFFFFE8FFFEDEFFFED1FFFDC0FFFCAC
FFFB94FFF979FFF75EFFF544FFF12EFFED1CFFE80FFFE307FFDC03FFD401FFCB00FFC200
FFB700FFAC00FFA100FF9600FF8A00FF7F00FF7600FF6D00FF6600FF6100FF5E00FF5D00
FF5E00FF6200FF6700FF6E00FF7700FF8100FF8C00FF9700FFA300FFAE00FFB900FFC400
FFCD00FFD601FFDD03FFE408FFE911FFEE1FFFF231FFF549FFF863FFFA7EFFFB98FFFCAF
FFFDC3FFFED3FFFEE0FFFFE9FFFFF0FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF8FFFFF4FFFFEFFFFFE7FFFEDDFFFED0FFFDBFFFFCAAFFFB92FFF977FFF75CFFF443
FFF12CFFED1BFFE80FFFE207FFDB03FFD401FFCB00FFC100FFB700FFAC00FFA100FF9600
FF8A00FF8000FF7600FF6E00FF6700FF6300FF6000FF5F00FF6100FF6500FF6A00FF7200
FF7A00FF8400FF8F00FF9A00FFA600FFB100FFBC00FFC600FFCF00FFD701FFDF04FFE50A
FFEA13FFEF22FFF335FFF64DFFF868FFFA83FFFB9CFFFDB3FFFDC6FFFED6FFFEE2FFFFEB
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF7FFFFF5FFFFF4FFFFF3FFFFF3FFFFF5FFFFF8FFFFFDFAFFFFF1FFFFE6FFFFDAFEFF
CEFEFFC1FDFFB5FDFFA9FCFF9FFCFF97FBFF90FBFF8CFBFF89FAFF88FAFF89FAFF8CFBFF
92FBFF9AFBFFA4FCFFB0FCFFBFFDFFD0FEFFE3FFFFF8FFFFFFFFF3FFFEE0FFFED1FFFDC5
FFFDBCFFFDB5FFFCB1FFFCB0FFFCB1FFFDB5FFFDBCFFFDC5FFFED1FFFEE0FFFFF2F8FFFF
E3FFFFD0FEFFBFFDFFB0FCFFA4FCFF9AFBFF92FBFF8DFBFF89FAFF88FAFF89FAFF8CFBFF
90FBFF97FBFF9FFCFFA9FCFFB4FDFFC1FDFFCDFEFFDAFEFFE6FFFFF1FFFFFAFFFFFFFFFD
FFFFF8FFFFF5FFFFF3FFFFF3FFFFF4FFFFF5FFFFF7FFFFF9FFFFFBFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFEE2FFFED6FFFDC7FFFDB3
FFFB9DFFFA83FFF868FFF64EFFF336FFEF22FFEA13FFE50AFFDF04FFD701FFCF00FFC600
FFBC00FFB100FFA600FF9B00FF8F00FF8500FF7B00FF7200FF6A00FF6500FF6100FF5F00
FF6000FF6300FF6700FF6E00FF7600FF8000FF8A00FF9500FFA100FFAC00FFB700FFC100
FFCB00FFD401FFDB03FFE207FFE80EFFED1BFFF12CFFF442FFF75CFFF977FFFB91FFFCA9
FFFDBEFFFECFFFFEDDFFFFE7FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF8FFFFF4FFFFEFFFFFE8FFFEDDFFFED0FFFDBFFFFCABFFFB93FFF979FFF75EFFF544
FFF12DFFED1CFFE80FFFE307FFDC03FFD401FFCC00FFC200FFB800FFAD00FFA200FF9700
FF8C00FF8200FF7800FF7000FF6A00FF6500FF6200FF6200FF6300FF6700FF6C00FF7400
FF7C00FF8600FF9100FF9C00FFA700FFB200FFBD00FFC600FFD000FFD802FFDF04FFE50A
FFEB14FFEF23FFF336FFF64FFFF869FFFA84FFFC9DFFFDB4FFFDC7FFFED6FFFEE2FFFFEB
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF8FFFFF7FFFFF6FFFFF7FFFFF9FFFFFCFEFFFFF7FFFFEFFFFFE6FFFFDBFEFFD1FEFF
C6FDFFBCFDFFB4FDFFACFCFFA7FCFFA3FCFFA2FCFFA3FCFFA6FCFFADFCFFB6FDFFC3FDFF
D3FEFFE7FFFFFFFFFFFFFFE5FFFECCFFFDB6FFFCA3FFFB92FFFA84FFF978FFF96FFFF867
FFF861FFF75DFFF75BFFF75AFFF75AFFF75CFFF760FFF865FFF86CFFF975FFFA80FFFB8D
FFFC9DFFFCB0FFFDC5FFFEDCFFFFF6EFFFFFD9FEFFC8FDFFBAFDFFAFFCFFA8FCFFA4FCFF
A2FCFFA3FCFFA5FCFFAAFCFFB1FCFFB9FDFFC3FDFFCDFEFFD8FEFFE2FEFFECFFFFF5FFFF
FCFFFFFFFFFDFFFFFAFFFFF7FFFFF6FFFFF6FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE5FFFEDBFFFECCFFFDBB
FFFCA5FFFB8DFFF972FFF757FFF43EFFF029FFEC18FFE70DFFE106FFDA02FFD201FFCA00
FFC000FFB600FFAB00FFA000FF9400FF8A00FF7F00FF7600FF6E00FF6800FF6400FF6200
FF6200FF6400FF6800FF6E00FF7600FF7F00FF8900FF9300FF9F00FFAA00FFB500FFBF00
FFC900FFD200FFDA02FFE106FFE70CFFEC17FFF027FFF43CFFF655FFF970FFFA8AFFFCA3
FFFDB9FFFECBFFFED9FFFFE5FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFB
FFFFF8FFFFF4FFFFEFFFFFE8FFFEDEFFFED1FFFDC0FFFCACFFFB94FFF97AFFF75FFFF545
FFF22FFFEE1DFFE910FFE308FFDC03FFD501FFCC00FFC300FFB900FFAF00FFA400FF9900
FF8E00FF8400FF7A00FF7200FF6C00FF6700FF6400FF6400FF6500FF6900FF6E00FF7600
FF7E00FF8800FF9200FF9D00FFA800FFB300FFBE00FFC700FFD000FFD802FFDF05FFE60B
FFEB15FFEF24FFF338FFF650FFF86AFFFA85FFFC9FFFFDB5FFFDC8FFFED7FFFFE3FFFFEB
FFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9
FFFFF9FFFFF9FFFFFAFFFFFBFFFFFFFCFFFFF6FFFFEFFFFFE7FFFFDEFEFFD5FEFFCDFEFF
C6FDFFBFFDFFBBFDFFB8FDFFB8FDFFBAFDFFBFFDFFC7FDFFD3FEFFE3FFFFF8FFFFFFFFEE
FFFED5FFFDBDFFFCA7FFFB93FFFA81FFF972FFF865FFF75AFFF651FFF549FFF543FFF43F
FFF33BFFF339FFF337FFF336FFF337FFF338FFF339FFF43CFFF440FFF545FFF54CFFF654
FFF75DFFF869FFF977FFFA87FFFB9AFFFCAEFFFDC5FFFEDEFFFFF7F0FFFFDDFEFFCEFEFF
C4FDFFBDFDFFB9FDFFB8FDFFB9FDFFBCFDFFC2FDFFC8FDFFD0FEFFD9FEFFE1FEFFEAFFFF
F1FFFFF8FFFFFEFFFFFFFFFDFFFFFBFFFFF9FFFFF9FFFFF9FFFFFAFFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8FFFFF5FFFFF0FFFFE8FFFEDFFFFED2FFFDC1
FFFCADFFFB96FFFA7CFFF861FFF547FFF230FFEE1EFFE911FFE408FFDD03FFD601FFCD00
FFC400FFBA00FFAF00FFA400FF9900FF8F00FF8400FF7B00FF7300FF6C00FF6700FF6500
FF6400FF6500FF6900FF6E00FF7500FF7D00FF8700FF9200FF9C00FFA700FFB200FFBD00
FFC700FFD000FFD802FFDF04FFE50AFFEB14FFEF22FFF336FFF64EFFF869FFFA83FFFB9D
FFFDB3FFFDC7FFFED6FFFEE2FFFFEBFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFB
FFFFF8FFFFF5FFFFEFFFFFE8FFFEDEFFFED1FFFDC1FFFCADFFFB95FFF97BFFF760FFF546
FFF230FFEE1EFFE910FFE408FFDD03FFD601FFCD00FFC400FFBA00FFB000FFA500FF9A00
FF8F00FF8500FF7C00FF7400FF6E00FF6900FF6700FF6600FF6800FF6B00FF7000FF7800
FF8000FF8A00FF9400FF9F00FFAA00FFB400FFBE00FFC800FFD100FFD902FFE005FFE60B
FFEB15FFF025FFF339FFF651FFF86CFFFA87FFFCA0FFFDB6FFFEC8FFFED7FFFFE3FFFFEC
FFFFF2FFFFF6FFFFF9FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFB
FFFFFBFFFFFCFFFFFDFFFFFFFBFFFFF6FFFFF0FFFFE9FFFFE2FEFFDBFEFFD5FEFFD0FEFF
CCFEFFC9FEFFC9FEFFCCFEFFD1FEFFDAFEFFE7FFFFF8FFFFFFFFF1FFFEDAFFFDC4FFFCAE
FFFB99FFFA86FFF976FFF867FFF75BFFF651FFF548FFF441FFF33BFFF336FFF232FFF22F
FFF12DFFF12BFFF12AFFF12AFFF12AFFF12AFFF12BFFF12DFFF22FFFF232FFF336FFF33B
FFF441FFF548FFF651FFF75CFFF868FFF977FFFA87FFFB9AFFFCAEFFFDC4FFFEDBFFFFF2
F8FFFFE6FFFFDAFEFFD1FEFFCCFEFFC9FEFFC9FEFFCCFEFFD0FEFFD5FEFFDBFEFFE2FFFF
E9FFFFF0FFFFF6FFFFFBFFFFFFFFFFFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFEBFFFFE3FFFED7FFFDC8
FFFDB5FFFC9FFFFA85FFF86BFFF650FFF338FFEF24FFEB15FFE60BFFE005FFD902FFD100
FFC800FFBE00FFB400FFA900FF9E00FF9300FF8900FF8000FF7700FF7000FF6B00FF6700
FF6600FF6700FF6900FF6E00FF7500FF7D00FF8600FF9000FF9B00FFA500FFB000FFBB00
FFC400FFCE00FFD601FFDD04FFE408FFE911FFEE1EFFF231FFF548FFF861FFFA7CFFFB96
FFFCAEFFFDC2FFFED2FFFEDFFFFFE9FFFFF0FFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFB
FFFFF8FFFFF5FFFFF0FFFFE9FFFEDFFFFED2FFFDC2FFFCAEFFFB96FFFA7DFFF862FFF548
FFF231FFEE1EFFE911FFE409FFDE04FFD601FFCE00FFC500FFBB00FFB100FFA600FF9C00
FF9100FF8700FF7E00FF7600FF7000FF6C00FF6900FF6800FF6A00FF6D00FF7300FF7A00
FF8200FF8B00FF9600FFA000FFAB00FFB500FFBF00FFC900FFD200FFD902FFE005FFE60C
FFEC16FFF026FFF33AFFF653FFF96DFFFA88FFFCA1FFFDB7FFFEC9FFFED8FFFFE3FFFFEC
FFFFF2FFFFF6FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFDFFFFFFFEFFFFFAFFFFF6FFFFF1FFFFECFFFFE6FFFFE1FEFFDDFEFFD9FEFFD7FEFF
D7FEFFD9FEFFDEFEFFE7FFFFF3FFFFFFFFFCFFFFE9FFFED5FFFDC0FFFCACFFFB99FFFA87
FFF978FFF86AFFF75EFFF654FFF54BFFF544FFF43EFFF339FFF335FFF232FFF230FFF12E
FFF12CFFF12BFFF12BFFF12AFFF12AFFF12AFFF12BFFF12CFFF12DFFF22FFFF232FFF335
FFF338FFF43DFFF442FFF549FFF651FFF75BFFF867FFF974FFFA83FFFB94FFFCA7FFFDBB
FFFECFFFFFE4FFFFF7F7FFFFEAFFFFE0FEFFDAFEFFD7FEFFD7FEFFD8FEFFDCFEFFE0FEFF
E5FFFFEAFFFFF0FFFFF5FFFFF9FFFFFDFFFFFFFFFFFFFFFDFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEEFFFFE6FFFEDBFFFECE
FFFDBCFFFCA7FFFB8FFFF975FFF75AFFF441FFF12BFFED1AFFE80EFFE207FFDB03FFD401
FFCB00FFC200FFB800FFAE00FFA300FF9800FF8E00FF8400FF7C00FF7400FF6F00FF6B00
FF6900FF6900FF6B00FF6F00FF7500FF7C00FF8500FF8E00FF9900FFA300FFAE00FFB800
FFC200FFCC00FFD401FFDC03FFE207FFE80EFFED1AFFF12BFFF441FFF75AFFF975FFFB90
FFFCA8FFFDBDFFFECEFFFEDCFFFFE6FFFFEEFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF8FFFFF5FFFFF0FFFFE9FFFEDFFFFED3FFFDC3FFFCAFFFFB98FFFA7EFFF863FFF549
FFF232FFEE1FFFEA12FFE409FFDE04FFD701FFCF00FFC600FFBC00FFB200FFA800FF9D00
FF9300FF8900FF8000FF7800FF7200FF6E00FF6B00FF6B00FF6C00FF6F00FF7500FF7C00
FF8400FF8D00FF9700FFA200FFAC00FFB600FFC000FFCA00FFD201FFDA02FFE106FFE70C
FFEC17FFF027FFF43CFFF654FFF96FFFFA89FFFCA2FFFDB8FFFECAFFFED8FFFFE4FFFFEC
FFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFFFDFFFFFBFFFFF7FFFFF3FFFFEFFFFFEBFFFFE7FFFFE4FFFFE2FEFFE2FEFFE3FFFF
E7FFFFEEFFFFF8FFFFFFFFF9FFFFE9FFFED7FFFDC5FFFDB3FFFCA1FFFB91FFFA82FFF975
FFF869FFF75FFFF757FFF650FFF54AFFF546FFF442FFF43FFFF43DFFF33BFFF33AFFF339
FFF338FFF338FFF337FFF337FFF337FFF337FFF337FFF338FFF338FFF339FFF33AFFF43C
FFF43EFFF440FFF543FFF547FFF64CFFF653FFF75AFFF863FFF96EFFF97AFFFA88FFFB97
FFFCA8FFFDBAFFFECDFFFEDFFFFFF0FFFFFFF4FFFFEBFFFFE5FFFFE2FEFFE1FEFFE2FFFF
E5FFFFE8FFFFECFFFFF1FFFFF5FFFFF9FFFFFCFFFFFEFFFFFFFFFFFFFFFEFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF8FFFFF5FFFFF0FFFFE9FFFEDFFFFED3
FFFDC3FFFCAFFFFB98FFFA7EFFF863FFF54AFFF232FFEE20FFEA12FFE409FFDE04FFD701
FFCF00FFC600FFBC00FFB200FFA800FF9D00FF9300FF8900FF8000FF7900FF7200FF6E00
FF6B00FF6B00FF6C00FF6F00FF7500FF7B00FF8400FF8D00FF9700FFA100FFAC00FFB600
FFC000FFCA00FFD201FFDA02FFE106FFE70CFFEC17FFF027FFF33BFFF654FFF96EFFFA89
FFFCA2FFFDB7FFFECAFFFED8FFFFE4FFFFECFFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF5FFFFF0FFFFE9FFFEE0FFFED3FFFDC3FFFCB0FFFB99FFFA7FFFF865FFF54B
FFF233FFEF21FFEA13FFE50AFFDF04FFD702FFCF00FFC700FFBD00FFB300FFA900FF9F00
FF9400FF8B00FF8200FF7B00FF7400FF7000FF6D00FF6D00FF6E00FF7200FF7700FF7E00
FF8600FF8F00FF9900FFA300FFAD00FFB800FFC100FFCB00FFD301FFDB02FFE106FFE70D
FFEC18FFF028FFF43DFFF656FFF970FFFA8AFFFCA3FFFDB9FFFECBFFFED9FFFFE4FFFFEC
FFFFF2FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FDFFFFFBFFFFF8FFFFF5FFFFF2FFFFEFFFFFECFFFFEAFFFFE9FFFFEAFFFFEDFFFFF2FFFF
FAFFFFFFFFFAFFFFEDFFFEDEFFFECEFFFDBEFFFCAEFFFC9FFFFB91FFFA84FFF97AFFF970
FFF868FFF862FFF75DFFF759FFF757FFF655FFF654FFF653FFF654FFF654FFF655FFF756
FFF757FFF758FFF759FFF75AFFF75AFFF759FFF759FFF758FFF757FFF756FFF655FFF654
FFF654FFF653FFF654FFF655FFF757FFF75AFFF75EFFF863FFF869FFF971FFF97BFFFA86
FFFB92FFFCA0FFFCAFFFFDBFFFFECFFFFEDFFFFFEEFFFFFBF9FFFFF2FFFFEDFFFFEAFFFF
E9FFFFEAFFFFECFFFFEFFFFFF2FFFFF5FFFFF9FFFFFBFFFFFEFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFF9FFFFF6FFFFF2FFFFECFFFFE3FFFED8
FFFEC9FFFDB7FFFCA1FFFA88FFF96DFFF653FFF33BFFF026FFEC17FFE70CFFE106FFDA02
FFD201FFCA00FFC000FFB700FFAC00FFA200FF9800FF8E00FF8500FF7D00FF7600FF7100
FF6E00FF6D00FF6E00FF7000FF7500FF7B00FF8300FF8C00FF9500FFA000FFAA00FFB400
FFBE00FFC800FFD000FFD802FFDF05FFE50AFFEB14FFEF22FFF336FFF64DFFF867FFFA82
FFFB9BFFFDB2FFFDC5FFFED5FFFEE1FFFFEAFFFFF1FFFFF5FFFFF9FFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF5FFFFF0FFFFEAFFFEE0FFFED4FFFDC4FFFCB1FFFB9AFFFA81FFF866FFF64C
FFF335FFEF22FFEA13FFE50AFFDF05FFD802FFD000FFC800FFBE00FFB400FFAA00FFA000
FF9600FF8D00FF8400FF7D00FF7700FF7200FF7000FF6F00FF7100FF7400FF7900FF8000
FF8800FF9100FF9A00FFA400FFAF00FFB900FFC200FFCB00FFD401FFDB03FFE206FFE80E
FFEC19FFF129FFF43EFFF757FFF971FFFB8CFFFCA4FFFDBAFFFECBFFFEDAFFFFE5FFFFED
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFEFFFF
FCFFFFF9FFFFF7FFFFF4FFFFF2FFFFF0FFFFEFFFFFF0FFFFF1FFFFF5FFFFFBFFFFFFFFFC
FFFFF2FFFFE6FFFED8FFFECBFFFDBDFFFCAFFFFCA3FFFB97FFFB8DFFFA85FFFA7EFFF979
FFF975FFF973FFF972FFF972FFF974FFF977FFF97BFFFA7FFFFA85FFFA8AFFFB90FFFB96
FFFB9CFFFCA0FFFCA4FFFCA6FFFCA7FFFCA7FFFCA5FFFCA1FFFB9DFFFB97FFFB92FFFB8C
FFFA86FFFA80FFFA7CFFF978FFF974FFF973FFF972FFF972FFF974FFF978FFFA7DFFFA83
FFFB8BFFFB95FFFCA0FFFCACFFFDBAFFFDC8FFFED6FFFFE3FFFFEFFFFFFAFCFFFFF6FFFF
F2FFFFF0FFFFEFFFFFF0FFFFF2FFFFF4FFFFF6FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEEFFFFE7FFFEDC
FFFECFFFFDBEFFFCA9FFFB91FFF977FFF75DFFF543FFF12DFFED1CFFE910FFE308FFDD03
FFD501FFCD00FFC400FFBB00FFB100FFA700FF9C00FF9300FF8900FF8100FF7A00FF7500
FF7100FF6F00FF6F00FF7200FF7500FF7B00FF8200FF8B00FF9400FF9E00FFA800FFB200
FFBC00FFC600FFCE00FFD601FFDE04FFE409FFE911FFEE1EFFF230FFF547FFF760FFF97B
FFFB95FFFCACFFFDC0FFFED1FFFEDEFFFFE8FFFFEFFFFFF4FFFFF8FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF5FFFFF1FFFFEAFFFEE1FFFED5FFFDC5FFFDB2FFFB9BFFFA82FFF867FFF64E
FFF336FFEF23FFEB14FFE60BFFE005FFD902FFD100FFC800FFBF00FFB600FFAC00FFA200
FF9800FF8E00FF8600FF7F00FF7900FF7400FF7200FF7100FF7300FF7600FF7B00FF8200
FF8900FF9200FF9C00FFA600FFB000FFBA00FFC300FFCC00FFD401FFDC03FFE207FFE80E
FFED1AFFF12AFFF440FFF758FFF973FFFB8DFFFCA5FFFDBAFFFECCFFFEDAFFFFE5FFFFED
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFF
FBFFFFF9FFFFF7FFFFF5FFFFF4FFFFF4FFFFF4FFFFF7FFFFFBFFFFFFFFFFFFFFF7FFFFEE
FFFFE3FFFED7FFFECCFFFDC0FFFDB5FFFCABFFFCA2FFFB9BFFFB95FFFB91FFFB8FFFFB8F
FFFB90FFFB94FFFB99FFFCA1FFFCAAFFFDB6FFFDC3FFFED2FFFEE2FFFFF3FCFFFFEDFFFF
E0FEFFD6FEFFCFFEFFCBFEFFC9FEFFCAFEFFCDFEFFD2FEFFDBFEFFE6FFFFF3FFFFFFFFFC
FFFFEBFFFEDAFFFECBFFFDBDFFFCB0FFFCA6FFFB9DFFFB97FFFB92FFFB8FFFFB8EFFFB90
FFFB93FFFB97FFFC9EFFFCA6FFFCAFFFFDBAFFFDC5FFFED1FFFEDDFFFFE8FFFFF2FFFFFB
FDFFFFF8FFFFF5FFFFF4FFFFF4FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFDFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF0FFFFEAFFFEE0
FFFED4FFFDC4FFFCB1FFFB9AFFFA81FFF866FFF64CFFF335FFEF22FFEB14FFE50AFFDF05
FFD802FFD100FFC800FFBF00FFB500FFAB00FFA100FF9700FF8E00FF8600FF7E00FF7800
FF7400FF7200FF7100FF7300FF7600FF7B00FF8200FF8A00FF9300FF9C00FFA600FFB000
FFBA00FFC400FFCD00FFD501FFDC03FFE207FFE80FFFED1AFFF12BFFF441FFF75AFFF974
FFFB8EFFFCA6FFFDBBFFFECDFFFEDBFFFFE5FFFFEDFFFFF3FFFFF7FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF1FFFFEAFFFEE1FFFED5FFFDC6FFFDB3FFFB9CFFFA83FFF869FFF64F
FFF337FFEF24FFEB15FFE60BFFE005FFD902FFD200FFC900FFC000FFB700FFAD00FFA300
FF9900FF9000FF8800FF8100FF7B00FF7700FF7400FF7400FF7500FF7800FF7D00FF8400
FF8B00FF9400FF9D00FFA700FFB100FFBB00FFC400FFCD00FFD501FFDC03FFE307FFE80F
FFED1BFFF12CFFF441FFF75AFFF974FFFB8EFFFCA6FFFDBBFFFECDFFFEDBFFFFE5FFFFED
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFF
FAFFFFF9FFFFF8FFFFF7FFFFF7FFFFF8FFFFFBFFFFFEFFFFFFFFFBFFFFF4FFFFECFFFFE3
FFFED9FFFECFFFFDC6FFFDBDFFFDB5FFFCAFFFFCABFFFCA8FFFCA8FFFCA9FFFCAEFFFDB4
FFFDBEFFFECAFFFEDAFFFFEDFCFFFFE5FFFFCFFEFFBCFDFFABFCFF9CFBFF90FBFF85FAFF
7DFAFF76F9FF72F9FF6FF9FF6DF9FF6DF9FF6FF9FF72F9FF77F9FF7EFAFF87FAFF92FBFF
9EFCFFAEFCFFBFFDFFD3FEFFE8FFFFFFFFFFFFFFEAFFFED7FFFDC8FFFDBCFFFDB3FFFCAD
FFFCA9FFFCA8FFFCA8FFFCABFFFCB0FFFDB7FFFDBEFFFDC7FFFED1FFFEDBFFFFE4FFFFED
FFFFF5FFFFFCFEFFFFFAFFFFF8FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF2FFFFECFFFFE4
FFFED9FFFECAFFFDB8FFFCA3FFFA8AFFF970FFF756FFF43DFFF029FFEC19FFE70DFFE206
FFDB03FFD401FFCC00FFC300FFB900FFB000FFA600FF9C00FF9300FF8A00FF8200FF7C00
FF7800FF7500FF7400FF7400FF7700FF7C00FF8200FF8900FF9200FF9B00FFA500FFAE00
FFB800FFC200FFCB00FFD301FFDA02FFE106FFE70CFFEC17FFF027FFF33BFFF653FFF86D
FFFA87FFFCA0FFFDB6FFFEC8FFFED7FFFFE3FFFFEBFFFFF2FFFFF6FFFFF9FFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF1FFFFEBFFFEE2FFFED6FFFDC7FFFDB4FFFC9EFFFA85FFF86BFFF650
FFF339FFF025FFEB16FFE60CFFE106FFDA02FFD201FFCA00FFC100FFB800FFAE00FFA500
FF9B00FF9200FF8A00FF8300FF7D00FF7900FF7600FF7600FF7700FF7A00FF7F00FF8600
FF8D00FF9600FF9F00FFA900FFB200FFBC00FFC500FFCE00FFD601FFDD03FFE308FFE910
FFED1CFFF12DFFF443FFF75BFFF976FFFB90FFFCA8FFFDBCFFFECEFFFEDBFFFFE6FFFFEE
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFF
FAFFFFFAFFFFF9FFFFFAFFFFFBFFFFFDFFFFFFFFFEFFFFF9FFFFF3FFFFECFFFFE5FFFEDD
FFFED5FFFECDFFFDC7FFFDC2FFFDBEFFFDBDFFFDBDFFFDC0FFFDC6FFFECFFFFEDBFFFFEB
FFFFFFE9FFFFD2FEFFBDFDFFA9FCFF97FBFF87FAFF79F9FF6DF9FF63F8FF5BF7FF54F6FF
4FF6FF4BF5FF48F5FF46F5FF45F5FF44F5FF45F5FF47F5FF4AF5FF4EF6FF53F6FF5AF7FF
62F8FF6CF8FF77F9FF85FAFF95FBFFA6FCFFBAFDFFCFFEFFE5FFFFFCFFFFFFFFEEFFFEDD
FFFED1FFFDC7FFFDC1FFFDBDFFFDBDFFFDBEFFFDC1FFFDC6FFFECCFFFED4FFFEDBFFFFE3
FFFFEBFFFFF2FFFFF8FFFFFEFEFFFFFBFFFFFAFFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFF
FDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE7
FFFEDDFFFED0FFFDBFFFFCABFFFB94FFF97AFFF760FFF546FFF230FFEE1EFFE911FFE409
FFDE04FFD701FFCF00FFC700FFBD00FFB400FFAA00FFA100FF9700FF8E00FF8700FF8000
FF7B00FF7800FF7600FF7600FF7800FF7C00FF8200FF8900FF9100FF9A00FFA300FFAD00
FFB600FFC000FFC900FFD100FFD902FFE005FFE60BFFEB14FFEF22FFF335FFF64DFFF866
FFFA81FFFB9AFFFCB1FFFDC4FFFED4FFFEE0FFFFE9FFFFF0FFFFF5FFFFF9FFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF1FFFFEBFFFEE2FFFED6FFFDC7FFFDB5FFFC9FFFFA86FFF86CFFF652
FFF33AFFF026FFEC17FFE70CFFE106FFDB02FFD301FFCB00FFC200FFB900FFB000FFA600
FF9D00FF9400FF8C00FF8500FF7F00FF7B00FF7900FF7800FF7900FF7D00FF8100FF8800
FF8F00FF9700FFA100FFAA00FFB400FFBD00FFC600FFCF00FFD601FFDD04FFE408FFE910
FFEE1DFFF12EFFF544FFF75DFFF977FFFB91FFFCA9FFFDBDFFFECEFFFEDCFFFFE6FFFFEE
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFCFFFF
FBFFFFFBFFFFFCFFFFFDFFFFFFFFFFFFFFFDFFFFF9FFFFF4FFFFEEFFFFE7FFFEE1FFFEDB
FFFED6FFFED1FFFECEFFFECDFFFECEFFFED2FFFED8FFFEE2FFFFEFFFFFFFEBFFFFD6FEFF
C1FDFFADFCFF9BFBFF8AFAFF7BF9FF6EF9FF62F8FF59F7FF50F6FF4AF5FF44F5FF3FF4FF
3CF4FF39F3FF37F3FF36F3FF35F3FF35F3FF35F3FF36F3FF38F3FF3AF3FF3EF4FF42F4FF
47F5FF4DF6FF55F6FF5DF7FF68F8FF74F9FF83FAFF93FBFFA4FCFFB8FDFFCCFEFFE1FEFF
F5FFFFFFFFF7FFFFE8FFFEDCFFFED4FFFED0FFFECDFFFECEFFFED0FFFED3FFFED8FFFEDE
FFFFE4FFFFEBFFFFF1FFFFF6FFFFFBFFFFFFFEFFFFFCFFFFFBFFFFFBFFFFFBFFFFFCFFFF
FDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF5FFFFF1FFFFEA
FFFEE1FFFED5FFFDC6FFFDB3FFFB9DFFFA84FFF869FFF650FFF338FFF024FFEB16FFE60C
FFE005FFDA02FFD201FFCA00FFC100FFB800FFAF00FFA500FF9C00FF9300FF8B00FF8400
FF7F00FF7B00FF7900FF7800FF7A00FF7D00FF8200FF8800FF9000FF9800FFA200FFAB00
FFB500FFBE00FFC700FFCF00FFD701FFDE04FFE409FFEA11FFEE1EFFF230FFF546FFF760
FFF97AFFFB94FFFCABFFFDBFFFFED0FFFEDDFFFFE7FFFFEEFFFFF4FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF1FFFFEBFFFFE3FFFED7FFFDC8FFFDB6FFFCA0FFFA88FFF96EFFF654
FFF43CFFF027FFEC18FFE70DFFE206FFDB03FFD401FFCC00FFC300FFBA00FFB100FFA700
FF9E00FF9600FF8E00FF8700FF8100FF7D00FF7B00FF7A00FF7C00FF7F00FF8300FF8A00
FF9100FF9900FFA200FFAB00FFB500FFBE00FFC700FFCF00FFD701FFDE04FFE409FFE911
FFEE1EFFF230FFF546FFF75FFFF979FFFB92FFFCAAFFFDBEFFFECFFFFEDCFFFFE7FFFFEE
FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFF
FCFFFFFDFFFFFEFFFFFFFFFFFFFFFCFFFFF9FFFFF5FFFFF0FFFFEBFFFFE6FFFEE1FFFEDE
FFFEDBFFFEDAFFFEDBFFFEDEFFFFE4FFFFEDFFFFFAF5FFFFE3FFFFD0FEFFBEFDFFABFCFF
9AFBFF8AFAFF7CFAFF6FF9FF64F8FF5BF7FF53F6FF4CF6FF46F5FF42F4FF3EF4FF3BF3FF
39F3FF37F3FF35F3FF34F2FF34F2FF34F2FF34F2FF35F3FF36F3FF37F3FF39F3FF3CF4FF
3FF4FF43F4FF47F5FF4DF6FF54F6FF5DF7FF66F8FF72F9FF7FFAFF8DFBFF9EFCFFAFFCFF
C2FDFFD4FEFFE7FFFFF9FFFFFFFFF7FFFFEBFFFFE3FFFEDDFFFEDBFFFEDAFFFEDBFFFEDE
FFFEE2FFFFE7FFFFECFFFFF1FFFFF5FFFFFAFFFFFDFFFFFFFEFFFFFDFFFFFCFFFFFCFFFF
FDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFED
FFFFE5FFFEDAFFFECCFFFDBAFFFCA5FFFB8DFFF973FFF759FFF440FFF12BFFED1BFFE80F
FFE307FFDD03FFD501FFCE00FFC500FFBC00FFB300FFA900FFA000FF9700FF8F00FF8800
FF8200FF7E00FF7B00FF7A00FF7B00FF7E00FF8200FF8800FF8F00FF9700FFA000FFA900
FFB300FFBC00FFC500FFCE00FFD501FFDD03FFE307FFE80FFFED1BFFF12BFFF440FFF759
FFF973FFFB8DFFFCA5FFFDBAFFFECCFFFEDAFFFFE5FFFFEDFFFFF3FFFFF7FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF2FFFFEBFFFFE3FFFED8FFFEC9FFFDB7FFFCA1FFFA89FFF96FFFF655
FFF43DFFF029FFEC19FFE80EFFE207FFDC03FFD501FFCD00FFC400FFBB00FFB200FFA900
FFA000FF9700FF9000FF8900FF8300FF7F00FF7D00FF7D00FF7E00FF8100FF8500FF8B00
FF9300FF9B00FFA400FFAD00FFB600FFBF00FFC800FFD000FFD802FFDF04FFE509FFEA12
FFEE1FFFF231FFF547FFF760FFF97AFFFB94FFFCABFFFDBFFFFED0FFFEDDFFFFE7FFFFEE
FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFCFFFFF9FFFFF6FFFFF2FFFFEEFFFFEAFFFFE7FFFFE5FFFFE4
FFFFE5FFFFE7FFFFECFFFFF4FFFFFFF3FFFFE3FFFFD3FEFFC2FDFFB1FCFFA1FCFF93FBFF
85FAFF79F9FF6FF9FF65F8FF5EF7FF57F7FF52F6FF4EF6FF4AF5FF47F5FF45F5FF44F5FF
42F4FF42F4FF41F4FF41F4FF40F4FF40F4FF40F4FF40F4FF41F4FF41F4FF42F4FF44F5FF
45F5FF47F5FF4AF5FF4DF6FF52F6FF57F7FF5DF7FF65F8FF6EF9FF78F9FF84FAFF91FBFF
A0FCFFB0FCFFC0FDFFD1FEFFE2FEFFF1FFFFFFFFFFFFFFF5FFFFEDFFFFE8FFFFE5FFFFE4
FFFFE5FFFFE7FFFFEAFFFFEEFFFFF2FFFFF5FFFFF9FFFFFCFFFFFEFFFFFFFEFFFFFDFFFF
FDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF4FFFFEF
FFFFE8FFFEDEFFFED1FFFDC1FFFCADFFFB96FFFA7DFFF863FFF549FFF233FFEF21FFEA13
FFE50AFFDF05FFD802FFD100FFC900FFC000FFB700FFAE00FFA500FF9C00FF9400FF8C00
FF8600FF8100FF7E00FF7D00FF7D00FF7F00FF8300FF8800FF8F00FF9600FF9F00FFA800
FFB100FFBA00FFC300FFCC00FFD401FFDB03FFE106FFE70DFFEC17FFF027FFF33BFFF653
FFF86DFFFA87FFFC9FFFFDB5FFFDC7FFFED6FFFEE2FFFFEBFFFFF1FFFFF6FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFF9FFFFF6FFFFF2FFFFECFFFFE3FFFED8FFFECAFFFDB8FFFCA3FFFA8BFFF971FFF757
FFF43FFFF12AFFED1AFFE80EFFE307FFDC03FFD501FFCE00FFC500FFBD00FFB300FFAA00
FFA100FF9900FF9100FF8B00FF8500FF8200FF7F00FF7F00FF8000FF8300FF8800FF8D00
FF9500FF9D00FFA500FFAE00FFB700FFC000FFC900FFD100FFD802FFDF05FFE50AFFEA13
FFEE20FFF232FFF549FFF862FFFA7CFFFB95FFFCACFFFDC0FFFED0FFFEDDFFFFE7FFFFEF
FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FFFFFFFFFFFEFFFFFCFFFFFAFFFFF7FFFFF4FFFFF1FFFFEFFFFFEDFFFFEBFFFFECFFFFED
FFFFF1FFFFF7FFFFFFF4FFFFE8FFFFDAFEFFCBFEFFBCFDFFAEFCFFA0FCFF94FBFF88FAFF
7FFAFF76F9FF6FF9FF6AF8FF65F8FF62F8FF5FF7FF5EF7FF5DF7FF5DF7FF5DF7FF5DF7FF
5EF7FF5FF7FF60F7FF60F7FF61F8FF61F8FF61F8FF61F7FF60F7FF5FF7FF5EF7FF5EF7FF
5DF7FF5DF7FF5DF7FF5DF7FF5FF7FF61F7FF64F8FF68F8FF6DF8FF73F9FF7BF9FF84FAFF
8FFBFF9BFBFFA8FCFFB6FDFFC5FDFFD4FEFFE2FEFFEFFFFFFBFFFFFFFFFAFFFFF3FFFFEF
FFFFECFFFFEBFFFFECFFFFEEFFFFF0FFFFF3FFFFF6FFFFF9FFFFFBFFFFFEFFFFFFFFFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1
FFFFEBFFFEE2FFFED6FFFDC7FFFDB5FFFC9FFFFA87FFF86DFFF653FFF33BFFF027FFEC18
FFE70DFFE206FFDB03FFD401FFCC00FFC400FFBB00FFB200FFA900FFA000FF9800FF9000
FF8A00FF8500FF8100FF7F00FF7F00FF8000FF8400FF8800FF8F00FF9600FF9E00FFA700
FFB000FFB900FFC200FFCA00FFD201FFDA02FFE005FFE60BFFEB15FFEF23FFF336FFF64C
FFF866FFFA80FFFB99FFFCB0FFFDC3FFFED3FFFEDFFFFFE9FFFFF0FFFFF5FFFFF8FFFFFB
FFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF6FFFFF2FFFFECFFFFE4FFFED9FFFECBFFFDB9FFFCA4FFFB8CFFF972FFF758
FFF440FFF12BFFED1BFFE80FFFE308FFDD03FFD601FFCE00FFC600FFBE00FFB500FFAC00
FFA300FF9B00FF9300FF8D00FF8700FF8400FF8100FF8100FF8200FF8500FF8A00FF8F00
FF9600FF9E00FFA700FFB000FFB900FFC100FFCA00FFD201FFD902FFE005FFE50AFFEA14
FFEF21FFF234FFF54AFFF863FFFA7DFFFB97FFFCADFFFDC1FFFED1FFFEDEFFFFE8FFFFEF
FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF4FFFFF2FFFFF1FFFFF1FFFFF2FFFFF4FFFFF9
FFFFFFF8FFFFEDFFFFE2FEFFD5FEFFC9FEFFBCFDFFB0FCFFA5FCFF9AFBFF92FBFF8AFAFF
85FAFF80FAFF7DFAFF7BFAFF7BF9FF7CFAFF7EFAFF81FAFF84FAFF89FAFF8DFBFF92FBFF
97FBFF9CFBFFA0FCFFA3FCFFA5FCFFA6FCFFA6FCFFA5FCFFA2FCFF9FFCFF9BFBFF96FBFF
91FBFF8CFBFF87FAFF83FAFF80FAFF7DFAFF7CFAFF7BF9FF7CFAFF7EFAFF81FAFF86FAFF
8CFBFF94FBFF9DFBFFA8FCFFB3FDFFBFFDFFCCFEFFD9FEFFE5FFFFF0FFFFFAFFFFFFFFFD
FFFFF7FFFFF3FFFFF1FFFFF1FFFFF1FFFFF3FFFFF5FFFFF7FFFFF9FFFFFBFFFFFDFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3
FFFFEDFFFFE5FFFEDBFFFECDFFFDBCFFFCA8FFFB90FFF976FFF75CFFF544FFF12EFFEE1D
FFE911FFE409FFDE04FFD701FFD000FFC800FFBF00FFB600FFAD00FFA400FF9C00FF9400
FF8E00FF8800FF8400FF8200FF8100FF8200FF8500FF8900FF8E00FF9500FF9D00FFA500
FFAE00FFB700FFC000FFC900FFD100FFD802FFDF04FFE509FFEA12FFEE1FFFF230FFF546
FFF75FFFF979FFFB93FFFCAAFFFDBEFFFECFFFFEDCFFFFE6FFFFEEFFFFF3FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF2FFFFECFFFFE4FFFED9FFFECCFFFDBAFFFCA5FFFB8EFFF974FFF75A
FFF442FFF12DFFED1CFFE910FFE408FFDE04FFD701FFCF00FFC700FFBF00FFB600FFAD00
FFA500FF9D00FF9500FF8F00FF8A00FF8600FF8400FF8300FF8400FF8700FF8C00FF9100
FF9800FFA000FFA800FFB100FFBA00FFC300FFCB00FFD301FFDA02FFE005FFE60BFFEB14
FFEF22FFF335FFF64CFFF865FFFA7FFFFB98FFFCAFFFFDC2FFFED2FFFEDEFFFFE8FFFFEF
FFFFF4FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF7FFFFF6FFFFF5FFFFF5FFFFF7FFFFF9FFFFFEFBFFFF
F3FFFFEAFFFFE0FEFFD5FEFFCAFEFFC0FDFFB6FDFFADFCFFA6FCFFA0FCFF9BFBFF98FBFF
97FBFF98FBFF9AFBFF9EFCFFA4FCFFABFCFFB4FDFFBFFDFFCBFEFFD8FEFFE5FFFFF3FFFF
FFFFFEFFFFF3FFFFE9FFFEE2FFFEDDFFFEDBFFFEDBFFFEDDFFFEE2FFFFE9FFFFF2FFFFFE
F4FFFFE6FFFFD8FEFFCBFEFFBFFDFFB5FDFFACFCFFA4FCFF9EFCFF9AFBFF98FBFF97FBFF
98FBFF9BFBFF9FFCFFA5FCFFADFCFFB6FDFFC0FDFFCAFEFFD5FEFFDFFEFFEAFFFFF3FFFF
FBFFFFFFFFFEFFFFF9FFFFF7FFFFF5FFFFF5FFFFF5FFFFF7FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF5
FFFFEFFFFFE8FFFEDFFFFED3FFFDC3FFFCAFFFFB99FFFA80FFF866FFF64DFFF336FFEF23
FFEB15FFE60BFFE005FFDA02FFD301FFCB00FFC300FFBA00FFB100FFA900FFA000FF9900
FF9200FF8C00FF8700FF8400FF8300FF8400FF8600FF8900FF8E00FF9500FF9C00FFA400
FFAD00FFB600FFBE00FFC700FFCF00FFD601FFDD04FFE308FFE910FFED1BFFF12CFFF441
FFF759FFF973FFFB8CFFFCA4FFFDB9FFFECBFFFED9FFFFE4FFFFECFFFFF2FFFFF6FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF3FFFFEDFFFFE5FFFEDAFFFECCFFFDBBFFFCA7FFFB8FFFF976FFF75C
FFF543FFF12EFFEE1DFFE911FFE409FFDE04FFD702FFD000FFC800FFC000FFB700FFAF00
FFA600FF9E00FF9700FF9100FF8C00FF8800FF8600FF8500FF8700FF8900FF8E00FF9300
FF9A00FFA200FFAA00FFB200FFBB00FFC400FFCC00FFD301FFDA02FFE106FFE60CFFEB15
FFEF24FFF337FFF64DFFF867FFFA81FFFB99FFFCB0FFFDC3FFFED3FFFEDFFFFFE8FFFFF0
FFFFF5FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF8FFFFF8FFFFFAFFFFFDFEFFFFF8FFFFF1FFFF
E9FFFFE1FEFFD8FEFFCFFEFFC7FDFFBFFDFFB9FDFFB4FDFFB1FCFFAFFCFFB0FCFFB2FDFF
B7FDFFBEFDFFC8FDFFD5FEFFE4FFFFF6FFFFFFFFF5FFFEE2FFFED0FFFDBFFFFCB1FFFCA4
FFFB99FFFB91FFFA8AFFFA85FFFA81FFFA7FFFFA7FFFFA80FFFA83FFFA88FFFB8EFFFB96
FFFCA0FFFCACFFFDBAFFFEC9FFFEDBFFFFEEFDFFFFEAFFFFDAFEFFCCFEFFC2FDFFB9FDFF
B4FDFFB0FCFFAFFCFFB0FCFFB2FDFFB7FDFFBDFDFFC4FDFFCCFEFFD5FEFFDEFEFFE6FFFF
EEFFFFF6FFFFFCFFFFFFFFFEFFFFFBFFFFF9FFFFF8FFFFF8FFFFF8FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6
FFFFF2FFFFEBFFFFE3FFFED7FFFEC9FFFDB7FFFCA2FFFA8AFFF970FFF756FFF43EFFF12A
FFED1AFFE80FFFE307FFDD03FFD601FFCF00FFC700FFBE00FFB600FFAD00FFA500FF9D00
FF9600FF9000FF8B00FF8700FF8600FF8500FF8700FF8A00FF8F00FF9500FF9C00FFA300
FFAC00FFB400FFBD00FFC500FFCD00FFD501FFDC03FFE207FFE70DFFEC18FFF027FFF33B
FFF653FFF86CFFFA86FFFC9EFFFDB4FFFDC7FFFED6FFFEE1FFFFEAFFFFF1FFFFF5FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF3FFFFEDFFFFE5FFFEDBFFFECDFFFDBCFFFCA8FFFB90FFF977FFF75D
FFF545FFF22FFFEE1EFFEA12FFE509FFDF04FFD802FFD100FFC900FFC100FFB900FFB000
FFA800FFA000FF9900FF9300FF8E00FF8A00FF8800FF8800FF8900FF8B00FF9000FF9500
FF9C00FFA300FFAB00FFB400FFBC00FFC500FFCD00FFD401FFDB03FFE106FFE70CFFEC16
FFF025FFF338FFF64FFFF868FFFA82FFFB9BFFFCB1FFFDC4FFFED3FFFEE0FFFFE9FFFFF0
FFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFFAFFFFFAFFFFFBFFFFFDFFFFFFFCFFFFF7FFFFF1FFFFEAFFFF
E3FFFFDCFEFFD5FEFFCFFEFFC9FEFFC5FDFFC3FDFFC3FDFFC4FDFFC8FEFFCFFEFFD9FEFF
E5FFFFF5FFFFFFFFF6FFFFE2FFFECFFFFDBCFFFCABFFFB9BFFFB8DFFFA81FFF976FFF86D
FFF866FFF760FFF75BFFF758FFF655FFF654FFF653FFF654FFF756FFF759FFF75CFFF862
FFF868FFF970FFF979FFFA84FFFB91FFFCA0FFFCB0FFFDC2FFFED5FFFFE9FFFFFDF0FFFF
E1FEFFD5FEFFCDFEFFC7FDFFC4FDFFC3FDFFC4FDFFC7FDFFCBFEFFD1FEFFD7FEFFDEFEFF
E5FFFFEDFFFFF3FFFFF9FFFFFDFFFFFFFFFEFFFFFCFFFFFAFFFFFAFFFFFAFFFFFBFFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7
FFFFF3FFFFEEFFFFE6FFFEDCFFFECFFFFDBEFFFCAAFFFB93FFF97AFFF760FFF547FFF231
FFEE20FFEA13FFE50AFFDF05FFD902FFD201FFCA00FFC200FFBA00FFB100FFA900FFA100
FF9A00FF9300FF8E00FF8A00FF8800FF8800FF8900FF8B00FF8F00FF9500FF9B00FFA300
FFAB00FFB300FFBB00FFC400FFCC00FFD301FFDA02FFE106FFE60CFFEB15FFEF23FFF336
FFF64DFFF866FFFA80FFFB98FFFCAFFFFDC2FFFED2FFFEDEFFFFE8FFFFEFFFFFF4FFFFF8
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF3FFFFEDFFFFE6FFFEDBFFFECEFFFDBDFFFCA9FFFB92FFF979FFF75F
FFF547FFF231FFEE1FFFEA12FFE50AFFDF05FFD902FFD201FFCA00FFC200FFBA00FFB200
FFA900FFA200FF9B00FF9500FF9000FF8C00FF8A00FF8A00FF8B00FF8E00FF9200FF9700
FF9E00FFA500FFAD00FFB500FFBE00FFC600FFCE00FFD501FFDC03FFE207FFE70DFFEC17
FFF026FFF33AFFF651FFF86AFFFA84FFFB9CFFFDB2FFFDC5FFFED4FFFEE0FFFFE9FFFFF0
FFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFCFFFFFBFFFFFCFFFFFDFFFFFEFEFFFFFBFFFFF7FFFFF2FFFFECFFFFE6FFFF
E1FEFFDCFEFFD7FEFFD4FEFFD2FEFFD2FEFFD5FEFFD9FEFFE0FEFFEBFFFFF8FFFFFFFFF6
FFFFE3FFFED1FFFDBEFFFCADFFFB9CFFFB8DFFFA80FFF974FFF86AFFF861FFF75AFFF653
FFF64EFFF54AFFF547FFF545FFF443FFF442FFF442FFF442FFF443FFF545FFF547FFF54A
FFF64EFFF654FFF75AFFF861FFF86AFFF974FFFA80FFFB8EFFFB9DFFFCADFFFDBFFFFED1
FFFFE4FFFFF6F8FFFFEBFFFFE0FEFFD9FEFFD5FEFFD2FEFFD2FEFFD4FEFFD7FEFFDCFEFF
E1FEFFE7FFFFECFFFFF2FFFFF7FFFFFBFFFFFEFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFC
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFCFFFFFBFFFFF8
FFFFF5FFFFF0FFFFE9FFFEE0FFFED4FFFDC5FFFDB2FFFB9CFFFA83FFF86AFFF650FFF339
FFF026FFEC17FFE70DFFE206FFDC03FFD501FFCD00FFC600FFBD00FFB500FFAD00FFA500
FF9E00FF9700FF9200FF8D00FF8B00FF8A00FF8A00FF8C00FF9000FF9500FF9B00FFA200
FFAA00FFB200FFBA00FFC200FFCA00FFD201FFD902FFDF05FFE50AFFEA13FFEE20FFF231
FFF547FFF75FFFF979FFFB92FFFCA9FFFDBDFFFECEFFFEDCFFFFE6FFFFEEFFFFF3FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF3FFFFEEFFFFE6FFFEDCFFFECFFFFDBEFFFCAAFFFB93FFF97AFFF861
FFF548FFF232FFEF21FFEA13FFE50AFFE005FFDA02FFD301FFCB00FFC300FFBB00FFB300
FFAB00FFA300FF9D00FF9700FF9200FF8E00FF8C00FF8C00FF8D00FF9000FF9400FF9900
FF9F00FFA700FFAE00FFB700FFBF00FFC700FFCE00FFD601FFDC03FFE207FFE80EFFEC18
FFF028FFF33BFFF653FFF86CFFFA85FFFC9EFFFDB3FFFDC6FFFED5FFFEE1FFFFEAFFFFF0
FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFEFFFFFBFFFFF7FFFFF3FFFFEFFFFFEAFFFFE6FFFF
E2FFFFE0FEFFDEFEFFDEFEFFE0FEFFE5FFFFECFFFFF5FFFFFFFFFDFFFFEDFFFEDDFFFECC
FFFDBBFFFCABFFFB9BFFFB8DFFFA80FFF975FFF86BFFF863FFF75BFFF655FFF650FFF64C
FFF548FFF546FFF543FFF442FFF441FFF440FFF440FFF440FFF440FFF441FFF443FFF545
FFF547FFF54BFFF64FFFF654FFF759FFF760FFF869FFF972FFFA7DFFFA89FFFB97FFFCA6
FFFDB6FFFDC7FFFED8FFFFE9FFFFF8F9FFFFEEFFFFE6FFFFE1FEFFDFFEFFDEFEFFDFFEFF
E1FEFFE5FFFFE9FFFFEDFFFFF2FFFFF6FFFFFAFFFFFDFFFFFFFFFFFFFFFEFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF2FFFFECFFFFE4FFFED9FFFECBFFFDB9FFFCA4FFFB8DFFF974FFF75AFFF442
FFF12DFFEE1DFFE911FFE409FFDE04FFD802FFD100FFC900FFC100FFB900FFB100FFA900
FFA100FF9B00FF9500FF9100FF8E00FF8C00FF8C00FF8E00FF9100FF9500FF9B00FFA100
FFA900FFB100FFB900FFC100FFC900FFD000FFD802FFDE04FFE409FFE910FFED1CFFF12D
FFF441FFF759FFF973FFFB8CFFFCA4FFFDB9FFFECAFFFED8FFFFE3FFFFECFFFFF2FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF4FFFFEEFFFFE7FFFEDDFFFED0FFFDBFFFFCACFFFB95FFFA7CFFF863
FFF54AFFF234FFEF22FFEB14FFE60BFFE005FFDA02FFD401FFCC00FFC400FFBC00FFB400
FFAD00FFA500FF9E00FF9900FF9400FF9000FF8E00FF8E00FF8F00FF9200FF9600FF9B00
FFA100FFA800FFB000FFB800FFC000FFC800FFCF00FFD601FFDD03FFE308FFE80FFFED1A
FFF029FFF43DFFF654FFF96EFFFA87FFFC9FFFFDB4FFFDC7FFFED6FFFEE1FFFFEAFFFFF1
FFFFF5FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFEFFFFFFFFFFFFFDFFFFFBFFFFF8FFFFF5FFFFF1FFFFEEFFFFEBFFFFE9FFFF
E7FFFFE7FFFFE9FFFFECFFFFF2FFFFFBFFFFFFFFF9FFFFECFFFEDEFFFECFFFFDC0FFFCB1
FFFCA3FFFB95FFFA89FFFA7FFFF975FFF96DFFF866FFF761FFF75CFFF758FFF655FFF652
FFF650FFF64FFFF64EFFF64DFFF64CFFF64CFFF64CFFF64CFFF64CFFF64DFFF64DFFF64E
FFF64FFFF651FFF653FFF756FFF759FFF75DFFF863FFF869FFF970FFF979FFFA83FFFB8E
FFFB9AFFFCA8FFFDB6FFFDC6FFFED5FFFFE4FFFFF2FFFFFEF7FFFFF0FFFFEBFFFFE8FFFF
E7FFFFE8FFFFE9FFFFECFFFFEFFFFFF3FFFFF6FFFFF9FFFFFCFFFFFEFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFEEFFFFE7FFFEDDFFFED0FFFDC0FFFCADFFFB96FFFA7DFFF864FFF54B
FFF335FFEF23FFEB15FFE60BFFE106FFDB02FFD401FFCD00FFC500FFBD00FFB500FFAD00
FFA500FF9F00FF9900FF9400FF9000FF8E00FF8E00FF8F00FF9200FF9500FF9B00FFA100
FFA800FFB000FFB800FFC000FFC700FFCF00FFD601FFDD03FFE307FFE80EFFEC19FFF028
FFF43CFFF653FFF86CFFFA86FFFC9EFFFDB4FFFDC6FFFED5FFFEE1FFFFEAFFFFF0FFFFF5
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF4FFFFEEFFFFE7FFFEDDFFFED0FFFDC0FFFCADFFFB96FFFA7EFFF864
FFF54CFFF335FFEF23FFEB15FFE60CFFE106FFDB03FFD401FFCD00FFC600FFBE00FFB600
FFAE00FFA700FFA000FF9A00FF9600FF9200FF9100FF9000FF9100FF9400FF9800FF9D00
FFA300FFAA00FFB100FFB900FFC100FFC900FFD000FFD701FFDE04FFE308FFE90FFFED1B
FFF12AFFF43FFFF756FFF96FFFFA89FFFCA0FFFDB6FFFDC8FFFED6FFFEE2FFFFEAFFFFF1
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFDFFFFFBFFFFF9FFFFF7FFFFF4FFFFF1FFFFEFFFFFEEFFFFEEFFFF
EFFFFFF1FFFFF6FFFFFCFFFFFFFFFAFFFFEFFFFFE3FFFED6FFFEC9FFFDBBFFFCAEFFFCA2
FFFB97FFFB8EFFFA85FFFA7EFFF978FFF973FFF96FFFF86CFFF86AFFF869FFF869FFF868
FFF869FFF869FFF86AFFF86BFFF86BFFF86CFFF86CFFF86CFFF86CFFF86BFFF86AFFF86A
FFF869FFF869FFF868FFF869FFF869FFF86AFFF86CFFF96FFFF973FFF978FFFA7EFFFA86
FFFB8EFFFB98FFFCA3FFFCAFFFFDBCFFFEC9FFFED7FFFFE4FFFFF0FFFFFAFCFFFFF5FFFF
F1FFFFEFFFFFEEFFFFEEFFFFF0FFFFF2FFFFF4FFFFF7FFFFF9FFFFFCFFFFFEFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF5FFFFF0FFFFEAFFFEE1FFFED5FFFDC6FFFDB4FFFC9FFFFA87FFF96DFFF654
FFF43DFFF129FFED1AFFE80FFFE308FFDD04FFD701FFD000FFC800FFC100FFB900FFB100
FFA900FFA200FF9C00FF9700FF9300FF9100FF9000FF9100FF9300FF9600FF9B00FFA100
FFA700FFAF00FFB600FFBE00FFC600FFCE00FFD501FFDB03FFE106FFE70CFFEB16FFEF24
FFF337FFF64DFFF866FFFA80FFFB98FFFCAEFFFDC2FFFED1FFFEDEFFFFE8FFFFEFFFFFF4
FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF4FFFFEFFFFFE7FFFEDEFFFED1FFFDC1FFFCAEFFFB98FFFA80FFF866
FFF64DFFF337FFF025FFEC16FFE70DFFE206FFDC03FFD501FFCE00FFC700FFBF00FFB700
FFB000FFA800FFA200FF9C00FF9800FF9400FF9300FF9200FF9300FF9600FF9A00FF9F00
FFA500FFAB00FFB300FFBB00FFC200FFCA00FFD100FFD802FFDE04FFE409FFE910FFED1C
FFF12CFFF440FFF758FFF971FFFA8AFFFCA2FFFDB7FFFEC9FFFED7FFFEE2FFFFEBFFFFF1
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF8FFFFF6FFFFF4FFFFF3FFFFF3FFFFF3FFFFF5FFFF
F8FFFFFDFFFFFFFFFBFFFFF3FFFFE9FFFEDEFFFED3FFFDC8FFFDBCFFFDB2FFFCA8FFFC9F
FFFB98FFFB92FFFB8DFFFA8AFFFA87FFFA86FFFA87FFFA88FFFA8AFFFB8DFFFB91FFFB95
FFFB99FFFC9DFFFCA2FFFCA5FFFCA8FFFCAAFFFCACFFFCACFFFCABFFFCA9FFFCA6FFFCA3
FFFC9FFFFB9AFFFB96FFFB92FFFB8EFFFA8BFFFA88FFFA87FFFA86FFFA87FFFA89FFFB8C
FFFB90FFFB96FFFC9DFFFCA6FFFCAFFFFDBAFFFDC5FFFED0FFFEDCFFFFE7FFFFF1FFFFFA
FEFFFFF9FFFFF5FFFFF3FFFFF3FFFFF3FFFFF4FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF7FFFFF2FFFFEDFFFFE5FFFEDAFFFECCFFFDBBFFFCA7FFFB90FFF977FFF75E
FFF546FFF231FFEE1FFFEA13FFE50AFFE005FFDA02FFD301FFCC00FFC400FFBC00FFB500
FFAD00FFA600FFA000FF9B00FF9700FF9400FF9200FF9200FF9400FF9700FF9B00FFA100
FFA700FFAE00FFB500FFBD00FFC500FFCC00FFD301FFDA02FFE005FFE60BFFEA14FFEF21
FFF232FFF548FFF760FFF979FFFB92FFFCA9FFFDBDFFFECEFFFEDBFFFFE5FFFFEDFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF4FFFFEFFFFFE8FFFEDEFFFED2FFFDC2FFFCAFFFFB99FFFA81FFF868
FFF64FFFF339FFF026FFEC17FFE70DFFE207FFDC03FFD601FFCF00FFC800FFC000FFB900
FFB100FFAA00FFA400FF9E00FF9A00FF9700FF9500FF9400FF9500FF9800FF9C00FFA000
FFA600FFAD00FFB400FFBC00FFC300FFCB00FFD201FFD902FFDF04FFE509FFE911FFEE1D
FFF12DFFF442FFF75AFFF973FFFB8CFFFCA3FFFDB8FFFEC9FFFED8FFFFE3FFFFEBFFFFF1
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF7FFFFF6FFFFF6FFFFF7FFFFF9FFFFFCFFFF
FFFFFEFFFFF7FFFFF0FFFFE7FFFEDEFFFED4FFFECAFFFDC1FFFDB9FFFCB1FFFCABFFFCA7
FFFCA3FFFCA2FFFCA1FFFCA3FFFCA6FFFCAAFFFCB0FFFDB8FFFDC1FFFECBFFFED6FFFEE1
FFFFEDFFFFF8FCFFFFF4FFFFEDFFFFE8FFFFE5FFFFE5FFFFE6FFFFEAFFFFF0FFFFF7FFFF
FFFFFEFFFFF3FFFFE7FFFEDCFFFED1FFFDC6FFFDBDFFFDB4FFFCAEFFFCA8FFFCA4FFFCA2
FFFCA1FFFCA2FFFCA5FFFCA8FFFCAEFFFDB5FFFDBCFFFDC5FFFECFFFFED8FFFEE2FFFFEB
FFFFF3FFFFFAFFFFFFFBFFFFF8FFFFF7FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFCFFFF
FDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF4FFFFEFFFFFE8FFFEDEFFFED2FFFDC2FFFCAFFFFB99FFFA81FFF868
FFF64FFFF338FFF026FFEC17FFE70DFFE207FFDC03FFD601FFCF00FFC800FFC000FFB800
FFB100FFAA00FFA400FF9E00FF9A00FF9600FF9500FF9400FF9500FF9800FF9C00FFA100
FFA600FFAD00FFB400FFBC00FFC400FFCB00FFD201FFD902FFDF05FFE509FFE911FFEE1D
FFF12EFFF442FFF75AFFF973FFFB8CFFFCA4FFFDB8FFFECAFFFED8FFFFE3FFFFEBFFFFF1
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF8FFFFF4FFFFEFFFFFE8FFFEDFFFFED3FFFDC3FFFCB1FFFB9BFFFA83FFF86A
FFF651FFF33AFFF027FFEC19FFE80EFFE307FFDD03FFD701FFD000FFC900FFC100FFBA00
FFB300FFAC00FFA600FFA000FF9C00FF9900FF9700FF9600FF9700FF9A00FF9D00FFA200
FFA800FFAF00FFB600FFBD00FFC500FFCC00FFD301FFDA02FFE005FFE50AFFEA12FFEE1E
FFF22FFFF544FFF75BFFF975FFFB8DFFFCA5FFFDB9FFFECAFFFED8FFFFE3FFFFECFFFFF2
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFFAFFFFFCFFFFFFFFFFFFFFFB
FFFFF5FFFFEEFFFFE7FFFEDFFFFED7FFFED0FFFEC9FFFDC2FFFDBEFFFDBAFFFDB8FFFDB8
FFFDB9FFFDBDFFFDC3FFFECBFFFED5FFFEE1FFFFEFFFFFFFEEFFFFDDFEFFCEFEFFC0FDFF
B4FDFFAAFCFFA1FCFF9BFBFF95FBFF91FBFF8FFBFF8FFBFF8FFBFF92FBFF96FBFF9BFBFF
A2FCFFABFCFFB6FDFFC2FDFFD0FEFFDFFEFFF0FFFFFFFFFEFFFFEDFFFEDFFFFED3FFFEC9
FFFDC2FFFDBCFFFDB9FFFDB8FFFDB8FFFDBAFFFDBEFFFDC3FFFEC9FFFED1FFFED8FFFEE0
FFFFE8FFFFEFFFFFF6FFFFFBFFFFFFFCFFFFFAFFFFF9FFFFF9FFFFF9FFFFFAFFFFFBFFFF
FCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFEE2FFFED7FFFDC8FFFDB7FFFCA2FFFA8AFFF971
FFF758FFF441FFF12DFFEE1DFFE911FFE409FFDF04FFD902FFD201FFCB00FFC400FFBC00
FFB500FFAE00FFA700FFA200FF9D00FF9900FF9700FF9600FF9700FF9900FF9C00FFA100
FFA600FFAD00FFB400FFBB00FFC200FFCA00FFD100FFD802FFDE04FFE308FFE80FFFED1A
FFF12AFFF43DFFF654FFF86DFFFA86FFFC9EFFFDB3FFFDC6FFFED5FFFEE0FFFFE9FFFFF0
FFFFF5FFFFF8FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF8FFFFF5FFFFF0FFFFE9FFFEE0FFFED4FFFDC4FFFDB2FFFB9DFFFA85FFF86C
FFF653FFF43CFFF029FFED1AFFE80FFFE308FFDE04FFD802FFD100FFCA00FFC300FFBB00
FFB400FFAD00FFA700FFA200FF9E00FF9B00FF9900FF9800FF9900FF9C00FF9F00FFA400
FFAA00FFB000FFB700FFBE00FFC600FFCD00FFD401FFDA02FFE005FFE60BFFEA13FFEE20
FFF231FFF545FFF75DFFF976FFFB8FFFFCA6FFFDBAFFFECBFFFED9FFFFE4FFFFECFFFFF2
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFEFFFFFFFFFEFFFFF9FFFFF5
FFFFEFFFFFE9FFFFE2FFFEDCFFFED6FFFED1FFFECDFFFECBFFFECAFFFECAFFFECDFFFED2
FFFEDAFFFFE4FFFFF1FEFFFFEDFFFFDCFEFFCBFEFFBBFDFFACFCFF9EFCFF92FBFF88FAFF
7FFAFF77F9FF71F9FF6CF8FF68F8FF65F8FF63F8FF63F8FF63F8FF65F8FF67F8FF6BF8FF
70F9FF76F9FF7DFAFF86FAFF90FBFF9CFBFFA9FCFFB8FDFFC8FDFFD8FEFFEAFFFFFBFFFF
FFFFF4FFFFE6FFFEDCFFFED4FFFECEFFFECBFFFECAFFFECAFFFECDFFFED0FFFED5FFFEDB
FFFEE1FFFFE8FFFFEEFFFFF4FFFFF9FFFFFDFFFFFFFDFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE5FFFEDBFFFECEFFFDBEFFFCAAFFFB94FFF97B
FFF862FFF54AFFF234FFEF22FFEB15FFE60CFFE106FFDB03FFD501FFCE00FFC700FFC000
FFB900FFB200FFAB00FFA500FFA000FF9C00FF9A00FF9800FF9900FF9A00FF9D00FFA100
FFA600FFAC00FFB300FFBA00FFC100FFC900FFD000FFD601FFDD03FFE207FFE70DFFEC17
FFF026FFF338FFF64EFFF867FFFA80FFFB98FFFCAEFFFDC1FFFED1FFFEDEFFFFE7FFFFEE
FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF8FFFFF5FFFFF0FFFFE9FFFEE0FFFED4FFFDC5FFFDB3FFFC9EFFFA86FFF96D
FFF655FFF43EFFF12AFFED1BFFE910FFE409FFDE04FFD802FFD201FFCB00FFC400FFBD00
FFB600FFAF00FFA900FFA400FFA000FF9D00FF9B00FF9A00FF9B00FF9E00FFA100FFA600
FFAB00FFB200FFB900FFC000FFC700FFCE00FFD501FFDB03FFE106FFE60BFFEB14FFEF21
FFF232FFF547FFF75FFFF978FFFB91FFFCA7FFFDBBFFFECCFFFEDAFFFFE4FFFFECFFFFF2
FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFDFFFFF9FFFFF5FFFFF0
FFFFEBFFFFE6FFFEE2FFFEDDFFFEDAFFFED8FFFED8FFFED9FFFEDCFFFEE2FFFFEAFFFFF5
FCFFFFEDFFFFDDFEFFCCFEFFBCFDFFADFCFF9EFCFF91FBFF86FAFF7BF9FF72F9FF6BF8FF
64F8FF5EF7FF5AF7FF56F7FF54F6FF52F6FF50F6FF50F6FF50F6FF51F6FF53F6FF55F6FF
58F7FF5CF7FF61F8FF67F8FF6EF9FF77F9FF80FAFF8BFBFF98FBFFA5FCFFB4FDFFC4FDFF
D4FEFFE5FFFFF5FFFFFFFFFBFFFFEFFFFFE6FFFEDFFFFEDAFFFED8FFFED8FFFED9FFFEDC
FFFEDFFFFFE4FFFFE9FFFFEEFFFFF3FFFFF7FFFFFBFFFFFEFFFFFFFDFFFFFCFFFFFCFFFF
FCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF8FFFFF4FFFFEFFFFFE9FFFEDFFFFED3FFFDC4FFFDB2FFFB9CFFFA85
FFF86CFFF653FFF43CFFF029FFED1AFFE80FFFE308FFDE04FFD802FFD100FFCA00FFC300
FFBC00FFB500FFAF00FFA900FFA300FF9F00FF9C00FF9B00FF9A00FF9B00FF9E00FFA200
FFA600FFAC00FFB200FFB900FFC000FFC700FFCE00FFD501FFDB03FFE106FFE60CFFEB15
FFEF22FFF234FFF549FFF861FFF97AFFFB92FFFCA9FFFDBDFFFECDFFFEDBFFFFE5FFFFED
FFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFC
FFFFFBFFFFF8FFFFF5FFFFF0FFFFEAFFFEE1FFFED5FFFDC6FFFDB5FFFCA0FFFA88FFF96F
FFF757FFF440FFF12CFFED1CFFE911FFE409FFDF05FFD902FFD301FFCC00FFC500FFBE00
FFB700FFB100FFAB00FFA600FFA100FF9F00FF9D00FF9C00FF9D00FFA000FFA300FFA800
FFAD00FFB300FFBA00FFC100FFC800FFCF00FFD501FFDC03FFE106FFE70CFFEB15FFEF22
FFF234FFF549FFF861FFF97AFFFB92FFFCA9FFFDBDFFFECDFFFEDAFFFFE5FFFFEDFFFFF2
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFCFFFFF9FFFFF6FFFFF2FFFFEE
FFFFEAFFFFE7FFFFE4FFFFE3FFFFE2FFFFE4FFFFE7FFFFECFFFFF4FFFFFEF4FFFFE6FFFF
D8FEFFC8FDFFB9FDFFABFCFF9EFCFF91FBFF86FAFF7CFAFF73F9FF6CF8FF65F8FF60F7FF
5BF7FF58F7FF54F6FF52F6FF50F6FF4FF6FF4EF6FF4EF6FF4EF6FF4EF6FF4FF6FF50F6FF
52F6FF55F6FF58F7FF5CF7FF61F8FF67F8FF6DF9FF75F9FF7EFAFF88FAFF94FBFFA0FCFF
AEFCFFBCFDFFCBFEFFDAFEFFE9FFFFF7FFFFFFFFFCFFFFF2FFFFEBFFFFE6FFFFE3FFFFE2
FFFFE3FFFFE5FFFFE8FFFFEBFFFFEFFFFFF3FFFFF7FFFFFAFFFFFDFFFFFFFFFFFFFEFFFF
FDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFEBFFFFE3FFFED8FFFECAFFFDB9FFFCA5FFFB8E
FFF975FFF75CFFF545FFF230FFEE20FFEA13FFE60BFFE005FFDB02FFD401FFCE00FFC700
FFC000FFB900FFB200FFAC00FFA700FFA200FF9F00FF9D00FF9C00FF9D00FF9F00FFA200
FFA600FFAC00FFB200FFB800FFBF00FFC600FFCD00FFD401FFDA02FFE005FFE50AFFEA13
FFEE1FFFF22FFFF544FFF75BFFF974FFFB8DFFFCA4FFFDB8FFFEC9FFFED8FFFFE3FFFFEB
FFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFC
FFFFFBFFFFF9FFFFF5FFFFF0FFFFEAFFFEE1FFFED6FFFDC7FFFDB6FFFCA1FFFA8AFFF971
FFF758FFF441FFF12DFFEE1DFFEA12FFE50AFFE005FFDA02FFD401FFCD00FFC600FFBF00
FFB900FFB200FFAC00FFA700FFA300FFA000FF9F00FF9E00FF9F00FFA200FFA500FFA900
FFAF00FFB500FFBB00FFC200FFC900FFD000FFD601FFDC03FFE207FFE70DFFEC16FFEF24
FFF336FFF54BFFF863FFFA7CFFFB94FFFCAAFFFDBEFFFECEFFFEDBFFFFE5FFFFEDFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF7FFFFF4FFFFF1FFFFEE
FFFFECFFFFEBFFFFEAFFFFEBFFFFEEFFFFF2FFFFF9FDFFFFF3FFFFE6FFFFD9FEFFCCFEFF
BEFDFFB1FCFFA5FCFF99FBFF8FFBFF86FAFF7EFAFF76F9FF71F9FF6BF8FF67F8FF64F8FF
61F8FF5FF7FF5DF7FF5CF7FF5BF7FF5BF7FF5AF7FF5AF7FF5AF7FF5AF7FF5BF7FF5BF7FF
5CF7FF5DF7FF5FF7FF61F8FF64F8FF67F8FF6BF8FF70F9FF76F9FF7DFAFF85FAFF8EFBFF
98FBFFA3FCFFB0FCFFBDFDFFCAFEFFD8FEFFE5FFFFF1FFFFFCFFFFFFFFFAFFFFF3FFFFEE
FFFFEBFFFFEAFFFFEBFFFFECFFFFEEFFFFF1FFFFF4FFFFF7FFFFFAFFFFFCFFFFFEFFFFFF
FFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEEFFFFE6FFFEDDFFFED0FFFDC0FFFCADFFFB97
FFFA7FFFF866FFF64EFFF338FFF026FFEC18FFE80EFFE307FFDD04FFD701FFD100FFCA00
FFC300FFBC00FFB600FFB000FFAA00FFA500FFA200FFA000FF9E00FF9F00FFA000FFA300
FFA700FFAC00FFB100FFB800FFBE00FFC500FFCC00FFD301FFD902FFDF04FFE409FFE910
FFED1CFFF12BFFF43FFFF655FFF96EFFFA87FFFC9EFFFDB3FFFDC5FFFED4FFFEE0FFFFE9
FFFFF0FFFFF5FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF5FFFFF1FFFFEAFFFEE2FFFED7FFFEC8FFFDB7FFFCA3FFFB8CFFF973
FFF75AFFF543FFF22FFFEE1FFFEA13FFE60AFFE005FFDB02FFD401FFCE00FFC700FFC100
FFBA00FFB400FFAE00FFA900FFA500FFA200FFA100FFA000FFA100FFA300FFA700FFAB00
FFB000FFB600FFBD00FFC300FFCA00FFD100FFD701FFDD03FFE307FFE80EFFEC17FFF025
FFF337FFF64DFFF865FFFA7EFFFB96FFFCACFFFDBFFFFECFFFFEDCFFFFE6FFFFEDFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF8FFFFF6FFFFF4FFFFF2FFFFF1
FFFFF0FFFFF1FFFFF2FFFFF6FFFFFBFDFFFFF4FFFFEAFFFFDFFEFFD3FEFFC7FDFFBCFDFF
B0FCFFA6FCFF9DFBFF94FBFF8DFBFF87FAFF82FAFF7EFAFF7BF9FF79F9FF78F9FF77F9FF
77F9FF77F9FF77F9FF78F9FF78F9FF79F9FF79F9FF7AF9FF7AF9FF7AF9FF79F9FF79F9FF
78F9FF77F9FF77F9FF77F9FF77F9FF77F9FF78F9FF7AF9FF7DFAFF80FAFF85FAFF8AFAFF
91FBFF99FBFFA2FCFFACFCFFB7FDFFC2FDFFCEFEFFDAFEFFE5FFFFF0FFFFF9FFFFFFFFFE
FFFFF8FFFFF4FFFFF1FFFFF0FFFFF0FFFFF1FFFFF3FFFFF5FFFFF7FFFFFAFFFFFCFFFFFD
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF0FFFFE9FFFEE1FFFED5FFFDC6FFFDB5FFFCA0
FFFA88FFF970FFF757FFF440FFF12DFFEE1DFFEA11FFE50AFFE005FFDA02FFD401FFCD00
FFC600FFC000FFB900FFB300FFAD00FFA900FFA500FFA200FFA100FFA000FFA100FFA400
FFA700FFAC00FFB100FFB700FFBE00FFC400FFCB00FFD200FFD802FFDE04FFE308FFE80F
FFEC19FFF027FFF33AFFF650FFF868FFFA81FFFB99FFFCAEFFFDC1FFFED1FFFEDDFFFFE7
FFFFEEFFFFF4FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFFE2FFFED7FFFEC9FFFDB8FFFCA4FFFB8DFFF975
FFF75CFFF545FFF231FFEE20FFEB14FFE60BFFE106FFDB03FFD501FFCF00FFC800FFC200
FFBB00FFB500FFB000FFAB00FFA700FFA400FFA300FFA200FFA300FFA500FFA900FFAD00
FFB200FFB800FFBE00FFC500FFCB00FFD201FFD802FFDE04FFE308FFE80EFFEC19FFF027
FFF339FFF64FFFF867FFFA7FFFFB97FFFCADFFFDC0FFFED0FFFEDDFFFFE6FFFFEEFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF6FFFFF5FFFFF4FFFFF5
FFFFF6FFFFF8FFFFFCFEFFFFF7FFFFEFFFFFE6FFFFDCFEFFD2FEFFC8FDFFBEFDFFB5FDFF
ADFCFFA6FCFFA0FCFF9BFBFF97FBFF95FBFF94FBFF94FBFF95FBFF96FBFF99FBFF9CFBFF
A0FCFFA4FCFFA8FCFFABFCFFAFFCFFB2FDFFB4FDFFB5FDFFB6FDFFB5FDFFB3FDFFB1FCFF
AEFCFFAAFCFFA7FCFFA3FCFF9FFCFF9BFBFF98FBFF96FBFF94FBFF94FBFF94FBFF95FBFF
98FBFF9CFBFFA1FCFFA7FCFFAFFCFFB7FDFFC0FDFFCAFEFFD4FEFFDEFEFFE8FFFFF1FFFF
F9FFFFFFFFFFFFFFFBFFFFF7FFFFF5FFFFF4FFFFF5FFFFF5FFFFF7FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE4FFFEDAFFFECCFFFDBCFFFCA8
FFFB92FFF97AFFF861FFF549FFF234FFEF23FFEB16FFE70DFFE207FFDC03FFD701FFD000
FFCA00FFC300FFBD00FFB600FFB100FFAC00FFA800FFA500FFA300FFA200FFA300FFA500
FFA800FFAC00FFB100FFB700FFBD00FFC300FFCA00FFD100FFD701FFDD03FFE207FFE70D
FFEC16FFEF24FFF335FFF54BFFF862FFF97BFFFB93FFFCA9FFFDBDFFFECDFFFEDAFFFFE5
FFFFEDFFFFF2FFFFF7FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFFE3FFFED8FFFECAFFFDBAFFFCA6FFFB8FFFF977
FFF75EFFF547FFF232FFEF22FFEB15FFE70CFFE206FFDC03FFD601FFD000FFCA00FFC300
FFBD00FFB700FFB100FFAD00FFA900FFA600FFA500FFA400FFA500FFA700FFAA00FFAF00
FFB400FFB900FFC000FFC600FFCC00FFD301FFD902FFDF04FFE408FFE90FFFED1AFFF028
FFF33BFFF651FFF869FFFA81FFFB99FFFCAFFFFDC1FFFED1FFFEDDFFFFE7FFFFEEFFFFF3
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF8FFFFF8FFFFF9
FFFFFCFFFFFFFAFFFFF4FFFFECFFFFE5FFFFDCFEFFD4FEFFCCFEFFC4FDFFBDFDFFB7FDFF
B2FDFFAFFCFFADFCFFADFCFFAEFCFFB0FCFFB4FDFFB9FDFFBFFDFFC7FDFFCFFEFFD9FEFF
E2FFFFECFFFFF6FFFFFFFFFFFFFFF8FFFFF1FFFFEDFFFFEAFFFFE9FFFFEAFFFFECFFFFF1
FFFFF7FFFFFFF7FFFFEDFFFFE3FFFFD9FEFFD0FEFFC7FDFFC0FDFFB9FDFFB4FDFFB0FCFF
AEFCFFADFCFFADFCFFAFFCFFB2FDFFB7FDFFBDFDFFC3FDFFCBFEFFD3FEFFDCFEFFE4FFFF
ECFFFFF3FFFFFAFFFFFFFFFFFFFFFCFFFFFAFFFFF8FFFFF8FFFFF8FFFFF8FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE7FFFEDEFFFED2FFFDC2FFFCB0
FFFB9BFFFA83FFF86BFFF652FFF43CFFF12AFFED1BFFE910FFE409FFDF04FFD902FFD301
FFCD00FFC600FFC000FFBA00FFB400FFAF00FFAB00FFA700FFA500FFA400FFA500FFA600
FFA900FFAC00FFB100FFB600FFBC00FFC300FFC900FFD000FFD601FFDC03FFE106FFE60B
FFEB14FFEF21FFF231FFF545FFF75DFFF975FFFB8DFFFCA4FFFDB8FFFEC9FFFED7FFFFE2
FFFFEBFFFFF1FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE4FFFED9FFFECBFFFDBBFFFCA7FFFB91FFF979
FFF760FFF549FFF234FFEF23FFEB16FFE70DFFE207FFDD03FFD701FFD100FFCB00FFC400
FFBE00FFB800FFB300FFAE00FFAB00FFA800FFA600FFA600FFA700FFA900FFAC00FFB000
FFB500FFBB00FFC100FFC700FFCD00FFD401FFDA02FFDF05FFE409FFE910FFED1BFFF12A
FFF43DFFF653FFF86BFFFA83FFFB9BFFFCB0FFFDC2FFFED2FFFEDEFFFFE7FFFFEEFFFFF4
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFFAFFFFFBFFFFFCFFFFFF
FDFFFFF8FFFFF2FFFFECFFFFE6FFFFDFFEFFD8FEFFD2FEFFCCFEFFC7FDFFC4FDFFC2FDFF
C1FDFFC2FDFFC5FDFFC9FEFFD0FEFFD8FEFFE2FFFFEFFFFFFCFFFFFFFFF4FFFFE5FFFED8
FFFECCFFFDC1FFFDB7FFFCAFFFFCA8FFFCA3FFFC9FFFFB9DFFFB9CFFFB9CFFFC9EFFFCA1
FFFCA6FFFCACFFFDB4FFFDBDFFFDC7FFFED3FFFEE0FFFFEEFFFFFDF4FFFFE7FFFFDCFEFF
D3FEFFCCFEFFC6FDFFC3FDFFC1FDFFC1FDFFC3FDFFC6FDFFCAFEFFCFFEFFD5FEFFDCFEFF
E3FFFFEAFFFFF0FFFFF6FFFFFBFFFFFFFFFFFFFFFDFFFFFBFFFFFAFFFFFAFFFFFAFFFFFB
FFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFCFFFFFBFFFFF9FFFFF5FFFFF1FFFFEAFFFEE2FFFED7FFFEC9FFFDB7
FFFCA3FFFB8CFFF974FFF75CFFF545FFF231FFEF20FFEB14FFE60BFFE106FFDC03FFD601
FFD000FFCA00FFC300FFBD00FFB700FFB200FFAE00FFAA00FFA800FFA600FFA600FFA700
FFAA00FFAD00FFB100FFB600FFBC00FFC200FFC800FFCF00FFD501FFDB02FFE005FFE50A
FFEA12FFEE1EFFF12DFFF441FFF757FFF96FFFFA88FFFC9FFFFDB4FFFDC5FFFED4FFFEE0
FFFFE9FFFFF0FFFFF5FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE4FFFEDAFFFECCFFFDBCFFFCA9FFFB93FFF97B
FFF862FFF54BFFF336FFF025FFEC17FFE80EFFE307FFDE04FFD802FFD201FFCC00FFC600
FFC000FFBA00FFB500FFB000FFAD00FFAA00FFA800FFA800FFA900FFAB00FFAE00FFB200
FFB700FFBC00FFC200FFC800FFCF00FFD501FFDA02FFE005FFE50AFFE911FFED1CFFF12C
FFF43FFFF655FFF86DFFFA85FFFB9CFFFCB1FFFDC3FFFED2FFFEDFFFFFE8FFFFEFFFFFF4
FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFBFFFF
F7FFFFF3FFFFEDFFFFE8FFFFE3FFFFDDFEFFD9FEFFD5FEFFD2FEFFD1FEFFD2FEFFD4FEFF
D8FEFFDEFEFFE6FFFFF0FFFFFDFFFFFFFFF3FFFFE4FFFED5FFFDC7FFFDB9FFFCADFFFCA2
FFFB97FFFB8FFFFA87FFFA81FFFA7CFFF978FFF975FFF973FFF972FFF972FFF973FFF975
FFF979FFFA7DFFFA83FFFA89FFFB91FFFB9AFFFCA5FFFCB1FFFDBDFFFECBFFFEDAFFFFE9
FFFFF8F9FFFFEDFFFFE3FFFFDCFEFFD6FEFFD3FEFFD1FEFFD1FEFFD3FEFFD6FEFFDAFEFF
DFFEFFE4FFFFEAFFFFEFFFFFF4FFFFF9FFFFFCFFFFFFFFFFFFFFFEFFFFFCFFFFFCFFFFFB
FFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE5FFFEDBFFFECEFFFDBE
FFFCABFFFB96FFFA7EFFF865FFF64EFFF339FFF027FFEC19FFE80FFFE308FFDE04FFD902
FFD301FFCD00FFC600FFC000FFBB00FFB500FFB100FFAD00FFAA00FFA900FFA800FFA900
FFAB00FFAE00FFB100FFB600FFBC00FFC100FFC800FFCE00FFD401FFDA02FFDF05FFE409
FFE910FFED1BFFF129FFF43CFFF652FFF86AFFFA82FFFB99FFFCAFFFFDC1FFFED1FFFEDD
FFFFE7FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE5FFFEDAFFFECDFFFDBDFFFCAAFFFB94FFFA7D
FFF864FFF64DFFF338FFF026FFEC18FFE80FFFE308FFDE04FFD902FFD301FFCD00FFC700
FFC100FFBB00FFB600FFB200FFAE00FFAC00FFAA00FFAA00FFAB00FFAD00FFB000FFB400
FFB800FFBE00FFC300FFC900FFD000FFD601FFDB03FFE106FFE60BFFEA12FFEE1EFFF12D
FFF441FFF757FFF96FFFFA87FFFC9EFFFDB3FFFDC5FFFED3FFFEDFFFFFE8FFFFEFFFFFF4
FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFEFFFFFBFFFFF7FFFF
F4FFFFEFFFFFEBFFFFE7FFFFE3FFFFE0FEFFDEFEFFDDFEFFDEFEFFE1FEFFE5FFFFEBFFFF
F4FFFFFFFFFFFFFFF3FFFFE5FFFED6FFFDC8FFFDBAFFFCADFFFCA1FFFB96FFFB8CFFFA83
FFFA7BFFF975FFF96FFFF86AFFF867FFF864FFF862FFF760FFF75FFFF75FFFF760FFF862
FFF864FFF867FFF86AFFF96FFFF975FFF97BFFFA83FFFB8CFFFB96FFFCA1FFFCADFFFDBA
FFFDC8FFFED6FFFFE5FFFFF2FFFFFFF4FFFFECFFFFE5FFFFE1FEFFDEFEFFDDFEFFDEFEFF
E0FEFFE3FFFFE7FFFFEBFFFFEFFFFFF3FFFFF7FFFFFBFFFFFEFFFFFFFFFFFFFFFEFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE8FFFEDFFFFED4FFFDC5
FFFDB3FFFC9EFFFA87FFF96FFFF757FFF441FFF12DFFEE1EFFEA12FFE60BFFE106FFDB03
FFD601FFD000FFCA00FFC400FFBE00FFB800FFB400FFB000FFAD00FFAB00FFAA00FFAA00
FFAC00FFAE00FFB200FFB600FFBB00FFC100FFC700FFCD00FFD301FFD902FFDE04FFE308
FFE80EFFEC18FFF026FFF338FFF64DFFF864FFFA7CFFFB94FFFCAAFFFDBDFFFECDFFFEDA
FFFFE5FFFFECFFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFF9FFFFF7FFFFF3FFFFEDFFFFE5FFFEDBFFFECEFFFDBFFFFCACFFFB96FFFA7F
FFF866FFF64FFFF33AFFF028FFED1AFFE910FFE409FFDF05FFDA02FFD401FFCE00FFC800
FFC200FFBD00FFB800FFB400FFB000FFAE00FFAC00FFAC00FFAD00FFAE00FFB100FFB500
FFBA00FFBF00FFC500FFCB00FFD100FFD601FFDC03FFE106FFE60BFFEA13FFEE1FFFF22F
FFF442FFF759FFF971FFFA89FFFCA0FFFDB4FFFDC6FFFED4FFFEE0FFFFE9FFFFEFFFFFF4
FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFDFFFFFBFFFFF8FFFFF5FFFF
F2FFFFEEFFFFEBFFFFE9FFFFE7FFFFE7FFFFE7FFFFEAFFFFEEFFFFF4FFFFFCFFFFFFFFF8
FFFFEDFFFEE0FFFED3FFFDC6FFFDB9FFFCADFFFCA1FFFB96FFFB8DFFFA84FFFA7DFFF976
FFF971FFF86CFFF868FFF865FFF862FFF760FFF75FFFF75EFFF75DFFF75DFFF75EFFF75F
FFF760FFF862FFF864FFF867FFF86BFFF96FFFF975FFF97BFFFA82FFFA8AFFFB93FFFC9D
FFFCA9FFFDB5FFFDC2FFFECFFFFEDCFFFFE9FFFFF5FFFFFFF6FFFFF0FFFFEBFFFFE8FFFF
E7FFFFE7FFFFE8FFFFEBFFFFEDFFFFF1FFFFF4FFFFF7FFFFFAFFFFFDFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFFE3FFFED8FFFECB
FFFDBAFFFCA7FFFB90FFF979FFF761FFF54AFFF335FFEF24FFEC17FFE80EFFE308FFDE04
FFD802FFD301FFCD00FFC700FFC100FFBC00FFB700FFB300FFAF00FFAD00FFAC00FFAC00
FFAD00FFAF00FFB200FFB600FFBB00FFC000FFC600FFCC00FFD201FFD802FFDD04FFE207
FFE70DFFEB16FFEF23FFF233FFF548FFF75FFFF977FFFB8EFFFCA5FFFDB9FFFECAFFFED7
FFFEE2FFFFEBFFFFF1FFFFF5FFFFF9FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF3FFFFEDFFFFE6FFFEDCFFFECFFFFDC0FFFCADFFFB98FFFA81
FFF868FFF651FFF43CFFF129FFED1BFFE911FFE509FFE005FFDA02FFD501FFCF00FFC900
FFC400FFBE00FFB900FFB500FFB200FFAF00FFAE00FFAE00FFAE00FFB000FFB300FFB700
FFBB00FFC100FFC600FFCC00FFD200FFD701FFDD03FFE207FFE70CFFEB15FFEF21FFF231
FFF544FFF75BFFF973FFFA8BFFFCA1FFFDB5FFFDC7FFFED5FFFEE0FFFFE9FFFFF0FFFFF5
FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFDFFFFFBFFFFF9FFFFF7FFFFF4FFFF
F2FFFFF0FFFFEEFFFFEEFFFFEEFFFFF0FFFFF3FFFFF9FFFFFFFFFFFFFFF7FFFFECFFFEE1
FFFED6FFFECAFFFDBEFFFDB3FFFCA8FFFC9FFFFB96FFFB8EFFFA87FFFA81FFFA7CFFF978
FFF975FFF972FFF970FFF96EFFF86DFFF86CFFF86BFFF86BFFF86BFFF86BFFF86BFFF86B
FFF86BFFF86CFFF96DFFF96FFFF971FFF973FFF976FFF97AFFFA7EFFFA83FFFA8AFFFB91
FFFB99FFFCA2FFFCACFFFDB7FFFDC2FFFECEFFFEDAFFFFE5FFFFF0FFFFFAFDFFFFF7FFFF
F2FFFFEFFFFFEEFFFFEEFFFFEFFFFFF0FFFFF2FFFFF5FFFFF7FFFFFAFFFFFCFFFFFEFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEEFFFFE6FFFEDDFFFED0
FFFDC1FFFCAFFFFB99FFFA82FFF86AFFF653FFF43DFFF12BFFED1CFFE911FFE50AFFE005
FFDB03FFD501FFD000FFCA00FFC400FFBF00FFBA00FFB500FFB200FFAF00FFAE00FFAE00
FFAE00FFB000FFB300FFB700FFBB00FFC000FFC600FFCB00FFD100FFD701FFDC03FFE206
FFE60CFFEB14FFEE20FFF22FFFF443FFF759FFF971FFFA89FFFCA0FFFDB4FFFDC6FFFED4
FFFEE0FFFFE9FFFFEFFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF3FFFFEEFFFFE6FFFEDDFFFED0FFFDC1FFFCAFFFFB9AFFFA82
FFF86BFFF653FFF43EFFF12BFFED1CFFEA12FFE50AFFE005FFDB03FFD601FFD000FFCB00
FFC500FFC000FFBB00FFB700FFB300FFB100FFB000FFAF00FFB000FFB200FFB500FFB900
FFBD00FFC200FFC700FFCD00FFD301FFD802FFDE04FFE307FFE70DFFEB16FFEF22FFF233
FFF546FFF75DFFF975FFFB8DFFFCA3FFFDB7FFFDC8FFFED6FFFEE1FFFFEAFFFFF0FFFFF5
FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF5FFFF
F3FFFFF3FFFFF3FFFFF4FFFFF7FFFFFBFFFFFFFFFFFFFFF7FFFFEFFFFFE6FFFEDCFFFED1
FFFDC7FFFDBDFFFDB4FFFCABFFFCA3FFFB9DFFFB97FFFB92FFFB8EFFFB8BFFFA89FFFA88
FFFA87FFFA87FFFA87FFFA87FFFA88FFFA88FFFA89FFFA8AFFFA8AFFFA8AFFFA8AFFFA8A
FFFA89FFFA88FFFA88FFFA87FFFA87FFFA87FFFA87FFFA88FFFA89FFFB8BFFFB8EFFFB92
FFFB97FFFB9DFFFCA4FFFCACFFFDB4FFFDBEFFFDC8FFFED2FFFEDCFFFFE6FFFFEFFFFFF8
FFFFFFFBFFFFF7FFFFF4FFFFF3FFFFF3FFFFF3FFFFF5FFFFF6FFFFF8FFFFFAFFFFFCFFFF
FDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF0FFFFE9FFFEE1FFFED5
FFFDC7FFFDB6FFFCA2FFFB8CFFF974FFF75CFFF546FFF232FFEF22FFEB15FFE70DFFE207
FFDD04FFD802FFD201FFCD00FFC700FFC200FFBD00FFB800FFB500FFB200FFB000FFAF00
FFB000FFB100FFB400FFB700FFBB00FFC000FFC500FFCB00FFD000FFD601FFDC03FFE106
FFE50AFFEA12FFEE1DFFF12CFFF43EFFF654FFF86CFFFA84FFFB9AFFFCAFFFFDC2FFFED1
FFFEDDFFFFE7FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF3FFFFEEFFFFE7FFFEDDFFFED1FFFDC2FFFCB0FFFB9BFFFA84
FFF86DFFF655FFF440FFF12DFFEE1EFFEA13FFE60BFFE106FFDC03FFD701FFD100FFCC00
FFC600FFC100FFBC00FFB800FFB500FFB300FFB100FFB100FFB200FFB400FFB600FFBA00
FFBE00FFC300FFC900FFCE00FFD401FFD902FFDE04FFE308FFE80EFFEC17FFEF24FFF234
FFF549FFF75FFFF977FFFB8EFFFCA5FFFDB8FFFEC9FFFED7FFFEE2FFFFEAFFFFF0FFFFF5
FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF6FFFF
F6FFFFF7FFFFF9FFFFFCFFFFFFFFFFFFFFF9FFFFF3FFFFEBFFFFE3FFFEDAFFFED2FFFEC9
FFFDC1FFFDBAFFFDB3FFFCAEFFFCA9FFFCA6FFFCA3FFFCA2FFFCA2FFFCA3FFFCA4FFFCA7
FFFCA9FFFCADFFFCB0FFFDB4FFFDB8FFFDBBFFFDBEFFFDC0FFFDC1FFFDC2FFFDC2FFFDC1
FFFDBFFFFDBCFFFDB9FFFDB5FFFCB1FFFCAEFFFCAAFFFCA7FFFCA5FFFCA3FFFCA2FFFCA2
FFFCA3FFFCA5FFFCA8FFFCACFFFCB1FFFDB8FFFDBFFFFDC7FFFECFFFFED8FFFEE1FFFFE9
FFFFF1FFFFF8FFFFFEFDFFFFF9FFFFF7FFFFF6FFFFF6FFFFF7FFFFF8FFFFF9FFFFFBFFFF
FCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE4FFFEDA
FFFECDFFFDBDFFFCAAFFFB95FFFA7DFFF865FFF64EFFF33AFFF028FFED1AFFE910FFE409
FFE005FFDB02FFD501FFD000FFCA00FFC500FFC000FFBB00FFB700FFB400FFB200FFB100
FFB100FFB200FFB400FFB700FFBB00FFC000FFC500FFCA00FFD000FFD501FFDB02FFE005
FFE509FFE910FFED1AFFF028FFF33AFFF64FFFF866FFFA7EFFFB95FFFCABFFFDBEFFFECD
FFFEDAFFFFE5FFFFECFFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF7FFFFF4FFFFEEFFFFE7FFFEDEFFFED2FFFDC3FFFDB2FFFB9DFFFA86
FFF96FFFF757FFF442FFF22FFFEE1FFFEB14FFE60CFFE207FFDD03FFD802FFD201FFCD00
FFC800FFC300FFBE00FFBA00FFB700FFB500FFB300FFB300FFB400FFB500FFB800FFBC00
FFC000FFC500FFCA00FFCF00FFD501FFDA02FFDF05FFE408FFE80FFFEC18FFF025FFF336
FFF54BFFF861FFF979FFFB90FFFCA6FFFDBAFFFECAFFFED8FFFFE2FFFFEBFFFFF1FFFFF5
FFFFF9FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFF
FAFFFFFCFFFFFFFFFFFFFFFCFFFFF7FFFFF1FFFFEAFFFFE3FFFEDCFFFED5FFFECEFFFDC8
FFFDC3FFFDBEFFFDBBFFFDB9FFFDB9FFFDB9FFFDBBFFFDBEFFFDC3FFFEC9FFFECFFFFED7
FFFEDFFFFFE7FFFFF0FFFFF9FEFFFFF7FFFFF1FFFFEDFFFFEAFFFFE9FFFFE9FFFFEBFFFF
EFFFFFF3FFFFFAFFFFFFFFFEFFFFF5FFFFEDFFFFE4FFFEDBFFFED3FFFECCFFFDC6FFFDC1
FFFDBDFFFDBAFFFDB9FFFDB9FFFDBAFFFDBCFFFDC0FFFDC5FFFECAFFFED1FFFED8FFFEDF
FFFFE6FFFFEDFFFFF3FFFFF9FFFFFEFEFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFFAFFFF
FBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEEFFFFE7FFFEDE
FFFED2FFFDC4FFFDB2FFFC9DFFFA87FFF96FFFF758FFF442FFF22FFFEE20FFEB14FFE60C
FFE207FFDD03FFD802FFD201FFCD00FFC800FFC300FFBE00FFBA00FFB700FFB500FFB300
FFB300FFB400FFB500FFB800FFBC00FFC000FFC500FFCA00FFCF00FFD501FFDA02FFDF04
FFE408FFE80FFFEC18FFF025FFF336FFF54AFFF861FFF979FFFB90FFFCA6FFFDB9FFFECA
FFFED7FFFEE2FFFFEBFFFFF1FFFFF5FFFFF9FFFFFBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE8FFFEDFFFFED3FFFDC5FFFDB3FFFC9FFFFA88
FFF971FFF759FFF544FFF230FFEF21FFEB15FFE70DFFE207FFDE04FFD902FFD301FFCE00
FFC900FFC400FFBF00FFBC00FFB800FFB600FFB500FFB500FFB500FFB700FFBA00FFBD00
FFC100FFC600FFCB00FFD000FFD601FFDB02FFE005FFE409FFE910FFED1AFFF027FFF338
FFF64DFFF863FFF97BFFFB92FFFCA8FFFDBBFFFECBFFFED8FFFFE3FFFFEBFFFFF1FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFF
FEFFFFFFFFFEFFFFFAFFFFF6FFFFF0FFFFEBFFFFE5FFFEDFFFFEDAFFFED5FFFED1FFFECD
FFFECBFFFECBFFFECBFFFECEFFFED1FFFED7FFFEDEFFFFE7FFFFF1FFFFFCF6FFFFEAFFFF
DEFEFFD3FEFFC9FEFFC1FDFFB9FDFFB3FDFFAEFCFFAAFCFFA8FCFFA6FCFFA6FCFFA8FCFF
AAFCFFAEFCFFB3FDFFBAFDFFC1FDFFCAFEFFD4FEFFDFFEFFEBFFFFF7FFFFFFFFFBFFFFF0
FFFFE6FFFEDDFFFED6FFFED1FFFECDFFFECBFFFECBFFFECCFFFECEFFFED1FFFED5FFFEDA
FFFEE0FFFFE6FFFFEBFFFFF1FFFFF6FFFFFAFFFFFEFEFFFFFCFFFFFBFFFFFBFFFFFBFFFF
FBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFEAFFFEE2
FFFED7FFFECAFFFDB9FFFCA6FFFB90FFF979FFF861FFF54BFFF336FFF026FFEC18FFE80F
FFE409FFDF05FFDA02FFD501FFD000FFCB00FFC500FFC100FFBD00FFB900FFB700FFB500
FFB500FFB500FFB600FFB900FFBC00FFC000FFC400FFC900FFCF00FFD401FFD902FFDE04
FFE308FFE70DFFEB16FFEF22FFF232FFF546FFF75CFFF973FFFA8BFFFCA1FFFDB5FFFDC6
FFFED4FFFEE0FFFFE9FFFFEFFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE8FFFEDFFFFED4FFFDC6FFFDB4FFFCA1FFFA8A
FFF973FFF75CFFF546FFF232FFEF22FFEC16FFE80EFFE308FFDE04FFD902FFD401FFCF00
FFCA00FFC500FFC100FFBD00FFBA00FFB800FFB700FFB600FFB700FFB900FFBB00FFBF00
FFC300FFC700FFCC00FFD100FFD701FFDC03FFE005FFE50AFFE911FFED1BFFF029FFF33A
FFF64FFFF866FFFA7DFFFB94FFFCA9FFFDBCFFFECCFFFED9FFFFE4FFFFECFFFFF1FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFFFF
FFFFFDFFFFF9FFFFF5FFFFF1FFFFEDFFFFE8FFFFE4FFFEE0FFFEDCFFFEDAFFFED9FFFED9
FFFEDAFFFEDEFFFFE3FFFFE9FFFFF2FFFFFDF6FFFFE9FFFFDDFEFFD0FEFFC4FDFFB9FDFF
AFFCFFA5FCFF9DFBFF96FBFF90FBFF8BFAFF87FAFF84FAFF82FAFF81FAFF81FAFF81FAFF
83FAFF86FAFF8AFAFF8FFBFF94FBFF9BFBFFA3FCFFADFCFFB7FDFFC2FDFFCEFEFFDAFEFF
E7FFFFF3FFFFFFFFFFFFFFF4FFFFEBFFFFE4FFFEDFFFFEDBFFFED9FFFED9FFFEDAFFFEDC
FFFEDFFFFFE3FFFFE7FFFFECFFFFF0FFFFF5FFFFF9FFFFFCFFFFFFFEFFFFFDFFFFFCFFFF
FCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEDFFFFE5
FFFEDCFFFECFFFFDC0FFFCAEFFFB99FFFA82FFF86BFFF654FFF43EFFF12CFFEE1EFFEA13
FFE60BFFE206FFDD03FFD802FFD201FFCD00FFC800FFC400FFC000FFBC00FFB900FFB700
FFB600FFB600FFB800FFBA00FFBC00FFC000FFC400FFC900FFCE00FFD301FFD802FFDD04
FFE207FFE70CFFEB14FFEE20FFF22FFFF441FFF757FFF96EFFFA85FFFB9CFFFCB0FFFDC2
FFFED1FFFEDDFFFFE7FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFE9FFFEE0FFFED5FFFDC7FFFDB6FFFCA2FFFB8C
FFF975FFF75EFFF548FFF234FFEF24FFEC18FFE80FFFE408FFDF05FFDA02FFD501FFD000
FFCB00FFC700FFC200FFBF00FFBC00FFBA00FFB800FFB800FFB900FFBA00FFBD00FFC000
FFC400FFC900FFCD00FFD201FFD702FFDC03FFE106FFE60BFFEA12FFEE1CFFF12BFFF43C
FFF651FFF868FFFA7FFFFB96FFFCABFFFDBEFFFECDFFFEDAFFFFE4FFFFECFFFFF2FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFEFFFFFC
FFFFF9FFFFF6FFFFF3FFFFEFFFFFECFFFFE8FFFFE6FFFFE4FFFFE3FFFFE4FFFFE6FFFFE9
FFFFEEFFFFF5FFFFFFF6FFFFEAFFFFDEFEFFD2FEFFC6FDFFBAFDFFAFFCFFA5FCFF9BFBFF
93FBFF8CFBFF85FAFF80FAFF7BF9FF77F9FF74F9FF72F9FF71F9FF70F9FF70F9FF70F9FF
71F9FF73F9FF76F9FF79F9FF7DFAFF82FAFF88FAFF8FFBFF97FBFFA0FCFFA9FCFFB4FDFF
BFFDFFCBFEFFD7FEFFE4FFFFF0FFFFFBFFFFFFFFFAFFFFF2FFFFECFFFFE7FFFFE5FFFFE3
FFFFE3FFFFE5FFFFE7FFFFEAFFFFEDFFFFF1FFFFF4FFFFF8FFFFFBFFFFFDFFFFFFFEFFFF
FEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE9
FFFEE0FFFED4FFFDC6FFFDB5FFFCA1FFFB8BFFF974FFF75DFFF547FFF234FFEF23FFEC17
FFE80EFFE408FFDF04FFDA02FFD501FFD000FFCB00FFC600FFC200FFBF00FFBC00FFB900
FFB800FFB800FFB900FFBA00FFBD00FFC000FFC400FFC900FFCE00FFD301FFD802FFDD03
FFE106FFE60BFFEA12FFEE1DFFF12BFFF43DFFF652FFF869FFFA80FFFB97FFFCACFFFDBE
FFFECEFFFEDBFFFFE5FFFFECFFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF5FFFFF0FFFFE9FFFEE1FFFED6FFFDC8FFFDB7FFFCA4FFFB8E
FFF977FFF760FFF54AFFF336FFF026FFEC19FFE910FFE409FFE005FFDB03FFD601FFD100
FFCD00FFC800FFC400FFC000FFBD00FFBB00FFBA00FFBA00FFBA00FFBC00FFBE00FFC200
FFC600FFCA00FFCF00FFD301FFD802FFDD04FFE207FFE60CFFEA13FFEE1EFFF12CFFF43E
FFF653FFF86AFFFA81FFFB98FFFCADFFFDBFFFFECEFFFEDBFFFFE5FFFFECFFFFF2FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFA
FFFFF7FFFFF5FFFFF2FFFFEFFFFFEDFFFFECFFFFEBFFFFECFFFFEDFFFFF1FFFFF5FFFFFC
FBFFFFF1FFFFE6FFFFDBFEFFD0FEFFC5FDFFBAFDFFAFFCFFA6FCFF9DFBFF95FBFF8EFBFF
88FAFF82FAFF7EFAFF7AF9FF77F9FF74F9FF72F9FF70F9FF6FF9FF6FF9FF6FF9FF6FF9FF
70F9FF71F9FF72F9FF74F9FF77F9FF7AF9FF7EFAFF83FAFF89FAFF8FFBFF96FBFF9EFCFF
A7FCFFB1FCFFBBFDFFC6FDFFD2FEFFDDFEFFE8FFFFF2FFFFFCFFFFFFFFFBFFFFF5FFFFF0
FFFFEDFFFFEBFFFFEBFFFFECFFFFEDFFFFF0FFFFF2FFFFF5FFFFF8FFFFFAFFFFFCFFFFFE
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF1FFFFEB
FFFFE3FFFED9FFFECCFFFDBCFFFCA9FFFB94FFFA7EFFF866FFF650FFF33BFFF12AFFED1C
FFEA12FFE60BFFE106FFDD03FFD802FFD301FFCE00FFC900FFC500FFC100FFBE00FFBC00
FFBA00FFBA00FFBA00FFBB00FFBE00FFC100FFC400FFC900FFCD00FFD201FFD701FFDC03
FFE106FFE50AFFE911FFED1BFFF028FFF339FFF64DFFF864FFF97BFFFB92FFFCA7FFFDBA
FFFECAFFFED8FFFFE2FFFFEBFFFFF1FFFFF5FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF8FFFFF5FFFFF0FFFFEAFFFEE2FFFED7FFFEC9FFFDB9FFFCA6FFFB90
FFF979FFF862FFF64CFFF338FFF028FFED1AFFE911FFE50AFFE106FFDC03FFD701FFD201
FFCE00FFC900FFC500FFC200FFBF00FFBD00FFBC00FFBB00FFBC00FFBE00FFC000FFC300
FFC700FFCB00FFD000FFD401FFD902FFDE04FFE307FFE70CFFEB14FFEE20FFF12EFFF440
FFF655FFF86CFFFA83FFFB9AFFFCAEFFFDC0FFFECFFFFEDCFFFFE5FFFFEDFFFFF2FFFFF6
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF8
FFFFF6FFFFF4FFFFF3FFFFF1FFFFF1FFFFF1FFFFF3FFFFF5FFFFF9FFFFFFF9FFFFF1FFFF
E7FFFFDEFEFFD3FEFFC9FEFFC0FDFFB6FDFFADFCFFA5FCFF9EFCFF98FBFF92FBFF8EFBFF
8AFAFF86FAFF84FAFF82FAFF80FAFF7FFAFF7EFAFF7DFAFF7DFAFF7DFAFF7DFAFF7DFAFF
7DFAFF7DFAFF7EFAFF7FFAFF80FAFF82FAFF84FAFF86FAFF89FAFF8DFBFF92FBFF97FBFF
9DFBFFA4FCFFACFCFFB5FDFFBEFDFFC8FDFFD2FEFFDCFEFFE6FFFFEFFFFFF8FFFFFFFFFF
FFFFFAFFFFF6FFFFF3FFFFF1FFFFF1FFFFF1FFFFF2FFFFF4FFFFF6FFFFF8FFFFFAFFFFFC
FFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEE
FFFFE7FFFEDDFFFED1FFFDC3FFFCB1FFFB9DFFFA87FFF970FFF759FFF544FFF231FFEF22
FFEB16FFE80EFFE308FFDF04FFDA02FFD501FFD000FFCC00FFC800FFC400FFC000FFBE00
FFBC00FFBB00FFBB00FFBD00FFBE00FFC100FFC500FFC900FFCD00FFD200FFD601FFDB03
FFE005FFE409FFE90FFFEC19FFF025FFF335FFF549FFF75FFFF976FFFB8DFFFCA2FFFDB6
FFFDC7FFFED5FFFEE0FFFFE9FFFFEFFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFEAFFFEE2FFFED8FFFECAFFFDBAFFFCA7FFFB92
FFFA7CFFF865FFF64EFFF33AFFF129FFED1CFFEA12FFE60BFFE106FFDD03FFD802FFD301
FFCF00FFCB00FFC700FFC300FFC000FFBE00FFBD00FFBD00FFBE00FFBF00FFC100FFC500
FFC800FFCC00FFD100FFD601FFDA02FFDF04FFE308FFE70DFFEB16FFEF21FFF230FFF443
FFF758FFF96EFFFA85FFFB9CFFFCB0FFFDC1FFFED0FFFEDCFFFFE6FFFFEDFFFFF3FFFFF7
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8
FFFFF7FFFFF6FFFFF5FFFFF5FFFFF6FFFFF8FFFFFBFFFFFFF9FFFFF3FFFFEBFFFFE3FFFF
DAFEFFD1FEFFC9FEFFC0FDFFB9FDFFB2FDFFACFCFFA6FCFFA2FCFF9FFCFF9CFBFF9AFBFF
99FBFF98FBFF98FBFF98FBFF99FBFF99FBFF9AFBFF9BFBFF9BFBFF9CFBFF9CFBFF9CFBFF
9CFBFF9BFBFF9AFBFF9AFBFF99FBFF98FBFF98FBFF98FBFF98FBFF99FBFF9BFBFF9DFCFF
A0FCFFA4FCFFA9FCFFAFFCFFB5FDFFBDFDFFC5FDFFCDFEFFD6FEFFDFFEFFE7FFFFEFFFFF
F6FFFFFDFFFFFFFFFDFFFFF9FFFFF7FFFFF5FFFFF5FFFFF5FFFFF6FFFFF7FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF0
FFFFEAFFFEE1FFFED6FFFEC9FFFDB8FFFCA5FFFB90FFF979FFF862FFF64CFFF338FFF028
FFED1BFFE911FFE50AFFE106FFDC03FFD802FFD301FFCE00FFCA00FFC600FFC300FFC000
FFBE00FFBD00FFBD00FFBE00FFBF00FFC200FFC500FFC900FFCD00FFD100FFD601FFDB02
FFDF05FFE408FFE80EFFEC17FFEF23FFF232FFF545FFF75AFFF971FFFA88FFFC9EFFFDB2
FFFDC3FFFED2FFFEDEFFFFE7FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF9FFFFF5FFFFF1FFFFEBFFFFE3FFFED9FFFECBFFFDBCFFFCA9FFFB94
FFFA7EFFF867FFF651FFF43CFFF12BFFEE1DFFEA13FFE60CFFE207FFDE04FFD902FFD501
FFD000FFCC00FFC800FFC500FFC200FFC000FFBF00FFBF00FFBF00FFC100FFC300FFC600
FFCA00FFCE00FFD201FFD701FFDB03FFE005FFE409FFE80EFFEC17FFEF23FFF232FFF545
FFF75AFFF971FFFA87FFFC9DFFFCB1FFFDC3FFFED1FFFEDDFFFFE7FFFFEEFFFFF3FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9
FFFFF8FFFFF8FFFFF9FFFFFAFFFFFCFFFFFFFBFFFFF6FFFFF0FFFFE9FFFFE1FEFFDAFEFF
D3FEFFCCFEFFC5FDFFC0FDFFBBFDFFB7FDFFB4FDFFB2FDFFB1FCFFB1FCFFB1FCFFB3FDFF
B5FDFFB8FDFFBBFDFFBFFDFFC2FDFFC6FDFFC9FEFFCCFEFFCEFEFFCFFEFFD0FEFFD0FEFF
CFFEFFCDFEFFCBFEFFC8FDFFC5FDFFC1FDFFBEFDFFBBFDFFB7FDFFB5FDFFB3FDFFB1FCFF
B1FCFFB1FCFFB2FDFFB4FDFFB8FDFFBCFDFFC1FDFFC7FDFFCDFEFFD4FEFFDCFEFFE3FFFF
EAFFFFF1FFFFF7FFFFFCFFFFFFFFFFFFFFFCFFFFF9FFFFF8FFFFF8FFFFF8FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF2
FFFFECFFFFE5FFFEDBFFFECFFFFDBFFFFCADFFFB99FFFA83FFF86CFFF655FFF441FFF22F
FFEE20FFEB15FFE70DFFE308FFDF04FFDA02FFD601FFD100FFCD00FFC900FFC500FFC200
FFC000FFBF00FFBF00FFBF00FFC000FFC200FFC500FFC900FFCD00FFD100FFD601FFDA02
FFDF04FFE308FFE70DFFEB15FFEE20FFF22FFFF441FFF655FFF86CFFFA83FFFB99FFFCAD
FFFDBFFFFECFFFFEDBFFFFE5FFFFECFFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFCFFFFFBFFFFF9FFFFF6FFFFF1FFFFEBFFFFE4FFFED9FFFECDFFFDBDFFFCABFFFB96
FFFA80FFF869FFF653FFF43FFFF12DFFEE1FFFEB14FFE70DFFE307FFDF04FFDA02FFD601
FFD100FFCD00FFC900FFC600FFC300FFC100FFC000FFC000FFC100FFC200FFC400FFC700
FFCB00FFCF00FFD301FFD702FFDC03FFE005FFE509FFE90FFFEC18FFF025FFF234FFF547
FFF75CFFF973FFFA8AFFFC9FFFFDB3FFFDC4FFFED2FFFEDEFFFFE7FFFFEEFFFFF3FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFFA
FFFFFAFFFFFBFFFFFDFFFFFFFDFFFFF9FFFFF4FFFFEFFFFFE9FFFFE3FFFFDDFEFFD7FEFF
D2FEFFCDFEFFCAFEFFC7FDFFC5FDFFC5FDFFC5FDFFC7FDFFCAFEFFCEFEFFD3FEFFD9FEFF
E0FEFFE7FFFFEEFFFFF6FFFFFEFFFFFFFFFAFFFFF4FFFFEFFFFFEBFFFFE8FFFFE7FFFFE7
FFFFE8FFFFEBFFFFEEFFFFF3FFFFF9FFFFFFF7FFFFEFFFFFE8FFFFE0FEFFD9FEFFD3FEFF
CEFEFFCAFEFFC7FDFFC5FDFFC5FDFFC5FDFFC7FDFFC9FEFFCDFEFFD1FEFFD6FEFFDCFEFF
E2FEFFE8FFFFEEFFFFF3FFFFF8FFFFFCFFFFFFFFFFFFFFFDFFFFFBFFFFFAFFFFFAFFFFFA
FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4
FFFFEFFFFFE8FFFEDFFFFED4FFFDC6FFFDB5FFFCA1FFFB8CFFF975FFF75EFFF549FFF336
FFF026FFED19FFE910FFE50AFFE106FFDC03FFD802FFD301FFCF00FFCB00FFC800FFC500
FFC200FFC100FFC000FFC000FFC100FFC300FFC600FFC900FFCD00FFD100FFD501FFDA02
FFDE04FFE207FFE70CFFEA13FFEE1EFFF12CFFF43DFFF651FFF867FFFA7EFFFB94FFFCA9
FFFDBBFFFECBFFFED8FFFFE3FFFFEBFFFFF1FFFFF5FFFFF8FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE4FFFEDAFFFECEFFFDBEFFFCACFFFB98
FFFA82FFF86BFFF655FFF441FFF22FFFEF21FFEB16FFE80EFFE408FFDF05FFDB03FFD701
FFD201FFCE00FFCB00FFC700FFC500FFC300FFC200FFC200FFC200FFC400FFC600FFC900
FFCC00FFD000FFD401FFD802FFDD03FFE106FFE50AFFE911FFED1AFFF026FFF336FFF549
FFF75FFFF975FFFB8CFFFCA1FFFDB4FFFDC5FFFED3FFFEDFFFFFE8FFFFEFFFFFF4FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFDFFFFFEFEFFFFFBFFFFF8FFFFF4FFFFEFFFFFEAFFFFE6FFFFE1FEFFDDFEFFD9FEFF
D6FEFFD5FEFFD4FEFFD5FEFFD7FEFFDAFEFFDFFEFFE5FFFFECFFFFF5FFFFFFFFFFFFFFF6
FFFFEBFFFEE1FFFED8FFFECFFFFDC8FFFDC1FFFDBBFFFDB7FFFDB3FFFCB1FFFCAFFFFCAF
FFFCB0FFFDB2FFFDB5FFFDB9FFFDBFFFFDC5FFFECCFFFED4FFFEDEFFFFE7FFFFF2FFFFFC
F9FFFFF0FFFFE8FFFFE1FEFFDCFEFFD8FEFFD5FEFFD4FEFFD4FEFFD6FEFFD8FEFFDBFEFF
DFFEFFE4FFFFE8FFFFEDFFFFF2FFFFF6FFFFFAFFFFFDFFFFFFFFFFFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF5
FFFFF1FFFFEBFFFFE3FFFED8FFFECBFFFDBCFFFCA9FFFB95FFFA7FFFF868FFF652FFF43E
FFF12DFFEE1FFFEB14FFE70DFFE308FFDF04FFDA02FFD601FFD200FFCE00FFCA00FFC700
FFC400FFC300FFC200FFC200FFC200FFC400FFC600FFC900FFCD00FFD100FFD501FFD902
FFDE04FFE207FFE60BFFEA12FFED1CFFF029FFF339FFF64CFFF862FFF979FFFB8FFFFCA4
FFFDB7FFFDC8FFFED5FFFEE0FFFFE9FFFFEFFFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE5FFFEDBFFFECFFFFDC0FFFCAEFFFB9A
FFFA84FFF96EFFF758FFF443FFF231FFEF22FFEC17FFE80FFFE409FFE005FFDC03FFD802
FFD301FFCF00FFCC00FFC900FFC600FFC400FFC300FFC300FFC400FFC500FFC700FFCA00
FFCD00FFD100FFD501FFD902FFDE04FFE207FFE60BFFEA12FFED1BFFF028FFF338FFF54C
FFF861FFF977FFFB8EFFFCA3FFFDB6FFFDC7FFFED4FFFEE0FFFFE8FFFFEFFFFFF4FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFFFDFFFFFBFFFFF8FFFFF4FFFFF1FFFFEDFFFFE9FFFFE6FFFFE3FFFFE1FEFFE0FEFF
E0FEFFE1FEFFE4FFFFE8FFFFEEFFFFF5FFFFFEFFFFFFFFF7FFFFECFFFEE2FFFED7FFFECD
FFFDC3FFFDBAFFFCB1FFFCAAFFFCA3FFFC9EFFFB99FFFB95FFFB92FFFB90FFFB8FFFFB8F
FFFB8FFFFB91FFFB93FFFB96FFFB9AFFFC9FFFFCA5FFFCACFFFDB3FFFDBCFFFDC5FFFECF
FFFEDAFFFFE5FFFFEFFFFFFAFBFFFFF3FFFFECFFFFE7FFFFE3FFFFE1FEFFE0FEFFE0FEFF
E2FEFFE4FFFFE7FFFFEAFFFFEEFFFFF2FFFFF5FFFFF9FFFFFCFFFFFEFFFFFFFFFFFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF7
FFFFF3FFFFEDFFFFE6FFFEDDFFFED1FFFDC2FFFCB1FFFC9DFFFA88FFF971FFF75BFFF546
FFF234FFEF24FFEC18FFE910FFE50AFFE106FFDD03FFD802FFD401FFD000FFCC00FFC900
FFC700FFC500FFC400FFC300FFC400FFC500FFC700FFCA00FFCD00FFD100FFD501FFD902
FFDD03FFE106FFE50AFFE911FFED1AFFF026FFF336FFF548FFF75DFFF974FFFA8AFFFCA0
FFFDB3FFFDC4FFFED2FFFEDEFFFFE7FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE5FFFEDCFFFED0FFFDC1FFFCB0FFFB9C
FFFA86FFF970FFF75AFFF545FFF233FFEF24FFEC18FFE910FFE50AFFE106FFDD03FFD902
FFD501FFD100FFCD00FFCA00FFC800FFC600FFC500FFC500FFC500FFC700FFC900FFCB00
FFCF00FFD201FFD601FFDA02FFDF04FFE307FFE70CFFEA13FFEE1DFFF12AFFF33BFFF64E
FFF863FFF97AFFFB90FFFCA5FFFDB8FFFDC8FFFED5FFFEE0FFFFE9FFFFEFFFFFF4FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FDFFFFFBFFFFF8FFFFF5FFFFF3FFFFF0FFFFEDFFFFEBFFFFE9FFFFE9FFFFE9FFFFEBFFFF
EDFFFFF2FFFFF8FFFFFFFFFFFFFFF7FFFFEEFFFFE3FFFED9FFFECFFFFDC5FFFDBBFFFDB2
FFFCAAFFFCA2FFFB9BFFFB95FFFB90FFFB8CFFFA88FFFA85FFFA83FFFA82FFFA81FFFA80
FFFA81FFFA81FFFA83FFFA85FFFA88FFFB8CFFFB90FFFB95FFFB9BFFFCA2FFFCA9FFFDB2
FFFDBBFFFDC4FFFECEFFFED9FFFFE3FFFFEDFFFFF7FFFFFFF8FFFFF2FFFFEEFFFFEBFFFF
E9FFFFE9FFFFE9FFFFEBFFFFEDFFFFF0FFFFF2FFFFF5FFFFF8FFFFFBFFFFFDFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF4FFFFF0FFFFE9FFFEE1FFFED6FFFEC8FFFDB8FFFCA6FFFB91FFF97BFFF864FFF64F
FFF33BFFF12BFFEE1DFFEA13FFE70CFFE307FFDF04FFDB02FFD601FFD201FFCF00FFCB00
FFC900FFC700FFC500FFC500FFC500FFC600FFC800FFCA00FFCD00FFD100FFD401FFD802
FFDD03FFE106FFE50AFFE90FFFEC18FFEF23FFF232FFF544FFF759FFF96FFFFA85FFFB9B
FFFCAFFFFDC0FFFECFFFFEDBFFFFE5FFFFECFFFFF2FFFFF6FFFFF9FFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEDFFFFE6FFFEDDFFFED1FFFDC3FFFCB1FFFC9E
FFFA89FFF972FFF75CFFF548FFF335FFF026FFED1AFFE911FFE60BFFE206FFDE04FFDA02
FFD601FFD201FFCE00FFCB00FFC900FFC700FFC600FFC600FFC700FFC800FFCA00FFCD00
FFD000FFD301FFD701FFDB03FFDF05FFE308FFE70DFFEB14FFEE1FFFF12CFFF43DFFF650
FFF866FFFA7CFFFB92FFFCA7FFFDB9FFFEC9FFFED6FFFEE1FFFFE9FFFFF0FFFFF4FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFEFFFFFDFFFF
FBFFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFF0FFFFEFFFFFEFFFFFF1FFFFF4FFFFF7FFFF
FDFFFFFFFFFBFFFFF3FFFFEBFFFEE2FFFED8FFFECEFFFDC5FFFDBCFFFDB4FFFCACFFFCA5
FFFC9EFFFB99FFFB94FFFB8FFFFB8CFFFA89FFFA86FFFA84FFFA83FFFA82FFFA81FFFA81
FFFA81FFFA82FFFA82FFFA84FFFA86FFFA88FFFA8BFFFB8EFFFB92FFFB97FFFB9CFFFCA2
FFFCA9FFFCB1FFFDB9FFFDC2FFFECBFFFED5FFFEDEFFFFE8FFFFF0FFFFF9FFFFFFF9FFFF
F5FFFFF2FFFFF0FFFFEFFFFFEFFFFFF0FFFFF2FFFFF4FFFFF6FFFFF8FFFFFAFFFFFCFFFF
FEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9
FFFFF6FFFFF2FFFFECFFFFE4FFFEDAFFFECEFFFDBFFFFCADFFFB99FFFA84FFF96EFFF758
FFF543FFF232FFEF23FFEC18FFE80FFFE50AFFE106FFDD03FFD902FFD501FFD100FFCE00
FFCB00FFC900FFC700FFC600FFC600FFC700FFC800FFCB00FFCD00FFD100FFD401FFD802
FFDC03FFE005FFE409FFE80EFFEC16FFEF21FFF22FFFF441FFF655FFF86AFFFA81FFFB96
FFFCABFFFDBDFFFECCFFFED9FFFFE3FFFFEBFFFFF1FFFFF5FFFFF8FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFFAFFFFF7FFFFF3FFFFEEFFFFE7FFFEDEFFFED2FFFDC4FFFDB3FFFCA0
FFFA8BFFF975FFF75FFFF54AFFF337FFF028FFED1BFFEA12FFE60BFFE207FFDE04FFDB02
FFD701FFD301FFD000FFCD00FFCA00FFC900FFC800FFC800FFC800FFC900FFCB00FFCE00
FFD100FFD501FFD802FFDC03FFE005FFE409FFE80EFFEB16FFEF20FFF12EFFF43FFFF653
FFF868FFFA7EFFFB94FFFCA8FFFDBBFFFECAFFFED7FFFEE2FFFFEAFFFFF0FFFFF5FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFF
FAFFFFF8FFFFF7FFFFF5FFFFF4FFFFF4FFFFF4FFFFF5FFFFF7FFFFFBFFFFFFFFFFFFFFFA
FFFFF3FFFFECFFFFE4FFFEDBFFFED3FFFECAFFFDC2FFFDBBFFFDB4FFFCAEFFFCA8FFFCA3
FFFC9FFFFB9BFFFB98FFFB96FFFB94FFFB93FFFB92FFFB91FFFB91FFFB90FFFB90FFFB90
FFFB90FFFB90FFFB90FFFB91FFFB91FFFB92FFFB93FFFB95FFFB97FFFB99FFFB9CFFFCA0
FFFCA5FFFCAAFFFCB0FFFDB6FFFDBDFFFDC5FFFECDFFFED6FFFEDEFFFFE6FFFFEEFFFFF6
FFFFFCFDFFFFF9FFFFF6FFFFF5FFFFF4FFFFF4FFFFF5FFFFF6FFFFF7FFFFF9FFFFFBFFFF
FCFFFFFDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF7FFFFF3FFFFEEFFFFE7FFFEDFFFFED3FFFDC5FFFDB5FFFCA2FFFB8DFFF977FFF861
FFF64CFFF339FFF129FFED1CFFEA13FFE70CFFE307FFDF04FFDB03FFD701FFD301FFD000
FFCD00FFCB00FFC900FFC800FFC800FFC800FFC900FFCB00FFCE00FFD100FFD401FFD802
FFDC03FFE005FFE408FFE70DFFEB15FFEE1FFFF12CFFF43DFFF651FFF866FFFA7CFFFB92
FFFCA6FFFDB9FFFEC9FFFED6FFFEE1FFFFE9FFFFF0FFFFF4FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEEFFFFE7FFFEDEFFFED3FFFDC5FFFDB5FFFCA2
FFFB8DFFF977FFF861FFF64CFFF33AFFF12AFFEE1DFFEA13FFE70CFFE308FFDF05FFDB03
FFD802FFD401FFD100FFCE00FFCC00FFCA00FFC900FFC900FFCA00FFCB00FFCD00FFCF00
FFD201FFD601FFD902FFDD03FFE106FFE50AFFE80FFFEC17FFEF22FFF230FFF441FFF655
FFF86AFFFA80FFFB96FFFCAAFFFDBCFFFECBFFFED8FFFFE2FFFFEAFFFFF0FFFFF5FFFFF8
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFF
FAFFFFF9FFFFF8FFFFF7FFFFF7FFFFF8FFFFFAFFFFFCFFFFFFFFFFFFFFFBFFFFF5FFFFEF
FFFFE8FFFEE1FFFEDAFFFED2FFFECCFFFDC5FFFDBFFFFDBAFFFDB5FFFDB2FFFCAFFFFCAC
FFFCABFFFCAAFFFCAAFFFCAAFFFCAAFFFCABFFFCACFFFCACFFFCADFFFCAEFFFCAEFFFCAF
FFFCAFFFFCAEFFFCAEFFFCADFFFCACFFFCABFFFCABFFFCAAFFFCAAFFFCAAFFFCAAFFFCAB
FFFCACFFFCAFFFFDB2FFFDB5FFFDBAFFFDBFFFFDC5FFFECCFFFED3FFFEDAFFFEE1FFFFE8
FFFFEFFFFFF5FFFFFBFFFFFFFCFFFFFAFFFFF8FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFF
FBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF8FFFFF5FFFFF0FFFFEAFFFFE2FFFED8FFFECBFFFDBCFFFCAAFFFB96FFFA80FFF86A
FFF655FFF441FFF230FFEF22FFEC17FFE80FFFE509FFE106FFDD03FFD902FFD601FFD201
FFCF00FFCD00FFCB00FFC900FFC900FFC900FFCA00FFCC00FFCE00FFD100FFD401FFD802
FFDC03FFDF05FFE308FFE70DFFEA13FFEE1DFFF12AFFF33AFFF64DFFF861FFF977FFFB8D
FFFCA2FFFDB5FFFDC5FFFED3FFFEDEFFFFE7FFFFEEFFFFF3FFFFF7FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE8FFFEDFFFFED4FFFDC7FFFDB6FFFCA4
FFFB8FFFF979FFF864FFF64FFFF43CFFF12CFFEE1FFFEB15FFE70DFFE409FFE005FFDC03
FFD902FFD501FFD201FFCF00FFCD00FFCC00FFCB00FFCA00FFCB00FFCC00FFCE00FFD000
FFD301FFD701FFDA02FFDE04FFE206FFE50AFFE910FFEC19FFEF24FFF232FFF544FFF757
FFF86DFFFA83FFFB98FFFCACFFFDBEFFFECDFFFED9FFFFE3FFFFEBFFFFF1FFFFF5FFFFF8
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFF
FAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFDFFFFFFFFFFFFFFFCFFFFF8FFFFF3FFFFEDFFFFE7
FFFEE1FFFEDBFFFED5FFFED0FFFECBFFFDC7FFFDC4FFFDC1FFFDC0FFFDBFFFFDBFFFFDC0
FFFDC2FFFDC4FFFDC7FFFECAFFFECDFFFED1FFFED4FFFED7FFFEDAFFFEDCFFFEDEFFFEDE
FFFEDFFFFEDEFFFEDDFFFEDBFFFED8FFFED5FFFED2FFFECEFFFECBFFFDC8FFFDC5FFFDC2
FFFDC1FFFDBFFFFDBFFFFDC0FFFDC1FFFDC3FFFDC6FFFECAFFFECFFFFED4FFFED9FFFEDF
FFFFE6FFFFEBFFFFF1FFFFF6FFFFFBFFFFFFFEFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFF
FBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFF9FFFFF6FFFFF2FFFFEDFFFFE6FFFEDCFFFED1FFFDC2FFFCB1FFFC9EFFFA89FFF973
FFF75EFFF549FFF337FFF028FFED1CFFEA12FFE70CFFE307FFDF05FFDB03FFD802FFD401
FFD100FFCF00FFCD00FFCB00FFCA00FFCA00FFCB00FFCD00FFCF00FFD100FFD401FFD802
FFDB03FFDF05FFE307FFE60CFFEA12FFED1BFFF027FFF337FFF549FFF75DFFF973FFFA89
FFFC9EFFFCB1FFFDC2FFFED0FFFEDCFFFFE5FFFFEDFFFFF2FFFFF6FFFFF9FFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE8FFFEE0FFFED5FFFDC8FFFDB8FFFCA6
FFFB91FFFA7CFFF866FFF651FFF43EFFF12EFFEF20FFEB16FFE80FFFE509FFE106FFDD04
FFDA02FFD601FFD301FFD100FFCE00FFCD00FFCC00FFCC00FFCC00FFCD00FFCF00FFD200
FFD501FFD802FFDB03FFDF04FFE307FFE60BFFEA11FFED1AFFF026FFF234FFF546FFF75A
FFF96FFFFA85FFFB9AFFFCAEFFFDBFFFFECEFFFEDAFFFFE4FFFFEBFFFFF1FFFFF5FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFF
FBFFFFFBFFFFFCFFFFFDFFFFFFFFFFFFFFFDFFFFFAFFFFF6FFFFF2FFFFEDFFFFE8FFFFE4
FFFEDFFFFEDBFFFED7FFFED4FFFED2FFFED0FFFED0FFFED1FFFED2FFFED5FFFED9FFFEDD
FFFFE3FFFFE9FFFFEFFFFFF6FFFFFDFBFFFFF5FFFFF0FFFFECFFFFE8FFFFE6FFFFE4FFFF
E4FFFFE5FFFFE7FFFFE9FFFFEDFFFFF2FFFFF8FFFFFEFFFFFFFFFAFFFFF3FFFFEDFFFFE6
FFFEE1FFFEDCFFFED7FFFED4FFFED2FFFED0FFFED0FFFED1FFFED2FFFED5FFFED8FFFEDC
FFFEE1FFFFE5FFFFEAFFFFEFFFFFF4FFFFF8FFFFFCFFFFFFFEFFFFFDFFFFFCFFFFFBFFFF
FBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF4FFFFEFFFFFE9FFFEE0FFFED6FFFDC8FFFDB9FFFCA6FFFB92FFFA7D
FFF867FFF652FFF43FFFF12EFFEF21FFEC16FFE80FFFE50AFFE106FFDD04FFDA02FFD601
FFD301FFD100FFCE00FFCD00FFCC00FFCC00FFCC00FFCD00FFCF00FFD200FFD401FFD802
FFDB03FFDF04FFE207FFE60BFFE911FFED1AFFF025FFF234FFF545FFF759FFF96EFFFA84
FFFB99FFFCADFFFDBEFFFECDFFFEDAFFFFE3FFFFEBFFFFF1FFFFF5FFFFF8FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFEFFFFFE9FFFEE1FFFED6FFFEC9FFFDB9FFFCA7
FFFB93FFFA7EFFF868FFF654FFF440FFF230FFEF22FFEC18FFE910FFE50AFFE206FFDE04
FFDB02FFD701FFD401FFD201FFD000FFCE00FFCD00FFCD00FFCE00FFCF00FFD100FFD301
FFD601FFD902FFDC03FFE005FFE308FFE70CFFEA13FFED1CFFF028FFF337FFF548FFF75C
FFF972FFFA87FFFB9CFFFCAFFFFDC0FFFECFFFFEDBFFFFE5FFFFECFFFFF2FFFFF6FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFFFFFFFFFFFFFFFFFCFFFFF9FFFFF6FFFFF3FFFFEFFFFFEBFFFFE7FFFFE4
FFFEE1FFFEDFFFFEDDFFFEDDFFFEDEFFFEDFFFFEE2FFFFE6FFFFECFFFFF2FFFFF9FDFFFF
F4FFFFECFFFFE3FFFFDBFEFFD4FEFFCDFEFFC7FDFFC2FDFFBEFDFFBBFDFFB9FDFFB7FDFF
B7FDFFB7FDFFB9FDFFBBFDFFBEFDFFC3FDFFC8FDFFCEFEFFD5FEFFDCFEFFE4FFFFECFFFF
F5FFFFFEFFFFFFFFF9FFFFF2FFFFEBFFFFE6FFFEE2FFFEDFFFFEDEFFFEDDFFFEDDFFFEDF
FFFEE1FFFFE4FFFFE7FFFFEBFFFFEFFFFFF3FFFFF6FFFFFAFFFFFCFFFFFFFFFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF9FFFFF5FFFFF1FFFFEBFFFFE4FFFEDAFFFECEFFFDBFFFFCAEFFFB9BFFFA86
FFF970FFF75BFFF547FFF335FFF027FFED1BFFEA12FFE70CFFE308FFDF05FFDC03FFD902
FFD501FFD301FFD000FFCF00FFCE00FFCD00FFCD00FFCE00FFD000FFD201FFD501FFD802
FFDB03FFDE04FFE207FFE60BFFE910FFEC18FFEF23FFF231FFF442FFF655FFF86AFFFA80
FFFB95FFFCA9FFFDBBFFFECAFFFED7FFFEE1FFFFEAFFFFF0FFFFF4FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEAFFFEE1FFFED7FFFECAFFFDBBFFFCA9
FFFB96FFFA80FFF86BFFF756FFF443FFF232FFEF24FFEC19FFE911FFE60BFFE307FFDF05
FFDC03FFD802FFD601FFD301FFD100FFCF00FFCF00FFCE00FFCF00FFD000FFD201FFD401
FFD701FFDA02FFDD03FFE106FFE409FFE70DFFEB14FFEE1DFFF12AFFF339FFF54BFFF75F
FFF974FFFA8AFFFC9EFFFCB1FFFDC2FFFED0FFFEDCFFFFE5FFFFECFFFFF2FFFFF6FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFEFFFF
FEFFFFFFFFFFFFFFFEFFFFFCFFFFF9FFFFF7FFFFF4FFFFF1FFFFEEFFFFEBFFFFE9FFFFE7
FFFFE7FFFFE7FFFFE8FFFFEAFFFFEEFFFFF3FFFFF9FFFFFFF7FFFFEEFFFFE5FFFFDCFEFF
D3FEFFCBFEFFC3FDFFBCFDFFB5FDFFAFFCFFAAFCFFA6FCFFA2FCFFA0FCFF9EFCFF9DFBFF
9CFBFF9CFBFF9DFCFF9FFCFFA2FCFFA5FCFFA9FCFFAEFCFFB4FDFFBAFDFFC1FDFFC9FEFF
D1FEFFDAFEFFE3FFFFECFFFFF5FFFFFDFFFFFFFFFAFFFFF4FFFFEFFFFFEBFFFFE8FFFFE7
FFFFE7FFFFE7FFFFE9FFFFEBFFFFEDFFFFF0FFFFF3FFFFF6FFFFF9FFFFFBFFFFFDFFFFFF
FFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFBFFFFFAFFFFF7FFFFF3FFFFEEFFFFE7FFFEDEFFFED3FFFDC6FFFDB5FFFCA3FFFB8F
FFF979FFF864FFF64FFFF43DFFF12DFFEE20FFEB16FFE80FFFE50AFFE106FFDE04FFDB02
FFD702FFD501FFD201FFD000FFCF00FFCE00FFCE00FFCF00FFD100FFD201FFD501FFD802
FFDB03FFDE04FFE206FFE50AFFE90FFFEC17FFEF21FFF12EFFF43EFFF651FFF866FFF97B
FFFB91FFFCA5FFFDB7FFFDC7FFFED4FFFEDFFFFFE8FFFFEEFFFFF3FFFFF7FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF0FFFFEAFFFEE2FFFED8FFFECCFFFDBDFFFCAB
FFFB98FFFA83FFF96DFFF759FFF545FFF234FFF026FFED1BFFEA12FFE70CFFE308FFE005
FFDD03FFD902FFD701FFD401FFD201FFD100FFD000FFD000FFD000FFD100FFD301FFD501
FFD802FFDB02FFDE04FFE106FFE50AFFE80EFFEB16FFEE1FFFF12CFFF33BFFF64DFFF861
FFF977FFFB8CFFFCA0FFFDB3FFFDC3FFFED1FFFEDDFFFFE6FFFFEDFFFFF2FFFFF6FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFEFFFFFCFFFFFAFFFFF8FFFFF5FFFFF3FFFFF1FFFFEFFFFFEEFFFFEEFFFFEE
FFFFEFFFFFF2FFFFF5FFFFFAFFFFFFF8FFFFF0FFFFE7FFFFDFFEFFD6FEFFCEFEFFC5FDFF
BEFDFFB6FDFFB0FCFFAAFCFFA5FCFFA0FCFF9CFBFF99FBFF96FBFF94FBFF92FBFF91FBFF
91FBFF91FBFF92FBFF93FBFF95FBFF97FBFF9AFBFF9EFCFFA2FCFFA7FCFFACFCFFB3FDFF
BAFDFFC1FDFFC9FEFFD1FEFFDAFEFFE3FFFFEBFFFFF3FFFFFBFFFFFFFFFDFFFFF8FFFFF4
FFFFF1FFFFEFFFFFEEFFFFEEFFFFEFFFFFF0FFFFF2FFFFF4FFFFF6FFFFF9FFFFFBFFFFFD
FFFFFEFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF5FFFFF0FFFFEAFFFEE2FFFED8FFFECBFFFDBCFFFCABFFFB97
FFFA83FFF86DFFF758FFF545FFF234FFF026FFED1BFFEA12FFE70CFFE308FFE005FFDD03
FFD902FFD701FFD401FFD201FFD100FFD000FFD000FFD000FFD100FFD301FFD501FFD802
FFDB03FFDE04FFE106FFE50AFFE80FFFEB16FFEE1FFFF12CFFF43BFFF64EFFF862FFF977
FFFB8CFFFCA1FFFDB3FFFDC4FFFED1FFFEDDFFFFE6FFFFEDFFFFF2FFFFF6FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFEBFFFFE3FFFED9FFFECDFFFDBEFFFCAD
FFFB9AFFFA85FFF970FFF75BFFF548FFF336FFF028FFED1CFFEA14FFE70DFFE409FFE106
FFDE04FFDA02FFD802FFD501FFD301FFD201FFD100FFD100FFD100FFD201FFD401FFD601
FFD902FFDC03FFDF04FFE207FFE50AFFE910FFEC17FFEF21FFF12EFFF43DFFF650FFF864
FFF979FFFB8EFFFCA2FFFDB5FFFDC5FFFED2FFFEDEFFFFE6FFFFEDFFFFF3FFFFF6FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF4FFFFF3FFFFF3FFFFF3FFFFF4FFFFF6
FFFFFAFFFFFEFBFFFFF5FFFFEEFFFFE6FFFFDFFEFFD7FEFFCFFEFFC7FDFFC0FDFFB9FDFF
B3FDFFAEFCFFA9FCFFA4FCFFA1FCFF9DFCFF9BFBFF99FBFF97FBFF96FBFF95FBFF94FBFF
94FBFF94FBFF94FBFF95FBFF96FBFF97FBFF99FBFF9BFBFF9EFCFFA1FCFFA5FCFFA9FCFF
AEFCFFB4FDFFBAFDFFC1FDFFC8FDFFD0FEFFD8FEFFE0FEFFE7FFFFEFFFFFF6FFFFFCFFFF
FFFFFDFFFFF9FFFFF6FFFFF4FFFFF3FFFFF3FFFFF3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFB
FFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE5FFFEDCFFFED1FFFDC3FFFDB2FFFCA0
FFFB8BFFF976FFF861FFF64DFFF33BFFF12CFFEE20FFEB16FFE80FFFE50AFFE206FFDE04
FFDB03FFD802FFD601FFD401FFD201FFD100FFD100FFD100FFD201FFD401FFD601FFD802
FFDB03FFDE04FFE106FFE409FFE80EFFEB15FFEE1EFFF12AFFF338FFF54AFFF75EFFF973
FFFA88FFFB9CFFFCAFFFFDC0FFFECFFFFEDAFFFFE4FFFFECFFFFF1FFFFF5FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFEBFFFFE4FFFEDAFFFECEFFFDC0FFFCAF
FFFB9CFFFA88FFF972FFF75EFFF54AFFF339FFF12AFFEE1EFFEB15FFE80EFFE50AFFE206
FFDE04FFDB03FFD902FFD601FFD501FFD301FFD201FFD201FFD301FFD401FFD501FFD701
FFDA02FFDD03FFE005FFE308FFE60BFFE911FFEC19FFEF23FFF230FFF440FFF652FFF866
FFFA7BFFFB90FFFCA4FFFDB6FFFDC6FFFED3FFFEDEFFFFE7FFFFEEFFFFF3FFFFF7FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF7FFFFF8FFFFF9FFFFFCFFFFFF
FBFFFFF5FFFFEFFFFFE9FFFFE2FEFFDBFEFFD4FEFFCDFEFFC7FDFFC1FDFFBCFDFFB7FDFF
B3FDFFAFFCFFACFCFFAAFCFFA8FCFFA7FCFFA6FCFFA5FCFFA4FCFFA4FCFFA4FCFFA4FCFF
A4FCFFA4FCFFA4FCFFA4FCFFA4FCFFA4FCFFA5FCFFA5FCFFA7FCFFA8FCFFAAFCFFACFCFF
AFFCFFB2FDFFB6FDFFBBFDFFC0FDFFC6FDFFCCFEFFD3FEFFDAFEFFE1FEFFE7FFFFEEFFFF
F4FFFFFAFFFFFFFFFFFFFFFDFFFFFAFFFFF8FFFFF7FFFFF6FFFFF7FFFFF7FFFFF8FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE9FFFEE0FFFED6FFFEC9FFFDB9FFFCA8
FFFB94FFFA7FFFF86AFFF756FFF543FFF233FFF025FFED1AFFEA12FFE70CFFE408FFE005
FFDD04FFDA02FFD802FFD601FFD401FFD301FFD201FFD201FFD301FFD401FFD601FFD802
FFDB03FFDE04FFE106FFE409FFE70DFFEA14FFED1CFFF028FFF336FFF547FFF75AFFF96F
FFFA84FFFB98FFFCABFFFDBDFFFECCFFFED8FFFEE2FFFFEAFFFFF0FFFFF5FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF1FFFFECFFFFE4FFFEDBFFFECFFFFDC1FFFCB1
FFFC9EFFFA8AFFF975FFF760FFF64DFFF33BFFF12CFFEE20FFEC16FFE90FFFE50AFFE207
FFDF05FFDC03FFDA02FFD802FFD601FFD401FFD401FFD301FFD401FFD501FFD601FFD802
FFDB03FFDE04FFE106FFE408FFE70CFFEA12FFED1AFFF025FFF232FFF442FFF655FFF869
FFFA7EFFFB93FFFCA6FFFDB8FFFDC7FFFED5FFFEDFFFFFE8FFFFEEFFFFF3FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFFAFFFFFBFFFFFDFFFFFFFBFFFFF7FFFF
F2FFFFEDFFFFE7FFFFE1FEFFDBFEFFD5FEFFD0FEFFCBFEFFC7FDFFC3FDFFC0FDFFBEFDFF
BCFDFFBBFDFFBAFDFFBAFDFFBBFDFFBBFDFFBCFDFFBDFDFFBEFDFFBFFDFFC0FDFFC1FDFF
C1FDFFC1FDFFC1FDFFC1FDFFC0FDFFBFFDFFBEFDFFBDFDFFBCFDFFBBFDFFBBFDFFBAFDFF
BBFDFFBCFDFFBDFDFFBFFDFFC2FDFFC5FDFFC9FEFFCEFEFFD3FEFFD8FEFFDEFEFFE4FFFF
EAFFFFEFFFFFF5FFFFF9FFFFFDFFFFFFFFFEFFFFFCFFFFFAFFFFF9FFFFF9FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFEBFFFFE4FFFEDAFFFECEFFFDC0FFFCAF
FFFB9DFFFA88FFF973FFF75FFFF54BFFF33AFFF12BFFEE1FFFEB16FFE80FFFE50AFFE207
FFDF05FFDC03FFDA02FFD701FFD601FFD401FFD401FFD301FFD401FFD501FFD701FFD902
FFDB03FFDE04FFE106FFE409FFE70DFFEA13FFED1BFFF026FFF233FFF544FFF756FFF86B
FFFA7FFFFB94FFFCA8FFFDB9FFFEC9FFFED5FFFEE0FFFFE8FFFFEFFFFFF4FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE5FFFEDCFFFED0FFFDC3FFFDB2
FFFCA0FFFB8CFFF977FFF863FFF64FFFF43EFFF12EFFEF22FFEC18FFE911FFE60BFFE308
FFE005FFDD04FFDB03FFD902FFD701FFD601FFD501FFD501FFD501FFD601FFD802FFDA02
FFDC03FFDF04FFE106FFE409FFE70DFFEA14FFED1CFFF027FFF234FFF545FFF757FFF86C
FFFA80FFFB95FFFCA8FFFDBAFFFEC9FFFED6FFFEE0FFFFE8FFFFEFFFFFF4FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFEFFFFFFFDFFFFF9FFFFF5FFFFF1FFFF
ECFFFFE7FFFFE2FFFFDEFEFFD9FEFFD6FEFFD2FEFFD0FEFFCEFEFFCDFEFFCDFEFFCDFEFF
CEFEFFD0FEFFD2FEFFD5FEFFD8FEFFDBFEFFDEFEFFE2FEFFE5FFFFE7FFFFE9FFFFEBFFFF
ECFFFFECFFFFECFFFFEBFFFFE9FFFFE7FFFFE4FFFFE1FEFFDEFEFFDAFEFFD7FEFFD4FEFF
D2FEFFCFFEFFCEFEFFCDFEFFCDFEFFCDFEFFCEFEFFD0FEFFD3FEFFD6FEFFDAFEFFDFFEFF
E3FFFFE8FFFFEDFFFFF2FFFFF6FFFFFAFFFFFDFFFFFFFFFFFFFFFDFFFFFCFFFFFBFFFFFB
FFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEEFFFFE7FFFEDEFFFED3FFFDC6FFFDB7
FFFCA5FFFB91FFFA7DFFF868FFF654FFF442FFF232FFF025FFED1AFFEA12FFE70DFFE409
FFE106FFDE04FFDB03FFD902FFD701FFD601FFD501FFD501FFD501FFD601FFD701FFD902
FFDB03FFDE04FFE106FFE408FFE70CFFEA12FFED1AFFEF24FFF231FFF441FFF653FFF867
FFFA7BFFFB90FFFCA4FFFDB6FFFDC5FFFED3FFFEDEFFFFE7FFFFEDFFFFF3FFFFF6FFFFF9
FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE6FFFEDDFFFED2FFFDC4FFFDB4
FFFCA2FFFB8FFFF97AFFF865FFF652FFF440FFF231FFEF24FFED1AFFEA12FFE70DFFE409
FFE106FFDE04FFDC03FFDA02FFD802FFD701FFD601FFD601FFD601FFD701FFD902FFDB02
FFDD03FFDF05FFE207FFE50AFFE80FFFEB15FFEE1EFFF029FFF337FFF547FFF75AFFF96E
FFFA83FFFB97FFFCAAFFFDBBFFFECAFFFED7FFFEE1FFFFE9FFFFEFFFFFF4FFFFF7FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFEFFFFFBFFFFF8FFFFF5FFFFF1FFFFEDFFFF
E9FFFFE6FFFFE2FEFFDFFEFFDDFEFFDBFEFFDBFEFFDBFEFFDBFEFFDDFEFFE0FEFFE3FFFF
E7FFFFECFFFFF1FFFFF7FFFFFDFFFFFFFFFCFFFFF6FFFFF1FFFFEDFFFFE9FFFFE6FFFFE3
FFFEE2FFFEE2FFFEE2FFFFE3FFFFE5FFFFE8FFFFECFFFFF0FFFFF5FFFFFBFEFFFFF8FFFF
F2FFFFEDFFFFE8FFFFE4FFFFE0FEFFDDFEFFDCFEFFDBFEFFDAFEFFDBFEFFDDFEFFDFFEFF
E2FEFFE5FFFFE9FFFFEDFFFFF1FFFFF4FFFFF8FFFFFBFFFFFDFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEAFFFEE2FFFED8FFFECCFFFDBD
FFFCACFFFB9AFFFA85FFF971FFF75DFFF54AFFF339FFF12BFFEE1FFFEB16FFE90FFFE60B
FFE307FFE005FFDD04FFDB03FFD902FFD701FFD601FFD601FFD601FFD701FFD802FFD902
FFDC03FFDE04FFE106FFE408FFE70CFFE911FFEC19FFEF22FFF22FFFF43EFFF64FFFF863
FFF977FFFB8CFFFCA0FFFDB2FFFDC2FFFED0FFFEDBFFFFE5FFFFECFFFFF1FFFFF6FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE6FFFEDEFFFED3FFFDC6FFFDB6
FFFCA4FFFB91FFFA7DFFF868FFF654FFF442FFF233FFF026FFED1BFFEA13FFE80EFFE509
FFE207FFDF05FFDD03FFDB02FFD902FFD802FFD701FFD701FFD701FFD802FFDA02FFDC03
FFDE04FFE005FFE308FFE60BFFE910FFEC17FFEE1FFFF12BFFF339FFF54AFFF75DFFF971
FFFA85FFFB99FFFCACFFFDBDFFFECBFFFED8FFFEE2FFFFEAFFFFF0FFFFF4FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFDFFFFFBFFFFF8FFFFF5FFFFF2FFFFEFFFFFECFFFF
EAFFFFE8FFFFE6FFFFE5FFFFE5FFFFE6FFFFE7FFFFEAFFFFEEFFFFF2FFFFF8FFFFFEFFFF
FFFFFAFFFFF3FFFFECFFFFE5FFFEDEFFFED8FFFED2FFFECDFFFEC9FFFDC5FFFDC2FFFDC0
FFFDBEFFFDBEFFFDBEFFFDBFFFFDC1FFFDC3FFFDC7FFFECBFFFED0FFFED5FFFEDBFFFEE2
FFFFE9FFFFF0FFFFF7FFFFFEFAFFFFF4FFFFEFFFFFEBFFFFE8FFFFE6FFFFE5FFFFE5FFFF
E5FFFFE7FFFFE9FFFFEBFFFFEEFFFFF1FFFFF4FFFFF7FFFFFAFFFFFCFFFFFEFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE5FFFEDCFFFED1FFFDC4
FFFDB4FFFCA2FFFB8EFFF97AFFF865FFF652FFF440FFF231FFEF24FFED1AFFEA13FFE70D
FFE409FFE206FFDF04FFDD03FFDB02FFD902FFD802FFD701FFD701FFD702FFD802FFDA02
FFDC03FFDE04FFE106FFE308FFE60CFFE911FFEC18FFEF21FFF12DFFF33BFFF64CFFF75F
FFF973FFFA88FFFB9CFFFCAEFFFDBFFFFECDFFFED9FFFFE3FFFFEAFFFFF0FFFFF5FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEEFFFFE7FFFEDFFFFED4FFFDC7FFFDB8
FFFCA6FFFB93FFFA7FFFF86BFFF757FFF545FFF335FFF028FFEE1DFFEB15FFE80FFFE50A
FFE307FFE005FFDE04FFDC03FFDA02FFD902FFD802FFD802FFD802FFD902FFDB03FFDD03
FFDF04FFE106FFE409FFE70CFFE911FFEC18FFEF21FFF12DFFF43CFFF64DFFF75FFFF973
FFFA88FFFB9CFFFCAEFFFDBEFFFECDFFFED9FFFFE2FFFFEAFFFFF0FFFFF5FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF4FFFFF2FFFFF0FFFFEEFFFF
EDFFFFECFFFFEDFFFFEEFFFFF0FFFFF3FFFFF7FFFFFCFFFFFFFFFDFFFFF6FFFFEFFFFFE8
FFFEE0FFFED9FFFED2FFFECBFFFDC5FFFDBFFFFDBAFFFDB6FFFDB2FFFCAFFFFCADFFFCAB
FFFCAAFFFCA9FFFCA9FFFCAAFFFCABFFFCADFFFCB0FFFDB3FFFDB7FFFDBCFFFDC1FFFDC7
FFFECDFFFED4FFFEDBFFFEE2FFFFE9FFFFF1FFFFF8FFFFFEFBFFFFF6FFFFF2FFFFEFFFFF
EDFFFFEDFFFFECFFFFEDFFFFEEFFFFF0FFFFF2FFFFF5FFFFF7FFFFF9FFFFFBFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE8FFFEE0FFFED6FFFECA
FFFDBBFFFCAAFFFB97FFFA83FFF96EFFF75BFFF548FFF338FFF12AFFEE1FFFEC16FFE910
FFE60BFFE308FFE106FFDE04FFDC03FFDA02FFD902FFD802FFD802FFD802FFD902FFDA02
FFDC03FFDE04FFE106FFE308FFE60BFFE910FFEC17FFEE20FFF12BFFF339FFF549FFF75C
FFF970FFFA84FFFB98FFFCABFFFDBCFFFECAFFFED7FFFEE1FFFFE9FFFFEFFFFFF4FFFFF7
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEEFFFFE8FFFEDFFFFED5FFFDC8FFFDB9
FFFCA8FFFB95FFFA82FFF96DFFF75AFFF548FFF338FFF12AFFEE1FFFEC16FFE910FFE60B
FFE408FFE106FFDF04FFDD03FFDB03FFDA02FFD902FFD902FFDA02FFDA02FFDC03FFDE04
FFE005FFE207FFE509FFE70DFFEA13FFED1AFFEF23FFF22FFFF43EFFF64FFFF862FFF976
FFFA8AFFFC9EFFFCB0FFFDC0FFFECEFFFEDAFFFFE3FFFFEBFFFFF0FFFFF5FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF8FFFFF6FFFFF4FFFFF3FFFFF2FFFFF2FFFF
F2FFFFF3FFFFF6FFFFF9FFFFFDFFFFFFFFFDFFFFF8FFFFF1FFFFEBFFFFE4FFFEDCFFFED5
FFFECFFFFDC8FFFDC2FFFDBCFFFDB7FFFDB3FFFCAFFFFCABFFFCA9FFFCA6FFFCA4FFFCA3
FFFCA2FFFCA2FFFCA2FFFCA2FFFCA3FFFCA4FFFCA6FFFCA8FFFCABFFFCAFFFFDB3FFFDB7
FFFDBCFFFDC2FFFDC8FFFECEFFFED5FFFEDCFFFFE3FFFFEAFFFFF1FFFFF7FFFFFDFDFFFF
F9FFFFF6FFFFF4FFFFF2FFFFF2FFFFF2FFFFF3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFBFFFF
FDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFEBFFFFE4FFFEDAFFFECF
FFFDC1FFFCB1FFFC9FFFFB8CFFF977FFF863FFF650FFF43FFFF230FFEF24FFED1AFFEA13
FFE80EFFE50AFFE207FFE005FFDE04FFDC03FFDB02FFDA02FFD902FFD902FFDA02FFDB03
FFDD03FFDF04FFE106FFE308FFE60BFFE910FFEB16FFEE1EFFF029FFF337FFF546FFF758
FFF86CFFFA80FFFB94FFFCA7FFFDB8FFFDC7FFFED4FFFEDFFFFFE7FFFFEEFFFFF3FFFFF7
FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF3FFFFEFFFFFE8FFFEE0FFFED6FFFECAFFFDBB
FFFCAAFFFB98FFFA84FFF970FFF75CFFF54AFFF33AFFF12CFFEF21FFEC18FFEA11FFE70D
FFE409FFE207FFE005FFDE04FFDC03FFDB03FFDA02FFDA02FFDB02FFDC03FFDD03FFDF04
FFE106FFE308FFE50AFFE80EFFEB14FFED1CFFF025FFF232FFF441FFF652FFF865FFF979
FFFB8DFFFCA0FFFDB2FFFDC2FFFECFFFFEDBFFFFE4FFFFEBFFFFF1FFFFF5FFFFF8FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF6FFFFF6FFFFF7FFFF
F9FFFFFCFFFFFFFFFFFFFFFBFFFFF6FFFFF1FFFFEAFFFFE4FFFEDEFFFED7FFFED1FFFECB
FFFDC6FFFDC0FFFDBCFFFDB8FFFDB4FFFCB1FFFCAEFFFCACFFFCAAFFFCA9FFFCA8FFFCA7
FFFCA7FFFCA6FFFCA6FFFCA6FFFCA7FFFCA8FFFCA9FFFCAAFFFCACFFFCAEFFFCB0FFFDB3
FFFDB6FFFDBAFFFDBFFFFDC4FFFEC9FFFECFFFFED5FFFEDBFFFEE2FFFFE8FFFFEEFFFFF4
FFFFF9FFFFFEFDFFFFFAFFFFF8FFFFF7FFFFF6FFFFF6FFFFF6FFFFF7FFFFF9FFFFFAFFFF
FBFFFFFCFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF3FFFFEEFFFFE7FFFEDFFFFED4
FFFDC7FFFDB8FFFCA7FFFB94FFFA80FFF86CFFF759FFF547FFF337FFF12AFFEE1FFFEC17
FFE910FFE60CFFE409FFE106FFDF05FFDD04FFDC03FFDB03FFDA02FFDA02FFDB03FFDC03
FFDD03FFDF04FFE106FFE308FFE60BFFE90FFFEB15FFEE1DFFF028FFF234FFF544FFF655
FFF868FFFA7CFFFB90FFFCA3FFFDB5FFFDC4FFFED2FFFEDDFFFFE5FFFFECFFFFF2FFFFF6
FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFEFFFFFE9FFFEE1FFFED7FFFECBFFFDBD
FFFCACFFFB9AFFFA87FFF973FFF75FFFF64DFFF43DFFF12EFFEF23FFED1AFFEA13FFE80E
FFE50AFFE307FFE106FFDF04FFDD04FFDC03FFDC03FFDB03FFDC03FFDD03FFDE04FFDF05
FFE106FFE408FFE60BFFE910FFEB16FFEE1DFFF028FFF234FFF543FFF655FFF867FFF97B
FFFB8FFFFCA2FFFDB4FFFDC3FFFED1FFFEDCFFFFE5FFFFECFFFFF1FFFFF5FFFFF8FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFBFFFFFDFFFF
FFFFFFFFFFFBFFFFF7FFFFF2FFFFEDFFFFE7FFFEE2FFFEDCFFFED7FFFED2FFFECDFFFEC9
FFFDC5FFFDC2FFFDBFFFFDBDFFFDBBFFFDB9FFFDB8FFFDB8FFFDB7FFFDB7FFFDB7FFFDB7
FFFDB7FFFDB7FFFDB7FFFDB7FFFDB7FFFDB7FFFDB7FFFDB7FFFDB7FFFDB8FFFDB9FFFDBA
FFFDBBFFFDBDFFFDC0FFFDC2FFFDC6FFFECAFFFECEFFFED3FFFED8FFFEDEFFFFE3FFFFE9
FFFFEEFFFFF3FFFFF8FFFFFCFFFFFFFDFFFFFBFFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFF
FBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEAFFFEE2FFFED9
FFFECDFFFDBFFFFCAEFFFB9CFFFA89FFF975FFF862FFF64FFFF43FFFF230FFEF24FFED1B
FFEA14FFE80EFFE50AFFE308FFE106FFDF04FFDD04FFDC03FFDC03FFDB03FFDC03FFDC03
FFDE04FFDF05FFE106FFE308FFE60BFFE80FFFEB15FFED1CFFF026FFF232FFF441FFF652
FFF865FFF979FFFB8DFFFCA0FFFCB1FFFDC1FFFECFFFFEDAFFFFE4FFFFEBFFFFF1FFFFF5
FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEAFFFEE2FFFED8FFFECCFFFDBE
FFFCAEFFFB9CFFFA89FFF975FFF862FFF650FFF43FFFF231FFF025FFED1CFFEB14FFE80F
FFE60BFFE408FFE106FFE005FFDE04FFDD03FFDD03FFDC03FFDD03FFDE04FFDF04FFE005
FFE207FFE509FFE70DFFE911FFEC17FFEE1FFFF12AFFF337FFF546FFF757FFF86AFFFA7E
FFFB91FFFCA4FFFDB5FFFDC5FFFED2FFFEDDFFFFE5FFFFECFFFFF2FFFFF6FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFEFFFFFFFFFFFFFFFC
FFFFF8FFFFF4FFFFF0FFFFECFFFFE7FFFEE2FFFEDEFFFEDAFFFED6FFFED2FFFED0FFFECD
FFFECCFFFECBFFFECAFFFECAFFFECAFFFECBFFFECCFFFECDFFFECEFFFECFFFFED0FFFED1
FFFED2FFFED3FFFED3FFFED3FFFED2FFFED1FFFED0FFFECFFFFECEFFFECDFFFECCFFFECB
FFFECAFFFECAFFFECAFFFECBFFFECCFFFECDFFFED0FFFED2FFFED6FFFEDAFFFEDEFFFEE2
FFFFE7FFFFEBFFFFF0FFFFF4FFFFF8FFFFFCFFFFFFFEFFFFFCFFFFFBFFFFFBFFFFFBFFFF
FBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFECFFFFE6FFFEDD
FFFED2FFFDC5FFFDB6FFFCA4FFFB92FFFA7EFFF86AFFF758FFF546FFF337FFF12AFFEE1F
FFEC17FFE911FFE70DFFE509FFE207FFE005FFDF04FFDE04FFDD03FFDC03FFDD03FFDD03
FFDE04FFE005FFE106FFE408FFE60BFFE80FFFEB14FFED1BFFF025FFF231FFF43FFFF64F
FFF862FFF975FFFA89FFFB9CFFFCAEFFFDBEFFFECCFFFED8FFFEE2FFFFEAFFFFF0FFFFF4
FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEAFFFFE3FFFED9FFFECEFFFDC0
FFFCB0FFFC9FFFFB8CFFF978FFF865FFF652FFF442FFF233FFF027FFEE1DFFEB16FFE910
FFE70CFFE409FFE207FFE106FFDF05FFDE04FFDE04FFDD04FFDE04FFDF04FFE005FFE106
FFE308FFE50AFFE80EFFEA12FFEC19FFEF21FFF12CFFF339FFF549FFF75AFFF86DFFFA80
FFFB94FFFCA6FFFDB7FFFDC6FFFED3FFFEDEFFFFE6FFFFEDFFFFF2FFFFF6FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFDFFFFFAFFFFF7
FFFFF4FFFFF0FFFFECFFFFE8FFFFE5FFFEE2FFFEDFFFFEDCFFFEDAFFFED9FFFED9FFFED9
FFFED9FFFEDBFFFEDCFFFEDFFFFEE1FFFFE4FFFFE8FFFFEBFFFFEEFFFFF1FFFFF3FFFFF5
FFFFF7FFFFF8FFFFF8FFFFF8FFFFF7FFFFF6FFFFF4FFFFF1FFFFEFFFFFECFFFFE9FFFFE5
FFFFE2FFFEE0FFFEDDFFFEDBFFFEDAFFFED9FFFED9FFFED9FFFEDAFFFEDCFFFEDEFFFEE1
FFFFE4FFFFE7FFFFEBFFFFEFFFFFF3FFFFF6FFFFF9FFFFFCFFFFFEFFFFFFFDFFFFFDFFFF
FCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFEFFFFFE9FFFEE1
FFFED7FFFECBFFFDBCFFFCACFFFB9AFFFA87FFF973FFF760FFF64EFFF43EFFF230FFF025
FFED1BFFEB14FFE80FFFE60BFFE409FFE207FFE005FFDF04FFDE04FFDD04FFDD04FFDE04
FFDF04FFE005FFE206FFE408FFE60BFFE80FFFEB14FFED1BFFEF24FFF22FFFF43DFFF64D
FFF75FFFF972FFFA85FFFB98FFFCABFFFDBBFFFEC9FFFED6FFFEE0FFFFE8FFFFEEFFFFF3
FFFFF7FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF0FFFFEBFFFFE4FFFEDAFFFECFFFFDC2
FFFDB2FFFCA1FFFB8EFFF97BFFF867FFF655FFF544FFF336FFF129FFEE1FFFEC18FFEA12
FFE70DFFE50AFFE308FFE106FFE005FFDF05FFDF04FFDE04FFDF04FFDF05FFE106FFE207
FFE409FFE60BFFE80FFFEB14FFED1BFFEF23FFF12EFFF43CFFF54BFFF75DFFF970FFFA83
FFFB96FFFCA8FFFDB9FFFDC8FFFED4FFFEDFFFFFE7FFFFEDFFFFF2FFFFF6FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF7FFFFF4
FFFFF1FFFFEEFFFFEBFFFFE9FFFFE7FFFFE5FFFFE4FFFFE3FFFFE4FFFFE5FFFFE7FFFFE9
FFFFECFFFFF0FFFFF4FFFFF9FFFFFEFCFFFFF7FFFFF2FFFFEEFFFFEAFFFFE7FFFFE4FFFF
E2FEFFE1FEFFE0FEFFE0FEFFE1FEFFE3FFFFE5FFFFE8FFFFEBFFFFEFFFFFF4FFFFF9FFFF
FEFFFFFFFFFCFFFFF7FFFFF3FFFFEFFFFFEBFFFFE8FFFFE6FFFFE4FFFFE4FFFFE4FFFFE4
FFFFE5FFFFE7FFFFEAFFFFECFFFFEFFFFFF2FFFFF5FFFFF8FFFFFBFFFFFDFFFFFFFFFFFF
FEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFEBFFFFE4
FFFEDBFFFED0FFFDC3FFFDB3FFFCA2FFFB8FFFFA7CFFF869FFF756FFF546FFF337FFF12A
FFEE20FFEC18FFEA12FFE70DFFE50AFFE308FFE206FFE005FFDF05FFDF04FFDE04FFDF04
FFDF05FFE106FFE207FFE409FFE60BFFE80FFFEA14FFED1AFFEF23FFF12DFFF33BFFF54A
FFF75CFFF96EFFFA82FFFB95FFFCA7FFFDB8FFFDC7FFFED3FFFEDEFFFFE6FFFFEDFFFFF2
FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFEBFFFFE4FFFEDBFFFED0FFFDC3
FFFDB4FFFCA3FFFB91FFFA7DFFF86AFFF758FFF547FFF338FFF12CFFEF21FFED19FFEA13
FFE80EFFE60BFFE409FFE207FFE106FFE005FFE005FFDF05FFE005FFE005FFE206FFE308
FFE50AFFE70CFFE910FFEB15FFEE1CFFF025FFF231FFF43EFFF64EFFF760FFF972FFFA86
FFFB99FFFCAAFFFDBBFFFEC9FFFED5FFFEDFFFFFE8FFFFEEFFFFF3FFFFF7FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFDFFFFFCFFFFFAFFFFF7FFFFF5FFFFF3
FFFFF1FFFFEFFFFFEDFFFFECFFFFEBFFFFECFFFFECFFFFEEFFFFF1FFFFF4FFFFF8FFFFFC
FDFFFFF7FFFFF2FFFFECFFFFE6FFFFE0FEFFDBFEFFD6FEFFD2FEFFCEFEFFCBFEFFC9FEFF
C7FDFFC5FDFFC5FDFFC5FDFFC6FDFFC7FDFFC9FEFFCBFEFFCFFEFFD2FEFFD7FEFFDBFEFF
E1FEFFE6FFFFECFFFFF2FFFFF8FFFFFDFFFFFFFFFCFFFFF8FFFFF4FFFFF0FFFFEEFFFFEC
FFFFECFFFFECFFFFECFFFFEDFFFFEFFFFFF1FFFFF3FFFFF5FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF6FFFFF3FFFFEEFFFFE7
FFFEDFFFFED5FFFEC9FFFDBAFFFCAAFFFB98FFFA85FFF972FFF75FFFF64DFFF43EFFF230
FFF025FFED1CFFEB15FFE910FFE70CFFE50AFFE308FFE206FFE005FFE005FFDF05FFE005
FFE005FFE106FFE207FFE409FFE60BFFE80FFFEA13FFED1AFFEF22FFF12CFFF339FFF548
FFF759FFF86BFFFA7EFFFB91FFFCA4FFFDB5FFFDC4FFFED1FFFEDCFFFFE5FFFFECFFFFF1
FFFFF5FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF5FFFFF1FFFFECFFFFE5FFFEDCFFFED2FFFDC5
FFFDB6FFFCA5FFFB93FFFA80FFF86DFFF75BFFF54AFFF33BFFF12EFFEF23FFED1BFFEB15
FFE910FFE70CFFE50AFFE308FFE207FFE106FFE005FFE005FFE106FFE106FFE207FFE409
FFE60BFFE80EFFEA12FFEC17FFEE1EFFF028FFF233FFF441FFF651FFF862FFF975FFFA88
FFFB9BFFFCACFFFDBCFFFECBFFFED6FFFEE0FFFFE8FFFFEEFFFFF3FFFFF7FFFFF9FFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF7FFFFF5FFFFF3
FFFFF2FFFFF1FFFFF1FFFFF2FFFFF3FFFFF5FFFFF7FFFFFBFFFFFFFBFFFFF6FFFFF0FFFF
EAFFFFE4FFFFDEFEFFD8FEFFD3FEFFCEFEFFC9FEFFC5FDFFC1FDFFBEFDFFBBFDFFB9FDFF
B7FDFFB6FDFFB6FDFFB5FDFFB6FDFFB7FDFFB8FDFFBAFDFFBDFDFFC0FDFFC4FDFFC8FDFF
CCFEFFD1FEFFD7FEFFDCFEFFE2FEFFE8FFFFEEFFFFF4FFFFFAFFFFFFFFFFFFFFFCFFFFF8
FFFFF5FFFFF3FFFFF2FFFFF1FFFFF1FFFFF2FFFFF3FFFFF4FFFFF6FFFFF8FFFFFAFFFFFB
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEA
FFFFE3FFFED9FFFECEFFFDC0FFFCB1FFFCA0FFFB8DFFF97AFFF867FFF656FFF545FFF337
FFF12BFFEF21FFEC19FFEA13FFE80FFFE60BFFE409FFE307FFE206FFE106FFE005FFE005
FFE106FFE206FFE307FFE409FFE60BFFE80FFFEA13FFEC19FFEF21FFF12BFFF337FFF546
FFF756FFF868FFF97BFFFB8EFFFCA0FFFCB1FFFDC1FFFECEFFFEDAFFFFE3FFFFEAFFFFF0
FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE6FFFEDDFFFED3FFFDC6
FFFDB8FFFCA7FFFB95FFFA83FFF970FFF75EFFF64DFFF43DFFF230FFF026FFEE1DFFEC16
FFE911FFE70DFFE60BFFE409FFE307FFE207FFE106FFE106FFE206FFE207FFE308FFE509
FFE60CFFE80FFFEA13FFEC19FFEF20FFF12AFFF336FFF544FFF654FFF865FFF978FFFA8B
FFFC9DFFFCAFFFFDBEFFFECCFFFED8FFFEE1FFFFE9FFFFEFFFFFF4FFFFF7FFFFFAFFFFFB
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF8FFFFF7FFFFF6FFFFF6
FFFFF5FFFFF6FFFFF7FFFFF9FFFFFBFFFFFFFCFFFFF8FFFFF3FFFFEDFFFFE8FFFFE2FEFF
DCFEFFD7FEFFD1FEFFCCFEFFC8FDFFC4FDFFC0FDFFBDFDFFBAFDFFB8FDFFB6FDFFB4FDFF
B3FDFFB2FDFFB2FDFFB1FCFFB2FDFFB2FDFFB3FDFFB5FDFFB6FDFFB9FDFFBBFDFFBEFDFF
C2FDFFC5FDFFCAFEFFCEFEFFD4FEFFD9FEFFDEFEFFE4FFFFEAFFFFEFFFFFF5FFFFFAFFFF
FEFFFFFFFFFDFFFFFAFFFFF8FFFFF6FFFFF6FFFFF5FFFFF6FFFFF6FFFFF7FFFFF9FFFFFA
FFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFED
FFFFE6FFFEDDFFFED3FFFDC6FFFDB8FFFCA8FFFB96FFFA83FFF970FFF75EFFF64DFFF43E
FFF231FFF026FFEE1DFFEC16FFE911FFE70DFFE60BFFE409FFE307FFE207FFE106FFE106
FFE206FFE207FFE308FFE509FFE60CFFE80FFFEA13FFEC19FFEF20FFF12AFFF336FFF543
FFF653FFF865FFF978FFFA8BFFFB9DFFFCAEFFFDBEFFFECCFFFED7FFFEE1FFFFE9FFFFEF
FFFFF4FFFFF7FFFFFAFFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE7FFFEDEFFFED4FFFDC8
FFFDBAFFFCA9FFFB98FFFA85FFF973FFF760FFF64FFFF440FFF233FFF028FFEE1FFFEC18
FFEA13FFE80FFFE60CFFE50AFFE408FFE307FFE207FFE207FFE207FFE308FFE409FFE60A
FFE70DFFE910FFEB15FFED1BFFEF22FFF12CFFF338FFF546FFF757FFF868FFF97BFFFB8D
FFFCA0FFFCB1FFFDC0FFFECDFFFED9FFFEE2FFFFEAFFFFEFFFFFF4FFFFF7FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF8FFFFF9
FFFFFAFFFFFBFFFFFDFFFFFFFBFFFFF7FFFFF3FFFFEEFFFFE9FFFFE4FFFFDFFEFFDAFEFF
D5FEFFD0FEFFCCFEFFC9FEFFC6FDFFC3FDFFC0FDFFBEFDFFBDFDFFBBFDFFBAFDFFB9FDFF
B9FDFFB8FDFFB8FDFFB8FDFFB8FDFFB8FDFFB9FDFFB9FDFFBAFDFFBBFDFFBDFDFFBFFDFF
C1FDFFC3FDFFC6FDFFC9FEFFCDFEFFD1FEFFD5FEFFDAFEFFDFFEFFE4FFFFE9FFFFEEFFFF
F3FFFFF7FFFFFBFFFFFFFFFFFFFFFDFFFFFBFFFFFAFFFFF9FFFFF8FFFFF9FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFEF
FFFFE9FFFEE1FFFED8FFFECCFFFDBEFFFCAFFFFC9EFFFB8CFFF979FFF866FFF655FFF545
FFF337FFF12BFFEF22FFED1AFFEB14FFE910FFE70DFFE50AFFE409FFE308FFE207FFE207
FFE207FFE307FFE408FFE50AFFE70CFFE80FFFEA13FFEC19FFEE20FFF029FFF234FFF442
FFF651FFF862FFF975FFFA87FFFB9AFFFCABFFFDBBFFFEC9FFFED5FFFEDFFFFFE7FFFFEE
FFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEEFFFFE7FFFEDFFFFED5FFFEC9
FFFDBBFFFCACFFFB9AFFFA88FFF975FFF863FFF652FFF443FFF335FFF12AFFEF21FFED1A
FFEB14FFE910FFE70DFFE60BFFE509FFE408FFE308FFE308FFE308FFE409FFE50AFFE60C
FFE80EFFEA12FFEC16FFEE1DFFF025FFF22FFFF33BFFF549FFF759FFF86BFFFA7DFFFB90
FFFCA2FFFDB3FFFDC2FFFECFFFFEDAFFFFE3FFFFEAFFFFF0FFFFF4FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFAFFFFFBFFFFFBFFFFFD
FFFFFEFEFFFFFBFFFFF8FFFFF4FFFFF0FFFFECFFFFE7FFFFE3FFFFDFFEFFDBFEFFD7FEFF
D4FEFFD1FEFFCFFEFFCDFEFFCBFEFFCAFEFFC9FEFFC9FEFFC8FDFFC8FDFFC8FDFFC8FDFF
C8FDFFC9FEFFC9FEFFC9FEFFC9FEFFC9FEFFC8FEFFC8FDFFC8FDFFC8FDFFC8FDFFC8FEFF
C9FEFFCAFEFFCBFEFFCCFEFFCEFEFFD1FEFFD3FEFFD7FEFFDAFEFFDEFEFFE2FEFFE6FFFF
EBFFFFEFFFFFF3FFFFF7FFFFFBFFFFFEFFFFFFFFFFFFFFFDFFFFFCFFFFFBFFFFFBFFFFFB
FFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1
FFFFECFFFFE5FFFEDCFFFED1FFFDC5FFFDB6FFFCA6FFFB94FFFA81FFF96FFFF75DFFF64D
FFF43EFFF231FFF027FFEE1EFFEC18FFEA13FFE80FFFE70CFFE50AFFE409FFE308FFE308
FFE308FFE408FFE409FFE50AFFE70CFFE80FFFEA13FFEC18FFEE1FFFF028FFF233FFF440
FFF64FFFF760FFF972FFFA84FFFB96FFFCA8FFFDB8FFFDC6FFFED3FFFEDDFFFFE6FFFFEC
FFFFF2FFFFF6FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEEFFFFE8FFFEE0FFFED6FFFECB
FFFDBDFFFCAEFFFB9DFFFA8BFFF978FFF866FFF655FFF546FFF338FFF12DFFEF23FFED1C
FFEB16FFEA11FFE80EFFE60CFFE50AFFE409FFE409FFE409FFE409FFE50AFFE60BFFE70D
FFE90FFFEA13FFEC18FFEE1FFFF027FFF231FFF43EFFF64CFFF75CFFF96EFFFA80FFFB92
FFFCA4FFFDB4FFFDC3FFFED0FFFEDBFFFFE4FFFFEBFFFFF0FFFFF5FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFFFEFFFF
FCFFFFF9FFFFF6FFFFF3FFFFF0FFFFECFFFFE8FFFFE5FFFFE2FEFFDFFEFFDDFEFFDBFEFF
D9FEFFD8FEFFD7FEFFD7FEFFD8FEFFD8FEFFD9FEFFDAFEFFDCFEFFDDFEFFDEFEFFE0FEFF
E1FEFFE1FEFFE2FEFFE2FEFFE2FEFFE2FEFFE1FEFFE0FEFFDFFEFFDEFEFFDCFEFFDBFEFF
DAFEFFD9FEFFD8FEFFD7FEFFD7FEFFD8FEFFD8FEFFDAFEFFDBFEFFDEFEFFE0FEFFE3FFFF
E7FFFFEAFFFFEEFFFFF1FFFFF5FFFFF8FFFFFBFFFFFDFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3
FFFFEEFFFFE8FFFEE0FFFED6FFFECAFFFDBCFFFCADFFFB9CFFFA8AFFF978FFF865FFF654
FFF545FFF338FFF12CFFEF23FFED1BFFEB16FFE911FFE80EFFE60CFFE50AFFE409FFE409
FFE409FFE409FFE50AFFE60BFFE70DFFE910FFEA13FFEC18FFEE1FFFF027FFF232FFF43E
FFF64DFFF75DFFF96FFFFA81FFFB93FFFCA5FFFDB5FFFDC4FFFED1FFFEDBFFFFE4FFFFEB
FFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFF9FFFFF7FFFFF3FFFFEFFFFFE9FFFEE1FFFED8FFFECC
FFFDBFFFFCB0FFFC9FFFFB8DFFF97BFFF869FFF758FFF548FFF33BFFF22FFFF025FFEE1E
FFEC18FFEA13FFE910FFE70DFFE60BFFE50AFFE50AFFE50AFFE50AFFE60BFFE70CFFE80E
FFE911FFEB15FFED1AFFEF21FFF129FFF234FFF440FFF64FFFF75FFFF971FFFA83FFFB95
FFFCA6FFFDB6FFFDC5FFFED1FFFEDCFFFFE5FFFFEBFFFFF1FFFFF5FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFDFFFFFBFFFF
F9FFFFF6FFFFF3FFFFF0FFFFEEFFFFEBFFFFE8FFFFE6FFFFE5FFFFE3FFFFE3FFFFE3FFFF
E3FFFFE4FFFFE5FFFFE7FFFFEAFFFFECFFFFEFFFFFF2FFFFF5FFFFF8FFFFFAFFFFFDFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFDFFFFFAFFFFF7FFFFF4FFFF
F2FFFFEFFFFFECFFFFE9FFFFE7FFFFE5FFFFE4FFFFE3FFFFE3FFFFE3FFFFE4FFFFE5FFFF
E7FFFFE9FFFFEBFFFFEEFFFFF1FFFFF4FFFFF6FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFFFF
FFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4
FFFFF0FFFFEAFFFFE3FFFEDAFFFECFFFFDC3FFFDB4FFFCA4FFFB92FFFA80FFF96EFFF75D
FFF64DFFF43EFFF232FFF028FFEE1FFFEC19FFEB14FFE910FFE80EFFE60CFFE60BFFE50A
FFE50AFFE50AFFE50AFFE60CFFE70DFFE910FFEA14FFEC18FFEE1FFFF027FFF231FFF43D
FFF54BFFF75BFFF86CFFFA7EFFFB90FFFCA2FFFDB2FFFDC1FFFECEFFFED9FFFFE2FFFFEA
FFFFEFFFFFF4FFFFF7FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFEFFFFFE9FFFEE2FFFED9FFFECE
FFFDC1FFFDB2FFFCA1FFFB90FFFA7EFFF86CFFF75BFFF54BFFF43DFFF232FFF028FFEE20
FFED19FFEB15FFE911FFE80EFFE70DFFE60BFFE60BFFE60BFFE60BFFE60CFFE70DFFE90F
FFEA12FFEC16FFED1CFFEF23FFF12CFFF336FFF543FFF652FFF862FFF974FFFA86FFFB97
FFFCA9FFFDB8FFFDC6FFFED3FFFEDDFFFFE5FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFF
F7FFFFF4FFFFF2FFFFF0FFFFEEFFFFEDFFFFECFFFFEBFFFFEBFFFFECFFFFEDFFFFEEFFFF
F1FFFFF4FFFFF7FFFFFBFFFFFFFFFFFFFFFCFFFFF7FFFFF3FFFFEFFFFFECFFFFE9FFFFE6
FFFFE3FFFEE2FFFEE1FFFEE0FFFEE0FFFEE0FFFEE2FFFFE3FFFFE5FFFFE8FFFFEBFFFFEF
FFFFF3FFFFF7FFFFFBFFFFFFFBFFFFF8FFFFF4FFFFF1FFFFEFFFFFEDFFFFECFFFFEBFFFF
EBFFFFEBFFFFECFFFFEEFFFFF0FFFFF2FFFFF4FFFFF6FFFFF8FFFFFAFFFFFCFFFFFEFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6
FFFFF2FFFFEDFFFFE6FFFEDEFFFED4FFFEC8FFFDBBFFFCABFFFB9AFFFA88FFF976FFF865
FFF654FFF545FFF338FFF12DFFEF24FFEE1DFFEC17FFEA13FFE910FFE80EFFE70CFFE60B
FFE60BFFE60BFFE60BFFE70CFFE80EFFE910FFEB14FFEC19FFEE1FFFF026FFF230FFF43B
FFF549FFF758FFF869FFF97BFFFB8DFFFC9FFFFCAFFFFDBEFFFECCFFFED7FFFEE1FFFFE8
FFFFEEFFFFF3FFFFF7FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF7FFFFF4FFFFF0FFFFEAFFFFE3FFFEDAFFFECF
FFFDC2FFFDB4FFFCA4FFFB92FFFA81FFF96FFFF75EFFF64EFFF440FFF234FFF12AFFEF22
FFED1BFFEC16FFEA12FFE910FFE80EFFE70DFFE60CFFE60CFFE70CFFE70DFFE80FFFE911
FFEB14FFEC18FFEE1EFFF025FFF12EFFF339FFF546FFF655FFF865FFF977FFFA88FFFB9A
FFFCABFFFDBAFFFDC8FFFED4FFFEDEFFFFE6FFFFEDFFFFF2FFFFF6FFFFF8FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFF9FFFFF8FFFF
F6FFFFF4FFFFF3FFFFF2FFFFF1FFFFF1FFFFF1FFFFF2FFFFF4FFFFF6FFFFF9FFFFFCFFFF
FFFFFFFFFFFAFFFFF6FFFFF1FFFFECFFFFE7FFFFE3FFFEDFFFFEDBFFFED7FFFED4FFFED2
FFFECFFFFECEFFFECDFFFECCFFFECCFFFECCFFFECDFFFECEFFFED0FFFED3FFFED6FFFED9
FFFEDDFFFEE1FFFFE5FFFFEAFFFFEFFFFFF3FFFFF8FFFFFDFEFFFFFAFFFFF7FFFFF5FFFF
F3FFFFF2FFFFF1FFFFF1FFFFF1FFFFF2FFFFF4FFFFF5FFFFF7FFFFF8FFFFFAFFFFFCFFFF
FDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF7
FFFFF4FFFFEFFFFFE9FFFEE2FFFED9FFFECEFFFDC1FFFDB2FFFCA2FFFB91FFFA7FFFF96D
FFF75CFFF64DFFF43FFFF233FFF029FFEF21FFED1BFFEB16FFEA12FFE90FFFE80EFFE70C
FFE60CFFE60CFFE70CFFE70DFFE80FFFE911FFEB14FFEC19FFEE1EFFF026FFF22FFFF33A
FFF547FFF756FFF867FFF978FFFA8AFFFB9CFFFCACFFFDBCFFFEC9FFFED5FFFEDFFFFFE7
FFFFEDFFFFF2FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF4FFFFF0FFFFEBFFFFE4FFFEDBFFFED0
FFFDC4FFFDB6FFFCA6FFFB95FFFA83FFF972FFF861FFF651FFF543FFF337FFF12CFFEF24
FFEE1DFFEC18FFEB14FFE911FFE80FFFE80EFFE70DFFE70DFFE70DFFE80EFFE910FFEA12
FFEB16FFED1AFFEE20FFF027FFF231FFF43CFFF549FFF758FFF868FFF979FFFA8BFFFB9C
FFFCADFFFDBCFFFEC9FFFED5FFFEDFFFFFE7FFFFEDFFFFF2FFFFF6FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF9FFFFF8FFFF
F6FFFFF6FFFFF5FFFFF5FFFFF6FFFFF7FFFFF9FFFFFBFFFFFEFFFFFFFFFEFFFFFAFFFFF5
FFFFF1FFFFECFFFFE7FFFFE2FFFEDEFFFED9FFFED5FFFED2FFFECEFFFECBFFFEC8FFFDC6
FFFDC4FFFDC3FFFDC2FFFDC2FFFDC1FFFDC2FFFDC2FFFDC3FFFDC5FFFDC7FFFEC9FFFECC
FFFECFFFFED2FFFED6FFFEDAFFFEDFFFFFE3FFFFE8FFFFEDFFFFF2FFFFF6FFFFFBFFFFFF
FDFFFFFAFFFFF8FFFFF7FFFFF6FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFF
FCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF5FFFFF1FFFFECFFFFE5FFFEDDFFFED3FFFDC7FFFDB9FFFCA9FFFB99FFFA87FFF976
FFF865FFF655FFF546FFF339FFF22EFFF026FFEE1FFFEC19FFEB15FFEA12FFE910FFE80E
FFE70DFFE70DFFE70DFFE80EFFE910FFEA12FFEB15FFEC19FFEE1FFFF026FFF22EFFF339
FFF546FFF655FFF865FFF976FFFA87FFFB99FFFCA9FFFDB9FFFDC7FFFED3FFFEDDFFFFE5
FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFEBFFFFE4FFFEDCFFFED2
FFFDC6FFFDB8FFFCA8FFFB98FFFA86FFF975FFF864FFF654FFF546FFF33AFFF22FFFF026
FFEE1FFFED1AFFEB16FFEA13FFE911FFE80FFFE80EFFE80EFFE80FFFE910FFEA11FFEB14
FFEC17FFED1CFFEF22FFF12AFFF233FFF43FFFF64CFFF75BFFF86BFFFA7CFFFB8EFFFC9F
FFFCAFFFFDBEFFFECBFFFED6FFFEE0FFFFE8FFFFEEFFFFF3FFFFF6FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFF
F8FFFFF8FFFFF9FFFFFAFFFFFBFFFFFEFFFFFFFFFFFFFFFBFFFFF8FFFFF4FFFFF0FFFFEB
FFFFE7FFFEE2FFFEDEFFFEDAFFFED6FFFED2FFFECFFFFECCFFFECAFFFDC7FFFDC5FFFDC4
FFFDC3FFFDC2FFFDC1FFFDC1FFFDC1FFFDC1FFFDC1FFFDC2FFFDC3FFFDC4FFFDC5FFFDC7
FFFEC9FFFECCFFFECFFFFED2FFFED5FFFED9FFFEDDFFFEE2FFFFE6FFFFEBFFFFEFFFFFF3
FFFFF7FFFFFBFFFFFEFEFFFFFCFFFFFAFFFFF9FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFF
FBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF6FFFFF3FFFFEEFFFFE8FFFEE1FFFED7FFFECCFFFDBFFFFCB1FFFCA1FFFB8FFFFA7E
FFF86DFFF75CFFF64DFFF440FFF234FFF12BFFEF23FFEE1DFFEC18FFEB14FFEA12FFE910
FFE80FFFE80EFFE80EFFE80FFFE910FFEA12FFEB15FFED19FFEE1FFFF026FFF12EFFF338
FFF545FFF653FFF862FFF973FFFA85FFFB96FFFCA7FFFDB6FFFDC4FFFED1FFFEDBFFFFE4
FFFFEBFFFFF0FFFFF4FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE5FFFEDDFFFED3
FFFDC7FFFDBAFFFCAAFFFB9AFFFA89FFF978FFF867FFF757FFF549FFF43CFFF232FFF029
FFEF22FFED1CFFEC18FFEB14FFEA12FFE911FFE910FFE910FFE910FFE911FFEA13FFEB16
FFED19FFEE1EFFF024FFF12CFFF336FFF441FFF64FFFF75EFFF96EFFFA7FFFFB90FFFCA1
FFFCB1FFFDC0FFFECCFFFED8FFFEE1FFFFE8FFFFEEFFFFF3FFFFF6FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFF
FBFFFFFCFFFFFDFFFFFFFFFFFFFFFEFFFFFBFFFFF8FFFFF4FFFFF1FFFFEDFFFFE9FFFFE5
FFFEE1FFFEDDFFFEDAFFFED7FFFED4FFFED2FFFED0FFFECEFFFECDFFFECCFFFECBFFFECA
FFFEC9FFFEC9FFFEC9FFFEC9FFFEC9FFFEC9FFFEC9FFFEC9FFFEC9FFFECAFFFECAFFFECB
FFFECCFFFECEFFFECFFFFED1FFFED3FFFED6FFFED9FFFEDCFFFEE0FFFFE3FFFFE7FFFFEB
FFFFEFFFFFF3FFFFF6FFFFFAFFFFFDFFFFFFFEFFFFFCFFFFFBFFFFFBFFFFFAFFFFFBFFFF
FBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF4FFFFF0FFFFEBFFFFE4FFFEDCFFFED1FFFDC5FFFDB7FFFCA8FFFB97FFFA86
FFF975FFF864FFF655FFF547FFF33AFFF230FFF027FFEF21FFED1BFFEC17FFEB14FFEA12
FFE910FFE910FFE910FFE910FFEA11FFEA13FFEB16FFED1AFFEE1FFFF026FFF12EFFF338
FFF543FFF651FFF760FFF971FFFA82FFFB93FFFCA4FFFDB4FFFDC2FFFECEFFFED9FFFEE2
FFFFE9FFFFEFFFFFF4FFFFF7FFFFF9FFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF2FFFFECFFFFE6FFFEDEFFFED4
FFFEC9FFFDBCFFFCADFFFB9DFFFB8CFFF97BFFF86AFFF75AFFF64CFFF43FFFF234FFF12B
FFEF24FFEE1EFFED19FFEB16FFEB14FFEA12FFE911FFE911FFEA12FFEA13FFEB15FFEC17
FFED1BFFEF20FFF027FFF22FFFF339FFF544FFF652FFF861FFF971FFFA82FFFB93FFFCA4
FFFDB3FFFDC1FFFECEFFFED9FFFEE2FFFFE9FFFFEFFFFFF3FFFFF7FFFFF9FFFFFBFFFFFD
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFEFFFFFCFFFFF9FFFFF6FFFFF3FFFFF0FFFFECFFFFE9FFFFE6FFFFE3
FFFEE0FFFEDEFFFEDCFFFEDAFFFED9FFFED8FFFED7FFFED7FFFED7FFFED7FFFED7FFFED7
FFFED8FFFED8FFFED8FFFED9FFFED9FFFED9FFFED8FFFED8FFFED8FFFED8FFFED7FFFED7
FFFED7FFFED7FFFED7FFFED7FFFED8FFFED9FFFEDBFFFEDCFFFEDEFFFEE1FFFFE4FFFFE7
FFFFEAFFFFEDFFFFF0FFFFF4FFFFF7FFFFFAFFFFFCFFFFFEFFFFFFFEFFFFFDFFFFFCFFFF
FCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF9FFFFF6FFFFF2FFFFEDFFFFE7FFFEDFFFFED6FFFECBFFFDBEFFFCAFFFFC9FFFFB8E
FFFA7DFFF86DFFF75DFFF64EFFF441FFF336FFF12CFFF025FFEE1FFFED1AFFEC17FFEB14
FFEA12FFEA11FFE911FFEA11FFEA13FFEB14FFEC17FFED1BFFEE1FFFF026FFF12DFFF337
FFF442FFF650FFF75EFFF96FFFFA7FFFFB90FFFCA1FFFCB1FFFDBFFFFECCFFFED7FFFEE0
FFFFE8FFFFEEFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEDFFFFE7FFFEDFFFFED6
FFFECAFFFDBDFFFCAFFFFC9FFFFB8FFFFA7EFFF86DFFF75DFFF64FFFF442FFF337FFF12E
FFF026FFEE20FFED1BFFEC18FFEB15FFEB14FFEA13FFEA13FFEA13FFEB14FFEC16FFED19
FFEE1DFFEF22FFF129FFF231FFF43CFFF547FFF655FFF864FFF974FFFA85FFFB96FFFCA6
FFFDB5FFFDC3FFFECFFFFEDAFFFFE3FFFFEAFFFFEFFFFFF4FFFFF7FFFFF9FFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFF
FFFFFEFFFFFCFFFFFAFFFFF8FFFFF5FFFFF3FFFFF0FFFFEEFFFFEBFFFFE9FFFFE7FFFFE5
FFFFE4FFFFE3FFFFE2FFFFE2FFFFE3FFFFE3FFFFE4FFFFE5FFFFE7FFFFE8FFFFEAFFFFEB
FFFFECFFFFEDFFFFEEFFFFEFFFFFEFFFFFEFFFFFEFFFFFEEFFFFEDFFFFECFFFFEBFFFFEA
FFFFE8FFFFE7FFFFE5FFFFE4FFFFE3FFFFE3FFFFE2FFFFE2FFFFE3FFFFE4FFFFE5FFFFE7
FFFFE9FFFFEBFFFFEDFFFFF0FFFFF3FFFFF5FFFFF8FFFFFAFFFFFCFFFFFEFFFFFFFEFFFF
FEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFB
FFFFFAFFFFF7FFFFF4FFFFF0FFFFEAFFFFE3FFFEDAFFFED0FFFDC4FFFDB6FFFCA7FFFB96
FFFA86FFF975FFF865FFF656FFF548FFF43CFFF232FFF129FFEF23FFEE1DFFED19FFEC17
FFEB14FFEA13FFEA13FFEA13FFEB14FFEB15FFEC18FFED1BFFEE20FFF026FFF12DFFF337
FFF442FFF64EFFF75DFFF86CFFFA7DFFFB8EFFFC9EFFFCAEFFFDBDFFFECAFFFED5FFFEDF
FFFFE7FFFFEDFFFFF2FFFFF6FFFFF8FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEEFFFFE8FFFEE0FFFED7
FFFECCFFFDBFFFFCB1FFFCA2FFFB91FFFA81FFF970FFF760FFF652FFF545FFF33AFFF230
FFF029FFEF22FFEE1EFFED1AFFEC17FFEB16FFEB15FFEB14FFEB15FFEB16FFEC18FFED1B
FFEE1FFFF025FFF12CFFF234FFF43EFFF54AFFF758FFF867FFF977FFFA88FFFB98FFFCA8
FFFDB7FFFDC5FFFED1FFFEDBFFFFE3FFFFEAFFFFF0FFFFF4FFFFF7FFFFFAFFFFFBFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFF0FFFFEEFFFFEDFFFFECFFFFEBFFFFEB
FFFFEBFFFFECFFFFEDFFFFEEFFFFF0FFFFF2FFFFF5FFFFF8FFFFFAFFFFFDFFFFFFFDFFFF
FBFFFFF9FFFFF8FFFFF7FFFFF6FFFFF6FFFFF7FFFFF7FFFFF9FFFFFAFFFFFCFFFFFFFFFF
FFFFFEFFFFFBFFFFF8FFFFF6FFFFF3FFFFF1FFFFEFFFFFEDFFFFECFFFFEBFFFFEBFFFFEB
FFFFEBFFFFECFFFFEEFFFFEFFFFFF1FFFFF3FFFFF5FFFFF7FFFFF9FFFFFBFFFFFDFFFFFE
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE6FFFEDEFFFED5FFFEC9FFFDBCFFFCAEFFFC9E
FFFB8EFFFA7DFFF86DFFF75DFFF64FFFF442FFF338FFF22FFFF027FFEF21FFEE1DFFED19
FFEC17FFEB15FFEB14FFEB14FFEB15FFEC17FFEC19FFED1CFFEF20FFF026FFF12DFFF336
FFF441FFF64DFFF75BFFF86AFFF97BFFFB8BFFFB9CFFFCACFFFDBAFFFDC8FFFED3FFFEDD
FFFFE5FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEEFFFFE8FFFEE1FFFED8
FFFECDFFFDC1FFFDB3FFFCA4FFFB94FFFA83FFF973FFF864FFF655FFF548FFF43DFFF233
FFF12BFFF025FFEE20FFED1CFFED19FFEC17FFEC16FFEB16FFEC17FFEC18FFED1AFFEE1D
FFEF22FFF027FFF12EFFF337FFF441FFF64DFFF75BFFF86AFFF97AFFFA8BFFFB9BFFFCAB
FFFDB9FFFDC7FFFED2FFFEDCFFFFE4FFFFEBFFFFF0FFFFF4FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFAFFFFF9FFFFF7FFFFF5FFFFF4FFFFF3FFFFF2FFFFF1FFFFF1FFFFF1FFFFF2FFFFF3
FFFFF5FFFFF7FFFFFAFFFFFDFFFFFFFCFFFFF8FFFFF5FFFFF1FFFFEEFFFFEBFFFFE8FFFF
E6FFFFE4FFFFE3FFFFE2FEFFE1FEFFE1FEFFE1FEFFE2FEFFE3FFFFE5FFFFE7FFFFE9FFFF
ECFFFFEFFFFFF2FFFFF6FFFFF9FFFFFDFFFFFFFFFFFFFFFCFFFFF9FFFFF6FFFFF4FFFFF3
FFFFF2FFFFF1FFFFF1FFFFF1FFFFF2FFFFF3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF9FFFFF7FFFFF3FFFFEFFFFFE9FFFEE2FFFED9FFFECFFFFDC2FFFDB5FFFCA6
FFFB96FFFA85FFF975FFF865FFF756FFF549FFF43EFFF234FFF12CFFF025FFEE20FFED1C
FFED19FFEC17FFEC16FFEB16FFEC17FFEC18FFED1AFFEE1DFFEF21FFF027FFF12DFFF336
FFF440FFF64CFFF75AFFF869FFF978FFFA89FFFB99FFFCA9FFFDB8FFFDC5FFFED1FFFEDB
FFFFE4FFFFEAFFFFF0FFFFF4FFFFF7FFFFFAFFFFFBFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF3FFFFEFFFFFE9FFFEE2FFFED9
FFFECFFFFDC3FFFDB5FFFCA6FFFB97FFFA86FFF976FFF867FFF758FFF54BFFF440FFF336
FFF12EFFF027FFEF22FFEE1EFFED1BFFED19FFEC18FFEC18FFEC19FFED1AFFED1CFFEE20
FFEF24FFF12AFFF231FFF33AFFF544FFF651FFF75EFFF96DFFFA7DFFFB8DFFFC9DFFFCAD
FFFDBBFFFDC8FFFED4FFFEDDFFFFE5FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF9FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFFFAFFFFFD
FFFFFFFCFFFFF9FFFFF5FFFFF1FFFFEDFFFFE9FFFFE6FFFFE2FFFFDFFEFFDCFEFFDAFEFF
D8FEFFD6FEFFD5FEFFD4FEFFD3FEFFD3FEFFD3FEFFD4FEFFD5FEFFD6FEFFD8FEFFDAFEFF
DDFEFFDFFEFFE2FFFFE6FFFFE9FFFFEDFFFFF1FFFFF5FFFFF9FFFFFCFFFFFFFFFFFFFFFD
FFFFFAFFFFF8FFFFF7FFFFF6FFFFF5FFFFF5FFFFF6FFFFF6FFFFF7FFFFF8FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE5FFFEDDFFFED3FFFDC8FFFDBBFFFCAD
FFFB9DFFFB8DFFFA7DFFF86DFFF75EFFF650FFF544FFF33AFFF231FFF12AFFEF24FFEE1F
FFED1CFFED1AFFEC19FFEC18FFEC18FFED19FFED1BFFEE1EFFEF22FFF027FFF12EFFF336
FFF440FFF54BFFF758FFF867FFF976FFFA87FFFB97FFFCA7FFFDB5FFFDC3FFFECFFFFED9
FFFEE2FFFFE9FFFFEFFFFFF3FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFF9FFFFF7FFFFF4FFFFEFFFFFEAFFFFE3FFFEDA
FFFED0FFFDC5FFFDB7FFFCA9FFFB99FFFA89FFF979FFF86AFFF75BFFF64EFFF443FFF339
FFF230FFF12AFFEF24FFEF20FFEE1DFFED1BFFED1AFFED1AFFED1BFFED1CFFEE1EFFEF22
FFF026FFF12CFFF234FFF43DFFF547FFF654FFF861FFF970FFFA80FFFB90FFFCA0FFFCAF
FFFDBDFFFECAFFFED5FFFEDEFFFFE6FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFFAFFFFF9FFFFF8FFFFF8FFFFF8FFFFF9FFFFFAFFFFFCFFFFFDFFFFFFFCFFFFF9FFFF
F6FFFFF2FFFFEEFFFFEAFFFFE7FFFFE3FFFFE0FEFFDDFEFFDAFEFFD7FEFFD5FEFFD3FEFF
D1FEFFCFFEFFCEFEFFCDFEFFCDFEFFCDFEFFCDFEFFCDFEFFCEFEFFCFFEFFD0FEFFD2FEFF
D4FEFFD6FEFFD9FEFFDCFEFFDFFEFFE2FEFFE6FFFFE9FFFFEDFFFFF1FFFFF4FFFFF8FFFF
FBFFFFFEFFFFFFFFFEFFFFFCFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF9FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEEFFFFE8FFFEE1FFFED8FFFECDFFFDC1FFFDB3
FFFCA5FFFB95FFFA85FFF975FFF866FFF758FFF54BFFF440FFF336FFF12EFFF028FFEF23
FFEE1FFFEE1DFFED1BFFED1AFFED1AFFED1BFFEE1DFFEE1FFFEF23FFF028FFF12EFFF336
FFF43FFFF54BFFF757FFF865FFF975FFFA84FFFB94FFFCA4FFFDB3FFFDC1FFFECDFFFED8
FFFEE0FFFFE8FFFFEEFFFFF2FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFF0FFFFEAFFFFE4FFFEDC
FFFED2FFFDC6FFFDB9FFFCABFFFB9CFFFB8CFFFA7CFFF86DFFF75EFFF651FFF546FFF43C
FFF233FFF12CFFF027FFEF23FFEE1FFFEE1DFFED1CFFED1CFFEE1DFFEE1EFFEF21FFEF24
FFF029FFF22FFFF337FFF440FFF54AFFF757FFF865FFF973FFFA83FFFB93FFFCA2FFFCB1
FFFDBFFFFECBFFFED6FFFEDFFFFFE7FFFFEDFFFFF2FFFFF5FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFB
FFFFFBFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFFFEFFFFFBFFFFF8FFFFF5FFFFF2FFFF
EEFFFFEBFFFFE8FFFFE4FFFFE1FEFFDEFEFFDCFEFFD9FEFFD7FEFFD5FEFFD3FEFFD2FEFF
D1FEFFD0FEFFCFFEFFCFFEFFCFFEFFCEFEFFCEFEFFCFFEFFCFFEFFD0FEFFD0FEFFD1FEFF
D3FEFFD4FEFFD6FEFFD8FEFFDAFEFFDDFEFFDFFEFFE2FEFFE5FFFFE9FFFFECFFFFF0FFFF
F3FFFFF6FFFFF9FFFFFCFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFB
FFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFF0FFFFEBFFFFE4FFFEDCFFFED2FFFDC7FFFDBA
FFFCACFFFB9DFFFB8DFFFA7DFFF96EFFF75FFFF652FFF546FFF43CFFF233FFF12CFFF027
FFEF23FFEE20FFEE1DFFED1CFFED1CFFEE1DFFEE1EFFEF21FFEF24FFF029FFF22FFFF336
FFF43FFFF54AFFF756FFF864FFF973FFFA82FFFB92FFFCA2FFFCB1FFFDBEFFFECBFFFED6
FFFEDFFFFFE6FFFFEDFFFFF2FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFF0FFFFEBFFFFE5FFFEDD
FFFED3FFFDC8FFFDBBFFFCADFFFC9EFFFB8FFFFA7FFFF970FFF862FFF654FFF549FFF43F
FFF336FFF22FFFF129FFF025FFEF22FFEE20FFEE1EFFEE1EFFEE1FFFEF20FFEF23FFF027
FFF12BFFF232FFF339FFF443FFF64EFFF75AFFF868FFF977FFFA86FFFB96FFFCA5FFFDB3
FFFDC1FFFECDFFFED7FFFEE0FFFFE8FFFFEDFFFFF2FFFFF6FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFDFFFFFBFFFFF9FFFFF6FFFFF3FFFFF0FFFFEDFFFF
EAFFFFE8FFFFE5FFFFE2FFFFE0FEFFDEFEFFDDFEFFDBFEFFDAFEFFD9FEFFD9FEFFD8FEFF
D8FEFFD8FEFFD7FEFFD7FEFFD7FEFFD7FEFFD7FEFFD7FEFFD7FEFFD7FEFFD8FEFFD8FEFF
D8FEFFD9FEFFD9FEFFDAFEFFDBFEFFDDFEFFDFFEFFE0FEFFE3FFFFE5FFFFE8FFFFEBFFFF
EDFFFFF0FFFFF3FFFFF6FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF2FFFFEDFFFFE7FFFEE0FFFED7FFFECCFFFDC0
FFFDB2FFFCA4FFFB95FFFA85FFF975FFF867FFF759FFF64DFFF442FFF339FFF231FFF12B
FFF026FFEF23FFEF20FFEE1FFFEE1EFFEE1FFFEE20FFEF22FFF025FFF12AFFF22FFFF336
FFF43FFFF549FFF655FFF863FFF971FFFA80FFFB90FFFCA0FFFCAEFFFDBCFFFEC9FFFED4
FFFEDDFFFFE5FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE5FFFEDE
FFFED4FFFECAFFFDBDFFFCB0FFFCA1FFFB92FFFA82FFF973FFF865FFF758FFF64CFFF442
FFF339FFF232FFF12CFFF027FFEF24FFEF22FFEF21FFEF20FFEF21FFEF23FFF025FFF129
FFF12EFFF235FFF43CFFF546FFF651FFF75DFFF86BFFF97AFFFA89FFFB98FFFCA7FFFDB6
FFFDC3FFFECEFFFED9FFFEE1FFFFE8FFFFEEFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFFFFFFFFFEFFFFFCFFFFFAFFFFF8FFFFF5FFFFF3FFFFF0FFFFEEFFFFECFFFF
EAFFFFE8FFFFE6FFFFE5FFFFE4FFFFE3FFFFE3FFFFE3FFFFE3FFFFE3FFFFE3FFFFE4FFFF
E4FFFFE5FFFFE5FFFFE6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE5FFFFE5FFFFE4FFFF
E4FFFFE3FFFFE3FFFFE3FFFFE3FFFFE3FFFFE3FFFFE4FFFFE5FFFFE6FFFFE7FFFFE9FFFF
EBFFFFEDFFFFF0FFFFF2FFFFF5FFFFF7FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFEFFFFFEAFFFFE3FFFEDBFFFED1FFFDC6
FFFDB9FFFCABFFFB9CFFFB8DFFFA7DFFF96EFFF760FFF654FFF548FFF43FFFF336FFF230
FFF12AFFF026FFEF23FFEF21FFEF21FFEF21FFEF22FFEF24FFF027FFF12BFFF230FFF337
FFF43FFFF549FFF655FFF862FFF970FFFA7FFFFB8EFFFC9DFFFCACFFFDBAFFFDC7FFFED2
FFFEDCFFFFE4FFFFEAFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFDFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE6FFFEDF
FFFED6FFFECBFFFDBFFFFDB2FFFCA4FFFB95FFFA85FFF976FFF868FFF75BFFF64FFFF545
FFF43CFFF234FFF22FFFF12AFFF027FFEF24FFEF23FFEF23FFEF24FFF025FFF028FFF12C
FFF231FFF337FFF43FFFF549FFF654FFF760FFF96EFFFA7DFFFB8CFFFB9BFFFCAAFFFDB8
FFFDC5FFFED0FFFEDAFFFEE2FFFFE9FFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF8FFFFF6FFFFF4FFFFF2FFFFF0FFFFEFFFFFEDFFFF
ECFFFFECFFFFEBFFFFEBFFFFEBFFFFECFFFFEDFFFFEEFFFFEFFFFFF1FFFFF2FFFFF3FFFF
F5FFFFF6FFFFF7FFFFF8FFFFF9FFFFF9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF7FFFFF6FFFF
F4FFFFF3FFFFF1FFFFF0FFFFEFFFFFEDFFFFECFFFFECFFFFEBFFFFEBFFFFEBFFFFECFFFF
EDFFFFEEFFFFEFFFFFF1FFFFF3FFFFF5FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE6FFFEDFFFFED6FFFECB
FFFDBFFFFDB2FFFCA3FFFB94FFFA85FFF976FFF868FFF75BFFF64FFFF544FFF43CFFF234
FFF22EFFF12AFFF027FFEF24FFEF23FFEF23FFEF24FFF025FFF028FFF12CFFF231FFF338
FFF440FFF549FFF654FFF761FFF96EFFFA7DFFFB8CFFFB9BFFFCAAFFFDB8FFFDC5FFFED0
FFFEDAFFFEE2FFFFE9FFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF2FFFFEDFFFFE7FFFEE0
FFFED7FFFECDFFFDC1FFFDB4FFFCA6FFFB97FFFA88FFF97AFFF86BFFF75EFFF652FFF548
FFF43FFFF337FFF231FFF12DFFF129FFF027FFF026FFF025FFF026FFF028FFF12BFFF22F
FFF234FFF33AFFF442FFF64CFFF757FFF864FFF971FFFA80FFFB8FFFFC9EFFFCACFFFDBA
FFFDC6FFFED1FFFEDBFFFFE3FFFFEAFFFFEFFFFFF3FFFFF7FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5FFFFF4FFFFF3FFFFF2FFFFF1FFFFF1FFFF
F1FFFFF2FFFFF3FFFFF4FFFFF5FFFFF7FFFFF9FFFFFBFFFFFEFFFFFFFFFFFFFFFDFFFFFA
FFFFF8FFFFF7FFFFF5FFFFF4FFFFF3FFFFF2FFFFF2FFFFF2FFFFF3FFFFF4FFFFF5FFFFF7
FFFFF9FFFFFBFFFFFDFFFFFFFDFFFFFBFFFFF9FFFFF7FFFFF5FFFFF4FFFFF3FFFFF2FFFF
F1FFFFF1FFFFF1FFFFF2FFFFF3FFFFF4FFFFF5FFFFF7FFFFF8FFFFFAFFFFFBFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEFFFFFE9FFFEE2FFFEDAFFFED0
FFFDC5FFFDB8FFFCAAFFFB9CFFFB8DFFFA7EFFF970FFF862FFF756FFF54BFFF441FFF339
FFF233FFF12EFFF12AFFF027FFF026FFF025FFF026FFF027FFF12AFFF12DFFF232FFF338
FFF440FFF549FFF654FFF760FFF86DFFFA7BFFFA8AFFFB99FFFCA8FFFDB6FFFDC3FFFECE
FFFED8FFFEE1FFFFE8FFFFEEFFFFF2FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF8FFFFF6FFFFF2FFFFEEFFFFE8FFFEE1
FFFED8FFFECEFFFDC3FFFDB6FFFCA8FFFB9AFFFB8BFFFA7DFFF96FFFF861FFF655FFF54B
FFF442FFF33AFFF234FFF22FFFF12CFFF129FFF028FFF028FFF029FFF12AFFF12DFFF231
FFF337FFF43DFFF546FFF64FFFF75AFFF867FFF975FFFA83FFFB92FFFCA0FFFCAEFFFDBC
FFFDC8FFFED3FFFEDCFFFFE4FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFDFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFF
FCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF6FFFFF6FFFFF7FFFF
F8FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFFFCFFFFF9FFFFF6FFFFF3FFFFF1FFFFEEFFFFEC
FFFFEAFFFFE8FFFFE6FFFFE5FFFFE4FFFFE3FFFFE3FFFFE3FFFFE4FFFFE5FFFFE6FFFFE7
FFFFE9FFFFEBFFFFEEFFFFF0FFFFF3FFFFF6FFFFF9FFFFFBFFFFFEFEFFFFFCFFFFFAFFFF
F8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF6FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFF
FCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF4FFFFF1FFFFECFFFFE5FFFEDEFFFED5
FFFECAFFFDBEFFFCB1FFFCA3FFFB94FFFA86FFF977FFF869FFF75DFFF651FFF547FFF43F
FFF338FFF232FFF12EFFF12BFFF029FFF028FFF028FFF129FFF12BFFF22FFFF233FFF339
FFF440FFF549FFF653FFF75FFFF86CFFF97AFFFA89FFFB97FFFCA6FFFDB4FFFDC1FFFECC
FFFED7FFFEDFFFFFE7FFFFEDFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEEFFFFE9FFFEE2
FFFEDAFFFED0FFFDC5FFFDB8FFFCABFFFB9DFFFB8EFFFA80FFF972FFF865FFF759FFF64E
FFF545FFF43DFFF337FFF232FFF22FFFF12CFFF12BFFF12BFFF12BFFF12DFFF230FFF234
FFF33AFFF441FFF549FFF653FFF75EFFF86AFFF978FFFA86FFFB94FFFCA3FFFCB1FFFDBE
FFFECAFFFED4FFFEDDFFFFE5FFFFEBFFFFF0FFFFF4FFFFF7FFFFFAFFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFF
FCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFF8FFFFF9FFFFF9FFFFFAFFFFFCFFFFFDFFFF
FFFFFFFFFFFDFFFFFBFFFFF8FFFFF5FFFFF2FFFFEFFFFFECFFFFE9FFFFE6FFFFE4FFFEE2
FFFEE0FFFEDEFFFEDDFFFEDCFFFEDBFFFEDAFFFEDAFFFEDAFFFEDAFFFEDBFFFEDCFFFEDD
FFFEDFFFFEE1FFFFE3FFFFE5FFFFE8FFFFEAFFFFEDFFFFF0FFFFF3FFFFF6FFFFF9FFFFFC
FFFFFEFEFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFF
FBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF2FFFFEEFFFFE8FFFEE1FFFED9
FFFECFFFFDC4FFFDB7FFFCAAFFFB9CFFFB8DFFFA7FFFF971FFF864FFF758FFF64DFFF544
FFF43DFFF337FFF232FFF12EFFF12CFFF12BFFF12BFFF12BFFF12DFFF230FFF335FFF33A
FFF441FFF549FFF653FFF75FFFF86BFFF979FFFA87FFFB95FFFCA4FFFDB2FFFDBFFFFECB
FFFED5FFFEDEFFFFE5FFFFECFFFFF1FFFFF4FFFFF7FFFFFAFFFFFBFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEFFFFFE9FFFFE3
FFFEDBFFFED1FFFDC7FFFDBAFFFCADFFFC9FFFFB91FFFA83FFF975FFF868FFF75CFFF651
FFF548FFF441FFF33AFFF335FFF231FFF22FFFF12EFFF12DFFF12EFFF230FFF233FFF337
FFF43DFFF544FFF64CFFF756FFF861FFF96DFFF97BFFFA89FFFB97FFFCA5FFFDB3FFFDC0
FFFECBFFFED6FFFEDEFFFFE6FFFFECFFFFF1FFFFF5FFFFF8FFFFFAFFFFFBFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFF
FCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFEFFFFFFFFFFFFFFFEFFFFFB
FFFFF9FFFFF6FFFFF3FFFFF1FFFFEEFFFFEBFFFFE8FFFFE6FFFFE3FFFEE1FFFEDFFFFEDD
FFFEDCFFFEDAFFFED9FFFED9FFFED8FFFED8FFFED7FFFED7FFFED8FFFED8FFFED9FFFEDA
FFFEDBFFFEDCFFFEDEFFFEDFFFFEE1FFFFE4FFFFE6FFFFE9FFFFEBFFFFEEFFFFF1FFFFF4
FFFFF7FFFFF9FFFFFCFFFFFEFFFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFF9FFFFF7FFFFF4FFFFF0FFFFEBFFFFE5FFFEDD
FFFED4FFFEC9FFFDBEFFFCB1FFFCA3FFFB95FFFA86FFF978FFF86BFFF75FFFF654FFF54A
FFF442FFF43CFFF336FFF232FFF22FFFF12EFFF12DFFF12EFFF22FFFF232FFF336FFF33B
FFF442FFF54AFFF653FFF75EFFF86AFFF978FFFA85FFFB94FFFCA2FFFCB0FFFDBDFFFEC9
FFFED3FFFEDCFFFFE4FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFEFFFFFEAFFFFE4
FFFEDCFFFED3FFFDC8FFFDBDFFFCB0FFFCA2FFFB94FFFA86FFF978FFF86BFFF75FFFF655
FFF54CFFF544FFF43DFFF338FFF234FFF232FFF230FFF230FFF231FFF233FFF336FFF33A
FFF440FFF547FFF64FFFF759FFF864FFF971FFFA7EFFFB8CFFFB9AFFFCA8FFFDB5FFFDC2
FFFECDFFFED7FFFEDFFFFFE7FFFFEDFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFF
FCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFDFFFFFBFFFFF9FFFFF6
FFFFF4FFFFF1FFFFEFFFFFECFFFFEAFFFFE8FFFFE6FFFFE4FFFEE2FFFEE0FFFEDFFFFEDE
FFFEDDFFFEDCFFFEDCFFFEDBFFFEDBFFFEDBFFFEDBFFFEDBFFFEDBFFFEDBFFFEDBFFFEDC
FFFEDCFFFEDDFFFEDEFFFEDFFFFEE0FFFEE2FFFFE3FFFFE5FFFFE7FFFFEAFFFFECFFFFEE
FFFFF1FFFFF4FFFFF6FFFFF9FFFFFBFFFFFDFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFCFFFF
FCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF2FFFFEDFFFFE7FFFEE0
FFFED8FFFECEFFFDC3FFFDB7FFFCAAFFFB9CFFFB8EFFFA80FFF972FFF866FFF75BFFF651
FFF548FFF441FFF33BFFF336FFF233FFF231FFF230FFF230FFF232FFF234FFF338FFF43D
FFF443FFF54AFFF654FFF75EFFF86AFFF977FFFA84FFFB92FFFCA0FFFCAEFFFDBBFFFDC7
FFFED2FFFEDBFFFFE3FFFFE9FFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF0FFFFEBFFFFE5
FFFEDDFFFED4FFFECAFFFDBFFFFDB2FFFCA5FFFB97FFFA89FFFA7BFFF96FFFF863FFF758
FFF64FFFF547FFF440FFF33BFFF337FFF335FFF233FFF233FFF234FFF336FFF339FFF43D
FFF443FFF54AFFF653FFF75DFFF868FFF974FFFA81FFFB8FFFFB9DFFFCAAFFFDB7FFFDC4
FFFECFFFFED8FFFEE1FFFFE7FFFFEDFFFFF2FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFDFFFFFBFFFFFAFFFFF8FFFFF5FFFFF3
FFFFF1FFFFEFFFFFEDFFFFEBFFFFEAFFFFE8FFFFE7FFFFE6FFFFE5FFFFE5FFFFE4FFFFE4
FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4
FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE5FFFFE6FFFFE6FFFFE8FFFFE9FFFFEBFFFFEC
FFFFEEFFFFF0FFFFF2FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFEFFFFFFFFFFFFFEFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF3FFFFEFFFFFEAFFFFE4
FFFEDCFFFED3FFFEC9FFFDBDFFFCB0FFFCA3FFFB95FFFA87FFF97AFFF86DFFF861FFF757
FFF64EFFF546FFF440FFF33BFFF337FFF235FFF233FFF233FFF234FFF336FFF339FFF43E
FFF544FFF54BFFF654FFF75EFFF869FFF976FFFA83FFFB91FFFC9FFFFCACFFFDB9FFFDC5
FFFED0FFFED9FFFEE1FFFFE8FFFFEEFFFFF2FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFF0FFFFECFFFFE6
FFFEDEFFFED6FFFECCFFFDC1FFFDB4FFFCA7FFFB9AFFFB8CFFFA7FFFF972FFF866FFF75B
FFF652FFF54AFFF544FFF43EFFF33AFFF338FFF336FFF336FFF337FFF339FFF43CFFF440
FFF546FFF64DFFF756FFF760FFF86BFFF977FFFA84FFFB92FFFCA0FFFCADFFFDBAFFFDC5
FFFED0FFFED9FFFEE2FFFFE8FFFFEEFFFFF2FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFF9FFFFF7FFFFF6FFFFF4FFFFF2
FFFFF1FFFFEFFFFFEEFFFFEDFFFFEDFFFFECFFFFECFFFFECFFFFECFFFFECFFFFEDFFFFED
FFFFEEFFFFEFFFFFEFFFFFF0FFFFF0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFF0
FFFFEFFFFFEFFFFFEEFFFFEDFFFFEDFFFFECFFFFECFFFFECFFFFECFFFFECFFFFEDFFFFED
FFFFEEFFFFF0FFFFF1FFFFF3FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFEDFFFFE7
FFFEE0FFFED7FFFECEFFFDC3FFFDB7FFFCAAFFFB9CFFFB8FFFFA81FFF974FFF868FFF75D
FFF654FFF54CFFF545FFF43FFFF33BFFF338FFF336FFF336FFF337FFF338FFF33BFFF440
FFF545FFF64CFFF654FFF75EFFF869FFF975FFFA82FFFB8FFFFB9DFFFCAAFFFDB7FFFDC3
FFFECEFFFED8FFFEE0FFFFE7FFFFEDFFFFF1FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF5FFFFF1FFFFECFFFFE6
FFFEDFFFFED7FFFECDFFFDC2FFFDB7FFFCAAFFFB9CFFFB8FFFFA82FFF975FFF86AFFF75F
FFF656FFF64EFFF547FFF442FFF43EFFF33BFFF339FFF339FFF33AFFF43CFFF43FFFF544
FFF54AFFF651FFF759FFF863FFF96EFFF97BFFFA87FFFB95FFFCA2FFFCAFFFFDBCFFFDC7
FFFED2FFFEDBFFFFE3FFFFE9FFFFEEFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF3
FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF3FFFFF3FFFFF4FFFFF5FFFFF7FFFFF8FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF6FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2
FFFFF2FFFFF2FFFFF2FFFFF3FFFFF4FFFFF5FFFFF6FFFFF8FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEFFFFFE9
FFFFE3FFFEDBFFFED2FFFDC8FFFDBDFFFCB0FFFCA3FFFB96FFFA88FFFA7BFFF96FFFF864
FFF75AFFF651FFF54AFFF544FFF43FFFF43CFFF33AFFF339FFF339FFF33BFFF43DFFF441
FFF546FFF64DFFF655FFF75EFFF869FFF974FFFA81FFFB8EFFFB9CFFFCA9FFFDB6FFFDC2
FFFECDFFFED6FFFEDFFFFFE6FFFFECFFFFF1FFFFF4FFFFF7FFFFFAFFFFFBFFFFFDFFFFFD
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF1FFFFEDFFFFE7
FFFEE0FFFED8FFFECFFFFDC4FFFDB9FFFCACFFFC9FFFFB92FFFA85FFF979FFF86DFFF862
FFF759FFF651FFF54AFFF545FFF441FFF43EFFF43DFFF43CFFF43DFFF43FFFF442FFF547
FFF64DFFF654FFF75DFFF867FFF972FFFA7EFFFA8BFFFB98FFFCA5FFFDB2FFFDBEFFFEC9
FFFED3FFFEDCFFFFE4FFFFEAFFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF6FFFFF6
FFFFF6FFFFF6FFFFF7FFFFF8FFFFF9FFFFFBFFFFFCFFFFFEFFFFFFFDFFFFFBFFFFF9FFFF
F7FFFFF6FFFFF4FFFFF3FFFFF2FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF3FFFF
F4FFFFF5FFFFF7FFFFF8FFFFFAFFFFFCFFFFFEFFFFFFFFFFFFFFFDFFFFFBFFFFFAFFFFF8
FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF7FFFFF4FFFFF1FFFFEC
FFFFE6FFFEDFFFFED7FFFECDFFFDC2FFFDB6FFFCAAFFFB9DFFFB90FFFA83FFF976FFF86B
FFF760FFF757FFF650FFF549FFF544FFF440FFF43EFFF43CFFF43CFFF43DFFF440FFF543
FFF548FFF64EFFF756FFF75FFFF869FFF974FFFA80FFFB8DFFFB9AFFFCA7FFFDB4FFFDC0
FFFECBFFFED5FFFEDDFFFFE5FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF2FFFFEEFFFFE8
FFFEE1FFFEDAFFFED1FFFDC6FFFDBBFFFCAFFFFCA2FFFB95FFFA88FFFA7CFFF970FFF866
FFF75CFFF654FFF64EFFF548FFF544FFF441FFF440FFF43FFFF440FFF442FFF546FFF54A
FFF650FFF758FFF760FFF86AFFF975FFFA81FFFB8EFFFB9BFFFCA7FFFDB4FFFDC0FFFECB
FFFED5FFFEDDFFFFE4FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFA
FFFFFAFFFFFCFFFFFDFFFFFFFEFFFFFCFFFFFAFFFFF8FFFFF6FFFFF3FFFFF1FFFFEFFFFF
EDFFFFECFFFFEAFFFFE9FFFFE8FFFFE7FFFFE7FFFFE6FFFFE6FFFFE7FFFFE7FFFFE8FFFF
E9FFFFEBFFFFECFFFFEEFFFFF0FFFFF2FFFFF4FFFFF6FFFFF8FFFFFBFFFFFDFFFFFFFFFF
FFFFFEFFFFFDFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFB
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF2FFFFEE
FFFFE9FFFFE2FFFEDBFFFED2FFFDC8FFFDBCFFFCB0FFFCA4FFFB97FFFA8AFFFA7DFFF972
FFF867FFF75EFFF655FFF64EFFF549FFF545FFF442FFF440FFF43FFFF440FFF442FFF545
FFF54AFFF64FFFF757FFF75FFFF869FFF974FFFA7FFFFB8CFFFB99FFFCA6FFFDB2FFFDBE
FFFEC9FFFED3FFFEDCFFFFE4FFFFEAFFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF2FFFFEEFFFFE9
FFFFE2FFFEDBFFFED2FFFDC8FFFDBDFFFCB1FFFCA5FFFB98FFFB8BFFFA7FFFF974FFF869
FFF760FFF758FFF651FFF54CFFF547FFF545FFF443FFF443FFF544FFF546FFF549FFF64E
FFF654FFF75BFFF864FFF96EFFF978FFFA84FFFB91FFFC9DFFFCAAFFFDB6FFFDC2FFFECC
FFFED6FFFEDEFFFFE5FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFDFFFFFE
FFFFFFFEFFFFFCFFFFFAFFFFF8FFFFF5FFFFF3FFFFF1FFFFEFFFFFECFFFFEBFFFFE9FFFF
E7FFFFE6FFFFE4FFFFE3FFFFE2FFFFE2FEFFE1FEFFE1FEFFE1FEFFE1FEFFE2FEFFE2FFFF
E3FFFFE4FFFFE6FFFFE7FFFFE9FFFFEAFFFFECFFFFEFFFFFF1FFFFF3FFFFF5FFFFF8FFFF
FAFFFFFCFFFFFEFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFB
FFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF0
FFFFEBFFFFE5FFFEDEFFFED6FFFECDFFFDC2FFFDB6FFFCAAFFFC9EFFFB91FFFA84FFF979
FFF96EFFF864FFF75BFFF654FFF64EFFF549FFF546FFF544FFF443FFF443FFF545FFF547
FFF54BFFF651FFF758FFF760FFF869FFF974FFFA7FFFFA8BFFFB98FFFCA4FFFCB1FFFDBD
FFFDC8FFFED2FFFEDBFFFFE2FFFFE9FFFFEEFFFFF2FFFFF6FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEFFFFFEA
FFFFE3FFFEDCFFFED4FFFECAFFFDBFFFFDB3FFFCA7FFFB9BFFFB8EFFFA82FFF977FFF86D
FFF863FFF75BFFF654FFF64FFFF54BFFF548FFF546FFF546FFF547FFF549FFF64CFFF651
FFF757FFF75FFFF867FFF971FFFA7CFFFA87FFFB94FFFCA0FFFCADFFFDB9FFFDC4FFFECE
FFFED7FFFEDFFFFFE6FFFFECFFFFF1FFFFF4FFFFF7FFFFFAFFFFFBFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFEFFFFFDFFFF
FBFFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEBFFFFE9FFFFE8FFFFE6FFFF
E5FFFFE4FFFFE3FFFFE2FFFFE2FEFFE1FEFFE1FEFFE1FEFFE1FEFFE1FEFFE1FEFFE2FEFF
E2FEFFE3FFFFE4FFFFE5FFFFE6FFFFE7FFFFE9FFFFEAFFFFECFFFFEEFFFFF0FFFFF2FFFF
F4FFFFF6FFFFF9FFFFFBFFFFFCFFFFFEFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF2
FFFFEEFFFFE8FFFEE2FFFEDAFFFED1FFFDC7FFFDBCFFFCB1FFFCA4FFFB98FFFB8BFFFA80
FFF974FFF86AFFF861FFF759FFF653FFF64EFFF54AFFF547FFF546FFF546FFF547FFF54A
FFF64DFFF652FFF759FFF761FFF869FFF973FFFA7FFFFA8AFFFB97FFFCA3FFFCB0FFFDBB
FFFDC6FFFED0FFFED9FFFEE1FFFFE8FFFFEDFFFFF2FFFFF5FFFFF8FFFFFAFFFFFCFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF3FFFFEFFFFFEA
FFFFE4FFFEDDFFFED5FFFECCFFFDC1FFFDB6FFFCAAFFFC9EFFFB91FFFA86FFF97AFFF970
FFF867FFF75FFFF758FFF652FFF64EFFF54BFFF54AFFF549FFF54AFFF64CFFF650FFF655
FFF75BFFF862FFF86BFFF974FFFA7FFFFA8BFFFB97FFFCA3FFFCAFFFFDBBFFFDC6FFFED0
FFFED9FFFEE1FFFFE7FFFFEDFFFFF1FFFFF5FFFFF8FFFFFAFFFFFBFFFFFDFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFF
F8FFFFF6FFFFF4FFFFF2FFFFF1FFFFEFFFFFEDFFFFECFFFFEBFFFFEAFFFFE9FFFFE8FFFF
E7FFFFE7FFFFE6FFFFE6FFFFE6FFFFE6FFFFE6FFFFE5FFFFE5FFFFE5FFFFE6FFFFE6FFFF
E6FFFFE6FFFFE6FFFFE7FFFFE7FFFFE8FFFFE9FFFFEAFFFFEBFFFFECFFFFEEFFFFEFFFFF
F1FFFFF3FFFFF5FFFFF7FFFFF8FFFFFAFFFFFCFFFFFDFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4
FFFFF0FFFFEBFFFFE5FFFEDEFFFED6FFFECCFFFDC2FFFDB7FFFCABFFFC9FFFFB92FFFA86
FFF97BFFF971FFF867FFF75FFFF758FFF653FFF64FFFF54CFFF54AFFF549FFF54AFFF64C
FFF650FFF654FFF75AFFF861FFF86AFFF974FFFA7EFFFA8AFFFB96FFFCA2FFFCAEFFFDBA
FFFDC5FFFECFFFFED8FFFEE0FFFFE7FFFFECFFFFF1FFFFF5FFFFF7FFFFFAFFFFFBFFFFFD
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF0FFFFEB
FFFFE5FFFEDEFFFED6FFFECDFFFDC3FFFDB8FFFCACFFFCA0FFFB95FFFA89FFFA7EFFF973
FFF86AFFF862FFF75BFFF756FFF652FFF64FFFF64DFFF64DFFF64EFFF650FFF653FFF758
FFF75EFFF866FFF96EFFF978FFFA82FFFB8EFFFB9AFFFCA6FFFCB1FFFDBDFFFDC8FFFED1
FFFEDAFFFEE2FFFFE8FFFFEDFFFFF2FFFFF5FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF8FFFF
F6FFFFF5FFFFF3FFFFF2FFFFF1FFFFF0FFFFEFFFFFEEFFFFEDFFFFEDFFFFEDFFFFEDFFFF
EDFFFFEDFFFFEDFFFFEDFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFF
EEFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEDFFFFEEFFFFEEFFFFEFFFFFF0FFFF
F1FFFFF2FFFFF3FFFFF5FFFFF6FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF5
FFFFF2FFFFEDFFFFE8FFFEE1FFFEDAFFFED1FFFDC7FFFDBCFFFCB1FFFCA5FFFB99FFFB8D
FFFA82FFF977FFF96EFFF865FFF75EFFF758FFF653FFF650FFF64EFFF64DFFF64DFFF64F
FFF652FFF756FFF75CFFF863FFF86BFFF974FFFA7EFFFA89FFFB95FFFCA1FFFCADFFFDB9
FFFDC4FFFECEFFFED7FFFEDFFFFFE6FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF1FFFFEC
FFFFE6FFFEE0FFFED8FFFECFFFFDC5FFFDBAFFFCAFFFFCA3FFFB98FFFB8CFFFA81FFF977
FFF96EFFF866FFF75FFFF759FFF655FFF652FFF651FFF650FFF651FFF653FFF757FFF75C
FFF862FFF869FFF972FFF97BFFFA86FFFB91FFFB9DFFFCA8FFFDB4FFFDBFFFFEC9FFFED3
FFFEDBFFFFE3FFFFE9FFFFEEFFFFF2FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF8FFFFF7FFFF
F6FFFFF5FFFFF4FFFFF3FFFFF3FFFFF3FFFFF2FFFFF3FFFFF3FFFFF3FFFFF4FFFFF4FFFF
F5FFFFF6FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF8FFFF
F8FFFFF7FFFFF7FFFFF6FFFFF5FFFFF5FFFFF4FFFFF3FFFFF3FFFFF3FFFFF2FFFFF2FFFF
F3FFFFF3FFFFF4FFFFF5FFFFF5FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6
FFFFF3FFFFEFFFFFEAFFFFE4FFFEDDFFFED5FFFECCFFFDC2FFFDB7FFFCABFFFCA0FFFB94
FFFA89FFFA7EFFF974FFF86BFFF864FFF75DFFF758FFF654FFF652FFF650FFF650FFF652
FFF654FFF758FFF75DFFF864FFF86BFFF974FFFA7EFFFA89FFFB94FFFCA0FFFCACFFFDB7
FFFDC2FFFECCFFFED6FFFEDEFFFFE5FFFFEAFFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF7FFFFF5FFFFF1FFFFED
FFFFE7FFFEE1FFFED9FFFED1FFFDC7FFFDBDFFFCB1FFFCA6FFFB9AFFFB8FFFFA84FFF97A
FFF971FFF869FFF863FFF75DFFF759FFF756FFF654FFF654FFF655FFF757FFF75AFFF75F
FFF865FFF86DFFF975FFFA7FFFFA89FFFB94FFFC9FFFFCABFFFDB6FFFDC1FFFECBFFFED4
FFFEDDFFFFE4FFFFEAFFFFEFFFFFF3FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFF
F7FFFFF7FFFFF6FFFFF6FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFBFFFFFB
FFFFFCFFFFFCFFFFFDFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF8FFFFF8FFFF
F7FFFFF7FFFFF6FFFFF6FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFF
FDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF7
FFFFF5FFFFF1FFFFEDFFFFE7FFFEE1FFFED9FFFED1FFFDC7FFFDBDFFFDB2FFFCA6FFFB9B
FFFB8FFFFA85FFF97AFFF971FFF869FFF863FFF75DFFF759FFF756FFF654FFF654FFF655
FFF757FFF75AFFF75FFFF865FFF86CFFF975FFFA7EFFFA89FFFB94FFFC9FFFFCABFFFDB6
FFFDC1FFFECBFFFED4FFFEDCFFFFE4FFFFEAFFFFEFFFFFF3FFFFF6FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8FFFFF5FFFFF2FFFFED
FFFFE8FFFEE2FFFEDAFFFED2FFFEC9FFFDBFFFFDB4FFFCA9FFFC9DFFFB92FFFA88FFFA7E
FFF975FFF86DFFF866FFF761FFF75CFFF759FFF758FFF757FFF758FFF75BFFF75EFFF863
FFF869FFF970FFF978FFFA82FFFB8CFFFB97FFFCA2FFFCAEFFFDB9FFFDC3FFFECDFFFED6
FFFEDEFFFFE5FFFFEAFFFFEFFFFFF3FFFFF6FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFF
F9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFF9
FFFFF8FFFFF6FFFFF5FFFFF4FFFFF3FFFFF2FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF2FFFFF3FFFFF4FFFFF5FFFFF6FFFFF8FFFFF9FFFFFBFFFFFDFFFFFEFFFFFFFEFFFF
FDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFF
FCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8
FFFFF6FFFFF3FFFFEFFFFFEAFFFFE4FFFEDDFFFED5FFFECCFFFDC2FFFDB7FFFCACFFFCA1
FFFB96FFFA8BFFFA81FFF978FFF96FFFF868FFF862FFF75EFFF75AFFF758FFF757FFF758
FFF75AFFF75DFFF861FFF867FFF96EFFF976FFFA7FFFFA89FFFB93FFFC9FFFFCAAFFFDB5
FFFDC0FFFECAFFFED3FFFEDBFFFFE2FFFFE9FFFFEEFFFFF2FFFFF5FFFFF8FFFFFAFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF5FFFFF2FFFFEE
FFFFE9FFFFE3FFFEDCFFFED4FFFECBFFFDC1FFFDB6FFFCABFFFCA0FFFB95FFFA8BFFFA81
FFF978FFF970FFF86AFFF864FFF760FFF75DFFF75BFFF75BFFF75CFFF75EFFF862FFF866
FFF86CFFF974FFFA7CFFFA85FFFB8FFFFB9AFFFCA5FFFCB0FFFDBBFFFDC5FFFECFFFFED7
FFFEDFFFFFE6FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFF
FCFFFFFDFFFFFEFFFFFFFFFFFFFFFEFFFFFDFFFFFBFFFFF9FFFFF8FFFFF6FFFFF4FFFFF2
FFFFF1FFFFF0FFFFEEFFFFEDFFFFECFFFFEBFFFFEBFFFFEAFFFFEAFFFFEAFFFFEAFFFFEB
FFFFEBFFFFECFFFFEDFFFFEEFFFFEFFFFFF1FFFFF2FFFFF4FFFFF5FFFFF7FFFFF9FFFFFB
FFFFFCFFFFFEFFFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFF
FCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF7FFFFF4FFFFF1FFFFECFFFFE7FFFEE0FFFED9FFFED1FFFDC7FFFDBDFFFDB2FFFCA7
FFFB9CFFFB92FFFA87FFFA7EFFF975FFF96EFFF868FFF863FFF75FFFF75CFFF75BFFF75B
FFF75DFFF75FFFF863FFF868FFF96FFFF976FFFA7FFFFA89FFFB93FFFC9EFFFCA9FFFDB4
FFFDBFFFFEC9FFFED2FFFEDAFFFEE1FFFFE8FFFFEDFFFFF1FFFFF5FFFFF8FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF3FFFFEF
FFFFEAFFFFE4FFFEDDFFFED5FFFECCFFFDC3FFFDB9FFFCAEFFFCA3FFFB98FFFB8EFFFA85
FFFA7CFFF974FFF96DFFF868FFF864FFF761FFF75FFFF75FFFF760FFF862FFF865FFF86A
FFF970FFF977FFFA7FFFFA89FFFB93FFFB9DFFFCA8FFFDB3FFFDBDFFFDC7FFFED0FFFED9
FFFEE0FFFFE6FFFFECFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFF
FFFFFFFFFFFEFFFFFDFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5FFFFF3FFFFF2FFFFF0FFFFEF
FFFFEDFFFFECFFFFEBFFFFEAFFFFE9FFFFE9FFFFE8FFFFE8FFFFE8FFFFE8FFFFE8FFFFE8
FFFFE8FFFFE9FFFFEAFFFFEBFFFFEBFFFFEDFFFFEEFFFFEFFFFFF1FFFFF2FFFFF4FFFFF6
FFFFF7FFFFF9FFFFFBFFFFFCFFFFFEFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFA
FFFFF8FFFFF6FFFFF2FFFFEEFFFFE9FFFFE4FFFEDDFFFED5FFFECCFFFDC2FFFDB8FFFCAD
FFFCA3FFFB98FFFB8EFFFA84FFFA7BFFF974FFF86DFFF868FFF863FFF761FFF75FFFF75F
FFF760FFF862FFF865FFF86AFFF970FFF977FFFA80FFFA89FFFB93FFFC9DFFFCA8FFFDB3
FFFDBDFFFDC7FFFED1FFFED9FFFEE0FFFFE7FFFFECFFFFF1FFFFF4FFFFF7FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF6FFFFF3FFFFEF
FFFFEAFFFFE5FFFEDEFFFED7FFFECEFFFDC5FFFDBBFFFCB0FFFCA6FFFB9BFFFB91FFFA88
FFFA7FFFF977FFF971FFF86BFFF867FFF864FFF863FFF862FFF863FFF865FFF869FFF96E
FFF974FFF97BFFFA83FFFB8CFFFB96FFFCA0FFFCAAFFFDB5FFFDBFFFFEC9FFFED2FFFEDA
FFFEE1FFFFE7FFFFEDFFFFF1FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5FFFFF4FFFFF2FFFFF1FFFFF0FFFFEFFFFFEE
FFFFEDFFFFECFFFFEBFFFFEBFFFFEAFFFFEAFFFFEAFFFFE9FFFFE9FFFFE9FFFFE9FFFFE9
FFFFEAFFFFEAFFFFEAFFFFEBFFFFEBFFFFECFFFFEDFFFFEEFFFFEFFFFFF0FFFFF1FFFFF3
FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF9FFFFF7FFFFF4FFFFF0FFFFECFFFFE6FFFEE0FFFED9FFFED1FFFDC7FFFDBEFFFDB3
FFFCA9FFFC9EFFFB94FFFA8AFFFA81FFF979FFF973FFF86DFFF868FFF865FFF863FFF862
FFF863FFF865FFF868FFF86CFFF972FFF979FFFA80FFFA89FFFB93FFFB9DFFFCA8FFFDB2
FFFDBCFFFDC6FFFED0FFFED8FFFEDFFFFFE6FFFFEBFFFFF0FFFFF4FFFFF7FFFFF9FFFFFB
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF6FFFFF4FFFFF0
FFFFEBFFFFE6FFFEDFFFFED8FFFED0FFFDC7FFFDBDFFFDB3FFFCA9FFFC9EFFFB95FFFA8B
FFFA83FFF97BFFF974FFF96FFFF86BFFF868FFF866FFF866FFF867FFF869FFF86CFFF971
FFF977FFFA7EFFFA86FFFB8FFFFB99FFFCA3FFFCADFFFDB7FFFDC1FFFECBFFFED3FFFEDB
FFFEE2FFFFE8FFFFEDFFFFF1FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF3FFFFF2FFFFF1FFFFF1FFFFF0FFFFEF
FFFFEFFFFFEFFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEE
FFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEFFFFFEFFFFFEFFFFFF0FFFFF0FFFFF1FFFFF2
FFFFF3FFFFF4FFFFF5FFFFF6FFFFF8FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFB
FFFFFAFFFFF8FFFFF5FFFFF2FFFFEEFFFFE9FFFFE3FFFEDDFFFED5FFFECCFFFDC3FFFDB9
FFFCAFFFFCA4FFFB9AFFFB91FFFA88FFFA7FFFF978FFF972FFF86DFFF869FFF867FFF866
FFF866FFF868FFF86AFFF96EFFF973FFF97AFFFA81FFFA8AFFFB93FFFB9DFFFCA7FFFCB1
FFFDBCFFFDC5FFFECEFFFED7FFFEDEFFFFE5FFFFEAFFFFEFFFFFF3FFFFF6FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF0
FFFFECFFFFE7FFFEE1FFFED9FFFED1FFFEC9FFFDBFFFFDB5FFFCABFFFCA1FFFB98FFFB8E
FFFA86FFFA7EFFF978FFF973FFF96EFFF86CFFF86AFFF86AFFF86AFFF86DFFF970FFF975
FFF97BFFFA82FFFA8AFFFB92FFFB9CFFFCA6FFFCB0FFFDBAFFFDC3FFFECDFFFED5FFFEDD
FFFFE3FFFFE9FFFFEEFFFFF2FFFFF5FFFFF8FFFFFAFFFFFBFFFFFDFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF4FFFFF4FFFFF4FFFFF3FFFFF3FFFFF4
FFFFF4FFFFF4FFFFF4FFFFF5FFFFF5FFFFF5FFFFF5FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6
FFFFF5FFFFF5FFFFF5FFFFF5FFFFF4FFFFF4FFFFF4FFFFF4FFFFF3FFFFF3FFFFF4FFFFF4
FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFF9FFFFF7FFFFF4FFFFF0FFFFECFFFFE6FFFEE0FFFED9FFFED1FFFDC8FFFDBE
FFFDB4FFFCAAFFFCA0FFFB97FFFB8EFFFA85FFFA7EFFF977FFF972FFF96EFFF86BFFF86A
FFF86AFFF86BFFF86DFFF971FFF975FFF97BFFFA82FFFA8AFFFB93FFFB9DFFFCA7FFFCB1
FFFDBBFFFDC4FFFECDFFFED6FFFEDDFFFFE4FFFFEAFFFFEEFFFFF2FFFFF6FFFFF8FFFFFA
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF1
FFFFEDFFFFE8FFFEE2FFFEDBFFFED3FFFECBFFFDC1FFFDB8FFFCAEFFFCA4FFFB9BFFFB92
FFFA89FFFA82FFFA7CFFF976FFF972FFF96FFFF96EFFF96DFFF96EFFF970FFF974FFF978
FFFA7EFFFA85FFFB8DFFFB95FFFC9FFFFCA8FFFDB2FFFDBCFFFDC5FFFECEFFFED7FFFEDE
FFFFE4FFFFEAFFFFEFFFFFF3FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFF9
FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF8FFFFF8FFFFF8
FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF8FFFFF5FFFFF2FFFFEEFFFFE9FFFFE3FFFEDCFFFED5FFFECCFFFDC3
FFFDBAFFFCB0FFFCA6FFFB9DFFFB94FFFA8BFFFA83FFFA7DFFF977FFF973FFF970FFF96E
FFF96DFFF96EFFF970FFF973FFF977FFFA7DFFFA83FFFA8BFFFB94FFFB9DFFFCA6FFFCB0
FFFDBAFFFDC3FFFECCFFFED5FFFEDCFFFFE3FFFFE9FFFFEEFFFFF2FFFFF5FFFFF8FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF7FFFFF5FFFFF2
FFFFEDFFFFE9FFFFE3FFFEDCFFFED5FFFECCFFFDC4FFFDBAFFFCB1FFFCA7FFFC9EFFFB95
FFFB8DFFFA85FFFA7FFFF97AFFF976FFF973FFF971FFF971FFF972FFF974FFF977FFFA7C
FFFA82FFFA88FFFB90FFFB99FFFCA2FFFCABFFFDB5FFFDBEFFFDC7FFFED0FFFED8FFFEDF
FFFFE5FFFFEBFFFFEFFFFFF3FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFA
FFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFF
FEFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFF
F9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFAFFFFF9FFFFF6FFFFF3FFFFF0FFFFEBFFFFE6FFFEE0FFFED9FFFED1FFFDC8
FFFDBFFFFDB6FFFCACFFFCA3FFFB9AFFFB91FFFA89FFFA82FFFA7CFFF978FFF974FFF972
FFF971FFF971FFF973FFF975FFF979FFFA7EFFFA85FFFB8CFFFB94FFFB9DFFFCA6FFFCB0
FFFDB9FFFDC3FFFECCFFFED4FFFEDBFFFEE2FFFFE8FFFFEDFFFFF1FFFFF5FFFFF7FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF5FFFFF2
FFFFEEFFFFE9FFFFE4FFFEDDFFFED6FFFECEFFFDC6FFFDBDFFFDB3FFFCAAFFFCA1FFFB98
FFFB90FFFA89FFFA83FFFA7DFFF979FFF977FFF975FFF975FFF975FFF978FFF97BFFFA7F
FFFA85FFFB8CFFFB93FFFB9CFFFCA5FFFCAEFFFDB7FFFDC0FFFEC9FFFED2FFFED9FFFEE0
FFFFE6FFFFECFFFFF0FFFFF3FFFFF6FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFB
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFFFEFFFFFCFFFFFBFFFFFAFFFF
F9FFFFF7FFFFF6FFFFF5FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFF
F2FFFFF3FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFCFFFFFDFFFF
FEFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF1FFFFEDFFFFE9FFFFE3FFFEDCFFFED5FFFECD
FFFDC4FFFDBBFFFDB2FFFCA8FFFC9FFFFB97FFFB8FFFFA88FFFA82FFFA7DFFF979FFF976
FFF975FFF975FFF976FFF978FFFA7CFFFA80FFFA86FFFB8DFFFB95FFFB9DFFFCA6FFFCAF
FFFDB9FFFDC2FFFECBFFFED3FFFEDBFFFEE1FFFFE7FFFFECFFFFF1FFFFF4FFFFF7FFFFF9
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8FFFFF6FFFFF3
FFFFEFFFFFEAFFFFE5FFFEDFFFFED8FFFED0FFFDC8FFFDBFFFFDB6FFFCADFFFCA4FFFB9B
FFFB93FFFB8CFFFA86FFFA81FFFA7DFFF97AFFF979FFF978FFF979FFF97BFFFA7EFFFA83
FFFA89FFFB8FFFFB97FFFC9FFFFCA7FFFCB1FFFDBAFFFDC3FFFECBFFFED3FFFEDBFFFEE1
FFFFE7FFFFECFFFFF0FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF8FFFFF7FFFFF6FFFF
F4FFFFF3FFFFF2FFFFF1FFFFF0FFFFF0FFFFEFFFFFEFFFFFEEFFFFEEFFFFEEFFFFEEFFFF
EFFFFFEFFFFFEFFFFFF0FFFFF1FFFFF2FFFFF2FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFF
FAFFFFFBFFFFFCFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF3FFFFEFFFFFEBFFFFE6FFFEE0FFFED9FFFED1
FFFEC9FFFDC0FFFDB7FFFCAEFFFCA5FFFB9CFFFB94FFFB8DFFFA87FFFA82FFFA7DFFF97A
FFF979FFF978FFF979FFF97BFFFA7EFFFA82FFFA88FFFB8EFFFB95FFFC9DFFFCA6FFFCAF
FFFDB8FFFDC1FFFECAFFFED2FFFEDAFFFEE0FFFFE6FFFFECFFFFF0FFFFF3FFFFF6FFFFF9
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF3
FFFFEFFFFFEBFFFFE6FFFEE0FFFED9FFFED2FFFECAFFFDC1FFFDB8FFFCAFFFFCA7FFFC9E
FFFB97FFFB90FFFA89FFFA84FFFA81FFFA7EFFFA7CFFFA7CFFFA7DFFFA7FFFFA82FFFA86
FFFB8CFFFB92FFFB9AFFFCA2FFFCAAFFFDB3FFFDBCFFFDC5FFFECDFFFED5FFFEDCFFFFE3
FFFFE8FFFFEDFFFFF1FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF4FFFFF3FFFF
F2FFFFF1FFFFF1FFFFF0FFFFEFFFFFEFFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFFEEFFFF
EEFFFFEEFFFFEEFFFFEFFFFFEFFFFFF0FFFFF1FFFFF1FFFFF2FFFFF3FFFFF4FFFFF5FFFF
F7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF1FFFFEDFFFFE8FFFFE3FFFEDCFFFED5
FFFECDFFFDC5FFFDBCFFFDB3FFFCABFFFCA2FFFB9AFFFB93FFFB8CFFFA87FFFA82FFFA7F
FFFA7DFFFA7CFFFA7CFFFA7EFFFA80FFFA84FFFA89FFFB8FFFFB96FFFC9EFFFCA6FFFCAF
FFFDB8FFFDC1FFFEC9FFFED1FFFED9FFFEE0FFFFE6FFFFEBFFFFEFFFFFF3FFFFF6FFFFF8
FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF6FFFFF4
FFFFF0FFFFECFFFFE7FFFEE1FFFEDBFFFED3FFFECBFFFDC3FFFDBBFFFDB2FFFCA9FFFCA1
FFFB9AFFFB93FFFB8DFFFA88FFFA84FFFA81FFFA80FFFA7FFFFA80FFFA82FFFA86FFFA8A
FFFB8FFFFB96FFFB9DFFFCA5FFFCADFFFDB6FFFDBEFFFDC7FFFECFFFFED6FFFEDDFFFFE4
FFFFE9FFFFEEFFFFF2FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF5FFFFF4FFFFF3FFFF
F3FFFFF2FFFFF2FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFF0FFFFF0FFFFF0FFFFF0FFFF
F0FFFFF0FFFFF0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF3FFFFF4FFFFF4FFFF
F5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF3FFFFEFFFFFEBFFFFE6FFFEE0FFFED9
FFFED2FFFECAFFFDC1FFFDB9FFFCB0FFFCA8FFFCA0FFFB98FFFB92FFFB8CFFFA87FFFA83
FFFA81FFFA80FFFA7FFFFA81FFFA83FFFA86FFFA8BFFFB91FFFB97FFFC9FFFFCA6FFFCAF
FFFDB7FFFDC0FFFEC9FFFED1FFFED8FFFEDFFFFFE5FFFFEAFFFFEFFFFFF2FFFFF5FFFFF8
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4
FFFFF1FFFFEDFFFFE8FFFEE2FFFEDCFFFED5FFFECDFFFDC5FFFDBDFFFDB5FFFCACFFFCA4
FFFB9DFFFB96FFFB90FFFB8BFFFA88FFFA85FFFA83FFFA83FFFA84FFFA86FFFA89FFFB8D
FFFB93FFFB99FFFCA0FFFCA8FFFCB0FFFDB8FFFDC1FFFEC9FFFED1FFFED8FFFEDFFFFFE5
FFFFEAFFFFEEFFFFF2FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFF
FCFFFFFBFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFF
F5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFF
F5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFF
F6FFFFF6FFFFF7FFFFF8FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF1FFFFEDFFFFE8FFFFE3FFFEDD
FFFED6FFFECEFFFDC6FFFDBEFFFDB5FFFCADFFFCA5FFFC9EFFFB97FFFB91FFFB8CFFFA88
FFFA85FFFA83FFFA83FFFA84FFFA86FFFA89FFFB8DFFFB92FFFB98FFFC9FFFFCA7FFFCAF
FFFDB7FFFDC0FFFDC8FFFED0FFFED7FFFEDEFFFFE4FFFFE9FFFFEEFFFFF2FFFFF5FFFFF8
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4
FFFFF1FFFFEDFFFFE9FFFFE3FFFEDDFFFED6FFFECFFFFDC7FFFDBFFFFDB7FFFCAFFFFCA7
FFFCA0FFFB99FFFB94FFFB8FFFFA8BFFFA88FFFA87FFFA87FFFA87FFFA89FFFB8DFFFB91
FFFB96FFFB9CFFFCA3FFFCAAFFFDB2FFFDBBFFFDC3FFFECBFFFED2FFFED9FFFEE0FFFFE6
FFFFEBFFFFEFFFFFF3FFFFF6FFFFF8FFFFFAFFFFFBFFFFFDFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFF
FCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFF
F8FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FBFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFF
F8FFFFF8FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8FFFFF6FFFFF3FFFFEFFFFFEBFFFFE6FFFEE0
FFFED9FFFED2FFFECBFFFDC3FFFDBAFFFDB2FFFCAAFFFCA3FFFB9CFFFB96FFFB91FFFB8C
FFFA89FFFA87FFFA87FFFA87FFFA88FFFA8BFFFB8FFFFB94FFFB99FFFCA0FFFCA7FFFCAF
FFFDB7FFFDBFFFFDC7FFFECFFFFED7FFFEDDFFFFE3FFFFE9FFFFEDFFFFF1FFFFF4FFFFF7
FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5
FFFFF2FFFFEEFFFFEAFFFFE4FFFEDEFFFED8FFFED1FFFEC9FFFDC1FFFDBAFFFDB2FFFCAA
FFFCA3FFFB9DFFFB97FFFB92FFFB8EFFFB8CFFFA8AFFFA8AFFFA8BFFFB8DFFFB90FFFB94
FFFB99FFFC9FFFFCA6FFFCADFFFDB5FFFDBDFFFDC5FFFECDFFFED4FFFEDBFFFEE1FFFFE7
FFFFECFFFFF0FFFFF3FFFFF6FFFFF8FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFF
FCFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFF
FDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFF
FBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFF
FDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF4FFFFF1FFFFEDFFFFE8FFFFE3
FFFEDDFFFED6FFFECFFFFDC7FFFDBFFFFDB7FFFCB0FFFCA8FFFCA1FFFB9BFFFB96FFFB91
FFFB8EFFFB8BFFFA8AFFFA8AFFFB8BFFFB8EFFFB91FFFB95FFFB9BFFFCA1FFFCA8FFFCAF
FFFDB7FFFDBFFFFDC7FFFECFFFFED6FFFEDDFFFFE3FFFFE8FFFFEDFFFFF1FFFFF4FFFFF7
FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF5
FFFFF2FFFFEFFFFFEAFFFFE5FFFEE0FFFED9FFFED3FFFECBFFFDC4FFFDBCFFFDB4FFFCAD
FFFCA6FFFCA0FFFB9AFFFB96FFFB92FFFB8FFFFB8EFFFB8EFFFB8EFFFB90FFFB93FFFB97
FFFB9CFFFCA2FFFCA9FFFCB0FFFDB8FFFDBFFFFDC7FFFECEFFFED6FFFEDCFFFEE2FFFFE8
FFFFECFFFFF0FFFFF4FFFFF6FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFF
FCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF7
FFFFF8FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFF
FFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFF
FDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF5FFFFF2FFFFEFFFFFEBFFFFE6
FFFEE0FFFEDAFFFED3FFFECCFFFDC4FFFDBCFFFDB5FFFCADFFFCA6FFFCA0FFFB9AFFFB96
FFFB92FFFB8FFFFB8EFFFB8EFFFB8EFFFB90FFFB93FFFB97FFFB9CFFFCA2FFFCA9FFFCB0
FFFDB7FFFDBFFFFDC7FFFECEFFFED5FFFEDCFFFEE2FFFFE7FFFFECFFFFF0FFFFF4FFFFF6
FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF6
FFFFF3FFFFEFFFFFEBFFFFE6FFFEE1FFFEDBFFFED4FFFECDFFFDC6FFFDBEFFFDB7FFFCB0
FFFCA9FFFCA3FFFC9DFFFB99FFFB95FFFB93FFFB91FFFB91FFFB92FFFB94FFFB97FFFB9B
FFFCA0FFFCA5FFFCACFFFDB3FFFDBAFFFDC2FFFEC9FFFED0FFFED7FFFEDEFFFFE3FFFFE9
FFFFEDFFFFF1FFFFF4FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF4FFFFF4FFFFF4FFFFF4
FFFFF4FFFFF4FFFFF4FFFFF5FFFFF5FFFFF6FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF7FFFFF4FFFFF1FFFFEDFFFFE8
FFFFE3FFFEDDFFFED7FFFED0FFFEC8FFFDC1FFFDB9FFFDB2FFFCABFFFCA5FFFC9FFFFB9A
FFFB96FFFB94FFFB92FFFB91FFFB91FFFB93FFFB95FFFB99FFFC9EFFFCA3FFFCA9FFFCB0
FFFDB7FFFDBFFFFDC6FFFECEFFFED5FFFEDBFFFEE1FFFFE7FFFFECFFFFF0FFFFF3FFFFF6
FFFFF8FFFFFAFFFFFBFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6
FFFFF3FFFFF0FFFFECFFFFE7FFFEE2FFFEDCFFFED6FFFECFFFFDC8FFFDC1FFFDB9FFFDB2
FFFCACFFFCA6FFFCA0FFFB9CFFFB99FFFB96FFFB95FFFB94FFFB95FFFB97FFFB9AFFFC9E
FFFCA3FFFCA8FFFCAFFFFDB5FFFDBCFFFDC4FFFECBFFFED2FFFED9FFFEDFFFFFE4FFFFE9
FFFFEEFFFFF1FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8
FFFFF7FFFFF6FFFFF6FFFFF5FFFFF4FFFFF4FFFFF3FFFFF3FFFFF3FFFFF2FFFFF2FFFFF2
FFFFF2FFFFF2FFFFF3FFFFF3FFFFF3FFFFF4FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8
FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF5FFFFF2FFFFEFFFFFEB
FFFFE6FFFEE0FFFEDAFFFED4FFFECDFFFDC5FFFDBEFFFDB7FFFCB0FFFCAAFFFCA4FFFC9F
FFFB9BFFFB98FFFB96FFFB94FFFB94FFFB96FFFB98FFFB9BFFFC9FFFFCA4FFFCAAFFFCB1
FFFDB8FFFDBFFFFDC6FFFECDFFFED4FFFEDBFFFEE1FFFFE6FFFFEBFFFFEFFFFFF3FFFFF5
FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFAFFFFF9FFFFF6
FFFFF4FFFFF1FFFFEDFFFFE8FFFFE3FFFEDEFFFED7FFFED1FFFECAFFFDC3FFFDBCFFFDB5
FFFCAFFFFCA9FFFCA4FFFC9FFFFB9CFFFB99FFFB98FFFB98FFFB98FFFB9AFFFB9DFFFCA1
FFFCA6FFFCABFFFCB1FFFDB8FFFDBFFFFDC6FFFECDFFFED4FFFEDAFFFEE0FFFFE6FFFFEA
FFFFEEFFFFF2FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF8FFFFF7
FFFFF6FFFFF6FFFFF5FFFFF5FFFFF4FFFFF4FFFFF4FFFFF3FFFFF3FFFFF3FFFFF3FFFFF3
FFFFF3FFFFF3FFFFF3FFFFF3FFFFF4FFFFF4FFFFF4FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7
FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFCFFFFFAFFFFF9FFFFF6FFFFF4FFFFF1FFFFED
FFFFE8FFFFE3FFFEDEFFFED7FFFED1FFFECAFFFDC3FFFDBCFFFDB5FFFCAFFFFCA9FFFCA4
FFFC9FFFFB9CFFFB99FFFB98FFFB98FFFB98FFFB9AFFFC9DFFFCA1FFFCA6FFFCABFFFCB1
FFFDB8FFFDBFFFFDC6FFFECDFFFED4FFFEDAFFFEE0FFFFE6FFFFEAFFFFEFFFFFF2FFFFF5
FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7
FFFFF4FFFFF1FFFFEEFFFFE9FFFFE4FFFEDFFFFED9FFFED3FFFECCFFFDC5FFFDBEFFFDB8
FFFCB1FFFCACFFFCA7FFFCA2FFFC9FFFFB9DFFFB9BFFFB9BFFFB9CFFFC9EFFFCA0FFFCA4
FFFCA9FFFCAEFFFDB4FFFDBAFFFDC1FFFDC8FFFECFFFFED5FFFEDCFFFEE1FFFFE7FFFFEB
FFFFEFFFFFF3FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF8FFFFF8FFFFF7
FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6
FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF7FFFFF7
FFFFF7FFFFF8FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF8FFFFF5FFFFF2FFFFEF
FFFFEBFFFFE6FFFEE1FFFEDBFFFED4FFFECEFFFDC7FFFDC0FFFDBAFFFDB3FFFCADFFFCA8
FFFCA4FFFCA0FFFC9DFFFB9CFFFB9BFFFB9BFFFB9DFFFC9FFFFCA3FFFCA7FFFCACFFFDB2
FFFDB8FFFDBFFFFDC6FFFECDFFFED3FFFEDAFFFEE0FFFFE5FFFFEAFFFFEEFFFFF2FFFFF5
FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7
FFFFF5FFFFF2FFFFEEFFFFEAFFFFE5FFFEE0FFFEDAFFFED4FFFECEFFFDC7FFFDC1FFFDBA
FFFDB4FFFCAFFFFCAAFFFCA5FFFCA2FFFCA0FFFC9FFFFC9EFFFC9FFFFCA1FFFCA3FFFCA7
FFFCACFFFCB1FFFDB7FFFDBDFFFDC3FFFECAFFFED1FFFED7FFFEDDFFFFE2FFFFE8FFFFEC
FFFFF0FFFFF3FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9
FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFA
FFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9
FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFAFFFFF8FFFFF6FFFFF4FFFFF0
FFFFEDFFFFE8FFFFE3FFFEDEFFFED8FFFED2FFFECBFFFDC5FFFDBEFFFDB8FFFDB2FFFCAD
FFFCA8FFFCA4FFFCA1FFFC9FFFFC9EFFFC9EFFFCA0FFFCA2FFFCA5FFFCA9FFFCAEFFFDB3
FFFDB9FFFDBFFFFDC6FFFECDFFFED3FFFED9FFFEDFFFFFE4FFFFE9FFFFEEFFFFF1FFFFF4
FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF8
FFFFF5FFFFF2FFFFEFFFFFEBFFFFE6FFFEE1FFFEDCFFFED6FFFED0FFFEC9FFFDC3FFFDBD
FFFDB7FFFCB1FFFCADFFFCA8FFFCA5FFFCA3FFFCA2FFFCA1FFFCA2FFFCA4FFFCA7FFFCAA
FFFCAEFFFDB4FFFDB9FFFDBFFFFDC6FFFECCFFFED2FFFED8FFFEDEFFFFE4FFFFE8FFFFED
FFFFF0FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFB
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5FFFFF2
FFFFEFFFFFEBFFFFE6FFFEE1FFFEDBFFFED5FFFECFFFFEC9FFFDC2FFFDBCFFFDB6FFFCB1
FFFCACFFFCA8FFFCA5FFFCA3FFFCA2FFFCA1FFFCA2FFFCA4FFFCA7FFFCAAFFFCAFFFFDB4
FFFDBAFFFDC0FFFDC6FFFECCFFFED3FFFED9FFFEDFFFFFE4FFFFE9FFFFEDFFFFF1FFFFF4
FFFFF6FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8
FFFFF6FFFFF3FFFFF0FFFFECFFFFE7FFFFE3FFFEDDFFFED7FFFED1FFFECBFFFDC5FFFDBF
FFFDB9FFFDB4FFFCAFFFFCABFFFCA8FFFCA6FFFCA5FFFCA5FFFCA5FFFCA7FFFCAAFFFCAD
FFFCB1FFFDB6FFFDBCFFFDC2FFFDC8FFFECEFFFED4FFFEDAFFFEE0FFFFE5FFFFE9FFFFEE
FFFFF1FFFFF4FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFF
FBFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8FFFFF6FFFFF4
FFFFF0FFFFEDFFFFE9FFFFE4FFFEDFFFFED9FFFED3FFFECDFFFDC7FFFDC0FFFDBBFFFDB5
FFFCB0FFFCACFFFCA9FFFCA7FFFCA5FFFCA5FFFCA5FFFCA6FFFCA9FFFCACFFFCB0FFFDB5
FFFDBAFFFDC0FFFDC6FFFECCFFFED3FFFED9FFFEDEFFFFE4FFFFE8FFFFEDFFFFF0FFFFF3
FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8
FFFFF6FFFFF3FFFFF0FFFFEDFFFFE8FFFFE4FFFEDFFFFED9FFFED3FFFECDFFFDC7FFFDC1
FFFDBCFFFDB7FFFDB2FFFCAEFFFCABFFFCA9FFFCA8FFFCA8FFFCA8FFFCAAFFFCADFFFCB0
FFFDB4FFFDB9FFFDBEFFFDC4FFFECAFFFED0FFFED6FFFEDBFFFEE1FFFFE6FFFFEAFFFFEE
FFFFF2FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFF
F8FFFFF8FFFFF8FFFFF8FFFFF9FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFF
FDFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7FFFFF5
FFFFF2FFFFEFFFFFEBFFFFE6FFFEE1FFFEDCFFFED6FFFED1FFFECBFFFDC5FFFDBFFFFDB9
FFFDB5FFFCB0FFFCADFFFCAAFFFCA8FFFCA8FFFCA8FFFCA9FFFCABFFFCAEFFFDB2FFFDB6
FFFDBBFFFDC1FFFDC6FFFECCFFFED2FFFED8FFFEDEFFFFE3FFFFE8FFFFECFFFFF0FFFFF3
FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFBFFFFFAFFFFF8
FFFFF6FFFFF4FFFFF1FFFFEDFFFFE9FFFFE5FFFEE0FFFEDBFFFED5FFFECFFFFEC9FFFDC4
FFFDBEFFFDB9FFFDB5FFFCB1FFFCAEFFFCACFFFCABFFFCABFFFCABFFFCADFFFCAFFFFDB3
FFFDB7FFFDBBFFFDC1FFFDC6FFFECCFFFED2FFFED7FFFEDDFFFEE2FFFFE7FFFFEBFFFFEF
FFFFF2FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFF
FBFFFFFAFFFFFAFFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFF
F6FFFFF6FFFFF6FFFFF6FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFF
FBFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF6
FFFFF4FFFFF0FFFFEDFFFFE9FFFFE4FFFEDFFFFEDAFFFED4FFFECEFFFEC9FFFDC3FFFDBE
FFFDB9FFFDB4FFFCB1FFFCAEFFFCACFFFCABFFFCABFFFCABFFFCADFFFCB0FFFDB3FFFDB7
FFFDBCFFFDC1FFFDC7FFFECDFFFED2FFFED8FFFEDEFFFFE3FFFFE7FFFFECFFFFEFFFFFF3
FFFFF5FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFAFFFFF9
FFFFF7FFFFF4FFFFF1FFFFEEFFFFEAFFFFE6FFFEE1FFFEDCFFFED7FFFED1FFFECBFFFDC6
FFFDC1FFFDBCFFFDB8FFFDB4FFFCB1FFFCAFFFFCAEFFFCAEFFFCAEFFFCB0FFFDB2FFFDB5
FFFDB9FFFDBEFFFDC3FFFDC8FFFECEFFFED3FFFED9FFFEDEFFFFE3FFFFE8FFFFECFFFFF0
FFFFF3FFFFF5FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFF
FAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFF
F6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFF
F9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9FFFFF7
FFFFF5FFFFF2FFFFEFFFFFEBFFFFE7FFFEE2FFFEDDFFFED8FFFED2FFFECCFFFDC7FFFDC2
FFFDBDFFFDB8FFFDB5FFFDB2FFFCAFFFFCAEFFFCAEFFFCAEFFFCAFFFFDB2FFFDB5FFFDB9
FFFDBDFFFDC2FFFDC7FFFECDFFFED2FFFED8FFFEDDFFFFE2FFFFE7FFFFEBFFFFEFFFFFF2
FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF7FFFFF5FFFFF2FFFFEFFFFFEBFFFFE7FFFFE2FFFEDDFFFED8FFFED3FFFECDFFFDC8
FFFDC3FFFDBEFFFDBAFFFDB7FFFDB4FFFDB2FFFCB1FFFCB0FFFCB1FFFDB3FFFDB5FFFDB8
FFFDBCFFFDC0FFFDC5FFFECAFFFED0FFFED5FFFEDAFFFEE0FFFFE4FFFFE9FFFFEDFFFFF0
FFFFF3FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFF
F9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFF
F7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF9FFFF
F9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8
FFFFF6FFFFF4FFFFF1FFFFEDFFFFE9FFFFE5FFFEE0FFFEDBFFFED5FFFED0FFFECBFFFDC5
FFFDC1FFFDBCFFFDB8FFFDB5FFFDB3FFFCB1FFFCB1FFFCB1FFFDB2FFFDB4FFFDB6FFFDBA
FFFDBEFFFDC3FFFDC8FFFECDFFFED2FFFED8FFFEDDFFFEE2FFFFE7FFFFEBFFFFEFFFFFF2
FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF8FFFFF5FFFFF3FFFFF0FFFFECFFFFE8FFFFE4FFFEDFFFFEDAFFFED5FFFECFFFFECA
FFFDC5FFFDC1FFFDBDFFFDB9FFFDB7FFFDB5FFFDB4FFFDB3FFFDB4FFFDB5FFFDB8FFFDBB
FFFDBEFFFDC3FFFDC7FFFECCFFFED2FFFED7FFFEDCFFFEE1FFFFE5FFFFEAFFFFEEFFFFF1
FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFAFFFF
FAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFF
FAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFF
FAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFF9
FFFFF7FFFFF5FFFFF2FFFFEFFFFFEBFFFFE7FFFFE3FFFEDEFFFED9FFFED4FFFECEFFFEC9
FFFDC4FFFDC0FFFDBCFFFDB9FFFDB6FFFDB4FFFDB3FFFDB3FFFDB4FFFDB6FFFDB8FFFDBB
FFFDBFFFFDC3FFFDC8FFFECDFFFED3FFFED8FFFEDDFFFEE2FFFFE6FFFFEAFFFFEEFFFFF1
FFFFF4FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF8FFFFF6FFFFF3FFFFF0FFFFEDFFFFE9FFFFE5FFFEE0FFFEDBFFFED6FFFED1FFFECC
FFFDC7FFFDC3FFFDBFFFFDBCFFFDB9FFFDB7FFFDB6FFFDB6FFFDB7FFFDB8FFFDBAFFFDBD
FFFDC1FFFDC5FFFEC9FFFECEFFFED3FFFED8FFFEDDFFFEE2FFFFE7FFFFEBFFFFEEFFFFF2
FFFFF4FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF8FFFFF6FFFFF4FFFFF1FFFFEDFFFFE9FFFFE5FFFEE1FFFEDCFFFED7FFFED2FFFECD
FFFDC8FFFDC4FFFDC0FFFDBCFFFDBAFFFDB8FFFDB6FFFDB6FFFDB7FFFDB8FFFDBAFFFDBD
FFFDC0FFFDC4FFFEC9FFFECEFFFED3FFFED8FFFEDDFFFEE1FFFFE6FFFFEAFFFFEEFFFFF1
FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF8FFFFF6FFFFF4FFFFF1FFFFEEFFFFEAFFFFE6FFFEE1FFFEDDFFFED8FFFED3FFFECE
FFFECAFFFDC5FFFDC2FFFDBEFFFDBCFFFDBAFFFDB9FFFDB9FFFDB9FFFDBBFFFDBDFFFDC0
FFFDC3FFFDC7FFFECCFFFED0FFFED5FFFEDAFFFEDFFFFFE3FFFFE8FFFFEBFFFFEFFFFFF2
FFFFF5FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFA
FFFFF9FFFFF7FFFFF5FFFFF2FFFFEFFFFFECFFFFE8FFFFE3FFFEDFFFFEDAFFFED5FFFED0
FFFECCFFFDC7FFFDC3FFFDC0FFFDBDFFFDBBFFFDB9FFFDB9FFFDB9FFFDBAFFFDBCFFFDBE
FFFDC2FFFDC5FFFECAFFFECEFFFED3FFFED8FFFEDDFFFEE1FFFFE6FFFFEAFFFFEDFFFFF1
FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF8FFFFF7FFFFF4FFFFF1FFFFEEFFFFEBFFFFE7FFFFE3FFFEDEFFFED9FFFED5FFFED0
FFFECCFFFDC8FFFDC4FFFDC1FFFDBEFFFDBDFFFDBCFFFDBBFFFDBCFFFDBDFFFDBFFFFDC2
FFFDC5FFFEC9FFFECEFFFED2FFFED7FFFEDBFFFEE0FFFFE4FFFFE9FFFFECFFFFF0FFFFF3
FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF8FFFFF6FFFFF4FFFFF1FFFFEDFFFFEAFFFFE6FFFEE2FFFEDDFFFED8FFFED4
FFFECFFFFECBFFFDC7FFFDC3FFFDC0FFFDBEFFFDBCFFFDBBFFFDBBFFFDBCFFFDBEFFFDC0
FFFDC3FFFDC6FFFECAFFFECFFFFED3FFFED8FFFEDDFFFEE1FFFFE5FFFFEAFFFFEDFFFFF0
FFFFF3FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFA
FFFFF9FFFFF7FFFFF5FFFFF2FFFFEFFFFFECFFFFE8FFFFE4FFFEDFFFFEDBFFFED6FFFED2
FFFECEFFFECAFFFDC6FFFDC3FFFDC1FFFDBFFFFDBEFFFDBEFFFDBEFFFDC0FFFDC2FFFDC4
FFFDC8FFFECBFFFED0FFFED4FFFED8FFFEDDFFFEE1FFFFE6FFFFEAFFFFEDFFFFF0FFFFF3
FFFFF6FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFF9FFFFF9
FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFC
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFAFFFFF9FFFFF7FFFFF5FFFFF2FFFFEFFFFFECFFFFE8FFFFE4FFFEE0FFFEDBFFFED7
FFFED2FFFECEFFFECAFFFDC6FFFDC3FFFDC1FFFDBFFFFDBEFFFDBEFFFDBEFFFDC0FFFDC2
FFFDC4FFFDC7FFFECBFFFECFFFFED4FFFED8FFFEDDFFFEE1FFFFE5FFFFE9FFFFEDFFFFF0
FFFFF3FFFFF6FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFB
FFFFF9FFFFF7FFFFF5FFFFF3FFFFF0FFFFECFFFFE9FFFFE5FFFEE1FFFEDCFFFED8FFFED4
FFFED0FFFECCFFFEC8FFFDC6FFFDC3FFFDC2FFFDC1FFFDC0FFFDC1FFFDC2FFFDC4FFFDC7
FFFECAFFFECDFFFED1FFFED6FFFEDAFFFEDEFFFFE3FFFFE7FFFFEAFFFFEEFFFFF1FFFFF4
FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9
FFFFF9FFFFF8FFFFF8FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFA
FFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF1FFFFEEFFFFEAFFFFE6FFFFE2FFFEDEFFFEDA
FFFED5FFFED1FFFECDFFFECAFFFDC7FFFDC4FFFDC2FFFDC1FFFDC0FFFDC1FFFDC2FFFDC3
FFFDC6FFFEC9FFFECCFFFED0FFFED4FFFED8FFFEDDFFFEE1FFFFE5FFFFE9FFFFEDFFFFF0
FFFFF3FFFFF5FFFFF7FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFF9FFFFF8FFFFF6FFFFF3FFFFF0FFFFEDFFFFEAFFFFE6FFFEE2FFFEDEFFFEDAFFFED6
FFFED2FFFECEFFFECBFFFDC8FFFDC6FFFDC4FFFDC3FFFDC3FFFDC3FFFDC5FFFDC6FFFEC9
FFFECCFFFECFFFFED3FFFED7FFFEDCFFFEE0FFFFE4FFFFE8FFFFEBFFFFEFFFFFF2FFFFF4
FFFFF7FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9
FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFA
FFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFAFFFFF9FFFFF7FFFFF5FFFFF2FFFFF0FFFFECFFFFE9FFFFE5FFFEE1FFFEDD
FFFED8FFFED4FFFED0FFFECDFFFECAFFFDC7FFFDC5FFFDC4FFFDC3FFFDC3FFFDC4FFFDC5
FFFDC7FFFECAFFFECDFFFED1FFFED4FFFED9FFFEDDFFFEE1FFFFE5FFFFE9FFFFECFFFFF0
FFFFF2FFFFF5FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF8FFFFF6FFFFF4FFFFF1FFFFEEFFFFEBFFFFE7FFFFE3FFFEDFFFFEDBFFFED7
FFFED3FFFED0FFFECDFFFECAFFFDC8FFFDC6FFFDC5FFFDC5FFFDC6FFFDC7FFFEC9FFFECB
FFFECEFFFED1FFFED5FFFED9FFFEDDFFFEE1FFFFE5FFFFE9FFFFECFFFFEFFFFFF2FFFFF5
FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFB
FFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFB
FFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF1FFFFEEFFFFEBFFFFE7FFFFE3FFFEDF
FFFEDBFFFED7FFFED4FFFED0FFFECDFFFECAFFFDC8FFFDC6FFFDC5FFFDC5FFFDC6FFFDC7
FFFEC9FFFECBFFFECEFFFED1FFFED5FFFED9FFFEDDFFFEE1FFFFE5FFFFE9FFFFECFFFFEF
FFFFF2FFFFF5FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFEFFFFFECFFFFE8FFFFE4FFFEE1FFFEDDFFFED9
FFFED5FFFED2FFFECFFFFECCFFFECAFFFEC9FFFDC8FFFDC7FFFDC8FFFEC9FFFECBFFFECD
FFFED0FFFED3FFFED7FFFEDBFFFEDEFFFEE2FFFFE6FFFFEAFFFFEDFFFFF0FFFFF3FFFFF5
FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF0FFFFEDFFFFE9FFFFE6FFFEE2
FFFEDEFFFEDAFFFED6FFFED3FFFED0FFFECDFFFECBFFFEC9FFFDC8FFFDC7FFFDC8FFFEC9
FFFECAFFFECCFFFECFFFFED2FFFED6FFFED9FFFEDDFFFEE1FFFFE5FFFFE9FFFFECFFFFEF
FFFFF2FFFFF4FFFFF7FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF9FFFFF7FFFFF5FFFFF2FFFFF0FFFFECFFFFE9FFFFE6FFFEE2FFFEDEFFFEDB
FFFED7FFFED4FFFED1FFFECEFFFECCFFFECBFFFECAFFFECAFFFECAFFFECBFFFECDFFFECF
FFFED2FFFED5FFFED8FFFEDCFFFEE0FFFFE4FFFFE7FFFFEBFFFFEEFFFFF1FFFFF3FFFFF6
FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF1FFFFEEFFFFEBFFFFE8FFFFE4
FFFEE1FFFEDDFFFED9FFFED6FFFED3FFFED0FFFECDFFFECCFFFECAFFFECAFFFECAFFFECB
FFFECCFFFECEFFFED0FFFED3FFFED6FFFEDAFFFEDDFFFEE1FFFFE5FFFFE8FFFFECFFFFEF
FFFFF2FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFC
FFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF0FFFFEDFFFFEAFFFFE7FFFFE3FFFEE0FFFEDC
FFFED9FFFED5FFFED3FFFED0FFFECEFFFECDFFFECCFFFECCFFFECCFFFECDFFFECFFFFED1
FFFED4FFFED7FFFEDAFFFEDEFFFEE1FFFFE5FFFFE8FFFFEBFFFFEFFFFFF1FFFFF4FFFFF6
FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFCFFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF0FFFFEDFFFFEAFFFFE7
FFFFE3FFFEDFFFFEDCFFFED9FFFED5FFFED3FFFED0FFFECEFFFECDFFFECCFFFECCFFFECC
FFFECDFFFECFFFFED1FFFED4FFFED7FFFEDAFFFEDEFFFEE1FFFFE5FFFFE8FFFFECFFFFEF
FFFFF2FFFFF4FFFFF6FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFBFFFFF9FFFFF8FFFFF6FFFFF3FFFFF1FFFFEEFFFFEBFFFFE8FFFFE4FFFEE1FFFEDE
FFFEDAFFFED7FFFED4FFFED2FFFED0FFFECFFFFECEFFFECEFFFECEFFFECFFFFED1FFFED3
FFFED6FFFED9FFFEDCFFFEDFFFFFE2FFFFE6FFFFE9FFFFECFFFFEFFFFFF2FFFFF4FFFFF7
FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFF
FDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFEFFFFFECFFFFE9
FFFFE5FFFEE2FFFEDEFFFEDBFFFED8FFFED5FFFED3FFFED1FFFECFFFFECEFFFECEFFFECE
FFFECFFFFED1FFFED2FFFED5FFFED8FFFEDBFFFEDEFFFEE2FFFFE5FFFFE8FFFFECFFFFEF
FFFFF1FFFFF4FFFFF6FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFEFFFFFECFFFFE9FFFFE6FFFEE2FFFEDF
FFFEDCFFFED9FFFED6FFFED4FFFED2FFFED1FFFED0FFFED0FFFED0FFFED1FFFED3FFFED5
FFFED7FFFEDAFFFEDDFFFEE0FFFFE4FFFFE7FFFFEAFFFFEDFFFFF0FFFFF3FFFFF5FFFFF7
FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFF
FCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF0FFFFEEFFFFEB
FFFFE7FFFFE4FFFEE1FFFEDEFFFEDBFFFED8FFFED5FFFED3FFFED2FFFED1FFFED0FFFED0
FFFED1FFFED2FFFED4FFFED6FFFED8FFFEDBFFFEDEFFFEE2FFFFE5FFFFE8FFFFEBFFFFEE
FFFFF1FFFFF4FFFFF6FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF8FFFFF7FFFFF4FFFFF2FFFFF0FFFFEDFFFFEAFFFFE7FFFFE4FFFEE0
FFFEDDFFFEDBFFFED8FFFED6FFFED4FFFED3FFFED2FFFED2FFFED2FFFED3FFFED5FFFED7
FFFED9FFFEDCFFFEDFFFFEE2FFFFE5FFFFE8FFFFEBFFFFEEFFFFF1FFFFF3FFFFF5FFFFF7
FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFF
FDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFF
FCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFEFFFFFEC
FFFFE9FFFFE6FFFFE3FFFEE0FFFEDDFFFEDAFFFED8FFFED6FFFED4FFFED3FFFED2FFFED2
FFFED2FFFED3FFFED5FFFED7FFFED9FFFEDCFFFEDFFFFEE2FFFFE5FFFFE8FFFFEBFFFFEE
FFFFF1FFFFF3FFFFF6FFFFF7FFFFF9FFFFFAFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF0FFFFEEFFFFEBFFFFE8FFFFE5FFFEE2
FFFEDFFFFEDCFFFEDAFFFED8FFFED6FFFED5FFFED4FFFED4FFFED4FFFED5FFFED7FFFED8
FFFEDBFFFEDDFFFEE0FFFFE3FFFFE6FFFFE9FFFFECFFFFEFFFFFF1FFFFF4FFFFF6FFFFF8
FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFF
FCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFEE
FFFFEBFFFFE8FFFFE5FFFFE2FFFEDFFFFEDDFFFEDAFFFED8FFFED6FFFED5FFFED4FFFED4
FFFED4FFFED5FFFED6FFFED8FFFEDAFFFEDDFFFEDFFFFFE2FFFFE5FFFFE8FFFFEBFFFFEE
FFFFF1FFFFF3FFFFF5FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFEEFFFFECFFFFE9FFFFE6FFFFE3
FFFEE0FFFEDEFFFEDBFFFED9FFFED8FFFED6FFFED6FFFED6FFFED6FFFED7FFFED8FFFEDA
FFFEDCFFFEDFFFFEE1FFFFE4FFFFE7FFFFEAFFFFEDFFFFF0FFFFF2FFFFF4FFFFF6FFFFF8
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFF0
FFFFEDFFFFEAFFFFE7FFFFE5FFFEE2FFFEDFFFFEDCFFFEDAFFFED8FFFED7FFFED6FFFED6
FFFED6FFFED6FFFED8FFFED9FFFEDBFFFEDDFFFEE0FFFFE3FFFFE6FFFFE9FFFFEBFFFFEE
FFFFF1FFFFF3FFFFF5FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFBFFFFF9FFFFF8FFFFF6FFFFF4FFFFF2FFFFEFFFFFEDFFFFEAFFFFE7FFFFE4
FFFEE2FFFEDFFFFEDDFFFEDBFFFED9FFFED8FFFED8FFFED7FFFED8FFFED9FFFEDAFFFEDC
FFFEDEFFFEE0FFFFE3FFFFE5FFFFE8FFFFEBFFFFEEFFFFF0FFFFF3FFFFF5FFFFF7FFFFF8
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF7FFFFF6FFFFF4FFFFF1
FFFFEFFFFFECFFFFE9FFFFE7FFFFE4FFFEE1FFFEDFFFFEDCFFFEDBFFFED9FFFED8FFFED8
FFFED7FFFED8FFFED9FFFEDAFFFEDCFFFEDEFFFEE1FFFFE3FFFFE6FFFFE9FFFFEBFFFFEE
FFFFF1FFFFF3FFFFF5FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF8FFFFF6FFFFF4FFFFF2FFFFF0FFFFEDFFFFEBFFFFE8FFFFE5
FFFFE3FFFEE0FFFEDEFFFEDCFFFEDBFFFEDAFFFED9FFFED9FFFED9FFFEDAFFFEDCFFFEDD
FFFEDFFFFEE1FFFFE4FFFFE7FFFFE9FFFFECFFFFEEFFFFF1FFFFF3FFFFF5FFFFF7FFFFF9
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5FFFFF3
FFFFF0FFFFEEFFFFEBFFFFE9FFFFE6FFFFE3FFFEE1FFFEDFFFFEDDFFFEDBFFFEDAFFFED9
FFFED9FFFED9FFFEDAFFFEDBFFFEDDFFFEDFFFFEE1FFFFE4FFFFE6FFFFE9FFFFEBFFFFEE
FFFFF1FFFFF3FFFFF5FFFFF7FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5FFFFF3FFFFF1FFFFEEFFFFECFFFFE9FFFFE7
FFFFE4FFFEE2FFFEE0FFFEDEFFFEDDFFFEDCFFFEDBFFFEDBFFFEDBFFFEDCFFFEDDFFFEDF
FFFEE1FFFFE3FFFFE5FFFFE8FFFFEAFFFFEDFFFFEFFFFFF2FFFFF4FFFFF6FFFFF7FFFFF9
FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF4
FFFFF2FFFFEFFFFFEDFFFFEAFFFFE8FFFFE5FFFFE3FFFEE1FFFEDFFFFEDDFFFEDCFFFEDB
FFFEDBFFFEDBFFFEDBFFFEDDFFFEDEFFFEE0FFFEE2FFFFE4FFFFE6FFFFE9FFFFECFFFFEE
FFFFF1FFFFF3FFFFF5FFFFF7FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF9FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEAFFFFE8
FFFFE5FFFFE3FFFEE1FFFEDFFFFEDEFFFEDDFFFEDDFFFEDCFFFEDDFFFEDDFFFEDFFFFEE0
FFFEE2FFFFE4FFFFE6FFFFE9FFFFEBFFFFEEFFFFF0FFFFF2FFFFF4FFFFF6FFFFF8FFFFF9
FFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5
FFFFF3FFFFF1FFFFEEFFFFECFFFFEAFFFFE7FFFFE5FFFFE3FFFEE1FFFEDFFFFEDEFFFEDD
FFFEDCFFFEDCFFFEDDFFFEDEFFFEDFFFFEE1FFFFE2FFFFE5FFFFE7FFFFE9FFFFECFFFFEE
FFFFF0FFFFF3FFFFF5FFFFF7FFFFF8FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF4FFFFF2FFFFF0FFFFEDFFFFEBFFFFE9
FFFFE7FFFFE4FFFFE2FFFEE1FFFEE0FFFEDFFFFEDEFFFEDEFFFEDEFFFEDFFFFEE0FFFEE2
FFFFE3FFFFE5FFFFE7FFFFEAFFFFECFFFFEEFFFFF1FFFFF3FFFFF5FFFFF7FFFFF8FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6
FFFFF4FFFFF2FFFFF0FFFFEEFFFFEBFFFFE9FFFFE7FFFFE5FFFFE3FFFEE1FFFEE0FFFEDF
FFFEDEFFFEDEFFFEDEFFFEDFFFFEE0FFFEE1FFFFE3FFFFE5FFFFE7FFFFEAFFFFECFFFFEE
FFFFF0FFFFF3FFFFF5FFFFF6FFFFF8FFFFF9FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFCFFFFFCFFFFFBFFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF0FFFFEEFFFFECFFFFEA
FFFFE8FFFFE6FFFFE4FFFEE2FFFEE1FFFEE0FFFEE0FFFEDFFFFEE0FFFEE0FFFEE1FFFFE3
FFFFE5FFFFE6FFFFE9FFFFEBFFFFEDFFFFEFFFFFF1FFFFF3FFFFF5FFFFF7FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF7
FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEBFFFFE9FFFFE6FFFFE5FFFFE3FFFEE1FFFEE0
FFFEE0FFFEDFFFFEE0FFFEE0FFFEE1FFFEE2FFFFE4FFFFE6FFFFE8FFFFEAFFFFECFFFFEE
FFFFF0FFFFF3FFFFF5FFFFF6FFFFF8FFFFF9FFFFFBFFFFFCFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEB
FFFFE9FFFFE7FFFFE5FFFFE4FFFFE2FFFEE1FFFEE1FFFEE1FFFEE1FFFEE2FFFFE3FFFFE4
FFFFE6FFFFE8FFFFEAFFFFECFFFFEEFFFFF0FFFFF2FFFFF4FFFFF6FFFFF7FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFAFFFFF9FFFFF8
FFFFF6FFFFF5FFFFF3FFFFF1FFFFEEFFFFECFFFFEAFFFFE8FFFFE6FFFFE5FFFFE3FFFEE2
FFFEE1FFFEE1FFFEE1FFFEE1FFFEE2FFFFE3FFFFE5FFFFE6FFFFE8FFFFEAFFFFECFFFFEE
FFFFF1FFFFF3FFFFF4FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF7FFFFF6FFFFF4FFFFF2FFFFF0FFFFEEFFFFEC
FFFFEAFFFFE8FFFFE6FFFFE5FFFFE4FFFFE3FFFFE2FFFEE2FFFFE2FFFFE3FFFFE4FFFFE5
FFFFE7FFFFE9FFFFEBFFFFEDFFFFEFFFFFF1FFFFF3FFFFF5FFFFF6FFFFF8FFFFF9FFFFFA
FFFFFBFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9
FFFFF7FFFFF6FFFFF4FFFFF2FFFFF0FFFFEEFFFFECFFFFEAFFFFE8FFFFE6FFFFE5FFFFE4
FFFFE3FFFFE2FFFEE2FFFFE2FFFFE3FFFFE4FFFFE5FFFFE7FFFFE9FFFFEBFFFFEDFFFFEF
FFFFF1FFFFF3FFFFF4FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF4FFFFF2FFFFF1FFFFEFFFFFED
FFFFEBFFFFE9FFFFE7FFFFE6FFFFE5FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE5FFFFE7
FFFFE8FFFFEAFFFFECFFFFEDFFFFEFFFFFF1FFFFF3FFFFF5FFFFF7FFFFF8FFFFF9FFFFFB
FFFFFCFFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFF9
FFFFF8FFFFF7FFFFF5FFFFF3FFFFF1FFFFEFFFFFEDFFFFEBFFFFEAFFFFE8FFFFE6FFFFE5
FFFFE4FFFFE4FFFFE4FFFFE4FFFFE4FFFFE5FFFFE6FFFFE7FFFFE9FFFFEBFFFFEDFFFFEF
FFFFF1FFFFF3FFFFF4FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF1FFFFEFFFFFEE
FFFFECFFFFEAFFFFE8FFFFE7FFFFE6FFFFE5FFFFE5FFFFE5FFFFE5FFFFE6FFFFE7FFFFE8
FFFFE9FFFFEBFFFFECFFFFEEFFFFF0FFFFF2FFFFF4FFFFF6FFFFF7FFFFF8FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFA
FFFFF9FFFFF7FFFFF6FFFFF4FFFFF2FFFFF1FFFFEFFFFFEDFFFFEBFFFFE9FFFFE8FFFFE7
FFFFE6FFFFE5FFFFE5FFFFE5FFFFE5FFFFE6FFFFE7FFFFE8FFFFEAFFFFEBFFFFEDFFFFEF
FFFFF1FFFFF3FFFFF4FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF5FFFFF4FFFFF2FFFFF0FFFFEE
FFFFEDFFFFEBFFFFEAFFFFE8FFFFE7FFFFE7FFFFE6FFFFE6FFFFE6FFFFE7FFFFE8FFFFE9
FFFFEAFFFFECFFFFEDFFFFEFFFFFF1FFFFF3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFB
FFFFFAFFFFF8FFFFF7FFFFF5FFFFF4FFFFF2FFFFF0FFFFEEFFFFEDFFFFEBFFFFEAFFFFE8
FFFFE7FFFFE7FFFFE6FFFFE6FFFFE6FFFFE7FFFFE8FFFFE9FFFFEAFFFFECFFFFEDFFFFEF
FFFFF1FFFFF3FFFFF4FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF7FFFFF6FFFFF4FFFFF3FFFFF1FFFFEF
FFFFEEFFFFECFFFFEBFFFFE9FFFFE8FFFFE8FFFFE7FFFFE7FFFFE7FFFFE8FFFFE9FFFFEA
FFFFEBFFFFEDFFFFEEFFFFF0FFFFF2FFFFF3FFFFF5FFFFF6FFFFF8FFFFF9FFFFFAFFFFFB
FFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFB
FFFFFAFFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF1FFFFF0FFFFEEFFFFECFFFFEBFFFFEA
FFFFE9FFFFE8FFFFE7FFFFE7FFFFE7FFFFE8FFFFE8FFFFE9FFFFEBFFFFECFFFFEEFFFFEF
FFFFF1FFFFF3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF2FFFFF0
FFFFEEFFFFEDFFFFECFFFFEAFFFFE9FFFFE9FFFFE8FFFFE8FFFFE9FFFFE9FFFFEAFFFFEB
FFFFECFFFFEDFFFFEFFFFFF1FFFFF2FFFFF4FFFFF5FFFFF7FFFFF8FFFFF9FFFFFBFFFFFB
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFF
FDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFC
FFFFFBFFFFFAFFFFF8FFFFF7FFFFF6FFFFF4FFFFF3FFFFF1FFFFEFFFFFEEFFFFECFFFFEB
FFFFEAFFFFE9FFFFE9FFFFE8FFFFE8FFFFE9FFFFE9FFFFEAFFFFEBFFFFEDFFFFEEFFFFF0
FFFFF1FFFFF3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF2FFFFF1
FFFFEFFFFFEEFFFFECFFFFEBFFFFEAFFFFEAFFFFE9FFFFE9FFFFEAFFFFEAFFFFEBFFFFEC
FFFFEDFFFFEEFFFFF0FFFFF1FFFFF3FFFFF4FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFC
FFFFFCFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF2FFFFF1FFFFEFFFFFEEFFFFEC
FFFFEBFFFFEAFFFFEAFFFFE9FFFFE9FFFFEAFFFFEAFFFFEBFFFFECFFFFEDFFFFEEFFFFF0
FFFFF1FFFFF3FFFFF5FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF8FFFFF7FFFFF6FFFFF4FFFFF3FFFFF1
FFFFF0FFFFEFFFFFEDFFFFECFFFFEBFFFFEBFFFFEBFFFFEAFFFFEBFFFFEBFFFFECFFFFED
FFFFEEFFFFEFFFFFF1FFFFF2FFFFF3FFFFF5FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFC
FFFFFCFFFFFBFFFFFAFFFFF9FFFFF7FFFFF6FFFFF5FFFFF3FFFFF2FFFFF0FFFFEFFFFFEE
FFFFEDFFFFECFFFFEBFFFFEBFFFFEAFFFFEBFFFFEBFFFFECFFFFEDFFFFEEFFFFEFFFFFF0
FFFFF2FFFFF3FFFFF5FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF5FFFFF3FFFFF2
FFFFF1FFFFEFFFFFEEFFFFEDFFFFECFFFFECFFFFECFFFFEBFFFFECFFFFECFFFFEDFFFFEE
FFFFEFFFFFF0FFFFF1FFFFF3FFFFF4FFFFF5FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF4FFFFF3FFFFF1FFFFF0FFFFEF
FFFFEEFFFFEDFFFFECFFFFECFFFFEBFFFFEBFFFFECFFFFECFFFFEDFFFFEEFFFFEFFFFFF1
FFFFF2FFFFF3FFFFF5FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF3
FFFFF1FFFFF0FFFFEFFFFFEEFFFFEDFFFFEDFFFFECFFFFECFFFFEDFFFFEDFFFFEEFFFFEE
FFFFF0FFFFF1FFFFF2FFFFF3FFFFF5FFFFF6FFFFF7FFFFF8FFFFFAFFFFFBFFFFFBFFFFFC
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF3FFFFF1FFFFF0
FFFFEFFFFFEEFFFFEDFFFFEDFFFFECFFFFECFFFFEDFFFFEDFFFFEEFFFFEFFFFFF0FFFFF1
FFFFF2FFFFF3FFFFF5FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF5FFFFF3
FFFFF2FFFFF1FFFFF0FFFFEFFFFFEEFFFFEEFFFFEDFFFFEDFFFFEDFFFFEEFFFFEEFFFFEF
FFFFF0FFFFF1FFFFF3FFFFF4FFFFF5FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFC
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9FFFFF7FFFFF6FFFFF5FFFFF4FFFFF2FFFFF1
FFFFF0FFFFEFFFFFEEFFFFEEFFFFEDFFFFEDFFFFEDFFFFEEFFFFEEFFFFEFFFFFF0FFFFF1
FFFFF2FFFFF4FFFFF5FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF6FFFFF5FFFFF4
FFFFF3FFFFF2FFFFF1FFFFF0FFFFEFFFFFEFFFFFEEFFFFEEFFFFEEFFFFEFFFFFEFFFFFF0
FFFFF1FFFFF2FFFFF3FFFFF4FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF5FFFFF3FFFFF2
FFFFF1FFFFF0FFFFEFFFFFEFFFFFEEFFFFEEFFFFEEFFFFEFFFFFEFFFFFF0FFFFF1FFFFF2
FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF4
FFFFF3FFFFF2FFFFF1FFFFF1FFFFF0FFFFEFFFFFEFFFFFEFFFFFEFFFFFF0FFFFF0FFFFF1
FFFFF2FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF5FFFFF4FFFFF3
FFFFF2FFFFF1FFFFF0FFFFF0FFFFEFFFFFEFFFFFEFFFFFEFFFFFF0FFFFF0FFFFF1FFFFF2
FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF5
FFFFF4FFFFF3FFFFF2FFFFF1FFFFF1FFFFF0FFFFF0FFFFF0FFFFF0FFFFF0FFFFF1FFFFF2
FFFFF2FFFFF3FFFFF4FFFFF5FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF5FFFFF4
FFFFF3FFFFF2FFFFF1FFFFF1FFFFF0FFFFF0FFFFF0FFFFF0FFFFF0FFFFF1FFFFF1FFFFF2
FFFFF3FFFFF4FFFFF5FFFFF6FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6
FFFFF5FFFFF4FFFFF3FFFFF2FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2
FFFFF3FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6FFFFF5
FFFFF4FFFFF3FFFFF2FFFFF2FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF3
FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6
FFFFF5FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF3
FFFFF4FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF6
FFFFF5FFFFF4FFFFF3FFFFF2FFFFF2FFFFF2FFFFF1FFFFF1FFFFF2FFFFF2FFFFF2FFFFF3
FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7FFFFF7
FFFFF6FFFFF5FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF3FFFFF4
FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF8FFFFF7
FFFFF6FFFFF5FFFFF4FFFFF3FFFFF3FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF3FFFFF3
FFFFF4FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF8FFFFF7
FFFFF6FFFFF5FFFFF5FFFFF4FFFFF3FFFFF3FFFFF3FFFFF3FFFFF3FFFFF3FFFFF4FFFFF4
FFFFF5FFFFF6FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7
FFFFF6FFFFF6FFFFF5FFFFF4FFFFF4FFFFF3FFFFF3FFFFF3FFFFF3FFFFF3FFFFF3FFFFF4
FFFFF5FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9FFFFF8FFFFF7
FFFFF7FFFFF6FFFFF5FFFFF4FFFFF4FFFFF4FFFFF3FFFFF3FFFFF3FFFFF4FFFFF4FFFFF5
FFFFF5FFFFF6FFFFF7FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF8
FFFFF7FFFFF6FFFFF6FFFFF5FFFFF4FFFFF4FFFFF4FFFFF3FFFFF3FFFFF4FFFFF4FFFFF4
FFFFF5FFFFF6FFFFF6FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9FFFFF8
FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF4FFFFF4FFFFF4FFFFF4FFFFF4FFFFF5FFFFF5
FFFFF6FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFF
FEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFF9FFFFF9
FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF4FFFFF4FFFFF4FFFFF4FFFFF4FFFFF5
FFFFF5FFFFF6FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9FFFFF8
FFFFF7FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF6
FFFFF6FFFFF7FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9
FFFFF8FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5
FFFFF6FFFFF6FFFFF7FFFFF8FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9FFFFF9
FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF6FFFFF6
FFFFF7FFFFF7FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFFA
FFFFF9FFFFF8FFFFF8FFFFF7FFFFF6FFFFF6FFFFF5FFFFF5FFFFF5FFFFF5FFFFF5FFFFF6
FFFFF6FFFFF6FFFFF7FFFFF8FFFFF8FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFFAFFFFF9
FFFFF8FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF7
FFFFF7FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFFAFFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6
FFFFF6FFFFF7FFFFF7FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFAFFFFF9
FFFFF9FFFFF8FFFFF7FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6FFFFF7FFFFF7
FFFFF8FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFBFFFFFB
FFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF6FFFFF6FFFFF6FFFFF6FFFFF6
FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFBFFFFFBFFFFFAFFFFFA
FFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8
FFFFF8FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7
FFFFF7FFFFF7FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFAFFFFFA
FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7FFFFF8FFFFF8
FFFFF8FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF7FFFFF7FFFFF7FFFFF7FFFFF7
FFFFF7FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFA
FFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8
FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFBFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8
FFFFF8FFFFF8FFFFF8FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFA
FFFFFAFFFFF9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8FFFFF9
FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFC
FFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF8
FFFFF8FFFFF8FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8FFFFF8FFFFF9FFFFF9FFFFF9
FFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF8FFFFF8FFFFF8
FFFFF8FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9
FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9
FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFF9FFFFFAFFFFFA
FFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9
FFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFB
FFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFF9FFFFF9FFFFF9FFFFFAFFFFFAFFFFFA
FFFFFAFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFF9
FFFFF9FFFFF9FFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFA
FFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFA
FFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFAFFFFFB
FFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFA
FFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFC
FFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFAFFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFB
FFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFA
FFFFFAFFFFFAFFFFFAFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFB
FFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFB
FFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFB
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFB
FFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFBFFFFFB
FFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFBFFFFFBFFFFFBFFFFFBFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFC
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFC
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFCFFFFFCFFFFFCFFFFFCFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFD
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFDFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFD
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFDFFFFFDFFFFFDFFFFFDFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFEFFFFFEFFFFFEFFFFFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
pop
P
% End of image
gsave
.53434 .04108 -76.2188 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(t) show
70.188 11.812 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(=) show
79.438 11.812 moveto
(50) show
89.438 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.08791 .88243 -71.2812 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(a) show
68.875 13.375 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(00) show
79.562 11.812 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.08791 .11757 -70.4688 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(late) show
77.938 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.49141 .88243 -68.25 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(a) show
68.875 13.375 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(h) show
73.500 11.812 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.37122 .11757 -71.4688 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(coh) show
77.438 11.812 moveto
(.) show
79.938 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.89492 .88243 -69.8438 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(a) show
68.875 13.375 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(tt) show
76.688 11.812 moveto
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.65453 .11757 -73.25 -9.40625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
/Times-Italic findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.812 moveto
(early) show
83.500 11.812 moveto
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[40]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`3ooolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3o
oolP0?ooo`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40
fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@005P3oool00`000000oooo0?ooo`02
0?ooo`800000E@3oool00`000000oooo0000000200000580oooo100000020?ooo`800000CP3oool1
0=WIf@005P3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool0DP3oool0
0`000000oooo000000020?ooo`030000003oool0oooo0500oooo00D000000?ooo`3oool0oooo0000
00020?ooo`030000003oool0oooo04/0oooo0@3IfMT000l0oooo0`0000040?ooo`050000003oool0
oooo0?ooo`0000000P3oool00`000000oooo0?ooo`190?ooo`<000000`3oool5000000<0oooo00<0
00000?ooo`3oool0B@3oool3000000D0oooo00@000000?ooo`3oool000000P3oool00`000000oooo
0?ooo`1;0?ooo`40fMWI000G0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0
C`3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0540oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo0?ooo`1;0?ooo`40fMWI000G0?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`3oool0D03oool010000000oooo0000003oool3000005D0oooo00<00000
0?ooo`0000000P3oool00`000000oooo0?ooo`1;0?ooo`40fMWI000E0?ooo`060000003oool0oooo
0000003oool000000P3oool00`000000oooo0?ooo`1A0?ooo`8000000P3oool00`000000oooo0?oo
o`1A0?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo0?ooo`1;0?ooo`40
fMWI000E0?ooo`@000000P3oool2000005D0oooo00<000000?ooo`3oool00`00001B0?ooo`800000
0`3oool2000004h0oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o0?oo
ob00oooo0@3IfMT00?l000002000000H0?ooo`40fMWI00000`000000oooo0?ooo`0D0?ooo`030000
003oool0oooo05L0oooo00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`0h0?ooo`030000
003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo01@0oooo00<000000?ooo`3oool0E`3o
ool00`000000oooo0?ooo`1G0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool05P3o
ool10=WIf@0000<000000?ooo`3oool0o`3oool40?ooo`030000003oool0oooo01H0oooo0@3IfMT0
00030000003oool0oooo0?l0oooo103oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000
oooo0?ooo`3o0?ooo`@0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool0
o`3oool40?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo0?l0oooo103o
ool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`3o0?ooo`@0oooo00<00000
0?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool0O@3oool00`000000oooo0?ooo`0<0?oo
o`<000000`3oool2000006l0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3o
ool0O@3oool00`000000oooo0?ooo`030?ooo`D000000`3oool01`000000oooo0?ooo`3oool00000
0?ooo`0000000P3oool00`000000oooo0?ooo`1/0?ooo`030000003oool0oooo01H0oooo0@3IfMT0
00030000003oool0oooo01<0oooo0P3oooiX0?ooo`030000003oool0oooo00l0oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`0:0?ooo`<0ooonG`3oool00`000000oooo0?ooo`0F0?oo
o`40fMWI00000`000000oooo0?ooo`0A0?ooo`D0ooonI@3oool010000000oooo0?ooo`0000040?oo
o`D000001P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00P0oooo1@3oooiN
0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo0140oooo1P3oooiU0?oo
o`@000003@3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000X0oooo1P3oooiM
0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo0100oooo203oooif0?oo
o`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`080?ooo`H0ooonG@3oool0
0`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0@0?ooo`P0ooonMP3oool30000
0080oooo0P00000:0?ooo`T0ooonF`3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000
oooo0?ooo`0@0?ooo`80ooon0`3oood30?oooXL0oooo0`3oooh30?ooo@<0ooonF`3oool00`000000
oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0?0?ooo`80ooon1@3oood30?oooXH0oooo
0P3oooh60?ooo@80ooonFP3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?oo
o`0?0?ooo`80ooon1P3oood20?oooXH0oooo0P3oooh70?ooo@80ooonF@3oool00`000000oooo0?oo
o`0F0?ooo`40fMWI00000`000000oooo0?ooo`0>0?ooo`80ooon0P3oood30?ooo0<0ooom00<0ooon
0?ooo`3oool0Q03oool20?oooP80ooom0`3ooo`20?ooo@80ooonF@3oool00`000000oooo0?ooo`0F
0?ooo`40fMWI00000`000000oooo0?ooo`0>0?ooo`80ooon00<0ooom0?ooo03ooo`00`3ooo`20?oo
o@80ooonQ@3oool20?oooP80ooom1@3ooo`00`3oood0ooon0?oooP1H0?ooo`030000003oool0oooo
01H0oooo0@3IfMT000030000003oool0oooo00h0oooo0P3oooh00`3oood0oool0?oon`020?oon`80
oool00<0ooom0?oooP3oooh0Q@3oool20?oooP030?ooo@3ooo`0oool00<0oook0P3ooo`00`3oood0
ooon0?oooP1G0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00d0oooo
0P3oooh00`3oood0oool0?ooo0040?oon`80oool00<0ooom0?oooP3oooh0Q03oool20?oooP030?oo
o@3ooo`0oool00@0oook00@0oool0?ooo@3oooh0ooonE`3oool00`000000oooo0?ooo`0F0?ooo`40
fMWI00000`000000oooo0?ooo`0=0?ooo`80ooon00<0ooom0?ooo03ooo/0103oooX00`3ooo/0oool
0?ooo@020?oooX@0oooo0P3oooh00`3oood0oool0?oon`040?oonP030?oon`3ooo`0ooom0080ooon
EP3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0=0?ooo`050?oooP3o
ood0ooom0?oon`3oooX00`3oooT0103oooX0oook0?oon`3oood20?oooX@0oooo0P3oooh0103oood0
oool0?oon`3oooX30?oon@050?oonP3ooo/0oool0?ooo@3oooh0EP3oool00`000000oooo0?ooo`0F
0?ooo`40fMWI00000`000000oooo0?ooo`0=0?ooo`050?oooP3oood0oool0?oonP3oooT00`3oooP0
1P3oooT0oooj0?oon`3ooo`0ooom0?oooX@0oooo0P3oooh0103oood0oool0?oon`3oooT30?oon004
0?oon@3oooX0oook0?ooo080ooonE@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000
oooo0?ooo`0=0?ooo`060?oooP3oood0oool0?oonP3oooT0oooh0P3oooL01P3oooP0oooi0?oonP3o
oo`0ooom0?oooX@0oooo0P3oooh01@3oood0oool0?oonP3oooT0oooh0080ooog00H0oooh0?oon@3o
ooX0oook0?ooo@3oooh2000005<0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?oo
o`3oool0303oool01`3oooh0ooom0?ooo03ooo/0oooi0?oon03oooL00P3oooH01P3oooL0oooh0?oo
nP3ooo/0ooom0?oooXD0oooo00H0ooon0?ooo@3ooo/0oooj0?oon03oooL20?oomP090?oom`3oooP0
oooi0?oon`3ooo`0ooom0?oooP3oool000000580oooo00<000000?ooo`3oool05P3oool10=WIf@00
00<000000?ooo`3oool0303oool01P3oooh0ooom0?ooo03oooX0oooh0?oom`<0oooe00L0ooof0?oo
m`3oooT0oook0?ooo03oood0ooon08@0oooo00H0ooon0?ooo@3ooo/0oooj0?oon03oooH30?oom@08
0?oomP3oooL0oooi0?oon`3ooo`0ooom0?ooo`00001B0?ooo`030000003oool0oooo01H0oooo0@3I
fMT000030000003oool0oooo00`0oooo0P0000001P3ooo/000000000003oooH000000?ool`800000
00H0ooof00000000000000000?ooo@3ooohi0?ooo`<000000P3oool300000080oooo00H000000?oo
o`00000000000?ooo`00000i0?ooo`<0000000/0ooom0?oon`00000000000?oomP000000oooc0000
003oooD0ooof0?oon002000000040?ooo@3oooh0oooo00000540oooo00<000000?ooo`3oool05P3o
ool10=WIf@0000<000000?ooo`3oool02`3oool04@3oooh000000?ooo03ooo/000000?oomP000000
ooob0?ool@000000oooc0?oom@000000oooi0?oon`000000ooon03T0oooo00P000000?ooo`3oool0
00000?ooo`000000ooon00000080ooon00@000000?oooP000000ooon>`3oool04P000000oooo0?oo
oP000000oool0000003oooL000000?ool`3ooo8000000?oolP3ooo@0ooof0000003oooX0oool0?oo
oP800000D@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0;0?ooo`0<
0?oooP000000oool0?oonP000000oooe0?ool`000000ooo`0000003ooo80oooc0`0000000`3ooo`0
ooon0?ooo`0h0?ooo`030000003oool0oooo0080ooon00@000000?oooP3oooh000000P3oooh01000
0000ooon0000003ooohj0?ooo`<0000000H0ooom0?ooo0000000ooog0?oom@0000020?ool00:0000
003ooo80oood0000003oooT0oook0?ooo@000000oooo00000500oooo00<000000?ooo`3oool05P3o
ool10=WIf@0000<000000?ooo`3oool02`3oool0203oooh0ooom0000003oooX0oooh0000003ooo80
00000P3oonh01P000000ooob0?oom0000000oooj00000080ooon>@3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00<000000?ooo`000000?03oool02P000000ooon0000003o
oo`0oooj0000003ooo@000000?ook`3oonh2000000080?oolP3oooD000000?oonP3ooo`000000?oo
o`00001@0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00/0oooo00H0
ooon0?ooo@000000oooi0?oomP3ooo82000000030?ook000000000000080000000D0ooog00000000
0000ooom0?oooP0j0?ooo`8000000P3oool3000000030?koo`3oool0oooo00800000?@3oool20000
00030?ooo03oooX0ooof0080000000P0ooo]0?ook0000000ooo]0000003ooo8000000?oon0800000
00<0ooon0000003oool0C`3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?oo
o`0;0?ooo`0B0?oooP3oood0oooj0000003oooD0oooa0?ookP3oonX0oooY0?oojP3oon`000000?oo
l@3oooH0oooi0?oon`3oood0ooon?@3oool40?koo`80oOoo00<0o_oo0000003nool0?P3oool0403o
ood0oool0?oonP3oooH0oooc0?ook`3oon`0oooZ0?ooj@3oonX0ooo/0?ool03ooo<000000?oonP3o
oo`20?oooU00oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool02P3oool2
0?oooP070?ooo000000000000?oom03oonh0ooo[0?ooi`020?ooiP080?ooj@3oon`0ooo_0?oom03o
ooL0oooj0?ooo@3ooohk0?ooo`<0o_oo1@3mool2000000040?goo`3nool0o_oo0?kooc/0oooo00P0
ooon0?ooo03oooX0ooof0?ool`3oonh0ooo[0?ooj080oooV00P0oooX0?ook000000000000?oon03o
ooX0ooom0?oooU00oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool02P3o
ool02@3oooh0ooom0?ooo03oooT0ooof0?oolP3oond0oooY0?ooi@020?ooi0080?ooi`3oonX0ooo]
0?ool`3oooL0oooi0?ooo03ooohj0?oooa00o_oo>P3oool0203oooh0oool0?oon`3oooL0oooc0?oo
k@3oonX0oooV0P3oon@01`3oonD0oooY0?ook@3ooo40ooof0?oon@3ooo`00P3oooi?0?ooo`030000
003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00X0oooo00T0ooon0?ooo@3ooo`0oooh
0?oom@3ooo40ooo[0?ooi`3oon800P3oo^40203oon@0oooX0?ook03ooo80ooof0?oon@3ooo`0ooon
>@3oool30?koo``0oooo0`3nooli0?ooo`080?oooP3oood0oook0?oom`3ooo<0ooo]0?ooj@3oonD2
0?onh@090?onhP3oonH0oooZ0?ookP3ooo@0ooog0?oon`3oood0ooon04l0oooo00<000000?ooo`3o
ool05P3oool10=WIf@0000<000000?ooo`3oool02P3oool02@3oooh0ooom0?oon`3oooL0oooc0?oo
k`3oonP0oooS0?ongP020?ong@080?onh03oon@0oooY0?ool03ooo@0oooh0?ooo03ooodm0?ooo`04
0?oooP3oood0ooom0?ooo@<0oool0P3oood20?oooS`0oooo00T0ooon0?ooo@3ooo/0ooog0?ool`3o
on`0oooX0?ooh`3oo]h00P3oo]d0203oo^00oooT0?ooj@3ooo00oood0?oon@3ooo`0ooomC`3oool0
0`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0:0?ooo`090?oooP3oood0oook
0?oomP3ooo80ooo]0?ooi@3oo^00ookK0080ookI00T0ookM0?onh@3oonL0ooo^0?ool`3oooL0oook
0?ooo@3oooh0>P3oool00`3oooh0ooom0?ooo@030?ooo0<0oook0`3ooo`20?ooo@030?oooP3oool0
oooo03P0oooo01@0ooon0?ooo@3ooo/0ooog0?ool`3oon`0oooW0?onhP3oo]`0ookJ0?onf@3oo]`0
ookP0?ooi@3oond0ooob0?oon03ooo/0ooom0?oooTh0oooo00<000000?ooo`3oool05P3oool10=WI
f@0000<000000?ooo`3oool02P3oool02@3oooh0oool0?oonP3oooD0ooo`0?ooj`3oo^80ookL0?on
eP020?one0090?onf03oo]d0oooS0?ook03ooo40ooof0?oon`3oood0ooon03P0oooo0P3oooh?0?oo
o@80ooon>03oool04`3oooh0ooom0?ooo03oooP0oood0?ook03oonH0ookP0?onf@3oo]D0ookD0?on
eP3oo]T0ookO0?ooj03oond0oooe0?oon03ooo/00P3oooi=0?ooo`030000003oool0oooo01H0oooo
0@3IfMT000030000003oool0oooo00X0oooo00T0ooom0?ooo03oooX0oood0?ook`3oonT0ookO0?on
f@3oo]800P3oo]002@3oo]D0ookJ0?onh03oonX0ooo`0?oom@3oooX0oool0?oooP0h0?ooo`H0ooon
203oool60?oooSL0oooo0P3oooh04`3ooo`0oooh0?oom03oon`0oooV0?ong`3oo]L0ookB0?ond03o
o]40ookE0?onfP3oon<0oooZ0?oolP3oooL0oooj0?ooo@3oooh0C@3oool00`000000oooo0?ooo`0F
0?ooo`40fMWI00000`000000oooo0?ooo`0:0?ooo`090?ooo@3ooo`0oooi0?ool`3oond0oooW0?on
g03oo]D0ook>0080ook<00T0ookA0?one`3oo]h0oooX0?ook`3ooo@0oooj0?ooo03oooh0=`3oool3
0?oooP<0oooo00<0o_oo0?goo`3mool0103lool00`3mool0o_oo0?koo`030?ooo`<0ooon=`3oool0
2@3oooh0oool0?oon@3oooD0ooo]0?ooiP3oo]l0ookE0?ond0020?onc@090?onc`3oo]D0ookN0?oo
iP3oonl0oood0?oon03ooo`0ooon04d0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<00000
0?ooo`3oool02P3oool0503oood0oook0?oon03ooo40ooo[0?ooh`3oo]L0ook@0?omb03ooLD0oog6
0?onb`3oo]40ookI0?ooi@3oon`0ooob0?oon@3ooo/0ooon>P3oool0103nool0oOoo0?coo`3kool2
0?[oo`D0nOoo00D0n_oo0?_oo`3lool0oOoo0?koo`0j0?ooo`0E0?oooP3oood0oooi0?oom@3oond0
oooV0?ongP3oo]80ook<0?oma`3ooLD0oog70?onc03oo]H0ookN0?oojP3ooo00oooe0?oon`3oood0
ooon04`0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool02@3oool02P3o
ooh0ooom0?oon`3oooL0ooo`0?ooj@3oo^40ookD0?onc03ooL<20?om`@090?oma`3oo/d0ookF0?oo
h`3oonX0oooa0?oon03ooo/0ooon03T0oooo00<0o_oo0?goo`3lool00P3kool90?[oo`050?_oo`3l
ool0o?oo0?goo`3nool0>03oool05@3oooh0ooom0?oonP3oooH0ooo^0?ooiP3oo]h0ookA0?onbP3o
oL@0oog00?om`P3ooLH0ook@0?onf@3oonD0ooo]0?ool`3oooT0oool0?ooo@1<0?ooo`030000003o
ool0oooo01H0oooo0@3IfMT000030000003oool0oooo00T0oooo00X0ooon0?ooo03oooX0ooog0?oo
kP3oonL0ookN0?ond03ooLP0oofn0P3ooK`0203ooL80ook90?ondP3oo^00oooY0?ool03oooL0oook
0P3ooohg0?ooo`030?koo`3mool0o?oo00D0o?oo1@3mool60?coo`030?goo`3nool0oooo03H0oooo
00X0ooon0?ooo@3oooX0ooof0?ookP3oonL0ookN0?ond03ooLL0oog10P3ooK`02P3ooKl0ook:0?on
dP3oo^00oooY0?ool03oooL0oook0?ooo@3oooi;0?ooo`030000003oool0oooo01H0oooo0@3IfMT0
00030000003oool0oooo00T0oooo00X0ooon0?ooo03oooT0oooe0?ook03oon@0ookJ0?onbP3ooL40
oofg0P3ooK@02P3ooK/0oog30?onc03oo]`0oooU0?ookP3oooH0oooj0?ooo@3ooohf0?ooo`80o_oo
00P0oOoo0?koo`3nool0oooo0?oooP3oood0oool0?oon`<0oooj00D0oook0?ooo03oood0ooon0?oo
o`020?koo`030?goo`3nool0o_oo03L0oooo01D0ooon0?oon`3oooL0ooo_0?ooj03oo]h0ook?0?om
a@3ooK`0oofe0?om/`3ooKH0oofo0?omb03oo]L0ookQ0?oojP3ooo@0oooi0?oon`3oooh0B`3oool0
0`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`090?ooo`0:0?oooP3ooo`0oooi
0?oom03oonX0ookQ0?one`3ooLH0oofl0?ol/@80oob^00X0oofe0?om_P3ooLP0ookI0?ooh`3oon`0
oooe0?oonP3oood0ooon=@3oool30?koo`80oooo00D0ooon0?ooo@3ooo/0oooj0?oon0020?oom`80
ooof00H0ooog0?oon03oooT0oooj0?ooo03oood20?ooo`<0o_oo=P3oool05P3oooh0oook0?oon03o
oo00oooX0?ong`3oo/h0oog30?om^P3oo;00oob^0?ol[`3ooKL0oog00?ond03oo]/0oooU0?ool@3o
ooL0oooj0?ooo@3oooi:0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo
00T0oooo00X0ooon0?oon`3oooP0oooc0?ooi`3oo]d0ookA0?om_`3ooK@0oobX0P3oo:D02P3oo:d0
ooff0?om`P3oo]@0ookP0?ooj@3ooo@0oooi0?ooo@3ooohh0?ooo`040?oooP3ooo`0oook0?oonP80
oooh203oooL01P3oooP0oooi0?oonP3ooo/0ooom0?oooSP0oooo00X0ooon0?ooo03oooT0oooa0?oo
jP3oo^00ook>0?om`P3ooKH0oobZ0P3oo:D02P3oo:/0oofd0?oma@3oo]40ookM0?ook03ooo<0oooh
0?ooo03oooi:0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00T0oooo
00X0ooon0?oon`3oooL0ooob0?ooi@3oo]X0ook>0?om^P3oo:l0oobR0P3oo9l02P3oo:L0ooba0?om
_@3oo]40ookM0?ooj03ooo<0oooh0?ooo03ooohg0?ooo`030?oooP3oood0oook00D0oooj00<0oook
0?ooo03ooo`00P3ooo`20?oon`@0oooj00<0oook0?ooo03oooh0=`3oool05P3oooh0oool0?oon@3o
oo80ooo[0?onh@3oo/h0oog10?om]@3oo:H0oobP0?olWP3oo:<0oob[0?om_03oo/T0ookF0?ooi`3o
onl0ooof0?oon`3oooe:0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo
00T0oooo00X0ooon0?oonP3oooH0oooa0?ooh`3oo]L0ook:0?om]@3oo:T0oo^L0P3oniP02P3oo:40
oob[0?om^03oo/d0ookJ0?ooiP3ooo80ooog0?ooo03ooohf0?ooo`030?oooP3oood0oool00<0oool
00D0ooom0?ooo`3oool0oOoo0?coo`020?_oo`060?coo`3mool0o_oo0?ooo`3oooh0ooom0`3ooo`0
0`3oood0ooon0?ooo`0e0?ooo`0G0?oooP3ooo`0oooj0?ool`3oon`0ookR0?onc`3ooL40oofc0?ol
XP3oni/0oo^H0?okV`3oo:80oofc0?om`@3oo/l0ookR0?ook03ooo<0oooj0?ooo03oooh0B@3oool0
0`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`080?ooo`0;0?oooP3oood0oooj
0?oom@3oonl0ookP0?ond`3ooL@0oob]0?olX03oni800P3onhh02P3oniL0oobR0?ol/03ooLL0ookF
0?onhP3ooo00ooof0?ooo03ooohe0?ooo`80ooon00X0ooom0?oooP3oool0oooo0?goo`3jool0n?oo
0?Koo`3dool0looo0`3bool01`3cool0m?oo0?Koo`3iool0nooo0?goo`3oool00P3oooh00`3oood0
ooon0?ooo`0e0?ooo`0:0?ooo@3ooo/0oood0?ook@3oon@0ook@0?om`@3ooK80oobN0?okU080oo^?
00X0oo^E0?olY03ooK80oog20?onf03oon@0ooo^0?oom`3ooo/0ooonB@3oool00`000000oooo0?oo
o`0F0?ooo`40fMWI00000`000000oooo0?ooo`080?ooo`0;0?oooP3oood0oooi0?oom03oond0ookM
0?onc`3ooKl0oobW0?okV@3onX/00P3onXL02`3oni40oo^L0?olZP3ooL<0ookB0?onh03oonl0ooof
0?oon`3oood0ooon03@0oooo0P3oooh20?ooo`070?goo`3kool0nOoo0?Koo`3eool0looo0?;oo`05
0?7oo`070?;oo`3cool0mOoo0?Ooo`3iool0o?oo0?goo`020?ooo`80ooon=@3oool05`3oood0oook
0?oom@3oonl0oooU0?ond@3ooL80ooba0?okV`3oni00ooZ90?ojQ`3onh/0oo^J0?olZ03ooKP0ook@
0?ongP3oonT0oooe0?oon@3oood0ooon04P0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<0
00000?ooo`3oool0203oool0603oooh0ooom0?oon03ooo<0ooo[0?onf@3oo/X0oofh0?olWP3oni00
ooZ10?ojO03onWd0ooZ60?okTP3oo:80oofl0?onc@3oo]`0ooo]0?oom03ooo/0ooom0?oooSH0oooo
00D0o_oo0?goo`3jool0nOoo0?Soo`030?Ooo`030?Soo`3iool0n_oo00<0n_oo00<0nOoo0?Soo`3g
ool00P3gool0103hool0n_oo0?coo`3moolg0?ooo`0G0?oooP3ooo`0ooog0?ool03oonL0ookD0?om
``3oo;40oo^H0?ojR`3onX40ooYl0?ojOP3onX/0oo^H0?olZ03ooL<0ookC0?onh@3ooo00ooof0?oo
o03oooh0B03oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`080?ooo`0;
0?oooP3ooo`0oooh0?oolP3oonT0ookF0?omaP3ooK<0oo^H0?ojR@3onGT00P3onGD02`3onWl0oo^<
0?okW03ooKL0ook90?onf@3oon`0oooc0?oonP3oood0ooon03H0oooo00<0oOoo0?coo`3jool00P3j
ool01P3kool0oOoo0?ooo`3oood0oook0?oonP80oooi00H0oooj0?ooo03oood0o_oo0?goo`3kool2
0?[oo`030?_oo`3lool0oOoo03H0oooo01P0ooon0?ooo03oooL0ooob0?ooj@3oo]D0oog40?om/P3o
niL0ooZ80?ojO@3onGD0ooUf0?ojP03onhd0oo^M0?om^03oo/X0ookJ0?ook03ooo@0oook0?ooo@3o
ooi70?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00P0oooo00/0ooon
0?ooo03oooL0oooa0?ooj03oo]<0oog10?ol[P3oni80ooZ20?oiLP020?oiKP0;0?oiN03onXD0oo^E
0?om/P3ooLD0ookG0?oojP3ooo<0oooj0?ooo@3oooh0=@3oool0303nool0o?oo0?coo`3lool0oOoo
0?ooo`3oood0oooj0?oom`3ooo<0oooa0?ook`80ooo^00P0ooo_0?ool@3ooo<0ooog0?oonP3oood0
oooo0?goo`<0o?oo00<0o_oo0?ooo`3oool0<`3oool02`3oooh0ooom0?oon03ooo<0oooZ0?one`3o
oLH0oofc0?okUP3onXH0ooUi0080ooU^00/0ooUf0?ojP@3oni40oob]0?om`@3oo]<0oooW0?ool@3o
ooT0oool0?oooP170?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00P0
oooo00/0ooon0?ooo03oooH0ooo_0?ooi@3oo/h0oofk0?olYP3onXP0ooUg0?ohI`020?ohH`0;0?oi
KP3onG/0oo^<0?olZP3ooKl0ookB0?ooi`3ooo40oooi0?ooo03oooh0=03oool30?koo`080?ooo`3o
ooh0oook0?oon@3ooo@0oooa0?ook`3oon`20?ooj`<0oooZ00T0ooo[0?ook03oonh0ooo`0?ool`3o
ooL0oooj0?oooP3oool0103noolc0?ooo`0H0?oooP3oood0oooi0?oom@3oond0ookJ0?onb@3ooKD0
oo^F0?ojP`3onG@0ooQU0?ohHP3on6L0ooUa0?ojO`3oni/0oob`0?oma@3oo]h0oooZ0?oomP3oooX0
ooomA`3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`080?ooo`0H0?oo
oP3ooo`0oooe0?ookP3oon<0ook;0?om]P3oo:00ooZ10?oiL03omf00ooMK0?ogG03on6H0ooUd0?oj
Q@3oo:D0oofk0?onc`3oonH0ooo`0?oon@3ooo`0ooon<`3oool30?koo`060?ooo`3oooh0oook0?oo
n03oooH0oooc0P3ooo400`3ooo00oooa0?ool@030?oolP80oooa00T0ooo`0?ool@3ooo40oood0?oo
mP3oooX0oool0?oooP3oool00P3noold0?ooo`0H0?oooP3oooX0ooof0?ookP3oo]`0ook;0?om]`3o
niH0ooZ20?oiL@3omf00ooMK0?ogGP3on6H0ooUc0?okS`3oo:@0oofj0?one`3oonD0oooc0?oon@3o
oo`0ooonAP3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`080?ooo`0;
0?ooo@3ooo/0oood0?ook03oo^00oog50?ol[`3oniP0ooUg0?ohIP3omUD00P3omU402`3ome`0ooQY
0?oiN`3onid0oofd0?onb@3oon<0ooo^0?oon03ooo`0ooon03H0oooo00<0ooom0?oon`3oooT00P3o
ooP03`3oooT0oook0?ooo@3mool0n_oo0?Ooo`3eool0m?oo0?Goo`3gool0nOoo0?koo`3oooh0oool
0?oon@020?oon0030?oon@3ooo/0ooom03H0oooo01P0ooon0?oon`3oooL0oooa0?onh03oo/l0oofj
0?okV03onX40ooU^0?ogFP3omU80ooIA0?ogE`3on680ooUk0?okT@3oo:P0ook90?onf`3oonh0oooe
0?oonP3oooi60?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00P0oooo
00/0ooom0?oon`3ooo<0oooZ0?ong@3ooL40oobZ0?okT@3onG00ooMO0?ofCP020?oeBP0;0?ofE@3o
n680ooUd0?okU`3oo:l0oog60?onh@3oond0oooh0?oon`3oood0=@3oool0303oooh0oool0?oon`3o
ooX0oook0?ooo@3nool0n_oo0?Koo`3_ool0k?oo0>Woo`<0i_oo00P0j?oo0>[oo`3_ool0looo0?Oo
o`3mool0ooon0?oon`80oooj00<0oool0?ooo@3oooh0=03oool06@3oooh0oool0?oon03ooo80ookR
0?ondP3ooKd0oo^I0?ojPP3on6d0ooMF0?ofC@3omDX0ooI>0?ogE`3onFh0ooZ30?okV`3ooKl0ookC
0?ooj@3ooo<0oooh0?ooo@3oooh0A@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000
oooo0?ooo`080?ooo`0H0?ooo@3oooX0ooob0?ooj@3oo]/0oofm0?olY@3onh/0ooQY0?ogF03omDL0
ooA30?oeA03omTh0ooMK0?oiKP3oni40oobZ0?om`P3oo]h0ooo[0?oom`3ooo/0ooom=03oool03@3o
ooh0ooom0?ooo03ooo`0ooon0?ooo`3kool0mOoo0?7oo`3]ool0iooo0>Coo`3Rool00`3Po_l02`3Q
o_l0h_oo0>Koo`3Yool0kOoo0??oo`3hool0oOoo0?ooo`3oood0oool0080ooom=03oool06@3oooh0
oool0?oon@3ooo<0oooT0?one@3ooL00oo^K0?ojPP3on6`0ooIC0?oeB03om4<0ooE50?ofC03on640
ooUe0?okS@3ooK<0ook:0?ooi03oonl0ooof0?ooo03oooh0A@3oool00`000000oooo0?ooo`0F0?oo
o`40fMWI00000`000000oooo0?ooo`080?ooo`0H0?ooo@3oooX0oooa0?ooiP3oo]L0oofg0?okW03o
nX80ooMO0?ofCP3om3h0oo<i0?oc>P3omD@0ooIA0?ohH`3onXL0oobR0?om_03oo]/0oooY0?oomP3o
oo/0ooom<`3oool30?oooP80oooo00D0nooo0?Ooo`3dool0kooo0>goo`030>_oo`040>coo`3]ool0
k_oo0>koo`80kOoo0`3[ool01@3]ool0kooo0?Coo`3hool0nooo0080oooo0`3ooohc0?ooo`0;0?oo
o@3oooX0oooe0?ooj03oo]T0oog50?olW`3onXD0ooQ/0?ofC`3om4<00P3olcX0303om3h0ooI?0?oh
H@3onGP0oobO0?om^@3oo]T0oooX0?oolP3oooX0ooom0?oooT@0oooo00<000000?ooo`3oool05P3o
ool10=WIf@0000<000000?ooo`3oool0203oool0603ooo`0oooi0?ool03oonD0ookD0?om/P3oniL0
ooYk0?ogF03omDL0oo<g0?ob<`3olS@0oo@m0?oeBP3omed0ooZ10?okW@3ooKL0ookH0?ooi`3oooD0
oooj0?oooC<0oooo0P3oooh03@3oool0o_oo0?coo`3hool0mOoo0??oo`3bool0looo0?Coo`3iool0
o?oo0?ooo`3ooo/00P3oooX03@3ooo/0ooom0?goo`3iool0m_oo0??oo`3bool0looo0?Goo`3gool0
nooo0?koo`3oool00P3ooohc0?ooo`0I0?ooo@3ooo/0ooog0?oojP3oo]`0oog80?olX`3onXL0ooQ]
0?ofC@3om400oo8d0?ob<`3olcH0ooE40?ofE03on6X0oo^A0?ol[@3oo]00ookR0?ookP3oooP0oool
0?oooP140?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00L0oooo00`0
ooon0?ooo03oooT0ooo^0?onhP3oo]00oob[0?okSP3onG80ooI>0?od?@3olRl20?oa:`0;0?ob=03o
m440ooIC0?oiN03oni@0ooba0?one03oonD0oood0?oonP3oood0=@3oool00`3nool0o?oo0?[oo`02
0?Woo`080?_oo`3oool0oooj0?oom03oon/0oooV0?onh@3oo]`20?onfP090?onf`3oo]d0oooS0?oo
j03oond0ooof0?ooo03mool0n_oo0080nOoo00<0nooo0?coo`3oool0=03oool06@3oooh0oool0?oo
n03oond0ookP0?oncP3oo:P0ooZ;0?oiK`3omT`0oo@l0?oa;P3olB/0oo4/0?oc=@3om480ooIE0?oi
N`3oniP0oog00?oneP3oonH0oooe0?oonP3oood0A03oool00`000000oooo0?ooo`0F0?ooo`40fMWI
00000`000000oooo0?ooo`070?ooo`0<0?oooP3ooo`0oooh0?ook@3oo^00ook=0?olYP3onXP0ooQ[
0?oeB03olcL0oo4Y0P3ol2H02`3olRl0oo<j0?ofC03onG40oo^?0?ol[03oo]40oooS0?ool`3oooT0
oool03@0oooo00h0o_oo0?goo`3lool0nooo0?coo`3oool0oool0?oom03oonh0oooX0?onh03oo]`0
ookI0?oneP<0ookD00T0ookF0?onf@3oo]`0ookP0?ooj03oonh0ooog0?ooo03oool00P3kool00`3l
ool0oOoo0?koo`0c0?ooo`0<0?oooP3ooo`0oooi0?ook`3oon<0ookA0?ol[03onhl0ooUa0?ofC03o
lcX0oo4Z0P3ol2H0303olBd0oo<g0?oeB03on6`0ooZ90?om]03oo/d0ookP0?oolP3oooP0oool0?oo
oT<0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01`3oool0303oooh0
oool0?oon03oon`0ookN0?onbP3oo:40ooZ20?ohI@3om480oo8b0?o_9080onlQ00`0oo4Y0?ob=@3o
mDH0ooQ[0?ojR@3oo:L0ook>0?onh@3ooo<0oooi0?ooo03ooohc0?ooo`0=0?koo`3mool0oOoo0?ko
o`3oooh0oooj0?oom@3oond0oooX0?ooi03oo^00ookO0?ongP050?ong`0:0?ongP3oo]l0ookP0?oo
h`3oonL0ooo^0?ool`3oooP0ooon0?koo`80oOoo00<0o_oo0?ooo`3oool0<@3oool06P3oooh0ooom
0?oonP3ooo40oooV0?one@3oo;00oo^B0?oiM03omT`0oo<i0?o`:03okb80onlP0?o`9@3olBh0oo@l
0?ogG@3onGT0oobW0?om`P3oo]P0ooo^0?oomP3ooo/0ooon@`3oool00`000000oooo0?ooo`0F0?oo
o`40fMWI00000`000000oooo0?ooo`070?ooo`0J0?oooP3ooo/0ooog0?oojP3oo]X0oog50?okV@3o
nGT0ooMK0?oc>@3olBX0onhM0?o]6P3okA/0onlR0?oa;03om3d0ooQQ0?ojP03oo:00ook:0?ongP3o
oo40oooh0?ooo03ooohb0?ooo`<0o_oo00D0oooo0?ooo@3oooP0oood0?ool@020?ookP060?ool03o
ooH0oook0?ooo`3gool0m?oo0P3bool03@3eool0nooo0?ooo`3oooX0oooc0?ool03oonh0ooo_0?oo
l@3oooH0oooj0?ooo@3oool00P3noolc0?ooo`0J0?ooo@3ooo/0oood0?oojP3oo]X0oofg0?okV@3o
nGT0ooI>0?oc>03okb@0onhM0?o]6P3okA`0onlR0?oa;03omDP0ooQR0?okT03oo:l0ook:0?ooiP3o
oo40oooh0?ooo@3oooi20?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo
00L0oooo01X0ooon0?oon`3oooH0oooX0?onf03ooL40oo^D0?oiL`3omUD0oo8c0?o`9@3okAT0on`F
0?o/5`3okQd0oo0W0?oc=`3ome/0ooUj0?okV`3ooLL0ookL0?ool03oooP0oool0?oooSD0oooo00d0
ooom0?oonP3oooH0oooe0?oom03oooL0oool0?goo`3aool0j_oo0>;oo`3Jo_l0e_ko0080e?ko00d0
e_ko0=cno`3Ro_l0jOoo0?Coo`3lool0oooj0?oomP3ooo@0oooe0?oom`3oooX0ooon03D0oooo00`0
ooon0?ooo03oooD0ooo/0?ongP3ooK`0oobN0?ojO@3omU00oo<i0?o_8`3okA/20?o/5`0<0?o]6`3o
kb@0oo<k0?ofD`3onX00oobQ0?om_`3oo]l0ooo]0?oomP3ooo`0ooon@P3oool00`000000oooo0?oo
o`0F0?ooo`40fMWI00000`000000oooo0?ooo`070?ooo`0<0?oooP3ooo/0ooof0?ooi`3oo]H0oofm
0?okS`3on6d0ooI?0?oa;P3okR00on/E0P3ojQ<0303okAT0onlR0?ob<@3omUD0ooUd0?okUP3ooL<0
ookJ0?ook`3oooL0oook0?oooS@0oooo00h0ooon0?oon`3oooX0oooh0?oon@3ooo`0n_oo0??oo`3[
ool0g_ko0=Ono`3Ao_l0b_ko0<Smo`80a_go00h0aogo0<_no`3?o_l0eOko0=ono`3Wool0m?oo0?_o
o`3oooh0oooi0?oon03oooT0oook0?oooC@0oooo01X0ooon0?ooo03oooH0ooo^0?onh@3ooL40oobS
0?ojPP3omU80oo<j0?o_8@3ok1T0on/D0?oZ4`3ojaH0ondL0?ob;`3omD@0ooU`0?okTP3ooK80ookG
0?ooj03ooo<0oook0?oooD80oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3o
ool01`3oool06P3oooh0oooj0?oom@3oon@0ookB0?om^03onXH0ooQT0?oeAP3ol2H0ondJ0?oY4@3o
j0h0onP?0?o[503okA`0oo4Z0?ofC03on6/0oo^>0?om_P3oo]H0ooo^0?oomP3ooo/0ooon<`3oool0
3`3oooh0ooom0?ooo03ooo`0oooo0?_oo`3eool0jooo0>Coo`3No_l0fOko0=Ono`3Fo_l0eoko0=Sn
o`030=Wno`0;0=Ono`3Fo_l0e_ko0=Sno`3Ko_l0h_ko0>Soo`3_ool0nOoo0?koo`3oooh00P3ooo`0
0`3oooh0oooo0?ooo`0a0?ooo`0K0?oooP3oood0oooh0?ool@3oonH0oog80?olZ`3onXX0ooMG0?od
?03okb40on`F0?oY4@3oj0h0onT?0?oZ4`3okb40oo8a0?ogF03onGT0oo^L0?onb@3oo]h0ooo]0?oo
n03ooo`0ooon0440oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01`3o
ool06P3oooh0oooj0?oom03oon<0ook?0?om]03onX40ooMN0?od@03okb80on`F0?oX3P3oiP`0onL<
0?oY4@3ok1P0oo0U0?oeAP3on6D0ooZ80?om^P3oo]@0ooo]0?oomP3ooo/0ooon<P3oool20?oooP0P
0?ooo@3oooh0oooo0?[oo`3eool0kooo0>Soo`3Vool0iOoo0>Ooo`3[ool0l?oo0?Woo`3mool0ooom
0?ooo03oood0o?oo0?Ooo`3aool0j_oo0>Koo`3Uool0i_oo0>[oo`3aool0m_oo0?_oo`3oool0ooon
0?ooo@3ooohc0?ooo`0J0?oooP3oooT0oooc0?ooj@3oo/d0ooba0?okS`3ome/0oo@n0?o_803ojaD0
onT?0?oV303oi``0onP?0?o]6@3ol2L0ooE90?ohJ03onh`0oofm0?oneP3oonL0ooof0?oon`3oooi1
0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00L0oooo00`0ooon0?oo
n@3ooo<0ookP0?onb`3oo:h0ooUh0?ofE@3olcP0ondL0?oZ4@3oi@X20?oT2@0<0?oW3@3ojQ<0onhO
0?od?P3ome`0ooZ00?om]03oo]00ooo[0?oom@3oooX0ooon<P3oool20?oooP0O0?ooo`3mool0n_oo
0?Goo`3cool0l_oo0?Coo`3iool0ooon0?ookP3oon@0ookJ0?onc@3ooLL0oog10?om`03ooL40oog6
0?onc03oo]@0ookR0?ook@3ooo`0nooo0?Goo`3bool0looo0?Goo`3jool0oOoo0?ooo`020?oooS80
oooo00`0ooon0?oon`3oooH0ooo]0?one03ooKX0oo^H0?ohHP3om480onlQ0?o[5@3oj0h20?oT2@0<
0?oU2P3ojA00ondJ0?ob=03omU00ooUb0?olZ03ooLH0ookM0?ool@3oooP0ooom@@3oool00`000000
oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`070?ooo`0<0?ooo@3oooT0ooob0?ongP3o
oLP0oobY0?oiL`3omTl0oo8c0?o/603oj0l0on@80P3ohPL0303oiPX0onT@0?o]6`3olcP0ooMG0?oi
N`3oo;40ook=0?oojP3ooo@0oooj0?oooS@0oooo00<0o_oo0?_oo`3iool00P3gool02P3jool0oool
0?oolP3oonP0ookH0?oncP3ooLH0oofm0?om^03ooKD20?om]00>0?om]`3ooKX0oofo0?onbP3oo]<0
oooS0?ook@3oooL0o?oo0?Soo`3gool0n?oo0?[oo`3noold0?ooo`0K0?oooP3ooo`0ooog0?ook`3o
o]P0oofo0?olW`3on6L0ooE60?o_8P3oja@0onL=0?oS203ohPL0on<70?oV303ojQ<0oo0X0?od@@3o
n640oo^I0?om^P3oo]D0ooo]0?oomP3ooo`0ooon0400oooo00<000000?ooo`3oool05P3oool10=WI
f@0000<000000?ooo`3oool01`3oool06P3oood0oooh0?ool@3oo]`0oog50?olY@3on6d0ooE:0?oa
;P3ojaD0onL<0?oR1`3oh0D0on460?oT2@3oj0h0on`G0?ob<`3omU40ooUe0?ol[03oo//0oooX0?oo
l`3oooT0ooon=03oool0303mool0nooo0?[oo`3kool0oooo0?oonP3oond0oooT0?onf`3oo/l0ook:
0?omaPL0oog300T0oog40?oma`3oo//0ookD0?ong@3oonH0oood0?ooo03nool00P3jool00`3lool0
o_oo0?ooo`0c0?ooo`0J0?ooo03oooP0oooa0?ong03ooLD0oobU0?oiK@3omDX0onlT0?o[5@3oi``0
on870?oP1@3oh@H0on@90?oX3P3okQh0oo8c0?ofD@3onXP0oob/0?onbP3oonP0oooc0?oon`3oooi0
0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00H0oooo00d0ooon0?oo
o@3oooP0ooo`0?onf@3ooL00oobO0?ohI@3om480oo0W0?oY403oi0T0oml50080omh400`0on460?oU
2P3ojQ80oo4/0?oeB@3on6d0oobV0?omaP3oonH0ooob0?oon@3ooodc0?ooo`0O0?koo`3mool0oOoo
0?ooo`3ooo/0oooe0?ookP3oonD0ookQ0?ong`3oon80oooX0?ook`3oood0nOoo0?3oo`3]ool0k?oo
0?7oo`3gool0oooo0?ool@3oonT0ookQ0?ong`3oo^00oooV0?ook03ooo<0oool0?ooo`020?goo`03
0?koo`3oool0oooo0340oooo01/0ooom0?oonP3ooo@0oooR0?onc@3oo:l0ooUg0?ofDP3ol2L0on/F
0?oW303oh@H0omh40?oM103oh0D0on<80?oZ4`3okb80oo<j0?oiKP3oniD0oofh0?ongP3oond0oooi
0?ooo03oooh0?`3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`060?oo
o`0=0?oooP3oood0ooog0?ook`3oo]L0oofm0?okVP3omel0oo@m0?o_8`3oj0h0on<70?oM10020?oL
0`0<0?oO1@3oi0P0onT@0?o`:03omD<0ooQW0?olXP3ooL<0oooU0?ool@3oooP0ooom<P3oool30?ko
o`0N0?ooo`3oood0ooof0?ool@3oond0ooo[0?ook@3ooo<0oOoo0?3oo`3Ro_l0d?ko0<Kmo`2loOl0
^Ogo0;Smo`2loOl0`_go0<[no`3Ko_l0j?oo0?coo`3oooP0ooo`0?ooj`3oon`0ooo_0?oomP3oooX0
oooo0`3noolb0?ooo`0K0?ooo@3ooo/0ooof0?ooiP3oo]80ooff0?ojOP3omeL0oo4Y0?o/5`3oi``0
on050?oM0`3of`<0omd30?oP1@3oi`d0on`I0?oa;03ome`0ooZ30?olZ@3oo]D0oooX0?oom`3ooo/0
ooon03l0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01P3oool03@3o
ooh0ooom0?oom`3oonh0ookD0?om^03oni<0ooMG0?oc=@3okQd0onD:0?oP1@3ofP800P3of0803@3o
g@<0on460?oW303okb40oo@l0?ogG`3oni`0oofn0?oohP3ooo00oooh0?ooo@3oooh0=03oool03P3o
oo`0oooi0?oomP3oooD0oooh0?goo`3bool0iOoo0=7no`35oOl0^_go0:klo`2Yo?l0Y?co0P2Ro?l0
3`2So?l0YOco0:Wlo`2ao?l0^_go0<[no`3Go_l0iOoo0?Ooo`3oooh0oooh0?oom@3oooH0oooj0?oo
o@0d0?ooo`0=0?oooP3ooo`0oooh0?ooj`3oo]X0oog00?ojRP3on640oo8_0?o/6@3oi`d0oml50?oK
0`020?oI0P0<0?oL0`3ohPL0onP>0?o]703omD<0ooQY0?okT@3ooLH0ookN0?oolP3oooT0ooom?`3o
ool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`060?ooo`0=0?oooP3ooo`0
ooof0?ook@3oo]80oofd0?okS`3omU80oo8a0?o]6P3oi0T0omh40?oH0P020?oF0@0=0?oK0P3og`D0
onD:0?o^7P3olcL0ooMJ0?okU`3ooK/0ookQ0?ook`3oooL0ooom0?oooP0c0?ooo`0?0?oooP3ooo/0
oooi0?oonP3oood0o?oo0>goo`3Ro_l0e_ko0<Smo`31oOl0_Ogo0;[mo`2koOl0_Ogo00<0__go00/0
_?go0;_mo`2joOl0_?go0<;mo`39o_l0d_ko0>?oo`3^ool0n?oo0?ooo0020?oonP030?oon`3oood0
oooo0380oooo01`0ooon0?ooo@3oooT0ooo^0?ongP3ooLH0oo^B0?ohJ@3olS<0ondK0?oW3@3og`@0
omX20?oG0@3oeP40omP20?oO1@3oi@X0on/D0?ob=03omeL0ooZ00?om^@3oo]D0ooo^0?oom`3ooo/0
ooon?P3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`060?ooo`0=0?oo
oP3ooo`0ooof0?ook03oo/l0ooba0?ojRP3omTd0oo4/0?o/5P3ohPL0om`30?oF0@020?oD0@0=0?oH
0P3ogP@0on@80?o]6P3olS80ooIE0?okT`3ooKP0ookO0?ookP3oooL0ooom0?oooP0b0?ooo`0S0?oo
oP3oood0oool0?ooo03oool0nOoo0?7oo`3Tool0g?ko0=Gno`3Bo_l0e?ko0=Wno`3Tool0k_oo0?_o
o`3oooh0oook0?ooo@3lool0m?oo0>Koo`3Mo_l0e?ko0=;no`3Co_l0f_ko0>;no`3[ool0n?oo0?ko
o`3ooo`0oook0?ooo03oooh0<`3oool06`3oood0oooj0?ool03oon<0ook<0?okVP3onG00oo<h0?o^
7P3oj0h0oml40?oI0P3oe@40om<10?oE0@3of`<0on460?oW3@3ol2L0ooE60?oiK@3oo:X0ook:0?oo
j@3ooo@0oooj0?oooP0n0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo
00H0oooo00d0ooon0?ooo03oooD0oooZ0?onc03oo:/0ooZ30?oeA@3ol2H0onXB0?oP1@3of@80om81
0080om0000d0omD10?oK0P3oh@H0on/F0?oa;03omTd0oo^<0?om/`3oo]d0ooo]0?oomP3oood0ooon
0380oooo0P3oooh07`3oool0o_oo0?Ooo`3aool0k?oo0>Soo`3Zool0lOoo0?ooo03oon/0ookI0?om
`@3ooK@0oobU0?olW`3oni`0oo^M0?olX@3oo:P0oofh0?omaP3oo]l0oooa0?koo`3^ool0jOoo0>So
o`3^ool0looo0?_oo`3oool00`3ooohb0?ooo`0=0?oooP3ooo`0oood0?ooj03oo]D0oobV0?ojO@3o
m400onlS0?oY403og`@0omT20?oD0@020?o@000=0?oF0@3og0<0on870?o/603olS00ooIC0?okTP3o
oKP0ookO0?ook`3oooL0ooom0?oooP0m0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000
003oool0oooo00H0oooo01`0ooon0?ooo03ooo@0oooY0?onb@3oo:L0ooYn0?od@03okb80onT@0?oN
103oe`40om000?o=003ocP00om<10?oI0P3oh0D0onXC0?o`:03omDP0ooZ70?ol[`3oo]/0ooo/0?oo
mP3ooo`0ooon<@3oool20?oooP0@0?ooo`3nool0n_oo0?Goo`3bool0lOoo0?Ooo`3oooh0ooo`0?on
e`3ooLH0oofg0?olY03oni/0oo^B0?okSP80oo^<0140oo^>0?okTP3oni/0oobU0?om]`3ooLL0ookH
0?ool@3oool0m_oo0?7oo`3bool0mooo0?_oo`3nool0oooo0?oooP0b0?ooo`0L0?oooP3ooo`0oooe
0?ooj`3oo]X0oob^0?ojQP3omDL0oo0W0?oZ4P3og`D0omT20?oC0@3ocP00old00?oB0@3of080omh4
0?oY403okb<0ooA20?ojP03oo:T0ookG0?oojP3ooo@0oool0?oooSd0oooo00<000000?ooo`3oool0
5P3oool10=WIf@0000<000000?ooo`3oool01P3oool0703oooh0oool0?ool`3oonL0oog50?olXP3o
nGL0oo<j0?o^7@3oi``0om/30?oD0@3oc000olT00?o:003oc`00omH10?oM0`3oj0l0onlR0?od@@3o
nX00oobZ0?onf03oonX0oooe0?ooo03ooohc0?ooo`0E0?koo`3kool0nOoo0?Woo`3kool0ooom0?oo
k@3oo^00ookB0?om`@3ooKX0oofe0?om]03ooKH0oofk0?om_`3ooL40oog20?om`03ooKd0oofg0080
oofd00/0oofg0?om_P3oo/d0ookJ0?ooi`3oooT0o_oo0?Soo`3iool0n_oo0?koo`0d0?ooo`0L0?oo
o@3oooP0ooo`0?onh@3ooKX0oo^C0?ofDP3olBh0on/F0?oP1@3of@80om810?o;003ob@00ol`00?oA
003of080on@80?o[503olB`0ooQT0?okT03ooLL0ookP0?ook`3oooX0ooom0?oooS`0oooo00<00000
0?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01P3oool0703oooh0oook0?ool`3oonH0
oog30?olWP3onG80oo<e0?o]6P3oiP/0omX20?oB0@3ob@00olH00?o7003oc@00om<10?oK0`3oi`d0
onhO0?od?@3onW`0oobW0?oneP3oonT0oood0?ooo03ooohc0?ooo`0S0?goo`3kool0nooo0?ooo`3o
oo/0ooob0?ooh`3oo]T0ookB0?oncP3oo]00ookG0?oojP3oooT0kooo0>?oo`3Lo_l0fOko0=gno`3V
ool0n_oo0?oom@3oo^00ookE0?onc`3oo/h0ookC0?onf`3oonX0oood0?ooo`3lool0nooo0?coo`3n
ool0<`3oool0703oooh0oooi0?oolP3oonD0oog10?okW03ome/0oo8d0?o/6@3oh@H0omT20?oB003o
b@00olH00?o8003oc@00om@10?oP1@3oi`d0onhO0?ofDP3onWh0oofj0?one`3oonX0oooh0?ooo03o
oohl0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00H0oooo01`0ooon
0?oon`3ooo80oooU0?om`03oniX0ooU^0?ob<@3ok1L0on@90?oH0P3oc`00olH00?o3003oa000olX0
0?oA003of@80onH;0?o]6`3olcP0ooUg0?olX`3oo]@0oooX0?oom03ooo`0ooon<P3oool08P3nool0
oOoo0?goo`3nool0oooj0?ool`3oon`0ookR0?onh03oo^40ooo_0?ooo`3[ool0boko0;Wmo`2So?l0
VO_o09?ko`2@nol0T__o09Sko`2Xo?l0^?go0=Cno`3Zool0o_oo0?ooj@3oo^80ookP0?ooi@3oon/0
ooof0?ooo03oool20?goo`030?koo`3oool0oooo0300oooo00d0ooon0?oonP3ooo@0oooY0?onb@3o
o:H0ooQT0?oc>`3okQd0on870?oJ0P3odP00olP00080ol@000d0olP00?o?003of`<0on@80?o[5P3o
m440ooQ[0?ol[03oo/d0oooT0?oomP3ooo/0ooon03`0oooo00<000000?ooo`3oool05P3oool10=WI
f@0000<000000?ooo`3oool01P3oool03@3oood0oook0?ool@3oon<0oofl0?okU03on6L0oo4[0?oZ
4`3ohPL0omD10?o<003o`P000P3o_`003@3oaP00olh00?oG0@3oi0T0on`G0?ob<P3onG40oobM0?on
d@3oonL0oooc0?ooo03oooh0<P3oool20?koo`0S0?oooP3ooo/0oooe0?ool@3ooo00oooe0?ooo`3`
ool0d_ko0;kmo`2/o?l0Uo_o08cko`22n_l0O_[o07cjo`1jnOl0NoWo07gjo`22n_l0R?[o09Kko`2T
o?l0]?go0=7no`3Vool0n?oo0?oom@3ooo00oooa0?oom@3oooT0ooon0?ooo`3nool0<P3oool0703o
ooh0oool0?oom`3oonh0ookB0?om/`3onG80ooE60?o_903oi0T0om/30?oB0@3oaP00ol400?no003o
`P00olP00?oD0@3og@@0onH;0?oa:P3omTl0oo^C0?om^P3oo]P0oooa0?oon03ooo`l0?ooo`030000
003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00H0oooo00d0ooom0?oon`3ooo00ookR
0?om^@3oni00ooQR0?o`:03ojA40on460?oB0@3ob@00okl00080ok`000d0ol<00?o;003oe040on<7
0?o[503olBh0ooQ/0?okVP3oo/l0oooU0?oolP3ooo/0ooon03@0oooo01@0oool0?oonP3oooH0ooof
0?oonP3fool0j?oo0=Ono`2noOl0/Oco0:Olo`2Oo?l0WOco09olo`2Ro?l0YOco0:Olo`2Vo?l0Y?co
0:3lo`80W_co00`0XOco0:Slo`2ioOl0b?go0=Wno`3bool0o_oo0?oom`3oooH0ooog0?oon`3ooohd
0?ooo`0L0?ooo03oooT0oooa0?onf03ooK/0ooYl0?ofC`3olBT0onH;0?oM0`3od`40olH00?no003o
^`00okd00?o3003oc`00omT20?oR1`3okQh0oo@n0?ojP03oo:`0ook>0?ook03oooH0oook0?oooS/0
oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01P3oool0703oood0oooj
0?ool03oo^00ooff0?okS03omeh0onlT0?oX3`3og`D0om000?o7003o_000okP00?ni003o`000olT0
0?oB0@3oh@H0onXB0?oa:`3on6P0oo^F0?onc@3oon@0ooob0?oon`3ooohc0?ooo`0P0?oooP3ooo/0
oooj0?oonP3oooh0nOoo0>Ooo`3Io_l0cOko0<7mo`2noOl0`?go0<gno`3Jo_l0looo0?oon`3oonh0
oooU0?ooiP3oond0oooo0>goo`3Eo_l0bOko0<7mo`2noOl0`ogo0<_no`3No_l0jooo0?coo`3oood2
0?oonP030?ooo03oooh0oooo0380oooo01`0ooom0?oonP3ooo<0ookN0?om``3onXL0ooMH0?ob<03o
i`d0omh40?oD0@3oaP00okh00?nh003o^@00okh00?o:003oe040omh40?o[503olRl0ooU]0?okV`3o
oL80oooV0?ool`3oooX0ooon>`3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo
0?ooo`060?ooo`0L0?ooo@3oooX0ooo^0?ongP3ooK80ooZ60?ogE`3okQl0onH<0?oM0`3oc@00ol<0
0?ng003o/`00ok@00?nl003oa@00oll00?oO1@3oj0l0oo0U0?ohH@3oni00ook:0?oohP3ooo40oook
0?oooS80oooo02<0ooon0?ooo@3oood0ooon0?_oo`3dool0k?oo0>7no`3No_l0h?ko0?3oo`3ooo/0
ookQ0?om^`3oo:@0ooZ:0?ojO@3onGD0ooU_0?oiKP3onG40ooYl0?ojR03oo:40oofg0?ond03oooL0
l_oo0>Coo`3No_l0hOko0>_oo`3cool0nooo0?oooP020?ooo@030?oooP3oool0oooo0300oooo01d0
ooon0?oon`3oooH0oooU0?oncP3oniH0ooQX0?od?03ojA40on050?oF0@3oaP00okd00?nd003o/`00
okH00?o1003ob`00omH10?oU2P3okA`0ooIA0?ojP03oo:`0ookK0?ook@3oooH0ooom0?oooP0j0?oo
o`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00D0oooo00h0ooon0?ooo@3o
ooX0ooo^0?ong@3oo:l0ooZ20?ofD`3okA`0onD:0?oK0`3ob`00ol000?nc0080ok0000d0okT00?o2
003oc@00omh40?oW3@3okb80ooMM0?okS@3ooLP0ookQ0?ool03ooo/0ooom0380oooo0P3oooh0403o
ool0o_oo0?Ooo`3aool0k?oo0>_oo`3aool0oooo0?onh03ooLL0oob`0?okTP3onX<0ooUc0?ohK03o
n6P20?ohI00@0?ohI@3on6X0ooU`0?ojO@3onX/0oo^L0?om_@3oo]D0ooo]0?Ooo`3]ool0jooo0>oo
o`3dool0o?oo0?ooo`80ooon<P3oool07@3oooh0oool0?oon03oonT0ookE0?olX@3onG80ooE40?o[
5@3ohPL0omP20?o7003o_000ok800?n_003o/@00ok/00?o6003od@00on460?oZ4P3om400ooQ]0?ok
W03oo]80oooW0?oom03ooo`0ooon03X0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<00000
0?ooo`3oool01@3oool07@3oooh0ooom0?oon@3oon`0ookJ0?olZP3onWd0ooI=0?o/603oh`P0omT2
0?o7003o^`00ojh00?nZ003oZ`00ok@00?nn003ob@00om/30?oV2`3okQh0ooMG0?ojQ`3ooLD0ookO
0?ook`3oooX0ooom03@0oooo02<0oOoo0?[oo`3fool0mOoo0?Woo`3oooP0oooX0?one@3ooKX0oob/
0?olXP3oni/0oo^L0?olX`3oo:/0oofb0?om^`3ooK`0oofj0?om/P3oo:X0oobP0?okW03oni/0oobR
0?ol[@3ooK`0ookG0?ooj@3oool0n?oo0?Goo`3gool0n_oo0?goo`0d0?ooo`0L0?ooo@3oooX0ooo^
0?ongP3oo;00ooZ30?ofD`3okA`0onD:0?oJ0P3ob@00okd00?n_003oZ`00ojX00?nc003o_000olP0
0?oJ0P3oi0T0oo0Y0?ofD@3onX00oog00?ong03oond0oooj0?oooCX0oooo00<000000?ooo`3oool0
5P3oool10=WIf@0000<000000?ooo`3oool01@3oool07@3oooh0ooom0?oon@3oon`0ookI0?olY`3o
nGT0ooE90?o[5P3ohPL0omL10?o4003o^000oj/00?nV003oY`00ok000?nk003oa`00omX20?oT2@3o
kA/0ooIC0?ojP`3ooL80ookN0?ookP3oooX0ooom03@0oooo02@0o?oo0?[oo`3jool0oOoo0?oonP3o
onP0ookI0?onc03ooKl0oofm0?om`@3oo]D0ooo[0>_oo`3Co_l0`?go0:olo`2[o?l0[_co0;cmo`3>
o_l0l_oo0?ool@3oo]T0oog30?om_@3ooKh0ook90?oneP3oon/0oooh0?ooo`3iool0n_oo0?coo`3n
oolc0?ooo`0L0?oooP3ooo/0oooa0?ooh`3ooKT0oo^>0?ogGP3okb80onL<0?oL0`3obP00okh00?n^
003oZ000ojH00?n]003o]P00ol400?oD0@3oh0D0ondL0?od?`3onFd0oofb0?ond`3oonP0oooh0?oo
o3X0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool03P3oooh0
ooom0?oon@3oon/0ookG0?olY03onGD0ooE50?o[503oh@H0omD10?o2003o]@00ojL00P3oX`003@3o
[@00okP00?o5003of080on<80?o/6@3omTl0ooYo0?om`03oo]d0ooo^0?oonP3oood0<`3oool08P3n
ool0o?oo0?coo`3oool0oooi0?ool03oo^40ookI0?one@3oo]`0ooo[0?_oo`3<o_l0[oco08_ko`1j
nOl0KOWo06;ho`1Pmol0HOOo06Sho`1bnOl0R_[o0:7lo`2loOl0j_oo0?oom`3oon<0ookE0?oneP3o
o^00ooo[0?oom@3oool20?coo`030?goo`3nool0oooo0340oooo01d0ooon0?ooo03ooo@0oooW0?om
`P3oniX0ooQY0?o`:03oj0l0omh40?o<003o_`00ojd00?nV003oXP00ojL00?n_003o^`00olh00?oK
0`3ojQ<0oo8_0?ogFP3oo:80oog80?onh@3oooD0oook0?oooP0i0?ooo`030000003oool0oooo01H0
oooo0@3IfMT000030000003oool0oooo00D0oooo00h0ooon0?ooo03oooP0oooZ0?one@3oo:00ooU_
0?od@03ojA40oml50?oC0@3o_P00ok400?nQ0080oid000h0ojP00?nc003o`@00omD10?oQ1P3ojaD0
ooE90?oiNP3ooKd0ookJ0?ook@3oooX0ooom0?oooS40oooo0`3nool0403oool0oooh0?oolP3oond0
ooo[0?ool@3oool0g?ko0<7mo`2Wo?l0Qo[o07Oio`1Xn?l0H_So05kgo`1Kmol205[go`0@05cgo`1N
mol0I?So06cho`1gnOl0T?_o0:Olo`30oOl0j?oo0?ooo`3oond0ooo[0?ook@3oooD0oook0?ooo`80
o_oo<P3oool07@3oooh0ooom0?oom`3oond0ook>0?olZP3onG/0oo<e0?o[5P3ohPH0oll00?o1003o
[@00oj<00?nM003oWP00ojD00?n`003oa@00om810?oT2@3okA`0oo@o0?ojQ`3ooK@0ookE0?ool03o
ooP0ooom03T0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool0
3P3oooh0oool0?oon03oonT0ookD0?okW@3on6`0oo@l0?oX3`3ogP@0om400?nk003o[@00oih00P3o
V@003P3oY000ok000?nn003oe040on050?oZ4`3omDD0ooUf0?om^P3oo]T0ooo/0?oon@3oood0ooon
=03oool07P3ooo`0ooof0?ool`3ooo<0ooom0?Coo`3Po_l0__go0:[lo`2Jnol0Ro[o08Ojo`29n_l0
S__o09Gko`2Oo?l0X_co0:?lo`2No?l0Uo_o08gko`29n_l0Qo[o08cko`2Fnol0Y?co0<;mo`3Ho_l0
mooo0?oon`80oood00<0ooog0?oon`3oool0=03oool07@3oooh0oooh0?ool03oo]D0oofd0?ojQ`3o
m3h0ondK0?oT203odP00ol<00?n^003oXP00oi/00?nI003oW`00ojT00?nn003oc000on050?oZ4P3o
lRl0ooUd0?olY03oo/X0ooo[0?oomP3oood0ooon03P0oooo00<000000?ooo`3oool05P3oool10=WI
f@0000<000000?ooo`3oool01@3oool03P3oooh0oool0?oon03oonL0ookA0?okV03on6H0oo<g0?oW
3@3og0<0olh00?ng003oZ000oiP00P3oT`003P3oW`00oj/00?nk003od@00omh40?oY403om400ooUa
0?om]`3oo]L0ooo[0?oon@3oood0ooon<`3oool0203oood0oook0?oonP3ooo`0nooo0>Woo`3Jo_l0
c?ko0P2ooOl05`36oOl0hooo0?oon`3ooLD0oobX0?okT@3onW/0ooUd0?oiLP3onGP0ooZ40?olX03o
oK`0ookM0>coo`3Co_l0a?go0;kmo`34oOl0e_ko0>Goo`3bool0ooon0080oooj00<0oool0?oooP3o
ool0<P3oool07@3oooh0oooj0?oom03oo]h0oog20?okV@3omTh0oo0U0?oW3@3oe@40olL00?n`003o
XP00oiP00?nB003oUP00oih00?nc003o`P00omP20?oT203okA/0ooMG0?ojR@3ooKH0ookR0?ool@3o
oo/0ooon03P0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool0
7P3oooh0oool0?oom`3oonL0ook@0?okU@3on6<0oo8d0?oV2`3ofP80ol`00?nd003oY@00oi@00?n>
003oS`00oi/00?nX003o^000oll00?oM0`3oj0l0oo@m0?oiKP3ooK@0ookF0?oojP3oooT0ooom0?oo
oS80oooo02H0ooon0?ooo03ooo`0oooo0?_oo`3bool0h_oo0=[no`3Fo_l0g_ko0?7oo`3oonl0oofj
0?okVP3onG@0ooQR0?ofE@3omDT0ooE40?oe@`3omDH0ooE;0?ogF@3on6P0ooYl0?olY@3ooLL0ooo[
0>Woo`3Jo_l0eoko0=gno`3Vool0m_oo0?goo`3oood0oool0?oooC<0oooo01h0ooon0?oon`3oooH0
oooT0?onb`3oo:@0ooMJ0?oa;@3ojA40omP20?o:003o/P00oj<00?nG003oSP00oi000?nG003oZ`00
ok/00?oB0@3og`D0onXB0?oeA03onGH0oobV0?onfP3oon`0oooj0?ooo@3ooohg0?ooo`030000003o
ool0oooo01H0oooo0@3IfMT000030000003oool0oooo00D0oooo01h0ooon0?ooo03oooL0oooV0?on
cP3oni80ooMO0?ob<@3oi@X0omT20?o:003o/P00oj800?n@003oRP00oh/00?nG003oY@00okD00?o>
003og0<0onL=0?oc>P3on6X0oofb0?one03oonT0oooh0?ooo03ooohb0?ooo`0B0?oooP3oood0ooon
0?_oo`3eool0k_oo0>Koo`3Wool0l?oo0?ook`3oo]40oofb0?ojR03onG<0ooMN0?ofE@3omTl0ooE:
0`3omDP04P3omDX0ooI?0?ofE@3omeh0ooUe0?ojRP3oo:D0ookC0?ool@3_ool0iooo0>Koo`3^ool0
mOoo0?coo`3oooh0ooom0?oooS<0oooo01d0oool0?oon03oonP0ookB0?ol[`3on6L0oo<g0?o[5P3o
f`<0old00?nd003oY000oiH00?n;003oRP00oi000?nS003o/`00ol/00?oJ0P3oiP/0oo8c0?ohHP3o
niD0ook@0?ooi`3oooP0oool0?oooP0g0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000
003oool0oooo00D0oooo00h0ooon0?ooo03oooL0oooT0?onc03onhh0ooMJ0?oa;@3oi0P0omL10?o7
003o[@00oid00?n:0080oh@000h0oi400?nP003o/@00ol/00?oJ0P3oiP/0oo<e0?ohI@3oo:l0ookB
0?ooj03oooP0oool0?oooS80oooo02H0ooon0?ooo`3mool0mooo0?Coo`3cool0o?oo0?oom03oo^00
oofm0?olZ@3oniT0oo^=0?okS03oniH0oobS0?om]03oo/l0ookM0?ooi@3oo^40ookE0?om^`3oo:X0
oo^K0?okS@3onh`0oo^@0?olXP3ooK@0ookF0?ook03oooh0m?oo0??oo`3fool0o?oo0?kooc@0oooo
01d0ooom0?oonP3oonh0ookL0?om_`3onGX0ooE70?o^803og`D0om400?nh003oY`00oiL00?n7003o
P`00ohH00?nF003oYP00ol000?oA003og`@0onhO0?oeAP3onGT0oofn0?ong03ooo<0oooj0?ooo@0g
0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00D0oooo01h0ooon0?oo
o03oooH0oooS0?onbP3onX/0ooMG0?oa:P3oh`L0omD10?o5003oZP00oiT00?n5003oO`00oh000?n=
003oW@00ojh00?o9003of080onD:0?ob<P3on680oob/0?ond03oonL0oooh0?ooo03ooohc0?ooo`0U
0?koo`3kool0n?oo0?Woo`3mool0oooa0?onh@3oo]00oofj0?om/`3ooK@0oog60?onh@3Qo_l0^_go
09_ko`1kn_l0KoWo06Who`1Zn?l0L_Wo08[jo`2So?l0a?go0?ooo03oo]P0oog10?om/`3ooK@0oog4
0?one03oonH0oook0?_oo`3hool0n_oo0?coo`0d0?ooo`0M0?oooP3ooo/0oooa0?onhP3ooLP0ooZ7
0?ofE03ol2P0on870?oD0@3o^`00ojT00?nH003oQ@00ogl00?n0003oSP00oih00?ni003obP00omT2
0?o[503olcD0ooQU0?ol[`3oo]80ooo_0?oon03ooo`0=`3oool00`000000oooo0?ooo`0F0?ooo`40
fMWI00000`000000oooo0?ooo`050?ooo`0>0?oooP3ooo/0ooof0?onhP3ooLL0ooZ60?ofDP3ol2H0
on460?oC0@3o`P00ojH00?nD003oO`020?mi000>0?n8003oU`00ojX00?o6003oeP40on@80?oa;P3o
med0oobY0?oncP3oonH0ooog0?ooo03ooohc0?ooo`0V0?goo`3lool0o_oo0?ooo03ooo@0oooU0?on
g03oo]T0oooS0?oonP3Sool0Z_co08Sjo`1Rn?l0DOKo04Ceo`0ilol0=O?o03?bo`0bl_l0=?;o03_c
o`12m?l0C_Ko06Who`22n_l0Xoco0=_no`3oool0ookO0?onf@3oo]/0oooX0?oolP3ooo/0oOoo0?co
o`3moolc0?ooo`0N0?oooP3oood0oooe0?ooj@3oo]@0oo^K0?ohI`3olcH0onH;0?oI0P3o`@00ojh0
0?nK003oQ000ogX00?mh003oPP00oi400?n/003o_`00om000?oU2@3okR00ooE80?okUP3ooL40oooX
0?oom03ooo/0ooon=P3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`05
0?ooo`0N0?oooP3ooo/0ooof0?onh@3ooLH0ooZ30?ofC`3okb@0on050?oB003o`000oj<00?n@003o
N`00og@00?me003oQ000oi@00?nW003oa000omD10?oS1`3olB`0ooMJ0?olYP3oo/d0oooU0?oom`3o
oo`0ooon<P3oool04@3nool0oOoo0?koo`3ooo`0ooog0?ool03oonP0oooY0?oolP3[ool0boko0:_l
o`21n_l0KOSo05Wgo`1Bm_l0C_Ko0080C?Ko0`1=m_l04P1<m_l0COKo053fo`1Imol0IOSo07Kio`2L
nol0^ogo0>_oo`3ooo/0ooo/0?ooj03oon`0oooc0?ooo03oool0oOoo0?kooc<0oooo01d0ooom0?oo
m`3oond0ookK0?olY`3onGD0ooA10?oX3`3og0<0ol@00?na003oWP00oh@00?mh003oM000og/00?n8
003oX`00okL00?o9003oh0D0on/E0?oc=`3onX<0oofc0?onh@3ooo40oooi0?oooP0f0?ooo`030000
003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00D0oooo01h0ooon0?oon`3oooD0ookP
0?oma03onX40ooI<0?o_8P3og`D0om000?nn003oX000ohd00?mg003oL000og400?n0003oT@00oj@0
0?o2003oe040on860?oa:@3omeL0oobT0?onb`3oonD0ooog0?ooo03ooohb0?ooo`0W0?koo`3oool0
oooo0?oon@3oooD0ooob0?oom03oool0kOoo0<Omo`2^o?l0V?_o08?jo`1mn_l0PO[o08[jo`2Hnol0
/ogo0<Gmo`3Co_l0f?ko0=7no`2ioOl0Yoco09Gko`23n_l0OO[o07kjo`2;n_l0W?_o0;omo`3Io_l0
lOoo0?oom`3ooo40ooob0?oon03ooo`0oooo0080o_oo<P3oool07@3oooh0oooi0?ool@3oo^40oofb
0?ojP`3omTh0on/D0?oP1@3ob000okD00?nQ003oQ@00ogL00?m`003oM000ogl00?nJ003o[P00ol80
0?oK0P3oi`d0oo0X0?oiL03oo:<0ookI0?ook03oooL0ooom03H0oooo00<000000?ooo`3oool00`3o
ool2000000<0oooo00@000000?ooo`00000000000`3oool3000000@0oooo0@3IfMT000030000003o
ool0oooo00D0oooo01h0ooon0?oon`3oooD0ookO0?om`P3onWd0ooE80?o^7P3ogP@0olh00?nk003o
W000ohL00?m`003oJ@00ofX00?mj003oR`00oj000?no003odP00on050?o`9P3omU<0oobQ0?onb@3o
on<0ooof0?ooo03ooohc0?ooo`0V0?oooP3ooo`0oooi0?oon@3oood0looo0>?oo`3Bo_l0__go0;Wm
o`2moOl0f_ko0?ooo@3ooKH0oo^>0?oiK`3omU40ooE40?od?@3olcX0oo@l0?oeA`3omU@0ooQX0?ok
U@3ooKl0ooo_0=Cno`30oOl0^Ogo0<3mo`3>o_l0iooo0?Koo`3oool0oooi0?oonP3ooodd0?ooo`0N
0?oooP3ooo/0oooe0?ooj@3ooL80oo^G0?ohHP3okQl0on@90?o>003o^`00ojH00?n7003oMP00of`0
0?mZ003oL`00oh/00?nP003o]@00om400?oP1@3ojaH0ooIB0?ojQ`3oo/T0oooS0?oolP3ooo`0ooon
<`3oool3000000@0oooo00@000000?ooo`3oool000001P3oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo0?ooo`40fMWI00000`000000oooo0?ooo`050?ooo`0N0?oooP3ooo/0oood
0?ongP3ooL00ooUj0?oeA@3okQd0om`30?o<003o^@00oiT00?n4003oK000of@00?mU003oMP00ohP0
0?nM003o_P00om000?oO1@3okb@0ooI@0?olW`3ooLP0oooS0?oomP3ooo/0ooon<`3oool0903oooh0
oool0?ooo03oool0nOoo0>Woo`3No_l0eOko0=Kno`3Tool0ooom0?om_P3oniD0ooQV0?ofD03om400
oo8b0?oa;03ol2T0oo0W0?o`:03olB`0oo8a0?oc>@3omTh0ooQS0?ojP03ooKT0oooT0>Koo`3Go_l0
doko0=cno`3Xool0looo0?ooo`80oool00<0ooom0?ooo`3oool0<P3oool07@3ooo`0ooog0?ook@3o
o//0oobT0?oiL03ol2P0onL<0?oB0@3o`000oj/00?n:003oM`00ofX00?mT003oJ`00oh800?nF003o
[000ol/00?oK0`3oj0h0ooA00?oiM03ooK`0ookK0?ookP3oooX0ooom03D0oooo00<000000?ooo`3o
ool00P3oool010000000oooo0?ooo`0000050?ooo`<00000103oool010000000oooo0?ooo`3oool1
0=WIf@0000<000000?ooo`3oool01@3oool07P3oood0oooj0?oom03oo]d0oofn0?oiMP3om440ondJ
0?oK0`3obP00okH00?nD003oOP00ofD00?mN003oG`00og000?n3003oV@00ok/00?o>003ogP@0onlQ
0?ofC03oni/0oog60?onh@3oooH0oook0?oooS<0oooo0P3oooh0303mool0n?oo0?;oo`3[ool0k?oo
0?Goo`3oonL0oog70?olY`3onWl0ooQ/0?ogG080ooMH01H0ooMN0?ohI03on6T0ooU^0?ohK@3on6L0
ooQQ0?ogG03omeP0ooMI0?ogH03onG@0ooZ90?om]@3oo]D0oooc0?3oo`3Zool0k?oo0?Goo`3kool0
oooo0P3ooohc0?ooo`0N0?ooo@3oooT0ooob0?one`3ooKH0ooZ60?oc>03oja@0omP20?o6003o/P00
ohl00?mj003oJ@00oed00?mP003oL`00ohL00?nN003o_`00om810?oQ1P3ol2P0ooMG0?olY@3oo/d0
oooU0?oom`3ooo`0ooon=03oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000@0
oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`3oool10=WIf@0000<000000?oo
o`3oool01@3oool07P3oood0oooj0?oom03oo]`0oofl0?oiL`3om3l0on`H0?oJ0P3ob@00ok@00?nA
003oN`00of400?mI003oFP00of`00?mo003oUP00okT00?o=003og@<0onhO0?oeB@3oniT0oog40?on
h@3oooH0oook0?oooSD0oooo0140nooo0?Ooo`3cool0m_oo0?ooo`3oond0oog80?ol/03oni/0ooZ:
0?ojR@3oniP0oob_0?ond03/ool0a_go0:glo`0209_ko`0A0:olo`3:o_l0lOoo0?onc03oo:`0oo^F
0?ojR@3onX/0oobM0?om/P3oo//0ooo_0?koo`3eool0m?oo0?Ooo`3mool0=@3oool03P3oooh0oook
0?oom@3oo]h0oog00?okU03omD@0ondK0?oL0`3ob`00okH00?nD003oO@00ofX00P3oFP003P3oJP00
ogd00?nD003o]P00ol/00?oL0`3okA/0ooE40?okU03ooL00ookN0?oom@3ooo/0ooon=03oool00`00
0000oooo0?ooo`020?ooo`040000003oool0oooo000000@0oooo00D000000?ooo`3oool000000?oo
o`03000000@0oooo0@3IfMT000030000003oool0oooo00D0oooo01h0ooom0?oonP3ooo<0ookK0?om
^`3onG40oo@m0?o/5`3of@80olL00?nb003oSP00ogL00?mM003oE@00oeH00?mX003oO000oi<00?ng
003ob`00om`30?o^7@3omDL0oo^G0?om``3oo^00oooe0?oon`3ooohd0?ooo`0V0?koo`3jool0n?oo
0?Woo`3ooo/0ooo/0?onfP3ooL00oofd0?ol/@3ooL80ookQ0=3no`2Oo?l0N?Wo053fo`10m?l0=_?o
033bo`0_l_l0=O?o03kdo`1=m_l0LOWo09Kko`35oOl0oooZ0?oma`3ooK80oofc0?om_@3oo]H0oooY
0?oon03jool0n?oo0?_oo`3moold0?ooo`0N0?oooP3ooo`0ooog0?ooi03oo/X0oobQ0?ofDP3okb@0
oml50?o?003o^`00oiP00?n0003oJ`00oeL00?mD003oH@00og<00?n9003o[@00ol<00?oF0@3ojQ80
oo8c0?ojP@3ooK80ookE0?ool@3oooT0ooom=03oool00`000000oooo0?ooo`020?ooo`040000003o
ool0oooo000000@0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`40
fMWI00000`000000oooo0?ooo`050?ooo`0N0?ooo@3oooX0oooc0?onf@3ooKP0ooU^0?oc>@3ojaD0
omL20?o5003o[`00ohX00?mb003oEP00odh00?m?003oHP00ogL00?n?003o]000olT00?oK0`3okA/0
ooE40?okU03ooL40ookO0?oom@3ooo/0ooon<`3oool0:03nool0oOoo0?coo`3oool0oooj0?ook03o
o^80ookJ0?ong@3oonl0kooo0:olo`27n_l0FoOo04Oeo`0ilol0;O7o02W`o`0Vl?l09O3o02C_o`0U
l?l09o3o02[ao`0cl_l0?OCo04cfo`1anOl0To_o0=;no`3kool0oooW0?onf@3oo]`0oooU0?oom@3o
ood0oOoo0?coo`3moold0?ooo`0N0?ooo@3oooT0ooo[0?one`3ooK@0ooQX0?ob=03oi0T0omH10?o3
003oX000ohL00?m_003oE@00odh00?mD003oI000ogT00?nN003o]P00ol/00?oS203okQh0ooQT0?ok
V@3ooLD0oooZ0?oomP3ooo/0ooon<`3oool00`000000oooo0?ooo`030?ooo`8000001P3oool20000
00<0oooo0`0000030?ooo`40fMWI00000`000000oooo0?ooo`050?ooo`0N0?ooo@3oooX0oooc0?on
f@3ooKL0ooQ[0?oc=`3ojQ<0omH10?o4003o[@00ohL00?m^003oDP00odX00?m;003oGP00og<00?n<
003o/P00olP00?oJ0P3okAT0ooA10?okTP3ooKl0ookN0?oom@3ooo/0ooon<`3oool20?koo`0T0?oo
o`3ooo`0oooe0?ooj`3oonP0ooo/0?Soo`3Io_l0]_go08Kjo`1^nOl0F?Oo057fo`1>m_l0D_Ko05Og
o`1Mmol0IOSo06Kho`1Sn?l0GOOo05Ogo`1@m_l0C_Ko057fo`1Nmol0K_Wo09Gko`2foOl0fOko0?oo
nP3oon`0oooX0?ookP3oooD0ooon0`3noolc0?ooo`0N0?oooP3ooo/0ooo_0?ongP3ooKl0ooUg0?od
@@3oi`d0omX20?o8003oYP00oh`00?mc003oE@00od/00?m=003oFP00ofh00?nD003o[@00ol@00?oN
103oja@0ooI@0?ojQ`3ooKL0oooT0?ool`3oooX0ooon<`3oool00`000000oooo0?ooo`0F0?ooo`40
fMWI00000`000000oooo0?ooo`050?ooo`0N0?ooo@3oooX0ooob0?onf03ooKD0ooQY0?oc=@3ojQ80
omD10?o2003oZ`00oh@00?m[003oCP00odD00?m6003oFP00og000?n:003o/000olL00?oI0P3ok1P0
oo@o0?okT03ooKh0ookM0?oom03ooo/0ooon<`3oool0:@3nool0oooo0?ooo@3oooT0oood0?oolP3o
ooL0nOoo0=Gno`2joOl0XOco08Ojo`21n_l0Qo[o09Wko`2foOl0nooo0?ondP3oo:h0oo^@0?ojRP3o
ni<0oobV0?omaP3`ool0`_go0:3lo`25n_l0P?[o08[jo`2Jnol0/Oco0=[no`3cool0oook0?oolP3o
oo<0oooj0?ooo@3oool0o_oo03<0oooo01h0ooon0?ooo03ooo<0oooT0?onb@3onXH0ooI?0?oZ4`3o
gP@0old00?n/003oTP00ogP00?mF003oB@00odH00?mA003oI000ohT00?nS003o_000omT20?oW303o
m3h0ooUd0?olZ03oo]d0ooo_0?oon03ooohc0?ooo`030000003oool0oooo01H0oooo0@3IfMT00003
0000003oool0oooo00D0oooo01h0ooom0?oonP3ooo80ookG0?om/`3on6H0oo8b0?oY4@3oe040ol00
0?nX003oP000ofH00?m8003o?`00od000?mD003oJ`00ohH00?n^003oa@00omP20?o[5P3om3`0oo^=
0?om_03oo]`0oood0?oon`3ooodd0?ooo`0W0?oooP3ooo/0oooi0?oonP3kool0k_oo0=kno`36oOl0
_Ogo0;kmo`3Jo_l0oooh0?olYP3onGT0ooMG0?oc=`3olBX0onlR0?o]703okAX0ondK0?o^7P3okb<0
oo8c0?oeA03omeh0oo^I0?onc@3Tool0b?go0;gmo`33oOl0dOko0>7no`3hool0ooom0?oon@3oooX0
ooom03D0oooo01h0ooom0?oomP3oon/0ookF0?okW03on6D0onhN0?oS203oe040ok@00?nK003oO`00
oeX00?m8003o?P00odD00?mD003oN000oi<00?n^003oc`00oml50?o`9`3omeH0oo^>0?oncP3oonL0
oood0?ooo03ooohb0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00D0
oooo01h0ooom0?oon@3ooo80ookF0?om/P3on6@0oo8a0?oY403od`40okl00?nV003oO@00of800?m4
003o>`00oc`00?mA003oJ000oh<00?n/003oa000omL10?o[5@3olcX0oo^;0?om^`3oo]/0oood0?oo
nP3ooodd0?ooo`0D0?ooo@3ooo`0ooom0?ooo`3bool0i_oo0=cno`3Go_l0h?ko0?[oo`3ooL@0oo^G
0?ohHP3omDT0oo<i0?oa:P3ol2D0onlQ0?o^7`3okQh20?o^7`0?0?o_8@3ol2L0oo4]0?oc>03omU80
ooU^0?olZ@3oo]L0oOoo0=_no`3Fo_l0foko0>_oo`3fool0ooon0080oool00<0ooon0?ooo`3oool0
<P3oool07P3oooh0oooh0?ook`3oo]h0oobY0?oiM@3ol2T0onL<0?oH0P3o^P00oj400?n5003oGP00
odT00?lj003o?@00od/00?m]003oR000oj@00?o8003ofP80ondJ0?oeA03onG/0oog20?onh03ooo40
oook0?oooS80oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool0
7P3oood0oooi0?ool@3oo]D0oob`0?ohH@3olBh0onP>0?oB0@3o_@00oj<00?mi003oG@00och00?le
003o=P00od/00?mS003oO`00ojT00?o2003oeP40onXC0?oc>03onXT0oofi0?onfP3ooo<0oooj0?oo
oC<0oooo0P3oooh09P3oool0oOoo0?Ooo`3_ool0k?oo0?7oo`3ooo@0ookF0?om]@3onXT0ooUd0?oh
I03on680ooQW0?ojO@3oni<0oob^0?oneP3oonL0oooX0?one`3ooKh0oo^E0?ojOP3onFh0ooQR0?oh
H`3onG<0ooZ70?olX`3oo]@0ooob0?Ooo`3/ool0k_oo0?Ooo`3lool0oooo0P3ooohc0?ooo`0O0?oo
oP3ooo/0oood0?ooi`3ooK`0oo^<0?oc>`3ojaD0oml40?o3003oZ`00ohl00?mU003oC000ocH00?ld
003o?@00oe`00?mg003oU000ok/00?oA003oi`d0oo4[0?ogG@3oo:d0ookC0?ooj@3oooT0ooom0?oo
oP0a0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00D0oooo01h0ooom
0?oon@3ooo40ookD0?ol[`3omel0oo4]0?oX3P3od@00ok`00?nR003oMP00oeX00?lk003o<@00oc80
0?m8003oH000ogd00?nX003o`000omD10?oZ4P3olcH0ooZ70?om^03oo]X0oooc0?oonP3ooode0?oo
o`090?koo`3jool0m_oo0?Goo`3jool0oooh0?one`3ooKh0oobX0080oo^D01/0oob[0?ond03bool0
VO_o077io`1Em_l0?_Co03Oco`0flol0>o?o04Geo`1Un?l0R?[o0;[mo`3oon@0ooff0?okU`3oni<0
oo^J0?om]@3oo/d0oooV0?koo`3fool0mOoo0?Woo`3lool0=P3oool07P3ooo`0ooof0?ooj`3ooLL0
oo^K0?oeB@3okQd0on870?o9003o/@00oiH00?m[003oD000ocD00?l`003o=P00oe400?m[003oR@00
ok800?o9003oh`L0onhN0?oeB`3onid0oog80?ooh`3oooL0oool0?oooS40oooo00<000000?ooo`3o
ool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool07P3oood0oooi0?ool@3oo]<0oob^0?og
G@3olB/0onL=0?o@003o^P00oj000?md003oE`00ocL00?l]003o;P00od@00?mM003oNP00ojH00?no
003oe040onXA0?oc=@3onXH0oofg0?onf@3ooo<0oooj0?oooCD0oooo0180o?oo0?[oo`3iool0o_oo
0?oomP3oonL0ook<0?om_`3ooKX0ook90?ooj`2moOl0RO[o063go`0hlol0:O3o023^o`0Hk?l201G[
o`0C01K[o`0Ik?l08^oo02gao`0om?l0JoSo09Sko`3]ool0ookN0?om``3ooKX0oog20?ond@3oon`0
oooj0?[oo`3iool0nooo0?koo`0e0?ooo`0N0?ooo@3oooP0ooo_0?ond03oo:T0ooMH0?o`9`3oiP/0
olh00?nh003oW@00og400?mE003o=P00obd00?l_003oAP00of000?mm003oZ000ol400?oN103oja@0
oo<i0?ojR`3ooK/0ookK0?oom03oooX0ooom<@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI0000
0`000000oooo0?ooo`050?ooo`0N0?ooo@3oooT0ooo`0?ondP3oo:`0ooMK0?oa:@3oiP`0oll00?nh
003oW@00og000?mC003o<P00obL00?lY003o?`00oeT00?mg003oY000okh00?oC0@3ojA00oo8b0?oj
P`3ooKD0ookH0?ool`3oooX0ooom=03oool05`3nool0oOoo0?goo`3oool0oood0?oojP3oo^80ookP
0?ook03gool0^?go08kko`1Nmol0BOGo03cdo`0al_l0;_7o02gao`0_l_l0<?;o037bo`0`l_l0;o;o
0080;_7o00P0<?;o03[co`17mOl0IoSo08Sjo`2ao?l0l?oo0?ook`80ookQ00<0oooY0?oom`3oooh0
0P3mool00`3nool0oooo0?ooo`0b0?ooo`0N0?oooP3ooo/0oood0?ong03ooK`0ooUa0?oc>P3oja@0
omH10?o1003oZ000og`00?mM003o>000obX00?lW003o>000odh00?m[003oV@00ok@00?oE0@3oi0T0
onlS0?oiKP3oo:@0ook=0?ookP3oooP0oool<@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI0000
0`000000oooo0?ooo`050?ooo`0N0?ooo@3oooT0ooo`0?ond@3oo:/0ooMJ0?o`:03oiP/0olh00?ng
003oW000ofh00?m@003o;P00ob@00?lU003o?000oeH00?md003oXP00okd00?oB0@3ojA00oo8a0?oj
PP3ooK@0ookG0?oolP3oooX0ooom=03oool20?koo`030?ooo`3oooX0oooa0080ooo]0200ooon0>Ko
o`35oOl0U?_o07_io`1Tn?l0GoOo06;ho`1enOl0S?_o0:_lo`3Qo_l0ooon0?ooj`3ooo@0l_oo0;cm
o`2Jnol0Oo[o06Kho`1Omol0I?So077io`27n_l0]?go0=Ono`3eool0ooo`0?ook03ooo80oooh0?oo
o@<0o_oo<`3oool07`3oooh0oool0?oom`3oon<0oog70?ojP@3omDT0onhM0?oK0P3ob000ojl00?n3
003oI000oc`00?lZ003o8`00obl00?m3003oG`00ohd00?n[003ocP00on050?o/5`3ome/0oo^C0?om
`@3oonT0oooe0?oon`3oooh0<03oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo
0?ooo`050?ooo`0N0?ooo@3oooT0ooo`0?ond03oo:T0ooMG0?o`9P3oi@X0old00?nf003oVP00ofX0
0?m<003o:P00oal00?lP003o>000oe800?ma003oX000ok/00?oA003oj0l0oo8_0?ojP03ooK<0ookG
0?oolP3oooX0ooom=@3oool09`3oooh0oook0?oon03oooL0oool0?Ooo`3Jo_l0a?go0;;mo`2Vo?l0
[_co0=_no`3oonD0oobU0?ogGP3om440oo4^0?o^7P3okAT0on/F0?o/5`3okAT0onlS0?ob;`3om480
ooUd0?olZ03dool0aOgo0:glo`2Xo?l0/ogo0<Gmo`3Vool0n?oo0?oon@3oooL0oooi0?ooo@0f0?oo
o`0N0?ooo@3oooT0ooo[0?one@3oniP0ooMQ0?oa;@3oh@H0om000?nj003oS`00og000?m3003o;000
ob000?lS003o=000odd00?ml003oV`00ol<00?oG0@3oiP/0oo@o0?oiM`3oo:/0ookO0?ool03oooT0
ooon<03oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`050?ooo`0N0?oo
o@3oooP0ooo_0?ond03oo:P0ooMF0?o`9@3oi@X0ol`00?ne003oV000ofP00?m9003o9`00oa`00?lM
003o=@00oe000?m_003oW`00okX00?o@003oj0h0oo4^0?ojO`3ooK80ookF0?oolP3oooX0ooom=@3o
ool04`3oood0oook0?oonP3oool0mooo0>[oo`3Do_l0b_ko0<Wno`3Sool0ooo_0?olW@3onFl0ooI=
0?oa;P3okb80ondK0?o[5@3ojQ<00P3ojQ404`3ojQ80on/E0?o]6@3okR00oo8b0?oeAP3onGT0oobZ
0?onh@3Lo_l0boko0<Wno`3Go_l0i_oo0?[oo`3oooh0oook0?ooo03oooh0=@3oool07P3oooh0oook
0?ook`3oo]d0oobW0?oiL@3olc/0onD:0?oE0@3o`000oiL00?mh003oB@00oc000?lO003o7@00ob/0
0?m2003oL000oi000?nk003od@00on860?ob;`3on6<0oo^K0?one`3oon`0ooog0?oooC00oooo00<0
00000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool07P3oood0oooh0?ook`3o
o/l0oobW0?ofE@3okb@0onD:0?o;003o]000oiL00?mV003oA`00ob@00?lI003o6P00oc800?m=003o
K@00oid00?ni003od000onL=0?oa;@3onWh0ooba0?oneP3ooo80oooj0?oooCD0oooo0P3oood04@3o
ooh0nOoo0?3oo`3Vool0g_ko0>Coo`3hool0ook<0?olX03on6T0ooI@0?od?`3olS80oo4^0?oa;@3o
lRl0oo8b0080oo8d0140oo8c0?ob<03olBh0oo4]0?ob<@3olcT0ooI>0?ohI`3onXP0ook80?ool`3]
ool0g_ko0>7no`3_ool0n?oo0?ooo`020?ooo@030?oooP3oool0oooo0380oooo01l0ooon0?ooo03o
oo<0oooT0?om]@3onX80ooE90?oX3`3ofP80olL00?nP003oP000oe000?ld003o8000oaP00?lR003o
=`00of@00?n4003o/@00olX00?oL0`3okb40ooI@0?ojR@3oo/d0oooV0?oom03ooo`0ooon02l0oooo
00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool07P3oood0oooh0?oo
k`3oo/h0oobV0?ofD`3okb<0on@90?o:003o/P00oiD00?mS003oA000ob000?lD003o5P00obh00?m:
003oJ`00oi/00?nh003oc`00onL=0?oa;03onW`0oob`0?one@3ooo80oooi0?oooC@0oooo02X0ooon
0?ooo`3oool0o?oo0?Coo`3aool0l_oo0?ooo03oon@0oog60?okW03onXL0ooUj0?ojOP3onhl0ook;
0>ooo`2^o?l0KoWo05Ogo`17mOl0AOGo04[eo`1Pmol0O_[o0:_lo`3oonh0oofd0?ojQP3onG/0ooYl
0?okS`3oo:L0oog40?ook`3lool0lOoo0?;oo`3gool0oOoo0?ooo`3ooohe0?ooo`0N0?ooo@3oooL0
ooo/0?omaP3oniX0ooQR0?o]6`3oh@H0om000?n/003oS@00oe`00?lm003o9000oa@00?lH003o:000
oe800?mb003oX`00okh00?oD0@3ojQ80oo<f0?ohK@3ooKX0ookK0?ookP3ooo/0ooon;`3oool00`00
0000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`050?ooo`0N0?ooo03oooP0ooo_0?on
cP3oo:D0ooIB0?o_8P3oi0T0olX00?na003oU000of800?m2003o7@00oa800?lC003o;000odP00?mY
003oVP00okL00?o>003oi``0oo4[0?oiN`3oo:l0ookD0?ool@3oooT0ooom=P3oool09`3mool0n_oo
0?Ooo`3iool0ooon0?ooi@3oo/l0oofk0?olZ@3oo:X0ook<0?coo`2goOl0I_So04Ceo`0^lOl07>go
01K[o`0Bj_l04NWo01;Zo`0Gk?l07Nko02W`o`18mOl0K?So0<3mo`3oooX0oog70?olZ@3oo:X0oofe
0?ondP3oonP0oooo0?Soo`3gool0nooo0?goo`0f0?ooo`0N0?oooP3oooT0ooo`0?ond03oo:T0ooUc
0?o`9@3oi@X0omD10?nc003oUP00of@00?m4003o:@00oa800?lC003o8000odH00?mV003oV000okD0
0?o=003oiP/0oo0X0?ogFP3oo:`0ookB0?ooj@3oooT0ooom;`3oool00`000000oooo0?ooo`0F0?oo
o`40fMWI00000`000000oooo0?ooo`050?ooo`0N0?ooo03oooP0ooo_0?onc@3oo:@0ooIA0?o_8@3o
i0P0olT00?n`003oTP00oel00?lo003o6P00o`h00?l@003o:@00odD00?mW003oV@00okH00?o>003o
iP`0oo4Z0?oiNP3oo:h0ookD0?ool@3oooT0ooom=@3oool04P3nool0o?oo0?coo`3oool0oooh0?oo
k@3oo]`0ookF0?onf@3ooo`0eOko08cko`1Un?l0BOGo02obo`0Vl?l08>oo01g^o`H07>go00h07^ko
02C_o`0[lOl0@OCo05[go`1nn_l0a?go0?Coo`3oonL0ookF0?onf@3oonT0oooe0?ooo@80o?oo00<0
oOoo0?ooo`3oool0<`3oool07`3oooh0oook0?oom@3oo]d0oofm0?okS@3olcT0onXC0?oM0`3o_`00
oj<00?mb003oD000oc800?lC003o3@00oaD00?le003oE000ohL00?nW003o`@00oml40?o/5P3om3l0
oo^C0?om`@3oo^00ooof0?oon`3oooh0;P3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`00
0000oooo0?ooo`050?ooo`0N0?ooo03oooP0ooo^0?onc@3oo:<0ooI@0?o_8@3oh`P0olT00?n_003o
T@00oeh00?lm003o6000o``00?l>003o9`00od@00?mU003oV000okD00?o=003oiP/0oo0Y0?oiN@3o
o:h0ookD0?ool@3oooT0ooom=@3oool0:P3nool0oOoo0?ooo`3oooX0oooc0?ooj`3oonL0ooo_0?[o
o`34oOl0WOco06kio`1Jmol0C_Ko04Weo`1=m_l0EoOo077io`25n_l0XOco0:_lo`2Yo?l0To_o07kj
o`1Zn?l0DoKo04_eo`1:mOl0DOKo063go`27n_l0Z_co0=;no`3ooo/0ooo[0?ooj03oonh0ooof0?oo
oP3nool0oOoo0?koocD0oooo01h0oool0?oom`3oon@0oog80?okW@3omDP0ondL0?oQ1P3oaP00oj`0
0?ml003oF@00ocT00?lE003o3000o`l00?lZ003oB000og/00?nL003o^@00omT20?oX3P3olRl0ooZ1
0?om]03oo]L0oooc0?oonP3oooh^0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003o
ool0oooo00D0oooo01h0oool0?oon03oonh0ook<0?olX`3omTl0onhP0?oS203ob000ojl00?n@003o
G@00oc/00?lF003o2P00o``00?lU003o@P00of@00?nG003o]@00old00?oV2`3ol2P0ooUh0?ol[@3o
o]<0oooa0?oon@3ooode0?ooo`0Z0?koo`3oool0ooon0?oom`3ooo<0oooa0?ooo03`ool0eOko0:Wl
o`2Bnol0Oo[o083jo`2>nol0a_go0?oolP3oo:/0ooQU0?oeB`3olcL0oo8a0?ob<P3om3`0ooE<0?oh
I`3oo:d0oooe0:clo`2=nol0P?[o08?jo`2Bnol0Z_co0=Kno`3aool0ooof0?ool@3ooo<0oooj0?oo
oP3oool0o_oo=@3oool07P3oood0oooi0?ooj@3oo]80oob[0?ogF@3ol2L0onD:0?o<003o]000ohD0
0?mS003o@@00oaT00?l;003o2P00ob400?lm003oK`00oi400?n`003od`40on@80?o_8@3onFh0oobU
0?oncP3oonl0oooh0?oooRh0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3o
ool01@3oool07P3ooo`0oooh0?ookP3oo/`0oobR0?ofCP3okQl0on<70?o8003o[P00ohl00?mK003o
>@00oa<00?l8003o2@00ob<00?m0003oHP00oiH00?nd003oc000onH;0?o`:03onGL0oob/0?ond`3o
oo40oooi0?oooCH0oooo01<0ooon0?ooo03oooT0oook0?goo`3Xool0e_ko0<Omo`2noOl0b?go0?oo
o`3ooL40ooZ80?oeB`3olS80onlR0?o[5@3ojA40onP>0080onL=01<0onP>0?oY403ojQ<0onhM0?oa
:P3omTd0ooUc0?olY`3lool0d_ko0<3mo`32oOl0coko0>Woo`3hool0ooon0?oon@3ooo/0ooom03H0
oooo01l0ooon0?oon`3ooo00ookN0?om_`3onG<0oo@l0?o[503oe@40okl00?nD003oLP00odl00?lQ
003o3P00o`L00?lE003o;000oed00?n0003oX@00olT00?oL0`3ojQ80ooIB0?ojR`3ooK`0oooW0?oo
m03oood0ooon02d0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3o
ool07P3ooo`0oooh0?ookP3oo/`0oobR0?ofCP3okQl0on<70?o7003o[@00ohh00?mJ003o>000oa80
0?l6003o2000ob800?lo003oHP00oiD00?nd003oc000onH;0?o`9`3onGL0oob/0?ond`3ooo40oooi
0?oooCH0oooo0180ooom0?ooo03oooh0o?oo0??oo`3Rool0f_ko0=Wno`3`ool0oooW0?olWP3onG@0
ooID0?oc=P3olB/0onlT0?o_803okR040?o_8@80onhP00h0onlR0?o`9P3olS80ooA20?ogF`3oni<0
oog30?oolP3Po_l0f?ko0>3no`3[ool0m_oo0?oooP80oool00<0ooon0?ooo`3oool0<`3oool07`3o
ooh0oool0?ool`3oonD0ook;0?ojQ@3omD`0onhN0?oJ0P3oaP00oid00?ml003oF@00obP00?lA003o
1P00o`h00?lS003oD@00ogD00?nG003o`@00omL10?oV2`3om400ooUi0?ol[P3oo^40oooa0?ooo03o
ooh0;@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`050?ooo`0N0?oo
o03oooP0ooo^0?onb`3oo:40ooI=0?o^7`3ohPL0olL00?n]003oSP00oeT00?lg003o4@00o`D00?l6
003o8@00och00?mQ003oU@00ok<00?o<003oi@X0oo0W0?oiMP3oo:`0ookB0?ool@3oooT0ooom=@3o
ool30?oooP0U0?goo`3gool0l?oo0>Woo`3/ool0nooo0?one@3oo:l0ooYl0?ohI@3omeL0ooI@0?of
E03omf00ooZ20?olX@3oo]@0ooo_0?oon@3oonD0oog60?olX`3onGH0ooQQ0?ofD@3omU00ooMF0?oi
KP3onXT0oob/0?ooi@3lool0jOoo0>[oo`3_ool0n_oo0?ooo`020?oooSH0oooo01h0ooom0?oomP3o
on/0ookD0?okUP3omed0oo4Z0?oO1@3oc@00ojL00?n6003oH`00oc000?lF003o1`00o`T00?lJ003o
AP00ofT00?n<003o^@00om000?oR1P3olS00ooQV0?olWP3oo]T0ooo]0?oonP3oood]0?ooo`030000
003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00D0oooo01h0oool0?oon03oonh0ook;
0?olX@3omTd0onhN0?oR1`3oa`00ojd00?n=003oF000ocH00?l?003o0`00o`D00?lO003o?@00of00
0?nD003o/`00ol/00?oU2P3ol2H0ooUf0?olZ`3oo]80oooa0?oon@3ooodg0?ooo`0W0?koo`3iool0
m_oo0?Koo`3oool0ooo^0?one`3ooK@0oobT0?olWP3oo:d0ookA0<Kmo`26n_l0EoOo02obo`0Qkol0
5^_o01;Zo`0AjOl04^[o01G[o`0LkOl0;_7o04Keo`24n_l0`ogo0?ool03oo:d0oobN0?olW`3ooK@0
ook:0?ook@3oooh0n?oo0?Koo`3iool0oOoo03L0oooo01l0ooon0?oon@3ooo40ookP0?ol[@3onGP0
oo@o0?oV2`3oeP40ok@00?nE003oL`00och00?lP003o2`00o`<00?l?003o=@00oeL00?mk003o[000
olH00?oJ0P3okQd0ooE;0?ojQ03oo/X0oooU0?oom`3ooo`0ooon02`0oooo00<000000?ooo`3oool0
5P3oool10=WIf@0000<000000?ooo`3oool01@3oool07P3ooo`0oooh0?ookP3oo//0oobQ0?ofC03o
kQh0on870?o6003o[000ohd00?mH003o=P00o`l00?l3003o1000oal00?lm003oG`00oi@00?nb003o
b`00onD:0?o`9P3onGD0oob[0?ondP3ooo40oooi0?oooCL0oooo0180oOoo0?[oo`3jool0oooo0?oo
l03oo^00ook@0?om``3ooLP0oooc0=?no`2Hnol0EOKo03Wco`0Wl?l06>co01?Zo`0?j?l300gWo`0C
00kXo`0@jOl05^_o01g^o`0al_l0B_Go06kio`2noOl0n_oo0?onf@3ooL<0oog60?onfP3oon/0oooi
0?_oo`3jool0nooo0?koo`0f0?ooo`0O0?oooP3ooo/0oood0?ooi`3ooK/0ooZ90?ofD03ojA40om`3
0?nl003oW`00ogh00?m8003o:000oa000?l2003o2@00ob/00?m;003oK`00oj800?nn003oe040onXC
0?oc>P3onG80oofn0?ongP3oooD0oook0?oooP0/0?ooo`030000003oool0oooo01H0oooo0@3IfMT0
00030000003oool0oooo00D0oooo01h0oool0?oon03oonh0ook;0?olX03omT`0onhN0?oR1`3oaP00
oj`00?n=003oE`00ocD00?l>003o0P00o`@00?lN003o?000oel00?nD003o/P00ol/00?oU2P3ol2H0
ooUe0?olZ`3oo]80ooo`0?oon@3ooodf0?ooo`0Z0?koo`3mool0o_oo0?ooo@3oooH0oooY0?ooi03o
onL0nooo0=Ono`2Inol0M_Wo05cgo`16mOl0@?Co03odo`18mOl0DoKo06Sho`1fnOl0Oo[o07kjo`1d
nOl0I_So057fo`16mOl0?oCo043do`17mOl0H?Oo07_jo`2Po?l0g_ko0?oooP3oonH0oooU0?ooj`3o
ooL0ooom0?koo`3mool0o_oo=P3oool07P3ooo`0oooh0?ookP3oo/`0oobR0?ohJ`3okQl0on<70?o7
003o[@00ohh00?mI003o=P00oaX00?l2003o0`00oad00?lk003oGP00oi800?na003obP00onD90?o`
9@3omeH0oobY0?ond@3ooo00oooi0?oooB`0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<0
00000?ooo`3oool01@3oool07P3ooo`0oooh0?ookP3oo//0oobP0?ofC03okQh0on870?o6003o[000
oh`00?mG003o=@00o`h00?l2003o0`00oah00?ll003oG`00oi@00?nb003ob`00onD:0?o`9P3onGD0
oob[0?ondP3ooo00oooi0?oooCH0oooo0P3nool04P3oood0oooi0?oom03ooo00oooe0?_oo`3Bo_l0
/ogo08_jo`1knOl0MOWo08;jo`2No?l0coko0?om_P3onXH0ooIE0?oeA080oo<k01@0ooA20?ofDP3o
nX00oofe0=Sno`2So?l0QO[o07Gio`1jnOl0R?[o0:klo`3>o_l0n?oo0?oomP3ooo00oooc0?oon03o
ood0oooo0?koocH0oooo01h0ooom0?oonP3ooo80ookF0?ol/@3onWd0oo4/0?oW303ocP00okH00?nH
003oI000od000?lR003o1@00o`400?lE003o<@00oe800?n8003oZ000ol<00?oP1@3okAT0ooE50?ok
V@3ooLH0ooo/0?oom`3ooo`/0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0
oooo00D0oooo01h0oool0?oon03oonh0ook;0?olX03omT`0onhN0?oR1`3oaP00oj`00?n<003oE`00
ocD00?l>003o0P00o`<00?lN003o?000oel00?nD003o/P00ol/00?oU2P3ol2H0ooUe0?olZ`3oo]80
ooo`0?oon@3ooodh0?ooo`0B0?oon`3oooP0ooog0?ooo03fool0hooo0<;mo`2`o?l0Y_co0;7lo`3@
o_l0ook=0?okS03ome`0oo8`0?o_8@3oja@0onT@0P3oj0h03`3oj0l0onXB0?o]703ol2P0ooE;0?oi
M03oo:h0iooo0;cmo`2Yo?l0Z_co0;Wmo`3Io_l0k_oo0?koo`020?oom`030?oonP3oooh0oooo03H0
oooo01l0ooon0?oon`3oooD0ookN0?om_`3onhl0oo<j0?oZ503oe040okh00?nR003oK`00od/00?l[
003o2@00o`400?l?003o9`00odL00?mm003oWP00ok/00?oK0`3ojA40oo<e0?ojR03ooKX0oooV0?oo
m03ooo/0ooon02/0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3o
ool07P3ooo`0oooh0?ookP3oo//0oobP0?ofC03okQh0on870?o6003o[000ohd00?mH003o=@00o`l0
0?l2003o1000oah00?ll003oG`00oi@00?nb003ob`00onD:0?o`9P3onGD0oob[0?ondP3ooo00oooi
0?oooCL0oooo0140ooon0?ooo03ooo`0oooo0?;oo`3Vool0foko0=Ono`3Sool0oooV0?om]03onX@0
ooI@0?oc>P3olB`0onlQ0?o^7P070?o]700>0?o^7P3okb@0oo4]0?oc>`3on640ooZ80?om^03oool0
hOko0=Kno`3Lo_l0iooo0?Soo`3oool20?ooo0030?oooP3oool0oooo03@0oooo01l0ooon0?ooo@3o
ooT0oooX0?ond03oo:L0ooID0?o_8`3og@<0olT00?n`003oP000oe`00?lj003o4@00o`<00?l8003o
6`00ocP00?m/003oS`00ojl00?oC0@3oh`P0onlQ0?oiK@3oo:@0ookL0?ook`3oooP0ooon02/0oooo
00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool07P3ooo`0oooh0?oo
kP3oo//0oobQ0?ofC@3okQh0on870?o7003o[000ohd00?mH003o=P00o`l00?l3003o1@00oal00?lm
003oH000oi@00?nc003ob`00onD:0?o`9P3onGH0oob[0?ondP3ooo40oooi0?oooCL0oooo0P3oooh0
2`3oool0n_oo0>ooo`3Yool0j?oo0?coo`3oonD0oob[0?ojQ`3on6/0ooIC0080ooI<01P0ooMJ0?oh
K03oni80oob_0?omb03oo]H0ook<0?om]@3onXX0ooUa0?ogEP3omTd0ooE;0?ofEP3on6H0ooZ00?om
]@3oo]`0m_oo0>Woo`3Xool0lOoo0?Soo`3nool20?oooSL0oooo01h0ooom0?oonP3oond0ookI0?om
]P3on6H0oo8a0?oR1P3od000okT00?n;003oJ000odD00?lH003o1`00o`D00?lD003o;P00of400?n5
003oY@00ol`00?oO103ok1L0ooMK0?okU03oo]@0oooZ0?oomP3oood[0?ooo`030000003oool0oooo
01H0oooo0@3IfMT000030000003oool0oooo00D0oooo01h0oool0?oon03oonh0ook;0?olX@3omTd0
onhO0?oR1`3oa`00ojd00?n>003oF@00ocL00?l@003o1000o`H00?lP003o?P00of000?nE003o/`00
ol`00?oU2P3ol2L0ooUf0?ol[03oo]80oooa0?oon@3ooodh0?ooo`0S0?koo`3kool0mooo0?Koo`3k
ool0ooof0?one03ooK`0oobQ0?okV`3oo:80ookA0>[oo`2Ro?l0EoOo03Wco`0Qkol06Nco01C[o`0B
j_l04n[o01G[o`0Ok_l0;?7o053fo`1jnOl0]_go0?ong03oo;40oobN0?olW`3oo:d0ook?0?ooi`3o
oo/00P3fool00`3hool0oOoo0?ooo`0g0?ooo`0O0?oooP3ooo`0oooc0?ooi03oo/T0ooZ20?oeB@3o
j0h0omT20?o5003oV`00ogX00?mF003o9P00o`l00?l4003o3@00ob800?mA003oM@00oiL00?o2003o
e`40onH<0?od@P3onG/0oog40?onh@3ooo80oool0?oooP0Z0?ooo`030000003oool0oooo01H0oooo
0@3IfMT000030000003oool0oooo00D0oooo01h0oool0?oon03oonh0ook<0?olX@3omTd0onhO0?oS
1`3oa`00ojd00?n>003oFP00ocP00?lA003o1P00o`L00?lQ003o?`00of400?nE003o/`00ol`00?oU
2P3ol2L0ooUf0?ol[03oo]80oooa0?oon@3ooodh0?ooo`0C0?goo`3kool0n_oo0?ooo`3oooD0oooV
0?oncP3ooL@0oog80?onh@3/ool0U?_o06Gho`13mOl09_3o01_]o`0Cj_l04>Wo00kXo`0200gWo`0C
00kXo`0AjOl05N_o023^o`0]lOl0@oCo07[io`2_o?l0jooo0?ondP3ooL<0oog80?one@3oonH0oook
0?coo`3jool0o?oo0?koo`0h0?ooo`0N0?ooo@3oooH0oooZ0?ond`3oni@0ooMK0?o/5P3og`@0ol`0
0?nV003oQ@00of800?l`003o5P00o`D00?l:003o6`00odL00?m[003oS@00okX00?oA003ohPL0oo8c
0?ohJ@3ooKP0ookJ0?ookP3oooX0ooom:P3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`00
0000oooo0?ooo`050?ooo`0N0?ooo03oooP0ooo^0?onc03oo:80ooI>0?o^7`3oh`L0olL00?n^003o
S`00oeX00?li003o4`00o`L00?l8003o8P00od000?mR003oUP00ok@00?o<003oiP/0oo0W0?oiM`3o
o:`0ookC0?ool@3oooT0ooom=`3oool0403nool0oOoo0?coo`3nool0ooog0?ook@3oon<0ookL0?oo
h`3aool0`ogo09Gko`1Omol0AoGo03Oco`0[lOl202S`o`0G02Wao`0[lOl0;O7o02gao`0/lOl0:O3o
02O`o`0Xl?l0;?7o03?bo`1:mOl0I?So08Ojo`3;o_l0n?oo0?onh@3oo]`0ookP0?ook`3oooT0oooo
0?coo`3mool0>03oool07`3oooh0oooh0?ook`3oo]`0oobT0?oiK@3okb40on<80?oC0@3o[`00oi00
0?m^003o>P00oah00?l7003o2000oaH00?ln003oH000oh<00?nb003ob`00omh40?o`9@3omeL0oobZ
0?ond@3oonT0oooi0?ooo@3oooh0:@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000
oooo0?ooo`050?ooo`0N0?ooo03oooP0ooo^0?onc03oo:<0ooI?0?o^803oh`P0olP00?n_003oT000
oe`00?lk003o5@00o`T00?l;003o9000od800?mT003oU`00ok@00?o=003oiP/0oo0X0?oiN03oo:d0
ookC0?ool@3oooT0ooom=`3oool07@3nool0oooo0?oooP3ooo/0oooc0?ool03ooo<0n?oo0=gno`2`
o?l0UO_o08;jo`1hnOl0Oo[o09Cko`3Jo_l0ookH0?ojPP3omf00ooE<0?od?P3om3d0ooA20?ogF@3o
nGH0oog30?3oo`2coOl0Q?[o0080NOWo00/0S__o0:Olo`3Do_l0l?oo0?oon`3ooo00ooob0?oom`3o
ooh0oooo0?koo`0g0?ooo`0O0?oooP3ooo/0oood0?ooi`3ooKX0ooZ90?oc=P3ojQ40om`30?nl003o
X000oh000?m<003o;@00o`h00?l8003o4000oc400?mA003oM000ojH00?o1003oeP40on/F0?od?P3o
ni<0oog10?onh03oooH0oook0?oooP0Y0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000
003oool0oooo00D0oooo01h0oool0?oon03oonh0ook=0?olX`3omU00onlP0?oS203ob000ojl00?nA
003oG@00oc`00?lG003o2`00o`d00?lV003o@`00ofD00?nH003o]@00old00?oV2`3ol2T0ooUh0?ol
[@3oo]<0oooa0?oon@3ooodi0?ooo`0M0?ooo@3oooX0ooog0?oonP3kool0h?ko0<_no`2`o?l0ZOco
0:klo`3Jo_l0oooU0?olXP3omeP0oo<j0?o_8@3ok1P0onXC0?oY403oj0l0onT@0?o[5@3okA/0oo4]
0?oeA03on6L0oofj0?ooo`3:o_l00P2Zo?l0202noOl0doko0>Soo`3oool0oooh0?oom`3ooo/0ooon
>@3oool07P3ooo`0ooog0?ook03ooLL0oo^K0?oeA`3okA/0on460?o5003oZP00oh/00?mH003o=`00
oa@00?l:003o3P00obX00?m8003oJP00oid00?ni003od000onP>0?ob<03onX80oofe0?onf03ooo<0
oooj0?oooBT0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool0
7P3ooo`0oooh0?ook`3oo/d0oobT0?ofD@3okb40on@80?o9003o/000oi800?mO003o?`00oaX00?l>
003o4000obT00?m5003oI`00oiT00?nf003ocP00onH<0?oa:P3onGX0oob^0?one03ooo40oooi0?oo
oCP0oooo0140ooon0?ooo03ooo`0o_oo0?Koo`3[ool0g?ko0=Sno`3Yool0oood0?oma@3onX00ooMM
0?oeA03olBh0oo0W0?o_8@020?o^80<0onlQ0P3okR003P3okb80oo0V0?oa;@3om480ooMJ0?ojO03o
oL00ooo`0>7no`3Ho_l0foko0>[oo`3eool0oOoo0P3ooo`00`3oooh0oooo0?ooo`0f0?ooo`0N0?oo
o@3oooX0ooob0?one`3ooK80ooQR0?oa;P3oi`d0om000?nh003oW000ofX00?m8003o8000oa000?l>
003o8P00oc`00?mL003oS`00ojh00?o7003ohPL0onhN0?ohJ03oo9l0ook:0?ook@3oooL0oool:@3o
ool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`050?ooo`0N0?ooo03oooP0
ooo_0?oncP3oo:D0ooIB0?o_8P3oi0P0olX00?na003oT`00of400?m1003o7000oa400?lB003o:`00
odL00?mX003oVP00okL00?o>003oi``0oo4Z0?oiN`3oo:l0ookD0?ool@3oooT0ooom>03oool20?oo
oP0U0?ooo`3iool0l_oo0>coo`3[ool0mooo0?ongP3ooKT0oo^F0?ohK@3ome`0ooID0?ofE@3omel0
ooYl0?okV03ooKL0ookO0?ooj`3oonH0oog30?olY03onGX0ooQU0?ogF03omU<0ooMH0?ohI@3onXT0
oobZ0?onhP3oool0k_oo0>[oo`3_ool0m_oo0?koo`020?oooSP0oooo01l0ooon0?oon`3oooD0ookO
0?om`03onGD0oo@m0?o[5P3oeP40ol400?nV003oMP00oe@00?lY003o5P00oa000?lN003o=@00oe<0
0?n6003oY@00ol000?oN103ojaD0ooMG0?okT03ooKl0oooX0?oom@3ooo/0ooon02P0oooo00<00000
0?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool07P3ooo`0oooh0?ook`3oo/h0
oobU0?ofD`3okb<0on@90?o:003o/P00oi@00?mS003o@`00oah00?lC003o5000obd00?m9003oJP00
oi/00?ng003oc`00onL<0?oa:`3onW/0oob`0?one@3ooo40oooi0?oooCX0oooo0180oOoo0?Ooo`3d
ool0m?oo0?ooo@3oonP0oog00?olY`3oni@0ooZ:0?okT`3oo:`0oooo0;Omo`1Zn?l0C?Go03Wco`0Z
lOl202O`o`0B033bo`0mm?l0H_So08gko`3:o_l0ook;0?olX`3onhl0oo^=0?okV@3ooKX0ookE0?oo
k`3hool0looo0?Coo`3jool0o_oo>@3oool07`3oooh0oool0?oon03oonH0ook<0?ojR03omTl0onlP
0?oL0`3ob@00ok000?n2003oH000oc<00?lM003o4`00oa/00?l_003oB`00ogd00?nM003o^@00omT2
0?oX3P3omDL0ooYo0?om/P3oon<0ooob0?oonP3oooh0:03oool00`000000oooo0?ooo`0F0?ooo`40
fMWI00000`000000oooo0?ooo`050?ooo`0N0?ooo@3oooP0ooo_0?onc`3oo:L0ooID0?o_903oi@T0
ol/00?nc003oUP00ofD00?m6003o8P00oaL00?lI003o<@00od`00?m/003oW@00okT00?o?003oi`d0
oo4]0?ojO@3oo;40ookE0?oolP3oooX0ooom>@3oool04`3mool0o?oo0?_oo`3nool0oooi0?ooi@3o
o]H0oog80?onc03oo]h0foko0:Clo`1dnOl0@oCo02obo`0Nk_l06>co01C[o`0Bj_l00P0AjOl04`0B
j_l05>_o01[]o`0Qkol0;?7o04_eo`1/n?l0V__o0>coo`3oonD0ook90?onbP3oo]<0oooY0?oom`3o
ool0n_oo0?_oo`3nool0>@3oool07P3oood0oooj0?ookP3oo]/0oobR0?ohJ`3olcD0on<80?oC0@3o
_P00oi<00?mc003o@`00obX00?lJ003o6@00obP00?m0003oK`00oi000?n^003od@00on870?ob<@3o
n6H0oo^M0?onf03oon`0ooog0?oooBP0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<00000
0?ooo`3oool01@3oool07P3oood0oooh0?ook`3oo/l0oobX0?ofE@3ol2D0onD:0?o<003o]000oiL0
0?mW003oB000obD00?lJ003o6`00oc<00?m?003oKP00oih00?nj003od000onP>0?oa;P3onWh0oofb
0?oneP3ooo80oooj0?oooCP0oooo02L0o_oo0?goo`3mool0oooo0?oonP3ooo40oooT0?onh03oon/0
nOoo0=7no`2Anol0K_Wo05Cfo`0mm?l0=O?o037bo`0bl_l0=O?o03Wco`0km?l0??Co03Wco`0flol0
<_;o037bo`0cl_l0?OCo04_eo`1Pmol0TO_o0;[mo`3hool0ooo[0?onh@3oon@0ooo]0?oomP3oool0
0P3mool00`3nool0oooo0?ooo`0f0?ooo`0O0?oooP3ooo`0ooob0?oohP3ooK80ooYo0?oeAP3oj0h0
omT20?o6003oWP00ogl00?m?003o=000ob400?lJ003o9@00ocX00?mW003oQ`00ojH00?o<003ogP@0
oo0U0?ofE@3onhh0ook?0?ooj03oooD0ooom0?oooP0W0?ooo`030000003oool0oooo01H0oooo0@3I
fMT000030000003oool0oooo00D0oooo01h0ooom0?oon@3ooo00ook@0?olZ@3omeL0oo0V0?oU2P3o
c@00okH00?nJ003oJP00od`00?lZ003o7`00ob000?lh003oDP00og400?nP003o^`00om400?oX3`3o
lRl0ooZ00?om/`3oo]L0ooob0?oonP3ooodh0?ooo`0T0?koo`3oool0oooo0?oonP3oooH0oooc0?oo
mP3lool0fOko0;gmo`2So?l0R_[o08Gjo`2<nol0/Oco0>Coo`3ooK@0ooZ20?ohH@3omDD0oo@l0?oc
>@3om400ooI<0?oiL03oniX0ookE0<Kmo`2Oo?l0Ro_o08Kjo`2Anol0/?co0<_no`3Vool0oook0P3o
oo<0103oooP0oool0?ooo`3nooli0?ooo`0N0?ooo@3oooH0ooo[0?omaP3oniX0ooQR0?o]6`3oh@H0
om400?n]003oT000of400?m4003o;@00oah00?lS003o<`00oe/00?mk003oVP00ol800?oG0@3ojaH0
oo@n0?oiM@3ooL00ookN0?ool03ooo/0ooon9`3oool00`000000oooo0?ooo`0F0?ooo`40fMWI0000
0`000000oooo0?ooo`050?ooo`0N0?ooo@3oooT0ooo`0?ond@3oo:X0ooMI0?o`9`3oiP/0olh00?ng
003oV`00ofd00?m?003o;@00ob800?lS003o>`00oeD00?mc003oX@00ok`00?oB0@3oj0l0oo8a0?oj
P@3ooK@0ookG0?oolP3oooX0ooom>P3oool04P3oood0oooj0?oon03oooX0n?oo0>Soo`3;o_l0_?go
0;Cmo`30oOl0g_ko0?ooj@3oni00ooQS0?oc>@3ol2P0onhN0?o[5P80onXC01<0on/D0?o/5`3okR00
oo4[0?od?@3on6/0oo^K0?oneP3Fo_l0_?go0;Gmo`2noOl0coko0>_oo`3jool0oool0?oon03oooX0
ooon03X0oooo01h0ooon0?oon@3ooo00ookA0?olZP3onGH0oo0X0?oV2`3oe`40okL00?nK003oK@00
odl00?lf003o8P00ob<00?l`003oE@00og<00?nB003o_000om800?oX3`3olS00ooQU0?om]03oo]L0
ooo/0?oonP3ooodW0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00D0
oooo01h0ooom0?oon@3ooo00ookB0?olZ`3omeX0oo0Y0?oV303ocP00okP00?nM003oK`00oe400?l`
003o9P00obL00?ln003oE`00ogD00?nS003o_@00om810?oY403olS80ooZ30?om]@3oo]P0oooc0?oo
nP3ooodi0?ooo`0C0?oooP3oood0oool0?ooo@3lool0kOoo0>7no`3Do_l0e_ko0>Koo`3oo]l0oob^
0?ojP@3omU00oo<k0?o`:03okb80onhN0?o]6`030?o]6P0C0?o]6`3okQd0onlQ0?o`:03olcT0ooI=
0?ohJP3oo:T0ookJ0>Soo`3Go_l0e?ko0=ono`3[ool0mooo0?oooP3ooo`0ooom0?oooP0i0?ooo`0N
0?oooP3oooX0oood0?onf`3ooKT0ooZ90?oc=`3ojQ80omd30?o0003oYP00ogT00?mK003o@000obP0
0?lU003o;P00odh00?m/003oRP00okD00?o<003oi@X0onlT0?ofE03oo:H0ook>0?ooi`3oooP0oool
9`3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`050?ooo`0N0?ooo@3o
ooT0ooo`0?ond`3oo:d0ooMM0?oa:`3oi`d0om000?nj003oW`00og800?mF003o=@00ob/00?l/003o
@`00oe`00?mi003oY@00okl00?oD0@3ojA40oo8d0?ojQ@3ooKH0ookI0?ool`3oooX0ooom>@3oool2
0?oooP030?ooo`3kool0mOoo0080k_oo0200oooo0?ooiP3ooLH0oo^G0?ojO`3onFl0ooQV0?ohJP3o
nX00oo^K0?om_P3ooo`0hooo0=?no`3Go_l0k_oo0?one@3oo:h0oo^>0?oiL03on6L0ooQV0?oiM03o
nXP0oofc0?one03ooo80l_oo0>goo`3_ool0mooo0?goo`<0ooon>@3oool07P3ooo`0oooh0?ooiP3o
o/`0oobS0?ofD@3okb80on@90?o;003o]000ohX00?m/003oD000oc800?lZ003o;P00odL00?mQ003o
O`00oj/00?o3003og`D0on`F0?od?P3oni00oofo0?ongP3oooD0oook0?oooRH0oooo00<000000?oo
o`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool07P3oood0oooi0?ool@3oo]<0oob^
0?ogGP3olB`0onL=0?o@003o^`00oj400?me003oF@00ocT00?l_003o<000odH00?mO003oN`00ojL0
0?o0003oe040onXB0?oc=@3onXH0oofg0?onf@3ooo<0oooj0?oooC/0oooo0180o?oo0?Woo`3fool0
n?oo0?oooP3oon<0ook<0?om]P3oo9l0oo^L0?olY@3oo]<0l?oo09Kko`1[n?l0C_Ko03Gco`0/lOl2
02S`o`0B02gao`0mm?l0DOKo06oio`2goOl0mooo0?oncP3oo:@0oo^L0?olYP3ooKP0ook>0?ool03o
ool0mooo0?Koo`3iool0o_oo>`3oool03P3oood0oooj0?ooj`3oo]H0oofc0?ohI03olS40onT?0?oB
0@3o_@00oiH00?mh003oG000ocX00P3o;`003P3oA000oe`00?mh003oY000okd00?oK0`3oj@l0oo8a
0?ojP@3ooK<0ookF0?oolP3oooX0ooon9P3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`00
0000oooo0?ooo`050?ooo`0N0?ooo@3oooT0oooa0?one03oo:l0ooMP0?oa;@3oj0h0om400?nl003o
X`00ogP00?mL003o?000oc<00?ld003oB@00of800?mn003oZ000ol400?oE0@3ojQ<0oo<g0?ojR03o
oKT0ookJ0?ool`3oooX0ooom>P3oool0:03nool0o?oo0?[oo`3kool0oook0?ook`3oo]P0ook;0?om
a03oo]00ooo]0>3no`2Bnol0J?So03odo`0^lOl08noo01[]o`0Gk?l05^_o01G[o`0Gk?l07>go02;_
o`0[lOl0AOGo067ho`28n_l0eOko0?oom@3oo//0oog40?onb@3oo]d0ooo/0?oon@3kool0n_oo0?co
o`3noolj0?ooo`0N0?oooP3ooo/0ooo`0?ong`3ooL40ooUh0?od@@3ok1P0omT20?o6003oX000oh@0
0?mW003oA000ocH00?lb003o@@00oeL00?mb003oW@00okL00?oG0@3oi@X0oo0U0?oiL@3oo:H0ook>
0?ookP3oooP0ooon9P3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`05
0?ooo`0N0?ooo@3oooT0oooa0?one@3oo;40ooQS0?ob<03oj0l0om<10?nn003oY@00og`00?mQ003o
@P00ocT00?lj003oC`00ofH00?n2003oZ`00ol<00?oF0@3oja@0oo<j0?ojR`3ooKX0ookK0?oom03o
ooX0ooom>P3oool20?koo`0<0?ooo`3ooo`0oooa0?oojP3oonL0ooo`0?Woo`35oOl0X?co083jo`1N
mol0DOKo0P18mOl06@1;mOl0E?Ko05_go`1Pmol0H_So05ogo`1Em_l0CoKo04[eo`18mOl0BoGo05Gf
o`1_nOl0R_[o0;omo`3Sool0ooom0?ooj03oonL0ooo/0?oom`3oood0o_oo0?goo`3nool0>@3oool0
7`3oooh0ooom0?oom@3oonT0ookB0?okU03omed0oo4[0?oQ1P3od@00ojl00?nE003oN@00oe800?m1
003o>000od000?mA003oJ@00oi<00?n^003oc`00on050?o/5`3omeT0oo^@0?om_`3oonP0oooe0?oo
o@3oooh09@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`050?ooo`0N
0?ooo@3oooT0ooob0?oneP3ooK<0ooQU0?ob<@3ojA00om@10?no003oY`00ogh00?mT003oAP00ocd0
0?ln003oDP00ofT00?n4003o[@00ol@00?oG0@3ojaD0oo<k0?okS03ooK`0ookL0?oom03oooX0ooom
>P3oool0:@3nool0oooo0?ooo@3oooT0oooc0?oolP3oool0kOoo0=?no`2Zo?l0UO_o08Ojo`23n_l0
S?_o0;;lo`3Mo_l0oooX0?olY03onXP0ooUh0?oiL@3onGP0oo^E0?om]`3oonP0aOgo0:7lo`2<nol0
P_[o08Ojo`2Oo?l0]ogo0=?no`3hool0oooh0?oolP3ooo@0oooi0?oooP3oool0o_oo03X0oooo01h0
ooom0?oon03oonh0ookL0?olY@3onG00oo<k0?oV2`3oe`40okT00?nO003oQ000oed00?m9003o?P00
od000?m>003oI000oh`00?nW003obP00om`30?oY403omDX0ooZ10?om/`3oon80ooob0?ooo03ooohU
0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00D0oooo01h0ooom0?oo
nP3ooo80ookG0?om]@3on6P0oo8d0?oZ4P3oe@40ol800?nZ003oPP00ofT00?m<003o@`00od@00?mH
003oKP00ohP00?n_003oaP00omT20?o/5`3om3h0oo^?0?om_@3oo]d0oood0?oon`3ooohk0?ooo`0W
0?ooo@3ooo/0oooj0?ooo@3jool0i_oo0=Kno`3:o_l0aOgo0=7no`3^ool0oog60?okU@3ome`0ooE4
0?ob<`3okb@0onhO0?o]703okAX0ondK0?o^7`3ol2@0oo4]0?oeA03omeh0ooZ10?omb03ooo`0dOko
0<Gmo`36oOl0eoko0>Koo`3dool0ooom0?oonP3ooo/0ooom03/0oooo01h0ooon0?oonP3ooo@0oooW
0?om_03onhd0ooMF0?o/5P3oh0D0olD00?n^003oU@00ofd00?mG003oB000od<00?m=003oG`00oh<0
0?nN003o`P00omH10?oT2@3olcH0ooQZ0?olX03oo]P0ooo/0?oonP3ooodU0?ooo`030000003oool0
oooo01H0oooo0@3IfMT000030000003oool0oooo00D0oooo01h0ooom0?oonP3ooo80ookH0?om]P3o
n6X0oo<f0?oZ4`3oeP40ol<00?n/003oQ@00of`00?m@003oA`00odT00?mL003oLP00oh/00?na003o
a`00omT20?o/6@3om400oo^A0?om_`3oo]h0oooe0?oon`3ooohk0?ooo`80ooom00l0ooon0?[oo`3a
ool0i?oo0=ono`3Qo_l0o?oo0?ong`3ooKH0ooYn0?ohHP3omDH0oo<k0?ob=03olRl00P3olBh20?oa
;@0@0?oa;P3olRl0oo8a0?oc>@3om480ooIA0?oiM@3oniL0ookD0?oonP3[ool0g_ko0>;no`3Zool0
n?oo0?koo`80ooom00<0ooon0?ooo`3oool0>@3oool07P3ooo`0ooog0?ook03oo/T0oobO0?ohJP3o
kb80on@90?o=003o^000oil00?mh003oH@00oe000?m7003oC@00oe`00?mn003oV000okd00?oA003o
h@H0oo4Z0?ogF`3oni40ook@0?ooj03oooP0oool0?oooR@0oooo00<000000?ooo`3oool05P3oool1
0=WIf@0000<000000?ooo`3oool01@3oool07P3oood0oooj0?ool`3oo]T0oofh0?ohK03olcP0on/D
0?oG0@3oa000ojh00?n8003oL000oe@00?m<003oC@00of000?me003oSP00ok<00?o9003ofP80ondJ
0?od@P3oni<0oog00?ongP3oooD0oook0?oooSX0oooo0P3oooh09@3oool0oOoo0?Koo`3`ool0k_oo
0?Coo`3oooX0ook@0?ol/@3oniD0ooUf0?ohJ`3on6L0ooQ/0?oiM`3oni40oobT0?om]P3ooLD0oog3
0?ol/03oni`0ooZ90?oiLP3on6T0ooQW0?oiK`3onWd0oobP0?om_P3oo]d0oOoo0?7oo`3]ool0looo
0?Soo`3oool00P3ooohk0?ooo`0N0?ooo@3oooT0oooa0?one03oo:l0ooYm0?ob<03ojA00om@10?o0
003oZ@00oh<00?m/003oF@00od/00?m>003oFP00ogT00?nC003o^000ol`00?oM103okb00ooI<0?oj
P`3ooLL0oooR0?oomP3ooo`0ooon903oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000
oooo0?ooo`050?ooo`0N0?ooo@3oooX0oooc0?onfP3ooKX0ooU`0?od>`3ojaH0omP20?o7003o/@00
ohd00?me003oF`00oe800?mC003oIP00ogX00?nB003o]P00ol/00?oL0`3okA`0ooE60?okUP3ooL80
ookO0?oom@3ooo/0ooon?03oool0203mool0nooo0?Soo`3jool0oooh0?ooj@3oo]L0oofn0P3ooKD0
703oo/d0oooc0;_mo`2=nol0J_So04Oeo`0ilol0<?;o02_ao`0ZlOl0<?;o03Sco`16mOl0J?So08_j
o`2hoOl0ooof0?onc`3ooKH0oofe0?om_P3oo]H0oooX0?oom`3jool0n?oo0?_oo`3mooll0?ooo`0N
0?oooP3ooo/0ooof0?onh@3ooL@0oo^I0?oeB@3okQh0omd30?o<003o]`00oi<00?mk003oI`00oe@0
0?mB003oFP00og@00?n;003o[`00olD00?oG0@3oja@0oo<h0?ohK03ooKL0ookI0?ool`3oooX0ooom
903oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`050?ooo`0N0?ooo@3o
ooX0oood0?onf`3ooK/0ooUb0?od?P3ok1P0omT20?o8003o/`00oi000?mi003oG`00oeL00?mH003o
JP00ogd00?nE003o^000ol`00?oM0`3okQh0ooE80?okV03ooL@0ookP0?oom@3ooo/0ooon>`3oool0
4`3nool0oOoo0?coo`3nool0oool0?ook@3oo^80ookH0?oneP3oo^80ooom0<?mo`2Hnol0I_So04kf
o`0nm?l0;o;o02W`o`0Ul?l00P0Skol0400Ul?l09o3o02cao`0ilol0AoGo05cgo`2:n_l0/_go0??o
o`3oonX0ookI0?oneP3oo]h0oooY0?oon@3oool20?coo`030?koo`3oool0oooo03T0oooo01h0ooon
0?ooo03oooP0oooX0?ond03oo:X0ooML0?oa;03ohPL0om<10?o0003oWP00ohH00?m`003oF`00oeH0
0?mK003oL@00ohL00?nZ003o`000om<10?oX3`3olBd0ooMN0?olZ`3oo]40ooo_0?oon03ooo`T0?oo
o`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00D0oooo01h0ooom0?oonP3o
oo@0ookM0?om_P3onGH0ooA10?o]6P3of`<0olX00?nf003oU000ogh00?mU003oGP00oel00?m`003o
P`00oiT00?nk003ocP00omh40?o_8@3omT`0oo^K0?omaP3oo^40ooof0?oon`3ooohk0?ooo`80o_oo
00<0oooo0?oonP3oooD00P3oonl0803oooL0j_oo0<gno`2`o?l0R_[o07Wio`1/n?l0JoSo073io`20
n_l0S__o09gko`2]o?l0/?co0:Olo`2Knol0S?_o07Sio`1_nOl0JoSo073io`1kn_l0VO_o0;Cmo`3B
o_l0nOoo0?oom@3oonl0oooa0?oomP3oood0oooo0P3noolk0?ooo`0>0?oooP3ooo/0ooo_0?ongP3o
oL00ooUi0?oeA03oj0l0om`30?o;003o[000oiH00?mo003oIP020?mN000>0?m^003oP@00oj<00?ni
003oc@00on@80?o^7`3omDT0oo^H0?om``3oonT0oooe0?oon`3ooohS0?ooo`030000003oool0oooo
00<0oooo0`0000020?ooo`030000003oool0oooo008000000P3oool3000000@0oooo0@3IfMT00003
0000003oool0oooo00D0oooo01h0ooom0?oon`3ooo@0ookM0?om_`3onGT0ooE40?o]703og0<0ol`0
0?nh003oU`00oh800?mZ003oHP00of<00?md003oQP00oi`00?nm003od000oml40?o_8`3omTl0oobM
0?oma`3oo^80ooof0?oon`3ooohm0?ooo`0U0?ooo@3oooT0ooog0?oon@3nool0kooo0=7no`2loOl0
[?co0:;lo`2Vo?l0`ogo0>Ooo`3oonD0oobS0?ojQ03onFl0ooMM0?ogFP3omf00ooQ/0?ojP03oo;00
ookL0>ooo`2joOl0Z?co0:?lo`2Zo?l0^Ogo0=Sno`3/ool0o?oo0?oom`3oooH0oooj0?ooo@0m0?oo
o`0N0?oooP3ooo`0oooc0?ooi@3oo/`0oo^=0?ogE`3ok1P0on460?oB0@3o]P00oj000?n:003oKP00
of@00?mR003oKP00ogl00?nO003o]@00olT00?oQ1P3ok1L0oo@l0?ojRP3ooKT0oooU0?ool`3oooX0
ooon8`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`040000003oool0oooo0?ooo`40fMWI00000`000000oooo0?ooo`05
0?ooo`0N0?oooP3ooo/0oooe0?ongP3ooL40ooUk0?oeAP3okQh0omd30?o=003o^P00oiX00?n5003o
KP00ofL00?mX003oN000ohX00?nO003o_P00om400?oP1@3ol2D0ooIA0?olX03oo/P0oooS0?oomP3o
oo`0ooon?03oool09`3oooh0ooom0?oon`3ooo`0nooo0?3oo`3Ro_l0d?ko0<Wno`3<o_l0iooo0?oo
l@3oo:h0ooZ60?ohI`3omDP0oo<k0?ob<P3olB/0oo4Z0?oa:`3olRl0oo<f0?oeB03ome`0ooUg0?ol
[P3oo]/0i_oo0=7no`39o_l0d?ko0=_no`3Yool0nooo0?ooo@3ooo/0oool0?ooo@0l0?ooo`0N0?oo
oP3oood0ooof0?ooj`3oo]L0oobO0?ohJ`3okb@0onH;0?oI0P3o_P00ojT00?nC003oM`00of/00?mV
003oKP00ogd00?nK003o/000ol@00?oM103ojA40oo8a0?ojO03oo:h0ookO0?ool03oooP0ooon8@3o
ool3000000H0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000040?ooo`040000
003oool0oooo0?ooo`40fMWI00000`000000oooo0?ooo`050?ooo`0N0?oooP3ooo/0oooe0?onh03o
oL<0ooYo0?oeB`3okb40oml40?o?003o_@00oil00?n;003oM000ofd00?m^003oOP00ohl00?nS003o
`@00om<10?oQ1P3ol2P0ooIF0?olX`3oo//0oooT0?oom`3ooo`0ooon?03oool20?oooP0=0?ooo`3k
ool0l_oo0>coo`3Yool0l_oo0?oonP3oo]h0oob^0?okT@3onG00ooQR0?ogF@020?ofE00E0?ofE@3o
meP0ooMJ0?ogF@3omeL0ooIE0?ofD`3omUD0ooMJ0?ohJ@3onG/0oobP0?om_`3oo]l0nOoo0>goo`3Y
ool0kooo0?Goo`3nool0oooo0080ooon?03oool07P3oooh0oooi0?oolP3oon<0oofg0?ojR03olc/0
on`G0?oQ1P3obP00okL00?nR003oQ@00ogH00?m^003oL000og/00?nE003oZP00okh00?oH0P3oi@X0
onlR0?ohI`3oni/0ookE0?oojP3oooD0ooom0?oooR80oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`030?ooo`040000003oool0oooo000000@0oooo00@000000?ooo`3oool0oooo0@3I
fMT000030000003oool0oooo00D0oooo01h0ooon0?oon`3oooD0ookQ0?oma@3onX80ooI>0?o_8`3o
h0D0om400?no003oXP00ohh00?mi003oLP00og<00?n2003oTP00ojH00?o3003oe040on870?oa:P3o
meP0oobU0?onc03oonD0ooog0?ooo03ooohn0?ooo`0P0?coo`3iool0m?oo0?Coo`3kool0ooo^0?on
e`3ooL00oobR0?okU@3onhl0oo^D0?olX@3ooL<0ookR0?coo`3Fo_l0boko0<gno`3Ko_l0looo0?on
fP3ooKd0oobV0?okTP3onhh0oo^G0?olYP3ooKX0ookM0?oolP3mool20?Coo`030?[oo`3mool0oooo
03d0oooo01h0ooon0?oon`3oooD0oooZ0?oma03oniX0ooI<0?o_8P3oi@X0om400?no003oZ`00ohh0
0?mn003oM000og<00?mk003oT`00ojH00?nj003oe@40on870?o]6P3omeX0oo^>0?onc@3oonD0oooc
0?ooo03ooohR0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool01@000000
oooo0?ooo`000000oooo00<00000103oool10=WIf@0000<000000?ooo`3oool01@3oool03P3oooh0
oook0?oomP3oo^80oog70?ojQP3omU80oo0V0?oQ1P3od`40ol800?nV003oU000ogl00P3oN@003P3o
R000oiL00?nZ003oaP00omH10?oT203olBh0ooMM0?olZ@3oo/h0oooV0?oom`3ooo`0ooon?@3oool0
7@3nool0o?oo0?_oo`3oool0oooi0?ookP3oo]/0ookA0?onc@3oo]P0ooo_0=Kno`2]o?l0R_[o06;h
o`1@m_l0A?Go03Wco`0flol0=O?o03Sco`0nm?l0COKo05ggo`1dnOl0Y?co0<cno`3oooL0ookL0080
ook@00@0ookH0?ooi03oooH0oooo0P3kool00`3mool0oooo0?ooo`0l0?ooo`0M0?ooo@3oooT0oooa
0?one@3ooK<0ooQY0?oc>03ojaH0omX20?o:003o^000oi`00?n;003oO`00ogP00?mm003oT000oj80
0?ne003oc`00omh40?oZ4@3omDH0ooUj0?om_`3oo]d0ooo^0?oonP3oood08P3oool00`000000oooo
0?ooo`030?ooo`8000001@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0
oooo0@3IfMT000030000003oool0oooo00D0oooo01h0ooon0?oon`3oooH0oooS0?onb@3onXT0ooIE
0?o`:@3ohPL0omD10?o4003oZ@00oiL00?n3003oO@00ogh00?n;003oV`00ojd00?o8003of080onD9
0?ob<@3omf00oob[0?ond03oonL0oooh0?ooo03ooohm0?ooo`0O0?koo`3mool0oooo0?oon@3ooo80
oooZ0?ooi03oonL0oood0>?oo`32oOl0To_o07Wio`1Un?l0D_Ko04[eo`15mOl0@_Co047do`10m?l0
@OCo04;do`17mOl0COKo05Ogo`1^nOl0Q?[o0;3lo`3Ao_l0lOoo0?ook@020?ooi@060?ookP3oooD0
ooon0?koo`3mool0o_oo?@3oool07P3oood0oook0?oom03oo]h0oog10?ojO@3omDT0onlQ0?oO1@3o
d@00ol000?nU003oU000ohH00?mm003oO`00ohl00?nO003o/@00ol`00?oK0`3oi`d0oo<k0?ohK@3o
oKD0ookF0?ooj`3oooT0ooom0?oooR40oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`8000000`3oool3000000<0oooo0@3IfMT000030000003oool0oooo00D0oooo01h0ooon
0?ooo03oooH0oooT0?onb`3onh`0ooMH0?oa:`3oh`P0omH10?o6003o[000oi/00?n7003oP@00oh80
0?n?003oWP00ok000?o:003of@80onD:0?ob=03on6<0oob]0?ond@3oonP0oooh0?ooo03ooohm0?oo
o`0W0?koo`3oool0ooom0?oomP3ooo80oooa0?oon@3hool0h_ko0;cmo`2Uo?l0R_[o083jo`1kn_l0
O_[o08Cjo`2=nol0W?_o0:?lo`2Vo?l0X_co09_ko`2<nol0Po[o07gjo`1ln_l0PO[o09Cko`2Xo?l0
_ogo0>Goo`3jool0ooog0?ool@3ooo<0oooi0?ooo@3oool0o_oo03d0oooo00h0ooon0?ooo03oooL0
oooU0?onc@3oni00ooML0?oa;P3oi0T0omL10?o8003o[@00oi`00?n>0080oh8000h0ohh00?nM003o
[P00olT00?oH0P3oi@T0oo8`0?ogG`3oo:X0ook?0?ooiP3oooL0oool0?oooR40oooo00<000000?oo
o`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool07P3oooh0oool0?oom`3oonD0ook=
0?okT03omed0oo8_0?oU2@3of080olT00?n`003oX000ohh00?n8003oR@00oiD00?nS003o]000old0
0?oK0`3oi``0oo<h0?ohJ03oo;40ookC0?ooj@3oooP0oool0?oooSh0oooo02D0ooom0?oon`3oooX0
ooom0?coo`3Zool0g?ko0<ono`33oOl0a?go0=Wno`3eool0oooR0?olZ`3onhd0ooUf0?ogH03omeP0
ooIC0?ogEP3ome`0ooU`0?ojQ03oo:00ookE0?ooo@3Eo_l0aogo0<?mo`3;o_l0eoko0>Goo`3iool0
ooon0?oonP3ooo/0oool03l0oooo01d0ooom0?oonP3oonh0ookL0?olZP3onGX0ooE70?oZ4`3og`D0
om810?nj003oZ@00oiX00?n:003oR000ohl00?nK003oZ`00ol@00?oC0@3oh@H0onlS0?ofC@3oniP0
oog20?ongP3ooo@0oook0?ooo@0Q0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003o
ool0oooo00D0oooo01h0ooon0?ooo03oooL0oooV0?onc`3oni<0ooQQ0?ob<P3oi@X0omX20?o;003o
/`00oj<00?nB003oS000ohd00?nI003oY`00okL00?o>003og0<0onP>0?oc>`3on6`0oofc0?one@3o
onX0oooi0?ooo@3ooohn0?ooo`80ooom0100oooo0?_oo`3cool0i_oo0>3no`3No_l0k?oo0?ooo@3o
o/`0oob[0?okS@3on6/0ooMK0?ofD03omDH0ooA20P3om4003`3om4<0ooE;0?ofE03omf00ooYm0?ok
U`3ooLL0oooY0?Woo`3Qo_l0g_ko0>7no`3]ool0m_oo0?ooo`020?ooo@030?oooP3oool0oooo03`0
oooo01d0ooon0?oon`3ooo80oooT0?om^@3onhd0ooMJ0?o^7@3oi0T0omP20?o1003o/@00oj400?nA
003oS000oi400?nK003oZ@00ol400?o@003ogP@0ondL0?od@@3onh`0oofi0?onf03ooo80oooi0?oo
o@0Q0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00D0oooo00h0ooon
0?ooo03oooP0oooW0?ond03oniH0ooQT0?oc=@3oiP`0om/30?o=003o]P00ojL00?nF0080oi4000h0
oid00?nZ003o^@00om000?oN103oj@l0oo@o0?oiK`3ooKH0ookF0?oojP3oooT0ooom0?oooSd0oooo
0P3oooh03P3oool0nooo0?Ooo`3aool0k_oo0?7oo`3lool0oooS0?onb@3oo:80oo^>0?ojOP3onFl0
ooQZ0P3on6T0103on6/0ooQ/0?ohK03on6X20?ohJ@0>0?ohJP3onG<0ooYn0?okV03oo:l0ook90?oo
l03lool0lOoo0>koo`3bool0nOoo0?koo`3oool20?oooSd0oooo01d0ooon0?ooo@3oooD0oooZ0?om
aP3oo9l0ooU]0?oa:@3oj0l0omd40?o8003o^@00ojT00?nG003oT@00oi<00?nK003oY`00okh00?o>
003of`<0on/F0?oc=`3onX00oob^0?ond@3oonl0oooh0?ooo00Q0?ooo`030000003oool0oooo01H0
oooo0@3IfMT000030000003oool0oooo00D0oooo00h0ooon0?ooo03oooP0oooX0?ond`3oni/0ooQZ
0?oc>P3oj0h0omd30?o@003o^P00oj`00?nL0080oiL000h0oj800?n_003o_@00om<10?oP1@3ojQ80
ooE40?oiM@3ooKT0ookH0?ook03oooT0ooom0?oooSl0oooo0140oOoo0?[oo`3iool0n_oo0?oon`3o
onh0ookO0?onb@3ooKh0oofh0?om_@3oo//0ooo_0>koo`3>o_l0Z_co09_ko`0208oko`0A09Kko`2[
o?l0`_go0=ono`3oond0ookC0?om_03ooKP0oofj0?onb@3oo]P0oooX0?oon`3lool0nOoo0?[oo`3l
ool0@03oool07@3oooh0oooi0?ool@3oo]L0oofg0?ojRP3om440onhM0?oT2@3odP40ol@00?ne003o
XP00oiT00?nG003oW000ojH00?nk003obP00omP20?oX3`3olBX0ooQ]0?olWP3ooLH0oooY0?oom@3o
oo/0ooon0200oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01@3oool0
3P3oooh0oool0?oon03oonT0ookD0?olWP3onFd0oo@n0?oY403ogP@0om810?nm003o[`00oj000P3o
V`003P3oYP00ok800?o0003oe@40on460?o[503omDL0ooUh0?om^`3oo]X0ooo/0?oon@3oood0ooon
?P3oool04P3nool0oOoo0?coo`3nool0ooom0?ool03oonH0ookM0?onf03oo]`0oooe0>goo`3<o_l0
W_co08Kjo`1bnOl0G_Oo05Kgo`80D?Ko00l0DoKo05cgo`1Wn?l0MoWo09Sko`2doOl0iOoo0?oon`3o
onH0ookH0?onf@3oo]l0ooo^0?oom`3oool00P3lool00`3nool0oooo0?ooo`0m0?ooo`0M0?oooP3o
oo/0oood0?ong`3ooL@0oo^L0?ofD`3ol2T0onP?0?oH0P3obP00ok`00?nY003oW`00oiX00?nN003o
YP00okT00?o7003oe@40onH<0?o_8P3on640oo^B0?om_@3oonD0oooc0?oonP3oooh0803oool00`00
0000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`050?ooo`0>0?oooP3oood0oooi0?oo
jP3oo]L0oobS0?oiL`3omD<0onXC0?oP1@3oe040ol400?nd003oY@020?nQ000=0?n[003o]P00ol<0
0?oG0@3oh`L0on`G0?ofC@3onWh0oofo0?ong03oond0oooj0?ooo@0o0?ooo`80o_oo00<0ooon0?oo
n`3oooH00P3ooo403P3oooH0m?oo0=ono`2loOl0Y_co09Cko`22n_l0NoWo07Sio`1gnOl0N?Wo07Wi
o`1jnOl0NOWo0`1gnOl03@1mn_l0QO[o09Wko`2/o?l0`_go0>Goo`3iool0oooh0?ool03ooo40ooog
0?ooo03oool00P3noolo0?ooo`0=0?ooo03oooP0oooY0?one@3ooKD0ooU`0?od@03okQd0on050?oD
0@3oaP00ok<00?nY00020?nQ000=0?nW003o]`00ol@00?oB003oh`P0on`I0?ofD03onX40oob^0?on
g@3oonh0ooog0?ooo@0P0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo
00D0oooo00h0ooon0?ooo@3oooT0ooo[0?onf03oo:H0ooUg0?oeA`3ojaD0on860?oF0@3o``00okL0
0?nY0080ojD000d0ojl00?ni003oaP00omT20?oT203okAX0ooIA0?ojP@3ooL40ookM0?ookP3oooX0
ooom0440oooo02<0oool0?oonP3oooP0oooi0?ooo`3dool0g?ko0<cno`2goOl0[oco0:glo`2doOl0
_ogo0<ono`3/ool0oooo0?ook@3oonT0ooo/0?ooo`3]ool0fOko0<3mo`2doOl0[Oco0:olo`2goOl0
boko0=cno`3/ool0oooo0?oonP3oooP0oooj0?ooo0110?ooo`0=0?ooo@3oooX0ooo_0?ongP3ooL80
ooZ30?ofDP3olBX0on@90?oI0P3oc@00okX00?n_00020?nU000>0?nY003o]P00ol<00?o@003oh@H0
on/D0?oeA@3onGD0oobT0?one`3oon/0ooof0?ooo@3ooohO0?ooo`030000003oool0oooo01H0oooo
0@3IfMT000030000003oool0oooo00D0oooo01d0ooon0?ooo@3oooT0ooo/0?onfP3oo:T0ooUk0?oe
B`3ok1L0on<70?oH0P3oaP00okX00?n]003oZ000ojT00?nb003o_000olP00?oJ0P3oi@X0ondL0?of
E@3onXD0oog30?ong`3oonl0oooj0?ooo@100?ooo`0R0?oooP3ooo`0oook0?ooo@3kool0looo0>So
o`3Io_l0d_ko0=Cno`3No_l0l?oo0?ooi03ooLL0oob]0?okS`3onX40ooUe0?oiLP3onG<0ooYm0?oj
R@3oniX0oofm0?onfP3iool0hooo0=Kno`3Ao_l0e_ko0=ono`3_ool0nOoo0?oooP80oool00<0ooon
0?ooo`3oool0?P3oool07@3oooh0oool0?ool`3oonD0ook>0?okUP3on6D0oo<i0?oX3`3ogP@0om<1
0?o0003o]@00ojX00?nX003oZ`00okH00?o1003ocP00oml50?oY403om3`0ooQZ0?okV@3oo]40oooW
0?ool`3ooo`0ooon01l0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool0
1@3oool03P3oooh0ooom0?oonP3oond0ookL0?ol[@3onX40ooIA0?o]6`3oi@T0omX20?o9003o_P00
ok800P3o[P003@3o]`00ol400?o<003og@<0onL<0?o_8@3ome/0ooZ;0?oma`3oo^00ooo`0?oon`3o
ood0@03oool20?oooP0?0?ooo`3kool0m?oo0?3oo`3^ool0looo0?ooo`3oo^40ook:0?om/`3oniH0
ooZ70?ojO03onG80ooU^00<0ooQ[0100ooQ/0?oiK`3onG<0ooYn0?ojRP3oo:80oofg0?oncP3ooo00
oOoo0?;oo`3^ool0l?oo0?Ooo`3lool0oooo0P3oooho0?ooo`0>0?oooP3oood0ooog0?ookP3oo]d0
oob_0?ojPP3omU<0ondL0?oU2P3of`<0olX00?no003o/P020?n^000=0?ng003o`000ol/00?oL0`3o
iP`0oo8_0?ogF@3onXT0oog60?onh03oonl0oooj0?ooo@0O0?ooo`030000003oool0oooo01H0oooo
0@3IfMT000030000003oool0oooo00H0oooo01`0ooom0?oonP3oonh0ookM0?ol/03onX@0ooIE0?o^
7P3oiP/0om`30?o<003o`@00okD00?na003o/P00okX00?o3003ocP00omh40?oX3P3okb@0ooMO0?ok
SP3oo/T0ookR0?ool03ooo/0ooom@P3oool07P3lool0n_oo0?Koo`3gool0o?oo0?ool`3oon<0ook9
0?om^P3oo:h0oobS0?olXP3oo:@0oob]0?om]03ooKh0oog10?om`P3ooK`0oofe0?ol[P3oo:D0oobR
0?olY@3oo:`0oofh0?onc`3oo^40oooa0?goo`80mooo00<0nOoo0?coo`3oool0@@3oool0703oooh0
oooi0?oolP3oon@0oofm0?okU@3on6D0oo0X0?oY403oh0D0om000?o5003o]`00ok800?na003o]`00
ol000?o:003of`80onD90?o`:03omTl0ooYn0?om_P3oo]X0ooo/0?oon@3ooodO0?ooo`030000003o
ool0oooo01H0oooo0@3IfMT000030000003oool0oooo00H0oooo00d0ooom0?oonP3oonl0ookO0?om
]03onXX0ooML0?o_8P3oj0h0omh40?o?003oa@00okX00080okL000d0okl00?o7003od@00on050?oY
4@3ol2T0ooQV0?okU03oo/`0oooT0?ool@3ooo/0ooon0440oooo02D0oOoo0?coo`3lool0oooo0?oo
n@3ooo40oooT0?ong03oo]T0ookN0?ooj@3fool0gOko0<Cmo`2Uo?l0U__o08Ojo`22n_l0PO[o08Kj
o`2?nol0Vo_o0;Omo`3>o_l0looo0?oom03oon@0ookI0?onfP3oo]l0ooo/0?oom@3oool0oOoo0?co
o`3mool0o_oo0400oooo01d0ooon0?oon`3oooL0ooo]0?onc`3oo:h0ooZ20?od?P3okQh0onH;0?oH
0P3oc@00ol000?ni003o]P00okX00?o0003ob@00omP20?oR1`3okR00ooA10?oiKP3oo;00ookA0?oo
i`3oooL0oool0?oooP0N0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo
00H0oooo00d0ooom0?oonP3ooo00ookQ0?om]`3onhh0ooMP0?o`9P3ojA00on050?oA003ob000okd0
0080okX000d0ol800?o:003od`40on870?oZ4`3olB`0ooQZ0?okV03oo/h0oooU0?oolP3ooo/0ooon
0440oooo0P3nool03`3oool0oooj0?oom@3oonl0ooo[0?ook@3ooo`0lOoo0=_no`2joOl0Y_co09Gk
o`22n_l0N_Wo07;io`0206oio`0@077io`1dnOl0N_Wo08Wjo`2Fnol0/Oco0<Kmo`3Mo_l0o?oo0?oo
m@3oond0ooo/0?ool03oooP0oool0?ooo`80o_oo@@3oool0703oood0oooi0?ool@3oo]T0oofl0?ok
U03omU00oo4Z0?oZ4P3og@<0om<10?o5003o_P00okX00?nk003o`@00olT00?oG0@3oh@H0ondK0?oc
>@3on6@0oobW0?onbP3oon80oooe0?oon`3ooohN0?ooo`030000003oool0oooo01H0oooo0@3IfMT0
00030000003oool0oooo00H0oooo01`0ooom0?oon`3ooo40ookR0?om^P3oni80ooQU0?oa:@3ojQ80
on460?oC0@3ob`00ol000?nm003o_P00olD00?o<003oeP40on<80?o[5P3olS00ooU^0?okW03oo]00
oooV0?ool`3ooo/0ooon@`3oool0303oood0oooh0?oomP3oooD0oook0?Woo`3Sool0dOko0<3mo`2/
o?l0X_co09cko`80V?_o00D0V__o09_ko`2Lnol0Vo_o09[ko`0209Sko`0<09_ko`2To?l0[oco0;gm
o`3Fo_l0iooo0?Koo`3oooT0oooe0?oomP3oooT0oool@`3oool03@3oood0oook0?oom@3oo^40ook9
0?olY@3on680oo<h0?o]6`3oh@H0omP20?o:003o``000P3o_P003@3o`P00olT00?oF0@3og`D0on`G
0?ob<P3omeX0oobN0?om``3oo]h0oooc0?oonP3oooh07P3oool00`000000oooo0?ooo`0F0?ooo`40
fMWI00000`000000oooo0?ooo`060?ooo`0=0?oooP3ooo/0ooob0?ooi03ooKh0oo^H0?ohJ`3olRl0
on/F0?oT203oe`40olh00?o500020?o2000=0?o9003od000omP20?oU2P3okAX0oo<f0?oiM@3oo:40
ookC0?ooj03ooo@0oool0?oooP120?ooo`080?ooo@3ooo`0oool0?oooP3kool0kooo0>Koo`3Io_l2
0=Gno`0F0=ono`3/ool0oooo0?onh@3oo/l0oofk0?om/`3oo:l0oofb0?om^@3ooLD0ookN0?oolP3`
ool0hOko0=Sno`3Do_l0f?ko0=ono`3]ool0m_oo0?ooo`80oool00<0ooom0?oooP3oool0@03oool0
703oooh0oool0?oon03oon/0ookH0?om_03onWl0ooIB0?oa;@3oi`d0oml40?oB003obP00ol@00?o2
003oa000olT00?oE0@3ogP@0onXB0?o`:@3omT`0oo^?0?om]`3oo]D0ooo_0?oon03ooodN0?ooo`03
0000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00H0oooo00d0ooon0?oon`3ooo80
oooU0?om`@3oni`0ooU`0?ob<`3ok1P0onD:0?oI0P3od@00olP00080olD000d0ol/00?oB0@3ofP80
onL<0?o^7@3olc/0ooUj0?olY@3oo]D0oooY0?oom03ooo`0ooon0440oooo0`3oooh03`3oool0nooo
0?Goo`3]ool0jOoo0>_oo`3bool0oooo0?ooh`3oo/l0oofk0?olXP3oniD0ooZ80?ojP`020?ojP@0?
0?ojQ@3onh`0oo^K0?olZ@3ooL@0ookI0?ook@3hool0k_oo0>Woo`3[ool0l?oo0?Soo`3mool0oooo
0080ooon@P3oool0703oood0oooj0?ool03oo^40ook80?okT@3on6@0oo<k0?oZ4`3oh`L0omH10?o?
003ob@00olD00?o6003obP00om@10?oM0`3oj@l0onlS0?oeA03onXD0oob_0?onc`3oon`0ooof0?oo
o@3ooohM0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00H0oooo01`0
ooon0?ooo03ooo<0oooW0?oma@3oo:80ooUg0?oc>P3okQd0onL<0?oK0`3oe040ol`00?o9003obP00
oll00?oF0@3og@<0onP?0?o_8P3om440ooZ00?olZP3oo]P0oooZ0?oom@3ooo`0ooon@`3oool0303n
ool0nooo0?Woo`3gool0n_oo0?ooo`3oonl0ookQ0?ondP3ooKl0oofe0?ol[`80oobZ00H0oob/0?ol
[@3oo:h0oob^0?ol[@3oo:/20?olZP0<0?ol[`3ooKD0oofo0?ond`3oo^40ooo_0?ooo`3jool0mooo
0?Woo`3kool0o_oo@`3oool03@3oooh0oool0?oom@3oonX0ookH0?olZP3onX00ooIE0?o_8P3oj0l0
omd30?oF0@3oc`000P3ob@003@3oc000om@10?oL0`3oi`d0onhM0?oc>P3onGL0oobR0?oma@3oonL0
oooc0?ooo03oooh07@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`06
0?ooo`0=0?oooP3ooo`0oood0?ooj03ooLP0oobV0?ojO03om3h0onlP0?oX3`3og@@0omH10?o>0002
0?o<000=0?oB003of080oml40?oZ4@3ol2H0ooE60?ojQ@3oo:h0ookJ0?ooj`3oooD0oool0?oooP13
0?ooo`0S0?goo`3lool0nooo0?goo`3oooX0ooob0?ooi03oo]/0ookD0?ond03oo]80ookI0?ooj@3o
ooH0mOoo0>coo`3Vool0iOoo0>Woo`3bool0oooj0?ook@3oo]`0ookD0?ond03oo]80ookH0?onh@3o
onl0oooh0?koo`3lool0nooo0?goo`3nool0@P3oool0703oooh0ooom0?oon03oonl0ookP0?om^@3o
ni80ooQW0?oa;P3ok1H0on460?oJ0P3od`40old00?o<003oc@00om@10?oK0`3oiP/0ondJ0?ob=03o
nFh0oo^I0?om_P3oon<0oooa0?oon`3ooodM0?ooo`030000003oool0oooo01H0oooo0@3IfMT00003
0000003oool0oooo00H0oooo00d0ooon0?ooo03ooo@0oooZ0?onbP3oo:T0ooZ00?od@`3okb@0onTA
0?oO1@3of080om400080oll000d0om@10?oJ0P3oh@H0on/D0?oa:P3omD/0ooZ:0?ol/@3oo]`0ooo/
0?oomP3oood0ooon0480oooo0`3nool0103oool0oool0?oom03oonh20?ooi`0J0?oojP3oooT0mooo
0>Goo`3;o_l0_?go0:[lo`2Ro?l0W_co09cko`2Oo?l0YOco0;Cmo`31oOl0f_ko0>coo`3mool0ooo_
0?ooj03oonL0ooo[0?ool03oooT0ooom0?ooo`3mool20?kood80oooo01`0ooon0?oonP3ooo<0oooW
0?omaP3oo:<0ooUi0?od?@3okR00onD:0?oN103oe`80om000?o>003oc`00omD10?oK0`3oi@X0on`G
0?oa;P3on6H0oo^A0?om]`3oo]l0ooo^0?oonP3oood0ooon703oool00`000000oooo0?ooo`0F0?oo
o`40fMWI00000`000000oooo0?ooo`060?ooo`0L0?oooP3ooo`0oooe0?ooj`3oo/h0oob_0?ojR03o
mDX0oo4Z0?o[5@3ohPH0om/30?oE0@3odP40om<10?oG0@3og@<0on<80?o/6@3olS00ooIB0?okT03o
oKH0ookN0?ookP3oooL0ooom0?oooT@0oooo00h0ooon0?oon`3oooT0ooof0?oon03oool0mOoo0>Wo
o`3Do_l0aogo0;cmo`2_o?l0Z_co0:Klo`D0Y?co00h0Yoco0:[lo`2boOl0^ogo0<Kmo`3Jo_l0iooo
0?Coo`3oood0oooh0?oom`3oooP0oook0?oooT@0oooo01`0ooon0?ooo03oooL0ooo_0?oneP3ooKT0
oo^D0?ogEP3olS<0onXB0?oT203og@@0omH10?oC0@3odP40omH10?oK0`3oi0T0onXD0?o`:03omeX0
ooZ40?olZ`3oo]P0oooZ0?oon03ooo`0ooon703oool00`000000oooo0?ooo`0F0?ooo`40fMWI0000
0`000000oooo0?ooo`060?ooo`0=0?oooP3ooo`0ooof0?ook03oo]00oofb0?okS03omTl0oo4^0?o/
603oh`P0omd40?oG0@020?oE0@0=0?oJ0P3og`@0on@90?o]703olS@0ooMG0?okU@3ooKX0ookP0?oo
k`3oooL0ooom0?oooP140?ooo`0F0?ooo@3ooo/0oook0?oooP3mool0lOoo0>Ooo`3No_l0d_ko0<kn
o`3=o_l0d?ko0=Gno`3No_l0iOoo0>Woo`3/ool0jooo0>Ooo`3No_l0eoko0<ono`80cOko00H0doko
0=[no`3Sool0l_oo0?[oo`3oood20?oon`030?ooo@3oooh0oooo04<0oooo01/0ooom0?oon@3ooo<0
ookN0?omaP3oo:D0ooQX0?od@P3okAX0onL=0?oQ1P3of@80omH10?oE0@3oe`40om/30?oT203ojQ80
onlT0?ofD`3onW/0oobT0?ond`3oonL0ooof0?oon`3oooh0703oool00`000000oooo0?ooo`0F0?oo
o`40fMWI00000`000000oooo0?ooo`060?ooo`0=0?oooP3oood0ooog0?ookP3oo]@0oofh0?okT`3o
meL0oo<e0?o^7@3oi@X0on050?oJ0P020?oH0P0=0?oM0`3oh@H0onL<0?o_8@3om3`0ooMO0?okW03o
oKh0oooR0?ool03oooP0ooom0?oooP130?ooo`80ooon01T0oooo0?koo`3iool0m?oo0>koo`3/ool0
k_oo0?Ooo`3oood0ooo_0?onf@3oo//0oofj0?om/P3oo:d0oobY0?olZP3oo:d0oofg0?om`@3oo]@0
ookR0?ool@3kool0l_oo0080kOoo00@0l?oo0?Ooo`3kool0o_oo0`3oooi30?ooo`0K0?oooP3ooo`0
ooog0?ooj03oo]H0oofk0?ojP`3ome/0oo4Z0?o/5P3oiP/0omh40?oJ0P3of080omT20?oL0`3oh`P0
onT@0?o^803omDT0ooU`0?okV03oo/X0ookQ0?oom03oooX0ooom01`0oooo00<000000?ooo`3oool0
5P3oool10=WIf@0000<000000?ooo`3oool01P3oool06`3oooh0ooom0?oom`3oonl0ookF0?om^`3o
niP0ooML0?oc>P3okb40onL=0?oR1`3og0<0omX20?oK0P3og`@0on<80?oX3P3ol2D0ooA10?ohI@3o
o:00oog20?ooi03ooo40oooh0?ooo@160?ooo`0?0?koo`3lool0n?oo0?Koo`3gool0o?oo0?oon`3o
onX0ookN0?ond@3ooL00oofh0?ol[P3oo:X0oobX0080oobV00l0oobX0?ol[03oo;00oofj0?oma03o
o/l0ookR0?ookP3oooT0n_oo0?Ooo`3fool0nOoo0?_oo`3nool0A@3oool03@3oooh0ooom0?oon@3o
onh0ookO0?oma`3oni@0ooQ/0?oc=`3okQl0onT@0?oQ1P3og@@00P3of`<0303og@<0on<80?oY3`3o
kQd0ooE40?ohJ03oni00oog40?ong@3ooo80oooi0?ooo1`0oooo00<000000?ooo`3oool05P3oool1
0=WIf@0000<000000?ooo`3oool01P3oool03@3oooh0ooom0?oon03ooo00ookH0?om_P3oni`0ooQR
0?od?`3ol2D0onP?0?oT203ogP@00P3og@<0303oh0D0onD90?oY4@3olBX0ooE60?ohJP3oo:@0oog5
0?ooi@3ooo80oooi0?oooDD0oooo0100o_oo0?goo`3kool0nooo0?coo`3ooo`0oood0?ook03oo]h0
ookF0?ond03oo//0ook:0?onc03oo/h0ook@0P3oo]<0303oo]40ook>0?onc03oo/X0ook;0?onc@3o
o]H0ookN0?ooi`3ooo@0oool0?coo`80nooo00<0oOoo0?koo`3oool0A03oool06`3oood0oook0?oo
lP3oonH0ookB0?olY03onWh0ooE60?oa:P3ok1L0onD90?oP1@3ogP@0omd30?oN103oi0P0onP?0?o]
6`3om3l0ooQR0?ojR@3ooKh0ookH0?ool03oooL0oool0?oooP0K0?ooo`030000003oool0oooo01H0
oooo0@3IfMT000030000003oool0oooo00H0oooo00d0ooon0?ooo@3oooP0oooa0?onf`3ooL<0oobS
0?ohJP3omDL0oo4/0?oZ4`3oiP/0on460080on0500`0on<80?oW303ojaD0oo8a0?ofCP3onG80oobZ
0?onb@3oonP0oooc0?oon@3oooi50?ooo`<0o_oo00@0ooom0?oonP3ooo<0ooo_0P3oon`01`3ooo40
oooh0?Ooo`3/ool0foko0=;no`3;o_l00P35oOl03P37oOl0coko0=Ono`3Vool0l_oo0?goo`3ooo@0
ooo^0?ook03oond0oooa0?oon03ooo`0oooo0`3noom40?ooo`0K0?oooP3oood0ooof0?ookP3oo]l0
oofj0?okV03omel0oo@n0?o`9@3ojA00onD:0?oR1P3og`D0on050?oT2@3oj0l0ondJ0?oc>@3omeT0
ooYn0?om]@3oo]40ooo/0?oom@3ooo/0ooon01/0oooo00<000000?ooo`3oool05P3oool10=WIf@00
00<000000?ooo`3oool01`3oool06P3oood0oooi0?oolP3oo]d0oog60?olY`3onG00ooI=0?ob<03o
k1H0onL=0?oS1`3oh@H0on860?oU2@3oj0l0on`I0?oc=P3omU@0ooUh0?ol[`3oo/`0oooY0?oom03o
ooX0ooonA`3oool00`3oooh0oook0?oon0020?oomP0E0?oon@3lool0looo0>Soo`3Go_l0c?ko0<3m
o`2joOl0]_go0;;mo`2ao?l0/_go0;Kmo`2koOl0aOgo0<kno`3Io_l0j_oo0?Goo`3nool0oooh0080
ooof00<0oooi0?oon`3oool0A`3oool06P3oood0oooi0?oolP3oonH0oog60?olZ03onG00ooI=0?ob
<@3ok1H0onL=0?oT2@3oh@H0on860?oU2@3oj0l0on`I0?oc=P3omU<0ooUh0?ol[P3oo/`0oooY0?oo
m03oooX0ooon6`3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`070?oo
o`0<0?ooo@3oooT0oooc0?ong`3oo/T0oob/0?oiM@3omU80oo<e0?o]6P3ojA00onD90P3oh`P0303o
iP`0onXB0?o^7@3olc/0ooMI0?ojO@3ooK<0ook?0?oojP3ooo@0oooj0?oooTH0oooo00d0ooon0?oo
o@3ooo/0oooj0?ooo@3nool0n?oo0>coo`3Sool0foko0=7no`3=o_l0bOko0080b?go0`39o_l20<Sm
o`090<[no`3<o_l0dOko0=[no`3Ro_l0jooo0?Ooo`3nool0oool0080oook00<0ooom0?oooP3oool0
A@3oool0303oooh0oooj0?oom@3oon`0ookA0?om]P3onX40ooMM0?od?P3okQh0onXC0?oW3080on<8
00`0onD:0?oX3`3ok1P0oo8c0?ofC`3onG80oobX0?omaP3oonH0ooob0?oon03ooodK0?ooo`030000
003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00L0oooo00`0ooon0?oonP3ooo@0ookR
0?oncP3ooK80ooYn0?ogF`3om3d0onhP0?o[5@3oi`d20?oV2`0<0?oY3`3ok1H0onlS0?oe@`3on680
ooZ60?om^03oo]<0ooo/0?oom@3oooX0ooonAP3oool20?oooP0>0?ooo`3nool0nOoo0?Coo`3`ool0
k?oo0>_oo`3]ool0m?oo0?_oo`3oooL0ooo_0?ooj@3oo^820?onh00=0?ooi@3oon/0ooog0?ooo`3h
ool0kooo0>coo`3[ool0k_oo0?;oo`3hool0o?oo0?ooo`030?oooTH0oooo01X0oool0?oon@3ooo80
ookN0?onb03oniX0ooUf0?ofE03olBd0onhM0?oZ4`3oi``0onH;0?oW303ojA00on`I0?ob<03omDT0
ooQY0?olW`3ooKh0ookQ0?ookP3oooL0ooom0?oooQX0oooo00<000000?ooo`3oool05P3oool10=WI
f@0000<000000?ooo`3oool01`3oool0303oooh0oooj0?oom03oon@0ook@0?om]P3onX<0ooQQ0?oe
@`3okb@0on`H0?oX3`80onL=00`0onXB0?o]6P3ol2L0ooE90?ohJ03onX/0oofl0?one@3oond0ooof
0?oon`3oooi80?ooo`0>0?koo`3kool0n?oo0?Koo`3eool0nOoo0?koo`3oooX0ooo/0?oohP3oo]D0
ook>0?onb03ooL<20?om`P0=0?oma@3oo/T0ookB0?onfP3oon<0ooob0?oon`3mool0mooo0?Goo`3g
ool0nOoo0?coo`190?ooo`0J0?ooo@3oooX0oooe0?ooi@3oo]<0oobY0?ojQ`3on6D0oo<i0?o`9P3o
k1T0onT@0?oW3@3oj0h0onXB0?o/6@3olRh0ooE60?ohI@3oniT0oofi0?ong@3oon`0oooe0?ooo03o
oohJ0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00L0oooo01X0ooon
0?oonP3oooD0oooV0?one03ooK`0oo^<0?ohJP3omT`0oo4[0?o^7P3oja@0onTA0?oZ4P3ok1L0onlP
0?ob;`3omU80ooUa0?okT`3ooL40ookI0?ook`3oooL0oook0?oooTL0oooo00/0o_oo0?goo`3lool0
oOoo0?ooo`3ooo`0oooc0?ook03oonH0ookN0?onfP030?one`040?onf03oo]T0ookI0?onf0<0ookG
00/0ookI0?ongP3oon@0oooZ0?oom03oooX0oooo0?goo`3lool0oOoo0?koo`170?ooo`0J0?oooP3o
oo`0oooi0?ook@3oo]l0oofn0?olW`3onWd0ooI>0?oc=P3ol2D0on`G0?oZ4P3ojQ40on/D0?o]6`3o
lBd0ooA20?ogGP3oni00ooba0?one`3oonP0oooc0?oon`3ooodJ0?ooo`030000003oool0oooo01H0
oooo0@3IfMT000030000003oool0oooo00L0oooo00`0ooon0?oon`3oooH0oooX0?one`3ooKl0oo^A
0?oiL03omU80oo8`0?o_8P3ok1L20?o[5@0<0?o]6`3ol2D0oo8d0?ogF03onGL0oo^H0?oma@3oo]/0
ooo`0?oom`3ooo/0ooonA`3oool20?koo`0E0?ooo`3oood0oooj0?oomP3ooo00ooo]0?ooj`3oon`0
ooo^0?oom@3oooX0oooo0?Woo`3gool0m_oo0?Woo`3lool0oook0?oomP3ooo40ooo/0080ooo[00D0
ooo_0?ool`3oooT0ooom0?ooo`030?koodH0oooo01/0ooon0?ooo@3oooX0oooa0?ooiP3oo/T0oob^
0?okSP3omed0ooA20?ob;`3okQd0on`G0?o[503ok1L0ondL0?oa;@3om440ooMK0?okR`3oo:`0ookC
0?ooi@3ooo40oooj0?ooo@3oooh06@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000
oooo0?ooo`070?ooo`0J0?oooP3ooo/0ooog0?ooj@3oo]T0oog30?okU`3onGH0ooMH0?oc=P3ol2L0
ondK0?o/603ok1T0onhP0?oa:P3olcX0ooMN0?ojO@3oo9d0oog80?ong@3ooo40oooh0?ooo03oooi9
0?ooo`0L0?oooP3ooo/0oooh0?oomP3oooD0ooog0?oonP3lool0mOoo0>Woo`3Rool0g?ko0=Kno`3D
o_l0doko0=Gno`3Ho_l0goko0>Koo`3]ool0nOoo0?ooo`3oooX0ooof0?oom@3oooL0oooi0?ooo4X0
oooo01X0ooon0?ooo03oooD0ooo/0?ond`3ooK/0oo^M0?ohK@3omU00oo<j0?o_903okA`0on`H0?o]
6@3okQh0oo4^0?od@03omeP0ooZ70?olY`3oo/l0ookR0?ook`3oooT0oool0?oooQT0oooo00<00000
0?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01`3oool06P3oooh0oook0?oom`3oon/0
ookM0?omb03oo9h0ooYo0?ohHP3om3l0oo8_0?o_8P3okQh0onhO0?o`9`3olS80ooA30?ohJ03onXH0
oobU0?onc@3oo^00ooob0?oon@3ooo`0ooonB03oool03P3oooh0ooom0?ooo03oood0ooon0?_oo`3f
ool0l?oo0>Soo`3Rool0gOko0=[no`3Io_l0f?ko0`3Go_l02P3Ho_l0fOko0=[no`3Mo_l0hooo0>So
o`3]ool0m_oo0?_oo`3oooh20?ooo0030?ooo@3oooh0oooo04L0oooo00`0ooon0?ooo@3oooP0ooob
0?onh03oo/`0oofb0?ojQ@3on6L0ooI=0?ob<@3ol2H20?o^7`0<0?o_8P3olRl0oo@o0?ofE@3onX00
oobP0?onb@3oo]d0ooo/0?oon03ooo`0ooon6@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI0000
0`000000oooo0?ooo`070?ooo`0I0?oooP3ooo`0oooh0?ook03oo]l0ook;0?olY03onXD0ooQX0?oe
A@3olS@0oo0W0?o_8`3okb@0oo4/0?oc=`3omDT0ooU^0?okS03oo:X0ook@0?onhP3ooo<0oooi0?oo
o0190?ooo`80ooon01<0oooo0?koo`3kool0m_oo0?;oo`3_ool0k?oo0>_oo`3]ool0kooo0?;oo`3f
ool0n?oo0?Woo`3hool0mooo0??oo`3`ool0kOoo0080jooo00H0kOoo0?7oo`3eool0n_oo0?goo`3o
ool30?oooTP0oooo01T0ooon0?oonP3oooD0oooV0?oneP3ooKl0oo^D0?oiMP3ome/0oo@l0?ob;P3o
kb@0onlS0?o`9@3olS40ooA00?ofE03onWd0oo^K0?oma@3oo]X0oooY0?oomP3ooo/0ooom01T0oooo
00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool01`3oool0303oooh0oool0?oo
n@3oonh0ookR0?ond03oo:/0oo^>0?oiLP3omTh0oo@m0?ob;`80oo4[00/0oo8d0?od@@3omU<0ooUh
0?okU03oo;40ookD0?ooi@3ooo@0oooj0?ooo@1;0?ooo`0=0?goo`3kool0nOoo0?Soo`3iool0o?oo
0?ooo@3oooP0ooo_0?ooj@3oon@0ookN0?ong0020?onfP080?ong03oo^40oooU0?oojP3ooo<0oooi
0?oooP3kool20?Woo`030?[oo`3kool0o_oo04X0oooo00`0ooon0?ooo03oooT0ooo^0?onh@3oo/l0
oobZ0?okS@3onG40ooI=0?od?@3olBh20?oa:`0;0?oc=@3om440ooIC0?oiN@3oniD0oofo0?one@3o
onD0oood0?oonP3oood06@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?oo
o`080?ooo`0H0?ooo03oooT0ooo_0?ooi03oo]<0oob`0?okU03onGP0ooIE0?oeA03olS@0oo8`0?ob
<@3olcX0ooE70?ogF@3onWh0oo^J0?om]@3oo]L0oooW0?oom@3oooX0ooomBP3oool03@3nool0oOoo
0?coo`3lool0oooo0?ooo@3oooT0oooa0?ook03oonH0ookR0?ong`3oo]`0103oo]/02@3oo]d0ookO
0?onhP3oonL0ooo/0?ool@3oooT0ooom0?koo`020?coo`030?goo`3nool0oooo04T0oooo01T0ooom
0?oonP3ooo80oooW0?onf03ooKL0oo^L0?ojP03ome/0ooE80?oc=P3olS40oo8`0?oc>03om4<0ooID
0?oiM`3oni80oofk0?ondP3oon<0oooc0?oon@3ooo`0ooon01P0oooo00<000000?ooo`3oool05P3o
ool10=WIf@0000<000000?ooo`3oool0203oool0603oood0oooj0?ool03oonH0ookF0?om]03oniX0
ooYo0?ogF`3omDX0oo<j0?oc=P3olcL0ooA00?ofC@3omf00ooZ40?olX03ooKX0ookI0?ooj03oooH0
oooj0?oooDT0oooo0`3nool20?ooo`050?oon`3oooL0oood0?ook`3oond00P3oon`00`3oond0ooo_
0?ool0020?ool@030?ool03oonl0ooo]0080ooo/00L0ooo]0?ookP3ooo<0ooof0?oon`3oooh0oooo
00<0o_ooB@3oool06@3oooh0oool0?oom@3oond0ookP0?om``3oo:X0oo^?0?ohJ03omU@0oo@o0?oc
>03olcH0oo<k0?oeA@3omU@0ooUe0?okS`3ooKL0ook>0?onh03ooo40oooh0?ooo03oooh0603oool0
0`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`080?ooo`0;0?ooo@3oooX0ooob
0?ooj03oo]X0oofk0?olXP3onXP0ooQV0?ofE03omD@00P3om4002`3omDX0ooMH0?ohJP3onhh0oobW
0?om`03oo]d0ooo[0?oom`3ooo/0ooom04/0oooo00<0ooon0?ooo@3ooo`00`3oooT04@3ooo`0oooo
0?[oo`3fool0lOoo0>coo`3Yool0iooo0>Koo`3Wool0jooo0>koo`3bool0n?oo0?goo`3oooh0oooj
0080oooi00<0oooj0?ooo03oooh0B`3oool06@3oooh0ooom0?oon03ooo80oooY0?ondP3ooK`0oobT
0?ojO@3on6L0ooI>0?oeA@3om400ooA20?oeBP3omeL0ooUd0?okS03ooK80ook90?ong03oonl0ooof
0?oon`3oooh0603oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`080?oo
o`0H0?ooo@3ooo/0oooc0?oojP3oo]`0oofo0?olY`3onhh0ooQ]0?ogF`3omD/0ooE60?oeA`3omU40
ooMO0?oiL@3oni@0oob]0?oma03oo]l0ooo/0?oom`3ooo/0ooomB`3oool03@3oooh0ooom0?ooo03o
ood0ooon0?koo`3iool0mOoo0>ooo`3[ool0j?oo0>Coo`3Rool00`3Qo_l02@3Sool0iOoo0>Ooo`3/
ool0l?oo0?Coo`3kool0o_oo0?oooP020?ooo0030?ooo@3oooh0oooo04X0oooo00/0ooon0?oonP3o
ooD0ooo^0?onfP3ooLL0ooba0?okR`3onG@0ooMI0?ofCP020?oeA`0;0?ofC@3omeT0ooUc0?ojRP3o
o;00oog60?onf@3oond0oooe0?oonP3oooh0603oool00`000000oooo0?ooo`0F0?ooo`40fMWI0000
0`000000oooo0?ooo`080?ooo`0;0?ooo@3ooo/0oood0?ook03oo^00oog50?ol[`3oniP0ooUg0?oh
IP3omUD00P3omU402`3ome`0ooQY0?oiN`3onid0oofd0?onb@3oon<0ooo^0?oon03ooo`0ooon04/0
oooo00h0ooon0?ooo`3oool0oOoo0?[oo`3hool0mOoo0??oo`3bool0looo0?Coo`3fool0mooo0?So
o`80nOoo00`0mooo0?Koo`3eool0looo0?;oo`3cool0mOoo0?Ooo`3jool0o?oo0?koo`3oool20?oo
oTX0oooo01T0ooon0?ooo03oooT0oooc0?ooi03oo]D0oog20?olX03onXT0ooQ[0?ogG@3omU@0ooI@
0?ofE03omed0ooUd0?ojR@3oo:`0oog20?oneP3oonX0oooc0?oon@3oood0ooon01L0oooo00<00000
0?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool0203oool02`3oood0oook0?oom@3oond0
ookR0?onb@3ooK@0oobM0?ojOP3on6d0ooML0080ooMH00/0ooQS0?oiL03onX80oobR0?om^@3oo/d0
oooU0?ook`3oooT0oool0?oooP1=0?ooo`0<0?goo`3kool0n_oo0?Woo`3jool0nooo0?koo`3oooh0
oook0?oomP3ooo@0ooob0P3ooo40303ooo<0oooe0?oon03oood0oooo0?goo`3jool0nOoo0?[oo`3k
ool0o?oo0?koodd0oooo01P0ooom0?oonP3oooH0oooZ0?ong@3oo/`0oob/0?okUP3onGP0ooQX0?og
GP3omeL0ooMJ0?ohH@3onGH0ooZ90?olZP3ooL00ookC0?ooj@3ooo80oooh0?ooo@3ooohG0?ooo`03
0000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00P0oooo01P0ooon0?ooo03oooH0
ooo_0?ooi03oo/`0oofi0?olX`3onXD0ooUd0?ohI03omel0ooMP0?ohJP3onGL0ooZ90?olZ03ooKd0
ook@0?ooiP3ooo00oooi0?ooo03oooi<0?ooo`0=0?koo`3mool0o?oo0?goo`3nool0ooon0?oon`3o
ooL0oooc0?ool03oon`0oooZ0?ooj@020?ooj0080?ooj@3oon/0ooo]0?ool@3ooo@0ooog0?ooo03o
ool40?goo`030?koo`3oool0oooo04X0oooo01P0ooon0?ooo03oooP0ooo^0?ooi03oo]D0oofh0?ol
X`3onX@0ooUd0?ohJ03omel0ooMP0?ohI@3onGL0ooZ90?olZ03ooKd0ookA0?ooi`3ooo40ooog0?oo
o03ooohG0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00P0oooo00/0
ooon0?ooo03oooL0ooo`0?ooi`3oo]40oofo0?olZ`3onhh0ooYn0?oiKP020?ohJP0;0?oiM@3onX80
oo^B0?ol/03ooL<0ookE0?ooj@3ooo80oooj0?ooo@3oooh0C`3oool0103oood0oook0?oon03oooH2
0?oom0040?ool`3ooo@0oooe0?oom@80ooof0P3oooD0203ooo@0oooc0?oom03ooo@0ooof0?oon03o
oo/0ooomC`3oool0603oooh0ooom0?oon`3ooo@0ooo/0?onh03ooLP0oofd0?okU`3onXD0ooUg0?oh
J`3on6X0ooQ]0?oiN`3onXX0oobW0?om^`3oo/d0oooT0?ookP3oooH0oool0?oooQL0oooo00<00000
0?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool0203oool0603oooh0oool0?oom`3ooo80
oooY0?one@3ooL@0ooba0?okU@3onXD0ooUf0?oiL@3onG80ooYl0?ojR03oniT0oofe0?oma`3oo]P0
ooo[0?ool`3oooX0ooom0?oooTh0oooo00<0ooom0?ooo03ooo/00P3oooX01P3ooo/0ooom0?oooP3m
ool0nooo0?[oo`80n?oo00H0nOoo0?[oo`3lool0oooo0?oooP3ooo`30?oonP030?oon`3oood0ooon
04h0oooo01L0ooon0?ooo03oooH0ooo`0?ooiP3oo]40oofo0?olX`3oni40ooZ20?oiM03onG40ooUc
0?ojOP3onh`0oobV0?om^@3oo/`0ookR0?ook@3oooD0oook0?ooo@0G0?ooo`030000003oool0oooo
01H0oooo0@3IfMT000030000003oool0oooo00P0oooo01P0ooon0?ooo@3oooP0oooc0?ooj`3oo]T0
ook:0?om^03oo9h0oo^@0?ojP@3onW`0ooYm0?ojQP3oni80oobR0?om_03oo/d0ookL0?ook@3ooo@0
oook0?ooo@3oooi=0?ooo`@0ooon00P0oooo0?goo`3iool0mooo0?Coo`3aool0l?oo0>ooo`<0k_oo
00P0kooo0?3oo`3bool0m?oo0?Ooo`3jool0oOoo0?ooo`@0ooonC@3oool05`3oooh0ooom0?oon@3o
ooD0ooo]0?ong03oo/d0oofc0?olXP3oni<0ooZ20?ojO@3onW`0ooZ40?okS`3oo:H0oofh0?onb@3o
o^00ooo[0?ool`3oooX0ooom01L0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?oo
o`3oool0203oool0603oooh0ooom0?oon@3ooo@0ooo]0?ong03oo/d0oofm0?olY03oniH0ooZ80?oj
P`3onX@0oo^=0?okV@3oo:P0oog10?ond@3oo]l0ooo^0?oom@3ooo/0ooom0?oooU00oooo00D0o_oo
0?_oo`3jool0mooo0?Koo`0;0?Goo`050?Koo`3hool0nOoo0?coo`3mool0D@3oool05`3oooh0oook
0?oom`3ooo40oooS0?oneP3ooKh0oob]0?olWP3onh`0ooZ50?ojP`3onXT0oo^B0?olY`3ooKL0oog8
0?ongP3oonT0ooob0?oonP3ooo`0ooon01H0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<0
00000?ooo`3oool0203oool05`3oooh0ooom0?oon@3oooD0ooo^0?ongP3oo]40oog10?olZP3onid0
oo^>0?ojRP3onX/0oo^D0?olW`3oo:d0oog50?one03oo^40ooo`0?oomP3ooo`0ooom0500oooo00<0
o_oo0?goo`3kool00P3jool00`3kool0o?oo0?koo`020?ooo`<0ooom00D0ooon0?ooo`3nool0oOoo
0?_oo`020?[oo`040?_oo`3lool0oOoo0?koodl0oooo01L0ooon0?ooo03oooT0oood0?ooj03oo]d0
oog70?om]`3oo:P0oo^F0?okSP3onXX0oo^>0?okU@3oo:P0oofg0?oma`3oo]d0oooX0?ool@3oooT0
oool0?oooP0F0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00P0oooo
00/0ooon0?ooo@3oooX0ooof0?ool03oo^80ookF0?omb03ooK80oobV0?okV@020?okU@0:0?olWP3o
o:P0oofe0?onb`3oo]T0oooT0?ool@3oooL0oool0?oooTl0oooo0`3nool20?ooo`070?ooo@3ooo/0
oooi0?oomP3oooD0oood0?ool`020?oolP080?ool`3ooo@0oooe0?oom`3oooT0oool0?oooP3oool4
0?koodl0oooo00X0ooom0?oon`3oooP0ooo_0?ooiP3oo]@0oog50?om]`3oo:@0oo^K0P3oniH02P3o
ni/0oobZ0?om^03ooLH0ookK0?ooiP3oonl0oooh0?oon`3ooohF0?ooo`030000003oool0oooo01H0
oooo0@3IfMT000030000003oool0oooo00T0oooo01H0ooon0?oon`3oooL0oooa0?ooi03oo]T0ook<
0?om^03oo:`0oobO0?okV`3oni`0oobT0?ol[P3ooKX0ook?0?ong03oonL0oooc0?oon03ooo`0ooon
DP3oool01P3oooh0oool0?oonP3oooT0oooh0?oom`P0ooof0P3oooL0103oooT0oooj0?ooo03oooiB
0?ooo`0F0?oooP3ooo`0oooi0?oolP3oon/0ookK0?oncP3ooL00oob]0?olY03oo9d0oo^K0?olW`3o
o:`0oofh0?omaP3oo]X0oooU0?ookP3oooL0oook0?oooQH0oooo00<000000?ooo`3oool05P3oool1
0=WIf@0000<000000?ooo`3oool02@3oool02P3oooh0oook0?oon03ooo80oooV0?ong03oo]00oofm
0?ol/@3oo:D20?olXP0:0?olZP3ooK@0oofo0?ondP3oo]h0oooX0?oom03oooP0ooom0?oooU40oooo
00<0ooon0?ooo@3ooo`00`3ooo/0103ooo`0ooom0?ooo@3oooh30?ooo`030?oooP3oood0oool00<0
oook0P3ooo`00`3oood0oooo0?ooo`1?0?ooo`0G0?oooP3oood0oook0?oom@3oonl0ookQ0?one@3o
o/T0ooff0?ol[03oo:D0oobQ0?olY03oo:l0oofj0?omaP3oo]T0oooT0?ook@3oooH0oooj0?ooo@3o
ooh05@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`090?ooo`0:0?oo
oP3ooo/0oooh0?oom03oonT0ookP0?one@3ooL@0oofi0?ol[P80oob[00X0oofc0?om^`3ooLH0ookG
0?onhP3oon/0oooe0?oon@3oood0ooonD03oool30?oooP80oooo00H0o_oo0?coo`3jool0nOoo0?So
o`3gool30?Koo`070?Ooo`3hool0nOoo0?_oo`3mool0o_oo0?ooo`040?oooU00oooo00X0ooon0?oo
o03oooP0oood0?ooj@3oo]l0ookD0?om``3ooKT0ooba0P3oo:/02P3ooK<0oofl0?oma`3oo]P0oooS
0?ook03oooD0oooi0?ooo@3ooohE0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003o
ool0oooo00T0oooo00X0ooon0?ooo03oooT0oooe0?ooj`3oon80ookH0?omb03ooKh0oofd0P3oo;40
2P3ooKP0oog00?onbP3oo]X0oooT0?ook@3oooH0oooj0?ooo@3oooiC0?ooo`050?koo`3mool0nooo
0?[oo`3iool00`3hool40?Ooo`80n?oo00D0nOoo0?[oo`3kool0oOoo0?koo`1C0?ooo`0:0?oooP3o
ood0oooj0?oomP3oond0oooU0?onf`3oo//0oog10?om^080ooba00X0ooff0?om_P3ooLP0ookH0?on
hP3oon/0oooe0?oon@3oood0ooon5@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000
oooo0?ooo`090?ooo`0:0?oooP3ooo`0oooj0?oomP3oonh0oooV0?ong@3oo/h0oog50?om_080oofi
00X0oog00?oma`3oo]00ookO0?ooj03oonl0ooog0?oonP3oood0ooonDP3oool00`3nool0oOoo0?go
o`020?goo`040?koo`3oool0oooo0?ooo`@0ooon0P3oool00`3nool0oOoo0?goo`030?goo`030?ko
o`3oool0oooo0500oooo01D0ooon0?ooo03oooT0ooob0?ook03oon<0ookE0?onc03ooL<0oofk0?om
^@3ooK`0oog20?onbP3oo]P0ookQ0?oojP3ooo@0oooh0?ooo03oooh05@3oool00`000000oooo0?oo
o`0F0?ooo`40fMWI00000`000000oooo0?ooo`090?ooo`0:0?oooP3oood0oooj0?oom`3oonl0oooX
0?ong`3oo]80ook:0?om`@80oofn00T0oog40?onb`3oo]@0ookQ0?oojP3ooo00oooh0?oon`3oooh0
DP3oool30?koo`<0oooo00@0ooom0?ooo03ooo/0oooj0`3oooT20?oonP030?oon`3ooo`0ooon00<0
oooo0P3noomB0?ooo`0D0?oooP3oood0oooj0?oom@3oonl0oooX0?onf`3oo]80ook:0?om`@3ooKh0
oog00?oma03oo//0ookH0?onh@3oonT0oooc0?oon03ooo`20?oooQ@0oooo00<000000?ooo`3oool0
5P3oool10=WIf@0000<000000?ooo`3oool02@3oool02P3oooh0ooom0?oon`3oooP0ooo`0?oojP3o
o^80ookF0?oncP3ooLH20?om``090?onb@3oo/l0ookG0?ooi03oon/0ooob0?oon03ooo/0ooon05D0
oooo00@0ooon0?ooo@3ooo`0oook0P3oooX60?oon@80oooj00@0oook0?ooo03oooh0ooonE@3oool0
2@3oood0oool0?oom`3ooo80ooo/0?onh@3oo]P0ook@0?oma`020?oma00:0?oma`3oo/d0ookI0?on
h@3oonT0ooob0?oom`3ooo`0ooom0?oooQ@0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<0
00000?ooo`3oool02P3oool02@3oood0oook0?oon@3ooo80ooo/0?ooiP3oo]/0ookD0?onc0020?on
bP090?onc`3oo]D0ookL0?ooi`3oonh0oooc0?oon@3ooo`0ooon05@0oooo0P3oooh30?ooo@80ooon
1P3oool30?oooP<0ooom0P3oooiC0?ooo`0E0?oooP3oood0oooj0?oomP3ooo40oooX0?onh@3oo]T0
ook@0?onc03oo/X0ook<0?ond03oo]X0ookQ0?ooj03ooo80ooof0?oon`3oood0ooon01@0oooo00<0
00000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool02P3oool02@3oood0oool0?oon@3o
oo<0ooo^0?ooj03oo]h0ookG0?ond0020?oncP090?ond`3oo]T0ookO0?ooj@3oonl0oood0?oonP3o
oo`0ooon05@0oooo00<0ooon0?ooo`3oool00P3oool0103nool0oOoo0?coo`3lool20?_oo`80o?oo
0P3mool01@3nool0oooo0?ooo`3oool0ooon05@0oooo0P3oooh04`3ooo/0oooh0?oom03oon`0oooU
0?ongP3oo]D0ookA0?oncP3oo/l0ookB0?onf`3oo^80oooX0?ool@3oooH0oook0?ooo@3oooh0503o
ool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0:0?ooo`090?oooP3ooo`0
oooj0?oom@3ooo00ooo[0?onhP3oo]`0ookF0080ookD00T0ookH0?ong@3oon<0ooo/0?ool@3oooH0
oook0?ooo@3oooh0EP3oool00`3nool0oOoo0?goo`0;0?coo`030?goo`3nool0o_oo05H0oooo00T0
ooon0?ooo03oooX0ooog0?ool@3oon/0oooU0?ong@3oo]P00P3oo]@02@3oo]H0ookM0?oohP3oonP0
oooa0?oom@3oooX0oool0?oooP0D0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003o
ool0oooo00X0oooo00T0ooon0?ooo@3ooo/0ooof0?oolP3oond0oooT0?ong`3oo]T00P3oo]P02@3o
o]`0ookP0?ooi@3oonh0oooc0?oom`3ooo/0ooom0?oooP1E0?ooo`L0o_oo1@3oool70?kooeH0oooo
01<0ooom0?oon`3oooT0oood0?ook`3oonT0ookQ0?ong03oo]P0ookG0?onf@3oo]h0oooS0?ooj@3o
oo40oooe0?oonP3ooo`0ooon01@0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?oo
o`3oool02P3oool02@3oooh0ooom0?oon`3oooL0oooc0?ookP3oonL0ookR0?ong@020?onf`080?on
g`3oon<0oooX0?ook`3ooo@0ooog0?oon`3oooeL0?ooo`030?oooP3oood0ooom00<0ooom0P3oooiK
0?ooo`090?oooP3ooo`0oooj0?oomP3ooo80ooo]0?ooi@3oo^40ookL0080ookK00P0ookP0?ooi03o
onT0oooa0?oom@3oooX0oool0?oooA@0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<00000
0?ooo`3oool02P3oool02@3oooh0ooom0?ooo03oooP0oooe0?ool03oonX0oooV0?onh@020?onh008
0?ooh`3oonH0ooo[0?ool@3oooD0oooi0?ooo03oooeH0?ooo`80ooon103oood40?ooo0@0ooom0P3o
ooiG0?ooo`090?oooP3oood0oool0?oon@3oooD0oooa0?ooj`3oonH0ookQ0080ookP00P0ookR0?oo
iP3oonX0ooo`0?oom@3oooT0oool0?oooA@0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<0
00000?ooo`3oool02P3oool02@3oooh0ooom0?ooo03oooT0ooof0?oolP3oon`0oooX0?ooi0020?oo
hP080?ooi@3oonT0ooo]0?ool`3oooH0oooi0?ooo03oooiG0?ooo`P0ooon0P3oool80?oooUL0oooo
01<0ooon0?ooo@3oooX0ooog0?oom03oonh0oooZ0?ooi@3oon<0ookR0?ooi03oonL0ooo[0?ool@3o
oo@0oooi0?oon`3oood0ooon01<0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?oo
o`3oool02P3oool20?oooP070?ooo03oooX0ooog0?oom03oonh0ooo[0?ooi`020?ooiP080?ooj@3o
on`0ooo_0?oom03oooL0oooj0?ooo@3oooiL0?ooo`80o_oo103mool00`3nool000000?koo`1K0?oo
o`80ooon0140oool0?oonP3oooL0ooob0?ookP3oonX0oooW0?ooiP3oonL0oooY0?ook03ooo40oood
0?oon@3ooo/0ooom0?oooP0C0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0
oooo00/0oooo00H0ooon0?ooo@3oooX0oooh0?oom@3ooo03000000090?ooj@00000000000000003o
ooD0oooh0?oon`3oood0ooon05T0oooo103nool50?goo`030000003mool0o_oo0080o_ooFP3oool0
4P3oooh0oool0?oon`3oooP0oood0?ool@3oon`0oooZ0?ooj@000000oooZ0?ook@000000oood0?oo
n@3ooo/0ooom0?oooQ<0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool0
2`3oool04P3oooh0ooom0?oon`3oooP0ooof0?ool@000000ooo[0000003oon/000000?ook`000000
ooof0?oon@3ooo/0ooom0?oooUT0oooo1P3nool20?ooo`<00000103noomI0?ooo`0B0?oooP3oood0
oool0?oonP3oooH0oooc0?ook`3oond0ooo[0000003oon`0ooo^0000003oooD0oooi0?oon`3ooo`0
ooon4`3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0;0?ooo`030?oo
oP00000000000080000000@0oooc0000003oonh0ooo]0P0000001@3ooo40oood0000003oooX0oool
0080ooonG03oool4000000040?oooP000000ooon000005h0oooo00<0ooon0?ooo@0000000`000000
0`3ooo00000000000004000000040?oon@3ooo/0oool0?oooQ<0oooo00<000000?ooo`3oool05P3o
ool10=WIf@0000<000000?ooo`3oool02`3oool01P000000ooon0?ooo0000000oooh0?oom0800000
00P0ooo_00000000000000000?oom@000000oooj0?ooo080ooonF`3oool010000000ooon0?oooP00
00020?oooP030000003oooh0ooon0080ooonG03oool0203oooh000000?ooo03oooX000000?oom03o
oo80ooo`0P3oonl01`3ooo00oooc0?oom@3oooT0oook0?ooo03oooh04`3oool00`000000oooo0?oo
o`0F0?ooo`40fMWI00000`000000oooo0?ooo`0;0?ooo`030000003oooh0oool0080000000H0ooof
0?oom000000000000?ool@3ooo82000000040?oon@3ooo/0oool0?oooU`0oooo00<000000?ooo`3o
ool00P0000000`3oool000000?ooo`1P0?ooo`030000003oood0oook0080000000<0oood0?oolP3o
oo400P3ooo401@3ooo@0ooof0?oon@3ooo/0oool0080ooon4P3oool00`000000oooo0?ooo`0F0?oo
o`40fMWI00000`000000oooo0?ooo`0<0?ooo`060000003oood000000?oonP000000oooe0`3ooo<0
1`3ooo@0ooof0?oom`3oooX0oool0?ooo@3oooh0G@3oool01@000000oooo0000003oool000000680
oooo00L0ooon0000003ooo`000000?oon0000000oooe00<0oooc00D0oooe0?oomP3oooT0oooj0?oo
o0020?oooQ80oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool0303oool0
1`3oooh000000000003oooX000000?oomP3oooD00P3ooo@01`3oooD0ooog0?oon03ooo/0oool0?oo
o@3oooh0GP3oool2000000030?koo`000000o_oo0080o_ooH03oool01`3oooh000000000003oooT0
00000?oomP3oooD00P3ooo@01@3oooD0ooog0?oon@3ooo/0oool0080ooon4P3oool00`000000oooo
0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0<0?ooo`060?oooP3oood0oool0?oon`3oooT0
oooh0`3oooH01`3oooL0oooh0?oon@3ooo/0oool0?ooo@3oooh0aP3oool01P3oooh0ooom0?oon`3o
ooX0oooh0?oom`<0ooof00H0ooog0?oon@3ooo/0oool0?ooo@3ooohB0?ooo`030000003oool0oooo
01H0oooo0@3IfMT000030000003oool0oooo00`0oooo00H0ooon0?ooo@3oood0oook0?oonP3oooP3
0?oom`060?oon03oooT0oooj0?ooo03oood0ooona`3oool01P3oooh0ooom0?ooo03ooo/0oooi0?oo
n0<0ooog00H0oooh0?oon@3ooo/0oool0?ooo@3ooohB0?ooo`030000003oool0oooo01H0oooo0@3I
fMT000030000003oool0oooo00d0oooo00D0ooon0?ooo@3ooo`0oooj0?oon@040?oon0050?oon@3o
ooX0oool0?ooo@3oooh0a`3oool20?oooP040?ooo03ooo/0oooj0?oon@@0oooh00D0oooj0?oon`3o
oo`0ooom0?oooP0B0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00d0
oooo00D0ooon0?ooo@3ooo`0oook0?oonP040?oon@050?oonP3ooo/0ooom0?ooo@3oooh0b03oool0
1@3oooh0ooom0?ooo03ooo`0oooj00@0oooi00D0oooj0?oon`3ooo`0ooom0?oooP0B0?ooo`030000
003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo00d0oooo00<0ooon0?ooo@3oood00P3o
oo/01`3oooX0oooi0?oon@3oooX0oook0?ooo03oood00P3oook90?ooo`040?oooP3oood0oool0?oo
n`80oooj00L0oooi0?oonP3ooo/0oook0?ooo03oood0ooon0180oooo00<000000?ooo`3oool05P3o
ool10=WIf@0000<000000?ooo`3oool03@3oool20?oooP040?ooo@3ooo`0oook0?oon`80oooj00@0
oook0?ooo03ooo`0ooom0P3oook90?ooo`80ooon00@0ooom0?ooo03ooo/0oook0P3oooX0103ooo/0
oool0?ooo03oood20?oooQ40oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3o
ool03@3oool20?oooP030?ooo@3ooo`0oool00@0oook00@0oool0?ooo@3oooh0ooonb`3oool20?oo
oP030?ooo@3ooo`0oook00<0oook0P3ooo`00`3oood0ooon0?oooP0A0?ooo`030000003oool0oooo
01H0oooo0@3IfMT000030000003oool0oooo00h0oooo0P3oooh00`3oood0oool0?ooo0020?oon`80
oool00<0ooom0?oooP3oooh0b`3oool20?oooP030?ooo@3ooo`0oool0080oook0P3ooo`20?ooo@80
ooon4@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0>0?ooo`80ooon
0P3oood40?ooo080ooom0P3oook<0?ooo`80ooon0P3oood40?ooo0040?ooo@3oooh0ooon0?oooQ40
oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool03P3oool20?oooP<0ooom
0P3ooo`20?ooo@80oooncP3oool20?oooP80ooom0P3ooo`20?ooo@<0ooon4@3oool00`000000oooo
0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0?0?ooo`80ooon1@3oood30?ooo/h0oooo0`3o
ooh50?ooo@<0ooon4@3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0?
0?ooo`<0ooon103oood20?ooo]00oooo0`3oooh40?ooo@<0ooon4@3oool00`000000oooo0?ooo`0F
0?ooo`40fMWI00000`000000oooo0?ooo`0@0?ooo`<0ooon0P3oood30?ooo]40oooo0`3oooh20?oo
o@<0ooon4P3oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`0@0?ooo`P0
ooondP3oool70?oooQ80oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool0
403oool70?ooo]<0oooo1`3ooohB0?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003o
ool0oooo0140oooo1@3oookF0?ooo`@0ooon4`3oool00`000000oooo0?ooo`0F0?ooo`40fMWI0000
0`000000oooo0?ooo`0B0?ooo`<0ooone`3oool40?oooQ<0oooo00<000000?ooo`3oool05P3oool1
0=WIf@0000<000000?ooo`3oool0o`3oool40?ooo`030000003oool0oooo01H0oooo0@3IfMT00003
0000003oool0oooo0?l0oooo103oool00`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo
0?ooo`3o0?ooo`@0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<000000?ooo`3oool0o`3o
ool40?ooo`030000003oool0oooo01H0oooo0@3IfMT000030000003oool0oooo0?l0oooo103oool0
0`000000oooo0?ooo`0F0?ooo`40fMWI00000`000000oooo0?ooo`3o0?ooo`@0oooo00<000000?oo
o`3oool05P3oool10=WIf@0000<000000?ooo`3oool0o`3oool40?ooo`030000003oool0oooo01H0
oooo0@3IfMT000030000003oool0oooo0?l0oooo103oool00`000000oooo0?ooo`0F0?ooo`40fMWI
00000`000000oooo0?ooo`3o0?ooo`@0oooo00<000000?ooo`3oool05P3oool10=WIf@0000<00000
0?ooo`3oool0o`3oool40?ooo`030000003oool0oooo01H0oooo0@3IfMT00?l000002000000H0?oo
o`40fMWI003o0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI003o
0?ooob00oooo0@3IfMT00?l0oooo803oool10=WIf@00\
\>"],
  ImageRangeCache->{{{153, 440}, {367, 80}} -> {-118.932, 0.876671, 0.27776, \
0.00174593}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  DensityGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[40]="]
}, Open  ]],

Cell["\<\
Movement and/or transformation can be assigned to detection screen \
or to the state
very primitive implementation\
\>", "SectionFirst"],

Cell[CellGroupData[{

Cell[BoxData[
    \(fncover = \(-\((x - c)\)\)/t\)], "Input",
  CellLabel->"In[38]:="],

Cell[BoxData[
    \(\(c - x\)\/t\)], "Output",
  CellLabel->"Out[38]="]
}, Open  ]],

Cell[BoxData[{
    \(\(d0 = {Thickness[0.008], 
          Line[{{c, 0}, {x, fncover}}]};\)\), "\[IndentingNewLine]", 
    \(d1 = Line[{{c - l, 0}, {x, fncover /. c \[Rule] c - l}}]; 
    dcos = {Thickness[0.008], Dashing[{0.15, 0.05}], 
        Line[{{c, 0}, {x, fncover}}]};\), "\[IndentingNewLine]", 
    \(\(d2 = 
        Line[{{c + l, 0}, {x, fncover /. c \[Rule] c + l}}];\)\)}], "Input",
  CellLabel->"In[39]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(way4 = 
      Block[{xg = \(-8\), pg = 1, l = 5, h = 2\ sx\ sp\ r, r = 1, P = 0, 
          sp = 1/6, sx = 1, t = 30, c = 30}, max = gswf[0, 0, 1, 1]; 
        DensityPlot[
          Evaluate[
            If[fncover - l/t < p, Abs[gswf[x + 8, p - 1, 1, 1/6]] + 0.1, 
              Abs[gswf[x + 8, p - 1, 1, 1/6]]]], {x, \(-20\), 40}, {p, 0, 
            2  pg}, PlotPoints \[Rule] 600, PlotRange -> All, 
          AspectRatio \[Rule] 1, ColorFunctionScaling \[Rule] False, 
          Background \[Rule] White, \[IndentingNewLine]Mesh -> False, 
          FrameTicks -> {{}, {}, {}, {}}, Frame \[Rule] True, 
          TextStyle \[Rule] m10, 
          ColorFunction -> \((GrayLevel[
                  1 - #] &)\), \[IndentingNewLine]Epilog -> {d1 /. {x \[Rule] \
\(-20\)}, dcos /. {x \[Rule] \(-20\)}, 
              d2 /. {x \[Rule] \(-20\)}}]]\)], "Input",
  CellLabel->"In[47]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.339744 0.0160256 0.0192308 0.480769 [
[ 0 0 -0.125 0 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
0 0 m
0 1 L
s
0 1 m
1 1 L
s
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.01923 .01923 translate
.96154 .96154 scale
600 string
600 600 8 [600 0 0 600 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFEFEFEFEFEFEFEFDFDFDFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFEFDFDFDFDFDFDFDFCFCFCFCFCFDFDFDFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFDFDFDFDFDFDFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFE
FDFDFDFDFCFCFCFCFCFCFBFBFBFBFBFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFE
FDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFDFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFD
FDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFD
FDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFBFBFCFCFCFDFDFDFDFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFD
FDFDFCFCFCFBFBFBFBFAFAFAFAFAFAFBFBFBFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFD
FDFCFCFCFBFBFBFBFAFAFAFAFAFAFAFAFAFBFBFBFCFCFCFDFDFDFDFEFEFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFD
FDFCFCFCFBFBFBFAFAFAFAFAFAFAFAFAFAFAFBFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFD
FCFCFCFBFBFBFAFAFAFAF9F9F9F9FAFAFAFAFAFBFBFBFCFCFDFDFDFEFEFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFD
FCFCFBFBFBFAFAFAF9F9F9F9F9F9F9F9FAFAFAFBFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFC
FCFCFBFBFAFAFAF9F9F9F9F9F9F9F9F9F9FAFAFAFBFBFBFCFCFDFDFDFEFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFC
FCFBFBFBFAFAF9F9F9F9F8F8F8F8F8F9F9F9FAFAFAFBFBFCFCFCFDFDFEFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFC
FCFBFBFAFAF9F9F9F8F8F8F8F8F8F8F8F9F9F9FAFAFBFBFBFCFCFDFDFDFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFC
FCFBFBFAFAF9F9F8F8F8F8F8F7F8F8F8F8F8F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFC
FBFBFAFAF9F9F8F8F8F7F7F7F7F7F7F7F8F8F9F9F9FAFAFBFBFCFCFDFDFEFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFC
FBFBFAF9F9F8F8F8F7F7F7F7F7F7F7F7F7F8F8F9F9FAFAFBFBFCFCFDFDFDFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFB
FBFAFAF9F9F8F8F7F7F6F6F6F6F6F6F7F7F7F8F8F9F9FAFBFBFCFCFDFDFDFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFB
FBFAF9F9F8F8F7F7F6F6F6F6F6F6F6F6F6F7F7F8F8F9FAFAFBFBFCFCFDFDFEFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFB
FAFAF9F8F8F7F7F6F6F6F5F5F5F5F5F6F6F6F7F8F8F9F9FAFBFBFCFCFDFDFEFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFB
FAF9F9F8F7F7F6F6F5F5F5F5F5F5F5F5F6F6F7F7F8F8F9FAFAFBFCFCFDFDFDFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFA
FAF9F8F8F7F6F6F5F5F4F4F4F4F4F4F5F5F5F6F7F7F8F9F9FAFBFBFCFCFDFDFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFBFA
FAF9F8F7F7F6F5F5F4F4F4F4F3F4F4F4F4F5F6F6F7F8F8F9FAFAFBFCFCFDFDFEFEFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFA
F9F8F8F7F6F5F5F4F4F3F3F3F3F3F3F3F4F4F5F6F6F7F8F9FAFAFBFCFCFDFDFEFEFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFA
F9F8F7F7F6F5F4F4F3F3F2F2F2F2F3F3F3F4F5F5F6F7F8F8F9FAFBFBFCFCFDFDFEFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFAF9
F9F8F7F6F5F4F4F3F3F2F2F2F2F2F2F2F3F3F4F5F6F6F7F8F9FAFAFBFCFCFDFDFEFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFBFAF9
F8F7F6F6F5F4F3F2F2F1F1F1F1F1F1F2F2F3F3F4F5F6F7F8F9F9FAFBFCFCFDFDFEFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFAF9
F8F7F6F5F4F3F3F2F1F1F0F0F0F0F1F1F1F2F3F4F5F5F6F7F8F9FAFBFBFCFDFDFEFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8
F8F7F6F5F4F3F2F1F1F0F0F0EFF0F0F0F1F1F2F3F4F5F6F7F8F9FAFAFBFCFCFDFDFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F8
F7F6F5F4F3F2F1F1F0EFEFEFEFEFEFF0F0F1F2F3F4F5F6F7F8F8F9FAFBFCFCFDFDFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFAFAF9F8
F7F6F5F4F3F2F1F0EFEFEEEEEEEEEEEFEFF0F1F2F3F4F5F6F7F8F9FAFBFCFCFDFDFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7
F6F5F4F3F2F1F0EFEEEEEDEDEDEDEEEEEFEFF0F1F2F3F5F6F7F8F9FAFBFBFCFDFDFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7
F6F5F4F2F1F0EFEEEEEDEDECECECEDEDEEEFF0F1F2F3F4F5F6F7F8F9FAFBFCFCFDFDFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F8F7
F5F4F3F2F1F0EEEEEDECECEBEBEBECECEDEEEFF0F1F2F4F5F6F7F8F9FAFBFCFCFDFDFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F6
F5F4F2F1F0EFEEEDECEBEBEAEAEBEBEBECEDEEEFF0F2F3F4F6F7F8F9FAFBFBFCFDFDFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F6
F5F3F2F1EFEEEDECEBEAEAEAE9EAEAEBEBECEDEFF0F1F2F4F5F6F7F9FAFBFBFCFDFDFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F5
F4F3F1F0EFEDECEBEAE9E9E9E8E9E9EAEAEBEDEEEFF0F2F3F5F6F7F8F9FAFBFCFDFDFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F7F6F5
F4F2F1EFEEECEBEAE9E8E8E8E7E8E8E9E9EBECEDEEF0F1F3F4F5F7F8F9FAFBFCFCFDFDFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F6F4
F3F2F0EEEDECEAE9E8E7E7E6E6E7E7E8E9EAEBECEEEFF1F2F4F5F6F8F9FAFBFCFCFDFDFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F5F4
F2F1EFEEECEBE9E8E7E6E6E5E5E5E6E7E8E9EAEBEDEEF0F2F3F5F6F7F8FAFBFBFCFDFDFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFCFBFAF9F8F6F5F3
F2F0EFEDEBEAE8E7E6E5E5E4E4E4E5E6E6E8E9EAECEEEFF1F3F4F6F7F8F9FAFBFCFDFDFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F7F6F5F3
F1F0EEECEBE9E7E6E5E4E3E3E3E3E4E4E5E7E8EAEBEDEFF0F2F4F5F7F8F9FAFBFCFDFDFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F6F4F2
F1EFEDEBEAE8E6E5E4E3E2E2E2E2E3E3E4E6E7E9EAECEEF0F1F3F5F6F8F9FAFBFCFCFDFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F5F4F2
F0EEECEBE9E7E5E4E3E2E1E1E1E1E1E2E3E4E6E8E9EBEDEFF1F3F4F6F7F8FAFBFCFCFDFD
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1
EFEEECEAE8E6E4E3E2E1E0DFDFE0E0E1E2E3E5E7E9EAECEEF0F2F4F5F7F8F9FAFBFCFDFD
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F7F6F4F3F1
EFEDEBE9E7E5E3E2E0DFDFDEDEDEDFE0E1E2E4E6E8EAECEEF0F2F3F5F7F8F9FAFBFCFDFD
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFCFBFAF8F7F6F4F2F0
EEECEAE8E6E4E2E0DFDEDDDDDDDDDDDEE0E1E3E5E7E9EBEDEFF1F3F5F6F8F9FAFBFCFDFD
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F7F5F3F2F0
EDEBE9E7E5E3E1DFDEDDDCDBDBDBDCDDDEE0E2E4E6E8EAECEEF0F2F4F6F7F9FAFBFCFCFD
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1EF
EDEAE8E6E4E2E0DEDCDBDADADADADBDCDDDFE0E2E5E7E9EBEEF0F2F4F5F7F8FAFBFCFCFD
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F4F2F0EE
ECEAE7E5E3E0DEDDDBDAD9D8D8D9D9DADCDDDFE1E4E6E8EBEDEFF1F3F5F7F8F9FAFBFCFD
FDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F7F6F4F2F0EE
EBE9E6E4E1DFDDDBDAD8D7D7D7D7D8D9DADCDEE0E2E5E7EAECEFF1F3F5F6F8F9FAFBFCFD
FDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF8F7F5F3F1EFED
EAE8E5E3E0DEDCDAD8D7D6D5D5D6D6D7D9DBDDDFE1E4E6E9EBEEF0F2F4F6F7F9FAFBFCFD
FDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F7F5F3F1EFEC
EAE7E4E2DFDDDAD8D7D5D4D4D4D4D5D6D7D9DBDEE0E3E5E8EBEDF0F2F4F6F7F9FAFBFCFD
FDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F4F2F0EEEB
E9E6E3E1DEDBD9D7D5D4D3D2D2D2D3D4D6D8DADCDFE2E4E7EAECEFF1F3F5F7F8FAFBFCFC
FDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F6F4F2F0EDEB
E8E5E2DFDDDAD8D5D4D2D1D0D0D1D1D3D4D6D9DBDEE1E3E6E9ECEEF1F3F5F7F8F9FBFCFC
FDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F6F4F1EFEDEA
E7E4E1DEDBD9D6D4D2D0CFCFCFCFD0D1D3D5D7DADDDFE2E5E8EBEEF0F2F4F6F8F9FAFBFC
FDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF8F7F5F3F1EFECE9
E6E3E0DDDAD7D5D2D0CFCECDCDCDCECFD1D3D6D8DBDEE1E4E7EAEDF0F2F4F6F8F9FAFBFC
FDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F7F5F3F0EEEBE8
E5E2DFDCD9D6D3D1CFCDCCCBCBCBCCCECFD2D4D7DADDE0E3E7EAECEFF1F4F6F7F9FAFBFC
FDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F2F0EDEBE8
E4E1DEDBD7D4D1CFCDCBCAC9C9C9CACCCED0D3D6D9DCDFE2E6E9ECEEF1F3F5F7F8FAFBFC
FDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F2EFEDEAE7
E3E0DDD9D6D3D0CDCBC9C8C7C7C8C8CACCCED1D4D7DBDEE1E5E8EBEEF0F3F5F7F8FAFBFC
FDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F6F4F1EFECE9E6
E2DFDBD8D5D1CECCC9C7C6C5C5C6C7C8CACDCFD3D6D9DDE0E4E7EAEDF0F2F4F6F8F9FBFC
FCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F1EEEBE8E5
E1DEDAD7D3D0CDCAC7C5C4C3C3C4C5C6C8CBCED1D4D8DCDFE3E6EAEDEFF2F4F6F8F9FAFB
FCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F3F0EEEBE8E4
E0DDD9D5D2CECBC8C5C4C2C1C1C2C3C4C6C9CCCFD3D7DADEE2E5E9ECEFF1F4F6F7F9FAFB
FCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF8F6F5F2F0EDEAE7E3
DFDCD8D4D0CCC9C6C4C2C0BFBFBFC1C2C4C7CACED1D5D9DDE1E5E8EBEEF1F3F5F7F9FAFB
FCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F6F4F2EFECE9E6E2
DEDAD6D2CECBC7C4C2BFBEBDBDBDBEC0C3C5C9CCD0D4D8DCE0E4E7EBEEF0F3F5F7F9FAFB
FCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F1EFECE9E5E1
DDD9D5D1CDC9C5C2C0BDBCBBBBBBBCBEC1C3C7CACED3D7DBDFE3E6EAEDF0F2F5F7F8FAFB
FCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F6F3F1EEEBE8E4E0
DCD8D4CFCBC7C4C0BDBBBAB9B9B9BABCBFC2C5C9CDD1D5DADEE2E6E9ECEFF2F4F6F8FAFB
FCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F1EEEBE7E3DF
DBD7D2CECAC5C2BEBBB9B7B6B6B7B8BABCC0C3C7CBD0D4D8DDE1E5E9ECEFF2F4F6F8F9FB
FCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F0EDEAE6E2DE
DAD5D1CCC8C4C0BCB9B7B5B4B4B5B6B8BABEC1C5CACED3D7DCE0E4E8EBEEF1F4F6F8F9FA
FBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F2F0EDE9E6E2DD
D9D4CFCBC6C2BEBAB7B5B3B2B2B2B3B6B8BBBFC3C8CDD1D6DBDFE3E7EBEEF1F3F5F7F9FA
FBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFECE9E5E1DC
D8D3CEC9C4C0BCB8B5B2B1AFAFB0B1B3B6B9BDC2C6CBD0D5D9DEE2E6EAEDF0F3F5F7F9FA
FBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EFEBE8E4E0DB
D6D1CCC7C3BEBAB6B3B0AEADADADAFB1B4B7BBC0C4C9CED3D8DDE1E6E9EDF0F2F5F7F9FA
FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFBF9F8F6F4F1EEEBE7E3DFDA
D5D0CBC6C1BCB8B4B0AEACABAAABACAFB2B5B9BEC3C8CDD2D7DCE1E5E9ECEFF2F5F7F8FA
FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F1EEEAE6E2DED9
D4CFC9C4BFBAB5B1AEABA9A8A8A8AAACAFB3B7BCC1C6CBD1D6DBE0E4E8ECEFF2F4F6F8FA
FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDEAE6E1DDD8
D3CDC8C2BDB8B3AFACA9A7A6A5A6A7AAADB1B5BABFC5CACFD5DADFE3E7EBEEF1F4F6F8F9
FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDE9E5E1DCD7
D1CCC6C1BBB6B1ADA9A6A4A3A3A3A5A7ABAFB3B8BDC3C8CED4D9DEE2E7EAEEF1F4F6F8F9
FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F7F5F2EFECE8E4E0DBD6
D0CAC5BFB9B4AFABA7A4A2A0A0A1A2A5A8ACB1B6BBC1C7CDD2D8DDE2E6EAEDF0F3F5F7F9
FAFCFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFECE8E3DFDAD4
CFC9C3BDB7B2ADA8A4A19F9E9E9EA0A2A6AAAFB4BABFC5CBD1D7DCE1E5E9EDF0F3F5F7F9
FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F1EEEBE7E3DED9D3
CDC7C1BBB5B0AAA6A29F9C9B9B9C9DA0A3A8ADB2B8BEC4CAD0D6DBE0E5E9ECF0F3F5F7F9
FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EEEAE6E2DDD8D2
CCC6C0B9B3AEA8A39F9C9A9898999B9DA1A5AAB0B6BCC2C8CFD4DADFE4E8ECEFF2F5F7F9
FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F3F1EDEAE6E1DCD7D1
CBC4BEB8B1ABA6A19D9A97969596989B9EA3A8AEB4BAC1C7CDD3D9DEE3E7EBEFF2F4F7F8
FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F3F0EDE9E5E0DBD6D0
C9C3BCB6AFA9A49F9A979493939395989CA0A6ACB2B8BFC5CCD2D8DDE2E7EBEEF1F4F6F8
FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFAF9F7F5F3F0EDE9E4E0DAD5CE
C8C1BBB4ADA7A19C9894929090919395999EA3A9B0B6BDC4CBD1D7DCE2E6EAEEF1F4F6F8
FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E4DFD9D3CD
C7C0B9B2ABA59F9A95918F8D8D8E9093979CA1A7AEB5BCC3C9D0D6DCE1E6EAEDF1F3F6F8
F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFECE8E3DED8D2CC
C5BEB7B0A9A39C97928F8C8B8A8B8D9094999FA5ACB3BAC1C8CFD5DBE0E5E9EDF0F3F6F8
F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F7F4F2EFEBE7E2DDD7D1CB
C4BDB5AEA7A09A94908C898887888A8D92979CA3AAB1B8BFC7CDD4DADFE4E9EDF0F3F5F7
F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F4F1EEEBE6E2DCD7D0C9
C2BBB4ACA59E98928D8986858585878B8F949AA1A8AFB7BEC5CCD3D9DFE4E8ECF0F3F5F7
F9FAFCFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F4F1EEEAE6E1DCD6CFC8
C1B9B2AAA39C958F8A868482828285888C92989EA6ADB5BCC4CBD2D8DEE3E8ECEFF2F5F7
F9FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F1EDEAE5E0DBD5CEC7
BFB8B0A8A199938D8884817F7F8082858A8F959CA4ABB3BBC2CAD1D7DDE2E7EBEFF2F5F7
F9FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F3F0EDE9E5E0DAD4CDC6
BEB6AEA69E97908A85817E7C7C7D7F82878C939AA1A9B1B9C1C9D0D6DCE2E6EBEEF2F4F7
F9FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F3F0EDE9E4DFD9D3CCC4
BDB4ACA49C958E88827E7B79797A7C80848A90989FA7B0B8C0C7CFD5DBE1E6EAEEF1F4F6
F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F3F0ECE8E3DED8D2CBC3
BBB3AAA29A928B857F7B78767677797D82878E959DA5AEB6BEC6CDD4DBE0E5EAEEF1F4F6
F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F3EFECE8E3DDD7D1C9C2
BAB1A9A0989089827D7875737374767A7F858C939BA4ACB5BDC5CCD3DAE0E5E9EDF1F4F6
F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F5F2EFEBE7E2DDD6D0C8C0
B8B0A79E968E86807A757270707173777C82899199A2AAB3BBC4CBD2D9DFE4E9EDF0F3F6
F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFAF9F7F5F2EFEBE7E2DCD6CFC7BF
B7AEA59C948B847D77736F6D6D6E70747980878F97A0A9B1BAC2CAD2D8DEE4E8EDF0F3F6
F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F4F2EEEBE6E1DBD5CEC6BE
B5ACA39A9189817A74706C6A6A6B6E71777D848C959EA7B0B9C1C9D1D7DEE3E8ECF0F3F5
F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F4F1EEEAE6E0DAD4CDC5BC
B4ABA1988F877F78726D696867686B6F747A828A939CA5AEB7C0C8D0D7DDE3E8ECF0F3F5
F7F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EEEAE5E0DAD3CCC4BB
B2A99F968D847C756F6A67656465686C71787F88919AA3ADB6BFC7CFD6DCE2E7EBEFF2F5
F7F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE9E5DFD9D2CBC3BA
B1A79E948B827A726C676462616265696F757D858E98A2ABB4BDC6CED5DCE1E7EBEFF2F5
F7F9FAFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F4F1EDE9E4DFD8D1CAC1B9
AFA69C92898077706964615F5E5F62666C737A838C96A0AAB3BCC5CDD4DBE1E6EBEFF2F5
F7F9FAFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F3F0EDE9E4DED8D1C9C0B7
AEA49A90867D756D67625E5C5B5C5F63697078818A949EA8B2BBC4CCD3DAE0E6EAEEF2F4
F7F9FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F3F0ECE8E3DDD7D0C8BFB6
ACA2988E847B726B645F5B5958595C61666D767F88929CA6B0BAC3CBD3DAE0E5EAEEF1F4
F7F9FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F6F3F0ECE8E3DDD6CFC7BEB5
ABA1968C82797068615C58565557595E646B737C86909BA5AFB9C2CAD2D9DFE5EAEEF1F4
F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F5F3F0ECE7E2DCD6CEC6BDB3
A99F958A80766D655F5955535354575B6168717A848E99A3ADB7C1C9D1D8DFE4E9EDF1F4
F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F3EFEBE7E2DCD5CDC5BCB2
A89E93887E746B635C565250505154585E666E78828C97A2ACB6C0C8D0D8DEE4E9EDF1F4
F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EFEBE6E1DBD4CCC4BBB1
A79C91867C7269605954504D4D4E51565C636C76808B95A0ABB5BEC7D0D7DEE3E8EDF0F3
F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EFEBE6E1DAD3CCC3BAB0
A59A8F847A70665E57514D4B4A4B4E5359616A747E89949FA9B4BDC7CFD6DDE3E8ECF0F3
F6F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F5F2EFEAE6E0DAD3CBC2B9AE
A4998E82786D645B544E4A4847484C50575F67717C87929DA8B3BCC6CED6DDE2E8ECF0F3
F6F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F5F2EEEAE5E0D9D2CAC1B8AD
A2978C81766B6159514C47454446494E545C656F7A85909CA7B1BBC5CDD5DCE2E7ECF0F3
F6F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F2EEEAE5DFD9D1C9C0B6AC
A1968A7F74695F564F4945424243464B525A636D78838F9AA6B0BAC4CDD4DBE2E7ECEFF3
F5F8F9FBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFAF9F7F4F1EEEAE5DFD8D1C8BFB5AB
A094897D72675D544C4642403F4044494F57616B76828D99A4AFB9C3CCD4DBE1E7EBEFF3
F5F8F9FBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F4F1EEE9E4DED8D0C8BEB4AA
9E93877B70655B524A443F3D3C3E41464D555F6974808C97A3AEB9C2CBD3DAE1E6EBEFF2
F5F7F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE9E4DED7D0C7BEB3A9
9D9185796E63584F48413D3A3A3B3E444A535C67727E8A96A2ADB8C1CAD3DAE0E6EBEFF2
F5F7F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE9E3DDD7CFC6BDB2A7
9C9084786C61564D453F3A3837393C4148515A65717C8995A1ACB7C1CAD2D9E0E6EAEFF2
F5F7F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE8E3DDD6CEC6BCB1A6
9B8F82766A5F544B433C383535363A3F464E58636F7B87939FABB6C0C9D2D9E0E5EAEEF2
F5F7F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F0EDE8E3DDD6CEC5BBB1A5
998D8174685D5249413A36333234373C444C56616D7986929EAAB5BFC8D1D9DFE5EAEEF2
F5F7F9FAFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE8E2DCD5CDC4BAB0A4
988C7F73665B50463E3833303031353A414A545F6B7884919DA9B4BEC8D0D8DFE5EAEEF2
F4F7F9FAFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE8E2DCD5CDC3BAAFA3
978B7E7165594E443C36312E2E2F32383F48525E6A7683909CA8B3BEC7D0D8DEE4E9EEF1
F4F7F9FAFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE7E2DBD4CCC3B9AEA2
96897C7063574C423A332F2C2B2D30363D46505C6875828E9BA7B2BDC7CFD7DEE4E9EEF1
F4F7F9FAFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE7E1DBD4CBC2B8ADA1
95887B6E61554A4038312C2A292A2E343B444F5A6673808D9AA6B1BCC6CFD7DEE4E9EDF1
F4F7F9FAFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE7E1DBD3CBC2B7ACA0
94877A6D6054483E362F2A2727282C3239424D5865727F8C99A5B1BBC5CED6DDE4E9EDF1
F4F7F9FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F5F3EFEBE7E1DAD3CAC1B7AB9F
9386786B5E52473D342D282525262A3037404B5763707E8B98A4B0BBC5CED6DDE3E9EDF1
F4F6F9FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F5F3EFEBE6E1DAD2CAC0B6AB9E
9284776A5D50453B322B26232324282E353F4955626F7C8A97A3AFBAC4CDD6DDE3E8EDF1
F4F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F5F3EFEBE6E0DAD2C9C0B5AA9E
918376685B4F4339302924212122262C343D4854606E7B8996A3AEBAC4CDD5DCE3E8EDF1
F4F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F5F2EFEBE6E0D9D2C9BFB5A99D
908275675A4D42372F2722201F20242A323B46525F6D7A8895A2AEB9C3CDD5DCE2E8EDF0
F4F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEBE6E0D9D1C9BFB4A89C
8F817466594C40362D26211E1D1F2228303A45515E6B798794A1ADB8C3CCD5DCE2E8ECF0
F4F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEAE5E0D9D1C8BEB3A89B
8E807365574B3F342B241F1C1B1D21272F3843505D6A788693A0ADB8C2CCD4DCE2E8ECF0
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEAE5DFD8D1C8BEB3A79A
8D7F726456493D332A221D1A1A1B1F252D37424E5B69778593A0ACB7C2CBD4DBE2E7ECF0
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB2A69A
8C7F716355483C3128211C19181A1E242C35414D5A687684929FABB7C1CBD4DBE2E7ECF0
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB2A699
8C7E706254473B3027201A1717181C222A343F4C59677583919EABB6C1CBD3DBE1E7ECF0
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB1A598
8B7D6F6153463A2F261E191615171B2129333E4B58667483909EAAB6C1CAD3DBE1E7ECF0
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE5DFD7CFC6BCB1A598
8A7C6E605245382E241D18151416192028323D4A57657482909DAAB6C0CAD3DAE1E7ECF0
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE4DED7CFC6BCB1A497
8A7C6D5F5144372C231C16131314181E27313C49566573818F9DA9B5C0CAD3DAE1E7ECF0
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE4DED7CFC6BBB0A497
897B6C5E5043362B221B15121113171D26303B48566472818F9CA9B5C0CAD2DAE1E7EBF0
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEE9E4DED7CFC5BBB0A496
897A6C5D4F42362A211A14111012161C252F3A47556372808E9CA9B4BFC9D2DAE1E6EBEF
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F1EEE9E4DED7CFC5BBAFA396
887A6B5D4F41352A201913100F11151B242E3A46546271808E9BA8B4BFC9D2DAE1E6EBEF
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F4F1EEE9E4DED7CEC5BBAFA396
88796B5C4E4034291F18120F0F10141B232D39465462717F8D9BA8B4BFC9D2DAE0E6EBEF
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DED6CEC5BAAFA395
87796A5C4D4033281F17120F0E10141A222C38455361707F8D9BA8B4BFC9D2D9E0E6EBEF
F3F6F8FAFBFCFDFEFEFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DED6CEC5BAAFA295
87786A5B4D3F33281E16110E0D0F1319222C38455361707E8D9AA7B3BFC9D1D9E0E6EBEF
F3F5F8FAFBFCFDFEFEFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DED6CEC5BAAFA295
8778695B4C3F32271D16100D0D0E1219212B374452616F7E8C9AA7B3BEC8D1D9E0E6EBEF
F3F5F8FAFBFCFDFEFEFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DDD6CEC4BAAEA294
8678695A4C3E32271D15100D0C0E1218212B374452606F7E8C9AA7B3BEC8D1D9E0E6EBEF
F3F5F8FAFBFCFDFEFEFFFFE5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DDD6CEC4BAAEA294
8678695A4C3E32261D15100C0C0D1118202B364351606F7E8C9AA7B3BEC8D1D9E0E6EBEF
F3F5F8FAFBFCFDFEFEFFE5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DDD6CEC4BAAEA294
8677695A4C3E31261C150F0C0B0D1118202A364351606F7D8C9AA7B3BEC8D1D9E0E6EBEF
F3F5F8FAFBFCFDFEFEE5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EDE9E4DDD6CEC4BAAEA294
8677695A4B3E31261C150F0C0B0D1117202A364351606F7D8C9AA7B3BEC8D1D9E0E6EBEF
F3F5F8FAFBFCFDFEE5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EDE9E4DDD6CEC4BAAEA194
8677695A4B3E31261C140F0C0B0D1117202A364351606E7D8C9AA7B3BEC8D1D9E0E6EBEF
F3F5F8FAFBFCFDE4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EDE9E4DDD6CEC4BAAEA194
8677695A4B3E31261C140F0C0B0D1117202A364351606E7D8C9AA7B3BEC8D1D9E0E6EBEF
F3F5F8FAFBFCE3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EDE9E4DDD6CEC4BAAEA294
8677695A4B3E31261C150F0C0B0D1117202A364351606F7D8C9AA7B3BEC8D1D9E0E6EBEF
F3F5F8FAFBE3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DDD6CEC4BAAEA294
8677695A4C3E31261C150F0C0B0D1118202A364351606F7D8C9AA7B3BEC8D1D9E0E6EBEF
F3F5F8FAE1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DDD6CEC4BAAEA294
8678695A4C3E32261D15100C0C0D1118202B364351606F7E8C9AA7B3BEC8D1D9E0E6EBEF
F3F5F8E0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DDD6CEC4BAAEA294
8678695A4C3E32271D15100D0C0E1218212B374452606F7E8C9AA7B3BEC8D1D9E0E6EBEF
F3F5DEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DED6CEC5BAAFA295
8778695B4C3F32271D16100D0D0E1219212B374452616F7E8C9AA7B3BEC8D1D9E0E6EBEF
F3DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DED6CEC5BAAFA295
87786A5B4D3F33281E16110E0D0F1319222C38455361707E8D9AA7B3BFC9D1D9E0E6EBEF
D9DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DED6CEC5BAAFA395
87796A5C4D4033281F17120F0E10141A222C38455361707F8D9BA8B4BFC9D2D9E0E6EBD6
D9DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F4F1EEE9E4DED7CEC5BBAFA396
88796B5C4E4034291F18120F0F10141B232D39465462717F8D9BA8B4BFC9D2DAE0E6D2D6
D9DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F1EEE9E4DED7CFC5BBAFA396
887A6B5D4F41352A201913100F11151B242E3A46546271808E9BA8B4BFC9D2DAE1CDD2D6
D9DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEE9E4DED7CFC5BBB0A496
897A6C5D4F42362A211A14111012161C252F3A47556372808E9CA9B4BFC9D2DAC7CDD2D6
D9DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE4DED7CFC6BBB0A497
897B6C5E5043362B221B15121113171D26303B48566472818F9CA9B5C0CAD2C0C7CDD2D6
D9DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE4DED7CFC6BCB1A497
8A7C6D5F5144372C231C16131314181E27313C49566573818F9DA9B5C0CAB9C1C7CDD2D6
D9DCDEE0E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE5DFD7CFC6BCB1A598
8A7C6E605245382E241D18151416192028323D4A57657482909DAAB6C0B0B9C1C7CDD2D6
D9DCDEE0E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB1A598
8B7D6F6153463A2F261E191615171B2129333E4B58667483909EAAB6A7B1B9C1C8CDD2D6
D9DCDEE0E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB2A699
8C7E706254473B3027201A1717181C222A343F4C59677583919EAB9DA7B1BAC1C8CDD2D6
DADCDEE0E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB2A69A
8C7F716355483C3128211C19181A1E242C35414D5A687684929F929DA8B1BAC1C8CED2D6
DADCDFE0E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEAE5DFD8D1C8BEB3A79A
8D7F726456493D332A221D1A1A1B1F252D37424E5B6977859386929EA8B2BAC2C8CED3D6
DADCDFE0E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEAE5E0D9D1C8BEB3A89B
8E807365574B3F342B241F1C1B1D21272F3843505D6A78867A87939EA9B2BBC2C8CED3D7
DADCDFE0E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEBE6E0D9D1C9BFB4A89C
8F817466594C40362D26211E1D1F2228303A45515E6B796D7B87949FA9B3BBC2C9CED3D7
DADDDFE0E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F5F2EFEBE6E0D9D2C9BFB5A99D
908275675A4D42372F2722201F20242A323B46525F6D616E7B88949FAAB3BBC3C9CED3D7
DADDDFE0E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F5F3EFEBE6E0DAD2C9C0B5AA9E
918376685B4F4339302924212122262C343D48546054626F7C8995A0AAB3BCC3C9CFD3D7
DADDDFE0E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F5F3EFEBE6E1DAD2CAC0B6AB9E
9284776A5D50453B322B26232324282E353F4955485563707D8A96A1ABB4BCC3C9CFD3D7
DADDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F5F3EFEBE7E1DAD3CAC1B7AB9F
9386786B5E52473D342D282525262A3037404B3D4A5764717E8B96A1ABB4BCC3CACFD3D7
DADDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE7E1DBD3CBC2B7ACA0
94877A6D6054483E362F2A2727282C323942333F4B5865727F8B97A2ACB5BDC4CACFD4D7
DADDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE7E1DBD4CBC2B8ADA1
95887B6E61554A4038312C2A292A2E343B2B35404D5A6774808C98A3ACB5BDC4CACFD4D7
DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE7E2DBD4CCC3B9AEA2
96897C7063574C423A332F2C2B2D3036242D37424E5B6875818D99A3ADB6BEC4CAD0D4D8
DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE8E2DCD5CDC3BAAFA3
978B7E7165594E443C36312E2E2F321E262F3944505D6976828E9AA4AEB6BEC5CBD0D4D8
DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE8E2DCD5CDC4BAB0A4
988C7F73665B50463E38333030311B2128313B46525E6B77838F9AA5AEB7BEC5CBD0D4D8
DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F0EDE8E3DDD6CEC5BBB1A5
998D8174685D5249413A3633321A1E232A333D4853606C7885909BA5AFB7BFC6CBD0D5D8
DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE8E3DDD6CEC6BCB1A6
9B8F82766A5F544B433C38351B1D20252C353F4A55616E7A86919CA6B0B8BFC6CCD1D5D8
DBDEDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE9E3DDD7CFC6BDB2A7
9C9084786C61564D453F3A1E1E1F22282F37414B57636F7B87929DA7B0B8C0C6CCD1D5D8
DBDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE9E4DED7D0C7BEB3A9
9D9185796E63584F484123212022252A3139434D5965717C88939EA8B1B9C0C7CCD1D5D9
DBDEE0E1E2E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F4F1EEE9E4DED8D0C8BEB4AA
9E93877B70655B524A2A26232324272D333B454F5B66727E89949FA9B2BAC1C7CDD1D5D9
DCDEE0E1E2E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFAF9F7F4F1EEEAE5DFD8D1C8BFB5AB
A094897D72675D54332D282625272A2F363E47515D68747F8B96A0A9B2BAC1C8CDD2D6D9
DCDEE0E1E2E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F2EEEAE5DFD9D1C9C0B6AC
A1968A7F74695F3D352F2B2928292D32384049545E6A75818C97A1AAB3BBC2C8CDD2D6D9
DCDEE0E1E2E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F5F2EEEAE5E0D9D2CAC1B8AD
A2978C81766B483F38322E2B2B2C2F343B434C56606C77828D98A2ABB4BBC2C8CED2D6D9
DCDEE0E1E2E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F5F2EFEAE6E0DAD3CBC2B9AE
A4998E8278544A423A35312E2E2F32373D454E58626D79848F99A3ACB4BCC3C9CED3D6DA
DCDEE0E1E2E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EFEBE6E1DAD3CCC3BAB0
A59A8F8460564D443D373331303235394047505A646F7A85909AA4ADB5BDC3C9CED3D7DA
DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EFEBE6E1DBD4CCC4BBB1
A79C916D62584F47403A36343334373C424A535C66717C87919BA5AEB6BDC4CACFD3D7DA
DCDFE0E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F3EFEBE7E2DCD5CDC5BCB2
A89E796F645A5149423D393736373A3F454C555E68737E88939DA6AFB7BEC5CACFD3D7DA
DDDFE0E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F5F3F0ECE7E2DCD6CEC6BDB3
A9867B71665D544C45403C39393A3D42484F57606A757F8A949EA7B0B8BFC5CBD0D4D7DA
DDDFE0E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F6F3F0ECE8E3DDD6CFC7BEB5
91877D73695F564E48423F3C3C3D40444A515A636C77818B959FA8B1B8BFC6CBD0D4D8DA
DDDFE0E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F3F0ECE8E3DDD7D0C8BF9C
93897F756B6159514A45413F3F4043474D545C656F79838D97A0A9B1B9C0C6CCD0D4D8DB
DDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F3F0EDE9E4DED8D1C9A79E
948A80766D645B544D4844424243464A50565E67717A848E98A1AAB2BAC1C7CCD1D5D8DB
DDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F4F1EDE9E4DFD8D1B0A89F
968C82786F665E56504B47454546484D52596169737C869099A3ABB3BBC1C7CDD1D5D8DB
DDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE9E5DFD9B9B1A9A0
978E847A71686059534E4A4848494B4F555C636C757E88919BA4ACB4BBC2C8CDD1D5D9DB
DEDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EEEAE5E0C0B9B2AAA2
998F867C736B635B55504D4B4A4C4E52585E666E77808A939CA5ADB5BCC3C8CDD2D6D9DB
DEDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F4F1EEEAE6C7C1BAB3ABA3
9A91887F766D655E5853504E4D4F51555A61687079828B959EA6AEB6BDC3C9CED2D6D9DC
DEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F4F2EEEBCDC7C2BBB4ACA4
9C938A81786F68615B565351505154585D636B737B848D969FA8B0B7BEC4CACED3D6D9DC
DEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFAF9F7F5F2EFD1CDC8C2BCB5AEA5
9D948B837A726A635E5956545354575B60666D757D868F98A0A9B1B8BFC5CACFD3D7DADC
DEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F5F2D6D2CEC9C3BDB6AFA7
9E968D857C746D66605C595756575A5E626970777F889199A2AAB2B9BFC5CBCFD3D7DADC
DEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5D9D6D2CEC9C4BEB7B0A8
A0988F877E766F69635F5C5A595A5D60656B7279828A929BA3ABB3BAC0C6CBD0D4D7DADC
DEE0E1E2E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7DCD9D6D3CFCAC4BFB8B1A9
A19991898079726B66625E5D5C5D6063686E747C848C949DA5ACB4BBC1C7CCD0D4D7DADD
DFE0E2E3E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9DEDCD9D7D3CFCAC5BFB9B2AB
A39B938B837B746E696461605F6062666B70777E868E969EA6AEB5BCC2C7CCD1D5D8DBDD
DFE0E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBE0DEDCDAD7D3D0CBC6C0BAB3AC
A49D958D857D77716B676463626365696D737980889098A0A7AFB6BDC3C8CDD1D5D8DBDD
DFE0E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCE1E0DEDCDAD7D4D0CCC7C1BBB4AD
A69E968F878079736E6A67656566686C70757C838A9299A1A9B0B7BDC3C9CDD2D5D8DBDD
DFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDE2E1E0DFDDDAD8D4D1CCC7C2BCB5AF
A7A0989189827C76716D6A6868696B6E73787E858C949BA3AAB1B8BEC4C9CED2D6D9DBDD
DFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEE3E3E2E0DFDDDBD8D5D1CDC8C3BDB7B0
A9A19A928B847E7873706D6B6B6C6E71757A80878E959DA4ACB3B9BFC5CACFD3D6D9DCDE
DFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEE4E3E3E2E0DFDDDBD8D5D1CDC9C4BEB8B1
AAA39C948D87807B7672706E6E6F7174787D838990979FA6ADB4BAC0C6CBCFD3D6D9DCDE
E0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEE5E4E3E3E2E1DFDDDBD9D5D2CEC9C4BFB9B2
ACA59D968F89837D79757371717173767B7F858B9299A0A7AEB5BBC1C6CBD0D3D7DADCDE
E0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E4E4E3E2E1DFDDDBD9D6D2CFCAC5C0BAB4
ADA69F98928B85807B787574737476797D82888E949BA2A9B0B6BCC2C7CCD0D4D7DADCDE
E0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E4E4E3E2E1DFDEDCD9D6D3CFCBC6C1BBB5
AEA8A19A948D88827E7B78777677797C80848A90969DA4AAB1B7BDC3C8CDD1D4D7DADCDE
E0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5E4E4E3E2E1E0DEDCD9D7D3D0CBC7C2BCB6
B0A9A39C96908A85817D7B79797A7C7F82878C92989FA5ACB2B8BEC4C9CDD1D5D8DADDDF
E0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E5E5E5E5E4E4E3E2E1E0DEDCDAD7D4D0CCC8C3BDB7
B1ABA49E98928C8783807E7C7C7D7E8185898E949AA1A7ADB4BABFC5C9CED2D5D8DBDDDF
E0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E5E5E5E5E4E4E3E2E1E0DEDCDAD7D4D1CDC8C3BEB8
B3ACA6A09A948F8A8683807F7F7F8184878C91969CA2A9AFB5BBC0C5CACED2D6D9DBDDDF
E0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E5E5E5E5E4E4E3E2E1E0DEDDDAD8D5D1CDC9C4BFBA
B4AEA8A29C96918C88858382818284868A8E93989EA4AAB0B6BCC1C6CBCFD3D6D9DBDDDF
E1E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E5E5E5E5E4E4E3E2E1E0DFDDDBD8D5D2CECAC5C0BB
B5AFA9A39E98938F8B888584848586898C90959AA0A6ACB2B7BDC2C7CCD0D3D6D9DCDEDF
E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E5E5E5E5E4E4E3E3E2E0DFDDDBD9D6D2CFCBC6C1BC
B6B1ABA5A09A95918D8A88878787898B8F93979CA2A8ADB3B9BEC3C8CCD0D4D7DADCDEDF
E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E0DFDDDBD9D6D3CFCBC7C2BD
B8B2ADA7A29C9893908D8B89898A8B8E9195999EA4A9AFB4BABFC4C9CDD1D4D7DADCDEE0
E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1DFDEDCD9D7D4D0CCC8C3BE
B9B4AEA9A39E9A96928F8D8C8C8C8E9093979CA0A6ABB0B6BBC0C5CACED1D5D8DADCDEE0
E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E2E1DFDEDCDAD7D4D1CDC9C4BF
BAB5B0AAA5A09C989492908F8E8F909396999EA2A7ADB2B7BCC1C6CACED2D5D8DBDDDFE0
E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E2E1E0DEDCDAD7D5D1CECAC5C0
BCB6B1ACA7A29E9A9794929191919395989CA0A4A9AEB3B9BEC2C7CBCFD3D6D9DBDDDFE0
E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E2E1E0DEDCDAD8D5D2CECAC6C2
BDB8B3AEA9A4A09C99969593939495979A9EA2A6ABB0B5BABFC3C8CCD0D3D6D9DBDDDFE0
E2E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E2E1E0DFDDDBD8D6D2CFCBC7C3
BEB9B4AFABA6A29E9B9997969696989A9CA0A4A8ADB1B6BBC0C4C9CDD0D4D7D9DCDDDFE1
E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E2E1E0DFDDDBD9D6D3D0CCC8C4
BFBBB6B1ADA8A4A19D9B999898999A9C9FA2A6AAAEB3B8BCC1C5CACDD1D4D7DADCDEDFE1
E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E2E1E0DFDDDBD9D6D4D0CDC9C5
C0BCB7B3AEAAA6A3A09D9C9B9A9B9C9EA1A4A8ACB0B4B9BEC2C6CACED2D5D8DADCDEE0E1
E2E3E3E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1DFDEDCD9D7D4D1CDCAC6
C1BDB9B4B0ACA8A5A29F9E9D9D9D9EA0A3A6AAADB2B6BABFC3C7CBCFD2D5D8DADCDEE0E1
E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1DFDEDCDAD7D5D2CECBC7
C3BEBAB6B2AEAAA7A4A2A09F9F9FA1A2A5A8ABAFB3B7BCC0C4C8CCD0D3D6D8DBDDDEE0E1
E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DEDCDAD8D5D2CFCBC8
C4C0BBB7B3AFACA9A6A4A2A1A1A2A3A5A7AAADB1B5B9BDC1C5C9CDD0D3D6D9DBDDDFE0E1
E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E1E0DEDDDBD8D6D3D0CCC9
C5C1BDB9B5B1AEABA8A6A4A4A3A4A5A7A9ACAFB3B6BABEC2C6CACED1D4D7D9DBDDDFE0E1
E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E1E0DFDDDBD9D6D3D0CDCA
C6C2BEBAB6B3AFACAAA8A6A6A5A6A7A9ABAEB1B4B8BCC0C4C7CBCED2D5D7DADCDEDFE0E2
E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E2E1E0DFDDDBD9D7D4D1CECA
C7C3BFBCB8B4B1AEACAAA9A8A8A8A9ABADAFB2B6B9BDC1C5C8CCCFD2D5D8DADCDEDFE1E2
E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E2E1E0DFDDDCDAD7D5D2CFCB
C8C4C1BDB9B6B3B0AEACABAAAAAAABADAFB1B4B7BBBEC2C6C9CDD0D3D6D8DADCDEE0E1E2
E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E2E2E1DFDEDCDAD8D5D2CFCC
C9C5C2BEBBB8B5B2B0AEADACACACADAEB1B3B6B9BCC0C3C7CACED1D4D6D9DBDDDEE0E1E2
E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1DFDEDCDAD8D6D3D0CD
CAC6C3C0BCB9B6B4B1B0AEAEAEAEAFB0B2B5B7BABEC1C4C8CBCED1D4D7D9DBDDDFE0E1E2
E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DEDDDBD9D6D4D1CE
CBC8C4C1BEBBB8B5B3B2B0B0AFB0B1B2B4B6B9BCBFC2C6C9CCCFD2D5D7DADCDDDFE0E1E2
E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DFDDDBD9D7D4D2CF
CCC9C5C2BFBCB9B7B5B3B2B1B1B2B3B4B6B8BBBDC0C3C7CACDD0D3D5D8DADCDEDFE0E1E2
E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E1E0DFDDDCDAD7D5D2D0
CDCAC7C3C0BEBBB9B7B5B4B3B3B3B4B6B7BABCBFC2C5C8CBCED1D3D6D8DADCDEDFE1E2E2
E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E1E0DFDEDCDAD8D6D3D0
CECBC8C5C2BFBDBAB8B7B6B5B5B5B6B7B9BBBEC0C3C6C9CCCFD1D4D7D9DBDDDEE0E1E2E3
E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E2E1DFDEDCDAD8D6D4D1
CECCC9C6C3C0BEBCBAB8B7B7B7B7B8B9BBBDBFC1C4C7CACDD0D2D5D7D9DBDDDEE0E1E2E3
E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DEDDDBD9D7D4D2
CFCDCAC7C4C2BFBDBCBAB9B8B8B9B9BBBCBEC0C3C5C8CBCED0D3D5D8DADCDDDFE0E1E2E3
E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DEDDDBD9D7D5D3
D0CDCBC8C6C3C1BFBDBCBBBABABABBBCBEC0C2C4C7C9CCCED1D4D6D8DADCDEDFE0E1E2E3
E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DFDDDCDAD8D6D3
D1CECCC9C7C4C2C0BFBDBCBCBCBCBDBEBFC1C3C5C8CACDCFD2D4D7D9DBDCDEDFE0E1E2E3
E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E4E3E2E1E0DFDEDCDAD8D6D4
D2CFCDCAC8C6C3C2C0BFBEBDBDBDBEBFC1C2C4C6C9CBCED0D3D5D7D9DBDDDEDFE1E2E2E3
E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E1E0DFDEDCDBD9D7D5
D2D0CECBC9C7C5C3C1C0BFBFBFBFC0C1C2C4C6C8CACCCFD1D3D6D8DADBDDDEE0E1E2E3E3
E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E2E1DFDEDDDBD9D7D5
D3D1CFCCCAC8C6C4C3C2C1C0C0C0C1C2C3C5C7C9CBCDD0D2D4D6D8DADCDDDFE0E1E2E3E3
E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1E0DEDDDCDAD8D6
D4D2CFCDCBC9C7C6C4C3C2C2C2C2C2C3C5C6C8CACCCED0D3D5D7D9DBDCDEDFE0E1E2E3E3
E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1E0DFDDDCDAD8D7
D5D2D0CECCCAC8C7C5C4C4C3C3C3C4C5C6C7C9CBCDCFD1D3D5D7D9DBDDDEDFE0E1E2E3E4
E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DFDEDCDBD9D7
D5D3D1CFCDCBCAC8C7C6C5C4C4C5C5C6C7C9CACCCED0D2D4D6D8DADBDDDEE0E1E2E2E3E4
E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E4E3E2E1E0DFDEDDDBDAD8
D6D4D2D0CECCCBC9C8C7C6C6C6C6C6C7C8CACBCDCFD1D3D5D7D8DADCDDDFE0E1E2E3E3E4
E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E4E3E2E2E1E0DEDDDCDAD8
D7D5D3D1CFCDCCCAC9C8C7C7C7C7C8C9CACBCCCED0D2D4D5D7D9DBDCDEDFE0E1E2E3E3E4
E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1E0DFDDDCDAD9
D7D5D4D2D0CECDCBCAC9C9C8C8C8C9CACBCCCDCFD1D2D4D6D8DADBDDDEDFE0E1E2E3E3E4
E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1E0DFDEDCDBD9
D8D6D4D3D1CFCECDCBCBCACAC9CACACBCCCDCED0D2D3D5D7D8DADCDDDEDFE0E1E2E3E3E4
E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1E0DFDEDDDBDA
D8D7D5D3D2D0CFCECCCCCBCBCBCBCBCCCDCECFD1D2D4D6D7D9DBDCDDDFE0E1E2E2E3E4E4
E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1E1E0DEDDDCDA
D9D7D6D4D3D1D0CFCECDCCCCCCCCCCCDCECFD0D2D3D5D6D8D9DBDCDEDFE0E1E2E3E3E4E4
E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E4E3E2E2E1E0DFDEDCDB
D9D8D6D5D3D2D1D0CFCECDCDCDCDCDCECFD0D1D3D4D5D7D9DADBDDDEDFE0E1E2E3E3E4E4
E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E4E3E3E2E1E0DFDEDDDB
DAD9D7D6D4D3D2D0D0CFCECECECECECFD0D1D2D3D5D6D8D9DBDCDDDEDFE0E1E2E3E3E4E4
E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1E0DFDEDDDC
DAD9D8D6D5D4D2D1D0D0CFCFCFCFCFD0D1D2D3D4D5D7D8DADBDCDEDFE0E1E2E2E3E3E4E4
E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1E1E0DFDDDC
DBDAD8D7D6D4D3D2D1D1D0D0D0D0D0D1D2D3D4D5D6D7D9DADBDDDEDFE0E1E2E2E3E4E4E4
E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E2E1E0DFDEDD
DBDAD9D8D6D5D4D3D2D2D1D1D1D1D1D2D3D3D5D6D7D8D9DBDCDDDEDFE0E1E2E3E3E4E4E4
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E2E2E1E0DFDEDD
DCDBD9D8D7D6D5D4D3D3D2D2D2D2D2D3D3D4D5D6D8D9DADBDCDDDFE0E0E1E2E3E3E4E4E5
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E4E3E3E2E1E0DFDEDD
DCDBDAD9D8D7D6D5D4D3D3D3D3D3D3D4D4D5D6D7D8D9DADCDDDEDFE0E1E2E2E3E3E4E4E5
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1E1E0DFDE
DDDCDBD9D8D7D6D5D5D4D4D4D3D4D4D4D5D6D7D8D9DADBDCDDDEDFE0E1E2E2E3E4E4E4E5
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E2E1E0DFDE
DDDCDBDAD9D8D7D6D6D5D5D4D4D4D5D5D6D7D7D8D9DADBDDDEDFDFE0E1E2E3E3E4E4E4E5
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E2E2E1E0DFDF
DEDDDCDBDAD9D8D7D6D6D5D5D5D5D5D6D7D7D8D9DADBDCDDDEDFE0E1E1E2E3E3E4E4E4E5
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E1E1E0DF
DEDDDCDBDAD9D8D8D7D6D6D6D6D6D6D7D7D8D9DADADBDCDDDEDFE0E1E2E2E3E3E4E4E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E2E1E0DF
DEDDDCDCDBDAD9D8D8D7D7D7D7D7D7D7D8D9D9DADBDCDDDEDFE0E0E1E2E2E3E3E4E4E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E2E1E0DF
DFDEDDDCDBDADAD9D8D8D8D7D7D7D8D8D9D9DADBDBDCDDDEDFE0E1E1E2E3E3E4E4E4E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E1E1E0
DFDEDDDCDCDBDAD9D9D9D8D8D8D8D8D9D9DADADBDCDDDEDEDFE0E1E2E2E3E3E4E4E4E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E1E1E0
DFDFDEDDDCDBDBDADAD9D9D9D9D9D9D9DADADBDCDCDDDEDFE0E0E1E2E2E3E3E4E4E5E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E2E1E0
E0DFDEDDDDDCDBDBDADAD9D9D9D9DADADADBDBDCDDDEDEDFE0E1E1E2E3E3E4E4E4E5E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E3E3E2E2E1E1
E0DFDEDEDDDCDCDBDBDADADADADADADADBDBDCDDDDDEDFDFE0E1E2E2E3E3E4E4E4E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E2E1E1
E0E0DFDEDDDDDCDCDBDBDBDADADBDBDBDBDCDCDDDEDEDFE0E0E1E2E2E3E3E4E4E4E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E2E1
E0E0DFDFDEDDDDDCDCDBDBDBDBDBDBDCDCDCDDDDDEDFDFE0E1E1E2E2E3E3E4E4E4E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E2E1
E1E0DFDFDEDEDDDDDCDCDCDCDCDCDCDCDCDDDDDEDFDFE0E0E1E2E2E3E3E4E4E4E5E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E2E2
E1E0E0DFDFDEDEDDDDDCDCDCDCDCDCDDDDDDDEDEDFDFE0E1E1E2E2E3E3E4E4E4E5E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E2E2
E1E1E0E0DFDEDEDEDDDDDDDDDDDDDDDDDDDEDEDFDFE0E0E1E1E2E2E3E3E4E4E4E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E2E2
E1E1E0E0DFDFDEDEDEDDDDDDDDDDDDDDDEDEDFDFE0E0E1E1E2E2E3E3E4E4E4E5E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E3E2
E2E1E1E0E0DFDFDEDEDEDEDDDDDEDEDEDEDFDFDFE0E0E1E1E2E2E3E3E4E4E4E5E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E2
E2E1E1E0E0E0DFDFDEDEDEDEDEDEDEDEDFDFDFE0E0E1E1E2E2E3E3E3E4E4E4E5E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E3
E2E2E1E1E0E0DFDFDFDFDEDEDEDEDEDFDFDFE0E0E0E1E1E2E2E3E3E4E4E4E4E5E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E3
E2E2E1E1E1E0E0DFDFDFDFDFDFDFDFDFDFE0E0E0E1E1E2E2E2E3E3E4E4E4E5E5E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3
E2E2E2E1E1E0E0E0E0DFDFDFDFDFDFDFE0E0E0E1E1E1E2E2E3E3E3E4E4E4E5E5E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3
E3E2E2E2E1E1E0E0E0E0E0DFDFDFE0E0E0E0E1E1E1E2E2E2E3E3E4E4E4E4E5E5E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E4E3
E3E2E2E2E1E1E1E0E0E0E0E0E0E0E0E0E0E1E1E1E2E2E2E3E3E3E4E4E4E5E5E5E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E4E3
E3E3E2E2E2E1E1E1E0E0E0E0E0E0E0E0E1E1E1E1E2E2E2E3E3E3E4E4E4E5E5E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4E4E3
E3E3E3E2E2E2E1E1E1E1E0E0E0E0E1E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E4
E3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E4E4E4E5E5E5E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E4
E3E3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4E4
E4E3E3E3E2E2E2E2E2E1E1E1E1E1E1E1E2E2E2E2E3E3E3E3E4E4E4E4E5E5E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4E4
E4E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4
E4E4E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4
E4E4E3E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4
E4E4E4E3E3E3E3E3E2E2E2E2E2E2E2E2E3E3E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4
E4E4E4E4E3E3E3E3E3E3E2E2E2E2E2E3E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4
E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5
E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5
E4E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5
E5E4E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5
E5E4E4E4E4E4E4E4E3E3E3E3E3E3E3E3E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5
E5E5E4E4E4E4E4E4E4E4E3E3E3E3E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5
E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5
E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5
E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
pop
P
% End of image
.5 Mabswid
.74038 .01923 m
.01923 .74038 L
s
.008 w
[ .15 .05 ] 0 setdash
.82051 .01923 m
.01923 .82051 L
s
.5 Mabswid
[ ] 0 setdash
.90064 .01923 m
.01923 .90064 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[47]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`00000P00000040fMWI00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010=WIf@00
00<000000?ooo`3oool0o`3ooolL0?ooo`4000000@3IfMT000030000003oool0oooo0?l0oooo703o
ool100000040fMWI00000`000000oooo0?ooo`3X0?ooo`030000003oool0oooo0300oooo0@000001
0=WIf@0000<000000?ooo`3oool0d@3oool00`000000oooo0?ooo`0C0?ooo`<000005@3oool00`00
0000oooo0?ooo`0I0?ooo`4000000@3IfMT000030000003oool0oooo0=00oooo00<000000?ooo`3V
i^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H05P3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0<l0oooo00<000000?ooo`3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0
5`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0<h0oooo00<000000>KViP3Vi^H04`3V
i^H3000001D0i^KV00<000000>KViP3Vi^H0603Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo0<d0oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H06@3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0<`0oooo00<000000>KViP3Vi^H04`3Vi^H30000
01D0i^KV00<000000>KViP3Vi^H06P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0</0
oooo00<000000?ooo`3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H06`3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0<X0oooo00<000000?ooo`3Vi^H04`3Vi^H3000001D0i^KV
00<000000>KViP3Vi^H0703Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0<T0oooo00<0
00000?ooo`3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H07@3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0<P0oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<00000
0>KViP3Vi^H07P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0<L0oooo00<000000>KV
iP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H07`3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo0<H0oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3V
i^H0803Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0<D0oooo00<000000?ooo`3Vi^H0
4`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H08@3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0<@0oooo00<000000?ooo`3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H08P3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo0<<0oooo00<000000>KViP3Vi^H04`3Vi^H3
000001D0i^KV00<000000>KViP3Vi^H08`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
0<80oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0903Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo0<40oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0
i^KV00<000000>KViP3Vi^H09@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0<00oooo
00<000000?ooo`3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H09P3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo0;l0oooo00<000000?ooo`3Vi^H04`3Vi^H3000001D0i^KV00<0
00000>KViP3Vi^H09`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0;h0oooo00<00000
0>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0:03Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0;d0oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KV
iP3Vi^H0:@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0;`0oooo00<000000>KViP3V
i^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0:P3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0;/0oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0
:`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0;X0oooo00<000000?ooo`3Vi^H04`3V
i^H3000001D0i^KV00<000000>KViP3Vi^H0;03Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo0;T0oooo00<000000?ooo`3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0;@3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0;P0oooo00<000000>KViP3Vi^H04`3Vi^H30000
01D0i^KV00<000000>KViP3Vi^H0;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0;L0
oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0;`3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0;H0oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV
00<000000>KViP3Vi^H0<03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0;D0oooo00<0
00000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0<@3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0;@0oooo00<000000?ooo`3Vi^H04`3Vi^H3000001D0i^KV00<00000
0>KViP3Vi^H0<P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0;<0oooo00<000000>KV
iP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0<`3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo0;80oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3V
i^H0=03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0;40oooo00<000000>KViP3Vi^H0
5@3Vi^H00`000000i^KV0>KViP0C0>KViP030000003Vi^H0i^KV03D0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`2`0?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H0=P3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo0:l0oooo00<000000>KViP3Vi^H0:`3Vi^H0
0`000000i^KV0>KViP0g0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0[P3oool00`00
0000oooo0>KViP0[0>KViP030000003Vi^H0i^KV03P0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`2]0?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H0>@3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0:`0oooo00<000000>KViP3Vi^H0:`3Vi^H00`000000i^KV
0>KViP0j0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0Z`3oool00`000000i^KV0>KV
iP0[0>KViP030000003Vi^H0i^KV03/0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2Z
0?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H0?03Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0:T0oooo00<000000>KViP3Vi^H04`3Vi^H00`000000i^KV0>KViP0E0>KV
iP030000003Vi^H0i^KV03d0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2X0?ooo`03
0000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV03h0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`2W0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000
003Vi^H0i^KV03l0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2V0?ooo`030000003V
i^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV0400i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`2U0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0
i^KV0440i^KV103oool100000040fMWI00000`000000oooo0?ooo`2T0?ooo`030000003Vi^H0i^KV
01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV0480i^KV103oool100000040fMWI00000`000000
oooo0?ooo`2S0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV04<0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`2R0?ooo`030000003Vi^H0i^KV01<0i^KV
0`00000E0>KViP030000003Vi^H0i^KV04@0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`2Q0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV04D0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`2P0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E
0>KViP030000003Vi^H0i^KV04H0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2O0?oo
o`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV04L0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`2N0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP03
0000003Vi^H0i^KV04P0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2M0?ooo`030000
003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV04T0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`2L0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003V
i^H0i^KV04X0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2K0?ooo`030000003Vi^H0
i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV04/0i^KV103oool100000040fMWI00000`00
0000oooo0?ooo`2J0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV
04`0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2I0?ooo`030000003Vi^H0i^KV01<0
i^KV0`00000E0>KViP030000003Vi^H0i^KV04d0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`2H0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV04h0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`2G0?ooo`030000003Vi^H0i^KV01<0i^KV0`00
000E0>KViP030000003Vi^H0i^KV04l0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2F
0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV0500i^KV103oool1
00000040fMWI00000`000000oooo0?ooo`2E0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KV
iP030000003Vi^H0i^KV0540i^KV103oool100000040fMWI00000`000000oooo0?ooo`2D0?ooo`03
0000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV0580i^KV103oool100000040
fMWI00000`000000oooo0?ooo`2C0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000
003Vi^H0i^KV05<0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0g0?ooo`D0o_knEP3o
ool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP1D0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0=P3oool70?knoU@0oooo00<000000>KViP3Vi^H04`3Vi^H3
000001D0i^KV00<000000>KViP3Vi^H0E@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
03D0oooo2@3no_iB0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV
05H0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0e0?ooo`T0o_knD@3oool00`000000
i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP1G0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0=03oool;0?knoTl0oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV
00<000000>KViP3Vi^H0F03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo03<0oooo103n
o_h50?gmo@<0o_knCP3oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KV
iP1I0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0<`3oool30?knoPL0oOgm0`3no_i<
0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV05X0i^KV103oool1
00000040fMWI00000`000000oooo0?ooo`0c0?ooo`<0o_kn203moOd20?knoT/0oooo00<000000>KV
iP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0F`3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo03<0oooo0P3no_h30?gmo@@0o?cl0P3moOd30?knoTT0oooo00<000000>KViP3V
i^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0G03Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0380oooo0P3no_h30?gmo@H0o?cl0P3moOd20?knoTP0oooo00<000000>KViP3Vi^H0
5@3Vi^H00`000000i^KV0>KViP0C0>KViP030000003Vi^H0i^KV05d0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`0b0?ooo`80o_kn0P3moOd30?clo080no_k0P3lo?`20?gmo@80o_knA`3o
ool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV05h0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`0a0?ooo`80o_kn0P3moOd20?clo0H0no_k00<0o?cl0?gmo@3moOd00P3no_i5
0?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H0G`3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0340oooo0P3no_h00`3moOd0o?cl0?clo0020?_kn`@0n_[j00@0no_k0?cl
o03lo?`0oOgm0P3no_i40?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H0H03Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0340oooo0P3no_h0103moOd0o?cl0?_kn`3kno/2
0?[jnP070?Win@3jn_X0n_[j0?[jnP3kno/0o?cl0?gmo@020?knoT<0oooo00<000000>KViP3Vi^H0
:`3Vi^H00`000000i^KV0>KViP1Q0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0<@3o
ool20?knoP80o?cl00<0no_k0?[jnP3inOT0103inOT00`3jn_X0no_k0?_kn`020?gmo@80o_kn@@3o
ool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV0680i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`0`0?ooo`80o_kn00@0oOgm0?clo03kno/0n_[j0P3inOT30?Shn080nOWi00@0
n_[j0?_kn`3lo?`0oOgm0P3no_i00?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H0
H`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0300oooo0P3no_h0103moOd0o?cl0?_k
n`3inOT20?Shn0@0moOg00@0n?Sh0?Win@3jn_X0o?cl0P3moOd00`3no_h0oooo0?ooo`0m0?ooo`03
0000003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H0I03Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0300oooo00P0o_kn0?gmo@3moOd0no_k0?[jnP3inOT0n?Sh0?Ogm`@0m_Kf00H0moOg
0?Shn03jn_X0no_k0?clo03moOd20?knoSd0oooo00<000000>KViP3Vi^H04`3Vi^H00`000000i^KV
0>KViP0E0>KViP030000003Vi^H0i^KV06D0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`0_0?ooo`80o_kn00L0oOgm0?clo03kno/0nOWi0?Shn03gmoL0m_Kf00<0mOGe00L0m_Kf0?Ogm`3h
n?P0nOWi0?_kn`3lo?`0oOgm0080o_kn?03oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H0
0`000000i^KV0>KViP1V0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0;`3oool20?kn
oP090?gmo@3lo?`0n_[j0?Win@3gmoL0m_Kf0?Gem@3dm?@0lo?c0080m?Cd00H0m_Kf0?Ogm`3hn?P0
n_[j0?clo03moOd20?knoS/0oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KV
iP3Vi^H0I`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo02l0oooo0P3no_h02@3moOd0
o?cl0?[jnP3hn?P0moOg0?Gem@3dm?@0lo?c0?;blP020??cl`080?Gem@3fm_H0n?Sh0?[jnP3kno/0
o?cl0?gmo@3no_hj0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV
06P0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0_0?ooo`090?knoP3moOd0oOgm0?_k
n`3inOT0moOg0?KfmP3dm?@0l_;b00<0lO7a00T0l_;b0??cl`3emOD0moOg0?Win@3kno/0o?cl0?gm
o@3no_h0>@3oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP1Y0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0;`3oool02@3no_h0oOgm0?clo03kno/0n?Sh
0?KfmP3dm?@0l_;b0?7al@030>o_k`080?3`l03bl_80m?Cd0?KfmP3hn?P0n_[j0?clo03moOd20?kn
oSL0oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0JP3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo02h0oooo0P3no_h04`3moOd0o?cl0?[jnP3gmoL0mOGe
0??cl`3alO40kno_0>k^kP3]kNd0k^k^0>o_k`3`l?00l_;b0?Gem@3hn?P0n_[j0?_kn`3moOd00P3n
o_hf0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV06/0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`0^0?ooo`80o_kn01D0oOgm0?_kn`3jn_X0moOg0?Cd
m03bl_80l?3`0>k^kP3/k>`0jn_[0>c/k03]kNd0kno_0?7al@3dm?@0moOg0?Win@3kno/0o?cl0?gm
o@3no_h0=@3oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP1/0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0;P3oool05`3no_h0oOgm0?clo03kno/0nOWi
0?KfmP3clo<0lO7a0>k^kP3/k>`0j^[Z0>WYj@3Zj^X0jn_[0>g]k@3`l?00l_;b0?KfmP3inOT0no_k
0?clo03moOd0o_kn03@0oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3V
i^H0K@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo02h0oooo01L0o_kn0?gmo@3lo?`0
no_k0?Win@3emOD0l_;b0>o_k`3/k>`0j^[Z0>SXj03WinL0j>SX0>WYj@3/k>`0k^k^0?7al@3emOD0
n?Sh0?[jnP3lo?`0oOgm0?knoP0c0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000
003Vi^H0i^KV06h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0^0?ooo`0G0?knoP3m
oOd0o?cl0?[jnP3hn?P0lo?c0?3`l03]kNd0j^[Z0>OWi`3UiND0i>CT0>GUi@3Vi^H0jNWY0>c/k03_
knl0m?Cd0?Ogm`3inOT0no_k0?gmo@3no_h0<P3oool00`000000i^KV0>KViP0C0>KViP<000005@3V
i^H00`000000i^KV0>KViP1_0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0;@3oool2
0?knoP0F0?gmo@3kno/0nOWi0?Ogm`3bl_80kno_0>_[j`3Xj>P0iNGU0>?Sh`3Rh^80hn?S0>CTi03W
inL0j^[Z0>k^kP3clo<0m_Kf0?Win@3kno/0o?cl0?knoS40oooo00<000000>KViP3Vi^H04`3Vi^H3
000001D0i^KV00<000000>KViP3Vi^H0L03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
02d0oooo0P3no_h05`3moOd0no_k0?Win@3fm_H0lO7a0>k^kP3Zj^X0i^KV0>?Sh`3QhN40gmoO0>3P
h03Rh^80iNGU0>WYj@3/k>`0l_;b0?Gem@3hn?P0n_[j0?clo03moOd0o_kn02l0oooo00<000000>KV
iP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0L@3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo02d0oooo00`0o_kn0?gmo@3lo?`0no_k0?Shn03fm_H0l?3`0>c/k03Xj>P0i>CT
0>3Ph03Ng]h20=gMg@0;0>3Ph03Shn<0inOW0>_[j`3alO40mOGe0?Shn03jn_X0o?cl0?gmo@3no_h0
;P3oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP1b0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0;@3oool06@3no_h0oOgm0?clo03jn_X0n?Sh0?Gem@3_
knl0j^[Z0>KViP3Rh^80g]kN0=_Kf`3Jf]X0fm_K0=gMg@3Ph>00iNGU0>WYj@3`l?00m?Cd0?Ogm`3j
n_X0o?cl0?gmo@3no_h0;@3oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV
0>KViP1c0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0;@3oool06@3no_h0oOgm0?cl
o03jn_X0moOg0??cl`3]kNd0j>SX0>?Sh`3Ng]h0f][J0=OGe`3EeMD0e]KF0=WIf@3MgMd0hN7Q0>KV
iP3^k^h0l_;b0?KfmP3inOT0no_k0?gmo@3no_h0;03oool00`000000i^KV0>KViP0C0>KViP<00000
5@3Vi^H00`000000i^KV0>KViP1d0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0;@3o
ool06@3no_h0oOgm0?_kn`3inOT0m_Kf0?;blP3[jn/0i^KV0>7Qh@3Kfm/0emOG0=CDe03Bd]80dm?C
0=KFeP3Jf]X0gmoO0>CTi03/k>`0lO7a0?Gem@3hn?P0no_k0?clo03no_h0:`3oool00`000000i^KV
0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP1e0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0;@3oool06@3no_h0oOgm0?_kn`3inOT0m_Kf0?7al@3Zj^X0i>CT0=kNgP3IfMT0
e=CD0=3@d03?cll0d=3@0=?Cd`3GemL0gMgM0>;RhP3[jn/0l?3`0?Cdm03hn?P0n_[j0?clo03no_h0
:P3oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP1f0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0;@3oool06@3no_h0o?cl0?_kn`3hn?P0mOGe0?3`l03X
j>P0h^;R0=cLg03Fe]H0dM7A0<g=c@3;bl/0c<c<0<o?c`3De=@0f][J0>3Ph03Zj^X0kno_0?Cdm03g
moL0n_[j0?clo03no_h0:@3oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV
0>KViP1g0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0;@3oool0603no_h0o?cl0?[j
nP3hn?P0m?Cd0>o_k`3WinL0h>3P0=WIf@3Cdm<0cLg=0<W9b@37alL0b<S80<c<c03AdM40emOG0=kN
gP3Xj>P0k^k^0??cl`3gmoL0n_[j0?clo080o_kn9`3oool00`000000i^KV0>KViP0C0>KViP<00000
5@3Vi^H00`000000i^KV0>KViP1h0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0;@3o
ool0603moOd0o?cl0?[jnP3gmoL0lo?c0>k^kP3UiND0g]kN0=OGe`3@d=00b/[:0<G5a@33`l<0aLG5
0<S8b03>c/h0e=CD0=cLg03Vi^H0kNg]0?;blP3fm_H0nOWi0?_kn`80o_kn9P3oool00`000000i^KV
0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP1i0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0;03oool06`3no_h0oOgm0?clo03inOT0m_Kf0?;blP3/k>`0h^;R0=[JfP3Bd]80
bl_;0<C4a02o_kl0_Kfm0;jn_P33`l<0bLW90=3@d03Hf=P0i>CT0>_[j`3`l?00mOGe0?Win@3kno/0
oOgm0?knoP0U0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV07X0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`0/0?ooo`0K0?knoP3moOd0no_k0?Win@3f
m_H0lO7a0>_[j`3Ph>00f=SH0<o?c`37alL0`<300;^k^`2i^KT0^[Zj0;no_`35aLD0cLg=0=GEe@3R
h^80jNWY0>o_k`3dm?@0n?Sh0?_kn`3moOd0o_kn02@0oooo00<000000>KViP3Vi^H04`3Vi^H30000
01D0i^KV00<000000>KViP3Vi^H0N`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo02`0
oooo01/0o_kn0?gmo@3kno/0nOWi0?Gem@3`l?00j^[Z0=kNgP3EeMD0c<c<0<C4a02l_;`0]kNg0;Bd
]02f][H0^[Zj0<71`@3:b/X0dm?C0>3Ph03Xj>P0k^k^0?Cdm03hn?P0n_[j0?gmo@3no_h08`3oool0
0`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP1l0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool0;03oool06`3no_h0oOgm0?_kn`3hn?P0m?Cd0>o_k`3YjNT0g=cL
0=?Cd`39bLT0`<300;Rh^02b/[80[jn_0;6a/@2f][H0_Kfm0<K6aP3@d=00g]kN0>KViP3]kNd0lo?c
0?Ogm`3jn_X0oOgm0?knoP0R0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003V
i^H0i^KV07d0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0/0?ooo`0K0?knoP3lo?`0
no_k0?Shn03dm?@0k^k^0>OWi`3Jf]X0d=3@0<K6aP2l_;`0];Bd0:j^[P2ZZZX0[:b/0;:b/P2i^KT0
`l?30<g=c@3Lg=`0iNGU0>c/k03bl_80moOg0?[jnP3moOd0o_kn0240oooo00<000000>KViP3Vi^H0
4`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0OP3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo02`0oooo01/0o_kn0?clo03jn_X0moOg0??cl`3]kNd0iNGU0=OGe`3<c<`0`L710;Jf]P2]
[Jd0YZJV0:>SX`2UYJD0Zj^[0;>c/`2m_Kd0b<S80=WIf@3Rh^80j^[Z0?7al@3fm_H0nOWi0?gmo@3n
o_h0803oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP1o0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0;03oool06P3no_h0o?cl0?[jnP3fm_H0l_;b0>c/
k03Shn<0e=CD0<W9b@2m_Kd0/[:b0:RXZ02QXJ40WYjN0:2PX02VYZH0[jn_0;Zj^P35aLD0emOG0>7Q
h@3YjNT0l?3`0?Gem@3inOT0o?cl0P3no_hN0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KV
iP030000003Vi^H0i^KV0800i^KV103oool100000040fMWI00000`000000oooo0?ooo`0/0?ooo`0J
0?knoP3lo?`0nOWi0?KfmP3alO40j^[Z0>;RhP3Bd]80a/K60;Vi^@2^[Zh0Xj>S09bLW02HV9P0Vi^K
0:6QX@2ZZZX0][Jf0<;2`P3De=@0gmoO0>SXj03_knl0mOGe0?Win@3lo?`20?knoQd0oooo00<00000
0>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0P@3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo02`0oooo01`0o_kn0?clo03inOT0mOGe0?3`l03YjNT0h>3P0=3@d033`l<0
][Jf0:VYZ@2OWil0UiNG09>CT`2EUID0W9bL0:JVYP2b/[80_kno0=;BdP3MgMd0inOW0>k^kP3dm?@0
n?Sh0?clo03moOd0o_kn703oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV
0>KViP220>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0;03oool0703no_h0no_k0?Wi
n@3emOD0kno_0>SXj03Ogml0cLg=0<30`02b/[80YJFU09ZJVP2ATI40SHf=092@T02GUiL0XJ6Q0:j^
[P2l_;`0d=3@0=cLg03Vi^H0kNg]0??cl`3hn?P0o?cl0?gmo@3no_hK0?ooo`030000003Vi^H0i^KV
01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV08<0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`0[0?ooo`80o_kn01/0no_k0?Shn03dm?@0kno_0>OWi`3MgMd0bl_;0;fm_@2^[Zh0X:2P
09BDU02<S8`0QhN708Z:RP2BTY80W9bL0:ZZZP2h^;P0cLg=0=[JfP3Ti>@0kNg]0??cl`3gmoL0o?cl
0?gmo@3no_h06P3oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP24
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0:`3oool07@3no_h0oOgm0?_kn`3hn?P0
m?Cd0>g]k@3UiND0fm_K0<O7a`2h^;P0Z:RX09VIV@2=SHd0Q8B407moO`22PX80RXZ:09FEU@2TY:@0
/k>c0<[:bP3GemL0h^;R0>_[j`3bl_80moOg0?_kn`3moOd0o_kn01T0oooo00<000000>KViP3Vi^H0
4`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0Q@3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo02/0oooo01d0o_kn0?gmo@3kno/0n?Sh0??cl`3]kNd0i>CT0=WIf@34a<@0];Bd0:BTY02E
UID0R8R807inOP1iNGT0O7al08B4Q02@T900WinO0;2`/037alL0eMGE0>7Qh@3Zj^X0lO7a0?KfmP3k
no/0oOgm0?knoP0H0?ooo`030000003Vi^H0i^KV01D0i^KV00<000000>KViP3Vi^H04`3Vi^H00`00
0000i^KV0>KViP260>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0:`3oool07@3no_h0
oOgm0?_kn`3gmoL0lo?c0>c/k03Shn<0emOG0<;2`P2a/K40X:2P092@T022PX80N7Qh07=cL`1fMWH0
Ogmo08b<S02KVi/0[:b/0<G5a@3Cdm<0h>3P0>WYj@3alO40m_Kf0?_kn`3moOd0o_kn01L0oooo00<0
00000>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP270>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0:`3oool07@3no_h0oOgm0?[jnP3gmoL0l_;b0>_[j`3Rh^80e]KF0;no_`2^[Zh0W9bL
08^;R`1mOGd0Lg=c06e]K@1`L700NGUi08N7Q`2GUiL0ZJVY0<;2`P3Bd]80g]kN0>SXj03`l?00m_Kf
0?_kn`3moOd0o_kn01H0oooo00<000000>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP280>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0:`3oool07@3no_h0oOgm0?[jnP3gmoL0lO7a0>[Z
jP3Ph>00e=CD0;bl_02[Zj/0V9RH08N7Q`1hN7P0KFe]06MWI`1[Jf/0M7Ad08:2PP2CTi<0YJFU0<30
`03@d=00gMgM0>SXj03`l?00mOGe0?_kn`3moOd0o_kn01D0oooo00<000000>KViP3Vi^H0:`3Vi^H0
0`000000i^KV0>KViP290>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0:`3oool07@3n
o_h0oOgm0?[jnP3fm_H0lO7a0>WYj@3Ogml0dM7A0;Vi^@2VYZH0TY:B0820P01`L700I6AT05iNGP1R
HV80K6a/07YjNP2<S8`0X:2P0;bl_03=cLd0fm_K0>KViP3_knl0mOGe0?[jnP3moOd0o_kn01@0oooo
00<000000>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP2:0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0:`3oool07@3no_h0oOgm0?[jnP3fm_H0l?3`0>SXj03MgMd0d=3@0;Jf]P2RXZ80
SXj>07]kN`1[Jf/0GemO05QHF01LG5`0IVIV07IfMP28R8P0W9bL0;Zj^P3;bl/0f][J0>GUi@3^k^h0
m?Cd0?[jnP3lo?`0o_kn01<0oooo00<000000>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP2;0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0:`3oool07@3no_h0oOgm0?Win@3emOD0l?3`
0>OWi`3Lg=`0c/k>0;>c/`2OWil0RXZ:07IfMP1UIFD0FEUI05=CD`1GEeL0HF5Q075aL@24Q8@0VIVI
0;Ng]`39bLT0f=SH0>CTi03]kNd0m?Cd0?[jnP3lo?`0o_kn0180oooo00<000000>KViP3Vi^H0:`3V
i^H00`000000i^KV0>KViP2<0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0:`3oool0
7@3no_h0oOgm0?Win@3emOD0kno_0>KViP3Kfm/0c<c<0;6a/@2LW9`0QXJ6079bLP1PH600E5AD04e=
C@1ADE40G5aL06a/K020P800UIFE0;Fe]@37alL0emOG0>?Sh`3]kNd0lo?c0?[jnP3lo?`0o_kn0140
oooo00<000000>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP2=0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0:`3oool0703no_h0oOgm0?Win@3emOD0kno_0>KViP3Jf]X0bl_;0:j^[P2I
VIT0PX:206e]K@1KFe/0CTi>04M7A`1<C4`0EeMG06MWI`1lO7`0TY:B0;>c/`36a/H0e]KF0>;RhP3/
k>`0lo?c0?[jnP3lo?`20?knoPl0oooo00<000000>KViP3Vi^H04`3Vi^H00`000000i^KV0>KViP0E
0>KViP030000003Vi^H0i^KV08h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0[0?oo
o`0L0?knoP3moOd0nOWi0?Cdm03^k^h0iNGU0=WIf@39bLT0[:b/09JFUP1oOgl0JFUY05IFEP19BDT0
@T9204I6AP1BDU80Hf=S07QhN02?Shl0/;2`0<C4a03De=@0h^;R0>c/k03clo<0nOWi0?clo080o_kn
3P3oool00`000000i^KV0>KViP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP2?0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0:`3oool07P3no_h0o?cl0?Shn03dm?@0kNg]0>CTi03G
emL0alO70:VYZ@2ATI40NGUi06=SH`1?Cdl0@D5103Xj>P0n?Sh0BTY:05aLG01bLW80RXZ:0:f][@31
`L40dm?C0>3Ph03[jn/0l_;b0?Win@3lo?`0oOgm0?knoPd0oooo00<000000>KViP3Vi^H04`3Vi^H3
000001D0i^KV00<000000>KViP3Vi^H0T03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
02/0oooo01h0o_kn0?clo03hn?P0m?Cd0>g]k@3Shn<0e]KF0<K6aP2VYZH0Shn?07IfMP1OGel0Bd];
03`l?00e=CD0>SXj04I6AP1HF5P0Kfm_08N7Q`2[Zj/0`<300=;BdP3Ph>00j^[Z0?;blP3inOT0o?cl
0?gmo@3no_h<0?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV0940
i^KV103oool100000040fMWI00000`000000oooo0?ooo`0[0?ooo`0N0?knoP3lo?`0n?Sh0??cl`3/
k>`0h^;R0=GEe@34a<@0Y:BT08b<S01cLg<0Fe]K04I6AP0h>3P0<30`03De=@11@D40E5AD06][J`24
Q8@0ZJVY0;jn_P3@d=00gmoO0>[ZjP3bl_80nOWi0?clo03moOd0o_kn2`3oool00`000000i^KV0>KV
iP0C0>KViP<000005@3Vi^H00`000000i^KV0>KViP2B0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0:`3oool07P3no_h0o?cl0?Shn03clo<0k>c/0>;RhP3De=@0`l?30::RXP29RHT0L71`
05MGE`12@T80<c<c02/[:`0`<300?Cdm051@D01XJ6P0PX:20:NWY`2m_Kd0clo?0=kNgP3YjNT0lO7a
0?Win@3lo?`0oOgm0?knoPX0oooo00<000000>KViP3Vi^H04`3Vi^H3000001D0i^KV00<000000>KV
iP3Vi^H0T`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo02/0oooo01h0o_kn0?clo03h
n?P0lo?c0>c/k03QhN40dm?C0<;2`P2PX:00QhN706e]K@1DE5@0?Shn02l_;`0W9bL0;2`/03Ti>@1=
CDd0IFEU07moO`2UYJD0^k^k0<k>cP3MgMd0jNWY0?7al@3inOT0no_k0?gmo@3no_h90?ooo`030000
003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV09@0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`0Z0?ooo`80o_kn01d0o?cl0?Shn03clo<0jn_[0>3Ph03Bd]80`<3009jN
WP23Ph<0J6QX04m?C`0i>CT0:BTY024Q8@0V9RH0=3@d04Q8B01PH600Ng]k0:>SX`2j^[X0cLg=0=cL
g03Xj>P0lO7a0?Shn03kno/0oOgm0?knoP080?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KV
iP030000003Vi^H0i^KV09D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0Z0?ooo`80
o_kn01d0o?cl0?Ogm`3bl_80jn_[0>3Ph03AdM40_kno09bLW021PH40IVIV04a<C00f=SH09RHV01dM
7@0R8R80<30`04E5A@1NGUh0NGUi0:6QX@2h^;P0c<c<0=cLg03Xj>P0l?3`0?Shn03kno/0oOgm0?kn
oP070?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV09H0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`0Z0?ooo`80o_kn01d0o?cl0?Ogm`3bl_80j^[Z0=oO
g`3AdM40_[jn09ZJVP1oOgl0I6AT04U9B@0c<c<08R8R01XJ6P0O7al0;Bd]0492@P1KFe/0MgMg0:2P
X02g]kL0bl_;0=_Kf`3WinL0l?3`0?Shn03kno/0oOgm0?knoP060?ooo`030000003Vi^H0i^KV01<0
i^KV0`00000E0>KViP030000003Vi^H0i^KV09L0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`0Z0?ooo`80o_kn01d0o?cl0?Ogm`3bl_80j^[Z0=oOg`3@d=00_Kfm09VIV@1nOWh0HV9R04M7
A`0`<300820P01LG5`0L71`0:RXZ03lo?`1IFET0MGEe09jNWP2f][H0bl_;0=_Kf`3WinL0l?3`0?Sh
n03kno/0oOgm0?knoP050?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0
i^KV09P0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0Z0?ooo`0O0?knoP3moOd0o?cl
0?Ogm`3bl_80j^[Z0=oOg`3?cll0_;bl09RHV01lO7`0H61P04E5A@0^;Rh07AdM01@D500I6AT0:2PX
03dm?@1GEeL0M7Ad09fMW@2f][H0b/[:0=[JfP3WinL0l?3`0?Shn03kno/0oOgm0?knoP040?ooo`03
0000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV09T0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`0Z0?ooo`0O0?knoP3moOd0o?cl0?Ogm`3bl_80jNWY0=kNgP3?cll0
^k^k09JFUP1jNWX0GEeM0492@P0Z:RX06QXJ010@400F5QH09BDU03Xj>P1EEED0LW9b09bLW02d];@0
bLW90=[JfP3Vi^H0kno_0?Shn03kno/0oOgm0?knoP030?ooo`030000003Vi^H0i^KV01<0i^KV0`00
000E0>KViP030000003Vi^H0i^KV09X0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0Z
0?ooo`0O0?knoP3moOd0o?cl0?Ogm`3alO40jNWY0=kNgP3>c/h0^k^k09JFUP1iNGT0G5aL0410@00Y
:BT061PH00l?3`0D51@08b<S03Ti>@1DE5@0LG5a09^KV`2d];@0bLW90=[JfP3Vi^H0kno_0?Shn03k
no/0oOgm0?knoP020?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP030000003Vi^H0i^KV
09/0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0Z0?ooo`0Q0?knoP3moOd0o?cl0?Og
m`3alO40jNWY0=kNgP3>c/h0^[Zj09FEU@1hN7P0Fe]K03lo?`0X:2P05QHF00d=3@0C4a<08R8R03Ph
>01CDe<0L71`09ZJVP2c/k<0bLW90=WIf@3Vi^H0kno_0?Shn03kno/0oOgm0?knoP3oool0000001D0
i^KV0`00000E0>KViP030000003Vi^H0i^KV09`0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`0Z0?ooo`0P0?knoP3moOd0o?cl0?Ogm`3alO40jNWY0=gMg@3>c/h0^[Zj09BDU01hN7P0FUYJ
03hn?P0W9bL05ADE00`<300B4Q808B4Q03Lg=`1BDU80Kfm_09ZJVP2c/k<0b<S80=WIf@3Vi^H0kno_
0?Shn03kno/0oOgm0?knoP00000E0>KViP<000005@3Vi^H00`000000i^KV0>KViP2M0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0:P3oool0803no_h0oOgm0?clo03gmoL0lO7a0>WYj@3M
gMd0c/k>0;Zj^P2DU9@0MgMg05YJFP0n?Sh09RHV01DE5@0;2`/04A4A020P800f=SH0DE5A06m_K`2J
VYX0/k>c0<S8b03IfMT0i^KV0>o_k`3hn?P0no_k0?gmo@000000iNGU503Vi^H3000001D0i^KV00<0
00000>KViP3Vi^H0WP3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo02X0oooo01h0o_kn
0?gmo@3lo?`0moOg0?7al@3YjNT0gMgM0<k>cP2j^[X0U9BD07MgM`1JFUX0?Shn02HV9P0D51@02`/;
014A4@0P8200=SHf055AD@1^KVh0VYZJ0;>c/`38b<P0fMWI0>KViP3_knl0n?Sh0?_kn`0000020>GU
iA<0i^KV0`00000E0>KViP030000003Vi^H0i^KV09l0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`0Z0?ooo`0N0?knoP3moOd0o?cl0?Ogm`3alO40jNWY0=gMg@3>c/h0^[Zj09BDU01gMgL0
FUYJ03hn?P0V9RH05ADE00/;2`0A4A40820P03Hf=P1ADE40Kfm_09ZJVP2c/k<0b<S80=WIf@3Vi^H0
kno_0?Shn0000000hn?S0P3UiNDB0>KViP<000005@3Vi^H00`000000i^KV0>KViP2P0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0:P3oool07P3no_h0oOgm0?clo03gmoL0lO7a0>WYj@3M
gMd0c/k>0;Zj^P2DU9@0N7Qh05YJFP0n?Sh09bLW01DE5@0<30`04Q8B024Q8@0g=cL0DU9B06m_K`2J
VYX0/k>c0<S8b03IfMT0i^KV0>o_k`000000hN7Q0>?Sh`80iNGU4@3Vi^H3000001D0i^KV00<00000
0>KViP3Vi^H0X@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo02X0oooo01h0o_kn0?gm
o@3lo?`0moOg0?7al@3YjNT0g]kN0<k>cP2j^[X0UIFE07QhN01KFe/0?clo02PX:00F5QH03@d=01<C
4`0R8R80>3Ph05=CD`1`L700VYZJ0;>c/`39bLT0fMWI0>KViP000000g]kN0>7Qh@3Shn<20>GUiA00
i^KV0`00000E0>KViP030000003Vi^H0i^KV0:80i^KV103oool100000040fMWI00000`000000oooo
0?ooo`0Z0?ooo`0N0?knoP3moOd0o?cl0?Ogm`3alO40jNWY0=kNgP3>c/h0^k^k09JFUP1iNGT0G5aL
0410@00Y:BT061PH00l?3`0D51@08b<S03Ti>@1DE5@0LG5a09^KV`2d];@0bLW90=[JfP000000e]KF
0=kNgP3QhN40hn?S0P3UiND?0>KViP<000005@3Vi^H00`000000i^KV0>KViP2S0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0:P3oool07P3no_h0oOgm0?clo03gmoL0l_;b0>WYj@3Ng]h0
clo?0;^k^`2FUYH0NWYj05eMG@12@T80:RXZ01XJ6P0@41005QHF02DU9@0j>SX0EEEE079bLP2LW9`0
];Bd0<W9b@000000cLg=0=KFeP3Ng]h0hN7Q0>?Sh`80iNGU3P3Vi^H3000001D0i^KV00<000000>KV
iP3Vi^H0Y03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo02X0oooo01h0o_kn0?gmo@3l
o?`0moOg0?;blP3Zj^X0gmoO0<o?c`2l_;`0V9RH07alO01PH600ADE502h^;P0M7Ad051@D01TI6@0X
:2P0?Cdm05MGE`1dM7@0WIfM0;Jf]P000000`L710<g=c@3Fe]H0g]kN0>;RhP3Shn<20>GUi@d0i^KV
0`00000E0>KViP030000003Vi^H0i^KV0:D0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`0Z0?ooo`80o_kn01`0o?cl0?Ogm`3bl_80j^[Z0=oOg`3@d=00_Kfm09VIV@1nOWh0HV9R04M7A`0`
<300820P01LG5`0L71`0:RXZ03lo?`1IFET0MGEe09jNWP000000/K6a0<71`@3=cLd0e]KF0=kNgP3R
h^80i>CT0P3UiND<0>KViP<000005@3Vi^H00`000000i^KV0>KViP2V0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0:P3oool20?knoP0L0?clo03gmoL0l_;b0>[ZjP3Ogml0dM7A0;jn_P2J
VYX0Ogmo06ATI019BDT0<c<c028R8P0J6QX07alO02d];@12@T80Fe]K07MgM`000000WYjN0;:b/P32
`/80c/k>0=KFeP3Ogml0h^;R0>CTi080iNGU2`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0Y`3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo02X0oooo0P3no_h0703lo?`0moOg0?;blP3[
jn/0h>3P0=7Ad@2o_kl0W9bL0861P@1VIVH0C4a<03Hf=P0V9RH07AdM028R8P0`<300ADE505iNGP00
0000QhN709nOW`2c/k<0`/;20<k>cP3GemL0gmoO0>;RhP3Ti>@20>GUi@X0i^KV0`00000E0>KViP03
0000003Vi^H0i^KV0:P0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0Z0?ooo`80o_kn
01`0o?cl0?Shn03clo<0jn_[0>3Ph03Bd]80`<3009jNWP23Ph<0J6QX04m?C`0i>CT0:BTY024Q8@0V
9RH0=3@d04Q8B0000000HV9R08V9R@2PX:00/k>c0<?3``3?cll0emOG0=oOg`3Rh^80i>CT0P3UiND9
0>KViP<000005@3Vi^H00`000000i^KV0>KViP2Y0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool0:`3oool07@3no_h0o?cl0?Shn03clo<0jn_[0>7Qh@3Cdm<0`L7109nOW`26QXH0Jf][059B
DP0m?Cd0;Bd]02DU9@0Z:RX0=cLg0000001:BTX0I6AT08^;R`2QXJ40];Bd0<?3``3?cll0emOG0=oO
g`3Rh^80i>CT0080iNGU203Vi^H3000001D0i^KV00<000000>KViP3Vi^H0ZP3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo02/0oooo01d0o_kn0?clo03hn?P0lo?c0>c/k03Rh^80e=CD0<?3
``2RXZ80RHV9071`L01GEeL0@T9203<c<`0[:b/0<30`0000000g=cL0CTi>06QXJ02=SHd0Xj>S0;Jf
]P34a<@0d=3@0=SHf03Ogml0h^;R0>CTi0020>GUi@L0i^KV0`00000E0>KViP030000003Vi^H0i^KV
0:/0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0[0?ooo`0M0?knoP3lo?`0n?Sh0??c
l`3/k>`0h^;R0=GEe@34a<@0Y:BT08b<S01cLg<0Fe]K04I6AP0h>3P0<30`0000000X:2P0>c/k059B
DP1[Jf/0Shn?0:FUY@2g]kL0aLG50=3@d03Hf=P0gmoO0>;RhP3Ti>@00P3UiND60>KViP<000005@3V
i^H00`000000i^KV0>KViP2/0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0:`3oool0
7@3no_h0o?cl0?Shn03dm?@0kNg]0>?Sh`3Fe]H0a/K60:JVYP2?Shl0MWIf05mOG`1;Bd/0?3`l0000
000P8200;2`/03lo?`1EEED0KVi^096AT@2VYZH0^;Rh0<K6aP3AdM40f=SH0=oOg`3Rh^80i>CT0080
iNGU1@3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0[@3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo02/0oooo01d0o_kn0?clo03hn?P0m?Cd0>g]k@3Ti>@0emOG0<O7a`2YZJT0TI6A07Ui
N@1SHf<0Cdm?0000000P82009BDU034a<@13@d<0FEUI075aL@2CTi<0Z:RX0;Vi^@37alL0dM7A0=WI
f@3Ph>00h^;R0>CTi0020>GUi@H0i^KV00<000000>KViP3Vi^H04`3Vi^H00`000000i^KV0>KViP2^
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0:`3oool07@3no_h0o?cl0?Win@3dm?@0
k^k^0>GUi@3Hf=P0b<S80:^[Z`2DU9@0OGem06MWI`000000;Bd]02DU9@0Z:RX0=SHf04M7A`1MGEd0
M7Ad09JFUP2YZJT0^[Zj0<S8b03Bd]80fMWI0>3Ph03Rh^80i>CT0080iNGU6`3Vi^H00`000000i^KV
0>KViP2_0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0:`3oool07@3no_h0oOgm0?Wi
n@3emOD0kno_0>KViP3Jf]X0bl_;0:j^[P2IVIT0PX:200000012@T80=CDe02h^;P0b<S80?Cdm04i>
CP1RHV80NGUi09VIV@2/[:`0_;bl0<W9b@3Cdm<0f][J0>3Ph03Rh^80i>CT0080iNGU6P3Vi^H00`00
0000i^KV0>KViP2`0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0:`3oool07@3no_h0
oOgm0?Win@3emOD0kno_0>KViP3Kfm/0c<c<0;6a/@2LW9`0000005QHF017AdL0>SXj03<c<`0g=cL0
@T9205=CD`1VIVH0O7al09^KV`2^[Zh0_Kfm0<[:bP3Cdm<0f][J0>3Ph03Shn<0i>CT0080iNGU6@3V
i^H00`000000i^KV0>KViP2a0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0:`3oool0
7@3no_h0oOgm0?Win@3emOD0l?3`0>OWi`3Lg=`0c/k>0;>c/`000000LG5a05eMG@1<C4`0@41003Ti
>@0m?Cd0B4Q805MGE`1ZJVX0Ogmo09jNWP2`/;00_kno0<_;b`3De=@0f][J0>3Ph03Shn<0i>CT0080
iNGU603Vi^H00`000000i^KV0>KViP2b0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
:`3oool07@3no_h0oOgm0?[jnP3fm_H0l?3`0>SXj03MgMd0d=3@00000029RHT0MGEe065QH@1ADE40
ADE503lo?`13@d<0CDe=05aLG01_Kfl0Ph>30:2PX02a/K40`<300<c<c03De=@0fm_K0>7Qh@3Shn<0
i>CT0080iNGU5`3Vi^H00`000000i^KV0>KViP2c0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool0:`3oool07@3no_h0oOgm0?[jnP3fm_H0lO7a0>WYj@3Ogml0000009nOW`2<S8`0N7Qh06IV
IP1FEUH0Bd];04E5A@18B4P0DU9B065QH@1cLg<0QXJ60:>SX`2c/k<0`L710<g=c@3EeMD0fm_K0>7Q
h@3Shn<0i>CT0080iNGU5P3Vi^H00`000000i^KV0>KViP2d0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0:`3oool07@3no_h0oOgm0?[jnP3fm_H0lO7a0>[ZjP000000^KVi0::RXP2?Shl0
O7al06][J`1KFe/0D51@04Y:BP1>CTh0F5QH06IVIP1gMgL0RXZ:0:FUY@2e]KD0`l?30<g=c@3Fe]H0
fm_K0>7Qh@3Shn<0i>CT0080iNGU5@3Vi^H00`000000i^KV0>KViP2e0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0:`3oool07@3no_h0oOgm0?[jnP3gmoL0l_;b00000038b<P0_;bl0:FU
Y@2DU9@0Ph>3079bLP1SHf<0FEUI05=CD`1GEeL0H61P06e]K@1mOGd0Shn?0:VYZ@2h^;P0aLG50<o?
c`3GemL0g=cL0>7Qh@000000i>CT0080iNGU503Vi^H00`000000i^KV0>KViP2f0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0:`3oool06P3no_h0oOgm0?_kn`3gmoL000000=;BdP39bLT0
_[jn0:RXZ02HV9P0QhN707IfMP1YJFT0GemO05UIF@1MGEd0IFEU079bLP22PX80TY:B0:^[Z`2j^[X0
a/K60=3@d03GemL0g=cL0`0000000`3UiND0i^KV0>KViP0B0>KViP030000003Vi^H0i^KV0;L0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`0[0?ooo`0I0?knoP3moOd0no_k0000003IfMT0
dm?C0<[:bP2o_kl0Zj^[09^KV`2;Rh/0Ng]k06i^KP1TI6@0GemO069RHP1[Jf/0MgMg08J6QP2FUYH0
[Zj^0;bl_037alL0dM7A0=SHf00300000080iNGU4`3Vi^H00`000000i^KV0>KViP2h0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0:`3oool0603no_h0oOgm0000003Ng]h0f][J0=CDe03<
c<`0`L710:f][@2NWYh0Shn?0820P01cLg<0JVYZ06EUI@1XJ6P0L71`07alO02:RXX0VIVI0;2`/02m
_Kd0bLW90=;BdP<0000000<0i>CT0>GUi@3UiND04P3Vi^H00`000000i^KV0>KViP2i0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0:`3oool05`3no_h000000>;RhP3Ogml0fm_K0=GEe@3=
cLd0`l?30;2`/02QXJ40TY:B08B4Q01hN7P0L71`06][J`1^KVh0MGEe0820P02>SXh0WIfM0;>c/`2o
_kl0b/[:00<0000000@0h^;R0>CTi03UiND0iNGU4@3Vi^H00`000000i^KV0>KViP2j0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0:`3oool05P000000i>CT0>;RhP3Ogml0fm_K0=KFeP3?
cll0aLG50;Bd]02VYZH0V9RH08^;R`20P800N7Qh07=cL`1fMWH0OGem08R8R02DU9@0XZ:R0;Jf]P32
`/83000000030=kNgP3Rh^80i>CT0080iNGU403Vi^H00`000000i^KV0>KViP2k0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0:P3oool05P000000iNGU0>CTi03Rh^80h>3P0=cLg03GemL0
d=3@0<O7a`2f][H0ZJVY09bLW02@T900QHF507emO@1iNGT0O7al08:2PP2<S8`0V9RH0:FUY@2h^;P3
000000040=[JfP3Ogml0h^;R0>CTi080iNGU3`3Vi^H00`000000i^KV0>KViP2l0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0:@3oool05P000000iNGU0>GUi@3Ti>@0h^;R0>3Ph03Lg=`0
emOG0=7Ad@38b<P0^;Rh0:b/[02PX:00U9BD08Z:RP23Ph<0Ogmo0861P@27QhL0TI6A09bLW02YZJT3
000000050=KFeP3Kfm/0gmoO0>?Sh`3Ti>@00P3UiND>0>KViP030000003Vi^H0i^KV0;d0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`0X0?ooo`0F0000003Vi^H0iNGU0>GUi@3Ti>@0h^;R
0>3Ph03MgMd0f=SH0=;BdP3:b/X0^k^k0:n_[`2SXj<0V9RH08n?S`28R8P0Q8B408J6QP2<S8`0UIFE
0:2PX0<0000000H0d=3@0=KFeP3Lg=`0gmoO0>?Sh`3Ti>@20>GUi@d0i^KV00<000000>KViP3Vi^H0
_P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo02L0oooo00<000000>KViP3Vi^H00P3U
iND04@3Ti>@0hn?S0>3Ph03MgMd0fMWI0=?Cd`3;bl/0_Kfm0;:b/P2WYjL0W9bL09>CT`2=SHd0RHV9
08^;R`2ATI40VIVI00<0000000L0bLW90=7Ad@3GemL0g=cL0>3Ph03Shn<0i>CT0080iNGU303Vi^H0
0`000000i^KV0>KViP2o0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool09P3oool00`00
0000i^KV0>KViP020>KViP80iNGU00l0hn?S0>7Qh@3Ng]h0f][J0=GEe@3>c/h0`<300;Jf]P2/[:`0
XZ:R09ZJVP2DU9@0TI6A09>CT`2HV9P00`0000002032`/80bl_;0=?Cd`3IfMT0gMgM0>3Ph03Shn<0
i>CT0P3UiND;0>KViP030000003Vi^H0i^KV0<00i^KV103oool100000040fMWI00000`000000oooo
0?ooo`0U0?ooo`030000003Vi^H0i^KV00<0i^KV0P3UiND03P3Shn<0hN7Q0=oOg`3Kfm/0e]KF0<o?
c`33`l<0^KVi0:n_[`2VYZH0WYjN09VIV@2FUYH0V9RH0`0000002@2f][H0a<C40<g=c@3De=@0fMWI
0=gMg@3QhN40hn?S0>CTi0020>GUi@X0i^KV00<000000>KViP3Vi^H0`@3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo02@0oooo00<000000>KViP3Vi^H0103Vi^H20>GUi@0=0>?Sh`3QhN40
gmoO0=_Kf`3Fe]H0d=3@0<G5a@2l_;`0/k>c0:ZZZP2SXj<0WIfM09ZJVP03000000090;2`/02i^KT0
a/K60<k>cP3EeMD0f][J0=kNgP3QhN40hn?S00<0iNGU2@3Vi^H00`000000i^KV0>KViP320>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool08`3oool00`000000i^KV0>KViP050>KViP80iNGU
00`0hn?S0>;RhP3Ogml0g=cL0=OGe`3Bd]80alO70;jn_P2f][H0[Zj^0:NWY`2RXZ830000000:0:^[
Z`2c/k<0_;bl0<S8b03@d=00e]KF0=_Kf`3Ng]h0hN7Q0>CTi080iNGU2@3Vi^H00`000000i^KV0>KV
iP330>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool08P3oool00`000000i^KV0>KViP06
0>KViP80iNGU00/0i>CT0>;RhP3Ph>00gMgM0=SHf03Cdm<0bLW90<71`@2i^KT0/K6a0:^[Z`030000
000;0:VYZ@2_[jl0][Jf0;jn_P3:b/X0dM7A0=OGe`3Kfm/0gmoO0>7Qh@3Ti>@00P3UiND80>KViP03
0000003Vi^H0i^KV0<@0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0Q0?ooo`030000
003Vi^H0i^KV00L0i^KV0P3UiND02P3Ti>@0h^;R0>3Ph03MgMd0fMWI0=CDe03:b/X0`l?30;bl_02d
];@30000000<0:VYZ@2][Jd0/[:b0;Vi^@31`L40c<c<0=;BdP3Hf=P0g=cL0=oOg`3Rh^80i>CT0P3U
iND70>KViP030000003Vi^H0i^KV0<D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0P
0?ooo`030000003Vi^H0i^KV00P0i^KV0P3UiND02@3Ti>@0hn?S0>7Qh@3Ng]h0f][J0=KFeP3=cLd0
a/K60<30`0030000000=0:j^[P2_[jl0/[:b0;Ng]`2n_[h0a<C40<k>cP3De=@0fMWI0=gMg@3Ph>00
h^;R0>CTi0020>GUi@H0i^KV00<000000>KViP3Vi^H0aP3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo01l0oooo00<000000>KViP3Vi^H02@3Vi^H20>GUi@080>CTi03Shn<0hN7Q0=oOg`3K
fm/0emOG0<o?c`39bLT30000000>0;>c/`2a/K40/k>c0;Jf]P2k^k/0`<300<O7a`3@d=00eMGE0=[J
fP3Ng]h0h>3P0>;RhP3Ti>@20>GUi@D0i^KV00<000000>KViP3Vi^H0a`3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo01h0oooo00<000000>KViP3Vi^H02P3Vi^H20>GUi@070>CTi03Shn<0
hN7Q0=oOg`3Lg=`0f=SH0=3@d0030000000?0;Zj^P2g]kL0]KFe0;Jf]P2i^KT0_[jn0<?3``39bLT0
dM7A0=OGe`3Kfm/0g]kN0>7Qh@3Shn<0i>CT0080iNGU103Vi^H00`000000i^KV0>KViP380>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool07@3oool00`000000i^KV0>KViP0<0>KViP070>GU
i@3Ti>@0hn?S0>;RhP3Ph>00gMgM0=WIf@030000000@0<;2`P2m_Kd0^[Zj0;Rh^02i^KT0_;bl0<30
`035aLD0bl_;0=?Cd`3Hf=P0g=cL0=oOg`3QhN40hn?S0>CTi080iNGU0`3Vi^H00`000000i^KV0>KV
iP390>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0703oool00`000000i^KV0>KViP0=
0>KViP060>GUi@3Ti>@0hn?S0>;RhP3Ph>00gMgM0`0000004039bLT0a<C40<30`02m_Kd0_;bl0;fm
_@2o_kl0`l?30<S8b03=cLd0e=CD0=WIf@3Lg=`0gmoO0>7Qh@3Shn<30>GUi@80i^KV00<000000>KV
iP3Vi^H0bP3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01/0oooo00<000000>KViP3V
i^H03P3Vi^H20>GUi@030>CTi03Rh^80hN7Q00<000000140dM7A0<c<c038b<P0a<C40<;2`P30`<00
`L710<?3``37alL0bl_;0=3@d03Fe]H0f][J0=gMg@3Ph>00h^;R0>?Sh`020>GUi@80i^KV00<00000
0>KViP3Vi^H0b`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01X0oooo00<000000>KV
iP3Vi^H03`3Vi^H20>GUi@030>CTi03Shn<00000008000000180emOG0=;BdP3>c/h0b/[:0<O7a`34
a<@0`l?30<C4a036a/H0bLW90<g=c@3AdM40emOG0=_Kf`3Ng]h0h>3P0>;RhP3Ti>@20>GUi@030>KV
iP000000i^KV0<d0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0I0?ooo`030000003V
i^H0i^KV0100i^KV0P3UiND02`3Ti>@00000000000000000gMgM0=SHf03De=@0d=3@0<c<c039bLT0
alO70080a/K600X0b<S80<_;b`3?cll0dm?C0=SHf03Lg=`0gmoO0>7Qh@3Shn<0i>CT0P3UiND00`00
0000i^KV0>KViP3=0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0603oool00`000000
i^KV0>KViP0A0>KViP80iNGU0`0000005P3Ph>00gMgM0=WIf@3EeMD0d];B0<k>cP3;bl/0bLW90<S8
b039bLT0bl_;0<g=c@3AdM40e=CD0=[JfP3MgMd0gmoO0>7Qh@3Shn<0i>CT0>GUi@00003@0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool05`3oool00`000000i^KV0>KViP0B0>KViP0=0>GU
i@00000000000000003Rh^80h>3P0=kNgP3Jf]X0emOG0=?Cd`3@d=00c/k>0<c<c0020<_;b`0<0<g=
c@3?cll0d];B0=KFeP3Kfm/0gMgM0>3Ph03Rh^80hn?S0>CTi0000000iNGUd03Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo01H0oooo00<000000>KViP3Vi^H04`3Vi^H30000000:0>CTi03R
h^80hN7Q0=oOg`3Kfm/0f=SH0=GEe@3Bd]80d=3@0<k>cP80cLg=00X0clo?0=7Ad@3De=@0emOG0=_K
f`3Ng]h0h>3P0>;RhP3Shn<000000P3UiNG@0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool05@3oool00`000000i^KV0>KViP0C0>KViP<0000000/0iNGU0>CTi03Shn<0hN7Q0>3Ph03Lg=`0
f][J0=OGe`3De=@0d];B0=7Ad@020=3@d00:0=;BdP3De=@0e]KF0=WIf@3MgMd0gmoO0>7Qh@3Rh^80
00000>CTi080iNGUd03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01@0oooo00<00000
0>KViP3Vi^H04`3Vi^H300000080iNGU00X0i>CT0>?Sh`3Rh^80h>3P0=gMg@3Kfm/0f=SH0=KFeP3D
e=@0dm?C0P3Bd]802@3Cdm<0eMGE0=SHf03Jf]X0gMgM0>3Ph03QhN4000000>CTi0020>GUiM40i^KV
103oool100000040fMWI00000`000000oooo0?ooo`0C0?ooo`030000003Vi^H0i^KV01<0i^KV0`00
0000603Vi^H0iNGU0>GUi@3Ti>@0hn?S0>;RhP3QhN40g]kN0=cLg03IfMT0emOG0=GEe@3De=@0dm?C
0=CDe03EeMD0emOG0=WIf@3Kfm/0g]kN0>3Ph0000000hn?S0>CTi080iNGUd@3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo0180oooo00<000000>KViP3Vi^H04`3Vi^H300000080i^KV0P3U
iND20>CTi0080>;RhP3QhN40gmoO0=gMg@3Kfm/0fMWI0=OGe`3Fe]H20=GEe@090=OGe`3Hf=P0f][J
0=cLg03Ogml000000>;RhP3Shn<0i>CT0080iNGUd@3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0140oooo00<000000>KViP3Vi^H04`3Vi^H3000000<0i^KV0P3UiND20>CTi0070>?Sh`3R
h^80gmoO0=gMg@3Lg=`0f][J0=SHf0030=OGe`090=SHf03IfMT0fm_K0=gMg@000000hN7Q0>;RhP3S
hn<0i>CT0080iNGUd@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0100oooo00<00000
0>KViP3Vi^H04`3Vi^H3000000@0i^KV0`3UiND0203Ti>@0hn?S0>;RhP3Ph>00gmoO0=gMg@3Kfm/0
f][J0`3IfMT0203Jf]X0fm_K0=cLg0000000h>3P0>;RhP3Shn<0i>CT0`3UiNGA0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool03`3oool00`000000i^KV0>KViP0E0>KViP030000003Vi^H0
i^KV00<0i^KV0`3UiND0203Ti>@0hn?S0>;RhP3QhN40gmoO0=kNgP3Lg=`0fm_K0`3Jf]X0203Kfm/0
g=cL0000003Ogml0hN7Q0>;RhP3Shn<0i>CT0P3UiNGB0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool03P3oool00`000000i^KV0>KViP0M0>KViP80iNGU0P3Ti>@01P3Shn<0hN7Q0>3Ph03O
gml0gMgM0=cLg0<0fm_K00P0g=cL0000003Ng]h0gmoO0>7Qh@3Rh^80hn?S0>CTi080iNGUdP3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo00d0oooo00<000000>KViP3Vi^H07P3Vi^H30>GU
i@070>CTi03Shn<0h^;R0>3Ph03Ogml0g]kN0=gMg@030=cLg0060000003Ng]h0gmoO0>3Ph03Rh^80
hn?S0P3Ti>@20>GUiM80i^KV103oool100000040fMWI00000`000000oooo0?ooo`0<0?ooo`030000
003Vi^H0i^KV01l0i^KV0`3UiND01`3Ti>@0hn?S0>;RhP3QhN40h>3P0=oOg`3Ng]h00P3MgMd02000
0000g]kN0=oOg`3Ph>00hN7Q0>;RhP3Shn<0i>CT0`3UiNGB0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool02`3oool00`000000i^KV0>KViP0P0>KViP<0iNGU0P3Ti>@0203Rh^80hN7Q0>3P
h03Ph>00gmoO0=kNgP000000g]kN0P3Ogml01@3Ph>00hN7Q0>?Sh`3Shn<0i>CT00<0iNGUdP3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo00X0oooo00<000000>KViP3Vi^H08P3Vi^H30>GU
i@040>CTi03Shn<0h^;R0>7Qh@80h>3P00<000000=oOg`3Ogml00P3Ph>000`3QhN40h^;R0>?Sh`02
0>CTi0<0iNGUdP3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo00T0oooo00<000000>KV
iP3Vi^H08`3Vi^H30>GUi@060>CTi03Shn<0h^;R0>;RhP3QhN400000103Ph>001@3QhN40h^;R0>;R
hP3Shn<0i>CT00@0iNGUdP3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo00P0oooo00<0
00000>KViP3Vi^H0903Vi^H30>GUi@050>CTi03Shn<0hn?S0>;RhP0000000P3QhN401P3Ph>00hN7Q
0>7Qh@3QhN40h^;R0>?Sh`80i>CT0`3UiNGC0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool01`3oool00`000000i^KV0>KViP0C0>KViP030000003Vi^H0i^KV00l0i^KV0`3UiND20>CTi004
0>?Sh`000000h^;R0>;RhP@0hN7Q0P3Rh^800`3Shn<0i>CT0>CTi0030>GUiM<0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`060?ooo`030000003Vi^H0i^KV01<0i^KV0`00000@0>KViP@0
iNGU00<0i>CT0000003Shn<01`3Rh^820>?Sh`030>CTi03UiND0iNGU0080iNGUd`3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo00D0oooo00<000000>KViP3Vi^H04`3Vi^H300000180i^KV
0`3UiND00`000000i>CT0>?Sh`020>?Sh`<0h^;R0`3Shn<20>CTi0<0iNGUe03Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo00@0oooo00<000000>KViP3Vi^H04`3Vi^H3000001<0i^KV0P3U
iND010000000i>CT0>CTi03Ti>@70>?Sh`80i>CT103UiNGD0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool00`3oool00`000000i^KV0>KViP0C0>KViP<00000503Vi^H0103UiND000000>GU
i@3UiND30>CTi0H0hn?S0P3Ti>@40>GUiM@0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`020?ooo`030000003Vi^H0i^KV01<0i^KV0`00000E0>KViP040000003UiND0iNGU0>GUi@@0i>CT
0`3Shn<40>CTi0@0iNGUe03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080oooo5@3V
i^H3000001D0i^KV00<000000>KViP3UiND00`3UiND90>CTi0@0iNGUe@3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0080oooo503Vi^H3000001D0i^KV00@000000>KViP3Vi^H0i^KV103U
iND70>CTi0D0iNGUe@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080oooo4`3Vi^H3
000001D0i^KV00<000000>KViP3Vi^H00P3Vi^H50>GUi@D0i>CT1@3UiNGF0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool00P3ooolB0>KViP<000005@3Vi^H00`000000i^KV0>KViP030>KV
iPH0iNGU0`3Ti>@60>GUiMH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?oooa40
i^KV0`00000E0>KViP030000003Vi^H0i^KV00D0i^KV3P3UiNGF0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool00P3oool@0>KViP<000005@3Vi^H00`000000i^KV0>KViP060>KViPd0iNGU
e`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080oooo3`3Vi^H3000001D0i^KV00<0
00000>KViP3Vi^H01`3Vi^H=0>GUiML0i^KV103oool100000040fMWI00000`000000oooo0?ooo`02
0?ooo`h0i^KV0`00000E0>KViP030000003Vi^H0i^KV00T0i^KV2`3UiNGH0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool00P3oool=0>KViP<000005@3Vi^H00`000000i^KV0>KViP0;0>KV
iPX0iNGUf03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080oooo303Vi^H3000001D0
i^KV00<000000>KViP3Vi^H0303Vi^H90>GUiMT0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`020?ooo`/0i^KV0`00000E0>KViP030000003Vi^H0i^KV00h0i^KV1`3UiNGJ0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool00P3oool:0>KViP<000005@3Vi^H00`000000i^KV0>KV
iP0@0>KViPD0iNGUf`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080oooo2@3Vi^H3
000001D0i^KV00<000000>KViP3Vi^H0l@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
0080oooo203Vi^H3000001D0i^KV00<000000>KViP3Vi^H0lP3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo0080oooo1`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0l`3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0080oooo1P3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0
m03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080oooo1@3Vi^H3000001D0i^KV00<0
00000>KViP3Vi^H0m@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080oooo103Vi^H3
000001D0i^KV00<000000>KViP3Vi^H0mP3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
0080oooo0`3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0m`3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo0080oooo0P3Vi^H3000001D0i^KV00<000000>KViP3Vi^H0n03Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0080oooo00@0i^KV00000000000000005@3Vi^H00`000000
i^KV0>KViP3i0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3oool3000001D0i^KV
00<000000>KViP3Vi^H0nP3Vi^H40?ooo`4000000@3IfMT000040000003oool0oooo0?ooo`<00000
5@3Vi^H00`000000i^KV0>KViP3k0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3o
ool00`000000i^KV0>KViP0C0>KViP030000003Vi^H0i^KV0?`0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`020?oooaD0i^KV00<000000>KViP3Vi^H0o@3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0080oooo503Vi^H00`000000i^KV0>KViP3n0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool00P3ooolC0>KViP030000003Vi^H0i^KV0?l0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`020?oooa80i^KV00<000000>KViP3Vi^H0o`3Vi^H10>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool00P3ooolA0>KViP030000003Vi^H0i^KV0?l0i^KV0P3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo0080oooo403Vi^H00`000000i^KV0>KViP3o
0>KViP<0i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?ooo`l0i^KV00<000000>KV
iP3Vi^H0o`3Vi^H40>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3oool>0>KViP03
0000003Vi^H0i^KV0?l0i^KV1@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080oooo
3@3Vi^H00`000000i^KV0>KViP3o0>KViPH0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`020?ooo``0i^KV00<000000>KViP3Vi^H0o`3Vi^H70>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool00P3oool;0>KViP030000003Vi^H0i^KV0?l0i^KV203Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0080oooo2P3Vi^H00`000000i^KV0>KViP3o0>KViPT0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`020?ooo`T0i^KV00<000000>KViP3Vi^H0o`3Vi^H:0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool00P3oool80>KViP030000003Vi^H0i^KV0?l0i^KV
2`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080oooo1`3Vi^H00`000000i^KV0>KV
iP3o0>KViP`0i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?ooo`H0i^KV00<00000
0>KViP3Vi^H0o`3Vi^H=0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3oool50>KV
iP030000003Vi^H0i^KV0?l0i^KV3P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080
oooo103Vi^H00`000000i^KV0>KViP3o0>KViPl0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`020?ooo`<0i^KV00<000000>KViP3Vi^H0o`3Vi^H@0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool00P3oool20>KViP030000003Vi^H0i^KV0?l0i^KV4@3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0080oooo00<0i^KV0000003Vi^H0o`3Vi^HC0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool00P3oool00`000000i^KV0>KViP3o0>KViQ<0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3o
oooo0>KViQH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool00P3ooooo0>KViQH0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080ooooo`3V
i^HF0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3ooooo0>KViQH0i^KV103oool1
00000040fMWI00000`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
0P3ooooo0>KViQH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?ooool0i^KV5P3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool00P3ooooo0>KViQH0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080oooo
o`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3ooooo0>KViQH0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool00P3ooooo0>KViQH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?ooool0i^KV
5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0?l0oooo703oool100000040fMWI0000
0`000000oooo0?ooo`3o0?oooa`0oooo0@0000010=WIf@0000<000000?ooo`3oool0o`3ooolL0?oo
o`4000000@3IfMT000030000003oool0oooo0?l0oooo703oool100000040fMWI00000`000000oooo
0?ooo`3o0?oooa`0oooo0@0000010=WIf@00o`00000P00000040fMWI0000\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-21.2276, -0.0409172, 0.217614, \
0.00725378}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  DensityGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[47]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(way1 = 
      Block[{xg = \(-8\), pg = 1, l = 5, h = 2\ sx\ sp\ r, r = 1, P = 0, 
          sp = 1/6, sx = 1, t = 0.001, c = 30}, max = gswf[0, 0, 1, 1]; 
        DensityPlot[
          Evaluate[
            If[fncover - l/t < p, 
              Abs[gswf[x + 8 - 30  p, p - 1, 1, 1/6]] + 0.1, 
              Abs[gswf[x + 8 - 30  p, p - 1, 1, 1/6]]]], {x, \(-20\), 
            40}, {p, 0, 2  pg}, PlotPoints \[Rule] 600, PlotRange -> All, 
          AspectRatio \[Rule] 1, ColorFunctionScaling \[Rule] False, 
          Background \[Rule] White, \[IndentingNewLine]Mesh -> False, 
          FrameTicks -> {{}, {}, {}, {}}, Frame \[Rule] True, 
          TextStyle \[Rule] m10, 
          ColorFunction -> \((GrayLevel[
                  1 - #] &)\), \[IndentingNewLine]Epilog -> {d1 /. {x \[Rule] \
\(-20\)}, dcos /. {x \[Rule] \(-20\)}, 
              d2 /. {x \[Rule] \(-20\)}}]]\)], "Input",
  CellLabel->"In[48]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.339744 0.0160256 0.0192308 0.480769 [
[ 0 0 -0.125 0 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
0 0 m
0 1 L
s
0 1 m
1 1 L
s
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.01923 .01923 translate
.96154 .96154 scale
600 string
600 600 8 [600 0 0 600 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFEFEFEFEFEFEFEFEFDFDFDFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFCFCFCFCFCFDFDFDFDFDFDFDFEFEFEFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFDFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFEFEFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFEFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFEFE
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFD
FEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFCFBFBFBFBFBFCFCFCFCFCFDFDFD
FDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFCFCFCFCFD
FDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFCFCFC
FCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFBFBFC
FCFCFDFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFBFBFBFBFAFAFAFAFAFAFBFBFBFB
FBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFBFAFAFAFAFAFAFAFAFAFB
FBFBFCFCFCFDFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAFAFAFAFAFAFAFA
FAFBFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAFAF9F9F9F9FAFA
FAFAFAFBFBFBFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAF9F9F9F9F9F9F9
F9FAFAFAFBFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFCFBFBFAFAFAF9F9F9F9F9F9F9
F9F9F9FAFAFAFBFBFBFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFBFAFAF9F9F9F9F8F8F8
F8F8F9F9F9FAFAFAFBFBFCFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFAFAF9F9F9F8F8F8F8
F8F8F8F8F9F9F9FAFAFBFBFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFCFBFBFAFAF9F9F8F8F8F8
F8F7F8F8F8F8F8F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F8F7
F7F7F7F7F7F7F8F8F9F9F9FAFAFBFBFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFAF9F9F8F8F8F7
F7F7F7F7F7F7F7F7F8F8F9F9FAFAFBFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFBFAFAF9F9F8F8F7
F7F6F6F6F6F6F6F7F7F7F8F8F9F9FAFBFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAF9F9F8F8F7
F7F6F6F6F6F6F6F6F6F6F7F7F8F8F9FAFAFBFBFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFAFAF9F8F8F7
F7F6F6F6F5F5F5F5F5F6F6F6F7F8F8F9F9FAFBFBFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFBFAF9F9F8F7
F7F6F6F5F5F5F5F5F5F5F5F6F6F7F7F8F8F9FAFAFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFAFAF9F8F8
F7F6F6F5F5F4F4F4F4F4F4F5F5F5F6F7F7F8F9F9FAFBFBFCFCFDFDFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFBFAFAF9F8
F7F7F6F5F5F4F4F4F4F3F4F4F4F4F5F6F6F7F8F8F9FAFAFBFCFCFDFDFEFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFAF9F8
F8F7F6F5F5F4F4F3F3F3F3F3F3F3F4F4F5F6F6F7F8F9FAFAFBFCFCFDFDFEFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFAF9
F8F7F7F6F5F4F4F3F3F2F2F2F2F3F3F3F4F5F5F6F7F8F8F9FAFBFBFCFCFDFDFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFAF9
F9F8F7F6F5F4F4F3F3F2F2F2F2F2F2F2F3F3F4F5F6F6F7F8F9FAFAFBFCFCFDFDFEFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFBFA
F9F8F7F6F6F5F4F3F2F2F1F1F1F1F1F1F2F2F3F3F4F5F6F7F8F9F9FAFBFCFCFDFDFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFA
FAF9F8F7F6F5F4F3F3F2F1F1F0F0F0F0F1F1F1F2F3F4F5F5F6F7F8F9FAFBFBFCFDFDFEFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFB
FAF9F8F8F7F6F5F4F3F2F1F1F0F0F0EFF0F0F0F1F1F2F3F4F5F6F7F8F9FAFAFBFCFCFDFD
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFB
FBFAF9F8F7F6F5F4F3F2F1F1F0EFEFEFEFEFEFF0F0F1F2F3F4F5F6F7F8F8F9FAFBFCFCFD
FDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFC
FBFAFAF9F8F7F6F5F4F3F2F1F0EFEFEEEEEEEEEEEFEFF0F1F2F3F4F5F6F7F8F9FAFBFCFC
FDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFC
FCFBFAF9F8F7F6F5F4F3F2F1F0EFEEEEEDEDEDEDEEEEEFEFF0F1F2F3F5F6F7F8F9FAFBFB
FCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFD
FCFCFBFAF9F8F7F6F5F4F2F1F0EFEEEEEDEDECECECEDEDEEEFF0F1F2F3F4F5F6F7F8F9FA
FBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFD
FDFCFBFBFAF9F8F7F5F4F3F2F1F0EEEEEDECECEBEBEBECECEDEEEFF0F1F2F4F5F6F7F8F9
FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FDFDFCFBFAF9F8F7F6F5F4F2F1F0EFEEEDECEBEBEAEAEBEBEBECEDEEEFF0F2F3F4F6F7F8
F9FAFBFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FDFDFCFCFBFAF9F8F7F6F5F3F2F1EFEEEDECEBEAEAEAE9EAEAEBEBECEDEFF0F1F2F4F5F6
F7F9FAFBFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFDFDFCFCFBFAF9F8F7F5F4F3F1F0EFEDECEBEAE9E9E9E8E9E9EAEAEBEDEEEFF0F2F3F5
F6F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFDFDFCFBFBFAF9F7F6F5F4F2F1EFEEECEBEAE9E8E8E8E7E8E8E9E9EBECEDEEF0F1F3
F4F5F7F8F9FAFBFCFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFDFDFCFBFAF9F8F7F6F4F3F2F0EEEDECEAE9E8E7E7E6E6E7E7E8E9EAEBECEEEFF1
F2F4F5F6F8F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFDFDFCFBFAF9F8F7F5F4F2F1EFEEECEBE9E8E7E6E6E5E5E5E6E7E8E9EAEBEDEE
F0F2F3F5F6F7F8FAFBFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFDFDFCFCFBFAF9F8F6F5F3F2F0EFEDEBEAE8E7E6E5E5E4E4E4E5E6E6E8E9EAEC
EEEFF1F3F4F6F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFDFDFCFCFBFAF9F7F6F5F3F1F0EEECEBE9E7E6E5E4E3E3E3E3E4E4E5E7E8EA
EBEDEFF0F2F4F5F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFDFCFBFAF9F8F7F6F4F2F1EFEDEBEAE8E6E5E4E3E2E2E2E2E3E3E4E6E7
E9EAECEEF0F1F3F5F6F8F9FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F5F4F2F0EEECEBE9E7E5E4E3E2E1E1E1E1E1E2E3E4
E6E8E9EBEDEFF1F3F4F6F7F8FAFBFCFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1EFEEECEAE8E6E4E3E2E1E0DFDFE0E0E1E2
E3E5E7E9EAECEEF0F2F4F5F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F7F6F4F3F1EFEDEBE9E7E5E3E2E0DFDFDEDEDEDFE0
E1E2E4E6E8EAECEEF0F2F3F5F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFCFBFAF8F7F6F4F2F0EEECEAE8E6E4E2E0DFDEDDDDDDDDDD
DEE0E1E3E5E7E9EBEDEFF1F3F5F6F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F7F5F3F2F0EDEBE9E7E5E3E1DFDEDDDCDBDBDB
DCDDDEE0E2E4E6E8EAECEEF0F2F4F6F7F9FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1EFEDEAE8E6E4E2E0DEDCDBDADADA
DADBDCDDDFE0E2E5E7E9EBEEF0F2F4F5F7F8FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F4F2F0EEECEAE7E5E3E0DEDDDBDAD9D8
D8D9D9DADCDDDFE1E4E6E8EBEDEFF1F3F5F7F8F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F7F6F4F2F0EEEBE9E6E4E1DFDDDBDAD8D7
D7D7D7D8D9DADCDEE0E2E5E7EAECEFF1F3F5F6F8F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF8F7F5F3F1EFEDEAE8E5E3E0DEDCDAD8D7
D6D5D5D6D6D7D9DBDDDFE1E4E6E9EBEEF0F2F4F6F7F9FAFBFCFDFDFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F7F5F3F1EFECEAE7E4E2DFDDDAD8D7
D5D4D4D4D4D5D6D7D9DBDEE0E3E5E8EBEDF0F2F4F6F7F9FAFBFCFDFDFEFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F4F2F0EEEBE9E6E3E1DEDBD9D7
D5D4D3D2D2D2D3D4D6D8DADCDFE2E4E7EAECEFF1F3F5F7F8FAFBFCFCFDFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F6F4F2F0EDEBE8E5E2DFDDDAD8
D5D4D2D1D0D0D1D1D3D4D6D9DBDEE1E3E6E9ECEEF1F3F5F7F8F9FBFCFCFDFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F6F4F1EFEDEAE7E4E1DEDBD9
D6D4D2D0CFCFCFCFD0D1D3D5D7DADDDFE2E5E8EBEEF0F2F4F6F8F9FAFBFCFDFDFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF8F7F5F3F1EFECE9E6E3E0DDDA
D7D5D2D0CFCECDCDCDCECFD1D3D6D8DBDEE1E4E7EAEDF0F2F4F6F8F9FAFBFCFDFDFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F7F5F3F0EEEBE8E5E2DFDC
D9D6D3D1CFCDCCCBCBCBCCCECFD2D4D7DADDE0E3E7EAECEFF1F4F6F7F9FAFBFCFDFDFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F2F0EDEBE8E4E1DE
DBD7D4D1CFCDCBCAC9C9C9CACCCED0D3D6D9DCDFE2E6E9ECEEF1F3F5F7F8FAFBFCFDFDFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F2EFEDEAE7E3E0
DDD9D6D3D0CDCBC9C8C7C7C8C8CACCCED1D4D7DBDEE1E5E8EBEEF0F3F5F7F8FAFBFCFDFD
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F6F4F1EFECE9E6E2
DFDBD8D5D1CECCC9C7C6C5C5C6C7C8CACDCFD3D6D9DDE0E4E7EAEDF0F2F4F6F8F9FBFCFC
FDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F1EEEBE8E5
E1DEDAD7D3D0CDCAC7C5C4C3C3C4C5C6C8CBCED1D4D8DCDFE3E6EAEDEFF2F4F6F8F9FAFB
FCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F3F0EEEBE8
E4E0DDD9D5D2CECBC8C5C4C2C1C1C2C3C4C6C9CCCFD3D7DADEE2E5E9ECEFF1F4F6F7F9FA
FBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF8F6F5F2F0EDEA
E7E3DFDCD8D4D0CCC9C6C4C2C0BFBFBFC1C2C4C7CACED1D5D9DDE1E5E8EBEEF1F3F5F7F9
FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F6F4F2EFEC
E9E6E2DEDAD6D2CECBC7C4C2BFBEBDBDBDBEC0C3C5C9CCD0D4D8DCE0E4E7EBEEF0F3F5F7
F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F1EF
ECE9E5E1DDD9D5D1CDC9C5C2C0BDBCBBBBBBBCBEC1C3C7CACED3D7DBDFE3E6EAEDF0F2F5
F7F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F6F3F1
EEEBE8E4E0DCD8D4CFCBC7C4C0BDBBBAB9B9B9BABCBFC2C5C9CDD1D5DADEE2E6E9ECEFF2
F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3
F1EEEBE7E3DFDBD7D2CECAC5C2BEBBB9B7B6B6B7B8BABCC0C3C7CBD0D4D8DDE1E5E9ECEF
F2F4F6F8F9FBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F5
F3F0EDEAE6E2DEDAD5D1CCC8C4C0BCB9B7B5B4B4B5B6B8BABEC1C5CACED3D7DCE0E4E8EB
EEF1F4F6F8F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F7
F5F2F0EDE9E6E2DDD9D4CFCBC6C2BEBAB7B5B3B2B2B2B3B6B8BBBFC3C8CDD1D6DBDFE3E7
EBEEF1F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8
F6F4F2EFECE9E5E1DCD8D3CEC9C4C0BCB8B5B2B1AFAFB0B1B3B6B9BDC2C6CBD0D5D9DEE2
E6EAEDF0F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9
F8F6F4F1EFEBE8E4E0DBD6D1CCC7C3BEBAB6B3B0AEADADADAFB1B4B7BBC0C4C9CED3D8DD
E1E6E9EDF0F2F5F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFB
F9F8F6F4F1EEEBE7E3DFDAD5D0CBC6C1BCB8B4B0AEACABAAABACAFB2B5B9BEC3C8CDD2D7
DCE1E5E9ECEFF2F5F7F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFB
FAF9F7F5F3F1EEEAE6E2DED9D4CFC9C4BFBAB5B1AEABA9A8A8A8AAACAFB3B7BCC1C6CBD1
D6DBE0E4E8ECEFF2F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFC
FBFAF9F7F5F3F0EDEAE6E1DDD8D3CDC8C2BDB8B3AFACA9A7A6A5A6A7AAADB1B5BABFC5CA
CFD5DADFE3E7EBEEF1F4F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFD
FCFBFAF9F7F5F3F0EDE9E5E1DCD7D1CCC6C1BBB6B1ADA9A6A4A3A3A3A5A7ABAFB3B8BDC3
C8CED4D9DEE2E7EAEEF1F4F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FDFCFBFAF8F7F5F2EFECE8E4E0DBD6D0CAC5BFB9B4AFABA7A4A2A0A0A1A2A5A8ACB1B6BB
C1C7CDD2D8DDE2E6EAEDF0F3F5F7F9FAFCFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FDFDFCFBFAF8F6F4F2EFECE8E3DFDAD4CFC9C3BDB7B2ADA8A4A19F9E9E9EA0A2A6AAAFB4
BABFC5CBD1D7DCE1E5E9EDF0F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFDFDFCFBFAF8F6F4F1EEEBE7E3DED9D3CDC7C1BBB5B0AAA6A29F9C9B9B9C9DA0A3A8AD
B2B8BEC4CAD0D6DBE0E5E9ECF0F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFDFDFCFBF9F8F6F4F1EEEAE6E2DDD8D2CCC6C0B9B3AEA8A39F9C9A9898999B9DA1A5
AAB0B6BCC2C8CFD4DADFE4E8ECEFF2F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFDFDFCFBF9F8F6F3F1EDEAE6E1DCD7D1CBC4BEB8B1ABA6A19D9A97969596989B9E
A3A8AEB4BAC1C7CDD3D9DEE3E7EBEFF2F4F7F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFDFDFCFBF9F7F5F3F0EDE9E5E0DBD6D0C9C3BCB6AFA9A49F9A97949393939598
9CA0A6ACB2B8BFC5CCD2D8DDE2E7EBEEF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFDFCFCFAF9F7F5F3F0EDE9E4E0DAD5CEC8C1BBB4ADA7A19C98949290909193
95999EA3A9B0B6BDC4CBD1D7DCE2E6EAEEF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E4DFD9D3CDC7C0B9B2ABA59F9A95918F8D8D8E
9093979CA1A7AEB5BCC3C9D0D6DCE1E6EAEDF1F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFECE8E3DED8D2CCC5BEB7B0A9A39C97928F8C8B8A
8B8D9094999FA5ACB3BAC1C8CFD5DBE0E5E9EDF0F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFBFAF8F7F4F2EFEBE7E2DDD7D1CBC4BDB5AEA7A09A94908C8988
87888A8D92979CA3AAB1B8BFC7CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F4F1EEEBE6E2DCD7D0C9C2BBB4ACA59E98928D8986
858585878B8F949AA1A8AFB7BEC5CCD3D9DFE4E8ECF0F3F5F7F9FAFCFCFDFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F4F1EEEAE6E1DCD6CFC8C1B9B2AAA39C958F8A86
8482828285888C92989EA6ADB5BCC4CBD2D8DEE3E8ECEFF2F5F7F9FAFBFCFDFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F1EDEAE5E0DBD5CEC7BFB8B0A8A199938D88
84817F7F8082858A8F959CA4ABB3BBC2CAD1D7DDE2E7EBEFF2F5F7F9FAFBFCFDFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F3F0EDE9E5E0DAD4CDC6BEB6AEA69E97908A
85817E7C7C7D7F82878C939AA1A9B1B9C1C9D0D6DCE2E6EBEEF2F4F7F9FAFBFCFDFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F3F0EDE9E4DFD9D3CCC4BDB4ACA49C958E
88827E7B79797A7C80848A90989FA7B0B8C0C7CFD5DBE1E6EAEEF1F4F6F8FAFBFCFDFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F3F0ECE8E3DED8D2CBC3BBB3AAA29A92
8B857F7B78767677797D82878E959DA5AEB6BEC6CDD4DBE0E5EAEEF1F4F6F8FAFBFCFDFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F3EFECE8E3DDD7D1C9C2BAB1A9A098
9089827D7875737374767A7F858C939BA4ACB5BDC5CCD3DAE0E5E9EDF1F4F6F8FAFBFCFD
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F5F2EFEBE7E2DDD6D0C8C0B8B0A79E
968E86807A757270707173777C82899199A2AAB3BBC4CBD2D9DFE4E9EDF0F3F6F8FAFBFC
FDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFAF9F7F5F2EFEBE7E2DCD6CFC7BFB7AEA5
9C948B847D77736F6D6D6E70747980878F97A0A9B1BAC2CAD2D8DEE4E8EDF0F3F6F8F9FB
FCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F4F2EEEBE6E1DBD5CEC6BEB5AC
A39A9189817A74706C6A6A6B6E71777D848C959EA7B0B9C1C9D1D7DEE3E8ECF0F3F5F8F9
FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F4F1EEEAE6E0DAD4CDC5BCB4
ABA1988F877F78726D696867686B6F747A828A939CA5AEB7C0C8D0D7DDE3E8ECF0F3F5F7
F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EEEAE5E0DAD3CCC4BB
B2A99F968D847C756F6A67656465686C71787F88919AA3ADB6BFC7CFD6DCE2E7EBEFF2F5
F7F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE9E5DFD9D2CBC3
BAB1A79E948B827A726C676462616265696F757D858E98A2ABB4BDC6CED5DCE1E7EBEFF2
F5F7F9FAFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F4F1EDE9E4DFD8D1CA
C1B9AFA69C92898077706964615F5E5F62666C737A838C96A0AAB3BCC5CDD4DBE1E6EBEF
F2F5F7F9FAFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F3F0EDE9E4DED8D1
C9C0B7AEA49A90867D756D67625E5C5B5C5F63697078818A949EA8B2BBC4CCD3DAE0E6EA
EEF2F4F7F9FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F6F3F0ECE8E3DDD7
D0C8BFB6ACA2988E847B726B645F5B5958595C61666D767F88929CA6B0BAC3CBD3DAE0E5
EAEEF1F4F7F9FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F6F3F0ECE8E3DD
D6CFC7BEB5ABA1968C82797068615C58565557595E646B737C86909BA5AFB9C2CAD2D9DF
E5EAEEF1F4F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F5F3F0ECE7E2
DCD6CEC6BDB3A99F958A80766D655F5955535354575B6168717A848E99A3ADB7C1C9D1D8
DFE4E9EDF1F4F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F3EFEBE7
E2DCD5CDC5BCB2A89E93887E746B635C565250505154585E666E78828C97A2ACB6C0C8D0
D8DEE4E9EDF1F4F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EFEB
E6E1DBD4CCC4BBB1A79C91867C7269605954504D4D4E51565C636C76808B95A0ABB5BEC7
D0D7DEE3E8EDF0F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EF
EBE6E1DAD3CCC3BAB0A59A8F847A70665E57514D4B4A4B4E5359616A747E89949FA9B4BD
C7CFD6DDE3E8ECF0F3F6F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F5F2
EFEAE6E0DAD3CBC2B9AEA4998E82786D645B544E4A4847484C50575F67717C87929DA8B3
BCC6CED6DDE2E8ECF0F3F6F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F5
F2EEEAE5E0D9D2CAC1B8ADA2978C81766B6159514C47454446494E545C656F7A85909CA7
B1BBC5CDD5DCE2E7ECF0F3F6F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7
F4F2EEEAE5DFD9D1C9C0B6ACA1968A7F74695F564F4945424243464B525A636D78838F9A
A6B0BAC4CDD4DBE2E7ECEFF3F5F8F9FBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFAF9
F7F4F1EEEAE5DFD8D1C8BFB5ABA094897D72675D544C4642403F4044494F57616B76828D
99A4AFB9C3CCD4DBE1E7EBEFF3F5F8F9FBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFA
F9F7F4F1EEE9E4DED8D0C8BEB4AA9E93877B70655B524A443F3D3C3E41464D555F697480
8C97A3AEB9C2CBD3DAE1E6EBEFF2F5F7F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFB
FAF8F6F4F1EDE9E4DED7D0C7BEB3A99D9185796E63584F48413D3A3A3B3E444A535C6772
7E8A96A2ADB8C1CAD3DAE0E6EBEFF2F5F7F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFC
FBFAF8F6F4F1EDE9E3DDD7CFC6BDB2A79C9084786C61564D453F3A3837393C4148515A65
717C8995A1ACB7C1CAD2D9E0E6EAEFF2F5F7F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFD
FCFBFAF8F6F4F1EDE8E3DDD6CEC6BCB1A69B8F82766A5F544B433C383535363A3F464E58
636F7B87939FABB6C0C9D2D9E0E5EAEEF2F5F7F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FDFCFBFAF8F6F4F0EDE8E3DDD6CEC5BBB1A5998D8174685D5249413A36333234373C444C
56616D7986929EAAB5BFC8D1D9DFE5EAEEF2F5F7F9FAFCFDFDFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFDFCFBFAF8F6F3F0ECE8E2DCD5CDC4BAB0A4988C7F73665B50463E3833303031353A41
4A545F6B7884919DA9B4BEC8D0D8DFE5EAEEF2F4F7F9FAFCFDFDFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFDFCFBFAF8F6F3F0ECE8E2DCD5CDC3BAAFA3978B7E7165594E443C36312E2E2F3238
3F48525E6A7683909CA8B3BEC7D0D8DEE4E9EEF1F4F7F9FAFCFDFDFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFDFCFBFAF8F6F3F0ECE7E2DBD4CCC3B9AEA296897C7063574C423A332F2C2B2D30
363D46505C6875828E9BA7B2BDC7CFD7DEE4E9EEF1F4F7F9FAFCFDFDFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFDFCFBFAF8F6F3F0ECE7E1DBD4CBC2B8ADA195887B6E61554A4038312C2A292A
2E343B444F5A6673808D9AA6B1BCC6CFD7DEE4E9EDF1F4F7F9FAFCFDFDFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFDFCFBFAF8F6F3F0ECE7E1DBD3CBC2B7ACA094877A6D6054483E362F2A2727
282C3239424D5865727F8C99A5B1BBC5CED6DDE4E9EDF1F4F7F9FAFBFCFDFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF8F5F3EFEBE7E1DAD3CAC1B7AB9F9386786B5E52473D342D2825
25262A3037404B5763707E8B98A4B0BBC5CED6DDE3E9EDF1F4F6F9FAFBFCFDFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBF9F8F5F3EFEBE6E1DAD2CAC0B6AB9E9284776A5D50453B322B26
232324282E353F4955626F7C8A97A3AFBAC4CDD6DDE3E8EDF1F4F6F8FAFBFCFDFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFBF9F8F5F3EFEBE6E0DAD2C9C0B5AA9E918376685B4F43393029
24212122262C343D4854606E7B8996A3AEBAC4CDD5DCE3E8EDF1F4F6F8FAFBFCFDFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFBF9F8F5F2EFEBE6E0D9D2C9BFB5A99D908275675A4D42372F
2722201F20242A323B46525F6D7A8895A2AEB9C3CDD5DCE2E8EDF0F4F6F8FAFBFCFDFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEBE6E0D9D1C9BFB4A89C8F817466594C4036
2D26211E1D1F2228303A45515E6B798794A1ADB8C3CCD5DCE2E8ECF0F4F6F8FAFBFCFDFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEAE5E0D9D1C8BEB3A89B8E807365574B3F
342B241F1C1B1D21272F3843505D6A788693A0ADB8C2CCD4DCE2E8ECF0F3F6F8FAFBFCFD
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEAE5DFD8D1C8BEB3A79A8D7F72645649
3D332A221D1A1A1B1F252D37424E5B69778593A0ACB7C2CBD4DBE2E7ECF0F3F6F8FAFBFC
FDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB2A69A8C7F716355
483C3128211C19181A1E242C35414D5A687684929FABB7C1CBD4DBE2E7ECF0F3F6F8FAFB
FCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB2A6998C7E7062
54473B3027201A1717181C222A343F4C59677583919EABB6C1CBD3DBE1E7ECF0F3F6F8FA
FBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB1A5988B7D6F
6153463A2F261E191615171B2129333E4B58667483909EAAB6C1CAD3DBE1E7ECF0F3F6F8
FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE5DFD7CFC6BCB1A5988A7C
6E605245382E241D18151416192028323D4A57657482909DAAB6C0CAD3DAE1E7ECF0F3F6
F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE4DED7CFC6BCB1A4978A
7C6D5F5144372C231C16131314181E27313C49566573818F9DA9B5C0CAD3DAE1E7ECF0F3
F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE4DED7CFC6BBB0A497
897B6C5E5043362B221B15121113171D26303B48566472818F9CA9B5C0CAD2DAE1E7EBF0
F3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEE9E4DED7CFC5BBB0A4
96897A6C5D4F42362A211A14111012161C252F3A47556372808E9CA9B4BFC9D2DAE1E6EB
EFF3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5F1EEE9E4DED7CFC5BBAF
A396887A6B5D4F41352A201913100F11151B242E3A46546271808E9BA8B4BFC9D2DAE1E6
EBEFF3F6F8FAFBFCFDFEFEFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F4F1EEE9E4DED7CEC5BB
AFA39688796B5C4E4034291F18120F0F10141B232D39465462717F8D9BA8B4BFC9D2DAE0
E6EBEFF3F6F8FAFBFCFDFEFEFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DED6CEC5
BAAFA39587796A5C4D4033281F17120F0E10141A222C38455361707F8D9BA8B4BFC9D2D9
E0E6EBEFF3F6F8FAFBFCFDFEFEFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DED6CE
C5BAAFA29587786A5B4D3F33281E16110E0D0F1319222C38455361707E8D9AA7B3BFC9D1
D9E0E6EBEFF3F5F8FAFBFCFDFEFEFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DED6
CEC5BAAFA2958778695B4C3F32271D16100D0D0E1219212B374452616F7E8C9AA7B3BEC8
D1D9E0E6EBEFF3F5F8FAFBFCFDFEFEFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4DD
D6CEC4BAAEA2948678695A4C3E32271D15100D0C0E1218212B374452606F7E8C9AA7B3BE
C8D1D9E0E6EBEFF3F5F8FAFBFCFDFEFEFFFFE5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9E4
DDD6CEC4BAAEA2948678695A4C3E32261D15100C0C0D1118202B364351606F7E8C9AA7B3
BEC8D1D9E0E6EBEFF3F5F8FAFBFCFDFEFEFFE5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1EEE9
E4DDD6CEC4BAAEA2948677695A4C3E31261C150F0C0B0D1118202A364351606F7D8C9AA7
B3BEC8D1D9E0E6EBEFF3F5F8FAFBFCFDFEFEE5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1ED
E9E4DDD6CEC4BAAEA2948677695A4B3E31261C150F0C0B0D1117202A364351606F7D8C9A
A7B3BEC8D1D9E0E6EBEFF3F5F8FAFBFCFDFEE5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4F1
EDE9E4DDD6CEC4BAAEA1948677695A4B3E31261C140F0C0B0D1117202A364351606E7D8C
9AA7B3BEC8D1D9E0E6EBEFF3F5F8FAFBFCFDE4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4
F1EDE9E4DDD6CEC4BAAEA1948677695A4B3E31261C140F0C0B0D1117202A364351606E7D
8C9AA7B3BEC8D1D9E0E6EBEFF3F5F8FAFBFCE3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7
F4F1EDE9E4DDD6CEC4BAAEA2948677695A4B3E31261C150F0C0B0D1117202A364351606F
7D8C9AA7B3BEC8D1D9E0E6EBEFF3F5F8FAFBE3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9
F7F4F1EEE9E4DDD6CEC4BAAEA2948677695A4C3E31261C150F0C0B0D1118202A36435160
6F7D8C9AA7B3BEC8D1D9E0E6EBEFF3F5F8FAE1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFA
F9F7F4F1EEE9E4DDD6CEC4BAAEA2948678695A4C3E32261D15100C0C0D1118202B364351
606F7E8C9AA7B3BEC8D1D9E0E6EBEFF3F5F8E0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFC
FAF9F7F4F1EEE9E4DDD6CEC4BAAEA2948678695A4C3E32271D15100D0C0E1218212B3744
52606F7E8C9AA7B3BEC8D1D9E0E6EBEFF3F5DEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFD
FCFAF9F7F4F1EEE9E4DED6CEC5BAAFA2958778695B4C3F32271D16100D0D0E1219212B37
4452616F7E8C9AA7B3BEC8D1D9E0E6EBEFF3DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFD
FDFCFAF9F7F4F1EEE9E4DED6CEC5BAAFA29587786A5B4D3F33281E16110E0D0F1319222C
38455361707E8D9AA7B3BFC9D1D9E0E6EBEFD9DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FDFDFCFAF9F7F4F1EEE9E4DED6CEC5BAAFA39587796A5C4D4033281F17120F0E10141A22
2C38455361707F8D9BA8B4BFC9D2D9E0E6EBD6D9DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFDFDFCFBF9F7F4F1EEE9E4DED7CEC5BBAFA39688796B5C4E4034291F18120F0F10141B
232D39465462717F8D9BA8B4BFC9D2DAE0E6D2D6D9DCDEE0E1E3E3E4E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFDFDFCFBF9F7F5F1EEE9E4DED7CFC5BBAFA396887A6B5D4F41352A201913100F1115
1B242E3A46546271808E9BA8B4BFC9D2DAE1CDD2D6D9DCDEE0E1E3E3E4E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFDFDFCFBF9F7F5F2EEE9E4DED7CFC5BBB0A496897A6C5D4F42362A211A14111012
161C252F3A47556372808E9CA9B4BFC9D2DAC7CDD2D6D9DCDEE0E1E3E3E4E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFDFDFCFBF9F7F5F2EEEAE4DED7CFC6BBB0A497897B6C5E5043362B221B151211
13171D26303B48566472818F9CA9B5C0CAD2C0C7CDD2D6D9DCDEE0E1E3E3E4E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE4DED7CFC6BCB1A4978A7C6D5F5144372C231C1613
1314181E27313C49566573818F9DA9B5C0CAB9C1C7CDD2D6D9DCDEE0E2E3E3E4E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE5DFD7CFC6BCB1A5988A7C6E605245382E241D18
151416192028323D4A57657482909DAAB6C0B0B9C1C7CDD2D6D9DCDEE0E2E3E3E4E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB1A5988B7D6F6153463A2F261E
191615171B2129333E4B58667483909EAAB6A7B1B9C1C8CDD2D6D9DCDEE0E2E3E3E4E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB2A6998C7E706254473B3027
201A1717181C222A343F4C59677583919EAB9DA7B1BAC1C8CDD2D6DADCDEE0E2E3E4E4E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EEEAE5DFD8D0C7BDB2A69A8C7F716355483C31
28211C19181A1E242C35414D5A687684929F929DA8B1BAC1C8CED2D6DADCDFE0E2E3E4E4
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEAE5DFD8D1C8BEB3A79A8D7F726456493D
332A221D1A1A1B1F252D37424E5B6977859386929EA8B2BAC2C8CED3D6DADCDFE0E2E3E4
E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEAE5E0D9D1C8BEB3A89B8E807365574B
3F342B241F1C1B1D21272F3843505D6A78867A87939EA9B2BBC2C8CED3D7DADCDFE0E2E3
E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F7F5F2EFEBE6E0D9D1C9BFB4A89C8F81746659
4C40362D26211E1D1F2228303A45515E6B796D7B87949FA9B3BBC2C9CED3D7DADDDFE0E2
E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F5F2EFEBE6E0D9D2C9BFB5A99D90827567
5A4D42372F2722201F20242A323B46525F6D616E7B88949FAAB3BBC3C9CED3D7DADDDFE0
E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F5F3EFEBE6E0DAD2C9C0B5AA9E918376
685B4F4339302924212122262C343D48546054626F7C8995A0AAB3BCC3C9CFD3D7DADDDF
E0E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBF9F8F5F3EFEBE6E1DAD2CAC0B6AB9E9284
776A5D50453B322B26232324282E353F4955485563707D8A96A1ABB4BCC3C9CFD3D7DADD
DFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F5F3EFEBE7E1DAD3CAC1B7AB9F93
86786B5E52473D342D282525262A3037404B3D4A5764717E8B96A1ABB4BCC3CACFD3D7DA
DDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE7E1DBD3CBC2B7ACA0
94877A6D6054483E362F2A2727282C323942333F4B5865727F8B97A2ACB5BDC4CACFD4D7
DADDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE7E1DBD4CBC2B8AD
A195887B6E61554A4038312C2A292A2E343B2B35404D5A6774808C98A3ACB5BDC4CACFD4
D7DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE7E2DBD4CCC3B9
AEA296897C7063574C423A332F2C2B2D3036242D37424E5B6875818D99A3ADB6BEC4CAD0
D4D8DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE8E2DCD5CDC3
BAAFA3978B7E7165594E443C36312E2E2F321E262F3944505D6976828E9AA4AEB6BEC5CB
D0D4D8DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F3F0ECE8E2DCD5CD
C4BAB0A4988C7F73665B50463E38333030311B2128313B46525E6B77838F9AA5AEB7BEC5
CBD0D4D8DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F0EDE8E3DDD6
CEC5BBB1A5998D8174685D5249413A3633321A1E232A333D4853606C7885909BA5AFB7BF
C6CBD0D5D8DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE8E3DD
D6CEC6BCB1A69B8F82766A5F544B433C38351B1D20252C353F4A55616E7A86919CA6B0B8
BFC6CCD1D5D8DBDEDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE9E3
DDD7CFC6BDB2A79C9084786C61564D453F3A1E1E1F22282F37414B57636F7B87929DA7B0
B8C0C6CCD1D5D8DBDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF8F6F4F1EDE9
E4DED7D0C7BEB3A99D9185796E63584F484123212022252A3139434D5965717C88939EA8
B1B9C0C7CCD1D5D9DBDEE0E1E2E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F4F1EE
E9E4DED8D0C8BEB4AA9E93877B70655B524A2A26232324272D333B454F5B66727E89949F
A9B2BAC1C7CDD1D5D9DCDEE0E1E2E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFAF9F7F4F1
EEEAE5DFD8D1C8BFB5ABA094897D72675D54332D282625272A2F363E47515D68747F8B96
A0A9B2BAC1C8CDD2D6D9DCDEE0E1E2E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F4
F2EEEAE5DFD9D1C9C0B6ACA1968A7F74695F3D352F2B2928292D32384049545E6A75818C
97A1AAB3BBC2C8CDD2D6D9DCDEE0E1E2E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7
F5F2EEEAE5E0D9D2CAC1B8ADA2978C81766B483F38322E2B2B2C2F343B434C56606C7782
8D98A2ABB4BBC2C8CED2D6D9DCDEE0E1E2E3E4E4E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFAF9
F7F5F2EFEAE6E0DAD3CBC2B9AEA4998E8278544A423A35312E2E2F32373D454E58626D79
848F99A3ACB4BCC3C9CED3D6DADCDEE0E1E2E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFB
F9F7F5F2EFEBE6E1DAD3CCC3BAB0A59A8F8460564D443D373331303235394047505A646F
7A85909AA4ADB5BDC3C9CED3D7DADCDEE0E1E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFC
FBF9F7F5F2EFEBE6E1DBD4CCC4BBB1A79C916D62584F47403A36343334373C424A535C66
717C87919BA5AEB6BDC4CACFD3D7DADCDFE0E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFD
FCFBF9F7F5F3EFEBE7E2DCD5CDC5BCB2A89E796F645A5149423D393736373A3F454C555E
68737E88939DA6AFB7BEC5CACFD3D7DADDDFE0E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFD
FDFCFBF9F8F5F3F0ECE7E2DCD6CEC6BDB3A9867B71665D544C45403C39393A3D42484F57
606A757F8A949EA7B0B8BFC5CBD0D4D7DADDDFE0E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFDFCFBF9F8F6F3F0ECE8E3DDD6CFC7BEB591877D73695F564E48423F3C3C3D40444A51
5A636C77818B959FA8B1B8BFC6CBD0D4D8DADDDFE0E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFDFCFBFAF8F6F3F0ECE8E3DDD7D0C8BF9C93897F756B6159514A45413F3F4043474D
545C656F79838D97A0A9B1B9C0C6CCD0D4D8DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFDFCFBFAF8F6F3F0EDE9E4DED8D1C9A79E948A80766D645B544D4844424243464A
50565E67717A848E98A1AAB2BAC1C7CCD1D5D8DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFDFCFBFAF8F6F4F1EDE9E4DFD8D1B0A89F968C82786F665E56504B4745454648
4D52596169737C869099A3ABB3BBC1C7CDD1D5D8DBDDDFE1E2E3E4E4E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFDFCFBFAF8F6F4F1EDE9E5DFD9B9B1A9A0978E847A71686059534E4A484849
4B4F555C636C757E88919BA4ACB4BBC2C8CDD1D5D9DBDEDFE1E2E3E4E4E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF8F6F4F1EEEAE5E0C0B9B2AAA2998F867C736B635B55504D4B4A
4C4E52585E666E77808A939CA5ADB5BCC3C8CDD2D6D9DBDEDFE1E2E3E4E4E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFCFBFAF9F7F4F1EEEAE6C7C1BAB3ABA39A91887F766D655E5853504E
4D4F51555A61687079828B959EA6AEB6BDC3C9CED2D6D9DCDEE0E1E2E3E4E4E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFCFBFAF9F7F4F2EEEBCDC7C2BBB4ACA49C938A81786F68615B5653
51505154585D636B737B848D969FA8B0B7BEC4CACED3D6D9DCDEE0E1E2E3E4E4E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFCFCFAF9F7F5F2EFD1CDC8C2BCB5AEA59D948B837A726A635E59
56545354575B60666D757D868F98A0A9B1B8BFC5CACFD3D7DADCDEE0E1E2E3E4E4E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFDFDFCFAF9F7F5F2D6D2CEC9C3BDB6AFA79E968D857C746D6660
5C595756575A5E626970777F889199A2AAB2B9BFC5CBCFD3D7DADCDEE0E1E2E3E4E4E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7F5D9D6D2CEC9C4BEB7B0A8A0988F877E766F69
635F5C5A595A5D60656B7279828A929BA3ABB3BAC0C6CBD0D4D7DADCDEE0E1E2E3E4E4E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F7DCD9D6D3CFCAC4BFB8B1A9A1999189807972
6B66625E5D5C5D6063686E747C848C949DA5ACB4BBC1C7CCD0D4D7DADDDFE0E2E3E3E4E4
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9DEDCD9D7D3CFCAC5BFB9B2ABA39B938B837B
746E696461605F6062666B70777E868E969EA6AEB5BCC2C7CCD1D5D8DBDDDFE0E2E3E3E4
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBE0DEDCDAD7D3D0CBC6C0BAB3ACA49D958D85
7D77716B676463626365696D737980889098A0A7AFB6BDC3C8CDD1D5D8DBDDDFE0E2E3E3
E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCE1E0DEDCDAD7D4D0CCC7C1BBB4ADA69E968F
878079736E6A67656566686C70757C838A9299A1A9B0B7BDC3C9CDD2D5D8DBDDDFE1E2E3
E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDE2E1E0DFDDDAD8D4D1CCC7C2BCB5AFA7A098
9189827C76716D6A6868696B6E73787E858C949BA3AAB1B8BEC4C9CED2D6D9DBDDDFE1E2
E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEE3E3E2E0DFDDDBD8D5D1CDC8C3BDB7B0A9A1
9A928B847E7873706D6B6B6C6E71757A80878E959DA4ACB3B9BFC5CACFD3D6D9DCDEDFE1
E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEE4E3E3E2E0DFDDDBD8D5D1CDC9C4BEB8B1AA
A39C948D87807B7672706E6E6F7174787D838990979FA6ADB4BAC0C6CBCFD3D6D9DCDEE0
E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEE5E4E3E3E2E1DFDDDBD9D5D2CEC9C4BFB9B2
ACA59D968F89837D79757371717173767B7F858B9299A0A7AEB5BBC1C6CBD0D3D7DADCDE
E0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E4E4E3E2E1DFDDDBD9D6D2CFCAC5C0BA
B4ADA69F98928B85807B787574737476797D82888E949BA2A9B0B6BCC2C7CCD0D4D7DADC
DEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E4E4E3E2E1DFDEDCD9D6D3CFCBC6C1
BBB5AEA8A19A948D88827E7B78777677797C80848A90969DA4AAB1B7BDC3C8CDD1D4D7DA
DCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5E4E4E3E2E1E0DEDCD9D7D3D0CBC7
C2BCB6B0A9A39C96908A85817D7B79797A7C7F82878C92989FA5ACB2B8BEC4C9CDD1D5D8
DADDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E5E5E5E5E4E4E3E2E1E0DEDCDAD7D4D0CC
C8C3BDB7B1ABA49E98928C8783807E7C7C7D7E8185898E949AA1A7ADB4BABFC5C9CED2D5
D8DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E5E5E5E5E4E4E3E2E1E0DEDCDAD7D4D1
CDC8C3BEB8B3ACA6A09A948F8A8683807F7F7F8184878C91969CA2A9AFB5BBC0C5CACED2
D6D9DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E5E5E5E5E4E4E3E2E1E0DEDDDAD8D5
D1CDC9C4BFBAB4AEA8A29C96918C88858382818284868A8E93989EA4AAB0B6BCC1C6CBCF
D3D6D9DBDDDFE1E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E5E5E5E5E4E4E3E2E1E0DFDDDBD8
D5D2CECAC5C0BBB5AFA9A39E98938F8B888584848586898C90959AA0A6ACB2B7BDC2C7CC
D0D3D6D9DCDEDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E5E5E5E5E4E4E3E3E2E0DFDDDB
D9D6D2CFCBC6C1BCB6B1ABA5A09A95918D8A88878787898B8F93979CA2A8ADB3B9BEC3C8
CCD0D4D7DADCDEDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E0DFDD
DBD9D6D3CFCBC7C2BDB8B2ADA7A29C9893908D8B89898A8B8E9195999EA4A9AFB4BABFC4
C9CDD1D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1DF
DEDCD9D7D4D0CCC8C3BEB9B4AEA9A39E9A96928F8D8C8C8C8E9093979CA0A6ABB0B6BBC0
C5CACED1D5D8DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E2E1
DFDEDCDAD7D4D1CDC9C4BFBAB5B0AAA5A09C989492908F8E8F909396999EA2A7ADB2B7BC
C1C6CACED2D5D8DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E2
E1E0DEDCDAD7D5D1CECAC5C0BCB6B1ACA7A29E9A9794929191919395989CA0A4A9AEB3B9
BEC2C7CBCFD3D6D9DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3
E2E1E0DEDCDAD8D5D2CECAC6C2BDB8B3AEA9A4A09C99969593939495979A9EA2A6ABB0B5
BABFC3C8CCD0D3D6D9DBDDDFE0E2E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4
E3E2E1E0DFDDDBD8D6D2CFCBC7C3BEB9B4AFABA6A29E9B9997969696989A9CA0A4A8ADB1
B6BBC0C4C9CDD0D4D7D9DCDDDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4
E4E3E2E1E0DFDDDBD9D6D3D0CCC8C4BFBBB6B1ADA8A4A19D9B999898999A9C9FA2A6AAAE
B3B8BCC1C5CACDD1D4D7DADCDEDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E4E4E3E2E1E0DFDDDBD9D6D4D0CDC9C5C0BCB7B3AEAAA6A3A09D9C9B9A9B9C9EA1A4A8AC
B0B4B9BEC2C6CACED2D5D8DADCDEE0E1E2E3E3E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5
E5E4E4E3E3E2E1DFDEDCD9D7D4D1CDCAC6C1BDB9B4B0ACA8A5A29F9E9D9D9D9EA0A3A6AA
ADB2B6BABFC3C7CBCFD2D5D8DADCDEE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5
E5E5E4E4E3E3E2E1DFDEDCDAD7D5D2CECBC7C3BEBAB6B2AEAAA7A4A2A09F9F9FA1A2A5A8
ABAFB3B7BCC0C4C8CCD0D3D6D8DBDDDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5
E5E5E5E4E4E3E3E2E1E0DEDCDAD8D5D2CFCBC8C4C0BBB7B3AFACA9A6A4A2A1A1A2A3A5A7
AAADB1B5B9BDC1C5C9CDD0D3D6D9DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E4E4E3E2E1E0DEDDDBD8D6D3D0CCC9C5C1BDB9B5B1AEABA8A6A4A4A3A4A5A7
A9ACAFB3B6BABEC2C6CACED1D4D7D9DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E5E5E5E5E5E4E4E3E2E1E0DFDDDBD9D6D3D0CDCAC6C2BEBAB6B3AFACAAA8A6A6A5A6A7
A9ABAEB1B4B8BCC0C4C7CBCED2D5D7DADCDEDFE0E2E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E5E5E5E5E4E4E3E2E1E0DFDDDBD9D7D4D1CECAC7C3BFBCB8B4B1AEACAAA9A8A8A8
A9ABADAFB2B6B9BDC1C5C8CCCFD2D5D8DADCDEDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E5E5E5E5E4E4E3E2E1E0DFDDDCDAD7D5D2CFCBC8C4C1BDB9B6B3B0AEACABAAAA
AAABADAFB1B4B7BBBEC2C6C9CDD0D3D6D8DADCDEE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E5E5E5E5E4E4E3E2E2E1DFDEDCDAD8D5D2CFCCC9C5C2BEBBB8B5B2B0AEADAC
ACACADAEB1B3B6B9BCC0C3C7CACED1D4D6D9DBDDDEE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1DFDEDCDAD8D6D3D0CDCAC6C3C0BCB9B6B4B1B0AE
AEAEAEAFB0B2B5B7BABEC1C4C8CBCED1D4D7D9DBDDDFE0E1E2E3E4E4E5E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DEDDDBD9D6D4D1CECBC8C4C1BEBBB8B5B3B2
B0B0AFB0B1B2B4B6B9BCBFC2C6C9CCCFD2D5D7DADCDDDFE0E1E2E3E4E4E5E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DFDDDBD9D7D4D2CFCCC9C5C2BFBCB9B7B5
B3B2B1B1B2B3B4B6B8BBBDC0C3C7CACDD0D3D5D8DADCDEDFE0E1E2E3E4E4E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E1E0DFDDDCDAD7D5D2D0CDCAC7C3C0BEBBB9
B7B5B4B3B3B3B4B6B7BABCBFC2C5C8CBCED1D3D6D8DADCDEDFE1E2E2E3E4E4E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E1E0DFDEDCDAD8D6D3D0CECBC8C5C2BFBD
BAB8B7B6B5B5B5B6B7B9BBBEC0C3C6C9CCCFD1D4D7D9DBDDDEE0E1E2E3E3E4E4E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E2E1DFDEDCDAD8D6D4D1CECCC9C6C3C0
BEBCBAB8B7B7B7B7B8B9BBBDBFC1C4C7CACDD0D2D5D7D9DBDDDEE0E1E2E3E3E4E4E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DEDDDBD9D7D4D2CFCDCAC7C4
C2BFBDBCBAB9B8B8B9B9BBBCBEC0C3C5C8CBCED0D3D5D8DADCDDDFE0E1E2E3E3E4E4E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DEDDDBD9D7D5D3D0CDCBC8
C6C3C1BFBDBCBBBABABABBBCBEC0C2C4C7C9CCCED1D4D6D8DADCDEDFE0E1E2E3E4E4E4E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DFDDDCDAD8D6D3D1CECC
C9C7C4C2C0BFBDBCBCBCBCBDBEBFC1C3C5C8CACDCFD2D4D7D9DBDCDEDFE0E1E2E3E4E4E5
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E4E3E2E1E0DFDEDCDAD8D6D4D2CF
CDCAC8C6C3C2C0BFBEBDBDBDBEBFC1C2C4C6C9CBCED0D3D5D7D9DBDDDEDFE1E2E2E3E4E4
E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E1E0DFDEDCDBD9D7D5D2
D0CECBC9C7C5C3C1C0BFBFBFBFC0C1C2C4C6C8CACCCFD1D3D6D8DADBDDDEE0E1E2E3E3E4
E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E2E2E1DFDEDDDBD9D7D5
D3D1CFCCCAC8C6C4C3C2C1C0C0C0C1C2C3C5C7C9CBCDD0D2D4D6D8DADCDDDFE0E1E2E3E3
E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1E0DEDDDCDAD8
D6D4D2CFCDCBC9C7C6C4C3C2C2C2C2C2C3C5C6C8CACCCED0D3D5D7D9DBDCDEDFE0E1E2E3
E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1E0DFDDDCDA
D8D7D5D2D0CECCCAC8C7C5C4C4C3C3C3C4C5C6C7C9CBCDCFD1D3D5D7D9DBDDDEDFE0E1E2
E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E3E3E2E1E0DFDEDC
DBD9D7D5D3D1CFCDCBCAC8C7C6C5C4C4C5C5C6C7C9CACCCED0D2D4D6D8DADBDDDEE0E1E2
E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E4E3E2E1E0DFDE
DDDBDAD8D6D4D2D0CECCCBC9C8C7C6C6C6C6C6C7C8CACBCDCFD1D3D5D7D8DADCDDDFE0E1
E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4E4E3E2E2E1E0
DEDDDCDAD8D7D5D3D1CFCDCCCAC9C8C7C7C7C7C8C9CACBCCCED0D2D4D5D7D9DBDCDEDFE0
E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E1
E0DFDDDCDAD9D7D5D4D2D0CECDCBCAC9C9C8C8C8C9CACBCCCDCFD1D2D4D6D8DADBDDDEDF
E0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2
E1E0DFDEDCDBD9D8D6D4D3D1CFCECDCBCBCACAC9CACACBCCCDCED0D2D3D5D7D8DADCDDDE
DFE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3
E2E1E0DFDEDDDBDAD8D7D5D3D2D0CFCECCCCCBCBCBCBCBCCCDCECFD1D2D4D6D7D9DBDCDD
DFE0E1E2E2E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3
E3E2E1E1E0DEDDDCDAD9D7D6D4D3D1D0CFCECDCCCCCCCCCCCDCECFD0D2D3D5D6D8D9DBDC
DEDFE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4E4
E4E3E2E2E1E0DFDEDCDBD9D8D6D5D3D2D1D0CFCECDCDCDCDCDCECFD0D1D3D4D5D7D9DADB
DDDEDFE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E4
E4E4E3E3E2E1E0DFDEDDDBDAD9D7D6D4D3D2D0D0CFCECECECECECFD0D1D2D3D5D6D8D9DB
DCDDDEDFE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E4E4E3E3E2E1E0DFDEDDDCDAD9D8D6D5D4D2D1D0D0CFCFCFCFCFD0D1D2D3D4D5D7D8DA
DBDCDEDFE0E1E2E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5
E5E5E4E4E3E3E2E1E1E0DFDDDCDBDAD8D7D6D4D3D2D1D1D0D0D0D0D0D1D2D3D4D5D6D7D9
DADBDDDEDFE0E1E2E2E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5
E5E5E5E4E4E3E3E2E2E1E0DFDEDDDBDAD9D8D6D5D4D3D2D2D1D1D1D1D1D2D3D3D5D6D7D8
D9DBDCDDDEDFE0E1E2E3E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5
E5E5E5E5E4E4E4E3E2E2E1E0DFDEDDDCDBD9D8D7D6D5D4D3D3D2D2D2D2D2D3D3D4D5D6D8
D9DADBDCDDDFE0E0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E5E5E5E5E4E4E4E3E3E2E1E0DFDEDDDCDBDAD9D8D7D6D5D4D3D3D3D3D3D3D4D4D5D6D7
D8D9DADCDDDEDFE0E1E2E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E5E5E5E5E5E4E4E3E3E2E1E1E0DFDEDDDCDBD9D8D7D6D5D5D4D4D4D3D4D4D4D5D6D7
D8D9DADBDCDDDEDFE0E1E2E2E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E5E5E5E5E5E4E4E3E3E2E2E1E0DFDEDDDCDBDAD9D8D7D6D6D5D5D4D4D4D5D5D6D7
D7D8D9DADBDDDEDFDFE0E1E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E5E5E5E5E5E4E4E4E3E2E2E1E0DFDFDEDDDCDBDAD9D8D7D6D6D5D5D5D5D5D6D7
D7D8D9DADBDCDDDEDFE0E1E1E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E1E1E0DFDEDDDCDBDAD9D8D8D7D6D6D6D6D6D6D7
D7D8D9DADADBDCDDDEDFE0E1E2E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E2E1E0DFDEDDDCDCDBDAD9D8D8D7D7D7D7D7D7
D7D8D9D9DADBDCDDDEDFE0E0E1E2E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E3E3E2E2E1E0DFDFDEDDDCDBDADAD9D8D8D8D7D7D7
D8D8D9D9DADBDBDCDDDEDFE0E1E1E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E1E1E0DFDEDDDCDCDBDAD9D9D9D8D8D8
D8D8D9D9DADADBDCDDDEDEDFE0E1E2E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E1E1E0DFDFDEDDDCDBDBDADAD9D9D9
D9D9D9D9DADADBDCDCDDDEDFE0E0E1E2E2E3E3E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E2E1E0E0DFDEDDDDDCDBDBDADAD9
D9D9D9DADADADBDBDCDDDEDEDFE0E1E1E2E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E3E3E2E2E1E1E0DFDEDEDDDCDCDBDBDA
DADADADADADADBDBDCDDDDDEDFDFE0E1E2E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E2E1E1E0E0DFDEDDDDDCDCDB
DBDBDADADBDBDBDBDCDCDDDEDEDFE0E0E1E2E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E2E1E0E0DFDFDEDDDDDC
DCDBDBDBDBDBDBDCDCDCDDDDDEDFDFE0E1E1E2E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E2E2E1E1E0DFDFDEDEDD
DDDCDCDCDCDCDCDCDCDCDDDDDEDFDFE0E0E1E2E2E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E2E2E1E0E0DFDFDE
DEDDDDDCDCDCDCDCDCDDDDDDDEDEDFDFE0E1E1E2E2E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E2E2E1E1E0E0DF
DEDEDEDDDDDDDDDDDDDDDDDDDEDEDFDFE0E0E1E1E2E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E2E2E1E1E0E0
DFDFDEDEDEDDDDDDDDDDDDDDDEDEDFDFE0E0E1E1E2E2E3E3E4E4E4E5E5E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4E3E3E3E2E2E1E1
E0E0DFDFDEDEDEDEDDDDDEDEDEDEDFDFDFE0E0E1E1E2E2E3E3E4E4E4E5E5E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E2E2E1
E1E0E0E0DFDFDEDEDEDEDEDEDEDEDFDFDFE0E0E1E1E2E2E3E3E3E4E4E4E5E5E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E3E2
E2E1E1E0E0DFDFDFDFDEDEDEDEDEDFDFDFE0E0E0E1E1E2E2E3E3E4E4E4E4E5E5E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3E3E3
E2E2E1E1E1E0E0DFDFDFDFDFDFDFDFDFDFE0E0E0E1E1E2E2E2E3E3E4E4E4E5E5E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E3
E3E2E2E2E1E1E0E0E0E0DFDFDFDFDFDFDFE0E0E0E1E1E1E2E2E3E3E3E4E4E4E5E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4
E3E3E3E2E2E2E1E1E0E0E0E0E0DFDFDFE0E0E0E0E1E1E1E2E2E2E3E3E4E4E4E4E5E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4
E4E4E3E3E2E2E2E1E1E1E0E0E0E0E0E0E0E0E0E0E1E1E1E2E2E2E3E3E3E4E4E4E5E5E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4
E4E4E4E3E3E3E2E2E2E1E1E1E0E0E0E0E0E0E0E0E1E1E1E1E2E2E2E3E3E3E4E4E4E5E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E4E4E4E3E3E3E3E2E2E2E1E1E1E1E0E0E0E0E1E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E5E4E4E4E4E3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E4E4E4E5E5
E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5
E5E5E5E4E4E4E4E3E3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E4E4E4E4E5
E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5
E5E5E5E5E5E4E4E4E4E3E3E3E2E2E2E2E2E1E1E1E1E1E1E1E2E2E2E2E3E3E3E3E4E4E4E4
E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5
E5E5E5E5E5E5E4E4E4E4E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4
E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E5E5E5E5E5E5E5E4E4E4E4E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4
E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E5E5E5E5E5E5E5E4E4E4E4E3E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4
E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E3E2E2E2E2E2E2E2E2E3E3E3E3E3E3E4E4
E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E3E3E2E2E2E2E2E3E3E3E3E3E3E4E4
E4E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4
E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4
E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E4
E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E4
E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E3E3E3E3E3E3E3E3E4E4
E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E3E3E3E3E4E4E4
E4E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4
E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E4E4E4
E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5
E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
pop
P
% End of image
.5 Mabswid
.74038 .01923 m
0 0 rlineto s
.74038 .01923 m
.74035 1 L
s
.008 w
[ .15 .05 ] 0 setdash
.82051 .01923 m
0 0 rlineto s
.82051 .01923 m
.82048 1 L
s
.5 Mabswid
[ ] 0 setdash
.90064 .01923 m
0 0 rlineto s
.90064 .01923 m
.90061 1 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[48]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`00000P00000040fMWI00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010=WIf@00
00<000000?ooo`3oool0o`3ooolL0?ooo`4000000@3IfMT000030000003oool0oooo0?l0oooo703o
ool100000040fMWI00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010=WIf@0000<000000?oo
o`3oool0d@3oool00`000000oooo0?ooo`0C0?ooo`8000005P3oool00`000000oooo0?ooo`0I0?oo
o`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0
i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo
00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<0
00000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<00000
0>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KV
iP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3V
i^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H0
5@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3V
i^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H20000
01H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40
oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV
00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<0
00000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<00000
0>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KV
iP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3V
i^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H0
4`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2
000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0
i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo
00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<0
00000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<00000
0>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KV
iP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3V
i^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H0
5@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3V
i^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H20000
01H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40
oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV
00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<0
00000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<00000
0>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KV
iP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3V
i^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H0
4`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2
000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0
i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo
00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<0
00000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<00000
0>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0=40oooo00<000000>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP0E0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0[0>KViP03
0000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`030000
003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0=40oooo00<000000>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0
i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV
02/0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40
oooo00<000000>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV01D0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV02/0i^KV00<0
00000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<00000
0>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool0d@3oool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV01D0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3V
i^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H0
:`3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3o
ool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H0
0`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`00
0000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000
i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV
0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0MP3oool40?knoUL0oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<0
00000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo07H0oooo1`3no_iD
0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool1
00000040fMWI00000`000000oooo0?ooo`1f0?ooo`P0o_knD`3oool00`000000i^KV0>KViP0C0>KV
iP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool0MP3oool:0?knoU40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3V
i^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo07L0oooo2P3no_i@0?ooo`030000
003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`1g0?ooo`@0o_kn1@3moOd30?knoTh0oooo00<000000>KViP3Vi^H04`3V
i^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo07P0oooo0`3no_h70?gmo@<0o_knC03oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H0
0`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0N@3oool20?kn
oPP0oOgm0`3no_i;0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV
01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`1i0?ooo`80o_kn0`3moOd40?clo0<0
oOgm0P3no_i:0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`1j0?ooo`80o_kn0P3moOd60?clo080oOgm
0P3no_i90?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`1j0?ooo`80o_kn0P3moOd30?clo080no_k0`3l
o?`0103moOd0o_kn0?knoP3no_i70?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000
003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`1k0?ooo`80o_kn0P3m
oOd00`3lo?`0no_k0?_kn`040?_kn`80o?cl0P3moOd20?knoTD0oooo00<000000>KViP3Vi^H04`3V
i^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo07`0oooo0P3no_h0103moOd0o?cl0?_kn`3kno/40?[jnP80no_k00<0o?cl0?gmo@3moOd00P3n
o_i40?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`1l0?ooo`80o_kn0P3moOd0103lo?`0no_k0?[jnP3j
n_X20?Win@80n_[j0P3kno/0103lo?`0oOgm0?knoP3no_i30?ooo`030000003Vi^H0i^KV01<0i^KV
0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`1m0?ooo`80o_kn00<0oOgm0?clo03kno/00P3jn_X40?Win@80n_[j00<0no_k0?clo03moOd00P3n
o_i20?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`1n0?ooo`80o_kn00D0oOgm0?clo03kno/0n_[j0?Wi
n@040?Shn0040?Win@3jn_X0no_k0?clo080oOgm00<0o_kn0?ooo`3oool0?`3oool00`000000i^KV
0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0O`3oool01`3no_h0oOgm0?gmo@3lo?`0no_k0?Win@3hn?P01@3gmoL0103hn?P0
n_[j0?_kn`3lo?`20?gmo@030?knoP3oool0oooo03d0oooo00<000000>KViP3Vi^H04`3Vi^H20000
01H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0800
oooo00L0o_kn0?gmo@3lo?`0no_k0?[jnP3inOT0moOg00D0m_Kf00L0n?Sh0?Win@3jn_X0no_k0?cl
o03moOd0o_kn03h0oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H0
5@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0800oooo0P3no_h01P3moOd0o?cl0?_k
n`3inOT0moOg0?KfmP@0mOGe00P0m_Kf0?Ogm`3hn?P0n_[j0?_kn`3lo?`0oOgm0?knoSd0oooo00<0
00000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0840oooo00P0o_kn0?gmo@3moOd0no_k0?[jnP3hn?P0moOg0?Gem@80
m?Cd00T0lo?c0?Cdm03emOD0m_Kf0?Shn03inOT0n_[j0?clo03moOd00P3no_hk0?ooo`030000003V
i^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`220?ooo`090?knoP3moOd0o?cl0?_kn`3inOT0moOg0?KfmP3dm?@0lo?c0080
l_;b00P0lo?c0?Cdm03emOD0moOg0?Shn03kno/0o?cl0?gmo@80o_kn>P3oool00`000000i^KV0>KV
iP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0PP3oool20?knoP080?gmo@3lo?`0n_[j0?Shn03fm_H0mOGe0??cl`3bl_820?7al@08
0?;blP3clo<0m?Cd0?KfmP3inOT0n_[j0?clo03moOd20?knoST0oooo00<000000>KViP3Vi^H04`3V
i^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo08@0oooo00T0o_kn0?gmo@3kno/0n_[j0?Shn03fm_H0m?Cd0?;blP3`l?000`3_knl02@3`l?00
l_;b0?Gem@3gmoL0n?Sh0?[jnP3lo?`0oOgm0?knoP0h0?ooo`030000003Vi^H0i^KV01<0i^KV0P00
000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`24
0?ooo`80o_kn00P0o?cl0?_kn`3inOT0moOg0?Gem@3clo<0l?3`0>k^kP80kNg]00X0k^k^0>o_k`3a
lO40lo?c0?KfmP3hn?P0n_[j0?_kn`3moOd0o_kn=`3oool00`000000i^KV0>KViP0C0>KViP800000
5P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0Q@3o
ool05@3no_h0oOgm0?clo03kno/0nOWi0?Ogm`3dm?@0lO7a0>k^kP3]kNd0k>c/0>_[j`3/k>`0k^k^
0?3`l03bl_80mOGe0?Ogm`3inOT0o?cl0?gmo@020?knoSD0oooo00<000000>KViP3Vi^H04`3Vi^H2
000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
08H0oooo01D0o_kn0?gmo@3lo?`0n_[j0?Shn03fm_H0l_;b0>o_k`3]kNd0jn_[0>[ZjP3YjNT0jn_[
0>c/k03_knl0lO7a0?Cdm03fm_H0n_[j0?_kn`3moOd00P3no_hd0?ooo`030000003Vi^H0i^KV01<0
i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`260?ooo`80o_kn00T0oOgm0?_kn`3jn_X0moOg0?Cdm03alO40k^k^0>_[j`3YjNT00P3Xj>P0
2`3YjNT0jn_[0>g]k@3`l?00lo?c0?Ogm`3inOT0no_k0?clo03moOd0o_kn03<0oooo00<000000>KV
iP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo08P0oooo01L0o_kn0?gmo@3lo?`0n_[j0?KfmP3clo<0l?3`0>g]k@3Zj^X0inOW
0>GUi@3Ti>@0iNGU0>KViP3YjNT0k>c/0?7al@3dm?@0moOg0?Win@3kno/0oOgm0?knoP0b0?ooo`03
0000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`280?ooo`80o_kn00T0oOgm0?_kn`3hn?P0m_Kf0?;blP3_knl0jn_[
0>SXj03Ti>@00P3Rh^802`3Shn<0i>CT0>OWi`3/k>`0l?3`0??cl`3fm_H0nOWi0?_kn`3moOd0o_kn
0340oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo08T0oooo0P3no_h05@3moOd0n_[j0?Shn03emOD0lO7a
0>k^kP3Zj^X0i>CT0>;RhP3Ph>00gmoO0>3Ph03Rh^80inOW0>[ZjP3^k^h0l_;b0?Gem@3hn?P0no_k
0?gmo@020?knoRl0oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H0
5@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo08X0oooo00/0o_kn0?gmo@3lo?`0n_[j
0?Ogm`3dm?@0l?3`0>c/k03Vi^H0h^;R0=oOg`030=gMg@090>7Qh@3UiND0jNWY0>g]k@3alO40mOGe
0?Win@3kno/0oOgm0080o_kn;P3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000
i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0R`3oool02`3no_h0oOgm
0?_kn`3inOT0m_Kf0??cl`3_knl0j>SX0>CTi03Ph>00g=cL0080f][J00X0g=cL0=oOg`3Rh^80inOW
0>_[j`3`l?00mOGe0?Shn03kno/0o?cl0P3no_h]0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F
0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2<0?oo
o`0I0?knoP3moOd0o?cl0?[jnP3gmoL0lo?c0>g]k@3Xj>P0hn?S0=kNgP3Jf]X0emOG0=GEe@3Fe]H0
fMWI0=gMg@3QhN40i^KV0>k^kP3bl_80m_Kf0?Win@3kno/0oOgm0?knoP0/0?ooo`030000003Vi^H0
i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`00
0000oooo0?ooo`2=0?ooo`0I0?knoP3moOd0no_k0?Win@3fm_H0l?3`0>_[j`3Vi^H0hN7Q0=_Kf`3G
emL0dm?C0=;BdP3Cdm<0e]KF0=[JfP3Ogml0inOW0>c/k03alO40mOGe0?Shn03kno/0oOgm0?knoP0[
0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool1
00000040fMWI00000`000000oooo0?ooo`2=0?ooo`80o_kn00X0oOgm0?_kn`3inOT0m?Cd0>o_k`3Z
j^X0i>CT0=kNgP3IfMT0d];B0P3?cll0303@d=00dm?C0=OGe`3Ogml0iNGU0>_[j`3`l?00m?Cd0?Sh
n03kno/0oOgm0?knoRX0oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3V
i^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo08h0oooo0P3no_h0603lo?`0no_k
0?Ogm`3clo<0k^k^0>SXj03Rh^80g=cL0=?Cd`3?cll0c<c<0<_;b`3<c<`0clo?0=OGe`3MgMd0hn?S
0>[ZjP3_knl0m?Cd0?Win@3kno/0oOgm0?knoRT0oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0
i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo08l0oooo
0P3no_h05`3lo?`0nOWi0?KfmP3bl_80kNg]0>OWi`3Ph>00e]KF0=3@d03;bl/0b<S80<O7a`38b<P0
c/k>0=CDe03Kfm/0hN7Q0>SXj03^k^h0mOGe0?Shn03kno/0oOgm0080o_kn9`3oool00`000000i^KV
0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0T03oool06P3no_h0oOgm0?_kn`3inOT0mOGe0?7al@3[jn/0iNGU0=[JfP3Cdm<0
cLg=0<O7a`34a<@0`l?30<K6aP3;bl/0dM7A0=SHf03Ogml0i^KV0>o_k`3dm?@0n?Sh0?[jnP3lo?`0
o_kn9`3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0T@3oool06`3no_h0oOgm0?clo03inOT0m_Kf0?;b
lP3/k>`0h^;R0=[JfP3Bd]80bl_;0<C4a02o_kl0_Kfm0;jn_P33`l<0bLW90=3@d03Hf=P0i>CT0>_[
j`3`l?00mOGe0?Win@3kno/0oOgm0?knoP0U0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KV
iP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2B0?ooo`0K
0?knoP3moOd0no_k0?Win@3fm_H0lO7a0>SXj03Ph>00f=SH0<o?c`37alL0`<300;Zj^P2i^KT0^[Zj
0;no_`35aLD0cLg=0=[JfP3Rh^80jNWY0>o_k`3dm?@0n?Sh0?clo03moOd0o_kn02@0oooo00<00000
0>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo09<0oooo01/0o_kn0?gmo@3kno/0nOWi0?Gem@3]kNd0i^KV0=kNgP3EeMD0
c<c<0<C4a02i^KT0]KFe0;Bd]02f][H0^[Zj0<71`@3>c/h0emOG0>3Ph03Xj>P0k^k^0?Cdm03inOT0
no_k0?gmo@3no_h08`3oool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV01D0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`2D0?ooo`0K0?knoP3moOd0no_k0?Shn03bl_80k>c/
0>GUi@3Lg=`0dm?C0<W9b@2l_;`0]KFe0;6a/@2_[jl0/K6a0;Jf]P32`/80bl_;0=GEe@3Ng]h0i^KV
0>g]k@3emOD0nOWi0?_kn`3moOd0o_kn0280oooo00<000000>KViP3Vi^H0:`3Vi^H00`000000i^KV
0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0U@3oool06`3no_h0o?cl0?_k
n`3fm_H0lO7a0>_[j`3Shn<0f][J0=3@d031`L40^;Rh0;2`/02/[:`0ZZZZ0:b/[02e]KD0_[jn0<S8
b03Bd]80g=cL0>GUi@3_knl0mOGe0?Shn03kno/0oOgm0?knoP0Q0?ooo`030000003Vi^H0i^KV02/0
i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo09H0oooo
01/0o_kn0?gmo@3jn_X0moOg0??cl`3]kNd0iNGU0=cLg03<c<`0`L710;Jf]P2][Jd0YZJV0:>SX`2U
YJD0Zj^[0;>c/`2m_Kd0b<S80=CDe03Rh^80j^[Z0?7al@3fm_H0nOWi0?clo03no_h0803oool00`00
0000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`2G0?ooo`0J0?knoP3lo?`0n_[j0?KfmP3bl_80k>c/0>?Sh`3De=@0bLW90;fm_@2b/[80
Z:RX0:6QX@2NWYh0X:2P0:JVYP2_[jl0^[Zj0<G5a@3GemL0hN7Q0>WYj@3`l?00mOGe0?Win@3lo?`2
0?knoQh0oooo00<000000>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool0V03oool06P3moOd0o?cl0?Win@3fm_H0lO7a0>[ZjP3MgMd0d];B
0<K6aP2i^KT0[Zj^0:>SX`2JVYX0V9RH09^KV`2QXJ40ZZZZ0;Jf]P38b<P0e=CD0=oOg`3Xj>P0kno_
0?Gem@3jn_X0o?cl0P3no_hM0?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H05@3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo09P0oooo01d0o_kn0?gmo@3lo?`0nOWi0?Ge
m@3`l?00iNGU0=_Kf`3@d=00`l?30;Jf]P2YZJT0VYZJ09BDU02CTi<0UIFE09bLW02VYZH0^;Rh0<G5
a@3Bd]80gMgM0>OWi`3^k^h0m_Kf0?[jnP3lo?`0oOgm0?knoP0L0?ooo`030000003Vi^H0i^KV02/0
i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo09T0oooo
01d0o_kn0?gmo@3kno/0nOWi0?Gem@3/k>`0i>CT0=WIf@3=cLd0`<300;:b/P2OWil0UIFE08n?S`2=
SHd0T92@09NGU`2WYjL0]KFe0<?3``3@d=00g=cL0>KViP3alO40m_Kf0?Win@3lo?`0oOgm0?knoP0K
0?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo09X0oooo01`0o_kn0?gmo@3kno/0n?Sh0?;blP3[jn/0h^;R0=OGe`3;bl/0
_Kfm0:NWY`2JVYX0T92@08V9R@27QhL0RXZ:09NGU`2SXj<0/K6a0;no_`3=cLd0f][J0>WYj@3`l?00
mOGe0?Win@3lo?`0oOgm6`3oool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV01D0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`2K0?ooo`0M0?knoP3moOd0o?cl0?Shn03dm?@0
kNg]0>GUi@3Kfm/0c/k>0;Rh^02XZ:P0VIVI08f=S@24Q8@0Ogmo08:2PP2:RXX0UIFE0:BTY02c/k<0
`/;20=OGe`3Rh^80jn_[0?;blP3gmoL0n_[j0?gmo@3no_h06@3oool00`000000i^KV0>KViP0[0>KV
iP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2L0?ooo`0M
0?knoP3moOd0no_k0?Shn03clo<0kNg]0>CTi03IfMT0a<C40;Bd]02TY:@0UIFE08R8R01nOWh0NGUi
07alO024Q8@0T92@09nOW`2`/;00alO70=GEe@3QhN40j^[Z0?7al@3fm_H0no_k0?gmo@3no_h0603o
ool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`2M0?ooo`0M0?knoP3moOd0no_k0?Ogm`3clo<0k>c/0>?Sh`3AdM40`/;20;6a
/@2PX:00T92@08:2PP1eMGD0Lg=c07IfMP1oOgl0S8b<09^KV`2e]KD0aLG50=?Cd`3Ph>00jNWY0?7a
l@3hn?P0no_k0?gmo@3no_h05`3oool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV01D0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`2N0?ooo`0M0?knoP3lo?`0n_[j0?Ogm`3b
l_80jn_[0=cLg03?cll0_kno0:j^[P2LW9`0Rh^;07MgM`1_Kfl0KFe]071`L01iNGT0QhN70:2PX02a
/K40`/;20=;BdP3Ng]h0j>SX0??cl`3hn?P0no_k0?gmo@3no_h05P3oool00`000000i^KV0>KViP0C
0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool0W`3oool07@3no_h0o?cl0?[jnP3gmoL0lO7a0>KViP3Jf]X0cLg=0;bl_02[Zj/0V9RH07mo
O`1bLW80JFUY06MWI`1[Jf/0M7Ad08Z:RP2LW9`0[Zj^0<30`03@d=00gMgM0>c/k03clo<0moOg0?_k
n`3moOd0o_kn01D0oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H0
5@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0:00oooo00h0o_kn0?gmo@3kno/0n?Sh
0?7al@3YjNT0gmoO0=7Ad@31`L40[jn_09:BTP20P800L71`06ATI080GemO00d0K6a/07YjNP2<S8`0
X:2P0;>c/`35aLD0fm_K0>KViP3_knl0mOGe0?Win@3lo?`0o_kn01@0oooo00<000000>KViP3Vi^H0
4`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0:40oooo01d0o_kn0?gmo@3kno/0m_Kf0?3`l03Xj>P0gMgM0=3@d02o_kl0XZ:R08j>SP1k
Ng/0Jf][05mOG`1IFET0G5aL06IVIP1fMWH0R8R809bLW02`/;00bl_;0=[JfP3UiND0k^k^0?Cdm03i
nOT0o?cl0?knoP0C0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV
01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2R0?ooo`0M0?knoP3moOd0nOWi0?Ge
m@3`l?00inOW0=cLg03>c/h0/k>c09nOW`2:RXX0MWIf06EUI@1IFET0De=C05MGE`1QHF40LG5a08B4
Q02IVIT0]kNg0<W9b@3Hf=P0i>CT0>g]k@3dm?@0n_[j0?clo03no_h04P3oool00`000000i^KV0>KV
iP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0X`3oool07@3no_h0o?cl0?Win@3emOD0kno_0>KViP3Kfm/0a<C40;6a/@2LW9`0QXJ6
079bLP1PH600D51@04e=C@1ADE40G5aL06a/K020P800X:2P0;Fe]@37alL0emOG0>?Sh`3]kNd0m_Kf
0?[jnP3lo?`0o_kn0140oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3V
i^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0:@0oooo01`0oOgm0?clo03inOT0
mOGe0>o_k`3Vi^H0dm?C0<;2`P2^[Zh0VIVI08:2PP1]KFd0E5AD04Y:BP17AdL0C4a<05MGE`1WIfL0
QhN709fMW@2c/k<0a/K60=KFeP3Rh^80l?3`0?KfmP3jn_X0o?cl0P3no_h?0?ooo`030000003Vi^H0
i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`00
0000oooo0?ooo`2T0?ooo`0N0?knoP3moOd0o?cl0?Win@3dm?@0k^k^0=oOg`3AdM40`<300:b/[02F
UYH0Ogmo05mOG`1?Cdl0ADE50492@P16ATH0DU9B06e]K@23Ph<0VYZJ0;2`/034a<@0e=CD0>OWi`3_
knl0mOGe0?Win@3lo?`0o_kn3`3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000
i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0YP3oool07P3no_h0o?cl
0?[jnP3fm_H0kNg]0>CTi03GemL0alO70;>c/`2MWId0NGUi06=SH`1?Cdl0@D5103Xj>P0k>c/0BTY:
05aLG01bLW80RXZ:0::RXP2h^;P0dm?C0>3Ph03[jn/0l_;b0?Ogm`3kno/0oOgm0?knoPd0oooo00<0
00000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0:L0oooo01h0o_kn0?clo03jn_X0m?Cd0>g]k@3Shn<0e]KF0<K6aP2a
/K40Shn?07IfMP1OGel0Bd];03`l?00e=CD0>SXj04I6AP1HF5P0Kfm_08N7Q`2OWil0`<300=;BdP3P
h>00j^[Z0?;blP3gmoL0o?cl0?gmo@3no_h<0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KV
iP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2X0?ooo`0N
0?knoP3lo?`0n?Sh0??cl`3/k>`0h^;R0=GEe@34a<@0Y:BT08b<S01cLg<0Fe]K04I6AP0h>3P0<30`
03De=@11@D40E5AD06][J`24Q8@0ZJVY0;jn_P3@d=00gmoO0>[ZjP3bl_80nOWi0?clo03moOd0o_kn
2`3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0Z@3oool07P3no_h0no_k0?Shn03clo<0k>c/0>;RhP3D
e=@0^KVi0::RXP29RHT0L71`05MGE`12@T80;bl_02/[:`0`<300?Cdm051@D01XJ6P0SXj>0:NWY`2m
_Kd0clo?0=kNgP3YjNT0m?Cd0?Win@3lo?`0oOgm0?knoPX0oooo00<000000>KViP3Vi^H04`3Vi^H2
000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
0:X0oooo01d0oOgm0?_kn`3hn?P0lo?c0>c/k03QhN40bl_;0;Ng]`2PX:00QhN706e]K@1DE5@0=SHf
02XZ:P0W9bL0;2`/03Ti>@1=CDd0LW9b08b<S02UYJD0^k^k0<k>cP3MgMd0kNg]0?Cdm03inOT0no_k
0?gmo@0:0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`2Z0?ooo`80o_kn01d0o?cl0?Win@3emOD0kno_
0>3Ph03Bd]80`<300:ZZZP2ATI40MWIf04m?C`0i>CT0:BTY024Q8@0R8R80;2`/04Q8B01PH600Ng]k
09JFUP2^[Zh0a<C40=cLg03Xj>P0lO7a0?KfmP3jn_X0oOgm0?knoP080?ooo`030000003Vi^H0i^KV
01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`2[0?ooo`80o_kn01d0o?cl0?Win@3emOD0jn_[0>3Ph03AdM40_kno0:RXZ02?Shl0IVIV
04a<C00f=SH09RHV01hN7P0O7al0<30`04E5A@1NGUh0NGUi09BDU02][Jd0c<c<0=cLg03Xj>P0l?3`
0?KfmP3kno/0oOgm0?knoP070?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003V
i^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2/0?ooo`80o_kn01d0o?cl
0?Win@3bl_80j^[Z0=oOg`3AdM40_[jn0:NWY`1oOgl0I6AT04U9B@0c<c<08R8R01XJ6P0O7al0;Bd]
0492@P1KFe/0MgMg09>CT`2g]kL0bl_;0=_Kf`3WinL0l?3`0?Shn03kno/0oOgm0?knoP060?ooo`03
0000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`2]0?ooo`80o_kn01d0o?cl0?Ogm`3bl_80j^[Z0=oOg`3@d=00_Kfm
09VIV@1nOWh0HV9R04M7A`0`<300820P01LG5`0L71`0:RXZ03lo?`1IFET0MGEe09jNWP2f][H0bl_;
0=_Kf`3WinL0lo?c0?Shn03kno/0oOgm0?knoP050?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F
0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2^0?oo
o`0O0?knoP3moOd0no_k0?Ogm`3bl_80j^[Z0=oOg`3?cll0/K6a09RHV01lO7`0H61P04E5A@0^;Rh0
61PH01@D500I6AT0:2PX03dm?@1GEeL0PX:209fMW@2f][H0b/[:0=[JfP3/k>`0lo?c0?Shn03kno/0
oOgm0?knoP040?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`2`0?ooo`0N0?gmo@3lo?`0nOWi0?Gem@3^
k^h0i>CT0<o?c`2k^k/0Y:BT08V9R@1/K6`0Cdm?02XZ:P0J6QX04A4A018B4P0L71`0;bl_05EEE@1b
LW80SXj>0:VYZ@2o_kl0f][J0>KViP3_knl0m_Kf0?[jnP3lo?`0o_kn0`3oool00`000000i^KV0>KV
iP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0/03oool07`3no_h0oOgm0?clo03inOT0m?Cd0>k^kP3Ng]h0c/k>0;^k^`2SXj<0R8R8
06][J`10@400:BTY01PH600?3`l0410@01/K6`0i>CT0E5AD075aL@2=SHd0Z:RX0<W9b@3Jf]X0i^KV
0>o_k`3fm_H0n_[j0?gmo@3no_h00P3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`00
0000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0/@3oool08@3no_h0
oOgm0?clo03inOT0m?Cd0>WYj@3Ng]h0c/k>0;Zj^P2RXZ80QhN705]KF`0o?cl0:2PX01HF5P0>3Ph0
3`l?028R8P0h>3P0De=C071`L02=SHd0/k>c0<W9b@3IfMT0i^KV0>o_k`3emOD0no_k0?gmo@3no_h0
oooo0000000E0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0/P3oool0803no_h0oOgm0?clo03inOT0lO7a0>WYj@3MgMd0c/k>0;Zj^P2R
XZ80N7Qh05YJFP0n?Sh09bLW01DE5@0=3@d04Q8B024Q8@0g=cL0DU9B06m_K`2JVYX0/k>c0<S8b03I
fMT0i^KV0>o_k`3hn?P0no_k0?gmo@3no_h000005@3Vi^H2000001H0i^KV00<000000>KViP3Vi^H0
5@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0;<0oooo0200o_kn0?gmo@3lo?`0moOg
0?7al@3YjNT0gMgM0<k>cP2j^[X0U9BD07MgM`1JFUX0?Shn02HV9P0E5AD02`/;014A4@0P8200=SHf
055AD@1mOGd0VYZJ0;>c/`38b<P0fMWI0>KViP3clo<0n?Sh0?_kn`3moOd000000>GUiA@0i^KV0P00
000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2d
0?ooo`0N0?knoP3moOd0n_[j0?Ogm`3alO40jNWY0=gMg@3>c/h0[Zj^09BDU01gMgL0FUYJ03hn?P0V
9RH03`l?00/;2`0A4A40820P03Hf=P1PH600OGem09ZJVP2c/k<0b<S80=WIf@3[jn/0lo?c0?Shn03k
no/000000P3UiNDC0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0]P3oool07@3moOd0o?cl0?Win@3dm?@0k^k^0>CTi03>c/h0^[Zj0::R
XP26QXH0JFUY04a<C00V9RH05ADE00`<300=3@d061PH03Hf=P1ADE40Kfm_08b<S02WYjL0_[jn0=WI
f@3Vi^H0kno_0?Gem@000000hn?S0080iNGU4P3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo0;H0oooo01h0o_kn0?gmo@3lo?`0nOWi0?Cd
m03^k^h0gMgM0<k>cP2j^[X0XZ:R08J6QP1YJFT0?Shn02LW9`0E5AD03@d=00h>3P0Q8B40=cLg059B
DP1_Kfl0S8b<0:NWY`38b<P0fMWI0>KViP3_knl000000>3Ph03Shn<20>GUiA40i^KV0P00000F0>KV
iP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2g0?ooo`0N
0?knoP3moOd0o?cl0?Win@3dm?@0jNWY0=kNgP3>c/h0^[Zj0::RXP27QhL0Fe]K03lo?`0X:2P05QHF
00h>3P0C4a<08R8R03Ph>01CDe<0L71`08f=S@2c/k<0bLW90=WIf@3Vi^H000000=cLg03QhN40hn?S
0P3UiND@0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0^03oool07P3no_h0oOgm0?clo03inOT0lO7a0>WYj@3Ng]h0c/k>0;^k^`2SXj<0
NGUi05aLG010@400:BTY01PH600?3`l051@D02<S8`0i>CT0E5AD075aL@2KVi/0];Bd0<W9b@3Jf]X0
00000=KFeP3Ng]h0hN7Q0>?Sh`80iNGU3`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0;T0oooo01h0o_kn0?gmo@3lo?`0moOg0?;blP3Y
jNT0g]kN0<o?c`2k^k/0UYJF07YjNP1MGEd0@T9202XZ:P0D51@0410@01HF5P0U9BD0>SXj05EEE@20
P800W9bL0;Bd]039bLT000000<g=c@3IfMT0g]kN0>7Qh@3Shn<20>GUi@h0i^KV0P00000F0>KViP03
0000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2k0?ooo`0O0?kn
oP3lo?`0nOWi0?Gem@3^k^h0iNGU0=OGe`2l_;`0YJFU08Z:RP1^KVh0DU9B02h^;P0M7Ad05ADE01HF
5P0P8200<S8b05MGE`1dM7@0T92@0:ZZZP000000^KVi0<g=c@3Fe]H0g=cL0>3Ph03Shn<0i>CT0>GU
i@0=0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0_03oool07@3no_h0o?cl0?Win@3emOD0k^k^0>GUi@3@d=00_Kfm0:JVYP2<S8`0L71`
04M7A`0`<300820P01LG5`0H61P08R8R03lo?`1IFET0MGEe096AT@000000YjNW0<71`@3=cLd0e]KF
0=cLg03Ph>00hn?S0080iNGU303Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0;`0oooo0P3no_h0703lo?`0nOWi0?Gem@3_knl0gmoO0=7A
d@2n_[h0YjNW08f=S@1TI6@0BDU903<c<`0R8R806QXJ01/K6`0];Bd0@T9205]KF`1gMgL0000009:B
TP2b/[80`/;20<k>cP3Fe]H0g=cL0>3Ph03Ti>@20>GUi@/0i^KV0P00000F0>KViP030000003Vi^H0
i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2m0?ooo`80o_kn01`0o?cl0?Wi
n@3emOD0jn_[0>3Ph03AdM40_kno0:RXZ021PH40IVIV04a<C00f=SH09RHV01hN7P0R8R80<30`04E5
A@1NGUh0000007]kN`2OWil0/k>c0<;2`P3>c/h0emOG0=gMg@3Rh^80i>CT0P3UiND:0>KViP800000
5P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0_P3o
ool20?knoP0L0?clo03inOT0lo?c0>_[j`3Ph>00d];B0<30`02NWYh0Ph>306QXJ01?Cdl0>CTi02TY
:@0Q8B409RHV03@d=018B4P00000069RHP29RHT0X:2P0;>c/`33`l<0clo?0=OGe`3Ogml0h^;R0>CT
i080iNGU2@3Vi^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo0<00oooo01d0o_kn0?clo03hn?P0lo?c0>_[j`3QhN40dm?C0;Ng]`2OWil0QXJ6
06][J`1BDU80?Cdm02PX:00U9BD0:RXZ03Lg=`000000BTY:075aL@2;Rh/0XJ6Q0;Bd]033`l<0clo?
0=[JfP3Ogml0h^;R0>CTi0020>GUi@P0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`310?ooo`0O0?knoP3lo?`0n_[j0?KfmP3`l?00inOW
0=CDe033`l<0[Zj^09JFUP1lO7`0Hf=S0492@P0c<c<0;2`/02d];@000000;Bd]04i>CP1XJ6P0PH61
09VIV@2][Jd0_[jn0=3@d03Hf=P0gMgM0>7Qh@3Shn<0i>CT0>GUi@070>KViP8000005P3Vi^H00`00
0000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0`P3oool07@3no_h0
o?cl0?[jnP3fm_H0l?3`0>;RhP3EeMD0a<C40;2`/02HV9P0Ogmo05]KF`16ATH0>3Ph030`<0000000
8B4Q03/k>`1BDU80Jf][08>3P`2JVYX0[Zj^0<G5a@3@d=00f=SH0=gMg@3QhN40hn?S0080iNGU1P3V
i^H2000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo0<<0oooo01d0o_kn0?clo03jn_X0m_Kf0>g]k@3Shn<0e]KF0<K6aP2a/K40Vi^K07IfMP1OGel0
Bd];03`l?00000007AdM02`/;00o?cl0EEEE06i^KP26QXH0W9bL0;Rh^036a/H0dM7A0=SHf03Ng]h0
hN7Q0>CTi0020>GUi@D0i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`340?ooo`0M0?knoP3lo?`0n_[j0?Cdm03]kNd0i>CT0=OGe`37alL0
/k>c096AT@1iNGT0Hf=S04m?C`0000008B4Q02DU9@0a<C40@d=305UIF@1aLG40R8R80:RXZ02i^KT0
alO70=7Ad@3IfMT0g]kN0>;RhP3Ti>@00P3UiND40>KViP8000005P3Vi^H00`000000i^KV0>KViP0E
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0a@3oool07@3no_h0o?cl0?Win@3dm?@0
k^k^0>GUi@3Hf=P0b<S80:^[Z`2DU9@0OGem06MWI`000000;Bd]02DU9@0Z:RX0=SHf04M7A`1MGEd0
M7Ad09JFUP2YZJT0^[Zj0<S8b03Bd]80fMWI0>3Ph03Rh^80i>CT0080iNGU0`3Vi^H2000001H0i^KV
00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0<H0oooo01d0
o_kn0?gmo@3jn_X0moOg0?;blP3Zj^X0h>3P0<_;b`2i^KT0Y:BT08j>SP000000BTY:03De=@0^;Rh0
;bl_03Lg=`15ADD0F5QH07UiN@2?Shl0Xj>S0;Bd]033`l<0c/k>0=[JfP3Ng]h0hN7Q0>?Sh`020>GU
i@80i^KV0P00000F0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`370?ooo`0>0?knoP3moOd0no_k0?Ogm`3bl_80jn_[0=_Kf`3<c<`0^k^k0:NWY`000000
HV9R04M7A`0j>SX203@d=00=03`l?01:BTX0IVIV07alO02ATI40YJFU0;Jf]P34a<@0dm?C0=[JfP3O
gml0h^;R0>?Sh`020>GUi@030>KViP000000000001H0i^KV00<000000>KViP3Vi^H05@3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo0<P0oooo01d0o_kn0?gmo@3kno/0n?Sh0??cl`3WinL0
g=cL0<k>cP2m_Kd0000007]kN`1MGEd0C4a<0410@00i>CT0>SXj0492@P1GEeL0JVYZ07moO`2DU9@0
YjNW0;Rh^03;bl/0e=CD0=[JfP3Ogml0h^;R0>?Sh`020>GUi@8000005P3Vi^H00`000000i^KV0>KV
iP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0b@3oool07P3no_h0oOgm0?_kn`3h
n?P0l?3`0>SXj03MgMd0d=3@0000002CTi<0MGEe065QH@1ADE40ADE503lo?`10@400CDe=05aLG01_
Kfl0Ph>309NGU`2YZJT0`<300<c<c03De=@0fm_K0=oOg`3Rh^80i>CT0>GUi@8000005P3Vi^H00`00
0000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0bP3oool07@3no_h0
oOgm0?_kn`3fm_H0lO7a0>WYj@3Ogml000000:RXZ02<S8`0N7Qh06IVIP1FEUH0Bd];04E5A@18B4P0
DU9B065QH@1cLg<0QXJ609VIV@2c/k<0`L710<g=c@3EeMD0fm_K0=oOg`3Shn<0i>CT008000005P3V
i^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0b`3oool0
7@3no_h0oOgm0?[jnP3fm_H0lO7a0>[ZjP000000^KVi0::RXP2?Shl0O7al06][J`1KFe/0D51@04Y:
BP1>CTh0F5QH06IVIP1gMgL0RXZ:0:FUY@2e]KD0`l?30<g=c@3Fe]H0fm_K0>7Qh@3Shn<0i>CT0080
iNGU5@3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
c@3oool03@3moOd0o?cl0?Win@3emOD000000<g=c@2l_;`0[Zj^09fMW@2;Rh/0NWYj06YZJP1IFET0
0P1DE5@03@1KFe/0IVIV07EeM@2?Shl0X:2P0;6a/@2o_kl0b/[:0=?Cd`3Lg=`0h>3P0>;RhP3Ti>@0
0P3UiNDD0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`3=0?ooo`0>0?knoP3moOd0o?cl0?Win@000000e]KF0<W9b@2n_[h0/;2`0:2PX02?Shl0OWin06UY
J@1OGel205YJFP0>061PH01[Jf/0PX:209:BTP2SXj<0/k>c0<30`03;bl/0emOG0=cLg03Ph>00h^;R
0>CTi03UiNDD0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`3>0?ooo`0>0?knoP3moOd0o?cl0000003Lg=`0dm?C0<[:bP2o_kl0/[:b0:>SX`2CTi<0Ng]k
06i^KP1TI6@2061PH00>06IVIP1gMgL0QXJ609JFUP2VYZH0]KFe0<;2`P3AdM40f=SH0=gMg@3Ph>00
hn?S0>CTi03UiNDC0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`3?0?ooo`0L0?knoP3moOd000000>3Ph03Jf]X0e=CD0<c<c031`L40];Bd0:JVYP2?Shl0
P82007=cL`1ZJVX0IFEU06IVIP1`L700O7al08Z:RP2IVIT0ZJVY0;Ng]`39bLT0d];B0=SHf03MgMd0
hN7Q0>?Sh`80iNGU4P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0d03oool0703no_h000000>?Sh`3Ogml0fm_K0=GEe@3=cLd0`l?30;Ng]`2QXJ40TY:B
08B4Q01hN7P0L71`06][J`1^KVh0MGEe0820P02>SXh0WIfM0:b/[02o_kl0b/[:0=?Cd`3IfMT0g]kN
0>7Qh@3Ti>@20>GUiA40i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0=40oooo00h000000>GUi@3Shn<0hN7Q0=gMg@3IfMT0d];B0<[:bP2j^[X0[Jf]09nO
W`2BTY80QHF507]kN`80M7Ad00d0NGUi08:2PP2>SXh0Vi^K0;2`/02l_;`0alO70=3@d03GemL0g=cL
0>7Qh@3Shn<0i>CT0080iNGU3`3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0d@3oool07P000000iNGU0>CTi03Shn<0hN7Q0=kNgP3IfMT0dm?C0<O7a`2l
_;`0/;2`0:>SX`2FUYH0RXZ:07emO@1iNGT0NWYj07moO`27QhL0TY:B0:FUY@2b/[80_[jn0<W9b@3A
dM40f=SH0=oOg`3QhN40hn?S0>CTi080iNGU3P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0d@3oool040000000i^KV0>GUi@3Ti>@0hn?S0>7Qh@3Ng]h0
f][J0=7Ad@38b<P0_[jn0;>c/`2VYZH0VYZJ08Z:RP23Ph<207moO`0>08B4Q02<S8`0W9bL0:VYZ@2e
]KD0`<300<[:bP3Bd]80fm_K0=oOg`3Rh^80hn?S0>CTi03UiND>0>KViP030000003Vi^H0i^KV01D0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`0O0000003Vi^H0iNGU0>GUi@3T
i>@0hn?S0>7Qh@3Ogml0f=SH0=;BdP3:b/X0`<300;Fe]@2YZJT0V9RH08n?S`28R8P0Q8B408F5Q@29
RHT0UIFE0:2PX02/[:`0]kNg0<;2`P3<c<`0e]KF0=cLg03Ogml0h^;R0>CTi0020>GUi@d0i^KV00<0
00000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<00000
0>KViP3Vi^H00P3UiND06`3Ti>@0hn?S0>;RhP3MgMd0fMWI0=?Cd`3;bl/0`/;20;Rh^02WYjL0W9bL
09>CT`2=SHd0RHV908Z:RP2ATI40VIVI0:BTY02_[jl0^[Zj0<C4a03AdM40emOG0=cLg03Ph>00h^;R
0>CTi0020>GUi@`0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0=40oooo00<000000>KViP3Vi^H00P3Vi^H20>GUi@0J0>CTi03Rh^80h>3P0=cLg03GemL0
dM7A0<[:bP2l_;`0/K6a0:NWY`2NWYh0UiNG09:BTP2ATI40UIFE09bLW02TY:@0[Zj^0;Vi^@37alL0
clo?0=KFeP3Kfm/0gmoO0>7Qh@3Ti>@20>GUi@/0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H00`3Vi^H20>GUi@0<0>CT
i03Rh^80h>3P0=gMg@3Hf=P0d];B0<O7a`2n_[h0];Bd0:^[Z`2RXZ80Vi^K0P2FUYH20000000:0:RX
Z02a/K40`<300<W9b@3@d=00emOG0=cLg03Ogml0hn?S0>CTi080iNGU2P3Vi^H00`000000i^KV0>KV
iP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP04
0>KViP80iNGU00d0i>CT0>;RhP3Ph>00gMgM0=WIf@3@d=00bLW90<30`02g]kL0[Zj^0:JVYP2MWId0
Vi^K0080000000/0Y:BT0:b/[02i^KT0`/;20<[:bP3Bd]80f=SH0=cLg03QhN40hn?S0>CTi0020>GU
i@T0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40
oooo00<000000>KViP3Vi^H01@3Vi^H20>GUi@0<0>CTi03Shn<0hN7Q0=kNgP3GemL0d];B0<_;b`33
`l<0^[Zj0;:b/P2WYjL0XZ:R0P000000302RXZ80Z:RX0;>c/`2l_;`0a<C40<c<c03Cdm<0f=SH0=kN
gP3QhN40hn?S0>CTi080iNGU203Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP060>KViP80iNGU00/0i>CT0>?Sh`3QhN40
gMgM0=SHf03Cdm<0c<c<0<G5a@2m_Kd0/K6a0:^[Z`020000000>0:BTY02WYjL0[jn_0;Jf]P2n_[h0
a/K60<k>cP3De=@0fm_K0=oOg`3QhN40hn?S0>CTi03UiND80>KViP030000003Vi^H0i^KV01D0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV00L0i^KV0P3U
iND02P3Ti>@0hn?S0>3Ph03MgMd0fMWI0=CDe03>c/h0alO70;bl_02d];@200000080Z:RX00d0[Jf]
0;:b/P2i^KT0`L710<S8b03?cll0f=SH0=cLg03Ogml0h^;R0>?Sh`3Ti>@0iNGU00L0i^KV00<00000
0>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KV
iP3Vi^H02@3Vi^H20>GUi@080>?Sh`3Rh^80gmoO0=cLg03Hf=P0dm?C0<[:bP33`l<20000000>0;6a
/@2^[Zh0[Zj^0;2`/02e]KD0^[Zj0<71`@38b<P0dM7A0=OGe`3Kfm/0gmoO0>7Qh@3Shn<30>GUi@D0
i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo
00<000000>KViP3Vi^H02P3Vi^H02@3UiND0i>CT0>?Sh`3Rh^80h>3P0=gMg@3IfMT0d];B0<c<c002
0000000?0;Vi^@2e]KD0/K6a0;:b/P2d];@0^;Rh0;fm_@33`l<0cLg=0=?Cd`3Hf=P0g=cL0=oOg`3Q
hN40i>CT0080iNGU1@3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0d@3oool00`000000i^KV0>KViP0;0>KViP80iNGU00H0i>CT0>;RhP3Ph>00g]kN0=SH
f03Cdm<2000000030<;2`P2m_Kd0]kNg0080]KFe00/0]kNg0;^k^`30`<00bLW90<o?c`3De=@0fMWI
0=gMg@3Ph>00hn?S0>CTi0020>GUi@@0i^KV00<000000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H0303Vi^H20>GUi@050>CTi03Shn<0
hN7Q0=gMg@3IfMT00P0000004@3:b/X0a<C40;fm_@2j^[X0^;Rh0;Vi^@2k^k/0_[jn0<G5a@3;bl/0
d=3@0=GEe@3Jf]X0gMgM0>7Qh@3Shn<0i>CT0080iNGU0`3Vi^H00`000000i^KV0>KViP0E0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0=0>KViP80iNGU
00@0i>CT0>?Sh`3Ph>00gMgM0P0000001@3AdM40c<c<0<C4a030`<00_Kfm0080_;bl00/0_[jn0<?3
``38b<P0cLg=0=;BdP3GemL0fm_K0=oOg`3QhN40hn?S0>CTi0020>GUi@80i^KV00<000000>KViP3V
i^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H0
3P3Vi^H30>GUi@0G0>?Sh`3Rh^8000000000003IfMT0eMGE0<o?c`3:b/X0a/K60<?3``31`L40`<30
0<;2`P35aLD0bLW90<g=c@3Bd]80e]KF0=cLg03Ogml0hN7Q0>?Sh`3Ti>@00P3UiND00`3Vi^H00000
0>KViP0F0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KV
iP0?0>KViP80iNGU01P0i>CT0>?Sh`00000000000=gMg@3Jf]X0eMGE0=3@d03<c<`0b<S80<G5a@34
a<@0`l?30<G5a@37alL0bl_;0<o?c`3Cdm<0fMWI0=gMg@3Ogml0hN7Q0>?Sh`3Ti>@20>GUi@030000
003Vi^H0i^KV01D0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`030000003V
i^H0i^KV0140i^KV00`0iNGU0>CTi000000000000>3Ph03Ng]h0f][J0=KFeP3Bd]80c/k>0<_;b`38
b<P20<K6aP0:0<O7a`3:b/X0cLg=0=7Ad@3GemL0f][J0=gMg@3Ph>00h^;R0>?Sh`80iNGU00<00000
0>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KV
iP3Vi^H04@3Vi^H20>GUi@80000000T0hn?S0>7Qh@3MgMd0f][J0=OGe`3De=@0d=3@0<g=c@39bLT0
0P38b<P03@3:b/X0c<c<0<o?c`3De=@0f=SH0=_Kf`3Ng]h0h>3P0>;RhP3Ti>@0iNGU0000003UiND0
5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04P3V
i^H03@3UiND000000000003Ti>@0hn?S0>3Ph03Ng]h0fm_K0=SHf03EeMD0d];B0<k>cP3<c<`00P3;
bl/0303<c<`0c/k>0=;BdP3Fe]H0fMWI0=cLg03Ogml0hN7Q0>?Sh`3Ti>@000000>GUiAH0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV01<0i^KV0P000000
2`3UiND0i>CT0>;RhP3QhN40gmoO0=cLg03IfMT0e]KF0=;BdP3@d=00c/k>0080cLg=00X0c/k>0=7A
d@3De=@0emOG0=[JfP3MgMd0gmoO0>;RhP3Shn<000000P3UiNDE0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000000P3UiND02P3Ti>@0hn?S
0>;RhP3QhN40gmoO0=cLg03Hf=P0e]KF0=?Cd`3AdM420=3@d00:0=7Ad@3Cdm<0eMGE0=OGe`3Jf]X0
gMgM0>3Ph03Rh^8000000>CTi080iNGU503Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000000030>KViP3UiND0iNGU0080i>CT00P0h^;R0>7Q
h@3Ogml0g=cL0=WIf@3GemL0eMGE0=?Cd`80d];B00X0dm?C0=CDe03Fe]H0fMWI0=_Kf`3Ogml0h>3P
0000003Shn<0i>CT0P3UiNDC0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool0
0`000000i^KV0>KViP0C0>KViP8000000P3Vi^H30>GUi@090>CTi03Shn<0hN7Q0=oOg`3MgMd0fm_K
0=SHf03Fe]H0eMGE00<0e=CD00L0e]KF0=SHf03Jf]X0gMgM0=oOg`000000h^;R0080i>CT0P3UiNDB
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KV
iP8000000`3Vi^H30>GUi@090>CTi03Shn<0hN7Q0=oOg`3Ng]h0g=cL0=[JfP3Hf=P0e]KF0080eMGE
00T0e]KF0=OGe`3IfMT0g=cL0=kNgP000000hN7Q0>?Sh`3Ti>@00`3UiNDA0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP800000103Vi^H30>GU
i@080>CTi03Shn<0h^;R0>3Ph03Ng]h0g=cL0=_Kf`3Hf=P40=OGe`080=WIf@3Kfm/0gMgM0000003P
h>00h^;R0>?Sh`3Ti>@20>GUiA40i^KV103oool100000040fMWI00000`000000oooo0?ooo`3A0?oo
o`030000003Vi^H0i^KV01<0i^KV0P0000060>KViP80iNGU0P3Ti>@01`3Shn<0hN7Q0>3Ph03Ogml0
g=cL0=_Kf`3Jf]X00`3IfMT0203Jf]X0g=cL0000003Ogml0h>3P0>;RhP3Shn<0i>CT0`3UiND?0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP80
00001`3Vi^H30>GUi@080>CTi03Shn<0h^;R0>7Qh@3Ng]h0gMgM0=cLg03Kfm/30=[JfP060=_Kf`00
0000g]kN0=oOg`3QhN40hn?S0P3Ti>@20>GUi@l0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`3A0?ooo`030000003Vi^H0i^KV01<0i^KV0P0000080>KViP<0iNGU00P0i>CT0>?Sh`3Rh^80
h>3P0=oOg`3Ng]h0gMgM0=cLg080fm_K00L0g=cL0000003MgMd0gmoO0>3Ph03Rh^80hn?S0080i>CT
0P3UiND>0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KV
iP0C0>KViP8000002@3Vi^H30>GUi@80i>CT00H0h^;R0>7Qh@3Ph>00gmoO0=kNgP3MgMd20=cLg008
0000003MgMd0g]kN0=oOg`3QhN40h^;R0>?Sh`3Ti>@30>GUi@d0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000:0>KViP<0iNGU00L0i>CT
0>?Sh`3Rh^80hN7Q0>3Ph03Ogml0g]kN0080gMgM00L000000=gMg@3Ng]h0gmoO0>7Qh@3Rh^80hn?S
0080i>CT0P3UiND=0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000
i^KV0>KViP0C0>KViP800000303Vi^H20>GUi@80i>CT00L0hn?S0>;RhP3QhN40h>3P0=oOg`3Ng]h0
00000080g]kN00D0gmoO0>3Ph03QhN40h^;R0>?Sh`020>CTi080iNGU303Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000000h0i^KV0P3UiND2
0>CTi0050>?Sh`3Rh^80hN7Q0>3Ph00000000`3Ogml01P3Ph>00hN7Q0>7Qh@3Rh^80hn?S0>CTi0<0
iNGU2`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H0
4`3Vi^H2000000h0i^KV0`3UiND20>CTi0040>?Sh`3Rh^80hN7Q000000@0h>3P0P3QhN40103Rh^80
hn?S0>?Sh`3Ti>@30>GUi@X0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`03
0000003Vi^H0i^KV01<0i^KV0P00000?0>KViP@0iNGU00@0i>CT0>?Sh`3Shn<000000P3QhN420>3P
h080hN7Q0P3Rh^800`3Shn<0i>CT0>CTi0030>GUi@T0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000A0>KViP<0iNGU00<0i>CT0>?Sh`00
00000P3Rh^840>7Qh@80h^;R00<0hn?S0>CTi03Ti>@0103UiND80>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000004P3Vi^H30>GUi@040>CT
i0000000hn?S0>?Sh`H0h^;R0P3Shn<20>CTi0<0iNGU203Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001@0i^KV0P3UiND00`000000i>CT
0>CTi0020>?Sh`@0h^;R0`3Shn<20>CTi0<0iNGU1`3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001D0i^KV00<0iNGU0000003UiND00P3T
i>@80>?Sh`80i>CT103UiND60>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool0
0`000000i^KV0>KViP0C0>KViP8000005P3Vi^H010000000iNGU0>GUi@3UiND20>CTi0H0hn?S0`3T
i>@30>GUi@H0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`030000003Vi^H0
i^KV01<0i^KV0P00000F0>KViP030000003UiND0iNGU0080iNGU0`3Ti>@40>?Sh`<0i>CT103UiND5
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KV
iP8000005P3Vi^H00`000000i^KV0>KViP030>GUi@X0i>CT103UiND40>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H010000000
i^KV0>KViP3Vi^H50>GUi@L0i>CT1@3UiND30>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP020>KViPD0
iNGU1P3Ti>@50>GUi@<0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`030000
003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0i^KV00@0i^KV1P3UiND30>CTi0H0iNGU
0P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H04`3V
i^H2000001H0i^KV00<000000>KViP3Vi^H01@3Vi^H>0>GUi@80i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000003Vi^H0
i^KV00L0i^KV3@3UiND00`3Vi^H0oooo0?ooo`020?ooo`4000000@3IfMT000030000003oool0oooo
0=40oooo00<000000>KViP3Vi^H04`3Vi^H2000001H0i^KV00<000000>KViP3Vi^H0203Vi^H<0>GU
i@030>KViP3oool0oooo0080oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000
i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0:0>KViP/0iNGU103oool100000040
fMWI00000`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV01<0i^KV0P00000F0>KViP030000
003Vi^H0i^KV00`0i^KV2@3UiND40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<0
00000>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP0=0>KViPP0iNGU103oool100000040fMWI0000
0`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H03`3Vi^H6
0>GUi@@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0[0>KV
iP030000003Vi^H0i^KV0140i^KV103UiND40?ooo`4000000@3IfMT000030000003oool0oooo0=40
oooo00<000000>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV01D0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV02/0i^KV00<0
00000>KViP3Vi^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<00000
0>KViP3Vi^H0:`3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool0d@3oool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV01D0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3V
i^H05@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H0
:`3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3o
ool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`3A0?ooo`030000003Vi^H0i^KV02/0i^KV00<000000>KViP3Vi^H05@3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0=40oooo00<000000>KViP3Vi^H0:`3Vi^H00`00
0000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000
i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV
0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KV
iP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KV
iP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP800000
5P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3o
ool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H0
0`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`00
0000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000
i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV
0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KV
iP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C
0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP80
00005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3V
i^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool0
0`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`00
0000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000
i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV
0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KV
iP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KV
iP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP800000
5P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3o
ool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H0
0`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`00
0000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000
i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV
0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KV
iP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C
0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP80
00005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3V
i^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool0
0`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`00
0000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000
i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV
0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KV
iP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KViP8000005P3Vi^H00`000000i^KV0>KViP0E
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool00`000000i^KV0>KViP0C0>KV
iP8000005P3Vi^H00`000000i^KV0>KViP0E0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool0d@3oool00`000000i^KV0>KViP0[0>KViP030000003Vi^H0i^KV01D0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`3A0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0
6@3oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`030000003oool0oooo02/0oooo00<0
00000?ooo`3oool06@3oool100000040fMWI00000`000000oooo0?ooo`3A0?ooo`030000003oool0
oooo02/0oooo00<000000?ooo`3oool06@3oool100000040fMWI00000`000000oooo0?ooo`3A0?oo
o`030000003oool0oooo02/0oooo00<000000?ooo`3oool06@3oool100000040fMWI00000`000000
oooo0?ooo`3A0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool06@3oool100000040
fMWI003o0000020000000@3IfMT00001\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-21.2276, -0.0409172, 0.217614, \
0.00725378}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  DensityGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[48]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(way3 = 
      Block[{xg = \(-8\), pg = 1, l = 5, h = 2\ sx\ sp\ r, r = 1, P = 0, 
          sp = 1/6, sx = 1, t = 30, c = 30}, max = gswf[0, 0, 1, 1]; 
        DensityPlot[
          Evaluate[
            If[fncover < p, 2  Abs[gs1] + 0.1, 2  Abs[gs1]]], {x, \(-20\), 
            40}, {p, 0, 2  pg}, PlotPoints \[Rule] 600, PlotRange -> All, 
          AspectRatio \[Rule] 1, ColorFunctionScaling \[Rule] False, 
          Background \[Rule] White, \[IndentingNewLine]Mesh -> False, 
          FrameTicks -> {{}, {}, {}, {}}, Frame \[Rule] True, 
          TextStyle \[Rule] m10, 
          ColorFunction -> \((GrayLevel[
                  1 - #] &)\), \[IndentingNewLine]Epilog -> {d0 /. {x \[Rule] \
\(-20\)}}]]\)], "Input",
  CellLabel->"In[51]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.339744 0.0160256 0.0192308 0.480769 [
[ 0 0 -0.125 0 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
0 0 m
0 1 L
s
0 1 m
1 1 L
s
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.01923 .01923 translate
.96154 .96154 scale
600 string
600 600 8 [600 0 0 600 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFE
FEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFE
FEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFEFEFEFEFEFDFDFDFDFDFDFDFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFEFDFDFDFDFDFDFDFCFCFCFCFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFDFDFDFDFDFDFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFDFDFDFD
FDFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FDFDFDFDFCFCFCFCFCFCFBFBFBFBFBFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFDFDFDFDFDFDFEFEFEFEFEFEFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFDFDFDFDFDFD
FDFDFDFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFE
FDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFCFCFCFCFCFDFDFDFDFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFEFEFEFEFE
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFDFDFDFDFDFDFD
FDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFE
FDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFEFEFEFE
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFDFDFDFDFDFDFDFD
FDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFD
FDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFE
FEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFD
FDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFD
FDFDFDFCFCFCFBFBFBFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFE
FEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFD
FDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFD
FDFDFDFCFCFCFBFBFBFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFE
FEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFD
FDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFD
FDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFE
FEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFCFCFCFC
FCFDFDFDFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFD
FDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFCFCFCFCFDFDFDFDFDFDFDFE
FEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFC
FCFCFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFE
FDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFDFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFDFCFCFCFCFCFCFCFCFDFDFDFDFDFD
FEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFC
FCFCFCFDFDFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FDFDFDFDFCFCFCFCFCFCFBFBFBFBFBFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFDFDFDFDFD
FDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFCFCFCFCFCFCFCFC
FCFCFCFCFDFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFD
FDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFCFC
FCFCFCFCFCFDFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFDFDFDFDFDFDFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFD
FDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFCFCFBFC
FCFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFCFBFCFCFCFCFCFCFCFDFD
FDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFBFBFBFBFB
FBFBFCFCFCFCFCFDFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFEFEFEFEFEFDFDFDFDFDFDFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFBFBFBFBFBFBFBFCFCFCFCFDFD
FDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFB
FBFBFBFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFCFCFCFBFBFBFBFBFBFBFBFBFCFCFCFCFD
FDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFB
FBFBFBFBFCFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFCFCFCFC
FDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFCFBFBFBFBFBFBFBFB
FBFBFBFBFBFCFCFCFDFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFBFBFCFCFC
FDFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFCFBFBFBFBFBFAFAFAFA
FAFBFBFBFBFBFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFBFBFBFBFBFAFAFAFAFAFBFBFBFBFCFCFC
FCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFCFBFBFBFAFAFAFAFAFA
FAFAFAFBFBFBFCFCFCFDFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFBFAFAFAFAFAFAFAFAFBFBFBFBFCFC
FCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAFAFAFAFA
FAFAFAFAFBFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAFAFAFAFAFAFAFAFBFBFBFBFC
FCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAFAFAFAF9FA
FAFAFAFAFBFBFBFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFD
FDFDFCFCFCFBFBFBFBFAFAFAFAFAFAFBFBFBFBFBFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAFAFAF9F9FAFAFAFAFAFBFBFBFC
FCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAF9F9F9F9F9
F9F9FAFAFAFBFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFD
FCFCFBFBFBFAFAFAF9F9F9F9F9F9F9F9F9FAFAFAFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFAFAFAFAF9F9F9F9F9F9FAFAFAFAFBFBFB
FCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAF9F9F9F9F9F9
F9F9F9FAFAFAFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFCFC
FBFBFBFAFAF9F9F8F8F8F8F7F7F8F8F8F8F8F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFFFFFF
FFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAF9F9F9F9F9F9F9F9F9FAFAFAFBFB
FCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFCFBFBFAFAFAF9F9F9F9F9F9F9
F9F9F9F9FAFAFAFBFBFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFEFEFEFEFEFDFDFCFCFB
FBFAFAF9F8F8F7F7F7F6F6F6F6F6F6F6F7F7F8F8F9F9FAFAFBFCFCFDFDFDFEFEFEFEFFFF
FFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFAFAFAF9F9F9F9F9F9F9F9F9F9F9FAFAFBFB
FBFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFBFAFAF9F9F9F8F8F8F8F8
F8F9F9F9F9FAFAFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFB
FAF9F9F8F7F7F6F6F5F5F5F5F5F5F5F5F5F6F6F7F8F8F9FAFAFBFBFCFDFDFDFEFEFEFEFF
FFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFBFAFAF9F9F9F8F8F8F8F8F8F9F9F9FAFAFAFB
FBFCFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFAFAF9F9F9F8F8F8F8F8F8
F8F8F8F9F9FAFAFAFBFBFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFEFEFEFEFDFDFCFCFBFBFA
F9F9F8F7F6F6F5F4F4F4F3F3F3F3F3F4F4F5F5F6F7F7F8F9FAFAFBFCFCFDFDFDFEFEFEFE
FFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFAFAF9F9F9F8F8F8F8F8F8F8F8F9F9F9FAFAFB
FBFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFCFBFBFAFAF9F9F8F8F8F8F8F7F8
F8F8F8F8F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFEFFFFFFFFFEFEFEFEFDFDFDFCFBFBFAF9
F9F8F7F6F5F4F4F3F3F2F2F2F2F2F2F2F3F3F4F5F6F6F7F8F9FAFAFBFCFCFDFDFEFEFEFE
FEFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFAFAFAF9F9F8F8F8F8F7F7F8F8F8F8F9F9F9FAFA
FBFBFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F8F7F7F7F7F7
F7F7F8F8F9F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFEFFFFFEFEFEFEFEFDFDFCFCFBFAFAF9
F8F7F6F5F4F3F3F2F1F1F0F0F0F0F1F1F1F2F3F4F5F5F6F7F8F9FAFBFBFCFDFDFDFEFEFE
FEFEFFFEFEFEFEFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F8F7F7F7F7F7F7F8F8F8F9F9FAFA
FBFBFCFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F7F7F7F7F7F7
F7F7F7F8F8F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFEFEFEFEFEFEFEFDFDFDFCFBFBFAF9F8
F7F6F5F4F3F2F1F1F0EFEFEFEFEFEFF0F0F1F2F3F4F5F6F7F8F9F9FAFBFCFCFDFDFEFEFE
FEFEFEFEFEFEFEFEFEFDFDFCFCFCFBFBFAF9F9F8F8F8F7F7F7F7F7F7F7F7F7F8F8F9F9FA
FAFBFBFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFBFAFAF9F9F8F8F7F7F7F6F6F6F6
F6F7F7F7F8F8F9F9FAFBFBFCFCFDFDFDFEFEFEFEFEFEFEFEFEFEFEFDFDFCFCFBFAF9F9F8
F7F5F4F3F2F1F0EFEFEEEEEEEEEEEEEEEFF0F1F2F3F4F5F6F7F8F9FAFBFBFCFDFDFDFEFE
FEFEFEFEFEFEFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F7F7F7F6F6F6F6F7F7F7F7F8F8F9FA
FAFBFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFBFAFAF9F8F8F7F7F7F6F6F6F6F6
F6F6F7F7F8F8F9F9FAFAFBFBFCFCFDFDFEFEFEFEFEFEFEFEFEFEFEFDFDFCFCFBFAF9F8F7
F6F5F4F3F1F0EFEEEEEDEDECECECEDEDEEEFF0F1F2F3F4F5F6F7F9F9FAFBFCFCFDFDFEFE
FEFEFEFEFEFEFEFEFDFDFDFCFCFBFBFAF9F9F8F8F7F7F7F6F6F6F6F6F6F6F7F7F8F8F9F9
FAFAFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAF9F9F8F8F7F7F6F6F6F5F5F5
F6F6F6F7F7F8F8F9F9FAFBFBFCFCFDFDFDFEFEFEFEFEFEFEFEFEFDFDFDFCFBFBFAF9F8F7
F5F4F3F2F1F0EEEEEDECECEBEBEBECECEDEEEFF0F1F2F4F5F6F7F8F9FAFBFCFCFDFDFEFE
FEFEFEFEFEFEFEFEFDFDFDFCFCFBFAFAF9F9F8F7F7F6F6F6F6F5F5F5F6F6F6F7F7F8F8F9
FAFAFBFBFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFBFAFAF9F8F8F7F7F6F6F5F5F5F5F5
F5F5F6F6F7F7F8F9F9FAFAFBFCFCFDFDFDFEFEFEFEFEFEFEFEFEFDFDFCFCFBFAF9F8F7F6
F5F4F3F1F0EFEEEDECEBEBEBEAEBEBECECEDEEEFF0F2F3F4F6F7F8F9FAFBFBFCFDFDFEFE
FEFEFEFEFEFEFEFEFDFDFCFCFBFBFAFAF9F8F8F7F7F6F6F5F5F5F5F5F5F6F6F6F7F7F8F9
F9FAFBFBFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFAF9F9F8F7F7F6F6F5F5F5F5F4F5
F5F5F5F6F6F7F8F8F9FAFAFBFBFCFCFDFDFEFEFEFEFEFEFEFEFEFDFDFCFCFBFAF9F8F7F6
F5F3F2F1F0EEEDECEBEBEAEAEAEAEAEBECEDEEEFF0F1F3F4F5F6F8F9FAFBFBFCFDFDFDFE
FEFEFEFEFEFEFEFDFDFDFCFCFBFBFAF9F9F8F7F7F6F6F5F5F5F5F4F5F5F5F5F6F6F7F8F8
F9FAFAFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFAFAF9F8F8F7F6F6F5F5F4F4F4F4F4
F4F5F5F5F6F7F7F8F9F9FAFBFBFCFCFDFDFDFEFEFEFEFEFEFEFEFDFDFCFCFBFAF9F8F7F6
F4F3F2F1EFEEEDECEBEAEAE9E9EAEAEAEBECEDEEF0F1F2F4F5F6F7F9FAFAFBFCFDFDFDFE
FEFEFEFEFEFEFEFDFDFDFCFCFBFAFAF9F8F8F7F6F6F5F5F4F4F4F4F4F4F5F5F5F6F7F7F8
F9F9FAFBFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFAFAF9F8F7F7F6F5F5F4F4F4F4F3F4
F4F4F4F5F6F6F7F8F8F9FAFAFBFCFCFDFDFDFEFEFEFEFEFEFEFEFDFDFCFCFBFAF9F8F7F6
F4F3F2F0EFEEEDECEBEAEAE9E9E9EAEAEBECEDEEF0F1F2F4F5F6F7F8F9FAFBFCFCFDFDFE
FEFEFEFEFEFEFEFDFDFCFCFBFBFAF9F9F8F7F7F6F5F5F4F4F4F4F3F4F4F4F5F5F6F6F7F8
F8F9FAFBFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFAF9F9F8F7F6F6F5F4F4F3F3F3F3F3
F3F4F4F4F5F6F6F7F8F9F9FAFBFBFCFDFDFDFEFEFEFEFEFEFEFEFDFDFCFCFBFAF9F8F7F6
F4F3F2F0EFEEEDECEBEAEAE9E9E9EAEAEBECEDEEF0F1F2F4F5F6F7F8F9FAFBFCFCFDFDFE
FEFEFEFEFEFEFDFDFDFCFCFBFBFAF9F8F8F7F6F5F5F4F4F3F3F3F3F3F3F4F4F5F5F6F7F7
F8F9FAFAFBFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFAF9F8F7F7F6F5F4F4F3F3F3F2F2F2
F3F3F3F4F5F5F6F7F8F8F9FAFBFBFCFCFDFDFEFEFEFEFEFEFEFEFDFDFCFCFBFAF9F8F7F6
F5F3F2F1EFEEEDECEBEAEAEAEAEAEAEBEBECEDEFF0F1F3F4F5F6F8F9FAFAFBFCFDFDFDFE
FEFEFEFEFEFEFDFDFDFCFCFBFAFAF9F8F7F7F6F5F4F4F3F3F3F2F2F3F3F3F4F4F5F5F6F7
F8F9F9FAFBFBFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFAF9F8F7F6F5F5F4F3F3F2F2F2F2F2
F2F2F3F4F4F5F6F6F7F8F9FAFAFBFCFCFDFDFDFEFEFEFEFEFEFEFDFDFCFCFBFAF9F8F7F6
F5F4F2F1F0EFEEEDECEBEBEAEAEAEBEBECEDEEEFF0F2F3F4F5F7F8F9FAFBFBFCFDFDFDFE
FEFEFEFEFEFEFDFDFDFCFBFBFAF9F9F8F7F6F5F5F4F3F3F2F2F2F2F2F2F3F3F4F4F5F6F7
F7F8F9FAFBFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFBFBFAF9F8F8F7F6F5F4F4F3F2F2F2F1F1F1
F2F2F2F3F4F4F5F6F7F8F9F9FAFBFCFCFDFDFDFEFEFEFEFEFEFEFDFDFDFCFBFBFAF9F8F7
F5F4F3F2F1EFEEEEEDECECEBEBEBECECEDEEEFF0F1F2F4F5F6F7F8F9FAFBFCFCFDFDFDFE
FEFEFEFEFEFEFDFDFCFCFBFBFAF9F8F7F7F6F5F4F3F3F2F2F1F1F1F1F2F2F3F3F4F5F5F6
F7F8F9FAFAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFBFAF9F8F7F6F6F5F4F3F2F2F1F1F1F1F1
F1F1F2F2F3F4F5F6F7F8F8F9FAFBFBFCFDFDFDFEFEFEFEFEFEFEFDFDFDFCFCFBFAF9F8F7
F6F5F4F3F2F1F0EFEEEDEDEDEDEDEDEEEEEFF0F1F2F3F4F5F7F8F9FAFAFBFCFCFDFDFEFE
FEFEFEFEFEFEFDFDFCFCFBFAFAF9F8F7F6F5F4F4F3F2F2F1F1F1F1F1F1F1F2F3F3F4F5F6
F7F8F9F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFAF9F8F7F6F5F4F3F3F2F1F1F0F0F0F0
F0F1F1F2F3F4F4F5F6F7F8F9FAFBFBFCFCFDFDFEFEFEFEFEFEFEFEFDFDFCFCFBFBFAF9F8
F7F6F5F4F3F2F1F0F0EFEFEEEEEEEFEFF0F1F1F2F3F4F5F6F7F8F9FAFBFCFCFDFDFDFEFE
FEFEFEFEFEFDFDFDFCFCFBFAF9F9F8F7F6F5F4F3F2F2F1F1F0F0F0F0F0F1F1F2F3F4F5F5
F6F7F8F9FAFBFBFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F8F7F6F5F4F3F2F1F1F0F0EFEFEF
F0F0F1F1F2F3F4F5F6F7F8F9FAFAFBFCFCFDFDFEFEFEFEFEFEFEFEFEFDFDFCFCFBFAFAF9
F8F7F6F5F4F4F3F2F1F1F1F0F0F1F1F1F2F2F3F4F5F6F7F7F8F9FAFBFBFCFDFDFDFEFEFE
FEFEFEFEFEFDFDFDFCFBFBFAF9F8F7F6F5F4F4F3F2F1F0F0F0EFEFF0F0F0F1F1F2F3F4F5
F6F7F8F9FAFBFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F8F7F6F5F4F3F2F1F1F0EFEFEFEFEF
EFF0F0F1F2F2F3F4F5F6F7F8F9FAFBFCFCFDFDFEFEFEFEFEFEFEFEFEFEFDFDFCFCFBFBFA
F9F8F8F7F6F5F5F4F4F3F3F3F3F3F3F3F4F4F5F6F6F7F8F9F9FAFBFBFCFDFDFDFEFEFEFE
FEFEFEFEFEFDFDFDFCFBFBFAF9F8F7F6F5F4F3F2F1F1F0EFEFEFEFEFEFF0F0F1F2F3F4F5
F6F7F8F9F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F8F7F6F5F4F3F2F1F0EFEFEEEEEEEE
EEEFEFF0F1F2F3F4F5F6F7F8F9FAFBFBFCFDFDFDFEFEFEFEFEFEFEFEFEFEFDFDFDFCFCFB
FBFAF9F9F8F8F7F7F6F6F6F6F6F6F6F6F6F7F7F8F8F9FAFAFBFBFCFCFDFDFEFEFEFEFEFE
FEFEFEFEFEFDFDFCFCFBFAFAF9F8F7F6F5F4F3F2F1F0EFEFEEEEEEEEEFEFF0F0F1F2F3F4
F5F6F7F8F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFAF9F8F7F5F4F3F2F1F0EFEFEEEEEDEDED
EEEEEFF0F0F1F2F4F5F6F7F8F9FAFBFBFCFDFDFDFEFEFEFEFFFFFFFEFEFEFEFEFEFDFDFD
FCFCFBFBFBFAFAFAF9F9F9F9F9F9F9F9F9FAFAFAFBFBFBFCFCFDFDFDFEFEFEFEFEFFFFFF
FEFEFEFEFEFDFDFCFCFBFAF9F8F7F6F5F4F3F2F1F0EFEFEEEEEDEDEEEEEEEFF0F1F2F3F4
F5F6F7F8F9FAFBFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F6F5F4F3F2F1F0EFEEEDEDEDEDED
EDEEEEEFF0F1F2F3F4F5F6F8F9F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFDFDFDFDFDFDFCFCFCFCFCFCFCFCFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFEFEFEFEFDFDFCFCFBFAF9F8F7F6F5F4F3F2F0EFEFEEEDEDEDEDEDEDEEEEEFF0F1F2F3
F4F6F7F8F9FAFBFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F6F5F3F2F1F0EFEEEDEDECECECEC
ECEDEDEEEFF0F1F3F4F5F6F7F8F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFDFDFCFBFBFAF9F8F7F6F4F3F2F1F0EFEEEDEDECECECECECEDEEEEEFF0F2F3
F4F5F6F7F8F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F8F7F5F4F3F2F1EFEEEDEDECEBEBEBEB
ECECEDEEEFF0F1F2F3F5F6F7F8F9FAFBFCFCFDFDFEFEFFFFFFFFFFFFFFFFFFFEFEFEFEFD
FDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFF
FFFFFEFEFEFDFDFCFBFBFAF9F8F6F5F4F3F2F0EFEEEDECECEBEBEBEBECECEDEEEFF0F1F2
F4F5F6F7F8F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAFAF9F7F6F5F4F3F1F0EFEEEDECEBEBEAEAEA
EBEBECEDEEEFF0F2F3F4F5F7F8F9FAFBFBFCFDFDFEFEFFFFFFFFFFFFFEFEFEFDFDFDFCFC
FBFBFAF9F9F8F8F7F7F7F7F7F7F7F7F7F7F8F8F9F9FAFAFBFBFCFCFDFDFEFEFEFFFFFFFF
FFFFFFFEFEFDFDFCFBFAF9F8F7F6F5F4F2F1F0EFEEEDECEBEBEAEAEBEBEBECEDEEEFF1F2
F3F4F6F7F8F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F8F7F6F5F3F2F1EFEEEDECEBEAEAEAEAEA
EAEBEBECEDEEF0F1F2F4F5F6F7F9FAFBFBFCFDFDFEFEFFFFFFFFFFFEFEFDFDFCFCFBFAFA
F9F8F7F6F6F5F4F3F3F2F2F2F2F2F2F3F3F4F4F5F6F7F7F8F9FAFBFBFCFDFDFEFEFEFFFF
FFFFFFFEFEFDFDFCFBFAF9F8F7F6F4F3F2F1EFEEEDECEBEAEAEAEAEAEAEBEBECEDEFF0F1
F3F4F5F6F8F9FAFBFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F6F4F3F2F0EFEEECEBEAEAE9E9E9E9
E9EAEBECEDEEEFF0F2F3F5F6F7F8F9FAFBFCFDFDFEFEFFFFFFFFFEFEFDFDFCFBFAF9F8F7
F6F5F4F3F2F1F0EFEEEEEDEDEDEDEEEEEFEFF0F1F2F4F5F6F7F8F9FAFBFBFCFDFDFEFEFF
FFFFFFFEFEFDFCFCFBFAF9F8F7F5F4F3F1F0EFEDECEBEAEAE9E9E9E9E9EAEBECEDEEEFF1
F2F3F5F6F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F5F4F2F1F0EEEDECEBEAE9E8E8E8E8
E8E9EAEBECEDEFF0F1F3F4F6F7F8F9FAFBFCFDFDFEFFFFFFFFFEFEFDFCFCFBFAF9F8F7F5
F4F3F1F0EEEDECEBEAE9E9E8E8E8E9E9EAEBECEEEFF0F2F3F4F6F7F8F9FAFBFCFDFDFEFF
FFFFFFFEFEFDFCFCFBFAF9F8F6F5F4F2F1EFEEEDEBEAE9E9E8E8E8E8E8E9EAEBECEDEFF0
F2F3F4F6F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F7F6F5F3F2F0EFEEECEBEAE9E8E7E7E7E7
E8E8E9EAEBEDEEEFF1F2F4F5F7F8F9FAFBFCFDFDFEFFFFFFFFFEFDFDFCFBFAF9F7F6F5F3
F1F0EEECEBE9E8E6E5E4E4E3E3E3E4E5E6E7E8EAEBEDEFF0F2F4F5F7F8F9FAFBFCFDFEFE
FFFFFFFEFEFDFCFBFBFAF8F7F6F5F3F2F0EFEDECEBEAE9E8E7E7E7E7E8E8E9EAEBEDEEF0
F1F3F4F5F7F8F9FAFBFCFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F6F4F3F1F0EEEDEBEAE9E8E7E7E6E6E6
E7E7E8E9EAECEDEFF0F2F3F5F6F8F9FAFBFCFDFDFEFFFFFFFEFEFDFCFBFAF9F8F6F4F3F1
EFEDEBE9E7E5E3E2E1E0DFDEDEDEDFE0E1E2E4E6E8EAECEEF0F2F3F5F7F8F9FAFCFCFDFE
FFFFFFFEFEFDFCFBFAF9F8F7F6F4F3F1F0EEEDEBEAE9E8E7E6E6E6E6E7E7E8E9EBECEEEF
F1F2F4F5F6F8F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F5F4F3F1EFEEECEBE9E8E7E6E6E5E5E5
E6E6E7E8EAEBEDEEF0F1F3F4F6F7F8FAFBFCFCFDFEFFFFFFFEFDFCFCFAF9F8F6F5F3F1EF
ECEAE8E6E3E1DFDDDCDBDAD9D9D9DADBDCDEE0E2E4E6E9EBEDF0F2F4F5F7F8FAFBFCFDFE
FEFFFFFEFEFDFCFBFAF9F8F7F5F4F2F1EFEEECEBE9E8E7E6E6E5E5E5E6E7E8E9EAEBEDEE
F0F2F3F5F6F7F9FAFBFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F8F7F5F4F2F0EFEDECEAE9E7E6E5E5E4E4E4
E5E6E6E8E9EAECEEEFF1F2F4F6F7F8F9FBFCFCFDFEFFFFFFFEFDFCFBFAF8F7F5F3F1EFED
EAE7E5E2E0DDDBD9D7D6D5D4D4D5D5D6D8DADCDEE1E3E6E9EBEEF0F2F4F6F7F9FAFBFCFD
FEFFFFFFFEFDFCFBFAF9F8F6F5F3F2F0EFEDEBEAE8E7E6E5E5E4E4E4E5E6E7E8E9EBECEE
EFF1F3F4F6F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFDFDFCFCFBFAF9F8F6F5F3F2F0EEEDEBE9E8E6E5E4E4E3E3E3
E4E5E6E7E8EAEBEDEFF0F2F4F5F7F8F9FAFBFCFDFEFFFFFFFEFDFCFAF9F8F6F4F2F0EDEA
E8E5E2DFDCDAD7D5D3D1D0D0D0D0D1D2D4D6D8DBDDE0E3E6E9ECEEF1F3F5F7F8FAFBFCFD
FEFFFFFFFEFDFCFBFAF9F7F6F5F3F1F0EEECEBE9E8E6E5E4E4E3E3E4E4E5E6E7E8EAECED
EFF1F2F4F5F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F7F6F4F3F1EFEEECEAE9E7E6E4E4E3E2E2E3
E3E4E5E6E7E9EBECEEF0F2F3F5F6F8F9FAFBFCFDFEFFFFFEFDFCFBFAF8F7F5F3F1EEEBE8
E5E2DFDCD9D6D3D1CFCDCCCBCBCBCCCED0D2D4D7DADDE0E4E7EAECEFF2F4F6F8F9FAFCFD
FEFFFFFFFEFDFCFBFAF9F7F6F4F3F1EFEDECEAE8E7E5E4E3E3E2E2E3E3E4E5E6E8E9EBED
EEF0F2F3F5F6F8F9FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F6F4F2F1EFEDEBE9E8E6E5E4E3E2E1E1E2
E2E3E4E5E6E8EAECEDEFF1F3F4F6F7F9FAFBFCFDFEFFFFFEFDFCFBF9F8F6F4F2EFEDEAE7
E3E0DDD9D6D3D0CDCBC9C8C7C7C7C8CACCCED1D4D7DBDEE1E5E8EBEEF0F3F5F7F9FAFBFD
FEFFFFFFFEFDFCFBFAF8F7F5F4F2F0EFEDEBE9E7E6E5E3E2E2E1E1E2E2E3E4E5E7E8EAEC
EEF0F1F3F5F6F8F9FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F5F4F2F0EEECEBE9E7E5E4E3E2E1E0E0E1
E1E2E3E4E6E7E9EBEDEFF1F2F4F6F7F9FAFBFCFDFEFFFFFEFDFCFBF9F7F5F3F1EEEBE8E5
E2DEDAD7D3D0CDCAC7C5C4C3C3C4C5C6C8CBCED1D4D8DCDFE3E6EAEDEFF2F4F6F8FAFBFC
FDFEFFFFFEFDFCFBF9F8F7F5F3F2F0EEECEAE8E7E5E4E2E1E1E0E0E1E1E2E3E4E6E8E9EB
EDEFF1F3F4F6F7F9FAFBFCFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1F0EEECEAE8E6E4E3E2E1E0DFDFDF
E0E1E2E3E5E7E8EAECEEF0F2F4F5F7F8FAFBFCFDFEFFFFFEFDFCFAF9F7F5F3F0EDEAE7E4
E0DCD8D4D1CDCAC7C4C2C1C0C0C0C1C3C5C8CBCED2D6DADEE1E5E8ECEFF1F4F6F8F9FBFC
FDFEFFFFFEFDFCFAF9F8F6F5F3F1EFEDEBE9E8E6E4E3E1E0E0DFDFE0E0E1E2E3E5E7E9EB
EDEEF0F2F4F6F7F8F9FBFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F8F6F5F3F1EFEDEBE9E7E5E4E2E1E0DFDEDEDE
DFE0E1E2E4E6E8EAECEEF0F2F3F5F7F8F9FBFCFDFEFFFFFEFDFBFAF8F7F4F2EFEDE9E6E2
DEDAD6D2CECBC7C4C2C0BEBDBDBDBFC0C3C5C9CCD0D4D8DCE0E4E7EBEEF1F3F5F7F9FBFC
FDFEFFFFFEFDFBFAF9F8F6F4F3F1EFEDEBE9E7E5E3E2E0DFDFDEDEDEDFE0E1E3E4E6E8EA
ECEEF0F2F4F5F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F7F6F4F2F1EFEDEAE8E6E4E3E1E0DFDEDDDDDD
DEDFE0E1E3E5E7E9EBEDEFF1F3F5F6F8F9FBFCFDFEFFFFFEFDFBFAF8F6F4F2EFECE9E5E1
DDD9D5D1CDC9C5C2C0BDBCBBBBBBBCBEC1C4C7CBCED3D7DBDFE3E7EAEDF0F3F5F7F9FAFC
FDFEFFFFFEFCFBFAF9F7F6F4F2F0EEECEAE8E6E4E2E1DFDEDEDDDDDDDEDFE0E2E3E5E7E9
EBEDEFF1F3F5F6F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFDFDFCFCFBFAF8F7F5F4F2F0EEECEAE8E6E4E2E0DFDDDDDCDCDC
DDDEDFE0E2E4E6E8EAECEFF1F3F4F6F8F9FAFCFDFEFFFFFEFDFBFAF8F6F4F1EFECE8E5E1
DDD8D4D0CCC8C4C1BEBCBAB9B9BABBBDBFC2C6C9CDD2D6DADEE2E6EAEDF0F2F5F7F9FAFC
FDFEFFFFFDFCFBFAF9F7F5F4F2F0EEECE9E7E5E3E1E0DEDDDDDCDCDCDDDEDFE1E2E4E6E8
EBEDEFF1F3F5F6F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F7F5F3F2F0EDEBE9E7E5E3E1DFDEDCDCDBDBDB
DCDDDEDFE1E3E5E7EAECEEF0F2F4F6F7F9FAFCFDFEFFFFFEFDFBFAF8F6F4F1EEEBE8E4E0
DCD8D4CFCBC7C3C0BDBBBAB9B8B9BABCBEC1C5C9CDD1D5DADEE2E6E9EDF0F2F5F7F9FAFC
FDFEFFFEFDFCFBFAF8F7F5F3F1EFEDEBE9E6E4E2E0DFDDDCDBDBDBDBDCDDDEE0E1E3E6E8
EAECEEF0F2F4F6F7F9FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1EFEDEBE8E6E4E2E0DEDCDBDADADADA
DBDCDDDEE0E2E4E7E9EBEDF0F2F4F5F7F9FAFBFDFEFFFFFEFDFBFAF8F6F4F1EEEBE8E4E0
DCD8D4CFCBC7C3C0BDBBBAB9B8B9BABCBEC1C5C9CDD1D5DADEE2E6E9EDF0F2F5F7F9FAFC
FDFEFFFEFDFCFBFAF8F6F5F3F1EFEDEAE8E6E3E1DFDEDCDBDADADADADBDCDDDFE1E3E5E7
E9ECEEF0F2F4F6F7F8FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1EFECEAE8E5E3E1DFDDDBDAD9D9D9D9
D9DADCDDDFE1E4E6E8EBEDEFF1F3F5F7F8FAFBFCFEFFFFFEFDFBFAF8F6F4F1EFECE8E5E1
DDD8D4D0CCC8C4C1BEBCBAB9B9BABBBDBFC2C6C9CDD2D6DADEE2E6EAEDF0F2F5F7F9FAFC
FDFEFFFEFDFCFBF9F8F6F4F3F0EEECEAE7E5E3E0DEDDDBDAD9D9D9D9DADBDCDEE0E2E4E6
E9EBEDEFF2F3F5F7F8F9FBFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F6F4F2F0EEECE9E7E4E2E0DEDCDAD9D8D8D7D8
D8D9DBDCDEE0E3E5E8EAECEFF1F3F5F7F8FAFBFCFDFFFFFEFDFBFAF8F6F4F2EFECE9E5E1
DDD9D5D1CDC9C6C2C0BEBCBBBBBBBDBEC1C4C7CBCFD3D7DBDFE3E7EAEDF0F3F5F7F9FBFC
FDFFFFFEFDFCFAF9F8F6F4F2F0EEEBE9E7E4E2E0DDDCDAD9D8D7D7D8D8D9DBDDDFE1E3E5
E8EAEDEFF1F3F5F7F8F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F6F4F2F0EEEBE9E6E4E1DFDDDBD9D8D7D6D6D6
D7D8DADBDDDFE2E4E7E9ECEEF0F3F4F6F8F9FBFCFDFEFFFEFDFCFAF9F7F5F2F0EDEAE6E3
DFDBD7D3CFCBC8C5C2C0BFBEBEBEBFC1C3C6C9CDD0D4D8DCE0E4E8EBEEF1F3F5F7F9FBFC
FEFFFFFEFDFCFAF9F7F6F4F2F0EDEBE8E6E3E1DFDCDBD9D8D7D6D6D6D7D8DADCDEE0E2E5
E7EAECEEF1F3F5F6F8F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF8F7F5F3F1EFEDEBE8E5E3E0DEDCDAD8D7D6D5D5D5
D6D7D8DADCDEE1E3E6E9EBEEF0F2F4F6F8F9FBFCFDFEFFFEFDFCFBF9F7F5F3F1EEEBE8E4
E0DDD9D5D1CECBC8C5C3C2C1C1C1C3C4C6C9CCCFD3D7DADEE2E5E9ECEFF2F4F6F8FAFBFC
FEFFFFFEFDFBFAF9F7F5F3F1EFEDEAE8E5E2E0DEDBD9D8D6D6D5D5D5D6D7D9DADDDFE1E4
E6E9ECEEF0F2F4F6F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F7F5F3F1EFECEAE7E5E2DFDDDBD9D7D5D4D4D4D4
D5D6D7D9DBDEE0E3E5E8EBEDEFF2F4F6F7F9FAFCFDFEFFFFFEFCFBF9F8F6F4F2EFECE9E6
E3DFDCD8D5D1CECCCAC8C6C6C5C6C7C8CACDD0D3D6DADDE1E4E7EAEDF0F3F5F7F9FAFCFD
FEFFFFFEFCFBFAF8F7F5F3F1EFECEAE7E4E2DFDDDAD8D7D5D4D4D4D4D5D6D8D9DCDEE0E3
E6E8EBEDF0F2F4F6F7F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F5F3F1EEECE9E7E4E1DEDCDAD7D6D4D3D3D2D3
D3D5D6D8DADDDFE2E5E7EAEDEFF1F3F5F7F9FAFCFDFEFFFFFEFDFCFAF9F7F5F3F1EEEBE8
E5E2DFDCD9D6D3D1CFCDCCCBCBCBCCCDCFD2D4D7DADDE0E3E7EAECEFF2F4F6F8F9FBFCFD
FEFFFEFDFCFBFAF8F6F5F3F0EEECE9E6E3E1DEDCD9D7D5D4D3D3D2D3D4D5D6D8DBDDE0E2
E5E8EAEDEFF2F4F5F7F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F4F2F0EEEBE9E6E3E0DEDBD9D6D5D3D2D1D1D1
D2D3D5D7D9DCDEE1E4E7E9ECEFF1F3F5F7F8FAFBFCFEFFFFFEFDFCFBFAF8F6F4F2F0EEEB
E8E6E3E0DDDBD8D6D4D3D2D1D1D1D2D3D5D7D9DCDEE1E4E7EAECEFF1F3F5F7F9FAFBFDFE
FFFFFEFDFCFBF9F8F6F4F2F0EEEBE8E5E3E0DDDBD8D6D4D3D2D1D1D2D2D4D5D7D9DCDFE1
E4E7EAECEFF1F3F5F7F8FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F4F2F0EDEBE8E5E2DFDDDAD7D5D3D2D1D0D0D0
D1D2D4D6D8DBDDE0E3E6E9EBEEF0F3F5F7F8FAFBFCFDFEFFFFFEFDFCFBF9F8F6F4F3F1EE
ECEAE7E5E3E0DEDDDBDAD9D8D8D9D9DADCDDDFE1E4E6E8EBEDEFF1F3F5F7F8FAFBFCFDFE
FFFFFEFDFCFBF9F8F6F4F2EFEDEAE8E5E2DFDCD9D7D5D3D2D1D0D0D0D1D2D4D6D8DBDEE1
E3E6E9ECEEF1F3F5F7F8F9FBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F6F4F2EFEDEAE7E4E1DFDCD9D6D4D2D1CFCFCFCF
D0D1D3D5D7DADCDFE2E5E8EBEEF0F2F4F6F8F9FBFCFDFEFFFFFEFEFDFCFBF9F8F7F5F4F2
F0EEECEAE9E7E5E4E3E2E1E0E0E1E1E2E3E4E6E8E9EBEDEFF1F3F4F6F7F9FAFBFCFDFEFF
FFFFFEFDFBFAF9F7F6F4F1EFECEAE7E4E1DEDBD8D6D4D2D0CFCFCFCFD0D1D3D5D7DADDE0
E3E6E9EBEEF0F3F5F6F8F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F5F3F1EFECEAE7E4E1DEDBD8D5D3D1CFCECDCDCD
CED0D1D3D6D8DBDEE1E4E7EAEDF0F2F4F6F8F9FAFCFDFEFEFFFFFEFEFDFCFBFAF9F8F7F6
F4F3F2F0EFEEEDECEBEAEAE9E9E9EAEAEBECEDEEF0F1F2F4F5F6F7F9FAFBFCFCFDFEFFFF
FFFEFDFCFBFAF9F7F5F3F1EFECE9E6E3E0DDDAD7D5D2D1CFCECDCDCECED0D2D4D6D9DCDF
E2E5E8EBEDF0F2F4F6F8F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFDFCFBFAF8F7F5F3F1EEECE9E6E3E0DDDAD7D4D2D0CECDCCCCCC
CDCED0D2D5D7DADDE1E4E7EAEDEFF2F4F6F7F9FAFBFCFDFEFFFFFFFFFEFEFDFDFCFBFBFA
F9F8F8F7F6F5F5F4F4F3F3F3F3F3F3F3F4F4F5F6F6F7F8F9FAFAFBFCFCFDFDFEFEFFFFFF
FEFEFDFCFBFAF8F7F5F3F1EEEBE9E6E2DFDCD9D6D4D1CFCECDCCCCCCCDCFD0D3D5D8DBDE
E1E4E7EAEDEFF2F4F6F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFCFBFAF8F7F5F3F1EEEBE8E5E2DFDCD9D6D3D0CECDCBCBCACB
CCCDCFD1D4D6D9DDE0E3E6E9ECEFF1F3F5F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFE
FEFDFCFCFBF9F8F6F5F2F0EEEBE8E5E2DEDBD8D5D2D0CECCCBCBCACBCCCDCFD1D4D7DADD
E0E3E7EAECEFF1F4F6F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F6F5F2F0EEEBE8E5E1DEDBD8D5D2CFCDCBCAC9C9C9
CACCCED0D2D5D8DCDFE2E5E9EBEEF1F3F5F7F8FAFBFCFCFDFDFEFEFEFEFEFDFDFDFDFCFC
FBFBFAFAF9F9F8F8F8F7F7F7F7F7F7F7F8F8F9F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFEFD
FDFDFCFBFAF9F8F6F4F2F0EDEAE7E4E1DEDAD7D4D1CFCDCBCAC9C9CACACCCED0D3D6D9DC
DFE3E6E9ECEFF1F3F5F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F2F0EDEAE7E4E1DDDAD7D3D1CECCCAC9C8C8C8
C9CACCCFD1D4D7DBDEE1E5E8EBEEF0F3F5F6F8F9FAFBFCFCFDFDFDFCFCFCFBFAFAF9F8F7
F6F4F3F2F1F0EFEEEDEDECECECECECEDEDEEEFF0F1F3F4F5F6F7F8F9FAFBFBFCFCFDFDFD
FCFCFCFBFAF9F7F6F4F2EFEDEAE7E3E0DDD9D6D3D0CECBCAC9C8C8C8C9CBCDCFD2D5D8DB
DFE2E5E8EBEEF1F3F5F7F8FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F2EFEDEAE7E3E0DCD9D6D2CFCDCAC9C7C7C6C7
C8C9CBCDD0D3D6DADDE1E4E7EAEDF0F2F4F6F8F9FAFBFBFCFCFCFCFBFBFAF9F8F6F5F3F2
F0EEECEAE8E7E5E4E2E1E1E0E0E0E1E2E3E4E6E7E9EBEDEFF1F2F4F6F7F8F9FAFBFBFCFC
FCFCFBFAFAF8F7F5F3F1EFECE9E6E3DFDCD8D5D2CFCCCAC8C7C6C6C7C8C9CBCED1D4D7DA
DEE1E5E8EBEEF0F3F5F7F8FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F6F4F1EFECE9E6E3DFDCD8D5D1CECBC9C7C6C5C5C5
C6C8CACCCFD2D5D9DCE0E3E7EAEDEFF2F4F6F7F9FAFAFBFBFBFBFAFAF9F8F6F5F3F1EFEC
EAE7E5E2E0DDDBD9D7D6D5D4D4D5D5D6D8DADCDEE1E3E6E8EBEDF0F2F4F5F7F8F9FAFBFB
FBFBFBFAF9F8F7F5F3F1EEECE9E5E2DFDBD7D4D1CECBC9C7C6C5C5C5C6C8CACDCFD3D6D9
DDE1E4E7EAEDF0F2F5F6F8F9FBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F1EFECE9E5E2DEDBD7D4D0CDCAC8C6C4C4C3C4
C5C6C8CBCED1D4D8DCDFE3E6E9ECEFF1F4F5F7F8F9FAFAFAFAFAF9F8F7F6F4F2F0EDEAE7
E4E1DDDAD7D4D1CECCCAC9C8C8C9CACBCDCFD2D5D8DBDFE2E5E8EBEEF0F3F5F6F8F9FAFA
FAFAFAFAF9F8F6F5F3F0EEEBE8E5E1DEDAD6D3D0CDCAC7C6C4C4C3C4C5C7C9CBCED1D5D9
DCE0E3E7EAEDF0F2F4F6F8F9FBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F1EEEBE8E5E1DEDAD6D2CFCCC9C6C5C3C2C2C2
C3C5C7CACDD0D3D7DBDEE2E5E9ECEFF1F3F5F7F8F9F9FAFAFAF9F8F7F5F4F1EFECE9E6E2
DEDAD6D2CECAC7C4C1BFBDBCBCBDBEC0C2C5C8CCD0D4D8DCE0E3E7EAEDF0F2F4F6F7F9F9
FAFAFAF9F8F7F6F4F2F0EDEBE7E4E1DDD9D5D2CECBC8C6C4C3C2C2C2C4C5C7CACDD0D4D8
DBDFE3E6E9ECEFF2F4F6F8F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F3F0EEEBE8E4E0DDD9D5D1CECBC8C5C3C2C1C1C1
C2C4C6C8CBCFD2D6DADEE1E5E8EBEEF1F3F5F6F8F8F9F9F9F9F8F7F6F4F2EFECE9E5E1DD
D8D3CFCAC5C1BDB9B6B4B2B1B0B1B2B4B7BABEC3C7CCD1D5DADEE3E7EAEDF0F3F5F6F7F8
F9F9F9F9F8F7F6F4F2F0EDEAE7E3E0DCD8D4D1CDCAC7C5C3C1C1C1C1C2C4C6C9CCCFD3D7
DADEE2E6E9ECEFF1F4F6F8F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F3F0EDEAE7E3E0DCD8D4D0CDC9C6C4C2C0BFBFBF
C1C2C4C7CACED1D5D9DDE1E4E8EBEEF0F3F4F6F7F8F9F9F9F8F7F6F4F2F0EDE9E5E1DDD8
D2CDC8C2BDB8B3AFABA9A6A5A5A6A7AAADB0B5BABFC4CACFD5DADEE3E7EBEEF1F3F5F7F8
F8F9F9F8F8F7F5F4F2EFEDEAE6E3DFDBD7D3D0CCC9C6C3C1C0BFBFC0C1C2C5C8CBCED2D6
DADDE1E5E8ECEEF1F3F6F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFDFCFBFAF8F6F4F2F0EDEAE6E3DFDBD7D3CFCCC8C5C2C0BFBEBEBE
BFC1C3C6C9CCD0D4D8DCE0E4E7EAEDF0F2F4F6F7F8F8F8F8F7F6F5F3F1EEEAE7E2DED8D3
CDC7C1BBB5AFAAA5A19E9C9A9A9B9C9FA3A7ACB1B7BDC3C9CFD5DAE0E4E8ECEFF2F4F6F7
F8F8F8F8F7F6F5F3F1EFECE9E6E2DEDAD6D2CFCBC8C5C2C0BFBEBEBEBFC1C3C6C9CDD1D5
D9DDE1E4E8EBEEF1F3F5F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFCFBF9F8F6F4F2EFEDE9E6E2DEDAD6D2CECAC7C4C1BFBDBCBCBD
BEBFC2C4C8CBCFD3D7DBDFE3E7EAEDF0F2F4F5F7F7F8F8F8F7F6F4F2EFECE8E4DFDAD4CE
C8C1BAB4ADA7A19C9894929090919295999EA3A9B0B6BDC4CAD1D7DCE1E6EAEDF0F3F5F6
F7F8F8F8F7F6F5F3F1EEECE9E5E1DEDAD6D1CECAC6C3C1BFBDBCBCBDBEC0C2C5C8CCD0D4
D8DCE0E4E7EBEEF0F3F5F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFCFBF9F8F6F4F2EFECE9E5E2DEDAD5D1CDC9C6C2C0BDBCBBBBBB
BCBEC0C3C6CACED2D6DADEE2E6E9ECEFF1F3F5F6F7F7F7F7F6F5F3F1EEEAE6E2DDD7D1CA
C3BCB5ADA69F99938F8B88878687898C90969BA2A9B0B7BFC6CDD3D9DFE4E8ECEFF2F4F5
F7F7F8F7F7F6F4F3F1EEEBE8E5E1DDD9D5D0CCC9C5C2BFBDBCBBBBBBBCBEC1C4C7CBCFD3
D7DBDFE3E7EAEDF0F3F5F7F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F1EFECE8E5E1DDD9D4D0CCC8C4C1BEBCBAB9B9BA
BBBDBFC2C5C9CDD1D5DADEE2E5E9ECEFF1F3F5F6F7F7F7F7F6F4F2F0EDE9E5E0DAD4CDC6
BFB7AFA7A098928C8783807E7E7E8184898E949BA3AAB2BAC2C9D0D7DCE2E6EAEEF1F3F5
F6F7F7F7F6F6F4F2F0EEEBE8E4E0DCD8D4CFCBC7C4C1BEBCBAB9B9BABBBDBFC2C6CACED2
D6DADFE2E6EAEDF0F2F5F7F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFBFAF9F7F6F4F1EEEBE8E4E0DCD8D4CFCBC7C3C0BDBBB9B8B8B8
B9BBBEC1C4C8CCD0D4D9DDE1E5E8ECEEF1F3F4F6F6F7F7F6F5F4F1EFECE8E3DED8D2CAC3
BBB3ABA29A928B85807B78767677797D82878E959DA6AEB6BEC6CDD4DAE0E5E9EDF0F2F4
F6F6F7F7F6F5F4F2F0EDEAE7E3DFDBD7D3CECAC6C3BFBDBAB9B8B8B8BABBBEC1C5C8CDD1
D5DADEE2E6E9EDEFF2F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F1EEEBE7E4E0DBD7D3CECAC6C2BEBCB9B8B7B6B7
B8BABCBFC3C7CBCFD4D8DCE0E4E8EBEEF0F3F4F5F6F7F6F6F5F3F1EEEBE7E2DCD6CFC8C0
B8AFA79E958D867F7A757270707173777C82899199A1AAB3BBC3CBD2D9DFE4E8ECEFF2F4
F5F6F7F6F6F5F4F2F0EDEAE6E3DFDBD6D2CDC9C5C1BEBBB9B7B6B6B7B8BABDC0C3C7CCD0
D4D9DDE1E5E9ECEFF2F4F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EEEAE7E3DFDBD6D2CDC9C5C1BDBAB8B6B5B5B5
B6B8BBBEC2C6CACED3D7DCE0E4E7EBEEF0F2F4F5F6F6F6F6F4F3F0EDEAE6E1DBD5CEC6BE
B5ADA49B9289827B75706D6B6B6C6E72777D858D959EA7B0B9C1C9D1D7DDE3E7EBEFF1F3
F5F6F6F6F6F5F3F1EFEDE9E6E2DEDAD5D1CCC8C4C0BDBAB7B6B5B5B5B7B9BBBFC2C6CBCF
D4D8DCE1E5E8ECEFF2F4F6F8F9FBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F0EDEAE6E3DEDAD5D1CCC8C3BFBCB9B6B5B4B3B4
B5B7B9BDC0C4C9CDD2D6DBDFE3E7EAEDF0F2F4F5F6F6F6F5F4F2F0EDE9E5E0DAD4CDC5BC
B4ABA1988F877F78726D696867686B6F747A828A939CA5AEB7C0C8CFD6DDE2E7EBEEF1F3
F5F6F6F6F6F5F3F1EFECE9E5E2DDD9D5D0CBC7C3BFBBB8B6B4B3B3B4B5B7BABDC1C5C9CE
D3D7DCE0E4E8EBEEF1F4F6F8F9FAFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F3F0EDEAE6E2DED9D5D0CBC7C2BEBBB7B5B3B2B2B2
B4B5B8BBBFC3C8CCD1D6DADFE3E6EAEDF0F2F3F5F6F6F6F5F4F2F0EDE9E5E0DAD3CCC4BB
B3A9A0978E857D76706B67656566696D72798088919AA4ADB6BFC7CFD6DCE2E7EBEEF1F3
F4F5F6F6F5F4F3F1EFECE9E5E1DDD8D4CFCAC6C2BEBAB7B5B3B2B2B2B4B6B9BCC0C4C8CD
D2D6DBDFE4E7EBEEF1F3F6F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F2F0EDE9E5E1DDD8D4CFCAC6C1BDB9B6B4B2B1B0B1
B2B4B7BABEC2C7CBD0D5D9DEE2E6E9EDEFF2F3F5F5F6F6F5F4F2F0EDE9E5DFDAD3CCC4BB
B2A9A0968D857D756F6B67656566686C72788088919AA4ADB6BFC7CFD6DCE2E6EBEEF1F3
F4F5F6F6F5F4F3F1EEEBE8E4E0DCD8D3CEC9C5C0BCB9B6B3B1B0B0B1B2B4B7BBBFC3C7CC
D1D6DADFE3E7EBEEF1F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFECE9E5E1DCD8D3CEC9C4C0BCB8B5B2B0AFAFAF
B1B3B5B9BDC1C6CACFD4D9DDE2E6E9ECEFF1F3F4F5F6F6F5F4F2F0EDE9E5E0DAD3CCC4BC
B3AAA1978E867E77716C686666676A6E73798189929BA4AEB7BFC7CFD6DCE2E7EBEEF1F3
F4F5F6F6F5F4F2F0EEEBE8E4E0DCD7D2CDC8C4BFBBB7B4B2B0AFAFAFB1B3B6B9BDC2C6CB
D0D5DADEE3E7EAEDF0F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFECE8E4E0DCD7D2CDC8C3BFBAB7B3B1AFAEADAE
AFB1B4B7BBC0C4C9CED3D8DDE1E5E9ECEFF1F3F4F5F6F6F5F4F2F0EDEAE5E0DBD4CDC5BD
B5ACA29990888079736F6B69696A6C70767C838B949DA6AFB8C1C9D0D7DDE2E7EBEEF1F3
F5F5F6F6F5F4F2F0EEEBE7E3DFDBD6D1CCC7C3BEBAB6B3B0AFAEADAEAFB2B5B8BCC1C5CA
CFD4D9DEE2E6EAEDF0F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F2EFEBE8E4E0DBD6D1CCC7C2BEB9B5B2AFADACACAC
AEB0B3B6BABFC3C8CDD2D7DCE0E5E8ECEEF1F3F4F5F6F6F5F4F3F0EEEAE6E1DCD6CFC7BF
B7AEA59D948C847D7873706E6E6F71757A80878F97A0A9B2BAC3CAD2D8DEE3E8ECEFF1F3
F5F6F6F6F5F4F2F0EDEAE7E3DFDAD5D0CBC6C1BDB9B5B1AFADACACADAEB0B3B7BBBFC4C9
CED3D8DDE1E6E9EDF0F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EEEBE8E4DFDBD6D1CBC6C1BCB8B4B1AEACABAAAB
ACAEB1B5B9BEC2C7CDD2D7DBE0E4E8EBEEF1F3F4F5F6F6F6F5F3F1EEEBE7E3DDD7D1CAC2
BAB2A9A199918A837E7976757475777B80868D949CA4ADB5BDC5CDD4DADFE4E9ECF0F2F4
F5F6F6F6F5F4F2F0EDEAE6E3DEDAD5D0CAC5C0BCB7B3B0AEACABAAABADAFB2B6BABEC3C8
CDD3D8DCE1E5E9ECF0F2F5F7F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFCFCFBF9F8F6F4F1EEEBE7E3DFDAD5D0CBC5C0BBB7B3AFADABA9A9AA
ABADB0B4B8BCC1C6CCD1D6DBDFE4E8EBEEF1F3F4F5F6F6F6F5F4F2EFECE9E4DFDAD4CDC6
BEB6AEA79F97918B85817E7D7C7D7F83878D939AA2AAB2BAC1C9D0D6DCE1E6EAEEF0F3F4
F5F6F6F6F5F4F2F0EDEAE6E2DED9D4CFCAC4BFBAB6B2AFACAAA9A9AAABAEB1B4B9BDC2C7
CDD2D7DCE0E5E9ECEFF2F5F7F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFCFCFAF9F8F6F3F1EEEAE7E3DED9D4CFCAC4BFBAB6B1AEABA9A8A8A8
AAACAFB2B7BBC0C6CBD0D5DADFE3E7EBEEF0F3F4F5F6F6F6F6F4F3F0EEEAE6E2DDD7D1CA
C3BCB5ADA69F99948F8B88878687898C91969CA2A9B0B8BFC6CDD3D9DFE4E8ECEFF1F3F5
F6F6F6F6F5F4F2EFEDE9E6E2DDD8D3CEC9C3BEB9B5B1ADABA9A8A8A8AAACAFB3B7BCC1C6
CCD1D6DBE0E4E8ECEFF2F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F1EEEAE6E2DED9D3CEC9C3BEB9B4B0ADAAA8A6A6A7
A8AAADB1B5BABFC5CACFD5DADEE3E7EAEEF0F2F4F6F6F7F7F6F5F4F2EFECE9E5E0DBD5CF
C9C2BCB5AFA9A39E9A969492929395979BA0A5ABB1B8BEC5CBD2D7DDE2E6EAEDF0F3F4F6
F6F7F7F6F5F4F2EFECE9E5E1DDD8D3CDC8C2BDB8B4B0ACA9A7A6A6A7A8ABAEB2B6BBC0C5
CBD0D6DBDFE4E8ECEFF2F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDEAE6E2DDD8D3CDC8C2BDB8B3AFABA8A6A5A5A5
A7A9ACB0B4B9BEC4C9CFD4D9DEE2E7EAEDF0F2F4F6F7F7F7F7F6F5F3F1EEEBE8E4DFDAD5
CFCAC4BEB8B3AEAAA6A3A19F9FA0A1A4A7ABB0B5BBC0C6CCD2D7DCE1E5E9EDF0F2F4F5F6
F7F7F7F6F5F4F2EFECE9E5E1DCD7D2CCC7C1BCB7B2AEABA8A6A5A5A5A7A9ADB1B5BABFC5
CAD0D5DADFE3E7EBEFF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDE9E5E1DCD7D2CDC7C1BCB7B2AEAAA7A5A4A3A4
A5A8ABAFB3B8BDC3C8CED3D9DDE2E6EAEDF0F2F4F6F7F8F8F8F7F6F5F3F1EEEBE8E4E0DB
D7D2CDC8C3BFBAB7B3B1AFAEAEAEB0B2B5B8BCC0C5CACFD4D9DDE2E6E9EDEFF2F4F5F7F7
F8F8F7F7F5F4F2EFECE8E5E0DCD6D1CCC6C1BBB6B1ADA9A7A5A4A3A4A6A8ABAFB4B9BEC4
C9CFD4D9DEE3E7EBEEF1F4F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDE9E5E1DCD7D1CCC6C1BBB6B1ACA9A6A4A2A2A3
A4A6AAADB2B7BCC2C7CDD3D8DDE2E6EAEDF0F2F4F6F7F8F9F9F8F8F7F5F4F2EFECE9E6E2
DFDBD7D3CFCBC8C5C2C0BFBEBEBEBFC1C3C6C9CDD0D4D8DCE0E4E7EBEEF0F2F4F6F7F8F8
F9F8F8F7F5F4F2EFECE8E4E0DBD6D0CBC5C0BAB5B0ACA8A5A3A2A2A3A4A7AAAEB3B8BDC3
C8CED4D9DEE3E7EBEEF1F4F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F2F0ECE9E5E0DBD6D1CBC5C0BAB5B0ABA7A4A2A1A1A1
A3A5A8ACB1B6BBC1C7CCD2D7DCE1E6E9EDF0F2F5F6F8F9F9FAFAF9F9F8F6F5F3F1EFEDEA
E7E4E1DEDCD9D6D4D2D1D0CFCFCFD0D1D3D5D7DADDE0E3E5E8EBEEF0F2F4F6F7F8F9F9FA
F9F9F8F7F6F4F1EFECE8E4DFDAD5D0CAC4BFB9B4AFABA7A4A2A1A1A1A3A6A9ADB2B7BCC2
C8CDD3D8DDE2E6EAEEF1F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFECE8E4E0DBD6D0CAC5BFB9B4AFAAA6A3A1A09FA0
A1A4A7ABB0B5BAC0C6CCD1D7DCE1E5E9EDF0F3F5F7F8F9FAFBFBFBFBFAFAF9F8F6F5F4F2
F0EEEDEBE9E7E6E4E3E2E1E1E1E1E2E2E4E5E6E8EAECEDEFF1F3F4F6F7F8F9FAFAFBFBFB
FAFAF9F8F6F4F1EFEBE8E4DFDAD5CFC9C4BEB8B3AEA9A6A3A19F9FA0A2A4A8ACB1B6BBC1
C7CDD2D8DDE2E6EAEEF1F3F6F8F9FBFCFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF8F7F5F2EFECE8E4DFDAD5CFCAC4BEB8B3ADA9A5A2A09E9E9F
A0A3A6AAAFB4B9BFC5CBD1D6DCE0E5E9EDF0F3F5F7F9FAFBFCFCFDFDFDFDFDFCFCFBFBFA
FAF9F8F8F7F6F6F5F5F4F4F4F4F4F4F5F5F5F6F7F7F8F9F9FAFBFBFCFCFCFDFDFDFDFCFC
FBFAF9F8F6F4F2EFEBE7E3DFDAD4CEC9C3BDB7B2ADA8A4A19F9E9E9FA0A3A6ABAFB5BAC0
C6CCD2D7DCE1E6EAEDF0F3F5F7F9FAFCFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF8F7F4F2EFECE8E4DFDAD4CFC9C3BDB7B2ACA8A4A19E9D9D9D
9FA1A5A9AEB3B8BEC4CAD0D6DBE0E5E9ECF0F3F5F7F9FAFCFDFEFEFFFFFFFEFEFDFDFDFC
FCFBFBFAFAF9F9F8F8F8F8F7F7F7F8F8F8F8F9F9FAFAFBFBFCFCFDFDFEFEFFFFFFFFFEFD
FCFBFAF8F6F4F2EFEBE7E3DED9D4CEC8C2BCB6B1ACA7A3A09E9D9D9D9FA2A5AAAEB4B9BF
C5CBD1D7DCE1E5E9EDF0F3F5F7F9FAFBFCFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFEBE8E3DFD9D4CEC8C2BCB6B1ABA7A39F9D9C9B9C
9EA0A4A8ACB2B8BDC4CAD0D5DBE0E4E9ECF0F3F5F7F9FBFDFEFFFFFEFDFBFAF9F8F6F5F3
F2F0EEECEBE9E8E6E5E4E4E3E3E4E4E5E6E7E8EAEBEDEFF1F2F4F5F7F8FAFBFCFDFEFFFF
FDFCFAF9F7F4F2EEEBE7E3DED9D3CDC7C1BBB5B0AAA6A29F9D9C9B9C9EA1A4A8ADB3B9BE
C5CBD1D6DCE0E5E9EDF0F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFEBE7E3DED9D3CEC8C1BBB5B0AAA6A19E9C9A9A9B
9C9FA2A7ABB1B7BDC3C9CFD5DADFE4E8ECF0F3F5F8FAFCFDFFFEFDFBFAF8F6F4F2F0EDEA
E7E5E2DFDCD9D7D4D2D1D0CFCFCFD0D1D3D5D8DADDE0E3E6E9EBEEF1F3F5F7F9FAFCFEFF
FEFDFBF9F7F4F2EEEBE7E2DDD8D2CDC7C0BAB4AFA9A5A19E9C9A9A9B9D9FA3A7ACB2B8BE
C4CAD0D6DBE0E5E9EDF0F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF8F6F4F1EEEBE7E3DED8D3CDC7C1BAB4AFA9A4A09D9B999999
9B9EA1A5AAB0B6BCC2C8CED4DADFE4E8ECF0F3F6F8FAFCFEFFFDFBF9F7F5F2EFECE9E5E1
DDD9D5D1CDC9C5C2C0BDBCBBBBBBBCBEC1C3C7CACED3D7DBDFE3E7EAEDF0F3F6F8FAFCFE
FFFEFCF9F7F5F2EEEBE7E2DDD8D2CCC6C0B9B3AEA8A4A09D9A99999A9C9EA2A6ABB1B7BD
C3C9CFD5DBE0E4E9ECF0F2F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF8F6F4F1EEEBE7E2DDD8D2CCC6C0BAB3AEA8A39F9C99989898
9A9DA0A4A9AFB5BBC1C8CED4D9DFE4E8ECF0F3F6F8FBFDFFFEFCF9F7F4F1EEEAE6E2DDD9
D3CEC9C3BEB9B5B0ADAAA8A7A7A7A9ABAEB2B6BBC0C5CBD0D6DBDFE4E8ECEFF2F5F8FAFC
FFFEFCFAF7F5F2EEEAE6E2DDD7D1CBC5BFB9B2ADA7A39F9B999898999A9DA1A5AAB0B6BC
C2C9CFD5DADFE4E8ECEFF2F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EEEAE6E2DDD8D2CCC6BFB9B3ADA7A29E9B98979697
999B9FA3A8AEB4BAC1C7CDD3D9DEE3E8ECF0F3F6F9FBFEFFFDFAF8F5F1EEEAE6E1DCD6D0
CAC3BDB6B0AAA49F9B979594939496999CA1A6ACB2B9BFC6CCD2D8DEE3E7ECEFF3F6F9FB
FEFFFDFAF8F5F2EEEAE6E1DCD7D1CBC5BEB8B2ACA6A29E9A98979797999CA0A4A9AFB5BB
C2C8CED4DADFE4E8ECEFF2F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EEEAE6E2DDD7D1CBC5BEB8B2ACA6A19D9A97969596
989A9EA2A8ADB3BAC0C6CDD3D9DEE3E8ECF0F3F6F9FCFEFEFCF9F6F2EFEBE6E1DBD5CFC8
C0B9B1A9A29B948E89858281808183878B90979DA5ACB4BCC3CBD1D8DEE3E8ECF0F4F7FA
FDFFFDFBF8F5F2EEEAE6E1DCD6D0CAC4BDB7B1ABA5A19C9997969596989B9FA3A8AEB4BB
C1C7CED4D9DFE3E8ECEFF2F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F3F1EEEAE6E1DCD7D1CBC4BEB7B1ABA5A09C9996959495
97999DA1A7ACB2B9BFC6CCD2D8DEE3E7ECF0F3F6F9FCFFFDFBF7F4F0ECE8E3DDD6CFC8C0
B7AFA69D958D857E7974716F6F7072767B81889098A1A9B2BBC3CBD2D9DFE5EAEEF2F6F9
FCFFFEFBF8F5F2EEEAE6E1DCD6D0CAC3BDB6B0AAA4A09B9896949495979A9EA2A7ADB3BA
C0C7CDD3D9DEE3E8EBEFF2F4F7F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F3F1EDEAE6E1DCD6D0CAC4BDB7B0AAA49F9B9895949394
96989CA0A6ABB2B8BFC5CCD2D8DDE3E7ECF0F3F6FAFCFFFDFAF6F3EFEAE5DFD9D2CAC1B9
AFA59C92887F776F6964605E5E5F62666B727A838C96A0A9B3BCC5CDD5DBE2E7ECF0F4F8
FBFEFEFBF8F5F2EEEAE5E1DBD6D0C9C3BCB6AFA9A49F9A979593939496999DA1A7ACB3B9
C0C6CDD3D9DEE3E7EBEFF2F4F7F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F3F0EDEAE5E1DBD6D0CAC3BCB6AFA9A49E9A9794939293
95979BA0A5ABB1B7BEC5CBD2D8DDE2E7ECF0F3F7FAFDFFFCF9F5F1EDE8E2DCD5CDC5BCB2
A89D92877D736A625B55514F4F5053575D656E77818C96A1ACB6BFC8D0D8DFE5EAEFF3F7
FAFDFFFCF9F5F2EEEAE5E0DBD5CFC9C2BBB5AEA8A39E99969492929395989CA0A6ACB2B8
BFC6CCD2D8DEE3E7EBEFF2F4F6F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F3F0EDE9E5E0DBD6CFC9C3BCB5AFA8A39E999693929192
94969A9FA4AAB0B7BDC4CBD1D7DDE2E7EBEFF3F7FAFDFFFBF8F4F0EBE6E0D9D2C9C0B6AC
A1958A7E73685E564E4844414142454A5159626C77838E9AA5B0BAC4CDD5DCE2E8EDF2F6
F9FDFFFCF9F5F2EEEAE5E0DBD5CFC8C2BBB4AEA7A29D98959391919294979BA0A5ABB1B8
BFC5CCD2D8DDE2E7EBEEF1F4F6F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F7F5F3F0EDE9E5E0DBD5CFC9C2BBB5AEA8A29D989592919091
9395999EA3A9AFB6BDC4CAD1D7DDE2E7EBEFF3F7FAFDFEFBF7F3EFEAE4DED7CFC6BCB2A7
9B8F82766A5F544B433D383535363A3F464F58636F7B8794A0ABB6C0CAD2DAE1E7ECF1F5
F9FCFFFCF9F5F2EEEAE5E0DAD4CEC8C1BAB3ADA7A19C98949290909193969A9FA4AAB1B7
BEC5CBD2D7DDE2E7EBEEF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFAF9F7F5F3F0EDE9E5E0DBD5CFC8C1BBB4ADA7A19C979491908F90
9295989DA2A8AFB6BCC3CAD0D7DCE2E7EBEFF3F7FAFEFEFBF7F3EEE9E3DCD5CCC3B9AEA2
96897C6F63574C423A332E2B2B2C30353D46505B6874818E9BA7B2BDC7D0D8DFE5EBF0F4
F8FCFFFCF9F5F2EEE9E5E0DAD4CEC7C0BAB3ACA6A09B9793918F8F909295999EA3A9B0B7
BDC4CBD1D7DDE2E6EAEEF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFCFAF9F7F5F3F0EDE9E4E0DAD4CEC8C1BAB3ADA6A09B9793908F8E8F
9194979CA2A8AEB5BCC3C9D0D6DCE1E6EBEFF3F7FAFEFEFAF6F2EDE8E2DBD3CAC1B6AB9F
9285776A5D51453B322B26242324282E363F4A55626F7D8A97A4AFBBC5CED6DEE4EAEFF4
F8FCFFFCF9F5F2EEE9E5DFDAD4CDC7C0B9B2ACA59F9A9692908F8E8F9194989DA3A9AFB6
BDC4CAD1D7DCE2E6EAEEF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFCFAF9F7F5F3F0ECE9E4DFDAD4CEC7C1BAB3ACA6A09A96928F8E8D8E
9093979BA1A7AEB4BBC2C9D0D6DCE1E6EBEFF3F7FAFEFEFAF6F2EDE7E1DAD2C9BFB4A99C
8F817466594C40362D26211E1D1F2328303A45515E6B798794A1ADB9C3CDD5DDE4EAEFF3
F8FBFFFCF9F5F2EEE9E4DFD9D3CDC6BFB9B2ABA59F9995928F8E8D8E9093979CA2A8AFB5
BCC3CAD0D6DCE1E6EAEEF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFCFAF9F7F5F3F0ECE8E4DFDAD4CEC7C0B9B2ABA59F9A95918F8D8D8D
8F92969BA0A6ADB4BBC2C9CFD6DCE1E6EBEFF3F7FAFEFEFAF6F1ECE7E1D9D1C8BEB3A79B
8D80726456493D332A231D1A1A1B1F252D37424E5C69778593A0ACB8C2CCD5DCE3E9EFF3
F7FBFFFCF9F5F2EDE9E4DFD9D3CDC6BFB8B1AAA49E9994918E8D8D8E9093979CA1A7AEB5
BCC3CAD0D6DCE1E6EAEEF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F3F0ECE8E4DFD9D3CDC7C0B9B2ABA49E9994908E8C8C8C
8E91959AA0A6ACB3BAC1C8CFD5DBE1E6EBEFF3F7FAFEFEFAF6F1ECE7E0D9D1C8BEB3A79A
8D7F716355483D3229221C19191A1E242C36414E5B697785929FACB7C2CCD4DCE3E9EEF3
F7FBFFFCF9F5F1EDE9E4DFD9D3CCC6BFB7B0AAA39D9894908D8C8C8D8F92969BA1A7ADB4
BBC2C9D0D6DCE1E6EAEEF1F4F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E4DFD9D3CDC6BFB8B1AAA49E9894908D8B8B8C
8E9195999FA5ACB3BAC1C8CFD5DBE1E6EAEFF3F7FAFEFEFAF6F2EDE7E1D9D1C8BEB3A79B
8D807264564A3E332A231E1B1A1C20262D37424F5C69778593A0ACB8C2CCD5DCE3E9EFF3
F8FBFFFCF9F5F1EDE9E4DED9D2CCC5BEB7B0A9A39D97938F8D8B8B8C8E91959AA0A6ADB4
BBC2C9CFD6DBE1E5EAEDF1F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED9D3CDC6BFB8B1AAA39D98938F8C8B8A8B
8D9094999EA5ABB2B9C1C8CED5DBE0E6EAEFF3F7FAFEFEFAF6F2EDE7E1DAD2C9BFB5A99C
8F827467594D41362E27211F1E1F2329313A45525E6C7A8795A1AEB9C3CDD5DDE4EAEFF4
F8FCFFFCF9F5F1EDE8E4DED8D2CCC5BEB7B0A9A29C97928F8C8B8A8B8D90959A9FA6ACB3
BBC2C9CFD5DBE1E5EAEDF1F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED9D3CCC5BEB7B0A9A39C97928E8C8A8A8A
8C8F93989EA4ABB2B9C0C7CED4DBE0E5EAEFF3F6FAFDFEFAF7F2EEE8E2DBD3CBC1B7AB9F
9285786B5E52463C332D28252426292F37404B5663707D8B98A4B0BBC5CED7DEE5EAEFF4
F8FCFFFCF9F5F1EDE8E3DED8D2CBC4BDB6AFA8A29B96928E8B8A8A8B8D9094999FA5ACB3
BAC1C8CFD5DBE0E5E9EDF1F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED9D2CCC5BEB7B0A9A29C96928E8B8A898A
8C8F93989DA4AAB1B9C0C7CED4DAE0E5EAEEF2F6FAFDFEFBF7F3EEE9E3DDD5CDC4B9AFA3
978A7D7164584D443B35302D2D2E32373F47525D6976828F9CA8B3BEC7D0D8DFE6EBF0F5
F9FCFFFCF8F5F1EDE8E3DED8D2CBC4BDB6AFA8A19B96918D8B89898A8C8F93999EA5ACB3
BAC1C8CFD5DBE0E5E9EDF0F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED8D2CCC5BEB7AFA8A29B96918D8B898889
8B8E92979DA3AAB1B8C0C7CED4DAE0E5EAEEF2F6F9FDFFFBF8F4EFEAE5DED7CFC7BDB3A8
9C9084786C61574D463F3B3838393C4248515B65717D8995A1ACB7C1CAD3DAE1E7ECF1F5
F9FDFFFBF8F4F1ECE8E3DED8D1CBC4BDB5AEA7A19A95908D8A8989898C8F93989EA4ABB2
B9C1C8CED5DBE0E5E9EDF0F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE7E3DED8D2CCC5BEB6AFA8A19B95918D8A888889
8B8E92979CA3AAB1B8BFC6CDD4DAE0E5EAEEF2F6F9FCFFFCF9F5F1ECE7E1DAD3CAC1B8AD
A3978C81766B6259524C48454546494E545C656F7A85919CA7B2BCC5CED6DDE3E9EEF2F6
FAFDFEFBF8F4F0ECE8E3DDD8D1CBC4BCB5AEA7A09A95908C8A8888898B8E92989DA4ABB2
B9C0C7CED5DAE0E5E9EDF0F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E3DED8D2CBC4BDB6AFA8A19B95908C8A888788
8A8D91969CA2A9B0B8BFC6CDD4DADFE5E9EEF2F5F9FCFFFDF9F6F2EEE9E3DDD6CFC7BEB4
AAA0968B81776E67605A57545455585C626A727B858F9AA4AEB8C1CAD2D9E0E6EBEFF4F7
FBFEFEFBF7F4F0ECE8E3DDD7D1CAC3BCB5AEA6A09A94908C898888888B8E92979DA4AAB2
B9C0C7CED4DAE0E5E9EDF0F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E3DED8D2CBC4BDB6AEA7A19A95908C89878788
8A8D91969CA2A9B0B7BFC6CDD3DADFE4E9EEF1F5F8FBFEFEFAF7F4F0EBE6E1DAD4CCC4BC
B3A9A0978E857D76706B67656566696D72798088919AA4ADB6BFC7CFD6DDE3E8EDF1F5F8
FCFFFDFAF7F4F0ECE7E2DDD7D1CAC3BCB5ADA69F99948F8B898787888A8D92979DA3AAB1
B9C0C7CED4DAE0E5E9EDF0F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E3DDD8D2CBC4BDB5AEA7A09A948F8C89878787
898C90969BA2A9B0B7BFC6CDD3D9DFE4E9EDF1F5F8FBFEFEFCF9F5F2EEE9E4DFD9D3CBC4
BCB4ACA39B948D87817D7A7878797B7F838990979FA7AFB7BFC7CED5DCE1E7EBEFF3F7FA
FDFFFDFAF7F3F0ECE7E2DDD7D1CAC3BCB4ADA69F99938F8B888787888A8D91969CA3AAB1
B8C0C7CED4DAE0E4E9EDF0F3F5F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E2DDD8D1CBC4BDB5AEA7A09A948F8B88878687
898C90959BA2A8B0B7BEC6CDD3D9DFE4E9EDF1F4F7FAFDFFFDFAF7F4F1EDE9E4DFD9D3CD
C6BFB8B1AAA49E9994918E8C8C8D8F92969BA0A7ADB4BBC2C9CFD6DCE1E6EAEEF2F5F8FB
FEFFFCF9F6F3EFEBE7E2DDD7D1CAC3BBB4ADA69F99938E8B88878687898D91969CA3AAB1
B8C0C7CDD4DADFE4E9EDF0F3F5F8F9FBFCFDFDFEFEFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E2DDD8D1CBC4BCB5AEA7A099948F8B88868687
898C90959BA1A8AFB7BEC5CCD3D9DFE4E9EDF1F4F7FAFCFFFEFCF9F7F4F1EDE9E5E1DCD6
D1CBC6C0BAB5B0ACA8A5A3A2A2A2A4A6AAAEB2B7BDC2C8CED3D9DEE2E7EBEEF2F5F8FAFD
FFFEFBF9F6F3EFEBE7E2DDD7D0CAC3BBB4ADA59F98938E8A88868687898C91969CA2A9B1
B8BFC7CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CBC4BCB5AEA6A099938F8B88868687
888C90959BA1A8AFB7BEC5CCD3D9DFE4E8EDF0F4F7F9FBFEFFFDFBF9F7F4F2EFECE8E4E0
DCD8D4CFCBC7C4C0BDBBBAB9B9B9BABCBFC2C5C9CDD1D5DADEE2E6EAEDF0F3F5F8FAFCFE
FFFDFBF8F5F2EFEBE7E2DCD7D0C9C2BBB4ACA59E98938E8A88868687898C90969CA2A9B0
B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5ADA69F99938E8B88868686
888B90959AA1A8AFB7BEC5CCD3D9DFE4E8ECF0F3F6F8FBFDFEFFFDFCFAF8F7F4F2F0EDEB
E8E5E2DFDDDAD7D5D3D2D1D0D0D0D1D2D4D6D8DBDEE1E3E6E9ECEEF1F3F5F7F9FBFCFEFF
FEFCFAF8F5F2EFEBE7E2DCD6D0C9C2BBB4ACA59E98928E8A87868687898C90969BA2A9B0
B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5ADA69F99938E8A88868586
888B8F949AA1A8AFB6BEC5CCD3D9DEE4E8ECF0F3F5F8FAFBFDFEFFFFFEFCFBFAF9F8F7F5
F4F3F1F0EEEDECEBEAE9E9E8E8E8E9E9EAEBECEEEFF0F2F3F5F6F7F8FAFBFCFDFEFFFFFE
FCFBF9F7F4F2EEEBE6E2DCD6D0C9C2BBB3ACA59E98928E8A87868586898C90959BA2A9B0
B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEFFFFE5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5ADA69F99938E8A87868586
888B8F949AA1A8AFB6BEC5CCD3D9DEE3E8ECEFF2F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFC
FBFAF8F6F4F1EEEAE6E1DCD6D0C9C2BBB3ACA59E98928E8A87868586888C90959BA2A9B0
B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEFFE5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5ADA69F99938E8A87868586
888B8F949AA1A8AFB6BEC5CCD2D9DEE3E8ECEFF2F4F6F8F9FAFBFBFBFBFAFAF9F8F7F5F4
F3F1F0EEEDEBEAE9E8E7E6E6E6E6E7E7E8E9EAECEDEFF0F2F3F5F6F7F8F9FAFAFBFBFBFA
FAF9F7F6F4F1EEEAE6E1DCD6D0C9C2BBB3ACA59E98928D8A87868586888C90959BA2A9B0
B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEE5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5ADA69F99938E8A87868586
888B8F949AA1A8AFB6BEC5CCD2D9DEE3E8ECEFF2F4F6F7F8F9F9F9F8F7F6F5F3F1EFECEA
E7E4E1DEDBD8D5D3D1D0CFCECECECFD0D2D4D6D9DCDFE2E5E8EBEDF0F2F4F5F7F8F8F9F9
F8F8F7F5F3F1EEEAE6E1DCD6D0C9C2BBB3ACA59E98928D8A87868586888C90959BA2A9B0
B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEE5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5ADA69F99938E8A87868586
888B8F949AA1A8AFB6BEC5CCD2D9DEE3E7EBEFF1F3F5F6F7F7F7F6F5F4F2F0EDEAE7E3DF
DBD7D2CEC9C5C1BEBBB9B7B6B6B7B8BABCBFC3C7CBCFD4D8DDE1E5E8EBEEF1F3F5F6F7F7
F7F7F6F5F3F0EDEAE6E1DCD6D0C9C2BBB3ACA59E98928E8A87868586888C90959BA2A9B0
B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDE4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5ADA69F99938E8A88868586
888B8F949AA1A8AFB6BEC5CCD2D8DEE3E7EBEEF1F3F5F5F6F6F5F4F3F1EEEBE8E4DFDAD5
D0CAC4BEB9B3AEAAA6A3A1A09FA0A2A4A7ABB0B5BBC1C6CCD2D7DCE1E5E9ECEFF2F3F5F6
F6F6F5F4F2F0EDEAE6E1DCD6D0C9C2BBB3ACA59E98928E8A87868586898C90959BA2A9B0
B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDE4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5ADA69F99938E8B88868686
888B90959AA1A8AFB6BEC5CCD2D8DEE3E7EBEEF1F3F4F5F5F5F4F2F0EEEBE7E2DDD8D2CB
C5BEB7AFA8A29C96928E8B8A898A8C8F93989EA4ABB2B9C1C7CED4DADFE4E8ECEFF1F3F4
F5F5F4F3F2F0EDEAE6E1DCD6D0C9C2BBB4ACA59E98928E8A87868687898C90969BA2A9B0
B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCE3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CBC4BCB5AEA6A099938F8B88868687
888C90959BA1A8AFB7BEC5CCD2D8DEE3E7EBEEF0F2F3F4F4F3F2F0EEEBE7E3DDD8D1CAC2
BAB2AAA199928A847F7A77757576787C81868D959DA5ADB6BEC6CDD4DAE0E4E9ECEFF1F3
F4F4F4F3F2EFEDE9E6E1DCD6D0C9C2BBB4ACA59E98938E8A88868687898C90969CA2A9B0
B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBE2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E2DDD8D1CBC4BCB5AEA7A099948F8B88868687
898C90959BA1A8AFB7BEC5CCD3D9DEE3E7EBEEF0F2F3F3F3F2F1EFECE8E4DFD9D2CBC3BA
B1A89E958B837A736D6864626263666A6F767E868F98A2ABB5BEC6CED5DBE1E6EAEDF0F2
F3F3F3F3F1EFEDE9E5E1DCD6D0C9C2BBB4ACA59F98938E8A88868687898C91969CA2A9B1
B8BFC7CDD4DADFE4E9EDF0F3F5F7F9E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E2DDD8D1CBC4BDB5AEA7A09A948F8B88878687
898C90959BA1A8B0B7BEC5CCD3D9DEE3E7EBEEF0F1F2F3F2F1F0EDEAE6E1DBD5CDC5BCB3
A89E93897F756C645D575351515255595F676F79838D98A2ADB6C0C8D0D7DEE3E7EBEEF0
F2F3F3F2F1EFECE9E5E1DCD6D0C9C3BBB4ADA69F99938E8B88878687898D91969CA3AAB1
B8C0C7CDD4DADFE4E9EDF0F3F5F8E0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E3DDD8D2CBC4BDB5AEA7A09A948F8C89878787
898C90969BA2A9B0B7BEC5CCD3D9DEE3E7EBEDF0F1F2F2F2F0EEECE8E4DED8D1C9C0B6AC
A1958A7E73695F564F4944424143464B5159636D78838F9AA5B0BAC4CCD4DBE1E5EAEDEF
F1F2F2F2F1EFECE9E5E1DCD6D0CAC3BBB4ADA69F99938F8B888787888A8D91969CA3AAB1
B8C0C7CED4DAE0E4E9EDF0F3F5DEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E3DED8D2CBC4BDB6AEA7A19A95908C89878788
8A8D91969CA2A9B0B7BFC6CCD3D9DEE3E7EAEDEFF1F2F2F1F0EDEAE7E2DCD5CEC5BBB1A6
9A8E8275695E544A423C37353435393E454E58636E7A87939FAAB5BFC9D1D8DEE4E8ECEE
F0F1F2F1F0EFECE9E5E1DCD6D0CAC3BCB4ADA69F99948F8B898787888A8D92979DA3AAB1
B9C0C7CED4DAE0E5E9EDF0F3DCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E3DED8D2CBC4BDB6AFA8A19B95908C8A888788
8A8D91969CA2A9B0B8BFC6CDD3D9DEE3E7EAEDEFF1F1F1F1EFEDE9E5E0DAD3CBC2B8ADA1
95887B6E61554A4038312C2A292A2E343B444E5A6673808D9AA6B1BCC6CED6DDE2E7EBEE
F0F1F2F1F0EFECE9E5E1DCD7D0CAC3BCB5ADA6A09A948F8C898888888B8E92979DA4AAB2
B9C0C7CED4DAE0E5E9EDF0DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE7E3DED8D2CCC5BEB6AFA8A19B95918D8A888889
8B8E92979CA3AAB1B8BFC6CDD3D9DEE3E7EAEDEFF1F1F1F0EFECE9E4DFD9D1C9BFB5A99D
908375685B4E4338302924212022252B333C4753606D7B8896A2AEB9C3CCD4DBE1E6EAED
EFF1F1F1F0EFECE9E6E1DCD7D1CAC3BCB5AEA7A09A95908C8A8888898B8E92989DA4ABB2
B9C0C7CED5DAE0E5E9EDD7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED8D2CCC5BEB7AFA8A29B96918D8B898889
8B8E92979DA3AAB1B8BFC6CDD3D9DEE3E7EAEDEFF1F1F1F0EEECE8E4DED8D0C7BDB3A79A
8D7F726456493D332A231D1A1A1B1F252D37424E5B697785929FACB7C2CBD3DAE0E5EAED
EFF0F1F1F0EEECE9E6E1DCD7D1CAC4BCB5AEA7A19A95908D8A8989898C8F93989EA4ABB2
B9C1C8CED5DBE0E5E9D3D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED9D2CCC5BEB7B0A9A29C96928E8B8A898A
8C8F93989DA4AAB1B9C0C7CDD4D9DFE3E7EBEDEFF0F1F1F0EEEBE8E3DED7CFC6BCB1A599
8B7D6F6153463A2F261F1A1716171B212A333F4B59677583919EAAB6C0CAD2DAE0E5E9EC
EFF0F1F1F0EEECE9E6E1DDD7D1CBC4BDB6AFA8A19B96918D8B89898A8C8F93999EA5ACB3
BAC1C8CFD5DBE0E5D0D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED9D3CCC5BEB7B0A9A39C97928E8C8A8A8A
8C8F93989EA4ABB2B9C0C7CED4DADFE3E7EBEDEFF0F1F1F0EEEBE8E3DDD7CFC6BCB1A598
8A7C6E605245392E251D181514161A2028323E4A58667482909DAAB5C0CAD2D9E0E5E9EC
EFF0F1F1F0EFECE9E6E2DDD7D1CBC4BDB6AFA8A29B96928E8B8A8A8B8D9094999FA5ACB3
BAC1C8CFD5DBE0CCD0D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED9D3CDC6BFB8B1AAA39D98938F8C8B8A8B
8D9094999EA5ABB2B9C0C7CED4DADFE3E7EBEDEFF1F1F1F0EEEBE8E3DDD7CFC6BCB1A598
8B7D6F6153463A2F261E191615171B2129333E4B58667483909EAAB6C0CAD2DAE0E5E9EC
EFF0F1F1F0EFECEAE6E2DDD7D2CBC4BEB6AFA9A29C97928F8C8B8A8B8D90959A9FA6ACB3
BBC2C9CFD5DBC7CCD0D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E4DFD9D3CDC6BFB8B1AAA49E9894908D8B8B8C
8E9195999FA5ACB3BAC1C8CED4DADFE4E8EBEEEFF1F1F1F0EEECE8E4DED7D0C7BDB2A79A
8D7F716355483D3229221C19191A1E242C36414E5B697784929FABB7C1CBD3DAE0E5EAED
EFF1F1F1F0EFEDEAE6E2DDD8D2CCC5BEB7B0A9A39D97938F8D8B8B8C8E91959AA0A6ADB4
BBC2C9CFD6C2C7CCD0D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F3F0ECE8E4DFD9D3CDC7C0B9B2ABA49E9994908E8C8C8C
8E91959AA0A6ACB3BAC1C8CED5DADFE4E8EBEEF0F1F1F1F0EFECE9E4DFD8D1C8BFB4A99C
908274675A4D41372E27221F1F20242A323B46525F6C7A8895A1ADB9C3CCD4DBE1E6EAED
EFF1F1F1F0EFEDEAE6E2DDD8D2CCC5BEB7B0AAA39D9894908D8C8C8D8F92969BA1A7ADB4
BBC2C9D0BCC2C7CCD0D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFCFAF9F7F5F3F0ECE8E4DFDAD4CEC7C0B9B2ABA59F9A95918F8D8D8D
8F92969BA0A6ADB4BBC2C8CFD5DAE0E4E8EBEEF0F1F2F2F1EFEDE9E5E0DAD3CAC1B7ACA0
9487796C6053483E362F2A2727282C3139424D5865727F8C99A5B0BBC5CED6DCE2E7EBEE
F0F1F2F2F1EFEDEAE7E2DED8D2CCC6BFB8B1AAA49E9994918E8D8D8D9093979CA1A7AEB5
BCC3CAB6BDC2C8CCD0D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFCFAF9F7F5F3F0ECE9E4DFDAD4CEC7C1BAB3ACA6A09A96928F8E8D8E
9093979BA1A7ADB4BBC2C9CFD5DBE0E4E8EBEEF0F1F2F2F1F0EDEAE6E1DCD5CDC4BAB0A4
998C8073675C51473F3934313132363B424B55606C7885919DA9B4BEC8D0D8DEE3E8ECEE
F0F2F2F2F1EFEDEAE7E3DED9D3CDC6BFB8B2ABA49F9995928F8E8D8E9093979CA2A8AFB5
BCC3B0B7BDC3C8CCD1D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFCFAF9F7F5F3F0EDE9E4E0DAD4CEC8C1BAB3ADA6A09B9793908F8E8F
9194979CA2A8AEB5BCC2C9D0D6DBE0E5E8ECEEF0F2F2F2F2F0EEEBE8E3DED7D0C8BEB4AA
9F93877C70655B524B44403E3D3E42474D565F6975808C98A3AEB9C2CBD3DAE0E5E9EDEF
F1F2F3F2F1F0EDEAE7E3DED9D3CDC6C0B9B2ABA59F9A9692908F8E8F9194989DA3A9AFB6
BDAAB1B7BDC3C8CDD1D4D8DADDDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFAF9F7F5F3F0EDE9E5E0DBD5CFC8C1BBB4ADA7A19C979491908F90
9294989DA2A8AFB5BCC3CAD0D6DBE0E5E9ECEFF1F2F3F3F3F1EFEDE9E5E0DAD3CCC3BAB0
A69B90857A70675F58524E4C4B4C4F545A626B747F89949FAAB4BEC7CFD6DDE2E7EBEEF0
F2F3F3F3F2F0EEEBE7E3DED9D4CDC7C0B9B3ACA6A09B9793918F8F909295999EA3A9B0B7
A4ABB1B8BEC3C8CDD1D5D8DADDDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F7F5F3F0EDE9E5E0DBD5CFC9C2BBB5AEA8A29D989592919091
9395999EA3A9AFB6BDC3CAD0D6DCE1E5E9ECEFF1F3F3F4F3F2F1EEEBE7E3DDD7D0C8C0B7
ADA49A90867D746D66615D5B5B5C5F63697078808A949EA8B1BBC3CBD3DADFE5E9ECEFF1
F3F3F4F3F2F0EEEBE8E3DFDAD4CEC7C1BAB3ADA7A19C98949290909193969A9FA4AAB19E
A4ABB2B8BEC3C8CDD1D5D8DADDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F3F0EDE9E5E0DBD6CFC9C3BCB5AFA8A39E999693929192
94969A9FA4AAB0B7BDC4CBD1D7DCE1E5E9EDEFF1F3F4F4F4F3F2F0EDEAE6E1DBD5CEC7BE
B6ADA49B938A837C76716E6C6C6D6F73787E868E969FA8B1B9C2CAD1D8DDE3E7EBEEF1F2
F4F4F4F4F2F1EEEBE8E4DFDAD4CEC8C1BBB4AEA7A29D98959391919294979BA0A5AB989E
A5ACB2B8BEC4C9CDD1D5D8DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F3F0EDEAE5E1DBD6D0CAC3BCB6AFA9A49E9A9794939293
95979BA0A5ABB1B7BEC5CBD1D7DCE1E6EAEDF0F2F3F4F5F5F4F3F1EFECE9E4E0DAD4CEC7
BFB7B0A8A099928C8783807F7E7F8185898F959CA3ABB3BAC2C9D0D7DCE2E6EAEDF0F2F4
F5F5F5F4F3F1EFECE8E4DFDAD5CFC8C2BBB5AEA8A39E99969492929395989CA0A692989F
A6ACB3B9BFC4C9CDD1D5D8DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F3F1EDEAE6E1DCD6D0CAC4BDB7B0AAA49F9B9895949394
96989CA0A6ABB2B8BFC5CCD2D7DDE2E6EAEDF0F2F4F5F6F6F6F5F3F1EFECE8E4E0DBD5CF
C9C2BBB5AEA8A39D99969392919294979B9FA5ABB1B7BEC5CBD1D7DDE2E6EAEDF0F2F4F5
F6F6F6F5F3F1EFECE8E4E0DBD5CFC9C3BCB5AFA9A49F9A979593939496999DA18D9399A0
A6ADB3B9BFC4C9CED2D5D8DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F3F1EEEAE6E1DCD7D1CBC4BEB7B1ABA5A09C9996959495
97999DA1A7ACB2B9BFC6CCD2D8DDE2E6EAEEF0F3F4F6F7F7F7F6F5F4F2EFEDE9E5E1DDD8
D3CDC8C3BDB8B4AFACA9A7A6A6A6A8AAADB1B5BABFC5CAD0D5DADFE3E7EBEEF0F3F4F6F6
F7F7F6F5F4F2EFECE9E5E0DBD6D0CAC3BDB6B0AAA4A09B9896949495979A9E898E949AA0
A7ADB4BABFC5CACED2D5D8DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EEEAE6E2DDD7D1CBC5BEB8B2ACA6A19D9A97969596
989A9EA2A7ADB3BAC0C6CDD3D8DEE2E7EBEEF1F3F5F6F7F8F8F8F7F6F5F3F1EEEBE8E5E1
DDD9D5D1CCC9C5C2BFBDBBBABABBBCBEC0C3C6CACED2D6DBDFE2E6EAEDEFF2F4F5F7F7F8
F8F8F7F6F4F2F0EDE9E5E1DCD6D0CAC4BDB7B1ABA5A19C9997969596989B858A8F959BA1
A7AEB4BAC0C5CACED2D5D8DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EEEAE6E2DDD8D2CCC6BFB9B3ADA7A29E9B98979697
999B9FA3A8AEB4BAC1C7CDD3D9DEE3E7EBEEF1F4F5F7F8F9F9F9F9F8F8F6F5F3F1EFEDEA
E7E5E2DFDCD9D7D4D3D1D0CFCFD0D0D2D3D5D8DADDE0E3E6E9EBEEF0F2F4F6F7F8F9F9F9
F9F9F8F6F5F3F0EDE9E5E1DCD7D1CBC4BEB8B2ACA6A29E9A989797979982868B90959BA2
A8AEB5BBC0C5CACED2D6D9DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF8F6F4F1EEEBE7E2DDD8D2CCC6C0BAB3AEA8A39F9C99989898
9A9DA0A4A9AFB5BBC1C8CED4D9DEE3E7EBEFF2F4F6F8F9FAFBFBFBFBFBFAF9F8F7F6F5F3
F2F0EFEDEBEAE8E7E6E5E5E4E4E4E5E6E6E8E9EAECEEEFF1F2F4F5F7F8F9FAFAFBFBFBFB
FAFAF8F7F5F3F0EDEAE6E1DCD7D1CBC5BFB9B2ADA7A39F9B999898998184878C91969CA3
A9AFB5BBC1C6CACFD2D6D9DBDDDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF8F6F4F1EEEBE7E3DED8D3CDC7C1BAB4AFA9A4A09D9B999999
9B9EA1A5AAB0B6BCC2C8CED4DADFE4E8ECEFF2F4F7F8FAFBFCFCFDFDFEFEFEFDFDFDFDFD
FCFCFBFBFBFAFAFAF9F9F9F9F9F9F9F9FAFAFAFAFBFBFCFCFCFDFDFDFDFEFEFEFDFDFDFC
FBFAF9F8F6F3F1EEEAE6E2DDD8D2CCC6C0B9B3AEA8A4A09D9A9999808285888D92979DA3
AAB0B6BCC1C6CBCFD3D6D9DBDDDFE1E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFEBE7E3DED9D3CEC8C1BBB5B0AAA6A19E9C9A9A9B
9C9FA2A7ABB1B7BDC3C9CFD5DADFE4E8ECEFF2F5F7F9FBFCFDFEFFFFFFFEFDFDFCFBFAFA
F9F8F7F6F5F5F4F3F3F2F2F2F2F2F2F2F3F3F4F5F6F6F7F8F9FAFBFBFCFDFEFEFFFFFFFE
FDFBFAF8F6F4F1EEEBE7E2DDD8D2CDC7C0BAB4AFA9A5A19E9C9A81818386898E93989EA4
AAB0B6BCC1C6CBCFD3D6D9DBDEDFE1E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFEBE8E3DFD9D4CEC8C2BCB6B1ABA7A39F9D9C9B9C
9EA0A4A8ACB2B8BDC4CAD0D5DBE0E4E9ECF0F3F5F8FAFBFDFEFFFEFDFCFBF9F8F6F5F3F1
EFEDEBE9E7E5E3E2E0DFDEDEDEDEDFE0E1E2E4E6E8EAECEEF0F2F3F5F7F8FAFBFCFEFFFF
FEFCFBF9F7F4F2EEEBE7E3DED9D3CDC7C1BBB5B0AAA6A29F9D82828384878B8F94999FA5
ABB1B7BDC2C7CBD0D3D6D9DCDEDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF8F7F4F2EFECE8E4DFDAD4CFC9C3BDB7B2ACA8A4A19E9D9D9D
9FA1A5A9AEB3B8BEC4CAD0D6DBE0E5E9EDF0F3F6F8FAFCFEFFFEFDFBF9F7F5F3F1EEEBE9
E5E2DFDCD9D6D3D1CFCDCCCBCBCBCCCECFD2D4D7DADDE0E4E7EAEDEFF2F4F6F8FAFCFDFF
FFFDFBF9F7F5F2EFEBE7E3DED9D4CEC8C2BCB6B1ACA7A3A08483838486888C90959AA0A6
ACB2B8BDC2C7CCD0D3D7D9DCDEDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF8F7F5F2EFECE8E4DFDAD5CFCAC4BEB8B3ADA9A5A2A09E9E9F
A0A3A6AAAFB4B9BFC5CBD1D6DCE1E5E9EDF1F4F6F9FBFDFFFFFDFBF9F7F4F2EFECE8E5E1
DDD8D4D0CCC8C4C1BEBCBAB9B9BABBBDBFC2C5C9CDD2D6DADEE2E6EAEDF0F3F5F8FAFCFD
FFFEFCFAF8F5F2EFECE8E3DFDAD4CFC9C3BDB7B2ADA8A4888685848587898D91969BA1A7
ACB2B8BEC3C8CCD0D4D7DADCDEDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFECE8E4E0DBD6D0CAC5BFB9B4AFAAA6A3A1A09FA0
A1A4A7ABB0B5BAC0C6CCD1D7DCE1E6EAEDF1F4F7F9FBFDFFFEFBF9F7F4F1EEEBE7E3DED9
D4CFCAC5BFBBB6B2AFACAAA9A8A9ABADB0B4B8BCC1C7CCD1D6DBE0E4E8ECF0F3F5F8FAFC
FEFFFDFAF8F6F3F0ECE8E4DFDAD5CFC9C4BEB8B3AEA98C8987868686888B8E92979CA2A7
ADB3B9BEC3C8CCD0D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F2F0ECE9E5E0DBD6D1CBC5C0BAB5B0ABA7A4A2A1A1A1
A3A5A8ACB1B6BBC1C7CCD2D8DDE2E6EAEEF1F4F7F9FCFEFFFDFAF8F5F2EFEBE7E3DED8D3
CDC7C0BAB4AEA9A4A09D9B9A999A9C9EA2A6ABB1B6BDC3C9CFD5DAE0E4E9EDF0F3F6F9FB
FEFFFDFBF8F6F3F0ECE9E4E0DBD5D0CAC4BFB9B4AF918D8A88878788898C8F93989DA3A8
AEB4B9BFC4C8CDD1D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDE9E5E1DCD7D1CCC6C1BBB6B1ACA9A6A4A2A2A3
A4A6AAADB2B7BCC2C8CDD3D8DDE2E6EBEEF2F5F7FAFCFFFEFCF9F7F4F0EDE8E4DFD9D3CD
C6BFB8B1AAA39D9894908D8C8B8C8E91959AA0A6ADB4BBC2C9CFD5DBE1E6EAEEF2F5F8FA
FDFFFEFBF9F6F3F0EDE9E5E0DBD6D1CBC5C0BAB596928F8C8A8988898B8D9195999EA4A9
AFB5BABFC4C9CDD1D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDE9E5E1DCD7D2CDC7C1BCB7B2AEAAA7A5A4A3A4
A5A8ABAFB3B8BDC3C8CED3D9DEE3E7EBEFF2F5F8FAFDFFFEFBF8F5F2EFEAE6E1DBD5CEC7
C0B8B0A9A19A938D888481807F8082868A90969DA4ACB3BBC3CAD1D7DDE3E8ECF0F4F7F9
FCFEFEFCF9F7F4F1EDE9E5E1DCD7D1CCC6C1BB9C9893908D8B8A8A8A8C8F92969A9FA5AA
B0B5BBC0C5C9CED1D5D8DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDEAE6E2DDD8D3CDC8C2BDB8B3AFABA8A6A5A5A5
A7A9ACB0B4B9BEC4C9CFD4D9DEE3E7EBEFF2F5F8FBFDFFFDFAF8F4F1EDE9E4DED8D1CAC3
BBB2AAA199918A847E7A77757576787C81868D959CA5ADB6BEC6CDD4DBE0E6EAEFF2F6F9
FBFEFFFCFAF7F4F1EDEAE6E1DCD7D2CDC7C2A39E9995918E8C8B8B8C8D9093979BA0A6AB
B0B6BBC0C5CACED2D5D8DADDDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F1EEEAE6E2DED9D3CEC9C3BEB9B4B0ADAAA8A6A6A7
A8AAADB1B5BABFC5CACFD5DADFE3E8ECEFF2F5F8FBFDFFFDFAF7F4F0ECE7E2DCD6CFC7BF
B6ADA49C938B837C76726E6D6C6D7073797F868E969FA8B1BAC2CAD1D8DEE4E9EEF1F5F8
FBFEFFFCFAF7F4F1EEEAE6E2DDD8D3CDC8A9A49F9A9693908E8D8D8D8F9194989DA1A7AC
B1B7BCC1C6CACED2D5D8DBDDDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFCFCFAF9F8F6F3F1EEEAE7E3DED9D4CFCAC4BFBAB6B1AEABA9A8A8A8
AAACAFB2B7BBC0C6CBD0D6DBDFE4E8ECF0F3F6F9FBFEFFFCF9F6F3EFEBE6E1DAD4CCC4BC
B3AAA0978E857D76706B68666566696D72798089919BA4ADB6BFC8CFD6DDE3E8EDF1F4F8
FBFDFFFDFAF7F5F1EEEAE6E2DDD9D3CEAFAAA5A09B9794918F8E8E8F909396999EA2A8AD
B2B7BDC2C6CBCFD2D5D8DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFCFCFBF9F8F6F4F1EEEBE7E3DFDAD5D0CBC5C0BBB7B3AFADABA9A9AA
ABADB0B4B8BCC1C7CCD1D6DBE0E4E9ECF0F3F6F9FBFEFFFCF9F6F2EFEAE5DFD9D2CBC2BA
B0A79D938A8179726B666361606164686E747C858E97A1ABB4BDC6CED5DCE2E7ECF0F4F7
FAFDFFFDFAF8F5F2EEEBE7E3DED9D4B5B0ABA6A19C99959391908F909294979B9FA4A9AE
B3B8BDC2C7CBCFD3D6D9DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EEEBE8E4DFDBD6D1CBC6C1BCB8B4B1AEACABAAAB
ACAEB1B5B9BEC2C7CDD2D7DCE0E5E9EDF0F3F6F9FCFEFEFCF9F6F2EEEAE5DFD8D1CAC1B8
AFA59B91887F766F6863605E5D5E61656B7279828C959FA9B3BCC5CDD4DBE1E7ECF0F4F7
FAFDFFFDFBF8F5F2EFEBE7E3DFDABBB6B1ACA7A29E9A9794929191929395989CA0A5AAAF
B4B9BEC3C7CCCFD3D6D9DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F2EFEBE8E4E0DBD6D1CCC7C2BEB9B5B2AFADACACAC
AEB0B3B6BABFC3C8CED3D8DCE1E5E9EDF0F4F6F9FCFEFEFCF9F6F2EEE9E4DFD8D1C9C1B8
AEA49A90877E756E67625E5C5C5D6064697078818B949EA8B2BBC4CCD4DBE1E6EBF0F3F7
FAFDFFFDFBF8F5F2EFECE8E4DFC1BCB7B2ADA8A39F9B98959493929394979A9DA1A6ABB0
B5BABFC3C8CCD0D3D6D9DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFECE8E4E0DCD7D2CDC8C3BFBAB7B3B1AFAEADAE
AFB1B4B7BBC0C4C9CED3D8DDE2E6EAEDF1F4F7F9FCFEFEFBF9F6F2EEE9E4DFD8D1C9C1B8
AEA49B91877E756E67625F5D5C5D60646A7179818B959FA8B2BBC4CCD4DBE1E7EBF0F3F7
FAFDFFFDFBF8F5F3EFECE8E4C6C2BDB8B3AEA9A4A09C99979594949496989B9EA3A7ACB1
B6BBBFC4C8CCD0D4D7D9DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFECE9E5E1DCD8D3CEC9C4C0BCB8B5B2B0AFAFAF
B1B3B5B9BDC1C6CACFD4D9DEE2E6EAEEF1F4F7F9FCFEFEFCF9F6F2EEEAE5DFD9D2CAC2B9
AFA69C92898077706964615F5E5F62666C737A838C96A0AAB3BCC5CDD5DBE1E7ECF0F4F7
FAFDFFFDFBF8F6F3F0ECE9CBC7C2BDB9B4AFAAA6A19E9B989695959697999CA0A4A8ADB2
B6BBC0C5C9CDD1D4D7D9DCDEDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F2F0EDE9E5E1DDD8D4CFCAC6C1BDB9B6B4B2B1B0B1
B2B4B7BABEC2C7CBD0D5DADEE3E7EAEEF1F4F7FAFCFEFEFCF9F6F2EFEAE5E0DAD3CBC3BA
B1A89E958B837A736D6864626263666A6F767E868F98A2ACB5BEC6CED6DCE2E7ECF0F4F7
FAFDFFFDFBF8F6F3F0EDCFCBC7C3BEB9B5B0ABA7A39F9C9A98979797999B9EA1A5A9AEB2
B7BCC1C5C9CDD1D4D7DADCDEDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F3F0EDEAE6E2DED9D5D0CBC7C2BEBBB7B5B3B2B2B2
B4B5B8BBBFC3C8CCD1D6DADFE3E7EBEEF1F4F7FAFCFEFEFCF9F6F3EFEBE6E1DBD4CDC5BD
B4ABA1988F877F78726D6A6867686B6F747A828A939CA5AEB7C0C8D0D7DDE3E8EDF1F4F7
FAFDFFFDFBF9F6F3F0D3D0CCC8C4BFBAB6B1ACA8A4A09D9B999898999A9C9FA2A6AAAFB3
B8BDC1C6CACED1D5D7DADCDEDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F0EDEAE6E3DEDAD5D1CCC8C3BFBCB9B6B5B4B3B4
B5B7B9BDC0C4C9CDD2D7DBE0E4E8EBEFF2F5F7FAFCFEFEFCF9F7F4F0ECE7E2DCD6CFC8C0
B7AEA69D948C847E7873706E6E6F71757A80878F98A0A9B2BBC3CBD2D9DFE4E9EEF1F5F8
FBFDFFFDFBF9F6F3D7D4D0CCC8C4C0BBB6B2ADA9A5A29F9C9B9A9A9A9C9EA0A4A7ABB0B4
B9BEC2C6CBCED2D5D8DADCDEE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EEEAE7E3DFDBD6D2CDC9C5C1BDBAB8B6B5B5B5
B6B8BBBEC2C6CACED3D7DCE0E4E8ECEFF2F5F7FAFCFEFFFCFAF7F4F1EDE9E4DED8D2CBC3
BBB3AAA29A928B857F7B78767677797D81878E959DA5AEB6BEC6CED4DBE1E6EAEFF2F5F8
FBFDFFFDFBF9F6DAD7D4D1CDC9C5C0BCB7B3AEAAA6A3A09E9C9B9B9C9D9FA2A5A9ADB1B5
BABEC3C7CBCFD2D5D8DADCDEE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F1EEEBE7E4E0DBD7D3CECAC6C2BEBCB9B8B7B6B7
B8BABCBFC3C7CBCFD4D8DDE1E5E9ECEFF2F5F7FAFCFEFFFDFAF8F5F2EEEAE6E1DBD5CEC7
C0B8B0A8A19A938D8884817F7F8082858A8F969CA4ABB3BBC3CAD1D7DDE3E8ECF0F3F6F9
FBFEFFFDFBF9DDDAD7D4D1CDCAC5C1BDB8B4B0ABA8A4A29F9E9D9D9D9FA0A3A6AAAEB2B6
BBBFC4C8CCCFD3D6D8DBDDDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFBFAF9F7F6F4F1EEEBE8E4E0DCD8D4CFCBC7C3C0BDBBB9B8B8B8
B9BBBEC1C4C8CCD0D5D9DDE1E5E9ECF0F2F5F7FAFCFEFFFDFBF9F6F3F0ECE8E3DED8D2CC
C5BEB6AFA8A29B96918E8B89898A8C8F93989EA4ABB2B9C0C7CED5DBE0E5E9EEF1F4F7FA
FCFEFFFDFBDFDDDAD8D5D1CECAC6C2BEB9B5B1ADA9A6A3A19F9E9E9FA0A2A4A7ABAFB3B7
BCC0C4C8CCD0D3D6D8DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F1EFECE8E5E1DDD9D4D0CCC8C4C1BEBCBAB9B9BA
BBBDBFC2C5C9CDD1D5DADEE2E6E9EDF0F3F5F8FAFCFEFFFEFCF9F7F4F1EEEAE6E1DCD6D0
CAC4BDB7B0AAA5A09C989694949597999DA2A7ADB3B9C0C6CDD3D9DEE3E7ECEFF2F5F8FA
FCFEFFFDE1DFDDDBD8D5D2CECBC7C3BEBAB6B2AEAAA7A4A2A1A0A0A0A1A3A6A9ACB0B4B8
BDC1C5C9CDD0D3D6D9DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFCFBF9F8F6F4F2EFECE9E5E2DEDAD5D1CDC9C6C2C0BDBCBBBBBB
BCBEC0C3C6CACED2D6DBDFE3E6EAEDF0F3F5F8FAFCFDFFFEFCFAF8F6F3F0ECE9E4E0DBD5
D0CAC4BFB9B4AFAAA6A3A1A0A0A0A2A5A8ACB1B6BBC1C7CDD2D8DDE2E6EAEEF1F4F7F9FB
FDFFFEE3E1DFDDDBD8D5D2CFCBC7C3BFBBB7B3AFABA8A6A4A2A1A1A2A3A5A7AAADB1B5B9
BDC2C6CACDD1D4D7D9DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFCFBF9F8F6F4F2EFEDE9E6E2DEDAD6D2CECAC7C4C1BFBDBCBCBD
BEBFC2C4C8CBCFD3D7DBDFE3E7EAEDF0F3F5F8FAFBFDFFFFFDFBF9F7F5F2EFEBE8E4DFDB
D6D1CCC7C2BDB9B5B2AFADACACADAEB0B3B7BBBFC4C9CED3D8DDE1E5E9EDF0F3F6F8FAFC
FEFFE5E3E1DFDDDBD8D6D3CFCCC8C4C0BCB8B4B0ADAAA7A5A4A3A3A3A4A6A8ABAFB2B6BA
BEC2C6CACED1D4D7D9DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFDFCFBFAF8F6F4F2F0EDEAE6E3DFDBD7D3CFCCC8C5C2C0BFBEBEBE
BFC1C3C6C9CCD0D4D8DCE0E4E7EBEEF1F3F6F8FAFBFDFEFFFEFCFAF8F6F4F1EFEBE8E4E0
DCD8D4CFCBC7C4C0BDBBBAB9B9B9BABCBFC2C5C9CDD1D5DADEE2E6E9EDF0F2F5F7F9FBFD
FEE6E4E3E1DFDDDBD9D6D3D0CCC9C5C1BDB9B5B1AEABA8A6A5A4A4A5A6A7AAADB0B3B7BB
BFC3C7CBCED1D4D7DADCDEDFE0E2E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F3F0EDEAE7E3E0DCD8D4D0CDC9C6C4C2C0BFBFBF
C1C2C4C7CACED1D5D9DDE1E4E8EBEEF1F3F6F8FAFBFDFEFFFEFDFBFAF8F6F4F2EFECE9E6
E3DFDCD8D5D1CECCC9C8C6C5C5C6C7C8CACDCFD3D6D9DDE1E4E7EAEDF0F3F5F7F9FAFCFD
E5E5E4E2E1DFDDDBD9D6D3D0CDC9C6C2BEBAB6B3AFACAAA8A6A6A6A6A7A9ABAEB1B5B8BC
C0C4C8CBCFD2D5D8DADCDEDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F3F0EEEBE8E4E0DDD9D5D1CECBC8C5C3C2C1C1C1
C2C4C6C8CBCFD2D6DADEE1E5E8ECEFF1F4F6F8F9FBFCFEFFFFFEFDFBFAF8F7F5F3F1EEEC
E9E6E3E1DEDCD9D7D5D4D3D2D2D2D3D4D6D8DADDDFE2E5E7EAEDEFF1F4F6F7F9FAFCFDE5
E6E5E4E2E1DFDDDBD9D7D4D1CDCAC6C3BFBBB7B4B0AEABA9A8A7A7A7A9AAACAFB2B6B9BD
C1C5C8CCCFD2D5D8DADCDEDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F1EEEBE8E5E1DEDAD6D2CFCCC9C6C5C3C2C2C2
C3C5C7CACDD0D3D7DBDEE2E6E9ECEFF2F4F6F8F9FBFCFDFEFFFFFEFDFCFAF9F8F6F5F3F1
EFEDEBE9E7E6E4E2E1E0DFDFDFDFE0E0E2E3E5E6E8EAECEEF0F2F4F5F7F8FAFBFCFDE4E5
E5E4E3E2E1DFDDDCD9D7D4D1CECBC7C3C0BCB8B5B2AFADABA9A9A8A9AAACAEB0B3B7BABE
C2C5C9CDD0D3D6D8DADCDEE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F1EFECE9E5E2DEDBD7D4D0CDCAC8C6C4C4C3C4
C5C6C8CBCED1D4D8DCDFE3E6E9ECEFF2F4F6F8F9FBFCFDFEFFFFFFFEFDFDFCFBFAF9F8F7
F6F4F3F2F1F0EEEEEDECECEBEBECECECEDEEEFF0F1F2F4F5F6F7F8F9FAFBFCFDFEE5E5E6
E5E4E3E2E1DFDEDCDAD7D5D2CFCBC8C4C0BDB9B6B3B0AEACABAAAAAAABADAFB2B5B8BBBF
C3C6CACDD0D3D6D8DBDDDEE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F6F4F1EFECE9E6E3DFDCD8D5D1CECBC9C7C6C5C5C5
C6C8CACCCFD2D5D9DCE0E3E7EAEDF0F2F4F6F8F9FBFCFDFDFEFFFFFFFFFFFEFEFDFDFDFC
FCFBFBFAFAF9F9F8F8F8F8F8F8F8F8F8F8F9F9F9FAFAFBFBFCFCFDFDFEFEFEFFE6E6E5E5
E4E3E3E2E1DFDEDCDAD7D5D2CFCCC8C5C1BEBAB7B4B1AFADACABABACADAEB0B3B6B9BCC0
C3C7CACED1D4D6D9DBDDDEE0E1E2E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F2EFEDEAE7E3E0DCD9D6D2CFCDCAC9C7C7C6C7
C8C9CBCDD0D3D6DADDE1E4E7EAEDF0F2F4F6F8F9FBFBFCFDFDFEFEFEFEFEFEFEFEFEFEFE
FEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFEFEFEFEFEFEFEFEE5E5E5E4E4
E4E3E2E2E0DFDEDCDAD8D5D3D0CCC9C6C2BFBBB8B5B3B1AFAEADADADAEB0B2B4B7BABDC1
C4C8CBCED1D4D7D9DBDDDFE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F2F0EDEAE7E4E1DDDAD7D3D1CECCCAC9C8C8C8
C9CACCCFD1D4D7DBDEE1E5E8EBEEF0F3F5F6F8F9FAFBFCFCFDFDFDFDFDFDFCFCFBFAFAF9
F8F7F6F6F5F4F3F2F2F1F1F1F1F1F1F2F2F3F3F4F5F6F7F8F8F9FAFBFBFCE3E3E3E3E3E3
E3E3E2E1E0DFDEDCDAD8D6D3D0CDCAC7C3C0BCB9B7B4B2B0AFAEAEAFB0B1B3B5B8BBBEC2
C5C8CCCFD2D5D7D9DBDDDFE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F6F5F2F0EEEBE8E5E1DEDBD8D5D2CFCDCBCAC9C9C9
CACCCED0D2D5D8DCDFE2E5E9EBEEF1F3F5F7F8F9FAFBFCFCFCFCFCFCFBFBFAF9F8F7F6F4
F3F2F0EEEDECEAE9E8E7E7E7E6E7E7E8E9EAEBECEEEFF1F2F4F5F6F8F9E0E1E1E2E2E3E3
E3E2E2E1E0DFDEDCDAD8D6D3D1CECBC7C4C1BEBAB8B5B3B1B0B0AFB0B1B2B4B7B9BCBFC3
C6C9CCCFD2D5D8DADCDDDFE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFCFBFAF8F7F5F3F1EEEBE8E5E2DFDCD9D6D3D0CECDCBCBCACB
CCCDCFD1D4D6D9DDE0E3E6E9ECEFF1F3F5F7F8F9FAFBFBFCFCFCFBFBFAF9F8F7F5F4F2F0
EEECEAE8E6E4E2E1DFDEDDDDDDDDDEDFE0E1E3E5E7E9EBEDEFF1F3F5DCDEDFE0E1E1E2E2
E2E2E2E1E0DFDEDCDBD9D6D4D1CECBC8C5C2BFBCB9B6B4B3B2B1B1B1B2B4B6B8BABDC0C3
C7CACDD0D3D5D8DADCDEDFE0E2E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFDFCFBFAF8F7F5F3F1EEECE9E6E3E0DDDAD7D4D2D0CECDCCCCCC
CDCED0D2D5D7DADDE1E4E7EAECEFF1F3F5F7F8F9FAFBFBFBFBFBFBFAF9F8F6F5F3F1EFEC
EAE7E5E2E0DDDBD9D7D6D5D4D4D4D5D6D8DADCDEE1E3E6E8EBEDF0D8DADCDDDFE0E1E1E2
E2E2E1E1E0DFDEDDDBD9D7D4D2CFCCC9C6C3C0BDBAB8B6B4B3B2B2B3B4B5B7B9BCBEC1C4
C7CBCED1D3D6D8DADCDEDFE1E2E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F5F3F1EFECEAE7E4E1DEDBD8D5D3D1CFCECDCDCD
CED0D1D3D6D8DBDEE1E4E7EAEDEFF2F4F5F7F8F9FAFBFBFBFBFAFAF9F8F6F5F3F1EEECE9
E6E3E0DDDAD7D4D2D0CECDCDCCCDCECFD1D3D5D8DBDEE1E4E7EAD3D6D8DADCDDDFE0E1E1
E1E1E1E1E0DFDEDDDBD9D7D5D2CFCDCAC7C4C1BEBBB9B7B5B4B4B4B4B5B6B8BABDBFC2C5
C8CBCED1D4D6D9DBDCDEE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F6F4F2EFEDEAE7E4E1DFDCD9D6D4D2D1CFCFCFCF
D0D1D3D5D7D9DCDFE2E5E8EBEDF0F2F4F6F7F8F9FAFBFBFBFBFAF9F8F7F5F3F1EFECE9E6
E3DFDCD8D5D2CFCCCAC8C6C6C6C6C7C8CACDD0D3D6DADDE1E4CED1D4D6D9DBDCDEDFE0E1
E1E1E1E1E0DFDEDDDBDAD8D5D3D0CDCAC7C4C2BFBCBAB8B7B6B5B5B5B6B7B9BBBEC0C3C6
C9CCCFD2D4D7D9DBDDDEE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F4F2F0EDEBE8E5E2DFDDDAD7D5D3D2D1D0D0D0
D1D2D4D6D8DBDDE0E3E6E9EBEEF0F2F4F6F7F8F9FAFAFBFBFAFAF9F8F6F4F2F0EDEAE7E3
E0DCD8D4D0CDCAC7C4C2C1C0C0C0C1C3C5C8CBCED2D6DADDC8CBCFD2D5D7D9DBDDDEE0E0
E1E1E1E1E0DFDEDDDCDAD8D6D3D1CECBC8C5C3C0BDBBB9B8B7B6B6B7B7B9BABCBFC1C4C7
CACDD0D2D5D7D9DBDDDFE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F4F2F0EEEBE9E6E3E0DEDBD9D6D5D3D2D1D1D1
D2D3D5D7D9DCDEE1E4E7E9ECEEF1F3F5F6F7F9F9FAFAFBFAFAF9F8F7F5F3F1EFECE9E5E1
DDD9D5D1CDC9C6C2C0BEBCBBBBBBBDBEC1C4C7CBCFD3D7C1C5C9CDD0D3D6D9DBDCDEDFE0
E1E1E1E1E0E0DFDDDCDAD8D6D4D1CFCCC9C6C3C1BFBCBBB9B8B8B8B8B9BABCBEC0C2C5C8
CBCDD0D3D5D8DADCDDDFE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F5F3F1EEECE9E7E4E1DEDCDAD7D6D4D3D3D2D3
D3D5D6D8DADDDFE2E4E7EAECEFF1F3F5F6F8F9FAFAFAFAFAFAF9F8F7F5F3F0EEEBE7E4E0
DBD7D3CECAC6C2BFBCBAB8B7B7B8B9BBBDC0C4C8CCD0BBBFC4C8CBCFD2D5D8DADCDEDFE0
E0E1E1E1E0E0DFDEDCDBD9D7D4D2CFCDCAC7C4C2C0BEBCBAB9B9B9B9BABBBDBFC1C3C6C9
CBCED1D3D6D8DADCDDDFE0E1E2E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F7F5F3F1EFECEAE7E5E2DFDDDBD9D7D5D4D4D4D4
D5D6D7D9DBDEE0E3E5E8EAEDEFF1F3F5F7F8F9FAFAFAFAFAFAF9F8F6F5F2F0EDEAE6E2DE
DAD6D1CCC8C4C0BCB9B7B5B4B4B5B6B8BBBEC1C5CAB5B9BEC2C6CACED2D5D7DADCDDDFE0
E0E1E1E1E0E0DFDEDCDBD9D7D5D2D0CDCBC8C5C3C1BFBDBCBBBABABABBBCBEC0C2C4C7C9
CCCFD1D4D6D8DADCDEDFE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF8F7F5F3F1EFEDEBE8E5E3E0DEDCDAD8D7D6D5D5D5
D6D7D8DADCDEE1E3E6E9EBEDF0F2F4F5F7F8F9FAFAFAFAFAFAF9F8F6F4F2F0EDE9E6E2DE
D9D5D0CBC7C2BEBBB8B5B4B3B2B3B4B6B9BCC0C4AFB3B8BDC1C6CACED1D4D7D9DBDDDEE0
E0E1E1E1E0E0DFDEDDDBD9D7D5D3D0CECBC9C6C4C2C0BEBDBCBBBBBCBCBEBFC1C3C5C8CA
CDCFD2D4D7D9DBDCDEDFE0E2E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F6F4F2F0EEEBE9E6E4E1DFDDDBD9D8D7D6D6D6
D7D8DADBDDDFE2E4E7E9ECEEF0F2F4F6F7F8F9FAFAFBFAFAFAF9F8F6F4F2EFECE9E5E1DD
D9D4CFCBC6C2BEBAB7B4B3B2B1B2B3B5B8BBBFAAAEB3B8BCC1C5C9CDD1D4D7D9DBDDDEE0
E0E1E1E1E1E0DFDEDDDBDAD8D6D3D1CFCCCAC7C5C3C1BFBEBDBDBDBDBEBFC0C2C4C6C9CB
CED0D3D5D7D9DBDDDEDFE1E2E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F6F4F2F0EEECE9E7E4E2E0DEDCDAD9D8D8D7D8
D8D9DBDCDEE0E3E5E7EAECEEF1F3F4F6F7F8F9FAFAFBFBFAFAF9F8F6F4F2EFECE9E5E1DD
D9D4CFCBC6C2BEBAB7B4B3B2B1B2B3B5B8BBA6AAAEB3B8BCC1C5C9CDD1D4D7D9DBDDDEE0
E0E1E1E1E1E0DFDEDDDCDAD8D6D4D2CFCDCAC8C6C4C2C0BFBEBEBEBEBFC0C1C3C5C7C9CC
CED1D3D5D7D9DBDDDEE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1EFECEAE8E5E3E1DFDDDBDAD9D9D9D9
D9DADCDDDFE1E4E6E8EBEDEFF1F3F5F6F8F9F9FAFBFBFBFAFAF9F8F6F4F2F0EDE9E6E2DE
D9D5D0CBC7C2BEBBB8B5B4B3B2B3B4B6B9A3A6AAAFB3B8BDC1C6CACED1D4D7D9DBDDDFE0
E0E1E1E1E1E0E0DFDDDCDAD9D7D5D2D0CECBC9C7C5C3C2C0C0BFBFBFC0C1C2C4C6C8CACD
CFD1D4D6D8DADCDDDFE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1EFEDEBE8E6E4E2E0DEDCDBDADADADA
DBDCDDDEE0E2E4E7E9EBEDEFF1F3F5F6F8F9FAFAFBFBFBFAFAF9F8F6F5F2F0EDEAE6E2DE
DAD5D1CCC8C4C0BCB9B7B5B4B4B5B6B8A1A4A8ACB0B5B9BEC2C6CACED2D5D7DADCDDDFE0
E1E1E1E1E1E0E0DFDEDCDBD9D7D5D3D1CECCCAC8C6C4C3C2C1C0C0C0C1C2C3C5C7C9CBCD
D0D2D4D6D8DADCDDDFE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F7F5F3F2F0EDEBE9E7E5E3E1DFDEDCDCDBDBDB
DCDDDEDFE1E3E5E7EAECEEF0F2F4F5F7F8F9FAFAFBFBFBFBFAF9F8F7F5F3F0EEEBE7E3DF
DBD7D2CECAC6C2BEBCB9B8B7B6B7B8A0A3A6AAAEB2B6BBBFC3C7CBCFD2D5D8DADCDEDFE0
E1E1E1E1E1E1E0DFDEDDDBD9D8D6D3D1CFCDCBC9C7C5C4C3C2C1C1C2C2C3C4C6C8CACCCE
D0D3D5D7D9DBDCDEDFE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFDFDFCFCFBFAF8F7F5F4F2F0EEECEAE8E6E4E2E0DFDDDDDCDCDC
DDDEDFE0E2E4E6E8EAECEEF0F2F4F6F7F8F9FAFBFBFBFBFBFAF9F8F7F5F3F1EEEBE8E5E1
DDD8D4D0CCC8C4C1BEBCBBBAB9BAA2A3A6A9ACB0B4B8BCC1C5C9CCD0D3D6D8DBDCDEDFE0
E1E1E2E2E1E1E0DFDEDDDBDAD8D6D4D2D0CECCCAC8C6C5C4C3C2C2C3C3C4C6C7C9CBCDCF
D1D3D5D7D9DBDDDEDFE0E1E2E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F7F6F4F2F1EFEDEAE8E6E4E3E1E0DFDEDDDDDD
DEDFE0E1E3E5E7E9EBEDEFF1F3F4F6F7F8F9FAFBFBFBFBFBFBFAF9F7F6F4F2EFECE9E6E2
DEDBD6D2CFCBC7C4C2C0BEBDBDA4A5A7A9ACAFB3B7BABEC2C6CACED1D4D7D9DBDDDEE0E0
E1E2E2E2E1E1E0DFDEDDDCDAD8D7D5D3D0CECCCAC9C7C6C5C4C4C4C4C4C5C7C8CACCCED0
D2D4D6D8DADBDDDEDFE1E2E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F8F6F5F3F1EFEDEBE9E7E5E4E2E1E0DFDEDEDE
DFE0E1E2E4E6E8EAECEEF0F1F3F5F6F8F9FAFAFBFBFCFBFBFBFAF9F8F6F5F3F0EEEBE8E4
E1DDD9D5D2CECBC8C6C4C2C1A8A8A9ABADB0B3B6B9BDC1C5C8CCCFD2D5D8DADCDDDFE0E1
E1E2E2E2E2E1E1E0DFDDDCDBD9D7D5D3D1CFCDCBCAC8C7C6C5C5C5C5C5C6C8C9CBCCCED0
D2D4D6D8DADCDDDEE0E1E2E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1F0EEECEAE8E6E4E3E2E1E0DFDFDF
E0E1E2E3E5E6E8EAECEEF0F2F4F5F7F8F9FAFBFBFCFCFCFCFBFAFAF8F7F5F4F1EFECE9E6
E3DFDCD8D5D2CFCCCAC8C7ACACADAEAFB1B4B6B9BDC0C4C7CBCED1D4D6D9DBDDDEDFE0E1
E2E2E2E2E2E1E1E0DFDEDCDBD9D8D6D4D2D0CECCCBC9C8C7C6C6C6C6C6C7C9CACBCDCFD1
D3D5D7D9DADCDDDFE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F5F4F2F0EEECEBE9E7E5E4E3E2E1E0E0E1
E1E2E3E4E6E7E9EBEDEFF1F2F4F5F7F8F9FAFBFBFCFCFCFCFBFBFAF9F8F6F5F3F0EEEBE8
E5E2DFDCD9D6D3D1CECDB2B1B1B2B2B4B6B8BABDC0C3C7CACDD0D3D5D8DADCDDDFE0E1E1
E2E2E2E2E2E2E1E0DFDEDDDBDAD8D6D4D2D1CFCDCBCAC9C8C7C7C7C7C8C8C9CBCCCED0D2
D4D5D7D9DBDCDEDFE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F6F4F2F1EFEDEBE9E8E6E5E4E3E2E1E1E2
E2E3E4E5E6E8EAECEDEFF1F3F4F6F7F8F9FAFBFCFCFCFCFCFCFBFBFAF9F7F6F4F2F0EDEB
E8E5E2DFDCDAD7D5D3B8B7B7B6B7B8B9BABCBFC1C4C7CACDCFD2D5D7D9DBDDDEDFE0E1E2
E2E3E3E2E2E2E1E0DFDEDDDCDAD8D7D5D3D1D0CECCCBCAC9C8C8C8C8C9C9CACCCDCFD1D2
D4D6D8D9DBDDDEDFE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F7F6F4F3F1EFEEECEAE9E7E6E4E4E3E2E2E3
E3E4E5E6E7E9EBECEEF0F2F3F5F6F7F9FAFAFBFCFCFCFCFCFCFCFBFAF9F8F7F5F3F1EFED
EBE8E5E3E0DEDCDABFBDBCBCBCBCBDBEBFC1C3C5C8CACDCFD2D4D7D9DBDCDEDFE0E1E2E2
E3E3E3E3E2E2E1E1E0DFDDDCDAD9D7D5D4D2D0CFCDCCCBCAC9C9C9C9C9CACBCDCED0D1D3
D5D6D8DADBDDDEDFE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFDFDFCFCFBFAF9F8F6F5F3F2F0EEEDEBE9E8E6E5E4E4E3E3E3
E4E5E6E7E8EAEBEDEFF0F2F4F5F6F8F9FAFBFBFCFCFDFDFDFCFCFCFBFAF9F8F7F5F3F1EF
EDEBE9E7E5E3E1C5C4C3C2C1C1C2C2C3C4C6C8CACCCED0D2D5D7D9DADCDDDFE0E1E2E2E3
E3E3E3E3E3E2E2E1E0DFDEDCDBD9D8D6D4D3D1CFCECDCCCBCACACACACACBCCCDCFD0D2D4
D5D7D9DADCDDDEE0E1E2E2E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F8F7F5F4F2F0EFEDECEAE9E7E6E5E5E4E4E4
E5E6E6E8E9EAECEEEFF1F2F4F5F7F8F9FAFBFCFCFDFDFDFDFDFDFCFCFBFAF9F8F7F5F4F2
F0EEECEAE9E7CCCAC9C8C7C7C7C7C8C8CACBCCCED0D2D3D5D7D9DBDCDDDFE0E1E2E2E3E3
E3E3E3E3E3E2E2E1E0DFDEDDDBDAD8D7D5D3D2D0CFCECCCCCBCBCBCBCBCCCDCED0D1D3D4
D6D8D9DBDCDDDFE0E1E2E2E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F5F4F3F1EFEEECEBE9E8E7E6E6E5E5E5
E6E6E7E8EAEBEDEEF0F1F3F4F6F7F8F9FAFBFCFCFDFDFDFDFDFDFDFCFCFBFAF9F8F7F6F4
F3F1F0EEEDD2D0CFCECDCDCDCCCDCDCECFD0D1D2D4D5D7D8DADBDDDEDFE0E1E2E2E3E3E3
E4E4E4E3E3E2E2E1E0DFDEDDDCDAD9D7D6D4D2D1D0CECDCDCCCCCCCCCCCDCECFD0D2D3D5
D6D8DADBDCDEDFE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F6F4F3F1F0EEEDEBEAE9E8E7E7E6E6E6
E7E7E8E9EAECEDEFF0F2F3F5F6F7F9FAFAFBFCFCFDFDFDFEFEFDFDFDFCFCFBFBFAF9F8F7
F6F4F3F2D7D6D5D4D3D3D2D2D2D2D2D3D4D4D5D6D8D9DADBDCDEDFE0E0E1E2E3E3E3E4E4
E4E4E4E4E3E3E2E1E1E0DEDDDCDBD9D8D6D5D3D2D0CFCECDCDCDCDCDCDCECFD0D1D2D4D5
D7D8DADBDDDEDFE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F7F6F5F3F2F0EFEEECEBEAE9E8E7E7E7E7
E8E8E9EAEBECEEEFF1F2F4F5F6F8F9FAFBFBFCFDFDFDFEFEFEFEFEFDFDFDFCFCFBFBFAF9
F8F7F6DCDBDAD9D9D8D8D7D7D7D7D8D8D8D9DADBDBDCDDDEDFE0E1E1E2E2E3E3E4E4E4E4
E4E4E4E4E3E3E2E2E1E0DFDEDCDBDAD8D7D5D4D2D1D0CFCECECDCDCECECFD0D1D2D3D5D6
D7D9DADCDDDEDFE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F5F4F2F1F0EEEDECEBEAE9E8E8E8E8
E8E9EAEBECEDEFF0F1F3F4F6F7F8F9FAFBFCFCFDFDFEFEFEFEFEFEFEFEFEFDFDFDFCFCFB
FBFAE0DFDFDEDEDDDDDDDCDCDCDCDDDDDDDEDEDEDFE0E0E1E1E2E2E3E3E4E4E4E4E5E5E5
E5E4E4E4E4E3E2E2E1E0DFDEDDDBDAD9D7D6D4D3D2D1D0CFCFCECECECFD0D0D1D3D4D5D7
D8D9DBDCDDDFE0E1E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F6F4F3F2F0EFEEECEBEAEAE9E9E9E9
E9EAEBECEDEEEFF0F2F3F5F6F7F8F9FAFBFCFCFDFDFEFEFEFEFFFFFFFFFFFEFEFEFEFEFD
FDE3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5
E5E5E4E4E4E3E3E2E1E0DFDEDDDCDAD9D8D6D5D4D3D2D1D0CFCFCFCFD0D0D1D2D3D4D6D7
D8DADBDDDEDFE0E1E2E2E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F8F7F6F5F3F2F1EFEEEDECEBEAEAEAEAEA
EAEBEBECEDEEF0F1F2F4F5F6F7F9FAFAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5
E5E5E5E4E4E3E3E2E1E0E0DEDDDCDBDAD8D7D6D4D3D2D1D1D0D0D0D0D1D1D2D3D4D5D6D8
D9DADCDDDEDFE0E1E2E3E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAFAF9F7F6F5F4F3F1F0EFEEEDECEBEBEAEAEA
EBEBECEDEEEFF0F2F3F4F5F7F8F9FAFBFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFEFEFEE4
E4E4E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4E4E5E5E5E5E5E6E6E6E6
E5E5E5E4E4E4E3E2E2E1E0DFDEDDDBDAD9D7D6D5D4D3D2D2D1D1D1D1D1D2D3D4D5D6D7D8
D9DBDCDDDEDFE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F8F7F5F4F3F2F1EFEEEDEDECEBEBEBEB
ECECEDEEEFF0F1F2F3F5F6F7F8F9FAFBFCFCFDFDFEFEFFFFFFFFFFFFFFFEFEFEFDFDE3E2
E2E1E1E1E0E0DFDFDFDEDEDEDEDEDEDEDFDFDFE0E0E1E1E2E2E3E3E3E4E4E5E5E5E5E6E6
E6E5E5E5E4E4E3E2E2E1E0DFDEDDDCDAD9D8D7D6D5D4D3D2D2D2D2D2D2D3D3D4D5D6D7D9
DADBDCDDDFE0E1E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F6F5F3F2F1F0EFEEEDEDECECECEC
ECEDEDEEEFF0F1F3F4F5F6F7F8F9FAFBFCFCFDFEFEFEFFFFFFFFFFFEFEFEFDFDFCE2E2E1
E0E0DFDEDDDDDCDCDBDBDBDADADBDBDBDBDCDCDDDEDEDFE0E0E1E2E2E3E3E4E4E5E5E5E6
E6E5E5E5E4E4E3E3E2E1E0DFDEDDDCDBDAD9D7D6D5D4D4D3D3D2D2D2D3D3D4D5D6D7D8D9
DADCDDDEDFE0E1E2E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F6F5F4F3F2F1F0EFEEEDEDEDEDED
EDEEEEEFF0F1F2F3F4F5F6F8F9FAFAFBFCFDFDFEFEFFFFFFFFFFFFFEFEFDFDFCE2E1E0E0
DFDEDDDCDBDADAD9D8D8D8D7D7D7D8D8D9D9DADBDCDCDDDEDFE0E1E1E2E3E3E4E4E5E5E5
E6E6E5E5E4E4E3E3E2E1E0E0DFDEDCDBDAD9D8D7D6D5D4D4D3D3D3D3D4D4D5D6D6D7D9DA
DBDCDDDEDFE0E1E2E2E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFAF9F8F7F5F4F3F2F1F0EFEFEEEEEDEDED
EEEEEFF0F0F1F2F4F5F6F7F8F9FAFBFBFCFDFDFEFEFFFFFFFFFFFEFEFDFDFCE2E1E0DFDE
DDDCDBDAD9D8D7D7D6D5D5D5D5D5D5D5D6D7D8D9DADBDCDDDEDFE0E1E1E2E3E3E4E4E5E5
E6E6E5E5E5E4E3E3E2E2E1E0DFDEDDDCDBDAD8D7D7D6D5D4D4D4D4D4D4D5D5D6D7D8D9DA
DBDCDDDEDFE0E1E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F8F7F6F5F4F3F2F1F0EFEFEEEEEEEE
EEEFEFF0F1F2F3F4F5F6F7F8F9FAFBFCFCFDFDFEFEFFFFFFFFFEFEFEFDFCE2E1E0DFDEDD
DCDBDAD9D7D6D5D4D4D3D3D2D2D2D3D3D4D5D6D7D8D9DADBDDDEDFE0E1E2E2E3E4E4E5E5
E5E6E5E5E5E4E4E3E2E2E1E0DFDEDDDCDBDAD9D8D7D6D6D5D5D5D4D5D5D5D6D7D8D9DADB
DCDDDEDFE0E0E1E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F8F7F6F5F4F3F2F1F1F0EFEFEFEFEF
EFF0F0F1F2F2F3F4F5F6F7F8F9FAFBFCFCFDFEFEFFFFFFFFFFFEFEFDFDE2E2E1E0DFDEDC
DBDAD9D7D6D5D4D3D2D1D1D0D0D1D1D1D2D3D4D5D7D8D9DADCDDDEDFE0E1E2E3E3E4E4E5
E5E6E6E5E5E4E4E3E3E2E1E0DFDEDDDCDBDAD9D9D8D7D6D6D5D5D5D5D6D6D7D7D8D9DADB
DCDDDEDFE0E1E1E2E3E3E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F8F7F6F5F4F3F2F1F1F0F0EFEFEF
F0F0F1F1F2F3F4F5F6F7F8F9FAFAFBFCFDFDFEFEFFFFFFFFFFFEFEFDE3E2E1E0DFDEDDDC
DAD9D8D6D5D4D2D1D0D0CFCFCFCFCFD0D1D2D3D4D5D7D8DADBDCDEDFE0E1E2E2E3E4E4E5
E5E6E6E5E5E4E4E3E3E2E1E1E0DFDEDDDCDBDAD9D8D7D7D6D6D6D6D6D6D7D7D8D9DADADB
DCDDDEDFE0E1E2E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFAF9F8F7F6F5F4F3F3F2F1F1F0F0F0F0
F0F1F1F2F3F4F4F5F6F7F8F9FAFBFBFCFDFDFEFEFFFFFFFFFFFEFEE3E3E2E1E0DFDEDDDB
DAD8D7D6D4D3D1D0CFCFCECECECECECFD0D1D2D3D5D6D8D9DADCDDDEDFE0E1E2E3E4E4E5
E5E6E6E5E5E4E4E3E3E2E1E1E0DFDEDDDCDBDADAD9D8D7D7D7D6D6D7D7D7D8D8D9DADBDC
DDDEDFE0E0E1E2E2E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFBFAF9F8F7F6F6F5F4F3F2F2F1F1F1F1F1
F1F1F2F2F3F4F5F6F7F8F8F9FAFBFCFCFDFDFEFEFFFFFFFFFFFEE4E3E3E2E1E0DFDEDCDB
DAD8D7D5D4D2D1D0CFCECDCDCDCDCECECFD0D1D3D4D6D7D9DADCDDDEDFE0E1E2E3E4E4E5
E5E6E6E5E5E5E4E4E3E2E2E1E0DFDEDEDDDCDBDAD9D9D8D8D7D7D7D7D7D8D8D9DADBDBDC
DDDEDFE0E1E1E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFBFBFAF9F8F8F7F6F5F4F4F3F2F2F2F1F1F1
F2F2F2F3F4F4F5F6F7F8F9FAFAFBFCFCFDFDFEFEFFFFFFFFFEE4E4E3E3E2E1E0DFDDDCDB
D9D8D6D5D3D2D0CFCECECDCDCDCDCDCECFD0D1D2D4D5D7D8DADBDDDEDFE0E1E2E3E3E4E5
E5E6E6E5E5E5E4E4E3E2E2E1E0E0DFDEDDDCDBDBDAD9D9D8D8D8D8D8D8D8D9DADADBDCDD
DEDEDFE0E1E1E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFAF9F8F7F6F5F5F4F3F3F2F2F2F2F2
F2F2F3F4F4F5F6F7F7F8F9FAFBFBFCFCFDFEFEFEFFFFFFFFE5E4E4E3E2E2E1E0DFDDDCDB
D9D8D6D5D3D2D0CFCECDCDCDCCCDCDCECFD0D1D2D4D5D7D8DADBDDDEDFE0E1E2E3E3E4E5
E5E5E6E5E5E5E4E4E3E3E2E1E1E0DFDEDDDDDCDBDADAD9D9D8D8D8D8D9D9D9DADBDBDCDD
DEDFDFE0E1E2E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFAF9F8F7F7F6F5F4F4F3F3F3F2F2F2
F3F3F3F4F5F5F6F7F8F8F9FAFBFBFCFDFDFEFEFEFFFFFFE5E5E4E4E3E3E2E1E0DFDEDCDB
D9D8D6D5D3D2D1CFCECECDCDCDCDCDCECFD0D1D2D4D5D7D8DADBDDDEDFE0E1E2E3E3E4E5
E5E5E6E6E5E5E4E4E3E3E2E2E1E0DFDFDEDDDCDBDBDADAD9D9D9D9D9D9D9DADBDBDCDDDD
DEDFE0E0E1E2E2E3E3E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFAF9F9F8F7F6F6F5F4F4F3F3F3F3F3
F3F4F4F4F5F6F6F7F8F9FAFAFBFCFCFDFDFEFEFFFFFFE6E5E5E4E4E3E3E2E1E0DFDEDCDB
DAD8D7D5D4D2D1D0CFCECECDCDCDCECECFD0D2D3D4D6D7D9DADCDDDEDFE0E1E2E3E4E4E5
E5E5E6E6E5E5E4E4E3E3E2E2E1E0E0DFDEDDDDDCDBDBDADADAD9D9D9DADADADBDCDCDDDE
DFDFE0E1E1E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFAFAF9F8F7F7F6F5F5F4F4F4F4F3F4
F4F4F4F5F6F6F7F8F8F9FAFAFBFCFCFDFDFEFEFFFFE6E6E5E5E4E4E3E3E2E1E0DFDEDDDB
DAD9D7D6D4D3D2D1D0CFCECECECECECFD0D1D2D3D5D6D8D9DBDCDDDEE0E1E1E2E3E4E4E5
E5E5E6E6E5E5E4E4E4E3E2E2E1E1E0DFDEDEDDDCDCDBDBDADADADADADADBDBDBDCDDDDDE
DFE0E0E1E2E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFAFAF9F8F8F7F6F6F5F5F4F4F4F4F4
F4F5F5F5F6F7F7F8F9F9FAFBFBFCFCFDFDFEFEFFE5E6E6E5E5E4E4E3E3E2E1E0DFDEDDDC
DAD9D8D6D5D4D2D1D0D0CFCFCFCFCFD0D1D2D3D4D5D7D8DADBDCDEDFE0E1E2E2E3E4E4E5
E5E5E6E6E5E5E4E4E4E3E3E2E1E1E0DFDFDEDDDDDCDCDBDBDBDADADADBDBDBDCDCDDDEDE
DFE0E0E1E2E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFAF9F9F8F7F7F6F6F5F5F5F5F4F5
F5F5F5F6F6F7F8F8F9FAFAFBFBFCFDFDFEFEFEE5E5E6E6E5E5E5E4E4E3E2E2E1E0DFDEDC
DBDAD8D7D6D5D3D2D2D1D0D0D0D0D1D1D2D3D4D5D6D8D9DADCDDDEDFE0E1E2E3E3E4E4E5
E5E6E6E6E5E5E5E4E4E3E3E2E2E1E0E0DFDEDEDDDDDCDCDBDBDBDBDBDBDBDCDCDDDDDEDF
DFE0E1E1E2E2E3E3E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFBFAFAF9F8F8F7F7F6F6F5F5F5F5F5
F5F5F6F6F7F7F8F9F9FAFAFBFCFCFDFDFEFEE5E5E5E6E6E5E5E5E4E4E3E2E2E1E0DFDEDD
DCDAD9D8D7D6D5D4D3D2D2D1D1D2D2D2D3D4D5D6D7D8DADBDCDDDEDFE0E1E2E3E3E4E4E5
E5E6E6E6E5E5E5E4E4E3E3E2E2E1E1E0DFDFDEDDDDDCDCDCDCDBDBDBDCDCDCDDDDDEDEDF
E0E0E1E2E2E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAF9F9F8F8F7F7F6F6F6F5F5F5
F6F6F6F7F7F8F8F9F9FAFBFBFCFCFDFDFEE4E5E5E5E6E6E5E5E5E4E4E3E3E2E1E0E0DFDE
DCDBDAD9D8D7D6D5D4D4D3D3D3D3D3D4D4D5D6D7D8D9DBDCDDDEDFE0E1E2E2E3E4E4E5E5
E5E6E6E6E5E5E5E4E4E3E3E3E2E1E1E0E0DFDEDEDDDDDCDCDCDCDCDCDCDCDDDDDEDEDFDF
E0E1E1E2E2E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFBFAFAF9F8F8F7F7F7F6F6F6F6F6
F6F6F7F7F8F8F9F9FAFAFBFBFCFCFDFDE4E5E5E5E5E6E6E6E5E5E4E4E4E3E2E2E1E0DFDE
DDDCDBDAD9D8D7D6D6D5D5D4D4D4D5D5D6D7D7D8D9DADBDDDEDFE0E0E1E2E3E3E4E4E5E5
E5E6E6E6E5E5E5E4E4E4E3E3E2E2E1E0E0DFDFDEDEDDDDDDDCDCDCDCDDDDDDDEDEDFDFE0
E0E1E1E2E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFBFAFAF9F9F8F8F7F7F7F6F6F6F6
F6F7F7F7F8F8F9F9FAFBFBFCFCFDFDE4E4E5E5E5E5E6E6E6E5E5E5E4E4E3E3E2E1E1E0DF
DEDDDCDBDAD9D8D8D7D7D6D6D6D6D6D7D7D8D9DADBDBDCDDDEDFE0E1E2E2E3E3E4E4E5E5
E5E6E6E6E5E5E5E4E4E4E3E3E2E2E1E1E0E0DFDFDEDEDDDDDDDDDDDDDDDDDDDEDEDFDFE0
E0E1E2E2E3E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F7F7F7F7F7F7
F7F7F7F8F8F9F9FAFAFBFBFCFCFDE4E4E4E5E5E5E5E6E6E6E5E5E5E4E4E4E3E2E2E1E0E0
DFDEDDDCDBDBDAD9D9D8D8D8D8D8D8D8D9D9DADBDCDDDDDEDFE0E1E1E2E3E3E4E4E5E5E5
E5E6E6E6E5E5E5E4E4E4E3E3E2E2E1E1E0E0DFDFDEDEDEDDDDDDDDDDDDDEDEDEDFDFE0E0
E1E1E2E2E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F8F7F7F7F7F7
F7F7F8F8F9F9F9FAFAFBFBFCFCE3E4E4E4E5E5E5E5E6E6E6E5E5E5E5E4E4E3E3E2E2E1E0
E0DFDEDDDDDCDBDBDADADAD9D9D9DADADADBDCDCDDDEDEDFE0E1E1E2E3E3E4E4E4E5E5E5
E6E6E6E6E5E5E5E5E4E4E4E3E3E2E2E1E1E0E0DFDFDEDEDEDEDEDDDEDEDEDEDFDFDFE0E0
E1E1E2E2E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFCFBFBFAFAF9F9F8F8F8F8F8F7F8
F8F8F8F8F9F9FAFAFBFBFCFCE3E3E4E4E4E5E5E5E5E6E6E6E6E5E5E5E4E4E4E3E3E2E2E1
E1E0DFDFDEDDDDDCDCDBDBDBDBDBDBDCDCDCDDDEDEDFDFE0E1E1E2E3E3E3E4E4E5E5E5E5
E6E6E6E6E5E5E5E5E4E4E4E3E3E2E2E1E1E0E0E0DFDFDEDEDEDEDEDEDEDEDFDFDFE0E0E1
E1E2E2E3E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFAFAF9F9F9F8F8F8F8F8F8
F8F8F8F9F9FAFAFAFBFBFCE3E3E3E4E4E4E5E5E5E5E6E6E6E6E5E5E5E5E4E4E4E3E3E2E2
E1E1E0E0DFDFDEDEDDDDDDDDDDDDDDDDDEDEDEDFDFE0E0E1E2E2E3E3E3E4E4E5E5E5E5E5
E6E6E6E6E5E5E5E5E4E4E4E3E3E3E2E2E1E1E0E0DFDFDFDFDEDEDEDEDEDFDFDFE0E0E0E1
E1E2E2E3E3E4E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFBFAFAF9F9F9F8F8F8F8F8
F8F9F9F9F9FAFAFBFBFCE2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E5E5E5E5E4E4E4E3E3E3
E2E2E1E1E0E0E0DFDFDFDEDEDEDEDFDFDFDFE0E0E1E1E1E2E2E3E3E4E4E4E5E5E5E5E5E6
E6E6E6E6E5E5E5E5E4E4E4E3E3E3E2E2E1E1E0E0E0DFDFDFDFDFDFDFDFDFDFE0E0E0E1E1
E2E2E2E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFCFBFBFAFAFAF9F9F9F9F9F9F9
F9F9F9F9FAFAFAFBFBE2E3E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E5E5E5E5E5E4E4E4E4E3
E3E3E2E2E2E1E1E1E0E0E0E0E0E0E0E0E0E1E1E1E2E2E2E3E3E3E4E4E4E5E5E5E5E5E6E6
E6E6E6E6E5E5E5E5E4E4E4E4E3E3E2E2E2E1E1E0E0E0DFDFDFDFDFDFDFDFE0E0E0E1E1E1
E2E2E3E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAF9F9F9F9F9F9
F9F9F9FAFAFAFBFBE2E2E3E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4
E4E3E3E3E3E2E2E2E2E2E2E1E1E1E2E2E2E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E6E6E6
E6E6E6E6E5E5E5E5E5E4E4E4E3E3E3E2E2E1E1E1E0E0E0E0DFDFDFDFDFE0E0E0E0E1E1E2
E2E2E3E3E4E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAF9F9F9F9F9
F9F9FAFAFAFBFBE2E2E3E3E3E4E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5
E4E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4E4E4E5E5E5E5E5E5E5E6E6E6E6
E6E6E6E5E5E5E5E5E5E4E4E4E3E3E3E2E2E2E1E1E1E0E0E0E0E0E0E0E0E0E0E0E1E1E1E2
E2E3E3E3E4E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAFAFAFAF9FA
FAFAFAFAFBFBE2E2E2E3E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E5E5E5E5E5E5E4E4E4E4E3E3E3E2E2E1E1E1E1E0E0E0E0E0E0E0E0E0E1E1E1E2E2
E2E3E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAFAFAFAFA
FAFAFAFAFBE1E2E2E2E3E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E5E5E5E5E5E5E4E4E4E4E3E3E3E2E2E2E1E1E1E1E0E0E0E0E0E0E0E1E1E1E2E2E2
E3E3E3E4E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFCFBFBFBFAFAFAFAFAFA
FAFAFAFBE1E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E5E5E5E5E5E5E5E4E4E4E3E3E3E3E2E2E2E1E1E1E1E1E0E0E0E1E1E1E1E1E2E2E2
E3E3E3E4E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFCFBFBFBFBFBFAFAFAFA
FAFBFBE1E2E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5
E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E5E5E5E5E5E5E5E4E4E4E4E3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E1E1E2E2E2E3
E3E3E3E4E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFCFBFBFBFBFBFBFBFB
FBFBE1E2E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E5E5E5E5E5E5E5E5
E5E4E4E4E4E4E4E4E4E3E3E3E3E3E3E3E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6
E6E6E6E5E5E5E5E5E5E5E4E4E4E4E3E3E3E3E2E2E2E1E1E1E1E1E1E1E1E1E1E2E2E2E2E3
E3E3E4E4E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFB
FBE1E2E2E2E2E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E5E5E5E5E5E5E5E5E4
E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6
E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E3E3E3E2E2E2E2E2E1E1E1E1E1E1E1E2E2E2E2E3E3
E3E3E4E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFB
E2E2E2E2E2E2E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E5E5E5E5E5E5E5E5E5E4E4
E4E4E3E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E6
E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E3E3E3E3E2E2E2E2E2E2E1E1E1E2E2E2E2E2E2E3E3
E3E4E4E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFBFBFBFBE2
E2E2E2E2E2E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E5E5E5E5E5E5E5E5E4E4E4
E4E3E3E3E3E2E2E2E2E2E1E1E1E1E2E2E2E2E2E2E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5
E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E2E2E3E3E3
E3E4E4E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFCFCE2E2
E2E2E2E2E3E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E5E5E5E5E5E5E5E5E4E4E4E4
E3E3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5
E5E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3
E4E4E4E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCE2E2E2
E2E2E2E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E5E5E5E5E5E5E5E5E5E4E4E4E4
E3E3E3E2E2E2E1E1E1E1E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5
E5E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E2E2E2E2E2E2E2E2E2E2E3E3E3E3E3
E4E4E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFCFCFCFCE2E2E2E2
E2E2E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E5E5E5E5E5E5E5E5E5E4E4E4E3
E3E3E3E2E2E2E1E1E1E1E1E0E0E0E1E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5
E5E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E3E3E2E2E2E2E2E2E2E3E3E3E3E3E4
E4E4E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCE3E3E2E2E3
E3E3E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E5E5E5E5E5E5E5E5E5E4E4E4E3
E3E3E2E2E2E1E1E1E1E1E0E0E0E0E0E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5
E5E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E3E3E3E2E2E3E3E3E3E3E3E3E3E4
E4E4E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDE3E3E3E3E3E3
E3E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E3
E3E3E2E2E2E1E1E1E1E0E0E0E0E0E0E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5
E5E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4
E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDE3E3E3E3E3E3E3
E3E3E3E3E3E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E3
E3E3E2E2E2E1E1E1E1E0E0E0E0E0E0E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5
E5E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4
E4E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDE3E3E3E3E3E3E3E3
E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E3
E3E3E2E2E2E2E1E1E1E1E0E0E0E0E0E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5
E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4
E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDE4E4E3E3E3E3E3E3E3
E3E3E3E3E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4
E3E3E3E2E2E2E1E1E1E1E1E1E1E1E1E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5
E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E4E4E4E4E4
E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEE4E4E4E4E3E3E3E3E3E3
E3E3E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4E4E4
E3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E1E1E2E2E2E3E3E3E3E4E4E4E5E5E5E5E5E5E5E5
E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E3E3E3E3E3E3E3E3E4E4E4E4E4E4
E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEE4E4E4E4E4E4E4E3E3E3E3
E3E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4E4E4
E3E3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5E6
E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E3E3E3E3E4E4E4E4E4E4E4E4
E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEE4E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4E4
E4E3E3E3E2E2E2E2E2E1E1E1E1E1E1E1E2E2E2E2E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E6
E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEE5E5E4E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4E4
E4E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5E6
E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4
E4E4E3E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5
E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5E5E4E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E4
E4E4E4E3E3E3E3E3E3E2E2E2E2E2E2E2E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5
E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4
E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4
E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5
E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4
E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5
E4E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5
E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4
E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5
E5E4E4E4E4E4E4E4E4E3E3E3E3E3E3E3E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5
E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E5E5E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4
E4E4E4E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E5E5E5E5E5
E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4
E4E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5
E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E5E5E5E5E5E5E5
E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5
E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFE6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
pop
P
% End of image
.008 w
.82051 .01923 m
.01923 .82051 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[51]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`00000P00000040fMWI00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010=WIf@00
00<000000?ooo`3oool0o`3ooolL0?ooo`4000000@3IfMT000030000003oool0oooo0?l0oooo703o
ool100000040fMWI00000`000000oooo0?ooo`3X0?ooo`030000003oool0oooo0300oooo0@000001
0=WIf@0000<000000?ooo`3oool0i`3oool300000340oooo0@0000010=WIf@0000<000000?ooo`3o
ool0iP3oool3000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3U0?ooo`<00000
;`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>@0oooo0`00000`0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0h`3oool300000340i^KV103oool100000040fMWI00000`00
0000oooo0?ooo`3R0?ooo`<00000<P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>40
oooo0`00000c0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0h03oool3000003@0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`3O0?ooo`<00000=@3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0=h0oooo0`00000f0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool0g@3oool3000003L0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3L0?ooo`<0
0000>03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=/0oooo0`00000i0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0fP3oool3000003X0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`3I0?ooo`<00000>`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
0=P0oooo0`00000l0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0e`3oool3000003d0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`3F0?ooo`<00000?P3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo0=D0oooo0`00000o0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0e03oool300000400i^KV103oool100000040fMWI00000`000000oooo0?ooo`3C0?oo
o`<00000@@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0=80oooo0`0000120>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool3000004<0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`3@0?ooo`<00000A03Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo0<l0oooo0`0000150>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0cP3oool30000
04H0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3=0?ooo`<00000A`3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0<`0oooo0`0000180>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0b`3oool3000004T0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3:
0?ooo`<00000BP3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0<T0oooo0`00001;0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0b03oool3000004`0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`370?ooo`<00000C@3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0<H0oooo0`00001>0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0a@3oool3
000004l0i^KV103oool100000040fMWI00000`000000oooo0?ooo`340?ooo`<00000D03Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo0<<0oooo0`00001A0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0`P3oool300000580i^KV103oool100000040fMWI00000`000000oooo0?oo
o`310?ooo`<00000D`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0<00oooo0`00001D
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0_`3oool3000005D0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`2n0?ooo`<00000EP3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0;d0oooo0`00001G0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0_03o
ool3000005P0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2k0?ooo`<00000F@3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0;X0oooo0`00001J0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0^@3oool3000005/0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`2h0?ooo`<00000G03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0;L0oooo0`00
001M0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0]P3oool3000005h0i^KV103oool1
00000040fMWI00000`000000oooo0?ooo`2e0?ooo`<00000G`3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo0;@0oooo0`00001P0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
/`3oool300000640i^KV103oool100000040fMWI00000`000000oooo0?ooo`2b0?ooo`<00000HP3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo0;40oooo0`00001S0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool0/03oool3000006@0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`2_0?ooo`<00000I@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0:h0oooo
0`00001V0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0[@3oool3000006L0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`2/0?ooo`<00000J03Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0:/0oooo0`00001Y0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool0ZP3oool3000006X0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2Y0?ooo`<00000
J`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0:P0oooo0`00001/0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0Y`3oool3000006d0i^KV103oool100000040fMWI00000`00
0000oooo0?ooo`2V0?ooo`<00000KP3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0:D0
oooo0`00001_0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0Y03oool300000700i^KV
103oool100000040fMWI00000`000000oooo0?ooo`0P0?ooo`D0o_kn4@3oool70?knoQ40oooo1@3n
o_i@0?ooo`<00000L@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01l0oooo1`3no_h>
0?ooo`/0o_kn3P3oool70?knoTh0oooo0`00001b0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool07`3oool80?knoP`0oooo103no_h60?gmo@<0o_kn3@3oool80?knoT`0oooo0`00001c0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool07P3oool90?knoP`0oooo0P3no_h40?gmo@03
0?clo03moOd0oOgm0080oOgm0P3no_h<0?ooo`T0o_knB`3oool3000007@0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`0M0?ooo`X0o_kn2`3oool20?knoP<0oOgm1P3lo?`20?gmo@80o_kn
2P3oool;0?knoTT0oooo0`00001e0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool07@3o
ool40?knoP<0oOgm103no_h:0?ooo`80o_kn0P3moOd30?clo080no_k0P3lo?`20?gmo@80o_kn2P3o
ool40?knoP<0oOgm103no_i80?ooo`<00000MP3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo01`0oooo103no_h60?gmo@<0o_kn2@3oool00`3no_h0oOgm0?gmo@020?clo0D0no_k0P3lo?`0
103moOd0o_kn0?knoP3no_h90?ooo`<0o_kn1P3moOd30?knoTH0oooo0`00001g0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0703oool30?knoPL0oOgm0`3no_h90?ooo`030?knoP3moOd0
oOgm0080o?cl1@3kno/20?clo0040?gmo@3no_h0o_kn0?knoPP0oooo0`3no_h70?gmo@<0o_knA@3o
ool3000007P0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0K0?ooo`<0o_kn0`3moOd3
0?clo0<0oOgm0P3no_h90?ooo`030?knoP3moOd0oOgm0080o?cl1@3kno/20?clo0040?gmo@3no_h0
o_kn0?knoPP0oooo0P3no_h40?gmo@030?clo03moOd0oOgm0080oOgm0P3no_i40?ooo`<00000N@3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo01/0oooo0`3no_h20?gmo@D0o?cl0P3moOd3
0?knoPP0oooo0P3no_h20?gmo@<0o?cl0P3kno/20?clo080oOgm0P3no_h90?ooo`80o_kn0P3moOd5
0?clo0<0oOgm0P3no_i20?ooo`<00000NP3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
01/0oooo0P3no_h30?gmo@H0o?cl0P3moOd20?knoPT0oooo0P3no_h30?gmo@@0o?cl0P3moOd30?kn
oPP0oooo0P3no_h20?gmo@L0o?cl0P3moOd20?knoT40oooo0`00001k0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool06`3oool20?knoP80oOgm0P3lo?`40?_kn`80o?cl00@0oOgm0?knoP3n
o_h0o_kn2`3oool70?knoP`0oooo0P3no_h0103moOd0o?cl0?clo03lo?`40?_kn`80o?cl0P3moOd0
0`3no_h0oooo0?ooo`0n0?ooo`<00000O03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
01/0oooo00<0o_kn0?gmo@3moOd00P3lo?`60?_kn`030?clo03moOd0oOgm0080o_kn7@3oool30?kn
oP030?gmo@3lo?`0o?cl00H0no_k00<0o?cl0?gmo@3moOd00P3no_hn0?ooo`<00000O@3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo01X0oooo0P3no_h00`3moOd0o?cl0?clo0020?_kn`@0
n_[j00@0no_k0?clo03moOd0oOgm0P3no_h80?ooo`<0o_kn1`3moOd30?knoPP0oooo0P3no_h00`3m
oOd0o?cl0?clo0020?_kn`<0n_[j0P3kno/20?clo0030?gmo@3no_h0o_kn03d0oooo0`00001n0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool06P3oool20?knoP040?gmo@3lo?`0no_k0?_k
n`80n_[j00<0nOWi0?[jnP3jn_X00P3kno/00`3lo?`0oOgm0?knoP020?knoPD0oooo0P3no_h20?gm
o@030?clo03kno/0no_k00<0n_[j0P3kno/20?clo0030?gmo@3no_h0o_kn00H0oooo0P3no_h0103m
oOd0o?cl0?_kn`3kno/20?[jnP030?Win@3jn_X0n_[j0080no_k00@0o?cl0?gmo@3no_h0o_kn?03o
ool3000007l0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0J0?ooo`050?knoP3moOd0
oOgm0?clo03kno/00P3jn_X40?Win@030?[jnP3kno/0o?cl0080oOgm0P3no_h40?ooo`80o_kn00D0
oOgm0?clo03kno/0n_[j0?Win@020?Shn0080?Ogm`3hn?P0n?Sh0?Win@3jn_X0no_k0?clo03moOd2
0?knoP@0oooo0`3no_h00`3moOd0o?cl0?_kn`020?[jnP@0nOWi00D0n_[j0?_kn`3lo?`0o?cl0?gm
o@020?knoSX0oooo0`0000200>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool06@3oool2
0?knoP060?gmo@3lo?`0no_k0?_kn`3jn_X0nOWi0`3hn?P20?Win@040?[jnP3lo?`0o?cl0?gmo@80
o_kn0`3oool20?knoP070?gmo@3lo?`0no_k0?Win@3hn?P0moOg0?KfmP040?Gem@060?KfmP3hn?P0
nOWi0?_kn`3lo?`0oOgm0P3no_h30?ooo`80o_kn0P3moOd20?_kn`030?[jnP3inOT0n?Sh0080n?Sh
00H0nOWi0?[jnP3jn_X0no_k0?clo03moOd20?knoST0oooo0`0000210>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool06@3oool20?knoP060?gmo@3lo?`0no_k0?[jnP3inOT0n?Sh0`3gmoL0
1@3hn?P0nOWi0?Win@3kno/0o?cl0080oOgm0P3no_h03@3oool0o_kn0?knoP3moOd0o?cl0?_kn`3i
nOT0moOg0?Gem@3clo<0l_;b0?7al@3`l?000P3alO401`3clo<0mOGe0?KfmP3inOT0no_k0?clo03m
oOd00P3no_h02P3oool0o_kn0?knoP3no_h0oOgm0?clo03kno/0n_[j0?Win@3hn?P30?Ogm`060?Sh
n03inOT0n_[j0?_kn`3lo?`0oOgm0P3no_hh0?ooo`<00000PP3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo01T0oooo0P3no_h01P3lo?`0no_k0?[jnP3inOT0n?Sh0?Ogm`<0m_Kf00D0moOg
0?Shn03inOT0no_k0?clo0020?gmo@D0o_kn00P0oOgm0?clo03jn_X0n?Sh0?Gem@3clo<0lO7a0>o_
k`<0k^k^00L0kno_0?7al@3clo<0mOGe0?Shn03jn_X0no_k0080oOgm103no_h20?gmo@040?clo03j
n_X0nOWi0?Shn080moOg00L0m_Kf0?Ogm`3gmoL0n?Sh0?Win@3jn_X0no_k0080oOgm00<0o_kn0?oo
o`3oool0=@3oool3000008<0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0I0?ooo`0:
0?knoP3moOd0o?cl0?_kn`3jn_X0nOWi0?Shn03gmoL0m_Kf0?Gem@80m_Kf00H0moOg0?Shn03jn_X0
no_k0?clo03moOd40?knoP80oOgm01<0no_k0?[jnP3gmoL0m?Cd0?;blP3`l?00k^k^0>c/k03[jn/0
k>c/0>g]k@3_knl0lO7a0?Cdm03gmoL0nOWi0?_kn`3lo?`0oOgm00@0o_kn0P3moOd0103lo?`0n_[j
0?Win@3gmoL20?KfmP090?Gem@3fm_H0m_Kf0?Ogm`3hn?P0n_[j0?_kn`3lo?`0oOgm0080o_kn=@3o
ool3000008@0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0I0?ooo`0:0?knoP3moOd0
o?cl0?_kn`3inOT0n?Sh0?Ogm`3fm_H0mOGe0?Cdm080mOGe00H0m_Kf0?Shn03jn_X0no_k0?clo03m
oOd40?knoP0:0?gmo@3lo?`0no_k0?Win@3fm_H0lo?c0?7al@3^k^h0k>c/0>_[j`80j^[Z00T0k>c/
0>k^kP3`l?00lo?c0?KfmP3inOT0no_k0?clo03moOd0103no_h01`3moOd0o?cl0?_kn`3inOT0n?Sh
0?Ogm`3fm_H0103emOD01P3fm_H0n?Sh0?Win@3jn_X0o?cl0?gmo@80o_kn=03oool3000008D0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`0H0?ooo`80o_kn00T0oOgm0?clo03jn_X0nOWi
0?Ogm`3fm_H0mOGe0?Cdm03clo<00P3dm?@01@3fm_H0moOg0?Win@3jn_X0o?cl0080oOgm0`3no_h0
5@3moOd0o?cl0?_kn`3inOT0m_Kf0??cl`3`l?00k^k^0>c/k03Zj^X0jNWY0>[ZjP3[jn/0kNg]0?3`
l03bl_80m_Kf0?Shn03jn_X0o?cl0?gmo@040?knoP070?gmo@3lo?`0no_k0?Win@3gmoL0m_Kf0?Ge
m@030?Cdm0070?Gem@3fm_H0moOg0?Shn03jn_X0o?cl0?gmo@020?knoS<0oooo0`0000260>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0603oool20?knoP070?gmo@3kno/0n_[j0?Shn03f
m_H0mOGe0??cl`030?;blP080??cl`3dm?@0m_Kf0?Shn03jn_X0no_k0?clo03moOd30?knoP0E0?gm
o@3lo?`0no_k0?Win@3fm_H0m?Cd0?7al@3_knl0kNg]0>_[j`3Zj^X0jn_[0>c/k03^k^h0l?3`0??c
l`3gmoL0nOWi0?_kn`3lo?`0oOgm00<0o_kn0P3moOd01P3kno/0n_[j0?Shn03fm_H0mOGe0??cl`<0
l_;b00T0lo?c0?Cdm03fm_H0moOg0?Win@3kno/0o?cl0?gmo@3no_h0<P3oool3000008L0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`0H0?ooo`090?knoP3moOd0oOgm0?_kn`3inOT0moOg
0?KfmP3dm?@0l_;b00<0lO7a00P0l_;b0??cl`3emOD0n?Sh0?Win@3kno/0o?cl0?gmo@<0o_kn0P3m
oOd01`3lo?`0n_[j0?Ogm`3emOD0lo?c0?7al@3_knl00`3]kNd02@3^k^h0l?3`0?;blP3dm?@0n?Sh
0?[jnP3kno/0o?cl0?gmo@030?knoP080?gmo@3lo?`0no_k0?[jnP3gmoL0mOGe0?Cdm03bl_830?7a
l@090?;blP3clo<0mOGe0?Ogm`3inOT0no_k0?clo03moOd0o_kn0340oooo0`0000280>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0603oool0503no_h0oOgm0?clo03jn_X0n?Sh0?Ogm`3e
mOD0lo?c0?7al@3`l?00kno_0?3`l03alO40l_;b0?Cdm03gmoL0nOWi0?[jnP3lo?`0oOgm103no_h0
4`3moOd0o?cl0?_kn`3inOT0moOg0?Gem@3dm?@0l_;b0?7al@3`l?00lO7a0?;blP3clo<0mOGe0?Og
m`3inOT0no_k0?clo03moOd0103no_h04`3moOd0o?cl0?_kn`3inOT0m_Kf0?Cdm03clo<0lO7a0?3`
l03_knl0l?3`0?7al@3bl_80m?Cd0?KfmP3hn?P0no_k0?clo03moOd00P3no_h_0?ooo`<00000R@3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo01P0oooo00T0o_kn0?gmo@3lo?`0n_[j0?Sh
n03fm_H0m?Cd0?;blP3`l?000`3^k^h01`3_knl0lO7a0??cl`3fm_H0n?Sh0?[jnP3kno/00P3moOd4
0?knoP80oOgm00D0no_k0?[jnP3inOT0n?Sh0?Ogm`040?KfmP060?Ogm`3hn?P0n_[j0?_kn`3lo?`0
oOgm1@3no_h04`3moOd0o?cl0?[jnP3inOT0m_Kf0?Cdm03bl_80l?3`0>o_k`3^k^h0kno_0?3`l03a
lO40lo?c0?Gem@3gmoL0n_[j0?clo03moOd00P3no_h^0?ooo`<00000RP3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo01L0oooo0P3no_h0203moOd0o?cl0?Win@3gmoL0mOGe0??cl`3alO40
kno_0`3]kNd02P3^k^h0l?3`0?;blP3emOD0n?Sh0?Win@3kno/0o?cl0?gmo@3no_h50?ooo`80o_kn
0`3moOd30?clo0<0oOgm0`3no_h40?ooo`80o_kn00P0oOgm0?clo03jn_X0n?Sh0?Gem@3clo<0l?3`
0>o_k`<0kNg]00P0k^k^0?3`l03bl_80m?Cd0?Ogm`3jn_X0no_k0?gmo@80o_kn;@3oool3000008/0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`0G0?ooo`80o_kn01@0oOgm0?_kn`3inOT0
m_Kf0?Cdm03alO40kno_0>g]k@3[jn/0j^[Z0>_[j`3/k>`0k^k^0?3`l03dm?@0moOg0?Win@3kno/0
o?cl0?gmo@<0oooo0P3no_h01@3moOd0o?cl0?_kn`3inOT0n?Sh00D0moOg00D0n?Sh0?Win@3jn_X0
o?cl0?gmo@020?knoP<0oooo01H0o_kn0?gmo@3kno/0nOWi0?Ogm`3dm?@0lO7a0>o_k`3]kNd0jn_[
0>[ZjP3[jn/0k>c/0>k^kP3alO40lo?c0?KfmP3inOT0no_k0?clo03moOd0o_kn;03oool3000008`0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`0G0?ooo`0:0?knoP3moOd0o?cl0?_kn`3h
n?P0m_Kf0??cl`3`l?00k^k^0>_[j`<0jNWY00T0jn_[0>g]k@3_knl0lo?c0?KfmP3hn?P0n_[j0?cl
o03moOd00P3oool05@3no_h0oOgm0?clo03jn_X0moOg0?Gem@3clo<0lO7a0>o_k`3^k^h0kNg]0>k^
kP3_knl0l?3`0?;blP3emOD0n?Sh0?[jnP3kno/0oOgm0?knoP020?ooo`0:0?knoP3lo?`0no_k0?Wi
n@3gmoL0lo?c0?3`l03]kNd0jn_[0>[ZjP80jNWY00X0jn_[0>g]k@3_knl0l_;b0?Gem@3hn?P0n_[j
0?clo03moOd0o_kn:`3oool3000008d0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0G
0?ooo`0:0?knoP3moOd0o?cl0?_kn`3gmoL0mOGe0?;blP3_knl0k>c/0>[ZjP80inOW00X0j>SX0>WY
j@3[jn/0k^k^0?;blP3emOD0n?Sh0?[jnP3lo?`0oOgm0P3oool0;@3moOd0o?cl0?[jnP3gmoL0lo?c
0?3`l03/k>`0jNWY0>KViP3Ti>@0hn?S0>CTi03Vi^H0j>SX0>_[j`3_knl0m?Cd0?Ogm`3inOT0no_k
0?gmo@3no_h0oooo0?knoP3lo?`0no_k0?Shn03fm_H0l_;b0>o_k`3/k>`0j^[Z0>SXj03WinL0j>SX
0>WYj@3[jn/0k^k^0?7al@3dm?@0n?Sh0?[jnP3lo?`0oOgm0?knoP0Z0?ooo`<00000SP3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo01L0oooo04@0o_kn0?gmo@3lo?`0n_[j0?Ogm`3dm?@0
lO7a0>k^kP3[jn/0j>SX0>KViP3UiND0i^KV0>OWi`3Zj^X0kNg]0?7al@3dm?@0moOg0?[jnP3lo?`0
oOgm0?ooo`3no_h0o?cl0?[jnP3hn?P0mOGe0>o_k`3Zj^X0i^KV0>7Qh@3MgMd0fm_K0=WIf@3Jf]X0
g=cL0>3Ph03Ti>@0jNWY0?3`l03dm?@0moOg0?[jnP3lo?`0o_kn0?ooo`3no_h0o?cl0?[jnP3hn?P0
mOGe0?7al@3^k^h0jn_[0>SXj03Vi^H0iNGU0>KViP3Xj>P0j^[Z0>g]k@3`l?00lo?c0?Ogm`3jn_X0
no_k0?gmo@80o_kn:03oool3000008l0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0G
0?ooo`140?knoP3moOd0o?cl0?[jnP3fm_H0lo?c0?3`l03]kNd0jNWY0>KViP3Ti>@0hn?S0>CTi03V
i^H0j>SX0>_[j`3`l?00m?Cd0?Ogm`3inOT0no_k0?gmo@3oool0o_kn0?clo03inOT0m_Kf0?;blP3Z
j^X0iNGU0=oOg`3Jf]X0eMGE0=7Ad@3@d=00dM7A0=CDe03Hf=P0gMgM0>?Sh`3/k>`0lO7a0?Gem@3h
n?P0no_k0?gmo@3oool0o_kn0?clo03jn_X0moOg0?Gem@3`l?00k>c/0>WYj@3Vi^H0i>CT0>?Sh`3T
i>@0i^KV0>SXj03/k>`0kno_0?;blP3gmoL0nOWi0?_kn`3moOd20?knoRL0oooo0`00002@0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool05P3oool20?knoP130?gmo@3kno/0nOWi0?KfmP3b
l_80kno_0>_[j`3Xj>P0iNGU0>;RhP3QhN40h^;R0>CTi03Vi^H0j^[Z0>o_k`3clo<0m_Kf0?Win@3k
no/0oOgm0?ooo`3moOd0no_k0?Shn03dm?@0kno_0>OWi`3Ph>00fMWI0=?Cd`3=cLd0bLW90<O7a`38
b<P0c<c<0=7Ad@3GemL0g]kN0>SXj03^k^h0lo?c0?Ogm`3jn_X0oOgm0?ooo`3no_h0o?cl0?[jnP3g
moL0m?Cd0>o_k`3[jn/0inOW0>GUi@3Rh^80hN7Q0>;RhP3Ti>@0inOW0>[ZjP3^k^h0lO7a0?KfmP3i
nOT0no_k0?clo0020?knoRH0oooo0`00002A0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool05P3oool20?knoP150?clo03kno/0nOWi0?Gem@3alO40kNg]0>WYj@3UiND0h^;R0=oOg`3Ng]h0
gmoO0>7Qh@3Ti>@0j>SX0>k^kP3bl_80mOGe0?Shn03kno/0oOgm0?ooo`3moOd0n_[j0?Ogm`3bl_80
kNg]0>;RhP3Jf]X0d];B0<_;b`34a<@0`<300;fm_@2o_kl0`l?30<W9b@3@d=00f=SH0>CTi03[jn/0
lO7a0?Gem@3inOT0o?cl0?ooo`3no_h0no_k0?Win@3fm_H0lo?c0>g]k@3YjNT0iNGU0>;RhP3Ogml0
g]kN0=oOg`3QhN40i>CT0>SXj03/k>`0l?3`0?Gem@3hn?P0n_[j0?clo03moOd0o_kn02D0oooo0`00
002B0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool05P3oool0A`3no_h0oOgm0?clo03k
no/0n?Sh0?Cdm03`l?00k>c/0>SXj03Ti>@0h>3P0=gMg@3Lg=`0gMgM0=oOg`3Rh^80i^KV0>c/k03a
lO40m?Cd0?Shn03jn_X0oOgm0?ooo`3moOd0n_[j0?KfmP3alO40k>c/0>7Qh@3Hf=P0d=3@0<S8b031
`L40_;bl0;Vi^@2k^k/0_kno0<K6aP3=cLd0e]KF0>;RhP3Zj^X0l?3`0?Gem@3inOT0o?cl0?ooo`3m
oOd0no_k0?Win@3emOD0l_;b0>c/k03WinL0hn?S0>3Ph03MgMd0g=cL0=gMg@3Ogml0h^;R0>KViP3[
jn/0kno_0?Gem@3hn?P0n_[j0?clo03moOd0o_kn02@0oooo0`00002C0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool05P3oool02`3no_h0oOgm0?clo03jn_X0n?Sh0??cl`3_knl0jn_[0>KV
iP3Rh^80g]kN0080f][J03X0fm_K0=gMg@3Ph>00i>CT0>_[j`3`l?00m?Cd0?Ogm`3jn_X0oOgm0?oo
o`3moOd0n_[j0?KfmP3alO40jn_[0>3Ph03Hf=P0clo?0<O7a`30`<00^k^k0;Rh^02j^[X0_[jn0<G5
a@3=cLd0eMGE0>;RhP3YjNT0l?3`0?Gem@3inOT0o?cl0?ooo`3moOd0no_k0?Shn03emOD0lO7a0>[Z
jP3Vi^H0hN7Q0=kNgP3Kfm/0f][J0=_Kf`3MgMd0hN7Q0>GUi@3YjNT0k^k^0?Cdm03gmoL0n_[j0?cl
o03moOd0o_kn8`3oool3000009@0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0F0?oo
o`170?knoP3moOd0o?cl0?[jnP3gmoL0l_;b0>k^kP3YjNT0i>CT0>3Ph03Lg=`0f=SH0=OGe`3Hf=P0
fm_K0=kNgP3Shn<0j^[Z0>o_k`3clo<0moOg0?[jnP3lo?`0oooo0?gmo@3jn_X0m_Kf0?;blP3/k>`0
hN7Q0=WIf@3AdM40bLW90<;2`P2n_[h0^k^k0;fm_@31`L40alO70<o?c`3GemL0hn?S0>[ZjP3`l?00
mOGe0?Win@3lo?`0oooo0?gmo@3jn_X0n?Sh0?Cdm03`l?00jNWY0>CTi03Ph>00g=cL0=WIf@3GemL0
f=SH0=_Kf`3Ogml0hn?S0>SXj03]kNd0lo?c0?Ogm`3inOT0no_k0?gmo@3no_h08P3oool3000009D0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`0F0?ooo`170?knoP3moOd0o?cl0?[jnP3g
moL0lO7a0>g]k@3Xj>P0hn?S0=kNgP3Jf]X0e]KF0=GEe@3Fe]H0f=SH0=cLg03QhN40jNWY0>k^kP3b
l_80m_Kf0?Win@3lo?`0oooo0?gmo@3kno/0moOg0??cl`3^k^h0i>CT0=gMg@3EeMD0c/k>0<S8b033
`l<0`L710<?3``36a/H0c<c<0=?Cd`3Jf]X0iNGU0>c/k03bl_80m_Kf0?[jnP3lo?`0oooo0?gmo@3j
n_X0moOg0??cl`3_knl0j>SX0>;RhP3Ng]h0fMWI0=KFeP3EeMD0e]KF0=WIf@3MgMd0hN7Q0>KViP3/
k>`0l_;b0?KfmP3inOT0no_k0?gmo@3no_h08@3oool3000009H0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`0F0?ooo`0^0?knoP3moOd0no_k0?Win@3fm_H0l?3`0>_[j`3Vi^H0h>3P0=_K
f`3Fe]H0d];B0=7Ad@3Bd]80eMGE0=WIf@3Ng]h0inOW0>c/k03alO40mOGe0?Shn03kno/0oooo0?kn
oP3lo?`0n_[j0?KfmP3bl_80jn_[0>KViP3Ph>00fm_K0=KFeP3Cdm<0dM7A0=;BdP3EeMD0fMWI0=kN
gP3Ti>@0k>c/0?7al@3emOD0nOWi0?_kn`80o_kn01L0o?cl0?Win@3fm_H0l_;b0>k^kP3UiND0h>3P
0=_Kf`3Fe]H0dm?C0=7Ad@3Bd]80eMGE0=WIf@3Ogml0i>CT0>[ZjP3alO40mOGe0?Shn03kno/0o?cl
0?knoP0P0?ooo`<00000U`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01H0oooo00/0
o_kn0?gmo@3kno/0nOWi0?KfmP3_knl0j^[Z0>CTi03Ogml0fMWI0=CDe0020<o?c`0j0=3@d03Cdm<0
emOG0=cLg03UiND0jn_[0?3`l03dm?@0n?Sh0?_kn`3no_h0oooo0?knoP3lo?`0nOWi0?Ogm`3bl_80
k^k^0>[ZjP3WinL0i>CT0>;RhP3Ph>00hN7Q0>?Sh`3Vi^H0jNWY0>g]k@3clo<0m_Kf0?Win@3kno/0
oOgm0?ooo`3no_h0no_k0?Win@3fm_H0lO7a0>c/k03Ti>@0g]kN0=SHf03De=@0d=3@0<o?c`3@d=00
dm?C0=OGe`3MgMd0hn?S0>WYj@3`l?00mOGe0?Shn03jn_X0o?cl0?knoQl0oooo0`00002H0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool05@3oool20?knoP0G0?gmo@3kno/0n?Sh0?Gem@3^
k^h0jNWY0>?Sh`3MgMd0emOG0=;BdP3=cLd0c<c<0<g=c@3@d=00eMGE0=[JfP3Ti>@0j^[Z0>o_k`3d
m?@0moOg0?[jnP3moOd00P3oool0203no_h0oOgm0?clo03jn_X0n?Sh0?Ogm`3emOD0m?Cd0`3clo<0
203dm?@0mOGe0?KfmP3hn?P0n_[j0?clo03moOd0o_kn0P3oool0603moOd0no_k0?Shn03emOD0lO7a
0>_[j`3Rh^80g=cL0=KFeP3AdM40c/k>0<c<c03=cLd0d=3@0=GEe@3Kfm/0hN7Q0>OWi`3_knl0m?Cd
0?Ogm`3jn_X0o?cl0?gmoAh0oooo0`00002I0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool05@3oool20?knoP0H0?clo03kno/0n?Sh0?Gem@3^k^h0j>SX0>7Qh@3Kfm/0eMGE0<o?c`3:b/X0
bLW90<[:bP3>c/h0d];B0=SHf03Rh^80jNWY0>k^kP3clo<0moOg0?[jnP3lo?`0oOgm0P3no_h20?gm
o@050?clo03kno/0n_[j0?Win@3hn?P00`3gmoL01@3hn?P0nOWi0?Win@3jn_X0o?cl0080oOgm0P3n
o_h06@3moOd0o?cl0?[jnP3hn?P0m?Cd0?3`l03Zj^X0hN7Q0=[JfP3De=@0clo?0<_;b`39bLT0b/[:
0<k>cP3Cdm<0fMWI0=oOg`3Vi^H0kno_0??cl`3gmoL0n_[j0?clo03moOd07@3oool3000009X0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`0E0?ooo`80o_kn01L0o?cl0?[jnP3hn?P0m?Cd
0>g]k@3WinL0h>3P0=WIf@3Bd]80cLg=0<O7a`36a/H0b<S80<_;b`3@d=00e]KF0>7Qh@3WinL0kNg]
0?;blP3fm_H0nOWi0?_kn`020?clo00^0?_kn`3inOT0m_Kf0?;blP3^k^h0j^[Z0>OWi`3Ti>@0hN7Q
0>3Ph03QhN40hn?S0>KViP3YjNT0kNg]0?;blP3fm_H0n?Sh0?[jnP3kno/0o?cl0?_kn`3jn_X0moOg
0??cl`3_knl0jNWY0=oOg`3Hf=P0d];B0<c<c038b<P0a/K60<S8b03;bl/0dM7A0=OGe`3Ng]h0iNGU
0>k^kP3clo<0moOg0?[jnP3lo?`0oOgm0?knoQ/0oooo0`00002K0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool05@3oool0603no_h0oOgm0?clo03jn_X0moOg0??cl`3/k>`0iNGU0=kNgP3G
emL0d=3@0<[:bP34a<@0`l?30<G5a@38b<P0c/k>0=CDe03Ogml0i^KV0>c/k03alO40mOGe0?Shn080
n_[j01D0nOWi0?Ogm`3dm?@0l?3`0>OWi`3QhN40f][J0=CDe03>c/h0b/[:0<S8b03:b/X0cLg=0=;B
dP3Hf=P0gmoO0>SXj03^k^h0lo?c0?KfmP3inOT00P3jn_X0603inOT0m_Kf0??cl`3^k^h0j>SX0=kN
gP3Fe]H0d=3@0<[:bP36a/H0a<C40<G5a@39bLT0c/k>0=GEe@3Lg=`0hn?S0>g]k@3bl_80m_Kf0?Wi
n@3lo?`0oOgm0?knoQX0oooo0`00002L0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
5@3oool0B@3no_h0oOgm0?clo03jn_X0moOg0??cl`3Zj^X0hn?S0=cLg03De=@0cLg=0<K6aP30`<00
_kno0<71`@34a<@0b/[:0=7Ad@3MgMd0i>CT0>_[j`3`l?00m?Cd0?Ogm`3inOT0n?Sh0?KfmP3bl_80
kNg]0>GUi@3Hf=P0cLg=0<;2`P2h^;P0[jn_0:VYZ@2UYJD0YjNW0:f][@2e]KD0_kno0<[:bP3Jf]X0
hn?S0>_[j`3alO40mOGe0?Shn03inOT0n?Sh0?Gem@3bl_80kNg]0>KViP3Kfm/0dm?C0<c<c036a/H0
`L710;no_`31`L40aLG50<_;b`3Bd]80f][J0>7Qh@3/k>`0lO7a0?KfmP3inOT0no_k0?gmo@3no_h0
6@3oool3000009d0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0E0?ooo`190?knoP3m
oOd0o?cl0?Win@3fm_H0l_;b0>WYj@3Rh^80f][J0=;BdP3:b/X0a<C40;fm_@2l_;`0_[jn0<;2`P38
b<P0clo?0=_Kf`3Shn<0j^[Z0?3`l03dm?@0moOg0?Shn03gmoL0m?Cd0>o_k`3Xj>P0gmoO0<k>cP31
`L40];Bd0:NWY`2LW9`0U9BD092@T02BTY80VIVI0:>SX`2`/;00_Kfm0=7Ad@3Lg=`0i^KV0>g]k@3c
lo<0m_Kf0?Shn03gmoL0mOGe0?7al@3/k>`0iNGU0=[JfP3AdM40b/[:0<?3``2o_kl0_;bl0;jn_P32
`/80b<S80=3@d03Hf=P0h>3P0>_[j`3`l?00mOGe0?Win@3kno/0oOgm0?knoP0H0?ooo`<00000WP3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo01D0oooo04T0o_kn0?gmo@3kno/0nOWi0?Kf
mP3alO40j>SX0>7Qh@3IfMT0d=3@0<S8b031`L40^[Zj0;Vi^@2k^k/0_kno0<G5a@3=cLd0f][J0>;R
hP3YjNT0kno_0??cl`3fm_H0moOg0?KfmP3bl_80kNg]0>GUi@3Jf]X0a/K60;Ng]`2WYjL0V9RH08b<
S023Ph<0OWin0861P@29RHT0U9BD0:>SX`2b/[80bLW90=OGe`3Rh^80j^[Z0?7al@3emOD0moOg0?Kf
mP3dm?@0l?3`0>_[j`3Ti>@0f=SH0<o?c`37alL0`L710;bl_02i^KT0^k^k0;no_`36a/H0c/k>0=KF
eP3Ogml0j^[Z0?3`l03emOD0n?Sh0?_kn`3moOd0o_kn01L0oooo0`00002O0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool05@3oool0B@3no_h0oOgm0?_kn`3inOT0mOGe0?7al@3WinL0h>3P
0=OGe`3>c/h0a/K60;jn_P2h^;P0][Jf0;Rh^02l_;`0`l?30<_;b`3Hf=P0h>3P0>SXj03^k^h0lo?c
0?Gem@3fm_H0mOGe0?7al@3[jn/0h^;R0=KFeP30`<00[jn_09jNWP2=SHd0Ogmo07EeM@1`L700Lg=c
07alO029RHT0VIVI0:ZZZP33`l<0d];B0=oOg`3Xj>P0kno_0?Cdm03gmoL0m_Kf0?Cdm03`l?00j^[Z
0>?Sh`3Fe]H0cLg=0<G5a@2n_[h0^KVi0;Jf]P2h^;P0_Kfm0<?3``3<c<`0e=CD0=gMg@3YjNT0kno_
0?Cdm03hn?P0no_k0?gmo@3no_h05P3oool300000:00i^KV103oool100000040fMWI00000`000000
oooo0?ooo`0E0?ooo`0`0?knoP3moOd0no_k0?Win@3emOD0l?3`0>KViP3Ng]h0eMGE0<c<c033`l<0
_;bl0;Fe]@2c/k<0]KFe0;Vi^@30`<00bLW90=KFeP3Ogml0inOW0>g]k@3bl_80mOGe0?KfmP3dm?@0
l?3`0>WYj@3Ph>00e=CD0;bl_02[Zj/0V9RH08N7Q`1hN7P0KFe]06MWI`1[Jf/0M7Ad08:2PP2CTi<0
YJFU0<30`03?cll0gMgM0>OWi`3^k^h0lo?c0P3fm_H05`3clo<0kno_0>WYj@3Rh^80eMGE0<_;b`33
`l<0^k^k0;Jf]P2c/k<0]KFe0;Zj^P31`L40bLW90=?Cd`3Lg=`0j>SX0>k^kP3dm?@0n?Sh0?[jnP3l
o?`0o_kn01D0oooo0`00002Q0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool05@3oool0
B@3no_h0oOgm0?_kn`3hn?P0m?Cd0>o_k`3UiND0g=cL0=?Cd`39bLT0`<300;Rh^02`/;00[jn_0;6a
/@2e]KD0_Kfm0<K6aP3De=@0gMgM0>KViP3/k>`0lO7a0?Cdm03fm_H0m?Cd0?3`l03YjNT0h>3P0=?C
d`2l_;`0ZZZZ09NGU`26QXH0MgMg06a/K01VIVH0JVYZ07=cL`21PH40TY:B0:BTY02o_kl0clo?0=cL
g03WinL0k^k^0??cl`3fm_H0mOGe0?;blP3^k^h0j>SX0>3Ph03Bd]80b<S80;no_`2g]kL0/[:b0:n_
[`2a/K40][Jf0;fm_@36a/H0d=3@0=[JfP3WinL0kNg]0??cl`3gmoL0n_[j0?clo03no_h0503oool3
00000:80i^KV103oool100000040fMWI00000`000000oooo0?ooo`0E0?ooo`190?knoP3moOd0no_k
0?Shn03dm?@0kno_0>CTi03Kfm/0dM7A0<O7a`2n_[h0]KFe0:f][@2/[:`0[Zj^0;>c/`2j^[X0`l?3
0=;BdP3Lg=`0iNGU0>c/k03alO40m?Cd0?KfmP3dm?@0l?3`0>[ZjP3QhN40e]KF0;no_`2^[Zh0WIfM
08b<S01mOGd0Lg=c06i^KP1aLG40NWYj08N7Q`2GUiL0ZJVY0<?3``3Bd]80g]kN0>SXj03_knl0lo?c
0?KfmP3emOD0l_;b0>g]k@3WinL0gmoO0=3@d036a/H0_Kfm0;Fe]@2_[jl0[:b/0:j^[P2c/k<0^k^k
0<C4a03>c/h0f=SH0>KViP3]kNd0lo?c0?Ogm`3jn_X0o?cl0?knoP0C0?ooo`<00000X`3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo01D0oooo04T0o_kn0?clo03kno/0n?Sh0?Cdm03^k^h0
hn?S0=[JfP3@d=00aLG50;^k^`2c/k<0Zj^[0:VYZ@2[Zj/0/;2`0;Rh^031`L40dM7A0=_Kf`3Ti>@0
jn_[0?7al@3dm?@0m_Kf0?Gem@3bl_80k>c/0>CTi03Jf]X0a/K60;Jf]P2WYjL0UiNG08^;R`21PH40
O7al07moO`27QhL0Ti>C0::RXP2b/[80bLW90=KFeP3QhN40j^[Z0?3`l03dm?@0m_Kf0?Gem@3bl_80
kNg]0>KViP3Ng]h0clo?0<C4a02j^[X0/[:b0:b/[02YZJT0Zj^[0;6a/@2i^KT0`/;20<g=c@3GemL0
iNGU0>c/k03bl_80moOg0?[jnP3lo?`0o_kn0180oooo0`00002T0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool05@3oool0B@3no_h0o?cl0?[jnP3gmoL0lo?c0>k^kP3Rh^80fMWI0<k>cP33
`l<0^KVi0;2`/02XZ:P0YZJV0:RXZ02][Jd0]KFe0;no_`3?cll0f][J0>?Sh`3Zj^X0l?3`0?Cdm03g
moL0m_Kf0?Cdm03_knl0jNWY0>3Ph03?cll0`/;20;Fe]@2YZJT0WYjN09JFUP2BTY80UIFE09^KV`2U
YJD0/K6a0;jn_P3Bd]80gMgM0>KViP3]kNd0lo?c0?KfmP3gmoL0mOGe0?;blP3/k>`0iNGU0=gMg@3=
cLd0`/;20;Rh^02`/;00ZJVY0:JVYP2XZ:P0[Zj^0;Jf]P30`<00bl_;0=KFeP3Ti>@0k>c/0?;blP3f
m_H0n_[j0?clo03no_h04@3oool300000:D0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`0E0?ooo`0H0?knoP3lo?`0n_[j0?Ogm`3clo<0kNg]0>7Qh@3GemL0cLg=0<71`@2g]kL0[Zj^0:FU
Y@2SXj<0YJFU0:^[Z`2c/k<0_Kfm0<k>cP3IfMT0h^;R0>[ZjP3`l?00m?Cd0P3hn?P05@3fm_H0lo?c
0>k^kP3Xj>P0fm_K0=;BdP38b<P0_kno0;Ng]`2a/K40[Zj^0;2`/02e]KD0_;bl0<G5a@3?cll0gMgM
0>KViP3]kNd0l_;b0?Gem@020?Ogm`0H0?Gem@3bl_80k>c/0>GUi@3Lg=`0c<c<0<71`@2f][H0[Jf]
0:NWY`2TY:@0YZJV0:^[Z`2d];@0_[jn0<W9b@3De=@0hn?S0>_[j`3alO40m_Kf0?Win@3lo?`0o_kn
403oool300000:H0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0E0?ooo`190?knoP3l
o?`0n_[j0?Ogm`3bl_80k>c/0>3Ph03Fe]H0bl_;0<30`02e]KD0Zj^[0::RXP2QXJ40Xj>S0:RXZ02a
/K40^k^k0<c<c03GemL0hN7Q0>WYj@3`l?00mOGe0?Win@3jn_X0nOWi0?Shn03emOD0lO7a0>[ZjP3T
i>@0g]kN0=WIf@3De=@0dM7A0<o?c`3@d=00dm?C0=OGe`3MgMd0hn?S0>_[j`3`l?00m?Cd0?Ogm`3i
nOT0n_[j0?Shn03fm_H0lO7a0>c/k03Ti>@0f][J0<[:bP2o_kl0];Bd0:^[Z`2TY:@0XJ6Q0:>SX`2Y
ZJT0/[:b0;bl_038b<P0dm?C0>;RhP3Zj^X0lO7a0?KfmP3inOT0o?cl0?knoP0?0?ooo`<00000Y`3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo01D0oooo0280oOgm0?clo03jn_X0moOg0?;b
lP3/k>`0gmoO0=CDe039bLT0_Kfm0;:b/P2XZ:P0WYjN09fMW@2OWil0YJFU0:j^[P2h^;P0b/[:0=KF
eP3Ph>00jNWY0?3`l03emOD0n_[j0?gmo@3no_h0oooo0?knoP3moOd0o?cl0?_kn`3jn_X0nOWi0P3h
n?P02@3gmoL0n?Sh0?Shn03inOT0n_[j0?_kn`3lo?`0oOgm0?knoP020?ooo`0J0?gmo@3jn_X0m_Kf
0?;blP3[jn/0hn?S0=WIf@38b<P0_;bl0;6a/@2WYjL0X:2P09fMW@2OWil0YJFU0:j^[P2i^KT0aLG5
0=7Ad@3QhN40jNWY0?3`l03emOD0nOWi0?_kn`3no_h>0?ooo`<00000Z03Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo01D0oooo04P0oOgm0?clo03jn_X0m_Kf0?;blP3[jn/0g]kN0=?Cd`38
b<P0^k^k0;2`/02VYZH0W9bL09ZJVP2LW9`0XZ:R0:^[Z`2g]kL0bLW90=GEe@3Ogml0j>SX0?3`l03e
mOD0o?cl0?ooo`3moOd0n_[j0?KfmP3bl_80j^[Z0>GUi@3Ogml0fMWI0=CDe03AdM40clo?0=3@d03C
dm<0f=SH0=gMg@3Shn<0jn_[0?7al@3emOD0nOWi0?clo03oool0no_k0?Ogm`3bl_80jn_[0>;RhP3H
f=P0alO70;Zj^P2_[jl0YJFU09jNWP2JVYX0WIfM0:>SX`2/[:`0^;Rh0<C4a03@d=00h>3P0>WYj@3`
l?00mOGe0?Win@3kno/20?knoP`0oooo0`00002Y0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool05@3oool0;`3moOd0o?cl0?[jnP3fm_H0lO7a0>_[j`3MgMd0d];B0<K6aP2j^[X0[Zj^0:>S
X`2IVIT0V9RH09ZJVP2PX:00ZJVY0;Fe]@38b<P0e=CD0=oOg`3Xj>P0l?3`0?KfmP3moOd0o_kn0?Wi
n@3dm?@0k^k^0>KViP3IfMT0c/k>0<?3``2i^KT0/;2`0:ZZZP2WYjL0ZJVY0:j^[P2f][H0`<300<_;
b`3Kfm/0i>CT0>c/k03bl_80n?Sh0080o?cl01L0moOg0?;blP3Zj^X0h^;R0=OGe`35aLD0^KVi0:f]
[@2SXj<0Vi^K09RHV02JVYX0XJ6Q0:ZZZP2f][H0`/;20<o?c`3Ogml0j>SX0>o_k`3emOD0nOWi0?_k
n`020?knoP/0oooo0`00002Z0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool05@3oool0
B03moOd0o?cl0?Win@3fm_H0lO7a0>[ZjP3MgMd0dM7A0<G5a@2h^;P0[:b/0:6QX@2GUiL0UIFE09RH
V02NWYh0Z:RX0;>c/`36a/H0dm?C0=kNgP3Xj>P0l?3`0?KfmP3no_h0o?cl0?KfmP3_knl0i^KV0=_K
f`38b<P0^KVi0:VYZ@2KVi/0SXj>08F5Q@20P800Ph>308^;R`2GUiL0YJFU0;Bd]03;bl/0f=SH0>?S
h`3/k>`0m?Cd0?[jnP3moOd0n?Sh0?;blP3Zj^X0hN7Q0=KFeP34a<@0]kNg0:^[Z`2QXJ40VIVI09JF
UP2HV9P0WinO0:RXZ02d];@0`L710<k>cP3Ogml0j>SX0>o_k`3emOD0nOWi0?_kn`80o_kn2P3oool3
00000:/0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0E0?ooo`180?gmo@3lo?`0nOWi
0?KfmP3alO40j^[Z0=cLg03@d=00a<C40;Ng]`2ZZZX0WinO09FEU@2CTi<0UYJF09bLW02VYZH0/[:b
0<G5a@3Bd]80gMgM0>OWi`3`l?00m_Kf0?ooo`3jn_X0lo?c0>[ZjP3Ogml0d];B0;Vi^@2UYJD0TY:B
07moO`1_Kfl0I6AT05iNGP1RHV80Jf][07YjNP2<S8`0X:2P0;bl_03=cLd0fm_K0>OWi`3`l?00n?Sh
0?knoP3hn?P0l_;b0>[ZjP3QhN40e]KF0<?3``2f][H0ZJVY09nOW`2GUiL0Ti>C09JFUP2MWId0YjNW
0;>c/`30`<00cLg=0=kNgP3WinL0kno_0?Cdm03hn?P0no_k0P3no_h90?ooo`<00000[03Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo01D0oooo04X0oOgm0?clo03inOT0mOGe0?3`l03YjNT0
fm_K0<o?c`32`/80]KFe0:RXZ02MWId0TY:B092@T02CTi<0VIVI0:>SX`2_[jl0a<C40=7Ad@3MgMd0
inOW0>o_k`3gmoL0o_kn0?Ogm`3_knl0i>CT0=OGe`36a/H0YjNW08n?S`1fMWH0GemO04];B`0m?Cd0
=CDe03Xj>P16ATH0F5QH06m_K`27QhL0Zj^[0<30`03Bd]80hN7Q0>c/k03emOD0oooo0?Win@3bl_80
j^[Z0>3Ph03De=@0`L710;>c/`2WYjL0W9bL09BDU02@T900Ti>C09ZJVP2TY:@0/K6a0;jn_P3;bl/0
gMgM0>OWi`3^k^h0m?Cd0?Shn03kno/0oOgm0?knoPP0oooo0`00002]0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool05@3oool0BP3moOd0o?cl0?Win@3emOD0l?3`0>WYj@3Jf]X0c/k>0<71
`@2c/k<0YZJV09^KV`2@T900SXj>096AT@2GUiL0XZ:R0:j^[P33`l<0d=3@0=cLg03Vi^H0kno_0?Og
m`3no_h0m_Kf0>g]k@3Rh^80dm?C0<71`@2OWil0QHF506YZJP1ADE40>c/k02/[:`0S8b<0:2PX03Hf
=P1:BTX0HV9R07emO@2TY:@0^k^k0<k>cP3Ng]h0j^[Z0?Cdm03oool0nOWi0?;blP3YjNT0gmoO0=CD
e030`<00/[:b0:FUY@2JVYX0TY:B08n?S`2ATI40V9RH0:>SX`2_[jl0_Kfm0<[:bP3Lg=`0i^KV0>k^
kP3dm?@0n?Sh0?_kn`3moOd0o_kn1`3oool300000:h0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`0E0?ooo`1:0?gmo@3lo?`0nOWi0?Gem@3`l?00j>SX0=[JfP3>c/h0`<300;:b/P2UYJD0
VYZJ08n?S`2=SHd0Shn?09JFUP2PX:00[Jf]0<;2`P3?cll0g=cL0>KViP3_knl0moOg0?knoP3fm_H0
k>c/0>7Qh@3AdM40_[jn09^KV`20P800I6AT04U9B@0c<c<08b<S01XJ6P0O7al0;Bd]0492@P1LG5`0
MgMg0:2PX02h^;P0c<c<0=cLg03YjNT0lo?c0?ooo`3inOT0l_;b0>WYj@3Ogml0dm?C0;no_`2a/K40
Y:BT09VIV@2ATI40SHf=092@T02GUiL0XJ6Q0:j^[P2l_;`0b/[:0=cLg03Vi^H0k^k^0?Cdm03hn?P0
no_k0?gmo@3no_h60?ooo`<00000[`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01D0
oooo04X0oOgm0?_kn`3inOT0mOGe0>o_k`3Xj>P0fMWI0<g=c@2o_kl0/K6a0:BTY02HV9P0SHf=08^;
R`2>SXh0UIFE09nOW`2/[:`0`L710<o?c`3Kfm/0i^KV0>o_k`3gmoL0o_kn0?KfmP3]kNd0hN7Q0=7A
d@2n_[h0Vi^K0820P01TI6@0BTY:03<c<`0S8b<06QXJ020P800];Bd0@T9205aLG01gMgL0X:2P0;Rh
^03<c<`0g=cL0>WYj@3clo<0oooo0?Win@3alO40jNWY0=kNgP3Bd]80_[jn0;2`/02SXj<0UiNG08n?
S`2;Rh/0SXj>09FEU@2PX:00[Jf]0;^k^`39bLT0fm_K0>GUi@3]kNd0lo?c0?Shn03kno/0oOgm0?kn
oPD0oooo0`00002`0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool05@3oool0BP3moOd0
no_k0?Win@3emOD0kno_0>SXj03IfMT0c<c<0;jn_P2`/;00Xj>S09NGU`2<S8`0RXZ:08b<S02CTi<0
WYjN0:^[Z`30`<00c/k>0=_Kf`3UiND0kno_0?KfmP3no_h0moOg0>k^kP3Rh^80dm?C0<71`@2OWil0
QHF506][J`1BDU80?3`l02d];@0T92@0:BTY03Lg=`1;Bd/0Hf=S07emO@2TY:@0^k^k0<k>cP3Ng]h0
j^[Z0?Cdm03oool0nOWi0?7al@3Xj>P0g]kN0=;BdP2m_Kd0[jn_0::RXP2FUYH0SXj>08Z:RP2=SHd0
U9BD09nOW`2/[:`0^[Zj0<S8b03Kfm/0iNGU0>g]k@3clo<0n?Sh0?_kn`3moOd0o_kn103oool30000
0;40i^KV103oool100000040fMWI00000`000000oooo0?ooo`0E0?ooo`1:0?gmo@3kno/0nOWi0?Ge
m@3_knl0inOW0=SHf03<c<`0_[jn0:n_[`2QXJ40UIFE08Z:RP28R8P0Rh^;09:BTP2LW9`0ZZZZ0;no
_`3=cLd0f][J0>GUi@3^k^h0m_Kf0?ooo`3inOT0lO7a0>OWi`3Jf]X0b/[:0:f][@2GUiL0PH6106][
J`1IFET0C4a<04E5A@19BDT0E5AD06EUI@1jNWX0TI6A0;:b/P35aLD0e]KF0>?Sh`3^k^h0m_Kf0?kn
oP3hn?P0l?3`0>SXj03MgMd0dM7A0;bl_02^[Zh0X:2P09FEU@2<S8`0R8R808^;R`2BTY80WIfM0:^[
Z`2i^KT0alO70=[JfP3UiND0kNg]0??cl`3hn?P0no_k0?gmo@3no_h30?ooo`<00000/P3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo01@0oooo04/0o_kn0?gmo@3kno/0nOWi0?Gem@3_knl0
inOW0=SHf03;bl/0_Kfm0:j^[P2QXJ40UIFE08V9R@27QhL0RXZ:096AT@2LW9`0ZJVY0;no_`3=cLd0
f][J0>CTi03^k^h0mOGe0?knoP3jn_X0m?Cd0>_[j`3QhN40e=CD0;bl_02YZJT0UiNG08F5Q@1fMWH0
Jf][06EUI@1YJFT0LW9b0820P02ATI40Y:BT0;no_`3?cll0gMgM0>SXj03alO40n?Sh0?gmo@3gmoL0
l?3`0>OWi`3MgMd0dM7A0;bl_02][Jd0WinO09BDU02;Rh/0QhN708Z:RP2BTY80WIfM0:ZZZP2i^KT0
alO70=[JfP3UiND0kNg]0??cl`3hn?P0no_k0?gmo@3no_h00P3oool300000;<0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`0D0?ooo`0I0?knoP3moOd0no_k0?Win@3emOD0kno_0>OWi`3H
f=P0bl_;0;fm_@2^[Zh0X:2P09BDU028R8P0QXJ608V9R@2@T900Vi^K0:RXZ02n_[h0cLg=0=WIf@3T
i>@0kNg]0?Cdm0020?gmo@0a0?Ogm`3alO40jNWY0=oOg`3=cLd0_kno0;6a/@2TY:@0VIVI096AT@2<
S8`0Shn?09JFUP2PX:00[Jf]0;^k^`3?cll0g=cL0>KViP3^k^h0mOGe0?_kn`3lo?`0m_Kf0>o_k`3W
inL0gMgM0=7Ad@2k^k/0[Jf]09nOW`2CTi<0Rh^;08N7Q`29RHT0TI6A09bLW02ZZZX0^;Rh0<O7a`3J
f]X0i>CT0>g]k@3clo<0n?Sh0?_kn`3moOd0o_kn0?ooo`0300000;@0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`0D0?ooo`1;0?knoP3moOd0no_k0?Win@3dm?@0kno_0>OWi`3GemL0bl_;
0;bl_02^[Zh0X:2P09>CT`28R8P0QXJ608R8R02@T900Vi^K0:RXZ02n_[h0c<c<0=WIf@3Ti>@0kNg]
0?Cdm03kno/0oooo0?_kn`3gmoL0l_;b0>c/k03Ph>00f=SH0<o?c`37alL0`<300;^k^`2i^KT0^[Zj
0;no_`35aLD0cLg=0=GEe@3Rh^80j^[Z0?3`l03emOD0n_[j0?knoP3kno/0mOGe0>o_k`3WinL0g=cL
0=3@d02k^k/0[:b/09jNWP2CTi<0RXZ:08J6QP29RHT0T92@09bLW02YZJT0^;Rh0<K6aP3Jf]X0i>CT
0>g]k@3clo<0moOg0?_kn`3moOd0o_kn00<00000]@3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo01@0oooo04X0o_kn0?gmo@3kno/0nOWi0?Cdm03_knl0inOW0=OGe`3:b/X0_;bl0:f][@2O
Wil0Ti>C08R8R025QHD0R8R808n?S`2JVYX0Z:RX0;jn_P3<c<`0fMWI0>CTi03/k>`0lo?c0?[jnP3m
oOd0oooo0?knoP3kno/0nOWi0?Gem@3clo<0l?3`0>g]k@3[jn/0jNWY0>SXj03YjNT0j^[Z0>c/k03_
knl0l_;b0?KfmP3hn?P0no_k0?gmo@3oool0o_kn0?Win@3dm?@0k^k^0>KViP3Lg=`0d=3@0;^k^`2/
[:`0WYjN09:BTP2:RXX0QXJ608V9R@2@T900Vi^K0:VYZ@2h^;P0a/K60=[JfP3Ti>@0kNg]0??cl`3g
moL0no_k0?gmo@<00000]P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01@0oooo01/0
o_kn0?gmo@3kno/0nOWi0?Cdm03_knl0inOW0=OGe`3:b/X0_;bl0:f][@2OWil0Ti>C08N7Q`25QHD0
R8R808n?S`2JVYX0Z:RX0;jn_P3<c<`0fMWI0>?Sh`3/k>`0l_;b0?Shn03jn_X00P3kno/0;03jn_X0
n?Sh0?Cdm03alO40k^k^0>_[j`3YjNT0inOW0>KViP3WinL0j>SX0>[ZjP3]kNd0l?3`0?Gem@3gmoL0
nOWi0?[jnP3kno/0n_[j0?Ogm`3dm?@0k^k^0>KViP3Lg=`0d=3@0;^k^`2/[:`0WYjN09:BTP2:RXX0
QXJ608R8R02@T900Vi^K0:VYZ@2h^;P0a/K60=[JfP3Ti>@0kNg]0??cl`3gmoL0no_k0`00002g0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0503oool0B03no_h0oOgm0?_kn`3inOT0m?Cd
0>o_k`3WinL0emOG0<[:bP2l_;`0[Jf]09nOW`2CTi<0R8R808F5Q@28R8P0Shn?09ZJVP2XZ:P0_[jn
0<c<c03Hf=P0hn?S0>_[j`3alO40mOGe0?KfmP3dm?@0lO7a0>_[j`3Ti>@0eMGE0<[:bP2n_[h0/k>c
0:ZZZP2SXj<0WinO0::RXP2WYjL0/;2`0;^k^`36a/H0emOG0>7Qh@3YjNT0kno_0??cl`3fm_H0mOGe
0?;blP3]kNd0i^KV0=cLg03@d=00^k^k0:b/[02NWYh0TY:B08Z:RP26QXH0RHV9092@T02KVi/0ZJVY
0;Rh^036a/H0f][J0>CTi03]kNd0lo?c0?Ogm`<0000000<0iNGU0>KViP3Vi^H0]@3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo01@0oooo04L0o_kn0?gmo@3kno/0nOWi0?Cdm03_knl0inOW
0=OGe`3;bl/0_;bl0:j^[P2PX:00Ti>C08R8R026QXH0R8R8092@T02KVi/0Z:RX0;jn_P3<c<`0f=SH
0>?Sh`3[jn/0l?3`0?Cdm03clo<0l?3`0>_[j`3Shn<0f=SH0<;2`P2b/[80XJ6Q09:BTP24Q8@0NWYj
07EeM@1hN7P0PH6108f=S@2MWId0[Jf]0<K6aP3De=@0h>3P0>WYj@3_knl0lo?c0?Cdm03bl_80kNg]
0>KViP3Lg=`0d=3@0;^k^`2/[:`0WYjN09>CT`2:RXX0QXJ608V9R@2@T900W9bL0:VYZ@2h^;P0a/K6
0=[JfP3Ti>@0kNg]0??cl`0300000080iNGU]`3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo01@0oooo04H0o_kn0?gmo@3kno/0nOWi0?Gem@3_knl0inOW0=SHf03;bl/0_Kfm0:j^[P2PX:00
U9BD08R8R026QXH0RHV9092@T02KVi/0Z:RX0;jn_P3<c<`0fMWI0>?Sh`3[jn/0l?3`0??cl`3alO40
kNg]0>KViP3Kfm/0cLg=0;>c/`2NWYh0RHV907EeM@1TI6@0EeMG055AD@1EEED0GemO06m_K`23Ph<0
V9RH0;Jf]P38b<P0emOG0>?Sh`3[jn/0l?3`0??cl`3alO40k>c/0>GUi@3Lg=`0d=3@0;^k^`2][Jd0
WinO09>CT`2;Rh/0QhN708V9R@2ATI40W9bL0:ZZZP2h^;P0alO70=[JfP3Ti>@0kNg]0`0000000`3T
i>@0iNGU0>GUi@2g0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0503oool0A@3no_h0
oOgm0?_kn`3inOT0mOGe0>o_k`3WinL0f=SH0<_;b`2m_Kd0[Zj^0:6QX@2EUID0RHV908N7Q`2:RXX0
TI6A09bLW02YZJT0_kno0<c<c03IfMT0hn?S0>[ZjP3_knl0l_;b0?3`l03Zj^X0h^;R0=GEe@35aLD0
YZJV08j>SP1eMGD0GUiN04Y:BP0l?3`0=3@d03Ti>@15ADD0F5QH06i^KP27QhL0ZZZZ0;no_`3AdM40
g]kN0>SXj03^k^h0l_;b0?3`l03/k>`0iNGU0=cLg03@d=00_;bl0:f][@2OWil0U9BD08^;R`27QhL0
RXZ:09:BTP2MWId0ZZZZ0;Vi^@37alL0f][J0>GUi@03000000040>7Qh@3Ti>@0iNGU0>GUiKL0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`0E0?ooo`130?gmo@3kno/0nOWi0?Gem@3_knl0
inOW0=SHf03<c<`0_[jn0:n_[`2QXJ40UIFE08Z:RP28R8P0Rh^;09:BTP2LW9`0ZZZZ0;no_`3=cLd0
fMWI0>?Sh`3Zj^X0kno_0?7al@3_knl0jNWY0=oOg`3AdM40_kno09fMW@23Ph<0J6QX04i>CP0h>3P0
:BTY020P800U9BD0<c<c04M7A`1PH600Ng]k0::RXP2i^KT0c<c<0=_Kf`3Vi^H0kNg]0?7al@3`l?00
k>c/0>KViP3Lg=`0dM7A0;bl_02^[Zh0X:2P09FEU@2<S8`0R8R808^;R`2BTY80WIfM0:^[Z`2i^KT0
alO70=[JfP03000000030=kNgP3QhN40i>CT0080iNGU]`3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo01D0oooo0480oOgm0?_kn`3inOT0mOGe0>o_k`3Xj>P0fMWI0<c<c02n_[h0/;2`0:>S
X`2GUiL0S8b<08Z:RP2<S8`0Ti>C09jNWP2[Zj/0`<300<k>cP3Jf]X0hn?S0>_[j`3_knl0lO7a0>k^
kP3Xj>P0gMgM0<o?c`2l_;`0V9RH07alO01PH600ADE502h^;P0M7Ad051@D01XJ6P0X:2P0?Shn05QH
F01dM7@0WIfM0;Fe]@3:b/X0fMWI0>GUi@3/k>`0lO7a0?3`l03/k>`0i^KV0=gMg@3AdM40_Kfm0:n_
[`2RXZ80UYJF08j>SP2:RXX0SHf=09BDU02OWil0[:b/0;Zj^P38b<P3000000040=[JfP3Ng]h0hN7Q
0>CTi080iNGU]`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01D0oooo0440oOgm0?_k
n`3inOT0mOGe0>o_k`3Xj>P0fMWI0<g=c@2o_kl0/K6a0:BTY02HV9P0SHf=08^;R`2>SXh0UIFE09nO
W`2/[:`0`L710<k>cP3Jf]X0i>CT0>_[j`3_knl0lO7a0>k^kP3Xj>P0g]kN0=3@d02m_Kd0VYZJ07mo
O`1SHf<0B4Q8038b<P0R8R806ATI01hN7P0/;2`0@D5105]KF`1gMgL0WinO0;Ng]`3;bl/0f][J0>GU
i@3]kNd0lO7a0?3`l03]kNd0i^KV0=gMg@3Bd]80_[jn0;2`/02SXj<0UiNG08n?S`2;Rh/0SXj>09FE
U@2PX:00[Jf]0;^k^`03000000050=CDe03Jf]X0g]kN0>7Qh@3Ti>@00P3UiNFg0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool05@3oool0@03moOd0o?cl0?Win@3emOD0l?3`0>SXj03Jf]X0
c/k>0<30`02b/[80YJFU09ZJVP2?Shl0SHf=08n?S`2FUYH0X:2P0:f][@32`/80clo?0=[JfP3Ti>@0
jn_[0?3`l03bl_80kno_0>WYj@3Ph>00dm?C0<71`@2PX:00QhN706a/K01CDe<0?Shn02l_;`0W9bL0
;2`/03Ti>@1=CDd0IFEU07moO`2UYJD0^k^k0<k>cP3Lg=`0inOW0>k^kP3bl_80lO7a0>g]k@3WinL0
g]kN0=;BdP2o_kl0/K6a0:BTY02IVIT0TI6A08f=S@2@T900UiNG0:6QX@2^[Zh3000000060<c<c03D
e=@0f][J0=kNgP3QhN40i>CT0P3UiNFg0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
5@3oool0?`3moOd0o?cl0?Win@3emOD0l?3`0>WYj@3Jf]X0c/k>0<71`@2c/k<0YZJV09^KV`2@T900
SXj>096AT@2GUiL0XZ:R0:j^[P32`/80d=3@0=_Kf`3UiND0k>c/0?3`l03bl_80l?3`0>_[j`3Shn<0
emOG0<S8b02ZZZX0Ti>C07alO01UIFD0DU9B04A4A00m?Cd0@T9204e=C@1OGel0MGEe08b<S02^[Zh0
`/;20=?Cd`3Ph>00jNWY0>o_k`3clo<0lO7a0>g]k@3WinL0g]kN0=?Cd`30`<00/[:b0:FUY@2JVYX0
TY:B08n?S`2ATI40V9RH0:>SX`03000000070<?3``3=cLd0e=CD0=[JfP3Ng]h0hN7Q0>CTi0020>GU
iKL0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0E0?ooo`0n0?gmo@3lo?`0nOWi0?Ge
m@3`l?00jNWY0=_Kf`3?cll0`/;20;Fe]@2XZ:P0WIfM09:BTP2@T900Ti>C09VIV@2SXj<0[jn_0<?3
``3@d=00g=cL0>GUi@3/k>`0lO7a0?Cdm03bl_80k^k^0>OWi`3MgMd0d=3@0;Ng]`2TY:@0T92@07em
O@1]KFd0HF5Q05]KF`1OGel0JFUY07QhN02:RXX0WYjN0;^k^`3;bl/0f][J0>GUi@3/k>`0lO7a0?Cd
m03bl_80k^k^0>SXj03Ogml0e=CD0<71`@2c/k<0YjNW09bLW02DU9@0T92@09>CT`2JVYX300000008
0;:b/P33`l<0cLg=0=GEe@3Jf]X0gmoO0>7Qh@3Ti>@20>GUiKL0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`0E0?ooo`0m0?gmo@3lo?`0nOWi0?KfmP3`l?00j^[Z0=_Kf`3@d=00`l?30;Jf
]P2YZJT0WYjN09BDU02BTY80UIFE09^KV`2UYJD0/K6a0<G5a@3AdM40g=cL0>KViP3]kNd0l_;b0?Ge
m@3dm?@0lO7a0>c/k03Ti>@0f][J0<O7a`2g]kL0Z:RX09VIV@2<S8`0Ph>307inOP21PH40RHV909FE
U@2SXj<0/k>c0<W9b@3GemL0h^;R0>[ZjP3`l?00m?Cd0?Gem@3clo<0kno_0>SXj03Ogml0eMGE0<;2
`P2e]KD0Z:RX09jNWP2FUYH0TY:B09FEU@03000000090:JVYP2c/k<0a<C40<g=c@3EeMD0fm_K0=oO
g`3QhN40i>CT0080iNGU]`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01D0oooo03`0
oOgm0?clo03inOT0m_Kf0?7al@3Zj^X0gMgM0=7Ad@35aLD0^;Rh0:b/[02QXJ40UiNG09FEU@2HV9P0
WYjN0:NWY`2c/k<0a/K60=?Cd`3Ng]h0inOW0>k^kP3clo<0moOg0?Shn03gmoL0mOGe0?7al@3[jn/0
hN7Q0=WIf@3AdM40bLW90<;2`P2m_Kd0^[Zj0;bl_030`<00a/K60<k>cP3Fe]H0h^;R0>[ZjP3_knl0
m?Cd0?Ogm`3hn?P0moOg0?Cdm03`l?00jNWY0>7Qh@3Fe]H0a<C40;Ng]`2[Zj/0XJ6Q09VIV@2FUYH3
0000000:09^KV`2WYjL0];Bd0<G5a@3>c/h0eMGE0=_Kf`3Ogml0h^;R0>CTi080iNGU]`3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo01D0oooo01T0oOgm0?clo03jn_X0m_Kf0?7al@3[jn/0
gMgM0=;BdP36a/H0^[Zj0:j^[P2SXj<0VIVI09RHV02JVYX0X:2P0:VYZ@2e]KD0b<S80=CDe03Ng]h0
inOW0>o_k`3dm?@0nOWi00<0no_k0180nOWi0?Ogm`3clo<0l?3`0>g]k@3Zj^X0inOW0>GUi@3Ti>@0
iNGU0>KViP3YjNT0k>c/0>o_k`3dm?@0moOg0?Win@3jn_X20?_kn`0;0?Shn03emOD0l?3`0>[ZjP3Q
hN40emOG0<G5a@2i^KT0[Jf]0:>SX`2KVi/00`0000002`2ATI40W9bL0:VYZ@2e]KD0a/K60<o?c`3F
e]H0fm_K0=oOg`3Rh^80i>CT0080iNGU]`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
01D0oooo01X0oOgm0?clo03jn_X0m_Kf0?;blP3[jn/0g]kN0=?Cd`38b<P0^k^k0;2`/02VYZH0W9bL
09ZJVP2LW9`0XZ:R0:^[Z`2g]kL0bLW90=GEe@3Ogml0j>SX0>o_k`3emOD0no_k0?gmo@80oooo00L0
oOgm0?clo03jn_X0n?Sh0?KfmP3emOD0lo?c00<0l_;b01@0lo?c0?Cdm03fm_H0moOg0?[jnP3kno/0
oOgm0?knoP3oool0o_kn0?[jnP3fm_H0lO7a0>_[j`3Rh^80f=SH0<O7a`2j^[X0[jn_0:FUY@<00000
00`0RHV909>CT`2NWYh0ZZZZ0;Jf]P36a/H0clo?0=KFeP3Kfm/0gmoO0>;RhP3Ti>@20>GUiKL0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`0E0?ooo`0i0?gmo@3lo?`0n_[j0?Ogm`3bl_80
k>c/0=oOg`3De=@0bLW90;fm_@2b/[80Z:RX09jNWP2MWId0WinO0:FUY@2^[Zh0^;Rh0<[:bP3Fe]H0
h>3P0>WYj@3`l?00m_Kf0?clo03oool0oOgm0?Win@3emOD0lO7a0>WYj@3Rh^80g=cL0=KFeP3AdM40
cLg=0<_;b`3<c<`0clo?0=CDe03Jf]X0h>3P0>[ZjP3_knl0m?Cd0?Shn03lo?`0oooo0?_kn`3gmoL0
l_;b0>_[j`3Shn<0fMWI0<S8b02l_;`0/K6a00<0000000d0QXJ608b<S02EUID0X:2P0:b/[02h^;P0
alO70=3@d03GemL0g=cL0=oOg`3Rh^80i>CT0080iNGU]`3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo01D0oooo03P0o_kn0?clo03jn_X0moOg0?;blP3/k>`0h>3P0=KFeP3:b/X0_kno0;Bd
]02ZZZX0XJ6Q09nOW`2QXJ40YjNW0;2`/02j^[X0c<c<0=OGe`3QhN40j^[Z0?7al@3gmoL0oOgm0?kn
oP3inOT0m?Cd0>k^kP3WinL0fMWI0<o?c`35aLD0^k^k0;:b/P2/[:`0Z:RX0:^[Z`2`/;00^;Rh0<71
`@3<c<`0fm_K0>CTi03/k>`0lo?c0?Shn03lo?`0oOgm0?Shn03clo<0k>c/0>CTi03Jf]X0bLW90;jn
_P<0000000h0QXJ608R8R02>SXh0UiNG0::RXP2][Jd0^KVi0<S8b03@d=00emOG0=cLg03Ph>00h^;R
0>CTi080iNGU]`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01D0oooo03L0o_kn0?cl
o03jn_X0moOg0??cl`3]kNd0hN7Q0=OGe`3=cLd0`L710;Ng]`2^[Zh0YJFU0:>SX`2UYJD0Zj^[0;>c
/`2m_Kd0c/k>0=WIf@3Shn<0jn_[0?;blP3hn?P0oooo0?_kn`3emOD0kno_0>KViP3Kfm/0alO70;Rh
^02YZJT0VYZJ08f=S@24Q8@0Ogmo08:2PP2:RXX0UYJF0:BTY02c/k<0b/[:0=OGe`3Shn<0k>c/0?Cd
m03inOT0o_kn0?Win@3dm?@0kNg]0>GUi@3Lg=`0c<c<00<0000000l0SHf=08Z:RP2<S8`0TY:B09ZJ
VP2UYJD0/;2`0;^k^`39bLT0dM7A0=SHf03Lg=`0h>3P0>;RhP3Ti>@00P3UiNFg0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool05@3oool0=P3no_h0o?cl0?[jnP3gmoL0lo?c0>k^kP3Rh^80
fMWI0<k>cP33`l<0^KVi0;2`/02XZ:P0YZJV0:RXZ02][Jd0]KFe0;no_`3?cll0f][J0>?Sh`3/k>`0
l_;b0?Shn03oool0n_[j0?Cdm03/k>`0h^;R0=KFeP2o_kl0[Jf]09bLW02;Rh/0O7al079bLP1/K6`0
L71`07UiN@26QXH0UYJF0:RXZ032`/80dM7A0=kNgP3YjNT0lO7a0?Shn03oool0n_[j0?Cdm03^k^h0
i^KV0=gMg@<000000100UYJF092@T02=SHd0Shn?09BDU02MWId0YjNW0;6a/@2l_;`0b/[:0=;BdP3H
f=P0gMgM0>3Ph03Rh^80i>CT0P3UiNFg0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
5@3oool0=@3no_h0o?cl0?_kn`3hn?P0m?Cd0>k^kP3Shn<0f][J0=3@d035aLD0^k^k0;>c/`2[Zj/0
ZJVY0:^[Z`2`/;00^;Rh0<71`@3AdM40fm_K0>CTi03/k>`0lo?c0?Win@3oool0nOWi0?;blP3Zj^X0
gmoO0=;BdP2j^[X0YjNW09>CT`21PH40LW9b06IVIP1PH600I6AT06i^KP1lO7`0SXj>0:6QX@2m_Kd0
c/k>0=cLg03WinL0l?3`0?Ogm`3oool0n_[j0?Gem@3^k^h0inOW00<000000140XJ6Q09VIV@2CTi<0
T92@09:BTP2GUiL0WinO0:VYZ@2c/k<0_Kfm0<_;b`3Cdm<0fMWI0=gMg@3Ph>00h^;R0>CTi0020>GU
iKL0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0E0?ooo`0d0?knoP3moOd0no_k0?Sh
n03dm?@0kno_0>CTi03Kfm/0dM7A0<O7a`2n_[h0]KFe0:f][@2/[:`0[Zj^0;>c/`2j^[X0`l?30=?C
d`3Lg=`0iNGU0>g]k@3dm?@0nOWi0?knoP3inOT0l_;b0>WYj@3Ogml0dM7A0;Rh^02TY:@0T92@07in
OP1^KVh0HV9R05aLG01PH600JFUY07QhN02;Rh/0WYjN0;^k^`3<c<`0fm_K0>KViP3`l?00moOg0?oo
o`3kno/0mOGe0>o_k`<000000180[Jf]0:>SX`2KVi/0UIFE09>CT`2DU9@0VYZJ0:6QX@2[Zj/0]KFe
0;no_`3<c<`0dm?C0=WIf@3MgMd0h>3P0>?Sh`3Ti>@20>GUiKL0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`0E0?ooo`0c0?knoP3moOd0no_k0?Shn03dm?@0kno_0>GUi@3Lg=`0dm?C0<W9
b@30`<00^;Rh0;2`/02_[jl0/K6a0;Fe]@2m_Kd0a/K60=CDe03Ng]h0i^KV0>k^kP3dm?@0nOWi0?kn
oP3inOT0l_;b0>[ZjP3Ogml0d];B0;Vi^@2VYZH0TY:B0820P01`L700I6AT05iNGP1RHV80K6a/07Yj
NP2<S8`0X:2P0;bl_03=cLd0fm_K0>OWi`3`l?00moOg0?ooo`3kno/0m_Kf00<0000001<0^KVi0:n_
[`2VYZH0WYjN09RHV02EUID0UiNG09bLW02TY:@0[Jf]0;Jf]P30`<00cLg=0=CDe03IfMT0g]kN0>7Q
h@3Shn<0i>CT0080iNGU]`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01D0oooo0380
o_kn0?gmo@3kno/0n?Sh0?Gem@3`l?00i^KV0=kNgP3EeMD0bl_;0<;2`P2k^k/0/k>c0;:b/P2d];@0
^;Rh0;no_`38b<P0e]KF0=oOg`3WinL0k^k^0?Cdm03jn_X0o_kn0?Win@3clo<0jn_[0>7Qh@3De=@0
_Kfm0:^[Z`2HV9P0QhN707QhN01]KFd0IfMW06][J`1dM7@0PX:209>CT`2UYJD0`<300=3@d03MgMd0
j>SX0?7al@3gmoL0oooo0?_kn`<0000001@0b<S80;Zj^P2a/K40Z:RX0:2PX02KVi/0V9RH09ZJVP2O
Wil0YZJV0:n_[`2h^;P0`L710<k>cP3EeMD0f][J0=kNgP3QhN40hn?S0>CTi080iNGU]`3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo01D0oooo0340o_kn0?gmo@3kno/0nOWi0?Gem@3alO40
inOW0>3Ph03GemL0c/k>0<K6aP2n_[h0^;Rh0;Jf]P2h^;P0_;bl0<?3``3;bl/0f=SH0>7Qh@3YjNT0
kno_0?Gem@3jn_X0oooo0?[jnP3emOD0k^k^0>KViP3Kfm/0alO70;Rh^02XZ:P0VYZJ08f=S@24Q8@0
Ogmo08:2PP2:RXX0UYJF0:BTY02c/k<0b/[:0=OGe`3Shn<0k>c/0??cl`3inOT0oooo00<0000001@0
dM7A0<[:bP2m_Kd0];Bd0:^[Z`2TY:@0WinO09fMW@2OWil0Xj>S0:ZZZP2b/[80^k^k0<C4a03?cll0
e]KF0=_Kf`3Ng]h0hN7Q0>?Sh`80iNGU^03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
01D0oooo0300o_kn0?gmo@3kno/0nOWi0?KfmP3alO40j>SX0>7Qh@3IfMT0d=3@0<S8b031`L40^[Zj
0;Vi^@2k^k/0_kno0<G5a@3=cLd0f][J0>;RhP3YjNT0l?3`0?Gem@3jn_X0oooo0?clo03gmoL0lO7a
0>[ZjP3QhN40d=3@0<C4a02g]kL0ZZZZ0:2PX02HV9P0U9BD09NGU`2MWId0YjNW0;>c/`30`<00dm?C
0=kNgP3WinL0kno_0?Gem@3jn_X30000000E0=SHf03Bd]80bl_;0;jn_P2f][H0[Zj^0:NWY`2RXZ80
X:2P0:6QX@2VYZH0[:b/0;Bd]02m_Kd0aLG50=3@d03Fe]H0fm_K0=oOg`3QhN40hn?S0080iNGU^03V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo01D0oooo02l0o_kn0?gmo@3lo?`0nOWi0?Kf
mP3bl_80jNWY0>;RhP3Jf]X0d];B0<[:bP34a<@0_Kfm0;bl_02n_[h0`/;20<S8b03?cll0fm_K0>?S
h`3Zj^X0l?3`0?Gem@3jn_X0oooo0?gmo@3inOT0mOGe0>o_k`3Xj>P0fm_K0=7Ad@37alL0_Kfm0;Fe
]@2_[jl0[:b/0:j^[P2c/k<0^k^k0<C4a03>c/h0gMgM0>GUi@3]kNd0lo?c0?Shn0030000000F0=gM
g@3Hf=P0dm?C0<c<c030`<00^;Rh0;2`/02ZZZX0YJFU0:>SX`2TY:@0Z:RX0:n_[`2f][H0_[jn0<K6
aP3AdM40emOG0=_Kf`3Ogml0hN7Q0>?Sh`80iNGU^03Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo01D0oooo01P0o_kn0?gmo@3lo?`0n_[j0?Ogm`3clo<0j^[Z0>?Sh`3Lg=`0e=CD0<g=c@36
a/H0`<300;no_`31`L40a<C40<[:bP3AdM40gMgM0>CTi03[jn/0lO7a0?KfmP3jn_X20?knoP0D0?_k
n`3hn?P0m?Cd0>o_k`3Vi^H0gmoO0=SHf03AdM40c<c<0<S8b035aLD0alO70<[:bP3?cll0e]KF0=gM
g@3WinL0kNg]0??cl`3gmoL30000000G0>7Qh@3MgMd0fMWI0=?Cd`3=cLd0`/;20;Zj^P2c/k<0[:b/
0:RXZ02VYZH0YjNW0:^[Z`2a/K40^;Rh0<30`038b<P0d];B0=SHf03Lg=`0gmoO0>;RhP3Shn<00P3U
iNFh0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool05@3oool0;@3no_h0oOgm0?clo03j
n_X0moOg0??cl`3[jn/0iNGU0=kNgP3Fe]H0clo?0<W9b@33`l<0`/;20<?3``37alL0cLg=0=?Cd`3N
g]h0i^KV0>c/k03bl_80m_Kf0?Win@3moOd0oooo0?knoP3lo?`0nOWi0?KfmP3alO40kNg]0>WYj@3V
i^H0h^;R0>3Ph03Ogml0h>3P0>;RhP3UiND0j>SX0>c/k03bl_80mOGe0?Shn0030000000H0>?Sh`3Q
hN40gMgM0=WIf@3De=@0c/k>0<?3``2l_;`0]KFe0:n_[`2[Zj/0ZJVY0:ZZZP2^[Zh0/k>c0;Zj^P32
`/80bLW90=?Cd`3Hf=P0g=cL0>3Ph03Rh^80hn?S0P3UiNFh0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool05@3oool20?knoP0H0?clo03jn_X0n?Sh0?Cdm03]kNd0inOW0>3Ph03IfMT0d];B
0<g=c@37alL0a/K60<S8b03;bl/0d=3@0=KFeP3QhN40inOW0>g]k@3bl_80m_Kf0?Win@3lo?`0oOgm
1@3no_h30?gmo@H0o?cl0P3moOd20?knoP<0000001T0i>CT0>;RhP3Ph>00g]kN0=[JfP3EeMD0d=3@
0<K6aP2o_kl0^;Rh0;>c/`2_[jl0[Jf]0:j^[P2b/[80]kNg0;fm_@34a<@0bl_;0=CDe03IfMT0gMgM
0>3Ph03Rh^80i>CT0080iNGU^03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01D0oooo
0P3no_h05P3lo?`0no_k0?Shn03emOD0k^k^0>SXj03QhN40fm_K0=GEe@3?cll0b/[:0<W9b@3:b/X0
c/k>0=;BdP3Hf=P0h^;R0>WYj@3^k^h0lo?c0?Ogm`3inOT30?clo00@0?_kn`3jn_X0n?Sh0?Cdm03b
l_80k^k^0>c/k03YjNT0inOW0>KViP3WinL0jNWY0>_[j`3^k^h0lO7a0?Gem@<0000001X0h^;R0>?S
h`3Rh^80h>3P0=kNgP3Jf]X0e]KF0=7Ad@37alL0`L710;Zj^P2e]KD0/K6a0;2`/02a/K40];Bd0;Vi
^@2o_kl0a/K60<c<c03EeMD0f][J0=gMg@3Ph>00h^;R0>CTi080iNGU^03Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo01D0oooo0P3no_h05P3moOd0no_k0?Shn03emOD0k^k^0>WYj@3Shn<0
gMgM0=OGe`3Bd]80cLg=0<c<c03=cLd0d=3@0=GEe@3Jf]X0i>CT0>[ZjP3_knl0lo?c0?Ogm`3inOT3
0?_kn`0?0?Win@3fm_H0lo?c0>c/k03WinL0h^;R0=gMg@3IfMT0e]KF0=CDe03EeMD0f=SH0=cLg03Q
hN40i^KV00<0000001/0gmoO0>7Qh@3Rh^80hN7Q0>3Ph03Ng]h0fm_K0=OGe`3Bd]80bLW90<?3``2m
_Kd0^;Rh0;Bd]02b/[80];Bd0;Ng]`2l_;`0`L710<O7a`3>c/h0e]KF0=[JfP3Ng]h0hN7Q0>;RhP3T
i>@00P3UiNFh0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool05P3oool02`3no_h0oOgm
0?_kn`3inOT0m_Kf0>o_k`3Zj^X0i>CT0=oOg`3IfMT0e=CD0080clo?00X0d=3@0=?Cd`3GemL0g=cL
0>GUi@3[jn/0l?3`0?Cdm03gmoL0nOWi0P3kno/03`3inOT0moOg0??cl`3_knl0i^KV0=oOg`3Hf=P0
d];B0<c<c038b<P0a/K60<O7a`3:b/X0d=3@0=KFeP03000000030=WIf@3Lg=`0gmoO0080hN7Q01L0
h>3P0=kNgP3Kfm/0f=SH0=?Cd`3:b/X0a<C40;no_`2j^[X0]kNg0;Fe]@2f][H0^KVi0;jn_P33`l<0
bLW90<o?c`3GemL0fm_K0=kNgP3QhN40hn?S0>CTi0020>GUiKP0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`0F0?ooo`0W0?knoP3moOd0no_k0?Win@3fm_H0l?3`0>_[j`3Vi^H0h>3P0=_K
f`3Fe]H0d];B0=7Ad@3Bd]80eMGE0=WIf@3Ng]h0inOW0>c/k03alO40mOGe0?Ogm`3inOT0no_k0?[j
nP3hn?P0mOGe0?7al@3/k>`0hN7Q0=WIf@3AdM40bLW90<;2`P2n_[h0^k^k0;fm_@31`L40alO700<0
000001d0d=3@0=KFeP3Kfm/0g]kN0>3Ph03QhN40h>3P0=oOg`3Lg=`0f=SH0=CDe03<c<`0a/K60<71
`@2l_;`0^KVi0;Rh^02i^KT0_;bl0<30`035aLD0bl_;0=3@d03Hf=P0g=cL0=oOg`3QhN40hn?S0>CT
i0020>GUiKP0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0F0?ooo`0F0?knoP3moOd0
o?cl0?[jnP3gmoL0lO7a0>g]k@3Xj>P0hn?S0=kNgP3Jf]X0e]KF0=GEe@3Fe]H0f=SH0=cLg03QhN40
jNWY0>g]k@3bl_80mOGe0?Shn0<0n_[j00d0n?Sh0?Cdm03`l?00jNWY0=kNgP3EeMD0bl_;0<;2`P2k
^k/0]KFe0;:b/P2d];@0^KVi00<0000001h0a/K60<k>cP3De=@0fMWI0=gMg@3Ph>00hN7Q0>3Ph03O
gml0gMgM0=WIf@3EeMD0c/k>0<W9b@34a<@0`<300;fm_@2k^k/0_;bl0;no_`33`l<0b<S80<g=c@3B
d]80fMWI0=cLg03Ogml0h^;R0>?Sh`3Ti>@20>GUiKP0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`0F0?ooo`0U0?knoP3moOd0o?cl0?[jnP3gmoL0l_;b0>k^kP3YjNT0i>CT0>3Ph03Lg=`0
f=SH0=OGe`3Hf=P0fm_K0=kNgP3Shn<0j^[Z0>k^kP3clo<0m_Kf0?Shn03jn_X0no_k0?[jnP3hn?P0
m?Cd0>o_k`3YjNT0gMgM0=CDe03;bl/0`/;20;Zj^P2d];@0/K6a0;>c/`03000000070;Rh^035aLD0
cLg=0=CDe03IfMT0gMgM0>3Ph0020>7Qh@0F0=oOg`3MgMd0f][J0=KFeP3?cll0b/[:0<K6aP32`/80
_kno0;jn_P2o_kl0`L710<G5a@39bLT0c/k>0=?Cd`3IfMT0gMgM0>3Ph03Rh^80hn?S0>CTi080iNGU
^03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01H0oooo00/0o_kn0?gmo@3lo?`0n_[j
0?Shn03clo<0kno_0>_[j`3Vi^H0h^;R0=kNgP020=[JfP0G0=_Kf`3MgMd0h>3P0>CTi03[jn/0kno_
0??cl`3fm_H0nOWi0?[jnP3kno/0n_[j0?Shn03emOD0l?3`0>[ZjP3Ng]h0eMGE0<c<c034a<@0_;bl
0;Ng]`2d];@00`000000202`/;00^KVi0<K6aP3>c/h0eMGE0=[JfP3MgMd0h>3P0P3QhN405`3Ph>00
g]kN0=_Kf`3GemL0dM7A0<c<c038b<P0a<C40<;2`P30`<00`L710<?3``37alL0bl_;0=3@d03De=@0
f][J0=gMg@3Ph>00h^;R0>?Sh`3Ti>@0iNGU0;T0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`0F0?ooo`0F0?knoP3moOd0o?cl0?_kn`3hn?P0m?Cd0?3`l03/k>`0j>SX0>CTi03Ph>00gMgM
0=cLg03MgMd0gmoO0>;RhP3Vi^H0k>c/0?3`l03dm?@0moOg0?Win@80no_k00/0n_[j0?Shn03emOD0
lO7a0>_[j`3QhN40f=SH0=3@d038b<P0`L710;bl_0030000000O0:b/[02d];@0_;bl0<W9b@3@d=00
e]KF0=_Kf`3Ng]h0h>3P0>;RhP3QhN40h>3P0=kNgP3Kfm/0f=SH0=;BdP3>c/h0b/[:0<K6aP34a<@0
`/;20<?3``36a/H0bLW90<g=c@3AdM40eMGE0=_Kf`3Ng]h0h>3P0>;RhP020>CTi0030>GUi@3Vi^H0
i^KV0;L0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0F0?ooo`80o_kn01@0o?cl0?_k
n`3inOT0mOGe0?7al@3]kNd0jNWY0>GUi@3Rh^80gmoO0=kNgP3Ogml0hN7Q0>CTi03Xj>P0k^k^0?7a
l@3emOD0n?Sh0?[jnP<0no_k00T0nOWi0?KfmP3clo<0k^k^0>CTi03MgMd0eMGE0<k>cP38b<P00`00
00002P2][Jd0/k>c0;Vi^@31`L40c<c<0=;BdP3Hf=P0g=cL0=oOg`3QhN420>;RhP090>7Qh@3Ogml0
g=cL0=WIf@3Cdm<0clo?0<_;b`38b<P0a/K60080aLG500X0b<S80<_;b`3>c/h0d];B0=KFeP3Lg=`0
g]kN0>7Qh@3Rh^80i>CT0P3UiNFi0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool05P3o
ool20?knoP0O0?gmo@3kno/0nOWi0?Gem@3bl_80k^k^0>_[j`3WinL0i>CT0>7Qh@3Ph>00hN7Q0>?S
h`3Vi^H0jNWY0>o_k`3bl_80mOGe0?Shn03jn_X0no_k0?clo03kno/0n_[j0?Shn03emOD0l?3`0>SX
j03Rh^80g=cL0=KFeP030000000;0;:b/P2f][H0^[Zj0<30`037alL0d=3@0=GEe@3Jf]X0gMgM0>3P
h03QhN400P3Rh^805@3QhN40gmoO0=gMg@3Jf]X0e=CD0=7Ad@3=cLd0b/[:0<S8b037alL0b<S80<W9
b@3<c<`0d=3@0=CDe03GemL0g=cL0=oOg`3QhN40hn?S0>CTi0020>GUiKT0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`0G0?ooo`0G0?knoP3moOd0o?cl0?[jnP3fm_H0lo?c0?3`l03]kNd0
jNWY0>KViP3Ti>@0hn?S0>CTi03Vi^H0j>SX0>_[j`3`l?00m?Cd0?KfmP3inOT0no_k0?clo03moOd0
0P3lo?`01P3jn_X0n?Sh0?Gem@3_knl0jn_[0>OWi`<0000000/0`L710<;2`P34a<@0b<S80<c<c03@
d=00emOG0=[JfP3MgMd0h>3P0>;RhP030>?Sh`090>;RhP3Ph>00g]kN0=_Kf`3Fe]H0dm?C0<o?c`3=
cLd0bl_;0080b/[:00X0c<c<0<o?c`3Bd]80eMGE0=WIf@3MgMd0h>3P0>;RhP3Shn<0i>CT0P3UiNFi
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool05`3oool05P3no_h0oOgm0?clo03jn_X0
moOg0?Cdm03alO40k^k^0>_[j`3Xj>P0i^KV0>GUi@3Vi^H0inOW0>[ZjP3]kNd0lO7a0?Cdm03gmoL0
nOWi0?_kn`3lo?`30?gmo@050?clo03jn_X0n?Sh0?Cdm03alO400`0000002`3=cLd0c<c<0<g=c@3?
cll0dM7A0=CDe03GemL0fm_K0=kNgP3Ph>00h^;R0080hn?S00/0i>CT0>?Sh`3Rh^80h>3P0=kNgP3L
g=`0emOG0=CDe03AdM40c/k>0<g=c@020<c<c00:0<k>cP3@d=00dm?C0=KFeP3Jf]X0g]kN0>3Ph03R
h^80hn?S0>CTi080iNGU^@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01L0oooo00X0
o_kn0?gmo@3lo?`0no_k0?Ogm`3emOD0l_;b0>o_k`3/k>`0j^[Z0P3WinL02P3Xj>P0jNWY0>_[j`3^
k^h0l_;b0?Gem@3hn?P0n_[j0?_kn`3moOd30?knoP040?gmo@3lo?`0no_k0?Win@<0000000<0fMWI
0=SHf03GemL00P3Hf=P01`3Jf]X0fm_K0=gMg@3Ph>00hN7Q0>;RhP3Shn<00`3Ti>@05P3Shn<0h^;R
0>7Qh@3Ogml0g=cL0=SHf03EeMD0d];B0=3@d03>c/h0cLg=0<k>cP3@d=00d];B0=GEe@3GemL0f][J
0=kNgP3Ph>00h^;R0>?Sh`3Ti>@20>GUiKT0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`0G0?ooo`0:0?knoP3moOd0o?cl0?_kn`3hn?P0m_Kf0??cl`3`l?00k^k^0>_[j`<0jNWY00T0jn_[
0>g]k@3_knl0lo?c0?KfmP3hn?P0n_[j0?clo03moOd00P3no_h20?ooo`80o_kn0`0000020>;RhP<0
hN7Q0P3Rh^820>?Sh`80i>CT103UiND20>CTi00C0>?Sh`3QhN40gmoO0=gMg@3IfMT0e]KF0=CDe03B
d]80d=3@0<o?c`3@d=00dM7A0=?Cd`3Fe]H0f=SH0=_Kf`3Ogml0hN7Q0>;RhP020>CTi080iNGU^@3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo01L0oooo0P3no_h0503moOd0no_k0?Win@3f
m_H0m?Cd0?7al@3_knl0kNg]0>_[j`3Zj^X0jn_[0>c/k03^k^h0l?3`0?Cdm03gmoL0nOWi0?_kn`3l
o?`0oOgm1@3oool300000080hn?S1@3Rh^820>?Sh`80i>CT0`3UiND20>KViP0;0>GUi@3Ti>@0hn?S
0>;RhP3Ph>00g]kN0=[JfP3GemL0eMGE0=?Cd`3Bd]800P3AdM402@3Cdm<0eMGE0=OGe`3IfMT0g=cL
0=oOg`3QhN40hn?S0>CTi0020>GUiKX0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0G
0?ooo`80o_kn00P0oOgm0?clo03inOT0moOg0?Gem@3clo<0lO7a0>o_k`<0kNg]00T0k^k^0?3`l03b
l_80mOGe0?Shn03jn_X0no_k0?gmo@3no_h00`3oool04`3no_h00000000000000000g]kN0=cLg03J
f]X0fMWI0=SHf03GemL0f=SH0=WIf@3Jf]X0g=cL0=gMg@3Ph>00hN7Q0>?Sh`3Ti>@00`3UiND05@3T
i>@0hn?S0>;RhP3Ph>00gmoO0=_Kf`3IfMT0emOG0=GEe@3De=@0dm?C0=CDe03EeMD0e]KF0=WIf@3K
fm/0gMgM0>3Ph03Rh^80hn?S0>CTi0020>GUiKX0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`0H0?ooo`090?knoP3moOd0o?cl0?[jnP3hn?P0m_Kf0?Cdm03bl_80l?3`00<0k^k^00T0kno_
0?7al@3clo<0m_Kf0?Shn03jn_X0o?cl0?gmo@3no_h00P3oool05@3no_h00000000000000000gMgM
0=_Kf`3IfMT0e]KF0=CDe03Cdm<0d];B0=?Cd`3De=@0e]KF0=SHf03Jf]X0g]kN0>3Ph03Rh^80hn?S
0>CTi0030>GUi@080>CTi03Rh^80hN7Q0=oOg`3Lg=`0f][J0=SHf03Fe]H30=GEe@090=KFeP3Hf=P0
f][J0=cLg03Ng]h0h>3P0>;RhP3Shn<0i>CT0080iNGU^P3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo01P0oooo01D0o_kn0?gmo@3lo?`0n_[j0?Shn03gmoL0mOGe0??cl`3alO40l?3`0>o_
k`3`l?00lO7a0?;blP3dm?@0moOg0?Win@3jn_X0o?cl0?gmo@3no_h00P3oool3000000070=oOg`3L
g=`0fMWI0=KFeP3De=@0dM7A0=3@d0020<o?c`0D0=7Ad@3Cdm<0eMGE0=SHf03Lg=`0gmoO0>7Qh@3R
h^80i>CT0>GUi@3Vi^H0iNGU0>CTi03Shn<0hN7Q0>3Ph03MgMd0fm_K0=WIf@3GemL30=KFeP090=OG
e`3IfMT0f][J0=cLg03Ng]h0hN7Q0>;RhP3Shn<0i>CT0080iNGU^P3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo01P0oooo00T0o_kn0?gmo@3moOd0no_k0?Win@3gmoL0m_Kf0?Cdm03bl_80
0`3alO402P3bl_80lo?c0?Gem@3hn?P0nOWi0?_kn`3lo?`0oOgm0?knoP3oool30000000O0>7Qh@3O
gml0fm_K0=SHf03EeMD0d];B0=3@d03>c/h0cLg=0<k>cP3?cll0dM7A0=CDe03GemL0g=cL0=kNgP3P
h>00h^;R0>CTi03UiND0i^KV0>GUi@3Ti>@0hn?S0>;RhP3Ph>00g]kN0=cLg03Jf]X0fMWI0=SHf002
0=OGe`070=SHf03Jf]X0fm_K0=gMg@3Ogml0hN7Q0>?Sh`020>CTi080iNGU^P3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo01P0oooo0P3no_h01`3moOd0no_k0?[jnP3hn?P0m_Kf0?Gem@3c
lo<00`3bl_801`3clo<0m?Cd0?KfmP3hn?P0n_[j0?_kn`3lo?`00P3no_h30000000Q0>;RhP3QhN40
gmoO0=_Kf`3Hf=P0eMGE0=;BdP3?cll0cLg=0<c<c03=cLd0clo?0=7Ad@3De=@0emOG0=_Kf`3Ng]h0
h>3P0>;RhP3Shn<0iNGU0>KViP3UiND0i>CT0>?Sh`3Rh^80hN7Q0=kNgP3MgMd0fm_K0=[JfP3IfMT0
f=SH0080fMWI00H0fm_K0=cLg03Ng]h0gmoO0>;RhP3Shn<20>CTi080iNGU^P3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo01P0oooo0P3no_h01`3moOd0no_k0?[jnP3inOT0moOg0?KfmP3d
m?@00`3clo<0203dm?@0mOGe0?KfmP3inOT0n_[j0?clo03moOd0o_kn0`0000008P3Ti>@0hn?S0>7Q
h@3Ogml0fm_K0=SHf03EeMD0d];B0=3@d03>c/h0cLg=0<k>cP3?cll0d];B0=CDe03GemL0g=cL0=kN
gP3Ph>00h^;R0>CTi03UiND0i^KV0>GUi@3Ti>@0hn?S0>;RhP3QhN40gmoO0=gMg@3Lg=`0fm_K0=[J
fP3IfMT20=[JfP070=cLg03MgMd0gmoO0>3Ph03Rh^80hn?S0>CTi0030>GUiKX0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`0I0?ooo`0:0?knoP3moOd0o?cl0?_kn`3inOT0n?Sh0?Ogm`3f
m_H0mOGe0?Cdm080mOGe00H0m_Kf0?Shn03jn_X0no_k0?clo03moOd30000000H0>GUi@3Ti>@0hn?S
0>;RhP3Ph>00g=cL0=[JfP3GemL0eMGE0=;BdP3AdM40d=3@0=7Ad@3Bd]80e=CD0=KFeP3IfMT0gMgM
0=oOg`3QhN40hn?S0>CTi03UiND0i^KV0P3UiND01`3Ti>@0hn?S0>;RhP3Ph>00g]kN0=gMg@3Lg=`0
0`3Kfm/0203Lg=`0gMgM0=kNgP3Ogml0hN7Q0>;RhP3Shn<0i>CT0`3UiNFj0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool06@3oool02P3no_h0oOgm0?clo03kno/0n_[j0?Win@3hn?P0moOg
0?KfmP3emOD20?KfmP050?Ogm`3hn?P0n_[j0?_kn`3lo?`00`000000303Vi^H0iNGU0>CTi03Shn<0
h^;R0>3Ph03Ng]h0fm_K0=WIf@3GemL0eMGE0=CDe080dm?C00/0e=CD0=KFeP3Hf=P0fm_K0=kNgP3P
h>00h^;R0>?Sh`3Ti>@0iNGU0>KViP020>GUi@070>CTi03Shn<0h^;R0>3Ph03Ogml0g]kN0=gMg@03
0=cLg0060=gMg@3Ng]h0gmoO0>3Ph03QhN40hn?S0P3Ti>@30>GUiKX0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`0I0?ooo`80o_kn00H0o?cl0?_kn`3jn_X0nOWi0?Shn03gmoL30?KfmP05
0?Ogm`3hn?P0nOWi0?_kn`3lo?`00`0000003@3UiND0i^KV0>GUi@3UiND0i>CT0>?Sh`3QhN40gmoO
0=gMg@3Kfm/0fMWI0=SHf03GemL00P3Fe]H02`3GemL0fMWI0=_Kf`3Lg=`0gmoO0>7Qh@3Rh^80hn?S
0>CTi03UiND0i^KV0080iNGU00L0i>CT0>?Sh`3Rh^80hN7Q0>3Ph03Ogml0g]kN00@0gMgM00D0g]kN
0=oOg`3Ph>00h^;R0>?Sh`020>CTi080iNGU^`3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo01T0oooo0P3no_h01P3moOd0o?cl0?_kn`3jn_X0nOWi0?Shn0<0moOg00@0n?Sh0?Win@3inOT0
no_k0`0000020>GUi@0=0>KViP3UiND0iNGU0>CTi03Shn<0h^;R0>3Ph03Ogml0gMgM0=cLg03Kfm/0
f][J0=WIf@020=[JfP070=cLg03MgMd0g]kN0>7Qh@3Rh^80hn?S0>CTi0020>GUi@030>KViP3UiND0
iNGU0080i>CT00@0hn?S0>7Qh@3Ph>00gmoO1@3Ng]h01P3Ogml0h>3P0>7Qh@3Rh^80hn?S0>CTi0<0
iNGU^`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01T0oooo0P3no_h0103moOd0o?cl
0?_kn`3jn_X20?Win@@0n?Sh00<0nOWi0?[jnP0000000P0000000`3Ti>@0iNGU0>GUi@020>KViP80
iNGU00L0i>CT0>?Sh`3Rh^80hN7Q0>3Ph03Ogml0g]kN00<0gMgM0P3Ng]h01@3Ogml0h>3P0>;RhP3S
hn<0i>CT00<0iNGU00<0i^KV0>GUi@3UiND00P3Ti>@0103Shn<0h^;R0>7Qh@3Ph>020=oOg`80g]kN
00D0gmoO0>3Ph03Ph>00hN7Q0>;RhP020>CTi0<0iNGU^`3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo01X0oooo00D0o_kn0?gmo@3moOd0o?cl0?_kn`020?[jnP@0nOWi00@0n_[j00000000
000000000P3Ti>@20>GUi@<0i^KV0`3UiND00`3Ti>@0hn?S0>?Sh`030>;RhP040>7Qh@3Rh^80h^;R
0>;RhP80hn?S00@0i>CT0>GUi@3UiND0iNGU0`3Vi^H30>GUi@030>CTi03Shn<0h^;R0080hN7Q0P3P
h>020=oOg`80h>3P00<0hN7Q0>;RhP3Shn<00P3Ti>@30>GUiK/0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`0J0?ooo`80o_kn00@0oOgm0?clo03kno/0no_k0P3jn_X00`3inOT0n_[j0?[j
nP03000000030>?Sh`3Ti>@0iNGU0080iNGU1@3Vi^H50>GUi@D0i>CT1@3UiND50>KViP<0iNGU0P3T
i>@0103Shn<0h^;R0>7Qh@3QhN440>3Ph0050>7Qh@3Rh^80h^;R0>?Sh`3Ti>@00`3UiNFl0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool06P3oool20?knoP030?gmo@3lo?`0o?cl0080no_k
0`3jn_X3000000030>?Sh`3Ti>@0i>CT00<0iNGU203Vi^H90>GUi@P0i^KV0`3UiND20>CTi0030>?S
h`3Rh^80h^;R0080hN7Q00D0h>3P0>7Qh@3QhN40hN7Q0>;RhP020>?Sh`040>CTi03UiND0iNGU0>GU
iK`0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0K0?ooo`030?knoP3moOd0oOgm0080
o?cl0`3kno/3000000040>;RhP3Shn<0i>CT0>CTi0<0iNGU0`3Vi^H40>GUi@@0i>CT0`3Shn<40>CT
i0@0iNGU0`3Vi^H30>GUi@80i>CT0P3Shn<00`3Rh^80hN7Q0>7Qh@030>7Qh@80h^;R00<0hn?S0>CT
i03Ti>@00`3UiNFl0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool06`3oool20?knoP80
oOgm0P3lo?`01P3kno/00000000000000000h^;R0>?Sh`<0i>CT0`3UiND20>KViP@0iNGU0P3Ti>@2
0>?Sh`D0h^;R0P3Shn<20>CTi0@0iNGU0P3Vi^H40>GUi@030>CTi03Shn<0hn?S00<0h^;R00@0hN7Q
0>;RhP3Rh^80h^;R0P3Shn<00`3Ti>@0iNGU0>GUi@020>GUiK`0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`0K0?ooo`80o_kn0P3moOd20?clo0<0000000<0h^;R0>?Sh`3Shn<00P3Ti>@4
0>GUi@030>KViP3UiND0iNGU0080iNGU0P3Ti>@20>?Sh`80h^;R103QhN420>;RhP030>?Sh`3Ti>@0
i>CT00@0iNGU00<0i^KV0>GUi@3UiND00P3UiND20>CTi080hn?S1@3Rh^820>?Sh`80i>CT103UiNFl
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool06`3oool30?knoP80oOgm0`0000040>?S
h`80i>CT103UiND00`3Vi^H0iNGU0>GUi@020>GUi@040>CTi03Shn<0hn?S0>;RhP<0hN7Q0P3Ph>02
0>7Qh@040>;RhP3Shn<0i>CT0>CTi0@0iNGU00<0i^KV0>GUi@3UiND00`3UiND20>CTi0<0hn?S00<0
h^;R0>?Sh`3Shn<00P3Shn<20>CTi0<0iNGU_@3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo01/0oooo0`3no_h0103moOd000000000000000040>?Sh`80i>CT1@3UiND00`3Vi^H0iNGU0>GU
i@020>GUi@040>CTi03Shn<0hn?S0>;RhP80hN7Q0`3Ph>020>7Qh@040>;RhP3Shn<0i>CT0>CTi0@0
iNGU0P3Vi^H40>GUi@80i>CT1`3Shn<30>CTi0<0iNGU_@3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo01`0oooo0P3no_h3000000@0hn?S0`3Ti>@40>GUi@80i^KV103UiND20>CTi0030>?S
h`3Rh^80h^;R00H0hN7Q00@0h^;R0>?Sh`3Ti>@0i>CT103UiND20>KViP@0iNGU0`3Ti>@50>?Sh`<0
i>CT103UiNFm0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0703oool01@3no_h00000
000000000000i>CT00<0hn?S0`3Ti>@50>GUi@<0i^KV0`3UiND20>CTi080hn?S0P3Rh^840>7Qh@80
h^;R00<0hn?S0>CTi03Ti>@00`3UiND30>KViPD0iNGU103Ti>@00`3Shn<0i>CT0>CTi0030>CTi0<0
iNGU_P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01`0oooo0`0000080>CTi0@0iNGU
103Vi^H40>GUi@030>CTi03Shn<0hn?S00L0h^;R0P3Shn<00`3Ti>@0iNGU0>GUi@020>GUi@@0i^KV
103UiND90>CTi0@0iNGU_P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01/0oooo0`00
00000`3UiND0i>CT0>CTi0050>CTi0D0iNGU1@3Vi^H30>GUi@<0i>CT1`3Shn<20>CTi0@0iNGU1@3V
i^H50>GUi@L0i>CT1@3UiNFn0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool06P3oool3
000000<0iNGU1@3Ti>@50>GUi@L0i^KV0`3UiND40>CTi0<0hn?S103Ti>@40>GUi@H0i^KV1@3UiND5
0>CTi0D0iNGU_`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01T0oooo0`0000050>GU
i@<0i>CT1P3UiND80>KViP@0iNGU1`3Ti>@50>GUi@L0i^KV1P3UiND30>CTi0H0iNGU_`3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo01P0oooo0`00000?0>GUi@T0i^KV3@3UiND:0>KViPh0
iNGU_`3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo01L0oooo0`0000020>KViPd0iNGU
303Vi^H90>GUi@`0i^KV3@3UiNG00>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool05P3o
ool3000000<0i^KV3@3UiNDR0>KViP`0iNGU`03Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo01D0oooo0`0000050>KViP/0iNGU8`3Vi^H;0>GUiL40i^KV103oool100000040fMWI00000`00
0000oooo0?ooo`0D0?ooo`<000001P3Vi^H:0>GUi@h0i^KV2@3UiND=0>KViP/0iNGU`@3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo01<0oooo0`0000080>KViPT0iNGU3@3Vi^H;0>GUi@d0
i^KV2@3UiNG20>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool04P3oool3000000X0i^KV
203UiND=0>KViP/0iNGU3P3Vi^H80>GUiL80i^KV103oool100000040fMWI00000`000000oooo0?oo
o`0A0?ooo`<00000303Vi^H60>GUi@h0i^KV2`3UiND?0>KViPH0iNGU``3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0100oooo0`00000>0>KViP<0iNGU403Vi^H;0>GUiA40i^KV00<0iNGU
0>KViP3Vi^H0a03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo00l0oooo0`00000S0>KV
iPX0iNGUf03Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo00h0oooo0`00000T0>KViPT0
iNGUf@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo00d0oooo0`00000V0>KViPL0iNGU
fP3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo00`0oooo0`00000Z0>KViP030>GUi@3V
i^H0i^KV0=/0i^KV103oool100000040fMWI00000`000000oooo0?ooo`0;0?ooo`<00000o`3Vi^H:
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool02P3oool300000?l0i^KV2`3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo00T0oooo0`00003o0>KViP`0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`080?ooo`<00000o`3Vi^H=0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool01`3oool300000?l0i^KV3P3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo00H0oooo0`00003o0>KViPl0i^KV103oool100000040fMWI00000`000000oooo0?ooo`050?oo
o`<00000o`3Vi^H@0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0103oool300000?l0
i^KV4@3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo00<0oooo0`00003o0>KViQ80i^KV
103oool100000040fMWI00000`000000oooo0?ooo`020?ooo`<00000o`3Vi^HC0>KViP@0oooo0@00
00010=WIf@0000@000000?ooo`3oool0oooo0`00003o0>KViQ@0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`020?ooo`030000003Vi^H0i^KV0?l0i^KV4`3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool00P3ooooo0>KViQH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?ooool0i^KV
5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool00P3ooooo0>KViQH0i^KV103oool100000040fMWI00000`00
0000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080
ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3ooooo0>KViQH0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool00P3ooooo0>KViQH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?ooool0
i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool00P3ooooo0>KViQH0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3ooooo0>KViQH0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool00P3ooooo0>KViQH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?oo
ool0i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080ooooo`3Vi^HF0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool00P3ooooo0>KViQH0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3ooooo0>KV
iQH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool00P3ooooo0>KViQH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`02
0?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080ooooo`3Vi^HF0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3ooooo0>KViQH0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3ooooo
0>KViQH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool00P3ooooo0>KViQH0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0080ooooo`3Vi^HF
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3ooooo0>KViQH0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`020?ooool0i^KV5P3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0080ooooo`3Vi^HF0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool00P3o
oooo0>KViQH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3o0?oooa`0oooo0@000001
0=WIf@0000<000000?ooo`3oool0o`3ooolL0?ooo`4000000@3IfMT000030000003oool0oooo0?l0
oooo703oool100000040fMWI00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0o`3ooolL0?ooo`4000000@3IfMT00?l00000800000010=WIf@00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-21.2276, -0.0409172, 0.217614, \
0.00725378}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  DensityGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[51]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(way2 = 
      Block[{xg = \(-8\), pg = 1, l = 5, h = 2\ sx\ sp\ r, r = 1, P = 0, 
          sp = 1/6, sx = 1, t = 0.001, c = 30}, max = gswf[0, 0, 1, 1]; 
        gsX = gs1 /. x \[Rule] x - 30  p; 
        DensityPlot[
          Evaluate[
            If[fncover < p, 2  Abs[gsX] + 0.1, 2  Abs[gsX]]], {x, \(-20\), 
            40}, {p, 0, 2  pg}, PlotPoints \[Rule] 600, PlotRange -> All, 
          AspectRatio \[Rule] 1, ColorFunctionScaling \[Rule] False, 
          Background \[Rule] White, \[IndentingNewLine]Mesh -> False, 
          FrameTicks -> {{}, {}, {}, {}}, Frame \[Rule] True, 
          TextStyle \[Rule] m10, 
          ColorFunction -> \((GrayLevel[
                  1 - #] &)\), \[IndentingNewLine]Epilog -> {d0 /. {x \[Rule] \
\(-20\)}}]]\)], "Input",
  CellLabel->"In[52]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.339744 0.0160256 0.0192308 0.480769 [
[ 0 0 -0.125 0 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 0 m
1 0 L
s
0 0 m
0 1 L
s
0 1 m
1 1 L
s
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.01923 .01923 translate
.96154 .96154 scale
600 string
600 600 8 [600 0 0 600 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFDFDFDFDFDFDFDFEFEFEFEFEFEFEFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFCFCFCFCFDFDFDFDFDFDFDFEFEFEFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFDFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFEFEFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFEFE
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFD
FEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFEFEFEFEFEFDFDFDFDFDFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFCFCFBFBFBFBFBFCFCFCFCFCFDFDFD
FDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFE
FDFDFDFDFDFDFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFCFCFCFCFCFD
FDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFE
FDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFCFCFCFC
FDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFE
FDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFCFC
FCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFE
FDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFBFBFBFBFBFBFBFBFBFBFBFBFC
FCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFE
FDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFBFBFBFBFBFBFBFBFBFBFBFB
FCFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFE
FDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFB
FBFCFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFE
FEFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFDFCFCFCFCFCFDFDFDFDFDFDFDFEFEFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFB
FBFBFCFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFE
FEFDFDFDFDFDFDFDFCFCFCFCFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFDFDFDFDFDFDFEFEFEFEFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFB
FBFBFCFCFCFCFDFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFDFDFDFDFDFDFCFCFCFCFCFCFCFCFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFDFDFDFDFDFDFEFEFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFCFCFBFBFBFB
FBFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFDFDFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFEFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFC
FCFCFCFCFCFCFDFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFE
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFDFCFCFCFC
FCFCFCFCFCFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFEFEFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFDFEFEFEFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFCFCFBFCFCFCFCFCFCFCFDFDFDFDFE
FEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDFDFD
FDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFDFDFDFDFDFCFCFCFCFCFCFCFBFCFCFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFBFBFBFBFBFBFBFCFCFCFCFCFDFDFD
FDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFD
FDFDFDFDFDFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFEFDFDFDFDFCFCFCFCFCFBFBFBFBFBFBFBFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFCFCFCFCFDFD
FDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFEFDFDFDFCFCFCFCFCFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFDFEFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFCFCFCFC
FDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFCFCFCFCFDFDFDFEFEFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFBFBFCFC
FCFDFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFEFEFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBFBFBFBFCFCFCFDFDFDFDFEFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFCFBFBFBFBFBFAFAFAFAFAFBFBFBFBFB
FCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFEFDFDFDFDFCFCFCFBFBFBFBFBFAFAFAFAFAFBFBFBFBFCFCFCFCFDFDFDFEFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFCFBFBFBFAFAFAFAFAFAFAFAFAFBFB
FBFCFCFCFDFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFE
FDFDFDFDFDFDFDFDFDFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFBFAFAFAFAFAFAFAFAFBFBFBFBFCFCFCFDFDFDFE
FEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAFAFAFAFAFAFAFAFA
FBFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFD
FDFCFCFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAFAFAFAFAFAFAFAFBFBFBFBFCFCFCFDFD
FDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAFAFAFAF9FAFAFAFA
FAFBFBFBFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFC
FCFCFBFBFBFBFAFAFAFAFAFAFBFBFBFBFBFCFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAFAFAF9F9FAFAFAFAFAFBFBFBFCFCFCFD
FDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAF9F9F9F9F9F9F9
FAFAFAFBFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFC
FBFBFBFAFAFAF9F9F9F9F9F9F9F9F9FAFAFAFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFAFAFAFAF9F9F9F9F9F9FAFAFAFAFBFBFBFCFC
FDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAF9F9F9F9F9F9F9
F9F9FAFAFAFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFCFCFB
FBFBFAFAF9F9F8F8F8F8F7F7F8F8F8F8F8F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFFFFFFFF
FFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAF9F9F9F9F9F9F9F9F9FAFAFAFBFBFC
FCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFCFBFBFAFAFAF9F9F9F9F9F9F9
F9F9F9F9FAFAFAFBFBFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFFFFFEFEFEFEFEFDFDFCFCFB
FBFAFAF9F8F8F7F7F7F6F6F6F6F6F6F6F7F7F8F8F9F9FAFAFBFCFCFDFDFDFEFEFEFEFFFF
FFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFAFAFAF9F9F9F9F9F9F9F9F9F9F9FAFAFBFB
FBFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFBFAFAF9F9F9F8F8F8F8
F8F8F9F9F9F9FAFAFBFBFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFB
FBFAF9F9F8F7F7F6F6F5F5F5F5F5F5F5F5F5F6F6F7F8F8F9FAFAFBFBFCFDFDFDFEFEFEFE
FFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFBFAFAF9F9F9F8F8F8F8F8F8F9F9F9FAFAFA
FBFBFCFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFBFBFAFAF9F9F9F8F8F8F8
F8F8F8F8F8F9F9FAFAFAFBFBFCFCFDFDFDFEFEFEFEFEFFFFFFFFFFFEFEFEFEFDFDFCFCFB
FBFAF9F9F8F7F6F6F5F4F4F4F3F3F3F3F3F4F4F5F5F6F7F7F8F9FAFAFBFCFCFDFDFDFEFE
FEFEFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFAFAF9F9F9F8F8F8F8F8F8F8F8F9F9F9FA
FAFBFBFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFCFBFBFAFAF9F9F8F8F8F8
F8F7F8F8F8F8F8F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFEFFFFFFFFFEFEFEFEFDFDFDFCFB
FBFAF9F9F8F7F6F5F4F4F3F3F2F2F2F2F2F2F2F3F3F4F5F6F6F7F8F9FAFAFBFCFCFDFDFE
FEFEFEFEFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFAFAFAF9F9F8F8F8F8F7F7F8F8F8F8F9F9
F9FAFAFBFBFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F8F7
F7F7F7F7F7F7F8F8F9F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFEFFFFFEFEFEFEFEFDFDFCFC
FBFAFAF9F8F7F6F5F4F3F3F2F1F1F0F0F0F0F1F1F1F2F3F4F5F5F6F7F8F9FAFBFBFCFDFD
FDFEFEFEFEFEFFFEFEFEFEFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F8F7F7F7F7F7F7F8F8F8
F9F9FAFAFBFBFCFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F7
F7F7F7F7F7F7F7F7F8F8F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFEFEFEFEFEFEFEFDFDFDFC
FBFBFAF9F8F7F6F5F4F3F2F1F1F0EFEFEFEFEFEFF0F0F1F2F3F4F5F6F7F8F9F9FAFBFCFC
FDFDFEFEFEFEFEFEFEFEFEFEFEFEFDFDFCFCFCFBFBFAF9F9F8F8F8F7F7F7F7F7F7F7F7F7
F8F8F9F9FAFAFBFBFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFBFAFAF9F9F8F8F7
F7F7F6F6F6F6F6F7F7F7F8F8F9F9FAFBFBFCFCFDFDFDFEFEFEFEFEFEFEFEFEFEFEFDFDFC
FCFBFAF9F9F8F7F5F4F3F2F1F0EFEFEEEEEEEEEEEEEEEFF0F1F2F3F4F5F6F7F8F9FAFBFB
FCFDFDFDFEFEFEFEFEFEFEFEFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F7F7F7F6F6F6F6F7F7
F7F7F8F8F9FAFAFBFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFBFAFAF9F8F8F7
F7F7F6F6F6F6F6F6F6F7F7F8F8F9F9FAFAFBFBFCFCFDFDFEFEFEFEFEFEFEFEFEFEFEFDFD
FCFCFBFAF9F8F7F6F5F4F3F1F0EFEEEEEDEDECECECEDEDEEEFF0F1F2F3F4F5F6F7F9F9FA
FBFCFCFDFDFEFEFEFEFEFEFEFEFEFEFDFDFDFCFCFBFBFAF9F9F8F8F7F7F7F6F6F6F6F6F6
F6F7F7F8F8F9F9FAFAFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAF9F9F8F8
F7F7F6F6F6F5F5F5F6F6F6F7F7F8F8F9F9FAFBFBFCFCFDFDFDFEFEFEFEFEFEFEFEFEFDFD
FDFCFBFBFAF9F8F7F5F4F3F2F1F0EEEEEDECECEBEBEBECECEDEEEFF0F1F2F4F5F6F7F8F9
FAFBFCFCFDFDFEFEFEFEFEFEFEFEFEFEFDFDFDFCFCFBFAFAF9F9F8F7F7F6F6F6F6F5F5F5
F6F6F6F7F7F8F8F9FAFAFBFBFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFBFAFAF9F8F8
F7F7F6F6F5F5F5F5F5F5F5F6F6F7F7F8F9F9FAFAFBFCFCFDFDFDFEFEFEFEFEFEFEFEFEFD
FDFCFCFBFAF9F8F7F6F5F4F3F1F0EFEEEDECEBEBEBEAEBEBECECEDEEEFF0F2F3F4F6F7F8
F9FAFBFBFCFDFDFEFEFEFEFEFEFEFEFEFEFDFDFCFCFBFBFAFAF9F8F8F7F7F6F6F5F5F5F5
F5F5F6F6F6F7F7F8F9F9FAFBFBFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFAF9F9F8
F7F7F6F6F5F5F5F5F4F5F5F5F5F6F6F7F8F8F9FAFAFBFBFCFCFDFDFEFEFEFEFEFEFEFEFE
FDFDFCFCFBFAF9F8F7F6F5F3F2F1F0EEEDECEBEBEAEAEAEAEAEBECEDEEEFF0F1F3F4F5F6
F8F9FAFBFBFCFDFDFDFEFEFEFEFEFEFEFEFDFDFDFCFCFBFBFAF9F9F8F7F7F6F6F5F5F5F5
F4F5F5F5F5F6F6F7F8F8F9FAFAFBFCFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFAFAF9F8
F8F7F6F6F5F5F4F4F4F4F4F4F5F5F5F6F7F7F8F9F9FAFBFBFCFCFDFDFDFEFEFEFEFEFEFE
FEFDFDFCFCFBFAF9F8F7F6F4F3F2F1EFEEEDECEBEAEAE9E9EAEAEAEBECEDEEF0F1F2F4F5
F6F7F9FAFAFBFCFDFDFDFEFEFEFEFEFEFEFEFDFDFDFCFCFBFAFAF9F8F8F7F6F6F5F5F4F4
F4F4F4F4F5F5F5F6F7F7F8F9F9FAFBFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFAFAF9
F8F7F7F6F5F5F4F4F4F4F3F4F4F4F4F5F6F6F7F8F8F9FAFAFBFCFCFDFDFDFEFEFEFEFEFE
FEFEFDFDFCFCFBFAF9F8F7F6F4F3F2F0EFEEEDECEBEAEAE9E9E9EAEAEBECEDEEF0F1F2F4
F5F6F7F8F9FAFBFCFCFDFDFEFEFEFEFEFEFEFEFDFDFCFCFBFBFAF9F9F8F7F7F6F5F5F4F4
F4F4F3F4F4F4F5F5F6F6F7F8F8F9FAFBFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFAF9
F9F8F7F6F6F5F4F4F3F3F3F3F3F3F4F4F4F5F6F6F7F8F9F9FAFBFBFCFDFDFDFEFEFEFEFE
FEFEFEFDFDFCFCFBFAF9F8F7F6F4F3F2F0EFEEEDECEBEAEAE9E9E9EAEAEBECEDEEF0F1F2
F4F5F6F7F8F9FAFBFCFCFDFDFEFEFEFEFEFEFEFDFDFDFCFCFBFBFAF9F8F8F7F6F5F5F4F4
F3F3F3F3F3F3F4F4F5F5F6F7F7F8F9FAFAFBFCFCFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFA
F9F8F7F7F6F5F4F4F3F3F3F2F2F2F3F3F3F4F5F5F6F7F8F8F9FAFBFBFCFCFDFDFEFEFEFE
FEFEFEFEFDFDFCFCFBFAF9F8F7F6F5F3F2F1EFEEEDECEBEAEAEAEAEAEAEBEBECEDEFF0F1
F3F4F5F6F8F9FAFAFBFCFDFDFDFEFEFEFEFEFEFEFDFDFDFCFCFBFAFAF9F8F7F7F6F5F4F4
F3F3F3F2F2F3F3F3F4F4F5F5F6F7F8F9F9FAFBFBFCFDFDFDFEFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFA
FAF9F8F7F6F5F5F4F3F3F2F2F2F2F2F2F2F3F4F4F5F6F6F7F8F9FAFAFBFCFCFDFDFDFEFE
FEFEFEFEFEFDFDFCFCFBFAF9F8F7F6F5F4F2F1F0EFEEEDECEBEBEAEAEAEBEBECEDEEEFF0
F2F3F4F5F7F8F9FAFBFBFCFDFDFDFEFEFEFEFEFEFEFDFDFDFCFBFBFAF9F9F8F7F6F5F5F4
F3F3F2F2F2F2F2F2F3F3F4F4F5F6F7F7F8F9FAFBFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFBFB
FAF9F8F8F7F6F5F4F4F3F2F2F2F1F1F1F2F2F2F3F4F4F5F6F7F8F9F9FAFBFCFCFDFDFDFE
FEFEFEFEFEFEFDFDFDFCFBFBFAF9F8F7F5F4F3F2F1EFEEEEEDECECEBEBEBECECEDEEEFF0
F1F2F4F5F6F7F8F9FAFBFCFCFDFDFDFEFEFEFEFEFEFEFDFDFCFCFBFBFAF9F8F7F7F6F5F4
F3F3F2F2F1F1F1F1F2F2F3F3F4F5F5F6F7F8F9FAFAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFB
FBFAF9F8F7F6F6F5F4F3F2F2F1F1F1F1F1F1F1F2F2F3F4F5F6F7F8F8F9FAFBFBFCFDFDFD
FEFEFEFEFEFEFEFDFDFDFCFCFBFAF9F8F7F6F5F4F3F2F1F0EFEEEDEDEDEDEDEDEEEEEFF0
F1F2F3F4F5F7F8F9FAFAFBFCFCFDFDFEFEFEFEFEFEFEFEFDFDFCFCFBFAFAF9F8F7F6F5F4
F4F3F2F2F1F1F1F1F1F1F1F2F3F3F4F5F6F7F8F9F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFC
FBFAFAF9F8F7F6F5F4F3F3F2F1F1F0F0F0F0F0F1F1F2F3F4F4F5F6F7F8F9FAFBFBFCFCFD
FDFEFEFEFEFEFEFEFEFDFDFCFCFBFBFAF9F8F7F6F5F4F3F2F1F0F0EFEFEEEEEEEFEFF0F1
F1F2F3F4F5F6F7F8F9FAFBFCFCFDFDFDFEFEFEFEFEFEFEFDFDFDFCFCFBFAF9F9F8F7F6F5
F4F3F2F2F1F1F0F0F0F0F0F1F1F2F3F4F5F5F6F7F8F9FAFBFBFCFDFDFEFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFC
FCFBFAF9F8F8F7F6F5F4F3F2F1F1F0F0EFEFEFF0F0F1F1F2F3F4F5F6F7F8F9FAFAFBFCFC
FDFDFEFEFEFEFEFEFEFEFEFDFDFCFCFBFAFAF9F8F7F6F5F4F4F3F2F1F1F1F0F0F1F1F1F2
F2F3F4F5F6F7F7F8F9FAFBFBFCFDFDFDFEFEFEFEFEFEFEFEFDFDFDFCFBFBFAF9F8F7F6F5
F4F4F3F2F1F0F0F0EFEFF0F0F0F1F1F2F3F4F5F6F7F8F9FAFBFBFCFCFDFDFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFD
FCFBFBFAF9F8F7F6F5F4F3F2F1F1F0EFEFEFEFEFEFF0F0F1F2F2F3F4F5F6F7F8F9FAFBFC
FCFDFDFEFEFEFEFEFEFEFEFEFEFDFDFCFCFBFBFAF9F8F8F7F6F5F5F4F4F3F3F3F3F3F3F3
F4F4F5F6F6F7F8F9F9FAFBFBFCFDFDFDFEFEFEFEFEFEFEFEFEFDFDFDFCFBFBFAF9F8F7F6
F5F4F3F2F1F1F0EFEFEFEFEFEFF0F0F1F2F3F4F5F6F7F8F9F9FAFBFCFCFDFDFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFD
FDFCFBFBFAF9F8F7F6F5F4F3F2F1F0EFEFEEEEEEEEEEEFEFF0F1F2F3F4F5F6F7F8F9FAFB
FBFCFDFDFDFEFEFEFEFEFEFEFEFEFEFDFDFDFCFCFBFBFAF9F9F8F8F7F7F6F6F6F6F6F6F6
F6F6F7F7F8F8F9FAFAFBFBFCFCFDFDFEFEFEFEFEFEFEFEFEFEFEFDFDFCFCFBFAFAF9F8F7
F6F5F4F3F2F1F0EFEFEEEEEEEEEFEFF0F0F1F2F3F4F5F6F7F8F9FAFBFCFCFDFDFEFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFD
FDFCFCFBFAFAF9F8F7F5F4F3F2F1F0EFEFEEEEEDEDEDEEEEEFF0F0F1F2F4F5F6F7F8F9FA
FBFBFCFDFDFDFEFEFEFEFFFFFFFEFEFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAF9F9F9F9F9F9
F9F9F9FAFAFAFBFBFBFCFCFDFDFDFEFEFEFEFEFFFFFFFEFEFEFEFEFDFDFCFCFBFAF9F8F7
F6F5F4F3F2F1F0EFEFEEEEEDEDEEEEEEEFF0F1F2F3F4F5F6F7F8F9FAFBFBFCFDFDFEFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FDFDFCFCFBFAF9F8F7F6F5F4F3F2F1F0EFEEEDEDEDEDEDEDEEEEEFF0F1F2F3F4F5F6F8F9
F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFDFCFCFCFCFC
FCFCFCFDFDFDFDFDFDFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFAF9F8
F7F6F5F4F3F2F0EFEFEEEDEDEDEDEDEDEEEEEFF0F1F2F3F4F6F7F8F9FAFBFBFCFDFDFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFDFDFCFCFBFAF9F8F7F6F5F3F2F1F0EFEEEDEDECECECECECEDEDEEEFF0F1F3F4F5F6F7
F8F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9
F8F7F6F4F3F2F1F0EFEEEDEDECECECECECEDEEEEEFF0F2F3F4F5F6F7F8F9FAFBFCFCFDFD
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFDFDFCFBFBFAF9F8F7F5F4F3F2F1EFEEEDEDECEBEBEBEBECECEDEEEFF0F1F2F3F5F6
F7F8F9FAFBFCFCFDFDFEFEFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFB
FBFBFBFBFBFBFBFCFCFCFCFDFDFDFEFEFEFEFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFA
F9F8F6F5F4F3F2F0EFEEEDECECEBEBEBEBECECEDEEEFF0F1F2F4F5F6F7F8F9FAFBFCFCFD
FDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFDFDFCFBFAFAF9F7F6F5F4F3F1F0EFEEEDECEBEBEAEAEAEBEBECEDEEEFF0F2F3F4
F5F7F8F9FAFBFBFCFDFDFEFEFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFBFAF9F9F8F8F7F7F7
F7F7F7F7F7F7F7F8F8F9F9FAFAFBFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFEFEFDFDFCFBFA
F9F8F7F6F5F4F2F1F0EFEEEDECEBEBEAEAEBEBEBECEDEEEFF1F2F3F4F6F7F8F9FAFBFCFC
FDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFDFCFCFBFAF9F8F7F6F5F3F2F1EFEEEDECEBEAEAEAEAEAEAEBEBECEDEEF0F1F2
F4F5F6F7F9FAFBFBFCFDFDFEFEFFFFFFFFFFFEFEFDFDFCFCFBFAFAF9F8F7F6F6F5F4F3F3
F2F2F2F2F2F2F3F3F4F4F5F6F7F7F8F9FAFBFBFCFDFDFEFEFEFFFFFFFFFFFEFEFDFDFCFB
FAF9F8F7F6F4F3F2F1EFEEEDECEBEAEAEAEAEAEAEBEBECEDEFF0F1F3F4F5F6F8F9FAFBFB
FCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFDFDFCFCFBFAF9F8F7F6F4F3F2F0EFEEECEBEAEAE9E9E9E9E9EAEBECEDEEEFF0
F2F3F5F6F7F8F9FAFBFCFDFDFEFEFFFFFFFFFEFEFDFDFCFBFAF9F8F7F6F5F4F3F2F1F0EF
EEEEEDEDEDEDEEEEEFEFF0F1F2F4F5F6F7F8F9FAFBFBFCFDFDFEFEFFFFFFFFFEFEFDFCFC
FBFAF9F8F7F5F4F3F1F0EFEDECEBEAEAE9E9E9E9E9EAEBECEDEEEFF1F2F3F5F6F7F8F9FA
FBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFDFDFCFCFBFAF9F8F7F5F4F2F1F0EEEDECEBEAE9E8E8E8E8E8E9EAEBECEDEF
F0F1F3F4F6F7F8F9FAFBFCFDFDFEFFFFFFFFFEFEFDFCFCFBFAF9F8F7F5F4F3F1F0EEEDEC
EBEAE9E9E8E8E8E9E9EAEBECEEEFF0F2F3F4F6F7F8F9FAFBFCFDFDFEFFFFFFFFFEFEFDFC
FCFBFAF9F8F6F5F4F2F1EFEEEDEBEAE9E9E8E8E8E8E8E9EAEBECEDEFF0F2F3F4F6F7F8F9
FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFDFCFBFBFAF9F7F6F5F3F2F0EFEEECEBEAE9E8E7E7E7E7E8E8E9EAEBED
EEEFF1F2F4F5F7F8F9FAFBFCFDFDFEFFFFFFFFFEFDFDFCFBFAF9F7F6F5F3F1F0EEECEBE9
E8E6E5E4E4E3E3E3E4E5E6E7E8EAEBEDEFF0F2F4F5F7F8F9FAFBFCFDFEFEFFFFFFFEFEFD
FCFBFBFAF8F7F6F5F3F2F0EFEDECEBEAE9E8E7E7E7E7E8E8E9EAEBEDEEF0F1F3F4F5F7F8
F9FAFBFCFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F6F4F3F1F0EEEDEBEAE9E8E7E7E6E6E6E7E7E8E9EA
ECEDEFF0F2F3F5F6F8F9FAFBFCFDFDFEFFFFFFFEFEFDFCFBFAF9F8F6F4F3F1EFEDEBE9E7
E5E3E2E1E0DFDEDEDEDFE0E1E2E4E6E8EAECEEF0F2F3F5F7F8F9FAFCFCFDFEFFFFFFFEFE
FDFCFBFAF9F8F7F6F4F3F1F0EEEDEBEAE9E8E7E6E6E6E6E7E7E8E9EBECEEEFF1F2F4F5F6
F8F9FAFBFCFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F5F4F3F1EFEEECEBE9E8E7E6E6E5E5E5E6E6E7E8
EAEBEDEEF0F1F3F4F6F7F8FAFBFCFCFDFEFFFFFFFEFDFCFCFAF9F8F6F5F3F1EFECEAE8E6
E3E1DFDDDCDBDAD9D9D9DADBDCDEE0E2E4E6E9EBEDF0F2F4F5F7F8FAFBFCFDFEFEFFFFFE
FEFDFCFBFAF9F8F7F5F4F2F1EFEEECEBE9E8E7E6E6E5E5E5E6E7E8E9EAEBEDEEF0F2F3F5
F6F7F9FAFBFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F8F7F5F4F2F0EFEDECEAE9E7E6E5E5E4E4E4E5E6E6
E8E9EAECEEEFF1F2F4F6F7F8F9FBFCFCFDFEFFFFFFFEFDFCFBFAF8F7F5F3F1EFEDEAE7E5
E2E0DDDBD9D7D6D5D4D4D5D5D6D8DADCDEE1E3E6E9EBEEF0F2F4F6F7F9FAFBFCFDFEFFFF
FFFEFDFCFBFAF9F8F6F5F3F2F0EFEDEBEAE8E7E6E5E5E4E4E4E5E6E7E8E9EBECEEEFF1F3
F4F6F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFCFBFAF9F8F6F5F3F2F0EEEDEBE9E8E6E5E4E4E3E3E3E4E5
E6E7E8EAEBEDEFF0F2F4F5F7F8F9FAFBFCFDFEFFFFFFFEFDFCFAF9F8F6F4F2F0EDEAE8E5
E2DFDCDAD7D5D3D1D0D0D0D0D1D2D4D6D8DBDDE0E3E6E9ECEEF1F3F5F7F8FAFBFCFDFEFF
FFFFFEFDFCFBFAF9F7F6F5F3F1F0EEECEBE9E8E6E5E4E4E3E3E4E4E5E6E7E8EAECEDEFF1
F2F4F5F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F7F6F4F3F1EFEEECEAE9E7E6E4E4E3E2E2E3E3
E4E5E6E7E9EBECEEF0F2F3F5F6F8F9FAFBFCFDFEFFFFFEFDFCFBFAF8F7F5F3F1EEEBE8E5
E2DFDCD9D6D3D1CFCDCCCBCBCBCCCED0D2D4D7DADDE0E4E7EAECEFF2F4F6F8F9FAFCFDFE
FFFFFFFEFDFCFBFAF9F7F6F4F3F1EFEDECEAE8E7E5E4E3E3E2E2E3E3E4E5E6E8E9EBEDEE
F0F2F3F5F6F8F9FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F6F4F2F1EFEDEBE9E8E6E5E4E3E2E1E1E2
E2E3E4E5E6E8EAECEDEFF1F3F4F6F7F9FAFBFCFDFEFFFFFEFDFCFBF9F8F6F4F2EFEDEAE7
E3E0DDD9D6D3D0CDCBC9C8C7C7C7C8CACCCED1D4D7DBDEE1E5E8EBEEF0F3F5F7F9FAFBFD
FEFFFFFFFEFDFCFBFAF8F7F5F4F2F0EFEDEBE9E7E6E5E3E2E2E1E1E2E2E3E4E5E7E8EAEC
EEF0F1F3F5F6F8F9FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F7F5F4F2F0EEECEBE9E7E5E4E3E2E1E0E0
E1E1E2E3E4E6E7E9EBEDEFF1F2F4F6F7F9FAFBFCFDFEFFFFFEFDFCFBF9F7F5F3F1EEEBE8
E5E2DEDAD7D3D0CDCAC7C5C4C3C3C4C5C6C8CBCED1D4D8DCDFE3E6EAEDEFF2F4F6F8FAFB
FCFDFEFFFFFEFDFCFBF9F8F7F5F3F2F0EEECEAE8E7E5E4E2E1E1E0E0E1E1E2E3E4E6E8E9
EBEDEFF1F3F4F6F7F9FAFBFCFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1F0EEECEAE8E6E4E3E2E1E0DF
DFDFE0E1E2E3E5E7E8EAECEEF0F2F4F5F7F8FAFBFCFDFEFFFFFEFDFCFAF9F7F5F3F0EDEA
E7E4E0DCD8D4D1CDCAC7C4C2C1C0C0C0C1C3C5C8CBCED2D6DADEE1E5E8ECEFF1F4F6F8F9
FBFCFDFEFFFFFEFDFCFAF9F8F6F5F3F1EFEDEBE9E8E6E4E3E1E0E0DFDFE0E0E1E2E3E5E7
E9EBEDEEF0F2F4F6F7F8F9FBFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F8F6F5F3F1EFEDEBE9E7E5E4E2E1E0DF
DEDEDEDFE0E1E2E4E6E8EAECEEF0F2F3F5F7F8F9FBFCFDFEFFFFFEFDFBFAF8F7F4F2EFED
E9E6E2DEDAD6D2CECBC7C4C2C0BEBDBDBDBFC0C3C5C9CCD0D4D8DCE0E4E7EBEEF1F3F5F7
F9FBFCFDFEFFFFFEFDFBFAF9F8F6F4F3F1EFEDEBE9E7E5E3E2E0DFDFDEDEDEDFE0E1E3E4
E6E8EAECEEF0F2F4F5F7F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F7F6F4F2F1EFEDEAE8E6E4E3E1E0DF
DEDDDDDDDEDFE0E1E3E5E7E9EBEDEFF1F3F5F6F8F9FBFCFDFEFFFFFEFDFBFAF8F6F4F2EF
ECE9E5E1DDD9D5D1CDC9C5C2C0BDBCBBBBBBBCBEC1C4C7CBCED3D7DBDFE3E7EAEDF0F3F5
F7F9FAFCFDFEFFFFFEFCFBFAF9F7F6F4F2F0EEECEAE8E6E4E2E1DFDEDEDDDDDDDEDFE0E2
E3E5E7E9EBEDEFF1F3F5F6F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFCFBFAF8F7F5F4F2F0EEECEAE8E6E4E2E0DF
DDDDDCDCDCDDDEDFE0E2E4E6E8EAECEFF1F3F4F6F8F9FAFCFDFEFFFFFEFDFBFAF8F6F4F1
EFECE8E5E1DDD8D4D0CCC8C4C1BEBCBAB9B9BABBBDBFC2C6C9CDD2D6DADEE2E6EAEDF0F2
F5F7F9FAFCFDFEFFFFFDFCFBFAF9F7F5F4F2F0EEECE9E7E5E3E1E0DEDDDDDCDCDCDDDEDF
E1E2E4E6E8EBEDEFF1F3F5F6F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F7F5F3F2F0EDEBE9E7E5E3E1DF
DEDCDCDBDBDBDCDDDEDFE1E3E5E7EAECEEF0F2F4F6F7F9FAFCFDFEFFFFFEFDFBFAF8F6F4
F1EEEBE8E4E0DCD8D4CFCBC7C3C0BDBBBAB9B8B9BABCBEC1C5C9CDD1D5DADEE2E6E9EDF0
F2F5F7F9FAFCFDFEFFFEFDFCFBFAF8F7F5F3F1EFEDEBE9E6E4E2E0DFDDDCDBDBDBDBDCDD
DEE0E1E3E6E8EAECEEF0F2F4F6F7F9FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1EFEDEBE8E6E4E2E0
DEDCDBDADADADADBDCDDDEE0E2E4E7E9EBEDF0F2F4F5F7F9FAFBFDFEFFFFFEFDFBFAF8F6
F4F1EEEBE8E4E0DCD8D4CFCBC7C3C0BDBBBAB9B8B9BABCBEC1C5C9CDD1D5DADEE2E6E9ED
F0F2F5F7F9FAFCFDFEFFFEFDFCFBFAF8F6F5F3F1EFEDEAE8E6E3E1DFDEDCDBDADADADADB
DCDDDFE1E3E5E7E9ECEEF0F2F4F6F7F8FAFBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1EFECEAE8E5E3E1
DFDDDBDAD9D9D9D9D9DADCDDDFE1E4E6E8EBEDEFF1F3F5F7F8FAFBFCFEFFFFFEFDFBFAF8
F6F4F1EFECE8E5E1DDD8D4D0CCC8C4C1BEBCBAB9B9BABBBDBFC2C6C9CDD2D6DADEE2E6EA
EDF0F2F5F7F9FAFCFDFEFFFEFDFCFBF9F8F6F4F3F0EEECEAE7E5E3E0DEDDDBDAD9D9D9D9
DADBDCDEE0E2E4E6E9EBEDEFF2F3F5F7F8F9FBFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F6F4F2F0EEECE9E7E4E2
E0DEDCDAD9D8D8D7D8D8D9DBDCDEE0E3E5E8EAECEFF1F3F5F7F8FAFBFCFDFFFFFEFDFBFA
F8F6F4F2EFECE9E5E1DDD9D5D1CDC9C6C2C0BEBCBBBBBBBDBEC1C4C7CBCFD3D7DBDFE3E7
EAEDF0F3F5F7F9FBFCFDFFFFFEFDFCFAF9F8F6F4F2F0EEEBE9E7E4E2E0DDDCDAD9D8D7D7
D8D8D9DBDDDFE1E3E5E8EAEDEFF1F3F5F7F8F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F6F4F2F0EEEBE9E6E4
E1DFDDDBD9D8D7D6D6D6D7D8DADBDDDFE2E4E7E9ECEEF0F3F4F6F8F9FBFCFDFEFFFEFDFC
FAF9F7F5F2F0EDEAE6E3DFDBD7D3CFCBC8C5C2C0BFBEBEBEBFC1C3C6C9CDD0D4D8DCE0E4
E8EBEEF1F3F5F7F9FBFCFEFFFFFEFDFCFAF9F7F6F4F2F0EDEBE8E6E3E1DFDCDBD9D8D7D6
D6D6D7D8DADCDEE0E2E5E7EAECEEF1F3F5F6F8F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF8F7F5F3F1EFEDEBE8E5
E3E0DEDCDAD8D7D6D5D5D5D6D7D8DADCDEE1E3E6E9EBEEF0F2F4F6F8F9FBFCFDFEFFFEFD
FCFBF9F7F5F3F1EEEBE8E4E0DDD9D5D1CECBC8C5C3C2C1C1C1C3C4C6C9CCCFD3D7DADEE2
E5E9ECEFF2F4F6F8FAFBFCFEFFFFFEFDFBFAF9F7F5F3F1EFEDEAE8E5E2E0DEDBD9D8D6D6
D5D5D5D6D7D9DADDDFE1E4E6E9ECEEF0F2F4F6F8F9FAFBFCFDFDFEFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F7F5F3F1EFECEAE7
E5E2DFDDDBD9D7D5D4D4D4D4D5D6D7D9DBDEE0E3E5E8EBEDEFF2F4F6F7F9FAFCFDFEFFFF
FEFCFBF9F8F6F4F2EFECE9E6E3DFDCD8D5D1CECCCAC8C6C6C5C6C7C8CACDD0D3D6DADDE1
E4E7EAEDF0F3F5F7F9FAFCFDFEFFFFFEFCFBFAF8F7F5F3F1EFECEAE7E4E2DFDDDAD8D7D5
D4D4D4D4D5D6D8D9DCDEE0E3E6E8EBEDF0F2F4F6F7F9FAFBFCFDFDFEFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F5F3F1EEECE9
E7E4E1DEDCDAD7D6D4D3D3D2D3D3D5D6D8DADDDFE2E5E7EAEDEFF1F3F5F7F9FAFCFDFEFF
FFFEFDFCFAF9F7F5F3F1EEEBE8E5E2DFDCD9D6D3D1CFCDCCCBCBCBCCCDCFD2D4D7DADDE0
E3E7EAECEFF2F4F6F8F9FBFCFDFEFFFEFDFCFBFAF8F6F5F3F0EEECE9E6E3E1DEDCD9D7D5
D4D3D3D2D3D4D5D6D8DBDDE0E2E5E8EAEDEFF2F4F5F7F9FAFBFCFDFDFEFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F4F2F0EEEB
E9E6E3E0DEDBD9D6D5D3D2D1D1D1D2D3D5D7D9DCDEE1E4E7E9ECEFF1F3F5F7F8FAFBFCFE
FFFFFEFDFCFBFAF8F6F4F2F0EEEBE8E6E3E0DDDBD8D6D4D3D2D1D1D1D2D3D5D7D9DCDEE1
E4E7EAECEFF1F3F5F7F9FAFBFDFEFFFFFEFDFCFBF9F8F6F4F2F0EEEBE8E5E3E0DDDBD8D6
D4D3D2D1D1D2D2D4D5D7D9DCDFE1E4E7EAECEFF1F3F5F7F8FAFBFCFCFDFEFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F4F2F0ED
EBE8E5E2DFDDDAD7D5D3D2D1D0D0D0D1D2D4D6D8DBDDE0E3E6E9EBEEF0F3F5F7F8FAFBFC
FDFEFFFFFEFDFCFBF9F8F6F4F3F1EEECEAE7E5E3E0DEDDDBDAD9D8D8D9D9DADCDDDFE1E4
E6E8EBEDEFF1F3F5F7F8FAFBFCFDFEFFFFFEFDFCFBF9F8F6F4F2EFEDEAE8E5E2DFDCD9D7
D5D3D2D1D0D0D0D1D2D4D6D8DBDEE1E3E6E9ECEEF1F3F5F7F8F9FBFCFCFDFEFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F6F4F2EF
EDEAE7E4E1DFDCD9D6D4D2D1CFCFCFCFD0D1D3D5D7DADCDFE2E5E8EBEEF0F2F4F6F8F9FB
FCFDFEFFFFFEFEFDFCFBF9F8F7F5F4F2F0EEECEAE9E7E5E4E3E2E1E0E0E1E1E2E3E4E6E8
E9EBEDEFF1F3F4F6F7F9FAFBFCFDFEFFFFFFFEFDFBFAF9F7F6F4F1EFECEAE7E4E1DEDBD8
D6D4D2D0CFCFCFCFD0D1D3D5D7DADDE0E3E6E9EBEEF0F3F5F6F8F9FAFBFCFDFEFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F5F3F1
EFECEAE7E4E1DEDBD8D5D3D1CFCECDCDCDCED0D1D3D6D8DBDEE1E4E7EAEDF0F2F4F6F8F9
FAFCFDFEFEFFFFFEFEFDFCFBFAF9F8F7F6F4F3F2F0EFEEEDECEBEAEAE9E9E9EAEAEBECED
EEF0F1F2F4F5F6F7F9FAFBFCFCFDFEFFFFFFFEFDFCFBFAF9F7F5F3F1EFECE9E6E3E0DDDA
D7D5D2D1CFCECDCDCECED0D2D4D6D9DCDFE2E5E8EBEDF0F2F4F6F8F9FAFBFCFDFDFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF8F7F5F3
F1EEECE9E6E3E0DDDAD7D4D2D0CECDCCCCCCCDCED0D2D5D7DADDE1E4E7EAEDEFF2F4F6F7
F9FAFBFCFDFEFFFFFFFFFEFEFDFDFCFBFBFAF9F8F8F7F6F5F5F4F4F3F3F3F3F3F3F3F4F4
F5F6F6F7F8F9FAFAFBFCFCFDFDFEFEFFFFFFFEFEFDFCFBFAF8F7F5F3F1EEEBE9E6E2DFDC
D9D6D4D1CFCECDCCCCCCCDCFD0D3D5D8DBDEE1E4E7EAEDEFF2F4F6F7F9FAFBFCFDFDFEFE
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF8F7F5
F3F1EEEBE8E5E2DFDCD9D6D3D0CECDCBCBCACBCCCDCFD1D4D6D9DDE0E3E6E9ECEFF1F3F5
F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFDFDFD
FDFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFBF9F8F6F5F2F0EEEBE8E5E2DE
DBD8D5D2D0CECCCBCBCACBCCCDCFD1D4D7DADDE0E3E7EAECEFF1F4F6F7F9FAFBFCFDFDFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F6
F5F2F0EEEBE8E5E1DEDBD8D5D2CFCDCBCAC9C9C9CACCCED0D2D5D8DCDFE2E5E9EBEEF1F3
F5F7F8FAFBFCFCFDFDFEFEFEFEFEFDFDFDFDFCFCFBFBFAFAF9F9F8F8F8F7F7F7F7F7F7F7
F8F8F9F9F9FAFAFBFBFCFCFDFDFDFEFEFEFEFEFDFDFDFCFBFAF9F8F6F4F2F0EDEAE7E4E1
DEDAD7D4D1CFCDCBCAC9C9CACACCCED0D3D6D9DCDFE3E6E9ECEFF1F3F5F7F9FAFBFCFDFD
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F8
F6F4F2F0EDEAE7E4E1DDDAD7D3D1CECCCAC9C8C8C8C9CACCCFD1D4D7DBDEE1E5E8EBEEF0
F3F5F6F8F9FAFBFCFCFDFDFDFCFCFCFBFAFAF9F8F7F6F4F3F2F1F0EFEEEDEDECECECECEC
EDEDEEEFF0F1F3F4F5F6F7F8F9FAFBFBFCFCFDFDFDFCFCFCFBFAF9F7F6F4F2EFEDEAE7E3
E0DDD9D6D3D0CECBCAC9C8C8C8C9CBCDCFD2D5D8DBDFE2E5E8EBEEF1F3F5F7F8FAFBFCFD
FDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9
F8F6F4F2EFEDEAE7E3E0DCD9D6D2CFCDCAC9C7C7C6C7C8C9CBCDD0D3D6DADDE1E4E7EAED
F0F2F4F6F8F9FAFBFBFCFCFCFCFBFBFAF9F8F6F5F3F2F0EEECEAE8E7E5E4E2E1E1E0E0E0
E1E2E3E4E6E7E9EBEDEFF1F2F4F6F7F8F9FAFBFBFCFCFCFCFBFAFAF8F7F5F3F1EFECE9E6
E3DFDCD8D5D2CFCCCAC8C7C6C6C7C8C9CBCED1D4D7DADEE1E5E8EBEEF0F3F5F7F8FAFBFC
FDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFA
F9F7F6F4F1EFECE9E6E3DFDCD8D5D1CECBC9C7C6C5C5C5C6C8CACCCFD2D5D9DCE0E3E7EA
EDEFF2F4F6F7F9FAFAFBFBFBFBFAFAF9F8F6F5F3F1EFECEAE7E5E2E0DDDBD9D7D6D5D4D4
D5D5D6D8DADCDEE1E3E6E8EBEDF0F2F4F5F7F8F9FAFBFBFBFBFBFAF9F8F7F5F3F1EEECE9
E5E2DFDBD7D4D1CECBC9C7C6C5C5C5C6C8CACDCFD3D6D9DDE1E4E7EAEDF0F2F5F6F8F9FB
FCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFB
FAF9F7F5F3F1EFECE9E5E2DEDBD7D4D0CDCAC8C6C4C4C3C4C5C6C8CBCED1D4D8DCDFE3E6
E9ECEFF1F4F5F7F8F9FAFAFAFAFAF9F8F7F6F4F2F0EDEAE7E4E1DDDAD7D4D1CECCCAC9C8
C8C9CACBCDCFD2D5D8DBDFE2E5E8EBEEF0F3F5F6F8F9FAFAFAFAFAFAF9F8F6F5F3F0EEEB
E8E5E1DEDAD6D3D0CDCAC7C6C4C4C3C4C5C7C9CBCED1D5D9DCE0E3E7EAEDF0F2F4F6F8F9
FBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFC
FBFAF9F7F5F3F1EEEBE8E5E1DEDAD6D2CFCCC9C6C5C3C2C2C2C3C5C7CACDD0D3D7DBDEE2
E5E9ECEFF1F3F5F7F8F9F9FAFAFAF9F8F7F5F4F1EFECE9E6E2DEDAD6D2CECAC7C4C1BFBD
BCBCBDBEC0C2C5C8CCD0D4D8DCE0E3E7EAEDF0F2F4F6F7F9F9FAFAFAF9F8F7F6F4F2F0ED
EBE7E4E1DDD9D5D2CECBC8C6C4C3C2C2C2C4C5C7CACDD0D4D8DBDFE3E6E9ECEFF2F4F6F8
F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFD
FCFBFAF8F7F5F3F0EEEBE8E4E0DDD9D5D1CECBC8C5C3C2C1C1C1C2C4C6C8CBCFD2D6DADE
E1E5E8EBEEF1F3F5F6F8F8F9F9F9F9F8F7F6F4F2EFECE9E5E1DDD8D3CFCAC5C1BDB9B6B4
B2B1B0B1B2B4B7BABEC3C7CCD1D5DADEE3E7EAEDF0F3F5F6F7F8F9F9F9F9F8F7F6F4F2F0
EDEAE7E3E0DCD8D4D1CDCAC7C5C3C1C1C1C1C2C4C6C9CCCFD3D7DADEE2E6E9ECEFF1F4F6
F8F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFD
FDFCFBFAF8F7F5F3F0EDEAE7E3E0DCD8D4D0CDC9C6C4C2C0BFBFBFC1C2C4C7CACED1D5D9
DDE1E4E8EBEEF0F3F4F6F7F8F9F9F9F8F7F6F4F2F0EDE9E5E1DDD8D2CDC8C2BDB8B3AFAB
A9A6A5A5A6A7AAADB0B5BABFC4CACFD5DADEE3E7EBEEF1F3F5F7F8F8F9F9F8F8F7F5F4F2
EFEDEAE6E3DFDBD7D3D0CCC9C6C3C1C0BFBFC0C1C2C5C8CBCED2D6DADDE1E5E8ECEEF1F3
F6F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FDFDFCFBFAF8F6F4F2F0EDEAE6E3DFDBD7D3CFCCC8C5C2C0BFBEBEBEBFC1C3C6C9CCD0D4
D8DCE0E4E7EAEDF0F2F4F6F7F8F8F8F8F7F6F5F3F1EEEAE7E2DED8D3CDC7C1BBB5AFAAA5
A19E9C9A9A9B9C9FA3A7ACB1B7BDC3C9CFD5DAE0E4E8ECEFF2F4F6F7F8F8F8F8F7F6F5F3
F1EFECE9E6E2DEDAD6D2CFCBC8C5C2C0BFBEBEBEBFC1C3C6C9CDD1D5D9DDE1E4E8EBEEF1
F3F5F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFDFCFCFBF9F8F6F4F2EFEDE9E6E2DEDAD6D2CECAC7C4C1BFBDBCBCBDBEBFC2C4C8CBCF
D3D7DBDFE3E7EAEDF0F2F4F5F7F7F8F8F8F7F6F4F2EFECE8E4DFDAD4CEC8C1BAB4ADA7A1
9C9894929090919295999EA3A9B0B6BDC4CAD1D7DCE1E6EAEDF0F3F5F6F7F8F8F8F7F6F5
F3F1EEECE9E5E1DEDAD6D1CECAC6C3C1BFBDBCBCBDBEC0C2C5C8CCD0D4D8DCE0E4E7EBEE
F0F3F5F7F9FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFDFCFCFBF9F8F6F4F2EFECE9E5E2DEDAD5D1CDC9C6C2C0BDBCBBBBBBBCBEC0C3C6CA
CED2D6DADEE2E6E9ECEFF1F3F5F6F7F7F7F7F6F5F3F1EEEAE6E2DDD7D1CAC3BCB5ADA69F
99938F8B88878687898C90969BA2A9B0B7BFC6CDD3D9DFE4E8ECEFF2F4F5F7F7F8F7F7F6
F4F3F1EEEBE8E5E1DDD9D5D0CCC9C5C2BFBDBCBBBBBBBCBEC1C4C7CBCFD3D7DBDFE3E7EA
EDF0F3F5F7F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFDFCFBFAF9F8F6F4F1EFECE8E5E1DDD9D4D0CCC8C4C1BEBCBAB9B9BABBBDBFC2C5
C9CDD1D5DADEE2E5E9ECEFF1F3F5F6F7F7F7F7F6F4F2F0EDE9E5E0DAD4CDC6BFB7AFA7A0
98928C8783807E7E7E8184898E949BA3AAB2BAC2C9D0D7DCE2E6EAEEF1F3F5F6F7F7F7F6
F6F4F2F0EEEBE8E4E0DCD8D4CFCBC7C4C1BEBCBAB9B9BABBBDBFC2C6CACED2D6DADFE2E6
EAEDF0F2F5F7F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFDFCFBFAF9F7F6F4F1EEEBE8E4E0DCD8D4CFCBC7C3C0BDBBB9B8B8B8B9BBBEC1
C4C8CCD0D4D9DDE1E5E8ECEEF1F3F4F6F6F7F7F6F5F4F1EFECE8E3DED8D2CAC3BBB3ABA2
9A928B85807B78767677797D82878E959DA6AEB6BEC6CDD4DAE0E5E9EDF0F2F4F6F6F7F7
F6F5F4F2F0EDEAE7E3DFDBD7D3CECAC6C3BFBDBAB9B8B8B8BABBBEC1C5C8CDD1D5DADEE2
E6E9EDEFF2F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFDFCFBFAF9F7F5F3F1EEEBE7E4E0DBD7D3CECAC6C2BEBCB9B8B7B6B7B8BABC
BFC3C7CBCFD4D8DCE0E4E8EBEEF0F3F4F5F6F7F6F6F5F3F1EEEBE7E2DCD6CFC8C0B8AFA7
9E958D867F7A757270707173777C82899199A1AAB3BBC3CBD2D9DFE4E8ECEFF2F4F5F6F7
F6F6F5F4F2F0EDEAE6E3DFDBD6D2CDC9C5C1BEBBB9B7B6B6B7B8BABDC0C3C7CCD0D4D9DD
E1E5E9ECEFF2F4F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EEEAE7E3DFDBD6D2CDC9C5C1BDBAB8B6B5B5B5B6B8
BBBEC2C6CACED3D7DCE0E4E7EBEEF0F2F4F5F6F6F6F6F4F3F0EDEAE6E1DBD5CEC6BEB5AD
A49B9289827B75706D6B6B6C6E72777D858D959EA7B0B9C1C9D1D7DDE3E7EBEFF1F3F5F6
F6F6F6F5F3F1EFEDE9E6E2DEDAD5D1CCC8C4C0BDBAB7B6B5B5B5B7B9BBBFC2C6CBCFD4D8
DCE1E5E8ECEFF2F4F6F8F9FBFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F0EDEAE6E3DEDAD5D1CCC8C3BFBCB9B6B5B4B3B4B5
B7B9BDC0C4C9CDD2D6DBDFE3E7EAEDF0F2F4F5F6F6F6F5F4F2F0EDE9E5E0DAD4CDC5BCB4
ABA1988F877F78726D696867686B6F747A828A939CA5AEB7C0C8CFD6DDE2E7EBEEF1F3F5
F6F6F6F6F5F3F1EFECE9E5E2DDD9D5D0CBC7C3BFBBB8B6B4B3B3B4B5B7BABDC1C5C9CED3
D7DCE0E4E8EBEEF1F4F6F8F9FAFCFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F3F0EDEAE6E2DED9D5D0CBC7C2BEBBB7B5B3B2B2B2
B4B5B8BBBFC3C8CCD1D6DADFE3E6EAEDF0F2F3F5F6F6F6F5F4F2F0EDE9E5E0DAD3CCC4BB
B3A9A0978E857D76706B67656566696D72798088919AA4ADB6BFC7CFD6DCE2E7EBEEF1F3
F4F5F6F6F5F4F3F1EFECE9E5E1DDD8D4CFCAC6C2BEBAB7B5B3B2B2B2B4B6B9BCC0C4C8CD
D2D6DBDFE4E7EBEEF1F3F6F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF8F7F5F2F0EDE9E5E1DDD8D4CFCAC6C1BDB9B6B4B2B1B0
B1B2B4B7BABEC2C7CBD0D5D9DEE2E6E9EDEFF2F3F5F5F6F6F5F4F2F0EDE9E5DFDAD3CCC4
BBB2A9A0968D857D756F6B67656566686C72788088919AA4ADB6BFC7CFD6DCE2E6EBEEF1
F3F4F5F6F6F5F4F3F1EEEBE8E4E0DCD8D3CEC9C5C0BCB9B6B3B1B0B0B1B2B4B7BBBFC3C7
CCD1D6DADFE3E7EBEEF1F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFECE9E5E1DCD8D3CEC9C4C0BCB8B5B2B0AF
AFAFB1B3B5B9BDC1C6CACFD4D9DDE2E6E9ECEFF1F3F4F5F6F6F5F4F2F0EDE9E5E0DAD3CC
C4BCB3AAA1978E867E77716C686666676A6E73798189929BA4AEB7BFC7CFD6DCE2E7EBEE
F1F3F4F5F6F6F5F4F2F0EEEBE8E4E0DCD7D2CDC8C4BFBBB7B4B2B0AFAFAFB1B3B6B9BDC2
C6CBD0D5DADEE3E7EAEDF0F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFECE8E4E0DCD7D2CDC8C3BFBAB7B3B1AF
AEADAEAFB1B4B7BBC0C4C9CED3D8DDE1E5E9ECEFF1F3F4F5F6F6F5F4F2F0EDEAE5E0DBD4
CDC5BDB5ACA29990888079736F6B69696A6C70767C838B949DA6AFB8C1C9D0D7DDE2E7EB
EEF1F3F5F5F6F6F5F4F2F0EEEBE7E3DFDBD6D1CCC7C3BEBAB6B3B0AFAEADAEAFB2B5B8BC
C1C5CACFD4D9DEE2E6EAEDF0F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F2EFEBE8E4E0DBD6D1CCC7C2BEB9B5B2AF
ADACACACAEB0B3B6BABFC3C8CDD2D7DCE0E5E8ECEEF1F3F4F5F6F6F5F4F3F0EEEAE6E1DC
D6CFC7BFB7AEA59D948C847D7873706E6E6F71757A80878F97A0A9B2BAC3CAD2D8DEE3E8
ECEFF1F3F5F6F6F6F5F4F2F0EDEAE7E3DFDAD5D0CBC6C1BDB9B5B1AFADACACADAEB0B3B7
BBBFC4C9CED3D8DDE1E6E9EDF0F3F5F7F9FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EEEBE8E4DFDBD6D1CBC6C1BCB8B4B1
AEACABAAABACAEB1B5B9BEC2C7CDD2D7DBE0E4E8EBEEF1F3F4F5F6F6F6F5F3F1EEEBE7E3
DDD7D1CAC2BAB2A9A199918A837E7976757475777B80868D949CA4ADB5BDC5CDD4DADFE4
E9ECF0F2F4F5F6F6F6F5F4F2F0EDEAE6E3DEDAD5D0CAC5C0BCB7B3B0AEACABAAABADAFB2
B6BABEC3C8CDD3D8DCE1E5E9ECF0F2F5F7F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFBF9F8F6F4F1EEEBE7E3DFDAD5D0CBC5C0BBB7B3
AFADABA9A9AAABADB0B4B8BCC1C6CCD1D6DBDFE4E8EBEEF1F3F4F5F6F6F6F5F4F2EFECE9
E4DFDAD4CDC6BEB6AEA79F97918B85817E7D7C7D7F83878D939AA2AAB2BAC1C9D0D6DCE1
E6EAEEF0F3F4F5F6F6F6F5F4F2F0EDEAE6E2DED9D4CFCAC4BFBAB6B2AFACAAA9A9AAABAE
B1B4B9BDC2C7CDD2D7DCE0E5E9ECEFF2F5F7F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFAF9F8F6F3F1EEEAE7E3DED9D4CFCAC4BFBAB6
B1AEABA9A8A8A8AAACAFB2B7BBC0C6CBD0D5DADFE3E7EBEEF0F3F4F5F6F6F6F6F4F3F0EE
EAE6E2DDD7D1CAC3BCB5ADA69F99948F8B88878687898C91969CA2A9B0B8BFC6CDD3D9DF
E4E8ECEFF1F3F5F6F6F6F6F5F4F2EFEDE9E6E2DDD8D3CEC9C3BEB9B5B1ADABA9A8A8A8AA
ACAFB3B7BCC1C6CCD1D6DBE0E4E8ECEFF2F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F1EEEAE6E2DED9D3CEC9C3BEB9
B4B0ADAAA8A6A6A7A8AAADB1B5BABFC5CACFD5DADEE3E7EAEEF0F2F4F6F6F7F7F6F5F4F2
EFECE9E5E0DBD5CFC9C2BCB5AFA9A39E9A969492929395979BA0A5ABB1B8BEC5CBD2D7DD
E2E6EAEDF0F3F4F6F6F7F7F6F5F4F2EFECE9E5E1DDD8D3CDC8C2BDB8B4B0ACA9A7A6A6A7
A8ABAEB2B6BBC0C5CBD0D6DBDFE4E8ECEFF2F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDEAE6E2DDD8D3CDC8C2BD
B8B3AFABA8A6A5A5A5A7A9ACB0B4B9BEC4C9CFD4D9DEE2E7EAEDF0F2F4F6F7F7F7F7F6F5
F3F1EEEBE8E4DFDAD5CFCAC4BEB8B3AEAAA6A3A19F9FA0A1A4A7ABB0B5BBC0C6CCD2D7DC
E1E5E9EDF0F2F4F5F6F7F7F7F6F5F4F2EFECE9E5E1DCD7D2CCC7C1BCB7B2AEABA8A6A5A5
A5A7A9ADB1B5BABFC5CAD0D5DADFE3E7EBEFF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDE9E5E1DCD7D2CDC7C1
BCB7B2AEAAA7A5A4A3A4A5A8ABAFB3B8BDC3C8CED3D9DDE2E6EAEDF0F2F4F6F7F8F8F8F7
F6F5F3F1EEEBE8E4E0DBD7D2CDC8C3BFBAB7B3B1AFAEAEAEB0B2B5B8BCC0C5CACFD4D9DD
E2E6E9EDEFF2F4F5F7F7F8F8F7F7F5F4F2EFECE8E5E0DCD6D1CCC6C1BBB6B1ADA9A7A5A4
A3A4A6A8ABAFB4B9BEC4C9CFD4D9DEE3E7EBEEF1F4F6F8F9FBFCFDFDFEFEFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDE9E5E1DCD7D1CCC6
C1BBB6B1ACA9A6A4A2A2A3A4A6AAADB2B7BCC2C7CDD3D8DDE2E6EAEDF0F2F4F6F7F8F9F9
F8F8F7F5F4F2EFECE9E6E2DFDBD7D3CFCBC8C5C2C0BFBEBEBEBFC1C3C6C9CDD0D4D8DCE0
E4E7EBEEF0F2F4F6F7F8F8F9F8F8F7F5F4F2EFECE8E4E0DBD6D0CBC5C0BAB5B0ACA8A5A3
A2A2A3A4A7AAAEB3B8BDC3C8CED4D9DEE3E7EBEEF1F4F6F8F9FBFCFDFDFEFEFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2F0ECE9E5E0DBD6D1CB
C5C0BAB5B0ABA7A4A2A1A1A1A3A5A8ACB1B6BBC1C7CCD2D7DCE1E6E9EDF0F2F5F6F8F9F9
FAFAF9F9F8F6F5F3F1EFEDEAE7E4E1DEDCD9D6D4D2D1D0CFCFCFD0D1D3D5D7DADDE0E3E5
E8EBEEF0F2F4F6F7F8F9F9FAF9F9F8F7F6F4F1EFECE8E4DFDAD5D0CAC4BFB9B4AFABA7A4
A2A1A1A1A3A6A9ADB2B7BCC2C8CDD3D8DDE2E6EAEEF1F3F6F8F9FBFCFDFDFEFEFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFECE8E4E0DBD6D0
CAC5BFB9B4AFAAA6A3A1A09FA0A1A4A7ABB0B5BAC0C6CCD1D7DCE1E5E9EDF0F3F5F7F8F9
FAFBFBFBFBFAFAF9F8F6F5F4F2F0EEEDEBE9E7E6E4E3E2E1E1E1E1E2E2E4E5E6E8EAECED
EFF1F3F4F6F7F8F9FAFAFBFBFBFAFAF9F8F6F4F1EFEBE8E4DFDAD5CFC9C4BEB8B3AEA9A6
A3A19F9FA0A2A4A8ACB1B6BBC1C7CDD2D8DDE2E6EAEEF1F3F6F8F9FBFCFCFDFEFEFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F7F5F2EFECE8E4DFDAD5
CFCAC4BEB8B3ADA9A5A2A09E9E9FA0A3A6AAAFB4B9BFC5CBD1D6DCE0E5E9EDF0F3F5F7F9
FAFBFCFCFDFDFDFDFDFCFCFBFBFAFAF9F8F8F7F6F6F5F5F4F4F4F4F4F4F5F5F5F6F7F7F8
F9F9FAFBFBFCFCFCFDFDFDFDFCFCFBFAF9F8F6F4F2EFEBE7E3DFDAD4CEC9C3BDB7B2ADA8
A4A19F9E9E9FA0A3A6ABAFB5BAC0C6CCD2D7DCE1E6EAEDF0F3F5F7F9FAFCFCFDFEFEFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F7F4F2EFECE8E4DFDA
D4CFC9C3BDB7B2ACA8A4A19E9D9D9D9FA1A5A9AEB3B8BEC4CAD0D6DBE0E5E9ECF0F3F5F7
F9FAFCFDFEFEFFFFFFFEFEFDFDFDFCFCFBFBFAFAF9F9F8F8F8F8F7F7F7F8F8F8F8F9F9FA
FAFBFBFCFCFDFDFEFEFFFFFFFFFEFDFCFBFAF8F6F4F2EFEBE7E3DED9D4CEC8C2BCB6B1AC
A7A3A09E9D9D9D9FA2A5AAAEB4B9BFC5CBD1D7DCE1E5E9EDF0F3F5F7F9FAFBFCFDFEFEFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFEBE8E3DF
D9D4CEC8C2BCB6B1ABA7A39F9D9C9B9C9EA0A4A8ACB2B8BDC4CAD0D5DBE0E4E9ECF0F3F5
F7F9FBFDFEFFFFFEFDFBFAF9F8F6F5F3F2F0EEECEBE9E8E6E5E4E4E3E3E4E4E5E6E7E8EA
EBEDEFF1F2F4F5F7F8FAFBFCFDFEFFFFFDFCFAF9F7F4F2EEEBE7E3DED9D3CDC7C1BBB5B0
AAA6A29F9D9C9B9C9EA1A4A8ADB3B9BEC5CBD1D6DCE0E5E9EDF0F3F5F7F9FAFBFCFDFEFE
FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFEBE7E3
DED9D3CEC8C1BBB5B0AAA6A19E9C9A9A9B9C9FA2A7ABB1B7BDC3C9CFD5DADFE4E8ECF0F3
F5F8FAFCFDFFFEFDFBFAF8F6F4F2F0EDEAE7E5E2DFDCD9D7D4D2D1D0CFCFCFD0D1D3D5D8
DADDE0E3E6E9EBEEF1F3F5F7F9FAFCFEFFFEFDFBF9F7F4F2EEEBE7E2DDD8D2CDC7C0BAB4
AFA9A5A19E9C9A9A9B9D9FA3A7ACB2B8BEC4CAD0D6DBE0E5E9EDF0F3F5F7F9FAFBFCFDFE
FEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F1EEEBE7
E3DED8D3CDC7C1BAB4AFA9A4A09D9B9999999B9EA1A5AAB0B6BCC2C8CED4DADFE4E8ECF0
F3F6F8FAFCFEFFFDFBF9F7F5F2EFECE9E5E1DDD9D5D1CDC9C5C2C0BDBCBBBBBBBCBEC1C3
C7CACED3D7DBDFE3E7EAEDF0F3F6F8FAFCFEFFFEFCF9F7F5F2EEEBE7E2DDD8D2CCC6C0B9
B3AEA8A4A09D9A99999A9C9EA2A6ABB1B7BDC3C9CFD5DBE0E4E9ECF0F2F5F7F9FAFBFCFD
FEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F1EEEB
E7E2DDD8D2CCC6C0BAB3AEA8A39F9C999898989A9DA0A4A9AFB5BBC1C8CED4D9DFE4E8EC
F0F3F6F8FBFDFFFEFCF9F7F4F1EEEAE6E2DDD9D3CEC9C3BEB9B5B0ADAAA8A7A7A7A9ABAE
B2B6BBC0C5CBD0D6DBDFE4E8ECEFF2F5F8FAFCFFFEFCFAF7F5F2EEEAE6E2DDD7D1CBC5BF
B9B2ADA7A39F9B999898999A9DA1A5AAB0B6BCC2C9CFD5DADFE4E8ECEFF2F5F7F9FAFBFC
FDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EE
EAE6E2DDD8D2CCC6BFB9B3ADA7A29E9B98979697999B9FA3A8AEB4BAC1C7CDD3D9DEE3E8
ECF0F3F6F9FBFEFFFDFAF8F5F1EEEAE6E1DCD6D0CAC3BDB6B0AAA49F9B97959493949699
9CA1A6ACB2B9BFC6CCD2D8DEE3E7ECEFF3F6F9FBFEFFFDFAF8F5F2EEEAE6E1DCD7D1CBC5
BEB8B2ACA6A29E9A98979797999CA0A4A9AFB5BBC2C8CED4DADFE4E8ECEFF2F5F7F9FAFB
FCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F1
EEEAE6E2DDD7D1CBC5BEB8B2ACA6A19D9A97969596989A9EA2A8ADB3BAC0C6CDD3D9DEE3
E8ECF0F3F6F9FCFEFEFCF9F6F2EFEBE6E1DBD5CFC8C0B9B1A9A29B948E89858281808183
878B90979DA5ACB4BCC3CBD1D8DEE3E8ECF0F4F7FAFDFFFDFBF8F5F2EEEAE6E1DCD6D0CA
C4BDB7B1ABA5A19C9997969596989B9FA3A8AEB4BBC1C7CED4D9DFE3E8ECEFF2F5F7F9FA
FBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F3
F1EEEAE6E1DCD7D1CBC4BEB7B1ABA5A09C999695949597999DA1A7ACB2B9BFC6CCD2D8DE
E3E7ECF0F3F6F9FCFFFDFBF7F4F0ECE8E3DDD6CFC8C0B7AFA69D958D857E7974716F6F70
72767B81889098A1A9B2BBC3CBD2D9DFE5EAEEF2F6F9FCFFFEFBF8F5F2EEEAE6E1DCD6D0
CAC3BDB6B0AAA4A09B9896949495979A9EA2A7ADB3BAC0C7CDD3D9DEE3E8EBEFF2F4F7F8
FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6
F3F1EDEAE6E1DCD6D0CAC4BDB7B0AAA49F9B989594939496989CA0A6ABB2B8BFC5CCD2D8
DDE3E7ECF0F3F6FAFCFFFDFAF6F3EFEAE5DFD9D2CAC1B9AFA59C92887F776F6964605E5E
5F62666B727A838C96A0A9B3BCC5CDD5DBE2E7ECF0F4F8FBFEFEFBF8F5F2EEEAE5E1DBD6
D0C9C3BCB6AFA9A49F9A979593939496999DA1A7ACB3B9C0C6CDD3D9DEE3E7EBEFF2F4F7
F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8
F6F3F0EDEAE5E1DBD6D0CAC3BCB6AFA9A49E9A979493929395979BA0A5ABB1B7BEC5CBD2
D8DDE2E7ECF0F3F7FAFDFFFCF9F5F1EDE8E2DCD5CDC5BCB2A89D92877D736A625B55514F
4F5053575D656E77818C96A1ACB6BFC8D0D8DFE5EAEFF3F7FAFDFFFCF9F5F2EEEAE5E0DB
D5CFC9C2BBB5AEA8A39E99969492929395989CA0A6ACB2B8BFC6CCD2D8DEE3E7EBEFF2F4
F6F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9
F8F6F3F0EDE9E5E0DBD6CFC9C3BCB5AFA8A39E99969392919294969A9FA4AAB0B7BDC4CB
D1D7DDE2E7EBEFF3F7FAFDFFFBF8F4F0EBE6E0D9D2C9C0B6ACA1958A7E73685E564E4844
414142454A5159626C77838E9AA5B0BAC4CDD5DCE2E8EDF2F6F9FDFFFCF9F5F2EEEAE5E0
DBD5CFC8C2BBB4AEA7A29D98959391919294979BA0A5ABB1B8BFC5CCD2D8DDE2E7EBEEF1
F4F6F8FAFBFCFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFB
F9F7F5F3F0EDE9E5E0DBD5CFC9C2BBB5AEA8A29D9895929190919395999EA3A9AFB6BDC4
CAD1D7DDE2E7EBEFF3F7FAFDFEFBF7F3EFEAE4DED7CFC6BCB2A79B8F82766A5F544B433D
383535363A3F464F58636F7B8794A0ABB6C0CAD2DAE1E7ECF1F5F9FCFFFCF9F5F2EEEAE5
E0DAD4CEC8C1BAB3ADA7A19C98949290909193969A9FA4AAB1B7BEC5CBD2D7DDE2E7EBEE
F1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFC
FAF9F7F5F3F0EDE9E5E0DBD5CFC8C1BBB4ADA7A19C979491908F909295989DA2A8AFB6BC
C3CAD0D7DCE2E7EBEFF3F7FAFEFEFBF7F3EEE9E3DCD5CCC3B9AEA296897C6F63574C423A
332E2B2B2C30353D46505B6874818E9BA7B2BDC7D0D8DFE5EBF0F4F8FCFFFCF9F5F2EEE9
E5E0DAD4CEC7C0BAB3ACA6A09B9793918F8F909295999EA3A9B0B7BDC4CBD1D7DDE2E6EA
EEF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFC
FCFAF9F7F5F3F0EDE9E4E0DAD4CEC8C1BAB3ADA6A09B9793908F8E8F9194979CA2A8AEB5
BCC3C9D0D6DCE1E6EBEFF3F7FAFEFEFAF6F2EDE8E2DBD3CAC1B6AB9F9285776A5D51453B
322B26242324282E363F4A55626F7D8A97A4AFBBC5CED6DEE4EAEFF4F8FCFFFCF9F5F2EE
E9E5DFDAD4CDC7C0B9B2ACA59F9A9692908F8E8F9194989DA3A9AFB6BDC4CAD1D7DCE2E6
EAEEF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFD
FCFCFAF9F7F5F3F0ECE9E4DFDAD4CEC7C1BAB3ACA6A09A96928F8E8D8E9093979BA1A7AE
B4BBC2C9D0D6DCE1E6EBEFF3F7FAFEFEFAF6F2EDE7E1DAD2C9BFB4A99C8F817466594C40
362D26211E1D1F2328303A45515E6B798794A1ADB9C3CDD5DDE4EAEFF3F8FBFFFCF9F5F2
EEE9E4DFD9D3CDC6BFB9B2ABA59F9995928F8E8D8E9093979CA2A8AFB5BCC3CAD0D6DCE1
E6EAEEF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FDFCFCFAF9F7F5F3F0ECE8E4DFDAD4CEC7C0B9B2ABA59F9A95918F8D8D8D8F92969BA0A6
ADB4BBC2C9CFD6DCE1E6EBEFF3F7FAFEFEFAF6F1ECE7E1D9D1C8BEB3A79B8D8072645649
3D332A231D1A1A1B1F252D37424E5C69778593A0ACB8C2CCD5DCE3E9EFF3F7FBFFFCF9F5
F2EDE9E4DFD9D3CDC6BFB8B1AAA49E9994918E8D8D8E9093979CA1A7AEB5BCC3CAD0D6DC
E1E6EAEEF1F4F6F8FAFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFDFCFBFAF9F7F5F3F0ECE8E4DFD9D3CDC7C0B9B2ABA49E9994908E8C8C8C8E91959AA0
A6ACB3BAC1C8CFD5DBE1E6EBEFF3F7FAFEFEFAF6F1ECE7E0D9D1C8BEB3A79A8D7F716355
483D3229221C19191A1E242C36414E5B697785929FACB7C2CCD4DCE3E9EEF3F7FBFFFCF9
F5F1EDE9E4DFD9D3CCC6BFB7B0AAA39D9894908D8C8C8D8F92969BA1A7ADB4BBC2C9D0D6
DCE1E6EAEEF1F4F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFDFCFBFAF9F7F5F2EFECE8E4DFD9D3CDC6BFB8B1AAA49E9894908D8B8B8C8E919599
9FA5ACB3BAC1C8CFD5DBE1E6EAEFF3F7FAFEFEFAF6F2EDE7E1D9D1C8BEB3A79B8D807264
564A3E332A231E1B1A1C20262D37424F5C69778593A0ACB8C2CCD5DCE3E9EFF3F8FBFFFC
F9F5F1EDE9E4DED9D2CCC5BEB7B0A9A39D97938F8D8B8B8C8E91959AA0A6ADB4BBC2C9CF
D6DBE1E5EAEDF1F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED9D3CDC6BFB8B1AAA39D98938F8C8B8A8B8D9094
999EA5ABB2B9C1C8CED5DBE0E6EAEFF3F7FAFEFEFAF6F2EDE7E1DAD2C9BFB5A99C8F8274
67594D41362E27211F1E1F2329313A45525E6C7A8795A1AEB9C3CDD5DDE4EAEFF4F8FCFF
FCF9F5F1EDE8E4DED8D2CCC5BEB7B0A9A29C97928F8C8B8A8B8D90959A9FA6ACB3BBC2C9
CFD5DBE1E5EAEDF1F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED9D3CCC5BEB7B0A9A39C97928E8C8A8A8A8C8F
93989EA4ABB2B9C0C7CED4DBE0E5EAEFF3F6FAFDFEFAF7F2EEE8E2DBD3CBC1B7AB9F9285
786B5E52463C332D28252426292F37404B5663707D8B98A4B0BBC5CED7DEE5EAEFF4F8FC
FFFCF9F5F1EDE8E3DED8D2CBC4BDB6AFA8A29B96928E8B8A8A8B8D9094999FA5ACB3BAC1
C8CFD5DBE0E5E9EDF1F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED9D2CCC5BEB7B0A9A29C96928E8B8A898A8C
8F93989DA4AAB1B9C0C7CED4DAE0E5EAEEF2F6FAFDFEFBF7F3EEE9E3DDD5CDC4B9AFA397
8A7D7164584D443B35302D2D2E32373F47525D6976828F9CA8B3BEC7D0D8DFE6EBF0F5F9
FCFFFCF8F5F1EDE8E3DED8D2CBC4BDB6AFA8A19B96918D8B89898A8C8F93999EA5ACB3BA
C1C8CFD5DBE0E5E9EDF0F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE8E3DED8D2CCC5BEB7AFA8A29B96918D8B898889
8B8E92979DA3AAB1B8C0C7CED4DAE0E5EAEEF2F6F9FDFFFBF8F4EFEAE5DED7CFC7BDB3A8
9C9084786C61574D463F3B3838393C4248515B65717D8995A1ACB7C1CAD3DAE1E7ECF1F5
F9FDFFFBF8F4F1ECE8E3DED8D1CBC4BDB5AEA7A19A95908D8A8989898C8F93989EA4ABB2
B9C1C8CED5DBE0E5E9EDF0F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFCFBFAF9F7F5F2EFECE7E3DED8D2CCC5BEB6AFA8A19B95918D8A8888
898B8E92979CA3AAB1B8BFC6CDD4DAE0E5EAEEF2F6F9FCFFFCF9F5F1ECE7E1DAD3CAC1B8
ADA3978C81766B6259524C48454546494E545C656F7A85919CA7B2BCC5CED6DDE3E9EEF2
F6FAFDFEFBF8F4F0ECE8E3DDD8D1CBC4BCB5AEA7A09A95908C8A8888898B8E92989DA4AB
B2B9C0C7CED5DAE0E5E9EDF0F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E3DED8D2CBC4BDB6AFA8A19B95908C8A88
87888A8D91969CA2A9B0B8BFC6CDD4DADFE5E9EEF2F5F9FCFFFDF9F6F2EEE9E3DDD6CFC7
BEB4AAA0968B81776E67605A57545455585C626A727B858F9AA4AEB8C1CAD2D9E0E6EBEF
F4F7FBFEFEFBF7F4F0ECE8E3DDD7D1CAC3BCB5AEA6A09A94908C898888888B8E92979DA4
AAB2B9C0C7CED4DAE0E5E9EDF0F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E3DED8D2CBC4BDB6AEA7A19A95908C89
8787888A8D91969CA2A9B0B7BFC6CDD3DADFE4E9EEF1F5F8FBFEFEFAF7F4F0EBE6E1DAD4
CCC4BCB3A9A0978E857D76706B67656566696D72798088919AA4ADB6BFC7CFD6DDE3E8ED
F1F5F8FCFFFDFAF7F4F0ECE7E2DDD7D1CAC3BCB5ADA69F99948F8B898787888A8D92979D
A3AAB1B9C0C7CED4DAE0E5E9EDF0F3F6F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E3DDD8D2CBC4BDB5AEA7A09A948F8C
89878787898C90969BA2A9B0B7BFC6CDD3D9DFE4E9EDF1F5F8FBFEFEFCF9F5F2EEE9E4DF
D9D3CBC4BCB4ACA39B948D87817D7A7878797B7F838990979FA7AFB7BFC7CED5DCE1E7EB
EFF3F7FAFDFFFDFAF7F3F0ECE7E2DDD7D1CAC3BCB4ADA69F99938F8B888787888A8D9196
9CA3AAB1B8C0C7CED4DAE0E4E9EDF0F3F5F8F9FBFCFDFDFEFEFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E2DDD8D1CBC4BDB5AEA7A09A948F
8B88878687898C90959BA2A8B0B7BEC6CDD3D9DFE4E9EDF1F4F7FAFDFFFDFAF7F4F1EDE9
E4DFD9D3CDC6BFB8B1AAA49E9994918E8C8C8D8F92969BA0A7ADB4BBC2C9CFD6DCE1E6EA
EEF2F5F8FBFEFFFCF9F6F3EFEBE7E2DDD7D1CAC3BBB4ADA69F99938E8B88878687898D91
969CA3AAB1B8C0C7CDD4DADFE4E9EDF0F3F5F8F9FBFCFDFDFEFEFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E2DDD8D1CBC4BCB5AEA7A09994
8F8B88868687898C90959BA1A8AFB7BEC5CCD3D9DFE4E9EDF1F4F7FAFCFFFEFCF9F7F4F1
EDE9E5E1DCD6D1CBC6C0BAB5B0ACA8A5A3A2A2A2A4A6AAAEB2B7BDC2C8CED3D9DEE2E7EB
EEF2F5F8FAFDFFFEFBF9F6F3EFEBE7E2DDD7D0CAC3BBB4ADA59F98938E8A88868687898C
91969CA2A9B1B8BFC7CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CBC4BCB5AEA6A099
938F8B88868687888C90959BA1A8AFB7BEC5CCD3D9DFE4E8EDF0F4F7F9FBFEFFFDFBF9F7
F4F2EFECE8E4E0DCD8D4CFCBC7C4C0BDBBBAB9B9B9BABCBFC2C5C9CDD1D5DADEE2E6EAED
F0F3F5F8FAFCFEFFFDFBF8F5F2EFEBE7E2DCD7D0C9C2BBB4ACA59E98938E8A8886868789
8C90969CA2A9B0B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5ADA69F
99938E8B88868686888B90959AA1A8AFB7BEC5CCD3D9DFE4E8ECF0F3F6F8FBFDFEFFFDFC
FAF8F7F4F2F0EDEBE8E5E2DFDDDAD7D5D3D2D1D0D0D0D1D2D4D6D8DBDEE1E3E6E9ECEEF1
F3F5F7F9FBFCFEFFFEFCFAF8F5F2EFEBE7E2DCD6D0C9C2BBB4ACA59E98928E8A87868687
898C90969BA2A9B0B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5ADA6
9F99938E8A88868586888B8F949AA1A8AFB6BEC5CCD3D9DEE4E8ECF0F3F5F8FAFBFDFEFF
FFFEFCFBFAF9F8F7F5F4F3F1F0EEEDECEBEAE9E9E8E8E8E9E9EAEBECEEEFF0F2F3F5F6F7
F8FAFBFCFDFEFFFFFEFCFBF9F7F4F2EEEBE6E2DCD6D0C9C2BBB3ACA59E98928E8A878685
86898C90959BA2A9B0B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEFFFFE5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5AD
A69F99938E8A87868586888B8F949AA1A8AFB6BEC5CCD3D9DEE3E8ECEFF2F5F7F9FAFBFC
FDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFEFEFEFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFDFCFBFAF8F6F4F1EEEAE6E1DCD6D0C9C2BBB3ACA59E98928E8A8786
8586888C90959BA2A9B0B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEFFE5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BCB5
ADA69F99938E8A87868586888B8F949AA1A8AFB6BEC5CCD2D9DEE3E8ECEFF2F4F6F8F9FA
FBFBFBFBFAFAF9F8F7F5F4F3F1F0EEEDEBEAE9E8E7E6E6E6E6E7E7E8E9EAECEDEFF0F2F3
F5F6F7F8F9FAFAFBFBFBFAFAF9F7F6F4F1EEEAE6E1DCD6D0C9C2BBB3ACA59E98928D8A87
868586888C90959BA2A9B0B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEFEE5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3BC
B5ADA69F99938E8A87868586888B8F949AA1A8AFB6BEC5CCD2D9DEE3E8ECEFF2F4F6F7F8
F9F9F9F8F7F6F5F3F1EFECEAE7E4E1DEDBD8D5D3D1D0CFCECECECFD0D2D4D6D9DCDFE2E5
E8EBEDF0F2F4F5F7F8F8F9F9F8F8F7F5F3F1EEEAE6E1DCD6D0C9C2BBB3ACA59E98928D8A
87868586888C90959BA2A9B0B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDFEE5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CAC3
BCB5ADA69F99938E8A87868586888B8F949AA1A8AFB6BEC5CCD2D9DEE3E7EBEFF1F3F5F6
F7F7F7F6F5F4F2F0EDEAE7E3DFDBD7D2CEC9C5C1BEBBB9B7B6B6B7B8BABCBFC3C7CBCFD4
D8DDE1E5E8EBEEF1F3F5F6F7F7F7F7F6F5F3F0EDEAE6E1DCD6D0C9C2BBB3ACA59E98928E
8A87868586888C90959BA2A9B0B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDFDE4E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1CA
C3BCB5ADA69F99938E8A88868586888B8F949AA1A8AFB6BEC5CCD2D8DEE3E7EBEEF1F3F5
F5F6F6F5F4F3F1EEEBE8E4DFDAD5D0CAC4BEB9B3AEAAA6A3A1A09FA0A2A4A7ABB0B5BBC1
C6CCD2D7DCE1E5E9ECEFF2F3F5F6F6F6F5F4F2F0EDEAE6E1DCD6D0C9C2BBB3ACA59E9892
8E8A87868586898C90959BA2A9B0B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCFDE4E4E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7D1
CAC3BCB5ADA69F99938E8B88868686888B90959AA1A8AFB6BEC5CCD2D8DEE3E7EBEEF1F3
F4F5F5F5F4F2F0EEEBE7E2DDD8D2CBC5BEB7AFA8A29C96928E8B8A898A8C8F93989EA4AB
B2B9C1C7CED4DADFE4E8ECEFF1F3F4F5F5F4F3F2F0EDEAE6E1DCD6D0C9C2BBB4ACA59E98
928E8A87868687898C90969BA2A9B0B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBFCE3E4E4E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F4F2EFEBE7E2DDD7
D1CBC4BCB5AEA6A099938F8B88868687888C90959BA1A8AFB7BEC5CCD2D8DEE3E7EBEEF0
F2F3F4F4F3F2F0EEEBE7E3DDD8D1CAC2BAB2AAA199928A847F7A77757576787C81868D95
9DA5ADB6BEC6CDD4DAE0E4E9ECEFF1F3F4F4F4F3F2EFEDE9E6E1DCD6D0C9C2BBB4ACA59E
98938E8A88868687898C90969CA2A9B0B8BFC6CDD4DADFE4E9EDF0F3F5F7F9FBE2E3E4E4
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E2DD
D8D1CBC4BCB5AEA7A099948F8B88868687898C90959BA1A8AFB7BEC5CCD3D9DEE3E7EBEE
F0F2F3F3F3F2F1EFECE8E4DFD9D2CBC3BAB1A89E958B837A736D6864626263666A6F767E
868F98A2ABB5BEC6CED5DBE1E6EAEDF0F2F3F3F3F3F1EFEDE9E5E1DCD6D0C9C2BBB4ACA5
9F98938E8A88868687898C91969CA2A9B1B8BFC7CDD4DADFE4E9EDF0F3F5F7F9E1E2E3E4
E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7E2
DDD8D1CBC4BDB5AEA7A09A948F8B88878687898C90959BA1A8B0B7BEC5CCD3D9DEE3E7EB
EEF0F1F2F3F2F1F0EDEAE6E1DBD5CDC5BCB3A89E93897F756C645D575351515255595F67
6F79838D98A2ADB6C0C8D0D7DEE3E7EBEEF0F2F3F3F2F1EFECE9E5E1DCD6D0C9C3BBB4AD
A69F99938E8B88878687898D91969CA3AAB1B8C0C7CDD4DADFE4E9EDF0F3F5F8E0E1E2E3
E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEBE7
E3DDD8D2CBC4BDB5AEA7A09A948F8C89878787898C90969BA2A9B0B7BEC5CCD3D9DEE3E7
EBEDF0F1F2F2F2F0EEECE8E4DED8D1C9C0B6ACA1958A7E73695F564F4944424143464B51
59636D78838F9AA5B0BAC4CCD4DBE1E5EAEDEFF1F2F2F2F1EFECE9E5E1DCD6D0CAC3BBB4
ADA69F99938F8B888787888A8D91969CA3AAB1B8C0C7CED4DAE0E4E9EDF0F3F5DEE0E1E2
E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFEB
E7E3DED8D2CBC4BDB6AEA7A19A95908C898787888A8D91969CA2A9B0B7BFC6CCD3D9DEE3
E7EAEDEFF1F2F2F1F0EDEAE7E2DCD5CEC5BBB1A69A8E8275695E544A423C37353435393E
454E58636E7A87939FAAB5BFC9D1D8DEE4E8ECEEF0F1F2F1F0EFECE9E5E1DCD6D0CAC3BC
B4ADA69F99948F8B898787888A8D92979DA3AAB1B9C0C7CED4DAE0E5E9EDF0F3DCDEE0E1
E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EF
EBE7E3DED8D2CBC4BDB6AFA8A19B95908C8A8887888A8D91969CA2A9B0B8BFC6CDD3D9DE
E3E7EAEDEFF1F1F1F1EFEDE9E5E0DAD3CBC2B8ADA195887B6E61554A4038312C2A292A2E
343B444E5A6673808D9AA6B1BCC6CED6DDE2E7EBEEF0F1F2F1F0EFECE9E5E1DCD7D0CAC3
BCB5ADA6A09A948F8C898888888B8E92979DA4AAB2B9C0C7CED4DAE0E5E9EDF0DADCDEE0
E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F5F2
EFECE7E3DED8D2CCC5BEB6AFA8A19B95918D8A8888898B8E92979CA3AAB1B8BFC6CDD3D9
DEE3E7EAEDEFF1F1F1F0EFECE9E4DFD9D1C9BFB5A99D908375685B4E4338302924212022
252B333C4753606D7B8896A2AEB9C3CCD4DBE1E6EAEDEFF1F1F1F0EFECE9E6E1DCD7D1CA
C3BCB5AEA7A09A95908C8A8888898B8E92989DA4ABB2B9C0C7CED5DAE0E5E9EDD7DADCDE
E0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7F5
F2EFECE8E3DED8D2CCC5BEB7AFA8A29B96918D8B8988898B8E92979DA3AAB1B8BFC6CDD3
D9DEE3E7EAEDEFF1F1F1F0EEECE8E4DED8D0C7BDB3A79A8D7F726456493D332A231D1A1A
1B1F252D37424E5B697785929FACB7C2CBD3DAE0E5EAEDEFF0F1F1F0EEECE9E6E1DCD7D1
CAC4BCB5AEA7A19A95908D8A8989898C8F93989EA4ABB2B9C1C8CED5DBE0E5E9D3D7DADC
DEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9F7
F5F2EFECE8E3DED9D2CCC5BEB7B0A9A29C96928E8B8A898A8C8F93989DA4AAB1B9C0C7CD
D4D9DFE3E7EBEDEFF0F1F1F0EEEBE8E3DED7CFC6BCB1A5998B7D6F6153463A2F261F1A17
16171B212A333F4B59677583919EAAB6C0CAD2DAE0E5E9ECEFF0F1F1F0EEECE9E6E1DDD7
D1CBC4BDB6AFA8A19B96918D8B89898A8C8F93999EA5ACB3BAC1C8CFD5DBE0E5D0D4D7DA
DCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFAF9
F7F5F2EFECE8E3DED9D3CCC5BEB7B0A9A39C97928E8C8A8A8A8C8F93989EA4ABB2B9C0C7
CED4DADFE3E7EBEDEFF0F1F1F0EEEBE8E3DDD7CFC6BCB1A5988A7C6E605245392E251D18
1514161A2028323E4A58667482909DAAB5C0CAD2D9E0E5E9ECEFF0F1F1F0EFECE9E6E2DD
D7D1CBC4BDB6AFA8A29B96928E8B8A8A8B8D9094999FA5ACB3BAC1C8CFD5DBE0CCD0D4D7
DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFBFA
F9F7F5F2EFECE8E3DED9D3CDC6BFB8B1AAA39D98938F8C8B8A8B8D9094999EA5ABB2B9C0
C7CED4DADFE3E7EBEDEFF1F1F1F0EEEBE8E3DDD7CFC6BCB1A5988B7D6F6153463A2F261E
191615171B2129333E4B58667483909EAAB6C0CAD2DAE0E5E9ECEFF0F1F1F0EFECEAE6E2
DDD7D2CBC4BEB6AFA9A29C97928F8C8B8A8B8D90959A9FA6ACB3BBC2C9CFD5DBC7CCD0D4
D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFB
FAF9F7F5F2EFECE8E4DFD9D3CDC6BFB8B1AAA49E9894908D8B8B8C8E9195999FA5ACB3BA
C1C8CED4DADFE4E8EBEEEFF1F1F1F0EEECE8E4DED7D0C7BDB2A79A8D7F716355483D3229
221C19191A1E242C36414E5B697784929FABB7C1CBD3DAE0E5EAEDEFF1F1F1F0EFEDEAE6
E2DDD8D2CCC5BEB7B0A9A39D97938F8D8B8B8C8E91959AA0A6ADB4BBC2C9CFD6C2C7CCD0
D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFC
FBFAF9F7F5F3F0ECE8E4DFD9D3CDC7C0B9B2ABA49E9994908E8C8C8C8E91959AA0A6ACB3
BAC1C8CED5DADFE4E8EBEEF0F1F1F1F0EFECE9E4DFD8D1C8BFB4A99C908274675A4D4137
2E27221F1F20242A323B46525F6C7A8895A1ADB9C3CCD4DBE1E6EAEDEFF1F1F1F0EFEDEA
E6E2DDD8D2CCC5BEB7B0AAA39D9894908D8C8C8D8F92969BA1A7ADB4BBC2C9D0BCC2C7CC
D0D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFD
FCFCFAF9F7F5F3F0ECE8E4DFDAD4CEC7C0B9B2ABA59F9A95918F8D8D8D8F92969BA0A6AD
B4BBC2C8CFD5DAE0E4E8EBEEF0F1F2F2F1EFEDE9E5E0DAD3CAC1B7ACA09487796C605348
3E362F2A2727282C3139424D5865727F8C99A5B0BBC5CED6DCE2E7EBEEF0F1F2F2F1EFED
EAE7E2DED8D2CCC6BFB8B1AAA49E9994918E8D8D8D9093979CA1A7AEB5BCC3CAB6BDC2C8
CCD0D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FDFCFCFAF9F7F5F3F0ECE9E4DFDAD4CEC7C1BAB3ACA6A09A96928F8E8D8E9093979BA1A7
ADB4BBC2C9CFD5DBE0E4E8EBEEF0F1F2F2F1F0EDEAE6E1DCD5CDC4BAB0A4998C8073675C
51473F3934313132363B424B55606C7885919DA9B4BEC8D0D8DEE3E8ECEEF0F2F2F2F1EF
EDEAE7E3DED9D3CDC6BFB8B2ABA49F9995928F8E8D8E9093979CA2A8AFB5BCC3B0B7BDC3
C8CCD1D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFDFCFCFAF9F7F5F3F0EDE9E4E0DAD4CEC8C1BAB3ADA6A09B9793908F8E8F9194979CA2
A8AEB5BCC2C9D0D6DBE0E5E8ECEEF0F2F2F2F2F0EEEBE8E3DED7D0C8BEB4AA9F93877C70
655B524B44403E3D3E42474D565F6975808C98A3AEB9C2CBD3DAE0E5E9EDEFF1F2F3F2F1
F0EDEAE7E3DED9D3CDC6C0B9B2ABA59F9A9692908F8E8F9194989DA3A9AFB6BDAAB1B7BD
C3C8CDD1D4D8DADDDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFDFDFCFAF9F7F5F3F0EDE9E5E0DBD5CFC8C1BBB4ADA7A19C979491908F909294989D
A2A8AFB5BCC3CAD0D6DBE0E5E9ECEFF1F2F3F3F3F1EFEDE9E5E0DAD3CCC3BAB0A69B9085
7A70675F58524E4C4B4C4F545A626B747F89949FAAB4BEC7CFD6DDE2E7EBEEF0F2F3F3F3
F2F0EEEBE7E3DED9D4CDC7C0B9B3ACA6A09B9793918F8F909295999EA3A9B0B7A4ABB1B8
BEC3C8CDD1D5D8DADDDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFDFDFCFBF9F7F5F3F0EDE9E5E0DBD5CFC9C2BBB5AEA8A29D989592919091939599
9EA3A9AFB6BDC3CAD0D6DCE1E5E9ECEFF1F3F3F4F3F2F1EEEBE7E3DDD7D0C8C0B7ADA49A
90867D746D66615D5B5B5C5F63697078808A949EA8B1BBC3CBD3DADFE5E9ECEFF1F3F3F4
F3F2F0EEEBE8E3DFDAD4CEC7C1BAB3ADA7A19C98949290909193969A9FA4AAB19EA4ABB2
B8BEC3C8CDD1D5D8DADDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFDFDFCFBF9F8F6F3F0EDE9E5E0DBD6CFC9C3BCB5AFA8A39E9996939291929496
9A9FA4AAB0B7BDC4CBD1D7DCE1E5E9EDEFF1F3F4F4F4F3F2F0EDEAE6E1DBD5CEC7BEB6AD
A49B938A837C76716E6C6C6D6F73787E868E969FA8B1B9C2CAD1D8DDE3E7EBEEF1F2F4F4
F4F4F2F1EEEBE8E4DFDAD4CEC8C1BBB4AEA7A29D98959391919294979BA0A5AB989EA5AC
B2B8BEC4C9CDD1D5D8DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFDFDFCFBF9F8F6F3F0EDEAE5E1DBD6D0CAC3BCB6AFA9A49E9A979493929395
979BA0A5ABB1B7BEC5CBD1D7DCE1E6EAEDF0F2F3F4F5F5F4F3F1EFECE9E4E0DAD4CEC7BF
B7B0A8A099928C8783807F7E7F8185898F959CA3ABB3BAC2C9D0D7DCE2E6EAEDF0F2F4F5
F5F5F4F3F1EFECE8E4DFDAD5CFC8C2BBB5AEA8A39E99969492929395989CA0A692989FA6
ACB3B9BFC4C9CDD1D5D8DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBF9F8F6F3F1EDEAE6E1DCD6D0CAC4BDB7B0AAA49F9B9895949394
96989CA0A6ABB2B8BFC5CCD2D7DDE2E6EAEDF0F2F4F5F6F6F6F5F3F1EFECE8E4E0DBD5CF
C9C2BBB5AEA8A39D99969392919294979B9FA5ABB1B7BEC5CBD1D7DDE2E6EAEDF0F2F4F5
F6F6F6F5F3F1EFECE8E4E0DBD5CFC9C3BCB5AFA9A49F9A979593939496999DA18D9399A0
A6ADB3B9BFC4C9CED2D5D8DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBF9F8F6F3F1EEEAE6E1DCD7D1CBC4BEB7B1ABA5A09C99969594
9597999DA1A7ACB2B9BFC6CCD2D8DDE2E6EAEEF0F3F4F6F7F7F7F6F5F4F2EFEDE9E5E1DD
D8D3CDC8C3BDB8B4AFACA9A7A6A6A6A8AAADB1B5BABFC5CAD0D5DADFE3E7EBEEF0F3F4F6
F6F7F7F6F5F4F2EFECE9E5E0DBD6D0CAC3BDB6B0AAA4A09B9896949495979A9E898E949A
A0A7ADB4BABFC5CACED2D5D8DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EEEAE6E2DDD7D1CBC5BEB8B2ACA6A19D9A9796
9596989A9EA2A7ADB3BAC0C6CDD3D8DEE2E7EBEEF1F3F5F6F7F8F8F8F7F6F5F3F1EEEBE8
E5E1DDD9D5D1CCC9C5C2BFBDBBBABABBBCBEC0C3C6CACED2D6DBDFE2E6EAEDEFF2F4F5F7
F7F8F8F8F7F6F4F2F0EDE9E5E1DCD6D0CAC4BDB7B1ABA5A19C9997969596989B858A8F95
9BA1A7AEB4BAC0C5CACED2D5D8DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EEEAE6E2DDD8D2CCC6BFB9B3ADA7A29E9B98
979697999B9FA3A8AEB4BAC1C7CDD3D9DEE3E7EBEEF1F4F5F7F8F9F9F9F9F8F8F6F5F3F1
EFEDEAE7E5E2DFDCD9D7D4D3D1D0CFCFD0D0D2D3D5D8DADDE0E3E6E9EBEEF0F2F4F6F7F8
F9F9F9F9F9F8F6F5F3F0EDE9E5E1DCD7D1CBC4BEB8B2ACA6A29E9A989797979982868B90
959BA2A8AEB5BBC0C5CACED2D6D9DBDDDFE0E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F1EEEBE7E2DDD8D2CCC6C0BAB3AEA8A39F9C
999898989A9DA0A4A9AFB5BBC1C8CED4D9DEE3E7EBEFF2F4F6F8F9FAFBFBFBFBFBFAF9F8
F7F6F5F3F2F0EFEDEBEAE8E7E6E5E5E4E4E4E5E6E6E8E9EAECEEEFF1F2F4F5F7F8F9FAFA
FBFBFBFBFAFAF8F7F5F3F0EDEAE6E1DCD7D1CBC5BFB9B2ADA7A39F9B999898998184878C
91969CA3A9AFB5BBC1C6CACFD2D6D9DBDDDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F1EEEBE7E3DED8D3CDC7C1BAB4AFA9A4A0
9D9B9999999B9EA1A5AAB0B6BCC2C8CED4DADFE4E8ECEFF2F4F7F8FAFBFCFCFDFDFEFEFE
FDFDFDFDFDFCFCFBFBFBFAFAFAF9F9F9F9F9F9F9F9FAFAFAFAFBFBFCFCFCFDFDFDFDFEFE
FEFDFDFDFCFBFAF9F8F6F3F1EEEAE6E2DDD8D2CCC6C0B9B3AEA8A4A09D9A999980828588
8D92979DA3AAB0B6BCC1C6CBCFD3D6D9DBDDDFE1E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFEBE7E3DED9D3CEC8C1BBB5B0AAA6
A19E9C9A9A9B9C9FA2A7ABB1B7BDC3C9CFD5DADFE4E8ECEFF2F5F7F9FBFCFDFEFFFFFFFE
FDFDFCFBFAFAF9F8F7F6F5F5F4F3F3F2F2F2F2F2F2F2F3F3F4F5F6F6F7F8F9FAFBFBFCFD
FEFEFFFFFFFEFDFBFAF8F6F4F1EEEBE7E2DDD8D2CDC7C0BAB4AFA9A5A19E9C9A81818386
898E93989EA4AAB0B6BCC1C6CBCFD3D6D9DBDEDFE1E2E3E3E4E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2EFEBE8E3DFD9D4CEC8C2BCB6B1AB
A7A39F9D9C9B9C9EA0A4A8ACB2B8BDC4CAD0D5DBE0E4E9ECF0F3F5F8FAFBFDFEFFFEFDFC
FBF9F8F6F5F3F1EFEDEBE9E7E5E3E2E0DFDEDEDEDEDFE0E1E2E4E6E8EAECEEF0F2F3F5F7
F8FAFBFCFEFFFFFEFCFBF9F7F4F2EEEBE7E3DED9D3CDC7C1BBB5B0AAA6A29F9D82828384
878B8F94999FA5ABB1B7BDC2C7CBD0D3D6D9DCDEDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F7F4F2EFECE8E4DFDAD4CFC9C3BDB7B2
ACA8A4A19E9D9D9D9FA1A5A9AEB3B8BEC4CAD0D6DBE0E5E9EDF0F3F6F8FAFCFEFFFEFDFB
F9F7F5F3F1EEEBE9E5E2DFDCD9D6D3D1CFCDCCCBCBCBCCCECFD2D4D7DADDE0E4E7EAEDEF
F2F4F6F8FAFCFDFFFFFDFBF9F7F5F2EFEBE7E3DED9D4CEC8C2BCB6B1ACA7A3A084838384
86888C90959AA0A6ACB2B8BDC2C7CCD0D3D7D9DCDEDFE1E2E3E4E4E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF8F7F5F2EFECE8E4DFDAD5CFCAC4BEB8
B3ADA9A5A2A09E9E9FA0A3A6AAAFB4B9BFC5CBD1D6DCE1E5E9EDF1F4F6F9FBFDFFFFFDFB
F9F7F4F2EFECE8E5E1DDD8D4D0CCC8C4C1BEBCBAB9B9BABBBDBFC2C5C9CDD2D6DADEE2E6
EAEDF0F3F5F8FAFCFDFFFEFCFAF8F5F2EFECE8E3DFDAD4CFC9C3BDB7B2ADA8A488868584
8587898D91969BA1A7ACB2B8BEC3C8CCD0D4D7DADCDEDFE1E2E3E4E4E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2EFECE8E4E0DBD6D0CAC5BF
B9B4AFAAA6A3A1A09FA0A1A4A7ABB0B5BAC0C6CCD1D7DCE1E6EAEDF1F4F7F9FBFDFFFEFB
F9F7F4F1EEEBE7E3DED9D4CFCAC5BFBBB6B2AFACAAA9A8A9ABADB0B4B8BCC1C7CCD1D6DB
E0E4E8ECF0F3F5F8FAFCFEFFFDFAF8F6F3F0ECE8E4DFDAD5CFC9C4BEB8B3AEA98C898786
8686888B8E92979CA2A7ADB3B9BEC3C8CCD0D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F2F0ECE9E5E0DBD6D1CBC5
C0BAB5B0ABA7A4A2A1A1A1A3A5A8ACB1B6BBC1C7CCD2D8DDE2E6EAEEF1F4F7F9FCFEFFFD
FAF8F5F2EFEBE7E3DED8D3CDC7C0BAB4AEA9A4A09D9B9A999A9C9EA2A6ABB1B6BDC3C9CF
D5DAE0E4E9EDF0F3F6F9FBFEFFFDFBF8F6F3F0ECE9E4E0DBD5D0CAC4BFB9B4AF918D8A88
878788898C8F93989DA3A8AEB4B9BFC4C8CDD1D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDE9E5E1DCD7D1CC
C6C1BBB6B1ACA9A6A4A2A2A3A4A6AAADB2B7BCC2C8CDD3D8DDE2E6EBEEF2F5F7FAFCFFFE
FCF9F7F4F0EDE8E4DFD9D3CDC6BFB8B1AAA39D9894908D8C8B8C8E91959AA0A6ADB4BBC2
C9CFD5DBE1E6EAEEF2F5F8FAFDFFFEFBF9F6F3F0EDE9E5E0DBD6D1CBC5C0BAB596928F8C
8A8988898B8D9195999EA4A9AFB5BABFC4C9CDD1D4D7DADCDEE0E1E2E3E4E4E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDE9E5E1DCD7D2
CDC7C1BCB7B2AEAAA7A5A4A3A4A5A8ABAFB3B8BDC3C8CED3D9DEE3E7EBEFF2F5F8FAFDFF
FEFBF8F5F2EFEAE6E1DBD5CEC7C0B8B0A9A19A938D888481807F8082868A90969DA4ACB3
BBC3CAD1D7DDE3E8ECF0F4F7F9FCFEFEFCF9F7F4F1EDE9E5E1DCD7D1CCC6C1BB9C989390
8D8B8A8A8A8C8F92969A9FA5AAB0B5BBC0C5C9CED1D5D8DADCDEE0E1E2E3E4E4E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F0EDEAE6E2DDD8
D3CDC8C2BDB8B3AFABA8A6A5A5A5A7A9ACB0B4B9BEC4C9CFD4D9DEE3E7EBEFF2F5F8FBFD
FFFDFAF8F4F1EDE9E4DED8D1CAC3BBB2AAA199918A847E7A77757576787C81868D959CA5
ADB6BEC6CDD4DBE0E6EAEFF2F6F9FBFEFFFCFAF7F4F1EDEAE6E1DCD7D2CDC7C2A39E9995
918E8C8B8B8C8D9093979BA0A6ABB0B6BBC0C5CACED2D5D8DADDDEE0E1E2E3E4E4E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F7F5F3F1EEEAE6E2DE
D9D3CEC9C3BEB9B4B0ADAAA8A6A6A7A8AAADB1B5BABFC5CACFD5DADFE3E8ECEFF2F5F8FB
FDFFFDFAF7F4F0ECE7E2DCD6CFC7BFB6ADA49C938B837C76726E6D6C6D7073797F868E96
9FA8B1BAC2CAD1D8DEE4E9EEF1F5F8FBFEFFFCFAF7F4F1EEEAE6E2DDD8D3CDC8A9A49F9A
9693908E8D8D8D8F9194989DA1A7ACB1B7BCC1C6CACED2D5D8DBDDDEE0E1E2E3E4E4E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFAF9F8F6F3F1EEEAE7E3
DED9D4CFCAC4BFBAB6B1AEABA9A8A8A8AAACAFB2B7BBC0C6CBD0D6DBDFE4E8ECF0F3F6F9
FBFEFFFCF9F6F3EFEBE6E1DAD4CCC4BCB3AAA0978E857D76706B68666566696D72798089
919BA4ADB6BFC8CFD6DDE3E8EDF1F4F8FBFDFFFDFAF7F5F1EEEAE6E2DDD9D3CEAFAAA5A0
9B9794918F8E8E8F909396999EA2A8ADB2B7BDC2C6CBCFD2D5D8DBDDDFE0E1E2E3E4E4E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFCFCFBF9F8F6F4F1EEEBE7
E3DFDAD5D0CBC5C0BBB7B3AFADABA9A9AAABADB0B4B8BCC1C7CCD1D6DBE0E4E9ECF0F3F6
F9FBFEFFFCF9F6F2EFEAE5DFD9D2CBC2BAB0A79D938A8179726B666361606164686E747C
858E97A1ABB4BDC6CED5DCE2E7ECF0F4F7FAFDFFFDFAF8F5F2EEEBE7E3DED9D4B5B0ABA6
A19C99959391908F909294979B9FA4A9AEB3B8BDC2C7CBCFD3D6D9DBDDDFE0E1E2E3E4E4
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F1EEEB
E8E4DFDBD6D1CBC6C1BCB8B4B1AEACABAAABACAEB1B5B9BEC2C7CDD2D7DCE0E5E9EDF0F3
F6F9FCFEFEFCF9F6F2EEEAE5DFD8D1CAC1B8AFA59B91887F766F6863605E5D5E61656B72
79828C959FA9B3BCC5CDD4DBE1E7ECF0F4F7FAFDFFFDFBF8F5F2EFEBE7E3DFDABBB6B1AC
A7A29E9A9794929191929395989CA0A5AAAFB4B9BEC3C7CCCFD3D6D9DBDDDFE0E1E2E3E4
E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBF9F8F6F4F2EF
EBE8E4E0DBD6D1CCC7C2BEB9B5B2AFADACACACAEB0B3B6BABFC3C8CED3D8DCE1E5E9EDF0
F4F6F9FCFEFEFCF9F6F2EEE9E4DFD8D1C9C1B8AEA49A90877E756E67625E5C5C5D606469
7078818B949EA8B2BBC4CCD4DBE1E6EBF0F3F7FAFDFFFDFBF8F5F2EFECE8E4DFC1BCB7B2
ADA8A39F9B98959493929394979A9DA1A6ABB0B5BABFC3C8CCD0D3D6D9DBDDDFE0E2E3E3
E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4F2
EFECE8E4E0DCD7D2CDC8C3BFBAB7B3B1AFAEADAEAFB1B4B7BBC0C4C9CED3D8DDE2E6EAED
F1F4F7F9FCFEFEFBF9F6F2EEE9E4DFD8D1C9C1B8AEA49B91877E756E67625F5D5C5D6064
6A7179818B959FA8B2BBC4CCD4DBE1E7EBF0F3F7FAFDFFFDFBF8F5F3EFECE8E4C6C2BDB8
B3AEA9A4A09C99979594949496989B9EA3A7ACB1B6BBBFC4C8CCD0D4D7D9DBDDDFE0E2E3
E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F6F4
F2EFECE9E5E1DCD8D3CEC9C4C0BCB8B5B2B0AFAFAFB1B3B5B9BDC1C6CACFD4D9DEE2E6EA
EEF1F4F7F9FCFEFEFCF9F6F2EEEAE5DFD9D2CAC2B9AFA69C92898077706964615F5E5F62
666C737A838C96A0AAB3BCC5CDD5DBE1E7ECF0F4F7FAFDFFFDFBF8F6F3F0ECE9CBC7C2BD
B9B4AFAAA6A19E9B989695959697999CA0A4A8ADB2B6BBC0C5C9CDD1D4D7D9DCDEDFE1E2
E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8F7
F5F2F0EDE9E5E1DDD8D4CFCAC6C1BDB9B6B4B2B1B0B1B2B4B7BABEC2C7CBD0D5DADEE3E7
EAEEF1F4F7FAFCFEFEFCF9F6F2EFEAE5E0DAD3CBC3BAB1A89E958B837A736D6864626263
666A6F767E868F98A2ACB5BEC6CED6DCE2E7ECF0F4F7FAFDFFFDFBF8F6F3F0EDCFCBC7C3
BEB9B5B0ABA7A39F9C9A98979797999B9EA1A5A9AEB2B7BCC1C5C9CDD1D4D7DADCDEDFE1
E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF8
F7F5F3F0EDEAE6E2DED9D5D0CBC7C2BEBBB7B5B3B2B2B2B4B5B8BBBFC3C8CCD1D6DADFE3
E7EBEEF1F4F7FAFCFEFEFCF9F6F3EFEBE6E1DBD4CDC5BDB4ABA1988F877F78726D6A6867
686B6F747A828A939CA5AEB7C0C8D0D7DDE3E8EDF1F4F7FAFDFFFDFBF9F6F3F0D3D0CCC8
C4BFBAB6B1ACA8A4A09D9B999898999A9C9FA2A6AAAFB3B8BDC1C6CACED1D5D7DADCDEDF
E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFA
F9F7F5F3F0EDEAE6E3DEDAD5D1CCC8C3BFBCB9B6B5B4B3B4B5B7B9BDC0C4C9CDD2D7DBE0
E4E8EBEFF2F5F7FAFCFEFEFCF9F7F4F0ECE7E2DCD6CFC8C0B7AEA69D948C847E7873706E
6E6F71757A80878F98A0A9B2BBC3CBD2D9DFE4E9EEF1F5F8FBFDFFFDFBF9F6F3D7D4D0CC
C8C4C0BBB6B2ADA9A5A29F9C9B9A9A9A9C9EA0A4A7ABB0B4B9BEC2C6CBCED2D5D8DADCDE
E0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFB
FAF9F7F5F3F0EEEAE7E3DFDBD6D2CDC9C5C1BDBAB8B6B5B5B5B6B8BBBEC2C6CACED3D7DC
E0E4E8ECEFF2F5F7FAFCFEFFFCFAF7F4F1EDE9E4DED8D2CBC3BBB3AAA29A928B857F7B78
767677797D81878E959DA5AEB6BEC6CED4DBE1E6EAEFF2F5F8FBFDFFFDFBF9F6DAD7D4D1
CDC9C5C0BCB7B3AEAAA6A3A09E9C9B9B9C9D9FA2A5A9ADB1B5BABEC3C7CBCFD2D5D8DADC
DEE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFC
FBFAF9F7F5F3F1EEEBE7E4E0DBD7D3CECAC6C2BEBCB9B8B7B6B7B8BABCBFC3C7CBCFD4D8
DDE1E5E9ECEFF2F5F7FAFCFEFFFDFAF8F5F2EEEAE6E1DBD5CEC7C0B8B0A8A19A938D8884
817F7F8082858A8F969CA4ABB3BBC3CAD1D7DDE3E8ECF0F3F6F9FBFEFFFDFBF9DDDAD7D4
D1CDCAC5C1BDB8B4B0ABA8A4A29F9E9D9D9D9FA0A3A6AAAEB2B6BBBFC4C8CCCFD3D6D8DB
DDDEE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFD
FCFBFAF9F7F6F4F1EEEBE8E4E0DCD8D4CFCBC7C3C0BDBBB9B8B8B8B9BBBEC1C4C8CCD0D5
D9DDE1E5E9ECF0F2F5F7FAFCFEFFFDFBF9F6F3F0ECE8E3DED8D2CCC5BEB6AFA8A29B9691
8E8B89898A8C8F93989EA4ABB2B9C0C7CED5DBE0E5E9EEF1F4F7FAFCFEFFFDFBDFDDDAD8
D5D1CECAC6C2BEB9B5B1ADA9A6A3A19F9E9E9FA0A2A4A7ABAFB3B7BCC0C4C8CCD0D3D6D8
DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FDFCFBFAF9F8F6F4F1EFECE8E5E1DDD9D4D0CCC8C4C1BEBCBAB9B9BABBBDBFC2C5C9CDD1
D5DADEE2E6E9EDF0F3F5F8FAFCFEFFFEFCF9F7F4F1EEEAE6E1DCD6D0CAC4BDB7B0AAA5A0
9C989694949597999DA2A7ADB3B9C0C6CDD3D9DEE3E7ECEFF2F5F8FAFCFEFFFDE1DFDDDB
D8D5D2CECBC7C3BEBAB6B2AEAAA7A4A2A1A0A0A0A1A3A6A9ACB0B4B8BDC1C5C9CDD0D3D6
D9DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFDFCFCFBF9F8F6F4F2EFECE9E5E2DEDAD5D1CDC9C6C2C0BDBCBBBBBBBCBEC0C3C6CACE
D2D6DBDFE3E6EAEDF0F3F5F8FAFCFDFFFEFCFAF8F6F3F0ECE9E4E0DBD5D0CAC4BFB9B4AF
AAA6A3A1A0A0A0A2A5A8ACB1B6BBC1C7CDD2D8DDE2E6EAEEF1F4F7F9FBFDFFFEE3E1DFDD
DBD8D5D2CFCBC7C3BFBBB7B3AFABA8A6A4A2A1A1A2A3A5A7AAADB1B5B9BDC2C6CACDD1D4
D7D9DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFDFCFCFBF9F8F6F4F2EFEDE9E6E2DEDAD6D2CECAC7C4C1BFBDBCBCBDBEBFC2C4C8CB
CFD3D7DBDFE3E7EAEDF0F3F5F8FAFBFDFFFFFDFBF9F7F5F2EFEBE8E4DFDBD6D1CCC7C2BD
B9B5B2AFADACACADAEB0B3B7BBBFC4C9CED3D8DDE1E5E9EDF0F3F6F8FAFCFEFFE5E3E1DF
DDDBD8D6D3CFCCC8C4C0BCB8B4B0ADAAA7A5A4A3A3A3A4A6A8ABAFB2B6BABEC2C6CACED1
D4D7D9DBDDDFE0E1E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFDFDFCFBFAF8F6F4F2F0EDEAE6E3DFDBD7D3CFCCC8C5C2C0BFBEBEBEBFC1C3C6C9
CCD0D4D8DCE0E4E7EBEEF1F3F6F8FAFBFDFEFFFEFCFAF8F6F4F1EFEBE8E4E0DCD8D4CFCB
C7C4C0BDBBBAB9B9B9BABCBFC2C5C9CDD1D5DADEE2E6E9EDF0F2F5F7F9FBFDFEE6E4E3E1
DFDDDBD9D6D3D0CCC9C5C1BDB9B5B1AEABA8A6A5A4A4A5A6A7AAADB0B3B7BBBFC3C7CBCE
D1D4D7DADCDEDFE0E2E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFDFDFCFBFAF8F7F5F3F0EDEAE7E3E0DCD8D4D0CDC9C6C4C2C0BFBFBFC1C2C4C7
CACED1D5D9DDE1E4E8EBEEF1F3F6F8FAFBFDFEFFFEFDFBFAF8F6F4F2EFECE9E6E3DFDCD8
D5D1CECCC9C8C6C5C5C6C7C8CACDCFD3D6D9DDE1E4E7EAEDF0F3F5F7F9FAFCFDE5E5E4E2
E1DFDDDBD9D6D3D0CDC9C6C2BEBAB6B3AFACAAA8A6A6A6A6A7A9ABAEB1B5B8BCC0C4C8CB
CFD2D5D8DADCDEDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFDFDFCFBFAF8F7F5F3F0EEEBE8E4E0DDD9D5D1CECBC8C5C3C2C1C1C1C2C4C6
C8CBCFD2D6DADEE1E5E8ECEFF1F4F6F8F9FBFCFEFFFFFEFDFBFAF8F7F5F3F1EEECE9E6E3
E1DEDCD9D7D5D4D3D2D2D2D3D4D6D8DADDDFE2E5E7EAEDEFF1F4F6F7F9FAFCFDE5E6E5E4
E2E1DFDDDBD9D7D4D1CDCAC6C3BFBBB7B4B0AEABA9A8A7A7A7A9AAACAFB2B6B9BDC1C5C8
CCCFD2D5D8DADCDEDFE1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F1EEEBE8E5E1DEDAD6D2CFCCC9C6C5C3C2C2C2C3C5
C7CACDD0D3D7DBDEE2E6E9ECEFF2F4F6F8F9FBFCFDFEFFFFFEFDFCFAF9F8F6F5F3F1EFED
EBE9E7E6E4E2E1E0DFDFDFDFE0E0E2E3E5E6E8EAECEEF0F2F4F5F7F8FAFBFCFDE4E5E5E4
E3E2E1DFDDDCD9D7D4D1CECBC7C3C0BCB8B5B2AFADABA9A9A8A9AAACAEB0B3B7BABEC2C5
C9CDD0D3D6D8DADCDEE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFDFDFCFBFAF9F7F5F3F1EFECE9E5E2DEDBD7D4D0CDCAC8C6C4C4C3C4C5
C6C8CBCED1D4D8DCDFE3E6E9ECEFF2F4F6F8F9FBFCFDFEFFFFFFFEFDFDFCFBFAF9F8F7F6
F4F3F2F1F0EEEEEDECECEBEBECECECEDEEEFF0F1F2F4F5F6F7F8F9FAFBFCFDFEE5E5E6E5
E4E3E2E1DFDEDCDAD7D5D2CFCBC8C4C0BDB9B6B3B0AEACABAAAAAAABADAFB2B5B8BBBFC3
C6CACDD0D3D6D8DBDDDEE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F6F4F1EFECE9E6E3DFDCD8D5D1CECBC9C7C6C5C5C5
C6C8CACCCFD2D5D9DCE0E3E7EAEDF0F2F4F6F8F9FBFCFDFDFEFFFFFFFFFFFEFEFDFDFDFC
FCFBFBFAFAF9F9F8F8F8F8F8F8F8F8F8F8F9F9F9FAFAFBFBFCFCFDFDFEFEFEFFE6E6E5E5
E4E3E3E2E1DFDEDCDAD7D5D2CFCCC8C5C1BEBAB7B4B1AFADACABABACADAEB0B3B6B9BCC0
C3C7CACED1D4D6D9DBDDDEE0E1E2E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F2EFEDEAE7E3E0DCD9D6D2CFCDCAC9C7C7C6
C7C8C9CBCDD0D3D6DADDE1E4E7EAEDF0F2F4F6F8F9FBFBFCFDFDFEFEFEFEFEFEFEFEFEFE
FEFEFDFDFDFDFDFCFCFCFCFCFCFCFCFCFCFCFCFCFDFDFDFDFEFEFEFEFEFEFEFEE5E5E5E4
E4E4E3E2E2E0DFDEDCDAD8D5D3D0CCC9C6C2BFBBB8B5B3B1AFAEADADADAEB0B2B4B7BABD
C1C4C8CBCED1D4D7D9DBDDDFE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFCFBFAF9F8F6F4F2F0EDEAE7E4E1DDDAD7D3D1CECCCAC9C8
C8C8C9CACCCFD1D4D7DBDEE1E5E8EBEEF0F3F5F6F8F9FAFBFCFCFDFDFDFDFDFDFCFCFBFA
FAF9F8F7F6F6F5F4F3F2F2F1F1F1F1F1F1F2F2F3F3F4F5F6F7F8F8F9FAFBFBFCE3E3E3E3
E3E3E3E3E2E1E0DFDEDCDAD8D6D3D0CDCAC7C3C0BCB9B7B4B2B0AFAEAEAFB0B1B3B5B8BB
BEC2C5C8CCCFD2D5D7D9DBDDDFE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F6F5F2F0EEEBE8E5E1DEDBD8D5D2CFCDCBCA
C9C9C9CACCCED0D2D5D8DCDFE2E5E9EBEEF1F3F5F7F8F9FAFBFCFCFCFCFCFCFBFBFAF9F8
F7F6F4F3F2F0EEEDECEAE9E8E7E7E7E6E7E7E8E9EAEBECEEEFF1F2F4F5F6F8F9E0E1E1E2
E2E3E3E3E2E2E1E0DFDEDCDAD8D6D3D1CECBC7C4C1BEBAB8B5B3B1B0B0AFB0B1B2B4B7B9
BCBFC3C6C9CCCFD2D5D8DADCDDDFE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF8F7F5F3F1EEEBE8E5E2DFDCD9D6D3D0CECD
CBCBCACBCCCDCFD1D4D6D9DDE0E3E6E9ECEFF1F3F5F7F8F9FAFBFBFCFCFCFBFBFAF9F8F7
F5F4F2F0EEECEAE8E6E4E2E1DFDEDDDDDDDDDEDFE0E1E3E5E7E9EBEDEFF1F3F5DCDEDFE0
E1E1E2E2E2E2E2E1E0DFDEDCDBD9D6D4D1CECBC8C5C2BFBCB9B6B4B3B2B1B1B1B2B4B6B8
BABDC0C3C7CACDD0D3D5D8DADCDEDFE0E2E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF8F7F5F3F1EEECE9E6E3E0DDDAD7D4D2D0
CECDCCCCCCCDCED0D2D5D7DADDE1E4E7EAECEFF1F3F5F7F8F9FAFBFBFBFBFBFBFAF9F8F6
F5F3F1EFECEAE7E5E2E0DDDBD9D7D6D5D4D4D4D5D6D8DADCDEE1E3E6E8EBEDF0D8DADCDD
DFE0E1E1E2E2E2E1E1E0DFDEDDDBD9D7D4D2CFCCC9C6C3C0BDBAB8B6B4B3B2B2B3B4B5B7
B9BCBEC1C4C7CBCED1D3D6D8DADCDEDFE1E2E2E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F5F3F1EFECEAE7E4E1DEDBD8D5D3
D1CFCECDCDCDCED0D1D3D6D8DBDEE1E4E7EAEDEFF2F4F5F7F8F9FAFBFBFBFBFAFAF9F8F6
F5F3F1EEECE9E6E3E0DDDAD7D4D2D0CECDCDCCCDCECFD1D3D5D8DBDEE1E4E7EAD3D6D8DA
DCDDDFE0E1E1E1E1E1E1E0DFDEDDDBD9D7D5D2CFCDCAC7C4C1BEBBB9B7B5B4B4B4B4B5B6
B8BABDBFC2C5C8CBCED1D4D6D9DBDCDEE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F7F6F4F2EFEDEAE7E4E1DFDCD9D6
D4D2D1CFCFCFCFD0D1D3D5D7D9DCDFE2E5E8EBEDF0F2F4F6F7F8F9FAFBFBFBFBFAF9F8F7
F5F3F1EFECE9E6E3DFDCD8D5D2CFCCCAC8C6C6C6C6C7C8CACDD0D3D6DADDE1E4CED1D4D6
D9DBDCDEDFE0E1E1E1E1E1E0DFDEDDDBDAD8D5D3D0CDCAC7C4C2BFBCBAB8B7B6B5B5B5B6
B7B9BBBEC0C3C6C9CCCFD2D4D7D9DBDDDEE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F4F2F0EDEBE8E5E2DFDDDA
D7D5D3D2D1D0D0D0D1D2D4D6D8DBDDE0E3E6E9EBEEF0F2F4F6F7F8F9FAFAFBFBFAFAF9F8
F6F4F2F0EDEAE7E3E0DCD8D4D0CDCAC7C4C2C1C0C0C0C1C3C5C8CBCED2D6DADDC8CBCFD2
D5D7D9DBDDDEE0E0E1E1E1E1E0DFDEDDDCDAD8D6D3D1CECBC8C5C3C0BDBBB9B8B7B6B6B7
B7B9BABCBFC1C4C7CACDD0D2D5D7D9DBDDDFE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F4F2F0EEEBE9E6E3E0DE
DBD9D6D5D3D2D1D1D1D2D3D5D7D9DCDEE1E4E7E9ECEEF1F3F5F6F7F9F9FAFAFBFAFAF9F8
F7F5F3F1EFECE9E5E1DDD9D5D1CDC9C6C2C0BEBCBBBBBBBDBEC1C4C7CBCFD3D7C1C5C9CD
D0D3D6D9DBDCDEDFE0E1E1E1E1E0E0DFDDDCDAD8D6D4D1CFCCC9C6C3C1BFBCBBB9B8B8B8
B8B9BABCBEC0C2C5C8CBCDD0D3D5D8DADCDDDFE0E1E2E3E3E4E4E5E5E5E5E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F6F5F3F1EEECE9E7E4E1
DEDCDAD7D6D4D3D3D2D3D3D5D6D8DADDDFE2E4E7EAECEFF1F3F5F6F8F9FAFAFAFAFAFAF9
F8F7F5F3F0EEEBE7E4E0DBD7D3CECAC6C2BFBCBAB8B7B7B8B9BBBDC0C4C8CCD0BBBFC4C8
CBCFD2D5D8DADCDEDFE0E0E1E1E1E0E0DFDEDCDBD9D7D4D2CFCDCAC7C4C2C0BEBCBAB9B9
B9B9BABBBDBFC1C3C6C9CBCED1D3D6D8DADCDDDFE0E1E2E3E4E4E4E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBF9F8F7F5F3F1EFECEAE7E5
E2DFDDDBD9D7D5D4D4D4D4D5D6D7D9DBDEE0E3E5E8EAEDEFF1F3F5F7F8F9FAFAFAFAFAFA
F9F8F6F5F2F0EDEAE6E2DEDAD6D1CCC8C4C0BCB9B7B5B4B4B5B6B8BBBEC1C5CAB5B9BEC2
C6CACED2D5D7DADCDDDFE0E0E1E1E1E0E0DFDEDCDBD9D7D5D2D0CDCBC8C5C3C1BFBDBCBB
BABABABBBCBEC0C2C4C7C9CCCFD1D4D6D8DADCDEDFE0E1E2E3E4E4E5E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF8F7F5F3F1EFEDEBE8
E5E3E0DEDCDAD8D7D6D5D5D5D6D7D8DADCDEE1E3E6E9EBEDF0F2F4F5F7F8F9FAFAFAFAFA
FAF9F8F6F4F2F0EDE9E6E2DED9D5D0CBC7C2BEBBB8B5B4B3B2B3B4B6B9BCC0C4AFB3B8BD
C1C6CACED1D4D7D9DBDDDEE0E0E1E1E1E0E0DFDEDDDBD9D7D5D3D0CECBC9C6C4C2C0BEBD
BCBBBBBCBCBEBFC1C3C5C8CACDCFD2D4D7D9DBDCDEDFE0E2E2E3E4E4E5E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F6F4F2F0EEEB
E9E6E4E1DFDDDBD9D8D7D6D6D6D7D8DADBDDDFE2E4E7E9ECEEF0F2F4F6F7F8F9FAFAFBFA
FAFAF9F8F6F4F2EFECE9E5E1DDD9D4CFCBC6C2BEBAB7B4B3B2B1B2B3B5B8BBBFAAAEB3B8
BCC1C5C9CDD1D4D7D9DBDDDEE0E0E1E1E1E1E0DFDEDDDBDAD8D6D3D1CFCCCAC7C5C3C1BF
BEBDBDBDBDBEBFC0C2C4C6C9CBCED0D3D5D7D9DBDDDEDFE1E2E2E3E4E4E5E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F7F6F4F2F0EE
ECE9E7E4E2E0DEDCDAD9D8D8D7D8D8D9DBDCDEE0E3E5E7EAECEEF1F3F4F6F7F8F9FAFAFB
FBFAFAF9F8F6F4F2EFECE9E5E1DDD9D4CFCBC6C2BEBAB7B4B3B2B1B2B3B5B8BBA6AAAEB3
B8BCC1C5C9CDD1D4D7D9DBDDDEE0E0E1E1E1E1E0DFDEDDDCDAD8D6D4D2CFCDCAC8C6C4C2
C0BFBEBEBEBEBFC0C1C3C5C7C9CCCED1D3D5D7D9DBDDDEE0E1E2E3E3E4E4E5E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3F1
EFECEAE8E5E3E1DFDDDBDAD9D9D9D9D9DADCDDDFE1E4E6E8EBEDEFF1F3F5F6F8F9F9FAFB
FBFBFAFAF9F8F6F4F2F0EDE9E6E2DED9D5D0CBC7C2BEBBB8B5B4B3B2B3B4B6B9A3A6AAAF
B3B8BDC1C6CACED1D4D7D9DBDDDFE0E0E1E1E1E1E0E0DFDDDCDAD9D7D5D2D0CECBC9C7C5
C3C2C0C0BFBFBFC0C1C2C4C6C8CACDCFD1D4D6D8DADCDDDFE0E1E2E3E3E4E4E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFAF9F8F6F5F3
F1EFEDEBE8E6E4E2E0DEDCDBDADADADADBDCDDDEE0E2E4E7E9EBEDEFF1F3F5F6F8F9FAFA
FBFBFBFAFAF9F8F6F5F2F0EDEAE6E2DEDAD5D1CCC8C4C0BCB9B7B5B4B4B5B6B8A1A4A8AC
B0B5B9BEC2C6CACED2D5D7DADCDDDFE0E1E1E1E1E1E0E0DFDEDCDBD9D7D5D3D1CECCCAC8
C6C4C3C2C1C0C0C0C1C2C3C5C7C9CBCDD0D2D4D6D8DADCDDDFE0E1E2E3E3E4E4E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFBFAF9F8F7F5
F3F2F0EDEBE9E7E5E3E1DFDEDCDCDBDBDBDCDDDEDFE1E3E5E7EAECEEF0F2F4F5F7F8F9FA
FAFBFBFBFBFAF9F8F7F5F3F0EEEBE7E3DFDBD7D2CECAC6C2BEBCB9B8B7B6B7B8A0A3A6AA
AEB2B6BBBFC3C7CBCFD2D5D8DADCDEDFE0E1E1E1E1E1E1E0DFDEDDDBD9D8D6D3D1CFCDCB
C9C7C5C4C3C2C1C1C2C2C3C4C6C8CACCCED0D3D5D7D9DBDCDEDFE0E1E2E3E3E4E4E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFDFDFCFCFBFAF8F7
F5F4F2F0EEECEAE8E6E4E2E0DFDDDDDCDCDCDDDEDFE0E2E4E6E8EAECEEF0F2F4F6F7F8F9
FAFBFBFBFBFBFAF9F8F7F5F3F1EEEBE8E5E1DDD8D4D0CCC8C4C1BEBCBBBAB9BAA2A3A6A9
ACB0B4B8BCC1C5C9CCD0D3D6D8DBDCDEDFE0E1E1E2E2E1E1E0DFDEDDDBDAD8D6D4D2D0CE
CCCAC8C6C5C4C3C2C2C3C3C4C6C7C9CBCDCFD1D3D5D7D9DBDDDEDFE0E1E2E3E4E4E4E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFAF9
F7F6F4F2F1EFEDEAE8E6E4E3E1E0DFDEDDDDDDDEDFE0E1E3E5E7E9EBEDEFF1F3F4F6F7F8
F9FAFBFBFBFBFBFBFAF9F7F6F4F2EFECE9E6E2DEDBD6D2CFCBC7C4C2C0BEBDBDA4A5A7A9
ACAFB3B7BABEC2C6CACED1D4D7D9DBDDDEE0E0E1E2E2E2E1E1E0DFDEDDDCDAD8D7D5D3D0
CECCCAC9C7C6C5C4C4C4C4C4C5C7C8CACCCED0D2D4D6D8DADBDDDEDFE1E2E2E3E4E4E5E5
E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFCFCFBFA
F9F8F6F5F3F1EFEDEBE9E7E5E4E2E1E0DFDEDEDEDFE0E1E2E4E6E8EAECEEF0F1F3F5F6F8
F9FAFAFBFBFCFBFBFBFAF9F8F6F5F3F0EEEBE8E4E1DDD9D5D2CECBC8C6C4C2C1A8A8A9AB
ADB0B3B6B9BDC1C5C8CCCFD2D5D8DADCDDDFE0E1E1E2E2E2E2E1E1E0DFDDDCDBD9D7D5D3
D1CFCDCBCAC8C7C6C5C5C5C5C5C6C8C9CBCCCED0D2D4D6D8DADCDDDEE0E1E2E2E3E4E4E5
E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFB
FAF9F8F6F5F3F1F0EEECEAE8E6E4E3E2E1E0DFDFDFE0E1E2E3E5E6E8EAECEEF0F2F4F5F7
F8F9FAFBFBFCFCFCFCFBFAFAF8F7F5F4F1EFECE9E6E3DFDCD8D5D2CFCCCAC8C7ACACADAE
AFB1B4B6B9BDC0C4C7CBCED1D4D6D9DBDDDEDFE0E1E2E2E2E2E2E1E1E0DFDEDCDBD9D8D6
D4D2D0CECCCBC9C8C7C6C6C6C6C6C7C9CACBCDCFD1D3D5D7D9DADCDDDFE0E1E2E3E3E4E4
E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFC
FBFAF9F8F7F5F4F2F0EEECEBE9E7E5E4E3E2E1E0E0E1E1E2E3E4E6E7E9EBEDEFF1F2F4F5
F7F8F9FAFBFBFCFCFCFCFBFBFAF9F8F6F5F3F0EEEBE8E5E2DFDCD9D6D3D1CECDB2B1B1B2
B2B4B6B8BABDC0C3C7CACDD0D3D5D8DADCDDDFE0E1E1E2E2E2E2E2E2E1E0DFDEDDDBDAD8
D6D4D2D1CFCDCBCAC9C8C7C7C7C7C8C8C9CBCCCED0D2D4D5D7D9DBDCDEDFE0E1E2E3E3E4
E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFD
FCFBFAF9F8F7F6F4F2F1EFEDEBE9E8E6E5E4E3E2E1E1E2E2E3E4E5E6E8EAECEDEFF1F3F4
F6F7F8F9FAFBFCFCFCFCFCFCFBFBFAF9F7F6F4F2F0EDEBE8E5E2DFDCDAD7D5D3B8B7B7B6
B7B8B9BABCBFC1C4C7CACDCFD2D5D7D9DBDDDEDFE0E1E2E2E3E3E2E2E2E1E0DFDEDDDCDA
D8D7D5D3D1D0CECCCBCAC9C8C8C8C8C9C9CACCCDCFD1D2D4D6D8D9DBDDDEDFE0E1E2E3E3
E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFD
FDFCFBFBFAF9F7F6F4F3F1EFEEECEAE9E7E6E4E4E3E2E2E3E3E4E5E6E7E9EBECEEF0F2F3
F5F6F7F9FAFAFBFCFCFCFCFCFCFCFBFAF9F8F7F5F3F1EFEDEBE8E5E3E0DEDCDABFBDBCBC
BCBCBDBEBFC1C3C5C8CACDCFD2D4D7D9DBDCDEDFE0E1E2E2E3E3E3E3E2E2E1E1E0DFDDDC
DAD9D7D5D4D2D0CFCDCCCBCAC9C9C9C9C9CACBCDCED0D1D3D5D6D8DADBDDDEDFE0E1E2E3
E3E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FDFDFCFCFBFAF9F8F6F5F3F2F0EEEDEBE9E8E6E5E4E4E3E3E3E4E5E6E7E8EAEBEDEFF0F2
F4F5F6F8F9FAFBFBFCFCFDFDFDFCFCFCFBFAF9F8F7F5F3F1EFEDEBE9E7E5E3E1C5C4C3C2
C1C1C2C2C3C4C6C8CACCCED0D2D5D7D9DADCDDDFE0E1E2E2E3E3E3E3E3E3E2E2E1E0DFDE
DCDBD9D8D6D4D3D1CFCECDCCCBCACACACACACBCCCDCFD0D2D4D5D7D9DADCDDDEE0E1E2E2
E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFDFCFCFBFAF9F8F7F5F4F2F0EFEDECEAE9E7E6E5E5E4E4E4E5E6E6E8E9EAECEEEFF1
F2F4F5F7F8F9FAFBFCFCFDFDFDFDFDFDFCFCFBFAF9F8F7F5F4F2F0EEECEAE9E7CCCAC9C8
C7C7C7C7C8C8CACBCCCED0D2D3D5D7D9DBDCDDDFE0E1E2E2E3E3E3E3E3E3E3E2E2E1E0DF
DEDDDBDAD8D7D5D3D2D0CFCECCCCCBCBCBCBCBCCCDCED0D1D3D4D6D8D9DBDCDDDFE0E1E2
E2E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFDFDFCFBFAF9F8F7F5F4F3F1EFEEECEBE9E8E7E6E6E5E5E5E6E6E7E8EAEBEDEEF0
F1F3F4F6F7F8F9FAFBFCFCFDFDFDFDFDFDFDFCFCFBFAF9F8F7F6F4F3F1F0EEEDD2D0CFCE
CDCDCDCCCDCDCECFD0D1D2D4D5D7D8DADBDDDEDFE0E1E2E2E3E3E3E4E4E4E3E3E2E2E1E0
DFDEDDDCDAD9D7D6D4D2D1D0CECDCDCCCCCCCCCCCDCECFD0D2D3D5D6D8DADBDCDEDFE0E1
E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFEFEFEFDFDFCFBFAF9F8F7F6F4F3F1F0EEEDEBEAE9E8E7E7E6E6E6E7E7E8E9EAECEDEF
F0F2F3F5F6F7F9FAFAFBFCFCFDFDFDFEFEFDFDFDFCFCFBFBFAF9F8F7F6F4F3F2D7D6D5D4
D3D3D2D2D2D2D2D3D4D4D5D6D8D9DADBDCDEDFE0E0E1E2E3E3E3E4E4E4E4E4E4E3E3E2E1
E1E0DEDDDCDBD9D8D6D5D3D2D0CFCECDCDCDCDCDCDCECFD0D1D2D4D5D7D8DADBDDDEDFE0
E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFDFDFCFBFBFAF9F7F6F5F3F2F0EFEEECEBEAE9E8E7E7E7E7E8E8E9EAEBECEE
EFF1F2F4F5F6F8F9FAFBFBFCFDFDFDFEFEFEFEFEFDFDFDFCFCFBFBFAF9F8F7F6DCDBDAD9
D9D8D8D7D7D7D7D8D8D8D9DADBDBDCDDDEDFE0E1E1E2E2E3E3E4E4E4E4E4E4E4E4E3E3E2
E2E1E0DFDEDCDBDAD8D7D5D4D2D1D0CFCECECDCDCECECFD0D1D2D3D5D6D7D9DADCDDDEDF
E0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F5F4F2F1F0EEEDECEBEAE9E8E8E8E8E8E9EAEBECED
EFF0F1F3F4F6F7F8F9FAFBFCFCFDFDFEFEFEFEFEFEFEFEFEFDFDFDFCFCFBFBFAE0DFDFDE
DEDDDDDDDCDCDCDCDDDDDDDEDEDEDFE0E0E1E1E2E2E3E3E4E4E4E4E5E5E5E5E4E4E4E4E3
E2E2E1E0DFDEDDDBDAD9D7D6D4D3D2D1D0CFCFCECECECFD0D0D1D3D4D5D7D8D9DBDCDDDF
E0E1E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F6F4F3F2F0EFEEECEBEAEAE9E9E9E9E9EAEBECED
EEEFF0F2F3F5F6F7F8F9FAFBFCFCFDFDFEFEFEFEFFFFFFFFFFFEFEFEFEFEFDFDE3E3E3E2
E2E2E2E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5E5E5E4E4E4
E3E3E2E1E0DFDEDDDCDAD9D8D6D5D4D3D2D1D0CFCFCFCFD0D0D1D2D3D4D6D7D8DADBDDDE
DFE0E1E2E2E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFEFEFEFDFCFCFBFAF9F8F7F6F5F3F2F1EFEEEDECEBEAEAEAEAEAEAEBEBEC
EDEEF0F1F2F4F5F6F7F9FAFAFBFCFDFDFEFEFEFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E4
E4E3E3E2E1E0E0DEDDDCDBDAD8D7D6D4D3D2D1D1D0D0D0D0D1D1D2D3D4D5D6D8D9DADCDD
DEDFE0E1E2E3E3E4E4E4E5E5E5E5E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFDFDFCFBFAFAF9F7F6F5F4F3F1F0EFEEEDECEBEBEAEAEAEBEBEC
EDEEEFF0F2F3F4F5F7F8F9FAFBFBFCFDFDFEFEFFFFFFFFFFFFFFFFFFFFFEFEFEE4E4E4E3
E3E3E3E2E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4E4E5E5E5E5E5E6E6E6E6E5E5E5
E4E4E4E3E2E2E1E0DFDEDDDBDAD9D7D6D5D4D3D2D2D1D1D1D1D1D2D3D4D5D6D7D8D9DBDC
DDDEDFE0E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F8F7F5F4F3F2F1EFEEEDEDECEBEBEBEBECEC
EDEEEFF0F1F2F3F5F6F7F8F9FAFBFCFCFDFDFEFEFFFFFFFFFFFFFFFEFEFEFDFDE3E2E2E1
E1E1E0E0DFDFDFDEDEDEDEDEDEDEDFDFDFE0E0E1E1E2E2E3E3E3E4E4E5E5E5E5E6E6E6E5
E5E5E4E4E3E2E2E1E0DFDEDDDCDAD9D8D7D6D5D4D3D2D2D2D2D2D2D3D3D4D5D6D7D9DADB
DCDDDFE0E1E1E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F6F5F3F2F1F0EFEEEDEDECECECECEC
EDEDEEEFF0F1F3F4F5F6F7F8F9FAFBFCFCFDFEFEFEFFFFFFFFFFFEFEFEFDFDFCE2E2E1E0
E0DFDEDDDDDCDCDBDBDBDADADBDBDBDBDCDCDDDEDEDFE0E0E1E2E2E3E3E4E4E5E5E5E6E6
E5E5E5E4E4E3E3E2E1E0DFDEDDDCDBDAD9D7D6D5D4D4D3D3D2D2D2D3D3D4D5D6D7D8D9DA
DCDDDEDFE0E1E2E2E3E3E4E4E5E5E5E5E5E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F7F6F5F4F3F2F1F0EFEEEDEDEDEDED
EDEEEEEFF0F1F2F3F4F5F6F8F9FAFAFBFCFDFDFEFEFFFFFFFFFFFFFEFEFDFDFCE2E1E0E0
DFDEDDDCDBDADAD9D8D8D8D7D7D7D8D8D9D9DADBDCDCDDDEDFE0E1E1E2E3E3E4E4E5E5E5
E6E6E5E5E4E4E3E3E2E1E0E0DFDEDCDBDAD9D8D7D6D5D4D4D3D3D3D3D4D4D5D6D6D7D9DA
DBDCDDDEDFE0E1E2E2E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFAF9F8F7F5F4F3F2F1F0EFEFEEEEEDED
EDEEEEEFF0F0F1F2F4F5F6F7F8F9FAFBFBFCFDFDFEFEFFFFFFFFFFFEFEFDFDFCE2E1E0DF
DEDDDCDBDAD9D8D7D7D6D5D5D5D5D5D5D5D6D7D8D9DADBDCDDDEDFE0E1E1E2E3E3E4E4E5
E5E6E6E5E5E5E4E3E3E2E2E1E0DFDEDDDCDBDAD8D7D7D6D5D4D4D4D4D4D4D5D5D6D7D8D9
DADBDCDDDEDFE0E1E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F8F7F6F5F4F3F2F1F0EFEFEEEE
EEEEEEEFEFF0F1F2F3F4F5F6F7F8F9FAFBFCFCFDFDFEFEFFFFFFFFFEFEFEFDFCE2E1E0DF
DEDDDCDBDAD9D7D6D5D4D4D3D3D2D2D2D3D3D4D5D6D7D8D9DADBDDDEDFE0E1E2E2E3E4E4
E5E5E5E6E5E5E5E4E4E3E2E2E1E0DFDEDDDCDBDAD9D8D7D6D6D5D5D5D4D5D5D5D6D7D8D9
DADBDCDDDEDFE0E0E1E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFBFBFAF9F8F7F6F5F4F3F2F1F1F0EFEF
EFEFEFEFF0F0F1F2F2F3F4F5F6F7F8F9FAFBFCFCFDFEFEFFFFFFFFFFFEFEFDFDE2E2E1E0
DFDEDCDBDAD9D7D6D5D4D3D2D1D1D0D0D1D1D1D2D3D4D5D7D8D9DADCDDDEDFE0E1E2E3E3
E4E4E5E5E6E6E5E5E4E4E3E3E2E1E0DFDEDDDCDBDAD9D9D8D7D6D6D5D5D5D5D6D6D7D7D8
D9DADBDCDDDEDFE0E1E1E2E3E3E4E4E5E5E5E5E5E5E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAF9F8F8F7F6F5F4F3F2F1F1F0
F0EFEFEFF0F0F1F1F2F3F4F5F6F7F8F9FAFAFBFCFDFDFEFEFFFFFFFFFFFEFEFDE3E2E1E0
DFDEDDDCDAD9D8D6D5D4D2D1D0D0CFCFCFCFCFD0D1D2D3D4D5D7D8DADBDCDEDFE0E1E2E2
E3E4E4E5E5E6E6E5E5E4E4E3E3E2E1E1E0DFDEDDDCDBDAD9D8D7D7D6D6D6D6D6D6D7D7D8
D9DADADBDCDDDEDFE0E1E2E2E3E3E4E4E5E5E5E5E5E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFAF9F8F7F6F5F4F3F3F2F1
F1F0F0F0F0F0F1F1F2F3F4F4F5F6F7F8F9FAFBFBFCFDFDFEFEFFFFFFFFFFFEFEE3E3E2E1
E0DFDEDDDBDAD8D7D6D4D3D1D0CFCFCECECECECECFD0D1D2D3D5D6D8D9DADCDDDEDFE0E1
E2E3E4E4E5E5E6E6E5E5E4E4E3E3E2E1E1E0DFDEDDDCDBDADAD9D8D7D7D7D6D6D7D7D7D8
D8D9DADBDCDDDEDFE0E0E1E2E2E3E4E4E4E5E5E5E5E5E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFBFAF9F8F7F6F6F5F4F3F2
F2F1F1F1F1F1F1F1F2F2F3F4F5F6F7F8F8F9FAFBFCFCFDFDFEFEFFFFFFFFFFFEE4E3E3E2
E1E0DFDEDCDBDAD8D7D5D4D2D1D0CFCECDCDCDCDCECECFD0D1D3D4D6D7D9DADCDDDEDFE0
E1E2E3E4E4E5E5E6E6E5E5E5E4E4E3E2E2E1E0DFDEDEDDDCDBDAD9D9D8D8D7D7D7D7D7D8
D8D9DADBDBDCDDDEDFE0E1E1E2E3E3E4E4E4E5E5E5E5E5E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFBFBFAF9F8F8F7F6F5F4F4
F3F2F2F2F1F1F1F2F2F2F3F4F4F5F6F7F8F9FAFAFBFCFCFDFDFEFEFFFFFFFFFEE4E4E3E3
E2E1E0DFDDDCDBD9D8D6D5D3D2D0CFCECECDCDCDCDCDCECFD0D1D2D4D5D7D8DADBDDDEDF
E0E1E2E3E3E4E5E5E6E6E5E5E5E4E4E3E2E2E1E0E0DFDEDDDCDBDBDAD9D9D8D8D8D8D8D8
D8D9DADADBDCDDDEDEDFE0E1E1E2E3E3E4E4E4E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFAFAF9F8F7F6F5F5
F4F3F3F2F2F2F2F2F2F2F3F4F4F5F6F7F7F8F9FAFBFBFCFCFDFEFEFEFFFFFFFFE5E4E4E3
E2E2E1E0DFDDDCDBD9D8D6D5D3D2D0CFCECDCDCDCCCDCDCECFD0D1D2D4D5D7D8DADBDDDE
DFE0E1E2E3E3E4E5E5E5E6E5E5E5E4E4E3E3E2E1E1E0DFDEDDDDDCDBDADAD9D9D8D8D8D8
D9D9D9DADBDBDCDDDEDFDFE0E1E2E2E3E3E4E4E4E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFAF9F8F7F7F6
F5F4F4F3F3F3F2F2F2F3F3F3F4F5F5F6F7F8F8F9FAFBFBFCFDFDFEFEFEFFFFFFE5E5E4E4
E3E3E2E1E0DFDEDCDBD9D8D6D5D3D2D1CFCECECDCDCDCDCDCECFD0D1D2D4D5D7D8DADBDD
DEDFE0E1E2E3E3E4E5E5E5E6E6E5E5E4E4E3E3E2E2E1E0DFDFDEDDDCDBDBDADAD9D9D9D9
D9D9D9DADBDBDCDDDDDEDFE0E0E1E2E2E3E3E4E4E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFAF9F9F8F7
F6F6F5F4F4F3F3F3F3F3F3F4F4F4F5F6F6F7F8F9FAFAFBFCFCFDFDFEFEFFFFFFE6E5E5E4
E4E3E3E2E1E0DFDEDCDBDAD8D7D5D4D2D1D0CFCECECDCDCDCECECFD0D2D3D4D6D7D9DADC
DDDEDFE0E1E2E3E4E4E5E5E5E6E6E5E5E4E4E3E3E2E2E1E0E0DFDEDDDDDCDBDBDADADAD9
D9D9DADADADBDCDCDDDEDFDFE0E1E1E2E3E3E4E4E4E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFCFBFAFAF9F8
F7F7F6F5F5F4F4F4F4F3F4F4F4F4F5F6F6F7F8F8F9FAFAFBFCFCFDFDFEFEFFFFE6E6E5E5
E4E4E3E3E2E1E0DFDEDDDBDAD9D7D6D4D3D2D1D0CFCECECECECECFD0D1D2D3D5D6D8D9DB
DCDDDEE0E1E1E2E3E4E4E5E5E5E6E6E5E5E4E4E4E3E2E2E1E1E0DFDEDEDDDCDCDBDBDADA
DADADADADBDBDBDCDDDDDEDFE0E0E1E2E2E3E3E4E4E4E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFCFCFBFAFAF9
F8F8F7F6F6F5F5F4F4F4F4F4F4F5F5F5F6F7F7F8F9F9FAFBFBFCFCFDFDFEFEFFE5E6E6E5
E5E4E4E3E3E2E1E0DFDEDDDCDAD9D8D6D5D4D2D1D0D0CFCFCFCFCFD0D1D2D3D4D5D7D8DA
DBDCDEDFE0E1E2E2E3E4E4E5E5E5E6E6E5E5E4E4E4E3E3E2E1E1E0DFDFDEDDDDDCDCDBDB
DBDADADADBDBDBDCDCDDDEDEDFE0E0E1E2E2E3E3E4E4E4E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFCFCFBFBFA
F9F9F8F7F7F6F6F5F5F5F5F4F5F5F5F5F6F6F7F8F8F9FAFAFBFBFCFDFDFEFEFEE5E5E6E6
E5E5E5E4E4E3E2E2E1E0DFDEDCDBDAD8D7D6D5D3D2D2D1D0D0D0D0D1D1D2D3D4D5D6D8D9
DADCDDDEDFE0E1E2E3E3E4E4E5E5E6E6E6E5E5E5E4E4E3E3E2E2E1E0E0DFDEDEDDDDDCDC
DBDBDBDBDBDBDBDCDCDDDDDEDFDFE0E1E1E2E2E3E3E4E4E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFBFB
FAFAF9F8F8F7F7F6F6F5F5F5F5F5F5F5F6F6F7F7F8F9F9FAFAFBFCFCFDFDFEFEE5E5E5E6
E6E5E5E5E4E4E3E2E2E1E0DFDEDDDCDAD9D8D7D6D5D4D3D2D2D1D1D2D2D2D3D4D5D6D7D8
DADBDCDDDEDFE0E1E2E3E3E4E4E5E5E6E6E6E5E5E5E4E4E3E3E2E2E1E1E0DFDFDEDDDDDC
DCDCDCDBDBDBDCDCDCDDDDDEDEDFE0E0E1E2E2E3E3E4E4E4
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFDFDFDFCFC
FBFBFAF9F9F8F8F7F7F6F6F6F5F5F5F6F6F6F7F7F8F8F9F9FAFBFBFCFCFDFDFEE4E5E5E5
E6E6E5E5E5E4E4E3E3E2E1E0E0DFDEDCDBDAD9D8D7D6D5D4D4D3D3D3D3D3D4D4D5D6D7D8
D9DBDCDDDEDFE0E1E2E2E3E4E4E5E5E5E6E6E6E5E5E5E4E4E3E3E3E2E1E1E0E0DFDEDEDD
DDDCDCDCDCDCDCDCDCDDDDDEDEDFDFE0E1E1E2E2E3E3E4E4
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFC
FCFBFBFAFAF9F8F8F7F7F7F6F6F6F6F6F6F6F7F7F8F8F9F9FAFAFBFBFCFCFDFDE4E5E5E5
E5E6E6E6E5E5E4E4E4E3E2E2E1E0DFDEDDDCDBDAD9D8D7D6D6D5D5D4D4D4D5D5D6D7D7D8
D9DADBDDDEDFE0E0E1E2E3E3E4E4E5E5E5E6E6E6E5E5E5E4E4E4E3E3E2E2E1E0E0DFDFDE
DEDDDDDDDCDCDCDCDDDDDDDEDEDFDFE0E0E1E1E2E2E3E3E4
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFD
FCFCFBFBFAFAF9F9F8F8F7F7F7F6F6F6F6F6F7F7F7F8F8F9F9FAFBFBFCFCFDFDE4E4E5E5
E5E5E6E6E6E5E5E5E4E4E3E3E2E1E1E0DFDEDDDCDBDAD9D8D8D7D7D6D6D6D6D6D7D7D8D9
DADBDBDCDDDEDFE0E1E2E2E3E3E4E4E5E5E5E6E6E6E5E5E5E4E4E4E3E3E2E2E1E1E0E0DF
DFDEDEDDDDDDDDDDDDDDDDDDDEDEDFDFE0E0E1E2E2E3E3E3
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFD
FDFDFCFCFBFBFAFAF9F9F8F8F7F7F7F7F7F7F7F7F7F8F8F9F9FAFAFBFBFCFCFDE4E4E4E5
E5E5E5E6E6E6E5E5E5E4E4E4E3E2E2E1E0E0DFDEDDDCDBDBDAD9D9D8D8D8D8D8D8D8D9D9
DADBDCDDDDDEDFE0E1E1E2E3E3E4E4E5E5E5E5E6E6E6E5E5E5E4E4E4E3E3E2E2E1E1E0E0
DFDFDEDEDEDDDDDDDDDDDDDEDEDEDFDFE0E0E1E1E2E2E3E3
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFE
FDFDFDFCFCFBFBFAFAF9F9F8F8F8F7F7F7F7F7F7F7F8F8F9F9F9FAFAFBFBFCFCE3E4E4E4
E5E5E5E5E6E6E6E5E5E5E5E4E4E3E3E2E2E1E0E0DFDEDDDDDCDBDBDADADAD9D9D9DADADA
DBDCDCDDDEDEDFE0E1E1E2E3E3E4E4E4E5E5E5E6E6E6E6E5E5E5E5E4E4E4E3E3E2E2E1E1
E0E0DFDFDEDEDEDEDEDDDEDEDEDEDFDFDFE0E0E1E1E2E2E3
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFE
FEFEFDFDFCFCFCFBFBFAFAF9F9F8F8F8F8F8F7F8F8F8F8F8F9F9FAFAFBFBFCFCE3E3E4E4
E4E5E5E5E5E6E6E6E6E5E5E5E4E4E4E3E3E2E2E1E1E0DFDFDEDDDDDCDCDBDBDBDBDBDBDC
DCDCDDDEDEDFDFE0E1E1E2E3E3E3E4E4E5E5E5E5E6E6E6E6E5E5E5E5E4E4E4E3E3E2E2E1
E1E0E0E0DFDFDEDEDEDEDEDEDEDEDFDFDFE0E0E1E1E2E2E3
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE
FEFEFEFDFDFDFCFCFBFBFAFAF9F9F9F8F8F8F8F8F8F8F8F8F9F9FAFAFAFBFBFCE3E3E3E4
E4E4E5E5E5E5E6E6E6E6E5E5E5E5E4E4E4E3E3E2E2E1E1E0E0DFDFDEDEDDDDDDDDDDDDDD
DDDEDEDEDFDFE0E0E1E2E2E3E3E3E4E4E5E5E5E5E5E6E6E6E6E5E5E5E5E4E4E4E3E3E3E2
E2E1E1E0E0DFDFDFDFDEDEDEDEDEDFDFDFE0E0E0E1E1E2E2
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FEFEFEFEFDFDFDFCFCFBFBFBFAFAF9F9F9F8F8F8F8F8F8F9F9F9F9FAFAFBFBFCE2E3E3E4
E4E4E5E5E5E5E5E6E6E6E6E6E5E5E5E5E4E4E4E3E3E3E2E2E1E1E0E0E0DFDFDFDEDEDEDE
DFDFDFDFE0E0E1E1E1E2E2E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E5E5E5E5E4E4E4E3E3E3
E2E2E1E1E0E0E0DFDFDFDFDFDFDFDFDFDFE0E0E0E1E1E2E2
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFEFEFEFEFDFDFCFCFCFBFBFAFAFAF9F9F9F9F9F9F9F9F9F9F9FAFAFAFBFBE2E3E3E3
E4E4E4E5E5E5E5E5E6E6E6E6E6E5E5E5E5E5E4E4E4E4E3E3E3E2E2E2E1E1E1E0E0E0E0E0
E0E0E0E0E1E1E1E2E2E2E3E3E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E5E5E5E5E4E4E4E4E3
E3E2E2E2E1E1E0E0E0DFDFDFDFDFDFDFDFE0E0E0E1E1E1E2
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAF9F9F9F9F9F9F9F9F9FAFAFAFBFBE2E2E3E3
E3E4E4E4E5E5E5E5E5E6E6E6E6E6E6E5E5E5E5E5E5E4E4E4E4E3E3E3E3E2E2E2E2E2E2E1
E1E1E2E2E2E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E5E5E5E5E5E4E4E4
E3E3E3E2E2E1E1E1E0E0E0E0DFDFDFDFDFE0E0E0E0E1E1E2
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAF9F9F9F9F9F9F9FAFAFAFBFBE2E2E3E3
E3E4E4E4E4E5E5E5E5E5E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E4E4E4E4E4E4E3E3E3E3E3
E3E3E3E3E3E3E3E3E4E4E4E4E4E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E5E5E5E5E5E5E4E4
E4E3E3E3E2E2E2E1E1E1E0E0E0E0E0E0E0E0E0E0E0E1E1E1
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFBFBFBFAFAFAFAFAFAF9FAFAFAFAFAFBFBE2E2E2E3
E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E4E4E4E4
E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E4
E4E4E4E3E3E3E2E2E1E1E1E1E0E0E0E0E0E0E0E0E0E1E1E1
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFBFBFBFAFAFAFAFAFAFAFAFAFAFAFBE1E2E2E2
E3E3E3E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5
E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E4E4E4E4E3E3E3E2E2E2E1E1E1E1E0E0E0E0E0E0E0E1E1E1
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFCFBFBFBFAFAFAFAFAFAFAFAFAFBE1E2E2E2
E3E3E3E4E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5
E5E5E4E4E4E3E3E3E3E2E2E2E1E1E1E1E1E0E0E0E1E1E1E1
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFCFCFCFBFBFBFBFBFAFAFAFAFAFBFBE1E2E2E2
E2E3E3E3E4E4E4E4E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5
E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E5E5E4E4E4E4E3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E1
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBFBFBE1E2E2E2
E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4
E4E4E4E3E3E3E3E3E3E3E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E5E5E5
E5E5E5E5E4E4E4E4E3E3E3E3E2E2E2E1E1E1E1E1E1E1E1E1
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBFBFBE1E2E2E2
E2E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E4E3
E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E5E5
E5E5E5E5E5E5E4E4E4E4E3E3E3E2E2E2E2E2E1E1E1E1E1E1
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFBFBE2E2E2E2
E2E2E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E3E3
E3E3E3E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6E6E5
E5E5E5E5E5E5E5E4E4E4E4E3E3E3E3E2E2E2E2E2E2E1E1E1
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFBFBFBFBE2E2E2E2
E2E2E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E3E3
E3E3E2E2E2E2E2E1E1E1E1E2E2E2E2E2E2E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E6E6E6
E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E2E2E2E2E2E2E2
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFCFCFCFCFCFCFCE2E2E2E2
E2E2E3E3E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E5E5E5E5E5E5E5E5E4E4E4E4E3E3
E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5E5E6
E6E5E5E5E5E5E5E5E5E5E4E4E4E4E3E3E3E3E2E2E2E2E2E2
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCFCFCFCE2E2E2E2
E2E2E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E5E5E5E5E5E5E5E5E5E4E4E4E4E3
E3E3E2E2E2E1E1E1E1E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5E5
E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E2E2E2E2
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFCFCFCFCE2E2E2E2
E2E2E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E5E5E5E5E5E5E5E5E5E4E4E4E3
E3E3E3E2E2E2E1E1E1E1E1E0E0E0E1E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5E5
E5E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E3E3E2
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFCFCE3E3E2E2
E3E3E3E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E5E5E5E5E5E5E5E5E5E4E4E4
E3E3E3E2E2E2E1E1E1E1E1E0E0E0E0E0E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5E5
E5E5E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E3
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDFDE3E3E3E3
E3E3E3E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E5E5E5E5E5E5E5E5E4E4
E4E3E3E3E2E2E2E1E1E1E1E0E0E0E0E0E0E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5E5E5
E5E5E5E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDFDFDE3E3E3E3
E3E3E3E3E3E3E3E3E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E5E5E5E5E5E5E5E5E4
E4E4E3E3E3E2E2E2E1E1E1E1E0E0E0E0E0E0E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5E5
E5E5E5E5E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E3E3
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDFDE3E3E3E3
E3E3E3E3E3E3E3E3E3E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E5E5E5E5E5E5E5E5
E4E4E4E3E3E3E2E2E2E2E1E1E1E1E0E0E0E0E0E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5E5
E5E5E5E5E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEFEFDE4E4E3E3
E3E3E3E3E3E3E3E3E3E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E5E5E5E5E5E5E5
E5E4E4E4E4E3E3E3E2E2E2E1E1E1E1E1E1E1E1E1E1E1E1E1E2E2E2E3E3E3E4E4E4E4E5E5
E5E5E5E5E5E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEFEE4E4E4E4
E3E3E3E3E3E3E3E3E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E5E5E5E5E5
E5E5E4E4E4E4E3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E1E1E2E2E2E3E3E3E3E4E4E4E5E5
E5E5E5E5E5E5E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEFEE4E4E4E4
E4E4E4E3E3E3E3E3E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E5E5E5E5
E5E5E5E4E4E4E4E3E3E3E3E2E2E2E2E1E1E1E1E1E1E1E1E1E2E2E2E2E3E3E3E4E4E4E4E5
E5E5E5E5E5E5E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E4
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFEE4E4E4E4
E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E5E5
E5E5E5E5E5E4E4E4E4E3E3E3E2E2E2E2E2E1E1E1E1E1E1E1E2E2E2E2E3E3E3E3E4E4E4E4
E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEE5E5E4E4
E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E5
E5E5E5E5E5E5E4E4E4E4E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4
E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5
E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6
E5E5E5E5E5E5E5E5E4E4E4E4E3E3E3E3E3E2E2E2E2E2E2E2E2E2E2E2E3E3E3E3E4E4E4E4
E4E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5
E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E5E5E5E5E5E5E5E5E4E4E4E4E3E3E3E3E3E3E2E2E2E2E2E2E2E3E3E3E3E3E4E4E4E4
E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5
E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6
E6E6E6E6E5E5E5E5E5E5E5E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4
E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5
E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E4E4E3E3E3E3E3E3E3E3E3E3E3E3E4E4E4E4E4
E4E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE5E5E5E5
E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E3E3E3E3E3E3E3E4E4E4E4E4E4
E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E5E5E5
E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E4E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E5E5
E5E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E4E4E4E4E4E4E4
E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E4E5E5E5
E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5
E5E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5
E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5
E5E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E5E5
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E5E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6E6
pop
P
% End of image
.008 w
.82051 .01923 m
0 0 rlineto s
.82051 .01923 m
.82048 1 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[52]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`00000P00000040fMWI00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010=WIf@00
00<000000?ooo`3oool0o`3ooolL0?ooo`4000000@3IfMT000030000003oool0oooo0?l0oooo703o
ool100000040fMWI00000`000000oooo0?ooo`3o0?oooa`0oooo0@0000010=WIf@0000<000000?oo
o`3oool0i`3oool200000380oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?oo
o`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool20000
02h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W
0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2
000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3o
ool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00
000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool1
00000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo
0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000
;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`00
0000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0
oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`80
0000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?oo
o`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`1T0?ooo`D0o_kn4@3oool60?knoQ80oooo1@3no_i@0?ooo`800000;P3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo06@0oooo1`3no_h>0?ooo`X0o_kn3`3oool6
0?knoTl0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0I03oool80?kn
oPd0oooo0`3no_h60?gmo@@0o_kn303oool80?knoTd0oooo0P00000^0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0I03oool:0?knoP/0oooo0`3no_h30?gmo@80o?cl0`3moOd30?knoP/0
oooo2P3no_i;0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo06D0oooo
2P3no_h;0?ooo`80o_kn0P3moOd60?clo080oOgm0P3no_h;0?ooo`X0o_knBP3oool2000002h0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`1U0?ooo`D0o_kn0P3moOd40?knoPX0oooo0P3n
o_h20?gmo@<0o?cl0P3kno/30?clo0040?gmo@3no_h0o_kn0?knoPT0oooo1@3no_h20?gmo@@0o_kn
B@3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`1V0?ooo`<0o_kn1P3m
oOd40?knoPP0oooo0P3no_h20?gmo@80o?cl1@3kno/20?clo0040?gmo@3no_h0o_kn0?knoPP0oooo
103no_h60?gmo@<0o_knAP3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`1W0?ooo`80o_kn203moOd30?knoPP0oooo0P3no_h20?gmo@030?clo03kno/0no_k00@0no_k0P3l
o?`00`3moOd0o_kn0?knoP090?ooo`<0o_kn1`3moOd30?knoTD0oooo0P00000^0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0I`3oool30?knoP<0oOgm0P3lo?`40?gmo@80o_kn203oool2
0?knoP80oOgm0P3lo?`50?_kn`80o?cl00<0oOgm0?knoP3no_h0203oool30?knoP<0oOgm0P3lo?`3
0?gmo@<0o_knA03oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`1X0?oo
o`80o_kn0`3moOd40?clo0<0oOgm0P3no_h90?ooo`030?knoP3moOd0oOgm00<0o?cl0P3kno/30?cl
o080oOgm0P3no_h80?ooo`80o_kn0`3moOd40?clo0<0oOgm0P3no_i30?ooo`800000;P3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo06P0oooo0`3no_h20?gmo@H0o?cl0P3moOd30?knoPP0
oooo0P3no_h30?gmo@@0o?cl0`3moOd20?knoPT0oooo0P3no_h20?gmo@H0o?cl0`3moOd20?knoT40
oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0J@3oool30?knoP80oOgm
00<0o?cl0?_kn`3kno/00`3kno/00`3lo?`0oOgm0?gmo@030?knoP/0oooo1`3no_h<0?ooo`80o_kn
00@0oOgm0?clo03lo?`0o?cl103kno/20?clo0030?gmo@3no_h0o_kn0400oooo0P00000^0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0JP3oool20?knoP80oOgm00<0o?cl0?_kn`3kno/0
103kno/20?clo080oOgm00<0o_kn0?ooo`3oool0703oool20?knoP80oOgm0P3lo?`60?_kn`030?cl
o03moOd0oOgm0080o_kn?P3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`1[0?ooo`80o_kn00@0oOgm0?clo03lo?`0no_k103jn_X20?_kn`030?clo03moOd0oOgm0080o_kn
203oool30?knoPL0oOgm0`3no_h80?ooo`80o_kn00@0oOgm0?clo03lo?`0no_k103jn_X20?_kn`03
0?clo03moOd0oOgm0080o_kn?@3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`1[0?ooo`<0o_kn00<0oOgm0?clo03kno/01P3jn_X0103kno/0o?cl0?clo03moOd20?knoPH0
oooo0P3no_h00`3moOd0o?cl0?clo0020?_kn`80n_[j0`3kno/00`3lo?`0oOgm0?gmo@020?knoPD0
oooo0P3no_h20?gmo@030?clo03kno/0n_[j0080n_[j00@0nOWi0?[jnP3jn_X0no_k0P3lo?`00`3m
oOd0o_kn0?knoP0l0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo06`0
oooo0P3no_h01@3moOd0o?cl0?_kn`3kno/0n_[j00@0nOWi0P3jn_X00`3kno/0o?cl0?gmo@020?kn
oP@0oooo0`3no_h01@3moOd0no_k0?_kn`3jn_X0nOWi00D0n?Sh00<0nOWi0?[jnP3kno/00P3moOd2
0?knoP@0oooo0P3no_h20?gmo@80no_k00<0n_[j0?Win@3inOT00P3inOT20?[jnP030?_kn`3lo?`0
oOgm0080o_kn>`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`1]0?oo
o`070?knoP3moOd0oOgm0?clo03kno/0n_[j0?Win@030?Shn080nOWi00<0n_[j0?_kn`3lo?`00P3m
oOd20?knoP<0oooo0P3no_h01P3moOd0no_k0?[jnP3inOT0moOg0?KfmP@0mOGe00D0m_Kf0?Ogm`3h
n?P0n_[j0?_kn`020?gmo@80o_kn0P3oool30?knoP040?gmo@3lo?`0no_k0?[jnP80nOWi0P3hn?P2
0?Win@040?[jnP3kno/0o?cl0?gmo@80o_kn>P3oool2000002h0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`1^0?ooo`060?knoP3moOd0oOgm0?clo03kno/0n_[j0P3hn?P30?Ogm`050?Sh
n03inOT0n_[j0?_kn`3lo?`00P3moOd20?knoP0;0?ooo`3no_h0o_kn0?gmo@3lo?`0n_[j0?Win@3g
moL0mOGe0??cl`3alO400P3`l?020?7al@070??cl`3emOD0moOg0?Win@3kno/0o?cl0?gmo@020?kn
oP0:0?ooo`3no_h0o_kn0?knoP3moOd0o?cl0?_kn`3jn_X0nOWi0?Shn0<0moOg00H0n?Sh0?Win@3j
n_X0no_k0?clo03moOd20?knoSP0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool0KP3oool20?knoP070?gmo@3lo?`0no_k0?[jnP3inOT0n?Sh0?Ogm`030?KfmP060?Ogm`3h
n?P0nOWi0?_kn`3lo?`0oOgm1P3no_h0203lo?`0no_k0?Win@3hn?P0mOGe0??cl`3`l?00kno_0`3^
k^h0203_knl0l_;b0?Cdm03fm_H0n?Sh0?[jnP3kno/0oOgm1@3no_h01`3moOd0o?cl0?_kn`3jn_X0
nOWi0?Shn03gmoL00P3fm_H20?Ogm`040?Shn03jn_X0no_k0?clo080oOgm00<0o_kn0?ooo`3oool0
=@3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`1_0?ooo`80o_kn00H0
oOgm0?clo03kno/0nOWi0?Shn03gmoL20?KfmP070?Gem@3fm_H0moOg0?Shn03inOT0n_[j0?_kn`02
0?gmo@@0o_kn01@0oOgm0?clo03kno/0nOWi0?Ogm`3dm?@0lO7a0>k^kP3]kNd0k>c/0>_[j`3/k>`0
k^k^0?3`l03bl_80mOGe0?Ogm`3inOT0o?cl0?gmo@D0o_kn00H0oOgm0?clo03kno/0n_[j0?Win@3g
moL20?KfmP0:0?Gem@3fm_H0m_Kf0?Shn03inOT0n_[j0?_kn`3lo?`0oOgm0?knoSH0oooo0P00000^
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0L03oool20?knoP060?gmo@3lo?`0n_[j
0?Win@3gmoL0m_Kf103emOD01`3fm_H0moOg0?Shn03jn_X0no_k0?clo03moOd0103no_h02@3moOd0
o?cl0?[jnP3hn?P0m_Kf0?;blP3`l?00kNg]0>_[j`020>[ZjP080>_[j`3]kNd0kno_0?7al@3dm?@0
m_Kf0?[jnP3kno/20?gmo@<0o_kn0P3moOd01@3lo?`0no_k0?Win@3gmoL0m_Kf0080mOGe00X0m?Cd
0?Gem@3fm_H0moOg0?Shn03jn_X0no_k0?clo03moOd0o_kn=@3oool2000002h0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`1a0?ooo`080?knoP3moOd0oOgm0?_kn`3jn_X0n?Sh0?Ogm`3e
mOD40?Cdm0070?Gem@3fm_H0n?Sh0?[jnP3kno/0o?cl0?gmo@040?knoP0E0?gmo@3lo?`0n_[j0?Sh
n03dm?@0l_;b0>o_k`3]kNd0jn_[0>[ZjP3YjNT0j^[Z0>c/k03^k^h0lO7a0?Cdm03gmoL0nOWi0?_k
n`3lo?`0oOgm00<0o_kn00L0oOgm0?clo03kno/0n_[j0?Shn03gmoL0mOGe0080m?Cd00X0lo?c0?Cd
m03emOD0m_Kf0?Shn03inOT0no_k0?clo03moOd0o_kn=03oool2000002h0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`1b0?ooo`80o_kn00L0o?cl0?_kn`3jn_X0n?Sh0?KfmP3emOD0lo?c
00<0l_;b00P0lo?c0?Cdm03fm_H0n?Sh0?[jnP3kno/0o?cl0?gmo@<0o_kn01D0oOgm0?clo03kno/0
n?Sh0?KfmP3dm?@0lO7a0>o_k`3]kNd0jn_[0>[ZjP3[jn/0k>c/0>k^kP3`l?00m?Cd0?Ogm`3inOT0
no_k0?clo03moOd00`3no_h20?gmo@060?_kn`3inOT0n?Sh0?KfmP3emOD0lo?c0`3bl_802@3clo<0
m?Cd0?KfmP3gmoL0n_[j0?_kn`3lo?`0oOgm0?knoP0b0?ooo`800000;P3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo07<0oooo00T0o_kn0?gmo@3lo?`0no_k0?Win@3gmoL0m_Kf0??cl`3b
l_800`3alO40203bl_80m?Cd0?KfmP3hn?P0nOWi0?_kn`3lo?`0oOgm0`3no_h20?gmo@070?_kn`3i
nOT0moOg0?Gem@3clo<0lO7a0>k^kP030>g]k@080>k^kP3`l?00lo?c0?Gem@3hn?P0n_[j0?_kn`3l
o?`40?knoP080?gmo@3lo?`0n_[j0?Win@3gmoL0mOGe0?Cdm03bl_830?7al@090?;blP3clo<0mOGe
0?Shn03inOT0no_k0?clo03moOd0o_kn0340oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0M03oool0503no_h0oOgm0?clo03jn_X0n?Sh0?Ogm`3dm?@0l_;b0?7al@3`l?00
kno_0?3`l03alO40lo?c0?Gem@3gmoL0nOWi0?[jnP3lo?`0oOgm103no_h01`3moOd0o?cl0?[jnP3i
nOT0moOg0?Gem@3clo<00P3alO402P3`l?00lO7a0?;blP3dm?@0m_Kf0?Ogm`3inOT0no_k0?clo03m
oOd40?knoP070?gmo@3kno/0n_[j0?Shn03fm_H0m?Cd0??cl`020?3`l00;0>o_k`3`l?00lO7a0?;b
lP3emOD0moOg0?Win@3kno/0o?cl0?gmo@3no_h0<03oool2000002h0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`1d0?ooo`80o_kn00P0oOgm0?_kn`3jn_X0n?Sh0?Gem@3clo<0lO7a0>o_
k`80k^k^00T0kno_0?3`l03bl_80m?Cd0?KfmP3hn?P0no_k0?clo03moOd01@3no_h01P3moOd0o?cl
0?_kn`3jn_X0n?Sh0?Ogm`@0m_Kf00H0moOg0?Shn03inOT0n_[j0?_kn`3lo?`60?knoP080?clo03k
no/0n_[j0?Shn03fm_H0m?Cd0?7al@3_knl20>k^kP0:0>o_k`3`l?00l_;b0?Cdm03fm_H0n?Sh0?[j
nP3lo?`0oOgm0?knoRl0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
M@3oool02P3no_h0oOgm0?clo03kno/0nOWi0?KfmP3dm?@0l_;b0?3`l03^k^h20>g]k@090>k^kP3_
knl0lO7a0??cl`3emOD0nOWi0?[jnP3lo?`0oOgm0080o_kn103oool20?knoP<0oOgm103lo?`30?gm
o@80o_kn1@3oool02P3no_h0oOgm0?clo03kno/0nOWi0?Ogm`3emOD0l_;b0>o_k`3^k^h30>g]k@09
0>o_k`3alO40lo?c0?KfmP3hn?P0n_[j0?clo03moOd0o_kn02h0oooo0P00000^0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0MP3oool20?knoP0D0?gmo@3kno/0nOWi0?KfmP3dm?@0lO7a
0>o_k`3]kNd0jn_[0>[ZjP3[jn/0k>c/0>k^kP3`l?00m?Cd0?Ogm`3inOT0no_k0?clo03moOd30?oo
o`80o_kn00D0oOgm0?clo03kno/0nOWi0?Shn0050?Ogm`050?Shn03inOT0n_[j0?clo03moOd00P3n
o_h30?ooo`0F0?knoP3moOd0no_k0?Win@3gmoL0m?Cd0?7al@3_knl0kNg]0>_[j`3Zj^X0jn_[0>c/
k03^k^h0lO7a0??cl`3fm_H0nOWi0?_kn`3lo?`0oOgm0?knoR`0oooo0P00000^0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0M`3oool02P3no_h0oOgm0?clo03jn_X0n?Sh0?KfmP3clo<0
l?3`0>k^kP3Zj^X30>WYj@090>_[j`3]kNd0l?3`0??cl`3fm_H0n?Sh0?[jnP3lo?`0o_kn0080oooo
00T0o_kn0?gmo@3lo?`0nOWi0?Ogm`3emOD0lo?c0?7al@3_knl00P3]kNd02P3^k^h0kno_0?3`l03b
l_80m_Kf0?Shn03jn_X0no_k0?gmo@3no_h20?ooo`0:0?knoP3lo?`0no_k0?Win@3emOD0lo?c0?3`
l03]kNd0jn_[0>[ZjP80jNWY00X0jn_[0>g]k@3_knl0l_;b0?KfmP3hn?P0n_[j0?clo03moOd0o_kn
:`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`1h0?ooo`0:0?knoP3m
oOd0no_k0?[jnP3gmoL0mOGe0?;blP3_knl0jn_[0>WYj@80inOW00X0j>SX0>WYj@3]kNd0kno_0?;b
lP3emOD0n?Sh0?[jnP3moOd0o_kn0P3oool05@3moOd0o?cl0?Win@3fm_H0lo?c0?3`l03/k>`0jNWY
0>GUi@3Ti>@0hn?S0>CTi03Vi^H0j>SX0>g]k@3`l?00m?Cd0?Ogm`3inOT0no_k0?knoP020?ooo`09
0?knoP3lo?`0no_k0?Ogm`3emOD0l_;b0>o_k`3/k>`0j^[Z0080inOW00/0j>SX0>WYj@3[jn/0k^k^
0??cl`3emOD0n?Sh0?[jnP3lo?`0oOgm0?knoP0Z0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo07T0oooo04D0o_kn0?gmo@3kno/0nOWi0?Ogm`3dm?@0lO7a0>c/k03YjNT0
inOW0>KViP3UiND0i^KV0>SXj03[jn/0k^k^0?7al@3dm?@0moOg0?_kn`3lo?`0o_kn0?ooo`3no_h0
o?cl0?Win@3fm_H0lo?c0>o_k`3Zj^X0i^KV0=oOg`3Lg=`0f][J0=WIf@3Jf]X0g=cL0>;RhP3Vi^H0
jn_[0?3`l03dm?@0moOg0?_kn`3moOd0o_kn0?ooo`3no_h0o?cl0?Win@3gmoL0m?Cd0?7al@3^k^h0
jn_[0>OWi`3Vi^H0iNGU0>KViP3Xj>P0j^[Z0>k^kP3bl_80mOGe0?Ogm`3jn_X0no_k0?gmo@3no_h0
:@3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`1j0?ooo`0Q0?gmo@3l
o?`0no_k0?Win@3fm_H0lo?c0>k^kP3[jn/0j>SX0>GUi@3Ti>@0hn?S0>GUi@3WinL0j^[Z0>g]k@3`
l?00m?Cd0?Shn03jn_X0o?cl0?knoP3oool0o_kn0?[jnP3hn?P0m?Cd0?3`l03Zj^X0iNGU0=cLg03G
emL0dm?C0080d=3@0280dM7A0=KFeP3Kfm/0h>3P0>KViP3/k>`0lO7a0?Ogm`3jn_X0o?cl0?knoP3o
ool0o_kn0?_kn`3inOT0m_Kf0??cl`3`l?00k>c/0>SXj03UiND0i>CT0>?Sh`3Ti>@0i^KV0>[ZjP3]
kNd0lO7a0?Cdm03gmoL0nOWi0?clo03moOd0o_kn:03oool2000002h0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`1j0?ooo`0;0?knoP3moOd0o?cl0?[jnP3hn?P0m_Kf0?7al@3]kNd0jNWY
0>KViP3Ti>@00P3Rh^80>@3Shn<0iNGU0>SXj03/k>`0kno_0?Cdm03gmoL0n_[j0?clo03no_h0oooo
0?clo03inOT0m_Kf0?;blP3]kNd0inOW0=gMg@3Fe]H0d=3@0<_;b`38b<P0alO70<[:bP3>c/h0e=CD
0=_Kf`3QhN40j>SX0?3`l03emOD0nOWi0?_kn`3no_h0oooo0?gmo@3kno/0n?Sh0?Gem@3bl_80kno_
0>WYj@3Vi^H0hn?S0>;RhP3QhN40h^;R0>GUi@3Xj>P0k>c/0?3`l03clo<0m_Kf0?[jnP3lo?`0oOgm
0?knoP0W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo07/0oooo0P3n
o_h0A@3lo?`0no_k0?Win@3emOD0lO7a0>g]k@3YjNT0iNGU0>;RhP3Ogml0g]kN0=oOg`3QhN40i>CT
0>SXj03^k^h0l_;b0?Gem@3hn?P0no_k0?gmo@3oool0oOgm0?[jnP3gmoL0l_;b0>g]k@3Rh^80f][J
0=;BdP3;bl/0a<C40<30`02m_Kd0_kno0<?3``39bLT0d=3@0=SHf03Ti>@0jn_[0?7al@3emOD0nOWi
0?clo03oool0o_kn0?_kn`3inOT0m_Kf0??cl`3]kNd0jNWY0>GUi@3Rh^80gmoO0=kNgP3Ogml0hN7Q
0>CTi03Xj>P0k>c/0?3`l03emOD0n?Sh0?[jnP3lo?`0oOgm0?knoP0U0?ooo`800000;P3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo07`0oooo04L0o_kn0?gmo@3lo?`0no_k0?Ogm`3dm?@0
l?3`0>c/k03Xj>P0i>CT0=oOg`3MgMd0g=cL0=gMg@3Ogml0h^;R0>SXj03/k>`0lO7a0?Cdm03hn?P0
n_[j0?knoP3oool0oOgm0?[jnP3fm_H0lO7a0>SXj03QhN40f=SH0=3@d038b<P0`L710;Zj^P2i^KT0
^k^k0;no_`36a/H0cLg=0=[JfP3Rh^80j^[Z0?3`l03emOD0nOWi0?gmo@3oool0oOgm0?_kn`3inOT0
mOGe0?3`l03/k>`0inOW0>?Sh`3Ph>00gMgM0=cLg03MgMd0gmoO0>;RhP3Vi^H0jn_[0?7al@3emOD0
n?Sh0?[jnP3lo?`0oOgm0?knoP0T0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo07d0oooo00/0o_kn0?gmo@3lo?`0nOWi0?KfmP3clo<0kno_0>_[j`3Vi^H0h>3P0=cLg002
0=[JfP0/0=_Kf`3MgMd0h^;R0>OWi`3[jn/0l?3`0?Cdm03gmoL0no_k0?knoP3oool0oOgm0?[jnP3f
m_H0k^k^0>SXj03Ph>00f=SH0<o?c`37alL0_Kfm0;Zj^P2h^;P0^[Zj0;jn_P35aLD0dM7A0=[JfP3R
h^80jNWY0?3`l03emOD0n_[j0?gmo@3oool0oOgm0?_kn`3hn?P0lo?c0>o_k`3Zj^X0i^KV0>7Qh@3N
g]h20=[JfP0:0=_Kf`3MgMd0hN7Q0>GUi@3/k>`0l?3`0?Cdm03gmoL0n_[j0?clo080o_kn8`3oool2
000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`1n0?ooo`170?knoP3moOd0no_k
0?Win@3fm_H0l_;b0>k^kP3YjNT0h^;R0=kNgP3Jf]X0f=SH0=OGe`3Hf=P0g=cL0>3Ph03UiND0j^[Z
0>o_k`3clo<0n?Sh0?_kn`3moOd0oooo0?gmo@3jn_X0m?Cd0>o_k`3YjNT0hN7Q0=WIf@3AdM40a/K6
0<30`02l_;`0^k^k0;fm_@31`L40bl_;0=?Cd`3Kfm/0hn?S0>[ZjP3`l?00moOg0?_kn`3moOd0oooo
0?gmo@3jn_X0m_Kf0?;blP3^k^h0jNWY0>CTi03Ph>00f][J0=SHf03GemL0f=SH0=_Kf`3Ogml0iNGU
0>[ZjP3_knl0lo?c0?Ogm`3inOT0o?cl0?gmo@3no_h08P3oool2000002h0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`1o0?ooo`170?knoP3lo?`0no_k0?Shn03emOD0lO7a0>g]k@3UiND0
h>3P0=cLg03Hf=P0e]KF0=GEe@3GemL0f][J0=kNgP3Shn<0jNWY0>k^kP3dm?@0n?Sh0?_kn`3moOd0
oooo0?gmo@3inOT0mOGe0?7al@3[jn/0i>CT0=gMg@3AdM40bl_;0<G5a@32`/80`L710<?3``39bLT0
clo?0=OGe`3Ng]h0iNGU0>c/k03dm?@0n?Sh0?_kn`3no_h0oooo0?gmo@3inOT0mOGe0?7al@3]kNd0
j>SX0>;RhP3Kfm/0f=SH0=KFeP3EeMD0e]KF0=WIf@3Ogml0i>CT0>WYj@3^k^h0l_;b0?KfmP3jn_X0
o?cl0?gmo@3no_h08@3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`20
0?ooo`0G0?knoP3moOd0no_k0?Win@3fm_H0l_;b0>_[j`3Vi^H0h>3P0=_Kf`3Fe]H0dm?C0=7Ad@3B
d]80eMGE0=WIf@3Ng]h0i>CT0>c/k03alO40mOGe0?Shn03kno/00P3no_h0;P3lo?`0n_[j0?KfmP3b
l_80k^k^0>KViP3Ph>00fm_K0=KFeP3Cdm<0dM7A0=;BdP3EeMD0fMWI0=kNgP3Ti>@0j^[Z0?7al@3e
mOD0nOWi0?_kn`3no_h0oooo0?clo03inOT0m_Kf0?;blP3^k^h0j>SX0>3Ph03Kfm/0e]KF0=?Cd`3A
dM40d];B0=GEe@3IfMT0gmoO0>CTi03Zj^X0kno_0?Gem@3hn?P0no_k0?clo03no_hP0?ooo`800000
;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0840oooo00/0o_kn0?gmo@3kno/0nOWi
0?KfmP3_knl0j^[Z0>CTi03Ogml0fMWI0=CDe0020<o?c`0j0=3@d03Cdm<0emOG0=cLg03UiND0jn_[
0?3`l03dm?@0n?Sh0?_kn`3no_h0oooo0?knoP3lo?`0nOWi0?Ogm`3bl_80k^k^0>[ZjP3WinL0i>CT
0>;RhP3Ph>00hN7Q0>?Sh`3Vi^H0jNWY0>g]k@3clo<0m_Kf0?Win@3kno/0oOgm0?ooo`3no_h0no_k
0?Win@3fm_H0lO7a0>c/k03Ti>@0g]kN0=SHf03De=@0d=3@0<o?c`3@d=00dm?C0=OGe`3MgMd0hn?S
0>WYj@3`l?00mOGe0?Shn03jn_X0o?cl0?knoQl0oooo0P00000^0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0P@3oool20?knoP0G0?gmo@3kno/0n?Sh0??cl`3^k^h0jNWY0>?Sh`3MgMd0
emOG0=3@d03=cLd0c<c<0<g=c@3@d=00eMGE0=gMg@3Ti>@0j^[Z0>o_k`3dm?@0moOg0?_kn`3moOd0
0P3oool0203no_h0oOgm0?_kn`3jn_X0n?Sh0?Ogm`3emOD0m?Cd0`3clo<08P3dm?@0mOGe0?KfmP3i
nOT0n_[j0?clo03moOd0o_kn0?ooo`3no_h0oOgm0?_kn`3hn?P0mOGe0?7al@3YjNT0h^;R0=cLg03F
e]H0dM7A0<k>cP3<c<`0cLg=0=3@d03EeMD0fm_K0>7Qh@3Zj^X0kno_0?Cdm03gmoL0n_[j0?gmo@3n
o_hN0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0880oooo0P3no_h0
603lo?`0no_k0?KfmP3bl_80k^k^0>SXj03QhN40fm_K0=;BdP3=cLd0b/[:0<W9b@3:b/X0c/k>0=GE
e@3Lg=`0h^;R0>WYj@3^k^h0lo?c0?Shn03kno/0o?cl0?gmo@80o_kn0P3moOd01@3lo?`0no_k0?[j
nP3inOT0n?Sh00<0moOg00D0n?Sh0?Win@3jn_X0no_k0?clo0020?gmo@80o_kn01T0oOgm0?clo03j
n_X0n?Sh0?Cdm03]kNd0inOW0>7Qh@3Jf]X0e=CD0<o?c`3:b/X0bLW90<[:bP3>c/h0dm?C0=WIf@3S
hn<0jNWY0>o_k`3clo<0moOg0?_kn`3moOd0o_kn01d0oooo0P00000^0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0P`3oool20?knoP0G0?clo03inOT0m_Kf0?;blP3]kNd0inOW0>3Ph03F
e]H0clo?0<[:bP37alL0a/K60<S8b03=cLd0dm?C0=[JfP3QhN40inOW0>g]k@3dm?@0n?Sh0?[jnP3k
no/00P3lo?`04`3jn_X0n?Sh0?Gem@3bl_80k^k^0>[ZjP3UiND0h^;R0>7Qh@3Ph>00hN7Q0>?Sh`3W
inL0jn_[0>o_k`3bl_80m_Kf0?Shn03kno/00P3lo?`05`3kno/0n_[j0?Ogm`3alO40k>c/0>KViP3O
gml0f=SH0=;BdP3:b/X0alO70<K6aP38b<P0bl_;0=7Ad@3Jf]X0hN7Q0>SXj03^k^h0lo?c0?Shn03k
no/0oOgm0080o_kn6`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`24
0?ooo`0H0?knoP3moOd0no_k0?Win@3emOD0lO7a0>c/k03UiND0fm_K0=CDe03=cLd0b<S80<C4a033
`l<0a/K60<_;b`3AdM40f=SH0=oOg`3Vi^H0kno_0?Cdm03gmoL0nOWi0P3jn_X0503hn?P0m_Kf0?;b
lP3]kNd0inOW0>7Qh@3GemL0dM7A0<c<c039bLT0b<S80<[:bP3?cll0eMGE0=_Kf`3Rh^80j>SX0>k^
kP3emOD0n?Sh0`3jn_X05P3inOT0mOGe0?3`l03[jn/0iNGU0=kNgP3Fe]H0cLg=0<O7a`34a<@0`l?3
0<G5a@39bLT0dM7A0=WIf@3Ph>00inOW0>g]k@3dm?@0n?Sh0?_kn`3lo?`20?knoQX0oooo0P00000^
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0QP3oool0B03moOd0o?cl0?[jnP3gmoL0
lo?c0>g]k@3Shn<0g=cL0=CDe03=cLd0a/K60<;2`P2o_kl0`L710<C4a03:b/X0dM7A0=WIf@3Ti>@0
jn_[0?3`l03dm?@0moOg0?Win@3hn?P0m_Kf0?;blP3]kNd0iNGU0=gMg@3=cLd0`/;20;Rh^02_[jl0
ZJVY0:FUY@2WYjL0[Jf]0;Fe]@2o_kl0b/[:0=GEe@3Shn<0jn_[0?7al@3emOD0n?Sh0?Win@3hn?P0
mOGe0?;blP3]kNd0i^KV0=oOg`3Cdm<0c<c<0<K6aP31`L40_kno0<30`035aLD0bl_;0=;BdP3Jf]X0
hN7Q0>c/k03alO40m_Kf0?Win@3kno/0oOgm0?knoQT0oooo0P00000^0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0QP3oool0B@3no_h0oOgm0?clo03inOT0m_Kf0?;blP3YjNT0h^;R0=[J
fP3Bd]80b/[:0<C4a02m_Kd0_;bl0;jn_P32`/80b<S80<o?c`3Kfm/0hn?S0>[ZjP3`l?00m?Cd0?Og
m`3hn?P0moOg0?Cdm03_knl0j>SX0=oOg`3>c/h0`L710;Bd]02WYjL0W9bL09BDU02@T900TY:B09VI
V@2SXj<0/;2`0;fm_@3AdM40g=cL0>KViP3]kNd0lo?c0?KfmP3hn?P0moOg0?Gem@3alO40k>c/0>GU
i@3Jf]X0dM7A0<[:bP33`l<0_kno0;bl_02n_[h0`/;20<S8b03@d=00f=SH0>CTi03[jn/0l?3`0?Ge
m@3inOT0no_k0?gmo@3no_h0603oool2000002h0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`270?ooo`0G0?knoP3moOd0no_k0?Win@3fm_H0kno_0>SXj03QhN40fMWI0=3@d038b<P0_[jn
0;Zj^P2i^KT0^k^k0;no_`35aLD0dM7A0=[JfP3Rh^80jNWY0>o_k`3clo<00P3gmoL0<03fm_H0l_;b
0>g]k@3UiND0e=CD0<K6aP2g]kL0YjNW09RHV02<S8`0P82007inOP21PH40RHV909BDU02SXj<0^[Zj
0<W9b@3GemL0h^;R0>[ZjP3alO40m_Kf0?Ogm`3fm_H0m?Cd0?3`l03[jn/0h>3P0=SHf03?cll0alO7
0<71`@2l_;`0^KVi0;^k^`2o_kl0a/K60<k>cP3Jf]X0h^;R0>[ZjP3`l?00mOGe0?Shn03lo?`0oOgm
0?knoQL0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0R03oool05`3n
o_h0oOgm0?_kn`3inOT0lo?c0>k^kP3WinL0h>3P0=OGe`3>c/h0`/;20;bl_02h^;P0][Jf0;Rh^02l
_;`0alO70<o?c`3Hf=P0h>3P0>SXj03^k^h0m?Cd0080m_Kf0300mOGe0?7al@3[jn/0g=cL0<o?c`30
`<00[jn_09jNWP2=SHd0NWYj079bLP1`L700Lg=c07alO029RHT0XJ6Q0;>c/`33`l<0d];B0=oOg`3X
j>P0l_;b0?Gem@3gmoL0m_Kf0?Cdm03`l?00i^KV0=oOg`3Fe]H0cLg=0<G5a@2n_[h0]kNg0;Jf]P2h
^;P0_Kfm0<?3``3@d=00fMWI0>7Qh@3YjNT0kno_0?Cdm03inOT0o?cl0?gmo@3no_hF0?ooo`800000
;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo08T0oooo01L0o_kn0?gmo@3kno/0moOg
0??cl`3]kNd0i^KV0=kNgP3EeMD0b<S80;no_`2i^KT0]KFe0;>c/`2e]KD0_Kfm0<C4a03=cLd0e]KF
0=oOg`3WinL0l?3`0?Cdm0020?KfmP0G0?Cdm03`l?00iNGU0=[JfP3=cLd0_;bl0:^[Z`2HV9P0Ogmo
079bLP1YJFT0IfMW06][J`1dM7@0RXZ:09bLW02^[Zh0`<300<o?c`3MgMd0jn_[0?7al@3emOD00P3f
m_H05`3clo<0k>c/0>GUi@3MgMd0eMGE0<_;b`33`l<0^;Rh0;Bd]02c/k<0]KFe0;Zj^P35aLD0c/k>
0=OGe`3Ph>00j>SX0>k^kP3fm_H0nOWi0?clo03moOd0o_kn01D0oooo0P00000^0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0RP3oool0>`3no_h0oOgm0?_kn`3hn?P0m?Cd0>o_k`3YjNT0
hN7Q0=?Cd`39bLT0`<300;Rh^02b/[80[jn_0;6a/@2e]KD0_Kfm0<K6aP3?cll0fMWI0>KViP3/k>`0
lO7a0?Cdm03fm_H0mOGe0?3`l03YjNT0h>3P0=?Cd`34a<@0/k>c09NGU`26QXH0MgMg06a/K01VIVH0
IfMW07=cL`21PH40TY:B0:BTY02g]kL0alO70=cLg03WinL0k^k^0??cl`3emOD0m_Kf0?;blP3^k^h0
j>SX0>3Ph03GemL0cLg=0;no_`2g]kL0/[:b0080[jn_00`0][Jf0;fm_@36a/H0d=3@0=[JfP3Shn<0
kNg]0??cl`3gmoL0n_[j0?clo03no_hD0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo08/0oooo04T0o_kn0?gmo@3kno/0n?Sh0?Cdm03_knl0j>SX0=_Kf`3AdM40alO70;jn
_P2e]KD0[jn_0:b/[02^[Zh0/k>c0;Zj^P33`l<0cLg=0=cLg03UiND0k>c/0?7al@3dm?@0m_Kf0?Cd
m03`l?00j^[Z0>7Qh@3Fe]H0alO70:j^[P2MWId0S8b<07emO@1cLg<0KVi^075aL@1jNWX0QhN709NG
U`2YZJT0^[Zj0=;BdP3Ng]h0j>SX0>o_k`3clo<0m_Kf0?Gem@3bl_80kNg]0>OWi`3Ogml0eMGE0<K6
aP2m_Kd0]KFe0:n_[`2/[:`0[Zj^0;>c/`2k^k/0a<C40<k>cP3Hf=P0i^KV0>g]k@3clo<0moOg0?[j
nP3lo?`0o_kn01<0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0S03o
ool0B@3no_h0o?cl0?_kn`3hn?P0m?Cd0>k^kP3Shn<0f][J0=3@d035aLD0^k^k0;>c/`2[Zj/0ZJVY
0:^[Z`2`/;00^;Rh0<71`@3AdM40fm_K0>CTi03[jn/0lO7a0?Cdm03fm_H0mOGe0?;blP3/k>`0i>CT
0=[JfP36a/H0][Jf0:NWY`2GUiL0Rh^;0861P@1lO7`0Ogmo08N7Q`2CTi<0XZ:R0;:b/P39bLT0e]KF
0>7Qh@3Zj^X0l?3`0?Cdm03fm_H0mOGe0?;blP3]kNd0i^KV0=kNgP3?cll0a<C40;Zj^P2b/[80[:b/
0:VYZ@2[Zj/0/K6a0;Vi^@32`/80cLg=0=cLg03UiND0k>c/0?;blP3gmoL0n_[j0?gmo@3no_h04P3o
ool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2<0?ooo`80o_kn04P0o?cl
0?[jnP3gmoL0lo?c0>[ZjP3Rh^80fMWI0<k>cP33`l<0^KVi0:f][@2XZ:P0YZJV0:RXZ02][Jd0]KFe
0<G5a@3?cll0f][J0>?Sh`3Zj^X0l?3`0?KfmP3gmoL0m_Kf0?Cdm03_knl0jNWY0=_Kf`3?cll0`/;2
0;Fe]@2YZJT0WYjN09BDU02BTY80UIFE09^KV`2UYJD0/K6a0<G5a@3Bd]80gMgM0>KViP3]kNd0lo?c
0?KfmP3gmoL0mOGe0?;blP3/k>`0iNGU0=SHf03=cLd0`/;20;Rh^02`/;00YjNW0:JVYP2XZ:P0[Zj^
0;Jf]P30`<00d=3@0=_Kf`3Ti>@0k>c/0?;blP3fm_H0no_k0?gmo@3no_hA0?ooo`800000;P3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo08d0oooo0P3no_h05`3lo?`0n_[j0?Ogm`3`l?00
jNWY0>7Qh@3GemL0cLg=0<71`@2b/[80ZZZZ0:FUY@2SXj<0YJFU0:^[Z`2h^;P0`l?30<k>cP3IfMT0
h^;R0>[ZjP3bl_80m_Kf0080n?Sh02l0m_Kf0??cl`3[jn/0i>CT0=_Kf`3Bd]80b<S80;no_`2c/k<0
[jn_0:j^[P2`/;00]KFe0;bl_03:b/X0e=CD0=gMg@3Vi^H0kNg]0?;blP3gmoL0n?Sh0?Ogm`3emOD0
l_;b0>c/k03Ph>00e]KF0<c<c031`L40][Jf0:VYZ@2UYJD0Xj>S0:JVYP2[Zj/0];Bd0<C4a03?cll0
fMWI0>?Sh`3[jn/0lO7a0?Shn03kno/0oOgm0?knoP0@0?ooo`800000;P3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo08h0oooo0P3no_h0;@3lo?`0n_[j0?Gem@3`l?00jNWY0>3Ph03Fe]H0
bl_;0;Zj^P2`/;00YjNW0::RXP2QXJ40Xj>S0:b/[02f][H0`L710<c<c03GemL0hN7Q0>g]k@3bl_80
m_Kf0?Win@3jn_X0nOWi0?KfmP3clo<0kno_0>[ZjP3Ti>@0g]kN0=KFeP3Bd]80d=3@0<o?c`3@d=00
dm?C0=[JfP3Ph>00iNGU0>_[j`3`l?00m?Cd0?Shn0020?Win@0I0?Shn03fm_H0lO7a0>SXj03Ogml0
eMGE0<[:bP2o_kl0[jn_0:NWY`2RXZ80XJ6Q0:>SX`2YZJT0]kNg0<;2`P3=cLd0f=SH0>;RhP3Zj^X0
lo?c0?Shn03kno/0oOgm0?knoP0?0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0900oooo01d0o_kn0?gmo@3jn_X0moOg0?;blP3/k>`0i>CT0=[JfP39bLT0_Kfm0;:b/P2X
Z:P0XJ6Q09fMW@2OWil0YJFU0:j^[P2h^;P0a<C40=3@d03Ph>00jNWY0?3`l03emOD0nOWi0?clo03n
o_h0oooo0?knoP020?gmo@030?clo03jn_X0nOWi0080n?Sh0P3gmoL01`3hn?P0nOWi0?[jnP3kno/0
o?cl0?gmo@3no_h00P3oool0303moOd0no_k0?Shn03bl_80jn_[0>?Sh`3IfMT0c/k>0;bl_02a/K40
YjNW0:2PX080WIfM00`0YJFU0:j^[P2i^KT0aLG50=7Ad@3Lg=`0jNWY0?3`l03emOD0nOWi0?_kn`3m
oOd>0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0940oooo04P0o_kn
0?clo03jn_X0m_Kf0?;blP3[jn/0hn?S0=?Cd`38b<P0^k^k0;2`/02VYZH0WYjN09ZJVP2LW9`0XZ:R
0:^[Z`2g]kL0`l?30=GEe@3Ogml0j>SX0?3`l03emOD0n_[j0?ooo`3moOd0n_[j0?KfmP3bl_80kNg]
0>GUi@3Ogml0fMWI0=CDe03AdM40clo?0=3@d03Cdm<0f=SH0=gMg@3Shn<0jNWY0?7al@3emOD0nOWi
0?clo03oool0oOgm0?Ogm`3bl_80jn_[0>;RhP3Hf=P0alO70;Zj^P2_[jl0YJFU09jNWP2JVYX0WIfM
0:>SX`2/[:`0^;Rh0<C4a03@d=00h>3P0>WYj@3`l?00mOGe0?Win@3kno/20?knoP`0oooo0P00000^
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0TP3oool0;`3moOd0o?cl0?[jnP3fm_H0
lO7a0>_[j`3MgMd0d];B0<K6aP2j^[X0[Zj^0:>SX`2IVIT0V9RH09ZJVP2PX:00ZJVY0;Fe]@38b<P0
e=CD0=oOg`3Xj>P0l?3`0?KfmP3moOd0o_kn0?Win@3dm?@0k^k^0>KViP3IfMT0c/k>0<?3``2i^KT0
/;2`0:ZZZP2WYjL0ZJVY0:j^[P2f][H0`<300<_;b`3Kfm/0i>CT0>c/k03bl_80n?Sh0080o?cl01L0
moOg0?;blP3Zj^X0h^;R0=7Ad@35aLD0^KVi0:f][@2SXj<0Vi^K09RHV02JVYX0XJ6Q0:ZZZP2f][H0
`/;20=GEe@3Ogml0j>SX0>o_k`3emOD0nOWi0?clo0020?knoP/0oooo0P00000^0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0TP3oool0<03no_h0oOgm0?clo03inOT0m_Kf0?7al@3Vi^H0
gMgM0=7Ad@35aLD0^;Rh0:b/[02MWId0UiNG09FEU@2HV9P0WYjN0:RXZ02j^[X0a/K60=?Cd`3Ng]h0
j>SX0?3`l03inOT0o_kn0?clo03fm_H0kno_0>KViP3EeMD0b<S80;Vi^@2YZJT0Vi^K08j>SP22PX80
P82008>3P`2;Rh/0UiNG0:FUY@2l_;`0bl_;0=SHf03Shn<0k>c/0?Cdm080oOgm01L0n?Sh0?;blP3Z
j^X0g=cL0=3@d034a<@0]kNg0:^[Z`2QXJ40UiNG09FEU@2HV9P0WinO0:RXZ02d];@0alO70=CDe03O
gml0j>SX0>o_k`3emOD0n_[j0?clo0020?knoPX0oooo0P00000^0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0T`3oool0B@3no_h0oOgm0?clo03inOT0m_Kf0>g]k@3Vi^H0g=cL0=3@d034
a<@0]kNg0:BTY02KVi/0UIFE09>CT`2FUYH0W9bL0:^[Z`2h^;P0aLG50=;BdP3MgMd0inOW0??cl`3j
n_X0oooo0?[jnP3clo<0j^[Z0=WIf@3:b/X0^KVi0:FUY@2BTY80Ogmo06UYJ@1PH600GUiN069RHP1[
Jf/0NWYj09JFUP2YZJT0_;bl0<g=c@3Kfm/0inOW0?Cdm03kno/0o_kn0?Shn03bl_80iNGU0=_Kf`3@
d=00`l?30;Jf]P2YZJT0VYZJ09FEU@2CTi<0UYJF09fMW@2WYjL0^KVi0<K6aP3Cdm<0g]kN0>OWi`3_
knl0moOg0?[jnP3lo?`00P3no_h90?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo09D0oooo00d0o_kn0?gmo@3kno/0mOGe0?3`l03YjNT0h>3P0=GEe@39bLT0]KFe0:RXZ02M
WId0UIFE0080TI6A0240VIVI0:>SX`2_[jl0_Kfm0<[:bP3GemL0inOW0>o_k`3gmoL0oOgm0?_kn`3c
lo<0i>CT0=OGe`36a/H0/[:b09^KV`22PX80GemO04];B`0m?Cd0=CDe03Hf=P0o?cl0F5QH06m_K`27
QhL0X:2P0;Jf]P3:b/X0hN7Q0>c/k03emOD00P3lo?`0603bl_80j^[Z0>3Ph03De=@0b<S80;Zj^P2W
YjL0W9bL09BDU02@T900TI6A09JFUP2TY:@0/K6a0;jn_P3;bl/0emOG0>;RhP3^k^h0m?Cd0?Shn03k
no/0oOgm0?knoPP0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0UP3o
ool0903no_h0o?cl0?Win@3emOD0l?3`0>WYj@3Ph>00e=CD0<71`@2c/k<0YZJV09^KV`2CTi<0Shn?
096AT@2GUiL0XZ:R0:j^[P2l_;`0bLW90=cLg03Vi^H0kno_0?Ogm`3no_h0n_[j0>g]k@3Rh^80dm?C
0<71`@2[Zj/0TY:B06YZJP1ADE40>c/k02/[:`8092@T01D0=SHf04Y:BP1RHV80OGem09NGU`2_[jl0
c/k>0=kNgP3Zj^X0m?Cd0?clo03inOT0l_;b0>WYj@3Ogml0e=CD0<O7a`2b/[80YJFU09ZJVP2BTY80
0P2?Shl03@2HV9P0Xj>S0:n_[`2m_Kd0b/[:0=OGe`3Vi^H0k^k^0?Cdm03hn?P0no_k0?gmo@3no_h0
1`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2G0?ooo`1:0?knoP3l
o?`0nOWi0?Gem@3`l?00j>SX0=oOg`3>c/h0`<300;:b/P2UYJD0VYZJ096AT@2=SHd0Shn?09JFUP2P
X:00[Jf]0;^k^`3?cll0g=cL0>KViP3_knl0moOg0?knoP3fm_H0k>c/0>7Qh@3AdM40_[jn0:NWY`20
P800I6AT04U9B@0c<c<08b<S01XJ6P0O7al0;Bd]0492@P1LG5`0MgMg09>CT`2h^;P0c<c<0=cLg03Y
jNT0lo?c0?ooo`3inOT0l_;b0>WYj@3Ogml0dm?C0;no_`2a/K40Y:BT09VIV@2ATI40SHf=092@T02G
UiL0XJ6Q0:j^[P2l_;`0b/[:0=cLg03Vi^H0k^k^0?Cdm03hn?P0no_k0?gmo@3no_h60?ooo`800000
;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo09P0oooo04X0oOgm0?_kn`3inOT0mOGe
0>o_k`3Xj>P0fMWI0<g=c@2o_kl0/K6a0:BTY02HV9P0SHf=08^;R`2>SXh0UIFE09nOW`2/[:`0`L71
0<o?c`3Kfm/0i^KV0>o_k`3gmoL0o_kn0?KfmP3]kNd0hN7Q0=7Ad@2n_[h0Vi^K0820P01TI6@0BTY:
03<c<`0S8b<06QXJ020P800];Bd0@T9205aLG01gMgL0X:2P0;Rh^03<c<`0g=cL0>WYj@3hn?P0oooo
0?Win@3alO40jNWY0=kNgP3<c<`0_[jn0;2`/02SXj<0UiNG08n?S`2;Rh/0SXj>09FEU@2PX:00[Jf]
0;^k^`3?cll0fm_K0>GUi@3]kNd0lo?c0?Shn03lo?`0oOgm0?knoPD0oooo0P00000^0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0V03oool0B`3no_h0oOgm0?_kn`3inOT0mOGe0>o_k`3S
hn<0fMWI0<c<c02n_[h0/;2`0:>SX`2BTY80S8b<08Z:RP2<S8`0Ti>C09jNWP2b/[80`<300<k>cP3K
fm/0iNGU0>o_k`3jn_X0o_kn0?Ogm`3^k^h0h^;R0=?Cd`2g]kL0WinO08F5Q@1[Jf/0DU9B03`l?00X
:2P092@T02TY:@0g=cL0Bd];06=SH`2;Rh/0Y:BT0;^k^`3>c/h0g]kN0>o_k`3hn?P0oooo0?Win@3a
lO40j>SX0=SHf03;bl/0_Kfm0:n_[`2RXZ80UYJF08^;R`2:RXX0SHf=09BDU02OWil0[:b/0<71`@3?
cll0fm_K0>GUi@3]kNd0lo?c0?Win@3lo?`0oOgm0?knoP040?ooo`800000;P3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo09X0oooo01P0o_kn0?clo03jn_X0moOg0>o_k`3WinL0g]kN0=;B
dP35aLD0][Jf0:6QX@2EUID0SHf=08R8R029RHT0SXj>09bLW02ZZZX0^;Rh0<K6aP3De=@0h>3P0>k^
kP3fm_H20?clo00`0?Gem@3/k>`0f][J0<[:bP2h^;P0Xj>S08b<S01fMWH0FEUI04a<C015ADD0ATI6
04i>CP1LG5`0NWYj096AT@2WYjL0_;bl0<k>cP3Shn<0k^k^0?KfmP3moOd0no_k0?Cdm03Xj>P0gMgM
0=7Ad@34a<@0]KFe0:NWY`2EUID0S8b<08R8R029RHT0SXj>09RHV02[Zj/0^KVi0<O7a`3EeMD0h>3P
0>WYj@3clo<0n?Sh0?_kn`3moOd0o_kn0`3oool2000002h0i^KV103oool100000040fMWI00000`00
0000oooo0?ooo`2J0?ooo`80o_kn04T0o?cl0?[jnP3emOD0kno_0>OWi`3Ng]h0d];B0<C4a02^[Zh0
XJ6Q09FEU@2<S8`0QhN708R8R02ATI40W9bL0:VYZ@2g]kL0a/K60=?Cd`3Ti>@0k^k^0?Gem@3kno/0
o_kn0?Ogm`3[jn/0hN7Q0=CDe034a<@0/k>c0:2PX025QHD0MWIf06][J`1UIFD0IVIV06e]K@20P800
TI6A0:BTY02f][H0alO70=gMg@3Xj>P0lO7a0?Shn03oool0n_[j0?3`l03WinL0gMgM0=7Ad@33`l<0
]KFe09nOW`2DU9@0Rh^;08N7Q`28R8P0SHf=09fMW@2ZZZX0^KVi0<O7a`3De=@0h>3P0>g]k@3clo<0
n?Sh0?_kn`3moOd0o_kn0080oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool0V`3oool20?knoP0j0?clo03inOT0mOGe0>o_k`3WinL0gMgM0=7Ad@2m_Kd0[Zj^0:2PX02DU9@0
Rh^;08N7Q`29RHT0T92@09^KV`2XZ:P0]kNg0<K6aP3IfMT0i>CT0>g]k@3dm?@0n_[j0?ooo`3gmoL0
lO7a0>WYj@3Ogml0dm?C0<K6aP2a/K40Y:BT09VIV@2ATI40S8b<08f=S@2FUYH0X:2P0:f][@2k^k/0
bLW90=cLg03Vi^H0k^k^0?Gem@3kno/0oooo0?KfmP3_knl0inOW0=gMg@3AdM40`l?30:f][@2OWil0
Ti>C08^;R`80QhN700h0TI6A09bLW02ZZZX0^;Rh0<O7a`3De=@0i>CT0>g]k@3clo<0n?Sh0?_kn`3m
oOd0o_kn0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo09`0oooo0P3n
o_h0B@3kno/0nOWi0?Cdm03_knl0inOW0=gMg@3;bl/0_;bl0:j^[P2PX:00Ti>C08^;R`26QXH0R8R8
092@T02KVi/0Z:RX0;Ng]`3<c<`0fMWI0>CTi03]kNd0m?Cd0?Win@3oool0no_k0?Ogm`3bl_80k>c/
0>CTi03Hf=P0clo?0<O7a`30`<00^k^k0;Vi^@2j^[X0_kno0<G5a@3=cLd0eMGE0>;RhP3Zj^X0l?3`
0?Gem@3jn_X0o_kn0?_kn`3emOD0kno_0>OWi`3Lg=`0d=3@0;^k^`2/[:`0WYjN09>CT`2:RXX0QXJ6
08V9R@2@T900W9bL0:VYZ@2h^;P0a/K60=[JfP3Ti>@0kNg]0??cl`3gmoL0no_k0?gmo@3no_h00P00
000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0W@3oool0BP3no_h0oOgm0?_kn`3i
nOT0m?Cd0>o_k`3WinL0emOG0<[:bP2l_;`0[Jf]09nOW`2CTi<0R8R808F5Q@28R8P0Shn?09ZJVP2X
Z:P0_[jn0<c<c03IfMT0i>CT0>c/k03clo<0n_[j0?gmo@3oool0o_kn0?_kn`3inOT0mOGe0??cl`3`
l?00kNg]0>_[j`3YjNT0j>SX0>WYj@3Zj^X0k>c/0>o_k`3clo<0m_Kf0?Shn03kno/0oOgm0?ooo`3l
o?`0nOWi0?Cdm03^k^h0i^KV0=cLg039bLT0^k^k0:b/[02NWYh0TY:B08Z:RP25QHD0RHV9092@T02K
Vi/0ZJVY0;Rh^03=cLd0f][J0>CTi03]kNd0lo?c0?Ogm`3lo?`0oOgm0P00000^0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0WP3oool06`3no_h0oOgm0?_kn`3inOT0m?Cd0>o_k`3Rh^80
emOG0<[:bP2l_;`0[Jf]09nOW`2>SXh0QhN708F5Q@28R8P0Shn?09ZJVP2_[jl0_[jn0<c<c03IfMT0
hn?S0>c/k03dm?@0n?Sh0?[jnP020?_kn`070?[jnP3gmoL0m?Cd0?7al@3^k^h0jn_[0>WYj@020>KV
iP0S0>OWi`3Xj>P0j^[Z0>o_k`3bl_80mOGe0?Ogm`3inOT0n_[j0?_kn`3jn_X0moOg0?Cdm03^k^h0
i^KV0=KFeP39bLT0^k^k0:b/[02NWYh0TY:B08N7Q`25QHD0R8R8092@T02KVi/0ZJVY0;no_`3=cLd0
f][J0>CTi03]kNd0lo?c0?Win@3lo?`00P0000000`3UiND0i^KV0>KViP0[0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool0W`3oool20?knoP0<0?clo03jn_X0moOg0>o_k`3WinL0gMgM0=7A
d@33`l<0]KFe09nOW`2CTi<0RXZ:0P26QXH05@2;Rh/0VYZJ0:RXZ02f][H0aLG50=;BdP3Ng]h0jn_[
0?7al@3emOD0m_Kf0?Gem@3clo<0jn_[0>CTi03Jf]X0d=3@0<C4a02i^KT0ZZZZ0:>SX`020:2PX009
0:BTY02`/;00^k^k0<K6aP3Bd]80g=cL0>GUi@3_knl0lo?c0080m_Kf00X0m?Cd0?3`l03Vi^H0g=cL
0=3@d032`/80/k>c0:FUY@2BTY80RXZ:0P26QXH02P2<S8`0UIFE0:VYZ@2h^;P0a/K60=CDe03Ogml0
jNWY0??cl`3gmoL2000000030>CTi03UiND0i^KV02/0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`2P0?ooo`80o_kn04D0o?cl0?[jnP3dm?@0kno_0>OWi`3MgMd0dM7A0<C4a02^[Zh0X:2P
09>CT`2;Rh/0QXJ608N7Q`2@T900Vi^K0:RXZ02g]kL0aLG50=;BdP3Shn<0jn_[0?3`l03clo<0m?Cd
0?;blP3[jn/0hn?S0=SHf03:b/X0^[Zj0:ZZZP2BTY80Q8B407YjNP1eMGD0MWIf0861P@2=SHd0WIfM
0:f][@2n_[h0cLg=0>3Ph03YjNT0kno_0??cl`3dm?@0lo?c0>g]k@3Vi^H0g=cL0=3@d032`/80];Bd
09jNWP2CTi<0RXZ:08J6QP27QhL0S8b<09bLW02YZJT0^;Rh0<K6aP3De=@0gmoO0>g]k@3clo<00P00
00000`3Shn<0i>CT0>GUi@0[0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0X@3oool2
0?knoP0G0?clo03inOT0mOGe0>o_k`3WinL0gMgM0=7Ad@2m_Kd0[Zj^0:2PX02DU9@0Rh^;08N7Q`29
RHT0T92@09^KV`2XZ:P0]kNg0<G5a@3IfMT0hn?S0>_[j`3`l?000P3bl_808@3]kNd0i^KV0=_Kf`3=
cLd0_;bl0:RXZ029RHT0MGEe06ATI01GEeL0DE5A05EEE@1OGel0Kfm_08>3P`2HV9P0[Jf]0<S8b03G
emL0hn?S0>_[j`3`l?00lo?c0?7al@3/k>`0iNGU0=cLg03@d=00`l?30:f][@2OWil0Ti>C08^;R`02
08N7Q`08096AT@2LW9`0ZZZZ0;Rh^037alL0e=CD0>CTi03]kNd2000000040>7Qh@3Shn<0iNGU0>GU
iBX0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2R0?ooo`80o_kn04<0no_k0?Win@3e
mOD0kno_0>OWi`3Ng]h0bl_;0;fm_@2^[Zh0XJ6Q09FEU@2<S8`0QhN708Z:RP2ATI40W9bL0:VYZ@2g
]kL0c<c<0=WIf@3Shn<0j^[Z0>o_k`3bl_80l?3`0>[ZjP3Rh^80eMGE0<G5a@2a/K40SXj>07EeM@1N
GUh0BTY:03`l?00d=3@0>CTi04E5A@1HF5P0KVi^08N7Q`2ZZZX0_kno0=7Ad@3Ng]h0j>SX0>k^kP3b
l_80l?3`0>c/k03UiND0g=cL0=3@d02l_;`0[Jf]09nOW`2DU9@0Rh^;08N7Q`2:RXX0TY:B09fMW@2Z
ZZX0^KVi0<O7a`3Jf]X0iNGU0080000000<0g]kN0>7Qh@3Ti>@00P3UiNDY0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool0Y03oool0@`3moOd0no_k0?Win@3emOD0kno_0>OWi`3Hf=P0c<c<
0;jn_P2_[jl0XJ6Q09FEU@2:RXX0R8R808^;R`2BTY80W9bL0:ZZZP2o_kl0cLg=0=WIf@3Shn<0j^[Z
0>o_k`3alO40kno_0>WYj@3Ogml0dM7A0;no_`2MWId0Ph>306QXJ01>CTh0>3Ph02@T900P82009BDU
03<c<`17AdL0H61P08R8R02RXZ80^KVi0<c<c03Kfm/0i^KV0>o_k`3alO40l?3`0>c/k03Vi^H0g=cL
0<[:bP2l_;`0[Zj^0:2PX02EUID0S8b<08R8R02;Rh/0TY:B09fMW@2[Zj/0^KVi0<k>cP3Jf]X00P00
0000103Jf]X0g]kN0>;RhP3Ti>@20>GUiBP0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`2U0?ooo`0=0?knoP3lo?`0n_[j0?Ogm`3bl_80j>SX0=kNgP3Cdm<0aLG50;Ng]`2YZJT0UiNG08j>
SP0208Z:RP0c08n?S`2HV9P0Zj^[0;Vi^@37alL0e=CD0=oOg`3WinL0kno_0?7al@3`l?00jn_[0>?S
h`3GemL0_;bl0:FUY@2:RXX0KVi^059BDP0^;Rh07AdM01DE5@0F5QH0820P038b<P1HF5P0M7Ad092@
T02ZZZX0`<300=;BdP3UiND0k>c/0?3`l03alO40kno_0>WYj@3MgMd0dM7A0<C4a02f][H0Z:RX09^K
V`2>SXh0RXZ:08^;R`2@T900VIVI0:FUY@2j^[X0b<S80080000000H0d=3@0=OGe`3Ng]h0hN7Q0>?S
h`3Ti>@20>GUiBH0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2V0?ooo`0`0?knoP3l
o?`0n_[j0?Ogm`3_knl0j>SX0=oOg`3Cdm<0a/K60;Rh^02TY:@0V9RH092@T02;Rh/0S8b<096AT@2O
Wil0[:b/0;Zj^P38b<P0e=CD0=oOg`3[jn/0kno_0?7al@3`l?00k>c/0>CTi03@d=00_Kfm0:NWY`2=
SHd0LG5a04Q8B00b<S808R8R01TI6@0J6QX092@T0451@@1KFe/0MgMg09:BTP2[Zj/0`L710=[JfP3U
iND0kNg]0P3alO403`3_knl0i^KV0=gMg@3Bd]80aLG50;Ng]`2YZJT0UiNG08n?S`2;Rh/0S8b<096A
T@2JVYX0[Jf]0;^k^`02000000080<O7a`3@d=00f][J0=kNgP3QhN40hn?S0>CTi03UiNDV0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0Y`3oool03@3no_h0o?cl0?[jnP3emOD0l?3`0>SX
j03Ogml0e=CD0<O7a`2b/[80YJFU09ZJVP2ATI400P2=SHd0;02FUYH0X:2P0:f][@2k^k/0b<S80=GE
e@3Ti>@0jn_[0?3`l03bl_80lO7a0>g]k@3Ph>00dm?C0<71`@2/[:`0U9BD06a/K01CDe<0?Shn02l_
;`0W9bL0:2PX03Ti>@1=CDd0IFEU07moO`2IVIT0/;2`0<k>cP3Lg=`0inOW0>k^kP3alO40l_;b0>g]
k@3WinL0g]kN0=;BdP36a/H0^;Rh0:BTY02IVIT0TI6A0P2=SHd00`2CTi<0XJ6Q0:j^[P0200000009
0;fm_@38b<P0e=CD0=[JfP3Ng]h0hN7Q0>?Sh`3Ti>@0iNGU02D0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`2X0?ooo`0H0?knoP3lo?`0nOWi0?Gem@3`l?00jNWY0>3Ph03De=@0`L710;>c
/`2VYZH0Vi^K09>CT`2?Shl0TI6A09NGU`2RXZ80[Zj^0;bl_039bLT0fm_K0>GUi@3/k>`0l?3`0P3b
l_808@3[jn/0hn?S0=OGe`38b<P0];Bd09>CT`1lO7`0IFEU059BDP14A4@0?Shn0492@P1=CDd0GemO
07EeM@2<S8`0Xj>S0<;2`P3Cdm<0h>3P0>WYj@3_knl0l_;b0?7al@3]kNd0inOW0=kNgP3Cdm<0a/K6
0;:b/P2UYJD0VYZJ09:BTP0208n?S`0<09RHV02SXj<000000000002a/K40_Kfm0<g=c@3De=@0f][J
0=kNgP3QhN40hn?S0P3UiNDT0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0Z@3oool0
?P3no_h0o?cl0?Win@3emOD0l?3`0>WYj@3Ph>00clo?0<;2`P2e]KD0Z:RX09fMW@2EUID0T92@09>C
T`2IVIT0Xj>S0:n_[`2m_Kd0d=3@0=cLg03UiND0k>c/0?7al@3clo<0l_;b0>k^kP3WinL0gMgM0=3@
d02g]kL0Y:BT092@T01mOGd0KFe]065QH@1KFe/0GemO06UYJ@1hN7P0RXZ:09jNWP2k^k/0bl_;0=[J
fP3UiND0k>c/0?7al@3dm?@0l_;b0>k^kP3Xj>P0gmoO0=CDe031`L40/k>c0:NWY`2LW9`0U9BD092@
T02CTi<0VYZJ0P0000002@2TY:@0/[:b0<?3``3=cLd0eMGE0=[JfP3Ogml0hN7Q0>CTi0020>GUiB<0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`2Z0?ooo`0_0?gmo@3lo?`0nOWi0?KfmP3`
l?00j^[Z0=_Kf`3@d=00`l?30;Jf]P2YZJT0WYjN09BDU02BTY80UIFE09^KV`2UYJD0/K6a0<G5a@3A
dM40g=cL0>KViP3]kNd0l_;b0?Gem@3dm?@0lO7a0>c/k03Ti>@0e=CD0<O7a`2g]kL0Z:RX09VIV@2<
S8`0P82007inOP21PH40RHV909FEU@2SXj<0^[Zj0<W9b@3GemL0h^;R0>[ZjP3`l?000P3emOD0303c
lo<0kno_0>SXj03Ogml0clo?0<;2`P2e]KD0Z:RX09jNWP2FUYH0TY:B09FEU@80000000X0V9RH0:JV
YP2i^KT0a<C40<g=c@3EeMD0fm_K0=oOg`3Rh^80i>CT0P3UiNDR0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0Z`3oool03@3no_h0oOgm0?_kn`3hn?P0m?Cd0>[ZjP3Rh^80emOG0<_;b`2n
_[h0/[:b0:6QX@2JVYX00P2FUYH02P2JVYX0XZ:R0;>c/`30`<00cLg=0=SHf03Rh^80jn_[0??cl`3f
m_H20?Shn00D0?KfmP3alO40jn_[0>GUi@3MgMd0eMGE0<c<c032`/80_Kfm0;Zj^P2k^k/0_[jn0<?3
``3>c/h0e]KF0=oOg`3Vi^H0kNg]0?;blP3gmoL20?Shn00;0?KfmP3bl_80kNg]0>7Qh@3Fe]H0b/[:
0;fm_@2a/K40YJFU09VIV@2FUYH00P000000302:RXX0UIFE0:NWY`2d];@0`<300<[:bP3Bd]80f=SH
0=oOg`3Rh^80hn?S0>CTi080iNGU803Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0:`0
oooo00d0o_kn0?gmo@3kno/0n?Sh0?7al@3[jn/0h^;R0=SHf03<c<`0`<300:j^[P2SXj<0W9bL0080
V9RH00/0WIfM0:VYZ@2e]KD0`L710<k>cP3IfMT0hn?S0>o_k`3dm?@0n?Sh0?[jnP020?_kn`080?Wi
n@3gmoL0mOGe0?;blP3_knl0j^[Z0>OWi`3UiND20>CTi0080>KViP3YjNT0k>c/0>o_k`3bl_80mOGe
0?Shn03jn_X20?_kn`0;0?[jnP3gmoL0lo?c0>[ZjP3QhN40emOG0<_;b`2o_kl0/[:b0:>SX`2KVi/0
0P0000003P24Q8@0S8b<09bLW02YZJT0]KFe0<71`@3:b/X0d];B0=_Kf`3Ogml0h^;R0>?Sh`3Ti>@0
iNGU803Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0:d0oooo01X0o_kn0?gmo@3kno/0
m_Kf0?;blP3[jn/0hn?S0=WIf@3>c/h0^k^k0;2`/02VYZH0WYjN09ZJVP2KVi/0XZ:R0:^[Z`2g]kL0
`l?30<o?c`3Jf]X0j>SX0>o_k`3emOD0nOWi0?clo080oooo00L0oOgm0?clo03jn_X0nOWi0?KfmP3e
mOD0lo?c00<0l_;b01@0lo?c0?Cdm03fm_H0moOg0?Win@3kno/0oOgm0?knoP3oool0o_kn0?_kn`3h
n?P0lO7a0>_[j`3Rh^80f=SH0<g=c@30`<00[jn_0:FUY@80000000d0PH6108J6QP2CTi<0WYjN0:ZZ
ZP2f][H0`L710<_;b`3Fe]H0fm_K0=oOg`3Rh^80hn?S0080iNGU7`3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0:h0oooo03T0o_kn0?gmo@3jn_X0moOg0?;blP3/k>`0i>CT0=[JfP39bLT0
_Kfm0;:b/P2XZ:P0XJ6Q09fMW@2OWil0YJFU0:j^[P2h^;P0a<C40=3@d03Ph>00jNWY0?3`l03fm_H0
n_[j0?ooo`3moOd0nOWi0?Gem@3alO40jn_[0>;RhP3Lg=`0e]KF0=7Ad@3=cLd0bl_;0<c<c03?cll0
e=CD0=[JfP3Ph>00inOW0>o_k`3dm?@0n?Sh0?clo03oool0oOgm0?Ogm`3bl_80jn_[0>?Sh`3IfMT0
c/k>0;bl_02a/K400P0000003P23Ph<0Q8B408b<S02EUID0X:2P0:b/[02h^;P0`/;20=3@d03GemL0
g=cL0=oOg`3Rh^80i>CT0P3UiNDN0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0[`3o
ool0>03no_h0o?cl0?[jnP3gmoL0l_;b0>c/k03Ti>@0e]KF0<[:bP2o_kl0];Bd0:ZZZP2SXj<0WinO
0:6QX@2WYjL0/;2`0;Zj^P36a/H0emOG0>7Qh@3Zj^X0lO7a0?Ogm`3moOd0o_kn0?Win@3dm?@0k^k^
0>OWi`3IfMT0clo?0<G5a@2k^k/0/[:b0:b/[02XZ:P0Zj^[0;2`/02h^;P0`L710<c<c03Kfm/0i>CT
0>c/k03clo<0n?Sh0?clo03moOd0n?Sh0??cl`3/k>`0i>CT0=[JfP39bLT0_[jn0P0000003`29RHT0
QXJ608R8R02>SXh0UiNG0::RXP2][Jd0^KVi0<S8b03@d=00emOG0=cLg03Ph>00h^;R0>CTi0020>GU
iAd0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2`0?ooo`0=0?knoP3moOd0no_k0?Wi
n@3emOD0l?3`0>GUi@3Lg=`0d];B0<O7a`2l_;`0/[:b0:NWY`020:BTY00E0:RXZ02_[jl0^;Rh0<S8
b03Cdm<0g]kN0>OWi`3_knl0n?Sh0?gmo@3no_h0n?Sh0?;blP3Zj^X0fm_K0<k>cP30`<00/;2`0:6Q
X@2CTi<0Q8B40080P8200140QXJ6092@T02MWId0/k>c0<?3``3AdM40gMgM0>SXj03`l?00nOWi0?kn
oP3lo?`0moOg0?7al@3YjNT0g=cL0=7Ad@020000000@09RHV02@T900RXZ:08Z:RP2?Shl0UYJF09nO
W`2ZZZX0^k^k0<G5a@3>c/h0eMGE0=[JfP3Ng]h0h^;R0>CTi080iNGU703Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0;40oooo01P0o_kn0?gmo@3kno/0nOWi0?Gem@3^k^h0i^KV0=kNgP3C
dm<0bLW90;jn_P2`/;00ZZZZ0:JVYP2WYjL0ZZZZ0;6a/@2o_kl0b/[:0=GEe@3Ogml0j>SX0?;blP3h
n?P20?gmo@0:0?Ogm`3`l?00h^;R0=KFeP37alL0][Jf0:BTY02CTi<0O7al079bLP80KFe]0100Lg=c
07moO`2FUYH0Z:RX0;Zj^P3:b/X0f=SH0>CTi03alO40n?Sh0?knoP3lo?`0moOg0?7al@3Vi^H0gMgM
0P0000000`2TY:@0VYZJ092@T00208f=S@0<096AT@2HV9P0XJ6Q0;6a/@2l_;`0a/K60<k>cP3EeMD0
fm_K0>3Ph03Rh^80i>CT0P3UiNDK0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0/P3o
ool0903no_h0oOgm0?clo03inOT0m?Cd0>k^kP3WinL0gmoO0=GEe@3;bl/0^k^k0;>c/`2][Jd0ZJVY
0:ZZZP2][Jd0^;Rh0<71`@3<c<`0e]KF0>3Ph03/k>`0lo?c0?Win@3no_h0o?cl0?KfmP3Zj^X0gmoO
0=;BdP32`/80/;2`09fMW@21PH40LW9b06IVIP80HF5Q00X0J6QX07alO02>SXh0XJ6Q0;Bd]036a/H0
eMGE0>OWi`3`l?00moOg0P3moOd00`3hn?P0k^k^0>OWi`02000000040;2`/02VYZH0VIVI09>CT`80
T92@00`0U9BD09^KV`2YZJT0/k>c0;fm_@37alL0clo?0=KFeP3MgMd0h>3P0>;RhP3Ti>@20>GUiAX0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`2c0?ooo`0=0?knoP3moOd0o?cl0?Shn03d
m?@0kno_0>SXj03Ph>00e]KF0<O7a`2n_[h0]KFe0:n_[`020:b/[00Q0;>c/`2j^[X0`l?30<k>cP3H
f=P0iNGU0>g]k@3dm?@0nOWi0?knoP3lo?`0l_;b0>WYj@3Ogml0dM7A0<71`@2^[Zh0T92@07inOP1^
KVh0HV9R05aLG01MGEd0JFUY07QhN02;Rh/0WYjN0;:b/P34a<@0fm_K0>KViP3`l?00moOg0080oOgm
00T0mOGe0>o_k`00000000000;bl_02b/[80Xj>S09^KV`2EUID00P2CTi<0302GUiL0XJ6Q0:^[Z`2e
]KD0_kno0<S8b03@d=00fMWI0=gMg@3Ph>00hn?S0>CTi080iNGU6@3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0;@0oooo03<0o_kn0?gmo@3kno/0n?Sh0?Cdm03_knl0jNWY0>7Qh@3Cdm<0
bLW90<30`02h^;P0/[:b0:n_[`2a/K40]KFe0;fm_@36a/H0clo?0=kNgP3Vi^H0k^k^0?Cdm03inOT0
o_kn0?Win@3bl_80j^[Z0=oOg`3Bd]80`/;20:JVYP2BTY80P820071`L01TI6@0GemO069RHP1/K6`0
NWYj08b<S02PX:00/k>c0<g=c@3Kfm/0inOW0?3`l03gmoL0oOgm0?_kn`3fm_H00P0000005037alL0
_Kfm0:n_[`2VYZH0WYjN09RHV02EUID0UYJF09bLW02TY:@0[Jf]0;Jf]P30`<00bLW90=CDe03IfMT0
g]kN0>7Qh@3Shn<0i>CT0P3UiNDH0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0]@3o
ool0<P3no_h0oOgm0?_kn`3hn?P0mOGe0?3`l03Zj^X0g]kN0=GEe@3;bl/0`/;20;^k^`2e]KD0/[:b
0;Bd]02h^;P0_kno0<S8b03Fe]H0gmoO0>OWi`3^k^h0m?Cd0?[jnP3no_h0nOWi0??cl`3[jn/0hN7Q
0=CDe02m_Kd0Zj^[09RHV027QhL0N7Qh06e]K@1WIfL0Jf][07AdM022PX80Ti>C0:FUY@30`<00d=3@
0=gMg@3Xj>P0lO7a0?Ogm`3oool0no_k0P0000005@3@d=00b<S80;Zj^P2a/K40Z:RX0:2PX02KVi/0
V9RH09ZJVP2OWil0YZJV0:n_[`2h^;P0`L710<k>cP3EeMD0f][J0=kNgP3QhN40hn?S0>CTi0020>GU
iAL0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2f0?ooo`80o_kn00/0o?cl0?[jnP3g
moL0lo?c0>_[j`3Ti>@0fm_K0=?Cd`3:b/X0`/;20;Vi^@020;Ng]`0R0;Zj^P2o_kl0bl_;0=CDe03M
gMd0iNGU0>c/k03bl_80n_[j0?knoP3moOd0n?Sh0?;blP3Zj^X0fm_K0<k>cP30`<00/;2`0:6QX@2C
Ti<0Q8B407moO`20P800QHF508n?S`2LW9`0/k>c0<?3``3AdM40gMgM0>SXj03`l?00nOWi0?knoP80
000000P0f][J0=CDe03:b/X0`L710;Rh^02`/;00Z:RX0::RXP80WIfM00`0X:2P0:JVYP2^[Zh0][Jf
0<C4a03<c<`0dm?C0=SHf03MgMd0h>3P0>?Sh`3Ti>@20>GUiAH0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`2g0?ooo`80o_kn01H0o?cl0?[jnP3hn?P0lO7a0>c/k03UiND0gMgM0=CDe03<
c<`0`L710;bl_02i^KT0^[Zj0;fm_@35aLD0cLg=0=GEe@3Ng]h0i^KV0>g]k@3emOD0n_[j0P3no_h0
5P3inOT0m?Cd0>[ZjP3QhN40e]KF0<[:bP2m_Kd0/;2`0:2PX02HV9P0U9BD09FEU@2IVIT0XZ:R0;>c
/`30`<00cLg=0=WIf@3Shn<0k>c/0?Gem@3jn_X2000000090=oOg`3Kfm/0d];B0<_;b`33`l<0^[Zj
0;:b/P2ZZZX0XZ:R0080X:2P00`0Xj>S0:VYZ@2`/;00_Kfm0<G5a@3=cLd0dm?C0=WIf@3MgMd0hN7Q
0>?Sh`3Ti>@20>GUiAD0i^KV103oool100000040fMWI00000`000000oooo0?ooo`2h0?ooo`80o_kn
02d0o?cl0?_kn`3fm_H0l_;b0>g]k@3Vi^H0g]kN0=KFeP3:b/X0a<C40;no_`2l_;`0_Kfm0<;2`P38
b<P0clo?0=OGe`3Ogml0inOW0?3`l03emOD0n_[j0?gmo@3oool0no_k0?Gem@3_knl0j>SX0=oOg`3F
e]H0c<c<0;fm_@2e]KD0[jn_0:b/[02][Jd0/;2`0;^k^`34a<@0c/k>0=SHf03QhN40jNWY0??cl`3h
n?P00P0000002P3Shn<0gmoO0=SHf03Cdm<0c<c<0<C4a02l_;`0];Bd0:ZZZP2UYJD20:>SX`0<0:JV
YP2[Zj/0][Jf0;jn_P36a/H0c/k>0=CDe03IfMT0gmoO0>7Qh@3Shn<0i>CT0P3UiNDD0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0^P3oool0;@3no_h0oOgm0?[jnP3gmoL0lo?c0>g]k@3W
inL0h>3P0=CDe03=cLd0a/K60<;2`P2o_kl0`L710<C4a03:b/X0dM7A0=WIf@3QhN40jn_[0?7al@3f
m_H0n_[j0?gmo@3oool0no_k0?Shn03dm?@0kno_0>WYj@3Shn<0f=SH0=7Ad@3<c<`0b<S80<G5a@36
a/H0b/[:0<o?c`3Fe]H0gMgM0>CTi03Zj^X0lo?c0?Ogm`020000000;0>GUi@3Rh^80gMgM0=WIf@3C
dm<0cLg=0<K6aP2n_[h0/k>c0:b/[02XZ:P00P2VYZH03@2YZJT0/K6a0;Rh^030`<00b<S80<o?c`3E
eMD0g=cL0=oOg`3Rh^80hn?S0>CTi03UiND0503Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo0;/0oooo02`0o_kn0?clo03jn_X0moOg0??cl`3^k^h0j>SX0=kNgP3Fe]H0clo?0<W9b@35aLD0
`/;20<?3``37alL0cLg=0=?Cd`3Kfm/0i^KV0>c/k03bl_80m_Kf0?Win@3lo?`0oooo0?knoP3lo?`0
nOWi0?KfmP3clo<0kNg]0>WYj@3Vi^H0h^;R0>3Ph03Ogml0h>3P0>;RhP3UiND0j>SX0>c/k03`l?00
mOGe0?Shn080000000`0iNGU0>CTi03QhN40gMgM0=WIf@3De=@0c/k>0<O7a`2l_;`0]KFe0:n_[`2[
Zj/20:VYZ@0=0:j^[P2c/k<0^[Zj0<;2`P39bLT0d=3@0=SHf03Lg=`0h>3P0>;RhP3Shn<0i>CT0>GU
i@0C0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0_03oool0303no_h0oOgm0?_kn`3i
nOT0m_Kf0?;blP3Zj^X0hn?S0=cLg03Fe]H0clo?0<W9b@80alO700/0bLW90<g=c@3Cdm<0gMgM0>CT
i03Zj^X0l?3`0?Cdm03hn?P0no_k0?gmo@060?knoP80oOgm1P3lo?`20?gmo@80o_kn0P0000006P3U
iND0i>CT0>?Sh`3Rh^80gmoO0=cLg03Hf=P0dm?C0<W9b@32`/80^k^k0;Fe]@2a/K40[Zj^0:f][@2`
/;00];Bd0;Zj^P31`L40b<S80=7Ad@3GemL0fm_K0=oOg`3QhN40hn?S0`3UiNDA0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0_@3oool0303no_h0oOgm0?clo03inOT0m_Kf0?3`l03[jn/0
iNGU0=kNgP3Hf=P0clo?0<_;b`80bLW900X0c<c<0=3@d03Hf=P0gmoO0>GUi@3[jn/0lO7a0?Gem@3i
nOT0no_k0`3lo?`01`3kno/0n?Sh0?KfmP3clo<0l?3`0>g]k@3Zj^X00`3WinL01@3Xj>P0j^[Z0>c/
k03alO40m?Cd0080000000h0hN7Q0>;RhP3Shn<0h^;R0>7Qh@3Ogml0g=cL0=SHf03AdM40bl_;0<C4
a02n_[h0^;Rh0;>c/`80/;2`00/0/[:b0;Ng]`2l_;`0`l?30<c<c03Bd]80f=SH0=cLg03Ogml0hN7Q
0>CTi0030>GUiA00i^KV103oool100000040fMWI00000`000000oooo0?ooo`2n0?ooo`0<0?knoP3m
oOd0o?cl0?[jnP3emOD0lO7a0>c/k03Vi^H0h>3P0=OGe`3Bd]80c/k>0P3<c<`02@3>c/h0eMGE0=[J
fP3QhN40inOW0>c/k03alO40moOg0?Win@030?_kn`090?[jnP3fm_H0lo?c0>o_k`3Zj^X0iNGU0>3P
h03IfMT0e]KF0080e=CD00@0e]KF0=[JfP3QhN40i^KV0P0000000`3Jf]X0gMgM0>7Qh@020>;RhP0G
0>7Qh@3Ogml0gMgM0=OGe`3Bd]80c<c<0<K6aP30`<00^[Zj0;Bd]02b/[80/k>c0;Fe]@2i^KT0_[jn
0<O7a`3>c/h0dm?C0=SHf03Lg=`0gmoO0>;RhP3Ti>@00P3UiND@0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0_`3oool0303no_h0oOgm0?clo03inOT0m_Kf0?;blP3]kNd0inOW0=oOg`3I
fMT0e=CD0=7Ad@80clo?00T0dm?C0=OGe`3Lg=`0h^;R0>SXj03]kNd0m?Cd0?Ogm`3inOT00P3kno/0
2P3jn_X0moOg0??cl`3_knl0jNWY0>?Sh`3Lg=`0d];B0<c<c038b<P20<K6aP030<S8b03@d=00e]KF
0080000000@0dM7A0=KFeP3Lg=`0gmoO0`3QhN402@3Ogml0fm_K0=SHf03Cdm<0cLg=0<O7a`32`/80
^[Zj0;Ng]`020;Fe]@0;0;Ng]`2k^k/0`l?30<W9b@3?cll0e=CD0=WIf@3MgMd0hN7Q0>?Sh`3Ti>@0
0P3UiND?0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0`03oool05`3no_h0oOgm0?_k
n`3inOT0m_Kf0?;blP3^k^h0i^KV0>3Ph03Kfm/0e]KF0=?Cd`3AdM40d];B0=GEe@3IfMT0g]kN0>CT
i03YjNT0lO7a0?Gem@3gmoL0nOWi0080n_[j00X0n?Sh0?Gem@3alO40k>c/0>GUi@3MgMd0dM7A0<W9
b@32`/80_[jn0P2k^k/02P31`L40alO7000000000000aLG50<g=c@3Fe]H0fm_K0=kNgP3Ph>020>7Q
h@090=oOg`3Lg=`0f=SH0=CDe03?cll0bLW90<71`@2l_;`0^KVi0080^;Rh00/0^[Zj0<30`035aLD0
bl_;0=3@d03EeMD0f][J0=oOg`3QhN40hn?S0>CTi0020>GUi@h0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`320?ooo`0;0?knoP3lo?`0no_k0?Shn03emOD0kno_0>_[j`3UiND0h>3P0=cL
g03Hf=P00P3EeMD02@3GemL0f][J0=kNgP3Shn<0jn_[0?3`l03dm?@0moOg0?Win@020?[jnP0=0?Wi
n@3fm_H0l_;b0>g]k@3Vi^H0fMWI0=3@d037alL0_[jn0;Rh^02d];@0/k>c0;Jf]P020000000O0;>c
/`2m_Kd0b/[:0=7Ad@3GemL0fm_K0=kNgP3Ph>00hN7Q0>3Ph03Ng]h0fm_K0=OGe`3Cdm<0bl_;0<K6
aP32`/80_[jn0;bl_02k^k/0_[jn0<71`@35aLD0b/[:0<o?c`3De=@0fm_K0=kNgP3Ph>00h^;R0>CT
i0020>GUi@d0i^KV103oool100000040fMWI00000`000000oooo0?ooo`320?ooo`80o_kn00X0oOgm
0?_kn`3inOT0m?Cd0?3`l03/k>`0inOW0>;RhP3Ng]h0fMWI0P3Hf=P05@3IfMT0g=cL0>3Ph03WinL0
k>c/0?7al@3dm?@0moOg0?Win@3kno/0n_[j0?Win@3fm_H0l_;b0>c/k03QhN40fMWI0<o?c`36a/H0
_[jn0;Ng]`020;:b/P80000000P0ZZZZ0;>c/`31`L40bLW90=7Ad@3GemL0fm_K0=kNgP80hN7Q00T0
h>3P0=kNgP3Lg=`0f=SH0=;BdP3=cLd0b<S80<C4a030`<000P2n_[h02`30`<00`l?30<O7a`3<c<`0
dM7A0=OGe`3Kfm/0g]kN0>7Qh@3Shn<0i>CT0080iNGU303Vi^H40?ooo`4000000@3IfMT000030000
003oool0oooo0<<0oooo0P3no_h02P3moOd0no_k0?Shn03emOD0lO7a0>g]k@3Xj>P0i>CT0=kNgP3K
fm/20=[JfP0F0=cLg03Ng]h0i>CT0>WYj@3]kNd0lO7a0?Gem@3hn?P0n_[j0?_kn`3jn_X0nOWi0?Kf
mP3bl_80j^[Z0>;RhP3Jf]X0dM7A0<S8b030`<00]kNg0;Bd]080000000T0Y:BT0:b/[02i^KT0`/;2
0<[:bP3Bd]80emOG0=cLg03Ph>000P3QhN402@3Ph>00gmoO0=cLg03GemL0dm?C0<k>cP3:b/X0a/K6
0<?3``020<30`00;0<;2`P35aLD0bLW90<g=c@3De=@0f=SH0=cLg03Ogml0hN7Q0>?Sh`3Ti>@00P3U
iND;0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0a@3oool02`3no_h0oOgm0?_kn`3h
n?P0mOGe0?;blP3^k^h0j^[Z0>CTi03Ph>00gMgM0080g=cL00P0g]kN0>;RhP3Vi^H0j^[Z0>k^kP3b
l_80m_Kf0?Win@<0no_k00X0nOWi0?Ogm`3alO40jn_[0>GUi@3MgMd0e=CD0<c<c031`L40_;bl0P00
0000802SXj<0ZJVY0;Bd]02l_;`0aLG50<c<c03Cdm<0f=SH0=kNgP3Ph>00hN7Q0>;RhP3QhN40gmoO
0=_Kf`3Hf=P0e=CD0=3@d03<c<`0b<S80<C4a032`/80`l?30<C4a037alL0bl_;0=7Ad@3EeMD0fMWI
0=gMg@3Ogml0hN7Q0P3Ti>@20>GUi@X0i^KV103oool100000040fMWI00000`000000oooo0?ooo`36
0?ooo`0;0?knoP3lo?`0no_k0?Win@3fm_H0lo?c0>o_k`3YjNT0iNGU0>;RhP3Ph>000P3Ng]h0503Q
hN40i>CT0>SXj03/k>`0l?3`0??cl`3hn?P0n_[j0?_kn`3lo?`0no_k0?[jnP3fm_H0lo?c0>k^kP3X
j>P0hN7Q0=WIf@3>c/h0b<S80P0000002`2XZ:P0Zj^[0;>c/`2i^KT0`L710<S8b03?cll0eMGE0=cL
g03Ogml0hN7Q0080h^;R00T0hN7Q0=oOg`3Lg=`0fMWI0=GEe@3AdM40cLg=0<S8b036a/H00P35aLD0
2P36a/H0bLW90<k>cP3Bd]80e]KF0=[JfP3MgMd0h>3P0>;RhP3Ti>@30>GUi@T0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`370?ooo`0F0?knoP3moOd0no_k0?Win@3gmoL0m?Cd0>k^kP3[
jn/0inOW0>CTi03Rh^80h>3P0>7Qh@3Shn<0i^KV0>WYj@3]kNd0lO7a0?Gem@3hn?P0n_[j0?_kn`80
o?cl00P0n_[j0?Shn03emOD0l?3`0>_[j`3UiND0g=cL0=KFeP80000000`0/K6a0;:b/P2f][H0^[Zj
0<30`037alL0cLg=0=?Cd`3Jf]X0gMgM0>3Ph03QhN420>;RhP090>7Qh@3Ogml0gMgM0=[JfP3Fe]H0
d];B0<g=c@3:b/X0b<S80080alO700X0b<S80<c<c03@d=00e=CD0=OGe`3Kfm/0g]kN0>7Qh@3Shn<0
i>CT0`3UiND80>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0b03oool02`3no_h0oOgm
0?clo03kno/0nOWi0?Gem@3bl_80k^k^0>_[j`3Xj>P0iNGU0080hn?S0180iNGU0>OWi`3Zj^X0kNg]
0?;blP3emOD0n?Sh0?[jnP3kno/0o?cl0?gmo@3lo?`0no_k0?Win@3gmoL0lo?c0>g]k@3YjNT20000
000=0<C4a032`/80`/;20<?3``36a/H0b/[:0<k>cP3Bd]80fMWI0=cLg03Ogml0hN7Q0>;RhP020>?S
h`090>;RhP3QhN40gmoO0=cLg03IfMT0e=CD0=7Ad@3>c/h0c<c<0080b/[:00T0bl_;0<g=c@3@d=00
e=CD0=OGe`3Jf]X0g]kN0>7Qh@3Rh^800P3Ti>@00`3UiND0i^KV0>KViP060>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool0b@3oool20?knoP090?gmo@3kno/0n?Sh0?Gem@3clo<0kno_0>c/
k03YjNT0i^KV0080iNGU00T0i^KV0>SXj03[jn/0l?3`0??cl`3fm_H0n?Sh0?[jnP3lo?`00`3moOd0
1@3lo?`0no_k0?Win@3fm_H0lo?c0080000001T0d=3@0<k>cP3=cLd0cLg=0<k>cP3@d=00d];B0=GE
e@3Jf]X0gMgM0=oOg`3QhN40h^;R0>?Sh`3Ti>@0hn?S0>;RhP3QhN40gmoO0=gMg@3IfMT0e]KF0=;B
dP3@d=00cLg=0080c<c<00X0cLg=0<o?c`3Bd]80eMGE0=SHf03Lg=`0gmoO0>7Qh@3Shn<0i>CT0P3U
iND70>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0bP3oool20?knoP090?gmo@3kno/0
nOWi0?KfmP3clo<0l?3`0>k^kP3Zj^X0j>SX0080inOW00P0j>SX0>[ZjP3^k^h0lO7a0?Cdm03fm_H0
nOWi0?_kn`80oOgm0P3no_h20?gmo@070?_kn`3jn_X000000000003Kfm/0fMWI0=SHf0020=OGe`08
0=SHf03IfMT0fm_K0=gMg@3Ogml0hN7Q0>;RhP3Shn<40>CTi00E0>?Sh`3Rh^80h>3P0=cLg03Jf]X0
emOG0=CDe03AdM40clo?0<g=c@3>c/h0clo?0=7Ad@3Cdm<0e]KF0=[JfP3MgMd0gmoO0>7Qh@3Shn<0
i>CT0080iNGU1P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0</0oooo0P3no_h02@3l
o?`0no_k0?Win@3gmoL0m?Cd0?;blP3^k^h0jn_[0>[ZjP020>WYj@090>[ZjP3]kNd0kno_0?;blP3e
mOD0moOg0?Win@3lo?`0oOgm0080o_kn0P3oool20?knoP80000000<0hn?S0>;RhP3Rh^80103QhN40
0`3Rh^80hn?S0>?Sh`020>CTi0D0iNGU00X0i>CT0>?Sh`3Rh^80gmoO0=gMg@3Jf]X0f=SH0=GEe@3C
dm<0d=3@0P3?cll02P3@d=00d];B0=CDe03Hf=P0fm_K0=kNgP3Ph>00h^;R0>?Sh`3Ti>@20>GUi@D0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`3=0?ooo`0:0?knoP3moOd0no_k0?[jnP3g
moL0mOGe0?7al@3_knl0kNg]0>_[j`80j^[Z00X0k>c/0>k^kP3`l?00lo?c0?Gem@3hn?P0no_k0?cl
o03moOd0o_kn103oool2000000030>CTi03Shn<0hn?S00D0h^;R0P3Shn<30>CTi080iNGU0P3Vi^H0
2`3UiND0i>CT0>CTi03Rh^80h>3P0=kNgP3Kfm/0fMWI0=KFeP3Cdm<0d];B0080dM7A00T0d];B0=CD
e03GemL0fMWI0=cLg03Ng]h0h>3P0>;RhP3Ti>@00`3UiND40>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0cP3oool02P3no_h0oOgm0?clo03kno/0nOWi0?KfmP3dm?@0l_;b0?3`l03^k^h2
0>g]k@0:0>k^kP3_knl0lO7a0??cl`3emOD0nOWi0?[jnP3lo?`0oOgm0?knoP80oooo00P0o_kn0000
00000000hN7Q0>3Ph03MgMd0fm_K0=[JfP80f=SH01H0emOG0=SHf03IfMT0fm_K0=cLg03Ng]h0h>3P
0>;RhP3Shn<0i>CT0>GUi@3Vi^H0iNGU0>CTi03Shn<0hN7Q0>3Ph03Ng]h0fm_K0=SHf03Fe]H0e=CD
0P3Cdm<0203De=@0e]KF0=OGe`3Jf]X0g=cL0=kNgP3Ph>00h^;R0P3Ti>@20>GUi@<0i^KV103oool1
00000040fMWI00000`000000oooo0?ooo`3?0?ooo`80o_kn00P0oOgm0?_kn`3inOT0moOg0?Gem@3c
lo<0lO7a0>o_k`80k^k^00`0kno_0?3`l03bl_80m?Cd0?Ogm`3inOT0no_k0?clo03moOd0o_kn0?oo
o`3no_h20000000B0>7Qh@3Ogml0g=cL0=[JfP3GemL0eMGE0=CDe03Cdm<0d];B0=?Cd`3EeMD0emOG
0=WIf@3Kfm/0gmoO0>7Qh@3Rh^80i>CT0`3UiND04`3Ti>@0hn?S0>;RhP3Ph>00g]kN0=_Kf`3IfMT0
emOG0=KFeP3EeMD0e=CD0=GEe@3GemL0fMWI0=_Kf`3MgMd0gmoO0>7Qh@3Shn<00P3Ti>@20>GUi@80
i^KV103oool100000040fMWI00000`000000oooo0?ooo`3@0?ooo`80o_kn00P0oOgm0?_kn`3inOT0
n?Sh0?KfmP3dm?@0l_;b0?3`l080kno_00T0l?3`0?7al@3clo<0m_Kf0?Shn03jn_X0no_k0?gmo@3n
o_h00P3oool2000000080>;RhP3Ph>00gMgM0=[JfP3Hf=P0eMGE0=;BdP3@d=020<o?c`0E0=3@d03B
d]80e=CD0=OGe`3Kfm/0g]kN0>3Ph03Rh^80hn?S0>CTi03Vi^H0iNGU0>CTi03Shn<0h^;R0>7Qh@3N
g]h0g=cL0=[JfP3Hf=P0emOG0080e]KF00T0emOG0=SHf03Jf]X0fm_K0=gMg@3Ph>00h^;R0>?Sh`3T
i>@00P3UiND20>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0d@3oool20?knoP070?gm
o@3kno/0n_[j0?Shn03fm_H0mOGe0?;blP040?7al@090?;blP3emOD0moOg0?Shn03jn_X0o?cl0?gm
o@3no_h0oooo0080000000T0hn?S0>;RhP3Ogml0g=cL0=[JfP3GemL0e=CD0=7Ad@3>c/h00P3=cLd0
2`3>c/h0d=3@0=?Cd`3GemL0f][J0=gMg@3Ogml0hN7Q0>?Sh`3UiND0i^KV0080iNGU00P0i>CT0>;R
hP3Ph>00g]kN0=gMg@3Kfm/0fMWI0=SHf080emOG00T0f=SH0=WIf@3Kfm/0g=cL0=oOg`3QhN40h^;R
0>?Sh`3Ti>@00P3UiND00`3Vi^H0oooo0?ooo`020?ooo`4000000@3IfMT000030000003oool0oooo
0=<0oooo00P0o_kn0?gmo@3lo?`0n_[j0?Win@3gmoL0mOGe0??cl`@0l_;b00H0m?Cd0?KfmP3gmoL0
nOWi0?_kn`3lo?`20?knoP80000000T0i>CT0>?Sh`3QhN40gmoO0=cLg03IfMT0e]KF0=?Cd`3?cll0
0`3=cLd02@3>c/h0d=3@0=CDe03GemL0f][J0=gMg@3Ogml0hN7Q0>?Sh`040>GUi@080>CTi03Rh^80
hN7Q0=oOg`3MgMd0g=cL0=[JfP3IfMT20=SHf0090=WIf@3Jf]X0fm_K0=kNgP3Ogml0hN7Q0>;RhP3S
hn<0i>CT0080iNGU103oool100000040fMWI00000`000000oooo0?ooo`3C0?ooo`80o_kn00L0oOgm
0?clo03kno/0nOWi0?Ogm`3fm_H0m?Cd00<0lo?c00P0m?Cd0?Gem@3fm_H0n?Sh0?[jnP3kno/0oOgm
0?knoP80000000/0iNGU0>CTi03Shn<0hN7Q0=oOg`3Lg=`0f][J0=OGe`3Bd]80d=3@0<k>cP020<g=
c@090<k>cP3Bd]80e=CD0=OGe`3Jf]X0gMgM0=oOg`3Rh^80i>CT0080iNGU00X0i^KV0>GUi@3Shn<0
h^;R0>7Qh@3Ph>00g]kN0=gMg@3Kfm/0f][J0P3IfMT0203Jf]X0fm_K0=gMg@3Ogml0h>3P0>7Qh@3S
hn<0i>CT0P3UiND40?ooo`4000000@3IfMT000030000003oool0oooo0=D0oooo0P3no_h01P3moOd0
o?cl0?[jnP3inOT0moOg0?KfmP@0mOGe00H0m_Kf0?Ogm`3hn?P0n_[j0?_kn`3moOd20000000<0>GU
i@3Vi^H0iNGU0>CTi03Rh^80hN7Q0=oOg`3Lg=`0f=SH0=KFeP3Cdm<0d];B0P3@d=005@3AdM40dm?C
0=GEe@3Hf=P0f][J0=gMg@3Ph>00h^;R0>?Sh`3Ti>@0iNGU0>KViP3UiND0i>CT0>?Sh`3Rh^80hN7Q
0>3Ph03Ng]h0gMgM0=cLg0030=_Kf`080=cLg03MgMd0gmoO0>3Ph03QhN40h^;R0>CTi03UiND40?oo
o`4000000@3IfMT000030000003oool0oooo0=H0oooo0P3no_h01`3moOd0o?cl0?_kn`3inOT0n?Sh
0?Ogm`3fm_H00P3emOD01P3fm_H0moOg0?Shn03inOT0no_k0?clo0800000103UiND02@3Ti>@0hn?S
0>7Qh@3Ph>00g=cL0=[JfP3Hf=P0e]KF0=CDe0020=?Cd`090=CDe03EeMD0emOG0=WIf@3Lg=`0gmoO
0>7Qh@3Rh^80i>CT0080iNGU00<0i^KV0>GUi@3Ti>@00P3Shn<0103QhN40h>3P0=kNgP3MgMd40=cL
g0070=gMg@3Ng]h0gmoO0>7Qh@3Rh^80hn?S0>CTi0040?ooo`4000000@3IfMT000030000003oool0
oooo0=L0oooo0P3no_h01`3moOd0o?cl0?_kn`3jn_X0nOWi0?Shn03gmoL00P3fm_H20?Ogm`030?Sh
n03jn_X0no_k0080000000h0i>CT0>GUi@3Vi^H0i^KV0>GUi@3Ti>@0hn?S0>;RhP3Ph>00g]kN0=cL
g03Jf]X0f=SH0=OGe`80e]KF00X0emOG0=SHf03Jf]X0fm_K0=kNgP3Ph>00h^;R0>?Sh`3Ti>@0iNGU
0P3Vi^H0203UiND0i>CT0>CTi03Shn<0hN7Q0>3Ph03Ogml0g]kN103MgMd0103Ng]h0gmoO0>3Ph03Q
hN420>?Sh`@0oooo0@0000010=WIf@0000<000000?ooo`3oool0f@3oool01`3no_h0oOgm0?clo03k
no/0n_[j0?Win@3hn?P0103gmoL00`3hn?P0nOWi0?[jnP0200000080i>CT00<0iNGU0>KViP3Vi^H0
0P3UiND0203Ti>@0h^;R0>7Qh@3Ph>00g]kN0=gMg@3Kfm/0f][J0P3IfMT01`3Jf]X0fm_K0=cLg03N
g]h0h>3P0>7Qh@3Shn<00P3Ti>@00`3UiND0i^KV0>KViP020>GUi@060>CTi03Shn<0h^;R0>7Qh@3P
h>00gmoO103Ng]h20=oOg`030>3Ph03Rh^80hn?S00@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool0f@3oool20?knoP80oOgm00@0o?cl0?_kn`3inOT0nOWi103hn?P01P3inOT0n_[j000000000000
hn?S0>CTi080iNGU0P3Vi^H20>GUi@070>CTi03Shn<0h^;R0>7Qh@3Ph>00gmoO0=kNgP040=gMg@04
0=kNgP3Ogml0h>3P0>;RhP80hn?S00<0i>CT0>GUi@3UiND00P3Vi^H20>GUi@050>CTi03Shn<0h^;R
0>7Qh@3Ph>000P3Ogml20=kNgP80gmoO00<0h>3P0>7Qh@3Rh^80103oool100000040fMWI00000`00
0000oooo0?ooo`3K0?ooo`80o_kn0P3moOd20?_kn`030?[jnP3inOT0nOWi0080nOWi00H0n_[j0000
00000000h^;R0>?Sh`3Ti>@30>GUi@80i^KV0`3UiND20>CTi080hn?S0`3Rh^801@3QhN40h^;R0>;R
hP3Rh^80hn?S0080i>CT0`3UiND30>KViP80iNGU0P3Ti>@00`3Shn<0h^;R0>7Qh@020>3Ph0<0gmoO
00<0h>3P0>7Qh@3Rh^80103oool100000040fMWI00000`000000oooo0?ooo`3L0?ooo`<0o_kn00<0
oOgm0?clo03kno/01@3jn_X2000000040>;RhP3Shn<0i>CT0>CTi0<0iNGU1@3Vi^H40>GUi@H0i>CT
1@3UiND50>KViP80iNGU0P3Ti>@20>?Sh`80hN7Q103Ph>020>7Qh@@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0gP3oool00`3no_h0oOgm0?gmo@020?clo0040?_kn`3jn_X0n_[j0?[jnP800000
0P3Rh^800`3Shn<0i>CT0>CTi0030>GUi@L0i^KV2P3UiND70>KViP@0iNGU00@0i>CT0>?Sh`3Shn<0
h^;R0`3QhN400`3Ph>00hN7Q0>7Qh@040?ooo`4000000@3IfMT000030000003oool0oooo0=l0oooo
0P3no_h00`3moOd0o?cl0?clo0030?_kn`8000000P3Rh^800`3Shn<0i>CT0>CTi0040>GUi@<0i^KV
103UiND40>CTi0<0hn?S0`3Ti>@40>GUi@<0i^KV103UiND00`3Ti>@0hn?S0>?Sh`020>;RhP@0hN7Q
103oool100000040fMWI00000`000000oooo0?ooo`3P0?ooo`80o_kn0P3moOd20?clo0030?_kn`00
000000000080h^;R0P3Shn<20>CTi0@0iNGU00<0i^KV0>GUi@3UiND00P3UiND20>CTi0<0hn?S1@3R
h^80103Shn<0i>CT0>CTi03Ti>@30>GUi@80i^KV103UiND20>CTi080hn?S0P3Rh^820>7Qh@@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0h@3oool30?knoP030?gmo@3lo?`0o?cl008000000P3R
h^830>?Sh`80i>CT103UiND0103Vi^H0iNGU0>GUi@3UiND20>CTi080hn?S0P3Rh^840>7Qh@80h^;R
00<0hn?S0>CTi03Ti>@0103UiND00`3Vi^H0iNGU0>GUi@020>GUi@80i>CT0P3Shn<30>;RhP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0h`3oool20?knoP80oOgm0P0000000`3Shn<0h^;R0>?S
h`020>?Sh`<0i>CT103UiND00`3Vi^H0iNGU0>GUi@020>GUi@040>CTi03Shn<0hn?S0>;RhP80hN7Q
0`3Ph>00103QhN40h^;R0>;RhP3Shn<20>CTi0@0iNGU00<0i^KV0>GUi@3UiND00P3UiND30>CTi080
hn?S103oool100000040fMWI00000`000000oooo0?ooo`3T0?ooo`<0o_kn0P0000050>?Sh`<0i>CT
103UiND20>KViP@0iNGU00@0i>CT0>?Sh`3Rh^80h^;R0P3QhN420>3Ph080hN7Q0P3Rh^800`3Shn<0
i>CT0>CTi0040>GUi@030>KViP3UiND0iNGU00<0iNGU0P3Ti>@00`3Shn<0oooo0?ooo`020?ooo`40
00000@3IfMT000030000003oool0oooo0>D0oooo0P3no_h2000000030>CTi03Shn<0hn?S00<0hn?S
0P3Ti>@50>GUi@80i^KV103UiND0103Ti>@0hn?S0>?Sh`3Rh^860>7Qh@80h^;R00<0hn?S0>CTi03T
i>@00`3UiND30>KViP@0iNGU0P3Ti>@40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo
0P0000030>CTi080hn?S103Ti>@40>GUi@<0i^KV103UiND00`3Ti>@0hn?S0>?Sh`020>;RhP@0hN7Q
0P3Rh^800`3Shn<0i>CT0>CTi0040>GUi@<0i^KV103UiND00`3Ti>@0oooo0?ooo`020?ooo`400000
0@3IfMT000030000003oool0oooo0>L0oooo0P0000000`3UiND0i>CT0>CTi0060>CTi0D0iNGU103V
i^H30>GUi@80i>CT0P3Shn<60>;RhP80hn?S0P3Ti>@30>GUi@@0i^KV103UiND40?ooo`4000000@3I
fMT000030000003oool0oooo0>L0oooo0P0000030>GUi@L0i>CT103UiND60>KViP<0iNGU0`3Ti>@7
0>?Sh`80i>CT103UiND50>KViP80iNGU103oool100000040fMWI00000`000000oooo0?ooo`3W0?oo
o`8000001@3UiND50>CTi0D0iNGU1P3Vi^H40>GUi@@0i>CT0`3Shn<30>CTi0@0iNGU1P3Vi^H00`3U
iND0oooo0?ooo`020?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P0000000`3Vi^H0
iNGU0>GUi@040>GUi@80i>CT1`3UiND70>KViPD0iNGU1`3Ti>@40>GUi@L0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`3W0?ooo`8000000P3Vi^H>0>GUi@T0i^KV3P3UiND70>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000000<0i^KV3P3UiND<0>KViPT0iNGU203V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P0000050>KViPd0iNGU703Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P0000070>KViP/0iNGU703Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo0>L0oooo0P0000080>KViPX0iNGU3P3Vi^H80>GUi@H0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`8000002P3Vi^H90>GUi@d0i^KV
2`3UiND30>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000000/0i^KV203U
iND=0>KViP`0iNGU0P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000=
0>KViPH0iNGU3P3Vi^H<0>GUi@030>KViP3oool0oooo0080oooo0@0000010=WIf@0000<000000?oo
o`3oool0i`3oool200000100i^KV0`3UiND@0>KViP/0iNGU103oool100000040fMWI00000`000000
oooo0?ooo`3W0?ooo`8000009@3Vi^H90>GUi@@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
i`3oool2000002H0i^KV203UiND40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00
000X0>KViPH0iNGU103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H4
0?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WI
f@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo
0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00
000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool1
00000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT00003
0000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0
i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3V
i^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@000001
0=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000
oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo
0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103o
ool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT0
00030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3o
ool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000
;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@00
00010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`00
0000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0
oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV
103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3I
fMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?oo
o`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`80
0000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo
0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI0000
0`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo
0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0
i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`400000
0@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<00000
0?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?oo
o`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0
oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI
00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0
oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool20000
02h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`40
00000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<0
00000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W
0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KV
iP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040
fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003o
ool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2
000002h0i^KV103oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000;P3Vi^H40?oo
o`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^0>KViP@0oooo0@0000010=WIf@00
00<000000?ooo`3oool0i`3oool2000002h0i^KV103oool100000040fMWI00000`000000oooo0?oo
o`3W0?ooo`800000;P3Vi^H40?ooo`4000000@3IfMT000030000003oool0oooo0>L0oooo0P00000^
0>KViP@0oooo0@0000010=WIf@0000<000000?ooo`3oool0i`3oool2000002h0i^KV103oool10000
0040fMWI00000`000000oooo0?ooo`3W0?ooo`800000<P3oool100000040fMWI00000`000000oooo
0?ooo`3W0?ooo`800000<P3oool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000<P3o
ool100000040fMWI00000`000000oooo0?ooo`3W0?ooo`800000<P3oool100000040fMWI00000`00
0000oooo0?ooo`3W0?ooo`800000<P3oool100000040fMWI003o0000020000000@3IfMT00001\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-21.2276, -0.0409172, 0.217614, \
0.00725378}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  DensityGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[52]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sc = 
      Plot[\((\(-x\)/t + 30/t)\) /. {t \[Rule] 100}, {x, \(-20\), 40}, 
        PlotRange \[Rule] {0, 2}]\)], "Input",
  CellLabel->"In[162]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.34127 0.015873 0 0.309017 [
[.02381 -0.0125 -9 -9 ]
[.02381 -0.0125 9 0 ]
[.18254 -0.0125 -9 -9 ]
[.18254 -0.0125 9 0 ]
[.5 -0.0125 -6 -9 ]
[.5 -0.0125 6 0 ]
[.65873 -0.0125 -6 -9 ]
[.65873 -0.0125 6 0 ]
[.81746 -0.0125 -6 -9 ]
[.81746 -0.0125 6 0 ]
[.97619 -0.0125 -6 -9 ]
[.97619 -0.0125 6 0 ]
[.32877 .07725 -24 -4.5 ]
[.32877 .07725 0 4.5 ]
[.32877 .15451 -18 -4.5 ]
[.32877 .15451 0 4.5 ]
[.32877 .23176 -24 -4.5 ]
[.32877 .23176 0 4.5 ]
[.32877 .30902 -6 -4.5 ]
[.32877 .30902 0 4.5 ]
[.32877 .38627 -24 -4.5 ]
[.32877 .38627 0 4.5 ]
[.32877 .46353 -18 -4.5 ]
[.32877 .46353 0 4.5 ]
[.32877 .54078 -24 -4.5 ]
[.32877 .54078 0 4.5 ]
[.32877 .61803 -6 -4.5 ]
[.32877 .61803 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 0 m
.02381 .00625 L
s
[(-20)] .02381 -0.0125 0 1 Mshowa
.18254 0 m
.18254 .00625 L
s
[(-10)] .18254 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(10)] .5 -0.0125 0 1 Mshowa
.65873 0 m
.65873 .00625 L
s
[(20)] .65873 -0.0125 0 1 Mshowa
.81746 0 m
.81746 .00625 L
s
[(30)] .81746 -0.0125 0 1 Mshowa
.97619 0 m
.97619 .00625 L
s
[(40)] .97619 -0.0125 0 1 Mshowa
.125 Mabswid
.05556 0 m
.05556 .00375 L
s
.0873 0 m
.0873 .00375 L
s
.11905 0 m
.11905 .00375 L
s
.15079 0 m
.15079 .00375 L
s
.21429 0 m
.21429 .00375 L
s
.24603 0 m
.24603 .00375 L
s
.27778 0 m
.27778 .00375 L
s
.30952 0 m
.30952 .00375 L
s
.37302 0 m
.37302 .00375 L
s
.40476 0 m
.40476 .00375 L
s
.43651 0 m
.43651 .00375 L
s
.46825 0 m
.46825 .00375 L
s
.53175 0 m
.53175 .00375 L
s
.56349 0 m
.56349 .00375 L
s
.59524 0 m
.59524 .00375 L
s
.62698 0 m
.62698 .00375 L
s
.69048 0 m
.69048 .00375 L
s
.72222 0 m
.72222 .00375 L
s
.75397 0 m
.75397 .00375 L
s
.78571 0 m
.78571 .00375 L
s
.84921 0 m
.84921 .00375 L
s
.88095 0 m
.88095 .00375 L
s
.9127 0 m
.9127 .00375 L
s
.94444 0 m
.94444 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
.34127 .07725 m
.34752 .07725 L
s
[(0.25)] .32877 .07725 1 0 Mshowa
.34127 .15451 m
.34752 .15451 L
s
[(0.5)] .32877 .15451 1 0 Mshowa
.34127 .23176 m
.34752 .23176 L
s
[(0.75)] .32877 .23176 1 0 Mshowa
.34127 .30902 m
.34752 .30902 L
s
[(1)] .32877 .30902 1 0 Mshowa
.34127 .38627 m
.34752 .38627 L
s
[(1.25)] .32877 .38627 1 0 Mshowa
.34127 .46353 m
.34752 .46353 L
s
[(1.5)] .32877 .46353 1 0 Mshowa
.34127 .54078 m
.34752 .54078 L
s
[(1.75)] .32877 .54078 1 0 Mshowa
.34127 .61803 m
.34752 .61803 L
s
[(2)] .32877 .61803 1 0 Mshowa
.125 Mabswid
.34127 .01545 m
.34502 .01545 L
s
.34127 .0309 m
.34502 .0309 L
s
.34127 .04635 m
.34502 .04635 L
s
.34127 .0618 m
.34502 .0618 L
s
.34127 .09271 m
.34502 .09271 L
s
.34127 .10816 m
.34502 .10816 L
s
.34127 .12361 m
.34502 .12361 L
s
.34127 .13906 m
.34502 .13906 L
s
.34127 .16996 m
.34502 .16996 L
s
.34127 .18541 m
.34502 .18541 L
s
.34127 .20086 m
.34502 .20086 L
s
.34127 .21631 m
.34502 .21631 L
s
.34127 .24721 m
.34502 .24721 L
s
.34127 .26266 m
.34502 .26266 L
s
.34127 .27812 m
.34502 .27812 L
s
.34127 .29357 m
.34502 .29357 L
s
.34127 .32447 m
.34502 .32447 L
s
.34127 .33992 m
.34502 .33992 L
s
.34127 .35537 m
.34502 .35537 L
s
.34127 .37082 m
.34502 .37082 L
s
.34127 .40172 m
.34502 .40172 L
s
.34127 .41717 m
.34502 .41717 L
s
.34127 .43262 m
.34502 .43262 L
s
.34127 .44807 m
.34502 .44807 L
s
.34127 .47898 m
.34502 .47898 L
s
.34127 .49443 m
.34502 .49443 L
s
.34127 .50988 m
.34502 .50988 L
s
.34127 .52533 m
.34502 .52533 L
s
.34127 .55623 m
.34502 .55623 L
s
.34127 .57168 m
.34502 .57168 L
s
.34127 .58713 m
.34502 .58713 L
s
.34127 .60258 m
.34502 .60258 L
s
.25 Mabswid
.34127 0 m
.34127 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .15451 m
.06244 .14699 L
.10458 .13878 L
.14415 .13108 L
.18221 .12367 L
.22272 .11579 L
.26171 .10819 L
.30316 .10013 L
.34309 .09235 L
.3815 .08487 L
.42237 .07692 L
.46172 .06926 L
.49955 .06189 L
.53984 .05405 L
.57861 .0465 L
.61984 .03847 L
.65954 .03074 L
.69774 .02331 L
.73838 .01539 L
.77751 .00778 L
s
.77751 .00778 m
.81746 0 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[162]:=",
  ImageSize->{288, 177.938},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`3IfMTQ0=WIf@004`3IfMT4000000<0fMWI0P00000P0=WIf@@000000`3IfMT2000004H0
fMWI100000030=WIf@8000008@3IfMT4000000<0fMWI0P00000Q0=WIf@800000103IfMT200000280
fMWI00<000000=WIf@3IfMT00P3IfMT200000100fMWI000C0=WIf@030000003IfMT0fMWI00<0fMWI
00@000000=WIf@3IfMT000008@3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00<000000=WI
f@3IfMT0A@3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00<000000=WIf@3IfMT07P3IfMT0
0`000000fMWI0=WIf@030=WIf@040000003IfMT0fMWI000001l0fMWI00@000000=WIf@3IfMT00000
0P3IfMT010000000fMWI0=WIf@00000Q0=WIf@050000003IfMT0fMWI0=WIf@0000000P3IfMT00`00
0000fMWI0=WIf@0=0=WIf@00503IfMT00`000000fMWI0=WIf@020=WIf@040000003IfMT0fMWI0000
0240fMWI00D000000=WIf@3IfMT0fMWI000000020=WIf@030000003IfMT0fMWI04D0fMWI00D00000
0=WIf@3IfMT0fMWI000000020=WIf@030000003IfMT0fMWI01l0fMWI00<000000=WIf@3IfMT00P3I
fMT010000000fMWI0=WIf@00000R0=WIf@040000003IfMT0fMWI00000080fMWI00<000000=WIf@3I
fMT0703IfMT500000080fMWI00@000000=WIf@3IfMT000003`3IfMT000d0fMWI100000040=WIf@05
0000003IfMT0fMWI0=WIf@0000000P3IfMT00`000000fMWI0=WIf@0G0=WIf@@00000103IfMT01@00
0000fMWI0=WIf@3IfMT000000080fMWI00<000000=WIf@3IfMT0A@3IfMT01@000000fMWI0=WIf@3I
fMT000000080fMWI00<000000=WIf@3IfMT0803IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI
00<000000=WIf@3IfMT07P3IfMT2000000<0fMWI00@000000=WIf@3IfMT000007P3IfMT010000000
fMWI0=WIf@0000030=WIf@040000003IfMT0fMWI000000l0fMWI000F0=WIf@040000003IfMT0fMWI
00000080fMWI00<000000=WIf@3IfMT07`3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00<0
00000=WIf@3IfMT0A@3IfMT01@000000fMWI0=WIf@3IfMT000000080fMWI00<000000=WIf@3IfMT0
8@3IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI0200fMWI00@000000=WIf@3I
fMT000000P3IfMT00`000000fMWI0=WIf@0M0=WIf@030000003IfMT0000000<0fMWI00@000000=WI
f@3IfMT000003`3IfMT001<0fMWI00@000000=WIf@3IfMT000000P3IfMT010000000fMWI0=WIf@00
000O0=WIf@<000000`3IfMT010000000fMWI0=WIf@0000150=WIf@<000000`3IfMT010000000fMWI
0=WIf@00000P0=WIf@040000003IfMT0fMWI00000080fMWI00@000000=WIf@3IfMT000007`3IfMT0
10000000fMWI0=WIf@0000020=WIf@040000003IfMT0fMWI00000200fMWI0P0000030=WIf@040000
003IfMT0fMWI000000l0fMWI000D0=WIf@800000103IfMT200000280fMWI00<000000=WIf@3IfMT0
0P3IfMT2000004P0fMWI00<000000=WIf@3IfMT00P3IfMT200000280fMWI0P0000040=WIf@800000
8@3IfMT2000000@0fMWI0P00000R0=WIf@030000003IfMT0fMWI0080fMWI0P00000@0=WIf@00o`3I
fMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@003`3IfMWo000000D000003@3IfMT001D0fMWI
00<000000=WIf@3IfMT01@3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00H0fMWI
00<000000=WIf@3IfMT01@3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00D0fMWI
00<000000=WIf@3IfMT01P3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00D0fMWI
00<000000=WIf@3IfMT01@3IfMT00`000000fMWI0=WIf@060=WIf@030000003IfMT0fMWI00D0fMWI
00<000000=WIf@3IfMT01@3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00D0fMWI
00<000000=WIf@3IfMT01P3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00D0fMWI
00<000000=WIf@3IfMT01@3IfMT00`000000fMWI0=WIf@060=WIf@030000003IfMT0fMWI00D0fMWI
00<000000=WIf@3IfMT01@3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI00D0fMWI
1`0000020=WIf@030000003IfMT0fMWI00D0fMWI00<000000=WIf@3IfMT01@3IfMT00`000000fMWI
0=WIf@050=WIf@030000003IfMT0fMWI00H0fMWI00<000000=WIf@3IfMT01@3IfMT00`000000fMWI
0=WIf@0A0=WIf@00I`3IfMT00`000000fMWI0=WIf@1/0=WIf@D00000A@3IfMT006L0fMWI00<00000
0=WIf@3IfMT0I`3IfMT5000004X0fMWI001W0=WIf@800000H`3IfMT5000004l0fMWI001W0=WIf@03
0000003IfMT0fMWI05d0fMWI1@00001D0=WIf@00I`3IfMT00`000000fMWI0=WIf@1H0=WIf@D00000
F@3IfMT006L0fMWI00<000000=WIf@3IfMT0D`3IfMT5000005h0fMWI001W0=WIf@800000C`3IfMT5
000006<0fMWI001W0=WIf@030000003IfMT0fMWI04P0fMWI1P00001X0=WIf@00I`3IfMT00`000000
fMWI0=WIf@130=WIf@D00000KP3IfMT006L0fMWI00<000000=WIf@3IfMT0?P3IfMT5000007<0fMWI
001W0=WIf@800000>P3IfMT5000007P0fMWI001W0=WIf@030000003IfMT0fMWI03@0fMWI1@00001m
0=WIf@00I`3IfMT00`000000fMWI0=WIf@0_0=WIf@D00000PP3IfMT006L0fMWI00<000000=WIf@3I
fMT0:@3IfMT6000008L0fMWI001W0=WIf@8000009@3IfMT5000008d0fMWI001W0=WIf@030000003I
fMT0fMWI01l0fMWI1@00002B0=WIf@00CP3IfMT2000000@0fMWI00<000000=WIf@3IfMT00P3IfMT4
00000080fMWI0`0000050=WIf@030000003IfMT0fMWI01X0fMWI1@00002G0=WIf@00C@3IfMT01000
0000fMWI0=WIf@0000080=WIf@030000003IfMT0fMWI00H0fMWI00<000000=WIf@3IfMT00P3IfMT0
0`000000fMWI0=WIf@0E0=WIf@D00000W03IfMT004d0fMWI00@000000=WIf@3IfMT000002@3IfMT0
0`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI0080fMWI0`00000@0=WIf@D00000X@3IfMT0
04d0fMWI00@000000=WIf@3IfMT000002P3IfMT010000000fMWI0=WIf@3IfMT3000000D0fMWI00<0
00000=WIf@3IfMT02`3IfMT500000:H0fMWI001=0=WIf@040000003IfMT0fMWI000000/0fMWI00@0
00000=WIf@3IfMT000001`3IfMT00`000000fMWI0=WIf@060=WIf@D00000Z`3IfMT004d0fMWI00@0
00000=WIf@3IfMT00000203IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI00D0
fMWI00@000000=WIf@3IfMT0fMWI1@00002`0=WIf@00CP3IfMT2000000X0fMWI0P0000030=WIf@@0
00000`3IfMT500000;D0fMWI001P0=WIf@H0000000<0fMWI0000003IfMT0]`3IfMT005/0fMWI1@00
00070=WIf@030000003IfMT0fMWI0;H0fMWI001F0=WIf@D00000303IfMT00`000000fMWI0=WIf@2f
0=WIf@00D@3IfMT500000140fMWI0P00002g0=WIf@00C03IfMT5000001H0fMWI00<000000=WIf@3I
fMT0]P3IfMT004L0fMWI1@00000K0=WIf@030000003IfMT0fMWI0;H0fMWI00110=WIf@H00000803I
fMT00`000000fMWI0=WIf@2f0=WIf@00?03IfMT5000002H0fMWI0P00002g0=WIf@00=`3IfMT50000
02/0fMWI00<000000=WIf@3IfMT0]P3IfMT00380fMWI1@00000`0=WIf@030000003IfMT0fMWI0;H0
fMWI000]0=WIf@D00000=@3IfMT00`000000fMWI0=WIf@2f0=WIf@00:03IfMT5000003X0fMWI0P00
002g0=WIf@008P3IfMT6000003l0fMWI00<000000=WIf@3IfMT0]P3IfMT001d0fMWI1@00000b0=WI
f@800000103IfMT00`000000fMWI0=WIf@020=WIf@<000001@3IfMT00`000000fMWI0=WIf@2f0=WI
f@00603IfMT5000003H0fMWI00@000000=WIf@3IfMT000002`3IfMT00`000000fMWI0=WIf@020=WI
f@030000003IfMT0fMWI0;H0fMWI000E0=WIf@<00000>`3IfMT010000000fMWI0=WIf@00000;0=WI
f@030000003IfMT0fMWI0080fMWI0`00002f0=WIf@00D`3IfMT010000000fMWI0=WIf@0000080=WI
f@<000001@3IfMT00`000000fMWI0=WIf@2f0=WIf@00D`3IfMT010000000fMWI0=WIf@0000080=WI
f@030000003IfMT0fMWI00D0fMWI00<000000=WIf@3IfMT0]P3IfMT005<0fMWI00@000000=WIf@3I
fMT00000203IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI0;H0fMWI001D0=WIf@80
00002@3IfMT4000000@0fMWI0P00002g0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00I`3I
fMT00`000000fMWI0=WIf@2f0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00I`3IfMT20000
0;L0fMWI001W0=WIf@030000003IfMT0fMWI0;H0fMWI001W0=WIf@030000003IfMT0fMWI0;H0fMWI
001W0=WIf@030000003IfMT0fMWI0;H0fMWI001W0=WIf@800000]`3IfMT006L0fMWI00<000000=WI
f@3IfMT0]P3IfMT006L0fMWI00<000000=WIf@3IfMT0]P3IfMT006L0fMWI00<000000=WIf@3IfMT0
]P3IfMT006L0fMWI0P00002g0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00CP3IfMT20000
00@0fMWI00<000000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@020=WIf@<000001@3IfMT00`00
0000fMWI0=WIf@2f0=WIf@00C@3IfMT010000000fMWI0=WIf@0000090=WIf@030000003IfMT0fMWI
00D0fMWI00<000000=WIf@3IfMT00P3IfMT00`000000fMWI0=WIf@2f0=WIf@00C@3IfMT010000000
fMWI0=WIf@00000:0=WIf@030000003IfMT0fMWI00@0fMWI00<000000=WIf@3IfMT00P3IfMT30000
0;H0fMWI001=0=WIf@040000003IfMT0fMWI000000X0fMWI00@000000=WIf@3IfMT0fMWI0`000005
0=WIf@030000003IfMT0fMWI0;H0fMWI001=0=WIf@040000003IfMT0fMWI000000/0fMWI00@00000
0=WIf@3IfMT000001`3IfMT00`000000fMWI0=WIf@2f0=WIf@00C@3IfMT010000000fMWI0=WIf@00
00080=WIf@040000003IfMT0fMWI00000080fMWI00<000000=WIf@3IfMT01@3IfMT00`000000fMWI
0=WIf@2f0=WIf@00CP3IfMT2000000T0fMWI100000020=WIf@@00000103IfMT200000;L0fMWI001W
0=WIf@030000003IfMT0fMWI0;H0fMWI001W0=WIf@030000003IfMT0fMWI0;H0fMWI001W0=WIf@03
0000003IfMT0fMWI0;H0fMWI001W0=WIf@800000]`3IfMT006L0fMWI00<000000=WIf@3IfMT0]P3I
fMT006L0fMWI00<000000=WIf@3IfMT0]P3IfMT006L0fMWI00<000000=WIf@3IfMT0]P3IfMT006L0
fMWI0P00002g0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00I`3IfMT00`000000fMWI0=WI
f@2f0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00I`3IfMT200000;L0fMWI001W0=WIf@03
0000003IfMT0fMWI0;H0fMWI001O0=WIf@@00000103IfMT00`000000fMWI0=WIf@2f0=WIf@00H@3I
fMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI0;H0fMWI001Q0=WIf@030000003IfMT0
fMWI00<0fMWI0`00002f0=WIf@00H@3IfMT00`000000fMWI0=WIf@030=WIf@030000003IfMT0fMWI
0;H0fMWI001Q0=WIf@030000003IfMT0fMWI00<0fMWI00<000000=WIf@3IfMT0]P3IfMT005l0fMWI
0`0000050=WIf@030000003IfMT0fMWI0;H0fMWI001Q0=WIf@030000003IfMT0fMWI00<0fMWI0P00
002g0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WI
f@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00I`3IfMT200000;L0fMWI001W0=WIf@030000003I
fMT0fMWI0;H0fMWI001W0=WIf@030000003IfMT0fMWI0;H0fMWI001W0=WIf@030000003IfMT0fMWI
0;H0fMWI001W0=WIf@800000]`3IfMT006L0fMWI00<000000=WIf@3IfMT0]P3IfMT006L0fMWI00<0
00000=WIf@3IfMT0]P3IfMT006L0fMWI00<000000=WIf@3IfMT0]P3IfMT006L0fMWI0P00002g0=WI
f@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00C@3IfMT4000000<0fMWI00<000000=WIf@3IfMT0
0P3IfMT400000080fMWI0`0000050=WIf@030000003IfMT0fMWI0;H0fMWI001?0=WIf@030000003I
fMT0fMWI00L0fMWI00<000000=WIf@3IfMT01P3IfMT00`000000fMWI0=WIf@020=WIf@030000003I
fMT0fMWI0;H0fMWI001?0=WIf@030000003IfMT0fMWI00P0fMWI00<000000=WIf@3IfMT01@3IfMT0
0`000000fMWI0=WIf@020=WIf@<00000]P3IfMT004l0fMWI00<000000=WIf@3IfMT02@3IfMT01000
0000fMWI0=WIf@3IfMT3000000D0fMWI00<000000=WIf@3IfMT0]P3IfMT004l0fMWI00<000000=WI
f@3IfMT02P3IfMT010000000fMWI0=WIf@0000070=WIf@030000003IfMT0fMWI0;H0fMWI001=0=WI
f@<000002@3IfMT010000000fMWI0=WIf@0000020=WIf@030000003IfMT0fMWI00D0fMWI00<00000
0=WIf@3IfMT0]P3IfMT004l0fMWI00<000000=WIf@3IfMT0203IfMT2000000<0fMWI100000040=WI
f@800000]`3IfMT006L0fMWI00<000000=WIf@3IfMT0]P3IfMT006L0fMWI00<000000=WIf@3IfMT0
]P3IfMT006L0fMWI00<000000=WIf@3IfMT0]P3IfMT006L0fMWI0P00002g0=WIf@00I`3IfMT00`00
0000fMWI0=WIf@2f0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00I`3IfMT00`000000fMWI
0=WIf@2f0=WIf@00I`3IfMT200000;L0fMWI001W0=WIf@030000003IfMT0fMWI0;H0fMWI001W0=WI
f@030000003IfMT0fMWI0;H0fMWI001W0=WIf@030000003IfMT0fMWI0;H0fMWI001W0=WIf@800000
]`3IfMT006L0fMWI00<000000=WIf@3IfMT0]P3IfMT005<0fMWI100000030=WIf@030000003IfMT0
fMWI0080fMWI0`0000050=WIf@030000003IfMT0fMWI0;H0fMWI001E0=WIf@030000003IfMT0fMWI
00X0fMWI00<000000=WIf@3IfMT00P3IfMT00`000000fMWI0=WIf@2f0=WIf@00E@3IfMT00`000000
fMWI0=WIf@0:0=WIf@030000003IfMT0fMWI0080fMWI0`00002f0=WIf@00E@3IfMT00`000000fMWI
0=WIf@070=WIf@<000001@3IfMT00`000000fMWI0=WIf@2f0=WIf@00E@3IfMT00`000000fMWI0=WI
f@070=WIf@030000003IfMT0fMWI00D0fMWI00<000000=WIf@3IfMT0]P3IfMT005<0fMWI0`000009
0=WIf@030000003IfMT0fMWI00D0fMWI00<000000=WIf@3IfMT0]P3IfMT005D0fMWI00<000000=WI
f@3IfMT01`3IfMT4000000@0fMWI0P00002g0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00
I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00I`3IfMT2
00000;L0fMWI001W0=WIf@030000003IfMT0fMWI0;H0fMWI001W0=WIf@030000003IfMT0fMWI0;H0
fMWI001W0=WIf@030000003IfMT0fMWI0;H0fMWI001W0=WIf@800000]`3IfMT006L0fMWI00<00000
0=WIf@3IfMT0]P3IfMT006L0fMWI00<000000=WIf@3IfMT0]P3IfMT006L0fMWI00<000000=WIf@3I
fMT0]P3IfMT006L0fMWI0P00002g0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00C@3IfMT4
000000<0fMWI00<000000=WIf@3IfMT00`3IfMT00`000000fMWI0=WIf@020=WIf@<000001@3IfMT0
0`000000fMWI0=WIf@2f0=WIf@00C`3IfMT00`000000fMWI0=WIf@080=WIf@030000003IfMT0fMWI
00D0fMWI00<000000=WIf@3IfMT00P3IfMT00`000000fMWI0=WIf@2f0=WIf@00C`3IfMT00`000000
fMWI0=WIf@090=WIf@030000003IfMT0fMWI00@0fMWI00<000000=WIf@3IfMT00P3IfMT300000;H0
fMWI001?0=WIf@030000003IfMT0fMWI00T0fMWI00@000000=WIf@3IfMT0fMWI0`0000050=WIf@03
0000003IfMT0fMWI0;H0fMWI001?0=WIf@030000003IfMT0fMWI00X0fMWI00@000000=WIf@3IfMT0
00001`3IfMT00`000000fMWI0=WIf@2f0=WIf@00C@3IfMT3000000T0fMWI00@000000=WIf@3IfMT0
00000P3IfMT00`000000fMWI0=WIf@050=WIf@030000003IfMT0fMWI0;H0fMWI001?0=WIf@030000
003IfMT0fMWI00L0fMWI100000020=WIf@@00000103IfMT200000;L0fMWI001W0=WIf@030000003I
fMT0fMWI0;H0fMWI001W0=WIf@030000003IfMT0fMWI0;H0fMWI001W0=WIf@030000003IfMT0fMWI
0;H0fMWI001W0=WIf@800000]`3IfMT006L0fMWI00<000000=WIf@3IfMT0]P3IfMT006L0fMWI00<0
00000=WIf@3IfMT0]P3IfMT006L0fMWI00<000000=WIf@3IfMT0]P3IfMT006L0fMWI0P00002g0=WI
f@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00I`3IfMT00`000000fMWI0=WIf@2f0=WIf@00I`3I
fMT00`000000fMWI0=WIf@2f0=WIf@00I`3IfMT200000;L0fMWI001W0=WIf@030000003IfMT0fMWI
0;H0fMWI001O0=WIf@@00000103IfMT00`000000fMWI0=WIf@2f0=WIf@00G`3IfMT00`000000fMWI
0=WIf@050=WIf@030000003IfMT0fMWI0;H0fMWI001P0=WIf@030000003IfMT0fMWI00@0fMWI0`00
002f0=WIf@00H@3IfMT00`000000fMWI0=WIf@2l0=WIf@00HP3IfMT00`000000fMWI0=WIf@2k0=WI
f@00G`3IfMT010000000fMWI0=WIf@00002m0=WIf@00H03IfMT200000;h0fMWI0000\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-25.2217, -0.152823, \
0.243052, 0.0124846}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[162]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Show[dg3, sc]\)], "Input",
  CellLabel->"In[167]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.34127 0.015873 0.069161 0.453515 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of gray image
p
.02381 .06916 translate
.95238 .90703 scale
100 string
100 100 8 [100 0 0 100 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACABC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACABCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACABCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACABCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACABCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACACABCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACACABCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACACACABCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACACAC9CACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACACACACACACACACACAC9C9CACACACACACACACACACACACACACACA
CACACACACACACACACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACACAC9C9CACACACACACACACACACACACACACACAC9C9CACACACACACA
CACACACACACACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACAC9C9C9C9CACACACACACACACACACACACACAC9C9C9CACACACACACA
CACACACACACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACACAC9C9C9C9CACACACACACACACACACACACAC9C9C9C9C9CACACACACA
CACACACACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACAC9C9C9C9C9C9CACACACACBCBCBCACACACAC9C9C9C9C9CACACACACA
CACACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACAC9C9C9C9C9C9CACACACACBCBCBCACACACAC9C9C9C9C9C9CACACACA
CACACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACAC9C9C9C9C9C9CACACACACACACACACACAC9C9C9C9C9C9C9CACACACA
CACACACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACACAC9C9C8C8C9C9C9CAC9C9C9C9C9C9CACAC9C9C8C8C8C9C9CACACACA
CACACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACAC9C9C8C8C8C8C9C9C9C9C8C7C7C7C8C9C9C9C9C8C8C8C9C9CACACACA
CACACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACAC9C9C8C7C7C8C9C9C9C8C7C5C4C6C8C9C9C9C8C8C7C7C8C9CACACACA
CACACACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACAC9C9C7C6C6C7C9C9C9C8C6C4C4C5C7C9C9C9C8C7C6C7C8C9C9CACACA
CACACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACAC9C8C7C6C5C7C8C9C9C9C8C6C6C7C8C9C9C9C8C6C5C6C7C9C9CACACA
CACACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACAC9C8C6C4C4C6C8C9CACACBCBCCCBCACAC9C9C7C5C4C5C7C9C9CACACA
CACABCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACACAC9C8C5C3C3C5C7C9CACCCFD2D3D1CECBCAC8C6C4C3C4C6C8C9CACACA
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C9C7C4C2C2C4C7C9CBCED3D8DAD6D0CCCAC8C6C3C1C3C5C8C9CACABC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C9C7C3C0C0C3C6C9CBCED4DADCD8D1CCCAC8C5C1BFC1C5C8C9CABCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C8C6C2BEBEC1C6C8CACDD0D5D6D3CFCBCAC8C4C0BDBFC4C7BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C8C5C0BCBCC0C5C8C9C9C8C8C8C8C9C9C9C7C3BEBBBEC3B9BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C8C5BFBABABEC4C7C8C5BEB7B5BAC1C6C8C7C2BCB9BCB4B9BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C8C4BDB8B7BDC3C7C7C1B6A9A6AEBBC4C7C6C1BAA9ACB3B8BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C8C3BCB6B5BBC3C7C6C0B3A6A2ABB9C3C7C6C0ABA7AAB2B8BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C7C3BAB3B3BAC2C7C7C3BAB1AEB4BEC5C7C5B1A9A5A8B0B7BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C7C2B9B1B1B8C1C7C9C9C9C8C8C8C9C9BBB8B0A7A2A6AFB7BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C7C1B8AFAFB7C1C7CBD1DAE4E7E1D6C0BCB7AFA6A0A5AEB7BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C7C1B7AEADB6C0C7CDD6E8FAFFF3D2C4BDB7AFA49FA3AEB6BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C7C0B6ADACB5C0C7CDD8EBFFF8EAD5C5BDB7AEA39DA2ADB6BABCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C7C0B5ACABB4BFC7CCD4E2E3E7DDCEC2BCB7AEA29DA1ACB6BABCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C6C0B5ABABB4BFC6C9CCC1C5C6C3C0BDBBB6ADA29CA1ACB6BABCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C6C0B5ABABB4BFC6B9B5ADA3A0A6B0B8B9B6ADA29CA1ACB6BABCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C7C0B5ACABB4BFB8B7AF9E8B8592A5B3B8B6AEA29DA1ACB6BABCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C7C0B6ADACB5B2B8B7AE9A86808DA3B3B8B6AEA39DA2ADB6BABCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C7C1B7AEA0A8B2B8B8B1A394909AAAB5B9B7AFA49FA3AEB6BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C7C1B8A2A1A9B3B9BAB9B4B0AEB1B6BABAB7AFA6A0A5AEB7BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9C7C2ACA4A3ABB4BABDC0C6CCCECAC3BFBCB8B0A7A2A6AFB7BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACAC9BAB5ADA6A5ACB4BABEC5D1DEE2DACCC2BDB8B1A9A5A8B0B7BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACACABCBAB6AEA8A8AEB5BABFC6D4E2E6DDCEC2BDB9B2ABA7AAB2B8BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACACACABCBCBAB6B0AAAAAFB6BBBEC4CDD8DBD4C9C1BCB9B3ADA9ACB3B8BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACACABCBCBCBCBBB7B2ADACB1B7BABDBFC3C7C8C5C1BEBCB9B5AFACAEB4B9BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACACABCBCBCBCBCBBB8B3AFAEB2B7BABBBBB8B6B6B7B9BBBBBAB6B0AEB0B5B9BBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
CACABCBCBCBCBCBCBBB8B4B1B0B4B8BBBBB8B2ACAAAEB5B9BBBAB7B2B0B2B6BABBBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBBB9B6B3B2B5B9BBBAB7B1AAA8ADB4B9BBBAB7B4B2B4B7BABCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBBBAB7B4B4B6B9BBBBB9B4AFADB1B6BABBBBB8B5B4B5B8BABCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBAB8B6B6B8BABBBCBBB9B7B6B7BABBBCBBB9B7B5B6B9BBBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBBB9B7B7B8BABCBCBCBDBDBEBDBDBCBCBBBAB8B7B8B9BBBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBBB9B8B8B9BBBCBCBEBFC1C2C1BFBDBCBBBAB9B8B8BABBBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBBBAB9B9BABBBCBDBEC0C2C3C1BFBDBCBCBBB9B9B9BABBBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBBBBBABABABBBCBCBDBFC0C1C0BEBDBCBCBBBABABABBBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBBBABABBBCBCBCBDBDBEBEBEBDBCBCBCBBBBBABBBBBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBBBBBBBBBCBCBCBCBCBCBCBCBCBCBCBCBCBBBBBBBBBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBBBBBBBBBCBCBCBCBBBBBBBBBCBCBCBCBCBBBBBBBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBBBBBCBCBCBCBCBBBBBBBBBCBCBCBCBCBCBBBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBBBBBBBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
BCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC
pop
P
% End of image
0 g
.5 Mabswid
[ ] 0 setdash
.02381 .29592 m
.06244 .28488 L
.10458 .27284 L
.14415 .26153 L
.18221 .25066 L
.22272 .23909 L
.26171 .22795 L
.30316 .21611 L
.34309 .2047 L
.3815 .19372 L
.42237 .18205 L
.46172 .1708 L
.49955 .15999 L
.53984 .14848 L
.57861 .1374 L
.61984 .12563 L
.65954 .11428 L
.69774 .10337 L
.73838 .09175 L
.77751 .08057 L
.81909 .06869 L
.85916 .05725 L
.89771 .04623 L
.93871 .03452 L
.97619 .02381 L
s
.81746 .06916 m
0 0 rlineto s
.81746 .06916 m
0 .65306 L
s
newpath
matrix currentmatrix
0.0015873 0.0453515 scale
515 1.52498 1 0 365.73 arc
setmatrix s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[167]:=",
  ImageSize->{288, 288},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ
0=WIf@00o`3IfMTQ0=WIf@00jP3IfMT00`000000fMWI0=WIf@0Z0=WIf@8000001`3IfMT00>X0fMWI
00<000000=WIf@3IfMT09P3IfMT4000000T0fMWI003Z0=WIf@030000003IfMT0fMWI0280fMWI1000
000=0=WIf@00jP3IfMT00`000000fMWI0=WIf@0O0=WIf@<000004@3IfMT00>X0fMWI00<000000=WI
f@3IfMT0703IfMT3000001@0fMWI003Z0=WIf@030000003IfMT0fMWI01T0fMWI0`00000G0=WIf@00
jP3IfMT00`000000fMWI0=WIf@0F0=WIf@<000006P3IfMT00>X0fMWI0P00000D0=WIf@<000007@3I
fMT00>X0fMWI0P00000@0=WIf@@00000803IfMT00>X0fMWI0P00000<0=WIf@@00000903IfMT00>X0
fMWI0P0000090=WIf@<00000:03IfMT00>X0fMWI0P0000050=WIf@@00000:`3IfMT00>X0fMWI0P00
00000`3IfMT0000000000002000002l0fMWI003Z0=WIf@<00000<`3IfMT000H0fMWIh@3:b/X50000
02d0_;bl1`3IfMT000H0fMWIgP3:b/X400000080b/[:0P00000]0;bl_0L0fMWI00060=WIfM/0b/[:
0`0000020<[:bP040000003:b/X0b/[:0<[:bP800000;@2l_;`70=WIf@001P3IfMWG0<[:bP@00000
0`3:b/X2000000040<[:bP2l_;`0_;bl0;bl_0800000;@2l_;`70=WIf@001P3IfMWC0<[:bP@00000
1P3:b/X010000000b/[:0<[:bP3:b/X30;bl_0800000;@2l_;`70=WIf@001P3IfMW?0<[:bP@00000
203:b/X2000000@0b/[:0`2l_;`2000002d0_;bl1`3IfMT000H0fMWIc03:b/X3000000/0b/[:00<0
00000<[:bP2l_;`01`2l_;`00`000000_;bl0;bl_00/0;bl_0L0fMWI00060=WIfLP0b/[:1000000=
0<[:bP030000003:b/X0b/[:00P0_;bl00<000000;bl_02l_;`0;02l_;`70=WIf@001P3IfMW40<[:
bP@000003`3:b/X2000000/0_;bl00<000000;bl_02l_;`0;02l_;`70=WIf@001P3IfMW10<[:bP<0
00004P3:b/X00`000000b/[:0<[:bP0;0;bl_0030000002l_;`0_;bl02`0_;bl1`3IfMT000H0fMWI
_@3:b/X4000001<0b/[:0P0000030<[:bP/0_;bl00<000000;bl_02l_;`0;02l_;`70=WIf@001P3I
fMVi0<[:bP@000005P3:b/X00`000000b/[:0<[:bP0>0;bl_0030000002l_;`0_;bl02`0_;bl1`3I
fMT000H0fMWI]P3:b/X3000001T0b/[:00@000000<[:bP3:b/X0b/[:3P2l_;`00`000000_;bl0;bl
_00/0;bl_0L0fMWI00060=WIfK<0b/[:0`00000J0<[:bP800000@@2l_;`70=WIf@001P3IfMV`0<[:
bP<00000703:b/X00`000000b/[:0;bl_0110;bl_0L0fMWI00060=WIfJd0b/[:0`00000N0<[:bP03
0000003:b/X0b/[:0480_;bl1`3IfMT000H0fMWIZP3:b/X3000001l0b/[:0P0000150;bl_0L0fMWI
00060=WIfJH0b/[:1000000Q0<[:bP030000003:b/X0b/[:04D0_;bl1`3IfMT000H0fMWIXP3:b/X4
000002<0b/[:0P0000030<[:bTD0_;bl1`3IfMT000H0fMWIWP3:b/X4000002H0b/[:00<000000<[:
bP3:b/X0B02l_;`70=WIf@001P3IfMVJ0<[:bP@00000:@3:b/X010000000b/[:0<[:bP3:b/Y80;bl
_0L0fMWI00060=WIfIH0b/[:1000000[0<[:bP800000C02l_;`70=WIf@001P3IfMVC0<[:bP<00000
;P3:b/X00`000000b/[:0;bl_01<0;bl_0L0fMWI00060=WIfHl0b/[:1000000_0<[:bP8000000P3:
b/Y=0;bl_0L0fMWI00060=WIfH/0b/[:1000000b0<[:bP030000003:b/X0_;bl04l0_;bl1`3IfMT0
00H0fMWIR03:b/X3000003D0b/[:00<000000<[:bP3:b/X0D02l_;`70=WIf@001P3IfMV50<[:bP<0
0000=P3:b/X2000005<0_;bl1`3IfMT000H0fMWIP`3:b/X2000003P0b/[:00<000000<[:bP3:b/X0
D`2l_;`70=WIf@001P3IfMV00<[:bP<00000>03:b/X2000000<0b/[:D`2l_;`70=WIf@001P3IfMUm
0<[:bP<00000>P3:b/X00`000000_;bl0;bl_01F0;bl_0L0fMWI00060=WIfGT0b/[:1000000l0<[:
bP030000003:b/X0_;bl05L0_;bl1`3IfMT000H0fMWIM@3:b/X4000003h0b/[:0P00001J0;bl_0L0
fMWI00060=WIfG40b/[:100000110<[:bP030000003:b/X0_;bl05X0_;bl1`3IfMT000H0fMWIK@3:
b/X4000004<0b/[:0P0000020<[:bU/0_;bl1`3IfMT000H0fMWIJ@3:b/X4000004H0b/[:00<00000
0<[:bP2l_;`0G@2l_;`70=WIf@001P3IfMUV0<[:bP<00000B@3:b/X00`000000b/[:0<[:bP1N0;bl
_0L0fMWI00060=WIfF80b/[:1000001:0<[:bP8000000`3:b/YN0;bl_0L0fMWI00060=WIfEh0b/[:
1000001=0<[:bP030000002l_;`0_;bl0640_;bl1`3IfMT000H0fMWIF`3:b/X3000004l0b/[:0P00
00000`3:b/X0_;bl0;bl_01Q0;bl_0L0fMWI00060=WIfEP0b/[:0`00001A0<[:bP030000002l_;`0
_;bl06@0_;bl1`3IfMT000H0fMWIEP3:b/X2000005<0b/[:00<000000<[:bP2l_;`0I@2l_;`70=WI
f@001P3IfMUC0<[:bP<00000D`3:b/X200000080b/[:IP2l_;`70=WIf@001P3IfMU?0<[:bP@00000
E@3:b/X00`000000b/[:0;bl_01X0;bl_0L0fMWI00060=WIfD/0b/[:1000001H0<[:bP030000003:
b/X0b/[:06T0_;bl1`3IfMT000H0fMWIA`3:b/X4000005X0b/[:0P00001/0;bl_0L0fMWI00060=WI
fD<0b/[:1000001M0<[:bP030000002l_;`0_;bl06`0_;bl1`3IfMT000H0fMWI?`3:b/X4000005l0
b/[:0P0000000`3:b/X0_;bl0;bl_01/0;bl_0L0fMWI00060=WIfC/0b/[:1000001R0<[:bP030000
002l_;`0_;bl06l0_;bl1`3IfMT000H0fMWI>03:b/X3000006D0b/[:00<000000<[:bP2l_;`0L02l
_;`70=WIf@001P3IfMTd0<[:bP@00000IP3:b/X200000080b/[:L@2l_;`70=WIf@001P3IfMT`0<[:
bP@00000J@3:b/X00`000000b/[:0;bl_01c0;bl_0L0fMWI00060=WIfBd0b/[:0`00001[0<[:bP80
00000P3:b/Yd0;bl_0L0fMWI00060=WIfBX0b/[:0`00001]0<[:bP030000002l_;`0_;bl07H0_;bl
1`3IfMT000H0fMWI:03:b/X2000006l0b/[:00<000000;bl_02l_;`0M`2l_;`70=WIf@001P3IfMTU
0<[:bP<00000K`3:b/X2000000030<[:bP2l_;`0_;bl07L0_;bl1`3IfMT000H0fMWI8P3:b/X30000
0180b/[:0`39bLUL0<[:bP030000002l_;`0_;bl07X0_;bl1`3IfMT000H0fMWI7P3:b/X4000001D0
b/[:0`39bLUJ0<[:bP80000000<0b/[:0;bl_02l_;`0NP2l_;`70=WIf@001P3IfMTJ0<[:bP@00000
5P3:b/X60<W9bET0b/[:00<000000;bl_02l_;`0O@2l_;`70=WIf@001P3IfMTF0<[:bP@000006P3:
b/X60<W9bEP0b/[:00<000000<[:bP2l_;`0OP2l_;`70=WIf@001P3IfMTB0<[:bP@000007P3:b/X6
0<W9bEH0b/[:0P0000020<[:bWl0_;bl1`3IfMT000H0fMWI3P3:b/X4000000`0b/[:1P39bLTY0<[:
bPH0bLW9?03:b/X00`000000_;bl0;bl_0210;bl_0L0fMWI00060=WIf@X0b/[:1000000@0<[:bPH0
bLW9:@3:b/X60<W9bCX0b/[:0P0000240;bl_0L0fMWI00060=WIf@H0b/[:1000000D0<[:bPH0bLW9
:@3:b/X60<W9bCT0b/[:00<000000<[:bP3:b/X0Q02l_;`70=WIf@001P3IfMT20<[:bP@000005P3:
b/X;0<W9bB<0b/[:2@39bLTh0<[:bP030000002l_;`0_;bl08D0_;bl1`3IfMT000H0fMWI0P00000J
0<[:bP/0bLW98`3:b/X90<W9bCH0b/[:0P0000000`3:b/X0_;bl0;bl_0250;bl_0L0fMWI00060=WI
fA`0b/[:2`39bLTQ0<[:bPd0bLW9<`3:b/X00`000000_;bl0;bl_0280;bl_0L0fMWI00060=WIfA`0
b/[:2`39bLTQ0<[:bPd0bLW9<@3:b/X2000000030<[:bP2l_;`0_;bl08P0_;bl1`3IfMT000H0fMWI
703:b/X;0<W9bB40b/[:3@39bLT`0<[:bP040000003:b/X0b/[:0<[:bXX0_;bl1`3IfMT000H0fMWI
6@3:b/X@0<W9b@/0b/[:2@3;bl/;0<[:bPd0bLW9;`3:b/X00`000000_;bl0;bl_02<0;bl_0L0fMWI
00060=WIfAT0b/[:4039bLT;0<[:bPT0bl_;2`3:b/X=0<W9bBd0b/[:0P00002?0;bl_0L0fMWI0006
0=WIfAT0b/[:4039bLT;0<[:bPT0bl_;2`3:b/X@0<W9bBT0b/[:00<000000;bl_02l_;`0S`2l_;`7
0=WIf@001P3IfMTI0<[:bQ00bLW92`3:b/X90<_;b`/0b/[:4039bLTX0<[:bP030000002l_;`0_;bl
0900_;bl1`3IfMT000H0fMWI6@3:b/X@0<W9b@/0b/[:2@3;bl/;0<[:bQ00bLW99P3:b/X200000003
0<[:bP2l_;`0_;bl0900_;bl1`3IfMT000H0fMWI6@3:b/X@0<W9bA`0b/[:4`39bLTU0<[:bP030000
002l_;`0_;bl09<0_;bl1`3IfMT000H0fMWI6@3:b/X@0<W9bA`0b/[:4`39bLTS0<[:bP80000000<0
b/[:0;bl_02l_;`0T`2l_;`70=WIf@001P3IfMTI0<[:bQ00bLW9703:b/XC0<W9bB80b/[:00@00000
0<[:bP3:b/X0b/[:U@2l_;`70=WIf@001P3IfMTI0<[:bPD0bLW91P38b<P80<W9b@<0b/[:4039bLT6
0<[:bPD0bLW92@38b<P50<W9bB40b/[:00<000000;bl_02l_;`0U`2l_;`70=WIf@001P3IfMTI0<[:
bPD0bLW91P38b<P80<W9b@<0b/[:4039bLT60<[:bPD0bLW92@38b<P50<W9bAl0b/[:0P00002J0;bl
_0L0fMWI00060=WIfAH0b/[:1P39bLT;0<S8b0/0bLW90P38b<P90<O7a`80b<S82`39bLT90<S8b0D0
bLW97P3:b/X00`000000_;bl0;bl_02J0;bl_0L0fMWI00060=WIfAH0b/[:1P39bLT;0<S8b0/0bLW9
0P38b<P90<O7a`80b<S82`39bLT90<S8b0D0bLW9703:b/X2000009d0_;bl1`3IfMT000H0fMWI5P3:
b/X60<W9b@/0b<S82`39bLT20<S8b0T0alO70P38b<P;0<W9b@T0b<S81@39bLTK0<[:bP030000003:
b/X0b/[:09d0_;bl1`3IfMT000H0fMWI5P3:b/X60<W9b@80b<S81P37alL30<S8b0P0bLW90`38b<P2
0<O7a`<0aLG50`34a<@30<K6aP80b<S82@39bLT50<S8b0H0alO70P38b<P30<W9bAX0b/[:00<00000
0<[:bP2l_;`0WP2l_;`70=WIf@001P3IfMTF0<[:bPH0bLW90P38b<P60<O7a`<0b<S82039bLT30<S8
b080alO70`35aLD30<C4a0<0a/K60P38b<P90<W9b@D0b<S81P37alL20<S8b0<0bLW9603:b/X20000
0080b/[:W`2l_;`70=WIf@001P3IfMTF0<[:bPH0bLW90P37alL60<K6aP<0alO72039bLT30<S8b080
a/K61P34a<@30<G5a@80alO72@39bLT20<S8b0<0alO70`36a/H30<O7a`80b<S81P39bLTC0<[:bP03
0;bl_0000000_;bl0:80_;bl1`3IfMT000H0fMWI5P3:b/X60<W9b@80alO71P36a/H30<O7a`P0bLW9
0`38b<P20<K6aPH0a<C40`35aLD20<O7a`T0bLW90P38b<P30<O7a`<0a/K60`37alL20<S8b0H0bLW9
4P3:b/X200000:@0_;bl1`3IfMT000H0fMWI5P3:b/X60<W9b@80alO71P36a/H30<O7a`P0bLW90`38
b<P20<K6aPH0a<C40`35aLD20<O7a`T0bLW90P38b<P30<O7a`<0a/K60`37alL20<S8b0H0bLW94@3:
b/X00`000000b/[:0;bl_02T0;bl_0L0fMWI00060=WIfAH0b/[:0`39bLT30<S8b080alO70`36a/H3
0<G5a@<0alO70P38b<P90<W9b@80b<S81P36a/H30<O7a`80b<S82@39bLT20<S8b0<0a/K60`35aLD3
0<K6aP80alO71P39bLT@0<[:bP030000002l_;`0_;bl0:D0_;bl1`3IfMT000H0fMWI5P3:b/X30<W9
b@<0b<S80P37alL30<K6aP<0aLG50`37alL20<S8b0T0bLW90P38b<P60<K6aP<0alO70P38b<P90<W9
b@80b<S80`36a/H30<G5a@<0a/K60P37alL60<W9b@h0b/[:0P00002X0;bl_0L0fMWI00060=WIfAH0
b/[:0`39bLT30<S8b080alO70`36a/H30<G5a@<0alO70P38b<P90<W9b@80b<S81P36a/H30<O7a`80
b<S82@39bLT20<S8b0<0a/K60`35aLD30<K6aP80alO71P39bLT=0<[:bP030000003:b/X0b/[:0:P0
_;bl1`3IfMT000H0fMWI5P3:b/X30<W9b@<0b<S80P36a/H60<C4a0<0a/K60P38b<P30<W9b@H0b/[:
1@3;bl/30<c<c0<0bl_;1@3:b/X60<W9b@80alO70`35aLD30<C4a0<0aLG50P37alL60<W9b@/0b/[:
0P0000000`3:b/X0_;bl0;bl_02X0;bl_0L0fMWI00060=WIfAH0b/[:0`39bLT30<S8b080a/K61P34
a<@30<K6aP80b<S80`39bLT60<[:bPD0bl_;0`3<c<`30<_;b`D0b/[:1P39bLT20<O7a`<0aLG50`34
a<@30<G5a@80alO71P39bLT:0<[:bP040000003:b/X0b/[:0<[:bZX0_;bl1`3IfMT000H0fMWI5P3:
b/X30<W9b@<0b<S80P35aLD60<?3``<0aLG50P37alL30<W9b@<0b/[:0`3<c<`20<o?c`<0d];B0`3C
dm<30=7Ad@80c/k>0`3;bl/30<[:bP<0b<S80P36a/H30<C4a0<0`l?30`34a<@20<K6aP<0b<S80`39
bLT80<[:bP030;bl_0000000_;bl0:d0_;bl1`3IfMT000H0fMWI5P3:b/X30<W9b@<0b<S80P35aLD6
0<?3``<0aLG50P37alL30<W9b@<0b/[:0`3<c<`20<o?c`<0d];B0`3Cdm<30=7Ad@80c/k>0`3;bl/3
0<[:bP<0b<S80P36a/H30<C4a0<0`l?30`34a<@20<K6aP<0b<S80`39bLT70<[:bP800000[`2l_;`7
0=WIf@001P3IfMTF0<[:bP<0bLW90`38b<P20<G5a@H0`l?30`35aLD20<O7a`<0bLW90`3:b/X30<c<
c080clo?0`3Bd]830=?Cd`<0dM7A0P3>c/h30<_;b`<0b/[:0`38b<P20<K6aP<0a<C40`33`l<30<C4
a080a/K60`38b<P30<W9b@H0b/[:00<000000<[:bP2l_;`0[`2l_;`70=WIf@001P3IfMTD0<[:bPD0
bLW90`37alL20<C4a0H0`/;20`34a<@20<O7a`<0bLW90`3;bl/30<k>cP80dm?C0`3Hf=P30=[JfP<0
e]KF0P3@d=030<c<c0<0b/[:0`38b<P20<K6aP<0`l?30`31`L430<?3``80aLG50`38b<P30<W9b@@0
b/[:0P00002b0;bl_0L0fMWI00060=WIfA@0b/[:1@39bLT30<O7a`80a<C41P32`/830<C4a080alO7
0`39bLT30<_;b`<0c/k>0P3Cdm<30=SHf0<0f][J0`3Fe]H20=3@d0<0c<c<0`3:b/X30<S8b080a/K6
0`33`l<30<71`@<0`l?30P35aLD30<S8b0<0bLW90`3:b/X00`000000b/[:0;bl_02b0;bl_0L0fMWI
00060=WIfA@0b/[:1@39bLT30<O7a`80`l?31P30`<030<?3``80a/K60`39bLT30<_;b`<0c/k>0P3D
e=@30=[JfP<0g=cL0`3Hf=P20=7Ad@<0c<c<0`3:b/X30<S8b080aLG50`31`L430;no_`<0`L710P35
aLD30<S8b0<0bLW90P3:b/X00`000000_;bl0;bl_02c0;bl_0L0fMWI00060=WIfA@0b/[:1@39bLT3
0<O7a`80`l?31P30`<030<?3``80a/K60`39bLT30<_;b`<0c/k>0P3De=@30=[JfP<0g=cL0`3Hf=P2
0=7Ad@<0c<c<0`3:b/X30<S8b080aLG50`31`L430;no_`<0`L710P35aLD30<S8b0<0bLW90P000000
0`3:b/X0_;bl0;bl_02c0;bl_0L0fMWI00060=WIfA@0b/[:1@39bLT30<O7a`80`l?31P30`<030<?3
``80a/K60`39bLT30<_;b`<0c/k>0P3De=@30=[JfP<0g=cL0`3Hf=P20=7Ad@<0c<c<0`3:b/X30<S8
b080aLG50`31`L430;no_`<0`L710P35aLD30<S8b080bLW900@000000<[:bP3:b/X0b/[:]@2l_;`7
0=WIf@001P3IfMTD0<[:bP80bLW90`38b<P30<K6aP80`/;21P2n_[h30<71`@80a/K60`38b<P30<[:
bP<0cLg=0P3@d=030=GEe@<0e]KF0`3Cdm<20<o?c`<0bl_;0`3:b/X30<S8b080a<C40`30`<030;fm
_@<0_kno0P34a<@30<O7a`030;^k^`000000^k^k0;P0_;bl1`3IfMT000H0fMWI503:b/X20<W9b@<0
b<S80`36a/H20<;2`PH0_[jn0`31`L420<K6aP<0b<S80`3:b/X30<g=c@80d=3@0`3EeMD30=KFeP<0
dm?C0P3?cll30<_;b`<0b/[:0`38b<P20<C4a0<0`<300`2m_Kd30;no_`80a<C40P37alL200000080
^k^k^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW90`38b<P30<K6aP80`/;21P2n_[h30<71`@80a/K6
0`38b<P30<[:bP<0cLg=0P3@d=030=GEe@<0e]KF0`3Cdm<20<o?c`<0bl_;0`3:b/X30<S8b080a<C4
0`30`<030;fm_@<0_kno0P34a<@00`37alL000000<O7a`030;^k^kP0_;bl1`3IfMT000H0fMWI503:
b/X20<W9b@<0b<S80`35aLD20<30`0H0_;bl0`30`<020<G5a@<0b<S81P39bLT;0<S8b0P0bLW90`37
alL20<?3``<0_[jn0`2k^k/30;jn_P030<?3``00000000000080^KVi0`2k^k^h0;bl_0L0fMWI0006
0=WIfA@0b/[:0P39bLT30<S8b0<0aLG50P30`<060;bl_0<0`<300P35aLD30<S8b0H0bLW92`38b<P8
0<W9b@<0alO70P33`l<30;jn_P<0^k^k0`2n_[h00`000000`l?30;Vi^@020;Vi^@<0^k^k^02l_;`7
0=WIf@001P3IfMTD0<[:bP80bLW90`38b<P30<G5a@80_kno1P2j^[X30;jn_P80a<C40`37alL30<S8
b0<0aLG50P2n_[h30;Ng]`<0]KFe0`2j^[X20<71`@<0a/K60`38b<P30<O7a`80`/;20`2l_;`30;Vi
^@80_;bl00<000000;Bd]02d];@00`2i^KT30;^k^kP0_;bl1`3IfMT000H0fMWI503:b/X20<W9b@<0
b<S80`35aLD20;no_`H0^[Zj0`2n_[h20<C4a0<0alO70`38b<P30<G5a@80_[jn0`2g]kL30;Fe]@<0
^[Zj0P31`L430<K6aP<0b<S80`37alL20<;2`P<0_;bl0`2i^KT2000000030;bl_02d];@0];Bd00<0
^KVi0`2k^k^h0;bl_0L0fMWI00060=WIfA@0b/[:0P39bLT30<S8b0<0aLG50P2o_kl60;Zj^P<0_[jn
0P34a<@30<O7a`<0b<S80`35aLD20;jn_P<0]kNg0`2e]KD30;Zj^P80`L710`36a/H30<S8b0<0alO7
0P32`/830;bl_080^KVi00@000000;bl_02l_;`0_;bl0P2d];@30;Vi^@<0^k^k^02l_;`70=WIf@00
1P3IfMTD0<[:bP80bLW90`38b<P30<C4a080_Kfm0`2h^;P30;Ng]`<0_Kfm0P33`l<60<O7a`<0`L71
0P2f][H30:VYZ@<0YZJV0`2^[Zh20;^k^`<0a<C40`37alL30<K6aP80`L710`2j^[X2000000040:VY
Z@2/[:`0[:b/0:b/[080/k>c0`2h^;P30;^k^kP0_;bl1`3IfMT000H0fMWI503:b/X20<W9b@<0b<S8
0`34a<@20;fm_@<0^;Rh0`2g]kL30;fm_@80`l?31P37alL30<71`@80][Jf0`2YZJT30:JVYP<0[Zj^
0P2k^k/30<C4a0<0alO70`36a/H20<71`@80^[Zj00@000000:VYZ@2YZJT0ZJVY0`2/[:`20;>c/`<0
^;Rh0`2k^k^h0;bl_0L0fMWI00060=WIfA@0b/[:0P39bLT30<S8b0<0`l?30P2l_;`30;Jf]P<0]KFe
0`2k^k/20<?3``<0alO70`36a/H30<30`080/k>c0`2VYZH30::RXP<0Zj^[0P2i^KT30<?3``<0alO7
0`36a/H20<30`0030:^[Z`000000Zj^[00<0YjNW0`2ZZZX20;:b/P<0^;Rh0`2k^k^h0;bl_0L0fMWI
00060=WIfA@0b/[:0P39bLT30<S8b0<0`l?30P2l_;`30;Jf]P<0]KFe0`2k^k/20<?3``<0alO70`36
a/H30<30`080/k>c0`2VYZH30::RXP<0Zj^[0P2i^KT30<?3``<0alO70`36a/H00`30`<0000000000
00020:^[Z`<0YjNW0`2ZZZX20;:b/P<0^;Rh0`2k^k^h0;bl_0L0fMWI00060=WIfA@0b/[:0P39bLT3
0<S8b0<0`l?30P2l_;`30;Jf]P<0]KFe0`2k^k/20<?3``<0alO70`36a/H30<30`080/k>c0`2VYZH3
0::RXP<0Zj^[0P2i^KT30<?3``<0alO70`36a/H00`000000`<300:^[Z`020:^[Z`<0YjNW0`2ZZZX2
0;:b/P<0^;Rh0`2k^k^h0;bl_0L0fMWI00060=WIfA@0b/[:0P39bLT30<O7a`<0`l?30P2j^[X60;>c
/`<0^[Zj0P32`/860<O7a`<0`l?30P2j^[X30;6a/@<0[Zj^0`2d];@20;jn_P<0aLG50`37alL00`35
aLD00000000000020;6a/@<0ZJVY0`2UYJD30:RXZ080/;2`0`2g]kL30;^k^kP0_;bl1`3IfMT000H0
fMWI503:b/X20<W9b@<0alO70`33`l<20;Zj^PH0/k>c0`2j^[X20<;2`PH0alO70`33`l<20;Zj^P<0
/K6a0`2^[Zh30;Bd]080_[jn0`35aLD30<O7a`0300000035aLD0aLG50080/K6a0`2YZJT30:FUY@<0
Z:RX0P2`/;030;Ng]`<0^k^k^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW90`37alL30<;2`P80^KVi
1P2a/K430;Rh^080`L710`37alL80<W9b@T0b<S81@39bLT20;^k^`040000002h^;P0^;Rh0;Rh^080
/;2`0`2WYjL30::RXP<0YZJV0P2_[jl30;Ng]`<0^k^k^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW9
0`37alL30<;2`P80^KVi1P2a/K430;Rh^080`L710`37alL80<W9b@T0b<S81@39bLT2000000040;^k
^`2h^;P0^;Rh0;Rh^080/;2`0`2WYjL30::RXP<0YZJV0P2_[jl30;Ng]`<0^k^k^02l_;`70=WIf@00
1P3IfMTD0<[:bP80bLW90`37alL30<;2`P80^KVi1P2a/K430;Rh^080`L710`37alL80<W9b@T0b<S8
1039bLT010000000^k^k0;^k^`2k^k/30;Rh^080/;2`0`2WYjL30::RXP<0YZJV0P2_[jl30;Ng]`<0
^k^k^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW90`37alL30<71`@80^;Rh1P2_[jl30;Ng]`80`L71
0`37alL30<_;b`<0dM7A0P3Jf]X30>CTi0<0inOW0`3QhN420=KFeP80000000@0`<300;bl_02l_;`0
_;bl0`2g]kL20:n_[`<0YZJV0`2PX:030:FUY@80[Zj^0`2g]kL30;^k^kP0_;bl1`3IfMT000H0fMWI
503:b/X20<W9b@<0alO70`31`L420;Rh^0H0[jn_0`2g]kL20<71`@<0alO70`3;bl/30=7Ad@80f][J
0`3Ti>@30>OWi`<0hN7Q00<0e]KF00000030`<000P30`<030;bl_0<0]kNg0P2_[jl30:JVYP<0X:2P
0`2UYJD20:j^[P<0]kNg0`2k^k^h0;bl_0L0fMWI00060=WIfA@0b/[:0P39bLT30<O7a`<0`L710P2h
^;P60:n_[`<0]kNg0P31`L430<O7a`<0bl_;0`3AdM420=[JfP<0i>CT0`3WinL30>7Qh@030000003F
e]H0`<300080`<300`2l_;`30;Ng]`80[jn_0`2VYZH30:2PX0<0YJFU0P2^[Zh30;Ng]`<0^k^k^02l
_;`70=WIf@001P3IfMTD0<[:bP80bLW90`37alL30<71`@80]kNg0`2^[Zh30:f][@<0][Jf0P30`<03
0<O7a`<0cLg=0`3Fe]H20>SXj0<0n_[j0`3oool00`3clo<00000000000020=;BdP<0a<C40`2m_Kd3
0;Ng]`80[jn_0`2TY:@309nOW`<0Xj>S0P2^[Zh30;Jf]P<0^k^k^02l_;`70=WIf@001P3IfMTD0<[:
bP80bLW90`37alL30<71`@80]kNg0`2^[Zh30:f][@<0][Jf0P30`<030<O7a`<0cLg=0`3Fe]H20>SX
j0<0n_[j0`3oool00`000000lo?c0??cl`020=;BdP<0a<C40`2m_Kd30;Ng]`80[jn_0`2TY:@309nO
W`<0Xj>S0P2^[Zh30;Jf]P<0^k^k^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW90`37alL30<30`080
][Jf0`2][Jd30:b/[0<0]KFe0P30`<030<O7a`<0cLg=0`3Hf=P20>_[j`<0oooo00<0n?Sh00000000
00000`3Zj^X20=GEe@<0aLG50`2m_Kd30;Ng]`80[Zj^0`2SXj<309fMW@<0XZ:R0P2][Jd30;Jf]P<0
^[Zj^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW90`37alL30<30`080][Jf0`2][Jd30:b/[0<0]KFe
0P30`<030<O7a`<0cLg=0`3Hf=P20>_[j`<0oooo00<000000?Shn03hn?P00`3Zj^X20=GEe@<0aLG5
0`2m_Kd30;Ng]`80[Zj^0`2SXj<309fMW@<0XZ:R0P2][Jd30;Jf]P<0^[Zj^02l_;`70=WIf@001P3I
fMTD0<[:bP80bLW90`37alL30<30`080][Jf0`2][Jd30:b/[0<0]KFe0P30`<030<O7a`<0cLg=0`3H
f=P20>_[j`80oooo00@000000?Shn03hn?P0n?Sh0`3Zj^X20=GEe@<0aLG50`2m_Kd30;Ng]`80[Zj^
0`2SXj<309fMW@<0XZ:R0P2][Jd30;Jf]P<0^[Zj^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW90`37
alL30<30`080]KFe0`2/[:`30:^[Z`<0];Bd0P2o_kl30<O7a`<0c<c<0`3De=@20>;RhP80000000@0
hn?S0>OWi`3WinL0inOW0`3MgMd20<k>cP<0`/;20`2l_;`30;Ng]`80[Zj^0`2RXZ8309fMW@<0XJ6Q
0P2/[:`30;Jf]P<0^[Zj^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW90`37alL30<30`080]KFe0`2/
[:`30:^[Z`<0];Bd0P2o_kl30<O7a`<0c<c<0`3De=@00`3Rh^8000000>?Sh`020>?Sh`<0inOW0`3M
gMd20<k>cP<0`/;20`2l_;`30;Ng]`80[Zj^0`2RXZ8309fMW@<0XJ6Q0P2/[:`30;Jf]P<0^[Zj^02l
_;`70=WIf@001P3IfMTD0<[:bP80bLW90`36a/H30<30`080]KFe1P2[Zj/30;Bd]080_kno0`36a/H3
0<W9b@<0c<c<00<000000<71`@35aLD00P35aLD30<K6aP<0`l?30P30`<030;fm_@<0^k^k0`2f][H2
0:f][@<0XZ:R0`2LW9`30:6QX@80[:b/0`2f][H30;Zj^[P0_;bl1`3IfMT000H0fMWI503:b/X20<W9
b@<0a/K60`30`<020;Fe]@H0Zj^[0`2d];@20;no_`<0a/K60`39bLT00`3<c<`00000000000020<71
`@<0aLG50`36a/H30<?3``80`<300`2m_Kd30;^k^`<0][Jf0P2][Jd30::RXP<0W9bL0`2QXJ420:b/
[0<0][Jf0`2j^[Zh0;bl_0L0fMWI00060=WIfA@0b/[:0P39bLT30<K6aP<0`<300P2e]KD60:^[Z`<0
];Bd0P2o_kl30<K6aP<0bLW900<000000<c<c03<c<`00P31`L430<G5a@<0a/K60`33`l<20<30`0<0
_Kfm0`2k^k/30;Jf]P80[Jf]0`2RXZ8309bLW0<0XJ6Q0P2/[:`30;Jf]P<0^[Zj^02l_;`70=WIf@00
1P3IfMTD0<[:bP80bLW90`36a/H30<30`080]KFe1P2[Zj/30;Bd]080_kno0`36a/H00`2i^KT00000
000000030;Fe]@80[Jf]0`2SXj<30:2PX0<0YZJV0P2`/;030;Rh^0<0^KVi0`2f][H20:f][@<0XZ:R
0`2LW9`30:6QX@80[:b/0`2f][H30;Zj^[P0_;bl1`3IfMT000H0fMWI503:b/X20<W9b@<0a/K60`30
`<020;Fe]@H0Zj^[0`2d];@20;no_`<0a/K600<000000;Vi^@2i^KT00`2e]KD20:f][@<0Xj>S0`2P
X:030:JVYP80/;2`0`2h^;P30;Vi^@<0][Jf0P2][Jd30::RXP<0W9bL0`2QXJ420:b/[0<0][Jf0`2j
^[Zh0;bl_0L0fMWI00060=WIfA@0b/[:0P39bLT30<K6aP<0`<300P2e]KD60:^[Z`<0];Bd0P2o_kl2
0<K6aP040000002i^KT0^KVi0;Vi^@<0]KFe0P2][Jd30:>SX`<0X:2P0`2VYZH20;2`/0<0^;Rh0`2i
^KT30;Jf]P80[Jf]0`2RXZ8309bLW0<0XJ6Q0P2/[:`30;Jf]P<0^[Zj^02l_;`70=WIf@001P3IfMTD
0<[:bP80bLW90`37alL30<30`080]KFe0`2/[:`30:^[Z`<0];Bd0P2o_kl2000000040;Rh^02g]kL0
]kNg0;Ng]`<0[jn_0P2NWYh308^;R`<0QHF50`2BTY820:FUY@<0/k>c0`2h^;P30;Jf]P80[Zj^0`2R
XZ8309fMW@<0XJ6Q0P2/[:`30;Jf]P<0^[Zj^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW90`37alL3
0<30`080]KFe0`2/[:`30:^[Z`<0];Bd00<0_kno0000002h^;P00P2h^;P30;Ng]`<0[jn_0P2NWYh3
08^;R`<0QHF50`2BTY820:FUY@<0/k>c0`2h^;P30;Jf]P80[Zj^0`2RXZ8309fMW@<0XJ6Q0P2/[:`3
0;Jf]P<0^[Zj^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW90`37alL30<30`080][Jf0`2][Jd30:b/
[080]KFe0P000000102b/[80^;Rh0;Rh^02h^;P30;Ng]`<0[Zj^0P2JVYX308J6QP<0P8200`2=SHd2
0:>SX`<0/k>c0`2h^;P30;Jf]P80[Zj^0`2SXj<309fMW@<0XZ:R0P2][Jd30;Jf]P<0^[Zj^02l_;`7
0=WIf@001P3IfMTD0<[:bP80bLW90`37alL30<30`080][Jf0`2][Jd30:b/[0030;Fe]@000000]KFe
0080/[:b0`2h^;P30;Ng]`<0[Zj^0P2JVYX308J6QP<0P8200`2=SHd20:>SX`<0/k>c0`2h^;P30;Jf
]P80[Zj^0`2SXj<309fMW@<0XZ:R0P2][Jd30;Jf]P<0^[Zj^02l_;`70=WIf@001P3IfMTD0<[:bP80
bLW90`37alL30<30`080][Jf0`2][Jd30:b/[0030000002e]KD0]KFe0080/[:b0`2h^;P30;Ng]`<0
[Zj^0P2JVYX308J6QP<0P8200`2=SHd20:>SX`<0/k>c0`2h^;P30;Jf]P80[Zj^0`2SXj<309fMW@<0
XZ:R0P2][Jd30;Jf]P<0^[Zj^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW90`37alL30<71`@80]kNg
0`2^[Zh00`2PX:000000000000030:RXZ080/[:b1P2h^;P30;6a/@80Xj>S0`2DU9@3092@T0<0VYZJ
0P2ZZZX30;Fe]@<0^KVi0`2g]kL20:n_[`<0Y:BT0`2OWil30:>SX`80[Zj^0`2f][H30;^k^kP0_;bl
1`3IfMT000H0fMWI503:b/X20<W9b@<0alO70`31`L420;Ng]`<0[Zj^00<000000:2PX02PX:000`2X
Z:P20;:b/PH0^;Rh0`2a/K420:>SX`<0U9BD0`2@T90309ZJVP80ZZZZ0`2e]KD30;Vi^@<0]kNg0P2_
[jl30:BTY0<0WinO0`2SXj<20:j^[P<0][Jf0`2k^k^h0;bl_0L0fMWI00060=WIfA@0b/[:0P39bLT3
0<O7a`<0`L710P2h^;P00`2RXZ800000000000030:6QX@<0ZJVY0P2c/k<30;Vi^@<0^[Zj0`2i^KT2
0;Bd]0<0/;2`0`2^[Zh30;6a/@80][Jf1P2j^[X30;Ng]`80[jn_0`2VYZH30:2PX0<0YJFU0P2^[Zh3
0;Ng]`<0^k^k^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW90`37alL30<71`@80^;Rh00<000000::R
XP2RXZ800`2QXJ430:VYZ@80/k>c0`2i^KT30;Zj^P<0^KVi0P2d];@30;2`/0<0[Zj^0`2a/K420;Jf
]PH0^[Zj0`2g]kL20:n_[`<0YZJV0`2PX:030:FUY@80[Zj^0`2g]kL30;^k^kP0_;bl1`3IfMT000H0
fMWI503:b/X20<W9b@<0alO70`31`L400`2h^;P000000::RXP020::RXP<0XJ6Q0`2YZJT20;>c/`<0
^KVi0`2j^[X30;Vi^@80];Bd0`2`/;030:j^[P<0/K6a0P2f][H60;Zj^P<0]kNg0P2_[jl30:JVYP<0
X:2P0`2UYJD20:j^[P<0]kNg0`2k^k^h0;bl_0L0fMWI00060=WIfA@0b/[:0P39bLT30<O7a`80`/;2
0P000000102/[:`0Y:BT0:BTY02TY:@30:>SX`<0Zj^[0P2d];@30;Zj^P<0_Kfm0`30`<020<K6aP<0
c<c<0`3>c/h30<[:bP80`l?30`2o_kl30;bl_0<0^;Rh0P2`/;030:NWY`<0XZ:R0`2VYZH20:n_[`<0
]kNg0`2k^k^h0;bl_0L0fMWI00060=WIfA@0b/[:0P39bLT30<O7a`030<;2`P000000`/;20080[:b/
0`2TY:@30:>SX`<0Zj^[0P2d];@30;Zj^P<0_Kfm0`30`<020<K6aP<0c<c<0`3>c/h30<[:bP80`l?3
0`2o_kl30;bl_0<0^;Rh0P2`/;030:NWY`<0XZ:R0`2VYZH20:n_[`<0]kNg0`2k^k^h0;bl_0L0fMWI
00060=WIfA@0b/[:0P39bLT20<O7a`8000000P32`/820:b/[0<0Y:BT0`2SXj<30:^[Z`80];Bd0`2j
^[X30;fm_@<0`<300P36a/H30<c<c0<0c/k>0`3:b/X20<?3``<0_kno0`2l_;`30;Rh^080/;2`0`2W
YjL30::RXP<0YZJV0P2_[jl30;Ng]`<0^k^k^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW900<0^[Zj
0000002j^[X00`2e]KD20:f][@<0YZJV0`2UYJD30:b/[080];Bd0`2j^[X30;jn_P<0aLG50P3AdM43
0=kNgP<0h^;R0`3Jf]X20<c<c0<0`/;20`2m_Kd30;Rh^080/K6a0`2YZJT30:FUY@<0Z:RX0P2`/;03
0;Ng]`<0^k^k^02l_;`70=WIf@001P3IfMTD0<[:bP80bLW900<000000;Zj^P2j^[X00`2e]KD20:f]
[@<0YZJV0`2UYJD30:b/[080];Bd0`2j^[X30;jn_P<0aLG50P3AdM430=kNgP<0h^;R0`3Jf]X20<c<
c0<0`/;20`2m_Kd30;Rh^080/K6a0`2YZJT30:FUY@<0Z:RX0P2`/;030;Ng]`<0^k^k^02l_;`70=WI
f@001P3IfMTD0<[:bP8000000`2j^[X30;Jf]P80[Zj^1P2XZ:P30:j^[P80]KFe0`2j^[X30;no_`<0
a/K60P3De=@30>;RhP<0i^KV0`3MgMd20<k>cP<0`/;20`2m_Kd30;Vi^@80/[:b0`2[Zj/30:NWY`<0
ZZZZ0P2b/[830;Rh^0<0^k^k^02l_;`70=WIf@001P3IfMTC0<[:bP030000002l_;`0_;bl00<0^[Zj
0`2f][H20:j^[PH0Z:RX0`2^[Zh20;Fe]@<0^[Zj0`2o_kl30<K6aP80e=CD0`3Rh^830>KViP<0gMgM
0P3>c/h30<;2`P<0_Kfm0`2i^KT20;:b/P<0Zj^[0`2WYjL30:ZZZP80/[:b0`2h^;P30;^k^kP0_;bl
1`3IfMT000H0fMWI4@3:b/X2000000030<[:bP2l_;`0_;bl00<0^[Zj0`2f][H20:j^[PH0Z:RX0`2^
[Zh20;Fe]@<0^[Zj0`2o_kl30<K6aP80e=CD0`3Rh^830>KViP<0gMgM0P3>c/h30<;2`P<0_Kfm0`2i
^KT20;:b/P<0Zj^[0`2WYjL30:ZZZP80/[:b0`2h^;P30;^k^kP0_;bl1`3IfMT000H0fMWI403:b/X0
0`000000_;bl0;bl_0030;bl_0<0^[Zj0`2f][H20;2`/0H0ZZZZ0`2_[jl20;Jf]P<0^k^k0`2n_[h3
0<C4a080cLg=0`3Hf=P30=_Kf`<0e=CD0P39bLT30<71`@<0_;bl0`2i^KT20;>c/`<0[Jf]0`2YZJT3
0:b/[080/k>c0`2h^;P30;^k^kP0_;bl1`3IfMT000H0fMWI3`3:b/X00`000000b/[:0;bl_0040;bl
_0<0^[Zj0`2f][H20;2`/0H0ZZZZ0`2_[jl20;Jf]P<0^k^k0`2n_[h30<C4a080cLg=0`3Hf=P30=_K
f`<0e=CD0P39bLT30<71`@<0_;bl0`2i^KT20;>c/`<0[Jf]0`2YZJT30:b/[080/k>c0`2h^;P30;^k
^kP0_;bl1`3IfMT000H0fMWI2`3:b/X20;bl_08000001`2l_;`30;^k^`<0]kNg0P2b/[830:f][@<0
[:b/0`2a/K420;Ng]`<0^[Zj0`2m_Kd30;no_`80`l?30`37alL30<S8b0<0aLG50P31`L430;jn_P<0
_;bl0`2i^KT20;Fe]@<0[jn_0`2/[:`30:j^[P80];Bd0`2i^KT30;^k^kP0_;bl1`3IfMT000H0fMWI
2`3:b/X00`2l_;`000000;bl_0080;bl_0<0^k^k0`2g]kL20;:b/P<0[Jf]0`2/[:`30;6a/@80]kNg
0`2j^[X30;fm_@<0_kno0P33`l<30<O7a`<0b<S80`35aLD20<71`@<0_[jn0`2l_;`30;Vi^@80]KFe
0`2_[jl30:b/[0<0[Zj^0P2d];@30;Vi^@<0^k^k^02l_;`70=WIf@001P3IfMT;0<[:bP030000002l
_;`0_;bl00P0_;bl0`2k^k/30;Ng]`80/[:b0`2][Jd30:b/[0<0/K6a0P2g]kL30;Zj^P<0_Kfm0`2o
_kl20<?3``<0alO70`38b<P30<G5a@80`L710`2n_[h30;bl_0<0^KVi0P2e]KD30:n_[`<0[:b/0`2^
[Zh20;Bd]0<0^KVi0`2k^k^h0;bl_0L0fMWI00060=WIf@T0b/[:0P00000;0;bl_0<0^k^k0`2h^;P2
0;>c/`<0[jn_0`2^[Zh30;:b/P80]kNg0`2j^[X60;^k^`80^;Rh1P2f][H30;Ng]`80^KVi1P2k^k/3
0;Zj^P80][Jf0`2`/;030:j^[P<0/;2`0P2e]KD30;Vi^@<0^k^k^02l_;`70=WIf@001P3IfMT80<[:
bP030000002l_;`0_;bl00/0_;bl0`2k^k/30;Rh^080/k>c0`2_[jl30:j^[P<0/[:b0P2g]kL30;Zj
^PH0^k^k0P2h^;P60;Jf]P<0]kNg0P2i^KT60;^k^`<0^[Zj0P2f][H30;2`/0<0[Zj^0`2`/;020;Fe
]@<0^KVi0`2k^k^h0;bl_0L0fMWI00060=WIf@H0b/[:0P0000000`3:b/X0_;bl0;bl_00;0;bl_0<0
^k^k0`2h^;P20;>c/`<0[jn_0`2^[Zh30;:b/P80]kNg0`2j^[X60;^k^`80^;Rh1P2f][H30;Ng]`80
^KVi1P2k^k/30;Zj^P80][Jf0`2`/;030:j^[P<0/;2`0P2e]KD30;Vi^@<0^k^k^02l_;`70=WIf@00
1P3IfMT50<[:bP030000002l_;`0_;bl00h0_;bl0`2k^k/30;Rh^080];Bd0`2a/K430;2`/0<0];Bd
0P2h^;P60;^k^`<0^;Rh0P2b/[830:b/[0<0ZZZZ0`2^[Zh20;Fe]@<0^KVi0`2k^k/30;Zj^P80]kNg
0`2b/[830;2`/0<0/[:b0P2f][H30;Zj^P<0^k^k^02l_;`70=WIf@001P3IfMT40<[:bP030000003:
b/X0_;bl00l0_;bl0`2k^k/30;Rh^080];Bd0`2a/K430;2`/0<0];Bd0P2h^;P60;^k^`<0^;Rh0P2b
/[830:b/[0<0ZZZZ0`2^[Zh20;Fe]@<0^KVi0`2k^k/30;Zj^P80]kNg0`2b/[830;2`/0<0/[:b0P2f
][H30;Zj^P<0^k^k^02l_;`70=WIf@001P3IfMT20;bl_08000004P2l_;`30;^k^`<0^KVi0P2f][H3
0;>c/`<0/[:b0`2e]KD20;Vi^@<0^k^k0`2j^[X30;Ng]`80/K6a0`2ZZZX30:RXZ0<0[Jf]0P2d];@3
0;Vi^@<0^k^k0`2j^[X20;Ng]`<0];Bd0`2b/[830;Bd]080]kNg0`2j^[Zk0;bl_0L0fMWI00060=WI
f@030;bl_0000000_;bl01<0_;bl0`2k^k/30;Vi^@80][Jf0`2c/k<30;:b/P<0]KFe0P2i^KT30;^k
^`<0^[Zj0`2g]kL20;6a/@<0ZZZZ0`2XZ:P30:f][@80];Bd0`2i^KT30;^k^`<0^[Zj0P2g]kL30;Bd
]0<0/[:b0`2d];@20;Ng]`<0^[Zj^`2l_;`70=WIf@001@3IfMT2000001D0_;bl0`2k^k/30;Vi^@80
][Jf0`2c/k<30;:b/P<0]KFe0P2i^KT30;^k^`<0^[Zj0`2g]kL20;6a/@<0ZZZZ0`2XZ:P30:f][@80
];Bd0`2i^KT30;^k^`<0^[Zj0P2g]kL30;Bd]0<0/[:b0`2d];@20;Ng]`<0^[Zj^`2l_;`70=WIf@00
103IfMT00`000000fMWI0;bl_00E0;bl_0<0^k^k0`2j^[X20;Ng]`H0];Bd0`2f][H20;Vi^@H0^k^k
0`2i^KT20;Bd]0<0[jn_0`2][Jd30;6a/@80][Jf0`2j^[X60;^k^`80^;Rh0`2e]KD30;Bd]0<0]KFe
0P2h^;P30;Zj^[/0_;bl1`3IfMT000<0fMWI00<000000=WIf@3IfMT05P2l_;`30;^k^`<0^[Zj0P2g
]kL60;Bd]0<0][Jf0P2i^KT60;^k^`<0^KVi0P2d];@30:n_[`<0[Jf]0`2a/K420;Jf]P<0^[Zj1P2k
^k/20;Rh^0<0]KFe0`2d];@30;Fe]@80^;Rh0`2j^[Zk0;bl_0L0fMWI00000`3IfMT0000000000003
0=WIfAT0_;bl0`2j^[X20;Rh^0H0][Jf0`2h^;P20;Zj^P<0^k^k0`2l_;`30;^k^`80^KVi0`2g]kL3
0;Jf]P<0]kNg0P2j^[X30;^k^`<0_;bl0`2k^k/20;Vi^@<0]kNg0`2e]KD30;Jf]P80^KVi0`2k^k^k
0;bl_0L0fMWI00000`000000fMWI0=WIf@030=WIfAT0_;bl0`2j^[X20;Rh^0H0][Jf0`2h^;P20;Zj
^P<0^k^k0`2l_;`30;^k^`80^KVi0`2g]kL30;Jf]P<0]kNg0P2j^[X30;^k^`<0_;bl0`2k^k/20;Vi
^@<0]kNg0`2e]KD30;Jf]P80^KVi0`2k^k^k0;bl_0L0fMWI00060=WIfAT0_;bl0`2j^[X20;Rh^0H0
][Jf0`2h^;P20;Zj^P<0^k^k0`2l_;`30;^k^`80^KVi0`2g]kL30;Jf]P<0]kNg0P2j^[X30;^k^`<0
_;bl0`2k^k/20;Vi^@<0]kNg0`2e]KD30;Jf]P80^KVi0`2k^k^k0;bl_0L0fMWI00060=WIfAT0_;bl
0`2k^k/20;Vi^@H0]kNg0`2h^;P20;Zj^PT0_;bl1@2m_Kd30;jn_PD0_Kfm1P2l_;`30;^k^`80^[Zj
0`2h^;P30;Ng]`<0^;Rh0P2i^KT30;^k^k/0_;bl1`3IfMT000H0fMWI6@2l_;`30;^k^`80^KVi1P2g
]kL30;Rh^080^[Zj2@2l_;`50;fm_@<0_[jn1@2m_Kd60;bl_0<0^k^k0P2j^[X30;Rh^0<0]kNg0`2h
^;P20;Vi^@<0^k^k^`2l_;`70=WIf@001P3IfMTI0;bl_0<0^k^k0P2i^KT60;Ng]`<0^;Rh0P2j^[X9
0;bl_0D0_Kfm0`2n_[h50;fm_@H0_;bl0`2k^k/20;Zj^P<0^;Rh0`2g]kL30;Rh^080^KVi0`2k^k^k
0;bl_0L0fMWI00060=WIfAT0_;bl0`2k^k/20;Vi^@H0^;Rh0`2i^KT20;^k^`H0_;bl0`2n_[h20;no
_`<0`L710`32`/830<71`@80_kno0`2m_Kd30;bl_0<0^k^k0P2j^[X30;Vi^@H0^;Rh0P2j^[X30;^k
^k/0_;bl1`3IfMT000H0fMWI6@2l_;`30;^k^`80^KVi1P2h^;P30;Vi^@80^k^k1P2l_;`30;jn_P80
_kno0`31`L430<;2`P<0`L710P2o_kl30;fm_@<0_;bl0`2k^k/20;Zj^P<0^KVi1P2h^;P20;Zj^P<0
^k^k^`2l_;`70=WIf@001P3IfMTI0;bl_0<0^k^k0P2j^[X60;Vi^@<0^[Zj0P2k^k/30;bl_0<0_Kfm
0`2n_[h20<30`0<0`/;20`33`l<30<71`@80_kno0`2m_Kd60;bl_080^k^k2@2i^KT20;Zj^P<0^k^k
^`2l_;`70=WIf@001P3IfMTI0;bl_0<0^k^k0P2j^[X60;Vi^@<0^[Zj0P2k^k/30;bl_0<0_Kfm0`2n
_[h20<30`0<0`/;20`33`l<30<71`@80_kno0`2m_Kd60;bl_080^k^k2@2i^KT20;Zj^P<0^k^k^`2l
_;`70=WIf@001P3IfMTI0;bl_0<0^k^k0P2j^[X60;Vi^@<0^[Zj0P2k^k/30;bl_0<0_Kfm0`2n_[h2
0<30`0<0`/;20`33`l<30<71`@80_kno0`2m_Kd60;bl_080^k^k2@2i^KT20;Zj^P<0^k^k^`2l_;`7
0=WIf@001P3IfMTI0;bl_0D0^k^k2@2j^[X20;^k^`H0_;bl0`2m_Kd20;no_`<0`<300`31`L430<30
`080_[jn0`2m_Kd60;bl_080^k^k2@2j^[X20;^k^kh0_;bl1`3IfMT000H0fMWI6@2l_;`50;^k^`T0
^[Zj0P2k^k/60;bl_0<0_Kfm0P2o_kl30<30`0<0`L710`30`<020;jn_P<0_Kfm1P2l_;`20;^k^`T0
^[Zj0P2k^k^n0;bl_0L0fMWI00060=WIfA`0_;bl0P2k^k/60;Zj^P<0^k^k202l_;`50;fm_@T0_[jn
0P2m_Kd90;bl_0D0^k^k0`2j^[X50;^k^kh0_;bl1`3IfMT000H0fMWI702l_;`20;^k^`H0^[Zj0`2k
^k/80;bl_0D0_Kfm2@2n_[h20;fm_@T0_;bl1@2k^k/30;Zj^PD0^k^k_P2l_;`70=WIf@001P3IfMTL
0;bl_080^k^k1P2j^[X30;^k^`P0_;bl1@2m_Kd90;jn_P80_Kfm2@2l_;`50;^k^`<0^[Zj1@2k^k^n
0;bl_0L0fMWI00060=WIfA`0_;bl2`2k^k/S0;bl_0/0^k^k_P2l_;`70=WIf@001P3IfMTL0;bl_0/0
^k^k8`2l_;`;0;^k^kh0_;bl1`3IfMT000H0fMWI702l_;`;0;^k^`/0_;bl2`2k^k/=0;bl_0T0^k^k
`02l_;`70=WIf@001P3IfMTL0;bl_0/0^k^k2`2l_;`;0;^k^`d0_;bl2@2k^k_00;bl_0L0fMWI0006
0=WIfA`0_;bl2`2k^k/;0;bl_0/0^k^k3@2l_;`90;^k^l00_;bl1`3IfMT000H0fMWI7P2l_;`60;^k
^`h0_;bl2`2k^k/@0;bl_0<0^k^k``2l_;`70=WIf@001P3IfMTN0;bl_0H0^k^k3P2l_;`;0;^k^a00
_;bl0`2k^k_30;bl_0L0fMWI00060=WIfAh0_;bl1P2k^k/>0;bl_0/0^k^k402l_;`30;^k^l<0_;bl
1`3IfMT000H0fMWI=02l_;`90;^k^mH0_;bl1`3IfMT000H0fMWI=02l_;`90;^k^mH0_;bl1`3IfMT0
00H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl
1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl
_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3I
fMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WI
f@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l
_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0
_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI0006
0=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0
fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D
0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWI
o`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT0
00H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl
1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl
_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3I
fMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WI
f@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l
_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0
_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI0006
0=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0
fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D
0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT000H0fMWI
o`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl1`3IfMT0
00H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl_1@0_;bl
1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@001P3IfMWo0;bl
_1@0_;bl1`3IfMT000H0fMWIo`2l_;`D0;bl_0L0fMWI00060=WIfOl0_;bl502l_;`70=WIf@00o`3I
fMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3IfMTQ0=WIf@00o`3I
fMTQ0=WIf@00o`3IfMTQ0=WIf@00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-21.5003, -0.152511, 0.219515, \
0.007683}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[167]="]
}, Open  ]],

Cell[BoxData[
    \(<< Graphics`InequalityGraphics`\)], "Input",
  CellLabel->"In[98]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(scr = 
      InequalityPlot[
        p > \(-\((x - 1)\)\)\ /5, {x, \(-20\), 40}, {p, \(-10\), 10}, 
        Background \[Rule] White]\)], "Input",
  CellLabel->"In[106]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .29667 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0 1 0 0.296667 [
[ 0 0 0 0 ]
[ 1 .29667 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .29667 L
0 .29667 L
closepath
clip
newpath
% Start of sub-graphic
p
0 0 1 0.296667 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.34127 0.015873 0.130873 0.015873 [
[.02381 .11837 -9 -9 ]
[.02381 .11837 9 0 ]
[.18254 .11837 -9 -9 ]
[.18254 .11837 9 0 ]
[.5 .11837 -6 -9 ]
[.5 .11837 6 0 ]
[.65873 .11837 -6 -9 ]
[.65873 .11837 6 0 ]
[.81746 .11837 -6 -9 ]
[.81746 .11837 6 0 ]
[.97619 .11837 -6 -9 ]
[.97619 .11837 6 0 ]
[.32877 .01183 -24 -4.5 ]
[.32877 .01183 0 4.5 ]
[.32877 .05151 -12 -4.5 ]
[.32877 .05151 0 4.5 ]
[.32877 .09119 -24 -4.5 ]
[.32877 .09119 0 4.5 ]
[.32877 .17056 -18 -4.5 ]
[.32877 .17056 0 4.5 ]
[.32877 .21024 -6 -4.5 ]
[.32877 .21024 0 4.5 ]
[.32877 .24992 -18 -4.5 ]
[.32877 .24992 0 4.5 ]
[.32877 .2896 -12 -4.5 ]
[.32877 .2896 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .29667 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 .13087 m
.02381 .13712 L
s
[(-20)] .02381 .11837 0 1 Mshowa
.18254 .13087 m
.18254 .13712 L
s
[(-10)] .18254 .11837 0 1 Mshowa
.5 .13087 m
.5 .13712 L
s
[(10)] .5 .11837 0 1 Mshowa
.65873 .13087 m
.65873 .13712 L
s
[(20)] .65873 .11837 0 1 Mshowa
.81746 .13087 m
.81746 .13712 L
s
[(30)] .81746 .11837 0 1 Mshowa
.97619 .13087 m
.97619 .13712 L
s
[(40)] .97619 .11837 0 1 Mshowa
.125 Mabswid
.05556 .13087 m
.05556 .13462 L
s
.0873 .13087 m
.0873 .13462 L
s
.11905 .13087 m
.11905 .13462 L
s
.15079 .13087 m
.15079 .13462 L
s
.21429 .13087 m
.21429 .13462 L
s
.24603 .13087 m
.24603 .13462 L
s
.27778 .13087 m
.27778 .13462 L
s
.30952 .13087 m
.30952 .13462 L
s
.37302 .13087 m
.37302 .13462 L
s
.40476 .13087 m
.40476 .13462 L
s
.43651 .13087 m
.43651 .13462 L
s
.46825 .13087 m
.46825 .13462 L
s
.53175 .13087 m
.53175 .13462 L
s
.56349 .13087 m
.56349 .13462 L
s
.59524 .13087 m
.59524 .13462 L
s
.62698 .13087 m
.62698 .13462 L
s
.69048 .13087 m
.69048 .13462 L
s
.72222 .13087 m
.72222 .13462 L
s
.75397 .13087 m
.75397 .13462 L
s
.78571 .13087 m
.78571 .13462 L
s
.84921 .13087 m
.84921 .13462 L
s
.88095 .13087 m
.88095 .13462 L
s
.9127 .13087 m
.9127 .13462 L
s
.94444 .13087 m
.94444 .13462 L
s
.25 Mabswid
0 .13087 m
1 .13087 L
s
.34127 .01183 m
.34752 .01183 L
s
[(-7.5)] .32877 .01183 1 0 Mshowa
.34127 .05151 m
.34752 .05151 L
s
[(-5)] .32877 .05151 1 0 Mshowa
.34127 .09119 m
.34752 .09119 L
s
[(-2.5)] .32877 .09119 1 0 Mshowa
.34127 .17056 m
.34752 .17056 L
s
[(2.5)] .32877 .17056 1 0 Mshowa
.34127 .21024 m
.34752 .21024 L
s
[(5)] .32877 .21024 1 0 Mshowa
.34127 .24992 m
.34752 .24992 L
s
[(7.5)] .32877 .24992 1 0 Mshowa
.34127 .2896 m
.34752 .2896 L
s
[(10)] .32877 .2896 1 0 Mshowa
.125 Mabswid
.34127 .01976 m
.34502 .01976 L
s
.34127 .0277 m
.34502 .0277 L
s
.34127 .03563 m
.34502 .03563 L
s
.34127 .04357 m
.34502 .04357 L
s
.34127 .05944 m
.34502 .05944 L
s
.34127 .06738 m
.34502 .06738 L
s
.34127 .07532 m
.34502 .07532 L
s
.34127 .08325 m
.34502 .08325 L
s
.34127 .09913 m
.34502 .09913 L
s
.34127 .10706 m
.34502 .10706 L
s
.34127 .115 m
.34502 .115 L
s
.34127 .12294 m
.34502 .12294 L
s
.34127 .13881 m
.34502 .13881 L
s
.34127 .14675 m
.34502 .14675 L
s
.34127 .15468 m
.34502 .15468 L
s
.34127 .16262 m
.34502 .16262 L
s
.34127 .17849 m
.34502 .17849 L
s
.34127 .18643 m
.34502 .18643 L
s
.34127 .19437 m
.34502 .19437 L
s
.34127 .2023 m
.34502 .2023 L
s
.34127 .21817 m
.34502 .21817 L
s
.34127 .22611 m
.34502 .22611 L
s
.34127 .23405 m
.34502 .23405 L
s
.34127 .24198 m
.34502 .24198 L
s
.34127 .25786 m
.34502 .25786 L
s
.34127 .26579 m
.34502 .26579 L
s
.34127 .27373 m
.34502 .27373 L
s
.34127 .28167 m
.34502 .28167 L
s
.34127 .00389 m
.34502 .00389 L
s
.25 Mabswid
.34127 0 m
.34127 .29667 L
s
0 0 m
1 0 L
1 .29667 L
0 .29667 L
closepath
clip
newpath
.5 Mabswid
.02381 .19754 m
.06244 .18981 L
.10458 .18139 L
.14415 .17347 L
.18221 .16586 L
.22272 .15776 L
.26171 .14996 L
.30316 .14167 L
.34309 .13368 L
.3815 .126 L
.42237 .11783 L
.46172 .10996 L
.49955 .10239 L
.53984 .09433 L
.57861 .08658 L
.61984 .07833 L
.65954 .07039 L
.69774 .06275 L
.73838 .05463 L
.77751 .0468 L
.81909 .03848 L
.85916 .03047 L
.89771 .02276 L
.93871 .01456 L
.97619 .00706 L
s
.02381 .2896 m
.06244 .2896 L
.10458 .2896 L
.14415 .2896 L
.18221 .2896 L
.22272 .2896 L
.26171 .2896 L
.30316 .2896 L
.34309 .2896 L
.3815 .2896 L
.42237 .2896 L
.46172 .2896 L
.49955 .2896 L
.53984 .2896 L
.57861 .2896 L
.61984 .2896 L
.65954 .2896 L
.69774 .2896 L
.73838 .2896 L
.77751 .2896 L
.81909 .2896 L
.85916 .2896 L
.89771 .2896 L
.93871 .2896 L
.97619 .2896 L
s
0 1 1 r
.02381 .19754 m
.06244 .18981 L
.10458 .18139 L
.14415 .17347 L
.18221 .16586 L
.22272 .15776 L
.26171 .14996 L
.30316 .14167 L
.34309 .13368 L
.3815 .126 L
.42237 .11783 L
.46172 .10996 L
.49955 .10239 L
.53984 .09433 L
.57861 .08658 L
.61984 .07833 L
.65954 .07039 L
.69774 .06275 L
.73838 .05463 L
.77751 .0468 L
.81909 .03848 L
.85916 .03047 L
.89771 .02276 L
.93871 .01456 L
.97619 .00706 L
.97619 .2896 L
.93871 .2896 L
.89771 .2896 L
.85916 .2896 L
.81909 .2896 L
.77751 .2896 L
.73838 .2896 L
.69774 .2896 L
.65954 .2896 L
.61984 .2896 L
.57861 .2896 L
.53984 .2896 L
.49955 .2896 L
.46172 .2896 L
.42237 .2896 L
.3815 .2896 L
.34309 .2896 L
.30316 .2896 L
.26171 .2896 L
.22272 .2896 L
.18221 .2896 L
.14415 .2896 L
.10458 .2896 L
.06244 .2896 L
.02381 .2896 L
F
0 g
.02381 .19754 m
.06244 .18981 L
.10458 .18139 L
.14415 .17347 L
.18221 .16586 L
.22272 .15776 L
.26171 .14996 L
.30316 .14167 L
.34309 .13368 L
.3815 .126 L
.42237 .11783 L
.46172 .10996 L
.49955 .10239 L
.53984 .09433 L
.57861 .08658 L
.61984 .07833 L
.65954 .07039 L
.69774 .06275 L
.73838 .05463 L
.77751 .0468 L
.81909 .03848 L
.85916 .03047 L
.89771 .02276 L
.93871 .01456 L
.97619 .00706 L
s
.02381 .2896 m
.06244 .2896 L
.10458 .2896 L
.14415 .2896 L
.18221 .2896 L
.22272 .2896 L
.26171 .2896 L
.30316 .2896 L
.34309 .2896 L
.3815 .2896 L
.42237 .2896 L
.46172 .2896 L
.49955 .2896 L
.53984 .2896 L
.57861 .2896 L
.61984 .2896 L
.65954 .2896 L
.69774 .2896 L
.73838 .2896 L
.77751 .2896 L
.81909 .2896 L
.85916 .2896 L
.89771 .2896 L
.93871 .2896 L
.97619 .2896 L
s
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0 0 1 0.296667 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.34127 0.015873 0.130873 0.015873 [
[.02381 .11837 -9 -9 ]
[.02381 .11837 9 0 ]
[.18254 .11837 -9 -9 ]
[.18254 .11837 9 0 ]
[.5 .11837 -6 -9 ]
[.5 .11837 6 0 ]
[.65873 .11837 -6 -9 ]
[.65873 .11837 6 0 ]
[.81746 .11837 -6 -9 ]
[.81746 .11837 6 0 ]
[.97619 .11837 -6 -9 ]
[.97619 .11837 6 0 ]
[.32877 .01183 -24 -4.5 ]
[.32877 .01183 0 4.5 ]
[.32877 .05151 -12 -4.5 ]
[.32877 .05151 0 4.5 ]
[.32877 .09119 -24 -4.5 ]
[.32877 .09119 0 4.5 ]
[.32877 .17056 -18 -4.5 ]
[.32877 .17056 0 4.5 ]
[.32877 .21024 -6 -4.5 ]
[.32877 .21024 0 4.5 ]
[.32877 .24992 -18 -4.5 ]
[.32877 .24992 0 4.5 ]
[.32877 .2896 -12 -4.5 ]
[.32877 .2896 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .29667 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 .13087 m
.02381 .13712 L
s
[(-20)] .02381 .11837 0 1 Mshowa
.18254 .13087 m
.18254 .13712 L
s
[(-10)] .18254 .11837 0 1 Mshowa
.5 .13087 m
.5 .13712 L
s
[(10)] .5 .11837 0 1 Mshowa
.65873 .13087 m
.65873 .13712 L
s
[(20)] .65873 .11837 0 1 Mshowa
.81746 .13087 m
.81746 .13712 L
s
[(30)] .81746 .11837 0 1 Mshowa
.97619 .13087 m
.97619 .13712 L
s
[(40)] .97619 .11837 0 1 Mshowa
.125 Mabswid
.05556 .13087 m
.05556 .13462 L
s
.0873 .13087 m
.0873 .13462 L
s
.11905 .13087 m
.11905 .13462 L
s
.15079 .13087 m
.15079 .13462 L
s
.21429 .13087 m
.21429 .13462 L
s
.24603 .13087 m
.24603 .13462 L
s
.27778 .13087 m
.27778 .13462 L
s
.30952 .13087 m
.30952 .13462 L
s
.37302 .13087 m
.37302 .13462 L
s
.40476 .13087 m
.40476 .13462 L
s
.43651 .13087 m
.43651 .13462 L
s
.46825 .13087 m
.46825 .13462 L
s
.53175 .13087 m
.53175 .13462 L
s
.56349 .13087 m
.56349 .13462 L
s
.59524 .13087 m
.59524 .13462 L
s
.62698 .13087 m
.62698 .13462 L
s
.69048 .13087 m
.69048 .13462 L
s
.72222 .13087 m
.72222 .13462 L
s
.75397 .13087 m
.75397 .13462 L
s
.78571 .13087 m
.78571 .13462 L
s
.84921 .13087 m
.84921 .13462 L
s
.88095 .13087 m
.88095 .13462 L
s
.9127 .13087 m
.9127 .13462 L
s
.94444 .13087 m
.94444 .13462 L
s
.25 Mabswid
0 .13087 m
1 .13087 L
s
.34127 .01183 m
.34752 .01183 L
s
[(-7.5)] .32877 .01183 1 0 Mshowa
.34127 .05151 m
.34752 .05151 L
s
[(-5)] .32877 .05151 1 0 Mshowa
.34127 .09119 m
.34752 .09119 L
s
[(-2.5)] .32877 .09119 1 0 Mshowa
.34127 .17056 m
.34752 .17056 L
s
[(2.5)] .32877 .17056 1 0 Mshowa
.34127 .21024 m
.34752 .21024 L
s
[(5)] .32877 .21024 1 0 Mshowa
.34127 .24992 m
.34752 .24992 L
s
[(7.5)] .32877 .24992 1 0 Mshowa
.34127 .2896 m
.34752 .2896 L
s
[(10)] .32877 .2896 1 0 Mshowa
.125 Mabswid
.34127 .01976 m
.34502 .01976 L
s
.34127 .0277 m
.34502 .0277 L
s
.34127 .03563 m
.34502 .03563 L
s
.34127 .04357 m
.34502 .04357 L
s
.34127 .05944 m
.34502 .05944 L
s
.34127 .06738 m
.34502 .06738 L
s
.34127 .07532 m
.34502 .07532 L
s
.34127 .08325 m
.34502 .08325 L
s
.34127 .09913 m
.34502 .09913 L
s
.34127 .10706 m
.34502 .10706 L
s
.34127 .115 m
.34502 .115 L
s
.34127 .12294 m
.34502 .12294 L
s
.34127 .13881 m
.34502 .13881 L
s
.34127 .14675 m
.34502 .14675 L
s
.34127 .15468 m
.34502 .15468 L
s
.34127 .16262 m
.34502 .16262 L
s
.34127 .17849 m
.34502 .17849 L
s
.34127 .18643 m
.34502 .18643 L
s
.34127 .19437 m
.34502 .19437 L
s
.34127 .2023 m
.34502 .2023 L
s
.34127 .21817 m
.34502 .21817 L
s
.34127 .22611 m
.34502 .22611 L
s
.34127 .23405 m
.34502 .23405 L
s
.34127 .24198 m
.34502 .24198 L
s
.34127 .25786 m
.34502 .25786 L
s
.34127 .26579 m
.34502 .26579 L
s
.34127 .27373 m
.34502 .27373 L
s
.34127 .28167 m
.34502 .28167 L
s
.34127 .00389 m
.34502 .00389 L
s
.25 Mabswid
.34127 0 m
.34127 .29667 L
s
0 0 m
1 0 L
1 .29667 L
0 .29667 L
closepath
clip
newpath
MathSubEnd
P
% End of sub-graphic
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[106]:=",
  ImageSize->{288, 85.4375},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000EB000`400?l00000o`00003oo`3IfMTQ
0=WIf@00I@3oool00`000000oooo0?ooo`2g0?ooo`40fMWI001U0?ooo`800000^03oool10=WIf@00
DP3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0`0000050?ooo`030000
003oool0oooo0:P0oooo0`00000<0?ooo`40fMWI001B0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`2R0?ooo`H000000P00ool=0?ooo`40fMWI001C
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool3000009h0oooo10000008
003oo`d0oooo0@3IfMT004/0oooo100000040?ooo`030000003oool0oooo00L0oooo0`0000050?oo
o`030000003oool0oooo09X0oooo1000000<003oo`d0oooo0@3IfMT005@0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`050?ooo`800000U`3oool4000001000?oo3@3oool10=WIf@00
D@3oool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0TP3oool4000001@00?oo3@3oool10=WIf@00D@3oool4000000P0oooo100000040?ooo`800000
SP3oool5000001P00?oo3@3oool10=WIf@00I@3oool00`000000oooo0?ooo`280?ooo`D000007@00
ool=0?ooo`40fMWI001U0?ooo`800000P`3oool6000002800?oo3@3oool10=WIf@00I@3oool00`00
0000oooo0?ooo`1m0?ooo`D00000:000ool=0?ooo`40fMWI001M0?ooo`<000001@3oool2000007P0
oooo1P00000]003oo`d0oooo0@3IfMT00600oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`1b0?ooo`D00000<`00ool=0?ooo`40fMWI001P0?ooo`030000003oool0oooo0080oooo0`00
001/0?ooo`H00000>000ool=0?ooo`40fMWI001G0?ooo`@000000P3oool3000000D0oooo00<00000
0?ooo`3oool0I`3oool5000003h00?oo3@3oool10=WIf@00G@3oool00`000000oooo0?ooo`050?oo
o`800000HP3oool6000004<00?oo3@3oool10=WIf@00G@3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo05`0oooo1@000019003oo`d0oooo0@3IfMT005d0oooo100000040?ooo`030000
003oool0oooo05L0oooo1@00001>003oo`d0oooo0@3IfMT006D0oooo0P00001D0?ooo`@00000D`00
ool=0?ooo`40fMWI001U0?ooo`030000003oool0oooo04l0oooo1000001G003oo`d0oooo0@3IfMT0
06D0oooo0P00001<0?ooo`@00000F`00ool=0?ooo`40fMWI001U0?ooo`030000003oool0oooo04L0
oooo1000001O003oo`d0oooo0@3IfMT00540oooo100000030?ooo`030000003oool0oooo0080oooo
0`0000050?ooo`800000@P3oool6000006<00?oo3@3oool10=WIf@00D@3oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0?03oool5000006T00?oo3@3o
ool10=WIf@003@3oool4000000<0oooo0P00000R0?ooo`@000000`3oool200000140oooo00<00000
0?ooo`3oool02`3oool00`000000oooo0?ooo`020?ooo`<000008`3oool4000000<0oooo0P00000:
0?ooo`H000004P00ool4000000<00?oo0P00000S003oo`8000001000ool2000002D00?oo00<00000
003oo`00ool00P3oool2000000T0oooo0@3IfMT000d0oooo00<000000?ooo`3oool00`3oool01000
0000oooo0?ooo`00000S0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?oo
o`070?ooo`@00000103oool00`000000oooo0?ooo`070?ooo`<000001@3oool00`000000oooo0?oo
o`0U0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`D00000
6000ool00`0000000?oo003oo`03003oo`0400000000ool00?oo000002400?oo00@00000003oo`00
ool000000P00ool0100000000?oo003oo`00000T003oo`0500000000ool00?oo0?ooo`0000000P3o
ool00`000000oooo0?ooo`060?ooo`40fMWI000>0?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`3oool000008`3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool0
403oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo0P00000V0?ooo`060000
003oool0oooo0?ooo`000000oooo1P00000N003oo`0300000000ool00?oo00800?oo00@00000003o
o`00ool000009000ool0100000000?oo003oo`000002003oo`0300000000ool00?oo01l00?oo1@00
00000`00ool0oooo000000020?ooo`030000003oool0oooo00H0oooo0@3IfMT000L0oooo10000004
0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`0I0?ooo`@00000103o
ool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool03@3oool010000000oooo
0?ooo`0000080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool09@3oool600000003
003oo`0000000?oo02800?oo00D00000003oo`00ool00?oo00000002003oo`0300000000ool00?oo
02000?oo0P000003003oo`0400000000ool00?oo000002400?oo00@00000003oo`00ool000000P00
ool01@3oool000000?ooo`3oool0000000P0oooo0@3IfMT00100oooo00@000000?ooo`3oool00000
0P3oool00`000000oooo0?ooo`0Q0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000
oooo0?ooo`0>0?ooo`8000002@3oool4000000@0oooo0P00000R0?ooo`D000000`00ool010000000
0?oo003oo`00000T003oo`0400000000ool00?oo000000800?oo00<00000003oo`00ool08P00ool0
100000000?oo003oo`000002003oo`0300000000ool00?oo02000?oo00<00000003oo`0000000P00
ool01@3oool000000?ooo`3oool0000000P0oooo0@3IfMT000d0oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`00000Q0?ooo`<000000`3oool010000000oooo0?ooo`00000S0?oo
o`030000003oool0oooo01`0oooo1@000002003oo`<000000`00ool0100000000?oo003oo`00000Q
003oo`0400000000ool00?oo000000800?oo00@00000003oo`00ool000008@00ool0100000000?oo
003oo`000002003oo`0400000000ool00?oo000002<00?oo0P000002003oo`050?ooo`000000oooo
0?ooo`000000203oool10=WIf@003P3oool2000000@0oooo0P00000T0?ooo`030000003oool0oooo
0080oooo0P00000T0?ooo`030000003oool0oooo01H0oooo1P000009003oo`0300000000ool00?oo
00800?oo0P00000S003oo`8000001000ool2000002<00?oo0P000004003oo`8000009@00ool00`00
00000?oo003oo`020?ooo`8000002@3oool10=WIf@00I@3oool2000001<0oooo1000002D003oo`d0
oooo0@3IfMT006D0oooo00<000000?ooo`3oool03P3oool4000009P00?oo3@3oool10=WIf@00I@3o
ool2000000/0oooo1000002L003oo`d0oooo0@3IfMT006D0oooo00<000000?ooo`3oool01P3oool4
00000:000?oo3@3oool10=WIf@00203ooooo0000018000001P3oool10=WIf@003`3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`040?ooo`D000001@00ool00`0000000?oo003oo`05003oo`0300000000ool00?oo00H0
0?oo00<00000003oo`00ool01P00ool00`0000000?oo003oo`05003oo`0300000000ool00?oo00H0
0?oo00<00000003oo`00ool01@00ool00`0000000?oo003oo`06003oo`0300000000ool00?oo00H0
0?oo00<00000003oo`00ool01@00ool00`0000000?oo003oo`06003oo`0300000000ool00?oo00H0
0?oo00<00000003oo`00ool01@00ool00`0000000?oo003oo`06003oo`0300000000ool00?oo00D0
0?oo00<00000003oo`00ool01P00ool00`0000000?oo003oo`06003oo`0300000000ool00?oo00D0
0?oo00<00000003oo`00ool01P00ool00`0000000?oo003oo`06003oo`030000003oool0oooo00X0
oooo0@3IfMT000l0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0Q0?ooo`H00000
00<00?oo000000000000:@00ool00`0000000?oo003oo`0X003oo`0300000000ool00?oo02P00?oo
00<00000003oo`00ool0:@00ool00`000000oooo0?ooo`0:0?ooo`40fMWI001I0?ooo`D000001`00
ool00`0000000?oo003oo`2Z003oo`d0oooo0@3IfMT005<0oooo1P00000<003oo`800000Z`00ool=
0?ooo`40fMWI001>0?ooo`D000004P00ool00`0000000?oo003oo`2Z003oo`d0oooo0@3IfMT004P0
oooo1P00000G003oo`800000Z`00ool=0?ooo`40fMWI00130?ooo`D000007@00ool00`0000000?oo
003oo`2Z003oo`d0oooo0@3IfMT003d0oooo1P00000R003oo`0300000000ool00?oo0:X00?oo3@3o
ool10=WIf@00>03oool5000001@00?oo10000003003oo`0300000000ool00?oo00800?oo0`000005
003oo`800000Z`00ool=0?ooo`40fMWI000c0?ooo`D000006@00ool00`0000000?oo003oo`0<003o
o`0300000000ool00?oo00800?oo00<00000003oo`00ool0ZP00ool=0?ooo`40fMWI000_0?ooo`@0
00007`00ool00`0000000?oo003oo`0;003oo`0300000000ool00?oo00800?oo0`00002Z003oo`d0
oooo0@3IfMT002/0oooo1000000T003oo`0300000000ool00?oo00L00?oo0`000005003oo`030000
0000ool00?oo0:X00?oo3@3oool10=WIf@009`3oool4000002T00?oo00<00000003oo`00ool01P00
ool00`0000000?oo003oo`05003oo`800000Z`00ool=0?ooo`40fMWI000R0?ooo`D00000:P00ool0
100000000?oo003oo`000008003oo`0300000000ool00?oo00D00?oo00<00000003oo`00ool0ZP00
ool=0?ooo`40fMWI000L0?ooo`H00000<000ool2000000T00?oo10000004003oo`800000Z`00ool=
0?ooo`40fMWI000G0?ooo`D00000B@00ool00`0000000?oo003oo`2Z003oo`d0oooo0@3IfMT00180
oooo1@00001>003oo`800000Z`00ool=0?ooo`40fMWI000?0?ooo`<00000D`00ool00`0000000?oo
003oo`2Z003oo`d0oooo0@3IfMT000l0ooooCP00ool3000000D00?oo0P00002[003oo`d0oooo0@3I
fMT000l0ooooD@00ool00`0000000?oo003oo`02003oo`0300000000ool00?oo0:X00?oo3@3oool1
0=WIf@003`3ooomA003oo`0300000000ool00?oo00800?oo0`00002Z003oo`d0oooo0@3IfMT000l0
ooooCP00ool3000000D00?oo00<00000003oo`00ool0ZP00ool=0?ooo`40fMWI000?0?ooodh00?oo
00<00000003oo`00ool01@00ool00`0000000?oo003oo`2Z003oo`d0oooo0@3IfMT000l0ooooCP00
ool00`0000000?oo003oo`05003oo`800000Z`00ool=0?ooo`40fMWI000?0?ooodh00?oo10000004
003oo`0300000000ool00?oo0:X00?oo3@3oool10=WIf@003`3ooomF003oo`800000Z`00ool=0?oo
o`40fMWI000?0?oooeH00?oo00<00000003oo`00ool0ZP00ool=0?ooo`40fMWI000?0?oooeH00?oo
0P00002[003oo`d0oooo0@3IfMT000l0ooooEP00ool00`0000000?oo003oo`2Z003oo`d0oooo0@3I
fMT000l0oooo@`00ool00`0000000?oo003oo`03003oo`0300000000ool00?oo00800?oo0`000005
003oo`800000Z`00ool=0?ooo`40fMWI000?0?oood<00?oo00<00000003oo`00ool02`00ool00`00
00000?oo003oo`02003oo`0300000000ool00?oo0:X00?oo3@3oool10=WIf@003`3ooom4003oo`03
00000000ool00?oo00X00?oo00<00000003oo`00ool00P00ool300000:X00?oo3@3oool10=WIf@00
3`3ooom4003oo`0300000000ool00?oo00L00?oo0`000005003oo`0300000000ool00?oo0:X00?oo
3@3oool10=WIf@003`3ooom5003oo`0300000000ool00?oo00H00?oo00<00000003oo`00ool01@00
ool200000:/00?oo3@3oool10=WIf@003`3ooom2003oo`0400000000ool00?oo000000P00?oo00<0
0000003oo`00ool01@00ool00`0000000?oo003oo`2Z003oo`d0oooo0@3IfMT000l0oooo@P00ool4
000000P00?oo10000004003oo`0300000000ool00?oo0:X00?oo3@3oool10=WIf@003`3ooomF003o
o`800000Z`00ool=0?ooo`40fMWI000?0?oooeH00?oo00<00000003oo`00ool0ZP00ool=0?ooo`40
fMWI000?0?oooeH00?oo0P00002[003oo`d0oooo0@3IfMT000l0ooooEP00ool00`0000000?oo003o
o`2Z003oo`d0oooo0@3IfMT000l0ooooB000ool4000000<00?oo0P000005003oo`800000Z`00ool=
0?ooo`40fMWI000?0?ooodX00?oo00D00000003oo`00ool00?oo00000002003oo`0300000000ool0
0?oo00800?oo00<00000003oo`00ool0ZP00ool=0?ooo`40fMWI000?0?ooool000001@00000<0?oo
o`40fMWI001I0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo0;L0oooo0@3IfMT005T0oooo00D000000?ooo`3oool0oooo000000020?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool0]`3oool10=WIf@00E`3oool3000000<0
oooo00@000000?ooo`3oool00000_P3oool10=WIf@00F@3oool00`000000oooo0?ooo`020?ooo`80
0000_`3oool10=WIf@00\
\>"],
  ImageRangeCache->{{{0, 287}, {84.4375, 0}} -> {-0.00419033, -5.0001*^-6, \
0.00351352, 0.0118433}, {{1.1875, 285.75}, {84.4375, 0}} -> {-23.5752, \
-8.5437, 0.231976, 0.231976}, {{1.1875, 285.75}, {84.4375, 0}} -> {-23.5752, \
-8.5437, 0.231976, 0.231976}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[106]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Show[scr, denstgraph3, Axes \[Rule] None]\)], "Input",
  CellLabel->"In[125]:="],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .29667 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0 1 0 0.296667 [
[ 0 0 0 0 ]
[ 1 .29667 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .29667 L
0 .29667 L
closepath
clip
newpath
% Start of sub-graphic
p
0 0 1 0.296667 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Background color
1 g
MFill
% Scaling calculations
0.34127 0.015873 0.130873 0.015873 [
[ 0 0 0 0 ]
[ 1 .29667 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .29667 L
0 .29667 L
closepath
clip
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.02381 .19754 m
.06244 .18981 L
.10458 .18139 L
.14415 .17347 L
.18221 .16586 L
.22272 .15776 L
.26171 .14996 L
.30316 .14167 L
.34309 .13368 L
.3815 .126 L
.42237 .11783 L
.46172 .10996 L
.49955 .10239 L
.53984 .09433 L
.57861 .08658 L
.61984 .07833 L
.65954 .07039 L
.69774 .06275 L
.73838 .05463 L
.77751 .0468 L
.81909 .03848 L
.85916 .03047 L
.89771 .02276 L
.93871 .01456 L
.97619 .00706 L
s
.02381 .2896 m
.06244 .2896 L
.10458 .2896 L
.14415 .2896 L
.18221 .2896 L
.22272 .2896 L
.26171 .2896 L
.30316 .2896 L
.34309 .2896 L
.3815 .2896 L
.42237 .2896 L
.46172 .2896 L
.49955 .2896 L
.53984 .2896 L
.57861 .2896 L
.61984 .2896 L
.65954 .2896 L
.69774 .2896 L
.73838 .2896 L
.77751 .2896 L
.81909 .2896 L
.85916 .2896 L
.89771 .2896 L
.93871 .2896 L
.97619 .2896 L
s
0 1 1 r
.02381 .19754 m
.06244 .18981 L
.10458 .18139 L
.14415 .17347 L
.18221 .16586 L
.22272 .15776 L
.26171 .14996 L
.30316 .14167 L
.34309 .13368 L
.3815 .126 L
.42237 .11783 L
.46172 .10996 L
.49955 .10239 L
.53984 .09433 L
.57861 .08658 L
.61984 .07833 L
.65954 .07039 L
.69774 .06275 L
.73838 .05463 L
.77751 .0468 L
.81909 .03848 L
.85916 .03047 L
.89771 .02276 L
.93871 .01456 L
.97619 .00706 L
.97619 .2896 L
.93871 .2896 L
.89771 .2896 L
.85916 .2896 L
.81909 .2896 L
.77751 .2896 L
.73838 .2896 L
.69774 .2896 L
.65954 .2896 L
.61984 .2896 L
.57861 .2896 L
.53984 .2896 L
.49955 .2896 L
.46172 .2896 L
.42237 .2896 L
.3815 .2896 L
.34309 .2896 L
.30316 .2896 L
.26171 .2896 L
.22272 .2896 L
.18221 .2896 L
.14415 .2896 L
.10458 .2896 L
.06244 .2896 L
.02381 .2896 L
F
0 g
.02381 .19754 m
.06244 .18981 L
.10458 .18139 L
.14415 .17347 L
.18221 .16586 L
.22272 .15776 L
.26171 .14996 L
.30316 .14167 L
.34309 .13368 L
.3815 .126 L
.42237 .11783 L
.46172 .10996 L
.49955 .10239 L
.53984 .09433 L
.57861 .08658 L
.61984 .07833 L
.65954 .07039 L
.69774 .06275 L
.73838 .05463 L
.77751 .0468 L
.81909 .03848 L
.85916 .03047 L
.89771 .02276 L
.93871 .01456 L
.97619 .00706 L
s
.02381 .2896 m
.06244 .2896 L
.10458 .2896 L
.14415 .2896 L
.18221 .2896 L
.22272 .2896 L
.26171 .2896 L
.30316 .2896 L
.34309 .2896 L
.3815 .2896 L
.42237 .2896 L
.46172 .2896 L
.49955 .2896 L
.53984 .2896 L
.57861 .2896 L
.61984 .2896 L
.65954 .2896 L
.69774 .2896 L
.73838 .2896 L
.77751 .2896 L
.81909 .2896 L
.85916 .2896 L
.89771 .2896 L
.93871 .2896 L
.97619 .2896 L
s
% Start of colorimage (RGB)
p
.02381 .12823 translate
.95238 .03439 scale
300 string
100 100 8 [100 0 0 100 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF2FFFFF3FFFFF3FFFFF3FFFFF2FFFFF2
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0
FFFFF0FFFFF0FFFFF1FFFFF1FFFFF2FFFFF2FFFFF3FFFFF4FFFFF4FFFFF3FFFFF2FFFFF2
FFFFF1FFFFF1FFFFF1FFFFF0FFFFF0FFFFF0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEF
FFFFEFFFFFF0FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF2FFFFF3FFFFF2FFFFF2FFFFF2
FFFFF1FFFFF1FFFFF0FFFFEFFFFFEFFFFFEFFFFFF0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEFFFFFEE
FFFFEEFFFFEFFFFFF0FFFFF1FFFFF1FFFFF1FFFFF0FFFFEFFFFFEEFFFFEFFFFFF0FFFFF1
FFFFF1FFFFF1FFFFF0FFFFEEFFFFEDFFFFEEFFFFEFFFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEFFFFFEDFFFFEB
FFFFEBFFFFEDFFFFEFFFFFF1FFFFF0FFFFEFFFFFEBFFFFE7FFFFE6FFFFE9FFFFEDFFFFF0
FFFFF1FFFFF0FFFFEEFFFFECFFFFEBFFFFECFFFFEEFFFFF0FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEEFFFFEBFFFFE8
FFFFE8FFFFEBFFFFEEFFFFF0FFFFF0FFFFEDFFFFE6FFFEE0FFFEDEFFFEE2FFFFE9FFFFEE
FFFFF0FFFFEFFFFFEDFFFFE9FFFFE7FFFFE9FFFFECFFFFEFFFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEDFFFFE7FFFFE3
FFFFE2FFFFE7FFFFECFFFFEFFFFFEFFFFFECFFFFE6FFFEDFFFFEDCFFFEE1FFFFE8FFFFEE
FFFFF0FFFFEEFFFFEAFFFFE5FFFEE2FFFFE4FFFFEAFFFFEEFFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEFFFFFEAFFFEE2FFFEDB
FFFEDBFFFEE1FFFFE9FFFFEFFFFFF0FFFFF0FFFFEFFFFFEDFFFFEDFFFFEEFFFFEFFFFFF1
FFFFF0FFFFEDFFFFE6FFFEDEFFFEDAFFFEDDFFFFE5FFFFECFFFFF0FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEEFFFFE6FFFEDBFFFED0
FFFED0FFFED9FFFFE5FFFFEEFFFFF3FFFFFBF7FFFFEAFFFFE6FFFFEEFFFFFDFFFFFFFFF7
FFFFF1FFFFEBFFFEE1FFFED5FFFECFFFFED4FFFEE0FFFFEAFFFFEFFFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFECFFFEE1FFFED0FFFDC2
FFFDC1FFFECFFFFEE0FFFFEDFFFFF7F4FFFFD5FEFFB8FDFFB0FCFFC2FDFFE2FFFFFEFFFF
FFFFF3FFFFE8FFFED9FFFDC8FFFDC0FFFDC7FFFED7FFFFE6FFFFEEFFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEAFFFEDAFFFDC3FFFCB0
FFFCAFFFFDC0FFFED8FFFFEBFFFFFAE9FFFFBEFDFF99FBFF8FFBFFA5FCFFD0FEFFF6FFFF
FFFFF4FFFFE4FFFECFFFFDB8FFFCADFFFDB6FFFECCFFFEE2FFFFEDFFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEFFFFFE6FFFED1FFFCB1FFFB99
FFFB98FFFCAEFFFECEFFFFE7FFFFF8EEFFFFC8FDFFA6FCFF9CFBFFB1FCFFD8FEFFFAFFFF
FFFFF1FFFEDEFFFDC2FFFCA3FFFB95FFFCA1FFFDBEFFFEDBFFFFEBFFFFF0FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEEFFFEE2FFFDC5FFFB9CFFFA7F
FFFA7EFFFB99FFFDC1FFFEE0FFFFECFFFFEDFFFFEAFFFFE5FFFFE4FFFFE7FFFFEBFFFFEE
FFFFE9FFFED6FFFCB1FFFA8BFFF97BFFFA88FFFCADFFFED3FFFFE8FFFFF0FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFECFFFEDCFFFDB6FFFA84FFF864
FFF862FFFA80FFFCB1FFFED6FFFED8FFFDB5FFFA7CFFF653FFF549FFF760FFFB93FFFDC7
FFFEDCFFFECAFFFB9DFFF971FFF75FFFF96DFFFB98FFFDC8FFFFE5FFFFEFFFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEBFFFED5FFFCA4FFF86BFFF549
FFF547FFF866FFFC9EFFFECAFFFDC4FFFA85FFF43DFFED1AFFEB14FFEF24FFF757FFFCA3
FFFECEFFFDBDFFFA86FFF656FFF544FFF652FFFA80FFFDBBFFFEE1FFFFEEFFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE8FFFECCFFFB90FFF651FFF230
FFF22FFFF64CFFFA89FFFDBFFFFDBAFFF974FFF12CFFE90FFFE60BFFEC17FFF544FFFB95
FFFDC5FFFCAEFFF96EFFF43CFFF12CFFF339FFF868FFFCABFFFEDBFFFFEDFFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE6FFFDC2FFF97BFFF339FFEE1D
FFED1CFFF335FFF973FFFDB7FFFDC5FFFB94FFF64FFFF028FFEF20FFF233FFF869FFFCAE
FFFDC8FFFC9FFFF756FFF027FFED1AFFEF24FFF650FFFB9AFFFED5FFFFECFFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEFFFFFE2FFFDB6FFF865FFF026FFE910
FFE80FFFEF22FFF75DFFFDB2FFFFF1D5FEFF97FBFF69F8FF5EF7FF78F9FFAFFCFFECFFFF
FFFEDBFFFB91FFF440FFEC17FFE70DFFEB15FFF33AFFFA87FFFECDFFFFEAFFFFF0FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEEFFFEDFFFFCA8FFF650FFEC17FFE307
FFE207FFEB14FFF549FFFCADCBFEFF4BF5FF0DE7FF02D8FF01D3FF04DEFF1DEEFF7AF9FF
FFFFFAFFFA82FFF12DFFE70CFFE106FFE60BFFF027FFF973FFFDC4FFFFE8FFFFF0FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEEFFFEDAFFFB9AFFF43DFFE70DFFDC03
FFDB03FFE60BFFF336FFFCA5A1FCFF20EEFF01D7FF00BEFF00B6FF00C7FF06E1FF47F5FF
EDFFFFFFF971FFEE1DFFE005FFDA02FFDF05FFEC19FFF760FFFDBAFFFFE6FFFFF0FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEDFFFED5FFFA8BFFF12CFFE106FFD401
FFD301FFE005FFF026FFFB94A3FCFF1EEEFF01D6FF00BCFF00B4FF00C5FF06E1FF45F5FF
F7FFFFFFF75EFFEA12FFDA02FFD100FFD802FFE80FFFF64EFFFCB0FFFFE3FFFFEFFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFECFFFED0FFFA7CFFEE1FFFDB03FFCB00
FFCA00FFD902FFED1AFFF979EDFFFF63F8FF18ECFF05E0FF03DCFF09E4FF2DF1FF94FBFF
FFFECEFFF54AFFE50AFFD201FFC800FFD000FFE408FFF43EFFFCA5FFFEE0FFFFEFFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEBFFFECAFFF96EFFEB15FFD501FFC100
FFC000FFD201FFE911FFF75CFFFA89FFF545FFE80EFFDA02FFD501FFDF04FFEE1DFFF867
FFFA86FFF337FFE106FFCA00FFBE00FFC800FFDE04FFF230FFFB99FFFEDDFFFFEFFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEAFFFDC4FFF761FFE80EFFCE00FFB700
FFB600FFCB00FFE50AFFF544FFF440FFE106FFB900FF8E00FF8100FF9E00FFCB00FFEB15
FFF654FFF028FFDC03FFC100FFB300FFBE00FFD902FFF025FFFB8EFFFEDAFFFFEEFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE9FFFDBFFFF655FFE509FFC700FFAC00
FFAB00FFC400FFE206FFF336FFF029FFD501FF9F00FF6400FF5200FF7900FFB700FFE408
FFF43EFFEE1EFFD701FFB800FFA800FFB500FFD401FFED1CFFFA84FFFED7FFFFEEFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE8FFFDB9FFF54AFFE106FFC000FFA200
FFA000FFBC00FFDE04FFF231FFF232FFDC03FFAE00FF7D00FF6D00FF8E00FFC300FFE80E
FFF443FFEC18FFD200FFAF00FF9D00FFAC00FFCE00FFEB15FFF97AFFFED4FFFFEDFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE7FFFDB4FFF442FFDE04FFB900FF9800
FF9700FFB500FFDB03FFF233FFF979FFF547FFE90FFFDB03FFD701FFE005FFEE1FFFF865
FFF868FFEB15FFCD00FFA600FF9300FFA300FFC900FFE910FFF972FFFED1FFFFEDFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE6FFFCAFFFF33BFFDB03FFB300FF9000
FF8D00FFAF00FFD802FFF33A9FFCFF0DE7FF00C5FF00A1FF0096FF00AEFF01D4FF2BF1FF
FFFDC6FFEA13FFC900FF9F00FF8900FF9B00FFC400FFE70DFFF86BFFFECEFFFFECFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE5FFFCACFFF335FFD902FFAE00FF8800
FF8600FFAA00FFD601FFF4413AF3FF00CBFF0083FF0036FF001FFF0052FF00A3FF04DFFF
C3FDFFFFEA12FFC500FF9800FF8100FF9400FFC000FFE60BFFF865FFFECCFFFFECFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE4FFFCA9FFF231FFD701FFAA00FF8200
FF8000FFA500FFD401FFF43F2DF1FF00C3FF0072FF001AFF0000FF003AFF0096FF02DAFF
AEFCFFFFE910FFC200FF9300FF7B00FF8F00FFBD00FFE409FFF861FFFECAFFFFECFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE4FFFCA7FFF22FFFD601FFA700FF7E00
FF7C00FFA200FFD201FFF2335CF7FF01D7FF009FFF0063FF0051FF0079FF00B8FF0CE6FF
FFFFF8FFE80EFFC000FF9000FF7700FF8C00FFBB00FFE308FFF75EFFFEC9FFFFECFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE4FFFCA6FFF12EFFD501FFA600FF7C00
FF7A00FFA100FFD100FFF025FFFCAEC8FDFF72F9FF42F4FF38F3FF50F6FF90FBFFF8FFFF
FFF971FFE60BFFBF00FF8E00FF7500FF8A00FFBA00FFE308FFF75DFFFDC8FFFFEBFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE4FFFCA6FFF12EFFD501FFA600FF7D00
FF7A00FFA100FFD100FFED1CFFF028FFD902FFA800FF7300FF6300FF8600FFBE00FFE60B
FFF232FFE50AFFBF00FF8F00FF7500FF8A00FFBB00FFE308FFF75DFFFEC9FFFFEBFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE4FFFCA8FFF230FFD601FFA800FF7F00
FF7D00FFA300FFD200FFEC18FFE911FFC100FF7100FF1A00FF0000FF3900FF9500FFD701
FFEE1FFFE50AFFC000FF9100FF7800FF8D00FFBC00FFE408FFF75FFFFEC9FFFFECFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE5FFFCAAFFF233FFD802FFAB00FF8400
FF8200FFA700FFD301FFED1AFFEA13FFC500FF7800FF2600FF0D00FF4400FF9B00FFD902
FFEF23FFE60BFFC300FF9500FF7D00FF9100FFBE00FFE50AFFF862FFFECBFFFFECFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE5FFFCADFFF337FFDA02FFB000FF8B00
FF8900FFAB00FFD601FFEF24FFF335FFDF05FFB700FF8A00FF7D00FF9A00FFC900FFEA12
FFF43EFFE80EFFC600FF9B00FF8400FF9700FFC200FFE60BFFF867FFFECDFFFFECFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE6FFFCB1FFF43DFFDC03FFB500FF9300
FF9100FFB100FFD902FFF234FFFEC99BFBFF40F4FF1AEDFF14EBFF24EFFF5EF7FFCFFEFF
FFFA87FFEA14FFCA00FFA200FF8D00FF9E00FFC600FFE80EFFF96DFFFECFFFFFECFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE7FFFDB6FFF545FFDF05FFBC00FF9C00
FF9A00FFB800FFDD03FFF54A6FF9FF04DFFF00B1FF0081FF0072FF0092FF00C5FF15EBFF
FFFFFFFFED1BFFCF00FFAA00FF9600FFA600FFCB00FFEA12FFF975FFFED2FFFFEDFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE8FFFDBBFFF64EFFE307FFC300FFA600
FFA400FFBF00FFE005FFF75D4BF5FF01D4FF009AFF005BFF0048FF0072FF00B4FF09E5FF
C4FDFFFFEF23FFD401FFB200FFA100FFAF00FFD000FFEC18FFFA7EFFFED5FFFFEDFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFE9FFFDC1FFF759FFE60BFFCA00FFB000
FFAF00FFC700FFE408FFF86565F8FF04DEFF00AFFF007EFF006FFF0090FF00C4FF13EAFF
DDFEFFFFF12CFFD902FFBB00FFAC00FFB900FFD601FFEE1FFFFA88FFFED8FFFFEEFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEAFFFDC7FFF866FFE911FFD100FFBB00
FFBA00FFCE00FFE70DFFF864CEFEFF33F2FF05DFFF00CCFF00C5FF01D3FF0EE8FF62F8FF
FFFED0FFF234FFDE04FFC400FFB700FFC200FFDB03FFF029FFFB93FFFEDBFFFFEEFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEBFFFECCFFF973FFEC19FFD702FFC500
FFC400FFD501FFEB14FFF863FFFB9BFFF866FFEF23FFE60BFFE307FFE910FFF339FFFA84
FFFB92FFF43DFFE307FFCD00FFC200FFCB00FFE005FFF335FFFC9EFFFEDEFFFFEFFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFECFFFED2FFFA82FFEF24FFDE04FFCE00
FFCD00FFDC03FFEE1DFFF868FFF867FFEC17FFD301FFB800FFAF00FFC100FFDE04FFF233
FFF979FFF548FFE70DFFD501FFCB00FFD301FFE50AFFF544FFFCA9FFFEE1FFFFEFFFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEDFFFED7FFFB91FFF232FFE408FFD701
FFD601FFE207FFF12AFFF974FFF866FFEB14FFD000FFB300FFAB00FFBE00FFDC03FFF22F
FFFA7DFFF758FFEB16FFDC03FFD401FFDB03FFEA12FFF655FFFDB4FFFFE4FFFFF0FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEEFFFEDCFFFCA0FFF544FFE910FFDE04
FFDE04FFE80EFFF33BFFFA89FFFA86FFF230FFE005FFCE00FFC800FFD401FFE80FFFF653
FFFB97FFF86CFFEF22FFE307FFDD03FFE207FFEE1EFFF867FFFDBEFFFFE6FFFFF0FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEFFFFEE0FFFCAEFFF758FFED1CFFE50A
FFE509FFEC19FFF64FFFFCA2FFFDC2FFFB9AFFF757FFF22FFFF027FFF33AFFF971FFFCB1
FFFDBFFFFA82FFF233FFE90FFFE408FFE80EFFF12EFFF97BFFFDC8FFFFE9FFFFF0FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEFFFFFE4FFFDBBFFF96DFFF12DFFEB14
FFEA13FFF029FFF866FFFDB9FDFFFFADFCFF5EF7FF31F2FF28F0FF3EF4FF7BF9FFCFFEFF
FFFFE5FFFB98FFF548FFED1CFFEA11FFED1AFFF442FFFB8EFFFED0FFFFEBFFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE7FFFDC6FFFA83FFF442FFEF24
FFEF23FFF43EFFFA7DFFFECBDFFEFF78F9FF28F0FF0CE7FF08E4FF13EAFF41F4FFA3FCFF
FFFFFAFFFCACFFF760FFF22FFFEE20FFF12CFFF759FFFCA1FFFED7FFFFECFFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFE9FFFED0FFFB98FFF75BFFF339
FFF338FFF756FFFB93FFFED5E3FFFF85FAFF33F2FF12EAFF0DE7FF1AEDFF4EF6FFADFCFF
FFFFFCFFFDBBFFF978FFF546FFF335FFF442FFF971FFFDB2FFFEDDFFFFEDFFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEBFFFED8FFFCABFFF975FFF653
FFF651FFF970FFFCA6FFFEDAF9FFFFB9FDFF6FF9FF40F4FF36F3FF4EF6FF8BFBFFD6FEFF
FFFFF3FFFDC7FFFB8FFFF760FFF64EFFF75DFFFA8AFFFDC0FFFFE2FFFFEEFFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEDFFFEDFFFFDBCFFFB8EFFF96F
FFF86DFFFA8AFFFDB8FFFEDDFFFFF0FFFFFEEEFFFFDDFEFFD8FEFFE3FFFFF6FFFFFFFFF8
FFFFEAFFFED0FFFCA5FFF97BFFF86AFFF978FFFCA0FFFECCFFFFE6FFFFEFFFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEEFFFFE4FFFECAFFFCA5FFFA8A
FFFA88FFFCA1FFFDC6FFFEE0FFFFE4FFFED2FFFCAFFFFB8FFFFA87FFFB9AFFFDBEFFFEDC
FFFFE5FFFED8FFFDB7FFFB95FFFA85FFFB92FFFDB4FFFED6FFFFE9FFFFF0FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEFFFFFE8FFFED5FFFDB8FFFCA3
FFFCA1FFFDB6FFFED2FFFFE4FFFEE2FFFEC9FFFC9EFFF979FFF970FFFA85FFFCB0FFFED6
FFFFE5FFFEDFFFFDC7FFFCACFFFC9FFFFCA9FFFDC4FFFEDEFFFFECFFFFF0FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEBFFFEDDFFFDC8FFFDB7
FFFDB7FFFDC6FFFEDBFFFFE8FFFFE6FFFED3FFFCB1FFFB93FFFA8AFFFB9DFFFDC0FFFEDD
FFFFE9FFFFE4FFFED3FFFDBEFFFDB5FFFDBDFFFED1FFFFE4FFFFEEFFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEDFFFFE3FFFED5FFFDC8
FFFDC8FFFED3FFFEE2FFFFEBFFFFECFFFFE4FFFED3FFFDC3FFFDBEFFFEC9FFFEDBFFFFE8
FFFFEDFFFFE9FFFEDCFFFECDFFFDC6FFFECCFFFEDBFFFFE8FFFFEFFFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEEFFFFE8FFFEDEFFFED5
FFFED4FFFEDDFFFFE7FFFFEEFFFFF1FFFFF1FFFFF2FFFFF2FFFFF2FFFFF2FFFFF1FFFFF1
FFFFF0FFFFECFFFFE3FFFED9FFFED3FFFED8FFFEE2FFFFEBFFFFF0FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEFFFFFEBFFFFE4FFFEDE
FFFEDEFFFFE4FFFFEBFFFFEFFFFFF3FFFFF8FFFFFFF6FFFFF3FFFFF9FFFFFFFFFCFFFFF5
FFFFF1FFFFEEFFFFE8FFFEE1FFFEDDFFFEE0FFFFE7FFFFEDFFFFF0FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEDFFFFE9FFFFE5
FFFFE5FFFFE8FFFFEDFFFFF0FFFFF3FFFFF8FEFFFFF5FFFFF2FFFFF9FFFFFFFFFDFFFFF5
FFFFF2FFFFEFFFFFEBFFFFE7FFFFE4FFFFE6FFFFEBFFFFEFFFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFEFFFFFECFFFFE9
FFFFE9FFFFECFFFFEFFFFFF1FFFFF2FFFFF5FFFFFAFFFFFFFDFFFFFFFFFEFFFFF8FFFFF4
FFFFF2FFFFF0FFFFEDFFFFEAFFFFE9FFFFEAFFFFEDFFFFF0FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEEFFFFEC
FFFFECFFFFEEFFFFF0FFFFF1FFFFF2FFFFF3FFFFF4FFFFF6FFFFF7FFFFF6FFFFF4FFFFF2
FFFFF1FFFFF1FFFFEFFFFFEDFFFFECFFFFEDFFFFEFFFFFF0FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEFFFFFEE
FFFFEEFFFFEFFFFFF0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF0FFFFEFFFFFEEFFFFEFFFFFF0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFF0
FFFFF0FFFFF0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEFFFFFEFFFFFEFFFFFF0FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF0FFFFEFFFFFF0FFFFF0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0
FFFFF0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFEFFFFFEFFFFFF0FFFFF0FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF0FFFFF0FFFFF0FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF0FFFFF0FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF2FFFFF2FFFFF2FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF2FFFFF2FFFFF2FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1FFFFF1
FFFFF1FFFFF1FFFFF1FFFFF1
pop
P
% End of image
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0 0 1 0.296667 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.34127 0.015873 0.130873 0.015873 [
[ 0 0 0 0 ]
[ 1 .29667 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .29667 L
0 .29667 L
closepath
clip
newpath
MathSubEnd
P
% End of sub-graphic
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[125]:=",
  ImageSize->{288, 85.4375},
  ImageMargins->{{35, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000EB000`400?l00000o`00003oo`3IfMTQ
0=WIf@00o`3ooolP0?ooo`40fMWI003o0?oooaD0oooo0`0000080?ooo`40fMWI003o0?oooa00oooo
1@000002003oo`T0oooo0@3IfMT00?l0oooo2`3oool5000000L00?oo2@3oool10=WIf@00o`3oool7
0?ooo`@000003000ool90?ooo`40fMWI003o0?ooo`<0oooo1000000@003oo`T0oooo0@3IfMT00?h0
oooo1000000D003oo`T0oooo0@3IfMT00?P0oooo1P00000H003oo`T0oooo0@3IfMT00?<0oooo1@00
000N003oo`T0oooo0@3IfMT00>d0oooo1P00000S003oo`T0oooo0@3IfMT00>L0oooo1P00000Y003o
o`T0oooo0@3IfMT00>40oooo1P00000_003oo`T0oooo0@3IfMT00=d0oooo1000000e003oo`T0oooo
0@3IfMT00=T0oooo1000000i003oo`T0oooo0@3IfMT00=D0oooo1000000m003oo`T0oooo0@3IfMT0
0=00oooo1@000011003oo`T0oooo0@3IfMT00<X0oooo1P000016003oo`T0oooo0@3IfMT00<D0oooo
1@00001<003oo`T0oooo0@3IfMT00;l0oooo1P00001A003oo`T0oooo0@3IfMT00;X0oooo1@00001G
003oo`T0oooo0@3IfMT00;@0oooo1P00001L003oo`T0oooo0@3IfMT00:l0oooo1@00001R003oo`T0
oooo0@3IfMT00:/0oooo1000001W003oo`T0oooo0@3IfMT00:L0oooo1000001[003oo`T0oooo0@3I
fMT00:<0oooo1000001_003oo`T0oooo0@3IfMT009d0oooo1P00001c003oo`T0oooo0@3IfMT009P0
oooo1@00001i003oo`T0oooo0@3IfMT00980oooo1P00001n003oo`T0oooo0@3IfMT008d0oooo1@00
0024003oo`T0oooo0@3IfMT008L0oooo1P000029003oo`T0oooo0@3IfMT008<0oooo1000002?003o
o`T0oooo0@3IfMT007l0oooo1000002C003oo`T0oooo0@3IfMT007/0oooo1000002G003oo`T0oooo
0@3IfMT007H0oooo1@00002K003oo`T0oooo0@3IfMT00700oooo1P00002P003oo`T0oooo0@3IfMT0
06/0oooo1@00002V003oo`T0oooo0@3IfMT006D0oooo1P00002[003oo`T0oooo0@3IfMT000L0oooo
o`3ooo4A0?ool@P0oooo0@3IfMT000L0oooo;03ooo4F0?ool/h0oooa203oool10=WIf@001`3ooolC
0?ool@<0ooo_0`3oonH30?ond@80ooba0`3oniT30?okV0<0oob^0P3oo/h30?ooi`<0oooh0P3^ool3
0<Smo`<0Y_co0`2Lnol20;7lo`<0f?ko0`3jool20?ool@<0ookN0`3ooL830?olX`80oo^E0`3oo:43
0?om_P80ookK0`3oon/30?ool;<0oooa203oool10=WIf@001`3ooolA0?ool@80ooo[0`3oo/X30?oi
KP<0on/E0P3oe@430?o100<0ol000`3odP420?oY4@<0ooML0`3onXT20?oeA@<0onP>0`3ofP830?oE
0@80oml40`3okQd30?ohI`80ooZ60`3olcL30?oQ1P<0olX00P3o_P030?o800<0omh40P3olS030?ok
V@<0ookM0`3oonn`0?ool@P0oooo0@3IfMT000L0oooo3P3ooo430?ool080oooU0`3oo:X30?ob<`<0
omP20P3oZ`030?n400<0oh800`3oY`020?oC0@<0ondJ0`3ojQ<20?o500<0ogP00`3o9P030?l=0080
od@00`3oV`030?oI0P80onlS0`3oiP/30?o300<0oiD00P3oO@030?nA00<0okh00P3oi@X30?ohHP<0
ook;0`3oonb`0?ool@P0oooo0@3IfMT000L0oooo4@3ooo420?ook`<0ookP0`3oo:h30?ogF080ondL
0`3oi@X30?oU2@<0on`I0P3omTl30?olXP<0oog20P3oniX30?ogE`<0oo8_0`3ol2L20?oc>P<0ooUa
0`3oo;420?om_`<0ooZ20`3olS<30?oY3`80on@80`3oj0h30?oa;P80ooUk0`3ooLP30?ooj@<0ooo`
/03ooo480?ooo`40fMWI00070?oooaH0oooa0`3oonl30?ooj`80oooT1P3oo]h30?ooi080ooo[0`3o
onl30?ool`80oooh0`3oool30?Koo`<0looo0P3iool30?ooo0<0oooe0P3ooo430?ookP<0oooX0`3o
o^420?ong@<0ookP0`3oonL20?ook@<0ooo`]P3ooo480?ooo`40fMWI00070?oooc@0oooa203ooo;D
0?ool@P0oooo0@3IfMT003P0oooo1P00003H003oo`T0oooo0@3IfMT003<0oooo1@00003N003oo`T0
oooo0@3IfMT002d0oooo1P00003S003oo`T0oooo0@3IfMT002P0oooo1@00003Y003oo`T0oooo0@3I
fMT002@0oooo1000003^003oo`T0oooo0@3IfMT00200oooo1000003b003oo`T0oooo0@3IfMT001/0
oooo1@00003f003oo`T0oooo0@3IfMT001D0oooo1P00003k003oo`T0oooo0@3IfMT00100oooo1@00
003o003oo`800?oo2@3oool10=WIf@002P3oool600000?l00?oo1`00ool90?ooo`40fMWI00070?oo
o`<00000o`00ool=003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0oooo
o`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@
003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0
oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3I
fMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0
ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00
ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@003o
o`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo
0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT0
00L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0oooo
o`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00ool@
003oo`T0oooo0@3IfMT000L0ooooo`00ool@003oo`T0oooo0@3IfMT000L0ooooo`00000A000000P0
oooo0@3IfMT00?l0oooo803oool10=WIf@00o`3ooolP0?ooo`40fMWI0000\
\>"],
  ImageRangeCache->{{{0, 287}, {84.4375, 0}} -> {-0.00419033, -5.0001*^-6, \
0.00351352, 0.0118433}, {{1.1875, 285.75}, {84.4375, 0}} -> {-21.7633, \
-8.24691, 0.221395, 0.221395}, {{1.1875, 285.75}, {84.4375, 0}} -> {-21.7633, \
-8.24691, 0.221395, 0.221395}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output",
  CellLabel->"Out[125]="]
}, Open  ]]
},
FrontEndVersion->"5.1 for X",
ScreenRectangle->{{0, 1024}, {0, 768}},
AutoGeneratedPackage->Automatic,
ScreenStyleEnvironment->"Presentation",
CellGrouping->Manual,
WindowSize->{1024, 768},
WindowMargins->{{0, Automatic}, {Automatic, 6}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"PaperSize"->{597.562, 842.375},
"PaperOrientation"->"Landscape",
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", "alv"}, \
"wf-1p-timesup.ps", CharacterEncoding -> "iso8859-1"],
"Magnification"->1},
StyleDefinitions -> "ArticleModern.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 72, 0, 81, "Subtitle"],
Cell[1851, 55, 668, 12, 148, "Input",
  InitializationCell->True],
Cell[2522, 69, 618, 13, 171, "Input",
  InitializationCell->True],

Cell[CellGroupData[{
Cell[3165, 86, 666, 12, 194, "Input"],
Cell[3834, 100, 196193, 2967, 312, 185518, 2830, "GraphicsData", \
"PostScript", "Graphics"],
Cell[200030, 3069, 162, 4, 61, "Output"]
}, Open  ]],
Cell[200207, 3076, 162, 4, 62, "Text"],
Cell[200372, 3082, 1067, 23, 332, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[201476, 3110, 89, 1, 62, "Text"],
Cell[201568, 3113, 195, 4, 87, "Input"],
Cell[201766, 3119, 104, 3, 39, "Text"],
Cell[201873, 3124, 581, 11, 213, "Input"],
Cell[202457, 3137, 104, 3, 39, "Text"],
Cell[202564, 3142, 606, 10, 213, "Input"],
Cell[203173, 3154, 37, 0, 39, "Text"],

Cell[CellGroupData[{
Cell[203235, 3158, 161, 3, 79, "Input"],
Cell[203399, 3163, 385, 6, 45, "Message"],
Cell[203787, 3171, 385, 6, 45, "Message"],
Cell[204175, 3179, 385, 6, 45, "Message"],
Cell[204563, 3187, 363, 6, 45, "Message"]
}, Open  ]],
Cell[204941, 3196, 128, 3, 39, "Text"],

Cell[CellGroupData[{
Cell[205094, 3203, 743, 12, 271, "Input"],
Cell[205840, 3217, 386, 6, 45, "Message"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[206275, 3229, 413, 8, 125, "Input"],
Cell[206691, 3239, 302764, 16059, 312, 228208, 15133, "GraphicsData", \
"PostScript", "Graphics"],
Cell[509458, 19300, 162, 4, 61, "Output"]
}, Open  ]],
Cell[509635, 19307, 419, 7, 206, "Input"],

Cell[CellGroupData[{
Cell[510079, 19318, 653, 12, 194, "Input"],
Cell[510735, 19332, 162, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[510934, 19341, 51, 1, 56, "Input"],
Cell[510988, 19344, 77, 2, 61, "Output"]
}, Open  ]],
Cell[511080, 19349, 124, 3, 39, "Text"],

Cell[CellGroupData[{
Cell[511229, 19356, 4418, 82, 711, "Input"],
Cell[515650, 19440, 388, 6, 45, "Message"],
Cell[516041, 19448, 178288, 7579, 312, 119983, 6854, "GraphicsData", \
"PostScript", "Graphics"],
Cell[694332, 27029, 162, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[694531, 27038, 214, 4, 102, "Input"],
Cell[694748, 27044, 550, 9, 117, "Message"],
Cell[695301, 27055, 78, 2, 61, "Output"]
}, Open  ]],
Cell[695394, 27060, 119, 3, 39, "Text"],

Cell[CellGroupData[{
Cell[695538, 27067, 1546, 26, 355, "Input"],
Cell[697087, 27095, 951453, 58719, 312, 869974, 57708, "GraphicsData", \
"PostScript", "Graphics"],
Cell[1648543, 85816, 163, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1648743, 85825, 1662, 29, 424, "Input"],
Cell[1650408, 85856, 6695204, 428622, 312, 6610798, 427575, "GraphicsData", \
"PostScript", "Graphics"],
Cell[8345615, 514480, 162, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8345814, 514489, 1546, 27, 378, "Input"],
Cell[8347363, 514518, 6888809, 444000, 312, 6808779, 443007, "GraphicsData", \
"PostScript", "Graphics"],
Cell[15236175, 958520, 431, 8, 45, "Message"],
Cell[15236609, 958530, 375, 6, 45, "Message"],
Cell[15236987, 958538, 361, 6, 45, "Message"],
Cell[15237351, 958546, 359, 6, 45, "Message"],
Cell[15237713, 958554, 363, 6, 45, "Message"],
Cell[15238079, 958562, 372, 6, 45, "Message"],
Cell[15238454, 958570, 361, 6, 45, "Message"],
Cell[15238818, 958578, 370, 6, 45, "Message"],
Cell[15239191, 958586, 162, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15239390, 958595, 2345, 40, 649, "Input"],
Cell[15241738, 958637, 541998, 26700, 413, 390535, 24825, "GraphicsData", \
"PostScript", "Graphics"],
Cell[15783739, 985339, 162, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15783938, 985348, 393, 7, 125, "Input"],
Cell[15784334, 985357, 964481, 18826, 650, 701722, 15577, "GraphicsData", \
"PostScript", "Graphics"],
Cell[16748818, 1004185, 162, 4, 61, "Output"]
}, Open  ]],
Cell[16748995, 1004192, 64, 0, 81, "Subtitle"],

Cell[CellGroupData[{
Cell[16749084, 1004196, 845, 16, 217, "Input"],
Cell[16749932, 1004214, 384, 6, 45, "Message"],
Cell[16750319, 1004222, 67, 2, 61, "Output"]
}, Open  ]],
Cell[16750401, 1004227, 57, 0, 39, "Text"],

Cell[CellGroupData[{
Cell[16750483, 1004231, 1796, 30, 378, "Input"],
Cell[16752282, 1004263, 1244347, 75465, 312, 1163919, 74467, "GraphicsData", \
"PostScript", "Graphics"],
Cell[17996632, 1079730, 163, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17996832, 1079739, 1765, 30, 378, "Input"],
Cell[17998600, 1079771, 397, 7, 45, "Message"],
Cell[17999000, 1079780, 397, 7, 45, "Message"],
Cell[17999400, 1079789, 396, 7, 45, "Message"],
Cell[17999799, 1079798, 363, 6, 45, "Message"],
Cell[18000165, 1079806, 2328592, 32192, 312, 2207349, 30690, "GraphicsData", \
"PostScript", "Graphics"],
Cell[20328760, 1112000, 162, 4, 61, "Output"]
}, Open  ]],
Cell[20328937, 1112007, 146, 4, 178, "SectionFirst"],

Cell[CellGroupData[{
Cell[20329108, 1112015, 86, 2, 56, "Input"],
Cell[20329197, 1112019, 71, 2, 76, "Output"]
}, Open  ]],
Cell[20329283, 1112024, 418, 8, 125, "Input"],

Cell[CellGroupData[{
Cell[20329726, 1112036, 904, 17, 263, "Input"],
Cell[20330633, 1112055, 780324, 10896, 312, 731317, 10286, "GraphicsData", \
"PostScript", "Graphics"],
Cell[21110960, 1122953, 162, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21111159, 1122962, 938, 18, 263, "Input"],
Cell[21112100, 1122982, 782801, 10932, 312, 731392, 10292, "GraphicsData", \
"PostScript", "Graphics"],
Cell[21894904, 1133916, 162, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21895103, 1133925, 772, 15, 217, "Input"],
Cell[21895878, 1133942, 795677, 11077, 312, 731191, 10276, "GraphicsData", \
"PostScript", "Graphics"],
Cell[22691558, 1145021, 162, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22691757, 1145030, 818, 16, 217, "Input"],
Cell[22692578, 1145048, 795062, 11071, 312, 731216, 10278, "GraphicsData", \
"PostScript", "Graphics"],
Cell[23487643, 1156121, 162, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23487842, 1156130, 170, 4, 56, "Input"],
Cell[23488015, 1156136, 16732, 483, 202, 4403, 326, "GraphicsData", \
"PostScript", "Graphics"],
Cell[23504750, 1156621, 156, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23504943, 1156630, 72, 2, 56, "Input"],
Cell[23505018, 1156634, 51255, 760, 312, 21641, 389, "GraphicsData", \
"PostScript", "Graphics"],
Cell[23556276, 1157396, 156, 4, 61, "Output"]
}, Open  ]],
Cell[23556447, 1157403, 89, 2, 56, "Input"],

Cell[CellGroupData[{
Cell[23556561, 1157409, 192, 5, 56, "Input"],
Cell[23556756, 1157416, 20546, 881, 110, 10530, 752, "GraphicsData", \
"PostScript", "Graphics"],
Cell[23577305, 1158299, 156, 4, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23577498, 1158308, 100, 2, 56, "Input"],
Cell[23577601, 1158312, 69465, 1229, 110, 64915, 1168, "GraphicsData", \
"PostScript", "Graphics"],
Cell[23647069, 1159543, 156, 4, 61, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

